/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 89;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 86,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 85,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 88,
  Feature_HwMode0Bit = 87,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9524,
  GICXXPred_MI_Predicate_anonymous_9526,
  GICXXPred_MI_Predicate_anonymous_9614,
  GICXXPred_MI_Predicate_anonymous_9628,
  GICXXPred_MI_Predicate_anonymous_9632,
  GICXXPred_MI_Predicate_anonymous_9634,
  GICXXPred_MI_Predicate_anonymous_9636,
  GICXXPred_MI_Predicate_anonymous_9638,
  GICXXPred_MI_Predicate_anonymous_9641,
  GICXXPred_MI_Predicate_anonymous_9643,
  GICXXPred_MI_Predicate_anonymous_9655,
  GICXXPred_MI_Predicate_anonymous_9666,
  GICXXPred_MI_Predicate_anonymous_10788,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9524: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9526: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9614: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9628: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9632: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9634: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9636: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9638: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9641: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9643: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9655: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9666: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10788: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm9_lsb0,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb0,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 121*/ GIMT_Encode4(2327292),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(9751),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(12707),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(15611),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(18345),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(21079),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(23858), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(26592),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(35876),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(48413), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(63208), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(63269), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(63330), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(63421), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(63788),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(63986),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(64184),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(64764),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(64974),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(65172),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(65211),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(65250),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(73712),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(74007), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(74302), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(81100),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(85986),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(88896), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(91806),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(94716),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(95628),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(98538),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(101448),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(104358),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(107268),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(110178), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(113088), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(113306),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2094445), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2095961), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2099082),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2102557),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2103106),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2106793),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2109929),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2112960), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2115899),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2118839),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2121749),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2148412), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2155874), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2160266),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2163000),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2165734),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2168520),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2171306),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2174092), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(2176878),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(2179306),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(2181734),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(2184162), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(2200807), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(2203235),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(2205206),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(2205659),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(2207195),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(2212081),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(2216967),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(2222253), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 69*/ GIMT_Encode4(2227539),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 70*/ GIMT_Encode4(2229510), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 71*/ GIMT_Encode4(2235572),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 72*/ GIMT_Encode4(2235762),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 73*/ GIMT_Encode4(2237847), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 74*/ GIMT_Encode4(2239932),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 75*/ GIMT_Encode4(2240058), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 76*/ GIMT_Encode4(2240184),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 77*/ GIMT_Encode4(2242960),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 78*/ GIMT_Encode4(2245736),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 79*/ GIMT_Encode4(2248512),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 80*/ GIMT_Encode4(2251288),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 81*/ GIMT_Encode4(2251446),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 82*/ GIMT_Encode4(2252026),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 83*/ GIMT_Encode4(2252236), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 84*/ GIMT_Encode4(2252252), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 85*/ GIMT_Encode4(2254772), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 86*/ GIMT_Encode4(2257430),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 87*/ GIMT_Encode4(2259981),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 88*/ GIMT_Encode4(2262516),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 89*/ GIMT_Encode4(2265010), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 90*/ GIMT_Encode4(2265208),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 91*/ GIMT_Encode4(2267384),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 92*/ GIMT_Encode4(2267582),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 93*/ GIMT_Encode4(2267780), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 94*/ GIMT_Encode4(2267978),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 95*/ GIMT_Encode4(2270406),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 96*/ GIMT_Encode4(2272834),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 97*/ GIMT_Encode4(2275262), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 98*/ GIMT_Encode4(2277690),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 99*/ GIMT_Encode4(2294335), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 100*/ GIMT_Encode4(2296511),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 101*/ GIMT_Encode4(2296524), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 102*/ GIMT_Encode4(2296537),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 103*/ GIMT_Encode4(2296632),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 104*/ GIMT_Encode4(2296662),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 105*/ GIMT_Encode4(2296699),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 106*/ GIMT_Encode4(2296736),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 107*/ GIMT_Encode4(2297096),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 108*/ GIMT_Encode4(2297294),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 109*/ GIMT_Encode4(2297492),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 110*/ GIMT_Encode4(2297552),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 111*/ GIMT_Encode4(2297589),
     /*    1074 */ /*RISCV::G_RORW*//*Label 112*/ GIMT_Encode4(2297714),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 113*/ GIMT_Encode4(2297835), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 114*/ GIMT_Encode4(2297882),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 115*/ GIMT_Encode4(2297929),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 116*/ GIMT_Encode4(2297976),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 117*/ GIMT_Encode4(2298625),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 118*/ GIMT_Encode4(2299274),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 119*/ GIMT_Encode4(2303532),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 120*/ GIMT_Encode4(2315412),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 146*/ GIMT_Encode4(9750),
     /*    1125 */ /*GILLT_s32*//*Label 122*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 123*/ GIMT_Encode4(2734), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 124*/ GIMT_Encode4(7220),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 125*/ GIMT_Encode4(7335),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 126*/ GIMT_Encode4(7450),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 127*/ GIMT_Encode4(7565), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 128*/ GIMT_Encode4(7680),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 129*/ GIMT_Encode4(7795),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 130*/ GIMT_Encode4(7910),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 131*/ GIMT_Encode4(8025), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 132*/ GIMT_Encode4(8140),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 133*/ GIMT_Encode4(8255),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 134*/ GIMT_Encode4(8370),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 135*/ GIMT_Encode4(8485), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 136*/ GIMT_Encode4(8600),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 137*/ GIMT_Encode4(8715),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 138*/ GIMT_Encode4(8830),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 139*/ GIMT_Encode4(8945), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 140*/ GIMT_Encode4(9060),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 141*/ GIMT_Encode4(9175),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 142*/ GIMT_Encode4(9290), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 143*/ GIMT_Encode4(9405),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 144*/ GIMT_Encode4(9520), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 145*/ GIMT_Encode4(9635),
     /*    1249 */ // Label 122: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2733),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(1308), // Rule ID 2428 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2428,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 148: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(1356), // Rule ID 2438 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2438,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 149: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1404), // Rule ID 2448 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2448,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 150: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1455), // Rule ID 61843 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 61843,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 151: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1506), // Rule ID 61847 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 61847,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 152: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1557), // Rule ID 61851 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 61851,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 153: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1605), // Rule ID 64100 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 64100,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 154: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1653), // Rule ID 64108 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 64108,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 155: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1701), // Rule ID 64116 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 64116,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 156: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1752), // Rule ID 72654 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 72654,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 157: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1803), // Rule ID 72658 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 72658,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 158: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1854), // Rule ID 72662 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 72662,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 159: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1922), // Rule ID 2422 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2422,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 160: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1990), // Rule ID 2432 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2432,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 161: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2058), // Rule ID 2442 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2442,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 162: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2126), // Rule ID 64096 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 64096,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 163: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2194), // Rule ID 64104 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 64104,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 164: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2262), // Rule ID 64112 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 64112,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 165: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2341), // Rule ID 61837 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 61837,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 166: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2420), // Rule ID 72650 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 72650,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 167: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 168: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 169: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2583), // Rule ID 285 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9655),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9655>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 285,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 170: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2644), // Rule ID 72664 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2627 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2642 */     GIR_RootConstrainSelectedInstOperands,
     /*    2643 */     // GIR_Coverage, 72664,
     /*    2643 */     GIR_EraseRootFromParent_Done,
     /*    2644 */   // Label 171: @2644
     /*    2644 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2705), // Rule ID 61905 //
     /*    2649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2703 */     GIR_RootConstrainSelectedInstOperands,
     /*    2704 */     // GIR_Coverage, 61905,
     /*    2704 */     GIR_EraseRootFromParent_Done,
     /*    2705 */   // Label 172: @2705
     /*    2705 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2732), // Rule ID 73 //
     /*    2710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2725 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2730 */     GIR_RootConstrainSelectedInstOperands,
     /*    2731 */     // GIR_Coverage, 73,
     /*    2731 */     GIR_Done,
     /*    2732 */   // Label 173: @2732
     /*    2732 */   GIM_Reject,
     /*    2733 */ // Label 147: @2733
     /*    2733 */ GIM_Reject,
     /*    2734 */ // Label 123: @2734
     /*    2734 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(7219),
     /*    2739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2745 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2840), // Rule ID 2472 //
     /*    2750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2757 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2798 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2802 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2813 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2827 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2838 */     GIR_RootConstrainSelectedInstOperands,
     /*    2839 */     // GIR_Coverage, 2472,
     /*    2839 */     GIR_EraseRootFromParent_Done,
     /*    2840 */   // Label 175: @2840
     /*    2840 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2935), // Rule ID 2474 //
     /*    2845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2852 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2893 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2897 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2908 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2922 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    2925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2933 */     GIR_RootConstrainSelectedInstOperands,
     /*    2934 */     // GIR_Coverage, 2474,
     /*    2934 */     GIR_EraseRootFromParent_Done,
     /*    2935 */   // Label 176: @2935
     /*    2935 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(3030), // Rule ID 2476 //
     /*    2940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    2951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2988 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    2992 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3003 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3017 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3028 */     GIR_RootConstrainSelectedInstOperands,
     /*    3029 */     // GIR_Coverage, 2476,
     /*    3029 */     GIR_EraseRootFromParent_Done,
     /*    3030 */   // Label 177: @3030
     /*    3030 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(3125), // Rule ID 2463 //
     /*    3035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3083 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3094 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3098 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3112 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3123 */     GIR_RootConstrainSelectedInstOperands,
     /*    3124 */     // GIR_Coverage, 2463,
     /*    3124 */     GIR_EraseRootFromParent_Done,
     /*    3125 */   // Label 178: @3125
     /*    3125 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(3220), // Rule ID 2466 //
     /*    3130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3178 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3189 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3193 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3207 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3218 */     GIR_RootConstrainSelectedInstOperands,
     /*    3219 */     // GIR_Coverage, 2466,
     /*    3219 */     GIR_EraseRootFromParent_Done,
     /*    3220 */   // Label 179: @3220
     /*    3220 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3315), // Rule ID 2469 //
     /*    3225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3232 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3273 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3302 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3313 */     GIR_RootConstrainSelectedInstOperands,
     /*    3314 */     // GIR_Coverage, 2469,
     /*    3314 */     GIR_EraseRootFromParent_Done,
     /*    3315 */   // Label 180: @3315
     /*    3315 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3410), // Rule ID 64126 //
     /*    3320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3327 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3376 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3380 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3408 */     GIR_RootConstrainSelectedInstOperands,
     /*    3409 */     // GIR_Coverage, 64126,
     /*    3409 */     GIR_EraseRootFromParent_Done,
     /*    3410 */   // Label 181: @3410
     /*    3410 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3505), // Rule ID 64128 //
     /*    3415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3471 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3475 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3492 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3503 */     GIR_RootConstrainSelectedInstOperands,
     /*    3504 */     // GIR_Coverage, 64128,
     /*    3504 */     GIR_EraseRootFromParent_Done,
     /*    3505 */   // Label 182: @3505
     /*    3505 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3600), // Rule ID 64130 //
     /*    3510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3525 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3566 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3570 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3587 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3598 */     GIR_RootConstrainSelectedInstOperands,
     /*    3599 */     // GIR_Coverage, 64130,
     /*    3599 */     GIR_EraseRootFromParent_Done,
     /*    3600 */   // Label 183: @3600
     /*    3600 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3695), // Rule ID 64120 //
     /*    3605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3612 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3620 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3652 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3661 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3672 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3682 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3693 */     GIR_RootConstrainSelectedInstOperands,
     /*    3694 */     // GIR_Coverage, 64120,
     /*    3694 */     GIR_EraseRootFromParent_Done,
     /*    3695 */   // Label 184: @3695
     /*    3695 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3790), // Rule ID 64122 //
     /*    3700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3707 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3715 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3747 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3756 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3767 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3771 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3777 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3788 */     GIR_RootConstrainSelectedInstOperands,
     /*    3789 */     // GIR_Coverage, 64122,
     /*    3789 */     GIR_EraseRootFromParent_Done,
     /*    3790 */   // Label 185: @3790
     /*    3790 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3885), // Rule ID 64124 //
     /*    3795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3802 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3810 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3851 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3862 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3872 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3883 */     GIR_RootConstrainSelectedInstOperands,
     /*    3884 */     // GIR_Coverage, 64124,
     /*    3884 */     GIR_EraseRootFromParent_Done,
     /*    3885 */   // Label 186: @3885
     /*    3885 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3933), // Rule ID 2427 //
     /*    3890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3909 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    3920 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    3923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3931 */     GIR_RootConstrainSelectedInstOperands,
     /*    3932 */     // GIR_Coverage, 2427,
     /*    3932 */     GIR_EraseRootFromParent_Done,
     /*    3933 */   // Label 187: @3933
     /*    3933 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3981), // Rule ID 2437 //
     /*    3938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3945 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    3949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    3953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    3968 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    3971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3973 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3979 */     GIR_RootConstrainSelectedInstOperands,
     /*    3980 */     // GIR_Coverage, 2437,
     /*    3980 */     GIR_EraseRootFromParent_Done,
     /*    3981 */   // Label 188: @3981
     /*    3981 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(4029), // Rule ID 2447 //
     /*    3986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    3997 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4016 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4027 */     GIR_RootConstrainSelectedInstOperands,
     /*    4028 */     // GIR_Coverage, 2447,
     /*    4028 */     GIR_EraseRootFromParent_Done,
     /*    4029 */   // Label 189: @4029
     /*    4029 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(4077), // Rule ID 2478 //
     /*    4034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4045 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4064 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4075 */     GIR_RootConstrainSelectedInstOperands,
     /*    4076 */     // GIR_Coverage, 2478,
     /*    4076 */     GIR_EraseRootFromParent_Done,
     /*    4077 */   // Label 190: @4077
     /*    4077 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4125), // Rule ID 2480 //
     /*    4082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4093 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4112 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4117 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4123 */     GIR_RootConstrainSelectedInstOperands,
     /*    4124 */     // GIR_Coverage, 2480,
     /*    4124 */     GIR_EraseRootFromParent_Done,
     /*    4125 */   // Label 191: @4125
     /*    4125 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4173), // Rule ID 2482 //
     /*    4130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4141 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4149 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4160 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4171 */     GIR_RootConstrainSelectedInstOperands,
     /*    4172 */     // GIR_Coverage, 2482,
     /*    4172 */     GIR_EraseRootFromParent_Done,
     /*    4173 */   // Label 192: @4173
     /*    4173 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4224), // Rule ID 61842 //
     /*    4178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4189 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4208 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4222 */     GIR_RootConstrainSelectedInstOperands,
     /*    4223 */     // GIR_Coverage, 61842,
     /*    4223 */     GIR_EraseRootFromParent_Done,
     /*    4224 */   // Label 193: @4224
     /*    4224 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4275), // Rule ID 61846 //
     /*    4229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4236 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4240 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4259 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4273 */     GIR_RootConstrainSelectedInstOperands,
     /*    4274 */     // GIR_Coverage, 61846,
     /*    4274 */     GIR_EraseRootFromParent_Done,
     /*    4275 */   // Label 194: @4275
     /*    4275 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4326), // Rule ID 61850 //
     /*    4280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4291 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4310 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4324 */     GIR_RootConstrainSelectedInstOperands,
     /*    4325 */     // GIR_Coverage, 61850,
     /*    4325 */     GIR_EraseRootFromParent_Done,
     /*    4326 */   // Label 195: @4326
     /*    4326 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4374), // Rule ID 64099 //
     /*    4331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4338 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4346 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4361 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4372 */     GIR_RootConstrainSelectedInstOperands,
     /*    4373 */     // GIR_Coverage, 64099,
     /*    4373 */     GIR_EraseRootFromParent_Done,
     /*    4374 */   // Label 196: @4374
     /*    4374 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4422), // Rule ID 64107 //
     /*    4379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4386 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4394 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4409 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4420 */     GIR_RootConstrainSelectedInstOperands,
     /*    4421 */     // GIR_Coverage, 64107,
     /*    4421 */     GIR_EraseRootFromParent_Done,
     /*    4422 */   // Label 197: @4422
     /*    4422 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4470), // Rule ID 64115 //
     /*    4427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4434 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4457 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4468 */     GIR_RootConstrainSelectedInstOperands,
     /*    4469 */     // GIR_Coverage, 64115,
     /*    4469 */     GIR_EraseRootFromParent_Done,
     /*    4470 */   // Label 198: @4470
     /*    4470 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4518), // Rule ID 64132 //
     /*    4475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4482 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4490 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4494 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4505 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4516 */     GIR_RootConstrainSelectedInstOperands,
     /*    4517 */     // GIR_Coverage, 64132,
     /*    4517 */     GIR_EraseRootFromParent_Done,
     /*    4518 */   // Label 199: @4518
     /*    4518 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4566), // Rule ID 64134 //
     /*    4523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4530 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4553 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4564 */     GIR_RootConstrainSelectedInstOperands,
     /*    4565 */     // GIR_Coverage, 64134,
     /*    4565 */     GIR_EraseRootFromParent_Done,
     /*    4566 */   // Label 200: @4566
     /*    4566 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4614), // Rule ID 64136 //
     /*    4571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4601 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4606 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4612 */     GIR_RootConstrainSelectedInstOperands,
     /*    4613 */     // GIR_Coverage, 64136,
     /*    4613 */     GIR_EraseRootFromParent_Done,
     /*    4614 */   // Label 201: @4614
     /*    4614 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4665), // Rule ID 72653 //
     /*    4619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4626 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4634 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4649 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4663 */     GIR_RootConstrainSelectedInstOperands,
     /*    4664 */     // GIR_Coverage, 72653,
     /*    4664 */     GIR_EraseRootFromParent_Done,
     /*    4665 */   // Label 202: @4665
     /*    4665 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4716), // Rule ID 72657 //
     /*    4670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4677 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4700 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4707 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4714 */     GIR_RootConstrainSelectedInstOperands,
     /*    4715 */     // GIR_Coverage, 72657,
     /*    4715 */     GIR_EraseRootFromParent_Done,
     /*    4716 */   // Label 203: @4716
     /*    4716 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4767), // Rule ID 72661 //
     /*    4721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4728 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4736 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4751 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4758 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4765 */     GIR_RootConstrainSelectedInstOperands,
     /*    4766 */     // GIR_Coverage, 72661,
     /*    4766 */     GIR_EraseRootFromParent_Done,
     /*    4767 */   // Label 204: @4767
     /*    4767 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4842), // Rule ID 2460 //
     /*    4772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4779 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4804 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4829 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4840 */     GIR_RootConstrainSelectedInstOperands,
     /*    4841 */     // GIR_Coverage, 2460,
     /*    4841 */     GIR_EraseRootFromParent_Done,
     /*    4842 */   // Label 205: @4842
     /*    4842 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4937), // Rule ID 2484 //
     /*    4847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4854 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4879 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4904 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    4916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    4923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    4925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    4933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4935 */     GIR_RootConstrainSelectedInstOperands,
     /*    4936 */     // GIR_Coverage, 2484,
     /*    4936 */     GIR_EraseRootFromParent_Done,
     /*    4937 */   // Label 206: @4937
     /*    4937 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(5032), // Rule ID 2486 //
     /*    4942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4974 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    4985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4999 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5015 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5030 */     GIR_RootConstrainSelectedInstOperands,
     /*    5031 */     // GIR_Coverage, 2486,
     /*    5031 */     GIR_EraseRootFromParent_Done,
     /*    5032 */   // Label 207: @5032
     /*    5032 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5127), // Rule ID 2488 //
     /*    5037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5044 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5069 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5094 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5125 */     GIR_RootConstrainSelectedInstOperands,
     /*    5126 */     // GIR_Coverage, 2488,
     /*    5126 */     GIR_EraseRootFromParent_Done,
     /*    5127 */   // Label 208: @5127
     /*    5127 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5222), // Rule ID 2490 //
     /*    5132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5139 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5164 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5189 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5205 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5220 */     GIR_RootConstrainSelectedInstOperands,
     /*    5221 */     // GIR_Coverage, 2490,
     /*    5221 */     GIR_EraseRootFromParent_Done,
     /*    5222 */   // Label 209: @5222
     /*    5222 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5317), // Rule ID 2492 //
     /*    5227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5234 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5259 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5284 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5300 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5315 */     GIR_RootConstrainSelectedInstOperands,
     /*    5316 */     // GIR_Coverage, 2492,
     /*    5316 */     GIR_EraseRootFromParent_Done,
     /*    5317 */   // Label 210: @5317
     /*    5317 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5412), // Rule ID 2494 //
     /*    5322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5329 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5354 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5379 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5395 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5410 */     GIR_RootConstrainSelectedInstOperands,
     /*    5411 */     // GIR_Coverage, 2494,
     /*    5411 */     GIR_EraseRootFromParent_Done,
     /*    5412 */   // Label 211: @5412
     /*    5412 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5480), // Rule ID 2421 //
     /*    5417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5424 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5449 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5467 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5478 */     GIR_RootConstrainSelectedInstOperands,
     /*    5479 */     // GIR_Coverage, 2421,
     /*    5479 */     GIR_EraseRootFromParent_Done,
     /*    5480 */   // Label 212: @5480
     /*    5480 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5548), // Rule ID 2431 //
     /*    5485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5492 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5517 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5535 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5546 */     GIR_RootConstrainSelectedInstOperands,
     /*    5547 */     // GIR_Coverage, 2431,
     /*    5547 */     GIR_EraseRootFromParent_Done,
     /*    5548 */   // Label 213: @5548
     /*    5548 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5616), // Rule ID 2441 //
     /*    5553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5560 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5603 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5614 */     GIR_RootConstrainSelectedInstOperands,
     /*    5615 */     // GIR_Coverage, 2441,
     /*    5615 */     GIR_EraseRootFromParent_Done,
     /*    5616 */   // Label 214: @5616
     /*    5616 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5691), // Rule ID 64118 //
     /*    5621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5628 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5636 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5661 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5672 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5678 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5689 */     GIR_RootConstrainSelectedInstOperands,
     /*    5690 */     // GIR_Coverage, 64118,
     /*    5690 */     GIR_EraseRootFromParent_Done,
     /*    5691 */   // Label 215: @5691
     /*    5691 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5786), // Rule ID 64138 //
     /*    5696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5703 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5711 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5736 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5753 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5769 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5784 */     GIR_RootConstrainSelectedInstOperands,
     /*    5785 */     // GIR_Coverage, 64138,
     /*    5785 */     GIR_EraseRootFromParent_Done,
     /*    5786 */   // Label 216: @5786
     /*    5786 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5881), // Rule ID 64140 //
     /*    5791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5798 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5806 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5831 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5848 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5879 */     GIR_RootConstrainSelectedInstOperands,
     /*    5880 */     // GIR_Coverage, 64140,
     /*    5880 */     GIR_EraseRootFromParent_Done,
     /*    5881 */   // Label 217: @5881
     /*    5881 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5976), // Rule ID 64142 //
     /*    5886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5893 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5926 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5943 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5959 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5974 */     GIR_RootConstrainSelectedInstOperands,
     /*    5975 */     // GIR_Coverage, 64142,
     /*    5975 */     GIR_EraseRootFromParent_Done,
     /*    5976 */   // Label 218: @5976
     /*    5976 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(6071), // Rule ID 64144 //
     /*    5981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5988 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    5992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5996 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6021 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6069 */     GIR_RootConstrainSelectedInstOperands,
     /*    6070 */     // GIR_Coverage, 64144,
     /*    6070 */     GIR_EraseRootFromParent_Done,
     /*    6071 */   // Label 219: @6071
     /*    6071 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6166), // Rule ID 64146 //
     /*    6076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6083 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6091 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6116 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6127 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6133 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6149 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6164 */     GIR_RootConstrainSelectedInstOperands,
     /*    6165 */     // GIR_Coverage, 64146,
     /*    6165 */     GIR_EraseRootFromParent_Done,
     /*    6166 */   // Label 220: @6166
     /*    6166 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6261), // Rule ID 64148 //
     /*    6171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6178 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6186 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6211 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6228 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6244 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6259 */     GIR_RootConstrainSelectedInstOperands,
     /*    6260 */     // GIR_Coverage, 64148,
     /*    6260 */     GIR_EraseRootFromParent_Done,
     /*    6261 */   // Label 221: @6261
     /*    6261 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6329), // Rule ID 64095 //
     /*    6266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6281 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6306 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6316 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6327 */     GIR_RootConstrainSelectedInstOperands,
     /*    6328 */     // GIR_Coverage, 64095,
     /*    6328 */     GIR_EraseRootFromParent_Done,
     /*    6329 */   // Label 222: @6329
     /*    6329 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6397), // Rule ID 64103 //
     /*    6334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6341 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6384 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6395 */     GIR_RootConstrainSelectedInstOperands,
     /*    6396 */     // GIR_Coverage, 64103,
     /*    6396 */     GIR_EraseRootFromParent_Done,
     /*    6397 */   // Label 223: @6397
     /*    6397 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6465), // Rule ID 64111 //
     /*    6402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6409 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6417 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6442 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6452 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6463 */     GIR_RootConstrainSelectedInstOperands,
     /*    6464 */     // GIR_Coverage, 64111,
     /*    6464 */     GIR_EraseRootFromParent_Done,
     /*    6465 */   // Label 224: @6465
     /*    6465 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6544), // Rule ID 61836 //
     /*    6470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6477 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6510 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6514 */     // MIs[2] Operand 1
     /*    6514 */     // No operand predicates
     /*    6514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6528 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6542 */     GIR_RootConstrainSelectedInstOperands,
     /*    6543 */     // GIR_Coverage, 61836,
     /*    6543 */     GIR_EraseRootFromParent_Done,
     /*    6544 */   // Label 225: @6544
     /*    6544 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6623), // Rule ID 72649 //
     /*    6549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6564 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6597 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6601 */     // MIs[2] Operand 1
     /*    6601 */     // No operand predicates
     /*    6601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6607 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6621 */     GIR_RootConstrainSelectedInstOperands,
     /*    6622 */     // GIR_Coverage, 72649,
     /*    6622 */     GIR_EraseRootFromParent_Done,
     /*    6623 */   // Label 226: @6623
     /*    6623 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6672), // Rule ID 114 //
     /*    6628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6643 */     // MIs[1] Operand 1
     /*    6643 */     // No operand predicates
     /*    6643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6651 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6655 */     // MIs[2] Operand 1
     /*    6655 */     // No operand predicates
     /*    6655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6657 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6662 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6670 */     GIR_RootConstrainSelectedInstOperands,
     /*    6671 */     // GIR_Coverage, 114,
     /*    6671 */     GIR_EraseRootFromParent_Done,
     /*    6672 */   // Label 227: @6672
     /*    6672 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6718), // Rule ID 265 //
     /*    6677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6700 */     // MIs[1] Operand 1
     /*    6700 */     // No operand predicates
     /*    6700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9628),
     /*    6704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6706 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_9628>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6716 */     GIR_RootConstrainSelectedInstOperands,
     /*    6717 */     // GIR_Coverage, 265,
     /*    6717 */     GIR_EraseRootFromParent_Done,
     /*    6718 */   // Label 228: @6718
     /*    6718 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6794), // Rule ID 286 //
     /*    6723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6746 */     // MIs[1] Operand 1
     /*    6746 */     // No operand predicates
     /*    6746 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9655),
     /*    6750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9628),
     /*    6754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6756 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9655>>:$rs2)<<P:Predicate_anonymous_9628>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6772 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6787 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6792 */     GIR_RootConstrainSelectedInstOperands,
     /*    6793 */     // GIR_Coverage, 286,
     /*    6793 */     GIR_EraseRootFromParent_Done,
     /*    6794 */   // Label 229: @6794
     /*    6794 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6859), // Rule ID 72665 //
     /*    6799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9628),
     /*    6840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6842 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_9628>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6857 */     GIR_RootConstrainSelectedInstOperands,
     /*    6858 */     // GIR_Coverage, 72665,
     /*    6858 */     GIR_EraseRootFromParent_Done,
     /*    6859 */   // Label 230: @6859
     /*    6859 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6924), // Rule ID 61908 //
     /*    6864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9628),
     /*    6905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6907 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9628>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6922 */     GIR_RootConstrainSelectedInstOperands,
     /*    6923 */     // GIR_Coverage, 61908,
     /*    6923 */     GIR_EraseRootFromParent_Done,
     /*    6924 */   // Label 231: @6924
     /*    6924 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6966), // Rule ID 74 //
     /*    6929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6952 */     // MIs[1] Operand 1
     /*    6952 */     // No operand predicates
     /*    6952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6954 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6964 */     GIR_RootConstrainSelectedInstOperands,
     /*    6965 */     // GIR_Coverage, 74,
     /*    6965 */     GIR_EraseRootFromParent_Done,
     /*    6966 */   // Label 232: @6966
     /*    6966 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(7038), // Rule ID 284 //
     /*    6971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6994 */     // MIs[1] Operand 1
     /*    6994 */     // No operand predicates
     /*    6994 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9655),
     /*    6998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7000 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9655>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7016 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7031 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7036 */     GIR_RootConstrainSelectedInstOperands,
     /*    7037 */     // GIR_Coverage, 284,
     /*    7037 */     GIR_EraseRootFromParent_Done,
     /*    7038 */   // Label 233: @7038
     /*    7038 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7099), // Rule ID 72663 //
     /*    7043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7082 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7097 */     GIR_RootConstrainSelectedInstOperands,
     /*    7098 */     // GIR_Coverage, 72663,
     /*    7098 */     GIR_EraseRootFromParent_Done,
     /*    7099 */   // Label 234: @7099
     /*    7099 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7160), // Rule ID 61904 //
     /*    7104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7158 */     GIR_RootConstrainSelectedInstOperands,
     /*    7159 */     // GIR_Coverage, 61904,
     /*    7159 */     GIR_EraseRootFromParent_Done,
     /*    7160 */   // Label 235: @7160
     /*    7160 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7191), // Rule ID 264 //
     /*    7165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9628),
     /*    7184 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9628>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7189 */     GIR_RootConstrainSelectedInstOperands,
     /*    7190 */     // GIR_Coverage, 264,
     /*    7190 */     GIR_Done,
     /*    7191 */   // Label 236: @7191
     /*    7191 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7218), // Rule ID 72 //
     /*    7196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7211 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7216 */     GIR_RootConstrainSelectedInstOperands,
     /*    7217 */     // GIR_Coverage, 72,
     /*    7217 */     GIR_Done,
     /*    7218 */   // Label 237: @7218
     /*    7218 */   GIM_Reject,
     /*    7219 */ // Label 174: @7219
     /*    7219 */ GIM_Reject,
     /*    7220 */ // Label 124: @7220
     /*    7220 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7334),
     /*    7225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7243 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7288), // Rule ID 45428 //
     /*    7248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7251 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7286 */     GIR_RootConstrainSelectedInstOperands,
     /*    7287 */     // GIR_Coverage, 45428,
     /*    7287 */     GIR_EraseRootFromParent_Done,
     /*    7288 */   // Label 239: @7288
     /*    7288 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7333), // Rule ID 45429 //
     /*    7293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7296 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7331 */     GIR_RootConstrainSelectedInstOperands,
     /*    7332 */     // GIR_Coverage, 45429,
     /*    7332 */     GIR_EraseRootFromParent_Done,
     /*    7333 */   // Label 240: @7333
     /*    7333 */   GIM_Reject,
     /*    7334 */ // Label 238: @7334
     /*    7334 */ GIM_Reject,
     /*    7335 */ // Label 125: @7335
     /*    7335 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7449),
     /*    7340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7358 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7403), // Rule ID 45784 //
     /*    7363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7366 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    7366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    7369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7401 */     GIR_RootConstrainSelectedInstOperands,
     /*    7402 */     // GIR_Coverage, 45784,
     /*    7402 */     GIR_EraseRootFromParent_Done,
     /*    7403 */   // Label 242: @7403
     /*    7403 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7448), // Rule ID 45785 //
     /*    7408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7411 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    7411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    7414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7446 */     GIR_RootConstrainSelectedInstOperands,
     /*    7447 */     // GIR_Coverage, 45785,
     /*    7447 */     GIR_EraseRootFromParent_Done,
     /*    7448 */   // Label 243: @7448
     /*    7448 */   GIM_Reject,
     /*    7449 */ // Label 241: @7449
     /*    7449 */ GIM_Reject,
     /*    7450 */ // Label 126: @7450
     /*    7450 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7564),
     /*    7455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*    7458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*    7461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7473 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7518), // Rule ID 45792 //
     /*    7478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7481 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    7481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*    7484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7516 */     GIR_RootConstrainSelectedInstOperands,
     /*    7517 */     // GIR_Coverage, 45792,
     /*    7517 */     GIR_EraseRootFromParent_Done,
     /*    7518 */   // Label 245: @7518
     /*    7518 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7563), // Rule ID 45793 //
     /*    7523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7526 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    7526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*    7529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7561 */     GIR_RootConstrainSelectedInstOperands,
     /*    7562 */     // GIR_Coverage, 45793,
     /*    7562 */     GIR_EraseRootFromParent_Done,
     /*    7563 */   // Label 246: @7563
     /*    7563 */   GIM_Reject,
     /*    7564 */ // Label 244: @7564
     /*    7564 */ GIM_Reject,
     /*    7565 */ // Label 127: @7565
     /*    7565 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7679),
     /*    7570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*    7573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*    7576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7588 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7633), // Rule ID 45808 //
     /*    7593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    7596 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    7596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*    7599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    7628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7631 */     GIR_RootConstrainSelectedInstOperands,
     /*    7632 */     // GIR_Coverage, 45808,
     /*    7632 */     GIR_EraseRootFromParent_Done,
     /*    7633 */   // Label 248: @7633
     /*    7633 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7678), // Rule ID 45809 //
     /*    7638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    7641 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    7641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*    7644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    7673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7676 */     GIR_RootConstrainSelectedInstOperands,
     /*    7677 */     // GIR_Coverage, 45809,
     /*    7677 */     GIR_EraseRootFromParent_Done,
     /*    7678 */   // Label 249: @7678
     /*    7678 */   GIM_Reject,
     /*    7679 */ // Label 247: @7679
     /*    7679 */ GIM_Reject,
     /*    7680 */ // Label 128: @7680
     /*    7680 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7794),
     /*    7685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*    7688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*    7691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7703 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7748), // Rule ID 45776 //
     /*    7708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7711 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*    7714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7746 */     GIR_RootConstrainSelectedInstOperands,
     /*    7747 */     // GIR_Coverage, 45776,
     /*    7747 */     GIR_EraseRootFromParent_Done,
     /*    7748 */   // Label 251: @7748
     /*    7748 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7793), // Rule ID 45777 //
     /*    7753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7756 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*    7759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7791 */     GIR_RootConstrainSelectedInstOperands,
     /*    7792 */     // GIR_Coverage, 45777,
     /*    7792 */     GIR_EraseRootFromParent_Done,
     /*    7793 */   // Label 252: @7793
     /*    7793 */   GIM_Reject,
     /*    7794 */ // Label 250: @7794
     /*    7794 */ GIM_Reject,
     /*    7795 */ // Label 129: @7795
     /*    7795 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7909),
     /*    7800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*    7803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*    7806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7818 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7863), // Rule ID 45788 //
     /*    7823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7826 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    7826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*    7829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7861 */     GIR_RootConstrainSelectedInstOperands,
     /*    7862 */     // GIR_Coverage, 45788,
     /*    7862 */     GIR_EraseRootFromParent_Done,
     /*    7863 */   // Label 254: @7863
     /*    7863 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(7908), // Rule ID 45789 //
     /*    7868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7871 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    7871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*    7874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7906 */     GIR_RootConstrainSelectedInstOperands,
     /*    7907 */     // GIR_Coverage, 45789,
     /*    7907 */     GIR_EraseRootFromParent_Done,
     /*    7908 */   // Label 255: @7908
     /*    7908 */   GIM_Reject,
     /*    7909 */ // Label 253: @7909
     /*    7909 */ GIM_Reject,
     /*    7910 */ // Label 130: @7910
     /*    7910 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8024),
     /*    7915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*    7918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*    7921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7933 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(7978), // Rule ID 45804 //
     /*    7938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7941 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    7941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*    7944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7976 */     GIR_RootConstrainSelectedInstOperands,
     /*    7977 */     // GIR_Coverage, 45804,
     /*    7977 */     GIR_EraseRootFromParent_Done,
     /*    7978 */   // Label 257: @7978
     /*    7978 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8023), // Rule ID 45805 //
     /*    7983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7986 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    7986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*    7989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8021 */     GIR_RootConstrainSelectedInstOperands,
     /*    8022 */     // GIR_Coverage, 45805,
     /*    8022 */     GIR_EraseRootFromParent_Done,
     /*    8023 */   // Label 258: @8023
     /*    8023 */   GIM_Reject,
     /*    8024 */ // Label 256: @8024
     /*    8024 */ GIM_Reject,
     /*    8025 */ // Label 131: @8025
     /*    8025 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8139),
     /*    8030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*    8033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*    8036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8048 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8093), // Rule ID 45848 //
     /*    8053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8056 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*    8059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8091 */     GIR_RootConstrainSelectedInstOperands,
     /*    8092 */     // GIR_Coverage, 45848,
     /*    8092 */     GIR_EraseRootFromParent_Done,
     /*    8093 */   // Label 260: @8093
     /*    8093 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8138), // Rule ID 45849 //
     /*    8098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    8101 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    8101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*    8104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8136 */     GIR_RootConstrainSelectedInstOperands,
     /*    8137 */     // GIR_Coverage, 45849,
     /*    8137 */     GIR_EraseRootFromParent_Done,
     /*    8138 */   // Label 261: @8138
     /*    8138 */   GIM_Reject,
     /*    8139 */ // Label 259: @8139
     /*    8139 */ GIM_Reject,
     /*    8140 */ // Label 132: @8140
     /*    8140 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8254),
     /*    8145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*    8148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*    8151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8163 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8208), // Rule ID 45780 //
     /*    8168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8171 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    8171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*    8174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    8188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8206 */     GIR_RootConstrainSelectedInstOperands,
     /*    8207 */     // GIR_Coverage, 45780,
     /*    8207 */     GIR_EraseRootFromParent_Done,
     /*    8208 */   // Label 263: @8208
     /*    8208 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8253), // Rule ID 45781 //
     /*    8213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8216 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    8216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*    8219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    8233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8251 */     GIR_RootConstrainSelectedInstOperands,
     /*    8252 */     // GIR_Coverage, 45781,
     /*    8252 */     GIR_EraseRootFromParent_Done,
     /*    8253 */   // Label 264: @8253
     /*    8253 */   GIM_Reject,
     /*    8254 */ // Label 262: @8254
     /*    8254 */ GIM_Reject,
     /*    8255 */ // Label 133: @8255
     /*    8255 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8369),
     /*    8260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*    8263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*    8266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8278 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8323), // Rule ID 45800 //
     /*    8283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8286 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    8286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*    8289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8321 */     GIR_RootConstrainSelectedInstOperands,
     /*    8322 */     // GIR_Coverage, 45800,
     /*    8322 */     GIR_EraseRootFromParent_Done,
     /*    8323 */   // Label 266: @8323
     /*    8323 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(8368), // Rule ID 45801 //
     /*    8328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8331 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    8331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*    8334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8366 */     GIR_RootConstrainSelectedInstOperands,
     /*    8367 */     // GIR_Coverage, 45801,
     /*    8367 */     GIR_EraseRootFromParent_Done,
     /*    8368 */   // Label 267: @8368
     /*    8368 */   GIM_Reject,
     /*    8369 */ // Label 265: @8369
     /*    8369 */ GIM_Reject,
     /*    8370 */ // Label 134: @8370
     /*    8370 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(8484),
     /*    8375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*    8378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*    8381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8393 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(8438), // Rule ID 45836 //
     /*    8398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8401 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    8401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*    8404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8436 */     GIR_RootConstrainSelectedInstOperands,
     /*    8437 */     // GIR_Coverage, 45836,
     /*    8437 */     GIR_EraseRootFromParent_Done,
     /*    8438 */   // Label 269: @8438
     /*    8438 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(8483), // Rule ID 45837 //
     /*    8443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8446 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    8446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*    8449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8481 */     GIR_RootConstrainSelectedInstOperands,
     /*    8482 */     // GIR_Coverage, 45837,
     /*    8482 */     GIR_EraseRootFromParent_Done,
     /*    8483 */   // Label 270: @8483
     /*    8483 */   GIM_Reject,
     /*    8484 */ // Label 268: @8484
     /*    8484 */ GIM_Reject,
     /*    8485 */ // Label 135: @8485
     /*    8485 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(8599),
     /*    8490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*    8493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*    8496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8508 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(8553), // Rule ID 45852 //
     /*    8513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8516 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*    8519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8551 */     GIR_RootConstrainSelectedInstOperands,
     /*    8552 */     // GIR_Coverage, 45852,
     /*    8552 */     GIR_EraseRootFromParent_Done,
     /*    8553 */   // Label 272: @8553
     /*    8553 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(8598), // Rule ID 45853 //
     /*    8558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    8561 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    8561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*    8564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8596 */     GIR_RootConstrainSelectedInstOperands,
     /*    8597 */     // GIR_Coverage, 45853,
     /*    8597 */     GIR_EraseRootFromParent_Done,
     /*    8598 */   // Label 273: @8598
     /*    8598 */   GIM_Reject,
     /*    8599 */ // Label 271: @8599
     /*    8599 */ GIM_Reject,
     /*    8600 */ // Label 136: @8600
     /*    8600 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(8714),
     /*    8605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*    8608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*    8611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8623 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(8668), // Rule ID 45796 //
     /*    8628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8631 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    8631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*    8634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8666 */     GIR_RootConstrainSelectedInstOperands,
     /*    8667 */     // GIR_Coverage, 45796,
     /*    8667 */     GIR_EraseRootFromParent_Done,
     /*    8668 */   // Label 275: @8668
     /*    8668 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(8713), // Rule ID 45797 //
     /*    8673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8676 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    8676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*    8679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8711 */     GIR_RootConstrainSelectedInstOperands,
     /*    8712 */     // GIR_Coverage, 45797,
     /*    8712 */     GIR_EraseRootFromParent_Done,
     /*    8713 */   // Label 276: @8713
     /*    8713 */   GIM_Reject,
     /*    8714 */ // Label 274: @8714
     /*    8714 */ GIM_Reject,
     /*    8715 */ // Label 137: @8715
     /*    8715 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(8829),
     /*    8720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*    8723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*    8726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8738 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(8783), // Rule ID 45824 //
     /*    8743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8746 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    8746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*    8749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8781 */     GIR_RootConstrainSelectedInstOperands,
     /*    8782 */     // GIR_Coverage, 45824,
     /*    8782 */     GIR_EraseRootFromParent_Done,
     /*    8783 */   // Label 278: @8783
     /*    8783 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(8828), // Rule ID 45825 //
     /*    8788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8791 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    8791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*    8794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8826 */     GIR_RootConstrainSelectedInstOperands,
     /*    8827 */     // GIR_Coverage, 45825,
     /*    8827 */     GIR_EraseRootFromParent_Done,
     /*    8828 */   // Label 279: @8828
     /*    8828 */   GIM_Reject,
     /*    8829 */ // Label 277: @8829
     /*    8829 */ GIM_Reject,
     /*    8830 */ // Label 138: @8830
     /*    8830 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(8944),
     /*    8835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*    8838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*    8841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8853 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(8898), // Rule ID 45840 //
     /*    8858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8861 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    8861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*    8864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8896 */     GIR_RootConstrainSelectedInstOperands,
     /*    8897 */     // GIR_Coverage, 45840,
     /*    8897 */     GIR_EraseRootFromParent_Done,
     /*    8898 */   // Label 281: @8898
     /*    8898 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(8943), // Rule ID 45841 //
     /*    8903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8906 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    8906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*    8909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8941 */     GIR_RootConstrainSelectedInstOperands,
     /*    8942 */     // GIR_Coverage, 45841,
     /*    8942 */     GIR_EraseRootFromParent_Done,
     /*    8943 */   // Label 282: @8943
     /*    8943 */   GIM_Reject,
     /*    8944 */ // Label 280: @8944
     /*    8944 */ GIM_Reject,
     /*    8945 */ // Label 139: @8945
     /*    8945 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(9059),
     /*    8950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*    8953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*    8956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8968 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(9013), // Rule ID 45856 //
     /*    8973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8976 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*    8979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    8993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    9008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9011 */     GIR_RootConstrainSelectedInstOperands,
     /*    9012 */     // GIR_Coverage, 45856,
     /*    9012 */     GIR_EraseRootFromParent_Done,
     /*    9013 */   // Label 284: @9013
     /*    9013 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(9058), // Rule ID 45857 //
     /*    9018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    9021 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    9021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*    9024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 45857,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 285: @9058
     /*    9058 */   GIM_Reject,
     /*    9059 */ // Label 283: @9059
     /*    9059 */ GIM_Reject,
     /*    9060 */ // Label 140: @9060
     /*    9060 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(9174),
     /*    9065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*    9068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*    9071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9083 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(9128), // Rule ID 45812 //
     /*    9088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9091 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*    9094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    9108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9126 */     GIR_RootConstrainSelectedInstOperands,
     /*    9127 */     // GIR_Coverage, 45812,
     /*    9127 */     GIR_EraseRootFromParent_Done,
     /*    9128 */   // Label 287: @9128
     /*    9128 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(9173), // Rule ID 45813 //
     /*    9133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9136 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*    9139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    9153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9171 */     GIR_RootConstrainSelectedInstOperands,
     /*    9172 */     // GIR_Coverage, 45813,
     /*    9172 */     GIR_EraseRootFromParent_Done,
     /*    9173 */   // Label 288: @9173
     /*    9173 */   GIM_Reject,
     /*    9174 */ // Label 286: @9174
     /*    9174 */ GIM_Reject,
     /*    9175 */ // Label 141: @9175
     /*    9175 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(9289),
     /*    9180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*    9183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*    9186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9198 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(9243), // Rule ID 45828 //
     /*    9203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9206 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    9206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*    9209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9241 */     GIR_RootConstrainSelectedInstOperands,
     /*    9242 */     // GIR_Coverage, 45828,
     /*    9242 */     GIR_EraseRootFromParent_Done,
     /*    9243 */   // Label 290: @9243
     /*    9243 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(9288), // Rule ID 45829 //
     /*    9248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9251 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    9251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*    9254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9286 */     GIR_RootConstrainSelectedInstOperands,
     /*    9287 */     // GIR_Coverage, 45829,
     /*    9287 */     GIR_EraseRootFromParent_Done,
     /*    9288 */   // Label 291: @9288
     /*    9288 */   GIM_Reject,
     /*    9289 */ // Label 289: @9289
     /*    9289 */ GIM_Reject,
     /*    9290 */ // Label 142: @9290
     /*    9290 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(9404),
     /*    9295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*    9298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*    9301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9313 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(9358), // Rule ID 45844 //
     /*    9318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9321 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    9321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*    9324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    9353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9356 */     GIR_RootConstrainSelectedInstOperands,
     /*    9357 */     // GIR_Coverage, 45844,
     /*    9357 */     GIR_EraseRootFromParent_Done,
     /*    9358 */   // Label 293: @9358
     /*    9358 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(9403), // Rule ID 45845 //
     /*    9363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9366 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    9366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*    9369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    9398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9401 */     GIR_RootConstrainSelectedInstOperands,
     /*    9402 */     // GIR_Coverage, 45845,
     /*    9402 */     GIR_EraseRootFromParent_Done,
     /*    9403 */   // Label 294: @9403
     /*    9403 */   GIM_Reject,
     /*    9404 */ // Label 292: @9404
     /*    9404 */ GIM_Reject,
     /*    9405 */ // Label 143: @9405
     /*    9405 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(9519),
     /*    9410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*    9413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*    9416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(9473), // Rule ID 45816 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*    9439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9471 */     GIR_RootConstrainSelectedInstOperands,
     /*    9472 */     // GIR_Coverage, 45816,
     /*    9472 */     GIR_EraseRootFromParent_Done,
     /*    9473 */   // Label 296: @9473
     /*    9473 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(9518), // Rule ID 45817 //
     /*    9478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9481 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*    9484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9516 */     GIR_RootConstrainSelectedInstOperands,
     /*    9517 */     // GIR_Coverage, 45817,
     /*    9517 */     GIR_EraseRootFromParent_Done,
     /*    9518 */   // Label 297: @9518
     /*    9518 */   GIM_Reject,
     /*    9519 */ // Label 295: @9519
     /*    9519 */ GIM_Reject,
     /*    9520 */ // Label 144: @9520
     /*    9520 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(9634),
     /*    9525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*    9528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*    9531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9543 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(9588), // Rule ID 45832 //
     /*    9548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9551 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    9551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*    9554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9586 */     GIR_RootConstrainSelectedInstOperands,
     /*    9587 */     // GIR_Coverage, 45832,
     /*    9587 */     GIR_EraseRootFromParent_Done,
     /*    9588 */   // Label 299: @9588
     /*    9588 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(9633), // Rule ID 45833 //
     /*    9593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9596 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    9596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*    9599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9631 */     GIR_RootConstrainSelectedInstOperands,
     /*    9632 */     // GIR_Coverage, 45833,
     /*    9632 */     GIR_EraseRootFromParent_Done,
     /*    9633 */   // Label 300: @9633
     /*    9633 */   GIM_Reject,
     /*    9634 */ // Label 298: @9634
     /*    9634 */ GIM_Reject,
     /*    9635 */ // Label 145: @9635
     /*    9635 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(9749),
     /*    9640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*    9643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*    9646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9658 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(9703), // Rule ID 45820 //
     /*    9663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9666 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*    9669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9701 */     GIR_RootConstrainSelectedInstOperands,
     /*    9702 */     // GIR_Coverage, 45820,
     /*    9702 */     GIR_EraseRootFromParent_Done,
     /*    9703 */   // Label 302: @9703
     /*    9703 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(9748), // Rule ID 45821 //
     /*    9708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9711 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*    9714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9746 */     GIR_RootConstrainSelectedInstOperands,
     /*    9747 */     // GIR_Coverage, 45821,
     /*    9747 */     GIR_EraseRootFromParent_Done,
     /*    9748 */   // Label 303: @9748
     /*    9748 */   GIM_Reject,
     /*    9749 */ // Label 301: @9749
     /*    9749 */ GIM_Reject,
     /*    9750 */ // Label 146: @9750
     /*    9750 */ GIM_Reject,
     /*    9751 */ // Label 1: @9751
     /*    9751 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 328*/ GIMT_Encode4(12706),
     /*    9762 */ /*GILLT_s32*//*Label 304*/ GIMT_Encode4(9886),
     /*    9766 */ /*GILLT_s64*//*Label 305*/ GIMT_Encode4(9979), GIMT_Encode4(0),
     /*    9774 */ /*GILLT_nxv1s8*//*Label 306*/ GIMT_Encode4(10176),
     /*    9778 */ /*GILLT_nxv1s16*//*Label 307*/ GIMT_Encode4(10291),
     /*    9782 */ /*GILLT_nxv1s32*//*Label 308*/ GIMT_Encode4(10406),
     /*    9786 */ /*GILLT_nxv1s64*//*Label 309*/ GIMT_Encode4(10521), GIMT_Encode4(0),
     /*    9794 */ /*GILLT_nxv2s8*//*Label 310*/ GIMT_Encode4(10636),
     /*    9798 */ /*GILLT_nxv2s16*//*Label 311*/ GIMT_Encode4(10751),
     /*    9802 */ /*GILLT_nxv2s32*//*Label 312*/ GIMT_Encode4(10866),
     /*    9806 */ /*GILLT_nxv2s64*//*Label 313*/ GIMT_Encode4(10981), GIMT_Encode4(0),
     /*    9814 */ /*GILLT_nxv4s8*//*Label 314*/ GIMT_Encode4(11096),
     /*    9818 */ /*GILLT_nxv4s16*//*Label 315*/ GIMT_Encode4(11211),
     /*    9822 */ /*GILLT_nxv4s32*//*Label 316*/ GIMT_Encode4(11326),
     /*    9826 */ /*GILLT_nxv4s64*//*Label 317*/ GIMT_Encode4(11441), GIMT_Encode4(0),
     /*    9834 */ /*GILLT_nxv8s8*//*Label 318*/ GIMT_Encode4(11556),
     /*    9838 */ /*GILLT_nxv8s16*//*Label 319*/ GIMT_Encode4(11671),
     /*    9842 */ /*GILLT_nxv8s32*//*Label 320*/ GIMT_Encode4(11786),
     /*    9846 */ /*GILLT_nxv8s64*//*Label 321*/ GIMT_Encode4(11901), GIMT_Encode4(0),
     /*    9854 */ /*GILLT_nxv16s8*//*Label 322*/ GIMT_Encode4(12016),
     /*    9858 */ /*GILLT_nxv16s16*//*Label 323*/ GIMT_Encode4(12131),
     /*    9862 */ /*GILLT_nxv16s32*//*Label 324*/ GIMT_Encode4(12246), GIMT_Encode4(0),
     /*    9870 */ /*GILLT_nxv32s8*//*Label 325*/ GIMT_Encode4(12361),
     /*    9874 */ /*GILLT_nxv32s16*//*Label 326*/ GIMT_Encode4(12476), GIMT_Encode4(0),
     /*    9882 */ /*GILLT_nxv64s8*//*Label 327*/ GIMT_Encode4(12591),
     /*    9886 */ // Label 304: @9886
     /*    9886 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(9978),
     /*    9891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    9894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    9897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9905 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(9958), // Rule ID 61907 //
     /*    9910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    9913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    9925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    9929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9941 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    9941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*    9944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    9946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    9956 */     GIR_RootConstrainSelectedInstOperands,
     /*    9957 */     // GIR_Coverage, 61907,
     /*    9957 */     GIR_EraseRootFromParent_Done,
     /*    9958 */   // Label 330: @9958
     /*    9958 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(9977), // Rule ID 77 //
     /*    9963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    9966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9970 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    9970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*    9975 */     GIR_RootConstrainSelectedInstOperands,
     /*    9976 */     // GIR_Coverage, 77,
     /*    9976 */     GIR_Done,
     /*    9977 */   // Label 331: @9977
     /*    9977 */   GIM_Reject,
     /*    9978 */ // Label 329: @9978
     /*    9978 */ GIM_Reject,
     /*    9979 */ // Label 305: @9979
     /*    9979 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(10175),
     /*    9984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    9987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    9990 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(10055), // Rule ID 61909 //
     /*    9995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    9998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9632),
     /*   10036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10038 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9632>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   10041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   10043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   10045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   10053 */     GIR_RootConstrainSelectedInstOperands,
     /*   10054 */     // GIR_Coverage, 61909,
     /*   10054 */     GIR_EraseRootFromParent_Done,
     /*   10055 */   // Label 333: @10055
     /*   10055 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(10116), // Rule ID 61906 //
     /*   10060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   10063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10099 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   10102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   10104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   10106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   10114 */     GIR_RootConstrainSelectedInstOperands,
     /*   10115 */     // GIR_Coverage, 61906,
     /*   10115 */     GIR_EraseRootFromParent_Done,
     /*   10116 */   // Label 334: @10116
     /*   10116 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(10147), // Rule ID 267 //
     /*   10121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10136 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9632),
     /*   10140 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9632>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   10145 */     GIR_RootConstrainSelectedInstOperands,
     /*   10146 */     // GIR_Coverage, 267,
     /*   10146 */     GIR_Done,
     /*   10147 */   // Label 335: @10147
     /*   10147 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(10174), // Rule ID 76 //
     /*   10152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10167 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   10172 */     GIR_RootConstrainSelectedInstOperands,
     /*   10173 */     // GIR_Coverage, 76,
     /*   10173 */     GIR_Done,
     /*   10174 */   // Label 336: @10174
     /*   10174 */   GIM_Reject,
     /*   10175 */ // Label 332: @10175
     /*   10175 */ GIM_Reject,
     /*   10176 */ // Label 306: @10176
     /*   10176 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(10290),
     /*   10181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   10187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10199 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(10244), // Rule ID 45902 //
     /*   10204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10207 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   10207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   10210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   10224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10242 */     GIR_RootConstrainSelectedInstOperands,
     /*   10243 */     // GIR_Coverage, 45902,
     /*   10243 */     GIR_EraseRootFromParent_Done,
     /*   10244 */   // Label 338: @10244
     /*   10244 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(10289), // Rule ID 45903 //
     /*   10249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10252 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   10252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   10255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   10269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10287 */     GIR_RootConstrainSelectedInstOperands,
     /*   10288 */     // GIR_Coverage, 45903,
     /*   10288 */     GIR_EraseRootFromParent_Done,
     /*   10289 */   // Label 339: @10289
     /*   10289 */   GIM_Reject,
     /*   10290 */ // Label 337: @10290
     /*   10290 */ GIM_Reject,
     /*   10291 */ // Label 307: @10291
     /*   10291 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(10405),
     /*   10296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10314 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(10359), // Rule ID 45914 //
     /*   10319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10322 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10357 */     GIR_RootConstrainSelectedInstOperands,
     /*   10358 */     // GIR_Coverage, 45914,
     /*   10358 */     GIR_EraseRootFromParent_Done,
     /*   10359 */   // Label 341: @10359
     /*   10359 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(10404), // Rule ID 45915 //
     /*   10364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10367 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10402 */     GIR_RootConstrainSelectedInstOperands,
     /*   10403 */     // GIR_Coverage, 45915,
     /*   10403 */     GIR_EraseRootFromParent_Done,
     /*   10404 */   // Label 342: @10404
     /*   10404 */   GIM_Reject,
     /*   10405 */ // Label 340: @10405
     /*   10405 */ GIM_Reject,
     /*   10406 */ // Label 308: @10406
     /*   10406 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(10520),
     /*   10411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10429 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(10474), // Rule ID 45922 //
     /*   10434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10437 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   10437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   10440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10472 */     GIR_RootConstrainSelectedInstOperands,
     /*   10473 */     // GIR_Coverage, 45922,
     /*   10473 */     GIR_EraseRootFromParent_Done,
     /*   10474 */   // Label 344: @10474
     /*   10474 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(10519), // Rule ID 45923 //
     /*   10479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10482 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   10482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   10485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10517 */     GIR_RootConstrainSelectedInstOperands,
     /*   10518 */     // GIR_Coverage, 45923,
     /*   10518 */     GIR_EraseRootFromParent_Done,
     /*   10519 */   // Label 345: @10519
     /*   10519 */   GIM_Reject,
     /*   10520 */ // Label 343: @10520
     /*   10520 */ GIM_Reject,
     /*   10521 */ // Label 309: @10521
     /*   10521 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(10635),
     /*   10526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   10529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   10532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10544 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(10589), // Rule ID 45938 //
     /*   10549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   10552 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   10552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   10555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   10584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10587 */     GIR_RootConstrainSelectedInstOperands,
     /*   10588 */     // GIR_Coverage, 45938,
     /*   10588 */     GIR_EraseRootFromParent_Done,
     /*   10589 */   // Label 347: @10589
     /*   10589 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(10634), // Rule ID 45939 //
     /*   10594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   10597 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   10597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   10600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   10629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10632 */     GIR_RootConstrainSelectedInstOperands,
     /*   10633 */     // GIR_Coverage, 45939,
     /*   10633 */     GIR_EraseRootFromParent_Done,
     /*   10634 */   // Label 348: @10634
     /*   10634 */   GIM_Reject,
     /*   10635 */ // Label 346: @10635
     /*   10635 */ GIM_Reject,
     /*   10636 */ // Label 310: @10636
     /*   10636 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(10750),
     /*   10641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   10644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   10647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10659 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(10704), // Rule ID 45906 //
     /*   10664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10667 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   10667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   10670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10702 */     GIR_RootConstrainSelectedInstOperands,
     /*   10703 */     // GIR_Coverage, 45906,
     /*   10703 */     GIR_EraseRootFromParent_Done,
     /*   10704 */   // Label 350: @10704
     /*   10704 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(10749), // Rule ID 45907 //
     /*   10709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10712 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   10712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   10715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10747 */     GIR_RootConstrainSelectedInstOperands,
     /*   10748 */     // GIR_Coverage, 45907,
     /*   10748 */     GIR_EraseRootFromParent_Done,
     /*   10749 */   // Label 351: @10749
     /*   10749 */   GIM_Reject,
     /*   10750 */ // Label 349: @10750
     /*   10750 */ GIM_Reject,
     /*   10751 */ // Label 311: @10751
     /*   10751 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(10865),
     /*   10756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   10759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   10762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10774 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(10819), // Rule ID 45918 //
     /*   10779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10782 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   10785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10817 */     GIR_RootConstrainSelectedInstOperands,
     /*   10818 */     // GIR_Coverage, 45918,
     /*   10818 */     GIR_EraseRootFromParent_Done,
     /*   10819 */   // Label 353: @10819
     /*   10819 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(10864), // Rule ID 45919 //
     /*   10824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10827 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   10830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10862 */     GIR_RootConstrainSelectedInstOperands,
     /*   10863 */     // GIR_Coverage, 45919,
     /*   10863 */     GIR_EraseRootFromParent_Done,
     /*   10864 */   // Label 354: @10864
     /*   10864 */   GIM_Reject,
     /*   10865 */ // Label 352: @10865
     /*   10865 */ GIM_Reject,
     /*   10866 */ // Label 312: @10866
     /*   10866 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(10980),
     /*   10871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   10874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   10877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10889 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(10934), // Rule ID 45934 //
     /*   10894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10897 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   10897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   10900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10932 */     GIR_RootConstrainSelectedInstOperands,
     /*   10933 */     // GIR_Coverage, 45934,
     /*   10933 */     GIR_EraseRootFromParent_Done,
     /*   10934 */   // Label 356: @10934
     /*   10934 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(10979), // Rule ID 45935 //
     /*   10939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10942 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   10942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   10945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10977 */     GIR_RootConstrainSelectedInstOperands,
     /*   10978 */     // GIR_Coverage, 45935,
     /*   10978 */     GIR_EraseRootFromParent_Done,
     /*   10979 */   // Label 357: @10979
     /*   10979 */   GIM_Reject,
     /*   10980 */ // Label 355: @10980
     /*   10980 */ GIM_Reject,
     /*   10981 */ // Label 313: @10981
     /*   10981 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(11095),
     /*   10986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   10989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   10992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   10996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11004 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(11049), // Rule ID 45978 //
     /*   11009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11012 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   11015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11047 */     GIR_RootConstrainSelectedInstOperands,
     /*   11048 */     // GIR_Coverage, 45978,
     /*   11048 */     GIR_EraseRootFromParent_Done,
     /*   11049 */   // Label 359: @11049
     /*   11049 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(11094), // Rule ID 45979 //
     /*   11054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11057 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   11060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11092 */     GIR_RootConstrainSelectedInstOperands,
     /*   11093 */     // GIR_Coverage, 45979,
     /*   11093 */     GIR_EraseRootFromParent_Done,
     /*   11094 */   // Label 360: @11094
     /*   11094 */   GIM_Reject,
     /*   11095 */ // Label 358: @11095
     /*   11095 */ GIM_Reject,
     /*   11096 */ // Label 314: @11096
     /*   11096 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(11210),
     /*   11101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   11104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   11107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11119 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(11164), // Rule ID 45910 //
     /*   11124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11127 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   11130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   11144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11162 */     GIR_RootConstrainSelectedInstOperands,
     /*   11163 */     // GIR_Coverage, 45910,
     /*   11163 */     GIR_EraseRootFromParent_Done,
     /*   11164 */   // Label 362: @11164
     /*   11164 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(11209), // Rule ID 45911 //
     /*   11169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11172 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   11175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   11189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11207 */     GIR_RootConstrainSelectedInstOperands,
     /*   11208 */     // GIR_Coverage, 45911,
     /*   11208 */     GIR_EraseRootFromParent_Done,
     /*   11209 */   // Label 363: @11209
     /*   11209 */   GIM_Reject,
     /*   11210 */ // Label 361: @11210
     /*   11210 */ GIM_Reject,
     /*   11211 */ // Label 315: @11211
     /*   11211 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(11325),
     /*   11216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   11219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   11222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11234 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(11279), // Rule ID 45930 //
     /*   11239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11242 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   11242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   11245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11277 */     GIR_RootConstrainSelectedInstOperands,
     /*   11278 */     // GIR_Coverage, 45930,
     /*   11278 */     GIR_EraseRootFromParent_Done,
     /*   11279 */   // Label 365: @11279
     /*   11279 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(11324), // Rule ID 45931 //
     /*   11284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11287 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   11287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   11290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11322 */     GIR_RootConstrainSelectedInstOperands,
     /*   11323 */     // GIR_Coverage, 45931,
     /*   11323 */     GIR_EraseRootFromParent_Done,
     /*   11324 */   // Label 366: @11324
     /*   11324 */   GIM_Reject,
     /*   11325 */ // Label 364: @11325
     /*   11325 */ GIM_Reject,
     /*   11326 */ // Label 316: @11326
     /*   11326 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(11440),
     /*   11331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   11334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   11337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11349 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(11394), // Rule ID 45966 //
     /*   11354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11357 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   11357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   11360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11392 */     GIR_RootConstrainSelectedInstOperands,
     /*   11393 */     // GIR_Coverage, 45966,
     /*   11393 */     GIR_EraseRootFromParent_Done,
     /*   11394 */   // Label 368: @11394
     /*   11394 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(11439), // Rule ID 45967 //
     /*   11399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11402 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   11402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   11405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11437 */     GIR_RootConstrainSelectedInstOperands,
     /*   11438 */     // GIR_Coverage, 45967,
     /*   11438 */     GIR_EraseRootFromParent_Done,
     /*   11439 */   // Label 369: @11439
     /*   11439 */   GIM_Reject,
     /*   11440 */ // Label 367: @11440
     /*   11440 */ GIM_Reject,
     /*   11441 */ // Label 317: @11441
     /*   11441 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(11555),
     /*   11446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   11449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   11452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11464 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(11509), // Rule ID 45982 //
     /*   11469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11472 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   11475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11507 */     GIR_RootConstrainSelectedInstOperands,
     /*   11508 */     // GIR_Coverage, 45982,
     /*   11508 */     GIR_EraseRootFromParent_Done,
     /*   11509 */   // Label 371: @11509
     /*   11509 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(11554), // Rule ID 45983 //
     /*   11514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11517 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   11520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11552 */     GIR_RootConstrainSelectedInstOperands,
     /*   11553 */     // GIR_Coverage, 45983,
     /*   11553 */     GIR_EraseRootFromParent_Done,
     /*   11554 */   // Label 372: @11554
     /*   11554 */   GIM_Reject,
     /*   11555 */ // Label 370: @11555
     /*   11555 */ GIM_Reject,
     /*   11556 */ // Label 318: @11556
     /*   11556 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(11670),
     /*   11561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   11564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   11567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(11624), // Rule ID 45926 //
     /*   11584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11587 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   11590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11622 */     GIR_RootConstrainSelectedInstOperands,
     /*   11623 */     // GIR_Coverage, 45926,
     /*   11623 */     GIR_EraseRootFromParent_Done,
     /*   11624 */   // Label 374: @11624
     /*   11624 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(11669), // Rule ID 45927 //
     /*   11629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11632 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   11635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11667 */     GIR_RootConstrainSelectedInstOperands,
     /*   11668 */     // GIR_Coverage, 45927,
     /*   11668 */     GIR_EraseRootFromParent_Done,
     /*   11669 */   // Label 375: @11669
     /*   11669 */   GIM_Reject,
     /*   11670 */ // Label 373: @11670
     /*   11670 */ GIM_Reject,
     /*   11671 */ // Label 319: @11671
     /*   11671 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(11785),
     /*   11676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   11679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   11682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11694 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(11739), // Rule ID 45954 //
     /*   11699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11702 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   11702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   11705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11737 */     GIR_RootConstrainSelectedInstOperands,
     /*   11738 */     // GIR_Coverage, 45954,
     /*   11738 */     GIR_EraseRootFromParent_Done,
     /*   11739 */   // Label 377: @11739
     /*   11739 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(11784), // Rule ID 45955 //
     /*   11744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11747 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   11747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   11750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11782 */     GIR_RootConstrainSelectedInstOperands,
     /*   11783 */     // GIR_Coverage, 45955,
     /*   11783 */     GIR_EraseRootFromParent_Done,
     /*   11784 */   // Label 378: @11784
     /*   11784 */   GIM_Reject,
     /*   11785 */ // Label 376: @11785
     /*   11785 */ GIM_Reject,
     /*   11786 */ // Label 320: @11786
     /*   11786 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(11900),
     /*   11791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   11794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   11797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11809 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(11854), // Rule ID 45970 //
     /*   11814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11817 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   11817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   11820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11852 */     GIR_RootConstrainSelectedInstOperands,
     /*   11853 */     // GIR_Coverage, 45970,
     /*   11853 */     GIR_EraseRootFromParent_Done,
     /*   11854 */   // Label 380: @11854
     /*   11854 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(11899), // Rule ID 45971 //
     /*   11859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11862 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   11862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   11865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11897 */     GIR_RootConstrainSelectedInstOperands,
     /*   11898 */     // GIR_Coverage, 45971,
     /*   11898 */     GIR_EraseRootFromParent_Done,
     /*   11899 */   // Label 381: @11899
     /*   11899 */   GIM_Reject,
     /*   11900 */ // Label 379: @11900
     /*   11900 */ GIM_Reject,
     /*   11901 */ // Label 321: @11901
     /*   11901 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(12015),
     /*   11906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   11909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   11912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11924 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(11969), // Rule ID 45986 //
     /*   11929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11932 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   11935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   11949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11967 */     GIR_RootConstrainSelectedInstOperands,
     /*   11968 */     // GIR_Coverage, 45986,
     /*   11968 */     GIR_EraseRootFromParent_Done,
     /*   11969 */   // Label 383: @11969
     /*   11969 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(12014), // Rule ID 45987 //
     /*   11974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11977 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   11980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   11994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   12009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12012 */     GIR_RootConstrainSelectedInstOperands,
     /*   12013 */     // GIR_Coverage, 45987,
     /*   12013 */     GIR_EraseRootFromParent_Done,
     /*   12014 */   // Label 384: @12014
     /*   12014 */   GIM_Reject,
     /*   12015 */ // Label 382: @12015
     /*   12015 */ GIM_Reject,
     /*   12016 */ // Label 322: @12016
     /*   12016 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(12130),
     /*   12021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   12024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   12027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12039 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(12084), // Rule ID 45942 //
     /*   12044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12047 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   12050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12082 */     GIR_RootConstrainSelectedInstOperands,
     /*   12083 */     // GIR_Coverage, 45942,
     /*   12083 */     GIR_EraseRootFromParent_Done,
     /*   12084 */   // Label 386: @12084
     /*   12084 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(12129), // Rule ID 45943 //
     /*   12089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12092 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   12095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   12109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12127 */     GIR_RootConstrainSelectedInstOperands,
     /*   12128 */     // GIR_Coverage, 45943,
     /*   12128 */     GIR_EraseRootFromParent_Done,
     /*   12129 */   // Label 387: @12129
     /*   12129 */   GIM_Reject,
     /*   12130 */ // Label 385: @12130
     /*   12130 */ GIM_Reject,
     /*   12131 */ // Label 323: @12131
     /*   12131 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(12245),
     /*   12136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   12139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   12142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12154 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(12199), // Rule ID 45958 //
     /*   12159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12162 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   12165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12197 */     GIR_RootConstrainSelectedInstOperands,
     /*   12198 */     // GIR_Coverage, 45958,
     /*   12198 */     GIR_EraseRootFromParent_Done,
     /*   12199 */   // Label 389: @12199
     /*   12199 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(12244), // Rule ID 45959 //
     /*   12204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12207 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   12210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12242 */     GIR_RootConstrainSelectedInstOperands,
     /*   12243 */     // GIR_Coverage, 45959,
     /*   12243 */     GIR_EraseRootFromParent_Done,
     /*   12244 */   // Label 390: @12244
     /*   12244 */   GIM_Reject,
     /*   12245 */ // Label 388: @12245
     /*   12245 */ GIM_Reject,
     /*   12246 */ // Label 324: @12246
     /*   12246 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(12360),
     /*   12251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   12254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   12257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12269 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(12314), // Rule ID 45974 //
     /*   12274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12277 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   12277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   12280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12312 */     GIR_RootConstrainSelectedInstOperands,
     /*   12313 */     // GIR_Coverage, 45974,
     /*   12313 */     GIR_EraseRootFromParent_Done,
     /*   12314 */   // Label 392: @12314
     /*   12314 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(12359), // Rule ID 45975 //
     /*   12319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12322 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   12322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   12325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12357 */     GIR_RootConstrainSelectedInstOperands,
     /*   12358 */     // GIR_Coverage, 45975,
     /*   12358 */     GIR_EraseRootFromParent_Done,
     /*   12359 */   // Label 393: @12359
     /*   12359 */   GIM_Reject,
     /*   12360 */ // Label 391: @12360
     /*   12360 */ GIM_Reject,
     /*   12361 */ // Label 325: @12361
     /*   12361 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(12475),
     /*   12366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   12369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   12372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12384 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(12429), // Rule ID 45946 //
     /*   12389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12392 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   12395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12427 */     GIR_RootConstrainSelectedInstOperands,
     /*   12428 */     // GIR_Coverage, 45946,
     /*   12428 */     GIR_EraseRootFromParent_Done,
     /*   12429 */   // Label 395: @12429
     /*   12429 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(12474), // Rule ID 45947 //
     /*   12434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12437 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   12440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12472 */     GIR_RootConstrainSelectedInstOperands,
     /*   12473 */     // GIR_Coverage, 45947,
     /*   12473 */     GIR_EraseRootFromParent_Done,
     /*   12474 */   // Label 396: @12474
     /*   12474 */   GIM_Reject,
     /*   12475 */ // Label 394: @12475
     /*   12475 */ GIM_Reject,
     /*   12476 */ // Label 326: @12476
     /*   12476 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(12590),
     /*   12481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   12484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   12487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12499 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(12544), // Rule ID 45962 //
     /*   12504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12507 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   12510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12542 */     GIR_RootConstrainSelectedInstOperands,
     /*   12543 */     // GIR_Coverage, 45962,
     /*   12543 */     GIR_EraseRootFromParent_Done,
     /*   12544 */   // Label 398: @12544
     /*   12544 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(12589), // Rule ID 45963 //
     /*   12549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12552 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   12555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12587 */     GIR_RootConstrainSelectedInstOperands,
     /*   12588 */     // GIR_Coverage, 45963,
     /*   12588 */     GIR_EraseRootFromParent_Done,
     /*   12589 */   // Label 399: @12589
     /*   12589 */   GIM_Reject,
     /*   12590 */ // Label 397: @12590
     /*   12590 */ GIM_Reject,
     /*   12591 */ // Label 327: @12591
     /*   12591 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(12705),
     /*   12596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   12599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   12602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12614 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(12659), // Rule ID 45950 //
     /*   12619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12622 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   12625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12657 */     GIR_RootConstrainSelectedInstOperands,
     /*   12658 */     // GIR_Coverage, 45950,
     /*   12658 */     GIR_EraseRootFromParent_Done,
     /*   12659 */   // Label 401: @12659
     /*   12659 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(12704), // Rule ID 45951 //
     /*   12664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12667 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   12670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12702 */     GIR_RootConstrainSelectedInstOperands,
     /*   12703 */     // GIR_Coverage, 45951,
     /*   12703 */     GIR_EraseRootFromParent_Done,
     /*   12704 */   // Label 402: @12704
     /*   12704 */   GIM_Reject,
     /*   12705 */ // Label 400: @12705
     /*   12705 */ GIM_Reject,
     /*   12706 */ // Label 328: @12706
     /*   12706 */ GIM_Reject,
     /*   12707 */ // Label 2: @12707
     /*   12707 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 427*/ GIMT_Encode4(15610),
     /*   12718 */ /*GILLT_s32*//*Label 403*/ GIMT_Encode4(12842),
     /*   12722 */ /*GILLT_s64*//*Label 404*/ GIMT_Encode4(12876), GIMT_Encode4(0),
     /*   12730 */ /*GILLT_nxv1s8*//*Label 405*/ GIMT_Encode4(13080),
     /*   12734 */ /*GILLT_nxv1s16*//*Label 406*/ GIMT_Encode4(13195),
     /*   12738 */ /*GILLT_nxv1s32*//*Label 407*/ GIMT_Encode4(13310),
     /*   12742 */ /*GILLT_nxv1s64*//*Label 408*/ GIMT_Encode4(13425), GIMT_Encode4(0),
     /*   12750 */ /*GILLT_nxv2s8*//*Label 409*/ GIMT_Encode4(13540),
     /*   12754 */ /*GILLT_nxv2s16*//*Label 410*/ GIMT_Encode4(13655),
     /*   12758 */ /*GILLT_nxv2s32*//*Label 411*/ GIMT_Encode4(13770),
     /*   12762 */ /*GILLT_nxv2s64*//*Label 412*/ GIMT_Encode4(13885), GIMT_Encode4(0),
     /*   12770 */ /*GILLT_nxv4s8*//*Label 413*/ GIMT_Encode4(14000),
     /*   12774 */ /*GILLT_nxv4s16*//*Label 414*/ GIMT_Encode4(14115),
     /*   12778 */ /*GILLT_nxv4s32*//*Label 415*/ GIMT_Encode4(14230),
     /*   12782 */ /*GILLT_nxv4s64*//*Label 416*/ GIMT_Encode4(14345), GIMT_Encode4(0),
     /*   12790 */ /*GILLT_nxv8s8*//*Label 417*/ GIMT_Encode4(14460),
     /*   12794 */ /*GILLT_nxv8s16*//*Label 418*/ GIMT_Encode4(14575),
     /*   12798 */ /*GILLT_nxv8s32*//*Label 419*/ GIMT_Encode4(14690),
     /*   12802 */ /*GILLT_nxv8s64*//*Label 420*/ GIMT_Encode4(14805), GIMT_Encode4(0),
     /*   12810 */ /*GILLT_nxv16s8*//*Label 421*/ GIMT_Encode4(14920),
     /*   12814 */ /*GILLT_nxv16s16*//*Label 422*/ GIMT_Encode4(15035),
     /*   12818 */ /*GILLT_nxv16s32*//*Label 423*/ GIMT_Encode4(15150), GIMT_Encode4(0),
     /*   12826 */ /*GILLT_nxv32s8*//*Label 424*/ GIMT_Encode4(15265),
     /*   12830 */ /*GILLT_nxv32s16*//*Label 425*/ GIMT_Encode4(15380), GIMT_Encode4(0),
     /*   12838 */ /*GILLT_nxv64s8*//*Label 426*/ GIMT_Encode4(15495),
     /*   12842 */ // Label 403: @12842
     /*   12842 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(12875), // Rule ID 288 //
     /*   12847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   12850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   12853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   12856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12868 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   12868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   12873 */   GIR_RootConstrainSelectedInstOperands,
     /*   12874 */   // GIR_Coverage, 288,
     /*   12874 */   GIR_Done,
     /*   12875 */ // Label 428: @12875
     /*   12875 */ GIM_Reject,
     /*   12876 */ // Label 404: @12876
     /*   12876 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(13079),
     /*   12881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   12884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   12887 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(13020), // Rule ID 310 //
     /*   12892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   12895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   12907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   12911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   12915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12920 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   12931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   12939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   12943 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   12947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12952 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   12963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12965 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   12965 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   12968 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   12972 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12977 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12981 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   12984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   12986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   12989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   12993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13002 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   13005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   13010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   13018 */     GIR_RootConstrainSelectedInstOperands,
     /*   13019 */     // GIR_Coverage, 310,
     /*   13019 */     GIR_EraseRootFromParent_Done,
     /*   13020 */   // Label 430: @13020
     /*   13020 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(13051), // Rule ID 303 //
     /*   13025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   13028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9666),
     /*   13044 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9666>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   13044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   13049 */     GIR_RootConstrainSelectedInstOperands,
     /*   13050 */     // GIR_Coverage, 303,
     /*   13050 */     GIR_Done,
     /*   13051 */   // Label 431: @13051
     /*   13051 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(13078), // Rule ID 287 //
     /*   13056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   13059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13071 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   13071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   13076 */     GIR_RootConstrainSelectedInstOperands,
     /*   13077 */     // GIR_Coverage, 287,
     /*   13077 */     GIR_Done,
     /*   13078 */   // Label 432: @13078
     /*   13078 */   GIM_Reject,
     /*   13079 */ // Label 429: @13079
     /*   13079 */ GIM_Reject,
     /*   13080 */ // Label 405: @13080
     /*   13080 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(13194),
     /*   13085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   13091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13103 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(13148), // Rule ID 50310 //
     /*   13108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13111 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   13114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   13128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13146 */     GIR_RootConstrainSelectedInstOperands,
     /*   13147 */     // GIR_Coverage, 50310,
     /*   13147 */     GIR_EraseRootFromParent_Done,
     /*   13148 */   // Label 434: @13148
     /*   13148 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(13193), // Rule ID 50311 //
     /*   13153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13156 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   13159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   13173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13191 */     GIR_RootConstrainSelectedInstOperands,
     /*   13192 */     // GIR_Coverage, 50311,
     /*   13192 */     GIR_EraseRootFromParent_Done,
     /*   13193 */   // Label 435: @13193
     /*   13193 */   GIM_Reject,
     /*   13194 */ // Label 433: @13194
     /*   13194 */ GIM_Reject,
     /*   13195 */ // Label 406: @13195
     /*   13195 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(13309),
     /*   13200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13218 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(13263), // Rule ID 50322 //
     /*   13223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13226 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   13226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13261 */     GIR_RootConstrainSelectedInstOperands,
     /*   13262 */     // GIR_Coverage, 50322,
     /*   13262 */     GIR_EraseRootFromParent_Done,
     /*   13263 */   // Label 437: @13263
     /*   13263 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(13308), // Rule ID 50323 //
     /*   13268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13271 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   13271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13306 */     GIR_RootConstrainSelectedInstOperands,
     /*   13307 */     // GIR_Coverage, 50323,
     /*   13307 */     GIR_EraseRootFromParent_Done,
     /*   13308 */   // Label 438: @13308
     /*   13308 */   GIM_Reject,
     /*   13309 */ // Label 436: @13309
     /*   13309 */ GIM_Reject,
     /*   13310 */ // Label 407: @13310
     /*   13310 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(13424),
     /*   13315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13333 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(13378), // Rule ID 50330 //
     /*   13338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13341 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13376 */     GIR_RootConstrainSelectedInstOperands,
     /*   13377 */     // GIR_Coverage, 50330,
     /*   13377 */     GIR_EraseRootFromParent_Done,
     /*   13378 */   // Label 440: @13378
     /*   13378 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(13423), // Rule ID 50331 //
     /*   13383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13386 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13421 */     GIR_RootConstrainSelectedInstOperands,
     /*   13422 */     // GIR_Coverage, 50331,
     /*   13422 */     GIR_EraseRootFromParent_Done,
     /*   13423 */   // Label 441: @13423
     /*   13423 */   GIM_Reject,
     /*   13424 */ // Label 439: @13424
     /*   13424 */ GIM_Reject,
     /*   13425 */ // Label 408: @13425
     /*   13425 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(13539),
     /*   13430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13448 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(13493), // Rule ID 50346 //
     /*   13453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   13456 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   13456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   13459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13491 */     GIR_RootConstrainSelectedInstOperands,
     /*   13492 */     // GIR_Coverage, 50346,
     /*   13492 */     GIR_EraseRootFromParent_Done,
     /*   13493 */   // Label 443: @13493
     /*   13493 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(13538), // Rule ID 50347 //
     /*   13498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   13501 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   13501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   13504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13536 */     GIR_RootConstrainSelectedInstOperands,
     /*   13537 */     // GIR_Coverage, 50347,
     /*   13537 */     GIR_EraseRootFromParent_Done,
     /*   13538 */   // Label 444: @13538
     /*   13538 */   GIM_Reject,
     /*   13539 */ // Label 442: @13539
     /*   13539 */ GIM_Reject,
     /*   13540 */ // Label 409: @13540
     /*   13540 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(13654),
     /*   13545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   13548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   13551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13563 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(13608), // Rule ID 50314 //
     /*   13568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13571 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   13574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13606 */     GIR_RootConstrainSelectedInstOperands,
     /*   13607 */     // GIR_Coverage, 50314,
     /*   13607 */     GIR_EraseRootFromParent_Done,
     /*   13608 */   // Label 446: @13608
     /*   13608 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(13653), // Rule ID 50315 //
     /*   13613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13616 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   13619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13651 */     GIR_RootConstrainSelectedInstOperands,
     /*   13652 */     // GIR_Coverage, 50315,
     /*   13652 */     GIR_EraseRootFromParent_Done,
     /*   13653 */   // Label 447: @13653
     /*   13653 */   GIM_Reject,
     /*   13654 */ // Label 445: @13654
     /*   13654 */ GIM_Reject,
     /*   13655 */ // Label 410: @13655
     /*   13655 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(13769),
     /*   13660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   13663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   13666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13678 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(13723), // Rule ID 50326 //
     /*   13683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13686 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   13686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   13689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13721 */     GIR_RootConstrainSelectedInstOperands,
     /*   13722 */     // GIR_Coverage, 50326,
     /*   13722 */     GIR_EraseRootFromParent_Done,
     /*   13723 */   // Label 449: @13723
     /*   13723 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(13768), // Rule ID 50327 //
     /*   13728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13731 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   13731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   13734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13766 */     GIR_RootConstrainSelectedInstOperands,
     /*   13767 */     // GIR_Coverage, 50327,
     /*   13767 */     GIR_EraseRootFromParent_Done,
     /*   13768 */   // Label 450: @13768
     /*   13768 */   GIM_Reject,
     /*   13769 */ // Label 448: @13769
     /*   13769 */ GIM_Reject,
     /*   13770 */ // Label 411: @13770
     /*   13770 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(13884),
     /*   13775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   13778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   13781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13793 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(13838), // Rule ID 50342 //
     /*   13798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13801 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   13804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13836 */     GIR_RootConstrainSelectedInstOperands,
     /*   13837 */     // GIR_Coverage, 50342,
     /*   13837 */     GIR_EraseRootFromParent_Done,
     /*   13838 */   // Label 452: @13838
     /*   13838 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(13883), // Rule ID 50343 //
     /*   13843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13846 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   13849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13881 */     GIR_RootConstrainSelectedInstOperands,
     /*   13882 */     // GIR_Coverage, 50343,
     /*   13882 */     GIR_EraseRootFromParent_Done,
     /*   13883 */   // Label 453: @13883
     /*   13883 */   GIM_Reject,
     /*   13884 */ // Label 451: @13884
     /*   13884 */ GIM_Reject,
     /*   13885 */ // Label 412: @13885
     /*   13885 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(13999),
     /*   13890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   13893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   13896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13908 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(13953), // Rule ID 50386 //
     /*   13913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   13916 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   13916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   13919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   13933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13951 */     GIR_RootConstrainSelectedInstOperands,
     /*   13952 */     // GIR_Coverage, 50386,
     /*   13952 */     GIR_EraseRootFromParent_Done,
     /*   13953 */   // Label 455: @13953
     /*   13953 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(13998), // Rule ID 50387 //
     /*   13958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   13961 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   13961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   13964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   13978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13996 */     GIR_RootConstrainSelectedInstOperands,
     /*   13997 */     // GIR_Coverage, 50387,
     /*   13997 */     GIR_EraseRootFromParent_Done,
     /*   13998 */   // Label 456: @13998
     /*   13998 */   GIM_Reject,
     /*   13999 */ // Label 454: @13999
     /*   13999 */ GIM_Reject,
     /*   14000 */ // Label 413: @14000
     /*   14000 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(14114),
     /*   14005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   14008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   14011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14023 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(14068), // Rule ID 50318 //
     /*   14028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14031 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   14034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   14048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14066 */     GIR_RootConstrainSelectedInstOperands,
     /*   14067 */     // GIR_Coverage, 50318,
     /*   14067 */     GIR_EraseRootFromParent_Done,
     /*   14068 */   // Label 458: @14068
     /*   14068 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(14113), // Rule ID 50319 //
     /*   14073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14076 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   14079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   14093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14111 */     GIR_RootConstrainSelectedInstOperands,
     /*   14112 */     // GIR_Coverage, 50319,
     /*   14112 */     GIR_EraseRootFromParent_Done,
     /*   14113 */   // Label 459: @14113
     /*   14113 */   GIM_Reject,
     /*   14114 */ // Label 457: @14114
     /*   14114 */ GIM_Reject,
     /*   14115 */ // Label 414: @14115
     /*   14115 */ GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(14229),
     /*   14120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   14123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   14126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14138 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(14183), // Rule ID 50338 //
     /*   14143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14146 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   14149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14181 */     GIR_RootConstrainSelectedInstOperands,
     /*   14182 */     // GIR_Coverage, 50338,
     /*   14182 */     GIR_EraseRootFromParent_Done,
     /*   14183 */   // Label 461: @14183
     /*   14183 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(14228), // Rule ID 50339 //
     /*   14188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14191 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   14194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14226 */     GIR_RootConstrainSelectedInstOperands,
     /*   14227 */     // GIR_Coverage, 50339,
     /*   14227 */     GIR_EraseRootFromParent_Done,
     /*   14228 */   // Label 462: @14228
     /*   14228 */   GIM_Reject,
     /*   14229 */ // Label 460: @14229
     /*   14229 */ GIM_Reject,
     /*   14230 */ // Label 415: @14230
     /*   14230 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(14344),
     /*   14235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   14238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   14241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14253 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(14298), // Rule ID 50374 //
     /*   14258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14261 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   14261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   14264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14296 */     GIR_RootConstrainSelectedInstOperands,
     /*   14297 */     // GIR_Coverage, 50374,
     /*   14297 */     GIR_EraseRootFromParent_Done,
     /*   14298 */   // Label 464: @14298
     /*   14298 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(14343), // Rule ID 50375 //
     /*   14303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14306 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   14306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   14309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14341 */     GIR_RootConstrainSelectedInstOperands,
     /*   14342 */     // GIR_Coverage, 50375,
     /*   14342 */     GIR_EraseRootFromParent_Done,
     /*   14343 */   // Label 465: @14343
     /*   14343 */   GIM_Reject,
     /*   14344 */ // Label 463: @14344
     /*   14344 */ GIM_Reject,
     /*   14345 */ // Label 416: @14345
     /*   14345 */ GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(14459),
     /*   14350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   14353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   14356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14368 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(14413), // Rule ID 50390 //
     /*   14373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   14376 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   14376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   14379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14411 */     GIR_RootConstrainSelectedInstOperands,
     /*   14412 */     // GIR_Coverage, 50390,
     /*   14412 */     GIR_EraseRootFromParent_Done,
     /*   14413 */   // Label 467: @14413
     /*   14413 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(14458), // Rule ID 50391 //
     /*   14418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   14421 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   14421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   14424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14456 */     GIR_RootConstrainSelectedInstOperands,
     /*   14457 */     // GIR_Coverage, 50391,
     /*   14457 */     GIR_EraseRootFromParent_Done,
     /*   14458 */   // Label 468: @14458
     /*   14458 */   GIM_Reject,
     /*   14459 */ // Label 466: @14459
     /*   14459 */ GIM_Reject,
     /*   14460 */ // Label 417: @14460
     /*   14460 */ GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(14574),
     /*   14465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   14468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   14471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14483 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(14528), // Rule ID 50334 //
     /*   14488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14491 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   14494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14526 */     GIR_RootConstrainSelectedInstOperands,
     /*   14527 */     // GIR_Coverage, 50334,
     /*   14527 */     GIR_EraseRootFromParent_Done,
     /*   14528 */   // Label 470: @14528
     /*   14528 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(14573), // Rule ID 50335 //
     /*   14533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14536 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   14539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14571 */     GIR_RootConstrainSelectedInstOperands,
     /*   14572 */     // GIR_Coverage, 50335,
     /*   14572 */     GIR_EraseRootFromParent_Done,
     /*   14573 */   // Label 471: @14573
     /*   14573 */   GIM_Reject,
     /*   14574 */ // Label 469: @14574
     /*   14574 */ GIM_Reject,
     /*   14575 */ // Label 418: @14575
     /*   14575 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(14689),
     /*   14580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   14583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   14586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14598 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(14643), // Rule ID 50362 //
     /*   14603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14606 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   14609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14641 */     GIR_RootConstrainSelectedInstOperands,
     /*   14642 */     // GIR_Coverage, 50362,
     /*   14642 */     GIR_EraseRootFromParent_Done,
     /*   14643 */   // Label 473: @14643
     /*   14643 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(14688), // Rule ID 50363 //
     /*   14648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14651 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   14654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14686 */     GIR_RootConstrainSelectedInstOperands,
     /*   14687 */     // GIR_Coverage, 50363,
     /*   14687 */     GIR_EraseRootFromParent_Done,
     /*   14688 */   // Label 474: @14688
     /*   14688 */   GIM_Reject,
     /*   14689 */ // Label 472: @14689
     /*   14689 */ GIM_Reject,
     /*   14690 */ // Label 419: @14690
     /*   14690 */ GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(14804),
     /*   14695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   14698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   14701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14713 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(14758), // Rule ID 50378 //
     /*   14718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14721 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   14721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   14724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14756 */     GIR_RootConstrainSelectedInstOperands,
     /*   14757 */     // GIR_Coverage, 50378,
     /*   14757 */     GIR_EraseRootFromParent_Done,
     /*   14758 */   // Label 476: @14758
     /*   14758 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(14803), // Rule ID 50379 //
     /*   14763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14766 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   14766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   14769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14801 */     GIR_RootConstrainSelectedInstOperands,
     /*   14802 */     // GIR_Coverage, 50379,
     /*   14802 */     GIR_EraseRootFromParent_Done,
     /*   14803 */   // Label 477: @14803
     /*   14803 */   GIM_Reject,
     /*   14804 */ // Label 475: @14804
     /*   14804 */ GIM_Reject,
     /*   14805 */ // Label 420: @14805
     /*   14805 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(14919),
     /*   14810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   14813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   14816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(14873), // Rule ID 50394 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   14836 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   14836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   14839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   14853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14871 */     GIR_RootConstrainSelectedInstOperands,
     /*   14872 */     // GIR_Coverage, 50394,
     /*   14872 */     GIR_EraseRootFromParent_Done,
     /*   14873 */   // Label 479: @14873
     /*   14873 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(14918), // Rule ID 50395 //
     /*   14878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   14881 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   14881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   14884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   14898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14916 */     GIR_RootConstrainSelectedInstOperands,
     /*   14917 */     // GIR_Coverage, 50395,
     /*   14917 */     GIR_EraseRootFromParent_Done,
     /*   14918 */   // Label 480: @14918
     /*   14918 */   GIM_Reject,
     /*   14919 */ // Label 478: @14919
     /*   14919 */ GIM_Reject,
     /*   14920 */ // Label 421: @14920
     /*   14920 */ GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(15034),
     /*   14925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   14928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   14931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14943 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(14988), // Rule ID 50350 //
     /*   14948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14951 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   14954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14986 */     GIR_RootConstrainSelectedInstOperands,
     /*   14987 */     // GIR_Coverage, 50350,
     /*   14987 */     GIR_EraseRootFromParent_Done,
     /*   14988 */   // Label 482: @14988
     /*   14988 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(15033), // Rule ID 50351 //
     /*   14993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14996 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   14999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   15013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15031 */     GIR_RootConstrainSelectedInstOperands,
     /*   15032 */     // GIR_Coverage, 50351,
     /*   15032 */     GIR_EraseRootFromParent_Done,
     /*   15033 */   // Label 483: @15033
     /*   15033 */   GIM_Reject,
     /*   15034 */ // Label 481: @15034
     /*   15034 */ GIM_Reject,
     /*   15035 */ // Label 422: @15035
     /*   15035 */ GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(15149),
     /*   15040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   15043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   15046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15058 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(15103), // Rule ID 50366 //
     /*   15063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15066 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   15069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15101 */     GIR_RootConstrainSelectedInstOperands,
     /*   15102 */     // GIR_Coverage, 50366,
     /*   15102 */     GIR_EraseRootFromParent_Done,
     /*   15103 */   // Label 485: @15103
     /*   15103 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(15148), // Rule ID 50367 //
     /*   15108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15111 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   15111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   15114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15146 */     GIR_RootConstrainSelectedInstOperands,
     /*   15147 */     // GIR_Coverage, 50367,
     /*   15147 */     GIR_EraseRootFromParent_Done,
     /*   15148 */   // Label 486: @15148
     /*   15148 */   GIM_Reject,
     /*   15149 */ // Label 484: @15149
     /*   15149 */ GIM_Reject,
     /*   15150 */ // Label 423: @15150
     /*   15150 */ GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(15264),
     /*   15155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   15158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   15161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15173 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(15218), // Rule ID 50382 //
     /*   15178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15181 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   15184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15216 */     GIR_RootConstrainSelectedInstOperands,
     /*   15217 */     // GIR_Coverage, 50382,
     /*   15217 */     GIR_EraseRootFromParent_Done,
     /*   15218 */   // Label 488: @15218
     /*   15218 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(15263), // Rule ID 50383 //
     /*   15223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15226 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   15229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15261 */     GIR_RootConstrainSelectedInstOperands,
     /*   15262 */     // GIR_Coverage, 50383,
     /*   15262 */     GIR_EraseRootFromParent_Done,
     /*   15263 */   // Label 489: @15263
     /*   15263 */   GIM_Reject,
     /*   15264 */ // Label 487: @15264
     /*   15264 */ GIM_Reject,
     /*   15265 */ // Label 424: @15265
     /*   15265 */ GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(15379),
     /*   15270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   15273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   15276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15288 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(15333), // Rule ID 50354 //
     /*   15293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15296 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   15299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15331 */     GIR_RootConstrainSelectedInstOperands,
     /*   15332 */     // GIR_Coverage, 50354,
     /*   15332 */     GIR_EraseRootFromParent_Done,
     /*   15333 */   // Label 491: @15333
     /*   15333 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(15378), // Rule ID 50355 //
     /*   15338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15341 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   15344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15376 */     GIR_RootConstrainSelectedInstOperands,
     /*   15377 */     // GIR_Coverage, 50355,
     /*   15377 */     GIR_EraseRootFromParent_Done,
     /*   15378 */   // Label 492: @15378
     /*   15378 */   GIM_Reject,
     /*   15379 */ // Label 490: @15379
     /*   15379 */ GIM_Reject,
     /*   15380 */ // Label 425: @15380
     /*   15380 */ GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(15494),
     /*   15385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   15388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   15391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15403 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(15448), // Rule ID 50370 //
     /*   15408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15411 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   15414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15446 */     GIR_RootConstrainSelectedInstOperands,
     /*   15447 */     // GIR_Coverage, 50370,
     /*   15447 */     GIR_EraseRootFromParent_Done,
     /*   15448 */   // Label 494: @15448
     /*   15448 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(15493), // Rule ID 50371 //
     /*   15453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15456 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   15456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   15459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15491 */     GIR_RootConstrainSelectedInstOperands,
     /*   15492 */     // GIR_Coverage, 50371,
     /*   15492 */     GIR_EraseRootFromParent_Done,
     /*   15493 */   // Label 495: @15493
     /*   15493 */   GIM_Reject,
     /*   15494 */ // Label 493: @15494
     /*   15494 */ GIM_Reject,
     /*   15495 */ // Label 426: @15495
     /*   15495 */ GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(15609),
     /*   15500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   15503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   15506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15518 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(15563), // Rule ID 50358 //
     /*   15523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15526 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   15529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15561 */     GIR_RootConstrainSelectedInstOperands,
     /*   15562 */     // GIR_Coverage, 50358,
     /*   15562 */     GIR_EraseRootFromParent_Done,
     /*   15563 */   // Label 497: @15563
     /*   15563 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(15608), // Rule ID 50359 //
     /*   15568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15571 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   15574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15606 */     GIR_RootConstrainSelectedInstOperands,
     /*   15607 */     // GIR_Coverage, 50359,
     /*   15607 */     GIR_EraseRootFromParent_Done,
     /*   15608 */   // Label 498: @15608
     /*   15608 */   GIM_Reject,
     /*   15609 */ // Label 496: @15609
     /*   15609 */ GIM_Reject,
     /*   15610 */ // Label 427: @15610
     /*   15610 */ GIM_Reject,
     /*   15611 */ // Label 3: @15611
     /*   15611 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 523*/ GIMT_Encode4(18344),
     /*   15622 */ /*GILLT_s32*//*Label 499*/ GIMT_Encode4(15746),
     /*   15626 */ /*GILLT_s64*//*Label 500*/ GIMT_Encode4(15780), GIMT_Encode4(0),
     /*   15634 */ /*GILLT_nxv1s8*//*Label 501*/ GIMT_Encode4(15814),
     /*   15638 */ /*GILLT_nxv1s16*//*Label 502*/ GIMT_Encode4(15929),
     /*   15642 */ /*GILLT_nxv1s32*//*Label 503*/ GIMT_Encode4(16044),
     /*   15646 */ /*GILLT_nxv1s64*//*Label 504*/ GIMT_Encode4(16159), GIMT_Encode4(0),
     /*   15654 */ /*GILLT_nxv2s8*//*Label 505*/ GIMT_Encode4(16274),
     /*   15658 */ /*GILLT_nxv2s16*//*Label 506*/ GIMT_Encode4(16389),
     /*   15662 */ /*GILLT_nxv2s32*//*Label 507*/ GIMT_Encode4(16504),
     /*   15666 */ /*GILLT_nxv2s64*//*Label 508*/ GIMT_Encode4(16619), GIMT_Encode4(0),
     /*   15674 */ /*GILLT_nxv4s8*//*Label 509*/ GIMT_Encode4(16734),
     /*   15678 */ /*GILLT_nxv4s16*//*Label 510*/ GIMT_Encode4(16849),
     /*   15682 */ /*GILLT_nxv4s32*//*Label 511*/ GIMT_Encode4(16964),
     /*   15686 */ /*GILLT_nxv4s64*//*Label 512*/ GIMT_Encode4(17079), GIMT_Encode4(0),
     /*   15694 */ /*GILLT_nxv8s8*//*Label 513*/ GIMT_Encode4(17194),
     /*   15698 */ /*GILLT_nxv8s16*//*Label 514*/ GIMT_Encode4(17309),
     /*   15702 */ /*GILLT_nxv8s32*//*Label 515*/ GIMT_Encode4(17424),
     /*   15706 */ /*GILLT_nxv8s64*//*Label 516*/ GIMT_Encode4(17539), GIMT_Encode4(0),
     /*   15714 */ /*GILLT_nxv16s8*//*Label 517*/ GIMT_Encode4(17654),
     /*   15718 */ /*GILLT_nxv16s16*//*Label 518*/ GIMT_Encode4(17769),
     /*   15722 */ /*GILLT_nxv16s32*//*Label 519*/ GIMT_Encode4(17884), GIMT_Encode4(0),
     /*   15730 */ /*GILLT_nxv32s8*//*Label 520*/ GIMT_Encode4(17999),
     /*   15734 */ /*GILLT_nxv32s16*//*Label 521*/ GIMT_Encode4(18114), GIMT_Encode4(0),
     /*   15742 */ /*GILLT_nxv64s8*//*Label 522*/ GIMT_Encode4(18229),
     /*   15746 */ // Label 499: @15746
     /*   15746 */ GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(15779), // Rule ID 296 //
     /*   15751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   15754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   15757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   15760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15772 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   15772 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*   15777 */   GIR_RootConstrainSelectedInstOperands,
     /*   15778 */   // GIR_Coverage, 296,
     /*   15778 */   GIR_Done,
     /*   15779 */ // Label 524: @15779
     /*   15779 */ GIM_Reject,
     /*   15780 */ // Label 500: @15780
     /*   15780 */ GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(15813), // Rule ID 295 //
     /*   15785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   15788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   15791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   15794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15806 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   15806 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*   15811 */   GIR_RootConstrainSelectedInstOperands,
     /*   15812 */   // GIR_Coverage, 295,
     /*   15812 */   GIR_Done,
     /*   15813 */ // Label 525: @15813
     /*   15813 */ GIM_Reject,
     /*   15814 */ // Label 501: @15814
     /*   15814 */ GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(15928),
     /*   15819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   15822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   15825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15837 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(15882), // Rule ID 50662 //
     /*   15842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15845 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   15848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*   15862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15880 */     GIR_RootConstrainSelectedInstOperands,
     /*   15881 */     // GIR_Coverage, 50662,
     /*   15881 */     GIR_EraseRootFromParent_Done,
     /*   15882 */   // Label 527: @15882
     /*   15882 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(15927), // Rule ID 50663 //
     /*   15887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15890 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   15893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*   15907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15925 */     GIR_RootConstrainSelectedInstOperands,
     /*   15926 */     // GIR_Coverage, 50663,
     /*   15926 */     GIR_EraseRootFromParent_Done,
     /*   15927 */   // Label 528: @15927
     /*   15927 */   GIM_Reject,
     /*   15928 */ // Label 526: @15928
     /*   15928 */ GIM_Reject,
     /*   15929 */ // Label 502: @15929
     /*   15929 */ GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(16043),
     /*   15934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   15940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15952 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(15997), // Rule ID 50674 //
     /*   15957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15960 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   15963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*   15977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15995 */     GIR_RootConstrainSelectedInstOperands,
     /*   15996 */     // GIR_Coverage, 50674,
     /*   15996 */     GIR_EraseRootFromParent_Done,
     /*   15997 */   // Label 530: @15997
     /*   15997 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(16042), // Rule ID 50675 //
     /*   16002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16005 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   16008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*   16022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16040 */     GIR_RootConstrainSelectedInstOperands,
     /*   16041 */     // GIR_Coverage, 50675,
     /*   16041 */     GIR_EraseRootFromParent_Done,
     /*   16042 */   // Label 531: @16042
     /*   16042 */   GIM_Reject,
     /*   16043 */ // Label 529: @16043
     /*   16043 */ GIM_Reject,
     /*   16044 */ // Label 503: @16044
     /*   16044 */ GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(16158),
     /*   16049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16067 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(16112), // Rule ID 50682 //
     /*   16072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16075 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*   16092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16110 */     GIR_RootConstrainSelectedInstOperands,
     /*   16111 */     // GIR_Coverage, 50682,
     /*   16111 */     GIR_EraseRootFromParent_Done,
     /*   16112 */   // Label 533: @16112
     /*   16112 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(16157), // Rule ID 50683 //
     /*   16117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16120 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   16120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*   16137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16155 */     GIR_RootConstrainSelectedInstOperands,
     /*   16156 */     // GIR_Coverage, 50683,
     /*   16156 */     GIR_EraseRootFromParent_Done,
     /*   16157 */   // Label 534: @16157
     /*   16157 */   GIM_Reject,
     /*   16158 */ // Label 532: @16158
     /*   16158 */ GIM_Reject,
     /*   16159 */ // Label 504: @16159
     /*   16159 */ GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(16273),
     /*   16164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16182 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(16227), // Rule ID 50698 //
     /*   16187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16190 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*   16207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16225 */     GIR_RootConstrainSelectedInstOperands,
     /*   16226 */     // GIR_Coverage, 50698,
     /*   16226 */     GIR_EraseRootFromParent_Done,
     /*   16227 */   // Label 536: @16227
     /*   16227 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(16272), // Rule ID 50699 //
     /*   16232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16235 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   16235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*   16252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16270 */     GIR_RootConstrainSelectedInstOperands,
     /*   16271 */     // GIR_Coverage, 50699,
     /*   16271 */     GIR_EraseRootFromParent_Done,
     /*   16272 */   // Label 537: @16272
     /*   16272 */   GIM_Reject,
     /*   16273 */ // Label 535: @16273
     /*   16273 */ GIM_Reject,
     /*   16274 */ // Label 505: @16274
     /*   16274 */ GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(16388),
     /*   16279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   16282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   16285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16297 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(16342), // Rule ID 50666 //
     /*   16302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16305 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   16305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   16308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*   16322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16340 */     GIR_RootConstrainSelectedInstOperands,
     /*   16341 */     // GIR_Coverage, 50666,
     /*   16341 */     GIR_EraseRootFromParent_Done,
     /*   16342 */   // Label 539: @16342
     /*   16342 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(16387), // Rule ID 50667 //
     /*   16347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16350 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   16350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   16353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*   16367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16385 */     GIR_RootConstrainSelectedInstOperands,
     /*   16386 */     // GIR_Coverage, 50667,
     /*   16386 */     GIR_EraseRootFromParent_Done,
     /*   16387 */   // Label 540: @16387
     /*   16387 */   GIM_Reject,
     /*   16388 */ // Label 538: @16388
     /*   16388 */ GIM_Reject,
     /*   16389 */ // Label 506: @16389
     /*   16389 */ GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(16503),
     /*   16394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   16397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   16400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16412 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(16457), // Rule ID 50678 //
     /*   16417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16420 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   16423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*   16437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16455 */     GIR_RootConstrainSelectedInstOperands,
     /*   16456 */     // GIR_Coverage, 50678,
     /*   16456 */     GIR_EraseRootFromParent_Done,
     /*   16457 */   // Label 542: @16457
     /*   16457 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(16502), // Rule ID 50679 //
     /*   16462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16465 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   16468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*   16482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16500 */     GIR_RootConstrainSelectedInstOperands,
     /*   16501 */     // GIR_Coverage, 50679,
     /*   16501 */     GIR_EraseRootFromParent_Done,
     /*   16502 */   // Label 543: @16502
     /*   16502 */   GIM_Reject,
     /*   16503 */ // Label 541: @16503
     /*   16503 */ GIM_Reject,
     /*   16504 */ // Label 507: @16504
     /*   16504 */ GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(16618),
     /*   16509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   16512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   16515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16527 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(16572), // Rule ID 50694 //
     /*   16532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16535 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   16538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*   16552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16570 */     GIR_RootConstrainSelectedInstOperands,
     /*   16571 */     // GIR_Coverage, 50694,
     /*   16571 */     GIR_EraseRootFromParent_Done,
     /*   16572 */   // Label 545: @16572
     /*   16572 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(16617), // Rule ID 50695 //
     /*   16577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16580 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   16580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   16583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*   16597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16615 */     GIR_RootConstrainSelectedInstOperands,
     /*   16616 */     // GIR_Coverage, 50695,
     /*   16616 */     GIR_EraseRootFromParent_Done,
     /*   16617 */   // Label 546: @16617
     /*   16617 */   GIM_Reject,
     /*   16618 */ // Label 544: @16618
     /*   16618 */ GIM_Reject,
     /*   16619 */ // Label 508: @16619
     /*   16619 */ GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(16733),
     /*   16624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   16627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   16630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16642 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(16687), // Rule ID 50738 //
     /*   16647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16650 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   16653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*   16667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16685 */     GIR_RootConstrainSelectedInstOperands,
     /*   16686 */     // GIR_Coverage, 50738,
     /*   16686 */     GIR_EraseRootFromParent_Done,
     /*   16687 */   // Label 548: @16687
     /*   16687 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(16732), // Rule ID 50739 //
     /*   16692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16695 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   16695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   16698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*   16712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16730 */     GIR_RootConstrainSelectedInstOperands,
     /*   16731 */     // GIR_Coverage, 50739,
     /*   16731 */     GIR_EraseRootFromParent_Done,
     /*   16732 */   // Label 549: @16732
     /*   16732 */   GIM_Reject,
     /*   16733 */ // Label 547: @16733
     /*   16733 */ GIM_Reject,
     /*   16734 */ // Label 509: @16734
     /*   16734 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(16848),
     /*   16739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   16742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   16745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16757 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(16802), // Rule ID 50670 //
     /*   16762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16765 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   16765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   16768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16800 */     GIR_RootConstrainSelectedInstOperands,
     /*   16801 */     // GIR_Coverage, 50670,
     /*   16801 */     GIR_EraseRootFromParent_Done,
     /*   16802 */   // Label 551: @16802
     /*   16802 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(16847), // Rule ID 50671 //
     /*   16807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16810 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   16810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   16813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*   16827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16845 */     GIR_RootConstrainSelectedInstOperands,
     /*   16846 */     // GIR_Coverage, 50671,
     /*   16846 */     GIR_EraseRootFromParent_Done,
     /*   16847 */   // Label 552: @16847
     /*   16847 */   GIM_Reject,
     /*   16848 */ // Label 550: @16848
     /*   16848 */ GIM_Reject,
     /*   16849 */ // Label 510: @16849
     /*   16849 */ GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(16963),
     /*   16854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   16857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   16860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16872 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(16917), // Rule ID 50690 //
     /*   16877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16880 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   16883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*   16897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16915 */     GIR_RootConstrainSelectedInstOperands,
     /*   16916 */     // GIR_Coverage, 50690,
     /*   16916 */     GIR_EraseRootFromParent_Done,
     /*   16917 */   // Label 554: @16917
     /*   16917 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(16962), // Rule ID 50691 //
     /*   16922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16925 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   16928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*   16942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16960 */     GIR_RootConstrainSelectedInstOperands,
     /*   16961 */     // GIR_Coverage, 50691,
     /*   16961 */     GIR_EraseRootFromParent_Done,
     /*   16962 */   // Label 555: @16962
     /*   16962 */   GIM_Reject,
     /*   16963 */ // Label 553: @16963
     /*   16963 */ GIM_Reject,
     /*   16964 */ // Label 511: @16964
     /*   16964 */ GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(17078),
     /*   16969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   16972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   16975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16987 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(17032), // Rule ID 50726 //
     /*   16992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16995 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   16998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*   17012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17030 */     GIR_RootConstrainSelectedInstOperands,
     /*   17031 */     // GIR_Coverage, 50726,
     /*   17031 */     GIR_EraseRootFromParent_Done,
     /*   17032 */   // Label 557: @17032
     /*   17032 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(17077), // Rule ID 50727 //
     /*   17037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17040 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   17043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17075 */     GIR_RootConstrainSelectedInstOperands,
     /*   17076 */     // GIR_Coverage, 50727,
     /*   17076 */     GIR_EraseRootFromParent_Done,
     /*   17077 */   // Label 558: @17077
     /*   17077 */   GIM_Reject,
     /*   17078 */ // Label 556: @17078
     /*   17078 */ GIM_Reject,
     /*   17079 */ // Label 512: @17079
     /*   17079 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(17193),
     /*   17084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   17087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   17090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17102 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(17147), // Rule ID 50742 //
     /*   17107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   17110 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   17110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   17113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*   17127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17145 */     GIR_RootConstrainSelectedInstOperands,
     /*   17146 */     // GIR_Coverage, 50742,
     /*   17146 */     GIR_EraseRootFromParent_Done,
     /*   17147 */   // Label 560: @17147
     /*   17147 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(17192), // Rule ID 50743 //
     /*   17152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17155 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   17158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*   17172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17190 */     GIR_RootConstrainSelectedInstOperands,
     /*   17191 */     // GIR_Coverage, 50743,
     /*   17191 */     GIR_EraseRootFromParent_Done,
     /*   17192 */   // Label 561: @17192
     /*   17192 */   GIM_Reject,
     /*   17193 */ // Label 559: @17193
     /*   17193 */ GIM_Reject,
     /*   17194 */ // Label 513: @17194
     /*   17194 */ GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(17308),
     /*   17199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   17202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   17205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17217 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(17262), // Rule ID 50686 //
     /*   17222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17225 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   17228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*   17242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17260 */     GIR_RootConstrainSelectedInstOperands,
     /*   17261 */     // GIR_Coverage, 50686,
     /*   17261 */     GIR_EraseRootFromParent_Done,
     /*   17262 */   // Label 563: @17262
     /*   17262 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(17307), // Rule ID 50687 //
     /*   17267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17270 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   17273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*   17287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17305 */     GIR_RootConstrainSelectedInstOperands,
     /*   17306 */     // GIR_Coverage, 50687,
     /*   17306 */     GIR_EraseRootFromParent_Done,
     /*   17307 */   // Label 564: @17307
     /*   17307 */   GIM_Reject,
     /*   17308 */ // Label 562: @17308
     /*   17308 */ GIM_Reject,
     /*   17309 */ // Label 514: @17309
     /*   17309 */ GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(17423),
     /*   17314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   17317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   17320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17332 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(17377), // Rule ID 50714 //
     /*   17337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17340 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   17340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   17343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*   17357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17375 */     GIR_RootConstrainSelectedInstOperands,
     /*   17376 */     // GIR_Coverage, 50714,
     /*   17376 */     GIR_EraseRootFromParent_Done,
     /*   17377 */   // Label 566: @17377
     /*   17377 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(17422), // Rule ID 50715 //
     /*   17382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17385 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   17385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   17388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*   17402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17420 */     GIR_RootConstrainSelectedInstOperands,
     /*   17421 */     // GIR_Coverage, 50715,
     /*   17421 */     GIR_EraseRootFromParent_Done,
     /*   17422 */   // Label 567: @17422
     /*   17422 */   GIM_Reject,
     /*   17423 */ // Label 565: @17423
     /*   17423 */ GIM_Reject,
     /*   17424 */ // Label 515: @17424
     /*   17424 */ GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(17538),
     /*   17429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   17432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   17435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17447 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(17492), // Rule ID 50730 //
     /*   17452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17455 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   17458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*   17472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17490 */     GIR_RootConstrainSelectedInstOperands,
     /*   17491 */     // GIR_Coverage, 50730,
     /*   17491 */     GIR_EraseRootFromParent_Done,
     /*   17492 */   // Label 569: @17492
     /*   17492 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(17537), // Rule ID 50731 //
     /*   17497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17500 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   17503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*   17517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17535 */     GIR_RootConstrainSelectedInstOperands,
     /*   17536 */     // GIR_Coverage, 50731,
     /*   17536 */     GIR_EraseRootFromParent_Done,
     /*   17537 */   // Label 570: @17537
     /*   17537 */   GIM_Reject,
     /*   17538 */ // Label 568: @17538
     /*   17538 */ GIM_Reject,
     /*   17539 */ // Label 516: @17539
     /*   17539 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(17653),
     /*   17544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   17547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   17550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17562 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(17607), // Rule ID 50746 //
     /*   17567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   17570 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   17570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   17573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*   17587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17605 */     GIR_RootConstrainSelectedInstOperands,
     /*   17606 */     // GIR_Coverage, 50746,
     /*   17606 */     GIR_EraseRootFromParent_Done,
     /*   17607 */   // Label 572: @17607
     /*   17607 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(17652), // Rule ID 50747 //
     /*   17612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17615 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   17618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*   17632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17650 */     GIR_RootConstrainSelectedInstOperands,
     /*   17651 */     // GIR_Coverage, 50747,
     /*   17651 */     GIR_EraseRootFromParent_Done,
     /*   17652 */   // Label 573: @17652
     /*   17652 */   GIM_Reject,
     /*   17653 */ // Label 571: @17653
     /*   17653 */ GIM_Reject,
     /*   17654 */ // Label 517: @17654
     /*   17654 */ GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(17768),
     /*   17659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   17662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   17665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17677 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(17722), // Rule ID 50702 //
     /*   17682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17685 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   17688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*   17702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17720 */     GIR_RootConstrainSelectedInstOperands,
     /*   17721 */     // GIR_Coverage, 50702,
     /*   17721 */     GIR_EraseRootFromParent_Done,
     /*   17722 */   // Label 575: @17722
     /*   17722 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(17767), // Rule ID 50703 //
     /*   17727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17730 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   17733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*   17747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17765 */     GIR_RootConstrainSelectedInstOperands,
     /*   17766 */     // GIR_Coverage, 50703,
     /*   17766 */     GIR_EraseRootFromParent_Done,
     /*   17767 */   // Label 576: @17767
     /*   17767 */   GIM_Reject,
     /*   17768 */ // Label 574: @17768
     /*   17768 */ GIM_Reject,
     /*   17769 */ // Label 518: @17769
     /*   17769 */ GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(17883),
     /*   17774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   17777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   17780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17792 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(17837), // Rule ID 50718 //
     /*   17797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17800 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   17800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   17803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*   17817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17835 */     GIR_RootConstrainSelectedInstOperands,
     /*   17836 */     // GIR_Coverage, 50718,
     /*   17836 */     GIR_EraseRootFromParent_Done,
     /*   17837 */   // Label 578: @17837
     /*   17837 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(17882), // Rule ID 50719 //
     /*   17842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17845 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   17845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   17848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*   17862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17880 */     GIR_RootConstrainSelectedInstOperands,
     /*   17881 */     // GIR_Coverage, 50719,
     /*   17881 */     GIR_EraseRootFromParent_Done,
     /*   17882 */   // Label 579: @17882
     /*   17882 */   GIM_Reject,
     /*   17883 */ // Label 577: @17883
     /*   17883 */ GIM_Reject,
     /*   17884 */ // Label 519: @17884
     /*   17884 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(17998),
     /*   17889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   17892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   17895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17907 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(17952), // Rule ID 50734 //
     /*   17912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17915 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   17918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*   17932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17950 */     GIR_RootConstrainSelectedInstOperands,
     /*   17951 */     // GIR_Coverage, 50734,
     /*   17951 */     GIR_EraseRootFromParent_Done,
     /*   17952 */   // Label 581: @17952
     /*   17952 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(17997), // Rule ID 50735 //
     /*   17957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17960 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   17963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*   17977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17995 */     GIR_RootConstrainSelectedInstOperands,
     /*   17996 */     // GIR_Coverage, 50735,
     /*   17996 */     GIR_EraseRootFromParent_Done,
     /*   17997 */   // Label 582: @17997
     /*   17997 */   GIM_Reject,
     /*   17998 */ // Label 580: @17998
     /*   17998 */ GIM_Reject,
     /*   17999 */ // Label 520: @17999
     /*   17999 */ GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(18113),
     /*   18004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   18007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   18010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18022 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(18067), // Rule ID 50706 //
     /*   18027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18030 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   18033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*   18047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18065 */     GIR_RootConstrainSelectedInstOperands,
     /*   18066 */     // GIR_Coverage, 50706,
     /*   18066 */     GIR_EraseRootFromParent_Done,
     /*   18067 */   // Label 584: @18067
     /*   18067 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(18112), // Rule ID 50707 //
     /*   18072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18075 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   18078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*   18092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18110 */     GIR_RootConstrainSelectedInstOperands,
     /*   18111 */     // GIR_Coverage, 50707,
     /*   18111 */     GIR_EraseRootFromParent_Done,
     /*   18112 */   // Label 585: @18112
     /*   18112 */   GIM_Reject,
     /*   18113 */ // Label 583: @18113
     /*   18113 */ GIM_Reject,
     /*   18114 */ // Label 521: @18114
     /*   18114 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(18228),
     /*   18119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   18122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   18125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18137 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(18182), // Rule ID 50722 //
     /*   18142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18145 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   18145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   18148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*   18162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18180 */     GIR_RootConstrainSelectedInstOperands,
     /*   18181 */     // GIR_Coverage, 50722,
     /*   18181 */     GIR_EraseRootFromParent_Done,
     /*   18182 */   // Label 587: @18182
     /*   18182 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(18227), // Rule ID 50723 //
     /*   18187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18190 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   18190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   18193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*   18207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18225 */     GIR_RootConstrainSelectedInstOperands,
     /*   18226 */     // GIR_Coverage, 50723,
     /*   18226 */     GIR_EraseRootFromParent_Done,
     /*   18227 */   // Label 588: @18227
     /*   18227 */   GIM_Reject,
     /*   18228 */ // Label 586: @18228
     /*   18228 */ GIM_Reject,
     /*   18229 */ // Label 522: @18229
     /*   18229 */ GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(18343),
     /*   18234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   18237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   18240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(18297), // Rule ID 50710 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   18263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*   18277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18295 */     GIR_RootConstrainSelectedInstOperands,
     /*   18296 */     // GIR_Coverage, 50710,
     /*   18296 */     GIR_EraseRootFromParent_Done,
     /*   18297 */   // Label 590: @18297
     /*   18297 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(18342), // Rule ID 50711 //
     /*   18302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18305 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   18308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*   18322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18340 */     GIR_RootConstrainSelectedInstOperands,
     /*   18341 */     // GIR_Coverage, 50711,
     /*   18341 */     GIR_EraseRootFromParent_Done,
     /*   18342 */   // Label 591: @18342
     /*   18342 */   GIM_Reject,
     /*   18343 */ // Label 589: @18343
     /*   18343 */ GIM_Reject,
     /*   18344 */ // Label 523: @18344
     /*   18344 */ GIM_Reject,
     /*   18345 */ // Label 4: @18345
     /*   18345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 616*/ GIMT_Encode4(21078),
     /*   18356 */ /*GILLT_s32*//*Label 592*/ GIMT_Encode4(18480),
     /*   18360 */ /*GILLT_s64*//*Label 593*/ GIMT_Encode4(18514), GIMT_Encode4(0),
     /*   18368 */ /*GILLT_nxv1s8*//*Label 594*/ GIMT_Encode4(18548),
     /*   18372 */ /*GILLT_nxv1s16*//*Label 595*/ GIMT_Encode4(18663),
     /*   18376 */ /*GILLT_nxv1s32*//*Label 596*/ GIMT_Encode4(18778),
     /*   18380 */ /*GILLT_nxv1s64*//*Label 597*/ GIMT_Encode4(18893), GIMT_Encode4(0),
     /*   18388 */ /*GILLT_nxv2s8*//*Label 598*/ GIMT_Encode4(19008),
     /*   18392 */ /*GILLT_nxv2s16*//*Label 599*/ GIMT_Encode4(19123),
     /*   18396 */ /*GILLT_nxv2s32*//*Label 600*/ GIMT_Encode4(19238),
     /*   18400 */ /*GILLT_nxv2s64*//*Label 601*/ GIMT_Encode4(19353), GIMT_Encode4(0),
     /*   18408 */ /*GILLT_nxv4s8*//*Label 602*/ GIMT_Encode4(19468),
     /*   18412 */ /*GILLT_nxv4s16*//*Label 603*/ GIMT_Encode4(19583),
     /*   18416 */ /*GILLT_nxv4s32*//*Label 604*/ GIMT_Encode4(19698),
     /*   18420 */ /*GILLT_nxv4s64*//*Label 605*/ GIMT_Encode4(19813), GIMT_Encode4(0),
     /*   18428 */ /*GILLT_nxv8s8*//*Label 606*/ GIMT_Encode4(19928),
     /*   18432 */ /*GILLT_nxv8s16*//*Label 607*/ GIMT_Encode4(20043),
     /*   18436 */ /*GILLT_nxv8s32*//*Label 608*/ GIMT_Encode4(20158),
     /*   18440 */ /*GILLT_nxv8s64*//*Label 609*/ GIMT_Encode4(20273), GIMT_Encode4(0),
     /*   18448 */ /*GILLT_nxv16s8*//*Label 610*/ GIMT_Encode4(20388),
     /*   18452 */ /*GILLT_nxv16s16*//*Label 611*/ GIMT_Encode4(20503),
     /*   18456 */ /*GILLT_nxv16s32*//*Label 612*/ GIMT_Encode4(20618), GIMT_Encode4(0),
     /*   18464 */ /*GILLT_nxv32s8*//*Label 613*/ GIMT_Encode4(20733),
     /*   18468 */ /*GILLT_nxv32s16*//*Label 614*/ GIMT_Encode4(20848), GIMT_Encode4(0),
     /*   18476 */ /*GILLT_nxv64s8*//*Label 615*/ GIMT_Encode4(20963),
     /*   18480 */ // Label 592: @18480
     /*   18480 */ GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(18513), // Rule ID 298 //
     /*   18485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   18488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   18491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   18494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18506 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   18506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*   18511 */   GIR_RootConstrainSelectedInstOperands,
     /*   18512 */   // GIR_Coverage, 298,
     /*   18512 */   GIR_Done,
     /*   18513 */ // Label 617: @18513
     /*   18513 */ GIM_Reject,
     /*   18514 */ // Label 593: @18514
     /*   18514 */ GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(18547), // Rule ID 297 //
     /*   18519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   18522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   18525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   18528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18540 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   18540 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*   18545 */   GIR_RootConstrainSelectedInstOperands,
     /*   18546 */   // GIR_Coverage, 297,
     /*   18546 */   GIR_Done,
     /*   18547 */ // Label 618: @18547
     /*   18547 */ GIM_Reject,
     /*   18548 */ // Label 594: @18548
     /*   18548 */ GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(18662),
     /*   18553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   18556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   18559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18571 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(18616), // Rule ID 50574 //
     /*   18576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18579 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   18582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*   18596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18614 */     GIR_RootConstrainSelectedInstOperands,
     /*   18615 */     // GIR_Coverage, 50574,
     /*   18615 */     GIR_EraseRootFromParent_Done,
     /*   18616 */   // Label 620: @18616
     /*   18616 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(18661), // Rule ID 50575 //
     /*   18621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18624 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   18627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*   18641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18659 */     GIR_RootConstrainSelectedInstOperands,
     /*   18660 */     // GIR_Coverage, 50575,
     /*   18660 */     GIR_EraseRootFromParent_Done,
     /*   18661 */   // Label 621: @18661
     /*   18661 */   GIM_Reject,
     /*   18662 */ // Label 619: @18662
     /*   18662 */ GIM_Reject,
     /*   18663 */ // Label 595: @18663
     /*   18663 */ GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(18777),
     /*   18668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   18671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   18674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18686 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(18731), // Rule ID 50586 //
     /*   18691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18694 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   18694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   18697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18729 */     GIR_RootConstrainSelectedInstOperands,
     /*   18730 */     // GIR_Coverage, 50586,
     /*   18730 */     GIR_EraseRootFromParent_Done,
     /*   18731 */   // Label 623: @18731
     /*   18731 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(18776), // Rule ID 50587 //
     /*   18736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18739 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   18739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   18742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*   18756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18774 */     GIR_RootConstrainSelectedInstOperands,
     /*   18775 */     // GIR_Coverage, 50587,
     /*   18775 */     GIR_EraseRootFromParent_Done,
     /*   18776 */   // Label 624: @18776
     /*   18776 */   GIM_Reject,
     /*   18777 */ // Label 622: @18777
     /*   18777 */ GIM_Reject,
     /*   18778 */ // Label 596: @18778
     /*   18778 */ GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(18892),
     /*   18783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   18789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18801 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(18846), // Rule ID 50594 //
     /*   18806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18809 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   18809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*   18826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18844 */     GIR_RootConstrainSelectedInstOperands,
     /*   18845 */     // GIR_Coverage, 50594,
     /*   18845 */     GIR_EraseRootFromParent_Done,
     /*   18846 */   // Label 626: @18846
     /*   18846 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(18891), // Rule ID 50595 //
     /*   18851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18854 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*   18871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18889 */     GIR_RootConstrainSelectedInstOperands,
     /*   18890 */     // GIR_Coverage, 50595,
     /*   18890 */     GIR_EraseRootFromParent_Done,
     /*   18891 */   // Label 627: @18891
     /*   18891 */   GIM_Reject,
     /*   18892 */ // Label 625: @18892
     /*   18892 */ GIM_Reject,
     /*   18893 */ // Label 597: @18893
     /*   18893 */ GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(19007),
     /*   18898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18916 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(18961), // Rule ID 50610 //
     /*   18921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   18924 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   18924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   18927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*   18941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   18956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18959 */     GIR_RootConstrainSelectedInstOperands,
     /*   18960 */     // GIR_Coverage, 50610,
     /*   18960 */     GIR_EraseRootFromParent_Done,
     /*   18961 */   // Label 629: @18961
     /*   18961 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(19006), // Rule ID 50611 //
     /*   18966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   18969 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   18969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   18972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*   18986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19004 */     GIR_RootConstrainSelectedInstOperands,
     /*   19005 */     // GIR_Coverage, 50611,
     /*   19005 */     GIR_EraseRootFromParent_Done,
     /*   19006 */   // Label 630: @19006
     /*   19006 */   GIM_Reject,
     /*   19007 */ // Label 628: @19007
     /*   19007 */ GIM_Reject,
     /*   19008 */ // Label 598: @19008
     /*   19008 */ GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(19122),
     /*   19013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   19019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19031 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(19076), // Rule ID 50578 //
     /*   19036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19039 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   19042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*   19056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19074 */     GIR_RootConstrainSelectedInstOperands,
     /*   19075 */     // GIR_Coverage, 50578,
     /*   19075 */     GIR_EraseRootFromParent_Done,
     /*   19076 */   // Label 632: @19076
     /*   19076 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(19121), // Rule ID 50579 //
     /*   19081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19084 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   19087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*   19101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19119 */     GIR_RootConstrainSelectedInstOperands,
     /*   19120 */     // GIR_Coverage, 50579,
     /*   19120 */     GIR_EraseRootFromParent_Done,
     /*   19121 */   // Label 633: @19121
     /*   19121 */   GIM_Reject,
     /*   19122 */ // Label 631: @19122
     /*   19122 */ GIM_Reject,
     /*   19123 */ // Label 599: @19123
     /*   19123 */ GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(19237),
     /*   19128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19146 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(19191), // Rule ID 50590 //
     /*   19151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19154 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   19154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*   19171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19189 */     GIR_RootConstrainSelectedInstOperands,
     /*   19190 */     // GIR_Coverage, 50590,
     /*   19190 */     GIR_EraseRootFromParent_Done,
     /*   19191 */   // Label 635: @19191
     /*   19191 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(19236), // Rule ID 50591 //
     /*   19196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19199 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   19199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*   19216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19234 */     GIR_RootConstrainSelectedInstOperands,
     /*   19235 */     // GIR_Coverage, 50591,
     /*   19235 */     GIR_EraseRootFromParent_Done,
     /*   19236 */   // Label 636: @19236
     /*   19236 */   GIM_Reject,
     /*   19237 */ // Label 634: @19237
     /*   19237 */ GIM_Reject,
     /*   19238 */ // Label 600: @19238
     /*   19238 */ GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(19352),
     /*   19243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   19246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   19249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19261 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(19306), // Rule ID 50606 //
     /*   19266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19269 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   19272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*   19286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19304 */     GIR_RootConstrainSelectedInstOperands,
     /*   19305 */     // GIR_Coverage, 50606,
     /*   19305 */     GIR_EraseRootFromParent_Done,
     /*   19306 */   // Label 638: @19306
     /*   19306 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(19351), // Rule ID 50607 //
     /*   19311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19314 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   19317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*   19331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19349 */     GIR_RootConstrainSelectedInstOperands,
     /*   19350 */     // GIR_Coverage, 50607,
     /*   19350 */     GIR_EraseRootFromParent_Done,
     /*   19351 */   // Label 639: @19351
     /*   19351 */   GIM_Reject,
     /*   19352 */ // Label 637: @19352
     /*   19352 */ GIM_Reject,
     /*   19353 */ // Label 601: @19353
     /*   19353 */ GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(19467),
     /*   19358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   19361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   19364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(19421), // Rule ID 50650 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   19384 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   19384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   19387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*   19401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19419 */     GIR_RootConstrainSelectedInstOperands,
     /*   19420 */     // GIR_Coverage, 50650,
     /*   19420 */     GIR_EraseRootFromParent_Done,
     /*   19421 */   // Label 641: @19421
     /*   19421 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(19466), // Rule ID 50651 //
     /*   19426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   19429 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   19429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   19432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*   19446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19464 */     GIR_RootConstrainSelectedInstOperands,
     /*   19465 */     // GIR_Coverage, 50651,
     /*   19465 */     GIR_EraseRootFromParent_Done,
     /*   19466 */   // Label 642: @19466
     /*   19466 */   GIM_Reject,
     /*   19467 */ // Label 640: @19467
     /*   19467 */ GIM_Reject,
     /*   19468 */ // Label 602: @19468
     /*   19468 */ GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(19582),
     /*   19473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   19476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   19479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19491 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(19536), // Rule ID 50582 //
     /*   19496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19499 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   19502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*   19516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19534 */     GIR_RootConstrainSelectedInstOperands,
     /*   19535 */     // GIR_Coverage, 50582,
     /*   19535 */     GIR_EraseRootFromParent_Done,
     /*   19536 */   // Label 644: @19536
     /*   19536 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(19581), // Rule ID 50583 //
     /*   19541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19544 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   19547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*   19561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19579 */     GIR_RootConstrainSelectedInstOperands,
     /*   19580 */     // GIR_Coverage, 50583,
     /*   19580 */     GIR_EraseRootFromParent_Done,
     /*   19581 */   // Label 645: @19581
     /*   19581 */   GIM_Reject,
     /*   19582 */ // Label 643: @19582
     /*   19582 */ GIM_Reject,
     /*   19583 */ // Label 603: @19583
     /*   19583 */ GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(19697),
     /*   19588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   19591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   19594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19606 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(19651), // Rule ID 50602 //
     /*   19611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19614 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   19614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   19617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*   19631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19649 */     GIR_RootConstrainSelectedInstOperands,
     /*   19650 */     // GIR_Coverage, 50602,
     /*   19650 */     GIR_EraseRootFromParent_Done,
     /*   19651 */   // Label 647: @19651
     /*   19651 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(19696), // Rule ID 50603 //
     /*   19656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19659 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   19659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   19662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*   19676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19694 */     GIR_RootConstrainSelectedInstOperands,
     /*   19695 */     // GIR_Coverage, 50603,
     /*   19695 */     GIR_EraseRootFromParent_Done,
     /*   19696 */   // Label 648: @19696
     /*   19696 */   GIM_Reject,
     /*   19697 */ // Label 646: @19697
     /*   19697 */ GIM_Reject,
     /*   19698 */ // Label 604: @19698
     /*   19698 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(19812),
     /*   19703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   19706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   19709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19721 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(19766), // Rule ID 50638 //
     /*   19726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19729 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   19732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*   19746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19764 */     GIR_RootConstrainSelectedInstOperands,
     /*   19765 */     // GIR_Coverage, 50638,
     /*   19765 */     GIR_EraseRootFromParent_Done,
     /*   19766 */   // Label 650: @19766
     /*   19766 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(19811), // Rule ID 50639 //
     /*   19771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19774 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   19777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*   19791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19809 */     GIR_RootConstrainSelectedInstOperands,
     /*   19810 */     // GIR_Coverage, 50639,
     /*   19810 */     GIR_EraseRootFromParent_Done,
     /*   19811 */   // Label 651: @19811
     /*   19811 */   GIM_Reject,
     /*   19812 */ // Label 649: @19812
     /*   19812 */ GIM_Reject,
     /*   19813 */ // Label 605: @19813
     /*   19813 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(19927),
     /*   19818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   19821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   19824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19836 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(19881), // Rule ID 50654 //
     /*   19841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   19844 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   19844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   19847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*   19861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19879 */     GIR_RootConstrainSelectedInstOperands,
     /*   19880 */     // GIR_Coverage, 50654,
     /*   19880 */     GIR_EraseRootFromParent_Done,
     /*   19881 */   // Label 653: @19881
     /*   19881 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(19926), // Rule ID 50655 //
     /*   19886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   19889 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   19889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   19892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*   19906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19924 */     GIR_RootConstrainSelectedInstOperands,
     /*   19925 */     // GIR_Coverage, 50655,
     /*   19925 */     GIR_EraseRootFromParent_Done,
     /*   19926 */   // Label 654: @19926
     /*   19926 */   GIM_Reject,
     /*   19927 */ // Label 652: @19927
     /*   19927 */ GIM_Reject,
     /*   19928 */ // Label 606: @19928
     /*   19928 */ GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(20042),
     /*   19933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   19936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   19939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19951 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(19996), // Rule ID 50598 //
     /*   19956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19959 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   19962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*   19976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19994 */     GIR_RootConstrainSelectedInstOperands,
     /*   19995 */     // GIR_Coverage, 50598,
     /*   19995 */     GIR_EraseRootFromParent_Done,
     /*   19996 */   // Label 656: @19996
     /*   19996 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(20041), // Rule ID 50599 //
     /*   20001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20004 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   20007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*   20021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20039 */     GIR_RootConstrainSelectedInstOperands,
     /*   20040 */     // GIR_Coverage, 50599,
     /*   20040 */     GIR_EraseRootFromParent_Done,
     /*   20041 */   // Label 657: @20041
     /*   20041 */   GIM_Reject,
     /*   20042 */ // Label 655: @20042
     /*   20042 */ GIM_Reject,
     /*   20043 */ // Label 607: @20043
     /*   20043 */ GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(20157),
     /*   20048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   20051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   20054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20066 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(20111), // Rule ID 50626 //
     /*   20071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20074 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   20077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*   20091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20109 */     GIR_RootConstrainSelectedInstOperands,
     /*   20110 */     // GIR_Coverage, 50626,
     /*   20110 */     GIR_EraseRootFromParent_Done,
     /*   20111 */   // Label 659: @20111
     /*   20111 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(20156), // Rule ID 50627 //
     /*   20116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20119 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   20122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*   20136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 50627,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 660: @20156
     /*   20156 */   GIM_Reject,
     /*   20157 */ // Label 658: @20157
     /*   20157 */ GIM_Reject,
     /*   20158 */ // Label 608: @20158
     /*   20158 */ GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(20272),
     /*   20163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   20166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   20169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20181 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(20226), // Rule ID 50642 //
     /*   20186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20189 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   20192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*   20206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20224 */     GIR_RootConstrainSelectedInstOperands,
     /*   20225 */     // GIR_Coverage, 50642,
     /*   20225 */     GIR_EraseRootFromParent_Done,
     /*   20226 */   // Label 662: @20226
     /*   20226 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(20271), // Rule ID 50643 //
     /*   20231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20234 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   20237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*   20251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20269 */     GIR_RootConstrainSelectedInstOperands,
     /*   20270 */     // GIR_Coverage, 50643,
     /*   20270 */     GIR_EraseRootFromParent_Done,
     /*   20271 */   // Label 663: @20271
     /*   20271 */   GIM_Reject,
     /*   20272 */ // Label 661: @20272
     /*   20272 */ GIM_Reject,
     /*   20273 */ // Label 609: @20273
     /*   20273 */ GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(20387),
     /*   20278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   20281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   20284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20296 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(20341), // Rule ID 50658 //
     /*   20301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20304 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   20304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   20307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*   20321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20339 */     GIR_RootConstrainSelectedInstOperands,
     /*   20340 */     // GIR_Coverage, 50658,
     /*   20340 */     GIR_EraseRootFromParent_Done,
     /*   20341 */   // Label 665: @20341
     /*   20341 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(20386), // Rule ID 50659 //
     /*   20346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20349 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   20349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   20352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*   20366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20384 */     GIR_RootConstrainSelectedInstOperands,
     /*   20385 */     // GIR_Coverage, 50659,
     /*   20385 */     GIR_EraseRootFromParent_Done,
     /*   20386 */   // Label 666: @20386
     /*   20386 */   GIM_Reject,
     /*   20387 */ // Label 664: @20387
     /*   20387 */ GIM_Reject,
     /*   20388 */ // Label 610: @20388
     /*   20388 */ GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(20502),
     /*   20393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   20396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   20399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20411 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(20456), // Rule ID 50614 //
     /*   20416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20419 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   20422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*   20436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20454 */     GIR_RootConstrainSelectedInstOperands,
     /*   20455 */     // GIR_Coverage, 50614,
     /*   20455 */     GIR_EraseRootFromParent_Done,
     /*   20456 */   // Label 668: @20456
     /*   20456 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(20501), // Rule ID 50615 //
     /*   20461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20464 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   20467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*   20481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20499 */     GIR_RootConstrainSelectedInstOperands,
     /*   20500 */     // GIR_Coverage, 50615,
     /*   20500 */     GIR_EraseRootFromParent_Done,
     /*   20501 */   // Label 669: @20501
     /*   20501 */   GIM_Reject,
     /*   20502 */ // Label 667: @20502
     /*   20502 */ GIM_Reject,
     /*   20503 */ // Label 611: @20503
     /*   20503 */ GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(20617),
     /*   20508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   20511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   20514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20526 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(20571), // Rule ID 50630 //
     /*   20531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20534 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   20537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*   20551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20569 */     GIR_RootConstrainSelectedInstOperands,
     /*   20570 */     // GIR_Coverage, 50630,
     /*   20570 */     GIR_EraseRootFromParent_Done,
     /*   20571 */   // Label 671: @20571
     /*   20571 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(20616), // Rule ID 50631 //
     /*   20576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20579 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   20582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*   20596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20614 */     GIR_RootConstrainSelectedInstOperands,
     /*   20615 */     // GIR_Coverage, 50631,
     /*   20615 */     GIR_EraseRootFromParent_Done,
     /*   20616 */   // Label 672: @20616
     /*   20616 */   GIM_Reject,
     /*   20617 */ // Label 670: @20617
     /*   20617 */ GIM_Reject,
     /*   20618 */ // Label 612: @20618
     /*   20618 */ GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(20732),
     /*   20623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   20626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   20629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20641 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(20686), // Rule ID 50646 //
     /*   20646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20649 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   20652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*   20666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20684 */     GIR_RootConstrainSelectedInstOperands,
     /*   20685 */     // GIR_Coverage, 50646,
     /*   20685 */     GIR_EraseRootFromParent_Done,
     /*   20686 */   // Label 674: @20686
     /*   20686 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(20731), // Rule ID 50647 //
     /*   20691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20694 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   20697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*   20711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20729 */     GIR_RootConstrainSelectedInstOperands,
     /*   20730 */     // GIR_Coverage, 50647,
     /*   20730 */     GIR_EraseRootFromParent_Done,
     /*   20731 */   // Label 675: @20731
     /*   20731 */   GIM_Reject,
     /*   20732 */ // Label 673: @20732
     /*   20732 */ GIM_Reject,
     /*   20733 */ // Label 613: @20733
     /*   20733 */ GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(20847),
     /*   20738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   20741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   20744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20756 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(20801), // Rule ID 50618 //
     /*   20761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20764 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   20767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*   20781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 50618,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 677: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(20846), // Rule ID 50619 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20809 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   20812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*   20826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20844 */     GIR_RootConstrainSelectedInstOperands,
     /*   20845 */     // GIR_Coverage, 50619,
     /*   20845 */     GIR_EraseRootFromParent_Done,
     /*   20846 */   // Label 678: @20846
     /*   20846 */   GIM_Reject,
     /*   20847 */ // Label 676: @20847
     /*   20847 */ GIM_Reject,
     /*   20848 */ // Label 614: @20848
     /*   20848 */ GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(20962),
     /*   20853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   20856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   20859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20871 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(20916), // Rule ID 50634 //
     /*   20876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20879 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   20882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*   20896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20914 */     GIR_RootConstrainSelectedInstOperands,
     /*   20915 */     // GIR_Coverage, 50634,
     /*   20915 */     GIR_EraseRootFromParent_Done,
     /*   20916 */   // Label 680: @20916
     /*   20916 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(20961), // Rule ID 50635 //
     /*   20921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20924 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   20927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*   20941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20959 */     GIR_RootConstrainSelectedInstOperands,
     /*   20960 */     // GIR_Coverage, 50635,
     /*   20960 */     GIR_EraseRootFromParent_Done,
     /*   20961 */   // Label 681: @20961
     /*   20961 */   GIM_Reject,
     /*   20962 */ // Label 679: @20962
     /*   20962 */ GIM_Reject,
     /*   20963 */ // Label 615: @20963
     /*   20963 */ GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(21077),
     /*   20968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   20971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   20974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20986 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(21031), // Rule ID 50622 //
     /*   20991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20994 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   20997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*   21011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21029 */     GIR_RootConstrainSelectedInstOperands,
     /*   21030 */     // GIR_Coverage, 50622,
     /*   21030 */     GIR_EraseRootFromParent_Done,
     /*   21031 */   // Label 683: @21031
     /*   21031 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(21076), // Rule ID 50623 //
     /*   21036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21039 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   21042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*   21056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21074 */     GIR_RootConstrainSelectedInstOperands,
     /*   21075 */     // GIR_Coverage, 50623,
     /*   21075 */     GIR_EraseRootFromParent_Done,
     /*   21076 */   // Label 684: @21076
     /*   21076 */   GIM_Reject,
     /*   21077 */ // Label 682: @21077
     /*   21077 */ GIM_Reject,
     /*   21078 */ // Label 616: @21078
     /*   21078 */ GIM_Reject,
     /*   21079 */ // Label 5: @21079
     /*   21079 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 709*/ GIMT_Encode4(23857),
     /*   21090 */ /*GILLT_s32*//*Label 685*/ GIMT_Encode4(21214),
     /*   21094 */ /*GILLT_s64*//*Label 686*/ GIMT_Encode4(21248), GIMT_Encode4(0),
     /*   21102 */ /*GILLT_nxv1s8*//*Label 687*/ GIMT_Encode4(21327),
     /*   21106 */ /*GILLT_nxv1s16*//*Label 688*/ GIMT_Encode4(21442),
     /*   21110 */ /*GILLT_nxv1s32*//*Label 689*/ GIMT_Encode4(21557),
     /*   21114 */ /*GILLT_nxv1s64*//*Label 690*/ GIMT_Encode4(21672), GIMT_Encode4(0),
     /*   21122 */ /*GILLT_nxv2s8*//*Label 691*/ GIMT_Encode4(21787),
     /*   21126 */ /*GILLT_nxv2s16*//*Label 692*/ GIMT_Encode4(21902),
     /*   21130 */ /*GILLT_nxv2s32*//*Label 693*/ GIMT_Encode4(22017),
     /*   21134 */ /*GILLT_nxv2s64*//*Label 694*/ GIMT_Encode4(22132), GIMT_Encode4(0),
     /*   21142 */ /*GILLT_nxv4s8*//*Label 695*/ GIMT_Encode4(22247),
     /*   21146 */ /*GILLT_nxv4s16*//*Label 696*/ GIMT_Encode4(22362),
     /*   21150 */ /*GILLT_nxv4s32*//*Label 697*/ GIMT_Encode4(22477),
     /*   21154 */ /*GILLT_nxv4s64*//*Label 698*/ GIMT_Encode4(22592), GIMT_Encode4(0),
     /*   21162 */ /*GILLT_nxv8s8*//*Label 699*/ GIMT_Encode4(22707),
     /*   21166 */ /*GILLT_nxv8s16*//*Label 700*/ GIMT_Encode4(22822),
     /*   21170 */ /*GILLT_nxv8s32*//*Label 701*/ GIMT_Encode4(22937),
     /*   21174 */ /*GILLT_nxv8s64*//*Label 702*/ GIMT_Encode4(23052), GIMT_Encode4(0),
     /*   21182 */ /*GILLT_nxv16s8*//*Label 703*/ GIMT_Encode4(23167),
     /*   21186 */ /*GILLT_nxv16s16*//*Label 704*/ GIMT_Encode4(23282),
     /*   21190 */ /*GILLT_nxv16s32*//*Label 705*/ GIMT_Encode4(23397), GIMT_Encode4(0),
     /*   21198 */ /*GILLT_nxv32s8*//*Label 706*/ GIMT_Encode4(23512),
     /*   21202 */ /*GILLT_nxv32s16*//*Label 707*/ GIMT_Encode4(23627), GIMT_Encode4(0),
     /*   21210 */ /*GILLT_nxv64s8*//*Label 708*/ GIMT_Encode4(23742),
     /*   21214 */ // Label 685: @21214
     /*   21214 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(21247), // Rule ID 300 //
     /*   21219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   21222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   21225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   21228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21240 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   21240 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*   21245 */   GIR_RootConstrainSelectedInstOperands,
     /*   21246 */   // GIR_Coverage, 300,
     /*   21246 */   GIR_Done,
     /*   21247 */ // Label 710: @21247
     /*   21247 */ GIM_Reject,
     /*   21248 */ // Label 686: @21248
     /*   21248 */ GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(21326),
     /*   21253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   21256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   21259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21263 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(21302), // Rule ID 309 //
     /*   21268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*   21271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*   21278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*   21285 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   21285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*   21288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   21295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   21300 */     GIR_RootConstrainSelectedInstOperands,
     /*   21301 */     // GIR_Coverage, 309,
     /*   21301 */     GIR_EraseRootFromParent_Done,
     /*   21302 */   // Label 712: @21302
     /*   21302 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(21325), // Rule ID 299 //
     /*   21307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   21310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21318 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   21318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*   21323 */     GIR_RootConstrainSelectedInstOperands,
     /*   21324 */     // GIR_Coverage, 299,
     /*   21324 */     GIR_Done,
     /*   21325 */   // Label 713: @21325
     /*   21325 */   GIM_Reject,
     /*   21326 */ // Label 711: @21326
     /*   21326 */ GIM_Reject,
     /*   21327 */ // Label 687: @21327
     /*   21327 */ GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(21441),
     /*   21332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   21335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   21338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21350 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(21395), // Rule ID 50838 //
     /*   21355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21358 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   21361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*   21375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21393 */     GIR_RootConstrainSelectedInstOperands,
     /*   21394 */     // GIR_Coverage, 50838,
     /*   21394 */     GIR_EraseRootFromParent_Done,
     /*   21395 */   // Label 715: @21395
     /*   21395 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(21440), // Rule ID 50839 //
     /*   21400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21403 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   21406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*   21420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21438 */     GIR_RootConstrainSelectedInstOperands,
     /*   21439 */     // GIR_Coverage, 50839,
     /*   21439 */     GIR_EraseRootFromParent_Done,
     /*   21440 */   // Label 716: @21440
     /*   21440 */   GIM_Reject,
     /*   21441 */ // Label 714: @21441
     /*   21441 */ GIM_Reject,
     /*   21442 */ // Label 688: @21442
     /*   21442 */ GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(21556),
     /*   21447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   21450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   21453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21465 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(21510), // Rule ID 50850 //
     /*   21470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21473 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   21473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   21476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*   21490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21508 */     GIR_RootConstrainSelectedInstOperands,
     /*   21509 */     // GIR_Coverage, 50850,
     /*   21509 */     GIR_EraseRootFromParent_Done,
     /*   21510 */   // Label 718: @21510
     /*   21510 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(21555), // Rule ID 50851 //
     /*   21515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21518 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   21518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   21521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*   21535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21553 */     GIR_RootConstrainSelectedInstOperands,
     /*   21554 */     // GIR_Coverage, 50851,
     /*   21554 */     GIR_EraseRootFromParent_Done,
     /*   21555 */   // Label 719: @21555
     /*   21555 */   GIM_Reject,
     /*   21556 */ // Label 717: @21556
     /*   21556 */ GIM_Reject,
     /*   21557 */ // Label 689: @21557
     /*   21557 */ GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(21671),
     /*   21562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   21568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21580 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(21625), // Rule ID 50858 //
     /*   21585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21588 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   21588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   21591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*   21605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21623 */     GIR_RootConstrainSelectedInstOperands,
     /*   21624 */     // GIR_Coverage, 50858,
     /*   21624 */     GIR_EraseRootFromParent_Done,
     /*   21625 */   // Label 721: @21625
     /*   21625 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(21670), // Rule ID 50859 //
     /*   21630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21633 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   21633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   21636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*   21650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21668 */     GIR_RootConstrainSelectedInstOperands,
     /*   21669 */     // GIR_Coverage, 50859,
     /*   21669 */     GIR_EraseRootFromParent_Done,
     /*   21670 */   // Label 722: @21670
     /*   21670 */   GIM_Reject,
     /*   21671 */ // Label 720: @21671
     /*   21671 */ GIM_Reject,
     /*   21672 */ // Label 690: @21672
     /*   21672 */ GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(21786),
     /*   21677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   21680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   21683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21695 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(21740), // Rule ID 50874 //
     /*   21700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21703 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*   21720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21738 */     GIR_RootConstrainSelectedInstOperands,
     /*   21739 */     // GIR_Coverage, 50874,
     /*   21739 */     GIR_EraseRootFromParent_Done,
     /*   21740 */   // Label 724: @21740
     /*   21740 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(21785), // Rule ID 50875 //
     /*   21745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21748 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*   21765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21783 */     GIR_RootConstrainSelectedInstOperands,
     /*   21784 */     // GIR_Coverage, 50875,
     /*   21784 */     GIR_EraseRootFromParent_Done,
     /*   21785 */   // Label 725: @21785
     /*   21785 */   GIM_Reject,
     /*   21786 */ // Label 723: @21786
     /*   21786 */ GIM_Reject,
     /*   21787 */ // Label 691: @21787
     /*   21787 */ GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(21901),
     /*   21792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(21855), // Rule ID 50842 //
     /*   21815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21818 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*   21835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21853 */     GIR_RootConstrainSelectedInstOperands,
     /*   21854 */     // GIR_Coverage, 50842,
     /*   21854 */     GIR_EraseRootFromParent_Done,
     /*   21855 */   // Label 727: @21855
     /*   21855 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(21900), // Rule ID 50843 //
     /*   21860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21863 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*   21880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21898 */     GIR_RootConstrainSelectedInstOperands,
     /*   21899 */     // GIR_Coverage, 50843,
     /*   21899 */     GIR_EraseRootFromParent_Done,
     /*   21900 */   // Label 728: @21900
     /*   21900 */   GIM_Reject,
     /*   21901 */ // Label 726: @21901
     /*   21901 */ GIM_Reject,
     /*   21902 */ // Label 692: @21902
     /*   21902 */ GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(22016),
     /*   21907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(21970), // Rule ID 50854 //
     /*   21930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21933 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   21933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   21936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*   21950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21968 */     GIR_RootConstrainSelectedInstOperands,
     /*   21969 */     // GIR_Coverage, 50854,
     /*   21969 */     GIR_EraseRootFromParent_Done,
     /*   21970 */   // Label 730: @21970
     /*   21970 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(22015), // Rule ID 50855 //
     /*   21975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21978 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   21978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   21981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*   21995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22013 */     GIR_RootConstrainSelectedInstOperands,
     /*   22014 */     // GIR_Coverage, 50855,
     /*   22014 */     GIR_EraseRootFromParent_Done,
     /*   22015 */   // Label 731: @22015
     /*   22015 */   GIM_Reject,
     /*   22016 */ // Label 729: @22016
     /*   22016 */ GIM_Reject,
     /*   22017 */ // Label 693: @22017
     /*   22017 */ GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(22131),
     /*   22022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22040 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(22085), // Rule ID 50870 //
     /*   22045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22048 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*   22065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22083 */     GIR_RootConstrainSelectedInstOperands,
     /*   22084 */     // GIR_Coverage, 50870,
     /*   22084 */     GIR_EraseRootFromParent_Done,
     /*   22085 */   // Label 733: @22085
     /*   22085 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(22130), // Rule ID 50871 //
     /*   22090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22093 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   22093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*   22110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22128 */     GIR_RootConstrainSelectedInstOperands,
     /*   22129 */     // GIR_Coverage, 50871,
     /*   22129 */     GIR_EraseRootFromParent_Done,
     /*   22130 */   // Label 734: @22130
     /*   22130 */   GIM_Reject,
     /*   22131 */ // Label 732: @22131
     /*   22131 */ GIM_Reject,
     /*   22132 */ // Label 694: @22132
     /*   22132 */ GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(22246),
     /*   22137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   22140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   22143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22155 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(22200), // Rule ID 50914 //
     /*   22160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   22163 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   22163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   22166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*   22180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22198 */     GIR_RootConstrainSelectedInstOperands,
     /*   22199 */     // GIR_Coverage, 50914,
     /*   22199 */     GIR_EraseRootFromParent_Done,
     /*   22200 */   // Label 736: @22200
     /*   22200 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(22245), // Rule ID 50915 //
     /*   22205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   22208 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   22208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   22211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*   22225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22243 */     GIR_RootConstrainSelectedInstOperands,
     /*   22244 */     // GIR_Coverage, 50915,
     /*   22244 */     GIR_EraseRootFromParent_Done,
     /*   22245 */   // Label 737: @22245
     /*   22245 */   GIM_Reject,
     /*   22246 */ // Label 735: @22246
     /*   22246 */ GIM_Reject,
     /*   22247 */ // Label 695: @22247
     /*   22247 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(22361),
     /*   22252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   22255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   22258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22270 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(22315), // Rule ID 50846 //
     /*   22275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22278 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   22278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   22281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*   22295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22313 */     GIR_RootConstrainSelectedInstOperands,
     /*   22314 */     // GIR_Coverage, 50846,
     /*   22314 */     GIR_EraseRootFromParent_Done,
     /*   22315 */   // Label 739: @22315
     /*   22315 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(22360), // Rule ID 50847 //
     /*   22320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22323 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   22323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   22326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*   22340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22358 */     GIR_RootConstrainSelectedInstOperands,
     /*   22359 */     // GIR_Coverage, 50847,
     /*   22359 */     GIR_EraseRootFromParent_Done,
     /*   22360 */   // Label 740: @22360
     /*   22360 */   GIM_Reject,
     /*   22361 */ // Label 738: @22361
     /*   22361 */ GIM_Reject,
     /*   22362 */ // Label 696: @22362
     /*   22362 */ GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(22476),
     /*   22367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   22370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   22373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22385 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(22430), // Rule ID 50866 //
     /*   22390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22393 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   22396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*   22410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22428 */     GIR_RootConstrainSelectedInstOperands,
     /*   22429 */     // GIR_Coverage, 50866,
     /*   22429 */     GIR_EraseRootFromParent_Done,
     /*   22430 */   // Label 742: @22430
     /*   22430 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(22475), // Rule ID 50867 //
     /*   22435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22438 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   22441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*   22455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22473 */     GIR_RootConstrainSelectedInstOperands,
     /*   22474 */     // GIR_Coverage, 50867,
     /*   22474 */     GIR_EraseRootFromParent_Done,
     /*   22475 */   // Label 743: @22475
     /*   22475 */   GIM_Reject,
     /*   22476 */ // Label 741: @22476
     /*   22476 */ GIM_Reject,
     /*   22477 */ // Label 697: @22477
     /*   22477 */ GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(22591),
     /*   22482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   22485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   22488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22500 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(22545), // Rule ID 50902 //
     /*   22505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22508 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   22511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*   22525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22543 */     GIR_RootConstrainSelectedInstOperands,
     /*   22544 */     // GIR_Coverage, 50902,
     /*   22544 */     GIR_EraseRootFromParent_Done,
     /*   22545 */   // Label 745: @22545
     /*   22545 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(22590), // Rule ID 50903 //
     /*   22550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22553 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   22553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   22556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*   22570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 50903,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 746: @22590
     /*   22590 */   GIM_Reject,
     /*   22591 */ // Label 744: @22591
     /*   22591 */ GIM_Reject,
     /*   22592 */ // Label 698: @22592
     /*   22592 */ GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(22706),
     /*   22597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   22600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   22603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22615 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(22660), // Rule ID 50918 //
     /*   22620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   22623 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   22623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   22626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*   22640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22658 */     GIR_RootConstrainSelectedInstOperands,
     /*   22659 */     // GIR_Coverage, 50918,
     /*   22659 */     GIR_EraseRootFromParent_Done,
     /*   22660 */   // Label 748: @22660
     /*   22660 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(22705), // Rule ID 50919 //
     /*   22665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   22668 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   22668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   22671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*   22685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22703 */     GIR_RootConstrainSelectedInstOperands,
     /*   22704 */     // GIR_Coverage, 50919,
     /*   22704 */     GIR_EraseRootFromParent_Done,
     /*   22705 */   // Label 749: @22705
     /*   22705 */   GIM_Reject,
     /*   22706 */ // Label 747: @22706
     /*   22706 */ GIM_Reject,
     /*   22707 */ // Label 699: @22707
     /*   22707 */ GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(22821),
     /*   22712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   22715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   22718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22730 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(22775), // Rule ID 50862 //
     /*   22735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22738 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   22738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   22741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*   22755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22773 */     GIR_RootConstrainSelectedInstOperands,
     /*   22774 */     // GIR_Coverage, 50862,
     /*   22774 */     GIR_EraseRootFromParent_Done,
     /*   22775 */   // Label 751: @22775
     /*   22775 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(22820), // Rule ID 50863 //
     /*   22780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22783 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   22783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   22786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*   22800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22818 */     GIR_RootConstrainSelectedInstOperands,
     /*   22819 */     // GIR_Coverage, 50863,
     /*   22819 */     GIR_EraseRootFromParent_Done,
     /*   22820 */   // Label 752: @22820
     /*   22820 */   GIM_Reject,
     /*   22821 */ // Label 750: @22821
     /*   22821 */ GIM_Reject,
     /*   22822 */ // Label 700: @22822
     /*   22822 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(22936),
     /*   22827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   22830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   22833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22845 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(22890), // Rule ID 50890 //
     /*   22850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22853 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   22856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*   22870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22888 */     GIR_RootConstrainSelectedInstOperands,
     /*   22889 */     // GIR_Coverage, 50890,
     /*   22889 */     GIR_EraseRootFromParent_Done,
     /*   22890 */   // Label 754: @22890
     /*   22890 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(22935), // Rule ID 50891 //
     /*   22895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22898 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   22901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*   22915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22933 */     GIR_RootConstrainSelectedInstOperands,
     /*   22934 */     // GIR_Coverage, 50891,
     /*   22934 */     GIR_EraseRootFromParent_Done,
     /*   22935 */   // Label 755: @22935
     /*   22935 */   GIM_Reject,
     /*   22936 */ // Label 753: @22936
     /*   22936 */ GIM_Reject,
     /*   22937 */ // Label 701: @22937
     /*   22937 */ GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(23051),
     /*   22942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   22945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   22948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22960 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(23005), // Rule ID 50906 //
     /*   22965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22968 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   22971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*   22985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23003 */     GIR_RootConstrainSelectedInstOperands,
     /*   23004 */     // GIR_Coverage, 50906,
     /*   23004 */     GIR_EraseRootFromParent_Done,
     /*   23005 */   // Label 757: @23005
     /*   23005 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(23050), // Rule ID 50907 //
     /*   23010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23013 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   23016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*   23030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23048 */     GIR_RootConstrainSelectedInstOperands,
     /*   23049 */     // GIR_Coverage, 50907,
     /*   23049 */     GIR_EraseRootFromParent_Done,
     /*   23050 */   // Label 758: @23050
     /*   23050 */   GIM_Reject,
     /*   23051 */ // Label 756: @23051
     /*   23051 */ GIM_Reject,
     /*   23052 */ // Label 702: @23052
     /*   23052 */ GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(23166),
     /*   23057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   23060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   23063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23075 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(23120), // Rule ID 50922 //
     /*   23080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   23083 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   23083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   23086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*   23100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   23115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23118 */     GIR_RootConstrainSelectedInstOperands,
     /*   23119 */     // GIR_Coverage, 50922,
     /*   23119 */     GIR_EraseRootFromParent_Done,
     /*   23120 */   // Label 760: @23120
     /*   23120 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(23165), // Rule ID 50923 //
     /*   23125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   23128 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   23128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   23131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*   23145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   23160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23163 */     GIR_RootConstrainSelectedInstOperands,
     /*   23164 */     // GIR_Coverage, 50923,
     /*   23164 */     GIR_EraseRootFromParent_Done,
     /*   23165 */   // Label 761: @23165
     /*   23165 */   GIM_Reject,
     /*   23166 */ // Label 759: @23166
     /*   23166 */ GIM_Reject,
     /*   23167 */ // Label 703: @23167
     /*   23167 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(23281),
     /*   23172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   23175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   23178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23190 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(23235), // Rule ID 50878 //
     /*   23195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23198 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   23201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*   23215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23233 */     GIR_RootConstrainSelectedInstOperands,
     /*   23234 */     // GIR_Coverage, 50878,
     /*   23234 */     GIR_EraseRootFromParent_Done,
     /*   23235 */   // Label 763: @23235
     /*   23235 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(23280), // Rule ID 50879 //
     /*   23240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23243 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   23246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*   23260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23278 */     GIR_RootConstrainSelectedInstOperands,
     /*   23279 */     // GIR_Coverage, 50879,
     /*   23279 */     GIR_EraseRootFromParent_Done,
     /*   23280 */   // Label 764: @23280
     /*   23280 */   GIM_Reject,
     /*   23281 */ // Label 762: @23281
     /*   23281 */ GIM_Reject,
     /*   23282 */ // Label 704: @23282
     /*   23282 */ GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(23396),
     /*   23287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   23290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   23293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23305 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(23350), // Rule ID 50894 //
     /*   23310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23313 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   23313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   23316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*   23330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23348 */     GIR_RootConstrainSelectedInstOperands,
     /*   23349 */     // GIR_Coverage, 50894,
     /*   23349 */     GIR_EraseRootFromParent_Done,
     /*   23350 */   // Label 766: @23350
     /*   23350 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(23395), // Rule ID 50895 //
     /*   23355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23358 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   23358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   23361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*   23375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23393 */     GIR_RootConstrainSelectedInstOperands,
     /*   23394 */     // GIR_Coverage, 50895,
     /*   23394 */     GIR_EraseRootFromParent_Done,
     /*   23395 */   // Label 767: @23395
     /*   23395 */   GIM_Reject,
     /*   23396 */ // Label 765: @23396
     /*   23396 */ GIM_Reject,
     /*   23397 */ // Label 705: @23397
     /*   23397 */ GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(23511),
     /*   23402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   23405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   23408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23420 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(23465), // Rule ID 50910 //
     /*   23425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23428 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   23431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*   23445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23463 */     GIR_RootConstrainSelectedInstOperands,
     /*   23464 */     // GIR_Coverage, 50910,
     /*   23464 */     GIR_EraseRootFromParent_Done,
     /*   23465 */   // Label 769: @23465
     /*   23465 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(23510), // Rule ID 50911 //
     /*   23470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23473 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   23476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*   23490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23508 */     GIR_RootConstrainSelectedInstOperands,
     /*   23509 */     // GIR_Coverage, 50911,
     /*   23509 */     GIR_EraseRootFromParent_Done,
     /*   23510 */   // Label 770: @23510
     /*   23510 */   GIM_Reject,
     /*   23511 */ // Label 768: @23511
     /*   23511 */ GIM_Reject,
     /*   23512 */ // Label 706: @23512
     /*   23512 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(23626),
     /*   23517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   23520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   23523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23535 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(23580), // Rule ID 50882 //
     /*   23540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23543 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   23546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*   23560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23578 */     GIR_RootConstrainSelectedInstOperands,
     /*   23579 */     // GIR_Coverage, 50882,
     /*   23579 */     GIR_EraseRootFromParent_Done,
     /*   23580 */   // Label 772: @23580
     /*   23580 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(23625), // Rule ID 50883 //
     /*   23585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23588 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   23591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*   23605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23623 */     GIR_RootConstrainSelectedInstOperands,
     /*   23624 */     // GIR_Coverage, 50883,
     /*   23624 */     GIR_EraseRootFromParent_Done,
     /*   23625 */   // Label 773: @23625
     /*   23625 */   GIM_Reject,
     /*   23626 */ // Label 771: @23626
     /*   23626 */ GIM_Reject,
     /*   23627 */ // Label 707: @23627
     /*   23627 */ GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(23741),
     /*   23632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   23635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   23638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23650 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(23695), // Rule ID 50898 //
     /*   23655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23658 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   23658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   23661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*   23675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23693 */     GIR_RootConstrainSelectedInstOperands,
     /*   23694 */     // GIR_Coverage, 50898,
     /*   23694 */     GIR_EraseRootFromParent_Done,
     /*   23695 */   // Label 775: @23695
     /*   23695 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(23740), // Rule ID 50899 //
     /*   23700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23703 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   23703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   23706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*   23720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23738 */     GIR_RootConstrainSelectedInstOperands,
     /*   23739 */     // GIR_Coverage, 50899,
     /*   23739 */     GIR_EraseRootFromParent_Done,
     /*   23740 */   // Label 776: @23740
     /*   23740 */   GIM_Reject,
     /*   23741 */ // Label 774: @23741
     /*   23741 */ GIM_Reject,
     /*   23742 */ // Label 708: @23742
     /*   23742 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(23856),
     /*   23747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   23750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   23753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23765 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(23810), // Rule ID 50886 //
     /*   23770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23773 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   23776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*   23790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23808 */     GIR_RootConstrainSelectedInstOperands,
     /*   23809 */     // GIR_Coverage, 50886,
     /*   23809 */     GIR_EraseRootFromParent_Done,
     /*   23810 */   // Label 778: @23810
     /*   23810 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(23855), // Rule ID 50887 //
     /*   23815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23818 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   23821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*   23835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23853 */     GIR_RootConstrainSelectedInstOperands,
     /*   23854 */     // GIR_Coverage, 50887,
     /*   23854 */     GIR_EraseRootFromParent_Done,
     /*   23855 */   // Label 779: @23855
     /*   23855 */   GIM_Reject,
     /*   23856 */ // Label 777: @23856
     /*   23856 */ GIM_Reject,
     /*   23857 */ // Label 709: @23857
     /*   23857 */ GIM_Reject,
     /*   23858 */ // Label 6: @23858
     /*   23858 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 804*/ GIMT_Encode4(26591),
     /*   23869 */ /*GILLT_s32*//*Label 780*/ GIMT_Encode4(23993),
     /*   23873 */ /*GILLT_s64*//*Label 781*/ GIMT_Encode4(24027), GIMT_Encode4(0),
     /*   23881 */ /*GILLT_nxv1s8*//*Label 782*/ GIMT_Encode4(24061),
     /*   23885 */ /*GILLT_nxv1s16*//*Label 783*/ GIMT_Encode4(24176),
     /*   23889 */ /*GILLT_nxv1s32*//*Label 784*/ GIMT_Encode4(24291),
     /*   23893 */ /*GILLT_nxv1s64*//*Label 785*/ GIMT_Encode4(24406), GIMT_Encode4(0),
     /*   23901 */ /*GILLT_nxv2s8*//*Label 786*/ GIMT_Encode4(24521),
     /*   23905 */ /*GILLT_nxv2s16*//*Label 787*/ GIMT_Encode4(24636),
     /*   23909 */ /*GILLT_nxv2s32*//*Label 788*/ GIMT_Encode4(24751),
     /*   23913 */ /*GILLT_nxv2s64*//*Label 789*/ GIMT_Encode4(24866), GIMT_Encode4(0),
     /*   23921 */ /*GILLT_nxv4s8*//*Label 790*/ GIMT_Encode4(24981),
     /*   23925 */ /*GILLT_nxv4s16*//*Label 791*/ GIMT_Encode4(25096),
     /*   23929 */ /*GILLT_nxv4s32*//*Label 792*/ GIMT_Encode4(25211),
     /*   23933 */ /*GILLT_nxv4s64*//*Label 793*/ GIMT_Encode4(25326), GIMT_Encode4(0),
     /*   23941 */ /*GILLT_nxv8s8*//*Label 794*/ GIMT_Encode4(25441),
     /*   23945 */ /*GILLT_nxv8s16*//*Label 795*/ GIMT_Encode4(25556),
     /*   23949 */ /*GILLT_nxv8s32*//*Label 796*/ GIMT_Encode4(25671),
     /*   23953 */ /*GILLT_nxv8s64*//*Label 797*/ GIMT_Encode4(25786), GIMT_Encode4(0),
     /*   23961 */ /*GILLT_nxv16s8*//*Label 798*/ GIMT_Encode4(25901),
     /*   23965 */ /*GILLT_nxv16s16*//*Label 799*/ GIMT_Encode4(26016),
     /*   23969 */ /*GILLT_nxv16s32*//*Label 800*/ GIMT_Encode4(26131), GIMT_Encode4(0),
     /*   23977 */ /*GILLT_nxv32s8*//*Label 801*/ GIMT_Encode4(26246),
     /*   23981 */ /*GILLT_nxv32s16*//*Label 802*/ GIMT_Encode4(26361), GIMT_Encode4(0),
     /*   23989 */ /*GILLT_nxv64s8*//*Label 803*/ GIMT_Encode4(26476),
     /*   23993 */ // Label 780: @23993
     /*   23993 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(24026), // Rule ID 302 //
     /*   23998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   24001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   24004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   24007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24019 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   24019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*   24024 */   GIR_RootConstrainSelectedInstOperands,
     /*   24025 */   // GIR_Coverage, 302,
     /*   24025 */   GIR_Done,
     /*   24026 */ // Label 805: @24026
     /*   24026 */ GIM_Reject,
     /*   24027 */ // Label 781: @24027
     /*   24027 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(24060), // Rule ID 301 //
     /*   24032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   24035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   24038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   24041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24053 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   24053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*   24058 */   GIR_RootConstrainSelectedInstOperands,
     /*   24059 */   // GIR_Coverage, 301,
     /*   24059 */   GIR_Done,
     /*   24060 */ // Label 806: @24060
     /*   24060 */ GIM_Reject,
     /*   24061 */ // Label 782: @24061
     /*   24061 */ GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(24175),
     /*   24066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   24069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   24072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24084 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(24129), // Rule ID 50750 //
     /*   24089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24092 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   24092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   24095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*   24109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24127 */     GIR_RootConstrainSelectedInstOperands,
     /*   24128 */     // GIR_Coverage, 50750,
     /*   24128 */     GIR_EraseRootFromParent_Done,
     /*   24129 */   // Label 808: @24129
     /*   24129 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(24174), // Rule ID 50751 //
     /*   24134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24137 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   24137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   24140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*   24154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24172 */     GIR_RootConstrainSelectedInstOperands,
     /*   24173 */     // GIR_Coverage, 50751,
     /*   24173 */     GIR_EraseRootFromParent_Done,
     /*   24174 */   // Label 809: @24174
     /*   24174 */   GIM_Reject,
     /*   24175 */ // Label 807: @24175
     /*   24175 */ GIM_Reject,
     /*   24176 */ // Label 783: @24176
     /*   24176 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(24290),
     /*   24181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   24184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   24187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24199 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(24244), // Rule ID 50762 //
     /*   24204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24207 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   24210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*   24224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24242 */     GIR_RootConstrainSelectedInstOperands,
     /*   24243 */     // GIR_Coverage, 50762,
     /*   24243 */     GIR_EraseRootFromParent_Done,
     /*   24244 */   // Label 811: @24244
     /*   24244 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(24289), // Rule ID 50763 //
     /*   24249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24252 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   24255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*   24269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24287 */     GIR_RootConstrainSelectedInstOperands,
     /*   24288 */     // GIR_Coverage, 50763,
     /*   24288 */     GIR_EraseRootFromParent_Done,
     /*   24289 */   // Label 812: @24289
     /*   24289 */   GIM_Reject,
     /*   24290 */ // Label 810: @24290
     /*   24290 */ GIM_Reject,
     /*   24291 */ // Label 784: @24291
     /*   24291 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(24405),
     /*   24296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   24299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   24302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24314 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(24359), // Rule ID 50770 //
     /*   24319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24322 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   24322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   24325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*   24339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24357 */     GIR_RootConstrainSelectedInstOperands,
     /*   24358 */     // GIR_Coverage, 50770,
     /*   24358 */     GIR_EraseRootFromParent_Done,
     /*   24359 */   // Label 814: @24359
     /*   24359 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(24404), // Rule ID 50771 //
     /*   24364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24367 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   24367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   24370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*   24384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24402 */     GIR_RootConstrainSelectedInstOperands,
     /*   24403 */     // GIR_Coverage, 50771,
     /*   24403 */     GIR_EraseRootFromParent_Done,
     /*   24404 */   // Label 815: @24404
     /*   24404 */   GIM_Reject,
     /*   24405 */ // Label 813: @24405
     /*   24405 */ GIM_Reject,
     /*   24406 */ // Label 785: @24406
     /*   24406 */ GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(24520),
     /*   24411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   24414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   24417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24429 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(24474), // Rule ID 50786 //
     /*   24434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   24437 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   24437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   24440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*   24454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24472 */     GIR_RootConstrainSelectedInstOperands,
     /*   24473 */     // GIR_Coverage, 50786,
     /*   24473 */     GIR_EraseRootFromParent_Done,
     /*   24474 */   // Label 817: @24474
     /*   24474 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(24519), // Rule ID 50787 //
     /*   24479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   24482 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   24482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   24485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*   24499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24517 */     GIR_RootConstrainSelectedInstOperands,
     /*   24518 */     // GIR_Coverage, 50787,
     /*   24518 */     GIR_EraseRootFromParent_Done,
     /*   24519 */   // Label 818: @24519
     /*   24519 */   GIM_Reject,
     /*   24520 */ // Label 816: @24520
     /*   24520 */ GIM_Reject,
     /*   24521 */ // Label 786: @24521
     /*   24521 */ GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(24635),
     /*   24526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   24532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24544 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(24589), // Rule ID 50754 //
     /*   24549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24552 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   24552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   24555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*   24569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24587 */     GIR_RootConstrainSelectedInstOperands,
     /*   24588 */     // GIR_Coverage, 50754,
     /*   24588 */     GIR_EraseRootFromParent_Done,
     /*   24589 */   // Label 820: @24589
     /*   24589 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(24634), // Rule ID 50755 //
     /*   24594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24597 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   24597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   24600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*   24614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24632 */     GIR_RootConstrainSelectedInstOperands,
     /*   24633 */     // GIR_Coverage, 50755,
     /*   24633 */     GIR_EraseRootFromParent_Done,
     /*   24634 */   // Label 821: @24634
     /*   24634 */   GIM_Reject,
     /*   24635 */ // Label 819: @24635
     /*   24635 */ GIM_Reject,
     /*   24636 */ // Label 787: @24636
     /*   24636 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(24750),
     /*   24641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24659 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(24704), // Rule ID 50766 //
     /*   24664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24667 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*   24684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24702 */     GIR_RootConstrainSelectedInstOperands,
     /*   24703 */     // GIR_Coverage, 50766,
     /*   24703 */     GIR_EraseRootFromParent_Done,
     /*   24704 */   // Label 823: @24704
     /*   24704 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(24749), // Rule ID 50767 //
     /*   24709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24712 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*   24729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24747 */     GIR_RootConstrainSelectedInstOperands,
     /*   24748 */     // GIR_Coverage, 50767,
     /*   24748 */     GIR_EraseRootFromParent_Done,
     /*   24749 */   // Label 824: @24749
     /*   24749 */   GIM_Reject,
     /*   24750 */ // Label 822: @24750
     /*   24750 */ GIM_Reject,
     /*   24751 */ // Label 788: @24751
     /*   24751 */ GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(24865),
     /*   24756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24774 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(24819), // Rule ID 50782 //
     /*   24779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24782 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   24782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   24785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*   24799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24817 */     GIR_RootConstrainSelectedInstOperands,
     /*   24818 */     // GIR_Coverage, 50782,
     /*   24818 */     GIR_EraseRootFromParent_Done,
     /*   24819 */   // Label 826: @24819
     /*   24819 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(24864), // Rule ID 50783 //
     /*   24824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24827 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   24827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   24830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*   24844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24862 */     GIR_RootConstrainSelectedInstOperands,
     /*   24863 */     // GIR_Coverage, 50783,
     /*   24863 */     GIR_EraseRootFromParent_Done,
     /*   24864 */   // Label 827: @24864
     /*   24864 */   GIM_Reject,
     /*   24865 */ // Label 825: @24865
     /*   24865 */ GIM_Reject,
     /*   24866 */ // Label 789: @24866
     /*   24866 */ GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(24980),
     /*   24871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24889 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(24934), // Rule ID 50826 //
     /*   24894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   24897 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   24897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   24900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*   24914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24932 */     GIR_RootConstrainSelectedInstOperands,
     /*   24933 */     // GIR_Coverage, 50826,
     /*   24933 */     GIR_EraseRootFromParent_Done,
     /*   24934 */   // Label 829: @24934
     /*   24934 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(24979), // Rule ID 50827 //
     /*   24939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   24942 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   24942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   24945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24977 */     GIR_RootConstrainSelectedInstOperands,
     /*   24978 */     // GIR_Coverage, 50827,
     /*   24978 */     GIR_EraseRootFromParent_Done,
     /*   24979 */   // Label 830: @24979
     /*   24979 */   GIM_Reject,
     /*   24980 */ // Label 828: @24980
     /*   24980 */ GIM_Reject,
     /*   24981 */ // Label 790: @24981
     /*   24981 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(25095),
     /*   24986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   24989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   24992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25004 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(25049), // Rule ID 50758 //
     /*   25009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25012 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   25015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*   25029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25047 */     GIR_RootConstrainSelectedInstOperands,
     /*   25048 */     // GIR_Coverage, 50758,
     /*   25048 */     GIR_EraseRootFromParent_Done,
     /*   25049 */   // Label 832: @25049
     /*   25049 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(25094), // Rule ID 50759 //
     /*   25054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25057 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   25060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*   25074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25092 */     GIR_RootConstrainSelectedInstOperands,
     /*   25093 */     // GIR_Coverage, 50759,
     /*   25093 */     GIR_EraseRootFromParent_Done,
     /*   25094 */   // Label 833: @25094
     /*   25094 */   GIM_Reject,
     /*   25095 */ // Label 831: @25095
     /*   25095 */ GIM_Reject,
     /*   25096 */ // Label 791: @25096
     /*   25096 */ GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(25210),
     /*   25101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   25104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   25107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25119 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(25164), // Rule ID 50778 //
     /*   25124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25127 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   25127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   25130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*   25144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25162 */     GIR_RootConstrainSelectedInstOperands,
     /*   25163 */     // GIR_Coverage, 50778,
     /*   25163 */     GIR_EraseRootFromParent_Done,
     /*   25164 */   // Label 835: @25164
     /*   25164 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(25209), // Rule ID 50779 //
     /*   25169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25172 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   25172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   25175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*   25189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25207 */     GIR_RootConstrainSelectedInstOperands,
     /*   25208 */     // GIR_Coverage, 50779,
     /*   25208 */     GIR_EraseRootFromParent_Done,
     /*   25209 */   // Label 836: @25209
     /*   25209 */   GIM_Reject,
     /*   25210 */ // Label 834: @25210
     /*   25210 */ GIM_Reject,
     /*   25211 */ // Label 792: @25211
     /*   25211 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(25325),
     /*   25216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   25219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   25222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25234 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(25279), // Rule ID 50814 //
     /*   25239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25242 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   25245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*   25259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25277 */     GIR_RootConstrainSelectedInstOperands,
     /*   25278 */     // GIR_Coverage, 50814,
     /*   25278 */     GIR_EraseRootFromParent_Done,
     /*   25279 */   // Label 838: @25279
     /*   25279 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(25324), // Rule ID 50815 //
     /*   25284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25287 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   25290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*   25304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25322 */     GIR_RootConstrainSelectedInstOperands,
     /*   25323 */     // GIR_Coverage, 50815,
     /*   25323 */     GIR_EraseRootFromParent_Done,
     /*   25324 */   // Label 839: @25324
     /*   25324 */   GIM_Reject,
     /*   25325 */ // Label 837: @25325
     /*   25325 */ GIM_Reject,
     /*   25326 */ // Label 793: @25326
     /*   25326 */ GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(25440),
     /*   25331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   25334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   25337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25349 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(25394), // Rule ID 50830 //
     /*   25354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25357 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   25357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   25360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*   25374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25392 */     GIR_RootConstrainSelectedInstOperands,
     /*   25393 */     // GIR_Coverage, 50830,
     /*   25393 */     GIR_EraseRootFromParent_Done,
     /*   25394 */   // Label 841: @25394
     /*   25394 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(25439), // Rule ID 50831 //
     /*   25399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25402 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   25402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   25405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*   25419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25437 */     GIR_RootConstrainSelectedInstOperands,
     /*   25438 */     // GIR_Coverage, 50831,
     /*   25438 */     GIR_EraseRootFromParent_Done,
     /*   25439 */   // Label 842: @25439
     /*   25439 */   GIM_Reject,
     /*   25440 */ // Label 840: @25440
     /*   25440 */ GIM_Reject,
     /*   25441 */ // Label 794: @25441
     /*   25441 */ GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(25555),
     /*   25446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   25449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   25452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25464 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(25509), // Rule ID 50774 //
     /*   25469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25472 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   25475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*   25489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25507 */     GIR_RootConstrainSelectedInstOperands,
     /*   25508 */     // GIR_Coverage, 50774,
     /*   25508 */     GIR_EraseRootFromParent_Done,
     /*   25509 */   // Label 844: @25509
     /*   25509 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(25554), // Rule ID 50775 //
     /*   25514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25517 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   25520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*   25534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25552 */     GIR_RootConstrainSelectedInstOperands,
     /*   25553 */     // GIR_Coverage, 50775,
     /*   25553 */     GIR_EraseRootFromParent_Done,
     /*   25554 */   // Label 845: @25554
     /*   25554 */   GIM_Reject,
     /*   25555 */ // Label 843: @25555
     /*   25555 */ GIM_Reject,
     /*   25556 */ // Label 795: @25556
     /*   25556 */ GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(25670),
     /*   25561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   25564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   25567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25579 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(25624), // Rule ID 50802 //
     /*   25584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25587 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   25587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   25590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*   25604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25622 */     GIR_RootConstrainSelectedInstOperands,
     /*   25623 */     // GIR_Coverage, 50802,
     /*   25623 */     GIR_EraseRootFromParent_Done,
     /*   25624 */   // Label 847: @25624
     /*   25624 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(25669), // Rule ID 50803 //
     /*   25629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25632 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   25632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   25635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*   25649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25667 */     GIR_RootConstrainSelectedInstOperands,
     /*   25668 */     // GIR_Coverage, 50803,
     /*   25668 */     GIR_EraseRootFromParent_Done,
     /*   25669 */   // Label 848: @25669
     /*   25669 */   GIM_Reject,
     /*   25670 */ // Label 846: @25670
     /*   25670 */ GIM_Reject,
     /*   25671 */ // Label 796: @25671
     /*   25671 */ GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(25785),
     /*   25676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   25679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   25682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25694 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(25739), // Rule ID 50818 //
     /*   25699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25702 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   25705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*   25719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25737 */     GIR_RootConstrainSelectedInstOperands,
     /*   25738 */     // GIR_Coverage, 50818,
     /*   25738 */     GIR_EraseRootFromParent_Done,
     /*   25739 */   // Label 850: @25739
     /*   25739 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(25784), // Rule ID 50819 //
     /*   25744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25747 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   25750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*   25764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25782 */     GIR_RootConstrainSelectedInstOperands,
     /*   25783 */     // GIR_Coverage, 50819,
     /*   25783 */     GIR_EraseRootFromParent_Done,
     /*   25784 */   // Label 851: @25784
     /*   25784 */   GIM_Reject,
     /*   25785 */ // Label 849: @25785
     /*   25785 */ GIM_Reject,
     /*   25786 */ // Label 797: @25786
     /*   25786 */ GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(25900),
     /*   25791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   25794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   25797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25809 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(25854), // Rule ID 50834 //
     /*   25814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25817 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   25817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   25820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*   25834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25852 */     GIR_RootConstrainSelectedInstOperands,
     /*   25853 */     // GIR_Coverage, 50834,
     /*   25853 */     GIR_EraseRootFromParent_Done,
     /*   25854 */   // Label 853: @25854
     /*   25854 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(25899), // Rule ID 50835 //
     /*   25859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25862 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   25862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   25865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*   25879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25897 */     GIR_RootConstrainSelectedInstOperands,
     /*   25898 */     // GIR_Coverage, 50835,
     /*   25898 */     GIR_EraseRootFromParent_Done,
     /*   25899 */   // Label 854: @25899
     /*   25899 */   GIM_Reject,
     /*   25900 */ // Label 852: @25900
     /*   25900 */ GIM_Reject,
     /*   25901 */ // Label 798: @25901
     /*   25901 */ GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(26015),
     /*   25906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   25909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   25912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25924 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(25969), // Rule ID 50790 //
     /*   25929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25932 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   25935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*   25949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25967 */     GIR_RootConstrainSelectedInstOperands,
     /*   25968 */     // GIR_Coverage, 50790,
     /*   25968 */     GIR_EraseRootFromParent_Done,
     /*   25969 */   // Label 856: @25969
     /*   25969 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(26014), // Rule ID 50791 //
     /*   25974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25977 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   25980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*   25994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26012 */     GIR_RootConstrainSelectedInstOperands,
     /*   26013 */     // GIR_Coverage, 50791,
     /*   26013 */     GIR_EraseRootFromParent_Done,
     /*   26014 */   // Label 857: @26014
     /*   26014 */   GIM_Reject,
     /*   26015 */ // Label 855: @26015
     /*   26015 */ GIM_Reject,
     /*   26016 */ // Label 799: @26016
     /*   26016 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(26130),
     /*   26021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   26024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   26027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26039 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(26084), // Rule ID 50806 //
     /*   26044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26047 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   26050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*   26064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26082 */     GIR_RootConstrainSelectedInstOperands,
     /*   26083 */     // GIR_Coverage, 50806,
     /*   26083 */     GIR_EraseRootFromParent_Done,
     /*   26084 */   // Label 859: @26084
     /*   26084 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(26129), // Rule ID 50807 //
     /*   26089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26092 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   26095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*   26109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26127 */     GIR_RootConstrainSelectedInstOperands,
     /*   26128 */     // GIR_Coverage, 50807,
     /*   26128 */     GIR_EraseRootFromParent_Done,
     /*   26129 */   // Label 860: @26129
     /*   26129 */   GIM_Reject,
     /*   26130 */ // Label 858: @26130
     /*   26130 */ GIM_Reject,
     /*   26131 */ // Label 800: @26131
     /*   26131 */ GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(26245),
     /*   26136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   26139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   26142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26154 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(26199), // Rule ID 50822 //
     /*   26159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26162 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   26162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   26165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*   26179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26197 */     GIR_RootConstrainSelectedInstOperands,
     /*   26198 */     // GIR_Coverage, 50822,
     /*   26198 */     GIR_EraseRootFromParent_Done,
     /*   26199 */   // Label 862: @26199
     /*   26199 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(26244), // Rule ID 50823 //
     /*   26204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26207 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   26207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   26210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*   26224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26242 */     GIR_RootConstrainSelectedInstOperands,
     /*   26243 */     // GIR_Coverage, 50823,
     /*   26243 */     GIR_EraseRootFromParent_Done,
     /*   26244 */   // Label 863: @26244
     /*   26244 */   GIM_Reject,
     /*   26245 */ // Label 861: @26245
     /*   26245 */ GIM_Reject,
     /*   26246 */ // Label 801: @26246
     /*   26246 */ GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(26360),
     /*   26251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   26254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   26257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26269 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(26314), // Rule ID 50794 //
     /*   26274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26277 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   26277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   26280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*   26294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26312 */     GIR_RootConstrainSelectedInstOperands,
     /*   26313 */     // GIR_Coverage, 50794,
     /*   26313 */     GIR_EraseRootFromParent_Done,
     /*   26314 */   // Label 865: @26314
     /*   26314 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(26359), // Rule ID 50795 //
     /*   26319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26322 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   26322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   26325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*   26339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26357 */     GIR_RootConstrainSelectedInstOperands,
     /*   26358 */     // GIR_Coverage, 50795,
     /*   26358 */     GIR_EraseRootFromParent_Done,
     /*   26359 */   // Label 866: @26359
     /*   26359 */   GIM_Reject,
     /*   26360 */ // Label 864: @26360
     /*   26360 */ GIM_Reject,
     /*   26361 */ // Label 802: @26361
     /*   26361 */ GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(26475),
     /*   26366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   26369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   26372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26384 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(26429), // Rule ID 50810 //
     /*   26389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26392 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   26395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*   26409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26427 */     GIR_RootConstrainSelectedInstOperands,
     /*   26428 */     // GIR_Coverage, 50810,
     /*   26428 */     GIR_EraseRootFromParent_Done,
     /*   26429 */   // Label 868: @26429
     /*   26429 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(26474), // Rule ID 50811 //
     /*   26434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26437 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   26440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*   26454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26472 */     GIR_RootConstrainSelectedInstOperands,
     /*   26473 */     // GIR_Coverage, 50811,
     /*   26473 */     GIR_EraseRootFromParent_Done,
     /*   26474 */   // Label 869: @26474
     /*   26474 */   GIM_Reject,
     /*   26475 */ // Label 867: @26475
     /*   26475 */ GIM_Reject,
     /*   26476 */ // Label 803: @26476
     /*   26476 */ GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(26590),
     /*   26481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   26484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   26487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26499 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(26544), // Rule ID 50798 //
     /*   26504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26507 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   26507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   26510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*   26524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26542 */     GIR_RootConstrainSelectedInstOperands,
     /*   26543 */     // GIR_Coverage, 50798,
     /*   26543 */     GIR_EraseRootFromParent_Done,
     /*   26544 */   // Label 871: @26544
     /*   26544 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(26589), // Rule ID 50799 //
     /*   26549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26552 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   26552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   26555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*   26569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26587 */     GIR_RootConstrainSelectedInstOperands,
     /*   26588 */     // GIR_Coverage, 50799,
     /*   26588 */     GIR_EraseRootFromParent_Done,
     /*   26589 */   // Label 872: @26589
     /*   26589 */   GIM_Reject,
     /*   26590 */ // Label 870: @26590
     /*   26590 */ GIM_Reject,
     /*   26591 */ // Label 804: @26591
     /*   26591 */ GIM_Reject,
     /*   26592 */ // Label 7: @26592
     /*   26592 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 904*/ GIMT_Encode4(35875),
     /*   26603 */ /*GILLT_s32*//*Label 873*/ GIMT_Encode4(26727),
     /*   26607 */ /*GILLT_s64*//*Label 874*/ GIMT_Encode4(27785),
     /*   26611 */ /*GILLT_nxv1s1*//*Label 875*/ GIMT_Encode4(29068),
     /*   26615 */ /*GILLT_nxv1s8*//*Label 876*/ GIMT_Encode4(29679),
     /*   26619 */ /*GILLT_nxv1s16*//*Label 877*/ GIMT_Encode4(29794),
     /*   26623 */ /*GILLT_nxv1s32*//*Label 878*/ GIMT_Encode4(29909),
     /*   26627 */ /*GILLT_nxv1s64*//*Label 879*/ GIMT_Encode4(30024),
     /*   26631 */ /*GILLT_nxv2s1*//*Label 880*/ GIMT_Encode4(30139),
     /*   26635 */ /*GILLT_nxv2s8*//*Label 881*/ GIMT_Encode4(30750),
     /*   26639 */ /*GILLT_nxv2s16*//*Label 882*/ GIMT_Encode4(30865),
     /*   26643 */ /*GILLT_nxv2s32*//*Label 883*/ GIMT_Encode4(30980),
     /*   26647 */ /*GILLT_nxv2s64*//*Label 884*/ GIMT_Encode4(31095),
     /*   26651 */ /*GILLT_nxv4s1*//*Label 885*/ GIMT_Encode4(31210),
     /*   26655 */ /*GILLT_nxv4s8*//*Label 886*/ GIMT_Encode4(31821),
     /*   26659 */ /*GILLT_nxv4s16*//*Label 887*/ GIMT_Encode4(31936),
     /*   26663 */ /*GILLT_nxv4s32*//*Label 888*/ GIMT_Encode4(32051),
     /*   26667 */ /*GILLT_nxv4s64*//*Label 889*/ GIMT_Encode4(32166),
     /*   26671 */ /*GILLT_nxv8s1*//*Label 890*/ GIMT_Encode4(32281),
     /*   26675 */ /*GILLT_nxv8s8*//*Label 891*/ GIMT_Encode4(32892),
     /*   26679 */ /*GILLT_nxv8s16*//*Label 892*/ GIMT_Encode4(33007),
     /*   26683 */ /*GILLT_nxv8s32*//*Label 893*/ GIMT_Encode4(33122),
     /*   26687 */ /*GILLT_nxv8s64*//*Label 894*/ GIMT_Encode4(33237),
     /*   26691 */ /*GILLT_nxv16s1*//*Label 895*/ GIMT_Encode4(33352),
     /*   26695 */ /*GILLT_nxv16s8*//*Label 896*/ GIMT_Encode4(33963),
     /*   26699 */ /*GILLT_nxv16s16*//*Label 897*/ GIMT_Encode4(34078),
     /*   26703 */ /*GILLT_nxv16s32*//*Label 898*/ GIMT_Encode4(34193),
     /*   26707 */ /*GILLT_nxv32s1*//*Label 899*/ GIMT_Encode4(34308),
     /*   26711 */ /*GILLT_nxv32s8*//*Label 900*/ GIMT_Encode4(34919),
     /*   26715 */ /*GILLT_nxv32s16*//*Label 901*/ GIMT_Encode4(35034),
     /*   26719 */ /*GILLT_nxv64s1*//*Label 902*/ GIMT_Encode4(35149),
     /*   26723 */ /*GILLT_nxv64s8*//*Label 903*/ GIMT_Encode4(35760),
     /*   26727 */ // Label 873: @26727
     /*   26727 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(27784),
     /*   26732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   26735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   26738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26742 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(26827), // Rule ID 64070 //
     /*   26747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   26750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   26758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   26770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26787 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   26791 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   26802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   26811 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   26814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   26821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26825 */     GIR_RootConstrainSelectedInstOperands,
     /*   26826 */     // GIR_Coverage, 64070,
     /*   26826 */     GIR_EraseRootFromParent_Done,
     /*   26827 */   // Label 906: @26827
     /*   26827 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(26912), // Rule ID 2402 //
     /*   26832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   26835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   26843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26872 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   26876 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   26887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   26896 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   26899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26910 */     GIR_RootConstrainSelectedInstOperands,
     /*   26911 */     // GIR_Coverage, 2402,
     /*   26911 */     GIR_EraseRootFromParent_Done,
     /*   26912 */   // Label 907: @26912
     /*   26912 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(26987), // Rule ID 2329 //
     /*   26917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   26920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   26928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26952 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   26956 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   26960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   26973 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   26976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   26980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   26985 */     GIR_RootConstrainSelectedInstOperands,
     /*   26986 */     // GIR_Coverage, 2329,
     /*   26986 */     GIR_EraseRootFromParent_Done,
     /*   26987 */   // Label 908: @26987
     /*   26987 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(27062), // Rule ID 64058 //
     /*   26992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   26995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   27027 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   27031 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   27035 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   27048 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   27060 */     GIR_RootConstrainSelectedInstOperands,
     /*   27061 */     // GIR_Coverage, 64058,
     /*   27061 */     GIR_EraseRootFromParent_Done,
     /*   27062 */   // Label 909: @27062
     /*   27062 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(27123), // Rule ID 2349 //
     /*   27067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27099 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   27103 */     // MIs[2] Operand 1
     /*   27103 */     // No operand predicates
     /*   27103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27109 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   27109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*   27112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   27121 */     GIR_RootConstrainSelectedInstOperands,
     /*   27122 */     // GIR_Coverage, 2349,
     /*   27122 */     GIR_EraseRootFromParent_Done,
     /*   27123 */   // Label 910: @27123
     /*   27123 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(27184), // Rule ID 61883 //
     /*   27128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*   27131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   27164 */     // MIs[2] Operand 1
     /*   27164 */     // No operand predicates
     /*   27164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27170 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   27170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*   27173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 61883,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 911: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(27242), // Rule ID 2337 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27213 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   27226 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*   27229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   27240 */     GIR_RootConstrainSelectedInstOperands,
     /*   27241 */     // GIR_Coverage, 2337,
     /*   27241 */     GIR_EraseRootFromParent_Done,
     /*   27242 */   // Label 912: @27242
     /*   27242 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(27294), // Rule ID 2331 //
     /*   27247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   27258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27266 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   27270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27281 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   27288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   27292 */     GIR_RootConstrainSelectedInstOperands,
     /*   27293 */     // GIR_Coverage, 2331,
     /*   27293 */     GIR_EraseRootFromParent_Done,
     /*   27294 */   // Label 913: @27294
     /*   27294 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(27346), // Rule ID 64044 //
     /*   27299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   27302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27333 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   27336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   27340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   27344 */     GIR_RootConstrainSelectedInstOperands,
     /*   27345 */     // GIR_Coverage, 64044,
     /*   27345 */     GIR_EraseRootFromParent_Done,
     /*   27346 */   // Label 914: @27346
     /*   27346 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(27398), // Rule ID 64060 //
     /*   27351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   27378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27385 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   27396 */     GIR_RootConstrainSelectedInstOperands,
     /*   27397 */     // GIR_Coverage, 64060,
     /*   27397 */     GIR_EraseRootFromParent_Done,
     /*   27398 */   // Label 915: @27398
     /*   27398 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(27450), // Rule ID 2305 //
     /*   27403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   27406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27431 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27437 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   27440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   27448 */     GIR_RootConstrainSelectedInstOperands,
     /*   27449 */     // GIR_Coverage, 2305,
     /*   27449 */     GIR_EraseRootFromParent_Done,
     /*   27450 */   // Label 916: @27450
     /*   27450 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(27482), // Rule ID 63787 //
     /*   27455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*   27458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27462 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27473 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*   27473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*   27476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27480 */     GIR_RootConstrainSelectedInstOperands,
     /*   27481 */     // GIR_Coverage, 63787,
     /*   27481 */     GIR_EraseRootFromParent_Done,
     /*   27482 */   // Label 917: @27482
     /*   27482 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(27514), // Rule ID 63789 //
     /*   27487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*   27490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27494 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*   27505 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*   27505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*   27508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27512 */     GIR_RootConstrainSelectedInstOperands,
     /*   27513 */     // GIR_Coverage, 63789,
     /*   27513 */     GIR_EraseRootFromParent_Done,
     /*   27514 */   // Label 918: @27514
     /*   27514 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(27546), // Rule ID 2413 //
     /*   27519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*   27522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27526 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27537 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*   27537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*   27540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27544 */     GIR_RootConstrainSelectedInstOperands,
     /*   27545 */     // GIR_Coverage, 2413,
     /*   27545 */     GIR_EraseRootFromParent_Done,
     /*   27546 */   // Label 919: @27546
     /*   27546 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(27578), // Rule ID 2414 //
     /*   27551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*   27554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27558 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27569 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*   27569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*   27572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27576 */     GIR_RootConstrainSelectedInstOperands,
     /*   27577 */     // GIR_Coverage, 2414,
     /*   27577 */     GIR_EraseRootFromParent_Done,
     /*   27578 */   // Label 920: @27578
     /*   27578 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(27616), // Rule ID 2416 //
     /*   27583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*   27586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27590 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27601 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*   27601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   27604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   27614 */     GIR_RootConstrainSelectedInstOperands,
     /*   27615 */     // GIR_Coverage, 2416,
     /*   27615 */     GIR_EraseRootFromParent_Done,
     /*   27616 */   // Label 921: @27616
     /*   27616 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(27654), // Rule ID 2417 //
     /*   27621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*   27624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27628 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27639 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*   27639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   27642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   27652 */     GIR_RootConstrainSelectedInstOperands,
     /*   27653 */     // GIR_Coverage, 2417,
     /*   27653 */     GIR_EraseRootFromParent_Done,
     /*   27654 */   // Label 922: @27654
     /*   27654 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(27692), // Rule ID 85 //
     /*   27659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   27678 */     // MIs[1] Operand 1
     /*   27678 */     // No operand predicates
     /*   27678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27680 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   27680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*   27683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   27690 */     GIR_RootConstrainSelectedInstOperands,
     /*   27691 */     // GIR_Coverage, 85,
     /*   27691 */     GIR_EraseRootFromParent_Done,
     /*   27692 */   // Label 923: @27692
     /*   27692 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(27760), // Rule ID 103 //
     /*   27697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27712 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*   27716 */     // MIs[1] Operand 1
     /*   27716 */     // No operand predicates
     /*   27716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9526),
     /*   27720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27722 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9526>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*   27722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   27725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   27729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   27738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   27743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   27748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   27758 */     GIR_RootConstrainSelectedInstOperands,
     /*   27759 */     // GIR_Coverage, 103,
     /*   27759 */     GIR_EraseRootFromParent_Done,
     /*   27760 */   // Label 924: @27760
     /*   27760 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(27783), // Rule ID 83 //
     /*   27765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27776 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*   27781 */     GIR_RootConstrainSelectedInstOperands,
     /*   27782 */     // GIR_Coverage, 83,
     /*   27782 */     GIR_Done,
     /*   27783 */   // Label 925: @27783
     /*   27783 */   GIM_Reject,
     /*   27784 */ // Label 905: @27784
     /*   27784 */ GIM_Reject,
     /*   27785 */ // Label 874: @27785
     /*   27785 */ GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(29067),
     /*   27790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   27793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   27796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27800 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(27885), // Rule ID 64069 //
     /*   27805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   27808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   27816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   27836 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   27840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27845 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   27849 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   27869 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   27869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   27872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   27879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27883 */     GIR_RootConstrainSelectedInstOperands,
     /*   27884 */     // GIR_Coverage, 64069,
     /*   27884 */     GIR_EraseRootFromParent_Done,
     /*   27885 */   // Label 927: @27885
     /*   27885 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(27970), // Rule ID 2401 //
     /*   27890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   27893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   27901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   27921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   27925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   27934 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   27954 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   27954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   27957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   27964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27968 */     GIR_RootConstrainSelectedInstOperands,
     /*   27969 */     // GIR_Coverage, 2401,
     /*   27969 */     GIR_EraseRootFromParent_Done,
     /*   27970 */   // Label 928: @27970
     /*   27970 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(28045), // Rule ID 2328 //
     /*   27975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   27978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   28002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   28006 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   28010 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   28014 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28024 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28031 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28043 */     GIR_RootConstrainSelectedInstOperands,
     /*   28044 */     // GIR_Coverage, 2328,
     /*   28044 */     GIR_EraseRootFromParent_Done,
     /*   28045 */   // Label 929: @28045
     /*   28045 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(28120), // Rule ID 64057 //
     /*   28050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   28081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   28085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   28089 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   28093 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28099 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28106 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28118 */     GIR_RootConstrainSelectedInstOperands,
     /*   28119 */     // GIR_Coverage, 64057,
     /*   28119 */     GIR_EraseRootFromParent_Done,
     /*   28120 */   // Label 930: @28120
     /*   28120 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(28181), // Rule ID 2348 //
     /*   28125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   28153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28157 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   28161 */     // MIs[2] Operand 1
     /*   28161 */     // No operand predicates
     /*   28161 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28167 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   28167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*   28170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   28179 */     GIR_RootConstrainSelectedInstOperands,
     /*   28180 */     // GIR_Coverage, 2348,
     /*   28180 */     GIR_EraseRootFromParent_Done,
     /*   28181 */   // Label 931: @28181
     /*   28181 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(28242), // Rule ID 61882 //
     /*   28186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*   28189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   28214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28218 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   28222 */     // MIs[2] Operand 1
     /*   28222 */     // No operand predicates
     /*   28222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28228 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   28228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*   28231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   28240 */     GIR_RootConstrainSelectedInstOperands,
     /*   28241 */     // GIR_Coverage, 61882,
     /*   28241 */     GIR_EraseRootFromParent_Done,
     /*   28242 */   // Label 932: @28242
     /*   28242 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(28300), // Rule ID 2336 //
     /*   28247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28284 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28298 */     GIR_RootConstrainSelectedInstOperands,
     /*   28299 */     // GIR_Coverage, 2336,
     /*   28299 */     GIR_EraseRootFromParent_Done,
     /*   28300 */   // Label 933: @28300
     /*   28300 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(28352), // Rule ID 2330 //
     /*   28305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   28316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28324 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   28328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28339 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   28350 */     GIR_RootConstrainSelectedInstOperands,
     /*   28351 */     // GIR_Coverage, 2330,
     /*   28351 */     GIR_EraseRootFromParent_Done,
     /*   28352 */   // Label 934: @28352
     /*   28352 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(28404), // Rule ID 64043 //
     /*   28357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   28360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28381 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28391 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   28394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28402 */     GIR_RootConstrainSelectedInstOperands,
     /*   28403 */     // GIR_Coverage, 64043,
     /*   28403 */     GIR_EraseRootFromParent_Done,
     /*   28404 */   // Label 935: @28404
     /*   28404 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(28456), // Rule ID 64059 //
     /*   28409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   28424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28432 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   28436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28443 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   28454 */     GIR_RootConstrainSelectedInstOperands,
     /*   28455 */     // GIR_Coverage, 64059,
     /*   28455 */     GIR_EraseRootFromParent_Done,
     /*   28456 */   // Label 936: @28456
     /*   28456 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(28508), // Rule ID 2304 //
     /*   28461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   28464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28489 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28495 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   28498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28506 */     GIR_RootConstrainSelectedInstOperands,
     /*   28507 */     // GIR_Coverage, 2304,
     /*   28507 */     GIR_EraseRootFromParent_Done,
     /*   28508 */   // Label 937: @28508
     /*   28508 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(28540), // Rule ID 63786 //
     /*   28513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*   28516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28520 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28531 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*   28531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*   28534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28538 */     GIR_RootConstrainSelectedInstOperands,
     /*   28539 */     // GIR_Coverage, 63786,
     /*   28539 */     GIR_EraseRootFromParent_Done,
     /*   28540 */   // Label 938: @28540
     /*   28540 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(28572), // Rule ID 63788 //
     /*   28545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*   28548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28552 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*   28563 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*   28563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*   28566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28570 */     GIR_RootConstrainSelectedInstOperands,
     /*   28571 */     // GIR_Coverage, 63788,
     /*   28571 */     GIR_EraseRootFromParent_Done,
     /*   28572 */   // Label 939: @28572
     /*   28572 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(28629), // Rule ID 252 //
     /*   28577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*   28580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28584 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*   28595 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*   28595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   28611 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   28614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*   28627 */     GIR_RootConstrainSelectedInstOperands,
     /*   28628 */     // GIR_Coverage, 252,
     /*   28628 */     GIR_EraseRootFromParent_Done,
     /*   28629 */   // Label 940: @28629
     /*   28629 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(28661), // Rule ID 2415 //
     /*   28634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*   28637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28641 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28652 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*   28652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*   28655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28659 */     GIR_RootConstrainSelectedInstOperands,
     /*   28660 */     // GIR_Coverage, 2415,
     /*   28660 */     GIR_EraseRootFromParent_Done,
     /*   28661 */   // Label 941: @28661
     /*   28661 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(28699), // Rule ID 2418 //
     /*   28666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*   28669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28673 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28684 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*   28684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   28687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   28697 */     GIR_RootConstrainSelectedInstOperands,
     /*   28698 */     // GIR_Coverage, 2418,
     /*   28698 */     GIR_EraseRootFromParent_Done,
     /*   28699 */   // Label 942: @28699
     /*   28699 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(28737), // Rule ID 2461 //
     /*   28704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*   28707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28711 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*   28722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*   28722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*   28725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   28735 */     GIR_RootConstrainSelectedInstOperands,
     /*   28736 */     // GIR_Coverage, 2461,
     /*   28736 */     GIR_EraseRootFromParent_Done,
     /*   28737 */   // Label 943: @28737
     /*   28737 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(28775), // Rule ID 84 //
     /*   28742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   28761 */     // MIs[1] Operand 1
     /*   28761 */     // No operand predicates
     /*   28761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28763 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   28763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*   28766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   28773 */     GIR_RootConstrainSelectedInstOperands,
     /*   28774 */     // GIR_Coverage, 84,
     /*   28774 */     GIR_EraseRootFromParent_Done,
     /*   28775 */   // Label 944: @28775
     /*   28775 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(28843), // Rule ID 101 //
     /*   28780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*   28799 */     // MIs[1] Operand 1
     /*   28799 */     // No operand predicates
     /*   28799 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9524),
     /*   28803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28805 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9524>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28821 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28836 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28841 */     GIR_RootConstrainSelectedInstOperands,
     /*   28842 */     // GIR_Coverage, 101,
     /*   28842 */     GIR_EraseRootFromParent_Done,
     /*   28843 */   // Label 945: @28843
     /*   28843 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(28911), // Rule ID 102 //
     /*   28848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28863 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*   28867 */     // MIs[1] Operand 1
     /*   28867 */     // No operand predicates
     /*   28867 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9526),
     /*   28871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28873 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9526>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28889 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   28894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28904 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   28909 */     GIR_RootConstrainSelectedInstOperands,
     /*   28910 */     // GIR_Coverage, 102,
     /*   28910 */     GIR_EraseRootFromParent_Done,
     /*   28911 */   // Label 946: @28911
     /*   28911 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(28979), // Rule ID 254 //
     /*   28916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   28919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*   28935 */     // MIs[1] Operand 1
     /*   28935 */     // No operand predicates
     /*   28935 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9614),
     /*   28939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28941 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_9614>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   28948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28957 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28972 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28977 */     GIR_RootConstrainSelectedInstOperands,
     /*   28978 */     // GIR_Coverage, 254,
     /*   28978 */     GIR_EraseRootFromParent_Done,
     /*   28979 */   // Label 947: @28979
     /*   28979 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(29043), // Rule ID 2458 //
     /*   28984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*   28987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28999 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*   29003 */     // MIs[1] Operand 1
     /*   29003 */     // No operand predicates
     /*   29003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29005 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*   29005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   29008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   29012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   29021 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   29026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*   29031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29036 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   29041 */     GIR_RootConstrainSelectedInstOperands,
     /*   29042 */     // GIR_Coverage, 2458,
     /*   29042 */     GIR_EraseRootFromParent_Done,
     /*   29043 */   // Label 948: @29043
     /*   29043 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(29066), // Rule ID 82 //
     /*   29048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   29051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   29055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   29059 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   29059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*   29064 */     GIR_RootConstrainSelectedInstOperands,
     /*   29065 */     // GIR_Coverage, 82,
     /*   29065 */     GIR_Done,
     /*   29066 */   // Label 949: @29066
     /*   29066 */   GIM_Reject,
     /*   29067 */ // Label 926: @29067
     /*   29067 */ GIM_Reject,
     /*   29068 */ // Label 875: @29068
     /*   29068 */ GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(29678),
     /*   29073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29083 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(29149), // Rule ID 70109 //
     /*   29088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29130 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29147 */     GIR_RootConstrainSelectedInstOperands,
     /*   29148 */     // GIR_Coverage, 70109,
     /*   29148 */     GIR_EraseRootFromParent_Done,
     /*   29149 */   // Label 951: @29149
     /*   29149 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(29215), // Rule ID 70110 //
     /*   29154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29196 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29213 */     GIR_RootConstrainSelectedInstOperands,
     /*   29214 */     // GIR_Coverage, 70110,
     /*   29214 */     GIR_EraseRootFromParent_Done,
     /*   29215 */   // Label 952: @29215
     /*   29215 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(29281), // Rule ID 70107 //
     /*   29220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29262 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29279 */     GIR_RootConstrainSelectedInstOperands,
     /*   29280 */     // GIR_Coverage, 70107,
     /*   29280 */     GIR_EraseRootFromParent_Done,
     /*   29281 */   // Label 953: @29281
     /*   29281 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(29347), // Rule ID 70108 //
     /*   29286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29328 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29345 */     GIR_RootConstrainSelectedInstOperands,
     /*   29346 */     // GIR_Coverage, 70108,
     /*   29346 */     GIR_EraseRootFromParent_Done,
     /*   29347 */   // Label 954: @29347
     /*   29347 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(29413), // Rule ID 70105 //
     /*   29352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29394 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29411 */     GIR_RootConstrainSelectedInstOperands,
     /*   29412 */     // GIR_Coverage, 70105,
     /*   29412 */     GIR_EraseRootFromParent_Done,
     /*   29413 */   // Label 955: @29413
     /*   29413 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(29479), // Rule ID 70106 //
     /*   29418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29460 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29477 */     GIR_RootConstrainSelectedInstOperands,
     /*   29478 */     // GIR_Coverage, 70106,
     /*   29478 */     GIR_EraseRootFromParent_Done,
     /*   29479 */   // Label 956: @29479
     /*   29479 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(29545), // Rule ID 52626 //
     /*   29484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29526 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29543 */     GIR_RootConstrainSelectedInstOperands,
     /*   29544 */     // GIR_Coverage, 52626,
     /*   29544 */     GIR_EraseRootFromParent_Done,
     /*   29545 */   // Label 957: @29545
     /*   29545 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(29611), // Rule ID 52627 //
     /*   29550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29592 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29609 */     GIR_RootConstrainSelectedInstOperands,
     /*   29610 */     // GIR_Coverage, 52627,
     /*   29610 */     GIR_EraseRootFromParent_Done,
     /*   29611 */   // Label 958: @29611
     /*   29611 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(29644), // Rule ID 52614 //
     /*   29616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29627 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*   29630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29642 */     GIR_RootConstrainSelectedInstOperands,
     /*   29643 */     // GIR_Coverage, 52614,
     /*   29643 */     GIR_EraseRootFromParent_Done,
     /*   29644 */   // Label 959: @29644
     /*   29644 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(29677), // Rule ID 52615 //
     /*   29649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29660 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29675 */     GIR_RootConstrainSelectedInstOperands,
     /*   29676 */     // GIR_Coverage, 52615,
     /*   29676 */     GIR_EraseRootFromParent_Done,
     /*   29677 */   // Label 960: @29677
     /*   29677 */   GIM_Reject,
     /*   29678 */ // Label 950: @29678
     /*   29678 */ GIM_Reject,
     /*   29679 */ // Label 876: @29679
     /*   29679 */ GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(29793),
     /*   29684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   29687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   29690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29702 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(29747), // Rule ID 47106 //
     /*   29707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29710 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   29713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*   29727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29745 */     GIR_RootConstrainSelectedInstOperands,
     /*   29746 */     // GIR_Coverage, 47106,
     /*   29746 */     GIR_EraseRootFromParent_Done,
     /*   29747 */   // Label 962: @29747
     /*   29747 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(29792), // Rule ID 47107 //
     /*   29752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29755 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   29758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*   29772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29790 */     GIR_RootConstrainSelectedInstOperands,
     /*   29791 */     // GIR_Coverage, 47107,
     /*   29791 */     GIR_EraseRootFromParent_Done,
     /*   29792 */   // Label 963: @29792
     /*   29792 */   GIM_Reject,
     /*   29793 */ // Label 961: @29793
     /*   29793 */ GIM_Reject,
     /*   29794 */ // Label 877: @29794
     /*   29794 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(29908),
     /*   29799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   29802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   29805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29817 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(29862), // Rule ID 47118 //
     /*   29822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29825 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   29825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   29828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   29842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29860 */     GIR_RootConstrainSelectedInstOperands,
     /*   29861 */     // GIR_Coverage, 47118,
     /*   29861 */     GIR_EraseRootFromParent_Done,
     /*   29862 */   // Label 965: @29862
     /*   29862 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(29907), // Rule ID 47119 //
     /*   29867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29870 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   29870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   29873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   29887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29905 */     GIR_RootConstrainSelectedInstOperands,
     /*   29906 */     // GIR_Coverage, 47119,
     /*   29906 */     GIR_EraseRootFromParent_Done,
     /*   29907 */   // Label 966: @29907
     /*   29907 */   GIM_Reject,
     /*   29908 */ // Label 964: @29908
     /*   29908 */ GIM_Reject,
     /*   29909 */ // Label 878: @29909
     /*   29909 */ GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(30023),
     /*   29914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   29917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   29920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29932 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(29977), // Rule ID 47126 //
     /*   29937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29940 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   29943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   29957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29975 */     GIR_RootConstrainSelectedInstOperands,
     /*   29976 */     // GIR_Coverage, 47126,
     /*   29976 */     GIR_EraseRootFromParent_Done,
     /*   29977 */   // Label 968: @29977
     /*   29977 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(30022), // Rule ID 47127 //
     /*   29982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29985 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   29988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30020 */     GIR_RootConstrainSelectedInstOperands,
     /*   30021 */     // GIR_Coverage, 47127,
     /*   30021 */     GIR_EraseRootFromParent_Done,
     /*   30022 */   // Label 969: @30022
     /*   30022 */   GIM_Reject,
     /*   30023 */ // Label 967: @30023
     /*   30023 */ GIM_Reject,
     /*   30024 */ // Label 879: @30024
     /*   30024 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(30138),
     /*   30029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   30032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   30035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30047 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(30092), // Rule ID 47142 //
     /*   30052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30055 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   30055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   30058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30090 */     GIR_RootConstrainSelectedInstOperands,
     /*   30091 */     // GIR_Coverage, 47142,
     /*   30091 */     GIR_EraseRootFromParent_Done,
     /*   30092 */   // Label 971: @30092
     /*   30092 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(30137), // Rule ID 47143 //
     /*   30097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30100 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   30100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   30103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   30117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30135 */     GIR_RootConstrainSelectedInstOperands,
     /*   30136 */     // GIR_Coverage, 47143,
     /*   30136 */     GIR_EraseRootFromParent_Done,
     /*   30137 */   // Label 972: @30137
     /*   30137 */   GIM_Reject,
     /*   30138 */ // Label 970: @30138
     /*   30138 */ GIM_Reject,
     /*   30139 */ // Label 880: @30139
     /*   30139 */ GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(30749),
     /*   30144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30154 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(30220), // Rule ID 70137 //
     /*   30159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30201 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30218 */     GIR_RootConstrainSelectedInstOperands,
     /*   30219 */     // GIR_Coverage, 70137,
     /*   30219 */     GIR_EraseRootFromParent_Done,
     /*   30220 */   // Label 974: @30220
     /*   30220 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(30286), // Rule ID 70138 //
     /*   30225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30267 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30284 */     GIR_RootConstrainSelectedInstOperands,
     /*   30285 */     // GIR_Coverage, 70138,
     /*   30285 */     GIR_EraseRootFromParent_Done,
     /*   30286 */   // Label 975: @30286
     /*   30286 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(30352), // Rule ID 70135 //
     /*   30291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30333 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30350 */     GIR_RootConstrainSelectedInstOperands,
     /*   30351 */     // GIR_Coverage, 70135,
     /*   30351 */     GIR_EraseRootFromParent_Done,
     /*   30352 */   // Label 976: @30352
     /*   30352 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(30418), // Rule ID 70136 //
     /*   30357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30399 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30416 */     GIR_RootConstrainSelectedInstOperands,
     /*   30417 */     // GIR_Coverage, 70136,
     /*   30417 */     GIR_EraseRootFromParent_Done,
     /*   30418 */   // Label 977: @30418
     /*   30418 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(30484), // Rule ID 70133 //
     /*   30423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30465 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30482 */     GIR_RootConstrainSelectedInstOperands,
     /*   30483 */     // GIR_Coverage, 70133,
     /*   30483 */     GIR_EraseRootFromParent_Done,
     /*   30484 */   // Label 978: @30484
     /*   30484 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(30550), // Rule ID 70134 //
     /*   30489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30531 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30548 */     GIR_RootConstrainSelectedInstOperands,
     /*   30549 */     // GIR_Coverage, 70134,
     /*   30549 */     GIR_EraseRootFromParent_Done,
     /*   30550 */   // Label 979: @30550
     /*   30550 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(30616), // Rule ID 52644 //
     /*   30555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30597 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30614 */     GIR_RootConstrainSelectedInstOperands,
     /*   30615 */     // GIR_Coverage, 52644,
     /*   30615 */     GIR_EraseRootFromParent_Done,
     /*   30616 */   // Label 980: @30616
     /*   30616 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(30682), // Rule ID 52645 //
     /*   30621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30663 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30680 */     GIR_RootConstrainSelectedInstOperands,
     /*   30681 */     // GIR_Coverage, 52645,
     /*   30681 */     GIR_EraseRootFromParent_Done,
     /*   30682 */   // Label 981: @30682
     /*   30682 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(30715), // Rule ID 52632 //
     /*   30687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30698 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*   30701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30713 */     GIR_RootConstrainSelectedInstOperands,
     /*   30714 */     // GIR_Coverage, 52632,
     /*   30714 */     GIR_EraseRootFromParent_Done,
     /*   30715 */   // Label 982: @30715
     /*   30715 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(30748), // Rule ID 52633 //
     /*   30720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*   30734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30746 */     GIR_RootConstrainSelectedInstOperands,
     /*   30747 */     // GIR_Coverage, 52633,
     /*   30747 */     GIR_EraseRootFromParent_Done,
     /*   30748 */   // Label 983: @30748
     /*   30748 */   GIM_Reject,
     /*   30749 */ // Label 973: @30749
     /*   30749 */ GIM_Reject,
     /*   30750 */ // Label 881: @30750
     /*   30750 */ GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(30864),
     /*   30755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   30758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   30761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30773 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(30818), // Rule ID 47110 //
     /*   30778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30781 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   30781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   30784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   30798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30816 */     GIR_RootConstrainSelectedInstOperands,
     /*   30817 */     // GIR_Coverage, 47110,
     /*   30817 */     GIR_EraseRootFromParent_Done,
     /*   30818 */   // Label 985: @30818
     /*   30818 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(30863), // Rule ID 47111 //
     /*   30823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30826 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   30826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   30829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   30843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30861 */     GIR_RootConstrainSelectedInstOperands,
     /*   30862 */     // GIR_Coverage, 47111,
     /*   30862 */     GIR_EraseRootFromParent_Done,
     /*   30863 */   // Label 986: @30863
     /*   30863 */   GIM_Reject,
     /*   30864 */ // Label 984: @30864
     /*   30864 */ GIM_Reject,
     /*   30865 */ // Label 882: @30865
     /*   30865 */ GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(30979),
     /*   30870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   30873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   30876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30888 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(30933), // Rule ID 47122 //
     /*   30893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30896 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   30899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30931 */     GIR_RootConstrainSelectedInstOperands,
     /*   30932 */     // GIR_Coverage, 47122,
     /*   30932 */     GIR_EraseRootFromParent_Done,
     /*   30933 */   // Label 988: @30933
     /*   30933 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(30978), // Rule ID 47123 //
     /*   30938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30941 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   30944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30976 */     GIR_RootConstrainSelectedInstOperands,
     /*   30977 */     // GIR_Coverage, 47123,
     /*   30977 */     GIR_EraseRootFromParent_Done,
     /*   30978 */   // Label 989: @30978
     /*   30978 */   GIM_Reject,
     /*   30979 */ // Label 987: @30979
     /*   30979 */ GIM_Reject,
     /*   30980 */ // Label 883: @30980
     /*   30980 */ GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(31094),
     /*   30985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   30991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31003 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(31048), // Rule ID 47138 //
     /*   31008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31011 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   31011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   31014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31046 */     GIR_RootConstrainSelectedInstOperands,
     /*   31047 */     // GIR_Coverage, 47138,
     /*   31047 */     GIR_EraseRootFromParent_Done,
     /*   31048 */   // Label 991: @31048
     /*   31048 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(31093), // Rule ID 47139 //
     /*   31053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31056 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   31056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   31059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   31088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31091 */     GIR_RootConstrainSelectedInstOperands,
     /*   31092 */     // GIR_Coverage, 47139,
     /*   31092 */     GIR_EraseRootFromParent_Done,
     /*   31093 */   // Label 992: @31093
     /*   31093 */   GIM_Reject,
     /*   31094 */ // Label 990: @31094
     /*   31094 */ GIM_Reject,
     /*   31095 */ // Label 884: @31095
     /*   31095 */ GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(31209),
     /*   31100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   31103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   31106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31118 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(31163), // Rule ID 47182 //
     /*   31123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   31126 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   31126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   31143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31161 */     GIR_RootConstrainSelectedInstOperands,
     /*   31162 */     // GIR_Coverage, 47182,
     /*   31162 */     GIR_EraseRootFromParent_Done,
     /*   31163 */   // Label 994: @31163
     /*   31163 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(31208), // Rule ID 47183 //
     /*   31168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   31171 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   31171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   31188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31206 */     GIR_RootConstrainSelectedInstOperands,
     /*   31207 */     // GIR_Coverage, 47183,
     /*   31207 */     GIR_EraseRootFromParent_Done,
     /*   31208 */   // Label 995: @31208
     /*   31208 */   GIM_Reject,
     /*   31209 */ // Label 993: @31209
     /*   31209 */ GIM_Reject,
     /*   31210 */ // Label 885: @31210
     /*   31210 */ GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(31820),
     /*   31215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31225 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(31291), // Rule ID 70165 //
     /*   31230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31272 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31289 */     GIR_RootConstrainSelectedInstOperands,
     /*   31290 */     // GIR_Coverage, 70165,
     /*   31290 */     GIR_EraseRootFromParent_Done,
     /*   31291 */   // Label 997: @31291
     /*   31291 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(31357), // Rule ID 70166 //
     /*   31296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31338 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31355 */     GIR_RootConstrainSelectedInstOperands,
     /*   31356 */     // GIR_Coverage, 70166,
     /*   31356 */     GIR_EraseRootFromParent_Done,
     /*   31357 */   // Label 998: @31357
     /*   31357 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(31423), // Rule ID 70163 //
     /*   31362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31404 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31421 */     GIR_RootConstrainSelectedInstOperands,
     /*   31422 */     // GIR_Coverage, 70163,
     /*   31422 */     GIR_EraseRootFromParent_Done,
     /*   31423 */   // Label 999: @31423
     /*   31423 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(31489), // Rule ID 70164 //
     /*   31428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31470 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31487 */     GIR_RootConstrainSelectedInstOperands,
     /*   31488 */     // GIR_Coverage, 70164,
     /*   31488 */     GIR_EraseRootFromParent_Done,
     /*   31489 */   // Label 1000: @31489
     /*   31489 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(31555), // Rule ID 70161 //
     /*   31494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31536 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31553 */     GIR_RootConstrainSelectedInstOperands,
     /*   31554 */     // GIR_Coverage, 70161,
     /*   31554 */     GIR_EraseRootFromParent_Done,
     /*   31555 */   // Label 1001: @31555
     /*   31555 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(31621), // Rule ID 70162 //
     /*   31560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31602 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31619 */     GIR_RootConstrainSelectedInstOperands,
     /*   31620 */     // GIR_Coverage, 70162,
     /*   31620 */     GIR_EraseRootFromParent_Done,
     /*   31621 */   // Label 1002: @31621
     /*   31621 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(31687), // Rule ID 52662 //
     /*   31626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31668 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31685 */     GIR_RootConstrainSelectedInstOperands,
     /*   31686 */     // GIR_Coverage, 52662,
     /*   31686 */     GIR_EraseRootFromParent_Done,
     /*   31687 */   // Label 1003: @31687
     /*   31687 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(31753), // Rule ID 52663 //
     /*   31692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31734 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31751 */     GIR_RootConstrainSelectedInstOperands,
     /*   31752 */     // GIR_Coverage, 52663,
     /*   31752 */     GIR_EraseRootFromParent_Done,
     /*   31753 */   // Label 1004: @31753
     /*   31753 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(31786), // Rule ID 52650 //
     /*   31758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31769 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*   31772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31784 */     GIR_RootConstrainSelectedInstOperands,
     /*   31785 */     // GIR_Coverage, 52650,
     /*   31785 */     GIR_EraseRootFromParent_Done,
     /*   31786 */   // Label 1005: @31786
     /*   31786 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(31819), // Rule ID 52651 //
     /*   31791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31802 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*   31805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 52651,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 1006: @31819
     /*   31819 */   GIM_Reject,
     /*   31820 */ // Label 996: @31820
     /*   31820 */ GIM_Reject,
     /*   31821 */ // Label 886: @31821
     /*   31821 */ GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(31935),
     /*   31826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31844 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(31889), // Rule ID 47114 //
     /*   31849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31852 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   31869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31887 */     GIR_RootConstrainSelectedInstOperands,
     /*   31888 */     // GIR_Coverage, 47114,
     /*   31888 */     GIR_EraseRootFromParent_Done,
     /*   31889 */   // Label 1008: @31889
     /*   31889 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(31934), // Rule ID 47115 //
     /*   31894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31897 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   31914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31932 */     GIR_RootConstrainSelectedInstOperands,
     /*   31933 */     // GIR_Coverage, 47115,
     /*   31933 */     GIR_EraseRootFromParent_Done,
     /*   31934 */   // Label 1009: @31934
     /*   31934 */   GIM_Reject,
     /*   31935 */ // Label 1007: @31935
     /*   31935 */ GIM_Reject,
     /*   31936 */ // Label 887: @31936
     /*   31936 */ GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(32050),
     /*   31941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31959 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(32004), // Rule ID 47134 //
     /*   31964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31967 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   31970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 47134,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 1011: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(32049), // Rule ID 47135 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   32015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32047 */     GIR_RootConstrainSelectedInstOperands,
     /*   32048 */     // GIR_Coverage, 47135,
     /*   32048 */     GIR_EraseRootFromParent_Done,
     /*   32049 */   // Label 1012: @32049
     /*   32049 */   GIM_Reject,
     /*   32050 */ // Label 1010: @32050
     /*   32050 */ GIM_Reject,
     /*   32051 */ // Label 888: @32051
     /*   32051 */ GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(32165),
     /*   32056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32074 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(32119), // Rule ID 47170 //
     /*   32079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32082 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   32082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   32099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32117 */     GIR_RootConstrainSelectedInstOperands,
     /*   32118 */     // GIR_Coverage, 47170,
     /*   32118 */     GIR_EraseRootFromParent_Done,
     /*   32119 */   // Label 1014: @32119
     /*   32119 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(32164), // Rule ID 47171 //
     /*   32124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32127 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   32127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   32144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32162 */     GIR_RootConstrainSelectedInstOperands,
     /*   32163 */     // GIR_Coverage, 47171,
     /*   32163 */     GIR_EraseRootFromParent_Done,
     /*   32164 */   // Label 1015: @32164
     /*   32164 */   GIM_Reject,
     /*   32165 */ // Label 1013: @32165
     /*   32165 */ GIM_Reject,
     /*   32166 */ // Label 889: @32166
     /*   32166 */ GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(32280),
     /*   32171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   32174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   32177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32189 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(32234), // Rule ID 47186 //
     /*   32194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   32197 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   32197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   32200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   32214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   32229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32232 */     GIR_RootConstrainSelectedInstOperands,
     /*   32233 */     // GIR_Coverage, 47186,
     /*   32233 */     GIR_EraseRootFromParent_Done,
     /*   32234 */   // Label 1017: @32234
     /*   32234 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(32279), // Rule ID 47187 //
     /*   32239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   32242 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   32242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   32245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   32259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   32274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32277 */     GIR_RootConstrainSelectedInstOperands,
     /*   32278 */     // GIR_Coverage, 47187,
     /*   32278 */     GIR_EraseRootFromParent_Done,
     /*   32279 */   // Label 1018: @32279
     /*   32279 */   GIM_Reject,
     /*   32280 */ // Label 1016: @32280
     /*   32280 */ GIM_Reject,
     /*   32281 */ // Label 890: @32281
     /*   32281 */ GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(32891),
     /*   32286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32296 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(32362), // Rule ID 70193 //
     /*   32301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32343 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32360 */     GIR_RootConstrainSelectedInstOperands,
     /*   32361 */     // GIR_Coverage, 70193,
     /*   32361 */     GIR_EraseRootFromParent_Done,
     /*   32362 */   // Label 1020: @32362
     /*   32362 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(32428), // Rule ID 70194 //
     /*   32367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32409 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32426 */     GIR_RootConstrainSelectedInstOperands,
     /*   32427 */     // GIR_Coverage, 70194,
     /*   32427 */     GIR_EraseRootFromParent_Done,
     /*   32428 */   // Label 1021: @32428
     /*   32428 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(32494), // Rule ID 70191 //
     /*   32433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32475 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32492 */     GIR_RootConstrainSelectedInstOperands,
     /*   32493 */     // GIR_Coverage, 70191,
     /*   32493 */     GIR_EraseRootFromParent_Done,
     /*   32494 */   // Label 1022: @32494
     /*   32494 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(32560), // Rule ID 70192 //
     /*   32499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32541 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32558 */     GIR_RootConstrainSelectedInstOperands,
     /*   32559 */     // GIR_Coverage, 70192,
     /*   32559 */     GIR_EraseRootFromParent_Done,
     /*   32560 */   // Label 1023: @32560
     /*   32560 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(32626), // Rule ID 70189 //
     /*   32565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32607 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32624 */     GIR_RootConstrainSelectedInstOperands,
     /*   32625 */     // GIR_Coverage, 70189,
     /*   32625 */     GIR_EraseRootFromParent_Done,
     /*   32626 */   // Label 1024: @32626
     /*   32626 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(32692), // Rule ID 70190 //
     /*   32631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32673 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32690 */     GIR_RootConstrainSelectedInstOperands,
     /*   32691 */     // GIR_Coverage, 70190,
     /*   32691 */     GIR_EraseRootFromParent_Done,
     /*   32692 */   // Label 1025: @32692
     /*   32692 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(32758), // Rule ID 52680 //
     /*   32697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32739 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32756 */     GIR_RootConstrainSelectedInstOperands,
     /*   32757 */     // GIR_Coverage, 52680,
     /*   32757 */     GIR_EraseRootFromParent_Done,
     /*   32758 */   // Label 1026: @32758
     /*   32758 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(32824), // Rule ID 52681 //
     /*   32763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32805 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32822 */     GIR_RootConstrainSelectedInstOperands,
     /*   32823 */     // GIR_Coverage, 52681,
     /*   32823 */     GIR_EraseRootFromParent_Done,
     /*   32824 */   // Label 1027: @32824
     /*   32824 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(32857), // Rule ID 52668 //
     /*   32829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32840 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32855 */     GIR_RootConstrainSelectedInstOperands,
     /*   32856 */     // GIR_Coverage, 52668,
     /*   32856 */     GIR_EraseRootFromParent_Done,
     /*   32857 */   // Label 1028: @32857
     /*   32857 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(32890), // Rule ID 52669 //
     /*   32862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32873 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*   32876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32888 */     GIR_RootConstrainSelectedInstOperands,
     /*   32889 */     // GIR_Coverage, 52669,
     /*   32889 */     GIR_EraseRootFromParent_Done,
     /*   32890 */   // Label 1029: @32890
     /*   32890 */   GIM_Reject,
     /*   32891 */ // Label 1019: @32891
     /*   32891 */ GIM_Reject,
     /*   32892 */ // Label 891: @32892
     /*   32892 */ GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(33006),
     /*   32897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   32900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   32903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(32960), // Rule ID 47130 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   32923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   32926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32958 */     GIR_RootConstrainSelectedInstOperands,
     /*   32959 */     // GIR_Coverage, 47130,
     /*   32959 */     GIR_EraseRootFromParent_Done,
     /*   32960 */   // Label 1031: @32960
     /*   32960 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(33005), // Rule ID 47131 //
     /*   32965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32968 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   32968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   32971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33003 */     GIR_RootConstrainSelectedInstOperands,
     /*   33004 */     // GIR_Coverage, 47131,
     /*   33004 */     GIR_EraseRootFromParent_Done,
     /*   33005 */   // Label 1032: @33005
     /*   33005 */   GIM_Reject,
     /*   33006 */ // Label 1030: @33006
     /*   33006 */ GIM_Reject,
     /*   33007 */ // Label 892: @33007
     /*   33007 */ GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(33121),
     /*   33012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   33015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   33018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33030 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(33075), // Rule ID 47158 //
     /*   33035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33038 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   33038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   33041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   33055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33073 */     GIR_RootConstrainSelectedInstOperands,
     /*   33074 */     // GIR_Coverage, 47158,
     /*   33074 */     GIR_EraseRootFromParent_Done,
     /*   33075 */   // Label 1034: @33075
     /*   33075 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(33120), // Rule ID 47159 //
     /*   33080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33083 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   33083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   33086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   33100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33118 */     GIR_RootConstrainSelectedInstOperands,
     /*   33119 */     // GIR_Coverage, 47159,
     /*   33119 */     GIR_EraseRootFromParent_Done,
     /*   33120 */   // Label 1035: @33120
     /*   33120 */   GIM_Reject,
     /*   33121 */ // Label 1033: @33121
     /*   33121 */ GIM_Reject,
     /*   33122 */ // Label 893: @33122
     /*   33122 */ GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(33236),
     /*   33127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   33130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   33133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33145 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(33190), // Rule ID 47174 //
     /*   33150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33153 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   33156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   33170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33188 */     GIR_RootConstrainSelectedInstOperands,
     /*   33189 */     // GIR_Coverage, 47174,
     /*   33189 */     GIR_EraseRootFromParent_Done,
     /*   33190 */   // Label 1037: @33190
     /*   33190 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(33235), // Rule ID 47175 //
     /*   33195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33198 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   33201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   33215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33233 */     GIR_RootConstrainSelectedInstOperands,
     /*   33234 */     // GIR_Coverage, 47175,
     /*   33234 */     GIR_EraseRootFromParent_Done,
     /*   33235 */   // Label 1038: @33235
     /*   33235 */   GIM_Reject,
     /*   33236 */ // Label 1036: @33236
     /*   33236 */ GIM_Reject,
     /*   33237 */ // Label 894: @33237
     /*   33237 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(33351),
     /*   33242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   33245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   33248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33260 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(33305), // Rule ID 47190 //
     /*   33265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   33268 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   33268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   33271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   33285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   33300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33303 */     GIR_RootConstrainSelectedInstOperands,
     /*   33304 */     // GIR_Coverage, 47190,
     /*   33304 */     GIR_EraseRootFromParent_Done,
     /*   33305 */   // Label 1040: @33305
     /*   33305 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(33350), // Rule ID 47191 //
     /*   33310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   33313 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   33313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   33316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   33330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   33345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33348 */     GIR_RootConstrainSelectedInstOperands,
     /*   33349 */     // GIR_Coverage, 47191,
     /*   33349 */     GIR_EraseRootFromParent_Done,
     /*   33350 */   // Label 1041: @33350
     /*   33350 */   GIM_Reject,
     /*   33351 */ // Label 1039: @33351
     /*   33351 */ GIM_Reject,
     /*   33352 */ // Label 895: @33352
     /*   33352 */ GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(33962),
     /*   33357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33367 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(33433), // Rule ID 70221 //
     /*   33372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33414 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33431 */     GIR_RootConstrainSelectedInstOperands,
     /*   33432 */     // GIR_Coverage, 70221,
     /*   33432 */     GIR_EraseRootFromParent_Done,
     /*   33433 */   // Label 1043: @33433
     /*   33433 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(33499), // Rule ID 70222 //
     /*   33438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33480 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33497 */     GIR_RootConstrainSelectedInstOperands,
     /*   33498 */     // GIR_Coverage, 70222,
     /*   33498 */     GIR_EraseRootFromParent_Done,
     /*   33499 */   // Label 1044: @33499
     /*   33499 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(33565), // Rule ID 70219 //
     /*   33504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33546 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33563 */     GIR_RootConstrainSelectedInstOperands,
     /*   33564 */     // GIR_Coverage, 70219,
     /*   33564 */     GIR_EraseRootFromParent_Done,
     /*   33565 */   // Label 1045: @33565
     /*   33565 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(33631), // Rule ID 70220 //
     /*   33570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33612 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33629 */     GIR_RootConstrainSelectedInstOperands,
     /*   33630 */     // GIR_Coverage, 70220,
     /*   33630 */     GIR_EraseRootFromParent_Done,
     /*   33631 */   // Label 1046: @33631
     /*   33631 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(33697), // Rule ID 70217 //
     /*   33636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33678 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33695 */     GIR_RootConstrainSelectedInstOperands,
     /*   33696 */     // GIR_Coverage, 70217,
     /*   33696 */     GIR_EraseRootFromParent_Done,
     /*   33697 */   // Label 1047: @33697
     /*   33697 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(33763), // Rule ID 70218 //
     /*   33702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33744 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33761 */     GIR_RootConstrainSelectedInstOperands,
     /*   33762 */     // GIR_Coverage, 70218,
     /*   33762 */     GIR_EraseRootFromParent_Done,
     /*   33763 */   // Label 1048: @33763
     /*   33763 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(33829), // Rule ID 52698 //
     /*   33768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33810 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33827 */     GIR_RootConstrainSelectedInstOperands,
     /*   33828 */     // GIR_Coverage, 52698,
     /*   33828 */     GIR_EraseRootFromParent_Done,
     /*   33829 */   // Label 1049: @33829
     /*   33829 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(33895), // Rule ID 52699 //
     /*   33834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33876 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33893 */     GIR_RootConstrainSelectedInstOperands,
     /*   33894 */     // GIR_Coverage, 52699,
     /*   33894 */     GIR_EraseRootFromParent_Done,
     /*   33895 */   // Label 1050: @33895
     /*   33895 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(33928), // Rule ID 52686 //
     /*   33900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33911 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*   33914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33926 */     GIR_RootConstrainSelectedInstOperands,
     /*   33927 */     // GIR_Coverage, 52686,
     /*   33927 */     GIR_EraseRootFromParent_Done,
     /*   33928 */   // Label 1051: @33928
     /*   33928 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(33961), // Rule ID 52687 //
     /*   33933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33944 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*   33947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33959 */     GIR_RootConstrainSelectedInstOperands,
     /*   33960 */     // GIR_Coverage, 52687,
     /*   33960 */     GIR_EraseRootFromParent_Done,
     /*   33961 */   // Label 1052: @33961
     /*   33961 */   GIM_Reject,
     /*   33962 */ // Label 1042: @33962
     /*   33962 */ GIM_Reject,
     /*   33963 */ // Label 896: @33963
     /*   33963 */ GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(34077),
     /*   33968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   33971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   33974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33986 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(34031), // Rule ID 47146 //
     /*   33991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33994 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   33997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   34011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34029 */     GIR_RootConstrainSelectedInstOperands,
     /*   34030 */     // GIR_Coverage, 47146,
     /*   34030 */     GIR_EraseRootFromParent_Done,
     /*   34031 */   // Label 1054: @34031
     /*   34031 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(34076), // Rule ID 47147 //
     /*   34036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34039 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   34039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   34042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   34056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34074 */     GIR_RootConstrainSelectedInstOperands,
     /*   34075 */     // GIR_Coverage, 47147,
     /*   34075 */     GIR_EraseRootFromParent_Done,
     /*   34076 */   // Label 1055: @34076
     /*   34076 */   GIM_Reject,
     /*   34077 */ // Label 1053: @34077
     /*   34077 */ GIM_Reject,
     /*   34078 */ // Label 897: @34078
     /*   34078 */ GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(34192),
     /*   34083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   34086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   34089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34101 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(34146), // Rule ID 47162 //
     /*   34106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34109 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   34112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34144 */     GIR_RootConstrainSelectedInstOperands,
     /*   34145 */     // GIR_Coverage, 47162,
     /*   34145 */     GIR_EraseRootFromParent_Done,
     /*   34146 */   // Label 1057: @34146
     /*   34146 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(34191), // Rule ID 47163 //
     /*   34151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34154 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   34157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34189 */     GIR_RootConstrainSelectedInstOperands,
     /*   34190 */     // GIR_Coverage, 47163,
     /*   34190 */     GIR_EraseRootFromParent_Done,
     /*   34191 */   // Label 1058: @34191
     /*   34191 */   GIM_Reject,
     /*   34192 */ // Label 1056: @34192
     /*   34192 */ GIM_Reject,
     /*   34193 */ // Label 898: @34193
     /*   34193 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(34307),
     /*   34198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   34201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   34204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34216 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(34261), // Rule ID 47178 //
     /*   34221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34224 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   34224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   34227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   34241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34259 */     GIR_RootConstrainSelectedInstOperands,
     /*   34260 */     // GIR_Coverage, 47178,
     /*   34260 */     GIR_EraseRootFromParent_Done,
     /*   34261 */   // Label 1060: @34261
     /*   34261 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(34306), // Rule ID 47179 //
     /*   34266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34269 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   34269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   34272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   34286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34304 */     GIR_RootConstrainSelectedInstOperands,
     /*   34305 */     // GIR_Coverage, 47179,
     /*   34305 */     GIR_EraseRootFromParent_Done,
     /*   34306 */   // Label 1061: @34306
     /*   34306 */   GIM_Reject,
     /*   34307 */ // Label 1059: @34307
     /*   34307 */ GIM_Reject,
     /*   34308 */ // Label 899: @34308
     /*   34308 */ GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(34918),
     /*   34313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34323 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(34389), // Rule ID 70249 //
     /*   34328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34370 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34387 */     GIR_RootConstrainSelectedInstOperands,
     /*   34388 */     // GIR_Coverage, 70249,
     /*   34388 */     GIR_EraseRootFromParent_Done,
     /*   34389 */   // Label 1063: @34389
     /*   34389 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(34455), // Rule ID 70250 //
     /*   34394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34436 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34453 */     GIR_RootConstrainSelectedInstOperands,
     /*   34454 */     // GIR_Coverage, 70250,
     /*   34454 */     GIR_EraseRootFromParent_Done,
     /*   34455 */   // Label 1064: @34455
     /*   34455 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(34521), // Rule ID 70247 //
     /*   34460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34502 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34519 */     GIR_RootConstrainSelectedInstOperands,
     /*   34520 */     // GIR_Coverage, 70247,
     /*   34520 */     GIR_EraseRootFromParent_Done,
     /*   34521 */   // Label 1065: @34521
     /*   34521 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(34587), // Rule ID 70248 //
     /*   34526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34568 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34585 */     GIR_RootConstrainSelectedInstOperands,
     /*   34586 */     // GIR_Coverage, 70248,
     /*   34586 */     GIR_EraseRootFromParent_Done,
     /*   34587 */   // Label 1066: @34587
     /*   34587 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(34653), // Rule ID 70245 //
     /*   34592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34623 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34634 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34651 */     GIR_RootConstrainSelectedInstOperands,
     /*   34652 */     // GIR_Coverage, 70245,
     /*   34652 */     GIR_EraseRootFromParent_Done,
     /*   34653 */   // Label 1067: @34653
     /*   34653 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(34719), // Rule ID 70246 //
     /*   34658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34700 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34717 */     GIR_RootConstrainSelectedInstOperands,
     /*   34718 */     // GIR_Coverage, 70246,
     /*   34718 */     GIR_EraseRootFromParent_Done,
     /*   34719 */   // Label 1068: @34719
     /*   34719 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(34785), // Rule ID 52716 //
     /*   34724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34766 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34783 */     GIR_RootConstrainSelectedInstOperands,
     /*   34784 */     // GIR_Coverage, 52716,
     /*   34784 */     GIR_EraseRootFromParent_Done,
     /*   34785 */   // Label 1069: @34785
     /*   34785 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(34851), // Rule ID 52717 //
     /*   34790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34832 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34849 */     GIR_RootConstrainSelectedInstOperands,
     /*   34850 */     // GIR_Coverage, 52717,
     /*   34850 */     GIR_EraseRootFromParent_Done,
     /*   34851 */   // Label 1070: @34851
     /*   34851 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(34884), // Rule ID 52704 //
     /*   34856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34867 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*   34870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34882 */     GIR_RootConstrainSelectedInstOperands,
     /*   34883 */     // GIR_Coverage, 52704,
     /*   34883 */     GIR_EraseRootFromParent_Done,
     /*   34884 */   // Label 1071: @34884
     /*   34884 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(34917), // Rule ID 52705 //
     /*   34889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34900 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*   34903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34915 */     GIR_RootConstrainSelectedInstOperands,
     /*   34916 */     // GIR_Coverage, 52705,
     /*   34916 */     GIR_EraseRootFromParent_Done,
     /*   34917 */   // Label 1072: @34917
     /*   34917 */   GIM_Reject,
     /*   34918 */ // Label 1062: @34918
     /*   34918 */ GIM_Reject,
     /*   34919 */ // Label 900: @34919
     /*   34919 */ GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(35033),
     /*   34924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   34927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   34930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34942 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(34987), // Rule ID 47150 //
     /*   34947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34950 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   34950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   34953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34985 */     GIR_RootConstrainSelectedInstOperands,
     /*   34986 */     // GIR_Coverage, 47150,
     /*   34986 */     GIR_EraseRootFromParent_Done,
     /*   34987 */   // Label 1074: @34987
     /*   34987 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(35032), // Rule ID 47151 //
     /*   34992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34995 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   34995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   34998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   35012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35030 */     GIR_RootConstrainSelectedInstOperands,
     /*   35031 */     // GIR_Coverage, 47151,
     /*   35031 */     GIR_EraseRootFromParent_Done,
     /*   35032 */   // Label 1075: @35032
     /*   35032 */   GIM_Reject,
     /*   35033 */ // Label 1073: @35033
     /*   35033 */ GIM_Reject,
     /*   35034 */ // Label 901: @35034
     /*   35034 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(35148),
     /*   35039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   35042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   35045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35057 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(35102), // Rule ID 47166 //
     /*   35062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35065 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   35065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   35068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35100 */     GIR_RootConstrainSelectedInstOperands,
     /*   35101 */     // GIR_Coverage, 47166,
     /*   35101 */     GIR_EraseRootFromParent_Done,
     /*   35102 */   // Label 1077: @35102
     /*   35102 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(35147), // Rule ID 47167 //
     /*   35107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35110 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   35110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   35113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35145 */     GIR_RootConstrainSelectedInstOperands,
     /*   35146 */     // GIR_Coverage, 47167,
     /*   35146 */     GIR_EraseRootFromParent_Done,
     /*   35147 */   // Label 1078: @35147
     /*   35147 */   GIM_Reject,
     /*   35148 */ // Label 1076: @35148
     /*   35148 */ GIM_Reject,
     /*   35149 */ // Label 902: @35149
     /*   35149 */ GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(35759),
     /*   35154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35164 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(35230), // Rule ID 70277 //
     /*   35169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35211 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35228 */     GIR_RootConstrainSelectedInstOperands,
     /*   35229 */     // GIR_Coverage, 70277,
     /*   35229 */     GIR_EraseRootFromParent_Done,
     /*   35230 */   // Label 1080: @35230
     /*   35230 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(35296), // Rule ID 70278 //
     /*   35235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35277 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35294 */     GIR_RootConstrainSelectedInstOperands,
     /*   35295 */     // GIR_Coverage, 70278,
     /*   35295 */     GIR_EraseRootFromParent_Done,
     /*   35296 */   // Label 1081: @35296
     /*   35296 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(35362), // Rule ID 70275 //
     /*   35301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35343 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35360 */     GIR_RootConstrainSelectedInstOperands,
     /*   35361 */     // GIR_Coverage, 70275,
     /*   35361 */     GIR_EraseRootFromParent_Done,
     /*   35362 */   // Label 1082: @35362
     /*   35362 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(35428), // Rule ID 70276 //
     /*   35367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35409 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35426 */     GIR_RootConstrainSelectedInstOperands,
     /*   35427 */     // GIR_Coverage, 70276,
     /*   35427 */     GIR_EraseRootFromParent_Done,
     /*   35428 */   // Label 1083: @35428
     /*   35428 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(35494), // Rule ID 70273 //
     /*   35433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35475 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35492 */     GIR_RootConstrainSelectedInstOperands,
     /*   35493 */     // GIR_Coverage, 70273,
     /*   35493 */     GIR_EraseRootFromParent_Done,
     /*   35494 */   // Label 1084: @35494
     /*   35494 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(35560), // Rule ID 70274 //
     /*   35499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35541 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35558 */     GIR_RootConstrainSelectedInstOperands,
     /*   35559 */     // GIR_Coverage, 70274,
     /*   35559 */     GIR_EraseRootFromParent_Done,
     /*   35560 */   // Label 1085: @35560
     /*   35560 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(35626), // Rule ID 52734 //
     /*   35565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35607 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35624 */     GIR_RootConstrainSelectedInstOperands,
     /*   35625 */     // GIR_Coverage, 52734,
     /*   35625 */     GIR_EraseRootFromParent_Done,
     /*   35626 */   // Label 1086: @35626
     /*   35626 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(35692), // Rule ID 52735 //
     /*   35631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35673 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35690 */     GIR_RootConstrainSelectedInstOperands,
     /*   35691 */     // GIR_Coverage, 52735,
     /*   35691 */     GIR_EraseRootFromParent_Done,
     /*   35692 */   // Label 1087: @35692
     /*   35692 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(35725), // Rule ID 52722 //
     /*   35697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35708 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*   35711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35723 */     GIR_RootConstrainSelectedInstOperands,
     /*   35724 */     // GIR_Coverage, 52722,
     /*   35724 */     GIR_EraseRootFromParent_Done,
     /*   35725 */   // Label 1088: @35725
     /*   35725 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(35758), // Rule ID 52723 //
     /*   35730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35741 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*   35744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35756 */     GIR_RootConstrainSelectedInstOperands,
     /*   35757 */     // GIR_Coverage, 52723,
     /*   35757 */     GIR_EraseRootFromParent_Done,
     /*   35758 */   // Label 1089: @35758
     /*   35758 */   GIM_Reject,
     /*   35759 */ // Label 1079: @35759
     /*   35759 */ GIM_Reject,
     /*   35760 */ // Label 903: @35760
     /*   35760 */ GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(35874),
     /*   35765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   35768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   35771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35783 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(35828), // Rule ID 47154 //
     /*   35788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35791 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   35791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   35794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35826 */     GIR_RootConstrainSelectedInstOperands,
     /*   35827 */     // GIR_Coverage, 47154,
     /*   35827 */     GIR_EraseRootFromParent_Done,
     /*   35828 */   // Label 1091: @35828
     /*   35828 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(35873), // Rule ID 47155 //
     /*   35833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35836 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   35836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   35839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35871 */     GIR_RootConstrainSelectedInstOperands,
     /*   35872 */     // GIR_Coverage, 47155,
     /*   35872 */     GIR_EraseRootFromParent_Done,
     /*   35873 */   // Label 1092: @35873
     /*   35873 */   GIM_Reject,
     /*   35874 */ // Label 1090: @35874
     /*   35874 */ GIM_Reject,
     /*   35875 */ // Label 904: @35875
     /*   35875 */ GIM_Reject,
     /*   35876 */ // Label 8: @35876
     /*   35876 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1124*/ GIMT_Encode4(48412),
     /*   35887 */ /*GILLT_s32*//*Label 1093*/ GIMT_Encode4(36011),
     /*   35891 */ /*GILLT_s64*//*Label 1094*/ GIMT_Encode4(38657),
     /*   35895 */ /*GILLT_nxv1s1*//*Label 1095*/ GIMT_Encode4(41605),
     /*   35899 */ /*GILLT_nxv1s8*//*Label 1096*/ GIMT_Encode4(42216),
     /*   35903 */ /*GILLT_nxv1s16*//*Label 1097*/ GIMT_Encode4(42331),
     /*   35907 */ /*GILLT_nxv1s32*//*Label 1098*/ GIMT_Encode4(42446),
     /*   35911 */ /*GILLT_nxv1s64*//*Label 1099*/ GIMT_Encode4(42561),
     /*   35915 */ /*GILLT_nxv2s1*//*Label 1100*/ GIMT_Encode4(42676),
     /*   35919 */ /*GILLT_nxv2s8*//*Label 1101*/ GIMT_Encode4(43287),
     /*   35923 */ /*GILLT_nxv2s16*//*Label 1102*/ GIMT_Encode4(43402),
     /*   35927 */ /*GILLT_nxv2s32*//*Label 1103*/ GIMT_Encode4(43517),
     /*   35931 */ /*GILLT_nxv2s64*//*Label 1104*/ GIMT_Encode4(43632),
     /*   35935 */ /*GILLT_nxv4s1*//*Label 1105*/ GIMT_Encode4(43747),
     /*   35939 */ /*GILLT_nxv4s8*//*Label 1106*/ GIMT_Encode4(44358),
     /*   35943 */ /*GILLT_nxv4s16*//*Label 1107*/ GIMT_Encode4(44473),
     /*   35947 */ /*GILLT_nxv4s32*//*Label 1108*/ GIMT_Encode4(44588),
     /*   35951 */ /*GILLT_nxv4s64*//*Label 1109*/ GIMT_Encode4(44703),
     /*   35955 */ /*GILLT_nxv8s1*//*Label 1110*/ GIMT_Encode4(44818),
     /*   35959 */ /*GILLT_nxv8s8*//*Label 1111*/ GIMT_Encode4(45429),
     /*   35963 */ /*GILLT_nxv8s16*//*Label 1112*/ GIMT_Encode4(45544),
     /*   35967 */ /*GILLT_nxv8s32*//*Label 1113*/ GIMT_Encode4(45659),
     /*   35971 */ /*GILLT_nxv8s64*//*Label 1114*/ GIMT_Encode4(45774),
     /*   35975 */ /*GILLT_nxv16s1*//*Label 1115*/ GIMT_Encode4(45889),
     /*   35979 */ /*GILLT_nxv16s8*//*Label 1116*/ GIMT_Encode4(46500),
     /*   35983 */ /*GILLT_nxv16s16*//*Label 1117*/ GIMT_Encode4(46615),
     /*   35987 */ /*GILLT_nxv16s32*//*Label 1118*/ GIMT_Encode4(46730),
     /*   35991 */ /*GILLT_nxv32s1*//*Label 1119*/ GIMT_Encode4(46845),
     /*   35995 */ /*GILLT_nxv32s8*//*Label 1120*/ GIMT_Encode4(47456),
     /*   35999 */ /*GILLT_nxv32s16*//*Label 1121*/ GIMT_Encode4(47571),
     /*   36003 */ /*GILLT_nxv64s1*//*Label 1122*/ GIMT_Encode4(47686),
     /*   36007 */ /*GILLT_nxv64s8*//*Label 1123*/ GIMT_Encode4(48297),
     /*   36011 */ // Label 1093: @36011
     /*   36011 */ GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(38656),
     /*   36016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   36019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   36022 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(36217), // Rule ID 64087 //
     /*   36027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   36054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36062 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36066 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36082 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36086 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36090 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36094 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36098 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36102 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   36106 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36110 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36114 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36118 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36122 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   36126 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36142 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36149 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36156 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36156 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36159 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36163 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   36173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   36178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   36197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   36202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36215 */     GIR_RootConstrainSelectedInstOperands,
     /*   36216 */     // GIR_Coverage, 64087,
     /*   36216 */     GIR_EraseRootFromParent_Done,
     /*   36217 */   // Label 1126: @36217
     /*   36217 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(36412), // Rule ID 64089 //
     /*   36222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   36249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36261 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36273 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36277 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36281 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36285 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36289 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36293 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36297 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   36301 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36305 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36309 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36313 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36317 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   36321 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36330 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36337 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36344 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36351 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36351 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36354 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36358 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   36368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   36373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   36392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   36397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36410 */     GIR_RootConstrainSelectedInstOperands,
     /*   36411 */     // GIR_Coverage, 64089,
     /*   36411 */     GIR_EraseRootFromParent_Done,
     /*   36412 */   // Label 1127: @36412
     /*   36412 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(36607), // Rule ID 64083 //
     /*   36417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36452 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36456 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36472 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36476 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36480 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36484 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36488 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36492 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   36496 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36500 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36504 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36508 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36512 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   36516 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36525 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36532 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36539 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36546 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36546 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36549 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36553 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   36563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   36568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   36587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   36592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36605 */     GIR_RootConstrainSelectedInstOperands,
     /*   36606 */     // GIR_Coverage, 64083,
     /*   36606 */     GIR_EraseRootFromParent_Done,
     /*   36607 */   // Label 1128: @36607
     /*   36607 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(36802), // Rule ID 64085 //
     /*   36612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36651 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36667 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36671 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36675 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36679 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36683 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36687 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   36691 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36695 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36699 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36703 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36707 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   36711 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36727 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36734 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36741 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36741 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36744 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36748 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   36758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   36763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   36782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   36787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36800 */     GIR_RootConstrainSelectedInstOperands,
     /*   36801 */     // GIR_Coverage, 64085,
     /*   36801 */     GIR_EraseRootFromParent_Done,
     /*   36802 */   // Label 1129: @36802
     /*   36802 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(36997), // Rule ID 64077 //
     /*   36807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36846 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   36850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   36854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36858 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36862 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36866 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   36870 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   36874 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36878 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36882 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36886 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   36890 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36894 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36898 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36902 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   36906 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36915 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36922 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36929 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36936 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36936 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36939 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36943 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   36953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   36958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   36977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36995 */     GIR_RootConstrainSelectedInstOperands,
     /*   36996 */     // GIR_Coverage, 64077,
     /*   36996 */     GIR_EraseRootFromParent_Done,
     /*   36997 */   // Label 1130: @36997
     /*   36997 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(37192), // Rule ID 64081 //
     /*   37002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37037 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37041 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37053 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37057 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37061 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   37065 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37069 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37073 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37077 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37081 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   37085 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37089 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37093 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37097 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37101 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37110 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37117 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37124 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37131 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37131 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37134 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37138 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   37148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   37153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   37172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   37177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37190 */     GIR_RootConstrainSelectedInstOperands,
     /*   37191 */     // GIR_Coverage, 64081,
     /*   37191 */     GIR_EraseRootFromParent_Done,
     /*   37192 */   // Label 1131: @37192
     /*   37192 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(37387), // Rule ID 2409 //
     /*   37197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37232 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37236 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   37240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37248 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37252 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37256 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   37260 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37264 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37268 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37272 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37276 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   37280 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37284 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37288 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37292 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37296 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37305 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37312 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37319 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37326 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37326 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37329 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37333 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   37343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   37348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   37367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   37372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37385 */     GIR_RootConstrainSelectedInstOperands,
     /*   37386 */     // GIR_Coverage, 2409,
     /*   37386 */     GIR_EraseRootFromParent_Done,
     /*   37387 */   // Label 1132: @37387
     /*   37387 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(37582), // Rule ID 64079 //
     /*   37392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37427 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37431 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37435 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37439 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37443 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37447 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37451 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   37455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37459 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37463 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37467 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37471 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   37475 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37479 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37483 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37487 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37491 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37500 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37507 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37514 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37521 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37521 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37524 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37528 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   37538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   37543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   37562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   37567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37580 */     GIR_RootConstrainSelectedInstOperands,
     /*   37581 */     // GIR_Coverage, 64079,
     /*   37581 */     GIR_EraseRootFromParent_Done,
     /*   37582 */   // Label 1133: @37582
     /*   37582 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(37687), // Rule ID 2404 //
     /*   37587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37610 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*   37614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   37618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37630 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37643 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37650 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*   37650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   37667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   37672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   37677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   37685 */     GIR_RootConstrainSelectedInstOperands,
     /*   37686 */     // GIR_Coverage, 2404,
     /*   37686 */     GIR_EraseRootFromParent_Done,
     /*   37687 */   // Label 1134: @37687
     /*   37687 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(37792), // Rule ID 64072 //
     /*   37692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37715 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   37719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   37723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37735 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   37739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37755 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*   37755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   37777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   37782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 64072,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 1135: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(37881), // Rule ID 64066 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37832 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37841 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   37845 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   37856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37865 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   37865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37879 */     GIR_RootConstrainSelectedInstOperands,
     /*   37880 */     // GIR_Coverage, 64066,
     /*   37880 */     GIR_EraseRootFromParent_Done,
     /*   37881 */   // Label 1136: @37881
     /*   37881 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(37970), // Rule ID 2398 //
     /*   37886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   37901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   37934 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   37945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37954 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   37954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37968 */     GIR_RootConstrainSelectedInstOperands,
     /*   37969 */     // GIR_Coverage, 2398,
     /*   37969 */     GIR_EraseRootFromParent_Done,
     /*   37970 */   // Label 1137: @37970
     /*   37970 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(38035), // Rule ID 64068 //
     /*   37975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37998 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38018 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   38033 */     GIR_RootConstrainSelectedInstOperands,
     /*   38034 */     // GIR_Coverage, 64068,
     /*   38034 */     GIR_EraseRootFromParent_Done,
     /*   38035 */   // Label 1138: @38035
     /*   38035 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(38100), // Rule ID 2400 //
     /*   38040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38063 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38083 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   38093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38098 */     GIR_RootConstrainSelectedInstOperands,
     /*   38099 */     // GIR_Coverage, 2400,
     /*   38099 */     GIR_EraseRootFromParent_Done,
     /*   38100 */   // Label 1139: @38100
     /*   38100 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(38166), // Rule ID 64074 //
     /*   38105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10788),
     /*   38141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38150 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_10788>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38164 */     GIR_RootConstrainSelectedInstOperands,
     /*   38165 */     // GIR_Coverage, 64074,
     /*   38165 */     GIR_EraseRootFromParent_Done,
     /*   38166 */   // Label 1140: @38166
     /*   38166 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(38232), // Rule ID 2406 //
     /*   38171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38199 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10788),
     /*   38207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38216 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_10788>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38230 */     GIR_RootConstrainSelectedInstOperands,
     /*   38231 */     // GIR_Coverage, 2406,
     /*   38231 */     GIR_EraseRootFromParent_Done,
     /*   38232 */   // Label 1141: @38232
     /*   38232 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(38294), // Rule ID 2407 //
     /*   38237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   38240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38265 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   38269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   38278 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38292 */     GIR_RootConstrainSelectedInstOperands,
     /*   38293 */     // GIR_Coverage, 2407,
     /*   38293 */     GIR_EraseRootFromParent_Done,
     /*   38294 */   // Label 1142: @38294
     /*   38294 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(38356), // Rule ID 64075 //
     /*   38299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   38302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38327 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   38331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   38340 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38354 */     GIR_RootConstrainSelectedInstOperands,
     /*   38355 */     // GIR_Coverage, 64075,
     /*   38355 */     GIR_EraseRootFromParent_Done,
     /*   38356 */   // Label 1143: @38356
     /*   38356 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(38415), // Rule ID 2333 //
     /*   38361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   38364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38384 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   38388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   38401 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   38404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   38408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38413 */     GIR_RootConstrainSelectedInstOperands,
     /*   38414 */     // GIR_Coverage, 2333,
     /*   38414 */     GIR_EraseRootFromParent_Done,
     /*   38415 */   // Label 1144: @38415
     /*   38415 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(38474), // Rule ID 64062 //
     /*   38420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   38423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38447 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   38451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   38460 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   38463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38472 */     GIR_RootConstrainSelectedInstOperands,
     /*   38473 */     // GIR_Coverage, 64062,
     /*   38473 */     GIR_EraseRootFromParent_Done,
     /*   38474 */   // Label 1145: @38474
     /*   38474 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(38530), // Rule ID 64046 //
     /*   38479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   38482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   38494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38507 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   38511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38517 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   38520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   38524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38528 */     GIR_RootConstrainSelectedInstOperands,
     /*   38529 */     // GIR_Coverage, 64046,
     /*   38529 */     GIR_EraseRootFromParent_Done,
     /*   38530 */   // Label 1146: @38530
     /*   38530 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(38586), // Rule ID 2307 //
     /*   38535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   38538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   38554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38567 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   38571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38573 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   38576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38584 */     GIR_RootConstrainSelectedInstOperands,
     /*   38585 */     // GIR_Coverage, 2307,
     /*   38585 */     GIR_EraseRootFromParent_Done,
     /*   38586 */   // Label 1147: @38586
     /*   38586 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(38628), // Rule ID 81 //
     /*   38591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   38594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   38610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   38614 */     // MIs[1] Operand 1
     /*   38614 */     // No operand predicates
     /*   38614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38616 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   38616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*   38619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   38626 */     GIR_RootConstrainSelectedInstOperands,
     /*   38627 */     // GIR_Coverage, 81,
     /*   38627 */     GIR_EraseRootFromParent_Done,
     /*   38628 */   // Label 1148: @38628
     /*   38628 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(38655), // Rule ID 79 //
     /*   38633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   38636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38648 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*   38653 */     GIR_RootConstrainSelectedInstOperands,
     /*   38654 */     // GIR_Coverage, 79,
     /*   38654 */     GIR_Done,
     /*   38655 */   // Label 1149: @38655
     /*   38655 */   GIM_Reject,
     /*   38656 */ // Label 1125: @38656
     /*   38656 */ GIM_Reject,
     /*   38657 */ // Label 1094: @38657
     /*   38657 */ GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(41604),
     /*   38662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   38665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   38668 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(38863), // Rule ID 64086 //
     /*   38673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   38676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   38692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   38696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   38700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   38708 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   38712 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   38716 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   38720 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38724 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   38728 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   38732 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   38736 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38740 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   38744 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   38748 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   38752 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   38756 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38760 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   38764 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   38768 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   38772 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   38774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38788 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   38795 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   38802 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   38802 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   38805 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38809 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   38819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   38824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   38826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   38829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   38843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   38848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   38861 */     GIR_RootConstrainSelectedInstOperands,
     /*   38862 */     // GIR_Coverage, 64086,
     /*   38862 */     GIR_EraseRootFromParent_Done,
     /*   38863 */   // Label 1151: @38863
     /*   38863 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(39058), // Rule ID 64088 //
     /*   38868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   38871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   38887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   38891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   38895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   38903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   38907 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   38911 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   38915 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38919 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   38923 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   38927 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   38931 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38935 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   38939 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   38943 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   38947 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   38951 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38955 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   38959 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   38963 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   38967 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   38969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38983 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   38990 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   38997 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   38997 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39000 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39004 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   39014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   39019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   39038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   39043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39056 */     GIR_RootConstrainSelectedInstOperands,
     /*   39057 */     // GIR_Coverage, 64088,
     /*   39057 */     GIR_EraseRootFromParent_Done,
     /*   39058 */   // Label 1152: @39058
     /*   39058 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(39253), // Rule ID 64082 //
     /*   39063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39102 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   39106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   39110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39118 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39122 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   39126 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39130 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39134 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39138 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   39142 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   39146 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39150 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39154 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39158 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   39162 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39171 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39178 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39185 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39192 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39192 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39195 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39199 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   39209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   39214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   39233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   39238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39251 */     GIR_RootConstrainSelectedInstOperands,
     /*   39252 */     // GIR_Coverage, 64082,
     /*   39252 */     GIR_EraseRootFromParent_Done,
     /*   39253 */   // Label 1153: @39253
     /*   39253 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(39448), // Rule ID 64084 //
     /*   39258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39293 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39297 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   39301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   39305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39313 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39317 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   39321 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39325 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39329 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39333 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   39337 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   39341 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39345 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39349 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39353 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   39357 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39366 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39373 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39380 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39387 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39387 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39390 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39394 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   39404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   39409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   39428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   39433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39446 */     GIR_RootConstrainSelectedInstOperands,
     /*   39447 */     // GIR_Coverage, 64084,
     /*   39447 */     GIR_EraseRootFromParent_Done,
     /*   39448 */   // Label 1154: @39448
     /*   39448 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(39643), // Rule ID 64076 //
     /*   39453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39492 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   39496 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39500 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39504 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39508 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39512 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   39516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39524 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39528 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39532 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   39536 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39540 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39544 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39548 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39552 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39561 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39568 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39575 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39582 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39582 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39585 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39589 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   39599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   39604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   39623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   39628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39641 */     GIR_RootConstrainSelectedInstOperands,
     /*   39642 */     // GIR_Coverage, 64076,
     /*   39642 */     GIR_EraseRootFromParent_Done,
     /*   39643 */   // Label 1155: @39643
     /*   39643 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(39838), // Rule ID 64080 //
     /*   39648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39687 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   39691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39699 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39703 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39707 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   39711 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39715 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39719 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39723 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39727 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   39731 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39735 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39739 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39743 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39747 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39749 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39756 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39763 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39770 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39777 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39777 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39780 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39784 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   39794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   39799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   39818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   39823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39836 */     GIR_RootConstrainSelectedInstOperands,
     /*   39837 */     // GIR_Coverage, 64080,
     /*   39837 */     GIR_EraseRootFromParent_Done,
     /*   39838 */   // Label 1156: @39838
     /*   39838 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(40033), // Rule ID 2408 //
     /*   39843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39878 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   39886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39894 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39898 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39902 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   39906 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39910 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39914 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39918 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39922 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   39926 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39930 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39934 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39938 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39942 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39951 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39958 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39965 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39972 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39972 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39975 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39979 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   39989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   39994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   40013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   40018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   40023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   40031 */     GIR_RootConstrainSelectedInstOperands,
     /*   40032 */     // GIR_Coverage, 2408,
     /*   40032 */     GIR_EraseRootFromParent_Done,
     /*   40033 */   // Label 1157: @40033
     /*   40033 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(40228), // Rule ID 64078 //
     /*   40038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   40041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   40053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40077 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40089 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   40093 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   40097 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   40101 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   40105 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   40109 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   40113 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   40117 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   40121 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40125 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   40129 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   40133 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   40137 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   40139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40146 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40153 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   40160 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   40167 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   40167 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   40170 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40174 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   40184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   40189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   40191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   40208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   40213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   40218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   40226 */     GIR_RootConstrainSelectedInstOperands,
     /*   40227 */     // GIR_Coverage, 64078,
     /*   40227 */     GIR_EraseRootFromParent_Done,
     /*   40228 */   // Label 1158: @40228
     /*   40228 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(40333), // Rule ID 2403 //
     /*   40233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40252 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*   40260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   40264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40272 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40276 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40296 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*   40296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   40313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   40318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   40323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   40331 */     GIR_RootConstrainSelectedInstOperands,
     /*   40332 */     // GIR_Coverage, 2403,
     /*   40332 */     GIR_EraseRootFromParent_Done,
     /*   40333 */   // Label 1159: @40333
     /*   40333 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(40438), // Rule ID 64071 //
     /*   40338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40361 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   40365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   40369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40377 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40381 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   40385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40401 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*   40401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   40423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   40428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   40436 */     GIR_RootConstrainSelectedInstOperands,
     /*   40437 */     // GIR_Coverage, 64071,
     /*   40437 */     GIR_EraseRootFromParent_Done,
     /*   40438 */   // Label 1160: @40438
     /*   40438 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(40527), // Rule ID 64065 //
     /*   40443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   40458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40487 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   40491 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   40502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40511 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40525 */     GIR_RootConstrainSelectedInstOperands,
     /*   40526 */     // GIR_Coverage, 64065,
     /*   40526 */     GIR_EraseRootFromParent_Done,
     /*   40527 */   // Label 1161: @40527
     /*   40527 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(40616), // Rule ID 2397 //
     /*   40532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   40547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40576 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   40580 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   40591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40600 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40614 */     GIR_RootConstrainSelectedInstOperands,
     /*   40615 */     // GIR_Coverage, 2397,
     /*   40615 */     GIR_EraseRootFromParent_Done,
     /*   40616 */   // Label 1162: @40616
     /*   40616 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(40681), // Rule ID 64067 //
     /*   40621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40644 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40664 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   40679 */     GIR_RootConstrainSelectedInstOperands,
     /*   40680 */     // GIR_Coverage, 64067,
     /*   40680 */     GIR_EraseRootFromParent_Done,
     /*   40681 */   // Label 1163: @40681
     /*   40681 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(40746), // Rule ID 2399 //
     /*   40686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40709 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40729 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   40739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   40744 */     GIR_RootConstrainSelectedInstOperands,
     /*   40745 */     // GIR_Coverage, 2399,
     /*   40745 */     GIR_EraseRootFromParent_Done,
     /*   40746 */   // Label 1164: @40746
     /*   40746 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(40831), // Rule ID 64092 //
     /*   40751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   40766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40795 */     // MIs[1] Operand 2
     /*   40795 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*   40806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   40815 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   40818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40829 */     GIR_RootConstrainSelectedInstOperands,
     /*   40830 */     // GIR_Coverage, 64092,
     /*   40830 */     GIR_EraseRootFromParent_Done,
     /*   40831 */   // Label 1165: @40831
     /*   40831 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(40916), // Rule ID 2412 //
     /*   40836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   40851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40876 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40880 */     // MIs[1] Operand 2
     /*   40880 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*   40891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   40900 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   40903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40914 */     GIR_RootConstrainSelectedInstOperands,
     /*   40915 */     // GIR_Coverage, 2412,
     /*   40915 */     GIR_EraseRootFromParent_Done,
     /*   40916 */   // Label 1166: @40916
     /*   40916 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(40982), // Rule ID 64073 //
     /*   40921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40949 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10788),
     /*   40957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40966 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_10788>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   40980 */     GIR_RootConstrainSelectedInstOperands,
     /*   40981 */     // GIR_Coverage, 64073,
     /*   40981 */     GIR_EraseRootFromParent_Done,
     /*   40982 */   // Label 1167: @40982
     /*   40982 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(41048), // Rule ID 64091 //
     /*   40987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   41019 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9641),
     /*   41023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   41032 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_9641>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   41035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41046 */     GIR_RootConstrainSelectedInstOperands,
     /*   41047 */     // GIR_Coverage, 64091,
     /*   41047 */     GIR_EraseRootFromParent_Done,
     /*   41048 */   // Label 1168: @41048
     /*   41048 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(41114), // Rule ID 2405 //
     /*   41053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   41056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41081 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   41085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10788),
     /*   41089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   41098 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10788>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   41101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41112 */     GIR_RootConstrainSelectedInstOperands,
     /*   41113 */     // GIR_Coverage, 2405,
     /*   41113 */     GIR_EraseRootFromParent_Done,
     /*   41114 */   // Label 1169: @41114
     /*   41114 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(41180), // Rule ID 2411 //
     /*   41119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41147 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   41151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9641),
     /*   41155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   41164 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_9641>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   41167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41178 */     GIR_RootConstrainSelectedInstOperands,
     /*   41179 */     // GIR_Coverage, 2411,
     /*   41179 */     GIR_EraseRootFromParent_Done,
     /*   41180 */   // Label 1170: @41180
     /*   41180 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(41242), // Rule ID 2410 //
     /*   41185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*   41217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*   41226 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   41229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41240 */     GIR_RootConstrainSelectedInstOperands,
     /*   41241 */     // GIR_Coverage, 2410,
     /*   41241 */     GIR_EraseRootFromParent_Done,
     /*   41242 */   // Label 1171: @41242
     /*   41242 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(41304), // Rule ID 64090 //
     /*   41247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41275 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*   41279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*   41288 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   41291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41302 */     GIR_RootConstrainSelectedInstOperands,
     /*   41303 */     // GIR_Coverage, 64090,
     /*   41303 */     GIR_EraseRootFromParent_Done,
     /*   41304 */   // Label 1172: @41304
     /*   41304 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(41363), // Rule ID 2332 //
     /*   41309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   41312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41332 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   41336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   41349 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   41352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   41361 */     GIR_RootConstrainSelectedInstOperands,
     /*   41362 */     // GIR_Coverage, 2332,
     /*   41362 */     GIR_EraseRootFromParent_Done,
     /*   41363 */   // Label 1173: @41363
     /*   41363 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(41422), // Rule ID 64061 //
     /*   41368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   41371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41395 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   41399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   41408 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   41411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   41420 */     GIR_RootConstrainSelectedInstOperands,
     /*   41421 */     // GIR_Coverage, 64061,
     /*   41421 */     GIR_EraseRootFromParent_Done,
     /*   41422 */   // Label 1174: @41422
     /*   41422 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(41478), // Rule ID 64045 //
     /*   41427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   41430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41455 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   41459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41465 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   41468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41476 */     GIR_RootConstrainSelectedInstOperands,
     /*   41477 */     // GIR_Coverage, 64045,
     /*   41477 */     GIR_EraseRootFromParent_Done,
     /*   41478 */   // Label 1175: @41478
     /*   41478 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(41534), // Rule ID 2306 //
     /*   41483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   41486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41515 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   41519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41521 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   41524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41532 */     GIR_RootConstrainSelectedInstOperands,
     /*   41533 */     // GIR_Coverage, 2306,
     /*   41533 */     GIR_EraseRootFromParent_Done,
     /*   41534 */   // Label 1176: @41534
     /*   41534 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(41576), // Rule ID 80 //
     /*   41539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   41542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   41558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   41562 */     // MIs[1] Operand 1
     /*   41562 */     // No operand predicates
     /*   41562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41564 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   41564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*   41567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   41574 */     GIR_RootConstrainSelectedInstOperands,
     /*   41575 */     // GIR_Coverage, 80,
     /*   41575 */     GIR_EraseRootFromParent_Done,
     /*   41576 */   // Label 1177: @41576
     /*   41576 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(41603), // Rule ID 78 //
     /*   41581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   41584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41596 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*   41601 */     GIR_RootConstrainSelectedInstOperands,
     /*   41602 */     // GIR_Coverage, 78,
     /*   41602 */     GIR_Done,
     /*   41603 */   // Label 1178: @41603
     /*   41603 */   GIM_Reject,
     /*   41604 */ // Label 1150: @41604
     /*   41604 */ GIM_Reject,
     /*   41605 */ // Label 1095: @41605
     /*   41605 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(42215),
     /*   41610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41620 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(41686), // Rule ID 70115 //
     /*   41625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41667 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41684 */     GIR_RootConstrainSelectedInstOperands,
     /*   41685 */     // GIR_Coverage, 70115,
     /*   41685 */     GIR_EraseRootFromParent_Done,
     /*   41686 */   // Label 1180: @41686
     /*   41686 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(41752), // Rule ID 70116 //
     /*   41691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41750 */     GIR_RootConstrainSelectedInstOperands,
     /*   41751 */     // GIR_Coverage, 70116,
     /*   41751 */     GIR_EraseRootFromParent_Done,
     /*   41752 */   // Label 1181: @41752
     /*   41752 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(41818), // Rule ID 70113 //
     /*   41757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   41785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41799 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41816 */     GIR_RootConstrainSelectedInstOperands,
     /*   41817 */     // GIR_Coverage, 70113,
     /*   41817 */     GIR_EraseRootFromParent_Done,
     /*   41818 */   // Label 1182: @41818
     /*   41818 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(41884), // Rule ID 70114 //
     /*   41823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   41851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41865 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41882 */     GIR_RootConstrainSelectedInstOperands,
     /*   41883 */     // GIR_Coverage, 70114,
     /*   41883 */     GIR_EraseRootFromParent_Done,
     /*   41884 */   // Label 1183: @41884
     /*   41884 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(41950), // Rule ID 70111 //
     /*   41889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41931 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41948 */     GIR_RootConstrainSelectedInstOperands,
     /*   41949 */     // GIR_Coverage, 70111,
     /*   41949 */     GIR_EraseRootFromParent_Done,
     /*   41950 */   // Label 1184: @41950
     /*   41950 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(42016), // Rule ID 70112 //
     /*   41955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41997 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42014 */     GIR_RootConstrainSelectedInstOperands,
     /*   42015 */     // GIR_Coverage, 70112,
     /*   42015 */     GIR_EraseRootFromParent_Done,
     /*   42016 */   // Label 1185: @42016
     /*   42016 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(42082), // Rule ID 52628 //
     /*   42021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   42040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   42044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42063 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42080 */     GIR_RootConstrainSelectedInstOperands,
     /*   42081 */     // GIR_Coverage, 52628,
     /*   42081 */     GIR_EraseRootFromParent_Done,
     /*   42082 */   // Label 1186: @42082
     /*   42082 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(42148), // Rule ID 52629 //
     /*   42087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   42106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   42110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42129 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42146 */     GIR_RootConstrainSelectedInstOperands,
     /*   42147 */     // GIR_Coverage, 52629,
     /*   42147 */     GIR_EraseRootFromParent_Done,
     /*   42148 */   // Label 1187: @42148
     /*   42148 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(42181), // Rule ID 52616 //
     /*   42153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42164 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*   42167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42179 */     GIR_RootConstrainSelectedInstOperands,
     /*   42180 */     // GIR_Coverage, 52616,
     /*   42180 */     GIR_EraseRootFromParent_Done,
     /*   42181 */   // Label 1188: @42181
     /*   42181 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(42214), // Rule ID 52617 //
     /*   42186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42197 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*   42200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42212 */     GIR_RootConstrainSelectedInstOperands,
     /*   42213 */     // GIR_Coverage, 52617,
     /*   42213 */     GIR_EraseRootFromParent_Done,
     /*   42214 */   // Label 1189: @42214
     /*   42214 */   GIM_Reject,
     /*   42215 */ // Label 1179: @42215
     /*   42215 */ GIM_Reject,
     /*   42216 */ // Label 1096: @42216
     /*   42216 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(42330),
     /*   42221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   42224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   42227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42239 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(42284), // Rule ID 47238 //
     /*   42244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42247 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   42250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42282 */     GIR_RootConstrainSelectedInstOperands,
     /*   42283 */     // GIR_Coverage, 47238,
     /*   42283 */     GIR_EraseRootFromParent_Done,
     /*   42284 */   // Label 1191: @42284
     /*   42284 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(42329), // Rule ID 47239 //
     /*   42289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42292 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   42295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*   42309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42327 */     GIR_RootConstrainSelectedInstOperands,
     /*   42328 */     // GIR_Coverage, 47239,
     /*   42328 */     GIR_EraseRootFromParent_Done,
     /*   42329 */   // Label 1192: @42329
     /*   42329 */   GIM_Reject,
     /*   42330 */ // Label 1190: @42330
     /*   42330 */ GIM_Reject,
     /*   42331 */ // Label 1097: @42331
     /*   42331 */ GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(42445),
     /*   42336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   42339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   42342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42354 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(42399), // Rule ID 47250 //
     /*   42359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42362 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   42365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   42379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42397 */     GIR_RootConstrainSelectedInstOperands,
     /*   42398 */     // GIR_Coverage, 47250,
     /*   42398 */     GIR_EraseRootFromParent_Done,
     /*   42399 */   // Label 1194: @42399
     /*   42399 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(42444), // Rule ID 47251 //
     /*   42404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42407 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   42410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   42424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42442 */     GIR_RootConstrainSelectedInstOperands,
     /*   42443 */     // GIR_Coverage, 47251,
     /*   42443 */     GIR_EraseRootFromParent_Done,
     /*   42444 */   // Label 1195: @42444
     /*   42444 */   GIM_Reject,
     /*   42445 */ // Label 1193: @42445
     /*   42445 */ GIM_Reject,
     /*   42446 */ // Label 1098: @42446
     /*   42446 */ GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(42560),
     /*   42451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   42454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   42457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42469 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(42514), // Rule ID 47258 //
     /*   42474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42477 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   42477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   42480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   42494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42512 */     GIR_RootConstrainSelectedInstOperands,
     /*   42513 */     // GIR_Coverage, 47258,
     /*   42513 */     GIR_EraseRootFromParent_Done,
     /*   42514 */   // Label 1197: @42514
     /*   42514 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(42559), // Rule ID 47259 //
     /*   42519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42522 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   42522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   42525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   42539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42557 */     GIR_RootConstrainSelectedInstOperands,
     /*   42558 */     // GIR_Coverage, 47259,
     /*   42558 */     GIR_EraseRootFromParent_Done,
     /*   42559 */   // Label 1198: @42559
     /*   42559 */   GIM_Reject,
     /*   42560 */ // Label 1196: @42560
     /*   42560 */ GIM_Reject,
     /*   42561 */ // Label 1099: @42561
     /*   42561 */ GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(42675),
     /*   42566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   42569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   42572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42584 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(42629), // Rule ID 47274 //
     /*   42589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   42592 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   42592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   42595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   42609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   42624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42627 */     GIR_RootConstrainSelectedInstOperands,
     /*   42628 */     // GIR_Coverage, 47274,
     /*   42628 */     GIR_EraseRootFromParent_Done,
     /*   42629 */   // Label 1200: @42629
     /*   42629 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(42674), // Rule ID 47275 //
     /*   42634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   42637 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   42637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   42640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   42654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   42669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42672 */     GIR_RootConstrainSelectedInstOperands,
     /*   42673 */     // GIR_Coverage, 47275,
     /*   42673 */     GIR_EraseRootFromParent_Done,
     /*   42674 */   // Label 1201: @42674
     /*   42674 */   GIM_Reject,
     /*   42675 */ // Label 1199: @42675
     /*   42675 */ GIM_Reject,
     /*   42676 */ // Label 1100: @42676
     /*   42676 */ GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(43286),
     /*   42681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42691 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(42757), // Rule ID 70143 //
     /*   42696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42738 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42755 */     GIR_RootConstrainSelectedInstOperands,
     /*   42756 */     // GIR_Coverage, 70143,
     /*   42756 */     GIR_EraseRootFromParent_Done,
     /*   42757 */   // Label 1203: @42757
     /*   42757 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(42823), // Rule ID 70144 //
     /*   42762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42804 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42821 */     GIR_RootConstrainSelectedInstOperands,
     /*   42822 */     // GIR_Coverage, 70144,
     /*   42822 */     GIR_EraseRootFromParent_Done,
     /*   42823 */   // Label 1204: @42823
     /*   42823 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(42889), // Rule ID 70141 //
     /*   42828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42870 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42887 */     GIR_RootConstrainSelectedInstOperands,
     /*   42888 */     // GIR_Coverage, 70141,
     /*   42888 */     GIR_EraseRootFromParent_Done,
     /*   42889 */   // Label 1205: @42889
     /*   42889 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(42955), // Rule ID 70142 //
     /*   42894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42936 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42953 */     GIR_RootConstrainSelectedInstOperands,
     /*   42954 */     // GIR_Coverage, 70142,
     /*   42954 */     GIR_EraseRootFromParent_Done,
     /*   42955 */   // Label 1206: @42955
     /*   42955 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(43021), // Rule ID 70139 //
     /*   42960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43002 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43019 */     GIR_RootConstrainSelectedInstOperands,
     /*   43020 */     // GIR_Coverage, 70139,
     /*   43020 */     GIR_EraseRootFromParent_Done,
     /*   43021 */   // Label 1207: @43021
     /*   43021 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(43087), // Rule ID 70140 //
     /*   43026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43068 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43085 */     GIR_RootConstrainSelectedInstOperands,
     /*   43086 */     // GIR_Coverage, 70140,
     /*   43086 */     GIR_EraseRootFromParent_Done,
     /*   43087 */   // Label 1208: @43087
     /*   43087 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(43153), // Rule ID 52646 //
     /*   43092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43134 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43151 */     GIR_RootConstrainSelectedInstOperands,
     /*   43152 */     // GIR_Coverage, 52646,
     /*   43152 */     GIR_EraseRootFromParent_Done,
     /*   43153 */   // Label 1209: @43153
     /*   43153 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(43219), // Rule ID 52647 //
     /*   43158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43200 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43217 */     GIR_RootConstrainSelectedInstOperands,
     /*   43218 */     // GIR_Coverage, 52647,
     /*   43218 */     GIR_EraseRootFromParent_Done,
     /*   43219 */   // Label 1210: @43219
     /*   43219 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(43252), // Rule ID 52634 //
     /*   43224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43235 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*   43238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43250 */     GIR_RootConstrainSelectedInstOperands,
     /*   43251 */     // GIR_Coverage, 52634,
     /*   43251 */     GIR_EraseRootFromParent_Done,
     /*   43252 */   // Label 1211: @43252
     /*   43252 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(43285), // Rule ID 52635 //
     /*   43257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43268 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*   43271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43283 */     GIR_RootConstrainSelectedInstOperands,
     /*   43284 */     // GIR_Coverage, 52635,
     /*   43284 */     GIR_EraseRootFromParent_Done,
     /*   43285 */   // Label 1212: @43285
     /*   43285 */   GIM_Reject,
     /*   43286 */ // Label 1202: @43286
     /*   43286 */ GIM_Reject,
     /*   43287 */ // Label 1101: @43287
     /*   43287 */ GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(43401),
     /*   43292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   43295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   43298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43310 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(43355), // Rule ID 47242 //
     /*   43315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43318 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   43321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   43335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43353 */     GIR_RootConstrainSelectedInstOperands,
     /*   43354 */     // GIR_Coverage, 47242,
     /*   43354 */     GIR_EraseRootFromParent_Done,
     /*   43355 */   // Label 1214: @43355
     /*   43355 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(43400), // Rule ID 47243 //
     /*   43360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43363 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   43366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   43380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43398 */     GIR_RootConstrainSelectedInstOperands,
     /*   43399 */     // GIR_Coverage, 47243,
     /*   43399 */     GIR_EraseRootFromParent_Done,
     /*   43400 */   // Label 1215: @43400
     /*   43400 */   GIM_Reject,
     /*   43401 */ // Label 1213: @43401
     /*   43401 */ GIM_Reject,
     /*   43402 */ // Label 1102: @43402
     /*   43402 */ GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(43516),
     /*   43407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   43410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   43413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43425 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(43470), // Rule ID 47254 //
     /*   43430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43433 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   43433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   43436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   43450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43468 */     GIR_RootConstrainSelectedInstOperands,
     /*   43469 */     // GIR_Coverage, 47254,
     /*   43469 */     GIR_EraseRootFromParent_Done,
     /*   43470 */   // Label 1217: @43470
     /*   43470 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(43515), // Rule ID 47255 //
     /*   43475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43478 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   43478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   43481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   43495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43513 */     GIR_RootConstrainSelectedInstOperands,
     /*   43514 */     // GIR_Coverage, 47255,
     /*   43514 */     GIR_EraseRootFromParent_Done,
     /*   43515 */   // Label 1218: @43515
     /*   43515 */   GIM_Reject,
     /*   43516 */ // Label 1216: @43516
     /*   43516 */ GIM_Reject,
     /*   43517 */ // Label 1103: @43517
     /*   43517 */ GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(43631),
     /*   43522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   43525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   43528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43540 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(43585), // Rule ID 47270 //
     /*   43545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43548 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   43551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   43565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43583 */     GIR_RootConstrainSelectedInstOperands,
     /*   43584 */     // GIR_Coverage, 47270,
     /*   43584 */     GIR_EraseRootFromParent_Done,
     /*   43585 */   // Label 1220: @43585
     /*   43585 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(43630), // Rule ID 47271 //
     /*   43590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43593 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   43596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   43610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43628 */     GIR_RootConstrainSelectedInstOperands,
     /*   43629 */     // GIR_Coverage, 47271,
     /*   43629 */     GIR_EraseRootFromParent_Done,
     /*   43630 */   // Label 1221: @43630
     /*   43630 */   GIM_Reject,
     /*   43631 */ // Label 1219: @43631
     /*   43631 */ GIM_Reject,
     /*   43632 */ // Label 1104: @43632
     /*   43632 */ GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(43746),
     /*   43637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   43640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   43643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43655 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(43700), // Rule ID 47314 //
     /*   43660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   43663 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   43663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   43666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   43680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   43695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43698 */     GIR_RootConstrainSelectedInstOperands,
     /*   43699 */     // GIR_Coverage, 47314,
     /*   43699 */     GIR_EraseRootFromParent_Done,
     /*   43700 */   // Label 1223: @43700
     /*   43700 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(43745), // Rule ID 47315 //
     /*   43705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   43708 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   43708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   43711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   43725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   43740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43743 */     GIR_RootConstrainSelectedInstOperands,
     /*   43744 */     // GIR_Coverage, 47315,
     /*   43744 */     GIR_EraseRootFromParent_Done,
     /*   43745 */   // Label 1224: @43745
     /*   43745 */   GIM_Reject,
     /*   43746 */ // Label 1222: @43746
     /*   43746 */ GIM_Reject,
     /*   43747 */ // Label 1105: @43747
     /*   43747 */ GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(44357),
     /*   43752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43762 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(43828), // Rule ID 70171 //
     /*   43767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43809 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43826 */     GIR_RootConstrainSelectedInstOperands,
     /*   43827 */     // GIR_Coverage, 70171,
     /*   43827 */     GIR_EraseRootFromParent_Done,
     /*   43828 */   // Label 1226: @43828
     /*   43828 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(43894), // Rule ID 70172 //
     /*   43833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43875 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43892 */     GIR_RootConstrainSelectedInstOperands,
     /*   43893 */     // GIR_Coverage, 70172,
     /*   43893 */     GIR_EraseRootFromParent_Done,
     /*   43894 */   // Label 1227: @43894
     /*   43894 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(43960), // Rule ID 70169 //
     /*   43899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43941 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43958 */     GIR_RootConstrainSelectedInstOperands,
     /*   43959 */     // GIR_Coverage, 70169,
     /*   43959 */     GIR_EraseRootFromParent_Done,
     /*   43960 */   // Label 1228: @43960
     /*   43960 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(44026), // Rule ID 70170 //
     /*   43965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44007 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44024 */     GIR_RootConstrainSelectedInstOperands,
     /*   44025 */     // GIR_Coverage, 70170,
     /*   44025 */     GIR_EraseRootFromParent_Done,
     /*   44026 */   // Label 1229: @44026
     /*   44026 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(44092), // Rule ID 70167 //
     /*   44031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44073 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44090 */     GIR_RootConstrainSelectedInstOperands,
     /*   44091 */     // GIR_Coverage, 70167,
     /*   44091 */     GIR_EraseRootFromParent_Done,
     /*   44092 */   // Label 1230: @44092
     /*   44092 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(44158), // Rule ID 70168 //
     /*   44097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44139 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44156 */     GIR_RootConstrainSelectedInstOperands,
     /*   44157 */     // GIR_Coverage, 70168,
     /*   44157 */     GIR_EraseRootFromParent_Done,
     /*   44158 */   // Label 1231: @44158
     /*   44158 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(44224), // Rule ID 52664 //
     /*   44163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44205 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44222 */     GIR_RootConstrainSelectedInstOperands,
     /*   44223 */     // GIR_Coverage, 52664,
     /*   44223 */     GIR_EraseRootFromParent_Done,
     /*   44224 */   // Label 1232: @44224
     /*   44224 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(44290), // Rule ID 52665 //
     /*   44229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44271 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44288 */     GIR_RootConstrainSelectedInstOperands,
     /*   44289 */     // GIR_Coverage, 52665,
     /*   44289 */     GIR_EraseRootFromParent_Done,
     /*   44290 */   // Label 1233: @44290
     /*   44290 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(44323), // Rule ID 52652 //
     /*   44295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44306 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44321 */     GIR_RootConstrainSelectedInstOperands,
     /*   44322 */     // GIR_Coverage, 52652,
     /*   44322 */     GIR_EraseRootFromParent_Done,
     /*   44323 */   // Label 1234: @44323
     /*   44323 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(44356), // Rule ID 52653 //
     /*   44328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44339 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*   44342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44354 */     GIR_RootConstrainSelectedInstOperands,
     /*   44355 */     // GIR_Coverage, 52653,
     /*   44355 */     GIR_EraseRootFromParent_Done,
     /*   44356 */   // Label 1235: @44356
     /*   44356 */   GIM_Reject,
     /*   44357 */ // Label 1225: @44357
     /*   44357 */ GIM_Reject,
     /*   44358 */ // Label 1106: @44358
     /*   44358 */ GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(44472),
     /*   44363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   44366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   44369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44381 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(44426), // Rule ID 47246 //
     /*   44386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44389 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   44389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   44392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   44406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 47246,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 1237: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(44471), // Rule ID 47247 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44434 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   44434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   44437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   44451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44469 */     GIR_RootConstrainSelectedInstOperands,
     /*   44470 */     // GIR_Coverage, 47247,
     /*   44470 */     GIR_EraseRootFromParent_Done,
     /*   44471 */   // Label 1238: @44471
     /*   44471 */   GIM_Reject,
     /*   44472 */ // Label 1236: @44472
     /*   44472 */ GIM_Reject,
     /*   44473 */ // Label 1107: @44473
     /*   44473 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(44587),
     /*   44478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   44481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   44484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44496 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(44541), // Rule ID 47266 //
     /*   44501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44504 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   44507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   44521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44539 */     GIR_RootConstrainSelectedInstOperands,
     /*   44540 */     // GIR_Coverage, 47266,
     /*   44540 */     GIR_EraseRootFromParent_Done,
     /*   44541 */   // Label 1240: @44541
     /*   44541 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(44586), // Rule ID 47267 //
     /*   44546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44549 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   44552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   44566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44584 */     GIR_RootConstrainSelectedInstOperands,
     /*   44585 */     // GIR_Coverage, 47267,
     /*   44585 */     GIR_EraseRootFromParent_Done,
     /*   44586 */   // Label 1241: @44586
     /*   44586 */   GIM_Reject,
     /*   44587 */ // Label 1239: @44587
     /*   44587 */ GIM_Reject,
     /*   44588 */ // Label 1108: @44588
     /*   44588 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(44702),
     /*   44593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   44596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   44599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44611 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(44656), // Rule ID 47302 //
     /*   44616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44619 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   44622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   44636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44654 */     GIR_RootConstrainSelectedInstOperands,
     /*   44655 */     // GIR_Coverage, 47302,
     /*   44655 */     GIR_EraseRootFromParent_Done,
     /*   44656 */   // Label 1243: @44656
     /*   44656 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(44701), // Rule ID 47303 //
     /*   44661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44664 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   44667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   44681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44699 */     GIR_RootConstrainSelectedInstOperands,
     /*   44700 */     // GIR_Coverage, 47303,
     /*   44700 */     GIR_EraseRootFromParent_Done,
     /*   44701 */   // Label 1244: @44701
     /*   44701 */   GIM_Reject,
     /*   44702 */ // Label 1242: @44702
     /*   44702 */ GIM_Reject,
     /*   44703 */ // Label 1109: @44703
     /*   44703 */ GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(44817),
     /*   44708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   44711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   44714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44726 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(44771), // Rule ID 47318 //
     /*   44731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   44734 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   44734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   44737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   44751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   44766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44769 */     GIR_RootConstrainSelectedInstOperands,
     /*   44770 */     // GIR_Coverage, 47318,
     /*   44770 */     GIR_EraseRootFromParent_Done,
     /*   44771 */   // Label 1246: @44771
     /*   44771 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(44816), // Rule ID 47319 //
     /*   44776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   44779 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   44779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   44782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   44796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   44811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44814 */     GIR_RootConstrainSelectedInstOperands,
     /*   44815 */     // GIR_Coverage, 47319,
     /*   44815 */     GIR_EraseRootFromParent_Done,
     /*   44816 */   // Label 1247: @44816
     /*   44816 */   GIM_Reject,
     /*   44817 */ // Label 1245: @44817
     /*   44817 */ GIM_Reject,
     /*   44818 */ // Label 1110: @44818
     /*   44818 */ GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(45428),
     /*   44823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44833 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(44899), // Rule ID 70199 //
     /*   44838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44880 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   44883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 70199,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 1249: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(44965), // Rule ID 70200 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44946 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   44949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44963 */     GIR_RootConstrainSelectedInstOperands,
     /*   44964 */     // GIR_Coverage, 70200,
     /*   44964 */     GIR_EraseRootFromParent_Done,
     /*   44965 */   // Label 1250: @44965
     /*   44965 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(45031), // Rule ID 70197 //
     /*   44970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45012 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45029 */     GIR_RootConstrainSelectedInstOperands,
     /*   45030 */     // GIR_Coverage, 70197,
     /*   45030 */     GIR_EraseRootFromParent_Done,
     /*   45031 */   // Label 1251: @45031
     /*   45031 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(45097), // Rule ID 70198 //
     /*   45036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45078 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45095 */     GIR_RootConstrainSelectedInstOperands,
     /*   45096 */     // GIR_Coverage, 70198,
     /*   45096 */     GIR_EraseRootFromParent_Done,
     /*   45097 */   // Label 1252: @45097
     /*   45097 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(45163), // Rule ID 70195 //
     /*   45102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45144 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45161 */     GIR_RootConstrainSelectedInstOperands,
     /*   45162 */     // GIR_Coverage, 70195,
     /*   45162 */     GIR_EraseRootFromParent_Done,
     /*   45163 */   // Label 1253: @45163
     /*   45163 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(45229), // Rule ID 70196 //
     /*   45168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45210 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45227 */     GIR_RootConstrainSelectedInstOperands,
     /*   45228 */     // GIR_Coverage, 70196,
     /*   45228 */     GIR_EraseRootFromParent_Done,
     /*   45229 */   // Label 1254: @45229
     /*   45229 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(45295), // Rule ID 52682 //
     /*   45234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45276 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45293 */     GIR_RootConstrainSelectedInstOperands,
     /*   45294 */     // GIR_Coverage, 52682,
     /*   45294 */     GIR_EraseRootFromParent_Done,
     /*   45295 */   // Label 1255: @45295
     /*   45295 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(45361), // Rule ID 52683 //
     /*   45300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45342 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45359 */     GIR_RootConstrainSelectedInstOperands,
     /*   45360 */     // GIR_Coverage, 52683,
     /*   45360 */     GIR_EraseRootFromParent_Done,
     /*   45361 */   // Label 1256: @45361
     /*   45361 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(45394), // Rule ID 52670 //
     /*   45366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45377 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*   45380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45392 */     GIR_RootConstrainSelectedInstOperands,
     /*   45393 */     // GIR_Coverage, 52670,
     /*   45393 */     GIR_EraseRootFromParent_Done,
     /*   45394 */   // Label 1257: @45394
     /*   45394 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(45427), // Rule ID 52671 //
     /*   45399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45410 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*   45413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45425 */     GIR_RootConstrainSelectedInstOperands,
     /*   45426 */     // GIR_Coverage, 52671,
     /*   45426 */     GIR_EraseRootFromParent_Done,
     /*   45427 */   // Label 1258: @45427
     /*   45427 */   GIM_Reject,
     /*   45428 */ // Label 1248: @45428
     /*   45428 */ GIM_Reject,
     /*   45429 */ // Label 1111: @45429
     /*   45429 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(45543),
     /*   45434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   45437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   45440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45452 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(45497), // Rule ID 47262 //
     /*   45457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45460 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   45460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   45463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   45477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45495 */     GIR_RootConstrainSelectedInstOperands,
     /*   45496 */     // GIR_Coverage, 47262,
     /*   45496 */     GIR_EraseRootFromParent_Done,
     /*   45497 */   // Label 1260: @45497
     /*   45497 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(45542), // Rule ID 47263 //
     /*   45502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45505 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   45505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   45508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   45522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45540 */     GIR_RootConstrainSelectedInstOperands,
     /*   45541 */     // GIR_Coverage, 47263,
     /*   45541 */     GIR_EraseRootFromParent_Done,
     /*   45542 */   // Label 1261: @45542
     /*   45542 */   GIM_Reject,
     /*   45543 */ // Label 1259: @45543
     /*   45543 */ GIM_Reject,
     /*   45544 */ // Label 1112: @45544
     /*   45544 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(45658),
     /*   45549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   45555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45567 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(45612), // Rule ID 47290 //
     /*   45572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45575 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   45575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   45578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   45592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45610 */     GIR_RootConstrainSelectedInstOperands,
     /*   45611 */     // GIR_Coverage, 47290,
     /*   45611 */     GIR_EraseRootFromParent_Done,
     /*   45612 */   // Label 1263: @45612
     /*   45612 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(45657), // Rule ID 47291 //
     /*   45617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45620 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   45620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   45623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   45637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45655 */     GIR_RootConstrainSelectedInstOperands,
     /*   45656 */     // GIR_Coverage, 47291,
     /*   45656 */     GIR_EraseRootFromParent_Done,
     /*   45657 */   // Label 1264: @45657
     /*   45657 */   GIM_Reject,
     /*   45658 */ // Label 1262: @45658
     /*   45658 */ GIM_Reject,
     /*   45659 */ // Label 1113: @45659
     /*   45659 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(45773),
     /*   45664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45682 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(45727), // Rule ID 47306 //
     /*   45687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45690 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   45707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45725 */     GIR_RootConstrainSelectedInstOperands,
     /*   45726 */     // GIR_Coverage, 47306,
     /*   45726 */     GIR_EraseRootFromParent_Done,
     /*   45727 */   // Label 1266: @45727
     /*   45727 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(45772), // Rule ID 47307 //
     /*   45732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45735 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   45752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45770 */     GIR_RootConstrainSelectedInstOperands,
     /*   45771 */     // GIR_Coverage, 47307,
     /*   45771 */     GIR_EraseRootFromParent_Done,
     /*   45772 */   // Label 1267: @45772
     /*   45772 */   GIM_Reject,
     /*   45773 */ // Label 1265: @45773
     /*   45773 */ GIM_Reject,
     /*   45774 */ // Label 1114: @45774
     /*   45774 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(45888),
     /*   45779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45797 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(45842), // Rule ID 47322 //
     /*   45802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45805 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   45805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   45822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45840 */     GIR_RootConstrainSelectedInstOperands,
     /*   45841 */     // GIR_Coverage, 47322,
     /*   45841 */     GIR_EraseRootFromParent_Done,
     /*   45842 */   // Label 1269: @45842
     /*   45842 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(45887), // Rule ID 47323 //
     /*   45847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45850 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   45850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   45867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45885 */     GIR_RootConstrainSelectedInstOperands,
     /*   45886 */     // GIR_Coverage, 47323,
     /*   45886 */     GIR_EraseRootFromParent_Done,
     /*   45887 */   // Label 1270: @45887
     /*   45887 */   GIM_Reject,
     /*   45888 */ // Label 1268: @45888
     /*   45888 */ GIM_Reject,
     /*   45889 */ // Label 1115: @45889
     /*   45889 */ GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(46499),
     /*   45894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45904 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(45970), // Rule ID 70227 //
     /*   45909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45951 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   45954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45968 */     GIR_RootConstrainSelectedInstOperands,
     /*   45969 */     // GIR_Coverage, 70227,
     /*   45969 */     GIR_EraseRootFromParent_Done,
     /*   45970 */   // Label 1272: @45970
     /*   45970 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(46036), // Rule ID 70228 //
     /*   45975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46017 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46034 */     GIR_RootConstrainSelectedInstOperands,
     /*   46035 */     // GIR_Coverage, 70228,
     /*   46035 */     GIR_EraseRootFromParent_Done,
     /*   46036 */   // Label 1273: @46036
     /*   46036 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(46102), // Rule ID 70225 //
     /*   46041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46083 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46100 */     GIR_RootConstrainSelectedInstOperands,
     /*   46101 */     // GIR_Coverage, 70225,
     /*   46101 */     GIR_EraseRootFromParent_Done,
     /*   46102 */   // Label 1274: @46102
     /*   46102 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(46168), // Rule ID 70226 //
     /*   46107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46149 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46166 */     GIR_RootConstrainSelectedInstOperands,
     /*   46167 */     // GIR_Coverage, 70226,
     /*   46167 */     GIR_EraseRootFromParent_Done,
     /*   46168 */   // Label 1275: @46168
     /*   46168 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(46234), // Rule ID 70223 //
     /*   46173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46215 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46232 */     GIR_RootConstrainSelectedInstOperands,
     /*   46233 */     // GIR_Coverage, 70223,
     /*   46233 */     GIR_EraseRootFromParent_Done,
     /*   46234 */   // Label 1276: @46234
     /*   46234 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(46300), // Rule ID 70224 //
     /*   46239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46281 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46298 */     GIR_RootConstrainSelectedInstOperands,
     /*   46299 */     // GIR_Coverage, 70224,
     /*   46299 */     GIR_EraseRootFromParent_Done,
     /*   46300 */   // Label 1277: @46300
     /*   46300 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(46366), // Rule ID 52700 //
     /*   46305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46347 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46364 */     GIR_RootConstrainSelectedInstOperands,
     /*   46365 */     // GIR_Coverage, 52700,
     /*   46365 */     GIR_EraseRootFromParent_Done,
     /*   46366 */   // Label 1278: @46366
     /*   46366 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(46432), // Rule ID 52701 //
     /*   46371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46413 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46430 */     GIR_RootConstrainSelectedInstOperands,
     /*   46431 */     // GIR_Coverage, 52701,
     /*   46431 */     GIR_EraseRootFromParent_Done,
     /*   46432 */   // Label 1279: @46432
     /*   46432 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(46465), // Rule ID 52688 //
     /*   46437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46448 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*   46451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46463 */     GIR_RootConstrainSelectedInstOperands,
     /*   46464 */     // GIR_Coverage, 52688,
     /*   46464 */     GIR_EraseRootFromParent_Done,
     /*   46465 */   // Label 1280: @46465
     /*   46465 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(46498), // Rule ID 52689 //
     /*   46470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46481 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*   46484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46496 */     GIR_RootConstrainSelectedInstOperands,
     /*   46497 */     // GIR_Coverage, 52689,
     /*   46497 */     GIR_EraseRootFromParent_Done,
     /*   46498 */   // Label 1281: @46498
     /*   46498 */   GIM_Reject,
     /*   46499 */ // Label 1271: @46499
     /*   46499 */ GIM_Reject,
     /*   46500 */ // Label 1116: @46500
     /*   46500 */ GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(46614),
     /*   46505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46523 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(46568), // Rule ID 47278 //
     /*   46528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46531 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   46548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46566 */     GIR_RootConstrainSelectedInstOperands,
     /*   46567 */     // GIR_Coverage, 47278,
     /*   46567 */     GIR_EraseRootFromParent_Done,
     /*   46568 */   // Label 1283: @46568
     /*   46568 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(46613), // Rule ID 47279 //
     /*   46573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46576 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   46593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46611 */     GIR_RootConstrainSelectedInstOperands,
     /*   46612 */     // GIR_Coverage, 47279,
     /*   46612 */     GIR_EraseRootFromParent_Done,
     /*   46613 */   // Label 1284: @46613
     /*   46613 */   GIM_Reject,
     /*   46614 */ // Label 1282: @46614
     /*   46614 */ GIM_Reject,
     /*   46615 */ // Label 1117: @46615
     /*   46615 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(46729),
     /*   46620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46638 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(46683), // Rule ID 47294 //
     /*   46643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46646 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   46649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   46663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46681 */     GIR_RootConstrainSelectedInstOperands,
     /*   46682 */     // GIR_Coverage, 47294,
     /*   46682 */     GIR_EraseRootFromParent_Done,
     /*   46683 */   // Label 1286: @46683
     /*   46683 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(46728), // Rule ID 47295 //
     /*   46688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46691 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   46694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   46708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46726 */     GIR_RootConstrainSelectedInstOperands,
     /*   46727 */     // GIR_Coverage, 47295,
     /*   46727 */     GIR_EraseRootFromParent_Done,
     /*   46728 */   // Label 1287: @46728
     /*   46728 */   GIM_Reject,
     /*   46729 */ // Label 1285: @46729
     /*   46729 */ GIM_Reject,
     /*   46730 */ // Label 1118: @46730
     /*   46730 */ GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(46844),
     /*   46735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   46738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   46741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46753 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(46798), // Rule ID 47310 //
     /*   46758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46761 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   46761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   46764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   46778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46796 */     GIR_RootConstrainSelectedInstOperands,
     /*   46797 */     // GIR_Coverage, 47310,
     /*   46797 */     GIR_EraseRootFromParent_Done,
     /*   46798 */   // Label 1289: @46798
     /*   46798 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(46843), // Rule ID 47311 //
     /*   46803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46806 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   46806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   46809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   46823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46841 */     GIR_RootConstrainSelectedInstOperands,
     /*   46842 */     // GIR_Coverage, 47311,
     /*   46842 */     GIR_EraseRootFromParent_Done,
     /*   46843 */   // Label 1290: @46843
     /*   46843 */   GIM_Reject,
     /*   46844 */ // Label 1288: @46844
     /*   46844 */ GIM_Reject,
     /*   46845 */ // Label 1119: @46845
     /*   46845 */ GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(47455),
     /*   46850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46860 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(46926), // Rule ID 70255 //
     /*   46865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46907 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   46910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46924 */     GIR_RootConstrainSelectedInstOperands,
     /*   46925 */     // GIR_Coverage, 70255,
     /*   46925 */     GIR_EraseRootFromParent_Done,
     /*   46926 */   // Label 1292: @46926
     /*   46926 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(46992), // Rule ID 70256 //
     /*   46931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46973 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   46976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46990 */     GIR_RootConstrainSelectedInstOperands,
     /*   46991 */     // GIR_Coverage, 70256,
     /*   46991 */     GIR_EraseRootFromParent_Done,
     /*   46992 */   // Label 1293: @46992
     /*   46992 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(47058), // Rule ID 70253 //
     /*   46997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47039 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47056 */     GIR_RootConstrainSelectedInstOperands,
     /*   47057 */     // GIR_Coverage, 70253,
     /*   47057 */     GIR_EraseRootFromParent_Done,
     /*   47058 */   // Label 1294: @47058
     /*   47058 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(47124), // Rule ID 70254 //
     /*   47063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47105 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47122 */     GIR_RootConstrainSelectedInstOperands,
     /*   47123 */     // GIR_Coverage, 70254,
     /*   47123 */     GIR_EraseRootFromParent_Done,
     /*   47124 */   // Label 1295: @47124
     /*   47124 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(47190), // Rule ID 70251 //
     /*   47129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47171 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47188 */     GIR_RootConstrainSelectedInstOperands,
     /*   47189 */     // GIR_Coverage, 70251,
     /*   47189 */     GIR_EraseRootFromParent_Done,
     /*   47190 */   // Label 1296: @47190
     /*   47190 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(47256), // Rule ID 70252 //
     /*   47195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47237 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47254 */     GIR_RootConstrainSelectedInstOperands,
     /*   47255 */     // GIR_Coverage, 70252,
     /*   47255 */     GIR_EraseRootFromParent_Done,
     /*   47256 */   // Label 1297: @47256
     /*   47256 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(47322), // Rule ID 52718 //
     /*   47261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47303 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47320 */     GIR_RootConstrainSelectedInstOperands,
     /*   47321 */     // GIR_Coverage, 52718,
     /*   47321 */     GIR_EraseRootFromParent_Done,
     /*   47322 */   // Label 1298: @47322
     /*   47322 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(47388), // Rule ID 52719 //
     /*   47327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47369 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47386 */     GIR_RootConstrainSelectedInstOperands,
     /*   47387 */     // GIR_Coverage, 52719,
     /*   47387 */     GIR_EraseRootFromParent_Done,
     /*   47388 */   // Label 1299: @47388
     /*   47388 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(47421), // Rule ID 52706 //
     /*   47393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47404 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*   47407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47419 */     GIR_RootConstrainSelectedInstOperands,
     /*   47420 */     // GIR_Coverage, 52706,
     /*   47420 */     GIR_EraseRootFromParent_Done,
     /*   47421 */   // Label 1300: @47421
     /*   47421 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(47454), // Rule ID 52707 //
     /*   47426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47437 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*   47440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47452 */     GIR_RootConstrainSelectedInstOperands,
     /*   47453 */     // GIR_Coverage, 52707,
     /*   47453 */     GIR_EraseRootFromParent_Done,
     /*   47454 */   // Label 1301: @47454
     /*   47454 */   GIM_Reject,
     /*   47455 */ // Label 1291: @47455
     /*   47455 */ GIM_Reject,
     /*   47456 */ // Label 1120: @47456
     /*   47456 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(47570),
     /*   47461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   47464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   47467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47479 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(47524), // Rule ID 47282 //
     /*   47484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47487 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   47487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   47490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   47504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47522 */     GIR_RootConstrainSelectedInstOperands,
     /*   47523 */     // GIR_Coverage, 47282,
     /*   47523 */     GIR_EraseRootFromParent_Done,
     /*   47524 */   // Label 1303: @47524
     /*   47524 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(47569), // Rule ID 47283 //
     /*   47529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47532 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   47532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   47535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   47549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47567 */     GIR_RootConstrainSelectedInstOperands,
     /*   47568 */     // GIR_Coverage, 47283,
     /*   47568 */     GIR_EraseRootFromParent_Done,
     /*   47569 */   // Label 1304: @47569
     /*   47569 */   GIM_Reject,
     /*   47570 */ // Label 1302: @47570
     /*   47570 */ GIM_Reject,
     /*   47571 */ // Label 1121: @47571
     /*   47571 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(47685),
     /*   47576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   47579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   47582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47594 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(47639), // Rule ID 47298 //
     /*   47599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47602 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   47602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   47605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   47619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47637 */     GIR_RootConstrainSelectedInstOperands,
     /*   47638 */     // GIR_Coverage, 47298,
     /*   47638 */     GIR_EraseRootFromParent_Done,
     /*   47639 */   // Label 1306: @47639
     /*   47639 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(47684), // Rule ID 47299 //
     /*   47644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47647 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   47647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   47650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   47664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47682 */     GIR_RootConstrainSelectedInstOperands,
     /*   47683 */     // GIR_Coverage, 47299,
     /*   47683 */     GIR_EraseRootFromParent_Done,
     /*   47684 */   // Label 1307: @47684
     /*   47684 */   GIM_Reject,
     /*   47685 */ // Label 1305: @47685
     /*   47685 */ GIM_Reject,
     /*   47686 */ // Label 1122: @47686
     /*   47686 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(48296),
     /*   47691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47701 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(47767), // Rule ID 70283 //
     /*   47706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47748 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47765 */     GIR_RootConstrainSelectedInstOperands,
     /*   47766 */     // GIR_Coverage, 70283,
     /*   47766 */     GIR_EraseRootFromParent_Done,
     /*   47767 */   // Label 1309: @47767
     /*   47767 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(47833), // Rule ID 70284 //
     /*   47772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47814 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47831 */     GIR_RootConstrainSelectedInstOperands,
     /*   47832 */     // GIR_Coverage, 70284,
     /*   47832 */     GIR_EraseRootFromParent_Done,
     /*   47833 */   // Label 1310: @47833
     /*   47833 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(47899), // Rule ID 70281 //
     /*   47838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47880 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47897 */     GIR_RootConstrainSelectedInstOperands,
     /*   47898 */     // GIR_Coverage, 70281,
     /*   47898 */     GIR_EraseRootFromParent_Done,
     /*   47899 */   // Label 1311: @47899
     /*   47899 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(47965), // Rule ID 70282 //
     /*   47904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47946 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47963 */     GIR_RootConstrainSelectedInstOperands,
     /*   47964 */     // GIR_Coverage, 70282,
     /*   47964 */     GIR_EraseRootFromParent_Done,
     /*   47965 */   // Label 1312: @47965
     /*   47965 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(48031), // Rule ID 70279 //
     /*   47970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   48005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48012 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48029 */     GIR_RootConstrainSelectedInstOperands,
     /*   48030 */     // GIR_Coverage, 70279,
     /*   48030 */     GIR_EraseRootFromParent_Done,
     /*   48031 */   // Label 1313: @48031
     /*   48031 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(48097), // Rule ID 70280 //
     /*   48036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   48071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48078 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48095 */     GIR_RootConstrainSelectedInstOperands,
     /*   48096 */     // GIR_Coverage, 70280,
     /*   48096 */     GIR_EraseRootFromParent_Done,
     /*   48097 */   // Label 1314: @48097
     /*   48097 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(48163), // Rule ID 52736 //
     /*   48102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   48134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   48142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48144 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48161 */     GIR_RootConstrainSelectedInstOperands,
     /*   48162 */     // GIR_Coverage, 52736,
     /*   48162 */     GIR_EraseRootFromParent_Done,
     /*   48163 */   // Label 1315: @48163
     /*   48163 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(48229), // Rule ID 52737 //
     /*   48168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   48200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   48208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48210 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48227 */     GIR_RootConstrainSelectedInstOperands,
     /*   48228 */     // GIR_Coverage, 52737,
     /*   48228 */     GIR_EraseRootFromParent_Done,
     /*   48229 */   // Label 1316: @48229
     /*   48229 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(48262), // Rule ID 52724 //
     /*   48234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48245 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*   48248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48260 */     GIR_RootConstrainSelectedInstOperands,
     /*   48261 */     // GIR_Coverage, 52724,
     /*   48261 */     GIR_EraseRootFromParent_Done,
     /*   48262 */   // Label 1317: @48262
     /*   48262 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(48295), // Rule ID 52725 //
     /*   48267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48278 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*   48281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48293 */     GIR_RootConstrainSelectedInstOperands,
     /*   48294 */     // GIR_Coverage, 52725,
     /*   48294 */     GIR_EraseRootFromParent_Done,
     /*   48295 */   // Label 1318: @48295
     /*   48295 */   GIM_Reject,
     /*   48296 */ // Label 1308: @48296
     /*   48296 */ GIM_Reject,
     /*   48297 */ // Label 1123: @48297
     /*   48297 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(48411),
     /*   48302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   48305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   48308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48320 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(48365), // Rule ID 47286 //
     /*   48325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48328 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   48331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   48345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48363 */     GIR_RootConstrainSelectedInstOperands,
     /*   48364 */     // GIR_Coverage, 47286,
     /*   48364 */     GIR_EraseRootFromParent_Done,
     /*   48365 */   // Label 1320: @48365
     /*   48365 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(48410), // Rule ID 47287 //
     /*   48370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48373 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   48376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   48390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48408 */     GIR_RootConstrainSelectedInstOperands,
     /*   48409 */     // GIR_Coverage, 47287,
     /*   48409 */     GIR_EraseRootFromParent_Done,
     /*   48410 */   // Label 1321: @48410
     /*   48410 */   GIM_Reject,
     /*   48411 */ // Label 1319: @48411
     /*   48411 */ GIM_Reject,
     /*   48412 */ // Label 1124: @48412
     /*   48412 */ GIM_Reject,
     /*   48413 */ // Label 9: @48413
     /*   48413 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1353*/ GIMT_Encode4(63207),
     /*   48424 */ /*GILLT_s32*//*Label 1322*/ GIMT_Encode4(48548),
     /*   48428 */ /*GILLT_s64*//*Label 1323*/ GIMT_Encode4(48974),
     /*   48432 */ /*GILLT_nxv1s1*//*Label 1324*/ GIMT_Encode4(49400),
     /*   48436 */ /*GILLT_nxv1s8*//*Label 1325*/ GIMT_Encode4(51011),
     /*   48440 */ /*GILLT_nxv1s16*//*Label 1326*/ GIMT_Encode4(51126),
     /*   48444 */ /*GILLT_nxv1s32*//*Label 1327*/ GIMT_Encode4(51241),
     /*   48448 */ /*GILLT_nxv1s64*//*Label 1328*/ GIMT_Encode4(51356),
     /*   48452 */ /*GILLT_nxv2s1*//*Label 1329*/ GIMT_Encode4(51471),
     /*   48456 */ /*GILLT_nxv2s8*//*Label 1330*/ GIMT_Encode4(53082),
     /*   48460 */ /*GILLT_nxv2s16*//*Label 1331*/ GIMT_Encode4(53197),
     /*   48464 */ /*GILLT_nxv2s32*//*Label 1332*/ GIMT_Encode4(53312),
     /*   48468 */ /*GILLT_nxv2s64*//*Label 1333*/ GIMT_Encode4(53427),
     /*   48472 */ /*GILLT_nxv4s1*//*Label 1334*/ GIMT_Encode4(53542),
     /*   48476 */ /*GILLT_nxv4s8*//*Label 1335*/ GIMT_Encode4(55153),
     /*   48480 */ /*GILLT_nxv4s16*//*Label 1336*/ GIMT_Encode4(55268),
     /*   48484 */ /*GILLT_nxv4s32*//*Label 1337*/ GIMT_Encode4(55383),
     /*   48488 */ /*GILLT_nxv4s64*//*Label 1338*/ GIMT_Encode4(55498),
     /*   48492 */ /*GILLT_nxv8s1*//*Label 1339*/ GIMT_Encode4(55613),
     /*   48496 */ /*GILLT_nxv8s8*//*Label 1340*/ GIMT_Encode4(57224),
     /*   48500 */ /*GILLT_nxv8s16*//*Label 1341*/ GIMT_Encode4(57339),
     /*   48504 */ /*GILLT_nxv8s32*//*Label 1342*/ GIMT_Encode4(57454),
     /*   48508 */ /*GILLT_nxv8s64*//*Label 1343*/ GIMT_Encode4(57569),
     /*   48512 */ /*GILLT_nxv16s1*//*Label 1344*/ GIMT_Encode4(57684),
     /*   48516 */ /*GILLT_nxv16s8*//*Label 1345*/ GIMT_Encode4(59295),
     /*   48520 */ /*GILLT_nxv16s16*//*Label 1346*/ GIMT_Encode4(59410),
     /*   48524 */ /*GILLT_nxv16s32*//*Label 1347*/ GIMT_Encode4(59525),
     /*   48528 */ /*GILLT_nxv32s1*//*Label 1348*/ GIMT_Encode4(59640),
     /*   48532 */ /*GILLT_nxv32s8*//*Label 1349*/ GIMT_Encode4(61251),
     /*   48536 */ /*GILLT_nxv32s16*//*Label 1350*/ GIMT_Encode4(61366),
     /*   48540 */ /*GILLT_nxv64s1*//*Label 1351*/ GIMT_Encode4(61481),
     /*   48544 */ /*GILLT_nxv64s8*//*Label 1352*/ GIMT_Encode4(63092),
     /*   48548 */ // Label 1322: @48548
     /*   48548 */ GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(48973),
     /*   48553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   48556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   48559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48563 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(48642), // Rule ID 2341 //
     /*   48568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48587 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*   48591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   48595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48604 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*   48604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   48607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   48611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   48622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   48632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48640 */     GIR_RootConstrainSelectedInstOperands,
     /*   48641 */     // GIR_Coverage, 2341,
     /*   48641 */     GIR_EraseRootFromParent_Done,
     /*   48642 */   // Label 1355: @48642
     /*   48642 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(48697), // Rule ID 2335 //
     /*   48647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48666 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   48670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48676 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48683 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   48686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   48690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48695 */     GIR_RootConstrainSelectedInstOperands,
     /*   48696 */     // GIR_Coverage, 2335,
     /*   48696 */     GIR_EraseRootFromParent_Done,
     /*   48697 */   // Label 1356: @48697
     /*   48697 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(48752), // Rule ID 64064 //
     /*   48702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48725 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   48729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48738 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   48741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48750 */     GIR_RootConstrainSelectedInstOperands,
     /*   48751 */     // GIR_Coverage, 64064,
     /*   48751 */     GIR_EraseRootFromParent_Done,
     /*   48752 */   // Label 1357: @48752
     /*   48752 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(48804), // Rule ID 64050 //
     /*   48757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48781 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   48785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48791 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48802 */     GIR_RootConstrainSelectedInstOperands,
     /*   48803 */     // GIR_Coverage, 64050,
     /*   48803 */     GIR_EraseRootFromParent_Done,
     /*   48804 */   // Label 1358: @48804
     /*   48804 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(48859), // Rule ID 64048 //
     /*   48809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   48842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48844 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48857 */     GIR_RootConstrainSelectedInstOperands,
     /*   48858 */     // GIR_Coverage, 64048,
     /*   48858 */     GIR_EraseRootFromParent_Done,
     /*   48859 */   // Label 1359: @48859
     /*   48859 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(48911), // Rule ID 2309 //
     /*   48864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48892 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   48896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48898 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48909 */     GIR_RootConstrainSelectedInstOperands,
     /*   48910 */     // GIR_Coverage, 2309,
     /*   48910 */     GIR_EraseRootFromParent_Done,
     /*   48911 */   // Label 1360: @48911
     /*   48911 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(48949), // Rule ID 89 //
     /*   48916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   48919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   48931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   48935 */     // MIs[1] Operand 1
     /*   48935 */     // No operand predicates
     /*   48935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48937 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   48937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*   48940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   48947 */     GIR_RootConstrainSelectedInstOperands,
     /*   48948 */     // GIR_Coverage, 89,
     /*   48948 */     GIR_EraseRootFromParent_Done,
     /*   48949 */   // Label 1361: @48949
     /*   48949 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(48972), // Rule ID 87 //
     /*   48954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   48957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48965 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*   48970 */     GIR_RootConstrainSelectedInstOperands,
     /*   48971 */     // GIR_Coverage, 87,
     /*   48971 */     GIR_Done,
     /*   48972 */   // Label 1362: @48972
     /*   48972 */   GIM_Reject,
     /*   48973 */ // Label 1354: @48973
     /*   48973 */ GIM_Reject,
     /*   48974 */ // Label 1323: @48974
     /*   48974 */ GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(49399),
     /*   48979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   48982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   48985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48989 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(49068), // Rule ID 2340 //
     /*   48994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   48997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49013 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*   49017 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   49021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49030 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*   49030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   49033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   49037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   49048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   49058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49066 */     GIR_RootConstrainSelectedInstOperands,
     /*   49067 */     // GIR_Coverage, 2340,
     /*   49067 */     GIR_EraseRootFromParent_Done,
     /*   49068 */   // Label 1364: @49068
     /*   49068 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(49123), // Rule ID 2334 //
     /*   49073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   49076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   49096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49109 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   49112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   49116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49121 */     GIR_RootConstrainSelectedInstOperands,
     /*   49122 */     // GIR_Coverage, 2334,
     /*   49122 */     GIR_EraseRootFromParent_Done,
     /*   49123 */   // Label 1365: @49123
     /*   49123 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(49178), // Rule ID 64063 //
     /*   49128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   49131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49151 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   49155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49164 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   49167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49176 */     GIR_RootConstrainSelectedInstOperands,
     /*   49177 */     // GIR_Coverage, 64063,
     /*   49177 */     GIR_EraseRootFromParent_Done,
     /*   49178 */   // Label 1366: @49178
     /*   49178 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(49230), // Rule ID 64049 //
     /*   49183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49207 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   49211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49217 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49228 */     GIR_RootConstrainSelectedInstOperands,
     /*   49229 */     // GIR_Coverage, 64049,
     /*   49229 */     GIR_EraseRootFromParent_Done,
     /*   49230 */   // Label 1367: @49230
     /*   49230 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(49285), // Rule ID 64047 //
     /*   49235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   49268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49270 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49283 */     GIR_RootConstrainSelectedInstOperands,
     /*   49284 */     // GIR_Coverage, 64047,
     /*   49284 */     GIR_EraseRootFromParent_Done,
     /*   49285 */   // Label 1368: @49285
     /*   49285 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(49337), // Rule ID 2308 //
     /*   49290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49318 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   49322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49324 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49335 */     GIR_RootConstrainSelectedInstOperands,
     /*   49336 */     // GIR_Coverage, 2308,
     /*   49336 */     GIR_EraseRootFromParent_Done,
     /*   49337 */   // Label 1369: @49337
     /*   49337 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(49375), // Rule ID 88 //
     /*   49342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   49345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   49357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   49361 */     // MIs[1] Operand 1
     /*   49361 */     // No operand predicates
     /*   49361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49363 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   49363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*   49366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   49373 */     GIR_RootConstrainSelectedInstOperands,
     /*   49374 */     // GIR_Coverage, 88,
     /*   49374 */     GIR_EraseRootFromParent_Done,
     /*   49375 */   // Label 1370: @49375
     /*   49375 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(49398), // Rule ID 86 //
     /*   49380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   49383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49391 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 86,
     /*   49397 */     GIR_Done,
     /*   49398 */   // Label 1371: @49398
     /*   49398 */   GIM_Reject,
     /*   49399 */ // Label 1363: @49399
     /*   49399 */ GIM_Reject,
     /*   49400 */ // Label 1324: @49400
     /*   49400 */ GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(51010),
     /*   49405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49415 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(49484), // Rule ID 52620 //
     /*   49420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   49431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49463 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   49466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49482 */     GIR_RootConstrainSelectedInstOperands,
     /*   49483 */     // GIR_Coverage, 52620,
     /*   49483 */     GIR_EraseRootFromParent_Done,
     /*   49484 */   // Label 1373: @49484
     /*   49484 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(49553), // Rule ID 52621 //
     /*   49489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   49500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49532 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   49535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49551 */     GIR_RootConstrainSelectedInstOperands,
     /*   49552 */     // GIR_Coverage, 52621,
     /*   49552 */     GIR_EraseRootFromParent_Done,
     /*   49553 */   // Label 1374: @49553
     /*   49553 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(49622), // Rule ID 52622 //
     /*   49558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   49569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49601 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   49604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49620 */     GIR_RootConstrainSelectedInstOperands,
     /*   49621 */     // GIR_Coverage, 52622,
     /*   49621 */     GIR_EraseRootFromParent_Done,
     /*   49622 */   // Label 1375: @49622
     /*   49622 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(49691), // Rule ID 52623 //
     /*   49627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   49638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49670 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   49673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49689 */     GIR_RootConstrainSelectedInstOperands,
     /*   49690 */     // GIR_Coverage, 52623,
     /*   49690 */     GIR_EraseRootFromParent_Done,
     /*   49691 */   // Label 1376: @49691
     /*   49691 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(49757), // Rule ID 70097 //
     /*   49696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49738 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   49747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49755 */     GIR_RootConstrainSelectedInstOperands,
     /*   49756 */     // GIR_Coverage, 70097,
     /*   49756 */     GIR_EraseRootFromParent_Done,
     /*   49757 */   // Label 1377: @49757
     /*   49757 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(49823), // Rule ID 70098 //
     /*   49762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49804 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   49813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49821 */     GIR_RootConstrainSelectedInstOperands,
     /*   49822 */     // GIR_Coverage, 70098,
     /*   49822 */     GIR_EraseRootFromParent_Done,
     /*   49823 */   // Label 1378: @49823
     /*   49823 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(49889), // Rule ID 70095 //
     /*   49828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   49856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49870 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49887 */     GIR_RootConstrainSelectedInstOperands,
     /*   49888 */     // GIR_Coverage, 70095,
     /*   49888 */     GIR_EraseRootFromParent_Done,
     /*   49889 */   // Label 1379: @49889
     /*   49889 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(49955), // Rule ID 70096 //
     /*   49894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   49922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49936 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49953 */     GIR_RootConstrainSelectedInstOperands,
     /*   49954 */     // GIR_Coverage, 70096,
     /*   49954 */     GIR_EraseRootFromParent_Done,
     /*   49955 */   // Label 1380: @49955
     /*   49955 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(50024), // Rule ID 52624 //
     /*   49960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50003 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   50016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50022 */     GIR_RootConstrainSelectedInstOperands,
     /*   50023 */     // GIR_Coverage, 52624,
     /*   50023 */     GIR_EraseRootFromParent_Done,
     /*   50024 */   // Label 1381: @50024
     /*   50024 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(50093), // Rule ID 52625 //
     /*   50029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50072 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   50085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50091 */     GIR_RootConstrainSelectedInstOperands,
     /*   50092 */     // GIR_Coverage, 52625,
     /*   50092 */     GIR_EraseRootFromParent_Done,
     /*   50093 */   // Label 1382: @50093
     /*   50093 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(50162), // Rule ID 70091 //
     /*   50098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   50121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50141 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50160 */     GIR_RootConstrainSelectedInstOperands,
     /*   50161 */     // GIR_Coverage, 70091,
     /*   50161 */     GIR_EraseRootFromParent_Done,
     /*   50162 */   // Label 1383: @50162
     /*   50162 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(50231), // Rule ID 70092 //
     /*   50167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   50190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50210 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50229 */     GIR_RootConstrainSelectedInstOperands,
     /*   50230 */     // GIR_Coverage, 70092,
     /*   50230 */     GIR_EraseRootFromParent_Done,
     /*   50231 */   // Label 1384: @50231
     /*   50231 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(50300), // Rule ID 70093 //
     /*   50236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   50259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50279 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50298 */     GIR_RootConstrainSelectedInstOperands,
     /*   50299 */     // GIR_Coverage, 70093,
     /*   50299 */     GIR_EraseRootFromParent_Done,
     /*   50300 */   // Label 1385: @50300
     /*   50300 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(50369), // Rule ID 70094 //
     /*   50305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   50328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50332 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50348 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   50351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50367 */     GIR_RootConstrainSelectedInstOperands,
     /*   50368 */     // GIR_Coverage, 70094,
     /*   50368 */     GIR_EraseRootFromParent_Done,
     /*   50369 */   // Label 1386: @50369
     /*   50369 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(50438), // Rule ID 70099 //
     /*   50374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50401 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50417 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50436 */     GIR_RootConstrainSelectedInstOperands,
     /*   50437 */     // GIR_Coverage, 70099,
     /*   50437 */     GIR_EraseRootFromParent_Done,
     /*   50438 */   // Label 1387: @50438
     /*   50438 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(50507), // Rule ID 70100 //
     /*   50443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50486 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50505 */     GIR_RootConstrainSelectedInstOperands,
     /*   50506 */     // GIR_Coverage, 70100,
     /*   50506 */     GIR_EraseRootFromParent_Done,
     /*   50507 */   // Label 1388: @50507
     /*   50507 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(50573), // Rule ID 70103 //
     /*   50512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50554 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   50563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50571 */     GIR_RootConstrainSelectedInstOperands,
     /*   50572 */     // GIR_Coverage, 70103,
     /*   50572 */     GIR_EraseRootFromParent_Done,
     /*   50573 */   // Label 1389: @50573
     /*   50573 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(50639), // Rule ID 70104 //
     /*   50578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50620 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   50629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50637 */     GIR_RootConstrainSelectedInstOperands,
     /*   50638 */     // GIR_Coverage, 70104,
     /*   50638 */     GIR_EraseRootFromParent_Done,
     /*   50639 */   // Label 1390: @50639
     /*   50639 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(50705), // Rule ID 70101 //
     /*   50644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   50676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50686 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50703 */     GIR_RootConstrainSelectedInstOperands,
     /*   50704 */     // GIR_Coverage, 70101,
     /*   50704 */     GIR_EraseRootFromParent_Done,
     /*   50705 */   // Label 1391: @50705
     /*   50705 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(50771), // Rule ID 70102 //
     /*   50710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   50742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50752 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50769 */     GIR_RootConstrainSelectedInstOperands,
     /*   50770 */     // GIR_Coverage, 70102,
     /*   50770 */     GIR_EraseRootFromParent_Done,
     /*   50771 */   // Label 1392: @50771
     /*   50771 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(50814), // Rule ID 70117 //
     /*   50776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50797 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50812 */     GIR_RootConstrainSelectedInstOperands,
     /*   50813 */     // GIR_Coverage, 70117,
     /*   50813 */     GIR_EraseRootFromParent_Done,
     /*   50814 */   // Label 1393: @50814
     /*   50814 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(50857), // Rule ID 70118 //
     /*   50819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50840 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50855 */     GIR_RootConstrainSelectedInstOperands,
     /*   50856 */     // GIR_Coverage, 70118,
     /*   50856 */     GIR_EraseRootFromParent_Done,
     /*   50857 */   // Label 1394: @50857
     /*   50857 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(50900), // Rule ID 52630 //
     /*   50862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50883 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50898 */     GIR_RootConstrainSelectedInstOperands,
     /*   50899 */     // GIR_Coverage, 52630,
     /*   50899 */     GIR_EraseRootFromParent_Done,
     /*   50900 */   // Label 1395: @50900
     /*   50900 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(50943), // Rule ID 52631 //
     /*   50905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50926 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50941 */     GIR_RootConstrainSelectedInstOperands,
     /*   50942 */     // GIR_Coverage, 52631,
     /*   50942 */     GIR_EraseRootFromParent_Done,
     /*   50943 */   // Label 1396: @50943
     /*   50943 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(50976), // Rule ID 52618 //
     /*   50948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50959 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*   50962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50974 */     GIR_RootConstrainSelectedInstOperands,
     /*   50975 */     // GIR_Coverage, 52618,
     /*   50975 */     GIR_EraseRootFromParent_Done,
     /*   50976 */   // Label 1397: @50976
     /*   50976 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(51009), // Rule ID 52619 //
     /*   50981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50992 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*   50995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51007 */     GIR_RootConstrainSelectedInstOperands,
     /*   51008 */     // GIR_Coverage, 52619,
     /*   51008 */     GIR_EraseRootFromParent_Done,
     /*   51009 */   // Label 1398: @51009
     /*   51009 */   GIM_Reject,
     /*   51010 */ // Label 1372: @51010
     /*   51010 */ GIM_Reject,
     /*   51011 */ // Label 1325: @51011
     /*   51011 */ GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(51125),
     /*   51016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   51019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   51022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51034 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(51079), // Rule ID 47370 //
     /*   51039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51042 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   51042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   51045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*   51059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51077 */     GIR_RootConstrainSelectedInstOperands,
     /*   51078 */     // GIR_Coverage, 47370,
     /*   51078 */     GIR_EraseRootFromParent_Done,
     /*   51079 */   // Label 1400: @51079
     /*   51079 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(51124), // Rule ID 47371 //
     /*   51084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51087 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   51087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   51090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*   51104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51122 */     GIR_RootConstrainSelectedInstOperands,
     /*   51123 */     // GIR_Coverage, 47371,
     /*   51123 */     GIR_EraseRootFromParent_Done,
     /*   51124 */   // Label 1401: @51124
     /*   51124 */   GIM_Reject,
     /*   51125 */ // Label 1399: @51125
     /*   51125 */ GIM_Reject,
     /*   51126 */ // Label 1326: @51126
     /*   51126 */ GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(51240),
     /*   51131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   51134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   51137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51149 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(51194), // Rule ID 47382 //
     /*   51154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51157 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   51160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   51174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51192 */     GIR_RootConstrainSelectedInstOperands,
     /*   51193 */     // GIR_Coverage, 47382,
     /*   51193 */     GIR_EraseRootFromParent_Done,
     /*   51194 */   // Label 1403: @51194
     /*   51194 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(51239), // Rule ID 47383 //
     /*   51199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51202 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   51205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   51219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51237 */     GIR_RootConstrainSelectedInstOperands,
     /*   51238 */     // GIR_Coverage, 47383,
     /*   51238 */     GIR_EraseRootFromParent_Done,
     /*   51239 */   // Label 1404: @51239
     /*   51239 */   GIM_Reject,
     /*   51240 */ // Label 1402: @51240
     /*   51240 */ GIM_Reject,
     /*   51241 */ // Label 1327: @51241
     /*   51241 */ GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(51355),
     /*   51246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   51249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   51252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51264 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(51309), // Rule ID 47390 //
     /*   51269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51272 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   51272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   51275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   51289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   51304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51307 */     GIR_RootConstrainSelectedInstOperands,
     /*   51308 */     // GIR_Coverage, 47390,
     /*   51308 */     GIR_EraseRootFromParent_Done,
     /*   51309 */   // Label 1406: @51309
     /*   51309 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(51354), // Rule ID 47391 //
     /*   51314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51317 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   51317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   51320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   51334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   51349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51352 */     GIR_RootConstrainSelectedInstOperands,
     /*   51353 */     // GIR_Coverage, 47391,
     /*   51353 */     GIR_EraseRootFromParent_Done,
     /*   51354 */   // Label 1407: @51354
     /*   51354 */   GIM_Reject,
     /*   51355 */ // Label 1405: @51355
     /*   51355 */ GIM_Reject,
     /*   51356 */ // Label 1328: @51356
     /*   51356 */ GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(51470),
     /*   51361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   51364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   51367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51379 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(51424), // Rule ID 47406 //
     /*   51384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   51387 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   51387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   51390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   51404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   51419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51422 */     GIR_RootConstrainSelectedInstOperands,
     /*   51423 */     // GIR_Coverage, 47406,
     /*   51423 */     GIR_EraseRootFromParent_Done,
     /*   51424 */   // Label 1409: @51424
     /*   51424 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(51469), // Rule ID 47407 //
     /*   51429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   51432 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   51432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   51435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   51449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   51464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51467 */     GIR_RootConstrainSelectedInstOperands,
     /*   51468 */     // GIR_Coverage, 47407,
     /*   51468 */     GIR_EraseRootFromParent_Done,
     /*   51469 */   // Label 1410: @51469
     /*   51469 */   GIM_Reject,
     /*   51470 */ // Label 1408: @51470
     /*   51470 */ GIM_Reject,
     /*   51471 */ // Label 1329: @51471
     /*   51471 */ GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(53081),
     /*   51476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51486 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(51555), // Rule ID 52638 //
     /*   51491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   51502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51534 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   51537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51553 */     GIR_RootConstrainSelectedInstOperands,
     /*   51554 */     // GIR_Coverage, 52638,
     /*   51554 */     GIR_EraseRootFromParent_Done,
     /*   51555 */   // Label 1412: @51555
     /*   51555 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(51624), // Rule ID 52639 //
     /*   51560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   51571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51603 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   51606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51622 */     GIR_RootConstrainSelectedInstOperands,
     /*   51623 */     // GIR_Coverage, 52639,
     /*   51623 */     GIR_EraseRootFromParent_Done,
     /*   51624 */   // Label 1413: @51624
     /*   51624 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(51693), // Rule ID 52640 //
     /*   51629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   51640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51672 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   51675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51691 */     GIR_RootConstrainSelectedInstOperands,
     /*   51692 */     // GIR_Coverage, 52640,
     /*   51692 */     GIR_EraseRootFromParent_Done,
     /*   51693 */   // Label 1414: @51693
     /*   51693 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(51762), // Rule ID 52641 //
     /*   51698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   51709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51741 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   51744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51760 */     GIR_RootConstrainSelectedInstOperands,
     /*   51761 */     // GIR_Coverage, 52641,
     /*   51761 */     GIR_EraseRootFromParent_Done,
     /*   51762 */   // Label 1415: @51762
     /*   51762 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(51828), // Rule ID 70125 //
     /*   51767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51809 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   51818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51826 */     GIR_RootConstrainSelectedInstOperands,
     /*   51827 */     // GIR_Coverage, 70125,
     /*   51827 */     GIR_EraseRootFromParent_Done,
     /*   51828 */   // Label 1416: @51828
     /*   51828 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(51894), // Rule ID 70126 //
     /*   51833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51875 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   51884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51892 */     GIR_RootConstrainSelectedInstOperands,
     /*   51893 */     // GIR_Coverage, 70126,
     /*   51893 */     GIR_EraseRootFromParent_Done,
     /*   51894 */   // Label 1417: @51894
     /*   51894 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(51960), // Rule ID 70123 //
     /*   51899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   51927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51941 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51958 */     GIR_RootConstrainSelectedInstOperands,
     /*   51959 */     // GIR_Coverage, 70123,
     /*   51959 */     GIR_EraseRootFromParent_Done,
     /*   51960 */   // Label 1418: @51960
     /*   51960 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(52026), // Rule ID 70124 //
     /*   51965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   51993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52007 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52024 */     GIR_RootConstrainSelectedInstOperands,
     /*   52025 */     // GIR_Coverage, 70124,
     /*   52025 */     GIR_EraseRootFromParent_Done,
     /*   52026 */   // Label 1419: @52026
     /*   52026 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(52095), // Rule ID 52642 //
     /*   52031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52074 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   52087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52093 */     GIR_RootConstrainSelectedInstOperands,
     /*   52094 */     // GIR_Coverage, 52642,
     /*   52094 */     GIR_EraseRootFromParent_Done,
     /*   52095 */   // Label 1420: @52095
     /*   52095 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(52164), // Rule ID 52643 //
     /*   52100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52143 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   52156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52162 */     GIR_RootConstrainSelectedInstOperands,
     /*   52163 */     // GIR_Coverage, 52643,
     /*   52163 */     GIR_EraseRootFromParent_Done,
     /*   52164 */   // Label 1421: @52164
     /*   52164 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(52233), // Rule ID 70119 //
     /*   52169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   52192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52196 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52212 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52231 */     GIR_RootConstrainSelectedInstOperands,
     /*   52232 */     // GIR_Coverage, 70119,
     /*   52232 */     GIR_EraseRootFromParent_Done,
     /*   52233 */   // Label 1422: @52233
     /*   52233 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(52302), // Rule ID 70120 //
     /*   52238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   52261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52281 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52300 */     GIR_RootConstrainSelectedInstOperands,
     /*   52301 */     // GIR_Coverage, 70120,
     /*   52301 */     GIR_EraseRootFromParent_Done,
     /*   52302 */   // Label 1423: @52302
     /*   52302 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(52371), // Rule ID 70121 //
     /*   52307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   52330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52334 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52350 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   52353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52369 */     GIR_RootConstrainSelectedInstOperands,
     /*   52370 */     // GIR_Coverage, 70121,
     /*   52370 */     GIR_EraseRootFromParent_Done,
     /*   52371 */   // Label 1424: @52371
     /*   52371 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(52440), // Rule ID 70122 //
     /*   52376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   52399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52419 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   52422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52438 */     GIR_RootConstrainSelectedInstOperands,
     /*   52439 */     // GIR_Coverage, 70122,
     /*   52439 */     GIR_EraseRootFromParent_Done,
     /*   52440 */   // Label 1425: @52440
     /*   52440 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(52509), // Rule ID 70127 //
     /*   52445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52472 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52488 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52507 */     GIR_RootConstrainSelectedInstOperands,
     /*   52508 */     // GIR_Coverage, 70127,
     /*   52508 */     GIR_EraseRootFromParent_Done,
     /*   52509 */   // Label 1426: @52509
     /*   52509 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(52578), // Rule ID 70128 //
     /*   52514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52557 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52576 */     GIR_RootConstrainSelectedInstOperands,
     /*   52577 */     // GIR_Coverage, 70128,
     /*   52577 */     GIR_EraseRootFromParent_Done,
     /*   52578 */   // Label 1427: @52578
     /*   52578 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(52644), // Rule ID 70131 //
     /*   52583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52625 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   52634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52642 */     GIR_RootConstrainSelectedInstOperands,
     /*   52643 */     // GIR_Coverage, 70131,
     /*   52643 */     GIR_EraseRootFromParent_Done,
     /*   52644 */   // Label 1428: @52644
     /*   52644 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(52710), // Rule ID 70132 //
     /*   52649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52691 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   52700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52708 */     GIR_RootConstrainSelectedInstOperands,
     /*   52709 */     // GIR_Coverage, 70132,
     /*   52709 */     GIR_EraseRootFromParent_Done,
     /*   52710 */   // Label 1429: @52710
     /*   52710 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(52776), // Rule ID 70129 //
     /*   52715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   52747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52757 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52774 */     GIR_RootConstrainSelectedInstOperands,
     /*   52775 */     // GIR_Coverage, 70129,
     /*   52775 */     GIR_EraseRootFromParent_Done,
     /*   52776 */   // Label 1430: @52776
     /*   52776 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(52842), // Rule ID 70130 //
     /*   52781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   52813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52823 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52840 */     GIR_RootConstrainSelectedInstOperands,
     /*   52841 */     // GIR_Coverage, 70130,
     /*   52841 */     GIR_EraseRootFromParent_Done,
     /*   52842 */   // Label 1431: @52842
     /*   52842 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(52885), // Rule ID 70145 //
     /*   52847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52868 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52883 */     GIR_RootConstrainSelectedInstOperands,
     /*   52884 */     // GIR_Coverage, 70145,
     /*   52884 */     GIR_EraseRootFromParent_Done,
     /*   52885 */   // Label 1432: @52885
     /*   52885 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(52928), // Rule ID 70146 //
     /*   52890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52911 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52926 */     GIR_RootConstrainSelectedInstOperands,
     /*   52927 */     // GIR_Coverage, 70146,
     /*   52927 */     GIR_EraseRootFromParent_Done,
     /*   52928 */   // Label 1433: @52928
     /*   52928 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(52971), // Rule ID 52648 //
     /*   52933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52954 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52969 */     GIR_RootConstrainSelectedInstOperands,
     /*   52970 */     // GIR_Coverage, 52648,
     /*   52970 */     GIR_EraseRootFromParent_Done,
     /*   52971 */   // Label 1434: @52971
     /*   52971 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(53014), // Rule ID 52649 //
     /*   52976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52997 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   53000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   53004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   53006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53012 */     GIR_RootConstrainSelectedInstOperands,
     /*   53013 */     // GIR_Coverage, 52649,
     /*   53013 */     GIR_EraseRootFromParent_Done,
     /*   53014 */   // Label 1435: @53014
     /*   53014 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(53047), // Rule ID 52636 //
     /*   53019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53030 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*   53033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53045 */     GIR_RootConstrainSelectedInstOperands,
     /*   53046 */     // GIR_Coverage, 52636,
     /*   53046 */     GIR_EraseRootFromParent_Done,
     /*   53047 */   // Label 1436: @53047
     /*   53047 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(53080), // Rule ID 52637 //
     /*   53052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53063 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*   53066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53078 */     GIR_RootConstrainSelectedInstOperands,
     /*   53079 */     // GIR_Coverage, 52637,
     /*   53079 */     GIR_EraseRootFromParent_Done,
     /*   53080 */   // Label 1437: @53080
     /*   53080 */   GIM_Reject,
     /*   53081 */ // Label 1411: @53081
     /*   53081 */ GIM_Reject,
     /*   53082 */ // Label 1330: @53082
     /*   53082 */ GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(53196),
     /*   53087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   53090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   53093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53105 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(53150), // Rule ID 47374 //
     /*   53110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53113 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   53116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   53130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53148 */     GIR_RootConstrainSelectedInstOperands,
     /*   53149 */     // GIR_Coverage, 47374,
     /*   53149 */     GIR_EraseRootFromParent_Done,
     /*   53150 */   // Label 1439: @53150
     /*   53150 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(53195), // Rule ID 47375 //
     /*   53155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53158 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   53161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   53175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53193 */     GIR_RootConstrainSelectedInstOperands,
     /*   53194 */     // GIR_Coverage, 47375,
     /*   53194 */     GIR_EraseRootFromParent_Done,
     /*   53195 */   // Label 1440: @53195
     /*   53195 */   GIM_Reject,
     /*   53196 */ // Label 1438: @53196
     /*   53196 */ GIM_Reject,
     /*   53197 */ // Label 1331: @53197
     /*   53197 */ GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(53311),
     /*   53202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   53205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   53208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53220 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(53265), // Rule ID 47386 //
     /*   53225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53228 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   53228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   53231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   53245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53263 */     GIR_RootConstrainSelectedInstOperands,
     /*   53264 */     // GIR_Coverage, 47386,
     /*   53264 */     GIR_EraseRootFromParent_Done,
     /*   53265 */   // Label 1442: @53265
     /*   53265 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(53310), // Rule ID 47387 //
     /*   53270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53273 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   53273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   53276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   53290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53308 */     GIR_RootConstrainSelectedInstOperands,
     /*   53309 */     // GIR_Coverage, 47387,
     /*   53309 */     GIR_EraseRootFromParent_Done,
     /*   53310 */   // Label 1443: @53310
     /*   53310 */   GIM_Reject,
     /*   53311 */ // Label 1441: @53311
     /*   53311 */ GIM_Reject,
     /*   53312 */ // Label 1332: @53312
     /*   53312 */ GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(53426),
     /*   53317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   53320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   53323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53335 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(53380), // Rule ID 47402 //
     /*   53340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53343 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   53343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   53346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   53360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53378 */     GIR_RootConstrainSelectedInstOperands,
     /*   53379 */     // GIR_Coverage, 47402,
     /*   53379 */     GIR_EraseRootFromParent_Done,
     /*   53380 */   // Label 1445: @53380
     /*   53380 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(53425), // Rule ID 47403 //
     /*   53385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53388 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   53388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   53391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   53405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53423 */     GIR_RootConstrainSelectedInstOperands,
     /*   53424 */     // GIR_Coverage, 47403,
     /*   53424 */     GIR_EraseRootFromParent_Done,
     /*   53425 */   // Label 1446: @53425
     /*   53425 */   GIM_Reject,
     /*   53426 */ // Label 1444: @53426
     /*   53426 */ GIM_Reject,
     /*   53427 */ // Label 1333: @53427
     /*   53427 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(53541),
     /*   53432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   53435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   53438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53450 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(53495), // Rule ID 47446 //
     /*   53455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   53458 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   53458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   53461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   53475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   53490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53493 */     GIR_RootConstrainSelectedInstOperands,
     /*   53494 */     // GIR_Coverage, 47446,
     /*   53494 */     GIR_EraseRootFromParent_Done,
     /*   53495 */   // Label 1448: @53495
     /*   53495 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(53540), // Rule ID 47447 //
     /*   53500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   53503 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   53503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   53506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   53520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   53535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53538 */     GIR_RootConstrainSelectedInstOperands,
     /*   53539 */     // GIR_Coverage, 47447,
     /*   53539 */     GIR_EraseRootFromParent_Done,
     /*   53540 */   // Label 1449: @53540
     /*   53540 */   GIM_Reject,
     /*   53541 */ // Label 1447: @53541
     /*   53541 */ GIM_Reject,
     /*   53542 */ // Label 1334: @53542
     /*   53542 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(55152),
     /*   53547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53557 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(53626), // Rule ID 52656 //
     /*   53562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   53573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53605 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53624 */     GIR_RootConstrainSelectedInstOperands,
     /*   53625 */     // GIR_Coverage, 52656,
     /*   53625 */     GIR_EraseRootFromParent_Done,
     /*   53626 */   // Label 1451: @53626
     /*   53626 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(53695), // Rule ID 52657 //
     /*   53631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   53642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53674 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   53677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53693 */     GIR_RootConstrainSelectedInstOperands,
     /*   53694 */     // GIR_Coverage, 52657,
     /*   53694 */     GIR_EraseRootFromParent_Done,
     /*   53695 */   // Label 1452: @53695
     /*   53695 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(53764), // Rule ID 52658 //
     /*   53700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   53711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53743 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   53746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53762 */     GIR_RootConstrainSelectedInstOperands,
     /*   53763 */     // GIR_Coverage, 52658,
     /*   53763 */     GIR_EraseRootFromParent_Done,
     /*   53764 */   // Label 1453: @53764
     /*   53764 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(53833), // Rule ID 52659 //
     /*   53769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   53780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53812 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   53815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53831 */     GIR_RootConstrainSelectedInstOperands,
     /*   53832 */     // GIR_Coverage, 52659,
     /*   53832 */     GIR_EraseRootFromParent_Done,
     /*   53833 */   // Label 1454: @53833
     /*   53833 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(53899), // Rule ID 70153 //
     /*   53838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53880 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   53883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   53889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53897 */     GIR_RootConstrainSelectedInstOperands,
     /*   53898 */     // GIR_Coverage, 70153,
     /*   53898 */     GIR_EraseRootFromParent_Done,
     /*   53899 */   // Label 1455: @53899
     /*   53899 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(53965), // Rule ID 70154 //
     /*   53904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53946 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   53949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   53955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53963 */     GIR_RootConstrainSelectedInstOperands,
     /*   53964 */     // GIR_Coverage, 70154,
     /*   53964 */     GIR_EraseRootFromParent_Done,
     /*   53965 */   // Label 1456: @53965
     /*   53965 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(54031), // Rule ID 70151 //
     /*   53970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   53998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54012 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54029 */     GIR_RootConstrainSelectedInstOperands,
     /*   54030 */     // GIR_Coverage, 70151,
     /*   54030 */     GIR_EraseRootFromParent_Done,
     /*   54031 */   // Label 1457: @54031
     /*   54031 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(54097), // Rule ID 70152 //
     /*   54036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54078 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54095 */     GIR_RootConstrainSelectedInstOperands,
     /*   54096 */     // GIR_Coverage, 70152,
     /*   54096 */     GIR_EraseRootFromParent_Done,
     /*   54097 */   // Label 1458: @54097
     /*   54097 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(54166), // Rule ID 52660 //
     /*   54102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54145 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   54158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54164 */     GIR_RootConstrainSelectedInstOperands,
     /*   54165 */     // GIR_Coverage, 52660,
     /*   54165 */     GIR_EraseRootFromParent_Done,
     /*   54166 */   // Label 1459: @54166
     /*   54166 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(54235), // Rule ID 52661 //
     /*   54171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54214 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   54227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54233 */     GIR_RootConstrainSelectedInstOperands,
     /*   54234 */     // GIR_Coverage, 52661,
     /*   54234 */     GIR_EraseRootFromParent_Done,
     /*   54235 */   // Label 1460: @54235
     /*   54235 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(54304), // Rule ID 70147 //
     /*   54240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   54263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54267 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54283 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54302 */     GIR_RootConstrainSelectedInstOperands,
     /*   54303 */     // GIR_Coverage, 70147,
     /*   54303 */     GIR_EraseRootFromParent_Done,
     /*   54304 */   // Label 1461: @54304
     /*   54304 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(54373), // Rule ID 70148 //
     /*   54309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   54332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54336 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54352 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54371 */     GIR_RootConstrainSelectedInstOperands,
     /*   54372 */     // GIR_Coverage, 70148,
     /*   54372 */     GIR_EraseRootFromParent_Done,
     /*   54373 */   // Label 1462: @54373
     /*   54373 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(54442), // Rule ID 70149 //
     /*   54378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   54401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54421 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   54424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54440 */     GIR_RootConstrainSelectedInstOperands,
     /*   54441 */     // GIR_Coverage, 70149,
     /*   54441 */     GIR_EraseRootFromParent_Done,
     /*   54442 */   // Label 1463: @54442
     /*   54442 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(54511), // Rule ID 70150 //
     /*   54447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   54470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54490 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   54493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54509 */     GIR_RootConstrainSelectedInstOperands,
     /*   54510 */     // GIR_Coverage, 70150,
     /*   54510 */     GIR_EraseRootFromParent_Done,
     /*   54511 */   // Label 1464: @54511
     /*   54511 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(54580), // Rule ID 70155 //
     /*   54516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54559 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54578 */     GIR_RootConstrainSelectedInstOperands,
     /*   54579 */     // GIR_Coverage, 70155,
     /*   54579 */     GIR_EraseRootFromParent_Done,
     /*   54580 */   // Label 1465: @54580
     /*   54580 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(54649), // Rule ID 70156 //
     /*   54585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54628 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54647 */     GIR_RootConstrainSelectedInstOperands,
     /*   54648 */     // GIR_Coverage, 70156,
     /*   54648 */     GIR_EraseRootFromParent_Done,
     /*   54649 */   // Label 1466: @54649
     /*   54649 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(54715), // Rule ID 70159 //
     /*   54654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54696 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   54705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54713 */     GIR_RootConstrainSelectedInstOperands,
     /*   54714 */     // GIR_Coverage, 70159,
     /*   54714 */     GIR_EraseRootFromParent_Done,
     /*   54715 */   // Label 1467: @54715
     /*   54715 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(54781), // Rule ID 70160 //
     /*   54720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54762 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   54771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54779 */     GIR_RootConstrainSelectedInstOperands,
     /*   54780 */     // GIR_Coverage, 70160,
     /*   54780 */     GIR_EraseRootFromParent_Done,
     /*   54781 */   // Label 1468: @54781
     /*   54781 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(54847), // Rule ID 70157 //
     /*   54786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54828 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54845 */     GIR_RootConstrainSelectedInstOperands,
     /*   54846 */     // GIR_Coverage, 70157,
     /*   54846 */     GIR_EraseRootFromParent_Done,
     /*   54847 */   // Label 1469: @54847
     /*   54847 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(54913), // Rule ID 70158 //
     /*   54852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54894 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54911 */     GIR_RootConstrainSelectedInstOperands,
     /*   54912 */     // GIR_Coverage, 70158,
     /*   54912 */     GIR_EraseRootFromParent_Done,
     /*   54913 */   // Label 1470: @54913
     /*   54913 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(54956), // Rule ID 70173 //
     /*   54918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   54939 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54954 */     GIR_RootConstrainSelectedInstOperands,
     /*   54955 */     // GIR_Coverage, 70173,
     /*   54955 */     GIR_EraseRootFromParent_Done,
     /*   54956 */   // Label 1471: @54956
     /*   54956 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(54999), // Rule ID 70174 //
     /*   54961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   54982 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54997 */     GIR_RootConstrainSelectedInstOperands,
     /*   54998 */     // GIR_Coverage, 70174,
     /*   54998 */     GIR_EraseRootFromParent_Done,
     /*   54999 */   // Label 1472: @54999
     /*   54999 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(55042), // Rule ID 52666 //
     /*   55004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   55023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55025 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   55028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55040 */     GIR_RootConstrainSelectedInstOperands,
     /*   55041 */     // GIR_Coverage, 52666,
     /*   55041 */     GIR_EraseRootFromParent_Done,
     /*   55042 */   // Label 1473: @55042
     /*   55042 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(55085), // Rule ID 52667 //
     /*   55047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   55066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55068 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   55071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55083 */     GIR_RootConstrainSelectedInstOperands,
     /*   55084 */     // GIR_Coverage, 52667,
     /*   55084 */     GIR_EraseRootFromParent_Done,
     /*   55085 */   // Label 1474: @55085
     /*   55085 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(55118), // Rule ID 52654 //
     /*   55090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55101 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*   55104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55116 */     GIR_RootConstrainSelectedInstOperands,
     /*   55117 */     // GIR_Coverage, 52654,
     /*   55117 */     GIR_EraseRootFromParent_Done,
     /*   55118 */   // Label 1475: @55118
     /*   55118 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(55151), // Rule ID 52655 //
     /*   55123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55134 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*   55137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55149 */     GIR_RootConstrainSelectedInstOperands,
     /*   55150 */     // GIR_Coverage, 52655,
     /*   55150 */     GIR_EraseRootFromParent_Done,
     /*   55151 */   // Label 1476: @55151
     /*   55151 */   GIM_Reject,
     /*   55152 */ // Label 1450: @55152
     /*   55152 */ GIM_Reject,
     /*   55153 */ // Label 1335: @55153
     /*   55153 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(55267),
     /*   55158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   55161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   55164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55176 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(55221), // Rule ID 47378 //
     /*   55181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55184 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   55187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   55201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55219 */     GIR_RootConstrainSelectedInstOperands,
     /*   55220 */     // GIR_Coverage, 47378,
     /*   55220 */     GIR_EraseRootFromParent_Done,
     /*   55221 */   // Label 1478: @55221
     /*   55221 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(55266), // Rule ID 47379 //
     /*   55226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55229 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   55232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   55246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55264 */     GIR_RootConstrainSelectedInstOperands,
     /*   55265 */     // GIR_Coverage, 47379,
     /*   55265 */     GIR_EraseRootFromParent_Done,
     /*   55266 */   // Label 1479: @55266
     /*   55266 */   GIM_Reject,
     /*   55267 */ // Label 1477: @55267
     /*   55267 */ GIM_Reject,
     /*   55268 */ // Label 1336: @55268
     /*   55268 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(55382),
     /*   55273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   55276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   55279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55291 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(55336), // Rule ID 47398 //
     /*   55296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55299 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   55302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   55316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55334 */     GIR_RootConstrainSelectedInstOperands,
     /*   55335 */     // GIR_Coverage, 47398,
     /*   55335 */     GIR_EraseRootFromParent_Done,
     /*   55336 */   // Label 1481: @55336
     /*   55336 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(55381), // Rule ID 47399 //
     /*   55341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55344 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   55347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   55361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55379 */     GIR_RootConstrainSelectedInstOperands,
     /*   55380 */     // GIR_Coverage, 47399,
     /*   55380 */     GIR_EraseRootFromParent_Done,
     /*   55381 */   // Label 1482: @55381
     /*   55381 */   GIM_Reject,
     /*   55382 */ // Label 1480: @55382
     /*   55382 */ GIM_Reject,
     /*   55383 */ // Label 1337: @55383
     /*   55383 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(55497),
     /*   55388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   55391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   55394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55406 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(55451), // Rule ID 47434 //
     /*   55411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55414 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   55414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   55417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   55431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   55446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55449 */     GIR_RootConstrainSelectedInstOperands,
     /*   55450 */     // GIR_Coverage, 47434,
     /*   55450 */     GIR_EraseRootFromParent_Done,
     /*   55451 */   // Label 1484: @55451
     /*   55451 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(55496), // Rule ID 47435 //
     /*   55456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55459 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   55459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   55462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   55476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   55491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55494 */     GIR_RootConstrainSelectedInstOperands,
     /*   55495 */     // GIR_Coverage, 47435,
     /*   55495 */     GIR_EraseRootFromParent_Done,
     /*   55496 */   // Label 1485: @55496
     /*   55496 */   GIM_Reject,
     /*   55497 */ // Label 1483: @55497
     /*   55497 */ GIM_Reject,
     /*   55498 */ // Label 1338: @55498
     /*   55498 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(55612),
     /*   55503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   55506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   55509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55521 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(55566), // Rule ID 47450 //
     /*   55526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   55529 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   55529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   55532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   55546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   55561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55564 */     GIR_RootConstrainSelectedInstOperands,
     /*   55565 */     // GIR_Coverage, 47450,
     /*   55565 */     GIR_EraseRootFromParent_Done,
     /*   55566 */   // Label 1487: @55566
     /*   55566 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(55611), // Rule ID 47451 //
     /*   55571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   55574 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   55574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   55577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   55591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   55606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55609 */     GIR_RootConstrainSelectedInstOperands,
     /*   55610 */     // GIR_Coverage, 47451,
     /*   55610 */     GIR_EraseRootFromParent_Done,
     /*   55611 */   // Label 1488: @55611
     /*   55611 */   GIM_Reject,
     /*   55612 */ // Label 1486: @55612
     /*   55612 */ GIM_Reject,
     /*   55613 */ // Label 1339: @55613
     /*   55613 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(57223),
     /*   55618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55628 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(55697), // Rule ID 52674 //
     /*   55633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   55644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55676 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   55679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55695 */     GIR_RootConstrainSelectedInstOperands,
     /*   55696 */     // GIR_Coverage, 52674,
     /*   55696 */     GIR_EraseRootFromParent_Done,
     /*   55697 */   // Label 1490: @55697
     /*   55697 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(55766), // Rule ID 52675 //
     /*   55702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   55713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   55743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55745 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   55748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55764 */     GIR_RootConstrainSelectedInstOperands,
     /*   55765 */     // GIR_Coverage, 52675,
     /*   55765 */     GIR_EraseRootFromParent_Done,
     /*   55766 */   // Label 1491: @55766
     /*   55766 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(55835), // Rule ID 52676 //
     /*   55771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   55782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55814 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   55817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55833 */     GIR_RootConstrainSelectedInstOperands,
     /*   55834 */     // GIR_Coverage, 52676,
     /*   55834 */     GIR_EraseRootFromParent_Done,
     /*   55835 */   // Label 1492: @55835
     /*   55835 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(55904), // Rule ID 52677 //
     /*   55840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   55851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   55881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55883 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   55886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55902 */     GIR_RootConstrainSelectedInstOperands,
     /*   55903 */     // GIR_Coverage, 52677,
     /*   55903 */     GIR_EraseRootFromParent_Done,
     /*   55904 */   // Label 1493: @55904
     /*   55904 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(55970), // Rule ID 70181 //
     /*   55909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   55920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55951 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   55954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   55960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55968 */     GIR_RootConstrainSelectedInstOperands,
     /*   55969 */     // GIR_Coverage, 70181,
     /*   55969 */     GIR_EraseRootFromParent_Done,
     /*   55970 */   // Label 1494: @55970
     /*   55970 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(56036), // Rule ID 70182 //
     /*   55975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   55986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56017 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56034 */     GIR_RootConstrainSelectedInstOperands,
     /*   56035 */     // GIR_Coverage, 70182,
     /*   56035 */     GIR_EraseRootFromParent_Done,
     /*   56036 */   // Label 1495: @56036
     /*   56036 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(56102), // Rule ID 70179 //
     /*   56041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56083 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56100 */     GIR_RootConstrainSelectedInstOperands,
     /*   56101 */     // GIR_Coverage, 70179,
     /*   56101 */     GIR_EraseRootFromParent_Done,
     /*   56102 */   // Label 1496: @56102
     /*   56102 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(56168), // Rule ID 70180 //
     /*   56107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56149 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56166 */     GIR_RootConstrainSelectedInstOperands,
     /*   56167 */     // GIR_Coverage, 70180,
     /*   56167 */     GIR_EraseRootFromParent_Done,
     /*   56168 */   // Label 1497: @56168
     /*   56168 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(56237), // Rule ID 52678 //
     /*   56173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56216 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   56229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56235 */     GIR_RootConstrainSelectedInstOperands,
     /*   56236 */     // GIR_Coverage, 52678,
     /*   56236 */     GIR_EraseRootFromParent_Done,
     /*   56237 */   // Label 1498: @56237
     /*   56237 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(56306), // Rule ID 52679 //
     /*   56242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56285 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   56298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56304 */     GIR_RootConstrainSelectedInstOperands,
     /*   56305 */     // GIR_Coverage, 52679,
     /*   56305 */     GIR_EraseRootFromParent_Done,
     /*   56306 */   // Label 1499: @56306
     /*   56306 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(56375), // Rule ID 70175 //
     /*   56311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   56334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56338 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56354 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   56357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56373 */     GIR_RootConstrainSelectedInstOperands,
     /*   56374 */     // GIR_Coverage, 70175,
     /*   56374 */     GIR_EraseRootFromParent_Done,
     /*   56375 */   // Label 1500: @56375
     /*   56375 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(56444), // Rule ID 70176 //
     /*   56380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   56403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56423 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   56426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56442 */     GIR_RootConstrainSelectedInstOperands,
     /*   56443 */     // GIR_Coverage, 70176,
     /*   56443 */     GIR_EraseRootFromParent_Done,
     /*   56444 */   // Label 1501: @56444
     /*   56444 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(56513), // Rule ID 70177 //
     /*   56449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   56472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56492 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   56495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56511 */     GIR_RootConstrainSelectedInstOperands,
     /*   56512 */     // GIR_Coverage, 70177,
     /*   56512 */     GIR_EraseRootFromParent_Done,
     /*   56513 */   // Label 1502: @56513
     /*   56513 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(56582), // Rule ID 70178 //
     /*   56518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   56541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56561 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   56564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56580 */     GIR_RootConstrainSelectedInstOperands,
     /*   56581 */     // GIR_Coverage, 70178,
     /*   56581 */     GIR_EraseRootFromParent_Done,
     /*   56582 */   // Label 1503: @56582
     /*   56582 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(56651), // Rule ID 70183 //
     /*   56587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56630 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56649 */     GIR_RootConstrainSelectedInstOperands,
     /*   56650 */     // GIR_Coverage, 70183,
     /*   56650 */     GIR_EraseRootFromParent_Done,
     /*   56651 */   // Label 1504: @56651
     /*   56651 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(56720), // Rule ID 70184 //
     /*   56656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56699 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56718 */     GIR_RootConstrainSelectedInstOperands,
     /*   56719 */     // GIR_Coverage, 70184,
     /*   56719 */     GIR_EraseRootFromParent_Done,
     /*   56720 */   // Label 1505: @56720
     /*   56720 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(56786), // Rule ID 70187 //
     /*   56725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   56752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56767 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56784 */     GIR_RootConstrainSelectedInstOperands,
     /*   56785 */     // GIR_Coverage, 70187,
     /*   56785 */     GIR_EraseRootFromParent_Done,
     /*   56786 */   // Label 1506: @56786
     /*   56786 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(56852), // Rule ID 70188 //
     /*   56791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   56818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56833 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56850 */     GIR_RootConstrainSelectedInstOperands,
     /*   56851 */     // GIR_Coverage, 70188,
     /*   56851 */     GIR_EraseRootFromParent_Done,
     /*   56852 */   // Label 1507: @56852
     /*   56852 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(56918), // Rule ID 70185 //
     /*   56857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56899 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56916 */     GIR_RootConstrainSelectedInstOperands,
     /*   56917 */     // GIR_Coverage, 70185,
     /*   56917 */     GIR_EraseRootFromParent_Done,
     /*   56918 */   // Label 1508: @56918
     /*   56918 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(56984), // Rule ID 70186 //
     /*   56923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56965 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56982 */     GIR_RootConstrainSelectedInstOperands,
     /*   56983 */     // GIR_Coverage, 70186,
     /*   56983 */     GIR_EraseRootFromParent_Done,
     /*   56984 */   // Label 1509: @56984
     /*   56984 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(57027), // Rule ID 70201 //
     /*   56989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57010 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57025 */     GIR_RootConstrainSelectedInstOperands,
     /*   57026 */     // GIR_Coverage, 70201,
     /*   57026 */     GIR_EraseRootFromParent_Done,
     /*   57027 */   // Label 1510: @57027
     /*   57027 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(57070), // Rule ID 70202 //
     /*   57032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57053 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57068 */     GIR_RootConstrainSelectedInstOperands,
     /*   57069 */     // GIR_Coverage, 70202,
     /*   57069 */     GIR_EraseRootFromParent_Done,
     /*   57070 */   // Label 1511: @57070
     /*   57070 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(57113), // Rule ID 52684 //
     /*   57075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57096 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57111 */     GIR_RootConstrainSelectedInstOperands,
     /*   57112 */     // GIR_Coverage, 52684,
     /*   57112 */     GIR_EraseRootFromParent_Done,
     /*   57113 */   // Label 1512: @57113
     /*   57113 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(57156), // Rule ID 52685 //
     /*   57118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57139 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57154 */     GIR_RootConstrainSelectedInstOperands,
     /*   57155 */     // GIR_Coverage, 52685,
     /*   57155 */     GIR_EraseRootFromParent_Done,
     /*   57156 */   // Label 1513: @57156
     /*   57156 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(57189), // Rule ID 52672 //
     /*   57161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57172 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*   57175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57187 */     GIR_RootConstrainSelectedInstOperands,
     /*   57188 */     // GIR_Coverage, 52672,
     /*   57188 */     GIR_EraseRootFromParent_Done,
     /*   57189 */   // Label 1514: @57189
     /*   57189 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(57222), // Rule ID 52673 //
     /*   57194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57205 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*   57208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57220 */     GIR_RootConstrainSelectedInstOperands,
     /*   57221 */     // GIR_Coverage, 52673,
     /*   57221 */     GIR_EraseRootFromParent_Done,
     /*   57222 */   // Label 1515: @57222
     /*   57222 */   GIM_Reject,
     /*   57223 */ // Label 1489: @57223
     /*   57223 */ GIM_Reject,
     /*   57224 */ // Label 1340: @57224
     /*   57224 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(57338),
     /*   57229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   57232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   57235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57247 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(57292), // Rule ID 47394 //
     /*   57252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57255 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   57258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   57272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57290 */     GIR_RootConstrainSelectedInstOperands,
     /*   57291 */     // GIR_Coverage, 47394,
     /*   57291 */     GIR_EraseRootFromParent_Done,
     /*   57292 */   // Label 1517: @57292
     /*   57292 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(57337), // Rule ID 47395 //
     /*   57297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57300 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   57303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   57317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57335 */     GIR_RootConstrainSelectedInstOperands,
     /*   57336 */     // GIR_Coverage, 47395,
     /*   57336 */     GIR_EraseRootFromParent_Done,
     /*   57337 */   // Label 1518: @57337
     /*   57337 */   GIM_Reject,
     /*   57338 */ // Label 1516: @57338
     /*   57338 */ GIM_Reject,
     /*   57339 */ // Label 1341: @57339
     /*   57339 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(57453),
     /*   57344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   57347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   57350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57362 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(57407), // Rule ID 47422 //
     /*   57367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57370 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   57370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   57373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   57387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57405 */     GIR_RootConstrainSelectedInstOperands,
     /*   57406 */     // GIR_Coverage, 47422,
     /*   57406 */     GIR_EraseRootFromParent_Done,
     /*   57407 */   // Label 1520: @57407
     /*   57407 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(57452), // Rule ID 47423 //
     /*   57412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57415 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   57415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   57418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   57432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57450 */     GIR_RootConstrainSelectedInstOperands,
     /*   57451 */     // GIR_Coverage, 47423,
     /*   57451 */     GIR_EraseRootFromParent_Done,
     /*   57452 */   // Label 1521: @57452
     /*   57452 */   GIM_Reject,
     /*   57453 */ // Label 1519: @57453
     /*   57453 */ GIM_Reject,
     /*   57454 */ // Label 1342: @57454
     /*   57454 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(57568),
     /*   57459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   57462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   57465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57477 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(57522), // Rule ID 47438 //
     /*   57482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57485 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   57488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   57502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57520 */     GIR_RootConstrainSelectedInstOperands,
     /*   57521 */     // GIR_Coverage, 47438,
     /*   57521 */     GIR_EraseRootFromParent_Done,
     /*   57522 */   // Label 1523: @57522
     /*   57522 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(57567), // Rule ID 47439 //
     /*   57527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57530 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   57533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   57547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57565 */     GIR_RootConstrainSelectedInstOperands,
     /*   57566 */     // GIR_Coverage, 47439,
     /*   57566 */     GIR_EraseRootFromParent_Done,
     /*   57567 */   // Label 1524: @57567
     /*   57567 */   GIM_Reject,
     /*   57568 */ // Label 1522: @57568
     /*   57568 */ GIM_Reject,
     /*   57569 */ // Label 1343: @57569
     /*   57569 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(57683),
     /*   57574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   57577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   57580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57592 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(57637), // Rule ID 47454 //
     /*   57597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   57600 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   57600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   57603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   57617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   57632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57635 */     GIR_RootConstrainSelectedInstOperands,
     /*   57636 */     // GIR_Coverage, 47454,
     /*   57636 */     GIR_EraseRootFromParent_Done,
     /*   57637 */   // Label 1526: @57637
     /*   57637 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(57682), // Rule ID 47455 //
     /*   57642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   57645 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   57645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   57648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   57662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   57677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57680 */     GIR_RootConstrainSelectedInstOperands,
     /*   57681 */     // GIR_Coverage, 47455,
     /*   57681 */     GIR_EraseRootFromParent_Done,
     /*   57682 */   // Label 1527: @57682
     /*   57682 */   GIM_Reject,
     /*   57683 */ // Label 1525: @57683
     /*   57683 */ GIM_Reject,
     /*   57684 */ // Label 1344: @57684
     /*   57684 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(59294),
     /*   57689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57699 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(57768), // Rule ID 52692 //
     /*   57704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   57745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57747 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   57750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57766 */     GIR_RootConstrainSelectedInstOperands,
     /*   57767 */     // GIR_Coverage, 52692,
     /*   57767 */     GIR_EraseRootFromParent_Done,
     /*   57768 */   // Label 1529: @57768
     /*   57768 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(57837), // Rule ID 52693 //
     /*   57773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   57814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57816 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   57819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57835 */     GIR_RootConstrainSelectedInstOperands,
     /*   57836 */     // GIR_Coverage, 52693,
     /*   57836 */     GIR_EraseRootFromParent_Done,
     /*   57837 */   // Label 1530: @57837
     /*   57837 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(57906), // Rule ID 52694 //
     /*   57842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   57853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   57883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57885 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   57888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57904 */     GIR_RootConstrainSelectedInstOperands,
     /*   57905 */     // GIR_Coverage, 52694,
     /*   57905 */     GIR_EraseRootFromParent_Done,
     /*   57906 */   // Label 1531: @57906
     /*   57906 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(57975), // Rule ID 52695 //
     /*   57911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   57922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   57952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57954 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   57957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57973 */     GIR_RootConstrainSelectedInstOperands,
     /*   57974 */     // GIR_Coverage, 52695,
     /*   57974 */     GIR_EraseRootFromParent_Done,
     /*   57975 */   // Label 1532: @57975
     /*   57975 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(58041), // Rule ID 70209 //
     /*   57980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   57991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58022 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58039 */     GIR_RootConstrainSelectedInstOperands,
     /*   58040 */     // GIR_Coverage, 70209,
     /*   58040 */     GIR_EraseRootFromParent_Done,
     /*   58041 */   // Label 1533: @58041
     /*   58041 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(58107), // Rule ID 70210 //
     /*   58046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58061 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58088 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58105 */     GIR_RootConstrainSelectedInstOperands,
     /*   58106 */     // GIR_Coverage, 70210,
     /*   58106 */     GIR_EraseRootFromParent_Done,
     /*   58107 */   // Label 1534: @58107
     /*   58107 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(58173), // Rule ID 70207 //
     /*   58112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58154 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58171 */     GIR_RootConstrainSelectedInstOperands,
     /*   58172 */     // GIR_Coverage, 70207,
     /*   58172 */     GIR_EraseRootFromParent_Done,
     /*   58173 */   // Label 1535: @58173
     /*   58173 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(58239), // Rule ID 70208 //
     /*   58178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58220 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58237 */     GIR_RootConstrainSelectedInstOperands,
     /*   58238 */     // GIR_Coverage, 70208,
     /*   58238 */     GIR_EraseRootFromParent_Done,
     /*   58239 */   // Label 1536: @58239
     /*   58239 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(58308), // Rule ID 52696 //
     /*   58244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58287 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   58300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58306 */     GIR_RootConstrainSelectedInstOperands,
     /*   58307 */     // GIR_Coverage, 52696,
     /*   58307 */     GIR_EraseRootFromParent_Done,
     /*   58308 */   // Label 1537: @58308
     /*   58308 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(58377), // Rule ID 52697 //
     /*   58313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58356 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   58369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58375 */     GIR_RootConstrainSelectedInstOperands,
     /*   58376 */     // GIR_Coverage, 52697,
     /*   58376 */     GIR_EraseRootFromParent_Done,
     /*   58377 */   // Label 1538: @58377
     /*   58377 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(58446), // Rule ID 70203 //
     /*   58382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   58405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58409 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58425 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   58428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58444 */     GIR_RootConstrainSelectedInstOperands,
     /*   58445 */     // GIR_Coverage, 70203,
     /*   58445 */     GIR_EraseRootFromParent_Done,
     /*   58446 */   // Label 1539: @58446
     /*   58446 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(58515), // Rule ID 70204 //
     /*   58451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   58474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58494 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   58497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58513 */     GIR_RootConstrainSelectedInstOperands,
     /*   58514 */     // GIR_Coverage, 70204,
     /*   58514 */     GIR_EraseRootFromParent_Done,
     /*   58515 */   // Label 1540: @58515
     /*   58515 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(58584), // Rule ID 70205 //
     /*   58520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   58543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58547 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58563 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   58566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58582 */     GIR_RootConstrainSelectedInstOperands,
     /*   58583 */     // GIR_Coverage, 70205,
     /*   58583 */     GIR_EraseRootFromParent_Done,
     /*   58584 */   // Label 1541: @58584
     /*   58584 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(58653), // Rule ID 70206 //
     /*   58589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   58612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58632 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   58635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58651 */     GIR_RootConstrainSelectedInstOperands,
     /*   58652 */     // GIR_Coverage, 70206,
     /*   58652 */     GIR_EraseRootFromParent_Done,
     /*   58653 */   // Label 1542: @58653
     /*   58653 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(58722), // Rule ID 70211 //
     /*   58658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58701 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58720 */     GIR_RootConstrainSelectedInstOperands,
     /*   58721 */     // GIR_Coverage, 70211,
     /*   58721 */     GIR_EraseRootFromParent_Done,
     /*   58722 */   // Label 1543: @58722
     /*   58722 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(58791), // Rule ID 70212 //
     /*   58727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58754 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58770 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58789 */     GIR_RootConstrainSelectedInstOperands,
     /*   58790 */     // GIR_Coverage, 70212,
     /*   58790 */     GIR_EraseRootFromParent_Done,
     /*   58791 */   // Label 1544: @58791
     /*   58791 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(58857), // Rule ID 70215 //
     /*   58796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58838 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58855 */     GIR_RootConstrainSelectedInstOperands,
     /*   58856 */     // GIR_Coverage, 70215,
     /*   58856 */     GIR_EraseRootFromParent_Done,
     /*   58857 */   // Label 1545: @58857
     /*   58857 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(58923), // Rule ID 70216 //
     /*   58862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58904 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58921 */     GIR_RootConstrainSelectedInstOperands,
     /*   58922 */     // GIR_Coverage, 70216,
     /*   58922 */     GIR_EraseRootFromParent_Done,
     /*   58923 */   // Label 1546: @58923
     /*   58923 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(58989), // Rule ID 70213 //
     /*   58928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58970 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58987 */     GIR_RootConstrainSelectedInstOperands,
     /*   58988 */     // GIR_Coverage, 70213,
     /*   58988 */     GIR_EraseRootFromParent_Done,
     /*   58989 */   // Label 1547: @58989
     /*   58989 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(59055), // Rule ID 70214 //
     /*   58994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   59009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   59013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   59017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   59026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   59039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59053 */     GIR_RootConstrainSelectedInstOperands,
     /*   59054 */     // GIR_Coverage, 70214,
     /*   59054 */     GIR_EraseRootFromParent_Done,
     /*   59055 */   // Label 1548: @59055
     /*   59055 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(59098), // Rule ID 70229 //
     /*   59060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   59075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59081 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59096 */     GIR_RootConstrainSelectedInstOperands,
     /*   59097 */     // GIR_Coverage, 70229,
     /*   59097 */     GIR_EraseRootFromParent_Done,
     /*   59098 */   // Label 1549: @59098
     /*   59098 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(59141), // Rule ID 70230 //
     /*   59103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   59118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59124 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59139 */     GIR_RootConstrainSelectedInstOperands,
     /*   59140 */     // GIR_Coverage, 70230,
     /*   59140 */     GIR_EraseRootFromParent_Done,
     /*   59141 */   // Label 1550: @59141
     /*   59141 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(59184), // Rule ID 52702 //
     /*   59146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   59165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59167 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59182 */     GIR_RootConstrainSelectedInstOperands,
     /*   59183 */     // GIR_Coverage, 52702,
     /*   59183 */     GIR_EraseRootFromParent_Done,
     /*   59184 */   // Label 1551: @59184
     /*   59184 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(59227), // Rule ID 52703 //
     /*   59189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   59208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59210 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59225 */     GIR_RootConstrainSelectedInstOperands,
     /*   59226 */     // GIR_Coverage, 52703,
     /*   59226 */     GIR_EraseRootFromParent_Done,
     /*   59227 */   // Label 1552: @59227
     /*   59227 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(59260), // Rule ID 52690 //
     /*   59232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59243 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*   59246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59258 */     GIR_RootConstrainSelectedInstOperands,
     /*   59259 */     // GIR_Coverage, 52690,
     /*   59259 */     GIR_EraseRootFromParent_Done,
     /*   59260 */   // Label 1553: @59260
     /*   59260 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(59293), // Rule ID 52691 //
     /*   59265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59276 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*   59279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59291 */     GIR_RootConstrainSelectedInstOperands,
     /*   59292 */     // GIR_Coverage, 52691,
     /*   59292 */     GIR_EraseRootFromParent_Done,
     /*   59293 */   // Label 1554: @59293
     /*   59293 */   GIM_Reject,
     /*   59294 */ // Label 1528: @59294
     /*   59294 */ GIM_Reject,
     /*   59295 */ // Label 1345: @59295
     /*   59295 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(59409),
     /*   59300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   59303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   59306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59318 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(59363), // Rule ID 47410 //
     /*   59323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59326 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   59329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   59343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59361 */     GIR_RootConstrainSelectedInstOperands,
     /*   59362 */     // GIR_Coverage, 47410,
     /*   59362 */     GIR_EraseRootFromParent_Done,
     /*   59363 */   // Label 1556: @59363
     /*   59363 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(59408), // Rule ID 47411 //
     /*   59368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59371 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   59374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   59388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59406 */     GIR_RootConstrainSelectedInstOperands,
     /*   59407 */     // GIR_Coverage, 47411,
     /*   59407 */     GIR_EraseRootFromParent_Done,
     /*   59408 */   // Label 1557: @59408
     /*   59408 */   GIM_Reject,
     /*   59409 */ // Label 1555: @59409
     /*   59409 */ GIM_Reject,
     /*   59410 */ // Label 1346: @59410
     /*   59410 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(59524),
     /*   59415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   59418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   59421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(59478), // Rule ID 47426 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59441 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   59444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   59458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59476 */     GIR_RootConstrainSelectedInstOperands,
     /*   59477 */     // GIR_Coverage, 47426,
     /*   59477 */     GIR_EraseRootFromParent_Done,
     /*   59478 */   // Label 1559: @59478
     /*   59478 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(59523), // Rule ID 47427 //
     /*   59483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59486 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   59489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   59503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59521 */     GIR_RootConstrainSelectedInstOperands,
     /*   59522 */     // GIR_Coverage, 47427,
     /*   59522 */     GIR_EraseRootFromParent_Done,
     /*   59523 */   // Label 1560: @59523
     /*   59523 */   GIM_Reject,
     /*   59524 */ // Label 1558: @59524
     /*   59524 */ GIM_Reject,
     /*   59525 */ // Label 1347: @59525
     /*   59525 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(59639),
     /*   59530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   59533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   59536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59548 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(59593), // Rule ID 47442 //
     /*   59553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59556 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   59556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   59559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   59573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59591 */     GIR_RootConstrainSelectedInstOperands,
     /*   59592 */     // GIR_Coverage, 47442,
     /*   59592 */     GIR_EraseRootFromParent_Done,
     /*   59593 */   // Label 1562: @59593
     /*   59593 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(59638), // Rule ID 47443 //
     /*   59598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59601 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   59601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   59604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   59618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59636 */     GIR_RootConstrainSelectedInstOperands,
     /*   59637 */     // GIR_Coverage, 47443,
     /*   59637 */     GIR_EraseRootFromParent_Done,
     /*   59638 */   // Label 1563: @59638
     /*   59638 */   GIM_Reject,
     /*   59639 */ // Label 1561: @59639
     /*   59639 */ GIM_Reject,
     /*   59640 */ // Label 1348: @59640
     /*   59640 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(61250),
     /*   59645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59655 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(59724), // Rule ID 52710 //
     /*   59660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   59671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59703 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   59706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59722 */     GIR_RootConstrainSelectedInstOperands,
     /*   59723 */     // GIR_Coverage, 52710,
     /*   59723 */     GIR_EraseRootFromParent_Done,
     /*   59724 */   // Label 1565: @59724
     /*   59724 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(59793), // Rule ID 52711 //
     /*   59729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   59740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59772 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   59775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59791 */     GIR_RootConstrainSelectedInstOperands,
     /*   59792 */     // GIR_Coverage, 52711,
     /*   59792 */     GIR_EraseRootFromParent_Done,
     /*   59793 */   // Label 1566: @59793
     /*   59793 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(59862), // Rule ID 52712 //
     /*   59798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   59809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59841 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   59844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59860 */     GIR_RootConstrainSelectedInstOperands,
     /*   59861 */     // GIR_Coverage, 52712,
     /*   59861 */     GIR_EraseRootFromParent_Done,
     /*   59862 */   // Label 1567: @59862
     /*   59862 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(59931), // Rule ID 52713 //
     /*   59867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   59878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59910 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   59913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59929 */     GIR_RootConstrainSelectedInstOperands,
     /*   59930 */     // GIR_Coverage, 52713,
     /*   59930 */     GIR_EraseRootFromParent_Done,
     /*   59931 */   // Label 1568: @59931
     /*   59931 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(59997), // Rule ID 70237 //
     /*   59936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   59947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59978 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   59981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   59987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59995 */     GIR_RootConstrainSelectedInstOperands,
     /*   59996 */     // GIR_Coverage, 70237,
     /*   59996 */     GIR_EraseRootFromParent_Done,
     /*   59997 */   // Label 1569: @59997
     /*   59997 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(60063), // Rule ID 70238 //
     /*   60002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60044 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60061 */     GIR_RootConstrainSelectedInstOperands,
     /*   60062 */     // GIR_Coverage, 70238,
     /*   60062 */     GIR_EraseRootFromParent_Done,
     /*   60063 */   // Label 1570: @60063
     /*   60063 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(60129), // Rule ID 70235 //
     /*   60068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60110 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60127 */     GIR_RootConstrainSelectedInstOperands,
     /*   60128 */     // GIR_Coverage, 70235,
     /*   60128 */     GIR_EraseRootFromParent_Done,
     /*   60129 */   // Label 1571: @60129
     /*   60129 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(60195), // Rule ID 70236 //
     /*   60134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60176 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60193 */     GIR_RootConstrainSelectedInstOperands,
     /*   60194 */     // GIR_Coverage, 70236,
     /*   60194 */     GIR_EraseRootFromParent_Done,
     /*   60195 */   // Label 1572: @60195
     /*   60195 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(60264), // Rule ID 52714 //
     /*   60200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60243 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   60256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60262 */     GIR_RootConstrainSelectedInstOperands,
     /*   60263 */     // GIR_Coverage, 52714,
     /*   60263 */     GIR_EraseRootFromParent_Done,
     /*   60264 */   // Label 1573: @60264
     /*   60264 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(60333), // Rule ID 52715 //
     /*   60269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60312 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   60325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60331 */     GIR_RootConstrainSelectedInstOperands,
     /*   60332 */     // GIR_Coverage, 52715,
     /*   60332 */     GIR_EraseRootFromParent_Done,
     /*   60333 */   // Label 1574: @60333
     /*   60333 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(60402), // Rule ID 70231 //
     /*   60338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   60361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60381 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   60384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60400 */     GIR_RootConstrainSelectedInstOperands,
     /*   60401 */     // GIR_Coverage, 70231,
     /*   60401 */     GIR_EraseRootFromParent_Done,
     /*   60402 */   // Label 1575: @60402
     /*   60402 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(60471), // Rule ID 70232 //
     /*   60407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   60430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60434 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60450 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   60453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60469 */     GIR_RootConstrainSelectedInstOperands,
     /*   60470 */     // GIR_Coverage, 70232,
     /*   60470 */     GIR_EraseRootFromParent_Done,
     /*   60471 */   // Label 1576: @60471
     /*   60471 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(60540), // Rule ID 70233 //
     /*   60476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   60499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60519 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   60522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60538 */     GIR_RootConstrainSelectedInstOperands,
     /*   60539 */     // GIR_Coverage, 70233,
     /*   60539 */     GIR_EraseRootFromParent_Done,
     /*   60540 */   // Label 1577: @60540
     /*   60540 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(60609), // Rule ID 70234 //
     /*   60545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   60568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60572 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60588 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   60591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60607 */     GIR_RootConstrainSelectedInstOperands,
     /*   60608 */     // GIR_Coverage, 70234,
     /*   60608 */     GIR_EraseRootFromParent_Done,
     /*   60609 */   // Label 1578: @60609
     /*   60609 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(60678), // Rule ID 70239 //
     /*   60614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60657 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60676 */     GIR_RootConstrainSelectedInstOperands,
     /*   60677 */     // GIR_Coverage, 70239,
     /*   60677 */     GIR_EraseRootFromParent_Done,
     /*   60678 */   // Label 1579: @60678
     /*   60678 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(60747), // Rule ID 70240 //
     /*   60683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60726 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60745 */     GIR_RootConstrainSelectedInstOperands,
     /*   60746 */     // GIR_Coverage, 70240,
     /*   60746 */     GIR_EraseRootFromParent_Done,
     /*   60747 */   // Label 1580: @60747
     /*   60747 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(60813), // Rule ID 70243 //
     /*   60752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60794 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60811 */     GIR_RootConstrainSelectedInstOperands,
     /*   60812 */     // GIR_Coverage, 70243,
     /*   60812 */     GIR_EraseRootFromParent_Done,
     /*   60813 */   // Label 1581: @60813
     /*   60813 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(60879), // Rule ID 70244 //
     /*   60818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60860 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60877 */     GIR_RootConstrainSelectedInstOperands,
     /*   60878 */     // GIR_Coverage, 70244,
     /*   60878 */     GIR_EraseRootFromParent_Done,
     /*   60879 */   // Label 1582: @60879
     /*   60879 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(60945), // Rule ID 70241 //
     /*   60884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60926 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60943 */     GIR_RootConstrainSelectedInstOperands,
     /*   60944 */     // GIR_Coverage, 70241,
     /*   60944 */     GIR_EraseRootFromParent_Done,
     /*   60945 */   // Label 1583: @60945
     /*   60945 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(61011), // Rule ID 70242 //
     /*   60950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60992 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61009 */     GIR_RootConstrainSelectedInstOperands,
     /*   61010 */     // GIR_Coverage, 70242,
     /*   61010 */     GIR_EraseRootFromParent_Done,
     /*   61011 */   // Label 1584: @61011
     /*   61011 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(61054), // Rule ID 70257 //
     /*   61016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61037 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61052 */     GIR_RootConstrainSelectedInstOperands,
     /*   61053 */     // GIR_Coverage, 70257,
     /*   61053 */     GIR_EraseRootFromParent_Done,
     /*   61054 */   // Label 1585: @61054
     /*   61054 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(61097), // Rule ID 70258 //
     /*   61059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61080 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61095 */     GIR_RootConstrainSelectedInstOperands,
     /*   61096 */     // GIR_Coverage, 70258,
     /*   61096 */     GIR_EraseRootFromParent_Done,
     /*   61097 */   // Label 1586: @61097
     /*   61097 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(61140), // Rule ID 52720 //
     /*   61102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61123 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61138 */     GIR_RootConstrainSelectedInstOperands,
     /*   61139 */     // GIR_Coverage, 52720,
     /*   61139 */     GIR_EraseRootFromParent_Done,
     /*   61140 */   // Label 1587: @61140
     /*   61140 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(61183), // Rule ID 52721 //
     /*   61145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61166 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61181 */     GIR_RootConstrainSelectedInstOperands,
     /*   61182 */     // GIR_Coverage, 52721,
     /*   61182 */     GIR_EraseRootFromParent_Done,
     /*   61183 */   // Label 1588: @61183
     /*   61183 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(61216), // Rule ID 52708 //
     /*   61188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61199 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61214 */     GIR_RootConstrainSelectedInstOperands,
     /*   61215 */     // GIR_Coverage, 52708,
     /*   61215 */     GIR_EraseRootFromParent_Done,
     /*   61216 */   // Label 1589: @61216
     /*   61216 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(61249), // Rule ID 52709 //
     /*   61221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61232 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*   61235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61247 */     GIR_RootConstrainSelectedInstOperands,
     /*   61248 */     // GIR_Coverage, 52709,
     /*   61248 */     GIR_EraseRootFromParent_Done,
     /*   61249 */   // Label 1590: @61249
     /*   61249 */   GIM_Reject,
     /*   61250 */ // Label 1564: @61250
     /*   61250 */ GIM_Reject,
     /*   61251 */ // Label 1349: @61251
     /*   61251 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(61365),
     /*   61256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   61259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   61262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61274 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(61319), // Rule ID 47414 //
     /*   61279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61282 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   61285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   61299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61317 */     GIR_RootConstrainSelectedInstOperands,
     /*   61318 */     // GIR_Coverage, 47414,
     /*   61318 */     GIR_EraseRootFromParent_Done,
     /*   61319 */   // Label 1592: @61319
     /*   61319 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(61364), // Rule ID 47415 //
     /*   61324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61327 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   61330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   61344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61362 */     GIR_RootConstrainSelectedInstOperands,
     /*   61363 */     // GIR_Coverage, 47415,
     /*   61363 */     GIR_EraseRootFromParent_Done,
     /*   61364 */   // Label 1593: @61364
     /*   61364 */   GIM_Reject,
     /*   61365 */ // Label 1591: @61365
     /*   61365 */ GIM_Reject,
     /*   61366 */ // Label 1350: @61366
     /*   61366 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(61480),
     /*   61371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   61374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   61377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61389 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(61434), // Rule ID 47430 //
     /*   61394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61397 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   61397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   61400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   61414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   61429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61432 */     GIR_RootConstrainSelectedInstOperands,
     /*   61433 */     // GIR_Coverage, 47430,
     /*   61433 */     GIR_EraseRootFromParent_Done,
     /*   61434 */   // Label 1595: @61434
     /*   61434 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(61479), // Rule ID 47431 //
     /*   61439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61442 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   61442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   61445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   61459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   61474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61477 */     GIR_RootConstrainSelectedInstOperands,
     /*   61478 */     // GIR_Coverage, 47431,
     /*   61478 */     GIR_EraseRootFromParent_Done,
     /*   61479 */   // Label 1596: @61479
     /*   61479 */   GIM_Reject,
     /*   61480 */ // Label 1594: @61480
     /*   61480 */ GIM_Reject,
     /*   61481 */ // Label 1351: @61481
     /*   61481 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(63091),
     /*   61486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61496 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(61565), // Rule ID 52728 //
     /*   61501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61544 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   61547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61563 */     GIR_RootConstrainSelectedInstOperands,
     /*   61564 */     // GIR_Coverage, 52728,
     /*   61564 */     GIR_EraseRootFromParent_Done,
     /*   61565 */   // Label 1598: @61565
     /*   61565 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(61634), // Rule ID 52729 //
     /*   61570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61613 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   61616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61632 */     GIR_RootConstrainSelectedInstOperands,
     /*   61633 */     // GIR_Coverage, 52729,
     /*   61633 */     GIR_EraseRootFromParent_Done,
     /*   61634 */   // Label 1599: @61634
     /*   61634 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(61703), // Rule ID 52730 //
     /*   61639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   61650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61682 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   61685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61701 */     GIR_RootConstrainSelectedInstOperands,
     /*   61702 */     // GIR_Coverage, 52730,
     /*   61702 */     GIR_EraseRootFromParent_Done,
     /*   61703 */   // Label 1600: @61703
     /*   61703 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(61772), // Rule ID 52731 //
     /*   61708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   61719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61751 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   61754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61770 */     GIR_RootConstrainSelectedInstOperands,
     /*   61771 */     // GIR_Coverage, 52731,
     /*   61771 */     GIR_EraseRootFromParent_Done,
     /*   61772 */   // Label 1601: @61772
     /*   61772 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(61838), // Rule ID 70265 //
     /*   61777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   61800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61819 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   61828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61836 */     GIR_RootConstrainSelectedInstOperands,
     /*   61837 */     // GIR_Coverage, 70265,
     /*   61837 */     GIR_EraseRootFromParent_Done,
     /*   61838 */   // Label 1602: @61838
     /*   61838 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(61904), // Rule ID 70266 //
     /*   61843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   61866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   61894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61902 */     GIR_RootConstrainSelectedInstOperands,
     /*   61903 */     // GIR_Coverage, 70266,
     /*   61903 */     GIR_EraseRootFromParent_Done,
     /*   61904 */   // Label 1603: @61904
     /*   61904 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(61970), // Rule ID 70263 //
     /*   61909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   61937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61951 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61968 */     GIR_RootConstrainSelectedInstOperands,
     /*   61969 */     // GIR_Coverage, 70263,
     /*   61969 */     GIR_EraseRootFromParent_Done,
     /*   61970 */   // Label 1604: @61970
     /*   61970 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(62036), // Rule ID 70264 //
     /*   61975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62017 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62034 */     GIR_RootConstrainSelectedInstOperands,
     /*   62035 */     // GIR_Coverage, 70264,
     /*   62035 */     GIR_EraseRootFromParent_Done,
     /*   62036 */   // Label 1605: @62036
     /*   62036 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(62105), // Rule ID 52732 //
     /*   62041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62084 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   62097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62103 */     GIR_RootConstrainSelectedInstOperands,
     /*   62104 */     // GIR_Coverage, 52732,
     /*   62104 */     GIR_EraseRootFromParent_Done,
     /*   62105 */   // Label 1606: @62105
     /*   62105 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(62174), // Rule ID 52733 //
     /*   62110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62153 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   62166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62172 */     GIR_RootConstrainSelectedInstOperands,
     /*   62173 */     // GIR_Coverage, 52733,
     /*   62173 */     GIR_EraseRootFromParent_Done,
     /*   62174 */   // Label 1607: @62174
     /*   62174 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(62243), // Rule ID 70259 //
     /*   62179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   62202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62206 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62222 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62241 */     GIR_RootConstrainSelectedInstOperands,
     /*   62242 */     // GIR_Coverage, 70259,
     /*   62242 */     GIR_EraseRootFromParent_Done,
     /*   62243 */   // Label 1608: @62243
     /*   62243 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(62312), // Rule ID 70260 //
     /*   62248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   62271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62291 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62310 */     GIR_RootConstrainSelectedInstOperands,
     /*   62311 */     // GIR_Coverage, 70260,
     /*   62311 */     GIR_EraseRootFromParent_Done,
     /*   62312 */   // Label 1609: @62312
     /*   62312 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(62381), // Rule ID 70261 //
     /*   62317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   62340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62360 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   62363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62379 */     GIR_RootConstrainSelectedInstOperands,
     /*   62380 */     // GIR_Coverage, 70261,
     /*   62380 */     GIR_EraseRootFromParent_Done,
     /*   62381 */   // Label 1610: @62381
     /*   62381 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(62450), // Rule ID 70262 //
     /*   62386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   62409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62429 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   62432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62448 */     GIR_RootConstrainSelectedInstOperands,
     /*   62449 */     // GIR_Coverage, 70262,
     /*   62449 */     GIR_EraseRootFromParent_Done,
     /*   62450 */   // Label 1611: @62450
     /*   62450 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(62519), // Rule ID 70267 //
     /*   62455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62482 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62498 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62517 */     GIR_RootConstrainSelectedInstOperands,
     /*   62518 */     // GIR_Coverage, 70267,
     /*   62518 */     GIR_EraseRootFromParent_Done,
     /*   62519 */   // Label 1612: @62519
     /*   62519 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(62588), // Rule ID 70268 //
     /*   62524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62551 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62567 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62586 */     GIR_RootConstrainSelectedInstOperands,
     /*   62587 */     // GIR_Coverage, 70268,
     /*   62587 */     GIR_EraseRootFromParent_Done,
     /*   62588 */   // Label 1613: @62588
     /*   62588 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(62654), // Rule ID 70271 //
     /*   62593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   62620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62635 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   62644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62652 */     GIR_RootConstrainSelectedInstOperands,
     /*   62653 */     // GIR_Coverage, 70271,
     /*   62653 */     GIR_EraseRootFromParent_Done,
     /*   62654 */   // Label 1614: @62654
     /*   62654 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(62720), // Rule ID 70272 //
     /*   62659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   62686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62701 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   62710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62718 */     GIR_RootConstrainSelectedInstOperands,
     /*   62719 */     // GIR_Coverage, 70272,
     /*   62719 */     GIR_EraseRootFromParent_Done,
     /*   62720 */   // Label 1615: @62720
     /*   62720 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(62786), // Rule ID 70269 //
     /*   62725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62767 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62784 */     GIR_RootConstrainSelectedInstOperands,
     /*   62785 */     // GIR_Coverage, 70269,
     /*   62785 */     GIR_EraseRootFromParent_Done,
     /*   62786 */   // Label 1616: @62786
     /*   62786 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(62852), // Rule ID 70270 //
     /*   62791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62833 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62850 */     GIR_RootConstrainSelectedInstOperands,
     /*   62851 */     // GIR_Coverage, 70270,
     /*   62851 */     GIR_EraseRootFromParent_Done,
     /*   62852 */   // Label 1617: @62852
     /*   62852 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(62895), // Rule ID 70285 //
     /*   62857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62878 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62893 */     GIR_RootConstrainSelectedInstOperands,
     /*   62894 */     // GIR_Coverage, 70285,
     /*   62894 */     GIR_EraseRootFromParent_Done,
     /*   62895 */   // Label 1618: @62895
     /*   62895 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(62938), // Rule ID 70286 //
     /*   62900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62921 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62936 */     GIR_RootConstrainSelectedInstOperands,
     /*   62937 */     // GIR_Coverage, 70286,
     /*   62937 */     GIR_EraseRootFromParent_Done,
     /*   62938 */   // Label 1619: @62938
     /*   62938 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(62981), // Rule ID 52738 //
     /*   62943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62964 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   62971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   62973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62979 */     GIR_RootConstrainSelectedInstOperands,
     /*   62980 */     // GIR_Coverage, 52738,
     /*   62980 */     GIR_EraseRootFromParent_Done,
     /*   62981 */   // Label 1620: @62981
     /*   62981 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(63024), // Rule ID 52739 //
     /*   62986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   63001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   63005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63007 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   63007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   63010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   63014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   63016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63022 */     GIR_RootConstrainSelectedInstOperands,
     /*   63023 */     // GIR_Coverage, 52739,
     /*   63023 */     GIR_EraseRootFromParent_Done,
     /*   63024 */   // Label 1621: @63024
     /*   63024 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(63057), // Rule ID 52726 //
     /*   63029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63040 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   63040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*   63043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63055 */     GIR_RootConstrainSelectedInstOperands,
     /*   63056 */     // GIR_Coverage, 52726,
     /*   63056 */     GIR_EraseRootFromParent_Done,
     /*   63057 */   // Label 1622: @63057
     /*   63057 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(63090), // Rule ID 52727 //
     /*   63062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63073 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   63073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*   63076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63088 */     GIR_RootConstrainSelectedInstOperands,
     /*   63089 */     // GIR_Coverage, 52727,
     /*   63089 */     GIR_EraseRootFromParent_Done,
     /*   63090 */   // Label 1623: @63090
     /*   63090 */   GIM_Reject,
     /*   63091 */ // Label 1597: @63091
     /*   63091 */ GIM_Reject,
     /*   63092 */ // Label 1352: @63092
     /*   63092 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(63206),
     /*   63097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   63100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   63103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63115 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(63160), // Rule ID 47418 //
     /*   63120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63123 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   63123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   63126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   63140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63158 */     GIR_RootConstrainSelectedInstOperands,
     /*   63159 */     // GIR_Coverage, 47418,
     /*   63159 */     GIR_EraseRootFromParent_Done,
     /*   63160 */   // Label 1625: @63160
     /*   63160 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(63205), // Rule ID 47419 //
     /*   63165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63168 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   63168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   63171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   63185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63203 */     GIR_RootConstrainSelectedInstOperands,
     /*   63204 */     // GIR_Coverage, 47419,
     /*   63204 */     GIR_EraseRootFromParent_Done,
     /*   63205 */   // Label 1626: @63205
     /*   63205 */   GIM_Reject,
     /*   63206 */ // Label 1624: @63206
     /*   63206 */ GIM_Reject,
     /*   63207 */ // Label 1353: @63207
     /*   63207 */ GIM_Reject,
     /*   63208 */ // Label 10: @63208
     /*   63208 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(63268),
     /*   63213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*   63217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63221 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(63244), // Rule ID 110 //
     /*   63226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   63229 */     // MIs[0] Operand 1
     /*   63229 */     // No operand predicates
     /*   63229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*   63229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   63232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   63239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63242 */     GIR_RootConstrainSelectedInstOperands,
     /*   63243 */     // GIR_Coverage, 110,
     /*   63243 */     GIR_EraseRootFromParent_Done,
     /*   63244 */   // Label 1628: @63244
     /*   63244 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(63267), // Rule ID 111 //
     /*   63249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   63252 */     // MIs[0] Operand 1
     /*   63252 */     // No operand predicates
     /*   63252 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*   63252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   63255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63257 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   63262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63265 */     GIR_RootConstrainSelectedInstOperands,
     /*   63266 */     // GIR_Coverage, 111,
     /*   63266 */     GIR_EraseRootFromParent_Done,
     /*   63267 */   // Label 1629: @63267
     /*   63267 */   GIM_Reject,
     /*   63268 */ // Label 1627: @63268
     /*   63268 */ GIM_Reject,
     /*   63269 */ // Label 11: @63269
     /*   63269 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(63329),
     /*   63274 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*   63277 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*   63280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   63286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63298 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(63313), // Rule ID 50 //
     /*   63303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*   63306 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*   63306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*   63311 */     GIR_RootConstrainSelectedInstOperands,
     /*   63312 */     // GIR_Coverage, 50,
     /*   63312 */     GIR_Done,
     /*   63313 */   // Label 1631: @63313
     /*   63313 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(63328), // Rule ID 51 //
     /*   63318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*   63321 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*   63321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*   63326 */     GIR_RootConstrainSelectedInstOperands,
     /*   63327 */     // GIR_Coverage, 51,
     /*   63327 */     GIR_Done,
     /*   63328 */   // Label 1632: @63328
     /*   63328 */   GIM_Reject,
     /*   63329 */ // Label 1630: @63329
     /*   63329 */ GIM_Reject,
     /*   63330 */ // Label 12: @63330
     /*   63330 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(63420),
     /*   63335 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*   63338 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   63341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   63347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63359 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(63374), // Rule ID 48 //
     /*   63364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*   63367 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*   63367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*   63372 */     GIR_RootConstrainSelectedInstOperands,
     /*   63373 */     // GIR_Coverage, 48,
     /*   63373 */     GIR_Done,
     /*   63374 */   // Label 1634: @63374
     /*   63374 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(63389), // Rule ID 49 //
     /*   63379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*   63382 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*   63382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*   63387 */     GIR_RootConstrainSelectedInstOperands,
     /*   63388 */     // GIR_Coverage, 49,
     /*   63388 */     GIR_Done,
     /*   63389 */   // Label 1635: @63389
     /*   63389 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(63404), // Rule ID 2262 //
     /*   63394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*   63397 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   63397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*   63402 */     GIR_RootConstrainSelectedInstOperands,
     /*   63403 */     // GIR_Coverage, 2262,
     /*   63403 */     GIR_Done,
     /*   63404 */   // Label 1636: @63404
     /*   63404 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(63419), // Rule ID 2263 //
     /*   63409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*   63412 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   63412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*   63417 */     GIR_RootConstrainSelectedInstOperands,
     /*   63418 */     // GIR_Coverage, 2263,
     /*   63418 */     GIR_Done,
     /*   63419 */   // Label 1637: @63419
     /*   63419 */   GIM_Reject,
     /*   63420 */ // Label 1633: @63420
     /*   63420 */ GIM_Reject,
     /*   63421 */ // Label 13: @63421
     /*   63421 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1640*/ GIMT_Encode4(63787),
     /*   63432 */ /*GILLT_s32*//*Label 1638*/ GIMT_Encode4(63440),
     /*   63436 */ /*GILLT_s64*//*Label 1639*/ GIMT_Encode4(63677),
     /*   63440 */ // Label 1638: @63440
     /*   63440 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(63676),
     /*   63445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63448 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(63471), // Rule ID 1305 //
     /*   63453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   63456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*   63464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*   63469 */     GIR_RootConstrainSelectedInstOperands,
     /*   63470 */     // GIR_Coverage, 1305,
     /*   63470 */     GIR_Done,
     /*   63471 */   // Label 1642: @63471
     /*   63471 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(63494), // Rule ID 1306 //
     /*   63476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   63479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63487 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*   63487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 1306,
     /*   63493 */     GIR_Done,
     /*   63494 */   // Label 1643: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(63517), // Rule ID 1307 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*   63510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*   63515 */     GIR_RootConstrainSelectedInstOperands,
     /*   63516 */     // GIR_Coverage, 1307,
     /*   63516 */     GIR_Done,
     /*   63517 */   // Label 1644: @63517
     /*   63517 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(63540), // Rule ID 1308 //
     /*   63522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   63525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63533 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*   63533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*   63538 */     GIR_RootConstrainSelectedInstOperands,
     /*   63539 */     // GIR_Coverage, 1308,
     /*   63539 */     GIR_Done,
     /*   63540 */   // Label 1645: @63540
     /*   63540 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(63578), // Rule ID 1309 //
     /*   63545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*   63548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63556 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*   63556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63561 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*   63567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63577 */     // GIR_Coverage, 1309,
     /*   63577 */     GIR_EraseRootFromParent_Done,
     /*   63578 */   // Label 1646: @63578
     /*   63578 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(63616), // Rule ID 1310 //
     /*   63583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   63586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63594 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*   63594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63599 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*   63605 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63610 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63615 */     // GIR_Coverage, 1310,
     /*   63615 */     GIR_EraseRootFromParent_Done,
     /*   63616 */   // Label 1647: @63616
     /*   63616 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(63675), // Rule ID 1311 //
     /*   63621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   63624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63632 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*   63632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   63635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   63649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   63659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63664 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63669 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63674 */     // GIR_Coverage, 1311,
     /*   63674 */     GIR_EraseRootFromParent_Done,
     /*   63675 */   // Label 1648: @63675
     /*   63675 */   GIM_Reject,
     /*   63676 */ // Label 1641: @63676
     /*   63676 */ GIM_Reject,
     /*   63677 */ // Label 1639: @63677
     /*   63677 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(63786),
     /*   63682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   63685 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(63708), // Rule ID 1758 //
     /*   63690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   63693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63701 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*   63701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*   63706 */     GIR_RootConstrainSelectedInstOperands,
     /*   63707 */     // GIR_Coverage, 1758,
     /*   63707 */     GIR_Done,
     /*   63708 */   // Label 1650: @63708
     /*   63708 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(63731), // Rule ID 1759 //
     /*   63713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   63716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63724 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*   63724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*   63729 */     GIR_RootConstrainSelectedInstOperands,
     /*   63730 */     // GIR_Coverage, 1759,
     /*   63730 */     GIR_Done,
     /*   63731 */   // Label 1651: @63731
     /*   63731 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(63758), // Rule ID 1786 //
     /*   63736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   63739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63747 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*   63747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63752 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63757 */     // GIR_Coverage, 1786,
     /*   63757 */     GIR_Done,
     /*   63758 */   // Label 1652: @63758
     /*   63758 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(63785), // Rule ID 1787 //
     /*   63763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   63766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63774 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*   63774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63784 */     // GIR_Coverage, 1787,
     /*   63784 */     GIR_Done,
     /*   63785 */   // Label 1653: @63785
     /*   63785 */   GIM_Reject,
     /*   63786 */ // Label 1649: @63786
     /*   63786 */ GIM_Reject,
     /*   63787 */ // Label 1640: @63787
     /*   63787 */ GIM_Reject,
     /*   63788 */ // Label 14: @63788
     /*   63788 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1657*/ GIMT_Encode4(63985),
     /*   63799 */ /*GILLT_s16*//*Label 1654*/ GIMT_Encode4(63811),
     /*   63803 */ /*GILLT_s32*//*Label 1655*/ GIMT_Encode4(63869),
     /*   63807 */ /*GILLT_s64*//*Label 1656*/ GIMT_Encode4(63927),
     /*   63811 */ // Label 1654: @63811
     /*   63811 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(63868),
     /*   63816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   63819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   63823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   63827 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(63847), // Rule ID 2294 //
     /*   63832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   63835 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*   63835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   63838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63845 */     GIR_RootConstrainSelectedInstOperands,
     /*   63846 */     // GIR_Coverage, 2294,
     /*   63846 */     GIR_EraseRootFromParent_Done,
     /*   63847 */   // Label 1659: @63847
     /*   63847 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(63867), // Rule ID 2295 //
     /*   63852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   63855 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*   63855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   63858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63865 */     GIR_RootConstrainSelectedInstOperands,
     /*   63866 */     // GIR_Coverage, 2295,
     /*   63866 */     GIR_EraseRootFromParent_Done,
     /*   63867 */   // Label 1660: @63867
     /*   63867 */   GIM_Reject,
     /*   63868 */ // Label 1658: @63868
     /*   63868 */ GIM_Reject,
     /*   63869 */ // Label 1655: @63869
     /*   63869 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(63926),
     /*   63874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63885 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(63905), // Rule ID 2212 //
     /*   63890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   63893 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*   63893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   63896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 2212,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1662: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(63925), // Rule ID 2213 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   63913 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*   63913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   63916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63923 */     GIR_RootConstrainSelectedInstOperands,
     /*   63924 */     // GIR_Coverage, 2213,
     /*   63924 */     GIR_EraseRootFromParent_Done,
     /*   63925 */   // Label 1663: @63925
     /*   63925 */   GIM_Reject,
     /*   63926 */ // Label 1661: @63926
     /*   63926 */ GIM_Reject,
     /*   63927 */ // Label 1656: @63927
     /*   63927 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(63984),
     /*   63932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   63935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63943 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(63963), // Rule ID 2252 //
     /*   63948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   63951 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*   63951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   63954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63961 */     GIR_RootConstrainSelectedInstOperands,
     /*   63962 */     // GIR_Coverage, 2252,
     /*   63962 */     GIR_EraseRootFromParent_Done,
     /*   63963 */   // Label 1665: @63963
     /*   63963 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(63983), // Rule ID 2253 //
     /*   63968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   63971 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*   63971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   63974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63981 */     GIR_RootConstrainSelectedInstOperands,
     /*   63982 */     // GIR_Coverage, 2253,
     /*   63982 */     GIR_EraseRootFromParent_Done,
     /*   63983 */   // Label 1666: @63983
     /*   63983 */   GIM_Reject,
     /*   63984 */ // Label 1664: @63984
     /*   63984 */ GIM_Reject,
     /*   63985 */ // Label 1657: @63985
     /*   63985 */ GIM_Reject,
     /*   63986 */ // Label 15: @63986
     /*   63986 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1670*/ GIMT_Encode4(64183),
     /*   63997 */ /*GILLT_s16*//*Label 1667*/ GIMT_Encode4(64009),
     /*   64001 */ /*GILLT_s32*//*Label 1668*/ GIMT_Encode4(64067),
     /*   64005 */ /*GILLT_s64*//*Label 1669*/ GIMT_Encode4(64125),
     /*   64009 */ // Label 1667: @64009
     /*   64009 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(64066),
     /*   64014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64025 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(64045), // Rule ID 2278 //
     /*   64030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   64033 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*   64033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   64036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64043 */     GIR_RootConstrainSelectedInstOperands,
     /*   64044 */     // GIR_Coverage, 2278,
     /*   64044 */     GIR_EraseRootFromParent_Done,
     /*   64045 */   // Label 1672: @64045
     /*   64045 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(64065), // Rule ID 2279 //
     /*   64050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   64053 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*   64053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   64056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64063 */     GIR_RootConstrainSelectedInstOperands,
     /*   64064 */     // GIR_Coverage, 2279,
     /*   64064 */     GIR_EraseRootFromParent_Done,
     /*   64065 */   // Label 1673: @64065
     /*   64065 */   GIM_Reject,
     /*   64066 */ // Label 1671: @64066
     /*   64066 */ GIM_Reject,
     /*   64067 */ // Label 1668: @64067
     /*   64067 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(64124),
     /*   64072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(64103), // Rule ID 2196 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   64091 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*   64091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   64094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64101 */     GIR_RootConstrainSelectedInstOperands,
     /*   64102 */     // GIR_Coverage, 2196,
     /*   64102 */     GIR_EraseRootFromParent_Done,
     /*   64103 */   // Label 1675: @64103
     /*   64103 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(64123), // Rule ID 2197 //
     /*   64108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   64111 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*   64111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   64114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64121 */     GIR_RootConstrainSelectedInstOperands,
     /*   64122 */     // GIR_Coverage, 2197,
     /*   64122 */     GIR_EraseRootFromParent_Done,
     /*   64123 */   // Label 1676: @64123
     /*   64123 */   GIM_Reject,
     /*   64124 */ // Label 1674: @64124
     /*   64124 */ GIM_Reject,
     /*   64125 */ // Label 1669: @64125
     /*   64125 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(64182),
     /*   64130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64141 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(64161), // Rule ID 2236 //
     /*   64146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   64149 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*   64149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   64152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64159 */     GIR_RootConstrainSelectedInstOperands,
     /*   64160 */     // GIR_Coverage, 2236,
     /*   64160 */     GIR_EraseRootFromParent_Done,
     /*   64161 */   // Label 1678: @64161
     /*   64161 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(64181), // Rule ID 2237 //
     /*   64166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   64169 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*   64169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   64172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64179 */     GIR_RootConstrainSelectedInstOperands,
     /*   64180 */     // GIR_Coverage, 2237,
     /*   64180 */     GIR_EraseRootFromParent_Done,
     /*   64181 */   // Label 1679: @64181
     /*   64181 */   GIM_Reject,
     /*   64182 */ // Label 1677: @64182
     /*   64182 */ GIM_Reject,
     /*   64183 */ // Label 1670: @64183
     /*   64183 */ GIM_Reject,
     /*   64184 */ // Label 16: @64184
     /*   64184 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1682*/ GIMT_Encode4(64763),
     /*   64195 */ /*GILLT_s32*//*Label 1680*/ GIMT_Encode4(64203),
     /*   64199 */ /*GILLT_s64*//*Label 1681*/ GIMT_Encode4(64576),
     /*   64203 */ // Label 1680: @64203
     /*   64203 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(64234), // Rule ID 1324 //
     /*   64208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   64211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64222 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*   64225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64232 */   GIR_RootConstrainSelectedInstOperands,
     /*   64233 */   // GIR_Coverage, 1324,
     /*   64233 */   GIR_EraseRootFromParent_Done,
     /*   64234 */ // Label 1683: @64234
     /*   64234 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(64265), // Rule ID 1325 //
     /*   64239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   64242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64253 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*   64253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*   64256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64263 */   GIR_RootConstrainSelectedInstOperands,
     /*   64264 */   // GIR_Coverage, 1325,
     /*   64264 */   GIR_EraseRootFromParent_Done,
     /*   64265 */ // Label 1684: @64265
     /*   64265 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(64296), // Rule ID 1350 //
     /*   64270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*   64273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64284 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*   64287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64294 */   GIR_RootConstrainSelectedInstOperands,
     /*   64295 */   // GIR_Coverage, 1350,
     /*   64295 */   GIR_EraseRootFromParent_Done,
     /*   64296 */ // Label 1685: @64296
     /*   64296 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(64327), // Rule ID 1351 //
     /*   64301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   64304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64315 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*   64315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*   64318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64325 */   GIR_RootConstrainSelectedInstOperands,
     /*   64326 */   // GIR_Coverage, 1351,
     /*   64326 */   GIR_EraseRootFromParent_Done,
     /*   64327 */ // Label 1686: @64327
     /*   64327 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(64358), // Rule ID 1718 //
     /*   64332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*   64335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64346 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*   64349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64356 */   GIR_RootConstrainSelectedInstOperands,
     /*   64357 */   // GIR_Coverage, 1718,
     /*   64357 */   GIR_EraseRootFromParent_Done,
     /*   64358 */ // Label 1687: @64358
     /*   64358 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(64389), // Rule ID 1719 //
     /*   64363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*   64366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64377 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*   64377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*   64380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64387 */   GIR_RootConstrainSelectedInstOperands,
     /*   64388 */   // GIR_Coverage, 1719,
     /*   64388 */   GIR_EraseRootFromParent_Done,
     /*   64389 */ // Label 1688: @64389
     /*   64389 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(64420), // Rule ID 1744 //
     /*   64394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*   64397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*   64408 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*   64411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64418 */   GIR_RootConstrainSelectedInstOperands,
     /*   64419 */   // GIR_Coverage, 1744,
     /*   64419 */   GIR_EraseRootFromParent_Done,
     /*   64420 */ // Label 1689: @64420
     /*   64420 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(64451), // Rule ID 1745 //
     /*   64425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*   64428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*   64439 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*   64439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*   64442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64449 */   GIR_RootConstrainSelectedInstOperands,
     /*   64450 */   // GIR_Coverage, 1745,
     /*   64450 */   GIR_EraseRootFromParent_Done,
     /*   64451 */ // Label 1690: @64451
     /*   64451 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(64482), // Rule ID 2060 //
     /*   64456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*   64459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64470 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*   64473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64480 */   GIR_RootConstrainSelectedInstOperands,
     /*   64481 */   // GIR_Coverage, 2060,
     /*   64481 */   GIR_EraseRootFromParent_Done,
     /*   64482 */ // Label 1691: @64482
     /*   64482 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(64513), // Rule ID 2061 //
     /*   64487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*   64490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64501 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*   64501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*   64504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64511 */   GIR_RootConstrainSelectedInstOperands,
     /*   64512 */   // GIR_Coverage, 2061,
     /*   64512 */   GIR_EraseRootFromParent_Done,
     /*   64513 */ // Label 1692: @64513
     /*   64513 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(64544), // Rule ID 2086 //
     /*   64518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*   64521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64532 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*   64535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64542 */   GIR_RootConstrainSelectedInstOperands,
     /*   64543 */   // GIR_Coverage, 2086,
     /*   64543 */   GIR_EraseRootFromParent_Done,
     /*   64544 */ // Label 1693: @64544
     /*   64544 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(64575), // Rule ID 2087 //
     /*   64549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*   64552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64563 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*   64563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*   64566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64573 */   GIR_RootConstrainSelectedInstOperands,
     /*   64574 */   // GIR_Coverage, 2087,
     /*   64574 */   GIR_EraseRootFromParent_Done,
     /*   64575 */ // Label 1694: @64575
     /*   64575 */ GIM_Reject,
     /*   64576 */ // Label 1681: @64576
     /*   64576 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(64607), // Rule ID 1377 //
     /*   64581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*   64584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64595 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*   64598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64605 */   GIR_RootConstrainSelectedInstOperands,
     /*   64606 */   // GIR_Coverage, 1377,
     /*   64606 */   GIR_EraseRootFromParent_Done,
     /*   64607 */ // Label 1695: @64607
     /*   64607 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(64638), // Rule ID 1405 //
     /*   64612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*   64615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64626 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*   64629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64636 */   GIR_RootConstrainSelectedInstOperands,
     /*   64637 */   // GIR_Coverage, 1405,
     /*   64637 */   GIR_EraseRootFromParent_Done,
     /*   64638 */ // Label 1696: @64638
     /*   64638 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(64669), // Rule ID 1775 //
     /*   64643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   64646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64657 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*   64660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64667 */   GIR_RootConstrainSelectedInstOperands,
     /*   64668 */   // GIR_Coverage, 1775,
     /*   64668 */   GIR_EraseRootFromParent_Done,
     /*   64669 */ // Label 1697: @64669
     /*   64669 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(64700), // Rule ID 1803 //
     /*   64674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   64677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64688 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*   64691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64698 */   GIR_RootConstrainSelectedInstOperands,
     /*   64699 */   // GIR_Coverage, 1803,
     /*   64699 */   GIR_EraseRootFromParent_Done,
     /*   64700 */ // Label 1698: @64700
     /*   64700 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(64731), // Rule ID 2111 //
     /*   64705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*   64708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64719 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*   64722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64729 */   GIR_RootConstrainSelectedInstOperands,
     /*   64730 */   // GIR_Coverage, 2111,
     /*   64730 */   GIR_EraseRootFromParent_Done,
     /*   64731 */ // Label 1699: @64731
     /*   64731 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(64762), // Rule ID 2137 //
     /*   64736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*   64739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64750 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*   64753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64760 */   GIR_RootConstrainSelectedInstOperands,
     /*   64761 */   // GIR_Coverage, 2137,
     /*   64761 */   GIR_EraseRootFromParent_Done,
     /*   64762 */ // Label 1700: @64762
     /*   64762 */ GIM_Reject,
     /*   64763 */ // Label 1682: @64763
     /*   64763 */ GIM_Reject,
     /*   64764 */ // Label 17: @64764
     /*   64764 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(64973),
     /*   64769 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   64772 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1705*/ GIMT_Encode4(64972),
     /*   64783 */   /*GILLT_s16*//*Label 1702*/ GIMT_Encode4(64795),
     /*   64787 */   /*GILLT_s32*//*Label 1703*/ GIMT_Encode4(64854),
     /*   64791 */   /*GILLT_s64*//*Label 1704*/ GIMT_Encode4(64913),
     /*   64795 */   // Label 1702: @64795
     /*   64795 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(64853),
     /*   64800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64804 */     GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(64828), // Rule ID 2113 //
     /*   64809 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*   64812 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64816 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64816 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*   64819 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64821 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64823 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64826 */       GIR_RootConstrainSelectedInstOperands,
     /*   64827 */       // GIR_Coverage, 2113,
     /*   64827 */       GIR_EraseRootFromParent_Done,
     /*   64828 */     // Label 1707: @64828
     /*   64828 */     GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(64852), // Rule ID 2139 //
     /*   64833 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*   64836 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64840 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*   64843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64845 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64847 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64850 */       GIR_RootConstrainSelectedInstOperands,
     /*   64851 */       // GIR_Coverage, 2139,
     /*   64851 */       GIR_EraseRootFromParent_Done,
     /*   64852 */     // Label 1708: @64852
     /*   64852 */     GIM_Reject,
     /*   64853 */   // Label 1706: @64853
     /*   64853 */   GIM_Reject,
     /*   64854 */   // Label 1703: @64854
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(64912),
     /*   64859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64863 */     GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(64887), // Rule ID 1379 //
     /*   64868 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*   64871 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64875 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64875 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*   64878 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64880 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64882 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64885 */       GIR_RootConstrainSelectedInstOperands,
     /*   64886 */       // GIR_Coverage, 1379,
     /*   64886 */       GIR_EraseRootFromParent_Done,
     /*   64887 */     // Label 1710: @64887
     /*   64887 */     GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(64911), // Rule ID 1407 //
     /*   64892 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*   64895 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64899 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64899 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*   64902 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64904 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64906 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64909 */       GIR_RootConstrainSelectedInstOperands,
     /*   64910 */       // GIR_Coverage, 1407,
     /*   64910 */       GIR_EraseRootFromParent_Done,
     /*   64911 */     // Label 1711: @64911
     /*   64911 */     GIM_Reject,
     /*   64912 */   // Label 1709: @64912
     /*   64912 */   GIM_Reject,
     /*   64913 */   // Label 1704: @64913
     /*   64913 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(64971),
     /*   64918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64922 */     GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(64946), // Rule ID 1777 //
     /*   64927 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   64930 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64934 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64934 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*   64937 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64939 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64941 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64944 */       GIR_RootConstrainSelectedInstOperands,
     /*   64945 */       // GIR_Coverage, 1777,
     /*   64945 */       GIR_EraseRootFromParent_Done,
     /*   64946 */     // Label 1713: @64946
     /*   64946 */     GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(64970), // Rule ID 1805 //
     /*   64951 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   64954 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64958 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64958 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*   64961 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64963 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64965 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64968 */       GIR_RootConstrainSelectedInstOperands,
     /*   64969 */       // GIR_Coverage, 1805,
     /*   64969 */       GIR_EraseRootFromParent_Done,
     /*   64970 */     // Label 1714: @64970
     /*   64970 */     GIM_Reject,
     /*   64971 */   // Label 1712: @64971
     /*   64971 */   GIM_Reject,
     /*   64972 */   // Label 1705: @64972
     /*   64972 */   GIM_Reject,
     /*   64973 */ // Label 1701: @64973
     /*   64973 */ GIM_Reject,
     /*   64974 */ // Label 18: @64974
     /*   64974 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1718*/ GIMT_Encode4(65171),
     /*   64985 */ /*GILLT_s16*//*Label 1715*/ GIMT_Encode4(64997),
     /*   64989 */ /*GILLT_s32*//*Label 1716*/ GIMT_Encode4(65055),
     /*   64993 */ /*GILLT_s64*//*Label 1717*/ GIMT_Encode4(65113),
     /*   64997 */ // Label 1715: @64997
     /*   64997 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(65054),
     /*   65002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   65005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65013 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(65033), // Rule ID 2282 //
     /*   65018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   65021 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*   65021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   65024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65031 */     GIR_RootConstrainSelectedInstOperands,
     /*   65032 */     // GIR_Coverage, 2282,
     /*   65032 */     GIR_EraseRootFromParent_Done,
     /*   65033 */   // Label 1720: @65033
     /*   65033 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(65053), // Rule ID 2283 //
     /*   65038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   65041 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*   65041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   65044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65051 */     GIR_RootConstrainSelectedInstOperands,
     /*   65052 */     // GIR_Coverage, 2283,
     /*   65052 */     GIR_EraseRootFromParent_Done,
     /*   65053 */   // Label 1721: @65053
     /*   65053 */   GIM_Reject,
     /*   65054 */ // Label 1719: @65054
     /*   65054 */ GIM_Reject,
     /*   65055 */ // Label 1716: @65055
     /*   65055 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(65112),
     /*   65060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   65063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   65067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   65071 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(65091), // Rule ID 2200 //
     /*   65076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   65079 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*   65079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   65082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65089 */     GIR_RootConstrainSelectedInstOperands,
     /*   65090 */     // GIR_Coverage, 2200,
     /*   65090 */     GIR_EraseRootFromParent_Done,
     /*   65091 */   // Label 1723: @65091
     /*   65091 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(65111), // Rule ID 2201 //
     /*   65096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   65099 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*   65099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   65102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65109 */     GIR_RootConstrainSelectedInstOperands,
     /*   65110 */     // GIR_Coverage, 2201,
     /*   65110 */     GIR_EraseRootFromParent_Done,
     /*   65111 */   // Label 1724: @65111
     /*   65111 */   GIM_Reject,
     /*   65112 */ // Label 1722: @65112
     /*   65112 */ GIM_Reject,
     /*   65113 */ // Label 1717: @65113
     /*   65113 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(65170),
     /*   65118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   65121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   65125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   65129 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(65149), // Rule ID 2240 //
     /*   65134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   65137 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*   65137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   65140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65147 */     GIR_RootConstrainSelectedInstOperands,
     /*   65148 */     // GIR_Coverage, 2240,
     /*   65148 */     GIR_EraseRootFromParent_Done,
     /*   65149 */   // Label 1726: @65149
     /*   65149 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(65169), // Rule ID 2241 //
     /*   65154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   65157 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*   65157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   65160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65167 */     GIR_RootConstrainSelectedInstOperands,
     /*   65168 */     // GIR_Coverage, 2241,
     /*   65168 */     GIR_EraseRootFromParent_Done,
     /*   65169 */   // Label 1727: @65169
     /*   65169 */   GIM_Reject,
     /*   65170 */ // Label 1725: @65170
     /*   65170 */ GIM_Reject,
     /*   65171 */ // Label 1718: @65171
     /*   65171 */ GIM_Reject,
     /*   65172 */ // Label 19: @65172
     /*   65172 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(65210), // Rule ID 280 //
     /*   65177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65180 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   65183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65187 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*   65187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*   65190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65192 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*   65202 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   65208 */   GIR_RootConstrainSelectedInstOperands,
     /*   65209 */   // GIR_Coverage, 280,
     /*   65209 */   GIR_EraseRootFromParent_Done,
     /*   65210 */ // Label 1728: @65210
     /*   65210 */ GIM_Reject,
     /*   65211 */ // Label 20: @65211
     /*   65211 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(65249), // Rule ID 281 //
     /*   65216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65219 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   65222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65226 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*   65226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*   65229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65231 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*   65241 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   65247 */   GIR_RootConstrainSelectedInstOperands,
     /*   65248 */   // GIR_Coverage, 281,
     /*   65248 */   GIR_EraseRootFromParent_Done,
     /*   65249 */ // Label 1729: @65249
     /*   65249 */ GIM_Reject,
     /*   65250 */ // Label 21: @65250
     /*   65250 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 1764*/ GIMT_Encode4(73711),
     /*   65261 */ /*GILLT_p0s32*//*Label 1730*/ GIMT_Encode4(65397),
     /*   65265 */ /*GILLT_p0s64*//*Label 1731*/ GIMT_Encode4(65491),
     /*   65269 */ /*GILLT_s16*//*Label 1732*/ GIMT_Encode4(65585),
     /*   65273 */ /*GILLT_s32*//*Label 1733*/ GIMT_Encode4(66224),
     /*   65277 */ /*GILLT_s64*//*Label 1734*/ GIMT_Encode4(67478),
     /*   65281 */ /*GILLT_nxv1s1*//*Label 1735*/ GIMT_Encode4(68405),
     /*   65285 */ /*GILLT_nxv1s8*//*Label 1736*/ GIMT_Encode4(68525),
     /*   65289 */ /*GILLT_nxv1s16*//*Label 1737*/ GIMT_Encode4(68653),
     /*   65293 */ /*GILLT_nxv1s32*//*Label 1738*/ GIMT_Encode4(68891),
     /*   65297 */ /*GILLT_nxv1s64*//*Label 1739*/ GIMT_Encode4(69129),
     /*   65301 */ /*GILLT_nxv2s1*//*Label 1740*/ GIMT_Encode4(69367),
     /*   65305 */ /*GILLT_nxv2s8*//*Label 1741*/ GIMT_Encode4(69487),
     /*   65309 */ /*GILLT_nxv2s16*//*Label 1742*/ GIMT_Encode4(69615),
     /*   65313 */ /*GILLT_nxv2s32*//*Label 1743*/ GIMT_Encode4(69853),
     /*   65317 */ /*GILLT_nxv2s64*//*Label 1744*/ GIMT_Encode4(70091),
     /*   65321 */ /*GILLT_nxv4s1*//*Label 1745*/ GIMT_Encode4(70329),
     /*   65325 */ /*GILLT_nxv4s8*//*Label 1746*/ GIMT_Encode4(70449),
     /*   65329 */ /*GILLT_nxv4s16*//*Label 1747*/ GIMT_Encode4(70577),
     /*   65333 */ /*GILLT_nxv4s32*//*Label 1748*/ GIMT_Encode4(70815),
     /*   65337 */ /*GILLT_nxv4s64*//*Label 1749*/ GIMT_Encode4(71053),
     /*   65341 */ /*GILLT_nxv8s1*//*Label 1750*/ GIMT_Encode4(71291),
     /*   65345 */ /*GILLT_nxv8s8*//*Label 1751*/ GIMT_Encode4(71411),
     /*   65349 */ /*GILLT_nxv8s16*//*Label 1752*/ GIMT_Encode4(71539),
     /*   65353 */ /*GILLT_nxv8s32*//*Label 1753*/ GIMT_Encode4(71777),
     /*   65357 */ /*GILLT_nxv8s64*//*Label 1754*/ GIMT_Encode4(72015),
     /*   65361 */ /*GILLT_nxv16s1*//*Label 1755*/ GIMT_Encode4(72253),
     /*   65365 */ /*GILLT_nxv16s8*//*Label 1756*/ GIMT_Encode4(72373),
     /*   65369 */ /*GILLT_nxv16s16*//*Label 1757*/ GIMT_Encode4(72501),
     /*   65373 */ /*GILLT_nxv16s32*//*Label 1758*/ GIMT_Encode4(72739),
     /*   65377 */ /*GILLT_nxv32s1*//*Label 1759*/ GIMT_Encode4(72977),
     /*   65381 */ /*GILLT_nxv32s8*//*Label 1760*/ GIMT_Encode4(73097),
     /*   65385 */ /*GILLT_nxv32s16*//*Label 1761*/ GIMT_Encode4(73225),
     /*   65389 */ /*GILLT_nxv64s1*//*Label 1762*/ GIMT_Encode4(73463),
     /*   65393 */ /*GILLT_nxv64s8*//*Label 1763*/ GIMT_Encode4(73583),
     /*   65397 */ // Label 1730: @65397
     /*   65397 */ GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(65490),
     /*   65402 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65405 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65413 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65417 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(65453), // Rule ID 63926 //
     /*   65422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   65425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65432 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   65435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 63926,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1766: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(65489), // Rule ID 63930 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   65461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65468 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   65471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65487 */     GIR_RootConstrainSelectedInstOperands,
     /*   65488 */     // GIR_Coverage, 63930,
     /*   65488 */     GIR_EraseRootFromParent_Done,
     /*   65489 */   // Label 1767: @65489
     /*   65489 */   GIM_Reject,
     /*   65490 */ // Label 1765: @65490
     /*   65490 */ GIM_Reject,
     /*   65491 */ // Label 1731: @65491
     /*   65491 */ GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(65584),
     /*   65496 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65499 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65507 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65511 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(65547), // Rule ID 63925 //
     /*   65516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   65519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65526 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   65529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65545 */     GIR_RootConstrainSelectedInstOperands,
     /*   65546 */     // GIR_Coverage, 63925,
     /*   65546 */     GIR_EraseRootFromParent_Done,
     /*   65547 */   // Label 1769: @65547
     /*   65547 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(65583), // Rule ID 63929 //
     /*   65552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65562 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   65565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65581 */     GIR_RootConstrainSelectedInstOperands,
     /*   65582 */     // GIR_Coverage, 63929,
     /*   65582 */     GIR_EraseRootFromParent_Done,
     /*   65583 */   // Label 1770: @65583
     /*   65583 */   GIM_Reject,
     /*   65584 */ // Label 1768: @65584
     /*   65584 */ GIM_Reject,
     /*   65585 */ // Label 1732: @65585
     /*   65585 */ GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(65639), // Rule ID 63941 //
     /*   65590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   65593 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65596 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   65603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65618 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   65621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65637 */   GIR_RootConstrainSelectedInstOperands,
     /*   65638 */   // GIR_Coverage, 63941,
     /*   65638 */   GIR_EraseRootFromParent_Done,
     /*   65639 */ // Label 1771: @65639
     /*   65639 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(65693), // Rule ID 63942 //
     /*   65644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   65647 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65650 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   65657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65672 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   65675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65691 */   GIR_RootConstrainSelectedInstOperands,
     /*   65692 */   // GIR_Coverage, 63942,
     /*   65692 */   GIR_EraseRootFromParent_Done,
     /*   65693 */ // Label 1772: @65693
     /*   65693 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(65747), // Rule ID 63943 //
     /*   65698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   65701 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65704 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   65711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65726 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   65729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65741 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65745 */   GIR_RootConstrainSelectedInstOperands,
     /*   65746 */   // GIR_Coverage, 63943,
     /*   65746 */   GIR_EraseRootFromParent_Done,
     /*   65747 */ // Label 1773: @65747
     /*   65747 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(65801), // Rule ID 63944 //
     /*   65752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   65755 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   65765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65780 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   65783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65785 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65799 */   GIR_RootConstrainSelectedInstOperands,
     /*   65800 */   // GIR_Coverage, 63944,
     /*   65800 */   GIR_EraseRootFromParent_Done,
     /*   65801 */ // Label 1774: @65801
     /*   65801 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(65852), // Rule ID 2008 //
     /*   65806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*   65809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65831 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*   65834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65850 */   GIR_RootConstrainSelectedInstOperands,
     /*   65851 */   // GIR_Coverage, 2008,
     /*   65851 */   GIR_EraseRootFromParent_Done,
     /*   65852 */ // Label 1775: @65852
     /*   65852 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(65903), // Rule ID 2009 //
     /*   65857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*   65860 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65863 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65871 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65882 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*   65885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65901 */   GIR_RootConstrainSelectedInstOperands,
     /*   65902 */   // GIR_Coverage, 2009,
     /*   65902 */   GIR_EraseRootFromParent_Done,
     /*   65903 */ // Label 1776: @65903
     /*   65903 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(65954), // Rule ID 2014 //
     /*   65908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*   65911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   65922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65926 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65933 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*   65936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65948 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65952 */   GIR_RootConstrainSelectedInstOperands,
     /*   65953 */   // GIR_Coverage, 2014,
     /*   65953 */   GIR_EraseRootFromParent_Done,
     /*   65954 */ // Label 1777: @65954
     /*   65954 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(66005), // Rule ID 2015 //
     /*   65959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*   65962 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   65973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65977 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65984 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*   65987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66003 */   GIR_RootConstrainSelectedInstOperands,
     /*   66004 */   // GIR_Coverage, 2015,
     /*   66004 */   GIR_EraseRootFromParent_Done,
     /*   66005 */ // Label 1778: @66005
     /*   66005 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(66056), // Rule ID 63933 //
     /*   66010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66028 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66035 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66050 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66054 */   GIR_RootConstrainSelectedInstOperands,
     /*   66055 */   // GIR_Coverage, 63933,
     /*   66055 */   GIR_EraseRootFromParent_Done,
     /*   66056 */ // Label 1779: @66056
     /*   66056 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(66107), // Rule ID 63934 //
     /*   66061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66064 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66067 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66075 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66079 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66086 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66091 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66101 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66105 */   GIR_RootConstrainSelectedInstOperands,
     /*   66106 */   // GIR_Coverage, 63934,
     /*   66106 */   GIR_EraseRootFromParent_Done,
     /*   66107 */ // Label 1780: @66107
     /*   66107 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(66165), // Rule ID 63937 //
     /*   66112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66115 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66118 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66144 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66159 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66163 */   GIR_RootConstrainSelectedInstOperands,
     /*   66164 */   // GIR_Coverage, 63937,
     /*   66164 */   GIR_EraseRootFromParent_Done,
     /*   66165 */ // Label 1781: @66165
     /*   66165 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(66223), // Rule ID 63938 //
     /*   66170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66173 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66176 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66180 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66191 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66202 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66217 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66221 */   GIR_RootConstrainSelectedInstOperands,
     /*   66222 */   // GIR_Coverage, 63938,
     /*   66222 */   GIR_EraseRootFromParent_Done,
     /*   66223 */ // Label 1782: @66223
     /*   66223 */ GIM_Reject,
     /*   66224 */ // Label 1733: @66224
     /*   66224 */ GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(66281), // Rule ID 312 //
     /*   66229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66232 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66235 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66242 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66249 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66253 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66260 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_9675>>  =>  (LB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   66263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66275 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66279 */   GIR_RootConstrainSelectedInstOperands,
     /*   66280 */   // GIR_Coverage, 312,
     /*   66280 */   GIR_EraseRootFromParent_Done,
     /*   66281 */ // Label 1783: @66281
     /*   66281 */ GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(66338), // Rule ID 314 //
     /*   66286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66289 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66292 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   66299 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66310 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66317 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_9677>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66332 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66336 */   GIR_RootConstrainSelectedInstOperands,
     /*   66337 */   // GIR_Coverage, 314,
     /*   66337 */   GIR_EraseRootFromParent_Done,
     /*   66338 */ // Label 1784: @66338
     /*   66338 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(66395), // Rule ID 316 //
     /*   66343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66346 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66349 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66356 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66363 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66374 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_9679>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66389 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66393 */   GIR_RootConstrainSelectedInstOperands,
     /*   66394 */   // GIR_Coverage, 316,
     /*   66394 */   GIR_EraseRootFromParent_Done,
     /*   66395 */ // Label 1785: @66395
     /*   66395 */ GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(66449), // Rule ID 63949 //
     /*   66400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   66403 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66406 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66417 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66421 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66428 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66447 */   GIR_RootConstrainSelectedInstOperands,
     /*   66448 */   // GIR_Coverage, 63949,
     /*   66448 */   GIR_EraseRootFromParent_Done,
     /*   66449 */ // Label 1786: @66449
     /*   66449 */ GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(66503), // Rule ID 63950 //
     /*   66454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*   66457 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66460 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66471 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66475 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66482 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66497 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66501 */   GIR_RootConstrainSelectedInstOperands,
     /*   66502 */   // GIR_Coverage, 63950,
     /*   66502 */   GIR_EraseRootFromParent_Done,
     /*   66503 */ // Label 1787: @66503
     /*   66503 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(66561), // Rule ID 227 //
     /*   66508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66514 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66518 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66540 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66559 */   GIR_RootConstrainSelectedInstOperands,
     /*   66560 */   // GIR_Coverage, 227,
     /*   66560 */   GIR_EraseRootFromParent_Done,
     /*   66561 */ // Label 1788: @66561
     /*   66561 */ GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(66619), // Rule ID 231 //
     /*   66566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66569 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66572 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66576 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   66583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66591 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66598 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66617 */   GIR_RootConstrainSelectedInstOperands,
     /*   66618 */   // GIR_Coverage, 231,
     /*   66618 */   GIR_EraseRootFromParent_Done,
     /*   66619 */ // Label 1789: @66619
     /*   66619 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(66670), // Rule ID 232 //
     /*   66624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66627 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66630 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66649 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66668 */   GIR_RootConstrainSelectedInstOperands,
     /*   66669 */   // GIR_Coverage, 232,
     /*   66669 */   GIR_EraseRootFromParent_Done,
     /*   66670 */ // Label 1790: @66670
     /*   66670 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(66721), // Rule ID 233 //
     /*   66675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66700 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66719 */   GIR_RootConstrainSelectedInstOperands,
     /*   66720 */   // GIR_Coverage, 233,
     /*   66720 */   GIR_EraseRootFromParent_Done,
     /*   66721 */ // Label 1791: @66721
     /*   66721 */ GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(66772), // Rule ID 1295 //
     /*   66726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*   66729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   66740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66751 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*   66754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66770 */   GIR_RootConstrainSelectedInstOperands,
     /*   66771 */   // GIR_Coverage, 1295,
     /*   66771 */   GIR_EraseRootFromParent_Done,
     /*   66772 */ // Label 1792: @66772
     /*   66772 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(66823), // Rule ID 1296 //
     /*   66777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*   66780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   66791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66802 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*   66805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66821 */   GIR_RootConstrainSelectedInstOperands,
     /*   66822 */   // GIR_Coverage, 1296,
     /*   66822 */   GIR_EraseRootFromParent_Done,
     /*   66823 */ // Label 1793: @66823
     /*   66823 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(66874), // Rule ID 1301 //
     /*   66828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*   66831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   66842 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66853 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*   66856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66872 */   GIR_RootConstrainSelectedInstOperands,
     /*   66873 */   // GIR_Coverage, 1301,
     /*   66873 */   GIR_EraseRootFromParent_Done,
     /*   66874 */ // Label 1794: @66874
     /*   66874 */ GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(66925), // Rule ID 1302 //
     /*   66879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*   66882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   66893 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66897 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66904 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*   66907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66919 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66923 */   GIR_RootConstrainSelectedInstOperands,
     /*   66924 */   // GIR_Coverage, 1302,
     /*   66924 */   GIR_EraseRootFromParent_Done,
     /*   66925 */ // Label 1795: @66925
     /*   66925 */ GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(66983), // Rule ID 63953 //
     /*   66930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   66933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66936 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66940 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66955 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66962 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66981 */   GIR_RootConstrainSelectedInstOperands,
     /*   66982 */   // GIR_Coverage, 63953,
     /*   66982 */   GIR_EraseRootFromParent_Done,
     /*   66983 */ // Label 1796: @66983
     /*   66983 */ GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(67041), // Rule ID 63954 //
     /*   66988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   66991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66994 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66998 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67009 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67013 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67020 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   67020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   67023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67025 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67035 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67039 */   GIR_RootConstrainSelectedInstOperands,
     /*   67040 */   // GIR_Coverage, 63954,
     /*   67040 */   GIR_EraseRootFromParent_Done,
     /*   67041 */ // Label 1797: @67041
     /*   67041 */ GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(67099), // Rule ID 63955 //
     /*   67046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67052 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67056 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67067 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67078 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67097 */   GIR_RootConstrainSelectedInstOperands,
     /*   67098 */   // GIR_Coverage, 63955,
     /*   67098 */   GIR_EraseRootFromParent_Done,
     /*   67099 */ // Label 1798: @67099
     /*   67099 */ GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(67157), // Rule ID 63956 //
     /*   67104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   67107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67110 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67114 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67129 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67136 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   67136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67151 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67155 */   GIR_RootConstrainSelectedInstOperands,
     /*   67156 */   // GIR_Coverage, 63956,
     /*   67156 */   GIR_EraseRootFromParent_Done,
     /*   67157 */ // Label 1799: @67157
     /*   67157 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(67197), // Rule ID 1074 //
     /*   67162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67165 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67168 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67182 */   // MIs[0] rs1
     /*   67182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67190 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10171>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   67195 */   GIR_RootConstrainSelectedInstOperands,
     /*   67196 */   // GIR_Coverage, 1074,
     /*   67196 */   GIR_Done,
     /*   67197 */ // Label 1800: @67197
     /*   67197 */ GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(67237), // Rule ID 1076 //
     /*   67202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67205 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67208 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67222 */   // MIs[0] rs1
     /*   67222 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67230 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10173>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   67235 */   GIR_RootConstrainSelectedInstOperands,
     /*   67236 */   // GIR_Coverage, 1076,
     /*   67236 */   GIR_Done,
     /*   67237 */ // Label 1801: @67237
     /*   67237 */ GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(67277), // Rule ID 1078 //
     /*   67242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67245 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67262 */   // MIs[0] rs1
     /*   67262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67270 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10175>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   67275 */   GIR_RootConstrainSelectedInstOperands,
     /*   67276 */   // GIR_Coverage, 1078,
     /*   67276 */   GIR_Done,
     /*   67277 */ // Label 1802: @67277
     /*   67277 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(67317), // Rule ID 1080 //
     /*   67282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67285 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67288 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67302 */   // MIs[0] rs1
     /*   67302 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67310 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10177>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   67315 */   GIR_RootConstrainSelectedInstOperands,
     /*   67316 */   // GIR_Coverage, 1080,
     /*   67316 */   GIR_Done,
     /*   67317 */ // Label 1803: @67317
     /*   67317 */ GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(67357), // Rule ID 1082 //
     /*   67322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67325 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67328 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67335 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67342 */   // MIs[0] rs1
     /*   67342 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67350 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10179>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67350 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   67355 */   GIR_RootConstrainSelectedInstOperands,
     /*   67356 */   // GIR_Coverage, 1082,
     /*   67356 */   GIR_Done,
     /*   67357 */ // Label 1804: @67357
     /*   67357 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(67397), // Rule ID 1084 //
     /*   67362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67365 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67368 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67375 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67382 */   // MIs[0] rs1
     /*   67382 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67390 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10181>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67390 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   67395 */   GIR_RootConstrainSelectedInstOperands,
     /*   67396 */   // GIR_Coverage, 1084,
     /*   67396 */   GIR_Done,
     /*   67397 */ // Label 1805: @67397
     /*   67397 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(67437), // Rule ID 1098 //
     /*   67402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   67405 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67408 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67415 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67422 */   // MIs[0] rs1
     /*   67422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67430 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10195>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67430 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   67435 */   GIR_RootConstrainSelectedInstOperands,
     /*   67436 */   // GIR_Coverage, 1098,
     /*   67436 */   GIR_Done,
     /*   67437 */ // Label 1806: @67437
     /*   67437 */ GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(67477), // Rule ID 1100 //
     /*   67442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   67445 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67448 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67462 */   // MIs[0] rs1
     /*   67462 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67470 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10197>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   67475 */   GIR_RootConstrainSelectedInstOperands,
     /*   67476 */   // GIR_Coverage, 1100,
     /*   67476 */   GIR_Done,
     /*   67477 */ // Label 1807: @67477
     /*   67477 */ GIM_Reject,
     /*   67478 */ // Label 1734: @67478
     /*   67478 */ GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(67535), // Rule ID 311 //
     /*   67483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67486 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67489 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67496 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67507 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67514 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_9675>>  =>  (LB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   67517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67533 */   GIR_RootConstrainSelectedInstOperands,
     /*   67534 */   // GIR_Coverage, 311,
     /*   67534 */   GIR_EraseRootFromParent_Done,
     /*   67535 */ // Label 1808: @67535
     /*   67535 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(67592), // Rule ID 313 //
     /*   67540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67553 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67571 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_9677>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67590 */   GIR_RootConstrainSelectedInstOperands,
     /*   67591 */   // GIR_Coverage, 313,
     /*   67591 */   GIR_EraseRootFromParent_Done,
     /*   67592 */ // Label 1809: @67592
     /*   67592 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(67649), // Rule ID 315 //
     /*   67597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67600 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67610 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67617 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67628 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_9679>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   67631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67647 */   GIR_RootConstrainSelectedInstOperands,
     /*   67648 */   // GIR_Coverage, 315,
     /*   67648 */   GIR_EraseRootFromParent_Done,
     /*   67649 */ // Label 1810: @67649
     /*   67649 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(67706), // Rule ID 323 //
     /*   67654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   67657 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67660 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67667 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67685 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_9687>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   67688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67704 */   GIR_RootConstrainSelectedInstOperands,
     /*   67705 */   // GIR_Coverage, 323,
     /*   67705 */   GIR_EraseRootFromParent_Done,
     /*   67706 */ // Label 1811: @67706
     /*   67706 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(67764), // Rule ID 226 //
     /*   67711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   67714 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67717 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67721 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67743 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   67746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67762 */   GIR_RootConstrainSelectedInstOperands,
     /*   67763 */   // GIR_Coverage, 226,
     /*   67763 */   GIR_EraseRootFromParent_Done,
     /*   67764 */ // Label 1812: @67764
     /*   67764 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(67822), // Rule ID 230 //
     /*   67769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   67772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67775 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67779 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67794 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67801 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67820 */   GIR_RootConstrainSelectedInstOperands,
     /*   67821 */   // GIR_Coverage, 230,
     /*   67821 */   GIR_EraseRootFromParent_Done,
     /*   67822 */ // Label 1813: @67822
     /*   67822 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(67880), // Rule ID 275 //
     /*   67827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67830 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67833 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67837 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67859 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   67862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67878 */   GIR_RootConstrainSelectedInstOperands,
     /*   67879 */   // GIR_Coverage, 275,
     /*   67879 */   GIR_EraseRootFromParent_Done,
     /*   67880 */ // Label 1814: @67880
     /*   67880 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(67931), // Rule ID 277 //
     /*   67885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67888 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67891 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67910 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   67913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67929 */   GIR_RootConstrainSelectedInstOperands,
     /*   67930 */   // GIR_Coverage, 277,
     /*   67930 */   GIR_EraseRootFromParent_Done,
     /*   67931 */ // Label 1815: @67931
     /*   67931 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(67982), // Rule ID 1693 //
     /*   67936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*   67939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   67950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67961 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*   67964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67980 */   GIR_RootConstrainSelectedInstOperands,
     /*   67981 */   // GIR_Coverage, 1693,
     /*   67981 */   GIR_EraseRootFromParent_Done,
     /*   67982 */ // Label 1816: @67982
     /*   67982 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(68033), // Rule ID 1694 //
     /*   67987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*   67990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   68001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   68012 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   68012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*   68015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   68022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   68027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68031 */   GIR_RootConstrainSelectedInstOperands,
     /*   68032 */   // GIR_Coverage, 1694,
     /*   68032 */   GIR_EraseRootFromParent_Done,
     /*   68033 */ // Label 1817: @68033
     /*   68033 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(68084), // Rule ID 1698 //
     /*   68038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   68041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   68063 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   68063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   68066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   68073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   68078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68082 */   GIR_RootConstrainSelectedInstOperands,
     /*   68083 */   // GIR_Coverage, 1698,
     /*   68083 */   GIR_EraseRootFromParent_Done,
     /*   68084 */ // Label 1818: @68084
     /*   68084 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(68124), // Rule ID 1073 //
     /*   68089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68092 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68095 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   68102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68109 */   // MIs[0] rs1
     /*   68109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68117 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10171>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68117 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   68122 */   GIR_RootConstrainSelectedInstOperands,
     /*   68123 */   // GIR_Coverage, 1073,
     /*   68123 */   GIR_Done,
     /*   68124 */ // Label 1819: @68124
     /*   68124 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(68164), // Rule ID 1075 //
     /*   68129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68132 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68135 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   68142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68149 */   // MIs[0] rs1
     /*   68149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68157 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10173>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   68162 */   GIR_RootConstrainSelectedInstOperands,
     /*   68163 */   // GIR_Coverage, 1075,
     /*   68163 */   GIR_Done,
     /*   68164 */ // Label 1820: @68164
     /*   68164 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(68204), // Rule ID 1077 //
     /*   68169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68172 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68175 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   68182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68189 */   // MIs[0] rs1
     /*   68189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68197 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10175>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68197 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   68202 */   GIR_RootConstrainSelectedInstOperands,
     /*   68203 */   // GIR_Coverage, 1077,
     /*   68203 */   GIR_Done,
     /*   68204 */ // Label 1821: @68204
     /*   68204 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(68244), // Rule ID 1079 //
     /*   68209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68212 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68215 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   68222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68229 */   // MIs[0] rs1
     /*   68229 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68237 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10177>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   68242 */   GIR_RootConstrainSelectedInstOperands,
     /*   68243 */   // GIR_Coverage, 1079,
     /*   68243 */   GIR_Done,
     /*   68244 */ // Label 1822: @68244
     /*   68244 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(68284), // Rule ID 1081 //
     /*   68249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68252 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68255 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   68262 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68269 */   // MIs[0] rs1
     /*   68269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68277 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10179>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68277 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   68282 */   GIR_RootConstrainSelectedInstOperands,
     /*   68283 */   // GIR_Coverage, 1081,
     /*   68283 */   GIR_Done,
     /*   68284 */ // Label 1823: @68284
     /*   68284 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(68324), // Rule ID 1083 //
     /*   68289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   68302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68309 */   // MIs[0] rs1
     /*   68309 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68317 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10181>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68317 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   68322 */   GIR_RootConstrainSelectedInstOperands,
     /*   68323 */   // GIR_Coverage, 1083,
     /*   68323 */   GIR_Done,
     /*   68324 */ // Label 1824: @68324
     /*   68324 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(68364), // Rule ID 1097 //
     /*   68329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   68332 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68335 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   68342 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68349 */   // MIs[0] rs1
     /*   68349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68357 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10195>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68357 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   68362 */   GIR_RootConstrainSelectedInstOperands,
     /*   68363 */   // GIR_Coverage, 1097,
     /*   68363 */   GIR_Done,
     /*   68364 */ // Label 1825: @68364
     /*   68364 */ GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(68404), // Rule ID 1099 //
     /*   68369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   68372 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68375 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   68382 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68389 */   // MIs[0] rs1
     /*   68389 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68397 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10197>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68397 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   68402 */   GIR_RootConstrainSelectedInstOperands,
     /*   68403 */   // GIR_Coverage, 1099,
     /*   68403 */   GIR_Done,
     /*   68404 */ // Label 1826: @68404
     /*   68404 */ GIM_Reject,
     /*   68405 */ // Label 1735: @68405
     /*   68405 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(68524),
     /*   68410 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68413 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68429 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(68476), // Rule ID 45424 //
     /*   68434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68437 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   68437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*   68440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*   68454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   68467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68474 */     GIR_RootConstrainSelectedInstOperands,
     /*   68475 */     // GIR_Coverage, 45424,
     /*   68475 */     GIR_EraseRootFromParent_Done,
     /*   68476 */   // Label 1828: @68476
     /*   68476 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(68523), // Rule ID 45425 //
     /*   68481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68484 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   68484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*   68487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*   68501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   68514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68521 */     GIR_RootConstrainSelectedInstOperands,
     /*   68522 */     // GIR_Coverage, 45425,
     /*   68522 */     GIR_EraseRootFromParent_Done,
     /*   68523 */   // Label 1829: @68523
     /*   68523 */   GIM_Reject,
     /*   68524 */ // Label 1827: @68524
     /*   68524 */ GIM_Reject,
     /*   68525 */ // Label 1736: @68525
     /*   68525 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(68652),
     /*   68530 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68533 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68541 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(68596), // Rule ID 45420 //
     /*   68546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68549 */     // MIs[0] rs1
     /*   68549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68557 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   68560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*   68574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68594 */     GIR_RootConstrainSelectedInstOperands,
     /*   68595 */     // GIR_Coverage, 45420,
     /*   68595 */     GIR_EraseRootFromParent_Done,
     /*   68596 */   // Label 1831: @68596
     /*   68596 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(68651), // Rule ID 45421 //
     /*   68601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68604 */     // MIs[0] rs1
     /*   68604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68612 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   68615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*   68629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68649 */     GIR_RootConstrainSelectedInstOperands,
     /*   68650 */     // GIR_Coverage, 45421,
     /*   68650 */     GIR_EraseRootFromParent_Done,
     /*   68651 */   // Label 1832: @68651
     /*   68651 */   GIM_Reject,
     /*   68652 */ // Label 1830: @68652
     /*   68652 */ GIM_Reject,
     /*   68653 */ // Label 1737: @68653
     /*   68653 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(68890),
     /*   68658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68669 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(68724), // Rule ID 45616 //
     /*   68674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68677 */     // MIs[0] rs1
     /*   68677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68685 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   68685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68722 */     GIR_RootConstrainSelectedInstOperands,
     /*   68723 */     // GIR_Coverage, 45616,
     /*   68723 */     GIR_EraseRootFromParent_Done,
     /*   68724 */   // Label 1834: @68724
     /*   68724 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(68779), // Rule ID 45617 //
     /*   68729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68732 */     // MIs[0] rs1
     /*   68732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68740 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   68740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68777 */     GIR_RootConstrainSelectedInstOperands,
     /*   68778 */     // GIR_Coverage, 45617,
     /*   68778 */     GIR_EraseRootFromParent_Done,
     /*   68779 */   // Label 1835: @68779
     /*   68779 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(68834), // Rule ID 45692 //
     /*   68784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   68787 */     // MIs[0] rs1
     /*   68787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68795 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   68795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68832 */     GIR_RootConstrainSelectedInstOperands,
     /*   68833 */     // GIR_Coverage, 45692,
     /*   68833 */     GIR_EraseRootFromParent_Done,
     /*   68834 */   // Label 1836: @68834
     /*   68834 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(68889), // Rule ID 45693 //
     /*   68839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   68842 */     // MIs[0] rs1
     /*   68842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68850 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68887 */     GIR_RootConstrainSelectedInstOperands,
     /*   68888 */     // GIR_Coverage, 45693,
     /*   68888 */     GIR_EraseRootFromParent_Done,
     /*   68889 */   // Label 1837: @68889
     /*   68889 */   GIM_Reject,
     /*   68890 */ // Label 1833: @68890
     /*   68890 */ GIM_Reject,
     /*   68891 */ // Label 1738: @68891
     /*   68891 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(69128),
     /*   68896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68899 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68907 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(68962), // Rule ID 45624 //
     /*   68912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68915 */     // MIs[0] rs1
     /*   68915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68923 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   68926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   68940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68960 */     GIR_RootConstrainSelectedInstOperands,
     /*   68961 */     // GIR_Coverage, 45624,
     /*   68961 */     GIR_EraseRootFromParent_Done,
     /*   68962 */   // Label 1839: @68962
     /*   68962 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(69017), // Rule ID 45625 //
     /*   68967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68970 */     // MIs[0] rs1
     /*   68970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68978 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   68981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   68995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69015 */     GIR_RootConstrainSelectedInstOperands,
     /*   69016 */     // GIR_Coverage, 45625,
     /*   69016 */     GIR_EraseRootFromParent_Done,
     /*   69017 */   // Label 1840: @69017
     /*   69017 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(69072), // Rule ID 45700 //
     /*   69022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   69025 */     // MIs[0] rs1
     /*   69025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69033 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   69036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   69050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69070 */     GIR_RootConstrainSelectedInstOperands,
     /*   69071 */     // GIR_Coverage, 45700,
     /*   69071 */     GIR_EraseRootFromParent_Done,
     /*   69072 */   // Label 1841: @69072
     /*   69072 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(69127), // Rule ID 45701 //
     /*   69077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   69080 */     // MIs[0] rs1
     /*   69080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69088 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   69088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   69091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   69105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69125 */     GIR_RootConstrainSelectedInstOperands,
     /*   69126 */     // GIR_Coverage, 45701,
     /*   69126 */     GIR_EraseRootFromParent_Done,
     /*   69127 */   // Label 1842: @69127
     /*   69127 */   GIM_Reject,
     /*   69128 */ // Label 1838: @69128
     /*   69128 */ GIM_Reject,
     /*   69129 */ // Label 1739: @69129
     /*   69129 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(69366),
     /*   69134 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69137 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69145 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(69200), // Rule ID 45640 //
     /*   69150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   69153 */     // MIs[0] rs1
     /*   69153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69161 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   69161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69198 */     GIR_RootConstrainSelectedInstOperands,
     /*   69199 */     // GIR_Coverage, 45640,
     /*   69199 */     GIR_EraseRootFromParent_Done,
     /*   69200 */   // Label 1844: @69200
     /*   69200 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(69255), // Rule ID 45641 //
     /*   69205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   69208 */     // MIs[0] rs1
     /*   69208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69216 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   69216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69253 */     GIR_RootConstrainSelectedInstOperands,
     /*   69254 */     // GIR_Coverage, 45641,
     /*   69254 */     GIR_EraseRootFromParent_Done,
     /*   69255 */   // Label 1845: @69255
     /*   69255 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(69310), // Rule ID 45712 //
     /*   69260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   69263 */     // MIs[0] rs1
     /*   69263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69271 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   69271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69308 */     GIR_RootConstrainSelectedInstOperands,
     /*   69309 */     // GIR_Coverage, 45712,
     /*   69309 */     GIR_EraseRootFromParent_Done,
     /*   69310 */   // Label 1846: @69310
     /*   69310 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(69365), // Rule ID 45713 //
     /*   69315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   69318 */     // MIs[0] rs1
     /*   69318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69326 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   69326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69363 */     GIR_RootConstrainSelectedInstOperands,
     /*   69364 */     // GIR_Coverage, 45713,
     /*   69364 */     GIR_EraseRootFromParent_Done,
     /*   69365 */   // Label 1847: @69365
     /*   69365 */   GIM_Reject,
     /*   69366 */ // Label 1843: @69366
     /*   69366 */ GIM_Reject,
     /*   69367 */ // Label 1740: @69367
     /*   69367 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(69486),
     /*   69372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69375 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   69387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69391 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(69438), // Rule ID 45752 //
     /*   69396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69399 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   69399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*   69402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*   69416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   69429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 45752,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1849: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(69485), // Rule ID 45753 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   69446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*   69449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*   69463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   69476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69483 */     GIR_RootConstrainSelectedInstOperands,
     /*   69484 */     // GIR_Coverage, 45753,
     /*   69484 */     GIR_EraseRootFromParent_Done,
     /*   69485 */   // Label 1850: @69485
     /*   69485 */   GIM_Reject,
     /*   69486 */ // Label 1848: @69486
     /*   69486 */ GIM_Reject,
     /*   69487 */ // Label 1741: @69487
     /*   69487 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(69614),
     /*   69492 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69495 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69503 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(69558), // Rule ID 45608 //
     /*   69508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69511 */     // MIs[0] rs1
     /*   69511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69519 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   69522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*   69536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69556 */     GIR_RootConstrainSelectedInstOperands,
     /*   69557 */     // GIR_Coverage, 45608,
     /*   69557 */     GIR_EraseRootFromParent_Done,
     /*   69558 */   // Label 1852: @69558
     /*   69558 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(69613), // Rule ID 45609 //
     /*   69563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69566 */     // MIs[0] rs1
     /*   69566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69574 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   69577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*   69591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69611 */     GIR_RootConstrainSelectedInstOperands,
     /*   69612 */     // GIR_Coverage, 45609,
     /*   69612 */     GIR_EraseRootFromParent_Done,
     /*   69613 */   // Label 1853: @69613
     /*   69613 */   GIM_Reject,
     /*   69614 */ // Label 1851: @69614
     /*   69614 */ GIM_Reject,
     /*   69615 */ // Label 1742: @69615
     /*   69615 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(69852),
     /*   69620 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69623 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69631 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(69686), // Rule ID 45620 //
     /*   69636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69639 */     // MIs[0] rs1
     /*   69639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69647 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69684 */     GIR_RootConstrainSelectedInstOperands,
     /*   69685 */     // GIR_Coverage, 45620,
     /*   69685 */     GIR_EraseRootFromParent_Done,
     /*   69686 */   // Label 1855: @69686
     /*   69686 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(69741), // Rule ID 45621 //
     /*   69691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69694 */     // MIs[0] rs1
     /*   69694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69702 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69739 */     GIR_RootConstrainSelectedInstOperands,
     /*   69740 */     // GIR_Coverage, 45621,
     /*   69740 */     GIR_EraseRootFromParent_Done,
     /*   69741 */   // Label 1856: @69741
     /*   69741 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(69796), // Rule ID 45696 //
     /*   69746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   69749 */     // MIs[0] rs1
     /*   69749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69757 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69794 */     GIR_RootConstrainSelectedInstOperands,
     /*   69795 */     // GIR_Coverage, 45696,
     /*   69795 */     GIR_EraseRootFromParent_Done,
     /*   69796 */   // Label 1857: @69796
     /*   69796 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(69851), // Rule ID 45697 //
     /*   69801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   69804 */     // MIs[0] rs1
     /*   69804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69812 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69849 */     GIR_RootConstrainSelectedInstOperands,
     /*   69850 */     // GIR_Coverage, 45697,
     /*   69850 */     GIR_EraseRootFromParent_Done,
     /*   69851 */   // Label 1858: @69851
     /*   69851 */   GIM_Reject,
     /*   69852 */ // Label 1854: @69852
     /*   69852 */ GIM_Reject,
     /*   69853 */ // Label 1743: @69853
     /*   69853 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(70090),
     /*   69858 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69861 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69869 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(69924), // Rule ID 45636 //
     /*   69874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69877 */     // MIs[0] rs1
     /*   69877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69885 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   69902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69922 */     GIR_RootConstrainSelectedInstOperands,
     /*   69923 */     // GIR_Coverage, 45636,
     /*   69923 */     GIR_EraseRootFromParent_Done,
     /*   69924 */   // Label 1860: @69924
     /*   69924 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(69979), // Rule ID 45637 //
     /*   69929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69932 */     // MIs[0] rs1
     /*   69932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69940 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   69940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   69957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69977 */     GIR_RootConstrainSelectedInstOperands,
     /*   69978 */     // GIR_Coverage, 45637,
     /*   69978 */     GIR_EraseRootFromParent_Done,
     /*   69979 */   // Label 1861: @69979
     /*   69979 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(70034), // Rule ID 45708 //
     /*   69984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   69987 */     // MIs[0] rs1
     /*   69987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69995 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   70012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70032 */     GIR_RootConstrainSelectedInstOperands,
     /*   70033 */     // GIR_Coverage, 45708,
     /*   70033 */     GIR_EraseRootFromParent_Done,
     /*   70034 */   // Label 1862: @70034
     /*   70034 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(70089), // Rule ID 45709 //
     /*   70039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   70042 */     // MIs[0] rs1
     /*   70042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70050 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   70053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   70067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70087 */     GIR_RootConstrainSelectedInstOperands,
     /*   70088 */     // GIR_Coverage, 45709,
     /*   70088 */     GIR_EraseRootFromParent_Done,
     /*   70089 */   // Label 1863: @70089
     /*   70089 */   GIM_Reject,
     /*   70090 */ // Label 1859: @70090
     /*   70090 */ GIM_Reject,
     /*   70091 */ // Label 1744: @70091
     /*   70091 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(70328),
     /*   70096 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70099 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70107 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(70162), // Rule ID 45680 //
     /*   70112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   70115 */     // MIs[0] rs1
     /*   70115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70123 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   70123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70160 */     GIR_RootConstrainSelectedInstOperands,
     /*   70161 */     // GIR_Coverage, 45680,
     /*   70161 */     GIR_EraseRootFromParent_Done,
     /*   70162 */   // Label 1865: @70162
     /*   70162 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(70217), // Rule ID 45681 //
     /*   70167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   70170 */     // MIs[0] rs1
     /*   70170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70178 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   70178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70215 */     GIR_RootConstrainSelectedInstOperands,
     /*   70216 */     // GIR_Coverage, 45681,
     /*   70216 */     GIR_EraseRootFromParent_Done,
     /*   70217 */   // Label 1866: @70217
     /*   70217 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(70272), // Rule ID 45740 //
     /*   70222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   70225 */     // MIs[0] rs1
     /*   70225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70233 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   70233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70270 */     GIR_RootConstrainSelectedInstOperands,
     /*   70271 */     // GIR_Coverage, 45740,
     /*   70271 */     GIR_EraseRootFromParent_Done,
     /*   70272 */   // Label 1867: @70272
     /*   70272 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(70327), // Rule ID 45741 //
     /*   70277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   70280 */     // MIs[0] rs1
     /*   70280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70288 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   70288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70325 */     GIR_RootConstrainSelectedInstOperands,
     /*   70326 */     // GIR_Coverage, 45741,
     /*   70326 */     GIR_EraseRootFromParent_Done,
     /*   70327 */   // Label 1868: @70327
     /*   70327 */   GIM_Reject,
     /*   70328 */ // Label 1864: @70328
     /*   70328 */ GIM_Reject,
     /*   70329 */ // Label 1745: @70329
     /*   70329 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(70448),
     /*   70334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70337 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70345 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   70349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70353 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(70400), // Rule ID 45756 //
     /*   70358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70361 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   70361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*   70364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*   70378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   70391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70398 */     GIR_RootConstrainSelectedInstOperands,
     /*   70399 */     // GIR_Coverage, 45756,
     /*   70399 */     GIR_EraseRootFromParent_Done,
     /*   70400 */   // Label 1870: @70400
     /*   70400 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(70447), // Rule ID 45757 //
     /*   70405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70408 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   70408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*   70411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   70438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70445 */     GIR_RootConstrainSelectedInstOperands,
     /*   70446 */     // GIR_Coverage, 45757,
     /*   70446 */     GIR_EraseRootFromParent_Done,
     /*   70447 */   // Label 1871: @70447
     /*   70447 */   GIM_Reject,
     /*   70448 */ // Label 1869: @70448
     /*   70448 */ GIM_Reject,
     /*   70449 */ // Label 1746: @70449
     /*   70449 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(70576),
     /*   70454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70465 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(70520), // Rule ID 45612 //
     /*   70470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70473 */     // MIs[0] rs1
     /*   70473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70481 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   70481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   70484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*   70498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70518 */     GIR_RootConstrainSelectedInstOperands,
     /*   70519 */     // GIR_Coverage, 45612,
     /*   70519 */     GIR_EraseRootFromParent_Done,
     /*   70520 */   // Label 1873: @70520
     /*   70520 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(70575), // Rule ID 45613 //
     /*   70525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70528 */     // MIs[0] rs1
     /*   70528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70536 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   70536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   70539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*   70553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70573 */     GIR_RootConstrainSelectedInstOperands,
     /*   70574 */     // GIR_Coverage, 45613,
     /*   70574 */     GIR_EraseRootFromParent_Done,
     /*   70575 */   // Label 1874: @70575
     /*   70575 */   GIM_Reject,
     /*   70576 */ // Label 1872: @70576
     /*   70576 */ GIM_Reject,
     /*   70577 */ // Label 1747: @70577
     /*   70577 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(70814),
     /*   70582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70593 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(70648), // Rule ID 45632 //
     /*   70598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70601 */     // MIs[0] rs1
     /*   70601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70609 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70646 */     GIR_RootConstrainSelectedInstOperands,
     /*   70647 */     // GIR_Coverage, 45632,
     /*   70647 */     GIR_EraseRootFromParent_Done,
     /*   70648 */   // Label 1876: @70648
     /*   70648 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(70703), // Rule ID 45633 //
     /*   70653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70656 */     // MIs[0] rs1
     /*   70656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70664 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70701 */     GIR_RootConstrainSelectedInstOperands,
     /*   70702 */     // GIR_Coverage, 45633,
     /*   70702 */     GIR_EraseRootFromParent_Done,
     /*   70703 */   // Label 1877: @70703
     /*   70703 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(70758), // Rule ID 45704 //
     /*   70708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   70711 */     // MIs[0] rs1
     /*   70711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70719 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70756 */     GIR_RootConstrainSelectedInstOperands,
     /*   70757 */     // GIR_Coverage, 45704,
     /*   70757 */     GIR_EraseRootFromParent_Done,
     /*   70758 */   // Label 1878: @70758
     /*   70758 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(70813), // Rule ID 45705 //
     /*   70763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   70766 */     // MIs[0] rs1
     /*   70766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70774 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70811 */     GIR_RootConstrainSelectedInstOperands,
     /*   70812 */     // GIR_Coverage, 45705,
     /*   70812 */     GIR_EraseRootFromParent_Done,
     /*   70813 */   // Label 1879: @70813
     /*   70813 */   GIM_Reject,
     /*   70814 */ // Label 1875: @70814
     /*   70814 */ GIM_Reject,
     /*   70815 */ // Label 1748: @70815
     /*   70815 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(71052),
     /*   70820 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70823 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70831 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(70886), // Rule ID 45668 //
     /*   70836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70839 */     // MIs[0] rs1
     /*   70839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70847 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70884 */     GIR_RootConstrainSelectedInstOperands,
     /*   70885 */     // GIR_Coverage, 45668,
     /*   70885 */     GIR_EraseRootFromParent_Done,
     /*   70886 */   // Label 1881: @70886
     /*   70886 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(70941), // Rule ID 45669 //
     /*   70891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70894 */     // MIs[0] rs1
     /*   70894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70902 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70939 */     GIR_RootConstrainSelectedInstOperands,
     /*   70940 */     // GIR_Coverage, 45669,
     /*   70940 */     GIR_EraseRootFromParent_Done,
     /*   70941 */   // Label 1882: @70941
     /*   70941 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(70996), // Rule ID 45728 //
     /*   70946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   70949 */     // MIs[0] rs1
     /*   70949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70957 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70994 */     GIR_RootConstrainSelectedInstOperands,
     /*   70995 */     // GIR_Coverage, 45728,
     /*   70995 */     GIR_EraseRootFromParent_Done,
     /*   70996 */   // Label 1883: @70996
     /*   70996 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(71051), // Rule ID 45729 //
     /*   71001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   71004 */     // MIs[0] rs1
     /*   71004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71012 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   71029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71049 */     GIR_RootConstrainSelectedInstOperands,
     /*   71050 */     // GIR_Coverage, 45729,
     /*   71050 */     GIR_EraseRootFromParent_Done,
     /*   71051 */   // Label 1884: @71051
     /*   71051 */   GIM_Reject,
     /*   71052 */ // Label 1880: @71052
     /*   71052 */ GIM_Reject,
     /*   71053 */ // Label 1749: @71053
     /*   71053 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(71290),
     /*   71058 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71061 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71069 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(71124), // Rule ID 45684 //
     /*   71074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71077 */     // MIs[0] rs1
     /*   71077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71085 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71122 */     GIR_RootConstrainSelectedInstOperands,
     /*   71123 */     // GIR_Coverage, 45684,
     /*   71123 */     GIR_EraseRootFromParent_Done,
     /*   71124 */   // Label 1886: @71124
     /*   71124 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(71179), // Rule ID 45685 //
     /*   71129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71132 */     // MIs[0] rs1
     /*   71132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71140 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   71140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71177 */     GIR_RootConstrainSelectedInstOperands,
     /*   71178 */     // GIR_Coverage, 45685,
     /*   71178 */     GIR_EraseRootFromParent_Done,
     /*   71179 */   // Label 1887: @71179
     /*   71179 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(71234), // Rule ID 45744 //
     /*   71184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   71187 */     // MIs[0] rs1
     /*   71187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71195 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71232 */     GIR_RootConstrainSelectedInstOperands,
     /*   71233 */     // GIR_Coverage, 45744,
     /*   71233 */     GIR_EraseRootFromParent_Done,
     /*   71234 */   // Label 1888: @71234
     /*   71234 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(71289), // Rule ID 45745 //
     /*   71239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   71242 */     // MIs[0] rs1
     /*   71242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71250 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   71250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71287 */     GIR_RootConstrainSelectedInstOperands,
     /*   71288 */     // GIR_Coverage, 45745,
     /*   71288 */     GIR_EraseRootFromParent_Done,
     /*   71289 */   // Label 1889: @71289
     /*   71289 */   GIM_Reject,
     /*   71290 */ // Label 1885: @71290
     /*   71290 */ GIM_Reject,
     /*   71291 */ // Label 1750: @71291
     /*   71291 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(71410),
     /*   71296 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71299 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71307 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   71311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(71362), // Rule ID 45760 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71323 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   71323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*   71326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*   71340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   71353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71360 */     GIR_RootConstrainSelectedInstOperands,
     /*   71361 */     // GIR_Coverage, 45760,
     /*   71361 */     GIR_EraseRootFromParent_Done,
     /*   71362 */   // Label 1891: @71362
     /*   71362 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(71409), // Rule ID 45761 //
     /*   71367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71370 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   71370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*   71373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*   71387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   71400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71407 */     GIR_RootConstrainSelectedInstOperands,
     /*   71408 */     // GIR_Coverage, 45761,
     /*   71408 */     GIR_EraseRootFromParent_Done,
     /*   71409 */   // Label 1892: @71409
     /*   71409 */   GIM_Reject,
     /*   71410 */ // Label 1890: @71410
     /*   71410 */ GIM_Reject,
     /*   71411 */ // Label 1751: @71411
     /*   71411 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(71538),
     /*   71416 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71419 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71427 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(71482), // Rule ID 45628 //
     /*   71432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71435 */     // MIs[0] rs1
     /*   71435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71443 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   71443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   71446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*   71460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71480 */     GIR_RootConstrainSelectedInstOperands,
     /*   71481 */     // GIR_Coverage, 45628,
     /*   71481 */     GIR_EraseRootFromParent_Done,
     /*   71482 */   // Label 1894: @71482
     /*   71482 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(71537), // Rule ID 45629 //
     /*   71487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71490 */     // MIs[0] rs1
     /*   71490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71498 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   71498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   71501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*   71515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71535 */     GIR_RootConstrainSelectedInstOperands,
     /*   71536 */     // GIR_Coverage, 45629,
     /*   71536 */     GIR_EraseRootFromParent_Done,
     /*   71537 */   // Label 1895: @71537
     /*   71537 */   GIM_Reject,
     /*   71538 */ // Label 1893: @71538
     /*   71538 */ GIM_Reject,
     /*   71539 */ // Label 1752: @71539
     /*   71539 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(71776),
     /*   71544 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71547 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71555 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(71610), // Rule ID 45656 //
     /*   71560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71563 */     // MIs[0] rs1
     /*   71563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71571 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   71571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71608 */     GIR_RootConstrainSelectedInstOperands,
     /*   71609 */     // GIR_Coverage, 45656,
     /*   71609 */     GIR_EraseRootFromParent_Done,
     /*   71610 */   // Label 1897: @71610
     /*   71610 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(71665), // Rule ID 45657 //
     /*   71615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71618 */     // MIs[0] rs1
     /*   71618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71626 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   71626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71663 */     GIR_RootConstrainSelectedInstOperands,
     /*   71664 */     // GIR_Coverage, 45657,
     /*   71664 */     GIR_EraseRootFromParent_Done,
     /*   71665 */   // Label 1898: @71665
     /*   71665 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(71720), // Rule ID 45716 //
     /*   71670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   71673 */     // MIs[0] rs1
     /*   71673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71681 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   71681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71718 */     GIR_RootConstrainSelectedInstOperands,
     /*   71719 */     // GIR_Coverage, 45716,
     /*   71719 */     GIR_EraseRootFromParent_Done,
     /*   71720 */   // Label 1899: @71720
     /*   71720 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(71775), // Rule ID 45717 //
     /*   71725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   71728 */     // MIs[0] rs1
     /*   71728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71736 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   71736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71773 */     GIR_RootConstrainSelectedInstOperands,
     /*   71774 */     // GIR_Coverage, 45717,
     /*   71774 */     GIR_EraseRootFromParent_Done,
     /*   71775 */   // Label 1900: @71775
     /*   71775 */   GIM_Reject,
     /*   71776 */ // Label 1896: @71776
     /*   71776 */ GIM_Reject,
     /*   71777 */ // Label 1753: @71777
     /*   71777 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(72014),
     /*   71782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71793 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(71848), // Rule ID 45672 //
     /*   71798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71801 */     // MIs[0] rs1
     /*   71801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71809 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71846 */     GIR_RootConstrainSelectedInstOperands,
     /*   71847 */     // GIR_Coverage, 45672,
     /*   71847 */     GIR_EraseRootFromParent_Done,
     /*   71848 */   // Label 1902: @71848
     /*   71848 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(71903), // Rule ID 45673 //
     /*   71853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71856 */     // MIs[0] rs1
     /*   71856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71864 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71901 */     GIR_RootConstrainSelectedInstOperands,
     /*   71902 */     // GIR_Coverage, 45673,
     /*   71902 */     GIR_EraseRootFromParent_Done,
     /*   71903 */   // Label 1903: @71903
     /*   71903 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(71958), // Rule ID 45732 //
     /*   71908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   71911 */     // MIs[0] rs1
     /*   71911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71919 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71956 */     GIR_RootConstrainSelectedInstOperands,
     /*   71957 */     // GIR_Coverage, 45732,
     /*   71957 */     GIR_EraseRootFromParent_Done,
     /*   71958 */   // Label 1904: @71958
     /*   71958 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(72013), // Rule ID 45733 //
     /*   71963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   71966 */     // MIs[0] rs1
     /*   71966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71974 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72011 */     GIR_RootConstrainSelectedInstOperands,
     /*   72012 */     // GIR_Coverage, 45733,
     /*   72012 */     GIR_EraseRootFromParent_Done,
     /*   72013 */   // Label 1905: @72013
     /*   72013 */   GIM_Reject,
     /*   72014 */ // Label 1901: @72014
     /*   72014 */ GIM_Reject,
     /*   72015 */ // Label 1754: @72015
     /*   72015 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(72252),
     /*   72020 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72023 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72031 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(72086), // Rule ID 45688 //
     /*   72036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72039 */     // MIs[0] rs1
     /*   72039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72047 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72084 */     GIR_RootConstrainSelectedInstOperands,
     /*   72085 */     // GIR_Coverage, 45688,
     /*   72085 */     GIR_EraseRootFromParent_Done,
     /*   72086 */   // Label 1907: @72086
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(72141), // Rule ID 45689 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72094 */     // MIs[0] rs1
     /*   72094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72102 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72139 */     GIR_RootConstrainSelectedInstOperands,
     /*   72140 */     // GIR_Coverage, 45689,
     /*   72140 */     GIR_EraseRootFromParent_Done,
     /*   72141 */   // Label 1908: @72141
     /*   72141 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(72196), // Rule ID 45748 //
     /*   72146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   72149 */     // MIs[0] rs1
     /*   72149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72157 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72194 */     GIR_RootConstrainSelectedInstOperands,
     /*   72195 */     // GIR_Coverage, 45748,
     /*   72195 */     GIR_EraseRootFromParent_Done,
     /*   72196 */   // Label 1909: @72196
     /*   72196 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(72251), // Rule ID 45749 //
     /*   72201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   72204 */     // MIs[0] rs1
     /*   72204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72212 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72249 */     GIR_RootConstrainSelectedInstOperands,
     /*   72250 */     // GIR_Coverage, 45749,
     /*   72250 */     GIR_EraseRootFromParent_Done,
     /*   72251 */   // Label 1910: @72251
     /*   72251 */   GIM_Reject,
     /*   72252 */ // Label 1906: @72252
     /*   72252 */ GIM_Reject,
     /*   72253 */ // Label 1755: @72253
     /*   72253 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(72372),
     /*   72258 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72261 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   72273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72277 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(72324), // Rule ID 45764 //
     /*   72282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72285 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   72285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*   72288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*   72302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   72315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72322 */     GIR_RootConstrainSelectedInstOperands,
     /*   72323 */     // GIR_Coverage, 45764,
     /*   72323 */     GIR_EraseRootFromParent_Done,
     /*   72324 */   // Label 1912: @72324
     /*   72324 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(72371), // Rule ID 45765 //
     /*   72329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72332 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   72332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*   72335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*   72349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   72362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72369 */     GIR_RootConstrainSelectedInstOperands,
     /*   72370 */     // GIR_Coverage, 45765,
     /*   72370 */     GIR_EraseRootFromParent_Done,
     /*   72371 */   // Label 1913: @72371
     /*   72371 */   GIM_Reject,
     /*   72372 */ // Label 1911: @72372
     /*   72372 */ GIM_Reject,
     /*   72373 */ // Label 1756: @72373
     /*   72373 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(72500),
     /*   72378 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72381 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72389 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(72444), // Rule ID 45644 //
     /*   72394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72397 */     // MIs[0] rs1
     /*   72397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72405 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*   72422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72442 */     GIR_RootConstrainSelectedInstOperands,
     /*   72443 */     // GIR_Coverage, 45644,
     /*   72443 */     GIR_EraseRootFromParent_Done,
     /*   72444 */   // Label 1915: @72444
     /*   72444 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(72499), // Rule ID 45645 //
     /*   72449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72452 */     // MIs[0] rs1
     /*   72452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72460 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*   72477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72497 */     GIR_RootConstrainSelectedInstOperands,
     /*   72498 */     // GIR_Coverage, 45645,
     /*   72498 */     GIR_EraseRootFromParent_Done,
     /*   72499 */   // Label 1916: @72499
     /*   72499 */   GIM_Reject,
     /*   72500 */ // Label 1914: @72500
     /*   72500 */ GIM_Reject,
     /*   72501 */ // Label 1757: @72501
     /*   72501 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(72738),
     /*   72506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72517 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(72572), // Rule ID 45660 //
     /*   72522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72525 */     // MIs[0] rs1
     /*   72525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72533 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   72533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72570 */     GIR_RootConstrainSelectedInstOperands,
     /*   72571 */     // GIR_Coverage, 45660,
     /*   72571 */     GIR_EraseRootFromParent_Done,
     /*   72572 */   // Label 1918: @72572
     /*   72572 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(72627), // Rule ID 45661 //
     /*   72577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72580 */     // MIs[0] rs1
     /*   72580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72588 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   72588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72625 */     GIR_RootConstrainSelectedInstOperands,
     /*   72626 */     // GIR_Coverage, 45661,
     /*   72626 */     GIR_EraseRootFromParent_Done,
     /*   72627 */   // Label 1919: @72627
     /*   72627 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(72682), // Rule ID 45720 //
     /*   72632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   72635 */     // MIs[0] rs1
     /*   72635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72643 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   72643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72680 */     GIR_RootConstrainSelectedInstOperands,
     /*   72681 */     // GIR_Coverage, 45720,
     /*   72681 */     GIR_EraseRootFromParent_Done,
     /*   72682 */   // Label 1920: @72682
     /*   72682 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(72737), // Rule ID 45721 //
     /*   72687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   72690 */     // MIs[0] rs1
     /*   72690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72698 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   72698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72735 */     GIR_RootConstrainSelectedInstOperands,
     /*   72736 */     // GIR_Coverage, 45721,
     /*   72736 */     GIR_EraseRootFromParent_Done,
     /*   72737 */   // Label 1921: @72737
     /*   72737 */   GIM_Reject,
     /*   72738 */ // Label 1917: @72738
     /*   72738 */ GIM_Reject,
     /*   72739 */ // Label 1758: @72739
     /*   72739 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(72976),
     /*   72744 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72747 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72755 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(72810), // Rule ID 45676 //
     /*   72760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72763 */     // MIs[0] rs1
     /*   72763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72771 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   72771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72808 */     GIR_RootConstrainSelectedInstOperands,
     /*   72809 */     // GIR_Coverage, 45676,
     /*   72809 */     GIR_EraseRootFromParent_Done,
     /*   72810 */   // Label 1923: @72810
     /*   72810 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(72865), // Rule ID 45677 //
     /*   72815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72818 */     // MIs[0] rs1
     /*   72818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72826 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   72826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72863 */     GIR_RootConstrainSelectedInstOperands,
     /*   72864 */     // GIR_Coverage, 45677,
     /*   72864 */     GIR_EraseRootFromParent_Done,
     /*   72865 */   // Label 1924: @72865
     /*   72865 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(72920), // Rule ID 45736 //
     /*   72870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   72873 */     // MIs[0] rs1
     /*   72873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72881 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   72881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72918 */     GIR_RootConstrainSelectedInstOperands,
     /*   72919 */     // GIR_Coverage, 45736,
     /*   72919 */     GIR_EraseRootFromParent_Done,
     /*   72920 */   // Label 1925: @72920
     /*   72920 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(72975), // Rule ID 45737 //
     /*   72925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   72928 */     // MIs[0] rs1
     /*   72928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72936 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   72936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72973 */     GIR_RootConstrainSelectedInstOperands,
     /*   72974 */     // GIR_Coverage, 45737,
     /*   72974 */     GIR_EraseRootFromParent_Done,
     /*   72975 */   // Label 1926: @72975
     /*   72975 */   GIM_Reject,
     /*   72976 */ // Label 1922: @72976
     /*   72976 */ GIM_Reject,
     /*   72977 */ // Label 1759: @72977
     /*   72977 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(73096),
     /*   72982 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72985 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72993 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   72997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73001 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(73048), // Rule ID 45768 //
     /*   73006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73009 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   73009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*   73012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*   73026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73046 */     GIR_RootConstrainSelectedInstOperands,
     /*   73047 */     // GIR_Coverage, 45768,
     /*   73047 */     GIR_EraseRootFromParent_Done,
     /*   73048 */   // Label 1928: @73048
     /*   73048 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(73095), // Rule ID 45769 //
     /*   73053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73056 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   73056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*   73059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*   73073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73093 */     GIR_RootConstrainSelectedInstOperands,
     /*   73094 */     // GIR_Coverage, 45769,
     /*   73094 */     GIR_EraseRootFromParent_Done,
     /*   73095 */   // Label 1929: @73095
     /*   73095 */   GIM_Reject,
     /*   73096 */ // Label 1927: @73096
     /*   73096 */ GIM_Reject,
     /*   73097 */ // Label 1760: @73097
     /*   73097 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(73224),
     /*   73102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73113 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(73168), // Rule ID 45648 //
     /*   73118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73121 */     // MIs[0] rs1
     /*   73121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73129 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   73132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*   73146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73166 */     GIR_RootConstrainSelectedInstOperands,
     /*   73167 */     // GIR_Coverage, 45648,
     /*   73167 */     GIR_EraseRootFromParent_Done,
     /*   73168 */   // Label 1931: @73168
     /*   73168 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(73223), // Rule ID 45649 //
     /*   73173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73176 */     // MIs[0] rs1
     /*   73176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73184 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   73187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*   73201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73221 */     GIR_RootConstrainSelectedInstOperands,
     /*   73222 */     // GIR_Coverage, 45649,
     /*   73222 */     GIR_EraseRootFromParent_Done,
     /*   73223 */   // Label 1932: @73223
     /*   73223 */   GIM_Reject,
     /*   73224 */ // Label 1930: @73224
     /*   73224 */ GIM_Reject,
     /*   73225 */ // Label 1761: @73225
     /*   73225 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(73462),
     /*   73230 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73233 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73241 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(73296), // Rule ID 45664 //
     /*   73246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73249 */     // MIs[0] rs1
     /*   73249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73257 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73294 */     GIR_RootConstrainSelectedInstOperands,
     /*   73295 */     // GIR_Coverage, 45664,
     /*   73295 */     GIR_EraseRootFromParent_Done,
     /*   73296 */   // Label 1934: @73296
     /*   73296 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(73351), // Rule ID 45665 //
     /*   73301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73304 */     // MIs[0] rs1
     /*   73304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73312 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73349 */     GIR_RootConstrainSelectedInstOperands,
     /*   73350 */     // GIR_Coverage, 45665,
     /*   73350 */     GIR_EraseRootFromParent_Done,
     /*   73351 */   // Label 1935: @73351
     /*   73351 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(73406), // Rule ID 45724 //
     /*   73356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   73359 */     // MIs[0] rs1
     /*   73359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73367 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73404 */     GIR_RootConstrainSelectedInstOperands,
     /*   73405 */     // GIR_Coverage, 45724,
     /*   73405 */     GIR_EraseRootFromParent_Done,
     /*   73406 */   // Label 1936: @73406
     /*   73406 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(73461), // Rule ID 45725 //
     /*   73411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   73414 */     // MIs[0] rs1
     /*   73414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73422 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73459 */     GIR_RootConstrainSelectedInstOperands,
     /*   73460 */     // GIR_Coverage, 45725,
     /*   73460 */     GIR_EraseRootFromParent_Done,
     /*   73461 */   // Label 1937: @73461
     /*   73461 */   GIM_Reject,
     /*   73462 */ // Label 1933: @73462
     /*   73462 */ GIM_Reject,
     /*   73463 */ // Label 1762: @73463
     /*   73463 */ GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(73582),
     /*   73468 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73471 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73479 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73487 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(73534), // Rule ID 45772 //
     /*   73492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73495 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   73495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*   73498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*   73512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73532 */     GIR_RootConstrainSelectedInstOperands,
     /*   73533 */     // GIR_Coverage, 45772,
     /*   73533 */     GIR_EraseRootFromParent_Done,
     /*   73534 */   // Label 1939: @73534
     /*   73534 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(73581), // Rule ID 45773 //
     /*   73539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73542 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   73542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*   73545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*   73559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73579 */     GIR_RootConstrainSelectedInstOperands,
     /*   73580 */     // GIR_Coverage, 45773,
     /*   73580 */     GIR_EraseRootFromParent_Done,
     /*   73581 */   // Label 1940: @73581
     /*   73581 */   GIM_Reject,
     /*   73582 */ // Label 1938: @73582
     /*   73582 */ GIM_Reject,
     /*   73583 */ // Label 1763: @73583
     /*   73583 */ GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(73710),
     /*   73588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73591 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73599 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(73654), // Rule ID 45652 //
     /*   73604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73607 */     // MIs[0] rs1
     /*   73607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73615 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   73618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*   73632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73652 */     GIR_RootConstrainSelectedInstOperands,
     /*   73653 */     // GIR_Coverage, 45652,
     /*   73653 */     GIR_EraseRootFromParent_Done,
     /*   73654 */   // Label 1942: @73654
     /*   73654 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(73709), // Rule ID 45653 //
     /*   73659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73662 */     // MIs[0] rs1
     /*   73662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73670 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   73673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*   73687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73707 */     GIR_RootConstrainSelectedInstOperands,
     /*   73708 */     // GIR_Coverage, 45653,
     /*   73708 */     GIR_EraseRootFromParent_Done,
     /*   73709 */   // Label 1943: @73709
     /*   73709 */   GIM_Reject,
     /*   73710 */ // Label 1941: @73710
     /*   73710 */ GIM_Reject,
     /*   73711 */ // Label 1764: @73711
     /*   73711 */ GIM_Reject,
     /*   73712 */ // Label 22: @73712
     /*   73712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1946*/ GIMT_Encode4(74006),
     /*   73723 */ /*GILLT_s32*//*Label 1944*/ GIMT_Encode4(73731),
     /*   73727 */ /*GILLT_s64*//*Label 1945*/ GIMT_Encode4(73843),
     /*   73731 */ // Label 1944: @73731
     /*   73731 */ GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(73842),
     /*   73736 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73739 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(73790), // Rule ID 225 //
     /*   73744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   73747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   73754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73769 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   73769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   73772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73788 */     GIR_RootConstrainSelectedInstOperands,
     /*   73789 */     // GIR_Coverage, 225,
     /*   73789 */     GIR_EraseRootFromParent_Done,
     /*   73790 */   // Label 1948: @73790
     /*   73790 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(73841), // Rule ID 229 //
     /*   73795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   73798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   73805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73820 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   73820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   73823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73839 */     GIR_RootConstrainSelectedInstOperands,
     /*   73840 */     // GIR_Coverage, 229,
     /*   73840 */     GIR_EraseRootFromParent_Done,
     /*   73841 */   // Label 1949: @73841
     /*   73841 */   GIM_Reject,
     /*   73842 */ // Label 1947: @73842
     /*   73842 */ GIM_Reject,
     /*   73843 */ // Label 1945: @73843
     /*   73843 */ GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(74005),
     /*   73848 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73851 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(73902), // Rule ID 224 //
     /*   73856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   73859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   73866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73881 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   73884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73900 */     GIR_RootConstrainSelectedInstOperands,
     /*   73901 */     // GIR_Coverage, 224,
     /*   73901 */     GIR_EraseRootFromParent_Done,
     /*   73902 */   // Label 1951: @73902
     /*   73902 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(73953), // Rule ID 228 //
     /*   73907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   73910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   73917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73932 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   73935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73951 */     GIR_RootConstrainSelectedInstOperands,
     /*   73952 */     // GIR_Coverage, 228,
     /*   73952 */     GIR_EraseRootFromParent_Done,
     /*   73953 */   // Label 1952: @73953
     /*   73953 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(74004), // Rule ID 274 //
     /*   73958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   73961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   73968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73983 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   73986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74002 */     GIR_RootConstrainSelectedInstOperands,
     /*   74003 */     // GIR_Coverage, 274,
     /*   74003 */     GIR_EraseRootFromParent_Done,
     /*   74004 */   // Label 1953: @74004
     /*   74004 */   GIM_Reject,
     /*   74005 */ // Label 1950: @74005
     /*   74005 */ GIM_Reject,
     /*   74006 */ // Label 1946: @74006
     /*   74006 */ GIM_Reject,
     /*   74007 */ // Label 23: @74007
     /*   74007 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1956*/ GIMT_Encode4(74301),
     /*   74018 */ /*GILLT_s32*//*Label 1954*/ GIMT_Encode4(74026),
     /*   74022 */ /*GILLT_s64*//*Label 1955*/ GIMT_Encode4(74138),
     /*   74026 */ // Label 1954: @74026
     /*   74026 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(74137),
     /*   74031 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74034 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(74085), // Rule ID 235 //
     /*   74039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   74042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74064 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   74067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74083 */     GIR_RootConstrainSelectedInstOperands,
     /*   74084 */     // GIR_Coverage, 235,
     /*   74084 */     GIR_EraseRootFromParent_Done,
     /*   74085 */   // Label 1958: @74085
     /*   74085 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(74136), // Rule ID 237 //
     /*   74090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   74093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74115 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*   74118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74134 */     GIR_RootConstrainSelectedInstOperands,
     /*   74135 */     // GIR_Coverage, 237,
     /*   74135 */     GIR_EraseRootFromParent_Done,
     /*   74136 */   // Label 1959: @74136
     /*   74136 */   GIM_Reject,
     /*   74137 */ // Label 1957: @74137
     /*   74137 */ GIM_Reject,
     /*   74138 */ // Label 1955: @74138
     /*   74138 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(74300),
     /*   74143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74146 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(74197), // Rule ID 234 //
     /*   74151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   74154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74176 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   74179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74195 */     GIR_RootConstrainSelectedInstOperands,
     /*   74196 */     // GIR_Coverage, 234,
     /*   74196 */     GIR_EraseRootFromParent_Done,
     /*   74197 */   // Label 1961: @74197
     /*   74197 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(74248), // Rule ID 236 //
     /*   74202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   74205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74227 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*   74230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74246 */     GIR_RootConstrainSelectedInstOperands,
     /*   74247 */     // GIR_Coverage, 236,
     /*   74247 */     GIR_EraseRootFromParent_Done,
     /*   74248 */   // Label 1962: @74248
     /*   74248 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(74299), // Rule ID 276 //
     /*   74253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   74256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   74263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74278 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*   74281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74297 */     GIR_RootConstrainSelectedInstOperands,
     /*   74298 */     // GIR_Coverage, 276,
     /*   74298 */     GIR_EraseRootFromParent_Done,
     /*   74299 */   // Label 1963: @74299
     /*   74299 */   GIM_Reject,
     /*   74300 */ // Label 1960: @74300
     /*   74300 */ GIM_Reject,
     /*   74301 */ // Label 1956: @74301
     /*   74301 */ GIM_Reject,
     /*   74302 */ // Label 24: @74302
     /*   74302 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 1998*/ GIMT_Encode4(81099),
     /*   74313 */ /*GILLT_p0s32*//*Label 1964*/ GIMT_Encode4(74449),
     /*   74317 */ /*GILLT_p0s64*//*Label 1965*/ GIMT_Encode4(74543),
     /*   74321 */ /*GILLT_s16*//*Label 1966*/ GIMT_Encode4(74637),
     /*   74325 */ /*GILLT_s32*//*Label 1967*/ GIMT_Encode4(75276),
     /*   74329 */ /*GILLT_s64*//*Label 1968*/ GIMT_Encode4(76578),
     /*   74333 */ /*GILLT_nxv1s1*//*Label 1969*/ GIMT_Encode4(77553),
     /*   74337 */ /*GILLT_nxv1s8*//*Label 1970*/ GIMT_Encode4(77633),
     /*   74341 */ /*GILLT_nxv1s16*//*Label 1971*/ GIMT_Encode4(77721),
     /*   74345 */ /*GILLT_nxv1s32*//*Label 1972*/ GIMT_Encode4(77879),
     /*   74349 */ /*GILLT_nxv1s64*//*Label 1973*/ GIMT_Encode4(78037),
     /*   74353 */ /*GILLT_nxv2s1*//*Label 1974*/ GIMT_Encode4(78195),
     /*   74357 */ /*GILLT_nxv2s8*//*Label 1975*/ GIMT_Encode4(78275),
     /*   74361 */ /*GILLT_nxv2s16*//*Label 1976*/ GIMT_Encode4(78363),
     /*   74365 */ /*GILLT_nxv2s32*//*Label 1977*/ GIMT_Encode4(78521),
     /*   74369 */ /*GILLT_nxv2s64*//*Label 1978*/ GIMT_Encode4(78679),
     /*   74373 */ /*GILLT_nxv4s1*//*Label 1979*/ GIMT_Encode4(78837),
     /*   74377 */ /*GILLT_nxv4s8*//*Label 1980*/ GIMT_Encode4(78917),
     /*   74381 */ /*GILLT_nxv4s16*//*Label 1981*/ GIMT_Encode4(79005),
     /*   74385 */ /*GILLT_nxv4s32*//*Label 1982*/ GIMT_Encode4(79163),
     /*   74389 */ /*GILLT_nxv4s64*//*Label 1983*/ GIMT_Encode4(79321),
     /*   74393 */ /*GILLT_nxv8s1*//*Label 1984*/ GIMT_Encode4(79479),
     /*   74397 */ /*GILLT_nxv8s8*//*Label 1985*/ GIMT_Encode4(79559),
     /*   74401 */ /*GILLT_nxv8s16*//*Label 1986*/ GIMT_Encode4(79647),
     /*   74405 */ /*GILLT_nxv8s32*//*Label 1987*/ GIMT_Encode4(79805),
     /*   74409 */ /*GILLT_nxv8s64*//*Label 1988*/ GIMT_Encode4(79963),
     /*   74413 */ /*GILLT_nxv16s1*//*Label 1989*/ GIMT_Encode4(80121),
     /*   74417 */ /*GILLT_nxv16s8*//*Label 1990*/ GIMT_Encode4(80201),
     /*   74421 */ /*GILLT_nxv16s16*//*Label 1991*/ GIMT_Encode4(80289),
     /*   74425 */ /*GILLT_nxv16s32*//*Label 1992*/ GIMT_Encode4(80447),
     /*   74429 */ /*GILLT_nxv32s1*//*Label 1993*/ GIMT_Encode4(80605),
     /*   74433 */ /*GILLT_nxv32s8*//*Label 1994*/ GIMT_Encode4(80685),
     /*   74437 */ /*GILLT_nxv32s16*//*Label 1995*/ GIMT_Encode4(80773),
     /*   74441 */ /*GILLT_nxv64s1*//*Label 1996*/ GIMT_Encode4(80931),
     /*   74445 */ /*GILLT_nxv64s8*//*Label 1997*/ GIMT_Encode4(81011),
     /*   74449 */ // Label 1964: @74449
     /*   74449 */ GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(74542),
     /*   74454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74465 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74469 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(74505), // Rule ID 63928 //
     /*   74474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   74477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74484 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   74487 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 63928,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 2000: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(74541), // Rule ID 63932 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   74513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74520 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   74523 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74539 */     GIR_RootConstrainSelectedInstOperands,
     /*   74540 */     // GIR_Coverage, 63932,
     /*   74540 */     GIR_EraseRootFromParent_Done,
     /*   74541 */   // Label 2001: @74541
     /*   74541 */   GIM_Reject,
     /*   74542 */ // Label 1999: @74542
     /*   74542 */ GIM_Reject,
     /*   74543 */ // Label 1965: @74543
     /*   74543 */ GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(74636),
     /*   74548 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74551 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74559 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74563 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(74599), // Rule ID 63927 //
     /*   74568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   74571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74578 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   74581 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74597 */     GIR_RootConstrainSelectedInstOperands,
     /*   74598 */     // GIR_Coverage, 63927,
     /*   74598 */     GIR_EraseRootFromParent_Done,
     /*   74599 */   // Label 2003: @74599
     /*   74599 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(74635), // Rule ID 63931 //
     /*   74604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   74607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74614 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   74617 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74633 */     GIR_RootConstrainSelectedInstOperands,
     /*   74634 */     // GIR_Coverage, 63931,
     /*   74634 */     GIR_EraseRootFromParent_Done,
     /*   74635 */   // Label 2004: @74635
     /*   74635 */   GIM_Reject,
     /*   74636 */ // Label 2002: @74636
     /*   74636 */ GIM_Reject,
     /*   74637 */ // Label 1966: @74637
     /*   74637 */ GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(74691), // Rule ID 63945 //
     /*   74642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   74645 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74659 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74663 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74670 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   74673 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74689 */   GIR_RootConstrainSelectedInstOperands,
     /*   74690 */   // GIR_Coverage, 63945,
     /*   74690 */   GIR_EraseRootFromParent_Done,
     /*   74691 */ // Label 2005: @74691
     /*   74691 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(74745), // Rule ID 63946 //
     /*   74696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   74699 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74702 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74713 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74717 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74724 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   74727 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74729 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74739 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74743 */   GIR_RootConstrainSelectedInstOperands,
     /*   74744 */   // GIR_Coverage, 63946,
     /*   74744 */   GIR_EraseRootFromParent_Done,
     /*   74745 */ // Label 2006: @74745
     /*   74745 */ GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(74799), // Rule ID 63947 //
     /*   74750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   74753 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74756 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74767 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74778 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   74781 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74793 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74797 */   GIR_RootConstrainSelectedInstOperands,
     /*   74798 */   // GIR_Coverage, 63947,
     /*   74798 */   GIR_EraseRootFromParent_Done,
     /*   74799 */ // Label 2007: @74799
     /*   74799 */ GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(74853), // Rule ID 63948 //
     /*   74804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   74807 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74821 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74825 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74832 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   74835 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74837 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74842 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74847 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74851 */   GIR_RootConstrainSelectedInstOperands,
     /*   74852 */   // GIR_Coverage, 63948,
     /*   74852 */   GIR_EraseRootFromParent_Done,
     /*   74853 */ // Label 2008: @74853
     /*   74853 */ GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(74904), // Rule ID 2010 //
     /*   74858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*   74861 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74864 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   74872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74876 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74883 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*   74886 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74902 */   GIR_RootConstrainSelectedInstOperands,
     /*   74903 */   // GIR_Coverage, 2010,
     /*   74903 */   GIR_EraseRootFromParent_Done,
     /*   74904 */ // Label 2009: @74904
     /*   74904 */ GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(74955), // Rule ID 2011 //
     /*   74909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*   74912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74915 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   74923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74934 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*   74937 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74953 */   GIR_RootConstrainSelectedInstOperands,
     /*   74954 */   // GIR_Coverage, 2011,
     /*   74954 */   GIR_EraseRootFromParent_Done,
     /*   74955 */ // Label 2010: @74955
     /*   74955 */ GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(75006), // Rule ID 2016 //
     /*   74960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*   74963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74966 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   74974 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74978 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74985 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*   74988 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75004 */   GIR_RootConstrainSelectedInstOperands,
     /*   75005 */   // GIR_Coverage, 2016,
     /*   75005 */   GIR_EraseRootFromParent_Done,
     /*   75006 */ // Label 2011: @75006
     /*   75006 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(75057), // Rule ID 2017 //
     /*   75011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*   75014 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75017 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   75025 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75029 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75036 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*   75039 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75051 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75055 */   GIR_RootConstrainSelectedInstOperands,
     /*   75056 */   // GIR_Coverage, 2017,
     /*   75056 */   GIR_EraseRootFromParent_Done,
     /*   75057 */ // Label 2012: @75057
     /*   75057 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(75108), // Rule ID 63935 //
     /*   75062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75076 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75080 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75087 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75090 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75106 */   GIR_RootConstrainSelectedInstOperands,
     /*   75107 */   // GIR_Coverage, 63935,
     /*   75107 */   GIR_EraseRootFromParent_Done,
     /*   75108 */ // Label 2013: @75108
     /*   75108 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(75159), // Rule ID 63936 //
     /*   75113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75116 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75119 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75127 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75138 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75141 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75157 */   GIR_RootConstrainSelectedInstOperands,
     /*   75158 */   // GIR_Coverage, 63936,
     /*   75158 */   GIR_EraseRootFromParent_Done,
     /*   75159 */ // Label 2014: @75159
     /*   75159 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(75217), // Rule ID 63939 //
     /*   75164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75167 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75170 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75174 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75196 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75199 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75215 */   GIR_RootConstrainSelectedInstOperands,
     /*   75216 */   // GIR_Coverage, 63939,
     /*   75216 */   GIR_EraseRootFromParent_Done,
     /*   75217 */ // Label 2015: @75217
     /*   75217 */ GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(75275), // Rule ID 63940 //
     /*   75222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75228 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75247 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75254 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75257 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75273 */   GIR_RootConstrainSelectedInstOperands,
     /*   75274 */   // GIR_Coverage, 63940,
     /*   75274 */   GIR_EraseRootFromParent_Done,
     /*   75275 */ // Label 2016: @75275
     /*   75275 */ GIM_Reject,
     /*   75276 */ // Label 1967: @75276
     /*   75276 */ GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(75333), // Rule ID 318 //
     /*   75281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75284 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75287 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75294 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75312 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9681>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75315 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75331 */   GIR_RootConstrainSelectedInstOperands,
     /*   75332 */   // GIR_Coverage, 318,
     /*   75332 */   GIR_EraseRootFromParent_Done,
     /*   75333 */ // Label 2017: @75333
     /*   75333 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(75390), // Rule ID 320 //
     /*   75338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75341 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75344 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   75351 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75369 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9683>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75372 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75388 */   GIR_RootConstrainSelectedInstOperands,
     /*   75389 */   // GIR_Coverage, 320,
     /*   75389 */   GIR_EraseRootFromParent_Done,
     /*   75390 */ // Label 2018: @75390
     /*   75390 */ GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(75447), // Rule ID 322 //
     /*   75395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75398 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75401 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75408 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75426 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9685>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75429 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75445 */   GIR_RootConstrainSelectedInstOperands,
     /*   75446 */   // GIR_Coverage, 322,
     /*   75446 */   GIR_EraseRootFromParent_Done,
     /*   75447 */ // Label 2019: @75447
     /*   75447 */ GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(75501), // Rule ID 63951 //
     /*   75452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   75455 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75473 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75480 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75483 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75499 */   GIR_RootConstrainSelectedInstOperands,
     /*   75500 */   // GIR_Coverage, 63951,
     /*   75500 */   GIR_EraseRootFromParent_Done,
     /*   75501 */ // Label 2020: @75501
     /*   75501 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(75555), // Rule ID 63952 //
     /*   75506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*   75509 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75523 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75534 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75537 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75553 */   GIR_RootConstrainSelectedInstOperands,
     /*   75554 */   // GIR_Coverage, 63952,
     /*   75554 */   GIR_EraseRootFromParent_Done,
     /*   75555 */ // Label 2021: @75555
     /*   75555 */ GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(75613), // Rule ID 239 //
     /*   75560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75566 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75592 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75595 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75607 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75611 */   GIR_RootConstrainSelectedInstOperands,
     /*   75612 */   // GIR_Coverage, 239,
     /*   75612 */   GIR_EraseRootFromParent_Done,
     /*   75613 */ // Label 2022: @75613
     /*   75613 */ GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(75671), // Rule ID 241 //
     /*   75618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75624 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   75635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75639 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75643 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75650 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75653 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75655 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75665 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75669 */   GIR_RootConstrainSelectedInstOperands,
     /*   75670 */   // GIR_Coverage, 241,
     /*   75670 */   GIR_EraseRootFromParent_Done,
     /*   75671 */ // Label 2023: @75671
     /*   75671 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(75722), // Rule ID 242 //
     /*   75676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75690 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75694 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75701 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75704 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75706 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75711 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75720 */   GIR_RootConstrainSelectedInstOperands,
     /*   75721 */   // GIR_Coverage, 242,
     /*   75721 */   GIR_EraseRootFromParent_Done,
     /*   75722 */ // Label 2024: @75722
     /*   75722 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(75773), // Rule ID 243 //
     /*   75727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75730 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75733 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75745 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75752 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75755 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75757 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75767 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75771 */   GIR_RootConstrainSelectedInstOperands,
     /*   75772 */   // GIR_Coverage, 243,
     /*   75772 */   GIR_EraseRootFromParent_Done,
     /*   75773 */ // Label 2025: @75773
     /*   75773 */ GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(75824), // Rule ID 1297 //
     /*   75778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*   75781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   75792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75796 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75803 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*   75806 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75818 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75822 */   GIR_RootConstrainSelectedInstOperands,
     /*   75823 */   // GIR_Coverage, 1297,
     /*   75823 */   GIR_EraseRootFromParent_Done,
     /*   75824 */ // Label 2026: @75824
     /*   75824 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(75875), // Rule ID 1298 //
     /*   75829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*   75832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75835 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   75843 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75847 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75854 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*   75857 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75869 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75873 */   GIR_RootConstrainSelectedInstOperands,
     /*   75874 */   // GIR_Coverage, 1298,
     /*   75874 */   GIR_EraseRootFromParent_Done,
     /*   75875 */ // Label 2027: @75875
     /*   75875 */ GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(75926), // Rule ID 1303 //
     /*   75880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*   75883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   75894 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75905 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*   75908 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75924 */   GIR_RootConstrainSelectedInstOperands,
     /*   75925 */   // GIR_Coverage, 1303,
     /*   75925 */   GIR_EraseRootFromParent_Done,
     /*   75926 */ // Label 2028: @75926
     /*   75926 */ GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(75977), // Rule ID 1304 //
     /*   75931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*   75934 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75937 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   75945 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75949 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75956 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*   75959 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75971 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75975 */   GIR_RootConstrainSelectedInstOperands,
     /*   75976 */   // GIR_Coverage, 1304,
     /*   75976 */   GIR_EraseRootFromParent_Done,
     /*   75977 */ // Label 2029: @75977
     /*   75977 */ GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(76035), // Rule ID 63957 //
     /*   75982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   75985 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75988 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75992 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76003 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76007 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76014 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76017 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76033 */   GIR_RootConstrainSelectedInstOperands,
     /*   76034 */   // GIR_Coverage, 63957,
     /*   76034 */   GIR_EraseRootFromParent_Done,
     /*   76035 */ // Label 2030: @76035
     /*   76035 */ GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(76093), // Rule ID 63958 //
     /*   76040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   76043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76046 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76050 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76072 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   76072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76075 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76091 */   GIR_RootConstrainSelectedInstOperands,
     /*   76092 */   // GIR_Coverage, 63958,
     /*   76092 */   GIR_EraseRootFromParent_Done,
     /*   76093 */ // Label 2031: @76093
     /*   76093 */ GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(76151), // Rule ID 63959 //
     /*   76098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76104 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76108 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76119 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76123 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76130 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76133 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76145 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76149 */   GIR_RootConstrainSelectedInstOperands,
     /*   76150 */   // GIR_Coverage, 63959,
     /*   76150 */   GIR_EraseRootFromParent_Done,
     /*   76151 */ // Label 2032: @76151
     /*   76151 */ GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(76209), // Rule ID 63960 //
     /*   76156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   76159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76162 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76188 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   76188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76191 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76203 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76207 */   GIR_RootConstrainSelectedInstOperands,
     /*   76208 */   // GIR_Coverage, 63960,
     /*   76208 */   GIR_EraseRootFromParent_Done,
     /*   76209 */ // Label 2033: @76209
     /*   76209 */ GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(76255), // Rule ID 1086 //
     /*   76214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76217 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76220 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76227 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76234 */   // MIs[0] rs1
     /*   76234 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76242 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10183>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   76245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76247 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76249 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76253 */   GIR_RootConstrainSelectedInstOperands,
     /*   76254 */   // GIR_Coverage, 1086,
     /*   76254 */   GIR_EraseRootFromParent_Done,
     /*   76255 */ // Label 2034: @76255
     /*   76255 */ GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(76301), // Rule ID 1088 //
     /*   76260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76263 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76280 */   // MIs[0] rs1
     /*   76280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76288 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10185>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   76291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76293 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76299 */   GIR_RootConstrainSelectedInstOperands,
     /*   76300 */   // GIR_Coverage, 1088,
     /*   76300 */   GIR_EraseRootFromParent_Done,
     /*   76301 */ // Label 2035: @76301
     /*   76301 */ GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(76347), // Rule ID 1090 //
     /*   76306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76309 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76312 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76326 */   // MIs[0] rs1
     /*   76326 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76334 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10187>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   76337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76339 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76345 */   GIR_RootConstrainSelectedInstOperands,
     /*   76346 */   // GIR_Coverage, 1090,
     /*   76346 */   GIR_EraseRootFromParent_Done,
     /*   76347 */ // Label 2036: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(76393), // Rule ID 1092 //
     /*   76352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76355 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76372 */   // MIs[0] rs1
     /*   76372 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76380 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10189>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   76383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76385 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76387 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76391 */   GIR_RootConstrainSelectedInstOperands,
     /*   76392 */   // GIR_Coverage, 1092,
     /*   76392 */   GIR_EraseRootFromParent_Done,
     /*   76393 */ // Label 2037: @76393
     /*   76393 */ GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(76439), // Rule ID 1094 //
     /*   76398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76401 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76404 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76418 */   // MIs[0] rs1
     /*   76418 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76426 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10191>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   76429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76431 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76433 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76437 */   GIR_RootConstrainSelectedInstOperands,
     /*   76438 */   // GIR_Coverage, 1094,
     /*   76438 */   GIR_EraseRootFromParent_Done,
     /*   76439 */ // Label 2038: @76439
     /*   76439 */ GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(76485), // Rule ID 1096 //
     /*   76444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76447 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76450 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76457 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76464 */   // MIs[0] rs1
     /*   76464 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76472 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10193>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   76475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76477 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76479 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76483 */   GIR_RootConstrainSelectedInstOperands,
     /*   76484 */   // GIR_Coverage, 1096,
     /*   76484 */   GIR_EraseRootFromParent_Done,
     /*   76485 */ // Label 2039: @76485
     /*   76485 */ GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(76531), // Rule ID 1102 //
     /*   76490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   76493 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76496 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76503 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76510 */   // MIs[0] rs1
     /*   76510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76518 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10199>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   76521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76523 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76529 */   GIR_RootConstrainSelectedInstOperands,
     /*   76530 */   // GIR_Coverage, 1102,
     /*   76530 */   GIR_EraseRootFromParent_Done,
     /*   76531 */ // Label 2040: @76531
     /*   76531 */ GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(76577), // Rule ID 1104 //
     /*   76536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   76539 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76542 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76556 */   // MIs[0] rs1
     /*   76556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76564 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10201>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   76567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76569 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76571 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76575 */   GIR_RootConstrainSelectedInstOperands,
     /*   76576 */   // GIR_Coverage, 1104,
     /*   76576 */   GIR_EraseRootFromParent_Done,
     /*   76577 */ // Label 2041: @76577
     /*   76577 */ GIM_Reject,
     /*   76578 */ // Label 1968: @76578
     /*   76578 */ GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(76635), // Rule ID 317 //
     /*   76583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76586 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76589 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76596 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76603 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76614 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9681>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76617 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76629 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76633 */   GIR_RootConstrainSelectedInstOperands,
     /*   76634 */   // GIR_Coverage, 317,
     /*   76634 */   GIR_EraseRootFromParent_Done,
     /*   76635 */ // Label 2042: @76635
     /*   76635 */ GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(76692), // Rule ID 319 //
     /*   76640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76643 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76646 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76653 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76671 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9683>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76674 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76686 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76690 */   GIR_RootConstrainSelectedInstOperands,
     /*   76691 */   // GIR_Coverage, 319,
     /*   76691 */   GIR_EraseRootFromParent_Done,
     /*   76692 */ // Label 2043: @76692
     /*   76692 */ GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(76749), // Rule ID 321 //
     /*   76697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76700 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76703 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76710 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76728 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9685>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   76731 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76743 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76747 */   GIR_RootConstrainSelectedInstOperands,
     /*   76748 */   // GIR_Coverage, 321,
     /*   76748 */   GIR_EraseRootFromParent_Done,
     /*   76749 */ // Label 2044: @76749
     /*   76749 */ GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(76806), // Rule ID 324 //
     /*   76754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   76757 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76760 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76767 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76774 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76778 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76785 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_9689>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   76788 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76800 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76804 */   GIR_RootConstrainSelectedInstOperands,
     /*   76805 */   // GIR_Coverage, 324,
     /*   76805 */   GIR_EraseRootFromParent_Done,
     /*   76806 */ // Label 2045: @76806
     /*   76806 */ GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(76864), // Rule ID 238 //
     /*   76811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   76814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76817 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76843 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76846 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76858 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76862 */   GIR_RootConstrainSelectedInstOperands,
     /*   76863 */   // GIR_Coverage, 238,
     /*   76863 */   GIR_EraseRootFromParent_Done,
     /*   76864 */ // Label 2046: @76864
     /*   76864 */ GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(76922), // Rule ID 240 //
     /*   76869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   76872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76875 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76879 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76894 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76901 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76904 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76920 */   GIR_RootConstrainSelectedInstOperands,
     /*   76921 */   // GIR_Coverage, 240,
     /*   76921 */   GIR_EraseRootFromParent_Done,
     /*   76922 */ // Label 2047: @76922
     /*   76922 */ GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(76980), // Rule ID 278 //
     /*   76927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76933 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76937 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76952 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76959 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   76962 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76964 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76969 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76974 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76978 */   GIR_RootConstrainSelectedInstOperands,
     /*   76979 */   // GIR_Coverage, 278,
     /*   76979 */   GIR_EraseRootFromParent_Done,
     /*   76980 */ // Label 2048: @76980
     /*   76980 */ GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(77031), // Rule ID 279 //
     /*   76985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76988 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76991 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77003 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77010 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   77013 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77025 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77029 */   GIR_RootConstrainSelectedInstOperands,
     /*   77030 */   // GIR_Coverage, 279,
     /*   77030 */   GIR_EraseRootFromParent_Done,
     /*   77031 */ // Label 2049: @77031
     /*   77031 */ GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(77082), // Rule ID 1695 //
     /*   77036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*   77039 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77042 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   77050 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77054 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77061 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*   77064 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77076 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77080 */   GIR_RootConstrainSelectedInstOperands,
     /*   77081 */   // GIR_Coverage, 1695,
     /*   77081 */   GIR_EraseRootFromParent_Done,
     /*   77082 */ // Label 2050: @77082
     /*   77082 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(77133), // Rule ID 1696 //
     /*   77087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*   77090 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77093 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   77101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77105 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77112 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   77112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*   77115 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77117 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77122 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77127 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77131 */   GIR_RootConstrainSelectedInstOperands,
     /*   77132 */   // GIR_Coverage, 1696,
     /*   77132 */   GIR_EraseRootFromParent_Done,
     /*   77133 */ // Label 2051: @77133
     /*   77133 */ GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(77184), // Rule ID 1699 //
     /*   77138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   77141 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77144 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77152 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77156 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77163 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   77166 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77178 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77182 */   GIR_RootConstrainSelectedInstOperands,
     /*   77183 */   // GIR_Coverage, 1699,
     /*   77183 */   GIR_EraseRootFromParent_Done,
     /*   77184 */ // Label 2052: @77184
     /*   77184 */ GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(77230), // Rule ID 1085 //
     /*   77189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77192 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77195 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   77202 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77209 */   // MIs[0] rs1
     /*   77209 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77217 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10183>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   77220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77222 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77228 */   GIR_RootConstrainSelectedInstOperands,
     /*   77229 */   // GIR_Coverage, 1085,
     /*   77229 */   GIR_EraseRootFromParent_Done,
     /*   77230 */ // Label 2053: @77230
     /*   77230 */ GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(77276), // Rule ID 1087 //
     /*   77235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   77248 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77255 */   // MIs[0] rs1
     /*   77255 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77263 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10185>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   77266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77268 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77270 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77274 */   GIR_RootConstrainSelectedInstOperands,
     /*   77275 */   // GIR_Coverage, 1087,
     /*   77275 */   GIR_EraseRootFromParent_Done,
     /*   77276 */ // Label 2054: @77276
     /*   77276 */ GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(77322), // Rule ID 1089 //
     /*   77281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77284 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77287 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   77294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77301 */   // MIs[0] rs1
     /*   77301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77309 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10187>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   77312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77314 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77320 */   GIR_RootConstrainSelectedInstOperands,
     /*   77321 */   // GIR_Coverage, 1089,
     /*   77321 */   GIR_EraseRootFromParent_Done,
     /*   77322 */ // Label 2055: @77322
     /*   77322 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(77368), // Rule ID 1091 //
     /*   77327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   77340 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77347 */   // MIs[0] rs1
     /*   77347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77355 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10189>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   77358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77360 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77362 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77366 */   GIR_RootConstrainSelectedInstOperands,
     /*   77367 */   // GIR_Coverage, 1091,
     /*   77367 */   GIR_EraseRootFromParent_Done,
     /*   77368 */ // Label 2056: @77368
     /*   77368 */ GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(77414), // Rule ID 1093 //
     /*   77373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77376 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77379 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   77386 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77393 */   // MIs[0] rs1
     /*   77393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77401 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10191>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   77404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77406 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77412 */   GIR_RootConstrainSelectedInstOperands,
     /*   77413 */   // GIR_Coverage, 1093,
     /*   77413 */   GIR_EraseRootFromParent_Done,
     /*   77414 */ // Label 2057: @77414
     /*   77414 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(77460), // Rule ID 1095 //
     /*   77419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77422 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77425 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   77432 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77439 */   // MIs[0] rs1
     /*   77439 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77447 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10193>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   77450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77452 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77454 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77458 */   GIR_RootConstrainSelectedInstOperands,
     /*   77459 */   // GIR_Coverage, 1095,
     /*   77459 */   GIR_EraseRootFromParent_Done,
     /*   77460 */ // Label 2058: @77460
     /*   77460 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(77506), // Rule ID 1101 //
     /*   77465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   77468 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77471 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   77478 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77485 */   // MIs[0] rs1
     /*   77485 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77493 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10199>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   77496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77498 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77504 */   GIR_RootConstrainSelectedInstOperands,
     /*   77505 */   // GIR_Coverage, 1101,
     /*   77505 */   GIR_EraseRootFromParent_Done,
     /*   77506 */ // Label 2059: @77506
     /*   77506 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(77552), // Rule ID 1103 //
     /*   77511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   77514 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77517 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   77524 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77531 */   // MIs[0] rs1
     /*   77531 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77539 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10201>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   77542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77544 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77546 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77550 */   GIR_RootConstrainSelectedInstOperands,
     /*   77551 */   // GIR_Coverage, 1103,
     /*   77551 */   GIR_EraseRootFromParent_Done,
     /*   77552 */ // Label 2060: @77552
     /*   77552 */ GIM_Reject,
     /*   77553 */ // Label 1969: @77553
     /*   77553 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(77632),
     /*   77558 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77561 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77569 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77577 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(77604), // Rule ID 45426 //
     /*   77582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77585 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   77585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*   77588 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   77598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77602 */     GIR_RootConstrainSelectedInstOperands,
     /*   77603 */     // GIR_Coverage, 45426,
     /*   77603 */     GIR_EraseRootFromParent_Done,
     /*   77604 */   // Label 2062: @77604
     /*   77604 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(77631), // Rule ID 45427 //
     /*   77609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77612 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   77612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*   77615 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   77625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77629 */     GIR_RootConstrainSelectedInstOperands,
     /*   77630 */     // GIR_Coverage, 45427,
     /*   77630 */     GIR_EraseRootFromParent_Done,
     /*   77631 */   // Label 2063: @77631
     /*   77631 */   GIM_Reject,
     /*   77632 */ // Label 2061: @77632
     /*   77632 */ GIM_Reject,
     /*   77633 */ // Label 1970: @77633
     /*   77633 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(77720),
     /*   77638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77649 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(77684), // Rule ID 45422 //
     /*   77654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77657 */     // MIs[0] rs1
     /*   77657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77665 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   77665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*   77668 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77682 */     GIR_RootConstrainSelectedInstOperands,
     /*   77683 */     // GIR_Coverage, 45422,
     /*   77683 */     GIR_EraseRootFromParent_Done,
     /*   77684 */   // Label 2065: @77684
     /*   77684 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(77719), // Rule ID 45423 //
     /*   77689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77692 */     // MIs[0] rs1
     /*   77692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77700 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   77700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*   77703 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77717 */     GIR_RootConstrainSelectedInstOperands,
     /*   77718 */     // GIR_Coverage, 45423,
     /*   77718 */     GIR_EraseRootFromParent_Done,
     /*   77719 */   // Label 2066: @77719
     /*   77719 */   GIM_Reject,
     /*   77720 */ // Label 2064: @77720
     /*   77720 */ GIM_Reject,
     /*   77721 */ // Label 1971: @77721
     /*   77721 */ GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(77878),
     /*   77726 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77729 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77737 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(77772), // Rule ID 45618 //
     /*   77742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77745 */     // MIs[0] rs1
     /*   77745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77753 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   77753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77756 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77770 */     GIR_RootConstrainSelectedInstOperands,
     /*   77771 */     // GIR_Coverage, 45618,
     /*   77771 */     GIR_EraseRootFromParent_Done,
     /*   77772 */   // Label 2068: @77772
     /*   77772 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(77807), // Rule ID 45619 //
     /*   77777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77780 */     // MIs[0] rs1
     /*   77780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77788 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   77788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77791 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77805 */     GIR_RootConstrainSelectedInstOperands,
     /*   77806 */     // GIR_Coverage, 45619,
     /*   77806 */     GIR_EraseRootFromParent_Done,
     /*   77807 */   // Label 2069: @77807
     /*   77807 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(77842), // Rule ID 45694 //
     /*   77812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   77815 */     // MIs[0] rs1
     /*   77815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77823 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   77823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77826 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77840 */     GIR_RootConstrainSelectedInstOperands,
     /*   77841 */     // GIR_Coverage, 45694,
     /*   77841 */     GIR_EraseRootFromParent_Done,
     /*   77842 */   // Label 2070: @77842
     /*   77842 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(77877), // Rule ID 45695 //
     /*   77847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   77850 */     // MIs[0] rs1
     /*   77850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77858 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   77858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77861 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77875 */     GIR_RootConstrainSelectedInstOperands,
     /*   77876 */     // GIR_Coverage, 45695,
     /*   77876 */     GIR_EraseRootFromParent_Done,
     /*   77877 */   // Label 2071: @77877
     /*   77877 */   GIM_Reject,
     /*   77878 */ // Label 2067: @77878
     /*   77878 */ GIM_Reject,
     /*   77879 */ // Label 1972: @77879
     /*   77879 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(78036),
     /*   77884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77887 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77895 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(77930), // Rule ID 45626 //
     /*   77900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77903 */     // MIs[0] rs1
     /*   77903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77911 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   77911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77914 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77928 */     GIR_RootConstrainSelectedInstOperands,
     /*   77929 */     // GIR_Coverage, 45626,
     /*   77929 */     GIR_EraseRootFromParent_Done,
     /*   77930 */   // Label 2073: @77930
     /*   77930 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(77965), // Rule ID 45627 //
     /*   77935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77938 */     // MIs[0] rs1
     /*   77938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77946 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   77946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77949 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77963 */     GIR_RootConstrainSelectedInstOperands,
     /*   77964 */     // GIR_Coverage, 45627,
     /*   77964 */     GIR_EraseRootFromParent_Done,
     /*   77965 */   // Label 2074: @77965
     /*   77965 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(78000), // Rule ID 45702 //
     /*   77970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   77973 */     // MIs[0] rs1
     /*   77973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77981 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   77981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77984 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77998 */     GIR_RootConstrainSelectedInstOperands,
     /*   77999 */     // GIR_Coverage, 45702,
     /*   77999 */     GIR_EraseRootFromParent_Done,
     /*   78000 */   // Label 2075: @78000
     /*   78000 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(78035), // Rule ID 45703 //
     /*   78005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   78008 */     // MIs[0] rs1
     /*   78008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78016 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   78019 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78033 */     GIR_RootConstrainSelectedInstOperands,
     /*   78034 */     // GIR_Coverage, 45703,
     /*   78034 */     GIR_EraseRootFromParent_Done,
     /*   78035 */   // Label 2076: @78035
     /*   78035 */   GIM_Reject,
     /*   78036 */ // Label 2072: @78036
     /*   78036 */ GIM_Reject,
     /*   78037 */ // Label 1973: @78037
     /*   78037 */ GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(78194),
     /*   78042 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78045 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78053 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(78088), // Rule ID 45642 //
     /*   78058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   78061 */     // MIs[0] rs1
     /*   78061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78069 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78072 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78086 */     GIR_RootConstrainSelectedInstOperands,
     /*   78087 */     // GIR_Coverage, 45642,
     /*   78087 */     GIR_EraseRootFromParent_Done,
     /*   78088 */   // Label 2078: @78088
     /*   78088 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(78123), // Rule ID 45643 //
     /*   78093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   78096 */     // MIs[0] rs1
     /*   78096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78104 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78107 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78121 */     GIR_RootConstrainSelectedInstOperands,
     /*   78122 */     // GIR_Coverage, 45643,
     /*   78122 */     GIR_EraseRootFromParent_Done,
     /*   78123 */   // Label 2079: @78123
     /*   78123 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(78158), // Rule ID 45714 //
     /*   78128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   78131 */     // MIs[0] rs1
     /*   78131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78139 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78142 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78156 */     GIR_RootConstrainSelectedInstOperands,
     /*   78157 */     // GIR_Coverage, 45714,
     /*   78157 */     GIR_EraseRootFromParent_Done,
     /*   78158 */   // Label 2080: @78158
     /*   78158 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(78193), // Rule ID 45715 //
     /*   78163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   78166 */     // MIs[0] rs1
     /*   78166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78174 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78177 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78191 */     GIR_RootConstrainSelectedInstOperands,
     /*   78192 */     // GIR_Coverage, 45715,
     /*   78192 */     GIR_EraseRootFromParent_Done,
     /*   78193 */   // Label 2081: @78193
     /*   78193 */   GIM_Reject,
     /*   78194 */ // Label 2077: @78194
     /*   78194 */ GIM_Reject,
     /*   78195 */ // Label 1974: @78195
     /*   78195 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(78274),
     /*   78200 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78203 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   78215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78219 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(78246), // Rule ID 45754 //
     /*   78224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78227 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   78227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*   78230 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78244 */     GIR_RootConstrainSelectedInstOperands,
     /*   78245 */     // GIR_Coverage, 45754,
     /*   78245 */     GIR_EraseRootFromParent_Done,
     /*   78246 */   // Label 2083: @78246
     /*   78246 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(78273), // Rule ID 45755 //
     /*   78251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78254 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   78254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*   78257 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78271 */     GIR_RootConstrainSelectedInstOperands,
     /*   78272 */     // GIR_Coverage, 45755,
     /*   78272 */     GIR_EraseRootFromParent_Done,
     /*   78273 */   // Label 2084: @78273
     /*   78273 */   GIM_Reject,
     /*   78274 */ // Label 2082: @78274
     /*   78274 */ GIM_Reject,
     /*   78275 */ // Label 1975: @78275
     /*   78275 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(78362),
     /*   78280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78283 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78291 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(78326), // Rule ID 45610 //
     /*   78296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78299 */     // MIs[0] rs1
     /*   78299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78307 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   78307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*   78310 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78324 */     GIR_RootConstrainSelectedInstOperands,
     /*   78325 */     // GIR_Coverage, 45610,
     /*   78325 */     GIR_EraseRootFromParent_Done,
     /*   78326 */   // Label 2086: @78326
     /*   78326 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(78361), // Rule ID 45611 //
     /*   78331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78334 */     // MIs[0] rs1
     /*   78334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78342 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   78342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*   78345 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78359 */     GIR_RootConstrainSelectedInstOperands,
     /*   78360 */     // GIR_Coverage, 45611,
     /*   78360 */     GIR_EraseRootFromParent_Done,
     /*   78361 */   // Label 2087: @78361
     /*   78361 */   GIM_Reject,
     /*   78362 */ // Label 2085: @78362
     /*   78362 */ GIM_Reject,
     /*   78363 */ // Label 1976: @78363
     /*   78363 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(78520),
     /*   78368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78371 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78379 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(78414), // Rule ID 45622 //
     /*   78384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78387 */     // MIs[0] rs1
     /*   78387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78395 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   78395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78398 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78412 */     GIR_RootConstrainSelectedInstOperands,
     /*   78413 */     // GIR_Coverage, 45622,
     /*   78413 */     GIR_EraseRootFromParent_Done,
     /*   78414 */   // Label 2089: @78414
     /*   78414 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(78449), // Rule ID 45623 //
     /*   78419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78422 */     // MIs[0] rs1
     /*   78422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78430 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   78430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78433 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78447 */     GIR_RootConstrainSelectedInstOperands,
     /*   78448 */     // GIR_Coverage, 45623,
     /*   78448 */     GIR_EraseRootFromParent_Done,
     /*   78449 */   // Label 2090: @78449
     /*   78449 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(78484), // Rule ID 45698 //
     /*   78454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   78457 */     // MIs[0] rs1
     /*   78457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78465 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   78465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78468 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78482 */     GIR_RootConstrainSelectedInstOperands,
     /*   78483 */     // GIR_Coverage, 45698,
     /*   78483 */     GIR_EraseRootFromParent_Done,
     /*   78484 */   // Label 2091: @78484
     /*   78484 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(78519), // Rule ID 45699 //
     /*   78489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   78492 */     // MIs[0] rs1
     /*   78492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78500 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   78500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78503 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78517 */     GIR_RootConstrainSelectedInstOperands,
     /*   78518 */     // GIR_Coverage, 45699,
     /*   78518 */     GIR_EraseRootFromParent_Done,
     /*   78519 */   // Label 2092: @78519
     /*   78519 */   GIM_Reject,
     /*   78520 */ // Label 2088: @78520
     /*   78520 */ GIM_Reject,
     /*   78521 */ // Label 1977: @78521
     /*   78521 */ GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(78678),
     /*   78526 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78529 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78537 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(78572), // Rule ID 45638 //
     /*   78542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78545 */     // MIs[0] rs1
     /*   78545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78553 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   78553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78556 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78570 */     GIR_RootConstrainSelectedInstOperands,
     /*   78571 */     // GIR_Coverage, 45638,
     /*   78571 */     GIR_EraseRootFromParent_Done,
     /*   78572 */   // Label 2094: @78572
     /*   78572 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(78607), // Rule ID 45639 //
     /*   78577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78580 */     // MIs[0] rs1
     /*   78580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78588 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78591 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78605 */     GIR_RootConstrainSelectedInstOperands,
     /*   78606 */     // GIR_Coverage, 45639,
     /*   78606 */     GIR_EraseRootFromParent_Done,
     /*   78607 */   // Label 2095: @78607
     /*   78607 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(78642), // Rule ID 45710 //
     /*   78612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   78615 */     // MIs[0] rs1
     /*   78615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78623 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   78623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78626 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78640 */     GIR_RootConstrainSelectedInstOperands,
     /*   78641 */     // GIR_Coverage, 45710,
     /*   78641 */     GIR_EraseRootFromParent_Done,
     /*   78642 */   // Label 2096: @78642
     /*   78642 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(78677), // Rule ID 45711 //
     /*   78647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   78650 */     // MIs[0] rs1
     /*   78650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78658 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78661 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78675 */     GIR_RootConstrainSelectedInstOperands,
     /*   78676 */     // GIR_Coverage, 45711,
     /*   78676 */     GIR_EraseRootFromParent_Done,
     /*   78677 */   // Label 2097: @78677
     /*   78677 */   GIM_Reject,
     /*   78678 */ // Label 2093: @78678
     /*   78678 */ GIM_Reject,
     /*   78679 */ // Label 1978: @78679
     /*   78679 */ GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(78836),
     /*   78684 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78687 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   78695 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(78730), // Rule ID 45682 //
     /*   78700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   78703 */     // MIs[0] rs1
     /*   78703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78711 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78714 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78728 */     GIR_RootConstrainSelectedInstOperands,
     /*   78729 */     // GIR_Coverage, 45682,
     /*   78729 */     GIR_EraseRootFromParent_Done,
     /*   78730 */   // Label 2099: @78730
     /*   78730 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(78765), // Rule ID 45683 //
     /*   78735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   78738 */     // MIs[0] rs1
     /*   78738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78746 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78749 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78763 */     GIR_RootConstrainSelectedInstOperands,
     /*   78764 */     // GIR_Coverage, 45683,
     /*   78764 */     GIR_EraseRootFromParent_Done,
     /*   78765 */   // Label 2100: @78765
     /*   78765 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(78800), // Rule ID 45742 //
     /*   78770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   78773 */     // MIs[0] rs1
     /*   78773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78781 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78784 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78798 */     GIR_RootConstrainSelectedInstOperands,
     /*   78799 */     // GIR_Coverage, 45742,
     /*   78799 */     GIR_EraseRootFromParent_Done,
     /*   78800 */   // Label 2101: @78800
     /*   78800 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(78835), // Rule ID 45743 //
     /*   78805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   78808 */     // MIs[0] rs1
     /*   78808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78816 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78819 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78833 */     GIR_RootConstrainSelectedInstOperands,
     /*   78834 */     // GIR_Coverage, 45743,
     /*   78834 */     GIR_EraseRootFromParent_Done,
     /*   78835 */   // Label 2102: @78835
     /*   78835 */   GIM_Reject,
     /*   78836 */ // Label 2098: @78836
     /*   78836 */ GIM_Reject,
     /*   78837 */ // Label 1979: @78837
     /*   78837 */ GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(78916),
     /*   78842 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78845 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78853 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   78857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78861 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(78888), // Rule ID 45758 //
     /*   78866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78869 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   78869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*   78872 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78886 */     GIR_RootConstrainSelectedInstOperands,
     /*   78887 */     // GIR_Coverage, 45758,
     /*   78887 */     GIR_EraseRootFromParent_Done,
     /*   78888 */   // Label 2104: @78888
     /*   78888 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(78915), // Rule ID 45759 //
     /*   78893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78896 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   78896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*   78899 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78913 */     GIR_RootConstrainSelectedInstOperands,
     /*   78914 */     // GIR_Coverage, 45759,
     /*   78914 */     GIR_EraseRootFromParent_Done,
     /*   78915 */   // Label 2105: @78915
     /*   78915 */   GIM_Reject,
     /*   78916 */ // Label 2103: @78916
     /*   78916 */ GIM_Reject,
     /*   78917 */ // Label 1980: @78917
     /*   78917 */ GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(79004),
     /*   78922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78933 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(78968), // Rule ID 45614 //
     /*   78938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78941 */     // MIs[0] rs1
     /*   78941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78949 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   78949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*   78952 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78966 */     GIR_RootConstrainSelectedInstOperands,
     /*   78967 */     // GIR_Coverage, 45614,
     /*   78967 */     GIR_EraseRootFromParent_Done,
     /*   78968 */   // Label 2107: @78968
     /*   78968 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(79003), // Rule ID 45615 //
     /*   78973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78976 */     // MIs[0] rs1
     /*   78976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78984 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   78984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*   78987 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79001 */     GIR_RootConstrainSelectedInstOperands,
     /*   79002 */     // GIR_Coverage, 45615,
     /*   79002 */     GIR_EraseRootFromParent_Done,
     /*   79003 */   // Label 2108: @79003
     /*   79003 */   GIM_Reject,
     /*   79004 */ // Label 2106: @79004
     /*   79004 */ GIM_Reject,
     /*   79005 */ // Label 1981: @79005
     /*   79005 */ GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(79162),
     /*   79010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79021 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(79056), // Rule ID 45634 //
     /*   79026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79029 */     // MIs[0] rs1
     /*   79029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79037 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79040 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79054 */     GIR_RootConstrainSelectedInstOperands,
     /*   79055 */     // GIR_Coverage, 45634,
     /*   79055 */     GIR_EraseRootFromParent_Done,
     /*   79056 */   // Label 2110: @79056
     /*   79056 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(79091), // Rule ID 45635 //
     /*   79061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79064 */     // MIs[0] rs1
     /*   79064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79072 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79075 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79089 */     GIR_RootConstrainSelectedInstOperands,
     /*   79090 */     // GIR_Coverage, 45635,
     /*   79090 */     GIR_EraseRootFromParent_Done,
     /*   79091 */   // Label 2111: @79091
     /*   79091 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(79126), // Rule ID 45706 //
     /*   79096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   79099 */     // MIs[0] rs1
     /*   79099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79107 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79110 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 45706,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 2112: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(79161), // Rule ID 45707 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   79134 */     // MIs[0] rs1
     /*   79134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79142 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79145 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79159 */     GIR_RootConstrainSelectedInstOperands,
     /*   79160 */     // GIR_Coverage, 45707,
     /*   79160 */     GIR_EraseRootFromParent_Done,
     /*   79161 */   // Label 2113: @79161
     /*   79161 */   GIM_Reject,
     /*   79162 */ // Label 2109: @79162
     /*   79162 */ GIM_Reject,
     /*   79163 */ // Label 1982: @79163
     /*   79163 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(79320),
     /*   79168 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79171 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   79179 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(79214), // Rule ID 45670 //
     /*   79184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79187 */     // MIs[0] rs1
     /*   79187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79195 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79198 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79212 */     GIR_RootConstrainSelectedInstOperands,
     /*   79213 */     // GIR_Coverage, 45670,
     /*   79213 */     GIR_EraseRootFromParent_Done,
     /*   79214 */   // Label 2115: @79214
     /*   79214 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(79249), // Rule ID 45671 //
     /*   79219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79222 */     // MIs[0] rs1
     /*   79222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79230 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79233 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79247 */     GIR_RootConstrainSelectedInstOperands,
     /*   79248 */     // GIR_Coverage, 45671,
     /*   79248 */     GIR_EraseRootFromParent_Done,
     /*   79249 */   // Label 2116: @79249
     /*   79249 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(79284), // Rule ID 45730 //
     /*   79254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   79257 */     // MIs[0] rs1
     /*   79257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79265 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79268 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79282 */     GIR_RootConstrainSelectedInstOperands,
     /*   79283 */     // GIR_Coverage, 45730,
     /*   79283 */     GIR_EraseRootFromParent_Done,
     /*   79284 */   // Label 2117: @79284
     /*   79284 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(79319), // Rule ID 45731 //
     /*   79289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   79292 */     // MIs[0] rs1
     /*   79292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79300 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79303 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79317 */     GIR_RootConstrainSelectedInstOperands,
     /*   79318 */     // GIR_Coverage, 45731,
     /*   79318 */     GIR_EraseRootFromParent_Done,
     /*   79319 */   // Label 2118: @79319
     /*   79319 */   GIM_Reject,
     /*   79320 */ // Label 2114: @79320
     /*   79320 */ GIM_Reject,
     /*   79321 */ // Label 1983: @79321
     /*   79321 */ GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(79478),
     /*   79326 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79329 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79337 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(79372), // Rule ID 45686 //
     /*   79342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   79345 */     // MIs[0] rs1
     /*   79345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79353 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79356 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79370 */     GIR_RootConstrainSelectedInstOperands,
     /*   79371 */     // GIR_Coverage, 45686,
     /*   79371 */     GIR_EraseRootFromParent_Done,
     /*   79372 */   // Label 2120: @79372
     /*   79372 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(79407), // Rule ID 45687 //
     /*   79377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   79380 */     // MIs[0] rs1
     /*   79380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79388 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   79388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79391 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79405 */     GIR_RootConstrainSelectedInstOperands,
     /*   79406 */     // GIR_Coverage, 45687,
     /*   79406 */     GIR_EraseRootFromParent_Done,
     /*   79407 */   // Label 2121: @79407
     /*   79407 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(79442), // Rule ID 45746 //
     /*   79412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   79415 */     // MIs[0] rs1
     /*   79415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79423 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79426 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79440 */     GIR_RootConstrainSelectedInstOperands,
     /*   79441 */     // GIR_Coverage, 45746,
     /*   79441 */     GIR_EraseRootFromParent_Done,
     /*   79442 */   // Label 2122: @79442
     /*   79442 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(79477), // Rule ID 45747 //
     /*   79447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   79450 */     // MIs[0] rs1
     /*   79450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79458 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   79458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79461 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79475 */     GIR_RootConstrainSelectedInstOperands,
     /*   79476 */     // GIR_Coverage, 45747,
     /*   79476 */     GIR_EraseRootFromParent_Done,
     /*   79477 */   // Label 2123: @79477
     /*   79477 */   GIM_Reject,
     /*   79478 */ // Label 2119: @79478
     /*   79478 */ GIM_Reject,
     /*   79479 */ // Label 1984: @79479
     /*   79479 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(79558),
     /*   79484 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79487 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79495 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   79499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79503 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(79530), // Rule ID 45762 //
     /*   79508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79511 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   79511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*   79514 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   79524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79528 */     GIR_RootConstrainSelectedInstOperands,
     /*   79529 */     // GIR_Coverage, 45762,
     /*   79529 */     GIR_EraseRootFromParent_Done,
     /*   79530 */   // Label 2125: @79530
     /*   79530 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(79557), // Rule ID 45763 //
     /*   79535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79538 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   79538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*   79541 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   79551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79555 */     GIR_RootConstrainSelectedInstOperands,
     /*   79556 */     // GIR_Coverage, 45763,
     /*   79556 */     GIR_EraseRootFromParent_Done,
     /*   79557 */   // Label 2126: @79557
     /*   79557 */   GIM_Reject,
     /*   79558 */ // Label 2124: @79558
     /*   79558 */ GIM_Reject,
     /*   79559 */ // Label 1985: @79559
     /*   79559 */ GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(79646),
     /*   79564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79575 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(79610), // Rule ID 45630 //
     /*   79580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79583 */     // MIs[0] rs1
     /*   79583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79591 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   79591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*   79594 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79608 */     GIR_RootConstrainSelectedInstOperands,
     /*   79609 */     // GIR_Coverage, 45630,
     /*   79609 */     GIR_EraseRootFromParent_Done,
     /*   79610 */   // Label 2128: @79610
     /*   79610 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(79645), // Rule ID 45631 //
     /*   79615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79618 */     // MIs[0] rs1
     /*   79618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79626 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   79626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*   79629 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79643 */     GIR_RootConstrainSelectedInstOperands,
     /*   79644 */     // GIR_Coverage, 45631,
     /*   79644 */     GIR_EraseRootFromParent_Done,
     /*   79645 */   // Label 2129: @79645
     /*   79645 */   GIM_Reject,
     /*   79646 */ // Label 2127: @79646
     /*   79646 */ GIM_Reject,
     /*   79647 */ // Label 1986: @79647
     /*   79647 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(79804),
     /*   79652 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79655 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   79663 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(79698), // Rule ID 45658 //
     /*   79668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79671 */     // MIs[0] rs1
     /*   79671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79679 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79682 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79696 */     GIR_RootConstrainSelectedInstOperands,
     /*   79697 */     // GIR_Coverage, 45658,
     /*   79697 */     GIR_EraseRootFromParent_Done,
     /*   79698 */   // Label 2131: @79698
     /*   79698 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(79733), // Rule ID 45659 //
     /*   79703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79706 */     // MIs[0] rs1
     /*   79706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79714 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79731 */     GIR_RootConstrainSelectedInstOperands,
     /*   79732 */     // GIR_Coverage, 45659,
     /*   79732 */     GIR_EraseRootFromParent_Done,
     /*   79733 */   // Label 2132: @79733
     /*   79733 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(79768), // Rule ID 45718 //
     /*   79738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   79741 */     // MIs[0] rs1
     /*   79741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79749 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79752 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79766 */     GIR_RootConstrainSelectedInstOperands,
     /*   79767 */     // GIR_Coverage, 45718,
     /*   79767 */     GIR_EraseRootFromParent_Done,
     /*   79768 */   // Label 2133: @79768
     /*   79768 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(79803), // Rule ID 45719 //
     /*   79773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   79776 */     // MIs[0] rs1
     /*   79776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79784 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79787 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79801 */     GIR_RootConstrainSelectedInstOperands,
     /*   79802 */     // GIR_Coverage, 45719,
     /*   79802 */     GIR_EraseRootFromParent_Done,
     /*   79803 */   // Label 2134: @79803
     /*   79803 */   GIM_Reject,
     /*   79804 */ // Label 2130: @79804
     /*   79804 */ GIM_Reject,
     /*   79805 */ // Label 1987: @79805
     /*   79805 */ GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(79962),
     /*   79810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79813 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79821 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(79856), // Rule ID 45674 //
     /*   79826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79829 */     // MIs[0] rs1
     /*   79829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79837 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79840 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79854 */     GIR_RootConstrainSelectedInstOperands,
     /*   79855 */     // GIR_Coverage, 45674,
     /*   79855 */     GIR_EraseRootFromParent_Done,
     /*   79856 */   // Label 2136: @79856
     /*   79856 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(79891), // Rule ID 45675 //
     /*   79861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79864 */     // MIs[0] rs1
     /*   79864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79872 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79875 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79889 */     GIR_RootConstrainSelectedInstOperands,
     /*   79890 */     // GIR_Coverage, 45675,
     /*   79890 */     GIR_EraseRootFromParent_Done,
     /*   79891 */   // Label 2137: @79891
     /*   79891 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(79926), // Rule ID 45734 //
     /*   79896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   79899 */     // MIs[0] rs1
     /*   79899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79907 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79910 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79924 */     GIR_RootConstrainSelectedInstOperands,
     /*   79925 */     // GIR_Coverage, 45734,
     /*   79925 */     GIR_EraseRootFromParent_Done,
     /*   79926 */   // Label 2138: @79926
     /*   79926 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(79961), // Rule ID 45735 //
     /*   79931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   79934 */     // MIs[0] rs1
     /*   79934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79942 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79945 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79959 */     GIR_RootConstrainSelectedInstOperands,
     /*   79960 */     // GIR_Coverage, 45735,
     /*   79960 */     GIR_EraseRootFromParent_Done,
     /*   79961 */   // Label 2139: @79961
     /*   79961 */   GIM_Reject,
     /*   79962 */ // Label 2135: @79962
     /*   79962 */ GIM_Reject,
     /*   79963 */ // Label 1988: @79963
     /*   79963 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(80120),
     /*   79968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79971 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79979 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(80014), // Rule ID 45690 //
     /*   79984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   79987 */     // MIs[0] rs1
     /*   79987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79995 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   79998 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80012 */     GIR_RootConstrainSelectedInstOperands,
     /*   80013 */     // GIR_Coverage, 45690,
     /*   80013 */     GIR_EraseRootFromParent_Done,
     /*   80014 */   // Label 2141: @80014
     /*   80014 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(80049), // Rule ID 45691 //
     /*   80019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   80022 */     // MIs[0] rs1
     /*   80022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80030 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   80030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80033 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80047 */     GIR_RootConstrainSelectedInstOperands,
     /*   80048 */     // GIR_Coverage, 45691,
     /*   80048 */     GIR_EraseRootFromParent_Done,
     /*   80049 */   // Label 2142: @80049
     /*   80049 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(80084), // Rule ID 45750 //
     /*   80054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   80057 */     // MIs[0] rs1
     /*   80057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80065 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   80065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80068 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80082 */     GIR_RootConstrainSelectedInstOperands,
     /*   80083 */     // GIR_Coverage, 45750,
     /*   80083 */     GIR_EraseRootFromParent_Done,
     /*   80084 */   // Label 2143: @80084
     /*   80084 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(80119), // Rule ID 45751 //
     /*   80089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   80092 */     // MIs[0] rs1
     /*   80092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80100 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   80100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80103 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80117 */     GIR_RootConstrainSelectedInstOperands,
     /*   80118 */     // GIR_Coverage, 45751,
     /*   80118 */     GIR_EraseRootFromParent_Done,
     /*   80119 */   // Label 2144: @80119
     /*   80119 */   GIM_Reject,
     /*   80120 */ // Label 2140: @80120
     /*   80120 */ GIM_Reject,
     /*   80121 */ // Label 1989: @80121
     /*   80121 */ GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(80200),
     /*   80126 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80129 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80137 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80145 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(80172), // Rule ID 45766 //
     /*   80150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80153 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*   80156 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80170 */     GIR_RootConstrainSelectedInstOperands,
     /*   80171 */     // GIR_Coverage, 45766,
     /*   80171 */     GIR_EraseRootFromParent_Done,
     /*   80172 */   // Label 2146: @80172
     /*   80172 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(80199), // Rule ID 45767 //
     /*   80177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80180 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*   80183 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80197 */     GIR_RootConstrainSelectedInstOperands,
     /*   80198 */     // GIR_Coverage, 45767,
     /*   80198 */     GIR_EraseRootFromParent_Done,
     /*   80199 */   // Label 2147: @80199
     /*   80199 */   GIM_Reject,
     /*   80200 */ // Label 2145: @80200
     /*   80200 */ GIM_Reject,
     /*   80201 */ // Label 1990: @80201
     /*   80201 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(80288),
     /*   80206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80209 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   80217 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(80252), // Rule ID 45646 //
     /*   80222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80225 */     // MIs[0] rs1
     /*   80225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80233 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   80233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*   80236 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80250 */     GIR_RootConstrainSelectedInstOperands,
     /*   80251 */     // GIR_Coverage, 45646,
     /*   80251 */     GIR_EraseRootFromParent_Done,
     /*   80252 */   // Label 2149: @80252
     /*   80252 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(80287), // Rule ID 45647 //
     /*   80257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80260 */     // MIs[0] rs1
     /*   80260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80268 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*   80271 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80285 */     GIR_RootConstrainSelectedInstOperands,
     /*   80286 */     // GIR_Coverage, 45647,
     /*   80286 */     GIR_EraseRootFromParent_Done,
     /*   80287 */   // Label 2150: @80287
     /*   80287 */   GIM_Reject,
     /*   80288 */ // Label 2148: @80288
     /*   80288 */ GIM_Reject,
     /*   80289 */ // Label 1991: @80289
     /*   80289 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(80446),
     /*   80294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80297 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80305 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(80340), // Rule ID 45662 //
     /*   80310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80313 */     // MIs[0] rs1
     /*   80313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80321 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80324 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80338 */     GIR_RootConstrainSelectedInstOperands,
     /*   80339 */     // GIR_Coverage, 45662,
     /*   80339 */     GIR_EraseRootFromParent_Done,
     /*   80340 */   // Label 2152: @80340
     /*   80340 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(80375), // Rule ID 45663 //
     /*   80345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80348 */     // MIs[0] rs1
     /*   80348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80356 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80359 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80373 */     GIR_RootConstrainSelectedInstOperands,
     /*   80374 */     // GIR_Coverage, 45663,
     /*   80374 */     GIR_EraseRootFromParent_Done,
     /*   80375 */   // Label 2153: @80375
     /*   80375 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(80410), // Rule ID 45722 //
     /*   80380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   80383 */     // MIs[0] rs1
     /*   80383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80391 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80394 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80408 */     GIR_RootConstrainSelectedInstOperands,
     /*   80409 */     // GIR_Coverage, 45722,
     /*   80409 */     GIR_EraseRootFromParent_Done,
     /*   80410 */   // Label 2154: @80410
     /*   80410 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(80445), // Rule ID 45723 //
     /*   80415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   80418 */     // MIs[0] rs1
     /*   80418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80426 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80429 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80443 */     GIR_RootConstrainSelectedInstOperands,
     /*   80444 */     // GIR_Coverage, 45723,
     /*   80444 */     GIR_EraseRootFromParent_Done,
     /*   80445 */   // Label 2155: @80445
     /*   80445 */   GIM_Reject,
     /*   80446 */ // Label 2151: @80446
     /*   80446 */ GIM_Reject,
     /*   80447 */ // Label 1992: @80447
     /*   80447 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(80604),
     /*   80452 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80455 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80463 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(80498), // Rule ID 45678 //
     /*   80468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80471 */     // MIs[0] rs1
     /*   80471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80479 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   80479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80482 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80496 */     GIR_RootConstrainSelectedInstOperands,
     /*   80497 */     // GIR_Coverage, 45678,
     /*   80497 */     GIR_EraseRootFromParent_Done,
     /*   80498 */   // Label 2157: @80498
     /*   80498 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(80533), // Rule ID 45679 //
     /*   80503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80506 */     // MIs[0] rs1
     /*   80506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80514 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   80514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80517 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80531 */     GIR_RootConstrainSelectedInstOperands,
     /*   80532 */     // GIR_Coverage, 45679,
     /*   80532 */     GIR_EraseRootFromParent_Done,
     /*   80533 */   // Label 2158: @80533
     /*   80533 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(80568), // Rule ID 45738 //
     /*   80538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   80541 */     // MIs[0] rs1
     /*   80541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80549 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80566 */     GIR_RootConstrainSelectedInstOperands,
     /*   80567 */     // GIR_Coverage, 45738,
     /*   80567 */     GIR_EraseRootFromParent_Done,
     /*   80568 */   // Label 2159: @80568
     /*   80568 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(80603), // Rule ID 45739 //
     /*   80573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   80576 */     // MIs[0] rs1
     /*   80576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80584 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   80584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80587 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80601 */     GIR_RootConstrainSelectedInstOperands,
     /*   80602 */     // GIR_Coverage, 45739,
     /*   80602 */     GIR_EraseRootFromParent_Done,
     /*   80603 */   // Label 2160: @80603
     /*   80603 */   GIM_Reject,
     /*   80604 */ // Label 2156: @80604
     /*   80604 */ GIM_Reject,
     /*   80605 */ // Label 1993: @80605
     /*   80605 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(80684),
     /*   80610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80613 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80621 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80629 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(80656), // Rule ID 45770 //
     /*   80634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80637 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*   80640 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80654 */     GIR_RootConstrainSelectedInstOperands,
     /*   80655 */     // GIR_Coverage, 45770,
     /*   80655 */     GIR_EraseRootFromParent_Done,
     /*   80656 */   // Label 2162: @80656
     /*   80656 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(80683), // Rule ID 45771 //
     /*   80661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80664 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*   80667 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80681 */     GIR_RootConstrainSelectedInstOperands,
     /*   80682 */     // GIR_Coverage, 45771,
     /*   80682 */     GIR_EraseRootFromParent_Done,
     /*   80683 */   // Label 2163: @80683
     /*   80683 */   GIM_Reject,
     /*   80684 */ // Label 2161: @80684
     /*   80684 */ GIM_Reject,
     /*   80685 */ // Label 1994: @80685
     /*   80685 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(80772),
     /*   80690 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80693 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80701 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(80736), // Rule ID 45650 //
     /*   80706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80709 */     // MIs[0] rs1
     /*   80709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80717 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   80717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*   80720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80734 */     GIR_RootConstrainSelectedInstOperands,
     /*   80735 */     // GIR_Coverage, 45650,
     /*   80735 */     GIR_EraseRootFromParent_Done,
     /*   80736 */   // Label 2165: @80736
     /*   80736 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(80771), // Rule ID 45651 //
     /*   80741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80744 */     // MIs[0] rs1
     /*   80744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80752 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   80752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*   80755 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80769 */     GIR_RootConstrainSelectedInstOperands,
     /*   80770 */     // GIR_Coverage, 45651,
     /*   80770 */     GIR_EraseRootFromParent_Done,
     /*   80771 */   // Label 2166: @80771
     /*   80771 */   GIM_Reject,
     /*   80772 */ // Label 2164: @80772
     /*   80772 */ GIM_Reject,
     /*   80773 */ // Label 1995: @80773
     /*   80773 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(80930),
     /*   80778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80781 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80789 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(80824), // Rule ID 45666 //
     /*   80794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80797 */     // MIs[0] rs1
     /*   80797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80805 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80808 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80822 */     GIR_RootConstrainSelectedInstOperands,
     /*   80823 */     // GIR_Coverage, 45666,
     /*   80823 */     GIR_EraseRootFromParent_Done,
     /*   80824 */   // Label 2168: @80824
     /*   80824 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(80859), // Rule ID 45667 //
     /*   80829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80832 */     // MIs[0] rs1
     /*   80832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80840 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80843 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80857 */     GIR_RootConstrainSelectedInstOperands,
     /*   80858 */     // GIR_Coverage, 45667,
     /*   80858 */     GIR_EraseRootFromParent_Done,
     /*   80859 */   // Label 2169: @80859
     /*   80859 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(80894), // Rule ID 45726 //
     /*   80864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   80867 */     // MIs[0] rs1
     /*   80867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80875 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80878 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80892 */     GIR_RootConstrainSelectedInstOperands,
     /*   80893 */     // GIR_Coverage, 45726,
     /*   80893 */     GIR_EraseRootFromParent_Done,
     /*   80894 */   // Label 2170: @80894
     /*   80894 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(80929), // Rule ID 45727 //
     /*   80899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   80902 */     // MIs[0] rs1
     /*   80902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80910 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80913 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80927 */     GIR_RootConstrainSelectedInstOperands,
     /*   80928 */     // GIR_Coverage, 45727,
     /*   80928 */     GIR_EraseRootFromParent_Done,
     /*   80929 */   // Label 2171: @80929
     /*   80929 */   GIM_Reject,
     /*   80930 */ // Label 2167: @80930
     /*   80930 */ GIM_Reject,
     /*   80931 */ // Label 1996: @80931
     /*   80931 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(81010),
     /*   80936 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80939 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80947 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80955 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(80982), // Rule ID 45774 //
     /*   80960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80963 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*   80966 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80980 */     GIR_RootConstrainSelectedInstOperands,
     /*   80981 */     // GIR_Coverage, 45774,
     /*   80981 */     GIR_EraseRootFromParent_Done,
     /*   80982 */   // Label 2173: @80982
     /*   80982 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(81009), // Rule ID 45775 //
     /*   80987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80990 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*   80993 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   81003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81007 */     GIR_RootConstrainSelectedInstOperands,
     /*   81008 */     // GIR_Coverage, 45775,
     /*   81008 */     GIR_EraseRootFromParent_Done,
     /*   81009 */   // Label 2174: @81009
     /*   81009 */   GIM_Reject,
     /*   81010 */ // Label 2172: @81010
     /*   81010 */ GIM_Reject,
     /*   81011 */ // Label 1997: @81011
     /*   81011 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(81098),
     /*   81016 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   81019 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   81023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   81027 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(81062), // Rule ID 45654 //
     /*   81032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81035 */     // MIs[0] rs1
     /*   81035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   81039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81043 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   81043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*   81046 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   81048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81060 */     GIR_RootConstrainSelectedInstOperands,
     /*   81061 */     // GIR_Coverage, 45654,
     /*   81061 */     GIR_EraseRootFromParent_Done,
     /*   81062 */   // Label 2176: @81062
     /*   81062 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(81097), // Rule ID 45655 //
     /*   81067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81070 */     // MIs[0] rs1
     /*   81070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81078 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   81078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*   81081 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   81083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81095 */     GIR_RootConstrainSelectedInstOperands,
     /*   81096 */     // GIR_Coverage, 45655,
     /*   81096 */     GIR_EraseRootFromParent_Done,
     /*   81097 */   // Label 2177: @81097
     /*   81097 */   GIM_Reject,
     /*   81098 */ // Label 2175: @81098
     /*   81098 */ GIM_Reject,
     /*   81099 */ // Label 1998: @81099
     /*   81099 */ GIM_Reject,
     /*   81100 */ // Label 25: @81100
     /*   81100 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2180*/ GIMT_Encode4(85985),
     /*   81111 */ /*GILLT_s32*//*Label 2178*/ GIMT_Encode4(81119),
     /*   81115 */ /*GILLT_s64*//*Label 2179*/ GIMT_Encode4(83112),
     /*   81119 */ // Label 2178: @81119
     /*   81119 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(83111),
     /*   81124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   81127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*   81130 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(81196), // Rule ID 627 //
     /*   81135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81152 */     // MIs[0] addr
     /*   81152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81168 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*   81168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81176 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81181 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81183 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81185 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   81190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81194 */     GIR_RootConstrainSelectedInstOperands,
     /*   81195 */     // GIR_Coverage, 627,
     /*   81195 */     GIR_EraseRootFromParent_Done,
     /*   81196 */   // Label 2182: @81196
     /*   81196 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(81262), // Rule ID 629 //
     /*   81201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81218 */     // MIs[0] addr
     /*   81218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81234 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*   81234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81242 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81247 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81249 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81251 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   81256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81260 */     GIR_RootConstrainSelectedInstOperands,
     /*   81261 */     // GIR_Coverage, 629,
     /*   81261 */     GIR_EraseRootFromParent_Done,
     /*   81262 */   // Label 2183: @81262
     /*   81262 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(81328), // Rule ID 631 //
     /*   81267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81284 */     // MIs[0] addr
     /*   81284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81300 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*   81300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81308 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81313 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81315 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81317 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81326 */     GIR_RootConstrainSelectedInstOperands,
     /*   81327 */     // GIR_Coverage, 631,
     /*   81327 */     GIR_EraseRootFromParent_Done,
     /*   81328 */   // Label 2184: @81328
     /*   81328 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(81394), // Rule ID 633 //
     /*   81333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81350 */     // MIs[0] addr
     /*   81350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81366 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*   81366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81374 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81379 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81381 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81383 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81392 */     GIR_RootConstrainSelectedInstOperands,
     /*   81393 */     // GIR_Coverage, 633,
     /*   81393 */     GIR_EraseRootFromParent_Done,
     /*   81394 */   // Label 2185: @81394
     /*   81394 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(81460), // Rule ID 635 //
     /*   81399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81416 */     // MIs[0] addr
     /*   81416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81432 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*   81432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81440 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81445 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81447 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81449 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   81454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81458 */     GIR_RootConstrainSelectedInstOperands,
     /*   81459 */     // GIR_Coverage, 635,
     /*   81459 */     GIR_EraseRootFromParent_Done,
     /*   81460 */   // Label 2186: @81460
     /*   81460 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(81515), // Rule ID 644 //
     /*   81465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81482 */     // MIs[0] addr
     /*   81482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81498 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81503 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81505 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81507 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81513 */     GIR_RootConstrainSelectedInstOperands,
     /*   81514 */     // GIR_Coverage, 644,
     /*   81514 */     GIR_EraseRootFromParent_Done,
     /*   81515 */   // Label 2187: @81515
     /*   81515 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(81570), // Rule ID 646 //
     /*   81520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81537 */     // MIs[0] addr
     /*   81537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81553 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*   81556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81558 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81560 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81562 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81568 */     GIR_RootConstrainSelectedInstOperands,
     /*   81569 */     // GIR_Coverage, 646,
     /*   81569 */     GIR_EraseRootFromParent_Done,
     /*   81570 */   // Label 2188: @81570
     /*   81570 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(81625), // Rule ID 648 //
     /*   81575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81592 */     // MIs[0] addr
     /*   81592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81608 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*   81611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81613 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81615 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81617 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81623 */     GIR_RootConstrainSelectedInstOperands,
     /*   81624 */     // GIR_Coverage, 648,
     /*   81624 */     GIR_EraseRootFromParent_Done,
     /*   81625 */   // Label 2189: @81625
     /*   81625 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(81680), // Rule ID 650 //
     /*   81630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81647 */     // MIs[0] addr
     /*   81647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81663 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   81666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81668 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81670 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81672 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81678 */     GIR_RootConstrainSelectedInstOperands,
     /*   81679 */     // GIR_Coverage, 650,
     /*   81679 */     GIR_EraseRootFromParent_Done,
     /*   81680 */   // Label 2190: @81680
     /*   81680 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(81735), // Rule ID 652 //
     /*   81685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81702 */     // MIs[0] addr
     /*   81702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81718 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   81721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81723 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81725 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81727 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81733 */     GIR_RootConstrainSelectedInstOperands,
     /*   81734 */     // GIR_Coverage, 652,
     /*   81734 */     GIR_EraseRootFromParent_Done,
     /*   81735 */   // Label 2191: @81735
     /*   81735 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(81790), // Rule ID 654 //
     /*   81740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81757 */     // MIs[0] addr
     /*   81757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81773 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81778 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81780 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81782 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81788 */     GIR_RootConstrainSelectedInstOperands,
     /*   81789 */     // GIR_Coverage, 654,
     /*   81789 */     GIR_EraseRootFromParent_Done,
     /*   81790 */   // Label 2192: @81790
     /*   81790 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(81845), // Rule ID 656 //
     /*   81795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81812 */     // MIs[0] addr
     /*   81812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81828 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81833 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81835 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81837 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81843 */     GIR_RootConstrainSelectedInstOperands,
     /*   81844 */     // GIR_Coverage, 656,
     /*   81844 */     GIR_EraseRootFromParent_Done,
     /*   81845 */   // Label 2193: @81845
     /*   81845 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(81900), // Rule ID 658 //
     /*   81850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81867 */     // MIs[0] addr
     /*   81867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81883 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81888 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81890 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81892 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81898 */     GIR_RootConstrainSelectedInstOperands,
     /*   81899 */     // GIR_Coverage, 658,
     /*   81899 */     GIR_EraseRootFromParent_Done,
     /*   81900 */   // Label 2194: @81900
     /*   81900 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(81955), // Rule ID 660 //
     /*   81905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81922 */     // MIs[0] addr
     /*   81922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81938 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81943 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81945 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81947 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81953 */     GIR_RootConstrainSelectedInstOperands,
     /*   81954 */     // GIR_Coverage, 660,
     /*   81954 */     GIR_EraseRootFromParent_Done,
     /*   81955 */   // Label 2195: @81955
     /*   81955 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(82010), // Rule ID 662 //
     /*   81960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81977 */     // MIs[0] addr
     /*   81977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81993 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81998 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82000 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82002 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82008 */     GIR_RootConstrainSelectedInstOperands,
     /*   82009 */     // GIR_Coverage, 662,
     /*   82009 */     GIR_EraseRootFromParent_Done,
     /*   82010 */   // Label 2196: @82010
     /*   82010 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(82065), // Rule ID 1034 //
     /*   82015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82032 */     // MIs[0] addr
     /*   82032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82048 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82053 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82055 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82057 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82063 */     GIR_RootConstrainSelectedInstOperands,
     /*   82064 */     // GIR_Coverage, 1034,
     /*   82064 */     GIR_EraseRootFromParent_Done,
     /*   82065 */   // Label 2197: @82065
     /*   82065 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(82120), // Rule ID 1036 //
     /*   82070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82087 */     // MIs[0] addr
     /*   82087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82103 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*   82106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82108 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82110 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82112 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82118 */     GIR_RootConstrainSelectedInstOperands,
     /*   82119 */     // GIR_Coverage, 1036,
     /*   82119 */     GIR_EraseRootFromParent_Done,
     /*   82120 */   // Label 2198: @82120
     /*   82120 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(82175), // Rule ID 1038 //
     /*   82125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82142 */     // MIs[0] addr
     /*   82142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82158 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*   82161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82163 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82165 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82167 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82173 */     GIR_RootConstrainSelectedInstOperands,
     /*   82174 */     // GIR_Coverage, 1038,
     /*   82174 */     GIR_EraseRootFromParent_Done,
     /*   82175 */   // Label 2199: @82175
     /*   82175 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(82230), // Rule ID 1040 //
     /*   82180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82197 */     // MIs[0] addr
     /*   82197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82213 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   82216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82218 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82220 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82222 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82228 */     GIR_RootConstrainSelectedInstOperands,
     /*   82229 */     // GIR_Coverage, 1040,
     /*   82229 */     GIR_EraseRootFromParent_Done,
     /*   82230 */   // Label 2200: @82230
     /*   82230 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(82285), // Rule ID 1042 //
     /*   82235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82252 */     // MIs[0] addr
     /*   82252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82268 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   82271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82273 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82275 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82277 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82283 */     GIR_RootConstrainSelectedInstOperands,
     /*   82284 */     // GIR_Coverage, 1042,
     /*   82284 */     GIR_EraseRootFromParent_Done,
     /*   82285 */   // Label 2201: @82285
     /*   82285 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(82340), // Rule ID 1044 //
     /*   82290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82307 */     // MIs[0] addr
     /*   82307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82323 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82328 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82330 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82332 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82338 */     GIR_RootConstrainSelectedInstOperands,
     /*   82339 */     // GIR_Coverage, 1044,
     /*   82339 */     GIR_EraseRootFromParent_Done,
     /*   82340 */   // Label 2202: @82340
     /*   82340 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(82395), // Rule ID 1046 //
     /*   82345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82362 */     // MIs[0] addr
     /*   82362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82378 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82383 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82385 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82387 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82393 */     GIR_RootConstrainSelectedInstOperands,
     /*   82394 */     // GIR_Coverage, 1046,
     /*   82394 */     GIR_EraseRootFromParent_Done,
     /*   82395 */   // Label 2203: @82395
     /*   82395 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(82450), // Rule ID 1048 //
     /*   82400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82417 */     // MIs[0] addr
     /*   82417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82433 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82438 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82440 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82442 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82448 */     GIR_RootConstrainSelectedInstOperands,
     /*   82449 */     // GIR_Coverage, 1048,
     /*   82449 */     GIR_EraseRootFromParent_Done,
     /*   82450 */   // Label 2204: @82450
     /*   82450 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(82505), // Rule ID 1050 //
     /*   82455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82472 */     // MIs[0] addr
     /*   82472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82488 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82493 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82495 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82497 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 1050,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 2205: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(82560), // Rule ID 1052 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82527 */     // MIs[0] addr
     /*   82527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82543 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82548 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82550 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82552 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82558 */     GIR_RootConstrainSelectedInstOperands,
     /*   82559 */     // GIR_Coverage, 1052,
     /*   82559 */     GIR_EraseRootFromParent_Done,
     /*   82560 */   // Label 2206: @82560
     /*   82560 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(82615), // Rule ID 1054 //
     /*   82565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82582 */     // MIs[0] addr
     /*   82582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82598 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82603 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82605 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82607 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82613 */     GIR_RootConstrainSelectedInstOperands,
     /*   82614 */     // GIR_Coverage, 1054,
     /*   82614 */     GIR_EraseRootFromParent_Done,
     /*   82615 */   // Label 2207: @82615
     /*   82615 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(82670), // Rule ID 1056 //
     /*   82620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82637 */     // MIs[0] addr
     /*   82637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82653 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*   82656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82658 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82660 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82662 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82668 */     GIR_RootConstrainSelectedInstOperands,
     /*   82669 */     // GIR_Coverage, 1056,
     /*   82669 */     GIR_EraseRootFromParent_Done,
     /*   82670 */   // Label 2208: @82670
     /*   82670 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(82725), // Rule ID 1058 //
     /*   82675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82692 */     // MIs[0] addr
     /*   82692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82708 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*   82711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82713 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82715 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82717 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82723 */     GIR_RootConstrainSelectedInstOperands,
     /*   82724 */     // GIR_Coverage, 1058,
     /*   82724 */     GIR_EraseRootFromParent_Done,
     /*   82725 */   // Label 2209: @82725
     /*   82725 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(82780), // Rule ID 1060 //
     /*   82730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82747 */     // MIs[0] addr
     /*   82747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82763 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   82766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82768 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82770 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82772 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82778 */     GIR_RootConstrainSelectedInstOperands,
     /*   82779 */     // GIR_Coverage, 1060,
     /*   82779 */     GIR_EraseRootFromParent_Done,
     /*   82780 */   // Label 2210: @82780
     /*   82780 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(82835), // Rule ID 1062 //
     /*   82785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82802 */     // MIs[0] addr
     /*   82802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82818 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   82821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82823 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82825 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82827 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82833 */     GIR_RootConstrainSelectedInstOperands,
     /*   82834 */     // GIR_Coverage, 1062,
     /*   82834 */     GIR_EraseRootFromParent_Done,
     /*   82835 */   // Label 2211: @82835
     /*   82835 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(82890), // Rule ID 1064 //
     /*   82840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82857 */     // MIs[0] addr
     /*   82857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82873 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82878 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82880 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82882 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82888 */     GIR_RootConstrainSelectedInstOperands,
     /*   82889 */     // GIR_Coverage, 1064,
     /*   82889 */     GIR_EraseRootFromParent_Done,
     /*   82890 */   // Label 2212: @82890
     /*   82890 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(82945), // Rule ID 1066 //
     /*   82895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82912 */     // MIs[0] addr
     /*   82912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82928 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82933 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82935 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82937 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82943 */     GIR_RootConstrainSelectedInstOperands,
     /*   82944 */     // GIR_Coverage, 1066,
     /*   82944 */     GIR_EraseRootFromParent_Done,
     /*   82945 */   // Label 2213: @82945
     /*   82945 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(83000), // Rule ID 1068 //
     /*   82950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82967 */     // MIs[0] addr
     /*   82967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82983 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82988 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82990 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82992 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82998 */     GIR_RootConstrainSelectedInstOperands,
     /*   82999 */     // GIR_Coverage, 1068,
     /*   82999 */     GIR_EraseRootFromParent_Done,
     /*   83000 */   // Label 2214: @83000
     /*   83000 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(83055), // Rule ID 1070 //
     /*   83005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   83008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   83015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83022 */     // MIs[0] addr
     /*   83022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   83026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83038 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   83038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   83041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83043 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83045 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83047 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83053 */     GIR_RootConstrainSelectedInstOperands,
     /*   83054 */     // GIR_Coverage, 1070,
     /*   83054 */     GIR_EraseRootFromParent_Done,
     /*   83055 */   // Label 2215: @83055
     /*   83055 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(83110), // Rule ID 1072 //
     /*   83060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   83063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   83070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83077 */     // MIs[0] addr
     /*   83077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   83081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83093 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   83093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   83096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83098 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83100 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83102 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83108 */     GIR_RootConstrainSelectedInstOperands,
     /*   83109 */     // GIR_Coverage, 1072,
     /*   83109 */     GIR_EraseRootFromParent_Done,
     /*   83110 */   // Label 2216: @83110
     /*   83110 */   GIM_Reject,
     /*   83111 */ // Label 2181: @83111
     /*   83111 */ GIM_Reject,
     /*   83112 */ // Label 2179: @83112
     /*   83112 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(85984),
     /*   83117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   83120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*   83123 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(83189), // Rule ID 626 //
     /*   83128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83145 */     // MIs[0] addr
     /*   83145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83161 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*   83161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83169 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83174 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83176 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83178 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   83183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83187 */     GIR_RootConstrainSelectedInstOperands,
     /*   83188 */     // GIR_Coverage, 626,
     /*   83188 */     GIR_EraseRootFromParent_Done,
     /*   83189 */   // Label 2218: @83189
     /*   83189 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(83255), // Rule ID 628 //
     /*   83194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83211 */     // MIs[0] addr
     /*   83211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83227 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*   83227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83235 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83240 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83242 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83244 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83253 */     GIR_RootConstrainSelectedInstOperands,
     /*   83254 */     // GIR_Coverage, 628,
     /*   83254 */     GIR_EraseRootFromParent_Done,
     /*   83255 */   // Label 2219: @83255
     /*   83255 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(83321), // Rule ID 630 //
     /*   83260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83277 */     // MIs[0] addr
     /*   83277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83293 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*   83293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83301 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83306 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83308 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83310 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   83315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83319 */     GIR_RootConstrainSelectedInstOperands,
     /*   83320 */     // GIR_Coverage, 630,
     /*   83320 */     GIR_EraseRootFromParent_Done,
     /*   83321 */   // Label 2220: @83321
     /*   83321 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(83387), // Rule ID 632 //
     /*   83326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83343 */     // MIs[0] addr
     /*   83343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83359 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*   83359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83367 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83374 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83376 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   83381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83385 */     GIR_RootConstrainSelectedInstOperands,
     /*   83386 */     // GIR_Coverage, 632,
     /*   83386 */     GIR_EraseRootFromParent_Done,
     /*   83387 */   // Label 2221: @83387
     /*   83387 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(83453), // Rule ID 634 //
     /*   83392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83409 */     // MIs[0] addr
     /*   83409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83425 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*   83425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83433 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83438 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83440 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83442 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   83447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83451 */     GIR_RootConstrainSelectedInstOperands,
     /*   83452 */     // GIR_Coverage, 634,
     /*   83452 */     GIR_EraseRootFromParent_Done,
     /*   83453 */   // Label 2222: @83453
     /*   83453 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(83519), // Rule ID 636 //
     /*   83458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83475 */     // MIs[0] addr
     /*   83475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83491 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*   83491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83499 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83504 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83506 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83508 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   83513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83517 */     GIR_RootConstrainSelectedInstOperands,
     /*   83518 */     // GIR_Coverage, 636,
     /*   83518 */     GIR_EraseRootFromParent_Done,
     /*   83519 */   // Label 2223: @83519
     /*   83519 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(83585), // Rule ID 637 //
     /*   83524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83541 */     // MIs[0] addr
     /*   83541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83557 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*   83557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83565 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83570 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83572 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83574 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83583 */     GIR_RootConstrainSelectedInstOperands,
     /*   83584 */     // GIR_Coverage, 637,
     /*   83584 */     GIR_EraseRootFromParent_Done,
     /*   83585 */   // Label 2224: @83585
     /*   83585 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(83651), // Rule ID 638 //
     /*   83590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83607 */     // MIs[0] addr
     /*   83607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83623 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*   83623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83631 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83636 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83638 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83640 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   83645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83649 */     GIR_RootConstrainSelectedInstOperands,
     /*   83650 */     // GIR_Coverage, 638,
     /*   83650 */     GIR_EraseRootFromParent_Done,
     /*   83651 */   // Label 2225: @83651
     /*   83651 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(83717), // Rule ID 639 //
     /*   83656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83673 */     // MIs[0] addr
     /*   83673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83689 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*   83689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83697 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83702 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83704 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83706 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   83711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83715 */     GIR_RootConstrainSelectedInstOperands,
     /*   83716 */     // GIR_Coverage, 639,
     /*   83716 */     GIR_EraseRootFromParent_Done,
     /*   83717 */   // Label 2226: @83717
     /*   83717 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(83783), // Rule ID 640 //
     /*   83722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83739 */     // MIs[0] addr
     /*   83739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83755 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*   83755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83763 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83768 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83770 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83772 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   83777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83781 */     GIR_RootConstrainSelectedInstOperands,
     /*   83782 */     // GIR_Coverage, 640,
     /*   83782 */     GIR_EraseRootFromParent_Done,
     /*   83783 */   // Label 2227: @83783
     /*   83783 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(83838), // Rule ID 643 //
     /*   83788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83805 */     // MIs[0] addr
     /*   83805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83821 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   83824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83826 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83828 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83830 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83836 */     GIR_RootConstrainSelectedInstOperands,
     /*   83837 */     // GIR_Coverage, 643,
     /*   83837 */     GIR_EraseRootFromParent_Done,
     /*   83838 */   // Label 2228: @83838
     /*   83838 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(83893), // Rule ID 645 //
     /*   83843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83860 */     // MIs[0] addr
     /*   83860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83876 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*   83879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83881 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83883 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83885 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83891 */     GIR_RootConstrainSelectedInstOperands,
     /*   83892 */     // GIR_Coverage, 645,
     /*   83892 */     GIR_EraseRootFromParent_Done,
     /*   83893 */   // Label 2229: @83893
     /*   83893 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(83948), // Rule ID 647 //
     /*   83898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83915 */     // MIs[0] addr
     /*   83915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83931 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*   83934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83936 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83938 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83940 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83946 */     GIR_RootConstrainSelectedInstOperands,
     /*   83947 */     // GIR_Coverage, 647,
     /*   83947 */     GIR_EraseRootFromParent_Done,
     /*   83948 */   // Label 2230: @83948
     /*   83948 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(84003), // Rule ID 649 //
     /*   83953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83970 */     // MIs[0] addr
     /*   83970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83986 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   83989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83991 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83993 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83995 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84001 */     GIR_RootConstrainSelectedInstOperands,
     /*   84002 */     // GIR_Coverage, 649,
     /*   84002 */     GIR_EraseRootFromParent_Done,
     /*   84003 */   // Label 2231: @84003
     /*   84003 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(84058), // Rule ID 651 //
     /*   84008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84025 */     // MIs[0] addr
     /*   84025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84041 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   84044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84046 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84048 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84050 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84056 */     GIR_RootConstrainSelectedInstOperands,
     /*   84057 */     // GIR_Coverage, 651,
     /*   84057 */     GIR_EraseRootFromParent_Done,
     /*   84058 */   // Label 2232: @84058
     /*   84058 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(84113), // Rule ID 653 //
     /*   84063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84080 */     // MIs[0] addr
     /*   84080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84096 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84101 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84103 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84105 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84111 */     GIR_RootConstrainSelectedInstOperands,
     /*   84112 */     // GIR_Coverage, 653,
     /*   84112 */     GIR_EraseRootFromParent_Done,
     /*   84113 */   // Label 2233: @84113
     /*   84113 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(84168), // Rule ID 655 //
     /*   84118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84135 */     // MIs[0] addr
     /*   84135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84151 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84156 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84158 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84160 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84166 */     GIR_RootConstrainSelectedInstOperands,
     /*   84167 */     // GIR_Coverage, 655,
     /*   84167 */     GIR_EraseRootFromParent_Done,
     /*   84168 */   // Label 2234: @84168
     /*   84168 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(84223), // Rule ID 657 //
     /*   84173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84190 */     // MIs[0] addr
     /*   84190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84206 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84211 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84213 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84215 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84221 */     GIR_RootConstrainSelectedInstOperands,
     /*   84222 */     // GIR_Coverage, 657,
     /*   84222 */     GIR_EraseRootFromParent_Done,
     /*   84223 */   // Label 2235: @84223
     /*   84223 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(84278), // Rule ID 659 //
     /*   84228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84245 */     // MIs[0] addr
     /*   84245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84261 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84266 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84268 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84270 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84276 */     GIR_RootConstrainSelectedInstOperands,
     /*   84277 */     // GIR_Coverage, 659,
     /*   84277 */     GIR_EraseRootFromParent_Done,
     /*   84278 */   // Label 2236: @84278
     /*   84278 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(84333), // Rule ID 661 //
     /*   84283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84300 */     // MIs[0] addr
     /*   84300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84316 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84321 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84323 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84325 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84331 */     GIR_RootConstrainSelectedInstOperands,
     /*   84332 */     // GIR_Coverage, 661,
     /*   84332 */     GIR_EraseRootFromParent_Done,
     /*   84333 */   // Label 2237: @84333
     /*   84333 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(84388), // Rule ID 663 //
     /*   84338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84355 */     // MIs[0] addr
     /*   84355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84371 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84376 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84378 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84380 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84386 */     GIR_RootConstrainSelectedInstOperands,
     /*   84387 */     // GIR_Coverage, 663,
     /*   84387 */     GIR_EraseRootFromParent_Done,
     /*   84388 */   // Label 2238: @84388
     /*   84388 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(84443), // Rule ID 664 //
     /*   84393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84410 */     // MIs[0] addr
     /*   84410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84426 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*   84429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84431 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84433 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84435 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84441 */     GIR_RootConstrainSelectedInstOperands,
     /*   84442 */     // GIR_Coverage, 664,
     /*   84442 */     GIR_EraseRootFromParent_Done,
     /*   84443 */   // Label 2239: @84443
     /*   84443 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(84498), // Rule ID 665 //
     /*   84448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84465 */     // MIs[0] addr
     /*   84465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84481 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*   84484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84486 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84488 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84490 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84496 */     GIR_RootConstrainSelectedInstOperands,
     /*   84497 */     // GIR_Coverage, 665,
     /*   84497 */     GIR_EraseRootFromParent_Done,
     /*   84498 */   // Label 2240: @84498
     /*   84498 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(84553), // Rule ID 666 //
     /*   84503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84520 */     // MIs[0] addr
     /*   84520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84536 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*   84539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84541 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84543 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84545 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84551 */     GIR_RootConstrainSelectedInstOperands,
     /*   84552 */     // GIR_Coverage, 666,
     /*   84552 */     GIR_EraseRootFromParent_Done,
     /*   84553 */   // Label 2241: @84553
     /*   84553 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(84608), // Rule ID 667 //
     /*   84558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84575 */     // MIs[0] addr
     /*   84575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84591 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*   84594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84596 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84598 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84600 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84606 */     GIR_RootConstrainSelectedInstOperands,
     /*   84607 */     // GIR_Coverage, 667,
     /*   84607 */     GIR_EraseRootFromParent_Done,
     /*   84608 */   // Label 2242: @84608
     /*   84608 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(84663), // Rule ID 668 //
     /*   84613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84630 */     // MIs[0] addr
     /*   84630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84646 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84653 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84655 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84661 */     GIR_RootConstrainSelectedInstOperands,
     /*   84662 */     // GIR_Coverage, 668,
     /*   84662 */     GIR_EraseRootFromParent_Done,
     /*   84663 */   // Label 2243: @84663
     /*   84663 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(84718), // Rule ID 669 //
     /*   84668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84685 */     // MIs[0] addr
     /*   84685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84701 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84706 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84708 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84710 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84716 */     GIR_RootConstrainSelectedInstOperands,
     /*   84717 */     // GIR_Coverage, 669,
     /*   84717 */     GIR_EraseRootFromParent_Done,
     /*   84718 */   // Label 2244: @84718
     /*   84718 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(84773), // Rule ID 670 //
     /*   84723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84740 */     // MIs[0] addr
     /*   84740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84756 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84761 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84763 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84765 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84771 */     GIR_RootConstrainSelectedInstOperands,
     /*   84772 */     // GIR_Coverage, 670,
     /*   84772 */     GIR_EraseRootFromParent_Done,
     /*   84773 */   // Label 2245: @84773
     /*   84773 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(84828), // Rule ID 671 //
     /*   84778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84795 */     // MIs[0] addr
     /*   84795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84811 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84816 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84818 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84820 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84826 */     GIR_RootConstrainSelectedInstOperands,
     /*   84827 */     // GIR_Coverage, 671,
     /*   84827 */     GIR_EraseRootFromParent_Done,
     /*   84828 */   // Label 2246: @84828
     /*   84828 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(84883), // Rule ID 672 //
     /*   84833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84850 */     // MIs[0] addr
     /*   84850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84866 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84871 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84873 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84875 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84881 */     GIR_RootConstrainSelectedInstOperands,
     /*   84882 */     // GIR_Coverage, 672,
     /*   84882 */     GIR_EraseRootFromParent_Done,
     /*   84883 */   // Label 2247: @84883
     /*   84883 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(84938), // Rule ID 1033 //
     /*   84888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   84898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84905 */     // MIs[0] addr
     /*   84905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84921 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   84924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84926 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84928 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84930 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84936 */     GIR_RootConstrainSelectedInstOperands,
     /*   84937 */     // GIR_Coverage, 1033,
     /*   84937 */     GIR_EraseRootFromParent_Done,
     /*   84938 */   // Label 2248: @84938
     /*   84938 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(84993), // Rule ID 1035 //
     /*   84943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   84953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84960 */     // MIs[0] addr
     /*   84960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84976 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*   84979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84981 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84983 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84985 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84991 */     GIR_RootConstrainSelectedInstOperands,
     /*   84992 */     // GIR_Coverage, 1035,
     /*   84992 */     GIR_EraseRootFromParent_Done,
     /*   84993 */   // Label 2249: @84993
     /*   84993 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(85048), // Rule ID 1037 //
     /*   84998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85015 */     // MIs[0] addr
     /*   85015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85031 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*   85034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85036 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85038 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85040 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85046 */     GIR_RootConstrainSelectedInstOperands,
     /*   85047 */     // GIR_Coverage, 1037,
     /*   85047 */     GIR_EraseRootFromParent_Done,
     /*   85048 */   // Label 2250: @85048
     /*   85048 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(85103), // Rule ID 1039 //
     /*   85053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85070 */     // MIs[0] addr
     /*   85070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85086 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   85089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85091 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85093 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85095 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85101 */     GIR_RootConstrainSelectedInstOperands,
     /*   85102 */     // GIR_Coverage, 1039,
     /*   85102 */     GIR_EraseRootFromParent_Done,
     /*   85103 */   // Label 2251: @85103
     /*   85103 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(85158), // Rule ID 1041 //
     /*   85108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85111 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85118 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85125 */     // MIs[0] addr
     /*   85125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85141 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   85144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85146 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85148 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85150 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85156 */     GIR_RootConstrainSelectedInstOperands,
     /*   85157 */     // GIR_Coverage, 1041,
     /*   85157 */     GIR_EraseRootFromParent_Done,
     /*   85158 */   // Label 2252: @85158
     /*   85158 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(85213), // Rule ID 1043 //
     /*   85163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85180 */     // MIs[0] addr
     /*   85180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85196 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85201 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85203 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85205 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85211 */     GIR_RootConstrainSelectedInstOperands,
     /*   85212 */     // GIR_Coverage, 1043,
     /*   85212 */     GIR_EraseRootFromParent_Done,
     /*   85213 */   // Label 2253: @85213
     /*   85213 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(85268), // Rule ID 1045 //
     /*   85218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85235 */     // MIs[0] addr
     /*   85235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85251 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85256 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85258 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85260 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85266 */     GIR_RootConstrainSelectedInstOperands,
     /*   85267 */     // GIR_Coverage, 1045,
     /*   85267 */     GIR_EraseRootFromParent_Done,
     /*   85268 */   // Label 2254: @85268
     /*   85268 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(85323), // Rule ID 1047 //
     /*   85273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85290 */     // MIs[0] addr
     /*   85290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85306 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85311 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85313 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85315 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85321 */     GIR_RootConstrainSelectedInstOperands,
     /*   85322 */     // GIR_Coverage, 1047,
     /*   85322 */     GIR_EraseRootFromParent_Done,
     /*   85323 */   // Label 2255: @85323
     /*   85323 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(85378), // Rule ID 1049 //
     /*   85328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85345 */     // MIs[0] addr
     /*   85345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85361 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85366 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85368 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85370 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85376 */     GIR_RootConstrainSelectedInstOperands,
     /*   85377 */     // GIR_Coverage, 1049,
     /*   85377 */     GIR_EraseRootFromParent_Done,
     /*   85378 */   // Label 2256: @85378
     /*   85378 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(85433), // Rule ID 1051 //
     /*   85383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85400 */     // MIs[0] addr
     /*   85400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85416 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85421 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85423 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85425 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85431 */     GIR_RootConstrainSelectedInstOperands,
     /*   85432 */     // GIR_Coverage, 1051,
     /*   85432 */     GIR_EraseRootFromParent_Done,
     /*   85433 */   // Label 2257: @85433
     /*   85433 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(85488), // Rule ID 1053 //
     /*   85438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85455 */     // MIs[0] addr
     /*   85455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85471 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85476 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85478 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85480 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85486 */     GIR_RootConstrainSelectedInstOperands,
     /*   85487 */     // GIR_Coverage, 1053,
     /*   85487 */     GIR_EraseRootFromParent_Done,
     /*   85488 */   // Label 2258: @85488
     /*   85488 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(85543), // Rule ID 1055 //
     /*   85493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85510 */     // MIs[0] addr
     /*   85510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85526 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*   85529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85531 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85533 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85535 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85541 */     GIR_RootConstrainSelectedInstOperands,
     /*   85542 */     // GIR_Coverage, 1055,
     /*   85542 */     GIR_EraseRootFromParent_Done,
     /*   85543 */   // Label 2259: @85543
     /*   85543 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(85598), // Rule ID 1057 //
     /*   85548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85565 */     // MIs[0] addr
     /*   85565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85581 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*   85584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85586 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85588 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85590 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85596 */     GIR_RootConstrainSelectedInstOperands,
     /*   85597 */     // GIR_Coverage, 1057,
     /*   85597 */     GIR_EraseRootFromParent_Done,
     /*   85598 */   // Label 2260: @85598
     /*   85598 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(85653), // Rule ID 1059 //
     /*   85603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85620 */     // MIs[0] addr
     /*   85620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85636 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   85639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85641 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85643 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85645 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85651 */     GIR_RootConstrainSelectedInstOperands,
     /*   85652 */     // GIR_Coverage, 1059,
     /*   85652 */     GIR_EraseRootFromParent_Done,
     /*   85653 */   // Label 2261: @85653
     /*   85653 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(85708), // Rule ID 1061 //
     /*   85658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85675 */     // MIs[0] addr
     /*   85675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85691 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   85694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85696 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85698 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85700 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85706 */     GIR_RootConstrainSelectedInstOperands,
     /*   85707 */     // GIR_Coverage, 1061,
     /*   85707 */     GIR_EraseRootFromParent_Done,
     /*   85708 */   // Label 2262: @85708
     /*   85708 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(85763), // Rule ID 1063 //
     /*   85713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85730 */     // MIs[0] addr
     /*   85730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85746 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85751 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85755 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85761 */     GIR_RootConstrainSelectedInstOperands,
     /*   85762 */     // GIR_Coverage, 1063,
     /*   85762 */     GIR_EraseRootFromParent_Done,
     /*   85763 */   // Label 2263: @85763
     /*   85763 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(85818), // Rule ID 1065 //
     /*   85768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85785 */     // MIs[0] addr
     /*   85785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85801 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85806 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85808 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85810 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85816 */     GIR_RootConstrainSelectedInstOperands,
     /*   85817 */     // GIR_Coverage, 1065,
     /*   85817 */     GIR_EraseRootFromParent_Done,
     /*   85818 */   // Label 2264: @85818
     /*   85818 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(85873), // Rule ID 1067 //
     /*   85823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85840 */     // MIs[0] addr
     /*   85840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85856 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85861 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85863 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85865 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85871 */     GIR_RootConstrainSelectedInstOperands,
     /*   85872 */     // GIR_Coverage, 1067,
     /*   85872 */     GIR_EraseRootFromParent_Done,
     /*   85873 */   // Label 2265: @85873
     /*   85873 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(85928), // Rule ID 1069 //
     /*   85878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85895 */     // MIs[0] addr
     /*   85895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85911 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85916 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85918 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85920 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85926 */     GIR_RootConstrainSelectedInstOperands,
     /*   85927 */     // GIR_Coverage, 1069,
     /*   85927 */     GIR_EraseRootFromParent_Done,
     /*   85928 */   // Label 2266: @85928
     /*   85928 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(85983), // Rule ID 1071 //
     /*   85933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85950 */     // MIs[0] addr
     /*   85950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85966 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85971 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85973 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85975 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85981 */     GIR_RootConstrainSelectedInstOperands,
     /*   85982 */     // GIR_Coverage, 1071,
     /*   85982 */     GIR_EraseRootFromParent_Done,
     /*   85983 */   // Label 2267: @85983
     /*   85983 */   GIM_Reject,
     /*   85984 */ // Label 2217: @85984
     /*   85984 */ GIM_Reject,
     /*   85985 */ // Label 2180: @85985
     /*   85985 */ GIM_Reject,
     /*   85986 */ // Label 26: @85986
     /*   85986 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2270*/ GIMT_Encode4(88895),
     /*   85997 */ /*GILLT_s32*//*Label 2268*/ GIMT_Encode4(86005),
     /*   86001 */ /*GILLT_s64*//*Label 2269*/ GIMT_Encode4(87245),
     /*   86005 */ // Label 2268: @86005
     /*   86005 */ GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(87244),
     /*   86010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   86013 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(86054), // Rule ID 326 //
     /*   86018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86035 */     // MIs[0] rs1
     /*   86035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86047 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86052 */     GIR_RootConstrainSelectedInstOperands,
     /*   86053 */     // GIR_Coverage, 326,
     /*   86053 */     GIR_Done,
     /*   86054 */   // Label 2272: @86054
     /*   86054 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(86095), // Rule ID 328 //
     /*   86059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86076 */     // MIs[0] rs1
     /*   86076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86088 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*   86093 */     GIR_RootConstrainSelectedInstOperands,
     /*   86094 */     // GIR_Coverage, 328,
     /*   86094 */     GIR_Done,
     /*   86095 */   // Label 2273: @86095
     /*   86095 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(86136), // Rule ID 330 //
     /*   86100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86117 */     // MIs[0] rs1
     /*   86117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86129 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*   86134 */     GIR_RootConstrainSelectedInstOperands,
     /*   86135 */     // GIR_Coverage, 330,
     /*   86135 */     GIR_Done,
     /*   86136 */   // Label 2274: @86136
     /*   86136 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(86177), // Rule ID 332 //
     /*   86141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86158 */     // MIs[0] rs1
     /*   86158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86170 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   86175 */     GIR_RootConstrainSelectedInstOperands,
     /*   86176 */     // GIR_Coverage, 332,
     /*   86176 */     GIR_Done,
     /*   86177 */   // Label 2275: @86177
     /*   86177 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(86218), // Rule ID 334 //
     /*   86182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86199 */     // MIs[0] rs1
     /*   86199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86211 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   86216 */     GIR_RootConstrainSelectedInstOperands,
     /*   86217 */     // GIR_Coverage, 334,
     /*   86217 */     GIR_Done,
     /*   86218 */   // Label 2276: @86218
     /*   86218 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(86259), // Rule ID 336 //
     /*   86223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86240 */     // MIs[0] rs1
     /*   86240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86252 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86257 */     GIR_RootConstrainSelectedInstOperands,
     /*   86258 */     // GIR_Coverage, 336,
     /*   86258 */     GIR_Done,
     /*   86259 */   // Label 2277: @86259
     /*   86259 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(86300), // Rule ID 338 //
     /*   86264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86281 */     // MIs[0] rs1
     /*   86281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86293 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86298 */     GIR_RootConstrainSelectedInstOperands,
     /*   86299 */     // GIR_Coverage, 338,
     /*   86299 */     GIR_Done,
     /*   86300 */   // Label 2278: @86300
     /*   86300 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(86341), // Rule ID 340 //
     /*   86305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86322 */     // MIs[0] rs1
     /*   86322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86334 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86339 */     GIR_RootConstrainSelectedInstOperands,
     /*   86340 */     // GIR_Coverage, 340,
     /*   86340 */     GIR_Done,
     /*   86341 */   // Label 2279: @86341
     /*   86341 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(86382), // Rule ID 342 //
     /*   86346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86363 */     // MIs[0] rs1
     /*   86363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86375 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86380 */     GIR_RootConstrainSelectedInstOperands,
     /*   86381 */     // GIR_Coverage, 342,
     /*   86381 */     GIR_Done,
     /*   86382 */   // Label 2280: @86382
     /*   86382 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(86423), // Rule ID 344 //
     /*   86387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86404 */     // MIs[0] rs1
     /*   86404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86416 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86421 */     GIR_RootConstrainSelectedInstOperands,
     /*   86422 */     // GIR_Coverage, 344,
     /*   86422 */     GIR_Done,
     /*   86423 */   // Label 2281: @86423
     /*   86423 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(86464), // Rule ID 674 //
     /*   86428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86445 */     // MIs[0] rs1
     /*   86445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86457 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86462 */     GIR_RootConstrainSelectedInstOperands,
     /*   86463 */     // GIR_Coverage, 674,
     /*   86463 */     GIR_Done,
     /*   86464 */   // Label 2282: @86464
     /*   86464 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(86505), // Rule ID 676 //
     /*   86469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86486 */     // MIs[0] rs1
     /*   86486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86498 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*   86503 */     GIR_RootConstrainSelectedInstOperands,
     /*   86504 */     // GIR_Coverage, 676,
     /*   86504 */     GIR_Done,
     /*   86505 */   // Label 2283: @86505
     /*   86505 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(86546), // Rule ID 678 //
     /*   86510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86527 */     // MIs[0] rs1
     /*   86527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86539 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*   86544 */     GIR_RootConstrainSelectedInstOperands,
     /*   86545 */     // GIR_Coverage, 678,
     /*   86545 */     GIR_Done,
     /*   86546 */   // Label 2284: @86546
     /*   86546 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(86587), // Rule ID 680 //
     /*   86551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86568 */     // MIs[0] rs1
     /*   86568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86580 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   86585 */     GIR_RootConstrainSelectedInstOperands,
     /*   86586 */     // GIR_Coverage, 680,
     /*   86586 */     GIR_Done,
     /*   86587 */   // Label 2285: @86587
     /*   86587 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(86628), // Rule ID 682 //
     /*   86592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86609 */     // MIs[0] rs1
     /*   86609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86621 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   86626 */     GIR_RootConstrainSelectedInstOperands,
     /*   86627 */     // GIR_Coverage, 682,
     /*   86627 */     GIR_Done,
     /*   86628 */   // Label 2286: @86628
     /*   86628 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(86669), // Rule ID 684 //
     /*   86633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86650 */     // MIs[0] rs1
     /*   86650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86662 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86667 */     GIR_RootConstrainSelectedInstOperands,
     /*   86668 */     // GIR_Coverage, 684,
     /*   86668 */     GIR_Done,
     /*   86669 */   // Label 2287: @86669
     /*   86669 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(86710), // Rule ID 686 //
     /*   86674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86691 */     // MIs[0] rs1
     /*   86691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86703 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86708 */     GIR_RootConstrainSelectedInstOperands,
     /*   86709 */     // GIR_Coverage, 686,
     /*   86709 */     GIR_Done,
     /*   86710 */   // Label 2288: @86710
     /*   86710 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(86751), // Rule ID 688 //
     /*   86715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86732 */     // MIs[0] rs1
     /*   86732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86744 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86749 */     GIR_RootConstrainSelectedInstOperands,
     /*   86750 */     // GIR_Coverage, 688,
     /*   86750 */     GIR_Done,
     /*   86751 */   // Label 2289: @86751
     /*   86751 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(86792), // Rule ID 690 //
     /*   86756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86773 */     // MIs[0] rs1
     /*   86773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86785 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86790 */     GIR_RootConstrainSelectedInstOperands,
     /*   86791 */     // GIR_Coverage, 690,
     /*   86791 */     GIR_Done,
     /*   86792 */   // Label 2290: @86792
     /*   86792 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(86833), // Rule ID 692 //
     /*   86797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86814 */     // MIs[0] rs1
     /*   86814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86826 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86831 */     GIR_RootConstrainSelectedInstOperands,
     /*   86832 */     // GIR_Coverage, 692,
     /*   86832 */     GIR_Done,
     /*   86833 */   // Label 2291: @86833
     /*   86833 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(86874), // Rule ID 854 //
     /*   86838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86855 */     // MIs[0] rs1
     /*   86855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86867 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   86872 */     GIR_RootConstrainSelectedInstOperands,
     /*   86873 */     // GIR_Coverage, 854,
     /*   86873 */     GIR_Done,
     /*   86874 */   // Label 2292: @86874
     /*   86874 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(86915), // Rule ID 856 //
     /*   86879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86896 */     // MIs[0] rs1
     /*   86896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86908 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*   86913 */     GIR_RootConstrainSelectedInstOperands,
     /*   86914 */     // GIR_Coverage, 856,
     /*   86914 */     GIR_Done,
     /*   86915 */   // Label 2293: @86915
     /*   86915 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(86956), // Rule ID 858 //
     /*   86920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86937 */     // MIs[0] rs1
     /*   86937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86949 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*   86954 */     GIR_RootConstrainSelectedInstOperands,
     /*   86955 */     // GIR_Coverage, 858,
     /*   86955 */     GIR_Done,
     /*   86956 */   // Label 2294: @86956
     /*   86956 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(86997), // Rule ID 860 //
     /*   86961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86978 */     // MIs[0] rs1
     /*   86978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86990 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   86995 */     GIR_RootConstrainSelectedInstOperands,
     /*   86996 */     // GIR_Coverage, 860,
     /*   86996 */     GIR_Done,
     /*   86997 */   // Label 2295: @86997
     /*   86997 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(87038), // Rule ID 862 //
     /*   87002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   87005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87019 */     // MIs[0] rs1
     /*   87019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87031 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   87036 */     GIR_RootConstrainSelectedInstOperands,
     /*   87037 */     // GIR_Coverage, 862,
     /*   87037 */     GIR_Done,
     /*   87038 */   // Label 2296: @87038
     /*   87038 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(87079), // Rule ID 864 //
     /*   87043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87060 */     // MIs[0] rs1
     /*   87060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87072 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87077 */     GIR_RootConstrainSelectedInstOperands,
     /*   87078 */     // GIR_Coverage, 864,
     /*   87078 */     GIR_Done,
     /*   87079 */   // Label 2297: @87079
     /*   87079 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(87120), // Rule ID 866 //
     /*   87084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87101 */     // MIs[0] rs1
     /*   87101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87113 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87118 */     GIR_RootConstrainSelectedInstOperands,
     /*   87119 */     // GIR_Coverage, 866,
     /*   87119 */     GIR_Done,
     /*   87120 */   // Label 2298: @87120
     /*   87120 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(87161), // Rule ID 868 //
     /*   87125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87142 */     // MIs[0] rs1
     /*   87142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87154 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87159 */     GIR_RootConstrainSelectedInstOperands,
     /*   87160 */     // GIR_Coverage, 868,
     /*   87160 */     GIR_Done,
     /*   87161 */   // Label 2299: @87161
     /*   87161 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(87202), // Rule ID 870 //
     /*   87166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87183 */     // MIs[0] rs1
     /*   87183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87195 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87200 */     GIR_RootConstrainSelectedInstOperands,
     /*   87201 */     // GIR_Coverage, 870,
     /*   87201 */     GIR_Done,
     /*   87202 */   // Label 2300: @87202
     /*   87202 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(87243), // Rule ID 872 //
     /*   87207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87224 */     // MIs[0] rs1
     /*   87224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87236 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87241 */     GIR_RootConstrainSelectedInstOperands,
     /*   87242 */     // GIR_Coverage, 872,
     /*   87242 */     GIR_Done,
     /*   87243 */   // Label 2301: @87243
     /*   87243 */   GIM_Reject,
     /*   87244 */ // Label 2271: @87244
     /*   87244 */ GIM_Reject,
     /*   87245 */ // Label 2269: @87245
     /*   87245 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(88894),
     /*   87250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   87253 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(87294), // Rule ID 325 //
     /*   87258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87275 */     // MIs[0] rs1
     /*   87275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87287 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87292 */     GIR_RootConstrainSelectedInstOperands,
     /*   87293 */     // GIR_Coverage, 325,
     /*   87293 */     GIR_Done,
     /*   87294 */   // Label 2303: @87294
     /*   87294 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(87335), // Rule ID 327 //
     /*   87299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87316 */     // MIs[0] rs1
     /*   87316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87328 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*   87333 */     GIR_RootConstrainSelectedInstOperands,
     /*   87334 */     // GIR_Coverage, 327,
     /*   87334 */     GIR_Done,
     /*   87335 */   // Label 2304: @87335
     /*   87335 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(87376), // Rule ID 329 //
     /*   87340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87357 */     // MIs[0] rs1
     /*   87357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87369 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*   87374 */     GIR_RootConstrainSelectedInstOperands,
     /*   87375 */     // GIR_Coverage, 329,
     /*   87375 */     GIR_Done,
     /*   87376 */   // Label 2305: @87376
     /*   87376 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(87417), // Rule ID 331 //
     /*   87381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87398 */     // MIs[0] rs1
     /*   87398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87410 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   87415 */     GIR_RootConstrainSelectedInstOperands,
     /*   87416 */     // GIR_Coverage, 331,
     /*   87416 */     GIR_Done,
     /*   87417 */   // Label 2306: @87417
     /*   87417 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(87458), // Rule ID 333 //
     /*   87422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87439 */     // MIs[0] rs1
     /*   87439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87451 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   87456 */     GIR_RootConstrainSelectedInstOperands,
     /*   87457 */     // GIR_Coverage, 333,
     /*   87457 */     GIR_Done,
     /*   87458 */   // Label 2307: @87458
     /*   87458 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(87499), // Rule ID 335 //
     /*   87463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87480 */     // MIs[0] rs1
     /*   87480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87492 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87497 */     GIR_RootConstrainSelectedInstOperands,
     /*   87498 */     // GIR_Coverage, 335,
     /*   87498 */     GIR_Done,
     /*   87499 */   // Label 2308: @87499
     /*   87499 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(87540), // Rule ID 337 //
     /*   87504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87521 */     // MIs[0] rs1
     /*   87521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87533 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87538 */     GIR_RootConstrainSelectedInstOperands,
     /*   87539 */     // GIR_Coverage, 337,
     /*   87539 */     GIR_Done,
     /*   87540 */   // Label 2309: @87540
     /*   87540 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(87581), // Rule ID 339 //
     /*   87545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87562 */     // MIs[0] rs1
     /*   87562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87574 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87579 */     GIR_RootConstrainSelectedInstOperands,
     /*   87580 */     // GIR_Coverage, 339,
     /*   87580 */     GIR_Done,
     /*   87581 */   // Label 2310: @87581
     /*   87581 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(87622), // Rule ID 341 //
     /*   87586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87603 */     // MIs[0] rs1
     /*   87603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87615 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87620 */     GIR_RootConstrainSelectedInstOperands,
     /*   87621 */     // GIR_Coverage, 341,
     /*   87621 */     GIR_Done,
     /*   87622 */   // Label 2311: @87622
     /*   87622 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(87663), // Rule ID 343 //
     /*   87627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87644 */     // MIs[0] rs1
     /*   87644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87656 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87661 */     GIR_RootConstrainSelectedInstOperands,
     /*   87662 */     // GIR_Coverage, 343,
     /*   87662 */     GIR_Done,
     /*   87663 */   // Label 2312: @87663
     /*   87663 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(87704), // Rule ID 505 //
     /*   87668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87685 */     // MIs[0] rs1
     /*   87685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87697 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87702 */     GIR_RootConstrainSelectedInstOperands,
     /*   87703 */     // GIR_Coverage, 505,
     /*   87703 */     GIR_Done,
     /*   87704 */   // Label 2313: @87704
     /*   87704 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(87745), // Rule ID 506 //
     /*   87709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87726 */     // MIs[0] rs1
     /*   87726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87738 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*   87743 */     GIR_RootConstrainSelectedInstOperands,
     /*   87744 */     // GIR_Coverage, 506,
     /*   87744 */     GIR_Done,
     /*   87745 */   // Label 2314: @87745
     /*   87745 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(87786), // Rule ID 507 //
     /*   87750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87767 */     // MIs[0] rs1
     /*   87767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87779 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*   87784 */     GIR_RootConstrainSelectedInstOperands,
     /*   87785 */     // GIR_Coverage, 507,
     /*   87785 */     GIR_Done,
     /*   87786 */   // Label 2315: @87786
     /*   87786 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(87827), // Rule ID 508 //
     /*   87791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87808 */     // MIs[0] rs1
     /*   87808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87820 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*   87825 */     GIR_RootConstrainSelectedInstOperands,
     /*   87826 */     // GIR_Coverage, 508,
     /*   87826 */     GIR_Done,
     /*   87827 */   // Label 2316: @87827
     /*   87827 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(87868), // Rule ID 509 //
     /*   87832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87849 */     // MIs[0] rs1
     /*   87849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87861 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*   87866 */     GIR_RootConstrainSelectedInstOperands,
     /*   87867 */     // GIR_Coverage, 509,
     /*   87867 */     GIR_Done,
     /*   87868 */   // Label 2317: @87868
     /*   87868 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(87909), // Rule ID 510 //
     /*   87873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87890 */     // MIs[0] rs1
     /*   87890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87902 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87907 */     GIR_RootConstrainSelectedInstOperands,
     /*   87908 */     // GIR_Coverage, 510,
     /*   87908 */     GIR_Done,
     /*   87909 */   // Label 2318: @87909
     /*   87909 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(87950), // Rule ID 511 //
     /*   87914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87931 */     // MIs[0] rs1
     /*   87931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87943 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87948 */     GIR_RootConstrainSelectedInstOperands,
     /*   87949 */     // GIR_Coverage, 511,
     /*   87949 */     GIR_Done,
     /*   87950 */   // Label 2319: @87950
     /*   87950 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(87991), // Rule ID 512 //
     /*   87955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87972 */     // MIs[0] rs1
     /*   87972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87984 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87989 */     GIR_RootConstrainSelectedInstOperands,
     /*   87990 */     // GIR_Coverage, 512,
     /*   87990 */     GIR_Done,
     /*   87991 */   // Label 2320: @87991
     /*   87991 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(88032), // Rule ID 513 //
     /*   87996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   88006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88013 */     // MIs[0] rs1
     /*   88013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88025 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   88030 */     GIR_RootConstrainSelectedInstOperands,
     /*   88031 */     // GIR_Coverage, 513,
     /*   88031 */     GIR_Done,
     /*   88032 */   // Label 2321: @88032
     /*   88032 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(88073), // Rule ID 514 //
     /*   88037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   88040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   88047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88054 */     // MIs[0] rs1
     /*   88054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88066 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   88071 */     GIR_RootConstrainSelectedInstOperands,
     /*   88072 */     // GIR_Coverage, 514,
     /*   88072 */     GIR_Done,
     /*   88073 */   // Label 2322: @88073
     /*   88073 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(88114), // Rule ID 673 //
     /*   88078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88095 */     // MIs[0] rs1
     /*   88095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88107 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88112 */     GIR_RootConstrainSelectedInstOperands,
     /*   88113 */     // GIR_Coverage, 673,
     /*   88113 */     GIR_Done,
     /*   88114 */   // Label 2323: @88114
     /*   88114 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(88155), // Rule ID 675 //
     /*   88119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88136 */     // MIs[0] rs1
     /*   88136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88148 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*   88153 */     GIR_RootConstrainSelectedInstOperands,
     /*   88154 */     // GIR_Coverage, 675,
     /*   88154 */     GIR_Done,
     /*   88155 */   // Label 2324: @88155
     /*   88155 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(88196), // Rule ID 677 //
     /*   88160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88177 */     // MIs[0] rs1
     /*   88177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88189 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*   88194 */     GIR_RootConstrainSelectedInstOperands,
     /*   88195 */     // GIR_Coverage, 677,
     /*   88195 */     GIR_Done,
     /*   88196 */   // Label 2325: @88196
     /*   88196 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(88237), // Rule ID 679 //
     /*   88201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88218 */     // MIs[0] rs1
     /*   88218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88230 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   88235 */     GIR_RootConstrainSelectedInstOperands,
     /*   88236 */     // GIR_Coverage, 679,
     /*   88236 */     GIR_Done,
     /*   88237 */   // Label 2326: @88237
     /*   88237 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(88278), // Rule ID 681 //
     /*   88242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88259 */     // MIs[0] rs1
     /*   88259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88271 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   88276 */     GIR_RootConstrainSelectedInstOperands,
     /*   88277 */     // GIR_Coverage, 681,
     /*   88277 */     GIR_Done,
     /*   88278 */   // Label 2327: @88278
     /*   88278 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(88319), // Rule ID 683 //
     /*   88283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88300 */     // MIs[0] rs1
     /*   88300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88312 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88317 */     GIR_RootConstrainSelectedInstOperands,
     /*   88318 */     // GIR_Coverage, 683,
     /*   88318 */     GIR_Done,
     /*   88319 */   // Label 2328: @88319
     /*   88319 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(88360), // Rule ID 685 //
     /*   88324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88341 */     // MIs[0] rs1
     /*   88341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88353 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88358 */     GIR_RootConstrainSelectedInstOperands,
     /*   88359 */     // GIR_Coverage, 685,
     /*   88359 */     GIR_Done,
     /*   88360 */   // Label 2329: @88360
     /*   88360 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(88401), // Rule ID 687 //
     /*   88365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88382 */     // MIs[0] rs1
     /*   88382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88394 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88399 */     GIR_RootConstrainSelectedInstOperands,
     /*   88400 */     // GIR_Coverage, 687,
     /*   88400 */     GIR_Done,
     /*   88401 */   // Label 2330: @88401
     /*   88401 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(88442), // Rule ID 689 //
     /*   88406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88423 */     // MIs[0] rs1
     /*   88423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88435 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88440 */     GIR_RootConstrainSelectedInstOperands,
     /*   88441 */     // GIR_Coverage, 689,
     /*   88441 */     GIR_Done,
     /*   88442 */   // Label 2331: @88442
     /*   88442 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(88483), // Rule ID 691 //
     /*   88447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88464 */     // MIs[0] rs1
     /*   88464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88476 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88481 */     GIR_RootConstrainSelectedInstOperands,
     /*   88482 */     // GIR_Coverage, 691,
     /*   88482 */     GIR_Done,
     /*   88483 */   // Label 2332: @88483
     /*   88483 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(88524), // Rule ID 853 //
     /*   88488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88505 */     // MIs[0] rs1
     /*   88505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88517 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88522 */     GIR_RootConstrainSelectedInstOperands,
     /*   88523 */     // GIR_Coverage, 853,
     /*   88523 */     GIR_Done,
     /*   88524 */   // Label 2333: @88524
     /*   88524 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(88565), // Rule ID 855 //
     /*   88529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88546 */     // MIs[0] rs1
     /*   88546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88558 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*   88563 */     GIR_RootConstrainSelectedInstOperands,
     /*   88564 */     // GIR_Coverage, 855,
     /*   88564 */     GIR_Done,
     /*   88565 */   // Label 2334: @88565
     /*   88565 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(88606), // Rule ID 857 //
     /*   88570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88587 */     // MIs[0] rs1
     /*   88587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88599 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*   88604 */     GIR_RootConstrainSelectedInstOperands,
     /*   88605 */     // GIR_Coverage, 857,
     /*   88605 */     GIR_Done,
     /*   88606 */   // Label 2335: @88606
     /*   88606 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(88647), // Rule ID 859 //
     /*   88611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88628 */     // MIs[0] rs1
     /*   88628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88640 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   88645 */     GIR_RootConstrainSelectedInstOperands,
     /*   88646 */     // GIR_Coverage, 859,
     /*   88646 */     GIR_Done,
     /*   88647 */   // Label 2336: @88647
     /*   88647 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(88688), // Rule ID 861 //
     /*   88652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88669 */     // MIs[0] rs1
     /*   88669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88681 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   88686 */     GIR_RootConstrainSelectedInstOperands,
     /*   88687 */     // GIR_Coverage, 861,
     /*   88687 */     GIR_Done,
     /*   88688 */   // Label 2337: @88688
     /*   88688 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(88729), // Rule ID 863 //
     /*   88693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88710 */     // MIs[0] rs1
     /*   88710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88722 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88727 */     GIR_RootConstrainSelectedInstOperands,
     /*   88728 */     // GIR_Coverage, 863,
     /*   88728 */     GIR_Done,
     /*   88729 */   // Label 2338: @88729
     /*   88729 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(88770), // Rule ID 865 //
     /*   88734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88751 */     // MIs[0] rs1
     /*   88751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88763 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88768 */     GIR_RootConstrainSelectedInstOperands,
     /*   88769 */     // GIR_Coverage, 865,
     /*   88769 */     GIR_Done,
     /*   88770 */   // Label 2339: @88770
     /*   88770 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(88811), // Rule ID 867 //
     /*   88775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88792 */     // MIs[0] rs1
     /*   88792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88804 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88809 */     GIR_RootConstrainSelectedInstOperands,
     /*   88810 */     // GIR_Coverage, 867,
     /*   88810 */     GIR_Done,
     /*   88811 */   // Label 2340: @88811
     /*   88811 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(88852), // Rule ID 869 //
     /*   88816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88833 */     // MIs[0] rs1
     /*   88833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88845 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88850 */     GIR_RootConstrainSelectedInstOperands,
     /*   88851 */     // GIR_Coverage, 869,
     /*   88851 */     GIR_Done,
     /*   88852 */   // Label 2341: @88852
     /*   88852 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(88893), // Rule ID 871 //
     /*   88857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88874 */     // MIs[0] rs1
     /*   88874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88886 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88891 */     GIR_RootConstrainSelectedInstOperands,
     /*   88892 */     // GIR_Coverage, 871,
     /*   88892 */     GIR_Done,
     /*   88893 */   // Label 2342: @88893
     /*   88893 */   GIM_Reject,
     /*   88894 */ // Label 2302: @88894
     /*   88894 */ GIM_Reject,
     /*   88895 */ // Label 2270: @88895
     /*   88895 */ GIM_Reject,
     /*   88896 */ // Label 27: @88896
     /*   88896 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2345*/ GIMT_Encode4(91805),
     /*   88907 */ /*GILLT_s32*//*Label 2343*/ GIMT_Encode4(88915),
     /*   88911 */ /*GILLT_s64*//*Label 2344*/ GIMT_Encode4(90155),
     /*   88915 */ // Label 2343: @88915
     /*   88915 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(90154),
     /*   88920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   88923 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(88964), // Rule ID 346 //
     /*   88928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   88931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   88938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88945 */     // MIs[0] rs1
     /*   88945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   88949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88957 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   88957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   88962 */     GIR_RootConstrainSelectedInstOperands,
     /*   88963 */     // GIR_Coverage, 346,
     /*   88963 */     GIR_Done,
     /*   88964 */   // Label 2347: @88964
     /*   88964 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(89005), // Rule ID 348 //
     /*   88969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   88972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   88979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88986 */     // MIs[0] rs1
     /*   88986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   88990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88998 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   88998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*   89003 */     GIR_RootConstrainSelectedInstOperands,
     /*   89004 */     // GIR_Coverage, 348,
     /*   89004 */     GIR_Done,
     /*   89005 */   // Label 2348: @89005
     /*   89005 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(89046), // Rule ID 350 //
     /*   89010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89027 */     // MIs[0] rs1
     /*   89027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89039 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*   89044 */     GIR_RootConstrainSelectedInstOperands,
     /*   89045 */     // GIR_Coverage, 350,
     /*   89045 */     GIR_Done,
     /*   89046 */   // Label 2349: @89046
     /*   89046 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(89087), // Rule ID 352 //
     /*   89051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89068 */     // MIs[0] rs1
     /*   89068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89080 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   89085 */     GIR_RootConstrainSelectedInstOperands,
     /*   89086 */     // GIR_Coverage, 352,
     /*   89086 */     GIR_Done,
     /*   89087 */   // Label 2350: @89087
     /*   89087 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(89128), // Rule ID 354 //
     /*   89092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89109 */     // MIs[0] rs1
     /*   89109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89121 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   89126 */     GIR_RootConstrainSelectedInstOperands,
     /*   89127 */     // GIR_Coverage, 354,
     /*   89127 */     GIR_Done,
     /*   89128 */   // Label 2351: @89128
     /*   89128 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(89169), // Rule ID 356 //
     /*   89133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89150 */     // MIs[0] rs1
     /*   89150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89162 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89167 */     GIR_RootConstrainSelectedInstOperands,
     /*   89168 */     // GIR_Coverage, 356,
     /*   89168 */     GIR_Done,
     /*   89169 */   // Label 2352: @89169
     /*   89169 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(89210), // Rule ID 358 //
     /*   89174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89191 */     // MIs[0] rs1
     /*   89191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89203 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89208 */     GIR_RootConstrainSelectedInstOperands,
     /*   89209 */     // GIR_Coverage, 358,
     /*   89209 */     GIR_Done,
     /*   89210 */   // Label 2353: @89210
     /*   89210 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(89251), // Rule ID 360 //
     /*   89215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89232 */     // MIs[0] rs1
     /*   89232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89244 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89249 */     GIR_RootConstrainSelectedInstOperands,
     /*   89250 */     // GIR_Coverage, 360,
     /*   89250 */     GIR_Done,
     /*   89251 */   // Label 2354: @89251
     /*   89251 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(89292), // Rule ID 362 //
     /*   89256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89273 */     // MIs[0] rs1
     /*   89273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89285 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89290 */     GIR_RootConstrainSelectedInstOperands,
     /*   89291 */     // GIR_Coverage, 362,
     /*   89291 */     GIR_Done,
     /*   89292 */   // Label 2355: @89292
     /*   89292 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(89333), // Rule ID 364 //
     /*   89297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89314 */     // MIs[0] rs1
     /*   89314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89326 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89331 */     GIR_RootConstrainSelectedInstOperands,
     /*   89332 */     // GIR_Coverage, 364,
     /*   89332 */     GIR_Done,
     /*   89333 */   // Label 2356: @89333
     /*   89333 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(89374), // Rule ID 694 //
     /*   89338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89355 */     // MIs[0] rs1
     /*   89355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89367 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89372 */     GIR_RootConstrainSelectedInstOperands,
     /*   89373 */     // GIR_Coverage, 694,
     /*   89373 */     GIR_Done,
     /*   89374 */   // Label 2357: @89374
     /*   89374 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(89415), // Rule ID 696 //
     /*   89379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89396 */     // MIs[0] rs1
     /*   89396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89408 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*   89413 */     GIR_RootConstrainSelectedInstOperands,
     /*   89414 */     // GIR_Coverage, 696,
     /*   89414 */     GIR_Done,
     /*   89415 */   // Label 2358: @89415
     /*   89415 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(89456), // Rule ID 698 //
     /*   89420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89437 */     // MIs[0] rs1
     /*   89437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89449 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*   89454 */     GIR_RootConstrainSelectedInstOperands,
     /*   89455 */     // GIR_Coverage, 698,
     /*   89455 */     GIR_Done,
     /*   89456 */   // Label 2359: @89456
     /*   89456 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(89497), // Rule ID 700 //
     /*   89461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89478 */     // MIs[0] rs1
     /*   89478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89490 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   89495 */     GIR_RootConstrainSelectedInstOperands,
     /*   89496 */     // GIR_Coverage, 700,
     /*   89496 */     GIR_Done,
     /*   89497 */   // Label 2360: @89497
     /*   89497 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(89538), // Rule ID 702 //
     /*   89502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89519 */     // MIs[0] rs1
     /*   89519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89531 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   89536 */     GIR_RootConstrainSelectedInstOperands,
     /*   89537 */     // GIR_Coverage, 702,
     /*   89537 */     GIR_Done,
     /*   89538 */   // Label 2361: @89538
     /*   89538 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(89579), // Rule ID 704 //
     /*   89543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89560 */     // MIs[0] rs1
     /*   89560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89572 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89577 */     GIR_RootConstrainSelectedInstOperands,
     /*   89578 */     // GIR_Coverage, 704,
     /*   89578 */     GIR_Done,
     /*   89579 */   // Label 2362: @89579
     /*   89579 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(89620), // Rule ID 706 //
     /*   89584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89601 */     // MIs[0] rs1
     /*   89601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89613 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89618 */     GIR_RootConstrainSelectedInstOperands,
     /*   89619 */     // GIR_Coverage, 706,
     /*   89619 */     GIR_Done,
     /*   89620 */   // Label 2363: @89620
     /*   89620 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(89661), // Rule ID 708 //
     /*   89625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89642 */     // MIs[0] rs1
     /*   89642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89654 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89659 */     GIR_RootConstrainSelectedInstOperands,
     /*   89660 */     // GIR_Coverage, 708,
     /*   89660 */     GIR_Done,
     /*   89661 */   // Label 2364: @89661
     /*   89661 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(89702), // Rule ID 710 //
     /*   89666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89683 */     // MIs[0] rs1
     /*   89683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89695 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89700 */     GIR_RootConstrainSelectedInstOperands,
     /*   89701 */     // GIR_Coverage, 710,
     /*   89701 */     GIR_Done,
     /*   89702 */   // Label 2365: @89702
     /*   89702 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(89743), // Rule ID 712 //
     /*   89707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89724 */     // MIs[0] rs1
     /*   89724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89736 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89741 */     GIR_RootConstrainSelectedInstOperands,
     /*   89742 */     // GIR_Coverage, 712,
     /*   89742 */     GIR_Done,
     /*   89743 */   // Label 2366: @89743
     /*   89743 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(89784), // Rule ID 874 //
     /*   89748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89765 */     // MIs[0] rs1
     /*   89765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89777 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   89782 */     GIR_RootConstrainSelectedInstOperands,
     /*   89783 */     // GIR_Coverage, 874,
     /*   89783 */     GIR_Done,
     /*   89784 */   // Label 2367: @89784
     /*   89784 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(89825), // Rule ID 876 //
     /*   89789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89806 */     // MIs[0] rs1
     /*   89806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89818 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*   89823 */     GIR_RootConstrainSelectedInstOperands,
     /*   89824 */     // GIR_Coverage, 876,
     /*   89824 */     GIR_Done,
     /*   89825 */   // Label 2368: @89825
     /*   89825 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(89866), // Rule ID 878 //
     /*   89830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89847 */     // MIs[0] rs1
     /*   89847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89859 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*   89864 */     GIR_RootConstrainSelectedInstOperands,
     /*   89865 */     // GIR_Coverage, 878,
     /*   89865 */     GIR_Done,
     /*   89866 */   // Label 2369: @89866
     /*   89866 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(89907), // Rule ID 880 //
     /*   89871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89888 */     // MIs[0] rs1
     /*   89888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89900 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   89905 */     GIR_RootConstrainSelectedInstOperands,
     /*   89906 */     // GIR_Coverage, 880,
     /*   89906 */     GIR_Done,
     /*   89907 */   // Label 2370: @89907
     /*   89907 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(89948), // Rule ID 882 //
     /*   89912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89929 */     // MIs[0] rs1
     /*   89929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89941 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   89946 */     GIR_RootConstrainSelectedInstOperands,
     /*   89947 */     // GIR_Coverage, 882,
     /*   89947 */     GIR_Done,
     /*   89948 */   // Label 2371: @89948
     /*   89948 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(89989), // Rule ID 884 //
     /*   89953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89970 */     // MIs[0] rs1
     /*   89970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89982 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   89987 */     GIR_RootConstrainSelectedInstOperands,
     /*   89988 */     // GIR_Coverage, 884,
     /*   89988 */     GIR_Done,
     /*   89989 */   // Label 2372: @89989
     /*   89989 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(90030), // Rule ID 886 //
     /*   89994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90011 */     // MIs[0] rs1
     /*   90011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90023 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90028 */     GIR_RootConstrainSelectedInstOperands,
     /*   90029 */     // GIR_Coverage, 886,
     /*   90029 */     GIR_Done,
     /*   90030 */   // Label 2373: @90030
     /*   90030 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(90071), // Rule ID 888 //
     /*   90035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90052 */     // MIs[0] rs1
     /*   90052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90064 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90069 */     GIR_RootConstrainSelectedInstOperands,
     /*   90070 */     // GIR_Coverage, 888,
     /*   90070 */     GIR_Done,
     /*   90071 */   // Label 2374: @90071
     /*   90071 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(90112), // Rule ID 890 //
     /*   90076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90093 */     // MIs[0] rs1
     /*   90093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90105 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90110 */     GIR_RootConstrainSelectedInstOperands,
     /*   90111 */     // GIR_Coverage, 890,
     /*   90111 */     GIR_Done,
     /*   90112 */   // Label 2375: @90112
     /*   90112 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(90153), // Rule ID 892 //
     /*   90117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90134 */     // MIs[0] rs1
     /*   90134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90146 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90151 */     GIR_RootConstrainSelectedInstOperands,
     /*   90152 */     // GIR_Coverage, 892,
     /*   90152 */     GIR_Done,
     /*   90153 */   // Label 2376: @90153
     /*   90153 */   GIM_Reject,
     /*   90154 */ // Label 2346: @90154
     /*   90154 */ GIM_Reject,
     /*   90155 */ // Label 2344: @90155
     /*   90155 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(91804),
     /*   90160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   90163 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(90204), // Rule ID 345 //
     /*   90168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90185 */     // MIs[0] rs1
     /*   90185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90197 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90202 */     GIR_RootConstrainSelectedInstOperands,
     /*   90203 */     // GIR_Coverage, 345,
     /*   90203 */     GIR_Done,
     /*   90204 */   // Label 2378: @90204
     /*   90204 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(90245), // Rule ID 347 //
     /*   90209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90226 */     // MIs[0] rs1
     /*   90226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90238 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*   90243 */     GIR_RootConstrainSelectedInstOperands,
     /*   90244 */     // GIR_Coverage, 347,
     /*   90244 */     GIR_Done,
     /*   90245 */   // Label 2379: @90245
     /*   90245 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(90286), // Rule ID 349 //
     /*   90250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90267 */     // MIs[0] rs1
     /*   90267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90279 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*   90284 */     GIR_RootConstrainSelectedInstOperands,
     /*   90285 */     // GIR_Coverage, 349,
     /*   90285 */     GIR_Done,
     /*   90286 */   // Label 2380: @90286
     /*   90286 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(90327), // Rule ID 351 //
     /*   90291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90308 */     // MIs[0] rs1
     /*   90308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90320 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   90325 */     GIR_RootConstrainSelectedInstOperands,
     /*   90326 */     // GIR_Coverage, 351,
     /*   90326 */     GIR_Done,
     /*   90327 */   // Label 2381: @90327
     /*   90327 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(90368), // Rule ID 353 //
     /*   90332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90349 */     // MIs[0] rs1
     /*   90349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90361 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   90366 */     GIR_RootConstrainSelectedInstOperands,
     /*   90367 */     // GIR_Coverage, 353,
     /*   90367 */     GIR_Done,
     /*   90368 */   // Label 2382: @90368
     /*   90368 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(90409), // Rule ID 355 //
     /*   90373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90390 */     // MIs[0] rs1
     /*   90390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90402 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90407 */     GIR_RootConstrainSelectedInstOperands,
     /*   90408 */     // GIR_Coverage, 355,
     /*   90408 */     GIR_Done,
     /*   90409 */   // Label 2383: @90409
     /*   90409 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(90450), // Rule ID 357 //
     /*   90414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90431 */     // MIs[0] rs1
     /*   90431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90443 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90448 */     GIR_RootConstrainSelectedInstOperands,
     /*   90449 */     // GIR_Coverage, 357,
     /*   90449 */     GIR_Done,
     /*   90450 */   // Label 2384: @90450
     /*   90450 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(90491), // Rule ID 359 //
     /*   90455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90472 */     // MIs[0] rs1
     /*   90472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90484 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90489 */     GIR_RootConstrainSelectedInstOperands,
     /*   90490 */     // GIR_Coverage, 359,
     /*   90490 */     GIR_Done,
     /*   90491 */   // Label 2385: @90491
     /*   90491 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(90532), // Rule ID 361 //
     /*   90496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90513 */     // MIs[0] rs1
     /*   90513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90525 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90530 */     GIR_RootConstrainSelectedInstOperands,
     /*   90531 */     // GIR_Coverage, 361,
     /*   90531 */     GIR_Done,
     /*   90532 */   // Label 2386: @90532
     /*   90532 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(90573), // Rule ID 363 //
     /*   90537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90554 */     // MIs[0] rs1
     /*   90554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90566 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90571 */     GIR_RootConstrainSelectedInstOperands,
     /*   90572 */     // GIR_Coverage, 363,
     /*   90572 */     GIR_Done,
     /*   90573 */   // Label 2387: @90573
     /*   90573 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(90614), // Rule ID 515 //
     /*   90578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90595 */     // MIs[0] rs1
     /*   90595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90607 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90612 */     GIR_RootConstrainSelectedInstOperands,
     /*   90613 */     // GIR_Coverage, 515,
     /*   90613 */     GIR_Done,
     /*   90614 */   // Label 2388: @90614
     /*   90614 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(90655), // Rule ID 516 //
     /*   90619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90636 */     // MIs[0] rs1
     /*   90636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90648 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*   90653 */     GIR_RootConstrainSelectedInstOperands,
     /*   90654 */     // GIR_Coverage, 516,
     /*   90654 */     GIR_Done,
     /*   90655 */   // Label 2389: @90655
     /*   90655 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(90696), // Rule ID 517 //
     /*   90660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90677 */     // MIs[0] rs1
     /*   90677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90689 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*   90694 */     GIR_RootConstrainSelectedInstOperands,
     /*   90695 */     // GIR_Coverage, 517,
     /*   90695 */     GIR_Done,
     /*   90696 */   // Label 2390: @90696
     /*   90696 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(90737), // Rule ID 518 //
     /*   90701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90718 */     // MIs[0] rs1
     /*   90718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90730 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*   90735 */     GIR_RootConstrainSelectedInstOperands,
     /*   90736 */     // GIR_Coverage, 518,
     /*   90736 */     GIR_Done,
     /*   90737 */   // Label 2391: @90737
     /*   90737 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(90778), // Rule ID 519 //
     /*   90742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90759 */     // MIs[0] rs1
     /*   90759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90771 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*   90776 */     GIR_RootConstrainSelectedInstOperands,
     /*   90777 */     // GIR_Coverage, 519,
     /*   90777 */     GIR_Done,
     /*   90778 */   // Label 2392: @90778
     /*   90778 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(90819), // Rule ID 520 //
     /*   90783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90800 */     // MIs[0] rs1
     /*   90800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90812 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90817 */     GIR_RootConstrainSelectedInstOperands,
     /*   90818 */     // GIR_Coverage, 520,
     /*   90818 */     GIR_Done,
     /*   90819 */   // Label 2393: @90819
     /*   90819 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(90860), // Rule ID 521 //
     /*   90824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90841 */     // MIs[0] rs1
     /*   90841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90853 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90858 */     GIR_RootConstrainSelectedInstOperands,
     /*   90859 */     // GIR_Coverage, 521,
     /*   90859 */     GIR_Done,
     /*   90860 */   // Label 2394: @90860
     /*   90860 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(90901), // Rule ID 522 //
     /*   90865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90882 */     // MIs[0] rs1
     /*   90882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90894 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90899 */     GIR_RootConstrainSelectedInstOperands,
     /*   90900 */     // GIR_Coverage, 522,
     /*   90900 */     GIR_Done,
     /*   90901 */   // Label 2395: @90901
     /*   90901 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(90942), // Rule ID 523 //
     /*   90906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90923 */     // MIs[0] rs1
     /*   90923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90935 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90940 */     GIR_RootConstrainSelectedInstOperands,
     /*   90941 */     // GIR_Coverage, 523,
     /*   90941 */     GIR_Done,
     /*   90942 */   // Label 2396: @90942
     /*   90942 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(90983), // Rule ID 524 //
     /*   90947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90964 */     // MIs[0] rs1
     /*   90964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90976 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90981 */     GIR_RootConstrainSelectedInstOperands,
     /*   90982 */     // GIR_Coverage, 524,
     /*   90982 */     GIR_Done,
     /*   90983 */   // Label 2397: @90983
     /*   90983 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(91024), // Rule ID 693 //
     /*   90988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   90991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   90998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91005 */     // MIs[0] rs1
     /*   91005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91017 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91022 */     GIR_RootConstrainSelectedInstOperands,
     /*   91023 */     // GIR_Coverage, 693,
     /*   91023 */     GIR_Done,
     /*   91024 */   // Label 2398: @91024
     /*   91024 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(91065), // Rule ID 695 //
     /*   91029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91046 */     // MIs[0] rs1
     /*   91046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91058 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*   91063 */     GIR_RootConstrainSelectedInstOperands,
     /*   91064 */     // GIR_Coverage, 695,
     /*   91064 */     GIR_Done,
     /*   91065 */   // Label 2399: @91065
     /*   91065 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(91106), // Rule ID 697 //
     /*   91070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91087 */     // MIs[0] rs1
     /*   91087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91099 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*   91104 */     GIR_RootConstrainSelectedInstOperands,
     /*   91105 */     // GIR_Coverage, 697,
     /*   91105 */     GIR_Done,
     /*   91106 */   // Label 2400: @91106
     /*   91106 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(91147), // Rule ID 699 //
     /*   91111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91128 */     // MIs[0] rs1
     /*   91128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91140 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   91145 */     GIR_RootConstrainSelectedInstOperands,
     /*   91146 */     // GIR_Coverage, 699,
     /*   91146 */     GIR_Done,
     /*   91147 */   // Label 2401: @91147
     /*   91147 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(91188), // Rule ID 701 //
     /*   91152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91169 */     // MIs[0] rs1
     /*   91169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91181 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   91186 */     GIR_RootConstrainSelectedInstOperands,
     /*   91187 */     // GIR_Coverage, 701,
     /*   91187 */     GIR_Done,
     /*   91188 */   // Label 2402: @91188
     /*   91188 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(91229), // Rule ID 703 //
     /*   91193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91210 */     // MIs[0] rs1
     /*   91210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91222 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91227 */     GIR_RootConstrainSelectedInstOperands,
     /*   91228 */     // GIR_Coverage, 703,
     /*   91228 */     GIR_Done,
     /*   91229 */   // Label 2403: @91229
     /*   91229 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(91270), // Rule ID 705 //
     /*   91234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91251 */     // MIs[0] rs1
     /*   91251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91263 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91268 */     GIR_RootConstrainSelectedInstOperands,
     /*   91269 */     // GIR_Coverage, 705,
     /*   91269 */     GIR_Done,
     /*   91270 */   // Label 2404: @91270
     /*   91270 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(91311), // Rule ID 707 //
     /*   91275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91292 */     // MIs[0] rs1
     /*   91292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91304 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91309 */     GIR_RootConstrainSelectedInstOperands,
     /*   91310 */     // GIR_Coverage, 707,
     /*   91310 */     GIR_Done,
     /*   91311 */   // Label 2405: @91311
     /*   91311 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(91352), // Rule ID 709 //
     /*   91316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91333 */     // MIs[0] rs1
     /*   91333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91345 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91350 */     GIR_RootConstrainSelectedInstOperands,
     /*   91351 */     // GIR_Coverage, 709,
     /*   91351 */     GIR_Done,
     /*   91352 */   // Label 2406: @91352
     /*   91352 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(91393), // Rule ID 711 //
     /*   91357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91374 */     // MIs[0] rs1
     /*   91374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91386 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91391 */     GIR_RootConstrainSelectedInstOperands,
     /*   91392 */     // GIR_Coverage, 711,
     /*   91392 */     GIR_Done,
     /*   91393 */   // Label 2407: @91393
     /*   91393 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(91434), // Rule ID 873 //
     /*   91398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91415 */     // MIs[0] rs1
     /*   91415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91427 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91432 */     GIR_RootConstrainSelectedInstOperands,
     /*   91433 */     // GIR_Coverage, 873,
     /*   91433 */     GIR_Done,
     /*   91434 */   // Label 2408: @91434
     /*   91434 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(91475), // Rule ID 875 //
     /*   91439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91456 */     // MIs[0] rs1
     /*   91456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91468 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*   91473 */     GIR_RootConstrainSelectedInstOperands,
     /*   91474 */     // GIR_Coverage, 875,
     /*   91474 */     GIR_Done,
     /*   91475 */   // Label 2409: @91475
     /*   91475 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(91516), // Rule ID 877 //
     /*   91480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91497 */     // MIs[0] rs1
     /*   91497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91509 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*   91514 */     GIR_RootConstrainSelectedInstOperands,
     /*   91515 */     // GIR_Coverage, 877,
     /*   91515 */     GIR_Done,
     /*   91516 */   // Label 2410: @91516
     /*   91516 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(91557), // Rule ID 879 //
     /*   91521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91538 */     // MIs[0] rs1
     /*   91538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91550 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   91555 */     GIR_RootConstrainSelectedInstOperands,
     /*   91556 */     // GIR_Coverage, 879,
     /*   91556 */     GIR_Done,
     /*   91557 */   // Label 2411: @91557
     /*   91557 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(91598), // Rule ID 881 //
     /*   91562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91579 */     // MIs[0] rs1
     /*   91579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91591 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   91596 */     GIR_RootConstrainSelectedInstOperands,
     /*   91597 */     // GIR_Coverage, 881,
     /*   91597 */     GIR_Done,
     /*   91598 */   // Label 2412: @91598
     /*   91598 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(91639), // Rule ID 883 //
     /*   91603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91620 */     // MIs[0] rs1
     /*   91620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91632 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91637 */     GIR_RootConstrainSelectedInstOperands,
     /*   91638 */     // GIR_Coverage, 883,
     /*   91638 */     GIR_Done,
     /*   91639 */   // Label 2413: @91639
     /*   91639 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(91680), // Rule ID 885 //
     /*   91644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91661 */     // MIs[0] rs1
     /*   91661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91673 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91678 */     GIR_RootConstrainSelectedInstOperands,
     /*   91679 */     // GIR_Coverage, 885,
     /*   91679 */     GIR_Done,
     /*   91680 */   // Label 2414: @91680
     /*   91680 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(91721), // Rule ID 887 //
     /*   91685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91702 */     // MIs[0] rs1
     /*   91702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91714 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91719 */     GIR_RootConstrainSelectedInstOperands,
     /*   91720 */     // GIR_Coverage, 887,
     /*   91720 */     GIR_Done,
     /*   91721 */   // Label 2415: @91721
     /*   91721 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(91762), // Rule ID 889 //
     /*   91726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91743 */     // MIs[0] rs1
     /*   91743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91755 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91760 */     GIR_RootConstrainSelectedInstOperands,
     /*   91761 */     // GIR_Coverage, 889,
     /*   91761 */     GIR_Done,
     /*   91762 */   // Label 2416: @91762
     /*   91762 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(91803), // Rule ID 891 //
     /*   91767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91784 */     // MIs[0] rs1
     /*   91784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91796 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91801 */     GIR_RootConstrainSelectedInstOperands,
     /*   91802 */     // GIR_Coverage, 891,
     /*   91802 */     GIR_Done,
     /*   91803 */   // Label 2417: @91803
     /*   91803 */   GIM_Reject,
     /*   91804 */ // Label 2377: @91804
     /*   91804 */ GIM_Reject,
     /*   91805 */ // Label 2345: @91805
     /*   91805 */ GIM_Reject,
     /*   91806 */ // Label 28: @91806
     /*   91806 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2420*/ GIMT_Encode4(94715),
     /*   91817 */ /*GILLT_s32*//*Label 2418*/ GIMT_Encode4(91825),
     /*   91821 */ /*GILLT_s64*//*Label 2419*/ GIMT_Encode4(93065),
     /*   91825 */ // Label 2418: @91825
     /*   91825 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(93064),
     /*   91830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   91833 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(91874), // Rule ID 366 //
     /*   91838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91855 */     // MIs[0] rs1
     /*   91855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91867 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   91872 */     GIR_RootConstrainSelectedInstOperands,
     /*   91873 */     // GIR_Coverage, 366,
     /*   91873 */     GIR_Done,
     /*   91874 */   // Label 2422: @91874
     /*   91874 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(91915), // Rule ID 368 //
     /*   91879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91896 */     // MIs[0] rs1
     /*   91896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91908 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*   91913 */     GIR_RootConstrainSelectedInstOperands,
     /*   91914 */     // GIR_Coverage, 368,
     /*   91914 */     GIR_Done,
     /*   91915 */   // Label 2423: @91915
     /*   91915 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(91956), // Rule ID 370 //
     /*   91920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91937 */     // MIs[0] rs1
     /*   91937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91949 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*   91954 */     GIR_RootConstrainSelectedInstOperands,
     /*   91955 */     // GIR_Coverage, 370,
     /*   91955 */     GIR_Done,
     /*   91956 */   // Label 2424: @91956
     /*   91956 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(91997), // Rule ID 372 //
     /*   91961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91978 */     // MIs[0] rs1
     /*   91978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91990 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   91995 */     GIR_RootConstrainSelectedInstOperands,
     /*   91996 */     // GIR_Coverage, 372,
     /*   91996 */     GIR_Done,
     /*   91997 */   // Label 2425: @91997
     /*   91997 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(92038), // Rule ID 374 //
     /*   92002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   92005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92019 */     // MIs[0] rs1
     /*   92019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92031 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   92036 */     GIR_RootConstrainSelectedInstOperands,
     /*   92037 */     // GIR_Coverage, 374,
     /*   92037 */     GIR_Done,
     /*   92038 */   // Label 2426: @92038
     /*   92038 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(92079), // Rule ID 376 //
     /*   92043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92060 */     // MIs[0] rs1
     /*   92060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92072 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92077 */     GIR_RootConstrainSelectedInstOperands,
     /*   92078 */     // GIR_Coverage, 376,
     /*   92078 */     GIR_Done,
     /*   92079 */   // Label 2427: @92079
     /*   92079 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(92120), // Rule ID 378 //
     /*   92084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92101 */     // MIs[0] rs1
     /*   92101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92113 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92118 */     GIR_RootConstrainSelectedInstOperands,
     /*   92119 */     // GIR_Coverage, 378,
     /*   92119 */     GIR_Done,
     /*   92120 */   // Label 2428: @92120
     /*   92120 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(92161), // Rule ID 380 //
     /*   92125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92142 */     // MIs[0] rs1
     /*   92142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92154 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92159 */     GIR_RootConstrainSelectedInstOperands,
     /*   92160 */     // GIR_Coverage, 380,
     /*   92160 */     GIR_Done,
     /*   92161 */   // Label 2429: @92161
     /*   92161 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(92202), // Rule ID 382 //
     /*   92166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92183 */     // MIs[0] rs1
     /*   92183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92195 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92200 */     GIR_RootConstrainSelectedInstOperands,
     /*   92201 */     // GIR_Coverage, 382,
     /*   92201 */     GIR_Done,
     /*   92202 */   // Label 2430: @92202
     /*   92202 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(92243), // Rule ID 384 //
     /*   92207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92224 */     // MIs[0] rs1
     /*   92224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92236 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92241 */     GIR_RootConstrainSelectedInstOperands,
     /*   92242 */     // GIR_Coverage, 384,
     /*   92242 */     GIR_Done,
     /*   92243 */   // Label 2431: @92243
     /*   92243 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(92284), // Rule ID 714 //
     /*   92248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92265 */     // MIs[0] rs1
     /*   92265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92277 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92282 */     GIR_RootConstrainSelectedInstOperands,
     /*   92283 */     // GIR_Coverage, 714,
     /*   92283 */     GIR_Done,
     /*   92284 */   // Label 2432: @92284
     /*   92284 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(92325), // Rule ID 716 //
     /*   92289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92306 */     // MIs[0] rs1
     /*   92306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92318 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*   92323 */     GIR_RootConstrainSelectedInstOperands,
     /*   92324 */     // GIR_Coverage, 716,
     /*   92324 */     GIR_Done,
     /*   92325 */   // Label 2433: @92325
     /*   92325 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(92366), // Rule ID 718 //
     /*   92330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92347 */     // MIs[0] rs1
     /*   92347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92359 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 718,
     /*   92365 */     GIR_Done,
     /*   92366 */   // Label 2434: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(92407), // Rule ID 720 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92388 */     // MIs[0] rs1
     /*   92388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92400 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   92405 */     GIR_RootConstrainSelectedInstOperands,
     /*   92406 */     // GIR_Coverage, 720,
     /*   92406 */     GIR_Done,
     /*   92407 */   // Label 2435: @92407
     /*   92407 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(92448), // Rule ID 722 //
     /*   92412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92429 */     // MIs[0] rs1
     /*   92429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92441 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   92446 */     GIR_RootConstrainSelectedInstOperands,
     /*   92447 */     // GIR_Coverage, 722,
     /*   92447 */     GIR_Done,
     /*   92448 */   // Label 2436: @92448
     /*   92448 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(92489), // Rule ID 724 //
     /*   92453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92470 */     // MIs[0] rs1
     /*   92470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92482 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 724,
     /*   92488 */     GIR_Done,
     /*   92489 */   // Label 2437: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(92530), // Rule ID 726 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92511 */     // MIs[0] rs1
     /*   92511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92523 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92528 */     GIR_RootConstrainSelectedInstOperands,
     /*   92529 */     // GIR_Coverage, 726,
     /*   92529 */     GIR_Done,
     /*   92530 */   // Label 2438: @92530
     /*   92530 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(92571), // Rule ID 728 //
     /*   92535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92552 */     // MIs[0] rs1
     /*   92552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92564 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92569 */     GIR_RootConstrainSelectedInstOperands,
     /*   92570 */     // GIR_Coverage, 728,
     /*   92570 */     GIR_Done,
     /*   92571 */   // Label 2439: @92571
     /*   92571 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(92612), // Rule ID 730 //
     /*   92576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92593 */     // MIs[0] rs1
     /*   92593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92605 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92610 */     GIR_RootConstrainSelectedInstOperands,
     /*   92611 */     // GIR_Coverage, 730,
     /*   92611 */     GIR_Done,
     /*   92612 */   // Label 2440: @92612
     /*   92612 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(92653), // Rule ID 732 //
     /*   92617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92634 */     // MIs[0] rs1
     /*   92634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92646 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92651 */     GIR_RootConstrainSelectedInstOperands,
     /*   92652 */     // GIR_Coverage, 732,
     /*   92652 */     GIR_Done,
     /*   92653 */   // Label 2441: @92653
     /*   92653 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(92694), // Rule ID 894 //
     /*   92658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92675 */     // MIs[0] rs1
     /*   92675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92687 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92692 */     GIR_RootConstrainSelectedInstOperands,
     /*   92693 */     // GIR_Coverage, 894,
     /*   92693 */     GIR_Done,
     /*   92694 */   // Label 2442: @92694
     /*   92694 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(92735), // Rule ID 896 //
     /*   92699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92716 */     // MIs[0] rs1
     /*   92716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92728 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*   92733 */     GIR_RootConstrainSelectedInstOperands,
     /*   92734 */     // GIR_Coverage, 896,
     /*   92734 */     GIR_Done,
     /*   92735 */   // Label 2443: @92735
     /*   92735 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(92776), // Rule ID 898 //
     /*   92740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92757 */     // MIs[0] rs1
     /*   92757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92769 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*   92774 */     GIR_RootConstrainSelectedInstOperands,
     /*   92775 */     // GIR_Coverage, 898,
     /*   92775 */     GIR_Done,
     /*   92776 */   // Label 2444: @92776
     /*   92776 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(92817), // Rule ID 900 //
     /*   92781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92798 */     // MIs[0] rs1
     /*   92798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92810 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   92815 */     GIR_RootConstrainSelectedInstOperands,
     /*   92816 */     // GIR_Coverage, 900,
     /*   92816 */     GIR_Done,
     /*   92817 */   // Label 2445: @92817
     /*   92817 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(92858), // Rule ID 902 //
     /*   92822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92839 */     // MIs[0] rs1
     /*   92839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92851 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   92856 */     GIR_RootConstrainSelectedInstOperands,
     /*   92857 */     // GIR_Coverage, 902,
     /*   92857 */     GIR_Done,
     /*   92858 */   // Label 2446: @92858
     /*   92858 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(92899), // Rule ID 904 //
     /*   92863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92880 */     // MIs[0] rs1
     /*   92880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92892 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92897 */     GIR_RootConstrainSelectedInstOperands,
     /*   92898 */     // GIR_Coverage, 904,
     /*   92898 */     GIR_Done,
     /*   92899 */   // Label 2447: @92899
     /*   92899 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(92940), // Rule ID 906 //
     /*   92904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92921 */     // MIs[0] rs1
     /*   92921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92933 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92938 */     GIR_RootConstrainSelectedInstOperands,
     /*   92939 */     // GIR_Coverage, 906,
     /*   92939 */     GIR_Done,
     /*   92940 */   // Label 2448: @92940
     /*   92940 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(92981), // Rule ID 908 //
     /*   92945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92962 */     // MIs[0] rs1
     /*   92962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92974 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92979 */     GIR_RootConstrainSelectedInstOperands,
     /*   92980 */     // GIR_Coverage, 908,
     /*   92980 */     GIR_Done,
     /*   92981 */   // Label 2449: @92981
     /*   92981 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(93022), // Rule ID 910 //
     /*   92986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93003 */     // MIs[0] rs1
     /*   93003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   93007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93015 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   93015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   93020 */     GIR_RootConstrainSelectedInstOperands,
     /*   93021 */     // GIR_Coverage, 910,
     /*   93021 */     GIR_Done,
     /*   93022 */   // Label 2450: @93022
     /*   93022 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(93063), // Rule ID 912 //
     /*   93027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   93030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   93037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93044 */     // MIs[0] rs1
     /*   93044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   93048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93056 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   93056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   93061 */     GIR_RootConstrainSelectedInstOperands,
     /*   93062 */     // GIR_Coverage, 912,
     /*   93062 */     GIR_Done,
     /*   93063 */   // Label 2451: @93063
     /*   93063 */   GIM_Reject,
     /*   93064 */ // Label 2421: @93064
     /*   93064 */ GIM_Reject,
     /*   93065 */ // Label 2419: @93065
     /*   93065 */ GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(94714),
     /*   93070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   93073 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(93114), // Rule ID 365 //
     /*   93078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93095 */     // MIs[0] rs1
     /*   93095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93107 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93112 */     GIR_RootConstrainSelectedInstOperands,
     /*   93113 */     // GIR_Coverage, 365,
     /*   93113 */     GIR_Done,
     /*   93114 */   // Label 2453: @93114
     /*   93114 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(93155), // Rule ID 367 //
     /*   93119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93136 */     // MIs[0] rs1
     /*   93136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93148 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*   93153 */     GIR_RootConstrainSelectedInstOperands,
     /*   93154 */     // GIR_Coverage, 367,
     /*   93154 */     GIR_Done,
     /*   93155 */   // Label 2454: @93155
     /*   93155 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(93196), // Rule ID 369 //
     /*   93160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93177 */     // MIs[0] rs1
     /*   93177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93189 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*   93194 */     GIR_RootConstrainSelectedInstOperands,
     /*   93195 */     // GIR_Coverage, 369,
     /*   93195 */     GIR_Done,
     /*   93196 */   // Label 2455: @93196
     /*   93196 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(93237), // Rule ID 371 //
     /*   93201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93218 */     // MIs[0] rs1
     /*   93218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93230 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   93235 */     GIR_RootConstrainSelectedInstOperands,
     /*   93236 */     // GIR_Coverage, 371,
     /*   93236 */     GIR_Done,
     /*   93237 */   // Label 2456: @93237
     /*   93237 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(93278), // Rule ID 373 //
     /*   93242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93259 */     // MIs[0] rs1
     /*   93259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93271 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   93276 */     GIR_RootConstrainSelectedInstOperands,
     /*   93277 */     // GIR_Coverage, 373,
     /*   93277 */     GIR_Done,
     /*   93278 */   // Label 2457: @93278
     /*   93278 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(93319), // Rule ID 375 //
     /*   93283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93300 */     // MIs[0] rs1
     /*   93300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93312 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93317 */     GIR_RootConstrainSelectedInstOperands,
     /*   93318 */     // GIR_Coverage, 375,
     /*   93318 */     GIR_Done,
     /*   93319 */   // Label 2458: @93319
     /*   93319 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(93360), // Rule ID 377 //
     /*   93324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93341 */     // MIs[0] rs1
     /*   93341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93353 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93358 */     GIR_RootConstrainSelectedInstOperands,
     /*   93359 */     // GIR_Coverage, 377,
     /*   93359 */     GIR_Done,
     /*   93360 */   // Label 2459: @93360
     /*   93360 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(93401), // Rule ID 379 //
     /*   93365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93382 */     // MIs[0] rs1
     /*   93382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93394 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93399 */     GIR_RootConstrainSelectedInstOperands,
     /*   93400 */     // GIR_Coverage, 379,
     /*   93400 */     GIR_Done,
     /*   93401 */   // Label 2460: @93401
     /*   93401 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(93442), // Rule ID 381 //
     /*   93406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93423 */     // MIs[0] rs1
     /*   93423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93435 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93440 */     GIR_RootConstrainSelectedInstOperands,
     /*   93441 */     // GIR_Coverage, 381,
     /*   93441 */     GIR_Done,
     /*   93442 */   // Label 2461: @93442
     /*   93442 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(93483), // Rule ID 383 //
     /*   93447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93464 */     // MIs[0] rs1
     /*   93464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93476 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93481 */     GIR_RootConstrainSelectedInstOperands,
     /*   93482 */     // GIR_Coverage, 383,
     /*   93482 */     GIR_Done,
     /*   93483 */   // Label 2462: @93483
     /*   93483 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(93524), // Rule ID 525 //
     /*   93488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93505 */     // MIs[0] rs1
     /*   93505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93517 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93522 */     GIR_RootConstrainSelectedInstOperands,
     /*   93523 */     // GIR_Coverage, 525,
     /*   93523 */     GIR_Done,
     /*   93524 */   // Label 2463: @93524
     /*   93524 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(93565), // Rule ID 526 //
     /*   93529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93546 */     // MIs[0] rs1
     /*   93546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93558 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*   93563 */     GIR_RootConstrainSelectedInstOperands,
     /*   93564 */     // GIR_Coverage, 526,
     /*   93564 */     GIR_Done,
     /*   93565 */   // Label 2464: @93565
     /*   93565 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(93606), // Rule ID 527 //
     /*   93570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93587 */     // MIs[0] rs1
     /*   93587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93599 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*   93604 */     GIR_RootConstrainSelectedInstOperands,
     /*   93605 */     // GIR_Coverage, 527,
     /*   93605 */     GIR_Done,
     /*   93606 */   // Label 2465: @93606
     /*   93606 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(93647), // Rule ID 528 //
     /*   93611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93628 */     // MIs[0] rs1
     /*   93628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93640 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*   93645 */     GIR_RootConstrainSelectedInstOperands,
     /*   93646 */     // GIR_Coverage, 528,
     /*   93646 */     GIR_Done,
     /*   93647 */   // Label 2466: @93647
     /*   93647 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(93688), // Rule ID 529 //
     /*   93652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93669 */     // MIs[0] rs1
     /*   93669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93681 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*   93686 */     GIR_RootConstrainSelectedInstOperands,
     /*   93687 */     // GIR_Coverage, 529,
     /*   93687 */     GIR_Done,
     /*   93688 */   // Label 2467: @93688
     /*   93688 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(93729), // Rule ID 530 //
     /*   93693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93710 */     // MIs[0] rs1
     /*   93710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93722 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93727 */     GIR_RootConstrainSelectedInstOperands,
     /*   93728 */     // GIR_Coverage, 530,
     /*   93728 */     GIR_Done,
     /*   93729 */   // Label 2468: @93729
     /*   93729 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(93770), // Rule ID 531 //
     /*   93734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93751 */     // MIs[0] rs1
     /*   93751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93763 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93768 */     GIR_RootConstrainSelectedInstOperands,
     /*   93769 */     // GIR_Coverage, 531,
     /*   93769 */     GIR_Done,
     /*   93770 */   // Label 2469: @93770
     /*   93770 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(93811), // Rule ID 532 //
     /*   93775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93792 */     // MIs[0] rs1
     /*   93792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93804 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93809 */     GIR_RootConstrainSelectedInstOperands,
     /*   93810 */     // GIR_Coverage, 532,
     /*   93810 */     GIR_Done,
     /*   93811 */   // Label 2470: @93811
     /*   93811 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(93852), // Rule ID 533 //
     /*   93816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93833 */     // MIs[0] rs1
     /*   93833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93845 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93850 */     GIR_RootConstrainSelectedInstOperands,
     /*   93851 */     // GIR_Coverage, 533,
     /*   93851 */     GIR_Done,
     /*   93852 */   // Label 2471: @93852
     /*   93852 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(93893), // Rule ID 534 //
     /*   93857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93874 */     // MIs[0] rs1
     /*   93874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93886 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93891 */     GIR_RootConstrainSelectedInstOperands,
     /*   93892 */     // GIR_Coverage, 534,
     /*   93892 */     GIR_Done,
     /*   93893 */   // Label 2472: @93893
     /*   93893 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(93934), // Rule ID 713 //
     /*   93898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93915 */     // MIs[0] rs1
     /*   93915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93927 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   93932 */     GIR_RootConstrainSelectedInstOperands,
     /*   93933 */     // GIR_Coverage, 713,
     /*   93933 */     GIR_Done,
     /*   93934 */   // Label 2473: @93934
     /*   93934 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(93975), // Rule ID 715 //
     /*   93939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93956 */     // MIs[0] rs1
     /*   93956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93968 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 715,
     /*   93974 */     GIR_Done,
     /*   93975 */   // Label 2474: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(94016), // Rule ID 717 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93997 */     // MIs[0] rs1
     /*   93997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94009 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*   94014 */     GIR_RootConstrainSelectedInstOperands,
     /*   94015 */     // GIR_Coverage, 717,
     /*   94015 */     GIR_Done,
     /*   94016 */   // Label 2475: @94016
     /*   94016 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(94057), // Rule ID 719 //
     /*   94021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94038 */     // MIs[0] rs1
     /*   94038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94050 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   94055 */     GIR_RootConstrainSelectedInstOperands,
     /*   94056 */     // GIR_Coverage, 719,
     /*   94056 */     GIR_Done,
     /*   94057 */   // Label 2476: @94057
     /*   94057 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(94098), // Rule ID 721 //
     /*   94062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94079 */     // MIs[0] rs1
     /*   94079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94091 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   94096 */     GIR_RootConstrainSelectedInstOperands,
     /*   94097 */     // GIR_Coverage, 721,
     /*   94097 */     GIR_Done,
     /*   94098 */   // Label 2477: @94098
     /*   94098 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(94139), // Rule ID 723 //
     /*   94103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94120 */     // MIs[0] rs1
     /*   94120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94132 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94137 */     GIR_RootConstrainSelectedInstOperands,
     /*   94138 */     // GIR_Coverage, 723,
     /*   94138 */     GIR_Done,
     /*   94139 */   // Label 2478: @94139
     /*   94139 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(94180), // Rule ID 725 //
     /*   94144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94161 */     // MIs[0] rs1
     /*   94161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94173 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94178 */     GIR_RootConstrainSelectedInstOperands,
     /*   94179 */     // GIR_Coverage, 725,
     /*   94179 */     GIR_Done,
     /*   94180 */   // Label 2479: @94180
     /*   94180 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(94221), // Rule ID 727 //
     /*   94185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94202 */     // MIs[0] rs1
     /*   94202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94214 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94219 */     GIR_RootConstrainSelectedInstOperands,
     /*   94220 */     // GIR_Coverage, 727,
     /*   94220 */     GIR_Done,
     /*   94221 */   // Label 2480: @94221
     /*   94221 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(94262), // Rule ID 729 //
     /*   94226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94243 */     // MIs[0] rs1
     /*   94243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94255 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94260 */     GIR_RootConstrainSelectedInstOperands,
     /*   94261 */     // GIR_Coverage, 729,
     /*   94261 */     GIR_Done,
     /*   94262 */   // Label 2481: @94262
     /*   94262 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(94303), // Rule ID 731 //
     /*   94267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94284 */     // MIs[0] rs1
     /*   94284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94296 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94301 */     GIR_RootConstrainSelectedInstOperands,
     /*   94302 */     // GIR_Coverage, 731,
     /*   94302 */     GIR_Done,
     /*   94303 */   // Label 2482: @94303
     /*   94303 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(94344), // Rule ID 893 //
     /*   94308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94325 */     // MIs[0] rs1
     /*   94325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94337 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94342 */     GIR_RootConstrainSelectedInstOperands,
     /*   94343 */     // GIR_Coverage, 893,
     /*   94343 */     GIR_Done,
     /*   94344 */   // Label 2483: @94344
     /*   94344 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(94385), // Rule ID 895 //
     /*   94349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94366 */     // MIs[0] rs1
     /*   94366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94378 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*   94383 */     GIR_RootConstrainSelectedInstOperands,
     /*   94384 */     // GIR_Coverage, 895,
     /*   94384 */     GIR_Done,
     /*   94385 */   // Label 2484: @94385
     /*   94385 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(94426), // Rule ID 897 //
     /*   94390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94407 */     // MIs[0] rs1
     /*   94407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94419 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*   94424 */     GIR_RootConstrainSelectedInstOperands,
     /*   94425 */     // GIR_Coverage, 897,
     /*   94425 */     GIR_Done,
     /*   94426 */   // Label 2485: @94426
     /*   94426 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(94467), // Rule ID 899 //
     /*   94431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94448 */     // MIs[0] rs1
     /*   94448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94460 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   94465 */     GIR_RootConstrainSelectedInstOperands,
     /*   94466 */     // GIR_Coverage, 899,
     /*   94466 */     GIR_Done,
     /*   94467 */   // Label 2486: @94467
     /*   94467 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(94508), // Rule ID 901 //
     /*   94472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94489 */     // MIs[0] rs1
     /*   94489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94501 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   94506 */     GIR_RootConstrainSelectedInstOperands,
     /*   94507 */     // GIR_Coverage, 901,
     /*   94507 */     GIR_Done,
     /*   94508 */   // Label 2487: @94508
     /*   94508 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(94549), // Rule ID 903 //
     /*   94513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94530 */     // MIs[0] rs1
     /*   94530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94542 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94547 */     GIR_RootConstrainSelectedInstOperands,
     /*   94548 */     // GIR_Coverage, 903,
     /*   94548 */     GIR_Done,
     /*   94549 */   // Label 2488: @94549
     /*   94549 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(94590), // Rule ID 905 //
     /*   94554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94571 */     // MIs[0] rs1
     /*   94571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94583 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94588 */     GIR_RootConstrainSelectedInstOperands,
     /*   94589 */     // GIR_Coverage, 905,
     /*   94589 */     GIR_Done,
     /*   94590 */   // Label 2489: @94590
     /*   94590 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(94631), // Rule ID 907 //
     /*   94595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94612 */     // MIs[0] rs1
     /*   94612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94624 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94629 */     GIR_RootConstrainSelectedInstOperands,
     /*   94630 */     // GIR_Coverage, 907,
     /*   94630 */     GIR_Done,
     /*   94631 */   // Label 2490: @94631
     /*   94631 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(94672), // Rule ID 909 //
     /*   94636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94653 */     // MIs[0] rs1
     /*   94653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94665 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94670 */     GIR_RootConstrainSelectedInstOperands,
     /*   94671 */     // GIR_Coverage, 909,
     /*   94671 */     GIR_Done,
     /*   94672 */   // Label 2491: @94672
     /*   94672 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(94713), // Rule ID 911 //
     /*   94677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94694 */     // MIs[0] rs1
     /*   94694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94706 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94711 */     GIR_RootConstrainSelectedInstOperands,
     /*   94712 */     // GIR_Coverage, 911,
     /*   94712 */     GIR_Done,
     /*   94713 */   // Label 2492: @94713
     /*   94713 */   GIM_Reject,
     /*   94714 */ // Label 2452: @94714
     /*   94714 */ GIM_Reject,
     /*   94715 */ // Label 2420: @94715
     /*   94715 */ GIM_Reject,
     /*   94716 */ // Label 29: @94716
     /*   94716 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2495*/ GIMT_Encode4(95627),
     /*   94727 */ /*GILLT_s32*//*Label 2493*/ GIMT_Encode4(94735),
     /*   94731 */ /*GILLT_s64*//*Label 2494*/ GIMT_Encode4(95017),
     /*   94735 */ // Label 2493: @94735
     /*   94735 */ GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(95016),
     /*   94740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   94743 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   94750 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(94803), // Rule ID 596 //
     /*   94755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94765 */     // MIs[0] addr
     /*   94765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94777 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*   94777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94785 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94790 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94792 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   94797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94801 */     GIR_RootConstrainSelectedInstOperands,
     /*   94802 */     // GIR_Coverage, 596,
     /*   94802 */     GIR_EraseRootFromParent_Done,
     /*   94803 */   // Label 2497: @94803
     /*   94803 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(94856), // Rule ID 598 //
     /*   94808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94818 */     // MIs[0] addr
     /*   94818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94830 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*   94830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94838 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94843 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94845 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94854 */     GIR_RootConstrainSelectedInstOperands,
     /*   94855 */     // GIR_Coverage, 598,
     /*   94855 */     GIR_EraseRootFromParent_Done,
     /*   94856 */   // Label 2498: @94856
     /*   94856 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(94909), // Rule ID 600 //
     /*   94861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94871 */     // MIs[0] addr
     /*   94871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94883 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*   94883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94891 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94896 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94898 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94907 */     GIR_RootConstrainSelectedInstOperands,
     /*   94908 */     // GIR_Coverage, 600,
     /*   94908 */     GIR_EraseRootFromParent_Done,
     /*   94909 */   // Label 2499: @94909
     /*   94909 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(94962), // Rule ID 602 //
     /*   94914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94924 */     // MIs[0] addr
     /*   94924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94936 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*   94936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94944 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94949 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94951 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   94956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94960 */     GIR_RootConstrainSelectedInstOperands,
     /*   94961 */     // GIR_Coverage, 602,
     /*   94961 */     GIR_EraseRootFromParent_Done,
     /*   94962 */   // Label 2500: @94962
     /*   94962 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(95015), // Rule ID 604 //
     /*   94967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94977 */     // MIs[0] addr
     /*   94977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94989 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*   94989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94997 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95002 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95004 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95013 */     GIR_RootConstrainSelectedInstOperands,
     /*   95014 */     // GIR_Coverage, 604,
     /*   95014 */     GIR_EraseRootFromParent_Done,
     /*   95015 */   // Label 2501: @95015
     /*   95015 */   GIM_Reject,
     /*   95016 */ // Label 2496: @95016
     /*   95016 */ GIM_Reject,
     /*   95017 */ // Label 2494: @95017
     /*   95017 */ GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(95626),
     /*   95022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   95025 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(95085), // Rule ID 595 //
     /*   95030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95047 */     // MIs[0] addr
     /*   95047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95059 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*   95059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95067 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95072 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95074 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   95079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95083 */     GIR_RootConstrainSelectedInstOperands,
     /*   95084 */     // GIR_Coverage, 595,
     /*   95084 */     GIR_EraseRootFromParent_Done,
     /*   95085 */   // Label 2503: @95085
     /*   95085 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(95145), // Rule ID 597 //
     /*   95090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95107 */     // MIs[0] addr
     /*   95107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95119 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*   95119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95127 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95132 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95134 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95143 */     GIR_RootConstrainSelectedInstOperands,
     /*   95144 */     // GIR_Coverage, 597,
     /*   95144 */     GIR_EraseRootFromParent_Done,
     /*   95145 */   // Label 2504: @95145
     /*   95145 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(95205), // Rule ID 599 //
     /*   95150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95167 */     // MIs[0] addr
     /*   95167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95179 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*   95179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95187 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95192 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95194 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95203 */     GIR_RootConstrainSelectedInstOperands,
     /*   95204 */     // GIR_Coverage, 599,
     /*   95204 */     GIR_EraseRootFromParent_Done,
     /*   95205 */   // Label 2505: @95205
     /*   95205 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(95265), // Rule ID 601 //
     /*   95210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95227 */     // MIs[0] addr
     /*   95227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95239 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*   95239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95247 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95252 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95254 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   95259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95263 */     GIR_RootConstrainSelectedInstOperands,
     /*   95264 */     // GIR_Coverage, 601,
     /*   95264 */     GIR_EraseRootFromParent_Done,
     /*   95265 */   // Label 2506: @95265
     /*   95265 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(95325), // Rule ID 603 //
     /*   95270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95287 */     // MIs[0] addr
     /*   95287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95299 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*   95299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95307 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95312 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95314 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95323 */     GIR_RootConstrainSelectedInstOperands,
     /*   95324 */     // GIR_Coverage, 603,
     /*   95324 */     GIR_EraseRootFromParent_Done,
     /*   95325 */   // Label 2507: @95325
     /*   95325 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(95385), // Rule ID 613 //
     /*   95330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95347 */     // MIs[0] addr
     /*   95347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95359 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*   95359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95367 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95374 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   95379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95383 */     GIR_RootConstrainSelectedInstOperands,
     /*   95384 */     // GIR_Coverage, 613,
     /*   95384 */     GIR_EraseRootFromParent_Done,
     /*   95385 */   // Label 2508: @95385
     /*   95385 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(95445), // Rule ID 614 //
     /*   95390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95407 */     // MIs[0] addr
     /*   95407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95419 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*   95419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95427 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95432 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95434 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95443 */     GIR_RootConstrainSelectedInstOperands,
     /*   95444 */     // GIR_Coverage, 614,
     /*   95444 */     GIR_EraseRootFromParent_Done,
     /*   95445 */   // Label 2509: @95445
     /*   95445 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(95505), // Rule ID 615 //
     /*   95450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95467 */     // MIs[0] addr
     /*   95467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95479 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*   95479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95487 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95492 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95494 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95503 */     GIR_RootConstrainSelectedInstOperands,
     /*   95504 */     // GIR_Coverage, 615,
     /*   95504 */     GIR_EraseRootFromParent_Done,
     /*   95505 */   // Label 2510: @95505
     /*   95505 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(95565), // Rule ID 616 //
     /*   95510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95527 */     // MIs[0] addr
     /*   95527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95539 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*   95539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95547 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95552 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95554 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   95559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95563 */     GIR_RootConstrainSelectedInstOperands,
     /*   95564 */     // GIR_Coverage, 616,
     /*   95564 */     GIR_EraseRootFromParent_Done,
     /*   95565 */   // Label 2511: @95565
     /*   95565 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(95625), // Rule ID 617 //
     /*   95570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95587 */     // MIs[0] addr
     /*   95587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95599 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*   95599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95607 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95612 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95614 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95623 */     GIR_RootConstrainSelectedInstOperands,
     /*   95624 */     // GIR_Coverage, 617,
     /*   95624 */     GIR_EraseRootFromParent_Done,
     /*   95625 */   // Label 2512: @95625
     /*   95625 */   GIM_Reject,
     /*   95626 */ // Label 2502: @95626
     /*   95626 */ GIM_Reject,
     /*   95627 */ // Label 2495: @95627
     /*   95627 */ GIM_Reject,
     /*   95628 */ // Label 30: @95628
     /*   95628 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2515*/ GIMT_Encode4(98537),
     /*   95639 */ /*GILLT_s32*//*Label 2513*/ GIMT_Encode4(95647),
     /*   95643 */ /*GILLT_s64*//*Label 2514*/ GIMT_Encode4(96887),
     /*   95647 */ // Label 2513: @95647
     /*   95647 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(96886),
     /*   95652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   95655 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(95696), // Rule ID 386 //
     /*   95660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95677 */     // MIs[0] rs1
     /*   95677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95689 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95694 */     GIR_RootConstrainSelectedInstOperands,
     /*   95695 */     // GIR_Coverage, 386,
     /*   95695 */     GIR_Done,
     /*   95696 */   // Label 2517: @95696
     /*   95696 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(95737), // Rule ID 388 //
     /*   95701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95718 */     // MIs[0] rs1
     /*   95718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95730 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*   95735 */     GIR_RootConstrainSelectedInstOperands,
     /*   95736 */     // GIR_Coverage, 388,
     /*   95736 */     GIR_Done,
     /*   95737 */   // Label 2518: @95737
     /*   95737 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(95778), // Rule ID 390 //
     /*   95742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95759 */     // MIs[0] rs1
     /*   95759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95771 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*   95776 */     GIR_RootConstrainSelectedInstOperands,
     /*   95777 */     // GIR_Coverage, 390,
     /*   95777 */     GIR_Done,
     /*   95778 */   // Label 2519: @95778
     /*   95778 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(95819), // Rule ID 392 //
     /*   95783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95800 */     // MIs[0] rs1
     /*   95800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95812 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   95817 */     GIR_RootConstrainSelectedInstOperands,
     /*   95818 */     // GIR_Coverage, 392,
     /*   95818 */     GIR_Done,
     /*   95819 */   // Label 2520: @95819
     /*   95819 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(95860), // Rule ID 394 //
     /*   95824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95841 */     // MIs[0] rs1
     /*   95841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95853 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   95858 */     GIR_RootConstrainSelectedInstOperands,
     /*   95859 */     // GIR_Coverage, 394,
     /*   95859 */     GIR_Done,
     /*   95860 */   // Label 2521: @95860
     /*   95860 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(95901), // Rule ID 396 //
     /*   95865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95882 */     // MIs[0] rs1
     /*   95882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95894 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95899 */     GIR_RootConstrainSelectedInstOperands,
     /*   95900 */     // GIR_Coverage, 396,
     /*   95900 */     GIR_Done,
     /*   95901 */   // Label 2522: @95901
     /*   95901 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(95942), // Rule ID 398 //
     /*   95906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95923 */     // MIs[0] rs1
     /*   95923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95935 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95940 */     GIR_RootConstrainSelectedInstOperands,
     /*   95941 */     // GIR_Coverage, 398,
     /*   95941 */     GIR_Done,
     /*   95942 */   // Label 2523: @95942
     /*   95942 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(95983), // Rule ID 400 //
     /*   95947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95964 */     // MIs[0] rs1
     /*   95964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95976 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95981 */     GIR_RootConstrainSelectedInstOperands,
     /*   95982 */     // GIR_Coverage, 400,
     /*   95982 */     GIR_Done,
     /*   95983 */   // Label 2524: @95983
     /*   95983 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(96024), // Rule ID 402 //
     /*   95988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96005 */     // MIs[0] rs1
     /*   96005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96017 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96022 */     GIR_RootConstrainSelectedInstOperands,
     /*   96023 */     // GIR_Coverage, 402,
     /*   96023 */     GIR_Done,
     /*   96024 */   // Label 2525: @96024
     /*   96024 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(96065), // Rule ID 404 //
     /*   96029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   96032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96046 */     // MIs[0] rs1
     /*   96046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96058 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96063 */     GIR_RootConstrainSelectedInstOperands,
     /*   96064 */     // GIR_Coverage, 404,
     /*   96064 */     GIR_Done,
     /*   96065 */   // Label 2526: @96065
     /*   96065 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(96106), // Rule ID 734 //
     /*   96070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96087 */     // MIs[0] rs1
     /*   96087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96099 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96104 */     GIR_RootConstrainSelectedInstOperands,
     /*   96105 */     // GIR_Coverage, 734,
     /*   96105 */     GIR_Done,
     /*   96106 */   // Label 2527: @96106
     /*   96106 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(96147), // Rule ID 736 //
     /*   96111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96128 */     // MIs[0] rs1
     /*   96128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96140 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*   96145 */     GIR_RootConstrainSelectedInstOperands,
     /*   96146 */     // GIR_Coverage, 736,
     /*   96146 */     GIR_Done,
     /*   96147 */   // Label 2528: @96147
     /*   96147 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(96188), // Rule ID 738 //
     /*   96152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96169 */     // MIs[0] rs1
     /*   96169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96181 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*   96186 */     GIR_RootConstrainSelectedInstOperands,
     /*   96187 */     // GIR_Coverage, 738,
     /*   96187 */     GIR_Done,
     /*   96188 */   // Label 2529: @96188
     /*   96188 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(96229), // Rule ID 740 //
     /*   96193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96210 */     // MIs[0] rs1
     /*   96210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96222 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   96227 */     GIR_RootConstrainSelectedInstOperands,
     /*   96228 */     // GIR_Coverage, 740,
     /*   96228 */     GIR_Done,
     /*   96229 */   // Label 2530: @96229
     /*   96229 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(96270), // Rule ID 742 //
     /*   96234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96251 */     // MIs[0] rs1
     /*   96251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96263 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   96268 */     GIR_RootConstrainSelectedInstOperands,
     /*   96269 */     // GIR_Coverage, 742,
     /*   96269 */     GIR_Done,
     /*   96270 */   // Label 2531: @96270
     /*   96270 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(96311), // Rule ID 744 //
     /*   96275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96292 */     // MIs[0] rs1
     /*   96292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96304 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96309 */     GIR_RootConstrainSelectedInstOperands,
     /*   96310 */     // GIR_Coverage, 744,
     /*   96310 */     GIR_Done,
     /*   96311 */   // Label 2532: @96311
     /*   96311 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(96352), // Rule ID 746 //
     /*   96316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96333 */     // MIs[0] rs1
     /*   96333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96345 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96350 */     GIR_RootConstrainSelectedInstOperands,
     /*   96351 */     // GIR_Coverage, 746,
     /*   96351 */     GIR_Done,
     /*   96352 */   // Label 2533: @96352
     /*   96352 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(96393), // Rule ID 748 //
     /*   96357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96374 */     // MIs[0] rs1
     /*   96374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96386 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96391 */     GIR_RootConstrainSelectedInstOperands,
     /*   96392 */     // GIR_Coverage, 748,
     /*   96392 */     GIR_Done,
     /*   96393 */   // Label 2534: @96393
     /*   96393 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(96434), // Rule ID 750 //
     /*   96398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96415 */     // MIs[0] rs1
     /*   96415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96427 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96432 */     GIR_RootConstrainSelectedInstOperands,
     /*   96433 */     // GIR_Coverage, 750,
     /*   96433 */     GIR_Done,
     /*   96434 */   // Label 2535: @96434
     /*   96434 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(96475), // Rule ID 752 //
     /*   96439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96456 */     // MIs[0] rs1
     /*   96456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96468 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96473 */     GIR_RootConstrainSelectedInstOperands,
     /*   96474 */     // GIR_Coverage, 752,
     /*   96474 */     GIR_Done,
     /*   96475 */   // Label 2536: @96475
     /*   96475 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(96516), // Rule ID 914 //
     /*   96480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96497 */     // MIs[0] rs1
     /*   96497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96509 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96514 */     GIR_RootConstrainSelectedInstOperands,
     /*   96515 */     // GIR_Coverage, 914,
     /*   96515 */     GIR_Done,
     /*   96516 */   // Label 2537: @96516
     /*   96516 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(96557), // Rule ID 916 //
     /*   96521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96538 */     // MIs[0] rs1
     /*   96538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96550 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*   96555 */     GIR_RootConstrainSelectedInstOperands,
     /*   96556 */     // GIR_Coverage, 916,
     /*   96556 */     GIR_Done,
     /*   96557 */   // Label 2538: @96557
     /*   96557 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(96598), // Rule ID 918 //
     /*   96562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96579 */     // MIs[0] rs1
     /*   96579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96591 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*   96596 */     GIR_RootConstrainSelectedInstOperands,
     /*   96597 */     // GIR_Coverage, 918,
     /*   96597 */     GIR_Done,
     /*   96598 */   // Label 2539: @96598
     /*   96598 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(96639), // Rule ID 920 //
     /*   96603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96620 */     // MIs[0] rs1
     /*   96620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96632 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   96637 */     GIR_RootConstrainSelectedInstOperands,
     /*   96638 */     // GIR_Coverage, 920,
     /*   96638 */     GIR_Done,
     /*   96639 */   // Label 2540: @96639
     /*   96639 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(96680), // Rule ID 922 //
     /*   96644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96661 */     // MIs[0] rs1
     /*   96661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96673 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   96678 */     GIR_RootConstrainSelectedInstOperands,
     /*   96679 */     // GIR_Coverage, 922,
     /*   96679 */     GIR_Done,
     /*   96680 */   // Label 2541: @96680
     /*   96680 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(96721), // Rule ID 924 //
     /*   96685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96702 */     // MIs[0] rs1
     /*   96702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96714 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96719 */     GIR_RootConstrainSelectedInstOperands,
     /*   96720 */     // GIR_Coverage, 924,
     /*   96720 */     GIR_Done,
     /*   96721 */   // Label 2542: @96721
     /*   96721 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(96762), // Rule ID 926 //
     /*   96726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96743 */     // MIs[0] rs1
     /*   96743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96755 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96760 */     GIR_RootConstrainSelectedInstOperands,
     /*   96761 */     // GIR_Coverage, 926,
     /*   96761 */     GIR_Done,
     /*   96762 */   // Label 2543: @96762
     /*   96762 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(96803), // Rule ID 928 //
     /*   96767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96784 */     // MIs[0] rs1
     /*   96784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96796 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96801 */     GIR_RootConstrainSelectedInstOperands,
     /*   96802 */     // GIR_Coverage, 928,
     /*   96802 */     GIR_Done,
     /*   96803 */   // Label 2544: @96803
     /*   96803 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(96844), // Rule ID 930 //
     /*   96808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96825 */     // MIs[0] rs1
     /*   96825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96837 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96842 */     GIR_RootConstrainSelectedInstOperands,
     /*   96843 */     // GIR_Coverage, 930,
     /*   96843 */     GIR_Done,
     /*   96844 */   // Label 2545: @96844
     /*   96844 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(96885), // Rule ID 932 //
     /*   96849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96866 */     // MIs[0] rs1
     /*   96866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96878 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96883 */     GIR_RootConstrainSelectedInstOperands,
     /*   96884 */     // GIR_Coverage, 932,
     /*   96884 */     GIR_Done,
     /*   96885 */   // Label 2546: @96885
     /*   96885 */   GIM_Reject,
     /*   96886 */ // Label 2516: @96886
     /*   96886 */ GIM_Reject,
     /*   96887 */ // Label 2514: @96887
     /*   96887 */ GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(98536),
     /*   96892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   96895 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(96936), // Rule ID 385 //
     /*   96900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96917 */     // MIs[0] rs1
     /*   96917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   96921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96929 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   96929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96934 */     GIR_RootConstrainSelectedInstOperands,
     /*   96935 */     // GIR_Coverage, 385,
     /*   96935 */     GIR_Done,
     /*   96936 */   // Label 2548: @96936
     /*   96936 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(96977), // Rule ID 387 //
     /*   96941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96958 */     // MIs[0] rs1
     /*   96958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   96962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96970 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   96970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*   96975 */     GIR_RootConstrainSelectedInstOperands,
     /*   96976 */     // GIR_Coverage, 387,
     /*   96976 */     GIR_Done,
     /*   96977 */   // Label 2549: @96977
     /*   96977 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(97018), // Rule ID 389 //
     /*   96982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96999 */     // MIs[0] rs1
     /*   96999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97011 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*   97016 */     GIR_RootConstrainSelectedInstOperands,
     /*   97017 */     // GIR_Coverage, 389,
     /*   97017 */     GIR_Done,
     /*   97018 */   // Label 2550: @97018
     /*   97018 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(97059), // Rule ID 391 //
     /*   97023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   97026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97040 */     // MIs[0] rs1
     /*   97040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97052 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   97057 */     GIR_RootConstrainSelectedInstOperands,
     /*   97058 */     // GIR_Coverage, 391,
     /*   97058 */     GIR_Done,
     /*   97059 */   // Label 2551: @97059
     /*   97059 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(97100), // Rule ID 393 //
     /*   97064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   97067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97081 */     // MIs[0] rs1
     /*   97081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97093 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   97098 */     GIR_RootConstrainSelectedInstOperands,
     /*   97099 */     // GIR_Coverage, 393,
     /*   97099 */     GIR_Done,
     /*   97100 */   // Label 2552: @97100
     /*   97100 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(97141), // Rule ID 395 //
     /*   97105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97122 */     // MIs[0] rs1
     /*   97122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97134 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97139 */     GIR_RootConstrainSelectedInstOperands,
     /*   97140 */     // GIR_Coverage, 395,
     /*   97140 */     GIR_Done,
     /*   97141 */   // Label 2553: @97141
     /*   97141 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(97182), // Rule ID 397 //
     /*   97146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97163 */     // MIs[0] rs1
     /*   97163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97175 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97180 */     GIR_RootConstrainSelectedInstOperands,
     /*   97181 */     // GIR_Coverage, 397,
     /*   97181 */     GIR_Done,
     /*   97182 */   // Label 2554: @97182
     /*   97182 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(97223), // Rule ID 399 //
     /*   97187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97204 */     // MIs[0] rs1
     /*   97204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97216 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97221 */     GIR_RootConstrainSelectedInstOperands,
     /*   97222 */     // GIR_Coverage, 399,
     /*   97222 */     GIR_Done,
     /*   97223 */   // Label 2555: @97223
     /*   97223 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(97264), // Rule ID 401 //
     /*   97228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97245 */     // MIs[0] rs1
     /*   97245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97257 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97262 */     GIR_RootConstrainSelectedInstOperands,
     /*   97263 */     // GIR_Coverage, 401,
     /*   97263 */     GIR_Done,
     /*   97264 */   // Label 2556: @97264
     /*   97264 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(97305), // Rule ID 403 //
     /*   97269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97286 */     // MIs[0] rs1
     /*   97286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97298 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97303 */     GIR_RootConstrainSelectedInstOperands,
     /*   97304 */     // GIR_Coverage, 403,
     /*   97304 */     GIR_Done,
     /*   97305 */   // Label 2557: @97305
     /*   97305 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(97346), // Rule ID 535 //
     /*   97310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97327 */     // MIs[0] rs1
     /*   97327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97339 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97344 */     GIR_RootConstrainSelectedInstOperands,
     /*   97345 */     // GIR_Coverage, 535,
     /*   97345 */     GIR_Done,
     /*   97346 */   // Label 2558: @97346
     /*   97346 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(97387), // Rule ID 536 //
     /*   97351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97368 */     // MIs[0] rs1
     /*   97368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97380 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*   97385 */     GIR_RootConstrainSelectedInstOperands,
     /*   97386 */     // GIR_Coverage, 536,
     /*   97386 */     GIR_Done,
     /*   97387 */   // Label 2559: @97387
     /*   97387 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(97428), // Rule ID 537 //
     /*   97392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97409 */     // MIs[0] rs1
     /*   97409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97421 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*   97426 */     GIR_RootConstrainSelectedInstOperands,
     /*   97427 */     // GIR_Coverage, 537,
     /*   97427 */     GIR_Done,
     /*   97428 */   // Label 2560: @97428
     /*   97428 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(97469), // Rule ID 538 //
     /*   97433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97450 */     // MIs[0] rs1
     /*   97450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97462 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*   97467 */     GIR_RootConstrainSelectedInstOperands,
     /*   97468 */     // GIR_Coverage, 538,
     /*   97468 */     GIR_Done,
     /*   97469 */   // Label 2561: @97469
     /*   97469 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(97510), // Rule ID 539 //
     /*   97474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97491 */     // MIs[0] rs1
     /*   97491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97503 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*   97508 */     GIR_RootConstrainSelectedInstOperands,
     /*   97509 */     // GIR_Coverage, 539,
     /*   97509 */     GIR_Done,
     /*   97510 */   // Label 2562: @97510
     /*   97510 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(97551), // Rule ID 540 //
     /*   97515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97532 */     // MIs[0] rs1
     /*   97532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97544 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97549 */     GIR_RootConstrainSelectedInstOperands,
     /*   97550 */     // GIR_Coverage, 540,
     /*   97550 */     GIR_Done,
     /*   97551 */   // Label 2563: @97551
     /*   97551 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(97592), // Rule ID 541 //
     /*   97556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97573 */     // MIs[0] rs1
     /*   97573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97585 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97590 */     GIR_RootConstrainSelectedInstOperands,
     /*   97591 */     // GIR_Coverage, 541,
     /*   97591 */     GIR_Done,
     /*   97592 */   // Label 2564: @97592
     /*   97592 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(97633), // Rule ID 542 //
     /*   97597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97614 */     // MIs[0] rs1
     /*   97614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97626 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97631 */     GIR_RootConstrainSelectedInstOperands,
     /*   97632 */     // GIR_Coverage, 542,
     /*   97632 */     GIR_Done,
     /*   97633 */   // Label 2565: @97633
     /*   97633 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(97674), // Rule ID 543 //
     /*   97638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97655 */     // MIs[0] rs1
     /*   97655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97667 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97672 */     GIR_RootConstrainSelectedInstOperands,
     /*   97673 */     // GIR_Coverage, 543,
     /*   97673 */     GIR_Done,
     /*   97674 */   // Label 2566: @97674
     /*   97674 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(97715), // Rule ID 544 //
     /*   97679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97696 */     // MIs[0] rs1
     /*   97696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97708 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97713 */     GIR_RootConstrainSelectedInstOperands,
     /*   97714 */     // GIR_Coverage, 544,
     /*   97714 */     GIR_Done,
     /*   97715 */   // Label 2567: @97715
     /*   97715 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(97756), // Rule ID 733 //
     /*   97720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97737 */     // MIs[0] rs1
     /*   97737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97749 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   97754 */     GIR_RootConstrainSelectedInstOperands,
     /*   97755 */     // GIR_Coverage, 733,
     /*   97755 */     GIR_Done,
     /*   97756 */   // Label 2568: @97756
     /*   97756 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(97797), // Rule ID 735 //
     /*   97761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97778 */     // MIs[0] rs1
     /*   97778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97790 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*   97795 */     GIR_RootConstrainSelectedInstOperands,
     /*   97796 */     // GIR_Coverage, 735,
     /*   97796 */     GIR_Done,
     /*   97797 */   // Label 2569: @97797
     /*   97797 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(97838), // Rule ID 737 //
     /*   97802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97819 */     // MIs[0] rs1
     /*   97819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97831 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*   97836 */     GIR_RootConstrainSelectedInstOperands,
     /*   97837 */     // GIR_Coverage, 737,
     /*   97837 */     GIR_Done,
     /*   97838 */   // Label 2570: @97838
     /*   97838 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(97879), // Rule ID 739 //
     /*   97843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97860 */     // MIs[0] rs1
     /*   97860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97872 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   97877 */     GIR_RootConstrainSelectedInstOperands,
     /*   97878 */     // GIR_Coverage, 739,
     /*   97878 */     GIR_Done,
     /*   97879 */   // Label 2571: @97879
     /*   97879 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(97920), // Rule ID 741 //
     /*   97884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97901 */     // MIs[0] rs1
     /*   97901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97913 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   97918 */     GIR_RootConstrainSelectedInstOperands,
     /*   97919 */     // GIR_Coverage, 741,
     /*   97919 */     GIR_Done,
     /*   97920 */   // Label 2572: @97920
     /*   97920 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(97961), // Rule ID 743 //
     /*   97925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   97928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97942 */     // MIs[0] rs1
     /*   97942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97954 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   97959 */     GIR_RootConstrainSelectedInstOperands,
     /*   97960 */     // GIR_Coverage, 743,
     /*   97960 */     GIR_Done,
     /*   97961 */   // Label 2573: @97961
     /*   97961 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(98002), // Rule ID 745 //
     /*   97966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   97969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97983 */     // MIs[0] rs1
     /*   97983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97995 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98000 */     GIR_RootConstrainSelectedInstOperands,
     /*   98001 */     // GIR_Coverage, 745,
     /*   98001 */     GIR_Done,
     /*   98002 */   // Label 2574: @98002
     /*   98002 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(98043), // Rule ID 747 //
     /*   98007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98024 */     // MIs[0] rs1
     /*   98024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98036 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98041 */     GIR_RootConstrainSelectedInstOperands,
     /*   98042 */     // GIR_Coverage, 747,
     /*   98042 */     GIR_Done,
     /*   98043 */   // Label 2575: @98043
     /*   98043 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(98084), // Rule ID 749 //
     /*   98048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98065 */     // MIs[0] rs1
     /*   98065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98077 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98082 */     GIR_RootConstrainSelectedInstOperands,
     /*   98083 */     // GIR_Coverage, 749,
     /*   98083 */     GIR_Done,
     /*   98084 */   // Label 2576: @98084
     /*   98084 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(98125), // Rule ID 751 //
     /*   98089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98106 */     // MIs[0] rs1
     /*   98106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98118 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98123 */     GIR_RootConstrainSelectedInstOperands,
     /*   98124 */     // GIR_Coverage, 751,
     /*   98124 */     GIR_Done,
     /*   98125 */   // Label 2577: @98125
     /*   98125 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(98166), // Rule ID 913 //
     /*   98130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98147 */     // MIs[0] rs1
     /*   98147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98159 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98164 */     GIR_RootConstrainSelectedInstOperands,
     /*   98165 */     // GIR_Coverage, 913,
     /*   98165 */     GIR_Done,
     /*   98166 */   // Label 2578: @98166
     /*   98166 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(98207), // Rule ID 915 //
     /*   98171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98188 */     // MIs[0] rs1
     /*   98188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98200 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*   98205 */     GIR_RootConstrainSelectedInstOperands,
     /*   98206 */     // GIR_Coverage, 915,
     /*   98206 */     GIR_Done,
     /*   98207 */   // Label 2579: @98207
     /*   98207 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(98248), // Rule ID 917 //
     /*   98212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98229 */     // MIs[0] rs1
     /*   98229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98241 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*   98246 */     GIR_RootConstrainSelectedInstOperands,
     /*   98247 */     // GIR_Coverage, 917,
     /*   98247 */     GIR_Done,
     /*   98248 */   // Label 2580: @98248
     /*   98248 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(98289), // Rule ID 919 //
     /*   98253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98270 */     // MIs[0] rs1
     /*   98270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98282 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   98287 */     GIR_RootConstrainSelectedInstOperands,
     /*   98288 */     // GIR_Coverage, 919,
     /*   98288 */     GIR_Done,
     /*   98289 */   // Label 2581: @98289
     /*   98289 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(98330), // Rule ID 921 //
     /*   98294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98311 */     // MIs[0] rs1
     /*   98311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98323 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   98328 */     GIR_RootConstrainSelectedInstOperands,
     /*   98329 */     // GIR_Coverage, 921,
     /*   98329 */     GIR_Done,
     /*   98330 */   // Label 2582: @98330
     /*   98330 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(98371), // Rule ID 923 //
     /*   98335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98352 */     // MIs[0] rs1
     /*   98352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98364 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98369 */     GIR_RootConstrainSelectedInstOperands,
     /*   98370 */     // GIR_Coverage, 923,
     /*   98370 */     GIR_Done,
     /*   98371 */   // Label 2583: @98371
     /*   98371 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(98412), // Rule ID 925 //
     /*   98376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98393 */     // MIs[0] rs1
     /*   98393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98405 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98410 */     GIR_RootConstrainSelectedInstOperands,
     /*   98411 */     // GIR_Coverage, 925,
     /*   98411 */     GIR_Done,
     /*   98412 */   // Label 2584: @98412
     /*   98412 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(98453), // Rule ID 927 //
     /*   98417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98434 */     // MIs[0] rs1
     /*   98434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98446 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98451 */     GIR_RootConstrainSelectedInstOperands,
     /*   98452 */     // GIR_Coverage, 927,
     /*   98452 */     GIR_Done,
     /*   98453 */   // Label 2585: @98453
     /*   98453 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(98494), // Rule ID 929 //
     /*   98458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98475 */     // MIs[0] rs1
     /*   98475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98487 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98492 */     GIR_RootConstrainSelectedInstOperands,
     /*   98493 */     // GIR_Coverage, 929,
     /*   98493 */     GIR_Done,
     /*   98494 */   // Label 2586: @98494
     /*   98494 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(98535), // Rule ID 931 //
     /*   98499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98516 */     // MIs[0] rs1
     /*   98516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98528 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98533 */     GIR_RootConstrainSelectedInstOperands,
     /*   98534 */     // GIR_Coverage, 931,
     /*   98534 */     GIR_Done,
     /*   98535 */   // Label 2587: @98535
     /*   98535 */   GIM_Reject,
     /*   98536 */ // Label 2547: @98536
     /*   98536 */ GIM_Reject,
     /*   98537 */ // Label 2515: @98537
     /*   98537 */ GIM_Reject,
     /*   98538 */ // Label 31: @98538
     /*   98538 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2590*/ GIMT_Encode4(101447),
     /*   98549 */ /*GILLT_s32*//*Label 2588*/ GIMT_Encode4(98557),
     /*   98553 */ /*GILLT_s64*//*Label 2589*/ GIMT_Encode4(99797),
     /*   98557 */ // Label 2588: @98557
     /*   98557 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(99796),
     /*   98562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   98565 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(98606), // Rule ID 406 //
     /*   98570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98587 */     // MIs[0] rs1
     /*   98587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98599 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98604 */     GIR_RootConstrainSelectedInstOperands,
     /*   98605 */     // GIR_Coverage, 406,
     /*   98605 */     GIR_Done,
     /*   98606 */   // Label 2592: @98606
     /*   98606 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(98647), // Rule ID 408 //
     /*   98611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98628 */     // MIs[0] rs1
     /*   98628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98640 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*   98645 */     GIR_RootConstrainSelectedInstOperands,
     /*   98646 */     // GIR_Coverage, 408,
     /*   98646 */     GIR_Done,
     /*   98647 */   // Label 2593: @98647
     /*   98647 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(98688), // Rule ID 410 //
     /*   98652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98669 */     // MIs[0] rs1
     /*   98669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98681 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*   98686 */     GIR_RootConstrainSelectedInstOperands,
     /*   98687 */     // GIR_Coverage, 410,
     /*   98687 */     GIR_Done,
     /*   98688 */   // Label 2594: @98688
     /*   98688 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(98729), // Rule ID 412 //
     /*   98693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98710 */     // MIs[0] rs1
     /*   98710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98722 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   98727 */     GIR_RootConstrainSelectedInstOperands,
     /*   98728 */     // GIR_Coverage, 412,
     /*   98728 */     GIR_Done,
     /*   98729 */   // Label 2595: @98729
     /*   98729 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(98770), // Rule ID 414 //
     /*   98734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98751 */     // MIs[0] rs1
     /*   98751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98763 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   98768 */     GIR_RootConstrainSelectedInstOperands,
     /*   98769 */     // GIR_Coverage, 414,
     /*   98769 */     GIR_Done,
     /*   98770 */   // Label 2596: @98770
     /*   98770 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(98811), // Rule ID 416 //
     /*   98775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98792 */     // MIs[0] rs1
     /*   98792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98804 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98809 */     GIR_RootConstrainSelectedInstOperands,
     /*   98810 */     // GIR_Coverage, 416,
     /*   98810 */     GIR_Done,
     /*   98811 */   // Label 2597: @98811
     /*   98811 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(98852), // Rule ID 418 //
     /*   98816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98833 */     // MIs[0] rs1
     /*   98833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98845 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98850 */     GIR_RootConstrainSelectedInstOperands,
     /*   98851 */     // GIR_Coverage, 418,
     /*   98851 */     GIR_Done,
     /*   98852 */   // Label 2598: @98852
     /*   98852 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(98893), // Rule ID 420 //
     /*   98857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98874 */     // MIs[0] rs1
     /*   98874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98886 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98891 */     GIR_RootConstrainSelectedInstOperands,
     /*   98892 */     // GIR_Coverage, 420,
     /*   98892 */     GIR_Done,
     /*   98893 */   // Label 2599: @98893
     /*   98893 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(98934), // Rule ID 422 //
     /*   98898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98915 */     // MIs[0] rs1
     /*   98915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98927 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98932 */     GIR_RootConstrainSelectedInstOperands,
     /*   98933 */     // GIR_Coverage, 422,
     /*   98933 */     GIR_Done,
     /*   98934 */   // Label 2600: @98934
     /*   98934 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(98975), // Rule ID 424 //
     /*   98939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98956 */     // MIs[0] rs1
     /*   98956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98968 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98973 */     GIR_RootConstrainSelectedInstOperands,
     /*   98974 */     // GIR_Coverage, 424,
     /*   98974 */     GIR_Done,
     /*   98975 */   // Label 2601: @98975
     /*   98975 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(99016), // Rule ID 754 //
     /*   98980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   98983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98997 */     // MIs[0] rs1
     /*   98997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99009 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99014 */     GIR_RootConstrainSelectedInstOperands,
     /*   99015 */     // GIR_Coverage, 754,
     /*   99015 */     GIR_Done,
     /*   99016 */   // Label 2602: @99016
     /*   99016 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(99057), // Rule ID 756 //
     /*   99021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99038 */     // MIs[0] rs1
     /*   99038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99050 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*   99055 */     GIR_RootConstrainSelectedInstOperands,
     /*   99056 */     // GIR_Coverage, 756,
     /*   99056 */     GIR_Done,
     /*   99057 */   // Label 2603: @99057
     /*   99057 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(99098), // Rule ID 758 //
     /*   99062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99079 */     // MIs[0] rs1
     /*   99079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99091 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*   99096 */     GIR_RootConstrainSelectedInstOperands,
     /*   99097 */     // GIR_Coverage, 758,
     /*   99097 */     GIR_Done,
     /*   99098 */   // Label 2604: @99098
     /*   99098 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(99139), // Rule ID 760 //
     /*   99103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99120 */     // MIs[0] rs1
     /*   99120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99132 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*   99137 */     GIR_RootConstrainSelectedInstOperands,
     /*   99138 */     // GIR_Coverage, 760,
     /*   99138 */     GIR_Done,
     /*   99139 */   // Label 2605: @99139
     /*   99139 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(99180), // Rule ID 762 //
     /*   99144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99161 */     // MIs[0] rs1
     /*   99161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99173 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*   99178 */     GIR_RootConstrainSelectedInstOperands,
     /*   99179 */     // GIR_Coverage, 762,
     /*   99179 */     GIR_Done,
     /*   99180 */   // Label 2606: @99180
     /*   99180 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(99221), // Rule ID 764 //
     /*   99185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99202 */     // MIs[0] rs1
     /*   99202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99214 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99219 */     GIR_RootConstrainSelectedInstOperands,
     /*   99220 */     // GIR_Coverage, 764,
     /*   99220 */     GIR_Done,
     /*   99221 */   // Label 2607: @99221
     /*   99221 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(99262), // Rule ID 766 //
     /*   99226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99243 */     // MIs[0] rs1
     /*   99243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99255 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99260 */     GIR_RootConstrainSelectedInstOperands,
     /*   99261 */     // GIR_Coverage, 766,
     /*   99261 */     GIR_Done,
     /*   99262 */   // Label 2608: @99262
     /*   99262 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(99303), // Rule ID 768 //
     /*   99267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99284 */     // MIs[0] rs1
     /*   99284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99296 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99301 */     GIR_RootConstrainSelectedInstOperands,
     /*   99302 */     // GIR_Coverage, 768,
     /*   99302 */     GIR_Done,
     /*   99303 */   // Label 2609: @99303
     /*   99303 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(99344), // Rule ID 770 //
     /*   99308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99325 */     // MIs[0] rs1
     /*   99325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99337 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99342 */     GIR_RootConstrainSelectedInstOperands,
     /*   99343 */     // GIR_Coverage, 770,
     /*   99343 */     GIR_Done,
     /*   99344 */   // Label 2610: @99344
     /*   99344 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(99385), // Rule ID 772 //
     /*   99349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99366 */     // MIs[0] rs1
     /*   99366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99378 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99383 */     GIR_RootConstrainSelectedInstOperands,
     /*   99384 */     // GIR_Coverage, 772,
     /*   99384 */     GIR_Done,
     /*   99385 */   // Label 2611: @99385
     /*   99385 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(99426), // Rule ID 934 //
     /*   99390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99407 */     // MIs[0] rs1
     /*   99407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99419 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99424 */     GIR_RootConstrainSelectedInstOperands,
     /*   99425 */     // GIR_Coverage, 934,
     /*   99425 */     GIR_Done,
     /*   99426 */   // Label 2612: @99426
     /*   99426 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(99467), // Rule ID 936 //
     /*   99431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99448 */     // MIs[0] rs1
     /*   99448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99460 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*   99465 */     GIR_RootConstrainSelectedInstOperands,
     /*   99466 */     // GIR_Coverage, 936,
     /*   99466 */     GIR_Done,
     /*   99467 */   // Label 2613: @99467
     /*   99467 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(99508), // Rule ID 938 //
     /*   99472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99489 */     // MIs[0] rs1
     /*   99489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99501 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*   99506 */     GIR_RootConstrainSelectedInstOperands,
     /*   99507 */     // GIR_Coverage, 938,
     /*   99507 */     GIR_Done,
     /*   99508 */   // Label 2614: @99508
     /*   99508 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(99549), // Rule ID 940 //
     /*   99513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99530 */     // MIs[0] rs1
     /*   99530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99542 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 940,
     /*   99548 */     GIR_Done,
     /*   99549 */   // Label 2615: @99549
     /*   99549 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(99590), // Rule ID 942 //
     /*   99554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99571 */     // MIs[0] rs1
     /*   99571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99583 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*   99588 */     GIR_RootConstrainSelectedInstOperands,
     /*   99589 */     // GIR_Coverage, 942,
     /*   99589 */     GIR_Done,
     /*   99590 */   // Label 2616: @99590
     /*   99590 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(99631), // Rule ID 944 //
     /*   99595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99612 */     // MIs[0] rs1
     /*   99612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99624 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99629 */     GIR_RootConstrainSelectedInstOperands,
     /*   99630 */     // GIR_Coverage, 944,
     /*   99630 */     GIR_Done,
     /*   99631 */   // Label 2617: @99631
     /*   99631 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(99672), // Rule ID 946 //
     /*   99636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99653 */     // MIs[0] rs1
     /*   99653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99665 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99670 */     GIR_RootConstrainSelectedInstOperands,
     /*   99671 */     // GIR_Coverage, 946,
     /*   99671 */     GIR_Done,
     /*   99672 */   // Label 2618: @99672
     /*   99672 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(99713), // Rule ID 948 //
     /*   99677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99694 */     // MIs[0] rs1
     /*   99694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99706 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99711 */     GIR_RootConstrainSelectedInstOperands,
     /*   99712 */     // GIR_Coverage, 948,
     /*   99712 */     GIR_Done,
     /*   99713 */   // Label 2619: @99713
     /*   99713 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(99754), // Rule ID 950 //
     /*   99718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99735 */     // MIs[0] rs1
     /*   99735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99747 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99752 */     GIR_RootConstrainSelectedInstOperands,
     /*   99753 */     // GIR_Coverage, 950,
     /*   99753 */     GIR_Done,
     /*   99754 */   // Label 2620: @99754
     /*   99754 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(99795), // Rule ID 952 //
     /*   99759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99776 */     // MIs[0] rs1
     /*   99776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99788 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99793 */     GIR_RootConstrainSelectedInstOperands,
     /*   99794 */     // GIR_Coverage, 952,
     /*   99794 */     GIR_Done,
     /*   99795 */   // Label 2621: @99795
     /*   99795 */   GIM_Reject,
     /*   99796 */ // Label 2591: @99796
     /*   99796 */ GIM_Reject,
     /*   99797 */ // Label 2589: @99797
     /*   99797 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(101446),
     /*   99802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   99805 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(99846), // Rule ID 405 //
     /*   99810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99827 */     // MIs[0] rs1
     /*   99827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99839 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   99844 */     GIR_RootConstrainSelectedInstOperands,
     /*   99845 */     // GIR_Coverage, 405,
     /*   99845 */     GIR_Done,
     /*   99846 */   // Label 2623: @99846
     /*   99846 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(99887), // Rule ID 407 //
     /*   99851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99868 */     // MIs[0] rs1
     /*   99868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99880 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*   99885 */     GIR_RootConstrainSelectedInstOperands,
     /*   99886 */     // GIR_Coverage, 407,
     /*   99886 */     GIR_Done,
     /*   99887 */   // Label 2624: @99887
     /*   99887 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(99928), // Rule ID 409 //
     /*   99892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99909 */     // MIs[0] rs1
     /*   99909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99921 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*   99926 */     GIR_RootConstrainSelectedInstOperands,
     /*   99927 */     // GIR_Coverage, 409,
     /*   99927 */     GIR_Done,
     /*   99928 */   // Label 2625: @99928
     /*   99928 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(99969), // Rule ID 411 //
     /*   99933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99950 */     // MIs[0] rs1
     /*   99950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99962 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   99967 */     GIR_RootConstrainSelectedInstOperands,
     /*   99968 */     // GIR_Coverage, 411,
     /*   99968 */     GIR_Done,
     /*   99969 */   // Label 2626: @99969
     /*   99969 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(100010), // Rule ID 413 //
     /*   99974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99991 */     // MIs[0] rs1
     /*   99991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100003 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  100008 */     GIR_RootConstrainSelectedInstOperands,
     /*  100009 */     // GIR_Coverage, 413,
     /*  100009 */     GIR_Done,
     /*  100010 */   // Label 2627: @100010
     /*  100010 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(100051), // Rule ID 415 //
     /*  100015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100032 */     // MIs[0] rs1
     /*  100032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100044 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100049 */     GIR_RootConstrainSelectedInstOperands,
     /*  100050 */     // GIR_Coverage, 415,
     /*  100050 */     GIR_Done,
     /*  100051 */   // Label 2628: @100051
     /*  100051 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(100092), // Rule ID 417 //
     /*  100056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100073 */     // MIs[0] rs1
     /*  100073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100085 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100090 */     GIR_RootConstrainSelectedInstOperands,
     /*  100091 */     // GIR_Coverage, 417,
     /*  100091 */     GIR_Done,
     /*  100092 */   // Label 2629: @100092
     /*  100092 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(100133), // Rule ID 419 //
     /*  100097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100114 */     // MIs[0] rs1
     /*  100114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100126 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100131 */     GIR_RootConstrainSelectedInstOperands,
     /*  100132 */     // GIR_Coverage, 419,
     /*  100132 */     GIR_Done,
     /*  100133 */   // Label 2630: @100133
     /*  100133 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(100174), // Rule ID 421 //
     /*  100138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100155 */     // MIs[0] rs1
     /*  100155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100167 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100172 */     GIR_RootConstrainSelectedInstOperands,
     /*  100173 */     // GIR_Coverage, 421,
     /*  100173 */     GIR_Done,
     /*  100174 */   // Label 2631: @100174
     /*  100174 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(100215), // Rule ID 423 //
     /*  100179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100196 */     // MIs[0] rs1
     /*  100196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100208 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100213 */     GIR_RootConstrainSelectedInstOperands,
     /*  100214 */     // GIR_Coverage, 423,
     /*  100214 */     GIR_Done,
     /*  100215 */   // Label 2632: @100215
     /*  100215 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(100256), // Rule ID 545 //
     /*  100220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100237 */     // MIs[0] rs1
     /*  100237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100249 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100254 */     GIR_RootConstrainSelectedInstOperands,
     /*  100255 */     // GIR_Coverage, 545,
     /*  100255 */     GIR_Done,
     /*  100256 */   // Label 2633: @100256
     /*  100256 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(100297), // Rule ID 546 //
     /*  100261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100278 */     // MIs[0] rs1
     /*  100278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100290 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  100295 */     GIR_RootConstrainSelectedInstOperands,
     /*  100296 */     // GIR_Coverage, 546,
     /*  100296 */     GIR_Done,
     /*  100297 */   // Label 2634: @100297
     /*  100297 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(100338), // Rule ID 547 //
     /*  100302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100319 */     // MIs[0] rs1
     /*  100319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100331 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  100336 */     GIR_RootConstrainSelectedInstOperands,
     /*  100337 */     // GIR_Coverage, 547,
     /*  100337 */     GIR_Done,
     /*  100338 */   // Label 2635: @100338
     /*  100338 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(100379), // Rule ID 548 //
     /*  100343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100360 */     // MIs[0] rs1
     /*  100360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100372 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  100377 */     GIR_RootConstrainSelectedInstOperands,
     /*  100378 */     // GIR_Coverage, 548,
     /*  100378 */     GIR_Done,
     /*  100379 */   // Label 2636: @100379
     /*  100379 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(100420), // Rule ID 549 //
     /*  100384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100401 */     // MIs[0] rs1
     /*  100401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100413 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  100418 */     GIR_RootConstrainSelectedInstOperands,
     /*  100419 */     // GIR_Coverage, 549,
     /*  100419 */     GIR_Done,
     /*  100420 */   // Label 2637: @100420
     /*  100420 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(100461), // Rule ID 550 //
     /*  100425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100442 */     // MIs[0] rs1
     /*  100442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100454 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100459 */     GIR_RootConstrainSelectedInstOperands,
     /*  100460 */     // GIR_Coverage, 550,
     /*  100460 */     GIR_Done,
     /*  100461 */   // Label 2638: @100461
     /*  100461 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(100502), // Rule ID 551 //
     /*  100466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100483 */     // MIs[0] rs1
     /*  100483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100495 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100500 */     GIR_RootConstrainSelectedInstOperands,
     /*  100501 */     // GIR_Coverage, 551,
     /*  100501 */     GIR_Done,
     /*  100502 */   // Label 2639: @100502
     /*  100502 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(100543), // Rule ID 552 //
     /*  100507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100524 */     // MIs[0] rs1
     /*  100524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100536 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100541 */     GIR_RootConstrainSelectedInstOperands,
     /*  100542 */     // GIR_Coverage, 552,
     /*  100542 */     GIR_Done,
     /*  100543 */   // Label 2640: @100543
     /*  100543 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(100584), // Rule ID 553 //
     /*  100548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100565 */     // MIs[0] rs1
     /*  100565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100577 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100582 */     GIR_RootConstrainSelectedInstOperands,
     /*  100583 */     // GIR_Coverage, 553,
     /*  100583 */     GIR_Done,
     /*  100584 */   // Label 2641: @100584
     /*  100584 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(100625), // Rule ID 554 //
     /*  100589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100606 */     // MIs[0] rs1
     /*  100606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100618 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100623 */     GIR_RootConstrainSelectedInstOperands,
     /*  100624 */     // GIR_Coverage, 554,
     /*  100624 */     GIR_Done,
     /*  100625 */   // Label 2642: @100625
     /*  100625 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(100666), // Rule ID 753 //
     /*  100630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100647 */     // MIs[0] rs1
     /*  100647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100659 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100664 */     GIR_RootConstrainSelectedInstOperands,
     /*  100665 */     // GIR_Coverage, 753,
     /*  100665 */     GIR_Done,
     /*  100666 */   // Label 2643: @100666
     /*  100666 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(100707), // Rule ID 755 //
     /*  100671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100688 */     // MIs[0] rs1
     /*  100688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100700 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  100705 */     GIR_RootConstrainSelectedInstOperands,
     /*  100706 */     // GIR_Coverage, 755,
     /*  100706 */     GIR_Done,
     /*  100707 */   // Label 2644: @100707
     /*  100707 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(100748), // Rule ID 757 //
     /*  100712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100729 */     // MIs[0] rs1
     /*  100729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100741 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  100746 */     GIR_RootConstrainSelectedInstOperands,
     /*  100747 */     // GIR_Coverage, 757,
     /*  100747 */     GIR_Done,
     /*  100748 */   // Label 2645: @100748
     /*  100748 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(100789), // Rule ID 759 //
     /*  100753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100770 */     // MIs[0] rs1
     /*  100770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100782 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  100787 */     GIR_RootConstrainSelectedInstOperands,
     /*  100788 */     // GIR_Coverage, 759,
     /*  100788 */     GIR_Done,
     /*  100789 */   // Label 2646: @100789
     /*  100789 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(100830), // Rule ID 761 //
     /*  100794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100811 */     // MIs[0] rs1
     /*  100811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100823 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  100828 */     GIR_RootConstrainSelectedInstOperands,
     /*  100829 */     // GIR_Coverage, 761,
     /*  100829 */     GIR_Done,
     /*  100830 */   // Label 2647: @100830
     /*  100830 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(100871), // Rule ID 763 //
     /*  100835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100852 */     // MIs[0] rs1
     /*  100852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100864 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100869 */     GIR_RootConstrainSelectedInstOperands,
     /*  100870 */     // GIR_Coverage, 763,
     /*  100870 */     GIR_Done,
     /*  100871 */   // Label 2648: @100871
     /*  100871 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(100912), // Rule ID 765 //
     /*  100876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100893 */     // MIs[0] rs1
     /*  100893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100905 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100910 */     GIR_RootConstrainSelectedInstOperands,
     /*  100911 */     // GIR_Coverage, 765,
     /*  100911 */     GIR_Done,
     /*  100912 */   // Label 2649: @100912
     /*  100912 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(100953), // Rule ID 767 //
     /*  100917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100934 */     // MIs[0] rs1
     /*  100934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100946 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100951 */     GIR_RootConstrainSelectedInstOperands,
     /*  100952 */     // GIR_Coverage, 767,
     /*  100952 */     GIR_Done,
     /*  100953 */   // Label 2650: @100953
     /*  100953 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(100994), // Rule ID 769 //
     /*  100958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100975 */     // MIs[0] rs1
     /*  100975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100987 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100992 */     GIR_RootConstrainSelectedInstOperands,
     /*  100993 */     // GIR_Coverage, 769,
     /*  100993 */     GIR_Done,
     /*  100994 */   // Label 2651: @100994
     /*  100994 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(101035), // Rule ID 771 //
     /*  100999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101016 */     // MIs[0] rs1
     /*  101016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101028 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  101033 */     GIR_RootConstrainSelectedInstOperands,
     /*  101034 */     // GIR_Coverage, 771,
     /*  101034 */     GIR_Done,
     /*  101035 */   // Label 2652: @101035
     /*  101035 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(101076), // Rule ID 933 //
     /*  101040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101057 */     // MIs[0] rs1
     /*  101057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101069 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101074 */     GIR_RootConstrainSelectedInstOperands,
     /*  101075 */     // GIR_Coverage, 933,
     /*  101075 */     GIR_Done,
     /*  101076 */   // Label 2653: @101076
     /*  101076 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(101117), // Rule ID 935 //
     /*  101081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101098 */     // MIs[0] rs1
     /*  101098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101110 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  101115 */     GIR_RootConstrainSelectedInstOperands,
     /*  101116 */     // GIR_Coverage, 935,
     /*  101116 */     GIR_Done,
     /*  101117 */   // Label 2654: @101117
     /*  101117 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(101158), // Rule ID 937 //
     /*  101122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101139 */     // MIs[0] rs1
     /*  101139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101151 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  101156 */     GIR_RootConstrainSelectedInstOperands,
     /*  101157 */     // GIR_Coverage, 937,
     /*  101157 */     GIR_Done,
     /*  101158 */   // Label 2655: @101158
     /*  101158 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(101199), // Rule ID 939 //
     /*  101163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101180 */     // MIs[0] rs1
     /*  101180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101192 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  101197 */     GIR_RootConstrainSelectedInstOperands,
     /*  101198 */     // GIR_Coverage, 939,
     /*  101198 */     GIR_Done,
     /*  101199 */   // Label 2656: @101199
     /*  101199 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(101240), // Rule ID 941 //
     /*  101204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101221 */     // MIs[0] rs1
     /*  101221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101233 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  101238 */     GIR_RootConstrainSelectedInstOperands,
     /*  101239 */     // GIR_Coverage, 941,
     /*  101239 */     GIR_Done,
     /*  101240 */   // Label 2657: @101240
     /*  101240 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(101281), // Rule ID 943 //
     /*  101245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101262 */     // MIs[0] rs1
     /*  101262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101274 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101279 */     GIR_RootConstrainSelectedInstOperands,
     /*  101280 */     // GIR_Coverage, 943,
     /*  101280 */     GIR_Done,
     /*  101281 */   // Label 2658: @101281
     /*  101281 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(101322), // Rule ID 945 //
     /*  101286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101303 */     // MIs[0] rs1
     /*  101303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101315 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101320 */     GIR_RootConstrainSelectedInstOperands,
     /*  101321 */     // GIR_Coverage, 945,
     /*  101321 */     GIR_Done,
     /*  101322 */   // Label 2659: @101322
     /*  101322 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(101363), // Rule ID 947 //
     /*  101327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101344 */     // MIs[0] rs1
     /*  101344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101356 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101361 */     GIR_RootConstrainSelectedInstOperands,
     /*  101362 */     // GIR_Coverage, 947,
     /*  101362 */     GIR_Done,
     /*  101363 */   // Label 2660: @101363
     /*  101363 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(101404), // Rule ID 949 //
     /*  101368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101385 */     // MIs[0] rs1
     /*  101385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101397 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101402 */     GIR_RootConstrainSelectedInstOperands,
     /*  101403 */     // GIR_Coverage, 949,
     /*  101403 */     GIR_Done,
     /*  101404 */   // Label 2661: @101404
     /*  101404 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(101445), // Rule ID 951 //
     /*  101409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101426 */     // MIs[0] rs1
     /*  101426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101438 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101443 */     GIR_RootConstrainSelectedInstOperands,
     /*  101444 */     // GIR_Coverage, 951,
     /*  101444 */     GIR_Done,
     /*  101445 */   // Label 2662: @101445
     /*  101445 */   GIM_Reject,
     /*  101446 */ // Label 2622: @101446
     /*  101446 */ GIM_Reject,
     /*  101447 */ // Label 2590: @101447
     /*  101447 */ GIM_Reject,
     /*  101448 */ // Label 32: @101448
     /*  101448 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2665*/ GIMT_Encode4(104357),
     /*  101459 */ /*GILLT_s32*//*Label 2663*/ GIMT_Encode4(101467),
     /*  101463 */ /*GILLT_s64*//*Label 2664*/ GIMT_Encode4(102707),
     /*  101467 */ // Label 2663: @101467
     /*  101467 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(102706),
     /*  101472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  101475 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(101516), // Rule ID 426 //
     /*  101480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101497 */     // MIs[0] rs1
     /*  101497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101509 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101514 */     GIR_RootConstrainSelectedInstOperands,
     /*  101515 */     // GIR_Coverage, 426,
     /*  101515 */     GIR_Done,
     /*  101516 */   // Label 2667: @101516
     /*  101516 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(101557), // Rule ID 428 //
     /*  101521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101538 */     // MIs[0] rs1
     /*  101538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101550 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  101555 */     GIR_RootConstrainSelectedInstOperands,
     /*  101556 */     // GIR_Coverage, 428,
     /*  101556 */     GIR_Done,
     /*  101557 */   // Label 2668: @101557
     /*  101557 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(101598), // Rule ID 430 //
     /*  101562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101579 */     // MIs[0] rs1
     /*  101579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101591 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  101596 */     GIR_RootConstrainSelectedInstOperands,
     /*  101597 */     // GIR_Coverage, 430,
     /*  101597 */     GIR_Done,
     /*  101598 */   // Label 2669: @101598
     /*  101598 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(101639), // Rule ID 432 //
     /*  101603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101620 */     // MIs[0] rs1
     /*  101620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101632 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  101637 */     GIR_RootConstrainSelectedInstOperands,
     /*  101638 */     // GIR_Coverage, 432,
     /*  101638 */     GIR_Done,
     /*  101639 */   // Label 2670: @101639
     /*  101639 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(101680), // Rule ID 434 //
     /*  101644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101661 */     // MIs[0] rs1
     /*  101661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101673 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  101678 */     GIR_RootConstrainSelectedInstOperands,
     /*  101679 */     // GIR_Coverage, 434,
     /*  101679 */     GIR_Done,
     /*  101680 */   // Label 2671: @101680
     /*  101680 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(101721), // Rule ID 436 //
     /*  101685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101702 */     // MIs[0] rs1
     /*  101702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101714 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101719 */     GIR_RootConstrainSelectedInstOperands,
     /*  101720 */     // GIR_Coverage, 436,
     /*  101720 */     GIR_Done,
     /*  101721 */   // Label 2672: @101721
     /*  101721 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(101762), // Rule ID 438 //
     /*  101726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101743 */     // MIs[0] rs1
     /*  101743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101755 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 438,
     /*  101761 */     GIR_Done,
     /*  101762 */   // Label 2673: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(101803), // Rule ID 440 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101784 */     // MIs[0] rs1
     /*  101784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101796 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101801 */     GIR_RootConstrainSelectedInstOperands,
     /*  101802 */     // GIR_Coverage, 440,
     /*  101802 */     GIR_Done,
     /*  101803 */   // Label 2674: @101803
     /*  101803 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(101844), // Rule ID 442 //
     /*  101808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101825 */     // MIs[0] rs1
     /*  101825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101837 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101842 */     GIR_RootConstrainSelectedInstOperands,
     /*  101843 */     // GIR_Coverage, 442,
     /*  101843 */     GIR_Done,
     /*  101844 */   // Label 2675: @101844
     /*  101844 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(101885), // Rule ID 444 //
     /*  101849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101866 */     // MIs[0] rs1
     /*  101866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101878 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101883 */     GIR_RootConstrainSelectedInstOperands,
     /*  101884 */     // GIR_Coverage, 444,
     /*  101884 */     GIR_Done,
     /*  101885 */   // Label 2676: @101885
     /*  101885 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(101926), // Rule ID 774 //
     /*  101890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101907 */     // MIs[0] rs1
     /*  101907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101919 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  101924 */     GIR_RootConstrainSelectedInstOperands,
     /*  101925 */     // GIR_Coverage, 774,
     /*  101925 */     GIR_Done,
     /*  101926 */   // Label 2677: @101926
     /*  101926 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(101967), // Rule ID 776 //
     /*  101931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101948 */     // MIs[0] rs1
     /*  101948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101960 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  101965 */     GIR_RootConstrainSelectedInstOperands,
     /*  101966 */     // GIR_Coverage, 776,
     /*  101966 */     GIR_Done,
     /*  101967 */   // Label 2678: @101967
     /*  101967 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(102008), // Rule ID 778 //
     /*  101972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101989 */     // MIs[0] rs1
     /*  101989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102001 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  102006 */     GIR_RootConstrainSelectedInstOperands,
     /*  102007 */     // GIR_Coverage, 778,
     /*  102007 */     GIR_Done,
     /*  102008 */   // Label 2679: @102008
     /*  102008 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(102049), // Rule ID 780 //
     /*  102013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102030 */     // MIs[0] rs1
     /*  102030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102042 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  102047 */     GIR_RootConstrainSelectedInstOperands,
     /*  102048 */     // GIR_Coverage, 780,
     /*  102048 */     GIR_Done,
     /*  102049 */   // Label 2680: @102049
     /*  102049 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(102090), // Rule ID 782 //
     /*  102054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102071 */     // MIs[0] rs1
     /*  102071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102083 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  102088 */     GIR_RootConstrainSelectedInstOperands,
     /*  102089 */     // GIR_Coverage, 782,
     /*  102089 */     GIR_Done,
     /*  102090 */   // Label 2681: @102090
     /*  102090 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(102131), // Rule ID 784 //
     /*  102095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102112 */     // MIs[0] rs1
     /*  102112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102124 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102129 */     GIR_RootConstrainSelectedInstOperands,
     /*  102130 */     // GIR_Coverage, 784,
     /*  102130 */     GIR_Done,
     /*  102131 */   // Label 2682: @102131
     /*  102131 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(102172), // Rule ID 786 //
     /*  102136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102153 */     // MIs[0] rs1
     /*  102153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102165 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102170 */     GIR_RootConstrainSelectedInstOperands,
     /*  102171 */     // GIR_Coverage, 786,
     /*  102171 */     GIR_Done,
     /*  102172 */   // Label 2683: @102172
     /*  102172 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(102213), // Rule ID 788 //
     /*  102177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102194 */     // MIs[0] rs1
     /*  102194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102206 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102211 */     GIR_RootConstrainSelectedInstOperands,
     /*  102212 */     // GIR_Coverage, 788,
     /*  102212 */     GIR_Done,
     /*  102213 */   // Label 2684: @102213
     /*  102213 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(102254), // Rule ID 790 //
     /*  102218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102235 */     // MIs[0] rs1
     /*  102235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102247 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102252 */     GIR_RootConstrainSelectedInstOperands,
     /*  102253 */     // GIR_Coverage, 790,
     /*  102253 */     GIR_Done,
     /*  102254 */   // Label 2685: @102254
     /*  102254 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(102295), // Rule ID 792 //
     /*  102259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102276 */     // MIs[0] rs1
     /*  102276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102288 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102293 */     GIR_RootConstrainSelectedInstOperands,
     /*  102294 */     // GIR_Coverage, 792,
     /*  102294 */     GIR_Done,
     /*  102295 */   // Label 2686: @102295
     /*  102295 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(102336), // Rule ID 954 //
     /*  102300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102317 */     // MIs[0] rs1
     /*  102317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102329 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102334 */     GIR_RootConstrainSelectedInstOperands,
     /*  102335 */     // GIR_Coverage, 954,
     /*  102335 */     GIR_Done,
     /*  102336 */   // Label 2687: @102336
     /*  102336 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(102377), // Rule ID 956 //
     /*  102341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102358 */     // MIs[0] rs1
     /*  102358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102370 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  102375 */     GIR_RootConstrainSelectedInstOperands,
     /*  102376 */     // GIR_Coverage, 956,
     /*  102376 */     GIR_Done,
     /*  102377 */   // Label 2688: @102377
     /*  102377 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(102418), // Rule ID 958 //
     /*  102382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102399 */     // MIs[0] rs1
     /*  102399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102411 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  102416 */     GIR_RootConstrainSelectedInstOperands,
     /*  102417 */     // GIR_Coverage, 958,
     /*  102417 */     GIR_Done,
     /*  102418 */   // Label 2689: @102418
     /*  102418 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(102459), // Rule ID 960 //
     /*  102423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102440 */     // MIs[0] rs1
     /*  102440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102452 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  102457 */     GIR_RootConstrainSelectedInstOperands,
     /*  102458 */     // GIR_Coverage, 960,
     /*  102458 */     GIR_Done,
     /*  102459 */   // Label 2690: @102459
     /*  102459 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(102500), // Rule ID 962 //
     /*  102464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102481 */     // MIs[0] rs1
     /*  102481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102493 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  102498 */     GIR_RootConstrainSelectedInstOperands,
     /*  102499 */     // GIR_Coverage, 962,
     /*  102499 */     GIR_Done,
     /*  102500 */   // Label 2691: @102500
     /*  102500 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(102541), // Rule ID 964 //
     /*  102505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102522 */     // MIs[0] rs1
     /*  102522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102534 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102539 */     GIR_RootConstrainSelectedInstOperands,
     /*  102540 */     // GIR_Coverage, 964,
     /*  102540 */     GIR_Done,
     /*  102541 */   // Label 2692: @102541
     /*  102541 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(102582), // Rule ID 966 //
     /*  102546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102563 */     // MIs[0] rs1
     /*  102563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102575 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102580 */     GIR_RootConstrainSelectedInstOperands,
     /*  102581 */     // GIR_Coverage, 966,
     /*  102581 */     GIR_Done,
     /*  102582 */   // Label 2693: @102582
     /*  102582 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(102623), // Rule ID 968 //
     /*  102587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102604 */     // MIs[0] rs1
     /*  102604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102616 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102621 */     GIR_RootConstrainSelectedInstOperands,
     /*  102622 */     // GIR_Coverage, 968,
     /*  102622 */     GIR_Done,
     /*  102623 */   // Label 2694: @102623
     /*  102623 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(102664), // Rule ID 970 //
     /*  102628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102645 */     // MIs[0] rs1
     /*  102645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102657 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102662 */     GIR_RootConstrainSelectedInstOperands,
     /*  102663 */     // GIR_Coverage, 970,
     /*  102663 */     GIR_Done,
     /*  102664 */   // Label 2695: @102664
     /*  102664 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(102705), // Rule ID 972 //
     /*  102669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102686 */     // MIs[0] rs1
     /*  102686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102698 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102703 */     GIR_RootConstrainSelectedInstOperands,
     /*  102704 */     // GIR_Coverage, 972,
     /*  102704 */     GIR_Done,
     /*  102705 */   // Label 2696: @102705
     /*  102705 */   GIM_Reject,
     /*  102706 */ // Label 2666: @102706
     /*  102706 */ GIM_Reject,
     /*  102707 */ // Label 2664: @102707
     /*  102707 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(104356),
     /*  102712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  102715 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(102756), // Rule ID 425 //
     /*  102720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102737 */     // MIs[0] rs1
     /*  102737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102749 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  102754 */     GIR_RootConstrainSelectedInstOperands,
     /*  102755 */     // GIR_Coverage, 425,
     /*  102755 */     GIR_Done,
     /*  102756 */   // Label 2698: @102756
     /*  102756 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(102797), // Rule ID 427 //
     /*  102761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102778 */     // MIs[0] rs1
     /*  102778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102790 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  102795 */     GIR_RootConstrainSelectedInstOperands,
     /*  102796 */     // GIR_Coverage, 427,
     /*  102796 */     GIR_Done,
     /*  102797 */   // Label 2699: @102797
     /*  102797 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(102838), // Rule ID 429 //
     /*  102802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102819 */     // MIs[0] rs1
     /*  102819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102831 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  102836 */     GIR_RootConstrainSelectedInstOperands,
     /*  102837 */     // GIR_Coverage, 429,
     /*  102837 */     GIR_Done,
     /*  102838 */   // Label 2700: @102838
     /*  102838 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(102879), // Rule ID 431 //
     /*  102843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102860 */     // MIs[0] rs1
     /*  102860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102872 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  102877 */     GIR_RootConstrainSelectedInstOperands,
     /*  102878 */     // GIR_Coverage, 431,
     /*  102878 */     GIR_Done,
     /*  102879 */   // Label 2701: @102879
     /*  102879 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(102920), // Rule ID 433 //
     /*  102884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102901 */     // MIs[0] rs1
     /*  102901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102913 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  102918 */     GIR_RootConstrainSelectedInstOperands,
     /*  102919 */     // GIR_Coverage, 433,
     /*  102919 */     GIR_Done,
     /*  102920 */   // Label 2702: @102920
     /*  102920 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(102961), // Rule ID 435 //
     /*  102925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  102928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102942 */     // MIs[0] rs1
     /*  102942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102954 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  102959 */     GIR_RootConstrainSelectedInstOperands,
     /*  102960 */     // GIR_Coverage, 435,
     /*  102960 */     GIR_Done,
     /*  102961 */   // Label 2703: @102961
     /*  102961 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(103002), // Rule ID 437 //
     /*  102966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  102969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102983 */     // MIs[0] rs1
     /*  102983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102995 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103000 */     GIR_RootConstrainSelectedInstOperands,
     /*  103001 */     // GIR_Coverage, 437,
     /*  103001 */     GIR_Done,
     /*  103002 */   // Label 2704: @103002
     /*  103002 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(103043), // Rule ID 439 //
     /*  103007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103024 */     // MIs[0] rs1
     /*  103024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103036 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103041 */     GIR_RootConstrainSelectedInstOperands,
     /*  103042 */     // GIR_Coverage, 439,
     /*  103042 */     GIR_Done,
     /*  103043 */   // Label 2705: @103043
     /*  103043 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(103084), // Rule ID 441 //
     /*  103048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103065 */     // MIs[0] rs1
     /*  103065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103077 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103082 */     GIR_RootConstrainSelectedInstOperands,
     /*  103083 */     // GIR_Coverage, 441,
     /*  103083 */     GIR_Done,
     /*  103084 */   // Label 2706: @103084
     /*  103084 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(103125), // Rule ID 443 //
     /*  103089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103106 */     // MIs[0] rs1
     /*  103106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103118 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103123 */     GIR_RootConstrainSelectedInstOperands,
     /*  103124 */     // GIR_Coverage, 443,
     /*  103124 */     GIR_Done,
     /*  103125 */   // Label 2707: @103125
     /*  103125 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(103166), // Rule ID 555 //
     /*  103130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103147 */     // MIs[0] rs1
     /*  103147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103159 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103164 */     GIR_RootConstrainSelectedInstOperands,
     /*  103165 */     // GIR_Coverage, 555,
     /*  103165 */     GIR_Done,
     /*  103166 */   // Label 2708: @103166
     /*  103166 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(103207), // Rule ID 556 //
     /*  103171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103188 */     // MIs[0] rs1
     /*  103188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103200 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  103205 */     GIR_RootConstrainSelectedInstOperands,
     /*  103206 */     // GIR_Coverage, 556,
     /*  103206 */     GIR_Done,
     /*  103207 */   // Label 2709: @103207
     /*  103207 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(103248), // Rule ID 557 //
     /*  103212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103229 */     // MIs[0] rs1
     /*  103229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103241 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  103246 */     GIR_RootConstrainSelectedInstOperands,
     /*  103247 */     // GIR_Coverage, 557,
     /*  103247 */     GIR_Done,
     /*  103248 */   // Label 2710: @103248
     /*  103248 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(103289), // Rule ID 558 //
     /*  103253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103270 */     // MIs[0] rs1
     /*  103270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103282 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  103287 */     GIR_RootConstrainSelectedInstOperands,
     /*  103288 */     // GIR_Coverage, 558,
     /*  103288 */     GIR_Done,
     /*  103289 */   // Label 2711: @103289
     /*  103289 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(103330), // Rule ID 559 //
     /*  103294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103311 */     // MIs[0] rs1
     /*  103311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103323 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  103328 */     GIR_RootConstrainSelectedInstOperands,
     /*  103329 */     // GIR_Coverage, 559,
     /*  103329 */     GIR_Done,
     /*  103330 */   // Label 2712: @103330
     /*  103330 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(103371), // Rule ID 560 //
     /*  103335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103352 */     // MIs[0] rs1
     /*  103352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103364 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103369 */     GIR_RootConstrainSelectedInstOperands,
     /*  103370 */     // GIR_Coverage, 560,
     /*  103370 */     GIR_Done,
     /*  103371 */   // Label 2713: @103371
     /*  103371 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(103412), // Rule ID 561 //
     /*  103376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */     // MIs[0] rs1
     /*  103393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103405 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103410 */     GIR_RootConstrainSelectedInstOperands,
     /*  103411 */     // GIR_Coverage, 561,
     /*  103411 */     GIR_Done,
     /*  103412 */   // Label 2714: @103412
     /*  103412 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(103453), // Rule ID 562 //
     /*  103417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103434 */     // MIs[0] rs1
     /*  103434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103446 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103451 */     GIR_RootConstrainSelectedInstOperands,
     /*  103452 */     // GIR_Coverage, 562,
     /*  103452 */     GIR_Done,
     /*  103453 */   // Label 2715: @103453
     /*  103453 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(103494), // Rule ID 563 //
     /*  103458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103475 */     // MIs[0] rs1
     /*  103475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103487 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103492 */     GIR_RootConstrainSelectedInstOperands,
     /*  103493 */     // GIR_Coverage, 563,
     /*  103493 */     GIR_Done,
     /*  103494 */   // Label 2716: @103494
     /*  103494 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(103535), // Rule ID 564 //
     /*  103499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103516 */     // MIs[0] rs1
     /*  103516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103528 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103533 */     GIR_RootConstrainSelectedInstOperands,
     /*  103534 */     // GIR_Coverage, 564,
     /*  103534 */     GIR_Done,
     /*  103535 */   // Label 2717: @103535
     /*  103535 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(103576), // Rule ID 773 //
     /*  103540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103557 */     // MIs[0] rs1
     /*  103557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103569 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103574 */     GIR_RootConstrainSelectedInstOperands,
     /*  103575 */     // GIR_Coverage, 773,
     /*  103575 */     GIR_Done,
     /*  103576 */   // Label 2718: @103576
     /*  103576 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(103617), // Rule ID 775 //
     /*  103581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103598 */     // MIs[0] rs1
     /*  103598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103610 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  103615 */     GIR_RootConstrainSelectedInstOperands,
     /*  103616 */     // GIR_Coverage, 775,
     /*  103616 */     GIR_Done,
     /*  103617 */   // Label 2719: @103617
     /*  103617 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(103658), // Rule ID 777 //
     /*  103622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103639 */     // MIs[0] rs1
     /*  103639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103651 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  103656 */     GIR_RootConstrainSelectedInstOperands,
     /*  103657 */     // GIR_Coverage, 777,
     /*  103657 */     GIR_Done,
     /*  103658 */   // Label 2720: @103658
     /*  103658 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(103699), // Rule ID 779 //
     /*  103663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103680 */     // MIs[0] rs1
     /*  103680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103692 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  103697 */     GIR_RootConstrainSelectedInstOperands,
     /*  103698 */     // GIR_Coverage, 779,
     /*  103698 */     GIR_Done,
     /*  103699 */   // Label 2721: @103699
     /*  103699 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(103740), // Rule ID 781 //
     /*  103704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103721 */     // MIs[0] rs1
     /*  103721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103733 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  103738 */     GIR_RootConstrainSelectedInstOperands,
     /*  103739 */     // GIR_Coverage, 781,
     /*  103739 */     GIR_Done,
     /*  103740 */   // Label 2722: @103740
     /*  103740 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(103781), // Rule ID 783 //
     /*  103745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103762 */     // MIs[0] rs1
     /*  103762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103774 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103779 */     GIR_RootConstrainSelectedInstOperands,
     /*  103780 */     // GIR_Coverage, 783,
     /*  103780 */     GIR_Done,
     /*  103781 */   // Label 2723: @103781
     /*  103781 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(103822), // Rule ID 785 //
     /*  103786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103803 */     // MIs[0] rs1
     /*  103803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103815 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103820 */     GIR_RootConstrainSelectedInstOperands,
     /*  103821 */     // GIR_Coverage, 785,
     /*  103821 */     GIR_Done,
     /*  103822 */   // Label 2724: @103822
     /*  103822 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(103863), // Rule ID 787 //
     /*  103827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103844 */     // MIs[0] rs1
     /*  103844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103856 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103861 */     GIR_RootConstrainSelectedInstOperands,
     /*  103862 */     // GIR_Coverage, 787,
     /*  103862 */     GIR_Done,
     /*  103863 */   // Label 2725: @103863
     /*  103863 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(103904), // Rule ID 789 //
     /*  103868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103885 */     // MIs[0] rs1
     /*  103885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103897 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103902 */     GIR_RootConstrainSelectedInstOperands,
     /*  103903 */     // GIR_Coverage, 789,
     /*  103903 */     GIR_Done,
     /*  103904 */   // Label 2726: @103904
     /*  103904 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(103945), // Rule ID 791 //
     /*  103909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103926 */     // MIs[0] rs1
     /*  103926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103938 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103943 */     GIR_RootConstrainSelectedInstOperands,
     /*  103944 */     // GIR_Coverage, 791,
     /*  103944 */     GIR_Done,
     /*  103945 */   // Label 2727: @103945
     /*  103945 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(103986), // Rule ID 953 //
     /*  103950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  103960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103967 */     // MIs[0] rs1
     /*  103967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103979 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  103984 */     GIR_RootConstrainSelectedInstOperands,
     /*  103985 */     // GIR_Coverage, 953,
     /*  103985 */     GIR_Done,
     /*  103986 */   // Label 2728: @103986
     /*  103986 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(104027), // Rule ID 955 //
     /*  103991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104008 */     // MIs[0] rs1
     /*  104008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104020 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  104025 */     GIR_RootConstrainSelectedInstOperands,
     /*  104026 */     // GIR_Coverage, 955,
     /*  104026 */     GIR_Done,
     /*  104027 */   // Label 2729: @104027
     /*  104027 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(104068), // Rule ID 957 //
     /*  104032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104049 */     // MIs[0] rs1
     /*  104049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104061 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  104066 */     GIR_RootConstrainSelectedInstOperands,
     /*  104067 */     // GIR_Coverage, 957,
     /*  104067 */     GIR_Done,
     /*  104068 */   // Label 2730: @104068
     /*  104068 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(104109), // Rule ID 959 //
     /*  104073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104090 */     // MIs[0] rs1
     /*  104090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104102 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  104107 */     GIR_RootConstrainSelectedInstOperands,
     /*  104108 */     // GIR_Coverage, 959,
     /*  104108 */     GIR_Done,
     /*  104109 */   // Label 2731: @104109
     /*  104109 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(104150), // Rule ID 961 //
     /*  104114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104131 */     // MIs[0] rs1
     /*  104131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104143 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  104148 */     GIR_RootConstrainSelectedInstOperands,
     /*  104149 */     // GIR_Coverage, 961,
     /*  104149 */     GIR_Done,
     /*  104150 */   // Label 2732: @104150
     /*  104150 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(104191), // Rule ID 963 //
     /*  104155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104172 */     // MIs[0] rs1
     /*  104172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104184 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104189 */     GIR_RootConstrainSelectedInstOperands,
     /*  104190 */     // GIR_Coverage, 963,
     /*  104190 */     GIR_Done,
     /*  104191 */   // Label 2733: @104191
     /*  104191 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(104232), // Rule ID 965 //
     /*  104196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104213 */     // MIs[0] rs1
     /*  104213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104225 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104230 */     GIR_RootConstrainSelectedInstOperands,
     /*  104231 */     // GIR_Coverage, 965,
     /*  104231 */     GIR_Done,
     /*  104232 */   // Label 2734: @104232
     /*  104232 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(104273), // Rule ID 967 //
     /*  104237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104254 */     // MIs[0] rs1
     /*  104254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104266 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104271 */     GIR_RootConstrainSelectedInstOperands,
     /*  104272 */     // GIR_Coverage, 967,
     /*  104272 */     GIR_Done,
     /*  104273 */   // Label 2735: @104273
     /*  104273 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(104314), // Rule ID 969 //
     /*  104278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104295 */     // MIs[0] rs1
     /*  104295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104307 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104312 */     GIR_RootConstrainSelectedInstOperands,
     /*  104313 */     // GIR_Coverage, 969,
     /*  104313 */     GIR_Done,
     /*  104314 */   // Label 2736: @104314
     /*  104314 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(104355), // Rule ID 971 //
     /*  104319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104336 */     // MIs[0] rs1
     /*  104336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104348 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104353 */     GIR_RootConstrainSelectedInstOperands,
     /*  104354 */     // GIR_Coverage, 971,
     /*  104354 */     GIR_Done,
     /*  104355 */   // Label 2737: @104355
     /*  104355 */   GIM_Reject,
     /*  104356 */ // Label 2697: @104356
     /*  104356 */ GIM_Reject,
     /*  104357 */ // Label 2665: @104357
     /*  104357 */ GIM_Reject,
     /*  104358 */ // Label 33: @104358
     /*  104358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2740*/ GIMT_Encode4(107267),
     /*  104369 */ /*GILLT_s32*//*Label 2738*/ GIMT_Encode4(104377),
     /*  104373 */ /*GILLT_s64*//*Label 2739*/ GIMT_Encode4(105617),
     /*  104377 */ // Label 2738: @104377
     /*  104377 */ GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(105616),
     /*  104382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  104385 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(104426), // Rule ID 446 //
     /*  104390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104407 */     // MIs[0] rs1
     /*  104407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104419 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104424 */     GIR_RootConstrainSelectedInstOperands,
     /*  104425 */     // GIR_Coverage, 446,
     /*  104425 */     GIR_Done,
     /*  104426 */   // Label 2742: @104426
     /*  104426 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(104467), // Rule ID 448 //
     /*  104431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104448 */     // MIs[0] rs1
     /*  104448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104460 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  104465 */     GIR_RootConstrainSelectedInstOperands,
     /*  104466 */     // GIR_Coverage, 448,
     /*  104466 */     GIR_Done,
     /*  104467 */   // Label 2743: @104467
     /*  104467 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(104508), // Rule ID 450 //
     /*  104472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104489 */     // MIs[0] rs1
     /*  104489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104501 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  104506 */     GIR_RootConstrainSelectedInstOperands,
     /*  104507 */     // GIR_Coverage, 450,
     /*  104507 */     GIR_Done,
     /*  104508 */   // Label 2744: @104508
     /*  104508 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(104549), // Rule ID 452 //
     /*  104513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104530 */     // MIs[0] rs1
     /*  104530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104542 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  104547 */     GIR_RootConstrainSelectedInstOperands,
     /*  104548 */     // GIR_Coverage, 452,
     /*  104548 */     GIR_Done,
     /*  104549 */   // Label 2745: @104549
     /*  104549 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(104590), // Rule ID 454 //
     /*  104554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104571 */     // MIs[0] rs1
     /*  104571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104583 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  104588 */     GIR_RootConstrainSelectedInstOperands,
     /*  104589 */     // GIR_Coverage, 454,
     /*  104589 */     GIR_Done,
     /*  104590 */   // Label 2746: @104590
     /*  104590 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(104631), // Rule ID 456 //
     /*  104595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104612 */     // MIs[0] rs1
     /*  104612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104624 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104629 */     GIR_RootConstrainSelectedInstOperands,
     /*  104630 */     // GIR_Coverage, 456,
     /*  104630 */     GIR_Done,
     /*  104631 */   // Label 2747: @104631
     /*  104631 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(104672), // Rule ID 458 //
     /*  104636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104653 */     // MIs[0] rs1
     /*  104653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104665 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104670 */     GIR_RootConstrainSelectedInstOperands,
     /*  104671 */     // GIR_Coverage, 458,
     /*  104671 */     GIR_Done,
     /*  104672 */   // Label 2748: @104672
     /*  104672 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(104713), // Rule ID 460 //
     /*  104677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104694 */     // MIs[0] rs1
     /*  104694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104706 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104711 */     GIR_RootConstrainSelectedInstOperands,
     /*  104712 */     // GIR_Coverage, 460,
     /*  104712 */     GIR_Done,
     /*  104713 */   // Label 2749: @104713
     /*  104713 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(104754), // Rule ID 462 //
     /*  104718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104735 */     // MIs[0] rs1
     /*  104735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104747 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104752 */     GIR_RootConstrainSelectedInstOperands,
     /*  104753 */     // GIR_Coverage, 462,
     /*  104753 */     GIR_Done,
     /*  104754 */   // Label 2750: @104754
     /*  104754 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(104795), // Rule ID 464 //
     /*  104759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104776 */     // MIs[0] rs1
     /*  104776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104788 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104793 */     GIR_RootConstrainSelectedInstOperands,
     /*  104794 */     // GIR_Coverage, 464,
     /*  104794 */     GIR_Done,
     /*  104795 */   // Label 2751: @104795
     /*  104795 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(104836), // Rule ID 794 //
     /*  104800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104817 */     // MIs[0] rs1
     /*  104817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104829 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  104834 */     GIR_RootConstrainSelectedInstOperands,
     /*  104835 */     // GIR_Coverage, 794,
     /*  104835 */     GIR_Done,
     /*  104836 */   // Label 2752: @104836
     /*  104836 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(104877), // Rule ID 796 //
     /*  104841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104858 */     // MIs[0] rs1
     /*  104858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104870 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  104875 */     GIR_RootConstrainSelectedInstOperands,
     /*  104876 */     // GIR_Coverage, 796,
     /*  104876 */     GIR_Done,
     /*  104877 */   // Label 2753: @104877
     /*  104877 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(104918), // Rule ID 798 //
     /*  104882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104899 */     // MIs[0] rs1
     /*  104899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104911 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  104916 */     GIR_RootConstrainSelectedInstOperands,
     /*  104917 */     // GIR_Coverage, 798,
     /*  104917 */     GIR_Done,
     /*  104918 */   // Label 2754: @104918
     /*  104918 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(104959), // Rule ID 800 //
     /*  104923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104940 */     // MIs[0] rs1
     /*  104940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104952 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  104957 */     GIR_RootConstrainSelectedInstOperands,
     /*  104958 */     // GIR_Coverage, 800,
     /*  104958 */     GIR_Done,
     /*  104959 */   // Label 2755: @104959
     /*  104959 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(105000), // Rule ID 802 //
     /*  104964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104981 */     // MIs[0] rs1
     /*  104981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104993 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  104998 */     GIR_RootConstrainSelectedInstOperands,
     /*  104999 */     // GIR_Coverage, 802,
     /*  104999 */     GIR_Done,
     /*  105000 */   // Label 2756: @105000
     /*  105000 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(105041), // Rule ID 804 //
     /*  105005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105022 */     // MIs[0] rs1
     /*  105022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105034 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105039 */     GIR_RootConstrainSelectedInstOperands,
     /*  105040 */     // GIR_Coverage, 804,
     /*  105040 */     GIR_Done,
     /*  105041 */   // Label 2757: @105041
     /*  105041 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(105082), // Rule ID 806 //
     /*  105046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105063 */     // MIs[0] rs1
     /*  105063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105075 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105080 */     GIR_RootConstrainSelectedInstOperands,
     /*  105081 */     // GIR_Coverage, 806,
     /*  105081 */     GIR_Done,
     /*  105082 */   // Label 2758: @105082
     /*  105082 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(105123), // Rule ID 808 //
     /*  105087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105104 */     // MIs[0] rs1
     /*  105104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105116 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105121 */     GIR_RootConstrainSelectedInstOperands,
     /*  105122 */     // GIR_Coverage, 808,
     /*  105122 */     GIR_Done,
     /*  105123 */   // Label 2759: @105123
     /*  105123 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(105164), // Rule ID 810 //
     /*  105128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105145 */     // MIs[0] rs1
     /*  105145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105157 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105162 */     GIR_RootConstrainSelectedInstOperands,
     /*  105163 */     // GIR_Coverage, 810,
     /*  105163 */     GIR_Done,
     /*  105164 */   // Label 2760: @105164
     /*  105164 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(105205), // Rule ID 812 //
     /*  105169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105186 */     // MIs[0] rs1
     /*  105186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105198 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105203 */     GIR_RootConstrainSelectedInstOperands,
     /*  105204 */     // GIR_Coverage, 812,
     /*  105204 */     GIR_Done,
     /*  105205 */   // Label 2761: @105205
     /*  105205 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(105246), // Rule ID 974 //
     /*  105210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105227 */     // MIs[0] rs1
     /*  105227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105239 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105244 */     GIR_RootConstrainSelectedInstOperands,
     /*  105245 */     // GIR_Coverage, 974,
     /*  105245 */     GIR_Done,
     /*  105246 */   // Label 2762: @105246
     /*  105246 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(105287), // Rule ID 976 //
     /*  105251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105268 */     // MIs[0] rs1
     /*  105268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105280 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  105285 */     GIR_RootConstrainSelectedInstOperands,
     /*  105286 */     // GIR_Coverage, 976,
     /*  105286 */     GIR_Done,
     /*  105287 */   // Label 2763: @105287
     /*  105287 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(105328), // Rule ID 978 //
     /*  105292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105309 */     // MIs[0] rs1
     /*  105309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105321 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  105326 */     GIR_RootConstrainSelectedInstOperands,
     /*  105327 */     // GIR_Coverage, 978,
     /*  105327 */     GIR_Done,
     /*  105328 */   // Label 2764: @105328
     /*  105328 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(105369), // Rule ID 980 //
     /*  105333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105350 */     // MIs[0] rs1
     /*  105350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105362 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  105367 */     GIR_RootConstrainSelectedInstOperands,
     /*  105368 */     // GIR_Coverage, 980,
     /*  105368 */     GIR_Done,
     /*  105369 */   // Label 2765: @105369
     /*  105369 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(105410), // Rule ID 982 //
     /*  105374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105391 */     // MIs[0] rs1
     /*  105391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105403 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  105408 */     GIR_RootConstrainSelectedInstOperands,
     /*  105409 */     // GIR_Coverage, 982,
     /*  105409 */     GIR_Done,
     /*  105410 */   // Label 2766: @105410
     /*  105410 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(105451), // Rule ID 984 //
     /*  105415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105432 */     // MIs[0] rs1
     /*  105432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105444 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105449 */     GIR_RootConstrainSelectedInstOperands,
     /*  105450 */     // GIR_Coverage, 984,
     /*  105450 */     GIR_Done,
     /*  105451 */   // Label 2767: @105451
     /*  105451 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(105492), // Rule ID 986 //
     /*  105456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105473 */     // MIs[0] rs1
     /*  105473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105485 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105490 */     GIR_RootConstrainSelectedInstOperands,
     /*  105491 */     // GIR_Coverage, 986,
     /*  105491 */     GIR_Done,
     /*  105492 */   // Label 2768: @105492
     /*  105492 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(105533), // Rule ID 988 //
     /*  105497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105514 */     // MIs[0] rs1
     /*  105514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105526 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105531 */     GIR_RootConstrainSelectedInstOperands,
     /*  105532 */     // GIR_Coverage, 988,
     /*  105532 */     GIR_Done,
     /*  105533 */   // Label 2769: @105533
     /*  105533 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(105574), // Rule ID 990 //
     /*  105538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105555 */     // MIs[0] rs1
     /*  105555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105567 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105572 */     GIR_RootConstrainSelectedInstOperands,
     /*  105573 */     // GIR_Coverage, 990,
     /*  105573 */     GIR_Done,
     /*  105574 */   // Label 2770: @105574
     /*  105574 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(105615), // Rule ID 992 //
     /*  105579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105596 */     // MIs[0] rs1
     /*  105596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105608 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105613 */     GIR_RootConstrainSelectedInstOperands,
     /*  105614 */     // GIR_Coverage, 992,
     /*  105614 */     GIR_Done,
     /*  105615 */   // Label 2771: @105615
     /*  105615 */   GIM_Reject,
     /*  105616 */ // Label 2741: @105616
     /*  105616 */ GIM_Reject,
     /*  105617 */ // Label 2739: @105617
     /*  105617 */ GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(107266),
     /*  105622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  105625 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(105666), // Rule ID 445 //
     /*  105630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105647 */     // MIs[0] rs1
     /*  105647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105659 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105664 */     GIR_RootConstrainSelectedInstOperands,
     /*  105665 */     // GIR_Coverage, 445,
     /*  105665 */     GIR_Done,
     /*  105666 */   // Label 2773: @105666
     /*  105666 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(105707), // Rule ID 447 //
     /*  105671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105688 */     // MIs[0] rs1
     /*  105688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105700 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  105705 */     GIR_RootConstrainSelectedInstOperands,
     /*  105706 */     // GIR_Coverage, 447,
     /*  105706 */     GIR_Done,
     /*  105707 */   // Label 2774: @105707
     /*  105707 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(105748), // Rule ID 449 //
     /*  105712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105729 */     // MIs[0] rs1
     /*  105729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105741 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  105746 */     GIR_RootConstrainSelectedInstOperands,
     /*  105747 */     // GIR_Coverage, 449,
     /*  105747 */     GIR_Done,
     /*  105748 */   // Label 2775: @105748
     /*  105748 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(105789), // Rule ID 451 //
     /*  105753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105770 */     // MIs[0] rs1
     /*  105770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105782 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  105787 */     GIR_RootConstrainSelectedInstOperands,
     /*  105788 */     // GIR_Coverage, 451,
     /*  105788 */     GIR_Done,
     /*  105789 */   // Label 2776: @105789
     /*  105789 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(105830), // Rule ID 453 //
     /*  105794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105811 */     // MIs[0] rs1
     /*  105811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105823 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  105828 */     GIR_RootConstrainSelectedInstOperands,
     /*  105829 */     // GIR_Coverage, 453,
     /*  105829 */     GIR_Done,
     /*  105830 */   // Label 2777: @105830
     /*  105830 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(105871), // Rule ID 455 //
     /*  105835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105852 */     // MIs[0] rs1
     /*  105852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105864 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105869 */     GIR_RootConstrainSelectedInstOperands,
     /*  105870 */     // GIR_Coverage, 455,
     /*  105870 */     GIR_Done,
     /*  105871 */   // Label 2778: @105871
     /*  105871 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(105912), // Rule ID 457 //
     /*  105876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105893 */     // MIs[0] rs1
     /*  105893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105905 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105910 */     GIR_RootConstrainSelectedInstOperands,
     /*  105911 */     // GIR_Coverage, 457,
     /*  105911 */     GIR_Done,
     /*  105912 */   // Label 2779: @105912
     /*  105912 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(105953), // Rule ID 459 //
     /*  105917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105934 */     // MIs[0] rs1
     /*  105934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105946 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105951 */     GIR_RootConstrainSelectedInstOperands,
     /*  105952 */     // GIR_Coverage, 459,
     /*  105952 */     GIR_Done,
     /*  105953 */   // Label 2780: @105953
     /*  105953 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(105994), // Rule ID 461 //
     /*  105958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105975 */     // MIs[0] rs1
     /*  105975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105987 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105992 */     GIR_RootConstrainSelectedInstOperands,
     /*  105993 */     // GIR_Coverage, 461,
     /*  105993 */     GIR_Done,
     /*  105994 */   // Label 2781: @105994
     /*  105994 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(106035), // Rule ID 463 //
     /*  105999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  106002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  106009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106016 */     // MIs[0] rs1
     /*  106016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106028 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  106033 */     GIR_RootConstrainSelectedInstOperands,
     /*  106034 */     // GIR_Coverage, 463,
     /*  106034 */     GIR_Done,
     /*  106035 */   // Label 2782: @106035
     /*  106035 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(106076), // Rule ID 565 //
     /*  106040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106057 */     // MIs[0] rs1
     /*  106057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106069 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106074 */     GIR_RootConstrainSelectedInstOperands,
     /*  106075 */     // GIR_Coverage, 565,
     /*  106075 */     GIR_Done,
     /*  106076 */   // Label 2783: @106076
     /*  106076 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(106117), // Rule ID 566 //
     /*  106081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106098 */     // MIs[0] rs1
     /*  106098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106110 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  106115 */     GIR_RootConstrainSelectedInstOperands,
     /*  106116 */     // GIR_Coverage, 566,
     /*  106116 */     GIR_Done,
     /*  106117 */   // Label 2784: @106117
     /*  106117 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(106158), // Rule ID 567 //
     /*  106122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106139 */     // MIs[0] rs1
     /*  106139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106151 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  106156 */     GIR_RootConstrainSelectedInstOperands,
     /*  106157 */     // GIR_Coverage, 567,
     /*  106157 */     GIR_Done,
     /*  106158 */   // Label 2785: @106158
     /*  106158 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(106199), // Rule ID 568 //
     /*  106163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106180 */     // MIs[0] rs1
     /*  106180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106192 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  106197 */     GIR_RootConstrainSelectedInstOperands,
     /*  106198 */     // GIR_Coverage, 568,
     /*  106198 */     GIR_Done,
     /*  106199 */   // Label 2786: @106199
     /*  106199 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(106240), // Rule ID 569 //
     /*  106204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106221 */     // MIs[0] rs1
     /*  106221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106233 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  106238 */     GIR_RootConstrainSelectedInstOperands,
     /*  106239 */     // GIR_Coverage, 569,
     /*  106239 */     GIR_Done,
     /*  106240 */   // Label 2787: @106240
     /*  106240 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(106281), // Rule ID 570 //
     /*  106245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106262 */     // MIs[0] rs1
     /*  106262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106274 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106279 */     GIR_RootConstrainSelectedInstOperands,
     /*  106280 */     // GIR_Coverage, 570,
     /*  106280 */     GIR_Done,
     /*  106281 */   // Label 2788: @106281
     /*  106281 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(106322), // Rule ID 571 //
     /*  106286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106303 */     // MIs[0] rs1
     /*  106303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106315 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106320 */     GIR_RootConstrainSelectedInstOperands,
     /*  106321 */     // GIR_Coverage, 571,
     /*  106321 */     GIR_Done,
     /*  106322 */   // Label 2789: @106322
     /*  106322 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(106363), // Rule ID 572 //
     /*  106327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106344 */     // MIs[0] rs1
     /*  106344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106356 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106361 */     GIR_RootConstrainSelectedInstOperands,
     /*  106362 */     // GIR_Coverage, 572,
     /*  106362 */     GIR_Done,
     /*  106363 */   // Label 2790: @106363
     /*  106363 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(106404), // Rule ID 573 //
     /*  106368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106385 */     // MIs[0] rs1
     /*  106385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106397 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106402 */     GIR_RootConstrainSelectedInstOperands,
     /*  106403 */     // GIR_Coverage, 573,
     /*  106403 */     GIR_Done,
     /*  106404 */   // Label 2791: @106404
     /*  106404 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(106445), // Rule ID 574 //
     /*  106409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106426 */     // MIs[0] rs1
     /*  106426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106438 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106443 */     GIR_RootConstrainSelectedInstOperands,
     /*  106444 */     // GIR_Coverage, 574,
     /*  106444 */     GIR_Done,
     /*  106445 */   // Label 2792: @106445
     /*  106445 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(106486), // Rule ID 793 //
     /*  106450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106467 */     // MIs[0] rs1
     /*  106467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106479 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106484 */     GIR_RootConstrainSelectedInstOperands,
     /*  106485 */     // GIR_Coverage, 793,
     /*  106485 */     GIR_Done,
     /*  106486 */   // Label 2793: @106486
     /*  106486 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(106527), // Rule ID 795 //
     /*  106491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106508 */     // MIs[0] rs1
     /*  106508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106520 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  106525 */     GIR_RootConstrainSelectedInstOperands,
     /*  106526 */     // GIR_Coverage, 795,
     /*  106526 */     GIR_Done,
     /*  106527 */   // Label 2794: @106527
     /*  106527 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(106568), // Rule ID 797 //
     /*  106532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106549 */     // MIs[0] rs1
     /*  106549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106561 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  106566 */     GIR_RootConstrainSelectedInstOperands,
     /*  106567 */     // GIR_Coverage, 797,
     /*  106567 */     GIR_Done,
     /*  106568 */   // Label 2795: @106568
     /*  106568 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(106609), // Rule ID 799 //
     /*  106573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106590 */     // MIs[0] rs1
     /*  106590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106602 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  106607 */     GIR_RootConstrainSelectedInstOperands,
     /*  106608 */     // GIR_Coverage, 799,
     /*  106608 */     GIR_Done,
     /*  106609 */   // Label 2796: @106609
     /*  106609 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(106650), // Rule ID 801 //
     /*  106614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106631 */     // MIs[0] rs1
     /*  106631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106643 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  106648 */     GIR_RootConstrainSelectedInstOperands,
     /*  106649 */     // GIR_Coverage, 801,
     /*  106649 */     GIR_Done,
     /*  106650 */   // Label 2797: @106650
     /*  106650 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(106691), // Rule ID 803 //
     /*  106655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106672 */     // MIs[0] rs1
     /*  106672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106684 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106689 */     GIR_RootConstrainSelectedInstOperands,
     /*  106690 */     // GIR_Coverage, 803,
     /*  106690 */     GIR_Done,
     /*  106691 */   // Label 2798: @106691
     /*  106691 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(106732), // Rule ID 805 //
     /*  106696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106713 */     // MIs[0] rs1
     /*  106713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106725 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106730 */     GIR_RootConstrainSelectedInstOperands,
     /*  106731 */     // GIR_Coverage, 805,
     /*  106731 */     GIR_Done,
     /*  106732 */   // Label 2799: @106732
     /*  106732 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(106773), // Rule ID 807 //
     /*  106737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106754 */     // MIs[0] rs1
     /*  106754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106766 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106771 */     GIR_RootConstrainSelectedInstOperands,
     /*  106772 */     // GIR_Coverage, 807,
     /*  106772 */     GIR_Done,
     /*  106773 */   // Label 2800: @106773
     /*  106773 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(106814), // Rule ID 809 //
     /*  106778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106795 */     // MIs[0] rs1
     /*  106795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106807 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106812 */     GIR_RootConstrainSelectedInstOperands,
     /*  106813 */     // GIR_Coverage, 809,
     /*  106813 */     GIR_Done,
     /*  106814 */   // Label 2801: @106814
     /*  106814 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(106855), // Rule ID 811 //
     /*  106819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106836 */     // MIs[0] rs1
     /*  106836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106848 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106853 */     GIR_RootConstrainSelectedInstOperands,
     /*  106854 */     // GIR_Coverage, 811,
     /*  106854 */     GIR_Done,
     /*  106855 */   // Label 2802: @106855
     /*  106855 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(106896), // Rule ID 973 //
     /*  106860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106877 */     // MIs[0] rs1
     /*  106877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106889 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  106894 */     GIR_RootConstrainSelectedInstOperands,
     /*  106895 */     // GIR_Coverage, 973,
     /*  106895 */     GIR_Done,
     /*  106896 */   // Label 2803: @106896
     /*  106896 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(106937), // Rule ID 975 //
     /*  106901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106918 */     // MIs[0] rs1
     /*  106918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106930 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  106935 */     GIR_RootConstrainSelectedInstOperands,
     /*  106936 */     // GIR_Coverage, 975,
     /*  106936 */     GIR_Done,
     /*  106937 */   // Label 2804: @106937
     /*  106937 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(106978), // Rule ID 977 //
     /*  106942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106959 */     // MIs[0] rs1
     /*  106959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106971 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  106976 */     GIR_RootConstrainSelectedInstOperands,
     /*  106977 */     // GIR_Coverage, 977,
     /*  106977 */     GIR_Done,
     /*  106978 */   // Label 2805: @106978
     /*  106978 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(107019), // Rule ID 979 //
     /*  106983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107000 */     // MIs[0] rs1
     /*  107000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107012 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  107017 */     GIR_RootConstrainSelectedInstOperands,
     /*  107018 */     // GIR_Coverage, 979,
     /*  107018 */     GIR_Done,
     /*  107019 */   // Label 2806: @107019
     /*  107019 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(107060), // Rule ID 981 //
     /*  107024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  107027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107041 */     // MIs[0] rs1
     /*  107041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107053 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  107058 */     GIR_RootConstrainSelectedInstOperands,
     /*  107059 */     // GIR_Coverage, 981,
     /*  107059 */     GIR_Done,
     /*  107060 */   // Label 2807: @107060
     /*  107060 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(107101), // Rule ID 983 //
     /*  107065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107082 */     // MIs[0] rs1
     /*  107082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107094 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107099 */     GIR_RootConstrainSelectedInstOperands,
     /*  107100 */     // GIR_Coverage, 983,
     /*  107100 */     GIR_Done,
     /*  107101 */   // Label 2808: @107101
     /*  107101 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(107142), // Rule ID 985 //
     /*  107106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107123 */     // MIs[0] rs1
     /*  107123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107135 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107140 */     GIR_RootConstrainSelectedInstOperands,
     /*  107141 */     // GIR_Coverage, 985,
     /*  107141 */     GIR_Done,
     /*  107142 */   // Label 2809: @107142
     /*  107142 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(107183), // Rule ID 987 //
     /*  107147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107164 */     // MIs[0] rs1
     /*  107164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107176 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107181 */     GIR_RootConstrainSelectedInstOperands,
     /*  107182 */     // GIR_Coverage, 987,
     /*  107182 */     GIR_Done,
     /*  107183 */   // Label 2810: @107183
     /*  107183 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(107224), // Rule ID 989 //
     /*  107188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107205 */     // MIs[0] rs1
     /*  107205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107217 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107222 */     GIR_RootConstrainSelectedInstOperands,
     /*  107223 */     // GIR_Coverage, 989,
     /*  107223 */     GIR_Done,
     /*  107224 */   // Label 2811: @107224
     /*  107224 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(107265), // Rule ID 991 //
     /*  107229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107246 */     // MIs[0] rs1
     /*  107246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107258 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107263 */     GIR_RootConstrainSelectedInstOperands,
     /*  107264 */     // GIR_Coverage, 991,
     /*  107264 */     GIR_Done,
     /*  107265 */   // Label 2812: @107265
     /*  107265 */   GIM_Reject,
     /*  107266 */ // Label 2772: @107266
     /*  107266 */ GIM_Reject,
     /*  107267 */ // Label 2740: @107267
     /*  107267 */ GIM_Reject,
     /*  107268 */ // Label 34: @107268
     /*  107268 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2815*/ GIMT_Encode4(110177),
     /*  107279 */ /*GILLT_s32*//*Label 2813*/ GIMT_Encode4(107287),
     /*  107283 */ /*GILLT_s64*//*Label 2814*/ GIMT_Encode4(108527),
     /*  107287 */ // Label 2813: @107287
     /*  107287 */ GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(108526),
     /*  107292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107295 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(107336), // Rule ID 466 //
     /*  107300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107317 */     // MIs[0] rs1
     /*  107317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107329 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107334 */     GIR_RootConstrainSelectedInstOperands,
     /*  107335 */     // GIR_Coverage, 466,
     /*  107335 */     GIR_Done,
     /*  107336 */   // Label 2817: @107336
     /*  107336 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(107377), // Rule ID 468 //
     /*  107341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107358 */     // MIs[0] rs1
     /*  107358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107370 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  107375 */     GIR_RootConstrainSelectedInstOperands,
     /*  107376 */     // GIR_Coverage, 468,
     /*  107376 */     GIR_Done,
     /*  107377 */   // Label 2818: @107377
     /*  107377 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(107418), // Rule ID 470 //
     /*  107382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107399 */     // MIs[0] rs1
     /*  107399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107411 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  107416 */     GIR_RootConstrainSelectedInstOperands,
     /*  107417 */     // GIR_Coverage, 470,
     /*  107417 */     GIR_Done,
     /*  107418 */   // Label 2819: @107418
     /*  107418 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(107459), // Rule ID 472 //
     /*  107423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107440 */     // MIs[0] rs1
     /*  107440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107452 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  107457 */     GIR_RootConstrainSelectedInstOperands,
     /*  107458 */     // GIR_Coverage, 472,
     /*  107458 */     GIR_Done,
     /*  107459 */   // Label 2820: @107459
     /*  107459 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(107500), // Rule ID 474 //
     /*  107464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107481 */     // MIs[0] rs1
     /*  107481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107493 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  107498 */     GIR_RootConstrainSelectedInstOperands,
     /*  107499 */     // GIR_Coverage, 474,
     /*  107499 */     GIR_Done,
     /*  107500 */   // Label 2821: @107500
     /*  107500 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(107541), // Rule ID 476 //
     /*  107505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107522 */     // MIs[0] rs1
     /*  107522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107534 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107539 */     GIR_RootConstrainSelectedInstOperands,
     /*  107540 */     // GIR_Coverage, 476,
     /*  107540 */     GIR_Done,
     /*  107541 */   // Label 2822: @107541
     /*  107541 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(107582), // Rule ID 478 //
     /*  107546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107563 */     // MIs[0] rs1
     /*  107563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107575 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107580 */     GIR_RootConstrainSelectedInstOperands,
     /*  107581 */     // GIR_Coverage, 478,
     /*  107581 */     GIR_Done,
     /*  107582 */   // Label 2823: @107582
     /*  107582 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(107623), // Rule ID 480 //
     /*  107587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107604 */     // MIs[0] rs1
     /*  107604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107616 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107621 */     GIR_RootConstrainSelectedInstOperands,
     /*  107622 */     // GIR_Coverage, 480,
     /*  107622 */     GIR_Done,
     /*  107623 */   // Label 2824: @107623
     /*  107623 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(107664), // Rule ID 482 //
     /*  107628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107645 */     // MIs[0] rs1
     /*  107645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107657 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107662 */     GIR_RootConstrainSelectedInstOperands,
     /*  107663 */     // GIR_Coverage, 482,
     /*  107663 */     GIR_Done,
     /*  107664 */   // Label 2825: @107664
     /*  107664 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(107705), // Rule ID 484 //
     /*  107669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107686 */     // MIs[0] rs1
     /*  107686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107698 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107703 */     GIR_RootConstrainSelectedInstOperands,
     /*  107704 */     // GIR_Coverage, 484,
     /*  107704 */     GIR_Done,
     /*  107705 */   // Label 2826: @107705
     /*  107705 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(107746), // Rule ID 814 //
     /*  107710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107727 */     // MIs[0] rs1
     /*  107727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107739 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107744 */     GIR_RootConstrainSelectedInstOperands,
     /*  107745 */     // GIR_Coverage, 814,
     /*  107745 */     GIR_Done,
     /*  107746 */   // Label 2827: @107746
     /*  107746 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(107787), // Rule ID 816 //
     /*  107751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107768 */     // MIs[0] rs1
     /*  107768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107780 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  107785 */     GIR_RootConstrainSelectedInstOperands,
     /*  107786 */     // GIR_Coverage, 816,
     /*  107786 */     GIR_Done,
     /*  107787 */   // Label 2828: @107787
     /*  107787 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(107828), // Rule ID 818 //
     /*  107792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107809 */     // MIs[0] rs1
     /*  107809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107821 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  107826 */     GIR_RootConstrainSelectedInstOperands,
     /*  107827 */     // GIR_Coverage, 818,
     /*  107827 */     GIR_Done,
     /*  107828 */   // Label 2829: @107828
     /*  107828 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(107869), // Rule ID 820 //
     /*  107833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107850 */     // MIs[0] rs1
     /*  107850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107862 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  107867 */     GIR_RootConstrainSelectedInstOperands,
     /*  107868 */     // GIR_Coverage, 820,
     /*  107868 */     GIR_Done,
     /*  107869 */   // Label 2830: @107869
     /*  107869 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(107910), // Rule ID 822 //
     /*  107874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107891 */     // MIs[0] rs1
     /*  107891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107903 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  107908 */     GIR_RootConstrainSelectedInstOperands,
     /*  107909 */     // GIR_Coverage, 822,
     /*  107909 */     GIR_Done,
     /*  107910 */   // Label 2831: @107910
     /*  107910 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(107951), // Rule ID 824 //
     /*  107915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  107918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107932 */     // MIs[0] rs1
     /*  107932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107944 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107949 */     GIR_RootConstrainSelectedInstOperands,
     /*  107950 */     // GIR_Coverage, 824,
     /*  107950 */     GIR_Done,
     /*  107951 */   // Label 2832: @107951
     /*  107951 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(107992), // Rule ID 826 //
     /*  107956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  107959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107973 */     // MIs[0] rs1
     /*  107973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107985 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107990 */     GIR_RootConstrainSelectedInstOperands,
     /*  107991 */     // GIR_Coverage, 826,
     /*  107991 */     GIR_Done,
     /*  107992 */   // Label 2833: @107992
     /*  107992 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(108033), // Rule ID 828 //
     /*  107997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108014 */     // MIs[0] rs1
     /*  108014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108026 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108031 */     GIR_RootConstrainSelectedInstOperands,
     /*  108032 */     // GIR_Coverage, 828,
     /*  108032 */     GIR_Done,
     /*  108033 */   // Label 2834: @108033
     /*  108033 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(108074), // Rule ID 830 //
     /*  108038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108055 */     // MIs[0] rs1
     /*  108055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108067 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108072 */     GIR_RootConstrainSelectedInstOperands,
     /*  108073 */     // GIR_Coverage, 830,
     /*  108073 */     GIR_Done,
     /*  108074 */   // Label 2835: @108074
     /*  108074 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(108115), // Rule ID 832 //
     /*  108079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108096 */     // MIs[0] rs1
     /*  108096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108108 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108113 */     GIR_RootConstrainSelectedInstOperands,
     /*  108114 */     // GIR_Coverage, 832,
     /*  108114 */     GIR_Done,
     /*  108115 */   // Label 2836: @108115
     /*  108115 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(108156), // Rule ID 994 //
     /*  108120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108137 */     // MIs[0] rs1
     /*  108137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108149 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108154 */     GIR_RootConstrainSelectedInstOperands,
     /*  108155 */     // GIR_Coverage, 994,
     /*  108155 */     GIR_Done,
     /*  108156 */   // Label 2837: @108156
     /*  108156 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(108197), // Rule ID 996 //
     /*  108161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108178 */     // MIs[0] rs1
     /*  108178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108190 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  108195 */     GIR_RootConstrainSelectedInstOperands,
     /*  108196 */     // GIR_Coverage, 996,
     /*  108196 */     GIR_Done,
     /*  108197 */   // Label 2838: @108197
     /*  108197 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(108238), // Rule ID 998 //
     /*  108202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108219 */     // MIs[0] rs1
     /*  108219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108231 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  108236 */     GIR_RootConstrainSelectedInstOperands,
     /*  108237 */     // GIR_Coverage, 998,
     /*  108237 */     GIR_Done,
     /*  108238 */   // Label 2839: @108238
     /*  108238 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(108279), // Rule ID 1000 //
     /*  108243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108260 */     // MIs[0] rs1
     /*  108260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108272 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  108277 */     GIR_RootConstrainSelectedInstOperands,
     /*  108278 */     // GIR_Coverage, 1000,
     /*  108278 */     GIR_Done,
     /*  108279 */   // Label 2840: @108279
     /*  108279 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(108320), // Rule ID 1002 //
     /*  108284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108301 */     // MIs[0] rs1
     /*  108301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108313 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  108318 */     GIR_RootConstrainSelectedInstOperands,
     /*  108319 */     // GIR_Coverage, 1002,
     /*  108319 */     GIR_Done,
     /*  108320 */   // Label 2841: @108320
     /*  108320 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(108361), // Rule ID 1004 //
     /*  108325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108342 */     // MIs[0] rs1
     /*  108342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108354 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108359 */     GIR_RootConstrainSelectedInstOperands,
     /*  108360 */     // GIR_Coverage, 1004,
     /*  108360 */     GIR_Done,
     /*  108361 */   // Label 2842: @108361
     /*  108361 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(108402), // Rule ID 1006 //
     /*  108366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108383 */     // MIs[0] rs1
     /*  108383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108395 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108400 */     GIR_RootConstrainSelectedInstOperands,
     /*  108401 */     // GIR_Coverage, 1006,
     /*  108401 */     GIR_Done,
     /*  108402 */   // Label 2843: @108402
     /*  108402 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(108443), // Rule ID 1008 //
     /*  108407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108424 */     // MIs[0] rs1
     /*  108424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108436 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108441 */     GIR_RootConstrainSelectedInstOperands,
     /*  108442 */     // GIR_Coverage, 1008,
     /*  108442 */     GIR_Done,
     /*  108443 */   // Label 2844: @108443
     /*  108443 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(108484), // Rule ID 1010 //
     /*  108448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108465 */     // MIs[0] rs1
     /*  108465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108477 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108482 */     GIR_RootConstrainSelectedInstOperands,
     /*  108483 */     // GIR_Coverage, 1010,
     /*  108483 */     GIR_Done,
     /*  108484 */   // Label 2845: @108484
     /*  108484 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(108525), // Rule ID 1012 //
     /*  108489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108506 */     // MIs[0] rs1
     /*  108506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108518 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108523 */     GIR_RootConstrainSelectedInstOperands,
     /*  108524 */     // GIR_Coverage, 1012,
     /*  108524 */     GIR_Done,
     /*  108525 */   // Label 2846: @108525
     /*  108525 */   GIM_Reject,
     /*  108526 */ // Label 2816: @108526
     /*  108526 */ GIM_Reject,
     /*  108527 */ // Label 2814: @108527
     /*  108527 */ GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(110176),
     /*  108532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108535 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(108576), // Rule ID 465 //
     /*  108540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108557 */     // MIs[0] rs1
     /*  108557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108569 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108574 */     GIR_RootConstrainSelectedInstOperands,
     /*  108575 */     // GIR_Coverage, 465,
     /*  108575 */     GIR_Done,
     /*  108576 */   // Label 2848: @108576
     /*  108576 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(108617), // Rule ID 467 //
     /*  108581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108598 */     // MIs[0] rs1
     /*  108598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108610 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  108615 */     GIR_RootConstrainSelectedInstOperands,
     /*  108616 */     // GIR_Coverage, 467,
     /*  108616 */     GIR_Done,
     /*  108617 */   // Label 2849: @108617
     /*  108617 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(108658), // Rule ID 469 //
     /*  108622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108639 */     // MIs[0] rs1
     /*  108639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108651 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  108656 */     GIR_RootConstrainSelectedInstOperands,
     /*  108657 */     // GIR_Coverage, 469,
     /*  108657 */     GIR_Done,
     /*  108658 */   // Label 2850: @108658
     /*  108658 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(108699), // Rule ID 471 //
     /*  108663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108680 */     // MIs[0] rs1
     /*  108680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108692 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  108697 */     GIR_RootConstrainSelectedInstOperands,
     /*  108698 */     // GIR_Coverage, 471,
     /*  108698 */     GIR_Done,
     /*  108699 */   // Label 2851: @108699
     /*  108699 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(108740), // Rule ID 473 //
     /*  108704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108721 */     // MIs[0] rs1
     /*  108721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108733 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  108738 */     GIR_RootConstrainSelectedInstOperands,
     /*  108739 */     // GIR_Coverage, 473,
     /*  108739 */     GIR_Done,
     /*  108740 */   // Label 2852: @108740
     /*  108740 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(108781), // Rule ID 475 //
     /*  108745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108762 */     // MIs[0] rs1
     /*  108762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108774 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108779 */     GIR_RootConstrainSelectedInstOperands,
     /*  108780 */     // GIR_Coverage, 475,
     /*  108780 */     GIR_Done,
     /*  108781 */   // Label 2853: @108781
     /*  108781 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(108822), // Rule ID 477 //
     /*  108786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108803 */     // MIs[0] rs1
     /*  108803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108815 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108820 */     GIR_RootConstrainSelectedInstOperands,
     /*  108821 */     // GIR_Coverage, 477,
     /*  108821 */     GIR_Done,
     /*  108822 */   // Label 2854: @108822
     /*  108822 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(108863), // Rule ID 479 //
     /*  108827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108844 */     // MIs[0] rs1
     /*  108844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108856 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108861 */     GIR_RootConstrainSelectedInstOperands,
     /*  108862 */     // GIR_Coverage, 479,
     /*  108862 */     GIR_Done,
     /*  108863 */   // Label 2855: @108863
     /*  108863 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(108904), // Rule ID 481 //
     /*  108868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108885 */     // MIs[0] rs1
     /*  108885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108897 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108902 */     GIR_RootConstrainSelectedInstOperands,
     /*  108903 */     // GIR_Coverage, 481,
     /*  108903 */     GIR_Done,
     /*  108904 */   // Label 2856: @108904
     /*  108904 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(108945), // Rule ID 483 //
     /*  108909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108926 */     // MIs[0] rs1
     /*  108926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108938 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108943 */     GIR_RootConstrainSelectedInstOperands,
     /*  108944 */     // GIR_Coverage, 483,
     /*  108944 */     GIR_Done,
     /*  108945 */   // Label 2857: @108945
     /*  108945 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(108986), // Rule ID 575 //
     /*  108950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  108953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  108960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108967 */     // MIs[0] rs1
     /*  108967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108979 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  108984 */     GIR_RootConstrainSelectedInstOperands,
     /*  108985 */     // GIR_Coverage, 575,
     /*  108985 */     GIR_Done,
     /*  108986 */   // Label 2858: @108986
     /*  108986 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(109027), // Rule ID 576 //
     /*  108991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  108994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109008 */     // MIs[0] rs1
     /*  109008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109020 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  109025 */     GIR_RootConstrainSelectedInstOperands,
     /*  109026 */     // GIR_Coverage, 576,
     /*  109026 */     GIR_Done,
     /*  109027 */   // Label 2859: @109027
     /*  109027 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(109068), // Rule ID 577 //
     /*  109032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109049 */     // MIs[0] rs1
     /*  109049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109061 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  109066 */     GIR_RootConstrainSelectedInstOperands,
     /*  109067 */     // GIR_Coverage, 577,
     /*  109067 */     GIR_Done,
     /*  109068 */   // Label 2860: @109068
     /*  109068 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(109109), // Rule ID 578 //
     /*  109073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109090 */     // MIs[0] rs1
     /*  109090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109102 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  109107 */     GIR_RootConstrainSelectedInstOperands,
     /*  109108 */     // GIR_Coverage, 578,
     /*  109108 */     GIR_Done,
     /*  109109 */   // Label 2861: @109109
     /*  109109 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(109150), // Rule ID 579 //
     /*  109114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109131 */     // MIs[0] rs1
     /*  109131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109143 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  109148 */     GIR_RootConstrainSelectedInstOperands,
     /*  109149 */     // GIR_Coverage, 579,
     /*  109149 */     GIR_Done,
     /*  109150 */   // Label 2862: @109150
     /*  109150 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(109191), // Rule ID 580 //
     /*  109155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109172 */     // MIs[0] rs1
     /*  109172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109184 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109189 */     GIR_RootConstrainSelectedInstOperands,
     /*  109190 */     // GIR_Coverage, 580,
     /*  109190 */     GIR_Done,
     /*  109191 */   // Label 2863: @109191
     /*  109191 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(109232), // Rule ID 581 //
     /*  109196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109213 */     // MIs[0] rs1
     /*  109213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109225 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109230 */     GIR_RootConstrainSelectedInstOperands,
     /*  109231 */     // GIR_Coverage, 581,
     /*  109231 */     GIR_Done,
     /*  109232 */   // Label 2864: @109232
     /*  109232 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(109273), // Rule ID 582 //
     /*  109237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109254 */     // MIs[0] rs1
     /*  109254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109266 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109271 */     GIR_RootConstrainSelectedInstOperands,
     /*  109272 */     // GIR_Coverage, 582,
     /*  109272 */     GIR_Done,
     /*  109273 */   // Label 2865: @109273
     /*  109273 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(109314), // Rule ID 583 //
     /*  109278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109295 */     // MIs[0] rs1
     /*  109295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109307 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109312 */     GIR_RootConstrainSelectedInstOperands,
     /*  109313 */     // GIR_Coverage, 583,
     /*  109313 */     GIR_Done,
     /*  109314 */   // Label 2866: @109314
     /*  109314 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(109355), // Rule ID 584 //
     /*  109319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109336 */     // MIs[0] rs1
     /*  109336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109348 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109353 */     GIR_RootConstrainSelectedInstOperands,
     /*  109354 */     // GIR_Coverage, 584,
     /*  109354 */     GIR_Done,
     /*  109355 */   // Label 2867: @109355
     /*  109355 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(109396), // Rule ID 813 //
     /*  109360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109377 */     // MIs[0] rs1
     /*  109377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109389 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109394 */     GIR_RootConstrainSelectedInstOperands,
     /*  109395 */     // GIR_Coverage, 813,
     /*  109395 */     GIR_Done,
     /*  109396 */   // Label 2868: @109396
     /*  109396 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(109437), // Rule ID 815 //
     /*  109401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109418 */     // MIs[0] rs1
     /*  109418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109430 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  109435 */     GIR_RootConstrainSelectedInstOperands,
     /*  109436 */     // GIR_Coverage, 815,
     /*  109436 */     GIR_Done,
     /*  109437 */   // Label 2869: @109437
     /*  109437 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(109478), // Rule ID 817 //
     /*  109442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109459 */     // MIs[0] rs1
     /*  109459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109471 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  109476 */     GIR_RootConstrainSelectedInstOperands,
     /*  109477 */     // GIR_Coverage, 817,
     /*  109477 */     GIR_Done,
     /*  109478 */   // Label 2870: @109478
     /*  109478 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(109519), // Rule ID 819 //
     /*  109483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109500 */     // MIs[0] rs1
     /*  109500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109512 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  109517 */     GIR_RootConstrainSelectedInstOperands,
     /*  109518 */     // GIR_Coverage, 819,
     /*  109518 */     GIR_Done,
     /*  109519 */   // Label 2871: @109519
     /*  109519 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(109560), // Rule ID 821 //
     /*  109524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109541 */     // MIs[0] rs1
     /*  109541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109553 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  109558 */     GIR_RootConstrainSelectedInstOperands,
     /*  109559 */     // GIR_Coverage, 821,
     /*  109559 */     GIR_Done,
     /*  109560 */   // Label 2872: @109560
     /*  109560 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(109601), // Rule ID 823 //
     /*  109565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109582 */     // MIs[0] rs1
     /*  109582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109594 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109599 */     GIR_RootConstrainSelectedInstOperands,
     /*  109600 */     // GIR_Coverage, 823,
     /*  109600 */     GIR_Done,
     /*  109601 */   // Label 2873: @109601
     /*  109601 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(109642), // Rule ID 825 //
     /*  109606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109623 */     // MIs[0] rs1
     /*  109623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109635 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109640 */     GIR_RootConstrainSelectedInstOperands,
     /*  109641 */     // GIR_Coverage, 825,
     /*  109641 */     GIR_Done,
     /*  109642 */   // Label 2874: @109642
     /*  109642 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(109683), // Rule ID 827 //
     /*  109647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109664 */     // MIs[0] rs1
     /*  109664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109676 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109681 */     GIR_RootConstrainSelectedInstOperands,
     /*  109682 */     // GIR_Coverage, 827,
     /*  109682 */     GIR_Done,
     /*  109683 */   // Label 2875: @109683
     /*  109683 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(109724), // Rule ID 829 //
     /*  109688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109705 */     // MIs[0] rs1
     /*  109705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109717 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109722 */     GIR_RootConstrainSelectedInstOperands,
     /*  109723 */     // GIR_Coverage, 829,
     /*  109723 */     GIR_Done,
     /*  109724 */   // Label 2876: @109724
     /*  109724 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(109765), // Rule ID 831 //
     /*  109729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109746 */     // MIs[0] rs1
     /*  109746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109758 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109763 */     GIR_RootConstrainSelectedInstOperands,
     /*  109764 */     // GIR_Coverage, 831,
     /*  109764 */     GIR_Done,
     /*  109765 */   // Label 2877: @109765
     /*  109765 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(109806), // Rule ID 993 //
     /*  109770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109787 */     // MIs[0] rs1
     /*  109787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109799 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  109804 */     GIR_RootConstrainSelectedInstOperands,
     /*  109805 */     // GIR_Coverage, 993,
     /*  109805 */     GIR_Done,
     /*  109806 */   // Label 2878: @109806
     /*  109806 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(109847), // Rule ID 995 //
     /*  109811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109828 */     // MIs[0] rs1
     /*  109828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109840 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  109845 */     GIR_RootConstrainSelectedInstOperands,
     /*  109846 */     // GIR_Coverage, 995,
     /*  109846 */     GIR_Done,
     /*  109847 */   // Label 2879: @109847
     /*  109847 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(109888), // Rule ID 997 //
     /*  109852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109869 */     // MIs[0] rs1
     /*  109869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109881 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  109886 */     GIR_RootConstrainSelectedInstOperands,
     /*  109887 */     // GIR_Coverage, 997,
     /*  109887 */     GIR_Done,
     /*  109888 */   // Label 2880: @109888
     /*  109888 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(109929), // Rule ID 999 //
     /*  109893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109910 */     // MIs[0] rs1
     /*  109910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109922 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  109927 */     GIR_RootConstrainSelectedInstOperands,
     /*  109928 */     // GIR_Coverage, 999,
     /*  109928 */     GIR_Done,
     /*  109929 */   // Label 2881: @109929
     /*  109929 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(109970), // Rule ID 1001 //
     /*  109934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109951 */     // MIs[0] rs1
     /*  109951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109963 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  109968 */     GIR_RootConstrainSelectedInstOperands,
     /*  109969 */     // GIR_Coverage, 1001,
     /*  109969 */     GIR_Done,
     /*  109970 */   // Label 2882: @109970
     /*  109970 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(110011), // Rule ID 1003 //
     /*  109975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109992 */     // MIs[0] rs1
     /*  109992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110004 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110009 */     GIR_RootConstrainSelectedInstOperands,
     /*  110010 */     // GIR_Coverage, 1003,
     /*  110010 */     GIR_Done,
     /*  110011 */   // Label 2883: @110011
     /*  110011 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(110052), // Rule ID 1005 //
     /*  110016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110033 */     // MIs[0] rs1
     /*  110033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110045 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110050 */     GIR_RootConstrainSelectedInstOperands,
     /*  110051 */     // GIR_Coverage, 1005,
     /*  110051 */     GIR_Done,
     /*  110052 */   // Label 2884: @110052
     /*  110052 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(110093), // Rule ID 1007 //
     /*  110057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110074 */     // MIs[0] rs1
     /*  110074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110086 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110091 */     GIR_RootConstrainSelectedInstOperands,
     /*  110092 */     // GIR_Coverage, 1007,
     /*  110092 */     GIR_Done,
     /*  110093 */   // Label 2885: @110093
     /*  110093 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(110134), // Rule ID 1009 //
     /*  110098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110115 */     // MIs[0] rs1
     /*  110115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110127 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110132 */     GIR_RootConstrainSelectedInstOperands,
     /*  110133 */     // GIR_Coverage, 1009,
     /*  110133 */     GIR_Done,
     /*  110134 */   // Label 2886: @110134
     /*  110134 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(110175), // Rule ID 1011 //
     /*  110139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110156 */     // MIs[0] rs1
     /*  110156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110168 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110173 */     GIR_RootConstrainSelectedInstOperands,
     /*  110174 */     // GIR_Coverage, 1011,
     /*  110174 */     GIR_Done,
     /*  110175 */   // Label 2887: @110175
     /*  110175 */   GIM_Reject,
     /*  110176 */ // Label 2847: @110176
     /*  110176 */ GIM_Reject,
     /*  110177 */ // Label 2815: @110177
     /*  110177 */ GIM_Reject,
     /*  110178 */ // Label 35: @110178
     /*  110178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2890*/ GIMT_Encode4(113087),
     /*  110189 */ /*GILLT_s32*//*Label 2888*/ GIMT_Encode4(110197),
     /*  110193 */ /*GILLT_s64*//*Label 2889*/ GIMT_Encode4(111437),
     /*  110197 */ // Label 2888: @110197
     /*  110197 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(111436),
     /*  110202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110205 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(110246), // Rule ID 486 //
     /*  110210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110227 */     // MIs[0] rs1
     /*  110227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110239 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110244 */     GIR_RootConstrainSelectedInstOperands,
     /*  110245 */     // GIR_Coverage, 486,
     /*  110245 */     GIR_Done,
     /*  110246 */   // Label 2892: @110246
     /*  110246 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(110287), // Rule ID 488 //
     /*  110251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110268 */     // MIs[0] rs1
     /*  110268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110280 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  110285 */     GIR_RootConstrainSelectedInstOperands,
     /*  110286 */     // GIR_Coverage, 488,
     /*  110286 */     GIR_Done,
     /*  110287 */   // Label 2893: @110287
     /*  110287 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(110328), // Rule ID 490 //
     /*  110292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110309 */     // MIs[0] rs1
     /*  110309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110321 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  110326 */     GIR_RootConstrainSelectedInstOperands,
     /*  110327 */     // GIR_Coverage, 490,
     /*  110327 */     GIR_Done,
     /*  110328 */   // Label 2894: @110328
     /*  110328 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(110369), // Rule ID 492 //
     /*  110333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110350 */     // MIs[0] rs1
     /*  110350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110362 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  110367 */     GIR_RootConstrainSelectedInstOperands,
     /*  110368 */     // GIR_Coverage, 492,
     /*  110368 */     GIR_Done,
     /*  110369 */   // Label 2895: @110369
     /*  110369 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(110410), // Rule ID 494 //
     /*  110374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110391 */     // MIs[0] rs1
     /*  110391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110403 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  110408 */     GIR_RootConstrainSelectedInstOperands,
     /*  110409 */     // GIR_Coverage, 494,
     /*  110409 */     GIR_Done,
     /*  110410 */   // Label 2896: @110410
     /*  110410 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(110451), // Rule ID 496 //
     /*  110415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110432 */     // MIs[0] rs1
     /*  110432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110444 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110449 */     GIR_RootConstrainSelectedInstOperands,
     /*  110450 */     // GIR_Coverage, 496,
     /*  110450 */     GIR_Done,
     /*  110451 */   // Label 2897: @110451
     /*  110451 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(110492), // Rule ID 498 //
     /*  110456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110473 */     // MIs[0] rs1
     /*  110473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110485 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110490 */     GIR_RootConstrainSelectedInstOperands,
     /*  110491 */     // GIR_Coverage, 498,
     /*  110491 */     GIR_Done,
     /*  110492 */   // Label 2898: @110492
     /*  110492 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(110533), // Rule ID 500 //
     /*  110497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110514 */     // MIs[0] rs1
     /*  110514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110526 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110531 */     GIR_RootConstrainSelectedInstOperands,
     /*  110532 */     // GIR_Coverage, 500,
     /*  110532 */     GIR_Done,
     /*  110533 */   // Label 2899: @110533
     /*  110533 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(110574), // Rule ID 502 //
     /*  110538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110555 */     // MIs[0] rs1
     /*  110555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110567 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110572 */     GIR_RootConstrainSelectedInstOperands,
     /*  110573 */     // GIR_Coverage, 502,
     /*  110573 */     GIR_Done,
     /*  110574 */   // Label 2900: @110574
     /*  110574 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(110615), // Rule ID 504 //
     /*  110579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110596 */     // MIs[0] rs1
     /*  110596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110608 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110613 */     GIR_RootConstrainSelectedInstOperands,
     /*  110614 */     // GIR_Coverage, 504,
     /*  110614 */     GIR_Done,
     /*  110615 */   // Label 2901: @110615
     /*  110615 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(110656), // Rule ID 834 //
     /*  110620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110637 */     // MIs[0] rs1
     /*  110637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110649 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110654 */     GIR_RootConstrainSelectedInstOperands,
     /*  110655 */     // GIR_Coverage, 834,
     /*  110655 */     GIR_Done,
     /*  110656 */   // Label 2902: @110656
     /*  110656 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(110697), // Rule ID 836 //
     /*  110661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110678 */     // MIs[0] rs1
     /*  110678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110690 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  110695 */     GIR_RootConstrainSelectedInstOperands,
     /*  110696 */     // GIR_Coverage, 836,
     /*  110696 */     GIR_Done,
     /*  110697 */   // Label 2903: @110697
     /*  110697 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(110738), // Rule ID 838 //
     /*  110702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110719 */     // MIs[0] rs1
     /*  110719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110731 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  110736 */     GIR_RootConstrainSelectedInstOperands,
     /*  110737 */     // GIR_Coverage, 838,
     /*  110737 */     GIR_Done,
     /*  110738 */   // Label 2904: @110738
     /*  110738 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(110779), // Rule ID 840 //
     /*  110743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110760 */     // MIs[0] rs1
     /*  110760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110772 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  110777 */     GIR_RootConstrainSelectedInstOperands,
     /*  110778 */     // GIR_Coverage, 840,
     /*  110778 */     GIR_Done,
     /*  110779 */   // Label 2905: @110779
     /*  110779 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(110820), // Rule ID 842 //
     /*  110784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110801 */     // MIs[0] rs1
     /*  110801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110813 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  110818 */     GIR_RootConstrainSelectedInstOperands,
     /*  110819 */     // GIR_Coverage, 842,
     /*  110819 */     GIR_Done,
     /*  110820 */   // Label 2906: @110820
     /*  110820 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(110861), // Rule ID 844 //
     /*  110825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110842 */     // MIs[0] rs1
     /*  110842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110854 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110859 */     GIR_RootConstrainSelectedInstOperands,
     /*  110860 */     // GIR_Coverage, 844,
     /*  110860 */     GIR_Done,
     /*  110861 */   // Label 2907: @110861
     /*  110861 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(110902), // Rule ID 846 //
     /*  110866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110883 */     // MIs[0] rs1
     /*  110883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110895 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110900 */     GIR_RootConstrainSelectedInstOperands,
     /*  110901 */     // GIR_Coverage, 846,
     /*  110901 */     GIR_Done,
     /*  110902 */   // Label 2908: @110902
     /*  110902 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(110943), // Rule ID 848 //
     /*  110907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110924 */     // MIs[0] rs1
     /*  110924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110936 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110941 */     GIR_RootConstrainSelectedInstOperands,
     /*  110942 */     // GIR_Coverage, 848,
     /*  110942 */     GIR_Done,
     /*  110943 */   // Label 2909: @110943
     /*  110943 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(110984), // Rule ID 850 //
     /*  110948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110965 */     // MIs[0] rs1
     /*  110965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110977 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110982 */     GIR_RootConstrainSelectedInstOperands,
     /*  110983 */     // GIR_Coverage, 850,
     /*  110983 */     GIR_Done,
     /*  110984 */   // Label 2910: @110984
     /*  110984 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(111025), // Rule ID 852 //
     /*  110989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111006 */     // MIs[0] rs1
     /*  111006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111018 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  111023 */     GIR_RootConstrainSelectedInstOperands,
     /*  111024 */     // GIR_Coverage, 852,
     /*  111024 */     GIR_Done,
     /*  111025 */   // Label 2911: @111025
     /*  111025 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(111066), // Rule ID 1014 //
     /*  111030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111047 */     // MIs[0] rs1
     /*  111047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111059 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111064 */     GIR_RootConstrainSelectedInstOperands,
     /*  111065 */     // GIR_Coverage, 1014,
     /*  111065 */     GIR_Done,
     /*  111066 */   // Label 2912: @111066
     /*  111066 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(111107), // Rule ID 1016 //
     /*  111071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111088 */     // MIs[0] rs1
     /*  111088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111100 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  111105 */     GIR_RootConstrainSelectedInstOperands,
     /*  111106 */     // GIR_Coverage, 1016,
     /*  111106 */     GIR_Done,
     /*  111107 */   // Label 2913: @111107
     /*  111107 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(111148), // Rule ID 1018 //
     /*  111112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111129 */     // MIs[0] rs1
     /*  111129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111141 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  111146 */     GIR_RootConstrainSelectedInstOperands,
     /*  111147 */     // GIR_Coverage, 1018,
     /*  111147 */     GIR_Done,
     /*  111148 */   // Label 2914: @111148
     /*  111148 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(111189), // Rule ID 1020 //
     /*  111153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111170 */     // MIs[0] rs1
     /*  111170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111182 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  111187 */     GIR_RootConstrainSelectedInstOperands,
     /*  111188 */     // GIR_Coverage, 1020,
     /*  111188 */     GIR_Done,
     /*  111189 */   // Label 2915: @111189
     /*  111189 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(111230), // Rule ID 1022 //
     /*  111194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111211 */     // MIs[0] rs1
     /*  111211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111223 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  111228 */     GIR_RootConstrainSelectedInstOperands,
     /*  111229 */     // GIR_Coverage, 1022,
     /*  111229 */     GIR_Done,
     /*  111230 */   // Label 2916: @111230
     /*  111230 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(111271), // Rule ID 1024 //
     /*  111235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111252 */     // MIs[0] rs1
     /*  111252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111264 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111269 */     GIR_RootConstrainSelectedInstOperands,
     /*  111270 */     // GIR_Coverage, 1024,
     /*  111270 */     GIR_Done,
     /*  111271 */   // Label 2917: @111271
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(111312), // Rule ID 1026 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111293 */     // MIs[0] rs1
     /*  111293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111305 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111310 */     GIR_RootConstrainSelectedInstOperands,
     /*  111311 */     // GIR_Coverage, 1026,
     /*  111311 */     GIR_Done,
     /*  111312 */   // Label 2918: @111312
     /*  111312 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(111353), // Rule ID 1028 //
     /*  111317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111334 */     // MIs[0] rs1
     /*  111334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111346 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111351 */     GIR_RootConstrainSelectedInstOperands,
     /*  111352 */     // GIR_Coverage, 1028,
     /*  111352 */     GIR_Done,
     /*  111353 */   // Label 2919: @111353
     /*  111353 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(111394), // Rule ID 1030 //
     /*  111358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111375 */     // MIs[0] rs1
     /*  111375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111387 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111392 */     GIR_RootConstrainSelectedInstOperands,
     /*  111393 */     // GIR_Coverage, 1030,
     /*  111393 */     GIR_Done,
     /*  111394 */   // Label 2920: @111394
     /*  111394 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(111435), // Rule ID 1032 //
     /*  111399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111416 */     // MIs[0] rs1
     /*  111416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111428 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111433 */     GIR_RootConstrainSelectedInstOperands,
     /*  111434 */     // GIR_Coverage, 1032,
     /*  111434 */     GIR_Done,
     /*  111435 */   // Label 2921: @111435
     /*  111435 */   GIM_Reject,
     /*  111436 */ // Label 2891: @111436
     /*  111436 */ GIM_Reject,
     /*  111437 */ // Label 2889: @111437
     /*  111437 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(113086),
     /*  111442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111445 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(111486), // Rule ID 485 //
     /*  111450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111467 */     // MIs[0] rs1
     /*  111467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111479 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111484 */     GIR_RootConstrainSelectedInstOperands,
     /*  111485 */     // GIR_Coverage, 485,
     /*  111485 */     GIR_Done,
     /*  111486 */   // Label 2923: @111486
     /*  111486 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(111527), // Rule ID 487 //
     /*  111491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111508 */     // MIs[0] rs1
     /*  111508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111520 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  111525 */     GIR_RootConstrainSelectedInstOperands,
     /*  111526 */     // GIR_Coverage, 487,
     /*  111526 */     GIR_Done,
     /*  111527 */   // Label 2924: @111527
     /*  111527 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(111568), // Rule ID 489 //
     /*  111532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111549 */     // MIs[0] rs1
     /*  111549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111561 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  111566 */     GIR_RootConstrainSelectedInstOperands,
     /*  111567 */     // GIR_Coverage, 489,
     /*  111567 */     GIR_Done,
     /*  111568 */   // Label 2925: @111568
     /*  111568 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(111609), // Rule ID 491 //
     /*  111573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111590 */     // MIs[0] rs1
     /*  111590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111602 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  111607 */     GIR_RootConstrainSelectedInstOperands,
     /*  111608 */     // GIR_Coverage, 491,
     /*  111608 */     GIR_Done,
     /*  111609 */   // Label 2926: @111609
     /*  111609 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(111650), // Rule ID 493 //
     /*  111614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111631 */     // MIs[0] rs1
     /*  111631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111643 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  111648 */     GIR_RootConstrainSelectedInstOperands,
     /*  111649 */     // GIR_Coverage, 493,
     /*  111649 */     GIR_Done,
     /*  111650 */   // Label 2927: @111650
     /*  111650 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(111691), // Rule ID 495 //
     /*  111655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111672 */     // MIs[0] rs1
     /*  111672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111684 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111689 */     GIR_RootConstrainSelectedInstOperands,
     /*  111690 */     // GIR_Coverage, 495,
     /*  111690 */     GIR_Done,
     /*  111691 */   // Label 2928: @111691
     /*  111691 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(111732), // Rule ID 497 //
     /*  111696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111713 */     // MIs[0] rs1
     /*  111713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111725 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111730 */     GIR_RootConstrainSelectedInstOperands,
     /*  111731 */     // GIR_Coverage, 497,
     /*  111731 */     GIR_Done,
     /*  111732 */   // Label 2929: @111732
     /*  111732 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(111773), // Rule ID 499 //
     /*  111737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111754 */     // MIs[0] rs1
     /*  111754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111766 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111771 */     GIR_RootConstrainSelectedInstOperands,
     /*  111772 */     // GIR_Coverage, 499,
     /*  111772 */     GIR_Done,
     /*  111773 */   // Label 2930: @111773
     /*  111773 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(111814), // Rule ID 501 //
     /*  111778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111795 */     // MIs[0] rs1
     /*  111795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111807 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111812 */     GIR_RootConstrainSelectedInstOperands,
     /*  111813 */     // GIR_Coverage, 501,
     /*  111813 */     GIR_Done,
     /*  111814 */   // Label 2931: @111814
     /*  111814 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(111855), // Rule ID 503 //
     /*  111819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111836 */     // MIs[0] rs1
     /*  111836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111848 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111853 */     GIR_RootConstrainSelectedInstOperands,
     /*  111854 */     // GIR_Coverage, 503,
     /*  111854 */     GIR_Done,
     /*  111855 */   // Label 2932: @111855
     /*  111855 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(111896), // Rule ID 585 //
     /*  111860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111877 */     // MIs[0] rs1
     /*  111877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111889 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  111894 */     GIR_RootConstrainSelectedInstOperands,
     /*  111895 */     // GIR_Coverage, 585,
     /*  111895 */     GIR_Done,
     /*  111896 */   // Label 2933: @111896
     /*  111896 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(111937), // Rule ID 586 //
     /*  111901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111918 */     // MIs[0] rs1
     /*  111918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111930 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  111935 */     GIR_RootConstrainSelectedInstOperands,
     /*  111936 */     // GIR_Coverage, 586,
     /*  111936 */     GIR_Done,
     /*  111937 */   // Label 2934: @111937
     /*  111937 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(111978), // Rule ID 587 //
     /*  111942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111959 */     // MIs[0] rs1
     /*  111959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111971 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  111976 */     GIR_RootConstrainSelectedInstOperands,
     /*  111977 */     // GIR_Coverage, 587,
     /*  111977 */     GIR_Done,
     /*  111978 */   // Label 2935: @111978
     /*  111978 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(112019), // Rule ID 588 //
     /*  111983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112000 */     // MIs[0] rs1
     /*  112000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112012 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  112017 */     GIR_RootConstrainSelectedInstOperands,
     /*  112018 */     // GIR_Coverage, 588,
     /*  112018 */     GIR_Done,
     /*  112019 */   // Label 2936: @112019
     /*  112019 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(112060), // Rule ID 589 //
     /*  112024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  112027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112041 */     // MIs[0] rs1
     /*  112041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112053 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  112058 */     GIR_RootConstrainSelectedInstOperands,
     /*  112059 */     // GIR_Coverage, 589,
     /*  112059 */     GIR_Done,
     /*  112060 */   // Label 2937: @112060
     /*  112060 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(112101), // Rule ID 590 //
     /*  112065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112082 */     // MIs[0] rs1
     /*  112082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112094 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112099 */     GIR_RootConstrainSelectedInstOperands,
     /*  112100 */     // GIR_Coverage, 590,
     /*  112100 */     GIR_Done,
     /*  112101 */   // Label 2938: @112101
     /*  112101 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(112142), // Rule ID 591 //
     /*  112106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112123 */     // MIs[0] rs1
     /*  112123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112135 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112140 */     GIR_RootConstrainSelectedInstOperands,
     /*  112141 */     // GIR_Coverage, 591,
     /*  112141 */     GIR_Done,
     /*  112142 */   // Label 2939: @112142
     /*  112142 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(112183), // Rule ID 592 //
     /*  112147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112164 */     // MIs[0] rs1
     /*  112164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112176 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112181 */     GIR_RootConstrainSelectedInstOperands,
     /*  112182 */     // GIR_Coverage, 592,
     /*  112182 */     GIR_Done,
     /*  112183 */   // Label 2940: @112183
     /*  112183 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(112224), // Rule ID 593 //
     /*  112188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112205 */     // MIs[0] rs1
     /*  112205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112217 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112222 */     GIR_RootConstrainSelectedInstOperands,
     /*  112223 */     // GIR_Coverage, 593,
     /*  112223 */     GIR_Done,
     /*  112224 */   // Label 2941: @112224
     /*  112224 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(112265), // Rule ID 594 //
     /*  112229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112246 */     // MIs[0] rs1
     /*  112246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112258 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112263 */     GIR_RootConstrainSelectedInstOperands,
     /*  112264 */     // GIR_Coverage, 594,
     /*  112264 */     GIR_Done,
     /*  112265 */   // Label 2942: @112265
     /*  112265 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(112306), // Rule ID 833 //
     /*  112270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112287 */     // MIs[0] rs1
     /*  112287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112299 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112304 */     GIR_RootConstrainSelectedInstOperands,
     /*  112305 */     // GIR_Coverage, 833,
     /*  112305 */     GIR_Done,
     /*  112306 */   // Label 2943: @112306
     /*  112306 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(112347), // Rule ID 835 //
     /*  112311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112328 */     // MIs[0] rs1
     /*  112328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112340 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  112345 */     GIR_RootConstrainSelectedInstOperands,
     /*  112346 */     // GIR_Coverage, 835,
     /*  112346 */     GIR_Done,
     /*  112347 */   // Label 2944: @112347
     /*  112347 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(112388), // Rule ID 837 //
     /*  112352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112369 */     // MIs[0] rs1
     /*  112369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112381 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  112386 */     GIR_RootConstrainSelectedInstOperands,
     /*  112387 */     // GIR_Coverage, 837,
     /*  112387 */     GIR_Done,
     /*  112388 */   // Label 2945: @112388
     /*  112388 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(112429), // Rule ID 839 //
     /*  112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112410 */     // MIs[0] rs1
     /*  112410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112422 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  112427 */     GIR_RootConstrainSelectedInstOperands,
     /*  112428 */     // GIR_Coverage, 839,
     /*  112428 */     GIR_Done,
     /*  112429 */   // Label 2946: @112429
     /*  112429 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(112470), // Rule ID 841 //
     /*  112434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112451 */     // MIs[0] rs1
     /*  112451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112463 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  112468 */     GIR_RootConstrainSelectedInstOperands,
     /*  112469 */     // GIR_Coverage, 841,
     /*  112469 */     GIR_Done,
     /*  112470 */   // Label 2947: @112470
     /*  112470 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(112511), // Rule ID 843 //
     /*  112475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112492 */     // MIs[0] rs1
     /*  112492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112504 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112509 */     GIR_RootConstrainSelectedInstOperands,
     /*  112510 */     // GIR_Coverage, 843,
     /*  112510 */     GIR_Done,
     /*  112511 */   // Label 2948: @112511
     /*  112511 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(112552), // Rule ID 845 //
     /*  112516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112533 */     // MIs[0] rs1
     /*  112533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112545 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112550 */     GIR_RootConstrainSelectedInstOperands,
     /*  112551 */     // GIR_Coverage, 845,
     /*  112551 */     GIR_Done,
     /*  112552 */   // Label 2949: @112552
     /*  112552 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(112593), // Rule ID 847 //
     /*  112557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112574 */     // MIs[0] rs1
     /*  112574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112586 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112591 */     GIR_RootConstrainSelectedInstOperands,
     /*  112592 */     // GIR_Coverage, 847,
     /*  112592 */     GIR_Done,
     /*  112593 */   // Label 2950: @112593
     /*  112593 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(112634), // Rule ID 849 //
     /*  112598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112615 */     // MIs[0] rs1
     /*  112615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112627 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112632 */     GIR_RootConstrainSelectedInstOperands,
     /*  112633 */     // GIR_Coverage, 849,
     /*  112633 */     GIR_Done,
     /*  112634 */   // Label 2951: @112634
     /*  112634 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(112675), // Rule ID 851 //
     /*  112639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112656 */     // MIs[0] rs1
     /*  112656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112668 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112673 */     GIR_RootConstrainSelectedInstOperands,
     /*  112674 */     // GIR_Coverage, 851,
     /*  112674 */     GIR_Done,
     /*  112675 */   // Label 2952: @112675
     /*  112675 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(112716), // Rule ID 1013 //
     /*  112680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112697 */     // MIs[0] rs1
     /*  112697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112709 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112714 */     GIR_RootConstrainSelectedInstOperands,
     /*  112715 */     // GIR_Coverage, 1013,
     /*  112715 */     GIR_Done,
     /*  112716 */   // Label 2953: @112716
     /*  112716 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(112757), // Rule ID 1015 //
     /*  112721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112738 */     // MIs[0] rs1
     /*  112738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112750 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  112755 */     GIR_RootConstrainSelectedInstOperands,
     /*  112756 */     // GIR_Coverage, 1015,
     /*  112756 */     GIR_Done,
     /*  112757 */   // Label 2954: @112757
     /*  112757 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(112798), // Rule ID 1017 //
     /*  112762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112779 */     // MIs[0] rs1
     /*  112779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112791 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  112796 */     GIR_RootConstrainSelectedInstOperands,
     /*  112797 */     // GIR_Coverage, 1017,
     /*  112797 */     GIR_Done,
     /*  112798 */   // Label 2955: @112798
     /*  112798 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(112839), // Rule ID 1019 //
     /*  112803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112820 */     // MIs[0] rs1
     /*  112820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112832 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  112837 */     GIR_RootConstrainSelectedInstOperands,
     /*  112838 */     // GIR_Coverage, 1019,
     /*  112838 */     GIR_Done,
     /*  112839 */   // Label 2956: @112839
     /*  112839 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(112880), // Rule ID 1021 //
     /*  112844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112861 */     // MIs[0] rs1
     /*  112861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112873 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  112878 */     GIR_RootConstrainSelectedInstOperands,
     /*  112879 */     // GIR_Coverage, 1021,
     /*  112879 */     GIR_Done,
     /*  112880 */   // Label 2957: @112880
     /*  112880 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(112921), // Rule ID 1023 //
     /*  112885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112902 */     // MIs[0] rs1
     /*  112902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112914 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112919 */     GIR_RootConstrainSelectedInstOperands,
     /*  112920 */     // GIR_Coverage, 1023,
     /*  112920 */     GIR_Done,
     /*  112921 */   // Label 2958: @112921
     /*  112921 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(112962), // Rule ID 1025 //
     /*  112926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112943 */     // MIs[0] rs1
     /*  112943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112955 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112960 */     GIR_RootConstrainSelectedInstOperands,
     /*  112961 */     // GIR_Coverage, 1025,
     /*  112961 */     GIR_Done,
     /*  112962 */   // Label 2959: @112962
     /*  112962 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(113003), // Rule ID 1027 //
     /*  112967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112984 */     // MIs[0] rs1
     /*  112984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112996 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113001 */     GIR_RootConstrainSelectedInstOperands,
     /*  113002 */     // GIR_Coverage, 1027,
     /*  113002 */     GIR_Done,
     /*  113003 */   // Label 2960: @113003
     /*  113003 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(113044), // Rule ID 1029 //
     /*  113008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  113011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  113018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  113021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113025 */     // MIs[0] rs1
     /*  113025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  113029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113037 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113042 */     GIR_RootConstrainSelectedInstOperands,
     /*  113043 */     // GIR_Coverage, 1029,
     /*  113043 */     GIR_Done,
     /*  113044 */   // Label 2961: @113044
     /*  113044 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(113085), // Rule ID 1031 //
     /*  113049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  113052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  113059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  113062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113066 */     // MIs[0] rs1
     /*  113066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  113070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113078 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113083 */     GIR_RootConstrainSelectedInstOperands,
     /*  113084 */     // GIR_Coverage, 1031,
     /*  113084 */     GIR_Done,
     /*  113085 */   // Label 2962: @113085
     /*  113085 */   GIM_Reject,
     /*  113086 */ // Label 2922: @113086
     /*  113086 */ GIM_Reject,
     /*  113087 */ // Label 2890: @113087
     /*  113087 */ GIM_Reject,
     /*  113088 */ // Label 36: @113088
     /*  113088 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2965*/ GIMT_Encode4(113305),
     /*  113099 */ /*GILLT_s32*//*Label 2963*/ GIMT_Encode4(113107),
     /*  113103 */ /*GILLT_s64*//*Label 2964*/ GIMT_Encode4(113206),
     /*  113107 */ // Label 2963: @113107
     /*  113107 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(113133), // Rule ID 245 //
     /*  113112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113115 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  113119 */   // MIs[0] Operand 1
     /*  113119 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113122 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  113122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  113128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113131 */   GIR_RootConstrainSelectedInstOperands,
     /*  113132 */   // GIR_Coverage, 245,
     /*  113132 */   GIR_EraseRootFromParent_Done,
     /*  113133 */ // Label 2966: @113133
     /*  113133 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(113159), // Rule ID 247 //
     /*  113138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113141 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  113145 */   // MIs[0] Operand 1
     /*  113145 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113148 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  113148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  113157 */   GIR_RootConstrainSelectedInstOperands,
     /*  113158 */   // GIR_Coverage, 247,
     /*  113158 */   GIR_EraseRootFromParent_Done,
     /*  113159 */ // Label 2967: @113159
     /*  113159 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(113179), // Rule ID 249 //
     /*  113164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113167 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  113171 */   // MIs[0] Operand 1
     /*  113171 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113174 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  113174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  113177 */   GIR_RootConstrainSelectedInstOperands,
     /*  113178 */   // GIR_Coverage, 249,
     /*  113178 */   GIR_EraseRootFromParent_Done,
     /*  113179 */ // Label 2968: @113179
     /*  113179 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(113205), // Rule ID 251 //
     /*  113184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113187 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  113191 */   // MIs[0] Operand 1
     /*  113191 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113194 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113203 */   GIR_RootConstrainSelectedInstOperands,
     /*  113204 */   // GIR_Coverage, 251,
     /*  113204 */   GIR_EraseRootFromParent_Done,
     /*  113205 */ // Label 2969: @113205
     /*  113205 */ GIM_Reject,
     /*  113206 */ // Label 2964: @113206
     /*  113206 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(113232), // Rule ID 244 //
     /*  113211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113214 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  113218 */   // MIs[0] Operand 1
     /*  113218 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113221 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  113221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  113227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113230 */   GIR_RootConstrainSelectedInstOperands,
     /*  113231 */   // GIR_Coverage, 244,
     /*  113231 */   GIR_EraseRootFromParent_Done,
     /*  113232 */ // Label 2970: @113232
     /*  113232 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(113258), // Rule ID 246 //
     /*  113237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113240 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  113244 */   // MIs[0] Operand 1
     /*  113244 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113247 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  113247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  113256 */   GIR_RootConstrainSelectedInstOperands,
     /*  113257 */   // GIR_Coverage, 246,
     /*  113257 */   GIR_EraseRootFromParent_Done,
     /*  113258 */ // Label 2971: @113258
     /*  113258 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(113278), // Rule ID 248 //
     /*  113263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113266 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  113270 */   // MIs[0] Operand 1
     /*  113270 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113273 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  113273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  113276 */   GIR_RootConstrainSelectedInstOperands,
     /*  113277 */   // GIR_Coverage, 248,
     /*  113277 */   GIR_EraseRootFromParent_Done,
     /*  113278 */ // Label 2972: @113278
     /*  113278 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(113304), // Rule ID 250 //
     /*  113283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113286 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  113290 */   // MIs[0] Operand 1
     /*  113290 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113293 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113302 */   GIR_RootConstrainSelectedInstOperands,
     /*  113303 */   // GIR_Coverage, 250,
     /*  113303 */   GIR_EraseRootFromParent_Done,
     /*  113304 */ // Label 2973: @113304
     /*  113304 */ GIM_Reject,
     /*  113305 */ // Label 2965: @113305
     /*  113305 */ GIM_Reject,
     /*  113306 */ // Label 37: @113306
     /*  113306 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(114791),
     /*  113311 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  113314 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(113359), // Rule ID 2572 //
     /*  113319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113357 */     GIR_RootConstrainSelectedInstOperands,
     /*  113358 */     // GIR_Coverage, 2572,
     /*  113358 */     GIR_EraseRootFromParent_Done,
     /*  113359 */   // Label 2975: @113359
     /*  113359 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(113404), // Rule ID 2573 //
     /*  113364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113402 */     GIR_RootConstrainSelectedInstOperands,
     /*  113403 */     // GIR_Coverage, 2573,
     /*  113403 */     GIR_EraseRootFromParent_Done,
     /*  113404 */   // Label 2976: @113404
     /*  113404 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(113449), // Rule ID 23114 //
     /*  113409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  113420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  113437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113447 */     GIR_RootConstrainSelectedInstOperands,
     /*  113448 */     // GIR_Coverage, 23114,
     /*  113448 */     GIR_EraseRootFromParent_Done,
     /*  113449 */   // Label 2977: @113449
     /*  113449 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(113494), // Rule ID 23115 //
     /*  113454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  113465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  113482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113492 */     GIR_RootConstrainSelectedInstOperands,
     /*  113493 */     // GIR_Coverage, 23115,
     /*  113493 */     GIR_EraseRootFromParent_Done,
     /*  113494 */   // Label 2978: @113494
     /*  113494 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(113539), // Rule ID 23116 //
     /*  113499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  113510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  113527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113537 */     GIR_RootConstrainSelectedInstOperands,
     /*  113538 */     // GIR_Coverage, 23116,
     /*  113538 */     GIR_EraseRootFromParent_Done,
     /*  113539 */   // Label 2979: @113539
     /*  113539 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(113584), // Rule ID 23117 //
     /*  113544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  113555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  113572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113582 */     GIR_RootConstrainSelectedInstOperands,
     /*  113583 */     // GIR_Coverage, 23117,
     /*  113583 */     GIR_EraseRootFromParent_Done,
     /*  113584 */   // Label 2980: @113584
     /*  113584 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(113629), // Rule ID 23118 //
     /*  113589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  113600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  113617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113627 */     GIR_RootConstrainSelectedInstOperands,
     /*  113628 */     // GIR_Coverage, 23118,
     /*  113628 */     GIR_EraseRootFromParent_Done,
     /*  113629 */   // Label 2981: @113629
     /*  113629 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(113674), // Rule ID 23119 //
     /*  113634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  113645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113659 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  113662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113672 */     GIR_RootConstrainSelectedInstOperands,
     /*  113673 */     // GIR_Coverage, 23119,
     /*  113673 */     GIR_EraseRootFromParent_Done,
     /*  113674 */   // Label 2982: @113674
     /*  113674 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(113719), // Rule ID 23120 //
     /*  113679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  113690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  113707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113717 */     GIR_RootConstrainSelectedInstOperands,
     /*  113718 */     // GIR_Coverage, 23120,
     /*  113718 */     GIR_EraseRootFromParent_Done,
     /*  113719 */   // Label 2983: @113719
     /*  113719 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(113764), // Rule ID 23121 //
     /*  113724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  113735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  113752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113762 */     GIR_RootConstrainSelectedInstOperands,
     /*  113763 */     // GIR_Coverage, 23121,
     /*  113763 */     GIR_EraseRootFromParent_Done,
     /*  113764 */   // Label 2984: @113764
     /*  113764 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(113809), // Rule ID 23122 //
     /*  113769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  113780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113794 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  113797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113807 */     GIR_RootConstrainSelectedInstOperands,
     /*  113808 */     // GIR_Coverage, 23122,
     /*  113808 */     GIR_EraseRootFromParent_Done,
     /*  113809 */   // Label 2985: @113809
     /*  113809 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(113854), // Rule ID 23123 //
     /*  113814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  113825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  113842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113852 */     GIR_RootConstrainSelectedInstOperands,
     /*  113853 */     // GIR_Coverage, 23123,
     /*  113853 */     GIR_EraseRootFromParent_Done,
     /*  113854 */   // Label 2986: @113854
     /*  113854 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(113899), // Rule ID 23124 //
     /*  113859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  113870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  113887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113897 */     GIR_RootConstrainSelectedInstOperands,
     /*  113898 */     // GIR_Coverage, 23124,
     /*  113898 */     GIR_EraseRootFromParent_Done,
     /*  113899 */   // Label 2987: @113899
     /*  113899 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(113944), // Rule ID 23125 //
     /*  113904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  113915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113929 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11070:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  113932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113942 */     GIR_RootConstrainSelectedInstOperands,
     /*  113943 */     // GIR_Coverage, 23125,
     /*  113943 */     GIR_EraseRootFromParent_Done,
     /*  113944 */   // Label 2988: @113944
     /*  113944 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(113989), // Rule ID 23126 //
     /*  113949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  113957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  113977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113987 */     GIR_RootConstrainSelectedInstOperands,
     /*  113988 */     // GIR_Coverage, 23126,
     /*  113988 */     GIR_EraseRootFromParent_Done,
     /*  113989 */   // Label 2989: @113989
     /*  113989 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(114034), // Rule ID 23127 //
     /*  113994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  114022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114032 */     GIR_RootConstrainSelectedInstOperands,
     /*  114033 */     // GIR_Coverage, 23127,
     /*  114033 */     GIR_EraseRootFromParent_Done,
     /*  114034 */   // Label 2990: @114034
     /*  114034 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(114079), // Rule ID 23128 //
     /*  114039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  114050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  114067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114077 */     GIR_RootConstrainSelectedInstOperands,
     /*  114078 */     // GIR_Coverage, 23128,
     /*  114078 */     GIR_EraseRootFromParent_Done,
     /*  114079 */   // Label 2991: @114079
     /*  114079 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(114124), // Rule ID 23129 //
     /*  114084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  114095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  114112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114122 */     GIR_RootConstrainSelectedInstOperands,
     /*  114123 */     // GIR_Coverage, 23129,
     /*  114123 */     GIR_EraseRootFromParent_Done,
     /*  114124 */   // Label 2992: @114124
     /*  114124 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(114169), // Rule ID 23130 //
     /*  114129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  114140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  114157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114167 */     GIR_RootConstrainSelectedInstOperands,
     /*  114168 */     // GIR_Coverage, 23130,
     /*  114168 */     GIR_EraseRootFromParent_Done,
     /*  114169 */   // Label 2993: @114169
     /*  114169 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(114214), // Rule ID 23131 //
     /*  114174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  114185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114212 */     GIR_RootConstrainSelectedInstOperands,
     /*  114213 */     // GIR_Coverage, 23131,
     /*  114213 */     GIR_EraseRootFromParent_Done,
     /*  114214 */   // Label 2994: @114214
     /*  114214 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(114259), // Rule ID 23132 //
     /*  114219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  114230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  114247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114257 */     GIR_RootConstrainSelectedInstOperands,
     /*  114258 */     // GIR_Coverage, 23132,
     /*  114258 */     GIR_EraseRootFromParent_Done,
     /*  114259 */   // Label 2995: @114259
     /*  114259 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(114304), // Rule ID 23133 //
     /*  114264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  114275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  114292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114302 */     GIR_RootConstrainSelectedInstOperands,
     /*  114303 */     // GIR_Coverage, 23133,
     /*  114303 */     GIR_EraseRootFromParent_Done,
     /*  114304 */   // Label 2996: @114304
     /*  114304 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(114349), // Rule ID 23134 //
     /*  114309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  114320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  114337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114347 */     GIR_RootConstrainSelectedInstOperands,
     /*  114348 */     // GIR_Coverage, 23134,
     /*  114348 */     GIR_EraseRootFromParent_Done,
     /*  114349 */   // Label 2997: @114349
     /*  114349 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(114394), // Rule ID 23135 //
     /*  114354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  114365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114379 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  114382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114392 */     GIR_RootConstrainSelectedInstOperands,
     /*  114393 */     // GIR_Coverage, 23135,
     /*  114393 */     GIR_EraseRootFromParent_Done,
     /*  114394 */   // Label 2998: @114394
     /*  114394 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(114439), // Rule ID 23136 //
     /*  114399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  114410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  114427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114437 */     GIR_RootConstrainSelectedInstOperands,
     /*  114438 */     // GIR_Coverage, 23136,
     /*  114438 */     GIR_EraseRootFromParent_Done,
     /*  114439 */   // Label 2999: @114439
     /*  114439 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(114484), // Rule ID 23137 //
     /*  114444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  114455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114469 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  114472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114482 */     GIR_RootConstrainSelectedInstOperands,
     /*  114483 */     // GIR_Coverage, 23137,
     /*  114483 */     GIR_EraseRootFromParent_Done,
     /*  114484 */   // Label 3000: @114484
     /*  114484 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(114529), // Rule ID 23138 //
     /*  114489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  114500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114514 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  114517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114527 */     GIR_RootConstrainSelectedInstOperands,
     /*  114528 */     // GIR_Coverage, 23138,
     /*  114528 */     GIR_EraseRootFromParent_Done,
     /*  114529 */   // Label 3001: @114529
     /*  114529 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(114574), // Rule ID 23139 //
     /*  114534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  114545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114559 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  114562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114572 */     GIR_RootConstrainSelectedInstOperands,
     /*  114573 */     // GIR_Coverage, 23139,
     /*  114573 */     GIR_EraseRootFromParent_Done,
     /*  114574 */   // Label 3002: @114574
     /*  114574 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(114610), // Rule ID 2509 //
     /*  114579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  114582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  114587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114601 */     // (intrinsic_wo_chain:{ *:[i64] } 10629:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  114604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114608 */     GIR_RootConstrainSelectedInstOperands,
     /*  114609 */     // GIR_Coverage, 2509,
     /*  114609 */     GIR_EraseRootFromParent_Done,
     /*  114610 */   // Label 3003: @114610
     /*  114610 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(114646), // Rule ID 2530 //
     /*  114615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  114623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114637 */     // (intrinsic_wo_chain:{ *:[i64] } 10765:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  114640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114644 */     GIR_RootConstrainSelectedInstOperands,
     /*  114645 */     // GIR_Coverage, 2530,
     /*  114645 */     GIR_EraseRootFromParent_Done,
     /*  114646 */   // Label 3004: @114646
     /*  114646 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(114682), // Rule ID 2531 //
     /*  114651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  114659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114673 */     // (intrinsic_wo_chain:{ *:[i64] } 10768:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  114676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114680 */     GIR_RootConstrainSelectedInstOperands,
     /*  114681 */     // GIR_Coverage, 2531,
     /*  114681 */     GIR_EraseRootFromParent_Done,
     /*  114682 */   // Label 3005: @114682
     /*  114682 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(114718), // Rule ID 2532 //
     /*  114687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  114695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114709 */     // (intrinsic_wo_chain:{ *:[i64] } 10771:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  114712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114716 */     GIR_RootConstrainSelectedInstOperands,
     /*  114717 */     // GIR_Coverage, 2532,
     /*  114717 */     GIR_EraseRootFromParent_Done,
     /*  114718 */   // Label 3006: @114718
     /*  114718 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(114754), // Rule ID 2533 //
     /*  114723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  114731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114745 */     // (intrinsic_wo_chain:{ *:[i64] } 10773:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  114748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114752 */     GIR_RootConstrainSelectedInstOperands,
     /*  114753 */     // GIR_Coverage, 2533,
     /*  114753 */     GIR_EraseRootFromParent_Done,
     /*  114754 */   // Label 3007: @114754
     /*  114754 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(114790), // Rule ID 63755 //
     /*  114759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  114762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  114767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  114770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114781 */     // (intrinsic_wo_chain:{ *:[i32] } 10649:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  114781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  114784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114788 */     GIR_RootConstrainSelectedInstOperands,
     /*  114789 */     // GIR_Coverage, 63755,
     /*  114789 */     GIR_EraseRootFromParent_Done,
     /*  114790 */   // Label 3008: @114790
     /*  114790 */   GIM_Reject,
     /*  114791 */ // Label 2974: @114791
     /*  114791 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(122079),
     /*  114796 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  114799 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(114853), // Rule ID 2542 //
     /*  114804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  114812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  114821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114836 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  114839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114851 */     GIR_RootConstrainSelectedInstOperands,
     /*  114852 */     // GIR_Coverage, 2542,
     /*  114852 */     GIR_EraseRootFromParent_Done,
     /*  114853 */   // Label 3010: @114853
     /*  114853 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(114907), // Rule ID 2543 //
     /*  114858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  114866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  114869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  114875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114890 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  114893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114905 */     GIR_RootConstrainSelectedInstOperands,
     /*  114906 */     // GIR_Coverage, 2543,
     /*  114906 */     GIR_EraseRootFromParent_Done,
     /*  114907 */   // Label 3011: @114907
     /*  114907 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(114961), // Rule ID 2548 //
     /*  114912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  114920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  114929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  114947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114959 */     GIR_RootConstrainSelectedInstOperands,
     /*  114960 */     // GIR_Coverage, 2548,
     /*  114960 */     GIR_EraseRootFromParent_Done,
     /*  114961 */   // Label 3012: @114961
     /*  114961 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(115015), // Rule ID 2549 //
     /*  114966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  114974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  114983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  115001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115013 */     GIR_RootConstrainSelectedInstOperands,
     /*  115014 */     // GIR_Coverage, 2549,
     /*  115014 */     GIR_EraseRootFromParent_Done,
     /*  115015 */   // Label 3013: @115015
     /*  115015 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(115072), // Rule ID 2568 //
     /*  115020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  115028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  115031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  115052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  115055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  115059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115070 */     GIR_RootConstrainSelectedInstOperands,
     /*  115071 */     // GIR_Coverage, 2568,
     /*  115071 */     GIR_EraseRootFromParent_Done,
     /*  115072 */   // Label 3014: @115072
     /*  115072 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(115129), // Rule ID 2569 //
     /*  115077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  115085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  115088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  115109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  115112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  115116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115127 */     GIR_RootConstrainSelectedInstOperands,
     /*  115128 */     // GIR_Coverage, 2569,
     /*  115128 */     GIR_EraseRootFromParent_Done,
     /*  115129 */   // Label 3015: @115129
     /*  115129 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(115183), // Rule ID 23140 //
     /*  115134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115166 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  115169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 23140,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 3016: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(115237), // Rule ID 23141 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115220 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  115223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115235 */     GIR_RootConstrainSelectedInstOperands,
     /*  115236 */     // GIR_Coverage, 23141,
     /*  115236 */     GIR_EraseRootFromParent_Done,
     /*  115237 */   // Label 3017: @115237
     /*  115237 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(115291), // Rule ID 23144 //
     /*  115242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  115256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115274 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  115277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115289 */     GIR_RootConstrainSelectedInstOperands,
     /*  115290 */     // GIR_Coverage, 23144,
     /*  115290 */     GIR_EraseRootFromParent_Done,
     /*  115291 */   // Label 3018: @115291
     /*  115291 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(115345), // Rule ID 23145 //
     /*  115296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  115310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115328 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  115331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115343 */     GIR_RootConstrainSelectedInstOperands,
     /*  115344 */     // GIR_Coverage, 23145,
     /*  115344 */     GIR_EraseRootFromParent_Done,
     /*  115345 */   // Label 3019: @115345
     /*  115345 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(115399), // Rule ID 23148 //
     /*  115350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  115364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115382 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  115385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115397 */     GIR_RootConstrainSelectedInstOperands,
     /*  115398 */     // GIR_Coverage, 23148,
     /*  115398 */     GIR_EraseRootFromParent_Done,
     /*  115399 */   // Label 3020: @115399
     /*  115399 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(115453), // Rule ID 23149 //
     /*  115404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  115418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115436 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  115439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 23149,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 3021: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(115507), // Rule ID 23152 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  115472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115490 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  115493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115505 */     GIR_RootConstrainSelectedInstOperands,
     /*  115506 */     // GIR_Coverage, 23152,
     /*  115506 */     GIR_EraseRootFromParent_Done,
     /*  115507 */   // Label 3022: @115507
     /*  115507 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(115561), // Rule ID 23153 //
     /*  115512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  115526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115544 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  115547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115559 */     GIR_RootConstrainSelectedInstOperands,
     /*  115560 */     // GIR_Coverage, 23153,
     /*  115560 */     GIR_EraseRootFromParent_Done,
     /*  115561 */   // Label 3023: @115561
     /*  115561 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(115615), // Rule ID 23156 //
     /*  115566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  115580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115598 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  115601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115613 */     GIR_RootConstrainSelectedInstOperands,
     /*  115614 */     // GIR_Coverage, 23156,
     /*  115614 */     GIR_EraseRootFromParent_Done,
     /*  115615 */   // Label 3024: @115615
     /*  115615 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(115669), // Rule ID 23157 //
     /*  115620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  115634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115652 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  115655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115667 */     GIR_RootConstrainSelectedInstOperands,
     /*  115668 */     // GIR_Coverage, 23157,
     /*  115668 */     GIR_EraseRootFromParent_Done,
     /*  115669 */   // Label 3025: @115669
     /*  115669 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(115723), // Rule ID 23160 //
     /*  115674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  115688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115706 */     // (intrinsic_wo_chain:{ *:[i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  115709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115721 */     GIR_RootConstrainSelectedInstOperands,
     /*  115722 */     // GIR_Coverage, 23160,
     /*  115722 */     GIR_EraseRootFromParent_Done,
     /*  115723 */   // Label 3026: @115723
     /*  115723 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(115777), // Rule ID 23161 //
     /*  115728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  115742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115760 */     // (intrinsic_wo_chain:{ *:[i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  115763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115775 */     GIR_RootConstrainSelectedInstOperands,
     /*  115776 */     // GIR_Coverage, 23161,
     /*  115776 */     GIR_EraseRootFromParent_Done,
     /*  115777 */   // Label 3027: @115777
     /*  115777 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(115831), // Rule ID 23164 //
     /*  115782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  115796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115814 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115829 */     GIR_RootConstrainSelectedInstOperands,
     /*  115830 */     // GIR_Coverage, 23164,
     /*  115830 */     GIR_EraseRootFromParent_Done,
     /*  115831 */   // Label 3028: @115831
     /*  115831 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(115885), // Rule ID 23165 //
     /*  115836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  115850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115868 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  115871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115883 */     GIR_RootConstrainSelectedInstOperands,
     /*  115884 */     // GIR_Coverage, 23165,
     /*  115884 */     GIR_EraseRootFromParent_Done,
     /*  115885 */   // Label 3029: @115885
     /*  115885 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(115939), // Rule ID 23168 //
     /*  115890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115922 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  115925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115937 */     GIR_RootConstrainSelectedInstOperands,
     /*  115938 */     // GIR_Coverage, 23168,
     /*  115938 */     GIR_EraseRootFromParent_Done,
     /*  115939 */   // Label 3030: @115939
     /*  115939 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(115993), // Rule ID 23169 //
     /*  115944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115976 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  115979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115991 */     GIR_RootConstrainSelectedInstOperands,
     /*  115992 */     // GIR_Coverage, 23169,
     /*  115992 */     GIR_EraseRootFromParent_Done,
     /*  115993 */   // Label 3031: @115993
     /*  115993 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(116047), // Rule ID 23172 //
     /*  115998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116030 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  116033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116045 */     GIR_RootConstrainSelectedInstOperands,
     /*  116046 */     // GIR_Coverage, 23172,
     /*  116046 */     GIR_EraseRootFromParent_Done,
     /*  116047 */   // Label 3032: @116047
     /*  116047 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(116101), // Rule ID 23173 //
     /*  116052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116084 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  116087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116099 */     GIR_RootConstrainSelectedInstOperands,
     /*  116100 */     // GIR_Coverage, 23173,
     /*  116100 */     GIR_EraseRootFromParent_Done,
     /*  116101 */   // Label 3033: @116101
     /*  116101 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(116155), // Rule ID 23176 //
     /*  116106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116138 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  116141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116153 */     GIR_RootConstrainSelectedInstOperands,
     /*  116154 */     // GIR_Coverage, 23176,
     /*  116154 */     GIR_EraseRootFromParent_Done,
     /*  116155 */   // Label 3034: @116155
     /*  116155 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(116209), // Rule ID 23177 //
     /*  116160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116192 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  116195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116207 */     GIR_RootConstrainSelectedInstOperands,
     /*  116208 */     // GIR_Coverage, 23177,
     /*  116208 */     GIR_EraseRootFromParent_Done,
     /*  116209 */   // Label 3035: @116209
     /*  116209 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(116263), // Rule ID 23180 //
     /*  116214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116246 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  116249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116261 */     GIR_RootConstrainSelectedInstOperands,
     /*  116262 */     // GIR_Coverage, 23180,
     /*  116262 */     GIR_EraseRootFromParent_Done,
     /*  116263 */   // Label 3036: @116263
     /*  116263 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(116317), // Rule ID 23181 //
     /*  116268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116300 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  116303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116315 */     GIR_RootConstrainSelectedInstOperands,
     /*  116316 */     // GIR_Coverage, 23181,
     /*  116316 */     GIR_EraseRootFromParent_Done,
     /*  116317 */   // Label 3037: @116317
     /*  116317 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(116371), // Rule ID 23184 //
     /*  116322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116354 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  116357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116369 */     GIR_RootConstrainSelectedInstOperands,
     /*  116370 */     // GIR_Coverage, 23184,
     /*  116370 */     GIR_EraseRootFromParent_Done,
     /*  116371 */   // Label 3038: @116371
     /*  116371 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(116425), // Rule ID 23185 //
     /*  116376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116408 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  116411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116423 */     GIR_RootConstrainSelectedInstOperands,
     /*  116424 */     // GIR_Coverage, 23185,
     /*  116424 */     GIR_EraseRootFromParent_Done,
     /*  116425 */   // Label 3039: @116425
     /*  116425 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(116479), // Rule ID 23188 //
     /*  116430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  116444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116462 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  116465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116477 */     GIR_RootConstrainSelectedInstOperands,
     /*  116478 */     // GIR_Coverage, 23188,
     /*  116478 */     GIR_EraseRootFromParent_Done,
     /*  116479 */   // Label 3040: @116479
     /*  116479 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(116533), // Rule ID 23189 //
     /*  116484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  116498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116516 */     // (intrinsic_wo_chain:{ *:[i32] } 10855:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  116519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116531 */     GIR_RootConstrainSelectedInstOperands,
     /*  116532 */     // GIR_Coverage, 23189,
     /*  116532 */     GIR_EraseRootFromParent_Done,
     /*  116533 */   // Label 3041: @116533
     /*  116533 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(116587), // Rule ID 23192 //
     /*  116538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  116549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  116552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  116573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116585 */     GIR_RootConstrainSelectedInstOperands,
     /*  116586 */     // GIR_Coverage, 23192,
     /*  116586 */     GIR_EraseRootFromParent_Done,
     /*  116587 */   // Label 3042: @116587
     /*  116587 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(116641), // Rule ID 23193 //
     /*  116592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  116603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  116606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  116627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116639 */     GIR_RootConstrainSelectedInstOperands,
     /*  116640 */     // GIR_Coverage, 23193,
     /*  116640 */     GIR_EraseRootFromParent_Done,
     /*  116641 */   // Label 3043: @116641
     /*  116641 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(116695), // Rule ID 23196 //
     /*  116646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  116657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  116681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116693 */     GIR_RootConstrainSelectedInstOperands,
     /*  116694 */     // GIR_Coverage, 23196,
     /*  116694 */     GIR_EraseRootFromParent_Done,
     /*  116695 */   // Label 3044: @116695
     /*  116695 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(116749), // Rule ID 23197 //
     /*  116700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  116711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  116735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116747 */     GIR_RootConstrainSelectedInstOperands,
     /*  116748 */     // GIR_Coverage, 23197,
     /*  116748 */     GIR_EraseRootFromParent_Done,
     /*  116749 */   // Label 3045: @116749
     /*  116749 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(116803), // Rule ID 23200 //
     /*  116754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  116765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  116789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116801 */     GIR_RootConstrainSelectedInstOperands,
     /*  116802 */     // GIR_Coverage, 23200,
     /*  116802 */     GIR_EraseRootFromParent_Done,
     /*  116803 */   // Label 3046: @116803
     /*  116803 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(116857), // Rule ID 23201 //
     /*  116808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  116819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  116843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116855 */     GIR_RootConstrainSelectedInstOperands,
     /*  116856 */     // GIR_Coverage, 23201,
     /*  116856 */     GIR_EraseRootFromParent_Done,
     /*  116857 */   // Label 3047: @116857
     /*  116857 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(116911), // Rule ID 23204 //
     /*  116862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  116873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  116897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116909 */     GIR_RootConstrainSelectedInstOperands,
     /*  116910 */     // GIR_Coverage, 23204,
     /*  116910 */     GIR_EraseRootFromParent_Done,
     /*  116911 */   // Label 3048: @116911
     /*  116911 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(116965), // Rule ID 23205 //
     /*  116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  116927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  116951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116963 */     GIR_RootConstrainSelectedInstOperands,
     /*  116964 */     // GIR_Coverage, 23205,
     /*  116964 */     GIR_EraseRootFromParent_Done,
     /*  116965 */   // Label 3049: @116965
     /*  116965 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(117019), // Rule ID 23208 //
     /*  116970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  116981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  117005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117017 */     GIR_RootConstrainSelectedInstOperands,
     /*  117018 */     // GIR_Coverage, 23208,
     /*  117018 */     GIR_EraseRootFromParent_Done,
     /*  117019 */   // Label 3050: @117019
     /*  117019 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(117073), // Rule ID 23209 //
     /*  117024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  117059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117071 */     GIR_RootConstrainSelectedInstOperands,
     /*  117072 */     // GIR_Coverage, 23209,
     /*  117072 */     GIR_EraseRootFromParent_Done,
     /*  117073 */   // Label 3051: @117073
     /*  117073 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(117127), // Rule ID 23212 //
     /*  117078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117110 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  117113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117125 */     GIR_RootConstrainSelectedInstOperands,
     /*  117126 */     // GIR_Coverage, 23212,
     /*  117126 */     GIR_EraseRootFromParent_Done,
     /*  117127 */   // Label 3052: @117127
     /*  117127 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(117181), // Rule ID 23213 //
     /*  117132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117164 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  117167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117179 */     GIR_RootConstrainSelectedInstOperands,
     /*  117180 */     // GIR_Coverage, 23213,
     /*  117180 */     GIR_EraseRootFromParent_Done,
     /*  117181 */   // Label 3053: @117181
     /*  117181 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(117235), // Rule ID 23216 //
     /*  117186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  117221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117233 */     GIR_RootConstrainSelectedInstOperands,
     /*  117234 */     // GIR_Coverage, 23216,
     /*  117234 */     GIR_EraseRootFromParent_Done,
     /*  117235 */   // Label 3054: @117235
     /*  117235 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(117289), // Rule ID 23217 //
     /*  117240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  117275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117287 */     GIR_RootConstrainSelectedInstOperands,
     /*  117288 */     // GIR_Coverage, 23217,
     /*  117288 */     GIR_EraseRootFromParent_Done,
     /*  117289 */   // Label 3055: @117289
     /*  117289 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(117343), // Rule ID 23220 //
     /*  117294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  117305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  117329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117341 */     GIR_RootConstrainSelectedInstOperands,
     /*  117342 */     // GIR_Coverage, 23220,
     /*  117342 */     GIR_EraseRootFromParent_Done,
     /*  117343 */   // Label 3056: @117343
     /*  117343 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(117397), // Rule ID 23221 //
     /*  117348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  117359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  117383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117395 */     GIR_RootConstrainSelectedInstOperands,
     /*  117396 */     // GIR_Coverage, 23221,
     /*  117396 */     GIR_EraseRootFromParent_Done,
     /*  117397 */   // Label 3057: @117397
     /*  117397 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(117451), // Rule ID 23224 //
     /*  117402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  117413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  117416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  117437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117449 */     GIR_RootConstrainSelectedInstOperands,
     /*  117450 */     // GIR_Coverage, 23224,
     /*  117450 */     GIR_EraseRootFromParent_Done,
     /*  117451 */   // Label 3058: @117451
     /*  117451 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(117505), // Rule ID 23225 //
     /*  117456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  117467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  117470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  117491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117503 */     GIR_RootConstrainSelectedInstOperands,
     /*  117504 */     // GIR_Coverage, 23225,
     /*  117504 */     GIR_EraseRootFromParent_Done,
     /*  117505 */   // Label 3059: @117505
     /*  117505 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(117559), // Rule ID 23228 //
     /*  117510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  117521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  117524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  117545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117557 */     GIR_RootConstrainSelectedInstOperands,
     /*  117558 */     // GIR_Coverage, 23228,
     /*  117558 */     GIR_EraseRootFromParent_Done,
     /*  117559 */   // Label 3060: @117559
     /*  117559 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(117613), // Rule ID 23229 //
     /*  117564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  117575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  117578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  117599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117611 */     GIR_RootConstrainSelectedInstOperands,
     /*  117612 */     // GIR_Coverage, 23229,
     /*  117612 */     GIR_EraseRootFromParent_Done,
     /*  117613 */   // Label 3061: @117613
     /*  117613 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(117667), // Rule ID 23232 //
     /*  117618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  117629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  117632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117650 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  117653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117665 */     GIR_RootConstrainSelectedInstOperands,
     /*  117666 */     // GIR_Coverage, 23232,
     /*  117666 */     GIR_EraseRootFromParent_Done,
     /*  117667 */   // Label 3062: @117667
     /*  117667 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(117721), // Rule ID 23233 //
     /*  117672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  117683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  117686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  117707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117719 */     GIR_RootConstrainSelectedInstOperands,
     /*  117720 */     // GIR_Coverage, 23233,
     /*  117720 */     GIR_EraseRootFromParent_Done,
     /*  117721 */   // Label 3063: @117721
     /*  117721 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(117775), // Rule ID 23236 //
     /*  117726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117758 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  117761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117773 */     GIR_RootConstrainSelectedInstOperands,
     /*  117774 */     // GIR_Coverage, 23236,
     /*  117774 */     GIR_EraseRootFromParent_Done,
     /*  117775 */   // Label 3064: @117775
     /*  117775 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(117829), // Rule ID 23237 //
     /*  117780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  117815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117827 */     GIR_RootConstrainSelectedInstOperands,
     /*  117828 */     // GIR_Coverage, 23237,
     /*  117828 */     GIR_EraseRootFromParent_Done,
     /*  117829 */   // Label 3065: @117829
     /*  117829 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(117883), // Rule ID 23240 //
     /*  117834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117866 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  117869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117881 */     GIR_RootConstrainSelectedInstOperands,
     /*  117882 */     // GIR_Coverage, 23240,
     /*  117882 */     GIR_EraseRootFromParent_Done,
     /*  117883 */   // Label 3066: @117883
     /*  117883 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(117937), // Rule ID 23241 //
     /*  117888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117920 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11107:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  117923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117935 */     GIR_RootConstrainSelectedInstOperands,
     /*  117936 */     // GIR_Coverage, 23241,
     /*  117936 */     GIR_EraseRootFromParent_Done,
     /*  117937 */   // Label 3067: @117937
     /*  117937 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(117991), // Rule ID 23244 //
     /*  117942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  117950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  117977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117989 */     GIR_RootConstrainSelectedInstOperands,
     /*  117990 */     // GIR_Coverage, 23244,
     /*  117990 */     GIR_EraseRootFromParent_Done,
     /*  117991 */   // Label 3068: @117991
     /*  117991 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(118045), // Rule ID 23245 //
     /*  117996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  118007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  118010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  118031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118043 */     GIR_RootConstrainSelectedInstOperands,
     /*  118044 */     // GIR_Coverage, 23245,
     /*  118044 */     GIR_EraseRootFromParent_Done,
     /*  118045 */   // Label 3069: @118045
     /*  118045 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(118099), // Rule ID 23248 //
     /*  118050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  118061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  118085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118097 */     GIR_RootConstrainSelectedInstOperands,
     /*  118098 */     // GIR_Coverage, 23248,
     /*  118098 */     GIR_EraseRootFromParent_Done,
     /*  118099 */   // Label 3070: @118099
     /*  118099 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(118153), // Rule ID 23249 //
     /*  118104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  118115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  118139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118151 */     GIR_RootConstrainSelectedInstOperands,
     /*  118152 */     // GIR_Coverage, 23249,
     /*  118152 */     GIR_EraseRootFromParent_Done,
     /*  118153 */   // Label 3071: @118153
     /*  118153 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(118207), // Rule ID 23252 //
     /*  118158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  118169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  118193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118205 */     GIR_RootConstrainSelectedInstOperands,
     /*  118206 */     // GIR_Coverage, 23252,
     /*  118206 */     GIR_EraseRootFromParent_Done,
     /*  118207 */   // Label 3072: @118207
     /*  118207 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(118261), // Rule ID 23253 //
     /*  118212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  118223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  118247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118259 */     GIR_RootConstrainSelectedInstOperands,
     /*  118260 */     // GIR_Coverage, 23253,
     /*  118260 */     GIR_EraseRootFromParent_Done,
     /*  118261 */   // Label 3073: @118261
     /*  118261 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(118315), // Rule ID 23256 //
     /*  118266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  118277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  118280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  118301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118313 */     GIR_RootConstrainSelectedInstOperands,
     /*  118314 */     // GIR_Coverage, 23256,
     /*  118314 */     GIR_EraseRootFromParent_Done,
     /*  118315 */   // Label 3074: @118315
     /*  118315 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(118369), // Rule ID 23257 //
     /*  118320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  118331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  118334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  118355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118367 */     GIR_RootConstrainSelectedInstOperands,
     /*  118368 */     // GIR_Coverage, 23257,
     /*  118368 */     GIR_EraseRootFromParent_Done,
     /*  118369 */   // Label 3075: @118369
     /*  118369 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(118423), // Rule ID 23260 //
     /*  118374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  118385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  118388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  118409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118421 */     GIR_RootConstrainSelectedInstOperands,
     /*  118422 */     // GIR_Coverage, 23260,
     /*  118422 */     GIR_EraseRootFromParent_Done,
     /*  118423 */   // Label 3076: @118423
     /*  118423 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(118477), // Rule ID 23261 //
     /*  118428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  118439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  118442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  118463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118475 */     GIR_RootConstrainSelectedInstOperands,
     /*  118476 */     // GIR_Coverage, 23261,
     /*  118476 */     GIR_EraseRootFromParent_Done,
     /*  118477 */   // Label 3077: @118477
     /*  118477 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(118531), // Rule ID 23264 //
     /*  118482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  118493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  118496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118514 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118529 */     GIR_RootConstrainSelectedInstOperands,
     /*  118530 */     // GIR_Coverage, 23264,
     /*  118530 */     GIR_EraseRootFromParent_Done,
     /*  118531 */   // Label 3078: @118531
     /*  118531 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(118585), // Rule ID 23265 //
     /*  118536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  118547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  118550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  118571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118583 */     GIR_RootConstrainSelectedInstOperands,
     /*  118584 */     // GIR_Coverage, 23265,
     /*  118584 */     GIR_EraseRootFromParent_Done,
     /*  118585 */   // Label 3079: @118585
     /*  118585 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(118639), // Rule ID 23268 //
     /*  118590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  118601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  118604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118622 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  118625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118637 */     GIR_RootConstrainSelectedInstOperands,
     /*  118638 */     // GIR_Coverage, 23268,
     /*  118638 */     GIR_EraseRootFromParent_Done,
     /*  118639 */   // Label 3080: @118639
     /*  118639 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(118693), // Rule ID 23269 //
     /*  118644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  118655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  118658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118676 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11119:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  118679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118691 */     GIR_RootConstrainSelectedInstOperands,
     /*  118692 */     // GIR_Coverage, 23269,
     /*  118692 */     GIR_EraseRootFromParent_Done,
     /*  118693 */   // Label 3081: @118693
     /*  118693 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(118750), // Rule ID 23356 //
     /*  118698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  118709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  118730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118748 */     GIR_RootConstrainSelectedInstOperands,
     /*  118749 */     // GIR_Coverage, 23356,
     /*  118749 */     GIR_EraseRootFromParent_Done,
     /*  118750 */   // Label 3082: @118750
     /*  118750 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(118807), // Rule ID 23357 //
     /*  118755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  118766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  118787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118805 */     GIR_RootConstrainSelectedInstOperands,
     /*  118806 */     // GIR_Coverage, 23357,
     /*  118806 */     GIR_EraseRootFromParent_Done,
     /*  118807 */   // Label 3083: @118807
     /*  118807 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(118864), // Rule ID 23360 //
     /*  118812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  118823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  118826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  118844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  118847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118862 */     GIR_RootConstrainSelectedInstOperands,
     /*  118863 */     // GIR_Coverage, 23360,
     /*  118863 */     GIR_EraseRootFromParent_Done,
     /*  118864 */   // Label 3084: @118864
     /*  118864 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(118921), // Rule ID 23361 //
     /*  118869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  118880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  118883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118901 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  118901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  118904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118919 */     GIR_RootConstrainSelectedInstOperands,
     /*  118920 */     // GIR_Coverage, 23361,
     /*  118920 */     GIR_EraseRootFromParent_Done,
     /*  118921 */   // Label 3085: @118921
     /*  118921 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(118978), // Rule ID 23364 //
     /*  118926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  118937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  118940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  118958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118976 */     GIR_RootConstrainSelectedInstOperands,
     /*  118977 */     // GIR_Coverage, 23364,
     /*  118977 */     GIR_EraseRootFromParent_Done,
     /*  118978 */   // Label 3086: @118978
     /*  118978 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(119035), // Rule ID 23365 //
     /*  118983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  118994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  118997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119015 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  119018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119033 */     GIR_RootConstrainSelectedInstOperands,
     /*  119034 */     // GIR_Coverage, 23365,
     /*  119034 */     GIR_EraseRootFromParent_Done,
     /*  119035 */   // Label 3087: @119035
     /*  119035 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(119092), // Rule ID 23368 //
     /*  119040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  119051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  119054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  119072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119090 */     GIR_RootConstrainSelectedInstOperands,
     /*  119091 */     // GIR_Coverage, 23368,
     /*  119091 */     GIR_EraseRootFromParent_Done,
     /*  119092 */   // Label 3088: @119092
     /*  119092 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(119149), // Rule ID 23369 //
     /*  119097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  119108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  119111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119129 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119147 */     GIR_RootConstrainSelectedInstOperands,
     /*  119148 */     // GIR_Coverage, 23369,
     /*  119148 */     GIR_EraseRootFromParent_Done,
     /*  119149 */   // Label 3089: @119149
     /*  119149 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(119206), // Rule ID 23372 //
     /*  119154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  119165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  119168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  119186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119204 */     GIR_RootConstrainSelectedInstOperands,
     /*  119205 */     // GIR_Coverage, 23372,
     /*  119205 */     GIR_EraseRootFromParent_Done,
     /*  119206 */   // Label 3090: @119206
     /*  119206 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(119263), // Rule ID 23373 //
     /*  119211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  119222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  119225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  119243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119261 */     GIR_RootConstrainSelectedInstOperands,
     /*  119262 */     // GIR_Coverage, 23373,
     /*  119262 */     GIR_EraseRootFromParent_Done,
     /*  119263 */   // Label 3091: @119263
     /*  119263 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(119320), // Rule ID 23376 //
     /*  119268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  119279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  119282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119318 */     GIR_RootConstrainSelectedInstOperands,
     /*  119319 */     // GIR_Coverage, 23376,
     /*  119319 */     GIR_EraseRootFromParent_Done,
     /*  119320 */   // Label 3092: @119320
     /*  119320 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(119377), // Rule ID 23377 //
     /*  119325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  119336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  119339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119375 */     GIR_RootConstrainSelectedInstOperands,
     /*  119376 */     // GIR_Coverage, 23377,
     /*  119376 */     GIR_EraseRootFromParent_Done,
     /*  119377 */   // Label 3093: @119377
     /*  119377 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(119434), // Rule ID 23380 //
     /*  119382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  119393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  119414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119432 */     GIR_RootConstrainSelectedInstOperands,
     /*  119433 */     // GIR_Coverage, 23380,
     /*  119433 */     GIR_EraseRootFromParent_Done,
     /*  119434 */   // Label 3094: @119434
     /*  119434 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(119491), // Rule ID 23381 //
     /*  119439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  119450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119489 */     GIR_RootConstrainSelectedInstOperands,
     /*  119490 */     // GIR_Coverage, 23381,
     /*  119490 */     GIR_EraseRootFromParent_Done,
     /*  119491 */   // Label 3095: @119491
     /*  119491 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(119548), // Rule ID 23384 //
     /*  119496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  119507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  119510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  119528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119546 */     GIR_RootConstrainSelectedInstOperands,
     /*  119547 */     // GIR_Coverage, 23384,
     /*  119547 */     GIR_EraseRootFromParent_Done,
     /*  119548 */   // Label 3096: @119548
     /*  119548 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(119605), // Rule ID 23385 //
     /*  119553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  119564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  119567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119585 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  119585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119603 */     GIR_RootConstrainSelectedInstOperands,
     /*  119604 */     // GIR_Coverage, 23385,
     /*  119604 */     GIR_EraseRootFromParent_Done,
     /*  119605 */   // Label 3097: @119605
     /*  119605 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(119662), // Rule ID 23388 //
     /*  119610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  119621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  119624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  119642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119660 */     GIR_RootConstrainSelectedInstOperands,
     /*  119661 */     // GIR_Coverage, 23388,
     /*  119661 */     GIR_EraseRootFromParent_Done,
     /*  119662 */   // Label 3098: @119662
     /*  119662 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(119719), // Rule ID 23389 //
     /*  119667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  119670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  119678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  119681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  119699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119717 */     GIR_RootConstrainSelectedInstOperands,
     /*  119718 */     // GIR_Coverage, 23389,
     /*  119718 */     GIR_EraseRootFromParent_Done,
     /*  119719 */   // Label 3099: @119719
     /*  119719 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(119776), // Rule ID 23392 //
     /*  119724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  119735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  119738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  119759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119774 */     GIR_RootConstrainSelectedInstOperands,
     /*  119775 */     // GIR_Coverage, 23392,
     /*  119775 */     GIR_EraseRootFromParent_Done,
     /*  119776 */   // Label 3100: @119776
     /*  119776 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(119833), // Rule ID 23393 //
     /*  119781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  119792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  119795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  119816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119831 */     GIR_RootConstrainSelectedInstOperands,
     /*  119832 */     // GIR_Coverage, 23393,
     /*  119832 */     GIR_EraseRootFromParent_Done,
     /*  119833 */   // Label 3101: @119833
     /*  119833 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(119890), // Rule ID 23396 //
     /*  119838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  119849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  119852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  119873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119888 */     GIR_RootConstrainSelectedInstOperands,
     /*  119889 */     // GIR_Coverage, 23396,
     /*  119889 */     GIR_EraseRootFromParent_Done,
     /*  119890 */   // Label 3102: @119890
     /*  119890 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(119947), // Rule ID 23397 //
     /*  119895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  119906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  119909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119945 */     GIR_RootConstrainSelectedInstOperands,
     /*  119946 */     // GIR_Coverage, 23397,
     /*  119946 */     GIR_EraseRootFromParent_Done,
     /*  119947 */   // Label 3103: @119947
     /*  119947 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(120004), // Rule ID 23400 //
     /*  119952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  119963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  119966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  119973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  119977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  119987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120002 */     GIR_RootConstrainSelectedInstOperands,
     /*  120003 */     // GIR_Coverage, 23400,
     /*  120003 */     GIR_EraseRootFromParent_Done,
     /*  120004 */   // Label 3104: @120004
     /*  120004 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(120061), // Rule ID 23401 //
     /*  120009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  120020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  120023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  120041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120059 */     GIR_RootConstrainSelectedInstOperands,
     /*  120060 */     // GIR_Coverage, 23401,
     /*  120060 */     GIR_EraseRootFromParent_Done,
     /*  120061 */   // Label 3105: @120061
     /*  120061 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(120118), // Rule ID 23404 //
     /*  120066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  120077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120116 */     GIR_RootConstrainSelectedInstOperands,
     /*  120117 */     // GIR_Coverage, 23404,
     /*  120117 */     GIR_EraseRootFromParent_Done,
     /*  120118 */   // Label 3106: @120118
     /*  120118 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(120175), // Rule ID 23405 //
     /*  120123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  120134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120173 */     GIR_RootConstrainSelectedInstOperands,
     /*  120174 */     // GIR_Coverage, 23405,
     /*  120174 */     GIR_EraseRootFromParent_Done,
     /*  120175 */   // Label 3107: @120175
     /*  120175 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(120232), // Rule ID 23408 //
     /*  120180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  120191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  120194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120230 */     GIR_RootConstrainSelectedInstOperands,
     /*  120231 */     // GIR_Coverage, 23408,
     /*  120231 */     GIR_EraseRootFromParent_Done,
     /*  120232 */   // Label 3108: @120232
     /*  120232 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(120289), // Rule ID 23409 //
     /*  120237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  120248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  120251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120287 */     GIR_RootConstrainSelectedInstOperands,
     /*  120288 */     // GIR_Coverage, 23409,
     /*  120288 */     GIR_EraseRootFromParent_Done,
     /*  120289 */   // Label 3109: @120289
     /*  120289 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(120346), // Rule ID 23412 //
     /*  120294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  120305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  120308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120344 */     GIR_RootConstrainSelectedInstOperands,
     /*  120345 */     // GIR_Coverage, 23412,
     /*  120345 */     GIR_EraseRootFromParent_Done,
     /*  120346 */   // Label 3110: @120346
     /*  120346 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(120403), // Rule ID 23413 //
     /*  120351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  120362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  120365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120401 */     GIR_RootConstrainSelectedInstOperands,
     /*  120402 */     // GIR_Coverage, 23413,
     /*  120402 */     GIR_EraseRootFromParent_Done,
     /*  120403 */   // Label 3111: @120403
     /*  120403 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(120460), // Rule ID 23416 //
     /*  120408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  120419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  120422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120458 */     GIR_RootConstrainSelectedInstOperands,
     /*  120459 */     // GIR_Coverage, 23416,
     /*  120459 */     GIR_EraseRootFromParent_Done,
     /*  120460 */   // Label 3112: @120460
     /*  120460 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(120517), // Rule ID 23417 //
     /*  120465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  120476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  120479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120515 */     GIR_RootConstrainSelectedInstOperands,
     /*  120516 */     // GIR_Coverage, 23417,
     /*  120516 */     GIR_EraseRootFromParent_Done,
     /*  120517 */   // Label 3113: @120517
     /*  120517 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(120574), // Rule ID 23420 //
     /*  120522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  120533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120572 */     GIR_RootConstrainSelectedInstOperands,
     /*  120573 */     // GIR_Coverage, 23420,
     /*  120573 */     GIR_EraseRootFromParent_Done,
     /*  120574 */   // Label 3114: @120574
     /*  120574 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(120631), // Rule ID 23421 //
     /*  120579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  120590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120629 */     GIR_RootConstrainSelectedInstOperands,
     /*  120630 */     // GIR_Coverage, 23421,
     /*  120630 */     GIR_EraseRootFromParent_Done,
     /*  120631 */   // Label 3115: @120631
     /*  120631 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(120688), // Rule ID 23424 //
     /*  120636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  120647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  120650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120686 */     GIR_RootConstrainSelectedInstOperands,
     /*  120687 */     // GIR_Coverage, 23424,
     /*  120687 */     GIR_EraseRootFromParent_Done,
     /*  120688 */   // Label 3116: @120688
     /*  120688 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(120745), // Rule ID 23425 //
     /*  120693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  120704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  120707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120743 */     GIR_RootConstrainSelectedInstOperands,
     /*  120744 */     // GIR_Coverage, 23425,
     /*  120744 */     GIR_EraseRootFromParent_Done,
     /*  120745 */   // Label 3117: @120745
     /*  120745 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(120802), // Rule ID 23428 //
     /*  120750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  120761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  120764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  120782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120800 */     GIR_RootConstrainSelectedInstOperands,
     /*  120801 */     // GIR_Coverage, 23428,
     /*  120801 */     GIR_EraseRootFromParent_Done,
     /*  120802 */   // Label 3118: @120802
     /*  120802 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(120859), // Rule ID 23429 //
     /*  120807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  120818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  120821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  120839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120857 */     GIR_RootConstrainSelectedInstOperands,
     /*  120858 */     // GIR_Coverage, 23429,
     /*  120858 */     GIR_EraseRootFromParent_Done,
     /*  120859 */   // Label 3119: @120859
     /*  120859 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(120916), // Rule ID 23432 //
     /*  120864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  120875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  120878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  120896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120914 */     GIR_RootConstrainSelectedInstOperands,
     /*  120915 */     // GIR_Coverage, 23432,
     /*  120915 */     GIR_EraseRootFromParent_Done,
     /*  120916 */   // Label 3120: @120916
     /*  120916 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(120973), // Rule ID 23433 //
     /*  120921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  120932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  120935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10973:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  120953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120971 */     GIR_RootConstrainSelectedInstOperands,
     /*  120972 */     // GIR_Coverage, 23433,
     /*  120972 */     GIR_EraseRootFromParent_Done,
     /*  120973 */   // Label 3121: @120973
     /*  120973 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(121030), // Rule ID 23436 //
     /*  120978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  120989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  120992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  121010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  121010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  121013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  121017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  121022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121028 */     GIR_RootConstrainSelectedInstOperands,
     /*  121029 */     // GIR_Coverage, 23436,
     /*  121029 */     GIR_EraseRootFromParent_Done,
     /*  121030 */   // Label 3122: @121030
     /*  121030 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(121087), // Rule ID 23437 //
     /*  121035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  121043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  121046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  121067 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10973:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  121067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  121070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  121074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  121079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121085 */     GIR_RootConstrainSelectedInstOperands,
     /*  121086 */     // GIR_Coverage, 23437,
     /*  121086 */     GIR_EraseRootFromParent_Done,
     /*  121087 */   // Label 3123: @121087
     /*  121087 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(121133), // Rule ID 2511 //
     /*  121092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  121095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  121100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121114 */     // MIs[0] rnum
     /*  121114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  121117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  121122 */     // (intrinsic_wo_chain:{ *:[i64] } 10630:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  121122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  121125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  121131 */     GIR_RootConstrainSelectedInstOperands,
     /*  121132 */     // GIR_Coverage, 2511,
     /*  121132 */     GIR_EraseRootFromParent_Done,
     /*  121133 */   // Label 3124: @121133
     /*  121133 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(121178), // Rule ID 63763 //
     /*  121138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  121141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  121146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121167 */     // (intrinsic_wo_chain:{ *:[i32] } 10640:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  121170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121176 */     GIR_RootConstrainSelectedInstOperands,
     /*  121177 */     // GIR_Coverage, 63763,
     /*  121177 */     GIR_EraseRootFromParent_Done,
     /*  121178 */   // Label 3125: @121178
     /*  121178 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(121223), // Rule ID 63790 //
     /*  121183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  121186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  121191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121212 */     // (intrinsic_wo_chain:{ *:[i32] } 10641:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  121215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121221 */     GIR_RootConstrainSelectedInstOperands,
     /*  121222 */     // GIR_Coverage, 63790,
     /*  121222 */     GIR_EraseRootFromParent_Done,
     /*  121223 */   // Label 3126: @121223
     /*  121223 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(121268), // Rule ID 2501 //
     /*  121228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  121231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  121236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121257 */     // (intrinsic_wo_chain:{ *:[i64] } 11331:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  121260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121266 */     GIR_RootConstrainSelectedInstOperands,
     /*  121267 */     // GIR_Coverage, 2501,
     /*  121267 */     GIR_EraseRootFromParent_Done,
     /*  121268 */   // Label 3127: @121268
     /*  121268 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(121313), // Rule ID 2502 //
     /*  121273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  121276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  121281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121302 */     // (intrinsic_wo_chain:{ *:[i32] } 11331:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  121305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121311 */     GIR_RootConstrainSelectedInstOperands,
     /*  121312 */     // GIR_Coverage, 2502,
     /*  121312 */     GIR_EraseRootFromParent_Done,
     /*  121313 */   // Label 3128: @121313
     /*  121313 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(121358), // Rule ID 2503 //
     /*  121318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  121321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  121326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121347 */     // (intrinsic_wo_chain:{ *:[i64] } 11332:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  121350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121356 */     GIR_RootConstrainSelectedInstOperands,
     /*  121357 */     // GIR_Coverage, 2503,
     /*  121357 */     GIR_EraseRootFromParent_Done,
     /*  121358 */   // Label 3129: @121358
     /*  121358 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(121403), // Rule ID 2504 //
     /*  121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  121366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  121371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121392 */     // (intrinsic_wo_chain:{ *:[i32] } 11332:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  121395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121401 */     GIR_RootConstrainSelectedInstOperands,
     /*  121402 */     // GIR_Coverage, 2504,
     /*  121402 */     GIR_EraseRootFromParent_Done,
     /*  121403 */   // Label 3130: @121403
     /*  121403 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(121448), // Rule ID 2507 //
     /*  121408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  121411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  121416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121437 */     // (intrinsic_wo_chain:{ *:[i64] } 10625:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  121440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121446 */     GIR_RootConstrainSelectedInstOperands,
     /*  121447 */     // GIR_Coverage, 2507,
     /*  121447 */     GIR_EraseRootFromParent_Done,
     /*  121448 */   // Label 3131: @121448
     /*  121448 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(121493), // Rule ID 2508 //
     /*  121453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  121456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  121461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121482 */     // (intrinsic_wo_chain:{ *:[i64] } 10626:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  121485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121491 */     GIR_RootConstrainSelectedInstOperands,
     /*  121492 */     // GIR_Coverage, 2508,
     /*  121492 */     GIR_EraseRootFromParent_Done,
     /*  121493 */   // Label 3132: @121493
     /*  121493 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(121538), // Rule ID 2510 //
     /*  121498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  121501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  121506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121527 */     // (intrinsic_wo_chain:{ *:[i64] } 10631:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121536 */     GIR_RootConstrainSelectedInstOperands,
     /*  121537 */     // GIR_Coverage, 2510,
     /*  121537 */     GIR_EraseRootFromParent_Done,
     /*  121538 */   // Label 3133: @121538
     /*  121538 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(121583), // Rule ID 2514 //
     /*  121543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  121546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  121551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121572 */     // (intrinsic_wo_chain:{ *:[i64] } 10627:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  121575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121581 */     GIR_RootConstrainSelectedInstOperands,
     /*  121582 */     // GIR_Coverage, 2514,
     /*  121582 */     GIR_EraseRootFromParent_Done,
     /*  121583 */   // Label 3134: @121583
     /*  121583 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(121628), // Rule ID 2515 //
     /*  121588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  121591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  121596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121617 */     // (intrinsic_wo_chain:{ *:[i64] } 10628:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  121620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121626 */     GIR_RootConstrainSelectedInstOperands,
     /*  121627 */     // GIR_Coverage, 2515,
     /*  121627 */     GIR_EraseRootFromParent_Done,
     /*  121628 */   // Label 3135: @121628
     /*  121628 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(121673), // Rule ID 2524 //
     /*  121633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  121641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121662 */     // (intrinsic_wo_chain:{ *:[i32] } 10767:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  121665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121671 */     GIR_RootConstrainSelectedInstOperands,
     /*  121672 */     // GIR_Coverage, 2524,
     /*  121672 */     GIR_EraseRootFromParent_Done,
     /*  121673 */   // Label 3136: @121673
     /*  121673 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(121718), // Rule ID 2525 //
     /*  121678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  121686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121707 */     // (intrinsic_wo_chain:{ *:[i32] } 10766:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  121710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121716 */     GIR_RootConstrainSelectedInstOperands,
     /*  121717 */     // GIR_Coverage, 2525,
     /*  121717 */     GIR_EraseRootFromParent_Done,
     /*  121718 */   // Label 3137: @121718
     /*  121718 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(121763), // Rule ID 2526 //
     /*  121723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  121731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121752 */     // (intrinsic_wo_chain:{ *:[i32] } 10770:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  121755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121761 */     GIR_RootConstrainSelectedInstOperands,
     /*  121762 */     // GIR_Coverage, 2526,
     /*  121762 */     GIR_EraseRootFromParent_Done,
     /*  121763 */   // Label 3138: @121763
     /*  121763 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(121808), // Rule ID 2527 //
     /*  121768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  121776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121797 */     // (intrinsic_wo_chain:{ *:[i32] } 10769:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  121800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121806 */     GIR_RootConstrainSelectedInstOperands,
     /*  121807 */     // GIR_Coverage, 2527,
     /*  121807 */     GIR_EraseRootFromParent_Done,
     /*  121808 */   // Label 3139: @121808
     /*  121808 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(121853), // Rule ID 2528 //
     /*  121813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  121821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121842 */     // (intrinsic_wo_chain:{ *:[i32] } 10772:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  121845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121851 */     GIR_RootConstrainSelectedInstOperands,
     /*  121852 */     // GIR_Coverage, 2528,
     /*  121852 */     GIR_EraseRootFromParent_Done,
     /*  121853 */   // Label 3140: @121853
     /*  121853 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(121898), // Rule ID 2529 //
     /*  121858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  121866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121887 */     // (intrinsic_wo_chain:{ *:[i32] } 10774:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  121890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121896 */     GIR_RootConstrainSelectedInstOperands,
     /*  121897 */     // GIR_Coverage, 2529,
     /*  121897 */     GIR_EraseRootFromParent_Done,
     /*  121898 */   // Label 3141: @121898
     /*  121898 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(121943), // Rule ID 63740 //
     /*  121903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  121911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121932 */     // (intrinsic_wo_chain:{ *:[i32] } 10650:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  121935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121941 */     GIR_RootConstrainSelectedInstOperands,
     /*  121942 */     // GIR_Coverage, 63740,
     /*  121942 */     GIR_EraseRootFromParent_Done,
     /*  121943 */   // Label 3142: @121943
     /*  121943 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(121988), // Rule ID 63742 //
     /*  121948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  121956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121977 */     // (intrinsic_wo_chain:{ *:[i32] } 10651:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  121980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121986 */     GIR_RootConstrainSelectedInstOperands,
     /*  121987 */     // GIR_Coverage, 63742,
     /*  121987 */     GIR_EraseRootFromParent_Done,
     /*  121988 */   // Label 3143: @121988
     /*  121988 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(122033), // Rule ID 63744 //
     /*  121993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  122001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  122004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  122007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122022 */     // (intrinsic_wo_chain:{ *:[i32] } 10646:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  122022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  122025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  122031 */     GIR_RootConstrainSelectedInstOperands,
     /*  122032 */     // GIR_Coverage, 63744,
     /*  122032 */     GIR_EraseRootFromParent_Done,
     /*  122033 */   // Label 3144: @122033
     /*  122033 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(122078), // Rule ID 63746 //
     /*  122038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  122041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  122046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  122049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  122052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122067 */     // (intrinsic_wo_chain:{ *:[i32] } 10648:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  122067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  122070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  122076 */     GIR_RootConstrainSelectedInstOperands,
     /*  122077 */     // GIR_Coverage, 63746,
     /*  122077 */     GIR_EraseRootFromParent_Done,
     /*  122078 */   // Label 3145: @122078
     /*  122078 */   GIM_Reject,
     /*  122079 */ // Label 3009: @122079
     /*  122079 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(292984),
     /*  122084 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  122087 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(122161), // Rule ID 5314 //
     /*  122092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122132 */     // MIs[1] Operand 1
     /*  122132 */     // No operand predicates
     /*  122132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  122144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122159 */     GIR_RootConstrainSelectedInstOperands,
     /*  122160 */     // GIR_Coverage, 5314,
     /*  122160 */     GIR_EraseRootFromParent_Done,
     /*  122161 */   // Label 3147: @122161
     /*  122161 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(122235), // Rule ID 5315 //
     /*  122166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122206 */     // MIs[1] Operand 1
     /*  122206 */     // No operand predicates
     /*  122206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  122218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122233 */     GIR_RootConstrainSelectedInstOperands,
     /*  122234 */     // GIR_Coverage, 5315,
     /*  122234 */     GIR_EraseRootFromParent_Done,
     /*  122235 */   // Label 3148: @122235
     /*  122235 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(122309), // Rule ID 5316 //
     /*  122240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122280 */     // MIs[1] Operand 1
     /*  122280 */     // No operand predicates
     /*  122280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122307 */     GIR_RootConstrainSelectedInstOperands,
     /*  122308 */     // GIR_Coverage, 5316,
     /*  122308 */     GIR_EraseRootFromParent_Done,
     /*  122309 */   // Label 3149: @122309
     /*  122309 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(122383), // Rule ID 5317 //
     /*  122314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122354 */     // MIs[1] Operand 1
     /*  122354 */     // No operand predicates
     /*  122354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122381 */     GIR_RootConstrainSelectedInstOperands,
     /*  122382 */     // GIR_Coverage, 5317,
     /*  122382 */     GIR_EraseRootFromParent_Done,
     /*  122383 */   // Label 3150: @122383
     /*  122383 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(122457), // Rule ID 5318 //
     /*  122388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  122399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  122402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122428 */     // MIs[1] Operand 1
     /*  122428 */     // No operand predicates
     /*  122428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122455 */     GIR_RootConstrainSelectedInstOperands,
     /*  122456 */     // GIR_Coverage, 5318,
     /*  122456 */     GIR_EraseRootFromParent_Done,
     /*  122457 */   // Label 3151: @122457
     /*  122457 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(122531), // Rule ID 5319 //
     /*  122462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  122473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  122476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122502 */     // MIs[1] Operand 1
     /*  122502 */     // No operand predicates
     /*  122502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122529 */     GIR_RootConstrainSelectedInstOperands,
     /*  122530 */     // GIR_Coverage, 5319,
     /*  122530 */     GIR_EraseRootFromParent_Done,
     /*  122531 */   // Label 3152: @122531
     /*  122531 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(122605), // Rule ID 5320 //
     /*  122536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122576 */     // MIs[1] Operand 1
     /*  122576 */     // No operand predicates
     /*  122576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122585 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  122585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122603 */     GIR_RootConstrainSelectedInstOperands,
     /*  122604 */     // GIR_Coverage, 5320,
     /*  122604 */     GIR_EraseRootFromParent_Done,
     /*  122605 */   // Label 3153: @122605
     /*  122605 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(122679), // Rule ID 5321 //
     /*  122610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122650 */     // MIs[1] Operand 1
     /*  122650 */     // No operand predicates
     /*  122650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122659 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  122659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122677 */     GIR_RootConstrainSelectedInstOperands,
     /*  122678 */     // GIR_Coverage, 5321,
     /*  122678 */     GIR_EraseRootFromParent_Done,
     /*  122679 */   // Label 3154: @122679
     /*  122679 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(122753), // Rule ID 5322 //
     /*  122684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122724 */     // MIs[1] Operand 1
     /*  122724 */     // No operand predicates
     /*  122724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  122733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122751 */     GIR_RootConstrainSelectedInstOperands,
     /*  122752 */     // GIR_Coverage, 5322,
     /*  122752 */     GIR_EraseRootFromParent_Done,
     /*  122753 */   // Label 3155: @122753
     /*  122753 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(122827), // Rule ID 5323 //
     /*  122758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122798 */     // MIs[1] Operand 1
     /*  122798 */     // No operand predicates
     /*  122798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  122807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122825 */     GIR_RootConstrainSelectedInstOperands,
     /*  122826 */     // GIR_Coverage, 5323,
     /*  122826 */     GIR_EraseRootFromParent_Done,
     /*  122827 */   // Label 3156: @122827
     /*  122827 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(122901), // Rule ID 5324 //
     /*  122832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122872 */     // MIs[1] Operand 1
     /*  122872 */     // No operand predicates
     /*  122872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  122881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122899 */     GIR_RootConstrainSelectedInstOperands,
     /*  122900 */     // GIR_Coverage, 5324,
     /*  122900 */     GIR_EraseRootFromParent_Done,
     /*  122901 */   // Label 3157: @122901
     /*  122901 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(122975), // Rule ID 5325 //
     /*  122906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122946 */     // MIs[1] Operand 1
     /*  122946 */     // No operand predicates
     /*  122946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  122955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122973 */     GIR_RootConstrainSelectedInstOperands,
     /*  122974 */     // GIR_Coverage, 5325,
     /*  122974 */     GIR_EraseRootFromParent_Done,
     /*  122975 */   // Label 3158: @122975
     /*  122975 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(123049), // Rule ID 5326 //
     /*  122980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  122991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  122994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123020 */     // MIs[1] Operand 1
     /*  123020 */     // No operand predicates
     /*  123020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123047 */     GIR_RootConstrainSelectedInstOperands,
     /*  123048 */     // GIR_Coverage, 5326,
     /*  123048 */     GIR_EraseRootFromParent_Done,
     /*  123049 */   // Label 3159: @123049
     /*  123049 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(123123), // Rule ID 5327 //
     /*  123054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  123065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  123068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123094 */     // MIs[1] Operand 1
     /*  123094 */     // No operand predicates
     /*  123094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123121 */     GIR_RootConstrainSelectedInstOperands,
     /*  123122 */     // GIR_Coverage, 5327,
     /*  123122 */     GIR_EraseRootFromParent_Done,
     /*  123123 */   // Label 3160: @123123
     /*  123123 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(123197), // Rule ID 5328 //
     /*  123128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  123139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123168 */     // MIs[1] Operand 1
     /*  123168 */     // No operand predicates
     /*  123168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  123177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123195 */     GIR_RootConstrainSelectedInstOperands,
     /*  123196 */     // GIR_Coverage, 5328,
     /*  123196 */     GIR_EraseRootFromParent_Done,
     /*  123197 */   // Label 3161: @123197
     /*  123197 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(123271), // Rule ID 5329 //
     /*  123202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  123213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123242 */     // MIs[1] Operand 1
     /*  123242 */     // No operand predicates
     /*  123242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  123251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123269 */     GIR_RootConstrainSelectedInstOperands,
     /*  123270 */     // GIR_Coverage, 5329,
     /*  123270 */     GIR_EraseRootFromParent_Done,
     /*  123271 */   // Label 3162: @123271
     /*  123271 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(123345), // Rule ID 5330 //
     /*  123276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  123287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123316 */     // MIs[1] Operand 1
     /*  123316 */     // No operand predicates
     /*  123316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  123325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123343 */     GIR_RootConstrainSelectedInstOperands,
     /*  123344 */     // GIR_Coverage, 5330,
     /*  123344 */     GIR_EraseRootFromParent_Done,
     /*  123345 */   // Label 3163: @123345
     /*  123345 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(123419), // Rule ID 5331 //
     /*  123350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  123361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123390 */     // MIs[1] Operand 1
     /*  123390 */     // No operand predicates
     /*  123390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  123399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123417 */     GIR_RootConstrainSelectedInstOperands,
     /*  123418 */     // GIR_Coverage, 5331,
     /*  123418 */     GIR_EraseRootFromParent_Done,
     /*  123419 */   // Label 3164: @123419
     /*  123419 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(123493), // Rule ID 5332 //
     /*  123424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  123435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  123438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123464 */     // MIs[1] Operand 1
     /*  123464 */     // No operand predicates
     /*  123464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  123473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123491 */     GIR_RootConstrainSelectedInstOperands,
     /*  123492 */     // GIR_Coverage, 5332,
     /*  123492 */     GIR_EraseRootFromParent_Done,
     /*  123493 */   // Label 3165: @123493
     /*  123493 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(123567), // Rule ID 5333 //
     /*  123498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  123509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  123512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123538 */     // MIs[1] Operand 1
     /*  123538 */     // No operand predicates
     /*  123538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123547 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  123547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123565 */     GIR_RootConstrainSelectedInstOperands,
     /*  123566 */     // GIR_Coverage, 5333,
     /*  123566 */     GIR_EraseRootFromParent_Done,
     /*  123567 */   // Label 3166: @123567
     /*  123567 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(123641), // Rule ID 5334 //
     /*  123572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  123583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  123586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123612 */     // MIs[1] Operand 1
     /*  123612 */     // No operand predicates
     /*  123612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  123624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123639 */     GIR_RootConstrainSelectedInstOperands,
     /*  123640 */     // GIR_Coverage, 5334,
     /*  123640 */     GIR_EraseRootFromParent_Done,
     /*  123641 */   // Label 3167: @123641
     /*  123641 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(123715), // Rule ID 5335 //
     /*  123646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  123657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  123660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123686 */     // MIs[1] Operand 1
     /*  123686 */     // No operand predicates
     /*  123686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123695 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  123698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123713 */     GIR_RootConstrainSelectedInstOperands,
     /*  123714 */     // GIR_Coverage, 5335,
     /*  123714 */     GIR_EraseRootFromParent_Done,
     /*  123715 */   // Label 3168: @123715
     /*  123715 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(123789), // Rule ID 5336 //
     /*  123720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  123731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  123734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  123748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123760 */     // MIs[1] Operand 1
     /*  123760 */     // No operand predicates
     /*  123760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  123772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123787 */     GIR_RootConstrainSelectedInstOperands,
     /*  123788 */     // GIR_Coverage, 5336,
     /*  123788 */     GIR_EraseRootFromParent_Done,
     /*  123789 */   // Label 3169: @123789
     /*  123789 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(123863), // Rule ID 5337 //
     /*  123794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  123805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  123808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  123822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123834 */     // MIs[1] Operand 1
     /*  123834 */     // No operand predicates
     /*  123834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123843 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  123846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123861 */     GIR_RootConstrainSelectedInstOperands,
     /*  123862 */     // GIR_Coverage, 5337,
     /*  123862 */     GIR_EraseRootFromParent_Done,
     /*  123863 */   // Label 3170: @123863
     /*  123863 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(123937), // Rule ID 5338 //
     /*  123868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  123879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123908 */     // MIs[1] Operand 1
     /*  123908 */     // No operand predicates
     /*  123908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123917 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  123920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123935 */     GIR_RootConstrainSelectedInstOperands,
     /*  123936 */     // GIR_Coverage, 5338,
     /*  123936 */     GIR_EraseRootFromParent_Done,
     /*  123937 */   // Label 3171: @123937
     /*  123937 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(124011), // Rule ID 5339 //
     /*  123942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  123953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123982 */     // MIs[1] Operand 1
     /*  123982 */     // No operand predicates
     /*  123982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123991 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  123994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124009 */     GIR_RootConstrainSelectedInstOperands,
     /*  124010 */     // GIR_Coverage, 5339,
     /*  124010 */     GIR_EraseRootFromParent_Done,
     /*  124011 */   // Label 3172: @124011
     /*  124011 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(124085), // Rule ID 5340 //
     /*  124016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124056 */     // MIs[1] Operand 1
     /*  124056 */     // No operand predicates
     /*  124056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124083 */     GIR_RootConstrainSelectedInstOperands,
     /*  124084 */     // GIR_Coverage, 5340,
     /*  124084 */     GIR_EraseRootFromParent_Done,
     /*  124085 */   // Label 3173: @124085
     /*  124085 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(124159), // Rule ID 5341 //
     /*  124090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124130 */     // MIs[1] Operand 1
     /*  124130 */     // No operand predicates
     /*  124130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124157 */     GIR_RootConstrainSelectedInstOperands,
     /*  124158 */     // GIR_Coverage, 5341,
     /*  124158 */     GIR_EraseRootFromParent_Done,
     /*  124159 */   // Label 3174: @124159
     /*  124159 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(124233), // Rule ID 5342 //
     /*  124164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  124178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124204 */     // MIs[1] Operand 1
     /*  124204 */     // No operand predicates
     /*  124204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124231 */     GIR_RootConstrainSelectedInstOperands,
     /*  124232 */     // GIR_Coverage, 5342,
     /*  124232 */     GIR_EraseRootFromParent_Done,
     /*  124233 */   // Label 3175: @124233
     /*  124233 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(124307), // Rule ID 5343 //
     /*  124238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  124252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124278 */     // MIs[1] Operand 1
     /*  124278 */     // No operand predicates
     /*  124278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124305 */     GIR_RootConstrainSelectedInstOperands,
     /*  124306 */     // GIR_Coverage, 5343,
     /*  124306 */     GIR_EraseRootFromParent_Done,
     /*  124307 */   // Label 3176: @124307
     /*  124307 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(124381), // Rule ID 5344 //
     /*  124312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  124323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  124326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124352 */     // MIs[1] Operand 1
     /*  124352 */     // No operand predicates
     /*  124352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124361 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124379 */     GIR_RootConstrainSelectedInstOperands,
     /*  124380 */     // GIR_Coverage, 5344,
     /*  124380 */     GIR_EraseRootFromParent_Done,
     /*  124381 */   // Label 3177: @124381
     /*  124381 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(124455), // Rule ID 5345 //
     /*  124386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  124397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  124400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124426 */     // MIs[1] Operand 1
     /*  124426 */     // No operand predicates
     /*  124426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124435 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124453 */     GIR_RootConstrainSelectedInstOperands,
     /*  124454 */     // GIR_Coverage, 5345,
     /*  124454 */     GIR_EraseRootFromParent_Done,
     /*  124455 */   // Label 3178: @124455
     /*  124455 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(124529), // Rule ID 5346 //
     /*  124460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  124471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124500 */     // MIs[1] Operand 1
     /*  124500 */     // No operand predicates
     /*  124500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124527 */     GIR_RootConstrainSelectedInstOperands,
     /*  124528 */     // GIR_Coverage, 5346,
     /*  124528 */     GIR_EraseRootFromParent_Done,
     /*  124529 */   // Label 3179: @124529
     /*  124529 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(124603), // Rule ID 5347 //
     /*  124534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  124545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124574 */     // MIs[1] Operand 1
     /*  124574 */     // No operand predicates
     /*  124574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124601 */     GIR_RootConstrainSelectedInstOperands,
     /*  124602 */     // GIR_Coverage, 5347,
     /*  124602 */     GIR_EraseRootFromParent_Done,
     /*  124603 */   // Label 3180: @124603
     /*  124603 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(124677), // Rule ID 5348 //
     /*  124608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  124622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124648 */     // MIs[1] Operand 1
     /*  124648 */     // No operand predicates
     /*  124648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124675 */     GIR_RootConstrainSelectedInstOperands,
     /*  124676 */     // GIR_Coverage, 5348,
     /*  124676 */     GIR_EraseRootFromParent_Done,
     /*  124677 */   // Label 3181: @124677
     /*  124677 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(124751), // Rule ID 5349 //
     /*  124682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  124696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124722 */     // MIs[1] Operand 1
     /*  124722 */     // No operand predicates
     /*  124722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124731 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124749 */     GIR_RootConstrainSelectedInstOperands,
     /*  124750 */     // GIR_Coverage, 5349,
     /*  124750 */     GIR_EraseRootFromParent_Done,
     /*  124751 */   // Label 3182: @124751
     /*  124751 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(124825), // Rule ID 5350 //
     /*  124756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  124770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124796 */     // MIs[1] Operand 1
     /*  124796 */     // No operand predicates
     /*  124796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124823 */     GIR_RootConstrainSelectedInstOperands,
     /*  124824 */     // GIR_Coverage, 5350,
     /*  124824 */     GIR_EraseRootFromParent_Done,
     /*  124825 */   // Label 3183: @124825
     /*  124825 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(124899), // Rule ID 5351 //
     /*  124830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  124844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124870 */     // MIs[1] Operand 1
     /*  124870 */     // No operand predicates
     /*  124870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124897 */     GIR_RootConstrainSelectedInstOperands,
     /*  124898 */     // GIR_Coverage, 5351,
     /*  124898 */     GIR_EraseRootFromParent_Done,
     /*  124899 */   // Label 3184: @124899
     /*  124899 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(124973), // Rule ID 5352 //
     /*  124904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  124915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  124918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124944 */     // MIs[1] Operand 1
     /*  124944 */     // No operand predicates
     /*  124944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  124953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 5352,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 3185: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(125047), // Rule ID 5353 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  124989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  124992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125018 */     // MIs[1] Operand 1
     /*  125018 */     // No operand predicates
     /*  125018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  125030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125045 */     GIR_RootConstrainSelectedInstOperands,
     /*  125046 */     // GIR_Coverage, 5353,
     /*  125046 */     GIR_EraseRootFromParent_Done,
     /*  125047 */   // Label 3186: @125047
     /*  125047 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(125121), // Rule ID 5354 //
     /*  125052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  125066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125092 */     // MIs[1] Operand 1
     /*  125092 */     // No operand predicates
     /*  125092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  125101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  125104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125119 */     GIR_RootConstrainSelectedInstOperands,
     /*  125120 */     // GIR_Coverage, 5354,
     /*  125120 */     GIR_EraseRootFromParent_Done,
     /*  125121 */   // Label 3187: @125121
     /*  125121 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(125195), // Rule ID 5355 //
     /*  125126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  125140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125166 */     // MIs[1] Operand 1
     /*  125166 */     // No operand predicates
     /*  125166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125175 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  125178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125193 */     GIR_RootConstrainSelectedInstOperands,
     /*  125194 */     // GIR_Coverage, 5355,
     /*  125194 */     GIR_EraseRootFromParent_Done,
     /*  125195 */   // Label 3188: @125195
     /*  125195 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(125269), // Rule ID 5356 //
     /*  125200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  125211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125240 */     // MIs[1] Operand 1
     /*  125240 */     // No operand predicates
     /*  125240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  125249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  125252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125267 */     GIR_RootConstrainSelectedInstOperands,
     /*  125268 */     // GIR_Coverage, 5356,
     /*  125268 */     GIR_EraseRootFromParent_Done,
     /*  125269 */   // Label 3189: @125269
     /*  125269 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(125343), // Rule ID 5357 //
     /*  125274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  125285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125314 */     // MIs[1] Operand 1
     /*  125314 */     // No operand predicates
     /*  125314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  125326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125341 */     GIR_RootConstrainSelectedInstOperands,
     /*  125342 */     // GIR_Coverage, 5357,
     /*  125342 */     GIR_EraseRootFromParent_Done,
     /*  125343 */   // Label 3190: @125343
     /*  125343 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(125417), // Rule ID 7826 //
     /*  125348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  125362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125388 */     // MIs[1] Operand 1
     /*  125388 */     // No operand predicates
     /*  125388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125397 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  125400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125415 */     GIR_RootConstrainSelectedInstOperands,
     /*  125416 */     // GIR_Coverage, 7826,
     /*  125416 */     GIR_EraseRootFromParent_Done,
     /*  125417 */   // Label 3191: @125417
     /*  125417 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(125491), // Rule ID 7827 //
     /*  125422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  125436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125462 */     // MIs[1] Operand 1
     /*  125462 */     // No operand predicates
     /*  125462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125471 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  125474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125489 */     GIR_RootConstrainSelectedInstOperands,
     /*  125490 */     // GIR_Coverage, 7827,
     /*  125490 */     GIR_EraseRootFromParent_Done,
     /*  125491 */   // Label 3192: @125491
     /*  125491 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(125565), // Rule ID 7830 //
     /*  125496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  125510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125536 */     // MIs[1] Operand 1
     /*  125536 */     // No operand predicates
     /*  125536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125563 */     GIR_RootConstrainSelectedInstOperands,
     /*  125564 */     // GIR_Coverage, 7830,
     /*  125564 */     GIR_EraseRootFromParent_Done,
     /*  125565 */   // Label 3193: @125565
     /*  125565 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(125639), // Rule ID 7831 //
     /*  125570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  125584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125610 */     // MIs[1] Operand 1
     /*  125610 */     // No operand predicates
     /*  125610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125637 */     GIR_RootConstrainSelectedInstOperands,
     /*  125638 */     // GIR_Coverage, 7831,
     /*  125638 */     GIR_EraseRootFromParent_Done,
     /*  125639 */   // Label 3194: @125639
     /*  125639 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(125713), // Rule ID 7834 //
     /*  125644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  125658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125684 */     // MIs[1] Operand 1
     /*  125684 */     // No operand predicates
     /*  125684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125711 */     GIR_RootConstrainSelectedInstOperands,
     /*  125712 */     // GIR_Coverage, 7834,
     /*  125712 */     GIR_EraseRootFromParent_Done,
     /*  125713 */   // Label 3195: @125713
     /*  125713 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(125787), // Rule ID 7835 //
     /*  125718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  125732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125758 */     // MIs[1] Operand 1
     /*  125758 */     // No operand predicates
     /*  125758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125785 */     GIR_RootConstrainSelectedInstOperands,
     /*  125786 */     // GIR_Coverage, 7835,
     /*  125786 */     GIR_EraseRootFromParent_Done,
     /*  125787 */   // Label 3196: @125787
     /*  125787 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(125861), // Rule ID 7838 //
     /*  125792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  125806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125832 */     // MIs[1] Operand 1
     /*  125832 */     // No operand predicates
     /*  125832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  125841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125859 */     GIR_RootConstrainSelectedInstOperands,
     /*  125860 */     // GIR_Coverage, 7838,
     /*  125860 */     GIR_EraseRootFromParent_Done,
     /*  125861 */   // Label 3197: @125861
     /*  125861 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(125935), // Rule ID 7839 //
     /*  125866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  125880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125906 */     // MIs[1] Operand 1
     /*  125906 */     // No operand predicates
     /*  125906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  125915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125933 */     GIR_RootConstrainSelectedInstOperands,
     /*  125934 */     // GIR_Coverage, 7839,
     /*  125934 */     GIR_EraseRootFromParent_Done,
     /*  125935 */   // Label 3198: @125935
     /*  125935 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(126009), // Rule ID 7842 //
     /*  125940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  125954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125980 */     // MIs[1] Operand 1
     /*  125980 */     // No operand predicates
     /*  125980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  125989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126007 */     GIR_RootConstrainSelectedInstOperands,
     /*  126008 */     // GIR_Coverage, 7842,
     /*  126008 */     GIR_EraseRootFromParent_Done,
     /*  126009 */   // Label 3199: @126009
     /*  126009 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(126083), // Rule ID 7843 //
     /*  126014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  126028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126054 */     // MIs[1] Operand 1
     /*  126054 */     // No operand predicates
     /*  126054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  126063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126081 */     GIR_RootConstrainSelectedInstOperands,
     /*  126082 */     // GIR_Coverage, 7843,
     /*  126082 */     GIR_EraseRootFromParent_Done,
     /*  126083 */   // Label 3200: @126083
     /*  126083 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(126157), // Rule ID 7846 //
     /*  126088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  126102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126128 */     // MIs[1] Operand 1
     /*  126128 */     // No operand predicates
     /*  126128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  126137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126155 */     GIR_RootConstrainSelectedInstOperands,
     /*  126156 */     // GIR_Coverage, 7846,
     /*  126156 */     GIR_EraseRootFromParent_Done,
     /*  126157 */   // Label 3201: @126157
     /*  126157 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(126231), // Rule ID 7847 //
     /*  126162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  126176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126202 */     // MIs[1] Operand 1
     /*  126202 */     // No operand predicates
     /*  126202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  126211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126229 */     GIR_RootConstrainSelectedInstOperands,
     /*  126230 */     // GIR_Coverage, 7847,
     /*  126230 */     GIR_EraseRootFromParent_Done,
     /*  126231 */   // Label 3202: @126231
     /*  126231 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(126305), // Rule ID 7850 //
     /*  126236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  126247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  126250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126276 */     // MIs[1] Operand 1
     /*  126276 */     // No operand predicates
     /*  126276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  126285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126303 */     GIR_RootConstrainSelectedInstOperands,
     /*  126304 */     // GIR_Coverage, 7850,
     /*  126304 */     GIR_EraseRootFromParent_Done,
     /*  126305 */   // Label 3203: @126305
     /*  126305 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(126379), // Rule ID 7851 //
     /*  126310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  126321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  126324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126350 */     // MIs[1] Operand 1
     /*  126350 */     // No operand predicates
     /*  126350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  126359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126377 */     GIR_RootConstrainSelectedInstOperands,
     /*  126378 */     // GIR_Coverage, 7851,
     /*  126378 */     GIR_EraseRootFromParent_Done,
     /*  126379 */   // Label 3204: @126379
     /*  126379 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(126453), // Rule ID 7854 //
     /*  126384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  126395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  126398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126424 */     // MIs[1] Operand 1
     /*  126424 */     // No operand predicates
     /*  126424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  126433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126451 */     GIR_RootConstrainSelectedInstOperands,
     /*  126452 */     // GIR_Coverage, 7854,
     /*  126452 */     GIR_EraseRootFromParent_Done,
     /*  126453 */   // Label 3205: @126453
     /*  126453 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(126527), // Rule ID 7855 //
     /*  126458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  126469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  126472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126498 */     // MIs[1] Operand 1
     /*  126498 */     // No operand predicates
     /*  126498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  126507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126525 */     GIR_RootConstrainSelectedInstOperands,
     /*  126526 */     // GIR_Coverage, 7855,
     /*  126526 */     GIR_EraseRootFromParent_Done,
     /*  126527 */   // Label 3206: @126527
     /*  126527 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(126601), // Rule ID 7858 //
     /*  126532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  126546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126572 */     // MIs[1] Operand 1
     /*  126572 */     // No operand predicates
     /*  126572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  126581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126599 */     GIR_RootConstrainSelectedInstOperands,
     /*  126600 */     // GIR_Coverage, 7858,
     /*  126600 */     GIR_EraseRootFromParent_Done,
     /*  126601 */   // Label 3207: @126601
     /*  126601 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(126675), // Rule ID 7859 //
     /*  126606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  126620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126646 */     // MIs[1] Operand 1
     /*  126646 */     // No operand predicates
     /*  126646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  126655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126673 */     GIR_RootConstrainSelectedInstOperands,
     /*  126674 */     // GIR_Coverage, 7859,
     /*  126674 */     GIR_EraseRootFromParent_Done,
     /*  126675 */   // Label 3208: @126675
     /*  126675 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(126749), // Rule ID 7862 //
     /*  126680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  126683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  126694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126720 */     // MIs[1] Operand 1
     /*  126720 */     // No operand predicates
     /*  126720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  126729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  126747 */     GIR_RootConstrainSelectedInstOperands,
     /*  126748 */     // GIR_Coverage, 7862,
     /*  126748 */     GIR_EraseRootFromParent_Done,
     /*  126749 */   // Label 3209: @126749
     /*  126749 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(126823), // Rule ID 7863 //
     /*  126754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  126757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  126768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126794 */     // MIs[1] Operand 1
     /*  126794 */     // No operand predicates
     /*  126794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  126803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  126821 */     GIR_RootConstrainSelectedInstOperands,
     /*  126822 */     // GIR_Coverage, 7863,
     /*  126822 */     GIR_EraseRootFromParent_Done,
     /*  126823 */   // Label 3210: @126823
     /*  126823 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(126897), // Rule ID 7866 //
     /*  126828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  126839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126868 */     // MIs[1] Operand 1
     /*  126868 */     // No operand predicates
     /*  126868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  126877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  126880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126895 */     GIR_RootConstrainSelectedInstOperands,
     /*  126896 */     // GIR_Coverage, 7866,
     /*  126896 */     GIR_EraseRootFromParent_Done,
     /*  126897 */   // Label 3211: @126897
     /*  126897 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(126971), // Rule ID 7867 //
     /*  126902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  126913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126942 */     // MIs[1] Operand 1
     /*  126942 */     // No operand predicates
     /*  126942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  126951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  126954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126969 */     GIR_RootConstrainSelectedInstOperands,
     /*  126970 */     // GIR_Coverage, 7867,
     /*  126970 */     GIR_EraseRootFromParent_Done,
     /*  126971 */   // Label 3212: @126971
     /*  126971 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(127045), // Rule ID 7870 //
     /*  126976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  126987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  126990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127016 */     // MIs[1] Operand 1
     /*  127016 */     // No operand predicates
     /*  127016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127025 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  127025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127043 */     GIR_RootConstrainSelectedInstOperands,
     /*  127044 */     // GIR_Coverage, 7870,
     /*  127044 */     GIR_EraseRootFromParent_Done,
     /*  127045 */   // Label 3213: @127045
     /*  127045 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(127119), // Rule ID 7871 //
     /*  127050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  127064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127090 */     // MIs[1] Operand 1
     /*  127090 */     // No operand predicates
     /*  127090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127099 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  127099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127117 */     GIR_RootConstrainSelectedInstOperands,
     /*  127118 */     // GIR_Coverage, 7871,
     /*  127118 */     GIR_EraseRootFromParent_Done,
     /*  127119 */   // Label 3214: @127119
     /*  127119 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(127193), // Rule ID 7874 //
     /*  127124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  127135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127164 */     // MIs[1] Operand 1
     /*  127164 */     // No operand predicates
     /*  127164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127173 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  127173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127191 */     GIR_RootConstrainSelectedInstOperands,
     /*  127192 */     // GIR_Coverage, 7874,
     /*  127192 */     GIR_EraseRootFromParent_Done,
     /*  127193 */   // Label 3215: @127193
     /*  127193 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(127267), // Rule ID 7875 //
     /*  127198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  127209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127238 */     // MIs[1] Operand 1
     /*  127238 */     // No operand predicates
     /*  127238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127247 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  127247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127265 */     GIR_RootConstrainSelectedInstOperands,
     /*  127266 */     // GIR_Coverage, 7875,
     /*  127266 */     GIR_EraseRootFromParent_Done,
     /*  127267 */   // Label 3216: @127267
     /*  127267 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(127341), // Rule ID 7878 //
     /*  127272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  127286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127312 */     // MIs[1] Operand 1
     /*  127312 */     // No operand predicates
     /*  127312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127339 */     GIR_RootConstrainSelectedInstOperands,
     /*  127340 */     // GIR_Coverage, 7878,
     /*  127340 */     GIR_EraseRootFromParent_Done,
     /*  127341 */   // Label 3217: @127341
     /*  127341 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(127415), // Rule ID 7879 //
     /*  127346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  127360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127386 */     // MIs[1] Operand 1
     /*  127386 */     // No operand predicates
     /*  127386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127413 */     GIR_RootConstrainSelectedInstOperands,
     /*  127414 */     // GIR_Coverage, 7879,
     /*  127414 */     GIR_EraseRootFromParent_Done,
     /*  127415 */   // Label 3218: @127415
     /*  127415 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(127489), // Rule ID 7882 //
     /*  127420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  127431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  127434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127460 */     // MIs[1] Operand 1
     /*  127460 */     // No operand predicates
     /*  127460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127487 */     GIR_RootConstrainSelectedInstOperands,
     /*  127488 */     // GIR_Coverage, 7882,
     /*  127488 */     GIR_EraseRootFromParent_Done,
     /*  127489 */   // Label 3219: @127489
     /*  127489 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(127563), // Rule ID 7883 //
     /*  127494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  127505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  127508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127534 */     // MIs[1] Operand 1
     /*  127534 */     // No operand predicates
     /*  127534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127543 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127561 */     GIR_RootConstrainSelectedInstOperands,
     /*  127562 */     // GIR_Coverage, 7883,
     /*  127562 */     GIR_EraseRootFromParent_Done,
     /*  127563 */   // Label 3220: @127563
     /*  127563 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(127637), // Rule ID 7886 //
     /*  127568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127608 */     // MIs[1] Operand 1
     /*  127608 */     // No operand predicates
     /*  127608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127635 */     GIR_RootConstrainSelectedInstOperands,
     /*  127636 */     // GIR_Coverage, 7886,
     /*  127636 */     GIR_EraseRootFromParent_Done,
     /*  127637 */   // Label 3221: @127637
     /*  127637 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(127711), // Rule ID 7887 //
     /*  127642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127682 */     // MIs[1] Operand 1
     /*  127682 */     // No operand predicates
     /*  127682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127709 */     GIR_RootConstrainSelectedInstOperands,
     /*  127710 */     // GIR_Coverage, 7887,
     /*  127710 */     GIR_EraseRootFromParent_Done,
     /*  127711 */   // Label 3222: @127711
     /*  127711 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(127785), // Rule ID 7890 //
     /*  127716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  127727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  127730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127756 */     // MIs[1] Operand 1
     /*  127756 */     // No operand predicates
     /*  127756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  127765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127783 */     GIR_RootConstrainSelectedInstOperands,
     /*  127784 */     // GIR_Coverage, 7890,
     /*  127784 */     GIR_EraseRootFromParent_Done,
     /*  127785 */   // Label 3223: @127785
     /*  127785 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(127859), // Rule ID 7891 //
     /*  127790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  127801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  127804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127830 */     // MIs[1] Operand 1
     /*  127830 */     // No operand predicates
     /*  127830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  127839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127857 */     GIR_RootConstrainSelectedInstOperands,
     /*  127858 */     // GIR_Coverage, 7891,
     /*  127858 */     GIR_EraseRootFromParent_Done,
     /*  127859 */   // Label 3224: @127859
     /*  127859 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(127933), // Rule ID 7894 //
     /*  127864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  127878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127904 */     // MIs[1] Operand 1
     /*  127904 */     // No operand predicates
     /*  127904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  127913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127931 */     GIR_RootConstrainSelectedInstOperands,
     /*  127932 */     // GIR_Coverage, 7894,
     /*  127932 */     GIR_EraseRootFromParent_Done,
     /*  127933 */   // Label 3225: @127933
     /*  127933 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(128007), // Rule ID 7895 //
     /*  127938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  127952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127978 */     // MIs[1] Operand 1
     /*  127978 */     // No operand predicates
     /*  127978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  127987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128005 */     GIR_RootConstrainSelectedInstOperands,
     /*  128006 */     // GIR_Coverage, 7895,
     /*  128006 */     GIR_EraseRootFromParent_Done,
     /*  128007 */   // Label 3226: @128007
     /*  128007 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(128081), // Rule ID 7898 //
     /*  128012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  128023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  128026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128052 */     // MIs[1] Operand 1
     /*  128052 */     // No operand predicates
     /*  128052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128061 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  128061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128079 */     GIR_RootConstrainSelectedInstOperands,
     /*  128080 */     // GIR_Coverage, 7898,
     /*  128080 */     GIR_EraseRootFromParent_Done,
     /*  128081 */   // Label 3227: @128081
     /*  128081 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(128155), // Rule ID 7899 //
     /*  128086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  128097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  128100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128126 */     // MIs[1] Operand 1
     /*  128126 */     // No operand predicates
     /*  128126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128135 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  128135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128153 */     GIR_RootConstrainSelectedInstOperands,
     /*  128154 */     // GIR_Coverage, 7899,
     /*  128154 */     GIR_EraseRootFromParent_Done,
     /*  128155 */   // Label 3228: @128155
     /*  128155 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(128229), // Rule ID 7902 //
     /*  128160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  128174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  128188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128200 */     // MIs[1] Operand 1
     /*  128200 */     // No operand predicates
     /*  128200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  128212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128227 */     GIR_RootConstrainSelectedInstOperands,
     /*  128228 */     // GIR_Coverage, 7902,
     /*  128228 */     GIR_EraseRootFromParent_Done,
     /*  128229 */   // Label 3229: @128229
     /*  128229 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(128303), // Rule ID 7903 //
     /*  128234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  128248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  128262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128274 */     // MIs[1] Operand 1
     /*  128274 */     // No operand predicates
     /*  128274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  128286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 7903,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 3230: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(128377), // Rule ID 7906 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  128322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  128336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128348 */     // MIs[1] Operand 1
     /*  128348 */     // No operand predicates
     /*  128348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  128360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128375 */     GIR_RootConstrainSelectedInstOperands,
     /*  128376 */     // GIR_Coverage, 7906,
     /*  128376 */     GIR_EraseRootFromParent_Done,
     /*  128377 */   // Label 3231: @128377
     /*  128377 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(128451), // Rule ID 7907 //
     /*  128382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  128396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  128410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128422 */     // MIs[1] Operand 1
     /*  128422 */     // No operand predicates
     /*  128422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  128434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128449 */     GIR_RootConstrainSelectedInstOperands,
     /*  128450 */     // GIR_Coverage, 7907,
     /*  128450 */     GIR_EraseRootFromParent_Done,
     /*  128451 */   // Label 3232: @128451
     /*  128451 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(128525), // Rule ID 7910 //
     /*  128456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  128467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  128470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128496 */     // MIs[1] Operand 1
     /*  128496 */     // No operand predicates
     /*  128496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128523 */     GIR_RootConstrainSelectedInstOperands,
     /*  128524 */     // GIR_Coverage, 7910,
     /*  128524 */     GIR_EraseRootFromParent_Done,
     /*  128525 */   // Label 3233: @128525
     /*  128525 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(128599), // Rule ID 7911 //
     /*  128530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  128541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  128544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128570 */     // MIs[1] Operand 1
     /*  128570 */     // No operand predicates
     /*  128570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128597 */     GIR_RootConstrainSelectedInstOperands,
     /*  128598 */     // GIR_Coverage, 7911,
     /*  128598 */     GIR_EraseRootFromParent_Done,
     /*  128599 */   // Label 3234: @128599
     /*  128599 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(128673), // Rule ID 8090 //
     /*  128604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  128615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  128618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128644 */     // MIs[1] Operand 1
     /*  128644 */     // No operand predicates
     /*  128644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  128656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128671 */     GIR_RootConstrainSelectedInstOperands,
     /*  128672 */     // GIR_Coverage, 8090,
     /*  128672 */     GIR_EraseRootFromParent_Done,
     /*  128673 */   // Label 3235: @128673
     /*  128673 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(128747), // Rule ID 8091 //
     /*  128678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  128689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  128692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128718 */     // MIs[1] Operand 1
     /*  128718 */     // No operand predicates
     /*  128718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  128727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  128730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128745 */     GIR_RootConstrainSelectedInstOperands,
     /*  128746 */     // GIR_Coverage, 8091,
     /*  128746 */     GIR_EraseRootFromParent_Done,
     /*  128747 */   // Label 3236: @128747
     /*  128747 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(128821), // Rule ID 8094 //
     /*  128752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  128766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128792 */     // MIs[1] Operand 1
     /*  128792 */     // No operand predicates
     /*  128792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  128804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128819 */     GIR_RootConstrainSelectedInstOperands,
     /*  128820 */     // GIR_Coverage, 8094,
     /*  128820 */     GIR_EraseRootFromParent_Done,
     /*  128821 */   // Label 3237: @128821
     /*  128821 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(128895), // Rule ID 8095 //
     /*  128826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  128840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128866 */     // MIs[1] Operand 1
     /*  128866 */     // No operand predicates
     /*  128866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  128875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  128878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128893 */     GIR_RootConstrainSelectedInstOperands,
     /*  128894 */     // GIR_Coverage, 8095,
     /*  128894 */     GIR_EraseRootFromParent_Done,
     /*  128895 */   // Label 3238: @128895
     /*  128895 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(128969), // Rule ID 8098 //
     /*  128900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  128914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128940 */     // MIs[1] Operand 1
     /*  128940 */     // No operand predicates
     /*  128940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  128952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128967 */     GIR_RootConstrainSelectedInstOperands,
     /*  128968 */     // GIR_Coverage, 8098,
     /*  128968 */     GIR_EraseRootFromParent_Done,
     /*  128969 */   // Label 3239: @128969
     /*  128969 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(129043), // Rule ID 8099 //
     /*  128974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  128988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129014 */     // MIs[1] Operand 1
     /*  129014 */     // No operand predicates
     /*  129014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  129023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129041 */     GIR_RootConstrainSelectedInstOperands,
     /*  129042 */     // GIR_Coverage, 8099,
     /*  129042 */     GIR_EraseRootFromParent_Done,
     /*  129043 */   // Label 3240: @129043
     /*  129043 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(129117), // Rule ID 8102 //
     /*  129048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  129062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129088 */     // MIs[1] Operand 1
     /*  129088 */     // No operand predicates
     /*  129088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  129100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129115 */     GIR_RootConstrainSelectedInstOperands,
     /*  129116 */     // GIR_Coverage, 8102,
     /*  129116 */     GIR_EraseRootFromParent_Done,
     /*  129117 */   // Label 3241: @129117
     /*  129117 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(129191), // Rule ID 8103 //
     /*  129122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  129136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129162 */     // MIs[1] Operand 1
     /*  129162 */     // No operand predicates
     /*  129162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  129174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129189 */     GIR_RootConstrainSelectedInstOperands,
     /*  129190 */     // GIR_Coverage, 8103,
     /*  129190 */     GIR_EraseRootFromParent_Done,
     /*  129191 */   // Label 3242: @129191
     /*  129191 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(129265), // Rule ID 8106 //
     /*  129196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  129210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129236 */     // MIs[1] Operand 1
     /*  129236 */     // No operand predicates
     /*  129236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129263 */     GIR_RootConstrainSelectedInstOperands,
     /*  129264 */     // GIR_Coverage, 8106,
     /*  129264 */     GIR_EraseRootFromParent_Done,
     /*  129265 */   // Label 3243: @129265
     /*  129265 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(129339), // Rule ID 8107 //
     /*  129270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  129284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129310 */     // MIs[1] Operand 1
     /*  129310 */     // No operand predicates
     /*  129310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129337 */     GIR_RootConstrainSelectedInstOperands,
     /*  129338 */     // GIR_Coverage, 8107,
     /*  129338 */     GIR_EraseRootFromParent_Done,
     /*  129339 */   // Label 3244: @129339
     /*  129339 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(129413), // Rule ID 8110 //
     /*  129344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  129358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129384 */     // MIs[1] Operand 1
     /*  129384 */     // No operand predicates
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  129393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129411 */     GIR_RootConstrainSelectedInstOperands,
     /*  129412 */     // GIR_Coverage, 8110,
     /*  129412 */     GIR_EraseRootFromParent_Done,
     /*  129413 */   // Label 3245: @129413
     /*  129413 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(129487), // Rule ID 8111 //
     /*  129418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  129432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129458 */     // MIs[1] Operand 1
     /*  129458 */     // No operand predicates
     /*  129458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  129467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129485 */     GIR_RootConstrainSelectedInstOperands,
     /*  129486 */     // GIR_Coverage, 8111,
     /*  129486 */     GIR_EraseRootFromParent_Done,
     /*  129487 */   // Label 3246: @129487
     /*  129487 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(129561), // Rule ID 8114 //
     /*  129492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  129503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  129506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129532 */     // MIs[1] Operand 1
     /*  129532 */     // No operand predicates
     /*  129532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  129541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129559 */     GIR_RootConstrainSelectedInstOperands,
     /*  129560 */     // GIR_Coverage, 8114,
     /*  129560 */     GIR_EraseRootFromParent_Done,
     /*  129561 */   // Label 3247: @129561
     /*  129561 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(129635), // Rule ID 8115 //
     /*  129566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  129577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  129580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129606 */     // MIs[1] Operand 1
     /*  129606 */     // No operand predicates
     /*  129606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  129615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129633 */     GIR_RootConstrainSelectedInstOperands,
     /*  129634 */     // GIR_Coverage, 8115,
     /*  129634 */     GIR_EraseRootFromParent_Done,
     /*  129635 */   // Label 3248: @129635
     /*  129635 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(129709), // Rule ID 8118 //
     /*  129640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  129651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  129654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129680 */     // MIs[1] Operand 1
     /*  129680 */     // No operand predicates
     /*  129680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129707 */     GIR_RootConstrainSelectedInstOperands,
     /*  129708 */     // GIR_Coverage, 8118,
     /*  129708 */     GIR_EraseRootFromParent_Done,
     /*  129709 */   // Label 3249: @129709
     /*  129709 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(129783), // Rule ID 8119 //
     /*  129714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  129725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  129728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129754 */     // MIs[1] Operand 1
     /*  129754 */     // No operand predicates
     /*  129754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129781 */     GIR_RootConstrainSelectedInstOperands,
     /*  129782 */     // GIR_Coverage, 8119,
     /*  129782 */     GIR_EraseRootFromParent_Done,
     /*  129783 */   // Label 3250: @129783
     /*  129783 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(129857), // Rule ID 8122 //
     /*  129788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  129802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129828 */     // MIs[1] Operand 1
     /*  129828 */     // No operand predicates
     /*  129828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  129837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129855 */     GIR_RootConstrainSelectedInstOperands,
     /*  129856 */     // GIR_Coverage, 8122,
     /*  129856 */     GIR_EraseRootFromParent_Done,
     /*  129857 */   // Label 3251: @129857
     /*  129857 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(129931), // Rule ID 8123 //
     /*  129862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  129876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129902 */     // MIs[1] Operand 1
     /*  129902 */     // No operand predicates
     /*  129902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  129911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129929 */     GIR_RootConstrainSelectedInstOperands,
     /*  129930 */     // GIR_Coverage, 8123,
     /*  129930 */     GIR_EraseRootFromParent_Done,
     /*  129931 */   // Label 3252: @129931
     /*  129931 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(130005), // Rule ID 8126 //
     /*  129936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  129939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  129950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129976 */     // MIs[1] Operand 1
     /*  129976 */     // No operand predicates
     /*  129976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  129985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130003 */     GIR_RootConstrainSelectedInstOperands,
     /*  130004 */     // GIR_Coverage, 8126,
     /*  130004 */     GIR_EraseRootFromParent_Done,
     /*  130005 */   // Label 3253: @130005
     /*  130005 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(130079), // Rule ID 8127 //
     /*  130010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  130021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130050 */     // MIs[1] Operand 1
     /*  130050 */     // No operand predicates
     /*  130050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  130059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  130062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 8127,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 3254: @130079
     /*  130079 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(130153), // Rule ID 8130 //
     /*  130084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  130098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130124 */     // MIs[1] Operand 1
     /*  130124 */     // No operand predicates
     /*  130124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130151 */     GIR_RootConstrainSelectedInstOperands,
     /*  130152 */     // GIR_Coverage, 8130,
     /*  130152 */     GIR_EraseRootFromParent_Done,
     /*  130153 */   // Label 3255: @130153
     /*  130153 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(130227), // Rule ID 8131 //
     /*  130158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  130172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130198 */     // MIs[1] Operand 1
     /*  130198 */     // No operand predicates
     /*  130198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130207 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130225 */     GIR_RootConstrainSelectedInstOperands,
     /*  130226 */     // GIR_Coverage, 8131,
     /*  130226 */     GIR_EraseRootFromParent_Done,
     /*  130227 */   // Label 3256: @130227
     /*  130227 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(130301), // Rule ID 8134 //
     /*  130232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  130246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130272 */     // MIs[1] Operand 1
     /*  130272 */     // No operand predicates
     /*  130272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130299 */     GIR_RootConstrainSelectedInstOperands,
     /*  130300 */     // GIR_Coverage, 8134,
     /*  130300 */     GIR_EraseRootFromParent_Done,
     /*  130301 */   // Label 3257: @130301
     /*  130301 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(130375), // Rule ID 8135 //
     /*  130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  130320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130346 */     // MIs[1] Operand 1
     /*  130346 */     // No operand predicates
     /*  130346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130373 */     GIR_RootConstrainSelectedInstOperands,
     /*  130374 */     // GIR_Coverage, 8135,
     /*  130374 */     GIR_EraseRootFromParent_Done,
     /*  130375 */   // Label 3258: @130375
     /*  130375 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(130449), // Rule ID 8138 //
     /*  130380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  130391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  130394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130420 */     // MIs[1] Operand 1
     /*  130420 */     // No operand predicates
     /*  130420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130429 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130447 */     GIR_RootConstrainSelectedInstOperands,
     /*  130448 */     // GIR_Coverage, 8138,
     /*  130448 */     GIR_EraseRootFromParent_Done,
     /*  130449 */   // Label 3259: @130449
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(130523), // Rule ID 8139 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  130465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  130468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130494 */     // MIs[1] Operand 1
     /*  130494 */     // No operand predicates
     /*  130494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130503 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130521 */     GIR_RootConstrainSelectedInstOperands,
     /*  130522 */     // GIR_Coverage, 8139,
     /*  130522 */     GIR_EraseRootFromParent_Done,
     /*  130523 */   // Label 3260: @130523
     /*  130523 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(130597), // Rule ID 8142 //
     /*  130528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  130539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  130542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130568 */     // MIs[1] Operand 1
     /*  130568 */     // No operand predicates
     /*  130568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130595 */     GIR_RootConstrainSelectedInstOperands,
     /*  130596 */     // GIR_Coverage, 8142,
     /*  130596 */     GIR_EraseRootFromParent_Done,
     /*  130597 */   // Label 3261: @130597
     /*  130597 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(130671), // Rule ID 8143 //
     /*  130602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  130613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  130616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130642 */     // MIs[1] Operand 1
     /*  130642 */     // No operand predicates
     /*  130642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130669 */     GIR_RootConstrainSelectedInstOperands,
     /*  130670 */     // GIR_Coverage, 8143,
     /*  130670 */     GIR_EraseRootFromParent_Done,
     /*  130671 */   // Label 3262: @130671
     /*  130671 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(130745), // Rule ID 8146 //
     /*  130676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  130690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130716 */     // MIs[1] Operand 1
     /*  130716 */     // No operand predicates
     /*  130716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130743 */     GIR_RootConstrainSelectedInstOperands,
     /*  130744 */     // GIR_Coverage, 8146,
     /*  130744 */     GIR_EraseRootFromParent_Done,
     /*  130745 */   // Label 3263: @130745
     /*  130745 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(130819), // Rule ID 8147 //
     /*  130750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  130764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130790 */     // MIs[1] Operand 1
     /*  130790 */     // No operand predicates
     /*  130790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130799 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130817 */     GIR_RootConstrainSelectedInstOperands,
     /*  130818 */     // GIR_Coverage, 8147,
     /*  130818 */     GIR_EraseRootFromParent_Done,
     /*  130819 */   // Label 3264: @130819
     /*  130819 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(130893), // Rule ID 8150 //
     /*  130824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  130838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130864 */     // MIs[1] Operand 1
     /*  130864 */     // No operand predicates
     /*  130864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130891 */     GIR_RootConstrainSelectedInstOperands,
     /*  130892 */     // GIR_Coverage, 8150,
     /*  130892 */     GIR_EraseRootFromParent_Done,
     /*  130893 */   // Label 3265: @130893
     /*  130893 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(130967), // Rule ID 8151 //
     /*  130898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  130912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130938 */     // MIs[1] Operand 1
     /*  130938 */     // No operand predicates
     /*  130938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130947 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130965 */     GIR_RootConstrainSelectedInstOperands,
     /*  130966 */     // GIR_Coverage, 8151,
     /*  130966 */     GIR_EraseRootFromParent_Done,
     /*  130967 */   // Label 3266: @130967
     /*  130967 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(131041), // Rule ID 8154 //
     /*  130972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  130983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  130986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131012 */     // MIs[1] Operand 1
     /*  131012 */     // No operand predicates
     /*  131012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131039 */     GIR_RootConstrainSelectedInstOperands,
     /*  131040 */     // GIR_Coverage, 8154,
     /*  131040 */     GIR_EraseRootFromParent_Done,
     /*  131041 */   // Label 3267: @131041
     /*  131041 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(131115), // Rule ID 8155 //
     /*  131046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  131060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131086 */     // MIs[1] Operand 1
     /*  131086 */     // No operand predicates
     /*  131086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131113 */     GIR_RootConstrainSelectedInstOperands,
     /*  131114 */     // GIR_Coverage, 8155,
     /*  131114 */     GIR_EraseRootFromParent_Done,
     /*  131115 */   // Label 3268: @131115
     /*  131115 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(131189), // Rule ID 8158 //
     /*  131120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  131134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131160 */     // MIs[1] Operand 1
     /*  131160 */     // No operand predicates
     /*  131160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131187 */     GIR_RootConstrainSelectedInstOperands,
     /*  131188 */     // GIR_Coverage, 8158,
     /*  131188 */     GIR_EraseRootFromParent_Done,
     /*  131189 */   // Label 3269: @131189
     /*  131189 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(131263), // Rule ID 8159 //
     /*  131194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  131208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131234 */     // MIs[1] Operand 1
     /*  131234 */     // No operand predicates
     /*  131234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131261 */     GIR_RootConstrainSelectedInstOperands,
     /*  131262 */     // GIR_Coverage, 8159,
     /*  131262 */     GIR_EraseRootFromParent_Done,
     /*  131263 */   // Label 3270: @131263
     /*  131263 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(131337), // Rule ID 8162 //
     /*  131268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  131279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  131282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131308 */     // MIs[1] Operand 1
     /*  131308 */     // No operand predicates
     /*  131308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131335 */     GIR_RootConstrainSelectedInstOperands,
     /*  131336 */     // GIR_Coverage, 8162,
     /*  131336 */     GIR_EraseRootFromParent_Done,
     /*  131337 */   // Label 3271: @131337
     /*  131337 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(131411), // Rule ID 8163 //
     /*  131342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  131353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  131356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131382 */     // MIs[1] Operand 1
     /*  131382 */     // No operand predicates
     /*  131382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131409 */     GIR_RootConstrainSelectedInstOperands,
     /*  131410 */     // GIR_Coverage, 8163,
     /*  131410 */     GIR_EraseRootFromParent_Done,
     /*  131411 */   // Label 3272: @131411
     /*  131411 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(131485), // Rule ID 8166 //
     /*  131416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  131427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131456 */     // MIs[1] Operand 1
     /*  131456 */     // No operand predicates
     /*  131456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131483 */     GIR_RootConstrainSelectedInstOperands,
     /*  131484 */     // GIR_Coverage, 8166,
     /*  131484 */     GIR_EraseRootFromParent_Done,
     /*  131485 */   // Label 3273: @131485
     /*  131485 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(131559), // Rule ID 8167 //
     /*  131490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  131501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131530 */     // MIs[1] Operand 1
     /*  131530 */     // No operand predicates
     /*  131530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131557 */     GIR_RootConstrainSelectedInstOperands,
     /*  131558 */     // GIR_Coverage, 8167,
     /*  131558 */     GIR_EraseRootFromParent_Done,
     /*  131559 */   // Label 3274: @131559
     /*  131559 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(131633), // Rule ID 8170 //
     /*  131564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  131578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131604 */     // MIs[1] Operand 1
     /*  131604 */     // No operand predicates
     /*  131604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131631 */     GIR_RootConstrainSelectedInstOperands,
     /*  131632 */     // GIR_Coverage, 8170,
     /*  131632 */     GIR_EraseRootFromParent_Done,
     /*  131633 */   // Label 3275: @131633
     /*  131633 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(131707), // Rule ID 8171 //
     /*  131638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  131652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131678 */     // MIs[1] Operand 1
     /*  131678 */     // No operand predicates
     /*  131678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131705 */     GIR_RootConstrainSelectedInstOperands,
     /*  131706 */     // GIR_Coverage, 8171,
     /*  131706 */     GIR_EraseRootFromParent_Done,
     /*  131707 */   // Label 3276: @131707
     /*  131707 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(131781), // Rule ID 8174 //
     /*  131712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  131726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131752 */     // MIs[1] Operand 1
     /*  131752 */     // No operand predicates
     /*  131752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131779 */     GIR_RootConstrainSelectedInstOperands,
     /*  131780 */     // GIR_Coverage, 8174,
     /*  131780 */     GIR_EraseRootFromParent_Done,
     /*  131781 */   // Label 3277: @131781
     /*  131781 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(131855), // Rule ID 8175 //
     /*  131786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  131800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131826 */     // MIs[1] Operand 1
     /*  131826 */     // No operand predicates
     /*  131826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131853 */     GIR_RootConstrainSelectedInstOperands,
     /*  131854 */     // GIR_Coverage, 8175,
     /*  131854 */     GIR_EraseRootFromParent_Done,
     /*  131855 */   // Label 3278: @131855
     /*  131855 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(131929), // Rule ID 8706 //
     /*  131860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  131868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  131871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  131874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131900 */     // MIs[1] Operand 1
     /*  131900 */     // No operand predicates
     /*  131900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  131909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  131912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131927 */     GIR_RootConstrainSelectedInstOperands,
     /*  131928 */     // GIR_Coverage, 8706,
     /*  131928 */     GIR_EraseRootFromParent_Done,
     /*  131929 */   // Label 3279: @131929
     /*  131929 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(132003), // Rule ID 8707 //
     /*  131934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  131942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  131945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  131948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131974 */     // MIs[1] Operand 1
     /*  131974 */     // No operand predicates
     /*  131974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  131983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  131986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132001 */     GIR_RootConstrainSelectedInstOperands,
     /*  132002 */     // GIR_Coverage, 8707,
     /*  132002 */     GIR_EraseRootFromParent_Done,
     /*  132003 */   // Label 3280: @132003
     /*  132003 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(132077), // Rule ID 8710 //
     /*  132008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  132022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132048 */     // MIs[1] Operand 1
     /*  132048 */     // No operand predicates
     /*  132048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132075 */     GIR_RootConstrainSelectedInstOperands,
     /*  132076 */     // GIR_Coverage, 8710,
     /*  132076 */     GIR_EraseRootFromParent_Done,
     /*  132077 */   // Label 3281: @132077
     /*  132077 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(132151), // Rule ID 8711 //
     /*  132082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  132096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132122 */     // MIs[1] Operand 1
     /*  132122 */     // No operand predicates
     /*  132122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132149 */     GIR_RootConstrainSelectedInstOperands,
     /*  132150 */     // GIR_Coverage, 8711,
     /*  132150 */     GIR_EraseRootFromParent_Done,
     /*  132151 */   // Label 3282: @132151
     /*  132151 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(132225), // Rule ID 8714 //
     /*  132156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132196 */     // MIs[1] Operand 1
     /*  132196 */     // No operand predicates
     /*  132196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132223 */     GIR_RootConstrainSelectedInstOperands,
     /*  132224 */     // GIR_Coverage, 8714,
     /*  132224 */     GIR_EraseRootFromParent_Done,
     /*  132225 */   // Label 3283: @132225
     /*  132225 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(132299), // Rule ID 8715 //
     /*  132230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132270 */     // MIs[1] Operand 1
     /*  132270 */     // No operand predicates
     /*  132270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132297 */     GIR_RootConstrainSelectedInstOperands,
     /*  132298 */     // GIR_Coverage, 8715,
     /*  132298 */     GIR_EraseRootFromParent_Done,
     /*  132299 */   // Label 3284: @132299
     /*  132299 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(132373), // Rule ID 8718 //
     /*  132304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  132318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132344 */     // MIs[1] Operand 1
     /*  132344 */     // No operand predicates
     /*  132344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132371 */     GIR_RootConstrainSelectedInstOperands,
     /*  132372 */     // GIR_Coverage, 8718,
     /*  132372 */     GIR_EraseRootFromParent_Done,
     /*  132373 */   // Label 3285: @132373
     /*  132373 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(132447), // Rule ID 8719 //
     /*  132378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  132392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132418 */     // MIs[1] Operand 1
     /*  132418 */     // No operand predicates
     /*  132418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  132427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132445 */     GIR_RootConstrainSelectedInstOperands,
     /*  132446 */     // GIR_Coverage, 8719,
     /*  132446 */     GIR_EraseRootFromParent_Done,
     /*  132447 */   // Label 3286: @132447
     /*  132447 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(132521), // Rule ID 8722 //
     /*  132452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  132466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132492 */     // MIs[1] Operand 1
     /*  132492 */     // No operand predicates
     /*  132492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 8722,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 3287: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(132595), // Rule ID 8723 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  132540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132566 */     // MIs[1] Operand 1
     /*  132566 */     // No operand predicates
     /*  132566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  132575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132593 */     GIR_RootConstrainSelectedInstOperands,
     /*  132594 */     // GIR_Coverage, 8723,
     /*  132594 */     GIR_EraseRootFromParent_Done,
     /*  132595 */   // Label 3288: @132595
     /*  132595 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(132669), // Rule ID 8726 //
     /*  132600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  132614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132640 */     // MIs[1] Operand 1
     /*  132640 */     // No operand predicates
     /*  132640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  132649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132667 */     GIR_RootConstrainSelectedInstOperands,
     /*  132668 */     // GIR_Coverage, 8726,
     /*  132668 */     GIR_EraseRootFromParent_Done,
     /*  132669 */   // Label 3289: @132669
     /*  132669 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(132743), // Rule ID 8727 //
     /*  132674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  132688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132714 */     // MIs[1] Operand 1
     /*  132714 */     // No operand predicates
     /*  132714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  132723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132741 */     GIR_RootConstrainSelectedInstOperands,
     /*  132742 */     // GIR_Coverage, 8727,
     /*  132742 */     GIR_EraseRootFromParent_Done,
     /*  132743 */   // Label 3290: @132743
     /*  132743 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(132817), // Rule ID 8730 //
     /*  132748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  132759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  132762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132788 */     // MIs[1] Operand 1
     /*  132788 */     // No operand predicates
     /*  132788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132815 */     GIR_RootConstrainSelectedInstOperands,
     /*  132816 */     // GIR_Coverage, 8730,
     /*  132816 */     GIR_EraseRootFromParent_Done,
     /*  132817 */   // Label 3291: @132817
     /*  132817 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(132891), // Rule ID 8731 //
     /*  132822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  132833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  132836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132862 */     // MIs[1] Operand 1
     /*  132862 */     // No operand predicates
     /*  132862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132889 */     GIR_RootConstrainSelectedInstOperands,
     /*  132890 */     // GIR_Coverage, 8731,
     /*  132890 */     GIR_EraseRootFromParent_Done,
     /*  132891 */   // Label 3292: @132891
     /*  132891 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(132965), // Rule ID 8734 //
     /*  132896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132936 */     // MIs[1] Operand 1
     /*  132936 */     // No operand predicates
     /*  132936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132963 */     GIR_RootConstrainSelectedInstOperands,
     /*  132964 */     // GIR_Coverage, 8734,
     /*  132964 */     GIR_EraseRootFromParent_Done,
     /*  132965 */   // Label 3293: @132965
     /*  132965 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(133039), // Rule ID 8735 //
     /*  132970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133010 */     // MIs[1] Operand 1
     /*  133010 */     // No operand predicates
     /*  133010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133019 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  133019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133037 */     GIR_RootConstrainSelectedInstOperands,
     /*  133038 */     // GIR_Coverage, 8735,
     /*  133038 */     GIR_EraseRootFromParent_Done,
     /*  133039 */   // Label 3294: @133039
     /*  133039 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(133113), // Rule ID 8738 //
     /*  133044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  133055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  133058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133084 */     // MIs[1] Operand 1
     /*  133084 */     // No operand predicates
     /*  133084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  133093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133111 */     GIR_RootConstrainSelectedInstOperands,
     /*  133112 */     // GIR_Coverage, 8738,
     /*  133112 */     GIR_EraseRootFromParent_Done,
     /*  133113 */   // Label 3295: @133113
     /*  133113 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(133187), // Rule ID 8739 //
     /*  133118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  133129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  133132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133158 */     // MIs[1] Operand 1
     /*  133158 */     // No operand predicates
     /*  133158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133167 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  133167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133185 */     GIR_RootConstrainSelectedInstOperands,
     /*  133186 */     // GIR_Coverage, 8739,
     /*  133186 */     GIR_EraseRootFromParent_Done,
     /*  133187 */   // Label 3296: @133187
     /*  133187 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(133261), // Rule ID 8742 //
     /*  133192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  133203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  133206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133232 */     // MIs[1] Operand 1
     /*  133232 */     // No operand predicates
     /*  133232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  133241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133259 */     GIR_RootConstrainSelectedInstOperands,
     /*  133260 */     // GIR_Coverage, 8742,
     /*  133260 */     GIR_EraseRootFromParent_Done,
     /*  133261 */   // Label 3297: @133261
     /*  133261 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(133335), // Rule ID 8743 //
     /*  133266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  133277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  133280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133306 */     // MIs[1] Operand 1
     /*  133306 */     // No operand predicates
     /*  133306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  133315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133333 */     GIR_RootConstrainSelectedInstOperands,
     /*  133334 */     // GIR_Coverage, 8743,
     /*  133334 */     GIR_EraseRootFromParent_Done,
     /*  133335 */   // Label 3298: @133335
     /*  133335 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(133409), // Rule ID 8746 //
     /*  133340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  133354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133380 */     // MIs[1] Operand 1
     /*  133380 */     // No operand predicates
     /*  133380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133407 */     GIR_RootConstrainSelectedInstOperands,
     /*  133408 */     // GIR_Coverage, 8746,
     /*  133408 */     GIR_EraseRootFromParent_Done,
     /*  133409 */   // Label 3299: @133409
     /*  133409 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(133483), // Rule ID 8747 //
     /*  133414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  133428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133454 */     // MIs[1] Operand 1
     /*  133454 */     // No operand predicates
     /*  133454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133463 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133481 */     GIR_RootConstrainSelectedInstOperands,
     /*  133482 */     // GIR_Coverage, 8747,
     /*  133482 */     GIR_EraseRootFromParent_Done,
     /*  133483 */   // Label 3300: @133483
     /*  133483 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(133557), // Rule ID 8750 //
     /*  133488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  133499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  133502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133528 */     // MIs[1] Operand 1
     /*  133528 */     // No operand predicates
     /*  133528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133555 */     GIR_RootConstrainSelectedInstOperands,
     /*  133556 */     // GIR_Coverage, 8750,
     /*  133556 */     GIR_EraseRootFromParent_Done,
     /*  133557 */   // Label 3301: @133557
     /*  133557 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(133631), // Rule ID 8751 //
     /*  133562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  133573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  133576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133602 */     // MIs[1] Operand 1
     /*  133602 */     // No operand predicates
     /*  133602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133611 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133629 */     GIR_RootConstrainSelectedInstOperands,
     /*  133630 */     // GIR_Coverage, 8751,
     /*  133630 */     GIR_EraseRootFromParent_Done,
     /*  133631 */   // Label 3302: @133631
     /*  133631 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(133705), // Rule ID 8754 //
     /*  133636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  133647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  133650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133676 */     // MIs[1] Operand 1
     /*  133676 */     // No operand predicates
     /*  133676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133685 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  133688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133703 */     GIR_RootConstrainSelectedInstOperands,
     /*  133704 */     // GIR_Coverage, 8754,
     /*  133704 */     GIR_EraseRootFromParent_Done,
     /*  133705 */   // Label 3303: @133705
     /*  133705 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(133779), // Rule ID 8755 //
     /*  133710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  133721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  133724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133750 */     // MIs[1] Operand 1
     /*  133750 */     // No operand predicates
     /*  133750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133759 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  133762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133777 */     GIR_RootConstrainSelectedInstOperands,
     /*  133778 */     // GIR_Coverage, 8755,
     /*  133778 */     GIR_EraseRootFromParent_Done,
     /*  133779 */   // Label 3304: @133779
     /*  133779 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(133853), // Rule ID 8758 //
     /*  133784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  133795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133824 */     // MIs[1] Operand 1
     /*  133824 */     // No operand predicates
     /*  133824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  133833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133851 */     GIR_RootConstrainSelectedInstOperands,
     /*  133852 */     // GIR_Coverage, 8758,
     /*  133852 */     GIR_EraseRootFromParent_Done,
     /*  133853 */   // Label 3305: @133853
     /*  133853 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(133927), // Rule ID 8759 //
     /*  133858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  133869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133898 */     // MIs[1] Operand 1
     /*  133898 */     // No operand predicates
     /*  133898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  133907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133925 */     GIR_RootConstrainSelectedInstOperands,
     /*  133926 */     // GIR_Coverage, 8759,
     /*  133926 */     GIR_EraseRootFromParent_Done,
     /*  133927 */   // Label 3306: @133927
     /*  133927 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(134001), // Rule ID 8762 //
     /*  133932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  133946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133972 */     // MIs[1] Operand 1
     /*  133972 */     // No operand predicates
     /*  133972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  133981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133999 */     GIR_RootConstrainSelectedInstOperands,
     /*  134000 */     // GIR_Coverage, 8762,
     /*  134000 */     GIR_EraseRootFromParent_Done,
     /*  134001 */   // Label 3307: @134001
     /*  134001 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(134075), // Rule ID 8763 //
     /*  134006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134046 */     // MIs[1] Operand 1
     /*  134046 */     // No operand predicates
     /*  134046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  134055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134073 */     GIR_RootConstrainSelectedInstOperands,
     /*  134074 */     // GIR_Coverage, 8763,
     /*  134074 */     GIR_EraseRootFromParent_Done,
     /*  134075 */   // Label 3308: @134075
     /*  134075 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(134149), // Rule ID 8766 //
     /*  134080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  134091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  134094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134120 */     // MIs[1] Operand 1
     /*  134120 */     // No operand predicates
     /*  134120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  134129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134147 */     GIR_RootConstrainSelectedInstOperands,
     /*  134148 */     // GIR_Coverage, 8766,
     /*  134148 */     GIR_EraseRootFromParent_Done,
     /*  134149 */   // Label 3309: @134149
     /*  134149 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(134223), // Rule ID 8767 //
     /*  134154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  134165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  134168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134194 */     // MIs[1] Operand 1
     /*  134194 */     // No operand predicates
     /*  134194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134203 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  134203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134221 */     GIR_RootConstrainSelectedInstOperands,
     /*  134222 */     // GIR_Coverage, 8767,
     /*  134222 */     GIR_EraseRootFromParent_Done,
     /*  134223 */   // Label 3310: @134223
     /*  134223 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(134297), // Rule ID 8770 //
     /*  134228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  134242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134268 */     // MIs[1] Operand 1
     /*  134268 */     // No operand predicates
     /*  134268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 8770,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 3311: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(134371), // Rule ID 8771 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  134316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134342 */     // MIs[1] Operand 1
     /*  134342 */     // No operand predicates
     /*  134342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134351 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134369 */     GIR_RootConstrainSelectedInstOperands,
     /*  134370 */     // GIR_Coverage, 8771,
     /*  134370 */     GIR_EraseRootFromParent_Done,
     /*  134371 */   // Label 3312: @134371
     /*  134371 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(134445), // Rule ID 8774 //
     /*  134376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  134390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134416 */     // MIs[1] Operand 1
     /*  134416 */     // No operand predicates
     /*  134416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134443 */     GIR_RootConstrainSelectedInstOperands,
     /*  134444 */     // GIR_Coverage, 8774,
     /*  134444 */     GIR_EraseRootFromParent_Done,
     /*  134445 */   // Label 3313: @134445
     /*  134445 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(134519), // Rule ID 8775 //
     /*  134450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  134464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134490 */     // MIs[1] Operand 1
     /*  134490 */     // No operand predicates
     /*  134490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134517 */     GIR_RootConstrainSelectedInstOperands,
     /*  134518 */     // GIR_Coverage, 8775,
     /*  134518 */     GIR_EraseRootFromParent_Done,
     /*  134519 */   // Label 3314: @134519
     /*  134519 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(134593), // Rule ID 8778 //
     /*  134524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134564 */     // MIs[1] Operand 1
     /*  134564 */     // No operand predicates
     /*  134564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 8778,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 3315: @134593
     /*  134593 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(134667), // Rule ID 8779 //
     /*  134598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134638 */     // MIs[1] Operand 1
     /*  134638 */     // No operand predicates
     /*  134638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134665 */     GIR_RootConstrainSelectedInstOperands,
     /*  134666 */     // GIR_Coverage, 8779,
     /*  134666 */     GIR_EraseRootFromParent_Done,
     /*  134667 */   // Label 3316: @134667
     /*  134667 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(134741), // Rule ID 8782 //
     /*  134672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  134683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  134686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134712 */     // MIs[1] Operand 1
     /*  134712 */     // No operand predicates
     /*  134712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  134721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134739 */     GIR_RootConstrainSelectedInstOperands,
     /*  134740 */     // GIR_Coverage, 8782,
     /*  134740 */     GIR_EraseRootFromParent_Done,
     /*  134741 */   // Label 3317: @134741
     /*  134741 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(134815), // Rule ID 8783 //
     /*  134746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  134757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  134760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134786 */     // MIs[1] Operand 1
     /*  134786 */     // No operand predicates
     /*  134786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  134795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134813 */     GIR_RootConstrainSelectedInstOperands,
     /*  134814 */     // GIR_Coverage, 8783,
     /*  134814 */     GIR_EraseRootFromParent_Done,
     /*  134815 */   // Label 3318: @134815
     /*  134815 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(134889), // Rule ID 8786 //
     /*  134820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  134834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134860 */     // MIs[1] Operand 1
     /*  134860 */     // No operand predicates
     /*  134860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  134869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134887 */     GIR_RootConstrainSelectedInstOperands,
     /*  134888 */     // GIR_Coverage, 8786,
     /*  134888 */     GIR_EraseRootFromParent_Done,
     /*  134889 */   // Label 3319: @134889
     /*  134889 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(134963), // Rule ID 8787 //
     /*  134894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  134908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134934 */     // MIs[1] Operand 1
     /*  134934 */     // No operand predicates
     /*  134934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  134943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134961 */     GIR_RootConstrainSelectedInstOperands,
     /*  134962 */     // GIR_Coverage, 8787,
     /*  134962 */     GIR_EraseRootFromParent_Done,
     /*  134963 */   // Label 3320: @134963
     /*  134963 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(135037), // Rule ID 8790 //
     /*  134968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  134982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135008 */     // MIs[1] Operand 1
     /*  135008 */     // No operand predicates
     /*  135008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  135017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  135020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135035 */     GIR_RootConstrainSelectedInstOperands,
     /*  135036 */     // GIR_Coverage, 8790,
     /*  135036 */     GIR_EraseRootFromParent_Done,
     /*  135037 */   // Label 3321: @135037
     /*  135037 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(135111), // Rule ID 8791 //
     /*  135042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  135050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  135053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  135056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135082 */     // MIs[1] Operand 1
     /*  135082 */     // No operand predicates
     /*  135082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  135091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  135094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135109 */     GIR_RootConstrainSelectedInstOperands,
     /*  135110 */     // GIR_Coverage, 8791,
     /*  135110 */     GIR_EraseRootFromParent_Done,
     /*  135111 */   // Label 3322: @135111
     /*  135111 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(135185), // Rule ID 8970 //
     /*  135116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  135130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135156 */     // MIs[1] Operand 1
     /*  135156 */     // No operand predicates
     /*  135156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  135168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135183 */     GIR_RootConstrainSelectedInstOperands,
     /*  135184 */     // GIR_Coverage, 8970,
     /*  135184 */     GIR_EraseRootFromParent_Done,
     /*  135185 */   // Label 3323: @135185
     /*  135185 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(135259), // Rule ID 8971 //
     /*  135190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  135204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135230 */     // MIs[1] Operand 1
     /*  135230 */     // No operand predicates
     /*  135230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  135242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135257 */     GIR_RootConstrainSelectedInstOperands,
     /*  135258 */     // GIR_Coverage, 8971,
     /*  135258 */     GIR_EraseRootFromParent_Done,
     /*  135259 */   // Label 3324: @135259
     /*  135259 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(135333), // Rule ID 8974 //
     /*  135264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135304 */     // MIs[1] Operand 1
     /*  135304 */     // No operand predicates
     /*  135304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135331 */     GIR_RootConstrainSelectedInstOperands,
     /*  135332 */     // GIR_Coverage, 8974,
     /*  135332 */     GIR_EraseRootFromParent_Done,
     /*  135333 */   // Label 3325: @135333
     /*  135333 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(135407), // Rule ID 8975 //
     /*  135338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135378 */     // MIs[1] Operand 1
     /*  135378 */     // No operand predicates
     /*  135378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135387 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135405 */     GIR_RootConstrainSelectedInstOperands,
     /*  135406 */     // GIR_Coverage, 8975,
     /*  135406 */     GIR_EraseRootFromParent_Done,
     /*  135407 */   // Label 3326: @135407
     /*  135407 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(135481), // Rule ID 8978 //
     /*  135412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  135423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  135426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135452 */     // MIs[1] Operand 1
     /*  135452 */     // No operand predicates
     /*  135452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135479 */     GIR_RootConstrainSelectedInstOperands,
     /*  135480 */     // GIR_Coverage, 8978,
     /*  135480 */     GIR_EraseRootFromParent_Done,
     /*  135481 */   // Label 3327: @135481
     /*  135481 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(135555), // Rule ID 8979 //
     /*  135486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  135497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  135500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135526 */     // MIs[1] Operand 1
     /*  135526 */     // No operand predicates
     /*  135526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135553 */     GIR_RootConstrainSelectedInstOperands,
     /*  135554 */     // GIR_Coverage, 8979,
     /*  135554 */     GIR_EraseRootFromParent_Done,
     /*  135555 */   // Label 3328: @135555
     /*  135555 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(135629), // Rule ID 8982 //
     /*  135560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  135574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135600 */     // MIs[1] Operand 1
     /*  135600 */     // No operand predicates
     /*  135600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  135609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135627 */     GIR_RootConstrainSelectedInstOperands,
     /*  135628 */     // GIR_Coverage, 8982,
     /*  135628 */     GIR_EraseRootFromParent_Done,
     /*  135629 */   // Label 3329: @135629
     /*  135629 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(135703), // Rule ID 8983 //
     /*  135634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  135648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135674 */     // MIs[1] Operand 1
     /*  135674 */     // No operand predicates
     /*  135674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  135683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135701 */     GIR_RootConstrainSelectedInstOperands,
     /*  135702 */     // GIR_Coverage, 8983,
     /*  135702 */     GIR_EraseRootFromParent_Done,
     /*  135703 */   // Label 3330: @135703
     /*  135703 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(135777), // Rule ID 8986 //
     /*  135708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135748 */     // MIs[1] Operand 1
     /*  135748 */     // No operand predicates
     /*  135748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  135757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135775 */     GIR_RootConstrainSelectedInstOperands,
     /*  135776 */     // GIR_Coverage, 8986,
     /*  135776 */     GIR_EraseRootFromParent_Done,
     /*  135777 */   // Label 3331: @135777
     /*  135777 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(135851), // Rule ID 8987 //
     /*  135782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135822 */     // MIs[1] Operand 1
     /*  135822 */     // No operand predicates
     /*  135822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  135831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135849 */     GIR_RootConstrainSelectedInstOperands,
     /*  135850 */     // GIR_Coverage, 8987,
     /*  135850 */     GIR_EraseRootFromParent_Done,
     /*  135851 */   // Label 3332: @135851
     /*  135851 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(135925), // Rule ID 8990 //
     /*  135856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  135870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135896 */     // MIs[1] Operand 1
     /*  135896 */     // No operand predicates
     /*  135896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  135905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135923 */     GIR_RootConstrainSelectedInstOperands,
     /*  135924 */     // GIR_Coverage, 8990,
     /*  135924 */     GIR_EraseRootFromParent_Done,
     /*  135925 */   // Label 3333: @135925
     /*  135925 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(135999), // Rule ID 8991 //
     /*  135930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  135944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135970 */     // MIs[1] Operand 1
     /*  135970 */     // No operand predicates
     /*  135970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  135979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135997 */     GIR_RootConstrainSelectedInstOperands,
     /*  135998 */     // GIR_Coverage, 8991,
     /*  135998 */     GIR_EraseRootFromParent_Done,
     /*  135999 */   // Label 3334: @135999
     /*  135999 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(136073), // Rule ID 8994 //
     /*  136004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  136015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  136018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136044 */     // MIs[1] Operand 1
     /*  136044 */     // No operand predicates
     /*  136044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136071 */     GIR_RootConstrainSelectedInstOperands,
     /*  136072 */     // GIR_Coverage, 8994,
     /*  136072 */     GIR_EraseRootFromParent_Done,
     /*  136073 */   // Label 3335: @136073
     /*  136073 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(136147), // Rule ID 8995 //
     /*  136078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  136089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  136092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136118 */     // MIs[1] Operand 1
     /*  136118 */     // No operand predicates
     /*  136118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136145 */     GIR_RootConstrainSelectedInstOperands,
     /*  136146 */     // GIR_Coverage, 8995,
     /*  136146 */     GIR_EraseRootFromParent_Done,
     /*  136147 */   // Label 3336: @136147
     /*  136147 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(136221), // Rule ID 8998 //
     /*  136152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  136163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136192 */     // MIs[1] Operand 1
     /*  136192 */     // No operand predicates
     /*  136192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  136201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136219 */     GIR_RootConstrainSelectedInstOperands,
     /*  136220 */     // GIR_Coverage, 8998,
     /*  136220 */     GIR_EraseRootFromParent_Done,
     /*  136221 */   // Label 3337: @136221
     /*  136221 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(136295), // Rule ID 8999 //
     /*  136226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  136237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136266 */     // MIs[1] Operand 1
     /*  136266 */     // No operand predicates
     /*  136266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  136275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136293 */     GIR_RootConstrainSelectedInstOperands,
     /*  136294 */     // GIR_Coverage, 8999,
     /*  136294 */     GIR_EraseRootFromParent_Done,
     /*  136295 */   // Label 3338: @136295
     /*  136295 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(136369), // Rule ID 9002 //
     /*  136300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  136311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136340 */     // MIs[1] Operand 1
     /*  136340 */     // No operand predicates
     /*  136340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  136349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136367 */     GIR_RootConstrainSelectedInstOperands,
     /*  136368 */     // GIR_Coverage, 9002,
     /*  136368 */     GIR_EraseRootFromParent_Done,
     /*  136369 */   // Label 3339: @136369
     /*  136369 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(136443), // Rule ID 9003 //
     /*  136374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  136385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136414 */     // MIs[1] Operand 1
     /*  136414 */     // No operand predicates
     /*  136414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  136423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136441 */     GIR_RootConstrainSelectedInstOperands,
     /*  136442 */     // GIR_Coverage, 9003,
     /*  136442 */     GIR_EraseRootFromParent_Done,
     /*  136443 */   // Label 3340: @136443
     /*  136443 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(136517), // Rule ID 9006 //
     /*  136448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  136459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  136462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136488 */     // MIs[1] Operand 1
     /*  136488 */     // No operand predicates
     /*  136488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  136497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136515 */     GIR_RootConstrainSelectedInstOperands,
     /*  136516 */     // GIR_Coverage, 9006,
     /*  136516 */     GIR_EraseRootFromParent_Done,
     /*  136517 */   // Label 3341: @136517
     /*  136517 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(136591), // Rule ID 9007 //
     /*  136522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  136533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  136536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136562 */     // MIs[1] Operand 1
     /*  136562 */     // No operand predicates
     /*  136562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  136571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136589 */     GIR_RootConstrainSelectedInstOperands,
     /*  136590 */     // GIR_Coverage, 9007,
     /*  136590 */     GIR_EraseRootFromParent_Done,
     /*  136591 */   // Label 3342: @136591
     /*  136591 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(136665), // Rule ID 9010 //
     /*  136596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  136607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  136610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136636 */     // MIs[1] Operand 1
     /*  136636 */     // No operand predicates
     /*  136636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  136648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136663 */     GIR_RootConstrainSelectedInstOperands,
     /*  136664 */     // GIR_Coverage, 9010,
     /*  136664 */     GIR_EraseRootFromParent_Done,
     /*  136665 */   // Label 3343: @136665
     /*  136665 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(136739), // Rule ID 9011 //
     /*  136670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  136681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  136684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136710 */     // MIs[1] Operand 1
     /*  136710 */     // No operand predicates
     /*  136710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  136722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136737 */     GIR_RootConstrainSelectedInstOperands,
     /*  136738 */     // GIR_Coverage, 9011,
     /*  136738 */     GIR_EraseRootFromParent_Done,
     /*  136739 */   // Label 3344: @136739
     /*  136739 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(136813), // Rule ID 9014 //
     /*  136744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  136755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  136758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136784 */     // MIs[1] Operand 1
     /*  136784 */     // No operand predicates
     /*  136784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  136796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136811 */     GIR_RootConstrainSelectedInstOperands,
     /*  136812 */     // GIR_Coverage, 9014,
     /*  136812 */     GIR_EraseRootFromParent_Done,
     /*  136813 */   // Label 3345: @136813
     /*  136813 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(136887), // Rule ID 9015 //
     /*  136818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  136829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  136832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136858 */     // MIs[1] Operand 1
     /*  136858 */     // No operand predicates
     /*  136858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  136870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136885 */     GIR_RootConstrainSelectedInstOperands,
     /*  136886 */     // GIR_Coverage, 9015,
     /*  136886 */     GIR_EraseRootFromParent_Done,
     /*  136887 */   // Label 3346: @136887
     /*  136887 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(136961), // Rule ID 9018 //
     /*  136892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  136903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136932 */     // MIs[1] Operand 1
     /*  136932 */     // No operand predicates
     /*  136932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136941 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  136944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136959 */     GIR_RootConstrainSelectedInstOperands,
     /*  136960 */     // GIR_Coverage, 9018,
     /*  136960 */     GIR_EraseRootFromParent_Done,
     /*  136961 */   // Label 3347: @136961
     /*  136961 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(137035), // Rule ID 9019 //
     /*  136966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  136977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137006 */     // MIs[1] Operand 1
     /*  137006 */     // No operand predicates
     /*  137006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137015 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  137015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137033 */     GIR_RootConstrainSelectedInstOperands,
     /*  137034 */     // GIR_Coverage, 9019,
     /*  137034 */     GIR_EraseRootFromParent_Done,
     /*  137035 */   // Label 3348: @137035
     /*  137035 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(137109), // Rule ID 9022 //
     /*  137040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137080 */     // MIs[1] Operand 1
     /*  137080 */     // No operand predicates
     /*  137080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137107 */     GIR_RootConstrainSelectedInstOperands,
     /*  137108 */     // GIR_Coverage, 9022,
     /*  137108 */     GIR_EraseRootFromParent_Done,
     /*  137109 */   // Label 3349: @137109
     /*  137109 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(137183), // Rule ID 9023 //
     /*  137114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137154 */     // MIs[1] Operand 1
     /*  137154 */     // No operand predicates
     /*  137154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137181 */     GIR_RootConstrainSelectedInstOperands,
     /*  137182 */     // GIR_Coverage, 9023,
     /*  137182 */     GIR_EraseRootFromParent_Done,
     /*  137183 */   // Label 3350: @137183
     /*  137183 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(137257), // Rule ID 9026 //
     /*  137188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  137202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137228 */     // MIs[1] Operand 1
     /*  137228 */     // No operand predicates
     /*  137228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137255 */     GIR_RootConstrainSelectedInstOperands,
     /*  137256 */     // GIR_Coverage, 9026,
     /*  137256 */     GIR_EraseRootFromParent_Done,
     /*  137257 */   // Label 3351: @137257
     /*  137257 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(137331), // Rule ID 9027 //
     /*  137262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  137276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137302 */     // MIs[1] Operand 1
     /*  137302 */     // No operand predicates
     /*  137302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137329 */     GIR_RootConstrainSelectedInstOperands,
     /*  137330 */     // GIR_Coverage, 9027,
     /*  137330 */     GIR_EraseRootFromParent_Done,
     /*  137331 */   // Label 3352: @137331
     /*  137331 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(137405), // Rule ID 9030 //
     /*  137336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  137347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  137350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137376 */     // MIs[1] Operand 1
     /*  137376 */     // No operand predicates
     /*  137376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137403 */     GIR_RootConstrainSelectedInstOperands,
     /*  137404 */     // GIR_Coverage, 9030,
     /*  137404 */     GIR_EraseRootFromParent_Done,
     /*  137405 */   // Label 3353: @137405
     /*  137405 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(137479), // Rule ID 9031 //
     /*  137410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  137421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  137424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137450 */     // MIs[1] Operand 1
     /*  137450 */     // No operand predicates
     /*  137450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137459 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137477 */     GIR_RootConstrainSelectedInstOperands,
     /*  137478 */     // GIR_Coverage, 9031,
     /*  137478 */     GIR_EraseRootFromParent_Done,
     /*  137479 */   // Label 3354: @137479
     /*  137479 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(137553), // Rule ID 9034 //
     /*  137484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  137495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137524 */     // MIs[1] Operand 1
     /*  137524 */     // No operand predicates
     /*  137524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137551 */     GIR_RootConstrainSelectedInstOperands,
     /*  137552 */     // GIR_Coverage, 9034,
     /*  137552 */     GIR_EraseRootFromParent_Done,
     /*  137553 */   // Label 3355: @137553
     /*  137553 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(137627), // Rule ID 9035 //
     /*  137558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  137569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137598 */     // MIs[1] Operand 1
     /*  137598 */     // No operand predicates
     /*  137598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137625 */     GIR_RootConstrainSelectedInstOperands,
     /*  137626 */     // GIR_Coverage, 9035,
     /*  137626 */     GIR_EraseRootFromParent_Done,
     /*  137627 */   // Label 3356: @137627
     /*  137627 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(137701), // Rule ID 9038 //
     /*  137632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137672 */     // MIs[1] Operand 1
     /*  137672 */     // No operand predicates
     /*  137672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137699 */     GIR_RootConstrainSelectedInstOperands,
     /*  137700 */     // GIR_Coverage, 9038,
     /*  137700 */     GIR_EraseRootFromParent_Done,
     /*  137701 */   // Label 3357: @137701
     /*  137701 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(137775), // Rule ID 9039 //
     /*  137706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137746 */     // MIs[1] Operand 1
     /*  137746 */     // No operand predicates
     /*  137746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137755 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137773 */     GIR_RootConstrainSelectedInstOperands,
     /*  137774 */     // GIR_Coverage, 9039,
     /*  137774 */     GIR_EraseRootFromParent_Done,
     /*  137775 */   // Label 3358: @137775
     /*  137775 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(137849), // Rule ID 9042 //
     /*  137780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  137794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137820 */     // MIs[1] Operand 1
     /*  137820 */     // No operand predicates
     /*  137820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137847 */     GIR_RootConstrainSelectedInstOperands,
     /*  137848 */     // GIR_Coverage, 9042,
     /*  137848 */     GIR_EraseRootFromParent_Done,
     /*  137849 */   // Label 3359: @137849
     /*  137849 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(137923), // Rule ID 9043 //
     /*  137854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  137868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137894 */     // MIs[1] Operand 1
     /*  137894 */     // No operand predicates
     /*  137894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137921 */     GIR_RootConstrainSelectedInstOperands,
     /*  137922 */     // GIR_Coverage, 9043,
     /*  137922 */     GIR_EraseRootFromParent_Done,
     /*  137923 */   // Label 3360: @137923
     /*  137923 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(137997), // Rule ID 9046 //
     /*  137928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  137939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  137942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137968 */     // MIs[1] Operand 1
     /*  137968 */     // No operand predicates
     /*  137968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  137977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137995 */     GIR_RootConstrainSelectedInstOperands,
     /*  137996 */     // GIR_Coverage, 9046,
     /*  137996 */     GIR_EraseRootFromParent_Done,
     /*  137997 */   // Label 3361: @137997
     /*  137997 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(138071), // Rule ID 9047 //
     /*  138002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  138016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138042 */     // MIs[1] Operand 1
     /*  138042 */     // No operand predicates
     /*  138042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138051 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  138054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138069 */     GIR_RootConstrainSelectedInstOperands,
     /*  138070 */     // GIR_Coverage, 9047,
     /*  138070 */     GIR_EraseRootFromParent_Done,
     /*  138071 */   // Label 3362: @138071
     /*  138071 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(138145), // Rule ID 9050 //
     /*  138076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  138090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138116 */     // MIs[1] Operand 1
     /*  138116 */     // No operand predicates
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  138125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  138128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138143 */     GIR_RootConstrainSelectedInstOperands,
     /*  138144 */     // GIR_Coverage, 9050,
     /*  138144 */     GIR_EraseRootFromParent_Done,
     /*  138145 */   // Label 3363: @138145
     /*  138145 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(138219), // Rule ID 9051 //
     /*  138150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  138164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138190 */     // MIs[1] Operand 1
     /*  138190 */     // No operand predicates
     /*  138190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  138202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138217 */     GIR_RootConstrainSelectedInstOperands,
     /*  138218 */     // GIR_Coverage, 9051,
     /*  138218 */     GIR_EraseRootFromParent_Done,
     /*  138219 */   // Label 3364: @138219
     /*  138219 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(138293), // Rule ID 9054 //
     /*  138224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  138235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138264 */     // MIs[1] Operand 1
     /*  138264 */     // No operand predicates
     /*  138264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  138273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  138276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138291 */     GIR_RootConstrainSelectedInstOperands,
     /*  138292 */     // GIR_Coverage, 9054,
     /*  138292 */     GIR_EraseRootFromParent_Done,
     /*  138293 */   // Label 3365: @138293
     /*  138293 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(138367), // Rule ID 9055 //
     /*  138298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  138309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138338 */     // MIs[1] Operand 1
     /*  138338 */     // No operand predicates
     /*  138338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  138350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138365 */     GIR_RootConstrainSelectedInstOperands,
     /*  138366 */     // GIR_Coverage, 9055,
     /*  138366 */     GIR_EraseRootFromParent_Done,
     /*  138367 */   // Label 3366: @138367
     /*  138367 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(138441), // Rule ID 9146 //
     /*  138372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138412 */     // MIs[1] Operand 1
     /*  138412 */     // No operand predicates
     /*  138412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  138424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138439 */     GIR_RootConstrainSelectedInstOperands,
     /*  138440 */     // GIR_Coverage, 9146,
     /*  138440 */     GIR_EraseRootFromParent_Done,
     /*  138441 */   // Label 3367: @138441
     /*  138441 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(138515), // Rule ID 9147 //
     /*  138446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138486 */     // MIs[1] Operand 1
     /*  138486 */     // No operand predicates
     /*  138486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  138498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138513 */     GIR_RootConstrainSelectedInstOperands,
     /*  138514 */     // GIR_Coverage, 9147,
     /*  138514 */     GIR_EraseRootFromParent_Done,
     /*  138515 */   // Label 3368: @138515
     /*  138515 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(138589), // Rule ID 9150 //
     /*  138520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  138534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138560 */     // MIs[1] Operand 1
     /*  138560 */     // No operand predicates
     /*  138560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138587 */     GIR_RootConstrainSelectedInstOperands,
     /*  138588 */     // GIR_Coverage, 9150,
     /*  138588 */     GIR_EraseRootFromParent_Done,
     /*  138589 */   // Label 3369: @138589
     /*  138589 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(138663), // Rule ID 9151 //
     /*  138594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  138608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138634 */     // MIs[1] Operand 1
     /*  138634 */     // No operand predicates
     /*  138634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138661 */     GIR_RootConstrainSelectedInstOperands,
     /*  138662 */     // GIR_Coverage, 9151,
     /*  138662 */     GIR_EraseRootFromParent_Done,
     /*  138663 */   // Label 3370: @138663
     /*  138663 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(138737), // Rule ID 9154 //
     /*  138668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  138682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138708 */     // MIs[1] Operand 1
     /*  138708 */     // No operand predicates
     /*  138708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  138720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138735 */     GIR_RootConstrainSelectedInstOperands,
     /*  138736 */     // GIR_Coverage, 9154,
     /*  138736 */     GIR_EraseRootFromParent_Done,
     /*  138737 */   // Label 3371: @138737
     /*  138737 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(138811), // Rule ID 9155 //
     /*  138742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  138756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138782 */     // MIs[1] Operand 1
     /*  138782 */     // No operand predicates
     /*  138782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138791 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  138794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138809 */     GIR_RootConstrainSelectedInstOperands,
     /*  138810 */     // GIR_Coverage, 9155,
     /*  138810 */     GIR_EraseRootFromParent_Done,
     /*  138811 */   // Label 3372: @138811
     /*  138811 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(138885), // Rule ID 9158 //
     /*  138816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  138830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138856 */     // MIs[1] Operand 1
     /*  138856 */     // No operand predicates
     /*  138856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  138865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138883 */     GIR_RootConstrainSelectedInstOperands,
     /*  138884 */     // GIR_Coverage, 9158,
     /*  138884 */     GIR_EraseRootFromParent_Done,
     /*  138885 */   // Label 3373: @138885
     /*  138885 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(138959), // Rule ID 9159 //
     /*  138890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  138904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138930 */     // MIs[1] Operand 1
     /*  138930 */     // No operand predicates
     /*  138930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  138939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138957 */     GIR_RootConstrainSelectedInstOperands,
     /*  138958 */     // GIR_Coverage, 9159,
     /*  138958 */     GIR_EraseRootFromParent_Done,
     /*  138959 */   // Label 3374: @138959
     /*  138959 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(139033), // Rule ID 9162 //
     /*  138964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  138978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139004 */     // MIs[1] Operand 1
     /*  139004 */     // No operand predicates
     /*  139004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  139013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139031 */     GIR_RootConstrainSelectedInstOperands,
     /*  139032 */     // GIR_Coverage, 9162,
     /*  139032 */     GIR_EraseRootFromParent_Done,
     /*  139033 */   // Label 3375: @139033
     /*  139033 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(139107), // Rule ID 9163 //
     /*  139038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  139052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139078 */     // MIs[1] Operand 1
     /*  139078 */     // No operand predicates
     /*  139078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  139087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139105 */     GIR_RootConstrainSelectedInstOperands,
     /*  139106 */     // GIR_Coverage, 9163,
     /*  139106 */     GIR_EraseRootFromParent_Done,
     /*  139107 */   // Label 3376: @139107
     /*  139107 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(139181), // Rule ID 9166 //
     /*  139112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139152 */     // MIs[1] Operand 1
     /*  139152 */     // No operand predicates
     /*  139152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  139161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139179 */     GIR_RootConstrainSelectedInstOperands,
     /*  139180 */     // GIR_Coverage, 9166,
     /*  139180 */     GIR_EraseRootFromParent_Done,
     /*  139181 */   // Label 3377: @139181
     /*  139181 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(139255), // Rule ID 9167 //
     /*  139186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139226 */     // MIs[1] Operand 1
     /*  139226 */     // No operand predicates
     /*  139226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  139235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139253 */     GIR_RootConstrainSelectedInstOperands,
     /*  139254 */     // GIR_Coverage, 9167,
     /*  139254 */     GIR_EraseRootFromParent_Done,
     /*  139255 */   // Label 3378: @139255
     /*  139255 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(139329), // Rule ID 9170 //
     /*  139260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  139271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  139274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139300 */     // MIs[1] Operand 1
     /*  139300 */     // No operand predicates
     /*  139300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  139309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139327 */     GIR_RootConstrainSelectedInstOperands,
     /*  139328 */     // GIR_Coverage, 9170,
     /*  139328 */     GIR_EraseRootFromParent_Done,
     /*  139329 */   // Label 3379: @139329
     /*  139329 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(139403), // Rule ID 9171 //
     /*  139334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  139345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  139348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139374 */     // MIs[1] Operand 1
     /*  139374 */     // No operand predicates
     /*  139374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  139383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139401 */     GIR_RootConstrainSelectedInstOperands,
     /*  139402 */     // GIR_Coverage, 9171,
     /*  139402 */     GIR_EraseRootFromParent_Done,
     /*  139403 */   // Label 3380: @139403
     /*  139403 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(139477), // Rule ID 9174 //
     /*  139408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  139419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  139422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139448 */     // MIs[1] Operand 1
     /*  139448 */     // No operand predicates
     /*  139448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  139457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139475 */     GIR_RootConstrainSelectedInstOperands,
     /*  139476 */     // GIR_Coverage, 9174,
     /*  139476 */     GIR_EraseRootFromParent_Done,
     /*  139477 */   // Label 3381: @139477
     /*  139477 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(139551), // Rule ID 9175 //
     /*  139482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  139493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  139496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139522 */     // MIs[1] Operand 1
     /*  139522 */     // No operand predicates
     /*  139522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  139531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139549 */     GIR_RootConstrainSelectedInstOperands,
     /*  139550 */     // GIR_Coverage, 9175,
     /*  139550 */     GIR_EraseRootFromParent_Done,
     /*  139551 */   // Label 3382: @139551
     /*  139551 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(139625), // Rule ID 9178 //
     /*  139556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  139570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139596 */     // MIs[1] Operand 1
     /*  139596 */     // No operand predicates
     /*  139596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  139605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139623 */     GIR_RootConstrainSelectedInstOperands,
     /*  139624 */     // GIR_Coverage, 9178,
     /*  139624 */     GIR_EraseRootFromParent_Done,
     /*  139625 */   // Label 3383: @139625
     /*  139625 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(139699), // Rule ID 9179 //
     /*  139630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  139644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139670 */     // MIs[1] Operand 1
     /*  139670 */     // No operand predicates
     /*  139670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  139679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139697 */     GIR_RootConstrainSelectedInstOperands,
     /*  139698 */     // GIR_Coverage, 9179,
     /*  139698 */     GIR_EraseRootFromParent_Done,
     /*  139699 */   // Label 3384: @139699
     /*  139699 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(139773), // Rule ID 9182 //
     /*  139704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139744 */     // MIs[1] Operand 1
     /*  139744 */     // No operand predicates
     /*  139744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  139753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139771 */     GIR_RootConstrainSelectedInstOperands,
     /*  139772 */     // GIR_Coverage, 9182,
     /*  139772 */     GIR_EraseRootFromParent_Done,
     /*  139773 */   // Label 3385: @139773
     /*  139773 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(139847), // Rule ID 9183 //
     /*  139778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139818 */     // MIs[1] Operand 1
     /*  139818 */     // No operand predicates
     /*  139818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  139827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139845 */     GIR_RootConstrainSelectedInstOperands,
     /*  139846 */     // GIR_Coverage, 9183,
     /*  139846 */     GIR_EraseRootFromParent_Done,
     /*  139847 */   // Label 3386: @139847
     /*  139847 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(139921), // Rule ID 9186 //
     /*  139852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  139863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139892 */     // MIs[1] Operand 1
     /*  139892 */     // No operand predicates
     /*  139892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  139901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  139904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139919 */     GIR_RootConstrainSelectedInstOperands,
     /*  139920 */     // GIR_Coverage, 9186,
     /*  139920 */     GIR_EraseRootFromParent_Done,
     /*  139921 */   // Label 3387: @139921
     /*  139921 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(139995), // Rule ID 9187 //
     /*  139926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  139937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139966 */     // MIs[1] Operand 1
     /*  139966 */     // No operand predicates
     /*  139966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139975 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  139975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  139978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139993 */     GIR_RootConstrainSelectedInstOperands,
     /*  139994 */     // GIR_Coverage, 9187,
     /*  139994 */     GIR_EraseRootFromParent_Done,
     /*  139995 */   // Label 3388: @139995
     /*  139995 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(140069), // Rule ID 9190 //
     /*  140000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  140014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140040 */     // MIs[1] Operand 1
     /*  140040 */     // No operand predicates
     /*  140040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140049 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  140049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140067 */     GIR_RootConstrainSelectedInstOperands,
     /*  140068 */     // GIR_Coverage, 9190,
     /*  140068 */     GIR_EraseRootFromParent_Done,
     /*  140069 */   // Label 3389: @140069
     /*  140069 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(140143), // Rule ID 9191 //
     /*  140074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  140088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140114 */     // MIs[1] Operand 1
     /*  140114 */     // No operand predicates
     /*  140114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140123 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  140123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140141 */     GIR_RootConstrainSelectedInstOperands,
     /*  140142 */     // GIR_Coverage, 9191,
     /*  140142 */     GIR_EraseRootFromParent_Done,
     /*  140143 */   // Label 3390: @140143
     /*  140143 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(140217), // Rule ID 9194 //
     /*  140148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  140159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140188 */     // MIs[1] Operand 1
     /*  140188 */     // No operand predicates
     /*  140188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140197 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  140197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140215 */     GIR_RootConstrainSelectedInstOperands,
     /*  140216 */     // GIR_Coverage, 9194,
     /*  140216 */     GIR_EraseRootFromParent_Done,
     /*  140217 */   // Label 3391: @140217
     /*  140217 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(140291), // Rule ID 9195 //
     /*  140222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  140233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140262 */     // MIs[1] Operand 1
     /*  140262 */     // No operand predicates
     /*  140262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  140271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140289 */     GIR_RootConstrainSelectedInstOperands,
     /*  140290 */     // GIR_Coverage, 9195,
     /*  140290 */     GIR_EraseRootFromParent_Done,
     /*  140291 */   // Label 3392: @140291
     /*  140291 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(140365), // Rule ID 9198 //
     /*  140296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  140310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140336 */     // MIs[1] Operand 1
     /*  140336 */     // No operand predicates
     /*  140336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140363 */     GIR_RootConstrainSelectedInstOperands,
     /*  140364 */     // GIR_Coverage, 9198,
     /*  140364 */     GIR_EraseRootFromParent_Done,
     /*  140365 */   // Label 3393: @140365
     /*  140365 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(140439), // Rule ID 9199 //
     /*  140370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  140384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140410 */     // MIs[1] Operand 1
     /*  140410 */     // No operand predicates
     /*  140410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140437 */     GIR_RootConstrainSelectedInstOperands,
     /*  140438 */     // GIR_Coverage, 9199,
     /*  140438 */     GIR_EraseRootFromParent_Done,
     /*  140439 */   // Label 3394: @140439
     /*  140439 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(140513), // Rule ID 9202 //
     /*  140444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  140455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  140458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140484 */     // MIs[1] Operand 1
     /*  140484 */     // No operand predicates
     /*  140484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140511 */     GIR_RootConstrainSelectedInstOperands,
     /*  140512 */     // GIR_Coverage, 9202,
     /*  140512 */     GIR_EraseRootFromParent_Done,
     /*  140513 */   // Label 3395: @140513
     /*  140513 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(140587), // Rule ID 9203 //
     /*  140518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  140529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  140532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140558 */     // MIs[1] Operand 1
     /*  140558 */     // No operand predicates
     /*  140558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140585 */     GIR_RootConstrainSelectedInstOperands,
     /*  140586 */     // GIR_Coverage, 9203,
     /*  140586 */     GIR_EraseRootFromParent_Done,
     /*  140587 */   // Label 3396: @140587
     /*  140587 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(140661), // Rule ID 9206 //
     /*  140592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140632 */     // MIs[1] Operand 1
     /*  140632 */     // No operand predicates
     /*  140632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140641 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140659 */     GIR_RootConstrainSelectedInstOperands,
     /*  140660 */     // GIR_Coverage, 9206,
     /*  140660 */     GIR_EraseRootFromParent_Done,
     /*  140661 */   // Label 3397: @140661
     /*  140661 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(140735), // Rule ID 9207 //
     /*  140666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140706 */     // MIs[1] Operand 1
     /*  140706 */     // No operand predicates
     /*  140706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140733 */     GIR_RootConstrainSelectedInstOperands,
     /*  140734 */     // GIR_Coverage, 9207,
     /*  140734 */     GIR_EraseRootFromParent_Done,
     /*  140735 */   // Label 3398: @140735
     /*  140735 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(140809), // Rule ID 9210 //
     /*  140740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  140751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  140754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140780 */     // MIs[1] Operand 1
     /*  140780 */     // No operand predicates
     /*  140780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  140789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140807 */     GIR_RootConstrainSelectedInstOperands,
     /*  140808 */     // GIR_Coverage, 9210,
     /*  140808 */     GIR_EraseRootFromParent_Done,
     /*  140809 */   // Label 3399: @140809
     /*  140809 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(140883), // Rule ID 9211 //
     /*  140814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  140825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  140828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140854 */     // MIs[1] Operand 1
     /*  140854 */     // No operand predicates
     /*  140854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  140863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140881 */     GIR_RootConstrainSelectedInstOperands,
     /*  140882 */     // GIR_Coverage, 9211,
     /*  140882 */     GIR_EraseRootFromParent_Done,
     /*  140883 */   // Label 3400: @140883
     /*  140883 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(140957), // Rule ID 9214 //
     /*  140888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  140902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140928 */     // MIs[1] Operand 1
     /*  140928 */     // No operand predicates
     /*  140928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  140937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140955 */     GIR_RootConstrainSelectedInstOperands,
     /*  140956 */     // GIR_Coverage, 9214,
     /*  140956 */     GIR_EraseRootFromParent_Done,
     /*  140957 */   // Label 3401: @140957
     /*  140957 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(141031), // Rule ID 9215 //
     /*  140962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  140976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141002 */     // MIs[1] Operand 1
     /*  141002 */     // No operand predicates
     /*  141002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  141011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141029 */     GIR_RootConstrainSelectedInstOperands,
     /*  141030 */     // GIR_Coverage, 9215,
     /*  141030 */     GIR_EraseRootFromParent_Done,
     /*  141031 */   // Label 3402: @141031
     /*  141031 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(141105), // Rule ID 9218 //
     /*  141036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  141047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  141050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141076 */     // MIs[1] Operand 1
     /*  141076 */     // No operand predicates
     /*  141076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  141085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141103 */     GIR_RootConstrainSelectedInstOperands,
     /*  141104 */     // GIR_Coverage, 9218,
     /*  141104 */     GIR_EraseRootFromParent_Done,
     /*  141105 */   // Label 3403: @141105
     /*  141105 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(141179), // Rule ID 9219 //
     /*  141110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  141121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  141124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141150 */     // MIs[1] Operand 1
     /*  141150 */     // No operand predicates
     /*  141150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  141159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141177 */     GIR_RootConstrainSelectedInstOperands,
     /*  141178 */     // GIR_Coverage, 9219,
     /*  141178 */     GIR_EraseRootFromParent_Done,
     /*  141179 */   // Label 3404: @141179
     /*  141179 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(141253), // Rule ID 9222 //
     /*  141184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141224 */     // MIs[1] Operand 1
     /*  141224 */     // No operand predicates
     /*  141224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  141236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141251 */     GIR_RootConstrainSelectedInstOperands,
     /*  141252 */     // GIR_Coverage, 9222,
     /*  141252 */     GIR_EraseRootFromParent_Done,
     /*  141253 */   // Label 3405: @141253
     /*  141253 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(141327), // Rule ID 9223 //
     /*  141258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141298 */     // MIs[1] Operand 1
     /*  141298 */     // No operand predicates
     /*  141298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  141310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141325 */     GIR_RootConstrainSelectedInstOperands,
     /*  141326 */     // GIR_Coverage, 9223,
     /*  141326 */     GIR_EraseRootFromParent_Done,
     /*  141327 */   // Label 3406: @141327
     /*  141327 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(141401), // Rule ID 9226 //
     /*  141332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  141346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  141360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141372 */     // MIs[1] Operand 1
     /*  141372 */     // No operand predicates
     /*  141372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141399 */     GIR_RootConstrainSelectedInstOperands,
     /*  141400 */     // GIR_Coverage, 9226,
     /*  141400 */     GIR_EraseRootFromParent_Done,
     /*  141401 */   // Label 3407: @141401
     /*  141401 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(141475), // Rule ID 9227 //
     /*  141406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  141420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  141434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141446 */     // MIs[1] Operand 1
     /*  141446 */     // No operand predicates
     /*  141446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141455 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141473 */     GIR_RootConstrainSelectedInstOperands,
     /*  141474 */     // GIR_Coverage, 9227,
     /*  141474 */     GIR_EraseRootFromParent_Done,
     /*  141475 */   // Label 3408: @141475
     /*  141475 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(141549), // Rule ID 9230 //
     /*  141480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  141491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  141494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141520 */     // MIs[1] Operand 1
     /*  141520 */     // No operand predicates
     /*  141520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141547 */     GIR_RootConstrainSelectedInstOperands,
     /*  141548 */     // GIR_Coverage, 9230,
     /*  141548 */     GIR_EraseRootFromParent_Done,
     /*  141549 */   // Label 3409: @141549
     /*  141549 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(141623), // Rule ID 9231 //
     /*  141554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  141565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  141568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141594 */     // MIs[1] Operand 1
     /*  141594 */     // No operand predicates
     /*  141594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141621 */     GIR_RootConstrainSelectedInstOperands,
     /*  141622 */     // GIR_Coverage, 9231,
     /*  141622 */     GIR_EraseRootFromParent_Done,
     /*  141623 */   // Label 3410: @141623
     /*  141623 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(141697), // Rule ID 9322 //
     /*  141628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  141639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  141642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141668 */     // MIs[1] Operand 1
     /*  141668 */     // No operand predicates
     /*  141668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  141680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141695 */     GIR_RootConstrainSelectedInstOperands,
     /*  141696 */     // GIR_Coverage, 9322,
     /*  141696 */     GIR_EraseRootFromParent_Done,
     /*  141697 */   // Label 3411: @141697
     /*  141697 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(141771), // Rule ID 9323 //
     /*  141702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  141713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  141716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141742 */     // MIs[1] Operand 1
     /*  141742 */     // No operand predicates
     /*  141742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141751 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  141751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  141754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141769 */     GIR_RootConstrainSelectedInstOperands,
     /*  141770 */     // GIR_Coverage, 9323,
     /*  141770 */     GIR_EraseRootFromParent_Done,
     /*  141771 */   // Label 3412: @141771
     /*  141771 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(141845), // Rule ID 9326 //
     /*  141776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141816 */     // MIs[1] Operand 1
     /*  141816 */     // No operand predicates
     /*  141816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  141828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141843 */     GIR_RootConstrainSelectedInstOperands,
     /*  141844 */     // GIR_Coverage, 9326,
     /*  141844 */     GIR_EraseRootFromParent_Done,
     /*  141845 */   // Label 3413: @141845
     /*  141845 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(141919), // Rule ID 9327 //
     /*  141850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141890 */     // MIs[1] Operand 1
     /*  141890 */     // No operand predicates
     /*  141890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  141899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  141902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141917 */     GIR_RootConstrainSelectedInstOperands,
     /*  141918 */     // GIR_Coverage, 9327,
     /*  141918 */     GIR_EraseRootFromParent_Done,
     /*  141919 */   // Label 3414: @141919
     /*  141919 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(141993), // Rule ID 9330 //
     /*  141924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  141938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141964 */     // MIs[1] Operand 1
     /*  141964 */     // No operand predicates
     /*  141964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  141976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141991 */     GIR_RootConstrainSelectedInstOperands,
     /*  141992 */     // GIR_Coverage, 9330,
     /*  141992 */     GIR_EraseRootFromParent_Done,
     /*  141993 */   // Label 3415: @141993
     /*  141993 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(142067), // Rule ID 9331 //
     /*  141998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  142012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142038 */     // MIs[1] Operand 1
     /*  142038 */     // No operand predicates
     /*  142038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142047 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  142047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142065 */     GIR_RootConstrainSelectedInstOperands,
     /*  142066 */     // GIR_Coverage, 9331,
     /*  142066 */     GIR_EraseRootFromParent_Done,
     /*  142067 */   // Label 3416: @142067
     /*  142067 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(142141), // Rule ID 9334 //
     /*  142072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  142086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142112 */     // MIs[1] Operand 1
     /*  142112 */     // No operand predicates
     /*  142112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  142124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142139 */     GIR_RootConstrainSelectedInstOperands,
     /*  142140 */     // GIR_Coverage, 9334,
     /*  142140 */     GIR_EraseRootFromParent_Done,
     /*  142141 */   // Label 3417: @142141
     /*  142141 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(142215), // Rule ID 9335 //
     /*  142146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  142160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142186 */     // MIs[1] Operand 1
     /*  142186 */     // No operand predicates
     /*  142186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142195 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  142198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142213 */     GIR_RootConstrainSelectedInstOperands,
     /*  142214 */     // GIR_Coverage, 9335,
     /*  142214 */     GIR_EraseRootFromParent_Done,
     /*  142215 */   // Label 3418: @142215
     /*  142215 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(142289), // Rule ID 9338 //
     /*  142220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  142234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142260 */     // MIs[1] Operand 1
     /*  142260 */     // No operand predicates
     /*  142260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142287 */     GIR_RootConstrainSelectedInstOperands,
     /*  142288 */     // GIR_Coverage, 9338,
     /*  142288 */     GIR_EraseRootFromParent_Done,
     /*  142289 */   // Label 3419: @142289
     /*  142289 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(142363), // Rule ID 9339 //
     /*  142294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  142308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142334 */     // MIs[1] Operand 1
     /*  142334 */     // No operand predicates
     /*  142334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142361 */     GIR_RootConstrainSelectedInstOperands,
     /*  142362 */     // GIR_Coverage, 9339,
     /*  142362 */     GIR_EraseRootFromParent_Done,
     /*  142363 */   // Label 3420: @142363
     /*  142363 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(142437), // Rule ID 9342 //
     /*  142368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  142382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142408 */     // MIs[1] Operand 1
     /*  142408 */     // No operand predicates
     /*  142408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  142417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142435 */     GIR_RootConstrainSelectedInstOperands,
     /*  142436 */     // GIR_Coverage, 9342,
     /*  142436 */     GIR_EraseRootFromParent_Done,
     /*  142437 */   // Label 3421: @142437
     /*  142437 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(142511), // Rule ID 9343 //
     /*  142442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  142456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142482 */     // MIs[1] Operand 1
     /*  142482 */     // No operand predicates
     /*  142482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  142491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142509 */     GIR_RootConstrainSelectedInstOperands,
     /*  142510 */     // GIR_Coverage, 9343,
     /*  142510 */     GIR_EraseRootFromParent_Done,
     /*  142511 */   // Label 3422: @142511
     /*  142511 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(142585), // Rule ID 9346 //
     /*  142516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  142527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  142530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142556 */     // MIs[1] Operand 1
     /*  142556 */     // No operand predicates
     /*  142556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  142565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142583 */     GIR_RootConstrainSelectedInstOperands,
     /*  142584 */     // GIR_Coverage, 9346,
     /*  142584 */     GIR_EraseRootFromParent_Done,
     /*  142585 */   // Label 3423: @142585
     /*  142585 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(142659), // Rule ID 9347 //
     /*  142590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  142601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  142604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142630 */     // MIs[1] Operand 1
     /*  142630 */     // No operand predicates
     /*  142630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142639 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  142639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142657 */     GIR_RootConstrainSelectedInstOperands,
     /*  142658 */     // GIR_Coverage, 9347,
     /*  142658 */     GIR_EraseRootFromParent_Done,
     /*  142659 */   // Label 3424: @142659
     /*  142659 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(142733), // Rule ID 9350 //
     /*  142664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  142678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142704 */     // MIs[1] Operand 1
     /*  142704 */     // No operand predicates
     /*  142704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142731 */     GIR_RootConstrainSelectedInstOperands,
     /*  142732 */     // GIR_Coverage, 9350,
     /*  142732 */     GIR_EraseRootFromParent_Done,
     /*  142733 */   // Label 3425: @142733
     /*  142733 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(142807), // Rule ID 9351 //
     /*  142738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  142752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142778 */     // MIs[1] Operand 1
     /*  142778 */     // No operand predicates
     /*  142778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142805 */     GIR_RootConstrainSelectedInstOperands,
     /*  142806 */     // GIR_Coverage, 9351,
     /*  142806 */     GIR_EraseRootFromParent_Done,
     /*  142807 */   // Label 3426: @142807
     /*  142807 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(142881), // Rule ID 9354 //
     /*  142812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  142826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142852 */     // MIs[1] Operand 1
     /*  142852 */     // No operand predicates
     /*  142852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  142861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142879 */     GIR_RootConstrainSelectedInstOperands,
     /*  142880 */     // GIR_Coverage, 9354,
     /*  142880 */     GIR_EraseRootFromParent_Done,
     /*  142881 */   // Label 3427: @142881
     /*  142881 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(142955), // Rule ID 9355 //
     /*  142886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  142900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142926 */     // MIs[1] Operand 1
     /*  142926 */     // No operand predicates
     /*  142926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  142935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142953 */     GIR_RootConstrainSelectedInstOperands,
     /*  142954 */     // GIR_Coverage, 9355,
     /*  142954 */     GIR_EraseRootFromParent_Done,
     /*  142955 */   // Label 3428: @142955
     /*  142955 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(143029), // Rule ID 9358 //
     /*  142960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  142963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  142974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143000 */     // MIs[1] Operand 1
     /*  143000 */     // No operand predicates
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  143009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  143012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143027 */     GIR_RootConstrainSelectedInstOperands,
     /*  143028 */     // GIR_Coverage, 9358,
     /*  143028 */     GIR_EraseRootFromParent_Done,
     /*  143029 */   // Label 3429: @143029
     /*  143029 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(143103), // Rule ID 9359 //
     /*  143034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  143045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  143048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143074 */     // MIs[1] Operand 1
     /*  143074 */     // No operand predicates
     /*  143074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  143083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  143086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143101 */     GIR_RootConstrainSelectedInstOperands,
     /*  143102 */     // GIR_Coverage, 9359,
     /*  143102 */     GIR_EraseRootFromParent_Done,
     /*  143103 */   // Label 3430: @143103
     /*  143103 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(143177), // Rule ID 9362 //
     /*  143108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  143122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143148 */     // MIs[1] Operand 1
     /*  143148 */     // No operand predicates
     /*  143148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143175 */     GIR_RootConstrainSelectedInstOperands,
     /*  143176 */     // GIR_Coverage, 9362,
     /*  143176 */     GIR_EraseRootFromParent_Done,
     /*  143177 */   // Label 3431: @143177
     /*  143177 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(143251), // Rule ID 9363 //
     /*  143182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  143196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143222 */     // MIs[1] Operand 1
     /*  143222 */     // No operand predicates
     /*  143222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143231 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143249 */     GIR_RootConstrainSelectedInstOperands,
     /*  143250 */     // GIR_Coverage, 9363,
     /*  143250 */     GIR_EraseRootFromParent_Done,
     /*  143251 */   // Label 3432: @143251
     /*  143251 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(143325), // Rule ID 9366 //
     /*  143256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  143270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143296 */     // MIs[1] Operand 1
     /*  143296 */     // No operand predicates
     /*  143296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143323 */     GIR_RootConstrainSelectedInstOperands,
     /*  143324 */     // GIR_Coverage, 9366,
     /*  143324 */     GIR_EraseRootFromParent_Done,
     /*  143325 */   // Label 3433: @143325
     /*  143325 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(143399), // Rule ID 9367 //
     /*  143330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  143344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143370 */     // MIs[1] Operand 1
     /*  143370 */     // No operand predicates
     /*  143370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143379 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143397 */     GIR_RootConstrainSelectedInstOperands,
     /*  143398 */     // GIR_Coverage, 9367,
     /*  143398 */     GIR_EraseRootFromParent_Done,
     /*  143399 */   // Label 3434: @143399
     /*  143399 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(143473), // Rule ID 9370 //
     /*  143404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  143415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  143418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143444 */     // MIs[1] Operand 1
     /*  143444 */     // No operand predicates
     /*  143444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143453 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 9370,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 3435: @143473
     /*  143473 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(143547), // Rule ID 9371 //
     /*  143478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  143489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  143492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143518 */     // MIs[1] Operand 1
     /*  143518 */     // No operand predicates
     /*  143518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143527 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143545 */     GIR_RootConstrainSelectedInstOperands,
     /*  143546 */     // GIR_Coverage, 9371,
     /*  143546 */     GIR_EraseRootFromParent_Done,
     /*  143547 */   // Label 3436: @143547
     /*  143547 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(143621), // Rule ID 9374 //
     /*  143552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  143563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  143566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143592 */     // MIs[1] Operand 1
     /*  143592 */     // No operand predicates
     /*  143592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143619 */     GIR_RootConstrainSelectedInstOperands,
     /*  143620 */     // GIR_Coverage, 9374,
     /*  143620 */     GIR_EraseRootFromParent_Done,
     /*  143621 */   // Label 3437: @143621
     /*  143621 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(143695), // Rule ID 9375 //
     /*  143626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  143637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  143640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143666 */     // MIs[1] Operand 1
     /*  143666 */     // No operand predicates
     /*  143666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143693 */     GIR_RootConstrainSelectedInstOperands,
     /*  143694 */     // GIR_Coverage, 9375,
     /*  143694 */     GIR_EraseRootFromParent_Done,
     /*  143695 */   // Label 3438: @143695
     /*  143695 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(143769), // Rule ID 9378 //
     /*  143700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  143714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143740 */     // MIs[1] Operand 1
     /*  143740 */     // No operand predicates
     /*  143740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143767 */     GIR_RootConstrainSelectedInstOperands,
     /*  143768 */     // GIR_Coverage, 9378,
     /*  143768 */     GIR_EraseRootFromParent_Done,
     /*  143769 */   // Label 3439: @143769
     /*  143769 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(143843), // Rule ID 9379 //
     /*  143774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  143788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143814 */     // MIs[1] Operand 1
     /*  143814 */     // No operand predicates
     /*  143814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143823 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143841 */     GIR_RootConstrainSelectedInstOperands,
     /*  143842 */     // GIR_Coverage, 9379,
     /*  143842 */     GIR_EraseRootFromParent_Done,
     /*  143843 */   // Label 3440: @143843
     /*  143843 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(143917), // Rule ID 9382 //
     /*  143848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  143862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143888 */     // MIs[1] Operand 1
     /*  143888 */     // No operand predicates
     /*  143888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143915 */     GIR_RootConstrainSelectedInstOperands,
     /*  143916 */     // GIR_Coverage, 9382,
     /*  143916 */     GIR_EraseRootFromParent_Done,
     /*  143917 */   // Label 3441: @143917
     /*  143917 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(143991), // Rule ID 9383 //
     /*  143922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  143936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143962 */     // MIs[1] Operand 1
     /*  143962 */     // No operand predicates
     /*  143962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143971 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143989 */     GIR_RootConstrainSelectedInstOperands,
     /*  143990 */     // GIR_Coverage, 9383,
     /*  143990 */     GIR_EraseRootFromParent_Done,
     /*  143991 */   // Label 3442: @143991
     /*  143991 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(144065), // Rule ID 9386 //
     /*  143996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  144010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144036 */     // MIs[1] Operand 1
     /*  144036 */     // No operand predicates
     /*  144036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144063 */     GIR_RootConstrainSelectedInstOperands,
     /*  144064 */     // GIR_Coverage, 9386,
     /*  144064 */     GIR_EraseRootFromParent_Done,
     /*  144065 */   // Label 3443: @144065
     /*  144065 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(144139), // Rule ID 9387 //
     /*  144070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  144084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144110 */     // MIs[1] Operand 1
     /*  144110 */     // No operand predicates
     /*  144110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144137 */     GIR_RootConstrainSelectedInstOperands,
     /*  144138 */     // GIR_Coverage, 9387,
     /*  144138 */     GIR_EraseRootFromParent_Done,
     /*  144139 */   // Label 3444: @144139
     /*  144139 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(144213), // Rule ID 9390 //
     /*  144144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  144158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144184 */     // MIs[1] Operand 1
     /*  144184 */     // No operand predicates
     /*  144184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144211 */     GIR_RootConstrainSelectedInstOperands,
     /*  144212 */     // GIR_Coverage, 9390,
     /*  144212 */     GIR_EraseRootFromParent_Done,
     /*  144213 */   // Label 3445: @144213
     /*  144213 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(144287), // Rule ID 9391 //
     /*  144218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  144232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144258 */     // MIs[1] Operand 1
     /*  144258 */     // No operand predicates
     /*  144258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144285 */     GIR_RootConstrainSelectedInstOperands,
     /*  144286 */     // GIR_Coverage, 9391,
     /*  144286 */     GIR_EraseRootFromParent_Done,
     /*  144287 */   // Label 3446: @144287
     /*  144287 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(144361), // Rule ID 9394 //
     /*  144292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  144303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  144306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144332 */     // MIs[1] Operand 1
     /*  144332 */     // No operand predicates
     /*  144332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144359 */     GIR_RootConstrainSelectedInstOperands,
     /*  144360 */     // GIR_Coverage, 9394,
     /*  144360 */     GIR_EraseRootFromParent_Done,
     /*  144361 */   // Label 3447: @144361
     /*  144361 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(144435), // Rule ID 9395 //
     /*  144366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  144377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  144380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144406 */     // MIs[1] Operand 1
     /*  144406 */     // No operand predicates
     /*  144406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144415 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144433 */     GIR_RootConstrainSelectedInstOperands,
     /*  144434 */     // GIR_Coverage, 9395,
     /*  144434 */     GIR_EraseRootFromParent_Done,
     /*  144435 */   // Label 3448: @144435
     /*  144435 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(144509), // Rule ID 9398 //
     /*  144440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  144451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  144454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144480 */     // MIs[1] Operand 1
     /*  144480 */     // No operand predicates
     /*  144480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144507 */     GIR_RootConstrainSelectedInstOperands,
     /*  144508 */     // GIR_Coverage, 9398,
     /*  144508 */     GIR_EraseRootFromParent_Done,
     /*  144509 */   // Label 3449: @144509
     /*  144509 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(144583), // Rule ID 9399 //
     /*  144514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  144525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  144528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144554 */     // MIs[1] Operand 1
     /*  144554 */     // No operand predicates
     /*  144554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144581 */     GIR_RootConstrainSelectedInstOperands,
     /*  144582 */     // GIR_Coverage, 9399,
     /*  144582 */     GIR_EraseRootFromParent_Done,
     /*  144583 */   // Label 3450: @144583
     /*  144583 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(144657), // Rule ID 9402 //
     /*  144588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  144602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144628 */     // MIs[1] Operand 1
     /*  144628 */     // No operand predicates
     /*  144628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144655 */     GIR_RootConstrainSelectedInstOperands,
     /*  144656 */     // GIR_Coverage, 9402,
     /*  144656 */     GIR_EraseRootFromParent_Done,
     /*  144657 */   // Label 3451: @144657
     /*  144657 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(144731), // Rule ID 9403 //
     /*  144662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  144676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144702 */     // MIs[1] Operand 1
     /*  144702 */     // No operand predicates
     /*  144702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144729 */     GIR_RootConstrainSelectedInstOperands,
     /*  144730 */     // GIR_Coverage, 9403,
     /*  144730 */     GIR_EraseRootFromParent_Done,
     /*  144731 */   // Label 3452: @144731
     /*  144731 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(144805), // Rule ID 9406 //
     /*  144736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  144750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144776 */     // MIs[1] Operand 1
     /*  144776 */     // No operand predicates
     /*  144776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144803 */     GIR_RootConstrainSelectedInstOperands,
     /*  144804 */     // GIR_Coverage, 9406,
     /*  144804 */     GIR_EraseRootFromParent_Done,
     /*  144805 */   // Label 3453: @144805
     /*  144805 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(144879), // Rule ID 9407 //
     /*  144810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  144824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144850 */     // MIs[1] Operand 1
     /*  144850 */     // No operand predicates
     /*  144850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144877 */     GIR_RootConstrainSelectedInstOperands,
     /*  144878 */     // GIR_Coverage, 9407,
     /*  144878 */     GIR_EraseRootFromParent_Done,
     /*  144879 */   // Label 3454: @144879
     /*  144879 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(144935), // Rule ID 63760 //
     /*  144884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  144887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  144892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  144895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  144898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144906 */     // MIs[0] pts
     /*  144906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  144909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  144914 */     // MIs[0] radix
     /*  144914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  144917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  144922 */     // (intrinsic_wo_chain:{ *:[i32] } 10647:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  144922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  144925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144929 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  144931 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  144933 */     GIR_RootConstrainSelectedInstOperands,
     /*  144934 */     // GIR_Coverage, 63760,
     /*  144934 */     GIR_EraseRootFromParent_Done,
     /*  144935 */   // Label 3455: @144935
     /*  144935 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(144998), // Rule ID 2544 //
     /*  144940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  144943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  144948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  144951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  144954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  144957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  144972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144979 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  144979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  144982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144986 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  144988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144996 */     GIR_RootConstrainSelectedInstOperands,
     /*  144997 */     // GIR_Coverage, 2544,
     /*  144997 */     GIR_EraseRootFromParent_Done,
     /*  144998 */   // Label 3456: @144998
     /*  144998 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(145061), // Rule ID 2545 //
     /*  145003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  145006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  145011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  145014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  145017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  145027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  145035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145042 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  145042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  145045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145049 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  145051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145059 */     GIR_RootConstrainSelectedInstOperands,
     /*  145060 */     // GIR_Coverage, 2545,
     /*  145060 */     GIR_EraseRootFromParent_Done,
     /*  145061 */   // Label 3457: @145061
     /*  145061 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(145127), // Rule ID 2552 //
     /*  145066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  145074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  145077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145105 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  145105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  145108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145125 */     GIR_RootConstrainSelectedInstOperands,
     /*  145126 */     // GIR_Coverage, 2552,
     /*  145126 */     GIR_EraseRootFromParent_Done,
     /*  145127 */   // Label 3458: @145127
     /*  145127 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(145193), // Rule ID 2553 //
     /*  145132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  145140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  145143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  145171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  145174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145191 */     GIR_RootConstrainSelectedInstOperands,
     /*  145192 */     // GIR_Coverage, 2553,
     /*  145192 */     GIR_EraseRootFromParent_Done,
     /*  145193 */   // Label 3459: @145193
     /*  145193 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(145259), // Rule ID 2556 //
     /*  145198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  145206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145237 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  145240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145257 */     GIR_RootConstrainSelectedInstOperands,
     /*  145258 */     // GIR_Coverage, 2556,
     /*  145258 */     GIR_EraseRootFromParent_Done,
     /*  145259 */   // Label 3460: @145259
     /*  145259 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(145325), // Rule ID 2557 //
     /*  145264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  145272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  145306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145323 */     GIR_RootConstrainSelectedInstOperands,
     /*  145324 */     // GIR_Coverage, 2557,
     /*  145324 */     GIR_EraseRootFromParent_Done,
     /*  145325 */   // Label 3461: @145325
     /*  145325 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(145391), // Rule ID 2560 //
     /*  145330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  145333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  145338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145369 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  145372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145389 */     GIR_RootConstrainSelectedInstOperands,
     /*  145390 */     // GIR_Coverage, 2560,
     /*  145390 */     GIR_EraseRootFromParent_Done,
     /*  145391 */   // Label 3462: @145391
     /*  145391 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(145457), // Rule ID 2561 //
     /*  145396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  145399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  145404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145435 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  145438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145455 */     GIR_RootConstrainSelectedInstOperands,
     /*  145456 */     // GIR_Coverage, 2561,
     /*  145456 */     GIR_EraseRootFromParent_Done,
     /*  145457 */   // Label 3463: @145457
     /*  145457 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(145520), // Rule ID 2574 //
     /*  145462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  145470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  145504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145518 */     GIR_RootConstrainSelectedInstOperands,
     /*  145519 */     // GIR_Coverage, 2574,
     /*  145519 */     GIR_EraseRootFromParent_Done,
     /*  145520 */   // Label 3464: @145520
     /*  145520 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(145583), // Rule ID 2575 //
     /*  145525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  145533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  145567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145581 */     GIR_RootConstrainSelectedInstOperands,
     /*  145582 */     // GIR_Coverage, 2575,
     /*  145582 */     GIR_EraseRootFromParent_Done,
     /*  145583 */   // Label 3465: @145583
     /*  145583 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(145646), // Rule ID 2586 //
     /*  145588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  145596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  145630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  145634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145644 */     GIR_RootConstrainSelectedInstOperands,
     /*  145645 */     // GIR_Coverage, 2586,
     /*  145645 */     GIR_EraseRootFromParent_Done,
     /*  145646 */   // Label 3466: @145646
     /*  145646 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(145709), // Rule ID 2587 //
     /*  145651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  145659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  145693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  145697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145707 */     GIR_RootConstrainSelectedInstOperands,
     /*  145708 */     // GIR_Coverage, 2587,
     /*  145708 */     GIR_EraseRootFromParent_Done,
     /*  145709 */   // Label 3467: @145709
     /*  145709 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(145772), // Rule ID 2594 //
     /*  145714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  145722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  145756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145770 */     GIR_RootConstrainSelectedInstOperands,
     /*  145771 */     // GIR_Coverage, 2594,
     /*  145771 */     GIR_EraseRootFromParent_Done,
     /*  145772 */   // Label 3468: @145772
     /*  145772 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(145835), // Rule ID 2595 //
     /*  145777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  145785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  145819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145833 */     GIR_RootConstrainSelectedInstOperands,
     /*  145834 */     // GIR_Coverage, 2595,
     /*  145834 */     GIR_EraseRootFromParent_Done,
     /*  145835 */   // Label 3469: @145835
     /*  145835 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(145901), // Rule ID 2596 //
     /*  145840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  145843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  145848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  145882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145899 */     GIR_RootConstrainSelectedInstOperands,
     /*  145900 */     // GIR_Coverage, 2596,
     /*  145900 */     GIR_EraseRootFromParent_Done,
     /*  145901 */   // Label 3470: @145901
     /*  145901 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(145967), // Rule ID 2597 //
     /*  145906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  145909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  145914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145945 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  145948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145965 */     GIR_RootConstrainSelectedInstOperands,
     /*  145966 */     // GIR_Coverage, 2597,
     /*  145966 */     GIR_EraseRootFromParent_Done,
     /*  145967 */   // Label 3471: @145967
     /*  145967 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(146030), // Rule ID 2608 //
     /*  145972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  145980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  145986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  146011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  146014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  146018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146028 */     GIR_RootConstrainSelectedInstOperands,
     /*  146029 */     // GIR_Coverage, 2608,
     /*  146029 */     GIR_EraseRootFromParent_Done,
     /*  146030 */   // Label 3472: @146030
     /*  146030 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(146093), // Rule ID 2609 //
     /*  146035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  146043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  146046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  146049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  146052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  146074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  146077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  146081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146091 */     GIR_RootConstrainSelectedInstOperands,
     /*  146092 */     // GIR_Coverage, 2609,
     /*  146092 */     GIR_EraseRootFromParent_Done,
     /*  146093 */   // Label 3473: @146093
     /*  146093 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(146159), // Rule ID 4748 //
     /*  146098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  146109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  146112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  146115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146137 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146157 */     GIR_RootConstrainSelectedInstOperands,
     /*  146158 */     // GIR_Coverage, 4748,
     /*  146158 */     GIR_EraseRootFromParent_Done,
     /*  146159 */   // Label 3474: @146159
     /*  146159 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(146225), // Rule ID 4749 //
     /*  146164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  146175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  146178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  146181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146223 */     GIR_RootConstrainSelectedInstOperands,
     /*  146224 */     // GIR_Coverage, 4749,
     /*  146224 */     GIR_EraseRootFromParent_Done,
     /*  146225 */   // Label 3475: @146225
     /*  146225 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(146291), // Rule ID 4752 //
     /*  146230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  146241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  146244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  146247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146289 */     GIR_RootConstrainSelectedInstOperands,
     /*  146290 */     // GIR_Coverage, 4752,
     /*  146290 */     GIR_EraseRootFromParent_Done,
     /*  146291 */   // Label 3476: @146291
     /*  146291 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(146357), // Rule ID 4753 //
     /*  146296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  146307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  146310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  146313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146355 */     GIR_RootConstrainSelectedInstOperands,
     /*  146356 */     // GIR_Coverage, 4753,
     /*  146356 */     GIR_EraseRootFromParent_Done,
     /*  146357 */   // Label 3477: @146357
     /*  146357 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(146423), // Rule ID 4756 //
     /*  146362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  146373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  146376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  146379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  146404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146421 */     GIR_RootConstrainSelectedInstOperands,
     /*  146422 */     // GIR_Coverage, 4756,
     /*  146422 */     GIR_EraseRootFromParent_Done,
     /*  146423 */   // Label 3478: @146423
     /*  146423 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(146489), // Rule ID 4757 //
     /*  146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  146439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  146442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  146445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  146470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146487 */     GIR_RootConstrainSelectedInstOperands,
     /*  146488 */     // GIR_Coverage, 4757,
     /*  146488 */     GIR_EraseRootFromParent_Done,
     /*  146489 */   // Label 3479: @146489
     /*  146489 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(146555), // Rule ID 4760 //
     /*  146494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  146505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  146508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  146511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  146536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146553 */     GIR_RootConstrainSelectedInstOperands,
     /*  146554 */     // GIR_Coverage, 4760,
     /*  146554 */     GIR_EraseRootFromParent_Done,
     /*  146555 */   // Label 3480: @146555
     /*  146555 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(146621), // Rule ID 4761 //
     /*  146560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  146571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  146574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  146577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  146602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146619 */     GIR_RootConstrainSelectedInstOperands,
     /*  146620 */     // GIR_Coverage, 4761,
     /*  146620 */     GIR_EraseRootFromParent_Done,
     /*  146621 */   // Label 3481: @146621
     /*  146621 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(146687), // Rule ID 4764 //
     /*  146626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  146637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  146640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  146643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146665 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  146668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146685 */     GIR_RootConstrainSelectedInstOperands,
     /*  146686 */     // GIR_Coverage, 4764,
     /*  146686 */     GIR_EraseRootFromParent_Done,
     /*  146687 */   // Label 3482: @146687
     /*  146687 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(146753), // Rule ID 4765 //
     /*  146692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  146703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  146706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  146709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  146734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146751 */     GIR_RootConstrainSelectedInstOperands,
     /*  146752 */     // GIR_Coverage, 4765,
     /*  146752 */     GIR_EraseRootFromParent_Done,
     /*  146753 */   // Label 3483: @146753
     /*  146753 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(146819), // Rule ID 4768 //
     /*  146758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  146769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  146772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  146775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  146797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146817 */     GIR_RootConstrainSelectedInstOperands,
     /*  146818 */     // GIR_Coverage, 4768,
     /*  146818 */     GIR_EraseRootFromParent_Done,
     /*  146819 */   // Label 3484: @146819
     /*  146819 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(146885), // Rule ID 4769 //
     /*  146824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  146835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  146838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  146841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  146863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146883 */     GIR_RootConstrainSelectedInstOperands,
     /*  146884 */     // GIR_Coverage, 4769,
     /*  146884 */     GIR_EraseRootFromParent_Done,
     /*  146885 */   // Label 3485: @146885
     /*  146885 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(146951), // Rule ID 4772 //
     /*  146890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  146901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  146904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  146907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  146929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146949 */     GIR_RootConstrainSelectedInstOperands,
     /*  146950 */     // GIR_Coverage, 4772,
     /*  146950 */     GIR_EraseRootFromParent_Done,
     /*  146951 */   // Label 3486: @146951
     /*  146951 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(147017), // Rule ID 4773 //
     /*  146956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  146967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  146970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  146973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  146995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147015 */     GIR_RootConstrainSelectedInstOperands,
     /*  147016 */     // GIR_Coverage, 4773,
     /*  147016 */     GIR_EraseRootFromParent_Done,
     /*  147017 */   // Label 3487: @147017
     /*  147017 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(147083), // Rule ID 4776 //
     /*  147022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  147033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  147039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147081 */     GIR_RootConstrainSelectedInstOperands,
     /*  147082 */     // GIR_Coverage, 4776,
     /*  147082 */     GIR_EraseRootFromParent_Done,
     /*  147083 */   // Label 3488: @147083
     /*  147083 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(147149), // Rule ID 4777 //
     /*  147088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  147099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  147105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147147 */     GIR_RootConstrainSelectedInstOperands,
     /*  147148 */     // GIR_Coverage, 4777,
     /*  147148 */     GIR_EraseRootFromParent_Done,
     /*  147149 */   // Label 3489: @147149
     /*  147149 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(147215), // Rule ID 4780 //
     /*  147154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  147165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  147168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  147171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147213 */     GIR_RootConstrainSelectedInstOperands,
     /*  147214 */     // GIR_Coverage, 4780,
     /*  147214 */     GIR_EraseRootFromParent_Done,
     /*  147215 */   // Label 3490: @147215
     /*  147215 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(147281), // Rule ID 4781 //
     /*  147220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  147231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  147234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  147237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147259 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147279 */     GIR_RootConstrainSelectedInstOperands,
     /*  147280 */     // GIR_Coverage, 4781,
     /*  147280 */     GIR_EraseRootFromParent_Done,
     /*  147281 */   // Label 3491: @147281
     /*  147281 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(147347), // Rule ID 4784 //
     /*  147286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  147297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  147303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147345 */     GIR_RootConstrainSelectedInstOperands,
     /*  147346 */     // GIR_Coverage, 4784,
     /*  147346 */     GIR_EraseRootFromParent_Done,
     /*  147347 */   // Label 3492: @147347
     /*  147347 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(147413), // Rule ID 4785 //
     /*  147352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  147363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  147369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147391 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147411 */     GIR_RootConstrainSelectedInstOperands,
     /*  147412 */     // GIR_Coverage, 4785,
     /*  147412 */     GIR_EraseRootFromParent_Done,
     /*  147413 */   // Label 3493: @147413
     /*  147413 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(147479), // Rule ID 4788 //
     /*  147418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  147429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  147432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  147435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  147460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147477 */     GIR_RootConstrainSelectedInstOperands,
     /*  147478 */     // GIR_Coverage, 4788,
     /*  147478 */     GIR_EraseRootFromParent_Done,
     /*  147479 */   // Label 3494: @147479
     /*  147479 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(147545), // Rule ID 4789 //
     /*  147484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  147495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  147498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  147501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  147526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147543 */     GIR_RootConstrainSelectedInstOperands,
     /*  147544 */     // GIR_Coverage, 4789,
     /*  147544 */     GIR_EraseRootFromParent_Done,
     /*  147545 */   // Label 3495: @147545
     /*  147545 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(147611), // Rule ID 4792 //
     /*  147550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  147561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  147564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  147567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147609 */     GIR_RootConstrainSelectedInstOperands,
     /*  147610 */     // GIR_Coverage, 4792,
     /*  147610 */     GIR_EraseRootFromParent_Done,
     /*  147611 */   // Label 3496: @147611
     /*  147611 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(147677), // Rule ID 4793 //
     /*  147616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  147627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  147630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  147633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147675 */     GIR_RootConstrainSelectedInstOperands,
     /*  147676 */     // GIR_Coverage, 4793,
     /*  147676 */     GIR_EraseRootFromParent_Done,
     /*  147677 */   // Label 3497: @147677
     /*  147677 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(147743), // Rule ID 4796 //
     /*  147682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  147693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  147699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147721 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147741 */     GIR_RootConstrainSelectedInstOperands,
     /*  147742 */     // GIR_Coverage, 4796,
     /*  147742 */     GIR_EraseRootFromParent_Done,
     /*  147743 */   // Label 3498: @147743
     /*  147743 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(147809), // Rule ID 4797 //
     /*  147748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  147759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  147765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147807 */     GIR_RootConstrainSelectedInstOperands,
     /*  147808 */     // GIR_Coverage, 4797,
     /*  147808 */     GIR_EraseRootFromParent_Done,
     /*  147809 */   // Label 3499: @147809
     /*  147809 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(147875), // Rule ID 4800 //
     /*  147814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  147825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  147828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  147831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147873 */     GIR_RootConstrainSelectedInstOperands,
     /*  147874 */     // GIR_Coverage, 4800,
     /*  147874 */     GIR_EraseRootFromParent_Done,
     /*  147875 */   // Label 3500: @147875
     /*  147875 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(147941), // Rule ID 4801 //
     /*  147880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  147891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  147894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  147897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147939 */     GIR_RootConstrainSelectedInstOperands,
     /*  147940 */     // GIR_Coverage, 4801,
     /*  147940 */     GIR_EraseRootFromParent_Done,
     /*  147941 */   // Label 3501: @147941
     /*  147941 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(148007), // Rule ID 4804 //
     /*  147946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  147957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  147960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  147963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  147988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148005 */     GIR_RootConstrainSelectedInstOperands,
     /*  148006 */     // GIR_Coverage, 4804,
     /*  148006 */     GIR_EraseRootFromParent_Done,
     /*  148007 */   // Label 3502: @148007
     /*  148007 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(148073), // Rule ID 4805 //
     /*  148012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  148023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  148026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  148029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  148054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148071 */     GIR_RootConstrainSelectedInstOperands,
     /*  148072 */     // GIR_Coverage, 4805,
     /*  148072 */     GIR_EraseRootFromParent_Done,
     /*  148073 */   // Label 3503: @148073
     /*  148073 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(148139), // Rule ID 4808 //
     /*  148078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  148089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  148092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  148095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148137 */     GIR_RootConstrainSelectedInstOperands,
     /*  148138 */     // GIR_Coverage, 4808,
     /*  148138 */     GIR_EraseRootFromParent_Done,
     /*  148139 */   // Label 3504: @148139
     /*  148139 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(148205), // Rule ID 4809 //
     /*  148144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  148155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  148158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  148161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148203 */     GIR_RootConstrainSelectedInstOperands,
     /*  148204 */     // GIR_Coverage, 4809,
     /*  148204 */     GIR_EraseRootFromParent_Done,
     /*  148205 */   // Label 3505: @148205
     /*  148205 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(148271), // Rule ID 4812 //
     /*  148210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  148221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  148227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148269 */     GIR_RootConstrainSelectedInstOperands,
     /*  148270 */     // GIR_Coverage, 4812,
     /*  148270 */     GIR_EraseRootFromParent_Done,
     /*  148271 */   // Label 3506: @148271
     /*  148271 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(148337), // Rule ID 4813 //
     /*  148276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  148287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  148293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148315 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148335 */     GIR_RootConstrainSelectedInstOperands,
     /*  148336 */     // GIR_Coverage, 4813,
     /*  148336 */     GIR_EraseRootFromParent_Done,
     /*  148337 */   // Label 3507: @148337
     /*  148337 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(148403), // Rule ID 4816 //
     /*  148342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  148353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  148356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  148359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148401 */     GIR_RootConstrainSelectedInstOperands,
     /*  148402 */     // GIR_Coverage, 4816,
     /*  148402 */     GIR_EraseRootFromParent_Done,
     /*  148403 */   // Label 3508: @148403
     /*  148403 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(148469), // Rule ID 4817 //
     /*  148408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  148419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  148422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  148425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148467 */     GIR_RootConstrainSelectedInstOperands,
     /*  148468 */     // GIR_Coverage, 4817,
     /*  148468 */     GIR_EraseRootFromParent_Done,
     /*  148469 */   // Label 3509: @148469
     /*  148469 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(148535), // Rule ID 4820 //
     /*  148474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  148485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  148488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  148491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  148516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148533 */     GIR_RootConstrainSelectedInstOperands,
     /*  148534 */     // GIR_Coverage, 4820,
     /*  148534 */     GIR_EraseRootFromParent_Done,
     /*  148535 */   // Label 3510: @148535
     /*  148535 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(148601), // Rule ID 4821 //
     /*  148540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  148551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  148554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  148557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  148582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148599 */     GIR_RootConstrainSelectedInstOperands,
     /*  148600 */     // GIR_Coverage, 4821,
     /*  148600 */     GIR_EraseRootFromParent_Done,
     /*  148601 */   // Label 3511: @148601
     /*  148601 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(148667), // Rule ID 4824 //
     /*  148606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  148617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  148620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  148623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148665 */     GIR_RootConstrainSelectedInstOperands,
     /*  148666 */     // GIR_Coverage, 4824,
     /*  148666 */     GIR_EraseRootFromParent_Done,
     /*  148667 */   // Label 3512: @148667
     /*  148667 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(148733), // Rule ID 4825 //
     /*  148672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  148683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  148686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  148689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  148711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148731 */     GIR_RootConstrainSelectedInstOperands,
     /*  148732 */     // GIR_Coverage, 4825,
     /*  148732 */     GIR_EraseRootFromParent_Done,
     /*  148733 */   // Label 3513: @148733
     /*  148733 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(148799), // Rule ID 4828 //
     /*  148738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  148749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  148752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  148755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148797 */     GIR_RootConstrainSelectedInstOperands,
     /*  148798 */     // GIR_Coverage, 4828,
     /*  148798 */     GIR_EraseRootFromParent_Done,
     /*  148799 */   // Label 3514: @148799
     /*  148799 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(148865), // Rule ID 4829 //
     /*  148804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  148815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  148818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  148821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  148843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148863 */     GIR_RootConstrainSelectedInstOperands,
     /*  148864 */     // GIR_Coverage, 4829,
     /*  148864 */     GIR_EraseRootFromParent_Done,
     /*  148865 */   // Label 3515: @148865
     /*  148865 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(148931), // Rule ID 4832 //
     /*  148870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  148881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  148887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148929 */     GIR_RootConstrainSelectedInstOperands,
     /*  148930 */     // GIR_Coverage, 4832,
     /*  148930 */     GIR_EraseRootFromParent_Done,
     /*  148931 */   // Label 3516: @148931
     /*  148931 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(148997), // Rule ID 4833 //
     /*  148936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  148947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  148953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148975 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  148975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148995 */     GIR_RootConstrainSelectedInstOperands,
     /*  148996 */     // GIR_Coverage, 4833,
     /*  148996 */     GIR_EraseRootFromParent_Done,
     /*  148997 */   // Label 3517: @148997
     /*  148997 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(149063), // Rule ID 4836 //
     /*  149002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  149019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  149044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149061 */     GIR_RootConstrainSelectedInstOperands,
     /*  149062 */     // GIR_Coverage, 4836,
     /*  149062 */     GIR_EraseRootFromParent_Done,
     /*  149063 */   // Label 3518: @149063
     /*  149063 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(149129), // Rule ID 4837 //
     /*  149068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  149085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  149110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149127 */     GIR_RootConstrainSelectedInstOperands,
     /*  149128 */     // GIR_Coverage, 4837,
     /*  149128 */     GIR_EraseRootFromParent_Done,
     /*  149129 */   // Label 3519: @149129
     /*  149129 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(149195), // Rule ID 4840 //
     /*  149134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  149145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  149148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  149176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149193 */     GIR_RootConstrainSelectedInstOperands,
     /*  149194 */     // GIR_Coverage, 4840,
     /*  149194 */     GIR_EraseRootFromParent_Done,
     /*  149195 */   // Label 3520: @149195
     /*  149195 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(149261), // Rule ID 4841 //
     /*  149200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  149211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  149214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  149242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149259 */     GIR_RootConstrainSelectedInstOperands,
     /*  149260 */     // GIR_Coverage, 4841,
     /*  149260 */     GIR_EraseRootFromParent_Done,
     /*  149261 */   // Label 3521: @149261
     /*  149261 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(149327), // Rule ID 4844 //
     /*  149266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  149277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  149280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  149308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149325 */     GIR_RootConstrainSelectedInstOperands,
     /*  149326 */     // GIR_Coverage, 4844,
     /*  149326 */     GIR_EraseRootFromParent_Done,
     /*  149327 */   // Label 3522: @149327
     /*  149327 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(149393), // Rule ID 4845 //
     /*  149332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  149343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  149346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  149374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149391 */     GIR_RootConstrainSelectedInstOperands,
     /*  149392 */     // GIR_Coverage, 4845,
     /*  149392 */     GIR_EraseRootFromParent_Done,
     /*  149393 */   // Label 3523: @149393
     /*  149393 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(149459), // Rule ID 4848 //
     /*  149398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  149409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  149412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  149440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149457 */     GIR_RootConstrainSelectedInstOperands,
     /*  149458 */     // GIR_Coverage, 4848,
     /*  149458 */     GIR_EraseRootFromParent_Done,
     /*  149459 */   // Label 3524: @149459
     /*  149459 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(149525), // Rule ID 4849 //
     /*  149464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  149475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  149478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  149506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149523 */     GIR_RootConstrainSelectedInstOperands,
     /*  149524 */     // GIR_Coverage, 4849,
     /*  149524 */     GIR_EraseRootFromParent_Done,
     /*  149525 */   // Label 3525: @149525
     /*  149525 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(149591), // Rule ID 4852 //
     /*  149530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  149547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  149572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149589 */     GIR_RootConstrainSelectedInstOperands,
     /*  149590 */     // GIR_Coverage, 4852,
     /*  149590 */     GIR_EraseRootFromParent_Done,
     /*  149591 */   // Label 3526: @149591
     /*  149591 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(149657), // Rule ID 4853 //
     /*  149596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  149613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  149638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149655 */     GIR_RootConstrainSelectedInstOperands,
     /*  149656 */     // GIR_Coverage, 4853,
     /*  149656 */     GIR_EraseRootFromParent_Done,
     /*  149657 */   // Label 3527: @149657
     /*  149657 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(149723), // Rule ID 4856 //
     /*  149662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  149673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  149676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  149701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  149704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149721 */     GIR_RootConstrainSelectedInstOperands,
     /*  149722 */     // GIR_Coverage, 4856,
     /*  149722 */     GIR_EraseRootFromParent_Done,
     /*  149723 */   // Label 3528: @149723
     /*  149723 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(149789), // Rule ID 4857 //
     /*  149728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  149739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  149742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  149767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  149770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149787 */     GIR_RootConstrainSelectedInstOperands,
     /*  149788 */     // GIR_Coverage, 4857,
     /*  149788 */     GIR_EraseRootFromParent_Done,
     /*  149789 */   // Label 3529: @149789
     /*  149789 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(149855), // Rule ID 4860 //
     /*  149794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  149805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  149808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  149833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  149836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149853 */     GIR_RootConstrainSelectedInstOperands,
     /*  149854 */     // GIR_Coverage, 4860,
     /*  149854 */     GIR_EraseRootFromParent_Done,
     /*  149855 */   // Label 3530: @149855
     /*  149855 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(149921), // Rule ID 4861 //
     /*  149860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  149871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  149874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  149899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  149902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149919 */     GIR_RootConstrainSelectedInstOperands,
     /*  149920 */     // GIR_Coverage, 4861,
     /*  149920 */     GIR_EraseRootFromParent_Done,
     /*  149921 */   // Label 3531: @149921
     /*  149921 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(149987), // Rule ID 4864 //
     /*  149926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  149937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  149940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  149965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  149968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149985 */     GIR_RootConstrainSelectedInstOperands,
     /*  149986 */     // GIR_Coverage, 4864,
     /*  149986 */     GIR_EraseRootFromParent_Done,
     /*  149987 */   // Label 3532: @149987
     /*  149987 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(150053), // Rule ID 4865 //
     /*  149992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  150003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  150006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  150009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150051 */     GIR_RootConstrainSelectedInstOperands,
     /*  150052 */     // GIR_Coverage, 4865,
     /*  150052 */     GIR_EraseRootFromParent_Done,
     /*  150053 */   // Label 3533: @150053
     /*  150053 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(150119), // Rule ID 4868 //
     /*  150058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  150069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  150072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  150075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150117 */     GIR_RootConstrainSelectedInstOperands,
     /*  150118 */     // GIR_Coverage, 4868,
     /*  150118 */     GIR_EraseRootFromParent_Done,
     /*  150119 */   // Label 3534: @150119
     /*  150119 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(150185), // Rule ID 4869 //
     /*  150124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  150135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  150138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  150141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150183 */     GIR_RootConstrainSelectedInstOperands,
     /*  150184 */     // GIR_Coverage, 4869,
     /*  150184 */     GIR_EraseRootFromParent_Done,
     /*  150185 */   // Label 3535: @150185
     /*  150185 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(150251), // Rule ID 4872 //
     /*  150190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  150201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  150204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  150207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150229 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150249 */     GIR_RootConstrainSelectedInstOperands,
     /*  150250 */     // GIR_Coverage, 4872,
     /*  150250 */     GIR_EraseRootFromParent_Done,
     /*  150251 */   // Label 3536: @150251
     /*  150251 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(150317), // Rule ID 4873 //
     /*  150256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  150267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  150270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  150273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150315 */     GIR_RootConstrainSelectedInstOperands,
     /*  150316 */     // GIR_Coverage, 4873,
     /*  150316 */     GIR_EraseRootFromParent_Done,
     /*  150317 */   // Label 3537: @150317
     /*  150317 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(150383), // Rule ID 4876 //
     /*  150322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  150333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  150336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  150339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  150364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150381 */     GIR_RootConstrainSelectedInstOperands,
     /*  150382 */     // GIR_Coverage, 4876,
     /*  150382 */     GIR_EraseRootFromParent_Done,
     /*  150383 */   // Label 3538: @150383
     /*  150383 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(150449), // Rule ID 4877 //
     /*  150388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  150399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  150402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  150405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  150430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150447 */     GIR_RootConstrainSelectedInstOperands,
     /*  150448 */     // GIR_Coverage, 4877,
     /*  150448 */     GIR_EraseRootFromParent_Done,
     /*  150449 */   // Label 3539: @150449
     /*  150449 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(150515), // Rule ID 4880 //
     /*  150454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  150465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  150468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  150471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  150496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150513 */     GIR_RootConstrainSelectedInstOperands,
     /*  150514 */     // GIR_Coverage, 4880,
     /*  150514 */     GIR_EraseRootFromParent_Done,
     /*  150515 */   // Label 3540: @150515
     /*  150515 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(150581), // Rule ID 4881 //
     /*  150520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  150531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  150534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  150537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  150562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150579 */     GIR_RootConstrainSelectedInstOperands,
     /*  150580 */     // GIR_Coverage, 4881,
     /*  150580 */     GIR_EraseRootFromParent_Done,
     /*  150581 */   // Label 3541: @150581
     /*  150581 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(150647), // Rule ID 4884 //
     /*  150586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  150597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  150600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  150603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150645 */     GIR_RootConstrainSelectedInstOperands,
     /*  150646 */     // GIR_Coverage, 4884,
     /*  150646 */     GIR_EraseRootFromParent_Done,
     /*  150647 */   // Label 3542: @150647
     /*  150647 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(150713), // Rule ID 4885 //
     /*  150652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  150663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  150666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  150669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150711 */     GIR_RootConstrainSelectedInstOperands,
     /*  150712 */     // GIR_Coverage, 4885,
     /*  150712 */     GIR_EraseRootFromParent_Done,
     /*  150713 */   // Label 3543: @150713
     /*  150713 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(150779), // Rule ID 4888 //
     /*  150718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  150729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  150732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  150735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150777 */     GIR_RootConstrainSelectedInstOperands,
     /*  150778 */     // GIR_Coverage, 4888,
     /*  150778 */     GIR_EraseRootFromParent_Done,
     /*  150779 */   // Label 3544: @150779
     /*  150779 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(150845), // Rule ID 4889 //
     /*  150784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  150795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  150798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  150801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150843 */     GIR_RootConstrainSelectedInstOperands,
     /*  150844 */     // GIR_Coverage, 4889,
     /*  150844 */     GIR_EraseRootFromParent_Done,
     /*  150845 */   // Label 3545: @150845
     /*  150845 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(150911), // Rule ID 4892 //
     /*  150850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  150861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  150867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150909 */     GIR_RootConstrainSelectedInstOperands,
     /*  150910 */     // GIR_Coverage, 4892,
     /*  150910 */     GIR_EraseRootFromParent_Done,
     /*  150911 */   // Label 3546: @150911
     /*  150911 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(150977), // Rule ID 4893 //
     /*  150916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  150927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  150933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150975 */     GIR_RootConstrainSelectedInstOperands,
     /*  150976 */     // GIR_Coverage, 4893,
     /*  150976 */     GIR_EraseRootFromParent_Done,
     /*  150977 */   // Label 3547: @150977
     /*  150977 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(151043), // Rule ID 4896 //
     /*  150982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  150993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  150996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  150999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151041 */     GIR_RootConstrainSelectedInstOperands,
     /*  151042 */     // GIR_Coverage, 4896,
     /*  151042 */     GIR_EraseRootFromParent_Done,
     /*  151043 */   // Label 3548: @151043
     /*  151043 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(151109), // Rule ID 4897 //
     /*  151048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  151059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  151062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  151065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151087 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151107 */     GIR_RootConstrainSelectedInstOperands,
     /*  151108 */     // GIR_Coverage, 4897,
     /*  151108 */     GIR_EraseRootFromParent_Done,
     /*  151109 */   // Label 3549: @151109
     /*  151109 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(151175), // Rule ID 4900 //
     /*  151114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  151125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  151128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  151131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  151156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151173 */     GIR_RootConstrainSelectedInstOperands,
     /*  151174 */     // GIR_Coverage, 4900,
     /*  151174 */     GIR_EraseRootFromParent_Done,
     /*  151175 */   // Label 3550: @151175
     /*  151175 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(151241), // Rule ID 4901 //
     /*  151180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  151191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  151194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  151197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  151222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151239 */     GIR_RootConstrainSelectedInstOperands,
     /*  151240 */     // GIR_Coverage, 4901,
     /*  151240 */     GIR_EraseRootFromParent_Done,
     /*  151241 */   // Label 3551: @151241
     /*  151241 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(151307), // Rule ID 4904 //
     /*  151246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  151257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  151260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  151263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  151288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151305 */     GIR_RootConstrainSelectedInstOperands,
     /*  151306 */     // GIR_Coverage, 4904,
     /*  151306 */     GIR_EraseRootFromParent_Done,
     /*  151307 */   // Label 3552: @151307
     /*  151307 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(151373), // Rule ID 4905 //
     /*  151312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  151323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  151326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  151329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  151354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151371 */     GIR_RootConstrainSelectedInstOperands,
     /*  151372 */     // GIR_Coverage, 4905,
     /*  151372 */     GIR_EraseRootFromParent_Done,
     /*  151373 */   // Label 3553: @151373
     /*  151373 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(151439), // Rule ID 4908 //
     /*  151378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  151389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  151392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  151395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  151420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151437 */     GIR_RootConstrainSelectedInstOperands,
     /*  151438 */     // GIR_Coverage, 4908,
     /*  151438 */     GIR_EraseRootFromParent_Done,
     /*  151439 */   // Label 3554: @151439
     /*  151439 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(151505), // Rule ID 4909 //
     /*  151444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  151455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  151458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  151461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  151486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151503 */     GIR_RootConstrainSelectedInstOperands,
     /*  151504 */     // GIR_Coverage, 4909,
     /*  151504 */     GIR_EraseRootFromParent_Done,
     /*  151505 */   // Label 3555: @151505
     /*  151505 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(151571), // Rule ID 4912 //
     /*  151510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  151521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  151524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  151527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151569 */     GIR_RootConstrainSelectedInstOperands,
     /*  151570 */     // GIR_Coverage, 4912,
     /*  151570 */     GIR_EraseRootFromParent_Done,
     /*  151571 */   // Label 3556: @151571
     /*  151571 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(151637), // Rule ID 4913 //
     /*  151576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  151587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  151590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  151593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151635 */     GIR_RootConstrainSelectedInstOperands,
     /*  151636 */     // GIR_Coverage, 4913,
     /*  151636 */     GIR_EraseRootFromParent_Done,
     /*  151637 */   // Label 3557: @151637
     /*  151637 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(151703), // Rule ID 4916 //
     /*  151642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  151653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  151656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  151659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  151684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151701 */     GIR_RootConstrainSelectedInstOperands,
     /*  151702 */     // GIR_Coverage, 4916,
     /*  151702 */     GIR_EraseRootFromParent_Done,
     /*  151703 */   // Label 3558: @151703
     /*  151703 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(151769), // Rule ID 4917 //
     /*  151708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  151719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  151722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  151725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  151750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151767 */     GIR_RootConstrainSelectedInstOperands,
     /*  151768 */     // GIR_Coverage, 4917,
     /*  151768 */     GIR_EraseRootFromParent_Done,
     /*  151769 */   // Label 3559: @151769
     /*  151769 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(151835), // Rule ID 4920 //
     /*  151774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  151785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  151788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  151791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  151816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151833 */     GIR_RootConstrainSelectedInstOperands,
     /*  151834 */     // GIR_Coverage, 4920,
     /*  151834 */     GIR_EraseRootFromParent_Done,
     /*  151835 */   // Label 3560: @151835
     /*  151835 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(151901), // Rule ID 4921 //
     /*  151840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  151851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  151854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  151857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  151882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151899 */     GIR_RootConstrainSelectedInstOperands,
     /*  151900 */     // GIR_Coverage, 4921,
     /*  151900 */     GIR_EraseRootFromParent_Done,
     /*  151901 */   // Label 3561: @151901
     /*  151901 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(151967), // Rule ID 4924 //
     /*  151906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  151917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  151920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  151923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  151948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151965 */     GIR_RootConstrainSelectedInstOperands,
     /*  151966 */     // GIR_Coverage, 4924,
     /*  151966 */     GIR_EraseRootFromParent_Done,
     /*  151967 */   // Label 3562: @151967
     /*  151967 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(152033), // Rule ID 4925 //
     /*  151972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  151983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  151986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  151989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152031 */     GIR_RootConstrainSelectedInstOperands,
     /*  152032 */     // GIR_Coverage, 4925,
     /*  152032 */     GIR_EraseRootFromParent_Done,
     /*  152033 */   // Label 3563: @152033
     /*  152033 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(152099), // Rule ID 4928 //
     /*  152038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  152049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  152052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  152055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152077 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  152077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152097 */     GIR_RootConstrainSelectedInstOperands,
     /*  152098 */     // GIR_Coverage, 4928,
     /*  152098 */     GIR_EraseRootFromParent_Done,
     /*  152099 */   // Label 3564: @152099
     /*  152099 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(152165), // Rule ID 4929 //
     /*  152104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  152115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  152118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  152121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152163 */     GIR_RootConstrainSelectedInstOperands,
     /*  152164 */     // GIR_Coverage, 4929,
     /*  152164 */     GIR_EraseRootFromParent_Done,
     /*  152165 */   // Label 3565: @152165
     /*  152165 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(152231), // Rule ID 4932 //
     /*  152170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  152181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  152187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  152209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152229 */     GIR_RootConstrainSelectedInstOperands,
     /*  152230 */     // GIR_Coverage, 4932,
     /*  152230 */     GIR_EraseRootFromParent_Done,
     /*  152231 */   // Label 3566: @152231
     /*  152231 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(152297), // Rule ID 4933 //
     /*  152236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  152247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  152253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152295 */     GIR_RootConstrainSelectedInstOperands,
     /*  152296 */     // GIR_Coverage, 4933,
     /*  152296 */     GIR_EraseRootFromParent_Done,
     /*  152297 */   // Label 3567: @152297
     /*  152297 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(152363), // Rule ID 4936 //
     /*  152302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  152319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  152344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152361 */     GIR_RootConstrainSelectedInstOperands,
     /*  152362 */     // GIR_Coverage, 4936,
     /*  152362 */     GIR_EraseRootFromParent_Done,
     /*  152363 */   // Label 3568: @152363
     /*  152363 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(152429), // Rule ID 4937 //
     /*  152368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  152385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  152410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152427 */     GIR_RootConstrainSelectedInstOperands,
     /*  152428 */     // GIR_Coverage, 4937,
     /*  152428 */     GIR_EraseRootFromParent_Done,
     /*  152429 */   // Label 3569: @152429
     /*  152429 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(152495), // Rule ID 4940 //
     /*  152434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  152445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  152448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  152451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152493 */     GIR_RootConstrainSelectedInstOperands,
     /*  152494 */     // GIR_Coverage, 4940,
     /*  152494 */     GIR_EraseRootFromParent_Done,
     /*  152495 */   // Label 3570: @152495
     /*  152495 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(152561), // Rule ID 4941 //
     /*  152500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  152511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  152514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  152517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152559 */     GIR_RootConstrainSelectedInstOperands,
     /*  152560 */     // GIR_Coverage, 4941,
     /*  152560 */     GIR_EraseRootFromParent_Done,
     /*  152561 */   // Label 3571: @152561
     /*  152561 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(152627), // Rule ID 4944 //
     /*  152566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  152577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  152580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  152583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152605 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152625 */     GIR_RootConstrainSelectedInstOperands,
     /*  152626 */     // GIR_Coverage, 4944,
     /*  152626 */     GIR_EraseRootFromParent_Done,
     /*  152627 */   // Label 3572: @152627
     /*  152627 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(152693), // Rule ID 4945 //
     /*  152632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  152643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  152646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  152649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152691 */     GIR_RootConstrainSelectedInstOperands,
     /*  152692 */     // GIR_Coverage, 4945,
     /*  152692 */     GIR_EraseRootFromParent_Done,
     /*  152693 */   // Label 3573: @152693
     /*  152693 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(152759), // Rule ID 4948 //
     /*  152698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  152709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  152712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  152715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152757 */     GIR_RootConstrainSelectedInstOperands,
     /*  152758 */     // GIR_Coverage, 4948,
     /*  152758 */     GIR_EraseRootFromParent_Done,
     /*  152759 */   // Label 3574: @152759
     /*  152759 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(152825), // Rule ID 4949 //
     /*  152764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  152775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  152778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  152781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152823 */     GIR_RootConstrainSelectedInstOperands,
     /*  152824 */     // GIR_Coverage, 4949,
     /*  152824 */     GIR_EraseRootFromParent_Done,
     /*  152825 */   // Label 3575: @152825
     /*  152825 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(152891), // Rule ID 4952 //
     /*  152830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  152847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  152872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152889 */     GIR_RootConstrainSelectedInstOperands,
     /*  152890 */     // GIR_Coverage, 4952,
     /*  152890 */     GIR_EraseRootFromParent_Done,
     /*  152891 */   // Label 3576: @152891
     /*  152891 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(152957), // Rule ID 4953 //
     /*  152896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  152913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  152938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152955 */     GIR_RootConstrainSelectedInstOperands,
     /*  152956 */     // GIR_Coverage, 4953,
     /*  152956 */     GIR_EraseRootFromParent_Done,
     /*  152957 */   // Label 3577: @152957
     /*  152957 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(153023), // Rule ID 4956 //
     /*  152962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  152973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  152976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  152979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  153004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153021 */     GIR_RootConstrainSelectedInstOperands,
     /*  153022 */     // GIR_Coverage, 4956,
     /*  153022 */     GIR_EraseRootFromParent_Done,
     /*  153023 */   // Label 3578: @153023
     /*  153023 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(153089), // Rule ID 4957 //
     /*  153028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  153039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  153042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  153070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153087 */     GIR_RootConstrainSelectedInstOperands,
     /*  153088 */     // GIR_Coverage, 4957,
     /*  153088 */     GIR_EraseRootFromParent_Done,
     /*  153089 */   // Label 3579: @153089
     /*  153089 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(153155), // Rule ID 4960 //
     /*  153094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  153097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  153105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  153108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153133 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  153136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153153 */     GIR_RootConstrainSelectedInstOperands,
     /*  153154 */     // GIR_Coverage, 4960,
     /*  153154 */     GIR_EraseRootFromParent_Done,
     /*  153155 */   // Label 3580: @153155
     /*  153155 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(153221), // Rule ID 4961 //
     /*  153160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  153171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  153174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  153202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153219 */     GIR_RootConstrainSelectedInstOperands,
     /*  153220 */     // GIR_Coverage, 4961,
     /*  153220 */     GIR_EraseRootFromParent_Done,
     /*  153221 */   // Label 3581: @153221
     /*  153221 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(153287), // Rule ID 4964 //
     /*  153226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  153229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  153237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  153240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  153243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153265 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  153268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153285 */     GIR_RootConstrainSelectedInstOperands,
     /*  153286 */     // GIR_Coverage, 4964,
     /*  153286 */     GIR_EraseRootFromParent_Done,
     /*  153287 */   // Label 3582: @153287
     /*  153287 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(153353), // Rule ID 4965 //
     /*  153292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  153303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  153306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  153309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  153334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153351 */     GIR_RootConstrainSelectedInstOperands,
     /*  153352 */     // GIR_Coverage, 4965,
     /*  153352 */     GIR_EraseRootFromParent_Done,
     /*  153353 */   // Label 3583: @153353
     /*  153353 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(153416), // Rule ID 5228 //
     /*  153358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  153372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  153397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153414 */     GIR_RootConstrainSelectedInstOperands,
     /*  153415 */     // GIR_Coverage, 5228,
     /*  153415 */     GIR_EraseRootFromParent_Done,
     /*  153416 */   // Label 3584: @153416
     /*  153416 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(153479), // Rule ID 5229 //
     /*  153421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  153435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  153460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153477 */     GIR_RootConstrainSelectedInstOperands,
     /*  153478 */     // GIR_Coverage, 5229,
     /*  153478 */     GIR_EraseRootFromParent_Done,
     /*  153479 */   // Label 3585: @153479
     /*  153479 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(153542), // Rule ID 5230 //
     /*  153484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  153495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  153498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153523 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  153523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153540 */     GIR_RootConstrainSelectedInstOperands,
     /*  153541 */     // GIR_Coverage, 5230,
     /*  153541 */     GIR_EraseRootFromParent_Done,
     /*  153542 */   // Label 3586: @153542
     /*  153542 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(153605), // Rule ID 5231 //
     /*  153547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  153558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  153561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153586 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  153586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153603 */     GIR_RootConstrainSelectedInstOperands,
     /*  153604 */     // GIR_Coverage, 5231,
     /*  153604 */     GIR_EraseRootFromParent_Done,
     /*  153605 */   // Label 3587: @153605
     /*  153605 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(153668), // Rule ID 5232 //
     /*  153610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  153624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  153627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  153649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153666 */     GIR_RootConstrainSelectedInstOperands,
     /*  153667 */     // GIR_Coverage, 5232,
     /*  153667 */     GIR_EraseRootFromParent_Done,
     /*  153668 */   // Label 3588: @153668
     /*  153668 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(153731), // Rule ID 5233 //
     /*  153673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  153687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  153690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  153712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153729 */     GIR_RootConstrainSelectedInstOperands,
     /*  153730 */     // GIR_Coverage, 5233,
     /*  153730 */     GIR_EraseRootFromParent_Done,
     /*  153731 */   // Label 3589: @153731
     /*  153731 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(153794), // Rule ID 5234 //
     /*  153736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  153750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  153753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153775 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  153775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153792 */     GIR_RootConstrainSelectedInstOperands,
     /*  153793 */     // GIR_Coverage, 5234,
     /*  153793 */     GIR_EraseRootFromParent_Done,
     /*  153794 */   // Label 3590: @153794
     /*  153794 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(153857), // Rule ID 5235 //
     /*  153799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  153813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  153816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153838 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  153838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153855 */     GIR_RootConstrainSelectedInstOperands,
     /*  153856 */     // GIR_Coverage, 5235,
     /*  153856 */     GIR_EraseRootFromParent_Done,
     /*  153857 */   // Label 3591: @153857
     /*  153857 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(153920), // Rule ID 5236 //
     /*  153862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  153876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  153879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153901 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  153901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  153918 */     GIR_RootConstrainSelectedInstOperands,
     /*  153919 */     // GIR_Coverage, 5236,
     /*  153919 */     GIR_EraseRootFromParent_Done,
     /*  153920 */   // Label 3592: @153920
     /*  153920 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(153983), // Rule ID 5237 //
     /*  153925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  153939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  153942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  153964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  153981 */     GIR_RootConstrainSelectedInstOperands,
     /*  153982 */     // GIR_Coverage, 5237,
     /*  153982 */     GIR_EraseRootFromParent_Done,
     /*  153983 */   // Label 3593: @153983
     /*  153983 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(154046), // Rule ID 5238 //
     /*  153988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  153999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  154002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  154005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154044 */     GIR_RootConstrainSelectedInstOperands,
     /*  154045 */     // GIR_Coverage, 5238,
     /*  154045 */     GIR_EraseRootFromParent_Done,
     /*  154046 */   // Label 3594: @154046
     /*  154046 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(154109), // Rule ID 5239 //
     /*  154051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  154065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  154068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154107 */     GIR_RootConstrainSelectedInstOperands,
     /*  154108 */     // GIR_Coverage, 5239,
     /*  154108 */     GIR_EraseRootFromParent_Done,
     /*  154109 */   // Label 3595: @154109
     /*  154109 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(154172), // Rule ID 5240 //
     /*  154114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  154125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  154128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  154131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  154153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154170 */     GIR_RootConstrainSelectedInstOperands,
     /*  154171 */     // GIR_Coverage, 5240,
     /*  154171 */     GIR_EraseRootFromParent_Done,
     /*  154172 */   // Label 3596: @154172
     /*  154172 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(154235), // Rule ID 5241 //
     /*  154177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  154188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  154191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  154194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  154216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154233 */     GIR_RootConstrainSelectedInstOperands,
     /*  154234 */     // GIR_Coverage, 5241,
     /*  154234 */     GIR_EraseRootFromParent_Done,
     /*  154235 */   // Label 3597: @154235
     /*  154235 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(154298), // Rule ID 5242 //
     /*  154240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  154251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  154254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  154257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154279 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  154279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  154296 */     GIR_RootConstrainSelectedInstOperands,
     /*  154297 */     // GIR_Coverage, 5242,
     /*  154297 */     GIR_EraseRootFromParent_Done,
     /*  154298 */   // Label 3598: @154298
     /*  154298 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(154361), // Rule ID 5243 //
     /*  154303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  154314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  154317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  154320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  154342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  154359 */     GIR_RootConstrainSelectedInstOperands,
     /*  154360 */     // GIR_Coverage, 5243,
     /*  154360 */     GIR_EraseRootFromParent_Done,
     /*  154361 */   // Label 3599: @154361
     /*  154361 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(154424), // Rule ID 5244 //
     /*  154366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  154369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  154377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  154380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  154383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  154405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  154422 */     GIR_RootConstrainSelectedInstOperands,
     /*  154423 */     // GIR_Coverage, 5244,
     /*  154423 */     GIR_EraseRootFromParent_Done,
     /*  154424 */   // Label 3600: @154424
     /*  154424 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(154487), // Rule ID 5245 //
     /*  154429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  154432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  154440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  154443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  154446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  154468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  154485 */     GIR_RootConstrainSelectedInstOperands,
     /*  154486 */     // GIR_Coverage, 5245,
     /*  154486 */     GIR_EraseRootFromParent_Done,
     /*  154487 */   // Label 3601: @154487
     /*  154487 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(154550), // Rule ID 5246 //
     /*  154492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  154503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  154506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  154509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154531 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154548 */     GIR_RootConstrainSelectedInstOperands,
     /*  154549 */     // GIR_Coverage, 5246,
     /*  154549 */     GIR_EraseRootFromParent_Done,
     /*  154550 */   // Label 3602: @154550
     /*  154550 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(154613), // Rule ID 5247 //
     /*  154555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  154566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  154569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  154572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154594 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154611 */     GIR_RootConstrainSelectedInstOperands,
     /*  154612 */     // GIR_Coverage, 5247,
     /*  154612 */     GIR_EraseRootFromParent_Done,
     /*  154613 */   // Label 3603: @154613
     /*  154613 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(154676), // Rule ID 5248 //
     /*  154618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  154629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  154632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  154635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154657 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  154660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154674 */     GIR_RootConstrainSelectedInstOperands,
     /*  154675 */     // GIR_Coverage, 5248,
     /*  154675 */     GIR_EraseRootFromParent_Done,
     /*  154676 */   // Label 3604: @154676
     /*  154676 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(154739), // Rule ID 5249 //
     /*  154681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  154692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  154695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  154698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154720 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  154723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154737 */     GIR_RootConstrainSelectedInstOperands,
     /*  154738 */     // GIR_Coverage, 5249,
     /*  154738 */     GIR_EraseRootFromParent_Done,
     /*  154739 */   // Label 3605: @154739
     /*  154739 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(154802), // Rule ID 5250 //
     /*  154744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  154755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  154758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  154761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154783 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  154786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154800 */     GIR_RootConstrainSelectedInstOperands,
     /*  154801 */     // GIR_Coverage, 5250,
     /*  154801 */     GIR_EraseRootFromParent_Done,
     /*  154802 */   // Label 3606: @154802
     /*  154802 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(154865), // Rule ID 5251 //
     /*  154807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  154818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  154821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  154824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154846 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  154849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154863 */     GIR_RootConstrainSelectedInstOperands,
     /*  154864 */     // GIR_Coverage, 5251,
     /*  154864 */     GIR_EraseRootFromParent_Done,
     /*  154865 */   // Label 3607: @154865
     /*  154865 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(154928), // Rule ID 5252 //
     /*  154870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  154884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  154887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154909 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  154909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154926 */     GIR_RootConstrainSelectedInstOperands,
     /*  154927 */     // GIR_Coverage, 5252,
     /*  154927 */     GIR_EraseRootFromParent_Done,
     /*  154928 */   // Label 3608: @154928
     /*  154928 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(154991), // Rule ID 5253 //
     /*  154933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  154947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  154950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  154972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154989 */     GIR_RootConstrainSelectedInstOperands,
     /*  154990 */     // GIR_Coverage, 5253,
     /*  154990 */     GIR_EraseRootFromParent_Done,
     /*  154991 */   // Label 3609: @154991
     /*  154991 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(155054), // Rule ID 5254 //
     /*  154996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  155010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  155013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155035 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  155035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155052 */     GIR_RootConstrainSelectedInstOperands,
     /*  155053 */     // GIR_Coverage, 5254,
     /*  155053 */     GIR_EraseRootFromParent_Done,
     /*  155054 */   // Label 3610: @155054
     /*  155054 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(155117), // Rule ID 5255 //
     /*  155059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  155073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  155076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155098 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  155098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155115 */     GIR_RootConstrainSelectedInstOperands,
     /*  155116 */     // GIR_Coverage, 5255,
     /*  155116 */     GIR_EraseRootFromParent_Done,
     /*  155117 */   // Label 3611: @155117
     /*  155117 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(155180), // Rule ID 5256 //
     /*  155122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  155133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  155136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  155139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155161 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  155161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155178 */     GIR_RootConstrainSelectedInstOperands,
     /*  155179 */     // GIR_Coverage, 5256,
     /*  155179 */     GIR_EraseRootFromParent_Done,
     /*  155180 */   // Label 3612: @155180
     /*  155180 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(155243), // Rule ID 5257 //
     /*  155185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  155196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  155199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  155202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155224 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  155224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155241 */     GIR_RootConstrainSelectedInstOperands,
     /*  155242 */     // GIR_Coverage, 5257,
     /*  155242 */     GIR_EraseRootFromParent_Done,
     /*  155243 */   // Label 3613: @155243
     /*  155243 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(155306), // Rule ID 5258 //
     /*  155248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  155262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  155265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155287 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155304 */     GIR_RootConstrainSelectedInstOperands,
     /*  155305 */     // GIR_Coverage, 5258,
     /*  155305 */     GIR_EraseRootFromParent_Done,
     /*  155306 */   // Label 3614: @155306
     /*  155306 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(155369), // Rule ID 5259 //
     /*  155311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  155325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  155328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155367 */     GIR_RootConstrainSelectedInstOperands,
     /*  155368 */     // GIR_Coverage, 5259,
     /*  155368 */     GIR_EraseRootFromParent_Done,
     /*  155369 */   // Label 3615: @155369
     /*  155369 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(155432), // Rule ID 5260 //
     /*  155374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  155388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  155391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155413 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155430 */     GIR_RootConstrainSelectedInstOperands,
     /*  155431 */     // GIR_Coverage, 5260,
     /*  155431 */     GIR_EraseRootFromParent_Done,
     /*  155432 */   // Label 3616: @155432
     /*  155432 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(155495), // Rule ID 5261 //
     /*  155437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  155451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  155454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155493 */     GIR_RootConstrainSelectedInstOperands,
     /*  155494 */     // GIR_Coverage, 5261,
     /*  155494 */     GIR_EraseRootFromParent_Done,
     /*  155495 */   // Label 3617: @155495
     /*  155495 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(155558), // Rule ID 5262 //
     /*  155500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  155514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  155517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155539 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155556 */     GIR_RootConstrainSelectedInstOperands,
     /*  155557 */     // GIR_Coverage, 5262,
     /*  155557 */     GIR_EraseRootFromParent_Done,
     /*  155558 */   // Label 3618: @155558
     /*  155558 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(155621), // Rule ID 5263 //
     /*  155563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  155577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  155580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155602 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155619 */     GIR_RootConstrainSelectedInstOperands,
     /*  155620 */     // GIR_Coverage, 5263,
     /*  155620 */     GIR_EraseRootFromParent_Done,
     /*  155621 */   // Label 3619: @155621
     /*  155621 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(155684), // Rule ID 5264 //
     /*  155626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  155637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  155640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  155643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155665 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155682 */     GIR_RootConstrainSelectedInstOperands,
     /*  155683 */     // GIR_Coverage, 5264,
     /*  155683 */     GIR_EraseRootFromParent_Done,
     /*  155684 */   // Label 3620: @155684
     /*  155684 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(155747), // Rule ID 5265 //
     /*  155689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  155700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  155703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  155706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  155728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155745 */     GIR_RootConstrainSelectedInstOperands,
     /*  155746 */     // GIR_Coverage, 5265,
     /*  155746 */     GIR_EraseRootFromParent_Done,
     /*  155747 */   // Label 3621: @155747
     /*  155747 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(155810), // Rule ID 5266 //
     /*  155752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  155766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  155769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155791 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155808 */     GIR_RootConstrainSelectedInstOperands,
     /*  155809 */     // GIR_Coverage, 5266,
     /*  155809 */     GIR_EraseRootFromParent_Done,
     /*  155810 */   // Label 3622: @155810
     /*  155810 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(155873), // Rule ID 5267 //
     /*  155815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  155829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  155832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155854 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  155854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155871 */     GIR_RootConstrainSelectedInstOperands,
     /*  155872 */     // GIR_Coverage, 5267,
     /*  155872 */     GIR_EraseRootFromParent_Done,
     /*  155873 */   // Label 3623: @155873
     /*  155873 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(155936), // Rule ID 5268 //
     /*  155878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  155892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  155895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155917 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155934 */     GIR_RootConstrainSelectedInstOperands,
     /*  155935 */     // GIR_Coverage, 5268,
     /*  155935 */     GIR_EraseRootFromParent_Done,
     /*  155936 */   // Label 3624: @155936
     /*  155936 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(155999), // Rule ID 5269 //
     /*  155941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  155955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  155958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  155980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155997 */     GIR_RootConstrainSelectedInstOperands,
     /*  155998 */     // GIR_Coverage, 5269,
     /*  155998 */     GIR_EraseRootFromParent_Done,
     /*  155999 */   // Label 3625: @155999
     /*  155999 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(156062), // Rule ID 5270 //
     /*  156004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  156018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  156046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156060 */     GIR_RootConstrainSelectedInstOperands,
     /*  156061 */     // GIR_Coverage, 5270,
     /*  156061 */     GIR_EraseRootFromParent_Done,
     /*  156062 */   // Label 3626: @156062
     /*  156062 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(156125), // Rule ID 5271 //
     /*  156067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  156081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156106 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  156109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156123 */     GIR_RootConstrainSelectedInstOperands,
     /*  156124 */     // GIR_Coverage, 5271,
     /*  156124 */     GIR_EraseRootFromParent_Done,
     /*  156125 */   // Label 3627: @156125
     /*  156125 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(156188), // Rule ID 5272 //
     /*  156130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  156144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156186 */     GIR_RootConstrainSelectedInstOperands,
     /*  156187 */     // GIR_Coverage, 5272,
     /*  156187 */     GIR_EraseRootFromParent_Done,
     /*  156188 */   // Label 3628: @156188
     /*  156188 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(156251), // Rule ID 5273 //
     /*  156193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  156207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156249 */     GIR_RootConstrainSelectedInstOperands,
     /*  156250 */     // GIR_Coverage, 5273,
     /*  156250 */     GIR_EraseRootFromParent_Done,
     /*  156251 */   // Label 3629: @156251
     /*  156251 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(156314), // Rule ID 5274 //
     /*  156256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  156270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156295 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156312 */     GIR_RootConstrainSelectedInstOperands,
     /*  156313 */     // GIR_Coverage, 5274,
     /*  156313 */     GIR_EraseRootFromParent_Done,
     /*  156314 */   // Label 3630: @156314
     /*  156314 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(156377), // Rule ID 5275 //
     /*  156319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  156333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156358 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156375 */     GIR_RootConstrainSelectedInstOperands,
     /*  156376 */     // GIR_Coverage, 5275,
     /*  156376 */     GIR_EraseRootFromParent_Done,
     /*  156377 */   // Label 3631: @156377
     /*  156377 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(156440), // Rule ID 5276 //
     /*  156382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  156396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156438 */     GIR_RootConstrainSelectedInstOperands,
     /*  156439 */     // GIR_Coverage, 5276,
     /*  156439 */     GIR_EraseRootFromParent_Done,
     /*  156440 */   // Label 3632: @156440
     /*  156440 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(156503), // Rule ID 5277 //
     /*  156445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  156459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  156484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156501 */     GIR_RootConstrainSelectedInstOperands,
     /*  156502 */     // GIR_Coverage, 5277,
     /*  156502 */     GIR_EraseRootFromParent_Done,
     /*  156503 */   // Label 3633: @156503
     /*  156503 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(156566), // Rule ID 5278 //
     /*  156508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  156522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156564 */     GIR_RootConstrainSelectedInstOperands,
     /*  156565 */     // GIR_Coverage, 5278,
     /*  156565 */     GIR_EraseRootFromParent_Done,
     /*  156566 */   // Label 3634: @156566
     /*  156566 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(156629), // Rule ID 5279 //
     /*  156571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  156585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  156610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156627 */     GIR_RootConstrainSelectedInstOperands,
     /*  156628 */     // GIR_Coverage, 5279,
     /*  156628 */     GIR_EraseRootFromParent_Done,
     /*  156629 */   // Label 3635: @156629
     /*  156629 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(156692), // Rule ID 5280 //
     /*  156634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  156648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  156673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156690 */     GIR_RootConstrainSelectedInstOperands,
     /*  156691 */     // GIR_Coverage, 5280,
     /*  156691 */     GIR_EraseRootFromParent_Done,
     /*  156692 */   // Label 3636: @156692
     /*  156692 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(156755), // Rule ID 5281 //
     /*  156697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  156711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  156736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156753 */     GIR_RootConstrainSelectedInstOperands,
     /*  156754 */     // GIR_Coverage, 5281,
     /*  156754 */     GIR_EraseRootFromParent_Done,
     /*  156755 */   // Label 3637: @156755
     /*  156755 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(156818), // Rule ID 5282 //
     /*  156760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  156771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  156774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156799 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156816 */     GIR_RootConstrainSelectedInstOperands,
     /*  156817 */     // GIR_Coverage, 5282,
     /*  156817 */     GIR_EraseRootFromParent_Done,
     /*  156818 */   // Label 3638: @156818
     /*  156818 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(156881), // Rule ID 5283 //
     /*  156823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  156834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  156837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156879 */     GIR_RootConstrainSelectedInstOperands,
     /*  156880 */     // GIR_Coverage, 5283,
     /*  156880 */     GIR_EraseRootFromParent_Done,
     /*  156881 */   // Label 3639: @156881
     /*  156881 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(156944), // Rule ID 5284 //
     /*  156886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  156900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156942 */     GIR_RootConstrainSelectedInstOperands,
     /*  156943 */     // GIR_Coverage, 5284,
     /*  156943 */     GIR_EraseRootFromParent_Done,
     /*  156944 */   // Label 3640: @156944
     /*  156944 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(157007), // Rule ID 5285 //
     /*  156949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  156963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  156988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157005 */     GIR_RootConstrainSelectedInstOperands,
     /*  157006 */     // GIR_Coverage, 5285,
     /*  157006 */     GIR_EraseRootFromParent_Done,
     /*  157007 */   // Label 3641: @157007
     /*  157007 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(157070), // Rule ID 5286 //
     /*  157012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  157023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  157026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157051 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  157051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157068 */     GIR_RootConstrainSelectedInstOperands,
     /*  157069 */     // GIR_Coverage, 5286,
     /*  157069 */     GIR_EraseRootFromParent_Done,
     /*  157070 */   // Label 3642: @157070
     /*  157070 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(157133), // Rule ID 5287 //
     /*  157075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  157086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  157089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  157114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157131 */     GIR_RootConstrainSelectedInstOperands,
     /*  157132 */     // GIR_Coverage, 5287,
     /*  157132 */     GIR_EraseRootFromParent_Done,
     /*  157133 */   // Label 3643: @157133
     /*  157133 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(157196), // Rule ID 5288 //
     /*  157138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  157141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  157149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  157152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  157177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157194 */     GIR_RootConstrainSelectedInstOperands,
     /*  157195 */     // GIR_Coverage, 5288,
     /*  157195 */     GIR_EraseRootFromParent_Done,
     /*  157196 */   // Label 3644: @157196
     /*  157196 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(157259), // Rule ID 5289 //
     /*  157201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  157204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  157212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  157215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  157240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157257 */     GIR_RootConstrainSelectedInstOperands,
     /*  157258 */     // GIR_Coverage, 5289,
     /*  157258 */     GIR_EraseRootFromParent_Done,
     /*  157259 */   // Label 3645: @157259
     /*  157259 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(157322), // Rule ID 5290 //
     /*  157264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  157278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157303 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157320 */     GIR_RootConstrainSelectedInstOperands,
     /*  157321 */     // GIR_Coverage, 5290,
     /*  157321 */     GIR_EraseRootFromParent_Done,
     /*  157322 */   // Label 3646: @157322
     /*  157322 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(157385), // Rule ID 5291 //
     /*  157327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  157341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157366 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157383 */     GIR_RootConstrainSelectedInstOperands,
     /*  157384 */     // GIR_Coverage, 5291,
     /*  157384 */     GIR_EraseRootFromParent_Done,
     /*  157385 */   // Label 3647: @157385
     /*  157385 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(157448), // Rule ID 5292 //
     /*  157390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  157404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157429 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157446 */     GIR_RootConstrainSelectedInstOperands,
     /*  157447 */     // GIR_Coverage, 5292,
     /*  157447 */     GIR_EraseRootFromParent_Done,
     /*  157448 */   // Label 3648: @157448
     /*  157448 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(157511), // Rule ID 5293 //
     /*  157453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  157467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157509 */     GIR_RootConstrainSelectedInstOperands,
     /*  157510 */     // GIR_Coverage, 5293,
     /*  157510 */     GIR_EraseRootFromParent_Done,
     /*  157511 */   // Label 3649: @157511
     /*  157511 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(157574), // Rule ID 5294 //
     /*  157516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  157527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  157530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157555 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157572 */     GIR_RootConstrainSelectedInstOperands,
     /*  157573 */     // GIR_Coverage, 5294,
     /*  157573 */     GIR_EraseRootFromParent_Done,
     /*  157574 */   // Label 3650: @157574
     /*  157574 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(157637), // Rule ID 5295 //
     /*  157579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  157590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  157593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157618 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157635 */     GIR_RootConstrainSelectedInstOperands,
     /*  157636 */     // GIR_Coverage, 5295,
     /*  157636 */     GIR_EraseRootFromParent_Done,
     /*  157637 */   // Label 3651: @157637
     /*  157637 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(157700), // Rule ID 5296 //
     /*  157642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  157653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  157656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157698 */     GIR_RootConstrainSelectedInstOperands,
     /*  157699 */     // GIR_Coverage, 5296,
     /*  157699 */     GIR_EraseRootFromParent_Done,
     /*  157700 */   // Label 3652: @157700
     /*  157700 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(157763), // Rule ID 5297 //
     /*  157705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  157716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  157719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157761 */     GIR_RootConstrainSelectedInstOperands,
     /*  157762 */     // GIR_Coverage, 5297,
     /*  157762 */     GIR_EraseRootFromParent_Done,
     /*  157763 */   // Label 3653: @157763
     /*  157763 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(157826), // Rule ID 5298 //
     /*  157768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  157782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157824 */     GIR_RootConstrainSelectedInstOperands,
     /*  157825 */     // GIR_Coverage, 5298,
     /*  157825 */     GIR_EraseRootFromParent_Done,
     /*  157826 */   // Label 3654: @157826
     /*  157826 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(157889), // Rule ID 5299 //
     /*  157831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  157845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157887 */     GIR_RootConstrainSelectedInstOperands,
     /*  157888 */     // GIR_Coverage, 5299,
     /*  157888 */     GIR_EraseRootFromParent_Done,
     /*  157889 */   // Label 3655: @157889
     /*  157889 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(157952), // Rule ID 5300 //
     /*  157894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  157908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157933 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157950 */     GIR_RootConstrainSelectedInstOperands,
     /*  157951 */     // GIR_Coverage, 5300,
     /*  157951 */     GIR_EraseRootFromParent_Done,
     /*  157952 */   // Label 3656: @157952
     /*  157952 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(158015), // Rule ID 5301 //
     /*  157957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  157971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157996 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158013 */     GIR_RootConstrainSelectedInstOperands,
     /*  158014 */     // GIR_Coverage, 5301,
     /*  158014 */     GIR_EraseRootFromParent_Done,
     /*  158015 */   // Label 3657: @158015
     /*  158015 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(158078), // Rule ID 5302 //
     /*  158020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  158034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158076 */     GIR_RootConstrainSelectedInstOperands,
     /*  158077 */     // GIR_Coverage, 5302,
     /*  158077 */     GIR_EraseRootFromParent_Done,
     /*  158078 */   // Label 3658: @158078
     /*  158078 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(158141), // Rule ID 5303 //
     /*  158083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  158097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158139 */     GIR_RootConstrainSelectedInstOperands,
     /*  158140 */     // GIR_Coverage, 5303,
     /*  158140 */     GIR_EraseRootFromParent_Done,
     /*  158141 */   // Label 3659: @158141
     /*  158141 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(158204), // Rule ID 5304 //
     /*  158146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  158160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158185 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158202 */     GIR_RootConstrainSelectedInstOperands,
     /*  158203 */     // GIR_Coverage, 5304,
     /*  158203 */     GIR_EraseRootFromParent_Done,
     /*  158204 */   // Label 3660: @158204
     /*  158204 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(158267), // Rule ID 5305 //
     /*  158209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  158223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158265 */     GIR_RootConstrainSelectedInstOperands,
     /*  158266 */     // GIR_Coverage, 5305,
     /*  158266 */     GIR_EraseRootFromParent_Done,
     /*  158267 */   // Label 3661: @158267
     /*  158267 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(158330), // Rule ID 5306 //
     /*  158272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  158283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  158286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158328 */     GIR_RootConstrainSelectedInstOperands,
     /*  158329 */     // GIR_Coverage, 5306,
     /*  158329 */     GIR_EraseRootFromParent_Done,
     /*  158330 */   // Label 3662: @158330
     /*  158330 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(158393), // Rule ID 5307 //
     /*  158335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  158346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  158349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158374 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158391 */     GIR_RootConstrainSelectedInstOperands,
     /*  158392 */     // GIR_Coverage, 5307,
     /*  158392 */     GIR_EraseRootFromParent_Done,
     /*  158393 */   // Label 3663: @158393
     /*  158393 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(158456), // Rule ID 5308 //
     /*  158398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  158412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158437 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158454 */     GIR_RootConstrainSelectedInstOperands,
     /*  158455 */     // GIR_Coverage, 5308,
     /*  158455 */     GIR_EraseRootFromParent_Done,
     /*  158456 */   // Label 3664: @158456
     /*  158456 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(158519), // Rule ID 5309 //
     /*  158461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  158475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158517 */     GIR_RootConstrainSelectedInstOperands,
     /*  158518 */     // GIR_Coverage, 5309,
     /*  158518 */     GIR_EraseRootFromParent_Done,
     /*  158519 */   // Label 3665: @158519
     /*  158519 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(158582), // Rule ID 5310 //
     /*  158524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  158538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158580 */     GIR_RootConstrainSelectedInstOperands,
     /*  158581 */     // GIR_Coverage, 5310,
     /*  158581 */     GIR_EraseRootFromParent_Done,
     /*  158582 */   // Label 3666: @158582
     /*  158582 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(158645), // Rule ID 5311 //
     /*  158587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  158601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158626 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158643 */     GIR_RootConstrainSelectedInstOperands,
     /*  158644 */     // GIR_Coverage, 5311,
     /*  158644 */     GIR_EraseRootFromParent_Done,
     /*  158645 */   // Label 3667: @158645
     /*  158645 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(158708), // Rule ID 5312 //
     /*  158650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  158664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158706 */     GIR_RootConstrainSelectedInstOperands,
     /*  158707 */     // GIR_Coverage, 5312,
     /*  158707 */     GIR_EraseRootFromParent_Done,
     /*  158708 */   // Label 3668: @158708
     /*  158708 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(158771), // Rule ID 5313 //
     /*  158713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  158727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158769 */     GIR_RootConstrainSelectedInstOperands,
     /*  158770 */     // GIR_Coverage, 5313,
     /*  158770 */     GIR_EraseRootFromParent_Done,
     /*  158771 */   // Label 3669: @158771
     /*  158771 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(158834), // Rule ID 5534 //
     /*  158776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  158787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  158790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  158793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  158815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  158818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158832 */     GIR_RootConstrainSelectedInstOperands,
     /*  158833 */     // GIR_Coverage, 5534,
     /*  158833 */     GIR_EraseRootFromParent_Done,
     /*  158834 */   // Label 3670: @158834
     /*  158834 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(158897), // Rule ID 5535 //
     /*  158839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  158850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  158853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  158856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  158878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  158881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158895 */     GIR_RootConstrainSelectedInstOperands,
     /*  158896 */     // GIR_Coverage, 5535,
     /*  158896 */     GIR_EraseRootFromParent_Done,
     /*  158897 */   // Label 3671: @158897
     /*  158897 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(158960), // Rule ID 5536 //
     /*  158902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  158916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  158919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158941 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  158941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  158944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158958 */     GIR_RootConstrainSelectedInstOperands,
     /*  158959 */     // GIR_Coverage, 5536,
     /*  158959 */     GIR_EraseRootFromParent_Done,
     /*  158960 */   // Label 3672: @158960
     /*  158960 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(159023), // Rule ID 5537 //
     /*  158965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  158979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  158982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159021 */     GIR_RootConstrainSelectedInstOperands,
     /*  159022 */     // GIR_Coverage, 5537,
     /*  159022 */     GIR_EraseRootFromParent_Done,
     /*  159023 */   // Label 3673: @159023
     /*  159023 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(159086), // Rule ID 5538 //
     /*  159028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  159042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  159045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  159067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159084 */     GIR_RootConstrainSelectedInstOperands,
     /*  159085 */     // GIR_Coverage, 5538,
     /*  159085 */     GIR_EraseRootFromParent_Done,
     /*  159086 */   // Label 3674: @159086
     /*  159086 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(159149), // Rule ID 5539 //
     /*  159091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  159105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  159108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159147 */     GIR_RootConstrainSelectedInstOperands,
     /*  159148 */     // GIR_Coverage, 5539,
     /*  159148 */     GIR_EraseRootFromParent_Done,
     /*  159149 */   // Label 3675: @159149
     /*  159149 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(159212), // Rule ID 5540 //
     /*  159154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  159168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  159171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159210 */     GIR_RootConstrainSelectedInstOperands,
     /*  159211 */     // GIR_Coverage, 5540,
     /*  159211 */     GIR_EraseRootFromParent_Done,
     /*  159212 */   // Label 3676: @159212
     /*  159212 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(159275), // Rule ID 5541 //
     /*  159217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  159231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  159234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159273 */     GIR_RootConstrainSelectedInstOperands,
     /*  159274 */     // GIR_Coverage, 5541,
     /*  159274 */     GIR_EraseRootFromParent_Done,
     /*  159275 */   // Label 3677: @159275
     /*  159275 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(159338), // Rule ID 5542 //
     /*  159280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  159294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  159297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159336 */     GIR_RootConstrainSelectedInstOperands,
     /*  159337 */     // GIR_Coverage, 5542,
     /*  159337 */     GIR_EraseRootFromParent_Done,
     /*  159338 */   // Label 3678: @159338
     /*  159338 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(159401), // Rule ID 5543 //
     /*  159343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  159357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  159360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159399 */     GIR_RootConstrainSelectedInstOperands,
     /*  159400 */     // GIR_Coverage, 5543,
     /*  159400 */     GIR_EraseRootFromParent_Done,
     /*  159401 */   // Label 3679: @159401
     /*  159401 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(159464), // Rule ID 5544 //
     /*  159406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  159420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  159423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159445 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  159445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159462 */     GIR_RootConstrainSelectedInstOperands,
     /*  159463 */     // GIR_Coverage, 5544,
     /*  159463 */     GIR_EraseRootFromParent_Done,
     /*  159464 */   // Label 3680: @159464
     /*  159464 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(159527), // Rule ID 5545 //
     /*  159469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  159483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  159486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  159508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159525 */     GIR_RootConstrainSelectedInstOperands,
     /*  159526 */     // GIR_Coverage, 5545,
     /*  159526 */     GIR_EraseRootFromParent_Done,
     /*  159527 */   // Label 3681: @159527
     /*  159527 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(159590), // Rule ID 5546 //
     /*  159532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  159543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  159546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  159549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159571 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  159571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159588 */     GIR_RootConstrainSelectedInstOperands,
     /*  159589 */     // GIR_Coverage, 5546,
     /*  159589 */     GIR_EraseRootFromParent_Done,
     /*  159590 */   // Label 3682: @159590
     /*  159590 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(159653), // Rule ID 5547 //
     /*  159595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  159606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  159609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  159612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159651 */     GIR_RootConstrainSelectedInstOperands,
     /*  159652 */     // GIR_Coverage, 5547,
     /*  159652 */     GIR_EraseRootFromParent_Done,
     /*  159653 */   // Label 3683: @159653
     /*  159653 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(159716), // Rule ID 5548 //
     /*  159658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  159672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  159675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159714 */     GIR_RootConstrainSelectedInstOperands,
     /*  159715 */     // GIR_Coverage, 5548,
     /*  159715 */     GIR_EraseRootFromParent_Done,
     /*  159716 */   // Label 3684: @159716
     /*  159716 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(159779), // Rule ID 5549 //
     /*  159721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  159735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  159738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159777 */     GIR_RootConstrainSelectedInstOperands,
     /*  159778 */     // GIR_Coverage, 5549,
     /*  159778 */     GIR_EraseRootFromParent_Done,
     /*  159779 */   // Label 3685: @159779
     /*  159779 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(159842), // Rule ID 5550 //
     /*  159784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  159798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  159801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159823 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  159823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159840 */     GIR_RootConstrainSelectedInstOperands,
     /*  159841 */     // GIR_Coverage, 5550,
     /*  159841 */     GIR_EraseRootFromParent_Done,
     /*  159842 */   // Label 3686: @159842
     /*  159842 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(159905), // Rule ID 5551 //
     /*  159847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  159861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  159864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159886 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  159886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159903 */     GIR_RootConstrainSelectedInstOperands,
     /*  159904 */     // GIR_Coverage, 5551,
     /*  159904 */     GIR_EraseRootFromParent_Done,
     /*  159905 */   // Label 3687: @159905
     /*  159905 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(159968), // Rule ID 5552 //
     /*  159910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  159924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  159927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  159949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159966 */     GIR_RootConstrainSelectedInstOperands,
     /*  159967 */     // GIR_Coverage, 5552,
     /*  159967 */     GIR_EraseRootFromParent_Done,
     /*  159968 */   // Label 3688: @159968
     /*  159968 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(160031), // Rule ID 5553 //
     /*  159973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  159987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  159990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  160012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  160015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160029 */     GIR_RootConstrainSelectedInstOperands,
     /*  160030 */     // GIR_Coverage, 5553,
     /*  160030 */     GIR_EraseRootFromParent_Done,
     /*  160031 */   // Label 3689: @160031
     /*  160031 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(160094), // Rule ID 5554 //
     /*  160036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  160050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  160053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160075 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160092 */     GIR_RootConstrainSelectedInstOperands,
     /*  160093 */     // GIR_Coverage, 5554,
     /*  160093 */     GIR_EraseRootFromParent_Done,
     /*  160094 */   // Label 3690: @160094
     /*  160094 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(160157), // Rule ID 5555 //
     /*  160099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  160113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  160116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160155 */     GIR_RootConstrainSelectedInstOperands,
     /*  160156 */     // GIR_Coverage, 5555,
     /*  160156 */     GIR_EraseRootFromParent_Done,
     /*  160157 */   // Label 3691: @160157
     /*  160157 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(160220), // Rule ID 5556 //
     /*  160162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  160176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  160179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160201 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160218 */     GIR_RootConstrainSelectedInstOperands,
     /*  160219 */     // GIR_Coverage, 5556,
     /*  160219 */     GIR_EraseRootFromParent_Done,
     /*  160220 */   // Label 3692: @160220
     /*  160220 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(160283), // Rule ID 5557 //
     /*  160225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  160239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  160242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160281 */     GIR_RootConstrainSelectedInstOperands,
     /*  160282 */     // GIR_Coverage, 5557,
     /*  160282 */     GIR_EraseRootFromParent_Done,
     /*  160283 */   // Label 3693: @160283
     /*  160283 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(160346), // Rule ID 5558 //
     /*  160288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  160299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  160302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  160305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160327 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160344 */     GIR_RootConstrainSelectedInstOperands,
     /*  160345 */     // GIR_Coverage, 5558,
     /*  160345 */     GIR_EraseRootFromParent_Done,
     /*  160346 */   // Label 3694: @160346
     /*  160346 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(160409), // Rule ID 5559 //
     /*  160351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  160362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  160365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  160368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160390 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160407 */     GIR_RootConstrainSelectedInstOperands,
     /*  160408 */     // GIR_Coverage, 5559,
     /*  160408 */     GIR_EraseRootFromParent_Done,
     /*  160409 */   // Label 3695: @160409
     /*  160409 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(160472), // Rule ID 5560 //
     /*  160414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  160428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  160431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160453 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160470 */     GIR_RootConstrainSelectedInstOperands,
     /*  160471 */     // GIR_Coverage, 5560,
     /*  160471 */     GIR_EraseRootFromParent_Done,
     /*  160472 */   // Label 3696: @160472
     /*  160472 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(160535), // Rule ID 5561 //
     /*  160477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  160491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  160494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160533 */     GIR_RootConstrainSelectedInstOperands,
     /*  160534 */     // GIR_Coverage, 5561,
     /*  160534 */     GIR_EraseRootFromParent_Done,
     /*  160535 */   // Label 3697: @160535
     /*  160535 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(160598), // Rule ID 5562 //
     /*  160540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  160554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  160557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160579 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160596 */     GIR_RootConstrainSelectedInstOperands,
     /*  160597 */     // GIR_Coverage, 5562,
     /*  160597 */     GIR_EraseRootFromParent_Done,
     /*  160598 */   // Label 3698: @160598
     /*  160598 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(160661), // Rule ID 5563 //
     /*  160603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  160617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  160620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160642 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160659 */     GIR_RootConstrainSelectedInstOperands,
     /*  160660 */     // GIR_Coverage, 5563,
     /*  160660 */     GIR_EraseRootFromParent_Done,
     /*  160661 */   // Label 3699: @160661
     /*  160661 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(160724), // Rule ID 5564 //
     /*  160666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  160680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  160683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160705 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160722 */     GIR_RootConstrainSelectedInstOperands,
     /*  160723 */     // GIR_Coverage, 5564,
     /*  160723 */     GIR_EraseRootFromParent_Done,
     /*  160724 */   // Label 3700: @160724
     /*  160724 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(160787), // Rule ID 5565 //
     /*  160729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  160743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  160746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160768 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160785 */     GIR_RootConstrainSelectedInstOperands,
     /*  160786 */     // GIR_Coverage, 5565,
     /*  160786 */     GIR_EraseRootFromParent_Done,
     /*  160787 */   // Label 3701: @160787
     /*  160787 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(160850), // Rule ID 5566 //
     /*  160792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  160803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  160806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  160809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160831 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  160831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160848 */     GIR_RootConstrainSelectedInstOperands,
     /*  160849 */     // GIR_Coverage, 5566,
     /*  160849 */     GIR_EraseRootFromParent_Done,
     /*  160850 */   // Label 3702: @160850
     /*  160850 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(160913), // Rule ID 5567 //
     /*  160855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  160866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  160869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  160872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  160894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160911 */     GIR_RootConstrainSelectedInstOperands,
     /*  160912 */     // GIR_Coverage, 5567,
     /*  160912 */     GIR_EraseRootFromParent_Done,
     /*  160913 */   // Label 3703: @160913
     /*  160913 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(160976), // Rule ID 5568 //
     /*  160918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  160932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  160935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160957 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  160957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160974 */     GIR_RootConstrainSelectedInstOperands,
     /*  160975 */     // GIR_Coverage, 5568,
     /*  160975 */     GIR_EraseRootFromParent_Done,
     /*  160976 */   // Label 3704: @160976
     /*  160976 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(161039), // Rule ID 5569 //
     /*  160981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  160995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  160998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  161020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161037 */     GIR_RootConstrainSelectedInstOperands,
     /*  161038 */     // GIR_Coverage, 5569,
     /*  161038 */     GIR_EraseRootFromParent_Done,
     /*  161039 */   // Label 3705: @161039
     /*  161039 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(161102), // Rule ID 5570 //
     /*  161044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  161055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  161058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  161061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161083 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  161083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161100 */     GIR_RootConstrainSelectedInstOperands,
     /*  161101 */     // GIR_Coverage, 5570,
     /*  161101 */     GIR_EraseRootFromParent_Done,
     /*  161102 */   // Label 3706: @161102
     /*  161102 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(161165), // Rule ID 5571 //
     /*  161107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  161118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  161121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  161124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161146 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  161146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161163 */     GIR_RootConstrainSelectedInstOperands,
     /*  161164 */     // GIR_Coverage, 5571,
     /*  161164 */     GIR_EraseRootFromParent_Done,
     /*  161165 */   // Label 3707: @161165
     /*  161165 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(161228), // Rule ID 5572 //
     /*  161170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  161184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  161187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  161212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161226 */     GIR_RootConstrainSelectedInstOperands,
     /*  161227 */     // GIR_Coverage, 5572,
     /*  161227 */     GIR_EraseRootFromParent_Done,
     /*  161228 */   // Label 3708: @161228
     /*  161228 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(161291), // Rule ID 5573 //
     /*  161233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  161247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  161250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  161275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161289 */     GIR_RootConstrainSelectedInstOperands,
     /*  161290 */     // GIR_Coverage, 5573,
     /*  161290 */     GIR_EraseRootFromParent_Done,
     /*  161291 */   // Label 3709: @161291
     /*  161291 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(161354), // Rule ID 5574 //
     /*  161296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  161310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  161313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161335 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161352 */     GIR_RootConstrainSelectedInstOperands,
     /*  161353 */     // GIR_Coverage, 5574,
     /*  161353 */     GIR_EraseRootFromParent_Done,
     /*  161354 */   // Label 3710: @161354
     /*  161354 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(161417), // Rule ID 5575 //
     /*  161359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  161373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  161376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161398 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161415 */     GIR_RootConstrainSelectedInstOperands,
     /*  161416 */     // GIR_Coverage, 5575,
     /*  161416 */     GIR_EraseRootFromParent_Done,
     /*  161417 */   // Label 3711: @161417
     /*  161417 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(161480), // Rule ID 5576 //
     /*  161422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  161433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  161436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  161439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161461 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161478 */     GIR_RootConstrainSelectedInstOperands,
     /*  161479 */     // GIR_Coverage, 5576,
     /*  161479 */     GIR_EraseRootFromParent_Done,
     /*  161480 */   // Label 3712: @161480
     /*  161480 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(161543), // Rule ID 5577 //
     /*  161485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  161496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  161499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  161502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161541 */     GIR_RootConstrainSelectedInstOperands,
     /*  161542 */     // GIR_Coverage, 5577,
     /*  161542 */     GIR_EraseRootFromParent_Done,
     /*  161543 */   // Label 3713: @161543
     /*  161543 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(161606), // Rule ID 5578 //
     /*  161548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  161562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  161590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161604 */     GIR_RootConstrainSelectedInstOperands,
     /*  161605 */     // GIR_Coverage, 5578,
     /*  161605 */     GIR_EraseRootFromParent_Done,
     /*  161606 */   // Label 3714: @161606
     /*  161606 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(161669), // Rule ID 5579 //
     /*  161611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  161625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161650 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  161653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161667 */     GIR_RootConstrainSelectedInstOperands,
     /*  161668 */     // GIR_Coverage, 5579,
     /*  161668 */     GIR_EraseRootFromParent_Done,
     /*  161669 */   // Label 3715: @161669
     /*  161669 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(161732), // Rule ID 5580 //
     /*  161674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  161688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  161716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161730 */     GIR_RootConstrainSelectedInstOperands,
     /*  161731 */     // GIR_Coverage, 5580,
     /*  161731 */     GIR_EraseRootFromParent_Done,
     /*  161732 */   // Label 3716: @161732
     /*  161732 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(161795), // Rule ID 5581 //
     /*  161737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  161751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  161779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161793 */     GIR_RootConstrainSelectedInstOperands,
     /*  161794 */     // GIR_Coverage, 5581,
     /*  161794 */     GIR_EraseRootFromParent_Done,
     /*  161795 */   // Label 3717: @161795
     /*  161795 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(161858), // Rule ID 5582 //
     /*  161800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  161814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  161842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161856 */     GIR_RootConstrainSelectedInstOperands,
     /*  161857 */     // GIR_Coverage, 5582,
     /*  161857 */     GIR_EraseRootFromParent_Done,
     /*  161858 */   // Label 3718: @161858
     /*  161858 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(161921), // Rule ID 5583 //
     /*  161863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  161877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161902 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  161905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161919 */     GIR_RootConstrainSelectedInstOperands,
     /*  161920 */     // GIR_Coverage, 5583,
     /*  161920 */     GIR_EraseRootFromParent_Done,
     /*  161921 */   // Label 3719: @161921
     /*  161921 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(161984), // Rule ID 5584 //
     /*  161926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  161940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  161965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  161968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161982 */     GIR_RootConstrainSelectedInstOperands,
     /*  161983 */     // GIR_Coverage, 5584,
     /*  161983 */     GIR_EraseRootFromParent_Done,
     /*  161984 */   // Label 3720: @161984
     /*  161984 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(162047), // Rule ID 5585 //
     /*  161989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  162003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  162031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162045 */     GIR_RootConstrainSelectedInstOperands,
     /*  162046 */     // GIR_Coverage, 5585,
     /*  162046 */     GIR_EraseRootFromParent_Done,
     /*  162047 */   // Label 3721: @162047
     /*  162047 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(162110), // Rule ID 5586 //
     /*  162052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  162066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  162091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162108 */     GIR_RootConstrainSelectedInstOperands,
     /*  162109 */     // GIR_Coverage, 5586,
     /*  162109 */     GIR_EraseRootFromParent_Done,
     /*  162110 */   // Label 3722: @162110
     /*  162110 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(162173), // Rule ID 5587 //
     /*  162115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  162129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162171 */     GIR_RootConstrainSelectedInstOperands,
     /*  162172 */     // GIR_Coverage, 5587,
     /*  162172 */     GIR_EraseRootFromParent_Done,
     /*  162173 */   // Label 3723: @162173
     /*  162173 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(162236), // Rule ID 5588 //
     /*  162178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  162192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  162217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162234 */     GIR_RootConstrainSelectedInstOperands,
     /*  162235 */     // GIR_Coverage, 5588,
     /*  162235 */     GIR_EraseRootFromParent_Done,
     /*  162236 */   // Label 3724: @162236
     /*  162236 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(162299), // Rule ID 5589 //
     /*  162241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  162255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  162280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162297 */     GIR_RootConstrainSelectedInstOperands,
     /*  162298 */     // GIR_Coverage, 5589,
     /*  162298 */     GIR_EraseRootFromParent_Done,
     /*  162299 */   // Label 3725: @162299
     /*  162299 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(162362), // Rule ID 5590 //
     /*  162304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  162315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  162318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162343 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  162343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162360 */     GIR_RootConstrainSelectedInstOperands,
     /*  162361 */     // GIR_Coverage, 5590,
     /*  162361 */     GIR_EraseRootFromParent_Done,
     /*  162362 */   // Label 3726: @162362
     /*  162362 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(162425), // Rule ID 5591 //
     /*  162367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  162378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  162381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  162406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162423 */     GIR_RootConstrainSelectedInstOperands,
     /*  162424 */     // GIR_Coverage, 5591,
     /*  162424 */     GIR_EraseRootFromParent_Done,
     /*  162425 */   // Label 3727: @162425
     /*  162425 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(162488), // Rule ID 5592 //
     /*  162430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  162441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  162444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  162469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162486 */     GIR_RootConstrainSelectedInstOperands,
     /*  162487 */     // GIR_Coverage, 5592,
     /*  162487 */     GIR_EraseRootFromParent_Done,
     /*  162488 */   // Label 3728: @162488
     /*  162488 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(162551), // Rule ID 5593 //
     /*  162493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  162504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  162507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162549 */     GIR_RootConstrainSelectedInstOperands,
     /*  162550 */     // GIR_Coverage, 5593,
     /*  162550 */     GIR_EraseRootFromParent_Done,
     /*  162551 */   // Label 3729: @162551
     /*  162551 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(162614), // Rule ID 5594 //
     /*  162556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  162570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162595 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  162595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162612 */     GIR_RootConstrainSelectedInstOperands,
     /*  162613 */     // GIR_Coverage, 5594,
     /*  162613 */     GIR_EraseRootFromParent_Done,
     /*  162614 */   // Label 3730: @162614
     /*  162614 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(162677), // Rule ID 5595 //
     /*  162619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  162633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  162658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162675 */     GIR_RootConstrainSelectedInstOperands,
     /*  162676 */     // GIR_Coverage, 5595,
     /*  162676 */     GIR_EraseRootFromParent_Done,
     /*  162677 */   // Label 3731: @162677
     /*  162677 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(162740), // Rule ID 5596 //
     /*  162682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  162685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  162696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  162721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162738 */     GIR_RootConstrainSelectedInstOperands,
     /*  162739 */     // GIR_Coverage, 5596,
     /*  162739 */     GIR_EraseRootFromParent_Done,
     /*  162740 */   // Label 3732: @162740
     /*  162740 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(162803), // Rule ID 5597 //
     /*  162745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  162748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  162759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  162784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162801 */     GIR_RootConstrainSelectedInstOperands,
     /*  162802 */     // GIR_Coverage, 5597,
     /*  162802 */     GIR_EraseRootFromParent_Done,
     /*  162803 */   // Label 3733: @162803
     /*  162803 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(162866), // Rule ID 5598 //
     /*  162808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  162819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  162822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162847 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  162847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  162850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162864 */     GIR_RootConstrainSelectedInstOperands,
     /*  162865 */     // GIR_Coverage, 5598,
     /*  162865 */     GIR_EraseRootFromParent_Done,
     /*  162866 */   // Label 3734: @162866
     /*  162866 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(162929), // Rule ID 5599 //
     /*  162871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  162882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  162885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162910 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  162910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  162913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162927 */     GIR_RootConstrainSelectedInstOperands,
     /*  162928 */     // GIR_Coverage, 5599,
     /*  162928 */     GIR_EraseRootFromParent_Done,
     /*  162929 */   // Label 3735: @162929
     /*  162929 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(162992), // Rule ID 5600 //
     /*  162934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  162945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  162948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162973 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  162973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  162976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162990 */     GIR_RootConstrainSelectedInstOperands,
     /*  162991 */     // GIR_Coverage, 5600,
     /*  162991 */     GIR_EraseRootFromParent_Done,
     /*  162992 */   // Label 3736: @162992
     /*  162992 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(163055), // Rule ID 5601 //
     /*  162997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  163011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  163036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163053 */     GIR_RootConstrainSelectedInstOperands,
     /*  163054 */     // GIR_Coverage, 5601,
     /*  163054 */     GIR_EraseRootFromParent_Done,
     /*  163055 */   // Label 3737: @163055
     /*  163055 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(163118), // Rule ID 5602 //
     /*  163060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  163071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  163074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163099 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  163099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163116 */     GIR_RootConstrainSelectedInstOperands,
     /*  163117 */     // GIR_Coverage, 5602,
     /*  163117 */     GIR_EraseRootFromParent_Done,
     /*  163118 */   // Label 3738: @163118
     /*  163118 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(163181), // Rule ID 5603 //
     /*  163123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  163134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  163137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163162 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  163162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163179 */     GIR_RootConstrainSelectedInstOperands,
     /*  163180 */     // GIR_Coverage, 5603,
     /*  163180 */     GIR_EraseRootFromParent_Done,
     /*  163181 */   // Label 3739: @163181
     /*  163181 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(163244), // Rule ID 5604 //
     /*  163186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  163200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163242 */     GIR_RootConstrainSelectedInstOperands,
     /*  163243 */     // GIR_Coverage, 5604,
     /*  163243 */     GIR_EraseRootFromParent_Done,
     /*  163244 */   // Label 3740: @163244
     /*  163244 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(163307), // Rule ID 5605 //
     /*  163249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  163263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163305 */     GIR_RootConstrainSelectedInstOperands,
     /*  163306 */     // GIR_Coverage, 5605,
     /*  163306 */     GIR_EraseRootFromParent_Done,
     /*  163307 */   // Label 3741: @163307
     /*  163307 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(163370), // Rule ID 5606 //
     /*  163312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  163326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163351 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163368 */     GIR_RootConstrainSelectedInstOperands,
     /*  163369 */     // GIR_Coverage, 5606,
     /*  163369 */     GIR_EraseRootFromParent_Done,
     /*  163370 */   // Label 3742: @163370
     /*  163370 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(163433), // Rule ID 5607 //
     /*  163375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  163389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163431 */     GIR_RootConstrainSelectedInstOperands,
     /*  163432 */     // GIR_Coverage, 5607,
     /*  163432 */     GIR_EraseRootFromParent_Done,
     /*  163433 */   // Label 3743: @163433
     /*  163433 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(163496), // Rule ID 5608 //
     /*  163438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  163452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163477 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163494 */     GIR_RootConstrainSelectedInstOperands,
     /*  163495 */     // GIR_Coverage, 5608,
     /*  163495 */     GIR_EraseRootFromParent_Done,
     /*  163496 */   // Label 3744: @163496
     /*  163496 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(163559), // Rule ID 5609 //
     /*  163501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  163515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163540 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163557 */     GIR_RootConstrainSelectedInstOperands,
     /*  163558 */     // GIR_Coverage, 5609,
     /*  163558 */     GIR_EraseRootFromParent_Done,
     /*  163559 */   // Label 3745: @163559
     /*  163559 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(163622), // Rule ID 5610 //
     /*  163564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  163575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  163578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163620 */     GIR_RootConstrainSelectedInstOperands,
     /*  163621 */     // GIR_Coverage, 5610,
     /*  163621 */     GIR_EraseRootFromParent_Done,
     /*  163622 */   // Label 3746: @163622
     /*  163622 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(163685), // Rule ID 5611 //
     /*  163627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  163638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  163641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163683 */     GIR_RootConstrainSelectedInstOperands,
     /*  163684 */     // GIR_Coverage, 5611,
     /*  163684 */     GIR_EraseRootFromParent_Done,
     /*  163685 */   // Label 3747: @163685
     /*  163685 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(163748), // Rule ID 5612 //
     /*  163690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  163704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163746 */     GIR_RootConstrainSelectedInstOperands,
     /*  163747 */     // GIR_Coverage, 5612,
     /*  163747 */     GIR_EraseRootFromParent_Done,
     /*  163748 */   // Label 3748: @163748
     /*  163748 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(163811), // Rule ID 5613 //
     /*  163753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  163767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163809 */     GIR_RootConstrainSelectedInstOperands,
     /*  163810 */     // GIR_Coverage, 5613,
     /*  163810 */     GIR_EraseRootFromParent_Done,
     /*  163811 */   // Label 3749: @163811
     /*  163811 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(163874), // Rule ID 5614 //
     /*  163816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  163830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163855 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163872 */     GIR_RootConstrainSelectedInstOperands,
     /*  163873 */     // GIR_Coverage, 5614,
     /*  163873 */     GIR_EraseRootFromParent_Done,
     /*  163874 */   // Label 3750: @163874
     /*  163874 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(163937), // Rule ID 5615 //
     /*  163879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  163893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163918 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163935 */     GIR_RootConstrainSelectedInstOperands,
     /*  163936 */     // GIR_Coverage, 5615,
     /*  163936 */     GIR_EraseRootFromParent_Done,
     /*  163937 */   // Label 3751: @163937
     /*  163937 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(164000), // Rule ID 5616 //
     /*  163942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  163953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  163956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163981 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  163981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163998 */     GIR_RootConstrainSelectedInstOperands,
     /*  163999 */     // GIR_Coverage, 5616,
     /*  163999 */     GIR_EraseRootFromParent_Done,
     /*  164000 */   // Label 3752: @164000
     /*  164000 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(164063), // Rule ID 5617 //
     /*  164005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  164019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  164047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164061 */     GIR_RootConstrainSelectedInstOperands,
     /*  164062 */     // GIR_Coverage, 5617,
     /*  164062 */     GIR_EraseRootFromParent_Done,
     /*  164063 */   // Label 3753: @164063
     /*  164063 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(164126), // Rule ID 5618 //
     /*  164068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  164082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  164085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164107 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  164107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  164110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164124 */     GIR_RootConstrainSelectedInstOperands,
     /*  164125 */     // GIR_Coverage, 5618,
     /*  164125 */     GIR_EraseRootFromParent_Done,
     /*  164126 */   // Label 3754: @164126
     /*  164126 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(164189), // Rule ID 5619 //
     /*  164131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  164145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  164173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164187 */     GIR_RootConstrainSelectedInstOperands,
     /*  164188 */     // GIR_Coverage, 5619,
     /*  164188 */     GIR_EraseRootFromParent_Done,
     /*  164189 */   // Label 3755: @164189
     /*  164189 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(164252), // Rule ID 5620 //
     /*  164194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  164208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  164211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  164222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  164233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  164236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164250 */     GIR_RootConstrainSelectedInstOperands,
     /*  164251 */     // GIR_Coverage, 5620,
     /*  164251 */     GIR_EraseRootFromParent_Done,
     /*  164252 */   // Label 3756: @164252
     /*  164252 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(164315), // Rule ID 5621 //
     /*  164257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  164271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  164285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  164299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164313 */     GIR_RootConstrainSelectedInstOperands,
     /*  164314 */     // GIR_Coverage, 5621,
     /*  164314 */     GIR_EraseRootFromParent_Done,
     /*  164315 */   // Label 3757: @164315
     /*  164315 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(164378), // Rule ID 7654 //
     /*  164320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  164334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  164337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  164359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164376 */     GIR_RootConstrainSelectedInstOperands,
     /*  164377 */     // GIR_Coverage, 7654,
     /*  164377 */     GIR_EraseRootFromParent_Done,
     /*  164378 */   // Label 3758: @164378
     /*  164378 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(164441), // Rule ID 7655 //
     /*  164383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  164397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  164400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164422 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  164422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164439 */     GIR_RootConstrainSelectedInstOperands,
     /*  164440 */     // GIR_Coverage, 7655,
     /*  164440 */     GIR_EraseRootFromParent_Done,
     /*  164441 */   // Label 3759: @164441
     /*  164441 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(164504), // Rule ID 7658 //
     /*  164446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  164460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  164463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  164485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164502 */     GIR_RootConstrainSelectedInstOperands,
     /*  164503 */     // GIR_Coverage, 7658,
     /*  164503 */     GIR_EraseRootFromParent_Done,
     /*  164504 */   // Label 3760: @164504
     /*  164504 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(164567), // Rule ID 7659 //
     /*  164509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  164523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  164526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  164548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164565 */     GIR_RootConstrainSelectedInstOperands,
     /*  164566 */     // GIR_Coverage, 7659,
     /*  164566 */     GIR_EraseRootFromParent_Done,
     /*  164567 */   // Label 3761: @164567
     /*  164567 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(164630), // Rule ID 7662 //
     /*  164572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  164586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  164589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  164611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164628 */     GIR_RootConstrainSelectedInstOperands,
     /*  164629 */     // GIR_Coverage, 7662,
     /*  164629 */     GIR_EraseRootFromParent_Done,
     /*  164630 */   // Label 3762: @164630
     /*  164630 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(164693), // Rule ID 7663 //
     /*  164635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  164649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  164652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164674 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  164674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164691 */     GIR_RootConstrainSelectedInstOperands,
     /*  164692 */     // GIR_Coverage, 7663,
     /*  164692 */     GIR_EraseRootFromParent_Done,
     /*  164693 */   // Label 3763: @164693
     /*  164693 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(164756), // Rule ID 7666 //
     /*  164698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  164712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  164715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  164737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164754 */     GIR_RootConstrainSelectedInstOperands,
     /*  164755 */     // GIR_Coverage, 7666,
     /*  164755 */     GIR_EraseRootFromParent_Done,
     /*  164756 */   // Label 3764: @164756
     /*  164756 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(164819), // Rule ID 7667 //
     /*  164761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  164775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  164778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  164800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164817 */     GIR_RootConstrainSelectedInstOperands,
     /*  164818 */     // GIR_Coverage, 7667,
     /*  164818 */     GIR_EraseRootFromParent_Done,
     /*  164819 */   // Label 3765: @164819
     /*  164819 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(164882), // Rule ID 7670 //
     /*  164824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  164838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  164841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164863 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  164863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164880 */     GIR_RootConstrainSelectedInstOperands,
     /*  164881 */     // GIR_Coverage, 7670,
     /*  164881 */     GIR_EraseRootFromParent_Done,
     /*  164882 */   // Label 3766: @164882
     /*  164882 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(164945), // Rule ID 7671 //
     /*  164887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  164901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  164904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164926 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  164926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164943 */     GIR_RootConstrainSelectedInstOperands,
     /*  164944 */     // GIR_Coverage, 7671,
     /*  164944 */     GIR_EraseRootFromParent_Done,
     /*  164945 */   // Label 3767: @164945
     /*  164945 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(165008), // Rule ID 7674 //
     /*  164950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  164964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  164967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  164989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  164992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165006 */     GIR_RootConstrainSelectedInstOperands,
     /*  165007 */     // GIR_Coverage, 7674,
     /*  165007 */     GIR_EraseRootFromParent_Done,
     /*  165008 */   // Label 3768: @165008
     /*  165008 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(165071), // Rule ID 7675 //
     /*  165013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  165027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  165030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165069 */     GIR_RootConstrainSelectedInstOperands,
     /*  165070 */     // GIR_Coverage, 7675,
     /*  165070 */     GIR_EraseRootFromParent_Done,
     /*  165071 */   // Label 3769: @165071
     /*  165071 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(165134), // Rule ID 7678 //
     /*  165076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  165087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  165090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  165093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165115 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  165115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165132 */     GIR_RootConstrainSelectedInstOperands,
     /*  165133 */     // GIR_Coverage, 7678,
     /*  165133 */     GIR_EraseRootFromParent_Done,
     /*  165134 */   // Label 3770: @165134
     /*  165134 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(165197), // Rule ID 7679 //
     /*  165139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  165150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  165153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  165156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165178 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  165178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165195 */     GIR_RootConstrainSelectedInstOperands,
     /*  165196 */     // GIR_Coverage, 7679,
     /*  165196 */     GIR_EraseRootFromParent_Done,
     /*  165197 */   // Label 3771: @165197
     /*  165197 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(165260), // Rule ID 7682 //
     /*  165202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  165213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  165216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  165219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  165241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165258 */     GIR_RootConstrainSelectedInstOperands,
     /*  165259 */     // GIR_Coverage, 7682,
     /*  165259 */     GIR_EraseRootFromParent_Done,
     /*  165260 */   // Label 3772: @165260
     /*  165260 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(165323), // Rule ID 7683 //
     /*  165265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  165276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  165279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  165282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  165304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165321 */     GIR_RootConstrainSelectedInstOperands,
     /*  165322 */     // GIR_Coverage, 7683,
     /*  165322 */     GIR_EraseRootFromParent_Done,
     /*  165323 */   // Label 3773: @165323
     /*  165323 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(165386), // Rule ID 7686 //
     /*  165328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  165339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  165342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  165345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165367 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  165367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165384 */     GIR_RootConstrainSelectedInstOperands,
     /*  165385 */     // GIR_Coverage, 7686,
     /*  165385 */     GIR_EraseRootFromParent_Done,
     /*  165386 */   // Label 3774: @165386
     /*  165386 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(165449), // Rule ID 7687 //
     /*  165391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  165402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  165405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  165408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  165430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165447 */     GIR_RootConstrainSelectedInstOperands,
     /*  165448 */     // GIR_Coverage, 7687,
     /*  165448 */     GIR_EraseRootFromParent_Done,
     /*  165449 */   // Label 3775: @165449
     /*  165449 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(165512), // Rule ID 7690 //
     /*  165454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  165465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  165468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  165471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165510 */     GIR_RootConstrainSelectedInstOperands,
     /*  165511 */     // GIR_Coverage, 7690,
     /*  165511 */     GIR_EraseRootFromParent_Done,
     /*  165512 */   // Label 3776: @165512
     /*  165512 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(165575), // Rule ID 7691 //
     /*  165517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  165528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  165531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  165534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165573 */     GIR_RootConstrainSelectedInstOperands,
     /*  165574 */     // GIR_Coverage, 7691,
     /*  165574 */     GIR_EraseRootFromParent_Done,
     /*  165575 */   // Label 3777: @165575
     /*  165575 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(165638), // Rule ID 7694 //
     /*  165580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  165591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  165594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  165597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165619 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  165622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165636 */     GIR_RootConstrainSelectedInstOperands,
     /*  165637 */     // GIR_Coverage, 7694,
     /*  165637 */     GIR_EraseRootFromParent_Done,
     /*  165638 */   // Label 3778: @165638
     /*  165638 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(165701), // Rule ID 7695 //
     /*  165643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  165654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  165657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  165660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165682 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  165685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165699 */     GIR_RootConstrainSelectedInstOperands,
     /*  165700 */     // GIR_Coverage, 7695,
     /*  165700 */     GIR_EraseRootFromParent_Done,
     /*  165701 */   // Label 3779: @165701
     /*  165701 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(165764), // Rule ID 7698 //
     /*  165706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  165717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  165720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  165723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165745 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  165748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165762 */     GIR_RootConstrainSelectedInstOperands,
     /*  165763 */     // GIR_Coverage, 7698,
     /*  165763 */     GIR_EraseRootFromParent_Done,
     /*  165764 */   // Label 3780: @165764
     /*  165764 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(165827), // Rule ID 7699 //
     /*  165769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  165780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  165783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  165786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165808 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  165811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165825 */     GIR_RootConstrainSelectedInstOperands,
     /*  165826 */     // GIR_Coverage, 7699,
     /*  165826 */     GIR_EraseRootFromParent_Done,
     /*  165827 */   // Label 3781: @165827
     /*  165827 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(165890), // Rule ID 7702 //
     /*  165832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  165846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  165849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  165871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165888 */     GIR_RootConstrainSelectedInstOperands,
     /*  165889 */     // GIR_Coverage, 7702,
     /*  165889 */     GIR_EraseRootFromParent_Done,
     /*  165890 */   // Label 3782: @165890
     /*  165890 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(165953), // Rule ID 7703 //
     /*  165895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  165909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  165912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165934 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  165934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165951 */     GIR_RootConstrainSelectedInstOperands,
     /*  165952 */     // GIR_Coverage, 7703,
     /*  165952 */     GIR_EraseRootFromParent_Done,
     /*  165953 */   // Label 3783: @165953
     /*  165953 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(166016), // Rule ID 7706 //
     /*  165958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  165969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  165972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  165975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  165997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166014 */     GIR_RootConstrainSelectedInstOperands,
     /*  166015 */     // GIR_Coverage, 7706,
     /*  166015 */     GIR_EraseRootFromParent_Done,
     /*  166016 */   // Label 3784: @166016
     /*  166016 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(166079), // Rule ID 7707 //
     /*  166021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  166035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  166038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  166060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166077 */     GIR_RootConstrainSelectedInstOperands,
     /*  166078 */     // GIR_Coverage, 7707,
     /*  166078 */     GIR_EraseRootFromParent_Done,
     /*  166079 */   // Label 3785: @166079
     /*  166079 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(166142), // Rule ID 7710 //
     /*  166084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  166095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  166098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  166101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166123 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  166123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166140 */     GIR_RootConstrainSelectedInstOperands,
     /*  166141 */     // GIR_Coverage, 7710,
     /*  166141 */     GIR_EraseRootFromParent_Done,
     /*  166142 */   // Label 3786: @166142
     /*  166142 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(166205), // Rule ID 7711 //
     /*  166147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  166158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  166161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  166164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166186 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  166186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166203 */     GIR_RootConstrainSelectedInstOperands,
     /*  166204 */     // GIR_Coverage, 7711,
     /*  166204 */     GIR_EraseRootFromParent_Done,
     /*  166205 */   // Label 3787: @166205
     /*  166205 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(166268), // Rule ID 7714 //
     /*  166210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  166224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  166227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166266 */     GIR_RootConstrainSelectedInstOperands,
     /*  166267 */     // GIR_Coverage, 7714,
     /*  166267 */     GIR_EraseRootFromParent_Done,
     /*  166268 */   // Label 3788: @166268
     /*  166268 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(166331), // Rule ID 7715 //
     /*  166273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  166287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  166290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166329 */     GIR_RootConstrainSelectedInstOperands,
     /*  166330 */     // GIR_Coverage, 7715,
     /*  166330 */     GIR_EraseRootFromParent_Done,
     /*  166331 */   // Label 3789: @166331
     /*  166331 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(166394), // Rule ID 7718 //
     /*  166336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  166350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  166353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166392 */     GIR_RootConstrainSelectedInstOperands,
     /*  166393 */     // GIR_Coverage, 7718,
     /*  166393 */     GIR_EraseRootFromParent_Done,
     /*  166394 */   // Label 3790: @166394
     /*  166394 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(166457), // Rule ID 7719 //
     /*  166399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  166413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  166416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166455 */     GIR_RootConstrainSelectedInstOperands,
     /*  166456 */     // GIR_Coverage, 7719,
     /*  166456 */     GIR_EraseRootFromParent_Done,
     /*  166457 */   // Label 3791: @166457
     /*  166457 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(166520), // Rule ID 7722 //
     /*  166462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  166476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  166479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166501 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166518 */     GIR_RootConstrainSelectedInstOperands,
     /*  166519 */     // GIR_Coverage, 7722,
     /*  166519 */     GIR_EraseRootFromParent_Done,
     /*  166520 */   // Label 3792: @166520
     /*  166520 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(166583), // Rule ID 7723 //
     /*  166525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  166539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  166542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166581 */     GIR_RootConstrainSelectedInstOperands,
     /*  166582 */     // GIR_Coverage, 7723,
     /*  166582 */     GIR_EraseRootFromParent_Done,
     /*  166583 */   // Label 3793: @166583
     /*  166583 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(166646), // Rule ID 7726 //
     /*  166588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  166599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  166602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  166605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166644 */     GIR_RootConstrainSelectedInstOperands,
     /*  166645 */     // GIR_Coverage, 7726,
     /*  166645 */     GIR_EraseRootFromParent_Done,
     /*  166646 */   // Label 3794: @166646
     /*  166646 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(166709), // Rule ID 7727 //
     /*  166651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  166662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  166665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  166668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166707 */     GIR_RootConstrainSelectedInstOperands,
     /*  166708 */     // GIR_Coverage, 7727,
     /*  166708 */     GIR_EraseRootFromParent_Done,
     /*  166709 */   // Label 3795: @166709
     /*  166709 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(166772), // Rule ID 7730 //
     /*  166714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  166728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  166731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166770 */     GIR_RootConstrainSelectedInstOperands,
     /*  166771 */     // GIR_Coverage, 7730,
     /*  166771 */     GIR_EraseRootFromParent_Done,
     /*  166772 */   // Label 3796: @166772
     /*  166772 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(166835), // Rule ID 7731 //
     /*  166777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  166791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  166794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166833 */     GIR_RootConstrainSelectedInstOperands,
     /*  166834 */     // GIR_Coverage, 7731,
     /*  166834 */     GIR_EraseRootFromParent_Done,
     /*  166835 */   // Label 3797: @166835
     /*  166835 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(166898), // Rule ID 7734 //
     /*  166840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  166854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  166857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166879 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166896 */     GIR_RootConstrainSelectedInstOperands,
     /*  166897 */     // GIR_Coverage, 7734,
     /*  166897 */     GIR_EraseRootFromParent_Done,
     /*  166898 */   // Label 3798: @166898
     /*  166898 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(166961), // Rule ID 7735 //
     /*  166903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  166917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  166920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166959 */     GIR_RootConstrainSelectedInstOperands,
     /*  166960 */     // GIR_Coverage, 7735,
     /*  166960 */     GIR_EraseRootFromParent_Done,
     /*  166961 */   // Label 3799: @166961
     /*  166961 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(167024), // Rule ID 7738 //
     /*  166966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  166977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  166980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  166983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  167008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167022 */     GIR_RootConstrainSelectedInstOperands,
     /*  167023 */     // GIR_Coverage, 7738,
     /*  167023 */     GIR_EraseRootFromParent_Done,
     /*  167024 */   // Label 3800: @167024
     /*  167024 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(167087), // Rule ID 7739 //
     /*  167029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  167043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  167071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167085 */     GIR_RootConstrainSelectedInstOperands,
     /*  167086 */     // GIR_Coverage, 7739,
     /*  167086 */     GIR_EraseRootFromParent_Done,
     /*  167087 */   // Label 3801: @167087
     /*  167087 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(167150), // Rule ID 7742 //
     /*  167092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  167106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167148 */     GIR_RootConstrainSelectedInstOperands,
     /*  167149 */     // GIR_Coverage, 7742,
     /*  167149 */     GIR_EraseRootFromParent_Done,
     /*  167150 */   // Label 3802: @167150
     /*  167150 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(167213), // Rule ID 7743 //
     /*  167155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  167169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167211 */     GIR_RootConstrainSelectedInstOperands,
     /*  167212 */     // GIR_Coverage, 7743,
     /*  167212 */     GIR_EraseRootFromParent_Done,
     /*  167213 */   // Label 3803: @167213
     /*  167213 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(167276), // Rule ID 7746 //
     /*  167218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  167232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167257 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167274 */     GIR_RootConstrainSelectedInstOperands,
     /*  167275 */     // GIR_Coverage, 7746,
     /*  167275 */     GIR_EraseRootFromParent_Done,
     /*  167276 */   // Label 3804: @167276
     /*  167276 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(167339), // Rule ID 7747 //
     /*  167281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  167295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167337 */     GIR_RootConstrainSelectedInstOperands,
     /*  167338 */     // GIR_Coverage, 7747,
     /*  167338 */     GIR_EraseRootFromParent_Done,
     /*  167339 */   // Label 3805: @167339
     /*  167339 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(167402), // Rule ID 7750 //
     /*  167344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  167358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167383 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167400 */     GIR_RootConstrainSelectedInstOperands,
     /*  167401 */     // GIR_Coverage, 7750,
     /*  167401 */     GIR_EraseRootFromParent_Done,
     /*  167402 */   // Label 3806: @167402
     /*  167402 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(167465), // Rule ID 7751 //
     /*  167407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  167421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167446 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167463 */     GIR_RootConstrainSelectedInstOperands,
     /*  167464 */     // GIR_Coverage, 7751,
     /*  167464 */     GIR_EraseRootFromParent_Done,
     /*  167465 */   // Label 3807: @167465
     /*  167465 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(167528), // Rule ID 7754 //
     /*  167470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  167484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167526 */     GIR_RootConstrainSelectedInstOperands,
     /*  167527 */     // GIR_Coverage, 7754,
     /*  167527 */     GIR_EraseRootFromParent_Done,
     /*  167528 */   // Label 3808: @167528
     /*  167528 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(167591), // Rule ID 7755 //
     /*  167533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  167547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167589 */     GIR_RootConstrainSelectedInstOperands,
     /*  167590 */     // GIR_Coverage, 7755,
     /*  167590 */     GIR_EraseRootFromParent_Done,
     /*  167591 */   // Label 3809: @167591
     /*  167591 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(167654), // Rule ID 7758 //
     /*  167596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  167610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  167635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167652 */     GIR_RootConstrainSelectedInstOperands,
     /*  167653 */     // GIR_Coverage, 7758,
     /*  167653 */     GIR_EraseRootFromParent_Done,
     /*  167654 */   // Label 3810: @167654
     /*  167654 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(167717), // Rule ID 7759 //
     /*  167659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  167673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  167698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167715 */     GIR_RootConstrainSelectedInstOperands,
     /*  167716 */     // GIR_Coverage, 7759,
     /*  167716 */     GIR_EraseRootFromParent_Done,
     /*  167717 */   // Label 3811: @167717
     /*  167717 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(167780), // Rule ID 7762 //
     /*  167722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  167733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  167736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167778 */     GIR_RootConstrainSelectedInstOperands,
     /*  167779 */     // GIR_Coverage, 7762,
     /*  167779 */     GIR_EraseRootFromParent_Done,
     /*  167780 */   // Label 3812: @167780
     /*  167780 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(167843), // Rule ID 7763 //
     /*  167785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  167796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  167799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167841 */     GIR_RootConstrainSelectedInstOperands,
     /*  167842 */     // GIR_Coverage, 7763,
     /*  167842 */     GIR_EraseRootFromParent_Done,
     /*  167843 */   // Label 3813: @167843
     /*  167843 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(167906), // Rule ID 7766 //
     /*  167848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  167862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167887 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167904 */     GIR_RootConstrainSelectedInstOperands,
     /*  167905 */     // GIR_Coverage, 7766,
     /*  167905 */     GIR_EraseRootFromParent_Done,
     /*  167906 */   // Label 3814: @167906
     /*  167906 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(167969), // Rule ID 7767 //
     /*  167911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  167925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167950 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167967 */     GIR_RootConstrainSelectedInstOperands,
     /*  167968 */     // GIR_Coverage, 7767,
     /*  167968 */     GIR_EraseRootFromParent_Done,
     /*  167969 */   // Label 3815: @167969
     /*  167969 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(168032), // Rule ID 7770 //
     /*  167974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  167988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  168013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168030 */     GIR_RootConstrainSelectedInstOperands,
     /*  168031 */     // GIR_Coverage, 7770,
     /*  168031 */     GIR_EraseRootFromParent_Done,
     /*  168032 */   // Label 3816: @168032
     /*  168032 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(168095), // Rule ID 7771 //
     /*  168037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  168048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  168051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  168076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168093 */     GIR_RootConstrainSelectedInstOperands,
     /*  168094 */     // GIR_Coverage, 7771,
     /*  168094 */     GIR_EraseRootFromParent_Done,
     /*  168095 */   // Label 3817: @168095
     /*  168095 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(168158), // Rule ID 7774 //
     /*  168100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  168103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  168111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  168114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  168139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  168156 */     GIR_RootConstrainSelectedInstOperands,
     /*  168157 */     // GIR_Coverage, 7774,
     /*  168157 */     GIR_EraseRootFromParent_Done,
     /*  168158 */   // Label 3818: @168158
     /*  168158 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(168221), // Rule ID 7775 //
     /*  168163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  168166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  168174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  168177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  168202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  168219 */     GIR_RootConstrainSelectedInstOperands,
     /*  168220 */     // GIR_Coverage, 7775,
     /*  168220 */     GIR_EraseRootFromParent_Done,
     /*  168221 */   // Label 3819: @168221
     /*  168221 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(168284), // Rule ID 7778 //
     /*  168226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  168240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168265 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168282 */     GIR_RootConstrainSelectedInstOperands,
     /*  168283 */     // GIR_Coverage, 7778,
     /*  168283 */     GIR_EraseRootFromParent_Done,
     /*  168284 */   // Label 3820: @168284
     /*  168284 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(168347), // Rule ID 7779 //
     /*  168289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  168303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168345 */     GIR_RootConstrainSelectedInstOperands,
     /*  168346 */     // GIR_Coverage, 7779,
     /*  168346 */     GIR_EraseRootFromParent_Done,
     /*  168347 */   // Label 3821: @168347
     /*  168347 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(168410), // Rule ID 7782 //
     /*  168352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  168366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168391 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168408 */     GIR_RootConstrainSelectedInstOperands,
     /*  168409 */     // GIR_Coverage, 7782,
     /*  168409 */     GIR_EraseRootFromParent_Done,
     /*  168410 */   // Label 3822: @168410
     /*  168410 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(168473), // Rule ID 7783 //
     /*  168415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  168429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168454 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168471 */     GIR_RootConstrainSelectedInstOperands,
     /*  168472 */     // GIR_Coverage, 7783,
     /*  168472 */     GIR_EraseRootFromParent_Done,
     /*  168473 */   // Label 3823: @168473
     /*  168473 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(168536), // Rule ID 7786 //
     /*  168478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  168489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  168492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168517 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168534 */     GIR_RootConstrainSelectedInstOperands,
     /*  168535 */     // GIR_Coverage, 7786,
     /*  168535 */     GIR_EraseRootFromParent_Done,
     /*  168536 */   // Label 3824: @168536
     /*  168536 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(168599), // Rule ID 7787 //
     /*  168541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  168552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  168555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168580 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168597 */     GIR_RootConstrainSelectedInstOperands,
     /*  168598 */     // GIR_Coverage, 7787,
     /*  168598 */     GIR_EraseRootFromParent_Done,
     /*  168599 */   // Label 3825: @168599
     /*  168599 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(168662), // Rule ID 7790 //
     /*  168604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  168615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  168618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168643 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168660 */     GIR_RootConstrainSelectedInstOperands,
     /*  168661 */     // GIR_Coverage, 7790,
     /*  168661 */     GIR_EraseRootFromParent_Done,
     /*  168662 */   // Label 3826: @168662
     /*  168662 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(168725), // Rule ID 7791 //
     /*  168667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  168678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  168681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168723 */     GIR_RootConstrainSelectedInstOperands,
     /*  168724 */     // GIR_Coverage, 7791,
     /*  168724 */     GIR_EraseRootFromParent_Done,
     /*  168725 */   // Label 3827: @168725
     /*  168725 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(168788), // Rule ID 7794 //
     /*  168730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  168744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168769 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168786 */     GIR_RootConstrainSelectedInstOperands,
     /*  168787 */     // GIR_Coverage, 7794,
     /*  168787 */     GIR_EraseRootFromParent_Done,
     /*  168788 */   // Label 3828: @168788
     /*  168788 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(168851), // Rule ID 7795 //
     /*  168793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  168807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168849 */     GIR_RootConstrainSelectedInstOperands,
     /*  168850 */     // GIR_Coverage, 7795,
     /*  168850 */     GIR_EraseRootFromParent_Done,
     /*  168851 */   // Label 3829: @168851
     /*  168851 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(168914), // Rule ID 7798 //
     /*  168856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  168870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168895 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168912 */     GIR_RootConstrainSelectedInstOperands,
     /*  168913 */     // GIR_Coverage, 7798,
     /*  168913 */     GIR_EraseRootFromParent_Done,
     /*  168914 */   // Label 3830: @168914
     /*  168914 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(168977), // Rule ID 7799 //
     /*  168919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  168933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168958 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168975 */     GIR_RootConstrainSelectedInstOperands,
     /*  168976 */     // GIR_Coverage, 7799,
     /*  168976 */     GIR_EraseRootFromParent_Done,
     /*  168977 */   // Label 3831: @168977
     /*  168977 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(169040), // Rule ID 7802 //
     /*  168982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  168993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  168996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169038 */     GIR_RootConstrainSelectedInstOperands,
     /*  169039 */     // GIR_Coverage, 7802,
     /*  169039 */     GIR_EraseRootFromParent_Done,
     /*  169040 */   // Label 3832: @169040
     /*  169040 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(169103), // Rule ID 7803 //
     /*  169045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  169059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169101 */     GIR_RootConstrainSelectedInstOperands,
     /*  169102 */     // GIR_Coverage, 7803,
     /*  169102 */     GIR_EraseRootFromParent_Done,
     /*  169103 */   // Label 3833: @169103
     /*  169103 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(169166), // Rule ID 7806 //
     /*  169108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  169122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169164 */     GIR_RootConstrainSelectedInstOperands,
     /*  169165 */     // GIR_Coverage, 7806,
     /*  169165 */     GIR_EraseRootFromParent_Done,
     /*  169166 */   // Label 3834: @169166
     /*  169166 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(169229), // Rule ID 7807 //
     /*  169171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  169185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169227 */     GIR_RootConstrainSelectedInstOperands,
     /*  169228 */     // GIR_Coverage, 7807,
     /*  169228 */     GIR_EraseRootFromParent_Done,
     /*  169229 */   // Label 3835: @169229
     /*  169229 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(169292), // Rule ID 7810 //
     /*  169234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  169245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  169248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169273 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169290 */     GIR_RootConstrainSelectedInstOperands,
     /*  169291 */     // GIR_Coverage, 7810,
     /*  169291 */     GIR_EraseRootFromParent_Done,
     /*  169292 */   // Label 3836: @169292
     /*  169292 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(169355), // Rule ID 7811 //
     /*  169297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  169308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  169311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169353 */     GIR_RootConstrainSelectedInstOperands,
     /*  169354 */     // GIR_Coverage, 7811,
     /*  169354 */     GIR_EraseRootFromParent_Done,
     /*  169355 */   // Label 3837: @169355
     /*  169355 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(169418), // Rule ID 7814 //
     /*  169360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  169374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169416 */     GIR_RootConstrainSelectedInstOperands,
     /*  169417 */     // GIR_Coverage, 7814,
     /*  169417 */     GIR_EraseRootFromParent_Done,
     /*  169418 */   // Label 3838: @169418
     /*  169418 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(169481), // Rule ID 7815 //
     /*  169423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  169437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169479 */     GIR_RootConstrainSelectedInstOperands,
     /*  169480 */     // GIR_Coverage, 7815,
     /*  169480 */     GIR_EraseRootFromParent_Done,
     /*  169481 */   // Label 3839: @169481
     /*  169481 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(169544), // Rule ID 7818 //
     /*  169486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  169500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169542 */     GIR_RootConstrainSelectedInstOperands,
     /*  169543 */     // GIR_Coverage, 7818,
     /*  169543 */     GIR_EraseRootFromParent_Done,
     /*  169544 */   // Label 3840: @169544
     /*  169544 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(169607), // Rule ID 7819 //
     /*  169549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  169563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169605 */     GIR_RootConstrainSelectedInstOperands,
     /*  169606 */     // GIR_Coverage, 7819,
     /*  169606 */     GIR_EraseRootFromParent_Done,
     /*  169607 */   // Label 3841: @169607
     /*  169607 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(169670), // Rule ID 7822 //
     /*  169612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  169626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169668 */     GIR_RootConstrainSelectedInstOperands,
     /*  169669 */     // GIR_Coverage, 7822,
     /*  169669 */     GIR_EraseRootFromParent_Done,
     /*  169670 */   // Label 3842: @169670
     /*  169670 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(169733), // Rule ID 7823 //
     /*  169675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  169689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169731 */     GIR_RootConstrainSelectedInstOperands,
     /*  169732 */     // GIR_Coverage, 7823,
     /*  169732 */     GIR_EraseRootFromParent_Done,
     /*  169733 */   // Label 3843: @169733
     /*  169733 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(169796), // Rule ID 7914 //
     /*  169738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  169749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  169752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  169755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169777 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  169777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  169780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169794 */     GIR_RootConstrainSelectedInstOperands,
     /*  169795 */     // GIR_Coverage, 7914,
     /*  169795 */     GIR_EraseRootFromParent_Done,
     /*  169796 */   // Label 3844: @169796
     /*  169796 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(169859), // Rule ID 7915 //
     /*  169801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  169812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  169815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  169818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  169840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  169843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169857 */     GIR_RootConstrainSelectedInstOperands,
     /*  169858 */     // GIR_Coverage, 7915,
     /*  169858 */     GIR_EraseRootFromParent_Done,
     /*  169859 */   // Label 3845: @169859
     /*  169859 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(169922), // Rule ID 7918 //
     /*  169864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  169878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  169881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  169903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  169906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169920 */     GIR_RootConstrainSelectedInstOperands,
     /*  169921 */     // GIR_Coverage, 7918,
     /*  169921 */     GIR_EraseRootFromParent_Done,
     /*  169922 */   // Label 3846: @169922
     /*  169922 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(169985), // Rule ID 7919 //
     /*  169927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  169941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  169944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169966 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  169966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  169969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169983 */     GIR_RootConstrainSelectedInstOperands,
     /*  169984 */     // GIR_Coverage, 7919,
     /*  169984 */     GIR_EraseRootFromParent_Done,
     /*  169985 */   // Label 3847: @169985
     /*  169985 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(170048), // Rule ID 7922 //
     /*  169990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  170004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  170007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  170029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170046 */     GIR_RootConstrainSelectedInstOperands,
     /*  170047 */     // GIR_Coverage, 7922,
     /*  170047 */     GIR_EraseRootFromParent_Done,
     /*  170048 */   // Label 3848: @170048
     /*  170048 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(170111), // Rule ID 7923 //
     /*  170053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  170067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  170070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  170092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170109 */     GIR_RootConstrainSelectedInstOperands,
     /*  170110 */     // GIR_Coverage, 7923,
     /*  170110 */     GIR_EraseRootFromParent_Done,
     /*  170111 */   // Label 3849: @170111
     /*  170111 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(170174), // Rule ID 7926 //
     /*  170116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  170130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  170133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  170158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170172 */     GIR_RootConstrainSelectedInstOperands,
     /*  170173 */     // GIR_Coverage, 7926,
     /*  170173 */     GIR_EraseRootFromParent_Done,
     /*  170174 */   // Label 3850: @170174
     /*  170174 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(170237), // Rule ID 7927 //
     /*  170179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  170193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  170196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  170221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170235 */     GIR_RootConstrainSelectedInstOperands,
     /*  170236 */     // GIR_Coverage, 7927,
     /*  170236 */     GIR_EraseRootFromParent_Done,
     /*  170237 */   // Label 3851: @170237
     /*  170237 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(170300), // Rule ID 7930 //
     /*  170242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  170256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  170259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170298 */     GIR_RootConstrainSelectedInstOperands,
     /*  170299 */     // GIR_Coverage, 7930,
     /*  170299 */     GIR_EraseRootFromParent_Done,
     /*  170300 */   // Label 3852: @170300
     /*  170300 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(170363), // Rule ID 7931 //
     /*  170305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  170319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  170322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170361 */     GIR_RootConstrainSelectedInstOperands,
     /*  170362 */     // GIR_Coverage, 7931,
     /*  170362 */     GIR_EraseRootFromParent_Done,
     /*  170363 */   // Label 3853: @170363
     /*  170363 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(170426), // Rule ID 7934 //
     /*  170368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  170382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  170385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170407 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  170407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170424 */     GIR_RootConstrainSelectedInstOperands,
     /*  170425 */     // GIR_Coverage, 7934,
     /*  170425 */     GIR_EraseRootFromParent_Done,
     /*  170426 */   // Label 3854: @170426
     /*  170426 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(170489), // Rule ID 7935 //
     /*  170431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  170445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  170448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  170470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170487 */     GIR_RootConstrainSelectedInstOperands,
     /*  170488 */     // GIR_Coverage, 7935,
     /*  170488 */     GIR_EraseRootFromParent_Done,
     /*  170489 */   // Label 3855: @170489
     /*  170489 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(170552), // Rule ID 7938 //
     /*  170494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  170505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  170508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  170511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  170533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170550 */     GIR_RootConstrainSelectedInstOperands,
     /*  170551 */     // GIR_Coverage, 7938,
     /*  170551 */     GIR_EraseRootFromParent_Done,
     /*  170552 */   // Label 3856: @170552
     /*  170552 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(170615), // Rule ID 7939 //
     /*  170557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  170568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  170571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  170574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  170596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170613 */     GIR_RootConstrainSelectedInstOperands,
     /*  170614 */     // GIR_Coverage, 7939,
     /*  170614 */     GIR_EraseRootFromParent_Done,
     /*  170615 */   // Label 3857: @170615
     /*  170615 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(170678), // Rule ID 7942 //
     /*  170620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  170634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  170637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170676 */     GIR_RootConstrainSelectedInstOperands,
     /*  170677 */     // GIR_Coverage, 7942,
     /*  170677 */     GIR_EraseRootFromParent_Done,
     /*  170678 */   // Label 3858: @170678
     /*  170678 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(170741), // Rule ID 7943 //
     /*  170683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  170697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  170700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170739 */     GIR_RootConstrainSelectedInstOperands,
     /*  170740 */     // GIR_Coverage, 7943,
     /*  170740 */     GIR_EraseRootFromParent_Done,
     /*  170741 */   // Label 3859: @170741
     /*  170741 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(170804), // Rule ID 7946 //
     /*  170746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  170760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  170763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170785 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  170785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170802 */     GIR_RootConstrainSelectedInstOperands,
     /*  170803 */     // GIR_Coverage, 7946,
     /*  170803 */     GIR_EraseRootFromParent_Done,
     /*  170804 */   // Label 3860: @170804
     /*  170804 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(170867), // Rule ID 7947 //
     /*  170809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  170823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  170826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  170848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170865 */     GIR_RootConstrainSelectedInstOperands,
     /*  170866 */     // GIR_Coverage, 7947,
     /*  170866 */     GIR_EraseRootFromParent_Done,
     /*  170867 */   // Label 3861: @170867
     /*  170867 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(170930), // Rule ID 7950 //
     /*  170872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  170875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  170886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  170889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  170911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170928 */     GIR_RootConstrainSelectedInstOperands,
     /*  170929 */     // GIR_Coverage, 7950,
     /*  170929 */     GIR_EraseRootFromParent_Done,
     /*  170930 */   // Label 3862: @170930
     /*  170930 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(170993), // Rule ID 7951 //
     /*  170935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  170938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  170949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  170952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  170974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170991 */     GIR_RootConstrainSelectedInstOperands,
     /*  170992 */     // GIR_Coverage, 7951,
     /*  170992 */     GIR_EraseRootFromParent_Done,
     /*  170993 */   // Label 3863: @170993
     /*  170993 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(171056), // Rule ID 7954 //
     /*  170998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  171012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  171015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171054 */     GIR_RootConstrainSelectedInstOperands,
     /*  171055 */     // GIR_Coverage, 7954,
     /*  171055 */     GIR_EraseRootFromParent_Done,
     /*  171056 */   // Label 3864: @171056
     /*  171056 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(171119), // Rule ID 7955 //
     /*  171061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  171075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  171078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171117 */     GIR_RootConstrainSelectedInstOperands,
     /*  171118 */     // GIR_Coverage, 7955,
     /*  171118 */     GIR_EraseRootFromParent_Done,
     /*  171119 */   // Label 3865: @171119
     /*  171119 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(171182), // Rule ID 7958 //
     /*  171124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  171138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  171141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171163 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171180 */     GIR_RootConstrainSelectedInstOperands,
     /*  171181 */     // GIR_Coverage, 7958,
     /*  171181 */     GIR_EraseRootFromParent_Done,
     /*  171182 */   // Label 3866: @171182
     /*  171182 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(171245), // Rule ID 7959 //
     /*  171187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  171201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  171204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171226 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171243 */     GIR_RootConstrainSelectedInstOperands,
     /*  171244 */     // GIR_Coverage, 7959,
     /*  171244 */     GIR_EraseRootFromParent_Done,
     /*  171245 */   // Label 3867: @171245
     /*  171245 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(171308), // Rule ID 7962 //
     /*  171250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  171261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  171264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  171267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171289 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171306 */     GIR_RootConstrainSelectedInstOperands,
     /*  171307 */     // GIR_Coverage, 7962,
     /*  171307 */     GIR_EraseRootFromParent_Done,
     /*  171308 */   // Label 3868: @171308
     /*  171308 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(171371), // Rule ID 7963 //
     /*  171313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  171324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  171327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  171330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171369 */     GIR_RootConstrainSelectedInstOperands,
     /*  171370 */     // GIR_Coverage, 7963,
     /*  171370 */     GIR_EraseRootFromParent_Done,
     /*  171371 */   // Label 3869: @171371
     /*  171371 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(171434), // Rule ID 7966 //
     /*  171376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  171390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  171393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171415 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171432 */     GIR_RootConstrainSelectedInstOperands,
     /*  171433 */     // GIR_Coverage, 7966,
     /*  171433 */     GIR_EraseRootFromParent_Done,
     /*  171434 */   // Label 3870: @171434
     /*  171434 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(171497), // Rule ID 7967 //
     /*  171439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  171453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  171456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171495 */     GIR_RootConstrainSelectedInstOperands,
     /*  171496 */     // GIR_Coverage, 7967,
     /*  171496 */     GIR_EraseRootFromParent_Done,
     /*  171497 */   // Label 3871: @171497
     /*  171497 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(171560), // Rule ID 7970 //
     /*  171502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  171516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  171519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171541 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171558 */     GIR_RootConstrainSelectedInstOperands,
     /*  171559 */     // GIR_Coverage, 7970,
     /*  171559 */     GIR_EraseRootFromParent_Done,
     /*  171560 */   // Label 3872: @171560
     /*  171560 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(171623), // Rule ID 7971 //
     /*  171565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  171579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  171582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171621 */     GIR_RootConstrainSelectedInstOperands,
     /*  171622 */     // GIR_Coverage, 7971,
     /*  171622 */     GIR_EraseRootFromParent_Done,
     /*  171623 */   // Label 3873: @171623
     /*  171623 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(171686), // Rule ID 7974 //
     /*  171628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  171642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  171645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171667 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171684 */     GIR_RootConstrainSelectedInstOperands,
     /*  171685 */     // GIR_Coverage, 7974,
     /*  171685 */     GIR_EraseRootFromParent_Done,
     /*  171686 */   // Label 3874: @171686
     /*  171686 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(171749), // Rule ID 7975 //
     /*  171691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  171705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  171708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171730 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171747 */     GIR_RootConstrainSelectedInstOperands,
     /*  171748 */     // GIR_Coverage, 7975,
     /*  171748 */     GIR_EraseRootFromParent_Done,
     /*  171749 */   // Label 3875: @171749
     /*  171749 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(171812), // Rule ID 7978 //
     /*  171754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  171765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  171768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  171771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  171793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171810 */     GIR_RootConstrainSelectedInstOperands,
     /*  171811 */     // GIR_Coverage, 7978,
     /*  171811 */     GIR_EraseRootFromParent_Done,
     /*  171812 */   // Label 3876: @171812
     /*  171812 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(171875), // Rule ID 7979 //
     /*  171817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  171828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  171831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  171834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  171856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171873 */     GIR_RootConstrainSelectedInstOperands,
     /*  171874 */     // GIR_Coverage, 7979,
     /*  171874 */     GIR_EraseRootFromParent_Done,
     /*  171875 */   // Label 3877: @171875
     /*  171875 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(171938), // Rule ID 7982 //
     /*  171880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  171894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  171897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171919 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  171919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171936 */     GIR_RootConstrainSelectedInstOperands,
     /*  171937 */     // GIR_Coverage, 7982,
     /*  171937 */     GIR_EraseRootFromParent_Done,
     /*  171938 */   // Label 3878: @171938
     /*  171938 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(172001), // Rule ID 7983 //
     /*  171943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  171957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  171960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  171982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171999 */     GIR_RootConstrainSelectedInstOperands,
     /*  172000 */     // GIR_Coverage, 7983,
     /*  172000 */     GIR_EraseRootFromParent_Done,
     /*  172001 */   // Label 3879: @172001
     /*  172001 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(172064), // Rule ID 7986 //
     /*  172006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  172017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  172020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  172023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172045 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  172045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172062 */     GIR_RootConstrainSelectedInstOperands,
     /*  172063 */     // GIR_Coverage, 7986,
     /*  172063 */     GIR_EraseRootFromParent_Done,
     /*  172064 */   // Label 3880: @172064
     /*  172064 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(172127), // Rule ID 7987 //
     /*  172069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  172080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  172083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  172086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  172108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172125 */     GIR_RootConstrainSelectedInstOperands,
     /*  172126 */     // GIR_Coverage, 7987,
     /*  172126 */     GIR_EraseRootFromParent_Done,
     /*  172127 */   // Label 3881: @172127
     /*  172127 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(172190), // Rule ID 7990 //
     /*  172132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  172146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  172149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  172174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172188 */     GIR_RootConstrainSelectedInstOperands,
     /*  172189 */     // GIR_Coverage, 7990,
     /*  172189 */     GIR_EraseRootFromParent_Done,
     /*  172190 */   // Label 3882: @172190
     /*  172190 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(172253), // Rule ID 7991 //
     /*  172195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  172209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  172212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  172237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172251 */     GIR_RootConstrainSelectedInstOperands,
     /*  172252 */     // GIR_Coverage, 7991,
     /*  172252 */     GIR_EraseRootFromParent_Done,
     /*  172253 */   // Label 3883: @172253
     /*  172253 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(172316), // Rule ID 7994 //
     /*  172258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  172272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  172275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  172300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172314 */     GIR_RootConstrainSelectedInstOperands,
     /*  172315 */     // GIR_Coverage, 7994,
     /*  172315 */     GIR_EraseRootFromParent_Done,
     /*  172316 */   // Label 3884: @172316
     /*  172316 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(172379), // Rule ID 7995 //
     /*  172321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  172335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  172338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  172363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172377 */     GIR_RootConstrainSelectedInstOperands,
     /*  172378 */     // GIR_Coverage, 7995,
     /*  172378 */     GIR_EraseRootFromParent_Done,
     /*  172379 */   // Label 3885: @172379
     /*  172379 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(172442), // Rule ID 7998 //
     /*  172384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  172395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  172398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  172401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172423 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172440 */     GIR_RootConstrainSelectedInstOperands,
     /*  172441 */     // GIR_Coverage, 7998,
     /*  172441 */     GIR_EraseRootFromParent_Done,
     /*  172442 */   // Label 3886: @172442
     /*  172442 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(172505), // Rule ID 7999 //
     /*  172447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  172458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  172461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  172464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172503 */     GIR_RootConstrainSelectedInstOperands,
     /*  172504 */     // GIR_Coverage, 7999,
     /*  172504 */     GIR_EraseRootFromParent_Done,
     /*  172505 */   // Label 3887: @172505
     /*  172505 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(172568), // Rule ID 8002 //
     /*  172510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  172524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  172552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172566 */     GIR_RootConstrainSelectedInstOperands,
     /*  172567 */     // GIR_Coverage, 8002,
     /*  172567 */     GIR_EraseRootFromParent_Done,
     /*  172568 */   // Label 3888: @172568
     /*  172568 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(172631), // Rule ID 8003 //
     /*  172573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  172587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  172615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172629 */     GIR_RootConstrainSelectedInstOperands,
     /*  172630 */     // GIR_Coverage, 8003,
     /*  172630 */     GIR_EraseRootFromParent_Done,
     /*  172631 */   // Label 3889: @172631
     /*  172631 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(172694), // Rule ID 8006 //
     /*  172636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  172650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172675 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172692 */     GIR_RootConstrainSelectedInstOperands,
     /*  172693 */     // GIR_Coverage, 8006,
     /*  172693 */     GIR_EraseRootFromParent_Done,
     /*  172694 */   // Label 3890: @172694
     /*  172694 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(172757), // Rule ID 8007 //
     /*  172699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  172713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172755 */     GIR_RootConstrainSelectedInstOperands,
     /*  172756 */     // GIR_Coverage, 8007,
     /*  172756 */     GIR_EraseRootFromParent_Done,
     /*  172757 */   // Label 3891: @172757
     /*  172757 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(172820), // Rule ID 8010 //
     /*  172762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  172776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172801 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  172804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172818 */     GIR_RootConstrainSelectedInstOperands,
     /*  172819 */     // GIR_Coverage, 8010,
     /*  172819 */     GIR_EraseRootFromParent_Done,
     /*  172820 */   // Label 3892: @172820
     /*  172820 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(172883), // Rule ID 8011 //
     /*  172825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  172839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  172867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172881 */     GIR_RootConstrainSelectedInstOperands,
     /*  172882 */     // GIR_Coverage, 8011,
     /*  172882 */     GIR_EraseRootFromParent_Done,
     /*  172883 */   // Label 3893: @172883
     /*  172883 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(172946), // Rule ID 8014 //
     /*  172888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  172902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  172927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172944 */     GIR_RootConstrainSelectedInstOperands,
     /*  172945 */     // GIR_Coverage, 8014,
     /*  172945 */     GIR_EraseRootFromParent_Done,
     /*  172946 */   // Label 3894: @172946
     /*  172946 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(173009), // Rule ID 8015 //
     /*  172951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  172965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  172990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173007 */     GIR_RootConstrainSelectedInstOperands,
     /*  173008 */     // GIR_Coverage, 8015,
     /*  173008 */     GIR_EraseRootFromParent_Done,
     /*  173009 */   // Label 3895: @173009
     /*  173009 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(173072), // Rule ID 8018 //
     /*  173014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  173028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  173053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173070 */     GIR_RootConstrainSelectedInstOperands,
     /*  173071 */     // GIR_Coverage, 8018,
     /*  173071 */     GIR_EraseRootFromParent_Done,
     /*  173072 */   // Label 3896: @173072
     /*  173072 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(173135), // Rule ID 8019 //
     /*  173077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  173091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  173116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173133 */     GIR_RootConstrainSelectedInstOperands,
     /*  173134 */     // GIR_Coverage, 8019,
     /*  173134 */     GIR_EraseRootFromParent_Done,
     /*  173135 */   // Label 3897: @173135
     /*  173135 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(173198), // Rule ID 8022 //
     /*  173140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  173154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173179 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  173179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173196 */     GIR_RootConstrainSelectedInstOperands,
     /*  173197 */     // GIR_Coverage, 8022,
     /*  173197 */     GIR_EraseRootFromParent_Done,
     /*  173198 */   // Label 3898: @173198
     /*  173198 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(173261), // Rule ID 8023 //
     /*  173203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  173217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  173242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173259 */     GIR_RootConstrainSelectedInstOperands,
     /*  173260 */     // GIR_Coverage, 8023,
     /*  173260 */     GIR_EraseRootFromParent_Done,
     /*  173261 */   // Label 3899: @173261
     /*  173261 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(173324), // Rule ID 8026 //
     /*  173266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  173277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  173280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173305 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173322 */     GIR_RootConstrainSelectedInstOperands,
     /*  173323 */     // GIR_Coverage, 8026,
     /*  173323 */     GIR_EraseRootFromParent_Done,
     /*  173324 */   // Label 3900: @173324
     /*  173324 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(173387), // Rule ID 8027 //
     /*  173329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  173340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  173343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  173368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173385 */     GIR_RootConstrainSelectedInstOperands,
     /*  173386 */     // GIR_Coverage, 8027,
     /*  173386 */     GIR_EraseRootFromParent_Done,
     /*  173387 */   // Label 3901: @173387
     /*  173387 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(173450), // Rule ID 8030 //
     /*  173392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  173403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  173406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  173431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173448 */     GIR_RootConstrainSelectedInstOperands,
     /*  173449 */     // GIR_Coverage, 8030,
     /*  173449 */     GIR_EraseRootFromParent_Done,
     /*  173450 */   // Label 3902: @173450
     /*  173450 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(173513), // Rule ID 8031 //
     /*  173455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  173466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  173469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  173494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173511 */     GIR_RootConstrainSelectedInstOperands,
     /*  173512 */     // GIR_Coverage, 8031,
     /*  173512 */     GIR_EraseRootFromParent_Done,
     /*  173513 */   // Label 3903: @173513
     /*  173513 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(173576), // Rule ID 8034 //
     /*  173518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  173532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  173557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173574 */     GIR_RootConstrainSelectedInstOperands,
     /*  173575 */     // GIR_Coverage, 8034,
     /*  173575 */     GIR_EraseRootFromParent_Done,
     /*  173576 */   // Label 3904: @173576
     /*  173576 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(173639), // Rule ID 8035 //
     /*  173581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  173595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  173620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173637 */     GIR_RootConstrainSelectedInstOperands,
     /*  173638 */     // GIR_Coverage, 8035,
     /*  173638 */     GIR_EraseRootFromParent_Done,
     /*  173639 */   // Label 3905: @173639
     /*  173639 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(173702), // Rule ID 8038 //
     /*  173644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  173658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  173683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173700 */     GIR_RootConstrainSelectedInstOperands,
     /*  173701 */     // GIR_Coverage, 8038,
     /*  173701 */     GIR_EraseRootFromParent_Done,
     /*  173702 */   // Label 3906: @173702
     /*  173702 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(173765), // Rule ID 8039 //
     /*  173707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  173721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  173746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173763 */     GIR_RootConstrainSelectedInstOperands,
     /*  173764 */     // GIR_Coverage, 8039,
     /*  173764 */     GIR_EraseRootFromParent_Done,
     /*  173765 */   // Label 3907: @173765
     /*  173765 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(173828), // Rule ID 8042 //
     /*  173770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  173781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  173784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173809 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  173812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173826 */     GIR_RootConstrainSelectedInstOperands,
     /*  173827 */     // GIR_Coverage, 8042,
     /*  173827 */     GIR_EraseRootFromParent_Done,
     /*  173828 */   // Label 3908: @173828
     /*  173828 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(173891), // Rule ID 8043 //
     /*  173833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  173844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  173847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  173872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  173875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173889 */     GIR_RootConstrainSelectedInstOperands,
     /*  173890 */     // GIR_Coverage, 8043,
     /*  173890 */     GIR_EraseRootFromParent_Done,
     /*  173891 */   // Label 3909: @173891
     /*  173891 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(173954), // Rule ID 8046 //
     /*  173896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  173907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  173910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173935 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  173938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173952 */     GIR_RootConstrainSelectedInstOperands,
     /*  173953 */     // GIR_Coverage, 8046,
     /*  173953 */     GIR_EraseRootFromParent_Done,
     /*  173954 */   // Label 3910: @173954
     /*  173954 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(174017), // Rule ID 8047 //
     /*  173959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  173970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  173973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173998 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  173998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174015 */     GIR_RootConstrainSelectedInstOperands,
     /*  174016 */     // GIR_Coverage, 8047,
     /*  174016 */     GIR_EraseRootFromParent_Done,
     /*  174017 */   // Label 3911: @174017
     /*  174017 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(174080), // Rule ID 8050 //
     /*  174022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  174033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  174036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174061 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  174061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174078 */     GIR_RootConstrainSelectedInstOperands,
     /*  174079 */     // GIR_Coverage, 8050,
     /*  174079 */     GIR_EraseRootFromParent_Done,
     /*  174080 */   // Label 3912: @174080
     /*  174080 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(174143), // Rule ID 8051 //
     /*  174085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  174096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  174099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174124 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  174124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174141 */     GIR_RootConstrainSelectedInstOperands,
     /*  174142 */     // GIR_Coverage, 8051,
     /*  174142 */     GIR_EraseRootFromParent_Done,
     /*  174143 */   // Label 3913: @174143
     /*  174143 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(174206), // Rule ID 8054 //
     /*  174148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  174162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174204 */     GIR_RootConstrainSelectedInstOperands,
     /*  174205 */     // GIR_Coverage, 8054,
     /*  174205 */     GIR_EraseRootFromParent_Done,
     /*  174206 */   // Label 3914: @174206
     /*  174206 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(174269), // Rule ID 8055 //
     /*  174211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  174225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174250 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174267 */     GIR_RootConstrainSelectedInstOperands,
     /*  174268 */     // GIR_Coverage, 8055,
     /*  174268 */     GIR_EraseRootFromParent_Done,
     /*  174269 */   // Label 3915: @174269
     /*  174269 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(174332), // Rule ID 8058 //
     /*  174274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  174288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174313 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174330 */     GIR_RootConstrainSelectedInstOperands,
     /*  174331 */     // GIR_Coverage, 8058,
     /*  174331 */     GIR_EraseRootFromParent_Done,
     /*  174332 */   // Label 3916: @174332
     /*  174332 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(174395), // Rule ID 8059 //
     /*  174337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  174351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174393 */     GIR_RootConstrainSelectedInstOperands,
     /*  174394 */     // GIR_Coverage, 8059,
     /*  174394 */     GIR_EraseRootFromParent_Done,
     /*  174395 */   // Label 3917: @174395
     /*  174395 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(174458), // Rule ID 8062 //
     /*  174400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  174411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  174414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174439 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174456 */     GIR_RootConstrainSelectedInstOperands,
     /*  174457 */     // GIR_Coverage, 8062,
     /*  174457 */     GIR_EraseRootFromParent_Done,
     /*  174458 */   // Label 3918: @174458
     /*  174458 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(174521), // Rule ID 8063 //
     /*  174463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  174474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  174477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174502 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174519 */     GIR_RootConstrainSelectedInstOperands,
     /*  174520 */     // GIR_Coverage, 8063,
     /*  174520 */     GIR_EraseRootFromParent_Done,
     /*  174521 */   // Label 3919: @174521
     /*  174521 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(174584), // Rule ID 8066 //
     /*  174526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  174537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  174540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174582 */     GIR_RootConstrainSelectedInstOperands,
     /*  174583 */     // GIR_Coverage, 8066,
     /*  174583 */     GIR_EraseRootFromParent_Done,
     /*  174584 */   // Label 3920: @174584
     /*  174584 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(174647), // Rule ID 8067 //
     /*  174589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  174600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  174603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174645 */     GIR_RootConstrainSelectedInstOperands,
     /*  174646 */     // GIR_Coverage, 8067,
     /*  174646 */     GIR_EraseRootFromParent_Done,
     /*  174647 */   // Label 3921: @174647
     /*  174647 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(174710), // Rule ID 8070 //
     /*  174652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  174666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174691 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174708 */     GIR_RootConstrainSelectedInstOperands,
     /*  174709 */     // GIR_Coverage, 8070,
     /*  174709 */     GIR_EraseRootFromParent_Done,
     /*  174710 */   // Label 3922: @174710
     /*  174710 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(174773), // Rule ID 8071 //
     /*  174715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  174729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174771 */     GIR_RootConstrainSelectedInstOperands,
     /*  174772 */     // GIR_Coverage, 8071,
     /*  174772 */     GIR_EraseRootFromParent_Done,
     /*  174773 */   // Label 3923: @174773
     /*  174773 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(174836), // Rule ID 8074 //
     /*  174778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  174792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174817 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174834 */     GIR_RootConstrainSelectedInstOperands,
     /*  174835 */     // GIR_Coverage, 8074,
     /*  174835 */     GIR_EraseRootFromParent_Done,
     /*  174836 */   // Label 3924: @174836
     /*  174836 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(174899), // Rule ID 8075 //
     /*  174841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  174855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174897 */     GIR_RootConstrainSelectedInstOperands,
     /*  174898 */     // GIR_Coverage, 8075,
     /*  174898 */     GIR_EraseRootFromParent_Done,
     /*  174899 */   // Label 3925: @174899
     /*  174899 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(174962), // Rule ID 8078 //
     /*  174904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  174907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  174915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  174918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174943 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  174943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174960 */     GIR_RootConstrainSelectedInstOperands,
     /*  174961 */     // GIR_Coverage, 8078,
     /*  174961 */     GIR_EraseRootFromParent_Done,
     /*  174962 */   // Label 3926: @174962
     /*  174962 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(175025), // Rule ID 8079 //
     /*  174967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  174970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  174978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  174981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  175009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175023 */     GIR_RootConstrainSelectedInstOperands,
     /*  175024 */     // GIR_Coverage, 8079,
     /*  175024 */     GIR_EraseRootFromParent_Done,
     /*  175025 */   // Label 3927: @175025
     /*  175025 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(175088), // Rule ID 8082 //
     /*  175030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  175033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  175044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  175047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  175058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  175069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  175072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175086 */     GIR_RootConstrainSelectedInstOperands,
     /*  175087 */     // GIR_Coverage, 8082,
     /*  175087 */     GIR_EraseRootFromParent_Done,
     /*  175088 */   // Label 3928: @175088
     /*  175088 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(175151), // Rule ID 8083 //
     /*  175093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  175096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  175107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  175121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  175135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175149 */     GIR_RootConstrainSelectedInstOperands,
     /*  175150 */     // GIR_Coverage, 8083,
     /*  175150 */     GIR_EraseRootFromParent_Done,
     /*  175151 */   // Label 3929: @175151
     /*  175151 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(175214), // Rule ID 8086 //
     /*  175156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  175159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  175167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  175170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  175173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175195 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  175195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  175198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175212 */     GIR_RootConstrainSelectedInstOperands,
     /*  175213 */     // GIR_Coverage, 8086,
     /*  175213 */     GIR_EraseRootFromParent_Done,
     /*  175214 */   // Label 3930: @175214
     /*  175214 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(175277), // Rule ID 8087 //
     /*  175219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  175222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  175230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  175233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  175261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175275 */     GIR_RootConstrainSelectedInstOperands,
     /*  175276 */     // GIR_Coverage, 8087,
     /*  175276 */     GIR_EraseRootFromParent_Done,
     /*  175277 */   // Label 3931: @175277
     /*  175277 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(175340), // Rule ID 8178 //
     /*  175282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  175296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  175299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175321 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  175324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175338 */     GIR_RootConstrainSelectedInstOperands,
     /*  175339 */     // GIR_Coverage, 8178,
     /*  175339 */     GIR_EraseRootFromParent_Done,
     /*  175340 */   // Label 3932: @175340
     /*  175340 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(175403), // Rule ID 8179 //
     /*  175345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  175359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  175362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  175387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175401 */     GIR_RootConstrainSelectedInstOperands,
     /*  175402 */     // GIR_Coverage, 8179,
     /*  175402 */     GIR_EraseRootFromParent_Done,
     /*  175403 */   // Label 3933: @175403
     /*  175403 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(175466), // Rule ID 8182 //
     /*  175408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  175422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  175425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175464 */     GIR_RootConstrainSelectedInstOperands,
     /*  175465 */     // GIR_Coverage, 8182,
     /*  175465 */     GIR_EraseRootFromParent_Done,
     /*  175466 */   // Label 3934: @175466
     /*  175466 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(175529), // Rule ID 8183 //
     /*  175471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  175485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  175488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175510 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175527 */     GIR_RootConstrainSelectedInstOperands,
     /*  175528 */     // GIR_Coverage, 8183,
     /*  175528 */     GIR_EraseRootFromParent_Done,
     /*  175529 */   // Label 3935: @175529
     /*  175529 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(175592), // Rule ID 8186 //
     /*  175534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  175548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  175551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175590 */     GIR_RootConstrainSelectedInstOperands,
     /*  175591 */     // GIR_Coverage, 8186,
     /*  175591 */     GIR_EraseRootFromParent_Done,
     /*  175592 */   // Label 3936: @175592
     /*  175592 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(175655), // Rule ID 8187 //
     /*  175597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  175611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  175614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175653 */     GIR_RootConstrainSelectedInstOperands,
     /*  175654 */     // GIR_Coverage, 8187,
     /*  175654 */     GIR_EraseRootFromParent_Done,
     /*  175655 */   // Label 3937: @175655
     /*  175655 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(175718), // Rule ID 8190 //
     /*  175660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  175674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  175677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175699 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  175699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175716 */     GIR_RootConstrainSelectedInstOperands,
     /*  175717 */     // GIR_Coverage, 8190,
     /*  175717 */     GIR_EraseRootFromParent_Done,
     /*  175718 */   // Label 3938: @175718
     /*  175718 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(175781), // Rule ID 8191 //
     /*  175723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  175737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  175740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  175762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175779 */     GIR_RootConstrainSelectedInstOperands,
     /*  175780 */     // GIR_Coverage, 8191,
     /*  175780 */     GIR_EraseRootFromParent_Done,
     /*  175781 */   // Label 3939: @175781
     /*  175781 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(175844), // Rule ID 8194 //
     /*  175786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  175800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  175803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  175825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175842 */     GIR_RootConstrainSelectedInstOperands,
     /*  175843 */     // GIR_Coverage, 8194,
     /*  175843 */     GIR_EraseRootFromParent_Done,
     /*  175844 */   // Label 3940: @175844
     /*  175844 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(175907), // Rule ID 8195 //
     /*  175849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  175863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  175866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  175888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175905 */     GIR_RootConstrainSelectedInstOperands,
     /*  175906 */     // GIR_Coverage, 8195,
     /*  175906 */     GIR_EraseRootFromParent_Done,
     /*  175907 */   // Label 3941: @175907
     /*  175907 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(175970), // Rule ID 8198 //
     /*  175912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  175926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  175929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  175951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175968 */     GIR_RootConstrainSelectedInstOperands,
     /*  175969 */     // GIR_Coverage, 8198,
     /*  175969 */     GIR_EraseRootFromParent_Done,
     /*  175970 */   // Label 3942: @175970
     /*  175970 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(176033), // Rule ID 8199 //
     /*  175975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  175989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  175992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  176014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  176017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176031 */     GIR_RootConstrainSelectedInstOperands,
     /*  176032 */     // GIR_Coverage, 8199,
     /*  176032 */     GIR_EraseRootFromParent_Done,
     /*  176033 */   // Label 3943: @176033
     /*  176033 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(176096), // Rule ID 8202 //
     /*  176038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  176052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  176055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176094 */     GIR_RootConstrainSelectedInstOperands,
     /*  176095 */     // GIR_Coverage, 8202,
     /*  176095 */     GIR_EraseRootFromParent_Done,
     /*  176096 */   // Label 3944: @176096
     /*  176096 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(176159), // Rule ID 8203 //
     /*  176101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  176115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  176118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176157 */     GIR_RootConstrainSelectedInstOperands,
     /*  176158 */     // GIR_Coverage, 8203,
     /*  176158 */     GIR_EraseRootFromParent_Done,
     /*  176159 */   // Label 3945: @176159
     /*  176159 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(176222), // Rule ID 8206 //
     /*  176164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  176175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  176178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  176181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  176203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176220 */     GIR_RootConstrainSelectedInstOperands,
     /*  176221 */     // GIR_Coverage, 8206,
     /*  176221 */     GIR_EraseRootFromParent_Done,
     /*  176222 */   // Label 3946: @176222
     /*  176222 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(176285), // Rule ID 8207 //
     /*  176227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  176238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  176241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  176244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  176266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176283 */     GIR_RootConstrainSelectedInstOperands,
     /*  176284 */     // GIR_Coverage, 8207,
     /*  176284 */     GIR_EraseRootFromParent_Done,
     /*  176285 */   // Label 3947: @176285
     /*  176285 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(176348), // Rule ID 8210 //
     /*  176290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  176301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  176304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  176307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  176329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176346 */     GIR_RootConstrainSelectedInstOperands,
     /*  176347 */     // GIR_Coverage, 8210,
     /*  176347 */     GIR_EraseRootFromParent_Done,
     /*  176348 */   // Label 3948: @176348
     /*  176348 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(176411), // Rule ID 8211 //
     /*  176353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  176364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  176367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  176370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  176392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176409 */     GIR_RootConstrainSelectedInstOperands,
     /*  176410 */     // GIR_Coverage, 8211,
     /*  176410 */     GIR_EraseRootFromParent_Done,
     /*  176411 */   // Label 3949: @176411
     /*  176411 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(176474), // Rule ID 8214 //
     /*  176416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  176427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  176430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  176433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  176455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176472 */     GIR_RootConstrainSelectedInstOperands,
     /*  176473 */     // GIR_Coverage, 8214,
     /*  176473 */     GIR_EraseRootFromParent_Done,
     /*  176474 */   // Label 3950: @176474
     /*  176474 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(176537), // Rule ID 8215 //
     /*  176479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  176490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  176493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  176496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  176518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176535 */     GIR_RootConstrainSelectedInstOperands,
     /*  176536 */     // GIR_Coverage, 8215,
     /*  176536 */     GIR_EraseRootFromParent_Done,
     /*  176537 */   // Label 3951: @176537
     /*  176537 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(176600), // Rule ID 8218 //
     /*  176542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  176553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  176556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  176559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176581 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176598 */     GIR_RootConstrainSelectedInstOperands,
     /*  176599 */     // GIR_Coverage, 8218,
     /*  176599 */     GIR_EraseRootFromParent_Done,
     /*  176600 */   // Label 3952: @176600
     /*  176600 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(176663), // Rule ID 8219 //
     /*  176605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  176616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  176619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  176622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176661 */     GIR_RootConstrainSelectedInstOperands,
     /*  176662 */     // GIR_Coverage, 8219,
     /*  176662 */     GIR_EraseRootFromParent_Done,
     /*  176663 */   // Label 3953: @176663
     /*  176663 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(176726), // Rule ID 8222 //
     /*  176668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  176679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  176682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  176685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176707 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  176710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176724 */     GIR_RootConstrainSelectedInstOperands,
     /*  176725 */     // GIR_Coverage, 8222,
     /*  176725 */     GIR_EraseRootFromParent_Done,
     /*  176726 */   // Label 3954: @176726
     /*  176726 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(176789), // Rule ID 8223 //
     /*  176731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  176742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  176745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  176748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176770 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  176773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176787 */     GIR_RootConstrainSelectedInstOperands,
     /*  176788 */     // GIR_Coverage, 8223,
     /*  176788 */     GIR_EraseRootFromParent_Done,
     /*  176789 */   // Label 3955: @176789
     /*  176789 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(176852), // Rule ID 8226 //
     /*  176794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  176805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  176808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  176811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176833 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  176836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176850 */     GIR_RootConstrainSelectedInstOperands,
     /*  176851 */     // GIR_Coverage, 8226,
     /*  176851 */     GIR_EraseRootFromParent_Done,
     /*  176852 */   // Label 3956: @176852
     /*  176852 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(176915), // Rule ID 8227 //
     /*  176857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  176868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  176871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  176874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176896 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  176899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176913 */     GIR_RootConstrainSelectedInstOperands,
     /*  176914 */     // GIR_Coverage, 8227,
     /*  176914 */     GIR_EraseRootFromParent_Done,
     /*  176915 */   // Label 3957: @176915
     /*  176915 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(176978), // Rule ID 8230 //
     /*  176920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  176934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  176937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176959 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  176959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176976 */     GIR_RootConstrainSelectedInstOperands,
     /*  176977 */     // GIR_Coverage, 8230,
     /*  176977 */     GIR_EraseRootFromParent_Done,
     /*  176978 */   // Label 3958: @176978
     /*  176978 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(177041), // Rule ID 8231 //
     /*  176983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  176997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  177000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177039 */     GIR_RootConstrainSelectedInstOperands,
     /*  177040 */     // GIR_Coverage, 8231,
     /*  177040 */     GIR_EraseRootFromParent_Done,
     /*  177041 */   // Label 3959: @177041
     /*  177041 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(177104), // Rule ID 8234 //
     /*  177046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  177060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  177063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  177085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177102 */     GIR_RootConstrainSelectedInstOperands,
     /*  177103 */     // GIR_Coverage, 8234,
     /*  177103 */     GIR_EraseRootFromParent_Done,
     /*  177104 */   // Label 3960: @177104
     /*  177104 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(177167), // Rule ID 8235 //
     /*  177109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  177123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  177126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177165 */     GIR_RootConstrainSelectedInstOperands,
     /*  177166 */     // GIR_Coverage, 8235,
     /*  177166 */     GIR_EraseRootFromParent_Done,
     /*  177167 */   // Label 3961: @177167
     /*  177167 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(177230), // Rule ID 8238 //
     /*  177172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  177183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  177186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  177189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177211 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  177211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177228 */     GIR_RootConstrainSelectedInstOperands,
     /*  177229 */     // GIR_Coverage, 8238,
     /*  177229 */     GIR_EraseRootFromParent_Done,
     /*  177230 */   // Label 3962: @177230
     /*  177230 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(177293), // Rule ID 8239 //
     /*  177235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  177246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  177249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  177252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177274 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177291 */     GIR_RootConstrainSelectedInstOperands,
     /*  177292 */     // GIR_Coverage, 8239,
     /*  177292 */     GIR_EraseRootFromParent_Done,
     /*  177293 */   // Label 3963: @177293
     /*  177293 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(177356), // Rule ID 8242 //
     /*  177298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  177312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  177315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177337 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177354 */     GIR_RootConstrainSelectedInstOperands,
     /*  177355 */     // GIR_Coverage, 8242,
     /*  177355 */     GIR_EraseRootFromParent_Done,
     /*  177356 */   // Label 3964: @177356
     /*  177356 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(177419), // Rule ID 8243 //
     /*  177361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  177375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  177378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177417 */     GIR_RootConstrainSelectedInstOperands,
     /*  177418 */     // GIR_Coverage, 8243,
     /*  177418 */     GIR_EraseRootFromParent_Done,
     /*  177419 */   // Label 3965: @177419
     /*  177419 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(177482), // Rule ID 8246 //
     /*  177424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  177438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  177441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177463 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177480 */     GIR_RootConstrainSelectedInstOperands,
     /*  177481 */     // GIR_Coverage, 8246,
     /*  177481 */     GIR_EraseRootFromParent_Done,
     /*  177482 */   // Label 3966: @177482
     /*  177482 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(177545), // Rule ID 8247 //
     /*  177487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  177501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  177504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177543 */     GIR_RootConstrainSelectedInstOperands,
     /*  177544 */     // GIR_Coverage, 8247,
     /*  177544 */     GIR_EraseRootFromParent_Done,
     /*  177545 */   // Label 3967: @177545
     /*  177545 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(177608), // Rule ID 8250 //
     /*  177550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  177564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  177567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177589 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177606 */     GIR_RootConstrainSelectedInstOperands,
     /*  177607 */     // GIR_Coverage, 8250,
     /*  177607 */     GIR_EraseRootFromParent_Done,
     /*  177608 */   // Label 3968: @177608
     /*  177608 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(177671), // Rule ID 8251 //
     /*  177613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  177627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  177630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177652 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177669 */     GIR_RootConstrainSelectedInstOperands,
     /*  177670 */     // GIR_Coverage, 8251,
     /*  177670 */     GIR_EraseRootFromParent_Done,
     /*  177671 */   // Label 3969: @177671
     /*  177671 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(177734), // Rule ID 8254 //
     /*  177676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  177687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  177690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  177693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177715 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  177715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177732 */     GIR_RootConstrainSelectedInstOperands,
     /*  177733 */     // GIR_Coverage, 8254,
     /*  177733 */     GIR_EraseRootFromParent_Done,
     /*  177734 */   // Label 3970: @177734
     /*  177734 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(177797), // Rule ID 8255 //
     /*  177739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  177750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  177753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  177756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  177778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177795 */     GIR_RootConstrainSelectedInstOperands,
     /*  177796 */     // GIR_Coverage, 8255,
     /*  177796 */     GIR_EraseRootFromParent_Done,
     /*  177797 */   // Label 3971: @177797
     /*  177797 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(177860), // Rule ID 8258 //
     /*  177802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  177816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  177819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177841 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  177841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177858 */     GIR_RootConstrainSelectedInstOperands,
     /*  177859 */     // GIR_Coverage, 8258,
     /*  177859 */     GIR_EraseRootFromParent_Done,
     /*  177860 */   // Label 3972: @177860
     /*  177860 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(177923), // Rule ID 8259 //
     /*  177865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  177879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  177882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  177904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177921 */     GIR_RootConstrainSelectedInstOperands,
     /*  177922 */     // GIR_Coverage, 8259,
     /*  177922 */     GIR_EraseRootFromParent_Done,
     /*  177923 */   // Label 3973: @177923
     /*  177923 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(177986), // Rule ID 8262 //
     /*  177928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  177942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  177945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177967 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  177967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177984 */     GIR_RootConstrainSelectedInstOperands,
     /*  177985 */     // GIR_Coverage, 8262,
     /*  177985 */     GIR_EraseRootFromParent_Done,
     /*  177986 */   // Label 3974: @177986
     /*  177986 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(178049), // Rule ID 8263 //
     /*  177991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  178005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  178008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178030 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  178030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  178033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178047 */     GIR_RootConstrainSelectedInstOperands,
     /*  178048 */     // GIR_Coverage, 8263,
     /*  178048 */     GIR_EraseRootFromParent_Done,
     /*  178049 */   // Label 3975: @178049
     /*  178049 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(178112), // Rule ID 8266 //
     /*  178054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  178068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  178096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178110 */     GIR_RootConstrainSelectedInstOperands,
     /*  178111 */     // GIR_Coverage, 8266,
     /*  178111 */     GIR_EraseRootFromParent_Done,
     /*  178112 */   // Label 3976: @178112
     /*  178112 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(178175), // Rule ID 8267 //
     /*  178117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  178131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  178159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178173 */     GIR_RootConstrainSelectedInstOperands,
     /*  178174 */     // GIR_Coverage, 8267,
     /*  178174 */     GIR_EraseRootFromParent_Done,
     /*  178175 */   // Label 3977: @178175
     /*  178175 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(178238), // Rule ID 8270 //
     /*  178180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  178194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178219 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178236 */     GIR_RootConstrainSelectedInstOperands,
     /*  178237 */     // GIR_Coverage, 8270,
     /*  178237 */     GIR_EraseRootFromParent_Done,
     /*  178238 */   // Label 3978: @178238
     /*  178238 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(178301), // Rule ID 8271 //
     /*  178243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  178257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178282 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178299 */     GIR_RootConstrainSelectedInstOperands,
     /*  178300 */     // GIR_Coverage, 8271,
     /*  178300 */     GIR_EraseRootFromParent_Done,
     /*  178301 */   // Label 3979: @178301
     /*  178301 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(178364), // Rule ID 8274 //
     /*  178306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  178320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178362 */     GIR_RootConstrainSelectedInstOperands,
     /*  178363 */     // GIR_Coverage, 8274,
     /*  178363 */     GIR_EraseRootFromParent_Done,
     /*  178364 */   // Label 3980: @178364
     /*  178364 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(178427), // Rule ID 8275 //
     /*  178369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  178383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178425 */     GIR_RootConstrainSelectedInstOperands,
     /*  178426 */     // GIR_Coverage, 8275,
     /*  178426 */     GIR_EraseRootFromParent_Done,
     /*  178427 */   // Label 3981: @178427
     /*  178427 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(178490), // Rule ID 8278 //
     /*  178432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  178446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178471 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  178471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178488 */     GIR_RootConstrainSelectedInstOperands,
     /*  178489 */     // GIR_Coverage, 8278,
     /*  178489 */     GIR_EraseRootFromParent_Done,
     /*  178490 */   // Label 3982: @178490
     /*  178490 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(178553), // Rule ID 8279 //
     /*  178495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  178509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  178534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178551 */     GIR_RootConstrainSelectedInstOperands,
     /*  178552 */     // GIR_Coverage, 8279,
     /*  178552 */     GIR_EraseRootFromParent_Done,
     /*  178553 */   // Label 3983: @178553
     /*  178553 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(178616), // Rule ID 8282 //
     /*  178558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  178572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  178597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178614 */     GIR_RootConstrainSelectedInstOperands,
     /*  178615 */     // GIR_Coverage, 8282,
     /*  178615 */     GIR_EraseRootFromParent_Done,
     /*  178616 */   // Label 3984: @178616
     /*  178616 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(178679), // Rule ID 8283 //
     /*  178621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  178635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  178660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178677 */     GIR_RootConstrainSelectedInstOperands,
     /*  178678 */     // GIR_Coverage, 8283,
     /*  178678 */     GIR_EraseRootFromParent_Done,
     /*  178679 */   // Label 3985: @178679
     /*  178679 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(178742), // Rule ID 8286 //
     /*  178684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  178698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  178723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178740 */     GIR_RootConstrainSelectedInstOperands,
     /*  178741 */     // GIR_Coverage, 8286,
     /*  178741 */     GIR_EraseRootFromParent_Done,
     /*  178742 */   // Label 3986: @178742
     /*  178742 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(178805), // Rule ID 8287 //
     /*  178747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  178761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  178786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178803 */     GIR_RootConstrainSelectedInstOperands,
     /*  178804 */     // GIR_Coverage, 8287,
     /*  178804 */     GIR_EraseRootFromParent_Done,
     /*  178805 */   // Label 3987: @178805
     /*  178805 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(178868), // Rule ID 8290 //
     /*  178810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  178824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  178852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178866 */     GIR_RootConstrainSelectedInstOperands,
     /*  178867 */     // GIR_Coverage, 8290,
     /*  178867 */     GIR_EraseRootFromParent_Done,
     /*  178868 */   // Label 3988: @178868
     /*  178868 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(178931), // Rule ID 8291 //
     /*  178873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  178887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  178915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178929 */     GIR_RootConstrainSelectedInstOperands,
     /*  178930 */     // GIR_Coverage, 8291,
     /*  178930 */     GIR_EraseRootFromParent_Done,
     /*  178931 */   // Label 3989: @178931
     /*  178931 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(178994), // Rule ID 8294 //
     /*  178936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  178950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  178975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  178978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178992 */     GIR_RootConstrainSelectedInstOperands,
     /*  178993 */     // GIR_Coverage, 8294,
     /*  178993 */     GIR_EraseRootFromParent_Done,
     /*  178994 */   // Label 3990: @178994
     /*  178994 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(179057), // Rule ID 8295 //
     /*  178999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  179010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  179013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179055 */     GIR_RootConstrainSelectedInstOperands,
     /*  179056 */     // GIR_Coverage, 8295,
     /*  179056 */     GIR_EraseRootFromParent_Done,
     /*  179057 */   // Label 3991: @179057
     /*  179057 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(179120), // Rule ID 8298 //
     /*  179062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  179073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  179076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179101 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  179101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179118 */     GIR_RootConstrainSelectedInstOperands,
     /*  179119 */     // GIR_Coverage, 8298,
     /*  179119 */     GIR_EraseRootFromParent_Done,
     /*  179120 */   // Label 3992: @179120
     /*  179120 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(179183), // Rule ID 8299 //
     /*  179125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  179136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  179139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  179164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179181 */     GIR_RootConstrainSelectedInstOperands,
     /*  179182 */     // GIR_Coverage, 8299,
     /*  179182 */     GIR_EraseRootFromParent_Done,
     /*  179183 */   // Label 3993: @179183
     /*  179183 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(179246), // Rule ID 8302 //
     /*  179188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  179191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  179199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  179202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  179227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179244 */     GIR_RootConstrainSelectedInstOperands,
     /*  179245 */     // GIR_Coverage, 8302,
     /*  179245 */     GIR_EraseRootFromParent_Done,
     /*  179246 */   // Label 3994: @179246
     /*  179246 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(179309), // Rule ID 8303 //
     /*  179251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  179254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  179262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  179265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  179290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179307 */     GIR_RootConstrainSelectedInstOperands,
     /*  179308 */     // GIR_Coverage, 8303,
     /*  179308 */     GIR_EraseRootFromParent_Done,
     /*  179309 */   // Label 3995: @179309
     /*  179309 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(179372), // Rule ID 8306 //
     /*  179314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  179328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179370 */     GIR_RootConstrainSelectedInstOperands,
     /*  179371 */     // GIR_Coverage, 8306,
     /*  179371 */     GIR_EraseRootFromParent_Done,
     /*  179372 */   // Label 3996: @179372
     /*  179372 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(179435), // Rule ID 8307 //
     /*  179377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  179391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179433 */     GIR_RootConstrainSelectedInstOperands,
     /*  179434 */     // GIR_Coverage, 8307,
     /*  179434 */     GIR_EraseRootFromParent_Done,
     /*  179435 */   // Label 3997: @179435
     /*  179435 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(179498), // Rule ID 8310 //
     /*  179440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  179454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179479 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179496 */     GIR_RootConstrainSelectedInstOperands,
     /*  179497 */     // GIR_Coverage, 8310,
     /*  179497 */     GIR_EraseRootFromParent_Done,
     /*  179498 */   // Label 3998: @179498
     /*  179498 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(179561), // Rule ID 8311 //
     /*  179503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  179517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179542 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179559 */     GIR_RootConstrainSelectedInstOperands,
     /*  179560 */     // GIR_Coverage, 8311,
     /*  179560 */     GIR_EraseRootFromParent_Done,
     /*  179561 */   // Label 3999: @179561
     /*  179561 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(179624), // Rule ID 8314 //
     /*  179566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  179577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  179580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179605 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  179608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179622 */     GIR_RootConstrainSelectedInstOperands,
     /*  179623 */     // GIR_Coverage, 8314,
     /*  179623 */     GIR_EraseRootFromParent_Done,
     /*  179624 */   // Label 4000: @179624
     /*  179624 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(179687), // Rule ID 8315 //
     /*  179629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  179640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  179643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179668 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  179671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179685 */     GIR_RootConstrainSelectedInstOperands,
     /*  179686 */     // GIR_Coverage, 8315,
     /*  179686 */     GIR_EraseRootFromParent_Done,
     /*  179687 */   // Label 4001: @179687
     /*  179687 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(179750), // Rule ID 8318 //
     /*  179692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  179703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  179706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179731 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179748 */     GIR_RootConstrainSelectedInstOperands,
     /*  179749 */     // GIR_Coverage, 8318,
     /*  179749 */     GIR_EraseRootFromParent_Done,
     /*  179750 */   // Label 4002: @179750
     /*  179750 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(179813), // Rule ID 8319 //
     /*  179755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  179766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  179769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179811 */     GIR_RootConstrainSelectedInstOperands,
     /*  179812 */     // GIR_Coverage, 8319,
     /*  179812 */     GIR_EraseRootFromParent_Done,
     /*  179813 */   // Label 4003: @179813
     /*  179813 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(179876), // Rule ID 8322 //
     /*  179818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  179832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179857 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179874 */     GIR_RootConstrainSelectedInstOperands,
     /*  179875 */     // GIR_Coverage, 8322,
     /*  179875 */     GIR_EraseRootFromParent_Done,
     /*  179876 */   // Label 4004: @179876
     /*  179876 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(179939), // Rule ID 8323 //
     /*  179881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  179895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179937 */     GIR_RootConstrainSelectedInstOperands,
     /*  179938 */     // GIR_Coverage, 8323,
     /*  179938 */     GIR_EraseRootFromParent_Done,
     /*  179939 */   // Label 4005: @179939
     /*  179939 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(180002), // Rule ID 8326 //
     /*  179944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  179958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179983 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  179986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  180000 */     GIR_RootConstrainSelectedInstOperands,
     /*  180001 */     // GIR_Coverage, 8326,
     /*  180001 */     GIR_EraseRootFromParent_Done,
     /*  180002 */   // Label 4006: @180002
     /*  180002 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(180065), // Rule ID 8327 //
     /*  180007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  180018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  180021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180046 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  180046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  180063 */     GIR_RootConstrainSelectedInstOperands,
     /*  180064 */     // GIR_Coverage, 8327,
     /*  180064 */     GIR_EraseRootFromParent_Done,
     /*  180065 */   // Label 4007: @180065
     /*  180065 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(180128), // Rule ID 8330 //
     /*  180070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  180084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180109 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180126 */     GIR_RootConstrainSelectedInstOperands,
     /*  180127 */     // GIR_Coverage, 8330,
     /*  180127 */     GIR_EraseRootFromParent_Done,
     /*  180128 */   // Label 4008: @180128
     /*  180128 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(180191), // Rule ID 8331 //
     /*  180133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  180147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180189 */     GIR_RootConstrainSelectedInstOperands,
     /*  180190 */     // GIR_Coverage, 8331,
     /*  180190 */     GIR_EraseRootFromParent_Done,
     /*  180191 */   // Label 4009: @180191
     /*  180191 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(180254), // Rule ID 8334 //
     /*  180196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  180210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180235 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180252 */     GIR_RootConstrainSelectedInstOperands,
     /*  180253 */     // GIR_Coverage, 8334,
     /*  180253 */     GIR_EraseRootFromParent_Done,
     /*  180254 */   // Label 4010: @180254
     /*  180254 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(180317), // Rule ID 8335 //
     /*  180259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  180273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180315 */     GIR_RootConstrainSelectedInstOperands,
     /*  180316 */     // GIR_Coverage, 8335,
     /*  180316 */     GIR_EraseRootFromParent_Done,
     /*  180317 */   // Label 4011: @180317
     /*  180317 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(180380), // Rule ID 8338 //
     /*  180322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  180333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  180336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180361 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180378 */     GIR_RootConstrainSelectedInstOperands,
     /*  180379 */     // GIR_Coverage, 8338,
     /*  180379 */     GIR_EraseRootFromParent_Done,
     /*  180380 */   // Label 4012: @180380
     /*  180380 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(180443), // Rule ID 8339 //
     /*  180385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  180396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  180399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180441 */     GIR_RootConstrainSelectedInstOperands,
     /*  180442 */     // GIR_Coverage, 8339,
     /*  180442 */     GIR_EraseRootFromParent_Done,
     /*  180443 */   // Label 4013: @180443
     /*  180443 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(180506), // Rule ID 8342 //
     /*  180448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  180462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180487 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180504 */     GIR_RootConstrainSelectedInstOperands,
     /*  180505 */     // GIR_Coverage, 8342,
     /*  180505 */     GIR_EraseRootFromParent_Done,
     /*  180506 */   // Label 4014: @180506
     /*  180506 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(180569), // Rule ID 8343 //
     /*  180511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  180525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180567 */     GIR_RootConstrainSelectedInstOperands,
     /*  180568 */     // GIR_Coverage, 8343,
     /*  180568 */     GIR_EraseRootFromParent_Done,
     /*  180569 */   // Label 4015: @180569
     /*  180569 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(180632), // Rule ID 8346 //
     /*  180574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  180588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180630 */     GIR_RootConstrainSelectedInstOperands,
     /*  180631 */     // GIR_Coverage, 8346,
     /*  180631 */     GIR_EraseRootFromParent_Done,
     /*  180632 */   // Label 4016: @180632
     /*  180632 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(180695), // Rule ID 8347 //
     /*  180637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  180651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180693 */     GIR_RootConstrainSelectedInstOperands,
     /*  180694 */     // GIR_Coverage, 8347,
     /*  180694 */     GIR_EraseRootFromParent_Done,
     /*  180695 */   // Label 4017: @180695
     /*  180695 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(180758), // Rule ID 8350 //
     /*  180700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  180714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180756 */     GIR_RootConstrainSelectedInstOperands,
     /*  180757 */     // GIR_Coverage, 8350,
     /*  180757 */     GIR_EraseRootFromParent_Done,
     /*  180758 */   // Label 4018: @180758
     /*  180758 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(180821), // Rule ID 8351 //
     /*  180763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  180777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180819 */     GIR_RootConstrainSelectedInstOperands,
     /*  180820 */     // GIR_Coverage, 8351,
     /*  180820 */     GIR_EraseRootFromParent_Done,
     /*  180821 */   // Label 4019: @180821
     /*  180821 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(180884), // Rule ID 8354 //
     /*  180826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  180837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  180840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  180843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  180865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  180868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  180882 */     GIR_RootConstrainSelectedInstOperands,
     /*  180883 */     // GIR_Coverage, 8354,
     /*  180883 */     GIR_EraseRootFromParent_Done,
     /*  180884 */   // Label 4020: @180884
     /*  180884 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(180947), // Rule ID 8355 //
     /*  180889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  180900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  180903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  180906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  180928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  180931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  180945 */     GIR_RootConstrainSelectedInstOperands,
     /*  180946 */     // GIR_Coverage, 8355,
     /*  180946 */     GIR_EraseRootFromParent_Done,
     /*  180947 */   // Label 4021: @180947
     /*  180947 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(181010), // Rule ID 8358 //
     /*  180952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  180966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  180969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180991 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  180991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  180994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181008 */     GIR_RootConstrainSelectedInstOperands,
     /*  181009 */     // GIR_Coverage, 8358,
     /*  181009 */     GIR_EraseRootFromParent_Done,
     /*  181010 */   // Label 4022: @181010
     /*  181010 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(181073), // Rule ID 8359 //
     /*  181015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  181029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  181032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181054 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181071 */     GIR_RootConstrainSelectedInstOperands,
     /*  181072 */     // GIR_Coverage, 8359,
     /*  181072 */     GIR_EraseRootFromParent_Done,
     /*  181073 */   // Label 4023: @181073
     /*  181073 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(181136), // Rule ID 8362 //
     /*  181078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  181092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  181095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  181117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181134 */     GIR_RootConstrainSelectedInstOperands,
     /*  181135 */     // GIR_Coverage, 8362,
     /*  181135 */     GIR_EraseRootFromParent_Done,
     /*  181136 */   // Label 4024: @181136
     /*  181136 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(181199), // Rule ID 8363 //
     /*  181141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  181155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  181158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181197 */     GIR_RootConstrainSelectedInstOperands,
     /*  181198 */     // GIR_Coverage, 8363,
     /*  181198 */     GIR_EraseRootFromParent_Done,
     /*  181199 */   // Label 4025: @181199
     /*  181199 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(181262), // Rule ID 8366 //
     /*  181204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  181218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  181221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181243 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181260 */     GIR_RootConstrainSelectedInstOperands,
     /*  181261 */     // GIR_Coverage, 8366,
     /*  181261 */     GIR_EraseRootFromParent_Done,
     /*  181262 */   // Label 4026: @181262
     /*  181262 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(181325), // Rule ID 8367 //
     /*  181267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  181281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  181284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181306 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181323 */     GIR_RootConstrainSelectedInstOperands,
     /*  181324 */     // GIR_Coverage, 8367,
     /*  181324 */     GIR_EraseRootFromParent_Done,
     /*  181325 */   // Label 4027: @181325
     /*  181325 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(181388), // Rule ID 8370 //
     /*  181330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  181344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  181347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181369 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181386 */     GIR_RootConstrainSelectedInstOperands,
     /*  181387 */     // GIR_Coverage, 8370,
     /*  181387 */     GIR_EraseRootFromParent_Done,
     /*  181388 */   // Label 4028: @181388
     /*  181388 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(181451), // Rule ID 8371 //
     /*  181393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  181407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  181410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181449 */     GIR_RootConstrainSelectedInstOperands,
     /*  181450 */     // GIR_Coverage, 8371,
     /*  181450 */     GIR_EraseRootFromParent_Done,
     /*  181451 */   // Label 4029: @181451
     /*  181451 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(181514), // Rule ID 8374 //
     /*  181456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  181470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  181473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  181495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181512 */     GIR_RootConstrainSelectedInstOperands,
     /*  181513 */     // GIR_Coverage, 8374,
     /*  181513 */     GIR_EraseRootFromParent_Done,
     /*  181514 */   // Label 4030: @181514
     /*  181514 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(181577), // Rule ID 8375 //
     /*  181519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  181533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  181536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  181558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181575 */     GIR_RootConstrainSelectedInstOperands,
     /*  181576 */     // GIR_Coverage, 8375,
     /*  181576 */     GIR_EraseRootFromParent_Done,
     /*  181577 */   // Label 4031: @181577
     /*  181577 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(181640), // Rule ID 8378 //
     /*  181582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  181593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  181596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  181599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181621 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  181621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181638 */     GIR_RootConstrainSelectedInstOperands,
     /*  181639 */     // GIR_Coverage, 8378,
     /*  181639 */     GIR_EraseRootFromParent_Done,
     /*  181640 */   // Label 4032: @181640
     /*  181640 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(181703), // Rule ID 8379 //
     /*  181645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  181656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  181659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  181662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181701 */     GIR_RootConstrainSelectedInstOperands,
     /*  181702 */     // GIR_Coverage, 8379,
     /*  181702 */     GIR_EraseRootFromParent_Done,
     /*  181703 */   // Label 4033: @181703
     /*  181703 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(181766), // Rule ID 8382 //
     /*  181708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  181722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  181725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181747 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181764 */     GIR_RootConstrainSelectedInstOperands,
     /*  181765 */     // GIR_Coverage, 8382,
     /*  181765 */     GIR_EraseRootFromParent_Done,
     /*  181766 */   // Label 4034: @181766
     /*  181766 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(181829), // Rule ID 8383 //
     /*  181771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  181785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  181788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181827 */     GIR_RootConstrainSelectedInstOperands,
     /*  181828 */     // GIR_Coverage, 8383,
     /*  181828 */     GIR_EraseRootFromParent_Done,
     /*  181829 */   // Label 4035: @181829
     /*  181829 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(181892), // Rule ID 8386 //
     /*  181834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  181848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  181851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  181873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181890 */     GIR_RootConstrainSelectedInstOperands,
     /*  181891 */     // GIR_Coverage, 8386,
     /*  181891 */     GIR_EraseRootFromParent_Done,
     /*  181892 */   // Label 4036: @181892
     /*  181892 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(181955), // Rule ID 8387 //
     /*  181897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  181911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  181914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  181936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181953 */     GIR_RootConstrainSelectedInstOperands,
     /*  181954 */     // GIR_Coverage, 8387,
     /*  181954 */     GIR_EraseRootFromParent_Done,
     /*  181955 */   // Label 4037: @181955
     /*  181955 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(182018), // Rule ID 8390 //
     /*  181960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  181963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  181974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  181977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181999 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  181999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  182002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182016 */     GIR_RootConstrainSelectedInstOperands,
     /*  182017 */     // GIR_Coverage, 8390,
     /*  182017 */     GIR_EraseRootFromParent_Done,
     /*  182018 */   // Label 4038: @182018
     /*  182018 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(182081), // Rule ID 8391 //
     /*  182023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  182026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  182034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  182037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  182040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  182062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  182065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182079 */     GIR_RootConstrainSelectedInstOperands,
     /*  182080 */     // GIR_Coverage, 8391,
     /*  182080 */     GIR_EraseRootFromParent_Done,
     /*  182081 */   // Label 4039: @182081
     /*  182081 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(182144), // Rule ID 8394 //
     /*  182086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  182100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  182103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182125 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182142 */     GIR_RootConstrainSelectedInstOperands,
     /*  182143 */     // GIR_Coverage, 8394,
     /*  182143 */     GIR_EraseRootFromParent_Done,
     /*  182144 */   // Label 4040: @182144
     /*  182144 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(182207), // Rule ID 8395 //
     /*  182149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  182163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  182166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182205 */     GIR_RootConstrainSelectedInstOperands,
     /*  182206 */     // GIR_Coverage, 8395,
     /*  182206 */     GIR_EraseRootFromParent_Done,
     /*  182207 */   // Label 4041: @182207
     /*  182207 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(182270), // Rule ID 8398 //
     /*  182212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  182226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  182229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182251 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182268 */     GIR_RootConstrainSelectedInstOperands,
     /*  182269 */     // GIR_Coverage, 8398,
     /*  182269 */     GIR_EraseRootFromParent_Done,
     /*  182270 */   // Label 4042: @182270
     /*  182270 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(182333), // Rule ID 8399 //
     /*  182275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  182289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  182292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182314 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182331 */     GIR_RootConstrainSelectedInstOperands,
     /*  182332 */     // GIR_Coverage, 8399,
     /*  182332 */     GIR_EraseRootFromParent_Done,
     /*  182333 */   // Label 4043: @182333
     /*  182333 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(182396), // Rule ID 8402 //
     /*  182338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  182349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  182352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  182355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182377 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182394 */     GIR_RootConstrainSelectedInstOperands,
     /*  182395 */     // GIR_Coverage, 8402,
     /*  182395 */     GIR_EraseRootFromParent_Done,
     /*  182396 */   // Label 4044: @182396
     /*  182396 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(182459), // Rule ID 8403 //
     /*  182401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  182412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  182415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  182418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182440 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182457 */     GIR_RootConstrainSelectedInstOperands,
     /*  182458 */     // GIR_Coverage, 8403,
     /*  182458 */     GIR_EraseRootFromParent_Done,
     /*  182459 */   // Label 4045: @182459
     /*  182459 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(182522), // Rule ID 8406 //
     /*  182464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  182475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  182478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  182481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182520 */     GIR_RootConstrainSelectedInstOperands,
     /*  182521 */     // GIR_Coverage, 8406,
     /*  182521 */     GIR_EraseRootFromParent_Done,
     /*  182522 */   // Label 4046: @182522
     /*  182522 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(182585), // Rule ID 8407 //
     /*  182527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  182538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  182541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  182544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182583 */     GIR_RootConstrainSelectedInstOperands,
     /*  182584 */     // GIR_Coverage, 8407,
     /*  182584 */     GIR_EraseRootFromParent_Done,
     /*  182585 */   // Label 4047: @182585
     /*  182585 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(182648), // Rule ID 8410 //
     /*  182590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  182604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  182607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182629 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182646 */     GIR_RootConstrainSelectedInstOperands,
     /*  182647 */     // GIR_Coverage, 8410,
     /*  182647 */     GIR_EraseRootFromParent_Done,
     /*  182648 */   // Label 4048: @182648
     /*  182648 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(182711), // Rule ID 8411 //
     /*  182653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  182667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  182670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182709 */     GIR_RootConstrainSelectedInstOperands,
     /*  182710 */     // GIR_Coverage, 8411,
     /*  182710 */     GIR_EraseRootFromParent_Done,
     /*  182711 */   // Label 4049: @182711
     /*  182711 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(182774), // Rule ID 8414 //
     /*  182716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  182730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  182733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182755 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182772 */     GIR_RootConstrainSelectedInstOperands,
     /*  182773 */     // GIR_Coverage, 8414,
     /*  182773 */     GIR_EraseRootFromParent_Done,
     /*  182774 */   // Label 4050: @182774
     /*  182774 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(182837), // Rule ID 8415 //
     /*  182779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  182793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  182796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182818 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182835 */     GIR_RootConstrainSelectedInstOperands,
     /*  182836 */     // GIR_Coverage, 8415,
     /*  182836 */     GIR_EraseRootFromParent_Done,
     /*  182837 */   // Label 4051: @182837
     /*  182837 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(182900), // Rule ID 8418 //
     /*  182842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  182853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  182856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  182859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  182881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182898 */     GIR_RootConstrainSelectedInstOperands,
     /*  182899 */     // GIR_Coverage, 8418,
     /*  182899 */     GIR_EraseRootFromParent_Done,
     /*  182900 */   // Label 4052: @182900
     /*  182900 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(182963), // Rule ID 8419 //
     /*  182905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  182916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  182919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  182922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  182944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182961 */     GIR_RootConstrainSelectedInstOperands,
     /*  182962 */     // GIR_Coverage, 8419,
     /*  182962 */     GIR_EraseRootFromParent_Done,
     /*  182963 */   // Label 4053: @182963
     /*  182963 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(183026), // Rule ID 8422 //
     /*  182968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  182979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  182982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  182985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183007 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  183007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183024 */     GIR_RootConstrainSelectedInstOperands,
     /*  183025 */     // GIR_Coverage, 8422,
     /*  183025 */     GIR_EraseRootFromParent_Done,
     /*  183026 */   // Label 4054: @183026
     /*  183026 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(183089), // Rule ID 8423 //
     /*  183031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  183045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  183048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  183070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183087 */     GIR_RootConstrainSelectedInstOperands,
     /*  183088 */     // GIR_Coverage, 8423,
     /*  183088 */     GIR_EraseRootFromParent_Done,
     /*  183089 */   // Label 4055: @183089
     /*  183089 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(183152), // Rule ID 8426 //
     /*  183094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  183105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  183108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  183111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  183133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183150 */     GIR_RootConstrainSelectedInstOperands,
     /*  183151 */     // GIR_Coverage, 8426,
     /*  183151 */     GIR_EraseRootFromParent_Done,
     /*  183152 */   // Label 4056: @183152
     /*  183152 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(183215), // Rule ID 8427 //
     /*  183157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  183168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  183171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  183174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  183196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183213 */     GIR_RootConstrainSelectedInstOperands,
     /*  183214 */     // GIR_Coverage, 8427,
     /*  183214 */     GIR_EraseRootFromParent_Done,
     /*  183215 */   // Label 4057: @183215
     /*  183215 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(183278), // Rule ID 8430 //
     /*  183220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  183234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  183237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183259 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  183262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183276 */     GIR_RootConstrainSelectedInstOperands,
     /*  183277 */     // GIR_Coverage, 8430,
     /*  183277 */     GIR_EraseRootFromParent_Done,
     /*  183278 */   // Label 4058: @183278
     /*  183278 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(183341), // Rule ID 8431 //
     /*  183283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  183297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  183300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183322 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  183325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183339 */     GIR_RootConstrainSelectedInstOperands,
     /*  183340 */     // GIR_Coverage, 8431,
     /*  183340 */     GIR_EraseRootFromParent_Done,
     /*  183341 */   // Label 4059: @183341
     /*  183341 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(183404), // Rule ID 8434 //
     /*  183346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  183360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  183363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183385 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183402 */     GIR_RootConstrainSelectedInstOperands,
     /*  183403 */     // GIR_Coverage, 8434,
     /*  183403 */     GIR_EraseRootFromParent_Done,
     /*  183404 */   // Label 4060: @183404
     /*  183404 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(183467), // Rule ID 8435 //
     /*  183409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  183423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  183426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183465 */     GIR_RootConstrainSelectedInstOperands,
     /*  183466 */     // GIR_Coverage, 8435,
     /*  183466 */     GIR_EraseRootFromParent_Done,
     /*  183467 */   // Label 4061: @183467
     /*  183467 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(183530), // Rule ID 8438 //
     /*  183472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  183486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  183489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183528 */     GIR_RootConstrainSelectedInstOperands,
     /*  183529 */     // GIR_Coverage, 8438,
     /*  183529 */     GIR_EraseRootFromParent_Done,
     /*  183530 */   // Label 4062: @183530
     /*  183530 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(183593), // Rule ID 8439 //
     /*  183535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  183549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  183552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183574 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183591 */     GIR_RootConstrainSelectedInstOperands,
     /*  183592 */     // GIR_Coverage, 8439,
     /*  183592 */     GIR_EraseRootFromParent_Done,
     /*  183593 */   // Label 4063: @183593
     /*  183593 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(183656), // Rule ID 8442 //
     /*  183598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  183609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  183612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  183640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183654 */     GIR_RootConstrainSelectedInstOperands,
     /*  183655 */     // GIR_Coverage, 8442,
     /*  183655 */     GIR_EraseRootFromParent_Done,
     /*  183656 */   // Label 4064: @183656
     /*  183656 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(183719), // Rule ID 8443 //
     /*  183661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  183672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  183675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  183703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183717 */     GIR_RootConstrainSelectedInstOperands,
     /*  183718 */     // GIR_Coverage, 8443,
     /*  183718 */     GIR_EraseRootFromParent_Done,
     /*  183719 */   // Label 4065: @183719
     /*  183719 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(183782), // Rule ID 8446 //
     /*  183724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  183738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183763 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  183766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183780 */     GIR_RootConstrainSelectedInstOperands,
     /*  183781 */     // GIR_Coverage, 8446,
     /*  183781 */     GIR_EraseRootFromParent_Done,
     /*  183782 */   // Label 4066: @183782
     /*  183782 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(183845), // Rule ID 8447 //
     /*  183787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  183801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  183829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183843 */     GIR_RootConstrainSelectedInstOperands,
     /*  183844 */     // GIR_Coverage, 8447,
     /*  183844 */     GIR_EraseRootFromParent_Done,
     /*  183845 */   // Label 4067: @183845
     /*  183845 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(183908), // Rule ID 8450 //
     /*  183850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  183864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183889 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  183892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183906 */     GIR_RootConstrainSelectedInstOperands,
     /*  183907 */     // GIR_Coverage, 8450,
     /*  183907 */     GIR_EraseRootFromParent_Done,
     /*  183908 */   // Label 4068: @183908
     /*  183908 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(183971), // Rule ID 8451 //
     /*  183913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  183927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  183955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183969 */     GIR_RootConstrainSelectedInstOperands,
     /*  183970 */     // GIR_Coverage, 8451,
     /*  183970 */     GIR_EraseRootFromParent_Done,
     /*  183971 */   // Label 4069: @183971
     /*  183971 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(184034), // Rule ID 8454 //
     /*  183976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  183987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  183990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  184018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184032 */     GIR_RootConstrainSelectedInstOperands,
     /*  184033 */     // GIR_Coverage, 8454,
     /*  184033 */     GIR_EraseRootFromParent_Done,
     /*  184034 */   // Label 4070: @184034
     /*  184034 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(184097), // Rule ID 8455 //
     /*  184039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  184053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  184081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184095 */     GIR_RootConstrainSelectedInstOperands,
     /*  184096 */     // GIR_Coverage, 8455,
     /*  184096 */     GIR_EraseRootFromParent_Done,
     /*  184097 */   // Label 4071: @184097
     /*  184097 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(184160), // Rule ID 8458 //
     /*  184102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  184116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184158 */     GIR_RootConstrainSelectedInstOperands,
     /*  184159 */     // GIR_Coverage, 8458,
     /*  184159 */     GIR_EraseRootFromParent_Done,
     /*  184160 */   // Label 4072: @184160
     /*  184160 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(184223), // Rule ID 8459 //
     /*  184165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  184179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184221 */     GIR_RootConstrainSelectedInstOperands,
     /*  184222 */     // GIR_Coverage, 8459,
     /*  184222 */     GIR_EraseRootFromParent_Done,
     /*  184223 */   // Label 4073: @184223
     /*  184223 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(184286), // Rule ID 8462 //
     /*  184228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  184242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  184267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184284 */     GIR_RootConstrainSelectedInstOperands,
     /*  184285 */     // GIR_Coverage, 8462,
     /*  184285 */     GIR_EraseRootFromParent_Done,
     /*  184286 */   // Label 4074: @184286
     /*  184286 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(184349), // Rule ID 8463 //
     /*  184291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  184305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  184330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184347 */     GIR_RootConstrainSelectedInstOperands,
     /*  184348 */     // GIR_Coverage, 8463,
     /*  184348 */     GIR_EraseRootFromParent_Done,
     /*  184349 */   // Label 4075: @184349
     /*  184349 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(184412), // Rule ID 8466 //
     /*  184354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  184365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  184368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  184393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184410 */     GIR_RootConstrainSelectedInstOperands,
     /*  184411 */     // GIR_Coverage, 8466,
     /*  184411 */     GIR_EraseRootFromParent_Done,
     /*  184412 */   // Label 4076: @184412
     /*  184412 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(184475), // Rule ID 8467 //
     /*  184417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  184428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  184431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  184456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184473 */     GIR_RootConstrainSelectedInstOperands,
     /*  184474 */     // GIR_Coverage, 8467,
     /*  184474 */     GIR_EraseRootFromParent_Done,
     /*  184475 */   // Label 4077: @184475
     /*  184475 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(184538), // Rule ID 8470 //
     /*  184480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  184491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  184494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184536 */     GIR_RootConstrainSelectedInstOperands,
     /*  184537 */     // GIR_Coverage, 8470,
     /*  184537 */     GIR_EraseRootFromParent_Done,
     /*  184538 */   // Label 4078: @184538
     /*  184538 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(184601), // Rule ID 8471 //
     /*  184543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  184554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  184557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184599 */     GIR_RootConstrainSelectedInstOperands,
     /*  184600 */     // GIR_Coverage, 8471,
     /*  184600 */     GIR_EraseRootFromParent_Done,
     /*  184601 */   // Label 4079: @184601
     /*  184601 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(184664), // Rule ID 8474 //
     /*  184606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  184620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184645 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  184645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184662 */     GIR_RootConstrainSelectedInstOperands,
     /*  184663 */     // GIR_Coverage, 8474,
     /*  184663 */     GIR_EraseRootFromParent_Done,
     /*  184664 */   // Label 4080: @184664
     /*  184664 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(184727), // Rule ID 8475 //
     /*  184669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  184683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  184708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184725 */     GIR_RootConstrainSelectedInstOperands,
     /*  184726 */     // GIR_Coverage, 8475,
     /*  184726 */     GIR_EraseRootFromParent_Done,
     /*  184727 */   // Label 4081: @184727
     /*  184727 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(184790), // Rule ID 8478 //
     /*  184732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  184735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  184746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184771 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  184771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  184788 */     GIR_RootConstrainSelectedInstOperands,
     /*  184789 */     // GIR_Coverage, 8478,
     /*  184789 */     GIR_EraseRootFromParent_Done,
     /*  184790 */   // Label 4082: @184790
     /*  184790 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(184853), // Rule ID 8479 //
     /*  184795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  184798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  184809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  184834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  184851 */     GIR_RootConstrainSelectedInstOperands,
     /*  184852 */     // GIR_Coverage, 8479,
     /*  184852 */     GIR_EraseRootFromParent_Done,
     /*  184853 */   // Label 4083: @184853
     /*  184853 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(184916), // Rule ID 8482 //
     /*  184858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  184869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  184872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  184886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  184897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  184900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184914 */     GIR_RootConstrainSelectedInstOperands,
     /*  184915 */     // GIR_Coverage, 8482,
     /*  184915 */     GIR_EraseRootFromParent_Done,
     /*  184916 */   // Label 4084: @184916
     /*  184916 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(184979), // Rule ID 8483 //
     /*  184921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  184932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  184935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  184949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  184960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  184963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184977 */     GIR_RootConstrainSelectedInstOperands,
     /*  184978 */     // GIR_Coverage, 8483,
     /*  184978 */     GIR_EraseRootFromParent_Done,
     /*  184979 */   // Label 4085: @184979
     /*  184979 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(185042), // Rule ID 8486 //
     /*  184984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  184995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  184998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185023 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  185023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185040 */     GIR_RootConstrainSelectedInstOperands,
     /*  185041 */     // GIR_Coverage, 8486,
     /*  185041 */     GIR_EraseRootFromParent_Done,
     /*  185042 */   // Label 4086: @185042
     /*  185042 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(185105), // Rule ID 8487 //
     /*  185047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  185061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185086 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  185086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185103 */     GIR_RootConstrainSelectedInstOperands,
     /*  185104 */     // GIR_Coverage, 8487,
     /*  185104 */     GIR_EraseRootFromParent_Done,
     /*  185105 */   // Label 4087: @185105
     /*  185105 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(185168), // Rule ID 8490 //
     /*  185110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  185121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  185124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185149 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  185149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185166 */     GIR_RootConstrainSelectedInstOperands,
     /*  185167 */     // GIR_Coverage, 8490,
     /*  185167 */     GIR_EraseRootFromParent_Done,
     /*  185168 */   // Label 4088: @185168
     /*  185168 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(185231), // Rule ID 8491 //
     /*  185173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  185184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  185187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185212 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  185212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185229 */     GIR_RootConstrainSelectedInstOperands,
     /*  185230 */     // GIR_Coverage, 8491,
     /*  185230 */     GIR_EraseRootFromParent_Done,
     /*  185231 */   // Label 4089: @185231
     /*  185231 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(185294), // Rule ID 8494 //
     /*  185236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  185250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185292 */     GIR_RootConstrainSelectedInstOperands,
     /*  185293 */     // GIR_Coverage, 8494,
     /*  185293 */     GIR_EraseRootFromParent_Done,
     /*  185294 */   // Label 4090: @185294
     /*  185294 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(185357), // Rule ID 8495 //
     /*  185299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  185313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185355 */     GIR_RootConstrainSelectedInstOperands,
     /*  185356 */     // GIR_Coverage, 8495,
     /*  185356 */     GIR_EraseRootFromParent_Done,
     /*  185357 */   // Label 4091: @185357
     /*  185357 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(185420), // Rule ID 8498 //
     /*  185362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  185376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185418 */     GIR_RootConstrainSelectedInstOperands,
     /*  185419 */     // GIR_Coverage, 8498,
     /*  185419 */     GIR_EraseRootFromParent_Done,
     /*  185420 */   // Label 4092: @185420
     /*  185420 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(185483), // Rule ID 8499 //
     /*  185425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  185439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185481 */     GIR_RootConstrainSelectedInstOperands,
     /*  185482 */     // GIR_Coverage, 8499,
     /*  185482 */     GIR_EraseRootFromParent_Done,
     /*  185483 */   // Label 4093: @185483
     /*  185483 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(185546), // Rule ID 8502 //
     /*  185488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  185502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185527 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185544 */     GIR_RootConstrainSelectedInstOperands,
     /*  185545 */     // GIR_Coverage, 8502,
     /*  185545 */     GIR_EraseRootFromParent_Done,
     /*  185546 */   // Label 4094: @185546
     /*  185546 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(185609), // Rule ID 8503 //
     /*  185551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  185565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185590 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185607 */     GIR_RootConstrainSelectedInstOperands,
     /*  185608 */     // GIR_Coverage, 8503,
     /*  185608 */     GIR_EraseRootFromParent_Done,
     /*  185609 */   // Label 4095: @185609
     /*  185609 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(185672), // Rule ID 8506 //
     /*  185614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  185625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  185628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185670 */     GIR_RootConstrainSelectedInstOperands,
     /*  185671 */     // GIR_Coverage, 8506,
     /*  185671 */     GIR_EraseRootFromParent_Done,
     /*  185672 */   // Label 4096: @185672
     /*  185672 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(185735), // Rule ID 8507 //
     /*  185677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  185688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  185691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  185716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185733 */     GIR_RootConstrainSelectedInstOperands,
     /*  185734 */     // GIR_Coverage, 8507,
     /*  185734 */     GIR_EraseRootFromParent_Done,
     /*  185735 */   // Label 4097: @185735
     /*  185735 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(185798), // Rule ID 8510 //
     /*  185740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  185754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185796 */     GIR_RootConstrainSelectedInstOperands,
     /*  185797 */     // GIR_Coverage, 8510,
     /*  185797 */     GIR_EraseRootFromParent_Done,
     /*  185798 */   // Label 4098: @185798
     /*  185798 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(185861), // Rule ID 8511 //
     /*  185803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  185817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  185842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185859 */     GIR_RootConstrainSelectedInstOperands,
     /*  185860 */     // GIR_Coverage, 8511,
     /*  185860 */     GIR_EraseRootFromParent_Done,
     /*  185861 */   // Label 4099: @185861
     /*  185861 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(185924), // Rule ID 8514 //
     /*  185866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  185880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185905 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185922 */     GIR_RootConstrainSelectedInstOperands,
     /*  185923 */     // GIR_Coverage, 8514,
     /*  185923 */     GIR_EraseRootFromParent_Done,
     /*  185924 */   // Label 4100: @185924
     /*  185924 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(185987), // Rule ID 8515 //
     /*  185929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  185943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  185968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185985 */     GIR_RootConstrainSelectedInstOperands,
     /*  185986 */     // GIR_Coverage, 8515,
     /*  185986 */     GIR_EraseRootFromParent_Done,
     /*  185987 */   // Label 4101: @185987
     /*  185987 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(186050), // Rule ID 8518 //
     /*  185992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  185995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  186006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  186020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186031 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  186034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186048 */     GIR_RootConstrainSelectedInstOperands,
     /*  186049 */     // GIR_Coverage, 8518,
     /*  186049 */     GIR_EraseRootFromParent_Done,
     /*  186050 */   // Label 4102: @186050
     /*  186050 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(186113), // Rule ID 8519 //
     /*  186055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  186069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  186083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186094 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  186097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186111 */     GIR_RootConstrainSelectedInstOperands,
     /*  186112 */     // GIR_Coverage, 8519,
     /*  186112 */     GIR_EraseRootFromParent_Done,
     /*  186113 */   // Label 4103: @186113
     /*  186113 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(186176), // Rule ID 8522 //
     /*  186118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  186121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  186132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  186146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186157 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  186160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186174 */     GIR_RootConstrainSelectedInstOperands,
     /*  186175 */     // GIR_Coverage, 8522,
     /*  186175 */     GIR_EraseRootFromParent_Done,
     /*  186176 */   // Label 4104: @186176
     /*  186176 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(186239), // Rule ID 8523 //
     /*  186181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  186195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  186209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  186223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186237 */     GIR_RootConstrainSelectedInstOperands,
     /*  186238 */     // GIR_Coverage, 8523,
     /*  186238 */     GIR_EraseRootFromParent_Done,
     /*  186239 */   // Label 4105: @186239
     /*  186239 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(186302), // Rule ID 8526 //
     /*  186244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  186247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  186255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  186258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  186272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186283 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  186286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186300 */     GIR_RootConstrainSelectedInstOperands,
     /*  186301 */     // GIR_Coverage, 8526,
     /*  186301 */     GIR_EraseRootFromParent_Done,
     /*  186302 */   // Label 4106: @186302
     /*  186302 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(186365), // Rule ID 8527 //
     /*  186307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  186318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  186321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  186335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186346 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  186349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186363 */     GIR_RootConstrainSelectedInstOperands,
     /*  186364 */     // GIR_Coverage, 8527,
     /*  186364 */     GIR_EraseRootFromParent_Done,
     /*  186365 */   // Label 4107: @186365
     /*  186365 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(186428), // Rule ID 8530 //
     /*  186370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  186384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  186387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186409 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  186412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186426 */     GIR_RootConstrainSelectedInstOperands,
     /*  186427 */     // GIR_Coverage, 8530,
     /*  186427 */     GIR_EraseRootFromParent_Done,
     /*  186428 */   // Label 4108: @186428
     /*  186428 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(186491), // Rule ID 8531 //
     /*  186433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  186447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  186450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  186475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186489 */     GIR_RootConstrainSelectedInstOperands,
     /*  186490 */     // GIR_Coverage, 8531,
     /*  186490 */     GIR_EraseRootFromParent_Done,
     /*  186491 */   // Label 4109: @186491
     /*  186491 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(186554), // Rule ID 8534 //
     /*  186496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  186510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  186513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186535 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186552 */     GIR_RootConstrainSelectedInstOperands,
     /*  186553 */     // GIR_Coverage, 8534,
     /*  186553 */     GIR_EraseRootFromParent_Done,
     /*  186554 */   // Label 4110: @186554
     /*  186554 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(186617), // Rule ID 8535 //
     /*  186559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  186573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  186576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186598 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186615 */     GIR_RootConstrainSelectedInstOperands,
     /*  186616 */     // GIR_Coverage, 8535,
     /*  186616 */     GIR_EraseRootFromParent_Done,
     /*  186617 */   // Label 4111: @186617
     /*  186617 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(186680), // Rule ID 8538 //
     /*  186622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  186636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  186639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186661 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186678 */     GIR_RootConstrainSelectedInstOperands,
     /*  186679 */     // GIR_Coverage, 8538,
     /*  186679 */     GIR_EraseRootFromParent_Done,
     /*  186680 */   // Label 4112: @186680
     /*  186680 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(186743), // Rule ID 8539 //
     /*  186685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  186699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  186702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186741 */     GIR_RootConstrainSelectedInstOperands,
     /*  186742 */     // GIR_Coverage, 8539,
     /*  186742 */     GIR_EraseRootFromParent_Done,
     /*  186743 */   // Label 4113: @186743
     /*  186743 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(186806), // Rule ID 8542 //
     /*  186748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  186762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  186765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  186787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186804 */     GIR_RootConstrainSelectedInstOperands,
     /*  186805 */     // GIR_Coverage, 8542,
     /*  186805 */     GIR_EraseRootFromParent_Done,
     /*  186806 */   // Label 4114: @186806
     /*  186806 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(186869), // Rule ID 8543 //
     /*  186811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  186825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  186828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186850 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  186850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186867 */     GIR_RootConstrainSelectedInstOperands,
     /*  186868 */     // GIR_Coverage, 8543,
     /*  186868 */     GIR_EraseRootFromParent_Done,
     /*  186869 */   // Label 4115: @186869
     /*  186869 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(186932), // Rule ID 8546 //
     /*  186874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  186888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  186891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  186913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186930 */     GIR_RootConstrainSelectedInstOperands,
     /*  186931 */     // GIR_Coverage, 8546,
     /*  186931 */     GIR_EraseRootFromParent_Done,
     /*  186932 */   // Label 4116: @186932
     /*  186932 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(186995), // Rule ID 8547 //
     /*  186937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  186951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  186954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  186976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186993 */     GIR_RootConstrainSelectedInstOperands,
     /*  186994 */     // GIR_Coverage, 8547,
     /*  186994 */     GIR_EraseRootFromParent_Done,
     /*  186995 */   // Label 4117: @186995
     /*  186995 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(187058), // Rule ID 8550 //
     /*  187000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  187014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  187017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187039 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  187039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  187042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187056 */     GIR_RootConstrainSelectedInstOperands,
     /*  187057 */     // GIR_Coverage, 8550,
     /*  187057 */     GIR_EraseRootFromParent_Done,
     /*  187058 */   // Label 4118: @187058
     /*  187058 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(187121), // Rule ID 8551 //
     /*  187063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  187077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  187080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  187102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  187105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187119 */     GIR_RootConstrainSelectedInstOperands,
     /*  187120 */     // GIR_Coverage, 8551,
     /*  187120 */     GIR_EraseRootFromParent_Done,
     /*  187121 */   // Label 4119: @187121
     /*  187121 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(187184), // Rule ID 8554 //
     /*  187126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  187137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  187140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  187143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187182 */     GIR_RootConstrainSelectedInstOperands,
     /*  187183 */     // GIR_Coverage, 8554,
     /*  187183 */     GIR_EraseRootFromParent_Done,
     /*  187184 */   // Label 4120: @187184
     /*  187184 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(187247), // Rule ID 8555 //
     /*  187189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  187200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  187203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  187206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187245 */     GIR_RootConstrainSelectedInstOperands,
     /*  187246 */     // GIR_Coverage, 8555,
     /*  187246 */     GIR_EraseRootFromParent_Done,
     /*  187247 */   // Label 4121: @187247
     /*  187247 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(187310), // Rule ID 8558 //
     /*  187252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  187263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  187266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  187269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  187291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187308 */     GIR_RootConstrainSelectedInstOperands,
     /*  187309 */     // GIR_Coverage, 8558,
     /*  187309 */     GIR_EraseRootFromParent_Done,
     /*  187310 */   // Label 4122: @187310
     /*  187310 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(187373), // Rule ID 8559 //
     /*  187315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  187326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  187329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  187332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  187354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187371 */     GIR_RootConstrainSelectedInstOperands,
     /*  187372 */     // GIR_Coverage, 8559,
     /*  187372 */     GIR_EraseRootFromParent_Done,
     /*  187373 */   // Label 4123: @187373
     /*  187373 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(187436), // Rule ID 8562 //
     /*  187378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  187389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  187392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  187395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  187417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187434 */     GIR_RootConstrainSelectedInstOperands,
     /*  187435 */     // GIR_Coverage, 8562,
     /*  187435 */     GIR_EraseRootFromParent_Done,
     /*  187436 */   // Label 4124: @187436
     /*  187436 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(187499), // Rule ID 8563 //
     /*  187441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  187452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  187455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  187458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  187480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187497 */     GIR_RootConstrainSelectedInstOperands,
     /*  187498 */     // GIR_Coverage, 8563,
     /*  187498 */     GIR_EraseRootFromParent_Done,
     /*  187499 */   // Label 4125: @187499
     /*  187499 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(187562), // Rule ID 8566 //
     /*  187504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  187507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  187518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  187521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  187543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187560 */     GIR_RootConstrainSelectedInstOperands,
     /*  187561 */     // GIR_Coverage, 8566,
     /*  187561 */     GIR_EraseRootFromParent_Done,
     /*  187562 */   // Label 4126: @187562
     /*  187562 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(187625), // Rule ID 8567 //
     /*  187567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  187570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  187581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  187584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187606 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  187606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187623 */     GIR_RootConstrainSelectedInstOperands,
     /*  187624 */     // GIR_Coverage, 8567,
     /*  187624 */     GIR_EraseRootFromParent_Done,
     /*  187625 */   // Label 4127: @187625
     /*  187625 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(187688), // Rule ID 8570 //
     /*  187630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  187641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  187644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  187647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  187672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187686 */     GIR_RootConstrainSelectedInstOperands,
     /*  187687 */     // GIR_Coverage, 8570,
     /*  187687 */     GIR_EraseRootFromParent_Done,
     /*  187688 */   // Label 4128: @187688
     /*  187688 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(187751), // Rule ID 8571 //
     /*  187693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  187704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  187707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  187710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  187735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187749 */     GIR_RootConstrainSelectedInstOperands,
     /*  187750 */     // GIR_Coverage, 8571,
     /*  187750 */     GIR_EraseRootFromParent_Done,
     /*  187751 */   // Label 4129: @187751
     /*  187751 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(187814), // Rule ID 8574 //
     /*  187756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  187767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  187770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  187773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187795 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  187798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187812 */     GIR_RootConstrainSelectedInstOperands,
     /*  187813 */     // GIR_Coverage, 8574,
     /*  187813 */     GIR_EraseRootFromParent_Done,
     /*  187814 */   // Label 4130: @187814
     /*  187814 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(187877), // Rule ID 8575 //
     /*  187819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  187830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  187833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  187836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187858 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  187861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187875 */     GIR_RootConstrainSelectedInstOperands,
     /*  187876 */     // GIR_Coverage, 8575,
     /*  187876 */     GIR_EraseRootFromParent_Done,
     /*  187877 */   // Label 4131: @187877
     /*  187877 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(187940), // Rule ID 8578 //
     /*  187882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  187893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  187896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  187899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187921 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  187924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187938 */     GIR_RootConstrainSelectedInstOperands,
     /*  187939 */     // GIR_Coverage, 8578,
     /*  187939 */     GIR_EraseRootFromParent_Done,
     /*  187940 */   // Label 4132: @187940
     /*  187940 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(188003), // Rule ID 8579 //
     /*  187945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  187956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  187959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  187962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187984 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  187987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  188001 */     GIR_RootConstrainSelectedInstOperands,
     /*  188002 */     // GIR_Coverage, 8579,
     /*  188002 */     GIR_EraseRootFromParent_Done,
     /*  188003 */   // Label 4133: @188003
     /*  188003 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(188066), // Rule ID 8582 //
     /*  188008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  188022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  188025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188047 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188064 */     GIR_RootConstrainSelectedInstOperands,
     /*  188065 */     // GIR_Coverage, 8582,
     /*  188065 */     GIR_EraseRootFromParent_Done,
     /*  188066 */   // Label 4134: @188066
     /*  188066 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(188129), // Rule ID 8583 //
     /*  188071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  188085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  188088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188127 */     GIR_RootConstrainSelectedInstOperands,
     /*  188128 */     // GIR_Coverage, 8583,
     /*  188128 */     GIR_EraseRootFromParent_Done,
     /*  188129 */   // Label 4135: @188129
     /*  188129 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(188192), // Rule ID 8586 //
     /*  188134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  188148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  188151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188190 */     GIR_RootConstrainSelectedInstOperands,
     /*  188191 */     // GIR_Coverage, 8586,
     /*  188191 */     GIR_EraseRootFromParent_Done,
     /*  188192 */   // Label 4136: @188192
     /*  188192 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(188255), // Rule ID 8587 //
     /*  188197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  188211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  188214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188253 */     GIR_RootConstrainSelectedInstOperands,
     /*  188254 */     // GIR_Coverage, 8587,
     /*  188254 */     GIR_EraseRootFromParent_Done,
     /*  188255 */   // Label 4137: @188255
     /*  188255 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(188318), // Rule ID 8590 //
     /*  188260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  188271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  188274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  188277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188299 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188316 */     GIR_RootConstrainSelectedInstOperands,
     /*  188317 */     // GIR_Coverage, 8590,
     /*  188317 */     GIR_EraseRootFromParent_Done,
     /*  188318 */   // Label 4138: @188318
     /*  188318 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(188381), // Rule ID 8591 //
     /*  188323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  188334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  188337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  188340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188362 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188379 */     GIR_RootConstrainSelectedInstOperands,
     /*  188380 */     // GIR_Coverage, 8591,
     /*  188380 */     GIR_EraseRootFromParent_Done,
     /*  188381 */   // Label 4139: @188381
     /*  188381 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(188444), // Rule ID 8594 //
     /*  188386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  188400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  188403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188442 */     GIR_RootConstrainSelectedInstOperands,
     /*  188443 */     // GIR_Coverage, 8594,
     /*  188443 */     GIR_EraseRootFromParent_Done,
     /*  188444 */   // Label 4140: @188444
     /*  188444 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(188507), // Rule ID 8595 //
     /*  188449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  188463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  188466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188505 */     GIR_RootConstrainSelectedInstOperands,
     /*  188506 */     // GIR_Coverage, 8595,
     /*  188506 */     GIR_EraseRootFromParent_Done,
     /*  188507 */   // Label 4141: @188507
     /*  188507 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(188570), // Rule ID 8598 //
     /*  188512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  188526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  188529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188568 */     GIR_RootConstrainSelectedInstOperands,
     /*  188569 */     // GIR_Coverage, 8598,
     /*  188569 */     GIR_EraseRootFromParent_Done,
     /*  188570 */   // Label 4142: @188570
     /*  188570 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(188633), // Rule ID 8599 //
     /*  188575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  188589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  188592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188631 */     GIR_RootConstrainSelectedInstOperands,
     /*  188632 */     // GIR_Coverage, 8599,
     /*  188632 */     GIR_EraseRootFromParent_Done,
     /*  188633 */   // Label 4143: @188633
     /*  188633 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(188696), // Rule ID 8602 //
     /*  188638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  188652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  188655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188694 */     GIR_RootConstrainSelectedInstOperands,
     /*  188695 */     // GIR_Coverage, 8602,
     /*  188695 */     GIR_EraseRootFromParent_Done,
     /*  188696 */   // Label 4144: @188696
     /*  188696 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(188759), // Rule ID 8603 //
     /*  188701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  188715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  188718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188740 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188757 */     GIR_RootConstrainSelectedInstOperands,
     /*  188758 */     // GIR_Coverage, 8603,
     /*  188758 */     GIR_EraseRootFromParent_Done,
     /*  188759 */   // Label 4145: @188759
     /*  188759 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(188822), // Rule ID 8606 //
     /*  188764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  188767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  188775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  188778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  188781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  188803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188820 */     GIR_RootConstrainSelectedInstOperands,
     /*  188821 */     // GIR_Coverage, 8606,
     /*  188821 */     GIR_EraseRootFromParent_Done,
     /*  188822 */   // Label 4146: @188822
     /*  188822 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(188885), // Rule ID 8607 //
     /*  188827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  188830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  188838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  188841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  188844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188866 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  188866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188883 */     GIR_RootConstrainSelectedInstOperands,
     /*  188884 */     // GIR_Coverage, 8607,
     /*  188884 */     GIR_EraseRootFromParent_Done,
     /*  188885 */   // Label 4147: @188885
     /*  188885 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(188948), // Rule ID 8610 //
     /*  188890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  188893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  188904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  188907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  188929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188946 */     GIR_RootConstrainSelectedInstOperands,
     /*  188947 */     // GIR_Coverage, 8610,
     /*  188947 */     GIR_EraseRootFromParent_Done,
     /*  188948 */   // Label 4148: @188948
     /*  188948 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(189011), // Rule ID 8611 //
     /*  188953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  188956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  188967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  188970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  188992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189009 */     GIR_RootConstrainSelectedInstOperands,
     /*  189010 */     // GIR_Coverage, 8611,
     /*  189010 */     GIR_EraseRootFromParent_Done,
     /*  189011 */   // Label 4149: @189011
     /*  189011 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(189074), // Rule ID 8614 //
     /*  189016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  189019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  189030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  189033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  189055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  189058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189072 */     GIR_RootConstrainSelectedInstOperands,
     /*  189073 */     // GIR_Coverage, 8614,
     /*  189073 */     GIR_EraseRootFromParent_Done,
     /*  189074 */   // Label 4150: @189074
     /*  189074 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(189137), // Rule ID 8615 //
     /*  189079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  189082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  189093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  189096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189118 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  189118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  189121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189135 */     GIR_RootConstrainSelectedInstOperands,
     /*  189136 */     // GIR_Coverage, 8615,
     /*  189136 */     GIR_EraseRootFromParent_Done,
     /*  189137 */   // Label 4151: @189137
     /*  189137 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(189200), // Rule ID 8618 //
     /*  189142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  189156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  189184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189198 */     GIR_RootConstrainSelectedInstOperands,
     /*  189199 */     // GIR_Coverage, 8618,
     /*  189199 */     GIR_EraseRootFromParent_Done,
     /*  189200 */   // Label 4152: @189200
     /*  189200 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(189263), // Rule ID 8619 //
     /*  189205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  189219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  189247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189261 */     GIR_RootConstrainSelectedInstOperands,
     /*  189262 */     // GIR_Coverage, 8619,
     /*  189262 */     GIR_EraseRootFromParent_Done,
     /*  189263 */   // Label 4153: @189263
     /*  189263 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(189326), // Rule ID 8622 //
     /*  189268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  189282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189324 */     GIR_RootConstrainSelectedInstOperands,
     /*  189325 */     // GIR_Coverage, 8622,
     /*  189325 */     GIR_EraseRootFromParent_Done,
     /*  189326 */   // Label 4154: @189326
     /*  189326 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(189389), // Rule ID 8623 //
     /*  189331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  189345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189370 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189387 */     GIR_RootConstrainSelectedInstOperands,
     /*  189388 */     // GIR_Coverage, 8623,
     /*  189388 */     GIR_EraseRootFromParent_Done,
     /*  189389 */   // Label 4155: @189389
     /*  189389 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(189452), // Rule ID 8626 //
     /*  189394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  189405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  189408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189450 */     GIR_RootConstrainSelectedInstOperands,
     /*  189451 */     // GIR_Coverage, 8626,
     /*  189451 */     GIR_EraseRootFromParent_Done,
     /*  189452 */   // Label 4156: @189452
     /*  189452 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(189515), // Rule ID 8627 //
     /*  189457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  189468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  189471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189513 */     GIR_RootConstrainSelectedInstOperands,
     /*  189514 */     // GIR_Coverage, 8627,
     /*  189514 */     GIR_EraseRootFromParent_Done,
     /*  189515 */   // Label 4157: @189515
     /*  189515 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(189578), // Rule ID 8630 //
     /*  189520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  189534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  189559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189576 */     GIR_RootConstrainSelectedInstOperands,
     /*  189577 */     // GIR_Coverage, 8630,
     /*  189577 */     GIR_EraseRootFromParent_Done,
     /*  189578 */   // Label 4158: @189578
     /*  189578 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(189641), // Rule ID 8631 //
     /*  189583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  189597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  189622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189639 */     GIR_RootConstrainSelectedInstOperands,
     /*  189640 */     // GIR_Coverage, 8631,
     /*  189640 */     GIR_EraseRootFromParent_Done,
     /*  189641 */   // Label 4159: @189641
     /*  189641 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(189704), // Rule ID 8634 //
     /*  189646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  189660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  189685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189702 */     GIR_RootConstrainSelectedInstOperands,
     /*  189703 */     // GIR_Coverage, 8634,
     /*  189703 */     GIR_EraseRootFromParent_Done,
     /*  189704 */   // Label 4160: @189704
     /*  189704 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(189767), // Rule ID 8635 //
     /*  189709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  189723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  189748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189765 */     GIR_RootConstrainSelectedInstOperands,
     /*  189766 */     // GIR_Coverage, 8635,
     /*  189766 */     GIR_EraseRootFromParent_Done,
     /*  189767 */   // Label 4161: @189767
     /*  189767 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(189830), // Rule ID 8638 //
     /*  189772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  189786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189811 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  189811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189828 */     GIR_RootConstrainSelectedInstOperands,
     /*  189829 */     // GIR_Coverage, 8638,
     /*  189829 */     GIR_EraseRootFromParent_Done,
     /*  189830 */   // Label 4162: @189830
     /*  189830 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(189893), // Rule ID 8639 //
     /*  189835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  189849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  189874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189891 */     GIR_RootConstrainSelectedInstOperands,
     /*  189892 */     // GIR_Coverage, 8639,
     /*  189892 */     GIR_EraseRootFromParent_Done,
     /*  189893 */   // Label 4163: @189893
     /*  189893 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(189956), // Rule ID 8642 //
     /*  189898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  189912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  189940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189954 */     GIR_RootConstrainSelectedInstOperands,
     /*  189955 */     // GIR_Coverage, 8642,
     /*  189955 */     GIR_EraseRootFromParent_Done,
     /*  189956 */   // Label 4164: @189956
     /*  189956 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(190019), // Rule ID 8643 //
     /*  189961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  189975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190017 */     GIR_RootConstrainSelectedInstOperands,
     /*  190018 */     // GIR_Coverage, 8643,
     /*  190018 */     GIR_EraseRootFromParent_Done,
     /*  190019 */   // Label 4165: @190019
     /*  190019 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(190082), // Rule ID 8646 //
     /*  190024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  190035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  190038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190080 */     GIR_RootConstrainSelectedInstOperands,
     /*  190081 */     // GIR_Coverage, 8646,
     /*  190081 */     GIR_EraseRootFromParent_Done,
     /*  190082 */   // Label 4166: @190082
     /*  190082 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(190145), // Rule ID 8647 //
     /*  190087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  190098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  190101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  190126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190143 */     GIR_RootConstrainSelectedInstOperands,
     /*  190144 */     // GIR_Coverage, 8647,
     /*  190144 */     GIR_EraseRootFromParent_Done,
     /*  190145 */   // Label 4167: @190145
     /*  190145 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(190208), // Rule ID 8650 //
     /*  190150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  190161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  190164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190189 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  190189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  190206 */     GIR_RootConstrainSelectedInstOperands,
     /*  190207 */     // GIR_Coverage, 8650,
     /*  190207 */     GIR_EraseRootFromParent_Done,
     /*  190208 */   // Label 4168: @190208
     /*  190208 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(190271), // Rule ID 8651 //
     /*  190213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  190224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  190227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  190252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  190269 */     GIR_RootConstrainSelectedInstOperands,
     /*  190270 */     // GIR_Coverage, 8651,
     /*  190270 */     GIR_EraseRootFromParent_Done,
     /*  190271 */   // Label 4169: @190271
     /*  190271 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(190334), // Rule ID 8654 //
     /*  190276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  190279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  190287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  190290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  190315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  190332 */     GIR_RootConstrainSelectedInstOperands,
     /*  190333 */     // GIR_Coverage, 8654,
     /*  190333 */     GIR_EraseRootFromParent_Done,
     /*  190334 */   // Label 4170: @190334
     /*  190334 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(190397), // Rule ID 8655 //
     /*  190339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  190342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  190350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  190353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  190378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  190395 */     GIR_RootConstrainSelectedInstOperands,
     /*  190396 */     // GIR_Coverage, 8655,
     /*  190396 */     GIR_EraseRootFromParent_Done,
     /*  190397 */   // Label 4171: @190397
     /*  190397 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(190460), // Rule ID 8658 //
     /*  190402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  190416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190458 */     GIR_RootConstrainSelectedInstOperands,
     /*  190459 */     // GIR_Coverage, 8658,
     /*  190459 */     GIR_EraseRootFromParent_Done,
     /*  190460 */   // Label 4172: @190460
     /*  190460 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(190523), // Rule ID 8659 //
     /*  190465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  190479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190521 */     GIR_RootConstrainSelectedInstOperands,
     /*  190522 */     // GIR_Coverage, 8659,
     /*  190522 */     GIR_EraseRootFromParent_Done,
     /*  190523 */   // Label 4173: @190523
     /*  190523 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(190586), // Rule ID 8662 //
     /*  190528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  190539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  190542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190567 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190584 */     GIR_RootConstrainSelectedInstOperands,
     /*  190585 */     // GIR_Coverage, 8662,
     /*  190585 */     GIR_EraseRootFromParent_Done,
     /*  190586 */   // Label 4174: @190586
     /*  190586 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(190649), // Rule ID 8663 //
     /*  190591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  190602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  190605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190630 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190647 */     GIR_RootConstrainSelectedInstOperands,
     /*  190648 */     // GIR_Coverage, 8663,
     /*  190648 */     GIR_EraseRootFromParent_Done,
     /*  190649 */   // Label 4175: @190649
     /*  190649 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(190712), // Rule ID 8666 //
     /*  190654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  190665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  190668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  190682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190693 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  190696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190710 */     GIR_RootConstrainSelectedInstOperands,
     /*  190711 */     // GIR_Coverage, 8666,
     /*  190711 */     GIR_EraseRootFromParent_Done,
     /*  190712 */   // Label 4176: @190712
     /*  190712 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(190775), // Rule ID 8667 //
     /*  190717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  190728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  190731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  190745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190756 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  190759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190773 */     GIR_RootConstrainSelectedInstOperands,
     /*  190774 */     // GIR_Coverage, 8667,
     /*  190774 */     GIR_EraseRootFromParent_Done,
     /*  190775 */   // Label 4177: @190775
     /*  190775 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(190838), // Rule ID 8670 //
     /*  190780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  190791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  190794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190836 */     GIR_RootConstrainSelectedInstOperands,
     /*  190837 */     // GIR_Coverage, 8670,
     /*  190837 */     GIR_EraseRootFromParent_Done,
     /*  190838 */   // Label 4178: @190838
     /*  190838 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(190901), // Rule ID 8671 //
     /*  190843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  190854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  190857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  190882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190899 */     GIR_RootConstrainSelectedInstOperands,
     /*  190900 */     // GIR_Coverage, 8671,
     /*  190900 */     GIR_EraseRootFromParent_Done,
     /*  190901 */   // Label 4179: @190901
     /*  190901 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(190964), // Rule ID 8674 //
     /*  190906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  190920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190945 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190962 */     GIR_RootConstrainSelectedInstOperands,
     /*  190963 */     // GIR_Coverage, 8674,
     /*  190963 */     GIR_EraseRootFromParent_Done,
     /*  190964 */   // Label 4180: @190964
     /*  190964 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(191027), // Rule ID 8675 //
     /*  190969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  190983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  191008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191025 */     GIR_RootConstrainSelectedInstOperands,
     /*  191026 */     // GIR_Coverage, 8675,
     /*  191026 */     GIR_EraseRootFromParent_Done,
     /*  191027 */   // Label 4181: @191027
     /*  191027 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(191090), // Rule ID 8678 //
     /*  191032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  191043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  191046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191071 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  191071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191088 */     GIR_RootConstrainSelectedInstOperands,
     /*  191089 */     // GIR_Coverage, 8678,
     /*  191089 */     GIR_EraseRootFromParent_Done,
     /*  191090 */   // Label 4182: @191090
     /*  191090 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(191153), // Rule ID 8679 //
     /*  191095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  191106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  191109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191134 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  191134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191151 */     GIR_RootConstrainSelectedInstOperands,
     /*  191152 */     // GIR_Coverage, 8679,
     /*  191152 */     GIR_EraseRootFromParent_Done,
     /*  191153 */   // Label 4183: @191153
     /*  191153 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(191216), // Rule ID 8682 //
     /*  191158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  191172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191214 */     GIR_RootConstrainSelectedInstOperands,
     /*  191215 */     // GIR_Coverage, 8682,
     /*  191215 */     GIR_EraseRootFromParent_Done,
     /*  191216 */   // Label 4184: @191216
     /*  191216 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(191279), // Rule ID 8683 //
     /*  191221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  191235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191277 */     GIR_RootConstrainSelectedInstOperands,
     /*  191278 */     // GIR_Coverage, 8683,
     /*  191278 */     GIR_EraseRootFromParent_Done,
     /*  191279 */   // Label 4185: @191279
     /*  191279 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(191342), // Rule ID 8686 //
     /*  191284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  191298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191340 */     GIR_RootConstrainSelectedInstOperands,
     /*  191341 */     // GIR_Coverage, 8686,
     /*  191341 */     GIR_EraseRootFromParent_Done,
     /*  191342 */   // Label 4186: @191342
     /*  191342 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(191405), // Rule ID 8687 //
     /*  191347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  191361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191403 */     GIR_RootConstrainSelectedInstOperands,
     /*  191404 */     // GIR_Coverage, 8687,
     /*  191404 */     GIR_EraseRootFromParent_Done,
     /*  191405 */   // Label 4187: @191405
     /*  191405 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(191468), // Rule ID 8690 //
     /*  191410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  191421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  191424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191449 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191466 */     GIR_RootConstrainSelectedInstOperands,
     /*  191467 */     // GIR_Coverage, 8690,
     /*  191467 */     GIR_EraseRootFromParent_Done,
     /*  191468 */   // Label 4188: @191468
     /*  191468 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(191531), // Rule ID 8691 //
     /*  191473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  191484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  191487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191529 */     GIR_RootConstrainSelectedInstOperands,
     /*  191530 */     // GIR_Coverage, 8691,
     /*  191530 */     GIR_EraseRootFromParent_Done,
     /*  191531 */   // Label 4189: @191531
     /*  191531 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(191594), // Rule ID 8694 //
     /*  191536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  191547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  191550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191592 */     GIR_RootConstrainSelectedInstOperands,
     /*  191593 */     // GIR_Coverage, 8694,
     /*  191593 */     GIR_EraseRootFromParent_Done,
     /*  191594 */   // Label 4190: @191594
     /*  191594 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(191657), // Rule ID 8695 //
     /*  191599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  191610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  191613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191655 */     GIR_RootConstrainSelectedInstOperands,
     /*  191656 */     // GIR_Coverage, 8695,
     /*  191656 */     GIR_EraseRootFromParent_Done,
     /*  191657 */   // Label 4191: @191657
     /*  191657 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(191720), // Rule ID 8698 //
     /*  191662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  191676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191718 */     GIR_RootConstrainSelectedInstOperands,
     /*  191719 */     // GIR_Coverage, 8698,
     /*  191719 */     GIR_EraseRootFromParent_Done,
     /*  191720 */   // Label 4192: @191720
     /*  191720 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(191783), // Rule ID 8699 //
     /*  191725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  191739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191781 */     GIR_RootConstrainSelectedInstOperands,
     /*  191782 */     // GIR_Coverage, 8699,
     /*  191782 */     GIR_EraseRootFromParent_Done,
     /*  191783 */   // Label 4193: @191783
     /*  191783 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(191846), // Rule ID 8702 //
     /*  191788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  191802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191844 */     GIR_RootConstrainSelectedInstOperands,
     /*  191845 */     // GIR_Coverage, 8702,
     /*  191845 */     GIR_EraseRootFromParent_Done,
     /*  191846 */   // Label 4194: @191846
     /*  191846 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(191909), // Rule ID 8703 //
     /*  191851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  191865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191907 */     GIR_RootConstrainSelectedInstOperands,
     /*  191908 */     // GIR_Coverage, 8703,
     /*  191908 */     GIR_EraseRootFromParent_Done,
     /*  191909 */   // Label 4195: @191909
     /*  191909 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(191972), // Rule ID 8794 //
     /*  191914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  191922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  191925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  191928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  191931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  191953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  191956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  191970 */     GIR_RootConstrainSelectedInstOperands,
     /*  191971 */     // GIR_Coverage, 8794,
     /*  191971 */     GIR_EraseRootFromParent_Done,
     /*  191972 */   // Label 4196: @191972
     /*  191972 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(192035), // Rule ID 8795 //
     /*  191977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  191985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  191988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  191991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  191994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  192019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192033 */     GIR_RootConstrainSelectedInstOperands,
     /*  192034 */     // GIR_Coverage, 8795,
     /*  192034 */     GIR_EraseRootFromParent_Done,
     /*  192035 */   // Label 4197: @192035
     /*  192035 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(192098), // Rule ID 8798 //
     /*  192040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  192054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  192057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192096 */     GIR_RootConstrainSelectedInstOperands,
     /*  192097 */     // GIR_Coverage, 8798,
     /*  192097 */     GIR_EraseRootFromParent_Done,
     /*  192098 */   // Label 4198: @192098
     /*  192098 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(192161), // Rule ID 8799 //
     /*  192103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  192117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  192120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192159 */     GIR_RootConstrainSelectedInstOperands,
     /*  192160 */     // GIR_Coverage, 8799,
     /*  192160 */     GIR_EraseRootFromParent_Done,
     /*  192161 */   // Label 4199: @192161
     /*  192161 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(192224), // Rule ID 8802 //
     /*  192166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  192180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  192183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192222 */     GIR_RootConstrainSelectedInstOperands,
     /*  192223 */     // GIR_Coverage, 8802,
     /*  192223 */     GIR_EraseRootFromParent_Done,
     /*  192224 */   // Label 4200: @192224
     /*  192224 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(192287), // Rule ID 8803 //
     /*  192229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  192243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  192246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192285 */     GIR_RootConstrainSelectedInstOperands,
     /*  192286 */     // GIR_Coverage, 8803,
     /*  192286 */     GIR_EraseRootFromParent_Done,
     /*  192287 */   // Label 4201: @192287
     /*  192287 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(192350), // Rule ID 8806 //
     /*  192292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  192306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  192309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192331 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192348 */     GIR_RootConstrainSelectedInstOperands,
     /*  192349 */     // GIR_Coverage, 8806,
     /*  192349 */     GIR_EraseRootFromParent_Done,
     /*  192350 */   // Label 4202: @192350
     /*  192350 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(192413), // Rule ID 8807 //
     /*  192355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  192369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  192372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192394 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192411 */     GIR_RootConstrainSelectedInstOperands,
     /*  192412 */     // GIR_Coverage, 8807,
     /*  192412 */     GIR_EraseRootFromParent_Done,
     /*  192413 */   // Label 4203: @192413
     /*  192413 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(192476), // Rule ID 8810 //
     /*  192418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  192432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  192435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192474 */     GIR_RootConstrainSelectedInstOperands,
     /*  192475 */     // GIR_Coverage, 8810,
     /*  192475 */     GIR_EraseRootFromParent_Done,
     /*  192476 */   // Label 4204: @192476
     /*  192476 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(192539), // Rule ID 8811 //
     /*  192481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  192495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  192498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192537 */     GIR_RootConstrainSelectedInstOperands,
     /*  192538 */     // GIR_Coverage, 8811,
     /*  192538 */     GIR_EraseRootFromParent_Done,
     /*  192539 */   // Label 4205: @192539
     /*  192539 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(192602), // Rule ID 8814 //
     /*  192544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  192558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  192561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  192583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192600 */     GIR_RootConstrainSelectedInstOperands,
     /*  192601 */     // GIR_Coverage, 8814,
     /*  192601 */     GIR_EraseRootFromParent_Done,
     /*  192602 */   // Label 4206: @192602
     /*  192602 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(192665), // Rule ID 8815 //
     /*  192607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  192621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  192624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  192646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192663 */     GIR_RootConstrainSelectedInstOperands,
     /*  192664 */     // GIR_Coverage, 8815,
     /*  192664 */     GIR_EraseRootFromParent_Done,
     /*  192665 */   // Label 4207: @192665
     /*  192665 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(192728), // Rule ID 8818 //
     /*  192670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  192681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  192684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  192687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192726 */     GIR_RootConstrainSelectedInstOperands,
     /*  192727 */     // GIR_Coverage, 8818,
     /*  192727 */     GIR_EraseRootFromParent_Done,
     /*  192728 */   // Label 4208: @192728
     /*  192728 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(192791), // Rule ID 8819 //
     /*  192733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  192744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  192747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  192750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192789 */     GIR_RootConstrainSelectedInstOperands,
     /*  192790 */     // GIR_Coverage, 8819,
     /*  192790 */     GIR_EraseRootFromParent_Done,
     /*  192791 */   // Label 4209: @192791
     /*  192791 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(192854), // Rule ID 8822 //
     /*  192796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  192810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  192813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192852 */     GIR_RootConstrainSelectedInstOperands,
     /*  192853 */     // GIR_Coverage, 8822,
     /*  192853 */     GIR_EraseRootFromParent_Done,
     /*  192854 */   // Label 4210: @192854
     /*  192854 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(192917), // Rule ID 8823 //
     /*  192859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  192873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  192876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192915 */     GIR_RootConstrainSelectedInstOperands,
     /*  192916 */     // GIR_Coverage, 8823,
     /*  192916 */     GIR_EraseRootFromParent_Done,
     /*  192917 */   // Label 4211: @192917
     /*  192917 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(192980), // Rule ID 8826 //
     /*  192922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  192936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  192939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  192961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192978 */     GIR_RootConstrainSelectedInstOperands,
     /*  192979 */     // GIR_Coverage, 8826,
     /*  192979 */     GIR_EraseRootFromParent_Done,
     /*  192980 */   // Label 4212: @192980
     /*  192980 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(193043), // Rule ID 8827 //
     /*  192985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  192999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  193002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  193024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193041 */     GIR_RootConstrainSelectedInstOperands,
     /*  193042 */     // GIR_Coverage, 8827,
     /*  193042 */     GIR_EraseRootFromParent_Done,
     /*  193043 */   // Label 4213: @193043
     /*  193043 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(193106), // Rule ID 8830 //
     /*  193048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  193051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  193059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  193062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  193065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  193087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193104 */     GIR_RootConstrainSelectedInstOperands,
     /*  193105 */     // GIR_Coverage, 8830,
     /*  193105 */     GIR_EraseRootFromParent_Done,
     /*  193106 */   // Label 4214: @193106
     /*  193106 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(193169), // Rule ID 8831 //
     /*  193111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  193114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  193122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  193125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  193128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193150 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  193150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193167 */     GIR_RootConstrainSelectedInstOperands,
     /*  193168 */     // GIR_Coverage, 8831,
     /*  193168 */     GIR_EraseRootFromParent_Done,
     /*  193169 */   // Label 4215: @193169
     /*  193169 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(193232), // Rule ID 8834 //
     /*  193174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  193188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  193191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193230 */     GIR_RootConstrainSelectedInstOperands,
     /*  193231 */     // GIR_Coverage, 8834,
     /*  193231 */     GIR_EraseRootFromParent_Done,
     /*  193232 */   // Label 4216: @193232
     /*  193232 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(193295), // Rule ID 8835 //
     /*  193237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  193251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  193254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193293 */     GIR_RootConstrainSelectedInstOperands,
     /*  193294 */     // GIR_Coverage, 8835,
     /*  193294 */     GIR_EraseRootFromParent_Done,
     /*  193295 */   // Label 4217: @193295
     /*  193295 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(193358), // Rule ID 8838 //
     /*  193300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  193314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  193317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193339 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193356 */     GIR_RootConstrainSelectedInstOperands,
     /*  193357 */     // GIR_Coverage, 8838,
     /*  193357 */     GIR_EraseRootFromParent_Done,
     /*  193358 */   // Label 4218: @193358
     /*  193358 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(193421), // Rule ID 8839 //
     /*  193363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  193377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  193380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193402 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193419 */     GIR_RootConstrainSelectedInstOperands,
     /*  193420 */     // GIR_Coverage, 8839,
     /*  193420 */     GIR_EraseRootFromParent_Done,
     /*  193421 */   // Label 4219: @193421
     /*  193421 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(193484), // Rule ID 8842 //
     /*  193426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  193437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  193440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  193443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193465 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193482 */     GIR_RootConstrainSelectedInstOperands,
     /*  193483 */     // GIR_Coverage, 8842,
     /*  193483 */     GIR_EraseRootFromParent_Done,
     /*  193484 */   // Label 4220: @193484
     /*  193484 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(193547), // Rule ID 8843 //
     /*  193489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  193500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  193503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  193506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193545 */     GIR_RootConstrainSelectedInstOperands,
     /*  193546 */     // GIR_Coverage, 8843,
     /*  193546 */     GIR_EraseRootFromParent_Done,
     /*  193547 */   // Label 4221: @193547
     /*  193547 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(193610), // Rule ID 8846 //
     /*  193552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  193563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  193566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  193569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193591 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193608 */     GIR_RootConstrainSelectedInstOperands,
     /*  193609 */     // GIR_Coverage, 8846,
     /*  193609 */     GIR_EraseRootFromParent_Done,
     /*  193610 */   // Label 4222: @193610
     /*  193610 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(193673), // Rule ID 8847 //
     /*  193615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  193626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  193629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  193632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193671 */     GIR_RootConstrainSelectedInstOperands,
     /*  193672 */     // GIR_Coverage, 8847,
     /*  193672 */     GIR_EraseRootFromParent_Done,
     /*  193673 */   // Label 4223: @193673
     /*  193673 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(193736), // Rule ID 8850 //
     /*  193678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  193692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  193695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193734 */     GIR_RootConstrainSelectedInstOperands,
     /*  193735 */     // GIR_Coverage, 8850,
     /*  193735 */     GIR_EraseRootFromParent_Done,
     /*  193736 */   // Label 4224: @193736
     /*  193736 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(193799), // Rule ID 8851 //
     /*  193741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  193755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  193758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193797 */     GIR_RootConstrainSelectedInstOperands,
     /*  193798 */     // GIR_Coverage, 8851,
     /*  193798 */     GIR_EraseRootFromParent_Done,
     /*  193799 */   // Label 4225: @193799
     /*  193799 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(193862), // Rule ID 8854 //
     /*  193804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  193818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  193821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193843 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193860 */     GIR_RootConstrainSelectedInstOperands,
     /*  193861 */     // GIR_Coverage, 8854,
     /*  193861 */     GIR_EraseRootFromParent_Done,
     /*  193862 */   // Label 4226: @193862
     /*  193862 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(193925), // Rule ID 8855 //
     /*  193867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  193881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  193884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193906 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193923 */     GIR_RootConstrainSelectedInstOperands,
     /*  193924 */     // GIR_Coverage, 8855,
     /*  193924 */     GIR_EraseRootFromParent_Done,
     /*  193925 */   // Label 4227: @193925
     /*  193925 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(193988), // Rule ID 8858 //
     /*  193930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  193941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  193944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  193947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  193969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193986 */     GIR_RootConstrainSelectedInstOperands,
     /*  193987 */     // GIR_Coverage, 8858,
     /*  193987 */     GIR_EraseRootFromParent_Done,
     /*  193988 */   // Label 4228: @193988
     /*  193988 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(194051), // Rule ID 8859 //
     /*  193993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  194007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  194010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194049 */     GIR_RootConstrainSelectedInstOperands,
     /*  194050 */     // GIR_Coverage, 8859,
     /*  194050 */     GIR_EraseRootFromParent_Done,
     /*  194051 */   // Label 4229: @194051
     /*  194051 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(194114), // Rule ID 8862 //
     /*  194056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  194070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  194073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194095 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  194095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194112 */     GIR_RootConstrainSelectedInstOperands,
     /*  194113 */     // GIR_Coverage, 8862,
     /*  194113 */     GIR_EraseRootFromParent_Done,
     /*  194114 */   // Label 4230: @194114
     /*  194114 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(194177), // Rule ID 8863 //
     /*  194119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  194133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  194136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194175 */     GIR_RootConstrainSelectedInstOperands,
     /*  194176 */     // GIR_Coverage, 8863,
     /*  194176 */     GIR_EraseRootFromParent_Done,
     /*  194177 */   // Label 4231: @194177
     /*  194177 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(194240), // Rule ID 8866 //
     /*  194182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  194193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  194196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  194199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194221 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  194221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194238 */     GIR_RootConstrainSelectedInstOperands,
     /*  194239 */     // GIR_Coverage, 8866,
     /*  194239 */     GIR_EraseRootFromParent_Done,
     /*  194240 */   // Label 4232: @194240
     /*  194240 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(194303), // Rule ID 8867 //
     /*  194245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  194256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  194259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  194262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194301 */     GIR_RootConstrainSelectedInstOperands,
     /*  194302 */     // GIR_Coverage, 8867,
     /*  194302 */     GIR_EraseRootFromParent_Done,
     /*  194303 */   // Label 4233: @194303
     /*  194303 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(194366), // Rule ID 8870 //
     /*  194308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  194322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  194325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194347 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194364 */     GIR_RootConstrainSelectedInstOperands,
     /*  194365 */     // GIR_Coverage, 8870,
     /*  194365 */     GIR_EraseRootFromParent_Done,
     /*  194366 */   // Label 4234: @194366
     /*  194366 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(194429), // Rule ID 8871 //
     /*  194371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  194385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  194388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194427 */     GIR_RootConstrainSelectedInstOperands,
     /*  194428 */     // GIR_Coverage, 8871,
     /*  194428 */     GIR_EraseRootFromParent_Done,
     /*  194429 */   // Label 4235: @194429
     /*  194429 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(194492), // Rule ID 8874 //
     /*  194434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  194448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  194451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194490 */     GIR_RootConstrainSelectedInstOperands,
     /*  194491 */     // GIR_Coverage, 8874,
     /*  194491 */     GIR_EraseRootFromParent_Done,
     /*  194492 */   // Label 4236: @194492
     /*  194492 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(194555), // Rule ID 8875 //
     /*  194497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  194511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  194514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194553 */     GIR_RootConstrainSelectedInstOperands,
     /*  194554 */     // GIR_Coverage, 8875,
     /*  194554 */     GIR_EraseRootFromParent_Done,
     /*  194555 */   // Label 4237: @194555
     /*  194555 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(194618), // Rule ID 8878 //
     /*  194560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  194574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  194577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194599 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194616 */     GIR_RootConstrainSelectedInstOperands,
     /*  194617 */     // GIR_Coverage, 8878,
     /*  194617 */     GIR_EraseRootFromParent_Done,
     /*  194618 */   // Label 4238: @194618
     /*  194618 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(194681), // Rule ID 8879 //
     /*  194623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  194637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  194640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194679 */     GIR_RootConstrainSelectedInstOperands,
     /*  194680 */     // GIR_Coverage, 8879,
     /*  194680 */     GIR_EraseRootFromParent_Done,
     /*  194681 */   // Label 4239: @194681
     /*  194681 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(194744), // Rule ID 8882 //
     /*  194686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  194697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  194700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194725 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  194725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  194728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194742 */     GIR_RootConstrainSelectedInstOperands,
     /*  194743 */     // GIR_Coverage, 8882,
     /*  194743 */     GIR_EraseRootFromParent_Done,
     /*  194744 */   // Label 4240: @194744
     /*  194744 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(194807), // Rule ID 8883 //
     /*  194749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  194760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  194763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  194766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  194788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  194791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194805 */     GIR_RootConstrainSelectedInstOperands,
     /*  194806 */     // GIR_Coverage, 8883,
     /*  194806 */     GIR_EraseRootFromParent_Done,
     /*  194807 */   // Label 4241: @194807
     /*  194807 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(194870), // Rule ID 8886 //
     /*  194812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  194826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194851 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  194851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  194854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194868 */     GIR_RootConstrainSelectedInstOperands,
     /*  194869 */     // GIR_Coverage, 8886,
     /*  194869 */     GIR_EraseRootFromParent_Done,
     /*  194870 */   // Label 4242: @194870
     /*  194870 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(194933), // Rule ID 8887 //
     /*  194875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  194889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  194892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  194914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  194917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194931 */     GIR_RootConstrainSelectedInstOperands,
     /*  194932 */     // GIR_Coverage, 8887,
     /*  194932 */     GIR_EraseRootFromParent_Done,
     /*  194933 */   // Label 4243: @194933
     /*  194933 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(194996), // Rule ID 8890 //
     /*  194938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  194952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  194977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  194980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194994 */     GIR_RootConstrainSelectedInstOperands,
     /*  194995 */     // GIR_Coverage, 8890,
     /*  194995 */     GIR_EraseRootFromParent_Done,
     /*  194996 */   // Label 4244: @194996
     /*  194996 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(195059), // Rule ID 8891 //
     /*  195001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  195015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  195040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195057 */     GIR_RootConstrainSelectedInstOperands,
     /*  195058 */     // GIR_Coverage, 8891,
     /*  195058 */     GIR_EraseRootFromParent_Done,
     /*  195059 */   // Label 4245: @195059
     /*  195059 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(195122), // Rule ID 8894 //
     /*  195064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  195078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  195106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195120 */     GIR_RootConstrainSelectedInstOperands,
     /*  195121 */     // GIR_Coverage, 8894,
     /*  195121 */     GIR_EraseRootFromParent_Done,
     /*  195122 */   // Label 4246: @195122
     /*  195122 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(195185), // Rule ID 8895 //
     /*  195127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  195141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195166 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  195169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195183 */     GIR_RootConstrainSelectedInstOperands,
     /*  195184 */     // GIR_Coverage, 8895,
     /*  195184 */     GIR_EraseRootFromParent_Done,
     /*  195185 */   // Label 4247: @195185
     /*  195185 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(195248), // Rule ID 8898 //
     /*  195190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  195204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195246 */     GIR_RootConstrainSelectedInstOperands,
     /*  195247 */     // GIR_Coverage, 8898,
     /*  195247 */     GIR_EraseRootFromParent_Done,
     /*  195248 */   // Label 4248: @195248
     /*  195248 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(195311), // Rule ID 8899 //
     /*  195253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  195267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195309 */     GIR_RootConstrainSelectedInstOperands,
     /*  195310 */     // GIR_Coverage, 8899,
     /*  195310 */     GIR_EraseRootFromParent_Done,
     /*  195311 */   // Label 4249: @195311
     /*  195311 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(195374), // Rule ID 8902 //
     /*  195316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  195330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  195355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195372 */     GIR_RootConstrainSelectedInstOperands,
     /*  195373 */     // GIR_Coverage, 8902,
     /*  195373 */     GIR_EraseRootFromParent_Done,
     /*  195374 */   // Label 4250: @195374
     /*  195374 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(195437), // Rule ID 8903 //
     /*  195379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  195393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  195418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195435 */     GIR_RootConstrainSelectedInstOperands,
     /*  195436 */     // GIR_Coverage, 8903,
     /*  195436 */     GIR_EraseRootFromParent_Done,
     /*  195437 */   // Label 4251: @195437
     /*  195437 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(195500), // Rule ID 8906 //
     /*  195442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  195453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  195456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195481 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  195481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195498 */     GIR_RootConstrainSelectedInstOperands,
     /*  195499 */     // GIR_Coverage, 8906,
     /*  195499 */     GIR_EraseRootFromParent_Done,
     /*  195500 */   // Label 4252: @195500
     /*  195500 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(195563), // Rule ID 8907 //
     /*  195505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  195516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  195519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  195544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195561 */     GIR_RootConstrainSelectedInstOperands,
     /*  195562 */     // GIR_Coverage, 8907,
     /*  195562 */     GIR_EraseRootFromParent_Done,
     /*  195563 */   // Label 4253: @195563
     /*  195563 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(195626), // Rule ID 8910 //
     /*  195568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  195582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195624 */     GIR_RootConstrainSelectedInstOperands,
     /*  195625 */     // GIR_Coverage, 8910,
     /*  195625 */     GIR_EraseRootFromParent_Done,
     /*  195626 */   // Label 4254: @195626
     /*  195626 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(195689), // Rule ID 8911 //
     /*  195631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  195645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195670 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195687 */     GIR_RootConstrainSelectedInstOperands,
     /*  195688 */     // GIR_Coverage, 8911,
     /*  195688 */     GIR_EraseRootFromParent_Done,
     /*  195689 */   // Label 4255: @195689
     /*  195689 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(195752), // Rule ID 8914 //
     /*  195694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  195708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  195733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195750 */     GIR_RootConstrainSelectedInstOperands,
     /*  195751 */     // GIR_Coverage, 8914,
     /*  195751 */     GIR_EraseRootFromParent_Done,
     /*  195752 */   // Label 4256: @195752
     /*  195752 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(195815), // Rule ID 8915 //
     /*  195757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  195771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  195796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195813 */     GIR_RootConstrainSelectedInstOperands,
     /*  195814 */     // GIR_Coverage, 8915,
     /*  195814 */     GIR_EraseRootFromParent_Done,
     /*  195815 */   // Label 4257: @195815
     /*  195815 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(195878), // Rule ID 8918 //
     /*  195820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  195823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  195834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  195859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  195876 */     GIR_RootConstrainSelectedInstOperands,
     /*  195877 */     // GIR_Coverage, 8918,
     /*  195877 */     GIR_EraseRootFromParent_Done,
     /*  195878 */   // Label 4258: @195878
     /*  195878 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(195941), // Rule ID 8919 //
     /*  195883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  195886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  195897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195922 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  195922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  195939 */     GIR_RootConstrainSelectedInstOperands,
     /*  195940 */     // GIR_Coverage, 8919,
     /*  195940 */     GIR_EraseRootFromParent_Done,
     /*  195941 */   // Label 4259: @195941
     /*  195941 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(196004), // Rule ID 8922 //
     /*  195946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  195957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  195960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  195974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  195985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  195988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196002 */     GIR_RootConstrainSelectedInstOperands,
     /*  196003 */     // GIR_Coverage, 8922,
     /*  196003 */     GIR_EraseRootFromParent_Done,
     /*  196004 */   // Label 4260: @196004
     /*  196004 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(196067), // Rule ID 8923 //
     /*  196009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  196023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196065 */     GIR_RootConstrainSelectedInstOperands,
     /*  196066 */     // GIR_Coverage, 8923,
     /*  196066 */     GIR_EraseRootFromParent_Done,
     /*  196067 */   // Label 4261: @196067
     /*  196067 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(196130), // Rule ID 8926 //
     /*  196072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  196086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196111 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  196111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196128 */     GIR_RootConstrainSelectedInstOperands,
     /*  196129 */     // GIR_Coverage, 8926,
     /*  196129 */     GIR_EraseRootFromParent_Done,
     /*  196130 */   // Label 4262: @196130
     /*  196130 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(196193), // Rule ID 8927 //
     /*  196135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  196149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196174 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196191 */     GIR_RootConstrainSelectedInstOperands,
     /*  196192 */     // GIR_Coverage, 8927,
     /*  196192 */     GIR_EraseRootFromParent_Done,
     /*  196193 */   // Label 4263: @196193
     /*  196193 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(196256), // Rule ID 8930 //
     /*  196198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  196209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  196212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196237 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  196237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196254 */     GIR_RootConstrainSelectedInstOperands,
     /*  196255 */     // GIR_Coverage, 8930,
     /*  196255 */     GIR_EraseRootFromParent_Done,
     /*  196256 */   // Label 4264: @196256
     /*  196256 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(196319), // Rule ID 8931 //
     /*  196261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  196272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  196275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196300 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196317 */     GIR_RootConstrainSelectedInstOperands,
     /*  196318 */     // GIR_Coverage, 8931,
     /*  196318 */     GIR_EraseRootFromParent_Done,
     /*  196319 */   // Label 4265: @196319
     /*  196319 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(196382), // Rule ID 8934 //
     /*  196324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  196338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196380 */     GIR_RootConstrainSelectedInstOperands,
     /*  196381 */     // GIR_Coverage, 8934,
     /*  196381 */     GIR_EraseRootFromParent_Done,
     /*  196382 */   // Label 4266: @196382
     /*  196382 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(196445), // Rule ID 8935 //
     /*  196387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  196401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196443 */     GIR_RootConstrainSelectedInstOperands,
     /*  196444 */     // GIR_Coverage, 8935,
     /*  196444 */     GIR_EraseRootFromParent_Done,
     /*  196445 */   // Label 4267: @196445
     /*  196445 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(196508), // Rule ID 8938 //
     /*  196450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  196464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196489 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196506 */     GIR_RootConstrainSelectedInstOperands,
     /*  196507 */     // GIR_Coverage, 8938,
     /*  196507 */     GIR_EraseRootFromParent_Done,
     /*  196508 */   // Label 4268: @196508
     /*  196508 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(196571), // Rule ID 8939 //
     /*  196513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  196527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196569 */     GIR_RootConstrainSelectedInstOperands,
     /*  196570 */     // GIR_Coverage, 8939,
     /*  196570 */     GIR_EraseRootFromParent_Done,
     /*  196571 */   // Label 4269: @196571
     /*  196571 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(196634), // Rule ID 8942 //
     /*  196576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  196590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196615 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196632 */     GIR_RootConstrainSelectedInstOperands,
     /*  196633 */     // GIR_Coverage, 8942,
     /*  196633 */     GIR_EraseRootFromParent_Done,
     /*  196634 */   // Label 4270: @196634
     /*  196634 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(196697), // Rule ID 8943 //
     /*  196639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  196653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196678 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196695 */     GIR_RootConstrainSelectedInstOperands,
     /*  196696 */     // GIR_Coverage, 8943,
     /*  196696 */     GIR_EraseRootFromParent_Done,
     /*  196697 */   // Label 4271: @196697
     /*  196697 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(196760), // Rule ID 8946 //
     /*  196702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  196713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  196716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  196741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196758 */     GIR_RootConstrainSelectedInstOperands,
     /*  196759 */     // GIR_Coverage, 8946,
     /*  196759 */     GIR_EraseRootFromParent_Done,
     /*  196760 */   // Label 4272: @196760
     /*  196760 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(196823), // Rule ID 8947 //
     /*  196765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  196776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  196779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  196804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196821 */     GIR_RootConstrainSelectedInstOperands,
     /*  196822 */     // GIR_Coverage, 8947,
     /*  196822 */     GIR_EraseRootFromParent_Done,
     /*  196823 */   // Label 4273: @196823
     /*  196823 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(196886), // Rule ID 8950 //
     /*  196828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  196842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196867 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  196867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196884 */     GIR_RootConstrainSelectedInstOperands,
     /*  196885 */     // GIR_Coverage, 8950,
     /*  196885 */     GIR_EraseRootFromParent_Done,
     /*  196886 */   // Label 4274: @196886
     /*  196886 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(196949), // Rule ID 8951 //
     /*  196891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  196905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  196930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196947 */     GIR_RootConstrainSelectedInstOperands,
     /*  196948 */     // GIR_Coverage, 8951,
     /*  196948 */     GIR_EraseRootFromParent_Done,
     /*  196949 */   // Label 4275: @196949
     /*  196949 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(197012), // Rule ID 8954 //
     /*  196954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  196968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  196993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  197010 */     GIR_RootConstrainSelectedInstOperands,
     /*  197011 */     // GIR_Coverage, 8954,
     /*  197011 */     GIR_EraseRootFromParent_Done,
     /*  197012 */   // Label 4276: @197012
     /*  197012 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(197075), // Rule ID 8955 //
     /*  197017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  197028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  197031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  197056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  197073 */     GIR_RootConstrainSelectedInstOperands,
     /*  197074 */     // GIR_Coverage, 8955,
     /*  197074 */     GIR_EraseRootFromParent_Done,
     /*  197075 */   // Label 4277: @197075
     /*  197075 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(197138), // Rule ID 8958 //
     /*  197080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  197094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  197108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  197122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197136 */     GIR_RootConstrainSelectedInstOperands,
     /*  197137 */     // GIR_Coverage, 8958,
     /*  197137 */     GIR_EraseRootFromParent_Done,
     /*  197138 */   // Label 4278: @197138
     /*  197138 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(197201), // Rule ID 8959 //
     /*  197143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  197157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  197171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  197185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197199 */     GIR_RootConstrainSelectedInstOperands,
     /*  197200 */     // GIR_Coverage, 8959,
     /*  197200 */     GIR_EraseRootFromParent_Done,
     /*  197201 */   // Label 4279: @197201
     /*  197201 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(197264), // Rule ID 8962 //
     /*  197206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  197220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  197234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  197248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197262 */     GIR_RootConstrainSelectedInstOperands,
     /*  197263 */     // GIR_Coverage, 8962,
     /*  197263 */     GIR_EraseRootFromParent_Done,
     /*  197264 */   // Label 4280: @197264
     /*  197264 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(197327), // Rule ID 8963 //
     /*  197269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  197283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  197297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  197311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197325 */     GIR_RootConstrainSelectedInstOperands,
     /*  197326 */     // GIR_Coverage, 8963,
     /*  197326 */     GIR_EraseRootFromParent_Done,
     /*  197327 */   // Label 4281: @197327
     /*  197327 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(197390), // Rule ID 8966 //
     /*  197332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  197343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  197346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197388 */     GIR_RootConstrainSelectedInstOperands,
     /*  197389 */     // GIR_Coverage, 8966,
     /*  197389 */     GIR_EraseRootFromParent_Done,
     /*  197390 */   // Label 4282: @197390
     /*  197390 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(197453), // Rule ID 8967 //
     /*  197395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  197406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  197409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197451 */     GIR_RootConstrainSelectedInstOperands,
     /*  197452 */     // GIR_Coverage, 8967,
     /*  197452 */     GIR_EraseRootFromParent_Done,
     /*  197453 */   // Label 4283: @197453
     /*  197453 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(197516), // Rule ID 9058 //
     /*  197458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  197472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  197500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197514 */     GIR_RootConstrainSelectedInstOperands,
     /*  197515 */     // GIR_Coverage, 9058,
     /*  197515 */     GIR_EraseRootFromParent_Done,
     /*  197516 */   // Label 4284: @197516
     /*  197516 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(197579), // Rule ID 9059 //
     /*  197521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  197535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  197563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197577 */     GIR_RootConstrainSelectedInstOperands,
     /*  197578 */     // GIR_Coverage, 9059,
     /*  197578 */     GIR_EraseRootFromParent_Done,
     /*  197579 */   // Label 4285: @197579
     /*  197579 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(197642), // Rule ID 9062 //
     /*  197584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  197598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197623 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197640 */     GIR_RootConstrainSelectedInstOperands,
     /*  197641 */     // GIR_Coverage, 9062,
     /*  197641 */     GIR_EraseRootFromParent_Done,
     /*  197642 */   // Label 4286: @197642
     /*  197642 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(197705), // Rule ID 9063 //
     /*  197647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  197661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197686 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197703 */     GIR_RootConstrainSelectedInstOperands,
     /*  197704 */     // GIR_Coverage, 9063,
     /*  197704 */     GIR_EraseRootFromParent_Done,
     /*  197705 */   // Label 4287: @197705
     /*  197705 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(197768), // Rule ID 9066 //
     /*  197710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  197724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  197752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197766 */     GIR_RootConstrainSelectedInstOperands,
     /*  197767 */     // GIR_Coverage, 9066,
     /*  197767 */     GIR_EraseRootFromParent_Done,
     /*  197768 */   // Label 4288: @197768
     /*  197768 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(197831), // Rule ID 9067 //
     /*  197773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  197787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  197815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197829 */     GIR_RootConstrainSelectedInstOperands,
     /*  197830 */     // GIR_Coverage, 9067,
     /*  197830 */     GIR_EraseRootFromParent_Done,
     /*  197831 */   // Label 4289: @197831
     /*  197831 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(197894), // Rule ID 9070 //
     /*  197836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  197850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  197875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  197892 */     GIR_RootConstrainSelectedInstOperands,
     /*  197893 */     // GIR_Coverage, 9070,
     /*  197893 */     GIR_EraseRootFromParent_Done,
     /*  197894 */   // Label 4290: @197894
     /*  197894 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(197957), // Rule ID 9071 //
     /*  197899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  197913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  197938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  197955 */     GIR_RootConstrainSelectedInstOperands,
     /*  197956 */     // GIR_Coverage, 9071,
     /*  197956 */     GIR_EraseRootFromParent_Done,
     /*  197957 */   // Label 4291: @197957
     /*  197957 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(198020), // Rule ID 9074 //
     /*  197962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  197976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  198001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198018 */     GIR_RootConstrainSelectedInstOperands,
     /*  198019 */     // GIR_Coverage, 9074,
     /*  198019 */     GIR_EraseRootFromParent_Done,
     /*  198020 */   // Label 4292: @198020
     /*  198020 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(198083), // Rule ID 9075 //
     /*  198025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  198039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  198064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198081 */     GIR_RootConstrainSelectedInstOperands,
     /*  198082 */     // GIR_Coverage, 9075,
     /*  198082 */     GIR_EraseRootFromParent_Done,
     /*  198083 */   // Label 4293: @198083
     /*  198083 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(198146), // Rule ID 9078 //
     /*  198088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  198102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198127 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  198127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198144 */     GIR_RootConstrainSelectedInstOperands,
     /*  198145 */     // GIR_Coverage, 9078,
     /*  198145 */     GIR_EraseRootFromParent_Done,
     /*  198146 */   // Label 4294: @198146
     /*  198146 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(198209), // Rule ID 9079 //
     /*  198151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  198165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  198190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198207 */     GIR_RootConstrainSelectedInstOperands,
     /*  198208 */     // GIR_Coverage, 9079,
     /*  198208 */     GIR_EraseRootFromParent_Done,
     /*  198209 */   // Label 4295: @198209
     /*  198209 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(198272), // Rule ID 9082 //
     /*  198214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  198225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  198228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198270 */     GIR_RootConstrainSelectedInstOperands,
     /*  198271 */     // GIR_Coverage, 9082,
     /*  198271 */     GIR_EraseRootFromParent_Done,
     /*  198272 */   // Label 4296: @198272
     /*  198272 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(198335), // Rule ID 9083 //
     /*  198277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  198288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  198291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198333 */     GIR_RootConstrainSelectedInstOperands,
     /*  198334 */     // GIR_Coverage, 9083,
     /*  198334 */     GIR_EraseRootFromParent_Done,
     /*  198335 */   // Label 4297: @198335
     /*  198335 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(198398), // Rule ID 9086 //
     /*  198340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  198351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  198354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  198379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198396 */     GIR_RootConstrainSelectedInstOperands,
     /*  198397 */     // GIR_Coverage, 9086,
     /*  198397 */     GIR_EraseRootFromParent_Done,
     /*  198398 */   // Label 4298: @198398
     /*  198398 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(198461), // Rule ID 9087 //
     /*  198403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  198414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  198417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  198442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198459 */     GIR_RootConstrainSelectedInstOperands,
     /*  198460 */     // GIR_Coverage, 9087,
     /*  198460 */     GIR_EraseRootFromParent_Done,
     /*  198461 */   // Label 4299: @198461
     /*  198461 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(198524), // Rule ID 9090 //
     /*  198466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  198480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  198505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198522 */     GIR_RootConstrainSelectedInstOperands,
     /*  198523 */     // GIR_Coverage, 9090,
     /*  198523 */     GIR_EraseRootFromParent_Done,
     /*  198524 */   // Label 4300: @198524
     /*  198524 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(198587), // Rule ID 9091 //
     /*  198529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  198543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  198568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198585 */     GIR_RootConstrainSelectedInstOperands,
     /*  198586 */     // GIR_Coverage, 9091,
     /*  198586 */     GIR_EraseRootFromParent_Done,
     /*  198587 */   // Label 4301: @198587
     /*  198587 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(198650), // Rule ID 9094 //
     /*  198592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  198595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  198606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  198631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  198648 */     GIR_RootConstrainSelectedInstOperands,
     /*  198649 */     // GIR_Coverage, 9094,
     /*  198649 */     GIR_EraseRootFromParent_Done,
     /*  198650 */   // Label 4302: @198650
     /*  198650 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(198713), // Rule ID 9095 //
     /*  198655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  198658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  198669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  198694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  198711 */     GIR_RootConstrainSelectedInstOperands,
     /*  198712 */     // GIR_Coverage, 9095,
     /*  198712 */     GIR_EraseRootFromParent_Done,
     /*  198713 */   // Label 4303: @198713
     /*  198713 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(198776), // Rule ID 9098 //
     /*  198718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  198729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  198732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  198746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198757 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  198760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198774 */     GIR_RootConstrainSelectedInstOperands,
     /*  198775 */     // GIR_Coverage, 9098,
     /*  198775 */     GIR_EraseRootFromParent_Done,
     /*  198776 */   // Label 4304: @198776
     /*  198776 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(198839), // Rule ID 9099 //
     /*  198781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  198792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  198795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  198809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  198823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198837 */     GIR_RootConstrainSelectedInstOperands,
     /*  198838 */     // GIR_Coverage, 9099,
     /*  198838 */     GIR_EraseRootFromParent_Done,
     /*  198839 */   // Label 4305: @198839
     /*  198839 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(198902), // Rule ID 9102 //
     /*  198844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  198855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  198858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  198872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198883 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  198886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198900 */     GIR_RootConstrainSelectedInstOperands,
     /*  198901 */     // GIR_Coverage, 9102,
     /*  198901 */     GIR_EraseRootFromParent_Done,
     /*  198902 */   // Label 4306: @198902
     /*  198902 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(198965), // Rule ID 9103 //
     /*  198907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  198918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  198921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  198935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198946 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  198949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198963 */     GIR_RootConstrainSelectedInstOperands,
     /*  198964 */     // GIR_Coverage, 9103,
     /*  198964 */     GIR_EraseRootFromParent_Done,
     /*  198965 */   // Label 4307: @198965
     /*  198965 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(199028), // Rule ID 9106 //
     /*  198970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  198981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  198984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  198998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199009 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  199009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  199026 */     GIR_RootConstrainSelectedInstOperands,
     /*  199027 */     // GIR_Coverage, 9106,
     /*  199027 */     GIR_EraseRootFromParent_Done,
     /*  199028 */   // Label 4308: @199028
     /*  199028 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(199091), // Rule ID 9107 //
     /*  199033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  199044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  199047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199072 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  199072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  199089 */     GIR_RootConstrainSelectedInstOperands,
     /*  199090 */     // GIR_Coverage, 9107,
     /*  199090 */     GIR_EraseRootFromParent_Done,
     /*  199091 */   // Label 4309: @199091
     /*  199091 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(199154), // Rule ID 9110 //
     /*  199096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  199110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199135 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199152 */     GIR_RootConstrainSelectedInstOperands,
     /*  199153 */     // GIR_Coverage, 9110,
     /*  199153 */     GIR_EraseRootFromParent_Done,
     /*  199154 */   // Label 4310: @199154
     /*  199154 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(199217), // Rule ID 9111 //
     /*  199159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  199173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199215 */     GIR_RootConstrainSelectedInstOperands,
     /*  199216 */     // GIR_Coverage, 9111,
     /*  199216 */     GIR_EraseRootFromParent_Done,
     /*  199217 */   // Label 4311: @199217
     /*  199217 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(199280), // Rule ID 9114 //
     /*  199222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  199236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199261 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199278 */     GIR_RootConstrainSelectedInstOperands,
     /*  199279 */     // GIR_Coverage, 9114,
     /*  199279 */     GIR_EraseRootFromParent_Done,
     /*  199280 */   // Label 4312: @199280
     /*  199280 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(199343), // Rule ID 9115 //
     /*  199285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  199299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199341 */     GIR_RootConstrainSelectedInstOperands,
     /*  199342 */     // GIR_Coverage, 9115,
     /*  199342 */     GIR_EraseRootFromParent_Done,
     /*  199343 */   // Label 4313: @199343
     /*  199343 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(199406), // Rule ID 9118 //
     /*  199348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  199359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  199362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199387 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199404 */     GIR_RootConstrainSelectedInstOperands,
     /*  199405 */     // GIR_Coverage, 9118,
     /*  199405 */     GIR_EraseRootFromParent_Done,
     /*  199406 */   // Label 4314: @199406
     /*  199406 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(199469), // Rule ID 9119 //
     /*  199411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  199422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  199425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199450 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199467 */     GIR_RootConstrainSelectedInstOperands,
     /*  199468 */     // GIR_Coverage, 9119,
     /*  199468 */     GIR_EraseRootFromParent_Done,
     /*  199469 */   // Label 4315: @199469
     /*  199469 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(199532), // Rule ID 9122 //
     /*  199474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  199485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  199488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199513 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199530 */     GIR_RootConstrainSelectedInstOperands,
     /*  199531 */     // GIR_Coverage, 9122,
     /*  199531 */     GIR_EraseRootFromParent_Done,
     /*  199532 */   // Label 4316: @199532
     /*  199532 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(199595), // Rule ID 9123 //
     /*  199537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  199548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  199551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199593 */     GIR_RootConstrainSelectedInstOperands,
     /*  199594 */     // GIR_Coverage, 9123,
     /*  199594 */     GIR_EraseRootFromParent_Done,
     /*  199595 */   // Label 4317: @199595
     /*  199595 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(199658), // Rule ID 9126 //
     /*  199600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  199614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199639 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199656 */     GIR_RootConstrainSelectedInstOperands,
     /*  199657 */     // GIR_Coverage, 9126,
     /*  199657 */     GIR_EraseRootFromParent_Done,
     /*  199658 */   // Label 4318: @199658
     /*  199658 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(199721), // Rule ID 9127 //
     /*  199663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  199677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199719 */     GIR_RootConstrainSelectedInstOperands,
     /*  199720 */     // GIR_Coverage, 9127,
     /*  199720 */     GIR_EraseRootFromParent_Done,
     /*  199721 */   // Label 4319: @199721
     /*  199721 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(199784), // Rule ID 9130 //
     /*  199726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  199740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199765 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199782 */     GIR_RootConstrainSelectedInstOperands,
     /*  199783 */     // GIR_Coverage, 9130,
     /*  199783 */     GIR_EraseRootFromParent_Done,
     /*  199784 */   // Label 4320: @199784
     /*  199784 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(199847), // Rule ID 9131 //
     /*  199789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  199803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199845 */     GIR_RootConstrainSelectedInstOperands,
     /*  199846 */     // GIR_Coverage, 9131,
     /*  199846 */     GIR_EraseRootFromParent_Done,
     /*  199847 */   // Label 4321: @199847
     /*  199847 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(199910), // Rule ID 9134 //
     /*  199852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  199855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  199863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  199866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199891 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  199891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  199908 */     GIR_RootConstrainSelectedInstOperands,
     /*  199909 */     // GIR_Coverage, 9134,
     /*  199909 */     GIR_EraseRootFromParent_Done,
     /*  199910 */   // Label 4322: @199910
     /*  199910 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(199973), // Rule ID 9135 //
     /*  199915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  199918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  199926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  199929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199954 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  199954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  199971 */     GIR_RootConstrainSelectedInstOperands,
     /*  199972 */     // GIR_Coverage, 9135,
     /*  199972 */     GIR_EraseRootFromParent_Done,
     /*  199973 */   // Label 4323: @199973
     /*  199973 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(200036), // Rule ID 9138 //
     /*  199978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  199981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  199989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  199992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  200006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200017 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  200017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  200020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200034 */     GIR_RootConstrainSelectedInstOperands,
     /*  200035 */     // GIR_Coverage, 9138,
     /*  200035 */     GIR_EraseRootFromParent_Done,
     /*  200036 */   // Label 4324: @200036
     /*  200036 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(200099), // Rule ID 9139 //
     /*  200041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  200044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  200055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  200069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  200080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  200083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200097 */     GIR_RootConstrainSelectedInstOperands,
     /*  200098 */     // GIR_Coverage, 9139,
     /*  200098 */     GIR_EraseRootFromParent_Done,
     /*  200099 */   // Label 4325: @200099
     /*  200099 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(200162), // Rule ID 9142 //
     /*  200104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  200107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  200115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  200118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  200132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200143 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  200143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  200146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200160 */     GIR_RootConstrainSelectedInstOperands,
     /*  200161 */     // GIR_Coverage, 9142,
     /*  200161 */     GIR_EraseRootFromParent_Done,
     /*  200162 */   // Label 4326: @200162
     /*  200162 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(200225), // Rule ID 9143 //
     /*  200167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  200170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  200178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  200181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  200195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200206 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  200206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  200209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200223 */     GIR_RootConstrainSelectedInstOperands,
     /*  200224 */     // GIR_Coverage, 9143,
     /*  200224 */     GIR_EraseRootFromParent_Done,
     /*  200225 */   // Label 4327: @200225
     /*  200225 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(200288), // Rule ID 9234 //
     /*  200230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  200244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  200272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200286 */     GIR_RootConstrainSelectedInstOperands,
     /*  200287 */     // GIR_Coverage, 9234,
     /*  200287 */     GIR_EraseRootFromParent_Done,
     /*  200288 */   // Label 4328: @200288
     /*  200288 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(200351), // Rule ID 9235 //
     /*  200293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  200307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  200335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200349 */     GIR_RootConstrainSelectedInstOperands,
     /*  200350 */     // GIR_Coverage, 9235,
     /*  200350 */     GIR_EraseRootFromParent_Done,
     /*  200351 */   // Label 4329: @200351
     /*  200351 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(200414), // Rule ID 9238 //
     /*  200356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  200370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200412 */     GIR_RootConstrainSelectedInstOperands,
     /*  200413 */     // GIR_Coverage, 9238,
     /*  200413 */     GIR_EraseRootFromParent_Done,
     /*  200414 */   // Label 4330: @200414
     /*  200414 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(200477), // Rule ID 9239 //
     /*  200419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  200433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200475 */     GIR_RootConstrainSelectedInstOperands,
     /*  200476 */     // GIR_Coverage, 9239,
     /*  200476 */     GIR_EraseRootFromParent_Done,
     /*  200477 */   // Label 4331: @200477
     /*  200477 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(200540), // Rule ID 9242 //
     /*  200482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  200496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200538 */     GIR_RootConstrainSelectedInstOperands,
     /*  200539 */     // GIR_Coverage, 9242,
     /*  200539 */     GIR_EraseRootFromParent_Done,
     /*  200540 */   // Label 4332: @200540
     /*  200540 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(200603), // Rule ID 9243 //
     /*  200545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  200559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200601 */     GIR_RootConstrainSelectedInstOperands,
     /*  200602 */     // GIR_Coverage, 9243,
     /*  200602 */     GIR_EraseRootFromParent_Done,
     /*  200603 */   // Label 4333: @200603
     /*  200603 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(200666), // Rule ID 9246 //
     /*  200608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  200622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200647 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  200647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200664 */     GIR_RootConstrainSelectedInstOperands,
     /*  200665 */     // GIR_Coverage, 9246,
     /*  200665 */     GIR_EraseRootFromParent_Done,
     /*  200666 */   // Label 4334: @200666
     /*  200666 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(200729), // Rule ID 9247 //
     /*  200671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  200685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  200710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200727 */     GIR_RootConstrainSelectedInstOperands,
     /*  200728 */     // GIR_Coverage, 9247,
     /*  200728 */     GIR_EraseRootFromParent_Done,
     /*  200729 */   // Label 4335: @200729
     /*  200729 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(200792), // Rule ID 9250 //
     /*  200734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  200748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200773 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  200773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200790 */     GIR_RootConstrainSelectedInstOperands,
     /*  200791 */     // GIR_Coverage, 9250,
     /*  200791 */     GIR_EraseRootFromParent_Done,
     /*  200792 */   // Label 4336: @200792
     /*  200792 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(200855), // Rule ID 9251 //
     /*  200797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  200811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  200836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200853 */     GIR_RootConstrainSelectedInstOperands,
     /*  200854 */     // GIR_Coverage, 9251,
     /*  200854 */     GIR_EraseRootFromParent_Done,
     /*  200855 */   // Label 4337: @200855
     /*  200855 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(200918), // Rule ID 9254 //
     /*  200860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  200874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200899 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  200899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  200916 */     GIR_RootConstrainSelectedInstOperands,
     /*  200917 */     // GIR_Coverage, 9254,
     /*  200917 */     GIR_EraseRootFromParent_Done,
     /*  200918 */   // Label 4338: @200918
     /*  200918 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(200981), // Rule ID 9255 //
     /*  200923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  200937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  200962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  200979 */     GIR_RootConstrainSelectedInstOperands,
     /*  200980 */     // GIR_Coverage, 9255,
     /*  200980 */     GIR_EraseRootFromParent_Done,
     /*  200981 */   // Label 4339: @200981
     /*  200981 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(201044), // Rule ID 9258 //
     /*  200986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  200997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  201000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201025 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201042 */     GIR_RootConstrainSelectedInstOperands,
     /*  201043 */     // GIR_Coverage, 9258,
     /*  201043 */     GIR_EraseRootFromParent_Done,
     /*  201044 */   // Label 4340: @201044
     /*  201044 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(201107), // Rule ID 9259 //
     /*  201049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  201063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201105 */     GIR_RootConstrainSelectedInstOperands,
     /*  201106 */     // GIR_Coverage, 9259,
     /*  201106 */     GIR_EraseRootFromParent_Done,
     /*  201107 */   // Label 4341: @201107
     /*  201107 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(201170), // Rule ID 9262 //
     /*  201112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  201126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  201151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201168 */     GIR_RootConstrainSelectedInstOperands,
     /*  201169 */     // GIR_Coverage, 9262,
     /*  201169 */     GIR_EraseRootFromParent_Done,
     /*  201170 */   // Label 4342: @201170
     /*  201170 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(201233), // Rule ID 9263 //
     /*  201175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  201189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  201214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201231 */     GIR_RootConstrainSelectedInstOperands,
     /*  201232 */     // GIR_Coverage, 9263,
     /*  201232 */     GIR_EraseRootFromParent_Done,
     /*  201233 */   // Label 4343: @201233
     /*  201233 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(201296), // Rule ID 9266 //
     /*  201238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  201252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  201277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  201294 */     GIR_RootConstrainSelectedInstOperands,
     /*  201295 */     // GIR_Coverage, 9266,
     /*  201295 */     GIR_EraseRootFromParent_Done,
     /*  201296 */   // Label 4344: @201296
     /*  201296 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(201359), // Rule ID 9267 //
     /*  201301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  201315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  201340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  201357 */     GIR_RootConstrainSelectedInstOperands,
     /*  201358 */     // GIR_Coverage, 9267,
     /*  201358 */     GIR_EraseRootFromParent_Done,
     /*  201359 */   // Label 4345: @201359
     /*  201359 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(201422), // Rule ID 9270 //
     /*  201364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  201367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  201378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  201403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  201420 */     GIR_RootConstrainSelectedInstOperands,
     /*  201421 */     // GIR_Coverage, 9270,
     /*  201421 */     GIR_EraseRootFromParent_Done,
     /*  201422 */   // Label 4346: @201422
     /*  201422 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(201485), // Rule ID 9271 //
     /*  201427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  201430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  201441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  201466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  201483 */     GIR_RootConstrainSelectedInstOperands,
     /*  201484 */     // GIR_Coverage, 9271,
     /*  201484 */     GIR_EraseRootFromParent_Done,
     /*  201485 */   // Label 4347: @201485
     /*  201485 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(201548), // Rule ID 9274 //
     /*  201490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  201504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201529 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201546 */     GIR_RootConstrainSelectedInstOperands,
     /*  201547 */     // GIR_Coverage, 9274,
     /*  201547 */     GIR_EraseRootFromParent_Done,
     /*  201548 */   // Label 4348: @201548
     /*  201548 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(201611), // Rule ID 9275 //
     /*  201553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  201567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201609 */     GIR_RootConstrainSelectedInstOperands,
     /*  201610 */     // GIR_Coverage, 9275,
     /*  201610 */     GIR_EraseRootFromParent_Done,
     /*  201611 */   // Label 4349: @201611
     /*  201611 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(201674), // Rule ID 9278 //
     /*  201616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  201630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  201644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201655 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  201658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201672 */     GIR_RootConstrainSelectedInstOperands,
     /*  201673 */     // GIR_Coverage, 9278,
     /*  201673 */     GIR_EraseRootFromParent_Done,
     /*  201674 */   // Label 4350: @201674
     /*  201674 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(201737), // Rule ID 9279 //
     /*  201679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  201693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  201707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201718 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  201721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201735 */     GIR_RootConstrainSelectedInstOperands,
     /*  201736 */     // GIR_Coverage, 9279,
     /*  201736 */     GIR_EraseRootFromParent_Done,
     /*  201737 */   // Label 4351: @201737
     /*  201737 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(201800), // Rule ID 9282 //
     /*  201742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  201756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  201770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201781 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  201784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201798 */     GIR_RootConstrainSelectedInstOperands,
     /*  201799 */     // GIR_Coverage, 9282,
     /*  201799 */     GIR_EraseRootFromParent_Done,
     /*  201800 */   // Label 4352: @201800
     /*  201800 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(201863), // Rule ID 9283 //
     /*  201805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  201819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  201833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201844 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  201847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201861 */     GIR_RootConstrainSelectedInstOperands,
     /*  201862 */     // GIR_Coverage, 9283,
     /*  201862 */     GIR_EraseRootFromParent_Done,
     /*  201863 */   // Label 4353: @201863
     /*  201863 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(201926), // Rule ID 9286 //
     /*  201868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  201882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  201907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201924 */     GIR_RootConstrainSelectedInstOperands,
     /*  201925 */     // GIR_Coverage, 9286,
     /*  201925 */     GIR_EraseRootFromParent_Done,
     /*  201926 */   // Label 4354: @201926
     /*  201926 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(201989), // Rule ID 9287 //
     /*  201931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  201945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  201970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201987 */     GIR_RootConstrainSelectedInstOperands,
     /*  201988 */     // GIR_Coverage, 9287,
     /*  201988 */     GIR_EraseRootFromParent_Done,
     /*  201989 */   // Label 4355: @201989
     /*  201989 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(202052), // Rule ID 9290 //
     /*  201994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  202008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  202033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202050 */     GIR_RootConstrainSelectedInstOperands,
     /*  202051 */     // GIR_Coverage, 9290,
     /*  202051 */     GIR_EraseRootFromParent_Done,
     /*  202052 */   // Label 4356: @202052
     /*  202052 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(202115), // Rule ID 9291 //
     /*  202057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  202071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  202096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202113 */     GIR_RootConstrainSelectedInstOperands,
     /*  202114 */     // GIR_Coverage, 9291,
     /*  202114 */     GIR_EraseRootFromParent_Done,
     /*  202115 */   // Label 4357: @202115
     /*  202115 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(202178), // Rule ID 9294 //
     /*  202120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  202131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  202134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202159 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  202159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202176 */     GIR_RootConstrainSelectedInstOperands,
     /*  202177 */     // GIR_Coverage, 9294,
     /*  202177 */     GIR_EraseRootFromParent_Done,
     /*  202178 */   // Label 4358: @202178
     /*  202178 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(202241), // Rule ID 9295 //
     /*  202183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  202194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  202197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  202222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202239 */     GIR_RootConstrainSelectedInstOperands,
     /*  202240 */     // GIR_Coverage, 9295,
     /*  202240 */     GIR_EraseRootFromParent_Done,
     /*  202241 */   // Label 4359: @202241
     /*  202241 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(202304), // Rule ID 9298 //
     /*  202246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  202260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202302 */     GIR_RootConstrainSelectedInstOperands,
     /*  202303 */     // GIR_Coverage, 9298,
     /*  202303 */     GIR_EraseRootFromParent_Done,
     /*  202304 */   // Label 4360: @202304
     /*  202304 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(202367), // Rule ID 9299 //
     /*  202309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  202323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202365 */     GIR_RootConstrainSelectedInstOperands,
     /*  202366 */     // GIR_Coverage, 9299,
     /*  202366 */     GIR_EraseRootFromParent_Done,
     /*  202367 */   // Label 4361: @202367
     /*  202367 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(202430), // Rule ID 9302 //
     /*  202372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  202386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202411 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202428 */     GIR_RootConstrainSelectedInstOperands,
     /*  202429 */     // GIR_Coverage, 9302,
     /*  202429 */     GIR_EraseRootFromParent_Done,
     /*  202430 */   // Label 4362: @202430
     /*  202430 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(202493), // Rule ID 9303 //
     /*  202435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  202449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202491 */     GIR_RootConstrainSelectedInstOperands,
     /*  202492 */     // GIR_Coverage, 9303,
     /*  202492 */     GIR_EraseRootFromParent_Done,
     /*  202493 */   // Label 4363: @202493
     /*  202493 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(202556), // Rule ID 9306 //
     /*  202498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  202512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202537 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202554 */     GIR_RootConstrainSelectedInstOperands,
     /*  202555 */     // GIR_Coverage, 9306,
     /*  202555 */     GIR_EraseRootFromParent_Done,
     /*  202556 */   // Label 4364: @202556
     /*  202556 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(202619), // Rule ID 9307 //
     /*  202561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  202575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202617 */     GIR_RootConstrainSelectedInstOperands,
     /*  202618 */     // GIR_Coverage, 9307,
     /*  202618 */     GIR_EraseRootFromParent_Done,
     /*  202619 */   // Label 4365: @202619
     /*  202619 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(202682), // Rule ID 9310 //
     /*  202624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  202635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  202638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202663 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202680 */     GIR_RootConstrainSelectedInstOperands,
     /*  202681 */     // GIR_Coverage, 9310,
     /*  202681 */     GIR_EraseRootFromParent_Done,
     /*  202682 */   // Label 4366: @202682
     /*  202682 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(202745), // Rule ID 9311 //
     /*  202687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  202698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  202701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  202726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202743 */     GIR_RootConstrainSelectedInstOperands,
     /*  202744 */     // GIR_Coverage, 9311,
     /*  202744 */     GIR_EraseRootFromParent_Done,
     /*  202745 */   // Label 4367: @202745
     /*  202745 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(202808), // Rule ID 9314 //
     /*  202750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  202764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202806 */     GIR_RootConstrainSelectedInstOperands,
     /*  202807 */     // GIR_Coverage, 9314,
     /*  202807 */     GIR_EraseRootFromParent_Done,
     /*  202808 */   // Label 4368: @202808
     /*  202808 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(202871), // Rule ID 9315 //
     /*  202813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  202827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  202852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202869 */     GIR_RootConstrainSelectedInstOperands,
     /*  202870 */     // GIR_Coverage, 9315,
     /*  202870 */     GIR_EraseRootFromParent_Done,
     /*  202871 */   // Label 4369: @202871
     /*  202871 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(202934), // Rule ID 9318 //
     /*  202876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  202890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202915 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202932 */     GIR_RootConstrainSelectedInstOperands,
     /*  202933 */     // GIR_Coverage, 9318,
     /*  202933 */     GIR_EraseRootFromParent_Done,
     /*  202934 */   // Label 4370: @202934
     /*  202934 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(202997), // Rule ID 9319 //
     /*  202939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  202953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  202978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202995 */     GIR_RootConstrainSelectedInstOperands,
     /*  202996 */     // GIR_Coverage, 9319,
     /*  202996 */     GIR_EraseRootFromParent_Done,
     /*  202997 */   // Label 4371: @202997
     /*  202997 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(203060), // Rule ID 9410 //
     /*  203002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  203016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  203019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203058 */     GIR_RootConstrainSelectedInstOperands,
     /*  203059 */     // GIR_Coverage, 9410,
     /*  203059 */     GIR_EraseRootFromParent_Done,
     /*  203060 */   // Label 4372: @203060
     /*  203060 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(203123), // Rule ID 9411 //
     /*  203065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  203079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  203082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203121 */     GIR_RootConstrainSelectedInstOperands,
     /*  203122 */     // GIR_Coverage, 9411,
     /*  203122 */     GIR_EraseRootFromParent_Done,
     /*  203123 */   // Label 4373: @203123
     /*  203123 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(203186), // Rule ID 9414 //
     /*  203128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  203142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  203145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203167 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203184 */     GIR_RootConstrainSelectedInstOperands,
     /*  203185 */     // GIR_Coverage, 9414,
     /*  203185 */     GIR_EraseRootFromParent_Done,
     /*  203186 */   // Label 4374: @203186
     /*  203186 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(203249), // Rule ID 9415 //
     /*  203191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  203205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  203208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203230 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203247 */     GIR_RootConstrainSelectedInstOperands,
     /*  203248 */     // GIR_Coverage, 9415,
     /*  203248 */     GIR_EraseRootFromParent_Done,
     /*  203249 */   // Label 4375: @203249
     /*  203249 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(203312), // Rule ID 9418 //
     /*  203254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  203268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  203271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203310 */     GIR_RootConstrainSelectedInstOperands,
     /*  203311 */     // GIR_Coverage, 9418,
     /*  203311 */     GIR_EraseRootFromParent_Done,
     /*  203312 */   // Label 4376: @203312
     /*  203312 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(203375), // Rule ID 9419 //
     /*  203317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  203331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  203334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203373 */     GIR_RootConstrainSelectedInstOperands,
     /*  203374 */     // GIR_Coverage, 9419,
     /*  203374 */     GIR_EraseRootFromParent_Done,
     /*  203375 */   // Label 4377: @203375
     /*  203375 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(203438), // Rule ID 9422 //
     /*  203380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  203394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  203397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203436 */     GIR_RootConstrainSelectedInstOperands,
     /*  203437 */     // GIR_Coverage, 9422,
     /*  203437 */     GIR_EraseRootFromParent_Done,
     /*  203438 */   // Label 4378: @203438
     /*  203438 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(203501), // Rule ID 9423 //
     /*  203443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  203457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  203460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203499 */     GIR_RootConstrainSelectedInstOperands,
     /*  203500 */     // GIR_Coverage, 9423,
     /*  203500 */     GIR_EraseRootFromParent_Done,
     /*  203501 */   // Label 4379: @203501
     /*  203501 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(203564), // Rule ID 9426 //
     /*  203506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  203520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  203523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  203545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203562 */     GIR_RootConstrainSelectedInstOperands,
     /*  203563 */     // GIR_Coverage, 9426,
     /*  203563 */     GIR_EraseRootFromParent_Done,
     /*  203564 */   // Label 4380: @203564
     /*  203564 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(203627), // Rule ID 9427 //
     /*  203569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  203583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  203586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  203608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203625 */     GIR_RootConstrainSelectedInstOperands,
     /*  203626 */     // GIR_Coverage, 9427,
     /*  203626 */     GIR_EraseRootFromParent_Done,
     /*  203627 */   // Label 4381: @203627
     /*  203627 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(203690), // Rule ID 9430 //
     /*  203632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  203643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  203646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  203649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203688 */     GIR_RootConstrainSelectedInstOperands,
     /*  203689 */     // GIR_Coverage, 9430,
     /*  203689 */     GIR_EraseRootFromParent_Done,
     /*  203690 */   // Label 4382: @203690
     /*  203690 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(203753), // Rule ID 9431 //
     /*  203695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  203706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  203709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  203712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203751 */     GIR_RootConstrainSelectedInstOperands,
     /*  203752 */     // GIR_Coverage, 9431,
     /*  203752 */     GIR_EraseRootFromParent_Done,
     /*  203753 */   // Label 4383: @203753
     /*  203753 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(203816), // Rule ID 9434 //
     /*  203758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  203772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  203775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203814 */     GIR_RootConstrainSelectedInstOperands,
     /*  203815 */     // GIR_Coverage, 9434,
     /*  203815 */     GIR_EraseRootFromParent_Done,
     /*  203816 */   // Label 4384: @203816
     /*  203816 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(203879), // Rule ID 9435 //
     /*  203821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  203835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  203838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203877 */     GIR_RootConstrainSelectedInstOperands,
     /*  203878 */     // GIR_Coverage, 9435,
     /*  203878 */     GIR_EraseRootFromParent_Done,
     /*  203879 */   // Label 4385: @203879
     /*  203879 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(203942), // Rule ID 9438 //
     /*  203884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  203898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  203901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  203923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203940 */     GIR_RootConstrainSelectedInstOperands,
     /*  203941 */     // GIR_Coverage, 9438,
     /*  203941 */     GIR_EraseRootFromParent_Done,
     /*  203942 */   // Label 4386: @203942
     /*  203942 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(204005), // Rule ID 9439 //
     /*  203947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  203961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  203964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203986 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  203986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  204003 */     GIR_RootConstrainSelectedInstOperands,
     /*  204004 */     // GIR_Coverage, 9439,
     /*  204004 */     GIR_EraseRootFromParent_Done,
     /*  204005 */   // Label 4387: @204005
     /*  204005 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(204068), // Rule ID 9442 //
     /*  204010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  204013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  204024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  204027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  204049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  204052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  204066 */     GIR_RootConstrainSelectedInstOperands,
     /*  204067 */     // GIR_Coverage, 9442,
     /*  204067 */     GIR_EraseRootFromParent_Done,
     /*  204068 */   // Label 4388: @204068
     /*  204068 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(204131), // Rule ID 9443 //
     /*  204073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  204076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  204087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  204090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  204112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  204115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  204129 */     GIR_RootConstrainSelectedInstOperands,
     /*  204130 */     // GIR_Coverage, 9443,
     /*  204130 */     GIR_EraseRootFromParent_Done,
     /*  204131 */   // Label 4389: @204131
     /*  204131 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(204194), // Rule ID 9446 //
     /*  204136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  204150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  204153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204175 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204192 */     GIR_RootConstrainSelectedInstOperands,
     /*  204193 */     // GIR_Coverage, 9446,
     /*  204193 */     GIR_EraseRootFromParent_Done,
     /*  204194 */   // Label 4390: @204194
     /*  204194 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(204257), // Rule ID 9447 //
     /*  204199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  204213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  204216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204238 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204255 */     GIR_RootConstrainSelectedInstOperands,
     /*  204256 */     // GIR_Coverage, 9447,
     /*  204256 */     GIR_EraseRootFromParent_Done,
     /*  204257 */   // Label 4391: @204257
     /*  204257 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(204320), // Rule ID 9450 //
     /*  204262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  204276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  204279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204301 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204318 */     GIR_RootConstrainSelectedInstOperands,
     /*  204319 */     // GIR_Coverage, 9450,
     /*  204319 */     GIR_EraseRootFromParent_Done,
     /*  204320 */   // Label 4392: @204320
     /*  204320 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(204383), // Rule ID 9451 //
     /*  204325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  204339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  204342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204381 */     GIR_RootConstrainSelectedInstOperands,
     /*  204382 */     // GIR_Coverage, 9451,
     /*  204382 */     GIR_EraseRootFromParent_Done,
     /*  204383 */   // Label 4393: @204383
     /*  204383 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(204446), // Rule ID 9454 //
     /*  204388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  204402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  204405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204427 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204444 */     GIR_RootConstrainSelectedInstOperands,
     /*  204445 */     // GIR_Coverage, 9454,
     /*  204445 */     GIR_EraseRootFromParent_Done,
     /*  204446 */   // Label 4394: @204446
     /*  204446 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(204509), // Rule ID 9455 //
     /*  204451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  204465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  204468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204490 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204507 */     GIR_RootConstrainSelectedInstOperands,
     /*  204508 */     // GIR_Coverage, 9455,
     /*  204508 */     GIR_EraseRootFromParent_Done,
     /*  204509 */   // Label 4395: @204509
     /*  204509 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(204572), // Rule ID 9458 //
     /*  204514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  204528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  204531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204570 */     GIR_RootConstrainSelectedInstOperands,
     /*  204571 */     // GIR_Coverage, 9458,
     /*  204571 */     GIR_EraseRootFromParent_Done,
     /*  204572 */   // Label 4396: @204572
     /*  204572 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(204635), // Rule ID 9459 //
     /*  204577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  204591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  204594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204633 */     GIR_RootConstrainSelectedInstOperands,
     /*  204634 */     // GIR_Coverage, 9459,
     /*  204634 */     GIR_EraseRootFromParent_Done,
     /*  204635 */   // Label 4397: @204635
     /*  204635 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(204698), // Rule ID 9462 //
     /*  204640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  204654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  204657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204679 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204696 */     GIR_RootConstrainSelectedInstOperands,
     /*  204697 */     // GIR_Coverage, 9462,
     /*  204697 */     GIR_EraseRootFromParent_Done,
     /*  204698 */   // Label 4398: @204698
     /*  204698 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(204761), // Rule ID 9463 //
     /*  204703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  204717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  204720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204742 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204759 */     GIR_RootConstrainSelectedInstOperands,
     /*  204760 */     // GIR_Coverage, 9463,
     /*  204760 */     GIR_EraseRootFromParent_Done,
     /*  204761 */   // Label 4399: @204761
     /*  204761 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(204824), // Rule ID 9466 //
     /*  204766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  204780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  204783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204805 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204822 */     GIR_RootConstrainSelectedInstOperands,
     /*  204823 */     // GIR_Coverage, 9466,
     /*  204823 */     GIR_EraseRootFromParent_Done,
     /*  204824 */   // Label 4400: @204824
     /*  204824 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(204887), // Rule ID 9467 //
     /*  204829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  204843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  204846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204868 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204885 */     GIR_RootConstrainSelectedInstOperands,
     /*  204886 */     // GIR_Coverage, 9467,
     /*  204886 */     GIR_EraseRootFromParent_Done,
     /*  204887 */   // Label 4401: @204887
     /*  204887 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(204950), // Rule ID 9470 //
     /*  204892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  204906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  204909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204931 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  204931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  204948 */     GIR_RootConstrainSelectedInstOperands,
     /*  204949 */     // GIR_Coverage, 9470,
     /*  204949 */     GIR_EraseRootFromParent_Done,
     /*  204950 */   // Label 4402: @204950
     /*  204950 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(205013), // Rule ID 9471 //
     /*  204955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  204969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  204972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  204994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205011 */     GIR_RootConstrainSelectedInstOperands,
     /*  205012 */     // GIR_Coverage, 9471,
     /*  205012 */     GIR_EraseRootFromParent_Done,
     /*  205013 */   // Label 4403: @205013
     /*  205013 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(205076), // Rule ID 9474 //
     /*  205018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  205032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  205035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205057 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  205057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205074 */     GIR_RootConstrainSelectedInstOperands,
     /*  205075 */     // GIR_Coverage, 9474,
     /*  205075 */     GIR_EraseRootFromParent_Done,
     /*  205076 */   // Label 4404: @205076
     /*  205076 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(205139), // Rule ID 9475 //
     /*  205081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  205095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  205098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  205120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205137 */     GIR_RootConstrainSelectedInstOperands,
     /*  205138 */     // GIR_Coverage, 9475,
     /*  205138 */     GIR_EraseRootFromParent_Done,
     /*  205139 */   // Label 4405: @205139
     /*  205139 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(205202), // Rule ID 9478 //
     /*  205144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  205158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  205161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205183 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  205183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205200 */     GIR_RootConstrainSelectedInstOperands,
     /*  205201 */     // GIR_Coverage, 9478,
     /*  205201 */     GIR_EraseRootFromParent_Done,
     /*  205202 */   // Label 4406: @205202
     /*  205202 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(205265), // Rule ID 9479 //
     /*  205207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  205221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  205224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205246 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  205246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205263 */     GIR_RootConstrainSelectedInstOperands,
     /*  205264 */     // GIR_Coverage, 9479,
     /*  205264 */     GIR_EraseRootFromParent_Done,
     /*  205265 */   // Label 4407: @205265
     /*  205265 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(205328), // Rule ID 9482 //
     /*  205270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  205284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  205287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  205312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205326 */     GIR_RootConstrainSelectedInstOperands,
     /*  205327 */     // GIR_Coverage, 9482,
     /*  205327 */     GIR_EraseRootFromParent_Done,
     /*  205328 */   // Label 4408: @205328
     /*  205328 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(205391), // Rule ID 9483 //
     /*  205333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  205347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  205350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  205375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205389 */     GIR_RootConstrainSelectedInstOperands,
     /*  205390 */     // GIR_Coverage, 9483,
     /*  205390 */     GIR_EraseRootFromParent_Done,
     /*  205391 */   // Label 4409: @205391
     /*  205391 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(205454), // Rule ID 9486 //
     /*  205396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  205410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  205413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205452 */     GIR_RootConstrainSelectedInstOperands,
     /*  205453 */     // GIR_Coverage, 9486,
     /*  205453 */     GIR_EraseRootFromParent_Done,
     /*  205454 */   // Label 4410: @205454
     /*  205454 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(205517), // Rule ID 9487 //
     /*  205459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  205473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  205476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205498 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205515 */     GIR_RootConstrainSelectedInstOperands,
     /*  205516 */     // GIR_Coverage, 9487,
     /*  205516 */     GIR_EraseRootFromParent_Done,
     /*  205517 */   // Label 4411: @205517
     /*  205517 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(205580), // Rule ID 9490 //
     /*  205522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  205536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  205539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205561 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205578 */     GIR_RootConstrainSelectedInstOperands,
     /*  205579 */     // GIR_Coverage, 9490,
     /*  205579 */     GIR_EraseRootFromParent_Done,
     /*  205580 */   // Label 4412: @205580
     /*  205580 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(205643), // Rule ID 9491 //
     /*  205585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  205599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  205602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205641 */     GIR_RootConstrainSelectedInstOperands,
     /*  205642 */     // GIR_Coverage, 9491,
     /*  205642 */     GIR_EraseRootFromParent_Done,
     /*  205643 */   // Label 4413: @205643
     /*  205643 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(205706), // Rule ID 9494 //
     /*  205648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  205662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  205665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  205690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205704 */     GIR_RootConstrainSelectedInstOperands,
     /*  205705 */     // GIR_Coverage, 9494,
     /*  205705 */     GIR_EraseRootFromParent_Done,
     /*  205706 */   // Label 4414: @205706
     /*  205706 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(205769), // Rule ID 9495 //
     /*  205711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  205725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  205728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205750 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  205750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  205753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205767 */     GIR_RootConstrainSelectedInstOperands,
     /*  205768 */     // GIR_Coverage, 9495,
     /*  205768 */     GIR_EraseRootFromParent_Done,
     /*  205769 */   // Label 4415: @205769
     /*  205769 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(205832), // Rule ID 9498 //
     /*  205774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  205788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  205791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  205816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205830 */     GIR_RootConstrainSelectedInstOperands,
     /*  205831 */     // GIR_Coverage, 9498,
     /*  205831 */     GIR_EraseRootFromParent_Done,
     /*  205832 */   // Label 4416: @205832
     /*  205832 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(205895), // Rule ID 9499 //
     /*  205837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  205851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  205854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  205876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  205879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205893 */     GIR_RootConstrainSelectedInstOperands,
     /*  205894 */     // GIR_Coverage, 9499,
     /*  205894 */     GIR_EraseRootFromParent_Done,
     /*  205895 */   // Label 4417: @205895
     /*  205895 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(205958), // Rule ID 9502 //
     /*  205900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  205914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  205917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205939 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  205942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205956 */     GIR_RootConstrainSelectedInstOperands,
     /*  205957 */     // GIR_Coverage, 9502,
     /*  205957 */     GIR_EraseRootFromParent_Done,
     /*  205958 */   // Label 4418: @205958
     /*  205958 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(206021), // Rule ID 9503 //
     /*  205963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  205977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  205980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  206002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206019 */     GIR_RootConstrainSelectedInstOperands,
     /*  206020 */     // GIR_Coverage, 9503,
     /*  206020 */     GIR_EraseRootFromParent_Done,
     /*  206021 */   // Label 4419: @206021
     /*  206021 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(206084), // Rule ID 9506 //
     /*  206026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  206043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  206068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206082 */     GIR_RootConstrainSelectedInstOperands,
     /*  206083 */     // GIR_Coverage, 9506,
     /*  206083 */     GIR_EraseRootFromParent_Done,
     /*  206084 */   // Label 4420: @206084
     /*  206084 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(206147), // Rule ID 9507 //
     /*  206089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  206106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  206131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206145 */     GIR_RootConstrainSelectedInstOperands,
     /*  206146 */     // GIR_Coverage, 9507,
     /*  206146 */     GIR_EraseRootFromParent_Done,
     /*  206147 */   // Label 4421: @206147
     /*  206147 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(206210), // Rule ID 9510 //
     /*  206152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  206169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206191 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206208 */     GIR_RootConstrainSelectedInstOperands,
     /*  206209 */     // GIR_Coverage, 9510,
     /*  206209 */     GIR_EraseRootFromParent_Done,
     /*  206210 */   // Label 4422: @206210
     /*  206210 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(206273), // Rule ID 9511 //
     /*  206215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  206232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206254 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206271 */     GIR_RootConstrainSelectedInstOperands,
     /*  206272 */     // GIR_Coverage, 9511,
     /*  206272 */     GIR_EraseRootFromParent_Done,
     /*  206273 */   // Label 4423: @206273
     /*  206273 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(206336), // Rule ID 9514 //
     /*  206278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  206295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  206317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206334 */     GIR_RootConstrainSelectedInstOperands,
     /*  206335 */     // GIR_Coverage, 9514,
     /*  206335 */     GIR_EraseRootFromParent_Done,
     /*  206336 */   // Label 4424: @206336
     /*  206336 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(206399), // Rule ID 9515 //
     /*  206341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  206358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  206380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206397 */     GIR_RootConstrainSelectedInstOperands,
     /*  206398 */     // GIR_Coverage, 9515,
     /*  206398 */     GIR_EraseRootFromParent_Done,
     /*  206399 */   // Label 4425: @206399
     /*  206399 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(206462), // Rule ID 9518 //
     /*  206404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  206421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206443 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  206443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206460 */     GIR_RootConstrainSelectedInstOperands,
     /*  206461 */     // GIR_Coverage, 9518,
     /*  206461 */     GIR_EraseRootFromParent_Done,
     /*  206462 */   // Label 4426: @206462
     /*  206462 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(206525), // Rule ID 9519 //
     /*  206467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  206484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206506 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  206506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206523 */     GIR_RootConstrainSelectedInstOperands,
     /*  206524 */     // GIR_Coverage, 9519,
     /*  206524 */     GIR_EraseRootFromParent_Done,
     /*  206525 */   // Label 4427: @206525
     /*  206525 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(206588), // Rule ID 9522 //
     /*  206530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  206547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206586 */     GIR_RootConstrainSelectedInstOperands,
     /*  206587 */     // GIR_Coverage, 9522,
     /*  206587 */     GIR_EraseRootFromParent_Done,
     /*  206588 */   // Label 4428: @206588
     /*  206588 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(206651), // Rule ID 9523 //
     /*  206593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  206610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206649 */     GIR_RootConstrainSelectedInstOperands,
     /*  206650 */     // GIR_Coverage, 9523,
     /*  206650 */     GIR_EraseRootFromParent_Done,
     /*  206651 */   // Label 4429: @206651
     /*  206651 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(206714), // Rule ID 9526 //
     /*  206656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  206670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  206673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206695 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  206695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206712 */     GIR_RootConstrainSelectedInstOperands,
     /*  206713 */     // GIR_Coverage, 9526,
     /*  206713 */     GIR_EraseRootFromParent_Done,
     /*  206714 */   // Label 4430: @206714
     /*  206714 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(206777), // Rule ID 9527 //
     /*  206719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  206733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  206736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206758 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  206758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206775 */     GIR_RootConstrainSelectedInstOperands,
     /*  206776 */     // GIR_Coverage, 9527,
     /*  206776 */     GIR_EraseRootFromParent_Done,
     /*  206777 */   // Label 4431: @206777
     /*  206777 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(206840), // Rule ID 9530 //
     /*  206782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  206785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  206796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  206799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  206821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  206838 */     GIR_RootConstrainSelectedInstOperands,
     /*  206839 */     // GIR_Coverage, 9530,
     /*  206839 */     GIR_EraseRootFromParent_Done,
     /*  206840 */   // Label 4432: @206840
     /*  206840 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(206903), // Rule ID 9531 //
     /*  206845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  206848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  206859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  206862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  206884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  206901 */     GIR_RootConstrainSelectedInstOperands,
     /*  206902 */     // GIR_Coverage, 9531,
     /*  206902 */     GIR_EraseRootFromParent_Done,
     /*  206903 */   // Label 4433: @206903
     /*  206903 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(206966), // Rule ID 9534 //
     /*  206908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  206919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  206922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  206925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  206936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  206940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  206947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  206950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206964 */     GIR_RootConstrainSelectedInstOperands,
     /*  206965 */     // GIR_Coverage, 9534,
     /*  206965 */     GIR_EraseRootFromParent_Done,
     /*  206966 */   // Label 4434: @206966
     /*  206966 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(207029), // Rule ID 9535 //
     /*  206971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  206982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  206985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  206988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  206999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207010 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207027 */     GIR_RootConstrainSelectedInstOperands,
     /*  207028 */     // GIR_Coverage, 9535,
     /*  207028 */     GIR_EraseRootFromParent_Done,
     /*  207029 */   // Label 4435: @207029
     /*  207029 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(207092), // Rule ID 9538 //
     /*  207034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  207051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207073 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  207073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207090 */     GIR_RootConstrainSelectedInstOperands,
     /*  207091 */     // GIR_Coverage, 9538,
     /*  207091 */     GIR_EraseRootFromParent_Done,
     /*  207092 */   // Label 4436: @207092
     /*  207092 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(207155), // Rule ID 9539 //
     /*  207097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  207114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207136 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207153 */     GIR_RootConstrainSelectedInstOperands,
     /*  207154 */     // GIR_Coverage, 9539,
     /*  207154 */     GIR_EraseRootFromParent_Done,
     /*  207155 */   // Label 4437: @207155
     /*  207155 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(207218), // Rule ID 9542 //
     /*  207160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  207177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207199 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  207199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207216 */     GIR_RootConstrainSelectedInstOperands,
     /*  207217 */     // GIR_Coverage, 9542,
     /*  207217 */     GIR_EraseRootFromParent_Done,
     /*  207218 */   // Label 4438: @207218
     /*  207218 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(207281), // Rule ID 9543 //
     /*  207223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  207240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207262 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207279 */     GIR_RootConstrainSelectedInstOperands,
     /*  207280 */     // GIR_Coverage, 9543,
     /*  207280 */     GIR_EraseRootFromParent_Done,
     /*  207281 */   // Label 4439: @207281
     /*  207281 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(207344), // Rule ID 9546 //
     /*  207286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  207303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207342 */     GIR_RootConstrainSelectedInstOperands,
     /*  207343 */     // GIR_Coverage, 9546,
     /*  207343 */     GIR_EraseRootFromParent_Done,
     /*  207344 */   // Label 4440: @207344
     /*  207344 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(207407), // Rule ID 9547 //
     /*  207349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  207366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207405 */     GIR_RootConstrainSelectedInstOperands,
     /*  207406 */     // GIR_Coverage, 9547,
     /*  207406 */     GIR_EraseRootFromParent_Done,
     /*  207407 */   // Label 4441: @207407
     /*  207407 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(207470), // Rule ID 9550 //
     /*  207412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  207429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207451 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207468 */     GIR_RootConstrainSelectedInstOperands,
     /*  207469 */     // GIR_Coverage, 9550,
     /*  207469 */     GIR_EraseRootFromParent_Done,
     /*  207470 */   // Label 4442: @207470
     /*  207470 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(207533), // Rule ID 9551 //
     /*  207475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  207492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207514 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207531 */     GIR_RootConstrainSelectedInstOperands,
     /*  207532 */     // GIR_Coverage, 9551,
     /*  207532 */     GIR_EraseRootFromParent_Done,
     /*  207533 */   // Label 4443: @207533
     /*  207533 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(207596), // Rule ID 9554 //
     /*  207538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  207555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207577 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207594 */     GIR_RootConstrainSelectedInstOperands,
     /*  207595 */     // GIR_Coverage, 9554,
     /*  207595 */     GIR_EraseRootFromParent_Done,
     /*  207596 */   // Label 4444: @207596
     /*  207596 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(207659), // Rule ID 9555 //
     /*  207601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  207618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207657 */     GIR_RootConstrainSelectedInstOperands,
     /*  207658 */     // GIR_Coverage, 9555,
     /*  207658 */     GIR_EraseRootFromParent_Done,
     /*  207659 */   // Label 4445: @207659
     /*  207659 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(207722), // Rule ID 9558 //
     /*  207664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  207678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  207681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207720 */     GIR_RootConstrainSelectedInstOperands,
     /*  207721 */     // GIR_Coverage, 9558,
     /*  207721 */     GIR_EraseRootFromParent_Done,
     /*  207722 */   // Label 4446: @207722
     /*  207722 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(207785), // Rule ID 9559 //
     /*  207727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  207741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  207744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207766 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  207766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207783 */     GIR_RootConstrainSelectedInstOperands,
     /*  207784 */     // GIR_Coverage, 9559,
     /*  207784 */     GIR_EraseRootFromParent_Done,
     /*  207785 */   // Label 4447: @207785
     /*  207785 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(207848), // Rule ID 9562 //
     /*  207790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  207804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  207807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207846 */     GIR_RootConstrainSelectedInstOperands,
     /*  207847 */     // GIR_Coverage, 9562,
     /*  207847 */     GIR_EraseRootFromParent_Done,
     /*  207848 */   // Label 4448: @207848
     /*  207848 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(207911), // Rule ID 9563 //
     /*  207853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  207867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  207870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  207892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207909 */     GIR_RootConstrainSelectedInstOperands,
     /*  207910 */     // GIR_Coverage, 9563,
     /*  207910 */     GIR_EraseRootFromParent_Done,
     /*  207911 */   // Label 4449: @207911
     /*  207911 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(207974), // Rule ID 9566 //
     /*  207916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  207930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  207933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207955 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207972 */     GIR_RootConstrainSelectedInstOperands,
     /*  207973 */     // GIR_Coverage, 9566,
     /*  207973 */     GIR_EraseRootFromParent_Done,
     /*  207974 */   // Label 4450: @207974
     /*  207974 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(208037), // Rule ID 9567 //
     /*  207979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  207993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  207996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  208018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208035 */     GIR_RootConstrainSelectedInstOperands,
     /*  208036 */     // GIR_Coverage, 9567,
     /*  208036 */     GIR_EraseRootFromParent_Done,
     /*  208037 */   // Label 4451: @208037
     /*  208037 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(208100), // Rule ID 9570 //
     /*  208042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  208059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  208084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208098 */     GIR_RootConstrainSelectedInstOperands,
     /*  208099 */     // GIR_Coverage, 9570,
     /*  208099 */     GIR_EraseRootFromParent_Done,
     /*  208100 */   // Label 4452: @208100
     /*  208100 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(208163), // Rule ID 9571 //
     /*  208105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  208122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  208147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208161 */     GIR_RootConstrainSelectedInstOperands,
     /*  208162 */     // GIR_Coverage, 9571,
     /*  208162 */     GIR_EraseRootFromParent_Done,
     /*  208163 */   // Label 4453: @208163
     /*  208163 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(208226), // Rule ID 9574 //
     /*  208168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  208185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  208210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208224 */     GIR_RootConstrainSelectedInstOperands,
     /*  208225 */     // GIR_Coverage, 9574,
     /*  208225 */     GIR_EraseRootFromParent_Done,
     /*  208226 */   // Label 4454: @208226
     /*  208226 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(208289), // Rule ID 9575 //
     /*  208231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  208248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  208273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208287 */     GIR_RootConstrainSelectedInstOperands,
     /*  208288 */     // GIR_Coverage, 9575,
     /*  208288 */     GIR_EraseRootFromParent_Done,
     /*  208289 */   // Label 4455: @208289
     /*  208289 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(208352), // Rule ID 9578 //
     /*  208294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  208311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208350 */     GIR_RootConstrainSelectedInstOperands,
     /*  208351 */     // GIR_Coverage, 9578,
     /*  208351 */     GIR_EraseRootFromParent_Done,
     /*  208352 */   // Label 4456: @208352
     /*  208352 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(208415), // Rule ID 9579 //
     /*  208357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  208374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208413 */     GIR_RootConstrainSelectedInstOperands,
     /*  208414 */     // GIR_Coverage, 9579,
     /*  208414 */     GIR_EraseRootFromParent_Done,
     /*  208415 */   // Label 4457: @208415
     /*  208415 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(208478), // Rule ID 9582 //
     /*  208420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  208437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208459 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  208462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208476 */     GIR_RootConstrainSelectedInstOperands,
     /*  208477 */     // GIR_Coverage, 9582,
     /*  208477 */     GIR_EraseRootFromParent_Done,
     /*  208478 */   // Label 4458: @208478
     /*  208478 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(208541), // Rule ID 9583 //
     /*  208483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  208500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  208525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208539 */     GIR_RootConstrainSelectedInstOperands,
     /*  208540 */     // GIR_Coverage, 9583,
     /*  208540 */     GIR_EraseRootFromParent_Done,
     /*  208541 */   // Label 4459: @208541
     /*  208541 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(208604), // Rule ID 9586 //
     /*  208546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  208560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  208563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208585 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208602 */     GIR_RootConstrainSelectedInstOperands,
     /*  208603 */     // GIR_Coverage, 9586,
     /*  208603 */     GIR_EraseRootFromParent_Done,
     /*  208604 */   // Label 4460: @208604
     /*  208604 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(208667), // Rule ID 9587 //
     /*  208609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  208623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  208626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208665 */     GIR_RootConstrainSelectedInstOperands,
     /*  208666 */     // GIR_Coverage, 9587,
     /*  208666 */     GIR_EraseRootFromParent_Done,
     /*  208667 */   // Label 4461: @208667
     /*  208667 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(208730), // Rule ID 9590 //
     /*  208672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  208686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  208689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  208714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208728 */     GIR_RootConstrainSelectedInstOperands,
     /*  208729 */     // GIR_Coverage, 9590,
     /*  208729 */     GIR_EraseRootFromParent_Done,
     /*  208730 */   // Label 4462: @208730
     /*  208730 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(208793), // Rule ID 9591 //
     /*  208735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  208749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  208752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208774 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  208777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208791 */     GIR_RootConstrainSelectedInstOperands,
     /*  208792 */     // GIR_Coverage, 9591,
     /*  208792 */     GIR_EraseRootFromParent_Done,
     /*  208793 */   // Label 4463: @208793
     /*  208793 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(208856), // Rule ID 9594 //
     /*  208798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  208812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  208815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  208837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  208854 */     GIR_RootConstrainSelectedInstOperands,
     /*  208855 */     // GIR_Coverage, 9594,
     /*  208855 */     GIR_EraseRootFromParent_Done,
     /*  208856 */   // Label 4464: @208856
     /*  208856 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(208919), // Rule ID 9595 //
     /*  208861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  208875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  208878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  208900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  208917 */     GIR_RootConstrainSelectedInstOperands,
     /*  208918 */     // GIR_Coverage, 9595,
     /*  208918 */     GIR_EraseRootFromParent_Done,
     /*  208919 */   // Label 4465: @208919
     /*  208919 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(208982), // Rule ID 9598 //
     /*  208924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  208938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  208941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  208963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  208966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  208980 */     GIR_RootConstrainSelectedInstOperands,
     /*  208981 */     // GIR_Coverage, 9598,
     /*  208981 */     GIR_EraseRootFromParent_Done,
     /*  208982 */   // Label 4466: @208982
     /*  208982 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(209045), // Rule ID 9599 //
     /*  208987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  209001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  209004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209026 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  209026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209043 */     GIR_RootConstrainSelectedInstOperands,
     /*  209044 */     // GIR_Coverage, 9599,
     /*  209044 */     GIR_EraseRootFromParent_Done,
     /*  209045 */   // Label 4467: @209045
     /*  209045 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(209108), // Rule ID 9602 //
     /*  209050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  209064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  209067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209106 */     GIR_RootConstrainSelectedInstOperands,
     /*  209107 */     // GIR_Coverage, 9602,
     /*  209107 */     GIR_EraseRootFromParent_Done,
     /*  209108 */   // Label 4468: @209108
     /*  209108 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(209171), // Rule ID 9603 //
     /*  209113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  209127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  209130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  209152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209169 */     GIR_RootConstrainSelectedInstOperands,
     /*  209170 */     // GIR_Coverage, 9603,
     /*  209170 */     GIR_EraseRootFromParent_Done,
     /*  209171 */   // Label 4469: @209171
     /*  209171 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(209234), // Rule ID 9606 //
     /*  209176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  209190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  209193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209232 */     GIR_RootConstrainSelectedInstOperands,
     /*  209233 */     // GIR_Coverage, 9606,
     /*  209233 */     GIR_EraseRootFromParent_Done,
     /*  209234 */   // Label 4470: @209234
     /*  209234 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(209297), // Rule ID 9607 //
     /*  209239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  209253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  209256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209295 */     GIR_RootConstrainSelectedInstOperands,
     /*  209296 */     // GIR_Coverage, 9607,
     /*  209296 */     GIR_EraseRootFromParent_Done,
     /*  209297 */   // Label 4471: @209297
     /*  209297 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(209360), // Rule ID 9610 //
     /*  209302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  209316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  209319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  209341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209358 */     GIR_RootConstrainSelectedInstOperands,
     /*  209359 */     // GIR_Coverage, 9610,
     /*  209359 */     GIR_EraseRootFromParent_Done,
     /*  209360 */   // Label 4472: @209360
     /*  209360 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(209423), // Rule ID 9611 //
     /*  209365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  209379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  209382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  209404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209421 */     GIR_RootConstrainSelectedInstOperands,
     /*  209422 */     // GIR_Coverage, 9611,
     /*  209422 */     GIR_EraseRootFromParent_Done,
     /*  209423 */   // Label 4473: @209423
     /*  209423 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(209486), // Rule ID 9614 //
     /*  209428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  209442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  209445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  209467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209484 */     GIR_RootConstrainSelectedInstOperands,
     /*  209485 */     // GIR_Coverage, 9614,
     /*  209485 */     GIR_EraseRootFromParent_Done,
     /*  209486 */   // Label 4474: @209486
     /*  209486 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(209549), // Rule ID 9615 //
     /*  209491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  209505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  209508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  209530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209547 */     GIR_RootConstrainSelectedInstOperands,
     /*  209548 */     // GIR_Coverage, 9615,
     /*  209548 */     GIR_EraseRootFromParent_Done,
     /*  209549 */   // Label 4475: @209549
     /*  209549 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(209612), // Rule ID 9618 //
     /*  209554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  209557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  209568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  209571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  209593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  209610 */     GIR_RootConstrainSelectedInstOperands,
     /*  209611 */     // GIR_Coverage, 9618,
     /*  209611 */     GIR_EraseRootFromParent_Done,
     /*  209612 */   // Label 4476: @209612
     /*  209612 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(209675), // Rule ID 9619 //
     /*  209617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  209620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  209631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  209634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  209656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  209673 */     GIR_RootConstrainSelectedInstOperands,
     /*  209674 */     // GIR_Coverage, 9619,
     /*  209674 */     GIR_EraseRootFromParent_Done,
     /*  209675 */   // Label 4477: @209675
     /*  209675 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(209738), // Rule ID 9622 //
     /*  209680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  209694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  209697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  209722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209736 */     GIR_RootConstrainSelectedInstOperands,
     /*  209737 */     // GIR_Coverage, 9622,
     /*  209737 */     GIR_EraseRootFromParent_Done,
     /*  209738 */   // Label 4478: @209738
     /*  209738 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(209801), // Rule ID 9623 //
     /*  209743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  209757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  209760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209782 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  209785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209799 */     GIR_RootConstrainSelectedInstOperands,
     /*  209800 */     // GIR_Coverage, 9623,
     /*  209800 */     GIR_EraseRootFromParent_Done,
     /*  209801 */   // Label 4479: @209801
     /*  209801 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(209864), // Rule ID 9626 //
     /*  209806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  209820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  209823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209845 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  209848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209862 */     GIR_RootConstrainSelectedInstOperands,
     /*  209863 */     // GIR_Coverage, 9626,
     /*  209863 */     GIR_EraseRootFromParent_Done,
     /*  209864 */   // Label 4480: @209864
     /*  209864 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(209927), // Rule ID 9627 //
     /*  209869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  209883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  209886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209908 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  209911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209925 */     GIR_RootConstrainSelectedInstOperands,
     /*  209926 */     // GIR_Coverage, 9627,
     /*  209926 */     GIR_EraseRootFromParent_Done,
     /*  209927 */   // Label 4481: @209927
     /*  209927 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(209990), // Rule ID 9630 //
     /*  209932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  209946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  209949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  209960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  209964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209971 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  209974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209988 */     GIR_RootConstrainSelectedInstOperands,
     /*  209989 */     // GIR_Coverage, 9630,
     /*  209989 */     GIR_EraseRootFromParent_Done,
     /*  209990 */   // Label 4482: @209990
     /*  209990 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(210053), // Rule ID 9631 //
     /*  209995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  210009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  210012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210034 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  210034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210051 */     GIR_RootConstrainSelectedInstOperands,
     /*  210052 */     // GIR_Coverage, 9631,
     /*  210052 */     GIR_EraseRootFromParent_Done,
     /*  210053 */   // Label 4483: @210053
     /*  210053 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(210116), // Rule ID 9634 //
     /*  210058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  210072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  210075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210114 */     GIR_RootConstrainSelectedInstOperands,
     /*  210115 */     // GIR_Coverage, 9634,
     /*  210115 */     GIR_EraseRootFromParent_Done,
     /*  210116 */   // Label 4484: @210116
     /*  210116 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(210179), // Rule ID 9635 //
     /*  210121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  210135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  210138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210177 */     GIR_RootConstrainSelectedInstOperands,
     /*  210178 */     // GIR_Coverage, 9635,
     /*  210178 */     GIR_EraseRootFromParent_Done,
     /*  210179 */   // Label 4485: @210179
     /*  210179 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(210242), // Rule ID 9638 //
     /*  210184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  210198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  210201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210223 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210240 */     GIR_RootConstrainSelectedInstOperands,
     /*  210241 */     // GIR_Coverage, 9638,
     /*  210241 */     GIR_EraseRootFromParent_Done,
     /*  210242 */   // Label 4486: @210242
     /*  210242 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(210305), // Rule ID 9639 //
     /*  210247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  210261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  210264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210303 */     GIR_RootConstrainSelectedInstOperands,
     /*  210304 */     // GIR_Coverage, 9639,
     /*  210304 */     GIR_EraseRootFromParent_Done,
     /*  210305 */   // Label 4487: @210305
     /*  210305 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(210368), // Rule ID 9642 //
     /*  210310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  210324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  210327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210366 */     GIR_RootConstrainSelectedInstOperands,
     /*  210367 */     // GIR_Coverage, 9642,
     /*  210367 */     GIR_EraseRootFromParent_Done,
     /*  210368 */   // Label 4488: @210368
     /*  210368 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(210431), // Rule ID 9643 //
     /*  210373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  210387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  210390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210412 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210429 */     GIR_RootConstrainSelectedInstOperands,
     /*  210430 */     // GIR_Coverage, 9643,
     /*  210430 */     GIR_EraseRootFromParent_Done,
     /*  210431 */   // Label 4489: @210431
     /*  210431 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(210494), // Rule ID 9646 //
     /*  210436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  210450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  210453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210475 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210492 */     GIR_RootConstrainSelectedInstOperands,
     /*  210493 */     // GIR_Coverage, 9646,
     /*  210493 */     GIR_EraseRootFromParent_Done,
     /*  210494 */   // Label 4490: @210494
     /*  210494 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(210557), // Rule ID 9647 //
     /*  210499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  210513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  210516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210555 */     GIR_RootConstrainSelectedInstOperands,
     /*  210556 */     // GIR_Coverage, 9647,
     /*  210556 */     GIR_EraseRootFromParent_Done,
     /*  210557 */   // Label 4491: @210557
     /*  210557 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(210620), // Rule ID 9650 //
     /*  210562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  210576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  210579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210618 */     GIR_RootConstrainSelectedInstOperands,
     /*  210619 */     // GIR_Coverage, 9650,
     /*  210619 */     GIR_EraseRootFromParent_Done,
     /*  210620 */   // Label 4492: @210620
     /*  210620 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(210683), // Rule ID 9651 //
     /*  210625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  210639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  210642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210681 */     GIR_RootConstrainSelectedInstOperands,
     /*  210682 */     // GIR_Coverage, 9651,
     /*  210682 */     GIR_EraseRootFromParent_Done,
     /*  210683 */   // Label 4493: @210683
     /*  210683 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(210746), // Rule ID 9654 //
     /*  210688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  210702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  210705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210727 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210744 */     GIR_RootConstrainSelectedInstOperands,
     /*  210745 */     // GIR_Coverage, 9654,
     /*  210745 */     GIR_EraseRootFromParent_Done,
     /*  210746 */   // Label 4494: @210746
     /*  210746 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(210809), // Rule ID 9655 //
     /*  210751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  210765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  210768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210790 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210807 */     GIR_RootConstrainSelectedInstOperands,
     /*  210808 */     // GIR_Coverage, 9655,
     /*  210808 */     GIR_EraseRootFromParent_Done,
     /*  210809 */   // Label 4495: @210809
     /*  210809 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(210872), // Rule ID 9658 //
     /*  210814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  210817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  210828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  210831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  210853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  210870 */     GIR_RootConstrainSelectedInstOperands,
     /*  210871 */     // GIR_Coverage, 9658,
     /*  210871 */     GIR_EraseRootFromParent_Done,
     /*  210872 */   // Label 4496: @210872
     /*  210872 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(210935), // Rule ID 9659 //
     /*  210877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  210880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  210891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  210894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  210916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  210933 */     GIR_RootConstrainSelectedInstOperands,
     /*  210934 */     // GIR_Coverage, 9659,
     /*  210934 */     GIR_EraseRootFromParent_Done,
     /*  210935 */   // Label 4497: @210935
     /*  210935 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(210998), // Rule ID 9662 //
     /*  210940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  210943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  210954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  210957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  210979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  210996 */     GIR_RootConstrainSelectedInstOperands,
     /*  210997 */     // GIR_Coverage, 9662,
     /*  210997 */     GIR_EraseRootFromParent_Done,
     /*  210998 */   // Label 4498: @210998
     /*  210998 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(211061), // Rule ID 9663 //
     /*  211003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  211017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  211020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211042 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  211042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  211045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211059 */     GIR_RootConstrainSelectedInstOperands,
     /*  211060 */     // GIR_Coverage, 9663,
     /*  211060 */     GIR_EraseRootFromParent_Done,
     /*  211061 */   // Label 4499: @211061
     /*  211061 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(211124), // Rule ID 9666 //
     /*  211066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  211069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  211080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  211083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  211105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  211108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211122 */     GIR_RootConstrainSelectedInstOperands,
     /*  211123 */     // GIR_Coverage, 9666,
     /*  211123 */     GIR_EraseRootFromParent_Done,
     /*  211124 */   // Label 4500: @211124
     /*  211124 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(211187), // Rule ID 9667 //
     /*  211129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  211143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  211146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  211168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  211171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211185 */     GIR_RootConstrainSelectedInstOperands,
     /*  211186 */     // GIR_Coverage, 9667,
     /*  211186 */     GIR_EraseRootFromParent_Done,
     /*  211187 */   // Label 4501: @211187
     /*  211187 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(211250), // Rule ID 9670 //
     /*  211192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  211206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  211209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211231 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  211234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211248 */     GIR_RootConstrainSelectedInstOperands,
     /*  211249 */     // GIR_Coverage, 9670,
     /*  211249 */     GIR_EraseRootFromParent_Done,
     /*  211250 */   // Label 4502: @211250
     /*  211250 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(211313), // Rule ID 9671 //
     /*  211255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  211269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  211272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211294 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  211297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211311 */     GIR_RootConstrainSelectedInstOperands,
     /*  211312 */     // GIR_Coverage, 9671,
     /*  211312 */     GIR_EraseRootFromParent_Done,
     /*  211313 */   // Label 4503: @211313
     /*  211313 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(211376), // Rule ID 9674 //
     /*  211318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  211332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  211335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211374 */     GIR_RootConstrainSelectedInstOperands,
     /*  211375 */     // GIR_Coverage, 9674,
     /*  211375 */     GIR_EraseRootFromParent_Done,
     /*  211376 */   // Label 4504: @211376
     /*  211376 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(211439), // Rule ID 9675 //
     /*  211381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  211395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  211398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211437 */     GIR_RootConstrainSelectedInstOperands,
     /*  211438 */     // GIR_Coverage, 9675,
     /*  211438 */     GIR_EraseRootFromParent_Done,
     /*  211439 */   // Label 4505: @211439
     /*  211439 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(211502), // Rule ID 9678 //
     /*  211444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  211461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211483 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211500 */     GIR_RootConstrainSelectedInstOperands,
     /*  211501 */     // GIR_Coverage, 9678,
     /*  211501 */     GIR_EraseRootFromParent_Done,
     /*  211502 */   // Label 4506: @211502
     /*  211502 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(211565), // Rule ID 9679 //
     /*  211507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  211524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211546 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211563 */     GIR_RootConstrainSelectedInstOperands,
     /*  211564 */     // GIR_Coverage, 9679,
     /*  211564 */     GIR_EraseRootFromParent_Done,
     /*  211565 */   // Label 4507: @211565
     /*  211565 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(211628), // Rule ID 9682 //
     /*  211570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  211587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211626 */     GIR_RootConstrainSelectedInstOperands,
     /*  211627 */     // GIR_Coverage, 9682,
     /*  211627 */     GIR_EraseRootFromParent_Done,
     /*  211628 */   // Label 4508: @211628
     /*  211628 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(211691), // Rule ID 9683 //
     /*  211633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  211650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211689 */     GIR_RootConstrainSelectedInstOperands,
     /*  211690 */     // GIR_Coverage, 9683,
     /*  211690 */     GIR_EraseRootFromParent_Done,
     /*  211691 */   // Label 4509: @211691
     /*  211691 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(211754), // Rule ID 9686 //
     /*  211696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  211713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211752 */     GIR_RootConstrainSelectedInstOperands,
     /*  211753 */     // GIR_Coverage, 9686,
     /*  211753 */     GIR_EraseRootFromParent_Done,
     /*  211754 */   // Label 4510: @211754
     /*  211754 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(211817), // Rule ID 9687 //
     /*  211759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  211776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211798 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211815 */     GIR_RootConstrainSelectedInstOperands,
     /*  211816 */     // GIR_Coverage, 9687,
     /*  211816 */     GIR_EraseRootFromParent_Done,
     /*  211817 */   // Label 4511: @211817
     /*  211817 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(211880), // Rule ID 9690 //
     /*  211822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  211839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  211861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211878 */     GIR_RootConstrainSelectedInstOperands,
     /*  211879 */     // GIR_Coverage, 9690,
     /*  211879 */     GIR_EraseRootFromParent_Done,
     /*  211880 */   // Label 4512: @211880
     /*  211880 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(211943), // Rule ID 9691 //
     /*  211885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  211902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  211924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211941 */     GIR_RootConstrainSelectedInstOperands,
     /*  211942 */     // GIR_Coverage, 9691,
     /*  211942 */     GIR_EraseRootFromParent_Done,
     /*  211943 */   // Label 4513: @211943
     /*  211943 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(212006), // Rule ID 9694 //
     /*  211948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  211962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  211965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  211990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212004 */     GIR_RootConstrainSelectedInstOperands,
     /*  212005 */     // GIR_Coverage, 9694,
     /*  212005 */     GIR_EraseRootFromParent_Done,
     /*  212006 */   // Label 4514: @212006
     /*  212006 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(212069), // Rule ID 9695 //
     /*  212011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  212028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212050 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212067 */     GIR_RootConstrainSelectedInstOperands,
     /*  212068 */     // GIR_Coverage, 9695,
     /*  212068 */     GIR_EraseRootFromParent_Done,
     /*  212069 */   // Label 4515: @212069
     /*  212069 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(212132), // Rule ID 9698 //
     /*  212074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  212091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  212113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212130 */     GIR_RootConstrainSelectedInstOperands,
     /*  212131 */     // GIR_Coverage, 9698,
     /*  212131 */     GIR_EraseRootFromParent_Done,
     /*  212132 */   // Label 4516: @212132
     /*  212132 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(212195), // Rule ID 9699 //
     /*  212137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  212154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  212176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212193 */     GIR_RootConstrainSelectedInstOperands,
     /*  212194 */     // GIR_Coverage, 9699,
     /*  212194 */     GIR_EraseRootFromParent_Done,
     /*  212195 */   // Label 4517: @212195
     /*  212195 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(212258), // Rule ID 9702 //
     /*  212200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  212214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  212217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  212239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212256 */     GIR_RootConstrainSelectedInstOperands,
     /*  212257 */     // GIR_Coverage, 9702,
     /*  212257 */     GIR_EraseRootFromParent_Done,
     /*  212258 */   // Label 4518: @212258
     /*  212258 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(212321), // Rule ID 9703 //
     /*  212263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  212277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  212280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  212302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212319 */     GIR_RootConstrainSelectedInstOperands,
     /*  212320 */     // GIR_Coverage, 9703,
     /*  212320 */     GIR_EraseRootFromParent_Done,
     /*  212321 */   // Label 4519: @212321
     /*  212321 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(212384), // Rule ID 9706 //
     /*  212326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  212329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  212340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  212343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  212365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212382 */     GIR_RootConstrainSelectedInstOperands,
     /*  212383 */     // GIR_Coverage, 9706,
     /*  212383 */     GIR_EraseRootFromParent_Done,
     /*  212384 */   // Label 4520: @212384
     /*  212384 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(212447), // Rule ID 9707 //
     /*  212389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  212392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  212403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  212406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  212428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212445 */     GIR_RootConstrainSelectedInstOperands,
     /*  212446 */     // GIR_Coverage, 9707,
     /*  212446 */     GIR_EraseRootFromParent_Done,
     /*  212447 */   // Label 4521: @212447
     /*  212447 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(212510), // Rule ID 9710 //
     /*  212452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  212466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  212469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212491 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212508 */     GIR_RootConstrainSelectedInstOperands,
     /*  212509 */     // GIR_Coverage, 9710,
     /*  212509 */     GIR_EraseRootFromParent_Done,
     /*  212510 */   // Label 4522: @212510
     /*  212510 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(212573), // Rule ID 9711 //
     /*  212515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  212529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  212532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212571 */     GIR_RootConstrainSelectedInstOperands,
     /*  212572 */     // GIR_Coverage, 9711,
     /*  212572 */     GIR_EraseRootFromParent_Done,
     /*  212573 */   // Label 4523: @212573
     /*  212573 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(212636), // Rule ID 9714 //
     /*  212578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  212595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  212620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212634 */     GIR_RootConstrainSelectedInstOperands,
     /*  212635 */     // GIR_Coverage, 9714,
     /*  212635 */     GIR_EraseRootFromParent_Done,
     /*  212636 */   // Label 4524: @212636
     /*  212636 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(212699), // Rule ID 9715 //
     /*  212641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  212658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  212683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212697 */     GIR_RootConstrainSelectedInstOperands,
     /*  212698 */     // GIR_Coverage, 9715,
     /*  212698 */     GIR_EraseRootFromParent_Done,
     /*  212699 */   // Label 4525: @212699
     /*  212699 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(212762), // Rule ID 9718 //
     /*  212704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  212721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212743 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  212746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212760 */     GIR_RootConstrainSelectedInstOperands,
     /*  212761 */     // GIR_Coverage, 9718,
     /*  212761 */     GIR_EraseRootFromParent_Done,
     /*  212762 */   // Label 4526: @212762
     /*  212762 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(212825), // Rule ID 9719 //
     /*  212767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  212784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212806 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  212809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212823 */     GIR_RootConstrainSelectedInstOperands,
     /*  212824 */     // GIR_Coverage, 9719,
     /*  212824 */     GIR_EraseRootFromParent_Done,
     /*  212825 */   // Label 4527: @212825
     /*  212825 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(212888), // Rule ID 9722 //
     /*  212830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  212847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212869 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  212869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212886 */     GIR_RootConstrainSelectedInstOperands,
     /*  212887 */     // GIR_Coverage, 9722,
     /*  212887 */     GIR_EraseRootFromParent_Done,
     /*  212888 */   // Label 4528: @212888
     /*  212888 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(212951), // Rule ID 9723 //
     /*  212893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  212910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  212932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212949 */     GIR_RootConstrainSelectedInstOperands,
     /*  212950 */     // GIR_Coverage, 9723,
     /*  212950 */     GIR_EraseRootFromParent_Done,
     /*  212951 */   // Label 4529: @212951
     /*  212951 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(213014), // Rule ID 9726 //
     /*  212956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  212970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  212973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212995 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  212995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  212998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213012 */     GIR_RootConstrainSelectedInstOperands,
     /*  213013 */     // GIR_Coverage, 9726,
     /*  213013 */     GIR_EraseRootFromParent_Done,
     /*  213014 */   // Label 4530: @213014
     /*  213014 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(213077), // Rule ID 9727 //
     /*  213019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  213036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213058 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213075 */     GIR_RootConstrainSelectedInstOperands,
     /*  213076 */     // GIR_Coverage, 9727,
     /*  213076 */     GIR_EraseRootFromParent_Done,
     /*  213077 */   // Label 4531: @213077
     /*  213077 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(213140), // Rule ID 9730 //
     /*  213082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  213099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213121 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213138 */     GIR_RootConstrainSelectedInstOperands,
     /*  213139 */     // GIR_Coverage, 9730,
     /*  213139 */     GIR_EraseRootFromParent_Done,
     /*  213140 */   // Label 4532: @213140
     /*  213140 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(213203), // Rule ID 9731 //
     /*  213145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  213162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213201 */     GIR_RootConstrainSelectedInstOperands,
     /*  213202 */     // GIR_Coverage, 9731,
     /*  213202 */     GIR_EraseRootFromParent_Done,
     /*  213203 */   // Label 4533: @213203
     /*  213203 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(213266), // Rule ID 9734 //
     /*  213208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  213225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213247 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213264 */     GIR_RootConstrainSelectedInstOperands,
     /*  213265 */     // GIR_Coverage, 9734,
     /*  213265 */     GIR_EraseRootFromParent_Done,
     /*  213266 */   // Label 4534: @213266
     /*  213266 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(213329), // Rule ID 9735 //
     /*  213271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  213288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213327 */     GIR_RootConstrainSelectedInstOperands,
     /*  213328 */     // GIR_Coverage, 9735,
     /*  213328 */     GIR_EraseRootFromParent_Done,
     /*  213329 */   // Label 4535: @213329
     /*  213329 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(213392), // Rule ID 9738 //
     /*  213334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  213348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  213351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213373 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213390 */     GIR_RootConstrainSelectedInstOperands,
     /*  213391 */     // GIR_Coverage, 9738,
     /*  213391 */     GIR_EraseRootFromParent_Done,
     /*  213392 */   // Label 4536: @213392
     /*  213392 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(213455), // Rule ID 9739 //
     /*  213397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  213411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  213414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213436 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213453 */     GIR_RootConstrainSelectedInstOperands,
     /*  213454 */     // GIR_Coverage, 9739,
     /*  213454 */     GIR_EraseRootFromParent_Done,
     /*  213455 */   // Label 4537: @213455
     /*  213455 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(213518), // Rule ID 9742 //
     /*  213460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  213474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  213477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213499 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213516 */     GIR_RootConstrainSelectedInstOperands,
     /*  213517 */     // GIR_Coverage, 9742,
     /*  213517 */     GIR_EraseRootFromParent_Done,
     /*  213518 */   // Label 4538: @213518
     /*  213518 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(213581), // Rule ID 9743 //
     /*  213523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  213537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  213540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213562 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213579 */     GIR_RootConstrainSelectedInstOperands,
     /*  213580 */     // GIR_Coverage, 9743,
     /*  213580 */     GIR_EraseRootFromParent_Done,
     /*  213581 */   // Label 4539: @213581
     /*  213581 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(213644), // Rule ID 9746 //
     /*  213586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  213603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213642 */     GIR_RootConstrainSelectedInstOperands,
     /*  213643 */     // GIR_Coverage, 9746,
     /*  213643 */     GIR_EraseRootFromParent_Done,
     /*  213644 */   // Label 4540: @213644
     /*  213644 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(213707), // Rule ID 9747 //
     /*  213649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  213666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213705 */     GIR_RootConstrainSelectedInstOperands,
     /*  213706 */     // GIR_Coverage, 9747,
     /*  213706 */     GIR_EraseRootFromParent_Done,
     /*  213707 */   // Label 4541: @213707
     /*  213707 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(213770), // Rule ID 9750 //
     /*  213712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  213729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213751 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213768 */     GIR_RootConstrainSelectedInstOperands,
     /*  213769 */     // GIR_Coverage, 9750,
     /*  213769 */     GIR_EraseRootFromParent_Done,
     /*  213770 */   // Label 4542: @213770
     /*  213770 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(213833), // Rule ID 9751 //
     /*  213775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  213792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213831 */     GIR_RootConstrainSelectedInstOperands,
     /*  213832 */     // GIR_Coverage, 9751,
     /*  213832 */     GIR_EraseRootFromParent_Done,
     /*  213833 */   // Label 4543: @213833
     /*  213833 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(213896), // Rule ID 9754 //
     /*  213838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  213855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213894 */     GIR_RootConstrainSelectedInstOperands,
     /*  213895 */     // GIR_Coverage, 9754,
     /*  213895 */     GIR_EraseRootFromParent_Done,
     /*  213896 */   // Label 4544: @213896
     /*  213896 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(213959), // Rule ID 9755 //
     /*  213901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  213918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213957 */     GIR_RootConstrainSelectedInstOperands,
     /*  213958 */     // GIR_Coverage, 9755,
     /*  213958 */     GIR_EraseRootFromParent_Done,
     /*  213959 */   // Label 4545: @213959
     /*  213959 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(214025), // Rule ID 13830 //
     /*  213964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  213972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  213981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  214006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214023 */     GIR_RootConstrainSelectedInstOperands,
     /*  214024 */     // GIR_Coverage, 13830,
     /*  214024 */     GIR_EraseRootFromParent_Done,
     /*  214025 */   // Label 4546: @214025
     /*  214025 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(214091), // Rule ID 13831 //
     /*  214030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  214041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  214044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  214047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  214072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214089 */     GIR_RootConstrainSelectedInstOperands,
     /*  214090 */     // GIR_Coverage, 13831,
     /*  214090 */     GIR_EraseRootFromParent_Done,
     /*  214091 */   // Label 4547: @214091
     /*  214091 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(214157), // Rule ID 13832 //
     /*  214096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  214107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  214113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214155 */     GIR_RootConstrainSelectedInstOperands,
     /*  214156 */     // GIR_Coverage, 13832,
     /*  214156 */     GIR_EraseRootFromParent_Done,
     /*  214157 */   // Label 4548: @214157
     /*  214157 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(214223), // Rule ID 13833 //
     /*  214162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  214173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  214179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214221 */     GIR_RootConstrainSelectedInstOperands,
     /*  214222 */     // GIR_Coverage, 13833,
     /*  214222 */     GIR_EraseRootFromParent_Done,
     /*  214223 */   // Label 4549: @214223
     /*  214223 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(214289), // Rule ID 13834 //
     /*  214228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  214239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  214245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214287 */     GIR_RootConstrainSelectedInstOperands,
     /*  214288 */     // GIR_Coverage, 13834,
     /*  214288 */     GIR_EraseRootFromParent_Done,
     /*  214289 */   // Label 4550: @214289
     /*  214289 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(214355), // Rule ID 13835 //
     /*  214294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  214305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  214311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214353 */     GIR_RootConstrainSelectedInstOperands,
     /*  214354 */     // GIR_Coverage, 13835,
     /*  214354 */     GIR_EraseRootFromParent_Done,
     /*  214355 */   // Label 4551: @214355
     /*  214355 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(214421), // Rule ID 13836 //
     /*  214360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  214371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  214377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214419 */     GIR_RootConstrainSelectedInstOperands,
     /*  214420 */     // GIR_Coverage, 13836,
     /*  214420 */     GIR_EraseRootFromParent_Done,
     /*  214421 */   // Label 4552: @214421
     /*  214421 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(214487), // Rule ID 13837 //
     /*  214426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  214437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  214443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214465 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214485 */     GIR_RootConstrainSelectedInstOperands,
     /*  214486 */     // GIR_Coverage, 13837,
     /*  214486 */     GIR_EraseRootFromParent_Done,
     /*  214487 */   // Label 4553: @214487
     /*  214487 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(214553), // Rule ID 13838 //
     /*  214492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  214503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  214506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  214509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214551 */     GIR_RootConstrainSelectedInstOperands,
     /*  214552 */     // GIR_Coverage, 13838,
     /*  214552 */     GIR_EraseRootFromParent_Done,
     /*  214553 */   // Label 4554: @214553
     /*  214553 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(214619), // Rule ID 13839 //
     /*  214558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  214569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  214572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  214575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214617 */     GIR_RootConstrainSelectedInstOperands,
     /*  214618 */     // GIR_Coverage, 13839,
     /*  214618 */     GIR_EraseRootFromParent_Done,
     /*  214619 */   // Label 4555: @214619
     /*  214619 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(214685), // Rule ID 13840 //
     /*  214624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  214635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  214638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  214641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214683 */     GIR_RootConstrainSelectedInstOperands,
     /*  214684 */     // GIR_Coverage, 13840,
     /*  214684 */     GIR_EraseRootFromParent_Done,
     /*  214685 */   // Label 4556: @214685
     /*  214685 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(214751), // Rule ID 13841 //
     /*  214690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  214701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  214704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  214707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214729 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214749 */     GIR_RootConstrainSelectedInstOperands,
     /*  214750 */     // GIR_Coverage, 13841,
     /*  214750 */     GIR_EraseRootFromParent_Done,
     /*  214751 */   // Label 4557: @214751
     /*  214751 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(214817), // Rule ID 13842 //
     /*  214756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  214767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  214770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  214773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214815 */     GIR_RootConstrainSelectedInstOperands,
     /*  214816 */     // GIR_Coverage, 13842,
     /*  214816 */     GIR_EraseRootFromParent_Done,
     /*  214817 */   // Label 4558: @214817
     /*  214817 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(214883), // Rule ID 13843 //
     /*  214822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  214833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  214836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  214839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214861 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214881 */     GIR_RootConstrainSelectedInstOperands,
     /*  214882 */     // GIR_Coverage, 13843,
     /*  214882 */     GIR_EraseRootFromParent_Done,
     /*  214883 */   // Label 4559: @214883
     /*  214883 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(214949), // Rule ID 13844 //
     /*  214888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  214899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  214902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  214905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214947 */     GIR_RootConstrainSelectedInstOperands,
     /*  214948 */     // GIR_Coverage, 13844,
     /*  214948 */     GIR_EraseRootFromParent_Done,
     /*  214949 */   // Label 4560: @214949
     /*  214949 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(215015), // Rule ID 13845 //
     /*  214954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  214965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  214968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  214971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215013 */     GIR_RootConstrainSelectedInstOperands,
     /*  215014 */     // GIR_Coverage, 13845,
     /*  215014 */     GIR_EraseRootFromParent_Done,
     /*  215015 */   // Label 4561: @215015
     /*  215015 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(215081), // Rule ID 13846 //
     /*  215020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  215031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  215037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  215059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215079 */     GIR_RootConstrainSelectedInstOperands,
     /*  215080 */     // GIR_Coverage, 13846,
     /*  215080 */     GIR_EraseRootFromParent_Done,
     /*  215081 */   // Label 4562: @215081
     /*  215081 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(215147), // Rule ID 13847 //
     /*  215086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  215097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  215103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  215125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215145 */     GIR_RootConstrainSelectedInstOperands,
     /*  215146 */     // GIR_Coverage, 13847,
     /*  215146 */     GIR_EraseRootFromParent_Done,
     /*  215147 */   // Label 4563: @215147
     /*  215147 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(215213), // Rule ID 13848 //
     /*  215152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  215163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  215169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215191 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  215191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215211 */     GIR_RootConstrainSelectedInstOperands,
     /*  215212 */     // GIR_Coverage, 13848,
     /*  215212 */     GIR_EraseRootFromParent_Done,
     /*  215213 */   // Label 4564: @215213
     /*  215213 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(215279), // Rule ID 13849 //
     /*  215218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  215229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  215235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  215257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215277 */     GIR_RootConstrainSelectedInstOperands,
     /*  215278 */     // GIR_Coverage, 13849,
     /*  215278 */     GIR_EraseRootFromParent_Done,
     /*  215279 */   // Label 4565: @215279
     /*  215279 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(215345), // Rule ID 13850 //
     /*  215284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  215295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  215301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215343 */     GIR_RootConstrainSelectedInstOperands,
     /*  215344 */     // GIR_Coverage, 13850,
     /*  215344 */     GIR_EraseRootFromParent_Done,
     /*  215345 */   // Label 4566: @215345
     /*  215345 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(215411), // Rule ID 13851 //
     /*  215350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  215361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  215367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215409 */     GIR_RootConstrainSelectedInstOperands,
     /*  215410 */     // GIR_Coverage, 13851,
     /*  215410 */     GIR_EraseRootFromParent_Done,
     /*  215411 */   // Label 4567: @215411
     /*  215411 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(215477), // Rule ID 13852 //
     /*  215416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  215427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  215430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  215433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215455 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215475 */     GIR_RootConstrainSelectedInstOperands,
     /*  215476 */     // GIR_Coverage, 13852,
     /*  215476 */     GIR_EraseRootFromParent_Done,
     /*  215477 */   // Label 4568: @215477
     /*  215477 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(215543), // Rule ID 13853 //
     /*  215482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  215493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  215496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  215499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215541 */     GIR_RootConstrainSelectedInstOperands,
     /*  215542 */     // GIR_Coverage, 13853,
     /*  215542 */     GIR_EraseRootFromParent_Done,
     /*  215543 */   // Label 4569: @215543
     /*  215543 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(215609), // Rule ID 13854 //
     /*  215548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  215559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  215562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  215565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215587 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  215590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215607 */     GIR_RootConstrainSelectedInstOperands,
     /*  215608 */     // GIR_Coverage, 13854,
     /*  215608 */     GIR_EraseRootFromParent_Done,
     /*  215609 */   // Label 4570: @215609
     /*  215609 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(215675), // Rule ID 13855 //
     /*  215614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  215625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  215628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  215631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  215656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215673 */     GIR_RootConstrainSelectedInstOperands,
     /*  215674 */     // GIR_Coverage, 13855,
     /*  215674 */     GIR_EraseRootFromParent_Done,
     /*  215675 */   // Label 4571: @215675
     /*  215675 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(215741), // Rule ID 13856 //
     /*  215680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  215691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  215694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  215697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  215719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215739 */     GIR_RootConstrainSelectedInstOperands,
     /*  215740 */     // GIR_Coverage, 13856,
     /*  215740 */     GIR_EraseRootFromParent_Done,
     /*  215741 */   // Label 4572: @215741
     /*  215741 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(215807), // Rule ID 13857 //
     /*  215746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  215757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  215760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  215763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  215785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215805 */     GIR_RootConstrainSelectedInstOperands,
     /*  215806 */     // GIR_Coverage, 13857,
     /*  215806 */     GIR_EraseRootFromParent_Done,
     /*  215807 */   // Label 4573: @215807
     /*  215807 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(215873), // Rule ID 13858 //
     /*  215812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  215823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  215826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  215829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  215851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215871 */     GIR_RootConstrainSelectedInstOperands,
     /*  215872 */     // GIR_Coverage, 13858,
     /*  215872 */     GIR_EraseRootFromParent_Done,
     /*  215873 */   // Label 4574: @215873
     /*  215873 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(215939), // Rule ID 13859 //
     /*  215878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  215889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  215892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  215895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  215917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215937 */     GIR_RootConstrainSelectedInstOperands,
     /*  215938 */     // GIR_Coverage, 13859,
     /*  215938 */     GIR_EraseRootFromParent_Done,
     /*  215939 */   // Label 4575: @215939
     /*  215939 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(216005), // Rule ID 13860 //
     /*  215944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  215955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  215958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  215961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  215983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  215986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216003 */     GIR_RootConstrainSelectedInstOperands,
     /*  216004 */     // GIR_Coverage, 13860,
     /*  216004 */     GIR_EraseRootFromParent_Done,
     /*  216005 */   // Label 4576: @216005
     /*  216005 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(216071), // Rule ID 13861 //
     /*  216010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  216021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  216024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  216027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  216049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216069 */     GIR_RootConstrainSelectedInstOperands,
     /*  216070 */     // GIR_Coverage, 13861,
     /*  216070 */     GIR_EraseRootFromParent_Done,
     /*  216071 */   // Label 4577: @216071
     /*  216071 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(216137), // Rule ID 13862 //
     /*  216076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  216087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  216093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216135 */     GIR_RootConstrainSelectedInstOperands,
     /*  216136 */     // GIR_Coverage, 13862,
     /*  216136 */     GIR_EraseRootFromParent_Done,
     /*  216137 */   // Label 4578: @216137
     /*  216137 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(216203), // Rule ID 13863 //
     /*  216142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  216153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  216159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216201 */     GIR_RootConstrainSelectedInstOperands,
     /*  216202 */     // GIR_Coverage, 13863,
     /*  216202 */     GIR_EraseRootFromParent_Done,
     /*  216203 */   // Label 4579: @216203
     /*  216203 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(216269), // Rule ID 13864 //
     /*  216208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  216219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  216225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216267 */     GIR_RootConstrainSelectedInstOperands,
     /*  216268 */     // GIR_Coverage, 13864,
     /*  216268 */     GIR_EraseRootFromParent_Done,
     /*  216269 */   // Label 4580: @216269
     /*  216269 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(216335), // Rule ID 13865 //
     /*  216274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  216285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  216291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216333 */     GIR_RootConstrainSelectedInstOperands,
     /*  216334 */     // GIR_Coverage, 13865,
     /*  216334 */     GIR_EraseRootFromParent_Done,
     /*  216335 */   // Label 4581: @216335
     /*  216335 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(216401), // Rule ID 13866 //
     /*  216340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  216351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  216354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  216357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216399 */     GIR_RootConstrainSelectedInstOperands,
     /*  216400 */     // GIR_Coverage, 13866,
     /*  216400 */     GIR_EraseRootFromParent_Done,
     /*  216401 */   // Label 4582: @216401
     /*  216401 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(216467), // Rule ID 13867 //
     /*  216406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  216417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  216420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  216423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216465 */     GIR_RootConstrainSelectedInstOperands,
     /*  216466 */     // GIR_Coverage, 13867,
     /*  216466 */     GIR_EraseRootFromParent_Done,
     /*  216467 */   // Label 4583: @216467
     /*  216467 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(216533), // Rule ID 13868 //
     /*  216472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  216483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  216486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  216489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216531 */     GIR_RootConstrainSelectedInstOperands,
     /*  216532 */     // GIR_Coverage, 13868,
     /*  216532 */     GIR_EraseRootFromParent_Done,
     /*  216533 */   // Label 4584: @216533
     /*  216533 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(216599), // Rule ID 13869 //
     /*  216538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  216549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  216552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  216555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216597 */     GIR_RootConstrainSelectedInstOperands,
     /*  216598 */     // GIR_Coverage, 13869,
     /*  216598 */     GIR_EraseRootFromParent_Done,
     /*  216599 */   // Label 4585: @216599
     /*  216599 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(216665), // Rule ID 13870 //
     /*  216604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  216615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  216618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  216621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216663 */     GIR_RootConstrainSelectedInstOperands,
     /*  216664 */     // GIR_Coverage, 13870,
     /*  216664 */     GIR_EraseRootFromParent_Done,
     /*  216665 */   // Label 4586: @216665
     /*  216665 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(216731), // Rule ID 13871 //
     /*  216670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  216681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  216684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  216687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216729 */     GIR_RootConstrainSelectedInstOperands,
     /*  216730 */     // GIR_Coverage, 13871,
     /*  216730 */     GIR_EraseRootFromParent_Done,
     /*  216731 */   // Label 4587: @216731
     /*  216731 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(216797), // Rule ID 13872 //
     /*  216736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  216747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  216753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216795 */     GIR_RootConstrainSelectedInstOperands,
     /*  216796 */     // GIR_Coverage, 13872,
     /*  216796 */     GIR_EraseRootFromParent_Done,
     /*  216797 */   // Label 4588: @216797
     /*  216797 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(216863), // Rule ID 13873 //
     /*  216802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  216813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  216819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216861 */     GIR_RootConstrainSelectedInstOperands,
     /*  216862 */     // GIR_Coverage, 13873,
     /*  216862 */     GIR_EraseRootFromParent_Done,
     /*  216863 */   // Label 4589: @216863
     /*  216863 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(216929), // Rule ID 13874 //
     /*  216868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  216871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  216879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  216885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216907 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  216907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  216910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216927 */     GIR_RootConstrainSelectedInstOperands,
     /*  216928 */     // GIR_Coverage, 13874,
     /*  216928 */     GIR_EraseRootFromParent_Done,
     /*  216929 */   // Label 4590: @216929
     /*  216929 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(216995), // Rule ID 13875 //
     /*  216934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  216937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  216945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  216951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216973 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  216973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  216976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216993 */     GIR_RootConstrainSelectedInstOperands,
     /*  216994 */     // GIR_Coverage, 13875,
     /*  216994 */     GIR_EraseRootFromParent_Done,
     /*  216995 */   // Label 4591: @216995
     /*  216995 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(217061), // Rule ID 13876 //
     /*  217000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  217017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217039 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217059 */     GIR_RootConstrainSelectedInstOperands,
     /*  217060 */     // GIR_Coverage, 13876,
     /*  217060 */     GIR_EraseRootFromParent_Done,
     /*  217061 */   // Label 4592: @217061
     /*  217061 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(217127), // Rule ID 13877 //
     /*  217066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  217083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217105 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217125 */     GIR_RootConstrainSelectedInstOperands,
     /*  217126 */     // GIR_Coverage, 13877,
     /*  217126 */     GIR_EraseRootFromParent_Done,
     /*  217127 */   // Label 4593: @217127
     /*  217127 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(217193), // Rule ID 13878 //
     /*  217132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  217135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  217149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217191 */     GIR_RootConstrainSelectedInstOperands,
     /*  217192 */     // GIR_Coverage, 13878,
     /*  217192 */     GIR_EraseRootFromParent_Done,
     /*  217193 */   // Label 4594: @217193
     /*  217193 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(217259), // Rule ID 13879 //
     /*  217198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  217201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  217215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217237 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217257 */     GIR_RootConstrainSelectedInstOperands,
     /*  217258 */     // GIR_Coverage, 13879,
     /*  217258 */     GIR_EraseRootFromParent_Done,
     /*  217259 */   // Label 4595: @217259
     /*  217259 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(217325), // Rule ID 13880 //
     /*  217264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  217281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217303 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217323 */     GIR_RootConstrainSelectedInstOperands,
     /*  217324 */     // GIR_Coverage, 13880,
     /*  217324 */     GIR_EraseRootFromParent_Done,
     /*  217325 */   // Label 4596: @217325
     /*  217325 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(217391), // Rule ID 13881 //
     /*  217330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  217347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217369 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217389 */     GIR_RootConstrainSelectedInstOperands,
     /*  217390 */     // GIR_Coverage, 13881,
     /*  217390 */     GIR_EraseRootFromParent_Done,
     /*  217391 */   // Label 4597: @217391
     /*  217391 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(217457), // Rule ID 13882 //
     /*  217396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  217399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  217413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217435 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217455 */     GIR_RootConstrainSelectedInstOperands,
     /*  217456 */     // GIR_Coverage, 13882,
     /*  217456 */     GIR_EraseRootFromParent_Done,
     /*  217457 */   // Label 4598: @217457
     /*  217457 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(217523), // Rule ID 13883 //
     /*  217462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  217465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  217479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217501 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217521 */     GIR_RootConstrainSelectedInstOperands,
     /*  217522 */     // GIR_Coverage, 13883,
     /*  217522 */     GIR_EraseRootFromParent_Done,
     /*  217523 */   // Label 4599: @217523
     /*  217523 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(217589), // Rule ID 13884 //
     /*  217528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  217531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  217545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217567 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  217567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217587 */     GIR_RootConstrainSelectedInstOperands,
     /*  217588 */     // GIR_Coverage, 13884,
     /*  217588 */     GIR_EraseRootFromParent_Done,
     /*  217589 */   // Label 4600: @217589
     /*  217589 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(217655), // Rule ID 13885 //
     /*  217594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  217597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  217611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217633 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  217633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217653 */     GIR_RootConstrainSelectedInstOperands,
     /*  217654 */     // GIR_Coverage, 13885,
     /*  217654 */     GIR_EraseRootFromParent_Done,
     /*  217655 */   // Label 4601: @217655
     /*  217655 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(217721), // Rule ID 13886 //
     /*  217660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  217671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  217677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217699 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  217702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217719 */     GIR_RootConstrainSelectedInstOperands,
     /*  217720 */     // GIR_Coverage, 13886,
     /*  217720 */     GIR_EraseRootFromParent_Done,
     /*  217721 */   // Label 4602: @217721
     /*  217721 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(217787), // Rule ID 13887 //
     /*  217726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  217737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  217743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217765 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  217768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217785 */     GIR_RootConstrainSelectedInstOperands,
     /*  217786 */     // GIR_Coverage, 13887,
     /*  217786 */     GIR_EraseRootFromParent_Done,
     /*  217787 */   // Label 4603: @217787
     /*  217787 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(217853), // Rule ID 13888 //
     /*  217792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  217803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  217809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  217834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217851 */     GIR_RootConstrainSelectedInstOperands,
     /*  217852 */     // GIR_Coverage, 13888,
     /*  217852 */     GIR_EraseRootFromParent_Done,
     /*  217853 */   // Label 4604: @217853
     /*  217853 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(217919), // Rule ID 13889 //
     /*  217858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  217869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  217875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217897 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  217900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217917 */     GIR_RootConstrainSelectedInstOperands,
     /*  217918 */     // GIR_Coverage, 13889,
     /*  217918 */     GIR_EraseRootFromParent_Done,
     /*  217919 */   // Label 4605: @217919
     /*  217919 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(217985), // Rule ID 13890 //
     /*  217924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  217935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  217941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217963 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  217966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217983 */     GIR_RootConstrainSelectedInstOperands,
     /*  217984 */     // GIR_Coverage, 13890,
     /*  217984 */     GIR_EraseRootFromParent_Done,
     /*  217985 */   // Label 4606: @217985
     /*  217985 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(218051), // Rule ID 13891 //
     /*  217990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  218007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218029 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218049 */     GIR_RootConstrainSelectedInstOperands,
     /*  218050 */     // GIR_Coverage, 13891,
     /*  218050 */     GIR_EraseRootFromParent_Done,
     /*  218051 */   // Label 4607: @218051
     /*  218051 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(218117), // Rule ID 13892 //
     /*  218056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  218073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218095 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218115 */     GIR_RootConstrainSelectedInstOperands,
     /*  218116 */     // GIR_Coverage, 13892,
     /*  218116 */     GIR_EraseRootFromParent_Done,
     /*  218117 */   // Label 4608: @218117
     /*  218117 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(218183), // Rule ID 13893 //
     /*  218122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  218139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218161 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218181 */     GIR_RootConstrainSelectedInstOperands,
     /*  218182 */     // GIR_Coverage, 13893,
     /*  218182 */     GIR_EraseRootFromParent_Done,
     /*  218183 */   // Label 4609: @218183
     /*  218183 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(218249), // Rule ID 13894 //
     /*  218188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  218205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218247 */     GIR_RootConstrainSelectedInstOperands,
     /*  218248 */     // GIR_Coverage, 13894,
     /*  218248 */     GIR_EraseRootFromParent_Done,
     /*  218249 */   // Label 4610: @218249
     /*  218249 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(218315), // Rule ID 13895 //
     /*  218254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  218271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218293 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218313 */     GIR_RootConstrainSelectedInstOperands,
     /*  218314 */     // GIR_Coverage, 13895,
     /*  218314 */     GIR_EraseRootFromParent_Done,
     /*  218315 */   // Label 4611: @218315
     /*  218315 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(218381), // Rule ID 13896 //
     /*  218320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  218337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218359 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218379 */     GIR_RootConstrainSelectedInstOperands,
     /*  218380 */     // GIR_Coverage, 13896,
     /*  218380 */     GIR_EraseRootFromParent_Done,
     /*  218381 */   // Label 4612: @218381
     /*  218381 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(218447), // Rule ID 13897 //
     /*  218386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  218403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218425 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218445 */     GIR_RootConstrainSelectedInstOperands,
     /*  218446 */     // GIR_Coverage, 13897,
     /*  218446 */     GIR_EraseRootFromParent_Done,
     /*  218447 */   // Label 4613: @218447
     /*  218447 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(218513), // Rule ID 13898 //
     /*  218452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  218469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218511 */     GIR_RootConstrainSelectedInstOperands,
     /*  218512 */     // GIR_Coverage, 13898,
     /*  218512 */     GIR_EraseRootFromParent_Done,
     /*  218513 */   // Label 4614: @218513
     /*  218513 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(218579), // Rule ID 13899 //
     /*  218518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  218535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218557 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218577 */     GIR_RootConstrainSelectedInstOperands,
     /*  218578 */     // GIR_Coverage, 13899,
     /*  218578 */     GIR_EraseRootFromParent_Done,
     /*  218579 */   // Label 4615: @218579
     /*  218579 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(218645), // Rule ID 13900 //
     /*  218584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  218601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218623 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218643 */     GIR_RootConstrainSelectedInstOperands,
     /*  218644 */     // GIR_Coverage, 13900,
     /*  218644 */     GIR_EraseRootFromParent_Done,
     /*  218645 */   // Label 4616: @218645
     /*  218645 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(218711), // Rule ID 13901 //
     /*  218650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  218667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218709 */     GIR_RootConstrainSelectedInstOperands,
     /*  218710 */     // GIR_Coverage, 13901,
     /*  218710 */     GIR_EraseRootFromParent_Done,
     /*  218711 */   // Label 4617: @218711
     /*  218711 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(218777), // Rule ID 13902 //
     /*  218716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  218727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  218733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218775 */     GIR_RootConstrainSelectedInstOperands,
     /*  218776 */     // GIR_Coverage, 13902,
     /*  218776 */     GIR_EraseRootFromParent_Done,
     /*  218777 */   // Label 4618: @218777
     /*  218777 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(218843), // Rule ID 13903 //
     /*  218782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  218793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  218799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218821 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218841 */     GIR_RootConstrainSelectedInstOperands,
     /*  218842 */     // GIR_Coverage, 13903,
     /*  218842 */     GIR_EraseRootFromParent_Done,
     /*  218843 */   // Label 4619: @218843
     /*  218843 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(218909), // Rule ID 18906 //
     /*  218848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  218851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  218856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  218859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  218865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218887 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  218890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  218896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218907 */     GIR_RootConstrainSelectedInstOperands,
     /*  218908 */     // GIR_Coverage, 18906,
     /*  218908 */     GIR_EraseRootFromParent_Done,
     /*  218909 */   // Label 4620: @218909
     /*  218909 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(218975), // Rule ID 18907 //
     /*  218914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  218917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  218922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  218925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  218931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218953 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  218956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  218962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218973 */     GIR_RootConstrainSelectedInstOperands,
     /*  218974 */     // GIR_Coverage, 18907,
     /*  218974 */     GIR_EraseRootFromParent_Done,
     /*  218975 */   // Label 4621: @218975
     /*  218975 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(219041), // Rule ID 18910 //
     /*  218980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  218988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  218991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  218994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  218997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  219022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219039 */     GIR_RootConstrainSelectedInstOperands,
     /*  219040 */     // GIR_Coverage, 18910,
     /*  219040 */     GIR_EraseRootFromParent_Done,
     /*  219041 */   // Label 4622: @219041
     /*  219041 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(219107), // Rule ID 18911 //
     /*  219046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  219049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  219057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  219063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219085 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  219088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219105 */     GIR_RootConstrainSelectedInstOperands,
     /*  219106 */     // GIR_Coverage, 18911,
     /*  219106 */     GIR_EraseRootFromParent_Done,
     /*  219107 */   // Label 4623: @219107
     /*  219107 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(219173), // Rule ID 18914 //
     /*  219112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  219123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  219129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219151 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  219154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219171 */     GIR_RootConstrainSelectedInstOperands,
     /*  219172 */     // GIR_Coverage, 18914,
     /*  219172 */     GIR_EraseRootFromParent_Done,
     /*  219173 */   // Label 4624: @219173
     /*  219173 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(219239), // Rule ID 18915 //
     /*  219178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  219189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  219195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10913:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  219220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219237 */     GIR_RootConstrainSelectedInstOperands,
     /*  219238 */     // GIR_Coverage, 18915,
     /*  219238 */     GIR_EraseRootFromParent_Done,
     /*  219239 */   // Label 4625: @219239
     /*  219239 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(219305), // Rule ID 18918 //
     /*  219244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  219247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  219255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  219258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  219261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219283 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  219286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219303 */     GIR_RootConstrainSelectedInstOperands,
     /*  219304 */     // GIR_Coverage, 18918,
     /*  219304 */     GIR_EraseRootFromParent_Done,
     /*  219305 */   // Label 4626: @219305
     /*  219305 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(219371), // Rule ID 18919 //
     /*  219310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  219313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  219321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  219324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  219327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219349 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  219352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219369 */     GIR_RootConstrainSelectedInstOperands,
     /*  219370 */     // GIR_Coverage, 18919,
     /*  219370 */     GIR_EraseRootFromParent_Done,
     /*  219371 */   // Label 4627: @219371
     /*  219371 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(219437), // Rule ID 18922 //
     /*  219376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  219379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  219387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  219390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  219393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  219418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219435 */     GIR_RootConstrainSelectedInstOperands,
     /*  219436 */     // GIR_Coverage, 18922,
     /*  219436 */     GIR_EraseRootFromParent_Done,
     /*  219437 */   // Label 4628: @219437
     /*  219437 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(219503), // Rule ID 18923 //
     /*  219442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  219445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  219453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  219456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  219459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  219484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219501 */     GIR_RootConstrainSelectedInstOperands,
     /*  219502 */     // GIR_Coverage, 18923,
     /*  219502 */     GIR_EraseRootFromParent_Done,
     /*  219503 */   // Label 4629: @219503
     /*  219503 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(219569), // Rule ID 18926 //
     /*  219508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  219519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  219525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219547 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  219550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219567 */     GIR_RootConstrainSelectedInstOperands,
     /*  219568 */     // GIR_Coverage, 18926,
     /*  219568 */     GIR_EraseRootFromParent_Done,
     /*  219569 */   // Label 4630: @219569
     /*  219569 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(219635), // Rule ID 18927 //
     /*  219574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  219585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  219591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219613 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  219616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219633 */     GIR_RootConstrainSelectedInstOperands,
     /*  219634 */     // GIR_Coverage, 18927,
     /*  219634 */     GIR_EraseRootFromParent_Done,
     /*  219635 */   // Label 4631: @219635
     /*  219635 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(219701), // Rule ID 18930 //
     /*  219640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  219651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  219657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219679 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  219682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219699 */     GIR_RootConstrainSelectedInstOperands,
     /*  219700 */     // GIR_Coverage, 18930,
     /*  219700 */     GIR_EraseRootFromParent_Done,
     /*  219701 */   // Label 4632: @219701
     /*  219701 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(219767), // Rule ID 18931 //
     /*  219706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  219717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  219723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219745 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  219748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219765 */     GIR_RootConstrainSelectedInstOperands,
     /*  219766 */     // GIR_Coverage, 18931,
     /*  219766 */     GIR_EraseRootFromParent_Done,
     /*  219767 */   // Label 4633: @219767
     /*  219767 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(219833), // Rule ID 18934 //
     /*  219772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  219789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219811 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  219814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219831 */     GIR_RootConstrainSelectedInstOperands,
     /*  219832 */     // GIR_Coverage, 18934,
     /*  219832 */     GIR_EraseRootFromParent_Done,
     /*  219833 */   // Label 4634: @219833
     /*  219833 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(219899), // Rule ID 18935 //
     /*  219838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  219855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219877 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  219880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219897 */     GIR_RootConstrainSelectedInstOperands,
     /*  219898 */     // GIR_Coverage, 18935,
     /*  219898 */     GIR_EraseRootFromParent_Done,
     /*  219899 */   // Label 4635: @219899
     /*  219899 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(219965), // Rule ID 18938 //
     /*  219904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  219907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  219915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  219921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219943 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  219946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219963 */     GIR_RootConstrainSelectedInstOperands,
     /*  219964 */     // GIR_Coverage, 18938,
     /*  219964 */     GIR_EraseRootFromParent_Done,
     /*  219965 */   // Label 4636: @219965
     /*  219965 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(220031), // Rule ID 18939 //
     /*  219970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  219973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  219981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  219987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220009 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  220012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220029 */     GIR_RootConstrainSelectedInstOperands,
     /*  220030 */     // GIR_Coverage, 18939,
     /*  220030 */     GIR_EraseRootFromParent_Done,
     /*  220031 */   // Label 4637: @220031
     /*  220031 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(220097), // Rule ID 18942 //
     /*  220036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  220047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  220053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  220075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  220078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220095 */     GIR_RootConstrainSelectedInstOperands,
     /*  220096 */     // GIR_Coverage, 18942,
     /*  220096 */     GIR_EraseRootFromParent_Done,
     /*  220097 */   // Label 4638: @220097
     /*  220097 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(220163), // Rule ID 18943 //
     /*  220102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  220105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  220113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  220119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220141 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  220144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220161 */     GIR_RootConstrainSelectedInstOperands,
     /*  220162 */     // GIR_Coverage, 18943,
     /*  220162 */     GIR_EraseRootFromParent_Done,
     /*  220163 */   // Label 4639: @220163
     /*  220163 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(220229), // Rule ID 18946 //
     /*  220168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  220179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  220185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220207 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  220207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  220210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220227 */     GIR_RootConstrainSelectedInstOperands,
     /*  220228 */     // GIR_Coverage, 18946,
     /*  220228 */     GIR_EraseRootFromParent_Done,
     /*  220229 */   // Label 4640: @220229
     /*  220229 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(220295), // Rule ID 18947 //
     /*  220234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  220237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  220245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  220251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  220276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220293 */     GIR_RootConstrainSelectedInstOperands,
     /*  220294 */     // GIR_Coverage, 18947,
     /*  220294 */     GIR_EraseRootFromParent_Done,
     /*  220295 */   // Label 4641: @220295
     /*  220295 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(220361), // Rule ID 18950 //
     /*  220300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  220311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  220317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220339 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  220342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220359 */     GIR_RootConstrainSelectedInstOperands,
     /*  220360 */     // GIR_Coverage, 18950,
     /*  220360 */     GIR_EraseRootFromParent_Done,
     /*  220361 */   // Label 4642: @220361
     /*  220361 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(220427), // Rule ID 18951 //
     /*  220366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  220377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  220383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  220408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220425 */     GIR_RootConstrainSelectedInstOperands,
     /*  220426 */     // GIR_Coverage, 18951,
     /*  220426 */     GIR_EraseRootFromParent_Done,
     /*  220427 */   // Label 4643: @220427
     /*  220427 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(220493), // Rule ID 18954 //
     /*  220432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  220443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  220449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  220474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220491 */     GIR_RootConstrainSelectedInstOperands,
     /*  220492 */     // GIR_Coverage, 18954,
     /*  220492 */     GIR_EraseRootFromParent_Done,
     /*  220493 */   // Label 4644: @220493
     /*  220493 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(220559), // Rule ID 18955 //
     /*  220498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  220509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  220515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220537 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  220540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220557 */     GIR_RootConstrainSelectedInstOperands,
     /*  220558 */     // GIR_Coverage, 18955,
     /*  220558 */     GIR_EraseRootFromParent_Done,
     /*  220559 */   // Label 4645: @220559
     /*  220559 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(220625), // Rule ID 18958 //
     /*  220564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  220575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  220581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220603 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  220606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220623 */     GIR_RootConstrainSelectedInstOperands,
     /*  220624 */     // GIR_Coverage, 18958,
     /*  220624 */     GIR_EraseRootFromParent_Done,
     /*  220625 */   // Label 4646: @220625
     /*  220625 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(220691), // Rule ID 18959 //
     /*  220630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  220641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  220647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220669 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  220672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220689 */     GIR_RootConstrainSelectedInstOperands,
     /*  220690 */     // GIR_Coverage, 18959,
     /*  220690 */     GIR_EraseRootFromParent_Done,
     /*  220691 */   // Label 4647: @220691
     /*  220691 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(220754), // Rule ID 19622 //
     /*  220696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  220699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  220713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220735 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  220738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220752 */     GIR_RootConstrainSelectedInstOperands,
     /*  220753 */     // GIR_Coverage, 19622,
     /*  220753 */     GIR_EraseRootFromParent_Done,
     /*  220754 */   // Label 4648: @220754
     /*  220754 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(220817), // Rule ID 19623 //
     /*  220759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  220762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  220776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  220801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220815 */     GIR_RootConstrainSelectedInstOperands,
     /*  220816 */     // GIR_Coverage, 19623,
     /*  220816 */     GIR_EraseRootFromParent_Done,
     /*  220817 */   // Label 4649: @220817
     /*  220817 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(220880), // Rule ID 19626 //
     /*  220822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  220825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  220839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  220864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220878 */     GIR_RootConstrainSelectedInstOperands,
     /*  220879 */     // GIR_Coverage, 19626,
     /*  220879 */     GIR_EraseRootFromParent_Done,
     /*  220880 */   // Label 4650: @220880
     /*  220880 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(220943), // Rule ID 19627 //
     /*  220885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  220888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  220902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  220927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220941 */     GIR_RootConstrainSelectedInstOperands,
     /*  220942 */     // GIR_Coverage, 19627,
     /*  220942 */     GIR_EraseRootFromParent_Done,
     /*  220943 */   // Label 4651: @220943
     /*  220943 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(221006), // Rule ID 19630 //
     /*  220948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  220965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  220990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221004 */     GIR_RootConstrainSelectedInstOperands,
     /*  221005 */     // GIR_Coverage, 19630,
     /*  221005 */     GIR_EraseRootFromParent_Done,
     /*  221006 */   // Label 4652: @221006
     /*  221006 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(221069), // Rule ID 19631 //
     /*  221011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  221028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  221053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221067 */     GIR_RootConstrainSelectedInstOperands,
     /*  221068 */     // GIR_Coverage, 19631,
     /*  221068 */     GIR_EraseRootFromParent_Done,
     /*  221069 */   // Label 4653: @221069
     /*  221069 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(221132), // Rule ID 19634 //
     /*  221074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  221091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221130 */     GIR_RootConstrainSelectedInstOperands,
     /*  221131 */     // GIR_Coverage, 19634,
     /*  221131 */     GIR_EraseRootFromParent_Done,
     /*  221132 */   // Label 4654: @221132
     /*  221132 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(221195), // Rule ID 19635 //
     /*  221137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  221154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221193 */     GIR_RootConstrainSelectedInstOperands,
     /*  221194 */     // GIR_Coverage, 19635,
     /*  221194 */     GIR_EraseRootFromParent_Done,
     /*  221195 */   // Label 4655: @221195
     /*  221195 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(221258), // Rule ID 19638 //
     /*  221200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  221217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221256 */     GIR_RootConstrainSelectedInstOperands,
     /*  221257 */     // GIR_Coverage, 19638,
     /*  221257 */     GIR_EraseRootFromParent_Done,
     /*  221258 */   // Label 4656: @221258
     /*  221258 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(221321), // Rule ID 19639 //
     /*  221263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  221280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221319 */     GIR_RootConstrainSelectedInstOperands,
     /*  221320 */     // GIR_Coverage, 19639,
     /*  221320 */     GIR_EraseRootFromParent_Done,
     /*  221321 */   // Label 4657: @221321
     /*  221321 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(221384), // Rule ID 19642 //
     /*  221326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  221329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  221343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221382 */     GIR_RootConstrainSelectedInstOperands,
     /*  221383 */     // GIR_Coverage, 19642,
     /*  221383 */     GIR_EraseRootFromParent_Done,
     /*  221384 */   // Label 4658: @221384
     /*  221384 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(221447), // Rule ID 19643 //
     /*  221389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  221392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  221406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221445 */     GIR_RootConstrainSelectedInstOperands,
     /*  221446 */     // GIR_Coverage, 19643,
     /*  221446 */     GIR_EraseRootFromParent_Done,
     /*  221447 */   // Label 4659: @221447
     /*  221447 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(221510), // Rule ID 19646 //
     /*  221452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  221469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221491 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221508 */     GIR_RootConstrainSelectedInstOperands,
     /*  221509 */     // GIR_Coverage, 19646,
     /*  221509 */     GIR_EraseRootFromParent_Done,
     /*  221510 */   // Label 4660: @221510
     /*  221510 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(221573), // Rule ID 19647 //
     /*  221515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  221532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221571 */     GIR_RootConstrainSelectedInstOperands,
     /*  221572 */     // GIR_Coverage, 19647,
     /*  221572 */     GIR_EraseRootFromParent_Done,
     /*  221573 */   // Label 4661: @221573
     /*  221573 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(221636), // Rule ID 19650 //
     /*  221578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  221595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  221620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221634 */     GIR_RootConstrainSelectedInstOperands,
     /*  221635 */     // GIR_Coverage, 19650,
     /*  221635 */     GIR_EraseRootFromParent_Done,
     /*  221636 */   // Label 4662: @221636
     /*  221636 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(221699), // Rule ID 19651 //
     /*  221641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  221658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  221683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221697 */     GIR_RootConstrainSelectedInstOperands,
     /*  221698 */     // GIR_Coverage, 19651,
     /*  221698 */     GIR_EraseRootFromParent_Done,
     /*  221699 */   // Label 4663: @221699
     /*  221699 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(221762), // Rule ID 19654 //
     /*  221704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  221721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221743 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  221746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221760 */     GIR_RootConstrainSelectedInstOperands,
     /*  221761 */     // GIR_Coverage, 19654,
     /*  221761 */     GIR_EraseRootFromParent_Done,
     /*  221762 */   // Label 4664: @221762
     /*  221762 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(221825), // Rule ID 19655 //
     /*  221767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  221784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221806 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  221809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221823 */     GIR_RootConstrainSelectedInstOperands,
     /*  221824 */     // GIR_Coverage, 19655,
     /*  221824 */     GIR_EraseRootFromParent_Done,
     /*  221825 */   // Label 4665: @221825
     /*  221825 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(221888), // Rule ID 19658 //
     /*  221830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  221847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221886 */     GIR_RootConstrainSelectedInstOperands,
     /*  221887 */     // GIR_Coverage, 19658,
     /*  221887 */     GIR_EraseRootFromParent_Done,
     /*  221888 */   // Label 4666: @221888
     /*  221888 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(221951), // Rule ID 19659 //
     /*  221893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  221910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221949 */     GIR_RootConstrainSelectedInstOperands,
     /*  221950 */     // GIR_Coverage, 19659,
     /*  221950 */     GIR_EraseRootFromParent_Done,
     /*  221951 */   // Label 4667: @221951
     /*  221951 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(222014), // Rule ID 19662 //
     /*  221956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  221973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  221998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222012 */     GIR_RootConstrainSelectedInstOperands,
     /*  222013 */     // GIR_Coverage, 19662,
     /*  222013 */     GIR_EraseRootFromParent_Done,
     /*  222014 */   // Label 4668: @222014
     /*  222014 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(222077), // Rule ID 19663 //
     /*  222019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  222036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222075 */     GIR_RootConstrainSelectedInstOperands,
     /*  222076 */     // GIR_Coverage, 19663,
     /*  222076 */     GIR_EraseRootFromParent_Done,
     /*  222077 */   // Label 4669: @222077
     /*  222077 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(222140), // Rule ID 19666 //
     /*  222082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  222085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  222099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222138 */     GIR_RootConstrainSelectedInstOperands,
     /*  222139 */     // GIR_Coverage, 19666,
     /*  222139 */     GIR_EraseRootFromParent_Done,
     /*  222140 */   // Label 4670: @222140
     /*  222140 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(222203), // Rule ID 19667 //
     /*  222145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  222162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222201 */     GIR_RootConstrainSelectedInstOperands,
     /*  222202 */     // GIR_Coverage, 19667,
     /*  222202 */     GIR_EraseRootFromParent_Done,
     /*  222203 */   // Label 4671: @222203
     /*  222203 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(222266), // Rule ID 19670 //
     /*  222208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  222225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222247 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  222250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222264 */     GIR_RootConstrainSelectedInstOperands,
     /*  222265 */     // GIR_Coverage, 19670,
     /*  222265 */     GIR_EraseRootFromParent_Done,
     /*  222266 */   // Label 4672: @222266
     /*  222266 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(222329), // Rule ID 19671 //
     /*  222271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  222288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  222313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222327 */     GIR_RootConstrainSelectedInstOperands,
     /*  222328 */     // GIR_Coverage, 19671,
     /*  222328 */     GIR_EraseRootFromParent_Done,
     /*  222329 */   // Label 4673: @222329
     /*  222329 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(222392), // Rule ID 19674 //
     /*  222334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  222351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222390 */     GIR_RootConstrainSelectedInstOperands,
     /*  222391 */     // GIR_Coverage, 19674,
     /*  222391 */     GIR_EraseRootFromParent_Done,
     /*  222392 */   // Label 4674: @222392
     /*  222392 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(222455), // Rule ID 19675 //
     /*  222397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  222414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222453 */     GIR_RootConstrainSelectedInstOperands,
     /*  222454 */     // GIR_Coverage, 19675,
     /*  222454 */     GIR_EraseRootFromParent_Done,
     /*  222455 */   // Label 4675: @222455
     /*  222455 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(222518), // Rule ID 19678 //
     /*  222460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  222477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222516 */     GIR_RootConstrainSelectedInstOperands,
     /*  222517 */     // GIR_Coverage, 19678,
     /*  222517 */     GIR_EraseRootFromParent_Done,
     /*  222518 */   // Label 4676: @222518
     /*  222518 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(222581), // Rule ID 19679 //
     /*  222523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  222540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222579 */     GIR_RootConstrainSelectedInstOperands,
     /*  222580 */     // GIR_Coverage, 19679,
     /*  222580 */     GIR_EraseRootFromParent_Done,
     /*  222581 */   // Label 4677: @222581
     /*  222581 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(222644), // Rule ID 19682 //
     /*  222586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  222589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222625 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  222628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222642 */     GIR_RootConstrainSelectedInstOperands,
     /*  222643 */     // GIR_Coverage, 19682,
     /*  222643 */     GIR_EraseRootFromParent_Done,
     /*  222644 */   // Label 4678: @222644
     /*  222644 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(222707), // Rule ID 19683 //
     /*  222649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  222652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222688 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  222691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222705 */     GIR_RootConstrainSelectedInstOperands,
     /*  222706 */     // GIR_Coverage, 19683,
     /*  222706 */     GIR_EraseRootFromParent_Done,
     /*  222707 */   // Label 4679: @222707
     /*  222707 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(222770), // Rule ID 19686 //
     /*  222712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  222715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  222754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222768 */     GIR_RootConstrainSelectedInstOperands,
     /*  222769 */     // GIR_Coverage, 19686,
     /*  222769 */     GIR_EraseRootFromParent_Done,
     /*  222770 */   // Label 4680: @222770
     /*  222770 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(222833), // Rule ID 19687 //
     /*  222775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  222778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  222817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222831 */     GIR_RootConstrainSelectedInstOperands,
     /*  222832 */     // GIR_Coverage, 19687,
     /*  222832 */     GIR_EraseRootFromParent_Done,
     /*  222833 */   // Label 4681: @222833
     /*  222833 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(222896), // Rule ID 19690 //
     /*  222838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  222841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  222870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  222880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222894 */     GIR_RootConstrainSelectedInstOperands,
     /*  222895 */     // GIR_Coverage, 19690,
     /*  222895 */     GIR_EraseRootFromParent_Done,
     /*  222896 */   // Label 4682: @222896
     /*  222896 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(222959), // Rule ID 19691 //
     /*  222901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  222933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  222943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222957 */     GIR_RootConstrainSelectedInstOperands,
     /*  222958 */     // GIR_Coverage, 19691,
     /*  222958 */     GIR_EraseRootFromParent_Done,
     /*  222959 */   // Label 4683: @222959
     /*  222959 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(223022), // Rule ID 19694 //
     /*  222964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  222967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  222978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  223006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223020 */     GIR_RootConstrainSelectedInstOperands,
     /*  223021 */     // GIR_Coverage, 19694,
     /*  223021 */     GIR_EraseRootFromParent_Done,
     /*  223022 */   // Label 4684: @223022
     /*  223022 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(223085), // Rule ID 19695 //
     /*  223027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223066 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  223069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223083 */     GIR_RootConstrainSelectedInstOperands,
     /*  223084 */     // GIR_Coverage, 19695,
     /*  223084 */     GIR_EraseRootFromParent_Done,
     /*  223085 */   // Label 4685: @223085
     /*  223085 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(223148), // Rule ID 19698 //
     /*  223090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  223132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223146 */     GIR_RootConstrainSelectedInstOperands,
     /*  223147 */     // GIR_Coverage, 19698,
     /*  223147 */     GIR_EraseRootFromParent_Done,
     /*  223148 */   // Label 4686: @223148
     /*  223148 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(223211), // Rule ID 19699 //
     /*  223153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  223195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223209 */     GIR_RootConstrainSelectedInstOperands,
     /*  223210 */     // GIR_Coverage, 19699,
     /*  223210 */     GIR_EraseRootFromParent_Done,
     /*  223211 */   // Label 4687: @223211
     /*  223211 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(223274), // Rule ID 19702 //
     /*  223216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  223219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  223248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223255 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  223258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223272 */     GIR_RootConstrainSelectedInstOperands,
     /*  223273 */     // GIR_Coverage, 19702,
     /*  223273 */     GIR_EraseRootFromParent_Done,
     /*  223274 */   // Label 4688: @223274
     /*  223274 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(223337), // Rule ID 19703 //
     /*  223279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  223282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  223311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  223321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223335 */     GIR_RootConstrainSelectedInstOperands,
     /*  223336 */     // GIR_Coverage, 19703,
     /*  223336 */     GIR_EraseRootFromParent_Done,
     /*  223337 */   // Label 4689: @223337
     /*  223337 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(223400), // Rule ID 19706 //
     /*  223342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  223356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223381 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  223384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223398 */     GIR_RootConstrainSelectedInstOperands,
     /*  223399 */     // GIR_Coverage, 19706,
     /*  223399 */     GIR_EraseRootFromParent_Done,
     /*  223400 */   // Label 4690: @223400
     /*  223400 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(223463), // Rule ID 19707 //
     /*  223405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  223419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  223447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223461 */     GIR_RootConstrainSelectedInstOperands,
     /*  223462 */     // GIR_Coverage, 19707,
     /*  223462 */     GIR_EraseRootFromParent_Done,
     /*  223463 */   // Label 4691: @223463
     /*  223463 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(223526), // Rule ID 19710 //
     /*  223468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  223482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223507 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  223510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223524 */     GIR_RootConstrainSelectedInstOperands,
     /*  223525 */     // GIR_Coverage, 19710,
     /*  223525 */     GIR_EraseRootFromParent_Done,
     /*  223526 */   // Label 4692: @223526
     /*  223526 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(223589), // Rule ID 19711 //
     /*  223531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  223545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223570 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  223573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223587 */     GIR_RootConstrainSelectedInstOperands,
     /*  223588 */     // GIR_Coverage, 19711,
     /*  223588 */     GIR_EraseRootFromParent_Done,
     /*  223589 */   // Label 4693: @223589
     /*  223589 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(223652), // Rule ID 19714 //
     /*  223594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223633 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  223636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223650 */     GIR_RootConstrainSelectedInstOperands,
     /*  223651 */     // GIR_Coverage, 19714,
     /*  223651 */     GIR_EraseRootFromParent_Done,
     /*  223652 */   // Label 4694: @223652
     /*  223652 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(223715), // Rule ID 19715 //
     /*  223657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  223699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223713 */     GIR_RootConstrainSelectedInstOperands,
     /*  223714 */     // GIR_Coverage, 19715,
     /*  223714 */     GIR_EraseRootFromParent_Done,
     /*  223715 */   // Label 4695: @223715
     /*  223715 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(223778), // Rule ID 19718 //
     /*  223720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223759 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  223762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223776 */     GIR_RootConstrainSelectedInstOperands,
     /*  223777 */     // GIR_Coverage, 19718,
     /*  223777 */     GIR_EraseRootFromParent_Done,
     /*  223778 */   // Label 4696: @223778
     /*  223778 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(223841), // Rule ID 19719 //
     /*  223783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  223825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223839 */     GIR_RootConstrainSelectedInstOperands,
     /*  223840 */     // GIR_Coverage, 19719,
     /*  223840 */     GIR_EraseRootFromParent_Done,
     /*  223841 */   // Label 4697: @223841
     /*  223841 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(223904), // Rule ID 19722 //
     /*  223846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  223888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223902 */     GIR_RootConstrainSelectedInstOperands,
     /*  223903 */     // GIR_Coverage, 19722,
     /*  223903 */     GIR_EraseRootFromParent_Done,
     /*  223904 */   // Label 4698: @223904
     /*  223904 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(223967), // Rule ID 19723 //
     /*  223909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  223951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223965 */     GIR_RootConstrainSelectedInstOperands,
     /*  223966 */     // GIR_Coverage, 19723,
     /*  223966 */     GIR_EraseRootFromParent_Done,
     /*  223967 */   // Label 4699: @223967
     /*  223967 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(224030), // Rule ID 19726 //
     /*  223972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  224004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224011 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  224014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224028 */     GIR_RootConstrainSelectedInstOperands,
     /*  224029 */     // GIR_Coverage, 19726,
     /*  224029 */     GIR_EraseRootFromParent_Done,
     /*  224030 */   // Label 4700: @224030
     /*  224030 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(224093), // Rule ID 19727 //
     /*  224035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  224038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  224067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  224077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224091 */     GIR_RootConstrainSelectedInstOperands,
     /*  224092 */     // GIR_Coverage, 19727,
     /*  224092 */     GIR_EraseRootFromParent_Done,
     /*  224093 */   // Label 4701: @224093
     /*  224093 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(224156), // Rule ID 19730 //
     /*  224098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  224140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224154 */     GIR_RootConstrainSelectedInstOperands,
     /*  224155 */     // GIR_Coverage, 19730,
     /*  224155 */     GIR_EraseRootFromParent_Done,
     /*  224156 */   // Label 4702: @224156
     /*  224156 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(224219), // Rule ID 19731 //
     /*  224161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  224203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224217 */     GIR_RootConstrainSelectedInstOperands,
     /*  224218 */     // GIR_Coverage, 19731,
     /*  224218 */     GIR_EraseRootFromParent_Done,
     /*  224219 */   // Label 4703: @224219
     /*  224219 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(224282), // Rule ID 19734 //
     /*  224224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  224238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224263 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  224266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224280 */     GIR_RootConstrainSelectedInstOperands,
     /*  224281 */     // GIR_Coverage, 19734,
     /*  224281 */     GIR_EraseRootFromParent_Done,
     /*  224282 */   // Label 4704: @224282
     /*  224282 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(224345), // Rule ID 19735 //
     /*  224287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  224301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  224329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224343 */     GIR_RootConstrainSelectedInstOperands,
     /*  224344 */     // GIR_Coverage, 19735,
     /*  224344 */     GIR_EraseRootFromParent_Done,
     /*  224345 */   // Label 4705: @224345
     /*  224345 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(224408), // Rule ID 19738 //
     /*  224350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224389 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  224392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224406 */     GIR_RootConstrainSelectedInstOperands,
     /*  224407 */     // GIR_Coverage, 19738,
     /*  224407 */     GIR_EraseRootFromParent_Done,
     /*  224408 */   // Label 4706: @224408
     /*  224408 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(224471), // Rule ID 19739 //
     /*  224413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  224455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224469 */     GIR_RootConstrainSelectedInstOperands,
     /*  224470 */     // GIR_Coverage, 19739,
     /*  224470 */     GIR_EraseRootFromParent_Done,
     /*  224471 */   // Label 4707: @224471
     /*  224471 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(224534), // Rule ID 19742 //
     /*  224476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  224493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224515 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  224518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224532 */     GIR_RootConstrainSelectedInstOperands,
     /*  224533 */     // GIR_Coverage, 19742,
     /*  224533 */     GIR_EraseRootFromParent_Done,
     /*  224534 */   // Label 4708: @224534
     /*  224534 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(224597), // Rule ID 19743 //
     /*  224539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  224556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  224581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224595 */     GIR_RootConstrainSelectedInstOperands,
     /*  224596 */     // GIR_Coverage, 19743,
     /*  224596 */     GIR_EraseRootFromParent_Done,
     /*  224597 */   // Label 4709: @224597
     /*  224597 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(224660), // Rule ID 19746 //
     /*  224602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  224619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224658 */     GIR_RootConstrainSelectedInstOperands,
     /*  224659 */     // GIR_Coverage, 19746,
     /*  224659 */     GIR_EraseRootFromParent_Done,
     /*  224660 */   // Label 4710: @224660
     /*  224660 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(224723), // Rule ID 19747 //
     /*  224665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  224682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224721 */     GIR_RootConstrainSelectedInstOperands,
     /*  224722 */     // GIR_Coverage, 19747,
     /*  224722 */     GIR_EraseRootFromParent_Done,
     /*  224723 */   // Label 4711: @224723
     /*  224723 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(224786), // Rule ID 19750 //
     /*  224728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  224731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  224745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224767 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224784 */     GIR_RootConstrainSelectedInstOperands,
     /*  224785 */     // GIR_Coverage, 19750,
     /*  224785 */     GIR_EraseRootFromParent_Done,
     /*  224786 */   // Label 4712: @224786
     /*  224786 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(224849), // Rule ID 19751 //
     /*  224791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  224794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  224808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224847 */     GIR_RootConstrainSelectedInstOperands,
     /*  224848 */     // GIR_Coverage, 19751,
     /*  224848 */     GIR_EraseRootFromParent_Done,
     /*  224849 */   // Label 4713: @224849
     /*  224849 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(224912), // Rule ID 19754 //
     /*  224854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  224871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  224896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224910 */     GIR_RootConstrainSelectedInstOperands,
     /*  224911 */     // GIR_Coverage, 19754,
     /*  224911 */     GIR_EraseRootFromParent_Done,
     /*  224912 */   // Label 4714: @224912
     /*  224912 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(224975), // Rule ID 19755 //
     /*  224917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  224934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  224959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224973 */     GIR_RootConstrainSelectedInstOperands,
     /*  224974 */     // GIR_Coverage, 19755,
     /*  224974 */     GIR_EraseRootFromParent_Done,
     /*  224975 */   // Label 4715: @224975
     /*  224975 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(225038), // Rule ID 19758 //
     /*  224980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  224983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  224994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  224997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225036 */     GIR_RootConstrainSelectedInstOperands,
     /*  225037 */     // GIR_Coverage, 19758,
     /*  225037 */     GIR_EraseRootFromParent_Done,
     /*  225038 */   // Label 4716: @225038
     /*  225038 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(225101), // Rule ID 19759 //
     /*  225043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  225060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225099 */     GIR_RootConstrainSelectedInstOperands,
     /*  225100 */     // GIR_Coverage, 19759,
     /*  225100 */     GIR_EraseRootFromParent_Done,
     /*  225101 */   // Label 4717: @225101
     /*  225101 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(225164), // Rule ID 19762 //
     /*  225106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  225109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  225123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225162 */     GIR_RootConstrainSelectedInstOperands,
     /*  225163 */     // GIR_Coverage, 19762,
     /*  225163 */     GIR_EraseRootFromParent_Done,
     /*  225164 */   // Label 4718: @225164
     /*  225164 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(225227), // Rule ID 19763 //
     /*  225169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  225172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  225186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225225 */     GIR_RootConstrainSelectedInstOperands,
     /*  225226 */     // GIR_Coverage, 19763,
     /*  225226 */     GIR_EraseRootFromParent_Done,
     /*  225227 */   // Label 4719: @225227
     /*  225227 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(225290), // Rule ID 19766 //
     /*  225232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  225249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225288 */     GIR_RootConstrainSelectedInstOperands,
     /*  225289 */     // GIR_Coverage, 19766,
     /*  225289 */     GIR_EraseRootFromParent_Done,
     /*  225290 */   // Label 4720: @225290
     /*  225290 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(225353), // Rule ID 19767 //
     /*  225295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  225312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225351 */     GIR_RootConstrainSelectedInstOperands,
     /*  225352 */     // GIR_Coverage, 19767,
     /*  225352 */     GIR_EraseRootFromParent_Done,
     /*  225353 */   // Label 4721: @225353
     /*  225353 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(225416), // Rule ID 19770 //
     /*  225358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  225375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225414 */     GIR_RootConstrainSelectedInstOperands,
     /*  225415 */     // GIR_Coverage, 19770,
     /*  225415 */     GIR_EraseRootFromParent_Done,
     /*  225416 */   // Label 4722: @225416
     /*  225416 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(225479), // Rule ID 19771 //
     /*  225421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  225438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225477 */     GIR_RootConstrainSelectedInstOperands,
     /*  225478 */     // GIR_Coverage, 19771,
     /*  225478 */     GIR_EraseRootFromParent_Done,
     /*  225479 */   // Label 4723: @225479
     /*  225479 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(225542), // Rule ID 19774 //
     /*  225484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  225501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225523 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225540 */     GIR_RootConstrainSelectedInstOperands,
     /*  225541 */     // GIR_Coverage, 19774,
     /*  225541 */     GIR_EraseRootFromParent_Done,
     /*  225542 */   // Label 4724: @225542
     /*  225542 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(225605), // Rule ID 19775 //
     /*  225547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  225564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225586 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225603 */     GIR_RootConstrainSelectedInstOperands,
     /*  225604 */     // GIR_Coverage, 19775,
     /*  225604 */     GIR_EraseRootFromParent_Done,
     /*  225605 */   // Label 4725: @225605
     /*  225605 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(225668), // Rule ID 19778 //
     /*  225610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  225627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225666 */     GIR_RootConstrainSelectedInstOperands,
     /*  225667 */     // GIR_Coverage, 19778,
     /*  225667 */     GIR_EraseRootFromParent_Done,
     /*  225668 */   // Label 4726: @225668
     /*  225668 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(225731), // Rule ID 19779 //
     /*  225673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  225690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225729 */     GIR_RootConstrainSelectedInstOperands,
     /*  225730 */     // GIR_Coverage, 19779,
     /*  225730 */     GIR_EraseRootFromParent_Done,
     /*  225731 */   // Label 4727: @225731
     /*  225731 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(225794), // Rule ID 19782 //
     /*  225736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  225753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225775 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225792 */     GIR_RootConstrainSelectedInstOperands,
     /*  225793 */     // GIR_Coverage, 19782,
     /*  225793 */     GIR_EraseRootFromParent_Done,
     /*  225794 */   // Label 4728: @225794
     /*  225794 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(225857), // Rule ID 19783 //
     /*  225799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  225816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225855 */     GIR_RootConstrainSelectedInstOperands,
     /*  225856 */     // GIR_Coverage, 19783,
     /*  225856 */     GIR_EraseRootFromParent_Done,
     /*  225857 */   // Label 4729: @225857
     /*  225857 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(225920), // Rule ID 19786 //
     /*  225862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  225879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225918 */     GIR_RootConstrainSelectedInstOperands,
     /*  225919 */     // GIR_Coverage, 19786,
     /*  225919 */     GIR_EraseRootFromParent_Done,
     /*  225920 */   // Label 4730: @225920
     /*  225920 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(225983), // Rule ID 19787 //
     /*  225925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  225942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225981 */     GIR_RootConstrainSelectedInstOperands,
     /*  225982 */     // GIR_Coverage, 19787,
     /*  225982 */     GIR_EraseRootFromParent_Done,
     /*  225983 */   // Label 4731: @225983
     /*  225983 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(226046), // Rule ID 19790 //
     /*  225988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  225991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  226005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  226030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226044 */     GIR_RootConstrainSelectedInstOperands,
     /*  226045 */     // GIR_Coverage, 19790,
     /*  226045 */     GIR_EraseRootFromParent_Done,
     /*  226046 */   // Label 4732: @226046
     /*  226046 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(226109), // Rule ID 19791 //
     /*  226051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  226068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  226093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226107 */     GIR_RootConstrainSelectedInstOperands,
     /*  226108 */     // GIR_Coverage, 19791,
     /*  226108 */     GIR_EraseRootFromParent_Done,
     /*  226109 */   // Label 4733: @226109
     /*  226109 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(226172), // Rule ID 19794 //
     /*  226114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  226131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  226156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226170 */     GIR_RootConstrainSelectedInstOperands,
     /*  226171 */     // GIR_Coverage, 19794,
     /*  226171 */     GIR_EraseRootFromParent_Done,
     /*  226172 */   // Label 4734: @226172
     /*  226172 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(226235), // Rule ID 19795 //
     /*  226177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  226194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  226219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226233 */     GIR_RootConstrainSelectedInstOperands,
     /*  226234 */     // GIR_Coverage, 19795,
     /*  226234 */     GIR_EraseRootFromParent_Done,
     /*  226235 */   // Label 4735: @226235
     /*  226235 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(226298), // Rule ID 19798 //
     /*  226240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  226257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226279 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  226282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226296 */     GIR_RootConstrainSelectedInstOperands,
     /*  226297 */     // GIR_Coverage, 19798,
     /*  226297 */     GIR_EraseRootFromParent_Done,
     /*  226298 */   // Label 4736: @226298
     /*  226298 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(226361), // Rule ID 19799 //
     /*  226303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  226320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  226345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226359 */     GIR_RootConstrainSelectedInstOperands,
     /*  226360 */     // GIR_Coverage, 19799,
     /*  226360 */     GIR_EraseRootFromParent_Done,
     /*  226361 */   // Label 4737: @226361
     /*  226361 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(226424), // Rule ID 19802 //
     /*  226366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  226408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226422 */     GIR_RootConstrainSelectedInstOperands,
     /*  226423 */     // GIR_Coverage, 19802,
     /*  226423 */     GIR_EraseRootFromParent_Done,
     /*  226424 */   // Label 4738: @226424
     /*  226424 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(226487), // Rule ID 19803 //
     /*  226429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  226471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226485 */     GIR_RootConstrainSelectedInstOperands,
     /*  226486 */     // GIR_Coverage, 19803,
     /*  226486 */     GIR_EraseRootFromParent_Done,
     /*  226487 */   // Label 4739: @226487
     /*  226487 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(226550), // Rule ID 19806 //
     /*  226492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226531 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  226534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226548 */     GIR_RootConstrainSelectedInstOperands,
     /*  226549 */     // GIR_Coverage, 19806,
     /*  226549 */     GIR_EraseRootFromParent_Done,
     /*  226550 */   // Label 4740: @226550
     /*  226550 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(226613), // Rule ID 19807 //
     /*  226555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  226597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226611 */     GIR_RootConstrainSelectedInstOperands,
     /*  226612 */     // GIR_Coverage, 19807,
     /*  226612 */     GIR_EraseRootFromParent_Done,
     /*  226613 */   // Label 4741: @226613
     /*  226613 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(226676), // Rule ID 19810 //
     /*  226618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  226621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226657 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  226660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226674 */     GIR_RootConstrainSelectedInstOperands,
     /*  226675 */     // GIR_Coverage, 19810,
     /*  226675 */     GIR_EraseRootFromParent_Done,
     /*  226676 */   // Label 4742: @226676
     /*  226676 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(226739), // Rule ID 19811 //
     /*  226681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  226684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  226723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226737 */     GIR_RootConstrainSelectedInstOperands,
     /*  226738 */     // GIR_Coverage, 19811,
     /*  226738 */     GIR_EraseRootFromParent_Done,
     /*  226739 */   // Label 4743: @226739
     /*  226739 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(226802), // Rule ID 19814 //
     /*  226744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226783 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  226786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226800 */     GIR_RootConstrainSelectedInstOperands,
     /*  226801 */     // GIR_Coverage, 19814,
     /*  226801 */     GIR_EraseRootFromParent_Done,
     /*  226802 */   // Label 4744: @226802
     /*  226802 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(226865), // Rule ID 19815 //
     /*  226807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  226849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226863 */     GIR_RootConstrainSelectedInstOperands,
     /*  226864 */     // GIR_Coverage, 19815,
     /*  226864 */     GIR_EraseRootFromParent_Done,
     /*  226865 */   // Label 4745: @226865
     /*  226865 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(226928), // Rule ID 19818 //
     /*  226870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  226873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  226912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226926 */     GIR_RootConstrainSelectedInstOperands,
     /*  226927 */     // GIR_Coverage, 19818,
     /*  226927 */     GIR_EraseRootFromParent_Done,
     /*  226928 */   // Label 4746: @226928
     /*  226928 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(226991), // Rule ID 19819 //
     /*  226933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  226936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  226975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226989 */     GIR_RootConstrainSelectedInstOperands,
     /*  226990 */     // GIR_Coverage, 19819,
     /*  226990 */     GIR_EraseRootFromParent_Done,
     /*  226991 */   // Label 4747: @226991
     /*  226991 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(227054), // Rule ID 19822 //
     /*  226996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  227038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227052 */     GIR_RootConstrainSelectedInstOperands,
     /*  227053 */     // GIR_Coverage, 19822,
     /*  227053 */     GIR_EraseRootFromParent_Done,
     /*  227054 */   // Label 4748: @227054
     /*  227054 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(227117), // Rule ID 19823 //
     /*  227059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  227062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  227101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227115 */     GIR_RootConstrainSelectedInstOperands,
     /*  227116 */     // GIR_Coverage, 19823,
     /*  227116 */     GIR_EraseRootFromParent_Done,
     /*  227117 */   // Label 4749: @227117
     /*  227117 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(227180), // Rule ID 19826 //
     /*  227122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  227164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227178 */     GIR_RootConstrainSelectedInstOperands,
     /*  227179 */     // GIR_Coverage, 19826,
     /*  227179 */     GIR_EraseRootFromParent_Done,
     /*  227180 */   // Label 4750: @227180
     /*  227180 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(227243), // Rule ID 19827 //
     /*  227185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  227227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227241 */     GIR_RootConstrainSelectedInstOperands,
     /*  227242 */     // GIR_Coverage, 19827,
     /*  227242 */     GIR_EraseRootFromParent_Done,
     /*  227243 */   // Label 4751: @227243
     /*  227243 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(227306), // Rule ID 19830 //
     /*  227248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  227290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227304 */     GIR_RootConstrainSelectedInstOperands,
     /*  227305 */     // GIR_Coverage, 19830,
     /*  227305 */     GIR_EraseRootFromParent_Done,
     /*  227306 */   // Label 4752: @227306
     /*  227306 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(227369), // Rule ID 19831 //
     /*  227311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  227353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227367 */     GIR_RootConstrainSelectedInstOperands,
     /*  227368 */     // GIR_Coverage, 19831,
     /*  227368 */     GIR_EraseRootFromParent_Done,
     /*  227369 */   // Label 4753: @227369
     /*  227369 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(227432), // Rule ID 19834 //
     /*  227374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227413 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  227416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227430 */     GIR_RootConstrainSelectedInstOperands,
     /*  227431 */     // GIR_Coverage, 19834,
     /*  227431 */     GIR_EraseRootFromParent_Done,
     /*  227432 */   // Label 4754: @227432
     /*  227432 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(227495), // Rule ID 19835 //
     /*  227437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227476 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  227479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227493 */     GIR_RootConstrainSelectedInstOperands,
     /*  227494 */     // GIR_Coverage, 19835,
     /*  227494 */     GIR_EraseRootFromParent_Done,
     /*  227495 */   // Label 4755: @227495
     /*  227495 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(227558), // Rule ID 19838 //
     /*  227500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  227542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227556 */     GIR_RootConstrainSelectedInstOperands,
     /*  227557 */     // GIR_Coverage, 19838,
     /*  227557 */     GIR_EraseRootFromParent_Done,
     /*  227558 */   // Label 4756: @227558
     /*  227558 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(227621), // Rule ID 19839 //
     /*  227563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  227605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227619 */     GIR_RootConstrainSelectedInstOperands,
     /*  227620 */     // GIR_Coverage, 19839,
     /*  227620 */     GIR_EraseRootFromParent_Done,
     /*  227621 */   // Label 4757: @227621
     /*  227621 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(227684), // Rule ID 19842 //
     /*  227626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227665 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  227668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227682 */     GIR_RootConstrainSelectedInstOperands,
     /*  227683 */     // GIR_Coverage, 19842,
     /*  227683 */     GIR_EraseRootFromParent_Done,
     /*  227684 */   // Label 4758: @227684
     /*  227684 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(227747), // Rule ID 19843 //
     /*  227689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  227731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227745 */     GIR_RootConstrainSelectedInstOperands,
     /*  227746 */     // GIR_Coverage, 19843,
     /*  227746 */     GIR_EraseRootFromParent_Done,
     /*  227747 */   // Label 4759: @227747
     /*  227747 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(227810), // Rule ID 19846 //
     /*  227752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  227766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  227794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227808 */     GIR_RootConstrainSelectedInstOperands,
     /*  227809 */     // GIR_Coverage, 19846,
     /*  227809 */     GIR_EraseRootFromParent_Done,
     /*  227810 */   // Label 4760: @227810
     /*  227810 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(227873), // Rule ID 19847 //
     /*  227815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  227829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  227857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227871 */     GIR_RootConstrainSelectedInstOperands,
     /*  227872 */     // GIR_Coverage, 19847,
     /*  227872 */     GIR_EraseRootFromParent_Done,
     /*  227873 */   // Label 4761: @227873
     /*  227873 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(227936), // Rule ID 19850 //
     /*  227878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  227881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  227892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  227920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227934 */     GIR_RootConstrainSelectedInstOperands,
     /*  227935 */     // GIR_Coverage, 19850,
     /*  227935 */     GIR_EraseRootFromParent_Done,
     /*  227936 */   // Label 4762: @227936
     /*  227936 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(227999), // Rule ID 19851 //
     /*  227941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  227944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  227955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  227983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227997 */     GIR_RootConstrainSelectedInstOperands,
     /*  227998 */     // GIR_Coverage, 19851,
     /*  227998 */     GIR_EraseRootFromParent_Done,
     /*  227999 */   // Label 4763: @227999
     /*  227999 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(228062), // Rule ID 19854 //
     /*  228004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228043 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  228046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228060 */     GIR_RootConstrainSelectedInstOperands,
     /*  228061 */     // GIR_Coverage, 19854,
     /*  228061 */     GIR_EraseRootFromParent_Done,
     /*  228062 */   // Label 4764: @228062
     /*  228062 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(228125), // Rule ID 19855 //
     /*  228067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  228109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228123 */     GIR_RootConstrainSelectedInstOperands,
     /*  228124 */     // GIR_Coverage, 19855,
     /*  228124 */     GIR_EraseRootFromParent_Done,
     /*  228125 */   // Label 4765: @228125
     /*  228125 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(228188), // Rule ID 19858 //
     /*  228130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  228172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228186 */     GIR_RootConstrainSelectedInstOperands,
     /*  228187 */     // GIR_Coverage, 19858,
     /*  228187 */     GIR_EraseRootFromParent_Done,
     /*  228188 */   // Label 4766: @228188
     /*  228188 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(228251), // Rule ID 19859 //
     /*  228193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  228235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228249 */     GIR_RootConstrainSelectedInstOperands,
     /*  228250 */     // GIR_Coverage, 19859,
     /*  228250 */     GIR_EraseRootFromParent_Done,
     /*  228251 */   // Label 4767: @228251
     /*  228251 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(228314), // Rule ID 19862 //
     /*  228256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  228270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  228273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228295 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  228298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228312 */     GIR_RootConstrainSelectedInstOperands,
     /*  228313 */     // GIR_Coverage, 19862,
     /*  228313 */     GIR_EraseRootFromParent_Done,
     /*  228314 */   // Label 4768: @228314
     /*  228314 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(228377), // Rule ID 19863 //
     /*  228319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  228333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  228336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  228361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228375 */     GIR_RootConstrainSelectedInstOperands,
     /*  228376 */     // GIR_Coverage, 19863,
     /*  228376 */     GIR_EraseRootFromParent_Done,
     /*  228377 */   // Label 4769: @228377
     /*  228377 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(228440), // Rule ID 19866 //
     /*  228382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  228396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  228399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228421 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228438 */     GIR_RootConstrainSelectedInstOperands,
     /*  228439 */     // GIR_Coverage, 19866,
     /*  228439 */     GIR_EraseRootFromParent_Done,
     /*  228440 */   // Label 4770: @228440
     /*  228440 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(228503), // Rule ID 19867 //
     /*  228445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  228459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  228462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228501 */     GIR_RootConstrainSelectedInstOperands,
     /*  228502 */     // GIR_Coverage, 19867,
     /*  228502 */     GIR_EraseRootFromParent_Done,
     /*  228503 */   // Label 4771: @228503
     /*  228503 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(228566), // Rule ID 19870 //
     /*  228508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  228511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  228525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228547 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228564 */     GIR_RootConstrainSelectedInstOperands,
     /*  228565 */     // GIR_Coverage, 19870,
     /*  228565 */     GIR_EraseRootFromParent_Done,
     /*  228566 */   // Label 4772: @228566
     /*  228566 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(228629), // Rule ID 19871 //
     /*  228571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  228574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  228588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228610 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228627 */     GIR_RootConstrainSelectedInstOperands,
     /*  228628 */     // GIR_Coverage, 19871,
     /*  228628 */     GIR_EraseRootFromParent_Done,
     /*  228629 */   // Label 4773: @228629
     /*  228629 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(228692), // Rule ID 19874 //
     /*  228634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  228651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228690 */     GIR_RootConstrainSelectedInstOperands,
     /*  228691 */     // GIR_Coverage, 19874,
     /*  228691 */     GIR_EraseRootFromParent_Done,
     /*  228692 */   // Label 4774: @228692
     /*  228692 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(228755), // Rule ID 19875 //
     /*  228697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  228714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228753 */     GIR_RootConstrainSelectedInstOperands,
     /*  228754 */     // GIR_Coverage, 19875,
     /*  228754 */     GIR_EraseRootFromParent_Done,
     /*  228755 */   // Label 4775: @228755
     /*  228755 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(228818), // Rule ID 19878 //
     /*  228760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  228763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  228777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228816 */     GIR_RootConstrainSelectedInstOperands,
     /*  228817 */     // GIR_Coverage, 19878,
     /*  228817 */     GIR_EraseRootFromParent_Done,
     /*  228818 */   // Label 4776: @228818
     /*  228818 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(228881), // Rule ID 19879 //
     /*  228823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  228826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  228840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228879 */     GIR_RootConstrainSelectedInstOperands,
     /*  228880 */     // GIR_Coverage, 19879,
     /*  228880 */     GIR_EraseRootFromParent_Done,
     /*  228881 */   // Label 4777: @228881
     /*  228881 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(228944), // Rule ID 19882 //
     /*  228886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  228903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228925 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228942 */     GIR_RootConstrainSelectedInstOperands,
     /*  228943 */     // GIR_Coverage, 19882,
     /*  228943 */     GIR_EraseRootFromParent_Done,
     /*  228944 */   // Label 4778: @228944
     /*  228944 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(229007), // Rule ID 19883 //
     /*  228949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  228966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229005 */     GIR_RootConstrainSelectedInstOperands,
     /*  229006 */     // GIR_Coverage, 19883,
     /*  229006 */     GIR_EraseRootFromParent_Done,
     /*  229007 */   // Label 4779: @229007
     /*  229007 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(229070), // Rule ID 19886 //
     /*  229012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  229029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229068 */     GIR_RootConstrainSelectedInstOperands,
     /*  229069 */     // GIR_Coverage, 19886,
     /*  229069 */     GIR_EraseRootFromParent_Done,
     /*  229070 */   // Label 4780: @229070
     /*  229070 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(229133), // Rule ID 19887 //
     /*  229075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  229092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229131 */     GIR_RootConstrainSelectedInstOperands,
     /*  229132 */     // GIR_Coverage, 19887,
     /*  229132 */     GIR_EraseRootFromParent_Done,
     /*  229133 */   // Label 4781: @229133
     /*  229133 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(229196), // Rule ID 19890 //
     /*  229138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  229155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229194 */     GIR_RootConstrainSelectedInstOperands,
     /*  229195 */     // GIR_Coverage, 19890,
     /*  229195 */     GIR_EraseRootFromParent_Done,
     /*  229196 */   // Label 4782: @229196
     /*  229196 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(229259), // Rule ID 19891 //
     /*  229201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  229218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229240 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229257 */     GIR_RootConstrainSelectedInstOperands,
     /*  229258 */     // GIR_Coverage, 19891,
     /*  229258 */     GIR_EraseRootFromParent_Done,
     /*  229259 */   // Label 4783: @229259
     /*  229259 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(229322), // Rule ID 19894 //
     /*  229264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  229281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229303 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229320 */     GIR_RootConstrainSelectedInstOperands,
     /*  229321 */     // GIR_Coverage, 19894,
     /*  229321 */     GIR_EraseRootFromParent_Done,
     /*  229322 */   // Label 4784: @229322
     /*  229322 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(229385), // Rule ID 19895 //
     /*  229327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  229344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229366 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229383 */     GIR_RootConstrainSelectedInstOperands,
     /*  229384 */     // GIR_Coverage, 19895,
     /*  229384 */     GIR_EraseRootFromParent_Done,
     /*  229385 */   // Label 4785: @229385
     /*  229385 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(229448), // Rule ID 19898 //
     /*  229390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  229407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229446 */     GIR_RootConstrainSelectedInstOperands,
     /*  229447 */     // GIR_Coverage, 19898,
     /*  229447 */     GIR_EraseRootFromParent_Done,
     /*  229448 */   // Label 4786: @229448
     /*  229448 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(229511), // Rule ID 19899 //
     /*  229453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  229470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229509 */     GIR_RootConstrainSelectedInstOperands,
     /*  229510 */     // GIR_Coverage, 19899,
     /*  229510 */     GIR_EraseRootFromParent_Done,
     /*  229511 */   // Label 4787: @229511
     /*  229511 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(229574), // Rule ID 19902 //
     /*  229516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  229533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229572 */     GIR_RootConstrainSelectedInstOperands,
     /*  229573 */     // GIR_Coverage, 19902,
     /*  229573 */     GIR_EraseRootFromParent_Done,
     /*  229574 */   // Label 4788: @229574
     /*  229574 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(229637), // Rule ID 19903 //
     /*  229579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  229596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229618 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229635 */     GIR_RootConstrainSelectedInstOperands,
     /*  229636 */     // GIR_Coverage, 19903,
     /*  229636 */     GIR_EraseRootFromParent_Done,
     /*  229637 */   // Label 4789: @229637
     /*  229637 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(229700), // Rule ID 19906 //
     /*  229642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  229659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229698 */     GIR_RootConstrainSelectedInstOperands,
     /*  229699 */     // GIR_Coverage, 19906,
     /*  229699 */     GIR_EraseRootFromParent_Done,
     /*  229700 */   // Label 4790: @229700
     /*  229700 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(229763), // Rule ID 19907 //
     /*  229705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  229722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229761 */     GIR_RootConstrainSelectedInstOperands,
     /*  229762 */     // GIR_Coverage, 19907,
     /*  229762 */     GIR_EraseRootFromParent_Done,
     /*  229763 */   // Label 4791: @229763
     /*  229763 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(229826), // Rule ID 19910 //
     /*  229768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  229771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  229785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229824 */     GIR_RootConstrainSelectedInstOperands,
     /*  229825 */     // GIR_Coverage, 19910,
     /*  229825 */     GIR_EraseRootFromParent_Done,
     /*  229826 */   // Label 4792: @229826
     /*  229826 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(229889), // Rule ID 19911 //
     /*  229831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  229834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  229848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229887 */     GIR_RootConstrainSelectedInstOperands,
     /*  229888 */     // GIR_Coverage, 19911,
     /*  229888 */     GIR_EraseRootFromParent_Done,
     /*  229889 */   // Label 4793: @229889
     /*  229889 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(229952), // Rule ID 19914 //
     /*  229894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  229897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  229911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229950 */     GIR_RootConstrainSelectedInstOperands,
     /*  229951 */     // GIR_Coverage, 19914,
     /*  229951 */     GIR_EraseRootFromParent_Done,
     /*  229952 */   // Label 4794: @229952
     /*  229952 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(230015), // Rule ID 19915 //
     /*  229957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  229960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  229974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230013 */     GIR_RootConstrainSelectedInstOperands,
     /*  230014 */     // GIR_Coverage, 19915,
     /*  230014 */     GIR_EraseRootFromParent_Done,
     /*  230015 */   // Label 4795: @230015
     /*  230015 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(230078), // Rule ID 19918 //
     /*  230020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  230023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  230037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230059 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  230062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230076 */     GIR_RootConstrainSelectedInstOperands,
     /*  230077 */     // GIR_Coverage, 19918,
     /*  230077 */     GIR_EraseRootFromParent_Done,
     /*  230078 */   // Label 4796: @230078
     /*  230078 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(230141), // Rule ID 19919 //
     /*  230083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  230086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  230100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  230125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230139 */     GIR_RootConstrainSelectedInstOperands,
     /*  230140 */     // GIR_Coverage, 19919,
     /*  230140 */     GIR_EraseRootFromParent_Done,
     /*  230141 */   // Label 4797: @230141
     /*  230141 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(230204), // Rule ID 19922 //
     /*  230146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  230188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230202 */     GIR_RootConstrainSelectedInstOperands,
     /*  230203 */     // GIR_Coverage, 19922,
     /*  230203 */     GIR_EraseRootFromParent_Done,
     /*  230204 */   // Label 4798: @230204
     /*  230204 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(230267), // Rule ID 19923 //
     /*  230209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  230251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230265 */     GIR_RootConstrainSelectedInstOperands,
     /*  230266 */     // GIR_Coverage, 19923,
     /*  230266 */     GIR_EraseRootFromParent_Done,
     /*  230267 */   // Label 4799: @230267
     /*  230267 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(230330), // Rule ID 19926 //
     /*  230272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230311 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  230314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230328 */     GIR_RootConstrainSelectedInstOperands,
     /*  230329 */     // GIR_Coverage, 19926,
     /*  230329 */     GIR_EraseRootFromParent_Done,
     /*  230330 */   // Label 4800: @230330
     /*  230330 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(230393), // Rule ID 19927 //
     /*  230335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  230377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230391 */     GIR_RootConstrainSelectedInstOperands,
     /*  230392 */     // GIR_Coverage, 19927,
     /*  230392 */     GIR_EraseRootFromParent_Done,
     /*  230393 */   // Label 4801: @230393
     /*  230393 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(230456), // Rule ID 19930 //
     /*  230398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  230401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  230440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230454 */     GIR_RootConstrainSelectedInstOperands,
     /*  230455 */     // GIR_Coverage, 19930,
     /*  230455 */     GIR_EraseRootFromParent_Done,
     /*  230456 */   // Label 4802: @230456
     /*  230456 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(230519), // Rule ID 19931 //
     /*  230461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  230464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  230503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230517 */     GIR_RootConstrainSelectedInstOperands,
     /*  230518 */     // GIR_Coverage, 19931,
     /*  230518 */     GIR_EraseRootFromParent_Done,
     /*  230519 */   // Label 4803: @230519
     /*  230519 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(230582), // Rule ID 19934 //
     /*  230524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  230566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230580 */     GIR_RootConstrainSelectedInstOperands,
     /*  230581 */     // GIR_Coverage, 19934,
     /*  230581 */     GIR_EraseRootFromParent_Done,
     /*  230582 */   // Label 4804: @230582
     /*  230582 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(230645), // Rule ID 19935 //
     /*  230587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230626 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  230629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230643 */     GIR_RootConstrainSelectedInstOperands,
     /*  230644 */     // GIR_Coverage, 19935,
     /*  230644 */     GIR_EraseRootFromParent_Done,
     /*  230645 */   // Label 4805: @230645
     /*  230645 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(230708), // Rule ID 19938 //
     /*  230650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  230653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230689 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  230692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230706 */     GIR_RootConstrainSelectedInstOperands,
     /*  230707 */     // GIR_Coverage, 19938,
     /*  230707 */     GIR_EraseRootFromParent_Done,
     /*  230708 */   // Label 4806: @230708
     /*  230708 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(230771), // Rule ID 19939 //
     /*  230713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  230716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  230755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230769 */     GIR_RootConstrainSelectedInstOperands,
     /*  230770 */     // GIR_Coverage, 19939,
     /*  230770 */     GIR_EraseRootFromParent_Done,
     /*  230771 */   // Label 4807: @230771
     /*  230771 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(230834), // Rule ID 19942 //
     /*  230776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  230779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  230808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  230818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230832 */     GIR_RootConstrainSelectedInstOperands,
     /*  230833 */     // GIR_Coverage, 19942,
     /*  230833 */     GIR_EraseRootFromParent_Done,
     /*  230834 */   // Label 4808: @230834
     /*  230834 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(230897), // Rule ID 19943 //
     /*  230839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  230842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  230871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  230881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230895 */     GIR_RootConstrainSelectedInstOperands,
     /*  230896 */     // GIR_Coverage, 19943,
     /*  230896 */     GIR_EraseRootFromParent_Done,
     /*  230897 */   // Label 4809: @230897
     /*  230897 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(230960), // Rule ID 19946 //
     /*  230902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  230944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230958 */     GIR_RootConstrainSelectedInstOperands,
     /*  230959 */     // GIR_Coverage, 19946,
     /*  230959 */     GIR_EraseRootFromParent_Done,
     /*  230960 */   // Label 4810: @230960
     /*  230960 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(231023), // Rule ID 19947 //
     /*  230965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  231007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231021 */     GIR_RootConstrainSelectedInstOperands,
     /*  231022 */     // GIR_Coverage, 19947,
     /*  231022 */     GIR_EraseRootFromParent_Done,
     /*  231023 */   // Label 4811: @231023
     /*  231023 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(231086), // Rule ID 19950 //
     /*  231028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  231031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  231070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231084 */     GIR_RootConstrainSelectedInstOperands,
     /*  231085 */     // GIR_Coverage, 19950,
     /*  231085 */     GIR_EraseRootFromParent_Done,
     /*  231086 */   // Label 4812: @231086
     /*  231086 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(231149), // Rule ID 19951 //
     /*  231091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  231094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231130 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  231133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231147 */     GIR_RootConstrainSelectedInstOperands,
     /*  231148 */     // GIR_Coverage, 19951,
     /*  231148 */     GIR_EraseRootFromParent_Done,
     /*  231149 */   // Label 4813: @231149
     /*  231149 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(231212), // Rule ID 19954 //
     /*  231154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  231157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231193 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  231196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231210 */     GIR_RootConstrainSelectedInstOperands,
     /*  231211 */     // GIR_Coverage, 19954,
     /*  231211 */     GIR_EraseRootFromParent_Done,
     /*  231212 */   // Label 4814: @231212
     /*  231212 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(231275), // Rule ID 19955 //
     /*  231217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  231220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  231259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231273 */     GIR_RootConstrainSelectedInstOperands,
     /*  231274 */     // GIR_Coverage, 19955,
     /*  231274 */     GIR_EraseRootFromParent_Done,
     /*  231275 */   // Label 4815: @231275
     /*  231275 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(231338), // Rule ID 19958 //
     /*  231280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  231322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231336 */     GIR_RootConstrainSelectedInstOperands,
     /*  231337 */     // GIR_Coverage, 19958,
     /*  231337 */     GIR_EraseRootFromParent_Done,
     /*  231338 */   // Label 4816: @231338
     /*  231338 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(231401), // Rule ID 19959 //
     /*  231343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  231385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231399 */     GIR_RootConstrainSelectedInstOperands,
     /*  231400 */     // GIR_Coverage, 19959,
     /*  231400 */     GIR_EraseRootFromParent_Done,
     /*  231401 */   // Label 4817: @231401
     /*  231401 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(231464), // Rule ID 19962 //
     /*  231406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  231448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231462 */     GIR_RootConstrainSelectedInstOperands,
     /*  231463 */     // GIR_Coverage, 19962,
     /*  231463 */     GIR_EraseRootFromParent_Done,
     /*  231464 */   // Label 4818: @231464
     /*  231464 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(231527), // Rule ID 19963 //
     /*  231469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  231511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231525 */     GIR_RootConstrainSelectedInstOperands,
     /*  231526 */     // GIR_Coverage, 19963,
     /*  231526 */     GIR_EraseRootFromParent_Done,
     /*  231527 */   // Label 4819: @231527
     /*  231527 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(231590), // Rule ID 19966 //
     /*  231532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231571 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  231574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231588 */     GIR_RootConstrainSelectedInstOperands,
     /*  231589 */     // GIR_Coverage, 19966,
     /*  231589 */     GIR_EraseRootFromParent_Done,
     /*  231590 */   // Label 4820: @231590
     /*  231590 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(231653), // Rule ID 19967 //
     /*  231595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231634 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  231637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231651 */     GIR_RootConstrainSelectedInstOperands,
     /*  231652 */     // GIR_Coverage, 19967,
     /*  231652 */     GIR_EraseRootFromParent_Done,
     /*  231653 */   // Label 4821: @231653
     /*  231653 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(231716), // Rule ID 19970 //
     /*  231658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  231700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231714 */     GIR_RootConstrainSelectedInstOperands,
     /*  231715 */     // GIR_Coverage, 19970,
     /*  231715 */     GIR_EraseRootFromParent_Done,
     /*  231716 */   // Label 4822: @231716
     /*  231716 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(231779), // Rule ID 19971 //
     /*  231721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  231724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  231763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231777 */     GIR_RootConstrainSelectedInstOperands,
     /*  231778 */     // GIR_Coverage, 19971,
     /*  231778 */     GIR_EraseRootFromParent_Done,
     /*  231779 */   // Label 4823: @231779
     /*  231779 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(231842), // Rule ID 19974 //
     /*  231784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231823 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  231826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231840 */     GIR_RootConstrainSelectedInstOperands,
     /*  231841 */     // GIR_Coverage, 19974,
     /*  231841 */     GIR_EraseRootFromParent_Done,
     /*  231842 */   // Label 4824: @231842
     /*  231842 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(231905), // Rule ID 19975 //
     /*  231847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  231850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  231889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231903 */     GIR_RootConstrainSelectedInstOperands,
     /*  231904 */     // GIR_Coverage, 19975,
     /*  231904 */     GIR_EraseRootFromParent_Done,
     /*  231905 */   // Label 4825: @231905
     /*  231905 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(231968), // Rule ID 19978 //
     /*  231910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  231952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231966 */     GIR_RootConstrainSelectedInstOperands,
     /*  231967 */     // GIR_Coverage, 19978,
     /*  231967 */     GIR_EraseRootFromParent_Done,
     /*  231968 */   // Label 4826: @231968
     /*  231968 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(232031), // Rule ID 19979 //
     /*  231973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  231976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  232005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  232015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232029 */     GIR_RootConstrainSelectedInstOperands,
     /*  232030 */     // GIR_Coverage, 19979,
     /*  232030 */     GIR_EraseRootFromParent_Done,
     /*  232031 */   // Label 4827: @232031
     /*  232031 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(232094), // Rule ID 19982 //
     /*  232036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232075 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  232078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232092 */     GIR_RootConstrainSelectedInstOperands,
     /*  232093 */     // GIR_Coverage, 19982,
     /*  232093 */     GIR_EraseRootFromParent_Done,
     /*  232094 */   // Label 4828: @232094
     /*  232094 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(232157), // Rule ID 19983 //
     /*  232099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  232141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232155 */     GIR_RootConstrainSelectedInstOperands,
     /*  232156 */     // GIR_Coverage, 19983,
     /*  232156 */     GIR_EraseRootFromParent_Done,
     /*  232157 */   // Label 4829: @232157
     /*  232157 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(232220), // Rule ID 19986 //
     /*  232162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  232179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232201 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232218 */     GIR_RootConstrainSelectedInstOperands,
     /*  232219 */     // GIR_Coverage, 19986,
     /*  232219 */     GIR_EraseRootFromParent_Done,
     /*  232220 */   // Label 4830: @232220
     /*  232220 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(232283), // Rule ID 19987 //
     /*  232225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  232242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232281 */     GIR_RootConstrainSelectedInstOperands,
     /*  232282 */     // GIR_Coverage, 19987,
     /*  232282 */     GIR_EraseRootFromParent_Done,
     /*  232283 */   // Label 4831: @232283
     /*  232283 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(232346), // Rule ID 19990 //
     /*  232288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  232291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  232305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232344 */     GIR_RootConstrainSelectedInstOperands,
     /*  232345 */     // GIR_Coverage, 19990,
     /*  232345 */     GIR_EraseRootFromParent_Done,
     /*  232346 */   // Label 4832: @232346
     /*  232346 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(232409), // Rule ID 19991 //
     /*  232351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  232354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  232368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232407 */     GIR_RootConstrainSelectedInstOperands,
     /*  232408 */     // GIR_Coverage, 19991,
     /*  232408 */     GIR_EraseRootFromParent_Done,
     /*  232409 */   // Label 4833: @232409
     /*  232409 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(232472), // Rule ID 19994 //
     /*  232414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  232431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232453 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232470 */     GIR_RootConstrainSelectedInstOperands,
     /*  232471 */     // GIR_Coverage, 19994,
     /*  232471 */     GIR_EraseRootFromParent_Done,
     /*  232472 */   // Label 4834: @232472
     /*  232472 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(232535), // Rule ID 19995 //
     /*  232477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  232494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232533 */     GIR_RootConstrainSelectedInstOperands,
     /*  232534 */     // GIR_Coverage, 19995,
     /*  232534 */     GIR_EraseRootFromParent_Done,
     /*  232535 */   // Label 4835: @232535
     /*  232535 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(232598), // Rule ID 19998 //
     /*  232540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  232543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  232554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  232557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232596 */     GIR_RootConstrainSelectedInstOperands,
     /*  232597 */     // GIR_Coverage, 19998,
     /*  232597 */     GIR_EraseRootFromParent_Done,
     /*  232598 */   // Label 4836: @232598
     /*  232598 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(232661), // Rule ID 19999 //
     /*  232603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  232606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  232617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  232620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232642 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232659 */     GIR_RootConstrainSelectedInstOperands,
     /*  232660 */     // GIR_Coverage, 19999,
     /*  232660 */     GIR_EraseRootFromParent_Done,
     /*  232661 */   // Label 4837: @232661
     /*  232661 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(232724), // Rule ID 20002 //
     /*  232666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  232669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  232680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  232683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232705 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232722 */     GIR_RootConstrainSelectedInstOperands,
     /*  232723 */     // GIR_Coverage, 20002,
     /*  232723 */     GIR_EraseRootFromParent_Done,
     /*  232724 */   // Label 4838: @232724
     /*  232724 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(232787), // Rule ID 20003 //
     /*  232729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  232732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  232743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  232746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232785 */     GIR_RootConstrainSelectedInstOperands,
     /*  232786 */     // GIR_Coverage, 20003,
     /*  232786 */     GIR_EraseRootFromParent_Done,
     /*  232787 */   // Label 4839: @232787
     /*  232787 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(232850), // Rule ID 20006 //
     /*  232792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  232809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  232834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232848 */     GIR_RootConstrainSelectedInstOperands,
     /*  232849 */     // GIR_Coverage, 20006,
     /*  232849 */     GIR_EraseRootFromParent_Done,
     /*  232850 */   // Label 4840: @232850
     /*  232850 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(232913), // Rule ID 20007 //
     /*  232855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  232872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  232897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232911 */     GIR_RootConstrainSelectedInstOperands,
     /*  232912 */     // GIR_Coverage, 20007,
     /*  232912 */     GIR_EraseRootFromParent_Done,
     /*  232913 */   // Label 4841: @232913
     /*  232913 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(232976), // Rule ID 20010 //
     /*  232918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  232935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232957 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  232960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232974 */     GIR_RootConstrainSelectedInstOperands,
     /*  232975 */     // GIR_Coverage, 20010,
     /*  232975 */     GIR_EraseRootFromParent_Done,
     /*  232976 */   // Label 4842: @232976
     /*  232976 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(233039), // Rule ID 20011 //
     /*  232981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  232998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233037 */     GIR_RootConstrainSelectedInstOperands,
     /*  233038 */     // GIR_Coverage, 20011,
     /*  233038 */     GIR_EraseRootFromParent_Done,
     /*  233039 */   // Label 4843: @233039
     /*  233039 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(233102), // Rule ID 20014 //
     /*  233044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  233047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  233058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  233061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233083 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233100 */     GIR_RootConstrainSelectedInstOperands,
     /*  233101 */     // GIR_Coverage, 20014,
     /*  233101 */     GIR_EraseRootFromParent_Done,
     /*  233102 */   // Label 4844: @233102
     /*  233102 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(233165), // Rule ID 20015 //
     /*  233107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  233110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  233121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  233124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233146 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233163 */     GIR_RootConstrainSelectedInstOperands,
     /*  233164 */     // GIR_Coverage, 20015,
     /*  233164 */     GIR_EraseRootFromParent_Done,
     /*  233165 */   // Label 4845: @233165
     /*  233165 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(233228), // Rule ID 20018 //
     /*  233170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  233187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233226 */     GIR_RootConstrainSelectedInstOperands,
     /*  233227 */     // GIR_Coverage, 20018,
     /*  233227 */     GIR_EraseRootFromParent_Done,
     /*  233228 */   // Label 4846: @233228
     /*  233228 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(233291), // Rule ID 20019 //
     /*  233233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  233250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233289 */     GIR_RootConstrainSelectedInstOperands,
     /*  233290 */     // GIR_Coverage, 20019,
     /*  233290 */     GIR_EraseRootFromParent_Done,
     /*  233291 */   // Label 4847: @233291
     /*  233291 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(233354), // Rule ID 20022 //
     /*  233296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  233313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233335 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233352 */     GIR_RootConstrainSelectedInstOperands,
     /*  233353 */     // GIR_Coverage, 20022,
     /*  233353 */     GIR_EraseRootFromParent_Done,
     /*  233354 */   // Label 4848: @233354
     /*  233354 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(233417), // Rule ID 20023 //
     /*  233359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  233376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233398 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233415 */     GIR_RootConstrainSelectedInstOperands,
     /*  233416 */     // GIR_Coverage, 20023,
     /*  233416 */     GIR_EraseRootFromParent_Done,
     /*  233417 */   // Label 4849: @233417
     /*  233417 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(233480), // Rule ID 20026 //
     /*  233422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  233439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233461 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233478 */     GIR_RootConstrainSelectedInstOperands,
     /*  233479 */     // GIR_Coverage, 20026,
     /*  233479 */     GIR_EraseRootFromParent_Done,
     /*  233480 */   // Label 4850: @233480
     /*  233480 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(233543), // Rule ID 20027 //
     /*  233485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  233502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233541 */     GIR_RootConstrainSelectedInstOperands,
     /*  233542 */     // GIR_Coverage, 20027,
     /*  233542 */     GIR_EraseRootFromParent_Done,
     /*  233543 */   // Label 4851: @233543
     /*  233543 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(233606), // Rule ID 20030 //
     /*  233548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  233565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233587 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233604 */     GIR_RootConstrainSelectedInstOperands,
     /*  233605 */     // GIR_Coverage, 20030,
     /*  233605 */     GIR_EraseRootFromParent_Done,
     /*  233606 */   // Label 4852: @233606
     /*  233606 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(233669), // Rule ID 20031 //
     /*  233611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  233628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233650 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233667 */     GIR_RootConstrainSelectedInstOperands,
     /*  233668 */     // GIR_Coverage, 20031,
     /*  233668 */     GIR_EraseRootFromParent_Done,
     /*  233669 */   // Label 4853: @233669
     /*  233669 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(233732), // Rule ID 20034 //
     /*  233674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  233691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233730 */     GIR_RootConstrainSelectedInstOperands,
     /*  233731 */     // GIR_Coverage, 20034,
     /*  233731 */     GIR_EraseRootFromParent_Done,
     /*  233732 */   // Label 4854: @233732
     /*  233732 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(233795), // Rule ID 20035 //
     /*  233737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  233754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233793 */     GIR_RootConstrainSelectedInstOperands,
     /*  233794 */     // GIR_Coverage, 20035,
     /*  233794 */     GIR_EraseRootFromParent_Done,
     /*  233795 */   // Label 4855: @233795
     /*  233795 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(233858), // Rule ID 20038 //
     /*  233800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  233817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233856 */     GIR_RootConstrainSelectedInstOperands,
     /*  233857 */     // GIR_Coverage, 20038,
     /*  233857 */     GIR_EraseRootFromParent_Done,
     /*  233858 */   // Label 4856: @233858
     /*  233858 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(233921), // Rule ID 20039 //
     /*  233863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  233880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233919 */     GIR_RootConstrainSelectedInstOperands,
     /*  233920 */     // GIR_Coverage, 20039,
     /*  233920 */     GIR_EraseRootFromParent_Done,
     /*  233921 */   // Label 4857: @233921
     /*  233921 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(233984), // Rule ID 20042 //
     /*  233926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  233929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  233943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  233958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  233968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233982 */     GIR_RootConstrainSelectedInstOperands,
     /*  233983 */     // GIR_Coverage, 20042,
     /*  233983 */     GIR_EraseRootFromParent_Done,
     /*  233984 */   // Label 4858: @233984
     /*  233984 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(234047), // Rule ID 20043 //
     /*  233989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  233992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  234031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234045 */     GIR_RootConstrainSelectedInstOperands,
     /*  234046 */     // GIR_Coverage, 20043,
     /*  234046 */     GIR_EraseRootFromParent_Done,
     /*  234047 */   // Label 4859: @234047
     /*  234047 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(234110), // Rule ID 20046 //
     /*  234052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  234094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234108 */     GIR_RootConstrainSelectedInstOperands,
     /*  234109 */     // GIR_Coverage, 20046,
     /*  234109 */     GIR_EraseRootFromParent_Done,
     /*  234110 */   // Label 4860: @234110
     /*  234110 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(234173), // Rule ID 20047 //
     /*  234115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  234157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234171 */     GIR_RootConstrainSelectedInstOperands,
     /*  234172 */     // GIR_Coverage, 20047,
     /*  234172 */     GIR_EraseRootFromParent_Done,
     /*  234173 */   // Label 4861: @234173
     /*  234173 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(234236), // Rule ID 20050 //
     /*  234178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  234181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  234220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234234 */     GIR_RootConstrainSelectedInstOperands,
     /*  234235 */     // GIR_Coverage, 20050,
     /*  234235 */     GIR_EraseRootFromParent_Done,
     /*  234236 */   // Label 4862: @234236
     /*  234236 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(234299), // Rule ID 20051 //
     /*  234241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  234244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  234283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234297 */     GIR_RootConstrainSelectedInstOperands,
     /*  234298 */     // GIR_Coverage, 20051,
     /*  234298 */     GIR_EraseRootFromParent_Done,
     /*  234299 */   // Label 4863: @234299
     /*  234299 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(234362), // Rule ID 20054 //
     /*  234304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234343 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  234346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234360 */     GIR_RootConstrainSelectedInstOperands,
     /*  234361 */     // GIR_Coverage, 20054,
     /*  234361 */     GIR_EraseRootFromParent_Done,
     /*  234362 */   // Label 4864: @234362
     /*  234362 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(234425), // Rule ID 20055 //
     /*  234367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  234409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234423 */     GIR_RootConstrainSelectedInstOperands,
     /*  234424 */     // GIR_Coverage, 20055,
     /*  234424 */     GIR_EraseRootFromParent_Done,
     /*  234425 */   // Label 4865: @234425
     /*  234425 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(234488), // Rule ID 20058 //
     /*  234430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  234433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234469 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  234472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234486 */     GIR_RootConstrainSelectedInstOperands,
     /*  234487 */     // GIR_Coverage, 20058,
     /*  234487 */     GIR_EraseRootFromParent_Done,
     /*  234488 */   // Label 4866: @234488
     /*  234488 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(234551), // Rule ID 20059 //
     /*  234493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  234496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  234535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234549 */     GIR_RootConstrainSelectedInstOperands,
     /*  234550 */     // GIR_Coverage, 20059,
     /*  234550 */     GIR_EraseRootFromParent_Done,
     /*  234551 */   // Label 4867: @234551
     /*  234551 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(234614), // Rule ID 20062 //
     /*  234556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  234559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  234588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  234598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234612 */     GIR_RootConstrainSelectedInstOperands,
     /*  234613 */     // GIR_Coverage, 20062,
     /*  234613 */     GIR_EraseRootFromParent_Done,
     /*  234614 */   // Label 4868: @234614
     /*  234614 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(234677), // Rule ID 20063 //
     /*  234619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  234622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  234651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  234661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234675 */     GIR_RootConstrainSelectedInstOperands,
     /*  234676 */     // GIR_Coverage, 20063,
     /*  234676 */     GIR_EraseRootFromParent_Done,
     /*  234677 */   // Label 4869: @234677
     /*  234677 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(234740), // Rule ID 20066 //
     /*  234682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234721 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  234724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234738 */     GIR_RootConstrainSelectedInstOperands,
     /*  234739 */     // GIR_Coverage, 20066,
     /*  234739 */     GIR_EraseRootFromParent_Done,
     /*  234740 */   // Label 4870: @234740
     /*  234740 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(234803), // Rule ID 20067 //
     /*  234745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  234787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234801 */     GIR_RootConstrainSelectedInstOperands,
     /*  234802 */     // GIR_Coverage, 20067,
     /*  234802 */     GIR_EraseRootFromParent_Done,
     /*  234803 */   // Label 4871: @234803
     /*  234803 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(234866), // Rule ID 20070 //
     /*  234808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234847 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  234850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234864 */     GIR_RootConstrainSelectedInstOperands,
     /*  234865 */     // GIR_Coverage, 20070,
     /*  234865 */     GIR_EraseRootFromParent_Done,
     /*  234866 */   // Label 4872: @234866
     /*  234866 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(234929), // Rule ID 20071 //
     /*  234871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234910 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  234913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234927 */     GIR_RootConstrainSelectedInstOperands,
     /*  234928 */     // GIR_Coverage, 20071,
     /*  234928 */     GIR_EraseRootFromParent_Done,
     /*  234929 */   // Label 4873: @234929
     /*  234929 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(234992), // Rule ID 20074 //
     /*  234934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234973 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  234976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234990 */     GIR_RootConstrainSelectedInstOperands,
     /*  234991 */     // GIR_Coverage, 20074,
     /*  234991 */     GIR_EraseRootFromParent_Done,
     /*  234992 */   // Label 4874: @234992
     /*  234992 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(235055), // Rule ID 20075 //
     /*  234997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  235000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  235039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235053 */     GIR_RootConstrainSelectedInstOperands,
     /*  235054 */     // GIR_Coverage, 20075,
     /*  235054 */     GIR_EraseRootFromParent_Done,
     /*  235055 */   // Label 4875: @235055
     /*  235055 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(235118), // Rule ID 20078 //
     /*  235060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  235102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235116 */     GIR_RootConstrainSelectedInstOperands,
     /*  235117 */     // GIR_Coverage, 20078,
     /*  235117 */     GIR_EraseRootFromParent_Done,
     /*  235118 */   // Label 4876: @235118
     /*  235118 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(235181), // Rule ID 20079 //
     /*  235123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  235165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235179 */     GIR_RootConstrainSelectedInstOperands,
     /*  235180 */     // GIR_Coverage, 20079,
     /*  235180 */     GIR_EraseRootFromParent_Done,
     /*  235181 */   // Label 4877: @235181
     /*  235181 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(235244), // Rule ID 20082 //
     /*  235186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235225 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  235228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235242 */     GIR_RootConstrainSelectedInstOperands,
     /*  235243 */     // GIR_Coverage, 20082,
     /*  235243 */     GIR_EraseRootFromParent_Done,
     /*  235244 */   // Label 4878: @235244
     /*  235244 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(235307), // Rule ID 20083 //
     /*  235249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  235291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235305 */     GIR_RootConstrainSelectedInstOperands,
     /*  235306 */     // GIR_Coverage, 20083,
     /*  235306 */     GIR_EraseRootFromParent_Done,
     /*  235307 */   // Label 4879: @235307
     /*  235307 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(235370), // Rule ID 20086 //
     /*  235312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235351 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  235354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235368 */     GIR_RootConstrainSelectedInstOperands,
     /*  235369 */     // GIR_Coverage, 20086,
     /*  235369 */     GIR_EraseRootFromParent_Done,
     /*  235370 */   // Label 4880: @235370
     /*  235370 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(235433), // Rule ID 20087 //
     /*  235375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  235417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235431 */     GIR_RootConstrainSelectedInstOperands,
     /*  235432 */     // GIR_Coverage, 20087,
     /*  235432 */     GIR_EraseRootFromParent_Done,
     /*  235433 */   // Label 4881: @235433
     /*  235433 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(235496), // Rule ID 20090 //
     /*  235438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  235480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235494 */     GIR_RootConstrainSelectedInstOperands,
     /*  235495 */     // GIR_Coverage, 20090,
     /*  235495 */     GIR_EraseRootFromParent_Done,
     /*  235496 */   // Label 4882: @235496
     /*  235496 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(235559), // Rule ID 20091 //
     /*  235501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  235543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235557 */     GIR_RootConstrainSelectedInstOperands,
     /*  235558 */     // GIR_Coverage, 20091,
     /*  235558 */     GIR_EraseRootFromParent_Done,
     /*  235559 */   // Label 4883: @235559
     /*  235559 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(235622), // Rule ID 20094 //
     /*  235564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  235606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235620 */     GIR_RootConstrainSelectedInstOperands,
     /*  235621 */     // GIR_Coverage, 20094,
     /*  235621 */     GIR_EraseRootFromParent_Done,
     /*  235622 */   // Label 4884: @235622
     /*  235622 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(235685), // Rule ID 20095 //
     /*  235627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  235669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235683 */     GIR_RootConstrainSelectedInstOperands,
     /*  235684 */     // GIR_Coverage, 20095,
     /*  235684 */     GIR_EraseRootFromParent_Done,
     /*  235685 */   // Label 4885: @235685
     /*  235685 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(235748), // Rule ID 20098 //
     /*  235690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  235732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235746 */     GIR_RootConstrainSelectedInstOperands,
     /*  235747 */     // GIR_Coverage, 20098,
     /*  235747 */     GIR_EraseRootFromParent_Done,
     /*  235748 */   // Label 4886: @235748
     /*  235748 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(235811), // Rule ID 20099 //
     /*  235753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  235795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235809 */     GIR_RootConstrainSelectedInstOperands,
     /*  235810 */     // GIR_Coverage, 20099,
     /*  235810 */     GIR_EraseRootFromParent_Done,
     /*  235811 */   // Label 4887: @235811
     /*  235811 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(235874), // Rule ID 20102 //
     /*  235816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  235819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  235858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235872 */     GIR_RootConstrainSelectedInstOperands,
     /*  235873 */     // GIR_Coverage, 20102,
     /*  235873 */     GIR_EraseRootFromParent_Done,
     /*  235874 */   // Label 4888: @235874
     /*  235874 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(235937), // Rule ID 20103 //
     /*  235879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  235882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  235921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235935 */     GIR_RootConstrainSelectedInstOperands,
     /*  235936 */     // GIR_Coverage, 20103,
     /*  235936 */     GIR_EraseRootFromParent_Done,
     /*  235937 */   // Label 4889: @235937
     /*  235937 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(236000), // Rule ID 20106 //
     /*  235942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  235945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235981 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  235984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235998 */     GIR_RootConstrainSelectedInstOperands,
     /*  235999 */     // GIR_Coverage, 20106,
     /*  235999 */     GIR_EraseRootFromParent_Done,
     /*  236000 */   // Label 4890: @236000
     /*  236000 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(236063), // Rule ID 20107 //
     /*  236005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  236047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236061 */     GIR_RootConstrainSelectedInstOperands,
     /*  236062 */     // GIR_Coverage, 20107,
     /*  236062 */     GIR_EraseRootFromParent_Done,
     /*  236063 */   // Label 4891: @236063
     /*  236063 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(236126), // Rule ID 20110 //
     /*  236068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  236110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236124 */     GIR_RootConstrainSelectedInstOperands,
     /*  236125 */     // GIR_Coverage, 20110,
     /*  236125 */     GIR_EraseRootFromParent_Done,
     /*  236126 */   // Label 4892: @236126
     /*  236126 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(236189), // Rule ID 20111 //
     /*  236131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  236134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  236173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236187 */     GIR_RootConstrainSelectedInstOperands,
     /*  236188 */     // GIR_Coverage, 20111,
     /*  236188 */     GIR_EraseRootFromParent_Done,
     /*  236189 */   // Label 4893: @236189
     /*  236189 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(236252), // Rule ID 20114 //
     /*  236194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236233 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  236236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236250 */     GIR_RootConstrainSelectedInstOperands,
     /*  236251 */     // GIR_Coverage, 20114,
     /*  236251 */     GIR_EraseRootFromParent_Done,
     /*  236252 */   // Label 4894: @236252
     /*  236252 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(236315), // Rule ID 20115 //
     /*  236257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  236299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236313 */     GIR_RootConstrainSelectedInstOperands,
     /*  236314 */     // GIR_Coverage, 20115,
     /*  236314 */     GIR_EraseRootFromParent_Done,
     /*  236315 */   // Label 4895: @236315
     /*  236315 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(236378), // Rule ID 20118 //
     /*  236320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  236362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236376 */     GIR_RootConstrainSelectedInstOperands,
     /*  236377 */     // GIR_Coverage, 20118,
     /*  236377 */     GIR_EraseRootFromParent_Done,
     /*  236378 */   // Label 4896: @236378
     /*  236378 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(236441), // Rule ID 20119 //
     /*  236383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  236386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236422 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  236425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236439 */     GIR_RootConstrainSelectedInstOperands,
     /*  236440 */     // GIR_Coverage, 20119,
     /*  236440 */     GIR_EraseRootFromParent_Done,
     /*  236441 */   // Label 4897: @236441
     /*  236441 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(236504), // Rule ID 20122 //
     /*  236446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  236449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  236478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236485 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  236488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236502 */     GIR_RootConstrainSelectedInstOperands,
     /*  236503 */     // GIR_Coverage, 20122,
     /*  236503 */     GIR_EraseRootFromParent_Done,
     /*  236504 */   // Label 4898: @236504
     /*  236504 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(236567), // Rule ID 20123 //
     /*  236509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  236512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  236541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  236551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236565 */     GIR_RootConstrainSelectedInstOperands,
     /*  236566 */     // GIR_Coverage, 20123,
     /*  236566 */     GIR_EraseRootFromParent_Done,
     /*  236567 */   // Label 4899: @236567
     /*  236567 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(236630), // Rule ID 20126 //
     /*  236572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  236586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236611 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  236614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236628 */     GIR_RootConstrainSelectedInstOperands,
     /*  236629 */     // GIR_Coverage, 20126,
     /*  236629 */     GIR_EraseRootFromParent_Done,
     /*  236630 */   // Label 4900: @236630
     /*  236630 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(236693), // Rule ID 20127 //
     /*  236635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  236649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  236677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236691 */     GIR_RootConstrainSelectedInstOperands,
     /*  236692 */     // GIR_Coverage, 20127,
     /*  236692 */     GIR_EraseRootFromParent_Done,
     /*  236693 */   // Label 4901: @236693
     /*  236693 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(236756), // Rule ID 20130 //
     /*  236698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  236712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236737 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  236740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236754 */     GIR_RootConstrainSelectedInstOperands,
     /*  236755 */     // GIR_Coverage, 20130,
     /*  236755 */     GIR_EraseRootFromParent_Done,
     /*  236756 */   // Label 4902: @236756
     /*  236756 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(236819), // Rule ID 20131 //
     /*  236761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  236775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  236803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236817 */     GIR_RootConstrainSelectedInstOperands,
     /*  236818 */     // GIR_Coverage, 20131,
     /*  236818 */     GIR_EraseRootFromParent_Done,
     /*  236819 */   // Label 4903: @236819
     /*  236819 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(236882), // Rule ID 20134 //
     /*  236824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236863 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  236866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236880 */     GIR_RootConstrainSelectedInstOperands,
     /*  236881 */     // GIR_Coverage, 20134,
     /*  236881 */     GIR_EraseRootFromParent_Done,
     /*  236882 */   // Label 4904: @236882
     /*  236882 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(236945), // Rule ID 20135 //
     /*  236887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236926 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  236929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236943 */     GIR_RootConstrainSelectedInstOperands,
     /*  236944 */     // GIR_Coverage, 20135,
     /*  236944 */     GIR_EraseRootFromParent_Done,
     /*  236945 */   // Label 4905: @236945
     /*  236945 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(237008), // Rule ID 20138 //
     /*  236950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  236964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  236992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237006 */     GIR_RootConstrainSelectedInstOperands,
     /*  237007 */     // GIR_Coverage, 20138,
     /*  237007 */     GIR_EraseRootFromParent_Done,
     /*  237008 */   // Label 4906: @237008
     /*  237008 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(237071), // Rule ID 20139 //
     /*  237013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  237055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237069 */     GIR_RootConstrainSelectedInstOperands,
     /*  237070 */     // GIR_Coverage, 20139,
     /*  237070 */     GIR_EraseRootFromParent_Done,
     /*  237071 */   // Label 4907: @237071
     /*  237071 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(237134), // Rule ID 20142 //
     /*  237076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237115 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  237118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237132 */     GIR_RootConstrainSelectedInstOperands,
     /*  237133 */     // GIR_Coverage, 20142,
     /*  237133 */     GIR_EraseRootFromParent_Done,
     /*  237134 */   // Label 4908: @237134
     /*  237134 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(237197), // Rule ID 20143 //
     /*  237139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237178 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  237181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237195 */     GIR_RootConstrainSelectedInstOperands,
     /*  237196 */     // GIR_Coverage, 20143,
     /*  237196 */     GIR_EraseRootFromParent_Done,
     /*  237197 */   // Label 4909: @237197
     /*  237197 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(237260), // Rule ID 20146 //
     /*  237202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  237244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237258 */     GIR_RootConstrainSelectedInstOperands,
     /*  237259 */     // GIR_Coverage, 20146,
     /*  237259 */     GIR_EraseRootFromParent_Done,
     /*  237260 */   // Label 4910: @237260
     /*  237260 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(237323), // Rule ID 20147 //
     /*  237265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  237307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237321 */     GIR_RootConstrainSelectedInstOperands,
     /*  237322 */     // GIR_Coverage, 20147,
     /*  237322 */     GIR_EraseRootFromParent_Done,
     /*  237323 */   // Label 4911: @237323
     /*  237323 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(237386), // Rule ID 20150 //
     /*  237328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237367 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  237370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237384 */     GIR_RootConstrainSelectedInstOperands,
     /*  237385 */     // GIR_Coverage, 20150,
     /*  237385 */     GIR_EraseRootFromParent_Done,
     /*  237386 */   // Label 4912: @237386
     /*  237386 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(237449), // Rule ID 20151 //
     /*  237391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237430 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  237433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237447 */     GIR_RootConstrainSelectedInstOperands,
     /*  237448 */     // GIR_Coverage, 20151,
     /*  237448 */     GIR_EraseRootFromParent_Done,
     /*  237449 */   // Label 4913: @237449
     /*  237449 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(237512), // Rule ID 20154 //
     /*  237454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  237468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  237496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237510 */     GIR_RootConstrainSelectedInstOperands,
     /*  237511 */     // GIR_Coverage, 20154,
     /*  237511 */     GIR_EraseRootFromParent_Done,
     /*  237512 */   // Label 4914: @237512
     /*  237512 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(237575), // Rule ID 20155 //
     /*  237517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  237531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  237559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237573 */     GIR_RootConstrainSelectedInstOperands,
     /*  237574 */     // GIR_Coverage, 20155,
     /*  237574 */     GIR_EraseRootFromParent_Done,
     /*  237575 */   // Label 4915: @237575
     /*  237575 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(237638), // Rule ID 20158 //
     /*  237580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237619 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  237622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237636 */     GIR_RootConstrainSelectedInstOperands,
     /*  237637 */     // GIR_Coverage, 20158,
     /*  237637 */     GIR_EraseRootFromParent_Done,
     /*  237638 */   // Label 4916: @237638
     /*  237638 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(237701), // Rule ID 20159 //
     /*  237643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237682 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  237685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237699 */     GIR_RootConstrainSelectedInstOperands,
     /*  237700 */     // GIR_Coverage, 20159,
     /*  237700 */     GIR_EraseRootFromParent_Done,
     /*  237701 */   // Label 4917: @237701
     /*  237701 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(237764), // Rule ID 20162 //
     /*  237706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  237709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  237748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237762 */     GIR_RootConstrainSelectedInstOperands,
     /*  237763 */     // GIR_Coverage, 20162,
     /*  237763 */     GIR_EraseRootFromParent_Done,
     /*  237764 */   // Label 4918: @237764
     /*  237764 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(237827), // Rule ID 20163 //
     /*  237769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  237772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  237811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237825 */     GIR_RootConstrainSelectedInstOperands,
     /*  237826 */     // GIR_Coverage, 20163,
     /*  237826 */     GIR_EraseRootFromParent_Done,
     /*  237827 */   // Label 4919: @237827
     /*  237827 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(237890), // Rule ID 20166 //
     /*  237832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  237835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237871 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  237874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237888 */     GIR_RootConstrainSelectedInstOperands,
     /*  237889 */     // GIR_Coverage, 20166,
     /*  237889 */     GIR_EraseRootFromParent_Done,
     /*  237890 */   // Label 4920: @237890
     /*  237890 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(237953), // Rule ID 20167 //
     /*  237895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  237898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  237937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237951 */     GIR_RootConstrainSelectedInstOperands,
     /*  237952 */     // GIR_Coverage, 20167,
     /*  237952 */     GIR_EraseRootFromParent_Done,
     /*  237953 */   // Label 4921: @237953
     /*  237953 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(238016), // Rule ID 20170 //
     /*  237958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237997 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  238000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238014 */     GIR_RootConstrainSelectedInstOperands,
     /*  238015 */     // GIR_Coverage, 20170,
     /*  238015 */     GIR_EraseRootFromParent_Done,
     /*  238016 */   // Label 4922: @238016
     /*  238016 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(238079), // Rule ID 20171 //
     /*  238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  238035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  238063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238077 */     GIR_RootConstrainSelectedInstOperands,
     /*  238078 */     // GIR_Coverage, 20171,
     /*  238078 */     GIR_EraseRootFromParent_Done,
     /*  238079 */   // Label 4923: @238079
     /*  238079 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(238142), // Rule ID 20174 //
     /*  238084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  238126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238140 */     GIR_RootConstrainSelectedInstOperands,
     /*  238141 */     // GIR_Coverage, 20174,
     /*  238141 */     GIR_EraseRootFromParent_Done,
     /*  238142 */   // Label 4924: @238142
     /*  238142 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(238205), // Rule ID 20175 //
     /*  238147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  238189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238203 */     GIR_RootConstrainSelectedInstOperands,
     /*  238204 */     // GIR_Coverage, 20175,
     /*  238204 */     GIR_EraseRootFromParent_Done,
     /*  238205 */   // Label 4925: @238205
     /*  238205 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(238268), // Rule ID 20178 //
     /*  238210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  238213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  238252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238266 */     GIR_RootConstrainSelectedInstOperands,
     /*  238267 */     // GIR_Coverage, 20178,
     /*  238267 */     GIR_EraseRootFromParent_Done,
     /*  238268 */   // Label 4926: @238268
     /*  238268 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(238331), // Rule ID 20179 //
     /*  238273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  238315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238329 */     GIR_RootConstrainSelectedInstOperands,
     /*  238330 */     // GIR_Coverage, 20179,
     /*  238330 */     GIR_EraseRootFromParent_Done,
     /*  238331 */   // Label 4927: @238331
     /*  238331 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(238394), // Rule ID 20182 //
     /*  238336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  238339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  238368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238375 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  238378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238392 */     GIR_RootConstrainSelectedInstOperands,
     /*  238393 */     // GIR_Coverage, 20182,
     /*  238393 */     GIR_EraseRootFromParent_Done,
     /*  238394 */   // Label 4928: @238394
     /*  238394 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(238457), // Rule ID 20183 //
     /*  238399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  238402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  238431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  238441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238455 */     GIR_RootConstrainSelectedInstOperands,
     /*  238456 */     // GIR_Coverage, 20183,
     /*  238456 */     GIR_EraseRootFromParent_Done,
     /*  238457 */   // Label 4929: @238457
     /*  238457 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(238520), // Rule ID 20186 //
     /*  238462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  238504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238518 */     GIR_RootConstrainSelectedInstOperands,
     /*  238519 */     // GIR_Coverage, 20186,
     /*  238519 */     GIR_EraseRootFromParent_Done,
     /*  238520 */   // Label 4930: @238520
     /*  238520 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(238583), // Rule ID 20187 //
     /*  238525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  238567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238581 */     GIR_RootConstrainSelectedInstOperands,
     /*  238582 */     // GIR_Coverage, 20187,
     /*  238582 */     GIR_EraseRootFromParent_Done,
     /*  238583 */   // Label 4931: @238583
     /*  238583 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(238646), // Rule ID 20190 //
     /*  238588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238627 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  238630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238644 */     GIR_RootConstrainSelectedInstOperands,
     /*  238645 */     // GIR_Coverage, 20190,
     /*  238645 */     GIR_EraseRootFromParent_Done,
     /*  238646 */   // Label 4932: @238646
     /*  238646 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(238709), // Rule ID 20191 //
     /*  238651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238690 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  238693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238707 */     GIR_RootConstrainSelectedInstOperands,
     /*  238708 */     // GIR_Coverage, 20191,
     /*  238708 */     GIR_EraseRootFromParent_Done,
     /*  238709 */   // Label 4933: @238709
     /*  238709 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(238772), // Rule ID 20194 //
     /*  238714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238753 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  238756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238770 */     GIR_RootConstrainSelectedInstOperands,
     /*  238771 */     // GIR_Coverage, 20194,
     /*  238771 */     GIR_EraseRootFromParent_Done,
     /*  238772 */   // Label 4934: @238772
     /*  238772 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(238835), // Rule ID 20195 //
     /*  238777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  238819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238833 */     GIR_RootConstrainSelectedInstOperands,
     /*  238834 */     // GIR_Coverage, 20195,
     /*  238834 */     GIR_EraseRootFromParent_Done,
     /*  238835 */   // Label 4935: @238835
     /*  238835 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(238898), // Rule ID 20198 //
     /*  238840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  238843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  238882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238896 */     GIR_RootConstrainSelectedInstOperands,
     /*  238897 */     // GIR_Coverage, 20198,
     /*  238897 */     GIR_EraseRootFromParent_Done,
     /*  238898 */   // Label 4936: @238898
     /*  238898 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(238961), // Rule ID 20199 //
     /*  238903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238942 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  238945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238959 */     GIR_RootConstrainSelectedInstOperands,
     /*  238960 */     // GIR_Coverage, 20199,
     /*  238960 */     GIR_EraseRootFromParent_Done,
     /*  238961 */   // Label 4937: @238961
     /*  238961 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(239024), // Rule ID 20202 //
     /*  238966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  238969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239005 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  239008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239022 */     GIR_RootConstrainSelectedInstOperands,
     /*  239023 */     // GIR_Coverage, 20202,
     /*  239023 */     GIR_EraseRootFromParent_Done,
     /*  239024 */   // Label 4938: @239024
     /*  239024 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(239087), // Rule ID 20203 //
     /*  239029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  239071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239085 */     GIR_RootConstrainSelectedInstOperands,
     /*  239086 */     // GIR_Coverage, 20203,
     /*  239086 */     GIR_EraseRootFromParent_Done,
     /*  239087 */   // Label 4939: @239087
     /*  239087 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(239150), // Rule ID 20206 //
     /*  239092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  239095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239131 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  239134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239148 */     GIR_RootConstrainSelectedInstOperands,
     /*  239149 */     // GIR_Coverage, 20206,
     /*  239149 */     GIR_EraseRootFromParent_Done,
     /*  239150 */   // Label 4940: @239150
     /*  239150 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(239213), // Rule ID 20207 //
     /*  239155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  239197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239211 */     GIR_RootConstrainSelectedInstOperands,
     /*  239212 */     // GIR_Coverage, 20207,
     /*  239212 */     GIR_EraseRootFromParent_Done,
     /*  239213 */   // Label 4941: @239213
     /*  239213 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(239276), // Rule ID 20210 //
     /*  239218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  239260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239274 */     GIR_RootConstrainSelectedInstOperands,
     /*  239275 */     // GIR_Coverage, 20210,
     /*  239275 */     GIR_EraseRootFromParent_Done,
     /*  239276 */   // Label 4942: @239276
     /*  239276 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(239339), // Rule ID 20211 //
     /*  239281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  239323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239337 */     GIR_RootConstrainSelectedInstOperands,
     /*  239338 */     // GIR_Coverage, 20211,
     /*  239338 */     GIR_EraseRootFromParent_Done,
     /*  239339 */   // Label 4943: @239339
     /*  239339 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(239402), // Rule ID 20214 //
     /*  239344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  239386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239400 */     GIR_RootConstrainSelectedInstOperands,
     /*  239401 */     // GIR_Coverage, 20214,
     /*  239401 */     GIR_EraseRootFromParent_Done,
     /*  239402 */   // Label 4944: @239402
     /*  239402 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(239465), // Rule ID 20215 //
     /*  239407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  239449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239463 */     GIR_RootConstrainSelectedInstOperands,
     /*  239464 */     // GIR_Coverage, 20215,
     /*  239464 */     GIR_EraseRootFromParent_Done,
     /*  239465 */   // Label 4945: @239465
     /*  239465 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(239528), // Rule ID 20218 //
     /*  239470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  239512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239526 */     GIR_RootConstrainSelectedInstOperands,
     /*  239527 */     // GIR_Coverage, 20218,
     /*  239527 */     GIR_EraseRootFromParent_Done,
     /*  239528 */   // Label 4946: @239528
     /*  239528 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(239591), // Rule ID 20219 //
     /*  239533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  239575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239589 */     GIR_RootConstrainSelectedInstOperands,
     /*  239590 */     // GIR_Coverage, 20219,
     /*  239590 */     GIR_EraseRootFromParent_Done,
     /*  239591 */   // Label 4947: @239591
     /*  239591 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(239654), // Rule ID 20222 //
     /*  239596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  239638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239652 */     GIR_RootConstrainSelectedInstOperands,
     /*  239653 */     // GIR_Coverage, 20222,
     /*  239653 */     GIR_EraseRootFromParent_Done,
     /*  239654 */   // Label 4948: @239654
     /*  239654 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(239717), // Rule ID 20223 //
     /*  239659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  239701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239715 */     GIR_RootConstrainSelectedInstOperands,
     /*  239716 */     // GIR_Coverage, 20223,
     /*  239716 */     GIR_EraseRootFromParent_Done,
     /*  239717 */   // Label 4949: @239717
     /*  239717 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(239780), // Rule ID 20226 //
     /*  239722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239761 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239778 */     GIR_RootConstrainSelectedInstOperands,
     /*  239779 */     // GIR_Coverage, 20226,
     /*  239779 */     GIR_EraseRootFromParent_Done,
     /*  239780 */   // Label 4950: @239780
     /*  239780 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(239843), // Rule ID 20227 //
     /*  239785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239841 */     GIR_RootConstrainSelectedInstOperands,
     /*  239842 */     // GIR_Coverage, 20227,
     /*  239842 */     GIR_EraseRootFromParent_Done,
     /*  239843 */   // Label 4951: @239843
     /*  239843 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(239906), // Rule ID 20230 //
     /*  239848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  239851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239904 */     GIR_RootConstrainSelectedInstOperands,
     /*  239905 */     // GIR_Coverage, 20230,
     /*  239905 */     GIR_EraseRootFromParent_Done,
     /*  239906 */   // Label 4952: @239906
     /*  239906 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(239969), // Rule ID 20231 //
     /*  239911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239950 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239967 */     GIR_RootConstrainSelectedInstOperands,
     /*  239968 */     // GIR_Coverage, 20231,
     /*  239968 */     GIR_EraseRootFromParent_Done,
     /*  239969 */   // Label 4953: @239969
     /*  239969 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(240032), // Rule ID 20234 //
     /*  239974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  239988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  239991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240030 */     GIR_RootConstrainSelectedInstOperands,
     /*  240031 */     // GIR_Coverage, 20234,
     /*  240031 */     GIR_EraseRootFromParent_Done,
     /*  240032 */   // Label 4954: @240032
     /*  240032 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(240095), // Rule ID 20235 //
     /*  240037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240093 */     GIR_RootConstrainSelectedInstOperands,
     /*  240094 */     // GIR_Coverage, 20235,
     /*  240094 */     GIR_EraseRootFromParent_Done,
     /*  240095 */   // Label 4955: @240095
     /*  240095 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(240158), // Rule ID 20238 //
     /*  240100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  240117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240139 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240156 */     GIR_RootConstrainSelectedInstOperands,
     /*  240157 */     // GIR_Coverage, 20238,
     /*  240157 */     GIR_EraseRootFromParent_Done,
     /*  240158 */   // Label 4956: @240158
     /*  240158 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(240221), // Rule ID 20239 //
     /*  240163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  240180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240219 */     GIR_RootConstrainSelectedInstOperands,
     /*  240220 */     // GIR_Coverage, 20239,
     /*  240220 */     GIR_EraseRootFromParent_Done,
     /*  240221 */   // Label 4957: @240221
     /*  240221 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(240284), // Rule ID 20242 //
     /*  240226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  240229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  240243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  240265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240282 */     GIR_RootConstrainSelectedInstOperands,
     /*  240283 */     // GIR_Coverage, 20242,
     /*  240283 */     GIR_EraseRootFromParent_Done,
     /*  240284 */   // Label 4958: @240284
     /*  240284 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(240347), // Rule ID 20243 //
     /*  240289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  240292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  240306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  240328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240345 */     GIR_RootConstrainSelectedInstOperands,
     /*  240346 */     // GIR_Coverage, 20243,
     /*  240346 */     GIR_EraseRootFromParent_Done,
     /*  240347 */   // Label 4959: @240347
     /*  240347 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(240410), // Rule ID 20246 //
     /*  240352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240391 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240408 */     GIR_RootConstrainSelectedInstOperands,
     /*  240409 */     // GIR_Coverage, 20246,
     /*  240409 */     GIR_EraseRootFromParent_Done,
     /*  240410 */   // Label 4960: @240410
     /*  240410 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(240473), // Rule ID 20247 //
     /*  240415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240471 */     GIR_RootConstrainSelectedInstOperands,
     /*  240472 */     // GIR_Coverage, 20247,
     /*  240472 */     GIR_EraseRootFromParent_Done,
     /*  240473 */   // Label 4961: @240473
     /*  240473 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(240536), // Rule ID 20250 //
     /*  240478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  240489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240534 */     GIR_RootConstrainSelectedInstOperands,
     /*  240535 */     // GIR_Coverage, 20250,
     /*  240535 */     GIR_EraseRootFromParent_Done,
     /*  240536 */   // Label 4962: @240536
     /*  240536 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(240599), // Rule ID 20251 //
     /*  240541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  240552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240597 */     GIR_RootConstrainSelectedInstOperands,
     /*  240598 */     // GIR_Coverage, 20251,
     /*  240598 */     GIR_EraseRootFromParent_Done,
     /*  240599 */   // Label 4963: @240599
     /*  240599 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(240662), // Rule ID 20254 //
     /*  240604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  240615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  240621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240643 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  240646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240660 */     GIR_RootConstrainSelectedInstOperands,
     /*  240661 */     // GIR_Coverage, 20254,
     /*  240661 */     GIR_EraseRootFromParent_Done,
     /*  240662 */   // Label 4964: @240662
     /*  240662 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(240725), // Rule ID 20255 //
     /*  240667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  240678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  240684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240706 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  240709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240723 */     GIR_RootConstrainSelectedInstOperands,
     /*  240724 */     // GIR_Coverage, 20255,
     /*  240724 */     GIR_EraseRootFromParent_Done,
     /*  240725 */   // Label 4965: @240725
     /*  240725 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(240788), // Rule ID 20258 //
     /*  240730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  240747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240786 */     GIR_RootConstrainSelectedInstOperands,
     /*  240787 */     // GIR_Coverage, 20258,
     /*  240787 */     GIR_EraseRootFromParent_Done,
     /*  240788 */   // Label 4966: @240788
     /*  240788 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(240851), // Rule ID 20259 //
     /*  240793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  240810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240849 */     GIR_RootConstrainSelectedInstOperands,
     /*  240850 */     // GIR_Coverage, 20259,
     /*  240850 */     GIR_EraseRootFromParent_Done,
     /*  240851 */   // Label 4967: @240851
     /*  240851 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(240914), // Rule ID 20262 //
     /*  240856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240895 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240912 */     GIR_RootConstrainSelectedInstOperands,
     /*  240913 */     // GIR_Coverage, 20262,
     /*  240913 */     GIR_EraseRootFromParent_Done,
     /*  240914 */   // Label 4968: @240914
     /*  240914 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(240977), // Rule ID 20263 //
     /*  240919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240975 */     GIR_RootConstrainSelectedInstOperands,
     /*  240976 */     // GIR_Coverage, 20263,
     /*  240976 */     GIR_EraseRootFromParent_Done,
     /*  240977 */   // Label 4969: @240977
     /*  240977 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(241040), // Rule ID 20266 //
     /*  240982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  240993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  240999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241021 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241038 */     GIR_RootConstrainSelectedInstOperands,
     /*  241039 */     // GIR_Coverage, 20266,
     /*  241039 */     GIR_EraseRootFromParent_Done,
     /*  241040 */   // Label 4970: @241040
     /*  241040 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(241103), // Rule ID 20267 //
     /*  241045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  241048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  241062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241101 */     GIR_RootConstrainSelectedInstOperands,
     /*  241102 */     // GIR_Coverage, 20267,
     /*  241102 */     GIR_EraseRootFromParent_Done,
     /*  241103 */   // Label 4971: @241103
     /*  241103 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(241166), // Rule ID 20270 //
     /*  241108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  241125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  241150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241164 */     GIR_RootConstrainSelectedInstOperands,
     /*  241165 */     // GIR_Coverage, 20270,
     /*  241165 */     GIR_EraseRootFromParent_Done,
     /*  241166 */   // Label 4972: @241166
     /*  241166 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(241229), // Rule ID 20271 //
     /*  241171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  241188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241210 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  241213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241227 */     GIR_RootConstrainSelectedInstOperands,
     /*  241228 */     // GIR_Coverage, 20271,
     /*  241228 */     GIR_EraseRootFromParent_Done,
     /*  241229 */   // Label 4973: @241229
     /*  241229 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(241292), // Rule ID 20274 //
     /*  241234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  241251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  241276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241290 */     GIR_RootConstrainSelectedInstOperands,
     /*  241291 */     // GIR_Coverage, 20274,
     /*  241291 */     GIR_EraseRootFromParent_Done,
     /*  241292 */   // Label 4974: @241292
     /*  241292 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(241355), // Rule ID 20275 //
     /*  241297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  241314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  241339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241353 */     GIR_RootConstrainSelectedInstOperands,
     /*  241354 */     // GIR_Coverage, 20275,
     /*  241354 */     GIR_EraseRootFromParent_Done,
     /*  241355 */   // Label 4975: @241355
     /*  241355 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(241418), // Rule ID 20278 //
     /*  241360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  241377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241399 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241416 */     GIR_RootConstrainSelectedInstOperands,
     /*  241417 */     // GIR_Coverage, 20278,
     /*  241417 */     GIR_EraseRootFromParent_Done,
     /*  241418 */   // Label 4976: @241418
     /*  241418 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(241481), // Rule ID 20279 //
     /*  241423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  241440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241479 */     GIR_RootConstrainSelectedInstOperands,
     /*  241480 */     // GIR_Coverage, 20279,
     /*  241480 */     GIR_EraseRootFromParent_Done,
     /*  241481 */   // Label 4977: @241481
     /*  241481 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(241544), // Rule ID 20282 //
     /*  241486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  241528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241542 */     GIR_RootConstrainSelectedInstOperands,
     /*  241543 */     // GIR_Coverage, 20282,
     /*  241543 */     GIR_EraseRootFromParent_Done,
     /*  241544 */   // Label 4978: @241544
     /*  241544 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(241607), // Rule ID 20283 //
     /*  241549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  241591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241605 */     GIR_RootConstrainSelectedInstOperands,
     /*  241606 */     // GIR_Coverage, 20283,
     /*  241606 */     GIR_EraseRootFromParent_Done,
     /*  241607 */   // Label 4979: @241607
     /*  241607 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(241670), // Rule ID 20286 //
     /*  241612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241651 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241668 */     GIR_RootConstrainSelectedInstOperands,
     /*  241669 */     // GIR_Coverage, 20286,
     /*  241669 */     GIR_EraseRootFromParent_Done,
     /*  241670 */   // Label 4980: @241670
     /*  241670 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(241733), // Rule ID 20287 //
     /*  241675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241731 */     GIR_RootConstrainSelectedInstOperands,
     /*  241732 */     // GIR_Coverage, 20287,
     /*  241732 */     GIR_EraseRootFromParent_Done,
     /*  241733 */   // Label 4981: @241733
     /*  241733 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(241796), // Rule ID 20290 //
     /*  241738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  241741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241777 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241794 */     GIR_RootConstrainSelectedInstOperands,
     /*  241795 */     // GIR_Coverage, 20290,
     /*  241795 */     GIR_EraseRootFromParent_Done,
     /*  241796 */   // Label 4982: @241796
     /*  241796 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(241859), // Rule ID 20291 //
     /*  241801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  241804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241857 */     GIR_RootConstrainSelectedInstOperands,
     /*  241858 */     // GIR_Coverage, 20291,
     /*  241858 */     GIR_EraseRootFromParent_Done,
     /*  241859 */   // Label 4983: @241859
     /*  241859 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(241922), // Rule ID 20294 //
     /*  241864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  241906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241920 */     GIR_RootConstrainSelectedInstOperands,
     /*  241921 */     // GIR_Coverage, 20294,
     /*  241921 */     GIR_EraseRootFromParent_Done,
     /*  241922 */   // Label 4984: @241922
     /*  241922 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(241985), // Rule ID 20295 //
     /*  241927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  241969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241983 */     GIR_RootConstrainSelectedInstOperands,
     /*  241984 */     // GIR_Coverage, 20295,
     /*  241984 */     GIR_EraseRootFromParent_Done,
     /*  241985 */   // Label 4985: @241985
     /*  241985 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(242048), // Rule ID 20298 //
     /*  241990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  241993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242046 */     GIR_RootConstrainSelectedInstOperands,
     /*  242047 */     // GIR_Coverage, 20298,
     /*  242047 */     GIR_EraseRootFromParent_Done,
     /*  242048 */   // Label 4986: @242048
     /*  242048 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(242111), // Rule ID 20299 //
     /*  242053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242109 */     GIR_RootConstrainSelectedInstOperands,
     /*  242110 */     // GIR_Coverage, 20299,
     /*  242110 */     GIR_EraseRootFromParent_Done,
     /*  242111 */   // Label 4987: @242111
     /*  242111 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(242174), // Rule ID 20302 //
     /*  242116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  242119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  242127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  242133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242172 */     GIR_RootConstrainSelectedInstOperands,
     /*  242173 */     // GIR_Coverage, 20302,
     /*  242173 */     GIR_EraseRootFromParent_Done,
     /*  242174 */   // Label 4988: @242174
     /*  242174 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(242237), // Rule ID 20303 //
     /*  242179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  242182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  242190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  242196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242235 */     GIR_RootConstrainSelectedInstOperands,
     /*  242236 */     // GIR_Coverage, 20303,
     /*  242236 */     GIR_EraseRootFromParent_Done,
     /*  242237 */   // Label 4989: @242237
     /*  242237 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(242300), // Rule ID 20306 //
     /*  242242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242298 */     GIR_RootConstrainSelectedInstOperands,
     /*  242299 */     // GIR_Coverage, 20306,
     /*  242299 */     GIR_EraseRootFromParent_Done,
     /*  242300 */   // Label 4990: @242300
     /*  242300 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(242363), // Rule ID 20307 //
     /*  242305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242361 */     GIR_RootConstrainSelectedInstOperands,
     /*  242362 */     // GIR_Coverage, 20307,
     /*  242362 */     GIR_EraseRootFromParent_Done,
     /*  242363 */   // Label 4991: @242363
     /*  242363 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(242426), // Rule ID 20310 //
     /*  242368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242424 */     GIR_RootConstrainSelectedInstOperands,
     /*  242425 */     // GIR_Coverage, 20310,
     /*  242425 */     GIR_EraseRootFromParent_Done,
     /*  242426 */   // Label 4992: @242426
     /*  242426 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(242489), // Rule ID 20311 //
     /*  242431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242470 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242487 */     GIR_RootConstrainSelectedInstOperands,
     /*  242488 */     // GIR_Coverage, 20311,
     /*  242488 */     GIR_EraseRootFromParent_Done,
     /*  242489 */   // Label 4993: @242489
     /*  242489 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(242552), // Rule ID 20314 //
     /*  242494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242533 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242550 */     GIR_RootConstrainSelectedInstOperands,
     /*  242551 */     // GIR_Coverage, 20314,
     /*  242551 */     GIR_EraseRootFromParent_Done,
     /*  242552 */   // Label 4994: @242552
     /*  242552 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(242615), // Rule ID 20315 //
     /*  242557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242596 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242613 */     GIR_RootConstrainSelectedInstOperands,
     /*  242614 */     // GIR_Coverage, 20315,
     /*  242614 */     GIR_EraseRootFromParent_Done,
     /*  242615 */   // Label 4995: @242615
     /*  242615 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(242678), // Rule ID 20318 //
     /*  242620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242676 */     GIR_RootConstrainSelectedInstOperands,
     /*  242677 */     // GIR_Coverage, 20318,
     /*  242677 */     GIR_EraseRootFromParent_Done,
     /*  242678 */   // Label 4996: @242678
     /*  242678 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(242741), // Rule ID 20319 //
     /*  242683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242739 */     GIR_RootConstrainSelectedInstOperands,
     /*  242740 */     // GIR_Coverage, 20319,
     /*  242740 */     GIR_EraseRootFromParent_Done,
     /*  242741 */   // Label 4997: @242741
     /*  242741 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(242804), // Rule ID 20322 //
     /*  242746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242802 */     GIR_RootConstrainSelectedInstOperands,
     /*  242803 */     // GIR_Coverage, 20322,
     /*  242803 */     GIR_EraseRootFromParent_Done,
     /*  242804 */   // Label 4998: @242804
     /*  242804 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(242867), // Rule ID 20323 //
     /*  242809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242865 */     GIR_RootConstrainSelectedInstOperands,
     /*  242866 */     // GIR_Coverage, 20323,
     /*  242866 */     GIR_EraseRootFromParent_Done,
     /*  242867 */   // Label 4999: @242867
     /*  242867 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(242930), // Rule ID 20326 //
     /*  242872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  242889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242911 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242928 */     GIR_RootConstrainSelectedInstOperands,
     /*  242929 */     // GIR_Coverage, 20326,
     /*  242929 */     GIR_EraseRootFromParent_Done,
     /*  242930 */   // Label 5000: @242930
     /*  242930 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(242993), // Rule ID 20327 //
     /*  242935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  242952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242974 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242991 */     GIR_RootConstrainSelectedInstOperands,
     /*  242992 */     // GIR_Coverage, 20327,
     /*  242992 */     GIR_EraseRootFromParent_Done,
     /*  242993 */   // Label 5001: @242993
     /*  242993 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(243056), // Rule ID 20330 //
     /*  242998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  243040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243054 */     GIR_RootConstrainSelectedInstOperands,
     /*  243055 */     // GIR_Coverage, 20330,
     /*  243055 */     GIR_EraseRootFromParent_Done,
     /*  243056 */   // Label 5002: @243056
     /*  243056 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(243119), // Rule ID 20331 //
     /*  243061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  243103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243117 */     GIR_RootConstrainSelectedInstOperands,
     /*  243118 */     // GIR_Coverage, 20331,
     /*  243118 */     GIR_EraseRootFromParent_Done,
     /*  243119 */   // Label 5003: @243119
     /*  243119 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(243182), // Rule ID 20334 //
     /*  243124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  243166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243180 */     GIR_RootConstrainSelectedInstOperands,
     /*  243181 */     // GIR_Coverage, 20334,
     /*  243181 */     GIR_EraseRootFromParent_Done,
     /*  243182 */   // Label 5004: @243182
     /*  243182 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(243245), // Rule ID 20335 //
     /*  243187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  243229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243243 */     GIR_RootConstrainSelectedInstOperands,
     /*  243244 */     // GIR_Coverage, 20335,
     /*  243244 */     GIR_EraseRootFromParent_Done,
     /*  243245 */   // Label 5005: @243245
     /*  243245 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(243308), // Rule ID 20338 //
     /*  243250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  243292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243306 */     GIR_RootConstrainSelectedInstOperands,
     /*  243307 */     // GIR_Coverage, 20338,
     /*  243307 */     GIR_EraseRootFromParent_Done,
     /*  243308 */   // Label 5006: @243308
     /*  243308 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(243371), // Rule ID 20339 //
     /*  243313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  243355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243369 */     GIR_RootConstrainSelectedInstOperands,
     /*  243370 */     // GIR_Coverage, 20339,
     /*  243370 */     GIR_EraseRootFromParent_Done,
     /*  243371 */   // Label 5007: @243371
     /*  243371 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(243437), // Rule ID 20342 //
     /*  243376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  243379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243435 */     GIR_RootConstrainSelectedInstOperands,
     /*  243436 */     // GIR_Coverage, 20342,
     /*  243436 */     GIR_EraseRootFromParent_Done,
     /*  243437 */   // Label 5008: @243437
     /*  243437 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(243503), // Rule ID 20343 //
     /*  243442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  243445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243501 */     GIR_RootConstrainSelectedInstOperands,
     /*  243502 */     // GIR_Coverage, 20343,
     /*  243502 */     GIR_EraseRootFromParent_Done,
     /*  243503 */   // Label 5009: @243503
     /*  243503 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(243569), // Rule ID 20346 //
     /*  243508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  243511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243567 */     GIR_RootConstrainSelectedInstOperands,
     /*  243568 */     // GIR_Coverage, 20346,
     /*  243568 */     GIR_EraseRootFromParent_Done,
     /*  243569 */   // Label 5010: @243569
     /*  243569 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(243635), // Rule ID 20347 //
     /*  243574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  243577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243613 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243633 */     GIR_RootConstrainSelectedInstOperands,
     /*  243634 */     // GIR_Coverage, 20347,
     /*  243634 */     GIR_EraseRootFromParent_Done,
     /*  243635 */   // Label 5011: @243635
     /*  243635 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(243701), // Rule ID 20350 //
     /*  243640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  243643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243699 */     GIR_RootConstrainSelectedInstOperands,
     /*  243700 */     // GIR_Coverage, 20350,
     /*  243700 */     GIR_EraseRootFromParent_Done,
     /*  243701 */   // Label 5012: @243701
     /*  243701 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(243767), // Rule ID 20351 //
     /*  243706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  243709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243765 */     GIR_RootConstrainSelectedInstOperands,
     /*  243766 */     // GIR_Coverage, 20351,
     /*  243766 */     GIR_EraseRootFromParent_Done,
     /*  243767 */   // Label 5013: @243767
     /*  243767 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(243833), // Rule ID 20354 //
     /*  243772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  243775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  243783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  243786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243831 */     GIR_RootConstrainSelectedInstOperands,
     /*  243832 */     // GIR_Coverage, 20354,
     /*  243832 */     GIR_EraseRootFromParent_Done,
     /*  243833 */   // Label 5014: @243833
     /*  243833 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(243899), // Rule ID 20355 //
     /*  243838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  243841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  243849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  243852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243897 */     GIR_RootConstrainSelectedInstOperands,
     /*  243898 */     // GIR_Coverage, 20355,
     /*  243898 */     GIR_EraseRootFromParent_Done,
     /*  243899 */   // Label 5015: @243899
     /*  243899 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(243965), // Rule ID 20358 //
     /*  243904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  243907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  243921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243963 */     GIR_RootConstrainSelectedInstOperands,
     /*  243964 */     // GIR_Coverage, 20358,
     /*  243964 */     GIR_EraseRootFromParent_Done,
     /*  243965 */   // Label 5016: @243965
     /*  243965 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(244031), // Rule ID 20359 //
     /*  243970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  243973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  243987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  244012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244029 */     GIR_RootConstrainSelectedInstOperands,
     /*  244030 */     // GIR_Coverage, 20359,
     /*  244030 */     GIR_EraseRootFromParent_Done,
     /*  244031 */   // Label 5017: @244031
     /*  244031 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(244097), // Rule ID 20362 //
     /*  244036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244095 */     GIR_RootConstrainSelectedInstOperands,
     /*  244096 */     // GIR_Coverage, 20362,
     /*  244096 */     GIR_EraseRootFromParent_Done,
     /*  244097 */   // Label 5018: @244097
     /*  244097 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(244163), // Rule ID 20363 //
     /*  244102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244161 */     GIR_RootConstrainSelectedInstOperands,
     /*  244162 */     // GIR_Coverage, 20363,
     /*  244162 */     GIR_EraseRootFromParent_Done,
     /*  244163 */   // Label 5019: @244163
     /*  244163 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(244229), // Rule ID 20366 //
     /*  244168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244227 */     GIR_RootConstrainSelectedInstOperands,
     /*  244228 */     // GIR_Coverage, 20366,
     /*  244228 */     GIR_EraseRootFromParent_Done,
     /*  244229 */   // Label 5020: @244229
     /*  244229 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(244295), // Rule ID 20367 //
     /*  244234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244293 */     GIR_RootConstrainSelectedInstOperands,
     /*  244294 */     // GIR_Coverage, 20367,
     /*  244294 */     GIR_EraseRootFromParent_Done,
     /*  244295 */   // Label 5021: @244295
     /*  244295 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(244361), // Rule ID 20370 //
     /*  244300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  244317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244359 */     GIR_RootConstrainSelectedInstOperands,
     /*  244360 */     // GIR_Coverage, 20370,
     /*  244360 */     GIR_EraseRootFromParent_Done,
     /*  244361 */   // Label 5022: @244361
     /*  244361 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(244427), // Rule ID 20371 //
     /*  244366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  244383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244425 */     GIR_RootConstrainSelectedInstOperands,
     /*  244426 */     // GIR_Coverage, 20371,
     /*  244426 */     GIR_EraseRootFromParent_Done,
     /*  244427 */   // Label 5023: @244427
     /*  244427 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(244493), // Rule ID 20374 //
     /*  244432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244491 */     GIR_RootConstrainSelectedInstOperands,
     /*  244492 */     // GIR_Coverage, 20374,
     /*  244492 */     GIR_EraseRootFromParent_Done,
     /*  244493 */   // Label 5024: @244493
     /*  244493 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(244559), // Rule ID 20375 //
     /*  244498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244557 */     GIR_RootConstrainSelectedInstOperands,
     /*  244558 */     // GIR_Coverage, 20375,
     /*  244558 */     GIR_EraseRootFromParent_Done,
     /*  244559 */   // Label 5025: @244559
     /*  244559 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(244625), // Rule ID 20378 //
     /*  244564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  244581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244623 */     GIR_RootConstrainSelectedInstOperands,
     /*  244624 */     // GIR_Coverage, 20378,
     /*  244624 */     GIR_EraseRootFromParent_Done,
     /*  244625 */   // Label 5026: @244625
     /*  244625 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(244691), // Rule ID 20379 //
     /*  244630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  244647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244689 */     GIR_RootConstrainSelectedInstOperands,
     /*  244690 */     // GIR_Coverage, 20379,
     /*  244690 */     GIR_EraseRootFromParent_Done,
     /*  244691 */   // Label 5027: @244691
     /*  244691 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(244757), // Rule ID 20382 //
     /*  244696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  244713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244755 */     GIR_RootConstrainSelectedInstOperands,
     /*  244756 */     // GIR_Coverage, 20382,
     /*  244756 */     GIR_EraseRootFromParent_Done,
     /*  244757 */   // Label 5028: @244757
     /*  244757 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(244823), // Rule ID 20383 //
     /*  244762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  244779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244821 */     GIR_RootConstrainSelectedInstOperands,
     /*  244822 */     // GIR_Coverage, 20383,
     /*  244822 */     GIR_EraseRootFromParent_Done,
     /*  244823 */   // Label 5029: @244823
     /*  244823 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(244889), // Rule ID 20386 //
     /*  244828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  244831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  244845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244887 */     GIR_RootConstrainSelectedInstOperands,
     /*  244888 */     // GIR_Coverage, 20386,
     /*  244888 */     GIR_EraseRootFromParent_Done,
     /*  244889 */   // Label 5030: @244889
     /*  244889 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(244955), // Rule ID 20387 //
     /*  244894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  244897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  244911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244953 */     GIR_RootConstrainSelectedInstOperands,
     /*  244954 */     // GIR_Coverage, 20387,
     /*  244954 */     GIR_EraseRootFromParent_Done,
     /*  244955 */   // Label 5031: @244955
     /*  244955 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(245021), // Rule ID 20390 //
     /*  244960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  244963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  244977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  245002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245019 */     GIR_RootConstrainSelectedInstOperands,
     /*  245020 */     // GIR_Coverage, 20390,
     /*  245020 */     GIR_EraseRootFromParent_Done,
     /*  245021 */   // Label 5032: @245021
     /*  245021 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(245087), // Rule ID 20391 //
     /*  245026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  245043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  245068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245085 */     GIR_RootConstrainSelectedInstOperands,
     /*  245086 */     // GIR_Coverage, 20391,
     /*  245086 */     GIR_EraseRootFromParent_Done,
     /*  245087 */   // Label 5033: @245087
     /*  245087 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(245153), // Rule ID 20394 //
     /*  245092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  245095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  245109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  245134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245151 */     GIR_RootConstrainSelectedInstOperands,
     /*  245152 */     // GIR_Coverage, 20394,
     /*  245152 */     GIR_EraseRootFromParent_Done,
     /*  245153 */   // Label 5034: @245153
     /*  245153 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(245219), // Rule ID 20395 //
     /*  245158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  245175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  245200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245217 */     GIR_RootConstrainSelectedInstOperands,
     /*  245218 */     // GIR_Coverage, 20395,
     /*  245218 */     GIR_EraseRootFromParent_Done,
     /*  245219 */   // Label 5035: @245219
     /*  245219 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(245285), // Rule ID 20720 //
     /*  245224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  245235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245263 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  245266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245283 */     GIR_RootConstrainSelectedInstOperands,
     /*  245284 */     // GIR_Coverage, 20720,
     /*  245284 */     GIR_EraseRootFromParent_Done,
     /*  245285 */   // Label 5036: @245285
     /*  245285 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(245351), // Rule ID 20721 //
     /*  245290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  245301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245329 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  245332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245349 */     GIR_RootConstrainSelectedInstOperands,
     /*  245350 */     // GIR_Coverage, 20721,
     /*  245350 */     GIR_EraseRootFromParent_Done,
     /*  245351 */   // Label 5037: @245351
     /*  245351 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(245417), // Rule ID 20724 //
     /*  245356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  245367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  245370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245415 */     GIR_RootConstrainSelectedInstOperands,
     /*  245416 */     // GIR_Coverage, 20724,
     /*  245416 */     GIR_EraseRootFromParent_Done,
     /*  245417 */   // Label 5038: @245417
     /*  245417 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(245483), // Rule ID 20725 //
     /*  245422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  245433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  245436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245461 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245481 */     GIR_RootConstrainSelectedInstOperands,
     /*  245482 */     // GIR_Coverage, 20725,
     /*  245482 */     GIR_EraseRootFromParent_Done,
     /*  245483 */   // Label 5039: @245483
     /*  245483 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(245549), // Rule ID 20728 //
     /*  245488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  245491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245547 */     GIR_RootConstrainSelectedInstOperands,
     /*  245548 */     // GIR_Coverage, 20728,
     /*  245548 */     GIR_EraseRootFromParent_Done,
     /*  245549 */   // Label 5040: @245549
     /*  245549 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(245615), // Rule ID 20729 //
     /*  245554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  245557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245613 */     GIR_RootConstrainSelectedInstOperands,
     /*  245614 */     // GIR_Coverage, 20729,
     /*  245614 */     GIR_EraseRootFromParent_Done,
     /*  245615 */   // Label 5041: @245615
     /*  245615 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(245681), // Rule ID 20732 //
     /*  245620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  245631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  245634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245679 */     GIR_RootConstrainSelectedInstOperands,
     /*  245680 */     // GIR_Coverage, 20732,
     /*  245680 */     GIR_EraseRootFromParent_Done,
     /*  245681 */   // Label 5042: @245681
     /*  245681 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(245747), // Rule ID 20733 //
     /*  245686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  245697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  245700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245745 */     GIR_RootConstrainSelectedInstOperands,
     /*  245746 */     // GIR_Coverage, 20733,
     /*  245746 */     GIR_EraseRootFromParent_Done,
     /*  245747 */   // Label 5043: @245747
     /*  245747 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(245813), // Rule ID 20736 //
     /*  245752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  245755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245791 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245811 */     GIR_RootConstrainSelectedInstOperands,
     /*  245812 */     // GIR_Coverage, 20736,
     /*  245812 */     GIR_EraseRootFromParent_Done,
     /*  245813 */   // Label 5044: @245813
     /*  245813 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(245879), // Rule ID 20737 //
     /*  245818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  245821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245877 */     GIR_RootConstrainSelectedInstOperands,
     /*  245878 */     // GIR_Coverage, 20737,
     /*  245878 */     GIR_EraseRootFromParent_Done,
     /*  245879 */   // Label 5045: @245879
     /*  245879 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(245945), // Rule ID 20740 //
     /*  245884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  245887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  245901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245943 */     GIR_RootConstrainSelectedInstOperands,
     /*  245944 */     // GIR_Coverage, 20740,
     /*  245944 */     GIR_EraseRootFromParent_Done,
     /*  245945 */   // Label 5046: @245945
     /*  245945 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(246011), // Rule ID 20741 //
     /*  245950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  245967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246009 */     GIR_RootConstrainSelectedInstOperands,
     /*  246010 */     // GIR_Coverage, 20741,
     /*  246010 */     GIR_EraseRootFromParent_Done,
     /*  246011 */   // Label 5047: @246011
     /*  246011 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(246077), // Rule ID 20744 //
     /*  246016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  246027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  246030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246075 */     GIR_RootConstrainSelectedInstOperands,
     /*  246076 */     // GIR_Coverage, 20744,
     /*  246076 */     GIR_EraseRootFromParent_Done,
     /*  246077 */   // Label 5048: @246077
     /*  246077 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(246143), // Rule ID 20745 //
     /*  246082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  246093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  246096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246141 */     GIR_RootConstrainSelectedInstOperands,
     /*  246142 */     // GIR_Coverage, 20745,
     /*  246142 */     GIR_EraseRootFromParent_Done,
     /*  246143 */   // Label 5049: @246143
     /*  246143 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(246209), // Rule ID 20748 //
     /*  246148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  246159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  246162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246207 */     GIR_RootConstrainSelectedInstOperands,
     /*  246208 */     // GIR_Coverage, 20748,
     /*  246208 */     GIR_EraseRootFromParent_Done,
     /*  246209 */   // Label 5050: @246209
     /*  246209 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(246275), // Rule ID 20749 //
     /*  246214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  246225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  246228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246273 */     GIR_RootConstrainSelectedInstOperands,
     /*  246274 */     // GIR_Coverage, 20749,
     /*  246274 */     GIR_EraseRootFromParent_Done,
     /*  246275 */   // Label 5051: @246275
     /*  246275 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(246341), // Rule ID 20752 //
     /*  246280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  246291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  246294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  246297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246339 */     GIR_RootConstrainSelectedInstOperands,
     /*  246340 */     // GIR_Coverage, 20752,
     /*  246340 */     GIR_EraseRootFromParent_Done,
     /*  246341 */   // Label 5052: @246341
     /*  246341 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(246407), // Rule ID 20753 //
     /*  246346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  246357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  246360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  246363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246385 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246405 */     GIR_RootConstrainSelectedInstOperands,
     /*  246406 */     // GIR_Coverage, 20753,
     /*  246406 */     GIR_EraseRootFromParent_Done,
     /*  246407 */   // Label 5053: @246407
     /*  246407 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(246473), // Rule ID 20756 //
     /*  246412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246471 */     GIR_RootConstrainSelectedInstOperands,
     /*  246472 */     // GIR_Coverage, 20756,
     /*  246472 */     GIR_EraseRootFromParent_Done,
     /*  246473 */   // Label 5054: @246473
     /*  246473 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(246539), // Rule ID 20757 //
     /*  246478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246537 */     GIR_RootConstrainSelectedInstOperands,
     /*  246538 */     // GIR_Coverage, 20757,
     /*  246538 */     GIR_EraseRootFromParent_Done,
     /*  246539 */   // Label 5055: @246539
     /*  246539 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(246605), // Rule ID 20760 //
     /*  246544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246603 */     GIR_RootConstrainSelectedInstOperands,
     /*  246604 */     // GIR_Coverage, 20760,
     /*  246604 */     GIR_EraseRootFromParent_Done,
     /*  246605 */   // Label 5056: @246605
     /*  246605 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(246671), // Rule ID 20761 //
     /*  246610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246669 */     GIR_RootConstrainSelectedInstOperands,
     /*  246670 */     // GIR_Coverage, 20761,
     /*  246670 */     GIR_EraseRootFromParent_Done,
     /*  246671 */   // Label 5057: @246671
     /*  246671 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(246737), // Rule ID 20764 //
     /*  246676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  246693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246735 */     GIR_RootConstrainSelectedInstOperands,
     /*  246736 */     // GIR_Coverage, 20764,
     /*  246736 */     GIR_EraseRootFromParent_Done,
     /*  246737 */   // Label 5058: @246737
     /*  246737 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(246803), // Rule ID 20765 //
     /*  246742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  246759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246801 */     GIR_RootConstrainSelectedInstOperands,
     /*  246802 */     // GIR_Coverage, 20765,
     /*  246802 */     GIR_EraseRootFromParent_Done,
     /*  246803 */   // Label 5059: @246803
     /*  246803 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(246869), // Rule ID 20768 //
     /*  246808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  246811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  246825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246847 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246867 */     GIR_RootConstrainSelectedInstOperands,
     /*  246868 */     // GIR_Coverage, 20768,
     /*  246868 */     GIR_EraseRootFromParent_Done,
     /*  246869 */   // Label 5060: @246869
     /*  246869 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(246935), // Rule ID 20769 //
     /*  246874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  246877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  246891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246913 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246933 */     GIR_RootConstrainSelectedInstOperands,
     /*  246934 */     // GIR_Coverage, 20769,
     /*  246934 */     GIR_EraseRootFromParent_Done,
     /*  246935 */   // Label 5061: @246935
     /*  246935 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(247001), // Rule ID 20772 //
     /*  246940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  246943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  246957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246999 */     GIR_RootConstrainSelectedInstOperands,
     /*  247000 */     // GIR_Coverage, 20772,
     /*  247000 */     GIR_EraseRootFromParent_Done,
     /*  247001 */   // Label 5062: @247001
     /*  247001 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(247067), // Rule ID 20773 //
     /*  247006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  247023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247045 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  247048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247065 */     GIR_RootConstrainSelectedInstOperands,
     /*  247066 */     // GIR_Coverage, 20773,
     /*  247066 */     GIR_EraseRootFromParent_Done,
     /*  247067 */   // Label 5063: @247067
     /*  247067 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(247133), // Rule ID 20776 //
     /*  247072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  247075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  247089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247111 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  247114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247131 */     GIR_RootConstrainSelectedInstOperands,
     /*  247132 */     // GIR_Coverage, 20776,
     /*  247132 */     GIR_EraseRootFromParent_Done,
     /*  247133 */   // Label 5064: @247133
     /*  247133 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(247199), // Rule ID 20777 //
     /*  247138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  247155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  247180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247197 */     GIR_RootConstrainSelectedInstOperands,
     /*  247198 */     // GIR_Coverage, 20777,
     /*  247198 */     GIR_EraseRootFromParent_Done,
     /*  247199 */   // Label 5065: @247199
     /*  247199 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(247265), // Rule ID 20780 //
     /*  247204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  247246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247263 */     GIR_RootConstrainSelectedInstOperands,
     /*  247264 */     // GIR_Coverage, 20780,
     /*  247264 */     GIR_EraseRootFromParent_Done,
     /*  247265 */   // Label 5066: @247265
     /*  247265 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(247331), // Rule ID 20781 //
     /*  247270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  247312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247329 */     GIR_RootConstrainSelectedInstOperands,
     /*  247330 */     // GIR_Coverage, 20781,
     /*  247330 */     GIR_EraseRootFromParent_Done,
     /*  247331 */   // Label 5067: @247331
     /*  247331 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(247397), // Rule ID 20784 //
     /*  247336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247375 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247395 */     GIR_RootConstrainSelectedInstOperands,
     /*  247396 */     // GIR_Coverage, 20784,
     /*  247396 */     GIR_EraseRootFromParent_Done,
     /*  247397 */   // Label 5068: @247397
     /*  247397 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(247463), // Rule ID 20785 //
     /*  247402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247461 */     GIR_RootConstrainSelectedInstOperands,
     /*  247462 */     // GIR_Coverage, 20785,
     /*  247462 */     GIR_EraseRootFromParent_Done,
     /*  247463 */   // Label 5069: @247463
     /*  247463 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(247529), // Rule ID 20788 //
     /*  247468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  247471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  247479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247507 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247527 */     GIR_RootConstrainSelectedInstOperands,
     /*  247528 */     // GIR_Coverage, 20788,
     /*  247528 */     GIR_EraseRootFromParent_Done,
     /*  247529 */   // Label 5070: @247529
     /*  247529 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(247595), // Rule ID 20789 //
     /*  247534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  247537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  247545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247593 */     GIR_RootConstrainSelectedInstOperands,
     /*  247594 */     // GIR_Coverage, 20789,
     /*  247594 */     GIR_EraseRootFromParent_Done,
     /*  247595 */   // Label 5071: @247595
     /*  247595 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(247661), // Rule ID 20792 //
     /*  247600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  247611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247659 */     GIR_RootConstrainSelectedInstOperands,
     /*  247660 */     // GIR_Coverage, 20792,
     /*  247660 */     GIR_EraseRootFromParent_Done,
     /*  247661 */   // Label 5072: @247661
     /*  247661 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(247727), // Rule ID 20793 //
     /*  247666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  247677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247705 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247725 */     GIR_RootConstrainSelectedInstOperands,
     /*  247726 */     // GIR_Coverage, 20793,
     /*  247726 */     GIR_EraseRootFromParent_Done,
     /*  247727 */   // Label 5073: @247727
     /*  247727 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(247793), // Rule ID 20796 //
     /*  247732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  247735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  247743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247791 */     GIR_RootConstrainSelectedInstOperands,
     /*  247792 */     // GIR_Coverage, 20796,
     /*  247792 */     GIR_EraseRootFromParent_Done,
     /*  247793 */   // Label 5074: @247793
     /*  247793 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(247859), // Rule ID 20797 //
     /*  247798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  247801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  247809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247857 */     GIR_RootConstrainSelectedInstOperands,
     /*  247858 */     // GIR_Coverage, 20797,
     /*  247858 */     GIR_EraseRootFromParent_Done,
     /*  247859 */   // Label 5075: @247859
     /*  247859 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(247925), // Rule ID 20800 //
     /*  247864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  247867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247923 */     GIR_RootConstrainSelectedInstOperands,
     /*  247924 */     // GIR_Coverage, 20800,
     /*  247924 */     GIR_EraseRootFromParent_Done,
     /*  247925 */   // Label 5076: @247925
     /*  247925 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(247991), // Rule ID 20801 //
     /*  247930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247969 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247989 */     GIR_RootConstrainSelectedInstOperands,
     /*  247990 */     // GIR_Coverage, 20801,
     /*  247990 */     GIR_EraseRootFromParent_Done,
     /*  247991 */   // Label 5077: @247991
     /*  247991 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(248057), // Rule ID 20804 //
     /*  247996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248055 */     GIR_RootConstrainSelectedInstOperands,
     /*  248056 */     // GIR_Coverage, 20804,
     /*  248056 */     GIR_EraseRootFromParent_Done,
     /*  248057 */   // Label 5078: @248057
     /*  248057 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(248123), // Rule ID 20805 //
     /*  248062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248121 */     GIR_RootConstrainSelectedInstOperands,
     /*  248122 */     // GIR_Coverage, 20805,
     /*  248122 */     GIR_EraseRootFromParent_Done,
     /*  248123 */   // Label 5079: @248123
     /*  248123 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(248189), // Rule ID 20808 //
     /*  248128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  248131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248187 */     GIR_RootConstrainSelectedInstOperands,
     /*  248188 */     // GIR_Coverage, 20808,
     /*  248188 */     GIR_EraseRootFromParent_Done,
     /*  248189 */   // Label 5080: @248189
     /*  248189 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(248255), // Rule ID 20809 //
     /*  248194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248233 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248253 */     GIR_RootConstrainSelectedInstOperands,
     /*  248254 */     // GIR_Coverage, 20809,
     /*  248254 */     GIR_EraseRootFromParent_Done,
     /*  248255 */   // Label 5081: @248255
     /*  248255 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(248321), // Rule ID 20812 //
     /*  248260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  248263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248319 */     GIR_RootConstrainSelectedInstOperands,
     /*  248320 */     // GIR_Coverage, 20812,
     /*  248320 */     GIR_EraseRootFromParent_Done,
     /*  248321 */   // Label 5082: @248321
     /*  248321 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(248387), // Rule ID 20813 //
     /*  248326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248385 */     GIR_RootConstrainSelectedInstOperands,
     /*  248386 */     // GIR_Coverage, 20813,
     /*  248386 */     GIR_EraseRootFromParent_Done,
     /*  248387 */   // Label 5083: @248387
     /*  248387 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(248453), // Rule ID 20816 //
     /*  248392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248451 */     GIR_RootConstrainSelectedInstOperands,
     /*  248452 */     // GIR_Coverage, 20816,
     /*  248452 */     GIR_EraseRootFromParent_Done,
     /*  248453 */   // Label 5084: @248453
     /*  248453 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(248519), // Rule ID 20817 //
     /*  248458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248517 */     GIR_RootConstrainSelectedInstOperands,
     /*  248518 */     // GIR_Coverage, 20817,
     /*  248518 */     GIR_EraseRootFromParent_Done,
     /*  248519 */   // Label 5085: @248519
     /*  248519 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(248585), // Rule ID 20820 //
     /*  248524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248583 */     GIR_RootConstrainSelectedInstOperands,
     /*  248584 */     // GIR_Coverage, 20820,
     /*  248584 */     GIR_EraseRootFromParent_Done,
     /*  248585 */   // Label 5086: @248585
     /*  248585 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(248651), // Rule ID 20821 //
     /*  248590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248649 */     GIR_RootConstrainSelectedInstOperands,
     /*  248650 */     // GIR_Coverage, 20821,
     /*  248650 */     GIR_EraseRootFromParent_Done,
     /*  248651 */   // Label 5087: @248651
     /*  248651 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(248717), // Rule ID 20824 //
     /*  248656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  248667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248695 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248715 */     GIR_RootConstrainSelectedInstOperands,
     /*  248716 */     // GIR_Coverage, 20824,
     /*  248716 */     GIR_EraseRootFromParent_Done,
     /*  248717 */   // Label 5088: @248717
     /*  248717 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(248783), // Rule ID 20825 //
     /*  248722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  248733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248781 */     GIR_RootConstrainSelectedInstOperands,
     /*  248782 */     // GIR_Coverage, 20825,
     /*  248782 */     GIR_EraseRootFromParent_Done,
     /*  248783 */   // Label 5089: @248783
     /*  248783 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(248849), // Rule ID 20828 //
     /*  248788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  248791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  248799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248847 */     GIR_RootConstrainSelectedInstOperands,
     /*  248848 */     // GIR_Coverage, 20828,
     /*  248848 */     GIR_EraseRootFromParent_Done,
     /*  248849 */   // Label 5090: @248849
     /*  248849 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(248915), // Rule ID 20829 //
     /*  248854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  248857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  248865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248913 */     GIR_RootConstrainSelectedInstOperands,
     /*  248914 */     // GIR_Coverage, 20829,
     /*  248914 */     GIR_EraseRootFromParent_Done,
     /*  248915 */   // Label 5091: @248915
     /*  248915 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(248981), // Rule ID 20832 //
     /*  248920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  248923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  248931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248979 */     GIR_RootConstrainSelectedInstOperands,
     /*  248980 */     // GIR_Coverage, 20832,
     /*  248980 */     GIR_EraseRootFromParent_Done,
     /*  248981 */   // Label 5092: @248981
     /*  248981 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(249047), // Rule ID 20833 //
     /*  248986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  248989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  248997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  249028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249045 */     GIR_RootConstrainSelectedInstOperands,
     /*  249046 */     // GIR_Coverage, 20833,
     /*  249046 */     GIR_EraseRootFromParent_Done,
     /*  249047 */   // Label 5093: @249047
     /*  249047 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(249113), // Rule ID 20836 //
     /*  249052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  249055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  249060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  249094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249111 */     GIR_RootConstrainSelectedInstOperands,
     /*  249112 */     // GIR_Coverage, 20836,
     /*  249112 */     GIR_EraseRootFromParent_Done,
     /*  249113 */   // Label 5094: @249113
     /*  249113 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(249179), // Rule ID 20837 //
     /*  249118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  249121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  249126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  249160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249177 */     GIR_RootConstrainSelectedInstOperands,
     /*  249178 */     // GIR_Coverage, 20837,
     /*  249178 */     GIR_EraseRootFromParent_Done,
     /*  249179 */   // Label 5095: @249179
     /*  249179 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(249245), // Rule ID 21104 //
     /*  249184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  249226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249243 */     GIR_RootConstrainSelectedInstOperands,
     /*  249244 */     // GIR_Coverage, 21104,
     /*  249244 */     GIR_EraseRootFromParent_Done,
     /*  249245 */   // Label 5096: @249245
     /*  249245 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(249311), // Rule ID 21105 //
     /*  249250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  249292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249309 */     GIR_RootConstrainSelectedInstOperands,
     /*  249310 */     // GIR_Coverage, 21105,
     /*  249310 */     GIR_EraseRootFromParent_Done,
     /*  249311 */   // Label 5097: @249311
     /*  249311 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(249377), // Rule ID 21108 //
     /*  249316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249375 */     GIR_RootConstrainSelectedInstOperands,
     /*  249376 */     // GIR_Coverage, 21108,
     /*  249376 */     GIR_EraseRootFromParent_Done,
     /*  249377 */   // Label 5098: @249377
     /*  249377 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(249443), // Rule ID 21109 //
     /*  249382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249441 */     GIR_RootConstrainSelectedInstOperands,
     /*  249442 */     // GIR_Coverage, 21109,
     /*  249442 */     GIR_EraseRootFromParent_Done,
     /*  249443 */   // Label 5099: @249443
     /*  249443 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(249509), // Rule ID 21112 //
     /*  249448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  249490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249507 */     GIR_RootConstrainSelectedInstOperands,
     /*  249508 */     // GIR_Coverage, 21112,
     /*  249508 */     GIR_EraseRootFromParent_Done,
     /*  249509 */   // Label 5100: @249509
     /*  249509 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(249575), // Rule ID 21113 //
     /*  249514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  249556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249573 */     GIR_RootConstrainSelectedInstOperands,
     /*  249574 */     // GIR_Coverage, 21113,
     /*  249574 */     GIR_EraseRootFromParent_Done,
     /*  249575 */   // Label 5101: @249575
     /*  249575 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(249641), // Rule ID 21116 //
     /*  249580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  249622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249639 */     GIR_RootConstrainSelectedInstOperands,
     /*  249640 */     // GIR_Coverage, 21116,
     /*  249640 */     GIR_EraseRootFromParent_Done,
     /*  249641 */   // Label 5102: @249641
     /*  249641 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(249707), // Rule ID 21117 //
     /*  249646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  249688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249705 */     GIR_RootConstrainSelectedInstOperands,
     /*  249706 */     // GIR_Coverage, 21117,
     /*  249706 */     GIR_EraseRootFromParent_Done,
     /*  249707 */   // Label 5103: @249707
     /*  249707 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(249773), // Rule ID 21120 //
     /*  249712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  249754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249771 */     GIR_RootConstrainSelectedInstOperands,
     /*  249772 */     // GIR_Coverage, 21120,
     /*  249772 */     GIR_EraseRootFromParent_Done,
     /*  249773 */   // Label 5104: @249773
     /*  249773 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(249839), // Rule ID 21121 //
     /*  249778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  249820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249837 */     GIR_RootConstrainSelectedInstOperands,
     /*  249838 */     // GIR_Coverage, 21121,
     /*  249838 */     GIR_EraseRootFromParent_Done,
     /*  249839 */   // Label 5105: @249839
     /*  249839 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(249905), // Rule ID 21124 //
     /*  249844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  249847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249903 */     GIR_RootConstrainSelectedInstOperands,
     /*  249904 */     // GIR_Coverage, 21124,
     /*  249904 */     GIR_EraseRootFromParent_Done,
     /*  249905 */   // Label 5106: @249905
     /*  249905 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(249971), // Rule ID 21125 //
     /*  249910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  249913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249969 */     GIR_RootConstrainSelectedInstOperands,
     /*  249970 */     // GIR_Coverage, 21125,
     /*  249970 */     GIR_EraseRootFromParent_Done,
     /*  249971 */   // Label 5107: @249971
     /*  249971 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(250037), // Rule ID 21128 //
     /*  249976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  249979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  250018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250035 */     GIR_RootConstrainSelectedInstOperands,
     /*  250036 */     // GIR_Coverage, 21128,
     /*  250036 */     GIR_EraseRootFromParent_Done,
     /*  250037 */   // Label 5108: @250037
     /*  250037 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(250103), // Rule ID 21129 //
     /*  250042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  250059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  250084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250101 */     GIR_RootConstrainSelectedInstOperands,
     /*  250102 */     // GIR_Coverage, 21129,
     /*  250102 */     GIR_EraseRootFromParent_Done,
     /*  250103 */   // Label 5109: @250103
     /*  250103 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(250169), // Rule ID 21132 //
     /*  250108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  250111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  250150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250167 */     GIR_RootConstrainSelectedInstOperands,
     /*  250168 */     // GIR_Coverage, 21132,
     /*  250168 */     GIR_EraseRootFromParent_Done,
     /*  250169 */   // Label 5110: @250169
     /*  250169 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(250235), // Rule ID 21133 //
     /*  250174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250213 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  250216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250233 */     GIR_RootConstrainSelectedInstOperands,
     /*  250234 */     // GIR_Coverage, 21133,
     /*  250234 */     GIR_EraseRootFromParent_Done,
     /*  250235 */   // Label 5111: @250235
     /*  250235 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(250301), // Rule ID 21136 //
     /*  250240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  250243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250279 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  250282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250299 */     GIR_RootConstrainSelectedInstOperands,
     /*  250300 */     // GIR_Coverage, 21136,
     /*  250300 */     GIR_EraseRootFromParent_Done,
     /*  250301 */   // Label 5112: @250301
     /*  250301 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(250367), // Rule ID 21137 //
     /*  250306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  250348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250365 */     GIR_RootConstrainSelectedInstOperands,
     /*  250366 */     // GIR_Coverage, 21137,
     /*  250366 */     GIR_EraseRootFromParent_Done,
     /*  250367 */   // Label 5113: @250367
     /*  250367 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(250433), // Rule ID 21140 //
     /*  250372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  250414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250431 */     GIR_RootConstrainSelectedInstOperands,
     /*  250432 */     // GIR_Coverage, 21140,
     /*  250432 */     GIR_EraseRootFromParent_Done,
     /*  250433 */   // Label 5114: @250433
     /*  250433 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(250499), // Rule ID 21141 //
     /*  250438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250477 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  250480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250497 */     GIR_RootConstrainSelectedInstOperands,
     /*  250498 */     // GIR_Coverage, 21141,
     /*  250498 */     GIR_EraseRootFromParent_Done,
     /*  250499 */   // Label 5115: @250499
     /*  250499 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(250565), // Rule ID 21144 //
     /*  250504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  250546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250563 */     GIR_RootConstrainSelectedInstOperands,
     /*  250564 */     // GIR_Coverage, 21144,
     /*  250564 */     GIR_EraseRootFromParent_Done,
     /*  250565 */   // Label 5116: @250565
     /*  250565 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(250631), // Rule ID 21145 //
     /*  250570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  250612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250629 */     GIR_RootConstrainSelectedInstOperands,
     /*  250630 */     // GIR_Coverage, 21145,
     /*  250630 */     GIR_EraseRootFromParent_Done,
     /*  250631 */   // Label 5117: @250631
     /*  250631 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(250697), // Rule ID 21148 //
     /*  250636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  250678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250695 */     GIR_RootConstrainSelectedInstOperands,
     /*  250696 */     // GIR_Coverage, 21148,
     /*  250696 */     GIR_EraseRootFromParent_Done,
     /*  250697 */   // Label 5118: @250697
     /*  250697 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(250763), // Rule ID 21149 //
     /*  250702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  250744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250761 */     GIR_RootConstrainSelectedInstOperands,
     /*  250762 */     // GIR_Coverage, 21149,
     /*  250762 */     GIR_EraseRootFromParent_Done,
     /*  250763 */   // Label 5119: @250763
     /*  250763 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(250829), // Rule ID 21152 //
     /*  250768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  250810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250827 */     GIR_RootConstrainSelectedInstOperands,
     /*  250828 */     // GIR_Coverage, 21152,
     /*  250828 */     GIR_EraseRootFromParent_Done,
     /*  250829 */   // Label 5120: @250829
     /*  250829 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(250895), // Rule ID 21153 //
     /*  250834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  250876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250893 */     GIR_RootConstrainSelectedInstOperands,
     /*  250894 */     // GIR_Coverage, 21153,
     /*  250894 */     GIR_EraseRootFromParent_Done,
     /*  250895 */   // Label 5121: @250895
     /*  250895 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(250961), // Rule ID 21156 //
     /*  250900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  250917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  250942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250959 */     GIR_RootConstrainSelectedInstOperands,
     /*  250960 */     // GIR_Coverage, 21156,
     /*  250960 */     GIR_EraseRootFromParent_Done,
     /*  250961 */   // Label 5122: @250961
     /*  250961 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(251027), // Rule ID 21157 //
     /*  250966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  250983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  251005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251025 */     GIR_RootConstrainSelectedInstOperands,
     /*  251026 */     // GIR_Coverage, 21157,
     /*  251026 */     GIR_EraseRootFromParent_Done,
     /*  251027 */   // Label 5123: @251027
     /*  251027 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(251093), // Rule ID 21160 //
     /*  251032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  251074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251091 */     GIR_RootConstrainSelectedInstOperands,
     /*  251092 */     // GIR_Coverage, 21160,
     /*  251092 */     GIR_EraseRootFromParent_Done,
     /*  251093 */   // Label 5124: @251093
     /*  251093 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(251159), // Rule ID 21161 //
     /*  251098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  251140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251157 */     GIR_RootConstrainSelectedInstOperands,
     /*  251158 */     // GIR_Coverage, 21161,
     /*  251158 */     GIR_EraseRootFromParent_Done,
     /*  251159 */   // Label 5125: @251159
     /*  251159 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(251225), // Rule ID 21164 //
     /*  251164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  251181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  251206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251223 */     GIR_RootConstrainSelectedInstOperands,
     /*  251224 */     // GIR_Coverage, 21164,
     /*  251224 */     GIR_EraseRootFromParent_Done,
     /*  251225 */   // Label 5126: @251225
     /*  251225 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(251291), // Rule ID 21165 //
     /*  251230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  251247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  251272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251289 */     GIR_RootConstrainSelectedInstOperands,
     /*  251290 */     // GIR_Coverage, 21165,
     /*  251290 */     GIR_EraseRootFromParent_Done,
     /*  251291 */   // Label 5127: @251291
     /*  251291 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(251357), // Rule ID 21168 //
     /*  251296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  251313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  251338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251355 */     GIR_RootConstrainSelectedInstOperands,
     /*  251356 */     // GIR_Coverage, 21168,
     /*  251356 */     GIR_EraseRootFromParent_Done,
     /*  251357 */   // Label 5128: @251357
     /*  251357 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(251423), // Rule ID 21169 //
     /*  251362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  251379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  251404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251421 */     GIR_RootConstrainSelectedInstOperands,
     /*  251422 */     // GIR_Coverage, 21169,
     /*  251422 */     GIR_EraseRootFromParent_Done,
     /*  251423 */   // Label 5129: @251423
     /*  251423 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(251489), // Rule ID 21172 //
     /*  251428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  251445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251487 */     GIR_RootConstrainSelectedInstOperands,
     /*  251488 */     // GIR_Coverage, 21172,
     /*  251488 */     GIR_EraseRootFromParent_Done,
     /*  251489 */   // Label 5130: @251489
     /*  251489 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(251555), // Rule ID 21173 //
     /*  251494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  251511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251553 */     GIR_RootConstrainSelectedInstOperands,
     /*  251554 */     // GIR_Coverage, 21173,
     /*  251554 */     GIR_EraseRootFromParent_Done,
     /*  251555 */   // Label 5131: @251555
     /*  251555 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(251621), // Rule ID 21176 //
     /*  251560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  251571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251599 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  251602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251619 */     GIR_RootConstrainSelectedInstOperands,
     /*  251620 */     // GIR_Coverage, 21176,
     /*  251620 */     GIR_EraseRootFromParent_Done,
     /*  251621 */   // Label 5132: @251621
     /*  251621 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(251687), // Rule ID 21177 //
     /*  251626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  251637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251665 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  251668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251685 */     GIR_RootConstrainSelectedInstOperands,
     /*  251686 */     // GIR_Coverage, 21177,
     /*  251686 */     GIR_EraseRootFromParent_Done,
     /*  251687 */   // Label 5133: @251687
     /*  251687 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(251753), // Rule ID 21180 //
     /*  251692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  251703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251731 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  251734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251751 */     GIR_RootConstrainSelectedInstOperands,
     /*  251752 */     // GIR_Coverage, 21180,
     /*  251752 */     GIR_EraseRootFromParent_Done,
     /*  251753 */   // Label 5134: @251753
     /*  251753 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(251819), // Rule ID 21181 //
     /*  251758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  251769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251797 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  251800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251817 */     GIR_RootConstrainSelectedInstOperands,
     /*  251818 */     // GIR_Coverage, 21181,
     /*  251818 */     GIR_EraseRootFromParent_Done,
     /*  251819 */   // Label 5135: @251819
     /*  251819 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(251885), // Rule ID 21184 //
     /*  251824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  251835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251863 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  251866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251883 */     GIR_RootConstrainSelectedInstOperands,
     /*  251884 */     // GIR_Coverage, 21184,
     /*  251884 */     GIR_EraseRootFromParent_Done,
     /*  251885 */   // Label 5136: @251885
     /*  251885 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(251951), // Rule ID 21185 //
     /*  251890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  251901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251929 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10939:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  251932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251949 */     GIR_RootConstrainSelectedInstOperands,
     /*  251950 */     // GIR_Coverage, 21185,
     /*  251950 */     GIR_EraseRootFromParent_Done,
     /*  251951 */   // Label 5137: @251951
     /*  251951 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(252017), // Rule ID 21188 //
     /*  251956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  251967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  251970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251995 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  251998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252015 */     GIR_RootConstrainSelectedInstOperands,
     /*  252016 */     // GIR_Coverage, 21188,
     /*  252016 */     GIR_EraseRootFromParent_Done,
     /*  252017 */   // Label 5138: @252017
     /*  252017 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(252083), // Rule ID 21189 //
     /*  252022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  252033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252061 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  252064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252081 */     GIR_RootConstrainSelectedInstOperands,
     /*  252082 */     // GIR_Coverage, 21189,
     /*  252082 */     GIR_EraseRootFromParent_Done,
     /*  252083 */   // Label 5139: @252083
     /*  252083 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(252149), // Rule ID 21192 //
     /*  252088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  252091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  252099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  252127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  252130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252147 */     GIR_RootConstrainSelectedInstOperands,
     /*  252148 */     // GIR_Coverage, 21192,
     /*  252148 */     GIR_EraseRootFromParent_Done,
     /*  252149 */   // Label 5140: @252149
     /*  252149 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(252215), // Rule ID 21193 //
     /*  252154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  252165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252193 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  252196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252213 */     GIR_RootConstrainSelectedInstOperands,
     /*  252214 */     // GIR_Coverage, 21193,
     /*  252214 */     GIR_EraseRootFromParent_Done,
     /*  252215 */   // Label 5141: @252215
     /*  252215 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(252281), // Rule ID 21196 //
     /*  252220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  252223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  252231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252259 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  252259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  252262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252279 */     GIR_RootConstrainSelectedInstOperands,
     /*  252280 */     // GIR_Coverage, 21196,
     /*  252280 */     GIR_EraseRootFromParent_Done,
     /*  252281 */   // Label 5142: @252281
     /*  252281 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(252347), // Rule ID 21197 //
     /*  252286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  252297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252325 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  252328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252345 */     GIR_RootConstrainSelectedInstOperands,
     /*  252346 */     // GIR_Coverage, 21197,
     /*  252346 */     GIR_EraseRootFromParent_Done,
     /*  252347 */   // Label 5143: @252347
     /*  252347 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(252413), // Rule ID 21200 //
     /*  252352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  252363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252391 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  252394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252411 */     GIR_RootConstrainSelectedInstOperands,
     /*  252412 */     // GIR_Coverage, 21200,
     /*  252412 */     GIR_EraseRootFromParent_Done,
     /*  252413 */   // Label 5144: @252413
     /*  252413 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(252479), // Rule ID 21201 //
     /*  252418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  252429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  252460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252477 */     GIR_RootConstrainSelectedInstOperands,
     /*  252478 */     // GIR_Coverage, 21201,
     /*  252478 */     GIR_EraseRootFromParent_Done,
     /*  252479 */   // Label 5145: @252479
     /*  252479 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(252545), // Rule ID 21204 //
     /*  252484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  252495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252523 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  252526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252543 */     GIR_RootConstrainSelectedInstOperands,
     /*  252544 */     // GIR_Coverage, 21204,
     /*  252544 */     GIR_EraseRootFromParent_Done,
     /*  252545 */   // Label 5146: @252545
     /*  252545 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(252611), // Rule ID 21205 //
     /*  252550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  252561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  252592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252609 */     GIR_RootConstrainSelectedInstOperands,
     /*  252610 */     // GIR_Coverage, 21205,
     /*  252610 */     GIR_EraseRootFromParent_Done,
     /*  252611 */   // Label 5147: @252611
     /*  252611 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(252677), // Rule ID 21208 //
     /*  252616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  252627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252655 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  252658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252675 */     GIR_RootConstrainSelectedInstOperands,
     /*  252676 */     // GIR_Coverage, 21208,
     /*  252676 */     GIR_EraseRootFromParent_Done,
     /*  252677 */   // Label 5148: @252677
     /*  252677 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(252743), // Rule ID 21209 //
     /*  252682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  252693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  252724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252741 */     GIR_RootConstrainSelectedInstOperands,
     /*  252742 */     // GIR_Coverage, 21209,
     /*  252742 */     GIR_EraseRootFromParent_Done,
     /*  252743 */   // Label 5149: @252743
     /*  252743 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(252809), // Rule ID 21212 //
     /*  252748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  252759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252787 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  252790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252807 */     GIR_RootConstrainSelectedInstOperands,
     /*  252808 */     // GIR_Coverage, 21212,
     /*  252808 */     GIR_EraseRootFromParent_Done,
     /*  252809 */   // Label 5150: @252809
     /*  252809 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(252875), // Rule ID 21213 //
     /*  252814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  252825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252853 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  252856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252873 */     GIR_RootConstrainSelectedInstOperands,
     /*  252874 */     // GIR_Coverage, 21213,
     /*  252874 */     GIR_EraseRootFromParent_Done,
     /*  252875 */   // Label 5151: @252875
     /*  252875 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(252941), // Rule ID 21216 //
     /*  252880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  252891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252919 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  252922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252939 */     GIR_RootConstrainSelectedInstOperands,
     /*  252940 */     // GIR_Coverage, 21216,
     /*  252940 */     GIR_EraseRootFromParent_Done,
     /*  252941 */   // Label 5152: @252941
     /*  252941 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(253007), // Rule ID 21217 //
     /*  252946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  252957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252985 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  252988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253005 */     GIR_RootConstrainSelectedInstOperands,
     /*  253006 */     // GIR_Coverage, 21217,
     /*  253006 */     GIR_EraseRootFromParent_Done,
     /*  253007 */   // Label 5153: @253007
     /*  253007 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(253073), // Rule ID 21220 //
     /*  253012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  253023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253051 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  253054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253071 */     GIR_RootConstrainSelectedInstOperands,
     /*  253072 */     // GIR_Coverage, 21220,
     /*  253072 */     GIR_EraseRootFromParent_Done,
     /*  253073 */   // Label 5154: @253073
     /*  253073 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(253139), // Rule ID 21221 //
     /*  253078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  253089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  253120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253137 */     GIR_RootConstrainSelectedInstOperands,
     /*  253138 */     // GIR_Coverage, 21221,
     /*  253138 */     GIR_EraseRootFromParent_Done,
     /*  253139 */   // Label 5155: @253139
     /*  253139 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(253205), // Rule ID 21224 //
     /*  253144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  253155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253183 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  253186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253203 */     GIR_RootConstrainSelectedInstOperands,
     /*  253204 */     // GIR_Coverage, 21224,
     /*  253204 */     GIR_EraseRootFromParent_Done,
     /*  253205 */   // Label 5156: @253205
     /*  253205 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(253271), // Rule ID 21225 //
     /*  253210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  253221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253249 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  253252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253269 */     GIR_RootConstrainSelectedInstOperands,
     /*  253270 */     // GIR_Coverage, 21225,
     /*  253270 */     GIR_EraseRootFromParent_Done,
     /*  253271 */   // Label 5157: @253271
     /*  253271 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(253337), // Rule ID 21228 //
     /*  253276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  253287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253315 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  253318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253335 */     GIR_RootConstrainSelectedInstOperands,
     /*  253336 */     // GIR_Coverage, 21228,
     /*  253336 */     GIR_EraseRootFromParent_Done,
     /*  253337 */   // Label 5158: @253337
     /*  253337 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(253403), // Rule ID 21229 //
     /*  253342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  253353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253381 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  253384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253401 */     GIR_RootConstrainSelectedInstOperands,
     /*  253402 */     // GIR_Coverage, 21229,
     /*  253402 */     GIR_EraseRootFromParent_Done,
     /*  253403 */   // Label 5159: @253403
     /*  253403 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(253469), // Rule ID 21232 //
     /*  253408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  253419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253447 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  253450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253467 */     GIR_RootConstrainSelectedInstOperands,
     /*  253468 */     // GIR_Coverage, 21232,
     /*  253468 */     GIR_EraseRootFromParent_Done,
     /*  253469 */   // Label 5160: @253469
     /*  253469 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(253535), // Rule ID 21233 //
     /*  253474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  253485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253513 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  253516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253533 */     GIR_RootConstrainSelectedInstOperands,
     /*  253534 */     // GIR_Coverage, 21233,
     /*  253534 */     GIR_EraseRootFromParent_Done,
     /*  253535 */   // Label 5161: @253535
     /*  253535 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(253601), // Rule ID 21236 //
     /*  253540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  253551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253579 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  253582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253599 */     GIR_RootConstrainSelectedInstOperands,
     /*  253600 */     // GIR_Coverage, 21236,
     /*  253600 */     GIR_EraseRootFromParent_Done,
     /*  253601 */   // Label 5162: @253601
     /*  253601 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(253667), // Rule ID 21237 //
     /*  253606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  253617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253645 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  253648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253665 */     GIR_RootConstrainSelectedInstOperands,
     /*  253666 */     // GIR_Coverage, 21237,
     /*  253666 */     GIR_EraseRootFromParent_Done,
     /*  253667 */   // Label 5163: @253667
     /*  253667 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(253733), // Rule ID 21240 //
     /*  253672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  253683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253711 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  253714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253731 */     GIR_RootConstrainSelectedInstOperands,
     /*  253732 */     // GIR_Coverage, 21240,
     /*  253732 */     GIR_EraseRootFromParent_Done,
     /*  253733 */   // Label 5164: @253733
     /*  253733 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(253799), // Rule ID 21241 //
     /*  253738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  253749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253777 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  253780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253797 */     GIR_RootConstrainSelectedInstOperands,
     /*  253798 */     // GIR_Coverage, 21241,
     /*  253798 */     GIR_EraseRootFromParent_Done,
     /*  253799 */   // Label 5165: @253799
     /*  253799 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(253865), // Rule ID 21244 //
     /*  253804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  253815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253843 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  253846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253863 */     GIR_RootConstrainSelectedInstOperands,
     /*  253864 */     // GIR_Coverage, 21244,
     /*  253864 */     GIR_EraseRootFromParent_Done,
     /*  253865 */   // Label 5166: @253865
     /*  253865 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(253931), // Rule ID 21245 //
     /*  253870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  253881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253909 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10937:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  253912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253929 */     GIR_RootConstrainSelectedInstOperands,
     /*  253930 */     // GIR_Coverage, 21245,
     /*  253930 */     GIR_EraseRootFromParent_Done,
     /*  253931 */   // Label 5167: @253931
     /*  253931 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(253997), // Rule ID 21248 //
     /*  253936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  253947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253975 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  253978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253995 */     GIR_RootConstrainSelectedInstOperands,
     /*  253996 */     // GIR_Coverage, 21248,
     /*  253996 */     GIR_EraseRootFromParent_Done,
     /*  253997 */   // Label 5168: @253997
     /*  253997 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(254063), // Rule ID 21249 //
     /*  254002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  254013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  254019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254041 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  254044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254061 */     GIR_RootConstrainSelectedInstOperands,
     /*  254062 */     // GIR_Coverage, 21249,
     /*  254062 */     GIR_EraseRootFromParent_Done,
     /*  254063 */   // Label 5169: @254063
     /*  254063 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(254129), // Rule ID 21252 //
     /*  254068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  254071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  254079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254107 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  254107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  254110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254127 */     GIR_RootConstrainSelectedInstOperands,
     /*  254128 */     // GIR_Coverage, 21252,
     /*  254128 */     GIR_EraseRootFromParent_Done,
     /*  254129 */   // Label 5170: @254129
     /*  254129 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(254195), // Rule ID 21253 //
     /*  254134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  254145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254173 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  254176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254193 */     GIR_RootConstrainSelectedInstOperands,
     /*  254194 */     // GIR_Coverage, 21253,
     /*  254194 */     GIR_EraseRootFromParent_Done,
     /*  254195 */   // Label 5171: @254195
     /*  254195 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(254261), // Rule ID 21256 //
     /*  254200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  254203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  254211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254239 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  254239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  254242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254259 */     GIR_RootConstrainSelectedInstOperands,
     /*  254260 */     // GIR_Coverage, 21256,
     /*  254260 */     GIR_EraseRootFromParent_Done,
     /*  254261 */   // Label 5172: @254261
     /*  254261 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(254327), // Rule ID 21257 //
     /*  254266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  254277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254305 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  254308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254325 */     GIR_RootConstrainSelectedInstOperands,
     /*  254326 */     // GIR_Coverage, 21257,
     /*  254326 */     GIR_EraseRootFromParent_Done,
     /*  254327 */   // Label 5173: @254327
     /*  254327 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(254393), // Rule ID 21260 //
     /*  254332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  254343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  254349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254371 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  254374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254391 */     GIR_RootConstrainSelectedInstOperands,
     /*  254392 */     // GIR_Coverage, 21260,
     /*  254392 */     GIR_EraseRootFromParent_Done,
     /*  254393 */   // Label 5174: @254393
     /*  254393 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(254459), // Rule ID 21261 //
     /*  254398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  254409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  254415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254437 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  254440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254457 */     GIR_RootConstrainSelectedInstOperands,
     /*  254458 */     // GIR_Coverage, 21261,
     /*  254458 */     GIR_EraseRootFromParent_Done,
     /*  254459 */   // Label 5175: @254459
     /*  254459 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(254525), // Rule ID 21264 //
     /*  254464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  254475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  254481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254503 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  254506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254523 */     GIR_RootConstrainSelectedInstOperands,
     /*  254524 */     // GIR_Coverage, 21264,
     /*  254524 */     GIR_EraseRootFromParent_Done,
     /*  254525 */   // Label 5176: @254525
     /*  254525 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(254591), // Rule ID 21265 //
     /*  254530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  254541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  254547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  254572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254589 */     GIR_RootConstrainSelectedInstOperands,
     /*  254590 */     // GIR_Coverage, 21265,
     /*  254590 */     GIR_EraseRootFromParent_Done,
     /*  254591 */   // Label 5177: @254591
     /*  254591 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(254657), // Rule ID 21268 //
     /*  254596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  254607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  254638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254655 */     GIR_RootConstrainSelectedInstOperands,
     /*  254656 */     // GIR_Coverage, 21268,
     /*  254656 */     GIR_EraseRootFromParent_Done,
     /*  254657 */   // Label 5178: @254657
     /*  254657 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(254723), // Rule ID 21269 //
     /*  254662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  254673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254701 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  254704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254721 */     GIR_RootConstrainSelectedInstOperands,
     /*  254722 */     // GIR_Coverage, 21269,
     /*  254722 */     GIR_EraseRootFromParent_Done,
     /*  254723 */   // Label 5179: @254723
     /*  254723 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(254789), // Rule ID 21272 //
     /*  254728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  254739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254767 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  254770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254787 */     GIR_RootConstrainSelectedInstOperands,
     /*  254788 */     // GIR_Coverage, 21272,
     /*  254788 */     GIR_EraseRootFromParent_Done,
     /*  254789 */   // Label 5180: @254789
     /*  254789 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(254855), // Rule ID 21273 //
     /*  254794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  254805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254833 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  254836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254853 */     GIR_RootConstrainSelectedInstOperands,
     /*  254854 */     // GIR_Coverage, 21273,
     /*  254854 */     GIR_EraseRootFromParent_Done,
     /*  254855 */   // Label 5181: @254855
     /*  254855 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(254921), // Rule ID 21276 //
     /*  254860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  254871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254899 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  254902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254919 */     GIR_RootConstrainSelectedInstOperands,
     /*  254920 */     // GIR_Coverage, 21276,
     /*  254920 */     GIR_EraseRootFromParent_Done,
     /*  254921 */   // Label 5182: @254921
     /*  254921 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(254987), // Rule ID 21277 //
     /*  254926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  254937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254965 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  254968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254985 */     GIR_RootConstrainSelectedInstOperands,
     /*  254986 */     // GIR_Coverage, 21277,
     /*  254986 */     GIR_EraseRootFromParent_Done,
     /*  254987 */   // Label 5183: @254987
     /*  254987 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(255053), // Rule ID 21280 //
     /*  254992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  254995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  255003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  255009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255031 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  255034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255051 */     GIR_RootConstrainSelectedInstOperands,
     /*  255052 */     // GIR_Coverage, 21280,
     /*  255052 */     GIR_EraseRootFromParent_Done,
     /*  255053 */   // Label 5184: @255053
     /*  255053 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(255119), // Rule ID 21281 //
     /*  255058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  255069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  255075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255097 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  255100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255117 */     GIR_RootConstrainSelectedInstOperands,
     /*  255118 */     // GIR_Coverage, 21281,
     /*  255118 */     GIR_EraseRootFromParent_Done,
     /*  255119 */   // Label 5185: @255119
     /*  255119 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(255185), // Rule ID 21284 //
     /*  255124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  255135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  255141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255163 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  255166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255183 */     GIR_RootConstrainSelectedInstOperands,
     /*  255184 */     // GIR_Coverage, 21284,
     /*  255184 */     GIR_EraseRootFromParent_Done,
     /*  255185 */   // Label 5186: @255185
     /*  255185 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(255251), // Rule ID 21285 //
     /*  255190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  255201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  255207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255229 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  255232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255249 */     GIR_RootConstrainSelectedInstOperands,
     /*  255250 */     // GIR_Coverage, 21285,
     /*  255250 */     GIR_EraseRootFromParent_Done,
     /*  255251 */   // Label 5187: @255251
     /*  255251 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(255317), // Rule ID 21288 //
     /*  255256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  255267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255295 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  255298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255315 */     GIR_RootConstrainSelectedInstOperands,
     /*  255316 */     // GIR_Coverage, 21288,
     /*  255316 */     GIR_EraseRootFromParent_Done,
     /*  255317 */   // Label 5188: @255317
     /*  255317 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(255383), // Rule ID 21289 //
     /*  255322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  255333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255361 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  255364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255381 */     GIR_RootConstrainSelectedInstOperands,
     /*  255382 */     // GIR_Coverage, 21289,
     /*  255382 */     GIR_EraseRootFromParent_Done,
     /*  255383 */   // Label 5189: @255383
     /*  255383 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(255449), // Rule ID 21292 //
     /*  255388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  255399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  255430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255447 */     GIR_RootConstrainSelectedInstOperands,
     /*  255448 */     // GIR_Coverage, 21292,
     /*  255448 */     GIR_EraseRootFromParent_Done,
     /*  255449 */   // Label 5190: @255449
     /*  255449 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(255515), // Rule ID 21293 //
     /*  255454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  255465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255493 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  255496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255513 */     GIR_RootConstrainSelectedInstOperands,
     /*  255514 */     // GIR_Coverage, 21293,
     /*  255514 */     GIR_EraseRootFromParent_Done,
     /*  255515 */   // Label 5191: @255515
     /*  255515 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(255581), // Rule ID 21296 //
     /*  255520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  255531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  255537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255559 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10935:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  255562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255579 */     GIR_RootConstrainSelectedInstOperands,
     /*  255580 */     // GIR_Coverage, 21296,
     /*  255580 */     GIR_EraseRootFromParent_Done,
     /*  255581 */   // Label 5192: @255581
     /*  255581 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(255647), // Rule ID 21297 //
     /*  255586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  255597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  255603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255625 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10935:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  255628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255645 */     GIR_RootConstrainSelectedInstOperands,
     /*  255646 */     // GIR_Coverage, 21297,
     /*  255646 */     GIR_EraseRootFromParent_Done,
     /*  255647 */   // Label 5193: @255647
     /*  255647 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(255713), // Rule ID 21300 //
     /*  255652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  255663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  255669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255691 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10935:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  255694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255711 */     GIR_RootConstrainSelectedInstOperands,
     /*  255712 */     // GIR_Coverage, 21300,
     /*  255712 */     GIR_EraseRootFromParent_Done,
     /*  255713 */   // Label 5194: @255713
     /*  255713 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(255779), // Rule ID 21301 //
     /*  255718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  255729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  255735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255757 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10935:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  255760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255777 */     GIR_RootConstrainSelectedInstOperands,
     /*  255778 */     // GIR_Coverage, 21301,
     /*  255778 */     GIR_EraseRootFromParent_Done,
     /*  255779 */   // Label 5195: @255779
     /*  255779 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(255845), // Rule ID 21304 //
     /*  255784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  255795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  255801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255823 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10935:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  255826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255843 */     GIR_RootConstrainSelectedInstOperands,
     /*  255844 */     // GIR_Coverage, 21304,
     /*  255844 */     GIR_EraseRootFromParent_Done,
     /*  255845 */   // Label 5196: @255845
     /*  255845 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(255911), // Rule ID 21305 //
     /*  255850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  255861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  255867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10935:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  255892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255909 */     GIR_RootConstrainSelectedInstOperands,
     /*  255910 */     // GIR_Coverage, 21305,
     /*  255910 */     GIR_EraseRootFromParent_Done,
     /*  255911 */   // Label 5197: @255911
     /*  255911 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(255977), // Rule ID 21308 //
     /*  255916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  255927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  255933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10935:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  255958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255975 */     GIR_RootConstrainSelectedInstOperands,
     /*  255976 */     // GIR_Coverage, 21308,
     /*  255976 */     GIR_EraseRootFromParent_Done,
     /*  255977 */   // Label 5198: @255977
     /*  255977 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(256043), // Rule ID 21309 //
     /*  255982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  255993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  255999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256021 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10935:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  256021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  256024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256041 */     GIR_RootConstrainSelectedInstOperands,
     /*  256042 */     // GIR_Coverage, 21309,
     /*  256042 */     GIR_EraseRootFromParent_Done,
     /*  256043 */   // Label 5199: @256043
     /*  256043 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(256109), // Rule ID 21312 //
     /*  256048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  256051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  256059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  256065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256087 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10935:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  256087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  256090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256107 */     GIR_RootConstrainSelectedInstOperands,
     /*  256108 */     // GIR_Coverage, 21312,
     /*  256108 */     GIR_EraseRootFromParent_Done,
     /*  256109 */   // Label 5200: @256109
     /*  256109 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(256175), // Rule ID 21313 //
     /*  256114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  256117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  256125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  256131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256153 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10935:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  256153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  256156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256173 */     GIR_RootConstrainSelectedInstOperands,
     /*  256174 */     // GIR_Coverage, 21313,
     /*  256174 */     GIR_EraseRootFromParent_Done,
     /*  256175 */   // Label 5201: @256175
     /*  256175 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(256241), // Rule ID 21316 //
     /*  256180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  256191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  256197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256219 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10935:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  256222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256239 */     GIR_RootConstrainSelectedInstOperands,
     /*  256240 */     // GIR_Coverage, 21316,
     /*  256240 */     GIR_EraseRootFromParent_Done,
     /*  256241 */   // Label 5202: @256241
     /*  256241 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(256307), // Rule ID 21317 //
     /*  256246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  256257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  256263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256285 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10935:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  256288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256305 */     GIR_RootConstrainSelectedInstOperands,
     /*  256306 */     // GIR_Coverage, 21317,
     /*  256306 */     GIR_EraseRootFromParent_Done,
     /*  256307 */   // Label 5203: @256307
     /*  256307 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(256373), // Rule ID 21320 //
     /*  256312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  256323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  256329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10935:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  256354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256371 */     GIR_RootConstrainSelectedInstOperands,
     /*  256372 */     // GIR_Coverage, 21320,
     /*  256372 */     GIR_EraseRootFromParent_Done,
     /*  256373 */   // Label 5204: @256373
     /*  256373 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(256439), // Rule ID 21321 //
     /*  256378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  256389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  256395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256417 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10935:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  256420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256437 */     GIR_RootConstrainSelectedInstOperands,
     /*  256438 */     // GIR_Coverage, 21321,
     /*  256438 */     GIR_EraseRootFromParent_Done,
     /*  256439 */   // Label 5205: @256439
     /*  256439 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(256505), // Rule ID 21324 //
     /*  256444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  256455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  256461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256483 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10935:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  256486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256503 */     GIR_RootConstrainSelectedInstOperands,
     /*  256504 */     // GIR_Coverage, 21324,
     /*  256504 */     GIR_EraseRootFromParent_Done,
     /*  256505 */   // Label 5206: @256505
     /*  256505 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(256571), // Rule ID 21325 //
     /*  256510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  256521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  256527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256549 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10935:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  256552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256569 */     GIR_RootConstrainSelectedInstOperands,
     /*  256570 */     // GIR_Coverage, 21325,
     /*  256570 */     GIR_EraseRootFromParent_Done,
     /*  256571 */   // Label 5207: @256571
     /*  256571 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(256637), // Rule ID 21328 //
     /*  256576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  256587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  256593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256615 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10935:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  256618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256635 */     GIR_RootConstrainSelectedInstOperands,
     /*  256636 */     // GIR_Coverage, 21328,
     /*  256636 */     GIR_EraseRootFromParent_Done,
     /*  256637 */   // Label 5208: @256637
     /*  256637 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(256703), // Rule ID 21329 //
     /*  256642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  256653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  256659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256681 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10935:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  256684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256701 */     GIR_RootConstrainSelectedInstOperands,
     /*  256702 */     // GIR_Coverage, 21329,
     /*  256702 */     GIR_EraseRootFromParent_Done,
     /*  256703 */   // Label 5209: @256703
     /*  256703 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(256769), // Rule ID 21572 //
     /*  256708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  256711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  256719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  256747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  256750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256767 */     GIR_RootConstrainSelectedInstOperands,
     /*  256768 */     // GIR_Coverage, 21572,
     /*  256768 */     GIR_EraseRootFromParent_Done,
     /*  256769 */   // Label 5210: @256769
     /*  256769 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(256835), // Rule ID 21573 //
     /*  256774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  256777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  256785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256813 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  256813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  256816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256833 */     GIR_RootConstrainSelectedInstOperands,
     /*  256834 */     // GIR_Coverage, 21573,
     /*  256834 */     GIR_EraseRootFromParent_Done,
     /*  256835 */   // Label 5211: @256835
     /*  256835 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(256901), // Rule ID 21576 //
     /*  256840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  256843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  256851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  256857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256879 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  256879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  256882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256899 */     GIR_RootConstrainSelectedInstOperands,
     /*  256900 */     // GIR_Coverage, 21576,
     /*  256900 */     GIR_EraseRootFromParent_Done,
     /*  256901 */   // Label 5212: @256901
     /*  256901 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(256967), // Rule ID 21577 //
     /*  256906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  256909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  256917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  256923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  256945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  256948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256965 */     GIR_RootConstrainSelectedInstOperands,
     /*  256966 */     // GIR_Coverage, 21577,
     /*  256966 */     GIR_EraseRootFromParent_Done,
     /*  256967 */   // Label 5213: @256967
     /*  256967 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(257033), // Rule ID 21580 //
     /*  256972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  256975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  256983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  256986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  256989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257031 */     GIR_RootConstrainSelectedInstOperands,
     /*  257032 */     // GIR_Coverage, 21580,
     /*  257032 */     GIR_EraseRootFromParent_Done,
     /*  257033 */   // Label 5214: @257033
     /*  257033 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(257099), // Rule ID 21581 //
     /*  257038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  257049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257097 */     GIR_RootConstrainSelectedInstOperands,
     /*  257098 */     // GIR_Coverage, 21581,
     /*  257098 */     GIR_EraseRootFromParent_Done,
     /*  257099 */   // Label 5215: @257099
     /*  257099 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(257165), // Rule ID 21584 //
     /*  257104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  257115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  257121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257163 */     GIR_RootConstrainSelectedInstOperands,
     /*  257164 */     // GIR_Coverage, 21584,
     /*  257164 */     GIR_EraseRootFromParent_Done,
     /*  257165 */   // Label 5216: @257165
     /*  257165 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(257231), // Rule ID 21585 //
     /*  257170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  257181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  257187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10885:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257229 */     GIR_RootConstrainSelectedInstOperands,
     /*  257230 */     // GIR_Coverage, 21585,
     /*  257230 */     GIR_EraseRootFromParent_Done,
     /*  257231 */   // Label 5217: @257231
     /*  257231 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(257297), // Rule ID 21588 //
     /*  257236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  257247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  257253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257275 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257295 */     GIR_RootConstrainSelectedInstOperands,
     /*  257296 */     // GIR_Coverage, 21588,
     /*  257296 */     GIR_EraseRootFromParent_Done,
     /*  257297 */   // Label 5218: @257297
     /*  257297 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(257363), // Rule ID 21589 //
     /*  257302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  257313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  257319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257341 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257361 */     GIR_RootConstrainSelectedInstOperands,
     /*  257362 */     // GIR_Coverage, 21589,
     /*  257362 */     GIR_EraseRootFromParent_Done,
     /*  257363 */   // Label 5219: @257363
     /*  257363 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(257429), // Rule ID 21592 //
     /*  257368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  257379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  257385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257407 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  257410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257427 */     GIR_RootConstrainSelectedInstOperands,
     /*  257428 */     // GIR_Coverage, 21592,
     /*  257428 */     GIR_EraseRootFromParent_Done,
     /*  257429 */   // Label 5220: @257429
     /*  257429 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(257495), // Rule ID 21593 //
     /*  257434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  257445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  257451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  257476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257493 */     GIR_RootConstrainSelectedInstOperands,
     /*  257494 */     // GIR_Coverage, 21593,
     /*  257494 */     GIR_EraseRootFromParent_Done,
     /*  257495 */   // Label 5221: @257495
     /*  257495 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(257561), // Rule ID 21596 //
     /*  257500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  257511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  257542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257559 */     GIR_RootConstrainSelectedInstOperands,
     /*  257560 */     // GIR_Coverage, 21596,
     /*  257560 */     GIR_EraseRootFromParent_Done,
     /*  257561 */   // Label 5222: @257561
     /*  257561 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(257627), // Rule ID 21597 //
     /*  257566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  257577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  257608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257625 */     GIR_RootConstrainSelectedInstOperands,
     /*  257626 */     // GIR_Coverage, 21597,
     /*  257626 */     GIR_EraseRootFromParent_Done,
     /*  257627 */   // Label 5223: @257627
     /*  257627 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(257693), // Rule ID 21600 //
     /*  257632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  257643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257691 */     GIR_RootConstrainSelectedInstOperands,
     /*  257692 */     // GIR_Coverage, 21600,
     /*  257692 */     GIR_EraseRootFromParent_Done,
     /*  257693 */   // Label 5224: @257693
     /*  257693 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(257759), // Rule ID 21601 //
     /*  257698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  257709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257737 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257757 */     GIR_RootConstrainSelectedInstOperands,
     /*  257758 */     // GIR_Coverage, 21601,
     /*  257758 */     GIR_EraseRootFromParent_Done,
     /*  257759 */   // Label 5225: @257759
     /*  257759 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(257825), // Rule ID 21604 //
     /*  257764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  257775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  257781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257823 */     GIR_RootConstrainSelectedInstOperands,
     /*  257824 */     // GIR_Coverage, 21604,
     /*  257824 */     GIR_EraseRootFromParent_Done,
     /*  257825 */   // Label 5226: @257825
     /*  257825 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(257891), // Rule ID 21605 //
     /*  257830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  257841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  257847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257889 */     GIR_RootConstrainSelectedInstOperands,
     /*  257890 */     // GIR_Coverage, 21605,
     /*  257890 */     GIR_EraseRootFromParent_Done,
     /*  257891 */   // Label 5227: @257891
     /*  257891 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(257957), // Rule ID 21608 //
     /*  257896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  257907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  257913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257955 */     GIR_RootConstrainSelectedInstOperands,
     /*  257956 */     // GIR_Coverage, 21608,
     /*  257956 */     GIR_EraseRootFromParent_Done,
     /*  257957 */   // Label 5228: @257957
     /*  257957 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(258023), // Rule ID 21609 //
     /*  257962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  257973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  257979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  258001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258021 */     GIR_RootConstrainSelectedInstOperands,
     /*  258022 */     // GIR_Coverage, 21609,
     /*  258022 */     GIR_EraseRootFromParent_Done,
     /*  258023 */   // Label 5229: @258023
     /*  258023 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(258089), // Rule ID 21612 //
     /*  258028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  258031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  258039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  258067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258087 */     GIR_RootConstrainSelectedInstOperands,
     /*  258088 */     // GIR_Coverage, 21612,
     /*  258088 */     GIR_EraseRootFromParent_Done,
     /*  258089 */   // Label 5230: @258089
     /*  258089 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(258155), // Rule ID 21613 //
     /*  258094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  258097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  258105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258133 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  258133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258153 */     GIR_RootConstrainSelectedInstOperands,
     /*  258154 */     // GIR_Coverage, 21613,
     /*  258154 */     GIR_EraseRootFromParent_Done,
     /*  258155 */   // Label 5231: @258155
     /*  258155 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(258221), // Rule ID 21616 //
     /*  258160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  258171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  258202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258219 */     GIR_RootConstrainSelectedInstOperands,
     /*  258220 */     // GIR_Coverage, 21616,
     /*  258220 */     GIR_EraseRootFromParent_Done,
     /*  258221 */   // Label 5232: @258221
     /*  258221 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(258287), // Rule ID 21617 //
     /*  258226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  258237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  258268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258285 */     GIR_RootConstrainSelectedInstOperands,
     /*  258286 */     // GIR_Coverage, 21617,
     /*  258286 */     GIR_EraseRootFromParent_Done,
     /*  258287 */   // Label 5233: @258287
     /*  258287 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(258353), // Rule ID 21620 //
     /*  258292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  258303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  258334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258351 */     GIR_RootConstrainSelectedInstOperands,
     /*  258352 */     // GIR_Coverage, 21620,
     /*  258352 */     GIR_EraseRootFromParent_Done,
     /*  258353 */   // Label 5234: @258353
     /*  258353 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(258419), // Rule ID 21621 //
     /*  258358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  258369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  258400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258417 */     GIR_RootConstrainSelectedInstOperands,
     /*  258418 */     // GIR_Coverage, 21621,
     /*  258418 */     GIR_EraseRootFromParent_Done,
     /*  258419 */   // Label 5235: @258419
     /*  258419 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(258485), // Rule ID 21624 //
     /*  258424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  258435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  258441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258463 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258483 */     GIR_RootConstrainSelectedInstOperands,
     /*  258484 */     // GIR_Coverage, 21624,
     /*  258484 */     GIR_EraseRootFromParent_Done,
     /*  258485 */   // Label 5236: @258485
     /*  258485 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(258551), // Rule ID 21625 //
     /*  258490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  258501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  258507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258549 */     GIR_RootConstrainSelectedInstOperands,
     /*  258550 */     // GIR_Coverage, 21625,
     /*  258550 */     GIR_EraseRootFromParent_Done,
     /*  258551 */   // Label 5237: @258551
     /*  258551 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(258617), // Rule ID 21628 //
     /*  258556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  258567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  258573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258615 */     GIR_RootConstrainSelectedInstOperands,
     /*  258616 */     // GIR_Coverage, 21628,
     /*  258616 */     GIR_EraseRootFromParent_Done,
     /*  258617 */   // Label 5238: @258617
     /*  258617 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(258683), // Rule ID 21629 //
     /*  258622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  258633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  258639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258681 */     GIR_RootConstrainSelectedInstOperands,
     /*  258682 */     // GIR_Coverage, 21629,
     /*  258682 */     GIR_EraseRootFromParent_Done,
     /*  258683 */   // Label 5239: @258683
     /*  258683 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(258749), // Rule ID 21632 //
     /*  258688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  258699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  258702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258727 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  258727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  258730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258747 */     GIR_RootConstrainSelectedInstOperands,
     /*  258748 */     // GIR_Coverage, 21632,
     /*  258748 */     GIR_EraseRootFromParent_Done,
     /*  258749 */   // Label 5240: @258749
     /*  258749 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(258815), // Rule ID 21633 //
     /*  258754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  258757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  258765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  258768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258793 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  258793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  258796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258813 */     GIR_RootConstrainSelectedInstOperands,
     /*  258814 */     // GIR_Coverage, 21633,
     /*  258814 */     GIR_EraseRootFromParent_Done,
     /*  258815 */   // Label 5241: @258815
     /*  258815 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(258881), // Rule ID 21636 //
     /*  258820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  258831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  258859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  258862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258879 */     GIR_RootConstrainSelectedInstOperands,
     /*  258880 */     // GIR_Coverage, 21636,
     /*  258880 */     GIR_EraseRootFromParent_Done,
     /*  258881 */   // Label 5242: @258881
     /*  258881 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(258947), // Rule ID 21637 //
     /*  258886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  258889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  258897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258925 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  258925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  258928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258945 */     GIR_RootConstrainSelectedInstOperands,
     /*  258946 */     // GIR_Coverage, 21637,
     /*  258946 */     GIR_EraseRootFromParent_Done,
     /*  258947 */   // Label 5243: @258947
     /*  258947 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(259013), // Rule ID 21640 //
     /*  258952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  258963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  258966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258991 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  258991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  258994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259011 */     GIR_RootConstrainSelectedInstOperands,
     /*  259012 */     // GIR_Coverage, 21640,
     /*  259012 */     GIR_EraseRootFromParent_Done,
     /*  259013 */   // Label 5244: @259013
     /*  259013 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(259079), // Rule ID 21641 //
     /*  259018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  259029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259057 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259077 */     GIR_RootConstrainSelectedInstOperands,
     /*  259078 */     // GIR_Coverage, 21641,
     /*  259078 */     GIR_EraseRootFromParent_Done,
     /*  259079 */   // Label 5245: @259079
     /*  259079 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(259145), // Rule ID 21644 //
     /*  259084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  259095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259143 */     GIR_RootConstrainSelectedInstOperands,
     /*  259144 */     // GIR_Coverage, 21644,
     /*  259144 */     GIR_EraseRootFromParent_Done,
     /*  259145 */   // Label 5246: @259145
     /*  259145 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(259211), // Rule ID 21645 //
     /*  259150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  259161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10883:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259209 */     GIR_RootConstrainSelectedInstOperands,
     /*  259210 */     // GIR_Coverage, 21645,
     /*  259210 */     GIR_EraseRootFromParent_Done,
     /*  259211 */   // Label 5247: @259211
     /*  259211 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(259277), // Rule ID 21648 //
     /*  259216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  259227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259255 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259275 */     GIR_RootConstrainSelectedInstOperands,
     /*  259276 */     // GIR_Coverage, 21648,
     /*  259276 */     GIR_EraseRootFromParent_Done,
     /*  259277 */   // Label 5248: @259277
     /*  259277 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(259343), // Rule ID 21649 //
     /*  259282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  259293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259341 */     GIR_RootConstrainSelectedInstOperands,
     /*  259342 */     // GIR_Coverage, 21649,
     /*  259342 */     GIR_EraseRootFromParent_Done,
     /*  259343 */   // Label 5249: @259343
     /*  259343 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(259409), // Rule ID 21652 //
     /*  259348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  259359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  259390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259407 */     GIR_RootConstrainSelectedInstOperands,
     /*  259408 */     // GIR_Coverage, 21652,
     /*  259408 */     GIR_EraseRootFromParent_Done,
     /*  259409 */   // Label 5250: @259409
     /*  259409 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(259475), // Rule ID 21653 //
     /*  259414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  259425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  259456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259473 */     GIR_RootConstrainSelectedInstOperands,
     /*  259474 */     // GIR_Coverage, 21653,
     /*  259474 */     GIR_EraseRootFromParent_Done,
     /*  259475 */   // Label 5251: @259475
     /*  259475 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(259541), // Rule ID 21656 //
     /*  259480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  259491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  259522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259539 */     GIR_RootConstrainSelectedInstOperands,
     /*  259540 */     // GIR_Coverage, 21656,
     /*  259540 */     GIR_EraseRootFromParent_Done,
     /*  259541 */   // Label 5252: @259541
     /*  259541 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(259607), // Rule ID 21657 //
     /*  259546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  259557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  259588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259605 */     GIR_RootConstrainSelectedInstOperands,
     /*  259606 */     // GIR_Coverage, 21657,
     /*  259606 */     GIR_EraseRootFromParent_Done,
     /*  259607 */   // Label 5253: @259607
     /*  259607 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(259673), // Rule ID 21660 //
     /*  259612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  259623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259671 */     GIR_RootConstrainSelectedInstOperands,
     /*  259672 */     // GIR_Coverage, 21660,
     /*  259672 */     GIR_EraseRootFromParent_Done,
     /*  259673 */   // Label 5254: @259673
     /*  259673 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(259739), // Rule ID 21661 //
     /*  259678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  259689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259737 */     GIR_RootConstrainSelectedInstOperands,
     /*  259738 */     // GIR_Coverage, 21661,
     /*  259738 */     GIR_EraseRootFromParent_Done,
     /*  259739 */   // Label 5255: @259739
     /*  259739 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(259805), // Rule ID 21664 //
     /*  259744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  259755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259803 */     GIR_RootConstrainSelectedInstOperands,
     /*  259804 */     // GIR_Coverage, 21664,
     /*  259804 */     GIR_EraseRootFromParent_Done,
     /*  259805 */   // Label 5256: @259805
     /*  259805 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(259871), // Rule ID 21665 //
     /*  259810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  259821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259869 */     GIR_RootConstrainSelectedInstOperands,
     /*  259870 */     // GIR_Coverage, 21665,
     /*  259870 */     GIR_EraseRootFromParent_Done,
     /*  259871 */   // Label 5257: @259871
     /*  259871 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(259937), // Rule ID 21668 //
     /*  259876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  259887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259935 */     GIR_RootConstrainSelectedInstOperands,
     /*  259936 */     // GIR_Coverage, 21668,
     /*  259936 */     GIR_EraseRootFromParent_Done,
     /*  259937 */   // Label 5258: @259937
     /*  259937 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(260003), // Rule ID 21669 //
     /*  259942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  259953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260001 */     GIR_RootConstrainSelectedInstOperands,
     /*  260002 */     // GIR_Coverage, 21669,
     /*  260002 */     GIR_EraseRootFromParent_Done,
     /*  260003 */   // Label 5259: @260003
     /*  260003 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(260069), // Rule ID 21672 //
     /*  260008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  260011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  260019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260067 */     GIR_RootConstrainSelectedInstOperands,
     /*  260068 */     // GIR_Coverage, 21672,
     /*  260068 */     GIR_EraseRootFromParent_Done,
     /*  260069 */   // Label 5260: @260069
     /*  260069 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(260135), // Rule ID 21673 //
     /*  260074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  260077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  260085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260133 */     GIR_RootConstrainSelectedInstOperands,
     /*  260134 */     // GIR_Coverage, 21673,
     /*  260134 */     GIR_EraseRootFromParent_Done,
     /*  260135 */   // Label 5261: @260135
     /*  260135 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(260201), // Rule ID 21676 //
     /*  260140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  260151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  260157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260179 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  260182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260199 */     GIR_RootConstrainSelectedInstOperands,
     /*  260200 */     // GIR_Coverage, 21676,
     /*  260200 */     GIR_EraseRootFromParent_Done,
     /*  260201 */   // Label 5262: @260201
     /*  260201 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(260267), // Rule ID 21677 //
     /*  260206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  260217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  260223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  260248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260265 */     GIR_RootConstrainSelectedInstOperands,
     /*  260266 */     // GIR_Coverage, 21677,
     /*  260266 */     GIR_EraseRootFromParent_Done,
     /*  260267 */   // Label 5263: @260267
     /*  260267 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(260333), // Rule ID 21680 //
     /*  260272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  260283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  260314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260331 */     GIR_RootConstrainSelectedInstOperands,
     /*  260332 */     // GIR_Coverage, 21680,
     /*  260332 */     GIR_EraseRootFromParent_Done,
     /*  260333 */   // Label 5264: @260333
     /*  260333 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(260399), // Rule ID 21681 //
     /*  260338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  260349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  260380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260397 */     GIR_RootConstrainSelectedInstOperands,
     /*  260398 */     // GIR_Coverage, 21681,
     /*  260398 */     GIR_EraseRootFromParent_Done,
     /*  260399 */   // Label 5265: @260399
     /*  260399 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(260465), // Rule ID 21684 //
     /*  260404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  260415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  260446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260463 */     GIR_RootConstrainSelectedInstOperands,
     /*  260464 */     // GIR_Coverage, 21684,
     /*  260464 */     GIR_EraseRootFromParent_Done,
     /*  260465 */   // Label 5266: @260465
     /*  260465 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(260531), // Rule ID 21685 //
     /*  260470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  260481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  260512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260529 */     GIR_RootConstrainSelectedInstOperands,
     /*  260530 */     // GIR_Coverage, 21685,
     /*  260530 */     GIR_EraseRootFromParent_Done,
     /*  260531 */   // Label 5267: @260531
     /*  260531 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(260597), // Rule ID 21688 //
     /*  260536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  260547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260595 */     GIR_RootConstrainSelectedInstOperands,
     /*  260596 */     // GIR_Coverage, 21688,
     /*  260596 */     GIR_EraseRootFromParent_Done,
     /*  260597 */   // Label 5268: @260597
     /*  260597 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(260663), // Rule ID 21689 //
     /*  260602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  260613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260661 */     GIR_RootConstrainSelectedInstOperands,
     /*  260662 */     // GIR_Coverage, 21689,
     /*  260662 */     GIR_EraseRootFromParent_Done,
     /*  260663 */   // Label 5269: @260663
     /*  260663 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(260729), // Rule ID 21800 //
     /*  260668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  260679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  260685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  260710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260727 */     GIR_RootConstrainSelectedInstOperands,
     /*  260728 */     // GIR_Coverage, 21800,
     /*  260728 */     GIR_EraseRootFromParent_Done,
     /*  260729 */   // Label 5270: @260729
     /*  260729 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(260795), // Rule ID 21801 //
     /*  260734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  260737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  260745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  260751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260773 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  260776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260793 */     GIR_RootConstrainSelectedInstOperands,
     /*  260794 */     // GIR_Coverage, 21801,
     /*  260794 */     GIR_EraseRootFromParent_Done,
     /*  260795 */   // Label 5271: @260795
     /*  260795 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(260861), // Rule ID 21804 //
     /*  260800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  260811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  260817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260839 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  260842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260859 */     GIR_RootConstrainSelectedInstOperands,
     /*  260860 */     // GIR_Coverage, 21804,
     /*  260860 */     GIR_EraseRootFromParent_Done,
     /*  260861 */   // Label 5272: @260861
     /*  260861 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(260927), // Rule ID 21805 //
     /*  260866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  260869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  260877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  260883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260905 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  260908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260925 */     GIR_RootConstrainSelectedInstOperands,
     /*  260926 */     // GIR_Coverage, 21805,
     /*  260926 */     GIR_EraseRootFromParent_Done,
     /*  260927 */   // Label 5273: @260927
     /*  260927 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(260993), // Rule ID 21808 //
     /*  260932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  260943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260971 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  260974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260991 */     GIR_RootConstrainSelectedInstOperands,
     /*  260992 */     // GIR_Coverage, 21808,
     /*  260992 */     GIR_EraseRootFromParent_Done,
     /*  260993 */   // Label 5274: @260993
     /*  260993 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(261059), // Rule ID 21809 //
     /*  260998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  261009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  261015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261037 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  261040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261057 */     GIR_RootConstrainSelectedInstOperands,
     /*  261058 */     // GIR_Coverage, 21809,
     /*  261058 */     GIR_EraseRootFromParent_Done,
     /*  261059 */   // Label 5275: @261059
     /*  261059 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(261125), // Rule ID 21812 //
     /*  261064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  261067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  261075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  261081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  261103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  261106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261123 */     GIR_RootConstrainSelectedInstOperands,
     /*  261124 */     // GIR_Coverage, 21812,
     /*  261124 */     GIR_EraseRootFromParent_Done,
     /*  261125 */   // Label 5276: @261125
     /*  261125 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(261191), // Rule ID 21813 //
     /*  261130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  261141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  261147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261169 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  261172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261189 */     GIR_RootConstrainSelectedInstOperands,
     /*  261190 */     // GIR_Coverage, 21813,
     /*  261190 */     GIR_EraseRootFromParent_Done,
     /*  261191 */   // Label 5277: @261191
     /*  261191 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(261257), // Rule ID 21816 //
     /*  261196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  261199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  261207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261235 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  261235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  261238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261255 */     GIR_RootConstrainSelectedInstOperands,
     /*  261256 */     // GIR_Coverage, 21816,
     /*  261256 */     GIR_EraseRootFromParent_Done,
     /*  261257 */   // Label 5278: @261257
     /*  261257 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(261323), // Rule ID 21817 //
     /*  261262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  261273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261301 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  261304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261321 */     GIR_RootConstrainSelectedInstOperands,
     /*  261322 */     // GIR_Coverage, 21817,
     /*  261322 */     GIR_EraseRootFromParent_Done,
     /*  261323 */   // Label 5279: @261323
     /*  261323 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(261389), // Rule ID 21820 //
     /*  261328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  261339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  261345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261367 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  261370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261387 */     GIR_RootConstrainSelectedInstOperands,
     /*  261388 */     // GIR_Coverage, 21820,
     /*  261388 */     GIR_EraseRootFromParent_Done,
     /*  261389 */   // Label 5280: @261389
     /*  261389 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(261455), // Rule ID 21821 //
     /*  261394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  261405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  261411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261433 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  261436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261453 */     GIR_RootConstrainSelectedInstOperands,
     /*  261454 */     // GIR_Coverage, 21821,
     /*  261454 */     GIR_EraseRootFromParent_Done,
     /*  261455 */   // Label 5281: @261455
     /*  261455 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(261521), // Rule ID 21824 //
     /*  261460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  261471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261499 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  261502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261519 */     GIR_RootConstrainSelectedInstOperands,
     /*  261520 */     // GIR_Coverage, 21824,
     /*  261520 */     GIR_EraseRootFromParent_Done,
     /*  261521 */   // Label 5282: @261521
     /*  261521 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(261587), // Rule ID 21825 //
     /*  261526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  261537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261565 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  261568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261585 */     GIR_RootConstrainSelectedInstOperands,
     /*  261586 */     // GIR_Coverage, 21825,
     /*  261586 */     GIR_EraseRootFromParent_Done,
     /*  261587 */   // Label 5283: @261587
     /*  261587 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(261653), // Rule ID 21828 //
     /*  261592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  261603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  261634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261651 */     GIR_RootConstrainSelectedInstOperands,
     /*  261652 */     // GIR_Coverage, 21828,
     /*  261652 */     GIR_EraseRootFromParent_Done,
     /*  261653 */   // Label 5284: @261653
     /*  261653 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(261719), // Rule ID 21829 //
     /*  261658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  261669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261697 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  261700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261717 */     GIR_RootConstrainSelectedInstOperands,
     /*  261718 */     // GIR_Coverage, 21829,
     /*  261718 */     GIR_EraseRootFromParent_Done,
     /*  261719 */   // Label 5285: @261719
     /*  261719 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(261785), // Rule ID 21832 //
     /*  261724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  261735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261763 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  261766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261783 */     GIR_RootConstrainSelectedInstOperands,
     /*  261784 */     // GIR_Coverage, 21832,
     /*  261784 */     GIR_EraseRootFromParent_Done,
     /*  261785 */   // Label 5286: @261785
     /*  261785 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(261851), // Rule ID 21833 //
     /*  261790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  261801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261829 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  261832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261849 */     GIR_RootConstrainSelectedInstOperands,
     /*  261850 */     // GIR_Coverage, 21833,
     /*  261850 */     GIR_EraseRootFromParent_Done,
     /*  261851 */   // Label 5287: @261851
     /*  261851 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(261914), // Rule ID 23004 //
     /*  261856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  261864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  261870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  261873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  261895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  261898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261912 */     GIR_RootConstrainSelectedInstOperands,
     /*  261913 */     // GIR_Coverage, 23004,
     /*  261913 */     GIR_EraseRootFromParent_Done,
     /*  261914 */   // Label 5288: @261914
     /*  261914 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(261977), // Rule ID 23005 //
     /*  261919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  261927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  261933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  261936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  261958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  261961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261975 */     GIR_RootConstrainSelectedInstOperands,
     /*  261976 */     // GIR_Coverage, 23005,
     /*  261976 */     GIR_EraseRootFromParent_Done,
     /*  261977 */   // Label 5289: @261977
     /*  261977 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(262040), // Rule ID 23006 //
     /*  261982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  261990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  261996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  261999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  262024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262038 */     GIR_RootConstrainSelectedInstOperands,
     /*  262039 */     // GIR_Coverage, 23006,
     /*  262039 */     GIR_EraseRootFromParent_Done,
     /*  262040 */   // Label 5290: @262040
     /*  262040 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(262103), // Rule ID 23007 //
     /*  262045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  262087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262101 */     GIR_RootConstrainSelectedInstOperands,
     /*  262102 */     // GIR_Coverage, 23007,
     /*  262102 */     GIR_EraseRootFromParent_Done,
     /*  262103 */   // Label 5291: @262103
     /*  262103 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(262166), // Rule ID 23008 //
     /*  262108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  262122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  262125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  262150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262164 */     GIR_RootConstrainSelectedInstOperands,
     /*  262165 */     // GIR_Coverage, 23008,
     /*  262165 */     GIR_EraseRootFromParent_Done,
     /*  262166 */   // Label 5292: @262166
     /*  262166 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(262229), // Rule ID 23009 //
     /*  262171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  262185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  262188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  262213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262227 */     GIR_RootConstrainSelectedInstOperands,
     /*  262228 */     // GIR_Coverage, 23009,
     /*  262228 */     GIR_EraseRootFromParent_Done,
     /*  262229 */   // Label 5293: @262229
     /*  262229 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(262292), // Rule ID 23010 //
     /*  262234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  262248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  262251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262273 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  262276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262290 */     GIR_RootConstrainSelectedInstOperands,
     /*  262291 */     // GIR_Coverage, 23010,
     /*  262291 */     GIR_EraseRootFromParent_Done,
     /*  262292 */   // Label 5294: @262292
     /*  262292 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(262355), // Rule ID 23011 //
     /*  262297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  262311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  262314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  262339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262353 */     GIR_RootConstrainSelectedInstOperands,
     /*  262354 */     // GIR_Coverage, 23011,
     /*  262354 */     GIR_EraseRootFromParent_Done,
     /*  262355 */   // Label 5295: @262355
     /*  262355 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(262418), // Rule ID 23012 //
     /*  262360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  262374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  262377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262399 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  262402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262416 */     GIR_RootConstrainSelectedInstOperands,
     /*  262417 */     // GIR_Coverage, 23012,
     /*  262417 */     GIR_EraseRootFromParent_Done,
     /*  262418 */   // Label 5296: @262418
     /*  262418 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(262481), // Rule ID 23013 //
     /*  262423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  262437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  262440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262462 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  262465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262479 */     GIR_RootConstrainSelectedInstOperands,
     /*  262480 */     // GIR_Coverage, 23013,
     /*  262480 */     GIR_EraseRootFromParent_Done,
     /*  262481 */   // Label 5297: @262481
     /*  262481 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(262544), // Rule ID 23014 //
     /*  262486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  262500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  262503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262525 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  262528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262542 */     GIR_RootConstrainSelectedInstOperands,
     /*  262543 */     // GIR_Coverage, 23014,
     /*  262543 */     GIR_EraseRootFromParent_Done,
     /*  262544 */   // Label 5298: @262544
     /*  262544 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(262607), // Rule ID 23015 //
     /*  262549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  262563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  262566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262588 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  262591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262605 */     GIR_RootConstrainSelectedInstOperands,
     /*  262606 */     // GIR_Coverage, 23015,
     /*  262606 */     GIR_EraseRootFromParent_Done,
     /*  262607 */   // Label 5299: @262607
     /*  262607 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(262670), // Rule ID 23016 //
     /*  262612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  262626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  262629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262651 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  262654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262668 */     GIR_RootConstrainSelectedInstOperands,
     /*  262669 */     // GIR_Coverage, 23016,
     /*  262669 */     GIR_EraseRootFromParent_Done,
     /*  262670 */   // Label 5300: @262670
     /*  262670 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(262733), // Rule ID 23017 //
     /*  262675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  262689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  262692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  262717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262731 */     GIR_RootConstrainSelectedInstOperands,
     /*  262732 */     // GIR_Coverage, 23017,
     /*  262732 */     GIR_EraseRootFromParent_Done,
     /*  262733 */   // Label 5301: @262733
     /*  262733 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(262796), // Rule ID 23018 //
     /*  262738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  262752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  262755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  262780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262794 */     GIR_RootConstrainSelectedInstOperands,
     /*  262795 */     // GIR_Coverage, 23018,
     /*  262795 */     GIR_EraseRootFromParent_Done,
     /*  262796 */   // Label 5302: @262796
     /*  262796 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(262859), // Rule ID 23019 //
     /*  262801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  262815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  262818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  262843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262857 */     GIR_RootConstrainSelectedInstOperands,
     /*  262858 */     // GIR_Coverage, 23019,
     /*  262858 */     GIR_EraseRootFromParent_Done,
     /*  262859 */   // Label 5303: @262859
     /*  262859 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(262922), // Rule ID 23020 //
     /*  262864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  262906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262920 */     GIR_RootConstrainSelectedInstOperands,
     /*  262921 */     // GIR_Coverage, 23020,
     /*  262921 */     GIR_EraseRootFromParent_Done,
     /*  262922 */   // Label 5304: @262922
     /*  262922 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(262985), // Rule ID 23021 //
     /*  262927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  262969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262983 */     GIR_RootConstrainSelectedInstOperands,
     /*  262984 */     // GIR_Coverage, 23021,
     /*  262984 */     GIR_EraseRootFromParent_Done,
     /*  262985 */   // Label 5305: @262985
     /*  262985 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(263048), // Rule ID 23022 //
     /*  262990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  263032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263046 */     GIR_RootConstrainSelectedInstOperands,
     /*  263047 */     // GIR_Coverage, 23022,
     /*  263047 */     GIR_EraseRootFromParent_Done,
     /*  263048 */   // Label 5306: @263048
     /*  263048 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(263111), // Rule ID 23023 //
     /*  263053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  263095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263109 */     GIR_RootConstrainSelectedInstOperands,
     /*  263110 */     // GIR_Coverage, 23023,
     /*  263110 */     GIR_EraseRootFromParent_Done,
     /*  263111 */   // Label 5307: @263111
     /*  263111 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(263174), // Rule ID 23024 //
     /*  263116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  263130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  263133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263155 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  263158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263172 */     GIR_RootConstrainSelectedInstOperands,
     /*  263173 */     // GIR_Coverage, 23024,
     /*  263173 */     GIR_EraseRootFromParent_Done,
     /*  263174 */   // Label 5308: @263174
     /*  263174 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(263237), // Rule ID 23025 //
     /*  263179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  263193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  263196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  263221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263235 */     GIR_RootConstrainSelectedInstOperands,
     /*  263236 */     // GIR_Coverage, 23025,
     /*  263236 */     GIR_EraseRootFromParent_Done,
     /*  263237 */   // Label 5309: @263237
     /*  263237 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(263300), // Rule ID 23026 //
     /*  263242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  263256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  263259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  263284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263298 */     GIR_RootConstrainSelectedInstOperands,
     /*  263299 */     // GIR_Coverage, 23026,
     /*  263299 */     GIR_EraseRootFromParent_Done,
     /*  263300 */   // Label 5310: @263300
     /*  263300 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(263363), // Rule ID 23027 //
     /*  263305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  263319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  263322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263344 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  263347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263361 */     GIR_RootConstrainSelectedInstOperands,
     /*  263362 */     // GIR_Coverage, 23027,
     /*  263362 */     GIR_EraseRootFromParent_Done,
     /*  263363 */   // Label 5311: @263363
     /*  263363 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(263426), // Rule ID 23028 //
     /*  263368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  263382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  263385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263407 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  263410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263424 */     GIR_RootConstrainSelectedInstOperands,
     /*  263425 */     // GIR_Coverage, 23028,
     /*  263425 */     GIR_EraseRootFromParent_Done,
     /*  263426 */   // Label 5312: @263426
     /*  263426 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(263489), // Rule ID 23029 //
     /*  263431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  263445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  263448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263470 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  263473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263487 */     GIR_RootConstrainSelectedInstOperands,
     /*  263488 */     // GIR_Coverage, 23029,
     /*  263488 */     GIR_EraseRootFromParent_Done,
     /*  263489 */   // Label 5313: @263489
     /*  263489 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(263552), // Rule ID 23030 //
     /*  263494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  263508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  263511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  263536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263550 */     GIR_RootConstrainSelectedInstOperands,
     /*  263551 */     // GIR_Coverage, 23030,
     /*  263551 */     GIR_EraseRootFromParent_Done,
     /*  263552 */   // Label 5314: @263552
     /*  263552 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(263615), // Rule ID 23031 //
     /*  263557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  263571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  263574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  263599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263613 */     GIR_RootConstrainSelectedInstOperands,
     /*  263614 */     // GIR_Coverage, 23031,
     /*  263614 */     GIR_EraseRootFromParent_Done,
     /*  263615 */   // Label 5315: @263615
     /*  263615 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(263678), // Rule ID 23032 //
     /*  263620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  263634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  263637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  263662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263676 */     GIR_RootConstrainSelectedInstOperands,
     /*  263677 */     // GIR_Coverage, 23032,
     /*  263677 */     GIR_EraseRootFromParent_Done,
     /*  263678 */   // Label 5316: @263678
     /*  263678 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(263741), // Rule ID 23033 //
     /*  263683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  263697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  263700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  263725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263739 */     GIR_RootConstrainSelectedInstOperands,
     /*  263740 */     // GIR_Coverage, 23033,
     /*  263740 */     GIR_EraseRootFromParent_Done,
     /*  263741 */   // Label 5317: @263741
     /*  263741 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(263804), // Rule ID 23034 //
     /*  263746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  263760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  263763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  263788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263802 */     GIR_RootConstrainSelectedInstOperands,
     /*  263803 */     // GIR_Coverage, 23034,
     /*  263803 */     GIR_EraseRootFromParent_Done,
     /*  263804 */   // Label 5318: @263804
     /*  263804 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(263867), // Rule ID 23035 //
     /*  263809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  263823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  263826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  263851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263865 */     GIR_RootConstrainSelectedInstOperands,
     /*  263866 */     // GIR_Coverage, 23035,
     /*  263866 */     GIR_EraseRootFromParent_Done,
     /*  263867 */   // Label 5319: @263867
     /*  263867 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(263930), // Rule ID 23036 //
     /*  263872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263911 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  263914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263928 */     GIR_RootConstrainSelectedInstOperands,
     /*  263929 */     // GIR_Coverage, 23036,
     /*  263929 */     GIR_EraseRootFromParent_Done,
     /*  263930 */   // Label 5320: @263930
     /*  263930 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(263993), // Rule ID 23037 //
     /*  263935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  263977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263991 */     GIR_RootConstrainSelectedInstOperands,
     /*  263992 */     // GIR_Coverage, 23037,
     /*  263992 */     GIR_EraseRootFromParent_Done,
     /*  263993 */   // Label 5321: @263993
     /*  263993 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(264056), // Rule ID 23038 //
     /*  263998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  264040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264054 */     GIR_RootConstrainSelectedInstOperands,
     /*  264055 */     // GIR_Coverage, 23038,
     /*  264055 */     GIR_EraseRootFromParent_Done,
     /*  264056 */   // Label 5322: @264056
     /*  264056 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(264119), // Rule ID 23039 //
     /*  264061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  264103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264117 */     GIR_RootConstrainSelectedInstOperands,
     /*  264118 */     // GIR_Coverage, 23039,
     /*  264118 */     GIR_EraseRootFromParent_Done,
     /*  264119 */   // Label 5323: @264119
     /*  264119 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(264182), // Rule ID 23040 //
     /*  264124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  264138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  264141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264163 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  264166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264180 */     GIR_RootConstrainSelectedInstOperands,
     /*  264181 */     // GIR_Coverage, 23040,
     /*  264181 */     GIR_EraseRootFromParent_Done,
     /*  264182 */   // Label 5324: @264182
     /*  264182 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(264245), // Rule ID 23041 //
     /*  264187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  264201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  264204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264226 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  264229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264243 */     GIR_RootConstrainSelectedInstOperands,
     /*  264244 */     // GIR_Coverage, 23041,
     /*  264244 */     GIR_EraseRootFromParent_Done,
     /*  264245 */   // Label 5325: @264245
     /*  264245 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(264308), // Rule ID 23042 //
     /*  264250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  264264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  264267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264289 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  264292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264306 */     GIR_RootConstrainSelectedInstOperands,
     /*  264307 */     // GIR_Coverage, 23042,
     /*  264307 */     GIR_EraseRootFromParent_Done,
     /*  264308 */   // Label 5326: @264308
     /*  264308 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(264371), // Rule ID 23043 //
     /*  264313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  264327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  264330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  264355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264369 */     GIR_RootConstrainSelectedInstOperands,
     /*  264370 */     // GIR_Coverage, 23043,
     /*  264370 */     GIR_EraseRootFromParent_Done,
     /*  264371 */   // Label 5327: @264371
     /*  264371 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(264434), // Rule ID 23044 //
     /*  264376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  264390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  264393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  264418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264432 */     GIR_RootConstrainSelectedInstOperands,
     /*  264433 */     // GIR_Coverage, 23044,
     /*  264433 */     GIR_EraseRootFromParent_Done,
     /*  264434 */   // Label 5328: @264434
     /*  264434 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(264497), // Rule ID 23045 //
     /*  264439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  264453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  264456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  264481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264495 */     GIR_RootConstrainSelectedInstOperands,
     /*  264496 */     // GIR_Coverage, 23045,
     /*  264496 */     GIR_EraseRootFromParent_Done,
     /*  264497 */   // Label 5329: @264497
     /*  264497 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(264560), // Rule ID 23046 //
     /*  264502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  264516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  264519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  264544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264558 */     GIR_RootConstrainSelectedInstOperands,
     /*  264559 */     // GIR_Coverage, 23046,
     /*  264559 */     GIR_EraseRootFromParent_Done,
     /*  264560 */   // Label 5330: @264560
     /*  264560 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(264623), // Rule ID 23047 //
     /*  264565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  264579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  264582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  264607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264621 */     GIR_RootConstrainSelectedInstOperands,
     /*  264622 */     // GIR_Coverage, 23047,
     /*  264622 */     GIR_EraseRootFromParent_Done,
     /*  264623 */   // Label 5331: @264623
     /*  264623 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(264686), // Rule ID 23048 //
     /*  264628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  264642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  264645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  264670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264684 */     GIR_RootConstrainSelectedInstOperands,
     /*  264685 */     // GIR_Coverage, 23048,
     /*  264685 */     GIR_EraseRootFromParent_Done,
     /*  264686 */   // Label 5332: @264686
     /*  264686 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(264749), // Rule ID 23049 //
     /*  264691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  264705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  264708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  264733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264747 */     GIR_RootConstrainSelectedInstOperands,
     /*  264748 */     // GIR_Coverage, 23049,
     /*  264748 */     GIR_EraseRootFromParent_Done,
     /*  264749 */   // Label 5333: @264749
     /*  264749 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(264812), // Rule ID 23050 //
     /*  264754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  264768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  264771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  264796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264810 */     GIR_RootConstrainSelectedInstOperands,
     /*  264811 */     // GIR_Coverage, 23050,
     /*  264811 */     GIR_EraseRootFromParent_Done,
     /*  264812 */   // Label 5334: @264812
     /*  264812 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(264875), // Rule ID 23051 //
     /*  264817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  264831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  264834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  264859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264873 */     GIR_RootConstrainSelectedInstOperands,
     /*  264874 */     // GIR_Coverage, 23051,
     /*  264874 */     GIR_EraseRootFromParent_Done,
     /*  264875 */   // Label 5335: @264875
     /*  264875 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(264938), // Rule ID 23052 //
     /*  264880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  264922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264936 */     GIR_RootConstrainSelectedInstOperands,
     /*  264937 */     // GIR_Coverage, 23052,
     /*  264937 */     GIR_EraseRootFromParent_Done,
     /*  264938 */   // Label 5336: @264938
     /*  264938 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(265001), // Rule ID 23053 //
     /*  264943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264982 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  264985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264999 */     GIR_RootConstrainSelectedInstOperands,
     /*  265000 */     // GIR_Coverage, 23053,
     /*  265000 */     GIR_EraseRootFromParent_Done,
     /*  265001 */   // Label 5337: @265001
     /*  265001 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(265064), // Rule ID 23054 //
     /*  265006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265045 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  265048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265062 */     GIR_RootConstrainSelectedInstOperands,
     /*  265063 */     // GIR_Coverage, 23054,
     /*  265063 */     GIR_EraseRootFromParent_Done,
     /*  265064 */   // Label 5338: @265064
     /*  265064 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(265127), // Rule ID 23055 //
     /*  265069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265108 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  265111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265125 */     GIR_RootConstrainSelectedInstOperands,
     /*  265126 */     // GIR_Coverage, 23055,
     /*  265126 */     GIR_EraseRootFromParent_Done,
     /*  265127 */   // Label 5339: @265127
     /*  265127 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(265190), // Rule ID 23056 //
     /*  265132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  265146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  265149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265171 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  265174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265188 */     GIR_RootConstrainSelectedInstOperands,
     /*  265189 */     // GIR_Coverage, 23056,
     /*  265189 */     GIR_EraseRootFromParent_Done,
     /*  265190 */   // Label 5340: @265190
     /*  265190 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(265253), // Rule ID 23057 //
     /*  265195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  265209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  265212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265234 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11134:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  265237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265251 */     GIR_RootConstrainSelectedInstOperands,
     /*  265252 */     // GIR_Coverage, 23057,
     /*  265252 */     GIR_EraseRootFromParent_Done,
     /*  265253 */   // Label 5341: @265253
     /*  265253 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(265316), // Rule ID 23058 //
     /*  265258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  265272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  265275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  265300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265314 */     GIR_RootConstrainSelectedInstOperands,
     /*  265315 */     // GIR_Coverage, 23058,
     /*  265315 */     GIR_EraseRootFromParent_Done,
     /*  265316 */   // Label 5342: @265316
     /*  265316 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(265379), // Rule ID 23059 //
     /*  265321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  265335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  265338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  265363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265377 */     GIR_RootConstrainSelectedInstOperands,
     /*  265378 */     // GIR_Coverage, 23059,
     /*  265378 */     GIR_EraseRootFromParent_Done,
     /*  265379 */   // Label 5343: @265379
     /*  265379 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(265442), // Rule ID 23060 //
     /*  265384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  265398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  265401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  265426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265440 */     GIR_RootConstrainSelectedInstOperands,
     /*  265441 */     // GIR_Coverage, 23060,
     /*  265441 */     GIR_EraseRootFromParent_Done,
     /*  265442 */   // Label 5344: @265442
     /*  265442 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(265505), // Rule ID 23061 //
     /*  265447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  265461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  265464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265486 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  265489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265503 */     GIR_RootConstrainSelectedInstOperands,
     /*  265504 */     // GIR_Coverage, 23061,
     /*  265504 */     GIR_EraseRootFromParent_Done,
     /*  265505 */   // Label 5345: @265505
     /*  265505 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(265568), // Rule ID 23062 //
     /*  265510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  265524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  265527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  265552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265566 */     GIR_RootConstrainSelectedInstOperands,
     /*  265567 */     // GIR_Coverage, 23062,
     /*  265567 */     GIR_EraseRootFromParent_Done,
     /*  265568 */   // Label 5346: @265568
     /*  265568 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(265631), // Rule ID 23063 //
     /*  265573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  265587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  265590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  265615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265629 */     GIR_RootConstrainSelectedInstOperands,
     /*  265630 */     // GIR_Coverage, 23063,
     /*  265630 */     GIR_EraseRootFromParent_Done,
     /*  265631 */   // Label 5347: @265631
     /*  265631 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(265694), // Rule ID 23064 //
     /*  265636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  265650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  265653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  265678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265692 */     GIR_RootConstrainSelectedInstOperands,
     /*  265693 */     // GIR_Coverage, 23064,
     /*  265693 */     GIR_EraseRootFromParent_Done,
     /*  265694 */   // Label 5348: @265694
     /*  265694 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(265757), // Rule ID 23065 //
     /*  265699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  265713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  265716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  265741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265755 */     GIR_RootConstrainSelectedInstOperands,
     /*  265756 */     // GIR_Coverage, 23065,
     /*  265756 */     GIR_EraseRootFromParent_Done,
     /*  265757 */   // Label 5349: @265757
     /*  265757 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(265820), // Rule ID 23066 //
     /*  265762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  265776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  265779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  265804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265818 */     GIR_RootConstrainSelectedInstOperands,
     /*  265819 */     // GIR_Coverage, 23066,
     /*  265819 */     GIR_EraseRootFromParent_Done,
     /*  265820 */   // Label 5350: @265820
     /*  265820 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(265883), // Rule ID 23067 //
     /*  265825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  265839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  265842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  265867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265881 */     GIR_RootConstrainSelectedInstOperands,
     /*  265882 */     // GIR_Coverage, 23067,
     /*  265882 */     GIR_EraseRootFromParent_Done,
     /*  265883 */   // Label 5351: @265883
     /*  265883 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(265946), // Rule ID 23068 //
     /*  265888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265927 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  265930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265944 */     GIR_RootConstrainSelectedInstOperands,
     /*  265945 */     // GIR_Coverage, 23068,
     /*  265945 */     GIR_EraseRootFromParent_Done,
     /*  265946 */   // Label 5352: @265946
     /*  265946 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(266009), // Rule ID 23069 //
     /*  265951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265990 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  265993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266007 */     GIR_RootConstrainSelectedInstOperands,
     /*  266008 */     // GIR_Coverage, 23069,
     /*  266008 */     GIR_EraseRootFromParent_Done,
     /*  266009 */   // Label 5353: @266009
     /*  266009 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(266072), // Rule ID 23070 //
     /*  266014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  266022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266053 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  266056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266070 */     GIR_RootConstrainSelectedInstOperands,
     /*  266071 */     // GIR_Coverage, 23070,
     /*  266071 */     GIR_EraseRootFromParent_Done,
     /*  266072 */   // Label 5354: @266072
     /*  266072 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(266135), // Rule ID 23071 //
     /*  266077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  266085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266116 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  266119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266133 */     GIR_RootConstrainSelectedInstOperands,
     /*  266134 */     // GIR_Coverage, 23071,
     /*  266134 */     GIR_EraseRootFromParent_Done,
     /*  266135 */   // Label 5355: @266135
     /*  266135 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(266198), // Rule ID 23072 //
     /*  266140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  266154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  266157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266179 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  266182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266196 */     GIR_RootConstrainSelectedInstOperands,
     /*  266197 */     // GIR_Coverage, 23072,
     /*  266197 */     GIR_EraseRootFromParent_Done,
     /*  266198 */   // Label 5356: @266198
     /*  266198 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(266261), // Rule ID 23073 //
     /*  266203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  266217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  266220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  266245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266259 */     GIR_RootConstrainSelectedInstOperands,
     /*  266260 */     // GIR_Coverage, 23073,
     /*  266260 */     GIR_EraseRootFromParent_Done,
     /*  266261 */   // Label 5357: @266261
     /*  266261 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(266324), // Rule ID 23074 //
     /*  266266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  266280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  266283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266305 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  266308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266322 */     GIR_RootConstrainSelectedInstOperands,
     /*  266323 */     // GIR_Coverage, 23074,
     /*  266323 */     GIR_EraseRootFromParent_Done,
     /*  266324 */   // Label 5358: @266324
     /*  266324 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(266387), // Rule ID 23075 //
     /*  266329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  266343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  266346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  266371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266385 */     GIR_RootConstrainSelectedInstOperands,
     /*  266386 */     // GIR_Coverage, 23075,
     /*  266386 */     GIR_EraseRootFromParent_Done,
     /*  266387 */   // Label 5359: @266387
     /*  266387 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(266450), // Rule ID 23076 //
     /*  266392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  266406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  266409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  266434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266448 */     GIR_RootConstrainSelectedInstOperands,
     /*  266449 */     // GIR_Coverage, 23076,
     /*  266449 */     GIR_EraseRootFromParent_Done,
     /*  266450 */   // Label 5360: @266450
     /*  266450 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(266513), // Rule ID 23077 //
     /*  266455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  266469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  266472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  266497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266511 */     GIR_RootConstrainSelectedInstOperands,
     /*  266512 */     // GIR_Coverage, 23077,
     /*  266512 */     GIR_EraseRootFromParent_Done,
     /*  266513 */   // Label 5361: @266513
     /*  266513 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(266576), // Rule ID 23078 //
     /*  266518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  266532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  266535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  266560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266574 */     GIR_RootConstrainSelectedInstOperands,
     /*  266575 */     // GIR_Coverage, 23078,
     /*  266575 */     GIR_EraseRootFromParent_Done,
     /*  266576 */   // Label 5362: @266576
     /*  266576 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(266639), // Rule ID 23079 //
     /*  266581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  266595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  266598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  266623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266637 */     GIR_RootConstrainSelectedInstOperands,
     /*  266638 */     // GIR_Coverage, 23079,
     /*  266638 */     GIR_EraseRootFromParent_Done,
     /*  266639 */   // Label 5363: @266639
     /*  266639 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(266702), // Rule ID 23080 //
     /*  266644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  266658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  266661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266683 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  266686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266700 */     GIR_RootConstrainSelectedInstOperands,
     /*  266701 */     // GIR_Coverage, 23080,
     /*  266701 */     GIR_EraseRootFromParent_Done,
     /*  266702 */   // Label 5364: @266702
     /*  266702 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(266765), // Rule ID 23081 //
     /*  266707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  266721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  266724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266746 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  266749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266763 */     GIR_RootConstrainSelectedInstOperands,
     /*  266764 */     // GIR_Coverage, 23081,
     /*  266764 */     GIR_EraseRootFromParent_Done,
     /*  266765 */   // Label 5365: @266765
     /*  266765 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(266828), // Rule ID 23082 //
     /*  266770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  266784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  266787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266809 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  266812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266826 */     GIR_RootConstrainSelectedInstOperands,
     /*  266827 */     // GIR_Coverage, 23082,
     /*  266827 */     GIR_EraseRootFromParent_Done,
     /*  266828 */   // Label 5366: @266828
     /*  266828 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(266891), // Rule ID 23083 //
     /*  266833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  266847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  266850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  266875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266889 */     GIR_RootConstrainSelectedInstOperands,
     /*  266890 */     // GIR_Coverage, 23083,
     /*  266890 */     GIR_EraseRootFromParent_Done,
     /*  266891 */   // Label 5367: @266891
     /*  266891 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(266954), // Rule ID 23084 //
     /*  266896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266935 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  266938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266952 */     GIR_RootConstrainSelectedInstOperands,
     /*  266953 */     // GIR_Coverage, 23084,
     /*  266953 */     GIR_EraseRootFromParent_Done,
     /*  266954 */   // Label 5368: @266954
     /*  266954 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(267017), // Rule ID 23085 //
     /*  266959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266998 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  267001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267015 */     GIR_RootConstrainSelectedInstOperands,
     /*  267016 */     // GIR_Coverage, 23085,
     /*  267016 */     GIR_EraseRootFromParent_Done,
     /*  267017 */   // Label 5369: @267017
     /*  267017 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(267080), // Rule ID 23086 //
     /*  267022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  267064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267078 */     GIR_RootConstrainSelectedInstOperands,
     /*  267079 */     // GIR_Coverage, 23086,
     /*  267079 */     GIR_EraseRootFromParent_Done,
     /*  267080 */   // Label 5370: @267080
     /*  267080 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(267143), // Rule ID 23087 //
     /*  267085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  267127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267141 */     GIR_RootConstrainSelectedInstOperands,
     /*  267142 */     // GIR_Coverage, 23087,
     /*  267142 */     GIR_EraseRootFromParent_Done,
     /*  267143 */   // Label 5371: @267143
     /*  267143 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(267206), // Rule ID 23088 //
     /*  267148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  267162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  267165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  267190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267204 */     GIR_RootConstrainSelectedInstOperands,
     /*  267205 */     // GIR_Coverage, 23088,
     /*  267205 */     GIR_EraseRootFromParent_Done,
     /*  267206 */   // Label 5372: @267206
     /*  267206 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(267269), // Rule ID 23089 //
     /*  267211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  267225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  267228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  267253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267267 */     GIR_RootConstrainSelectedInstOperands,
     /*  267268 */     // GIR_Coverage, 23089,
     /*  267268 */     GIR_EraseRootFromParent_Done,
     /*  267269 */   // Label 5373: @267269
     /*  267269 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(267332), // Rule ID 23090 //
     /*  267274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  267288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  267291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  267316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267330 */     GIR_RootConstrainSelectedInstOperands,
     /*  267331 */     // GIR_Coverage, 23090,
     /*  267331 */     GIR_EraseRootFromParent_Done,
     /*  267332 */   // Label 5374: @267332
     /*  267332 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(267395), // Rule ID 23091 //
     /*  267337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  267351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  267354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  267379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267393 */     GIR_RootConstrainSelectedInstOperands,
     /*  267394 */     // GIR_Coverage, 23091,
     /*  267394 */     GIR_EraseRootFromParent_Done,
     /*  267395 */   // Label 5375: @267395
     /*  267395 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(267458), // Rule ID 23092 //
     /*  267400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  267414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  267417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  267442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267456 */     GIR_RootConstrainSelectedInstOperands,
     /*  267457 */     // GIR_Coverage, 23092,
     /*  267457 */     GIR_EraseRootFromParent_Done,
     /*  267458 */   // Label 5376: @267458
     /*  267458 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(267521), // Rule ID 23093 //
     /*  267463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  267477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  267480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  267505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267519 */     GIR_RootConstrainSelectedInstOperands,
     /*  267520 */     // GIR_Coverage, 23093,
     /*  267520 */     GIR_EraseRootFromParent_Done,
     /*  267521 */   // Label 5377: @267521
     /*  267521 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(267584), // Rule ID 23094 //
     /*  267526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  267540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  267543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  267568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267582 */     GIR_RootConstrainSelectedInstOperands,
     /*  267583 */     // GIR_Coverage, 23094,
     /*  267583 */     GIR_EraseRootFromParent_Done,
     /*  267584 */   // Label 5378: @267584
     /*  267584 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(267647), // Rule ID 23095 //
     /*  267589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  267603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  267606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  267631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267645 */     GIR_RootConstrainSelectedInstOperands,
     /*  267646 */     // GIR_Coverage, 23095,
     /*  267646 */     GIR_EraseRootFromParent_Done,
     /*  267647 */   // Label 5379: @267647
     /*  267647 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(267710), // Rule ID 23096 //
     /*  267652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  267666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  267669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  267694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267708 */     GIR_RootConstrainSelectedInstOperands,
     /*  267709 */     // GIR_Coverage, 23096,
     /*  267709 */     GIR_EraseRootFromParent_Done,
     /*  267710 */   // Label 5380: @267710
     /*  267710 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(267773), // Rule ID 23097 //
     /*  267715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  267729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  267732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267754 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  267757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267771 */     GIR_RootConstrainSelectedInstOperands,
     /*  267772 */     // GIR_Coverage, 23097,
     /*  267772 */     GIR_EraseRootFromParent_Done,
     /*  267773 */   // Label 5381: @267773
     /*  267773 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(267836), // Rule ID 23098 //
     /*  267778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  267792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  267795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267817 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  267820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267834 */     GIR_RootConstrainSelectedInstOperands,
     /*  267835 */     // GIR_Coverage, 23098,
     /*  267835 */     GIR_EraseRootFromParent_Done,
     /*  267836 */   // Label 5382: @267836
     /*  267836 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(267899), // Rule ID 23099 //
     /*  267841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  267855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  267858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267880 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  267883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267897 */     GIR_RootConstrainSelectedInstOperands,
     /*  267898 */     // GIR_Coverage, 23099,
     /*  267898 */     GIR_EraseRootFromParent_Done,
     /*  267899 */   // Label 5383: @267899
     /*  267899 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(267962), // Rule ID 23100 //
     /*  267904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  267912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267943 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  267946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267960 */     GIR_RootConstrainSelectedInstOperands,
     /*  267961 */     // GIR_Coverage, 23100,
     /*  267961 */     GIR_EraseRootFromParent_Done,
     /*  267962 */   // Label 5384: @267962
     /*  267962 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(268025), // Rule ID 23101 //
     /*  267967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  267975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268006 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  268009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268023 */     GIR_RootConstrainSelectedInstOperands,
     /*  268024 */     // GIR_Coverage, 23101,
     /*  268024 */     GIR_EraseRootFromParent_Done,
     /*  268025 */   // Label 5385: @268025
     /*  268025 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(268088), // Rule ID 23102 //
     /*  268030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  268072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268086 */     GIR_RootConstrainSelectedInstOperands,
     /*  268087 */     // GIR_Coverage, 23102,
     /*  268087 */     GIR_EraseRootFromParent_Done,
     /*  268088 */   // Label 5386: @268088
     /*  268088 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(268151), // Rule ID 23103 //
     /*  268093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  268135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268149 */     GIR_RootConstrainSelectedInstOperands,
     /*  268150 */     // GIR_Coverage, 23103,
     /*  268150 */     GIR_EraseRootFromParent_Done,
     /*  268151 */   // Label 5387: @268151
     /*  268151 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(268214), // Rule ID 23104 //
     /*  268156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268195 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  268198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268212 */     GIR_RootConstrainSelectedInstOperands,
     /*  268213 */     // GIR_Coverage, 23104,
     /*  268213 */     GIR_EraseRootFromParent_Done,
     /*  268214 */   // Label 5388: @268214
     /*  268214 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(268277), // Rule ID 23105 //
     /*  268219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  268261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268275 */     GIR_RootConstrainSelectedInstOperands,
     /*  268276 */     // GIR_Coverage, 23105,
     /*  268276 */     GIR_EraseRootFromParent_Done,
     /*  268277 */   // Label 5389: @268277
     /*  268277 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(268340), // Rule ID 23106 //
     /*  268282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  268296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  268299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  268324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268338 */     GIR_RootConstrainSelectedInstOperands,
     /*  268339 */     // GIR_Coverage, 23106,
     /*  268339 */     GIR_EraseRootFromParent_Done,
     /*  268340 */   // Label 5390: @268340
     /*  268340 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(268403), // Rule ID 23107 //
     /*  268345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  268359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  268362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  268387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268401 */     GIR_RootConstrainSelectedInstOperands,
     /*  268402 */     // GIR_Coverage, 23107,
     /*  268402 */     GIR_EraseRootFromParent_Done,
     /*  268403 */   // Label 5391: @268403
     /*  268403 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(268466), // Rule ID 23108 //
     /*  268408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  268422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  268425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  268450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268464 */     GIR_RootConstrainSelectedInstOperands,
     /*  268465 */     // GIR_Coverage, 23108,
     /*  268465 */     GIR_EraseRootFromParent_Done,
     /*  268466 */   // Label 5392: @268466
     /*  268466 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(268529), // Rule ID 23109 //
     /*  268471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  268485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  268488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  268513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268527 */     GIR_RootConstrainSelectedInstOperands,
     /*  268528 */     // GIR_Coverage, 23109,
     /*  268528 */     GIR_EraseRootFromParent_Done,
     /*  268529 */   // Label 5393: @268529
     /*  268529 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(268592), // Rule ID 23110 //
     /*  268534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  268548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  268551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  268576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268590 */     GIR_RootConstrainSelectedInstOperands,
     /*  268591 */     // GIR_Coverage, 23110,
     /*  268591 */     GIR_EraseRootFromParent_Done,
     /*  268592 */   // Label 5394: @268592
     /*  268592 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(268655), // Rule ID 23111 //
     /*  268597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  268611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  268614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  268639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268653 */     GIR_RootConstrainSelectedInstOperands,
     /*  268654 */     // GIR_Coverage, 23111,
     /*  268654 */     GIR_EraseRootFromParent_Done,
     /*  268655 */   // Label 5395: @268655
     /*  268655 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(268718), // Rule ID 23112 //
     /*  268660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  268674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  268677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268699 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  268702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268716 */     GIR_RootConstrainSelectedInstOperands,
     /*  268717 */     // GIR_Coverage, 23112,
     /*  268717 */     GIR_EraseRootFromParent_Done,
     /*  268718 */   // Label 5396: @268718
     /*  268718 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(268781), // Rule ID 23113 //
     /*  268723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  268737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  268740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268762 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11133:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  268765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268779 */     GIR_RootConstrainSelectedInstOperands,
     /*  268780 */     // GIR_Coverage, 23113,
     /*  268780 */     GIR_EraseRootFromParent_Done,
     /*  268781 */   // Label 5397: @268781
     /*  268781 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(268844), // Rule ID 23142 //
     /*  268786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  268789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  268797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  268818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268825 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  268828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268832 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  268834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268842 */     GIR_RootConstrainSelectedInstOperands,
     /*  268843 */     // GIR_Coverage, 23142,
     /*  268843 */     GIR_EraseRootFromParent_Done,
     /*  268844 */   // Label 5398: @268844
     /*  268844 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(268907), // Rule ID 23143 //
     /*  268849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  268852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  268860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  268881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268888 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  268891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268895 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  268897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268905 */     GIR_RootConstrainSelectedInstOperands,
     /*  268906 */     // GIR_Coverage, 23143,
     /*  268906 */     GIR_EraseRootFromParent_Done,
     /*  268907 */   // Label 5399: @268907
     /*  268907 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(268970), // Rule ID 23146 //
     /*  268912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  268915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  268923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  268944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268951 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  268954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268958 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  268960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268968 */     GIR_RootConstrainSelectedInstOperands,
     /*  268969 */     // GIR_Coverage, 23146,
     /*  268969 */     GIR_EraseRootFromParent_Done,
     /*  268970 */   // Label 5400: @268970
     /*  268970 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(269033), // Rule ID 23147 //
     /*  268975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  268978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  268986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269014 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  269017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269021 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269031 */     GIR_RootConstrainSelectedInstOperands,
     /*  269032 */     // GIR_Coverage, 23147,
     /*  269032 */     GIR_EraseRootFromParent_Done,
     /*  269033 */   // Label 5401: @269033
     /*  269033 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(269096), // Rule ID 23150 //
     /*  269038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  269055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269077 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  269080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269084 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269094 */     GIR_RootConstrainSelectedInstOperands,
     /*  269095 */     // GIR_Coverage, 23150,
     /*  269095 */     GIR_EraseRootFromParent_Done,
     /*  269096 */   // Label 5402: @269096
     /*  269096 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(269159), // Rule ID 23151 //
     /*  269101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  269118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269140 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  269143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269147 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269157 */     GIR_RootConstrainSelectedInstOperands,
     /*  269158 */     // GIR_Coverage, 23151,
     /*  269158 */     GIR_EraseRootFromParent_Done,
     /*  269159 */   // Label 5403: @269159
     /*  269159 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(269222), // Rule ID 23154 //
     /*  269164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  269178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  269181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269203 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  269206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269210 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269220 */     GIR_RootConstrainSelectedInstOperands,
     /*  269221 */     // GIR_Coverage, 23154,
     /*  269221 */     GIR_EraseRootFromParent_Done,
     /*  269222 */   // Label 5404: @269222
     /*  269222 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(269285), // Rule ID 23155 //
     /*  269227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  269241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  269244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269266 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  269269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269273 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269283 */     GIR_RootConstrainSelectedInstOperands,
     /*  269284 */     // GIR_Coverage, 23155,
     /*  269284 */     GIR_EraseRootFromParent_Done,
     /*  269285 */   // Label 5405: @269285
     /*  269285 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(269348), // Rule ID 23158 //
     /*  269290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  269304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  269307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269329 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  269332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269336 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269346 */     GIR_RootConstrainSelectedInstOperands,
     /*  269347 */     // GIR_Coverage, 23158,
     /*  269347 */     GIR_EraseRootFromParent_Done,
     /*  269348 */   // Label 5406: @269348
     /*  269348 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(269411), // Rule ID 23159 //
     /*  269353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  269367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  269370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269392 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  269395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269399 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269409 */     GIR_RootConstrainSelectedInstOperands,
     /*  269410 */     // GIR_Coverage, 23159,
     /*  269410 */     GIR_EraseRootFromParent_Done,
     /*  269411 */   // Label 5407: @269411
     /*  269411 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(269474), // Rule ID 23162 //
     /*  269416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  269430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  269433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269455 */     // (intrinsic_wo_chain:{ *:[i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  269458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269462 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269472 */     GIR_RootConstrainSelectedInstOperands,
     /*  269473 */     // GIR_Coverage, 23162,
     /*  269473 */     GIR_EraseRootFromParent_Done,
     /*  269474 */   // Label 5408: @269474
     /*  269474 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(269537), // Rule ID 23163 //
     /*  269479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  269493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  269496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269518 */     // (intrinsic_wo_chain:{ *:[i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  269521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269525 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269535 */     GIR_RootConstrainSelectedInstOperands,
     /*  269536 */     // GIR_Coverage, 23163,
     /*  269536 */     GIR_EraseRootFromParent_Done,
     /*  269537 */   // Label 5409: @269537
     /*  269537 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(269600), // Rule ID 23166 //
     /*  269542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  269556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  269559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269581 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  269584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269588 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269598 */     GIR_RootConstrainSelectedInstOperands,
     /*  269599 */     // GIR_Coverage, 23166,
     /*  269599 */     GIR_EraseRootFromParent_Done,
     /*  269600 */   // Label 5410: @269600
     /*  269600 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(269663), // Rule ID 23167 //
     /*  269605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  269619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  269622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269644 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  269647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269651 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269661 */     GIR_RootConstrainSelectedInstOperands,
     /*  269662 */     // GIR_Coverage, 23167,
     /*  269662 */     GIR_EraseRootFromParent_Done,
     /*  269663 */   // Label 5411: @269663
     /*  269663 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(269726), // Rule ID 23170 //
     /*  269668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  269682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  269685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269707 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  269710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269714 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269724 */     GIR_RootConstrainSelectedInstOperands,
     /*  269725 */     // GIR_Coverage, 23170,
     /*  269725 */     GIR_EraseRootFromParent_Done,
     /*  269726 */   // Label 5412: @269726
     /*  269726 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(269789), // Rule ID 23171 //
     /*  269731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  269745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  269748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269770 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  269773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269777 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269787 */     GIR_RootConstrainSelectedInstOperands,
     /*  269788 */     // GIR_Coverage, 23171,
     /*  269788 */     GIR_EraseRootFromParent_Done,
     /*  269789 */   // Label 5413: @269789
     /*  269789 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(269852), // Rule ID 23174 //
     /*  269794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  269808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  269811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269833 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  269836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269840 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269850 */     GIR_RootConstrainSelectedInstOperands,
     /*  269851 */     // GIR_Coverage, 23174,
     /*  269851 */     GIR_EraseRootFromParent_Done,
     /*  269852 */   // Label 5414: @269852
     /*  269852 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(269915), // Rule ID 23175 //
     /*  269857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  269871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  269874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269896 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  269899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269903 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269913 */     GIR_RootConstrainSelectedInstOperands,
     /*  269914 */     // GIR_Coverage, 23175,
     /*  269914 */     GIR_EraseRootFromParent_Done,
     /*  269915 */   // Label 5415: @269915
     /*  269915 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(269978), // Rule ID 23178 //
     /*  269920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  269937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269959 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  269962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269966 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  269968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269976 */     GIR_RootConstrainSelectedInstOperands,
     /*  269977 */     // GIR_Coverage, 23178,
     /*  269977 */     GIR_EraseRootFromParent_Done,
     /*  269978 */   // Label 5416: @269978
     /*  269978 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(270041), // Rule ID 23179 //
     /*  269983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  270000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270022 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  270025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270029 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270039 */     GIR_RootConstrainSelectedInstOperands,
     /*  270040 */     // GIR_Coverage, 23179,
     /*  270040 */     GIR_EraseRootFromParent_Done,
     /*  270041 */   // Label 5417: @270041
     /*  270041 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(270104), // Rule ID 23182 //
     /*  270046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  270060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  270063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270085 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  270088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270092 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270102 */     GIR_RootConstrainSelectedInstOperands,
     /*  270103 */     // GIR_Coverage, 23182,
     /*  270103 */     GIR_EraseRootFromParent_Done,
     /*  270104 */   // Label 5418: @270104
     /*  270104 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(270167), // Rule ID 23183 //
     /*  270109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  270123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  270126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270148 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  270151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270155 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270165 */     GIR_RootConstrainSelectedInstOperands,
     /*  270166 */     // GIR_Coverage, 23183,
     /*  270166 */     GIR_EraseRootFromParent_Done,
     /*  270167 */   // Label 5419: @270167
     /*  270167 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(270230), // Rule ID 23186 //
     /*  270172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  270186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  270189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270211 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  270214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270218 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270228 */     GIR_RootConstrainSelectedInstOperands,
     /*  270229 */     // GIR_Coverage, 23186,
     /*  270229 */     GIR_EraseRootFromParent_Done,
     /*  270230 */   // Label 5420: @270230
     /*  270230 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(270293), // Rule ID 23187 //
     /*  270235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  270249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  270252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270274 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  270277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270281 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270291 */     GIR_RootConstrainSelectedInstOperands,
     /*  270292 */     // GIR_Coverage, 23187,
     /*  270292 */     GIR_EraseRootFromParent_Done,
     /*  270293 */   // Label 5421: @270293
     /*  270293 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(270356), // Rule ID 23190 //
     /*  270298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  270312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  270315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270337 */     // (intrinsic_wo_chain:{ *:[i64] } 10856:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  270340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270344 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270354 */     GIR_RootConstrainSelectedInstOperands,
     /*  270355 */     // GIR_Coverage, 23190,
     /*  270355 */     GIR_EraseRootFromParent_Done,
     /*  270356 */   // Label 5422: @270356
     /*  270356 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(270419), // Rule ID 23191 //
     /*  270361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  270375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  270378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270400 */     // (intrinsic_wo_chain:{ *:[i32] } 10856:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  270403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270407 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  270409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270417 */     GIR_RootConstrainSelectedInstOperands,
     /*  270418 */     // GIR_Coverage, 23191,
     /*  270418 */     GIR_EraseRootFromParent_Done,
     /*  270419 */   // Label 5423: @270419
     /*  270419 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(270485), // Rule ID 23272 //
     /*  270424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  270435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270463 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  270463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  270466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270483 */     GIR_RootConstrainSelectedInstOperands,
     /*  270484 */     // GIR_Coverage, 23272,
     /*  270484 */     GIR_EraseRootFromParent_Done,
     /*  270485 */   // Label 5424: @270485
     /*  270485 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(270551), // Rule ID 23273 //
     /*  270490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  270501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270529 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  270529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  270532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270549 */     GIR_RootConstrainSelectedInstOperands,
     /*  270550 */     // GIR_Coverage, 23273,
     /*  270550 */     GIR_EraseRootFromParent_Done,
     /*  270551 */   // Label 5425: @270551
     /*  270551 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(270617), // Rule ID 23276 //
     /*  270556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  270567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  270573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  270595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  270598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270615 */     GIR_RootConstrainSelectedInstOperands,
     /*  270616 */     // GIR_Coverage, 23276,
     /*  270616 */     GIR_EraseRootFromParent_Done,
     /*  270617 */   // Label 5426: @270617
     /*  270617 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(270683), // Rule ID 23277 //
     /*  270622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  270633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  270639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270661 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  270661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  270664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270681 */     GIR_RootConstrainSelectedInstOperands,
     /*  270682 */     // GIR_Coverage, 23277,
     /*  270682 */     GIR_EraseRootFromParent_Done,
     /*  270683 */   // Label 5427: @270683
     /*  270683 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(270749), // Rule ID 23280 //
     /*  270688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  270699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  270705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  270727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  270730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270747 */     GIR_RootConstrainSelectedInstOperands,
     /*  270748 */     // GIR_Coverage, 23280,
     /*  270748 */     GIR_EraseRootFromParent_Done,
     /*  270749 */   // Label 5428: @270749
     /*  270749 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(270815), // Rule ID 23281 //
     /*  270754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  270765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  270771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  270793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  270796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270813 */     GIR_RootConstrainSelectedInstOperands,
     /*  270814 */     // GIR_Coverage, 23281,
     /*  270814 */     GIR_EraseRootFromParent_Done,
     /*  270815 */   // Label 5429: @270815
     /*  270815 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(270881), // Rule ID 23284 //
     /*  270820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  270831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  270859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  270862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270879 */     GIR_RootConstrainSelectedInstOperands,
     /*  270880 */     // GIR_Coverage, 23284,
     /*  270880 */     GIR_EraseRootFromParent_Done,
     /*  270881 */   // Label 5430: @270881
     /*  270881 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(270947), // Rule ID 23285 //
     /*  270886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  270897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270925 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  270925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  270928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270945 */     GIR_RootConstrainSelectedInstOperands,
     /*  270946 */     // GIR_Coverage, 23285,
     /*  270946 */     GIR_EraseRootFromParent_Done,
     /*  270947 */   // Label 5431: @270947
     /*  270947 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(271013), // Rule ID 23288 //
     /*  270952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  270963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  270966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  270969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  270991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  270994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271011 */     GIR_RootConstrainSelectedInstOperands,
     /*  271012 */     // GIR_Coverage, 23288,
     /*  271012 */     GIR_EraseRootFromParent_Done,
     /*  271013 */   // Label 5432: @271013
     /*  271013 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(271079), // Rule ID 23289 //
     /*  271018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  271029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271057 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  271057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271077 */     GIR_RootConstrainSelectedInstOperands,
     /*  271078 */     // GIR_Coverage, 23289,
     /*  271078 */     GIR_EraseRootFromParent_Done,
     /*  271079 */   // Label 5433: @271079
     /*  271079 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(271145), // Rule ID 23292 //
     /*  271084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  271095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  271101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271143 */     GIR_RootConstrainSelectedInstOperands,
     /*  271144 */     // GIR_Coverage, 23292,
     /*  271144 */     GIR_EraseRootFromParent_Done,
     /*  271145 */   // Label 5434: @271145
     /*  271145 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(271211), // Rule ID 23293 //
     /*  271150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  271161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  271167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271209 */     GIR_RootConstrainSelectedInstOperands,
     /*  271210 */     // GIR_Coverage, 23293,
     /*  271210 */     GIR_EraseRootFromParent_Done,
     /*  271211 */   // Label 5435: @271211
     /*  271211 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(271277), // Rule ID 23296 //
     /*  271216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  271227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  271255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271275 */     GIR_RootConstrainSelectedInstOperands,
     /*  271276 */     // GIR_Coverage, 23296,
     /*  271276 */     GIR_EraseRootFromParent_Done,
     /*  271277 */   // Label 5436: @271277
     /*  271277 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(271343), // Rule ID 23297 //
     /*  271282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  271293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  271321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271341 */     GIR_RootConstrainSelectedInstOperands,
     /*  271342 */     // GIR_Coverage, 23297,
     /*  271342 */     GIR_EraseRootFromParent_Done,
     /*  271343 */   // Label 5437: @271343
     /*  271343 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(271409), // Rule ID 23300 //
     /*  271348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  271359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  271387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271407 */     GIR_RootConstrainSelectedInstOperands,
     /*  271408 */     // GIR_Coverage, 23300,
     /*  271408 */     GIR_EraseRootFromParent_Done,
     /*  271409 */   // Label 5438: @271409
     /*  271409 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(271475), // Rule ID 23301 //
     /*  271414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  271425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  271453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271473 */     GIR_RootConstrainSelectedInstOperands,
     /*  271474 */     // GIR_Coverage, 23301,
     /*  271474 */     GIR_EraseRootFromParent_Done,
     /*  271475 */   // Label 5439: @271475
     /*  271475 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(271541), // Rule ID 23304 //
     /*  271480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  271491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  271519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271539 */     GIR_RootConstrainSelectedInstOperands,
     /*  271540 */     // GIR_Coverage, 23304,
     /*  271540 */     GIR_EraseRootFromParent_Done,
     /*  271541 */   // Label 5440: @271541
     /*  271541 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(271607), // Rule ID 23305 //
     /*  271546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  271557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  271585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271605 */     GIR_RootConstrainSelectedInstOperands,
     /*  271606 */     // GIR_Coverage, 23305,
     /*  271606 */     GIR_EraseRootFromParent_Done,
     /*  271607 */   // Label 5441: @271607
     /*  271607 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(271673), // Rule ID 23308 //
     /*  271612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  271623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  271629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  271654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271671 */     GIR_RootConstrainSelectedInstOperands,
     /*  271672 */     // GIR_Coverage, 23308,
     /*  271672 */     GIR_EraseRootFromParent_Done,
     /*  271673 */   // Label 5442: @271673
     /*  271673 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(271739), // Rule ID 23309 //
     /*  271678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  271689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  271695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271717 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  271720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271737 */     GIR_RootConstrainSelectedInstOperands,
     /*  271738 */     // GIR_Coverage, 23309,
     /*  271738 */     GIR_EraseRootFromParent_Done,
     /*  271739 */   // Label 5443: @271739
     /*  271739 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(271805), // Rule ID 23312 //
     /*  271744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  271755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  271761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  271786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271803 */     GIR_RootConstrainSelectedInstOperands,
     /*  271804 */     // GIR_Coverage, 23312,
     /*  271804 */     GIR_EraseRootFromParent_Done,
     /*  271805 */   // Label 5444: @271805
     /*  271805 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(271871), // Rule ID 23313 //
     /*  271810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  271821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  271827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271849 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  271852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271869 */     GIR_RootConstrainSelectedInstOperands,
     /*  271870 */     // GIR_Coverage, 23313,
     /*  271870 */     GIR_EraseRootFromParent_Done,
     /*  271871 */   // Label 5445: @271871
     /*  271871 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(271937), // Rule ID 23316 //
     /*  271876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  271887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  271893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271915 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  271918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271935 */     GIR_RootConstrainSelectedInstOperands,
     /*  271936 */     // GIR_Coverage, 23316,
     /*  271936 */     GIR_EraseRootFromParent_Done,
     /*  271937 */   // Label 5446: @271937
     /*  271937 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(272003), // Rule ID 23317 //
     /*  271942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  271953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  271959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271981 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  271984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272001 */     GIR_RootConstrainSelectedInstOperands,
     /*  272002 */     // GIR_Coverage, 23317,
     /*  272002 */     GIR_EraseRootFromParent_Done,
     /*  272003 */   // Label 5447: @272003
     /*  272003 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(272069), // Rule ID 23320 //
     /*  272008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  272019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272067 */     GIR_RootConstrainSelectedInstOperands,
     /*  272068 */     // GIR_Coverage, 23320,
     /*  272068 */     GIR_EraseRootFromParent_Done,
     /*  272069 */   // Label 5448: @272069
     /*  272069 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(272135), // Rule ID 23321 //
     /*  272074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  272085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272133 */     GIR_RootConstrainSelectedInstOperands,
     /*  272134 */     // GIR_Coverage, 23321,
     /*  272134 */     GIR_EraseRootFromParent_Done,
     /*  272135 */   // Label 5449: @272135
     /*  272135 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(272201), // Rule ID 23324 //
     /*  272140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  272151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272179 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272199 */     GIR_RootConstrainSelectedInstOperands,
     /*  272200 */     // GIR_Coverage, 23324,
     /*  272200 */     GIR_EraseRootFromParent_Done,
     /*  272201 */   // Label 5450: @272201
     /*  272201 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(272267), // Rule ID 23325 //
     /*  272206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  272217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272265 */     GIR_RootConstrainSelectedInstOperands,
     /*  272266 */     // GIR_Coverage, 23325,
     /*  272266 */     GIR_EraseRootFromParent_Done,
     /*  272267 */   // Label 5451: @272267
     /*  272267 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(272333), // Rule ID 23328 //
     /*  272272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  272283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272331 */     GIR_RootConstrainSelectedInstOperands,
     /*  272332 */     // GIR_Coverage, 23328,
     /*  272332 */     GIR_EraseRootFromParent_Done,
     /*  272333 */   // Label 5452: @272333
     /*  272333 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(272399), // Rule ID 23329 //
     /*  272338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  272349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272397 */     GIR_RootConstrainSelectedInstOperands,
     /*  272398 */     // GIR_Coverage, 23329,
     /*  272398 */     GIR_EraseRootFromParent_Done,
     /*  272399 */   // Label 5453: @272399
     /*  272399 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(272465), // Rule ID 23332 //
     /*  272404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  272415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  272421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  272443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272463 */     GIR_RootConstrainSelectedInstOperands,
     /*  272464 */     // GIR_Coverage, 23332,
     /*  272464 */     GIR_EraseRootFromParent_Done,
     /*  272465 */   // Label 5454: @272465
     /*  272465 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(272531), // Rule ID 23333 //
     /*  272470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  272481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  272487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  272509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272529 */     GIR_RootConstrainSelectedInstOperands,
     /*  272530 */     // GIR_Coverage, 23333,
     /*  272530 */     GIR_EraseRootFromParent_Done,
     /*  272531 */   // Label 5455: @272531
     /*  272531 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(272597), // Rule ID 23336 //
     /*  272536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  272547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  272575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272595 */     GIR_RootConstrainSelectedInstOperands,
     /*  272596 */     // GIR_Coverage, 23336,
     /*  272596 */     GIR_EraseRootFromParent_Done,
     /*  272597 */   // Label 5456: @272597
     /*  272597 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(272663), // Rule ID 23337 //
     /*  272602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  272613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  272641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272661 */     GIR_RootConstrainSelectedInstOperands,
     /*  272662 */     // GIR_Coverage, 23337,
     /*  272662 */     GIR_EraseRootFromParent_Done,
     /*  272663 */   // Label 5457: @272663
     /*  272663 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(272729), // Rule ID 23340 //
     /*  272668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  272679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  272707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272727 */     GIR_RootConstrainSelectedInstOperands,
     /*  272728 */     // GIR_Coverage, 23340,
     /*  272728 */     GIR_EraseRootFromParent_Done,
     /*  272729 */   // Label 5458: @272729
     /*  272729 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(272795), // Rule ID 23341 //
     /*  272734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  272745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272773 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  272773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272793 */     GIR_RootConstrainSelectedInstOperands,
     /*  272794 */     // GIR_Coverage, 23341,
     /*  272794 */     GIR_EraseRootFromParent_Done,
     /*  272795 */   // Label 5459: @272795
     /*  272795 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(272861), // Rule ID 23344 //
     /*  272800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  272811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  272817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  272839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272859 */     GIR_RootConstrainSelectedInstOperands,
     /*  272860 */     // GIR_Coverage, 23344,
     /*  272860 */     GIR_EraseRootFromParent_Done,
     /*  272861 */   // Label 5460: @272861
     /*  272861 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(272927), // Rule ID 23345 //
     /*  272866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  272877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  272883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  272905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272925 */     GIR_RootConstrainSelectedInstOperands,
     /*  272926 */     // GIR_Coverage, 23345,
     /*  272926 */     GIR_EraseRootFromParent_Done,
     /*  272927 */   // Label 5461: @272927
     /*  272927 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(272993), // Rule ID 23348 //
     /*  272932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  272943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  272946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  272949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  272971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272991 */     GIR_RootConstrainSelectedInstOperands,
     /*  272992 */     // GIR_Coverage, 23348,
     /*  272992 */     GIR_EraseRootFromParent_Done,
     /*  272993 */   // Label 5462: @272993
     /*  272993 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(273059), // Rule ID 23349 //
     /*  272998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  273009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  273015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273037 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10975:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  273037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  273040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273057 */     GIR_RootConstrainSelectedInstOperands,
     /*  273058 */     // GIR_Coverage, 23349,
     /*  273058 */     GIR_EraseRootFromParent_Done,
     /*  273059 */   // Label 5463: @273059
     /*  273059 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(273125), // Rule ID 23352 //
     /*  273064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  273075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  273103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273123 */     GIR_RootConstrainSelectedInstOperands,
     /*  273124 */     // GIR_Coverage, 23352,
     /*  273124 */     GIR_EraseRootFromParent_Done,
     /*  273125 */   // Label 5464: @273125
     /*  273125 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(273191), // Rule ID 23353 //
     /*  273130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  273141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10975:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  273169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273189 */     GIR_RootConstrainSelectedInstOperands,
     /*  273190 */     // GIR_Coverage, 23353,
     /*  273190 */     GIR_EraseRootFromParent_Done,
     /*  273191 */   // Label 5465: @273191
     /*  273191 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(273257), // Rule ID 59892 //
     /*  273196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  273207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  273235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  273238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273255 */     GIR_RootConstrainSelectedInstOperands,
     /*  273256 */     // GIR_Coverage, 59892,
     /*  273256 */     GIR_EraseRootFromParent_Done,
     /*  273257 */   // Label 5466: @273257
     /*  273257 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(273323), // Rule ID 59893 //
     /*  273262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  273273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273301 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  273301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  273304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273321 */     GIR_RootConstrainSelectedInstOperands,
     /*  273322 */     // GIR_Coverage, 59893,
     /*  273322 */     GIR_EraseRootFromParent_Done,
     /*  273323 */   // Label 5467: @273323
     /*  273323 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(273389), // Rule ID 59896 //
     /*  273328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  273339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273367 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  273367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273387 */     GIR_RootConstrainSelectedInstOperands,
     /*  273388 */     // GIR_Coverage, 59896,
     /*  273388 */     GIR_EraseRootFromParent_Done,
     /*  273389 */   // Label 5468: @273389
     /*  273389 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(273455), // Rule ID 59897 //
     /*  273394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  273405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  273433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273453 */     GIR_RootConstrainSelectedInstOperands,
     /*  273454 */     // GIR_Coverage, 59897,
     /*  273454 */     GIR_EraseRootFromParent_Done,
     /*  273455 */   // Label 5469: @273455
     /*  273455 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(273521), // Rule ID 59900 //
     /*  273460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  273471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  273499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273519 */     GIR_RootConstrainSelectedInstOperands,
     /*  273520 */     // GIR_Coverage, 59900,
     /*  273520 */     GIR_EraseRootFromParent_Done,
     /*  273521 */   // Label 5470: @273521
     /*  273521 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(273587), // Rule ID 59901 //
     /*  273526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  273537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  273565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273585 */     GIR_RootConstrainSelectedInstOperands,
     /*  273586 */     // GIR_Coverage, 59901,
     /*  273586 */     GIR_EraseRootFromParent_Done,
     /*  273587 */   // Label 5471: @273587
     /*  273587 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(273653), // Rule ID 59904 //
     /*  273592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  273603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  273631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273651 */     GIR_RootConstrainSelectedInstOperands,
     /*  273652 */     // GIR_Coverage, 59904,
     /*  273652 */     GIR_EraseRootFromParent_Done,
     /*  273653 */   // Label 5472: @273653
     /*  273653 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(273719), // Rule ID 59905 //
     /*  273658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  273669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  273697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273717 */     GIR_RootConstrainSelectedInstOperands,
     /*  273718 */     // GIR_Coverage, 59905,
     /*  273718 */     GIR_EraseRootFromParent_Done,
     /*  273719 */   // Label 5473: @273719
     /*  273719 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(273785), // Rule ID 59908 //
     /*  273724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  273735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  273763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273783 */     GIR_RootConstrainSelectedInstOperands,
     /*  273784 */     // GIR_Coverage, 59908,
     /*  273784 */     GIR_EraseRootFromParent_Done,
     /*  273785 */   // Label 5474: @273785
     /*  273785 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(273851), // Rule ID 59909 //
     /*  273790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  273801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  273829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273849 */     GIR_RootConstrainSelectedInstOperands,
     /*  273850 */     // GIR_Coverage, 59909,
     /*  273850 */     GIR_EraseRootFromParent_Done,
     /*  273851 */   // Label 5475: @273851
     /*  273851 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(273917), // Rule ID 59912 //
     /*  273856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  273867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  273873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  273895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273915 */     GIR_RootConstrainSelectedInstOperands,
     /*  273916 */     // GIR_Coverage, 59912,
     /*  273916 */     GIR_EraseRootFromParent_Done,
     /*  273917 */   // Label 5476: @273917
     /*  273917 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(273983), // Rule ID 59913 //
     /*  273922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  273933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  273939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  273961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  273964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273981 */     GIR_RootConstrainSelectedInstOperands,
     /*  273982 */     // GIR_Coverage, 59913,
     /*  273982 */     GIR_EraseRootFromParent_Done,
     /*  273983 */   // Label 5477: @273983
     /*  273983 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(274049), // Rule ID 59916 //
     /*  273988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  273999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274047 */     GIR_RootConstrainSelectedInstOperands,
     /*  274048 */     // GIR_Coverage, 59916,
     /*  274048 */     GIR_EraseRootFromParent_Done,
     /*  274049 */   // Label 5478: @274049
     /*  274049 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(274115), // Rule ID 59917 //
     /*  274054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  274065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274113 */     GIR_RootConstrainSelectedInstOperands,
     /*  274114 */     // GIR_Coverage, 59917,
     /*  274114 */     GIR_EraseRootFromParent_Done,
     /*  274115 */   // Label 5479: @274115
     /*  274115 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(274181), // Rule ID 59920 //
     /*  274120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  274131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  274159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274179 */     GIR_RootConstrainSelectedInstOperands,
     /*  274180 */     // GIR_Coverage, 59920,
     /*  274180 */     GIR_EraseRootFromParent_Done,
     /*  274181 */   // Label 5480: @274181
     /*  274181 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(274247), // Rule ID 59921 //
     /*  274186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  274197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  274225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274245 */     GIR_RootConstrainSelectedInstOperands,
     /*  274246 */     // GIR_Coverage, 59921,
     /*  274246 */     GIR_EraseRootFromParent_Done,
     /*  274247 */   // Label 5481: @274247
     /*  274247 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(274313), // Rule ID 59924 //
     /*  274252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  274263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  274291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274311 */     GIR_RootConstrainSelectedInstOperands,
     /*  274312 */     // GIR_Coverage, 59924,
     /*  274312 */     GIR_EraseRootFromParent_Done,
     /*  274313 */   // Label 5482: @274313
     /*  274313 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(274379), // Rule ID 59925 //
     /*  274318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  274329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  274357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274377 */     GIR_RootConstrainSelectedInstOperands,
     /*  274378 */     // GIR_Coverage, 59925,
     /*  274378 */     GIR_EraseRootFromParent_Done,
     /*  274379 */   // Label 5483: @274379
     /*  274379 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(274445), // Rule ID 59928 //
     /*  274384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  274395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  274423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274443 */     GIR_RootConstrainSelectedInstOperands,
     /*  274444 */     // GIR_Coverage, 59928,
     /*  274444 */     GIR_EraseRootFromParent_Done,
     /*  274445 */   // Label 5484: @274445
     /*  274445 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(274511), // Rule ID 59929 //
     /*  274450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  274461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274489 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  274489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274509 */     GIR_RootConstrainSelectedInstOperands,
     /*  274510 */     // GIR_Coverage, 59929,
     /*  274510 */     GIR_EraseRootFromParent_Done,
     /*  274511 */   // Label 5485: @274511
     /*  274511 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(274577), // Rule ID 59932 //
     /*  274516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  274527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274555 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  274558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274575 */     GIR_RootConstrainSelectedInstOperands,
     /*  274576 */     // GIR_Coverage, 59932,
     /*  274576 */     GIR_EraseRootFromParent_Done,
     /*  274577 */   // Label 5486: @274577
     /*  274577 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(274643), // Rule ID 59933 //
     /*  274582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  274593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  274624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274641 */     GIR_RootConstrainSelectedInstOperands,
     /*  274642 */     // GIR_Coverage, 59933,
     /*  274642 */     GIR_EraseRootFromParent_Done,
     /*  274643 */   // Label 5487: @274643
     /*  274643 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(274709), // Rule ID 59936 //
     /*  274648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  274659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  274690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274707 */     GIR_RootConstrainSelectedInstOperands,
     /*  274708 */     // GIR_Coverage, 59936,
     /*  274708 */     GIR_EraseRootFromParent_Done,
     /*  274709 */   // Label 5488: @274709
     /*  274709 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(274775), // Rule ID 59937 //
     /*  274714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  274725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  274756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274773 */     GIR_RootConstrainSelectedInstOperands,
     /*  274774 */     // GIR_Coverage, 59937,
     /*  274774 */     GIR_EraseRootFromParent_Done,
     /*  274775 */   // Label 5489: @274775
     /*  274775 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(274841), // Rule ID 59940 //
     /*  274780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  274791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  274822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274839 */     GIR_RootConstrainSelectedInstOperands,
     /*  274840 */     // GIR_Coverage, 59940,
     /*  274840 */     GIR_EraseRootFromParent_Done,
     /*  274841 */   // Label 5490: @274841
     /*  274841 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(274907), // Rule ID 59941 //
     /*  274846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  274857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274885 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  274888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274905 */     GIR_RootConstrainSelectedInstOperands,
     /*  274906 */     // GIR_Coverage, 59941,
     /*  274906 */     GIR_EraseRootFromParent_Done,
     /*  274907 */   // Label 5491: @274907
     /*  274907 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(274973), // Rule ID 59944 //
     /*  274912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  274923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  274929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274951 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  274951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  274954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274971 */     GIR_RootConstrainSelectedInstOperands,
     /*  274972 */     // GIR_Coverage, 59944,
     /*  274972 */     GIR_EraseRootFromParent_Done,
     /*  274973 */   // Label 5492: @274973
     /*  274973 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(275039), // Rule ID 59945 //
     /*  274978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  274989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  274995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275037 */     GIR_RootConstrainSelectedInstOperands,
     /*  275038 */     // GIR_Coverage, 59945,
     /*  275038 */     GIR_EraseRootFromParent_Done,
     /*  275039 */   // Label 5493: @275039
     /*  275039 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(275105), // Rule ID 59948 //
     /*  275044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  275055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  275083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275103 */     GIR_RootConstrainSelectedInstOperands,
     /*  275104 */     // GIR_Coverage, 59948,
     /*  275104 */     GIR_EraseRootFromParent_Done,
     /*  275105 */   // Label 5494: @275105
     /*  275105 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(275171), // Rule ID 59949 //
     /*  275110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  275121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275169 */     GIR_RootConstrainSelectedInstOperands,
     /*  275170 */     // GIR_Coverage, 59949,
     /*  275170 */     GIR_EraseRootFromParent_Done,
     /*  275171 */   // Label 5495: @275171
     /*  275171 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(275237), // Rule ID 59952 //
     /*  275176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  275187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275215 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  275215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275235 */     GIR_RootConstrainSelectedInstOperands,
     /*  275236 */     // GIR_Coverage, 59952,
     /*  275236 */     GIR_EraseRootFromParent_Done,
     /*  275237 */   // Label 5496: @275237
     /*  275237 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(275303), // Rule ID 59953 //
     /*  275242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  275253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275301 */     GIR_RootConstrainSelectedInstOperands,
     /*  275302 */     // GIR_Coverage, 59953,
     /*  275302 */     GIR_EraseRootFromParent_Done,
     /*  275303 */   // Label 5497: @275303
     /*  275303 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(275369), // Rule ID 59956 //
     /*  275308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  275319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  275347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275367 */     GIR_RootConstrainSelectedInstOperands,
     /*  275368 */     // GIR_Coverage, 59956,
     /*  275368 */     GIR_EraseRootFromParent_Done,
     /*  275369 */   // Label 5498: @275369
     /*  275369 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(275435), // Rule ID 59957 //
     /*  275374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  275385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  275413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275433 */     GIR_RootConstrainSelectedInstOperands,
     /*  275434 */     // GIR_Coverage, 59957,
     /*  275434 */     GIR_EraseRootFromParent_Done,
     /*  275435 */   // Label 5499: @275435
     /*  275435 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(275501), // Rule ID 59960 //
     /*  275440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  275451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275479 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  275479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275499 */     GIR_RootConstrainSelectedInstOperands,
     /*  275500 */     // GIR_Coverage, 59960,
     /*  275500 */     GIR_EraseRootFromParent_Done,
     /*  275501 */   // Label 5500: @275501
     /*  275501 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(275567), // Rule ID 59961 //
     /*  275506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  275517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  275545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275565 */     GIR_RootConstrainSelectedInstOperands,
     /*  275566 */     // GIR_Coverage, 59961,
     /*  275566 */     GIR_EraseRootFromParent_Done,
     /*  275567 */   // Label 5501: @275567
     /*  275567 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(275633), // Rule ID 59964 //
     /*  275572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  275583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  275611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275631 */     GIR_RootConstrainSelectedInstOperands,
     /*  275632 */     // GIR_Coverage, 59964,
     /*  275632 */     GIR_EraseRootFromParent_Done,
     /*  275633 */   // Label 5502: @275633
     /*  275633 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(275699), // Rule ID 59965 //
     /*  275638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  275649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  275677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275697 */     GIR_RootConstrainSelectedInstOperands,
     /*  275698 */     // GIR_Coverage, 59965,
     /*  275698 */     GIR_EraseRootFromParent_Done,
     /*  275699 */   // Label 5503: @275699
     /*  275699 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(275765), // Rule ID 59968 //
     /*  275704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  275715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  275743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275763 */     GIR_RootConstrainSelectedInstOperands,
     /*  275764 */     // GIR_Coverage, 59968,
     /*  275764 */     GIR_EraseRootFromParent_Done,
     /*  275765 */   // Label 5504: @275765
     /*  275765 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(275831), // Rule ID 59969 //
     /*  275770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  275781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  275809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275829 */     GIR_RootConstrainSelectedInstOperands,
     /*  275830 */     // GIR_Coverage, 59969,
     /*  275830 */     GIR_EraseRootFromParent_Done,
     /*  275831 */   // Label 5505: @275831
     /*  275831 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(275897), // Rule ID 59972 //
     /*  275836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  275847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  275875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275895 */     GIR_RootConstrainSelectedInstOperands,
     /*  275896 */     // GIR_Coverage, 59972,
     /*  275896 */     GIR_EraseRootFromParent_Done,
     /*  275897 */   // Label 5506: @275897
     /*  275897 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(275963), // Rule ID 59973 //
     /*  275902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  275913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  275941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275961 */     GIR_RootConstrainSelectedInstOperands,
     /*  275962 */     // GIR_Coverage, 59973,
     /*  275962 */     GIR_EraseRootFromParent_Done,
     /*  275963 */   // Label 5507: @275963
     /*  275963 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(276029), // Rule ID 59976 //
     /*  275968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  275979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  275985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  276007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276027 */     GIR_RootConstrainSelectedInstOperands,
     /*  276028 */     // GIR_Coverage, 59976,
     /*  276028 */     GIR_EraseRootFromParent_Done,
     /*  276029 */   // Label 5508: @276029
     /*  276029 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(276095), // Rule ID 59977 //
     /*  276034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  276045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  276073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276093 */     GIR_RootConstrainSelectedInstOperands,
     /*  276094 */     // GIR_Coverage, 59977,
     /*  276094 */     GIR_EraseRootFromParent_Done,
     /*  276095 */   // Label 5509: @276095
     /*  276095 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(276161), // Rule ID 59980 //
     /*  276100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  276111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  276117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276139 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  276142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276159 */     GIR_RootConstrainSelectedInstOperands,
     /*  276160 */     // GIR_Coverage, 59980,
     /*  276160 */     GIR_EraseRootFromParent_Done,
     /*  276161 */   // Label 5510: @276161
     /*  276161 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(276227), // Rule ID 59981 //
     /*  276166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  276177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  276183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276205 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  276208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276225 */     GIR_RootConstrainSelectedInstOperands,
     /*  276226 */     // GIR_Coverage, 59981,
     /*  276226 */     GIR_EraseRootFromParent_Done,
     /*  276227 */   // Label 5511: @276227
     /*  276227 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(276293), // Rule ID 59984 //
     /*  276232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  276243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  276249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276291 */     GIR_RootConstrainSelectedInstOperands,
     /*  276292 */     // GIR_Coverage, 59984,
     /*  276292 */     GIR_EraseRootFromParent_Done,
     /*  276293 */   // Label 5512: @276293
     /*  276293 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(276359), // Rule ID 59985 //
     /*  276298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  276309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  276315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276357 */     GIR_RootConstrainSelectedInstOperands,
     /*  276358 */     // GIR_Coverage, 59985,
     /*  276358 */     GIR_EraseRootFromParent_Done,
     /*  276359 */   // Label 5513: @276359
     /*  276359 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(276425), // Rule ID 59988 //
     /*  276364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  276375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  276381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276423 */     GIR_RootConstrainSelectedInstOperands,
     /*  276424 */     // GIR_Coverage, 59988,
     /*  276424 */     GIR_EraseRootFromParent_Done,
     /*  276425 */   // Label 5514: @276425
     /*  276425 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(276491), // Rule ID 59989 //
     /*  276430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  276441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  276447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276469 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276489 */     GIR_RootConstrainSelectedInstOperands,
     /*  276490 */     // GIR_Coverage, 59989,
     /*  276490 */     GIR_EraseRootFromParent_Done,
     /*  276491 */   // Label 5515: @276491
     /*  276491 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(276557), // Rule ID 59992 //
     /*  276496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  276507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  276513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276535 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  276535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276555 */     GIR_RootConstrainSelectedInstOperands,
     /*  276556 */     // GIR_Coverage, 59992,
     /*  276556 */     GIR_EraseRootFromParent_Done,
     /*  276557 */   // Label 5516: @276557
     /*  276557 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(276623), // Rule ID 59993 //
     /*  276562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  276573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  276579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  276601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276621 */     GIR_RootConstrainSelectedInstOperands,
     /*  276622 */     // GIR_Coverage, 59993,
     /*  276622 */     GIR_EraseRootFromParent_Done,
     /*  276623 */   // Label 5517: @276623
     /*  276623 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(276689), // Rule ID 59996 //
     /*  276628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  276639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  276645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  276667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276687 */     GIR_RootConstrainSelectedInstOperands,
     /*  276688 */     // GIR_Coverage, 59996,
     /*  276688 */     GIR_EraseRootFromParent_Done,
     /*  276689 */   // Label 5518: @276689
     /*  276689 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(276755), // Rule ID 59997 //
     /*  276694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  276705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  276711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  276733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276753 */     GIR_RootConstrainSelectedInstOperands,
     /*  276754 */     // GIR_Coverage, 59997,
     /*  276754 */     GIR_EraseRootFromParent_Done,
     /*  276755 */   // Label 5519: @276755
     /*  276755 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(276821), // Rule ID 60000 //
     /*  276760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  276771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  276777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  276799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276819 */     GIR_RootConstrainSelectedInstOperands,
     /*  276820 */     // GIR_Coverage, 60000,
     /*  276820 */     GIR_EraseRootFromParent_Done,
     /*  276821 */   // Label 5520: @276821
     /*  276821 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(276887), // Rule ID 60001 //
     /*  276826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  276837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  276843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  276865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276885 */     GIR_RootConstrainSelectedInstOperands,
     /*  276886 */     // GIR_Coverage, 60001,
     /*  276886 */     GIR_EraseRootFromParent_Done,
     /*  276887 */   // Label 5521: @276887
     /*  276887 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(276953), // Rule ID 60004 //
     /*  276892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  276903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  276909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276931 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  276934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276951 */     GIR_RootConstrainSelectedInstOperands,
     /*  276952 */     // GIR_Coverage, 60004,
     /*  276952 */     GIR_EraseRootFromParent_Done,
     /*  276953 */   // Label 5522: @276953
     /*  276953 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(277019), // Rule ID 60005 //
     /*  276958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  276969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  276975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10824:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277017 */     GIR_RootConstrainSelectedInstOperands,
     /*  277018 */     // GIR_Coverage, 60005,
     /*  277018 */     GIR_EraseRootFromParent_Done,
     /*  277019 */   // Label 5523: @277019
     /*  277019 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(277085), // Rule ID 60008 //
     /*  277024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  277035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  277041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277083 */     GIR_RootConstrainSelectedInstOperands,
     /*  277084 */     // GIR_Coverage, 60008,
     /*  277084 */     GIR_EraseRootFromParent_Done,
     /*  277085 */   // Label 5524: @277085
     /*  277085 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(277151), // Rule ID 60009 //
     /*  277090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  277101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  277107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  277129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277149 */     GIR_RootConstrainSelectedInstOperands,
     /*  277150 */     // GIR_Coverage, 60009,
     /*  277150 */     GIR_EraseRootFromParent_Done,
     /*  277151 */   // Label 5525: @277151
     /*  277151 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(277217), // Rule ID 60012 //
     /*  277156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  277167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  277173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277195 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  277195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277215 */     GIR_RootConstrainSelectedInstOperands,
     /*  277216 */     // GIR_Coverage, 60012,
     /*  277216 */     GIR_EraseRootFromParent_Done,
     /*  277217 */   // Label 5526: @277217
     /*  277217 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(277283), // Rule ID 60013 //
     /*  277222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  277233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  277239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  277261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277281 */     GIR_RootConstrainSelectedInstOperands,
     /*  277282 */     // GIR_Coverage, 60013,
     /*  277282 */     GIR_EraseRootFromParent_Done,
     /*  277283 */   // Label 5527: @277283
     /*  277283 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(277349), // Rule ID 60016 //
     /*  277288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  277299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  277305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  277327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277347 */     GIR_RootConstrainSelectedInstOperands,
     /*  277348 */     // GIR_Coverage, 60016,
     /*  277348 */     GIR_EraseRootFromParent_Done,
     /*  277349 */   // Label 5528: @277349
     /*  277349 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(277415), // Rule ID 60017 //
     /*  277354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  277365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  277371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  277393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277413 */     GIR_RootConstrainSelectedInstOperands,
     /*  277414 */     // GIR_Coverage, 60017,
     /*  277414 */     GIR_EraseRootFromParent_Done,
     /*  277415 */   // Label 5529: @277415
     /*  277415 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(277481), // Rule ID 60020 //
     /*  277420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  277431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  277437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  277459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  277462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277479 */     GIR_RootConstrainSelectedInstOperands,
     /*  277480 */     // GIR_Coverage, 60020,
     /*  277480 */     GIR_EraseRootFromParent_Done,
     /*  277481 */   // Label 5530: @277481
     /*  277481 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(277547), // Rule ID 60021 //
     /*  277486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  277497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  277503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  277525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  277528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277545 */     GIR_RootConstrainSelectedInstOperands,
     /*  277546 */     // GIR_Coverage, 60021,
     /*  277546 */     GIR_EraseRootFromParent_Done,
     /*  277547 */   // Label 5531: @277547
     /*  277547 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(277613), // Rule ID 60024 //
     /*  277552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  277563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  277569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277591 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  277591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  277594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277611 */     GIR_RootConstrainSelectedInstOperands,
     /*  277612 */     // GIR_Coverage, 60024,
     /*  277612 */     GIR_EraseRootFromParent_Done,
     /*  277613 */   // Label 5532: @277613
     /*  277613 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(277679), // Rule ID 60025 //
     /*  277618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  277629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  277635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277657 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  277657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  277660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277677 */     GIR_RootConstrainSelectedInstOperands,
     /*  277678 */     // GIR_Coverage, 60025,
     /*  277678 */     GIR_EraseRootFromParent_Done,
     /*  277679 */   // Label 5533: @277679
     /*  277679 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(277745), // Rule ID 60028 //
     /*  277684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  277695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  277701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277723 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  277723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  277726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277743 */     GIR_RootConstrainSelectedInstOperands,
     /*  277744 */     // GIR_Coverage, 60028,
     /*  277744 */     GIR_EraseRootFromParent_Done,
     /*  277745 */   // Label 5534: @277745
     /*  277745 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(277811), // Rule ID 60029 //
     /*  277750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  277761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  277767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277789 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  277789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  277792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277809 */     GIR_RootConstrainSelectedInstOperands,
     /*  277810 */     // GIR_Coverage, 60029,
     /*  277810 */     GIR_EraseRootFromParent_Done,
     /*  277811 */   // Label 5535: @277811
     /*  277811 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(277877), // Rule ID 60032 //
     /*  277816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  277827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  277833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  277858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277875 */     GIR_RootConstrainSelectedInstOperands,
     /*  277876 */     // GIR_Coverage, 60032,
     /*  277876 */     GIR_EraseRootFromParent_Done,
     /*  277877 */   // Label 5536: @277877
     /*  277877 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(277943), // Rule ID 60033 //
     /*  277882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  277893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  277899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  277921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  277924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277941 */     GIR_RootConstrainSelectedInstOperands,
     /*  277942 */     // GIR_Coverage, 60033,
     /*  277942 */     GIR_EraseRootFromParent_Done,
     /*  277943 */   // Label 5537: @277943
     /*  277943 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(278009), // Rule ID 60036 //
     /*  277948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  277959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  277965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  277990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278007 */     GIR_RootConstrainSelectedInstOperands,
     /*  278008 */     // GIR_Coverage, 60036,
     /*  278008 */     GIR_EraseRootFromParent_Done,
     /*  278009 */   // Label 5538: @278009
     /*  278009 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(278075), // Rule ID 60037 //
     /*  278014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  278025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  278031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278053 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  278053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278073 */     GIR_RootConstrainSelectedInstOperands,
     /*  278074 */     // GIR_Coverage, 60037,
     /*  278074 */     GIR_EraseRootFromParent_Done,
     /*  278075 */   // Label 5539: @278075
     /*  278075 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(278141), // Rule ID 60040 //
     /*  278080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  278091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  278097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  278119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278139 */     GIR_RootConstrainSelectedInstOperands,
     /*  278140 */     // GIR_Coverage, 60040,
     /*  278140 */     GIR_EraseRootFromParent_Done,
     /*  278141 */   // Label 5540: @278141
     /*  278141 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(278207), // Rule ID 60041 //
     /*  278146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  278157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  278163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  278185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278205 */     GIR_RootConstrainSelectedInstOperands,
     /*  278206 */     // GIR_Coverage, 60041,
     /*  278206 */     GIR_EraseRootFromParent_Done,
     /*  278207 */   // Label 5541: @278207
     /*  278207 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(278273), // Rule ID 60044 //
     /*  278212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  278223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  278229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  278251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278271 */     GIR_RootConstrainSelectedInstOperands,
     /*  278272 */     // GIR_Coverage, 60044,
     /*  278272 */     GIR_EraseRootFromParent_Done,
     /*  278273 */   // Label 5542: @278273
     /*  278273 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(278339), // Rule ID 60045 //
     /*  278278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  278289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  278295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  278317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278337 */     GIR_RootConstrainSelectedInstOperands,
     /*  278338 */     // GIR_Coverage, 60045,
     /*  278338 */     GIR_EraseRootFromParent_Done,
     /*  278339 */   // Label 5543: @278339
     /*  278339 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(278405), // Rule ID 60048 //
     /*  278344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  278355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  278361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  278383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278403 */     GIR_RootConstrainSelectedInstOperands,
     /*  278404 */     // GIR_Coverage, 60048,
     /*  278404 */     GIR_EraseRootFromParent_Done,
     /*  278405 */   // Label 5544: @278405
     /*  278405 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(278471), // Rule ID 60049 //
     /*  278410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  278421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  278427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  278449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278469 */     GIR_RootConstrainSelectedInstOperands,
     /*  278470 */     // GIR_Coverage, 60049,
     /*  278470 */     GIR_EraseRootFromParent_Done,
     /*  278471 */   // Label 5545: @278471
     /*  278471 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(278537), // Rule ID 60052 //
     /*  278476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  278487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  278493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  278515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278535 */     GIR_RootConstrainSelectedInstOperands,
     /*  278536 */     // GIR_Coverage, 60052,
     /*  278536 */     GIR_EraseRootFromParent_Done,
     /*  278537 */   // Label 5546: @278537
     /*  278537 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(278603), // Rule ID 60053 //
     /*  278542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  278553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  278559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  278581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278601 */     GIR_RootConstrainSelectedInstOperands,
     /*  278602 */     // GIR_Coverage, 60053,
     /*  278602 */     GIR_EraseRootFromParent_Done,
     /*  278603 */   // Label 5547: @278603
     /*  278603 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(278669), // Rule ID 60056 //
     /*  278608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  278619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  278625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  278647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278667 */     GIR_RootConstrainSelectedInstOperands,
     /*  278668 */     // GIR_Coverage, 60056,
     /*  278668 */     GIR_EraseRootFromParent_Done,
     /*  278669 */   // Label 5548: @278669
     /*  278669 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(278735), // Rule ID 60057 //
     /*  278674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  278685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  278691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  278713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278733 */     GIR_RootConstrainSelectedInstOperands,
     /*  278734 */     // GIR_Coverage, 60057,
     /*  278734 */     GIR_EraseRootFromParent_Done,
     /*  278735 */   // Label 5549: @278735
     /*  278735 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(278801), // Rule ID 60060 //
     /*  278740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  278751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  278757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  278779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278799 */     GIR_RootConstrainSelectedInstOperands,
     /*  278800 */     // GIR_Coverage, 60060,
     /*  278800 */     GIR_EraseRootFromParent_Done,
     /*  278801 */   // Label 5550: @278801
     /*  278801 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(278867), // Rule ID 60061 //
     /*  278806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  278817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  278823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  278845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278865 */     GIR_RootConstrainSelectedInstOperands,
     /*  278866 */     // GIR_Coverage, 60061,
     /*  278866 */     GIR_EraseRootFromParent_Done,
     /*  278867 */   // Label 5551: @278867
     /*  278867 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(278933), // Rule ID 60064 //
     /*  278872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  278883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  278889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278911 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  278911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278931 */     GIR_RootConstrainSelectedInstOperands,
     /*  278932 */     // GIR_Coverage, 60064,
     /*  278932 */     GIR_EraseRootFromParent_Done,
     /*  278933 */   // Label 5552: @278933
     /*  278933 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(278999), // Rule ID 60065 //
     /*  278938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  278949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  278955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  278977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278997 */     GIR_RootConstrainSelectedInstOperands,
     /*  278998 */     // GIR_Coverage, 60065,
     /*  278998 */     GIR_EraseRootFromParent_Done,
     /*  278999 */   // Label 5553: @278999
     /*  278999 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(279065), // Rule ID 60068 //
     /*  279004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  279015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  279046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279063 */     GIR_RootConstrainSelectedInstOperands,
     /*  279064 */     // GIR_Coverage, 60068,
     /*  279064 */     GIR_EraseRootFromParent_Done,
     /*  279065 */   // Label 5554: @279065
     /*  279065 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(279131), // Rule ID 60069 //
     /*  279070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  279081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  279112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279129 */     GIR_RootConstrainSelectedInstOperands,
     /*  279130 */     // GIR_Coverage, 60069,
     /*  279130 */     GIR_EraseRootFromParent_Done,
     /*  279131 */   // Label 5555: @279131
     /*  279131 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(279197), // Rule ID 60072 //
     /*  279136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  279147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279195 */     GIR_RootConstrainSelectedInstOperands,
     /*  279196 */     // GIR_Coverage, 60072,
     /*  279196 */     GIR_EraseRootFromParent_Done,
     /*  279197 */   // Label 5556: @279197
     /*  279197 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(279263), // Rule ID 60073 //
     /*  279202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  279213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279261 */     GIR_RootConstrainSelectedInstOperands,
     /*  279262 */     // GIR_Coverage, 60073,
     /*  279262 */     GIR_EraseRootFromParent_Done,
     /*  279263 */   // Label 5557: @279263
     /*  279263 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(279329), // Rule ID 60076 //
     /*  279268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  279279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279327 */     GIR_RootConstrainSelectedInstOperands,
     /*  279328 */     // GIR_Coverage, 60076,
     /*  279328 */     GIR_EraseRootFromParent_Done,
     /*  279329 */   // Label 5558: @279329
     /*  279329 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(279395), // Rule ID 60077 //
     /*  279334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  279345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279393 */     GIR_RootConstrainSelectedInstOperands,
     /*  279394 */     // GIR_Coverage, 60077,
     /*  279394 */     GIR_EraseRootFromParent_Done,
     /*  279395 */   // Label 5559: @279395
     /*  279395 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(279461), // Rule ID 60080 //
     /*  279400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  279411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  279439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279459 */     GIR_RootConstrainSelectedInstOperands,
     /*  279460 */     // GIR_Coverage, 60080,
     /*  279460 */     GIR_EraseRootFromParent_Done,
     /*  279461 */   // Label 5560: @279461
     /*  279461 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(279527), // Rule ID 60081 //
     /*  279466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  279477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  279505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279525 */     GIR_RootConstrainSelectedInstOperands,
     /*  279526 */     // GIR_Coverage, 60081,
     /*  279526 */     GIR_EraseRootFromParent_Done,
     /*  279527 */   // Label 5561: @279527
     /*  279527 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(279593), // Rule ID 60084 //
     /*  279532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  279543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  279571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279591 */     GIR_RootConstrainSelectedInstOperands,
     /*  279592 */     // GIR_Coverage, 60084,
     /*  279592 */     GIR_EraseRootFromParent_Done,
     /*  279593 */   // Label 5562: @279593
     /*  279593 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(279659), // Rule ID 60085 //
     /*  279598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  279609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279637 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  279637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279657 */     GIR_RootConstrainSelectedInstOperands,
     /*  279658 */     // GIR_Coverage, 60085,
     /*  279658 */     GIR_EraseRootFromParent_Done,
     /*  279659 */   // Label 5563: @279659
     /*  279659 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(279725), // Rule ID 60088 //
     /*  279664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  279675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279703 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  279703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279723 */     GIR_RootConstrainSelectedInstOperands,
     /*  279724 */     // GIR_Coverage, 60088,
     /*  279724 */     GIR_EraseRootFromParent_Done,
     /*  279725 */   // Label 5564: @279725
     /*  279725 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(279791), // Rule ID 60089 //
     /*  279730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  279741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  279769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279789 */     GIR_RootConstrainSelectedInstOperands,
     /*  279790 */     // GIR_Coverage, 60089,
     /*  279790 */     GIR_EraseRootFromParent_Done,
     /*  279791 */   // Label 5565: @279791
     /*  279791 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(279857), // Rule ID 60092 //
     /*  279796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  279807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  279838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279855 */     GIR_RootConstrainSelectedInstOperands,
     /*  279856 */     // GIR_Coverage, 60092,
     /*  279856 */     GIR_EraseRootFromParent_Done,
     /*  279857 */   // Label 5566: @279857
     /*  279857 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(279923), // Rule ID 60093 //
     /*  279862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  279873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10831:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  279904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279921 */     GIR_RootConstrainSelectedInstOperands,
     /*  279922 */     // GIR_Coverage, 60093,
     /*  279922 */     GIR_EraseRootFromParent_Done,
     /*  279923 */   // Label 5567: @279923
     /*  279923 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(279989), // Rule ID 60096 //
     /*  279928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  279939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  279967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  279970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279987 */     GIR_RootConstrainSelectedInstOperands,
     /*  279988 */     // GIR_Coverage, 60096,
     /*  279988 */     GIR_EraseRootFromParent_Done,
     /*  279989 */   // Label 5568: @279989
     /*  279989 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(280055), // Rule ID 60097 //
     /*  279994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  280005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280053 */     GIR_RootConstrainSelectedInstOperands,
     /*  280054 */     // GIR_Coverage, 60097,
     /*  280054 */     GIR_EraseRootFromParent_Done,
     /*  280055 */   // Label 5569: @280055
     /*  280055 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(280121), // Rule ID 60100 //
     /*  280060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  280071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  280099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280119 */     GIR_RootConstrainSelectedInstOperands,
     /*  280120 */     // GIR_Coverage, 60100,
     /*  280120 */     GIR_EraseRootFromParent_Done,
     /*  280121 */   // Label 5570: @280121
     /*  280121 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(280187), // Rule ID 60101 //
     /*  280126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  280137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  280165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280185 */     GIR_RootConstrainSelectedInstOperands,
     /*  280186 */     // GIR_Coverage, 60101,
     /*  280186 */     GIR_EraseRootFromParent_Done,
     /*  280187 */   // Label 5571: @280187
     /*  280187 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(280253), // Rule ID 60104 //
     /*  280192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  280203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280231 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  280231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280251 */     GIR_RootConstrainSelectedInstOperands,
     /*  280252 */     // GIR_Coverage, 60104,
     /*  280252 */     GIR_EraseRootFromParent_Done,
     /*  280253 */   // Label 5572: @280253
     /*  280253 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(280319), // Rule ID 60105 //
     /*  280258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  280269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  280297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280317 */     GIR_RootConstrainSelectedInstOperands,
     /*  280318 */     // GIR_Coverage, 60105,
     /*  280318 */     GIR_EraseRootFromParent_Done,
     /*  280319 */   // Label 5573: @280319
     /*  280319 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(280385), // Rule ID 60108 //
     /*  280324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  280335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280383 */     GIR_RootConstrainSelectedInstOperands,
     /*  280384 */     // GIR_Coverage, 60108,
     /*  280384 */     GIR_EraseRootFromParent_Done,
     /*  280385 */   // Label 5574: @280385
     /*  280385 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(280451), // Rule ID 60109 //
     /*  280390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  280401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280429 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  280429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280449 */     GIR_RootConstrainSelectedInstOperands,
     /*  280450 */     // GIR_Coverage, 60109,
     /*  280450 */     GIR_EraseRootFromParent_Done,
     /*  280451 */   // Label 5575: @280451
     /*  280451 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(280517), // Rule ID 60112 //
     /*  280456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  280467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280495 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  280498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280515 */     GIR_RootConstrainSelectedInstOperands,
     /*  280516 */     // GIR_Coverage, 60112,
     /*  280516 */     GIR_EraseRootFromParent_Done,
     /*  280517 */   // Label 5576: @280517
     /*  280517 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(280583), // Rule ID 60113 //
     /*  280522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  280533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  280561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  280564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280581 */     GIR_RootConstrainSelectedInstOperands,
     /*  280582 */     // GIR_Coverage, 60113,
     /*  280582 */     GIR_EraseRootFromParent_Done,
     /*  280583 */   // Label 5577: @280583
     /*  280583 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(280649), // Rule ID 60116 //
     /*  280588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  280599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  280630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280647 */     GIR_RootConstrainSelectedInstOperands,
     /*  280648 */     // GIR_Coverage, 60116,
     /*  280648 */     GIR_EraseRootFromParent_Done,
     /*  280649 */   // Label 5578: @280649
     /*  280649 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(280715), // Rule ID 60117 //
     /*  280654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  280665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280693 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  280693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  280696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280713 */     GIR_RootConstrainSelectedInstOperands,
     /*  280714 */     // GIR_Coverage, 60117,
     /*  280714 */     GIR_EraseRootFromParent_Done,
     /*  280715 */   // Label 5579: @280715
     /*  280715 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(280781), // Rule ID 60120 //
     /*  280720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  280731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280759 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  280759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280779 */     GIR_RootConstrainSelectedInstOperands,
     /*  280780 */     // GIR_Coverage, 60120,
     /*  280780 */     GIR_EraseRootFromParent_Done,
     /*  280781 */   // Label 5580: @280781
     /*  280781 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(280847), // Rule ID 60121 //
     /*  280786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  280797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280825 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280845 */     GIR_RootConstrainSelectedInstOperands,
     /*  280846 */     // GIR_Coverage, 60121,
     /*  280846 */     GIR_EraseRootFromParent_Done,
     /*  280847 */   // Label 5581: @280847
     /*  280847 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(280913), // Rule ID 60124 //
     /*  280852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  280863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  280891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  280894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280911 */     GIR_RootConstrainSelectedInstOperands,
     /*  280912 */     // GIR_Coverage, 60124,
     /*  280912 */     GIR_EraseRootFromParent_Done,
     /*  280913 */   // Label 5582: @280913
     /*  280913 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(280979), // Rule ID 60125 //
     /*  280918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  280929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  280960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280977 */     GIR_RootConstrainSelectedInstOperands,
     /*  280978 */     // GIR_Coverage, 60125,
     /*  280978 */     GIR_EraseRootFromParent_Done,
     /*  280979 */   // Label 5583: @280979
     /*  280979 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(281045), // Rule ID 60128 //
     /*  280984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  280995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281023 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  281023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281043 */     GIR_RootConstrainSelectedInstOperands,
     /*  281044 */     // GIR_Coverage, 60128,
     /*  281044 */     GIR_EraseRootFromParent_Done,
     /*  281045 */   // Label 5584: @281045
     /*  281045 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(281111), // Rule ID 60129 //
     /*  281050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  281061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  281089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281109 */     GIR_RootConstrainSelectedInstOperands,
     /*  281110 */     // GIR_Coverage, 60129,
     /*  281110 */     GIR_EraseRootFromParent_Done,
     /*  281111 */   // Label 5585: @281111
     /*  281111 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(281177), // Rule ID 60132 //
     /*  281116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  281127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281175 */     GIR_RootConstrainSelectedInstOperands,
     /*  281176 */     // GIR_Coverage, 60132,
     /*  281176 */     GIR_EraseRootFromParent_Done,
     /*  281177 */   // Label 5586: @281177
     /*  281177 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(281243), // Rule ID 60133 //
     /*  281182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  281193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281241 */     GIR_RootConstrainSelectedInstOperands,
     /*  281242 */     // GIR_Coverage, 60133,
     /*  281242 */     GIR_EraseRootFromParent_Done,
     /*  281243 */   // Label 5587: @281243
     /*  281243 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(281309), // Rule ID 60136 //
     /*  281248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  281259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281307 */     GIR_RootConstrainSelectedInstOperands,
     /*  281308 */     // GIR_Coverage, 60136,
     /*  281308 */     GIR_EraseRootFromParent_Done,
     /*  281309 */   // Label 5588: @281309
     /*  281309 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(281375), // Rule ID 60137 //
     /*  281314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  281325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281353 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281373 */     GIR_RootConstrainSelectedInstOperands,
     /*  281374 */     // GIR_Coverage, 60137,
     /*  281374 */     GIR_EraseRootFromParent_Done,
     /*  281375 */   // Label 5589: @281375
     /*  281375 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(281441), // Rule ID 60140 //
     /*  281380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  281391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281439 */     GIR_RootConstrainSelectedInstOperands,
     /*  281440 */     // GIR_Coverage, 60140,
     /*  281440 */     GIR_EraseRootFromParent_Done,
     /*  281441 */   // Label 5590: @281441
     /*  281441 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(281507), // Rule ID 60141 //
     /*  281446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  281457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281485 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281505 */     GIR_RootConstrainSelectedInstOperands,
     /*  281506 */     // GIR_Coverage, 60141,
     /*  281506 */     GIR_EraseRootFromParent_Done,
     /*  281507 */   // Label 5591: @281507
     /*  281507 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(281573), // Rule ID 60144 //
     /*  281512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  281523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  281551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281571 */     GIR_RootConstrainSelectedInstOperands,
     /*  281572 */     // GIR_Coverage, 60144,
     /*  281572 */     GIR_EraseRootFromParent_Done,
     /*  281573 */   // Label 5592: @281573
     /*  281573 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(281639), // Rule ID 60145 //
     /*  281578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  281589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  281617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281637 */     GIR_RootConstrainSelectedInstOperands,
     /*  281638 */     // GIR_Coverage, 60145,
     /*  281638 */     GIR_EraseRootFromParent_Done,
     /*  281639 */   // Label 5593: @281639
     /*  281639 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(281705), // Rule ID 60148 //
     /*  281644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  281655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  281683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281703 */     GIR_RootConstrainSelectedInstOperands,
     /*  281704 */     // GIR_Coverage, 60148,
     /*  281704 */     GIR_EraseRootFromParent_Done,
     /*  281705 */   // Label 5594: @281705
     /*  281705 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(281771), // Rule ID 60149 //
     /*  281710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  281721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  281749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281769 */     GIR_RootConstrainSelectedInstOperands,
     /*  281770 */     // GIR_Coverage, 60149,
     /*  281770 */     GIR_EraseRootFromParent_Done,
     /*  281771 */   // Label 5595: @281771
     /*  281771 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(281837), // Rule ID 60152 //
     /*  281776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  281787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281815 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  281815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281835 */     GIR_RootConstrainSelectedInstOperands,
     /*  281836 */     // GIR_Coverage, 60152,
     /*  281836 */     GIR_EraseRootFromParent_Done,
     /*  281837 */   // Label 5596: @281837
     /*  281837 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(281903), // Rule ID 60153 //
     /*  281842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  281853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281881 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  281881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281901 */     GIR_RootConstrainSelectedInstOperands,
     /*  281902 */     // GIR_Coverage, 60153,
     /*  281902 */     GIR_EraseRootFromParent_Done,
     /*  281903 */   // Label 5597: @281903
     /*  281903 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(281969), // Rule ID 60156 //
     /*  281908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  281916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  281919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  281925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  281947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  281950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281967 */     GIR_RootConstrainSelectedInstOperands,
     /*  281968 */     // GIR_Coverage, 60156,
     /*  281968 */     GIR_EraseRootFromParent_Done,
     /*  281969 */   // Label 5598: @281969
     /*  281969 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(282035), // Rule ID 60157 //
     /*  281974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  281982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  281985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  281991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282013 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  282016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282033 */     GIR_RootConstrainSelectedInstOperands,
     /*  282034 */     // GIR_Coverage, 60157,
     /*  282034 */     GIR_EraseRootFromParent_Done,
     /*  282035 */   // Label 5599: @282035
     /*  282035 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(282101), // Rule ID 60160 //
     /*  282040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  282051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  282057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282079 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282099 */     GIR_RootConstrainSelectedInstOperands,
     /*  282100 */     // GIR_Coverage, 60160,
     /*  282100 */     GIR_EraseRootFromParent_Done,
     /*  282101 */   // Label 5600: @282101
     /*  282101 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(282167), // Rule ID 60161 //
     /*  282106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  282117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  282123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282145 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282165 */     GIR_RootConstrainSelectedInstOperands,
     /*  282166 */     // GIR_Coverage, 60161,
     /*  282166 */     GIR_EraseRootFromParent_Done,
     /*  282167 */   // Label 5601: @282167
     /*  282167 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(282233), // Rule ID 60164 //
     /*  282172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  282183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  282189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282231 */     GIR_RootConstrainSelectedInstOperands,
     /*  282232 */     // GIR_Coverage, 60164,
     /*  282232 */     GIR_EraseRootFromParent_Done,
     /*  282233 */   // Label 5602: @282233
     /*  282233 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(282299), // Rule ID 60165 //
     /*  282238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  282249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  282255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282297 */     GIR_RootConstrainSelectedInstOperands,
     /*  282298 */     // GIR_Coverage, 60165,
     /*  282298 */     GIR_EraseRootFromParent_Done,
     /*  282299 */   // Label 5603: @282299
     /*  282299 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(282365), // Rule ID 60168 //
     /*  282304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  282315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  282321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  282343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282363 */     GIR_RootConstrainSelectedInstOperands,
     /*  282364 */     // GIR_Coverage, 60168,
     /*  282364 */     GIR_EraseRootFromParent_Done,
     /*  282365 */   // Label 5604: @282365
     /*  282365 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(282431), // Rule ID 60169 //
     /*  282370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  282381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  282387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  282409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282429 */     GIR_RootConstrainSelectedInstOperands,
     /*  282430 */     // GIR_Coverage, 60169,
     /*  282430 */     GIR_EraseRootFromParent_Done,
     /*  282431 */   // Label 5605: @282431
     /*  282431 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(282497), // Rule ID 60172 //
     /*  282436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  282447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  282453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  282475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282495 */     GIR_RootConstrainSelectedInstOperands,
     /*  282496 */     // GIR_Coverage, 60172,
     /*  282496 */     GIR_EraseRootFromParent_Done,
     /*  282497 */   // Label 5606: @282497
     /*  282497 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(282563), // Rule ID 60173 //
     /*  282502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  282513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  282519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282541 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  282541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282561 */     GIR_RootConstrainSelectedInstOperands,
     /*  282562 */     // GIR_Coverage, 60173,
     /*  282562 */     GIR_EraseRootFromParent_Done,
     /*  282563 */   // Label 5607: @282563
     /*  282563 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(282629), // Rule ID 60176 //
     /*  282568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  282579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  282585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  282607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282627 */     GIR_RootConstrainSelectedInstOperands,
     /*  282628 */     // GIR_Coverage, 60176,
     /*  282628 */     GIR_EraseRootFromParent_Done,
     /*  282629 */   // Label 5608: @282629
     /*  282629 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(282695), // Rule ID 60177 //
     /*  282634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  282645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  282651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  282673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282693 */     GIR_RootConstrainSelectedInstOperands,
     /*  282694 */     // GIR_Coverage, 60177,
     /*  282694 */     GIR_EraseRootFromParent_Done,
     /*  282695 */   // Label 5609: @282695
     /*  282695 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(282761), // Rule ID 60180 //
     /*  282700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  282711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  282717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282739 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  282742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282759 */     GIR_RootConstrainSelectedInstOperands,
     /*  282760 */     // GIR_Coverage, 60180,
     /*  282760 */     GIR_EraseRootFromParent_Done,
     /*  282761 */   // Label 5610: @282761
     /*  282761 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(282827), // Rule ID 60181 //
     /*  282766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  282777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  282783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10829:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  282808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282825 */     GIR_RootConstrainSelectedInstOperands,
     /*  282826 */     // GIR_Coverage, 60181,
     /*  282826 */     GIR_EraseRootFromParent_Done,
     /*  282827 */   // Label 5611: @282827
     /*  282827 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(282893), // Rule ID 60184 //
     /*  282832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  282843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  282849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  282871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  282874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282891 */     GIR_RootConstrainSelectedInstOperands,
     /*  282892 */     // GIR_Coverage, 60184,
     /*  282892 */     GIR_EraseRootFromParent_Done,
     /*  282893 */   // Label 5612: @282893
     /*  282893 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(282959), // Rule ID 60185 //
     /*  282898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  282909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  282915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  282937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  282940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282957 */     GIR_RootConstrainSelectedInstOperands,
     /*  282958 */     // GIR_Coverage, 60185,
     /*  282958 */     GIR_EraseRootFromParent_Done,
     /*  282959 */   // Label 5613: @282959
     /*  282959 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(283025), // Rule ID 60188 //
     /*  282964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  282975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  282981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  283003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283023 */     GIR_RootConstrainSelectedInstOperands,
     /*  283024 */     // GIR_Coverage, 60188,
     /*  283024 */     GIR_EraseRootFromParent_Done,
     /*  283025 */   // Label 5614: @283025
     /*  283025 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(283091), // Rule ID 60189 //
     /*  283030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  283041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  283047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  283069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283089 */     GIR_RootConstrainSelectedInstOperands,
     /*  283090 */     // GIR_Coverage, 60189,
     /*  283090 */     GIR_EraseRootFromParent_Done,
     /*  283091 */   // Label 5615: @283091
     /*  283091 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(283157), // Rule ID 60192 //
     /*  283096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  283107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  283113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283135 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  283135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283155 */     GIR_RootConstrainSelectedInstOperands,
     /*  283156 */     // GIR_Coverage, 60192,
     /*  283156 */     GIR_EraseRootFromParent_Done,
     /*  283157 */   // Label 5616: @283157
     /*  283157 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(283223), // Rule ID 60193 //
     /*  283162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  283173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  283179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  283201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283221 */     GIR_RootConstrainSelectedInstOperands,
     /*  283222 */     // GIR_Coverage, 60193,
     /*  283222 */     GIR_EraseRootFromParent_Done,
     /*  283223 */   // Label 5617: @283223
     /*  283223 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(283289), // Rule ID 60196 //
     /*  283228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  283239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  283245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283287 */     GIR_RootConstrainSelectedInstOperands,
     /*  283288 */     // GIR_Coverage, 60196,
     /*  283288 */     GIR_EraseRootFromParent_Done,
     /*  283289 */   // Label 5618: @283289
     /*  283289 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(283355), // Rule ID 60197 //
     /*  283294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  283305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  283311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283333 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283353 */     GIR_RootConstrainSelectedInstOperands,
     /*  283354 */     // GIR_Coverage, 60197,
     /*  283354 */     GIR_EraseRootFromParent_Done,
     /*  283355 */   // Label 5619: @283355
     /*  283355 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(283421), // Rule ID 60200 //
     /*  283360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  283371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  283377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283419 */     GIR_RootConstrainSelectedInstOperands,
     /*  283420 */     // GIR_Coverage, 60200,
     /*  283420 */     GIR_EraseRootFromParent_Done,
     /*  283421 */   // Label 5620: @283421
     /*  283421 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(283487), // Rule ID 60201 //
     /*  283426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  283437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  283443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283465 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283485 */     GIR_RootConstrainSelectedInstOperands,
     /*  283486 */     // GIR_Coverage, 60201,
     /*  283486 */     GIR_EraseRootFromParent_Done,
     /*  283487 */   // Label 5621: @283487
     /*  283487 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(283553), // Rule ID 60204 //
     /*  283492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  283503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  283509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283531 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  283534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283551 */     GIR_RootConstrainSelectedInstOperands,
     /*  283552 */     // GIR_Coverage, 60204,
     /*  283552 */     GIR_EraseRootFromParent_Done,
     /*  283553 */   // Label 5622: @283553
     /*  283553 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(283619), // Rule ID 60205 //
     /*  283558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  283569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  283575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283597 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  283600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283617 */     GIR_RootConstrainSelectedInstOperands,
     /*  283618 */     // GIR_Coverage, 60205,
     /*  283618 */     GIR_EraseRootFromParent_Done,
     /*  283619 */   // Label 5623: @283619
     /*  283619 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(283685), // Rule ID 60208 //
     /*  283624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  283635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  283641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  283663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283683 */     GIR_RootConstrainSelectedInstOperands,
     /*  283684 */     // GIR_Coverage, 60208,
     /*  283684 */     GIR_EraseRootFromParent_Done,
     /*  283685 */   // Label 5624: @283685
     /*  283685 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(283751), // Rule ID 60209 //
     /*  283690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  283701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  283707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  283729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283749 */     GIR_RootConstrainSelectedInstOperands,
     /*  283750 */     // GIR_Coverage, 60209,
     /*  283750 */     GIR_EraseRootFromParent_Done,
     /*  283751 */   // Label 5625: @283751
     /*  283751 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(283817), // Rule ID 60212 //
     /*  283756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  283767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  283773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283795 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  283795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283815 */     GIR_RootConstrainSelectedInstOperands,
     /*  283816 */     // GIR_Coverage, 60212,
     /*  283816 */     GIR_EraseRootFromParent_Done,
     /*  283817 */   // Label 5626: @283817
     /*  283817 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(283883), // Rule ID 60213 //
     /*  283822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  283833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  283839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  283861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283881 */     GIR_RootConstrainSelectedInstOperands,
     /*  283882 */     // GIR_Coverage, 60213,
     /*  283882 */     GIR_EraseRootFromParent_Done,
     /*  283883 */   // Label 5627: @283883
     /*  283883 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(283949), // Rule ID 60216 //
     /*  283888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  283899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  283905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  283927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  283930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283947 */     GIR_RootConstrainSelectedInstOperands,
     /*  283948 */     // GIR_Coverage, 60216,
     /*  283948 */     GIR_EraseRootFromParent_Done,
     /*  283949 */   // Label 5628: @283949
     /*  283949 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(284015), // Rule ID 60217 //
     /*  283954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  283965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  283971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  283993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  283996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284013 */     GIR_RootConstrainSelectedInstOperands,
     /*  284014 */     // GIR_Coverage, 60217,
     /*  284014 */     GIR_EraseRootFromParent_Done,
     /*  284015 */   // Label 5629: @284015
     /*  284015 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(284081), // Rule ID 60220 //
     /*  284020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  284031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  284037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284079 */     GIR_RootConstrainSelectedInstOperands,
     /*  284080 */     // GIR_Coverage, 60220,
     /*  284080 */     GIR_EraseRootFromParent_Done,
     /*  284081 */   // Label 5630: @284081
     /*  284081 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(284147), // Rule ID 60221 //
     /*  284086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  284097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  284103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284145 */     GIR_RootConstrainSelectedInstOperands,
     /*  284146 */     // GIR_Coverage, 60221,
     /*  284146 */     GIR_EraseRootFromParent_Done,
     /*  284147 */   // Label 5631: @284147
     /*  284147 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(284213), // Rule ID 60224 //
     /*  284152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  284163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  284169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284211 */     GIR_RootConstrainSelectedInstOperands,
     /*  284212 */     // GIR_Coverage, 60224,
     /*  284212 */     GIR_EraseRootFromParent_Done,
     /*  284213 */   // Label 5632: @284213
     /*  284213 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(284279), // Rule ID 60225 //
     /*  284218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  284229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  284235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284277 */     GIR_RootConstrainSelectedInstOperands,
     /*  284278 */     // GIR_Coverage, 60225,
     /*  284278 */     GIR_EraseRootFromParent_Done,
     /*  284279 */   // Label 5633: @284279
     /*  284279 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(284345), // Rule ID 60228 //
     /*  284284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  284295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  284301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284323 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284343 */     GIR_RootConstrainSelectedInstOperands,
     /*  284344 */     // GIR_Coverage, 60228,
     /*  284344 */     GIR_EraseRootFromParent_Done,
     /*  284345 */   // Label 5634: @284345
     /*  284345 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(284411), // Rule ID 60229 //
     /*  284350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  284361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  284367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284409 */     GIR_RootConstrainSelectedInstOperands,
     /*  284410 */     // GIR_Coverage, 60229,
     /*  284410 */     GIR_EraseRootFromParent_Done,
     /*  284411 */   // Label 5635: @284411
     /*  284411 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(284477), // Rule ID 60232 //
     /*  284416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  284427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  284433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284455 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  284455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284475 */     GIR_RootConstrainSelectedInstOperands,
     /*  284476 */     // GIR_Coverage, 60232,
     /*  284476 */     GIR_EraseRootFromParent_Done,
     /*  284477 */   // Label 5636: @284477
     /*  284477 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(284543), // Rule ID 60233 //
     /*  284482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  284493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  284499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  284521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284541 */     GIR_RootConstrainSelectedInstOperands,
     /*  284542 */     // GIR_Coverage, 60233,
     /*  284542 */     GIR_EraseRootFromParent_Done,
     /*  284543 */   // Label 5637: @284543
     /*  284543 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(284609), // Rule ID 60236 //
     /*  284548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  284559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  284565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  284587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284607 */     GIR_RootConstrainSelectedInstOperands,
     /*  284608 */     // GIR_Coverage, 60236,
     /*  284608 */     GIR_EraseRootFromParent_Done,
     /*  284609 */   // Label 5638: @284609
     /*  284609 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(284675), // Rule ID 60237 //
     /*  284614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  284625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  284631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  284653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284673 */     GIR_RootConstrainSelectedInstOperands,
     /*  284674 */     // GIR_Coverage, 60237,
     /*  284674 */     GIR_EraseRootFromParent_Done,
     /*  284675 */   // Label 5639: @284675
     /*  284675 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(284741), // Rule ID 60240 //
     /*  284680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  284691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  284697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284719 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  284719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284739 */     GIR_RootConstrainSelectedInstOperands,
     /*  284740 */     // GIR_Coverage, 60240,
     /*  284740 */     GIR_EraseRootFromParent_Done,
     /*  284741 */   // Label 5640: @284741
     /*  284741 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(284807), // Rule ID 60241 //
     /*  284746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  284757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  284763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  284785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284805 */     GIR_RootConstrainSelectedInstOperands,
     /*  284806 */     // GIR_Coverage, 60241,
     /*  284806 */     GIR_EraseRootFromParent_Done,
     /*  284807 */   // Label 5641: @284807
     /*  284807 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(284873), // Rule ID 60664 //
     /*  284812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  284815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  284820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  284823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  284851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  284854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284871 */     GIR_RootConstrainSelectedInstOperands,
     /*  284872 */     // GIR_Coverage, 60664,
     /*  284872 */     GIR_EraseRootFromParent_Done,
     /*  284873 */   // Label 5642: @284873
     /*  284873 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(284939), // Rule ID 60665 //
     /*  284878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  284881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  284886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  284889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284917 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  284917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  284920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284937 */     GIR_RootConstrainSelectedInstOperands,
     /*  284938 */     // GIR_Coverage, 60665,
     /*  284938 */     GIR_EraseRootFromParent_Done,
     /*  284939 */   // Label 5643: @284939
     /*  284939 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(285005), // Rule ID 60668 //
     /*  284944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  284947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  284952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  284955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284983 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  284983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  284986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285003 */     GIR_RootConstrainSelectedInstOperands,
     /*  285004 */     // GIR_Coverage, 60668,
     /*  285004 */     GIR_EraseRootFromParent_Done,
     /*  285005 */   // Label 5644: @285005
     /*  285005 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(285071), // Rule ID 60669 //
     /*  285010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  285021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285069 */     GIR_RootConstrainSelectedInstOperands,
     /*  285070 */     // GIR_Coverage, 60669,
     /*  285070 */     GIR_EraseRootFromParent_Done,
     /*  285071 */   // Label 5645: @285071
     /*  285071 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(285137), // Rule ID 60672 //
     /*  285076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  285087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285115 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  285115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285135 */     GIR_RootConstrainSelectedInstOperands,
     /*  285136 */     // GIR_Coverage, 60672,
     /*  285136 */     GIR_EraseRootFromParent_Done,
     /*  285137 */   // Label 5646: @285137
     /*  285137 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(285203), // Rule ID 60673 //
     /*  285142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  285153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285181 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285201 */     GIR_RootConstrainSelectedInstOperands,
     /*  285202 */     // GIR_Coverage, 60673,
     /*  285202 */     GIR_EraseRootFromParent_Done,
     /*  285203 */   // Label 5647: @285203
     /*  285203 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(285269), // Rule ID 60676 //
     /*  285208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  285219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  285247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285267 */     GIR_RootConstrainSelectedInstOperands,
     /*  285268 */     // GIR_Coverage, 60676,
     /*  285268 */     GIR_EraseRootFromParent_Done,
     /*  285269 */   // Label 5648: @285269
     /*  285269 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(285335), // Rule ID 60677 //
     /*  285274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  285285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  285313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285333 */     GIR_RootConstrainSelectedInstOperands,
     /*  285334 */     // GIR_Coverage, 60677,
     /*  285334 */     GIR_EraseRootFromParent_Done,
     /*  285335 */   // Label 5649: @285335
     /*  285335 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(285401), // Rule ID 60680 //
     /*  285340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  285351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285379 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  285379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285399 */     GIR_RootConstrainSelectedInstOperands,
     /*  285400 */     // GIR_Coverage, 60680,
     /*  285400 */     GIR_EraseRootFromParent_Done,
     /*  285401 */   // Label 5650: @285401
     /*  285401 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(285467), // Rule ID 60681 //
     /*  285406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  285417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285445 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  285445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285465 */     GIR_RootConstrainSelectedInstOperands,
     /*  285466 */     // GIR_Coverage, 60681,
     /*  285466 */     GIR_EraseRootFromParent_Done,
     /*  285467 */   // Label 5651: @285467
     /*  285467 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(285533), // Rule ID 60684 //
     /*  285472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  285483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  285511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285531 */     GIR_RootConstrainSelectedInstOperands,
     /*  285532 */     // GIR_Coverage, 60684,
     /*  285532 */     GIR_EraseRootFromParent_Done,
     /*  285533 */   // Label 5652: @285533
     /*  285533 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(285599), // Rule ID 60685 //
     /*  285538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  285549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  285577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285597 */     GIR_RootConstrainSelectedInstOperands,
     /*  285598 */     // GIR_Coverage, 60685,
     /*  285598 */     GIR_EraseRootFromParent_Done,
     /*  285599 */   // Label 5653: @285599
     /*  285599 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(285665), // Rule ID 60688 //
     /*  285604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  285615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  285643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285663 */     GIR_RootConstrainSelectedInstOperands,
     /*  285664 */     // GIR_Coverage, 60688,
     /*  285664 */     GIR_EraseRootFromParent_Done,
     /*  285665 */   // Label 5654: @285665
     /*  285665 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(285731), // Rule ID 60689 //
     /*  285670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  285681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285729 */     GIR_RootConstrainSelectedInstOperands,
     /*  285730 */     // GIR_Coverage, 60689,
     /*  285730 */     GIR_EraseRootFromParent_Done,
     /*  285731 */   // Label 5655: @285731
     /*  285731 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(285797), // Rule ID 60692 //
     /*  285736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  285747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  285775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285795 */     GIR_RootConstrainSelectedInstOperands,
     /*  285796 */     // GIR_Coverage, 60692,
     /*  285796 */     GIR_EraseRootFromParent_Done,
     /*  285797 */   // Label 5656: @285797
     /*  285797 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(285863), // Rule ID 60693 //
     /*  285802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  285813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  285841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285861 */     GIR_RootConstrainSelectedInstOperands,
     /*  285862 */     // GIR_Coverage, 60693,
     /*  285862 */     GIR_EraseRootFromParent_Done,
     /*  285863 */   // Label 5657: @285863
     /*  285863 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(285929), // Rule ID 60696 //
     /*  285868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  285879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  285907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285927 */     GIR_RootConstrainSelectedInstOperands,
     /*  285928 */     // GIR_Coverage, 60696,
     /*  285928 */     GIR_EraseRootFromParent_Done,
     /*  285929 */   // Label 5658: @285929
     /*  285929 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(285995), // Rule ID 60697 //
     /*  285934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  285945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  285973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  285976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285993 */     GIR_RootConstrainSelectedInstOperands,
     /*  285994 */     // GIR_Coverage, 60697,
     /*  285994 */     GIR_EraseRootFromParent_Done,
     /*  285995 */   // Label 5659: @285995
     /*  285995 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(286061), // Rule ID 60700 //
     /*  286000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  286011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  286039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286059 */     GIR_RootConstrainSelectedInstOperands,
     /*  286060 */     // GIR_Coverage, 60700,
     /*  286060 */     GIR_EraseRootFromParent_Done,
     /*  286061 */   // Label 5660: @286061
     /*  286061 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(286127), // Rule ID 60701 //
     /*  286066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  286077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  286105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286125 */     GIR_RootConstrainSelectedInstOperands,
     /*  286126 */     // GIR_Coverage, 60701,
     /*  286126 */     GIR_EraseRootFromParent_Done,
     /*  286127 */   // Label 5661: @286127
     /*  286127 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(286193), // Rule ID 60704 //
     /*  286132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  286143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286191 */     GIR_RootConstrainSelectedInstOperands,
     /*  286192 */     // GIR_Coverage, 60704,
     /*  286192 */     GIR_EraseRootFromParent_Done,
     /*  286193 */   // Label 5662: @286193
     /*  286193 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(286259), // Rule ID 60705 //
     /*  286198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  286209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286237 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286257 */     GIR_RootConstrainSelectedInstOperands,
     /*  286258 */     // GIR_Coverage, 60705,
     /*  286258 */     GIR_EraseRootFromParent_Done,
     /*  286259 */   // Label 5663: @286259
     /*  286259 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(286325), // Rule ID 60708 //
     /*  286264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  286275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286323 */     GIR_RootConstrainSelectedInstOperands,
     /*  286324 */     // GIR_Coverage, 60708,
     /*  286324 */     GIR_EraseRootFromParent_Done,
     /*  286325 */   // Label 5664: @286325
     /*  286325 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(286391), // Rule ID 60709 //
     /*  286330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  286341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286389 */     GIR_RootConstrainSelectedInstOperands,
     /*  286390 */     // GIR_Coverage, 60709,
     /*  286390 */     GIR_EraseRootFromParent_Done,
     /*  286391 */   // Label 5665: @286391
     /*  286391 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(286457), // Rule ID 60712 //
     /*  286396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  286407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286435 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  286438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286455 */     GIR_RootConstrainSelectedInstOperands,
     /*  286456 */     // GIR_Coverage, 60712,
     /*  286456 */     GIR_EraseRootFromParent_Done,
     /*  286457 */   // Label 5666: @286457
     /*  286457 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(286523), // Rule ID 60713 //
     /*  286462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  286473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286501 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  286504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286521 */     GIR_RootConstrainSelectedInstOperands,
     /*  286522 */     // GIR_Coverage, 60713,
     /*  286522 */     GIR_EraseRootFromParent_Done,
     /*  286523 */   // Label 5667: @286523
     /*  286523 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(286589), // Rule ID 60716 //
     /*  286528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  286539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  286567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286587 */     GIR_RootConstrainSelectedInstOperands,
     /*  286588 */     // GIR_Coverage, 60716,
     /*  286588 */     GIR_EraseRootFromParent_Done,
     /*  286589 */   // Label 5668: @286589
     /*  286589 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(286655), // Rule ID 60717 //
     /*  286594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  286605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  286633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286653 */     GIR_RootConstrainSelectedInstOperands,
     /*  286654 */     // GIR_Coverage, 60717,
     /*  286654 */     GIR_EraseRootFromParent_Done,
     /*  286655 */   // Label 5669: @286655
     /*  286655 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(286721), // Rule ID 60720 //
     /*  286660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  286671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286699 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  286699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286719 */     GIR_RootConstrainSelectedInstOperands,
     /*  286720 */     // GIR_Coverage, 60720,
     /*  286720 */     GIR_EraseRootFromParent_Done,
     /*  286721 */   // Label 5670: @286721
     /*  286721 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(286787), // Rule ID 60721 //
     /*  286726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  286737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286765 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  286765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286785 */     GIR_RootConstrainSelectedInstOperands,
     /*  286786 */     // GIR_Coverage, 60721,
     /*  286786 */     GIR_EraseRootFromParent_Done,
     /*  286787 */   // Label 5671: @286787
     /*  286787 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(286853), // Rule ID 60724 //
     /*  286792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  286803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286831 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  286831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  286834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286851 */     GIR_RootConstrainSelectedInstOperands,
     /*  286852 */     // GIR_Coverage, 60724,
     /*  286852 */     GIR_EraseRootFromParent_Done,
     /*  286853 */   // Label 5672: @286853
     /*  286853 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(286919), // Rule ID 60725 //
     /*  286858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  286869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  286897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  286900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286917 */     GIR_RootConstrainSelectedInstOperands,
     /*  286918 */     // GIR_Coverage, 60725,
     /*  286918 */     GIR_EraseRootFromParent_Done,
     /*  286919 */   // Label 5673: @286919
     /*  286919 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(286985), // Rule ID 60728 //
     /*  286924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  286935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  286963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286983 */     GIR_RootConstrainSelectedInstOperands,
     /*  286984 */     // GIR_Coverage, 60728,
     /*  286984 */     GIR_EraseRootFromParent_Done,
     /*  286985 */   // Label 5674: @286985
     /*  286985 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(287051), // Rule ID 60729 //
     /*  286990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  287001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287049 */     GIR_RootConstrainSelectedInstOperands,
     /*  287050 */     // GIR_Coverage, 60729,
     /*  287050 */     GIR_EraseRootFromParent_Done,
     /*  287051 */   // Label 5675: @287051
     /*  287051 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(287117), // Rule ID 60732 //
     /*  287056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  287067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  287095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287115 */     GIR_RootConstrainSelectedInstOperands,
     /*  287116 */     // GIR_Coverage, 60732,
     /*  287116 */     GIR_EraseRootFromParent_Done,
     /*  287117 */   // Label 5676: @287117
     /*  287117 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(287183), // Rule ID 60733 //
     /*  287122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  287133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287181 */     GIR_RootConstrainSelectedInstOperands,
     /*  287182 */     // GIR_Coverage, 60733,
     /*  287182 */     GIR_EraseRootFromParent_Done,
     /*  287183 */   // Label 5677: @287183
     /*  287183 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(287249), // Rule ID 60736 //
     /*  287188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  287199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  287227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287247 */     GIR_RootConstrainSelectedInstOperands,
     /*  287248 */     // GIR_Coverage, 60736,
     /*  287248 */     GIR_EraseRootFromParent_Done,
     /*  287249 */   // Label 5678: @287249
     /*  287249 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(287315), // Rule ID 60737 //
     /*  287254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  287265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287313 */     GIR_RootConstrainSelectedInstOperands,
     /*  287314 */     // GIR_Coverage, 60737,
     /*  287314 */     GIR_EraseRootFromParent_Done,
     /*  287315 */   // Label 5679: @287315
     /*  287315 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(287381), // Rule ID 60740 //
     /*  287320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  287331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287359 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  287359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287379 */     GIR_RootConstrainSelectedInstOperands,
     /*  287380 */     // GIR_Coverage, 60740,
     /*  287380 */     GIR_EraseRootFromParent_Done,
     /*  287381 */   // Label 5680: @287381
     /*  287381 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(287447), // Rule ID 60741 //
     /*  287386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  287397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  287425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287445 */     GIR_RootConstrainSelectedInstOperands,
     /*  287446 */     // GIR_Coverage, 60741,
     /*  287446 */     GIR_EraseRootFromParent_Done,
     /*  287447 */   // Label 5681: @287447
     /*  287447 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(287513), // Rule ID 60744 //
     /*  287452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  287463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  287491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287511 */     GIR_RootConstrainSelectedInstOperands,
     /*  287512 */     // GIR_Coverage, 60744,
     /*  287512 */     GIR_EraseRootFromParent_Done,
     /*  287513 */   // Label 5682: @287513
     /*  287513 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(287579), // Rule ID 60745 //
     /*  287518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  287529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  287557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287577 */     GIR_RootConstrainSelectedInstOperands,
     /*  287578 */     // GIR_Coverage, 60745,
     /*  287578 */     GIR_EraseRootFromParent_Done,
     /*  287579 */   // Label 5683: @287579
     /*  287579 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(287645), // Rule ID 60748 //
     /*  287584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  287595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287623 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  287623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287643 */     GIR_RootConstrainSelectedInstOperands,
     /*  287644 */     // GIR_Coverage, 60748,
     /*  287644 */     GIR_EraseRootFromParent_Done,
     /*  287645 */   // Label 5684: @287645
     /*  287645 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(287711), // Rule ID 60749 //
     /*  287650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  287661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  287689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287709 */     GIR_RootConstrainSelectedInstOperands,
     /*  287710 */     // GIR_Coverage, 60749,
     /*  287710 */     GIR_EraseRootFromParent_Done,
     /*  287711 */   // Label 5685: @287711
     /*  287711 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(287777), // Rule ID 60752 //
     /*  287716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  287724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  287727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  287733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  287755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  287758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287775 */     GIR_RootConstrainSelectedInstOperands,
     /*  287776 */     // GIR_Coverage, 60752,
     /*  287776 */     GIR_EraseRootFromParent_Done,
     /*  287777 */   // Label 5686: @287777
     /*  287777 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(287843), // Rule ID 60753 //
     /*  287782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  287790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  287793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  287799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287821 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  287821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  287824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287841 */     GIR_RootConstrainSelectedInstOperands,
     /*  287842 */     // GIR_Coverage, 60753,
     /*  287842 */     GIR_EraseRootFromParent_Done,
     /*  287843 */   // Label 5687: @287843
     /*  287843 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(287909), // Rule ID 60756 //
     /*  287848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  287856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  287859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  287865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287887 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  287887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  287890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287907 */     GIR_RootConstrainSelectedInstOperands,
     /*  287908 */     // GIR_Coverage, 60756,
     /*  287908 */     GIR_EraseRootFromParent_Done,
     /*  287909 */   // Label 5688: @287909
     /*  287909 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(287975), // Rule ID 60757 //
     /*  287914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  287922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  287925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  287931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287953 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  287953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  287956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287973 */     GIR_RootConstrainSelectedInstOperands,
     /*  287974 */     // GIR_Coverage, 60757,
     /*  287974 */     GIR_EraseRootFromParent_Done,
     /*  287975 */   // Label 5689: @287975
     /*  287975 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(288041), // Rule ID 60760 //
     /*  287980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  287988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  287991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  287997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288019 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  288019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288039 */     GIR_RootConstrainSelectedInstOperands,
     /*  288040 */     // GIR_Coverage, 60760,
     /*  288040 */     GIR_EraseRootFromParent_Done,
     /*  288041 */   // Label 5690: @288041
     /*  288041 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(288107), // Rule ID 60761 //
     /*  288046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  288057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  288063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  288085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288105 */     GIR_RootConstrainSelectedInstOperands,
     /*  288106 */     // GIR_Coverage, 60761,
     /*  288106 */     GIR_EraseRootFromParent_Done,
     /*  288107 */   // Label 5691: @288107
     /*  288107 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(288173), // Rule ID 60764 //
     /*  288112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  288123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  288129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  288151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288171 */     GIR_RootConstrainSelectedInstOperands,
     /*  288172 */     // GIR_Coverage, 60764,
     /*  288172 */     GIR_EraseRootFromParent_Done,
     /*  288173 */   // Label 5692: @288173
     /*  288173 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(288239), // Rule ID 60765 //
     /*  288178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  288189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  288195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  288217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288237 */     GIR_RootConstrainSelectedInstOperands,
     /*  288238 */     // GIR_Coverage, 60765,
     /*  288238 */     GIR_EraseRootFromParent_Done,
     /*  288239 */   // Label 5693: @288239
     /*  288239 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(288305), // Rule ID 60768 //
     /*  288244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  288255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  288261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  288283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288303 */     GIR_RootConstrainSelectedInstOperands,
     /*  288304 */     // GIR_Coverage, 60768,
     /*  288304 */     GIR_EraseRootFromParent_Done,
     /*  288305 */   // Label 5694: @288305
     /*  288305 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(288371), // Rule ID 60769 //
     /*  288310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  288321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  288327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  288349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288369 */     GIR_RootConstrainSelectedInstOperands,
     /*  288370 */     // GIR_Coverage, 60769,
     /*  288370 */     GIR_EraseRootFromParent_Done,
     /*  288371 */   // Label 5695: @288371
     /*  288371 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(288437), // Rule ID 60772 //
     /*  288376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  288387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  288393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  288415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288435 */     GIR_RootConstrainSelectedInstOperands,
     /*  288436 */     // GIR_Coverage, 60772,
     /*  288436 */     GIR_EraseRootFromParent_Done,
     /*  288437 */   // Label 5696: @288437
     /*  288437 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(288503), // Rule ID 60773 //
     /*  288442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  288453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  288459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  288481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288501 */     GIR_RootConstrainSelectedInstOperands,
     /*  288502 */     // GIR_Coverage, 60773,
     /*  288502 */     GIR_EraseRootFromParent_Done,
     /*  288503 */   // Label 5697: @288503
     /*  288503 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(288569), // Rule ID 60776 //
     /*  288508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  288519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  288525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  288547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288567 */     GIR_RootConstrainSelectedInstOperands,
     /*  288568 */     // GIR_Coverage, 60776,
     /*  288568 */     GIR_EraseRootFromParent_Done,
     /*  288569 */   // Label 5698: @288569
     /*  288569 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(288635), // Rule ID 60777 //
     /*  288574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  288585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  288591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288613 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  288613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288633 */     GIR_RootConstrainSelectedInstOperands,
     /*  288634 */     // GIR_Coverage, 60777,
     /*  288634 */     GIR_EraseRootFromParent_Done,
     /*  288635 */   // Label 5699: @288635
     /*  288635 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(288701), // Rule ID 60780 //
     /*  288640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  288651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  288657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  288679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288699 */     GIR_RootConstrainSelectedInstOperands,
     /*  288700 */     // GIR_Coverage, 60780,
     /*  288700 */     GIR_EraseRootFromParent_Done,
     /*  288701 */   // Label 5700: @288701
     /*  288701 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(288767), // Rule ID 60781 //
     /*  288706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  288717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  288723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288745 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  288745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288765 */     GIR_RootConstrainSelectedInstOperands,
     /*  288766 */     // GIR_Coverage, 60781,
     /*  288766 */     GIR_EraseRootFromParent_Done,
     /*  288767 */   // Label 5701: @288767
     /*  288767 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(288833), // Rule ID 60784 //
     /*  288772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  288783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  288789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  288811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288831 */     GIR_RootConstrainSelectedInstOperands,
     /*  288832 */     // GIR_Coverage, 60784,
     /*  288832 */     GIR_EraseRootFromParent_Done,
     /*  288833 */   // Label 5702: @288833
     /*  288833 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(288899), // Rule ID 60785 //
     /*  288838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  288849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  288855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  288877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288897 */     GIR_RootConstrainSelectedInstOperands,
     /*  288898 */     // GIR_Coverage, 60785,
     /*  288898 */     GIR_EraseRootFromParent_Done,
     /*  288899 */   // Label 5703: @288899
     /*  288899 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(288965), // Rule ID 60788 //
     /*  288904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  288915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  288921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  288943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  288946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288963 */     GIR_RootConstrainSelectedInstOperands,
     /*  288964 */     // GIR_Coverage, 60788,
     /*  288964 */     GIR_EraseRootFromParent_Done,
     /*  288965 */   // Label 5704: @288965
     /*  288965 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(289031), // Rule ID 60789 //
     /*  288970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  288981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  288987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  289009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289029 */     GIR_RootConstrainSelectedInstOperands,
     /*  289030 */     // GIR_Coverage, 60789,
     /*  289030 */     GIR_EraseRootFromParent_Done,
     /*  289031 */   // Label 5705: @289031
     /*  289031 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(289097), // Rule ID 60792 //
     /*  289036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  289047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  289053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289075 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289095 */     GIR_RootConstrainSelectedInstOperands,
     /*  289096 */     // GIR_Coverage, 60792,
     /*  289096 */     GIR_EraseRootFromParent_Done,
     /*  289097 */   // Label 5706: @289097
     /*  289097 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(289163), // Rule ID 60793 //
     /*  289102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  289113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  289119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289161 */     GIR_RootConstrainSelectedInstOperands,
     /*  289162 */     // GIR_Coverage, 60793,
     /*  289162 */     GIR_EraseRootFromParent_Done,
     /*  289163 */   // Label 5707: @289163
     /*  289163 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(289229), // Rule ID 60796 //
     /*  289168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  289179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  289185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289207 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289227 */     GIR_RootConstrainSelectedInstOperands,
     /*  289228 */     // GIR_Coverage, 60796,
     /*  289228 */     GIR_EraseRootFromParent_Done,
     /*  289229 */   // Label 5708: @289229
     /*  289229 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(289295), // Rule ID 60797 //
     /*  289234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  289245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  289251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289273 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289293 */     GIR_RootConstrainSelectedInstOperands,
     /*  289294 */     // GIR_Coverage, 60797,
     /*  289294 */     GIR_EraseRootFromParent_Done,
     /*  289295 */   // Label 5709: @289295
     /*  289295 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(289361), // Rule ID 60800 //
     /*  289300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  289311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  289317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289339 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289359 */     GIR_RootConstrainSelectedInstOperands,
     /*  289360 */     // GIR_Coverage, 60800,
     /*  289360 */     GIR_EraseRootFromParent_Done,
     /*  289361 */   // Label 5710: @289361
     /*  289361 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(289427), // Rule ID 60801 //
     /*  289366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  289377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  289383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289405 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289425 */     GIR_RootConstrainSelectedInstOperands,
     /*  289426 */     // GIR_Coverage, 60801,
     /*  289426 */     GIR_EraseRootFromParent_Done,
     /*  289427 */   // Label 5711: @289427
     /*  289427 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(289493), // Rule ID 60804 //
     /*  289432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  289443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  289449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  289471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289491 */     GIR_RootConstrainSelectedInstOperands,
     /*  289492 */     // GIR_Coverage, 60804,
     /*  289492 */     GIR_EraseRootFromParent_Done,
     /*  289493 */   // Label 5712: @289493
     /*  289493 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(289559), // Rule ID 60805 //
     /*  289498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  289509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  289515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289537 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  289537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289557 */     GIR_RootConstrainSelectedInstOperands,
     /*  289558 */     // GIR_Coverage, 60805,
     /*  289558 */     GIR_EraseRootFromParent_Done,
     /*  289559 */   // Label 5713: @289559
     /*  289559 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(289625), // Rule ID 60808 //
     /*  289564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  289575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  289581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  289603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289623 */     GIR_RootConstrainSelectedInstOperands,
     /*  289624 */     // GIR_Coverage, 60808,
     /*  289624 */     GIR_EraseRootFromParent_Done,
     /*  289625 */   // Label 5714: @289625
     /*  289625 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(289691), // Rule ID 60809 //
     /*  289630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  289641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  289647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  289669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289689 */     GIR_RootConstrainSelectedInstOperands,
     /*  289690 */     // GIR_Coverage, 60809,
     /*  289690 */     GIR_EraseRootFromParent_Done,
     /*  289691 */   // Label 5715: @289691
     /*  289691 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(289757), // Rule ID 60812 //
     /*  289696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  289707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  289713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289735 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  289735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289755 */     GIR_RootConstrainSelectedInstOperands,
     /*  289756 */     // GIR_Coverage, 60812,
     /*  289756 */     GIR_EraseRootFromParent_Done,
     /*  289757 */   // Label 5716: @289757
     /*  289757 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(289823), // Rule ID 60813 //
     /*  289762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  289773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  289779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  289801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289821 */     GIR_RootConstrainSelectedInstOperands,
     /*  289822 */     // GIR_Coverage, 60813,
     /*  289822 */     GIR_EraseRootFromParent_Done,
     /*  289823 */   // Label 5717: @289823
     /*  289823 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(289889), // Rule ID 60816 //
     /*  289828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  289839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  289845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  289867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289887 */     GIR_RootConstrainSelectedInstOperands,
     /*  289888 */     // GIR_Coverage, 60816,
     /*  289888 */     GIR_EraseRootFromParent_Done,
     /*  289889 */   // Label 5718: @289889
     /*  289889 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(289955), // Rule ID 60817 //
     /*  289894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  289905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  289911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  289933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289953 */     GIR_RootConstrainSelectedInstOperands,
     /*  289954 */     // GIR_Coverage, 60817,
     /*  289954 */     GIR_EraseRootFromParent_Done,
     /*  289955 */   // Label 5719: @289955
     /*  289955 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(290021), // Rule ID 60820 //
     /*  289960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  289971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  289977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  289999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290019 */     GIR_RootConstrainSelectedInstOperands,
     /*  290020 */     // GIR_Coverage, 60820,
     /*  290020 */     GIR_EraseRootFromParent_Done,
     /*  290021 */   // Label 5720: @290021
     /*  290021 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(290087), // Rule ID 60821 //
     /*  290026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  290037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  290043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  290065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290085 */     GIR_RootConstrainSelectedInstOperands,
     /*  290086 */     // GIR_Coverage, 60821,
     /*  290086 */     GIR_EraseRootFromParent_Done,
     /*  290087 */   // Label 5721: @290087
     /*  290087 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(290153), // Rule ID 60824 //
     /*  290092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  290103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  290109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  290131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290151 */     GIR_RootConstrainSelectedInstOperands,
     /*  290152 */     // GIR_Coverage, 60824,
     /*  290152 */     GIR_EraseRootFromParent_Done,
     /*  290153 */   // Label 5722: @290153
     /*  290153 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(290219), // Rule ID 60825 //
     /*  290158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  290169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  290175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  290197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290217 */     GIR_RootConstrainSelectedInstOperands,
     /*  290218 */     // GIR_Coverage, 60825,
     /*  290218 */     GIR_EraseRootFromParent_Done,
     /*  290219 */   // Label 5723: @290219
     /*  290219 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(290285), // Rule ID 60828 //
     /*  290224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  290235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  290241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  290263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290283 */     GIR_RootConstrainSelectedInstOperands,
     /*  290284 */     // GIR_Coverage, 60828,
     /*  290284 */     GIR_EraseRootFromParent_Done,
     /*  290285 */   // Label 5724: @290285
     /*  290285 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(290351), // Rule ID 60829 //
     /*  290290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  290301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  290307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  290329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290349 */     GIR_RootConstrainSelectedInstOperands,
     /*  290350 */     // GIR_Coverage, 60829,
     /*  290350 */     GIR_EraseRootFromParent_Done,
     /*  290351 */   // Label 5725: @290351
     /*  290351 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(290417), // Rule ID 60832 //
     /*  290356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  290367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  290373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290395 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  290395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290415 */     GIR_RootConstrainSelectedInstOperands,
     /*  290416 */     // GIR_Coverage, 60832,
     /*  290416 */     GIR_EraseRootFromParent_Done,
     /*  290417 */   // Label 5726: @290417
     /*  290417 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(290483), // Rule ID 60833 //
     /*  290422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  290433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  290439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  290461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290481 */     GIR_RootConstrainSelectedInstOperands,
     /*  290482 */     // GIR_Coverage, 60833,
     /*  290482 */     GIR_EraseRootFromParent_Done,
     /*  290483 */   // Label 5727: @290483
     /*  290483 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(290549), // Rule ID 60836 //
     /*  290488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  290499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  290505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  290527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290547 */     GIR_RootConstrainSelectedInstOperands,
     /*  290548 */     // GIR_Coverage, 60836,
     /*  290548 */     GIR_EraseRootFromParent_Done,
     /*  290549 */   // Label 5728: @290549
     /*  290549 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(290615), // Rule ID 60837 //
     /*  290554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  290565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  290571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  290593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290613 */     GIR_RootConstrainSelectedInstOperands,
     /*  290614 */     // GIR_Coverage, 60837,
     /*  290614 */     GIR_EraseRootFromParent_Done,
     /*  290615 */   // Label 5729: @290615
     /*  290615 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(290680), // Rule ID 63767 //
     /*  290620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  290628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290664 */     // MIs[1] Operand 1
     /*  290664 */     // No operand predicates
     /*  290664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290666 */     // (intrinsic_wo_chain:{ *:[i32] } 10636:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  290669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  290678 */     GIR_RootConstrainSelectedInstOperands,
     /*  290679 */     // GIR_Coverage, 63767,
     /*  290679 */     GIR_EraseRootFromParent_Done,
     /*  290680 */   // Label 5730: @290680
     /*  290680 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(290745), // Rule ID 63794 //
     /*  290685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  290693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290729 */     // MIs[1] Operand 1
     /*  290729 */     // No operand predicates
     /*  290729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290731 */     // (intrinsic_wo_chain:{ *:[i32] } 10638:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  290734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  290743 */     GIR_RootConstrainSelectedInstOperands,
     /*  290744 */     // GIR_Coverage, 63794,
     /*  290744 */     GIR_EraseRootFromParent_Done,
     /*  290745 */   // Label 5731: @290745
     /*  290745 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(290810), // Rule ID 63797 //
     /*  290750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  290758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290794 */     // MIs[1] Operand 1
     /*  290794 */     // No operand predicates
     /*  290794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290796 */     // (intrinsic_wo_chain:{ *:[i32] } 10637:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  290799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  290808 */     GIR_RootConstrainSelectedInstOperands,
     /*  290809 */     // GIR_Coverage, 63797,
     /*  290809 */     GIR_EraseRootFromParent_Done,
     /*  290810 */   // Label 5732: @290810
     /*  290810 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(290875), // Rule ID 63800 //
     /*  290815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  290823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290859 */     // MIs[1] Operand 1
     /*  290859 */     // No operand predicates
     /*  290859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290861 */     // (intrinsic_wo_chain:{ *:[i32] } 10639:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  290864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  290873 */     GIR_RootConstrainSelectedInstOperands,
     /*  290874 */     // GIR_Coverage, 63800,
     /*  290874 */     GIR_EraseRootFromParent_Done,
     /*  290875 */   // Label 5733: @290875
     /*  290875 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(290940), // Rule ID 63803 //
     /*  290880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  290888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290924 */     // MIs[1] Operand 1
     /*  290924 */     // No operand predicates
     /*  290924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290926 */     // (intrinsic_wo_chain:{ *:[i32] } 10642:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  290929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  290938 */     GIR_RootConstrainSelectedInstOperands,
     /*  290939 */     // GIR_Coverage, 63803,
     /*  290939 */     GIR_EraseRootFromParent_Done,
     /*  290940 */   // Label 5734: @290940
     /*  290940 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(291005), // Rule ID 63806 //
     /*  290945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  290948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  290953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  290956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  290959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  290981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  290985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  290989 */     // MIs[1] Operand 1
     /*  290989 */     // No operand predicates
     /*  290989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  290991 */     // (intrinsic_wo_chain:{ *:[i32] } 10644:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  290991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  290994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291003 */     GIR_RootConstrainSelectedInstOperands,
     /*  291004 */     // GIR_Coverage, 63806,
     /*  291004 */     GIR_EraseRootFromParent_Done,
     /*  291005 */   // Label 5735: @291005
     /*  291005 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(291070), // Rule ID 63809 //
     /*  291010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  291018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291054 */     // MIs[1] Operand 1
     /*  291054 */     // No operand predicates
     /*  291054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291056 */     // (intrinsic_wo_chain:{ *:[i32] } 10643:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  291059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291068 */     GIR_RootConstrainSelectedInstOperands,
     /*  291069 */     // GIR_Coverage, 63809,
     /*  291069 */     GIR_EraseRootFromParent_Done,
     /*  291070 */   // Label 5736: @291070
     /*  291070 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(291135), // Rule ID 63812 //
     /*  291075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  291083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291119 */     // MIs[1] Operand 1
     /*  291119 */     // No operand predicates
     /*  291119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291121 */     // (intrinsic_wo_chain:{ *:[i32] } 10645:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  291124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291133 */     GIR_RootConstrainSelectedInstOperands,
     /*  291134 */     // GIR_Coverage, 63812,
     /*  291134 */     GIR_EraseRootFromParent_Done,
     /*  291135 */   // Label 5737: @291135
     /*  291135 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(291190), // Rule ID 2505 //
     /*  291140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  291143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  291148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291169 */     // MIs[0] imm
     /*  291169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291177 */     // (intrinsic_wo_chain:{ *:[i32] } 10621:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  291180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291186 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291188 */     GIR_RootConstrainSelectedInstOperands,
     /*  291189 */     // GIR_Coverage, 2505,
     /*  291189 */     GIR_EraseRootFromParent_Done,
     /*  291190 */   // Label 5738: @291190
     /*  291190 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(291245), // Rule ID 2506 //
     /*  291195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  291198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  291203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291224 */     // MIs[0] imm
     /*  291224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291232 */     // (intrinsic_wo_chain:{ *:[i32] } 10622:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  291235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291241 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291243 */     GIR_RootConstrainSelectedInstOperands,
     /*  291244 */     // GIR_Coverage, 2506,
     /*  291244 */     GIR_EraseRootFromParent_Done,
     /*  291245 */   // Label 5739: @291245
     /*  291245 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(291300), // Rule ID 2512 //
     /*  291250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  291253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  291258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291279 */     // MIs[0] imm
     /*  291279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291282 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291287 */     // (intrinsic_wo_chain:{ *:[i32] } 10623:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  291290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291296 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291298 */     GIR_RootConstrainSelectedInstOperands,
     /*  291299 */     // GIR_Coverage, 2512,
     /*  291299 */     GIR_EraseRootFromParent_Done,
     /*  291300 */   // Label 5740: @291300
     /*  291300 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(291355), // Rule ID 2513 //
     /*  291305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  291308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  291313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291334 */     // MIs[0] imm
     /*  291334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291342 */     // (intrinsic_wo_chain:{ *:[i32] } 10624:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  291345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291351 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291353 */     GIR_RootConstrainSelectedInstOperands,
     /*  291354 */     // GIR_Coverage, 2513,
     /*  291354 */     GIR_EraseRootFromParent_Done,
     /*  291355 */   // Label 5741: @291355
     /*  291355 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(291410), // Rule ID 63823 //
     /*  291360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  291368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291389 */     // MIs[0] imm5
     /*  291389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291397 */     // (intrinsic_wo_chain:{ *:[i32] } 10669:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  291400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291406 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291408 */     GIR_RootConstrainSelectedInstOperands,
     /*  291409 */     // GIR_Coverage, 63823,
     /*  291409 */     GIR_EraseRootFromParent_Done,
     /*  291410 */   // Label 5742: @291410
     /*  291410 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(291465), // Rule ID 63824 //
     /*  291415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  291423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291444 */     // MIs[0] imm5
     /*  291444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291452 */     // (intrinsic_wo_chain:{ *:[i32] } 10665:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  291455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291461 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291463 */     GIR_RootConstrainSelectedInstOperands,
     /*  291464 */     // GIR_Coverage, 63824,
     /*  291464 */     GIR_EraseRootFromParent_Done,
     /*  291465 */   // Label 5743: @291465
     /*  291465 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(291520), // Rule ID 63825 //
     /*  291470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  291478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291499 */     // MIs[0] imm5
     /*  291499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291507 */     // (intrinsic_wo_chain:{ *:[i32] } 10667:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  291510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291516 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291518 */     GIR_RootConstrainSelectedInstOperands,
     /*  291519 */     // GIR_Coverage, 63825,
     /*  291519 */     GIR_EraseRootFromParent_Done,
     /*  291520 */   // Label 5744: @291520
     /*  291520 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(291575), // Rule ID 63826 //
     /*  291525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  291533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291554 */     // MIs[0] imm5
     /*  291554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291562 */     // (intrinsic_wo_chain:{ *:[i32] } 10663:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  291565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291571 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291573 */     GIR_RootConstrainSelectedInstOperands,
     /*  291574 */     // GIR_Coverage, 63826,
     /*  291574 */     GIR_EraseRootFromParent_Done,
     /*  291575 */   // Label 5745: @291575
     /*  291575 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(291630), // Rule ID 63827 //
     /*  291580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  291588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291609 */     // MIs[0] imm5
     /*  291609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291617 */     // (intrinsic_wo_chain:{ *:[i32] } 10670:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  291620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291626 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291628 */     GIR_RootConstrainSelectedInstOperands,
     /*  291629 */     // GIR_Coverage, 63827,
     /*  291629 */     GIR_EraseRootFromParent_Done,
     /*  291630 */   // Label 5746: @291630
     /*  291630 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(291685), // Rule ID 63828 //
     /*  291635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  291643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291664 */     // MIs[0] imm5
     /*  291664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291672 */     // (intrinsic_wo_chain:{ *:[i32] } 10666:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  291675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291681 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291683 */     GIR_RootConstrainSelectedInstOperands,
     /*  291684 */     // GIR_Coverage, 63828,
     /*  291684 */     GIR_EraseRootFromParent_Done,
     /*  291685 */   // Label 5747: @291685
     /*  291685 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(291740), // Rule ID 63829 //
     /*  291690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  291698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291719 */     // MIs[0] imm5
     /*  291719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291727 */     // (intrinsic_wo_chain:{ *:[i32] } 10668:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  291730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291736 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291738 */     GIR_RootConstrainSelectedInstOperands,
     /*  291739 */     // GIR_Coverage, 63829,
     /*  291739 */     GIR_EraseRootFromParent_Done,
     /*  291740 */   // Label 5748: @291740
     /*  291740 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(291795), // Rule ID 63830 //
     /*  291745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  291753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291774 */     // MIs[0] imm5
     /*  291774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291782 */     // (intrinsic_wo_chain:{ *:[i32] } 10664:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  291785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291791 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291793 */     GIR_RootConstrainSelectedInstOperands,
     /*  291794 */     // GIR_Coverage, 63830,
     /*  291794 */     GIR_EraseRootFromParent_Done,
     /*  291795 */   // Label 5749: @291795
     /*  291795 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(291849), // Rule ID 63765 //
     /*  291800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  291803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  291808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291836 */     // (intrinsic_wo_chain:{ *:[i32] } 10636:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  291836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  291839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  291841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  291847 */     GIR_RootConstrainSelectedInstOperands,
     /*  291848 */     // GIR_Coverage, 63765,
     /*  291848 */     GIR_EraseRootFromParent_Done,
     /*  291849 */   // Label 5750: @291849
     /*  291849 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(291903), // Rule ID 63766 //
     /*  291854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  291862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291890 */     // (intrinsic_wo_chain:{ *:[i32] } 10636:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  291890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  291893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  291895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  291901 */     GIR_RootConstrainSelectedInstOperands,
     /*  291902 */     // GIR_Coverage, 63766,
     /*  291902 */     GIR_EraseRootFromParent_Done,
     /*  291903 */   // Label 5751: @291903
     /*  291903 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(291957), // Rule ID 63792 //
     /*  291908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  291911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  291916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291944 */     // (intrinsic_wo_chain:{ *:[i32] } 10638:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  291944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  291947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  291949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  291955 */     GIR_RootConstrainSelectedInstOperands,
     /*  291956 */     // GIR_Coverage, 63792,
     /*  291956 */     GIR_EraseRootFromParent_Done,
     /*  291957 */   // Label 5752: @291957
     /*  291957 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(292011), // Rule ID 63793 //
     /*  291962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  291970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291998 */     // (intrinsic_wo_chain:{ *:[i32] } 10638:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  291998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  292001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292009 */     GIR_RootConstrainSelectedInstOperands,
     /*  292010 */     // GIR_Coverage, 63793,
     /*  292010 */     GIR_EraseRootFromParent_Done,
     /*  292011 */   // Label 5753: @292011
     /*  292011 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(292065), // Rule ID 63795 //
     /*  292016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  292024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292052 */     // (intrinsic_wo_chain:{ *:[i32] } 10637:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  292055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292063 */     GIR_RootConstrainSelectedInstOperands,
     /*  292064 */     // GIR_Coverage, 63795,
     /*  292064 */     GIR_EraseRootFromParent_Done,
     /*  292065 */   // Label 5754: @292065
     /*  292065 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(292119), // Rule ID 63796 //
     /*  292070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  292078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292106 */     // (intrinsic_wo_chain:{ *:[i32] } 10637:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  292109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292117 */     GIR_RootConstrainSelectedInstOperands,
     /*  292118 */     // GIR_Coverage, 63796,
     /*  292118 */     GIR_EraseRootFromParent_Done,
     /*  292119 */   // Label 5755: @292119
     /*  292119 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(292173), // Rule ID 63798 //
     /*  292124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  292132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292160 */     // (intrinsic_wo_chain:{ *:[i32] } 10639:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  292163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292171 */     GIR_RootConstrainSelectedInstOperands,
     /*  292172 */     // GIR_Coverage, 63798,
     /*  292172 */     GIR_EraseRootFromParent_Done,
     /*  292173 */   // Label 5756: @292173
     /*  292173 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(292227), // Rule ID 63799 //
     /*  292178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  292186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292214 */     // (intrinsic_wo_chain:{ *:[i32] } 10639:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  292217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292225 */     GIR_RootConstrainSelectedInstOperands,
     /*  292226 */     // GIR_Coverage, 63799,
     /*  292226 */     GIR_EraseRootFromParent_Done,
     /*  292227 */   // Label 5757: @292227
     /*  292227 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(292281), // Rule ID 63801 //
     /*  292232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  292240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292268 */     // (intrinsic_wo_chain:{ *:[i32] } 10642:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  292271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292279 */     GIR_RootConstrainSelectedInstOperands,
     /*  292280 */     // GIR_Coverage, 63801,
     /*  292280 */     GIR_EraseRootFromParent_Done,
     /*  292281 */   // Label 5758: @292281
     /*  292281 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(292335), // Rule ID 63802 //
     /*  292286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  292294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292322 */     // (intrinsic_wo_chain:{ *:[i32] } 10642:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  292325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292333 */     GIR_RootConstrainSelectedInstOperands,
     /*  292334 */     // GIR_Coverage, 63802,
     /*  292334 */     GIR_EraseRootFromParent_Done,
     /*  292335 */   // Label 5759: @292335
     /*  292335 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(292389), // Rule ID 63804 //
     /*  292340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  292348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292376 */     // (intrinsic_wo_chain:{ *:[i32] } 10644:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  292379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292387 */     GIR_RootConstrainSelectedInstOperands,
     /*  292388 */     // GIR_Coverage, 63804,
     /*  292388 */     GIR_EraseRootFromParent_Done,
     /*  292389 */   // Label 5760: @292389
     /*  292389 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(292443), // Rule ID 63805 //
     /*  292394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  292402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292430 */     // (intrinsic_wo_chain:{ *:[i32] } 10644:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  292433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292441 */     GIR_RootConstrainSelectedInstOperands,
     /*  292442 */     // GIR_Coverage, 63805,
     /*  292442 */     GIR_EraseRootFromParent_Done,
     /*  292443 */   // Label 5761: @292443
     /*  292443 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(292497), // Rule ID 63807 //
     /*  292448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  292456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292484 */     // (intrinsic_wo_chain:{ *:[i32] } 10643:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  292487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292495 */     GIR_RootConstrainSelectedInstOperands,
     /*  292496 */     // GIR_Coverage, 63807,
     /*  292496 */     GIR_EraseRootFromParent_Done,
     /*  292497 */   // Label 5762: @292497
     /*  292497 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(292551), // Rule ID 63808 //
     /*  292502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  292510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292538 */     // (intrinsic_wo_chain:{ *:[i32] } 10643:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  292541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292549 */     GIR_RootConstrainSelectedInstOperands,
     /*  292550 */     // GIR_Coverage, 63808,
     /*  292550 */     GIR_EraseRootFromParent_Done,
     /*  292551 */   // Label 5763: @292551
     /*  292551 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(292605), // Rule ID 63810 //
     /*  292556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  292564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292592 */     // (intrinsic_wo_chain:{ *:[i32] } 10645:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  292595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292603 */     GIR_RootConstrainSelectedInstOperands,
     /*  292604 */     // GIR_Coverage, 63810,
     /*  292604 */     GIR_EraseRootFromParent_Done,
     /*  292605 */   // Label 5764: @292605
     /*  292605 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(292659), // Rule ID 63811 //
     /*  292610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  292618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292646 */     // (intrinsic_wo_chain:{ *:[i32] } 10645:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  292649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292657 */     GIR_RootConstrainSelectedInstOperands,
     /*  292658 */     // GIR_Coverage, 63811,
     /*  292658 */     GIR_EraseRootFromParent_Done,
     /*  292659 */   // Label 5765: @292659
     /*  292659 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(292713), // Rule ID 63748 //
     /*  292664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  292667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  292672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292700 */     // (intrinsic_wo_chain:{ *:[i32] } 10652:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  292703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292711 */     GIR_RootConstrainSelectedInstOperands,
     /*  292712 */     // GIR_Coverage, 63748,
     /*  292712 */     GIR_EraseRootFromParent_Done,
     /*  292713 */   // Label 5766: @292713
     /*  292713 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(292767), // Rule ID 63749 //
     /*  292718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  292721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  292726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292754 */     // (intrinsic_wo_chain:{ *:[i32] } 10652:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  292757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292765 */     GIR_RootConstrainSelectedInstOperands,
     /*  292766 */     // GIR_Coverage, 63749,
     /*  292766 */     GIR_EraseRootFromParent_Done,
     /*  292767 */   // Label 5767: @292767
     /*  292767 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(292821), // Rule ID 63819 //
     /*  292772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  292775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  292780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292808 */     // (intrinsic_wo_chain:{ *:[i32] } 10653:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  292811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292819 */     GIR_RootConstrainSelectedInstOperands,
     /*  292820 */     // GIR_Coverage, 63819,
     /*  292820 */     GIR_EraseRootFromParent_Done,
     /*  292821 */   // Label 5768: @292821
     /*  292821 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(292875), // Rule ID 63820 //
     /*  292826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  292834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292862 */     // (intrinsic_wo_chain:{ *:[i32] } 10653:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  292865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292873 */     GIR_RootConstrainSelectedInstOperands,
     /*  292874 */     // GIR_Coverage, 63820,
     /*  292874 */     GIR_EraseRootFromParent_Done,
     /*  292875 */   // Label 5769: @292875
     /*  292875 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(292929), // Rule ID 63821 //
     /*  292880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  292883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  292888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292916 */     // (intrinsic_wo_chain:{ *:[i32] } 10662:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  292919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292927 */     GIR_RootConstrainSelectedInstOperands,
     /*  292928 */     // GIR_Coverage, 63821,
     /*  292928 */     GIR_EraseRootFromParent_Done,
     /*  292929 */   // Label 5770: @292929
     /*  292929 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(292983), // Rule ID 63822 //
     /*  292934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  292942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292970 */     // (intrinsic_wo_chain:{ *:[i32] } 10662:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  292970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  292973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  292977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292981 */     GIR_RootConstrainSelectedInstOperands,
     /*  292982 */     // GIR_Coverage, 63822,
     /*  292982 */     GIR_EraseRootFromParent_Done,
     /*  292983 */   // Label 5771: @292983
     /*  292983 */   GIM_Reject,
     /*  292984 */ // Label 3146: @292984
     /*  292984 */ GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(811761),
     /*  292989 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  292992 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(293067), // Rule ID 62149 //
     /*  292997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  293008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293015 */     // MIs[0] op1
     /*  293015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293023 */     // MIs[0] op2
     /*  293023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293031 */     // MIs[0] op3
     /*  293031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  293049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293065 */     GIR_RootConstrainSelectedInstOperands,
     /*  293066 */     // GIR_Coverage, 62149,
     /*  293066 */     GIR_EraseRootFromParent_Done,
     /*  293067 */   // Label 5773: @293067
     /*  293067 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(293142), // Rule ID 62150 //
     /*  293072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  293083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293090 */     // MIs[0] op1
     /*  293090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293098 */     // MIs[0] op2
     /*  293098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293106 */     // MIs[0] op3
     /*  293106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293121 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  293124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293140 */     GIR_RootConstrainSelectedInstOperands,
     /*  293141 */     // GIR_Coverage, 62150,
     /*  293141 */     GIR_EraseRootFromParent_Done,
     /*  293142 */   // Label 5774: @293142
     /*  293142 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(293217), // Rule ID 62181 //
     /*  293147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  293158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293165 */     // MIs[0] op1
     /*  293165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293173 */     // MIs[0] op2
     /*  293173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293181 */     // MIs[0] op3
     /*  293181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293196 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293215 */     GIR_RootConstrainSelectedInstOperands,
     /*  293216 */     // GIR_Coverage, 62181,
     /*  293216 */     GIR_EraseRootFromParent_Done,
     /*  293217 */   // Label 5775: @293217
     /*  293217 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(293292), // Rule ID 62182 //
     /*  293222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  293233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293240 */     // MIs[0] op1
     /*  293240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293248 */     // MIs[0] op2
     /*  293248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293256 */     // MIs[0] op3
     /*  293256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293290 */     GIR_RootConstrainSelectedInstOperands,
     /*  293291 */     // GIR_Coverage, 62182,
     /*  293291 */     GIR_EraseRootFromParent_Done,
     /*  293292 */   // Label 5776: @293292
     /*  293292 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(293367), // Rule ID 62225 //
     /*  293297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  293308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293315 */     // MIs[0] op1
     /*  293315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293323 */     // MIs[0] op2
     /*  293323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293331 */     // MIs[0] op3
     /*  293331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293351 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293353 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293355 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293365 */     GIR_RootConstrainSelectedInstOperands,
     /*  293366 */     // GIR_Coverage, 62225,
     /*  293366 */     GIR_EraseRootFromParent_Done,
     /*  293367 */   // Label 5777: @293367
     /*  293367 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(293442), // Rule ID 62226 //
     /*  293372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  293383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293390 */     // MIs[0] op1
     /*  293390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293398 */     // MIs[0] op2
     /*  293398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293406 */     // MIs[0] op3
     /*  293406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293426 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293428 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293430 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293440 */     GIR_RootConstrainSelectedInstOperands,
     /*  293441 */     // GIR_Coverage, 62226,
     /*  293441 */     GIR_EraseRootFromParent_Done,
     /*  293442 */   // Label 5778: @293442
     /*  293442 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(293517), // Rule ID 62269 //
     /*  293447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  293458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293465 */     // MIs[0] op1
     /*  293465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293473 */     // MIs[0] op2
     /*  293473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293481 */     // MIs[0] op3
     /*  293481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293501 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293503 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293505 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293515 */     GIR_RootConstrainSelectedInstOperands,
     /*  293516 */     // GIR_Coverage, 62269,
     /*  293516 */     GIR_EraseRootFromParent_Done,
     /*  293517 */   // Label 5779: @293517
     /*  293517 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(293592), // Rule ID 62270 //
     /*  293522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  293533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293540 */     // MIs[0] op1
     /*  293540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293548 */     // MIs[0] op2
     /*  293548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293556 */     // MIs[0] op3
     /*  293556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293590 */     GIR_RootConstrainSelectedInstOperands,
     /*  293591 */     // GIR_Coverage, 62270,
     /*  293591 */     GIR_EraseRootFromParent_Done,
     /*  293592 */   // Label 5780: @293592
     /*  293592 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(293667), // Rule ID 62325 //
     /*  293597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  293608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293615 */     // MIs[0] op1
     /*  293615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293618 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293623 */     // MIs[0] op2
     /*  293623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293631 */     // MIs[0] op3
     /*  293631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293651 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293653 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293655 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293665 */     GIR_RootConstrainSelectedInstOperands,
     /*  293666 */     // GIR_Coverage, 62325,
     /*  293666 */     GIR_EraseRootFromParent_Done,
     /*  293667 */   // Label 5781: @293667
     /*  293667 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(293742), // Rule ID 62326 //
     /*  293672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  293683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293690 */     // MIs[0] op1
     /*  293690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293693 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293698 */     // MIs[0] op2
     /*  293698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293706 */     // MIs[0] op3
     /*  293706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293740 */     GIR_RootConstrainSelectedInstOperands,
     /*  293741 */     // GIR_Coverage, 62326,
     /*  293741 */     GIR_EraseRootFromParent_Done,
     /*  293742 */   // Label 5782: @293742
     /*  293742 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(293817), // Rule ID 62381 //
     /*  293747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  293758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293765 */     // MIs[0] op1
     /*  293765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293768 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293773 */     // MIs[0] op2
     /*  293773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293781 */     // MIs[0] op3
     /*  293781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293815 */     GIR_RootConstrainSelectedInstOperands,
     /*  293816 */     // GIR_Coverage, 62381,
     /*  293816 */     GIR_EraseRootFromParent_Done,
     /*  293817 */   // Label 5783: @293817
     /*  293817 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(293892), // Rule ID 62382 //
     /*  293822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  293833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293840 */     // MIs[0] op1
     /*  293840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293848 */     // MIs[0] op2
     /*  293848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293856 */     // MIs[0] op3
     /*  293856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293871 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293890 */     GIR_RootConstrainSelectedInstOperands,
     /*  293891 */     // GIR_Coverage, 62382,
     /*  293891 */     GIR_EraseRootFromParent_Done,
     /*  293892 */   // Label 5784: @293892
     /*  293892 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(293967), // Rule ID 62437 //
     /*  293897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  293908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293915 */     // MIs[0] op1
     /*  293915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293918 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293923 */     // MIs[0] op2
     /*  293923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293931 */     // MIs[0] op3
     /*  293931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  293949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293965 */     GIR_RootConstrainSelectedInstOperands,
     /*  293966 */     // GIR_Coverage, 62437,
     /*  293966 */     GIR_EraseRootFromParent_Done,
     /*  293967 */   // Label 5785: @293967
     /*  293967 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(294042), // Rule ID 62438 //
     /*  293972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  293983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293990 */     // MIs[0] op1
     /*  293990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293998 */     // MIs[0] op2
     /*  293998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294006 */     // MIs[0] op3
     /*  294006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294021 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294026 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294028 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294030 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294040 */     GIR_RootConstrainSelectedInstOperands,
     /*  294041 */     // GIR_Coverage, 62438,
     /*  294041 */     GIR_EraseRootFromParent_Done,
     /*  294042 */   // Label 5786: @294042
     /*  294042 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(294117), // Rule ID 62481 //
     /*  294047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  294058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294065 */     // MIs[0] op1
     /*  294065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294073 */     // MIs[0] op2
     /*  294073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294081 */     // MIs[0] op3
     /*  294081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294115 */     GIR_RootConstrainSelectedInstOperands,
     /*  294116 */     // GIR_Coverage, 62481,
     /*  294116 */     GIR_EraseRootFromParent_Done,
     /*  294117 */   // Label 5787: @294117
     /*  294117 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(294192), // Rule ID 62482 //
     /*  294122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  294133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294140 */     // MIs[0] op1
     /*  294140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294148 */     // MIs[0] op2
     /*  294148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294156 */     // MIs[0] op3
     /*  294156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294176 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294178 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294180 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294190 */     GIR_RootConstrainSelectedInstOperands,
     /*  294191 */     // GIR_Coverage, 62482,
     /*  294191 */     GIR_EraseRootFromParent_Done,
     /*  294192 */   // Label 5788: @294192
     /*  294192 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(294267), // Rule ID 62537 //
     /*  294197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  294208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294215 */     // MIs[0] op1
     /*  294215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294223 */     // MIs[0] op2
     /*  294223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294231 */     // MIs[0] op3
     /*  294231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294265 */     GIR_RootConstrainSelectedInstOperands,
     /*  294266 */     // GIR_Coverage, 62537,
     /*  294266 */     GIR_EraseRootFromParent_Done,
     /*  294267 */   // Label 5789: @294267
     /*  294267 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(294342), // Rule ID 62538 //
     /*  294272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  294283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294290 */     // MIs[0] op1
     /*  294290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294298 */     // MIs[0] op2
     /*  294298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294306 */     // MIs[0] op3
     /*  294306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294326 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294328 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294330 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294340 */     GIR_RootConstrainSelectedInstOperands,
     /*  294341 */     // GIR_Coverage, 62538,
     /*  294341 */     GIR_EraseRootFromParent_Done,
     /*  294342 */   // Label 5790: @294342
     /*  294342 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(294417), // Rule ID 62593 //
     /*  294347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  294358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294365 */     // MIs[0] op1
     /*  294365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294373 */     // MIs[0] op2
     /*  294373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294381 */     // MIs[0] op3
     /*  294381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294415 */     GIR_RootConstrainSelectedInstOperands,
     /*  294416 */     // GIR_Coverage, 62593,
     /*  294416 */     GIR_EraseRootFromParent_Done,
     /*  294417 */   // Label 5791: @294417
     /*  294417 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(294492), // Rule ID 62594 //
     /*  294422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  294433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294440 */     // MIs[0] op1
     /*  294440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294448 */     // MIs[0] op2
     /*  294448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294456 */     // MIs[0] op3
     /*  294456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294476 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294478 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294480 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294490 */     GIR_RootConstrainSelectedInstOperands,
     /*  294491 */     // GIR_Coverage, 62594,
     /*  294491 */     GIR_EraseRootFromParent_Done,
     /*  294492 */   // Label 5792: @294492
     /*  294492 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(294567), // Rule ID 62649 //
     /*  294497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  294508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294515 */     // MIs[0] op1
     /*  294515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294523 */     // MIs[0] op2
     /*  294523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294531 */     // MIs[0] op3
     /*  294531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  294549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294551 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294553 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294555 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294565 */     GIR_RootConstrainSelectedInstOperands,
     /*  294566 */     // GIR_Coverage, 62649,
     /*  294566 */     GIR_EraseRootFromParent_Done,
     /*  294567 */   // Label 5793: @294567
     /*  294567 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(294642), // Rule ID 62650 //
     /*  294572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  294583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294590 */     // MIs[0] op1
     /*  294590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294598 */     // MIs[0] op2
     /*  294598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294606 */     // MIs[0] op3
     /*  294606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  294624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294640 */     GIR_RootConstrainSelectedInstOperands,
     /*  294641 */     // GIR_Coverage, 62650,
     /*  294641 */     GIR_EraseRootFromParent_Done,
     /*  294642 */   // Label 5794: @294642
     /*  294642 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(294717), // Rule ID 62693 //
     /*  294647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  294658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294665 */     // MIs[0] op1
     /*  294665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294673 */     // MIs[0] op2
     /*  294673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294681 */     // MIs[0] op3
     /*  294681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  294699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294701 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294703 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294705 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294715 */     GIR_RootConstrainSelectedInstOperands,
     /*  294716 */     // GIR_Coverage, 62693,
     /*  294716 */     GIR_EraseRootFromParent_Done,
     /*  294717 */   // Label 5795: @294717
     /*  294717 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(294792), // Rule ID 62694 //
     /*  294722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  294733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294740 */     // MIs[0] op1
     /*  294740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294748 */     // MIs[0] op2
     /*  294748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294756 */     // MIs[0] op3
     /*  294756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  294774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294790 */     GIR_RootConstrainSelectedInstOperands,
     /*  294791 */     // GIR_Coverage, 62694,
     /*  294791 */     GIR_EraseRootFromParent_Done,
     /*  294792 */   // Label 5796: @294792
     /*  294792 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(294867), // Rule ID 62737 //
     /*  294797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  294808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294815 */     // MIs[0] op1
     /*  294815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294823 */     // MIs[0] op2
     /*  294823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294831 */     // MIs[0] op3
     /*  294831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  294849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294865 */     GIR_RootConstrainSelectedInstOperands,
     /*  294866 */     // GIR_Coverage, 62737,
     /*  294866 */     GIR_EraseRootFromParent_Done,
     /*  294867 */   // Label 5797: @294867
     /*  294867 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(294942), // Rule ID 62738 //
     /*  294872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  294883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294890 */     // MIs[0] op1
     /*  294890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294898 */     // MIs[0] op2
     /*  294898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294906 */     // MIs[0] op3
     /*  294906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  294924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294940 */     GIR_RootConstrainSelectedInstOperands,
     /*  294941 */     // GIR_Coverage, 62738,
     /*  294941 */     GIR_EraseRootFromParent_Done,
     /*  294942 */   // Label 5798: @294942
     /*  294942 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(295017), // Rule ID 62781 //
     /*  294947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  294958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294965 */     // MIs[0] op1
     /*  294965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294973 */     // MIs[0] op2
     /*  294973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294981 */     // MIs[0] op3
     /*  294981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  294999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295015 */     GIR_RootConstrainSelectedInstOperands,
     /*  295016 */     // GIR_Coverage, 62781,
     /*  295016 */     GIR_EraseRootFromParent_Done,
     /*  295017 */   // Label 5799: @295017
     /*  295017 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(295092), // Rule ID 62782 //
     /*  295022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  295033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295040 */     // MIs[0] op1
     /*  295040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295048 */     // MIs[0] op2
     /*  295048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295056 */     // MIs[0] op3
     /*  295056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295090 */     GIR_RootConstrainSelectedInstOperands,
     /*  295091 */     // GIR_Coverage, 62782,
     /*  295091 */     GIR_EraseRootFromParent_Done,
     /*  295092 */   // Label 5800: @295092
     /*  295092 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(295167), // Rule ID 62837 //
     /*  295097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  295108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295115 */     // MIs[0] op1
     /*  295115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295123 */     // MIs[0] op2
     /*  295123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295131 */     // MIs[0] op3
     /*  295131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295165 */     GIR_RootConstrainSelectedInstOperands,
     /*  295166 */     // GIR_Coverage, 62837,
     /*  295166 */     GIR_EraseRootFromParent_Done,
     /*  295167 */   // Label 5801: @295167
     /*  295167 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(295242), // Rule ID 62838 //
     /*  295172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  295183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295190 */     // MIs[0] op1
     /*  295190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295198 */     // MIs[0] op2
     /*  295198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295206 */     // MIs[0] op3
     /*  295206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295240 */     GIR_RootConstrainSelectedInstOperands,
     /*  295241 */     // GIR_Coverage, 62838,
     /*  295241 */     GIR_EraseRootFromParent_Done,
     /*  295242 */   // Label 5802: @295242
     /*  295242 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(295317), // Rule ID 62893 //
     /*  295247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  295258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295265 */     // MIs[0] op1
     /*  295265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295273 */     // MIs[0] op2
     /*  295273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295281 */     // MIs[0] op3
     /*  295281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295315 */     GIR_RootConstrainSelectedInstOperands,
     /*  295316 */     // GIR_Coverage, 62893,
     /*  295316 */     GIR_EraseRootFromParent_Done,
     /*  295317 */   // Label 5803: @295317
     /*  295317 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(295392), // Rule ID 62894 //
     /*  295322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  295333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295340 */     // MIs[0] op1
     /*  295340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295348 */     // MIs[0] op2
     /*  295348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295356 */     // MIs[0] op3
     /*  295356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295390 */     GIR_RootConstrainSelectedInstOperands,
     /*  295391 */     // GIR_Coverage, 62894,
     /*  295391 */     GIR_EraseRootFromParent_Done,
     /*  295392 */   // Label 5804: @295392
     /*  295392 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(295467), // Rule ID 62949 //
     /*  295397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  295408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295415 */     // MIs[0] op1
     /*  295415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295423 */     // MIs[0] op2
     /*  295423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295431 */     // MIs[0] op3
     /*  295431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295465 */     GIR_RootConstrainSelectedInstOperands,
     /*  295466 */     // GIR_Coverage, 62949,
     /*  295466 */     GIR_EraseRootFromParent_Done,
     /*  295467 */   // Label 5805: @295467
     /*  295467 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(295542), // Rule ID 62950 //
     /*  295472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  295483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295490 */     // MIs[0] op1
     /*  295490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295498 */     // MIs[0] op2
     /*  295498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295506 */     // MIs[0] op3
     /*  295506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295526 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295528 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295530 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295540 */     GIR_RootConstrainSelectedInstOperands,
     /*  295541 */     // GIR_Coverage, 62950,
     /*  295541 */     GIR_EraseRootFromParent_Done,
     /*  295542 */   // Label 5806: @295542
     /*  295542 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(295617), // Rule ID 63005 //
     /*  295547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  295558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295565 */     // MIs[0] op1
     /*  295565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295573 */     // MIs[0] op2
     /*  295573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295581 */     // MIs[0] op3
     /*  295581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295601 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295603 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295605 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295615 */     GIR_RootConstrainSelectedInstOperands,
     /*  295616 */     // GIR_Coverage, 63005,
     /*  295616 */     GIR_EraseRootFromParent_Done,
     /*  295617 */   // Label 5807: @295617
     /*  295617 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(295692), // Rule ID 63006 //
     /*  295622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  295633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295640 */     // MIs[0] op1
     /*  295640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295648 */     // MIs[0] op2
     /*  295648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295656 */     // MIs[0] op3
     /*  295656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295690 */     GIR_RootConstrainSelectedInstOperands,
     /*  295691 */     // GIR_Coverage, 63006,
     /*  295691 */     GIR_EraseRootFromParent_Done,
     /*  295692 */   // Label 5808: @295692
     /*  295692 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(295767), // Rule ID 63061 //
     /*  295697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  295708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295715 */     // MIs[0] op1
     /*  295715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295723 */     // MIs[0] op2
     /*  295723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295731 */     // MIs[0] op3
     /*  295731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295765 */     GIR_RootConstrainSelectedInstOperands,
     /*  295766 */     // GIR_Coverage, 63061,
     /*  295766 */     GIR_EraseRootFromParent_Done,
     /*  295767 */   // Label 5809: @295767
     /*  295767 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(295842), // Rule ID 63062 //
     /*  295772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  295783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295790 */     // MIs[0] op1
     /*  295790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295798 */     // MIs[0] op2
     /*  295798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295806 */     // MIs[0] op3
     /*  295806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295840 */     GIR_RootConstrainSelectedInstOperands,
     /*  295841 */     // GIR_Coverage, 63062,
     /*  295841 */     GIR_EraseRootFromParent_Done,
     /*  295842 */   // Label 5810: @295842
     /*  295842 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(295917), // Rule ID 63117 //
     /*  295847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  295858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295865 */     // MIs[0] op1
     /*  295865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295873 */     // MIs[0] op2
     /*  295873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295881 */     // MIs[0] op3
     /*  295881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295915 */     GIR_RootConstrainSelectedInstOperands,
     /*  295916 */     // GIR_Coverage, 63117,
     /*  295916 */     GIR_EraseRootFromParent_Done,
     /*  295917 */   // Label 5811: @295917
     /*  295917 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(295992), // Rule ID 63118 //
     /*  295922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  295933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295940 */     // MIs[0] op1
     /*  295940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295948 */     // MIs[0] op2
     /*  295948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295956 */     // MIs[0] op3
     /*  295956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295990 */     GIR_RootConstrainSelectedInstOperands,
     /*  295991 */     // GIR_Coverage, 63118,
     /*  295991 */     GIR_EraseRootFromParent_Done,
     /*  295992 */   // Label 5812: @295992
     /*  295992 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(296067), // Rule ID 63173 //
     /*  295997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  296008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296015 */     // MIs[0] op1
     /*  296015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296023 */     // MIs[0] op2
     /*  296023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296031 */     // MIs[0] op3
     /*  296031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296065 */     GIR_RootConstrainSelectedInstOperands,
     /*  296066 */     // GIR_Coverage, 63173,
     /*  296066 */     GIR_EraseRootFromParent_Done,
     /*  296067 */   // Label 5813: @296067
     /*  296067 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(296142), // Rule ID 63174 //
     /*  296072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  296083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296090 */     // MIs[0] op1
     /*  296090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296098 */     // MIs[0] op2
     /*  296098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296106 */     // MIs[0] op3
     /*  296106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296121 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296140 */     GIR_RootConstrainSelectedInstOperands,
     /*  296141 */     // GIR_Coverage, 63174,
     /*  296141 */     GIR_EraseRootFromParent_Done,
     /*  296142 */   // Label 5814: @296142
     /*  296142 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(296217), // Rule ID 63229 //
     /*  296147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  296158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296165 */     // MIs[0] op1
     /*  296165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296173 */     // MIs[0] op2
     /*  296173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296181 */     // MIs[0] op3
     /*  296181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296215 */     GIR_RootConstrainSelectedInstOperands,
     /*  296216 */     // GIR_Coverage, 63229,
     /*  296216 */     GIR_EraseRootFromParent_Done,
     /*  296217 */   // Label 5815: @296217
     /*  296217 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(296292), // Rule ID 63230 //
     /*  296222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  296233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296240 */     // MIs[0] op1
     /*  296240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296248 */     // MIs[0] op2
     /*  296248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296256 */     // MIs[0] op3
     /*  296256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296271 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296290 */     GIR_RootConstrainSelectedInstOperands,
     /*  296291 */     // GIR_Coverage, 63230,
     /*  296291 */     GIR_EraseRootFromParent_Done,
     /*  296292 */   // Label 5816: @296292
     /*  296292 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(296366), // Rule ID 62131 //
     /*  296297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  296308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296318 */     // MIs[0] op1
     /*  296318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296326 */     // MIs[0] op2
     /*  296326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296345 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  296348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296364 */     GIR_RootConstrainSelectedInstOperands,
     /*  296365 */     // GIR_Coverage, 62131,
     /*  296365 */     GIR_EraseRootFromParent_Done,
     /*  296366 */   // Label 5817: @296366
     /*  296366 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(296440), // Rule ID 62132 //
     /*  296371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  296382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296392 */     // MIs[0] op1
     /*  296392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296400 */     // MIs[0] op2
     /*  296400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  296422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296424 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296426 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296428 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296438 */     GIR_RootConstrainSelectedInstOperands,
     /*  296439 */     // GIR_Coverage, 62132,
     /*  296439 */     GIR_EraseRootFromParent_Done,
     /*  296440 */   // Label 5818: @296440
     /*  296440 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(296514), // Rule ID 62177 //
     /*  296445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  296456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296466 */     // MIs[0] op1
     /*  296466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296474 */     // MIs[0] op2
     /*  296474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296493 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  296496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296512 */     GIR_RootConstrainSelectedInstOperands,
     /*  296513 */     // GIR_Coverage, 62177,
     /*  296513 */     GIR_EraseRootFromParent_Done,
     /*  296514 */   // Label 5819: @296514
     /*  296514 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(296588), // Rule ID 62178 //
     /*  296519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  296530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296540 */     // MIs[0] op1
     /*  296540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296548 */     // MIs[0] op2
     /*  296548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  296570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296586 */     GIR_RootConstrainSelectedInstOperands,
     /*  296587 */     // GIR_Coverage, 62178,
     /*  296587 */     GIR_EraseRootFromParent_Done,
     /*  296588 */   // Label 5820: @296588
     /*  296588 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(296662), // Rule ID 62221 //
     /*  296593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  296604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296614 */     // MIs[0] op1
     /*  296614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296622 */     // MIs[0] op2
     /*  296622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  296644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296646 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296648 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296650 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296660 */     GIR_RootConstrainSelectedInstOperands,
     /*  296661 */     // GIR_Coverage, 62221,
     /*  296661 */     GIR_EraseRootFromParent_Done,
     /*  296662 */   // Label 5821: @296662
     /*  296662 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(296736), // Rule ID 62222 //
     /*  296667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  296678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296688 */     // MIs[0] op1
     /*  296688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296696 */     // MIs[0] op2
     /*  296696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  296718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296734 */     GIR_RootConstrainSelectedInstOperands,
     /*  296735 */     // GIR_Coverage, 62222,
     /*  296735 */     GIR_EraseRootFromParent_Done,
     /*  296736 */   // Label 5822: @296736
     /*  296736 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(296810), // Rule ID 62265 //
     /*  296741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  296752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296762 */     // MIs[0] op1
     /*  296762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296770 */     // MIs[0] op2
     /*  296770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  296792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296808 */     GIR_RootConstrainSelectedInstOperands,
     /*  296809 */     // GIR_Coverage, 62265,
     /*  296809 */     GIR_EraseRootFromParent_Done,
     /*  296810 */   // Label 5823: @296810
     /*  296810 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(296884), // Rule ID 62266 //
     /*  296815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  296826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296836 */     // MIs[0] op1
     /*  296836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296844 */     // MIs[0] op2
     /*  296844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  296866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296882 */     GIR_RootConstrainSelectedInstOperands,
     /*  296883 */     // GIR_Coverage, 62266,
     /*  296883 */     GIR_EraseRootFromParent_Done,
     /*  296884 */   // Label 5824: @296884
     /*  296884 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(296958), // Rule ID 62321 //
     /*  296889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  296900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296910 */     // MIs[0] op1
     /*  296910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296918 */     // MIs[0] op2
     /*  296918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  296940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296956 */     GIR_RootConstrainSelectedInstOperands,
     /*  296957 */     // GIR_Coverage, 62321,
     /*  296957 */     GIR_EraseRootFromParent_Done,
     /*  296958 */   // Label 5825: @296958
     /*  296958 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(297032), // Rule ID 62322 //
     /*  296963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  296974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296984 */     // MIs[0] op1
     /*  296984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296992 */     // MIs[0] op2
     /*  296992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297030 */     GIR_RootConstrainSelectedInstOperands,
     /*  297031 */     // GIR_Coverage, 62322,
     /*  297031 */     GIR_EraseRootFromParent_Done,
     /*  297032 */   // Label 5826: @297032
     /*  297032 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(297106), // Rule ID 62377 //
     /*  297037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  297048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297058 */     // MIs[0] op1
     /*  297058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297066 */     // MIs[0] op2
     /*  297066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297104 */     GIR_RootConstrainSelectedInstOperands,
     /*  297105 */     // GIR_Coverage, 62377,
     /*  297105 */     GIR_EraseRootFromParent_Done,
     /*  297106 */   // Label 5827: @297106
     /*  297106 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(297180), // Rule ID 62378 //
     /*  297111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  297122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297132 */     // MIs[0] op1
     /*  297132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297140 */     // MIs[0] op2
     /*  297140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297164 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297166 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297168 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297178 */     GIR_RootConstrainSelectedInstOperands,
     /*  297179 */     // GIR_Coverage, 62378,
     /*  297179 */     GIR_EraseRootFromParent_Done,
     /*  297180 */   // Label 5828: @297180
     /*  297180 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(297254), // Rule ID 62433 //
     /*  297185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  297196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297206 */     // MIs[0] op1
     /*  297206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297214 */     // MIs[0] op2
     /*  297214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297238 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297240 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297242 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297252 */     GIR_RootConstrainSelectedInstOperands,
     /*  297253 */     // GIR_Coverage, 62433,
     /*  297253 */     GIR_EraseRootFromParent_Done,
     /*  297254 */   // Label 5829: @297254
     /*  297254 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(297328), // Rule ID 62434 //
     /*  297259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  297270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297280 */     // MIs[0] op1
     /*  297280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297288 */     // MIs[0] op2
     /*  297288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297326 */     GIR_RootConstrainSelectedInstOperands,
     /*  297327 */     // GIR_Coverage, 62434,
     /*  297327 */     GIR_EraseRootFromParent_Done,
     /*  297328 */   // Label 5830: @297328
     /*  297328 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(297402), // Rule ID 62477 //
     /*  297333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  297344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297354 */     // MIs[0] op1
     /*  297354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297362 */     // MIs[0] op2
     /*  297362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297400 */     GIR_RootConstrainSelectedInstOperands,
     /*  297401 */     // GIR_Coverage, 62477,
     /*  297401 */     GIR_EraseRootFromParent_Done,
     /*  297402 */   // Label 5831: @297402
     /*  297402 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(297476), // Rule ID 62478 //
     /*  297407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  297418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297428 */     // MIs[0] op1
     /*  297428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297436 */     // MIs[0] op2
     /*  297436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297460 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297462 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297464 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297474 */     GIR_RootConstrainSelectedInstOperands,
     /*  297475 */     // GIR_Coverage, 62478,
     /*  297475 */     GIR_EraseRootFromParent_Done,
     /*  297476 */   // Label 5832: @297476
     /*  297476 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(297550), // Rule ID 62533 //
     /*  297481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  297492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297502 */     // MIs[0] op1
     /*  297502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297510 */     // MIs[0] op2
     /*  297510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297548 */     GIR_RootConstrainSelectedInstOperands,
     /*  297549 */     // GIR_Coverage, 62533,
     /*  297549 */     GIR_EraseRootFromParent_Done,
     /*  297550 */   // Label 5833: @297550
     /*  297550 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(297624), // Rule ID 62534 //
     /*  297555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  297566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297576 */     // MIs[0] op1
     /*  297576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297584 */     // MIs[0] op2
     /*  297584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297622 */     GIR_RootConstrainSelectedInstOperands,
     /*  297623 */     // GIR_Coverage, 62534,
     /*  297623 */     GIR_EraseRootFromParent_Done,
     /*  297624 */   // Label 5834: @297624
     /*  297624 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(297698), // Rule ID 62589 //
     /*  297629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  297640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297650 */     // MIs[0] op1
     /*  297650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297658 */     // MIs[0] op2
     /*  297658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297696 */     GIR_RootConstrainSelectedInstOperands,
     /*  297697 */     // GIR_Coverage, 62589,
     /*  297697 */     GIR_EraseRootFromParent_Done,
     /*  297698 */   // Label 5835: @297698
     /*  297698 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(297772), // Rule ID 62590 //
     /*  297703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  297714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297724 */     // MIs[0] op1
     /*  297724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297732 */     // MIs[0] op2
     /*  297732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297756 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297758 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297760 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297770 */     GIR_RootConstrainSelectedInstOperands,
     /*  297771 */     // GIR_Coverage, 62590,
     /*  297771 */     GIR_EraseRootFromParent_Done,
     /*  297772 */   // Label 5836: @297772
     /*  297772 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(297846), // Rule ID 62645 //
     /*  297777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  297788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297798 */     // MIs[0] op1
     /*  297798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297806 */     // MIs[0] op2
     /*  297806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297825 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  297828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297844 */     GIR_RootConstrainSelectedInstOperands,
     /*  297845 */     // GIR_Coverage, 62645,
     /*  297845 */     GIR_EraseRootFromParent_Done,
     /*  297846 */   // Label 5837: @297846
     /*  297846 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(297920), // Rule ID 62646 //
     /*  297851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  297862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297872 */     // MIs[0] op1
     /*  297872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297880 */     // MIs[0] op2
     /*  297880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  297902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297918 */     GIR_RootConstrainSelectedInstOperands,
     /*  297919 */     // GIR_Coverage, 62646,
     /*  297919 */     GIR_EraseRootFromParent_Done,
     /*  297920 */   // Label 5838: @297920
     /*  297920 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(297994), // Rule ID 62689 //
     /*  297925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  297936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297946 */     // MIs[0] op1
     /*  297946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297954 */     // MIs[0] op2
     /*  297954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297973 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  297976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297992 */     GIR_RootConstrainSelectedInstOperands,
     /*  297993 */     // GIR_Coverage, 62689,
     /*  297993 */     GIR_EraseRootFromParent_Done,
     /*  297994 */   // Label 5839: @297994
     /*  297994 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(298068), // Rule ID 62690 //
     /*  297999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  298010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298020 */     // MIs[0] op1
     /*  298020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298028 */     // MIs[0] op2
     /*  298028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298052 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298054 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298056 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298066 */     GIR_RootConstrainSelectedInstOperands,
     /*  298067 */     // GIR_Coverage, 62690,
     /*  298067 */     GIR_EraseRootFromParent_Done,
     /*  298068 */   // Label 5840: @298068
     /*  298068 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(298142), // Rule ID 62733 //
     /*  298073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  298084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298094 */     // MIs[0] op1
     /*  298094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298102 */     // MIs[0] op2
     /*  298102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298121 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298140 */     GIR_RootConstrainSelectedInstOperands,
     /*  298141 */     // GIR_Coverage, 62733,
     /*  298141 */     GIR_EraseRootFromParent_Done,
     /*  298142 */   // Label 5841: @298142
     /*  298142 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(298216), // Rule ID 62734 //
     /*  298147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  298158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298168 */     // MIs[0] op1
     /*  298168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298176 */     // MIs[0] op2
     /*  298176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298214 */     GIR_RootConstrainSelectedInstOperands,
     /*  298215 */     // GIR_Coverage, 62734,
     /*  298215 */     GIR_EraseRootFromParent_Done,
     /*  298216 */   // Label 5842: @298216
     /*  298216 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(298290), // Rule ID 62777 //
     /*  298221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  298232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298242 */     // MIs[0] op1
     /*  298242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298250 */     // MIs[0] op2
     /*  298250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298288 */     GIR_RootConstrainSelectedInstOperands,
     /*  298289 */     // GIR_Coverage, 62777,
     /*  298289 */     GIR_EraseRootFromParent_Done,
     /*  298290 */   // Label 5843: @298290
     /*  298290 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(298364), // Rule ID 62778 //
     /*  298295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  298306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298316 */     // MIs[0] op1
     /*  298316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298324 */     // MIs[0] op2
     /*  298324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298348 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298350 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298352 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298362 */     GIR_RootConstrainSelectedInstOperands,
     /*  298363 */     // GIR_Coverage, 62778,
     /*  298363 */     GIR_EraseRootFromParent_Done,
     /*  298364 */   // Label 5844: @298364
     /*  298364 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(298438), // Rule ID 62833 //
     /*  298369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  298380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298390 */     // MIs[0] op1
     /*  298390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298398 */     // MIs[0] op2
     /*  298398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298436 */     GIR_RootConstrainSelectedInstOperands,
     /*  298437 */     // GIR_Coverage, 62833,
     /*  298437 */     GIR_EraseRootFromParent_Done,
     /*  298438 */   // Label 5845: @298438
     /*  298438 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(298512), // Rule ID 62834 //
     /*  298443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  298454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298464 */     // MIs[0] op1
     /*  298464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298472 */     // MIs[0] op2
     /*  298472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298496 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298498 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298500 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298510 */     GIR_RootConstrainSelectedInstOperands,
     /*  298511 */     // GIR_Coverage, 62834,
     /*  298511 */     GIR_EraseRootFromParent_Done,
     /*  298512 */   // Label 5846: @298512
     /*  298512 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(298586), // Rule ID 62889 //
     /*  298517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  298528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298538 */     // MIs[0] op1
     /*  298538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298546 */     // MIs[0] op2
     /*  298546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298565 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298570 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298572 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298574 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298584 */     GIR_RootConstrainSelectedInstOperands,
     /*  298585 */     // GIR_Coverage, 62889,
     /*  298585 */     GIR_EraseRootFromParent_Done,
     /*  298586 */   // Label 5847: @298586
     /*  298586 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(298660), // Rule ID 62890 //
     /*  298591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  298602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298612 */     // MIs[0] op1
     /*  298612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298620 */     // MIs[0] op2
     /*  298620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298658 */     GIR_RootConstrainSelectedInstOperands,
     /*  298659 */     // GIR_Coverage, 62890,
     /*  298659 */     GIR_EraseRootFromParent_Done,
     /*  298660 */   // Label 5848: @298660
     /*  298660 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(298734), // Rule ID 62945 //
     /*  298665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  298676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298686 */     // MIs[0] op1
     /*  298686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298694 */     // MIs[0] op2
     /*  298694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298713 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298718 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298720 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298722 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298732 */     GIR_RootConstrainSelectedInstOperands,
     /*  298733 */     // GIR_Coverage, 62945,
     /*  298733 */     GIR_EraseRootFromParent_Done,
     /*  298734 */   // Label 5849: @298734
     /*  298734 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(298808), // Rule ID 62946 //
     /*  298739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  298750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298760 */     // MIs[0] op1
     /*  298760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298768 */     // MIs[0] op2
     /*  298768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298806 */     GIR_RootConstrainSelectedInstOperands,
     /*  298807 */     // GIR_Coverage, 62946,
     /*  298807 */     GIR_EraseRootFromParent_Done,
     /*  298808 */   // Label 5850: @298808
     /*  298808 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(298882), // Rule ID 63001 //
     /*  298813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  298824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298834 */     // MIs[0] op1
     /*  298834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298842 */     // MIs[0] op2
     /*  298842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298866 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298868 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298870 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298880 */     GIR_RootConstrainSelectedInstOperands,
     /*  298881 */     // GIR_Coverage, 63001,
     /*  298881 */     GIR_EraseRootFromParent_Done,
     /*  298882 */   // Label 5851: @298882
     /*  298882 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(298956), // Rule ID 63002 //
     /*  298887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  298898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298908 */     // MIs[0] op1
     /*  298908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298916 */     // MIs[0] op2
     /*  298916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298954 */     GIR_RootConstrainSelectedInstOperands,
     /*  298955 */     // GIR_Coverage, 63002,
     /*  298955 */     GIR_EraseRootFromParent_Done,
     /*  298956 */   // Label 5852: @298956
     /*  298956 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(299030), // Rule ID 63057 //
     /*  298961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  298972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298982 */     // MIs[0] op1
     /*  298982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298990 */     // MIs[0] op2
     /*  298990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299028 */     GIR_RootConstrainSelectedInstOperands,
     /*  299029 */     // GIR_Coverage, 63057,
     /*  299029 */     GIR_EraseRootFromParent_Done,
     /*  299030 */   // Label 5853: @299030
     /*  299030 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(299104), // Rule ID 63058 //
     /*  299035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  299046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299056 */     // MIs[0] op1
     /*  299056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299064 */     // MIs[0] op2
     /*  299064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299102 */     GIR_RootConstrainSelectedInstOperands,
     /*  299103 */     // GIR_Coverage, 63058,
     /*  299103 */     GIR_EraseRootFromParent_Done,
     /*  299104 */   // Label 5854: @299104
     /*  299104 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(299178), // Rule ID 63113 //
     /*  299109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  299120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299130 */     // MIs[0] op1
     /*  299130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299138 */     // MIs[0] op2
     /*  299138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299176 */     GIR_RootConstrainSelectedInstOperands,
     /*  299177 */     // GIR_Coverage, 63113,
     /*  299177 */     GIR_EraseRootFromParent_Done,
     /*  299178 */   // Label 5855: @299178
     /*  299178 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(299252), // Rule ID 63114 //
     /*  299183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  299194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299204 */     // MIs[0] op1
     /*  299204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299212 */     // MIs[0] op2
     /*  299212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299250 */     GIR_RootConstrainSelectedInstOperands,
     /*  299251 */     // GIR_Coverage, 63114,
     /*  299251 */     GIR_EraseRootFromParent_Done,
     /*  299252 */   // Label 5856: @299252
     /*  299252 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(299326), // Rule ID 63169 //
     /*  299257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  299268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299278 */     // MIs[0] op1
     /*  299278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299286 */     // MIs[0] op2
     /*  299286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299324 */     GIR_RootConstrainSelectedInstOperands,
     /*  299325 */     // GIR_Coverage, 63169,
     /*  299325 */     GIR_EraseRootFromParent_Done,
     /*  299326 */   // Label 5857: @299326
     /*  299326 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(299400), // Rule ID 63170 //
     /*  299331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  299342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299352 */     // MIs[0] op1
     /*  299352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299360 */     // MIs[0] op2
     /*  299360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299398 */     GIR_RootConstrainSelectedInstOperands,
     /*  299399 */     // GIR_Coverage, 63170,
     /*  299399 */     GIR_EraseRootFromParent_Done,
     /*  299400 */   // Label 5858: @299400
     /*  299400 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(299474), // Rule ID 63225 //
     /*  299405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  299416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299426 */     // MIs[0] op1
     /*  299426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299434 */     // MIs[0] op2
     /*  299434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299472 */     GIR_RootConstrainSelectedInstOperands,
     /*  299473 */     // GIR_Coverage, 63225,
     /*  299473 */     GIR_EraseRootFromParent_Done,
     /*  299474 */   // Label 5859: @299474
     /*  299474 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(299548), // Rule ID 63226 //
     /*  299479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  299490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299500 */     // MIs[0] op1
     /*  299500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299508 */     // MIs[0] op2
     /*  299508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10733:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299546 */     GIR_RootConstrainSelectedInstOperands,
     /*  299547 */     // GIR_Coverage, 63226,
     /*  299547 */     GIR_EraseRootFromParent_Done,
     /*  299548 */   // Label 5860: @299548
     /*  299548 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(299622), // Rule ID 62155 //
     /*  299553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  299564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299574 */     // MIs[0] op1
     /*  299574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299586 */     // MIs[0] op3
     /*  299586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299601 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  299604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299620 */     GIR_RootConstrainSelectedInstOperands,
     /*  299621 */     // GIR_Coverage, 62155,
     /*  299621 */     GIR_EraseRootFromParent_Done,
     /*  299622 */   // Label 5861: @299622
     /*  299622 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(299696), // Rule ID 62156 //
     /*  299627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  299638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  299641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299648 */     // MIs[0] op1
     /*  299648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299660 */     // MIs[0] op3
     /*  299660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  299678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299694 */     GIR_RootConstrainSelectedInstOperands,
     /*  299695 */     // GIR_Coverage, 62156,
     /*  299695 */     GIR_EraseRootFromParent_Done,
     /*  299696 */   // Label 5862: @299696
     /*  299696 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(299770), // Rule ID 62193 //
     /*  299701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  299712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299722 */     // MIs[0] op1
     /*  299722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299734 */     // MIs[0] op3
     /*  299734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  299752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299754 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299756 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299758 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299768 */     GIR_RootConstrainSelectedInstOperands,
     /*  299769 */     // GIR_Coverage, 62193,
     /*  299769 */     GIR_EraseRootFromParent_Done,
     /*  299770 */   // Label 5863: @299770
     /*  299770 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(299844), // Rule ID 62194 //
     /*  299775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  299786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  299789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299796 */     // MIs[0] op1
     /*  299796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299808 */     // MIs[0] op3
     /*  299808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299823 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  299826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299828 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299830 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299832 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299842 */     GIR_RootConstrainSelectedInstOperands,
     /*  299843 */     // GIR_Coverage, 62194,
     /*  299843 */     GIR_EraseRootFromParent_Done,
     /*  299844 */   // Label 5864: @299844
     /*  299844 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(299918), // Rule ID 62237 //
     /*  299849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  299860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299870 */     // MIs[0] op1
     /*  299870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299873 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299882 */     // MIs[0] op3
     /*  299882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299897 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  299900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299902 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299904 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299906 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299916 */     GIR_RootConstrainSelectedInstOperands,
     /*  299917 */     // GIR_Coverage, 62237,
     /*  299917 */     GIR_EraseRootFromParent_Done,
     /*  299918 */   // Label 5865: @299918
     /*  299918 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(299992), // Rule ID 62238 //
     /*  299923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  299931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  299934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299944 */     // MIs[0] op1
     /*  299944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299956 */     // MIs[0] op3
     /*  299956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  299959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  299964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  299974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299990 */     GIR_RootConstrainSelectedInstOperands,
     /*  299991 */     // GIR_Coverage, 62238,
     /*  299991 */     GIR_EraseRootFromParent_Done,
     /*  299992 */   // Label 5866: @299992
     /*  299992 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(300066), // Rule ID 62281 //
     /*  299997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  300008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300018 */     // MIs[0] op1
     /*  300018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300030 */     // MIs[0] op3
     /*  300030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300064 */     GIR_RootConstrainSelectedInstOperands,
     /*  300065 */     // GIR_Coverage, 62281,
     /*  300065 */     GIR_EraseRootFromParent_Done,
     /*  300066 */   // Label 5867: @300066
     /*  300066 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(300140), // Rule ID 62282 //
     /*  300071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  300082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300092 */     // MIs[0] op1
     /*  300092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300104 */     // MIs[0] op3
     /*  300104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300138 */     GIR_RootConstrainSelectedInstOperands,
     /*  300139 */     // GIR_Coverage, 62282,
     /*  300139 */     GIR_EraseRootFromParent_Done,
     /*  300140 */   // Label 5868: @300140
     /*  300140 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(300214), // Rule ID 62337 //
     /*  300145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  300156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300166 */     // MIs[0] op1
     /*  300166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300169 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300178 */     // MIs[0] op3
     /*  300178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300198 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300200 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300202 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300212 */     GIR_RootConstrainSelectedInstOperands,
     /*  300213 */     // GIR_Coverage, 62337,
     /*  300213 */     GIR_EraseRootFromParent_Done,
     /*  300214 */   // Label 5869: @300214
     /*  300214 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(300288), // Rule ID 62338 //
     /*  300219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  300230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300240 */     // MIs[0] op1
     /*  300240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300252 */     // MIs[0] op3
     /*  300252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300286 */     GIR_RootConstrainSelectedInstOperands,
     /*  300287 */     // GIR_Coverage, 62338,
     /*  300287 */     GIR_EraseRootFromParent_Done,
     /*  300288 */   // Label 5870: @300288
     /*  300288 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(300362), // Rule ID 62393 //
     /*  300293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  300304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300314 */     // MIs[0] op1
     /*  300314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300326 */     // MIs[0] op3
     /*  300326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300346 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300348 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300350 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300360 */     GIR_RootConstrainSelectedInstOperands,
     /*  300361 */     // GIR_Coverage, 62393,
     /*  300361 */     GIR_EraseRootFromParent_Done,
     /*  300362 */   // Label 5871: @300362
     /*  300362 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(300436), // Rule ID 62394 //
     /*  300367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  300378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300388 */     // MIs[0] op1
     /*  300388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300400 */     // MIs[0] op3
     /*  300400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300434 */     GIR_RootConstrainSelectedInstOperands,
     /*  300435 */     // GIR_Coverage, 62394,
     /*  300435 */     GIR_EraseRootFromParent_Done,
     /*  300436 */   // Label 5872: @300436
     /*  300436 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(300510), // Rule ID 62449 //
     /*  300441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  300452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300462 */     // MIs[0] op1
     /*  300462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300474 */     // MIs[0] op3
     /*  300474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300508 */     GIR_RootConstrainSelectedInstOperands,
     /*  300509 */     // GIR_Coverage, 62449,
     /*  300509 */     GIR_EraseRootFromParent_Done,
     /*  300510 */   // Label 5873: @300510
     /*  300510 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(300584), // Rule ID 62450 //
     /*  300515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  300526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300536 */     // MIs[0] op1
     /*  300536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300548 */     // MIs[0] op3
     /*  300548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300582 */     GIR_RootConstrainSelectedInstOperands,
     /*  300583 */     // GIR_Coverage, 62450,
     /*  300583 */     GIR_EraseRootFromParent_Done,
     /*  300584 */   // Label 5874: @300584
     /*  300584 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(300658), // Rule ID 62493 //
     /*  300589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  300600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300610 */     // MIs[0] op1
     /*  300610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300622 */     // MIs[0] op3
     /*  300622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300642 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300644 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300646 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300656 */     GIR_RootConstrainSelectedInstOperands,
     /*  300657 */     // GIR_Coverage, 62493,
     /*  300657 */     GIR_EraseRootFromParent_Done,
     /*  300658 */   // Label 5875: @300658
     /*  300658 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(300732), // Rule ID 62494 //
     /*  300663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  300674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  300677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300684 */     // MIs[0] op1
     /*  300684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300696 */     // MIs[0] op3
     /*  300696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300730 */     GIR_RootConstrainSelectedInstOperands,
     /*  300731 */     // GIR_Coverage, 62494,
     /*  300731 */     GIR_EraseRootFromParent_Done,
     /*  300732 */   // Label 5876: @300732
     /*  300732 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(300806), // Rule ID 62549 //
     /*  300737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  300748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300758 */     // MIs[0] op1
     /*  300758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300770 */     // MIs[0] op3
     /*  300770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300804 */     GIR_RootConstrainSelectedInstOperands,
     /*  300805 */     // GIR_Coverage, 62549,
     /*  300805 */     GIR_EraseRootFromParent_Done,
     /*  300806 */   // Label 5877: @300806
     /*  300806 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(300880), // Rule ID 62550 //
     /*  300811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  300822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  300825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300832 */     // MIs[0] op1
     /*  300832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300844 */     // MIs[0] op3
     /*  300844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300878 */     GIR_RootConstrainSelectedInstOperands,
     /*  300879 */     // GIR_Coverage, 62550,
     /*  300879 */     GIR_EraseRootFromParent_Done,
     /*  300880 */   // Label 5878: @300880
     /*  300880 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(300954), // Rule ID 62605 //
     /*  300885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  300896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300906 */     // MIs[0] op1
     /*  300906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300918 */     // MIs[0] op3
     /*  300918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300952 */     GIR_RootConstrainSelectedInstOperands,
     /*  300953 */     // GIR_Coverage, 62605,
     /*  300953 */     GIR_EraseRootFromParent_Done,
     /*  300954 */   // Label 5879: @300954
     /*  300954 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(301028), // Rule ID 62606 //
     /*  300959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  300970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  300973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300980 */     // MIs[0] op1
     /*  300980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300992 */     // MIs[0] op3
     /*  300992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301012 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301014 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301016 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301026 */     GIR_RootConstrainSelectedInstOperands,
     /*  301027 */     // GIR_Coverage, 62606,
     /*  301027 */     GIR_EraseRootFromParent_Done,
     /*  301028 */   // Label 5880: @301028
     /*  301028 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(301102), // Rule ID 62661 //
     /*  301033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  301044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301054 */     // MIs[0] op1
     /*  301054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301057 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301066 */     // MIs[0] op3
     /*  301066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301100 */     GIR_RootConstrainSelectedInstOperands,
     /*  301101 */     // GIR_Coverage, 62661,
     /*  301101 */     GIR_EraseRootFromParent_Done,
     /*  301102 */   // Label 5881: @301102
     /*  301102 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(301176), // Rule ID 62662 //
     /*  301107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  301118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301128 */     // MIs[0] op1
     /*  301128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301140 */     // MIs[0] op3
     /*  301140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301174 */     GIR_RootConstrainSelectedInstOperands,
     /*  301175 */     // GIR_Coverage, 62662,
     /*  301175 */     GIR_EraseRootFromParent_Done,
     /*  301176 */   // Label 5882: @301176
     /*  301176 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(301250), // Rule ID 62705 //
     /*  301181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  301192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301202 */     // MIs[0] op1
     /*  301202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301214 */     // MIs[0] op3
     /*  301214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301229 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301234 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301236 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301238 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301248 */     GIR_RootConstrainSelectedInstOperands,
     /*  301249 */     // GIR_Coverage, 62705,
     /*  301249 */     GIR_EraseRootFromParent_Done,
     /*  301250 */   // Label 5883: @301250
     /*  301250 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(301324), // Rule ID 62706 //
     /*  301255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  301266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301276 */     // MIs[0] op1
     /*  301276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301288 */     // MIs[0] op3
     /*  301288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301322 */     GIR_RootConstrainSelectedInstOperands,
     /*  301323 */     // GIR_Coverage, 62706,
     /*  301323 */     GIR_EraseRootFromParent_Done,
     /*  301324 */   // Label 5884: @301324
     /*  301324 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(301398), // Rule ID 62749 //
     /*  301329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  301340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301350 */     // MIs[0] op1
     /*  301350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301362 */     // MIs[0] op3
     /*  301362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301377 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301396 */     GIR_RootConstrainSelectedInstOperands,
     /*  301397 */     // GIR_Coverage, 62749,
     /*  301397 */     GIR_EraseRootFromParent_Done,
     /*  301398 */   // Label 5885: @301398
     /*  301398 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(301472), // Rule ID 62750 //
     /*  301403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  301414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301424 */     // MIs[0] op1
     /*  301424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301436 */     // MIs[0] op3
     /*  301436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301451 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301470 */     GIR_RootConstrainSelectedInstOperands,
     /*  301471 */     // GIR_Coverage, 62750,
     /*  301471 */     GIR_EraseRootFromParent_Done,
     /*  301472 */   // Label 5886: @301472
     /*  301472 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(301546), // Rule ID 62793 //
     /*  301477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  301488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301498 */     // MIs[0] op1
     /*  301498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301510 */     // MIs[0] op3
     /*  301510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301544 */     GIR_RootConstrainSelectedInstOperands,
     /*  301545 */     // GIR_Coverage, 62793,
     /*  301545 */     GIR_EraseRootFromParent_Done,
     /*  301546 */   // Label 5887: @301546
     /*  301546 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(301620), // Rule ID 62794 //
     /*  301551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  301562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301572 */     // MIs[0] op1
     /*  301572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301584 */     // MIs[0] op3
     /*  301584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301618 */     GIR_RootConstrainSelectedInstOperands,
     /*  301619 */     // GIR_Coverage, 62794,
     /*  301619 */     GIR_EraseRootFromParent_Done,
     /*  301620 */   // Label 5888: @301620
     /*  301620 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(301694), // Rule ID 62849 //
     /*  301625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  301636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301646 */     // MIs[0] op1
     /*  301646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301658 */     // MIs[0] op3
     /*  301658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301692 */     GIR_RootConstrainSelectedInstOperands,
     /*  301693 */     // GIR_Coverage, 62849,
     /*  301693 */     GIR_EraseRootFromParent_Done,
     /*  301694 */   // Label 5889: @301694
     /*  301694 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(301768), // Rule ID 62850 //
     /*  301699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  301710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  301713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301720 */     // MIs[0] op1
     /*  301720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301732 */     // MIs[0] op3
     /*  301732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301752 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301754 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301756 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301766 */     GIR_RootConstrainSelectedInstOperands,
     /*  301767 */     // GIR_Coverage, 62850,
     /*  301767 */     GIR_EraseRootFromParent_Done,
     /*  301768 */   // Label 5890: @301768
     /*  301768 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(301842), // Rule ID 62905 //
     /*  301773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  301784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301794 */     // MIs[0] op1
     /*  301794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301806 */     // MIs[0] op3
     /*  301806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301840 */     GIR_RootConstrainSelectedInstOperands,
     /*  301841 */     // GIR_Coverage, 62905,
     /*  301841 */     GIR_EraseRootFromParent_Done,
     /*  301842 */   // Label 5891: @301842
     /*  301842 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(301916), // Rule ID 62906 //
     /*  301847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  301858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  301861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301868 */     // MIs[0] op1
     /*  301868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301880 */     // MIs[0] op3
     /*  301880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301914 */     GIR_RootConstrainSelectedInstOperands,
     /*  301915 */     // GIR_Coverage, 62906,
     /*  301915 */     GIR_EraseRootFromParent_Done,
     /*  301916 */   // Label 5892: @301916
     /*  301916 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(301990), // Rule ID 62961 //
     /*  301921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  301932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  301935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301942 */     // MIs[0] op1
     /*  301942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301954 */     // MIs[0] op3
     /*  301954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301988 */     GIR_RootConstrainSelectedInstOperands,
     /*  301989 */     // GIR_Coverage, 62961,
     /*  301989 */     GIR_EraseRootFromParent_Done,
     /*  301990 */   // Label 5893: @301990
     /*  301990 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(302064), // Rule ID 62962 //
     /*  301995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  302006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302016 */     // MIs[0] op1
     /*  302016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302028 */     // MIs[0] op3
     /*  302028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302048 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302050 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302052 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302062 */     GIR_RootConstrainSelectedInstOperands,
     /*  302063 */     // GIR_Coverage, 62962,
     /*  302063 */     GIR_EraseRootFromParent_Done,
     /*  302064 */   // Label 5894: @302064
     /*  302064 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(302138), // Rule ID 63017 //
     /*  302069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  302080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302090 */     // MIs[0] op1
     /*  302090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302102 */     // MIs[0] op3
     /*  302102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302136 */     GIR_RootConstrainSelectedInstOperands,
     /*  302137 */     // GIR_Coverage, 63017,
     /*  302137 */     GIR_EraseRootFromParent_Done,
     /*  302138 */   // Label 5895: @302138
     /*  302138 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(302212), // Rule ID 63018 //
     /*  302143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  302154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302164 */     // MIs[0] op1
     /*  302164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302176 */     // MIs[0] op3
     /*  302176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302210 */     GIR_RootConstrainSelectedInstOperands,
     /*  302211 */     // GIR_Coverage, 63018,
     /*  302211 */     GIR_EraseRootFromParent_Done,
     /*  302212 */   // Label 5896: @302212
     /*  302212 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(302286), // Rule ID 63073 //
     /*  302217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  302228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302238 */     // MIs[0] op1
     /*  302238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302250 */     // MIs[0] op3
     /*  302250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302265 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302284 */     GIR_RootConstrainSelectedInstOperands,
     /*  302285 */     // GIR_Coverage, 63073,
     /*  302285 */     GIR_EraseRootFromParent_Done,
     /*  302286 */   // Label 5897: @302286
     /*  302286 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(302360), // Rule ID 63074 //
     /*  302291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  302302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302312 */     // MIs[0] op1
     /*  302312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302324 */     // MIs[0] op3
     /*  302324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302344 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302346 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302348 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302358 */     GIR_RootConstrainSelectedInstOperands,
     /*  302359 */     // GIR_Coverage, 63074,
     /*  302359 */     GIR_EraseRootFromParent_Done,
     /*  302360 */   // Label 5898: @302360
     /*  302360 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(302434), // Rule ID 63129 //
     /*  302365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  302376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302386 */     // MIs[0] op1
     /*  302386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302398 */     // MIs[0] op3
     /*  302398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302432 */     GIR_RootConstrainSelectedInstOperands,
     /*  302433 */     // GIR_Coverage, 63129,
     /*  302433 */     GIR_EraseRootFromParent_Done,
     /*  302434 */   // Label 5899: @302434
     /*  302434 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(302508), // Rule ID 63130 //
     /*  302439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  302450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302460 */     // MIs[0] op1
     /*  302460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302472 */     // MIs[0] op3
     /*  302472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302492 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302494 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302496 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302506 */     GIR_RootConstrainSelectedInstOperands,
     /*  302507 */     // GIR_Coverage, 63130,
     /*  302507 */     GIR_EraseRootFromParent_Done,
     /*  302508 */   // Label 5900: @302508
     /*  302508 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(302582), // Rule ID 63185 //
     /*  302513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  302524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302534 */     // MIs[0] op1
     /*  302534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302546 */     // MIs[0] op3
     /*  302546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302549 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302561 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302566 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302568 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302570 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302580 */     GIR_RootConstrainSelectedInstOperands,
     /*  302581 */     // GIR_Coverage, 63185,
     /*  302581 */     GIR_EraseRootFromParent_Done,
     /*  302582 */   // Label 5901: @302582
     /*  302582 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(302656), // Rule ID 63186 //
     /*  302587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  302598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  302601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302608 */     // MIs[0] op1
     /*  302608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302620 */     // MIs[0] op3
     /*  302620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302640 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302642 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302644 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302654 */     GIR_RootConstrainSelectedInstOperands,
     /*  302655 */     // GIR_Coverage, 63186,
     /*  302655 */     GIR_EraseRootFromParent_Done,
     /*  302656 */   // Label 5902: @302656
     /*  302656 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(302730), // Rule ID 63241 //
     /*  302661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  302672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302682 */     // MIs[0] op1
     /*  302682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302694 */     // MIs[0] op3
     /*  302694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302728 */     GIR_RootConstrainSelectedInstOperands,
     /*  302729 */     // GIR_Coverage, 63241,
     /*  302729 */     GIR_EraseRootFromParent_Done,
     /*  302730 */   // Label 5903: @302730
     /*  302730 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(302804), // Rule ID 63242 //
     /*  302735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  302746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  302749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302756 */     // MIs[0] op1
     /*  302756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302768 */     // MIs[0] op3
     /*  302768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302783 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302802 */     GIR_RootConstrainSelectedInstOperands,
     /*  302803 */     // GIR_Coverage, 63242,
     /*  302803 */     GIR_EraseRootFromParent_Done,
     /*  302804 */   // Label 5904: @302804
     /*  302804 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(302879), // Rule ID 7206 //
     /*  302809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  302817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  302820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  302848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302855 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  302855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  302858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302877 */     GIR_RootConstrainSelectedInstOperands,
     /*  302878 */     // GIR_Coverage, 7206,
     /*  302878 */     GIR_EraseRootFromParent_Done,
     /*  302879 */   // Label 5905: @302879
     /*  302879 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(302954), // Rule ID 7207 //
     /*  302884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  302892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  302895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  302898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  302901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  302923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  302930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  302933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302952 */     GIR_RootConstrainSelectedInstOperands,
     /*  302953 */     // GIR_Coverage, 7207,
     /*  302953 */     GIR_EraseRootFromParent_Done,
     /*  302954 */   // Label 5906: @302954
     /*  302954 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(303029), // Rule ID 7210 //
     /*  302959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  302967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  302970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  302973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  302976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  302998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303005 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303027 */     GIR_RootConstrainSelectedInstOperands,
     /*  303028 */     // GIR_Coverage, 7210,
     /*  303028 */     GIR_EraseRootFromParent_Done,
     /*  303029 */   // Label 5907: @303029
     /*  303029 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(303104), // Rule ID 7211 //
     /*  303034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  303045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303102 */     GIR_RootConstrainSelectedInstOperands,
     /*  303103 */     // GIR_Coverage, 7211,
     /*  303103 */     GIR_EraseRootFromParent_Done,
     /*  303104 */   // Label 5908: @303104
     /*  303104 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(303179), // Rule ID 7214 //
     /*  303109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  303120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303177 */     GIR_RootConstrainSelectedInstOperands,
     /*  303178 */     // GIR_Coverage, 7214,
     /*  303178 */     GIR_EraseRootFromParent_Done,
     /*  303179 */   // Label 5909: @303179
     /*  303179 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(303254), // Rule ID 7215 //
     /*  303184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  303195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303219 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303230 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303252 */     GIR_RootConstrainSelectedInstOperands,
     /*  303253 */     // GIR_Coverage, 7215,
     /*  303253 */     GIR_EraseRootFromParent_Done,
     /*  303254 */   // Label 5910: @303254
     /*  303254 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(303329), // Rule ID 7218 //
     /*  303259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  303270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303294 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303327 */     GIR_RootConstrainSelectedInstOperands,
     /*  303328 */     // GIR_Coverage, 7218,
     /*  303328 */     GIR_EraseRootFromParent_Done,
     /*  303329 */   // Label 5911: @303329
     /*  303329 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(303404), // Rule ID 7219 //
     /*  303334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  303345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303369 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303402 */     GIR_RootConstrainSelectedInstOperands,
     /*  303403 */     // GIR_Coverage, 7219,
     /*  303403 */     GIR_EraseRootFromParent_Done,
     /*  303404 */   // Label 5912: @303404
     /*  303404 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(303479), // Rule ID 7222 //
     /*  303409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  303420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303444 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303455 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303477 */     GIR_RootConstrainSelectedInstOperands,
     /*  303478 */     // GIR_Coverage, 7222,
     /*  303478 */     GIR_EraseRootFromParent_Done,
     /*  303479 */   // Label 5913: @303479
     /*  303479 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(303554), // Rule ID 7223 //
     /*  303484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  303495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303552 */     GIR_RootConstrainSelectedInstOperands,
     /*  303553 */     // GIR_Coverage, 7223,
     /*  303553 */     GIR_EraseRootFromParent_Done,
     /*  303554 */   // Label 5914: @303554
     /*  303554 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(303629), // Rule ID 7226 //
     /*  303559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  303570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  303573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  303576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303594 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  303605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303627 */     GIR_RootConstrainSelectedInstOperands,
     /*  303628 */     // GIR_Coverage, 7226,
     /*  303628 */     GIR_EraseRootFromParent_Done,
     /*  303629 */   // Label 5915: @303629
     /*  303629 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(303704), // Rule ID 7227 //
     /*  303634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  303645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  303648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  303651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303669 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  303680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303702 */     GIR_RootConstrainSelectedInstOperands,
     /*  303703 */     // GIR_Coverage, 7227,
     /*  303703 */     GIR_EraseRootFromParent_Done,
     /*  303704 */   // Label 5916: @303704
     /*  303704 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(303779), // Rule ID 7230 //
     /*  303709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  303720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303744 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  303758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303777 */     GIR_RootConstrainSelectedInstOperands,
     /*  303778 */     // GIR_Coverage, 7230,
     /*  303778 */     GIR_EraseRootFromParent_Done,
     /*  303779 */   // Label 5917: @303779
     /*  303779 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(303854), // Rule ID 7231 //
     /*  303784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  303795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  303798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  303801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303819 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  303833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303852 */     GIR_RootConstrainSelectedInstOperands,
     /*  303853 */     // GIR_Coverage, 7231,
     /*  303853 */     GIR_EraseRootFromParent_Done,
     /*  303854 */   // Label 5918: @303854
     /*  303854 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(303929), // Rule ID 7234 //
     /*  303859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  303870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303894 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  303908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303927 */     GIR_RootConstrainSelectedInstOperands,
     /*  303928 */     // GIR_Coverage, 7234,
     /*  303928 */     GIR_EraseRootFromParent_Done,
     /*  303929 */   // Label 5919: @303929
     /*  303929 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(304004), // Rule ID 7235 //
     /*  303934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  303945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  303948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  303951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  303983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304002 */     GIR_RootConstrainSelectedInstOperands,
     /*  304003 */     // GIR_Coverage, 7235,
     /*  304003 */     GIR_EraseRootFromParent_Done,
     /*  304004 */   // Label 5920: @304004
     /*  304004 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(304079), // Rule ID 7238 //
     /*  304009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  304020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304044 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  304055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304077 */     GIR_RootConstrainSelectedInstOperands,
     /*  304078 */     // GIR_Coverage, 7238,
     /*  304078 */     GIR_EraseRootFromParent_Done,
     /*  304079 */   // Label 5921: @304079
     /*  304079 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(304154), // Rule ID 7239 //
     /*  304084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  304095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304119 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  304130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304152 */     GIR_RootConstrainSelectedInstOperands,
     /*  304153 */     // GIR_Coverage, 7239,
     /*  304153 */     GIR_EraseRootFromParent_Done,
     /*  304154 */   // Label 5922: @304154
     /*  304154 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(304229), // Rule ID 7242 //
     /*  304159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  304170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  304205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304227 */     GIR_RootConstrainSelectedInstOperands,
     /*  304228 */     // GIR_Coverage, 7242,
     /*  304228 */     GIR_EraseRootFromParent_Done,
     /*  304229 */   // Label 5923: @304229
     /*  304229 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(304304), // Rule ID 7243 //
     /*  304234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  304245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304269 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  304280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304302 */     GIR_RootConstrainSelectedInstOperands,
     /*  304303 */     // GIR_Coverage, 7243,
     /*  304303 */     GIR_EraseRootFromParent_Done,
     /*  304304 */   // Label 5924: @304304
     /*  304304 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(304379), // Rule ID 7246 //
     /*  304309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  304320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304344 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304355 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  304355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304377 */     GIR_RootConstrainSelectedInstOperands,
     /*  304378 */     // GIR_Coverage, 7246,
     /*  304378 */     GIR_EraseRootFromParent_Done,
     /*  304379 */   // Label 5925: @304379
     /*  304379 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(304454), // Rule ID 7247 //
     /*  304384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  304395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304419 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  304430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304452 */     GIR_RootConstrainSelectedInstOperands,
     /*  304453 */     // GIR_Coverage, 7247,
     /*  304453 */     GIR_EraseRootFromParent_Done,
     /*  304454 */   // Label 5926: @304454
     /*  304454 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(304529), // Rule ID 7250 //
     /*  304459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  304470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304494 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304505 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  304505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  304508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304527 */     GIR_RootConstrainSelectedInstOperands,
     /*  304528 */     // GIR_Coverage, 7250,
     /*  304528 */     GIR_EraseRootFromParent_Done,
     /*  304529 */   // Label 5927: @304529
     /*  304529 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(304604), // Rule ID 7251 //
     /*  304534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  304545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304569 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  304580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  304583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304602 */     GIR_RootConstrainSelectedInstOperands,
     /*  304603 */     // GIR_Coverage, 7251,
     /*  304603 */     GIR_EraseRootFromParent_Done,
     /*  304604 */   // Label 5928: @304604
     /*  304604 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(304679), // Rule ID 7254 //
     /*  304609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  304620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  304623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  304626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304644 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304655 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  304655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  304658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304677 */     GIR_RootConstrainSelectedInstOperands,
     /*  304678 */     // GIR_Coverage, 7254,
     /*  304678 */     GIR_EraseRootFromParent_Done,
     /*  304679 */   // Label 5929: @304679
     /*  304679 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(304754), // Rule ID 7255 //
     /*  304684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  304695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  304698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  304701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  304730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  304733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304752 */     GIR_RootConstrainSelectedInstOperands,
     /*  304753 */     // GIR_Coverage, 7255,
     /*  304753 */     GIR_EraseRootFromParent_Done,
     /*  304754 */   // Label 5930: @304754
     /*  304754 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(304829), // Rule ID 7258 //
     /*  304759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  304770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304794 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304827 */     GIR_RootConstrainSelectedInstOperands,
     /*  304828 */     // GIR_Coverage, 7258,
     /*  304828 */     GIR_EraseRootFromParent_Done,
     /*  304829 */   // Label 5931: @304829
     /*  304829 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(304904), // Rule ID 7259 //
     /*  304834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  304845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  304848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  304851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304869 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304902 */     GIR_RootConstrainSelectedInstOperands,
     /*  304903 */     // GIR_Coverage, 7259,
     /*  304903 */     GIR_EraseRootFromParent_Done,
     /*  304904 */   // Label 5932: @304904
     /*  304904 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(304979), // Rule ID 7262 //
     /*  304909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  304920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  304926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304944 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  304958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304977 */     GIR_RootConstrainSelectedInstOperands,
     /*  304978 */     // GIR_Coverage, 7262,
     /*  304978 */     GIR_EraseRootFromParent_Done,
     /*  304979 */   // Label 5933: @304979
     /*  304979 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(305054), // Rule ID 7263 //
     /*  304984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  304995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  304998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305052 */     GIR_RootConstrainSelectedInstOperands,
     /*  305053 */     // GIR_Coverage, 7263,
     /*  305053 */     GIR_EraseRootFromParent_Done,
     /*  305054 */   // Label 5934: @305054
     /*  305054 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(305129), // Rule ID 7266 //
     /*  305059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305094 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305127 */     GIR_RootConstrainSelectedInstOperands,
     /*  305128 */     // GIR_Coverage, 7266,
     /*  305128 */     GIR_EraseRootFromParent_Done,
     /*  305129 */   // Label 5935: @305129
     /*  305129 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(305204), // Rule ID 7267 //
     /*  305134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305169 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305202 */     GIR_RootConstrainSelectedInstOperands,
     /*  305203 */     // GIR_Coverage, 7267,
     /*  305203 */     GIR_EraseRootFromParent_Done,
     /*  305204 */   // Label 5936: @305204
     /*  305204 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(305279), // Rule ID 7270 //
     /*  305209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305277 */     GIR_RootConstrainSelectedInstOperands,
     /*  305278 */     // GIR_Coverage, 7270,
     /*  305278 */     GIR_EraseRootFromParent_Done,
     /*  305279 */   // Label 5937: @305279
     /*  305279 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(305354), // Rule ID 7271 //
     /*  305284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305319 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305352 */     GIR_RootConstrainSelectedInstOperands,
     /*  305353 */     // GIR_Coverage, 7271,
     /*  305353 */     GIR_EraseRootFromParent_Done,
     /*  305354 */   // Label 5938: @305354
     /*  305354 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(305429), // Rule ID 7274 //
     /*  305359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305394 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305427 */     GIR_RootConstrainSelectedInstOperands,
     /*  305428 */     // GIR_Coverage, 7274,
     /*  305428 */     GIR_EraseRootFromParent_Done,
     /*  305429 */   // Label 5939: @305429
     /*  305429 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(305504), // Rule ID 7275 //
     /*  305434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305502 */     GIR_RootConstrainSelectedInstOperands,
     /*  305503 */     // GIR_Coverage, 7275,
     /*  305503 */     GIR_EraseRootFromParent_Done,
     /*  305504 */   // Label 5940: @305504
     /*  305504 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(305579), // Rule ID 7278 //
     /*  305509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  305520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305577 */     GIR_RootConstrainSelectedInstOperands,
     /*  305578 */     // GIR_Coverage, 7278,
     /*  305578 */     GIR_EraseRootFromParent_Done,
     /*  305579 */   // Label 5941: @305579
     /*  305579 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(305654), // Rule ID 7279 //
     /*  305584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  305595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305619 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305652 */     GIR_RootConstrainSelectedInstOperands,
     /*  305653 */     // GIR_Coverage, 7279,
     /*  305653 */     GIR_EraseRootFromParent_Done,
     /*  305654 */   // Label 5942: @305654
     /*  305654 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(305729), // Rule ID 7282 //
     /*  305659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  305670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  305705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305727 */     GIR_RootConstrainSelectedInstOperands,
     /*  305728 */     // GIR_Coverage, 7282,
     /*  305728 */     GIR_EraseRootFromParent_Done,
     /*  305729 */   // Label 5943: @305729
     /*  305729 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(305804), // Rule ID 7283 //
     /*  305734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  305745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305769 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  305780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305802 */     GIR_RootConstrainSelectedInstOperands,
     /*  305803 */     // GIR_Coverage, 7283,
     /*  305803 */     GIR_EraseRootFromParent_Done,
     /*  305804 */   // Label 5944: @305804
     /*  305804 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(305879), // Rule ID 7286 //
     /*  305809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  305820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  305823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  305826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305844 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305855 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  305855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305877 */     GIR_RootConstrainSelectedInstOperands,
     /*  305878 */     // GIR_Coverage, 7286,
     /*  305878 */     GIR_EraseRootFromParent_Done,
     /*  305879 */   // Label 5945: @305879
     /*  305879 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(305954), // Rule ID 7287 //
     /*  305884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  305895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  305898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  305901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305919 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  305930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305952 */     GIR_RootConstrainSelectedInstOperands,
     /*  305953 */     // GIR_Coverage, 7287,
     /*  305953 */     GIR_EraseRootFromParent_Done,
     /*  305954 */   // Label 5946: @305954
     /*  305954 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(306029), // Rule ID 7290 //
     /*  305959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  305970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  305973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  305976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306005 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306027 */     GIR_RootConstrainSelectedInstOperands,
     /*  306028 */     // GIR_Coverage, 7290,
     /*  306028 */     GIR_EraseRootFromParent_Done,
     /*  306029 */   // Label 5947: @306029
     /*  306029 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(306104), // Rule ID 7291 //
     /*  306034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  306045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306102 */     GIR_RootConstrainSelectedInstOperands,
     /*  306103 */     // GIR_Coverage, 7291,
     /*  306103 */     GIR_EraseRootFromParent_Done,
     /*  306104 */   // Label 5948: @306104
     /*  306104 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(306181), // Rule ID 2604 //
     /*  306109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  306112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306141 */     // MIs[0] Operand 4
     /*  306141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306159 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  306162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306179 */     GIR_RootConstrainSelectedInstOperands,
     /*  306180 */     // GIR_Coverage, 2604,
     /*  306180 */     GIR_EraseRootFromParent_Done,
     /*  306181 */   // Label 5949: @306181
     /*  306181 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(306258), // Rule ID 2605 //
     /*  306186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  306189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306218 */     // MIs[0] Operand 4
     /*  306218 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  306239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306256 */     GIR_RootConstrainSelectedInstOperands,
     /*  306257 */     // GIR_Coverage, 2605,
     /*  306257 */     GIR_EraseRootFromParent_Done,
     /*  306258 */   // Label 5950: @306258
     /*  306258 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(306335), // Rule ID 20488 //
     /*  306263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  306266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306295 */     // MIs[0] Operand 4
     /*  306295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306333 */     GIR_RootConstrainSelectedInstOperands,
     /*  306334 */     // GIR_Coverage, 20488,
     /*  306334 */     GIR_EraseRootFromParent_Done,
     /*  306335 */   // Label 5951: @306335
     /*  306335 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(306412), // Rule ID 20489 //
     /*  306340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  306343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306372 */     // MIs[0] Operand 4
     /*  306372 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306390 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306410 */     GIR_RootConstrainSelectedInstOperands,
     /*  306411 */     // GIR_Coverage, 20489,
     /*  306411 */     GIR_EraseRootFromParent_Done,
     /*  306412 */   // Label 5952: @306412
     /*  306412 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(306489), // Rule ID 20492 //
     /*  306417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  306420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306449 */     // MIs[0] Operand 4
     /*  306449 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306487 */     GIR_RootConstrainSelectedInstOperands,
     /*  306488 */     // GIR_Coverage, 20492,
     /*  306488 */     GIR_EraseRootFromParent_Done,
     /*  306489 */   // Label 5953: @306489
     /*  306489 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(306566), // Rule ID 20493 //
     /*  306494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  306497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306526 */     // MIs[0] Operand 4
     /*  306526 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306564 */     GIR_RootConstrainSelectedInstOperands,
     /*  306565 */     // GIR_Coverage, 20493,
     /*  306565 */     GIR_EraseRootFromParent_Done,
     /*  306566 */   // Label 5954: @306566
     /*  306566 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(306643), // Rule ID 20496 //
     /*  306571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  306574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  306582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306603 */     // MIs[0] Operand 4
     /*  306603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  306624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306641 */     GIR_RootConstrainSelectedInstOperands,
     /*  306642 */     // GIR_Coverage, 20496,
     /*  306642 */     GIR_EraseRootFromParent_Done,
     /*  306643 */   // Label 5955: @306643
     /*  306643 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(306720), // Rule ID 20497 //
     /*  306648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  306651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  306659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306680 */     // MIs[0] Operand 4
     /*  306680 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  306701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306718 */     GIR_RootConstrainSelectedInstOperands,
     /*  306719 */     // GIR_Coverage, 20497,
     /*  306719 */     GIR_EraseRootFromParent_Done,
     /*  306720 */   // Label 5956: @306720
     /*  306720 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(306797), // Rule ID 20500 //
     /*  306725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  306728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  306736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306757 */     // MIs[0] Operand 4
     /*  306757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  306778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306795 */     GIR_RootConstrainSelectedInstOperands,
     /*  306796 */     // GIR_Coverage, 20500,
     /*  306796 */     GIR_EraseRootFromParent_Done,
     /*  306797 */   // Label 5957: @306797
     /*  306797 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(306874), // Rule ID 20501 //
     /*  306802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  306805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  306813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306834 */     // MIs[0] Operand 4
     /*  306834 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  306855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306872 */     GIR_RootConstrainSelectedInstOperands,
     /*  306873 */     // GIR_Coverage, 20501,
     /*  306873 */     GIR_EraseRootFromParent_Done,
     /*  306874 */   // Label 5958: @306874
     /*  306874 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(306951), // Rule ID 20504 //
     /*  306879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  306882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  306890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306911 */     // MIs[0] Operand 4
     /*  306911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306929 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  306932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306949 */     GIR_RootConstrainSelectedInstOperands,
     /*  306950 */     // GIR_Coverage, 20504,
     /*  306950 */     GIR_EraseRootFromParent_Done,
     /*  306951 */   // Label 5959: @306951
     /*  306951 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(307028), // Rule ID 20505 //
     /*  306956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  306959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  306967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306988 */     // MIs[0] Operand 4
     /*  306988 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  307006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307026 */     GIR_RootConstrainSelectedInstOperands,
     /*  307027 */     // GIR_Coverage, 20505,
     /*  307027 */     GIR_EraseRootFromParent_Done,
     /*  307028 */   // Label 5960: @307028
     /*  307028 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(307105), // Rule ID 20508 //
     /*  307033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307065 */     // MIs[0] Operand 4
     /*  307065 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307103 */     GIR_RootConstrainSelectedInstOperands,
     /*  307104 */     // GIR_Coverage, 20508,
     /*  307104 */     GIR_EraseRootFromParent_Done,
     /*  307105 */   // Label 5961: @307105
     /*  307105 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(307182), // Rule ID 20509 //
     /*  307110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307142 */     // MIs[0] Operand 4
     /*  307142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307180 */     GIR_RootConstrainSelectedInstOperands,
     /*  307181 */     // GIR_Coverage, 20509,
     /*  307181 */     GIR_EraseRootFromParent_Done,
     /*  307182 */   // Label 5962: @307182
     /*  307182 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(307259), // Rule ID 20512 //
     /*  307187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307219 */     // MIs[0] Operand 4
     /*  307219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307257 */     GIR_RootConstrainSelectedInstOperands,
     /*  307258 */     // GIR_Coverage, 20512,
     /*  307258 */     GIR_EraseRootFromParent_Done,
     /*  307259 */   // Label 5963: @307259
     /*  307259 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(307336), // Rule ID 20513 //
     /*  307264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307296 */     // MIs[0] Operand 4
     /*  307296 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307334 */     GIR_RootConstrainSelectedInstOperands,
     /*  307335 */     // GIR_Coverage, 20513,
     /*  307335 */     GIR_EraseRootFromParent_Done,
     /*  307336 */   // Label 5964: @307336
     /*  307336 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(307413), // Rule ID 20516 //
     /*  307341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307373 */     // MIs[0] Operand 4
     /*  307373 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307391 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307411 */     GIR_RootConstrainSelectedInstOperands,
     /*  307412 */     // GIR_Coverage, 20516,
     /*  307412 */     GIR_EraseRootFromParent_Done,
     /*  307413 */   // Label 5965: @307413
     /*  307413 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(307490), // Rule ID 20517 //
     /*  307418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307450 */     // MIs[0] Operand 4
     /*  307450 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307488 */     GIR_RootConstrainSelectedInstOperands,
     /*  307489 */     // GIR_Coverage, 20517,
     /*  307489 */     GIR_EraseRootFromParent_Done,
     /*  307490 */   // Label 5966: @307490
     /*  307490 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(307567), // Rule ID 20520 //
     /*  307495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  307498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  307506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307527 */     // MIs[0] Operand 4
     /*  307527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307565 */     GIR_RootConstrainSelectedInstOperands,
     /*  307566 */     // GIR_Coverage, 20520,
     /*  307566 */     GIR_EraseRootFromParent_Done,
     /*  307567 */   // Label 5967: @307567
     /*  307567 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(307644), // Rule ID 20521 //
     /*  307572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  307575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  307583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307604 */     // MIs[0] Operand 4
     /*  307604 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307642 */     GIR_RootConstrainSelectedInstOperands,
     /*  307643 */     // GIR_Coverage, 20521,
     /*  307643 */     GIR_EraseRootFromParent_Done,
     /*  307644 */   // Label 5968: @307644
     /*  307644 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(307721), // Rule ID 20524 //
     /*  307649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  307652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  307660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307681 */     // MIs[0] Operand 4
     /*  307681 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307719 */     GIR_RootConstrainSelectedInstOperands,
     /*  307720 */     // GIR_Coverage, 20524,
     /*  307720 */     GIR_EraseRootFromParent_Done,
     /*  307721 */   // Label 5969: @307721
     /*  307721 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(307798), // Rule ID 20525 //
     /*  307726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  307729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  307737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307758 */     // MIs[0] Operand 4
     /*  307758 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307796 */     GIR_RootConstrainSelectedInstOperands,
     /*  307797 */     // GIR_Coverage, 20525,
     /*  307797 */     GIR_EraseRootFromParent_Done,
     /*  307798 */   // Label 5970: @307798
     /*  307798 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(307875), // Rule ID 20528 //
     /*  307803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  307806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  307814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307835 */     // MIs[0] Operand 4
     /*  307835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307873 */     GIR_RootConstrainSelectedInstOperands,
     /*  307874 */     // GIR_Coverage, 20528,
     /*  307874 */     GIR_EraseRootFromParent_Done,
     /*  307875 */   // Label 5971: @307875
     /*  307875 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(307952), // Rule ID 20529 //
     /*  307880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  307883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  307891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307912 */     // MIs[0] Operand 4
     /*  307912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307950 */     GIR_RootConstrainSelectedInstOperands,
     /*  307951 */     // GIR_Coverage, 20529,
     /*  307951 */     GIR_EraseRootFromParent_Done,
     /*  307952 */   // Label 5972: @307952
     /*  307952 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(308029), // Rule ID 20532 //
     /*  307957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  307960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  307968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307989 */     // MIs[0] Operand 4
     /*  307989 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308027 */     GIR_RootConstrainSelectedInstOperands,
     /*  308028 */     // GIR_Coverage, 20532,
     /*  308028 */     GIR_EraseRootFromParent_Done,
     /*  308029 */   // Label 5973: @308029
     /*  308029 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(308106), // Rule ID 20533 //
     /*  308034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  308045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308066 */     // MIs[0] Operand 4
     /*  308066 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308104 */     GIR_RootConstrainSelectedInstOperands,
     /*  308105 */     // GIR_Coverage, 20533,
     /*  308105 */     GIR_EraseRootFromParent_Done,
     /*  308106 */   // Label 5974: @308106
     /*  308106 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(308183), // Rule ID 20536 //
     /*  308111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  308114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308143 */     // MIs[0] Operand 4
     /*  308143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308181 */     GIR_RootConstrainSelectedInstOperands,
     /*  308182 */     // GIR_Coverage, 20536,
     /*  308182 */     GIR_EraseRootFromParent_Done,
     /*  308183 */   // Label 5975: @308183
     /*  308183 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(308260), // Rule ID 20537 //
     /*  308188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308220 */     // MIs[0] Operand 4
     /*  308220 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308258 */     GIR_RootConstrainSelectedInstOperands,
     /*  308259 */     // GIR_Coverage, 20537,
     /*  308259 */     GIR_EraseRootFromParent_Done,
     /*  308260 */   // Label 5976: @308260
     /*  308260 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(308337), // Rule ID 20540 //
     /*  308265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  308268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308297 */     // MIs[0] Operand 4
     /*  308297 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308335 */     GIR_RootConstrainSelectedInstOperands,
     /*  308336 */     // GIR_Coverage, 20540,
     /*  308336 */     GIR_EraseRootFromParent_Done,
     /*  308337 */   // Label 5977: @308337
     /*  308337 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(308414), // Rule ID 20541 //
     /*  308342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308374 */     // MIs[0] Operand 4
     /*  308374 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308412 */     GIR_RootConstrainSelectedInstOperands,
     /*  308413 */     // GIR_Coverage, 20541,
     /*  308413 */     GIR_EraseRootFromParent_Done,
     /*  308414 */   // Label 5978: @308414
     /*  308414 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(308491), // Rule ID 20544 //
     /*  308419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  308422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308451 */     // MIs[0] Operand 4
     /*  308451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  308472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308489 */     GIR_RootConstrainSelectedInstOperands,
     /*  308490 */     // GIR_Coverage, 20544,
     /*  308490 */     GIR_EraseRootFromParent_Done,
     /*  308491 */   // Label 5979: @308491
     /*  308491 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(308568), // Rule ID 20545 //
     /*  308496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  308499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308528 */     // MIs[0] Operand 4
     /*  308528 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  308549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308566 */     GIR_RootConstrainSelectedInstOperands,
     /*  308567 */     // GIR_Coverage, 20545,
     /*  308567 */     GIR_EraseRootFromParent_Done,
     /*  308568 */   // Label 5980: @308568
     /*  308568 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(308645), // Rule ID 20548 //
     /*  308573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  308576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308605 */     // MIs[0] Operand 4
     /*  308605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  308626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308643 */     GIR_RootConstrainSelectedInstOperands,
     /*  308644 */     // GIR_Coverage, 20548,
     /*  308644 */     GIR_EraseRootFromParent_Done,
     /*  308645 */   // Label 5981: @308645
     /*  308645 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(308722), // Rule ID 20549 //
     /*  308650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  308653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  308661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308682 */     // MIs[0] Operand 4
     /*  308682 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  308703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308720 */     GIR_RootConstrainSelectedInstOperands,
     /*  308721 */     // GIR_Coverage, 20549,
     /*  308721 */     GIR_EraseRootFromParent_Done,
     /*  308722 */   // Label 5982: @308722
     /*  308722 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(308799), // Rule ID 20552 //
     /*  308727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  308730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308759 */     // MIs[0] Operand 4
     /*  308759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308777 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  308780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308797 */     GIR_RootConstrainSelectedInstOperands,
     /*  308798 */     // GIR_Coverage, 20552,
     /*  308798 */     GIR_EraseRootFromParent_Done,
     /*  308799 */   // Label 5983: @308799
     /*  308799 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(308876), // Rule ID 20553 //
     /*  308804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  308807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  308815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308836 */     // MIs[0] Operand 4
     /*  308836 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  308857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308874 */     GIR_RootConstrainSelectedInstOperands,
     /*  308875 */     // GIR_Coverage, 20553,
     /*  308875 */     GIR_EraseRootFromParent_Done,
     /*  308876 */   // Label 5984: @308876
     /*  308876 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(308953), // Rule ID 20556 //
     /*  308881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  308884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308913 */     // MIs[0] Operand 4
     /*  308913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  308934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308951 */     GIR_RootConstrainSelectedInstOperands,
     /*  308952 */     // GIR_Coverage, 20556,
     /*  308952 */     GIR_EraseRootFromParent_Done,
     /*  308953 */   // Label 5985: @308953
     /*  308953 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(309030), // Rule ID 20557 //
     /*  308958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  308961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  308969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308990 */     // MIs[0] Operand 4
     /*  308990 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309028 */     GIR_RootConstrainSelectedInstOperands,
     /*  309029 */     // GIR_Coverage, 20557,
     /*  309029 */     GIR_EraseRootFromParent_Done,
     /*  309030 */   // Label 5986: @309030
     /*  309030 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(309107), // Rule ID 20560 //
     /*  309035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  309038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309067 */     // MIs[0] Operand 4
     /*  309067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309105 */     GIR_RootConstrainSelectedInstOperands,
     /*  309106 */     // GIR_Coverage, 20560,
     /*  309106 */     GIR_EraseRootFromParent_Done,
     /*  309107 */   // Label 5987: @309107
     /*  309107 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(309184), // Rule ID 20561 //
     /*  309112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  309115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309144 */     // MIs[0] Operand 4
     /*  309144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309182 */     GIR_RootConstrainSelectedInstOperands,
     /*  309183 */     // GIR_Coverage, 20561,
     /*  309183 */     GIR_EraseRootFromParent_Done,
     /*  309184 */   // Label 5988: @309184
     /*  309184 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(309261), // Rule ID 20564 //
     /*  309189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  309192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309221 */     // MIs[0] Operand 4
     /*  309221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309259 */     GIR_RootConstrainSelectedInstOperands,
     /*  309260 */     // GIR_Coverage, 20564,
     /*  309260 */     GIR_EraseRootFromParent_Done,
     /*  309261 */   // Label 5989: @309261
     /*  309261 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(309338), // Rule ID 20565 //
     /*  309266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  309269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309298 */     // MIs[0] Operand 4
     /*  309298 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309336 */     GIR_RootConstrainSelectedInstOperands,
     /*  309337 */     // GIR_Coverage, 20565,
     /*  309337 */     GIR_EraseRootFromParent_Done,
     /*  309338 */   // Label 5990: @309338
     /*  309338 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(309415), // Rule ID 20568 //
     /*  309343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309375 */     // MIs[0] Operand 4
     /*  309375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309413 */     GIR_RootConstrainSelectedInstOperands,
     /*  309414 */     // GIR_Coverage, 20568,
     /*  309414 */     GIR_EraseRootFromParent_Done,
     /*  309415 */   // Label 5991: @309415
     /*  309415 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(309492), // Rule ID 20569 //
     /*  309420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309452 */     // MIs[0] Operand 4
     /*  309452 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309490 */     GIR_RootConstrainSelectedInstOperands,
     /*  309491 */     // GIR_Coverage, 20569,
     /*  309491 */     GIR_EraseRootFromParent_Done,
     /*  309492 */   // Label 5992: @309492
     /*  309492 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(309569), // Rule ID 20572 //
     /*  309497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309529 */     // MIs[0] Operand 4
     /*  309529 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  309550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309567 */     GIR_RootConstrainSelectedInstOperands,
     /*  309568 */     // GIR_Coverage, 20572,
     /*  309568 */     GIR_EraseRootFromParent_Done,
     /*  309569 */   // Label 5993: @309569
     /*  309569 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(309646), // Rule ID 20573 //
     /*  309574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  309585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309606 */     // MIs[0] Operand 4
     /*  309606 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  309627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309644 */     GIR_RootConstrainSelectedInstOperands,
     /*  309645 */     // GIR_Coverage, 20573,
     /*  309645 */     GIR_EraseRootFromParent_Done,
     /*  309646 */   // Label 5994: @309646
     /*  309646 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(309723), // Rule ID 20576 //
     /*  309651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309683 */     // MIs[0] Operand 4
     /*  309683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  309704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309721 */     GIR_RootConstrainSelectedInstOperands,
     /*  309722 */     // GIR_Coverage, 20576,
     /*  309722 */     GIR_EraseRootFromParent_Done,
     /*  309723 */   // Label 5995: @309723
     /*  309723 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(309800), // Rule ID 20577 //
     /*  309728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  309739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309760 */     // MIs[0] Operand 4
     /*  309760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  309781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309798 */     GIR_RootConstrainSelectedInstOperands,
     /*  309799 */     // GIR_Coverage, 20577,
     /*  309799 */     GIR_EraseRootFromParent_Done,
     /*  309800 */   // Label 5996: @309800
     /*  309800 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(309877), // Rule ID 20580 //
     /*  309805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  309808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309837 */     // MIs[0] Operand 4
     /*  309837 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309875 */     GIR_RootConstrainSelectedInstOperands,
     /*  309876 */     // GIR_Coverage, 20580,
     /*  309876 */     GIR_EraseRootFromParent_Done,
     /*  309877 */   // Label 5997: @309877
     /*  309877 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(309954), // Rule ID 20581 //
     /*  309882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  309885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  309893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309914 */     // MIs[0] Operand 4
     /*  309914 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309952 */     GIR_RootConstrainSelectedInstOperands,
     /*  309953 */     // GIR_Coverage, 20581,
     /*  309953 */     GIR_EraseRootFromParent_Done,
     /*  309954 */   // Label 5998: @309954
     /*  309954 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(310031), // Rule ID 20584 //
     /*  309959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  309962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  309970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309991 */     // MIs[0] Operand 4
     /*  309991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310029 */     GIR_RootConstrainSelectedInstOperands,
     /*  310030 */     // GIR_Coverage, 20584,
     /*  310030 */     GIR_EraseRootFromParent_Done,
     /*  310031 */   // Label 5999: @310031
     /*  310031 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(310108), // Rule ID 20585 //
     /*  310036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  310039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310068 */     // MIs[0] Operand 4
     /*  310068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310106 */     GIR_RootConstrainSelectedInstOperands,
     /*  310107 */     // GIR_Coverage, 20585,
     /*  310107 */     GIR_EraseRootFromParent_Done,
     /*  310108 */   // Label 6000: @310108
     /*  310108 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(310185), // Rule ID 20588 //
     /*  310113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  310116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310145 */     // MIs[0] Operand 4
     /*  310145 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310183 */     GIR_RootConstrainSelectedInstOperands,
     /*  310184 */     // GIR_Coverage, 20588,
     /*  310184 */     GIR_EraseRootFromParent_Done,
     /*  310185 */   // Label 6001: @310185
     /*  310185 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(310262), // Rule ID 20589 //
     /*  310190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  310193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310222 */     // MIs[0] Operand 4
     /*  310222 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310260 */     GIR_RootConstrainSelectedInstOperands,
     /*  310261 */     // GIR_Coverage, 20589,
     /*  310261 */     GIR_EraseRootFromParent_Done,
     /*  310262 */   // Label 6002: @310262
     /*  310262 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(310339), // Rule ID 20592 //
     /*  310267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  310270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310299 */     // MIs[0] Operand 4
     /*  310299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310337 */     GIR_RootConstrainSelectedInstOperands,
     /*  310338 */     // GIR_Coverage, 20592,
     /*  310338 */     GIR_EraseRootFromParent_Done,
     /*  310339 */   // Label 6003: @310339
     /*  310339 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(310416), // Rule ID 20593 //
     /*  310344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  310347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310376 */     // MIs[0] Operand 4
     /*  310376 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310414 */     GIR_RootConstrainSelectedInstOperands,
     /*  310415 */     // GIR_Coverage, 20593,
     /*  310415 */     GIR_EraseRootFromParent_Done,
     /*  310416 */   // Label 6004: @310416
     /*  310416 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(310493), // Rule ID 20596 //
     /*  310421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  310424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310453 */     // MIs[0] Operand 4
     /*  310453 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310491 */     GIR_RootConstrainSelectedInstOperands,
     /*  310492 */     // GIR_Coverage, 20596,
     /*  310492 */     GIR_EraseRootFromParent_Done,
     /*  310493 */   // Label 6005: @310493
     /*  310493 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(310570), // Rule ID 20597 //
     /*  310498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  310501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310530 */     // MIs[0] Operand 4
     /*  310530 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310568 */     GIR_RootConstrainSelectedInstOperands,
     /*  310569 */     // GIR_Coverage, 20597,
     /*  310569 */     GIR_EraseRootFromParent_Done,
     /*  310570 */   // Label 6006: @310570
     /*  310570 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(310647), // Rule ID 20600 //
     /*  310575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  310578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310607 */     // MIs[0] Operand 4
     /*  310607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310625 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310645 */     GIR_RootConstrainSelectedInstOperands,
     /*  310646 */     // GIR_Coverage, 20600,
     /*  310646 */     GIR_EraseRootFromParent_Done,
     /*  310647 */   // Label 6007: @310647
     /*  310647 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(310724), // Rule ID 20601 //
     /*  310652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  310655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310684 */     // MIs[0] Operand 4
     /*  310684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310722 */     GIR_RootConstrainSelectedInstOperands,
     /*  310723 */     // GIR_Coverage, 20601,
     /*  310723 */     GIR_EraseRootFromParent_Done,
     /*  310724 */   // Label 6008: @310724
     /*  310724 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(310801), // Rule ID 20960 //
     /*  310729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  310732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  310737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310761 */     // MIs[0] Operand 4
     /*  310761 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  310782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310799 */     GIR_RootConstrainSelectedInstOperands,
     /*  310800 */     // GIR_Coverage, 20960,
     /*  310800 */     GIR_EraseRootFromParent_Done,
     /*  310801 */   // Label 6009: @310801
     /*  310801 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(310878), // Rule ID 20961 //
     /*  310806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  310809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  310814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  310817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310838 */     // MIs[0] Operand 4
     /*  310838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  310859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310876 */     GIR_RootConstrainSelectedInstOperands,
     /*  310877 */     // GIR_Coverage, 20961,
     /*  310877 */     GIR_EraseRootFromParent_Done,
     /*  310878 */   // Label 6010: @310878
     /*  310878 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(310955), // Rule ID 20964 //
     /*  310883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  310886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  310891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310915 */     // MIs[0] Operand 4
     /*  310915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  310936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310953 */     GIR_RootConstrainSelectedInstOperands,
     /*  310954 */     // GIR_Coverage, 20964,
     /*  310954 */     GIR_EraseRootFromParent_Done,
     /*  310955 */   // Label 6011: @310955
     /*  310955 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(311032), // Rule ID 20965 //
     /*  310960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  310963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  310968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  310971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310992 */     // MIs[0] Operand 4
     /*  310992 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  311013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311030 */     GIR_RootConstrainSelectedInstOperands,
     /*  311031 */     // GIR_Coverage, 20965,
     /*  311031 */     GIR_EraseRootFromParent_Done,
     /*  311032 */   // Label 6012: @311032
     /*  311032 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(311109), // Rule ID 20968 //
     /*  311037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311069 */     // MIs[0] Operand 4
     /*  311069 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311107 */     GIR_RootConstrainSelectedInstOperands,
     /*  311108 */     // GIR_Coverage, 20968,
     /*  311108 */     GIR_EraseRootFromParent_Done,
     /*  311109 */   // Label 6013: @311109
     /*  311109 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(311186), // Rule ID 20969 //
     /*  311114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311146 */     // MIs[0] Operand 4
     /*  311146 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311184 */     GIR_RootConstrainSelectedInstOperands,
     /*  311185 */     // GIR_Coverage, 20969,
     /*  311185 */     GIR_EraseRootFromParent_Done,
     /*  311186 */   // Label 6014: @311186
     /*  311186 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(311263), // Rule ID 20972 //
     /*  311191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311223 */     // MIs[0] Operand 4
     /*  311223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311241 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311261 */     GIR_RootConstrainSelectedInstOperands,
     /*  311262 */     // GIR_Coverage, 20972,
     /*  311262 */     GIR_EraseRootFromParent_Done,
     /*  311263 */   // Label 6015: @311263
     /*  311263 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(311340), // Rule ID 20973 //
     /*  311268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311300 */     // MIs[0] Operand 4
     /*  311300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311338 */     GIR_RootConstrainSelectedInstOperands,
     /*  311339 */     // GIR_Coverage, 20973,
     /*  311339 */     GIR_EraseRootFromParent_Done,
     /*  311340 */   // Label 6016: @311340
     /*  311340 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(311417), // Rule ID 20976 //
     /*  311345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311377 */     // MIs[0] Operand 4
     /*  311377 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  311398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311415 */     GIR_RootConstrainSelectedInstOperands,
     /*  311416 */     // GIR_Coverage, 20976,
     /*  311416 */     GIR_EraseRootFromParent_Done,
     /*  311417 */   // Label 6017: @311417
     /*  311417 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(311494), // Rule ID 20977 //
     /*  311422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311454 */     // MIs[0] Operand 4
     /*  311454 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  311475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311492 */     GIR_RootConstrainSelectedInstOperands,
     /*  311493 */     // GIR_Coverage, 20977,
     /*  311493 */     GIR_EraseRootFromParent_Done,
     /*  311494 */   // Label 6018: @311494
     /*  311494 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(311571), // Rule ID 20980 //
     /*  311499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  311502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311531 */     // MIs[0] Operand 4
     /*  311531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  311552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311569 */     GIR_RootConstrainSelectedInstOperands,
     /*  311570 */     // GIR_Coverage, 20980,
     /*  311570 */     GIR_EraseRootFromParent_Done,
     /*  311571 */   // Label 6019: @311571
     /*  311571 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(311648), // Rule ID 20981 //
     /*  311576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  311579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311608 */     // MIs[0] Operand 4
     /*  311608 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  311629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311646 */     GIR_RootConstrainSelectedInstOperands,
     /*  311647 */     // GIR_Coverage, 20981,
     /*  311647 */     GIR_EraseRootFromParent_Done,
     /*  311648 */   // Label 6020: @311648
     /*  311648 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(311725), // Rule ID 20984 //
     /*  311653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  311656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311685 */     // MIs[0] Operand 4
     /*  311685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311723 */     GIR_RootConstrainSelectedInstOperands,
     /*  311724 */     // GIR_Coverage, 20984,
     /*  311724 */     GIR_EraseRootFromParent_Done,
     /*  311725 */   // Label 6021: @311725
     /*  311725 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(311802), // Rule ID 20985 //
     /*  311730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  311733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  311741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311762 */     // MIs[0] Operand 4
     /*  311762 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311800 */     GIR_RootConstrainSelectedInstOperands,
     /*  311801 */     // GIR_Coverage, 20985,
     /*  311801 */     GIR_EraseRootFromParent_Done,
     /*  311802 */   // Label 6022: @311802
     /*  311802 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(311879), // Rule ID 20988 //
     /*  311807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  311810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  311818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311839 */     // MIs[0] Operand 4
     /*  311839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311877 */     GIR_RootConstrainSelectedInstOperands,
     /*  311878 */     // GIR_Coverage, 20988,
     /*  311878 */     GIR_EraseRootFromParent_Done,
     /*  311879 */   // Label 6023: @311879
     /*  311879 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(311956), // Rule ID 20989 //
     /*  311884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  311887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  311895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311916 */     // MIs[0] Operand 4
     /*  311916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311954 */     GIR_RootConstrainSelectedInstOperands,
     /*  311955 */     // GIR_Coverage, 20989,
     /*  311955 */     GIR_EraseRootFromParent_Done,
     /*  311956 */   // Label 6024: @311956
     /*  311956 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(312033), // Rule ID 20992 //
     /*  311961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  311964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  311978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311993 */     // MIs[0] Operand 4
     /*  311993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  312014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312031 */     GIR_RootConstrainSelectedInstOperands,
     /*  312032 */     // GIR_Coverage, 20992,
     /*  312032 */     GIR_EraseRootFromParent_Done,
     /*  312033 */   // Label 6025: @312033
     /*  312033 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(312110), // Rule ID 20993 //
     /*  312038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312070 */     // MIs[0] Operand 4
     /*  312070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  312091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312108 */     GIR_RootConstrainSelectedInstOperands,
     /*  312109 */     // GIR_Coverage, 20993,
     /*  312109 */     GIR_EraseRootFromParent_Done,
     /*  312110 */   // Label 6026: @312110
     /*  312110 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(312187), // Rule ID 20996 //
     /*  312115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312147 */     // MIs[0] Operand 4
     /*  312147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312165 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  312168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312185 */     GIR_RootConstrainSelectedInstOperands,
     /*  312186 */     // GIR_Coverage, 20996,
     /*  312186 */     GIR_EraseRootFromParent_Done,
     /*  312187 */   // Label 6027: @312187
     /*  312187 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(312264), // Rule ID 20997 //
     /*  312192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312224 */     // MIs[0] Operand 4
     /*  312224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  312245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312262 */     GIR_RootConstrainSelectedInstOperands,
     /*  312263 */     // GIR_Coverage, 20997,
     /*  312263 */     GIR_EraseRootFromParent_Done,
     /*  312264 */   // Label 6028: @312264
     /*  312264 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(312341), // Rule ID 21000 //
     /*  312269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312301 */     // MIs[0] Operand 4
     /*  312301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  312322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312339 */     GIR_RootConstrainSelectedInstOperands,
     /*  312340 */     // GIR_Coverage, 21000,
     /*  312340 */     GIR_EraseRootFromParent_Done,
     /*  312341 */   // Label 6029: @312341
     /*  312341 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(312418), // Rule ID 21001 //
     /*  312346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312378 */     // MIs[0] Operand 4
     /*  312378 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  312399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312416 */     GIR_RootConstrainSelectedInstOperands,
     /*  312417 */     // GIR_Coverage, 21001,
     /*  312417 */     GIR_EraseRootFromParent_Done,
     /*  312418 */   // Label 6030: @312418
     /*  312418 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(312495), // Rule ID 21004 //
     /*  312423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312455 */     // MIs[0] Operand 4
     /*  312455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  312476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312493 */     GIR_RootConstrainSelectedInstOperands,
     /*  312494 */     // GIR_Coverage, 21004,
     /*  312494 */     GIR_EraseRootFromParent_Done,
     /*  312495 */   // Label 6031: @312495
     /*  312495 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(312572), // Rule ID 21005 //
     /*  312500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312532 */     // MIs[0] Operand 4
     /*  312532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  312553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312570 */     GIR_RootConstrainSelectedInstOperands,
     /*  312571 */     // GIR_Coverage, 21005,
     /*  312571 */     GIR_EraseRootFromParent_Done,
     /*  312572 */   // Label 6032: @312572
     /*  312572 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(312649), // Rule ID 21008 //
     /*  312577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312609 */     // MIs[0] Operand 4
     /*  312609 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  312630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312647 */     GIR_RootConstrainSelectedInstOperands,
     /*  312648 */     // GIR_Coverage, 21008,
     /*  312648 */     GIR_EraseRootFromParent_Done,
     /*  312649 */   // Label 6033: @312649
     /*  312649 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(312726), // Rule ID 21009 //
     /*  312654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312686 */     // MIs[0] Operand 4
     /*  312686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  312707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312724 */     GIR_RootConstrainSelectedInstOperands,
     /*  312725 */     // GIR_Coverage, 21009,
     /*  312725 */     GIR_EraseRootFromParent_Done,
     /*  312726 */   // Label 6034: @312726
     /*  312726 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(312803), // Rule ID 21012 //
     /*  312731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312763 */     // MIs[0] Operand 4
     /*  312763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  312784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312801 */     GIR_RootConstrainSelectedInstOperands,
     /*  312802 */     // GIR_Coverage, 21012,
     /*  312802 */     GIR_EraseRootFromParent_Done,
     /*  312803 */   // Label 6035: @312803
     /*  312803 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(312880), // Rule ID 21013 //
     /*  312808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312840 */     // MIs[0] Operand 4
     /*  312840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  312861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312878 */     GIR_RootConstrainSelectedInstOperands,
     /*  312879 */     // GIR_Coverage, 21013,
     /*  312879 */     GIR_EraseRootFromParent_Done,
     /*  312880 */   // Label 6036: @312880
     /*  312880 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(312957), // Rule ID 21016 //
     /*  312885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  312888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312917 */     // MIs[0] Operand 4
     /*  312917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  312938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312955 */     GIR_RootConstrainSelectedInstOperands,
     /*  312956 */     // GIR_Coverage, 21016,
     /*  312956 */     GIR_EraseRootFromParent_Done,
     /*  312957 */   // Label 6037: @312957
     /*  312957 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(313034), // Rule ID 21017 //
     /*  312962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312994 */     // MIs[0] Operand 4
     /*  312994 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  313015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313032 */     GIR_RootConstrainSelectedInstOperands,
     /*  313033 */     // GIR_Coverage, 21017,
     /*  313033 */     GIR_EraseRootFromParent_Done,
     /*  313034 */   // Label 6038: @313034
     /*  313034 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(313111), // Rule ID 21020 //
     /*  313039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313071 */     // MIs[0] Operand 4
     /*  313071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  313092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313109 */     GIR_RootConstrainSelectedInstOperands,
     /*  313110 */     // GIR_Coverage, 21020,
     /*  313110 */     GIR_EraseRootFromParent_Done,
     /*  313111 */   // Label 6039: @313111
     /*  313111 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(313188), // Rule ID 21021 //
     /*  313116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313148 */     // MIs[0] Operand 4
     /*  313148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  313169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313186 */     GIR_RootConstrainSelectedInstOperands,
     /*  313187 */     // GIR_Coverage, 21021,
     /*  313187 */     GIR_EraseRootFromParent_Done,
     /*  313188 */   // Label 6040: @313188
     /*  313188 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(313265), // Rule ID 21024 //
     /*  313193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313225 */     // MIs[0] Operand 4
     /*  313225 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313263 */     GIR_RootConstrainSelectedInstOperands,
     /*  313264 */     // GIR_Coverage, 21024,
     /*  313264 */     GIR_EraseRootFromParent_Done,
     /*  313265 */   // Label 6041: @313265
     /*  313265 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(313342), // Rule ID 21025 //
     /*  313270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313302 */     // MIs[0] Operand 4
     /*  313302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313340 */     GIR_RootConstrainSelectedInstOperands,
     /*  313341 */     // GIR_Coverage, 21025,
     /*  313341 */     GIR_EraseRootFromParent_Done,
     /*  313342 */   // Label 6042: @313342
     /*  313342 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(313419), // Rule ID 21028 //
     /*  313347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313379 */     // MIs[0] Operand 4
     /*  313379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313417 */     GIR_RootConstrainSelectedInstOperands,
     /*  313418 */     // GIR_Coverage, 21028,
     /*  313418 */     GIR_EraseRootFromParent_Done,
     /*  313419 */   // Label 6043: @313419
     /*  313419 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(313496), // Rule ID 21029 //
     /*  313424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313456 */     // MIs[0] Operand 4
     /*  313456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313494 */     GIR_RootConstrainSelectedInstOperands,
     /*  313495 */     // GIR_Coverage, 21029,
     /*  313495 */     GIR_EraseRootFromParent_Done,
     /*  313496 */   // Label 6044: @313496
     /*  313496 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(313573), // Rule ID 21332 //
     /*  313501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  313512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  313515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  313518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313533 */     // MIs[0] Operand 4
     /*  313533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  313554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313571 */     GIR_RootConstrainSelectedInstOperands,
     /*  313572 */     // GIR_Coverage, 21332,
     /*  313572 */     GIR_EraseRootFromParent_Done,
     /*  313573 */   // Label 6045: @313573
     /*  313573 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(313650), // Rule ID 21333 //
     /*  313578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  313589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  313592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  313595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313610 */     // MIs[0] Operand 4
     /*  313610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  313631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313648 */     GIR_RootConstrainSelectedInstOperands,
     /*  313649 */     // GIR_Coverage, 21333,
     /*  313649 */     GIR_EraseRootFromParent_Done,
     /*  313650 */   // Label 6046: @313650
     /*  313650 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(313727), // Rule ID 21336 //
     /*  313655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  313666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  313669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313687 */     // MIs[0] Operand 4
     /*  313687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313705 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  313708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313725 */     GIR_RootConstrainSelectedInstOperands,
     /*  313726 */     // GIR_Coverage, 21336,
     /*  313726 */     GIR_EraseRootFromParent_Done,
     /*  313727 */   // Label 6047: @313727
     /*  313727 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(313804), // Rule ID 21337 //
     /*  313732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  313743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  313746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313764 */     // MIs[0] Operand 4
     /*  313764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313782 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  313785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313802 */     GIR_RootConstrainSelectedInstOperands,
     /*  313803 */     // GIR_Coverage, 21337,
     /*  313803 */     GIR_EraseRootFromParent_Done,
     /*  313804 */   // Label 6048: @313804
     /*  313804 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(313881), // Rule ID 21340 //
     /*  313809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  313820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  313823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313841 */     // MIs[0] Operand 4
     /*  313841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  313862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313879 */     GIR_RootConstrainSelectedInstOperands,
     /*  313880 */     // GIR_Coverage, 21340,
     /*  313880 */     GIR_EraseRootFromParent_Done,
     /*  313881 */   // Label 6049: @313881
     /*  313881 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(313958), // Rule ID 21341 //
     /*  313886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  313897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  313900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313918 */     // MIs[0] Operand 4
     /*  313918 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  313939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313956 */     GIR_RootConstrainSelectedInstOperands,
     /*  313957 */     // GIR_Coverage, 21341,
     /*  313957 */     GIR_EraseRootFromParent_Done,
     /*  313958 */   // Label 6050: @313958
     /*  313958 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(314035), // Rule ID 21344 //
     /*  313963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  313971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  313974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  313977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313995 */     // MIs[0] Operand 4
     /*  313995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314033 */     GIR_RootConstrainSelectedInstOperands,
     /*  314034 */     // GIR_Coverage, 21344,
     /*  314034 */     GIR_EraseRootFromParent_Done,
     /*  314035 */   // Label 6051: @314035
     /*  314035 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(314112), // Rule ID 21345 //
     /*  314040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  314051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  314054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314072 */     // MIs[0] Operand 4
     /*  314072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314110 */     GIR_RootConstrainSelectedInstOperands,
     /*  314111 */     // GIR_Coverage, 21345,
     /*  314111 */     GIR_EraseRootFromParent_Done,
     /*  314112 */   // Label 6052: @314112
     /*  314112 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(314189), // Rule ID 21348 //
     /*  314117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314149 */     // MIs[0] Operand 4
     /*  314149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  314170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314187 */     GIR_RootConstrainSelectedInstOperands,
     /*  314188 */     // GIR_Coverage, 21348,
     /*  314188 */     GIR_EraseRootFromParent_Done,
     /*  314189 */   // Label 6053: @314189
     /*  314189 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(314266), // Rule ID 21349 //
     /*  314194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314226 */     // MIs[0] Operand 4
     /*  314226 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  314247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314264 */     GIR_RootConstrainSelectedInstOperands,
     /*  314265 */     // GIR_Coverage, 21349,
     /*  314265 */     GIR_EraseRootFromParent_Done,
     /*  314266 */   // Label 6054: @314266
     /*  314266 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(314343), // Rule ID 21352 //
     /*  314271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314303 */     // MIs[0] Operand 4
     /*  314303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  314324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314341 */     GIR_RootConstrainSelectedInstOperands,
     /*  314342 */     // GIR_Coverage, 21352,
     /*  314342 */     GIR_EraseRootFromParent_Done,
     /*  314343 */   // Label 6055: @314343
     /*  314343 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(314420), // Rule ID 21353 //
     /*  314348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314380 */     // MIs[0] Operand 4
     /*  314380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  314401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314418 */     GIR_RootConstrainSelectedInstOperands,
     /*  314419 */     // GIR_Coverage, 21353,
     /*  314419 */     GIR_EraseRootFromParent_Done,
     /*  314420 */   // Label 6056: @314420
     /*  314420 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(314497), // Rule ID 21356 //
     /*  314425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  314428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  314436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314457 */     // MIs[0] Operand 4
     /*  314457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  314478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314495 */     GIR_RootConstrainSelectedInstOperands,
     /*  314496 */     // GIR_Coverage, 21356,
     /*  314496 */     GIR_EraseRootFromParent_Done,
     /*  314497 */   // Label 6057: @314497
     /*  314497 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(314574), // Rule ID 21357 //
     /*  314502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  314505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  314513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314534 */     // MIs[0] Operand 4
     /*  314534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  314555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314572 */     GIR_RootConstrainSelectedInstOperands,
     /*  314573 */     // GIR_Coverage, 21357,
     /*  314573 */     GIR_EraseRootFromParent_Done,
     /*  314574 */   // Label 6058: @314574
     /*  314574 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(314651), // Rule ID 21360 //
     /*  314579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  314582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  314590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314611 */     // MIs[0] Operand 4
     /*  314611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314629 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  314632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314649 */     GIR_RootConstrainSelectedInstOperands,
     /*  314650 */     // GIR_Coverage, 21360,
     /*  314650 */     GIR_EraseRootFromParent_Done,
     /*  314651 */   // Label 6059: @314651
     /*  314651 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(314728), // Rule ID 21361 //
     /*  314656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  314659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  314667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  314673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314688 */     // MIs[0] Operand 4
     /*  314688 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  314709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314726 */     GIR_RootConstrainSelectedInstOperands,
     /*  314727 */     // GIR_Coverage, 21361,
     /*  314727 */     GIR_EraseRootFromParent_Done,
     /*  314728 */   // Label 6060: @314728
     /*  314728 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(314805), // Rule ID 21364 //
     /*  314733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  314736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  314744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314765 */     // MIs[0] Operand 4
     /*  314765 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314803 */     GIR_RootConstrainSelectedInstOperands,
     /*  314804 */     // GIR_Coverage, 21364,
     /*  314804 */     GIR_EraseRootFromParent_Done,
     /*  314805 */   // Label 6061: @314805
     /*  314805 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(314882), // Rule ID 21365 //
     /*  314810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  314813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  314821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314842 */     // MIs[0] Operand 4
     /*  314842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314880 */     GIR_RootConstrainSelectedInstOperands,
     /*  314881 */     // GIR_Coverage, 21365,
     /*  314881 */     GIR_EraseRootFromParent_Done,
     /*  314882 */   // Label 6062: @314882
     /*  314882 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(314959), // Rule ID 21368 //
     /*  314887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  314890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314919 */     // MIs[0] Operand 4
     /*  314919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  314940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314957 */     GIR_RootConstrainSelectedInstOperands,
     /*  314958 */     // GIR_Coverage, 21368,
     /*  314958 */     GIR_EraseRootFromParent_Done,
     /*  314959 */   // Label 6063: @314959
     /*  314959 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(315036), // Rule ID 21369 //
     /*  314964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  314967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314996 */     // MIs[0] Operand 4
     /*  314996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  315017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315034 */     GIR_RootConstrainSelectedInstOperands,
     /*  315035 */     // GIR_Coverage, 21369,
     /*  315035 */     GIR_EraseRootFromParent_Done,
     /*  315036 */   // Label 6064: @315036
     /*  315036 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(315113), // Rule ID 21372 //
     /*  315041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  315044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315073 */     // MIs[0] Operand 4
     /*  315073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315111 */     GIR_RootConstrainSelectedInstOperands,
     /*  315112 */     // GIR_Coverage, 21372,
     /*  315112 */     GIR_EraseRootFromParent_Done,
     /*  315113 */   // Label 6065: @315113
     /*  315113 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(315190), // Rule ID 21373 //
     /*  315118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315150 */     // MIs[0] Operand 4
     /*  315150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315188 */     GIR_RootConstrainSelectedInstOperands,
     /*  315189 */     // GIR_Coverage, 21373,
     /*  315189 */     GIR_EraseRootFromParent_Done,
     /*  315190 */   // Label 6066: @315190
     /*  315190 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(315267), // Rule ID 21376 //
     /*  315195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315227 */     // MIs[0] Operand 4
     /*  315227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315265 */     GIR_RootConstrainSelectedInstOperands,
     /*  315266 */     // GIR_Coverage, 21376,
     /*  315266 */     GIR_EraseRootFromParent_Done,
     /*  315267 */   // Label 6067: @315267
     /*  315267 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(315344), // Rule ID 21377 //
     /*  315272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315304 */     // MIs[0] Operand 4
     /*  315304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315342 */     GIR_RootConstrainSelectedInstOperands,
     /*  315343 */     // GIR_Coverage, 21377,
     /*  315343 */     GIR_EraseRootFromParent_Done,
     /*  315344 */   // Label 6068: @315344
     /*  315344 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(315421), // Rule ID 21380 //
     /*  315349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315381 */     // MIs[0] Operand 4
     /*  315381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315419 */     GIR_RootConstrainSelectedInstOperands,
     /*  315420 */     // GIR_Coverage, 21380,
     /*  315420 */     GIR_EraseRootFromParent_Done,
     /*  315421 */   // Label 6069: @315421
     /*  315421 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(315498), // Rule ID 21381 //
     /*  315426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315458 */     // MIs[0] Operand 4
     /*  315458 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315496 */     GIR_RootConstrainSelectedInstOperands,
     /*  315497 */     // GIR_Coverage, 21381,
     /*  315497 */     GIR_EraseRootFromParent_Done,
     /*  315498 */   // Label 6070: @315498
     /*  315498 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(315575), // Rule ID 21384 //
     /*  315503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  315514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315535 */     // MIs[0] Operand 4
     /*  315535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  315556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315573 */     GIR_RootConstrainSelectedInstOperands,
     /*  315574 */     // GIR_Coverage, 21384,
     /*  315574 */     GIR_EraseRootFromParent_Done,
     /*  315575 */   // Label 6071: @315575
     /*  315575 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(315652), // Rule ID 21385 //
     /*  315580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  315591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315612 */     // MIs[0] Operand 4
     /*  315612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  315633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315650 */     GIR_RootConstrainSelectedInstOperands,
     /*  315651 */     // GIR_Coverage, 21385,
     /*  315651 */     GIR_EraseRootFromParent_Done,
     /*  315652 */   // Label 6072: @315652
     /*  315652 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(315729), // Rule ID 21388 //
     /*  315657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  315668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315689 */     // MIs[0] Operand 4
     /*  315689 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315727 */     GIR_RootConstrainSelectedInstOperands,
     /*  315728 */     // GIR_Coverage, 21388,
     /*  315728 */     GIR_EraseRootFromParent_Done,
     /*  315729 */   // Label 6073: @315729
     /*  315729 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(315806), // Rule ID 21389 //
     /*  315734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  315745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315766 */     // MIs[0] Operand 4
     /*  315766 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315804 */     GIR_RootConstrainSelectedInstOperands,
     /*  315805 */     // GIR_Coverage, 21389,
     /*  315805 */     GIR_EraseRootFromParent_Done,
     /*  315806 */   // Label 6074: @315806
     /*  315806 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(315883), // Rule ID 21392 //
     /*  315811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  315814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  315819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  315822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  315825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315843 */     // MIs[0] Operand 4
     /*  315843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315861 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  315861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  315864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  315878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315881 */     GIR_RootConstrainSelectedInstOperands,
     /*  315882 */     // GIR_Coverage, 21392,
     /*  315882 */     GIR_EraseRootFromParent_Done,
     /*  315883 */   // Label 6075: @315883
     /*  315883 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(315960), // Rule ID 21393 //
     /*  315888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  315891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  315896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  315899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  315902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315920 */     // MIs[0] Operand 4
     /*  315920 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315938 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  315938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  315941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  315955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315958 */     GIR_RootConstrainSelectedInstOperands,
     /*  315959 */     // GIR_Coverage, 21393,
     /*  315959 */     GIR_EraseRootFromParent_Done,
     /*  315960 */   // Label 6076: @315960
     /*  315960 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(316037), // Rule ID 21396 //
     /*  315965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  315968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  315973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  315976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  315979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315997 */     // MIs[0] Operand 4
     /*  315997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316015 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316035 */     GIR_RootConstrainSelectedInstOperands,
     /*  316036 */     // GIR_Coverage, 21396,
     /*  316036 */     GIR_EraseRootFromParent_Done,
     /*  316037 */   // Label 6077: @316037
     /*  316037 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(316114), // Rule ID 21397 //
     /*  316042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  316053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  316056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316074 */     // MIs[0] Operand 4
     /*  316074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316112 */     GIR_RootConstrainSelectedInstOperands,
     /*  316113 */     // GIR_Coverage, 21397,
     /*  316113 */     GIR_EraseRootFromParent_Done,
     /*  316114 */   // Label 6078: @316114
     /*  316114 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(316191), // Rule ID 21400 //
     /*  316119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  316130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  316133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316151 */     // MIs[0] Operand 4
     /*  316151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316169 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  316172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316189 */     GIR_RootConstrainSelectedInstOperands,
     /*  316190 */     // GIR_Coverage, 21400,
     /*  316190 */     GIR_EraseRootFromParent_Done,
     /*  316191 */   // Label 6079: @316191
     /*  316191 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(316268), // Rule ID 21401 //
     /*  316196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  316207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  316210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316228 */     // MIs[0] Operand 4
     /*  316228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  316249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316266 */     GIR_RootConstrainSelectedInstOperands,
     /*  316267 */     // GIR_Coverage, 21401,
     /*  316267 */     GIR_EraseRootFromParent_Done,
     /*  316268 */   // Label 6080: @316268
     /*  316268 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(316345), // Rule ID 21404 //
     /*  316273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  316284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  316287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316305 */     // MIs[0] Operand 4
     /*  316305 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  316326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316343 */     GIR_RootConstrainSelectedInstOperands,
     /*  316344 */     // GIR_Coverage, 21404,
     /*  316344 */     GIR_EraseRootFromParent_Done,
     /*  316345 */   // Label 6081: @316345
     /*  316345 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(316422), // Rule ID 21405 //
     /*  316350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  316361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  316364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316382 */     // MIs[0] Operand 4
     /*  316382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316400 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  316403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316420 */     GIR_RootConstrainSelectedInstOperands,
     /*  316421 */     // GIR_Coverage, 21405,
     /*  316421 */     GIR_EraseRootFromParent_Done,
     /*  316422 */   // Label 6082: @316422
     /*  316422 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(316499), // Rule ID 21408 //
     /*  316427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  316438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  316441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316459 */     // MIs[0] Operand 4
     /*  316459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  316480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316497 */     GIR_RootConstrainSelectedInstOperands,
     /*  316498 */     // GIR_Coverage, 21408,
     /*  316498 */     GIR_EraseRootFromParent_Done,
     /*  316499 */   // Label 6083: @316499
     /*  316499 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(316576), // Rule ID 21409 //
     /*  316504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  316515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  316518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316536 */     // MIs[0] Operand 4
     /*  316536 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316554 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  316557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316574 */     GIR_RootConstrainSelectedInstOperands,
     /*  316575 */     // GIR_Coverage, 21409,
     /*  316575 */     GIR_EraseRootFromParent_Done,
     /*  316576 */   // Label 6084: @316576
     /*  316576 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(316653), // Rule ID 21412 //
     /*  316581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  316592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  316595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316613 */     // MIs[0] Operand 4
     /*  316613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  316634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316651 */     GIR_RootConstrainSelectedInstOperands,
     /*  316652 */     // GIR_Coverage, 21412,
     /*  316652 */     GIR_EraseRootFromParent_Done,
     /*  316653 */   // Label 6085: @316653
     /*  316653 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(316730), // Rule ID 21413 //
     /*  316658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  316669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  316672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316690 */     // MIs[0] Operand 4
     /*  316690 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  316711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316728 */     GIR_RootConstrainSelectedInstOperands,
     /*  316729 */     // GIR_Coverage, 21413,
     /*  316729 */     GIR_EraseRootFromParent_Done,
     /*  316730 */   // Label 6086: @316730
     /*  316730 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(316807), // Rule ID 21416 //
     /*  316735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  316738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  316746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  316752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316767 */     // MIs[0] Operand 4
     /*  316767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316785 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316805 */     GIR_RootConstrainSelectedInstOperands,
     /*  316806 */     // GIR_Coverage, 21416,
     /*  316806 */     GIR_EraseRootFromParent_Done,
     /*  316807 */   // Label 6087: @316807
     /*  316807 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(316884), // Rule ID 21417 //
     /*  316812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  316815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  316823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  316829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316844 */     // MIs[0] Operand 4
     /*  316844 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316882 */     GIR_RootConstrainSelectedInstOperands,
     /*  316883 */     // GIR_Coverage, 21417,
     /*  316883 */     GIR_EraseRootFromParent_Done,
     /*  316884 */   // Label 6088: @316884
     /*  316884 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(316961), // Rule ID 21420 //
     /*  316889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  316892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  316900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316921 */     // MIs[0] Operand 4
     /*  316921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  316942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316959 */     GIR_RootConstrainSelectedInstOperands,
     /*  316960 */     // GIR_Coverage, 21420,
     /*  316960 */     GIR_EraseRootFromParent_Done,
     /*  316961 */   // Label 6089: @316961
     /*  316961 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(317038), // Rule ID 21421 //
     /*  316966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  316969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  316977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316998 */     // MIs[0] Operand 4
     /*  316998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  317019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317036 */     GIR_RootConstrainSelectedInstOperands,
     /*  317037 */     // GIR_Coverage, 21421,
     /*  317037 */     GIR_EraseRootFromParent_Done,
     /*  317038 */   // Label 6090: @317038
     /*  317038 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(317115), // Rule ID 21424 //
     /*  317043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317075 */     // MIs[0] Operand 4
     /*  317075 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317093 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317113 */     GIR_RootConstrainSelectedInstOperands,
     /*  317114 */     // GIR_Coverage, 21424,
     /*  317114 */     GIR_EraseRootFromParent_Done,
     /*  317115 */   // Label 6091: @317115
     /*  317115 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(317192), // Rule ID 21425 //
     /*  317120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317152 */     // MIs[0] Operand 4
     /*  317152 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317190 */     GIR_RootConstrainSelectedInstOperands,
     /*  317191 */     // GIR_Coverage, 21425,
     /*  317191 */     GIR_EraseRootFromParent_Done,
     /*  317192 */   // Label 6092: @317192
     /*  317192 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(317269), // Rule ID 21428 //
     /*  317197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317229 */     // MIs[0] Operand 4
     /*  317229 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317267 */     GIR_RootConstrainSelectedInstOperands,
     /*  317268 */     // GIR_Coverage, 21428,
     /*  317268 */     GIR_EraseRootFromParent_Done,
     /*  317269 */   // Label 6093: @317269
     /*  317269 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(317346), // Rule ID 21429 //
     /*  317274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317306 */     // MIs[0] Operand 4
     /*  317306 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317344 */     GIR_RootConstrainSelectedInstOperands,
     /*  317345 */     // GIR_Coverage, 21429,
     /*  317345 */     GIR_EraseRootFromParent_Done,
     /*  317346 */   // Label 6094: @317346
     /*  317346 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(317423), // Rule ID 21432 //
     /*  317351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317383 */     // MIs[0] Operand 4
     /*  317383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317401 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317421 */     GIR_RootConstrainSelectedInstOperands,
     /*  317422 */     // GIR_Coverage, 21432,
     /*  317422 */     GIR_EraseRootFromParent_Done,
     /*  317423 */   // Label 6095: @317423
     /*  317423 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(317500), // Rule ID 21433 //
     /*  317428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317460 */     // MIs[0] Operand 4
     /*  317460 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317498 */     GIR_RootConstrainSelectedInstOperands,
     /*  317499 */     // GIR_Coverage, 21433,
     /*  317499 */     GIR_EraseRootFromParent_Done,
     /*  317500 */   // Label 6096: @317500
     /*  317500 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(317577), // Rule ID 21436 //
     /*  317505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  317508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317537 */     // MIs[0] Operand 4
     /*  317537 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317555 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  317558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317575 */     GIR_RootConstrainSelectedInstOperands,
     /*  317576 */     // GIR_Coverage, 21436,
     /*  317576 */     GIR_EraseRootFromParent_Done,
     /*  317577 */   // Label 6097: @317577
     /*  317577 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(317654), // Rule ID 21437 //
     /*  317582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  317585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317614 */     // MIs[0] Operand 4
     /*  317614 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  317635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317652 */     GIR_RootConstrainSelectedInstOperands,
     /*  317653 */     // GIR_Coverage, 21437,
     /*  317653 */     GIR_EraseRootFromParent_Done,
     /*  317654 */   // Label 6098: @317654
     /*  317654 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(317731), // Rule ID 21440 //
     /*  317659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  317662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317691 */     // MIs[0] Operand 4
     /*  317691 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317729 */     GIR_RootConstrainSelectedInstOperands,
     /*  317730 */     // GIR_Coverage, 21440,
     /*  317730 */     GIR_EraseRootFromParent_Done,
     /*  317731 */   // Label 6099: @317731
     /*  317731 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(317808), // Rule ID 21441 //
     /*  317736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  317739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317768 */     // MIs[0] Operand 4
     /*  317768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317806 */     GIR_RootConstrainSelectedInstOperands,
     /*  317807 */     // GIR_Coverage, 21441,
     /*  317807 */     GIR_EraseRootFromParent_Done,
     /*  317808 */   // Label 6100: @317808
     /*  317808 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(317885), // Rule ID 21444 //
     /*  317813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  317816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  317824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317845 */     // MIs[0] Operand 4
     /*  317845 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317883 */     GIR_RootConstrainSelectedInstOperands,
     /*  317884 */     // GIR_Coverage, 21444,
     /*  317884 */     GIR_EraseRootFromParent_Done,
     /*  317885 */   // Label 6101: @317885
     /*  317885 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(317962), // Rule ID 21445 //
     /*  317890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  317893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  317901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317922 */     // MIs[0] Operand 4
     /*  317922 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317960 */     GIR_RootConstrainSelectedInstOperands,
     /*  317961 */     // GIR_Coverage, 21445,
     /*  317961 */     GIR_EraseRootFromParent_Done,
     /*  317962 */   // Label 6102: @317962
     /*  317962 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(318039), // Rule ID 21448 //
     /*  317967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  317970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  317978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317999 */     // MIs[0] Operand 4
     /*  317999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  318020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318037 */     GIR_RootConstrainSelectedInstOperands,
     /*  318038 */     // GIR_Coverage, 21448,
     /*  318038 */     GIR_EraseRootFromParent_Done,
     /*  318039 */   // Label 6103: @318039
     /*  318039 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(318116), // Rule ID 21449 //
     /*  318044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  318047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318076 */     // MIs[0] Operand 4
     /*  318076 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  318097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318114 */     GIR_RootConstrainSelectedInstOperands,
     /*  318115 */     // GIR_Coverage, 21449,
     /*  318115 */     GIR_EraseRootFromParent_Done,
     /*  318116 */   // Label 6104: @318116
     /*  318116 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(318189), // Rule ID 62137 //
     /*  318121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318145 */     // MIs[0] op1
     /*  318145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  318171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318173 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318175 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318177 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318187 */     GIR_RootConstrainSelectedInstOperands,
     /*  318188 */     // GIR_Coverage, 62137,
     /*  318188 */     GIR_EraseRootFromParent_Done,
     /*  318189 */   // Label 6105: @318189
     /*  318189 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(318262), // Rule ID 62138 //
     /*  318194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318218 */     // MIs[0] op1
     /*  318218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318241 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  318244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318246 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318248 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318250 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318260 */     GIR_RootConstrainSelectedInstOperands,
     /*  318261 */     // GIR_Coverage, 62138,
     /*  318261 */     GIR_EraseRootFromParent_Done,
     /*  318262 */   // Label 6106: @318262
     /*  318262 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(318335), // Rule ID 62161 //
     /*  318267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  318284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318291 */     // MIs[0] op1
     /*  318291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318294 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  318317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318319 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318321 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318323 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318333 */     GIR_RootConstrainSelectedInstOperands,
     /*  318334 */     // GIR_Coverage, 62161,
     /*  318334 */     GIR_EraseRootFromParent_Done,
     /*  318335 */   // Label 6107: @318335
     /*  318335 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(318408), // Rule ID 62162 //
     /*  318340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  318357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318364 */     // MIs[0] op1
     /*  318364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  318390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318406 */     GIR_RootConstrainSelectedInstOperands,
     /*  318407 */     // GIR_Coverage, 62162,
     /*  318407 */     GIR_EraseRootFromParent_Done,
     /*  318408 */   // Label 6108: @318408
     /*  318408 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(318481), // Rule ID 62187 //
     /*  318413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  318424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  318427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318437 */     // MIs[0] op1
     /*  318437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318440 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  318463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318465 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318467 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318469 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318479 */     GIR_RootConstrainSelectedInstOperands,
     /*  318480 */     // GIR_Coverage, 62187,
     /*  318480 */     GIR_EraseRootFromParent_Done,
     /*  318481 */   // Label 6109: @318481
     /*  318481 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(318554), // Rule ID 62188 //
     /*  318486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  318497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  318500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318510 */     // MIs[0] op1
     /*  318510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  318536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318552 */     GIR_RootConstrainSelectedInstOperands,
     /*  318553 */     // GIR_Coverage, 62188,
     /*  318553 */     GIR_EraseRootFromParent_Done,
     /*  318554 */   // Label 6110: @318554
     /*  318554 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(318627), // Rule ID 62199 //
     /*  318559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  318570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  318573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  318576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318583 */     // MIs[0] op1
     /*  318583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  318609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318611 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318613 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318615 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318625 */     GIR_RootConstrainSelectedInstOperands,
     /*  318626 */     // GIR_Coverage, 62199,
     /*  318626 */     GIR_EraseRootFromParent_Done,
     /*  318627 */   // Label 6111: @318627
     /*  318627 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(318700), // Rule ID 62200 //
     /*  318632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  318643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  318646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  318649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318656 */     // MIs[0] op1
     /*  318656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318679 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  318682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318698 */     GIR_RootConstrainSelectedInstOperands,
     /*  318699 */     // GIR_Coverage, 62200,
     /*  318699 */     GIR_EraseRootFromParent_Done,
     /*  318700 */   // Label 6112: @318700
     /*  318700 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(318773), // Rule ID 62231 //
     /*  318705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  318716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  318719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318729 */     // MIs[0] op1
     /*  318729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  318755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318771 */     GIR_RootConstrainSelectedInstOperands,
     /*  318772 */     // GIR_Coverage, 62231,
     /*  318772 */     GIR_EraseRootFromParent_Done,
     /*  318773 */   // Label 6113: @318773
     /*  318773 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(318846), // Rule ID 62232 //
     /*  318778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  318789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  318792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318802 */     // MIs[0] op1
     /*  318802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  318828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318844 */     GIR_RootConstrainSelectedInstOperands,
     /*  318845 */     // GIR_Coverage, 62232,
     /*  318845 */     GIR_EraseRootFromParent_Done,
     /*  318846 */   // Label 6114: @318846
     /*  318846 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(318919), // Rule ID 62243 //
     /*  318851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  318862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  318865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  318868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318875 */     // MIs[0] op1
     /*  318875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  318901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318917 */     GIR_RootConstrainSelectedInstOperands,
     /*  318918 */     // GIR_Coverage, 62243,
     /*  318918 */     GIR_EraseRootFromParent_Done,
     /*  318919 */   // Label 6115: @318919
     /*  318919 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(318992), // Rule ID 62244 //
     /*  318924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  318935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  318938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  318941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318948 */     // MIs[0] op1
     /*  318948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  318974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318990 */     GIR_RootConstrainSelectedInstOperands,
     /*  318991 */     // GIR_Coverage, 62244,
     /*  318991 */     GIR_EraseRootFromParent_Done,
     /*  318992 */   // Label 6116: @318992
     /*  318992 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(319065), // Rule ID 62275 //
     /*  318997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319021 */     // MIs[0] op1
     /*  319021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  319047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319063 */     GIR_RootConstrainSelectedInstOperands,
     /*  319064 */     // GIR_Coverage, 62275,
     /*  319064 */     GIR_EraseRootFromParent_Done,
     /*  319065 */   // Label 6117: @319065
     /*  319065 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(319138), // Rule ID 62276 //
     /*  319070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319094 */     // MIs[0] op1
     /*  319094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  319120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319136 */     GIR_RootConstrainSelectedInstOperands,
     /*  319137 */     // GIR_Coverage, 62276,
     /*  319137 */     GIR_EraseRootFromParent_Done,
     /*  319138 */   // Label 6118: @319138
     /*  319138 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(319211), // Rule ID 62287 //
     /*  319143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  319160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319167 */     // MIs[0] op1
     /*  319167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319209 */     GIR_RootConstrainSelectedInstOperands,
     /*  319210 */     // GIR_Coverage, 62287,
     /*  319210 */     GIR_EraseRootFromParent_Done,
     /*  319211 */   // Label 6119: @319211
     /*  319211 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(319284), // Rule ID 62288 //
     /*  319216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  319233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319240 */     // MIs[0] op1
     /*  319240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319263 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319282 */     GIR_RootConstrainSelectedInstOperands,
     /*  319283 */     // GIR_Coverage, 62288,
     /*  319283 */     GIR_EraseRootFromParent_Done,
     /*  319284 */   // Label 6120: @319284
     /*  319284 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(319357), // Rule ID 62311 //
     /*  319289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319313 */     // MIs[0] op1
     /*  319313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  319339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319341 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319343 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319345 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319355 */     GIR_RootConstrainSelectedInstOperands,
     /*  319356 */     // GIR_Coverage, 62311,
     /*  319356 */     GIR_EraseRootFromParent_Done,
     /*  319357 */   // Label 6121: @319357
     /*  319357 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(319430), // Rule ID 62312 //
     /*  319362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319386 */     // MIs[0] op1
     /*  319386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  319412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319428 */     GIR_RootConstrainSelectedInstOperands,
     /*  319429 */     // GIR_Coverage, 62312,
     /*  319429 */     GIR_EraseRootFromParent_Done,
     /*  319430 */   // Label 6122: @319430
     /*  319430 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(319503), // Rule ID 62331 //
     /*  319435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319459 */     // MIs[0] op1
     /*  319459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319487 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319489 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319491 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319501 */     GIR_RootConstrainSelectedInstOperands,
     /*  319502 */     // GIR_Coverage, 62331,
     /*  319502 */     GIR_EraseRootFromParent_Done,
     /*  319503 */   // Label 6123: @319503
     /*  319503 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(319576), // Rule ID 62332 //
     /*  319508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319532 */     // MIs[0] op1
     /*  319532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319555 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319574 */     GIR_RootConstrainSelectedInstOperands,
     /*  319575 */     // GIR_Coverage, 62332,
     /*  319575 */     GIR_EraseRootFromParent_Done,
     /*  319576 */   // Label 6124: @319576
     /*  319576 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(319649), // Rule ID 62343 //
     /*  319581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  319598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319605 */     // MIs[0] op1
     /*  319605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  319631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319633 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319635 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319637 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319647 */     GIR_RootConstrainSelectedInstOperands,
     /*  319648 */     // GIR_Coverage, 62343,
     /*  319648 */     GIR_EraseRootFromParent_Done,
     /*  319649 */   // Label 6125: @319649
     /*  319649 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(319722), // Rule ID 62344 //
     /*  319654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  319671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319678 */     // MIs[0] op1
     /*  319678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319701 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  319704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319706 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319708 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319710 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319720 */     GIR_RootConstrainSelectedInstOperands,
     /*  319721 */     // GIR_Coverage, 62344,
     /*  319721 */     GIR_EraseRootFromParent_Done,
     /*  319722 */   // Label 6126: @319722
     /*  319722 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(319795), // Rule ID 62367 //
     /*  319727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319751 */     // MIs[0] op1
     /*  319751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  319777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319779 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319781 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319783 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319793 */     GIR_RootConstrainSelectedInstOperands,
     /*  319794 */     // GIR_Coverage, 62367,
     /*  319794 */     GIR_EraseRootFromParent_Done,
     /*  319795 */   // Label 6127: @319795
     /*  319795 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(319868), // Rule ID 62368 //
     /*  319800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319824 */     // MIs[0] op1
     /*  319824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  319850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319866 */     GIR_RootConstrainSelectedInstOperands,
     /*  319867 */     // GIR_Coverage, 62368,
     /*  319867 */     GIR_EraseRootFromParent_Done,
     /*  319868 */   // Label 6128: @319868
     /*  319868 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(319941), // Rule ID 62387 //
     /*  319873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  319884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319897 */     // MIs[0] op1
     /*  319897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319939 */     GIR_RootConstrainSelectedInstOperands,
     /*  319940 */     // GIR_Coverage, 62387,
     /*  319940 */     GIR_EraseRootFromParent_Done,
     /*  319941 */   // Label 6129: @319941
     /*  319941 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(320014), // Rule ID 62388 //
     /*  319946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  319957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319970 */     // MIs[0] op1
     /*  319970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320012 */     GIR_RootConstrainSelectedInstOperands,
     /*  320013 */     // GIR_Coverage, 62388,
     /*  320013 */     GIR_EraseRootFromParent_Done,
     /*  320014 */   // Label 6130: @320014
     /*  320014 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(320087), // Rule ID 62399 //
     /*  320019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  320036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320043 */     // MIs[0] op1
     /*  320043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320085 */     GIR_RootConstrainSelectedInstOperands,
     /*  320086 */     // GIR_Coverage, 62399,
     /*  320086 */     GIR_EraseRootFromParent_Done,
     /*  320087 */   // Label 6131: @320087
     /*  320087 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(320160), // Rule ID 62400 //
     /*  320092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  320109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320116 */     // MIs[0] op1
     /*  320116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320158 */     GIR_RootConstrainSelectedInstOperands,
     /*  320159 */     // GIR_Coverage, 62400,
     /*  320159 */     GIR_EraseRootFromParent_Done,
     /*  320160 */   // Label 6132: @320160
     /*  320160 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(320233), // Rule ID 62423 //
     /*  320165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320189 */     // MIs[0] op1
     /*  320189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  320215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320231 */     GIR_RootConstrainSelectedInstOperands,
     /*  320232 */     // GIR_Coverage, 62423,
     /*  320232 */     GIR_EraseRootFromParent_Done,
     /*  320233 */   // Label 6133: @320233
     /*  320233 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(320306), // Rule ID 62424 //
     /*  320238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320262 */     // MIs[0] op1
     /*  320262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  320288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320304 */     GIR_RootConstrainSelectedInstOperands,
     /*  320305 */     // GIR_Coverage, 62424,
     /*  320305 */     GIR_EraseRootFromParent_Done,
     /*  320306 */   // Label 6134: @320306
     /*  320306 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(320379), // Rule ID 62443 //
     /*  320311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320335 */     // MIs[0] op1
     /*  320335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  320358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320377 */     GIR_RootConstrainSelectedInstOperands,
     /*  320378 */     // GIR_Coverage, 62443,
     /*  320378 */     GIR_EraseRootFromParent_Done,
     /*  320379 */   // Label 6135: @320379
     /*  320379 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(320452), // Rule ID 62444 //
     /*  320384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320408 */     // MIs[0] op1
     /*  320408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  320431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320450 */     GIR_RootConstrainSelectedInstOperands,
     /*  320451 */     // GIR_Coverage, 62444,
     /*  320451 */     GIR_EraseRootFromParent_Done,
     /*  320452 */   // Label 6136: @320452
     /*  320452 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(320525), // Rule ID 62455 //
     /*  320457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  320474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320481 */     // MIs[0] op1
     /*  320481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  320504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  320507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320523 */     GIR_RootConstrainSelectedInstOperands,
     /*  320524 */     // GIR_Coverage, 62455,
     /*  320524 */     GIR_EraseRootFromParent_Done,
     /*  320525 */   // Label 6137: @320525
     /*  320525 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(320598), // Rule ID 62456 //
     /*  320530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  320547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320554 */     // MIs[0] op1
     /*  320554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  320577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  320580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320582 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320584 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320586 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320596 */     GIR_RootConstrainSelectedInstOperands,
     /*  320597 */     // GIR_Coverage, 62456,
     /*  320597 */     GIR_EraseRootFromParent_Done,
     /*  320598 */   // Label 6138: @320598
     /*  320598 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(320671), // Rule ID 62487 //
     /*  320603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320627 */     // MIs[0] op1
     /*  320627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320669 */     GIR_RootConstrainSelectedInstOperands,
     /*  320670 */     // GIR_Coverage, 62487,
     /*  320670 */     GIR_EraseRootFromParent_Done,
     /*  320671 */   // Label 6139: @320671
     /*  320671 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(320744), // Rule ID 62488 //
     /*  320676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320700 */     // MIs[0] op1
     /*  320700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320742 */     GIR_RootConstrainSelectedInstOperands,
     /*  320743 */     // GIR_Coverage, 62488,
     /*  320743 */     GIR_EraseRootFromParent_Done,
     /*  320744 */   // Label 6140: @320744
     /*  320744 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(320817), // Rule ID 62499 //
     /*  320749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  320766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320773 */     // MIs[0] op1
     /*  320773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  320799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320815 */     GIR_RootConstrainSelectedInstOperands,
     /*  320816 */     // GIR_Coverage, 62499,
     /*  320816 */     GIR_EraseRootFromParent_Done,
     /*  320817 */   // Label 6141: @320817
     /*  320817 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(320890), // Rule ID 62500 //
     /*  320822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  320839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320846 */     // MIs[0] op1
     /*  320846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  320872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320888 */     GIR_RootConstrainSelectedInstOperands,
     /*  320889 */     // GIR_Coverage, 62500,
     /*  320889 */     GIR_EraseRootFromParent_Done,
     /*  320890 */   // Label 6142: @320890
     /*  320890 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(320963), // Rule ID 62523 //
     /*  320895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  320912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320919 */     // MIs[0] op1
     /*  320919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  320945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320947 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320949 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320951 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320961 */     GIR_RootConstrainSelectedInstOperands,
     /*  320962 */     // GIR_Coverage, 62523,
     /*  320962 */     GIR_EraseRootFromParent_Done,
     /*  320963 */   // Label 6143: @320963
     /*  320963 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(321036), // Rule ID 62524 //
     /*  320968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  320979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  320985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320992 */     // MIs[0] op1
     /*  320992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  321018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321034 */     GIR_RootConstrainSelectedInstOperands,
     /*  321035 */     // GIR_Coverage, 62524,
     /*  321035 */     GIR_EraseRootFromParent_Done,
     /*  321036 */   // Label 6144: @321036
     /*  321036 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(321109), // Rule ID 62543 //
     /*  321041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321065 */     // MIs[0] op1
     /*  321065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321093 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321095 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321097 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321107 */     GIR_RootConstrainSelectedInstOperands,
     /*  321108 */     // GIR_Coverage, 62543,
     /*  321108 */     GIR_EraseRootFromParent_Done,
     /*  321109 */   // Label 6145: @321109
     /*  321109 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(321182), // Rule ID 62544 //
     /*  321114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321138 */     // MIs[0] op1
     /*  321138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321161 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321180 */     GIR_RootConstrainSelectedInstOperands,
     /*  321181 */     // GIR_Coverage, 62544,
     /*  321181 */     GIR_EraseRootFromParent_Done,
     /*  321182 */   // Label 6146: @321182
     /*  321182 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(321255), // Rule ID 62555 //
     /*  321187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  321204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321211 */     // MIs[0] op1
     /*  321211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321239 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321241 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321243 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321253 */     GIR_RootConstrainSelectedInstOperands,
     /*  321254 */     // GIR_Coverage, 62555,
     /*  321254 */     GIR_EraseRootFromParent_Done,
     /*  321255 */   // Label 6147: @321255
     /*  321255 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(321328), // Rule ID 62556 //
     /*  321260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  321277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321284 */     // MIs[0] op1
     /*  321284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321326 */     GIR_RootConstrainSelectedInstOperands,
     /*  321327 */     // GIR_Coverage, 62556,
     /*  321327 */     GIR_EraseRootFromParent_Done,
     /*  321328 */   // Label 6148: @321328
     /*  321328 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(321401), // Rule ID 62579 //
     /*  321333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321357 */     // MIs[0] op1
     /*  321357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  321383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321385 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321387 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321389 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321399 */     GIR_RootConstrainSelectedInstOperands,
     /*  321400 */     // GIR_Coverage, 62579,
     /*  321400 */     GIR_EraseRootFromParent_Done,
     /*  321401 */   // Label 6149: @321401
     /*  321401 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(321474), // Rule ID 62580 //
     /*  321406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321430 */     // MIs[0] op1
     /*  321430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  321456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321472 */     GIR_RootConstrainSelectedInstOperands,
     /*  321473 */     // GIR_Coverage, 62580,
     /*  321473 */     GIR_EraseRootFromParent_Done,
     /*  321474 */   // Label 6150: @321474
     /*  321474 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(321547), // Rule ID 62599 //
     /*  321479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321503 */     // MIs[0] op1
     /*  321503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321545 */     GIR_RootConstrainSelectedInstOperands,
     /*  321546 */     // GIR_Coverage, 62599,
     /*  321546 */     GIR_EraseRootFromParent_Done,
     /*  321547 */   // Label 6151: @321547
     /*  321547 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(321620), // Rule ID 62600 //
     /*  321552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321576 */     // MIs[0] op1
     /*  321576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321618 */     GIR_RootConstrainSelectedInstOperands,
     /*  321619 */     // GIR_Coverage, 62600,
     /*  321619 */     GIR_EraseRootFromParent_Done,
     /*  321620 */   // Label 6152: @321620
     /*  321620 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(321693), // Rule ID 62611 //
     /*  321625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  321642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321649 */     // MIs[0] op1
     /*  321649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321691 */     GIR_RootConstrainSelectedInstOperands,
     /*  321692 */     // GIR_Coverage, 62611,
     /*  321692 */     GIR_EraseRootFromParent_Done,
     /*  321693 */   // Label 6153: @321693
     /*  321693 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(321766), // Rule ID 62612 //
     /*  321698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  321715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321722 */     // MIs[0] op1
     /*  321722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321764 */     GIR_RootConstrainSelectedInstOperands,
     /*  321765 */     // GIR_Coverage, 62612,
     /*  321765 */     GIR_EraseRootFromParent_Done,
     /*  321766 */   // Label 6154: @321766
     /*  321766 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(321839), // Rule ID 62635 //
     /*  321771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321795 */     // MIs[0] op1
     /*  321795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  321821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321837 */     GIR_RootConstrainSelectedInstOperands,
     /*  321838 */     // GIR_Coverage, 62635,
     /*  321838 */     GIR_EraseRootFromParent_Done,
     /*  321839 */   // Label 6155: @321839
     /*  321839 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(321912), // Rule ID 62636 //
     /*  321844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321868 */     // MIs[0] op1
     /*  321868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  321894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321910 */     GIR_RootConstrainSelectedInstOperands,
     /*  321911 */     // GIR_Coverage, 62636,
     /*  321911 */     GIR_EraseRootFromParent_Done,
     /*  321912 */   // Label 6156: @321912
     /*  321912 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(321985), // Rule ID 62655 //
     /*  321917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  321928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  321931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321941 */     // MIs[0] op1
     /*  321941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  321964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  321967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  321983 */     GIR_RootConstrainSelectedInstOperands,
     /*  321984 */     // GIR_Coverage, 62655,
     /*  321984 */     GIR_EraseRootFromParent_Done,
     /*  321985 */   // Label 6157: @321985
     /*  321985 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(322058), // Rule ID 62656 //
     /*  321990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322014 */     // MIs[0] op1
     /*  322014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322037 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  322040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322056 */     GIR_RootConstrainSelectedInstOperands,
     /*  322057 */     // GIR_Coverage, 62656,
     /*  322057 */     GIR_EraseRootFromParent_Done,
     /*  322058 */   // Label 6158: @322058
     /*  322058 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(322131), // Rule ID 62667 //
     /*  322063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  322080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322087 */     // MIs[0] op1
     /*  322087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  322113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322129 */     GIR_RootConstrainSelectedInstOperands,
     /*  322130 */     // GIR_Coverage, 62667,
     /*  322130 */     GIR_EraseRootFromParent_Done,
     /*  322131 */   // Label 6159: @322131
     /*  322131 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(322204), // Rule ID 62668 //
     /*  322136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  322153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322160 */     // MIs[0] op1
     /*  322160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  322186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322202 */     GIR_RootConstrainSelectedInstOperands,
     /*  322203 */     // GIR_Coverage, 62668,
     /*  322203 */     GIR_EraseRootFromParent_Done,
     /*  322204 */   // Label 6160: @322204
     /*  322204 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(322277), // Rule ID 62699 //
     /*  322209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322233 */     // MIs[0] op1
     /*  322233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  322259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322275 */     GIR_RootConstrainSelectedInstOperands,
     /*  322276 */     // GIR_Coverage, 62699,
     /*  322276 */     GIR_EraseRootFromParent_Done,
     /*  322277 */   // Label 6161: @322277
     /*  322277 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(322350), // Rule ID 62700 //
     /*  322282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322306 */     // MIs[0] op1
     /*  322306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322329 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  322332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322348 */     GIR_RootConstrainSelectedInstOperands,
     /*  322349 */     // GIR_Coverage, 62700,
     /*  322349 */     GIR_EraseRootFromParent_Done,
     /*  322350 */   // Label 6162: @322350
     /*  322350 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(322423), // Rule ID 62711 //
     /*  322355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  322372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322379 */     // MIs[0] op1
     /*  322379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322402 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  322405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322421 */     GIR_RootConstrainSelectedInstOperands,
     /*  322422 */     // GIR_Coverage, 62711,
     /*  322422 */     GIR_EraseRootFromParent_Done,
     /*  322423 */   // Label 6163: @322423
     /*  322423 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(322496), // Rule ID 62712 //
     /*  322428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  322445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322452 */     // MIs[0] op1
     /*  322452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  322478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322494 */     GIR_RootConstrainSelectedInstOperands,
     /*  322495 */     // GIR_Coverage, 62712,
     /*  322495 */     GIR_EraseRootFromParent_Done,
     /*  322496 */   // Label 6164: @322496
     /*  322496 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(322569), // Rule ID 62743 //
     /*  322501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  322512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  322515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322525 */     // MIs[0] op1
     /*  322525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322548 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  322551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322567 */     GIR_RootConstrainSelectedInstOperands,
     /*  322568 */     // GIR_Coverage, 62743,
     /*  322568 */     GIR_EraseRootFromParent_Done,
     /*  322569 */   // Label 6165: @322569
     /*  322569 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(322642), // Rule ID 62744 //
     /*  322574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  322585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  322588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322598 */     // MIs[0] op1
     /*  322598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322621 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  322624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322640 */     GIR_RootConstrainSelectedInstOperands,
     /*  322641 */     // GIR_Coverage, 62744,
     /*  322641 */     GIR_EraseRootFromParent_Done,
     /*  322642 */   // Label 6166: @322642
     /*  322642 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(322715), // Rule ID 62755 //
     /*  322647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  322658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  322661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  322664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322671 */     // MIs[0] op1
     /*  322671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322694 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  322697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322713 */     GIR_RootConstrainSelectedInstOperands,
     /*  322714 */     // GIR_Coverage, 62755,
     /*  322714 */     GIR_EraseRootFromParent_Done,
     /*  322715 */   // Label 6167: @322715
     /*  322715 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(322788), // Rule ID 62756 //
     /*  322720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  322731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  322734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  322737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322744 */     // MIs[0] op1
     /*  322744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  322770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322786 */     GIR_RootConstrainSelectedInstOperands,
     /*  322787 */     // GIR_Coverage, 62756,
     /*  322787 */     GIR_EraseRootFromParent_Done,
     /*  322788 */   // Label 6168: @322788
     /*  322788 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(322861), // Rule ID 62787 //
     /*  322793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  322804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322817 */     // MIs[0] op1
     /*  322817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322840 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  322843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322859 */     GIR_RootConstrainSelectedInstOperands,
     /*  322860 */     // GIR_Coverage, 62787,
     /*  322860 */     GIR_EraseRootFromParent_Done,
     /*  322861 */   // Label 6169: @322861
     /*  322861 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(322934), // Rule ID 62788 //
     /*  322866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  322877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322890 */     // MIs[0] op1
     /*  322890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  322916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322918 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322920 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322922 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322932 */     GIR_RootConstrainSelectedInstOperands,
     /*  322933 */     // GIR_Coverage, 62788,
     /*  322933 */     GIR_EraseRootFromParent_Done,
     /*  322934 */   // Label 6170: @322934
     /*  322934 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(323007), // Rule ID 62799 //
     /*  322939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  322950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  322953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  322956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322963 */     // MIs[0] op1
     /*  322963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  322989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323005 */     GIR_RootConstrainSelectedInstOperands,
     /*  323006 */     // GIR_Coverage, 62799,
     /*  323006 */     GIR_EraseRootFromParent_Done,
     /*  323007 */   // Label 6171: @323007
     /*  323007 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(323080), // Rule ID 62800 //
     /*  323012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  323029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323036 */     // MIs[0] op1
     /*  323036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  323062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323078 */     GIR_RootConstrainSelectedInstOperands,
     /*  323079 */     // GIR_Coverage, 62800,
     /*  323079 */     GIR_EraseRootFromParent_Done,
     /*  323080 */   // Label 6172: @323080
     /*  323080 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(323153), // Rule ID 62823 //
     /*  323085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323109 */     // MIs[0] op1
     /*  323109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  323135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323151 */     GIR_RootConstrainSelectedInstOperands,
     /*  323152 */     // GIR_Coverage, 62823,
     /*  323152 */     GIR_EraseRootFromParent_Done,
     /*  323153 */   // Label 6173: @323153
     /*  323153 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(323226), // Rule ID 62824 //
     /*  323158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323182 */     // MIs[0] op1
     /*  323182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  323208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323224 */     GIR_RootConstrainSelectedInstOperands,
     /*  323225 */     // GIR_Coverage, 62824,
     /*  323225 */     GIR_EraseRootFromParent_Done,
     /*  323226 */   // Label 6174: @323226
     /*  323226 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(323299), // Rule ID 62843 //
     /*  323231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323255 */     // MIs[0] op1
     /*  323255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  323281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323297 */     GIR_RootConstrainSelectedInstOperands,
     /*  323298 */     // GIR_Coverage, 62843,
     /*  323298 */     GIR_EraseRootFromParent_Done,
     /*  323299 */   // Label 6175: @323299
     /*  323299 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(323372), // Rule ID 62844 //
     /*  323304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323328 */     // MIs[0] op1
     /*  323328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  323354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323370 */     GIR_RootConstrainSelectedInstOperands,
     /*  323371 */     // GIR_Coverage, 62844,
     /*  323371 */     GIR_EraseRootFromParent_Done,
     /*  323372 */   // Label 6176: @323372
     /*  323372 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(323445), // Rule ID 62855 //
     /*  323377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  323394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323401 */     // MIs[0] op1
     /*  323401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  323427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323443 */     GIR_RootConstrainSelectedInstOperands,
     /*  323444 */     // GIR_Coverage, 62855,
     /*  323444 */     GIR_EraseRootFromParent_Done,
     /*  323445 */   // Label 6177: @323445
     /*  323445 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(323518), // Rule ID 62856 //
     /*  323450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  323467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323474 */     // MIs[0] op1
     /*  323474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  323500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323516 */     GIR_RootConstrainSelectedInstOperands,
     /*  323517 */     // GIR_Coverage, 62856,
     /*  323517 */     GIR_EraseRootFromParent_Done,
     /*  323518 */   // Label 6178: @323518
     /*  323518 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(323591), // Rule ID 62879 //
     /*  323523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323547 */     // MIs[0] op1
     /*  323547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  323573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323589 */     GIR_RootConstrainSelectedInstOperands,
     /*  323590 */     // GIR_Coverage, 62879,
     /*  323590 */     GIR_EraseRootFromParent_Done,
     /*  323591 */   // Label 6179: @323591
     /*  323591 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(323664), // Rule ID 62880 //
     /*  323596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323620 */     // MIs[0] op1
     /*  323620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  323646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323662 */     GIR_RootConstrainSelectedInstOperands,
     /*  323663 */     // GIR_Coverage, 62880,
     /*  323663 */     GIR_EraseRootFromParent_Done,
     /*  323664 */   // Label 6180: @323664
     /*  323664 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(323737), // Rule ID 62899 //
     /*  323669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  323680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323693 */     // MIs[0] op1
     /*  323693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  323719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323735 */     GIR_RootConstrainSelectedInstOperands,
     /*  323736 */     // GIR_Coverage, 62899,
     /*  323736 */     GIR_EraseRootFromParent_Done,
     /*  323737 */   // Label 6181: @323737
     /*  323737 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(323810), // Rule ID 62900 //
     /*  323742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  323753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323766 */     // MIs[0] op1
     /*  323766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  323792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323808 */     GIR_RootConstrainSelectedInstOperands,
     /*  323809 */     // GIR_Coverage, 62900,
     /*  323809 */     GIR_EraseRootFromParent_Done,
     /*  323810 */   // Label 6182: @323810
     /*  323810 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(323883), // Rule ID 62911 //
     /*  323815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  323826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  323832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323839 */     // MIs[0] op1
     /*  323839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  323865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323881 */     GIR_RootConstrainSelectedInstOperands,
     /*  323882 */     // GIR_Coverage, 62911,
     /*  323882 */     GIR_EraseRootFromParent_Done,
     /*  323883 */   // Label 6183: @323883
     /*  323883 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(323956), // Rule ID 62912 //
     /*  323888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  323899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  323905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323912 */     // MIs[0] op1
     /*  323912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  323938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323954 */     GIR_RootConstrainSelectedInstOperands,
     /*  323955 */     // GIR_Coverage, 62912,
     /*  323955 */     GIR_EraseRootFromParent_Done,
     /*  323956 */   // Label 6184: @323956
     /*  323956 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(324029), // Rule ID 62935 //
     /*  323961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  323972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  323975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323985 */     // MIs[0] op1
     /*  323985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324008 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  324011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324027 */     GIR_RootConstrainSelectedInstOperands,
     /*  324028 */     // GIR_Coverage, 62935,
     /*  324028 */     GIR_EraseRootFromParent_Done,
     /*  324029 */   // Label 6185: @324029
     /*  324029 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(324102), // Rule ID 62936 //
     /*  324034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  324051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324058 */     // MIs[0] op1
     /*  324058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324081 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  324084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324100 */     GIR_RootConstrainSelectedInstOperands,
     /*  324101 */     // GIR_Coverage, 62936,
     /*  324101 */     GIR_EraseRootFromParent_Done,
     /*  324102 */   // Label 6186: @324102
     /*  324102 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(324175), // Rule ID 62955 //
     /*  324107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324131 */     // MIs[0] op1
     /*  324131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  324157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324173 */     GIR_RootConstrainSelectedInstOperands,
     /*  324174 */     // GIR_Coverage, 62955,
     /*  324174 */     GIR_EraseRootFromParent_Done,
     /*  324175 */   // Label 6187: @324175
     /*  324175 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(324248), // Rule ID 62956 //
     /*  324180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324204 */     // MIs[0] op1
     /*  324204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  324230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324246 */     GIR_RootConstrainSelectedInstOperands,
     /*  324247 */     // GIR_Coverage, 62956,
     /*  324247 */     GIR_EraseRootFromParent_Done,
     /*  324248 */   // Label 6188: @324248
     /*  324248 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(324321), // Rule ID 62967 //
     /*  324253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  324270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324277 */     // MIs[0] op1
     /*  324277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  324303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324319 */     GIR_RootConstrainSelectedInstOperands,
     /*  324320 */     // GIR_Coverage, 62967,
     /*  324320 */     GIR_EraseRootFromParent_Done,
     /*  324321 */   // Label 6189: @324321
     /*  324321 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(324394), // Rule ID 62968 //
     /*  324326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  324343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324350 */     // MIs[0] op1
     /*  324350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  324376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324392 */     GIR_RootConstrainSelectedInstOperands,
     /*  324393 */     // GIR_Coverage, 62968,
     /*  324393 */     GIR_EraseRootFromParent_Done,
     /*  324394 */   // Label 6190: @324394
     /*  324394 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(324467), // Rule ID 62991 //
     /*  324399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324423 */     // MIs[0] op1
     /*  324423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  324449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324465 */     GIR_RootConstrainSelectedInstOperands,
     /*  324466 */     // GIR_Coverage, 62991,
     /*  324466 */     GIR_EraseRootFromParent_Done,
     /*  324467 */   // Label 6191: @324467
     /*  324467 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(324540), // Rule ID 62992 //
     /*  324472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324496 */     // MIs[0] op1
     /*  324496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  324522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324538 */     GIR_RootConstrainSelectedInstOperands,
     /*  324539 */     // GIR_Coverage, 62992,
     /*  324539 */     GIR_EraseRootFromParent_Done,
     /*  324540 */   // Label 6192: @324540
     /*  324540 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(324613), // Rule ID 63011 //
     /*  324545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324569 */     // MIs[0] op1
     /*  324569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  324595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324611 */     GIR_RootConstrainSelectedInstOperands,
     /*  324612 */     // GIR_Coverage, 63011,
     /*  324612 */     GIR_EraseRootFromParent_Done,
     /*  324613 */   // Label 6193: @324613
     /*  324613 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(324686), // Rule ID 63012 //
     /*  324618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324642 */     // MIs[0] op1
     /*  324642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  324668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324684 */     GIR_RootConstrainSelectedInstOperands,
     /*  324685 */     // GIR_Coverage, 63012,
     /*  324685 */     GIR_EraseRootFromParent_Done,
     /*  324686 */   // Label 6194: @324686
     /*  324686 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(324759), // Rule ID 63023 //
     /*  324691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  324708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324715 */     // MIs[0] op1
     /*  324715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324738 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  324741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324757 */     GIR_RootConstrainSelectedInstOperands,
     /*  324758 */     // GIR_Coverage, 63023,
     /*  324758 */     GIR_EraseRootFromParent_Done,
     /*  324759 */   // Label 6195: @324759
     /*  324759 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(324832), // Rule ID 63024 //
     /*  324764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  324781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324788 */     // MIs[0] op1
     /*  324788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  324814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324830 */     GIR_RootConstrainSelectedInstOperands,
     /*  324831 */     // GIR_Coverage, 63024,
     /*  324831 */     GIR_EraseRootFromParent_Done,
     /*  324832 */   // Label 6196: @324832
     /*  324832 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(324905), // Rule ID 63047 //
     /*  324837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324861 */     // MIs[0] op1
     /*  324861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  324887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324903 */     GIR_RootConstrainSelectedInstOperands,
     /*  324904 */     // GIR_Coverage, 63047,
     /*  324904 */     GIR_EraseRootFromParent_Done,
     /*  324905 */   // Label 6197: @324905
     /*  324905 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(324978), // Rule ID 63048 //
     /*  324910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  324921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324934 */     // MIs[0] op1
     /*  324934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  324960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324976 */     GIR_RootConstrainSelectedInstOperands,
     /*  324977 */     // GIR_Coverage, 63048,
     /*  324977 */     GIR_EraseRootFromParent_Done,
     /*  324978 */   // Label 6198: @324978
     /*  324978 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(325051), // Rule ID 63067 //
     /*  324983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  324994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325007 */     // MIs[0] op1
     /*  325007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  325033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325049 */     GIR_RootConstrainSelectedInstOperands,
     /*  325050 */     // GIR_Coverage, 63067,
     /*  325050 */     GIR_EraseRootFromParent_Done,
     /*  325051 */   // Label 6199: @325051
     /*  325051 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(325124), // Rule ID 63068 //
     /*  325056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325080 */     // MIs[0] op1
     /*  325080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  325106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325122 */     GIR_RootConstrainSelectedInstOperands,
     /*  325123 */     // GIR_Coverage, 63068,
     /*  325123 */     GIR_EraseRootFromParent_Done,
     /*  325124 */   // Label 6200: @325124
     /*  325124 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(325197), // Rule ID 63079 //
     /*  325129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  325146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325153 */     // MIs[0] op1
     /*  325153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  325179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325195 */     GIR_RootConstrainSelectedInstOperands,
     /*  325196 */     // GIR_Coverage, 63079,
     /*  325196 */     GIR_EraseRootFromParent_Done,
     /*  325197 */   // Label 6201: @325197
     /*  325197 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(325270), // Rule ID 63080 //
     /*  325202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  325219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325226 */     // MIs[0] op1
     /*  325226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  325252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325268 */     GIR_RootConstrainSelectedInstOperands,
     /*  325269 */     // GIR_Coverage, 63080,
     /*  325269 */     GIR_EraseRootFromParent_Done,
     /*  325270 */   // Label 6202: @325270
     /*  325270 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(325343), // Rule ID 63103 //
     /*  325275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325299 */     // MIs[0] op1
     /*  325299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  325325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325341 */     GIR_RootConstrainSelectedInstOperands,
     /*  325342 */     // GIR_Coverage, 63103,
     /*  325342 */     GIR_EraseRootFromParent_Done,
     /*  325343 */   // Label 6203: @325343
     /*  325343 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(325416), // Rule ID 63104 //
     /*  325348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325372 */     // MIs[0] op1
     /*  325372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  325398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325414 */     GIR_RootConstrainSelectedInstOperands,
     /*  325415 */     // GIR_Coverage, 63104,
     /*  325415 */     GIR_EraseRootFromParent_Done,
     /*  325416 */   // Label 6204: @325416
     /*  325416 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(325489), // Rule ID 63123 //
     /*  325421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325445 */     // MIs[0] op1
     /*  325445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  325471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325487 */     GIR_RootConstrainSelectedInstOperands,
     /*  325488 */     // GIR_Coverage, 63123,
     /*  325488 */     GIR_EraseRootFromParent_Done,
     /*  325489 */   // Label 6205: @325489
     /*  325489 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(325562), // Rule ID 63124 //
     /*  325494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325518 */     // MIs[0] op1
     /*  325518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  325544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325560 */     GIR_RootConstrainSelectedInstOperands,
     /*  325561 */     // GIR_Coverage, 63124,
     /*  325561 */     GIR_EraseRootFromParent_Done,
     /*  325562 */   // Label 6206: @325562
     /*  325562 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(325635), // Rule ID 63135 //
     /*  325567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  325584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325591 */     // MIs[0] op1
     /*  325591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  325617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325633 */     GIR_RootConstrainSelectedInstOperands,
     /*  325634 */     // GIR_Coverage, 63135,
     /*  325634 */     GIR_EraseRootFromParent_Done,
     /*  325635 */   // Label 6207: @325635
     /*  325635 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(325708), // Rule ID 63136 //
     /*  325640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  325657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325664 */     // MIs[0] op1
     /*  325664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  325690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325706 */     GIR_RootConstrainSelectedInstOperands,
     /*  325707 */     // GIR_Coverage, 63136,
     /*  325707 */     GIR_EraseRootFromParent_Done,
     /*  325708 */   // Label 6208: @325708
     /*  325708 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(325781), // Rule ID 63159 //
     /*  325713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325737 */     // MIs[0] op1
     /*  325737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  325763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325765 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325767 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325769 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325779 */     GIR_RootConstrainSelectedInstOperands,
     /*  325780 */     // GIR_Coverage, 63159,
     /*  325780 */     GIR_EraseRootFromParent_Done,
     /*  325781 */   // Label 6209: @325781
     /*  325781 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(325854), // Rule ID 63160 //
     /*  325786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325810 */     // MIs[0] op1
     /*  325810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  325836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325852 */     GIR_RootConstrainSelectedInstOperands,
     /*  325853 */     // GIR_Coverage, 63160,
     /*  325853 */     GIR_EraseRootFromParent_Done,
     /*  325854 */   // Label 6210: @325854
     /*  325854 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(325927), // Rule ID 63179 //
     /*  325859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  325870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  325873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325883 */     // MIs[0] op1
     /*  325883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  325909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325911 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325913 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325915 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325925 */     GIR_RootConstrainSelectedInstOperands,
     /*  325926 */     // GIR_Coverage, 63179,
     /*  325926 */     GIR_EraseRootFromParent_Done,
     /*  325927 */   // Label 6211: @325927
     /*  325927 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(326000), // Rule ID 63180 //
     /*  325932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  325943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  325946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325956 */     // MIs[0] op1
     /*  325956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  325982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325998 */     GIR_RootConstrainSelectedInstOperands,
     /*  325999 */     // GIR_Coverage, 63180,
     /*  325999 */     GIR_EraseRootFromParent_Done,
     /*  326000 */   // Label 6212: @326000
     /*  326000 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(326073), // Rule ID 63191 //
     /*  326005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  326022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326029 */     // MIs[0] op1
     /*  326029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  326055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326071 */     GIR_RootConstrainSelectedInstOperands,
     /*  326072 */     // GIR_Coverage, 63191,
     /*  326072 */     GIR_EraseRootFromParent_Done,
     /*  326073 */   // Label 6213: @326073
     /*  326073 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(326146), // Rule ID 63192 //
     /*  326078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  326095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326102 */     // MIs[0] op1
     /*  326102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326125 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  326128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326144 */     GIR_RootConstrainSelectedInstOperands,
     /*  326145 */     // GIR_Coverage, 63192,
     /*  326145 */     GIR_EraseRootFromParent_Done,
     /*  326146 */   // Label 6214: @326146
     /*  326146 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(326219), // Rule ID 63215 //
     /*  326151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326175 */     // MIs[0] op1
     /*  326175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  326201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326217 */     GIR_RootConstrainSelectedInstOperands,
     /*  326218 */     // GIR_Coverage, 63215,
     /*  326218 */     GIR_EraseRootFromParent_Done,
     /*  326219 */   // Label 6215: @326219
     /*  326219 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(326292), // Rule ID 63216 //
     /*  326224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326248 */     // MIs[0] op1
     /*  326248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  326274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326290 */     GIR_RootConstrainSelectedInstOperands,
     /*  326291 */     // GIR_Coverage, 63216,
     /*  326291 */     GIR_EraseRootFromParent_Done,
     /*  326292 */   // Label 6216: @326292
     /*  326292 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(326365), // Rule ID 63235 //
     /*  326297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326321 */     // MIs[0] op1
     /*  326321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  326347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326363 */     GIR_RootConstrainSelectedInstOperands,
     /*  326364 */     // GIR_Coverage, 63235,
     /*  326364 */     GIR_EraseRootFromParent_Done,
     /*  326365 */   // Label 6217: @326365
     /*  326365 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(326438), // Rule ID 63236 //
     /*  326370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326394 */     // MIs[0] op1
     /*  326394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10735:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  326420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326436 */     GIR_RootConstrainSelectedInstOperands,
     /*  326437 */     // GIR_Coverage, 63236,
     /*  326437 */     GIR_EraseRootFromParent_Done,
     /*  326438 */   // Label 6218: @326438
     /*  326438 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(326511), // Rule ID 63247 //
     /*  326443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  326460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326467 */     // MIs[0] op1
     /*  326467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  326493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326509 */     GIR_RootConstrainSelectedInstOperands,
     /*  326510 */     // GIR_Coverage, 63247,
     /*  326510 */     GIR_EraseRootFromParent_Done,
     /*  326511 */   // Label 6219: @326511
     /*  326511 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(326584), // Rule ID 63248 //
     /*  326516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  326533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326540 */     // MIs[0] op1
     /*  326540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326563 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10727:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  326566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326582 */     GIR_RootConstrainSelectedInstOperands,
     /*  326583 */     // GIR_Coverage, 63248,
     /*  326583 */     GIR_EraseRootFromParent_Done,
     /*  326584 */   // Label 6220: @326584
     /*  326584 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(326657), // Rule ID 63271 //
     /*  326589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326613 */     // MIs[0] op1
     /*  326613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  326639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326655 */     GIR_RootConstrainSelectedInstOperands,
     /*  326656 */     // GIR_Coverage, 63271,
     /*  326656 */     GIR_EraseRootFromParent_Done,
     /*  326657 */   // Label 6221: @326657
     /*  326657 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(326730), // Rule ID 63272 //
     /*  326662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326686 */     // MIs[0] op1
     /*  326686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  326712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326728 */     GIR_RootConstrainSelectedInstOperands,
     /*  326729 */     // GIR_Coverage, 63272,
     /*  326729 */     GIR_EraseRootFromParent_Done,
     /*  326730 */   // Label 6222: @326730
     /*  326730 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(326813), // Rule ID 5184 //
     /*  326735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  326738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  326743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  326749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  326755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  326770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  326774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  326778 */     // MIs[1] Operand 1
     /*  326778 */     // No operand predicates
     /*  326778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  326782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  326784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  326791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  326794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  326801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  326803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  326811 */     GIR_RootConstrainSelectedInstOperands,
     /*  326812 */     // GIR_Coverage, 5184,
     /*  326812 */     GIR_EraseRootFromParent_Done,
     /*  326813 */   // Label 6223: @326813
     /*  326813 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(326896), // Rule ID 5185 //
     /*  326818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  326821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  326826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  326832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  326838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  326853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  326857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  326861 */     // MIs[1] Operand 1
     /*  326861 */     // No operand predicates
     /*  326861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  326865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  326867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  326874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  326877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  326884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  326886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  326894 */     GIR_RootConstrainSelectedInstOperands,
     /*  326895 */     // GIR_Coverage, 5185,
     /*  326895 */     GIR_EraseRootFromParent_Done,
     /*  326896 */   // Label 6224: @326896
     /*  326896 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(326979), // Rule ID 5186 //
     /*  326901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  326904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  326909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  326915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  326921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  326936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  326940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  326944 */     // MIs[1] Operand 1
     /*  326944 */     // No operand predicates
     /*  326944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  326948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  326950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  326957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  326960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  326967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  326969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  326977 */     GIR_RootConstrainSelectedInstOperands,
     /*  326978 */     // GIR_Coverage, 5186,
     /*  326978 */     GIR_EraseRootFromParent_Done,
     /*  326979 */   // Label 6225: @326979
     /*  326979 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(327062), // Rule ID 5187 //
     /*  326984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  326987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  326992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  326998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  327004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327027 */     // MIs[1] Operand 1
     /*  327027 */     // No operand predicates
     /*  327027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327060 */     GIR_RootConstrainSelectedInstOperands,
     /*  327061 */     // GIR_Coverage, 5187,
     /*  327061 */     GIR_EraseRootFromParent_Done,
     /*  327062 */   // Label 6226: @327062
     /*  327062 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(327145), // Rule ID 5188 //
     /*  327067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  327081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  327087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327110 */     // MIs[1] Operand 1
     /*  327110 */     // No operand predicates
     /*  327110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  327123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327143 */     GIR_RootConstrainSelectedInstOperands,
     /*  327144 */     // GIR_Coverage, 5188,
     /*  327144 */     GIR_EraseRootFromParent_Done,
     /*  327145 */   // Label 6227: @327145
     /*  327145 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(327228), // Rule ID 5189 //
     /*  327150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  327164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  327170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327193 */     // MIs[1] Operand 1
     /*  327193 */     // No operand predicates
     /*  327193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327226 */     GIR_RootConstrainSelectedInstOperands,
     /*  327227 */     // GIR_Coverage, 5189,
     /*  327227 */     GIR_EraseRootFromParent_Done,
     /*  327228 */   // Label 6228: @327228
     /*  327228 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(327311), // Rule ID 5190 //
     /*  327233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327276 */     // MIs[1] Operand 1
     /*  327276 */     // No operand predicates
     /*  327276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327309 */     GIR_RootConstrainSelectedInstOperands,
     /*  327310 */     // GIR_Coverage, 5190,
     /*  327310 */     GIR_EraseRootFromParent_Done,
     /*  327311 */   // Label 6229: @327311
     /*  327311 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(327394), // Rule ID 5191 //
     /*  327316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327359 */     // MIs[1] Operand 1
     /*  327359 */     // No operand predicates
     /*  327359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327392 */     GIR_RootConstrainSelectedInstOperands,
     /*  327393 */     // GIR_Coverage, 5191,
     /*  327393 */     GIR_EraseRootFromParent_Done,
     /*  327394 */   // Label 6230: @327394
     /*  327394 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(327477), // Rule ID 5192 //
     /*  327399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  327419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327442 */     // MIs[1] Operand 1
     /*  327442 */     // No operand predicates
     /*  327442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327455 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327475 */     GIR_RootConstrainSelectedInstOperands,
     /*  327476 */     // GIR_Coverage, 5192,
     /*  327476 */     GIR_EraseRootFromParent_Done,
     /*  327477 */   // Label 6231: @327477
     /*  327477 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(327560), // Rule ID 5193 //
     /*  327482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  327502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327525 */     // MIs[1] Operand 1
     /*  327525 */     // No operand predicates
     /*  327525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327558 */     GIR_RootConstrainSelectedInstOperands,
     /*  327559 */     // GIR_Coverage, 5193,
     /*  327559 */     GIR_EraseRootFromParent_Done,
     /*  327560 */   // Label 6232: @327560
     /*  327560 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(327643), // Rule ID 5194 //
     /*  327565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327608 */     // MIs[1] Operand 1
     /*  327608 */     // No operand predicates
     /*  327608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327641 */     GIR_RootConstrainSelectedInstOperands,
     /*  327642 */     // GIR_Coverage, 5194,
     /*  327642 */     GIR_EraseRootFromParent_Done,
     /*  327643 */   // Label 6233: @327643
     /*  327643 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(327726), // Rule ID 5195 //
     /*  327648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327691 */     // MIs[1] Operand 1
     /*  327691 */     // No operand predicates
     /*  327691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327724 */     GIR_RootConstrainSelectedInstOperands,
     /*  327725 */     // GIR_Coverage, 5195,
     /*  327725 */     GIR_EraseRootFromParent_Done,
     /*  327726 */   // Label 6234: @327726
     /*  327726 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(327809), // Rule ID 5196 //
     /*  327731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  327745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  327751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327774 */     // MIs[1] Operand 1
     /*  327774 */     // No operand predicates
     /*  327774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327787 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  327787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  327790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327807 */     GIR_RootConstrainSelectedInstOperands,
     /*  327808 */     // GIR_Coverage, 5196,
     /*  327808 */     GIR_EraseRootFromParent_Done,
     /*  327809 */   // Label 6235: @327809
     /*  327809 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(327892), // Rule ID 5197 //
     /*  327814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  327828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  327834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327857 */     // MIs[1] Operand 1
     /*  327857 */     // No operand predicates
     /*  327857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327870 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  327873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327890 */     GIR_RootConstrainSelectedInstOperands,
     /*  327891 */     // GIR_Coverage, 5197,
     /*  327891 */     GIR_EraseRootFromParent_Done,
     /*  327892 */   // Label 6236: @327892
     /*  327892 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(327975), // Rule ID 5198 //
     /*  327897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  327917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327940 */     // MIs[1] Operand 1
     /*  327940 */     // No operand predicates
     /*  327940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327953 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  327956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  327965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327973 */     GIR_RootConstrainSelectedInstOperands,
     /*  327974 */     // GIR_Coverage, 5198,
     /*  327974 */     GIR_EraseRootFromParent_Done,
     /*  327975 */   // Label 6237: @327975
     /*  327975 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(328058), // Rule ID 5199 //
     /*  327980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  328000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328023 */     // MIs[1] Operand 1
     /*  328023 */     // No operand predicates
     /*  328023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328056 */     GIR_RootConstrainSelectedInstOperands,
     /*  328057 */     // GIR_Coverage, 5199,
     /*  328057 */     GIR_EraseRootFromParent_Done,
     /*  328058 */   // Label 6238: @328058
     /*  328058 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(328141), // Rule ID 5200 //
     /*  328063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328106 */     // MIs[1] Operand 1
     /*  328106 */     // No operand predicates
     /*  328106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328139 */     GIR_RootConstrainSelectedInstOperands,
     /*  328140 */     // GIR_Coverage, 5200,
     /*  328140 */     GIR_EraseRootFromParent_Done,
     /*  328141 */   // Label 6239: @328141
     /*  328141 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(328224), // Rule ID 5201 //
     /*  328146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328189 */     // MIs[1] Operand 1
     /*  328189 */     // No operand predicates
     /*  328189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328222 */     GIR_RootConstrainSelectedInstOperands,
     /*  328223 */     // GIR_Coverage, 5201,
     /*  328223 */     GIR_EraseRootFromParent_Done,
     /*  328224 */   // Label 6240: @328224
     /*  328224 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(328307), // Rule ID 5202 //
     /*  328229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  328232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  328249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328272 */     // MIs[1] Operand 1
     /*  328272 */     // No operand predicates
     /*  328272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328285 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328305 */     GIR_RootConstrainSelectedInstOperands,
     /*  328306 */     // GIR_Coverage, 5202,
     /*  328306 */     GIR_EraseRootFromParent_Done,
     /*  328307 */   // Label 6241: @328307
     /*  328307 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(328390), // Rule ID 5203 //
     /*  328312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  328315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  328332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328355 */     // MIs[1] Operand 1
     /*  328355 */     // No operand predicates
     /*  328355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328388 */     GIR_RootConstrainSelectedInstOperands,
     /*  328389 */     // GIR_Coverage, 5203,
     /*  328389 */     GIR_EraseRootFromParent_Done,
     /*  328390 */   // Label 6242: @328390
     /*  328390 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(328473), // Rule ID 5204 //
     /*  328395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  328409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  328415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328438 */     // MIs[1] Operand 1
     /*  328438 */     // No operand predicates
     /*  328438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328451 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  328451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  328454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328471 */     GIR_RootConstrainSelectedInstOperands,
     /*  328472 */     // GIR_Coverage, 5204,
     /*  328472 */     GIR_EraseRootFromParent_Done,
     /*  328473 */   // Label 6243: @328473
     /*  328473 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(328556), // Rule ID 5205 //
     /*  328478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  328492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  328498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328521 */     // MIs[1] Operand 1
     /*  328521 */     // No operand predicates
     /*  328521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  328534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  328537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328554 */     GIR_RootConstrainSelectedInstOperands,
     /*  328555 */     // GIR_Coverage, 5205,
     /*  328555 */     GIR_EraseRootFromParent_Done,
     /*  328556 */   // Label 6244: @328556
     /*  328556 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(328639), // Rule ID 5206 //
     /*  328561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  328575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  328581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328604 */     // MIs[1] Operand 1
     /*  328604 */     // No operand predicates
     /*  328604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  328617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  328620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328637 */     GIR_RootConstrainSelectedInstOperands,
     /*  328638 */     // GIR_Coverage, 5206,
     /*  328638 */     GIR_EraseRootFromParent_Done,
     /*  328639 */   // Label 6245: @328639
     /*  328639 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(328722), // Rule ID 5207 //
     /*  328644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  328658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  328664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328687 */     // MIs[1] Operand 1
     /*  328687 */     // No operand predicates
     /*  328687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  328700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  328703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328720 */     GIR_RootConstrainSelectedInstOperands,
     /*  328721 */     // GIR_Coverage, 5207,
     /*  328721 */     GIR_EraseRootFromParent_Done,
     /*  328722 */   // Label 6246: @328722
     /*  328722 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(328805), // Rule ID 5208 //
     /*  328727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  328738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  328741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  328747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328770 */     // MIs[1] Operand 1
     /*  328770 */     // No operand predicates
     /*  328770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328783 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  328783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  328786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328803 */     GIR_RootConstrainSelectedInstOperands,
     /*  328804 */     // GIR_Coverage, 5208,
     /*  328804 */     GIR_EraseRootFromParent_Done,
     /*  328805 */   // Label 6247: @328805
     /*  328805 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(328888), // Rule ID 5209 //
     /*  328810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  328821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  328824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  328830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328853 */     // MIs[1] Operand 1
     /*  328853 */     // No operand predicates
     /*  328853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328866 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  328866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  328869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328886 */     GIR_RootConstrainSelectedInstOperands,
     /*  328887 */     // GIR_Coverage, 5209,
     /*  328887 */     GIR_EraseRootFromParent_Done,
     /*  328888 */   // Label 6248: @328888
     /*  328888 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(328971), // Rule ID 5210 //
     /*  328893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  328913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328936 */     // MIs[1] Operand 1
     /*  328936 */     // No operand predicates
     /*  328936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  328952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  328961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328969 */     GIR_RootConstrainSelectedInstOperands,
     /*  328970 */     // GIR_Coverage, 5210,
     /*  328970 */     GIR_EraseRootFromParent_Done,
     /*  328971 */   // Label 6249: @328971
     /*  328971 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(329054), // Rule ID 5211 //
     /*  328976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  328996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329019 */     // MIs[1] Operand 1
     /*  329019 */     // No operand predicates
     /*  329019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329052 */     GIR_RootConstrainSelectedInstOperands,
     /*  329053 */     // GIR_Coverage, 5211,
     /*  329053 */     GIR_EraseRootFromParent_Done,
     /*  329054 */   // Label 6250: @329054
     /*  329054 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(329137), // Rule ID 5212 //
     /*  329059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329102 */     // MIs[1] Operand 1
     /*  329102 */     // No operand predicates
     /*  329102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329115 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329135 */     GIR_RootConstrainSelectedInstOperands,
     /*  329136 */     // GIR_Coverage, 5212,
     /*  329136 */     GIR_EraseRootFromParent_Done,
     /*  329137 */   // Label 6251: @329137
     /*  329137 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(329220), // Rule ID 5213 //
     /*  329142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329185 */     // MIs[1] Operand 1
     /*  329185 */     // No operand predicates
     /*  329185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329198 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329218 */     GIR_RootConstrainSelectedInstOperands,
     /*  329219 */     // GIR_Coverage, 5213,
     /*  329219 */     GIR_EraseRootFromParent_Done,
     /*  329220 */   // Label 6252: @329220
     /*  329220 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(329303), // Rule ID 5214 //
     /*  329225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  329245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329268 */     // MIs[1] Operand 1
     /*  329268 */     // No operand predicates
     /*  329268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329301 */     GIR_RootConstrainSelectedInstOperands,
     /*  329302 */     // GIR_Coverage, 5214,
     /*  329302 */     GIR_EraseRootFromParent_Done,
     /*  329303 */   // Label 6253: @329303
     /*  329303 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(329386), // Rule ID 5215 //
     /*  329308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  329328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329351 */     // MIs[1] Operand 1
     /*  329351 */     // No operand predicates
     /*  329351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329384 */     GIR_RootConstrainSelectedInstOperands,
     /*  329385 */     // GIR_Coverage, 5215,
     /*  329385 */     GIR_EraseRootFromParent_Done,
     /*  329386 */   // Label 6254: @329386
     /*  329386 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(329469), // Rule ID 5216 //
     /*  329391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  329411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329434 */     // MIs[1] Operand 1
     /*  329434 */     // No operand predicates
     /*  329434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329447 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329467 */     GIR_RootConstrainSelectedInstOperands,
     /*  329468 */     // GIR_Coverage, 5216,
     /*  329468 */     GIR_EraseRootFromParent_Done,
     /*  329469 */   // Label 6255: @329469
     /*  329469 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(329552), // Rule ID 5217 //
     /*  329474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  329494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329517 */     // MIs[1] Operand 1
     /*  329517 */     // No operand predicates
     /*  329517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329550 */     GIR_RootConstrainSelectedInstOperands,
     /*  329551 */     // GIR_Coverage, 5217,
     /*  329551 */     GIR_EraseRootFromParent_Done,
     /*  329552 */   // Label 6256: @329552
     /*  329552 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(329635), // Rule ID 5218 //
     /*  329557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  329577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329600 */     // MIs[1] Operand 1
     /*  329600 */     // No operand predicates
     /*  329600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329613 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329633 */     GIR_RootConstrainSelectedInstOperands,
     /*  329634 */     // GIR_Coverage, 5218,
     /*  329634 */     GIR_EraseRootFromParent_Done,
     /*  329635 */   // Label 6257: @329635
     /*  329635 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(329718), // Rule ID 5219 //
     /*  329640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  329660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329683 */     // MIs[1] Operand 1
     /*  329683 */     // No operand predicates
     /*  329683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329716 */     GIR_RootConstrainSelectedInstOperands,
     /*  329717 */     // GIR_Coverage, 5219,
     /*  329717 */     GIR_EraseRootFromParent_Done,
     /*  329718 */   // Label 6258: @329718
     /*  329718 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(329801), // Rule ID 5220 //
     /*  329723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329766 */     // MIs[1] Operand 1
     /*  329766 */     // No operand predicates
     /*  329766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329799 */     GIR_RootConstrainSelectedInstOperands,
     /*  329800 */     // GIR_Coverage, 5220,
     /*  329800 */     GIR_EraseRootFromParent_Done,
     /*  329801 */   // Label 6259: @329801
     /*  329801 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(329884), // Rule ID 5221 //
     /*  329806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329849 */     // MIs[1] Operand 1
     /*  329849 */     // No operand predicates
     /*  329849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329882 */     GIR_RootConstrainSelectedInstOperands,
     /*  329883 */     // GIR_Coverage, 5221,
     /*  329883 */     GIR_EraseRootFromParent_Done,
     /*  329884 */   // Label 6260: @329884
     /*  329884 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(329967), // Rule ID 5222 //
     /*  329889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  329892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  329909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329932 */     // MIs[1] Operand 1
     /*  329932 */     // No operand predicates
     /*  329932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  329957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329965 */     GIR_RootConstrainSelectedInstOperands,
     /*  329966 */     // GIR_Coverage, 5222,
     /*  329966 */     GIR_EraseRootFromParent_Done,
     /*  329967 */   // Label 6261: @329967
     /*  329967 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(330050), // Rule ID 5223 //
     /*  329972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  329975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  329992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330015 */     // MIs[1] Operand 1
     /*  330015 */     // No operand predicates
     /*  330015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  330031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  330040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330048 */     GIR_RootConstrainSelectedInstOperands,
     /*  330049 */     // GIR_Coverage, 5223,
     /*  330049 */     GIR_EraseRootFromParent_Done,
     /*  330050 */   // Label 6262: @330050
     /*  330050 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(330133), // Rule ID 5224 //
     /*  330055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  330058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  330075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330098 */     // MIs[1] Operand 1
     /*  330098 */     // No operand predicates
     /*  330098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330111 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  330123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330131 */     GIR_RootConstrainSelectedInstOperands,
     /*  330132 */     // GIR_Coverage, 5224,
     /*  330132 */     GIR_EraseRootFromParent_Done,
     /*  330133 */   // Label 6263: @330133
     /*  330133 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(330216), // Rule ID 5225 //
     /*  330138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  330141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  330158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330181 */     // MIs[1] Operand 1
     /*  330181 */     // No operand predicates
     /*  330181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330194 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  330206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330214 */     GIR_RootConstrainSelectedInstOperands,
     /*  330215 */     // GIR_Coverage, 5225,
     /*  330215 */     GIR_EraseRootFromParent_Done,
     /*  330216 */   // Label 6264: @330216
     /*  330216 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(330299), // Rule ID 5226 //
     /*  330221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  330224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  330241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330264 */     // MIs[1] Operand 1
     /*  330264 */     // No operand predicates
     /*  330264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  330280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  330289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330297 */     GIR_RootConstrainSelectedInstOperands,
     /*  330298 */     // GIR_Coverage, 5226,
     /*  330298 */     GIR_EraseRootFromParent_Done,
     /*  330299 */   // Label 6265: @330299
     /*  330299 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(330382), // Rule ID 5227 //
     /*  330304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  330307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  330324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330347 */     // MIs[1] Operand 1
     /*  330347 */     // No operand predicates
     /*  330347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  330363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  330372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330380 */     GIR_RootConstrainSelectedInstOperands,
     /*  330381 */     // GIR_Coverage, 5227,
     /*  330381 */     GIR_EraseRootFromParent_Done,
     /*  330382 */   // Label 6266: @330382
     /*  330382 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(330458), // Rule ID 59884 //
     /*  330387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  330390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  330398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330419 */     // MIs[0] rs2
     /*  330419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  330434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  330437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330456 */     GIR_RootConstrainSelectedInstOperands,
     /*  330457 */     // GIR_Coverage, 59884,
     /*  330457 */     GIR_EraseRootFromParent_Done,
     /*  330458 */   // Label 6267: @330458
     /*  330458 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(330534), // Rule ID 59885 //
     /*  330463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  330466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  330474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  330480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330495 */     // MIs[0] rs2
     /*  330495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  330510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  330513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330532 */     GIR_RootConstrainSelectedInstOperands,
     /*  330533 */     // GIR_Coverage, 59885,
     /*  330533 */     GIR_EraseRootFromParent_Done,
     /*  330534 */   // Label 6268: @330534
     /*  330534 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(330610), // Rule ID 61530 //
     /*  330539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  330542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  330550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330571 */     // MIs[0] rs2
     /*  330571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330574 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10805:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  330586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  330589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330608 */     GIR_RootConstrainSelectedInstOperands,
     /*  330609 */     // GIR_Coverage, 61530,
     /*  330609 */     GIR_EraseRootFromParent_Done,
     /*  330610 */   // Label 6269: @330610
     /*  330610 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(330686), // Rule ID 61531 //
     /*  330615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  330618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  330626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  330632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330647 */     // MIs[0] rs2
     /*  330647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10805:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  330662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  330665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330684 */     GIR_RootConstrainSelectedInstOperands,
     /*  330685 */     // GIR_Coverage, 61531,
     /*  330685 */     GIR_EraseRootFromParent_Done,
     /*  330686 */   // Label 6270: @330686
     /*  330686 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(330762), // Rule ID 61532 //
     /*  330691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  330694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  330702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  330708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330723 */     // MIs[0] rs2
     /*  330723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  330738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  330741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330760 */     GIR_RootConstrainSelectedInstOperands,
     /*  330761 */     // GIR_Coverage, 61532,
     /*  330761 */     GIR_EraseRootFromParent_Done,
     /*  330762 */   // Label 6271: @330762
     /*  330762 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(330838), // Rule ID 61533 //
     /*  330767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  330770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  330778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  330784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330799 */     // MIs[0] rs2
     /*  330799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  330814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  330817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330836 */     GIR_RootConstrainSelectedInstOperands,
     /*  330837 */     // GIR_Coverage, 61533,
     /*  330837 */     GIR_EraseRootFromParent_Done,
     /*  330838 */   // Label 6272: @330838
     /*  330838 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(330914), // Rule ID 61534 //
     /*  330843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  330846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  330854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  330860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330875 */     // MIs[0] rs2
     /*  330875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  330890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  330893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330912 */     GIR_RootConstrainSelectedInstOperands,
     /*  330913 */     // GIR_Coverage, 61534,
     /*  330913 */     GIR_EraseRootFromParent_Done,
     /*  330914 */   // Label 6273: @330914
     /*  330914 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(330990), // Rule ID 61535 //
     /*  330919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  330922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  330927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  330930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  330936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330951 */     // MIs[0] rs2
     /*  330951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  330954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  330959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  330966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  330969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  330977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330988 */     GIR_RootConstrainSelectedInstOperands,
     /*  330989 */     // GIR_Coverage, 61535,
     /*  330989 */     GIR_EraseRootFromParent_Done,
     /*  330990 */   // Label 6274: @330990
     /*  330990 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(331066), // Rule ID 61536 //
     /*  330995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  330998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  331006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331027 */     // MIs[0] rs2
     /*  331027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  331045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331064 */     GIR_RootConstrainSelectedInstOperands,
     /*  331065 */     // GIR_Coverage, 61536,
     /*  331065 */     GIR_EraseRootFromParent_Done,
     /*  331066 */   // Label 6275: @331066
     /*  331066 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(331142), // Rule ID 61537 //
     /*  331071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  331074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  331082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331103 */     // MIs[0] rs2
     /*  331103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  331121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331140 */     GIR_RootConstrainSelectedInstOperands,
     /*  331141 */     // GIR_Coverage, 61537,
     /*  331141 */     GIR_EraseRootFromParent_Done,
     /*  331142 */   // Label 6276: @331142
     /*  331142 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(331218), // Rule ID 61658 //
     /*  331147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  331150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331179 */     // MIs[0] rs2
     /*  331179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  331197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331216 */     GIR_RootConstrainSelectedInstOperands,
     /*  331217 */     // GIR_Coverage, 61658,
     /*  331217 */     GIR_EraseRootFromParent_Done,
     /*  331218 */   // Label 6277: @331218
     /*  331218 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(331294), // Rule ID 61659 //
     /*  331223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  331226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331255 */     // MIs[0] rs2
     /*  331255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  331273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331292 */     GIR_RootConstrainSelectedInstOperands,
     /*  331293 */     // GIR_Coverage, 61659,
     /*  331293 */     GIR_EraseRootFromParent_Done,
     /*  331294 */   // Label 6278: @331294
     /*  331294 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(331370), // Rule ID 61660 //
     /*  331299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  331302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331331 */     // MIs[0] rs2
     /*  331331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  331349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331368 */     GIR_RootConstrainSelectedInstOperands,
     /*  331369 */     // GIR_Coverage, 61660,
     /*  331369 */     GIR_EraseRootFromParent_Done,
     /*  331370 */   // Label 6279: @331370
     /*  331370 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(331446), // Rule ID 61661 //
     /*  331375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  331378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331407 */     // MIs[0] rs2
     /*  331407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  331425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331444 */     GIR_RootConstrainSelectedInstOperands,
     /*  331445 */     // GIR_Coverage, 61661,
     /*  331445 */     GIR_EraseRootFromParent_Done,
     /*  331446 */   // Label 6280: @331446
     /*  331446 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(331522), // Rule ID 61662 //
     /*  331451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  331454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  331462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331483 */     // MIs[0] rs2
     /*  331483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  331501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331520 */     GIR_RootConstrainSelectedInstOperands,
     /*  331521 */     // GIR_Coverage, 61662,
     /*  331521 */     GIR_EraseRootFromParent_Done,
     /*  331522 */   // Label 6281: @331522
     /*  331522 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(331598), // Rule ID 61663 //
     /*  331527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  331530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  331538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331559 */     // MIs[0] rs2
     /*  331559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  331577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331596 */     GIR_RootConstrainSelectedInstOperands,
     /*  331597 */     // GIR_Coverage, 61663,
     /*  331597 */     GIR_EraseRootFromParent_Done,
     /*  331598 */   // Label 6282: @331598
     /*  331598 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(331674), // Rule ID 61664 //
     /*  331603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  331606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  331614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331635 */     // MIs[0] rs2
     /*  331635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  331653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331672 */     GIR_RootConstrainSelectedInstOperands,
     /*  331673 */     // GIR_Coverage, 61664,
     /*  331673 */     GIR_EraseRootFromParent_Done,
     /*  331674 */   // Label 6283: @331674
     /*  331674 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(331750), // Rule ID 61665 //
     /*  331679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  331682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  331690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  331696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331711 */     // MIs[0] rs2
     /*  331711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  331729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331748 */     GIR_RootConstrainSelectedInstOperands,
     /*  331749 */     // GIR_Coverage, 61665,
     /*  331749 */     GIR_EraseRootFromParent_Done,
     /*  331750 */   // Label 6284: @331750
     /*  331750 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(331826), // Rule ID 61666 //
     /*  331755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  331758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  331766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331787 */     // MIs[0] rs2
     /*  331787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  331805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331824 */     GIR_RootConstrainSelectedInstOperands,
     /*  331825 */     // GIR_Coverage, 61666,
     /*  331825 */     GIR_EraseRootFromParent_Done,
     /*  331826 */   // Label 6285: @331826
     /*  331826 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(331902), // Rule ID 61667 //
     /*  331831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  331834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  331839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  331842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  331848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331863 */     // MIs[0] rs2
     /*  331863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  331881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331900 */     GIR_RootConstrainSelectedInstOperands,
     /*  331901 */     // GIR_Coverage, 61667,
     /*  331901 */     GIR_EraseRootFromParent_Done,
     /*  331902 */   // Label 6286: @331902
     /*  331902 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(331990), // Rule ID 2654 //
     /*  331907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  331910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  331915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  331918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  331921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  331924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  331946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  331954 */     // MIs[1] Operand 1
     /*  331954 */     // No operand predicates
     /*  331954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  331963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  331966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331972 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  331977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  331985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331988 */     GIR_RootConstrainSelectedInstOperands,
     /*  331989 */     // GIR_Coverage, 2654,
     /*  331989 */     GIR_EraseRootFromParent_Done,
     /*  331990 */   // Label 6287: @331990
     /*  331990 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(332078), // Rule ID 2655 //
     /*  331995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  331998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  332006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  332009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  332012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332042 */     // MIs[1] Operand 1
     /*  332042 */     // No operand predicates
     /*  332042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  332051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  332054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332060 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  332073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332076 */     GIR_RootConstrainSelectedInstOperands,
     /*  332077 */     // GIR_Coverage, 2655,
     /*  332077 */     GIR_EraseRootFromParent_Done,
     /*  332078 */   // Label 6288: @332078
     /*  332078 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(332166), // Rule ID 2662 //
     /*  332083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  332094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  332097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  332100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332130 */     // MIs[1] Operand 1
     /*  332130 */     // No operand predicates
     /*  332130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  332139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  332142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332148 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  332161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332164 */     GIR_RootConstrainSelectedInstOperands,
     /*  332165 */     // GIR_Coverage, 2662,
     /*  332165 */     GIR_EraseRootFromParent_Done,
     /*  332166 */   // Label 6289: @332166
     /*  332166 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(332254), // Rule ID 2663 //
     /*  332171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  332174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  332182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  332185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  332188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332218 */     // MIs[1] Operand 1
     /*  332218 */     // No operand predicates
     /*  332218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  332227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  332230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332236 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  332249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332252 */     GIR_RootConstrainSelectedInstOperands,
     /*  332253 */     // GIR_Coverage, 2663,
     /*  332253 */     GIR_EraseRootFromParent_Done,
     /*  332254 */   // Label 6290: @332254
     /*  332254 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(332342), // Rule ID 2670 //
     /*  332259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  332270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  332273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  332276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332306 */     // MIs[1] Operand 1
     /*  332306 */     // No operand predicates
     /*  332306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332315 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  332315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332324 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  332337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332340 */     GIR_RootConstrainSelectedInstOperands,
     /*  332341 */     // GIR_Coverage, 2670,
     /*  332341 */     GIR_EraseRootFromParent_Done,
     /*  332342 */   // Label 6291: @332342
     /*  332342 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(332430), // Rule ID 2671 //
     /*  332347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  332350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  332358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  332361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  332364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332394 */     // MIs[1] Operand 1
     /*  332394 */     // No operand predicates
     /*  332394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  332403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332412 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  332425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332428 */     GIR_RootConstrainSelectedInstOperands,
     /*  332429 */     // GIR_Coverage, 2671,
     /*  332429 */     GIR_EraseRootFromParent_Done,
     /*  332430 */   // Label 6292: @332430
     /*  332430 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(332518), // Rule ID 2678 //
     /*  332435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  332446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  332452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332482 */     // MIs[1] Operand 1
     /*  332482 */     // No operand predicates
     /*  332482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  332491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  332494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332500 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332516 */     GIR_RootConstrainSelectedInstOperands,
     /*  332517 */     // GIR_Coverage, 2678,
     /*  332517 */     GIR_EraseRootFromParent_Done,
     /*  332518 */   // Label 6293: @332518
     /*  332518 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(332606), // Rule ID 2679 //
     /*  332523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  332526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  332534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  332540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332570 */     // MIs[1] Operand 1
     /*  332570 */     // No operand predicates
     /*  332570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332579 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  332579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  332582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332588 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332604 */     GIR_RootConstrainSelectedInstOperands,
     /*  332605 */     // GIR_Coverage, 2679,
     /*  332605 */     GIR_EraseRootFromParent_Done,
     /*  332606 */   // Label 6294: @332606
     /*  332606 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(332694), // Rule ID 2686 //
     /*  332611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  332622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  332628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332658 */     // MIs[1] Operand 1
     /*  332658 */     // No operand predicates
     /*  332658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  332667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332676 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332692 */     GIR_RootConstrainSelectedInstOperands,
     /*  332693 */     // GIR_Coverage, 2686,
     /*  332693 */     GIR_EraseRootFromParent_Done,
     /*  332694 */   // Label 6295: @332694
     /*  332694 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(332782), // Rule ID 2687 //
     /*  332699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  332702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  332710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  332716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332746 */     // MIs[1] Operand 1
     /*  332746 */     // No operand predicates
     /*  332746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  332755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332764 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332780 */     GIR_RootConstrainSelectedInstOperands,
     /*  332781 */     // GIR_Coverage, 2687,
     /*  332781 */     GIR_EraseRootFromParent_Done,
     /*  332782 */   // Label 6296: @332782
     /*  332782 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(332870), // Rule ID 2694 //
     /*  332787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  332798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332834 */     // MIs[1] Operand 1
     /*  332834 */     // No operand predicates
     /*  332834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332852 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332868 */     GIR_RootConstrainSelectedInstOperands,
     /*  332869 */     // GIR_Coverage, 2694,
     /*  332869 */     GIR_EraseRootFromParent_Done,
     /*  332870 */   // Label 6297: @332870
     /*  332870 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(332958), // Rule ID 2695 //
     /*  332875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  332878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  332886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  332914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  332918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  332922 */     // MIs[1] Operand 1
     /*  332922 */     // No operand predicates
     /*  332922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  332924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  332934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332940 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  332945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332956 */     GIR_RootConstrainSelectedInstOperands,
     /*  332957 */     // GIR_Coverage, 2695,
     /*  332957 */     GIR_EraseRootFromParent_Done,
     /*  332958 */   // Label 6298: @332958
     /*  332958 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(333046), // Rule ID 2702 //
     /*  332963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  332966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  332971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  332974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  332977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  332980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333010 */     // MIs[1] Operand 1
     /*  333010 */     // No operand predicates
     /*  333010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333019 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333028 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333044 */     GIR_RootConstrainSelectedInstOperands,
     /*  333045 */     // GIR_Coverage, 2702,
     /*  333045 */     GIR_EraseRootFromParent_Done,
     /*  333046 */   // Label 6299: @333046
     /*  333046 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(333134), // Rule ID 2703 //
     /*  333051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  333062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  333065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  333068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333098 */     // MIs[1] Operand 1
     /*  333098 */     // No operand predicates
     /*  333098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333116 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333132 */     GIR_RootConstrainSelectedInstOperands,
     /*  333133 */     // GIR_Coverage, 2703,
     /*  333133 */     GIR_EraseRootFromParent_Done,
     /*  333134 */   // Label 6300: @333134
     /*  333134 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(333222), // Rule ID 2710 //
     /*  333139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  333150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333186 */     // MIs[1] Operand 1
     /*  333186 */     // No operand predicates
     /*  333186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333204 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333220 */     GIR_RootConstrainSelectedInstOperands,
     /*  333221 */     // GIR_Coverage, 2710,
     /*  333221 */     GIR_EraseRootFromParent_Done,
     /*  333222 */   // Label 6301: @333222
     /*  333222 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(333310), // Rule ID 2711 //
     /*  333227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  333238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333274 */     // MIs[1] Operand 1
     /*  333274 */     // No operand predicates
     /*  333274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333292 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333308 */     GIR_RootConstrainSelectedInstOperands,
     /*  333309 */     // GIR_Coverage, 2711,
     /*  333309 */     GIR_EraseRootFromParent_Done,
     /*  333310 */   // Label 6302: @333310
     /*  333310 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(333398), // Rule ID 2718 //
     /*  333315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  333326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333362 */     // MIs[1] Operand 1
     /*  333362 */     // No operand predicates
     /*  333362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  333371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333380 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333396 */     GIR_RootConstrainSelectedInstOperands,
     /*  333397 */     // GIR_Coverage, 2718,
     /*  333397 */     GIR_EraseRootFromParent_Done,
     /*  333398 */   // Label 6303: @333398
     /*  333398 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(333486), // Rule ID 2719 //
     /*  333403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  333414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333450 */     // MIs[1] Operand 1
     /*  333450 */     // No operand predicates
     /*  333450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  333459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333468 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333484 */     GIR_RootConstrainSelectedInstOperands,
     /*  333485 */     // GIR_Coverage, 2719,
     /*  333485 */     GIR_EraseRootFromParent_Done,
     /*  333486 */   // Label 6304: @333486
     /*  333486 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(333574), // Rule ID 2726 //
     /*  333491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  333494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  333502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333538 */     // MIs[1] Operand 1
     /*  333538 */     // No operand predicates
     /*  333538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  333547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333556 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333572 */     GIR_RootConstrainSelectedInstOperands,
     /*  333573 */     // GIR_Coverage, 2726,
     /*  333573 */     GIR_EraseRootFromParent_Done,
     /*  333574 */   // Label 6305: @333574
     /*  333574 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(333662), // Rule ID 2727 //
     /*  333579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  333582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  333590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333626 */     // MIs[1] Operand 1
     /*  333626 */     // No operand predicates
     /*  333626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333635 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  333635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  333638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333644 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333660 */     GIR_RootConstrainSelectedInstOperands,
     /*  333661 */     // GIR_Coverage, 2727,
     /*  333661 */     GIR_EraseRootFromParent_Done,
     /*  333662 */   // Label 6306: @333662
     /*  333662 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(333750), // Rule ID 2734 //
     /*  333667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  333678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  333681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  333684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333714 */     // MIs[1] Operand 1
     /*  333714 */     // No operand predicates
     /*  333714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  333726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333732 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333748 */     GIR_RootConstrainSelectedInstOperands,
     /*  333749 */     // GIR_Coverage, 2734,
     /*  333749 */     GIR_EraseRootFromParent_Done,
     /*  333750 */   // Label 6307: @333750
     /*  333750 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(333838), // Rule ID 2735 //
     /*  333755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  333766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  333769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  333772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333802 */     // MIs[1] Operand 1
     /*  333802 */     // No operand predicates
     /*  333802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  333814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333820 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333836 */     GIR_RootConstrainSelectedInstOperands,
     /*  333837 */     // GIR_Coverage, 2735,
     /*  333837 */     GIR_EraseRootFromParent_Done,
     /*  333838 */   // Label 6308: @333838
     /*  333838 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(333926), // Rule ID 2742 //
     /*  333843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  333854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  333857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  333860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333890 */     // MIs[1] Operand 1
     /*  333890 */     // No operand predicates
     /*  333890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  333902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333908 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333924 */     GIR_RootConstrainSelectedInstOperands,
     /*  333925 */     // GIR_Coverage, 2742,
     /*  333925 */     GIR_EraseRootFromParent_Done,
     /*  333926 */   // Label 6309: @333926
     /*  333926 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(334014), // Rule ID 2743 //
     /*  333931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  333942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  333945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  333948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333978 */     // MIs[1] Operand 1
     /*  333978 */     // No operand predicates
     /*  333978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  333990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333996 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  334009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334012 */     GIR_RootConstrainSelectedInstOperands,
     /*  334013 */     // GIR_Coverage, 2743,
     /*  334013 */     GIR_EraseRootFromParent_Done,
     /*  334014 */   // Label 6310: @334014
     /*  334014 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(334102), // Rule ID 2750 //
     /*  334019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  334030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  334033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  334036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334066 */     // MIs[1] Operand 1
     /*  334066 */     // No operand predicates
     /*  334066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334075 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  334075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  334078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334084 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  334097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334100 */     GIR_RootConstrainSelectedInstOperands,
     /*  334101 */     // GIR_Coverage, 2750,
     /*  334101 */     GIR_EraseRootFromParent_Done,
     /*  334102 */   // Label 6311: @334102
     /*  334102 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(334190), // Rule ID 2751 //
     /*  334107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  334118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  334121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  334124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334154 */     // MIs[1] Operand 1
     /*  334154 */     // No operand predicates
     /*  334154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334163 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  334163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  334166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334172 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  334185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334188 */     GIR_RootConstrainSelectedInstOperands,
     /*  334189 */     // GIR_Coverage, 2751,
     /*  334189 */     GIR_EraseRootFromParent_Done,
     /*  334190 */   // Label 6312: @334190
     /*  334190 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(334278), // Rule ID 2758 //
     /*  334195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  334206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334242 */     // MIs[1] Operand 1
     /*  334242 */     // No operand predicates
     /*  334242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  334254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334260 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334276 */     GIR_RootConstrainSelectedInstOperands,
     /*  334277 */     // GIR_Coverage, 2758,
     /*  334277 */     GIR_EraseRootFromParent_Done,
     /*  334278 */   // Label 6313: @334278
     /*  334278 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(334366), // Rule ID 2759 //
     /*  334283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  334294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334330 */     // MIs[1] Operand 1
     /*  334330 */     // No operand predicates
     /*  334330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  334342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334348 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334364 */     GIR_RootConstrainSelectedInstOperands,
     /*  334365 */     // GIR_Coverage, 2759,
     /*  334365 */     GIR_EraseRootFromParent_Done,
     /*  334366 */   // Label 6314: @334366
     /*  334366 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(334454), // Rule ID 2766 //
     /*  334371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  334382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334418 */     // MIs[1] Operand 1
     /*  334418 */     // No operand predicates
     /*  334418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  334430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334436 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334452 */     GIR_RootConstrainSelectedInstOperands,
     /*  334453 */     // GIR_Coverage, 2766,
     /*  334453 */     GIR_EraseRootFromParent_Done,
     /*  334454 */   // Label 6315: @334454
     /*  334454 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(334542), // Rule ID 2767 //
     /*  334459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  334470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334506 */     // MIs[1] Operand 1
     /*  334506 */     // No operand predicates
     /*  334506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  334518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334524 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334540 */     GIR_RootConstrainSelectedInstOperands,
     /*  334541 */     // GIR_Coverage, 2767,
     /*  334541 */     GIR_EraseRootFromParent_Done,
     /*  334542 */   // Label 6316: @334542
     /*  334542 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(334630), // Rule ID 2774 //
     /*  334547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  334558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334594 */     // MIs[1] Operand 1
     /*  334594 */     // No operand predicates
     /*  334594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334603 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  334606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334612 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334628 */     GIR_RootConstrainSelectedInstOperands,
     /*  334629 */     // GIR_Coverage, 2774,
     /*  334629 */     GIR_EraseRootFromParent_Done,
     /*  334630 */   // Label 6317: @334630
     /*  334630 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(334718), // Rule ID 2775 //
     /*  334635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  334646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334682 */     // MIs[1] Operand 1
     /*  334682 */     // No operand predicates
     /*  334682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  334694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334700 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334716 */     GIR_RootConstrainSelectedInstOperands,
     /*  334717 */     // GIR_Coverage, 2775,
     /*  334717 */     GIR_EraseRootFromParent_Done,
     /*  334718 */   // Label 6318: @334718
     /*  334718 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(334806), // Rule ID 2782 //
     /*  334723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  334734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334770 */     // MIs[1] Operand 1
     /*  334770 */     // No operand predicates
     /*  334770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  334782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334788 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334804 */     GIR_RootConstrainSelectedInstOperands,
     /*  334805 */     // GIR_Coverage, 2782,
     /*  334805 */     GIR_EraseRootFromParent_Done,
     /*  334806 */   // Label 6319: @334806
     /*  334806 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(334894), // Rule ID 2783 //
     /*  334811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  334822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334858 */     // MIs[1] Operand 1
     /*  334858 */     // No operand predicates
     /*  334858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  334870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334876 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334892 */     GIR_RootConstrainSelectedInstOperands,
     /*  334893 */     // GIR_Coverage, 2783,
     /*  334893 */     GIR_EraseRootFromParent_Done,
     /*  334894 */   // Label 6320: @334894
     /*  334894 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(334982), // Rule ID 2790 //
     /*  334899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  334910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334946 */     // MIs[1] Operand 1
     /*  334946 */     // No operand predicates
     /*  334946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  334958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334964 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334980 */     GIR_RootConstrainSelectedInstOperands,
     /*  334981 */     // GIR_Coverage, 2790,
     /*  334981 */     GIR_EraseRootFromParent_Done,
     /*  334982 */   // Label 6321: @334982
     /*  334982 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(335070), // Rule ID 2791 //
     /*  334987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  334998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  335004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335034 */     // MIs[1] Operand 1
     /*  335034 */     // No operand predicates
     /*  335034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  335043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335052 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335068 */     GIR_RootConstrainSelectedInstOperands,
     /*  335069 */     // GIR_Coverage, 2791,
     /*  335069 */     GIR_EraseRootFromParent_Done,
     /*  335070 */   // Label 6322: @335070
     /*  335070 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(335158), // Rule ID 2798 //
     /*  335075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  335086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335122 */     // MIs[1] Operand 1
     /*  335122 */     // No operand predicates
     /*  335122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  335131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335140 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335156 */     GIR_RootConstrainSelectedInstOperands,
     /*  335157 */     // GIR_Coverage, 2798,
     /*  335157 */     GIR_EraseRootFromParent_Done,
     /*  335158 */   // Label 6323: @335158
     /*  335158 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(335246), // Rule ID 2799 //
     /*  335163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  335174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335210 */     // MIs[1] Operand 1
     /*  335210 */     // No operand predicates
     /*  335210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  335219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335228 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335244 */     GIR_RootConstrainSelectedInstOperands,
     /*  335245 */     // GIR_Coverage, 2799,
     /*  335245 */     GIR_EraseRootFromParent_Done,
     /*  335246 */   // Label 6324: @335246
     /*  335246 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(335334), // Rule ID 2806 //
     /*  335251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  335254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  335262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335298 */     // MIs[1] Operand 1
     /*  335298 */     // No operand predicates
     /*  335298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  335307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335316 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335332 */     GIR_RootConstrainSelectedInstOperands,
     /*  335333 */     // GIR_Coverage, 2806,
     /*  335333 */     GIR_EraseRootFromParent_Done,
     /*  335334 */   // Label 6325: @335334
     /*  335334 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(335422), // Rule ID 2807 //
     /*  335339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  335342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  335350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335386 */     // MIs[1] Operand 1
     /*  335386 */     // No operand predicates
     /*  335386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  335395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335404 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335420 */     GIR_RootConstrainSelectedInstOperands,
     /*  335421 */     // GIR_Coverage, 2807,
     /*  335421 */     GIR_EraseRootFromParent_Done,
     /*  335422 */   // Label 6326: @335422
     /*  335422 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(335510), // Rule ID 2814 //
     /*  335427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  335430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  335438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335474 */     // MIs[1] Operand 1
     /*  335474 */     // No operand predicates
     /*  335474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  335483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335492 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335508 */     GIR_RootConstrainSelectedInstOperands,
     /*  335509 */     // GIR_Coverage, 2814,
     /*  335509 */     GIR_EraseRootFromParent_Done,
     /*  335510 */   // Label 6327: @335510
     /*  335510 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(335598), // Rule ID 2815 //
     /*  335515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  335518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  335526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335562 */     // MIs[1] Operand 1
     /*  335562 */     // No operand predicates
     /*  335562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  335571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335580 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335596 */     GIR_RootConstrainSelectedInstOperands,
     /*  335597 */     // GIR_Coverage, 2815,
     /*  335597 */     GIR_EraseRootFromParent_Done,
     /*  335598 */   // Label 6328: @335598
     /*  335598 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(335686), // Rule ID 2822 //
     /*  335603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  335606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  335614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335650 */     // MIs[1] Operand 1
     /*  335650 */     // No operand predicates
     /*  335650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  335659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335668 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335684 */     GIR_RootConstrainSelectedInstOperands,
     /*  335685 */     // GIR_Coverage, 2822,
     /*  335685 */     GIR_EraseRootFromParent_Done,
     /*  335686 */   // Label 6329: @335686
     /*  335686 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(335774), // Rule ID 2823 //
     /*  335691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  335694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  335702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335738 */     // MIs[1] Operand 1
     /*  335738 */     // No operand predicates
     /*  335738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  335747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335756 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335772 */     GIR_RootConstrainSelectedInstOperands,
     /*  335773 */     // GIR_Coverage, 2823,
     /*  335773 */     GIR_EraseRootFromParent_Done,
     /*  335774 */   // Label 6330: @335774
     /*  335774 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(335860), // Rule ID 2998 //
     /*  335779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  335787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  335790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  335793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  335796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  335826 */     // MIs[1] Operand 1
     /*  335826 */     // No operand predicates
     /*  335826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335835 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  335835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  335838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  335847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335858 */     GIR_RootConstrainSelectedInstOperands,
     /*  335859 */     // GIR_Coverage, 2998,
     /*  335859 */     GIR_EraseRootFromParent_Done,
     /*  335860 */   // Label 6331: @335860
     /*  335860 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(335946), // Rule ID 2999 //
     /*  335865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  335873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  335876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  335879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  335882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  335912 */     // MIs[1] Operand 1
     /*  335912 */     // No operand predicates
     /*  335912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335921 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  335921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  335924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  335933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335944 */     GIR_RootConstrainSelectedInstOperands,
     /*  335945 */     // GIR_Coverage, 2999,
     /*  335945 */     GIR_EraseRootFromParent_Done,
     /*  335946 */   // Label 6332: @335946
     /*  335946 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(336032), // Rule ID 3002 //
     /*  335951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  335959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  335962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  335965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  335968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  335998 */     // MIs[1] Operand 1
     /*  335998 */     // No operand predicates
     /*  335998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336007 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  336007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  336010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336030 */     GIR_RootConstrainSelectedInstOperands,
     /*  336031 */     // GIR_Coverage, 3002,
     /*  336031 */     GIR_EraseRootFromParent_Done,
     /*  336032 */   // Label 6333: @336032
     /*  336032 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(336118), // Rule ID 3003 //
     /*  336037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  336048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  336051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  336054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336084 */     // MIs[1] Operand 1
     /*  336084 */     // No operand predicates
     /*  336084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336093 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  336093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  336096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336116 */     GIR_RootConstrainSelectedInstOperands,
     /*  336117 */     // GIR_Coverage, 3003,
     /*  336117 */     GIR_EraseRootFromParent_Done,
     /*  336118 */   // Label 6334: @336118
     /*  336118 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(336204), // Rule ID 3006 //
     /*  336123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  336134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  336137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  336140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336170 */     // MIs[1] Operand 1
     /*  336170 */     // No operand predicates
     /*  336170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336179 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  336179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336202 */     GIR_RootConstrainSelectedInstOperands,
     /*  336203 */     // GIR_Coverage, 3006,
     /*  336203 */     GIR_EraseRootFromParent_Done,
     /*  336204 */   // Label 6335: @336204
     /*  336204 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(336290), // Rule ID 3007 //
     /*  336209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  336220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  336223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  336226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336256 */     // MIs[1] Operand 1
     /*  336256 */     // No operand predicates
     /*  336256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336265 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  336265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336288 */     GIR_RootConstrainSelectedInstOperands,
     /*  336289 */     // GIR_Coverage, 3007,
     /*  336289 */     GIR_EraseRootFromParent_Done,
     /*  336290 */   // Label 6336: @336290
     /*  336290 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(336376), // Rule ID 3010 //
     /*  336295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  336306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336342 */     // MIs[1] Operand 1
     /*  336342 */     // No operand predicates
     /*  336342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336351 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  336354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336374 */     GIR_RootConstrainSelectedInstOperands,
     /*  336375 */     // GIR_Coverage, 3010,
     /*  336375 */     GIR_EraseRootFromParent_Done,
     /*  336376 */   // Label 6337: @336376
     /*  336376 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(336462), // Rule ID 3011 //
     /*  336381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  336392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336428 */     // MIs[1] Operand 1
     /*  336428 */     // No operand predicates
     /*  336428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  336440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336460 */     GIR_RootConstrainSelectedInstOperands,
     /*  336461 */     // GIR_Coverage, 3011,
     /*  336461 */     GIR_EraseRootFromParent_Done,
     /*  336462 */   // Label 6338: @336462
     /*  336462 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(336548), // Rule ID 3014 //
     /*  336467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336514 */     // MIs[1] Operand 1
     /*  336514 */     // No operand predicates
     /*  336514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336546 */     GIR_RootConstrainSelectedInstOperands,
     /*  336547 */     // GIR_Coverage, 3014,
     /*  336547 */     GIR_EraseRootFromParent_Done,
     /*  336548 */   // Label 6339: @336548
     /*  336548 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(336634), // Rule ID 3015 //
     /*  336553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  336564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336600 */     // MIs[1] Operand 1
     /*  336600 */     // No operand predicates
     /*  336600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336632 */     GIR_RootConstrainSelectedInstOperands,
     /*  336633 */     // GIR_Coverage, 3015,
     /*  336633 */     GIR_EraseRootFromParent_Done,
     /*  336634 */   // Label 6340: @336634
     /*  336634 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(336720), // Rule ID 3018 //
     /*  336639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  336650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  336656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336686 */     // MIs[1] Operand 1
     /*  336686 */     // No operand predicates
     /*  336686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336718 */     GIR_RootConstrainSelectedInstOperands,
     /*  336719 */     // GIR_Coverage, 3018,
     /*  336719 */     GIR_EraseRootFromParent_Done,
     /*  336720 */   // Label 6341: @336720
     /*  336720 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(336806), // Rule ID 3019 //
     /*  336725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  336736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  336742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336772 */     // MIs[1] Operand 1
     /*  336772 */     // No operand predicates
     /*  336772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  336784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336804 */     GIR_RootConstrainSelectedInstOperands,
     /*  336805 */     // GIR_Coverage, 3019,
     /*  336805 */     GIR_EraseRootFromParent_Done,
     /*  336806 */   // Label 6342: @336806
     /*  336806 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(336892), // Rule ID 3022 //
     /*  336811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  336822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  336825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  336828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336858 */     // MIs[1] Operand 1
     /*  336858 */     // No operand predicates
     /*  336858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  336867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  336870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336890 */     GIR_RootConstrainSelectedInstOperands,
     /*  336891 */     // GIR_Coverage, 3022,
     /*  336891 */     GIR_EraseRootFromParent_Done,
     /*  336892 */   // Label 6343: @336892
     /*  336892 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(336978), // Rule ID 3023 //
     /*  336897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  336908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  336911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  336914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  336944 */     // MIs[1] Operand 1
     /*  336944 */     // No operand predicates
     /*  336944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  336953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  336956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  336965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  336973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336976 */     GIR_RootConstrainSelectedInstOperands,
     /*  336977 */     // GIR_Coverage, 3023,
     /*  336977 */     GIR_EraseRootFromParent_Done,
     /*  336978 */   // Label 6344: @336978
     /*  336978 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(337064), // Rule ID 3026 //
     /*  336983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  336991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  336994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337030 */     // MIs[1] Operand 1
     /*  337030 */     // No operand predicates
     /*  337030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337062 */     GIR_RootConstrainSelectedInstOperands,
     /*  337063 */     // GIR_Coverage, 3026,
     /*  337063 */     GIR_EraseRootFromParent_Done,
     /*  337064 */   // Label 6345: @337064
     /*  337064 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(337150), // Rule ID 3027 //
     /*  337069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337116 */     // MIs[1] Operand 1
     /*  337116 */     // No operand predicates
     /*  337116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337148 */     GIR_RootConstrainSelectedInstOperands,
     /*  337149 */     // GIR_Coverage, 3027,
     /*  337149 */     GIR_EraseRootFromParent_Done,
     /*  337150 */   // Label 6346: @337150
     /*  337150 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(337236), // Rule ID 3030 //
     /*  337155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337202 */     // MIs[1] Operand 1
     /*  337202 */     // No operand predicates
     /*  337202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337234 */     GIR_RootConstrainSelectedInstOperands,
     /*  337235 */     // GIR_Coverage, 3030,
     /*  337235 */     GIR_EraseRootFromParent_Done,
     /*  337236 */   // Label 6347: @337236
     /*  337236 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(337322), // Rule ID 3031 //
     /*  337241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  337252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337288 */     // MIs[1] Operand 1
     /*  337288 */     // No operand predicates
     /*  337288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337320 */     GIR_RootConstrainSelectedInstOperands,
     /*  337321 */     // GIR_Coverage, 3031,
     /*  337321 */     GIR_EraseRootFromParent_Done,
     /*  337322 */   // Label 6348: @337322
     /*  337322 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(337408), // Rule ID 3034 //
     /*  337327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  337330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337374 */     // MIs[1] Operand 1
     /*  337374 */     // No operand predicates
     /*  337374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337406 */     GIR_RootConstrainSelectedInstOperands,
     /*  337407 */     // GIR_Coverage, 3034,
     /*  337407 */     GIR_EraseRootFromParent_Done,
     /*  337408 */   // Label 6349: @337408
     /*  337408 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(337494), // Rule ID 3035 //
     /*  337413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  337416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  337430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337460 */     // MIs[1] Operand 1
     /*  337460 */     // No operand predicates
     /*  337460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  337472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337492 */     GIR_RootConstrainSelectedInstOperands,
     /*  337493 */     // GIR_Coverage, 3035,
     /*  337493 */     GIR_EraseRootFromParent_Done,
     /*  337494 */   // Label 6350: @337494
     /*  337494 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(337580), // Rule ID 3038 //
     /*  337499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  337510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  337513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  337516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337546 */     // MIs[1] Operand 1
     /*  337546 */     // No operand predicates
     /*  337546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337555 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  337558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337578 */     GIR_RootConstrainSelectedInstOperands,
     /*  337579 */     // GIR_Coverage, 3038,
     /*  337579 */     GIR_EraseRootFromParent_Done,
     /*  337580 */   // Label 6351: @337580
     /*  337580 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(337666), // Rule ID 3039 //
     /*  337585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  337596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  337599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  337602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337632 */     // MIs[1] Operand 1
     /*  337632 */     // No operand predicates
     /*  337632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337641 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  337644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337664 */     GIR_RootConstrainSelectedInstOperands,
     /*  337665 */     // GIR_Coverage, 3039,
     /*  337665 */     GIR_EraseRootFromParent_Done,
     /*  337666 */   // Label 6352: @337666
     /*  337666 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(337752), // Rule ID 3042 //
     /*  337671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  337682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  337685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  337688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337718 */     // MIs[1] Operand 1
     /*  337718 */     // No operand predicates
     /*  337718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  337730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337750 */     GIR_RootConstrainSelectedInstOperands,
     /*  337751 */     // GIR_Coverage, 3042,
     /*  337751 */     GIR_EraseRootFromParent_Done,
     /*  337752 */   // Label 6353: @337752
     /*  337752 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(337838), // Rule ID 3043 //
     /*  337757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  337768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  337771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  337774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337804 */     // MIs[1] Operand 1
     /*  337804 */     // No operand predicates
     /*  337804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337813 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  337816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337836 */     GIR_RootConstrainSelectedInstOperands,
     /*  337837 */     // GIR_Coverage, 3043,
     /*  337837 */     GIR_EraseRootFromParent_Done,
     /*  337838 */   // Label 6354: @337838
     /*  337838 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(337924), // Rule ID 3046 //
     /*  337843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  337854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  337857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  337860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337890 */     // MIs[1] Operand 1
     /*  337890 */     // No operand predicates
     /*  337890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  337902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337922 */     GIR_RootConstrainSelectedInstOperands,
     /*  337923 */     // GIR_Coverage, 3046,
     /*  337923 */     GIR_EraseRootFromParent_Done,
     /*  337924 */   // Label 6355: @337924
     /*  337924 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(338010), // Rule ID 3047 //
     /*  337929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  337940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  337943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  337946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337976 */     // MIs[1] Operand 1
     /*  337976 */     // No operand predicates
     /*  337976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337985 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  337988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  338005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338008 */     GIR_RootConstrainSelectedInstOperands,
     /*  338009 */     // GIR_Coverage, 3047,
     /*  338009 */     GIR_EraseRootFromParent_Done,
     /*  338010 */   // Label 6356: @338010
     /*  338010 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(338096), // Rule ID 3050 //
     /*  338015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338062 */     // MIs[1] Operand 1
     /*  338062 */     // No operand predicates
     /*  338062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338094 */     GIR_RootConstrainSelectedInstOperands,
     /*  338095 */     // GIR_Coverage, 3050,
     /*  338095 */     GIR_EraseRootFromParent_Done,
     /*  338096 */   // Label 6357: @338096
     /*  338096 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(338182), // Rule ID 3051 //
     /*  338101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338148 */     // MIs[1] Operand 1
     /*  338148 */     // No operand predicates
     /*  338148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338180 */     GIR_RootConstrainSelectedInstOperands,
     /*  338181 */     // GIR_Coverage, 3051,
     /*  338181 */     GIR_EraseRootFromParent_Done,
     /*  338182 */   // Label 6358: @338182
     /*  338182 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(338268), // Rule ID 3054 //
     /*  338187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338234 */     // MIs[1] Operand 1
     /*  338234 */     // No operand predicates
     /*  338234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  338246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338266 */     GIR_RootConstrainSelectedInstOperands,
     /*  338267 */     // GIR_Coverage, 3054,
     /*  338267 */     GIR_EraseRootFromParent_Done,
     /*  338268 */   // Label 6359: @338268
     /*  338268 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(338354), // Rule ID 3055 //
     /*  338273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338320 */     // MIs[1] Operand 1
     /*  338320 */     // No operand predicates
     /*  338320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  338332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338352 */     GIR_RootConstrainSelectedInstOperands,
     /*  338353 */     // GIR_Coverage, 3055,
     /*  338353 */     GIR_EraseRootFromParent_Done,
     /*  338354 */   // Label 6360: @338354
     /*  338354 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(338440), // Rule ID 3058 //
     /*  338359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338406 */     // MIs[1] Operand 1
     /*  338406 */     // No operand predicates
     /*  338406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338415 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  338418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338438 */     GIR_RootConstrainSelectedInstOperands,
     /*  338439 */     // GIR_Coverage, 3058,
     /*  338439 */     GIR_EraseRootFromParent_Done,
     /*  338440 */   // Label 6361: @338440
     /*  338440 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(338526), // Rule ID 3059 //
     /*  338445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338492 */     // MIs[1] Operand 1
     /*  338492 */     // No operand predicates
     /*  338492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  338504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338524 */     GIR_RootConstrainSelectedInstOperands,
     /*  338525 */     // GIR_Coverage, 3059,
     /*  338525 */     GIR_EraseRootFromParent_Done,
     /*  338526 */   // Label 6362: @338526
     /*  338526 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(338612), // Rule ID 3062 //
     /*  338531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338578 */     // MIs[1] Operand 1
     /*  338578 */     // No operand predicates
     /*  338578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338610 */     GIR_RootConstrainSelectedInstOperands,
     /*  338611 */     // GIR_Coverage, 3062,
     /*  338611 */     GIR_EraseRootFromParent_Done,
     /*  338612 */   // Label 6363: @338612
     /*  338612 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(338698), // Rule ID 3063 //
     /*  338617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338664 */     // MIs[1] Operand 1
     /*  338664 */     // No operand predicates
     /*  338664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338696 */     GIR_RootConstrainSelectedInstOperands,
     /*  338697 */     // GIR_Coverage, 3063,
     /*  338697 */     GIR_EraseRootFromParent_Done,
     /*  338698 */   // Label 6364: @338698
     /*  338698 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(338784), // Rule ID 3066 //
     /*  338703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338750 */     // MIs[1] Operand 1
     /*  338750 */     // No operand predicates
     /*  338750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  338762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338782 */     GIR_RootConstrainSelectedInstOperands,
     /*  338783 */     // GIR_Coverage, 3066,
     /*  338783 */     GIR_EraseRootFromParent_Done,
     /*  338784 */   // Label 6365: @338784
     /*  338784 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(338870), // Rule ID 3067 //
     /*  338789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338836 */     // MIs[1] Operand 1
     /*  338836 */     // No operand predicates
     /*  338836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  338848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338868 */     GIR_RootConstrainSelectedInstOperands,
     /*  338869 */     // GIR_Coverage, 3067,
     /*  338869 */     GIR_EraseRootFromParent_Done,
     /*  338870 */   // Label 6366: @338870
     /*  338870 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(338956), // Rule ID 3070 //
     /*  338875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338922 */     // MIs[1] Operand 1
     /*  338922 */     // No operand predicates
     /*  338922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338931 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  338934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338954 */     GIR_RootConstrainSelectedInstOperands,
     /*  338955 */     // GIR_Coverage, 3070,
     /*  338955 */     GIR_EraseRootFromParent_Done,
     /*  338956 */   // Label 6367: @338956
     /*  338956 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(339042), // Rule ID 3071 //
     /*  338961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339008 */     // MIs[1] Operand 1
     /*  339008 */     // No operand predicates
     /*  339008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339040 */     GIR_RootConstrainSelectedInstOperands,
     /*  339041 */     // GIR_Coverage, 3071,
     /*  339041 */     GIR_EraseRootFromParent_Done,
     /*  339042 */   // Label 6368: @339042
     /*  339042 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(339128), // Rule ID 3074 //
     /*  339047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  339050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339094 */     // MIs[1] Operand 1
     /*  339094 */     // No operand predicates
     /*  339094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339126 */     GIR_RootConstrainSelectedInstOperands,
     /*  339127 */     // GIR_Coverage, 3074,
     /*  339127 */     GIR_EraseRootFromParent_Done,
     /*  339128 */   // Label 6369: @339128
     /*  339128 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(339214), // Rule ID 3075 //
     /*  339133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  339136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339180 */     // MIs[1] Operand 1
     /*  339180 */     // No operand predicates
     /*  339180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339212 */     GIR_RootConstrainSelectedInstOperands,
     /*  339213 */     // GIR_Coverage, 3075,
     /*  339213 */     GIR_EraseRootFromParent_Done,
     /*  339214 */   // Label 6370: @339214
     /*  339214 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(339300), // Rule ID 3078 //
     /*  339219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  339222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339266 */     // MIs[1] Operand 1
     /*  339266 */     // No operand predicates
     /*  339266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339298 */     GIR_RootConstrainSelectedInstOperands,
     /*  339299 */     // GIR_Coverage, 3078,
     /*  339299 */     GIR_EraseRootFromParent_Done,
     /*  339300 */   // Label 6371: @339300
     /*  339300 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(339386), // Rule ID 3079 //
     /*  339305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  339308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339352 */     // MIs[1] Operand 1
     /*  339352 */     // No operand predicates
     /*  339352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339384 */     GIR_RootConstrainSelectedInstOperands,
     /*  339385 */     // GIR_Coverage, 3079,
     /*  339385 */     GIR_EraseRootFromParent_Done,
     /*  339386 */   // Label 6372: @339386
     /*  339386 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(339472), // Rule ID 3082 //
     /*  339391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  339394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339438 */     // MIs[1] Operand 1
     /*  339438 */     // No operand predicates
     /*  339438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339470 */     GIR_RootConstrainSelectedInstOperands,
     /*  339471 */     // GIR_Coverage, 3082,
     /*  339471 */     GIR_EraseRootFromParent_Done,
     /*  339472 */   // Label 6373: @339472
     /*  339472 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(339558), // Rule ID 3083 //
     /*  339477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  339480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339524 */     // MIs[1] Operand 1
     /*  339524 */     // No operand predicates
     /*  339524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339556 */     GIR_RootConstrainSelectedInstOperands,
     /*  339557 */     // GIR_Coverage, 3083,
     /*  339557 */     GIR_EraseRootFromParent_Done,
     /*  339558 */   // Label 6374: @339558
     /*  339558 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(339644), // Rule ID 3350 //
     /*  339563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  339571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  339574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  339577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  339580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339610 */     // MIs[1] Operand 1
     /*  339610 */     // No operand predicates
     /*  339610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  339622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339642 */     GIR_RootConstrainSelectedInstOperands,
     /*  339643 */     // GIR_Coverage, 3350,
     /*  339643 */     GIR_EraseRootFromParent_Done,
     /*  339644 */   // Label 6375: @339644
     /*  339644 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(339730), // Rule ID 3351 //
     /*  339649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  339657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  339660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  339663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  339666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339696 */     // MIs[1] Operand 1
     /*  339696 */     // No operand predicates
     /*  339696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  339708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339728 */     GIR_RootConstrainSelectedInstOperands,
     /*  339729 */     // GIR_Coverage, 3351,
     /*  339729 */     GIR_EraseRootFromParent_Done,
     /*  339730 */   // Label 6376: @339730
     /*  339730 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(339816), // Rule ID 3354 //
     /*  339735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  339743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  339746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  339749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  339752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339782 */     // MIs[1] Operand 1
     /*  339782 */     // No operand predicates
     /*  339782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  339794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339814 */     GIR_RootConstrainSelectedInstOperands,
     /*  339815 */     // GIR_Coverage, 3354,
     /*  339815 */     GIR_EraseRootFromParent_Done,
     /*  339816 */   // Label 6377: @339816
     /*  339816 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(339902), // Rule ID 3355 //
     /*  339821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  339829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  339832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  339835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  339838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339868 */     // MIs[1] Operand 1
     /*  339868 */     // No operand predicates
     /*  339868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339877 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  339880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339900 */     GIR_RootConstrainSelectedInstOperands,
     /*  339901 */     // GIR_Coverage, 3355,
     /*  339901 */     GIR_EraseRootFromParent_Done,
     /*  339902 */   // Label 6378: @339902
     /*  339902 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(339988), // Rule ID 3358 //
     /*  339907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  339915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  339918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  339921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  339924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339954 */     // MIs[1] Operand 1
     /*  339954 */     // No operand predicates
     /*  339954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  339966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339986 */     GIR_RootConstrainSelectedInstOperands,
     /*  339987 */     // GIR_Coverage, 3358,
     /*  339987 */     GIR_EraseRootFromParent_Done,
     /*  339988 */   // Label 6379: @339988
     /*  339988 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(340074), // Rule ID 3359 //
     /*  339993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  340004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  340007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  340010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340040 */     // MIs[1] Operand 1
     /*  340040 */     // No operand predicates
     /*  340040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  340049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  340052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  340069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340072 */     GIR_RootConstrainSelectedInstOperands,
     /*  340073 */     // GIR_Coverage, 3359,
     /*  340073 */     GIR_EraseRootFromParent_Done,
     /*  340074 */   // Label 6380: @340074
     /*  340074 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(340160), // Rule ID 3362 //
     /*  340079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340126 */     // MIs[1] Operand 1
     /*  340126 */     // No operand predicates
     /*  340126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  340138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340158 */     GIR_RootConstrainSelectedInstOperands,
     /*  340159 */     // GIR_Coverage, 3362,
     /*  340159 */     GIR_EraseRootFromParent_Done,
     /*  340160 */   // Label 6381: @340160
     /*  340160 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(340246), // Rule ID 3363 //
     /*  340165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  340176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340212 */     // MIs[1] Operand 1
     /*  340212 */     // No operand predicates
     /*  340212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  340224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340244 */     GIR_RootConstrainSelectedInstOperands,
     /*  340245 */     // GIR_Coverage, 3363,
     /*  340245 */     GIR_EraseRootFromParent_Done,
     /*  340246 */   // Label 6382: @340246
     /*  340246 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(340332), // Rule ID 3366 //
     /*  340251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340298 */     // MIs[1] Operand 1
     /*  340298 */     // No operand predicates
     /*  340298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  340310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340330 */     GIR_RootConstrainSelectedInstOperands,
     /*  340331 */     // GIR_Coverage, 3366,
     /*  340331 */     GIR_EraseRootFromParent_Done,
     /*  340332 */   // Label 6383: @340332
     /*  340332 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(340418), // Rule ID 3367 //
     /*  340337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  340348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340384 */     // MIs[1] Operand 1
     /*  340384 */     // No operand predicates
     /*  340384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  340396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340416 */     GIR_RootConstrainSelectedInstOperands,
     /*  340417 */     // GIR_Coverage, 3367,
     /*  340417 */     GIR_EraseRootFromParent_Done,
     /*  340418 */   // Label 6384: @340418
     /*  340418 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(340504), // Rule ID 3370 //
     /*  340423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340470 */     // MIs[1] Operand 1
     /*  340470 */     // No operand predicates
     /*  340470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  340482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340502 */     GIR_RootConstrainSelectedInstOperands,
     /*  340503 */     // GIR_Coverage, 3370,
     /*  340503 */     GIR_EraseRootFromParent_Done,
     /*  340504 */   // Label 6385: @340504
     /*  340504 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(340590), // Rule ID 3371 //
     /*  340509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  340520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340556 */     // MIs[1] Operand 1
     /*  340556 */     // No operand predicates
     /*  340556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340565 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  340568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340588 */     GIR_RootConstrainSelectedInstOperands,
     /*  340589 */     // GIR_Coverage, 3371,
     /*  340589 */     GIR_EraseRootFromParent_Done,
     /*  340590 */   // Label 6386: @340590
     /*  340590 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(340676), // Rule ID 3374 //
     /*  340595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  340606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  340609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  340612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340642 */     // MIs[1] Operand 1
     /*  340642 */     // No operand predicates
     /*  340642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  340651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  340654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  340671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340674 */     GIR_RootConstrainSelectedInstOperands,
     /*  340675 */     // GIR_Coverage, 3374,
     /*  340675 */     GIR_EraseRootFromParent_Done,
     /*  340676 */   // Label 6387: @340676
     /*  340676 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(340762), // Rule ID 3375 //
     /*  340681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  340692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  340695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  340698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340728 */     // MIs[1] Operand 1
     /*  340728 */     // No operand predicates
     /*  340728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  340737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  340740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  340757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340760 */     GIR_RootConstrainSelectedInstOperands,
     /*  340761 */     // GIR_Coverage, 3375,
     /*  340761 */     GIR_EraseRootFromParent_Done,
     /*  340762 */   // Label 6388: @340762
     /*  340762 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(340848), // Rule ID 3378 //
     /*  340767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  340778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340814 */     // MIs[1] Operand 1
     /*  340814 */     // No operand predicates
     /*  340814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  340826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340846 */     GIR_RootConstrainSelectedInstOperands,
     /*  340847 */     // GIR_Coverage, 3378,
     /*  340847 */     GIR_EraseRootFromParent_Done,
     /*  340848 */   // Label 6389: @340848
     /*  340848 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(340934), // Rule ID 3379 //
     /*  340853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  340864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340900 */     // MIs[1] Operand 1
     /*  340900 */     // No operand predicates
     /*  340900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  340912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340932 */     GIR_RootConstrainSelectedInstOperands,
     /*  340933 */     // GIR_Coverage, 3379,
     /*  340933 */     GIR_EraseRootFromParent_Done,
     /*  340934 */   // Label 6390: @340934
     /*  340934 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(341020), // Rule ID 3382 //
     /*  340939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340986 */     // MIs[1] Operand 1
     /*  340986 */     // No operand predicates
     /*  340986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  340998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341018 */     GIR_RootConstrainSelectedInstOperands,
     /*  341019 */     // GIR_Coverage, 3382,
     /*  341019 */     GIR_EraseRootFromParent_Done,
     /*  341020 */   // Label 6391: @341020
     /*  341020 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(341106), // Rule ID 3383 //
     /*  341025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  341042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341072 */     // MIs[1] Operand 1
     /*  341072 */     // No operand predicates
     /*  341072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  341084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341104 */     GIR_RootConstrainSelectedInstOperands,
     /*  341105 */     // GIR_Coverage, 3383,
     /*  341105 */     GIR_EraseRootFromParent_Done,
     /*  341106 */   // Label 6392: @341106
     /*  341106 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(341192), // Rule ID 3386 //
     /*  341111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  341114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341158 */     // MIs[1] Operand 1
     /*  341158 */     // No operand predicates
     /*  341158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  341170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341190 */     GIR_RootConstrainSelectedInstOperands,
     /*  341191 */     // GIR_Coverage, 3386,
     /*  341191 */     GIR_EraseRootFromParent_Done,
     /*  341192 */   // Label 6393: @341192
     /*  341192 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(341278), // Rule ID 3387 //
     /*  341197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  341200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  341208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  341211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  341214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341244 */     // MIs[1] Operand 1
     /*  341244 */     // No operand predicates
     /*  341244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  341256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341276 */     GIR_RootConstrainSelectedInstOperands,
     /*  341277 */     // GIR_Coverage, 3387,
     /*  341277 */     GIR_EraseRootFromParent_Done,
     /*  341278 */   // Label 6394: @341278
     /*  341278 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(341364), // Rule ID 3390 //
     /*  341283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  341294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  341297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  341300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341330 */     // MIs[1] Operand 1
     /*  341330 */     // No operand predicates
     /*  341330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341339 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  341342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341362 */     GIR_RootConstrainSelectedInstOperands,
     /*  341363 */     // GIR_Coverage, 3390,
     /*  341363 */     GIR_EraseRootFromParent_Done,
     /*  341364 */   // Label 6395: @341364
     /*  341364 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(341450), // Rule ID 3391 //
     /*  341369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  341380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  341383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  341386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341416 */     // MIs[1] Operand 1
     /*  341416 */     // No operand predicates
     /*  341416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  341428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341448 */     GIR_RootConstrainSelectedInstOperands,
     /*  341449 */     // GIR_Coverage, 3391,
     /*  341449 */     GIR_EraseRootFromParent_Done,
     /*  341450 */   // Label 6396: @341450
     /*  341450 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(341536), // Rule ID 3394 //
     /*  341455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  341466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  341469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  341472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341502 */     // MIs[1] Operand 1
     /*  341502 */     // No operand predicates
     /*  341502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341511 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  341514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341534 */     GIR_RootConstrainSelectedInstOperands,
     /*  341535 */     // GIR_Coverage, 3394,
     /*  341535 */     GIR_EraseRootFromParent_Done,
     /*  341536 */   // Label 6397: @341536
     /*  341536 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(341622), // Rule ID 3395 //
     /*  341541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  341552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  341555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  341558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341588 */     // MIs[1] Operand 1
     /*  341588 */     // No operand predicates
     /*  341588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  341600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341620 */     GIR_RootConstrainSelectedInstOperands,
     /*  341621 */     // GIR_Coverage, 3395,
     /*  341621 */     GIR_EraseRootFromParent_Done,
     /*  341622 */   // Label 6398: @341622
     /*  341622 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(341708), // Rule ID 3398 //
     /*  341627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  341638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  341641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  341644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341674 */     // MIs[1] Operand 1
     /*  341674 */     // No operand predicates
     /*  341674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  341686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341706 */     GIR_RootConstrainSelectedInstOperands,
     /*  341707 */     // GIR_Coverage, 3398,
     /*  341707 */     GIR_EraseRootFromParent_Done,
     /*  341708 */   // Label 6399: @341708
     /*  341708 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(341794), // Rule ID 3399 //
     /*  341713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  341724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  341727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  341730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341760 */     // MIs[1] Operand 1
     /*  341760 */     // No operand predicates
     /*  341760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341769 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  341772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341792 */     GIR_RootConstrainSelectedInstOperands,
     /*  341793 */     // GIR_Coverage, 3399,
     /*  341793 */     GIR_EraseRootFromParent_Done,
     /*  341794 */   // Label 6400: @341794
     /*  341794 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(341880), // Rule ID 3402 //
     /*  341799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341846 */     // MIs[1] Operand 1
     /*  341846 */     // No operand predicates
     /*  341846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  341858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341878 */     GIR_RootConstrainSelectedInstOperands,
     /*  341879 */     // GIR_Coverage, 3402,
     /*  341879 */     GIR_EraseRootFromParent_Done,
     /*  341880 */   // Label 6401: @341880
     /*  341880 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(341966), // Rule ID 3403 //
     /*  341885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341932 */     // MIs[1] Operand 1
     /*  341932 */     // No operand predicates
     /*  341932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  341944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341964 */     GIR_RootConstrainSelectedInstOperands,
     /*  341965 */     // GIR_Coverage, 3403,
     /*  341965 */     GIR_EraseRootFromParent_Done,
     /*  341966 */   // Label 6402: @341966
     /*  341966 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(342052), // Rule ID 3406 //
     /*  341971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342018 */     // MIs[1] Operand 1
     /*  342018 */     // No operand predicates
     /*  342018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342050 */     GIR_RootConstrainSelectedInstOperands,
     /*  342051 */     // GIR_Coverage, 3406,
     /*  342051 */     GIR_EraseRootFromParent_Done,
     /*  342052 */   // Label 6403: @342052
     /*  342052 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(342138), // Rule ID 3407 //
     /*  342057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342104 */     // MIs[1] Operand 1
     /*  342104 */     // No operand predicates
     /*  342104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342136 */     GIR_RootConstrainSelectedInstOperands,
     /*  342137 */     // GIR_Coverage, 3407,
     /*  342137 */     GIR_EraseRootFromParent_Done,
     /*  342138 */   // Label 6404: @342138
     /*  342138 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(342224), // Rule ID 3410 //
     /*  342143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342190 */     // MIs[1] Operand 1
     /*  342190 */     // No operand predicates
     /*  342190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  342202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342222 */     GIR_RootConstrainSelectedInstOperands,
     /*  342223 */     // GIR_Coverage, 3410,
     /*  342223 */     GIR_EraseRootFromParent_Done,
     /*  342224 */   // Label 6405: @342224
     /*  342224 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(342310), // Rule ID 3411 //
     /*  342229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  342240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  342243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  342246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342276 */     // MIs[1] Operand 1
     /*  342276 */     // No operand predicates
     /*  342276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342285 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  342288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342308 */     GIR_RootConstrainSelectedInstOperands,
     /*  342309 */     // GIR_Coverage, 3411,
     /*  342309 */     GIR_EraseRootFromParent_Done,
     /*  342310 */   // Label 6406: @342310
     /*  342310 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(342396), // Rule ID 3414 //
     /*  342315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342362 */     // MIs[1] Operand 1
     /*  342362 */     // No operand predicates
     /*  342362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342394 */     GIR_RootConstrainSelectedInstOperands,
     /*  342395 */     // GIR_Coverage, 3414,
     /*  342395 */     GIR_EraseRootFromParent_Done,
     /*  342396 */   // Label 6407: @342396
     /*  342396 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(342482), // Rule ID 3415 //
     /*  342401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342448 */     // MIs[1] Operand 1
     /*  342448 */     // No operand predicates
     /*  342448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342480 */     GIR_RootConstrainSelectedInstOperands,
     /*  342481 */     // GIR_Coverage, 3415,
     /*  342481 */     GIR_EraseRootFromParent_Done,
     /*  342482 */   // Label 6408: @342482
     /*  342482 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(342568), // Rule ID 3418 //
     /*  342487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342534 */     // MIs[1] Operand 1
     /*  342534 */     // No operand predicates
     /*  342534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342566 */     GIR_RootConstrainSelectedInstOperands,
     /*  342567 */     // GIR_Coverage, 3418,
     /*  342567 */     GIR_EraseRootFromParent_Done,
     /*  342568 */   // Label 6409: @342568
     /*  342568 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(342654), // Rule ID 3419 //
     /*  342573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342620 */     // MIs[1] Operand 1
     /*  342620 */     // No operand predicates
     /*  342620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342652 */     GIR_RootConstrainSelectedInstOperands,
     /*  342653 */     // GIR_Coverage, 3419,
     /*  342653 */     GIR_EraseRootFromParent_Done,
     /*  342654 */   // Label 6410: @342654
     /*  342654 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(342740), // Rule ID 3422 //
     /*  342659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342706 */     // MIs[1] Operand 1
     /*  342706 */     // No operand predicates
     /*  342706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  342718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342738 */     GIR_RootConstrainSelectedInstOperands,
     /*  342739 */     // GIR_Coverage, 3422,
     /*  342739 */     GIR_EraseRootFromParent_Done,
     /*  342740 */   // Label 6411: @342740
     /*  342740 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(342826), // Rule ID 3423 //
     /*  342745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  342762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342792 */     // MIs[1] Operand 1
     /*  342792 */     // No operand predicates
     /*  342792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  342804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342824 */     GIR_RootConstrainSelectedInstOperands,
     /*  342825 */     // GIR_Coverage, 3423,
     /*  342825 */     GIR_EraseRootFromParent_Done,
     /*  342826 */   // Label 6412: @342826
     /*  342826 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(342912), // Rule ID 3426 //
     /*  342831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  342834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342878 */     // MIs[1] Operand 1
     /*  342878 */     // No operand predicates
     /*  342878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342910 */     GIR_RootConstrainSelectedInstOperands,
     /*  342911 */     // GIR_Coverage, 3426,
     /*  342911 */     GIR_EraseRootFromParent_Done,
     /*  342912 */   // Label 6413: @342912
     /*  342912 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(342998), // Rule ID 3427 //
     /*  342917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  342920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  342934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342964 */     // MIs[1] Operand 1
     /*  342964 */     // No operand predicates
     /*  342964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342996 */     GIR_RootConstrainSelectedInstOperands,
     /*  342997 */     // GIR_Coverage, 3427,
     /*  342997 */     GIR_EraseRootFromParent_Done,
     /*  342998 */   // Label 6414: @342998
     /*  342998 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(343084), // Rule ID 3430 //
     /*  343003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  343006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343050 */     // MIs[1] Operand 1
     /*  343050 */     // No operand predicates
     /*  343050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343082 */     GIR_RootConstrainSelectedInstOperands,
     /*  343083 */     // GIR_Coverage, 3430,
     /*  343083 */     GIR_EraseRootFromParent_Done,
     /*  343084 */   // Label 6415: @343084
     /*  343084 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(343170), // Rule ID 3431 //
     /*  343089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  343092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343136 */     // MIs[1] Operand 1
     /*  343136 */     // No operand predicates
     /*  343136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343168 */     GIR_RootConstrainSelectedInstOperands,
     /*  343169 */     // GIR_Coverage, 3431,
     /*  343169 */     GIR_EraseRootFromParent_Done,
     /*  343170 */   // Label 6416: @343170
     /*  343170 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(343256), // Rule ID 3434 //
     /*  343175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  343178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343222 */     // MIs[1] Operand 1
     /*  343222 */     // No operand predicates
     /*  343222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  343234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343254 */     GIR_RootConstrainSelectedInstOperands,
     /*  343255 */     // GIR_Coverage, 3434,
     /*  343255 */     GIR_EraseRootFromParent_Done,
     /*  343256 */   // Label 6417: @343256
     /*  343256 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(343342), // Rule ID 3435 //
     /*  343261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  343264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343308 */     // MIs[1] Operand 1
     /*  343308 */     // No operand predicates
     /*  343308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  343320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343340 */     GIR_RootConstrainSelectedInstOperands,
     /*  343341 */     // GIR_Coverage, 3435,
     /*  343341 */     GIR_EraseRootFromParent_Done,
     /*  343342 */   // Label 6418: @343342
     /*  343342 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(343428), // Rule ID 5798 //
     /*  343347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  343358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  343361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  343364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343394 */     // MIs[1] Operand 1
     /*  343394 */     // No operand predicates
     /*  343394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  343403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  343406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343426 */     GIR_RootConstrainSelectedInstOperands,
     /*  343427 */     // GIR_Coverage, 5798,
     /*  343427 */     GIR_EraseRootFromParent_Done,
     /*  343428 */   // Label 6419: @343428
     /*  343428 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(343514), // Rule ID 5799 //
     /*  343433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  343444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  343447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  343450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343480 */     // MIs[1] Operand 1
     /*  343480 */     // No operand predicates
     /*  343480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  343489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  343492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343512 */     GIR_RootConstrainSelectedInstOperands,
     /*  343513 */     // GIR_Coverage, 5799,
     /*  343513 */     GIR_EraseRootFromParent_Done,
     /*  343514 */   // Label 6420: @343514
     /*  343514 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(343600), // Rule ID 5802 //
     /*  343519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  343530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  343533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  343536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343566 */     // MIs[1] Operand 1
     /*  343566 */     // No operand predicates
     /*  343566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343575 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  343575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  343578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343598 */     GIR_RootConstrainSelectedInstOperands,
     /*  343599 */     // GIR_Coverage, 5802,
     /*  343599 */     GIR_EraseRootFromParent_Done,
     /*  343600 */   // Label 6421: @343600
     /*  343600 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(343686), // Rule ID 5803 //
     /*  343605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  343616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  343619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  343622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343652 */     // MIs[1] Operand 1
     /*  343652 */     // No operand predicates
     /*  343652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  343661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  343664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343684 */     GIR_RootConstrainSelectedInstOperands,
     /*  343685 */     // GIR_Coverage, 5803,
     /*  343685 */     GIR_EraseRootFromParent_Done,
     /*  343686 */   // Label 6422: @343686
     /*  343686 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(343772), // Rule ID 5806 //
     /*  343691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  343702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  343705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  343708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343738 */     // MIs[1] Operand 1
     /*  343738 */     // No operand predicates
     /*  343738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  343747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  343750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343770 */     GIR_RootConstrainSelectedInstOperands,
     /*  343771 */     // GIR_Coverage, 5806,
     /*  343771 */     GIR_EraseRootFromParent_Done,
     /*  343772 */   // Label 6423: @343772
     /*  343772 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(343858), // Rule ID 5807 //
     /*  343777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  343788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  343791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  343794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343824 */     // MIs[1] Operand 1
     /*  343824 */     // No operand predicates
     /*  343824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343833 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  343833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  343836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343856 */     GIR_RootConstrainSelectedInstOperands,
     /*  343857 */     // GIR_Coverage, 5807,
     /*  343857 */     GIR_EraseRootFromParent_Done,
     /*  343858 */   // Label 6424: @343858
     /*  343858 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(343944), // Rule ID 5810 //
     /*  343863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343910 */     // MIs[1] Operand 1
     /*  343910 */     // No operand predicates
     /*  343910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  343922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343942 */     GIR_RootConstrainSelectedInstOperands,
     /*  343943 */     // GIR_Coverage, 5810,
     /*  343943 */     GIR_EraseRootFromParent_Done,
     /*  343944 */   // Label 6425: @343944
     /*  343944 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(344030), // Rule ID 5811 //
     /*  343949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  343957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343996 */     // MIs[1] Operand 1
     /*  343996 */     // No operand predicates
     /*  343996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  344008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344028 */     GIR_RootConstrainSelectedInstOperands,
     /*  344029 */     // GIR_Coverage, 5811,
     /*  344029 */     GIR_EraseRootFromParent_Done,
     /*  344030 */   // Label 6426: @344030
     /*  344030 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(344116), // Rule ID 5814 //
     /*  344035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  344046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  344049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344082 */     // MIs[1] Operand 1
     /*  344082 */     // No operand predicates
     /*  344082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  344094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344114 */     GIR_RootConstrainSelectedInstOperands,
     /*  344115 */     // GIR_Coverage, 5814,
     /*  344115 */     GIR_EraseRootFromParent_Done,
     /*  344116 */   // Label 6427: @344116
     /*  344116 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(344202), // Rule ID 5815 //
     /*  344121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  344132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  344135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344168 */     // MIs[1] Operand 1
     /*  344168 */     // No operand predicates
     /*  344168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  344180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344200 */     GIR_RootConstrainSelectedInstOperands,
     /*  344201 */     // GIR_Coverage, 5815,
     /*  344201 */     GIR_EraseRootFromParent_Done,
     /*  344202 */   // Label 6428: @344202
     /*  344202 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(344288), // Rule ID 5818 //
     /*  344207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344254 */     // MIs[1] Operand 1
     /*  344254 */     // No operand predicates
     /*  344254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344263 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  344266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344286 */     GIR_RootConstrainSelectedInstOperands,
     /*  344287 */     // GIR_Coverage, 5818,
     /*  344287 */     GIR_EraseRootFromParent_Done,
     /*  344288 */   // Label 6429: @344288
     /*  344288 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(344374), // Rule ID 5819 //
     /*  344293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344340 */     // MIs[1] Operand 1
     /*  344340 */     // No operand predicates
     /*  344340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  344352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344372 */     GIR_RootConstrainSelectedInstOperands,
     /*  344373 */     // GIR_Coverage, 5819,
     /*  344373 */     GIR_EraseRootFromParent_Done,
     /*  344374 */   // Label 6430: @344374
     /*  344374 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(344460), // Rule ID 5822 //
     /*  344379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  344390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  344393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  344396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344426 */     // MIs[1] Operand 1
     /*  344426 */     // No operand predicates
     /*  344426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344458 */     GIR_RootConstrainSelectedInstOperands,
     /*  344459 */     // GIR_Coverage, 5822,
     /*  344459 */     GIR_EraseRootFromParent_Done,
     /*  344460 */   // Label 6431: @344460
     /*  344460 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(344546), // Rule ID 5823 //
     /*  344465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  344476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  344479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  344482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344512 */     // MIs[1] Operand 1
     /*  344512 */     // No operand predicates
     /*  344512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344521 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344544 */     GIR_RootConstrainSelectedInstOperands,
     /*  344545 */     // GIR_Coverage, 5823,
     /*  344545 */     GIR_EraseRootFromParent_Done,
     /*  344546 */   // Label 6432: @344546
     /*  344546 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(344632), // Rule ID 5826 //
     /*  344551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344598 */     // MIs[1] Operand 1
     /*  344598 */     // No operand predicates
     /*  344598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344630 */     GIR_RootConstrainSelectedInstOperands,
     /*  344631 */     // GIR_Coverage, 5826,
     /*  344631 */     GIR_EraseRootFromParent_Done,
     /*  344632 */   // Label 6433: @344632
     /*  344632 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(344718), // Rule ID 5827 //
     /*  344637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344684 */     // MIs[1] Operand 1
     /*  344684 */     // No operand predicates
     /*  344684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344716 */     GIR_RootConstrainSelectedInstOperands,
     /*  344717 */     // GIR_Coverage, 5827,
     /*  344717 */     GIR_EraseRootFromParent_Done,
     /*  344718 */   // Label 6434: @344718
     /*  344718 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(344804), // Rule ID 5830 //
     /*  344723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344770 */     // MIs[1] Operand 1
     /*  344770 */     // No operand predicates
     /*  344770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344802 */     GIR_RootConstrainSelectedInstOperands,
     /*  344803 */     // GIR_Coverage, 5830,
     /*  344803 */     GIR_EraseRootFromParent_Done,
     /*  344804 */   // Label 6435: @344804
     /*  344804 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(344890), // Rule ID 5831 //
     /*  344809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344856 */     // MIs[1] Operand 1
     /*  344856 */     // No operand predicates
     /*  344856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344888 */     GIR_RootConstrainSelectedInstOperands,
     /*  344889 */     // GIR_Coverage, 5831,
     /*  344889 */     GIR_EraseRootFromParent_Done,
     /*  344890 */   // Label 6436: @344890
     /*  344890 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(344976), // Rule ID 5834 //
     /*  344895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  344898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344942 */     // MIs[1] Operand 1
     /*  344942 */     // No operand predicates
     /*  344942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  344954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344974 */     GIR_RootConstrainSelectedInstOperands,
     /*  344975 */     // GIR_Coverage, 5834,
     /*  344975 */     GIR_EraseRootFromParent_Done,
     /*  344976 */   // Label 6437: @344976
     /*  344976 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(345062), // Rule ID 5835 //
     /*  344981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  344984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345028 */     // MIs[1] Operand 1
     /*  345028 */     // No operand predicates
     /*  345028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  345040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345060 */     GIR_RootConstrainSelectedInstOperands,
     /*  345061 */     // GIR_Coverage, 5835,
     /*  345061 */     GIR_EraseRootFromParent_Done,
     /*  345062 */   // Label 6438: @345062
     /*  345062 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(345148), // Rule ID 5838 //
     /*  345067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  345078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  345081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345114 */     // MIs[1] Operand 1
     /*  345114 */     // No operand predicates
     /*  345114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  345126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345146 */     GIR_RootConstrainSelectedInstOperands,
     /*  345147 */     // GIR_Coverage, 5838,
     /*  345147 */     GIR_EraseRootFromParent_Done,
     /*  345148 */   // Label 6439: @345148
     /*  345148 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(345234), // Rule ID 5839 //
     /*  345153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  345164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  345167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  345170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345200 */     // MIs[1] Operand 1
     /*  345200 */     // No operand predicates
     /*  345200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  345212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345232 */     GIR_RootConstrainSelectedInstOperands,
     /*  345233 */     // GIR_Coverage, 5839,
     /*  345233 */     GIR_EraseRootFromParent_Done,
     /*  345234 */   // Label 6440: @345234
     /*  345234 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(345320), // Rule ID 5842 //
     /*  345239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  345250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  345253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345286 */     // MIs[1] Operand 1
     /*  345286 */     // No operand predicates
     /*  345286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345295 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  345298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345318 */     GIR_RootConstrainSelectedInstOperands,
     /*  345319 */     // GIR_Coverage, 5842,
     /*  345319 */     GIR_EraseRootFromParent_Done,
     /*  345320 */   // Label 6441: @345320
     /*  345320 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(345406), // Rule ID 5843 //
     /*  345325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  345336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  345339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  345342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345372 */     // MIs[1] Operand 1
     /*  345372 */     // No operand predicates
     /*  345372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345381 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  345384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345404 */     GIR_RootConstrainSelectedInstOperands,
     /*  345405 */     // GIR_Coverage, 5843,
     /*  345405 */     GIR_EraseRootFromParent_Done,
     /*  345406 */   // Label 6442: @345406
     /*  345406 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(345492), // Rule ID 5846 //
     /*  345411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  345422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  345425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  345428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345458 */     // MIs[1] Operand 1
     /*  345458 */     // No operand predicates
     /*  345458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  345470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345490 */     GIR_RootConstrainSelectedInstOperands,
     /*  345491 */     // GIR_Coverage, 5846,
     /*  345491 */     GIR_EraseRootFromParent_Done,
     /*  345492 */   // Label 6443: @345492
     /*  345492 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(345578), // Rule ID 5847 //
     /*  345497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  345508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  345511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  345514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345544 */     // MIs[1] Operand 1
     /*  345544 */     // No operand predicates
     /*  345544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345553 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  345556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345576 */     GIR_RootConstrainSelectedInstOperands,
     /*  345577 */     // GIR_Coverage, 5847,
     /*  345577 */     GIR_EraseRootFromParent_Done,
     /*  345578 */   // Label 6444: @345578
     /*  345578 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(345664), // Rule ID 5850 //
     /*  345583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345630 */     // MIs[1] Operand 1
     /*  345630 */     // No operand predicates
     /*  345630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  345642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345662 */     GIR_RootConstrainSelectedInstOperands,
     /*  345663 */     // GIR_Coverage, 5850,
     /*  345663 */     GIR_EraseRootFromParent_Done,
     /*  345664 */   // Label 6445: @345664
     /*  345664 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(345750), // Rule ID 5851 //
     /*  345669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345716 */     // MIs[1] Operand 1
     /*  345716 */     // No operand predicates
     /*  345716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  345728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345748 */     GIR_RootConstrainSelectedInstOperands,
     /*  345749 */     // GIR_Coverage, 5851,
     /*  345749 */     GIR_EraseRootFromParent_Done,
     /*  345750 */   // Label 6446: @345750
     /*  345750 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(345836), // Rule ID 5854 //
     /*  345755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345802 */     // MIs[1] Operand 1
     /*  345802 */     // No operand predicates
     /*  345802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  345814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345834 */     GIR_RootConstrainSelectedInstOperands,
     /*  345835 */     // GIR_Coverage, 5854,
     /*  345835 */     GIR_EraseRootFromParent_Done,
     /*  345836 */   // Label 6447: @345836
     /*  345836 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(345922), // Rule ID 5855 //
     /*  345841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345888 */     // MIs[1] Operand 1
     /*  345888 */     // No operand predicates
     /*  345888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  345900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345920 */     GIR_RootConstrainSelectedInstOperands,
     /*  345921 */     // GIR_Coverage, 5855,
     /*  345921 */     GIR_EraseRootFromParent_Done,
     /*  345922 */   // Label 6448: @345922
     /*  345922 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(346008), // Rule ID 5858 //
     /*  345927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  345944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345974 */     // MIs[1] Operand 1
     /*  345974 */     // No operand predicates
     /*  345974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  345986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346006 */     GIR_RootConstrainSelectedInstOperands,
     /*  346007 */     // GIR_Coverage, 5858,
     /*  346007 */     GIR_EraseRootFromParent_Done,
     /*  346008 */   // Label 6449: @346008
     /*  346008 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(346094), // Rule ID 5859 //
     /*  346013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346060 */     // MIs[1] Operand 1
     /*  346060 */     // No operand predicates
     /*  346060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  346072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346092 */     GIR_RootConstrainSelectedInstOperands,
     /*  346093 */     // GIR_Coverage, 5859,
     /*  346093 */     GIR_EraseRootFromParent_Done,
     /*  346094 */   // Label 6450: @346094
     /*  346094 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(346180), // Rule ID 5862 //
     /*  346099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346146 */     // MIs[1] Operand 1
     /*  346146 */     // No operand predicates
     /*  346146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346178 */     GIR_RootConstrainSelectedInstOperands,
     /*  346179 */     // GIR_Coverage, 5862,
     /*  346179 */     GIR_EraseRootFromParent_Done,
     /*  346180 */   // Label 6451: @346180
     /*  346180 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(346266), // Rule ID 5863 //
     /*  346185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  346202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346232 */     // MIs[1] Operand 1
     /*  346232 */     // No operand predicates
     /*  346232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346264 */     GIR_RootConstrainSelectedInstOperands,
     /*  346265 */     // GIR_Coverage, 5863,
     /*  346265 */     GIR_EraseRootFromParent_Done,
     /*  346266 */   // Label 6452: @346266
     /*  346266 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(346352), // Rule ID 5866 //
     /*  346271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346318 */     // MIs[1] Operand 1
     /*  346318 */     // No operand predicates
     /*  346318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346350 */     GIR_RootConstrainSelectedInstOperands,
     /*  346351 */     // GIR_Coverage, 5866,
     /*  346351 */     GIR_EraseRootFromParent_Done,
     /*  346352 */   // Label 6453: @346352
     /*  346352 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(346438), // Rule ID 5867 //
     /*  346357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  346374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346404 */     // MIs[1] Operand 1
     /*  346404 */     // No operand predicates
     /*  346404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346436 */     GIR_RootConstrainSelectedInstOperands,
     /*  346437 */     // GIR_Coverage, 5867,
     /*  346437 */     GIR_EraseRootFromParent_Done,
     /*  346438 */   // Label 6454: @346438
     /*  346438 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(346524), // Rule ID 5870 //
     /*  346443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346490 */     // MIs[1] Operand 1
     /*  346490 */     // No operand predicates
     /*  346490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  346502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346522 */     GIR_RootConstrainSelectedInstOperands,
     /*  346523 */     // GIR_Coverage, 5870,
     /*  346523 */     GIR_EraseRootFromParent_Done,
     /*  346524 */   // Label 6455: @346524
     /*  346524 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(346610), // Rule ID 5871 //
     /*  346529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  346540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  346543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  346546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346576 */     // MIs[1] Operand 1
     /*  346576 */     // No operand predicates
     /*  346576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  346588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346608 */     GIR_RootConstrainSelectedInstOperands,
     /*  346609 */     // GIR_Coverage, 5871,
     /*  346609 */     GIR_EraseRootFromParent_Done,
     /*  346610 */   // Label 6456: @346610
     /*  346610 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(346696), // Rule ID 5874 //
     /*  346615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  346618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  346632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346662 */     // MIs[1] Operand 1
     /*  346662 */     // No operand predicates
     /*  346662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346671 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346694 */     GIR_RootConstrainSelectedInstOperands,
     /*  346695 */     // GIR_Coverage, 5874,
     /*  346695 */     GIR_EraseRootFromParent_Done,
     /*  346696 */   // Label 6457: @346696
     /*  346696 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(346782), // Rule ID 5875 //
     /*  346701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  346704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  346712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  346715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  346718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346748 */     // MIs[1] Operand 1
     /*  346748 */     // No operand predicates
     /*  346748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346780 */     GIR_RootConstrainSelectedInstOperands,
     /*  346781 */     // GIR_Coverage, 5875,
     /*  346781 */     GIR_EraseRootFromParent_Done,
     /*  346782 */   // Label 6458: @346782
     /*  346782 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(346868), // Rule ID 5878 //
     /*  346787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  346790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  346804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346834 */     // MIs[1] Operand 1
     /*  346834 */     // No operand predicates
     /*  346834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346866 */     GIR_RootConstrainSelectedInstOperands,
     /*  346867 */     // GIR_Coverage, 5878,
     /*  346867 */     GIR_EraseRootFromParent_Done,
     /*  346868 */   // Label 6459: @346868
     /*  346868 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(346954), // Rule ID 5879 //
     /*  346873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  346876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  346884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  346887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  346890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346920 */     // MIs[1] Operand 1
     /*  346920 */     // No operand predicates
     /*  346920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346952 */     GIR_RootConstrainSelectedInstOperands,
     /*  346953 */     // GIR_Coverage, 5879,
     /*  346953 */     GIR_EraseRootFromParent_Done,
     /*  346954 */   // Label 6460: @346954
     /*  346954 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(347040), // Rule ID 5882 //
     /*  346959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  346962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  346970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  346973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  346976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347006 */     // MIs[1] Operand 1
     /*  347006 */     // No operand predicates
     /*  347006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347015 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347038 */     GIR_RootConstrainSelectedInstOperands,
     /*  347039 */     // GIR_Coverage, 5882,
     /*  347039 */     GIR_EraseRootFromParent_Done,
     /*  347040 */   // Label 6461: @347040
     /*  347040 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(347126), // Rule ID 5883 //
     /*  347045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  347048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347092 */     // MIs[1] Operand 1
     /*  347092 */     // No operand predicates
     /*  347092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347124 */     GIR_RootConstrainSelectedInstOperands,
     /*  347125 */     // GIR_Coverage, 5883,
     /*  347125 */     GIR_EraseRootFromParent_Done,
     /*  347126 */   // Label 6462: @347126
     /*  347126 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(347212), // Rule ID 6062 //
     /*  347131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  347142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  347145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347178 */     // MIs[1] Operand 1
     /*  347178 */     // No operand predicates
     /*  347178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  347190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347210 */     GIR_RootConstrainSelectedInstOperands,
     /*  347211 */     // GIR_Coverage, 6062,
     /*  347211 */     GIR_EraseRootFromParent_Done,
     /*  347212 */   // Label 6463: @347212
     /*  347212 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(347298), // Rule ID 6063 //
     /*  347217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  347228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  347231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  347234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347264 */     // MIs[1] Operand 1
     /*  347264 */     // No operand predicates
     /*  347264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  347276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347296 */     GIR_RootConstrainSelectedInstOperands,
     /*  347297 */     // GIR_Coverage, 6063,
     /*  347297 */     GIR_EraseRootFromParent_Done,
     /*  347298 */   // Label 6464: @347298
     /*  347298 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(347384), // Rule ID 6066 //
     /*  347303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  347314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  347317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347350 */     // MIs[1] Operand 1
     /*  347350 */     // No operand predicates
     /*  347350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347359 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  347362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347382 */     GIR_RootConstrainSelectedInstOperands,
     /*  347383 */     // GIR_Coverage, 6066,
     /*  347383 */     GIR_EraseRootFromParent_Done,
     /*  347384 */   // Label 6465: @347384
     /*  347384 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(347470), // Rule ID 6067 //
     /*  347389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  347400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  347403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  347406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347436 */     // MIs[1] Operand 1
     /*  347436 */     // No operand predicates
     /*  347436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  347448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347468 */     GIR_RootConstrainSelectedInstOperands,
     /*  347469 */     // GIR_Coverage, 6067,
     /*  347469 */     GIR_EraseRootFromParent_Done,
     /*  347470 */   // Label 6466: @347470
     /*  347470 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(347556), // Rule ID 6070 //
     /*  347475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  347486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  347489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347522 */     // MIs[1] Operand 1
     /*  347522 */     // No operand predicates
     /*  347522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347531 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  347531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  347534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347554 */     GIR_RootConstrainSelectedInstOperands,
     /*  347555 */     // GIR_Coverage, 6070,
     /*  347555 */     GIR_EraseRootFromParent_Done,
     /*  347556 */   // Label 6467: @347556
     /*  347556 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(347642), // Rule ID 6071 //
     /*  347561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  347572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  347575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  347578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347608 */     // MIs[1] Operand 1
     /*  347608 */     // No operand predicates
     /*  347608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347617 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  347617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  347620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347640 */     GIR_RootConstrainSelectedInstOperands,
     /*  347641 */     // GIR_Coverage, 6071,
     /*  347641 */     GIR_EraseRootFromParent_Done,
     /*  347642 */   // Label 6468: @347642
     /*  347642 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(347728), // Rule ID 6074 //
     /*  347647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347694 */     // MIs[1] Operand 1
     /*  347694 */     // No operand predicates
     /*  347694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347703 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  347706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347726 */     GIR_RootConstrainSelectedInstOperands,
     /*  347727 */     // GIR_Coverage, 6074,
     /*  347727 */     GIR_EraseRootFromParent_Done,
     /*  347728 */   // Label 6469: @347728
     /*  347728 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(347814), // Rule ID 6075 //
     /*  347733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347780 */     // MIs[1] Operand 1
     /*  347780 */     // No operand predicates
     /*  347780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  347792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347812 */     GIR_RootConstrainSelectedInstOperands,
     /*  347813 */     // GIR_Coverage, 6075,
     /*  347813 */     GIR_EraseRootFromParent_Done,
     /*  347814 */   // Label 6470: @347814
     /*  347814 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(347900), // Rule ID 6078 //
     /*  347819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347866 */     // MIs[1] Operand 1
     /*  347866 */     // No operand predicates
     /*  347866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  347878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347898 */     GIR_RootConstrainSelectedInstOperands,
     /*  347899 */     // GIR_Coverage, 6078,
     /*  347899 */     GIR_EraseRootFromParent_Done,
     /*  347900 */   // Label 6471: @347900
     /*  347900 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(347986), // Rule ID 6079 //
     /*  347905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347952 */     // MIs[1] Operand 1
     /*  347952 */     // No operand predicates
     /*  347952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347961 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  347964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347984 */     GIR_RootConstrainSelectedInstOperands,
     /*  347985 */     // GIR_Coverage, 6079,
     /*  347985 */     GIR_EraseRootFromParent_Done,
     /*  347986 */   // Label 6472: @347986
     /*  347986 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(348072), // Rule ID 6082 //
     /*  347991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  347999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348038 */     // MIs[1] Operand 1
     /*  348038 */     // No operand predicates
     /*  348038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  348050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348070 */     GIR_RootConstrainSelectedInstOperands,
     /*  348071 */     // GIR_Coverage, 6082,
     /*  348071 */     GIR_EraseRootFromParent_Done,
     /*  348072 */   // Label 6473: @348072
     /*  348072 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(348158), // Rule ID 6083 //
     /*  348077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348124 */     // MIs[1] Operand 1
     /*  348124 */     // No operand predicates
     /*  348124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  348136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348156 */     GIR_RootConstrainSelectedInstOperands,
     /*  348157 */     // GIR_Coverage, 6083,
     /*  348157 */     GIR_EraseRootFromParent_Done,
     /*  348158 */   // Label 6474: @348158
     /*  348158 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(348244), // Rule ID 6086 //
     /*  348163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  348174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  348177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  348180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348210 */     // MIs[1] Operand 1
     /*  348210 */     // No operand predicates
     /*  348210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348219 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348242 */     GIR_RootConstrainSelectedInstOperands,
     /*  348243 */     // GIR_Coverage, 6086,
     /*  348243 */     GIR_EraseRootFromParent_Done,
     /*  348244 */   // Label 6475: @348244
     /*  348244 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(348330), // Rule ID 6087 //
     /*  348249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  348260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  348263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  348266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348296 */     // MIs[1] Operand 1
     /*  348296 */     // No operand predicates
     /*  348296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348328 */     GIR_RootConstrainSelectedInstOperands,
     /*  348329 */     // GIR_Coverage, 6087,
     /*  348329 */     GIR_EraseRootFromParent_Done,
     /*  348330 */   // Label 6476: @348330
     /*  348330 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(348416), // Rule ID 6090 //
     /*  348335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348382 */     // MIs[1] Operand 1
     /*  348382 */     // No operand predicates
     /*  348382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348414 */     GIR_RootConstrainSelectedInstOperands,
     /*  348415 */     // GIR_Coverage, 6090,
     /*  348415 */     GIR_EraseRootFromParent_Done,
     /*  348416 */   // Label 6477: @348416
     /*  348416 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(348502), // Rule ID 6091 //
     /*  348421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348468 */     // MIs[1] Operand 1
     /*  348468 */     // No operand predicates
     /*  348468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348500 */     GIR_RootConstrainSelectedInstOperands,
     /*  348501 */     // GIR_Coverage, 6091,
     /*  348501 */     GIR_EraseRootFromParent_Done,
     /*  348502 */   // Label 6478: @348502
     /*  348502 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(348588), // Rule ID 6094 //
     /*  348507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348554 */     // MIs[1] Operand 1
     /*  348554 */     // No operand predicates
     /*  348554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348586 */     GIR_RootConstrainSelectedInstOperands,
     /*  348587 */     // GIR_Coverage, 6094,
     /*  348587 */     GIR_EraseRootFromParent_Done,
     /*  348588 */   // Label 6479: @348588
     /*  348588 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(348674), // Rule ID 6095 //
     /*  348593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348640 */     // MIs[1] Operand 1
     /*  348640 */     // No operand predicates
     /*  348640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348672 */     GIR_RootConstrainSelectedInstOperands,
     /*  348673 */     // GIR_Coverage, 6095,
     /*  348673 */     GIR_EraseRootFromParent_Done,
     /*  348674 */   // Label 6480: @348674
     /*  348674 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(348760), // Rule ID 6098 //
     /*  348679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  348682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  348696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348726 */     // MIs[1] Operand 1
     /*  348726 */     // No operand predicates
     /*  348726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348735 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  348735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348758 */     GIR_RootConstrainSelectedInstOperands,
     /*  348759 */     // GIR_Coverage, 6098,
     /*  348759 */     GIR_EraseRootFromParent_Done,
     /*  348760 */   // Label 6481: @348760
     /*  348760 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(348846), // Rule ID 6099 //
     /*  348765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  348768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  348782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348812 */     // MIs[1] Operand 1
     /*  348812 */     // No operand predicates
     /*  348812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  348821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  348824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348844 */     GIR_RootConstrainSelectedInstOperands,
     /*  348845 */     // GIR_Coverage, 6099,
     /*  348845 */     GIR_EraseRootFromParent_Done,
     /*  348846 */   // Label 6482: @348846
     /*  348846 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(348932), // Rule ID 6102 //
     /*  348851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  348862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  348865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348898 */     // MIs[1] Operand 1
     /*  348898 */     // No operand predicates
     /*  348898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348907 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  348910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348930 */     GIR_RootConstrainSelectedInstOperands,
     /*  348931 */     // GIR_Coverage, 6102,
     /*  348931 */     GIR_EraseRootFromParent_Done,
     /*  348932 */   // Label 6483: @348932
     /*  348932 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(349018), // Rule ID 6103 //
     /*  348937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  348948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  348951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  348954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348984 */     // MIs[1] Operand 1
     /*  348984 */     // No operand predicates
     /*  348984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  348996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349016 */     GIR_RootConstrainSelectedInstOperands,
     /*  349017 */     // GIR_Coverage, 6103,
     /*  349017 */     GIR_EraseRootFromParent_Done,
     /*  349018 */   // Label 6484: @349018
     /*  349018 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(349104), // Rule ID 6106 //
     /*  349023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  349034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  349037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  349040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349070 */     // MIs[1] Operand 1
     /*  349070 */     // No operand predicates
     /*  349070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349079 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  349082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349102 */     GIR_RootConstrainSelectedInstOperands,
     /*  349103 */     // GIR_Coverage, 6106,
     /*  349103 */     GIR_EraseRootFromParent_Done,
     /*  349104 */   // Label 6485: @349104
     /*  349104 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(349190), // Rule ID 6107 //
     /*  349109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  349120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  349123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  349126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349156 */     // MIs[1] Operand 1
     /*  349156 */     // No operand predicates
     /*  349156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349165 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  349168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349188 */     GIR_RootConstrainSelectedInstOperands,
     /*  349189 */     // GIR_Coverage, 6107,
     /*  349189 */     GIR_EraseRootFromParent_Done,
     /*  349190 */   // Label 6486: @349190
     /*  349190 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(349276), // Rule ID 6110 //
     /*  349195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  349206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  349209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  349212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349242 */     // MIs[1] Operand 1
     /*  349242 */     // No operand predicates
     /*  349242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  349254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349274 */     GIR_RootConstrainSelectedInstOperands,
     /*  349275 */     // GIR_Coverage, 6110,
     /*  349275 */     GIR_EraseRootFromParent_Done,
     /*  349276 */   // Label 6487: @349276
     /*  349276 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(349362), // Rule ID 6111 //
     /*  349281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  349292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  349295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  349298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349328 */     // MIs[1] Operand 1
     /*  349328 */     // No operand predicates
     /*  349328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349337 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  349340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349360 */     GIR_RootConstrainSelectedInstOperands,
     /*  349361 */     // GIR_Coverage, 6111,
     /*  349361 */     GIR_EraseRootFromParent_Done,
     /*  349362 */   // Label 6488: @349362
     /*  349362 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(349448), // Rule ID 6114 //
     /*  349367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  349378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  349381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349414 */     // MIs[1] Operand 1
     /*  349414 */     // No operand predicates
     /*  349414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  349426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349446 */     GIR_RootConstrainSelectedInstOperands,
     /*  349447 */     // GIR_Coverage, 6114,
     /*  349447 */     GIR_EraseRootFromParent_Done,
     /*  349448 */   // Label 6489: @349448
     /*  349448 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(349534), // Rule ID 6115 //
     /*  349453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  349464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  349467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349500 */     // MIs[1] Operand 1
     /*  349500 */     // No operand predicates
     /*  349500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  349512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349532 */     GIR_RootConstrainSelectedInstOperands,
     /*  349533 */     // GIR_Coverage, 6115,
     /*  349533 */     GIR_EraseRootFromParent_Done,
     /*  349534 */   // Label 6490: @349534
     /*  349534 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(349620), // Rule ID 6118 //
     /*  349539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  349550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  349553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349586 */     // MIs[1] Operand 1
     /*  349586 */     // No operand predicates
     /*  349586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  349598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349618 */     GIR_RootConstrainSelectedInstOperands,
     /*  349619 */     // GIR_Coverage, 6118,
     /*  349619 */     GIR_EraseRootFromParent_Done,
     /*  349620 */   // Label 6491: @349620
     /*  349620 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(349706), // Rule ID 6119 //
     /*  349625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  349636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  349639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349672 */     // MIs[1] Operand 1
     /*  349672 */     // No operand predicates
     /*  349672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  349684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349704 */     GIR_RootConstrainSelectedInstOperands,
     /*  349705 */     // GIR_Coverage, 6119,
     /*  349705 */     GIR_EraseRootFromParent_Done,
     /*  349706 */   // Label 6492: @349706
     /*  349706 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(349792), // Rule ID 6122 //
     /*  349711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  349722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  349725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  349728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349758 */     // MIs[1] Operand 1
     /*  349758 */     // No operand predicates
     /*  349758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  349770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349790 */     GIR_RootConstrainSelectedInstOperands,
     /*  349791 */     // GIR_Coverage, 6122,
     /*  349791 */     GIR_EraseRootFromParent_Done,
     /*  349792 */   // Label 6493: @349792
     /*  349792 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(349878), // Rule ID 6123 //
     /*  349797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  349808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  349811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  349814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349844 */     // MIs[1] Operand 1
     /*  349844 */     // No operand predicates
     /*  349844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  349856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349876 */     GIR_RootConstrainSelectedInstOperands,
     /*  349877 */     // GIR_Coverage, 6123,
     /*  349877 */     GIR_EraseRootFromParent_Done,
     /*  349878 */   // Label 6494: @349878
     /*  349878 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(349964), // Rule ID 6126 //
     /*  349883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349930 */     // MIs[1] Operand 1
     /*  349930 */     // No operand predicates
     /*  349930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  349942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349962 */     GIR_RootConstrainSelectedInstOperands,
     /*  349963 */     // GIR_Coverage, 6126,
     /*  349963 */     GIR_EraseRootFromParent_Done,
     /*  349964 */   // Label 6495: @349964
     /*  349964 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(350050), // Rule ID 6127 //
     /*  349969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  349986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350016 */     // MIs[1] Operand 1
     /*  350016 */     // No operand predicates
     /*  350016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350048 */     GIR_RootConstrainSelectedInstOperands,
     /*  350049 */     // GIR_Coverage, 6127,
     /*  350049 */     GIR_EraseRootFromParent_Done,
     /*  350050 */   // Label 6496: @350050
     /*  350050 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(350136), // Rule ID 6130 //
     /*  350055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350102 */     // MIs[1] Operand 1
     /*  350102 */     // No operand predicates
     /*  350102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350134 */     GIR_RootConstrainSelectedInstOperands,
     /*  350135 */     // GIR_Coverage, 6130,
     /*  350135 */     GIR_EraseRootFromParent_Done,
     /*  350136 */   // Label 6497: @350136
     /*  350136 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(350222), // Rule ID 6131 //
     /*  350141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350188 */     // MIs[1] Operand 1
     /*  350188 */     // No operand predicates
     /*  350188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350220 */     GIR_RootConstrainSelectedInstOperands,
     /*  350221 */     // GIR_Coverage, 6131,
     /*  350221 */     GIR_EraseRootFromParent_Done,
     /*  350222 */   // Label 6498: @350222
     /*  350222 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(350308), // Rule ID 6134 //
     /*  350227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  350244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350274 */     // MIs[1] Operand 1
     /*  350274 */     // No operand predicates
     /*  350274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350306 */     GIR_RootConstrainSelectedInstOperands,
     /*  350307 */     // GIR_Coverage, 6134,
     /*  350307 */     GIR_EraseRootFromParent_Done,
     /*  350308 */   // Label 6499: @350308
     /*  350308 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(350394), // Rule ID 6135 //
     /*  350313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  350324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  350327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  350330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350360 */     // MIs[1] Operand 1
     /*  350360 */     // No operand predicates
     /*  350360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350369 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350392 */     GIR_RootConstrainSelectedInstOperands,
     /*  350393 */     // GIR_Coverage, 6135,
     /*  350393 */     GIR_EraseRootFromParent_Done,
     /*  350394 */   // Label 6500: @350394
     /*  350394 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(350480), // Rule ID 6138 //
     /*  350399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  350402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  350416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350446 */     // MIs[1] Operand 1
     /*  350446 */     // No operand predicates
     /*  350446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350455 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  350455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350478 */     GIR_RootConstrainSelectedInstOperands,
     /*  350479 */     // GIR_Coverage, 6138,
     /*  350479 */     GIR_EraseRootFromParent_Done,
     /*  350480 */   // Label 6501: @350480
     /*  350480 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(350566), // Rule ID 6139 //
     /*  350485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  350488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  350496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  350499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  350502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350532 */     // MIs[1] Operand 1
     /*  350532 */     // No operand predicates
     /*  350532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350541 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  350541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350564 */     GIR_RootConstrainSelectedInstOperands,
     /*  350565 */     // GIR_Coverage, 6139,
     /*  350565 */     GIR_EraseRootFromParent_Done,
     /*  350566 */   // Label 6502: @350566
     /*  350566 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(350652), // Rule ID 6142 //
     /*  350571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  350574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  350588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350618 */     // MIs[1] Operand 1
     /*  350618 */     // No operand predicates
     /*  350618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  350627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350650 */     GIR_RootConstrainSelectedInstOperands,
     /*  350651 */     // GIR_Coverage, 6142,
     /*  350651 */     GIR_EraseRootFromParent_Done,
     /*  350652 */   // Label 6503: @350652
     /*  350652 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(350738), // Rule ID 6143 //
     /*  350657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  350660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  350674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350704 */     // MIs[1] Operand 1
     /*  350704 */     // No operand predicates
     /*  350704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  350713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350736 */     GIR_RootConstrainSelectedInstOperands,
     /*  350737 */     // GIR_Coverage, 6143,
     /*  350737 */     GIR_EraseRootFromParent_Done,
     /*  350738 */   // Label 6504: @350738
     /*  350738 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(350824), // Rule ID 6146 //
     /*  350743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  350746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  350760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350790 */     // MIs[1] Operand 1
     /*  350790 */     // No operand predicates
     /*  350790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350799 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  350799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350822 */     GIR_RootConstrainSelectedInstOperands,
     /*  350823 */     // GIR_Coverage, 6146,
     /*  350823 */     GIR_EraseRootFromParent_Done,
     /*  350824 */   // Label 6505: @350824
     /*  350824 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(350910), // Rule ID 6147 //
     /*  350829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  350832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  350846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350876 */     // MIs[1] Operand 1
     /*  350876 */     // No operand predicates
     /*  350876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350885 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  350885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350908 */     GIR_RootConstrainSelectedInstOperands,
     /*  350909 */     // GIR_Coverage, 6147,
     /*  350909 */     GIR_EraseRootFromParent_Done,
     /*  350910 */   // Label 6506: @350910
     /*  350910 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(350996), // Rule ID 6326 //
     /*  350915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  350923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  350932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350962 */     // MIs[1] Operand 1
     /*  350962 */     // No operand predicates
     /*  350962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  350974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350994 */     GIR_RootConstrainSelectedInstOperands,
     /*  350995 */     // GIR_Coverage, 6326,
     /*  350995 */     GIR_EraseRootFromParent_Done,
     /*  350996 */   // Label 6507: @350996
     /*  350996 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(351082), // Rule ID 6327 //
     /*  351001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  351012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  351015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  351018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351048 */     // MIs[1] Operand 1
     /*  351048 */     // No operand predicates
     /*  351048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  351060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351080 */     GIR_RootConstrainSelectedInstOperands,
     /*  351081 */     // GIR_Coverage, 6327,
     /*  351081 */     GIR_EraseRootFromParent_Done,
     /*  351082 */   // Label 6508: @351082
     /*  351082 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(351168), // Rule ID 6330 //
     /*  351087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351134 */     // MIs[1] Operand 1
     /*  351134 */     // No operand predicates
     /*  351134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  351146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351166 */     GIR_RootConstrainSelectedInstOperands,
     /*  351167 */     // GIR_Coverage, 6330,
     /*  351167 */     GIR_EraseRootFromParent_Done,
     /*  351168 */   // Label 6509: @351168
     /*  351168 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(351254), // Rule ID 6331 //
     /*  351173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  351190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351220 */     // MIs[1] Operand 1
     /*  351220 */     // No operand predicates
     /*  351220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  351232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351252 */     GIR_RootConstrainSelectedInstOperands,
     /*  351253 */     // GIR_Coverage, 6331,
     /*  351253 */     GIR_EraseRootFromParent_Done,
     /*  351254 */   // Label 6510: @351254
     /*  351254 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(351340), // Rule ID 6334 //
     /*  351259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  351276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351306 */     // MIs[1] Operand 1
     /*  351306 */     // No operand predicates
     /*  351306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351315 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351338 */     GIR_RootConstrainSelectedInstOperands,
     /*  351339 */     // GIR_Coverage, 6334,
     /*  351339 */     GIR_EraseRootFromParent_Done,
     /*  351340 */   // Label 6511: @351340
     /*  351340 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(351426), // Rule ID 6335 //
     /*  351345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  351362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351392 */     // MIs[1] Operand 1
     /*  351392 */     // No operand predicates
     /*  351392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351401 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351424 */     GIR_RootConstrainSelectedInstOperands,
     /*  351425 */     // GIR_Coverage, 6335,
     /*  351425 */     GIR_EraseRootFromParent_Done,
     /*  351426 */   // Label 6512: @351426
     /*  351426 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(351512), // Rule ID 6338 //
     /*  351431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351478 */     // MIs[1] Operand 1
     /*  351478 */     // No operand predicates
     /*  351478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  351490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351510 */     GIR_RootConstrainSelectedInstOperands,
     /*  351511 */     // GIR_Coverage, 6338,
     /*  351511 */     GIR_EraseRootFromParent_Done,
     /*  351512 */   // Label 6513: @351512
     /*  351512 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(351598), // Rule ID 6339 //
     /*  351517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351564 */     // MIs[1] Operand 1
     /*  351564 */     // No operand predicates
     /*  351564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  351576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351596 */     GIR_RootConstrainSelectedInstOperands,
     /*  351597 */     // GIR_Coverage, 6339,
     /*  351597 */     GIR_EraseRootFromParent_Done,
     /*  351598 */   // Label 6514: @351598
     /*  351598 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(351684), // Rule ID 6342 //
     /*  351603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351650 */     // MIs[1] Operand 1
     /*  351650 */     // No operand predicates
     /*  351650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351682 */     GIR_RootConstrainSelectedInstOperands,
     /*  351683 */     // GIR_Coverage, 6342,
     /*  351683 */     GIR_EraseRootFromParent_Done,
     /*  351684 */   // Label 6515: @351684
     /*  351684 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(351770), // Rule ID 6343 //
     /*  351689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351736 */     // MIs[1] Operand 1
     /*  351736 */     // No operand predicates
     /*  351736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351768 */     GIR_RootConstrainSelectedInstOperands,
     /*  351769 */     // GIR_Coverage, 6343,
     /*  351769 */     GIR_EraseRootFromParent_Done,
     /*  351770 */   // Label 6516: @351770
     /*  351770 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(351856), // Rule ID 6346 //
     /*  351775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351822 */     // MIs[1] Operand 1
     /*  351822 */     // No operand predicates
     /*  351822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351831 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351854 */     GIR_RootConstrainSelectedInstOperands,
     /*  351855 */     // GIR_Coverage, 6346,
     /*  351855 */     GIR_EraseRootFromParent_Done,
     /*  351856 */   // Label 6517: @351856
     /*  351856 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(351942), // Rule ID 6347 //
     /*  351861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351908 */     // MIs[1] Operand 1
     /*  351908 */     // No operand predicates
     /*  351908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  351920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351940 */     GIR_RootConstrainSelectedInstOperands,
     /*  351941 */     // GIR_Coverage, 6347,
     /*  351941 */     GIR_EraseRootFromParent_Done,
     /*  351942 */   // Label 6518: @351942
     /*  351942 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(352028), // Rule ID 6350 //
     /*  351947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  351955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  351964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351994 */     // MIs[1] Operand 1
     /*  351994 */     // No operand predicates
     /*  351994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352026 */     GIR_RootConstrainSelectedInstOperands,
     /*  352027 */     // GIR_Coverage, 6350,
     /*  352027 */     GIR_EraseRootFromParent_Done,
     /*  352028 */   // Label 6519: @352028
     /*  352028 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(352114), // Rule ID 6351 //
     /*  352033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  352044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  352047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352080 */     // MIs[1] Operand 1
     /*  352080 */     // No operand predicates
     /*  352080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352112 */     GIR_RootConstrainSelectedInstOperands,
     /*  352113 */     // GIR_Coverage, 6351,
     /*  352113 */     GIR_EraseRootFromParent_Done,
     /*  352114 */   // Label 6520: @352114
     /*  352114 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(352200), // Rule ID 6354 //
     /*  352119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352166 */     // MIs[1] Operand 1
     /*  352166 */     // No operand predicates
     /*  352166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352175 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352198 */     GIR_RootConstrainSelectedInstOperands,
     /*  352199 */     // GIR_Coverage, 6354,
     /*  352199 */     GIR_EraseRootFromParent_Done,
     /*  352200 */   // Label 6521: @352200
     /*  352200 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(352286), // Rule ID 6355 //
     /*  352205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  352222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352252 */     // MIs[1] Operand 1
     /*  352252 */     // No operand predicates
     /*  352252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352284 */     GIR_RootConstrainSelectedInstOperands,
     /*  352285 */     // GIR_Coverage, 6355,
     /*  352285 */     GIR_EraseRootFromParent_Done,
     /*  352286 */   // Label 6522: @352286
     /*  352286 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(352372), // Rule ID 6358 //
     /*  352291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  352308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352338 */     // MIs[1] Operand 1
     /*  352338 */     // No operand predicates
     /*  352338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352370 */     GIR_RootConstrainSelectedInstOperands,
     /*  352371 */     // GIR_Coverage, 6358,
     /*  352371 */     GIR_EraseRootFromParent_Done,
     /*  352372 */   // Label 6523: @352372
     /*  352372 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(352458), // Rule ID 6359 //
     /*  352377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  352394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352424 */     // MIs[1] Operand 1
     /*  352424 */     // No operand predicates
     /*  352424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352456 */     GIR_RootConstrainSelectedInstOperands,
     /*  352457 */     // GIR_Coverage, 6359,
     /*  352457 */     GIR_EraseRootFromParent_Done,
     /*  352458 */   // Label 6524: @352458
     /*  352458 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(352544), // Rule ID 6362 //
     /*  352463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  352466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  352474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  352477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352510 */     // MIs[1] Operand 1
     /*  352510 */     // No operand predicates
     /*  352510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  352519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  352539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352542 */     GIR_RootConstrainSelectedInstOperands,
     /*  352543 */     // GIR_Coverage, 6362,
     /*  352543 */     GIR_EraseRootFromParent_Done,
     /*  352544 */   // Label 6525: @352544
     /*  352544 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(352630), // Rule ID 6363 //
     /*  352549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  352552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  352560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  352563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352596 */     // MIs[1] Operand 1
     /*  352596 */     // No operand predicates
     /*  352596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  352605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  352608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  352625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352628 */     GIR_RootConstrainSelectedInstOperands,
     /*  352629 */     // GIR_Coverage, 6363,
     /*  352629 */     GIR_EraseRootFromParent_Done,
     /*  352630 */   // Label 6526: @352630
     /*  352630 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(352716), // Rule ID 6366 //
     /*  352635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352682 */     // MIs[1] Operand 1
     /*  352682 */     // No operand predicates
     /*  352682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352691 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  352694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352714 */     GIR_RootConstrainSelectedInstOperands,
     /*  352715 */     // GIR_Coverage, 6366,
     /*  352715 */     GIR_EraseRootFromParent_Done,
     /*  352716 */   // Label 6527: @352716
     /*  352716 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(352802), // Rule ID 6367 //
     /*  352721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  352732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  352735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352768 */     // MIs[1] Operand 1
     /*  352768 */     // No operand predicates
     /*  352768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352777 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  352780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352800 */     GIR_RootConstrainSelectedInstOperands,
     /*  352801 */     // GIR_Coverage, 6367,
     /*  352801 */     GIR_EraseRootFromParent_Done,
     /*  352802 */   // Label 6528: @352802
     /*  352802 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(352888), // Rule ID 6370 //
     /*  352807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352854 */     // MIs[1] Operand 1
     /*  352854 */     // No operand predicates
     /*  352854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352863 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  352866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352886 */     GIR_RootConstrainSelectedInstOperands,
     /*  352887 */     // GIR_Coverage, 6370,
     /*  352887 */     GIR_EraseRootFromParent_Done,
     /*  352888 */   // Label 6529: @352888
     /*  352888 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(352974), // Rule ID 6371 //
     /*  352893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  352904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  352907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352940 */     // MIs[1] Operand 1
     /*  352940 */     // No operand predicates
     /*  352940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  352952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352972 */     GIR_RootConstrainSelectedInstOperands,
     /*  352973 */     // GIR_Coverage, 6371,
     /*  352973 */     GIR_EraseRootFromParent_Done,
     /*  352974 */   // Label 6530: @352974
     /*  352974 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(353060), // Rule ID 6374 //
     /*  352979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  352990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  352993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  352996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353026 */     // MIs[1] Operand 1
     /*  353026 */     // No operand predicates
     /*  353026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  353038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353058 */     GIR_RootConstrainSelectedInstOperands,
     /*  353059 */     // GIR_Coverage, 6374,
     /*  353059 */     GIR_EraseRootFromParent_Done,
     /*  353060 */   // Label 6531: @353060
     /*  353060 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(353146), // Rule ID 6375 //
     /*  353065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  353076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  353079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  353082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353112 */     // MIs[1] Operand 1
     /*  353112 */     // No operand predicates
     /*  353112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353121 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  353124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353144 */     GIR_RootConstrainSelectedInstOperands,
     /*  353145 */     // GIR_Coverage, 6375,
     /*  353145 */     GIR_EraseRootFromParent_Done,
     /*  353146 */   // Label 6532: @353146
     /*  353146 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(353232), // Rule ID 6378 //
     /*  353151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353198 */     // MIs[1] Operand 1
     /*  353198 */     // No operand predicates
     /*  353198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353207 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  353210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353230 */     GIR_RootConstrainSelectedInstOperands,
     /*  353231 */     // GIR_Coverage, 6378,
     /*  353231 */     GIR_EraseRootFromParent_Done,
     /*  353232 */   // Label 6533: @353232
     /*  353232 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(353318), // Rule ID 6379 //
     /*  353237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353284 */     // MIs[1] Operand 1
     /*  353284 */     // No operand predicates
     /*  353284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  353296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353316 */     GIR_RootConstrainSelectedInstOperands,
     /*  353317 */     // GIR_Coverage, 6379,
     /*  353317 */     GIR_EraseRootFromParent_Done,
     /*  353318 */   // Label 6534: @353318
     /*  353318 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(353404), // Rule ID 6382 //
     /*  353323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353370 */     // MIs[1] Operand 1
     /*  353370 */     // No operand predicates
     /*  353370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  353382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353402 */     GIR_RootConstrainSelectedInstOperands,
     /*  353403 */     // GIR_Coverage, 6382,
     /*  353403 */     GIR_EraseRootFromParent_Done,
     /*  353404 */   // Label 6535: @353404
     /*  353404 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(353490), // Rule ID 6383 //
     /*  353409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353456 */     // MIs[1] Operand 1
     /*  353456 */     // No operand predicates
     /*  353456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  353468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353488 */     GIR_RootConstrainSelectedInstOperands,
     /*  353489 */     // GIR_Coverage, 6383,
     /*  353489 */     GIR_EraseRootFromParent_Done,
     /*  353490 */   // Label 6536: @353490
     /*  353490 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(353576), // Rule ID 6386 //
     /*  353495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  353506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  353509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353542 */     // MIs[1] Operand 1
     /*  353542 */     // No operand predicates
     /*  353542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353551 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  353554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353574 */     GIR_RootConstrainSelectedInstOperands,
     /*  353575 */     // GIR_Coverage, 6386,
     /*  353575 */     GIR_EraseRootFromParent_Done,
     /*  353576 */   // Label 6537: @353576
     /*  353576 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(353662), // Rule ID 6387 //
     /*  353581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  353592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  353595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  353598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353628 */     // MIs[1] Operand 1
     /*  353628 */     // No operand predicates
     /*  353628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353637 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  353640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353660 */     GIR_RootConstrainSelectedInstOperands,
     /*  353661 */     // GIR_Coverage, 6387,
     /*  353661 */     GIR_EraseRootFromParent_Done,
     /*  353662 */   // Label 6538: @353662
     /*  353662 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(353748), // Rule ID 6390 //
     /*  353667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353714 */     // MIs[1] Operand 1
     /*  353714 */     // No operand predicates
     /*  353714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  353726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353746 */     GIR_RootConstrainSelectedInstOperands,
     /*  353747 */     // GIR_Coverage, 6390,
     /*  353747 */     GIR_EraseRootFromParent_Done,
     /*  353748 */   // Label 6539: @353748
     /*  353748 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(353834), // Rule ID 6391 //
     /*  353753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353800 */     // MIs[1] Operand 1
     /*  353800 */     // No operand predicates
     /*  353800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  353812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353832 */     GIR_RootConstrainSelectedInstOperands,
     /*  353833 */     // GIR_Coverage, 6391,
     /*  353833 */     GIR_EraseRootFromParent_Done,
     /*  353834 */   // Label 6540: @353834
     /*  353834 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(353920), // Rule ID 6394 //
     /*  353839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353886 */     // MIs[1] Operand 1
     /*  353886 */     // No operand predicates
     /*  353886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353895 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  353898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353918 */     GIR_RootConstrainSelectedInstOperands,
     /*  353919 */     // GIR_Coverage, 6394,
     /*  353919 */     GIR_EraseRootFromParent_Done,
     /*  353920 */   // Label 6541: @353920
     /*  353920 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(354006), // Rule ID 6395 //
     /*  353925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353972 */     // MIs[1] Operand 1
     /*  353972 */     // No operand predicates
     /*  353972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  353984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354004 */     GIR_RootConstrainSelectedInstOperands,
     /*  354005 */     // GIR_Coverage, 6395,
     /*  354005 */     GIR_EraseRootFromParent_Done,
     /*  354006 */   // Label 6542: @354006
     /*  354006 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(354092), // Rule ID 6398 //
     /*  354011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354058 */     // MIs[1] Operand 1
     /*  354058 */     // No operand predicates
     /*  354058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354090 */     GIR_RootConstrainSelectedInstOperands,
     /*  354091 */     // GIR_Coverage, 6398,
     /*  354091 */     GIR_EraseRootFromParent_Done,
     /*  354092 */   // Label 6543: @354092
     /*  354092 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(354178), // Rule ID 6399 //
     /*  354097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  354114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354144 */     // MIs[1] Operand 1
     /*  354144 */     // No operand predicates
     /*  354144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354176 */     GIR_RootConstrainSelectedInstOperands,
     /*  354177 */     // GIR_Coverage, 6399,
     /*  354177 */     GIR_EraseRootFromParent_Done,
     /*  354178 */   // Label 6544: @354178
     /*  354178 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(354264), // Rule ID 6402 //
     /*  354183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  354186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354230 */     // MIs[1] Operand 1
     /*  354230 */     // No operand predicates
     /*  354230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  354239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  354242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354262 */     GIR_RootConstrainSelectedInstOperands,
     /*  354263 */     // GIR_Coverage, 6402,
     /*  354263 */     GIR_EraseRootFromParent_Done,
     /*  354264 */   // Label 6545: @354264
     /*  354264 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(354350), // Rule ID 6403 //
     /*  354269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  354272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  354280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  354283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  354286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354316 */     // MIs[1] Operand 1
     /*  354316 */     // No operand predicates
     /*  354316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  354325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  354328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354348 */     GIR_RootConstrainSelectedInstOperands,
     /*  354349 */     // GIR_Coverage, 6403,
     /*  354349 */     GIR_EraseRootFromParent_Done,
     /*  354350 */   // Label 6546: @354350
     /*  354350 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(354436), // Rule ID 6406 //
     /*  354355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  354358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354402 */     // MIs[1] Operand 1
     /*  354402 */     // No operand predicates
     /*  354402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  354411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354434 */     GIR_RootConstrainSelectedInstOperands,
     /*  354435 */     // GIR_Coverage, 6406,
     /*  354435 */     GIR_EraseRootFromParent_Done,
     /*  354436 */   // Label 6547: @354436
     /*  354436 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(354522), // Rule ID 6407 //
     /*  354441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  354444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  354458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354488 */     // MIs[1] Operand 1
     /*  354488 */     // No operand predicates
     /*  354488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  354497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354520 */     GIR_RootConstrainSelectedInstOperands,
     /*  354521 */     // GIR_Coverage, 6407,
     /*  354521 */     GIR_EraseRootFromParent_Done,
     /*  354522 */   // Label 6548: @354522
     /*  354522 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(354608), // Rule ID 6410 //
     /*  354527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  354530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354574 */     // MIs[1] Operand 1
     /*  354574 */     // No operand predicates
     /*  354574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  354583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354606 */     GIR_RootConstrainSelectedInstOperands,
     /*  354607 */     // GIR_Coverage, 6410,
     /*  354607 */     GIR_EraseRootFromParent_Done,
     /*  354608 */   // Label 6549: @354608
     /*  354608 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(354694), // Rule ID 6411 //
     /*  354613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  354616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354660 */     // MIs[1] Operand 1
     /*  354660 */     // No operand predicates
     /*  354660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  354669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  354689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354692 */     GIR_RootConstrainSelectedInstOperands,
     /*  354693 */     // GIR_Coverage, 6411,
     /*  354693 */     GIR_EraseRootFromParent_Done,
     /*  354694 */   // Label 6550: @354694
     /*  354694 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(354780), // Rule ID 6590 //
     /*  354699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  354707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  354710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  354713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  354716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  354746 */     // MIs[1] Operand 1
     /*  354746 */     // No operand predicates
     /*  354746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  354758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354778 */     GIR_RootConstrainSelectedInstOperands,
     /*  354779 */     // GIR_Coverage, 6590,
     /*  354779 */     GIR_EraseRootFromParent_Done,
     /*  354780 */   // Label 6551: @354780
     /*  354780 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(354866), // Rule ID 6591 //
     /*  354785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  354793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  354796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  354799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  354802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  354832 */     // MIs[1] Operand 1
     /*  354832 */     // No operand predicates
     /*  354832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  354844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354864 */     GIR_RootConstrainSelectedInstOperands,
     /*  354865 */     // GIR_Coverage, 6591,
     /*  354865 */     GIR_EraseRootFromParent_Done,
     /*  354866 */   // Label 6552: @354866
     /*  354866 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(354952), // Rule ID 6594 //
     /*  354871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  354879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  354882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  354885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  354888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  354918 */     // MIs[1] Operand 1
     /*  354918 */     // No operand predicates
     /*  354918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  354930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354950 */     GIR_RootConstrainSelectedInstOperands,
     /*  354951 */     // GIR_Coverage, 6594,
     /*  354951 */     GIR_EraseRootFromParent_Done,
     /*  354952 */   // Label 6553: @354952
     /*  354952 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(355038), // Rule ID 6595 //
     /*  354957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  354965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  354968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  354971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  354974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355004 */     // MIs[1] Operand 1
     /*  355004 */     // No operand predicates
     /*  355004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  355016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355036 */     GIR_RootConstrainSelectedInstOperands,
     /*  355037 */     // GIR_Coverage, 6595,
     /*  355037 */     GIR_EraseRootFromParent_Done,
     /*  355038 */   // Label 6554: @355038
     /*  355038 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(355124), // Rule ID 6598 //
     /*  355043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  355060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355090 */     // MIs[1] Operand 1
     /*  355090 */     // No operand predicates
     /*  355090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355122 */     GIR_RootConstrainSelectedInstOperands,
     /*  355123 */     // GIR_Coverage, 6598,
     /*  355123 */     GIR_EraseRootFromParent_Done,
     /*  355124 */   // Label 6555: @355124
     /*  355124 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(355210), // Rule ID 6599 //
     /*  355129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  355146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355176 */     // MIs[1] Operand 1
     /*  355176 */     // No operand predicates
     /*  355176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355185 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355208 */     GIR_RootConstrainSelectedInstOperands,
     /*  355209 */     // GIR_Coverage, 6599,
     /*  355209 */     GIR_EraseRootFromParent_Done,
     /*  355210 */   // Label 6556: @355210
     /*  355210 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(355296), // Rule ID 6602 //
     /*  355215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  355232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355262 */     // MIs[1] Operand 1
     /*  355262 */     // No operand predicates
     /*  355262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  355274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355294 */     GIR_RootConstrainSelectedInstOperands,
     /*  355295 */     // GIR_Coverage, 6602,
     /*  355295 */     GIR_EraseRootFromParent_Done,
     /*  355296 */   // Label 6557: @355296
     /*  355296 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(355382), // Rule ID 6603 //
     /*  355301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  355312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  355315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  355318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355348 */     // MIs[1] Operand 1
     /*  355348 */     // No operand predicates
     /*  355348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355357 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  355360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355380 */     GIR_RootConstrainSelectedInstOperands,
     /*  355381 */     // GIR_Coverage, 6603,
     /*  355381 */     GIR_EraseRootFromParent_Done,
     /*  355382 */   // Label 6558: @355382
     /*  355382 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(355468), // Rule ID 6606 //
     /*  355387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355434 */     // MIs[1] Operand 1
     /*  355434 */     // No operand predicates
     /*  355434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355466 */     GIR_RootConstrainSelectedInstOperands,
     /*  355467 */     // GIR_Coverage, 6606,
     /*  355467 */     GIR_EraseRootFromParent_Done,
     /*  355468 */   // Label 6559: @355468
     /*  355468 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(355554), // Rule ID 6607 //
     /*  355473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  355484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  355487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355520 */     // MIs[1] Operand 1
     /*  355520 */     // No operand predicates
     /*  355520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355529 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  355529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355552 */     GIR_RootConstrainSelectedInstOperands,
     /*  355553 */     // GIR_Coverage, 6607,
     /*  355553 */     GIR_EraseRootFromParent_Done,
     /*  355554 */   // Label 6560: @355554
     /*  355554 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(355640), // Rule ID 6610 //
     /*  355559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355606 */     // MIs[1] Operand 1
     /*  355606 */     // No operand predicates
     /*  355606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355638 */     GIR_RootConstrainSelectedInstOperands,
     /*  355639 */     // GIR_Coverage, 6610,
     /*  355639 */     GIR_EraseRootFromParent_Done,
     /*  355640 */   // Label 6561: @355640
     /*  355640 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(355726), // Rule ID 6611 //
     /*  355645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  355656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  355659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  355662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355692 */     // MIs[1] Operand 1
     /*  355692 */     // No operand predicates
     /*  355692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  355704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355724 */     GIR_RootConstrainSelectedInstOperands,
     /*  355725 */     // GIR_Coverage, 6611,
     /*  355725 */     GIR_EraseRootFromParent_Done,
     /*  355726 */   // Label 6562: @355726
     /*  355726 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(355812), // Rule ID 6614 //
     /*  355731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  355748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355778 */     // MIs[1] Operand 1
     /*  355778 */     // No operand predicates
     /*  355778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  355790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355810 */     GIR_RootConstrainSelectedInstOperands,
     /*  355811 */     // GIR_Coverage, 6614,
     /*  355811 */     GIR_EraseRootFromParent_Done,
     /*  355812 */   // Label 6563: @355812
     /*  355812 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(355898), // Rule ID 6615 //
     /*  355817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  355834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355864 */     // MIs[1] Operand 1
     /*  355864 */     // No operand predicates
     /*  355864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  355876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355896 */     GIR_RootConstrainSelectedInstOperands,
     /*  355897 */     // GIR_Coverage, 6615,
     /*  355897 */     GIR_EraseRootFromParent_Done,
     /*  355898 */   // Label 6564: @355898
     /*  355898 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(355984), // Rule ID 6618 //
     /*  355903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  355914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  355917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  355950 */     // MIs[1] Operand 1
     /*  355950 */     // No operand predicates
     /*  355950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  355959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  355962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  355979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355982 */     GIR_RootConstrainSelectedInstOperands,
     /*  355983 */     // GIR_Coverage, 6618,
     /*  355983 */     GIR_EraseRootFromParent_Done,
     /*  355984 */   // Label 6565: @355984
     /*  355984 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(356070), // Rule ID 6619 //
     /*  355989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  355997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  356000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  356003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  356006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356036 */     // MIs[1] Operand 1
     /*  356036 */     // No operand predicates
     /*  356036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356045 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  356048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356068 */     GIR_RootConstrainSelectedInstOperands,
     /*  356069 */     // GIR_Coverage, 6619,
     /*  356069 */     GIR_EraseRootFromParent_Done,
     /*  356070 */   // Label 6566: @356070
     /*  356070 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(356156), // Rule ID 6622 //
     /*  356075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  356092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356122 */     // MIs[1] Operand 1
     /*  356122 */     // No operand predicates
     /*  356122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  356134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356154 */     GIR_RootConstrainSelectedInstOperands,
     /*  356155 */     // GIR_Coverage, 6622,
     /*  356155 */     GIR_EraseRootFromParent_Done,
     /*  356156 */   // Label 6567: @356156
     /*  356156 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(356242), // Rule ID 6623 //
     /*  356161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  356172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  356175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  356178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356208 */     // MIs[1] Operand 1
     /*  356208 */     // No operand predicates
     /*  356208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  356220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356240 */     GIR_RootConstrainSelectedInstOperands,
     /*  356241 */     // GIR_Coverage, 6623,
     /*  356241 */     GIR_EraseRootFromParent_Done,
     /*  356242 */   // Label 6568: @356242
     /*  356242 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(356328), // Rule ID 6626 //
     /*  356247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  356250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  356258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  356261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356294 */     // MIs[1] Operand 1
     /*  356294 */     // No operand predicates
     /*  356294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  356303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  356306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  356323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356326 */     GIR_RootConstrainSelectedInstOperands,
     /*  356327 */     // GIR_Coverage, 6626,
     /*  356327 */     GIR_EraseRootFromParent_Done,
     /*  356328 */   // Label 6569: @356328
     /*  356328 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(356414), // Rule ID 6627 //
     /*  356333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  356336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  356344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  356347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356380 */     // MIs[1] Operand 1
     /*  356380 */     // No operand predicates
     /*  356380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  356389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  356392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  356409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356412 */     GIR_RootConstrainSelectedInstOperands,
     /*  356413 */     // GIR_Coverage, 6627,
     /*  356413 */     GIR_EraseRootFromParent_Done,
     /*  356414 */   // Label 6570: @356414
     /*  356414 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(356500), // Rule ID 6630 //
     /*  356419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  356430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  356433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  356436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356466 */     // MIs[1] Operand 1
     /*  356466 */     // No operand predicates
     /*  356466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  356478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356498 */     GIR_RootConstrainSelectedInstOperands,
     /*  356499 */     // GIR_Coverage, 6630,
     /*  356499 */     GIR_EraseRootFromParent_Done,
     /*  356500 */   // Label 6571: @356500
     /*  356500 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(356586), // Rule ID 6631 //
     /*  356505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  356516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  356519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  356522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356552 */     // MIs[1] Operand 1
     /*  356552 */     // No operand predicates
     /*  356552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  356564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356584 */     GIR_RootConstrainSelectedInstOperands,
     /*  356585 */     // GIR_Coverage, 6631,
     /*  356585 */     GIR_EraseRootFromParent_Done,
     /*  356586 */   // Label 6572: @356586
     /*  356586 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(356672), // Rule ID 6634 //
     /*  356591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  356602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  356605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  356608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356638 */     // MIs[1] Operand 1
     /*  356638 */     // No operand predicates
     /*  356638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  356650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356670 */     GIR_RootConstrainSelectedInstOperands,
     /*  356671 */     // GIR_Coverage, 6634,
     /*  356671 */     GIR_EraseRootFromParent_Done,
     /*  356672 */   // Label 6573: @356672
     /*  356672 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(356758), // Rule ID 6635 //
     /*  356677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  356688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  356691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  356694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356724 */     // MIs[1] Operand 1
     /*  356724 */     // No operand predicates
     /*  356724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  356736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356756 */     GIR_RootConstrainSelectedInstOperands,
     /*  356757 */     // GIR_Coverage, 6635,
     /*  356757 */     GIR_EraseRootFromParent_Done,
     /*  356758 */   // Label 6574: @356758
     /*  356758 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(356844), // Rule ID 6638 //
     /*  356763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  356774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  356777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  356780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356810 */     // MIs[1] Operand 1
     /*  356810 */     // No operand predicates
     /*  356810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  356822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356842 */     GIR_RootConstrainSelectedInstOperands,
     /*  356843 */     // GIR_Coverage, 6638,
     /*  356843 */     GIR_EraseRootFromParent_Done,
     /*  356844 */   // Label 6575: @356844
     /*  356844 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(356930), // Rule ID 6639 //
     /*  356849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  356860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  356863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  356866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356896 */     // MIs[1] Operand 1
     /*  356896 */     // No operand predicates
     /*  356896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356905 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  356908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356928 */     GIR_RootConstrainSelectedInstOperands,
     /*  356929 */     // GIR_Coverage, 6639,
     /*  356929 */     GIR_EraseRootFromParent_Done,
     /*  356930 */   // Label 6576: @356930
     /*  356930 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(357016), // Rule ID 6642 //
     /*  356935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  356952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356982 */     // MIs[1] Operand 1
     /*  356982 */     // No operand predicates
     /*  356982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  356994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357014 */     GIR_RootConstrainSelectedInstOperands,
     /*  357015 */     // GIR_Coverage, 6642,
     /*  357015 */     GIR_EraseRootFromParent_Done,
     /*  357016 */   // Label 6577: @357016
     /*  357016 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(357102), // Rule ID 6643 //
     /*  357021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  357032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  357035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357068 */     // MIs[1] Operand 1
     /*  357068 */     // No operand predicates
     /*  357068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  357080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357100 */     GIR_RootConstrainSelectedInstOperands,
     /*  357101 */     // GIR_Coverage, 6643,
     /*  357101 */     GIR_EraseRootFromParent_Done,
     /*  357102 */   // Label 6578: @357102
     /*  357102 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(357188), // Rule ID 6646 //
     /*  357107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  357118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  357121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357154 */     // MIs[1] Operand 1
     /*  357154 */     // No operand predicates
     /*  357154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  357166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357186 */     GIR_RootConstrainSelectedInstOperands,
     /*  357187 */     // GIR_Coverage, 6646,
     /*  357187 */     GIR_EraseRootFromParent_Done,
     /*  357188 */   // Label 6579: @357188
     /*  357188 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(357274), // Rule ID 6647 //
     /*  357193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  357204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  357207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357240 */     // MIs[1] Operand 1
     /*  357240 */     // No operand predicates
     /*  357240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357249 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  357252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357272 */     GIR_RootConstrainSelectedInstOperands,
     /*  357273 */     // GIR_Coverage, 6647,
     /*  357273 */     GIR_EraseRootFromParent_Done,
     /*  357274 */   // Label 6580: @357274
     /*  357274 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(357360), // Rule ID 6650 //
     /*  357279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  357290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  357293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357326 */     // MIs[1] Operand 1
     /*  357326 */     // No operand predicates
     /*  357326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  357338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357358 */     GIR_RootConstrainSelectedInstOperands,
     /*  357359 */     // GIR_Coverage, 6650,
     /*  357359 */     GIR_EraseRootFromParent_Done,
     /*  357360 */   // Label 6581: @357360
     /*  357360 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(357446), // Rule ID 6651 //
     /*  357365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  357376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  357379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  357382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357412 */     // MIs[1] Operand 1
     /*  357412 */     // No operand predicates
     /*  357412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  357424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357444 */     GIR_RootConstrainSelectedInstOperands,
     /*  357445 */     // GIR_Coverage, 6651,
     /*  357445 */     GIR_EraseRootFromParent_Done,
     /*  357446 */   // Label 6582: @357446
     /*  357446 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(357532), // Rule ID 6654 //
     /*  357451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  357462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  357465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  357468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357498 */     // MIs[1] Operand 1
     /*  357498 */     // No operand predicates
     /*  357498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  357510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357530 */     GIR_RootConstrainSelectedInstOperands,
     /*  357531 */     // GIR_Coverage, 6654,
     /*  357531 */     GIR_EraseRootFromParent_Done,
     /*  357532 */   // Label 6583: @357532
     /*  357532 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(357618), // Rule ID 6655 //
     /*  357537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  357548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  357551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  357554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357584 */     // MIs[1] Operand 1
     /*  357584 */     // No operand predicates
     /*  357584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  357596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357616 */     GIR_RootConstrainSelectedInstOperands,
     /*  357617 */     // GIR_Coverage, 6655,
     /*  357617 */     GIR_EraseRootFromParent_Done,
     /*  357618 */   // Label 6584: @357618
     /*  357618 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(357704), // Rule ID 6658 //
     /*  357623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  357634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  357637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  357640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357670 */     // MIs[1] Operand 1
     /*  357670 */     // No operand predicates
     /*  357670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  357682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357702 */     GIR_RootConstrainSelectedInstOperands,
     /*  357703 */     // GIR_Coverage, 6658,
     /*  357703 */     GIR_EraseRootFromParent_Done,
     /*  357704 */   // Label 6585: @357704
     /*  357704 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(357790), // Rule ID 6659 //
     /*  357709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  357720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  357723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  357726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357756 */     // MIs[1] Operand 1
     /*  357756 */     // No operand predicates
     /*  357756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  357768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357788 */     GIR_RootConstrainSelectedInstOperands,
     /*  357789 */     // GIR_Coverage, 6659,
     /*  357789 */     GIR_EraseRootFromParent_Done,
     /*  357790 */   // Label 6586: @357790
     /*  357790 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(357876), // Rule ID 6662 //
     /*  357795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  357806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  357809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  357812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357842 */     // MIs[1] Operand 1
     /*  357842 */     // No operand predicates
     /*  357842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  357854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357874 */     GIR_RootConstrainSelectedInstOperands,
     /*  357875 */     // GIR_Coverage, 6662,
     /*  357875 */     GIR_EraseRootFromParent_Done,
     /*  357876 */   // Label 6587: @357876
     /*  357876 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(357962), // Rule ID 6663 //
     /*  357881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  357892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  357895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  357898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357928 */     // MIs[1] Operand 1
     /*  357928 */     // No operand predicates
     /*  357928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  357940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357960 */     GIR_RootConstrainSelectedInstOperands,
     /*  357961 */     // GIR_Coverage, 6663,
     /*  357961 */     GIR_EraseRootFromParent_Done,
     /*  357962 */   // Label 6588: @357962
     /*  357962 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(358048), // Rule ID 6666 //
     /*  357967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  357970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  357978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  357981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  357984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358014 */     // MIs[1] Operand 1
     /*  358014 */     // No operand predicates
     /*  358014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  358023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358046 */     GIR_RootConstrainSelectedInstOperands,
     /*  358047 */     // GIR_Coverage, 6666,
     /*  358047 */     GIR_EraseRootFromParent_Done,
     /*  358048 */   // Label 6589: @358048
     /*  358048 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(358134), // Rule ID 6667 //
     /*  358053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  358056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  358064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  358067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  358070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358100 */     // MIs[1] Operand 1
     /*  358100 */     // No operand predicates
     /*  358100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  358109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358132 */     GIR_RootConstrainSelectedInstOperands,
     /*  358133 */     // GIR_Coverage, 6667,
     /*  358133 */     GIR_EraseRootFromParent_Done,
     /*  358134 */   // Label 6590: @358134
     /*  358134 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(358220), // Rule ID 6670 //
     /*  358139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  358142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  358150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  358153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358186 */     // MIs[1] Operand 1
     /*  358186 */     // No operand predicates
     /*  358186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  358195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358218 */     GIR_RootConstrainSelectedInstOperands,
     /*  358219 */     // GIR_Coverage, 6670,
     /*  358219 */     GIR_EraseRootFromParent_Done,
     /*  358220 */   // Label 6591: @358220
     /*  358220 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(358306), // Rule ID 6671 //
     /*  358225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  358228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  358236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  358239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  358242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358272 */     // MIs[1] Operand 1
     /*  358272 */     // No operand predicates
     /*  358272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358281 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  358281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358304 */     GIR_RootConstrainSelectedInstOperands,
     /*  358305 */     // GIR_Coverage, 6671,
     /*  358305 */     GIR_EraseRootFromParent_Done,
     /*  358306 */   // Label 6592: @358306
     /*  358306 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(358392), // Rule ID 6674 //
     /*  358311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  358314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  358322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  358325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358358 */     // MIs[1] Operand 1
     /*  358358 */     // No operand predicates
     /*  358358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  358367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358390 */     GIR_RootConstrainSelectedInstOperands,
     /*  358391 */     // GIR_Coverage, 6674,
     /*  358391 */     GIR_EraseRootFromParent_Done,
     /*  358392 */   // Label 6593: @358392
     /*  358392 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(358478), // Rule ID 6675 //
     /*  358397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  358400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  358408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  358411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  358414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358444 */     // MIs[1] Operand 1
     /*  358444 */     // No operand predicates
     /*  358444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358453 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  358453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  358473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358476 */     GIR_RootConstrainSelectedInstOperands,
     /*  358477 */     // GIR_Coverage, 6675,
     /*  358477 */     GIR_EraseRootFromParent_Done,
     /*  358478 */   // Label 6594: @358478
     /*  358478 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(358564), // Rule ID 6854 //
     /*  358483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  358494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  358497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  358500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358530 */     // MIs[1] Operand 1
     /*  358530 */     // No operand predicates
     /*  358530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358539 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  358542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358562 */     GIR_RootConstrainSelectedInstOperands,
     /*  358563 */     // GIR_Coverage, 6854,
     /*  358563 */     GIR_EraseRootFromParent_Done,
     /*  358564 */   // Label 6595: @358564
     /*  358564 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(358650), // Rule ID 6855 //
     /*  358569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  358580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  358583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  358586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358616 */     // MIs[1] Operand 1
     /*  358616 */     // No operand predicates
     /*  358616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  358628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358648 */     GIR_RootConstrainSelectedInstOperands,
     /*  358649 */     // GIR_Coverage, 6855,
     /*  358649 */     GIR_EraseRootFromParent_Done,
     /*  358650 */   // Label 6596: @358650
     /*  358650 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(358736), // Rule ID 6858 //
     /*  358655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  358666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  358669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  358672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358702 */     // MIs[1] Operand 1
     /*  358702 */     // No operand predicates
     /*  358702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358711 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  358714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358734 */     GIR_RootConstrainSelectedInstOperands,
     /*  358735 */     // GIR_Coverage, 6858,
     /*  358735 */     GIR_EraseRootFromParent_Done,
     /*  358736 */   // Label 6597: @358736
     /*  358736 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(358822), // Rule ID 6859 //
     /*  358741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  358752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  358755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  358758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358788 */     // MIs[1] Operand 1
     /*  358788 */     // No operand predicates
     /*  358788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  358800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358820 */     GIR_RootConstrainSelectedInstOperands,
     /*  358821 */     // GIR_Coverage, 6859,
     /*  358821 */     GIR_EraseRootFromParent_Done,
     /*  358822 */   // Label 6598: @358822
     /*  358822 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(358908), // Rule ID 6862 //
     /*  358827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  358838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  358841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  358844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358874 */     // MIs[1] Operand 1
     /*  358874 */     // No operand predicates
     /*  358874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  358886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358906 */     GIR_RootConstrainSelectedInstOperands,
     /*  358907 */     // GIR_Coverage, 6862,
     /*  358907 */     GIR_EraseRootFromParent_Done,
     /*  358908 */   // Label 6599: @358908
     /*  358908 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(358994), // Rule ID 6863 //
     /*  358913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  358921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  358924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  358927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  358930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358960 */     // MIs[1] Operand 1
     /*  358960 */     // No operand predicates
     /*  358960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  358972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358992 */     GIR_RootConstrainSelectedInstOperands,
     /*  358993 */     // GIR_Coverage, 6863,
     /*  358993 */     GIR_EraseRootFromParent_Done,
     /*  358994 */   // Label 6600: @358994
     /*  358994 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(359080), // Rule ID 6866 //
     /*  358999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  359010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  359013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  359016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359046 */     // MIs[1] Operand 1
     /*  359046 */     // No operand predicates
     /*  359046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359055 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  359058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359078 */     GIR_RootConstrainSelectedInstOperands,
     /*  359079 */     // GIR_Coverage, 6866,
     /*  359079 */     GIR_EraseRootFromParent_Done,
     /*  359080 */   // Label 6601: @359080
     /*  359080 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(359166), // Rule ID 6867 //
     /*  359085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  359096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  359099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  359102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359132 */     // MIs[1] Operand 1
     /*  359132 */     // No operand predicates
     /*  359132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  359144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359164 */     GIR_RootConstrainSelectedInstOperands,
     /*  359165 */     // GIR_Coverage, 6867,
     /*  359165 */     GIR_EraseRootFromParent_Done,
     /*  359166 */   // Label 6602: @359166
     /*  359166 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(359252), // Rule ID 6870 //
     /*  359171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  359188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359218 */     // MIs[1] Operand 1
     /*  359218 */     // No operand predicates
     /*  359218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  359230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359250 */     GIR_RootConstrainSelectedInstOperands,
     /*  359251 */     // GIR_Coverage, 6870,
     /*  359251 */     GIR_EraseRootFromParent_Done,
     /*  359252 */   // Label 6603: @359252
     /*  359252 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(359338), // Rule ID 6871 //
     /*  359257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  359274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359304 */     // MIs[1] Operand 1
     /*  359304 */     // No operand predicates
     /*  359304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359313 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  359316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359336 */     GIR_RootConstrainSelectedInstOperands,
     /*  359337 */     // GIR_Coverage, 6871,
     /*  359337 */     GIR_EraseRootFromParent_Done,
     /*  359338 */   // Label 6604: @359338
     /*  359338 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(359424), // Rule ID 6874 //
     /*  359343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  359360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359390 */     // MIs[1] Operand 1
     /*  359390 */     // No operand predicates
     /*  359390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  359402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359422 */     GIR_RootConstrainSelectedInstOperands,
     /*  359423 */     // GIR_Coverage, 6874,
     /*  359423 */     GIR_EraseRootFromParent_Done,
     /*  359424 */   // Label 6605: @359424
     /*  359424 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(359510), // Rule ID 6875 //
     /*  359429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  359440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  359443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  359446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359476 */     // MIs[1] Operand 1
     /*  359476 */     // No operand predicates
     /*  359476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  359488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359508 */     GIR_RootConstrainSelectedInstOperands,
     /*  359509 */     // GIR_Coverage, 6875,
     /*  359509 */     GIR_EraseRootFromParent_Done,
     /*  359510 */   // Label 6606: @359510
     /*  359510 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(359596), // Rule ID 6878 //
     /*  359515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  359526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  359529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  359532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359562 */     // MIs[1] Operand 1
     /*  359562 */     // No operand predicates
     /*  359562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  359571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  359574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359594 */     GIR_RootConstrainSelectedInstOperands,
     /*  359595 */     // GIR_Coverage, 6878,
     /*  359595 */     GIR_EraseRootFromParent_Done,
     /*  359596 */   // Label 6607: @359596
     /*  359596 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(359682), // Rule ID 6879 //
     /*  359601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  359612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  359615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  359618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359648 */     // MIs[1] Operand 1
     /*  359648 */     // No operand predicates
     /*  359648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  359657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  359660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359680 */     GIR_RootConstrainSelectedInstOperands,
     /*  359681 */     // GIR_Coverage, 6879,
     /*  359681 */     GIR_EraseRootFromParent_Done,
     /*  359682 */   // Label 6608: @359682
     /*  359682 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(359768), // Rule ID 6882 //
     /*  359687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  359704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359734 */     // MIs[1] Operand 1
     /*  359734 */     // No operand predicates
     /*  359734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  359746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359766 */     GIR_RootConstrainSelectedInstOperands,
     /*  359767 */     // GIR_Coverage, 6882,
     /*  359767 */     GIR_EraseRootFromParent_Done,
     /*  359768 */   // Label 6609: @359768
     /*  359768 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(359854), // Rule ID 6883 //
     /*  359773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  359790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359820 */     // MIs[1] Operand 1
     /*  359820 */     // No operand predicates
     /*  359820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359829 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  359832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359852 */     GIR_RootConstrainSelectedInstOperands,
     /*  359853 */     // GIR_Coverage, 6883,
     /*  359853 */     GIR_EraseRootFromParent_Done,
     /*  359854 */   // Label 6610: @359854
     /*  359854 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(359940), // Rule ID 6886 //
     /*  359859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359906 */     // MIs[1] Operand 1
     /*  359906 */     // No operand predicates
     /*  359906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  359918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359938 */     GIR_RootConstrainSelectedInstOperands,
     /*  359939 */     // GIR_Coverage, 6886,
     /*  359939 */     GIR_EraseRootFromParent_Done,
     /*  359940 */   // Label 6611: @359940
     /*  359940 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(360026), // Rule ID 6887 //
     /*  359945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359992 */     // MIs[1] Operand 1
     /*  359992 */     // No operand predicates
     /*  359992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  360004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360024 */     GIR_RootConstrainSelectedInstOperands,
     /*  360025 */     // GIR_Coverage, 6887,
     /*  360025 */     GIR_EraseRootFromParent_Done,
     /*  360026 */   // Label 6612: @360026
     /*  360026 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(360112), // Rule ID 6890 //
     /*  360031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  360034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  360042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  360045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  360048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360078 */     // MIs[1] Operand 1
     /*  360078 */     // No operand predicates
     /*  360078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  360087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  360090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360110 */     GIR_RootConstrainSelectedInstOperands,
     /*  360111 */     // GIR_Coverage, 6890,
     /*  360111 */     GIR_EraseRootFromParent_Done,
     /*  360112 */   // Label 6613: @360112
     /*  360112 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(360198), // Rule ID 6891 //
     /*  360117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  360120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  360128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  360131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  360134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360164 */     // MIs[1] Operand 1
     /*  360164 */     // No operand predicates
     /*  360164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  360173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  360176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360196 */     GIR_RootConstrainSelectedInstOperands,
     /*  360197 */     // GIR_Coverage, 6891,
     /*  360197 */     GIR_EraseRootFromParent_Done,
     /*  360198 */   // Label 6614: @360198
     /*  360198 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(360284), // Rule ID 6894 //
     /*  360203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  360214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  360217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  360220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360250 */     // MIs[1] Operand 1
     /*  360250 */     // No operand predicates
     /*  360250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  360262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360282 */     GIR_RootConstrainSelectedInstOperands,
     /*  360283 */     // GIR_Coverage, 6894,
     /*  360283 */     GIR_EraseRootFromParent_Done,
     /*  360284 */   // Label 6615: @360284
     /*  360284 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(360370), // Rule ID 6895 //
     /*  360289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  360300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  360303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  360306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360336 */     // MIs[1] Operand 1
     /*  360336 */     // No operand predicates
     /*  360336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360345 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  360348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360368 */     GIR_RootConstrainSelectedInstOperands,
     /*  360369 */     // GIR_Coverage, 6895,
     /*  360369 */     GIR_EraseRootFromParent_Done,
     /*  360370 */   // Label 6616: @360370
     /*  360370 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(360456), // Rule ID 6898 //
     /*  360375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  360386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  360389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  360392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360422 */     // MIs[1] Operand 1
     /*  360422 */     // No operand predicates
     /*  360422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360431 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  360434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360454 */     GIR_RootConstrainSelectedInstOperands,
     /*  360455 */     // GIR_Coverage, 6898,
     /*  360455 */     GIR_EraseRootFromParent_Done,
     /*  360456 */   // Label 6617: @360456
     /*  360456 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(360542), // Rule ID 6899 //
     /*  360461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  360472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  360475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  360478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360508 */     // MIs[1] Operand 1
     /*  360508 */     // No operand predicates
     /*  360508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360517 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  360520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360540 */     GIR_RootConstrainSelectedInstOperands,
     /*  360541 */     // GIR_Coverage, 6899,
     /*  360541 */     GIR_EraseRootFromParent_Done,
     /*  360542 */   // Label 6618: @360542
     /*  360542 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(360628), // Rule ID 6902 //
     /*  360547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  360558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  360561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  360564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360594 */     // MIs[1] Operand 1
     /*  360594 */     // No operand predicates
     /*  360594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  360606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360626 */     GIR_RootConstrainSelectedInstOperands,
     /*  360627 */     // GIR_Coverage, 6902,
     /*  360627 */     GIR_EraseRootFromParent_Done,
     /*  360628 */   // Label 6619: @360628
     /*  360628 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(360714), // Rule ID 6903 //
     /*  360633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  360644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  360647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  360650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360680 */     // MIs[1] Operand 1
     /*  360680 */     // No operand predicates
     /*  360680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  360692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360712 */     GIR_RootConstrainSelectedInstOperands,
     /*  360713 */     // GIR_Coverage, 6903,
     /*  360713 */     GIR_EraseRootFromParent_Done,
     /*  360714 */   // Label 6620: @360714
     /*  360714 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(360800), // Rule ID 6906 //
     /*  360719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  360730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  360733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  360736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360766 */     // MIs[1] Operand 1
     /*  360766 */     // No operand predicates
     /*  360766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  360775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  360778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360798 */     GIR_RootConstrainSelectedInstOperands,
     /*  360799 */     // GIR_Coverage, 6906,
     /*  360799 */     GIR_EraseRootFromParent_Done,
     /*  360800 */   // Label 6621: @360800
     /*  360800 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(360886), // Rule ID 6907 //
     /*  360805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  360816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  360819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  360822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360852 */     // MIs[1] Operand 1
     /*  360852 */     // No operand predicates
     /*  360852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  360861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  360864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360884 */     GIR_RootConstrainSelectedInstOperands,
     /*  360885 */     // GIR_Coverage, 6907,
     /*  360885 */     GIR_EraseRootFromParent_Done,
     /*  360886 */   // Label 6622: @360886
     /*  360886 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(360972), // Rule ID 6910 //
     /*  360891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  360902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  360905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  360908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360938 */     // MIs[1] Operand 1
     /*  360938 */     // No operand predicates
     /*  360938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  360947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  360950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360970 */     GIR_RootConstrainSelectedInstOperands,
     /*  360971 */     // GIR_Coverage, 6910,
     /*  360971 */     GIR_EraseRootFromParent_Done,
     /*  360972 */   // Label 6623: @360972
     /*  360972 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(361058), // Rule ID 6911 //
     /*  360977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  360988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  360991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  360994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361024 */     // MIs[1] Operand 1
     /*  361024 */     // No operand predicates
     /*  361024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361033 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361056 */     GIR_RootConstrainSelectedInstOperands,
     /*  361057 */     // GIR_Coverage, 6911,
     /*  361057 */     GIR_EraseRootFromParent_Done,
     /*  361058 */   // Label 6624: @361058
     /*  361058 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(361144), // Rule ID 6914 //
     /*  361063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  361074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  361077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  361080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361110 */     // MIs[1] Operand 1
     /*  361110 */     // No operand predicates
     /*  361110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  361119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361142 */     GIR_RootConstrainSelectedInstOperands,
     /*  361143 */     // GIR_Coverage, 6914,
     /*  361143 */     GIR_EraseRootFromParent_Done,
     /*  361144 */   // Label 6625: @361144
     /*  361144 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(361230), // Rule ID 6915 //
     /*  361149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  361160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  361163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  361166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361196 */     // MIs[1] Operand 1
     /*  361196 */     // No operand predicates
     /*  361196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361228 */     GIR_RootConstrainSelectedInstOperands,
     /*  361229 */     // GIR_Coverage, 6915,
     /*  361229 */     GIR_EraseRootFromParent_Done,
     /*  361230 */   // Label 6626: @361230
     /*  361230 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(361316), // Rule ID 6918 //
     /*  361235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  361246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  361249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  361252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361282 */     // MIs[1] Operand 1
     /*  361282 */     // No operand predicates
     /*  361282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361314 */     GIR_RootConstrainSelectedInstOperands,
     /*  361315 */     // GIR_Coverage, 6918,
     /*  361315 */     GIR_EraseRootFromParent_Done,
     /*  361316 */   // Label 6627: @361316
     /*  361316 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(361402), // Rule ID 6919 //
     /*  361321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  361332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  361335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  361338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361368 */     // MIs[1] Operand 1
     /*  361368 */     // No operand predicates
     /*  361368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361400 */     GIR_RootConstrainSelectedInstOperands,
     /*  361401 */     // GIR_Coverage, 6919,
     /*  361401 */     GIR_EraseRootFromParent_Done,
     /*  361402 */   // Label 6628: @361402
     /*  361402 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(361488), // Rule ID 6922 //
     /*  361407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  361418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  361421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  361424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361454 */     // MIs[1] Operand 1
     /*  361454 */     // No operand predicates
     /*  361454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361486 */     GIR_RootConstrainSelectedInstOperands,
     /*  361487 */     // GIR_Coverage, 6922,
     /*  361487 */     GIR_EraseRootFromParent_Done,
     /*  361488 */   // Label 6629: @361488
     /*  361488 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(361574), // Rule ID 6923 //
     /*  361493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  361504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  361507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  361510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361540 */     // MIs[1] Operand 1
     /*  361540 */     // No operand predicates
     /*  361540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361572 */     GIR_RootConstrainSelectedInstOperands,
     /*  361573 */     // GIR_Coverage, 6923,
     /*  361573 */     GIR_EraseRootFromParent_Done,
     /*  361574 */   // Label 6630: @361574
     /*  361574 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(361660), // Rule ID 6926 //
     /*  361579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  361590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  361593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  361596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361626 */     // MIs[1] Operand 1
     /*  361626 */     // No operand predicates
     /*  361626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361658 */     GIR_RootConstrainSelectedInstOperands,
     /*  361659 */     // GIR_Coverage, 6926,
     /*  361659 */     GIR_EraseRootFromParent_Done,
     /*  361660 */   // Label 6631: @361660
     /*  361660 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(361746), // Rule ID 6927 //
     /*  361665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  361676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  361679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  361682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361712 */     // MIs[1] Operand 1
     /*  361712 */     // No operand predicates
     /*  361712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361744 */     GIR_RootConstrainSelectedInstOperands,
     /*  361745 */     // GIR_Coverage, 6927,
     /*  361745 */     GIR_EraseRootFromParent_Done,
     /*  361746 */   // Label 6632: @361746
     /*  361746 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(361832), // Rule ID 6930 //
     /*  361751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  361754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  361762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  361765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  361768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361798 */     // MIs[1] Operand 1
     /*  361798 */     // No operand predicates
     /*  361798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  361807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361830 */     GIR_RootConstrainSelectedInstOperands,
     /*  361831 */     // GIR_Coverage, 6930,
     /*  361831 */     GIR_EraseRootFromParent_Done,
     /*  361832 */   // Label 6633: @361832
     /*  361832 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(361918), // Rule ID 6931 //
     /*  361837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  361840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  361848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  361851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  361854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361884 */     // MIs[1] Operand 1
     /*  361884 */     // No operand predicates
     /*  361884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  361893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361916 */     GIR_RootConstrainSelectedInstOperands,
     /*  361917 */     // GIR_Coverage, 6931,
     /*  361917 */     GIR_EraseRootFromParent_Done,
     /*  361918 */   // Label 6634: @361918
     /*  361918 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(362004), // Rule ID 6934 //
     /*  361923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  361926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  361934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  361937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  361940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361970 */     // MIs[1] Operand 1
     /*  361970 */     // No operand predicates
     /*  361970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  361979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362002 */     GIR_RootConstrainSelectedInstOperands,
     /*  362003 */     // GIR_Coverage, 6934,
     /*  362003 */     GIR_EraseRootFromParent_Done,
     /*  362004 */   // Label 6635: @362004
     /*  362004 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(362090), // Rule ID 6935 //
     /*  362009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  362012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  362020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  362023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  362026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362056 */     // MIs[1] Operand 1
     /*  362056 */     // No operand predicates
     /*  362056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  362065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  362068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  362085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362088 */     GIR_RootConstrainSelectedInstOperands,
     /*  362089 */     // GIR_Coverage, 6935,
     /*  362089 */     GIR_EraseRootFromParent_Done,
     /*  362090 */   // Label 6636: @362090
     /*  362090 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(362176), // Rule ID 6938 //
     /*  362095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  362098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  362106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  362109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  362112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362142 */     // MIs[1] Operand 1
     /*  362142 */     // No operand predicates
     /*  362142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362151 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  362151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  362154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  362171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362174 */     GIR_RootConstrainSelectedInstOperands,
     /*  362175 */     // GIR_Coverage, 6938,
     /*  362175 */     GIR_EraseRootFromParent_Done,
     /*  362176 */   // Label 6637: @362176
     /*  362176 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(362262), // Rule ID 6939 //
     /*  362181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  362184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  362192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  362195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  362198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362228 */     // MIs[1] Operand 1
     /*  362228 */     // No operand predicates
     /*  362228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362237 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  362237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  362240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  362257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362260 */     GIR_RootConstrainSelectedInstOperands,
     /*  362261 */     // GIR_Coverage, 6939,
     /*  362261 */     GIR_EraseRootFromParent_Done,
     /*  362262 */   // Label 6638: @362262
     /*  362262 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(362348), // Rule ID 7118 //
     /*  362267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  362278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  362281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  362284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362314 */     // MIs[1] Operand 1
     /*  362314 */     // No operand predicates
     /*  362314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362323 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  362326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362346 */     GIR_RootConstrainSelectedInstOperands,
     /*  362347 */     // GIR_Coverage, 7118,
     /*  362347 */     GIR_EraseRootFromParent_Done,
     /*  362348 */   // Label 6639: @362348
     /*  362348 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(362434), // Rule ID 7119 //
     /*  362353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  362364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  362367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  362370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362400 */     // MIs[1] Operand 1
     /*  362400 */     // No operand predicates
     /*  362400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  362412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362432 */     GIR_RootConstrainSelectedInstOperands,
     /*  362433 */     // GIR_Coverage, 7119,
     /*  362433 */     GIR_EraseRootFromParent_Done,
     /*  362434 */   // Label 6640: @362434
     /*  362434 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(362520), // Rule ID 7122 //
     /*  362439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  362450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  362453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  362456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362486 */     // MIs[1] Operand 1
     /*  362486 */     // No operand predicates
     /*  362486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  362498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362518 */     GIR_RootConstrainSelectedInstOperands,
     /*  362519 */     // GIR_Coverage, 7122,
     /*  362519 */     GIR_EraseRootFromParent_Done,
     /*  362520 */   // Label 6641: @362520
     /*  362520 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(362606), // Rule ID 7123 //
     /*  362525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  362536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  362539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  362542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362572 */     // MIs[1] Operand 1
     /*  362572 */     // No operand predicates
     /*  362572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362581 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  362584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362604 */     GIR_RootConstrainSelectedInstOperands,
     /*  362605 */     // GIR_Coverage, 7123,
     /*  362605 */     GIR_EraseRootFromParent_Done,
     /*  362606 */   // Label 6642: @362606
     /*  362606 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(362692), // Rule ID 7126 //
     /*  362611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  362622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  362625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  362628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362658 */     // MIs[1] Operand 1
     /*  362658 */     // No operand predicates
     /*  362658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  362670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362690 */     GIR_RootConstrainSelectedInstOperands,
     /*  362691 */     // GIR_Coverage, 7126,
     /*  362691 */     GIR_EraseRootFromParent_Done,
     /*  362692 */   // Label 6643: @362692
     /*  362692 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(362778), // Rule ID 7127 //
     /*  362697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  362708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  362711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  362714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362744 */     // MIs[1] Operand 1
     /*  362744 */     // No operand predicates
     /*  362744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362753 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  362756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362776 */     GIR_RootConstrainSelectedInstOperands,
     /*  362777 */     // GIR_Coverage, 7127,
     /*  362777 */     GIR_EraseRootFromParent_Done,
     /*  362778 */   // Label 6644: @362778
     /*  362778 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(362864), // Rule ID 7130 //
     /*  362783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  362794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  362797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  362800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362830 */     // MIs[1] Operand 1
     /*  362830 */     // No operand predicates
     /*  362830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  362842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362862 */     GIR_RootConstrainSelectedInstOperands,
     /*  362863 */     // GIR_Coverage, 7130,
     /*  362863 */     GIR_EraseRootFromParent_Done,
     /*  362864 */   // Label 6645: @362864
     /*  362864 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(362950), // Rule ID 7131 //
     /*  362869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  362880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  362883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  362886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362916 */     // MIs[1] Operand 1
     /*  362916 */     // No operand predicates
     /*  362916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362925 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  362928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362948 */     GIR_RootConstrainSelectedInstOperands,
     /*  362949 */     // GIR_Coverage, 7131,
     /*  362949 */     GIR_EraseRootFromParent_Done,
     /*  362950 */   // Label 6646: @362950
     /*  362950 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(363036), // Rule ID 7134 //
     /*  362955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  362963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  362966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  362969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  362972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363002 */     // MIs[1] Operand 1
     /*  363002 */     // No operand predicates
     /*  363002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  363011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  363014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363034 */     GIR_RootConstrainSelectedInstOperands,
     /*  363035 */     // GIR_Coverage, 7134,
     /*  363035 */     GIR_EraseRootFromParent_Done,
     /*  363036 */   // Label 6647: @363036
     /*  363036 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(363122), // Rule ID 7135 //
     /*  363041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  363052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  363055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  363058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363088 */     // MIs[1] Operand 1
     /*  363088 */     // No operand predicates
     /*  363088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  363097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  363100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363120 */     GIR_RootConstrainSelectedInstOperands,
     /*  363121 */     // GIR_Coverage, 7135,
     /*  363121 */     GIR_EraseRootFromParent_Done,
     /*  363122 */   // Label 6648: @363122
     /*  363122 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(363208), // Rule ID 7138 //
     /*  363127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  363138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  363141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  363144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363174 */     // MIs[1] Operand 1
     /*  363174 */     // No operand predicates
     /*  363174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  363186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363206 */     GIR_RootConstrainSelectedInstOperands,
     /*  363207 */     // GIR_Coverage, 7138,
     /*  363207 */     GIR_EraseRootFromParent_Done,
     /*  363208 */   // Label 6649: @363208
     /*  363208 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(363294), // Rule ID 7139 //
     /*  363213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  363224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  363227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  363230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363260 */     // MIs[1] Operand 1
     /*  363260 */     // No operand predicates
     /*  363260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  363272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363292 */     GIR_RootConstrainSelectedInstOperands,
     /*  363293 */     // GIR_Coverage, 7139,
     /*  363293 */     GIR_EraseRootFromParent_Done,
     /*  363294 */   // Label 6650: @363294
     /*  363294 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(363380), // Rule ID 7142 //
     /*  363299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  363310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  363313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  363316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363346 */     // MIs[1] Operand 1
     /*  363346 */     // No operand predicates
     /*  363346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363355 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363378 */     GIR_RootConstrainSelectedInstOperands,
     /*  363379 */     // GIR_Coverage, 7142,
     /*  363379 */     GIR_EraseRootFromParent_Done,
     /*  363380 */   // Label 6651: @363380
     /*  363380 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(363466), // Rule ID 7143 //
     /*  363385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  363396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  363399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  363402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363432 */     // MIs[1] Operand 1
     /*  363432 */     // No operand predicates
     /*  363432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363464 */     GIR_RootConstrainSelectedInstOperands,
     /*  363465 */     // GIR_Coverage, 7143,
     /*  363465 */     GIR_EraseRootFromParent_Done,
     /*  363466 */   // Label 6652: @363466
     /*  363466 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(363552), // Rule ID 7146 //
     /*  363471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  363482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  363485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  363488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363518 */     // MIs[1] Operand 1
     /*  363518 */     // No operand predicates
     /*  363518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  363527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363550 */     GIR_RootConstrainSelectedInstOperands,
     /*  363551 */     // GIR_Coverage, 7146,
     /*  363551 */     GIR_EraseRootFromParent_Done,
     /*  363552 */   // Label 6653: @363552
     /*  363552 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(363638), // Rule ID 7147 //
     /*  363557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  363568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  363571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  363574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363604 */     // MIs[1] Operand 1
     /*  363604 */     // No operand predicates
     /*  363604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363613 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  363613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363636 */     GIR_RootConstrainSelectedInstOperands,
     /*  363637 */     // GIR_Coverage, 7147,
     /*  363637 */     GIR_EraseRootFromParent_Done,
     /*  363638 */   // Label 6654: @363638
     /*  363638 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(363724), // Rule ID 7150 //
     /*  363643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  363654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  363657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  363660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363690 */     // MIs[1] Operand 1
     /*  363690 */     // No operand predicates
     /*  363690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363722 */     GIR_RootConstrainSelectedInstOperands,
     /*  363723 */     // GIR_Coverage, 7150,
     /*  363723 */     GIR_EraseRootFromParent_Done,
     /*  363724 */   // Label 6655: @363724
     /*  363724 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(363810), // Rule ID 7151 //
     /*  363729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  363740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  363743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  363746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363776 */     // MIs[1] Operand 1
     /*  363776 */     // No operand predicates
     /*  363776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363808 */     GIR_RootConstrainSelectedInstOperands,
     /*  363809 */     // GIR_Coverage, 7151,
     /*  363809 */     GIR_EraseRootFromParent_Done,
     /*  363810 */   // Label 6656: @363810
     /*  363810 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(363896), // Rule ID 7154 //
     /*  363815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  363818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  363826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  363829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  363832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363862 */     // MIs[1] Operand 1
     /*  363862 */     // No operand predicates
     /*  363862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363894 */     GIR_RootConstrainSelectedInstOperands,
     /*  363895 */     // GIR_Coverage, 7154,
     /*  363895 */     GIR_EraseRootFromParent_Done,
     /*  363896 */   // Label 6657: @363896
     /*  363896 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(363982), // Rule ID 7155 //
     /*  363901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  363904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  363912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  363915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  363918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363948 */     // MIs[1] Operand 1
     /*  363948 */     // No operand predicates
     /*  363948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  363960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363980 */     GIR_RootConstrainSelectedInstOperands,
     /*  363981 */     // GIR_Coverage, 7155,
     /*  363981 */     GIR_EraseRootFromParent_Done,
     /*  363982 */   // Label 6658: @363982
     /*  363982 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(364068), // Rule ID 7158 //
     /*  363987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  363998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  364001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  364004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364034 */     // MIs[1] Operand 1
     /*  364034 */     // No operand predicates
     /*  364034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  364046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364066 */     GIR_RootConstrainSelectedInstOperands,
     /*  364067 */     // GIR_Coverage, 7158,
     /*  364067 */     GIR_EraseRootFromParent_Done,
     /*  364068 */   // Label 6659: @364068
     /*  364068 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(364154), // Rule ID 7159 //
     /*  364073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  364084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  364087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  364090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364120 */     // MIs[1] Operand 1
     /*  364120 */     // No operand predicates
     /*  364120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364129 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  364132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364152 */     GIR_RootConstrainSelectedInstOperands,
     /*  364153 */     // GIR_Coverage, 7159,
     /*  364153 */     GIR_EraseRootFromParent_Done,
     /*  364154 */   // Label 6660: @364154
     /*  364154 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(364240), // Rule ID 7162 //
     /*  364159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  364170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  364173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  364176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364206 */     // MIs[1] Operand 1
     /*  364206 */     // No operand predicates
     /*  364206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364215 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  364218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364238 */     GIR_RootConstrainSelectedInstOperands,
     /*  364239 */     // GIR_Coverage, 7162,
     /*  364239 */     GIR_EraseRootFromParent_Done,
     /*  364240 */   // Label 6661: @364240
     /*  364240 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(364326), // Rule ID 7163 //
     /*  364245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  364256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  364259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  364262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364292 */     // MIs[1] Operand 1
     /*  364292 */     // No operand predicates
     /*  364292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  364304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364324 */     GIR_RootConstrainSelectedInstOperands,
     /*  364325 */     // GIR_Coverage, 7163,
     /*  364325 */     GIR_EraseRootFromParent_Done,
     /*  364326 */   // Label 6662: @364326
     /*  364326 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(364412), // Rule ID 7166 //
     /*  364331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  364342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  364345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  364348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364378 */     // MIs[1] Operand 1
     /*  364378 */     // No operand predicates
     /*  364378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364387 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  364390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364410 */     GIR_RootConstrainSelectedInstOperands,
     /*  364411 */     // GIR_Coverage, 7166,
     /*  364411 */     GIR_EraseRootFromParent_Done,
     /*  364412 */   // Label 6663: @364412
     /*  364412 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(364498), // Rule ID 7167 //
     /*  364417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  364428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  364431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  364434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364464 */     // MIs[1] Operand 1
     /*  364464 */     // No operand predicates
     /*  364464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364473 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  364476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364496 */     GIR_RootConstrainSelectedInstOperands,
     /*  364497 */     // GIR_Coverage, 7167,
     /*  364497 */     GIR_EraseRootFromParent_Done,
     /*  364498 */   // Label 6664: @364498
     /*  364498 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(364584), // Rule ID 7170 //
     /*  364503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  364514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  364517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  364520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364550 */     // MIs[1] Operand 1
     /*  364550 */     // No operand predicates
     /*  364550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  364562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364582 */     GIR_RootConstrainSelectedInstOperands,
     /*  364583 */     // GIR_Coverage, 7170,
     /*  364583 */     GIR_EraseRootFromParent_Done,
     /*  364584 */   // Label 6665: @364584
     /*  364584 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(364670), // Rule ID 7171 //
     /*  364589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  364600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  364603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  364606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364636 */     // MIs[1] Operand 1
     /*  364636 */     // No operand predicates
     /*  364636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  364648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364668 */     GIR_RootConstrainSelectedInstOperands,
     /*  364669 */     // GIR_Coverage, 7171,
     /*  364669 */     GIR_EraseRootFromParent_Done,
     /*  364670 */   // Label 6666: @364670
     /*  364670 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(364756), // Rule ID 7174 //
     /*  364675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  364686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  364689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  364692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364722 */     // MIs[1] Operand 1
     /*  364722 */     // No operand predicates
     /*  364722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  364734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364754 */     GIR_RootConstrainSelectedInstOperands,
     /*  364755 */     // GIR_Coverage, 7174,
     /*  364755 */     GIR_EraseRootFromParent_Done,
     /*  364756 */   // Label 6667: @364756
     /*  364756 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(364842), // Rule ID 7175 //
     /*  364761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  364772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  364775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  364778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364808 */     // MIs[1] Operand 1
     /*  364808 */     // No operand predicates
     /*  364808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  364820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364840 */     GIR_RootConstrainSelectedInstOperands,
     /*  364841 */     // GIR_Coverage, 7175,
     /*  364841 */     GIR_EraseRootFromParent_Done,
     /*  364842 */   // Label 6668: @364842
     /*  364842 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(364928), // Rule ID 7178 //
     /*  364847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  364858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  364861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  364864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364894 */     // MIs[1] Operand 1
     /*  364894 */     // No operand predicates
     /*  364894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364903 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  364906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364926 */     GIR_RootConstrainSelectedInstOperands,
     /*  364927 */     // GIR_Coverage, 7178,
     /*  364927 */     GIR_EraseRootFromParent_Done,
     /*  364928 */   // Label 6669: @364928
     /*  364928 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(365014), // Rule ID 7179 //
     /*  364933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  364944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  364947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  364950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364980 */     // MIs[1] Operand 1
     /*  364980 */     // No operand predicates
     /*  364980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  364992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365012 */     GIR_RootConstrainSelectedInstOperands,
     /*  365013 */     // GIR_Coverage, 7179,
     /*  365013 */     GIR_EraseRootFromParent_Done,
     /*  365014 */   // Label 6670: @365014
     /*  365014 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(365100), // Rule ID 7182 //
     /*  365019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  365036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365066 */     // MIs[1] Operand 1
     /*  365066 */     // No operand predicates
     /*  365066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365098 */     GIR_RootConstrainSelectedInstOperands,
     /*  365099 */     // GIR_Coverage, 7182,
     /*  365099 */     GIR_EraseRootFromParent_Done,
     /*  365100 */   // Label 6671: @365100
     /*  365100 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(365186), // Rule ID 7183 //
     /*  365105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  365122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365152 */     // MIs[1] Operand 1
     /*  365152 */     // No operand predicates
     /*  365152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365184 */     GIR_RootConstrainSelectedInstOperands,
     /*  365185 */     // GIR_Coverage, 7183,
     /*  365185 */     GIR_EraseRootFromParent_Done,
     /*  365186 */   // Label 6672: @365186
     /*  365186 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(365272), // Rule ID 7186 //
     /*  365191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  365202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  365205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  365208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365238 */     // MIs[1] Operand 1
     /*  365238 */     // No operand predicates
     /*  365238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365270 */     GIR_RootConstrainSelectedInstOperands,
     /*  365271 */     // GIR_Coverage, 7186,
     /*  365271 */     GIR_EraseRootFromParent_Done,
     /*  365272 */   // Label 6673: @365272
     /*  365272 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(365358), // Rule ID 7187 //
     /*  365277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  365288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  365291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  365294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365324 */     // MIs[1] Operand 1
     /*  365324 */     // No operand predicates
     /*  365324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365356 */     GIR_RootConstrainSelectedInstOperands,
     /*  365357 */     // GIR_Coverage, 7187,
     /*  365357 */     GIR_EraseRootFromParent_Done,
     /*  365358 */   // Label 6674: @365358
     /*  365358 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(365444), // Rule ID 7190 //
     /*  365363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  365374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  365377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  365380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365410 */     // MIs[1] Operand 1
     /*  365410 */     // No operand predicates
     /*  365410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  365422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365442 */     GIR_RootConstrainSelectedInstOperands,
     /*  365443 */     // GIR_Coverage, 7190,
     /*  365443 */     GIR_EraseRootFromParent_Done,
     /*  365444 */   // Label 6675: @365444
     /*  365444 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(365530), // Rule ID 7191 //
     /*  365449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  365460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  365463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  365466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365496 */     // MIs[1] Operand 1
     /*  365496 */     // No operand predicates
     /*  365496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  365508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365528 */     GIR_RootConstrainSelectedInstOperands,
     /*  365529 */     // GIR_Coverage, 7191,
     /*  365529 */     GIR_EraseRootFromParent_Done,
     /*  365530 */   // Label 6676: @365530
     /*  365530 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(365616), // Rule ID 7194 //
     /*  365535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  365546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  365549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  365552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365582 */     // MIs[1] Operand 1
     /*  365582 */     // No operand predicates
     /*  365582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365591 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365614 */     GIR_RootConstrainSelectedInstOperands,
     /*  365615 */     // GIR_Coverage, 7194,
     /*  365615 */     GIR_EraseRootFromParent_Done,
     /*  365616 */   // Label 6677: @365616
     /*  365616 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(365702), // Rule ID 7195 //
     /*  365621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  365632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  365635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  365638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365668 */     // MIs[1] Operand 1
     /*  365668 */     // No operand predicates
     /*  365668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365677 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365700 */     GIR_RootConstrainSelectedInstOperands,
     /*  365701 */     // GIR_Coverage, 7195,
     /*  365701 */     GIR_EraseRootFromParent_Done,
     /*  365702 */   // Label 6678: @365702
     /*  365702 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(365788), // Rule ID 7198 //
     /*  365707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  365718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  365721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  365724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365754 */     // MIs[1] Operand 1
     /*  365754 */     // No operand predicates
     /*  365754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365763 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365786 */     GIR_RootConstrainSelectedInstOperands,
     /*  365787 */     // GIR_Coverage, 7198,
     /*  365787 */     GIR_EraseRootFromParent_Done,
     /*  365788 */   // Label 6679: @365788
     /*  365788 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(365874), // Rule ID 7199 //
     /*  365793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  365804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  365807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  365810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365840 */     // MIs[1] Operand 1
     /*  365840 */     // No operand predicates
     /*  365840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365872 */     GIR_RootConstrainSelectedInstOperands,
     /*  365873 */     // GIR_Coverage, 7199,
     /*  365873 */     GIR_EraseRootFromParent_Done,
     /*  365874 */   // Label 6680: @365874
     /*  365874 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(365960), // Rule ID 7202 //
     /*  365879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  365890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  365893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  365896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365926 */     // MIs[1] Operand 1
     /*  365926 */     // No operand predicates
     /*  365926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  365938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365958 */     GIR_RootConstrainSelectedInstOperands,
     /*  365959 */     // GIR_Coverage, 7202,
     /*  365959 */     GIR_EraseRootFromParent_Done,
     /*  365960 */   // Label 6681: @365960
     /*  365960 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(366046), // Rule ID 7203 //
     /*  365965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  365976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  365979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  365982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366012 */     // MIs[1] Operand 1
     /*  366012 */     // No operand predicates
     /*  366012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  366024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366044 */     GIR_RootConstrainSelectedInstOperands,
     /*  366045 */     // GIR_Coverage, 7203,
     /*  366045 */     GIR_EraseRootFromParent_Done,
     /*  366046 */   // Label 6682: @366046
     /*  366046 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(366132), // Rule ID 7414 //
     /*  366051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  366068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366098 */     // MIs[1] Operand 1
     /*  366098 */     // No operand predicates
     /*  366098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366107 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  366110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366130 */     GIR_RootConstrainSelectedInstOperands,
     /*  366131 */     // GIR_Coverage, 7414,
     /*  366131 */     GIR_EraseRootFromParent_Done,
     /*  366132 */   // Label 6683: @366132
     /*  366132 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(366218), // Rule ID 7415 //
     /*  366137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  366154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366184 */     // MIs[1] Operand 1
     /*  366184 */     // No operand predicates
     /*  366184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  366196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366216 */     GIR_RootConstrainSelectedInstOperands,
     /*  366217 */     // GIR_Coverage, 7415,
     /*  366217 */     GIR_EraseRootFromParent_Done,
     /*  366218 */   // Label 6684: @366218
     /*  366218 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(366304), // Rule ID 7418 //
     /*  366223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  366240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366270 */     // MIs[1] Operand 1
     /*  366270 */     // No operand predicates
     /*  366270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366279 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  366282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366302 */     GIR_RootConstrainSelectedInstOperands,
     /*  366303 */     // GIR_Coverage, 7418,
     /*  366303 */     GIR_EraseRootFromParent_Done,
     /*  366304 */   // Label 6685: @366304
     /*  366304 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(366390), // Rule ID 7419 //
     /*  366309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  366326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366356 */     // MIs[1] Operand 1
     /*  366356 */     // No operand predicates
     /*  366356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366365 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  366368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366388 */     GIR_RootConstrainSelectedInstOperands,
     /*  366389 */     // GIR_Coverage, 7419,
     /*  366389 */     GIR_EraseRootFromParent_Done,
     /*  366390 */   // Label 6686: @366390
     /*  366390 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(366476), // Rule ID 7422 //
     /*  366395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  366412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366442 */     // MIs[1] Operand 1
     /*  366442 */     // No operand predicates
     /*  366442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  366454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366474 */     GIR_RootConstrainSelectedInstOperands,
     /*  366475 */     // GIR_Coverage, 7422,
     /*  366475 */     GIR_EraseRootFromParent_Done,
     /*  366476 */   // Label 6687: @366476
     /*  366476 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(366562), // Rule ID 7423 //
     /*  366481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  366498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366528 */     // MIs[1] Operand 1
     /*  366528 */     // No operand predicates
     /*  366528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  366540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366560 */     GIR_RootConstrainSelectedInstOperands,
     /*  366561 */     // GIR_Coverage, 7423,
     /*  366561 */     GIR_EraseRootFromParent_Done,
     /*  366562 */   // Label 6688: @366562
     /*  366562 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(366648), // Rule ID 7426 //
     /*  366567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  366578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  366581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  366584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366614 */     // MIs[1] Operand 1
     /*  366614 */     // No operand predicates
     /*  366614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  366626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366646 */     GIR_RootConstrainSelectedInstOperands,
     /*  366647 */     // GIR_Coverage, 7426,
     /*  366647 */     GIR_EraseRootFromParent_Done,
     /*  366648 */   // Label 6689: @366648
     /*  366648 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(366734), // Rule ID 7427 //
     /*  366653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  366664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  366667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  366670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366700 */     // MIs[1] Operand 1
     /*  366700 */     // No operand predicates
     /*  366700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  366712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366732 */     GIR_RootConstrainSelectedInstOperands,
     /*  366733 */     // GIR_Coverage, 7427,
     /*  366733 */     GIR_EraseRootFromParent_Done,
     /*  366734 */   // Label 6690: @366734
     /*  366734 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(366820), // Rule ID 7430 //
     /*  366739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  366756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366786 */     // MIs[1] Operand 1
     /*  366786 */     // No operand predicates
     /*  366786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366795 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  366798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366818 */     GIR_RootConstrainSelectedInstOperands,
     /*  366819 */     // GIR_Coverage, 7430,
     /*  366819 */     GIR_EraseRootFromParent_Done,
     /*  366820 */   // Label 6691: @366820
     /*  366820 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(366906), // Rule ID 7431 //
     /*  366825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  366842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366872 */     // MIs[1] Operand 1
     /*  366872 */     // No operand predicates
     /*  366872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  366884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366904 */     GIR_RootConstrainSelectedInstOperands,
     /*  366905 */     // GIR_Coverage, 7431,
     /*  366905 */     GIR_EraseRootFromParent_Done,
     /*  366906 */   // Label 6692: @366906
     /*  366906 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(366992), // Rule ID 7434 //
     /*  366911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  366919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  366922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  366925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  366928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366958 */     // MIs[1] Operand 1
     /*  366958 */     // No operand predicates
     /*  366958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  366970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366990 */     GIR_RootConstrainSelectedInstOperands,
     /*  366991 */     // GIR_Coverage, 7434,
     /*  366991 */     GIR_EraseRootFromParent_Done,
     /*  366992 */   // Label 6693: @366992
     /*  366992 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(367078), // Rule ID 7435 //
     /*  366997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  367008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  367011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  367014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367044 */     // MIs[1] Operand 1
     /*  367044 */     // No operand predicates
     /*  367044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  367056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367076 */     GIR_RootConstrainSelectedInstOperands,
     /*  367077 */     // GIR_Coverage, 7435,
     /*  367077 */     GIR_EraseRootFromParent_Done,
     /*  367078 */   // Label 6694: @367078
     /*  367078 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(367164), // Rule ID 7438 //
     /*  367083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367130 */     // MIs[1] Operand 1
     /*  367130 */     // No operand predicates
     /*  367130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  367142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367162 */     GIR_RootConstrainSelectedInstOperands,
     /*  367163 */     // GIR_Coverage, 7438,
     /*  367163 */     GIR_EraseRootFromParent_Done,
     /*  367164 */   // Label 6695: @367164
     /*  367164 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(367250), // Rule ID 7439 //
     /*  367169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367216 */     // MIs[1] Operand 1
     /*  367216 */     // No operand predicates
     /*  367216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  367228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367248 */     GIR_RootConstrainSelectedInstOperands,
     /*  367249 */     // GIR_Coverage, 7439,
     /*  367249 */     GIR_EraseRootFromParent_Done,
     /*  367250 */   // Label 6696: @367250
     /*  367250 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(367336), // Rule ID 7442 //
     /*  367255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367302 */     // MIs[1] Operand 1
     /*  367302 */     // No operand predicates
     /*  367302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  367314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367334 */     GIR_RootConstrainSelectedInstOperands,
     /*  367335 */     // GIR_Coverage, 7442,
     /*  367335 */     GIR_EraseRootFromParent_Done,
     /*  367336 */   // Label 6697: @367336
     /*  367336 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(367422), // Rule ID 7443 //
     /*  367341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367388 */     // MIs[1] Operand 1
     /*  367388 */     // No operand predicates
     /*  367388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  367400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367420 */     GIR_RootConstrainSelectedInstOperands,
     /*  367421 */     // GIR_Coverage, 7443,
     /*  367421 */     GIR_EraseRootFromParent_Done,
     /*  367422 */   // Label 6698: @367422
     /*  367422 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(367508), // Rule ID 7446 //
     /*  367427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  367444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367474 */     // MIs[1] Operand 1
     /*  367474 */     // No operand predicates
     /*  367474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  367486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367506 */     GIR_RootConstrainSelectedInstOperands,
     /*  367507 */     // GIR_Coverage, 7446,
     /*  367507 */     GIR_EraseRootFromParent_Done,
     /*  367508 */   // Label 6699: @367508
     /*  367508 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(367594), // Rule ID 7447 //
     /*  367513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  367530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367560 */     // MIs[1] Operand 1
     /*  367560 */     // No operand predicates
     /*  367560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  367572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367592 */     GIR_RootConstrainSelectedInstOperands,
     /*  367593 */     // GIR_Coverage, 7447,
     /*  367593 */     GIR_EraseRootFromParent_Done,
     /*  367594 */   // Label 6700: @367594
     /*  367594 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(367680), // Rule ID 7450 //
     /*  367599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  367610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  367613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  367616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367646 */     // MIs[1] Operand 1
     /*  367646 */     // No operand predicates
     /*  367646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  367658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367678 */     GIR_RootConstrainSelectedInstOperands,
     /*  367679 */     // GIR_Coverage, 7450,
     /*  367679 */     GIR_EraseRootFromParent_Done,
     /*  367680 */   // Label 6701: @367680
     /*  367680 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(367766), // Rule ID 7451 //
     /*  367685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  367696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  367699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  367702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367732 */     // MIs[1] Operand 1
     /*  367732 */     // No operand predicates
     /*  367732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  367744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367764 */     GIR_RootConstrainSelectedInstOperands,
     /*  367765 */     // GIR_Coverage, 7451,
     /*  367765 */     GIR_EraseRootFromParent_Done,
     /*  367766 */   // Label 6702: @367766
     /*  367766 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(367852), // Rule ID 7454 //
     /*  367771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  367782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  367785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  367788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367818 */     // MIs[1] Operand 1
     /*  367818 */     // No operand predicates
     /*  367818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  367830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367850 */     GIR_RootConstrainSelectedInstOperands,
     /*  367851 */     // GIR_Coverage, 7454,
     /*  367851 */     GIR_EraseRootFromParent_Done,
     /*  367852 */   // Label 6703: @367852
     /*  367852 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(367938), // Rule ID 7455 //
     /*  367857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  367868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  367871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  367874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367904 */     // MIs[1] Operand 1
     /*  367904 */     // No operand predicates
     /*  367904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  367916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367936 */     GIR_RootConstrainSelectedInstOperands,
     /*  367937 */     // GIR_Coverage, 7455,
     /*  367937 */     GIR_EraseRootFromParent_Done,
     /*  367938 */   // Label 6704: @367938
     /*  367938 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(368024), // Rule ID 7458 //
     /*  367943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  367946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367990 */     // MIs[1] Operand 1
     /*  367990 */     // No operand predicates
     /*  367990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  368002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368022 */     GIR_RootConstrainSelectedInstOperands,
     /*  368023 */     // GIR_Coverage, 7458,
     /*  368023 */     GIR_EraseRootFromParent_Done,
     /*  368024 */   // Label 6705: @368024
     /*  368024 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(368110), // Rule ID 7459 //
     /*  368029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  368032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  368040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  368043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  368046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368076 */     // MIs[1] Operand 1
     /*  368076 */     // No operand predicates
     /*  368076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  368088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368108 */     GIR_RootConstrainSelectedInstOperands,
     /*  368109 */     // GIR_Coverage, 7459,
     /*  368109 */     GIR_EraseRootFromParent_Done,
     /*  368110 */   // Label 6706: @368110
     /*  368110 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(368196), // Rule ID 7462 //
     /*  368115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  368118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  368132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368162 */     // MIs[1] Operand 1
     /*  368162 */     // No operand predicates
     /*  368162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  368174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368194 */     GIR_RootConstrainSelectedInstOperands,
     /*  368195 */     // GIR_Coverage, 7462,
     /*  368195 */     GIR_EraseRootFromParent_Done,
     /*  368196 */   // Label 6707: @368196
     /*  368196 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(368282), // Rule ID 7463 //
     /*  368201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  368204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  368212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  368215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  368218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368248 */     // MIs[1] Operand 1
     /*  368248 */     // No operand predicates
     /*  368248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  368260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368280 */     GIR_RootConstrainSelectedInstOperands,
     /*  368281 */     // GIR_Coverage, 7463,
     /*  368281 */     GIR_EraseRootFromParent_Done,
     /*  368282 */   // Label 6708: @368282
     /*  368282 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(368368), // Rule ID 7466 //
     /*  368287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  368290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  368304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368334 */     // MIs[1] Operand 1
     /*  368334 */     // No operand predicates
     /*  368334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  368346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368366 */     GIR_RootConstrainSelectedInstOperands,
     /*  368367 */     // GIR_Coverage, 7466,
     /*  368367 */     GIR_EraseRootFromParent_Done,
     /*  368368 */   // Label 6709: @368368
     /*  368368 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(368454), // Rule ID 7467 //
     /*  368373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  368376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  368390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368420 */     // MIs[1] Operand 1
     /*  368420 */     // No operand predicates
     /*  368420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  368432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368452 */     GIR_RootConstrainSelectedInstOperands,
     /*  368453 */     // GIR_Coverage, 7467,
     /*  368453 */     GIR_EraseRootFromParent_Done,
     /*  368454 */   // Label 6710: @368454
     /*  368454 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(368540), // Rule ID 7470 //
     /*  368459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  368462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  368476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368506 */     // MIs[1] Operand 1
     /*  368506 */     // No operand predicates
     /*  368506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  368518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368538 */     GIR_RootConstrainSelectedInstOperands,
     /*  368539 */     // GIR_Coverage, 7470,
     /*  368539 */     GIR_EraseRootFromParent_Done,
     /*  368540 */   // Label 6711: @368540
     /*  368540 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(368626), // Rule ID 7471 //
     /*  368545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  368548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  368562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368592 */     // MIs[1] Operand 1
     /*  368592 */     // No operand predicates
     /*  368592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  368604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368624 */     GIR_RootConstrainSelectedInstOperands,
     /*  368625 */     // GIR_Coverage, 7471,
     /*  368625 */     GIR_EraseRootFromParent_Done,
     /*  368626 */   // Label 6712: @368626
     /*  368626 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(368712), // Rule ID 7594 //
     /*  368631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  368639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  368642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  368645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368678 */     // MIs[1] Operand 1
     /*  368678 */     // No operand predicates
     /*  368678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  368690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368710 */     GIR_RootConstrainSelectedInstOperands,
     /*  368711 */     // GIR_Coverage, 7594,
     /*  368711 */     GIR_EraseRootFromParent_Done,
     /*  368712 */   // Label 6713: @368712
     /*  368712 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(368798), // Rule ID 7595 //
     /*  368717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  368725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  368728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  368731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368764 */     // MIs[1] Operand 1
     /*  368764 */     // No operand predicates
     /*  368764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368773 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  368776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368796 */     GIR_RootConstrainSelectedInstOperands,
     /*  368797 */     // GIR_Coverage, 7595,
     /*  368797 */     GIR_EraseRootFromParent_Done,
     /*  368798 */   // Label 6714: @368798
     /*  368798 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(368884), // Rule ID 7598 //
     /*  368803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  368811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368850 */     // MIs[1] Operand 1
     /*  368850 */     // No operand predicates
     /*  368850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  368862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368882 */     GIR_RootConstrainSelectedInstOperands,
     /*  368883 */     // GIR_Coverage, 7598,
     /*  368883 */     GIR_EraseRootFromParent_Done,
     /*  368884 */   // Label 6715: @368884
     /*  368884 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(368970), // Rule ID 7599 //
     /*  368889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  368897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368936 */     // MIs[1] Operand 1
     /*  368936 */     // No operand predicates
     /*  368936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  368948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368968 */     GIR_RootConstrainSelectedInstOperands,
     /*  368969 */     // GIR_Coverage, 7599,
     /*  368969 */     GIR_EraseRootFromParent_Done,
     /*  368970 */   // Label 6716: @368970
     /*  368970 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(369056), // Rule ID 7602 //
     /*  368975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  368983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  368992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369022 */     // MIs[1] Operand 1
     /*  369022 */     // No operand predicates
     /*  369022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369031 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  369034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369054 */     GIR_RootConstrainSelectedInstOperands,
     /*  369055 */     // GIR_Coverage, 7602,
     /*  369055 */     GIR_EraseRootFromParent_Done,
     /*  369056 */   // Label 6717: @369056
     /*  369056 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(369142), // Rule ID 7603 //
     /*  369061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  369078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369108 */     // MIs[1] Operand 1
     /*  369108 */     // No operand predicates
     /*  369108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369117 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  369120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369140 */     GIR_RootConstrainSelectedInstOperands,
     /*  369141 */     // GIR_Coverage, 7603,
     /*  369141 */     GIR_EraseRootFromParent_Done,
     /*  369142 */   // Label 6718: @369142
     /*  369142 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(369228), // Rule ID 7606 //
     /*  369147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  369164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369194 */     // MIs[1] Operand 1
     /*  369194 */     // No operand predicates
     /*  369194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  369206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369226 */     GIR_RootConstrainSelectedInstOperands,
     /*  369227 */     // GIR_Coverage, 7606,
     /*  369227 */     GIR_EraseRootFromParent_Done,
     /*  369228 */   // Label 6719: @369228
     /*  369228 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(369314), // Rule ID 7607 //
     /*  369233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  369250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369280 */     // MIs[1] Operand 1
     /*  369280 */     // No operand predicates
     /*  369280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  369292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369312 */     GIR_RootConstrainSelectedInstOperands,
     /*  369313 */     // GIR_Coverage, 7607,
     /*  369313 */     GIR_EraseRootFromParent_Done,
     /*  369314 */   // Label 6720: @369314
     /*  369314 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(369400), // Rule ID 7610 //
     /*  369319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  369336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369366 */     // MIs[1] Operand 1
     /*  369366 */     // No operand predicates
     /*  369366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369375 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  369378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369398 */     GIR_RootConstrainSelectedInstOperands,
     /*  369399 */     // GIR_Coverage, 7610,
     /*  369399 */     GIR_EraseRootFromParent_Done,
     /*  369400 */   // Label 6721: @369400
     /*  369400 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(369486), // Rule ID 7611 //
     /*  369405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  369422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369452 */     // MIs[1] Operand 1
     /*  369452 */     // No operand predicates
     /*  369452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  369464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369484 */     GIR_RootConstrainSelectedInstOperands,
     /*  369485 */     // GIR_Coverage, 7611,
     /*  369485 */     GIR_EraseRootFromParent_Done,
     /*  369486 */   // Label 6722: @369486
     /*  369486 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(369572), // Rule ID 7614 //
     /*  369491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369538 */     // MIs[1] Operand 1
     /*  369538 */     // No operand predicates
     /*  369538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  369550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369570 */     GIR_RootConstrainSelectedInstOperands,
     /*  369571 */     // GIR_Coverage, 7614,
     /*  369571 */     GIR_EraseRootFromParent_Done,
     /*  369572 */   // Label 6723: @369572
     /*  369572 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(369658), // Rule ID 7615 //
     /*  369577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  369594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369624 */     // MIs[1] Operand 1
     /*  369624 */     // No operand predicates
     /*  369624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  369636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369656 */     GIR_RootConstrainSelectedInstOperands,
     /*  369657 */     // GIR_Coverage, 7615,
     /*  369657 */     GIR_EraseRootFromParent_Done,
     /*  369658 */   // Label 6724: @369658
     /*  369658 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(369744), // Rule ID 7618 //
     /*  369663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  369680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369710 */     // MIs[1] Operand 1
     /*  369710 */     // No operand predicates
     /*  369710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  369722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369742 */     GIR_RootConstrainSelectedInstOperands,
     /*  369743 */     // GIR_Coverage, 7618,
     /*  369743 */     GIR_EraseRootFromParent_Done,
     /*  369744 */   // Label 6725: @369744
     /*  369744 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(369830), // Rule ID 7619 //
     /*  369749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  369766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369796 */     // MIs[1] Operand 1
     /*  369796 */     // No operand predicates
     /*  369796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  369808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369828 */     GIR_RootConstrainSelectedInstOperands,
     /*  369829 */     // GIR_Coverage, 7619,
     /*  369829 */     GIR_EraseRootFromParent_Done,
     /*  369830 */   // Label 6726: @369830
     /*  369830 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(369916), // Rule ID 7622 //
     /*  369835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  369852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369882 */     // MIs[1] Operand 1
     /*  369882 */     // No operand predicates
     /*  369882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  369894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369914 */     GIR_RootConstrainSelectedInstOperands,
     /*  369915 */     // GIR_Coverage, 7622,
     /*  369915 */     GIR_EraseRootFromParent_Done,
     /*  369916 */   // Label 6727: @369916
     /*  369916 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(370002), // Rule ID 7623 //
     /*  369921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  369938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369968 */     // MIs[1] Operand 1
     /*  369968 */     // No operand predicates
     /*  369968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  369980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370000 */     GIR_RootConstrainSelectedInstOperands,
     /*  370001 */     // GIR_Coverage, 7623,
     /*  370001 */     GIR_EraseRootFromParent_Done,
     /*  370002 */   // Label 6728: @370002
     /*  370002 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(370088), // Rule ID 7626 //
     /*  370007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  370024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370054 */     // MIs[1] Operand 1
     /*  370054 */     // No operand predicates
     /*  370054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370086 */     GIR_RootConstrainSelectedInstOperands,
     /*  370087 */     // GIR_Coverage, 7626,
     /*  370087 */     GIR_EraseRootFromParent_Done,
     /*  370088 */   // Label 6729: @370088
     /*  370088 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(370174), // Rule ID 7627 //
     /*  370093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  370110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370140 */     // MIs[1] Operand 1
     /*  370140 */     // No operand predicates
     /*  370140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370172 */     GIR_RootConstrainSelectedInstOperands,
     /*  370173 */     // GIR_Coverage, 7627,
     /*  370173 */     GIR_EraseRootFromParent_Done,
     /*  370174 */   // Label 6730: @370174
     /*  370174 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(370260), // Rule ID 7630 //
     /*  370179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370226 */     // MIs[1] Operand 1
     /*  370226 */     // No operand predicates
     /*  370226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  370238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370258 */     GIR_RootConstrainSelectedInstOperands,
     /*  370259 */     // GIR_Coverage, 7630,
     /*  370259 */     GIR_EraseRootFromParent_Done,
     /*  370260 */   // Label 6731: @370260
     /*  370260 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(370346), // Rule ID 7631 //
     /*  370265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370312 */     // MIs[1] Operand 1
     /*  370312 */     // No operand predicates
     /*  370312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  370324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370344 */     GIR_RootConstrainSelectedInstOperands,
     /*  370345 */     // GIR_Coverage, 7631,
     /*  370345 */     GIR_EraseRootFromParent_Done,
     /*  370346 */   // Label 6732: @370346
     /*  370346 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(370432), // Rule ID 7634 //
     /*  370351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370398 */     // MIs[1] Operand 1
     /*  370398 */     // No operand predicates
     /*  370398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  370410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370430 */     GIR_RootConstrainSelectedInstOperands,
     /*  370431 */     // GIR_Coverage, 7634,
     /*  370431 */     GIR_EraseRootFromParent_Done,
     /*  370432 */   // Label 6733: @370432
     /*  370432 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(370518), // Rule ID 7635 //
     /*  370437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370484 */     // MIs[1] Operand 1
     /*  370484 */     // No operand predicates
     /*  370484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  370496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370516 */     GIR_RootConstrainSelectedInstOperands,
     /*  370517 */     // GIR_Coverage, 7635,
     /*  370517 */     GIR_EraseRootFromParent_Done,
     /*  370518 */   // Label 6734: @370518
     /*  370518 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(370604), // Rule ID 7638 //
     /*  370523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  370526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370570 */     // MIs[1] Operand 1
     /*  370570 */     // No operand predicates
     /*  370570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  370582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370602 */     GIR_RootConstrainSelectedInstOperands,
     /*  370603 */     // GIR_Coverage, 7638,
     /*  370603 */     GIR_EraseRootFromParent_Done,
     /*  370604 */   // Label 6735: @370604
     /*  370604 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(370690), // Rule ID 7639 //
     /*  370609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  370612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370656 */     // MIs[1] Operand 1
     /*  370656 */     // No operand predicates
     /*  370656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  370668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370688 */     GIR_RootConstrainSelectedInstOperands,
     /*  370689 */     // GIR_Coverage, 7639,
     /*  370689 */     GIR_EraseRootFromParent_Done,
     /*  370690 */   // Label 6736: @370690
     /*  370690 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(370776), // Rule ID 7642 //
     /*  370695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  370698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370742 */     // MIs[1] Operand 1
     /*  370742 */     // No operand predicates
     /*  370742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370774 */     GIR_RootConstrainSelectedInstOperands,
     /*  370775 */     // GIR_Coverage, 7642,
     /*  370775 */     GIR_EraseRootFromParent_Done,
     /*  370776 */   // Label 6737: @370776
     /*  370776 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(370862), // Rule ID 7643 //
     /*  370781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  370784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370828 */     // MIs[1] Operand 1
     /*  370828 */     // No operand predicates
     /*  370828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370860 */     GIR_RootConstrainSelectedInstOperands,
     /*  370861 */     // GIR_Coverage, 7643,
     /*  370861 */     GIR_EraseRootFromParent_Done,
     /*  370862 */   // Label 6738: @370862
     /*  370862 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(370948), // Rule ID 7646 //
     /*  370867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  370870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  370884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370914 */     // MIs[1] Operand 1
     /*  370914 */     // No operand predicates
     /*  370914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  370926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370946 */     GIR_RootConstrainSelectedInstOperands,
     /*  370947 */     // GIR_Coverage, 7646,
     /*  370947 */     GIR_EraseRootFromParent_Done,
     /*  370948 */   // Label 6739: @370948
     /*  370948 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(371034), // Rule ID 7647 //
     /*  370953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  370956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  370970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371000 */     // MIs[1] Operand 1
     /*  371000 */     // No operand predicates
     /*  371000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  371012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371032 */     GIR_RootConstrainSelectedInstOperands,
     /*  371033 */     // GIR_Coverage, 7647,
     /*  371033 */     GIR_EraseRootFromParent_Done,
     /*  371034 */   // Label 6740: @371034
     /*  371034 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(371120), // Rule ID 7650 //
     /*  371039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  371042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  371056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371086 */     // MIs[1] Operand 1
     /*  371086 */     // No operand predicates
     /*  371086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  371098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371118 */     GIR_RootConstrainSelectedInstOperands,
     /*  371119 */     // GIR_Coverage, 7650,
     /*  371119 */     GIR_EraseRootFromParent_Done,
     /*  371120 */   // Label 6741: @371120
     /*  371120 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(371206), // Rule ID 7651 //
     /*  371125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  371128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  371142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371172 */     // MIs[1] Operand 1
     /*  371172 */     // No operand predicates
     /*  371172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  371184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371204 */     GIR_RootConstrainSelectedInstOperands,
     /*  371205 */     // GIR_Coverage, 7651,
     /*  371205 */     GIR_EraseRootFromParent_Done,
     /*  371206 */   // Label 6742: @371206
     /*  371206 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(371295), // Rule ID 14080 //
     /*  371211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371258 */     // MIs[1] Operand 1
     /*  371258 */     // No operand predicates
     /*  371258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  371270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371293 */     GIR_RootConstrainSelectedInstOperands,
     /*  371294 */     // GIR_Coverage, 14080,
     /*  371294 */     GIR_EraseRootFromParent_Done,
     /*  371295 */   // Label 6743: @371295
     /*  371295 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(371384), // Rule ID 14081 //
     /*  371300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371347 */     // MIs[1] Operand 1
     /*  371347 */     // No operand predicates
     /*  371347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  371359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371382 */     GIR_RootConstrainSelectedInstOperands,
     /*  371383 */     // GIR_Coverage, 14081,
     /*  371383 */     GIR_EraseRootFromParent_Done,
     /*  371384 */   // Label 6744: @371384
     /*  371384 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(371473), // Rule ID 14084 //
     /*  371389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371436 */     // MIs[1] Operand 1
     /*  371436 */     // No operand predicates
     /*  371436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  371448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371471 */     GIR_RootConstrainSelectedInstOperands,
     /*  371472 */     // GIR_Coverage, 14084,
     /*  371472 */     GIR_EraseRootFromParent_Done,
     /*  371473 */   // Label 6745: @371473
     /*  371473 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(371562), // Rule ID 14085 //
     /*  371478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371525 */     // MIs[1] Operand 1
     /*  371525 */     // No operand predicates
     /*  371525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  371537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371560 */     GIR_RootConstrainSelectedInstOperands,
     /*  371561 */     // GIR_Coverage, 14085,
     /*  371561 */     GIR_EraseRootFromParent_Done,
     /*  371562 */   // Label 6746: @371562
     /*  371562 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(371651), // Rule ID 14088 //
     /*  371567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371614 */     // MIs[1] Operand 1
     /*  371614 */     // No operand predicates
     /*  371614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371623 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  371626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371649 */     GIR_RootConstrainSelectedInstOperands,
     /*  371650 */     // GIR_Coverage, 14088,
     /*  371650 */     GIR_EraseRootFromParent_Done,
     /*  371651 */   // Label 6747: @371651
     /*  371651 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(371740), // Rule ID 14089 //
     /*  371656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371703 */     // MIs[1] Operand 1
     /*  371703 */     // No operand predicates
     /*  371703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  371715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371738 */     GIR_RootConstrainSelectedInstOperands,
     /*  371739 */     // GIR_Coverage, 14089,
     /*  371739 */     GIR_EraseRootFromParent_Done,
     /*  371740 */   // Label 6748: @371740
     /*  371740 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(371829), // Rule ID 14092 //
     /*  371745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371792 */     // MIs[1] Operand 1
     /*  371792 */     // No operand predicates
     /*  371792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  371804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371827 */     GIR_RootConstrainSelectedInstOperands,
     /*  371828 */     // GIR_Coverage, 14092,
     /*  371828 */     GIR_EraseRootFromParent_Done,
     /*  371829 */   // Label 6749: @371829
     /*  371829 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(371918), // Rule ID 14093 //
     /*  371834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371881 */     // MIs[1] Operand 1
     /*  371881 */     // No operand predicates
     /*  371881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  371893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  371916 */     GIR_RootConstrainSelectedInstOperands,
     /*  371917 */     // GIR_Coverage, 14093,
     /*  371917 */     GIR_EraseRootFromParent_Done,
     /*  371918 */   // Label 6750: @371918
     /*  371918 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(372007), // Rule ID 14096 //
     /*  371923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  371931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  371970 */     // MIs[1] Operand 1
     /*  371970 */     // No operand predicates
     /*  371970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371979 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  371982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372005 */     GIR_RootConstrainSelectedInstOperands,
     /*  372006 */     // GIR_Coverage, 14096,
     /*  372006 */     GIR_EraseRootFromParent_Done,
     /*  372007 */   // Label 6751: @372007
     /*  372007 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(372096), // Rule ID 14097 //
     /*  372012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372059 */     // MIs[1] Operand 1
     /*  372059 */     // No operand predicates
     /*  372059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  372071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372094 */     GIR_RootConstrainSelectedInstOperands,
     /*  372095 */     // GIR_Coverage, 14097,
     /*  372095 */     GIR_EraseRootFromParent_Done,
     /*  372096 */   // Label 6752: @372096
     /*  372096 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(372185), // Rule ID 14100 //
     /*  372101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372148 */     // MIs[1] Operand 1
     /*  372148 */     // No operand predicates
     /*  372148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372157 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  372160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372183 */     GIR_RootConstrainSelectedInstOperands,
     /*  372184 */     // GIR_Coverage, 14100,
     /*  372184 */     GIR_EraseRootFromParent_Done,
     /*  372185 */   // Label 6753: @372185
     /*  372185 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(372274), // Rule ID 14101 //
     /*  372190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372237 */     // MIs[1] Operand 1
     /*  372237 */     // No operand predicates
     /*  372237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  372249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372272 */     GIR_RootConstrainSelectedInstOperands,
     /*  372273 */     // GIR_Coverage, 14101,
     /*  372273 */     GIR_EraseRootFromParent_Done,
     /*  372274 */   // Label 6754: @372274
     /*  372274 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(372363), // Rule ID 14104 //
     /*  372279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372326 */     // MIs[1] Operand 1
     /*  372326 */     // No operand predicates
     /*  372326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372335 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372361 */     GIR_RootConstrainSelectedInstOperands,
     /*  372362 */     // GIR_Coverage, 14104,
     /*  372362 */     GIR_EraseRootFromParent_Done,
     /*  372363 */   // Label 6755: @372363
     /*  372363 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(372452), // Rule ID 14105 //
     /*  372368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372415 */     // MIs[1] Operand 1
     /*  372415 */     // No operand predicates
     /*  372415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372450 */     GIR_RootConstrainSelectedInstOperands,
     /*  372451 */     // GIR_Coverage, 14105,
     /*  372451 */     GIR_EraseRootFromParent_Done,
     /*  372452 */   // Label 6756: @372452
     /*  372452 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(372541), // Rule ID 14108 //
     /*  372457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372504 */     // MIs[1] Operand 1
     /*  372504 */     // No operand predicates
     /*  372504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372539 */     GIR_RootConstrainSelectedInstOperands,
     /*  372540 */     // GIR_Coverage, 14108,
     /*  372540 */     GIR_EraseRootFromParent_Done,
     /*  372541 */   // Label 6757: @372541
     /*  372541 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(372630), // Rule ID 14109 //
     /*  372546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372593 */     // MIs[1] Operand 1
     /*  372593 */     // No operand predicates
     /*  372593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372628 */     GIR_RootConstrainSelectedInstOperands,
     /*  372629 */     // GIR_Coverage, 14109,
     /*  372629 */     GIR_EraseRootFromParent_Done,
     /*  372630 */   // Label 6758: @372630
     /*  372630 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(372719), // Rule ID 14112 //
     /*  372635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372682 */     // MIs[1] Operand 1
     /*  372682 */     // No operand predicates
     /*  372682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372717 */     GIR_RootConstrainSelectedInstOperands,
     /*  372718 */     // GIR_Coverage, 14112,
     /*  372718 */     GIR_EraseRootFromParent_Done,
     /*  372719 */   // Label 6759: @372719
     /*  372719 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(372808), // Rule ID 14113 //
     /*  372724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372771 */     // MIs[1] Operand 1
     /*  372771 */     // No operand predicates
     /*  372771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372806 */     GIR_RootConstrainSelectedInstOperands,
     /*  372807 */     // GIR_Coverage, 14113,
     /*  372807 */     GIR_EraseRootFromParent_Done,
     /*  372808 */   // Label 6760: @372808
     /*  372808 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(372897), // Rule ID 14116 //
     /*  372813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  372816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372860 */     // MIs[1] Operand 1
     /*  372860 */     // No operand predicates
     /*  372860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372895 */     GIR_RootConstrainSelectedInstOperands,
     /*  372896 */     // GIR_Coverage, 14116,
     /*  372896 */     GIR_EraseRootFromParent_Done,
     /*  372897 */   // Label 6761: @372897
     /*  372897 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(372986), // Rule ID 14117 //
     /*  372902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  372905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372949 */     // MIs[1] Operand 1
     /*  372949 */     // No operand predicates
     /*  372949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  372961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372984 */     GIR_RootConstrainSelectedInstOperands,
     /*  372985 */     // GIR_Coverage, 14117,
     /*  372985 */     GIR_EraseRootFromParent_Done,
     /*  372986 */   // Label 6762: @372986
     /*  372986 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(373075), // Rule ID 14120 //
     /*  372991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373038 */     // MIs[1] Operand 1
     /*  373038 */     // No operand predicates
     /*  373038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  373050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373073 */     GIR_RootConstrainSelectedInstOperands,
     /*  373074 */     // GIR_Coverage, 14120,
     /*  373074 */     GIR_EraseRootFromParent_Done,
     /*  373075 */   // Label 6763: @373075
     /*  373075 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(373164), // Rule ID 14121 //
     /*  373080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373127 */     // MIs[1] Operand 1
     /*  373127 */     // No operand predicates
     /*  373127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  373139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373162 */     GIR_RootConstrainSelectedInstOperands,
     /*  373163 */     // GIR_Coverage, 14121,
     /*  373163 */     GIR_EraseRootFromParent_Done,
     /*  373164 */   // Label 6764: @373164
     /*  373164 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(373253), // Rule ID 14124 //
     /*  373169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373216 */     // MIs[1] Operand 1
     /*  373216 */     // No operand predicates
     /*  373216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  373228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373251 */     GIR_RootConstrainSelectedInstOperands,
     /*  373252 */     // GIR_Coverage, 14124,
     /*  373252 */     GIR_EraseRootFromParent_Done,
     /*  373253 */   // Label 6765: @373253
     /*  373253 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(373342), // Rule ID 14125 //
     /*  373258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373305 */     // MIs[1] Operand 1
     /*  373305 */     // No operand predicates
     /*  373305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  373317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373340 */     GIR_RootConstrainSelectedInstOperands,
     /*  373341 */     // GIR_Coverage, 14125,
     /*  373341 */     GIR_EraseRootFromParent_Done,
     /*  373342 */   // Label 6766: @373342
     /*  373342 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(373431), // Rule ID 14128 //
     /*  373347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373394 */     // MIs[1] Operand 1
     /*  373394 */     // No operand predicates
     /*  373394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  373406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373429 */     GIR_RootConstrainSelectedInstOperands,
     /*  373430 */     // GIR_Coverage, 14128,
     /*  373430 */     GIR_EraseRootFromParent_Done,
     /*  373431 */   // Label 6767: @373431
     /*  373431 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(373520), // Rule ID 14129 //
     /*  373436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373483 */     // MIs[1] Operand 1
     /*  373483 */     // No operand predicates
     /*  373483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373492 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  373495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373518 */     GIR_RootConstrainSelectedInstOperands,
     /*  373519 */     // GIR_Coverage, 14129,
     /*  373519 */     GIR_EraseRootFromParent_Done,
     /*  373520 */   // Label 6768: @373520
     /*  373520 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(373609), // Rule ID 14132 //
     /*  373525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373572 */     // MIs[1] Operand 1
     /*  373572 */     // No operand predicates
     /*  373572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  373584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373607 */     GIR_RootConstrainSelectedInstOperands,
     /*  373608 */     // GIR_Coverage, 14132,
     /*  373608 */     GIR_EraseRootFromParent_Done,
     /*  373609 */   // Label 6769: @373609
     /*  373609 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(373698), // Rule ID 14133 //
     /*  373614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373661 */     // MIs[1] Operand 1
     /*  373661 */     // No operand predicates
     /*  373661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  373673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373696 */     GIR_RootConstrainSelectedInstOperands,
     /*  373697 */     // GIR_Coverage, 14133,
     /*  373697 */     GIR_EraseRootFromParent_Done,
     /*  373698 */   // Label 6770: @373698
     /*  373698 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(373787), // Rule ID 14136 //
     /*  373703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373750 */     // MIs[1] Operand 1
     /*  373750 */     // No operand predicates
     /*  373750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  373762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373785 */     GIR_RootConstrainSelectedInstOperands,
     /*  373786 */     // GIR_Coverage, 14136,
     /*  373786 */     GIR_EraseRootFromParent_Done,
     /*  373787 */   // Label 6771: @373787
     /*  373787 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(373876), // Rule ID 14137 //
     /*  373792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373839 */     // MIs[1] Operand 1
     /*  373839 */     // No operand predicates
     /*  373839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  373851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373874 */     GIR_RootConstrainSelectedInstOperands,
     /*  373875 */     // GIR_Coverage, 14137,
     /*  373875 */     GIR_EraseRootFromParent_Done,
     /*  373876 */   // Label 6772: @373876
     /*  373876 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(373965), // Rule ID 14140 //
     /*  373881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373928 */     // MIs[1] Operand 1
     /*  373928 */     // No operand predicates
     /*  373928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  373940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373963 */     GIR_RootConstrainSelectedInstOperands,
     /*  373964 */     // GIR_Coverage, 14140,
     /*  373964 */     GIR_EraseRootFromParent_Done,
     /*  373965 */   // Label 6773: @373965
     /*  373965 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(374054), // Rule ID 14141 //
     /*  373970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374017 */     // MIs[1] Operand 1
     /*  374017 */     // No operand predicates
     /*  374017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  374029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374052 */     GIR_RootConstrainSelectedInstOperands,
     /*  374053 */     // GIR_Coverage, 14141,
     /*  374053 */     GIR_EraseRootFromParent_Done,
     /*  374054 */   // Label 6774: @374054
     /*  374054 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(374143), // Rule ID 14144 //
     /*  374059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374106 */     // MIs[1] Operand 1
     /*  374106 */     // No operand predicates
     /*  374106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374141 */     GIR_RootConstrainSelectedInstOperands,
     /*  374142 */     // GIR_Coverage, 14144,
     /*  374142 */     GIR_EraseRootFromParent_Done,
     /*  374143 */   // Label 6775: @374143
     /*  374143 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(374232), // Rule ID 14145 //
     /*  374148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374195 */     // MIs[1] Operand 1
     /*  374195 */     // No operand predicates
     /*  374195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374230 */     GIR_RootConstrainSelectedInstOperands,
     /*  374231 */     // GIR_Coverage, 14145,
     /*  374231 */     GIR_EraseRootFromParent_Done,
     /*  374232 */   // Label 6776: @374232
     /*  374232 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(374321), // Rule ID 14148 //
     /*  374237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374284 */     // MIs[1] Operand 1
     /*  374284 */     // No operand predicates
     /*  374284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374319 */     GIR_RootConstrainSelectedInstOperands,
     /*  374320 */     // GIR_Coverage, 14148,
     /*  374320 */     GIR_EraseRootFromParent_Done,
     /*  374321 */   // Label 6777: @374321
     /*  374321 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(374410), // Rule ID 14149 //
     /*  374326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374373 */     // MIs[1] Operand 1
     /*  374373 */     // No operand predicates
     /*  374373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374408 */     GIR_RootConstrainSelectedInstOperands,
     /*  374409 */     // GIR_Coverage, 14149,
     /*  374409 */     GIR_EraseRootFromParent_Done,
     /*  374410 */   // Label 6778: @374410
     /*  374410 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(374499), // Rule ID 14152 //
     /*  374415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374462 */     // MIs[1] Operand 1
     /*  374462 */     // No operand predicates
     /*  374462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  374474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374497 */     GIR_RootConstrainSelectedInstOperands,
     /*  374498 */     // GIR_Coverage, 14152,
     /*  374498 */     GIR_EraseRootFromParent_Done,
     /*  374499 */   // Label 6779: @374499
     /*  374499 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(374588), // Rule ID 14153 //
     /*  374504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374551 */     // MIs[1] Operand 1
     /*  374551 */     // No operand predicates
     /*  374551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  374563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374586 */     GIR_RootConstrainSelectedInstOperands,
     /*  374587 */     // GIR_Coverage, 14153,
     /*  374587 */     GIR_EraseRootFromParent_Done,
     /*  374588 */   // Label 6780: @374588
     /*  374588 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(374677), // Rule ID 14156 //
     /*  374593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  374596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374640 */     // MIs[1] Operand 1
     /*  374640 */     // No operand predicates
     /*  374640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374675 */     GIR_RootConstrainSelectedInstOperands,
     /*  374676 */     // GIR_Coverage, 14156,
     /*  374676 */     GIR_EraseRootFromParent_Done,
     /*  374677 */   // Label 6781: @374677
     /*  374677 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(374766), // Rule ID 14157 //
     /*  374682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  374685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374729 */     // MIs[1] Operand 1
     /*  374729 */     // No operand predicates
     /*  374729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374764 */     GIR_RootConstrainSelectedInstOperands,
     /*  374765 */     // GIR_Coverage, 14157,
     /*  374765 */     GIR_EraseRootFromParent_Done,
     /*  374766 */   // Label 6782: @374766
     /*  374766 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(374855), // Rule ID 14160 //
     /*  374771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  374774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374818 */     // MIs[1] Operand 1
     /*  374818 */     // No operand predicates
     /*  374818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374827 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374853 */     GIR_RootConstrainSelectedInstOperands,
     /*  374854 */     // GIR_Coverage, 14160,
     /*  374854 */     GIR_EraseRootFromParent_Done,
     /*  374855 */   // Label 6783: @374855
     /*  374855 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(374944), // Rule ID 14161 //
     /*  374860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  374863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374907 */     // MIs[1] Operand 1
     /*  374907 */     // No operand predicates
     /*  374907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374942 */     GIR_RootConstrainSelectedInstOperands,
     /*  374943 */     // GIR_Coverage, 14161,
     /*  374943 */     GIR_EraseRootFromParent_Done,
     /*  374944 */   // Label 6784: @374944
     /*  374944 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(375033), // Rule ID 14164 //
     /*  374949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  374952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374996 */     // MIs[1] Operand 1
     /*  374996 */     // No operand predicates
     /*  374996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375005 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375031 */     GIR_RootConstrainSelectedInstOperands,
     /*  375032 */     // GIR_Coverage, 14164,
     /*  375032 */     GIR_EraseRootFromParent_Done,
     /*  375033 */   // Label 6785: @375033
     /*  375033 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(375122), // Rule ID 14165 //
     /*  375038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  375041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375085 */     // MIs[1] Operand 1
     /*  375085 */     // No operand predicates
     /*  375085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375120 */     GIR_RootConstrainSelectedInstOperands,
     /*  375121 */     // GIR_Coverage, 14165,
     /*  375121 */     GIR_EraseRootFromParent_Done,
     /*  375122 */   // Label 6786: @375122
     /*  375122 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(375211), // Rule ID 14344 //
     /*  375127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375174 */     // MIs[1] Operand 1
     /*  375174 */     // No operand predicates
     /*  375174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  375186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375209 */     GIR_RootConstrainSelectedInstOperands,
     /*  375210 */     // GIR_Coverage, 14344,
     /*  375210 */     GIR_EraseRootFromParent_Done,
     /*  375211 */   // Label 6787: @375211
     /*  375211 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(375300), // Rule ID 14345 //
     /*  375216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375263 */     // MIs[1] Operand 1
     /*  375263 */     // No operand predicates
     /*  375263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  375275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375298 */     GIR_RootConstrainSelectedInstOperands,
     /*  375299 */     // GIR_Coverage, 14345,
     /*  375299 */     GIR_EraseRootFromParent_Done,
     /*  375300 */   // Label 6788: @375300
     /*  375300 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(375389), // Rule ID 14348 //
     /*  375305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375352 */     // MIs[1] Operand 1
     /*  375352 */     // No operand predicates
     /*  375352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  375364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375387 */     GIR_RootConstrainSelectedInstOperands,
     /*  375388 */     // GIR_Coverage, 14348,
     /*  375388 */     GIR_EraseRootFromParent_Done,
     /*  375389 */   // Label 6789: @375389
     /*  375389 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(375478), // Rule ID 14349 //
     /*  375394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375441 */     // MIs[1] Operand 1
     /*  375441 */     // No operand predicates
     /*  375441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  375453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375476 */     GIR_RootConstrainSelectedInstOperands,
     /*  375477 */     // GIR_Coverage, 14349,
     /*  375477 */     GIR_EraseRootFromParent_Done,
     /*  375478 */   // Label 6790: @375478
     /*  375478 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(375567), // Rule ID 14352 //
     /*  375483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375530 */     // MIs[1] Operand 1
     /*  375530 */     // No operand predicates
     /*  375530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375539 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  375542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375565 */     GIR_RootConstrainSelectedInstOperands,
     /*  375566 */     // GIR_Coverage, 14352,
     /*  375566 */     GIR_EraseRootFromParent_Done,
     /*  375567 */   // Label 6791: @375567
     /*  375567 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(375656), // Rule ID 14353 //
     /*  375572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375619 */     // MIs[1] Operand 1
     /*  375619 */     // No operand predicates
     /*  375619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  375631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375654 */     GIR_RootConstrainSelectedInstOperands,
     /*  375655 */     // GIR_Coverage, 14353,
     /*  375655 */     GIR_EraseRootFromParent_Done,
     /*  375656 */   // Label 6792: @375656
     /*  375656 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(375745), // Rule ID 14356 //
     /*  375661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375708 */     // MIs[1] Operand 1
     /*  375708 */     // No operand predicates
     /*  375708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  375720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375743 */     GIR_RootConstrainSelectedInstOperands,
     /*  375744 */     // GIR_Coverage, 14356,
     /*  375744 */     GIR_EraseRootFromParent_Done,
     /*  375745 */   // Label 6793: @375745
     /*  375745 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(375834), // Rule ID 14357 //
     /*  375750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375797 */     // MIs[1] Operand 1
     /*  375797 */     // No operand predicates
     /*  375797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  375809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375832 */     GIR_RootConstrainSelectedInstOperands,
     /*  375833 */     // GIR_Coverage, 14357,
     /*  375833 */     GIR_EraseRootFromParent_Done,
     /*  375834 */   // Label 6794: @375834
     /*  375834 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(375923), // Rule ID 14360 //
     /*  375839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375886 */     // MIs[1] Operand 1
     /*  375886 */     // No operand predicates
     /*  375886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  375898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375921 */     GIR_RootConstrainSelectedInstOperands,
     /*  375922 */     // GIR_Coverage, 14360,
     /*  375922 */     GIR_EraseRootFromParent_Done,
     /*  375923 */   // Label 6795: @375923
     /*  375923 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(376012), // Rule ID 14361 //
     /*  375928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  375936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375975 */     // MIs[1] Operand 1
     /*  375975 */     // No operand predicates
     /*  375975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375984 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  375987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376010 */     GIR_RootConstrainSelectedInstOperands,
     /*  376011 */     // GIR_Coverage, 14361,
     /*  376011 */     GIR_EraseRootFromParent_Done,
     /*  376012 */   // Label 6796: @376012
     /*  376012 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(376101), // Rule ID 14364 //
     /*  376017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376064 */     // MIs[1] Operand 1
     /*  376064 */     // No operand predicates
     /*  376064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  376076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376099 */     GIR_RootConstrainSelectedInstOperands,
     /*  376100 */     // GIR_Coverage, 14364,
     /*  376100 */     GIR_EraseRootFromParent_Done,
     /*  376101 */   // Label 6797: @376101
     /*  376101 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(376190), // Rule ID 14365 //
     /*  376106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  376117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  376120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  376123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376153 */     // MIs[1] Operand 1
     /*  376153 */     // No operand predicates
     /*  376153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  376165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376188 */     GIR_RootConstrainSelectedInstOperands,
     /*  376189 */     // GIR_Coverage, 14365,
     /*  376189 */     GIR_EraseRootFromParent_Done,
     /*  376190 */   // Label 6798: @376190
     /*  376190 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(376279), // Rule ID 14368 //
     /*  376195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376242 */     // MIs[1] Operand 1
     /*  376242 */     // No operand predicates
     /*  376242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376277 */     GIR_RootConstrainSelectedInstOperands,
     /*  376278 */     // GIR_Coverage, 14368,
     /*  376278 */     GIR_EraseRootFromParent_Done,
     /*  376279 */   // Label 6799: @376279
     /*  376279 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(376368), // Rule ID 14369 //
     /*  376284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376331 */     // MIs[1] Operand 1
     /*  376331 */     // No operand predicates
     /*  376331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376366 */     GIR_RootConstrainSelectedInstOperands,
     /*  376367 */     // GIR_Coverage, 14369,
     /*  376367 */     GIR_EraseRootFromParent_Done,
     /*  376368 */   // Label 6800: @376368
     /*  376368 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(376457), // Rule ID 14372 //
     /*  376373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376420 */     // MIs[1] Operand 1
     /*  376420 */     // No operand predicates
     /*  376420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376455 */     GIR_RootConstrainSelectedInstOperands,
     /*  376456 */     // GIR_Coverage, 14372,
     /*  376456 */     GIR_EraseRootFromParent_Done,
     /*  376457 */   // Label 6801: @376457
     /*  376457 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(376546), // Rule ID 14373 //
     /*  376462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376509 */     // MIs[1] Operand 1
     /*  376509 */     // No operand predicates
     /*  376509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376544 */     GIR_RootConstrainSelectedInstOperands,
     /*  376545 */     // GIR_Coverage, 14373,
     /*  376545 */     GIR_EraseRootFromParent_Done,
     /*  376546 */   // Label 6802: @376546
     /*  376546 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(376635), // Rule ID 14376 //
     /*  376551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376598 */     // MIs[1] Operand 1
     /*  376598 */     // No operand predicates
     /*  376598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376633 */     GIR_RootConstrainSelectedInstOperands,
     /*  376634 */     // GIR_Coverage, 14376,
     /*  376634 */     GIR_EraseRootFromParent_Done,
     /*  376635 */   // Label 6803: @376635
     /*  376635 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(376724), // Rule ID 14377 //
     /*  376640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376687 */     // MIs[1] Operand 1
     /*  376687 */     // No operand predicates
     /*  376687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376722 */     GIR_RootConstrainSelectedInstOperands,
     /*  376723 */     // GIR_Coverage, 14377,
     /*  376723 */     GIR_EraseRootFromParent_Done,
     /*  376724 */   // Label 6804: @376724
     /*  376724 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(376813), // Rule ID 14380 //
     /*  376729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  376732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376776 */     // MIs[1] Operand 1
     /*  376776 */     // No operand predicates
     /*  376776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376785 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376811 */     GIR_RootConstrainSelectedInstOperands,
     /*  376812 */     // GIR_Coverage, 14380,
     /*  376812 */     GIR_EraseRootFromParent_Done,
     /*  376813 */   // Label 6805: @376813
     /*  376813 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(376902), // Rule ID 14381 //
     /*  376818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  376821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376865 */     // MIs[1] Operand 1
     /*  376865 */     // No operand predicates
     /*  376865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  376877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376900 */     GIR_RootConstrainSelectedInstOperands,
     /*  376901 */     // GIR_Coverage, 14381,
     /*  376901 */     GIR_EraseRootFromParent_Done,
     /*  376902 */   // Label 6806: @376902
     /*  376902 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(376991), // Rule ID 14384 //
     /*  376907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376954 */     // MIs[1] Operand 1
     /*  376954 */     // No operand predicates
     /*  376954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  376966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376989 */     GIR_RootConstrainSelectedInstOperands,
     /*  376990 */     // GIR_Coverage, 14384,
     /*  376990 */     GIR_EraseRootFromParent_Done,
     /*  376991 */   // Label 6807: @376991
     /*  376991 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(377080), // Rule ID 14385 //
     /*  376996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  377007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  377010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  377013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377043 */     // MIs[1] Operand 1
     /*  377043 */     // No operand predicates
     /*  377043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  377055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377078 */     GIR_RootConstrainSelectedInstOperands,
     /*  377079 */     // GIR_Coverage, 14385,
     /*  377079 */     GIR_EraseRootFromParent_Done,
     /*  377080 */   // Label 6808: @377080
     /*  377080 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(377169), // Rule ID 14388 //
     /*  377085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377132 */     // MIs[1] Operand 1
     /*  377132 */     // No operand predicates
     /*  377132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377141 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  377144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377167 */     GIR_RootConstrainSelectedInstOperands,
     /*  377168 */     // GIR_Coverage, 14388,
     /*  377168 */     GIR_EraseRootFromParent_Done,
     /*  377169 */   // Label 6809: @377169
     /*  377169 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(377258), // Rule ID 14389 //
     /*  377174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  377185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  377188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  377191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377221 */     // MIs[1] Operand 1
     /*  377221 */     // No operand predicates
     /*  377221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  377233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377256 */     GIR_RootConstrainSelectedInstOperands,
     /*  377257 */     // GIR_Coverage, 14389,
     /*  377257 */     GIR_EraseRootFromParent_Done,
     /*  377258 */   // Label 6810: @377258
     /*  377258 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(377347), // Rule ID 14392 //
     /*  377263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377310 */     // MIs[1] Operand 1
     /*  377310 */     // No operand predicates
     /*  377310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377319 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  377322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377345 */     GIR_RootConstrainSelectedInstOperands,
     /*  377346 */     // GIR_Coverage, 14392,
     /*  377346 */     GIR_EraseRootFromParent_Done,
     /*  377347 */   // Label 6811: @377347
     /*  377347 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(377436), // Rule ID 14393 //
     /*  377352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  377363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  377366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  377369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377399 */     // MIs[1] Operand 1
     /*  377399 */     // No operand predicates
     /*  377399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  377411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377434 */     GIR_RootConstrainSelectedInstOperands,
     /*  377435 */     // GIR_Coverage, 14393,
     /*  377435 */     GIR_EraseRootFromParent_Done,
     /*  377436 */   // Label 6812: @377436
     /*  377436 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(377525), // Rule ID 14396 //
     /*  377441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377488 */     // MIs[1] Operand 1
     /*  377488 */     // No operand predicates
     /*  377488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  377500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377523 */     GIR_RootConstrainSelectedInstOperands,
     /*  377524 */     // GIR_Coverage, 14396,
     /*  377524 */     GIR_EraseRootFromParent_Done,
     /*  377525 */   // Label 6813: @377525
     /*  377525 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(377614), // Rule ID 14397 //
     /*  377530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377577 */     // MIs[1] Operand 1
     /*  377577 */     // No operand predicates
     /*  377577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  377589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377612 */     GIR_RootConstrainSelectedInstOperands,
     /*  377613 */     // GIR_Coverage, 14397,
     /*  377613 */     GIR_EraseRootFromParent_Done,
     /*  377614 */   // Label 6814: @377614
     /*  377614 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(377703), // Rule ID 14400 //
     /*  377619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377666 */     // MIs[1] Operand 1
     /*  377666 */     // No operand predicates
     /*  377666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  377678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377701 */     GIR_RootConstrainSelectedInstOperands,
     /*  377702 */     // GIR_Coverage, 14400,
     /*  377702 */     GIR_EraseRootFromParent_Done,
     /*  377703 */   // Label 6815: @377703
     /*  377703 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(377792), // Rule ID 14401 //
     /*  377708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377755 */     // MIs[1] Operand 1
     /*  377755 */     // No operand predicates
     /*  377755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  377767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377790 */     GIR_RootConstrainSelectedInstOperands,
     /*  377791 */     // GIR_Coverage, 14401,
     /*  377791 */     GIR_EraseRootFromParent_Done,
     /*  377792 */   // Label 6816: @377792
     /*  377792 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(377881), // Rule ID 14404 //
     /*  377797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377844 */     // MIs[1] Operand 1
     /*  377844 */     // No operand predicates
     /*  377844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  377856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377879 */     GIR_RootConstrainSelectedInstOperands,
     /*  377880 */     // GIR_Coverage, 14404,
     /*  377880 */     GIR_EraseRootFromParent_Done,
     /*  377881 */   // Label 6817: @377881
     /*  377881 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(377970), // Rule ID 14405 //
     /*  377886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377933 */     // MIs[1] Operand 1
     /*  377933 */     // No operand predicates
     /*  377933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  377945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377968 */     GIR_RootConstrainSelectedInstOperands,
     /*  377969 */     // GIR_Coverage, 14405,
     /*  377969 */     GIR_EraseRootFromParent_Done,
     /*  377970 */   // Label 6818: @377970
     /*  377970 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(378059), // Rule ID 14408 //
     /*  377975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378022 */     // MIs[1] Operand 1
     /*  378022 */     // No operand predicates
     /*  378022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378057 */     GIR_RootConstrainSelectedInstOperands,
     /*  378058 */     // GIR_Coverage, 14408,
     /*  378058 */     GIR_EraseRootFromParent_Done,
     /*  378059 */   // Label 6819: @378059
     /*  378059 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(378148), // Rule ID 14409 //
     /*  378064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  378075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  378078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  378081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378111 */     // MIs[1] Operand 1
     /*  378111 */     // No operand predicates
     /*  378111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378120 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378146 */     GIR_RootConstrainSelectedInstOperands,
     /*  378147 */     // GIR_Coverage, 14409,
     /*  378147 */     GIR_EraseRootFromParent_Done,
     /*  378148 */   // Label 6820: @378148
     /*  378148 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(378237), // Rule ID 14412 //
     /*  378153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378200 */     // MIs[1] Operand 1
     /*  378200 */     // No operand predicates
     /*  378200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378235 */     GIR_RootConstrainSelectedInstOperands,
     /*  378236 */     // GIR_Coverage, 14412,
     /*  378236 */     GIR_EraseRootFromParent_Done,
     /*  378237 */   // Label 6821: @378237
     /*  378237 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(378326), // Rule ID 14413 //
     /*  378242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  378253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  378256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  378259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378289 */     // MIs[1] Operand 1
     /*  378289 */     // No operand predicates
     /*  378289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378324 */     GIR_RootConstrainSelectedInstOperands,
     /*  378325 */     // GIR_Coverage, 14413,
     /*  378325 */     GIR_EraseRootFromParent_Done,
     /*  378326 */   // Label 6822: @378326
     /*  378326 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(378415), // Rule ID 14416 //
     /*  378331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378378 */     // MIs[1] Operand 1
     /*  378378 */     // No operand predicates
     /*  378378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  378390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378413 */     GIR_RootConstrainSelectedInstOperands,
     /*  378414 */     // GIR_Coverage, 14416,
     /*  378414 */     GIR_EraseRootFromParent_Done,
     /*  378415 */   // Label 6823: @378415
     /*  378415 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(378504), // Rule ID 14417 //
     /*  378420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  378431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  378434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  378437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378467 */     // MIs[1] Operand 1
     /*  378467 */     // No operand predicates
     /*  378467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  378479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378502 */     GIR_RootConstrainSelectedInstOperands,
     /*  378503 */     // GIR_Coverage, 14417,
     /*  378503 */     GIR_EraseRootFromParent_Done,
     /*  378504 */   // Label 6824: @378504
     /*  378504 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(378593), // Rule ID 14420 //
     /*  378509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  378512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378556 */     // MIs[1] Operand 1
     /*  378556 */     // No operand predicates
     /*  378556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378565 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378591 */     GIR_RootConstrainSelectedInstOperands,
     /*  378592 */     // GIR_Coverage, 14420,
     /*  378592 */     GIR_EraseRootFromParent_Done,
     /*  378593 */   // Label 6825: @378593
     /*  378593 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(378682), // Rule ID 14421 //
     /*  378598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  378601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  378609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  378612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  378615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378645 */     // MIs[1] Operand 1
     /*  378645 */     // No operand predicates
     /*  378645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378654 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378680 */     GIR_RootConstrainSelectedInstOperands,
     /*  378681 */     // GIR_Coverage, 14421,
     /*  378681 */     GIR_EraseRootFromParent_Done,
     /*  378682 */   // Label 6826: @378682
     /*  378682 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(378771), // Rule ID 14424 //
     /*  378687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  378690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378734 */     // MIs[1] Operand 1
     /*  378734 */     // No operand predicates
     /*  378734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378743 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378769 */     GIR_RootConstrainSelectedInstOperands,
     /*  378770 */     // GIR_Coverage, 14424,
     /*  378770 */     GIR_EraseRootFromParent_Done,
     /*  378771 */   // Label 6827: @378771
     /*  378771 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(378860), // Rule ID 14425 //
     /*  378776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  378779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  378787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  378790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  378793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378823 */     // MIs[1] Operand 1
     /*  378823 */     // No operand predicates
     /*  378823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378858 */     GIR_RootConstrainSelectedInstOperands,
     /*  378859 */     // GIR_Coverage, 14425,
     /*  378859 */     GIR_EraseRootFromParent_Done,
     /*  378860 */   // Label 6828: @378860
     /*  378860 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(378949), // Rule ID 14428 //
     /*  378865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  378868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378912 */     // MIs[1] Operand 1
     /*  378912 */     // No operand predicates
     /*  378912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  378924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378947 */     GIR_RootConstrainSelectedInstOperands,
     /*  378948 */     // GIR_Coverage, 14428,
     /*  378948 */     GIR_EraseRootFromParent_Done,
     /*  378949 */   // Label 6829: @378949
     /*  378949 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379038), // Rule ID 14429 //
     /*  378954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  378957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379001 */     // MIs[1] Operand 1
     /*  379001 */     // No operand predicates
     /*  379001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  379013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379036 */     GIR_RootConstrainSelectedInstOperands,
     /*  379037 */     // GIR_Coverage, 14429,
     /*  379037 */     GIR_EraseRootFromParent_Done,
     /*  379038 */   // Label 6830: @379038
     /*  379038 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379124), // Rule ID 24524 //
     /*  379043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379090 */     // MIs[1] Operand 1
     /*  379090 */     // No operand predicates
     /*  379090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  379102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379122 */     GIR_RootConstrainSelectedInstOperands,
     /*  379123 */     // GIR_Coverage, 24524,
     /*  379123 */     GIR_EraseRootFromParent_Done,
     /*  379124 */   // Label 6831: @379124
     /*  379124 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(379210), // Rule ID 24525 //
     /*  379129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379176 */     // MIs[1] Operand 1
     /*  379176 */     // No operand predicates
     /*  379176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  379188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379208 */     GIR_RootConstrainSelectedInstOperands,
     /*  379209 */     // GIR_Coverage, 24525,
     /*  379209 */     GIR_EraseRootFromParent_Done,
     /*  379210 */   // Label 6832: @379210
     /*  379210 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(379296), // Rule ID 24528 //
     /*  379215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  379226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  379229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  379232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379262 */     // MIs[1] Operand 1
     /*  379262 */     // No operand predicates
     /*  379262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  379274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379294 */     GIR_RootConstrainSelectedInstOperands,
     /*  379295 */     // GIR_Coverage, 24528,
     /*  379295 */     GIR_EraseRootFromParent_Done,
     /*  379296 */   // Label 6833: @379296
     /*  379296 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(379382), // Rule ID 24529 //
     /*  379301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  379312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  379315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  379318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379348 */     // MIs[1] Operand 1
     /*  379348 */     // No operand predicates
     /*  379348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379357 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  379360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379380 */     GIR_RootConstrainSelectedInstOperands,
     /*  379381 */     // GIR_Coverage, 24529,
     /*  379381 */     GIR_EraseRootFromParent_Done,
     /*  379382 */   // Label 6834: @379382
     /*  379382 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(379468), // Rule ID 24532 //
     /*  379387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379434 */     // MIs[1] Operand 1
     /*  379434 */     // No operand predicates
     /*  379434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379443 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  379446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379466 */     GIR_RootConstrainSelectedInstOperands,
     /*  379467 */     // GIR_Coverage, 24532,
     /*  379467 */     GIR_EraseRootFromParent_Done,
     /*  379468 */   // Label 6835: @379468
     /*  379468 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(379554), // Rule ID 24533 //
     /*  379473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  379484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  379487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  379490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379520 */     // MIs[1] Operand 1
     /*  379520 */     // No operand predicates
     /*  379520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379529 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  379532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379552 */     GIR_RootConstrainSelectedInstOperands,
     /*  379553 */     // GIR_Coverage, 24533,
     /*  379553 */     GIR_EraseRootFromParent_Done,
     /*  379554 */   // Label 6836: @379554
     /*  379554 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(379640), // Rule ID 24536 //
     /*  379559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379606 */     // MIs[1] Operand 1
     /*  379606 */     // No operand predicates
     /*  379606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  379618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379638 */     GIR_RootConstrainSelectedInstOperands,
     /*  379639 */     // GIR_Coverage, 24536,
     /*  379639 */     GIR_EraseRootFromParent_Done,
     /*  379640 */   // Label 6837: @379640
     /*  379640 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(379726), // Rule ID 24537 //
     /*  379645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  379656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  379659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  379662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379692 */     // MIs[1] Operand 1
     /*  379692 */     // No operand predicates
     /*  379692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  379704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379724 */     GIR_RootConstrainSelectedInstOperands,
     /*  379725 */     // GIR_Coverage, 24537,
     /*  379725 */     GIR_EraseRootFromParent_Done,
     /*  379726 */   // Label 6838: @379726
     /*  379726 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(379812), // Rule ID 24540 //
     /*  379731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379778 */     // MIs[1] Operand 1
     /*  379778 */     // No operand predicates
     /*  379778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  379790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379810 */     GIR_RootConstrainSelectedInstOperands,
     /*  379811 */     // GIR_Coverage, 24540,
     /*  379811 */     GIR_EraseRootFromParent_Done,
     /*  379812 */   // Label 6839: @379812
     /*  379812 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(379898), // Rule ID 24541 //
     /*  379817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  379828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  379831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  379834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379864 */     // MIs[1] Operand 1
     /*  379864 */     // No operand predicates
     /*  379864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379873 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  379876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379896 */     GIR_RootConstrainSelectedInstOperands,
     /*  379897 */     // GIR_Coverage, 24541,
     /*  379897 */     GIR_EraseRootFromParent_Done,
     /*  379898 */   // Label 6840: @379898
     /*  379898 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(379984), // Rule ID 24544 //
     /*  379903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  379914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  379917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  379920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  379950 */     // MIs[1] Operand 1
     /*  379950 */     // No operand predicates
     /*  379950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  379962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379982 */     GIR_RootConstrainSelectedInstOperands,
     /*  379983 */     // GIR_Coverage, 24544,
     /*  379983 */     GIR_EraseRootFromParent_Done,
     /*  379984 */   // Label 6841: @379984
     /*  379984 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380070), // Rule ID 24545 //
     /*  379989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  379997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380036 */     // MIs[1] Operand 1
     /*  380036 */     // No operand predicates
     /*  380036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  380048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380068 */     GIR_RootConstrainSelectedInstOperands,
     /*  380069 */     // GIR_Coverage, 24545,
     /*  380069 */     GIR_EraseRootFromParent_Done,
     /*  380070 */   // Label 6842: @380070
     /*  380070 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380156), // Rule ID 24548 //
     /*  380075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380122 */     // MIs[1] Operand 1
     /*  380122 */     // No operand predicates
     /*  380122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380131 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380154 */     GIR_RootConstrainSelectedInstOperands,
     /*  380155 */     // GIR_Coverage, 24548,
     /*  380155 */     GIR_EraseRootFromParent_Done,
     /*  380156 */   // Label 6843: @380156
     /*  380156 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380242), // Rule ID 24549 //
     /*  380161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380208 */     // MIs[1] Operand 1
     /*  380208 */     // No operand predicates
     /*  380208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380240 */     GIR_RootConstrainSelectedInstOperands,
     /*  380241 */     // GIR_Coverage, 24549,
     /*  380241 */     GIR_EraseRootFromParent_Done,
     /*  380242 */   // Label 6844: @380242
     /*  380242 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380328), // Rule ID 24552 //
     /*  380247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380294 */     // MIs[1] Operand 1
     /*  380294 */     // No operand predicates
     /*  380294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380326 */     GIR_RootConstrainSelectedInstOperands,
     /*  380327 */     // GIR_Coverage, 24552,
     /*  380327 */     GIR_EraseRootFromParent_Done,
     /*  380328 */   // Label 6845: @380328
     /*  380328 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380414), // Rule ID 24553 //
     /*  380333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380380 */     // MIs[1] Operand 1
     /*  380380 */     // No operand predicates
     /*  380380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380412 */     GIR_RootConstrainSelectedInstOperands,
     /*  380413 */     // GIR_Coverage, 24553,
     /*  380413 */     GIR_EraseRootFromParent_Done,
     /*  380414 */   // Label 6846: @380414
     /*  380414 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380500), // Rule ID 24556 //
     /*  380419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  380430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  380433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  380436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380466 */     // MIs[1] Operand 1
     /*  380466 */     // No operand predicates
     /*  380466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380498 */     GIR_RootConstrainSelectedInstOperands,
     /*  380499 */     // GIR_Coverage, 24556,
     /*  380499 */     GIR_EraseRootFromParent_Done,
     /*  380500 */   // Label 6847: @380500
     /*  380500 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(380586), // Rule ID 24557 //
     /*  380505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  380516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  380519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  380522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380552 */     // MIs[1] Operand 1
     /*  380552 */     // No operand predicates
     /*  380552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380584 */     GIR_RootConstrainSelectedInstOperands,
     /*  380585 */     // GIR_Coverage, 24557,
     /*  380585 */     GIR_EraseRootFromParent_Done,
     /*  380586 */   // Label 6848: @380586
     /*  380586 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(380672), // Rule ID 24560 //
     /*  380591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  380594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  380602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  380605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  380608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380638 */     // MIs[1] Operand 1
     /*  380638 */     // No operand predicates
     /*  380638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380670 */     GIR_RootConstrainSelectedInstOperands,
     /*  380671 */     // GIR_Coverage, 24560,
     /*  380671 */     GIR_EraseRootFromParent_Done,
     /*  380672 */   // Label 6849: @380672
     /*  380672 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(380758), // Rule ID 24561 //
     /*  380677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  380680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  380688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  380691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  380694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380724 */     // MIs[1] Operand 1
     /*  380724 */     // No operand predicates
     /*  380724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  380736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380756 */     GIR_RootConstrainSelectedInstOperands,
     /*  380757 */     // GIR_Coverage, 24561,
     /*  380757 */     GIR_EraseRootFromParent_Done,
     /*  380758 */   // Label 6850: @380758
     /*  380758 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(380844), // Rule ID 24564 //
     /*  380763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380810 */     // MIs[1] Operand 1
     /*  380810 */     // No operand predicates
     /*  380810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  380822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380842 */     GIR_RootConstrainSelectedInstOperands,
     /*  380843 */     // GIR_Coverage, 24564,
     /*  380843 */     GIR_EraseRootFromParent_Done,
     /*  380844 */   // Label 6851: @380844
     /*  380844 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(380930), // Rule ID 24565 //
     /*  380849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  380860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  380863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  380866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380896 */     // MIs[1] Operand 1
     /*  380896 */     // No operand predicates
     /*  380896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  380908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380928 */     GIR_RootConstrainSelectedInstOperands,
     /*  380929 */     // GIR_Coverage, 24565,
     /*  380929 */     GIR_EraseRootFromParent_Done,
     /*  380930 */   // Label 6852: @380930
     /*  380930 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381016), // Rule ID 24568 //
     /*  380935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  380946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  380949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  380952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380982 */     // MIs[1] Operand 1
     /*  380982 */     // No operand predicates
     /*  380982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380991 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  380994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381014 */     GIR_RootConstrainSelectedInstOperands,
     /*  381015 */     // GIR_Coverage, 24568,
     /*  381015 */     GIR_EraseRootFromParent_Done,
     /*  381016 */   // Label 6853: @381016
     /*  381016 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381102), // Rule ID 24569 //
     /*  381021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381068 */     // MIs[1] Operand 1
     /*  381068 */     // No operand predicates
     /*  381068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381077 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  381080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381100 */     GIR_RootConstrainSelectedInstOperands,
     /*  381101 */     // GIR_Coverage, 24569,
     /*  381101 */     GIR_EraseRootFromParent_Done,
     /*  381102 */   // Label 6854: @381102
     /*  381102 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381188), // Rule ID 24572 //
     /*  381107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381154 */     // MIs[1] Operand 1
     /*  381154 */     // No operand predicates
     /*  381154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381163 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  381166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381186 */     GIR_RootConstrainSelectedInstOperands,
     /*  381187 */     // GIR_Coverage, 24572,
     /*  381187 */     GIR_EraseRootFromParent_Done,
     /*  381188 */   // Label 6855: @381188
     /*  381188 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381274), // Rule ID 24573 //
     /*  381193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381240 */     // MIs[1] Operand 1
     /*  381240 */     // No operand predicates
     /*  381240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  381252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381272 */     GIR_RootConstrainSelectedInstOperands,
     /*  381273 */     // GIR_Coverage, 24573,
     /*  381273 */     GIR_EraseRootFromParent_Done,
     /*  381274 */   // Label 6856: @381274
     /*  381274 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381360), // Rule ID 24576 //
     /*  381279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381326 */     // MIs[1] Operand 1
     /*  381326 */     // No operand predicates
     /*  381326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  381338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381358 */     GIR_RootConstrainSelectedInstOperands,
     /*  381359 */     // GIR_Coverage, 24576,
     /*  381359 */     GIR_EraseRootFromParent_Done,
     /*  381360 */   // Label 6857: @381360
     /*  381360 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381446), // Rule ID 24577 //
     /*  381365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381412 */     // MIs[1] Operand 1
     /*  381412 */     // No operand predicates
     /*  381412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  381424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381444 */     GIR_RootConstrainSelectedInstOperands,
     /*  381445 */     // GIR_Coverage, 24577,
     /*  381445 */     GIR_EraseRootFromParent_Done,
     /*  381446 */   // Label 6858: @381446
     /*  381446 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381532), // Rule ID 24580 //
     /*  381451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381498 */     // MIs[1] Operand 1
     /*  381498 */     // No operand predicates
     /*  381498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  381510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381530 */     GIR_RootConstrainSelectedInstOperands,
     /*  381531 */     // GIR_Coverage, 24580,
     /*  381531 */     GIR_EraseRootFromParent_Done,
     /*  381532 */   // Label 6859: @381532
     /*  381532 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381618), // Rule ID 24581 //
     /*  381537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381584 */     // MIs[1] Operand 1
     /*  381584 */     // No operand predicates
     /*  381584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  381596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381616 */     GIR_RootConstrainSelectedInstOperands,
     /*  381617 */     // GIR_Coverage, 24581,
     /*  381617 */     GIR_EraseRootFromParent_Done,
     /*  381618 */   // Label 6860: @381618
     /*  381618 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381704), // Rule ID 24584 //
     /*  381623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381670 */     // MIs[1] Operand 1
     /*  381670 */     // No operand predicates
     /*  381670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381679 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  381682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381702 */     GIR_RootConstrainSelectedInstOperands,
     /*  381703 */     // GIR_Coverage, 24584,
     /*  381703 */     GIR_EraseRootFromParent_Done,
     /*  381704 */   // Label 6861: @381704
     /*  381704 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381790), // Rule ID 24585 //
     /*  381709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381756 */     // MIs[1] Operand 1
     /*  381756 */     // No operand predicates
     /*  381756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381765 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  381768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381788 */     GIR_RootConstrainSelectedInstOperands,
     /*  381789 */     // GIR_Coverage, 24585,
     /*  381789 */     GIR_EraseRootFromParent_Done,
     /*  381790 */   // Label 6862: @381790
     /*  381790 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(381876), // Rule ID 24588 //
     /*  381795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  381806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  381809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  381812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381842 */     // MIs[1] Operand 1
     /*  381842 */     // No operand predicates
     /*  381842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  381854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381874 */     GIR_RootConstrainSelectedInstOperands,
     /*  381875 */     // GIR_Coverage, 24588,
     /*  381875 */     GIR_EraseRootFromParent_Done,
     /*  381876 */   // Label 6863: @381876
     /*  381876 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(381962), // Rule ID 24589 //
     /*  381881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  381892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  381895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  381898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381928 */     // MIs[1] Operand 1
     /*  381928 */     // No operand predicates
     /*  381928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  381940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381960 */     GIR_RootConstrainSelectedInstOperands,
     /*  381961 */     // GIR_Coverage, 24589,
     /*  381961 */     GIR_EraseRootFromParent_Done,
     /*  381962 */   // Label 6864: @381962
     /*  381962 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382048), // Rule ID 24592 //
     /*  381967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  381978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  381981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  381984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382014 */     // MIs[1] Operand 1
     /*  382014 */     // No operand predicates
     /*  382014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382046 */     GIR_RootConstrainSelectedInstOperands,
     /*  382047 */     // GIR_Coverage, 24592,
     /*  382047 */     GIR_EraseRootFromParent_Done,
     /*  382048 */   // Label 6865: @382048
     /*  382048 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382134), // Rule ID 24593 //
     /*  382053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382100 */     // MIs[1] Operand 1
     /*  382100 */     // No operand predicates
     /*  382100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382132 */     GIR_RootConstrainSelectedInstOperands,
     /*  382133 */     // GIR_Coverage, 24593,
     /*  382133 */     GIR_EraseRootFromParent_Done,
     /*  382134 */   // Label 6866: @382134
     /*  382134 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382220), // Rule ID 24596 //
     /*  382139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382186 */     // MIs[1] Operand 1
     /*  382186 */     // No operand predicates
     /*  382186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382218 */     GIR_RootConstrainSelectedInstOperands,
     /*  382219 */     // GIR_Coverage, 24596,
     /*  382219 */     GIR_EraseRootFromParent_Done,
     /*  382220 */   // Label 6867: @382220
     /*  382220 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382306), // Rule ID 24597 //
     /*  382225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382272 */     // MIs[1] Operand 1
     /*  382272 */     // No operand predicates
     /*  382272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382304 */     GIR_RootConstrainSelectedInstOperands,
     /*  382305 */     // GIR_Coverage, 24597,
     /*  382305 */     GIR_EraseRootFromParent_Done,
     /*  382306 */   // Label 6868: @382306
     /*  382306 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382392), // Rule ID 24600 //
     /*  382311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  382314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382358 */     // MIs[1] Operand 1
     /*  382358 */     // No operand predicates
     /*  382358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382390 */     GIR_RootConstrainSelectedInstOperands,
     /*  382391 */     // GIR_Coverage, 24600,
     /*  382391 */     GIR_EraseRootFromParent_Done,
     /*  382392 */   // Label 6869: @382392
     /*  382392 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382478), // Rule ID 24601 //
     /*  382397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  382400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382444 */     // MIs[1] Operand 1
     /*  382444 */     // No operand predicates
     /*  382444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382476 */     GIR_RootConstrainSelectedInstOperands,
     /*  382477 */     // GIR_Coverage, 24601,
     /*  382477 */     GIR_EraseRootFromParent_Done,
     /*  382478 */   // Label 6870: @382478
     /*  382478 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382564), // Rule ID 24604 //
     /*  382483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  382486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382530 */     // MIs[1] Operand 1
     /*  382530 */     // No operand predicates
     /*  382530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382562 */     GIR_RootConstrainSelectedInstOperands,
     /*  382563 */     // GIR_Coverage, 24604,
     /*  382563 */     GIR_EraseRootFromParent_Done,
     /*  382564 */   // Label 6871: @382564
     /*  382564 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382650), // Rule ID 24605 //
     /*  382569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  382572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382616 */     // MIs[1] Operand 1
     /*  382616 */     // No operand predicates
     /*  382616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382648 */     GIR_RootConstrainSelectedInstOperands,
     /*  382649 */     // GIR_Coverage, 24605,
     /*  382649 */     GIR_EraseRootFromParent_Done,
     /*  382650 */   // Label 6872: @382650
     /*  382650 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382736), // Rule ID 24608 //
     /*  382655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  382658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382702 */     // MIs[1] Operand 1
     /*  382702 */     // No operand predicates
     /*  382702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382734 */     GIR_RootConstrainSelectedInstOperands,
     /*  382735 */     // GIR_Coverage, 24608,
     /*  382735 */     GIR_EraseRootFromParent_Done,
     /*  382736 */   // Label 6873: @382736
     /*  382736 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382822), // Rule ID 24609 //
     /*  382741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  382744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382788 */     // MIs[1] Operand 1
     /*  382788 */     // No operand predicates
     /*  382788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382820 */     GIR_RootConstrainSelectedInstOperands,
     /*  382821 */     // GIR_Coverage, 24609,
     /*  382821 */     GIR_EraseRootFromParent_Done,
     /*  382822 */   // Label 6874: @382822
     /*  382822 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382908), // Rule ID 24768 //
     /*  382827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  382830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382874 */     // MIs[1] Operand 1
     /*  382874 */     // No operand predicates
     /*  382874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382883 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  382886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382906 */     GIR_RootConstrainSelectedInstOperands,
     /*  382907 */     // GIR_Coverage, 24768,
     /*  382907 */     GIR_EraseRootFromParent_Done,
     /*  382908 */   // Label 6875: @382908
     /*  382908 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382994), // Rule ID 24769 //
     /*  382913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  382916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  382924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  382927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  382930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382960 */     // MIs[1] Operand 1
     /*  382960 */     // No operand predicates
     /*  382960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382969 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  382972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382992 */     GIR_RootConstrainSelectedInstOperands,
     /*  382993 */     // GIR_Coverage, 24769,
     /*  382993 */     GIR_EraseRootFromParent_Done,
     /*  382994 */   // Label 6876: @382994
     /*  382994 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(383080), // Rule ID 24772 //
     /*  382999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  383002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383046 */     // MIs[1] Operand 1
     /*  383046 */     // No operand predicates
     /*  383046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383055 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  383058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383078 */     GIR_RootConstrainSelectedInstOperands,
     /*  383079 */     // GIR_Coverage, 24772,
     /*  383079 */     GIR_EraseRootFromParent_Done,
     /*  383080 */   // Label 6877: @383080
     /*  383080 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383166), // Rule ID 24773 //
     /*  383085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  383088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  383096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  383099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  383102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383132 */     // MIs[1] Operand 1
     /*  383132 */     // No operand predicates
     /*  383132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  383144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383164 */     GIR_RootConstrainSelectedInstOperands,
     /*  383165 */     // GIR_Coverage, 24773,
     /*  383165 */     GIR_EraseRootFromParent_Done,
     /*  383166 */   // Label 6878: @383166
     /*  383166 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383252), // Rule ID 24776 //
     /*  383171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  383174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  383182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  383185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  383188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383218 */     // MIs[1] Operand 1
     /*  383218 */     // No operand predicates
     /*  383218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  383230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383250 */     GIR_RootConstrainSelectedInstOperands,
     /*  383251 */     // GIR_Coverage, 24776,
     /*  383251 */     GIR_EraseRootFromParent_Done,
     /*  383252 */   // Label 6879: @383252
     /*  383252 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383338), // Rule ID 24777 //
     /*  383257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  383260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  383268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  383271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  383274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383304 */     // MIs[1] Operand 1
     /*  383304 */     // No operand predicates
     /*  383304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383313 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  383316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383336 */     GIR_RootConstrainSelectedInstOperands,
     /*  383337 */     // GIR_Coverage, 24777,
     /*  383337 */     GIR_EraseRootFromParent_Done,
     /*  383338 */   // Label 6880: @383338
     /*  383338 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383424), // Rule ID 24780 //
     /*  383343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  383346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383390 */     // MIs[1] Operand 1
     /*  383390 */     // No operand predicates
     /*  383390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383422 */     GIR_RootConstrainSelectedInstOperands,
     /*  383423 */     // GIR_Coverage, 24780,
     /*  383423 */     GIR_EraseRootFromParent_Done,
     /*  383424 */   // Label 6881: @383424
     /*  383424 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383510), // Rule ID 24781 //
     /*  383429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  383432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383476 */     // MIs[1] Operand 1
     /*  383476 */     // No operand predicates
     /*  383476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383485 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383508 */     GIR_RootConstrainSelectedInstOperands,
     /*  383509 */     // GIR_Coverage, 24781,
     /*  383509 */     GIR_EraseRootFromParent_Done,
     /*  383510 */   // Label 6882: @383510
     /*  383510 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383596), // Rule ID 24784 //
     /*  383515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  383518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383562 */     // MIs[1] Operand 1
     /*  383562 */     // No operand predicates
     /*  383562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383594 */     GIR_RootConstrainSelectedInstOperands,
     /*  383595 */     // GIR_Coverage, 24784,
     /*  383595 */     GIR_EraseRootFromParent_Done,
     /*  383596 */   // Label 6883: @383596
     /*  383596 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383682), // Rule ID 24785 //
     /*  383601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  383604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383648 */     // MIs[1] Operand 1
     /*  383648 */     // No operand predicates
     /*  383648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383657 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383680 */     GIR_RootConstrainSelectedInstOperands,
     /*  383681 */     // GIR_Coverage, 24785,
     /*  383681 */     GIR_EraseRootFromParent_Done,
     /*  383682 */   // Label 6884: @383682
     /*  383682 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383768), // Rule ID 24788 //
     /*  383687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  383690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383734 */     // MIs[1] Operand 1
     /*  383734 */     // No operand predicates
     /*  383734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383743 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  383746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383766 */     GIR_RootConstrainSelectedInstOperands,
     /*  383767 */     // GIR_Coverage, 24788,
     /*  383767 */     GIR_EraseRootFromParent_Done,
     /*  383768 */   // Label 6885: @383768
     /*  383768 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383854), // Rule ID 24789 //
     /*  383773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  383776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383820 */     // MIs[1] Operand 1
     /*  383820 */     // No operand predicates
     /*  383820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  383832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383852 */     GIR_RootConstrainSelectedInstOperands,
     /*  383853 */     // GIR_Coverage, 24789,
     /*  383853 */     GIR_EraseRootFromParent_Done,
     /*  383854 */   // Label 6886: @383854
     /*  383854 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383940), // Rule ID 24792 //
     /*  383859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  383862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383906 */     // MIs[1] Operand 1
     /*  383906 */     // No operand predicates
     /*  383906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383915 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383938 */     GIR_RootConstrainSelectedInstOperands,
     /*  383939 */     // GIR_Coverage, 24792,
     /*  383939 */     GIR_EraseRootFromParent_Done,
     /*  383940 */   // Label 6887: @383940
     /*  383940 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(384026), // Rule ID 24793 //
     /*  383945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  383948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383992 */     // MIs[1] Operand 1
     /*  383992 */     // No operand predicates
     /*  383992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384001 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  384004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384024 */     GIR_RootConstrainSelectedInstOperands,
     /*  384025 */     // GIR_Coverage, 24793,
     /*  384025 */     GIR_EraseRootFromParent_Done,
     /*  384026 */   // Label 6888: @384026
     /*  384026 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(384112), // Rule ID 24796 //
     /*  384031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  384034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384078 */     // MIs[1] Operand 1
     /*  384078 */     // No operand predicates
     /*  384078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384087 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  384090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384110 */     GIR_RootConstrainSelectedInstOperands,
     /*  384111 */     // GIR_Coverage, 24796,
     /*  384111 */     GIR_EraseRootFromParent_Done,
     /*  384112 */   // Label 6889: @384112
     /*  384112 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(384198), // Rule ID 24797 //
     /*  384117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  384120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  384128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  384131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  384134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384164 */     // MIs[1] Operand 1
     /*  384164 */     // No operand predicates
     /*  384164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384173 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  384176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384196 */     GIR_RootConstrainSelectedInstOperands,
     /*  384197 */     // GIR_Coverage, 24797,
     /*  384197 */     GIR_EraseRootFromParent_Done,
     /*  384198 */   // Label 6890: @384198
     /*  384198 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(384284), // Rule ID 24800 //
     /*  384203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  384206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384250 */     // MIs[1] Operand 1
     /*  384250 */     // No operand predicates
     /*  384250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384259 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  384262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384282 */     GIR_RootConstrainSelectedInstOperands,
     /*  384283 */     // GIR_Coverage, 24800,
     /*  384283 */     GIR_EraseRootFromParent_Done,
     /*  384284 */   // Label 6891: @384284
     /*  384284 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(384370), // Rule ID 24801 //
     /*  384289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  384292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384336 */     // MIs[1] Operand 1
     /*  384336 */     // No operand predicates
     /*  384336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384345 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  384348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384368 */     GIR_RootConstrainSelectedInstOperands,
     /*  384369 */     // GIR_Coverage, 24801,
     /*  384369 */     GIR_EraseRootFromParent_Done,
     /*  384370 */   // Label 6892: @384370
     /*  384370 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384456), // Rule ID 24852 //
     /*  384375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  384378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  384386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  384389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  384392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384422 */     // MIs[1] Operand 1
     /*  384422 */     // No operand predicates
     /*  384422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384431 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  384434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384454 */     GIR_RootConstrainSelectedInstOperands,
     /*  384455 */     // GIR_Coverage, 24852,
     /*  384455 */     GIR_EraseRootFromParent_Done,
     /*  384456 */   // Label 6893: @384456
     /*  384456 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384542), // Rule ID 24853 //
     /*  384461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  384464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  384472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  384475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  384478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384508 */     // MIs[1] Operand 1
     /*  384508 */     // No operand predicates
     /*  384508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384517 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  384520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384540 */     GIR_RootConstrainSelectedInstOperands,
     /*  384541 */     // GIR_Coverage, 24853,
     /*  384541 */     GIR_EraseRootFromParent_Done,
     /*  384542 */   // Label 6894: @384542
     /*  384542 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384628), // Rule ID 24856 //
     /*  384547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  384550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  384561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  384564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384594 */     // MIs[1] Operand 1
     /*  384594 */     // No operand predicates
     /*  384594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  384606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384626 */     GIR_RootConstrainSelectedInstOperands,
     /*  384627 */     // GIR_Coverage, 24856,
     /*  384627 */     GIR_EraseRootFromParent_Done,
     /*  384628 */   // Label 6895: @384628
     /*  384628 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384714), // Rule ID 24857 //
     /*  384633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  384636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  384647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  384650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384680 */     // MIs[1] Operand 1
     /*  384680 */     // No operand predicates
     /*  384680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384689 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  384692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384712 */     GIR_RootConstrainSelectedInstOperands,
     /*  384713 */     // GIR_Coverage, 24857,
     /*  384713 */     GIR_EraseRootFromParent_Done,
     /*  384714 */   // Label 6896: @384714
     /*  384714 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384800), // Rule ID 24860 //
     /*  384719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  384722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  384733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  384736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384766 */     // MIs[1] Operand 1
     /*  384766 */     // No operand predicates
     /*  384766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384775 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384798 */     GIR_RootConstrainSelectedInstOperands,
     /*  384799 */     // GIR_Coverage, 24860,
     /*  384799 */     GIR_EraseRootFromParent_Done,
     /*  384800 */   // Label 6897: @384800
     /*  384800 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384886), // Rule ID 24861 //
     /*  384805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  384808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  384819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  384822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384852 */     // MIs[1] Operand 1
     /*  384852 */     // No operand predicates
     /*  384852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384861 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384884 */     GIR_RootConstrainSelectedInstOperands,
     /*  384885 */     // GIR_Coverage, 24861,
     /*  384885 */     GIR_EraseRootFromParent_Done,
     /*  384886 */   // Label 6898: @384886
     /*  384886 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384972), // Rule ID 24864 //
     /*  384891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  384894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384938 */     // MIs[1] Operand 1
     /*  384938 */     // No operand predicates
     /*  384938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  384950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384970 */     GIR_RootConstrainSelectedInstOperands,
     /*  384971 */     // GIR_Coverage, 24864,
     /*  384971 */     GIR_EraseRootFromParent_Done,
     /*  384972 */   // Label 6899: @384972
     /*  384972 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(385058), // Rule ID 24865 //
     /*  384977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  384980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  384988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  384991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  384994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385024 */     // MIs[1] Operand 1
     /*  385024 */     // No operand predicates
     /*  385024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385033 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  385036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385056 */     GIR_RootConstrainSelectedInstOperands,
     /*  385057 */     // GIR_Coverage, 24865,
     /*  385057 */     GIR_EraseRootFromParent_Done,
     /*  385058 */   // Label 6900: @385058
     /*  385058 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(385144), // Rule ID 24868 //
     /*  385063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  385066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  385077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  385080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385110 */     // MIs[1] Operand 1
     /*  385110 */     // No operand predicates
     /*  385110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385119 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  385122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385142 */     GIR_RootConstrainSelectedInstOperands,
     /*  385143 */     // GIR_Coverage, 24868,
     /*  385143 */     GIR_EraseRootFromParent_Done,
     /*  385144 */   // Label 6901: @385144
     /*  385144 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(385230), // Rule ID 24869 //
     /*  385149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  385152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  385163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  385166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385196 */     // MIs[1] Operand 1
     /*  385196 */     // No operand predicates
     /*  385196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385205 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  385208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385228 */     GIR_RootConstrainSelectedInstOperands,
     /*  385229 */     // GIR_Coverage, 24869,
     /*  385229 */     GIR_EraseRootFromParent_Done,
     /*  385230 */   // Label 6902: @385230
     /*  385230 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(385316), // Rule ID 24872 //
     /*  385235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  385238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385282 */     // MIs[1] Operand 1
     /*  385282 */     // No operand predicates
     /*  385282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385291 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385314 */     GIR_RootConstrainSelectedInstOperands,
     /*  385315 */     // GIR_Coverage, 24872,
     /*  385315 */     GIR_EraseRootFromParent_Done,
     /*  385316 */   // Label 6903: @385316
     /*  385316 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(385402), // Rule ID 24873 //
     /*  385321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  385324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385368 */     // MIs[1] Operand 1
     /*  385368 */     // No operand predicates
     /*  385368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385377 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385400 */     GIR_RootConstrainSelectedInstOperands,
     /*  385401 */     // GIR_Coverage, 24873,
     /*  385401 */     GIR_EraseRootFromParent_Done,
     /*  385402 */   // Label 6904: @385402
     /*  385402 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(385488), // Rule ID 60308 //
     /*  385407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  385410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  385421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  385424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385454 */     // MIs[1] Operand 1
     /*  385454 */     // No operand predicates
     /*  385454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  385466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385486 */     GIR_RootConstrainSelectedInstOperands,
     /*  385487 */     // GIR_Coverage, 60308,
     /*  385487 */     GIR_EraseRootFromParent_Done,
     /*  385488 */   // Label 6905: @385488
     /*  385488 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(385574), // Rule ID 60309 //
     /*  385493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  385496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  385507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  385510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385540 */     // MIs[1] Operand 1
     /*  385540 */     // No operand predicates
     /*  385540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  385552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385572 */     GIR_RootConstrainSelectedInstOperands,
     /*  385573 */     // GIR_Coverage, 60309,
     /*  385573 */     GIR_EraseRootFromParent_Done,
     /*  385574 */   // Label 6906: @385574
     /*  385574 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(385660), // Rule ID 60316 //
     /*  385579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  385582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  385593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  385596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385626 */     // MIs[1] Operand 1
     /*  385626 */     // No operand predicates
     /*  385626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  385638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385658 */     GIR_RootConstrainSelectedInstOperands,
     /*  385659 */     // GIR_Coverage, 60316,
     /*  385659 */     GIR_EraseRootFromParent_Done,
     /*  385660 */   // Label 6907: @385660
     /*  385660 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(385746), // Rule ID 60317 //
     /*  385665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  385668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  385679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  385682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385712 */     // MIs[1] Operand 1
     /*  385712 */     // No operand predicates
     /*  385712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  385724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385744 */     GIR_RootConstrainSelectedInstOperands,
     /*  385745 */     // GIR_Coverage, 60317,
     /*  385745 */     GIR_EraseRootFromParent_Done,
     /*  385746 */   // Label 6908: @385746
     /*  385746 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(385832), // Rule ID 60324 //
     /*  385751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  385754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  385762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  385765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  385768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385798 */     // MIs[1] Operand 1
     /*  385798 */     // No operand predicates
     /*  385798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  385810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385830 */     GIR_RootConstrainSelectedInstOperands,
     /*  385831 */     // GIR_Coverage, 60324,
     /*  385831 */     GIR_EraseRootFromParent_Done,
     /*  385832 */   // Label 6909: @385832
     /*  385832 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385918), // Rule ID 60325 //
     /*  385837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  385840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  385848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  385851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  385854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385884 */     // MIs[1] Operand 1
     /*  385884 */     // No operand predicates
     /*  385884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  385896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385916 */     GIR_RootConstrainSelectedInstOperands,
     /*  385917 */     // GIR_Coverage, 60325,
     /*  385917 */     GIR_EraseRootFromParent_Done,
     /*  385918 */   // Label 6910: @385918
     /*  385918 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(386004), // Rule ID 60332 //
     /*  385923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  385926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  385931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  385934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  385937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  385940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385970 */     // MIs[1] Operand 1
     /*  385970 */     // No operand predicates
     /*  385970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  385982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386002 */     GIR_RootConstrainSelectedInstOperands,
     /*  386003 */     // GIR_Coverage, 60332,
     /*  386003 */     GIR_EraseRootFromParent_Done,
     /*  386004 */   // Label 6911: @386004
     /*  386004 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(386090), // Rule ID 60333 //
     /*  386009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  386020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  386023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  386026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386056 */     // MIs[1] Operand 1
     /*  386056 */     // No operand predicates
     /*  386056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  386068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386088 */     GIR_RootConstrainSelectedInstOperands,
     /*  386089 */     // GIR_Coverage, 60333,
     /*  386089 */     GIR_EraseRootFromParent_Done,
     /*  386090 */   // Label 6912: @386090
     /*  386090 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(386176), // Rule ID 60340 //
     /*  386095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  386106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  386109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  386112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386142 */     // MIs[1] Operand 1
     /*  386142 */     // No operand predicates
     /*  386142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  386154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386174 */     GIR_RootConstrainSelectedInstOperands,
     /*  386175 */     // GIR_Coverage, 60340,
     /*  386175 */     GIR_EraseRootFromParent_Done,
     /*  386176 */   // Label 6913: @386176
     /*  386176 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(386262), // Rule ID 60341 //
     /*  386181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  386192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  386195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  386198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386228 */     // MIs[1] Operand 1
     /*  386228 */     // No operand predicates
     /*  386228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  386240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386260 */     GIR_RootConstrainSelectedInstOperands,
     /*  386261 */     // GIR_Coverage, 60341,
     /*  386261 */     GIR_EraseRootFromParent_Done,
     /*  386262 */   // Label 6914: @386262
     /*  386262 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(386348), // Rule ID 60348 //
     /*  386267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  386281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  386284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386314 */     // MIs[1] Operand 1
     /*  386314 */     // No operand predicates
     /*  386314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  386326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386346 */     GIR_RootConstrainSelectedInstOperands,
     /*  386347 */     // GIR_Coverage, 60348,
     /*  386347 */     GIR_EraseRootFromParent_Done,
     /*  386348 */   // Label 6915: @386348
     /*  386348 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(386434), // Rule ID 60349 //
     /*  386353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  386367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  386370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386400 */     // MIs[1] Operand 1
     /*  386400 */     // No operand predicates
     /*  386400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  386412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386432 */     GIR_RootConstrainSelectedInstOperands,
     /*  386433 */     // GIR_Coverage, 60349,
     /*  386433 */     GIR_EraseRootFromParent_Done,
     /*  386434 */   // Label 6916: @386434
     /*  386434 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(386520), // Rule ID 60356 //
     /*  386439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386486 */     // MIs[1] Operand 1
     /*  386486 */     // No operand predicates
     /*  386486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  386498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386518 */     GIR_RootConstrainSelectedInstOperands,
     /*  386519 */     // GIR_Coverage, 60356,
     /*  386519 */     GIR_EraseRootFromParent_Done,
     /*  386520 */   // Label 6917: @386520
     /*  386520 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(386606), // Rule ID 60357 //
     /*  386525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  386539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386572 */     // MIs[1] Operand 1
     /*  386572 */     // No operand predicates
     /*  386572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  386584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386604 */     GIR_RootConstrainSelectedInstOperands,
     /*  386605 */     // GIR_Coverage, 60357,
     /*  386605 */     GIR_EraseRootFromParent_Done,
     /*  386606 */   // Label 6918: @386606
     /*  386606 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(386692), // Rule ID 60364 //
     /*  386611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  386625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386658 */     // MIs[1] Operand 1
     /*  386658 */     // No operand predicates
     /*  386658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  386670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386690 */     GIR_RootConstrainSelectedInstOperands,
     /*  386691 */     // GIR_Coverage, 60364,
     /*  386691 */     GIR_EraseRootFromParent_Done,
     /*  386692 */   // Label 6919: @386692
     /*  386692 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(386778), // Rule ID 60365 //
     /*  386697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  386711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386744 */     // MIs[1] Operand 1
     /*  386744 */     // No operand predicates
     /*  386744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  386756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386776 */     GIR_RootConstrainSelectedInstOperands,
     /*  386777 */     // GIR_Coverage, 60365,
     /*  386777 */     GIR_EraseRootFromParent_Done,
     /*  386778 */   // Label 6920: @386778
     /*  386778 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(386864), // Rule ID 60372 //
     /*  386783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  386794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  386797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386830 */     // MIs[1] Operand 1
     /*  386830 */     // No operand predicates
     /*  386830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  386842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386862 */     GIR_RootConstrainSelectedInstOperands,
     /*  386863 */     // GIR_Coverage, 60372,
     /*  386863 */     GIR_EraseRootFromParent_Done,
     /*  386864 */   // Label 6921: @386864
     /*  386864 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(386950), // Rule ID 60373 //
     /*  386869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  386880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  386883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386916 */     // MIs[1] Operand 1
     /*  386916 */     // No operand predicates
     /*  386916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  386928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386948 */     GIR_RootConstrainSelectedInstOperands,
     /*  386949 */     // GIR_Coverage, 60373,
     /*  386949 */     GIR_EraseRootFromParent_Done,
     /*  386950 */   // Label 6922: @386950
     /*  386950 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(387036), // Rule ID 60380 //
     /*  386955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  386966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  386969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  386972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387002 */     // MIs[1] Operand 1
     /*  387002 */     // No operand predicates
     /*  387002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387034 */     GIR_RootConstrainSelectedInstOperands,
     /*  387035 */     // GIR_Coverage, 60380,
     /*  387035 */     GIR_EraseRootFromParent_Done,
     /*  387036 */   // Label 6923: @387036
     /*  387036 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(387122), // Rule ID 60381 //
     /*  387041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  387052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  387055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  387058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387088 */     // MIs[1] Operand 1
     /*  387088 */     // No operand predicates
     /*  387088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387120 */     GIR_RootConstrainSelectedInstOperands,
     /*  387121 */     // GIR_Coverage, 60381,
     /*  387121 */     GIR_EraseRootFromParent_Done,
     /*  387122 */   // Label 6924: @387122
     /*  387122 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(387208), // Rule ID 60388 //
     /*  387127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  387138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  387141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387174 */     // MIs[1] Operand 1
     /*  387174 */     // No operand predicates
     /*  387174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387206 */     GIR_RootConstrainSelectedInstOperands,
     /*  387207 */     // GIR_Coverage, 60388,
     /*  387207 */     GIR_EraseRootFromParent_Done,
     /*  387208 */   // Label 6925: @387208
     /*  387208 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(387294), // Rule ID 60389 //
     /*  387213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  387224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  387227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  387230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387260 */     // MIs[1] Operand 1
     /*  387260 */     // No operand predicates
     /*  387260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387292 */     GIR_RootConstrainSelectedInstOperands,
     /*  387293 */     // GIR_Coverage, 60389,
     /*  387293 */     GIR_EraseRootFromParent_Done,
     /*  387294 */   // Label 6926: @387294
     /*  387294 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(387380), // Rule ID 60396 //
     /*  387299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387346 */     // MIs[1] Operand 1
     /*  387346 */     // No operand predicates
     /*  387346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  387358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387378 */     GIR_RootConstrainSelectedInstOperands,
     /*  387379 */     // GIR_Coverage, 60396,
     /*  387379 */     GIR_EraseRootFromParent_Done,
     /*  387380 */   // Label 6927: @387380
     /*  387380 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(387466), // Rule ID 60397 //
     /*  387385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387432 */     // MIs[1] Operand 1
     /*  387432 */     // No operand predicates
     /*  387432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  387444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387464 */     GIR_RootConstrainSelectedInstOperands,
     /*  387465 */     // GIR_Coverage, 60397,
     /*  387465 */     GIR_EraseRootFromParent_Done,
     /*  387466 */   // Label 6928: @387466
     /*  387466 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(387552), // Rule ID 60404 //
     /*  387471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  387482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  387485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387518 */     // MIs[1] Operand 1
     /*  387518 */     // No operand predicates
     /*  387518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  387530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387550 */     GIR_RootConstrainSelectedInstOperands,
     /*  387551 */     // GIR_Coverage, 60404,
     /*  387551 */     GIR_EraseRootFromParent_Done,
     /*  387552 */   // Label 6929: @387552
     /*  387552 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(387638), // Rule ID 60405 //
     /*  387557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  387568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  387571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387604 */     // MIs[1] Operand 1
     /*  387604 */     // No operand predicates
     /*  387604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  387616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387636 */     GIR_RootConstrainSelectedInstOperands,
     /*  387637 */     // GIR_Coverage, 60405,
     /*  387637 */     GIR_EraseRootFromParent_Done,
     /*  387638 */   // Label 6930: @387638
     /*  387638 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(387724), // Rule ID 60412 //
     /*  387643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  387654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  387657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  387660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387690 */     // MIs[1] Operand 1
     /*  387690 */     // No operand predicates
     /*  387690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387722 */     GIR_RootConstrainSelectedInstOperands,
     /*  387723 */     // GIR_Coverage, 60412,
     /*  387723 */     GIR_EraseRootFromParent_Done,
     /*  387724 */   // Label 6931: @387724
     /*  387724 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(387810), // Rule ID 60413 //
     /*  387729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  387740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  387743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  387746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387776 */     // MIs[1] Operand 1
     /*  387776 */     // No operand predicates
     /*  387776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387808 */     GIR_RootConstrainSelectedInstOperands,
     /*  387809 */     // GIR_Coverage, 60413,
     /*  387809 */     GIR_EraseRootFromParent_Done,
     /*  387810 */   // Label 6932: @387810
     /*  387810 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(387896), // Rule ID 60420 //
     /*  387815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  387826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  387829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  387832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387862 */     // MIs[1] Operand 1
     /*  387862 */     // No operand predicates
     /*  387862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387894 */     GIR_RootConstrainSelectedInstOperands,
     /*  387895 */     // GIR_Coverage, 60420,
     /*  387895 */     GIR_EraseRootFromParent_Done,
     /*  387896 */   // Label 6933: @387896
     /*  387896 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(387982), // Rule ID 60421 //
     /*  387901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  387912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  387915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  387918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387948 */     // MIs[1] Operand 1
     /*  387948 */     // No operand predicates
     /*  387948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387980 */     GIR_RootConstrainSelectedInstOperands,
     /*  387981 */     // GIR_Coverage, 60421,
     /*  387981 */     GIR_EraseRootFromParent_Done,
     /*  387982 */   // Label 6934: @387982
     /*  387982 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(388068), // Rule ID 61276 //
     /*  387987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  387995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  387998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  388001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  388004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388034 */     // MIs[1] Operand 1
     /*  388034 */     // No operand predicates
     /*  388034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  388043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  388046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388066 */     GIR_RootConstrainSelectedInstOperands,
     /*  388067 */     // GIR_Coverage, 61276,
     /*  388067 */     GIR_EraseRootFromParent_Done,
     /*  388068 */   // Label 6935: @388068
     /*  388068 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(388154), // Rule ID 61277 //
     /*  388073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  388084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  388087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  388090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388120 */     // MIs[1] Operand 1
     /*  388120 */     // No operand predicates
     /*  388120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  388129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  388132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388152 */     GIR_RootConstrainSelectedInstOperands,
     /*  388153 */     // GIR_Coverage, 61277,
     /*  388153 */     GIR_EraseRootFromParent_Done,
     /*  388154 */   // Label 6936: @388154
     /*  388154 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(388240), // Rule ID 61280 //
     /*  388159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  388170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  388173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  388176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388206 */     // MIs[1] Operand 1
     /*  388206 */     // No operand predicates
     /*  388206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  388215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  388218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388238 */     GIR_RootConstrainSelectedInstOperands,
     /*  388239 */     // GIR_Coverage, 61280,
     /*  388239 */     GIR_EraseRootFromParent_Done,
     /*  388240 */   // Label 6937: @388240
     /*  388240 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(388326), // Rule ID 61281 //
     /*  388245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  388256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  388259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  388262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388292 */     // MIs[1] Operand 1
     /*  388292 */     // No operand predicates
     /*  388292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  388301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  388304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388324 */     GIR_RootConstrainSelectedInstOperands,
     /*  388325 */     // GIR_Coverage, 61281,
     /*  388325 */     GIR_EraseRootFromParent_Done,
     /*  388326 */   // Label 6938: @388326
     /*  388326 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(388412), // Rule ID 61284 //
     /*  388331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  388342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  388345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  388348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388378 */     // MIs[1] Operand 1
     /*  388378 */     // No operand predicates
     /*  388378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  388387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388410 */     GIR_RootConstrainSelectedInstOperands,
     /*  388411 */     // GIR_Coverage, 61284,
     /*  388411 */     GIR_EraseRootFromParent_Done,
     /*  388412 */   // Label 6939: @388412
     /*  388412 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(388498), // Rule ID 61285 //
     /*  388417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  388428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  388431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  388434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388464 */     // MIs[1] Operand 1
     /*  388464 */     // No operand predicates
     /*  388464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  388473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388496 */     GIR_RootConstrainSelectedInstOperands,
     /*  388497 */     // GIR_Coverage, 61285,
     /*  388497 */     GIR_EraseRootFromParent_Done,
     /*  388498 */   // Label 6940: @388498
     /*  388498 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(388584), // Rule ID 61288 //
     /*  388503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  388514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  388517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  388520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388550 */     // MIs[1] Operand 1
     /*  388550 */     // No operand predicates
     /*  388550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  388562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388582 */     GIR_RootConstrainSelectedInstOperands,
     /*  388583 */     // GIR_Coverage, 61288,
     /*  388583 */     GIR_EraseRootFromParent_Done,
     /*  388584 */   // Label 6941: @388584
     /*  388584 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(388670), // Rule ID 61289 //
     /*  388589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  388600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  388603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  388606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388636 */     // MIs[1] Operand 1
     /*  388636 */     // No operand predicates
     /*  388636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  388648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388668 */     GIR_RootConstrainSelectedInstOperands,
     /*  388669 */     // GIR_Coverage, 61289,
     /*  388669 */     GIR_EraseRootFromParent_Done,
     /*  388670 */   // Label 6942: @388670
     /*  388670 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(388756), // Rule ID 61292 //
     /*  388675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  388686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  388689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  388692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388722 */     // MIs[1] Operand 1
     /*  388722 */     // No operand predicates
     /*  388722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388754 */     GIR_RootConstrainSelectedInstOperands,
     /*  388755 */     // GIR_Coverage, 61292,
     /*  388755 */     GIR_EraseRootFromParent_Done,
     /*  388756 */   // Label 6943: @388756
     /*  388756 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(388842), // Rule ID 61293 //
     /*  388761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  388772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  388775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  388778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388808 */     // MIs[1] Operand 1
     /*  388808 */     // No operand predicates
     /*  388808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388840 */     GIR_RootConstrainSelectedInstOperands,
     /*  388841 */     // GIR_Coverage, 61293,
     /*  388841 */     GIR_EraseRootFromParent_Done,
     /*  388842 */   // Label 6944: @388842
     /*  388842 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(388928), // Rule ID 61296 //
     /*  388847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  388858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  388861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  388864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388894 */     // MIs[1] Operand 1
     /*  388894 */     // No operand predicates
     /*  388894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388926 */     GIR_RootConstrainSelectedInstOperands,
     /*  388927 */     // GIR_Coverage, 61296,
     /*  388927 */     GIR_EraseRootFromParent_Done,
     /*  388928 */   // Label 6945: @388928
     /*  388928 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(389014), // Rule ID 61297 //
     /*  388933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  388941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  388944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  388947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  388950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  388980 */     // MIs[1] Operand 1
     /*  388980 */     // No operand predicates
     /*  388980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  388992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389012 */     GIR_RootConstrainSelectedInstOperands,
     /*  389013 */     // GIR_Coverage, 61297,
     /*  389013 */     GIR_EraseRootFromParent_Done,
     /*  389014 */   // Label 6946: @389014
     /*  389014 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(389100), // Rule ID 61300 //
     /*  389019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  389030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  389033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  389036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389066 */     // MIs[1] Operand 1
     /*  389066 */     // No operand predicates
     /*  389066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389098 */     GIR_RootConstrainSelectedInstOperands,
     /*  389099 */     // GIR_Coverage, 61300,
     /*  389099 */     GIR_EraseRootFromParent_Done,
     /*  389100 */   // Label 6947: @389100
     /*  389100 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(389186), // Rule ID 61301 //
     /*  389105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  389116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  389119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  389122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389152 */     // MIs[1] Operand 1
     /*  389152 */     // No operand predicates
     /*  389152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  389161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389184 */     GIR_RootConstrainSelectedInstOperands,
     /*  389185 */     // GIR_Coverage, 61301,
     /*  389185 */     GIR_EraseRootFromParent_Done,
     /*  389186 */   // Label 6948: @389186
     /*  389186 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(389272), // Rule ID 61304 //
     /*  389191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  389202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  389205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  389208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389238 */     // MIs[1] Operand 1
     /*  389238 */     // No operand predicates
     /*  389238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  389247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389270 */     GIR_RootConstrainSelectedInstOperands,
     /*  389271 */     // GIR_Coverage, 61304,
     /*  389271 */     GIR_EraseRootFromParent_Done,
     /*  389272 */   // Label 6949: @389272
     /*  389272 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(389358), // Rule ID 61305 //
     /*  389277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  389288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  389291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  389294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389324 */     // MIs[1] Operand 1
     /*  389324 */     // No operand predicates
     /*  389324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  389333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389356 */     GIR_RootConstrainSelectedInstOperands,
     /*  389357 */     // GIR_Coverage, 61305,
     /*  389357 */     GIR_EraseRootFromParent_Done,
     /*  389358 */   // Label 6950: @389358
     /*  389358 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(389444), // Rule ID 61308 //
     /*  389363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  389374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  389377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  389380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389410 */     // MIs[1] Operand 1
     /*  389410 */     // No operand predicates
     /*  389410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  389419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389442 */     GIR_RootConstrainSelectedInstOperands,
     /*  389443 */     // GIR_Coverage, 61308,
     /*  389443 */     GIR_EraseRootFromParent_Done,
     /*  389444 */   // Label 6951: @389444
     /*  389444 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(389530), // Rule ID 61309 //
     /*  389449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  389460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  389463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  389466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389496 */     // MIs[1] Operand 1
     /*  389496 */     // No operand predicates
     /*  389496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  389505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389528 */     GIR_RootConstrainSelectedInstOperands,
     /*  389529 */     // GIR_Coverage, 61309,
     /*  389529 */     GIR_EraseRootFromParent_Done,
     /*  389530 */   // Label 6952: @389530
     /*  389530 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(389616), // Rule ID 61312 //
     /*  389535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  389546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  389549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  389552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389582 */     // MIs[1] Operand 1
     /*  389582 */     // No operand predicates
     /*  389582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  389591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389614 */     GIR_RootConstrainSelectedInstOperands,
     /*  389615 */     // GIR_Coverage, 61312,
     /*  389615 */     GIR_EraseRootFromParent_Done,
     /*  389616 */   // Label 6953: @389616
     /*  389616 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(389702), // Rule ID 61313 //
     /*  389621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  389632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  389635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  389638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389668 */     // MIs[1] Operand 1
     /*  389668 */     // No operand predicates
     /*  389668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  389677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  389680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389700 */     GIR_RootConstrainSelectedInstOperands,
     /*  389701 */     // GIR_Coverage, 61313,
     /*  389701 */     GIR_EraseRootFromParent_Done,
     /*  389702 */   // Label 6954: @389702
     /*  389702 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(389788), // Rule ID 61316 //
     /*  389707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  389718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  389721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  389724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389754 */     // MIs[1] Operand 1
     /*  389754 */     // No operand predicates
     /*  389754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  389766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389786 */     GIR_RootConstrainSelectedInstOperands,
     /*  389787 */     // GIR_Coverage, 61316,
     /*  389787 */     GIR_EraseRootFromParent_Done,
     /*  389788 */   // Label 6955: @389788
     /*  389788 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(389874), // Rule ID 61317 //
     /*  389793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  389804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  389807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  389810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389840 */     // MIs[1] Operand 1
     /*  389840 */     // No operand predicates
     /*  389840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  389849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  389852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389872 */     GIR_RootConstrainSelectedInstOperands,
     /*  389873 */     // GIR_Coverage, 61317,
     /*  389873 */     GIR_EraseRootFromParent_Done,
     /*  389874 */   // Label 6956: @389874
     /*  389874 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(389960), // Rule ID 61320 //
     /*  389879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  389890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  389893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  389896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389926 */     // MIs[1] Operand 1
     /*  389926 */     // No operand predicates
     /*  389926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389935 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  389938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389958 */     GIR_RootConstrainSelectedInstOperands,
     /*  389959 */     // GIR_Coverage, 61320,
     /*  389959 */     GIR_EraseRootFromParent_Done,
     /*  389960 */   // Label 6957: @389960
     /*  389960 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(390046), // Rule ID 61321 //
     /*  389965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  389976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  389979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  389982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390012 */     // MIs[1] Operand 1
     /*  390012 */     // No operand predicates
     /*  390012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  390024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390044 */     GIR_RootConstrainSelectedInstOperands,
     /*  390045 */     // GIR_Coverage, 61321,
     /*  390045 */     GIR_EraseRootFromParent_Done,
     /*  390046 */   // Label 6958: @390046
     /*  390046 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(390132), // Rule ID 61324 //
     /*  390051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  390062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  390065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  390068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390098 */     // MIs[1] Operand 1
     /*  390098 */     // No operand predicates
     /*  390098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390107 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  390107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  390110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390130 */     GIR_RootConstrainSelectedInstOperands,
     /*  390131 */     // GIR_Coverage, 61324,
     /*  390131 */     GIR_EraseRootFromParent_Done,
     /*  390132 */   // Label 6959: @390132
     /*  390132 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(390218), // Rule ID 61325 //
     /*  390137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  390148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  390151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  390154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390184 */     // MIs[1] Operand 1
     /*  390184 */     // No operand predicates
     /*  390184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  390196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390216 */     GIR_RootConstrainSelectedInstOperands,
     /*  390217 */     // GIR_Coverage, 61325,
     /*  390217 */     GIR_EraseRootFromParent_Done,
     /*  390218 */   // Label 6960: @390218
     /*  390218 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(390304), // Rule ID 61328 //
     /*  390223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  390234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  390237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  390240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390270 */     // MIs[1] Operand 1
     /*  390270 */     // No operand predicates
     /*  390270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390279 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  390282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390302 */     GIR_RootConstrainSelectedInstOperands,
     /*  390303 */     // GIR_Coverage, 61328,
     /*  390303 */     GIR_EraseRootFromParent_Done,
     /*  390304 */   // Label 6961: @390304
     /*  390304 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(390390), // Rule ID 61329 //
     /*  390309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  390320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  390323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  390326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390356 */     // MIs[1] Operand 1
     /*  390356 */     // No operand predicates
     /*  390356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  390368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390388 */     GIR_RootConstrainSelectedInstOperands,
     /*  390389 */     // GIR_Coverage, 61329,
     /*  390389 */     GIR_EraseRootFromParent_Done,
     /*  390390 */   // Label 6962: @390390
     /*  390390 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(390476), // Rule ID 61332 //
     /*  390395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  390406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  390409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  390412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390442 */     // MIs[1] Operand 1
     /*  390442 */     // No operand predicates
     /*  390442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  390454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390474 */     GIR_RootConstrainSelectedInstOperands,
     /*  390475 */     // GIR_Coverage, 61332,
     /*  390475 */     GIR_EraseRootFromParent_Done,
     /*  390476 */   // Label 6963: @390476
     /*  390476 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(390562), // Rule ID 61333 //
     /*  390481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  390492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  390495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  390498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390528 */     // MIs[1] Operand 1
     /*  390528 */     // No operand predicates
     /*  390528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  390540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390560 */     GIR_RootConstrainSelectedInstOperands,
     /*  390561 */     // GIR_Coverage, 61333,
     /*  390561 */     GIR_EraseRootFromParent_Done,
     /*  390562 */   // Label 6964: @390562
     /*  390562 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(390648), // Rule ID 61336 //
     /*  390567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  390578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  390581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  390584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390614 */     // MIs[1] Operand 1
     /*  390614 */     // No operand predicates
     /*  390614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  390626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390646 */     GIR_RootConstrainSelectedInstOperands,
     /*  390647 */     // GIR_Coverage, 61336,
     /*  390647 */     GIR_EraseRootFromParent_Done,
     /*  390648 */   // Label 6965: @390648
     /*  390648 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(390734), // Rule ID 61337 //
     /*  390653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  390664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  390667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  390670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390700 */     // MIs[1] Operand 1
     /*  390700 */     // No operand predicates
     /*  390700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  390712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390732 */     GIR_RootConstrainSelectedInstOperands,
     /*  390733 */     // GIR_Coverage, 61337,
     /*  390733 */     GIR_EraseRootFromParent_Done,
     /*  390734 */   // Label 6966: @390734
     /*  390734 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(390820), // Rule ID 61340 //
     /*  390739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  390750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  390753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  390756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390786 */     // MIs[1] Operand 1
     /*  390786 */     // No operand predicates
     /*  390786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  390795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  390798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390818 */     GIR_RootConstrainSelectedInstOperands,
     /*  390819 */     // GIR_Coverage, 61340,
     /*  390819 */     GIR_EraseRootFromParent_Done,
     /*  390820 */   // Label 6967: @390820
     /*  390820 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(390906), // Rule ID 61341 //
     /*  390825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  390836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  390839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  390842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390872 */     // MIs[1] Operand 1
     /*  390872 */     // No operand predicates
     /*  390872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  390881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  390884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390904 */     GIR_RootConstrainSelectedInstOperands,
     /*  390905 */     // GIR_Coverage, 61341,
     /*  390905 */     GIR_EraseRootFromParent_Done,
     /*  390906 */   // Label 6968: @390906
     /*  390906 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(390992), // Rule ID 61344 //
     /*  390911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  390922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  390925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  390928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390958 */     // MIs[1] Operand 1
     /*  390958 */     // No operand predicates
     /*  390958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  390967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  390970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390990 */     GIR_RootConstrainSelectedInstOperands,
     /*  390991 */     // GIR_Coverage, 61344,
     /*  390991 */     GIR_EraseRootFromParent_Done,
     /*  390992 */   // Label 6969: @390992
     /*  390992 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(391078), // Rule ID 61345 //
     /*  390997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  391008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  391011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  391014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391044 */     // MIs[1] Operand 1
     /*  391044 */     // No operand predicates
     /*  391044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  391053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391076 */     GIR_RootConstrainSelectedInstOperands,
     /*  391077 */     // GIR_Coverage, 61345,
     /*  391077 */     GIR_EraseRootFromParent_Done,
     /*  391078 */   // Label 6970: @391078
     /*  391078 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(391164), // Rule ID 61348 //
     /*  391083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  391094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  391097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  391100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391130 */     // MIs[1] Operand 1
     /*  391130 */     // No operand predicates
     /*  391130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  391139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391162 */     GIR_RootConstrainSelectedInstOperands,
     /*  391163 */     // GIR_Coverage, 61348,
     /*  391163 */     GIR_EraseRootFromParent_Done,
     /*  391164 */   // Label 6971: @391164
     /*  391164 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(391250), // Rule ID 61349 //
     /*  391169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  391180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  391183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  391186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391216 */     // MIs[1] Operand 1
     /*  391216 */     // No operand predicates
     /*  391216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  391225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391248 */     GIR_RootConstrainSelectedInstOperands,
     /*  391249 */     // GIR_Coverage, 61349,
     /*  391249 */     GIR_EraseRootFromParent_Done,
     /*  391250 */   // Label 6972: @391250
     /*  391250 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(391336), // Rule ID 61352 //
     /*  391255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  391266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  391269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  391272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391302 */     // MIs[1] Operand 1
     /*  391302 */     // No operand predicates
     /*  391302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391311 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  391311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391334 */     GIR_RootConstrainSelectedInstOperands,
     /*  391335 */     // GIR_Coverage, 61352,
     /*  391335 */     GIR_EraseRootFromParent_Done,
     /*  391336 */   // Label 6973: @391336
     /*  391336 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(391422), // Rule ID 61353 //
     /*  391341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  391352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  391355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  391358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391388 */     // MIs[1] Operand 1
     /*  391388 */     // No operand predicates
     /*  391388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  391397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391420 */     GIR_RootConstrainSelectedInstOperands,
     /*  391421 */     // GIR_Coverage, 61353,
     /*  391421 */     GIR_EraseRootFromParent_Done,
     /*  391422 */   // Label 6974: @391422
     /*  391422 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(391508), // Rule ID 61356 //
     /*  391427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  391438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  391441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  391444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391474 */     // MIs[1] Operand 1
     /*  391474 */     // No operand predicates
     /*  391474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  391483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391506 */     GIR_RootConstrainSelectedInstOperands,
     /*  391507 */     // GIR_Coverage, 61356,
     /*  391507 */     GIR_EraseRootFromParent_Done,
     /*  391508 */   // Label 6975: @391508
     /*  391508 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(391594), // Rule ID 61357 //
     /*  391513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  391524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  391527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  391530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391560 */     // MIs[1] Operand 1
     /*  391560 */     // No operand predicates
     /*  391560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  391569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391592 */     GIR_RootConstrainSelectedInstOperands,
     /*  391593 */     // GIR_Coverage, 61357,
     /*  391593 */     GIR_EraseRootFromParent_Done,
     /*  391594 */   // Label 6976: @391594
     /*  391594 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(391680), // Rule ID 61360 //
     /*  391599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  391610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  391613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  391616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391646 */     // MIs[1] Operand 1
     /*  391646 */     // No operand predicates
     /*  391646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391655 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  391655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391678 */     GIR_RootConstrainSelectedInstOperands,
     /*  391679 */     // GIR_Coverage, 61360,
     /*  391679 */     GIR_EraseRootFromParent_Done,
     /*  391680 */   // Label 6977: @391680
     /*  391680 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(391766), // Rule ID 61361 //
     /*  391685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  391696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  391699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  391702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391732 */     // MIs[1] Operand 1
     /*  391732 */     // No operand predicates
     /*  391732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  391741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391764 */     GIR_RootConstrainSelectedInstOperands,
     /*  391765 */     // GIR_Coverage, 61361,
     /*  391765 */     GIR_EraseRootFromParent_Done,
     /*  391766 */   // Label 6978: @391766
     /*  391766 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(391845), // Rule ID 2610 //
     /*  391771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  391779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  391785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  391788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  391791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  391802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  391806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391823 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  391823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  391826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  391832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  391843 */     GIR_RootConstrainSelectedInstOperands,
     /*  391844 */     // GIR_Coverage, 2610,
     /*  391844 */     GIR_EraseRootFromParent_Done,
     /*  391845 */   // Label 6979: @391845
     /*  391845 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(391924), // Rule ID 2611 //
     /*  391850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  391858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  391861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  391864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  391867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  391870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  391881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  391885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  391902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  391905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  391911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  391922 */     GIR_RootConstrainSelectedInstOperands,
     /*  391923 */     // GIR_Coverage, 2611,
     /*  391923 */     GIR_EraseRootFromParent_Done,
     /*  391924 */   // Label 6980: @391924
     /*  391924 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(392003), // Rule ID 3918 //
     /*  391929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  391937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  391943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  391946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  391949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  391960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  391964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391981 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  391981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  391984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  391990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392001 */     GIR_RootConstrainSelectedInstOperands,
     /*  392002 */     // GIR_Coverage, 3918,
     /*  392002 */     GIR_EraseRootFromParent_Done,
     /*  392003 */   // Label 6981: @392003
     /*  392003 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(392082), // Rule ID 3919 //
     /*  392008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  392019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  392022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  392025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  392028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  392060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  392063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392080 */     GIR_RootConstrainSelectedInstOperands,
     /*  392081 */     // GIR_Coverage, 3919,
     /*  392081 */     GIR_EraseRootFromParent_Done,
     /*  392082 */   // Label 6982: @392082
     /*  392082 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(392161), // Rule ID 3928 //
     /*  392087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  392101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  392104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  392107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  392139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  392142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392159 */     GIR_RootConstrainSelectedInstOperands,
     /*  392160 */     // GIR_Coverage, 3928,
     /*  392160 */     GIR_EraseRootFromParent_Done,
     /*  392161 */   // Label 6983: @392161
     /*  392161 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(392240), // Rule ID 3929 //
     /*  392166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  392180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  392183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  392186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  392218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  392221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392238 */     GIR_RootConstrainSelectedInstOperands,
     /*  392239 */     // GIR_Coverage, 3929,
     /*  392239 */     GIR_EraseRootFromParent_Done,
     /*  392240 */   // Label 6984: @392240
     /*  392240 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(392319), // Rule ID 3938 //
     /*  392245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  392259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  392262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  392265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  392297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  392300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392317 */     GIR_RootConstrainSelectedInstOperands,
     /*  392318 */     // GIR_Coverage, 3938,
     /*  392318 */     GIR_EraseRootFromParent_Done,
     /*  392319 */   // Label 6985: @392319
     /*  392319 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(392398), // Rule ID 3939 //
     /*  392324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  392338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  392341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  392344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  392376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  392379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392396 */     GIR_RootConstrainSelectedInstOperands,
     /*  392397 */     // GIR_Coverage, 3939,
     /*  392397 */     GIR_EraseRootFromParent_Done,
     /*  392398 */   // Label 6986: @392398
     /*  392398 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(392477), // Rule ID 3948 //
     /*  392403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  392417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  392420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  392423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  392455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  392458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392475 */     GIR_RootConstrainSelectedInstOperands,
     /*  392476 */     // GIR_Coverage, 3948,
     /*  392476 */     GIR_EraseRootFromParent_Done,
     /*  392477 */   // Label 6987: @392477
     /*  392477 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(392556), // Rule ID 3949 //
     /*  392482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  392496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  392499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  392502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  392534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  392537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392554 */     GIR_RootConstrainSelectedInstOperands,
     /*  392555 */     // GIR_Coverage, 3949,
     /*  392555 */     GIR_EraseRootFromParent_Done,
     /*  392556 */   // Label 6988: @392556
     /*  392556 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(392635), // Rule ID 3958 //
     /*  392561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  392575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  392578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  392581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  392613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  392616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392633 */     GIR_RootConstrainSelectedInstOperands,
     /*  392634 */     // GIR_Coverage, 3958,
     /*  392634 */     GIR_EraseRootFromParent_Done,
     /*  392635 */   // Label 6989: @392635
     /*  392635 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(392714), // Rule ID 3959 //
     /*  392640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  392654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  392657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  392660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  392692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  392695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392712 */     GIR_RootConstrainSelectedInstOperands,
     /*  392713 */     // GIR_Coverage, 3959,
     /*  392713 */     GIR_EraseRootFromParent_Done,
     /*  392714 */   // Label 6990: @392714
     /*  392714 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(392793), // Rule ID 3968 //
     /*  392719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  392733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  392736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  392739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  392771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  392774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392791 */     GIR_RootConstrainSelectedInstOperands,
     /*  392792 */     // GIR_Coverage, 3968,
     /*  392792 */     GIR_EraseRootFromParent_Done,
     /*  392793 */   // Label 6991: @392793
     /*  392793 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(392872), // Rule ID 3969 //
     /*  392798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  392812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  392815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  392818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  392850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  392853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392870 */     GIR_RootConstrainSelectedInstOperands,
     /*  392871 */     // GIR_Coverage, 3969,
     /*  392871 */     GIR_EraseRootFromParent_Done,
     /*  392872 */   // Label 6992: @392872
     /*  392872 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(392951), // Rule ID 3978 //
     /*  392877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  392891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  392894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  392897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  392929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  392932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  392938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  392949 */     GIR_RootConstrainSelectedInstOperands,
     /*  392950 */     // GIR_Coverage, 3978,
     /*  392950 */     GIR_EraseRootFromParent_Done,
     /*  392951 */   // Label 6993: @392951
     /*  392951 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(393030), // Rule ID 3979 //
     /*  392956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  392964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  392970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  392973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  392976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  392987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  392991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  393008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  393011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393028 */     GIR_RootConstrainSelectedInstOperands,
     /*  393029 */     // GIR_Coverage, 3979,
     /*  393029 */     GIR_EraseRootFromParent_Done,
     /*  393030 */   // Label 6994: @393030
     /*  393030 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(393109), // Rule ID 3988 //
     /*  393035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  393049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  393052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  393055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  393087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393107 */     GIR_RootConstrainSelectedInstOperands,
     /*  393108 */     // GIR_Coverage, 3988,
     /*  393108 */     GIR_EraseRootFromParent_Done,
     /*  393109 */   // Label 6995: @393109
     /*  393109 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(393188), // Rule ID 3989 //
     /*  393114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  393125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  393128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  393131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  393134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  393166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393186 */     GIR_RootConstrainSelectedInstOperands,
     /*  393187 */     // GIR_Coverage, 3989,
     /*  393187 */     GIR_EraseRootFromParent_Done,
     /*  393188 */   // Label 6996: @393188
     /*  393188 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(393267), // Rule ID 3998 //
     /*  393193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  393207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  393210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  393213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393245 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  393245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393265 */     GIR_RootConstrainSelectedInstOperands,
     /*  393266 */     // GIR_Coverage, 3998,
     /*  393266 */     GIR_EraseRootFromParent_Done,
     /*  393267 */   // Label 6997: @393267
     /*  393267 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(393346), // Rule ID 3999 //
     /*  393272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  393283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  393286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  393289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  393292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  393324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393344 */     GIR_RootConstrainSelectedInstOperands,
     /*  393345 */     // GIR_Coverage, 3999,
     /*  393345 */     GIR_EraseRootFromParent_Done,
     /*  393346 */   // Label 6998: @393346
     /*  393346 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(393425), // Rule ID 4008 //
     /*  393351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  393365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  393368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  393371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  393403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  393406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393423 */     GIR_RootConstrainSelectedInstOperands,
     /*  393424 */     // GIR_Coverage, 4008,
     /*  393424 */     GIR_EraseRootFromParent_Done,
     /*  393425 */   // Label 6999: @393425
     /*  393425 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(393504), // Rule ID 4009 //
     /*  393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  393444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  393447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  393450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  393482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  393485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393502 */     GIR_RootConstrainSelectedInstOperands,
     /*  393503 */     // GIR_Coverage, 4009,
     /*  393503 */     GIR_EraseRootFromParent_Done,
     /*  393504 */   // Label 7000: @393504
     /*  393504 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(393583), // Rule ID 4018 //
     /*  393509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  393512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  393523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  393526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  393529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  393561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  393564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393581 */     GIR_RootConstrainSelectedInstOperands,
     /*  393582 */     // GIR_Coverage, 4018,
     /*  393582 */     GIR_EraseRootFromParent_Done,
     /*  393583 */   // Label 7001: @393583
     /*  393583 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(393662), // Rule ID 4019 //
     /*  393588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  393591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  393602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  393605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  393608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  393640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  393643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393660 */     GIR_RootConstrainSelectedInstOperands,
     /*  393661 */     // GIR_Coverage, 4019,
     /*  393661 */     GIR_EraseRootFromParent_Done,
     /*  393662 */   // Label 7002: @393662
     /*  393662 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(393741), // Rule ID 4028 //
     /*  393667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  393670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  393681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  393684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  393687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  393719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393739 */     GIR_RootConstrainSelectedInstOperands,
     /*  393740 */     // GIR_Coverage, 4028,
     /*  393740 */     GIR_EraseRootFromParent_Done,
     /*  393741 */   // Label 7003: @393741
     /*  393741 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(393820), // Rule ID 4029 //
     /*  393746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  393749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  393760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  393763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  393766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393798 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  393798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393818 */     GIR_RootConstrainSelectedInstOperands,
     /*  393819 */     // GIR_Coverage, 4029,
     /*  393819 */     GIR_EraseRootFromParent_Done,
     /*  393820 */   // Label 7004: @393820
     /*  393820 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(393899), // Rule ID 4038 //
     /*  393825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  393828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  393839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  393842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  393845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  393877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393897 */     GIR_RootConstrainSelectedInstOperands,
     /*  393898 */     // GIR_Coverage, 4038,
     /*  393898 */     GIR_EraseRootFromParent_Done,
     /*  393899 */   // Label 7005: @393899
     /*  393899 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(393978), // Rule ID 4039 //
     /*  393904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  393907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  393918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  393921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  393924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  393956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393976 */     GIR_RootConstrainSelectedInstOperands,
     /*  393977 */     // GIR_Coverage, 4039,
     /*  393977 */     GIR_EraseRootFromParent_Done,
     /*  393978 */   // Label 7006: @393978
     /*  393978 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(394057), // Rule ID 4048 //
     /*  393983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  393986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  393997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  394000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  394003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  394035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  394038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394055 */     GIR_RootConstrainSelectedInstOperands,
     /*  394056 */     // GIR_Coverage, 4048,
     /*  394056 */     GIR_EraseRootFromParent_Done,
     /*  394057 */   // Label 7007: @394057
     /*  394057 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(394136), // Rule ID 4049 //
     /*  394062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  394065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  394076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  394079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  394082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  394114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  394117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394134 */     GIR_RootConstrainSelectedInstOperands,
     /*  394135 */     // GIR_Coverage, 4049,
     /*  394135 */     GIR_EraseRootFromParent_Done,
     /*  394136 */   // Label 7008: @394136
     /*  394136 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(394215), // Rule ID 4118 //
     /*  394141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  394155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  394158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  394161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394193 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  394196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394213 */     GIR_RootConstrainSelectedInstOperands,
     /*  394214 */     // GIR_Coverage, 4118,
     /*  394214 */     GIR_EraseRootFromParent_Done,
     /*  394215 */   // Label 7009: @394215
     /*  394215 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(394294), // Rule ID 4119 //
     /*  394220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  394231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  394234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  394237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  394240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  394272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  394275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394292 */     GIR_RootConstrainSelectedInstOperands,
     /*  394293 */     // GIR_Coverage, 4119,
     /*  394293 */     GIR_EraseRootFromParent_Done,
     /*  394294 */   // Label 7010: @394294
     /*  394294 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(394373), // Rule ID 4128 //
     /*  394299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  394313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  394319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  394354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394371 */     GIR_RootConstrainSelectedInstOperands,
     /*  394372 */     // GIR_Coverage, 4128,
     /*  394372 */     GIR_EraseRootFromParent_Done,
     /*  394373 */   // Label 7011: @394373
     /*  394373 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(394452), // Rule ID 4129 //
     /*  394378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  394389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  394392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  394395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  394398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  394430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  394433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394450 */     GIR_RootConstrainSelectedInstOperands,
     /*  394451 */     // GIR_Coverage, 4129,
     /*  394451 */     GIR_EraseRootFromParent_Done,
     /*  394452 */   // Label 7012: @394452
     /*  394452 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(394531), // Rule ID 4138 //
     /*  394457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  394471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  394477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  394512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394529 */     GIR_RootConstrainSelectedInstOperands,
     /*  394530 */     // GIR_Coverage, 4138,
     /*  394530 */     GIR_EraseRootFromParent_Done,
     /*  394531 */   // Label 7013: @394531
     /*  394531 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(394610), // Rule ID 4139 //
     /*  394536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  394550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  394556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  394588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  394591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394608 */     GIR_RootConstrainSelectedInstOperands,
     /*  394609 */     // GIR_Coverage, 4139,
     /*  394609 */     GIR_EraseRootFromParent_Done,
     /*  394610 */   // Label 7014: @394610
     /*  394610 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(394689), // Rule ID 4148 //
     /*  394615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  394629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  394635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  394670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394687 */     GIR_RootConstrainSelectedInstOperands,
     /*  394688 */     // GIR_Coverage, 4148,
     /*  394688 */     GIR_EraseRootFromParent_Done,
     /*  394689 */   // Label 7015: @394689
     /*  394689 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(394768), // Rule ID 4149 //
     /*  394694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  394708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  394714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  394746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  394749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394766 */     GIR_RootConstrainSelectedInstOperands,
     /*  394767 */     // GIR_Coverage, 4149,
     /*  394767 */     GIR_EraseRootFromParent_Done,
     /*  394768 */   // Label 7016: @394768
     /*  394768 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(394847), // Rule ID 4158 //
     /*  394773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  394784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  394787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  394790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  394793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394825 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  394828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394845 */     GIR_RootConstrainSelectedInstOperands,
     /*  394846 */     // GIR_Coverage, 4158,
     /*  394846 */     GIR_EraseRootFromParent_Done,
     /*  394847 */   // Label 7017: @394847
     /*  394847 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(394926), // Rule ID 4159 //
     /*  394852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  394863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  394866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  394869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  394872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394904 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  394904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  394907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394924 */     GIR_RootConstrainSelectedInstOperands,
     /*  394925 */     // GIR_Coverage, 4159,
     /*  394925 */     GIR_EraseRootFromParent_Done,
     /*  394926 */   // Label 7018: @394926
     /*  394926 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(395005), // Rule ID 4168 //
     /*  394931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  394939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  394945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  394948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  394951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  394983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  394986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395003 */     GIR_RootConstrainSelectedInstOperands,
     /*  395004 */     // GIR_Coverage, 4168,
     /*  395004 */     GIR_EraseRootFromParent_Done,
     /*  395005 */   // Label 7019: @395005
     /*  395005 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(395084), // Rule ID 4169 //
     /*  395010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  395021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  395024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  395027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  395030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  395062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  395065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395082 */     GIR_RootConstrainSelectedInstOperands,
     /*  395083 */     // GIR_Coverage, 4169,
     /*  395083 */     GIR_EraseRootFromParent_Done,
     /*  395084 */   // Label 7020: @395084
     /*  395084 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(395163), // Rule ID 4178 //
     /*  395089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  395103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  395106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  395109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  395141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  395144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395161 */     GIR_RootConstrainSelectedInstOperands,
     /*  395162 */     // GIR_Coverage, 4178,
     /*  395162 */     GIR_EraseRootFromParent_Done,
     /*  395163 */   // Label 7021: @395163
     /*  395163 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(395242), // Rule ID 4179 //
     /*  395168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  395182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  395185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  395188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  395220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  395223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395240 */     GIR_RootConstrainSelectedInstOperands,
     /*  395241 */     // GIR_Coverage, 4179,
     /*  395241 */     GIR_EraseRootFromParent_Done,
     /*  395242 */   // Label 7022: @395242
     /*  395242 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(395321), // Rule ID 4188 //
     /*  395247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  395261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  395264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  395267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  395299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  395302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395319 */     GIR_RootConstrainSelectedInstOperands,
     /*  395320 */     // GIR_Coverage, 4188,
     /*  395320 */     GIR_EraseRootFromParent_Done,
     /*  395321 */   // Label 7023: @395321
     /*  395321 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(395400), // Rule ID 4189 //
     /*  395326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  395337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  395340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  395343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  395346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  395378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  395381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395398 */     GIR_RootConstrainSelectedInstOperands,
     /*  395399 */     // GIR_Coverage, 4189,
     /*  395399 */     GIR_EraseRootFromParent_Done,
     /*  395400 */   // Label 7024: @395400
     /*  395400 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(395479), // Rule ID 4198 //
     /*  395405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  395419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  395425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  395457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  395460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395477 */     GIR_RootConstrainSelectedInstOperands,
     /*  395478 */     // GIR_Coverage, 4198,
     /*  395478 */     GIR_EraseRootFromParent_Done,
     /*  395479 */   // Label 7025: @395479
     /*  395479 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(395558), // Rule ID 4199 //
     /*  395484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  395498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  395504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  395536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  395539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395556 */     GIR_RootConstrainSelectedInstOperands,
     /*  395557 */     // GIR_Coverage, 4199,
     /*  395557 */     GIR_EraseRootFromParent_Done,
     /*  395558 */   // Label 7026: @395558
     /*  395558 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(395637), // Rule ID 4208 //
     /*  395563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  395577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  395583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  395615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  395618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395635 */     GIR_RootConstrainSelectedInstOperands,
     /*  395636 */     // GIR_Coverage, 4208,
     /*  395636 */     GIR_EraseRootFromParent_Done,
     /*  395637 */   // Label 7027: @395637
     /*  395637 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(395716), // Rule ID 4209 //
     /*  395642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  395656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  395662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  395694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  395697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395714 */     GIR_RootConstrainSelectedInstOperands,
     /*  395715 */     // GIR_Coverage, 4209,
     /*  395715 */     GIR_EraseRootFromParent_Done,
     /*  395716 */   // Label 7028: @395716
     /*  395716 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(395795), // Rule ID 4218 //
     /*  395721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  395735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  395741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395773 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  395773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  395776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395793 */     GIR_RootConstrainSelectedInstOperands,
     /*  395794 */     // GIR_Coverage, 4218,
     /*  395794 */     GIR_EraseRootFromParent_Done,
     /*  395795 */   // Label 7029: @395795
     /*  395795 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(395874), // Rule ID 4219 //
     /*  395800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  395814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  395820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  395852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  395855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395872 */     GIR_RootConstrainSelectedInstOperands,
     /*  395873 */     // GIR_Coverage, 4219,
     /*  395873 */     GIR_EraseRootFromParent_Done,
     /*  395874 */   // Label 7030: @395874
     /*  395874 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(395953), // Rule ID 4228 //
     /*  395879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  395882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  395893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  395896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  395899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  395931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  395934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395951 */     GIR_RootConstrainSelectedInstOperands,
     /*  395952 */     // GIR_Coverage, 4228,
     /*  395952 */     GIR_EraseRootFromParent_Done,
     /*  395953 */   // Label 7031: @395953
     /*  395953 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(396032), // Rule ID 4229 //
     /*  395958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  395961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  395969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  395972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  395975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  395978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  396010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  396013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396030 */     GIR_RootConstrainSelectedInstOperands,
     /*  396031 */     // GIR_Coverage, 4229,
     /*  396031 */     GIR_EraseRootFromParent_Done,
     /*  396032 */   // Label 7032: @396032
     /*  396032 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(396111), // Rule ID 4238 //
     /*  396037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  396040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  396051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  396057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  396089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  396092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396109 */     GIR_RootConstrainSelectedInstOperands,
     /*  396110 */     // GIR_Coverage, 4238,
     /*  396110 */     GIR_EraseRootFromParent_Done,
     /*  396111 */   // Label 7033: @396111
     /*  396111 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(396190), // Rule ID 4239 //
     /*  396116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  396119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  396127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  396130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  396133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  396136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  396168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  396171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396188 */     GIR_RootConstrainSelectedInstOperands,
     /*  396189 */     // GIR_Coverage, 4239,
     /*  396189 */     GIR_EraseRootFromParent_Done,
     /*  396190 */   // Label 7034: @396190
     /*  396190 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(396269), // Rule ID 4248 //
     /*  396195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  396198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  396209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  396215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  396247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396267 */     GIR_RootConstrainSelectedInstOperands,
     /*  396268 */     // GIR_Coverage, 4248,
     /*  396268 */     GIR_EraseRootFromParent_Done,
     /*  396269 */   // Label 7035: @396269
     /*  396269 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(396348), // Rule ID 4249 //
     /*  396274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  396277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  396285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  396288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  396291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  396294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  396326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396346 */     GIR_RootConstrainSelectedInstOperands,
     /*  396347 */     // GIR_Coverage, 4249,
     /*  396347 */     GIR_EraseRootFromParent_Done,
     /*  396348 */   // Label 7036: @396348
     /*  396348 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(396427), // Rule ID 4258 //
     /*  396353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  396356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  396367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  396373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  396405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  396408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396425 */     GIR_RootConstrainSelectedInstOperands,
     /*  396426 */     // GIR_Coverage, 4258,
     /*  396426 */     GIR_EraseRootFromParent_Done,
     /*  396427 */   // Label 7037: @396427
     /*  396427 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(396506), // Rule ID 4259 //
     /*  396432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  396435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  396443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  396446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  396449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  396452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  396484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  396487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396504 */     GIR_RootConstrainSelectedInstOperands,
     /*  396505 */     // GIR_Coverage, 4259,
     /*  396505 */     GIR_EraseRootFromParent_Done,
     /*  396506 */   // Label 7038: @396506
     /*  396506 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(396585), // Rule ID 4328 //
     /*  396511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  396531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  396563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  396566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396583 */     GIR_RootConstrainSelectedInstOperands,
     /*  396584 */     // GIR_Coverage, 4328,
     /*  396584 */     GIR_EraseRootFromParent_Done,
     /*  396585 */   // Label 7039: @396585
     /*  396585 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(396664), // Rule ID 4329 //
     /*  396590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  396610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  396645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396662 */     GIR_RootConstrainSelectedInstOperands,
     /*  396663 */     // GIR_Coverage, 4329,
     /*  396663 */     GIR_EraseRootFromParent_Done,
     /*  396664 */   // Label 7040: @396664
     /*  396664 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(396743), // Rule ID 4338 //
     /*  396669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  396689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  396721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  396724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396741 */     GIR_RootConstrainSelectedInstOperands,
     /*  396742 */     // GIR_Coverage, 4338,
     /*  396742 */     GIR_EraseRootFromParent_Done,
     /*  396743 */   // Label 7041: @396743
     /*  396743 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(396822), // Rule ID 4339 //
     /*  396748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  396768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  396803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396820 */     GIR_RootConstrainSelectedInstOperands,
     /*  396821 */     // GIR_Coverage, 4339,
     /*  396821 */     GIR_EraseRootFromParent_Done,
     /*  396822 */   // Label 7042: @396822
     /*  396822 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(396901), // Rule ID 4348 //
     /*  396827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  396847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  396879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  396882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396899 */     GIR_RootConstrainSelectedInstOperands,
     /*  396900 */     // GIR_Coverage, 4348,
     /*  396900 */     GIR_EraseRootFromParent_Done,
     /*  396901 */   // Label 7043: @396901
     /*  396901 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(396980), // Rule ID 4349 //
     /*  396906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  396926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  396961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396978 */     GIR_RootConstrainSelectedInstOperands,
     /*  396979 */     // GIR_Coverage, 4349,
     /*  396979 */     GIR_EraseRootFromParent_Done,
     /*  396980 */   // Label 7044: @396980
     /*  396980 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(397059), // Rule ID 4358 //
     /*  396985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  396993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  396999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  397002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  397005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  397037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  397040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397057 */     GIR_RootConstrainSelectedInstOperands,
     /*  397058 */     // GIR_Coverage, 4358,
     /*  397058 */     GIR_EraseRootFromParent_Done,
     /*  397059 */   // Label 7045: @397059
     /*  397059 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(397138), // Rule ID 4359 //
     /*  397064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  397075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  397078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  397081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  397084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  397116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  397119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397136 */     GIR_RootConstrainSelectedInstOperands,
     /*  397137 */     // GIR_Coverage, 4359,
     /*  397137 */     GIR_EraseRootFromParent_Done,
     /*  397138 */   // Label 7046: @397138
     /*  397138 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(397217), // Rule ID 4368 //
     /*  397143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  397163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  397195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  397198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397215 */     GIR_RootConstrainSelectedInstOperands,
     /*  397216 */     // GIR_Coverage, 4368,
     /*  397216 */     GIR_EraseRootFromParent_Done,
     /*  397217 */   // Label 7047: @397217
     /*  397217 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(397296), // Rule ID 4369 //
     /*  397222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  397242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  397274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  397277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397294 */     GIR_RootConstrainSelectedInstOperands,
     /*  397295 */     // GIR_Coverage, 4369,
     /*  397295 */     GIR_EraseRootFromParent_Done,
     /*  397296 */   // Label 7048: @397296
     /*  397296 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(397375), // Rule ID 4378 //
     /*  397301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  397321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397353 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  397353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  397356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397373 */     GIR_RootConstrainSelectedInstOperands,
     /*  397374 */     // GIR_Coverage, 4378,
     /*  397374 */     GIR_EraseRootFromParent_Done,
     /*  397375 */   // Label 7049: @397375
     /*  397375 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(397454), // Rule ID 4379 //
     /*  397380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  397400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  397432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  397435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397452 */     GIR_RootConstrainSelectedInstOperands,
     /*  397453 */     // GIR_Coverage, 4379,
     /*  397453 */     GIR_EraseRootFromParent_Done,
     /*  397454 */   // Label 7050: @397454
     /*  397454 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(397533), // Rule ID 4388 //
     /*  397459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  397479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  397511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  397514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397531 */     GIR_RootConstrainSelectedInstOperands,
     /*  397532 */     // GIR_Coverage, 4388,
     /*  397532 */     GIR_EraseRootFromParent_Done,
     /*  397533 */   // Label 7051: @397533
     /*  397533 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(397612), // Rule ID 4389 //
     /*  397538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  397549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  397552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  397555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  397558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  397590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  397593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397610 */     GIR_RootConstrainSelectedInstOperands,
     /*  397611 */     // GIR_Coverage, 4389,
     /*  397611 */     GIR_EraseRootFromParent_Done,
     /*  397612 */   // Label 7052: @397612
     /*  397612 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(397691), // Rule ID 4398 //
     /*  397617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  397637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  397669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  397672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397689 */     GIR_RootConstrainSelectedInstOperands,
     /*  397690 */     // GIR_Coverage, 4398,
     /*  397690 */     GIR_EraseRootFromParent_Done,
     /*  397691 */   // Label 7053: @397691
     /*  397691 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(397770), // Rule ID 4399 //
     /*  397696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  397707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  397710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  397713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  397716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  397748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  397751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397768 */     GIR_RootConstrainSelectedInstOperands,
     /*  397769 */     // GIR_Coverage, 4399,
     /*  397769 */     GIR_EraseRootFromParent_Done,
     /*  397770 */   // Label 7054: @397770
     /*  397770 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(397849), // Rule ID 4408 //
     /*  397775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  397795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  397827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  397830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397847 */     GIR_RootConstrainSelectedInstOperands,
     /*  397848 */     // GIR_Coverage, 4408,
     /*  397848 */     GIR_EraseRootFromParent_Done,
     /*  397849 */   // Label 7055: @397849
     /*  397849 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(397928), // Rule ID 4409 //
     /*  397854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  397874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  397906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  397909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397926 */     GIR_RootConstrainSelectedInstOperands,
     /*  397927 */     // GIR_Coverage, 4409,
     /*  397927 */     GIR_EraseRootFromParent_Done,
     /*  397928 */   // Label 7056: @397928
     /*  397928 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(398007), // Rule ID 4418 //
     /*  397933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  397947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  397950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  397953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  397985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  397988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398005 */     GIR_RootConstrainSelectedInstOperands,
     /*  398006 */     // GIR_Coverage, 4418,
     /*  398006 */     GIR_EraseRootFromParent_Done,
     /*  398007 */   // Label 7057: @398007
     /*  398007 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(398086), // Rule ID 4419 //
     /*  398012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  398029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  398032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  398064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  398067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398084 */     GIR_RootConstrainSelectedInstOperands,
     /*  398085 */     // GIR_Coverage, 4419,
     /*  398085 */     GIR_EraseRootFromParent_Done,
     /*  398086 */   // Label 7058: @398086
     /*  398086 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(398165), // Rule ID 4428 //
     /*  398091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  398102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  398105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  398108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  398111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  398143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398163 */     GIR_RootConstrainSelectedInstOperands,
     /*  398164 */     // GIR_Coverage, 4428,
     /*  398164 */     GIR_EraseRootFromParent_Done,
     /*  398165 */   // Label 7059: @398165
     /*  398165 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(398244), // Rule ID 4429 //
     /*  398170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  398181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  398184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  398187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  398190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  398222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398242 */     GIR_RootConstrainSelectedInstOperands,
     /*  398243 */     // GIR_Coverage, 4429,
     /*  398243 */     GIR_EraseRootFromParent_Done,
     /*  398244 */   // Label 7060: @398244
     /*  398244 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(398323), // Rule ID 4438 //
     /*  398249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  398252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  398269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  398301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  398304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398321 */     GIR_RootConstrainSelectedInstOperands,
     /*  398322 */     // GIR_Coverage, 4438,
     /*  398322 */     GIR_EraseRootFromParent_Done,
     /*  398323 */   // Label 7061: @398323
     /*  398323 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(398402), // Rule ID 4439 //
     /*  398328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  398331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  398339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  398342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  398345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  398348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  398380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  398383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398400 */     GIR_RootConstrainSelectedInstOperands,
     /*  398401 */     // GIR_Coverage, 4439,
     /*  398401 */     GIR_EraseRootFromParent_Done,
     /*  398402 */   // Label 7062: @398402
     /*  398402 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(398481), // Rule ID 4448 //
     /*  398407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  398410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  398418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  398421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  398424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  398427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  398459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  398462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398479 */     GIR_RootConstrainSelectedInstOperands,
     /*  398480 */     // GIR_Coverage, 4448,
     /*  398480 */     GIR_EraseRootFromParent_Done,
     /*  398481 */   // Label 7063: @398481
     /*  398481 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(398560), // Rule ID 4449 //
     /*  398486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  398489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  398497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  398500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  398503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  398506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  398538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  398541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398558 */     GIR_RootConstrainSelectedInstOperands,
     /*  398559 */     // GIR_Coverage, 4449,
     /*  398559 */     GIR_EraseRootFromParent_Done,
     /*  398560 */   // Label 7064: @398560
     /*  398560 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(398639), // Rule ID 4458 //
     /*  398565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  398568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  398579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  398582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  398585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  398617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  398620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398637 */     GIR_RootConstrainSelectedInstOperands,
     /*  398638 */     // GIR_Coverage, 4458,
     /*  398638 */     GIR_EraseRootFromParent_Done,
     /*  398639 */   // Label 7065: @398639
     /*  398639 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(398718), // Rule ID 4459 //
     /*  398644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  398647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  398658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  398661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  398664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  398696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  398699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398716 */     GIR_RootConstrainSelectedInstOperands,
     /*  398717 */     // GIR_Coverage, 4459,
     /*  398717 */     GIR_EraseRootFromParent_Done,
     /*  398718 */   // Label 7066: @398718
     /*  398718 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(398797), // Rule ID 4468 //
     /*  398723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  398726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  398743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  398775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398795 */     GIR_RootConstrainSelectedInstOperands,
     /*  398796 */     // GIR_Coverage, 4468,
     /*  398796 */     GIR_EraseRootFromParent_Done,
     /*  398797 */   // Label 7067: @398797
     /*  398797 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(398876), // Rule ID 4469 //
     /*  398802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  398805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  398822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  398854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398874 */     GIR_RootConstrainSelectedInstOperands,
     /*  398875 */     // GIR_Coverage, 4469,
     /*  398875 */     GIR_EraseRootFromParent_Done,
     /*  398876 */   // Label 7068: @398876
     /*  398876 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(398955), // Rule ID 4538 //
     /*  398881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  398889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  398895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  398901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  398936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398953 */     GIR_RootConstrainSelectedInstOperands,
     /*  398954 */     // GIR_Coverage, 4538,
     /*  398954 */     GIR_EraseRootFromParent_Done,
     /*  398955 */   // Label 7069: @398955
     /*  398955 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(399034), // Rule ID 4539 //
     /*  398960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  398968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  398974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  398980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  399015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399032 */     GIR_RootConstrainSelectedInstOperands,
     /*  399033 */     // GIR_Coverage, 4539,
     /*  399033 */     GIR_EraseRootFromParent_Done,
     /*  399034 */   // Label 7070: @399034
     /*  399034 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(399113), // Rule ID 4548 //
     /*  399039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  399059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  399091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  399094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399111 */     GIR_RootConstrainSelectedInstOperands,
     /*  399112 */     // GIR_Coverage, 4548,
     /*  399112 */     GIR_EraseRootFromParent_Done,
     /*  399113 */   // Label 7071: @399113
     /*  399113 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(399192), // Rule ID 4549 //
     /*  399118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  399129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  399132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  399138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  399173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399190 */     GIR_RootConstrainSelectedInstOperands,
     /*  399191 */     // GIR_Coverage, 4549,
     /*  399191 */     GIR_EraseRootFromParent_Done,
     /*  399192 */   // Label 7072: @399192
     /*  399192 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(399271), // Rule ID 4558 //
     /*  399197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  399208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  399211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  399214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  399217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  399249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  399252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399269 */     GIR_RootConstrainSelectedInstOperands,
     /*  399270 */     // GIR_Coverage, 4558,
     /*  399270 */     GIR_EraseRootFromParent_Done,
     /*  399271 */   // Label 7073: @399271
     /*  399271 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(399350), // Rule ID 4559 //
     /*  399276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  399287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  399290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  399293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  399296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  399331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399348 */     GIR_RootConstrainSelectedInstOperands,
     /*  399349 */     // GIR_Coverage, 4559,
     /*  399349 */     GIR_EraseRootFromParent_Done,
     /*  399350 */   // Label 7074: @399350
     /*  399350 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(399429), // Rule ID 4568 //
     /*  399355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  399375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  399407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  399410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399427 */     GIR_RootConstrainSelectedInstOperands,
     /*  399428 */     // GIR_Coverage, 4568,
     /*  399428 */     GIR_EraseRootFromParent_Done,
     /*  399429 */   // Label 7075: @399429
     /*  399429 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(399508), // Rule ID 4569 //
     /*  399434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  399454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  399489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399506 */     GIR_RootConstrainSelectedInstOperands,
     /*  399507 */     // GIR_Coverage, 4569,
     /*  399507 */     GIR_EraseRootFromParent_Done,
     /*  399508 */   // Label 7076: @399508
     /*  399508 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(399587), // Rule ID 4578 //
     /*  399513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  399533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  399565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  399568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399585 */     GIR_RootConstrainSelectedInstOperands,
     /*  399586 */     // GIR_Coverage, 4578,
     /*  399586 */     GIR_EraseRootFromParent_Done,
     /*  399587 */   // Label 7077: @399587
     /*  399587 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(399666), // Rule ID 4579 //
     /*  399592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  399612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  399647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399664 */     GIR_RootConstrainSelectedInstOperands,
     /*  399665 */     // GIR_Coverage, 4579,
     /*  399665 */     GIR_EraseRootFromParent_Done,
     /*  399666 */   // Label 7078: @399666
     /*  399666 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(399745), // Rule ID 4588 //
     /*  399671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  399691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  399723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  399726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399743 */     GIR_RootConstrainSelectedInstOperands,
     /*  399744 */     // GIR_Coverage, 4588,
     /*  399744 */     GIR_EraseRootFromParent_Done,
     /*  399745 */   // Label 7079: @399745
     /*  399745 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(399824), // Rule ID 4589 //
     /*  399750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  399770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  399802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  399805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399822 */     GIR_RootConstrainSelectedInstOperands,
     /*  399823 */     // GIR_Coverage, 4589,
     /*  399823 */     GIR_EraseRootFromParent_Done,
     /*  399824 */   // Label 7080: @399824
     /*  399824 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(399903), // Rule ID 4598 //
     /*  399829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  399849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  399881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  399884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399901 */     GIR_RootConstrainSelectedInstOperands,
     /*  399902 */     // GIR_Coverage, 4598,
     /*  399902 */     GIR_EraseRootFromParent_Done,
     /*  399903 */   // Label 7081: @399903
     /*  399903 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(399982), // Rule ID 4599 //
     /*  399908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  399928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  399960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  399963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399980 */     GIR_RootConstrainSelectedInstOperands,
     /*  399981 */     // GIR_Coverage, 4599,
     /*  399981 */     GIR_EraseRootFromParent_Done,
     /*  399982 */   // Label 7082: @399982
     /*  399982 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(400061), // Rule ID 4608 //
     /*  399987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  399995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  400007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  400039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400059 */     GIR_RootConstrainSelectedInstOperands,
     /*  400060 */     // GIR_Coverage, 4608,
     /*  400060 */     GIR_EraseRootFromParent_Done,
     /*  400061 */   // Label 7083: @400061
     /*  400061 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(400140), // Rule ID 4609 //
     /*  400066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  400077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  400080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  400086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  400118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400138 */     GIR_RootConstrainSelectedInstOperands,
     /*  400139 */     // GIR_Coverage, 4609,
     /*  400139 */     GIR_EraseRootFromParent_Done,
     /*  400140 */   // Label 7084: @400140
     /*  400140 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(400219), // Rule ID 4618 //
     /*  400145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  400159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  400165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  400197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400217 */     GIR_RootConstrainSelectedInstOperands,
     /*  400218 */     // GIR_Coverage, 4618,
     /*  400218 */     GIR_EraseRootFromParent_Done,
     /*  400219 */   // Label 7085: @400219
     /*  400219 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(400298), // Rule ID 4619 //
     /*  400224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  400238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  400244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  400276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400296 */     GIR_RootConstrainSelectedInstOperands,
     /*  400297 */     // GIR_Coverage, 4619,
     /*  400297 */     GIR_EraseRootFromParent_Done,
     /*  400298 */   // Label 7086: @400298
     /*  400298 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(400377), // Rule ID 4628 //
     /*  400303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  400317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  400323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  400355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  400358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400375 */     GIR_RootConstrainSelectedInstOperands,
     /*  400376 */     // GIR_Coverage, 4628,
     /*  400376 */     GIR_EraseRootFromParent_Done,
     /*  400377 */   // Label 7087: @400377
     /*  400377 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(400456), // Rule ID 4629 //
     /*  400382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  400396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  400402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  400434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  400437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400454 */     GIR_RootConstrainSelectedInstOperands,
     /*  400455 */     // GIR_Coverage, 4629,
     /*  400455 */     GIR_EraseRootFromParent_Done,
     /*  400456 */   // Label 7088: @400456
     /*  400456 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(400535), // Rule ID 4638 //
     /*  400461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  400481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  400513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  400516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400533 */     GIR_RootConstrainSelectedInstOperands,
     /*  400534 */     // GIR_Coverage, 4638,
     /*  400534 */     GIR_EraseRootFromParent_Done,
     /*  400535 */   // Label 7089: @400535
     /*  400535 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(400614), // Rule ID 4639 //
     /*  400540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  400560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  400592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  400595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400612 */     GIR_RootConstrainSelectedInstOperands,
     /*  400613 */     // GIR_Coverage, 4639,
     /*  400613 */     GIR_EraseRootFromParent_Done,
     /*  400614 */   // Label 7090: @400614
     /*  400614 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(400693), // Rule ID 4648 //
     /*  400619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  400622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  400639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  400671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400691 */     GIR_RootConstrainSelectedInstOperands,
     /*  400692 */     // GIR_Coverage, 4648,
     /*  400692 */     GIR_EraseRootFromParent_Done,
     /*  400693 */   // Label 7091: @400693
     /*  400693 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(400772), // Rule ID 4649 //
     /*  400698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  400701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  400715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  400718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  400750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400770 */     GIR_RootConstrainSelectedInstOperands,
     /*  400771 */     // GIR_Coverage, 4649,
     /*  400771 */     GIR_EraseRootFromParent_Done,
     /*  400772 */   // Label 7092: @400772
     /*  400772 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(400851), // Rule ID 4658 //
     /*  400777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  400780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  400797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400829 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  400829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400849 */     GIR_RootConstrainSelectedInstOperands,
     /*  400850 */     // GIR_Coverage, 4658,
     /*  400850 */     GIR_EraseRootFromParent_Done,
     /*  400851 */   // Label 7093: @400851
     /*  400851 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(400930), // Rule ID 4659 //
     /*  400856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  400859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  400876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  400908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400928 */     GIR_RootConstrainSelectedInstOperands,
     /*  400929 */     // GIR_Coverage, 4659,
     /*  400929 */     GIR_EraseRootFromParent_Done,
     /*  400930 */   // Label 7094: @400930
     /*  400930 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(401009), // Rule ID 4668 //
     /*  400935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  400938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  400955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  400987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  400990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401007 */     GIR_RootConstrainSelectedInstOperands,
     /*  401008 */     // GIR_Coverage, 4668,
     /*  401008 */     GIR_EraseRootFromParent_Done,
     /*  401009 */   // Label 7095: @401009
     /*  401009 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(401088), // Rule ID 4669 //
     /*  401014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  401017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  401028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  401034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  401066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  401069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401086 */     GIR_RootConstrainSelectedInstOperands,
     /*  401087 */     // GIR_Coverage, 4669,
     /*  401087 */     GIR_EraseRootFromParent_Done,
     /*  401088 */   // Label 7096: @401088
     /*  401088 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(401167), // Rule ID 4678 //
     /*  401093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  401096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  401113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  401145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401165 */     GIR_RootConstrainSelectedInstOperands,
     /*  401166 */     // GIR_Coverage, 4678,
     /*  401166 */     GIR_EraseRootFromParent_Done,
     /*  401167 */   // Label 7097: @401167
     /*  401167 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(401246), // Rule ID 4679 //
     /*  401172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  401175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  401186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  401192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  401224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401244 */     GIR_RootConstrainSelectedInstOperands,
     /*  401245 */     // GIR_Coverage, 4679,
     /*  401245 */     GIR_EraseRootFromParent_Done,
     /*  401246 */   // Label 7098: @401246
     /*  401246 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(401314), // Rule ID 2570 //
     /*  401251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  401268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401283 */     // MIs[0] policy
     /*  401283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  401296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401300 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401310 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401312 */     GIR_RootConstrainSelectedInstOperands,
     /*  401313 */     // GIR_Coverage, 2570,
     /*  401313 */     GIR_EraseRootFromParent_Done,
     /*  401314 */   // Label 7099: @401314
     /*  401314 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(401382), // Rule ID 2571 //
     /*  401319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  401336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401351 */     // MIs[0] policy
     /*  401351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401361 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  401361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  401364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401368 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401378 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401380 */     GIR_RootConstrainSelectedInstOperands,
     /*  401381 */     // GIR_Coverage, 2571,
     /*  401381 */     GIR_EraseRootFromParent_Done,
     /*  401382 */   // Label 7100: @401382
     /*  401382 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(401450), // Rule ID 23358 //
     /*  401387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  401404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401419 */     // MIs[0] policy
     /*  401419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401429 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  401432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401436 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401446 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401448 */     GIR_RootConstrainSelectedInstOperands,
     /*  401449 */     // GIR_Coverage, 23358,
     /*  401449 */     GIR_EraseRootFromParent_Done,
     /*  401450 */   // Label 7101: @401450
     /*  401450 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(401518), // Rule ID 23359 //
     /*  401455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  401472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401487 */     // MIs[0] policy
     /*  401487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  401497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  401500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401504 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401514 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401516 */     GIR_RootConstrainSelectedInstOperands,
     /*  401517 */     // GIR_Coverage, 23359,
     /*  401517 */     GIR_EraseRootFromParent_Done,
     /*  401518 */   // Label 7102: @401518
     /*  401518 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(401586), // Rule ID 23362 //
     /*  401523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  401540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401555 */     // MIs[0] policy
     /*  401555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  401568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401572 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401582 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401584 */     GIR_RootConstrainSelectedInstOperands,
     /*  401585 */     // GIR_Coverage, 23362,
     /*  401585 */     GIR_EraseRootFromParent_Done,
     /*  401586 */   // Label 7103: @401586
     /*  401586 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(401654), // Rule ID 23363 //
     /*  401591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  401608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401623 */     // MIs[0] policy
     /*  401623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  401633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  401636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401640 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401650 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401652 */     GIR_RootConstrainSelectedInstOperands,
     /*  401653 */     // GIR_Coverage, 23363,
     /*  401653 */     GIR_EraseRootFromParent_Done,
     /*  401654 */   // Label 7104: @401654
     /*  401654 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(401722), // Rule ID 23366 //
     /*  401659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  401676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401691 */     // MIs[0] policy
     /*  401691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  401704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401708 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401718 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401720 */     GIR_RootConstrainSelectedInstOperands,
     /*  401721 */     // GIR_Coverage, 23366,
     /*  401721 */     GIR_EraseRootFromParent_Done,
     /*  401722 */   // Label 7105: @401722
     /*  401722 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(401790), // Rule ID 23367 //
     /*  401727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  401744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401759 */     // MIs[0] policy
     /*  401759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401769 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  401769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  401772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401776 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401786 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401788 */     GIR_RootConstrainSelectedInstOperands,
     /*  401789 */     // GIR_Coverage, 23367,
     /*  401789 */     GIR_EraseRootFromParent_Done,
     /*  401790 */   // Label 7106: @401790
     /*  401790 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(401858), // Rule ID 23370 //
     /*  401795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  401812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401827 */     // MIs[0] policy
     /*  401827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401837 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  401840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401844 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401854 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401856 */     GIR_RootConstrainSelectedInstOperands,
     /*  401857 */     // GIR_Coverage, 23370,
     /*  401857 */     GIR_EraseRootFromParent_Done,
     /*  401858 */   // Label 7107: @401858
     /*  401858 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(401926), // Rule ID 23371 //
     /*  401863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  401874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  401877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  401880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401895 */     // MIs[0] policy
     /*  401895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  401905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  401908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401912 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401922 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401924 */     GIR_RootConstrainSelectedInstOperands,
     /*  401925 */     // GIR_Coverage, 23371,
     /*  401925 */     GIR_EraseRootFromParent_Done,
     /*  401926 */   // Label 7108: @401926
     /*  401926 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(401994), // Rule ID 23374 //
     /*  401931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  401939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  401948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  401955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  401963 */     // MIs[0] policy
     /*  401963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  401966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401973 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  401973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  401976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401980 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  401982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401990 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  401992 */     GIR_RootConstrainSelectedInstOperands,
     /*  401993 */     // GIR_Coverage, 23374,
     /*  401993 */     GIR_EraseRootFromParent_Done,
     /*  401994 */   // Label 7109: @401994
     /*  401994 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(402062), // Rule ID 23375 //
     /*  401999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  402016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402031 */     // MIs[0] policy
     /*  402031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402041 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  402044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402048 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402058 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402060 */     GIR_RootConstrainSelectedInstOperands,
     /*  402061 */     // GIR_Coverage, 23375,
     /*  402061 */     GIR_EraseRootFromParent_Done,
     /*  402062 */   // Label 7110: @402062
     /*  402062 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(402130), // Rule ID 23378 //
     /*  402067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  402078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  402081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  402084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402099 */     // MIs[0] policy
     /*  402099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402116 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402126 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402128 */     GIR_RootConstrainSelectedInstOperands,
     /*  402129 */     // GIR_Coverage, 23378,
     /*  402129 */     GIR_EraseRootFromParent_Done,
     /*  402130 */   // Label 7111: @402130
     /*  402130 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(402198), // Rule ID 23379 //
     /*  402135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  402146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  402149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  402152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402167 */     // MIs[0] policy
     /*  402167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402184 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402194 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402196 */     GIR_RootConstrainSelectedInstOperands,
     /*  402197 */     // GIR_Coverage, 23379,
     /*  402197 */     GIR_EraseRootFromParent_Done,
     /*  402198 */   // Label 7112: @402198
     /*  402198 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(402266), // Rule ID 23382 //
     /*  402203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  402220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402235 */     // MIs[0] policy
     /*  402235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402252 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402262 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402264 */     GIR_RootConstrainSelectedInstOperands,
     /*  402265 */     // GIR_Coverage, 23382,
     /*  402265 */     GIR_EraseRootFromParent_Done,
     /*  402266 */   // Label 7113: @402266
     /*  402266 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(402334), // Rule ID 23383 //
     /*  402271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  402288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402303 */     // MIs[0] policy
     /*  402303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402320 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402330 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402332 */     GIR_RootConstrainSelectedInstOperands,
     /*  402333 */     // GIR_Coverage, 23383,
     /*  402333 */     GIR_EraseRootFromParent_Done,
     /*  402334 */   // Label 7114: @402334
     /*  402334 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(402402), // Rule ID 23386 //
     /*  402339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  402356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402371 */     // MIs[0] policy
     /*  402371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402388 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402398 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402400 */     GIR_RootConstrainSelectedInstOperands,
     /*  402401 */     // GIR_Coverage, 23386,
     /*  402401 */     GIR_EraseRootFromParent_Done,
     /*  402402 */   // Label 7115: @402402
     /*  402402 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(402470), // Rule ID 23387 //
     /*  402407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  402424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402439 */     // MIs[0] policy
     /*  402439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402456 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402466 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402468 */     GIR_RootConstrainSelectedInstOperands,
     /*  402469 */     // GIR_Coverage, 23387,
     /*  402469 */     GIR_EraseRootFromParent_Done,
     /*  402470 */   // Label 7116: @402470
     /*  402470 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(402538), // Rule ID 23390 //
     /*  402475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  402478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  402492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402507 */     // MIs[0] policy
     /*  402507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402524 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402534 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402536 */     GIR_RootConstrainSelectedInstOperands,
     /*  402537 */     // GIR_Coverage, 23390,
     /*  402537 */     GIR_EraseRootFromParent_Done,
     /*  402538 */   // Label 7117: @402538
     /*  402538 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(402606), // Rule ID 23391 //
     /*  402543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  402546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  402560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402575 */     // MIs[0] policy
     /*  402575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  402588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402592 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402602 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402604 */     GIR_RootConstrainSelectedInstOperands,
     /*  402605 */     // GIR_Coverage, 23391,
     /*  402605 */     GIR_EraseRootFromParent_Done,
     /*  402606 */   // Label 7118: @402606
     /*  402606 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(402674), // Rule ID 23394 //
     /*  402611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  402628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  402635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402643 */     // MIs[0] policy
     /*  402643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  402656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402660 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402670 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402672 */     GIR_RootConstrainSelectedInstOperands,
     /*  402673 */     // GIR_Coverage, 23394,
     /*  402673 */     GIR_EraseRootFromParent_Done,
     /*  402674 */   // Label 7119: @402674
     /*  402674 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(402742), // Rule ID 23395 //
     /*  402679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  402690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  402693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  402696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  402703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402711 */     // MIs[0] policy
     /*  402711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  402724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402728 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402738 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402740 */     GIR_RootConstrainSelectedInstOperands,
     /*  402741 */     // GIR_Coverage, 23395,
     /*  402741 */     GIR_EraseRootFromParent_Done,
     /*  402742 */   // Label 7120: @402742
     /*  402742 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(402810), // Rule ID 23398 //
     /*  402747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  402764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  402771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402779 */     // MIs[0] policy
     /*  402779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402789 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  402792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402796 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402806 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402808 */     GIR_RootConstrainSelectedInstOperands,
     /*  402809 */     // GIR_Coverage, 23398,
     /*  402809 */     GIR_EraseRootFromParent_Done,
     /*  402810 */   // Label 7121: @402810
     /*  402810 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(402878), // Rule ID 23399 //
     /*  402815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  402826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  402829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  402832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  402839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402847 */     // MIs[0] policy
     /*  402847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402857 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  402860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402864 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402874 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402876 */     GIR_RootConstrainSelectedInstOperands,
     /*  402877 */     // GIR_Coverage, 23399,
     /*  402877 */     GIR_EraseRootFromParent_Done,
     /*  402878 */   // Label 7122: @402878
     /*  402878 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(402946), // Rule ID 23402 //
     /*  402883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  402900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  402907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402915 */     // MIs[0] policy
     /*  402915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402925 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  402928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402932 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  402934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402942 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402944 */     GIR_RootConstrainSelectedInstOperands,
     /*  402945 */     // GIR_Coverage, 23402,
     /*  402945 */     GIR_EraseRootFromParent_Done,
     /*  402946 */   // Label 7123: @402946
     /*  402946 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(403014), // Rule ID 23403 //
     /*  402951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  402962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  402965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  402968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  402975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402983 */     // MIs[0] policy
     /*  402983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402993 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  402996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403000 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403010 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403012 */     GIR_RootConstrainSelectedInstOperands,
     /*  403013 */     // GIR_Coverage, 23403,
     /*  403013 */     GIR_EraseRootFromParent_Done,
     /*  403014 */   // Label 7124: @403014
     /*  403014 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(403082), // Rule ID 23406 //
     /*  403019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403051 */     // MIs[0] policy
     /*  403051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403068 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403078 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403080 */     GIR_RootConstrainSelectedInstOperands,
     /*  403081 */     // GIR_Coverage, 23406,
     /*  403081 */     GIR_EraseRootFromParent_Done,
     /*  403082 */   // Label 7125: @403082
     /*  403082 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(403150), // Rule ID 23407 //
     /*  403087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403119 */     // MIs[0] policy
     /*  403119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403129 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403136 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403146 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403148 */     GIR_RootConstrainSelectedInstOperands,
     /*  403149 */     // GIR_Coverage, 23407,
     /*  403149 */     GIR_EraseRootFromParent_Done,
     /*  403150 */   // Label 7126: @403150
     /*  403150 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(403218), // Rule ID 23410 //
     /*  403155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  403172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  403179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403187 */     // MIs[0] policy
     /*  403187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  403200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403204 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403214 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403216 */     GIR_RootConstrainSelectedInstOperands,
     /*  403217 */     // GIR_Coverage, 23410,
     /*  403217 */     GIR_EraseRootFromParent_Done,
     /*  403218 */   // Label 7127: @403218
     /*  403218 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(403286), // Rule ID 23411 //
     /*  403223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  403240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  403247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403255 */     // MIs[0] policy
     /*  403255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  403268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403272 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403282 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403284 */     GIR_RootConstrainSelectedInstOperands,
     /*  403285 */     // GIR_Coverage, 23411,
     /*  403285 */     GIR_EraseRootFromParent_Done,
     /*  403286 */   // Label 7128: @403286
     /*  403286 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(403354), // Rule ID 23414 //
     /*  403291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  403308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  403315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403323 */     // MIs[0] policy
     /*  403323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  403336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403340 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403350 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403352 */     GIR_RootConstrainSelectedInstOperands,
     /*  403353 */     // GIR_Coverage, 23414,
     /*  403353 */     GIR_EraseRootFromParent_Done,
     /*  403354 */   // Label 7129: @403354
     /*  403354 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(403422), // Rule ID 23415 //
     /*  403359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  403376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  403383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403391 */     // MIs[0] policy
     /*  403391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  403404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403408 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403418 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403420 */     GIR_RootConstrainSelectedInstOperands,
     /*  403421 */     // GIR_Coverage, 23415,
     /*  403421 */     GIR_EraseRootFromParent_Done,
     /*  403422 */   // Label 7130: @403422
     /*  403422 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(403490), // Rule ID 23418 //
     /*  403427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  403444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403459 */     // MIs[0] policy
     /*  403459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403476 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403486 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403488 */     GIR_RootConstrainSelectedInstOperands,
     /*  403489 */     // GIR_Coverage, 23418,
     /*  403489 */     GIR_EraseRootFromParent_Done,
     /*  403490 */   // Label 7131: @403490
     /*  403490 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(403558), // Rule ID 23419 //
     /*  403495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  403512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403527 */     // MIs[0] policy
     /*  403527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403544 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403554 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403556 */     GIR_RootConstrainSelectedInstOperands,
     /*  403557 */     // GIR_Coverage, 23419,
     /*  403557 */     GIR_EraseRootFromParent_Done,
     /*  403558 */   // Label 7132: @403558
     /*  403558 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(403626), // Rule ID 23422 //
     /*  403563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  403587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403595 */     // MIs[0] policy
     /*  403595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  403608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403612 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403622 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403624 */     GIR_RootConstrainSelectedInstOperands,
     /*  403625 */     // GIR_Coverage, 23422,
     /*  403625 */     GIR_EraseRootFromParent_Done,
     /*  403626 */   // Label 7133: @403626
     /*  403626 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(403694), // Rule ID 23423 //
     /*  403631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  403655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403663 */     // MIs[0] policy
     /*  403663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  403676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403680 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403690 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403692 */     GIR_RootConstrainSelectedInstOperands,
     /*  403693 */     // GIR_Coverage, 23423,
     /*  403693 */     GIR_EraseRootFromParent_Done,
     /*  403694 */   // Label 7134: @403694
     /*  403694 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(403762), // Rule ID 23426 //
     /*  403699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  403716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  403723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403731 */     // MIs[0] policy
     /*  403731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403741 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  403744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403748 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403758 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403760 */     GIR_RootConstrainSelectedInstOperands,
     /*  403761 */     // GIR_Coverage, 23426,
     /*  403761 */     GIR_EraseRootFromParent_Done,
     /*  403762 */   // Label 7135: @403762
     /*  403762 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(403830), // Rule ID 23427 //
     /*  403767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  403784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  403791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403799 */     // MIs[0] policy
     /*  403799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  403812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403816 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403826 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403828 */     GIR_RootConstrainSelectedInstOperands,
     /*  403829 */     // GIR_Coverage, 23427,
     /*  403829 */     GIR_EraseRootFromParent_Done,
     /*  403830 */   // Label 7136: @403830
     /*  403830 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(403898), // Rule ID 23430 //
     /*  403835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  403852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403867 */     // MIs[0] policy
     /*  403867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403884 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403894 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403896 */     GIR_RootConstrainSelectedInstOperands,
     /*  403897 */     // GIR_Coverage, 23430,
     /*  403897 */     GIR_EraseRootFromParent_Done,
     /*  403898 */   // Label 7137: @403898
     /*  403898 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(403966), // Rule ID 23431 //
     /*  403903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  403906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  403920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  403927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403935 */     // MIs[0] policy
     /*  403935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  403948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403952 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  403954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403962 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403964 */     GIR_RootConstrainSelectedInstOperands,
     /*  403965 */     // GIR_Coverage, 23431,
     /*  403965 */     GIR_EraseRootFromParent_Done,
     /*  403966 */   // Label 7138: @403966
     /*  403966 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(404034), // Rule ID 23434 //
     /*  403971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  403974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  403982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  403985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  403988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  403995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404003 */     // MIs[0] policy
     /*  404003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404013 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  404016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404020 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  404022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404030 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404032 */     GIR_RootConstrainSelectedInstOperands,
     /*  404033 */     // GIR_Coverage, 23434,
     /*  404033 */     GIR_EraseRootFromParent_Done,
     /*  404034 */   // Label 7139: @404034
     /*  404034 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(404102), // Rule ID 23435 //
     /*  404039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  404056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  404063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404071 */     // MIs[0] policy
     /*  404071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10974:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  404084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404088 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  404090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404098 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404100 */     GIR_RootConstrainSelectedInstOperands,
     /*  404101 */     // GIR_Coverage, 23435,
     /*  404101 */     GIR_EraseRootFromParent_Done,
     /*  404102 */   // Label 7140: @404102
     /*  404102 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(404170), // Rule ID 23438 //
     /*  404107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  404124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  404131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404139 */     // MIs[0] policy
     /*  404139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  404152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404156 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  404158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404166 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404168 */     GIR_RootConstrainSelectedInstOperands,
     /*  404169 */     // GIR_Coverage, 23438,
     /*  404169 */     GIR_EraseRootFromParent_Done,
     /*  404170 */   // Label 7141: @404170
     /*  404170 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(404238), // Rule ID 23439 //
     /*  404175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  404192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  404199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404207 */     // MIs[0] policy
     /*  404207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10974:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  404220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404224 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  404226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404234 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404236 */     GIR_RootConstrainSelectedInstOperands,
     /*  404237 */     // GIR_Coverage, 23439,
     /*  404237 */     GIR_EraseRootFromParent_Done,
     /*  404238 */   // Label 7142: @404238
     /*  404238 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(404306), // Rule ID 59876 //
     /*  404243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  404246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404275 */     // MIs[0] policy
     /*  404275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10972:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  404288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404302 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404304 */     GIR_RootConstrainSelectedInstOperands,
     /*  404305 */     // GIR_Coverage, 59876,
     /*  404305 */     GIR_EraseRootFromParent_Done,
     /*  404306 */   // Label 7143: @404306
     /*  404306 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(404374), // Rule ID 59877 //
     /*  404311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  404314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404343 */     // MIs[0] policy
     /*  404343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10972:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  404356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404370 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404372 */     GIR_RootConstrainSelectedInstOperands,
     /*  404373 */     // GIR_Coverage, 59877,
     /*  404373 */     GIR_EraseRootFromParent_Done,
     /*  404374 */   // Label 7144: @404374
     /*  404374 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(404442), // Rule ID 59878 //
     /*  404379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  404382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  404387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404411 */     // MIs[0] policy
     /*  404411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  404424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404438 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404440 */     GIR_RootConstrainSelectedInstOperands,
     /*  404441 */     // GIR_Coverage, 59878,
     /*  404441 */     GIR_EraseRootFromParent_Done,
     /*  404442 */   // Label 7145: @404442
     /*  404442 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(404510), // Rule ID 59879 //
     /*  404447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  404450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  404455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404479 */     // MIs[0] policy
     /*  404479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  404492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404506 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404508 */     GIR_RootConstrainSelectedInstOperands,
     /*  404509 */     // GIR_Coverage, 59879,
     /*  404509 */     GIR_EraseRootFromParent_Done,
     /*  404510 */   // Label 7146: @404510
     /*  404510 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(404578), // Rule ID 61372 //
     /*  404515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  404518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404547 */     // MIs[0] policy
     /*  404547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10972:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  404560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404574 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404576 */     GIR_RootConstrainSelectedInstOperands,
     /*  404577 */     // GIR_Coverage, 61372,
     /*  404577 */     GIR_EraseRootFromParent_Done,
     /*  404578 */   // Label 7147: @404578
     /*  404578 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(404646), // Rule ID 61373 //
     /*  404583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  404586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404615 */     // MIs[0] policy
     /*  404615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10972:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  404628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404642 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404644 */     GIR_RootConstrainSelectedInstOperands,
     /*  404645 */     // GIR_Coverage, 61373,
     /*  404645 */     GIR_EraseRootFromParent_Done,
     /*  404646 */   // Label 7148: @404646
     /*  404646 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(404714), // Rule ID 61374 //
     /*  404651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  404654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404683 */     // MIs[0] policy
     /*  404683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10972:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  404696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404710 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404712 */     GIR_RootConstrainSelectedInstOperands,
     /*  404713 */     // GIR_Coverage, 61374,
     /*  404713 */     GIR_EraseRootFromParent_Done,
     /*  404714 */   // Label 7149: @404714
     /*  404714 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(404782), // Rule ID 61375 //
     /*  404719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  404722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404751 */     // MIs[0] policy
     /*  404751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10972:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  404764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404778 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404780 */     GIR_RootConstrainSelectedInstOperands,
     /*  404781 */     // GIR_Coverage, 61375,
     /*  404781 */     GIR_EraseRootFromParent_Done,
     /*  404782 */   // Label 7150: @404782
     /*  404782 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(404850), // Rule ID 61376 //
     /*  404787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  404790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404819 */     // MIs[0] policy
     /*  404819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10972:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  404832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404846 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404848 */     GIR_RootConstrainSelectedInstOperands,
     /*  404849 */     // GIR_Coverage, 61376,
     /*  404849 */     GIR_EraseRootFromParent_Done,
     /*  404850 */   // Label 7151: @404850
     /*  404850 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(404918), // Rule ID 61377 //
     /*  404855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  404858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404887 */     // MIs[0] policy
     /*  404887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10972:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  404900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404914 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404916 */     GIR_RootConstrainSelectedInstOperands,
     /*  404917 */     // GIR_Coverage, 61377,
     /*  404917 */     GIR_EraseRootFromParent_Done,
     /*  404918 */   // Label 7152: @404918
     /*  404918 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(404986), // Rule ID 61378 //
     /*  404923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  404926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404955 */     // MIs[0] policy
     /*  404955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10972:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  404968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  404970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  404972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404982 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404984 */     GIR_RootConstrainSelectedInstOperands,
     /*  404985 */     // GIR_Coverage, 61378,
     /*  404985 */     GIR_EraseRootFromParent_Done,
     /*  404986 */   // Label 7153: @404986
     /*  404986 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(405054), // Rule ID 61379 //
     /*  404991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  404994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  404999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  405008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405023 */     // MIs[0] policy
     /*  405023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10972:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  405036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405050 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405052 */     GIR_RootConstrainSelectedInstOperands,
     /*  405053 */     // GIR_Coverage, 61379,
     /*  405053 */     GIR_EraseRootFromParent_Done,
     /*  405054 */   // Label 7154: @405054
     /*  405054 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(405122), // Rule ID 61380 //
     /*  405059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405091 */     // MIs[0] policy
     /*  405091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  405104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405118 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405120 */     GIR_RootConstrainSelectedInstOperands,
     /*  405121 */     // GIR_Coverage, 61380,
     /*  405121 */     GIR_EraseRootFromParent_Done,
     /*  405122 */   // Label 7155: @405122
     /*  405122 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(405190), // Rule ID 61381 //
     /*  405127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405159 */     // MIs[0] policy
     /*  405159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  405172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405186 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405188 */     GIR_RootConstrainSelectedInstOperands,
     /*  405189 */     // GIR_Coverage, 61381,
     /*  405189 */     GIR_EraseRootFromParent_Done,
     /*  405190 */   // Label 7156: @405190
     /*  405190 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(405258), // Rule ID 61382 //
     /*  405195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405227 */     // MIs[0] policy
     /*  405227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  405240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405254 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405256 */     GIR_RootConstrainSelectedInstOperands,
     /*  405257 */     // GIR_Coverage, 61382,
     /*  405257 */     GIR_EraseRootFromParent_Done,
     /*  405258 */   // Label 7157: @405258
     /*  405258 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(405326), // Rule ID 61383 //
     /*  405263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405295 */     // MIs[0] policy
     /*  405295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  405308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405322 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405324 */     GIR_RootConstrainSelectedInstOperands,
     /*  405325 */     // GIR_Coverage, 61383,
     /*  405325 */     GIR_EraseRootFromParent_Done,
     /*  405326 */   // Label 7158: @405326
     /*  405326 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(405394), // Rule ID 61384 //
     /*  405331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405363 */     // MIs[0] policy
     /*  405363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  405376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405390 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405392 */     GIR_RootConstrainSelectedInstOperands,
     /*  405393 */     // GIR_Coverage, 61384,
     /*  405393 */     GIR_EraseRootFromParent_Done,
     /*  405394 */   // Label 7159: @405394
     /*  405394 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(405462), // Rule ID 61385 //
     /*  405399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405431 */     // MIs[0] policy
     /*  405431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  405444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405458 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405460 */     GIR_RootConstrainSelectedInstOperands,
     /*  405461 */     // GIR_Coverage, 61385,
     /*  405461 */     GIR_EraseRootFromParent_Done,
     /*  405462 */   // Label 7160: @405462
     /*  405462 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(405530), // Rule ID 61386 //
     /*  405467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405499 */     // MIs[0] policy
     /*  405499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  405512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405526 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405528 */     GIR_RootConstrainSelectedInstOperands,
     /*  405529 */     // GIR_Coverage, 61386,
     /*  405529 */     GIR_EraseRootFromParent_Done,
     /*  405530 */   // Label 7161: @405530
     /*  405530 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(405598), // Rule ID 61387 //
     /*  405535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405567 */     // MIs[0] policy
     /*  405567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405577 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  405580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405594 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405596 */     GIR_RootConstrainSelectedInstOperands,
     /*  405597 */     // GIR_Coverage, 61387,
     /*  405597 */     GIR_EraseRootFromParent_Done,
     /*  405598 */   // Label 7162: @405598
     /*  405598 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(405666), // Rule ID 61388 //
     /*  405603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  405620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405635 */     // MIs[0] policy
     /*  405635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  405648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405662 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405664 */     GIR_RootConstrainSelectedInstOperands,
     /*  405665 */     // GIR_Coverage, 61388,
     /*  405665 */     GIR_EraseRootFromParent_Done,
     /*  405666 */   // Label 7163: @405666
     /*  405666 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(405734), // Rule ID 61389 //
     /*  405671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  405679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  405688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405703 */     // MIs[0] policy
     /*  405703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  405716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405730 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405732 */     GIR_RootConstrainSelectedInstOperands,
     /*  405733 */     // GIR_Coverage, 61389,
     /*  405733 */     GIR_EraseRootFromParent_Done,
     /*  405734 */   // Label 7164: @405734
     /*  405734 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(405802), // Rule ID 61390 //
     /*  405739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  405747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405771 */     // MIs[0] policy
     /*  405771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405781 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  405784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405798 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405800 */     GIR_RootConstrainSelectedInstOperands,
     /*  405801 */     // GIR_Coverage, 61390,
     /*  405801 */     GIR_EraseRootFromParent_Done,
     /*  405802 */   // Label 7165: @405802
     /*  405802 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(405870), // Rule ID 61391 //
     /*  405807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  405815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405839 */     // MIs[0] policy
     /*  405839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  405852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405866 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405868 */     GIR_RootConstrainSelectedInstOperands,
     /*  405869 */     // GIR_Coverage, 61391,
     /*  405869 */     GIR_EraseRootFromParent_Done,
     /*  405870 */   // Label 7166: @405870
     /*  405870 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(405938), // Rule ID 61392 //
     /*  405875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  405878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  405883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405907 */     // MIs[0] policy
     /*  405907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  405920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405934 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405936 */     GIR_RootConstrainSelectedInstOperands,
     /*  405937 */     // GIR_Coverage, 61392,
     /*  405937 */     GIR_EraseRootFromParent_Done,
     /*  405938 */   // Label 7167: @405938
     /*  405938 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(406006), // Rule ID 61393 //
     /*  405943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  405946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  405951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405975 */     // MIs[0] policy
     /*  405975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405985 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  405988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  405990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  405992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406002 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406004 */     GIR_RootConstrainSelectedInstOperands,
     /*  406005 */     // GIR_Coverage, 61393,
     /*  406005 */     GIR_EraseRootFromParent_Done,
     /*  406006 */   // Label 7168: @406006
     /*  406006 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(406074), // Rule ID 61394 //
     /*  406011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406043 */     // MIs[0] policy
     /*  406043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406053 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  406056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406070 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406072 */     GIR_RootConstrainSelectedInstOperands,
     /*  406073 */     // GIR_Coverage, 61394,
     /*  406073 */     GIR_EraseRootFromParent_Done,
     /*  406074 */   // Label 7169: @406074
     /*  406074 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(406142), // Rule ID 61395 //
     /*  406079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406111 */     // MIs[0] policy
     /*  406111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406121 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  406124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406138 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406140 */     GIR_RootConstrainSelectedInstOperands,
     /*  406141 */     // GIR_Coverage, 61395,
     /*  406141 */     GIR_EraseRootFromParent_Done,
     /*  406142 */   // Label 7170: @406142
     /*  406142 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(406210), // Rule ID 61396 //
     /*  406147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406179 */     // MIs[0] policy
     /*  406179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  406192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406206 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406208 */     GIR_RootConstrainSelectedInstOperands,
     /*  406209 */     // GIR_Coverage, 61396,
     /*  406209 */     GIR_EraseRootFromParent_Done,
     /*  406210 */   // Label 7171: @406210
     /*  406210 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(406278), // Rule ID 61397 //
     /*  406215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406247 */     // MIs[0] policy
     /*  406247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  406260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406274 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406276 */     GIR_RootConstrainSelectedInstOperands,
     /*  406277 */     // GIR_Coverage, 61397,
     /*  406277 */     GIR_EraseRootFromParent_Done,
     /*  406278 */   // Label 7172: @406278
     /*  406278 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(406346), // Rule ID 61398 //
     /*  406283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406315 */     // MIs[0] policy
     /*  406315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  406328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406342 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406344 */     GIR_RootConstrainSelectedInstOperands,
     /*  406345 */     // GIR_Coverage, 61398,
     /*  406345 */     GIR_EraseRootFromParent_Done,
     /*  406346 */   // Label 7173: @406346
     /*  406346 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(406414), // Rule ID 61399 //
     /*  406351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406383 */     // MIs[0] policy
     /*  406383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  406396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406410 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406412 */     GIR_RootConstrainSelectedInstOperands,
     /*  406413 */     // GIR_Coverage, 61399,
     /*  406413 */     GIR_EraseRootFromParent_Done,
     /*  406414 */   // Label 7174: @406414
     /*  406414 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(406482), // Rule ID 61400 //
     /*  406419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406451 */     // MIs[0] policy
     /*  406451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  406464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406478 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406480 */     GIR_RootConstrainSelectedInstOperands,
     /*  406481 */     // GIR_Coverage, 61400,
     /*  406481 */     GIR_EraseRootFromParent_Done,
     /*  406482 */   // Label 7175: @406482
     /*  406482 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(406550), // Rule ID 61401 //
     /*  406487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406519 */     // MIs[0] policy
     /*  406519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  406532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406546 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406548 */     GIR_RootConstrainSelectedInstOperands,
     /*  406549 */     // GIR_Coverage, 61401,
     /*  406549 */     GIR_EraseRootFromParent_Done,
     /*  406550 */   // Label 7176: @406550
     /*  406550 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(406618), // Rule ID 61402 //
     /*  406555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406587 */     // MIs[0] policy
     /*  406587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  406600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406614 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406616 */     GIR_RootConstrainSelectedInstOperands,
     /*  406617 */     // GIR_Coverage, 61402,
     /*  406617 */     GIR_EraseRootFromParent_Done,
     /*  406618 */   // Label 7177: @406618
     /*  406618 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(406686), // Rule ID 61403 //
     /*  406623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406655 */     // MIs[0] policy
     /*  406655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  406668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406682 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406684 */     GIR_RootConstrainSelectedInstOperands,
     /*  406685 */     // GIR_Coverage, 61403,
     /*  406685 */     GIR_EraseRootFromParent_Done,
     /*  406686 */   // Label 7178: @406686
     /*  406686 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(406754), // Rule ID 61404 //
     /*  406691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406723 */     // MIs[0] policy
     /*  406723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  406736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406750 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406752 */     GIR_RootConstrainSelectedInstOperands,
     /*  406753 */     // GIR_Coverage, 61404,
     /*  406753 */     GIR_EraseRootFromParent_Done,
     /*  406754 */   // Label 7179: @406754
     /*  406754 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(406822), // Rule ID 61405 //
     /*  406759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406791 */     // MIs[0] policy
     /*  406791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  406804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406818 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406820 */     GIR_RootConstrainSelectedInstOperands,
     /*  406821 */     // GIR_Coverage, 61405,
     /*  406821 */     GIR_EraseRootFromParent_Done,
     /*  406822 */   // Label 7180: @406822
     /*  406822 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(406890), // Rule ID 61406 //
     /*  406827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406859 */     // MIs[0] policy
     /*  406859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  406872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406886 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406888 */     GIR_RootConstrainSelectedInstOperands,
     /*  406889 */     // GIR_Coverage, 61406,
     /*  406889 */     GIR_EraseRootFromParent_Done,
     /*  406890 */   // Label 7181: @406890
     /*  406890 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(406958), // Rule ID 61407 //
     /*  406895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406927 */     // MIs[0] policy
     /*  406927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  406940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406954 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406956 */     GIR_RootConstrainSelectedInstOperands,
     /*  406957 */     // GIR_Coverage, 61407,
     /*  406957 */     GIR_EraseRootFromParent_Done,
     /*  406958 */   // Label 7182: @406958
     /*  406958 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(407026), // Rule ID 61408 //
     /*  406963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406995 */     // MIs[0] policy
     /*  406995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  407008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407022 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407024 */     GIR_RootConstrainSelectedInstOperands,
     /*  407025 */     // GIR_Coverage, 61408,
     /*  407025 */     GIR_EraseRootFromParent_Done,
     /*  407026 */   // Label 7183: @407026
     /*  407026 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(407094), // Rule ID 61409 //
     /*  407031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407063 */     // MIs[0] policy
     /*  407063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  407076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407090 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407092 */     GIR_RootConstrainSelectedInstOperands,
     /*  407093 */     // GIR_Coverage, 61409,
     /*  407093 */     GIR_EraseRootFromParent_Done,
     /*  407094 */   // Label 7184: @407094
     /*  407094 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(407162), // Rule ID 61410 //
     /*  407099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407131 */     // MIs[0] policy
     /*  407131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  407144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407158 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407160 */     GIR_RootConstrainSelectedInstOperands,
     /*  407161 */     // GIR_Coverage, 61410,
     /*  407161 */     GIR_EraseRootFromParent_Done,
     /*  407162 */   // Label 7185: @407162
     /*  407162 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(407230), // Rule ID 61411 //
     /*  407167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407199 */     // MIs[0] policy
     /*  407199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  407212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407226 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407228 */     GIR_RootConstrainSelectedInstOperands,
     /*  407229 */     // GIR_Coverage, 61411,
     /*  407229 */     GIR_EraseRootFromParent_Done,
     /*  407230 */   // Label 7186: @407230
     /*  407230 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(407298), // Rule ID 61412 //
     /*  407235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407267 */     // MIs[0] policy
     /*  407267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  407280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407294 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407296 */     GIR_RootConstrainSelectedInstOperands,
     /*  407297 */     // GIR_Coverage, 61412,
     /*  407297 */     GIR_EraseRootFromParent_Done,
     /*  407298 */   // Label 7187: @407298
     /*  407298 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(407366), // Rule ID 61413 //
     /*  407303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407335 */     // MIs[0] policy
     /*  407335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  407348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407362 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407364 */     GIR_RootConstrainSelectedInstOperands,
     /*  407365 */     // GIR_Coverage, 61413,
     /*  407365 */     GIR_EraseRootFromParent_Done,
     /*  407366 */   // Label 7188: @407366
     /*  407366 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(407434), // Rule ID 61414 //
     /*  407371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407403 */     // MIs[0] policy
     /*  407403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407413 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  407416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407430 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407432 */     GIR_RootConstrainSelectedInstOperands,
     /*  407433 */     // GIR_Coverage, 61414,
     /*  407433 */     GIR_EraseRootFromParent_Done,
     /*  407434 */   // Label 7189: @407434
     /*  407434 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(407502), // Rule ID 61415 //
     /*  407439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407471 */     // MIs[0] policy
     /*  407471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  407484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407498 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407500 */     GIR_RootConstrainSelectedInstOperands,
     /*  407501 */     // GIR_Coverage, 61415,
     /*  407501 */     GIR_EraseRootFromParent_Done,
     /*  407502 */   // Label 7190: @407502
     /*  407502 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(407570), // Rule ID 61416 //
     /*  407507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407539 */     // MIs[0] policy
     /*  407539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  407552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407566 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407568 */     GIR_RootConstrainSelectedInstOperands,
     /*  407569 */     // GIR_Coverage, 61416,
     /*  407569 */     GIR_EraseRootFromParent_Done,
     /*  407570 */   // Label 7191: @407570
     /*  407570 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(407638), // Rule ID 61417 //
     /*  407575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407607 */     // MIs[0] policy
     /*  407607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  407620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407634 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407636 */     GIR_RootConstrainSelectedInstOperands,
     /*  407637 */     // GIR_Coverage, 61417,
     /*  407637 */     GIR_EraseRootFromParent_Done,
     /*  407638 */   // Label 7192: @407638
     /*  407638 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(407706), // Rule ID 61418 //
     /*  407643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407675 */     // MIs[0] policy
     /*  407675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  407688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407702 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407704 */     GIR_RootConstrainSelectedInstOperands,
     /*  407705 */     // GIR_Coverage, 61418,
     /*  407705 */     GIR_EraseRootFromParent_Done,
     /*  407706 */   // Label 7193: @407706
     /*  407706 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(407774), // Rule ID 61419 //
     /*  407711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407743 */     // MIs[0] policy
     /*  407743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  407756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407770 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407772 */     GIR_RootConstrainSelectedInstOperands,
     /*  407773 */     // GIR_Coverage, 61419,
     /*  407773 */     GIR_EraseRootFromParent_Done,
     /*  407774 */   // Label 7194: @407774
     /*  407774 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(407842), // Rule ID 61420 //
     /*  407779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407811 */     // MIs[0] policy
     /*  407811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  407824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407838 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407840 */     GIR_RootConstrainSelectedInstOperands,
     /*  407841 */     // GIR_Coverage, 61420,
     /*  407841 */     GIR_EraseRootFromParent_Done,
     /*  407842 */   // Label 7195: @407842
     /*  407842 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(407910), // Rule ID 61421 //
     /*  407847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407879 */     // MIs[0] policy
     /*  407879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  407892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407906 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407908 */     GIR_RootConstrainSelectedInstOperands,
     /*  407909 */     // GIR_Coverage, 61421,
     /*  407909 */     GIR_EraseRootFromParent_Done,
     /*  407910 */   // Label 7196: @407910
     /*  407910 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(407978), // Rule ID 61422 //
     /*  407915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407947 */     // MIs[0] policy
     /*  407947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  407960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407974 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407976 */     GIR_RootConstrainSelectedInstOperands,
     /*  407977 */     // GIR_Coverage, 61422,
     /*  407977 */     GIR_EraseRootFromParent_Done,
     /*  407978 */   // Label 7197: @407978
     /*  407978 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(408046), // Rule ID 61423 //
     /*  407983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  407991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408015 */     // MIs[0] policy
     /*  408015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  408028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408042 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408044 */     GIR_RootConstrainSelectedInstOperands,
     /*  408045 */     // GIR_Coverage, 61423,
     /*  408045 */     GIR_EraseRootFromParent_Done,
     /*  408046 */   // Label 7198: @408046
     /*  408046 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(408114), // Rule ID 61424 //
     /*  408051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  408059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408083 */     // MIs[0] policy
     /*  408083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  408096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408110 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408112 */     GIR_RootConstrainSelectedInstOperands,
     /*  408113 */     // GIR_Coverage, 61424,
     /*  408113 */     GIR_EraseRootFromParent_Done,
     /*  408114 */   // Label 7199: @408114
     /*  408114 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(408182), // Rule ID 61425 //
     /*  408119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  408127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408151 */     // MIs[0] policy
     /*  408151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  408164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408178 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408180 */     GIR_RootConstrainSelectedInstOperands,
     /*  408181 */     // GIR_Coverage, 61425,
     /*  408181 */     GIR_EraseRootFromParent_Done,
     /*  408182 */   // Label 7200: @408182
     /*  408182 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(408250), // Rule ID 61426 //
     /*  408187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408219 */     // MIs[0] policy
     /*  408219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408229 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  408232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408246 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408248 */     GIR_RootConstrainSelectedInstOperands,
     /*  408249 */     // GIR_Coverage, 61426,
     /*  408249 */     GIR_EraseRootFromParent_Done,
     /*  408250 */   // Label 7201: @408250
     /*  408250 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(408318), // Rule ID 61427 //
     /*  408255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  408266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  408269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408287 */     // MIs[0] policy
     /*  408287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  408300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408314 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408316 */     GIR_RootConstrainSelectedInstOperands,
     /*  408317 */     // GIR_Coverage, 61427,
     /*  408317 */     GIR_EraseRootFromParent_Done,
     /*  408318 */   // Label 7202: @408318
     /*  408318 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(408386), // Rule ID 61428 //
     /*  408323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408355 */     // MIs[0] policy
     /*  408355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  408368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408382 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408384 */     GIR_RootConstrainSelectedInstOperands,
     /*  408385 */     // GIR_Coverage, 61428,
     /*  408385 */     GIR_EraseRootFromParent_Done,
     /*  408386 */   // Label 7203: @408386
     /*  408386 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(408454), // Rule ID 61429 //
     /*  408391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408423 */     // MIs[0] policy
     /*  408423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  408436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408450 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408452 */     GIR_RootConstrainSelectedInstOperands,
     /*  408453 */     // GIR_Coverage, 61429,
     /*  408453 */     GIR_EraseRootFromParent_Done,
     /*  408454 */   // Label 7204: @408454
     /*  408454 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(408522), // Rule ID 61430 //
     /*  408459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408491 */     // MIs[0] policy
     /*  408491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408501 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  408504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408518 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408520 */     GIR_RootConstrainSelectedInstOperands,
     /*  408521 */     // GIR_Coverage, 61430,
     /*  408521 */     GIR_EraseRootFromParent_Done,
     /*  408522 */   // Label 7205: @408522
     /*  408522 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(408590), // Rule ID 61431 //
     /*  408527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408559 */     // MIs[0] policy
     /*  408559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408569 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  408572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408586 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408588 */     GIR_RootConstrainSelectedInstOperands,
     /*  408589 */     // GIR_Coverage, 61431,
     /*  408589 */     GIR_EraseRootFromParent_Done,
     /*  408590 */   // Label 7206: @408590
     /*  408590 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(408658), // Rule ID 61432 //
     /*  408595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408627 */     // MIs[0] policy
     /*  408627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  408640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408654 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408656 */     GIR_RootConstrainSelectedInstOperands,
     /*  408657 */     // GIR_Coverage, 61432,
     /*  408657 */     GIR_EraseRootFromParent_Done,
     /*  408658 */   // Label 7207: @408658
     /*  408658 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(408726), // Rule ID 61433 //
     /*  408663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408695 */     // MIs[0] policy
     /*  408695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  408708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408722 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408724 */     GIR_RootConstrainSelectedInstOperands,
     /*  408725 */     // GIR_Coverage, 61433,
     /*  408725 */     GIR_EraseRootFromParent_Done,
     /*  408726 */   // Label 7208: @408726
     /*  408726 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(408794), // Rule ID 61434 //
     /*  408731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408763 */     // MIs[0] policy
     /*  408763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  408776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408790 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408792 */     GIR_RootConstrainSelectedInstOperands,
     /*  408793 */     // GIR_Coverage, 61434,
     /*  408793 */     GIR_EraseRootFromParent_Done,
     /*  408794 */   // Label 7209: @408794
     /*  408794 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(408862), // Rule ID 61435 //
     /*  408799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408831 */     // MIs[0] policy
     /*  408831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  408844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408858 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408860 */     GIR_RootConstrainSelectedInstOperands,
     /*  408861 */     // GIR_Coverage, 61435,
     /*  408861 */     GIR_EraseRootFromParent_Done,
     /*  408862 */   // Label 7210: @408862
     /*  408862 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(408930), // Rule ID 61436 //
     /*  408867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408899 */     // MIs[0] policy
     /*  408899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  408912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408926 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408928 */     GIR_RootConstrainSelectedInstOperands,
     /*  408929 */     // GIR_Coverage, 61436,
     /*  408929 */     GIR_EraseRootFromParent_Done,
     /*  408930 */   // Label 7211: @408930
     /*  408930 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(408998), // Rule ID 61437 //
     /*  408935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  408943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408967 */     // MIs[0] policy
     /*  408967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  408980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408994 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408996 */     GIR_RootConstrainSelectedInstOperands,
     /*  408997 */     // GIR_Coverage, 61437,
     /*  408997 */     GIR_EraseRootFromParent_Done,
     /*  408998 */   // Label 7212: @408998
     /*  408998 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(409066), // Rule ID 61438 //
     /*  409003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409035 */     // MIs[0] policy
     /*  409035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  409048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409062 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409064 */     GIR_RootConstrainSelectedInstOperands,
     /*  409065 */     // GIR_Coverage, 61438,
     /*  409065 */     GIR_EraseRootFromParent_Done,
     /*  409066 */   // Label 7213: @409066
     /*  409066 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(409134), // Rule ID 61439 //
     /*  409071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409103 */     // MIs[0] policy
     /*  409103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  409116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409130 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409132 */     GIR_RootConstrainSelectedInstOperands,
     /*  409133 */     // GIR_Coverage, 61439,
     /*  409133 */     GIR_EraseRootFromParent_Done,
     /*  409134 */   // Label 7214: @409134
     /*  409134 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(409202), // Rule ID 61440 //
     /*  409139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409171 */     // MIs[0] policy
     /*  409171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  409184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409198 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409200 */     GIR_RootConstrainSelectedInstOperands,
     /*  409201 */     // GIR_Coverage, 61440,
     /*  409201 */     GIR_EraseRootFromParent_Done,
     /*  409202 */   // Label 7215: @409202
     /*  409202 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(409270), // Rule ID 61441 //
     /*  409207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409239 */     // MIs[0] policy
     /*  409239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  409252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409266 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409268 */     GIR_RootConstrainSelectedInstOperands,
     /*  409269 */     // GIR_Coverage, 61441,
     /*  409269 */     GIR_EraseRootFromParent_Done,
     /*  409270 */   // Label 7216: @409270
     /*  409270 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(409338), // Rule ID 61442 //
     /*  409275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409307 */     // MIs[0] policy
     /*  409307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  409320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409334 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409336 */     GIR_RootConstrainSelectedInstOperands,
     /*  409337 */     // GIR_Coverage, 61442,
     /*  409337 */     GIR_EraseRootFromParent_Done,
     /*  409338 */   // Label 7217: @409338
     /*  409338 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(409406), // Rule ID 61443 //
     /*  409343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409375 */     // MIs[0] policy
     /*  409375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409385 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  409388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409402 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409404 */     GIR_RootConstrainSelectedInstOperands,
     /*  409405 */     // GIR_Coverage, 61443,
     /*  409405 */     GIR_EraseRootFromParent_Done,
     /*  409406 */   // Label 7218: @409406
     /*  409406 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(409474), // Rule ID 61444 //
     /*  409411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409443 */     // MIs[0] policy
     /*  409443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  409456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409470 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409472 */     GIR_RootConstrainSelectedInstOperands,
     /*  409473 */     // GIR_Coverage, 61444,
     /*  409473 */     GIR_EraseRootFromParent_Done,
     /*  409474 */   // Label 7219: @409474
     /*  409474 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(409542), // Rule ID 61445 //
     /*  409479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409511 */     // MIs[0] policy
     /*  409511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  409524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409538 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409540 */     GIR_RootConstrainSelectedInstOperands,
     /*  409541 */     // GIR_Coverage, 61445,
     /*  409541 */     GIR_EraseRootFromParent_Done,
     /*  409542 */   // Label 7220: @409542
     /*  409542 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(409610), // Rule ID 61446 //
     /*  409547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409579 */     // MIs[0] policy
     /*  409579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  409592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409606 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409608 */     GIR_RootConstrainSelectedInstOperands,
     /*  409609 */     // GIR_Coverage, 61446,
     /*  409609 */     GIR_EraseRootFromParent_Done,
     /*  409610 */   // Label 7221: @409610
     /*  409610 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(409678), // Rule ID 61447 //
     /*  409615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409647 */     // MIs[0] policy
     /*  409647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409657 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  409660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409674 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409676 */     GIR_RootConstrainSelectedInstOperands,
     /*  409677 */     // GIR_Coverage, 61447,
     /*  409677 */     GIR_EraseRootFromParent_Done,
     /*  409678 */   // Label 7222: @409678
     /*  409678 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(409746), // Rule ID 61448 //
     /*  409683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409715 */     // MIs[0] policy
     /*  409715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  409728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409742 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409744 */     GIR_RootConstrainSelectedInstOperands,
     /*  409745 */     // GIR_Coverage, 61448,
     /*  409745 */     GIR_EraseRootFromParent_Done,
     /*  409746 */   // Label 7223: @409746
     /*  409746 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(409814), // Rule ID 61449 //
     /*  409751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409783 */     // MIs[0] policy
     /*  409783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  409796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409810 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409812 */     GIR_RootConstrainSelectedInstOperands,
     /*  409813 */     // GIR_Coverage, 61449,
     /*  409813 */     GIR_EraseRootFromParent_Done,
     /*  409814 */   // Label 7224: @409814
     /*  409814 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(409882), // Rule ID 61450 //
     /*  409819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409851 */     // MIs[0] policy
     /*  409851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409861 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  409864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409878 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409880 */     GIR_RootConstrainSelectedInstOperands,
     /*  409881 */     // GIR_Coverage, 61450,
     /*  409881 */     GIR_EraseRootFromParent_Done,
     /*  409882 */   // Label 7225: @409882
     /*  409882 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(409950), // Rule ID 61451 //
     /*  409887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409919 */     // MIs[0] policy
     /*  409919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409929 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  409932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409946 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409948 */     GIR_RootConstrainSelectedInstOperands,
     /*  409949 */     // GIR_Coverage, 61451,
     /*  409949 */     GIR_EraseRootFromParent_Done,
     /*  409950 */   // Label 7226: @409950
     /*  409950 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(410018), // Rule ID 61452 //
     /*  409955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  409963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409987 */     // MIs[0] policy
     /*  409987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  410000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410014 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410016 */     GIR_RootConstrainSelectedInstOperands,
     /*  410017 */     // GIR_Coverage, 61452,
     /*  410017 */     GIR_EraseRootFromParent_Done,
     /*  410018 */   // Label 7227: @410018
     /*  410018 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(410086), // Rule ID 61453 //
     /*  410023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410055 */     // MIs[0] policy
     /*  410055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  410068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410082 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410084 */     GIR_RootConstrainSelectedInstOperands,
     /*  410085 */     // GIR_Coverage, 61453,
     /*  410085 */     GIR_EraseRootFromParent_Done,
     /*  410086 */   // Label 7228: @410086
     /*  410086 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(410154), // Rule ID 61454 //
     /*  410091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410123 */     // MIs[0] policy
     /*  410123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  410136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410150 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410152 */     GIR_RootConstrainSelectedInstOperands,
     /*  410153 */     // GIR_Coverage, 61454,
     /*  410153 */     GIR_EraseRootFromParent_Done,
     /*  410154 */   // Label 7229: @410154
     /*  410154 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(410222), // Rule ID 61455 //
     /*  410159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410191 */     // MIs[0] policy
     /*  410191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  410204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410218 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410220 */     GIR_RootConstrainSelectedInstOperands,
     /*  410221 */     // GIR_Coverage, 61455,
     /*  410221 */     GIR_EraseRootFromParent_Done,
     /*  410222 */   // Label 7230: @410222
     /*  410222 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(410290), // Rule ID 61456 //
     /*  410227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410259 */     // MIs[0] policy
     /*  410259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10802:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  410272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410286 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410288 */     GIR_RootConstrainSelectedInstOperands,
     /*  410289 */     // GIR_Coverage, 61456,
     /*  410289 */     GIR_EraseRootFromParent_Done,
     /*  410290 */   // Label 7231: @410290
     /*  410290 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(410358), // Rule ID 61457 //
     /*  410295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410327 */     // MIs[0] policy
     /*  410327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10802:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  410340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410354 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410356 */     GIR_RootConstrainSelectedInstOperands,
     /*  410357 */     // GIR_Coverage, 61457,
     /*  410357 */     GIR_EraseRootFromParent_Done,
     /*  410358 */   // Label 7232: @410358
     /*  410358 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(410426), // Rule ID 61458 //
     /*  410363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410395 */     // MIs[0] policy
     /*  410395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  410408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410422 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410424 */     GIR_RootConstrainSelectedInstOperands,
     /*  410425 */     // GIR_Coverage, 61458,
     /*  410425 */     GIR_EraseRootFromParent_Done,
     /*  410426 */   // Label 7233: @410426
     /*  410426 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(410494), // Rule ID 61459 //
     /*  410431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410463 */     // MIs[0] policy
     /*  410463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  410476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410490 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410492 */     GIR_RootConstrainSelectedInstOperands,
     /*  410493 */     // GIR_Coverage, 61459,
     /*  410493 */     GIR_EraseRootFromParent_Done,
     /*  410494 */   // Label 7234: @410494
     /*  410494 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(410562), // Rule ID 61460 //
     /*  410499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410531 */     // MIs[0] policy
     /*  410531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  410544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410558 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410560 */     GIR_RootConstrainSelectedInstOperands,
     /*  410561 */     // GIR_Coverage, 61460,
     /*  410561 */     GIR_EraseRootFromParent_Done,
     /*  410562 */   // Label 7235: @410562
     /*  410562 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(410630), // Rule ID 61461 //
     /*  410567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410599 */     // MIs[0] policy
     /*  410599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  410612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410626 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410628 */     GIR_RootConstrainSelectedInstOperands,
     /*  410629 */     // GIR_Coverage, 61461,
     /*  410629 */     GIR_EraseRootFromParent_Done,
     /*  410630 */   // Label 7236: @410630
     /*  410630 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(410698), // Rule ID 61462 //
     /*  410635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410667 */     // MIs[0] policy
     /*  410667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  410680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410694 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410696 */     GIR_RootConstrainSelectedInstOperands,
     /*  410697 */     // GIR_Coverage, 61462,
     /*  410697 */     GIR_EraseRootFromParent_Done,
     /*  410698 */   // Label 7237: @410698
     /*  410698 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(410766), // Rule ID 61463 //
     /*  410703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  410711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410735 */     // MIs[0] policy
     /*  410735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  410748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410762 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410764 */     GIR_RootConstrainSelectedInstOperands,
     /*  410765 */     // GIR_Coverage, 61463,
     /*  410765 */     GIR_EraseRootFromParent_Done,
     /*  410766 */   // Label 7238: @410766
     /*  410766 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(410834), // Rule ID 61464 //
     /*  410771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  410779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410803 */     // MIs[0] policy
     /*  410803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  410816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410830 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410832 */     GIR_RootConstrainSelectedInstOperands,
     /*  410833 */     // GIR_Coverage, 61464,
     /*  410833 */     GIR_EraseRootFromParent_Done,
     /*  410834 */   // Label 7239: @410834
     /*  410834 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(410902), // Rule ID 61465 //
     /*  410839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  410847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410871 */     // MIs[0] policy
     /*  410871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  410884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410898 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410900 */     GIR_RootConstrainSelectedInstOperands,
     /*  410901 */     // GIR_Coverage, 61465,
     /*  410901 */     GIR_EraseRootFromParent_Done,
     /*  410902 */   // Label 7240: @410902
     /*  410902 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(410970), // Rule ID 61466 //
     /*  410907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  410915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410939 */     // MIs[0] policy
     /*  410939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  410952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410966 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410968 */     GIR_RootConstrainSelectedInstOperands,
     /*  410969 */     // GIR_Coverage, 61466,
     /*  410969 */     GIR_EraseRootFromParent_Done,
     /*  410970 */   // Label 7241: @410970
     /*  410970 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(411038), // Rule ID 61467 //
     /*  410975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  410983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411007 */     // MIs[0] policy
     /*  411007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  411020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411034 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411036 */     GIR_RootConstrainSelectedInstOperands,
     /*  411037 */     // GIR_Coverage, 61467,
     /*  411037 */     GIR_EraseRootFromParent_Done,
     /*  411038 */   // Label 7242: @411038
     /*  411038 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(411106), // Rule ID 61468 //
     /*  411043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411075 */     // MIs[0] policy
     /*  411075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  411088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411102 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411104 */     GIR_RootConstrainSelectedInstOperands,
     /*  411105 */     // GIR_Coverage, 61468,
     /*  411105 */     GIR_EraseRootFromParent_Done,
     /*  411106 */   // Label 7243: @411106
     /*  411106 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(411174), // Rule ID 61469 //
     /*  411111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411143 */     // MIs[0] policy
     /*  411143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  411156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411170 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411172 */     GIR_RootConstrainSelectedInstOperands,
     /*  411173 */     // GIR_Coverage, 61469,
     /*  411173 */     GIR_EraseRootFromParent_Done,
     /*  411174 */   // Label 7244: @411174
     /*  411174 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(411242), // Rule ID 61470 //
     /*  411179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411211 */     // MIs[0] policy
     /*  411211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  411224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411238 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411240 */     GIR_RootConstrainSelectedInstOperands,
     /*  411241 */     // GIR_Coverage, 61470,
     /*  411241 */     GIR_EraseRootFromParent_Done,
     /*  411242 */   // Label 7245: @411242
     /*  411242 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(411310), // Rule ID 61471 //
     /*  411247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411279 */     // MIs[0] policy
     /*  411279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  411292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411306 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411308 */     GIR_RootConstrainSelectedInstOperands,
     /*  411309 */     // GIR_Coverage, 61471,
     /*  411309 */     GIR_EraseRootFromParent_Done,
     /*  411310 */   // Label 7246: @411310
     /*  411310 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(411378), // Rule ID 61472 //
     /*  411315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411347 */     // MIs[0] policy
     /*  411347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  411360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411374 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411376 */     GIR_RootConstrainSelectedInstOperands,
     /*  411377 */     // GIR_Coverage, 61472,
     /*  411377 */     GIR_EraseRootFromParent_Done,
     /*  411378 */   // Label 7247: @411378
     /*  411378 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(411446), // Rule ID 61473 //
     /*  411383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411415 */     // MIs[0] policy
     /*  411415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  411428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411442 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411444 */     GIR_RootConstrainSelectedInstOperands,
     /*  411445 */     // GIR_Coverage, 61473,
     /*  411445 */     GIR_EraseRootFromParent_Done,
     /*  411446 */   // Label 7248: @411446
     /*  411446 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(411514), // Rule ID 61474 //
     /*  411451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411483 */     // MIs[0] policy
     /*  411483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  411496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411510 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411512 */     GIR_RootConstrainSelectedInstOperands,
     /*  411513 */     // GIR_Coverage, 61474,
     /*  411513 */     GIR_EraseRootFromParent_Done,
     /*  411514 */   // Label 7249: @411514
     /*  411514 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(411582), // Rule ID 61475 //
     /*  411519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411551 */     // MIs[0] policy
     /*  411551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  411564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411578 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411580 */     GIR_RootConstrainSelectedInstOperands,
     /*  411581 */     // GIR_Coverage, 61475,
     /*  411581 */     GIR_EraseRootFromParent_Done,
     /*  411582 */   // Label 7250: @411582
     /*  411582 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(411650), // Rule ID 61476 //
     /*  411587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411619 */     // MIs[0] policy
     /*  411619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  411632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411646 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411648 */     GIR_RootConstrainSelectedInstOperands,
     /*  411649 */     // GIR_Coverage, 61476,
     /*  411649 */     GIR_EraseRootFromParent_Done,
     /*  411650 */   // Label 7251: @411650
     /*  411650 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(411718), // Rule ID 61477 //
     /*  411655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411687 */     // MIs[0] policy
     /*  411687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  411700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411714 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411716 */     GIR_RootConstrainSelectedInstOperands,
     /*  411717 */     // GIR_Coverage, 61477,
     /*  411717 */     GIR_EraseRootFromParent_Done,
     /*  411718 */   // Label 7252: @411718
     /*  411718 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(411786), // Rule ID 61478 //
     /*  411723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411755 */     // MIs[0] policy
     /*  411755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  411768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411782 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411784 */     GIR_RootConstrainSelectedInstOperands,
     /*  411785 */     // GIR_Coverage, 61478,
     /*  411785 */     GIR_EraseRootFromParent_Done,
     /*  411786 */   // Label 7253: @411786
     /*  411786 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(411854), // Rule ID 61479 //
     /*  411791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411823 */     // MIs[0] policy
     /*  411823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  411836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411850 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411852 */     GIR_RootConstrainSelectedInstOperands,
     /*  411853 */     // GIR_Coverage, 61479,
     /*  411853 */     GIR_EraseRootFromParent_Done,
     /*  411854 */   // Label 7254: @411854
     /*  411854 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(411922), // Rule ID 61480 //
     /*  411859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411891 */     // MIs[0] policy
     /*  411891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  411904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411918 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411920 */     GIR_RootConstrainSelectedInstOperands,
     /*  411921 */     // GIR_Coverage, 61480,
     /*  411921 */     GIR_EraseRootFromParent_Done,
     /*  411922 */   // Label 7255: @411922
     /*  411922 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(411990), // Rule ID 61481 //
     /*  411927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  411935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411959 */     // MIs[0] policy
     /*  411959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  411972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411986 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411988 */     GIR_RootConstrainSelectedInstOperands,
     /*  411989 */     // GIR_Coverage, 61481,
     /*  411989 */     GIR_EraseRootFromParent_Done,
     /*  411990 */   // Label 7256: @411990
     /*  411990 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(412058), // Rule ID 61482 //
     /*  411995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412027 */     // MIs[0] policy
     /*  412027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  412040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412054 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412056 */     GIR_RootConstrainSelectedInstOperands,
     /*  412057 */     // GIR_Coverage, 61482,
     /*  412057 */     GIR_EraseRootFromParent_Done,
     /*  412058 */   // Label 7257: @412058
     /*  412058 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(412126), // Rule ID 61483 //
     /*  412063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412095 */     // MIs[0] policy
     /*  412095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  412108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412122 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412124 */     GIR_RootConstrainSelectedInstOperands,
     /*  412125 */     // GIR_Coverage, 61483,
     /*  412125 */     GIR_EraseRootFromParent_Done,
     /*  412126 */   // Label 7258: @412126
     /*  412126 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(412194), // Rule ID 61484 //
     /*  412131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412163 */     // MIs[0] policy
     /*  412163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412173 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  412176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412190 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412192 */     GIR_RootConstrainSelectedInstOperands,
     /*  412193 */     // GIR_Coverage, 61484,
     /*  412193 */     GIR_EraseRootFromParent_Done,
     /*  412194 */   // Label 7259: @412194
     /*  412194 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(412262), // Rule ID 61485 //
     /*  412199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412231 */     // MIs[0] policy
     /*  412231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  412244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412258 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412260 */     GIR_RootConstrainSelectedInstOperands,
     /*  412261 */     // GIR_Coverage, 61485,
     /*  412261 */     GIR_EraseRootFromParent_Done,
     /*  412262 */   // Label 7260: @412262
     /*  412262 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(412330), // Rule ID 61486 //
     /*  412267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412299 */     // MIs[0] policy
     /*  412299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  412312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412326 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412328 */     GIR_RootConstrainSelectedInstOperands,
     /*  412329 */     // GIR_Coverage, 61486,
     /*  412329 */     GIR_EraseRootFromParent_Done,
     /*  412330 */   // Label 7261: @412330
     /*  412330 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(412398), // Rule ID 61487 //
     /*  412335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412367 */     // MIs[0] policy
     /*  412367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  412380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412394 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412396 */     GIR_RootConstrainSelectedInstOperands,
     /*  412397 */     // GIR_Coverage, 61487,
     /*  412397 */     GIR_EraseRootFromParent_Done,
     /*  412398 */   // Label 7262: @412398
     /*  412398 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(412466), // Rule ID 61488 //
     /*  412403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412435 */     // MIs[0] policy
     /*  412435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  412448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412462 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412464 */     GIR_RootConstrainSelectedInstOperands,
     /*  412465 */     // GIR_Coverage, 61488,
     /*  412465 */     GIR_EraseRootFromParent_Done,
     /*  412466 */   // Label 7263: @412466
     /*  412466 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(412534), // Rule ID 61489 //
     /*  412471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412503 */     // MIs[0] policy
     /*  412503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  412516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412530 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412532 */     GIR_RootConstrainSelectedInstOperands,
     /*  412533 */     // GIR_Coverage, 61489,
     /*  412533 */     GIR_EraseRootFromParent_Done,
     /*  412534 */   // Label 7264: @412534
     /*  412534 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(412602), // Rule ID 61490 //
     /*  412539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412571 */     // MIs[0] policy
     /*  412571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412581 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  412584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412598 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412600 */     GIR_RootConstrainSelectedInstOperands,
     /*  412601 */     // GIR_Coverage, 61490,
     /*  412601 */     GIR_EraseRootFromParent_Done,
     /*  412602 */   // Label 7265: @412602
     /*  412602 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(412670), // Rule ID 61491 //
     /*  412607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412639 */     // MIs[0] policy
     /*  412639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412649 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  412652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412666 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412668 */     GIR_RootConstrainSelectedInstOperands,
     /*  412669 */     // GIR_Coverage, 61491,
     /*  412669 */     GIR_EraseRootFromParent_Done,
     /*  412670 */   // Label 7266: @412670
     /*  412670 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(412738), // Rule ID 61492 //
     /*  412675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  412683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412707 */     // MIs[0] policy
     /*  412707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  412720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412734 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412736 */     GIR_RootConstrainSelectedInstOperands,
     /*  412737 */     // GIR_Coverage, 61492,
     /*  412737 */     GIR_EraseRootFromParent_Done,
     /*  412738 */   // Label 7267: @412738
     /*  412738 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(412806), // Rule ID 61493 //
     /*  412743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  412751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412775 */     // MIs[0] policy
     /*  412775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  412788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412802 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412804 */     GIR_RootConstrainSelectedInstOperands,
     /*  412805 */     // GIR_Coverage, 61493,
     /*  412805 */     GIR_EraseRootFromParent_Done,
     /*  412806 */   // Label 7268: @412806
     /*  412806 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(412874), // Rule ID 61494 //
     /*  412811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  412819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412843 */     // MIs[0] policy
     /*  412843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10804:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  412856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412870 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412872 */     GIR_RootConstrainSelectedInstOperands,
     /*  412873 */     // GIR_Coverage, 61494,
     /*  412873 */     GIR_EraseRootFromParent_Done,
     /*  412874 */   // Label 7269: @412874
     /*  412874 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(412942), // Rule ID 61495 //
     /*  412879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  412887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412911 */     // MIs[0] policy
     /*  412911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10804:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  412924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412938 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412940 */     GIR_RootConstrainSelectedInstOperands,
     /*  412941 */     // GIR_Coverage, 61495,
     /*  412941 */     GIR_EraseRootFromParent_Done,
     /*  412942 */   // Label 7270: @412942
     /*  412942 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(413010), // Rule ID 61496 //
     /*  412947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  412955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  412961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412979 */     // MIs[0] policy
     /*  412979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  412992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413006 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413008 */     GIR_RootConstrainSelectedInstOperands,
     /*  413009 */     // GIR_Coverage, 61496,
     /*  413009 */     GIR_EraseRootFromParent_Done,
     /*  413010 */   // Label 7271: @413010
     /*  413010 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(413078), // Rule ID 61497 //
     /*  413015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  413023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413047 */     // MIs[0] policy
     /*  413047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  413060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413074 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413076 */     GIR_RootConstrainSelectedInstOperands,
     /*  413077 */     // GIR_Coverage, 61497,
     /*  413077 */     GIR_EraseRootFromParent_Done,
     /*  413078 */   // Label 7272: @413078
     /*  413078 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(413146), // Rule ID 61498 //
     /*  413083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  413091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413115 */     // MIs[0] policy
     /*  413115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  413128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413142 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413144 */     GIR_RootConstrainSelectedInstOperands,
     /*  413145 */     // GIR_Coverage, 61498,
     /*  413145 */     GIR_EraseRootFromParent_Done,
     /*  413146 */   // Label 7273: @413146
     /*  413146 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(413214), // Rule ID 61499 //
     /*  413151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  413159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413183 */     // MIs[0] policy
     /*  413183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  413196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413210 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413212 */     GIR_RootConstrainSelectedInstOperands,
     /*  413213 */     // GIR_Coverage, 61499,
     /*  413213 */     GIR_EraseRootFromParent_Done,
     /*  413214 */   // Label 7274: @413214
     /*  413214 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(413282), // Rule ID 61500 //
     /*  413219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  413227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  413230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  413233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413251 */     // MIs[0] policy
     /*  413251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  413264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413278 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413280 */     GIR_RootConstrainSelectedInstOperands,
     /*  413281 */     // GIR_Coverage, 61500,
     /*  413281 */     GIR_EraseRootFromParent_Done,
     /*  413282 */   // Label 7275: @413282
     /*  413282 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(413350), // Rule ID 61501 //
     /*  413287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  413295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  413298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  413301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413319 */     // MIs[0] policy
     /*  413319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  413332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413346 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413348 */     GIR_RootConstrainSelectedInstOperands,
     /*  413349 */     // GIR_Coverage, 61501,
     /*  413349 */     GIR_EraseRootFromParent_Done,
     /*  413350 */   // Label 7276: @413350
     /*  413350 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(413418), // Rule ID 61502 //
     /*  413355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413387 */     // MIs[0] policy
     /*  413387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  413400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413414 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413416 */     GIR_RootConstrainSelectedInstOperands,
     /*  413417 */     // GIR_Coverage, 61502,
     /*  413417 */     GIR_EraseRootFromParent_Done,
     /*  413418 */   // Label 7277: @413418
     /*  413418 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(413486), // Rule ID 61503 //
     /*  413423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413455 */     // MIs[0] policy
     /*  413455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  413468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413482 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413484 */     GIR_RootConstrainSelectedInstOperands,
     /*  413485 */     // GIR_Coverage, 61503,
     /*  413485 */     GIR_EraseRootFromParent_Done,
     /*  413486 */   // Label 7278: @413486
     /*  413486 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(413554), // Rule ID 61504 //
     /*  413491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413523 */     // MIs[0] policy
     /*  413523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  413536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413550 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413552 */     GIR_RootConstrainSelectedInstOperands,
     /*  413553 */     // GIR_Coverage, 61504,
     /*  413553 */     GIR_EraseRootFromParent_Done,
     /*  413554 */   // Label 7279: @413554
     /*  413554 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(413622), // Rule ID 61505 //
     /*  413559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413591 */     // MIs[0] policy
     /*  413591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  413604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413618 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413620 */     GIR_RootConstrainSelectedInstOperands,
     /*  413621 */     // GIR_Coverage, 61505,
     /*  413621 */     GIR_EraseRootFromParent_Done,
     /*  413622 */   // Label 7280: @413622
     /*  413622 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(413690), // Rule ID 61506 //
     /*  413627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413659 */     // MIs[0] policy
     /*  413659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  413672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413686 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413688 */     GIR_RootConstrainSelectedInstOperands,
     /*  413689 */     // GIR_Coverage, 61506,
     /*  413689 */     GIR_EraseRootFromParent_Done,
     /*  413690 */   // Label 7281: @413690
     /*  413690 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(413758), // Rule ID 61507 //
     /*  413695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413727 */     // MIs[0] policy
     /*  413727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10803:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  413740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413754 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413756 */     GIR_RootConstrainSelectedInstOperands,
     /*  413757 */     // GIR_Coverage, 61507,
     /*  413757 */     GIR_EraseRootFromParent_Done,
     /*  413758 */   // Label 7282: @413758
     /*  413758 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(413826), // Rule ID 61508 //
     /*  413763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413795 */     // MIs[0] policy
     /*  413795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  413808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413822 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413824 */     GIR_RootConstrainSelectedInstOperands,
     /*  413825 */     // GIR_Coverage, 61508,
     /*  413825 */     GIR_EraseRootFromParent_Done,
     /*  413826 */   // Label 7283: @413826
     /*  413826 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(413894), // Rule ID 61509 //
     /*  413831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413863 */     // MIs[0] policy
     /*  413863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  413876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413890 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413892 */     GIR_RootConstrainSelectedInstOperands,
     /*  413893 */     // GIR_Coverage, 61509,
     /*  413893 */     GIR_EraseRootFromParent_Done,
     /*  413894 */   // Label 7284: @413894
     /*  413894 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(413962), // Rule ID 61510 //
     /*  413899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413931 */     // MIs[0] policy
     /*  413931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  413944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413958 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413960 */     GIR_RootConstrainSelectedInstOperands,
     /*  413961 */     // GIR_Coverage, 61510,
     /*  413961 */     GIR_EraseRootFromParent_Done,
     /*  413962 */   // Label 7285: @413962
     /*  413962 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(414030), // Rule ID 61511 //
     /*  413967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  413975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413999 */     // MIs[0] policy
     /*  413999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  414012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414026 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414028 */     GIR_RootConstrainSelectedInstOperands,
     /*  414029 */     // GIR_Coverage, 61511,
     /*  414029 */     GIR_EraseRootFromParent_Done,
     /*  414030 */   // Label 7286: @414030
     /*  414030 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(414098), // Rule ID 61512 //
     /*  414035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  414046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  414049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414067 */     // MIs[0] policy
     /*  414067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  414080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414094 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414096 */     GIR_RootConstrainSelectedInstOperands,
     /*  414097 */     // GIR_Coverage, 61512,
     /*  414097 */     GIR_EraseRootFromParent_Done,
     /*  414098 */   // Label 7287: @414098
     /*  414098 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(414166), // Rule ID 61513 //
     /*  414103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  414114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  414117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414135 */     // MIs[0] policy
     /*  414135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  414148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414162 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414164 */     GIR_RootConstrainSelectedInstOperands,
     /*  414165 */     // GIR_Coverage, 61513,
     /*  414165 */     GIR_EraseRootFromParent_Done,
     /*  414166 */   // Label 7288: @414166
     /*  414166 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(414234), // Rule ID 61514 //
     /*  414171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414203 */     // MIs[0] policy
     /*  414203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414213 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  414216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414230 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414232 */     GIR_RootConstrainSelectedInstOperands,
     /*  414233 */     // GIR_Coverage, 61514,
     /*  414233 */     GIR_EraseRootFromParent_Done,
     /*  414234 */   // Label 7289: @414234
     /*  414234 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(414302), // Rule ID 61515 //
     /*  414239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414271 */     // MIs[0] policy
     /*  414271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  414284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414298 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414300 */     GIR_RootConstrainSelectedInstOperands,
     /*  414301 */     // GIR_Coverage, 61515,
     /*  414301 */     GIR_EraseRootFromParent_Done,
     /*  414302 */   // Label 7290: @414302
     /*  414302 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(414370), // Rule ID 61516 //
     /*  414307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414339 */     // MIs[0] policy
     /*  414339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  414352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414366 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414368 */     GIR_RootConstrainSelectedInstOperands,
     /*  414369 */     // GIR_Coverage, 61516,
     /*  414369 */     GIR_EraseRootFromParent_Done,
     /*  414370 */   // Label 7291: @414370
     /*  414370 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(414438), // Rule ID 61517 //
     /*  414375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414407 */     // MIs[0] policy
     /*  414407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  414420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414434 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414436 */     GIR_RootConstrainSelectedInstOperands,
     /*  414437 */     // GIR_Coverage, 61517,
     /*  414437 */     GIR_EraseRootFromParent_Done,
     /*  414438 */   // Label 7292: @414438
     /*  414438 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(414506), // Rule ID 61518 //
     /*  414443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414475 */     // MIs[0] policy
     /*  414475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  414488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414502 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414504 */     GIR_RootConstrainSelectedInstOperands,
     /*  414505 */     // GIR_Coverage, 61518,
     /*  414505 */     GIR_EraseRootFromParent_Done,
     /*  414506 */   // Label 7293: @414506
     /*  414506 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(414574), // Rule ID 61519 //
     /*  414511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414543 */     // MIs[0] policy
     /*  414543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  414556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414570 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414572 */     GIR_RootConstrainSelectedInstOperands,
     /*  414573 */     // GIR_Coverage, 61519,
     /*  414573 */     GIR_EraseRootFromParent_Done,
     /*  414574 */   // Label 7294: @414574
     /*  414574 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(414642), // Rule ID 61520 //
     /*  414579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414611 */     // MIs[0] policy
     /*  414611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  414624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414638 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414640 */     GIR_RootConstrainSelectedInstOperands,
     /*  414641 */     // GIR_Coverage, 61520,
     /*  414641 */     GIR_EraseRootFromParent_Done,
     /*  414642 */   // Label 7295: @414642
     /*  414642 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(414710), // Rule ID 61521 //
     /*  414647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414679 */     // MIs[0] policy
     /*  414679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  414692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414706 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414708 */     GIR_RootConstrainSelectedInstOperands,
     /*  414709 */     // GIR_Coverage, 61521,
     /*  414709 */     GIR_EraseRootFromParent_Done,
     /*  414710 */   // Label 7296: @414710
     /*  414710 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(414778), // Rule ID 61522 //
     /*  414715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414747 */     // MIs[0] policy
     /*  414747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  414760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414774 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414776 */     GIR_RootConstrainSelectedInstOperands,
     /*  414777 */     // GIR_Coverage, 61522,
     /*  414777 */     GIR_EraseRootFromParent_Done,
     /*  414778 */   // Label 7297: @414778
     /*  414778 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(414846), // Rule ID 61523 //
     /*  414783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414815 */     // MIs[0] policy
     /*  414815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  414828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414842 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414844 */     GIR_RootConstrainSelectedInstOperands,
     /*  414845 */     // GIR_Coverage, 61523,
     /*  414845 */     GIR_EraseRootFromParent_Done,
     /*  414846 */   // Label 7298: @414846
     /*  414846 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(414914), // Rule ID 61524 //
     /*  414851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414883 */     // MIs[0] policy
     /*  414883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  414896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414910 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414912 */     GIR_RootConstrainSelectedInstOperands,
     /*  414913 */     // GIR_Coverage, 61524,
     /*  414913 */     GIR_EraseRootFromParent_Done,
     /*  414914 */   // Label 7299: @414914
     /*  414914 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(414982), // Rule ID 61525 //
     /*  414919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414951 */     // MIs[0] policy
     /*  414951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  414964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414978 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414980 */     GIR_RootConstrainSelectedInstOperands,
     /*  414981 */     // GIR_Coverage, 61525,
     /*  414981 */     GIR_EraseRootFromParent_Done,
     /*  414982 */   // Label 7300: @414982
     /*  414982 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(415050), // Rule ID 61526 //
     /*  414987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  414995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415019 */     // MIs[0] policy
     /*  415019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415029 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  415032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415046 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415048 */     GIR_RootConstrainSelectedInstOperands,
     /*  415049 */     // GIR_Coverage, 61526,
     /*  415049 */     GIR_EraseRootFromParent_Done,
     /*  415050 */   // Label 7301: @415050
     /*  415050 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(415118), // Rule ID 61527 //
     /*  415055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  415066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415087 */     // MIs[0] policy
     /*  415087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  415100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415114 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415116 */     GIR_RootConstrainSelectedInstOperands,
     /*  415117 */     // GIR_Coverage, 61527,
     /*  415117 */     GIR_EraseRootFromParent_Done,
     /*  415118 */   // Label 7302: @415118
     /*  415118 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(415186), // Rule ID 61528 //
     /*  415123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  415134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415155 */     // MIs[0] policy
     /*  415155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  415168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415182 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415184 */     GIR_RootConstrainSelectedInstOperands,
     /*  415185 */     // GIR_Coverage, 61528,
     /*  415185 */     GIR_EraseRootFromParent_Done,
     /*  415186 */   // Label 7303: @415186
     /*  415186 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(415254), // Rule ID 61529 //
     /*  415191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  415202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415223 */     // MIs[0] policy
     /*  415223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  415236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415250 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415252 */     GIR_RootConstrainSelectedInstOperands,
     /*  415253 */     // GIR_Coverage, 61529,
     /*  415253 */     GIR_EraseRootFromParent_Done,
     /*  415254 */   // Label 7304: @415254
     /*  415254 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(415322), // Rule ID 61546 //
     /*  415259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415291 */     // MIs[0] policy
     /*  415291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  415304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415318 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415320 */     GIR_RootConstrainSelectedInstOperands,
     /*  415321 */     // GIR_Coverage, 61546,
     /*  415321 */     GIR_EraseRootFromParent_Done,
     /*  415322 */   // Label 7305: @415322
     /*  415322 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(415390), // Rule ID 61547 //
     /*  415327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415359 */     // MIs[0] policy
     /*  415359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  415372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415386 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415388 */     GIR_RootConstrainSelectedInstOperands,
     /*  415389 */     // GIR_Coverage, 61547,
     /*  415389 */     GIR_EraseRootFromParent_Done,
     /*  415390 */   // Label 7306: @415390
     /*  415390 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(415458), // Rule ID 61548 //
     /*  415395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415427 */     // MIs[0] policy
     /*  415427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  415440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415454 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415456 */     GIR_RootConstrainSelectedInstOperands,
     /*  415457 */     // GIR_Coverage, 61548,
     /*  415457 */     GIR_EraseRootFromParent_Done,
     /*  415458 */   // Label 7307: @415458
     /*  415458 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(415526), // Rule ID 61549 //
     /*  415463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415495 */     // MIs[0] policy
     /*  415495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  415508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415522 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415524 */     GIR_RootConstrainSelectedInstOperands,
     /*  415525 */     // GIR_Coverage, 61549,
     /*  415525 */     GIR_EraseRootFromParent_Done,
     /*  415526 */   // Label 7308: @415526
     /*  415526 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(415594), // Rule ID 61550 //
     /*  415531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415563 */     // MIs[0] policy
     /*  415563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  415576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415590 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415592 */     GIR_RootConstrainSelectedInstOperands,
     /*  415593 */     // GIR_Coverage, 61550,
     /*  415593 */     GIR_EraseRootFromParent_Done,
     /*  415594 */   // Label 7309: @415594
     /*  415594 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(415662), // Rule ID 61551 //
     /*  415599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415631 */     // MIs[0] policy
     /*  415631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  415644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415658 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415660 */     GIR_RootConstrainSelectedInstOperands,
     /*  415661 */     // GIR_Coverage, 61551,
     /*  415661 */     GIR_EraseRootFromParent_Done,
     /*  415662 */   // Label 7310: @415662
     /*  415662 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(415730), // Rule ID 61552 //
     /*  415667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415699 */     // MIs[0] policy
     /*  415699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  415712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415726 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415728 */     GIR_RootConstrainSelectedInstOperands,
     /*  415729 */     // GIR_Coverage, 61552,
     /*  415729 */     GIR_EraseRootFromParent_Done,
     /*  415730 */   // Label 7311: @415730
     /*  415730 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(415798), // Rule ID 61553 //
     /*  415735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415767 */     // MIs[0] policy
     /*  415767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  415780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415794 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415796 */     GIR_RootConstrainSelectedInstOperands,
     /*  415797 */     // GIR_Coverage, 61553,
     /*  415797 */     GIR_EraseRootFromParent_Done,
     /*  415798 */   // Label 7312: @415798
     /*  415798 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(415866), // Rule ID 61554 //
     /*  415803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415835 */     // MIs[0] policy
     /*  415835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  415848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415862 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415864 */     GIR_RootConstrainSelectedInstOperands,
     /*  415865 */     // GIR_Coverage, 61554,
     /*  415865 */     GIR_EraseRootFromParent_Done,
     /*  415866 */   // Label 7313: @415866
     /*  415866 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(415934), // Rule ID 61555 //
     /*  415871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415903 */     // MIs[0] policy
     /*  415903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  415916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415930 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415932 */     GIR_RootConstrainSelectedInstOperands,
     /*  415933 */     // GIR_Coverage, 61555,
     /*  415933 */     GIR_EraseRootFromParent_Done,
     /*  415934 */   // Label 7314: @415934
     /*  415934 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(416002), // Rule ID 61556 //
     /*  415939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  415947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415971 */     // MIs[0] policy
     /*  415971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  415984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415998 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416000 */     GIR_RootConstrainSelectedInstOperands,
     /*  416001 */     // GIR_Coverage, 61556,
     /*  416001 */     GIR_EraseRootFromParent_Done,
     /*  416002 */   // Label 7315: @416002
     /*  416002 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(416070), // Rule ID 61557 //
     /*  416007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416039 */     // MIs[0] policy
     /*  416039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  416052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416066 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416068 */     GIR_RootConstrainSelectedInstOperands,
     /*  416069 */     // GIR_Coverage, 61557,
     /*  416069 */     GIR_EraseRootFromParent_Done,
     /*  416070 */   // Label 7316: @416070
     /*  416070 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(416138), // Rule ID 61558 //
     /*  416075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416107 */     // MIs[0] policy
     /*  416107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  416120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416134 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416136 */     GIR_RootConstrainSelectedInstOperands,
     /*  416137 */     // GIR_Coverage, 61558,
     /*  416137 */     GIR_EraseRootFromParent_Done,
     /*  416138 */   // Label 7317: @416138
     /*  416138 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(416206), // Rule ID 61559 //
     /*  416143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416175 */     // MIs[0] policy
     /*  416175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  416188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416202 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416204 */     GIR_RootConstrainSelectedInstOperands,
     /*  416205 */     // GIR_Coverage, 61559,
     /*  416205 */     GIR_EraseRootFromParent_Done,
     /*  416206 */   // Label 7318: @416206
     /*  416206 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(416274), // Rule ID 61560 //
     /*  416211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416243 */     // MIs[0] policy
     /*  416243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  416256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416270 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416272 */     GIR_RootConstrainSelectedInstOperands,
     /*  416273 */     // GIR_Coverage, 61560,
     /*  416273 */     GIR_EraseRootFromParent_Done,
     /*  416274 */   // Label 7319: @416274
     /*  416274 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(416342), // Rule ID 61561 //
     /*  416279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416311 */     // MIs[0] policy
     /*  416311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  416324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416338 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416340 */     GIR_RootConstrainSelectedInstOperands,
     /*  416341 */     // GIR_Coverage, 61561,
     /*  416341 */     GIR_EraseRootFromParent_Done,
     /*  416342 */   // Label 7320: @416342
     /*  416342 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(416410), // Rule ID 61562 //
     /*  416347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416379 */     // MIs[0] policy
     /*  416379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  416392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416406 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416408 */     GIR_RootConstrainSelectedInstOperands,
     /*  416409 */     // GIR_Coverage, 61562,
     /*  416409 */     GIR_EraseRootFromParent_Done,
     /*  416410 */   // Label 7321: @416410
     /*  416410 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(416478), // Rule ID 61563 //
     /*  416415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416447 */     // MIs[0] policy
     /*  416447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  416460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416474 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416476 */     GIR_RootConstrainSelectedInstOperands,
     /*  416477 */     // GIR_Coverage, 61563,
     /*  416477 */     GIR_EraseRootFromParent_Done,
     /*  416478 */   // Label 7322: @416478
     /*  416478 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(416546), // Rule ID 61564 //
     /*  416483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416515 */     // MIs[0] policy
     /*  416515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  416528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416542 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416544 */     GIR_RootConstrainSelectedInstOperands,
     /*  416545 */     // GIR_Coverage, 61564,
     /*  416545 */     GIR_EraseRootFromParent_Done,
     /*  416546 */   // Label 7323: @416546
     /*  416546 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(416614), // Rule ID 61565 //
     /*  416551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416583 */     // MIs[0] policy
     /*  416583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  416596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416610 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416612 */     GIR_RootConstrainSelectedInstOperands,
     /*  416613 */     // GIR_Coverage, 61565,
     /*  416613 */     GIR_EraseRootFromParent_Done,
     /*  416614 */   // Label 7324: @416614
     /*  416614 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(416682), // Rule ID 61566 //
     /*  416619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416651 */     // MIs[0] policy
     /*  416651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  416664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416678 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416680 */     GIR_RootConstrainSelectedInstOperands,
     /*  416681 */     // GIR_Coverage, 61566,
     /*  416681 */     GIR_EraseRootFromParent_Done,
     /*  416682 */   // Label 7325: @416682
     /*  416682 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(416750), // Rule ID 61567 //
     /*  416687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416719 */     // MIs[0] policy
     /*  416719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  416732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416746 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416748 */     GIR_RootConstrainSelectedInstOperands,
     /*  416749 */     // GIR_Coverage, 61567,
     /*  416749 */     GIR_EraseRootFromParent_Done,
     /*  416750 */   // Label 7326: @416750
     /*  416750 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(416818), // Rule ID 61568 //
     /*  416755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416787 */     // MIs[0] policy
     /*  416787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  416800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416814 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416816 */     GIR_RootConstrainSelectedInstOperands,
     /*  416817 */     // GIR_Coverage, 61568,
     /*  416817 */     GIR_EraseRootFromParent_Done,
     /*  416818 */   // Label 7327: @416818
     /*  416818 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(416886), // Rule ID 61569 //
     /*  416823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416855 */     // MIs[0] policy
     /*  416855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  416868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416882 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416884 */     GIR_RootConstrainSelectedInstOperands,
     /*  416885 */     // GIR_Coverage, 61569,
     /*  416885 */     GIR_EraseRootFromParent_Done,
     /*  416886 */   // Label 7328: @416886
     /*  416886 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(416954), // Rule ID 61570 //
     /*  416891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416923 */     // MIs[0] policy
     /*  416923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  416936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416950 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416952 */     GIR_RootConstrainSelectedInstOperands,
     /*  416953 */     // GIR_Coverage, 61570,
     /*  416953 */     GIR_EraseRootFromParent_Done,
     /*  416954 */   // Label 7329: @416954
     /*  416954 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(417022), // Rule ID 61571 //
     /*  416959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  416967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416991 */     // MIs[0] policy
     /*  416991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  417004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417018 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417020 */     GIR_RootConstrainSelectedInstOperands,
     /*  417021 */     // GIR_Coverage, 61571,
     /*  417021 */     GIR_EraseRootFromParent_Done,
     /*  417022 */   // Label 7330: @417022
     /*  417022 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(417090), // Rule ID 61572 //
     /*  417027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417059 */     // MIs[0] policy
     /*  417059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  417072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417086 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417088 */     GIR_RootConstrainSelectedInstOperands,
     /*  417089 */     // GIR_Coverage, 61572,
     /*  417089 */     GIR_EraseRootFromParent_Done,
     /*  417090 */   // Label 7331: @417090
     /*  417090 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(417158), // Rule ID 61573 //
     /*  417095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417127 */     // MIs[0] policy
     /*  417127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417137 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  417140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417154 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417156 */     GIR_RootConstrainSelectedInstOperands,
     /*  417157 */     // GIR_Coverage, 61573,
     /*  417157 */     GIR_EraseRootFromParent_Done,
     /*  417158 */   // Label 7332: @417158
     /*  417158 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(417226), // Rule ID 61668 //
     /*  417163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417195 */     // MIs[0] policy
     /*  417195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417205 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  417208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417222 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417224 */     GIR_RootConstrainSelectedInstOperands,
     /*  417225 */     // GIR_Coverage, 61668,
     /*  417225 */     GIR_EraseRootFromParent_Done,
     /*  417226 */   // Label 7333: @417226
     /*  417226 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(417294), // Rule ID 61669 //
     /*  417231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417263 */     // MIs[0] policy
     /*  417263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  417276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417290 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417292 */     GIR_RootConstrainSelectedInstOperands,
     /*  417293 */     // GIR_Coverage, 61669,
     /*  417293 */     GIR_EraseRootFromParent_Done,
     /*  417294 */   // Label 7334: @417294
     /*  417294 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(417362), // Rule ID 61670 //
     /*  417299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417331 */     // MIs[0] policy
     /*  417331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  417344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417358 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417360 */     GIR_RootConstrainSelectedInstOperands,
     /*  417361 */     // GIR_Coverage, 61670,
     /*  417361 */     GIR_EraseRootFromParent_Done,
     /*  417362 */   // Label 7335: @417362
     /*  417362 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(417430), // Rule ID 61671 //
     /*  417367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417399 */     // MIs[0] policy
     /*  417399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  417412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417426 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417428 */     GIR_RootConstrainSelectedInstOperands,
     /*  417429 */     // GIR_Coverage, 61671,
     /*  417429 */     GIR_EraseRootFromParent_Done,
     /*  417430 */   // Label 7336: @417430
     /*  417430 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(417498), // Rule ID 61672 //
     /*  417435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417467 */     // MIs[0] policy
     /*  417467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  417480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417494 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417496 */     GIR_RootConstrainSelectedInstOperands,
     /*  417497 */     // GIR_Coverage, 61672,
     /*  417497 */     GIR_EraseRootFromParent_Done,
     /*  417498 */   // Label 7337: @417498
     /*  417498 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(417566), // Rule ID 61673 //
     /*  417503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417535 */     // MIs[0] policy
     /*  417535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  417548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417562 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417564 */     GIR_RootConstrainSelectedInstOperands,
     /*  417565 */     // GIR_Coverage, 61673,
     /*  417565 */     GIR_EraseRootFromParent_Done,
     /*  417566 */   // Label 7338: @417566
     /*  417566 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(417634), // Rule ID 61674 //
     /*  417571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  417585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417603 */     // MIs[0] policy
     /*  417603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  417616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417630 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417632 */     GIR_RootConstrainSelectedInstOperands,
     /*  417633 */     // GIR_Coverage, 61674,
     /*  417633 */     GIR_EraseRootFromParent_Done,
     /*  417634 */   // Label 7339: @417634
     /*  417634 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(417702), // Rule ID 61675 //
     /*  417639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  417653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417671 */     // MIs[0] policy
     /*  417671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  417684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417698 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417700 */     GIR_RootConstrainSelectedInstOperands,
     /*  417701 */     // GIR_Coverage, 61675,
     /*  417701 */     GIR_EraseRootFromParent_Done,
     /*  417702 */   // Label 7340: @417702
     /*  417702 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(417770), // Rule ID 61676 //
     /*  417707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417739 */     // MIs[0] policy
     /*  417739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  417752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417766 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417768 */     GIR_RootConstrainSelectedInstOperands,
     /*  417769 */     // GIR_Coverage, 61676,
     /*  417769 */     GIR_EraseRootFromParent_Done,
     /*  417770 */   // Label 7341: @417770
     /*  417770 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(417838), // Rule ID 61677 //
     /*  417775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  417783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417807 */     // MIs[0] policy
     /*  417807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  417820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417834 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417836 */     GIR_RootConstrainSelectedInstOperands,
     /*  417837 */     // GIR_Coverage, 61677,
     /*  417837 */     GIR_EraseRootFromParent_Done,
     /*  417838 */   // Label 7342: @417838
     /*  417838 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(417906), // Rule ID 61678 //
     /*  417843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  417851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417875 */     // MIs[0] policy
     /*  417875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  417888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417902 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417904 */     GIR_RootConstrainSelectedInstOperands,
     /*  417905 */     // GIR_Coverage, 61678,
     /*  417905 */     GIR_EraseRootFromParent_Done,
     /*  417906 */   // Label 7343: @417906
     /*  417906 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(417974), // Rule ID 61679 //
     /*  417911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  417914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  417919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417943 */     // MIs[0] policy
     /*  417943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  417956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417970 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417972 */     GIR_RootConstrainSelectedInstOperands,
     /*  417973 */     // GIR_Coverage, 61679,
     /*  417973 */     GIR_EraseRootFromParent_Done,
     /*  417974 */   // Label 7344: @417974
     /*  417974 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(418042), // Rule ID 61680 //
     /*  417979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  417982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  417987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418011 */     // MIs[0] policy
     /*  418011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  418024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418038 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418040 */     GIR_RootConstrainSelectedInstOperands,
     /*  418041 */     // GIR_Coverage, 61680,
     /*  418041 */     GIR_EraseRootFromParent_Done,
     /*  418042 */   // Label 7345: @418042
     /*  418042 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(418110), // Rule ID 61681 //
     /*  418047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418079 */     // MIs[0] policy
     /*  418079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  418092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418106 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418108 */     GIR_RootConstrainSelectedInstOperands,
     /*  418109 */     // GIR_Coverage, 61681,
     /*  418109 */     GIR_EraseRootFromParent_Done,
     /*  418110 */   // Label 7346: @418110
     /*  418110 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(418178), // Rule ID 61682 //
     /*  418115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418147 */     // MIs[0] policy
     /*  418147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  418160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418174 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418176 */     GIR_RootConstrainSelectedInstOperands,
     /*  418177 */     // GIR_Coverage, 61682,
     /*  418177 */     GIR_EraseRootFromParent_Done,
     /*  418178 */   // Label 7347: @418178
     /*  418178 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(418246), // Rule ID 61683 //
     /*  418183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418215 */     // MIs[0] policy
     /*  418215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  418228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418242 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418244 */     GIR_RootConstrainSelectedInstOperands,
     /*  418245 */     // GIR_Coverage, 61683,
     /*  418245 */     GIR_EraseRootFromParent_Done,
     /*  418246 */   // Label 7348: @418246
     /*  418246 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(418314), // Rule ID 61684 //
     /*  418251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418283 */     // MIs[0] policy
     /*  418283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  418296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418310 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418312 */     GIR_RootConstrainSelectedInstOperands,
     /*  418313 */     // GIR_Coverage, 61684,
     /*  418313 */     GIR_EraseRootFromParent_Done,
     /*  418314 */   // Label 7349: @418314
     /*  418314 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(418382), // Rule ID 61685 //
     /*  418319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418351 */     // MIs[0] policy
     /*  418351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  418364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418378 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418380 */     GIR_RootConstrainSelectedInstOperands,
     /*  418381 */     // GIR_Coverage, 61685,
     /*  418381 */     GIR_EraseRootFromParent_Done,
     /*  418382 */   // Label 7350: @418382
     /*  418382 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(418450), // Rule ID 61686 //
     /*  418387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418419 */     // MIs[0] policy
     /*  418419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  418432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418446 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418448 */     GIR_RootConstrainSelectedInstOperands,
     /*  418449 */     // GIR_Coverage, 61686,
     /*  418449 */     GIR_EraseRootFromParent_Done,
     /*  418450 */   // Label 7351: @418450
     /*  418450 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(418518), // Rule ID 61687 //
     /*  418455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418487 */     // MIs[0] policy
     /*  418487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  418500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418514 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418516 */     GIR_RootConstrainSelectedInstOperands,
     /*  418517 */     // GIR_Coverage, 61687,
     /*  418517 */     GIR_EraseRootFromParent_Done,
     /*  418518 */   // Label 7352: @418518
     /*  418518 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(418586), // Rule ID 61688 //
     /*  418523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418555 */     // MIs[0] policy
     /*  418555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  418568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418582 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418584 */     GIR_RootConstrainSelectedInstOperands,
     /*  418585 */     // GIR_Coverage, 61688,
     /*  418585 */     GIR_EraseRootFromParent_Done,
     /*  418586 */   // Label 7353: @418586
     /*  418586 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(418654), // Rule ID 61689 //
     /*  418591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418623 */     // MIs[0] policy
     /*  418623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  418636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418650 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418652 */     GIR_RootConstrainSelectedInstOperands,
     /*  418653 */     // GIR_Coverage, 61689,
     /*  418653 */     GIR_EraseRootFromParent_Done,
     /*  418654 */   // Label 7354: @418654
     /*  418654 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(418722), // Rule ID 61690 //
     /*  418659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418691 */     // MIs[0] policy
     /*  418691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  418704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418718 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418720 */     GIR_RootConstrainSelectedInstOperands,
     /*  418721 */     // GIR_Coverage, 61690,
     /*  418721 */     GIR_EraseRootFromParent_Done,
     /*  418722 */   // Label 7355: @418722
     /*  418722 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(418790), // Rule ID 61691 //
     /*  418727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418759 */     // MIs[0] policy
     /*  418759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  418772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418786 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418788 */     GIR_RootConstrainSelectedInstOperands,
     /*  418789 */     // GIR_Coverage, 61691,
     /*  418789 */     GIR_EraseRootFromParent_Done,
     /*  418790 */   // Label 7356: @418790
     /*  418790 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(418858), // Rule ID 61692 //
     /*  418795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418827 */     // MIs[0] policy
     /*  418827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  418840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418854 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418856 */     GIR_RootConstrainSelectedInstOperands,
     /*  418857 */     // GIR_Coverage, 61692,
     /*  418857 */     GIR_EraseRootFromParent_Done,
     /*  418858 */   // Label 7357: @418858
     /*  418858 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(418926), // Rule ID 61693 //
     /*  418863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418895 */     // MIs[0] policy
     /*  418895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  418908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418922 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418924 */     GIR_RootConstrainSelectedInstOperands,
     /*  418925 */     // GIR_Coverage, 61693,
     /*  418925 */     GIR_EraseRootFromParent_Done,
     /*  418926 */   // Label 7358: @418926
     /*  418926 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(418994), // Rule ID 61694 //
     /*  418931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  418939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418963 */     // MIs[0] policy
     /*  418963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  418976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418990 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418992 */     GIR_RootConstrainSelectedInstOperands,
     /*  418993 */     // GIR_Coverage, 61694,
     /*  418993 */     GIR_EraseRootFromParent_Done,
     /*  418994 */   // Label 7359: @418994
     /*  418994 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(419062), // Rule ID 61695 //
     /*  418999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419031 */     // MIs[0] policy
     /*  419031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  419044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419058 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419060 */     GIR_RootConstrainSelectedInstOperands,
     /*  419061 */     // GIR_Coverage, 61695,
     /*  419061 */     GIR_EraseRootFromParent_Done,
     /*  419062 */   // Label 7360: @419062
     /*  419062 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(419130), // Rule ID 61696 //
     /*  419067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419099 */     // MIs[0] policy
     /*  419099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  419112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419126 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419128 */     GIR_RootConstrainSelectedInstOperands,
     /*  419129 */     // GIR_Coverage, 61696,
     /*  419129 */     GIR_EraseRootFromParent_Done,
     /*  419130 */   // Label 7361: @419130
     /*  419130 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(419198), // Rule ID 61697 //
     /*  419135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419167 */     // MIs[0] policy
     /*  419167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  419180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419194 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419196 */     GIR_RootConstrainSelectedInstOperands,
     /*  419197 */     // GIR_Coverage, 61697,
     /*  419197 */     GIR_EraseRootFromParent_Done,
     /*  419198 */   // Label 7362: @419198
     /*  419198 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(419266), // Rule ID 61698 //
     /*  419203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  419220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419235 */     // MIs[0] policy
     /*  419235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  419248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419262 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419264 */     GIR_RootConstrainSelectedInstOperands,
     /*  419265 */     // GIR_Coverage, 61698,
     /*  419265 */     GIR_EraseRootFromParent_Done,
     /*  419266 */   // Label 7363: @419266
     /*  419266 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(419334), // Rule ID 61699 //
     /*  419271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  419288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419303 */     // MIs[0] policy
     /*  419303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419313 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  419316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419330 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419332 */     GIR_RootConstrainSelectedInstOperands,
     /*  419333 */     // GIR_Coverage, 61699,
     /*  419333 */     GIR_EraseRootFromParent_Done,
     /*  419334 */   // Label 7364: @419334
     /*  419334 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(419402), // Rule ID 61700 //
     /*  419339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419371 */     // MIs[0] policy
     /*  419371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  419384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419398 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419400 */     GIR_RootConstrainSelectedInstOperands,
     /*  419401 */     // GIR_Coverage, 61700,
     /*  419401 */     GIR_EraseRootFromParent_Done,
     /*  419402 */   // Label 7365: @419402
     /*  419402 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(419470), // Rule ID 61701 //
     /*  419407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419439 */     // MIs[0] policy
     /*  419439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  419452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419466 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419468 */     GIR_RootConstrainSelectedInstOperands,
     /*  419469 */     // GIR_Coverage, 61701,
     /*  419469 */     GIR_EraseRootFromParent_Done,
     /*  419470 */   // Label 7366: @419470
     /*  419470 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(419538), // Rule ID 61702 //
     /*  419475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419507 */     // MIs[0] policy
     /*  419507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419517 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  419520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419534 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419536 */     GIR_RootConstrainSelectedInstOperands,
     /*  419537 */     // GIR_Coverage, 61702,
     /*  419537 */     GIR_EraseRootFromParent_Done,
     /*  419538 */   // Label 7367: @419538
     /*  419538 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(419606), // Rule ID 61703 //
     /*  419543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419575 */     // MIs[0] policy
     /*  419575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  419588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419602 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419604 */     GIR_RootConstrainSelectedInstOperands,
     /*  419605 */     // GIR_Coverage, 61703,
     /*  419605 */     GIR_EraseRootFromParent_Done,
     /*  419606 */   // Label 7368: @419606
     /*  419606 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(419674), // Rule ID 61704 //
     /*  419611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419643 */     // MIs[0] policy
     /*  419643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  419656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419670 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419672 */     GIR_RootConstrainSelectedInstOperands,
     /*  419673 */     // GIR_Coverage, 61704,
     /*  419673 */     GIR_EraseRootFromParent_Done,
     /*  419674 */   // Label 7369: @419674
     /*  419674 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(419742), // Rule ID 61705 //
     /*  419679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419711 */     // MIs[0] policy
     /*  419711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  419724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419738 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419740 */     GIR_RootConstrainSelectedInstOperands,
     /*  419741 */     // GIR_Coverage, 61705,
     /*  419741 */     GIR_EraseRootFromParent_Done,
     /*  419742 */   // Label 7370: @419742
     /*  419742 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(419813), // Rule ID 2564 //
     /*  419747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  419750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  419755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  419758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  419764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419779 */     // MIs[0] round
     /*  419779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419789 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  419789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  419792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419798 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  419800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419811 */     GIR_RootConstrainSelectedInstOperands,
     /*  419812 */     // GIR_Coverage, 2564,
     /*  419812 */     GIR_EraseRootFromParent_Done,
     /*  419813 */   // Label 7371: @419813
     /*  419813 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(419884), // Rule ID 2565 //
     /*  419818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  419821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  419826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  419829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  419835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419850 */     // MIs[0] round
     /*  419850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419860 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  419860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  419863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419869 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  419871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419882 */     GIR_RootConstrainSelectedInstOperands,
     /*  419883 */     // GIR_Coverage, 2565,
     /*  419883 */     GIR_EraseRootFromParent_Done,
     /*  419884 */   // Label 7372: @419884
     /*  419884 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419955), // Rule ID 2600 //
     /*  419889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  419892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  419897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  419900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  419906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419921 */     // MIs[0] round
     /*  419921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419931 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  419931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  419934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419940 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  419942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419953 */     GIR_RootConstrainSelectedInstOperands,
     /*  419954 */     // GIR_Coverage, 2600,
     /*  419954 */     GIR_EraseRootFromParent_Done,
     /*  419955 */   // Label 7373: @419955
     /*  419955 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(420026), // Rule ID 2601 //
     /*  419960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  419963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  419968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  419971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  419977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419992 */     // MIs[0] round
     /*  419992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  420005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420011 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420024 */     GIR_RootConstrainSelectedInstOperands,
     /*  420025 */     // GIR_Coverage, 2601,
     /*  420025 */     GIR_EraseRootFromParent_Done,
     /*  420026 */   // Label 7374: @420026
     /*  420026 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(420097), // Rule ID 18850 //
     /*  420031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  420034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  420042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  420048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420063 */     // MIs[0] round
     /*  420063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420073 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  420076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420082 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420095 */     GIR_RootConstrainSelectedInstOperands,
     /*  420096 */     // GIR_Coverage, 18850,
     /*  420096 */     GIR_EraseRootFromParent_Done,
     /*  420097 */   // Label 7375: @420097
     /*  420097 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(420168), // Rule ID 18851 //
     /*  420102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  420105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  420113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  420119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420134 */     // MIs[0] round
     /*  420134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  420147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420153 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420166 */     GIR_RootConstrainSelectedInstOperands,
     /*  420167 */     // GIR_Coverage, 18851,
     /*  420167 */     GIR_EraseRootFromParent_Done,
     /*  420168 */   // Label 7376: @420168
     /*  420168 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(420239), // Rule ID 18854 //
     /*  420173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  420176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  420184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  420187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420205 */     // MIs[0] round
     /*  420205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  420215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  420218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420224 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420237 */     GIR_RootConstrainSelectedInstOperands,
     /*  420238 */     // GIR_Coverage, 18854,
     /*  420238 */     GIR_EraseRootFromParent_Done,
     /*  420239 */   // Label 7377: @420239
     /*  420239 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(420310), // Rule ID 18855 //
     /*  420244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  420247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  420255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  420258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420276 */     // MIs[0] round
     /*  420276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  420286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  420289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420295 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420308 */     GIR_RootConstrainSelectedInstOperands,
     /*  420309 */     // GIR_Coverage, 18855,
     /*  420309 */     GIR_EraseRootFromParent_Done,
     /*  420310 */   // Label 7378: @420310
     /*  420310 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(420381), // Rule ID 18858 //
     /*  420315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  420318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  420326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  420332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420347 */     // MIs[0] round
     /*  420347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420357 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  420360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420366 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420379 */     GIR_RootConstrainSelectedInstOperands,
     /*  420380 */     // GIR_Coverage, 18858,
     /*  420380 */     GIR_EraseRootFromParent_Done,
     /*  420381 */   // Label 7379: @420381
     /*  420381 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(420452), // Rule ID 18859 //
     /*  420386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  420389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  420397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  420403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420418 */     // MIs[0] round
     /*  420418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10927:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  420431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420437 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420450 */     GIR_RootConstrainSelectedInstOperands,
     /*  420451 */     // GIR_Coverage, 18859,
     /*  420451 */     GIR_EraseRootFromParent_Done,
     /*  420452 */   // Label 7380: @420452
     /*  420452 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(420523), // Rule ID 18862 //
     /*  420457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  420460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420489 */     // MIs[0] round
     /*  420489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420499 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  420499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  420502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420508 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420521 */     GIR_RootConstrainSelectedInstOperands,
     /*  420522 */     // GIR_Coverage, 18862,
     /*  420522 */     GIR_EraseRootFromParent_Done,
     /*  420523 */   // Label 7381: @420523
     /*  420523 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(420594), // Rule ID 18863 //
     /*  420528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  420531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420560 */     // MIs[0] round
     /*  420560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  420570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  420573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420579 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420592 */     GIR_RootConstrainSelectedInstOperands,
     /*  420593 */     // GIR_Coverage, 18863,
     /*  420593 */     GIR_EraseRootFromParent_Done,
     /*  420594 */   // Label 7382: @420594
     /*  420594 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(420665), // Rule ID 18866 //
     /*  420599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  420602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  420613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420631 */     // MIs[0] round
     /*  420631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420641 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  420641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  420644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420650 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420663 */     GIR_RootConstrainSelectedInstOperands,
     /*  420664 */     // GIR_Coverage, 18866,
     /*  420664 */     GIR_EraseRootFromParent_Done,
     /*  420665 */   // Label 7383: @420665
     /*  420665 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(420736), // Rule ID 18867 //
     /*  420670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  420673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  420684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420702 */     // MIs[0] round
     /*  420702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  420712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  420715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420721 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420734 */     GIR_RootConstrainSelectedInstOperands,
     /*  420735 */     // GIR_Coverage, 18867,
     /*  420735 */     GIR_EraseRootFromParent_Done,
     /*  420736 */   // Label 7384: @420736
     /*  420736 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(420807), // Rule ID 18870 //
     /*  420741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  420744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  420752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  420755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  420758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420773 */     // MIs[0] round
     /*  420773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420783 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  420786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420792 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420805 */     GIR_RootConstrainSelectedInstOperands,
     /*  420806 */     // GIR_Coverage, 18870,
     /*  420806 */     GIR_EraseRootFromParent_Done,
     /*  420807 */   // Label 7385: @420807
     /*  420807 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(420878), // Rule ID 18871 //
     /*  420812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  420815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  420823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  420826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  420829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420844 */     // MIs[0] round
     /*  420844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420854 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  420857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420863 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420876 */     GIR_RootConstrainSelectedInstOperands,
     /*  420877 */     // GIR_Coverage, 18871,
     /*  420877 */     GIR_EraseRootFromParent_Done,
     /*  420878 */   // Label 7386: @420878
     /*  420878 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420949), // Rule ID 18874 //
     /*  420883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  420886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  420894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  420897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  420900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420915 */     // MIs[0] round
     /*  420915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420925 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  420928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420934 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  420936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420947 */     GIR_RootConstrainSelectedInstOperands,
     /*  420948 */     // GIR_Coverage, 18874,
     /*  420948 */     GIR_EraseRootFromParent_Done,
     /*  420949 */   // Label 7387: @420949
     /*  420949 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(421020), // Rule ID 18875 //
     /*  420954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  420957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  420962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  420965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  420968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  420971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420986 */     // MIs[0] round
     /*  420986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  420989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  420999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421005 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421018 */     GIR_RootConstrainSelectedInstOperands,
     /*  421019 */     // GIR_Coverage, 18875,
     /*  421019 */     GIR_EraseRootFromParent_Done,
     /*  421020 */   // Label 7388: @421020
     /*  421020 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(421091), // Rule ID 18878 //
     /*  421025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  421028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  421039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421057 */     // MIs[0] round
     /*  421057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421067 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  421067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  421070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421076 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421089 */     GIR_RootConstrainSelectedInstOperands,
     /*  421090 */     // GIR_Coverage, 18878,
     /*  421090 */     GIR_EraseRootFromParent_Done,
     /*  421091 */   // Label 7389: @421091
     /*  421091 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(421162), // Rule ID 18879 //
     /*  421096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  421099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  421107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  421110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  421113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421128 */     // MIs[0] round
     /*  421128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421138 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  421138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  421141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421147 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421160 */     GIR_RootConstrainSelectedInstOperands,
     /*  421161 */     // GIR_Coverage, 18879,
     /*  421161 */     GIR_EraseRootFromParent_Done,
     /*  421162 */   // Label 7390: @421162
     /*  421162 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(421233), // Rule ID 18882 //
     /*  421167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  421170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  421178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  421181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421199 */     // MIs[0] round
     /*  421199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421209 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  421209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  421212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421218 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421231 */     GIR_RootConstrainSelectedInstOperands,
     /*  421232 */     // GIR_Coverage, 18882,
     /*  421232 */     GIR_EraseRootFromParent_Done,
     /*  421233 */   // Label 7391: @421233
     /*  421233 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(421304), // Rule ID 18883 //
     /*  421238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  421241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  421249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  421252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421270 */     // MIs[0] round
     /*  421270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421280 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  421280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  421283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421289 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421302 */     GIR_RootConstrainSelectedInstOperands,
     /*  421303 */     // GIR_Coverage, 18883,
     /*  421303 */     GIR_EraseRootFromParent_Done,
     /*  421304 */   // Label 7392: @421304
     /*  421304 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(421375), // Rule ID 18886 //
     /*  421309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  421312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421341 */     // MIs[0] round
     /*  421341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421351 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  421351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  421354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421360 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421373 */     GIR_RootConstrainSelectedInstOperands,
     /*  421374 */     // GIR_Coverage, 18886,
     /*  421374 */     GIR_EraseRootFromParent_Done,
     /*  421375 */   // Label 7393: @421375
     /*  421375 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(421446), // Rule ID 18887 //
     /*  421380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  421383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421412 */     // MIs[0] round
     /*  421412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421422 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  421422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  421425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421431 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421444 */     GIR_RootConstrainSelectedInstOperands,
     /*  421445 */     // GIR_Coverage, 18887,
     /*  421445 */     GIR_EraseRootFromParent_Done,
     /*  421446 */   // Label 7394: @421446
     /*  421446 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(421517), // Rule ID 18890 //
     /*  421451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  421454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  421468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421483 */     // MIs[0] round
     /*  421483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421493 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  421493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  421496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421502 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421515 */     GIR_RootConstrainSelectedInstOperands,
     /*  421516 */     // GIR_Coverage, 18890,
     /*  421516 */     GIR_EraseRootFromParent_Done,
     /*  421517 */   // Label 7395: @421517
     /*  421517 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(421588), // Rule ID 18891 //
     /*  421522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  421525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  421539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421554 */     // MIs[0] round
     /*  421554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  421564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  421567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421573 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421586 */     GIR_RootConstrainSelectedInstOperands,
     /*  421587 */     // GIR_Coverage, 18891,
     /*  421587 */     GIR_EraseRootFromParent_Done,
     /*  421588 */   // Label 7396: @421588
     /*  421588 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(421659), // Rule ID 18894 //
     /*  421593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  421596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  421604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  421607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  421610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421625 */     // MIs[0] round
     /*  421625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421635 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  421635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  421638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421644 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421657 */     GIR_RootConstrainSelectedInstOperands,
     /*  421658 */     // GIR_Coverage, 18894,
     /*  421658 */     GIR_EraseRootFromParent_Done,
     /*  421659 */   // Label 7397: @421659
     /*  421659 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(421730), // Rule ID 18895 //
     /*  421664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  421667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  421675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  421678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  421681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421696 */     // MIs[0] round
     /*  421696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421706 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  421706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  421709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421715 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421728 */     GIR_RootConstrainSelectedInstOperands,
     /*  421729 */     // GIR_Coverage, 18895,
     /*  421729 */     GIR_EraseRootFromParent_Done,
     /*  421730 */   // Label 7398: @421730
     /*  421730 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421801), // Rule ID 18898 //
     /*  421735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  421738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  421746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  421749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  421752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421767 */     // MIs[0] round
     /*  421767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  421777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  421780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421786 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421799 */     GIR_RootConstrainSelectedInstOperands,
     /*  421800 */     // GIR_Coverage, 18898,
     /*  421800 */     GIR_EraseRootFromParent_Done,
     /*  421801 */   // Label 7399: @421801
     /*  421801 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421872), // Rule ID 18899 //
     /*  421806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  421809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  421817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  421820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  421823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421838 */     // MIs[0] round
     /*  421838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421848 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  421848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  421851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421857 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421870 */     GIR_RootConstrainSelectedInstOperands,
     /*  421871 */     // GIR_Coverage, 18899,
     /*  421871 */     GIR_EraseRootFromParent_Done,
     /*  421872 */   // Label 7400: @421872
     /*  421872 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421943), // Rule ID 18902 //
     /*  421877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  421880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  421888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  421891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421909 */     // MIs[0] round
     /*  421909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421919 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  421919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  421922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421928 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421941 */     GIR_RootConstrainSelectedInstOperands,
     /*  421942 */     // GIR_Coverage, 18902,
     /*  421942 */     GIR_EraseRootFromParent_Done,
     /*  421943 */   // Label 7401: @421943
     /*  421943 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(422014), // Rule ID 18903 //
     /*  421948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  421951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  421959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  421962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  421965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421980 */     // MIs[0] round
     /*  421980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421990 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  421990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  421993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421999 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422012 */     GIR_RootConstrainSelectedInstOperands,
     /*  422013 */     // GIR_Coverage, 18903,
     /*  422013 */     GIR_EraseRootFromParent_Done,
     /*  422014 */   // Label 7402: @422014
     /*  422014 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(422085), // Rule ID 18962 //
     /*  422019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  422030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  422033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  422036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422051 */     // MIs[0] round
     /*  422051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422061 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  422064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422070 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422083 */     GIR_RootConstrainSelectedInstOperands,
     /*  422084 */     // GIR_Coverage, 18962,
     /*  422084 */     GIR_EraseRootFromParent_Done,
     /*  422085 */   // Label 7403: @422085
     /*  422085 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(422156), // Rule ID 18963 //
     /*  422090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  422101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  422104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  422107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422122 */     // MIs[0] round
     /*  422122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422132 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  422135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422141 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422154 */     GIR_RootConstrainSelectedInstOperands,
     /*  422155 */     // GIR_Coverage, 18963,
     /*  422155 */     GIR_EraseRootFromParent_Done,
     /*  422156 */   // Label 7404: @422156
     /*  422156 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(422227), // Rule ID 18966 //
     /*  422161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  422172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  422175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  422178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422193 */     // MIs[0] round
     /*  422193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422203 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  422206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422212 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422225 */     GIR_RootConstrainSelectedInstOperands,
     /*  422226 */     // GIR_Coverage, 18966,
     /*  422226 */     GIR_EraseRootFromParent_Done,
     /*  422227 */   // Label 7405: @422227
     /*  422227 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(422298), // Rule ID 18967 //
     /*  422232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  422243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  422246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  422249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422264 */     // MIs[0] round
     /*  422264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422274 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  422277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422283 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422296 */     GIR_RootConstrainSelectedInstOperands,
     /*  422297 */     // GIR_Coverage, 18967,
     /*  422297 */     GIR_EraseRootFromParent_Done,
     /*  422298 */   // Label 7406: @422298
     /*  422298 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(422369), // Rule ID 18970 //
     /*  422303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  422306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422335 */     // MIs[0] round
     /*  422335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422345 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  422348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422354 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422367 */     GIR_RootConstrainSelectedInstOperands,
     /*  422368 */     // GIR_Coverage, 18970,
     /*  422368 */     GIR_EraseRootFromParent_Done,
     /*  422369 */   // Label 7407: @422369
     /*  422369 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(422440), // Rule ID 18971 //
     /*  422374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  422377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422406 */     // MIs[0] round
     /*  422406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  422419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422425 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422438 */     GIR_RootConstrainSelectedInstOperands,
     /*  422439 */     // GIR_Coverage, 18971,
     /*  422439 */     GIR_EraseRootFromParent_Done,
     /*  422440 */   // Label 7408: @422440
     /*  422440 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(422511), // Rule ID 18974 //
     /*  422445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  422456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  422462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422477 */     // MIs[0] round
     /*  422477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422487 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  422490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422496 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422509 */     GIR_RootConstrainSelectedInstOperands,
     /*  422510 */     // GIR_Coverage, 18974,
     /*  422510 */     GIR_EraseRootFromParent_Done,
     /*  422511 */   // Label 7409: @422511
     /*  422511 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(422582), // Rule ID 18975 //
     /*  422516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  422527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  422533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422548 */     // MIs[0] round
     /*  422548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422558 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  422561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422567 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422580 */     GIR_RootConstrainSelectedInstOperands,
     /*  422581 */     // GIR_Coverage, 18975,
     /*  422581 */     GIR_EraseRootFromParent_Done,
     /*  422582 */   // Label 7410: @422582
     /*  422582 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422653), // Rule ID 18978 //
     /*  422587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  422590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422619 */     // MIs[0] round
     /*  422619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  422632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422638 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422651 */     GIR_RootConstrainSelectedInstOperands,
     /*  422652 */     // GIR_Coverage, 18978,
     /*  422652 */     GIR_EraseRootFromParent_Done,
     /*  422653 */   // Label 7411: @422653
     /*  422653 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422724), // Rule ID 18979 //
     /*  422658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  422661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422690 */     // MIs[0] round
     /*  422690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  422703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422709 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422722 */     GIR_RootConstrainSelectedInstOperands,
     /*  422723 */     // GIR_Coverage, 18979,
     /*  422723 */     GIR_EraseRootFromParent_Done,
     /*  422724 */   // Label 7412: @422724
     /*  422724 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422795), // Rule ID 18982 //
     /*  422729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  422732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  422740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  422746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422761 */     // MIs[0] round
     /*  422761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422771 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  422771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  422774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422780 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422793 */     GIR_RootConstrainSelectedInstOperands,
     /*  422794 */     // GIR_Coverage, 18982,
     /*  422794 */     GIR_EraseRootFromParent_Done,
     /*  422795 */   // Label 7413: @422795
     /*  422795 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422866), // Rule ID 18983 //
     /*  422800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  422803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  422811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  422817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422832 */     // MIs[0] round
     /*  422832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422842 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  422842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  422845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422851 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422864 */     GIR_RootConstrainSelectedInstOperands,
     /*  422865 */     // GIR_Coverage, 18983,
     /*  422865 */     GIR_EraseRootFromParent_Done,
     /*  422866 */   // Label 7414: @422866
     /*  422866 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422937), // Rule ID 18986 //
     /*  422871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  422882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  422888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422903 */     // MIs[0] round
     /*  422903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422913 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  422916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422922 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422935 */     GIR_RootConstrainSelectedInstOperands,
     /*  422936 */     // GIR_Coverage, 18986,
     /*  422936 */     GIR_EraseRootFromParent_Done,
     /*  422937 */   // Label 7415: @422937
     /*  422937 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(423008), // Rule ID 18987 //
     /*  422942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  422950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  422953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  422959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422974 */     // MIs[0] round
     /*  422974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422984 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  422987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422993 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423006 */     GIR_RootConstrainSelectedInstOperands,
     /*  423007 */     // GIR_Coverage, 18987,
     /*  423007 */     GIR_EraseRootFromParent_Done,
     /*  423008 */   // Label 7416: @423008
     /*  423008 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(423079), // Rule ID 18990 //
     /*  423013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  423016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  423024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  423030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423045 */     // MIs[0] round
     /*  423045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423055 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  423055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  423058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423064 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423077 */     GIR_RootConstrainSelectedInstOperands,
     /*  423078 */     // GIR_Coverage, 18990,
     /*  423078 */     GIR_EraseRootFromParent_Done,
     /*  423079 */   // Label 7417: @423079
     /*  423079 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(423150), // Rule ID 18991 //
     /*  423084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  423087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  423095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  423101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423116 */     // MIs[0] round
     /*  423116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423126 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  423126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  423129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423135 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423148 */     GIR_RootConstrainSelectedInstOperands,
     /*  423149 */     // GIR_Coverage, 18991,
     /*  423149 */     GIR_EraseRootFromParent_Done,
     /*  423150 */   // Label 7418: @423150
     /*  423150 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(423221), // Rule ID 18994 //
     /*  423155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  423158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  423166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  423172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423187 */     // MIs[0] round
     /*  423187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423197 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  423197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  423200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423206 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423219 */     GIR_RootConstrainSelectedInstOperands,
     /*  423220 */     // GIR_Coverage, 18994,
     /*  423220 */     GIR_EraseRootFromParent_Done,
     /*  423221 */   // Label 7419: @423221
     /*  423221 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(423292), // Rule ID 18995 //
     /*  423226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  423229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  423237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  423243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423258 */     // MIs[0] round
     /*  423258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423268 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  423268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  423271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423277 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423290 */     GIR_RootConstrainSelectedInstOperands,
     /*  423291 */     // GIR_Coverage, 18995,
     /*  423291 */     GIR_EraseRootFromParent_Done,
     /*  423292 */   // Label 7420: @423292
     /*  423292 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(423363), // Rule ID 18998 //
     /*  423297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423329 */     // MIs[0] round
     /*  423329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  423342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423348 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423361 */     GIR_RootConstrainSelectedInstOperands,
     /*  423362 */     // GIR_Coverage, 18998,
     /*  423362 */     GIR_EraseRootFromParent_Done,
     /*  423363 */   // Label 7421: @423363
     /*  423363 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(423434), // Rule ID 18999 //
     /*  423368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423400 */     // MIs[0] round
     /*  423400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  423413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423419 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423432 */     GIR_RootConstrainSelectedInstOperands,
     /*  423433 */     // GIR_Coverage, 18999,
     /*  423433 */     GIR_EraseRootFromParent_Done,
     /*  423434 */   // Label 7422: @423434
     /*  423434 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423505), // Rule ID 19002 //
     /*  423439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423471 */     // MIs[0] round
     /*  423471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423481 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  423484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423490 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423503 */     GIR_RootConstrainSelectedInstOperands,
     /*  423504 */     // GIR_Coverage, 19002,
     /*  423504 */     GIR_EraseRootFromParent_Done,
     /*  423505 */   // Label 7423: @423505
     /*  423505 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423576), // Rule ID 19003 //
     /*  423510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423542 */     // MIs[0] round
     /*  423542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  423555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423561 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423574 */     GIR_RootConstrainSelectedInstOperands,
     /*  423575 */     // GIR_Coverage, 19003,
     /*  423575 */     GIR_EraseRootFromParent_Done,
     /*  423576 */   // Label 7424: @423576
     /*  423576 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423647), // Rule ID 19006 //
     /*  423581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423613 */     // MIs[0] round
     /*  423613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423623 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  423626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423632 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423645 */     GIR_RootConstrainSelectedInstOperands,
     /*  423646 */     // GIR_Coverage, 19006,
     /*  423646 */     GIR_EraseRootFromParent_Done,
     /*  423647 */   // Label 7425: @423647
     /*  423647 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423718), // Rule ID 19007 //
     /*  423652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423684 */     // MIs[0] round
     /*  423684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  423697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423703 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423716 */     GIR_RootConstrainSelectedInstOperands,
     /*  423717 */     // GIR_Coverage, 19007,
     /*  423717 */     GIR_EraseRootFromParent_Done,
     /*  423718 */   // Label 7426: @423718
     /*  423718 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423789), // Rule ID 19010 //
     /*  423723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  423726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423755 */     // MIs[0] round
     /*  423755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423765 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  423768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423774 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423787 */     GIR_RootConstrainSelectedInstOperands,
     /*  423788 */     // GIR_Coverage, 19010,
     /*  423788 */     GIR_EraseRootFromParent_Done,
     /*  423789 */   // Label 7427: @423789
     /*  423789 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423860), // Rule ID 19011 //
     /*  423794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  423797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423826 */     // MIs[0] round
     /*  423826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423836 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  423839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423845 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423858 */     GIR_RootConstrainSelectedInstOperands,
     /*  423859 */     // GIR_Coverage, 19011,
     /*  423859 */     GIR_EraseRootFromParent_Done,
     /*  423860 */   // Label 7428: @423860
     /*  423860 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423931), // Rule ID 19014 //
     /*  423865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  423868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423897 */     // MIs[0] round
     /*  423897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  423910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423916 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423929 */     GIR_RootConstrainSelectedInstOperands,
     /*  423930 */     // GIR_Coverage, 19014,
     /*  423930 */     GIR_EraseRootFromParent_Done,
     /*  423931 */   // Label 7429: @423931
     /*  423931 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(424002), // Rule ID 19015 //
     /*  423936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  423939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  423944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423968 */     // MIs[0] round
     /*  423968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423978 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  423981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423987 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424000 */     GIR_RootConstrainSelectedInstOperands,
     /*  424001 */     // GIR_Coverage, 19015,
     /*  424001 */     GIR_EraseRootFromParent_Done,
     /*  424002 */   // Label 7430: @424002
     /*  424002 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(424073), // Rule ID 19018 //
     /*  424007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  424010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424039 */     // MIs[0] round
     /*  424039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424049 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  424049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  424052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424058 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424071 */     GIR_RootConstrainSelectedInstOperands,
     /*  424072 */     // GIR_Coverage, 19018,
     /*  424072 */     GIR_EraseRootFromParent_Done,
     /*  424073 */   // Label 7431: @424073
     /*  424073 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(424144), // Rule ID 19019 //
     /*  424078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  424081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424110 */     // MIs[0] round
     /*  424110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  424120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  424123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424129 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424142 */     GIR_RootConstrainSelectedInstOperands,
     /*  424143 */     // GIR_Coverage, 19019,
     /*  424143 */     GIR_EraseRootFromParent_Done,
     /*  424144 */   // Label 7432: @424144
     /*  424144 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(424215), // Rule ID 20604 //
     /*  424149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  424152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424181 */     // MIs[0] round
     /*  424181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  424194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424200 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424213 */     GIR_RootConstrainSelectedInstOperands,
     /*  424214 */     // GIR_Coverage, 20604,
     /*  424214 */     GIR_EraseRootFromParent_Done,
     /*  424215 */   // Label 7433: @424215
     /*  424215 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(424286), // Rule ID 20605 //
     /*  424220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  424223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424252 */     // MIs[0] round
     /*  424252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  424265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424271 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424284 */     GIR_RootConstrainSelectedInstOperands,
     /*  424285 */     // GIR_Coverage, 20605,
     /*  424285 */     GIR_EraseRootFromParent_Done,
     /*  424286 */   // Label 7434: @424286
     /*  424286 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424357), // Rule ID 20608 //
     /*  424291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  424294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424323 */     // MIs[0] round
     /*  424323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  424336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424342 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424355 */     GIR_RootConstrainSelectedInstOperands,
     /*  424356 */     // GIR_Coverage, 20608,
     /*  424356 */     GIR_EraseRootFromParent_Done,
     /*  424357 */   // Label 7435: @424357
     /*  424357 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424428), // Rule ID 20609 //
     /*  424362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  424365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424394 */     // MIs[0] round
     /*  424394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  424407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424413 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424426 */     GIR_RootConstrainSelectedInstOperands,
     /*  424427 */     // GIR_Coverage, 20609,
     /*  424427 */     GIR_EraseRootFromParent_Done,
     /*  424428 */   // Label 7436: @424428
     /*  424428 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424499), // Rule ID 20612 //
     /*  424433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  424436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424465 */     // MIs[0] round
     /*  424465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424475 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424484 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424497 */     GIR_RootConstrainSelectedInstOperands,
     /*  424498 */     // GIR_Coverage, 20612,
     /*  424498 */     GIR_EraseRootFromParent_Done,
     /*  424499 */   // Label 7437: @424499
     /*  424499 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424570), // Rule ID 20613 //
     /*  424504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  424507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424536 */     // MIs[0] round
     /*  424536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424555 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424568 */     GIR_RootConstrainSelectedInstOperands,
     /*  424569 */     // GIR_Coverage, 20613,
     /*  424569 */     GIR_EraseRootFromParent_Done,
     /*  424570 */   // Label 7438: @424570
     /*  424570 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424641), // Rule ID 20616 //
     /*  424575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  424578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424607 */     // MIs[0] round
     /*  424607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424626 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424639 */     GIR_RootConstrainSelectedInstOperands,
     /*  424640 */     // GIR_Coverage, 20616,
     /*  424640 */     GIR_EraseRootFromParent_Done,
     /*  424641 */   // Label 7439: @424641
     /*  424641 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424712), // Rule ID 20617 //
     /*  424646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  424649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424678 */     // MIs[0] round
     /*  424678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424697 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424710 */     GIR_RootConstrainSelectedInstOperands,
     /*  424711 */     // GIR_Coverage, 20617,
     /*  424711 */     GIR_EraseRootFromParent_Done,
     /*  424712 */   // Label 7440: @424712
     /*  424712 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424783), // Rule ID 20620 //
     /*  424717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  424720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424749 */     // MIs[0] round
     /*  424749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424759 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  424759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424768 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424781 */     GIR_RootConstrainSelectedInstOperands,
     /*  424782 */     // GIR_Coverage, 20620,
     /*  424782 */     GIR_EraseRootFromParent_Done,
     /*  424783 */   // Label 7441: @424783
     /*  424783 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424854), // Rule ID 20621 //
     /*  424788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  424791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424820 */     // MIs[0] round
     /*  424820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  424830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  424833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424839 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424852 */     GIR_RootConstrainSelectedInstOperands,
     /*  424853 */     // GIR_Coverage, 20621,
     /*  424853 */     GIR_EraseRootFromParent_Done,
     /*  424854 */   // Label 7442: @424854
     /*  424854 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424925), // Rule ID 20624 //
     /*  424859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  424862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  424870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  424873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  424876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424891 */     // MIs[0] round
     /*  424891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  424904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424910 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424923 */     GIR_RootConstrainSelectedInstOperands,
     /*  424924 */     // GIR_Coverage, 20624,
     /*  424924 */     GIR_EraseRootFromParent_Done,
     /*  424925 */   // Label 7443: @424925
     /*  424925 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424996), // Rule ID 20625 //
     /*  424930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  424933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  424938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  424941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  424944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  424947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424962 */     // MIs[0] round
     /*  424962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  424975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424981 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424994 */     GIR_RootConstrainSelectedInstOperands,
     /*  424995 */     // GIR_Coverage, 20625,
     /*  424995 */     GIR_EraseRootFromParent_Done,
     /*  424996 */   // Label 7444: @424996
     /*  424996 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(425067), // Rule ID 20628 //
     /*  425001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  425004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425033 */     // MIs[0] round
     /*  425033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425052 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425065 */     GIR_RootConstrainSelectedInstOperands,
     /*  425066 */     // GIR_Coverage, 20628,
     /*  425066 */     GIR_EraseRootFromParent_Done,
     /*  425067 */   // Label 7445: @425067
     /*  425067 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(425138), // Rule ID 20629 //
     /*  425072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  425075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425104 */     // MIs[0] round
     /*  425104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425123 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425136 */     GIR_RootConstrainSelectedInstOperands,
     /*  425137 */     // GIR_Coverage, 20629,
     /*  425137 */     GIR_EraseRootFromParent_Done,
     /*  425138 */   // Label 7446: @425138
     /*  425138 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(425209), // Rule ID 20632 //
     /*  425143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  425146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425175 */     // MIs[0] round
     /*  425175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  425188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425194 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425207 */     GIR_RootConstrainSelectedInstOperands,
     /*  425208 */     // GIR_Coverage, 20632,
     /*  425208 */     GIR_EraseRootFromParent_Done,
     /*  425209 */   // Label 7447: @425209
     /*  425209 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425280), // Rule ID 20633 //
     /*  425214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  425217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425246 */     // MIs[0] round
     /*  425246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  425259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425265 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425278 */     GIR_RootConstrainSelectedInstOperands,
     /*  425279 */     // GIR_Coverage, 20633,
     /*  425279 */     GIR_EraseRootFromParent_Done,
     /*  425280 */   // Label 7448: @425280
     /*  425280 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425351), // Rule ID 20636 //
     /*  425285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  425288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425317 */     // MIs[0] round
     /*  425317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  425330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425336 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425349 */     GIR_RootConstrainSelectedInstOperands,
     /*  425350 */     // GIR_Coverage, 20636,
     /*  425350 */     GIR_EraseRootFromParent_Done,
     /*  425351 */   // Label 7449: @425351
     /*  425351 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425422), // Rule ID 20637 //
     /*  425356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  425359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425388 */     // MIs[0] round
     /*  425388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  425401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425407 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425420 */     GIR_RootConstrainSelectedInstOperands,
     /*  425421 */     // GIR_Coverage, 20637,
     /*  425421 */     GIR_EraseRootFromParent_Done,
     /*  425422 */   // Label 7450: @425422
     /*  425422 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425493), // Rule ID 20640 //
     /*  425427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  425430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425459 */     // MIs[0] round
     /*  425459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425478 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425491 */     GIR_RootConstrainSelectedInstOperands,
     /*  425492 */     // GIR_Coverage, 20640,
     /*  425492 */     GIR_EraseRootFromParent_Done,
     /*  425493 */   // Label 7451: @425493
     /*  425493 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425564), // Rule ID 20641 //
     /*  425498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  425501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425530 */     // MIs[0] round
     /*  425530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425549 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425562 */     GIR_RootConstrainSelectedInstOperands,
     /*  425563 */     // GIR_Coverage, 20641,
     /*  425563 */     GIR_EraseRootFromParent_Done,
     /*  425564 */   // Label 7452: @425564
     /*  425564 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425635), // Rule ID 20644 //
     /*  425569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  425572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425601 */     // MIs[0] round
     /*  425601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  425614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425620 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425633 */     GIR_RootConstrainSelectedInstOperands,
     /*  425634 */     // GIR_Coverage, 20644,
     /*  425634 */     GIR_EraseRootFromParent_Done,
     /*  425635 */   // Label 7453: @425635
     /*  425635 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425706), // Rule ID 20645 //
     /*  425640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  425643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425672 */     // MIs[0] round
     /*  425672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  425685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425691 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425704 */     GIR_RootConstrainSelectedInstOperands,
     /*  425705 */     // GIR_Coverage, 20645,
     /*  425705 */     GIR_EraseRootFromParent_Done,
     /*  425706 */   // Label 7454: @425706
     /*  425706 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425777), // Rule ID 20648 //
     /*  425711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  425714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  425722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  425725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  425728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425743 */     // MIs[0] round
     /*  425743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  425753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  425756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425762 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425775 */     GIR_RootConstrainSelectedInstOperands,
     /*  425776 */     // GIR_Coverage, 20648,
     /*  425776 */     GIR_EraseRootFromParent_Done,
     /*  425777 */   // Label 7455: @425777
     /*  425777 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425848), // Rule ID 20649 //
     /*  425782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  425785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  425793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  425796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  425799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425814 */     // MIs[0] round
     /*  425814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  425824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  425827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425833 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425846 */     GIR_RootConstrainSelectedInstOperands,
     /*  425847 */     // GIR_Coverage, 20649,
     /*  425847 */     GIR_EraseRootFromParent_Done,
     /*  425848 */   // Label 7456: @425848
     /*  425848 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(425919), // Rule ID 20652 //
     /*  425853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  425856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  425864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  425867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  425870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425885 */     // MIs[0] round
     /*  425885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  425895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425904 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425917 */     GIR_RootConstrainSelectedInstOperands,
     /*  425918 */     // GIR_Coverage, 20652,
     /*  425918 */     GIR_EraseRootFromParent_Done,
     /*  425919 */   // Label 7457: @425919
     /*  425919 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(425990), // Rule ID 20653 //
     /*  425924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  425927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  425932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  425935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  425938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  425941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425956 */     // MIs[0] round
     /*  425956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425966 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  425966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  425969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425975 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425988 */     GIR_RootConstrainSelectedInstOperands,
     /*  425989 */     // GIR_Coverage, 20653,
     /*  425989 */     GIR_EraseRootFromParent_Done,
     /*  425990 */   // Label 7458: @425990
     /*  425990 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(426061), // Rule ID 20656 //
     /*  425995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  425998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  426006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  426009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  426012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426027 */     // MIs[0] round
     /*  426027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  426040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426046 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426059 */     GIR_RootConstrainSelectedInstOperands,
     /*  426060 */     // GIR_Coverage, 20656,
     /*  426060 */     GIR_EraseRootFromParent_Done,
     /*  426061 */   // Label 7459: @426061
     /*  426061 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426132), // Rule ID 20657 //
     /*  426066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  426069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  426077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  426080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  426083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426098 */     // MIs[0] round
     /*  426098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  426111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426117 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426130 */     GIR_RootConstrainSelectedInstOperands,
     /*  426131 */     // GIR_Coverage, 20657,
     /*  426131 */     GIR_EraseRootFromParent_Done,
     /*  426132 */   // Label 7460: @426132
     /*  426132 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426203), // Rule ID 20660 //
     /*  426137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426169 */     // MIs[0] round
     /*  426169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  426182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426188 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426201 */     GIR_RootConstrainSelectedInstOperands,
     /*  426202 */     // GIR_Coverage, 20660,
     /*  426202 */     GIR_EraseRootFromParent_Done,
     /*  426203 */   // Label 7461: @426203
     /*  426203 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426274), // Rule ID 20661 //
     /*  426208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  426211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  426219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  426225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426240 */     // MIs[0] round
     /*  426240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  426253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426259 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426272 */     GIR_RootConstrainSelectedInstOperands,
     /*  426273 */     // GIR_Coverage, 20661,
     /*  426273 */     GIR_EraseRootFromParent_Done,
     /*  426274 */   // Label 7462: @426274
     /*  426274 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426345), // Rule ID 20664 //
     /*  426279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426311 */     // MIs[0] round
     /*  426311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  426324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426330 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426343 */     GIR_RootConstrainSelectedInstOperands,
     /*  426344 */     // GIR_Coverage, 20664,
     /*  426344 */     GIR_EraseRootFromParent_Done,
     /*  426345 */   // Label 7463: @426345
     /*  426345 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426416), // Rule ID 20665 //
     /*  426350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  426353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426382 */     // MIs[0] round
     /*  426382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  426395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426401 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426414 */     GIR_RootConstrainSelectedInstOperands,
     /*  426415 */     // GIR_Coverage, 20665,
     /*  426415 */     GIR_EraseRootFromParent_Done,
     /*  426416 */   // Label 7464: @426416
     /*  426416 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426487), // Rule ID 20668 //
     /*  426421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  426424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426453 */     // MIs[0] round
     /*  426453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  426466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426472 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426485 */     GIR_RootConstrainSelectedInstOperands,
     /*  426486 */     // GIR_Coverage, 20668,
     /*  426486 */     GIR_EraseRootFromParent_Done,
     /*  426487 */   // Label 7465: @426487
     /*  426487 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426558), // Rule ID 20669 //
     /*  426492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  426495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426524 */     // MIs[0] round
     /*  426524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  426537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426543 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426556 */     GIR_RootConstrainSelectedInstOperands,
     /*  426557 */     // GIR_Coverage, 20669,
     /*  426557 */     GIR_EraseRootFromParent_Done,
     /*  426558 */   // Label 7466: @426558
     /*  426558 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426629), // Rule ID 20672 //
     /*  426563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426595 */     // MIs[0] round
     /*  426595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426605 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426614 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426627 */     GIR_RootConstrainSelectedInstOperands,
     /*  426628 */     // GIR_Coverage, 20672,
     /*  426628 */     GIR_EraseRootFromParent_Done,
     /*  426629 */   // Label 7467: @426629
     /*  426629 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(426700), // Rule ID 20673 //
     /*  426634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  426637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426666 */     // MIs[0] round
     /*  426666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426685 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426698 */     GIR_RootConstrainSelectedInstOperands,
     /*  426699 */     // GIR_Coverage, 20673,
     /*  426699 */     GIR_EraseRootFromParent_Done,
     /*  426700 */   // Label 7468: @426700
     /*  426700 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(426771), // Rule ID 20676 //
     /*  426705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  426708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426737 */     // MIs[0] round
     /*  426737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426756 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426769 */     GIR_RootConstrainSelectedInstOperands,
     /*  426770 */     // GIR_Coverage, 20676,
     /*  426770 */     GIR_EraseRootFromParent_Done,
     /*  426771 */   // Label 7469: @426771
     /*  426771 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(426842), // Rule ID 20677 //
     /*  426776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  426779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426808 */     // MIs[0] round
     /*  426808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426827 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426840 */     GIR_RootConstrainSelectedInstOperands,
     /*  426841 */     // GIR_Coverage, 20677,
     /*  426841 */     GIR_EraseRootFromParent_Done,
     /*  426842 */   // Label 7470: @426842
     /*  426842 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(426913), // Rule ID 20680 //
     /*  426847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  426850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426879 */     // MIs[0] round
     /*  426879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426898 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426911 */     GIR_RootConstrainSelectedInstOperands,
     /*  426912 */     // GIR_Coverage, 20680,
     /*  426912 */     GIR_EraseRootFromParent_Done,
     /*  426913 */   // Label 7471: @426913
     /*  426913 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(426984), // Rule ID 20681 //
     /*  426918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  426921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426950 */     // MIs[0] round
     /*  426950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  426963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426969 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426982 */     GIR_RootConstrainSelectedInstOperands,
     /*  426983 */     // GIR_Coverage, 20681,
     /*  426983 */     GIR_EraseRootFromParent_Done,
     /*  426984 */   // Label 7472: @426984
     /*  426984 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427055), // Rule ID 20684 //
     /*  426989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  426997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427021 */     // MIs[0] round
     /*  427021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427040 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427053 */     GIR_RootConstrainSelectedInstOperands,
     /*  427054 */     // GIR_Coverage, 20684,
     /*  427054 */     GIR_EraseRootFromParent_Done,
     /*  427055 */   // Label 7473: @427055
     /*  427055 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427126), // Rule ID 20685 //
     /*  427060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427092 */     // MIs[0] round
     /*  427092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427111 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427124 */     GIR_RootConstrainSelectedInstOperands,
     /*  427125 */     // GIR_Coverage, 20685,
     /*  427125 */     GIR_EraseRootFromParent_Done,
     /*  427126 */   // Label 7474: @427126
     /*  427126 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427197), // Rule ID 20688 //
     /*  427131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  427134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427163 */     // MIs[0] round
     /*  427163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  427176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427182 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427195 */     GIR_RootConstrainSelectedInstOperands,
     /*  427196 */     // GIR_Coverage, 20688,
     /*  427196 */     GIR_EraseRootFromParent_Done,
     /*  427197 */   // Label 7475: @427197
     /*  427197 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427268), // Rule ID 20689 //
     /*  427202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427234 */     // MIs[0] round
     /*  427234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  427247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427253 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427266 */     GIR_RootConstrainSelectedInstOperands,
     /*  427267 */     // GIR_Coverage, 20689,
     /*  427267 */     GIR_EraseRootFromParent_Done,
     /*  427268 */   // Label 7476: @427268
     /*  427268 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427339), // Rule ID 20692 //
     /*  427273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  427276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  427284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  427290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427305 */     // MIs[0] round
     /*  427305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  427318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427324 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427337 */     GIR_RootConstrainSelectedInstOperands,
     /*  427338 */     // GIR_Coverage, 20692,
     /*  427338 */     GIR_EraseRootFromParent_Done,
     /*  427339 */   // Label 7477: @427339
     /*  427339 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427410), // Rule ID 20693 //
     /*  427344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  427355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  427361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427376 */     // MIs[0] round
     /*  427376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  427389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427395 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427408 */     GIR_RootConstrainSelectedInstOperands,
     /*  427409 */     // GIR_Coverage, 20693,
     /*  427409 */     GIR_EraseRootFromParent_Done,
     /*  427410 */   // Label 7478: @427410
     /*  427410 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427481), // Rule ID 20696 //
     /*  427415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  427426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  427432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427447 */     // MIs[0] round
     /*  427447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427466 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427479 */     GIR_RootConstrainSelectedInstOperands,
     /*  427480 */     // GIR_Coverage, 20696,
     /*  427480 */     GIR_EraseRootFromParent_Done,
     /*  427481 */   // Label 7479: @427481
     /*  427481 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(427552), // Rule ID 20697 //
     /*  427486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  427497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  427503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427518 */     // MIs[0] round
     /*  427518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427537 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427550 */     GIR_RootConstrainSelectedInstOperands,
     /*  427551 */     // GIR_Coverage, 20697,
     /*  427551 */     GIR_EraseRootFromParent_Done,
     /*  427552 */   // Label 7480: @427552
     /*  427552 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(427623), // Rule ID 20700 //
     /*  427557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427589 */     // MIs[0] round
     /*  427589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  427602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427608 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427621 */     GIR_RootConstrainSelectedInstOperands,
     /*  427622 */     // GIR_Coverage, 20700,
     /*  427622 */     GIR_EraseRootFromParent_Done,
     /*  427623 */   // Label 7481: @427623
     /*  427623 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(427694), // Rule ID 20701 //
     /*  427628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427660 */     // MIs[0] round
     /*  427660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  427673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427679 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427692 */     GIR_RootConstrainSelectedInstOperands,
     /*  427693 */     // GIR_Coverage, 20701,
     /*  427693 */     GIR_EraseRootFromParent_Done,
     /*  427694 */   // Label 7482: @427694
     /*  427694 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(427765), // Rule ID 20704 //
     /*  427699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427731 */     // MIs[0] round
     /*  427731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427741 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  427744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427750 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427763 */     GIR_RootConstrainSelectedInstOperands,
     /*  427764 */     // GIR_Coverage, 20704,
     /*  427764 */     GIR_EraseRootFromParent_Done,
     /*  427765 */   // Label 7483: @427765
     /*  427765 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(427836), // Rule ID 20705 //
     /*  427770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427802 */     // MIs[0] round
     /*  427802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  427815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427821 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427834 */     GIR_RootConstrainSelectedInstOperands,
     /*  427835 */     // GIR_Coverage, 20705,
     /*  427835 */     GIR_EraseRootFromParent_Done,
     /*  427836 */   // Label 7484: @427836
     /*  427836 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(427907), // Rule ID 20708 //
     /*  427841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  427844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427873 */     // MIs[0] round
     /*  427873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427892 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427905 */     GIR_RootConstrainSelectedInstOperands,
     /*  427906 */     // GIR_Coverage, 20708,
     /*  427906 */     GIR_EraseRootFromParent_Done,
     /*  427907 */   // Label 7485: @427907
     /*  427907 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(427978), // Rule ID 20709 //
     /*  427912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  427915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427944 */     // MIs[0] round
     /*  427944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  427957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427963 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427976 */     GIR_RootConstrainSelectedInstOperands,
     /*  427977 */     // GIR_Coverage, 20709,
     /*  427977 */     GIR_EraseRootFromParent_Done,
     /*  427978 */   // Label 7486: @427978
     /*  427978 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428049), // Rule ID 20712 //
     /*  427983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  427986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  427991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  427994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  427997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428015 */     // MIs[0] round
     /*  428015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  428028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428034 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428047 */     GIR_RootConstrainSelectedInstOperands,
     /*  428048 */     // GIR_Coverage, 20712,
     /*  428048 */     GIR_EraseRootFromParent_Done,
     /*  428049 */   // Label 7487: @428049
     /*  428049 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428120), // Rule ID 20713 //
     /*  428054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  428057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  428065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428086 */     // MIs[0] round
     /*  428086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  428099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428105 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428118 */     GIR_RootConstrainSelectedInstOperands,
     /*  428119 */     // GIR_Coverage, 20713,
     /*  428119 */     GIR_EraseRootFromParent_Done,
     /*  428120 */   // Label 7488: @428120
     /*  428120 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428191), // Rule ID 20716 //
     /*  428125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  428128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  428136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  428142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428157 */     // MIs[0] round
     /*  428157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  428170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428176 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428189 */     GIR_RootConstrainSelectedInstOperands,
     /*  428190 */     // GIR_Coverage, 20716,
     /*  428190 */     GIR_EraseRootFromParent_Done,
     /*  428191 */   // Label 7489: @428191
     /*  428191 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428262), // Rule ID 20717 //
     /*  428196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  428199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  428207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  428213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428228 */     // MIs[0] round
     /*  428228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  428241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428247 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428260 */     GIR_RootConstrainSelectedInstOperands,
     /*  428261 */     // GIR_Coverage, 20717,
     /*  428261 */     GIR_EraseRootFromParent_Done,
     /*  428262 */   // Label 7490: @428262
     /*  428262 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428333), // Rule ID 20840 //
     /*  428267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428299 */     // MIs[0] round
     /*  428299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428309 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  428312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428318 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428331 */     GIR_RootConstrainSelectedInstOperands,
     /*  428332 */     // GIR_Coverage, 20840,
     /*  428332 */     GIR_EraseRootFromParent_Done,
     /*  428333 */   // Label 7491: @428333
     /*  428333 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(428404), // Rule ID 20841 //
     /*  428338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428370 */     // MIs[0] round
     /*  428370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428380 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  428383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428389 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428402 */     GIR_RootConstrainSelectedInstOperands,
     /*  428403 */     // GIR_Coverage, 20841,
     /*  428403 */     GIR_EraseRootFromParent_Done,
     /*  428404 */   // Label 7492: @428404
     /*  428404 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(428475), // Rule ID 20844 //
     /*  428409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428441 */     // MIs[0] round
     /*  428441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428451 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  428454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428460 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428473 */     GIR_RootConstrainSelectedInstOperands,
     /*  428474 */     // GIR_Coverage, 20844,
     /*  428474 */     GIR_EraseRootFromParent_Done,
     /*  428475 */   // Label 7493: @428475
     /*  428475 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(428546), // Rule ID 20845 //
     /*  428480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428512 */     // MIs[0] round
     /*  428512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428522 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  428525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428531 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428544 */     GIR_RootConstrainSelectedInstOperands,
     /*  428545 */     // GIR_Coverage, 20845,
     /*  428545 */     GIR_EraseRootFromParent_Done,
     /*  428546 */   // Label 7494: @428546
     /*  428546 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(428617), // Rule ID 20848 //
     /*  428551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  428554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428583 */     // MIs[0] round
     /*  428583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428593 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  428596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428602 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428615 */     GIR_RootConstrainSelectedInstOperands,
     /*  428616 */     // GIR_Coverage, 20848,
     /*  428616 */     GIR_EraseRootFromParent_Done,
     /*  428617 */   // Label 7495: @428617
     /*  428617 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(428688), // Rule ID 20849 //
     /*  428622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  428625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428654 */     // MIs[0] round
     /*  428654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428664 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  428667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428673 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428686 */     GIR_RootConstrainSelectedInstOperands,
     /*  428687 */     // GIR_Coverage, 20849,
     /*  428687 */     GIR_EraseRootFromParent_Done,
     /*  428688 */   // Label 7496: @428688
     /*  428688 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(428759), // Rule ID 20852 //
     /*  428693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428725 */     // MIs[0] round
     /*  428725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428735 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  428738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428744 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428757 */     GIR_RootConstrainSelectedInstOperands,
     /*  428758 */     // GIR_Coverage, 20852,
     /*  428758 */     GIR_EraseRootFromParent_Done,
     /*  428759 */   // Label 7497: @428759
     /*  428759 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(428830), // Rule ID 20853 //
     /*  428764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428796 */     // MIs[0] round
     /*  428796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428806 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  428809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428815 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428828 */     GIR_RootConstrainSelectedInstOperands,
     /*  428829 */     // GIR_Coverage, 20853,
     /*  428829 */     GIR_EraseRootFromParent_Done,
     /*  428830 */   // Label 7498: @428830
     /*  428830 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(428901), // Rule ID 20856 //
     /*  428835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  428838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428867 */     // MIs[0] round
     /*  428867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  428880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428886 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428899 */     GIR_RootConstrainSelectedInstOperands,
     /*  428900 */     // GIR_Coverage, 20856,
     /*  428900 */     GIR_EraseRootFromParent_Done,
     /*  428901 */   // Label 7499: @428901
     /*  428901 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(428972), // Rule ID 20857 //
     /*  428906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  428909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428938 */     // MIs[0] round
     /*  428938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  428951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428957 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428970 */     GIR_RootConstrainSelectedInstOperands,
     /*  428971 */     // GIR_Coverage, 20857,
     /*  428971 */     GIR_EraseRootFromParent_Done,
     /*  428972 */   // Label 7500: @428972
     /*  428972 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429043), // Rule ID 20860 //
     /*  428977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  428980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  428985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429009 */     // MIs[0] round
     /*  429009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429019 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  429022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429028 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429041 */     GIR_RootConstrainSelectedInstOperands,
     /*  429042 */     // GIR_Coverage, 20860,
     /*  429042 */     GIR_EraseRootFromParent_Done,
     /*  429043 */   // Label 7501: @429043
     /*  429043 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429114), // Rule ID 20861 //
     /*  429048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  429051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  429059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  429062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  429065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429080 */     // MIs[0] round
     /*  429080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  429093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429099 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429112 */     GIR_RootConstrainSelectedInstOperands,
     /*  429113 */     // GIR_Coverage, 20861,
     /*  429113 */     GIR_EraseRootFromParent_Done,
     /*  429114 */   // Label 7502: @429114
     /*  429114 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(429185), // Rule ID 20864 //
     /*  429119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429151 */     // MIs[0] round
     /*  429151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429161 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  429164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429170 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429183 */     GIR_RootConstrainSelectedInstOperands,
     /*  429184 */     // GIR_Coverage, 20864,
     /*  429184 */     GIR_EraseRootFromParent_Done,
     /*  429185 */   // Label 7503: @429185
     /*  429185 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(429256), // Rule ID 20865 //
     /*  429190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429222 */     // MIs[0] round
     /*  429222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429232 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  429235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429241 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429254 */     GIR_RootConstrainSelectedInstOperands,
     /*  429255 */     // GIR_Coverage, 20865,
     /*  429255 */     GIR_EraseRootFromParent_Done,
     /*  429256 */   // Label 7504: @429256
     /*  429256 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(429327), // Rule ID 20868 //
     /*  429261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429293 */     // MIs[0] round
     /*  429293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429303 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  429306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429312 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429325 */     GIR_RootConstrainSelectedInstOperands,
     /*  429326 */     // GIR_Coverage, 20868,
     /*  429326 */     GIR_EraseRootFromParent_Done,
     /*  429327 */   // Label 7505: @429327
     /*  429327 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(429398), // Rule ID 20869 //
     /*  429332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429364 */     // MIs[0] round
     /*  429364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  429377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429383 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429396 */     GIR_RootConstrainSelectedInstOperands,
     /*  429397 */     // GIR_Coverage, 20869,
     /*  429397 */     GIR_EraseRootFromParent_Done,
     /*  429398 */   // Label 7506: @429398
     /*  429398 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(429469), // Rule ID 20872 //
     /*  429403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429435 */     // MIs[0] round
     /*  429435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429445 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  429448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429454 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429467 */     GIR_RootConstrainSelectedInstOperands,
     /*  429468 */     // GIR_Coverage, 20872,
     /*  429468 */     GIR_EraseRootFromParent_Done,
     /*  429469 */   // Label 7507: @429469
     /*  429469 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(429540), // Rule ID 20873 //
     /*  429474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429506 */     // MIs[0] round
     /*  429506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429516 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  429519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429525 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429538 */     GIR_RootConstrainSelectedInstOperands,
     /*  429539 */     // GIR_Coverage, 20873,
     /*  429539 */     GIR_EraseRootFromParent_Done,
     /*  429540 */   // Label 7508: @429540
     /*  429540 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(429611), // Rule ID 20876 //
     /*  429545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429577 */     // MIs[0] round
     /*  429577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  429590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429596 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429609 */     GIR_RootConstrainSelectedInstOperands,
     /*  429610 */     // GIR_Coverage, 20876,
     /*  429610 */     GIR_EraseRootFromParent_Done,
     /*  429611 */   // Label 7509: @429611
     /*  429611 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(429682), // Rule ID 20877 //
     /*  429616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429648 */     // MIs[0] round
     /*  429648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  429661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429680 */     GIR_RootConstrainSelectedInstOperands,
     /*  429681 */     // GIR_Coverage, 20877,
     /*  429681 */     GIR_EraseRootFromParent_Done,
     /*  429682 */   // Label 7510: @429682
     /*  429682 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(429753), // Rule ID 20880 //
     /*  429687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429719 */     // MIs[0] round
     /*  429719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  429732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429751 */     GIR_RootConstrainSelectedInstOperands,
     /*  429752 */     // GIR_Coverage, 20880,
     /*  429752 */     GIR_EraseRootFromParent_Done,
     /*  429753 */   // Label 7511: @429753
     /*  429753 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(429824), // Rule ID 20881 //
     /*  429758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429790 */     // MIs[0] round
     /*  429790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  429803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429822 */     GIR_RootConstrainSelectedInstOperands,
     /*  429823 */     // GIR_Coverage, 20881,
     /*  429823 */     GIR_EraseRootFromParent_Done,
     /*  429824 */   // Label 7512: @429824
     /*  429824 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(429895), // Rule ID 20884 //
     /*  429829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429861 */     // MIs[0] round
     /*  429861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  429874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429893 */     GIR_RootConstrainSelectedInstOperands,
     /*  429894 */     // GIR_Coverage, 20884,
     /*  429894 */     GIR_EraseRootFromParent_Done,
     /*  429895 */   // Label 7513: @429895
     /*  429895 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(429966), // Rule ID 20885 //
     /*  429900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429932 */     // MIs[0] round
     /*  429932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429942 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  429945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429964 */     GIR_RootConstrainSelectedInstOperands,
     /*  429965 */     // GIR_Coverage, 20885,
     /*  429965 */     GIR_EraseRootFromParent_Done,
     /*  429966 */   // Label 7514: @429966
     /*  429966 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(430037), // Rule ID 20888 //
     /*  429971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  429974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  429979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430003 */     // MIs[0] round
     /*  430003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430013 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  430016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430035 */     GIR_RootConstrainSelectedInstOperands,
     /*  430036 */     // GIR_Coverage, 20888,
     /*  430036 */     GIR_EraseRootFromParent_Done,
     /*  430037 */   // Label 7515: @430037
     /*  430037 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(430108), // Rule ID 20889 //
     /*  430042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  430053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  430056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  430059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430074 */     // MIs[0] round
     /*  430074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430084 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  430087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430106 */     GIR_RootConstrainSelectedInstOperands,
     /*  430107 */     // GIR_Coverage, 20889,
     /*  430107 */     GIR_EraseRootFromParent_Done,
     /*  430108 */   // Label 7516: @430108
     /*  430108 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(430179), // Rule ID 20892 //
     /*  430113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  430116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430145 */     // MIs[0] round
     /*  430145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430155 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  430158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430177 */     GIR_RootConstrainSelectedInstOperands,
     /*  430178 */     // GIR_Coverage, 20892,
     /*  430178 */     GIR_EraseRootFromParent_Done,
     /*  430179 */   // Label 7517: @430179
     /*  430179 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(430250), // Rule ID 20893 //
     /*  430184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430216 */     // MIs[0] round
     /*  430216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  430229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430248 */     GIR_RootConstrainSelectedInstOperands,
     /*  430249 */     // GIR_Coverage, 20893,
     /*  430249 */     GIR_EraseRootFromParent_Done,
     /*  430250 */   // Label 7518: @430250
     /*  430250 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(430321), // Rule ID 20896 //
     /*  430255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  430258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430287 */     // MIs[0] round
     /*  430287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430297 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  430300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430319 */     GIR_RootConstrainSelectedInstOperands,
     /*  430320 */     // GIR_Coverage, 20896,
     /*  430320 */     GIR_EraseRootFromParent_Done,
     /*  430321 */   // Label 7519: @430321
     /*  430321 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(430392), // Rule ID 20897 //
     /*  430326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430358 */     // MIs[0] round
     /*  430358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  430371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430390 */     GIR_RootConstrainSelectedInstOperands,
     /*  430391 */     // GIR_Coverage, 20897,
     /*  430391 */     GIR_EraseRootFromParent_Done,
     /*  430392 */   // Label 7520: @430392
     /*  430392 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(430463), // Rule ID 20900 //
     /*  430397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430429 */     // MIs[0] round
     /*  430429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430439 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  430442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430461 */     GIR_RootConstrainSelectedInstOperands,
     /*  430462 */     // GIR_Coverage, 20900,
     /*  430462 */     GIR_EraseRootFromParent_Done,
     /*  430463 */   // Label 7521: @430463
     /*  430463 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(430534), // Rule ID 20901 //
     /*  430468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430500 */     // MIs[0] round
     /*  430500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  430513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430532 */     GIR_RootConstrainSelectedInstOperands,
     /*  430533 */     // GIR_Coverage, 20901,
     /*  430533 */     GIR_EraseRootFromParent_Done,
     /*  430534 */   // Label 7522: @430534
     /*  430534 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(430605), // Rule ID 20904 //
     /*  430539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430571 */     // MIs[0] round
     /*  430571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430581 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  430584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430603 */     GIR_RootConstrainSelectedInstOperands,
     /*  430604 */     // GIR_Coverage, 20904,
     /*  430604 */     GIR_EraseRootFromParent_Done,
     /*  430605 */   // Label 7523: @430605
     /*  430605 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(430676), // Rule ID 20905 //
     /*  430610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430642 */     // MIs[0] round
     /*  430642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  430655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430674 */     GIR_RootConstrainSelectedInstOperands,
     /*  430675 */     // GIR_Coverage, 20905,
     /*  430675 */     GIR_EraseRootFromParent_Done,
     /*  430676 */   // Label 7524: @430676
     /*  430676 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(430747), // Rule ID 20908 //
     /*  430681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  430684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430713 */     // MIs[0] round
     /*  430713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430723 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  430726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430745 */     GIR_RootConstrainSelectedInstOperands,
     /*  430746 */     // GIR_Coverage, 20908,
     /*  430746 */     GIR_EraseRootFromParent_Done,
     /*  430747 */   // Label 7525: @430747
     /*  430747 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(430818), // Rule ID 20909 //
     /*  430752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  430755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430784 */     // MIs[0] round
     /*  430784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430794 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  430797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430816 */     GIR_RootConstrainSelectedInstOperands,
     /*  430817 */     // GIR_Coverage, 20909,
     /*  430817 */     GIR_EraseRootFromParent_Done,
     /*  430818 */   // Label 7526: @430818
     /*  430818 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(430889), // Rule ID 20912 //
     /*  430823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430855 */     // MIs[0] round
     /*  430855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  430868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430887 */     GIR_RootConstrainSelectedInstOperands,
     /*  430888 */     // GIR_Coverage, 20912,
     /*  430888 */     GIR_EraseRootFromParent_Done,
     /*  430889 */   // Label 7527: @430889
     /*  430889 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(430960), // Rule ID 20913 //
     /*  430894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430926 */     // MIs[0] round
     /*  430926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  430939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430958 */     GIR_RootConstrainSelectedInstOperands,
     /*  430959 */     // GIR_Coverage, 20913,
     /*  430959 */     GIR_EraseRootFromParent_Done,
     /*  430960 */   // Label 7528: @430960
     /*  430960 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(431031), // Rule ID 20916 //
     /*  430965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  430968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  430973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430997 */     // MIs[0] round
     /*  430997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431007 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  431010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431029 */     GIR_RootConstrainSelectedInstOperands,
     /*  431030 */     // GIR_Coverage, 20916,
     /*  431030 */     GIR_EraseRootFromParent_Done,
     /*  431031 */   // Label 7529: @431031
     /*  431031 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(431102), // Rule ID 20917 //
     /*  431036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431068 */     // MIs[0] round
     /*  431068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431078 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  431081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431100 */     GIR_RootConstrainSelectedInstOperands,
     /*  431101 */     // GIR_Coverage, 20917,
     /*  431101 */     GIR_EraseRootFromParent_Done,
     /*  431102 */   // Label 7530: @431102
     /*  431102 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(431173), // Rule ID 20920 //
     /*  431107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  431110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431139 */     // MIs[0] round
     /*  431139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  431152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431171 */     GIR_RootConstrainSelectedInstOperands,
     /*  431172 */     // GIR_Coverage, 20920,
     /*  431172 */     GIR_EraseRootFromParent_Done,
     /*  431173 */   // Label 7531: @431173
     /*  431173 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(431244), // Rule ID 20921 //
     /*  431178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  431181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431210 */     // MIs[0] round
     /*  431210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431220 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  431223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431242 */     GIR_RootConstrainSelectedInstOperands,
     /*  431243 */     // GIR_Coverage, 20921,
     /*  431243 */     GIR_EraseRootFromParent_Done,
     /*  431244 */   // Label 7532: @431244
     /*  431244 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(431315), // Rule ID 20924 //
     /*  431249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431281 */     // MIs[0] round
     /*  431281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431291 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  431294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431313 */     GIR_RootConstrainSelectedInstOperands,
     /*  431314 */     // GIR_Coverage, 20924,
     /*  431314 */     GIR_EraseRootFromParent_Done,
     /*  431315 */   // Label 7533: @431315
     /*  431315 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(431386), // Rule ID 20925 //
     /*  431320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431352 */     // MIs[0] round
     /*  431352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431362 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  431365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431384 */     GIR_RootConstrainSelectedInstOperands,
     /*  431385 */     // GIR_Coverage, 20925,
     /*  431385 */     GIR_EraseRootFromParent_Done,
     /*  431386 */   // Label 7534: @431386
     /*  431386 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(431457), // Rule ID 20928 //
     /*  431391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431423 */     // MIs[0] round
     /*  431423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  431436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431455 */     GIR_RootConstrainSelectedInstOperands,
     /*  431456 */     // GIR_Coverage, 20928,
     /*  431456 */     GIR_EraseRootFromParent_Done,
     /*  431457 */   // Label 7535: @431457
     /*  431457 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(431528), // Rule ID 20929 //
     /*  431462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431494 */     // MIs[0] round
     /*  431494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431504 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  431507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431526 */     GIR_RootConstrainSelectedInstOperands,
     /*  431527 */     // GIR_Coverage, 20929,
     /*  431527 */     GIR_EraseRootFromParent_Done,
     /*  431528 */   // Label 7536: @431528
     /*  431528 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(431599), // Rule ID 20932 //
     /*  431533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431565 */     // MIs[0] round
     /*  431565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431575 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  431578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431597 */     GIR_RootConstrainSelectedInstOperands,
     /*  431598 */     // GIR_Coverage, 20932,
     /*  431598 */     GIR_EraseRootFromParent_Done,
     /*  431599 */   // Label 7537: @431599
     /*  431599 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(431670), // Rule ID 20933 //
     /*  431604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431636 */     // MIs[0] round
     /*  431636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431646 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  431649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431668 */     GIR_RootConstrainSelectedInstOperands,
     /*  431669 */     // GIR_Coverage, 20933,
     /*  431669 */     GIR_EraseRootFromParent_Done,
     /*  431670 */   // Label 7538: @431670
     /*  431670 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(431741), // Rule ID 20936 //
     /*  431675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  431686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  431689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  431692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431707 */     // MIs[0] round
     /*  431707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  431720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431739 */     GIR_RootConstrainSelectedInstOperands,
     /*  431740 */     // GIR_Coverage, 20936,
     /*  431740 */     GIR_EraseRootFromParent_Done,
     /*  431741 */   // Label 7539: @431741
     /*  431741 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(431812), // Rule ID 20937 //
     /*  431746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  431757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  431760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  431763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431778 */     // MIs[0] round
     /*  431778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  431791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431810 */     GIR_RootConstrainSelectedInstOperands,
     /*  431811 */     // GIR_Coverage, 20937,
     /*  431811 */     GIR_EraseRootFromParent_Done,
     /*  431812 */   // Label 7540: @431812
     /*  431812 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(431883), // Rule ID 20940 //
     /*  431817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  431828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  431831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  431834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431849 */     // MIs[0] round
     /*  431849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  431862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431881 */     GIR_RootConstrainSelectedInstOperands,
     /*  431882 */     // GIR_Coverage, 20940,
     /*  431882 */     GIR_EraseRootFromParent_Done,
     /*  431883 */   // Label 7541: @431883
     /*  431883 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(431954), // Rule ID 20941 //
     /*  431888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  431899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  431902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  431905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431920 */     // MIs[0] round
     /*  431920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431930 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  431933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431952 */     GIR_RootConstrainSelectedInstOperands,
     /*  431953 */     // GIR_Coverage, 20941,
     /*  431953 */     GIR_EraseRootFromParent_Done,
     /*  431954 */   // Label 7542: @431954
     /*  431954 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(432025), // Rule ID 20944 //
     /*  431959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  431967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  431970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  431973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  431976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431991 */     // MIs[0] round
     /*  431991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432001 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  432004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432023 */     GIR_RootConstrainSelectedInstOperands,
     /*  432024 */     // GIR_Coverage, 20944,
     /*  432024 */     GIR_EraseRootFromParent_Done,
     /*  432025 */   // Label 7543: @432025
     /*  432025 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(432096), // Rule ID 20945 //
     /*  432030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  432033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  432041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432062 */     // MIs[0] round
     /*  432062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  432075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432094 */     GIR_RootConstrainSelectedInstOperands,
     /*  432095 */     // GIR_Coverage, 20945,
     /*  432095 */     GIR_EraseRootFromParent_Done,
     /*  432096 */   // Label 7544: @432096
     /*  432096 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(432167), // Rule ID 20948 //
     /*  432101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432133 */     // MIs[0] round
     /*  432133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  432146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432165 */     GIR_RootConstrainSelectedInstOperands,
     /*  432166 */     // GIR_Coverage, 20948,
     /*  432166 */     GIR_EraseRootFromParent_Done,
     /*  432167 */   // Label 7545: @432167
     /*  432167 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(432238), // Rule ID 20949 //
     /*  432172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432204 */     // MIs[0] round
     /*  432204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432214 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  432217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432236 */     GIR_RootConstrainSelectedInstOperands,
     /*  432237 */     // GIR_Coverage, 20949,
     /*  432237 */     GIR_EraseRootFromParent_Done,
     /*  432238 */   // Label 7546: @432238
     /*  432238 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(432309), // Rule ID 20952 //
     /*  432243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432275 */     // MIs[0] round
     /*  432275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432285 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  432288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432307 */     GIR_RootConstrainSelectedInstOperands,
     /*  432308 */     // GIR_Coverage, 20952,
     /*  432308 */     GIR_EraseRootFromParent_Done,
     /*  432309 */   // Label 7547: @432309
     /*  432309 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(432380), // Rule ID 20953 //
     /*  432314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432346 */     // MIs[0] round
     /*  432346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  432359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432378 */     GIR_RootConstrainSelectedInstOperands,
     /*  432379 */     // GIR_Coverage, 20953,
     /*  432379 */     GIR_EraseRootFromParent_Done,
     /*  432380 */   // Label 7548: @432380
     /*  432380 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(432451), // Rule ID 20956 //
     /*  432385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432417 */     // MIs[0] round
     /*  432417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  432430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432449 */     GIR_RootConstrainSelectedInstOperands,
     /*  432450 */     // GIR_Coverage, 20956,
     /*  432450 */     GIR_EraseRootFromParent_Done,
     /*  432451 */   // Label 7549: @432451
     /*  432451 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(432522), // Rule ID 20957 //
     /*  432456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432488 */     // MIs[0] round
     /*  432488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  432501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432520 */     GIR_RootConstrainSelectedInstOperands,
     /*  432521 */     // GIR_Coverage, 20957,
     /*  432521 */     GIR_EraseRootFromParent_Done,
     /*  432522 */   // Label 7550: @432522
     /*  432522 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(432593), // Rule ID 21032 //
     /*  432527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432559 */     // MIs[0] round
     /*  432559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  432572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432591 */     GIR_RootConstrainSelectedInstOperands,
     /*  432592 */     // GIR_Coverage, 21032,
     /*  432592 */     GIR_EraseRootFromParent_Done,
     /*  432593 */   // Label 7551: @432593
     /*  432593 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(432664), // Rule ID 21033 //
     /*  432598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432630 */     // MIs[0] round
     /*  432630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432640 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  432643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432662 */     GIR_RootConstrainSelectedInstOperands,
     /*  432663 */     // GIR_Coverage, 21033,
     /*  432663 */     GIR_EraseRootFromParent_Done,
     /*  432664 */   // Label 7552: @432664
     /*  432664 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(432735), // Rule ID 21036 //
     /*  432669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432701 */     // MIs[0] round
     /*  432701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  432714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432733 */     GIR_RootConstrainSelectedInstOperands,
     /*  432734 */     // GIR_Coverage, 21036,
     /*  432734 */     GIR_EraseRootFromParent_Done,
     /*  432735 */   // Label 7553: @432735
     /*  432735 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(432806), // Rule ID 21037 //
     /*  432740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432772 */     // MIs[0] round
     /*  432772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  432785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432804 */     GIR_RootConstrainSelectedInstOperands,
     /*  432805 */     // GIR_Coverage, 21037,
     /*  432805 */     GIR_EraseRootFromParent_Done,
     /*  432806 */   // Label 7554: @432806
     /*  432806 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(432877), // Rule ID 21040 //
     /*  432811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432843 */     // MIs[0] round
     /*  432843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  432856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432875 */     GIR_RootConstrainSelectedInstOperands,
     /*  432876 */     // GIR_Coverage, 21040,
     /*  432876 */     GIR_EraseRootFromParent_Done,
     /*  432877 */   // Label 7555: @432877
     /*  432877 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(432948), // Rule ID 21041 //
     /*  432882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  432893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  432896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432914 */     // MIs[0] round
     /*  432914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  432927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432946 */     GIR_RootConstrainSelectedInstOperands,
     /*  432947 */     // GIR_Coverage, 21041,
     /*  432947 */     GIR_EraseRootFromParent_Done,
     /*  432948 */   // Label 7556: @432948
     /*  432948 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(433019), // Rule ID 21044 //
     /*  432953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  432961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  432964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  432967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432985 */     // MIs[0] round
     /*  432985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  432998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433017 */     GIR_RootConstrainSelectedInstOperands,
     /*  433018 */     // GIR_Coverage, 21044,
     /*  433018 */     GIR_EraseRootFromParent_Done,
     /*  433019 */   // Label 7557: @433019
     /*  433019 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(433090), // Rule ID 21045 //
     /*  433024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433056 */     // MIs[0] round
     /*  433056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  433069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433088 */     GIR_RootConstrainSelectedInstOperands,
     /*  433089 */     // GIR_Coverage, 21045,
     /*  433089 */     GIR_EraseRootFromParent_Done,
     /*  433090 */   // Label 7558: @433090
     /*  433090 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(433161), // Rule ID 21048 //
     /*  433095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433127 */     // MIs[0] round
     /*  433127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433137 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  433140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433159 */     GIR_RootConstrainSelectedInstOperands,
     /*  433160 */     // GIR_Coverage, 21048,
     /*  433160 */     GIR_EraseRootFromParent_Done,
     /*  433161 */   // Label 7559: @433161
     /*  433161 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(433232), // Rule ID 21049 //
     /*  433166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433198 */     // MIs[0] round
     /*  433198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  433211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433230 */     GIR_RootConstrainSelectedInstOperands,
     /*  433231 */     // GIR_Coverage, 21049,
     /*  433231 */     GIR_EraseRootFromParent_Done,
     /*  433232 */   // Label 7560: @433232
     /*  433232 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(433303), // Rule ID 21052 //
     /*  433237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  433240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  433254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433269 */     // MIs[0] round
     /*  433269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  433282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433301 */     GIR_RootConstrainSelectedInstOperands,
     /*  433302 */     // GIR_Coverage, 21052,
     /*  433302 */     GIR_EraseRootFromParent_Done,
     /*  433303 */   // Label 7561: @433303
     /*  433303 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(433374), // Rule ID 21053 //
     /*  433308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  433311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  433325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433340 */     // MIs[0] round
     /*  433340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  433353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433372 */     GIR_RootConstrainSelectedInstOperands,
     /*  433373 */     // GIR_Coverage, 21053,
     /*  433373 */     GIR_EraseRootFromParent_Done,
     /*  433374 */   // Label 7562: @433374
     /*  433374 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(433445), // Rule ID 21056 //
     /*  433379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  433382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433411 */     // MIs[0] round
     /*  433411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  433424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433443 */     GIR_RootConstrainSelectedInstOperands,
     /*  433444 */     // GIR_Coverage, 21056,
     /*  433444 */     GIR_EraseRootFromParent_Done,
     /*  433445 */   // Label 7563: @433445
     /*  433445 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(433516), // Rule ID 21057 //
     /*  433450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  433453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433482 */     // MIs[0] round
     /*  433482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  433495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433514 */     GIR_RootConstrainSelectedInstOperands,
     /*  433515 */     // GIR_Coverage, 21057,
     /*  433515 */     GIR_EraseRootFromParent_Done,
     /*  433516 */   // Label 7564: @433516
     /*  433516 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(433587), // Rule ID 21060 //
     /*  433521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  433524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433553 */     // MIs[0] round
     /*  433553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  433566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433585 */     GIR_RootConstrainSelectedInstOperands,
     /*  433586 */     // GIR_Coverage, 21060,
     /*  433586 */     GIR_EraseRootFromParent_Done,
     /*  433587 */   // Label 7565: @433587
     /*  433587 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(433658), // Rule ID 21061 //
     /*  433592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  433595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  433603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  433606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433624 */     // MIs[0] round
     /*  433624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  433637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433656 */     GIR_RootConstrainSelectedInstOperands,
     /*  433657 */     // GIR_Coverage, 21061,
     /*  433657 */     GIR_EraseRootFromParent_Done,
     /*  433658 */   // Label 7566: @433658
     /*  433658 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(433729), // Rule ID 21064 //
     /*  433663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  433666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433695 */     // MIs[0] round
     /*  433695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  433708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433727 */     GIR_RootConstrainSelectedInstOperands,
     /*  433728 */     // GIR_Coverage, 21064,
     /*  433728 */     GIR_EraseRootFromParent_Done,
     /*  433729 */   // Label 7567: @433729
     /*  433729 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(433800), // Rule ID 21065 //
     /*  433734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  433737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  433742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  433745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  433748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433766 */     // MIs[0] round
     /*  433766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  433779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433798 */     GIR_RootConstrainSelectedInstOperands,
     /*  433799 */     // GIR_Coverage, 21065,
     /*  433799 */     GIR_EraseRootFromParent_Done,
     /*  433800 */   // Label 7568: @433800
     /*  433800 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(433871), // Rule ID 21068 //
     /*  433805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  433813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  433816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  433819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433837 */     // MIs[0] round
     /*  433837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  433850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433869 */     GIR_RootConstrainSelectedInstOperands,
     /*  433870 */     // GIR_Coverage, 21068,
     /*  433870 */     GIR_EraseRootFromParent_Done,
     /*  433871 */   // Label 7569: @433871
     /*  433871 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(433942), // Rule ID 21069 //
     /*  433876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  433884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  433887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  433890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  433893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433908 */     // MIs[0] round
     /*  433908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  433921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433940 */     GIR_RootConstrainSelectedInstOperands,
     /*  433941 */     // GIR_Coverage, 21069,
     /*  433941 */     GIR_EraseRootFromParent_Done,
     /*  433942 */   // Label 7570: @433942
     /*  433942 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(434013), // Rule ID 21072 //
     /*  433947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  433955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  433958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  433961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  433964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433979 */     // MIs[0] round
     /*  433979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  433992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434011 */     GIR_RootConstrainSelectedInstOperands,
     /*  434012 */     // GIR_Coverage, 21072,
     /*  434012 */     GIR_EraseRootFromParent_Done,
     /*  434013 */   // Label 7571: @434013
     /*  434013 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(434084), // Rule ID 21073 //
     /*  434018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434050 */     // MIs[0] round
     /*  434050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  434063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434082 */     GIR_RootConstrainSelectedInstOperands,
     /*  434083 */     // GIR_Coverage, 21073,
     /*  434083 */     GIR_EraseRootFromParent_Done,
     /*  434084 */   // Label 7572: @434084
     /*  434084 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(434155), // Rule ID 21076 //
     /*  434089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434121 */     // MIs[0] round
     /*  434121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  434134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434153 */     GIR_RootConstrainSelectedInstOperands,
     /*  434154 */     // GIR_Coverage, 21076,
     /*  434154 */     GIR_EraseRootFromParent_Done,
     /*  434155 */   // Label 7573: @434155
     /*  434155 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(434226), // Rule ID 21077 //
     /*  434160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434192 */     // MIs[0] round
     /*  434192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  434205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434224 */     GIR_RootConstrainSelectedInstOperands,
     /*  434225 */     // GIR_Coverage, 21077,
     /*  434225 */     GIR_EraseRootFromParent_Done,
     /*  434226 */   // Label 7574: @434226
     /*  434226 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(434297), // Rule ID 21080 //
     /*  434231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  434242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  434245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  434248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434263 */     // MIs[0] round
     /*  434263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  434276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434295 */     GIR_RootConstrainSelectedInstOperands,
     /*  434296 */     // GIR_Coverage, 21080,
     /*  434296 */     GIR_EraseRootFromParent_Done,
     /*  434297 */   // Label 7575: @434297
     /*  434297 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(434368), // Rule ID 21081 //
     /*  434302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  434313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  434316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  434319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434334 */     // MIs[0] round
     /*  434334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  434347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434366 */     GIR_RootConstrainSelectedInstOperands,
     /*  434367 */     // GIR_Coverage, 21081,
     /*  434367 */     GIR_EraseRootFromParent_Done,
     /*  434368 */   // Label 7576: @434368
     /*  434368 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(434439), // Rule ID 21084 //
     /*  434373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  434390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434405 */     // MIs[0] round
     /*  434405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  434418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434437 */     GIR_RootConstrainSelectedInstOperands,
     /*  434438 */     // GIR_Coverage, 21084,
     /*  434438 */     GIR_EraseRootFromParent_Done,
     /*  434439 */   // Label 7577: @434439
     /*  434439 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(434510), // Rule ID 21085 //
     /*  434444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  434461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434476 */     // MIs[0] round
     /*  434476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  434489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434508 */     GIR_RootConstrainSelectedInstOperands,
     /*  434509 */     // GIR_Coverage, 21085,
     /*  434509 */     GIR_EraseRootFromParent_Done,
     /*  434510 */   // Label 7578: @434510
     /*  434510 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(434581), // Rule ID 21088 //
     /*  434515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  434518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434547 */     // MIs[0] round
     /*  434547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  434560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434579 */     GIR_RootConstrainSelectedInstOperands,
     /*  434580 */     // GIR_Coverage, 21088,
     /*  434580 */     GIR_EraseRootFromParent_Done,
     /*  434581 */   // Label 7579: @434581
     /*  434581 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(434652), // Rule ID 21089 //
     /*  434586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  434589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  434597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  434600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  434603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434618 */     // MIs[0] round
     /*  434618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  434631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434650 */     GIR_RootConstrainSelectedInstOperands,
     /*  434651 */     // GIR_Coverage, 21089,
     /*  434651 */     GIR_EraseRootFromParent_Done,
     /*  434652 */   // Label 7580: @434652
     /*  434652 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(434723), // Rule ID 21092 //
     /*  434657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  434660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434689 */     // MIs[0] round
     /*  434689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  434702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434721 */     GIR_RootConstrainSelectedInstOperands,
     /*  434722 */     // GIR_Coverage, 21092,
     /*  434722 */     GIR_EraseRootFromParent_Done,
     /*  434723 */   // Label 7581: @434723
     /*  434723 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(434794), // Rule ID 21093 //
     /*  434728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  434731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  434745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434760 */     // MIs[0] round
     /*  434760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  434773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434792 */     GIR_RootConstrainSelectedInstOperands,
     /*  434793 */     // GIR_Coverage, 21093,
     /*  434793 */     GIR_EraseRootFromParent_Done,
     /*  434794 */   // Label 7582: @434794
     /*  434794 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(434865), // Rule ID 21096 //
     /*  434799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  434802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  434816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434831 */     // MIs[0] round
     /*  434831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434841 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  434844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434863 */     GIR_RootConstrainSelectedInstOperands,
     /*  434864 */     // GIR_Coverage, 21096,
     /*  434864 */     GIR_EraseRootFromParent_Done,
     /*  434865 */   // Label 7583: @434865
     /*  434865 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(434936), // Rule ID 21097 //
     /*  434870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  434873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  434887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434902 */     // MIs[0] round
     /*  434902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  434915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434934 */     GIR_RootConstrainSelectedInstOperands,
     /*  434935 */     // GIR_Coverage, 21097,
     /*  434935 */     GIR_EraseRootFromParent_Done,
     /*  434936 */   // Label 7584: @434936
     /*  434936 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(435007), // Rule ID 21100 //
     /*  434941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  434944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  434949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  434958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434973 */     // MIs[0] round
     /*  434973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  434986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435005 */     GIR_RootConstrainSelectedInstOperands,
     /*  435006 */     // GIR_Coverage, 21100,
     /*  435006 */     GIR_EraseRootFromParent_Done,
     /*  435007 */   // Label 7585: @435007
     /*  435007 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(435078), // Rule ID 21101 //
     /*  435012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  435015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  435020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  435023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  435026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  435029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435044 */     // MIs[0] round
     /*  435044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  435057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435076 */     GIR_RootConstrainSelectedInstOperands,
     /*  435077 */     // GIR_Coverage, 21101,
     /*  435077 */     GIR_EraseRootFromParent_Done,
     /*  435078 */   // Label 7586: @435078
     /*  435078 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(435149), // Rule ID 21452 //
     /*  435083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  435094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  435097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435115 */     // MIs[0] round
     /*  435115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435125 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  435128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435147 */     GIR_RootConstrainSelectedInstOperands,
     /*  435148 */     // GIR_Coverage, 21452,
     /*  435148 */     GIR_EraseRootFromParent_Done,
     /*  435149 */   // Label 7587: @435149
     /*  435149 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(435220), // Rule ID 21453 //
     /*  435154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  435165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  435168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435186 */     // MIs[0] round
     /*  435186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  435199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435218 */     GIR_RootConstrainSelectedInstOperands,
     /*  435219 */     // GIR_Coverage, 21453,
     /*  435219 */     GIR_EraseRootFromParent_Done,
     /*  435220 */   // Label 7588: @435220
     /*  435220 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(435291), // Rule ID 21456 //
     /*  435225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  435236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  435239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435257 */     // MIs[0] round
     /*  435257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  435270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435289 */     GIR_RootConstrainSelectedInstOperands,
     /*  435290 */     // GIR_Coverage, 21456,
     /*  435290 */     GIR_EraseRootFromParent_Done,
     /*  435291 */   // Label 7589: @435291
     /*  435291 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(435362), // Rule ID 21457 //
     /*  435296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  435307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  435310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435328 */     // MIs[0] round
     /*  435328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435338 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  435341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435360 */     GIR_RootConstrainSelectedInstOperands,
     /*  435361 */     // GIR_Coverage, 21457,
     /*  435361 */     GIR_EraseRootFromParent_Done,
     /*  435362 */   // Label 7590: @435362
     /*  435362 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(435433), // Rule ID 21460 //
     /*  435367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  435378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  435381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435399 */     // MIs[0] round
     /*  435399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  435412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435431 */     GIR_RootConstrainSelectedInstOperands,
     /*  435432 */     // GIR_Coverage, 21460,
     /*  435432 */     GIR_EraseRootFromParent_Done,
     /*  435433 */   // Label 7591: @435433
     /*  435433 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(435504), // Rule ID 21461 //
     /*  435438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  435449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  435452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435470 */     // MIs[0] round
     /*  435470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  435483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435502 */     GIR_RootConstrainSelectedInstOperands,
     /*  435503 */     // GIR_Coverage, 21461,
     /*  435503 */     GIR_EraseRootFromParent_Done,
     /*  435504 */   // Label 7592: @435504
     /*  435504 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(435575), // Rule ID 21464 //
     /*  435509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435541 */     // MIs[0] round
     /*  435541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  435554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435573 */     GIR_RootConstrainSelectedInstOperands,
     /*  435574 */     // GIR_Coverage, 21464,
     /*  435574 */     GIR_EraseRootFromParent_Done,
     /*  435575 */   // Label 7593: @435575
     /*  435575 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(435646), // Rule ID 21465 //
     /*  435580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435612 */     // MIs[0] round
     /*  435612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10889:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  435625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435644 */     GIR_RootConstrainSelectedInstOperands,
     /*  435645 */     // GIR_Coverage, 21465,
     /*  435645 */     GIR_EraseRootFromParent_Done,
     /*  435646 */   // Label 7594: @435646
     /*  435646 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(435717), // Rule ID 21468 //
     /*  435651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435683 */     // MIs[0] round
     /*  435683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435693 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  435696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435715 */     GIR_RootConstrainSelectedInstOperands,
     /*  435716 */     // GIR_Coverage, 21468,
     /*  435716 */     GIR_EraseRootFromParent_Done,
     /*  435717 */   // Label 7595: @435717
     /*  435717 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(435788), // Rule ID 21469 //
     /*  435722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  435733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  435736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435754 */     // MIs[0] round
     /*  435754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435764 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  435767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435786 */     GIR_RootConstrainSelectedInstOperands,
     /*  435787 */     // GIR_Coverage, 21469,
     /*  435787 */     GIR_EraseRootFromParent_Done,
     /*  435788 */   // Label 7596: @435788
     /*  435788 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(435859), // Rule ID 21472 //
     /*  435793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435825 */     // MIs[0] round
     /*  435825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  435838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435857 */     GIR_RootConstrainSelectedInstOperands,
     /*  435858 */     // GIR_Coverage, 21472,
     /*  435858 */     GIR_EraseRootFromParent_Done,
     /*  435859 */   // Label 7597: @435859
     /*  435859 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(435930), // Rule ID 21473 //
     /*  435864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  435875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  435878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  435881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435896 */     // MIs[0] round
     /*  435896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  435909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435928 */     GIR_RootConstrainSelectedInstOperands,
     /*  435929 */     // GIR_Coverage, 21473,
     /*  435929 */     GIR_EraseRootFromParent_Done,
     /*  435930 */   // Label 7598: @435930
     /*  435930 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(436001), // Rule ID 21476 //
     /*  435935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  435938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  435943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  435946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  435949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435967 */     // MIs[0] round
     /*  435967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435977 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  435980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435999 */     GIR_RootConstrainSelectedInstOperands,
     /*  436000 */     // GIR_Coverage, 21476,
     /*  436000 */     GIR_EraseRootFromParent_Done,
     /*  436001 */   // Label 7599: @436001
     /*  436001 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(436072), // Rule ID 21477 //
     /*  436006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  436009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  436017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  436020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  436023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436038 */     // MIs[0] round
     /*  436038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  436051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436070 */     GIR_RootConstrainSelectedInstOperands,
     /*  436071 */     // GIR_Coverage, 21477,
     /*  436071 */     GIR_EraseRootFromParent_Done,
     /*  436072 */   // Label 7600: @436072
     /*  436072 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(436143), // Rule ID 21480 //
     /*  436077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  436080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  436088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  436091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436109 */     // MIs[0] round
     /*  436109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436119 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  436122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436141 */     GIR_RootConstrainSelectedInstOperands,
     /*  436142 */     // GIR_Coverage, 21480,
     /*  436142 */     GIR_EraseRootFromParent_Done,
     /*  436143 */   // Label 7601: @436143
     /*  436143 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(436214), // Rule ID 21481 //
     /*  436148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  436151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  436159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  436162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436180 */     // MIs[0] round
     /*  436180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  436193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436212 */     GIR_RootConstrainSelectedInstOperands,
     /*  436213 */     // GIR_Coverage, 21481,
     /*  436213 */     GIR_EraseRootFromParent_Done,
     /*  436214 */   // Label 7602: @436214
     /*  436214 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(436285), // Rule ID 21484 //
     /*  436219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  436222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  436230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  436233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436251 */     // MIs[0] round
     /*  436251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  436264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436283 */     GIR_RootConstrainSelectedInstOperands,
     /*  436284 */     // GIR_Coverage, 21484,
     /*  436284 */     GIR_EraseRootFromParent_Done,
     /*  436285 */   // Label 7603: @436285
     /*  436285 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(436356), // Rule ID 21485 //
     /*  436290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  436293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  436301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  436304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436322 */     // MIs[0] round
     /*  436322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  436335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436354 */     GIR_RootConstrainSelectedInstOperands,
     /*  436355 */     // GIR_Coverage, 21485,
     /*  436355 */     GIR_EraseRootFromParent_Done,
     /*  436356 */   // Label 7604: @436356
     /*  436356 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(436427), // Rule ID 21488 //
     /*  436361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  436364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436393 */     // MIs[0] round
     /*  436393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  436406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436425 */     GIR_RootConstrainSelectedInstOperands,
     /*  436426 */     // GIR_Coverage, 21488,
     /*  436426 */     GIR_EraseRootFromParent_Done,
     /*  436427 */   // Label 7605: @436427
     /*  436427 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(436498), // Rule ID 21489 //
     /*  436432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  436435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  436449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436464 */     // MIs[0] round
     /*  436464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  436477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436496 */     GIR_RootConstrainSelectedInstOperands,
     /*  436497 */     // GIR_Coverage, 21489,
     /*  436497 */     GIR_EraseRootFromParent_Done,
     /*  436498 */   // Label 7606: @436498
     /*  436498 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(436569), // Rule ID 21492 //
     /*  436503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  436506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436535 */     // MIs[0] round
     /*  436535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436545 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  436548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436567 */     GIR_RootConstrainSelectedInstOperands,
     /*  436568 */     // GIR_Coverage, 21492,
     /*  436568 */     GIR_EraseRootFromParent_Done,
     /*  436569 */   // Label 7607: @436569
     /*  436569 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(436640), // Rule ID 21493 //
     /*  436574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  436577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  436591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436606 */     // MIs[0] round
     /*  436606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  436619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436638 */     GIR_RootConstrainSelectedInstOperands,
     /*  436639 */     // GIR_Coverage, 21493,
     /*  436639 */     GIR_EraseRootFromParent_Done,
     /*  436640 */   // Label 7608: @436640
     /*  436640 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(436711), // Rule ID 21496 //
     /*  436645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  436648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  436656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  436659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436677 */     // MIs[0] round
     /*  436677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  436690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436709 */     GIR_RootConstrainSelectedInstOperands,
     /*  436710 */     // GIR_Coverage, 21496,
     /*  436710 */     GIR_EraseRootFromParent_Done,
     /*  436711 */   // Label 7609: @436711
     /*  436711 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(436782), // Rule ID 21497 //
     /*  436716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  436719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  436727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  436730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436748 */     // MIs[0] round
     /*  436748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  436761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436780 */     GIR_RootConstrainSelectedInstOperands,
     /*  436781 */     // GIR_Coverage, 21497,
     /*  436781 */     GIR_EraseRootFromParent_Done,
     /*  436782 */   // Label 7610: @436782
     /*  436782 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(436853), // Rule ID 21500 //
     /*  436787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  436790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436819 */     // MIs[0] round
     /*  436819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436829 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  436832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436851 */     GIR_RootConstrainSelectedInstOperands,
     /*  436852 */     // GIR_Coverage, 21500,
     /*  436852 */     GIR_EraseRootFromParent_Done,
     /*  436853 */   // Label 7611: @436853
     /*  436853 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(436924), // Rule ID 21501 //
     /*  436858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  436861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  436875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436890 */     // MIs[0] round
     /*  436890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  436903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436922 */     GIR_RootConstrainSelectedInstOperands,
     /*  436923 */     // GIR_Coverage, 21501,
     /*  436923 */     GIR_EraseRootFromParent_Done,
     /*  436924 */   // Label 7612: @436924
     /*  436924 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(436995), // Rule ID 21504 //
     /*  436929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  436932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  436937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  436946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436961 */     // MIs[0] round
     /*  436961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  436974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436993 */     GIR_RootConstrainSelectedInstOperands,
     /*  436994 */     // GIR_Coverage, 21504,
     /*  436994 */     GIR_EraseRootFromParent_Done,
     /*  436995 */   // Label 7613: @436995
     /*  436995 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(437066), // Rule ID 21505 //
     /*  437000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  437003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  437011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  437014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437032 */     // MIs[0] round
     /*  437032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437042 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10889:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  437045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437064 */     GIR_RootConstrainSelectedInstOperands,
     /*  437065 */     // GIR_Coverage, 21505,
     /*  437065 */     GIR_EraseRootFromParent_Done,
     /*  437066 */   // Label 7614: @437066
     /*  437066 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(437137), // Rule ID 21508 //
     /*  437071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  437074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437103 */     // MIs[0] round
     /*  437103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  437116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437135 */     GIR_RootConstrainSelectedInstOperands,
     /*  437136 */     // GIR_Coverage, 21508,
     /*  437136 */     GIR_EraseRootFromParent_Done,
     /*  437137 */   // Label 7615: @437137
     /*  437137 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(437208), // Rule ID 21509 //
     /*  437142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  437145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  437159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437174 */     // MIs[0] round
     /*  437174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10889:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  437187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437206 */     GIR_RootConstrainSelectedInstOperands,
     /*  437207 */     // GIR_Coverage, 21509,
     /*  437207 */     GIR_EraseRootFromParent_Done,
     /*  437208 */   // Label 7616: @437208
     /*  437208 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(437279), // Rule ID 21512 //
     /*  437213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437245 */     // MIs[0] round
     /*  437245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437255 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  437258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437277 */     GIR_RootConstrainSelectedInstOperands,
     /*  437278 */     // GIR_Coverage, 21512,
     /*  437278 */     GIR_EraseRootFromParent_Done,
     /*  437279 */   // Label 7617: @437279
     /*  437279 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(437350), // Rule ID 21513 //
     /*  437284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437316 */     // MIs[0] round
     /*  437316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  437329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437348 */     GIR_RootConstrainSelectedInstOperands,
     /*  437349 */     // GIR_Coverage, 21513,
     /*  437349 */     GIR_EraseRootFromParent_Done,
     /*  437350 */   // Label 7618: @437350
     /*  437350 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(437421), // Rule ID 21516 //
     /*  437355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437387 */     // MIs[0] round
     /*  437387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  437400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437419 */     GIR_RootConstrainSelectedInstOperands,
     /*  437420 */     // GIR_Coverage, 21516,
     /*  437420 */     GIR_EraseRootFromParent_Done,
     /*  437421 */   // Label 7619: @437421
     /*  437421 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(437492), // Rule ID 21517 //
     /*  437426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437458 */     // MIs[0] round
     /*  437458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  437471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437490 */     GIR_RootConstrainSelectedInstOperands,
     /*  437491 */     // GIR_Coverage, 21517,
     /*  437491 */     GIR_EraseRootFromParent_Done,
     /*  437492 */   // Label 7620: @437492
     /*  437492 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(437563), // Rule ID 21520 //
     /*  437497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  437514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437529 */     // MIs[0] round
     /*  437529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437539 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  437542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437561 */     GIR_RootConstrainSelectedInstOperands,
     /*  437562 */     // GIR_Coverage, 21520,
     /*  437562 */     GIR_EraseRootFromParent_Done,
     /*  437563 */   // Label 7621: @437563
     /*  437563 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(437634), // Rule ID 21521 //
     /*  437568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  437585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437600 */     // MIs[0] round
     /*  437600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  437613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437632 */     GIR_RootConstrainSelectedInstOperands,
     /*  437633 */     // GIR_Coverage, 21521,
     /*  437633 */     GIR_EraseRootFromParent_Done,
     /*  437634 */   // Label 7622: @437634
     /*  437634 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(437705), // Rule ID 21524 //
     /*  437639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437671 */     // MIs[0] round
     /*  437671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437681 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  437684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437703 */     GIR_RootConstrainSelectedInstOperands,
     /*  437704 */     // GIR_Coverage, 21524,
     /*  437704 */     GIR_EraseRootFromParent_Done,
     /*  437705 */   // Label 7623: @437705
     /*  437705 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(437776), // Rule ID 21525 //
     /*  437710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437742 */     // MIs[0] round
     /*  437742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10887:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  437755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437774 */     GIR_RootConstrainSelectedInstOperands,
     /*  437775 */     // GIR_Coverage, 21525,
     /*  437775 */     GIR_EraseRootFromParent_Done,
     /*  437776 */   // Label 7624: @437776
     /*  437776 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(437847), // Rule ID 21528 //
     /*  437781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437813 */     // MIs[0] round
     /*  437813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  437826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437845 */     GIR_RootConstrainSelectedInstOperands,
     /*  437846 */     // GIR_Coverage, 21528,
     /*  437846 */     GIR_EraseRootFromParent_Done,
     /*  437847 */   // Label 7625: @437847
     /*  437847 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(437918), // Rule ID 21529 //
     /*  437852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437884 */     // MIs[0] round
     /*  437884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  437897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437916 */     GIR_RootConstrainSelectedInstOperands,
     /*  437917 */     // GIR_Coverage, 21529,
     /*  437917 */     GIR_EraseRootFromParent_Done,
     /*  437918 */   // Label 7626: @437918
     /*  437918 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(437989), // Rule ID 21532 //
     /*  437923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  437931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  437934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  437937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437955 */     // MIs[0] round
     /*  437955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437965 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  437968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437987 */     GIR_RootConstrainSelectedInstOperands,
     /*  437988 */     // GIR_Coverage, 21532,
     /*  437988 */     GIR_EraseRootFromParent_Done,
     /*  437989 */   // Label 7627: @437989
     /*  437989 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(438060), // Rule ID 21533 //
     /*  437994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  438005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  438008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  438011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438026 */     // MIs[0] round
     /*  438026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  438039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438058 */     GIR_RootConstrainSelectedInstOperands,
     /*  438059 */     // GIR_Coverage, 21533,
     /*  438059 */     GIR_EraseRootFromParent_Done,
     /*  438060 */   // Label 7628: @438060
     /*  438060 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(438131), // Rule ID 21536 //
     /*  438065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438097 */     // MIs[0] round
     /*  438097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438107 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  438110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438129 */     GIR_RootConstrainSelectedInstOperands,
     /*  438130 */     // GIR_Coverage, 21536,
     /*  438130 */     GIR_EraseRootFromParent_Done,
     /*  438131 */   // Label 7629: @438131
     /*  438131 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(438202), // Rule ID 21537 //
     /*  438136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438168 */     // MIs[0] round
     /*  438168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  438181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438200 */     GIR_RootConstrainSelectedInstOperands,
     /*  438201 */     // GIR_Coverage, 21537,
     /*  438201 */     GIR_EraseRootFromParent_Done,
     /*  438202 */   // Label 7630: @438202
     /*  438202 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(438273), // Rule ID 21540 //
     /*  438207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438239 */     // MIs[0] round
     /*  438239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  438252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438271 */     GIR_RootConstrainSelectedInstOperands,
     /*  438272 */     // GIR_Coverage, 21540,
     /*  438272 */     GIR_EraseRootFromParent_Done,
     /*  438273 */   // Label 7631: @438273
     /*  438273 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(438344), // Rule ID 21541 //
     /*  438278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438310 */     // MIs[0] round
     /*  438310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  438323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438342 */     GIR_RootConstrainSelectedInstOperands,
     /*  438343 */     // GIR_Coverage, 21541,
     /*  438343 */     GIR_EraseRootFromParent_Done,
     /*  438344 */   // Label 7632: @438344
     /*  438344 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(438415), // Rule ID 21544 //
     /*  438349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438381 */     // MIs[0] round
     /*  438381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  438394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438413 */     GIR_RootConstrainSelectedInstOperands,
     /*  438414 */     // GIR_Coverage, 21544,
     /*  438414 */     GIR_EraseRootFromParent_Done,
     /*  438415 */   // Label 7633: @438415
     /*  438415 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(438486), // Rule ID 21545 //
     /*  438420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438452 */     // MIs[0] round
     /*  438452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438462 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  438465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438484 */     GIR_RootConstrainSelectedInstOperands,
     /*  438485 */     // GIR_Coverage, 21545,
     /*  438485 */     GIR_EraseRootFromParent_Done,
     /*  438486 */   // Label 7634: @438486
     /*  438486 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(438557), // Rule ID 21548 //
     /*  438491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  438502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  438505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438523 */     // MIs[0] round
     /*  438523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  438536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438555 */     GIR_RootConstrainSelectedInstOperands,
     /*  438556 */     // GIR_Coverage, 21548,
     /*  438556 */     GIR_EraseRootFromParent_Done,
     /*  438557 */   // Label 7635: @438557
     /*  438557 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(438628), // Rule ID 21549 //
     /*  438562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  438573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  438576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438594 */     // MIs[0] round
     /*  438594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  438607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438626 */     GIR_RootConstrainSelectedInstOperands,
     /*  438627 */     // GIR_Coverage, 21549,
     /*  438627 */     GIR_EraseRootFromParent_Done,
     /*  438628 */   // Label 7636: @438628
     /*  438628 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(438699), // Rule ID 21552 //
     /*  438633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438665 */     // MIs[0] round
     /*  438665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  438678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438697 */     GIR_RootConstrainSelectedInstOperands,
     /*  438698 */     // GIR_Coverage, 21552,
     /*  438698 */     GIR_EraseRootFromParent_Done,
     /*  438699 */   // Label 7637: @438699
     /*  438699 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(438770), // Rule ID 21553 //
     /*  438704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438736 */     // MIs[0] round
     /*  438736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  438749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438768 */     GIR_RootConstrainSelectedInstOperands,
     /*  438769 */     // GIR_Coverage, 21553,
     /*  438769 */     GIR_EraseRootFromParent_Done,
     /*  438770 */   // Label 7638: @438770
     /*  438770 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(438841), // Rule ID 21556 //
     /*  438775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  438778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438807 */     // MIs[0] round
     /*  438807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  438820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438839 */     GIR_RootConstrainSelectedInstOperands,
     /*  438840 */     // GIR_Coverage, 21556,
     /*  438840 */     GIR_EraseRootFromParent_Done,
     /*  438841 */   // Label 7639: @438841
     /*  438841 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(438912), // Rule ID 21557 //
     /*  438846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  438849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438878 */     // MIs[0] round
     /*  438878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  438891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438910 */     GIR_RootConstrainSelectedInstOperands,
     /*  438911 */     // GIR_Coverage, 21557,
     /*  438911 */     GIR_EraseRootFromParent_Done,
     /*  438912 */   // Label 7640: @438912
     /*  438912 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(438983), // Rule ID 21560 //
     /*  438917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  438920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438949 */     // MIs[0] round
     /*  438949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  438962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438981 */     GIR_RootConstrainSelectedInstOperands,
     /*  438982 */     // GIR_Coverage, 21560,
     /*  438982 */     GIR_EraseRootFromParent_Done,
     /*  438983 */   // Label 7641: @438983
     /*  438983 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(439054), // Rule ID 21561 //
     /*  438988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  438991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  438996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  439005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439020 */     // MIs[0] round
     /*  439020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  439033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439052 */     GIR_RootConstrainSelectedInstOperands,
     /*  439053 */     // GIR_Coverage, 21561,
     /*  439053 */     GIR_EraseRootFromParent_Done,
     /*  439054 */   // Label 7642: @439054
     /*  439054 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(439125), // Rule ID 21564 //
     /*  439059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  439062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439091 */     // MIs[0] round
     /*  439091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  439104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439123 */     GIR_RootConstrainSelectedInstOperands,
     /*  439124 */     // GIR_Coverage, 21564,
     /*  439124 */     GIR_EraseRootFromParent_Done,
     /*  439125 */   // Label 7643: @439125
     /*  439125 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(439196), // Rule ID 21565 //
     /*  439130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  439133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439162 */     // MIs[0] round
     /*  439162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10887:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  439175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439194 */     GIR_RootConstrainSelectedInstOperands,
     /*  439195 */     // GIR_Coverage, 21565,
     /*  439195 */     GIR_EraseRootFromParent_Done,
     /*  439196 */   // Label 7644: @439196
     /*  439196 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(439267), // Rule ID 21568 //
     /*  439201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  439204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439233 */     // MIs[0] round
     /*  439233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  439246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439265 */     GIR_RootConstrainSelectedInstOperands,
     /*  439266 */     // GIR_Coverage, 21568,
     /*  439266 */     GIR_EraseRootFromParent_Done,
     /*  439267 */   // Label 7645: @439267
     /*  439267 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(439338), // Rule ID 21569 //
     /*  439272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  439275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439304 */     // MIs[0] round
     /*  439304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10887:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  439317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439336 */     GIR_RootConstrainSelectedInstOperands,
     /*  439337 */     // GIR_Coverage, 21569,
     /*  439337 */     GIR_EraseRootFromParent_Done,
     /*  439338 */   // Label 7646: @439338
     /*  439338 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(439409), // Rule ID 21692 //
     /*  439343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  439354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  439357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439375 */     // MIs[0] round
     /*  439375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439385 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  439388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439407 */     GIR_RootConstrainSelectedInstOperands,
     /*  439408 */     // GIR_Coverage, 21692,
     /*  439408 */     GIR_EraseRootFromParent_Done,
     /*  439409 */   // Label 7647: @439409
     /*  439409 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(439480), // Rule ID 21693 //
     /*  439414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  439425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  439428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439446 */     // MIs[0] round
     /*  439446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  439459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439478 */     GIR_RootConstrainSelectedInstOperands,
     /*  439479 */     // GIR_Coverage, 21693,
     /*  439479 */     GIR_EraseRootFromParent_Done,
     /*  439480 */   // Label 7648: @439480
     /*  439480 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(439551), // Rule ID 21696 //
     /*  439485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  439496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  439499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439517 */     // MIs[0] round
     /*  439517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439527 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  439530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439549 */     GIR_RootConstrainSelectedInstOperands,
     /*  439550 */     // GIR_Coverage, 21696,
     /*  439550 */     GIR_EraseRootFromParent_Done,
     /*  439551 */   // Label 7649: @439551
     /*  439551 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(439622), // Rule ID 21697 //
     /*  439556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  439567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  439570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439588 */     // MIs[0] round
     /*  439588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439598 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  439601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439620 */     GIR_RootConstrainSelectedInstOperands,
     /*  439621 */     // GIR_Coverage, 21697,
     /*  439621 */     GIR_EraseRootFromParent_Done,
     /*  439622 */   // Label 7650: @439622
     /*  439622 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(439693), // Rule ID 21700 //
     /*  439627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439659 */     // MIs[0] round
     /*  439659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  439672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439691 */     GIR_RootConstrainSelectedInstOperands,
     /*  439692 */     // GIR_Coverage, 21700,
     /*  439692 */     GIR_EraseRootFromParent_Done,
     /*  439693 */   // Label 7651: @439693
     /*  439693 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(439764), // Rule ID 21701 //
     /*  439698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  439715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439730 */     // MIs[0] round
     /*  439730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439740 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  439743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439762 */     GIR_RootConstrainSelectedInstOperands,
     /*  439763 */     // GIR_Coverage, 21701,
     /*  439763 */     GIR_EraseRootFromParent_Done,
     /*  439764 */   // Label 7652: @439764
     /*  439764 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(439835), // Rule ID 21704 //
     /*  439769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439801 */     // MIs[0] round
     /*  439801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439811 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  439814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439833 */     GIR_RootConstrainSelectedInstOperands,
     /*  439834 */     // GIR_Coverage, 21704,
     /*  439834 */     GIR_EraseRootFromParent_Done,
     /*  439835 */   // Label 7653: @439835
     /*  439835 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(439906), // Rule ID 21705 //
     /*  439840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  439851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  439854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  439857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439872 */     // MIs[0] round
     /*  439872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  439885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439904 */     GIR_RootConstrainSelectedInstOperands,
     /*  439905 */     // GIR_Coverage, 21705,
     /*  439905 */     GIR_EraseRootFromParent_Done,
     /*  439906 */   // Label 7654: @439906
     /*  439906 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(439977), // Rule ID 21708 //
     /*  439911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  439928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439943 */     // MIs[0] round
     /*  439943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439953 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  439956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439975 */     GIR_RootConstrainSelectedInstOperands,
     /*  439976 */     // GIR_Coverage, 21708,
     /*  439976 */     GIR_EraseRootFromParent_Done,
     /*  439977 */   // Label 7655: @439977
     /*  439977 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(440048), // Rule ID 21709 //
     /*  439982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  439990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  439993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  439996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  439999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440014 */     // MIs[0] round
     /*  440014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440024 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  440027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440046 */     GIR_RootConstrainSelectedInstOperands,
     /*  440047 */     // GIR_Coverage, 21709,
     /*  440047 */     GIR_EraseRootFromParent_Done,
     /*  440048 */   // Label 7656: @440048
     /*  440048 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(440119), // Rule ID 21712 //
     /*  440053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  440056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440085 */     // MIs[0] round
     /*  440085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440095 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  440098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440117 */     GIR_RootConstrainSelectedInstOperands,
     /*  440118 */     // GIR_Coverage, 21712,
     /*  440118 */     GIR_EraseRootFromParent_Done,
     /*  440119 */   // Label 7657: @440119
     /*  440119 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(440190), // Rule ID 21713 //
     /*  440124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  440127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440156 */     // MIs[0] round
     /*  440156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440166 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  440169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440188 */     GIR_RootConstrainSelectedInstOperands,
     /*  440189 */     // GIR_Coverage, 21713,
     /*  440189 */     GIR_EraseRootFromParent_Done,
     /*  440190 */   // Label 7658: @440190
     /*  440190 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(440261), // Rule ID 21716 //
     /*  440195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  440198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  440206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  440209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440227 */     // MIs[0] round
     /*  440227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  440240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440259 */     GIR_RootConstrainSelectedInstOperands,
     /*  440260 */     // GIR_Coverage, 21716,
     /*  440260 */     GIR_EraseRootFromParent_Done,
     /*  440261 */   // Label 7659: @440261
     /*  440261 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(440332), // Rule ID 21717 //
     /*  440266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  440269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  440277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  440280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  440283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440298 */     // MIs[0] round
     /*  440298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  440311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440330 */     GIR_RootConstrainSelectedInstOperands,
     /*  440331 */     // GIR_Coverage, 21717,
     /*  440331 */     GIR_EraseRootFromParent_Done,
     /*  440332 */   // Label 7660: @440332
     /*  440332 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(440403), // Rule ID 21720 //
     /*  440337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  440340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440369 */     // MIs[0] round
     /*  440369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440379 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  440382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440401 */     GIR_RootConstrainSelectedInstOperands,
     /*  440402 */     // GIR_Coverage, 21720,
     /*  440402 */     GIR_EraseRootFromParent_Done,
     /*  440403 */   // Label 7661: @440403
     /*  440403 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(440474), // Rule ID 21721 //
     /*  440408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  440411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  440419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  440422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  440425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440440 */     // MIs[0] round
     /*  440440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440450 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  440453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440472 */     GIR_RootConstrainSelectedInstOperands,
     /*  440473 */     // GIR_Coverage, 21721,
     /*  440473 */     GIR_EraseRootFromParent_Done,
     /*  440474 */   // Label 7662: @440474
     /*  440474 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(440545), // Rule ID 21724 //
     /*  440479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  440482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440511 */     // MIs[0] round
     /*  440511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440521 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  440524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440543 */     GIR_RootConstrainSelectedInstOperands,
     /*  440544 */     // GIR_Coverage, 21724,
     /*  440544 */     GIR_EraseRootFromParent_Done,
     /*  440545 */   // Label 7663: @440545
     /*  440545 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(440616), // Rule ID 21725 //
     /*  440550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  440553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  440558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  440561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  440564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  440567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440582 */     // MIs[0] round
     /*  440582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440592 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  440595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440614 */     GIR_RootConstrainSelectedInstOperands,
     /*  440615 */     // GIR_Coverage, 21725,
     /*  440615 */     GIR_EraseRootFromParent_Done,
     /*  440616 */   // Label 7664: @440616
     /*  440616 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(440687), // Rule ID 21728 //
     /*  440621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  440624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  440632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  440635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440653 */     // MIs[0] round
     /*  440653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440663 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  440666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440685 */     GIR_RootConstrainSelectedInstOperands,
     /*  440686 */     // GIR_Coverage, 21728,
     /*  440686 */     GIR_EraseRootFromParent_Done,
     /*  440687 */   // Label 7665: @440687
     /*  440687 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(440758), // Rule ID 21729 //
     /*  440692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  440695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  440703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  440706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440724 */     // MIs[0] round
     /*  440724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440734 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  440737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440756 */     GIR_RootConstrainSelectedInstOperands,
     /*  440757 */     // GIR_Coverage, 21729,
     /*  440757 */     GIR_EraseRootFromParent_Done,
     /*  440758 */   // Label 7666: @440758
     /*  440758 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(440829), // Rule ID 21732 //
     /*  440763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  440766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440795 */     // MIs[0] round
     /*  440795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440805 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  440808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440827 */     GIR_RootConstrainSelectedInstOperands,
     /*  440828 */     // GIR_Coverage, 21732,
     /*  440828 */     GIR_EraseRootFromParent_Done,
     /*  440829 */   // Label 7667: @440829
     /*  440829 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(440900), // Rule ID 21733 //
     /*  440834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  440837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440866 */     // MIs[0] round
     /*  440866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440876 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  440879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440898 */     GIR_RootConstrainSelectedInstOperands,
     /*  440899 */     // GIR_Coverage, 21733,
     /*  440899 */     GIR_EraseRootFromParent_Done,
     /*  440900 */   // Label 7668: @440900
     /*  440900 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(440971), // Rule ID 21736 //
     /*  440905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  440908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440937 */     // MIs[0] round
     /*  440937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  440950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440969 */     GIR_RootConstrainSelectedInstOperands,
     /*  440970 */     // GIR_Coverage, 21736,
     /*  440970 */     GIR_EraseRootFromParent_Done,
     /*  440971 */   // Label 7669: @440971
     /*  440971 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(441042), // Rule ID 21737 //
     /*  440976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  440979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  440984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441008 */     // MIs[0] round
     /*  441008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441018 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  441021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441040 */     GIR_RootConstrainSelectedInstOperands,
     /*  441041 */     // GIR_Coverage, 21737,
     /*  441041 */     GIR_EraseRootFromParent_Done,
     /*  441042 */   // Label 7670: @441042
     /*  441042 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(441113), // Rule ID 21740 //
     /*  441047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441079 */     // MIs[0] round
     /*  441079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441089 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  441092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441111 */     GIR_RootConstrainSelectedInstOperands,
     /*  441112 */     // GIR_Coverage, 21740,
     /*  441112 */     GIR_EraseRootFromParent_Done,
     /*  441113 */   // Label 7671: @441113
     /*  441113 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(441184), // Rule ID 21741 //
     /*  441118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441150 */     // MIs[0] round
     /*  441150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  441163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441182 */     GIR_RootConstrainSelectedInstOperands,
     /*  441183 */     // GIR_Coverage, 21741,
     /*  441183 */     GIR_EraseRootFromParent_Done,
     /*  441184 */   // Label 7672: @441184
     /*  441184 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(441255), // Rule ID 21744 //
     /*  441189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  441200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  441203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441221 */     // MIs[0] round
     /*  441221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441231 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  441234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441253 */     GIR_RootConstrainSelectedInstOperands,
     /*  441254 */     // GIR_Coverage, 21744,
     /*  441254 */     GIR_EraseRootFromParent_Done,
     /*  441255 */   // Label 7673: @441255
     /*  441255 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(441326), // Rule ID 21745 //
     /*  441260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  441271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  441274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441292 */     // MIs[0] round
     /*  441292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441302 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  441305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441324 */     GIR_RootConstrainSelectedInstOperands,
     /*  441325 */     // GIR_Coverage, 21745,
     /*  441325 */     GIR_EraseRootFromParent_Done,
     /*  441326 */   // Label 7674: @441326
     /*  441326 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(441397), // Rule ID 21748 //
     /*  441331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  441334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  441348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441363 */     // MIs[0] round
     /*  441363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441373 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  441376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441395 */     GIR_RootConstrainSelectedInstOperands,
     /*  441396 */     // GIR_Coverage, 21748,
     /*  441396 */     GIR_EraseRootFromParent_Done,
     /*  441397 */   // Label 7675: @441397
     /*  441397 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(441468), // Rule ID 21749 //
     /*  441402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  441405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  441419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441434 */     // MIs[0] round
     /*  441434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441444 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  441447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441466 */     GIR_RootConstrainSelectedInstOperands,
     /*  441467 */     // GIR_Coverage, 21749,
     /*  441467 */     GIR_EraseRootFromParent_Done,
     /*  441468 */   // Label 7676: @441468
     /*  441468 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(441539), // Rule ID 21752 //
     /*  441473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  441476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  441484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  441487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441505 */     // MIs[0] round
     /*  441505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  441518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441537 */     GIR_RootConstrainSelectedInstOperands,
     /*  441538 */     // GIR_Coverage, 21752,
     /*  441538 */     GIR_EraseRootFromParent_Done,
     /*  441539 */   // Label 7677: @441539
     /*  441539 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(441610), // Rule ID 21753 //
     /*  441544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  441547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  441555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  441558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441576 */     // MIs[0] round
     /*  441576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441586 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  441589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441608 */     GIR_RootConstrainSelectedInstOperands,
     /*  441609 */     // GIR_Coverage, 21753,
     /*  441609 */     GIR_EraseRootFromParent_Done,
     /*  441610 */   // Label 7678: @441610
     /*  441610 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(441681), // Rule ID 21756 //
     /*  441615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  441618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441647 */     // MIs[0] round
     /*  441647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441657 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  441660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441679 */     GIR_RootConstrainSelectedInstOperands,
     /*  441680 */     // GIR_Coverage, 21756,
     /*  441680 */     GIR_EraseRootFromParent_Done,
     /*  441681 */   // Label 7679: @441681
     /*  441681 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(441752), // Rule ID 21757 //
     /*  441686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  441689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441718 */     // MIs[0] round
     /*  441718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  441731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441750 */     GIR_RootConstrainSelectedInstOperands,
     /*  441751 */     // GIR_Coverage, 21757,
     /*  441751 */     GIR_EraseRootFromParent_Done,
     /*  441752 */   // Label 7680: @441752
     /*  441752 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(441823), // Rule ID 21760 //
     /*  441757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  441760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441789 */     // MIs[0] round
     /*  441789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441799 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  441802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441821 */     GIR_RootConstrainSelectedInstOperands,
     /*  441822 */     // GIR_Coverage, 21760,
     /*  441822 */     GIR_EraseRootFromParent_Done,
     /*  441823 */   // Label 7681: @441823
     /*  441823 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(441894), // Rule ID 21761 //
     /*  441828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  441831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  441836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441860 */     // MIs[0] round
     /*  441860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  441873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441892 */     GIR_RootConstrainSelectedInstOperands,
     /*  441893 */     // GIR_Coverage, 21761,
     /*  441893 */     GIR_EraseRootFromParent_Done,
     /*  441894 */   // Label 7682: @441894
     /*  441894 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(441965), // Rule ID 21764 //
     /*  441899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  441902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  441907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  441916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441931 */     // MIs[0] round
     /*  441931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441941 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  441944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441963 */     GIR_RootConstrainSelectedInstOperands,
     /*  441964 */     // GIR_Coverage, 21764,
     /*  441964 */     GIR_EraseRootFromParent_Done,
     /*  441965 */   // Label 7683: @441965
     /*  441965 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(442036), // Rule ID 21765 //
     /*  441970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  441973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  441978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  441981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  441984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  441987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442002 */     // MIs[0] round
     /*  442002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  442015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442034 */     GIR_RootConstrainSelectedInstOperands,
     /*  442035 */     // GIR_Coverage, 21765,
     /*  442035 */     GIR_EraseRootFromParent_Done,
     /*  442036 */   // Label 7684: @442036
     /*  442036 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(442107), // Rule ID 21768 //
     /*  442041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  442044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442073 */     // MIs[0] round
     /*  442073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442083 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  442086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442105 */     GIR_RootConstrainSelectedInstOperands,
     /*  442106 */     // GIR_Coverage, 21768,
     /*  442106 */     GIR_EraseRootFromParent_Done,
     /*  442107 */   // Label 7685: @442107
     /*  442107 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(442178), // Rule ID 21769 //
     /*  442112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  442115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442144 */     // MIs[0] round
     /*  442144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442154 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  442157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442176 */     GIR_RootConstrainSelectedInstOperands,
     /*  442177 */     // GIR_Coverage, 21769,
     /*  442177 */     GIR_EraseRootFromParent_Done,
     /*  442178 */   // Label 7686: @442178
     /*  442178 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(442249), // Rule ID 21772 //
     /*  442183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  442186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442215 */     // MIs[0] round
     /*  442215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442225 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  442228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442247 */     GIR_RootConstrainSelectedInstOperands,
     /*  442248 */     // GIR_Coverage, 21772,
     /*  442248 */     GIR_EraseRootFromParent_Done,
     /*  442249 */   // Label 7687: @442249
     /*  442249 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(442320), // Rule ID 21773 //
     /*  442254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  442257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442286 */     // MIs[0] round
     /*  442286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  442299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442318 */     GIR_RootConstrainSelectedInstOperands,
     /*  442319 */     // GIR_Coverage, 21773,
     /*  442319 */     GIR_EraseRootFromParent_Done,
     /*  442320 */   // Label 7688: @442320
     /*  442320 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(442391), // Rule ID 21776 //
     /*  442325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  442328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442357 */     // MIs[0] round
     /*  442357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  442370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442389 */     GIR_RootConstrainSelectedInstOperands,
     /*  442390 */     // GIR_Coverage, 21776,
     /*  442390 */     GIR_EraseRootFromParent_Done,
     /*  442391 */   // Label 7689: @442391
     /*  442391 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(442462), // Rule ID 21777 //
     /*  442396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  442399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442428 */     // MIs[0] round
     /*  442428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442438 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  442441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442460 */     GIR_RootConstrainSelectedInstOperands,
     /*  442461 */     // GIR_Coverage, 21777,
     /*  442461 */     GIR_EraseRootFromParent_Done,
     /*  442462 */   // Label 7690: @442462
     /*  442462 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(442533), // Rule ID 21780 //
     /*  442467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  442470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442499 */     // MIs[0] round
     /*  442499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  442512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442531 */     GIR_RootConstrainSelectedInstOperands,
     /*  442532 */     // GIR_Coverage, 21780,
     /*  442532 */     GIR_EraseRootFromParent_Done,
     /*  442533 */   // Label 7691: @442533
     /*  442533 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(442604), // Rule ID 21781 //
     /*  442538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  442541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442570 */     // MIs[0] round
     /*  442570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442580 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  442583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442602 */     GIR_RootConstrainSelectedInstOperands,
     /*  442603 */     // GIR_Coverage, 21781,
     /*  442603 */     GIR_EraseRootFromParent_Done,
     /*  442604 */   // Label 7692: @442604
     /*  442604 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(442675), // Rule ID 21784 //
     /*  442609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  442612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442641 */     // MIs[0] round
     /*  442641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442651 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  442654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442673 */     GIR_RootConstrainSelectedInstOperands,
     /*  442674 */     // GIR_Coverage, 21784,
     /*  442674 */     GIR_EraseRootFromParent_Done,
     /*  442675 */   // Label 7693: @442675
     /*  442675 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(442746), // Rule ID 21785 //
     /*  442680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  442683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442712 */     // MIs[0] round
     /*  442712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442722 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  442725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442744 */     GIR_RootConstrainSelectedInstOperands,
     /*  442745 */     // GIR_Coverage, 21785,
     /*  442745 */     GIR_EraseRootFromParent_Done,
     /*  442746 */   // Label 7694: @442746
     /*  442746 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(442817), // Rule ID 21788 //
     /*  442751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  442754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  442768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442783 */     // MIs[0] round
     /*  442783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442793 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  442796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442815 */     GIR_RootConstrainSelectedInstOperands,
     /*  442816 */     // GIR_Coverage, 21788,
     /*  442816 */     GIR_EraseRootFromParent_Done,
     /*  442817 */   // Label 7695: @442817
     /*  442817 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(442888), // Rule ID 21789 //
     /*  442822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  442825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  442833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  442836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  442839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442854 */     // MIs[0] round
     /*  442854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  442867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442886 */     GIR_RootConstrainSelectedInstOperands,
     /*  442887 */     // GIR_Coverage, 21789,
     /*  442887 */     GIR_EraseRootFromParent_Done,
     /*  442888 */   // Label 7696: @442888
     /*  442888 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(442959), // Rule ID 21792 //
     /*  442893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  442896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  442910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442925 */     // MIs[0] round
     /*  442925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442935 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  442938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442957 */     GIR_RootConstrainSelectedInstOperands,
     /*  442958 */     // GIR_Coverage, 21792,
     /*  442958 */     GIR_EraseRootFromParent_Done,
     /*  442959 */   // Label 7697: @442959
     /*  442959 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(443030), // Rule ID 21793 //
     /*  442964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  442967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  442972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  442975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  442978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  442981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442996 */     // MIs[0] round
     /*  442996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443006 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  443009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443028 */     GIR_RootConstrainSelectedInstOperands,
     /*  443029 */     // GIR_Coverage, 21793,
     /*  443029 */     GIR_EraseRootFromParent_Done,
     /*  443030 */   // Label 7698: @443030
     /*  443030 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(443101), // Rule ID 21796 //
     /*  443035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  443038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  443043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443067 */     // MIs[0] round
     /*  443067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  443080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443099 */     GIR_RootConstrainSelectedInstOperands,
     /*  443100 */     // GIR_Coverage, 21796,
     /*  443100 */     GIR_EraseRootFromParent_Done,
     /*  443101 */   // Label 7699: @443101
     /*  443101 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(443172), // Rule ID 21797 //
     /*  443106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  443109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  443114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443138 */     // MIs[0] round
     /*  443138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443148 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  443151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443170 */     GIR_RootConstrainSelectedInstOperands,
     /*  443171 */     // GIR_Coverage, 21797,
     /*  443171 */     GIR_EraseRootFromParent_Done,
     /*  443172 */   // Label 7700: @443172
     /*  443172 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(443243), // Rule ID 2614 //
     /*  443177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  443188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  443191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  443194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443205 */     // MIs[0] passthru
     /*  443205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  443224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443241 */     GIR_RootConstrainSelectedInstOperands,
     /*  443242 */     // GIR_Coverage, 2614,
     /*  443242 */     GIR_EraseRootFromParent_Done,
     /*  443243 */   // Label 7701: @443243
     /*  443243 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(443314), // Rule ID 2615 //
     /*  443248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  443259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  443262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  443265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443276 */     // MIs[0] passthru
     /*  443276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  443295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443312 */     GIR_RootConstrainSelectedInstOperands,
     /*  443313 */     // GIR_Coverage, 2615,
     /*  443313 */     GIR_EraseRootFromParent_Done,
     /*  443314 */   // Label 7702: @443314
     /*  443314 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(443385), // Rule ID 3922 //
     /*  443319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  443330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  443333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  443336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443347 */     // MIs[0] passthru
     /*  443347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  443366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443383 */     GIR_RootConstrainSelectedInstOperands,
     /*  443384 */     // GIR_Coverage, 3922,
     /*  443384 */     GIR_EraseRootFromParent_Done,
     /*  443385 */   // Label 7703: @443385
     /*  443385 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(443456), // Rule ID 3923 //
     /*  443390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  443401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  443404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  443407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443418 */     // MIs[0] passthru
     /*  443418 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  443437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443454 */     GIR_RootConstrainSelectedInstOperands,
     /*  443455 */     // GIR_Coverage, 3923,
     /*  443455 */     GIR_EraseRootFromParent_Done,
     /*  443456 */   // Label 7704: @443456
     /*  443456 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(443527), // Rule ID 3932 //
     /*  443461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  443478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443489 */     // MIs[0] passthru
     /*  443489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  443508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443525 */     GIR_RootConstrainSelectedInstOperands,
     /*  443526 */     // GIR_Coverage, 3932,
     /*  443526 */     GIR_EraseRootFromParent_Done,
     /*  443527 */   // Label 7705: @443527
     /*  443527 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(443598), // Rule ID 3933 //
     /*  443532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  443549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443560 */     // MIs[0] passthru
     /*  443560 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  443579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443596 */     GIR_RootConstrainSelectedInstOperands,
     /*  443597 */     // GIR_Coverage, 3933,
     /*  443597 */     GIR_EraseRootFromParent_Done,
     /*  443598 */   // Label 7706: @443598
     /*  443598 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(443669), // Rule ID 3942 //
     /*  443603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  443620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443631 */     // MIs[0] passthru
     /*  443631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  443650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443667 */     GIR_RootConstrainSelectedInstOperands,
     /*  443668 */     // GIR_Coverage, 3942,
     /*  443668 */     GIR_EraseRootFromParent_Done,
     /*  443669 */   // Label 7707: @443669
     /*  443669 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(443740), // Rule ID 3943 //
     /*  443674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  443691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443702 */     // MIs[0] passthru
     /*  443702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  443721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443738 */     GIR_RootConstrainSelectedInstOperands,
     /*  443739 */     // GIR_Coverage, 3943,
     /*  443739 */     GIR_EraseRootFromParent_Done,
     /*  443740 */   // Label 7708: @443740
     /*  443740 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(443811), // Rule ID 3952 //
     /*  443745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  443762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443773 */     // MIs[0] passthru
     /*  443773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  443792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443809 */     GIR_RootConstrainSelectedInstOperands,
     /*  443810 */     // GIR_Coverage, 3952,
     /*  443810 */     GIR_EraseRootFromParent_Done,
     /*  443811 */   // Label 7709: @443811
     /*  443811 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(443882), // Rule ID 3953 //
     /*  443816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  443833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443844 */     // MIs[0] passthru
     /*  443844 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  443863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443880 */     GIR_RootConstrainSelectedInstOperands,
     /*  443881 */     // GIR_Coverage, 3953,
     /*  443881 */     GIR_EraseRootFromParent_Done,
     /*  443882 */   // Label 7710: @443882
     /*  443882 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(443953), // Rule ID 3962 //
     /*  443887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  443904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443915 */     // MIs[0] passthru
     /*  443915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  443934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  443940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443951 */     GIR_RootConstrainSelectedInstOperands,
     /*  443952 */     // GIR_Coverage, 3962,
     /*  443952 */     GIR_EraseRootFromParent_Done,
     /*  443953 */   // Label 7711: @443953
     /*  443953 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(444024), // Rule ID 3963 //
     /*  443958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  443966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  443969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  443972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  443975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443986 */     // MIs[0] passthru
     /*  443986 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  443991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  444005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444022 */     GIR_RootConstrainSelectedInstOperands,
     /*  444023 */     // GIR_Coverage, 3963,
     /*  444023 */     GIR_EraseRootFromParent_Done,
     /*  444024 */   // Label 7712: @444024
     /*  444024 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(444095), // Rule ID 3972 //
     /*  444029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  444040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  444046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444057 */     // MIs[0] passthru
     /*  444057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  444076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444093 */     GIR_RootConstrainSelectedInstOperands,
     /*  444094 */     // GIR_Coverage, 3972,
     /*  444094 */     GIR_EraseRootFromParent_Done,
     /*  444095 */   // Label 7713: @444095
     /*  444095 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(444166), // Rule ID 3973 //
     /*  444100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  444111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  444117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444128 */     // MIs[0] passthru
     /*  444128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  444147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444164 */     GIR_RootConstrainSelectedInstOperands,
     /*  444165 */     // GIR_Coverage, 3973,
     /*  444165 */     GIR_EraseRootFromParent_Done,
     /*  444166 */   // Label 7714: @444166
     /*  444166 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(444237), // Rule ID 3982 //
     /*  444171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  444188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444199 */     // MIs[0] passthru
     /*  444199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  444218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444235 */     GIR_RootConstrainSelectedInstOperands,
     /*  444236 */     // GIR_Coverage, 3982,
     /*  444236 */     GIR_EraseRootFromParent_Done,
     /*  444237 */   // Label 7715: @444237
     /*  444237 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(444308), // Rule ID 3983 //
     /*  444242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  444259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444270 */     // MIs[0] passthru
     /*  444270 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  444289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444306 */     GIR_RootConstrainSelectedInstOperands,
     /*  444307 */     // GIR_Coverage, 3983,
     /*  444307 */     GIR_EraseRootFromParent_Done,
     /*  444308 */   // Label 7716: @444308
     /*  444308 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(444379), // Rule ID 3992 //
     /*  444313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  444330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444341 */     // MIs[0] passthru
     /*  444341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  444360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444377 */     GIR_RootConstrainSelectedInstOperands,
     /*  444378 */     // GIR_Coverage, 3992,
     /*  444378 */     GIR_EraseRootFromParent_Done,
     /*  444379 */   // Label 7717: @444379
     /*  444379 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(444450), // Rule ID 3993 //
     /*  444384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  444401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444412 */     // MIs[0] passthru
     /*  444412 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  444431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444448 */     GIR_RootConstrainSelectedInstOperands,
     /*  444449 */     // GIR_Coverage, 3993,
     /*  444449 */     GIR_EraseRootFromParent_Done,
     /*  444450 */   // Label 7718: @444450
     /*  444450 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(444521), // Rule ID 4002 //
     /*  444455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  444472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444483 */     // MIs[0] passthru
     /*  444483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  444502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444519 */     GIR_RootConstrainSelectedInstOperands,
     /*  444520 */     // GIR_Coverage, 4002,
     /*  444520 */     GIR_EraseRootFromParent_Done,
     /*  444521 */   // Label 7719: @444521
     /*  444521 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(444592), // Rule ID 4003 //
     /*  444526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  444543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444554 */     // MIs[0] passthru
     /*  444554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  444573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444590 */     GIR_RootConstrainSelectedInstOperands,
     /*  444591 */     // GIR_Coverage, 4003,
     /*  444591 */     GIR_EraseRootFromParent_Done,
     /*  444592 */   // Label 7720: @444592
     /*  444592 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(444663), // Rule ID 4012 //
     /*  444597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  444614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444625 */     // MIs[0] passthru
     /*  444625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444641 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  444644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444661 */     GIR_RootConstrainSelectedInstOperands,
     /*  444662 */     // GIR_Coverage, 4012,
     /*  444662 */     GIR_EraseRootFromParent_Done,
     /*  444663 */   // Label 7721: @444663
     /*  444663 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(444734), // Rule ID 4013 //
     /*  444668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  444679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  444682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  444685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444696 */     // MIs[0] passthru
     /*  444696 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  444715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444732 */     GIR_RootConstrainSelectedInstOperands,
     /*  444733 */     // GIR_Coverage, 4013,
     /*  444733 */     GIR_EraseRootFromParent_Done,
     /*  444734 */   // Label 7722: @444734
     /*  444734 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(444805), // Rule ID 4022 //
     /*  444739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  444742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  444750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  444753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  444756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444767 */     // MIs[0] passthru
     /*  444767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  444786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444803 */     GIR_RootConstrainSelectedInstOperands,
     /*  444804 */     // GIR_Coverage, 4022,
     /*  444804 */     GIR_EraseRootFromParent_Done,
     /*  444805 */   // Label 7723: @444805
     /*  444805 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(444876), // Rule ID 4023 //
     /*  444810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  444813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  444821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  444824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  444827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444838 */     // MIs[0] passthru
     /*  444838 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  444857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444874 */     GIR_RootConstrainSelectedInstOperands,
     /*  444875 */     // GIR_Coverage, 4023,
     /*  444875 */     GIR_EraseRootFromParent_Done,
     /*  444876 */   // Label 7724: @444876
     /*  444876 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(444947), // Rule ID 4032 //
     /*  444881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  444884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  444898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444909 */     // MIs[0] passthru
     /*  444909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  444928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  444934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444945 */     GIR_RootConstrainSelectedInstOperands,
     /*  444946 */     // GIR_Coverage, 4032,
     /*  444946 */     GIR_EraseRootFromParent_Done,
     /*  444947 */   // Label 7725: @444947
     /*  444947 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(445018), // Rule ID 4033 //
     /*  444952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  444955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  444960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  444963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  444966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  444969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444980 */     // MIs[0] passthru
     /*  444980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  444985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  444999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445016 */     GIR_RootConstrainSelectedInstOperands,
     /*  445017 */     // GIR_Coverage, 4033,
     /*  445017 */     GIR_EraseRootFromParent_Done,
     /*  445018 */   // Label 7726: @445018
     /*  445018 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(445089), // Rule ID 4042 //
     /*  445023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  445026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  445040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445051 */     // MIs[0] passthru
     /*  445051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  445070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445087 */     GIR_RootConstrainSelectedInstOperands,
     /*  445088 */     // GIR_Coverage, 4042,
     /*  445088 */     GIR_EraseRootFromParent_Done,
     /*  445089 */   // Label 7727: @445089
     /*  445089 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(445160), // Rule ID 4043 //
     /*  445094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  445097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  445111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445122 */     // MIs[0] passthru
     /*  445122 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445138 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  445141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445158 */     GIR_RootConstrainSelectedInstOperands,
     /*  445159 */     // GIR_Coverage, 4043,
     /*  445159 */     GIR_EraseRootFromParent_Done,
     /*  445160 */   // Label 7728: @445160
     /*  445160 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(445231), // Rule ID 4052 //
     /*  445165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  445168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  445182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445193 */     // MIs[0] passthru
     /*  445193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  445212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445229 */     GIR_RootConstrainSelectedInstOperands,
     /*  445230 */     // GIR_Coverage, 4052,
     /*  445230 */     GIR_EraseRootFromParent_Done,
     /*  445231 */   // Label 7729: @445231
     /*  445231 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(445302), // Rule ID 4053 //
     /*  445236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  445239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  445253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445264 */     // MIs[0] passthru
     /*  445264 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  445283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445300 */     GIR_RootConstrainSelectedInstOperands,
     /*  445301 */     // GIR_Coverage, 4053,
     /*  445301 */     GIR_EraseRootFromParent_Done,
     /*  445302 */   // Label 7730: @445302
     /*  445302 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(445373), // Rule ID 4122 //
     /*  445307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  445324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445335 */     // MIs[0] passthru
     /*  445335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445351 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  445354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445371 */     GIR_RootConstrainSelectedInstOperands,
     /*  445372 */     // GIR_Coverage, 4122,
     /*  445372 */     GIR_EraseRootFromParent_Done,
     /*  445373 */   // Label 7731: @445373
     /*  445373 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(445444), // Rule ID 4123 //
     /*  445378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  445395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445406 */     // MIs[0] passthru
     /*  445406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  445425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445442 */     GIR_RootConstrainSelectedInstOperands,
     /*  445443 */     // GIR_Coverage, 4123,
     /*  445443 */     GIR_EraseRootFromParent_Done,
     /*  445444 */   // Label 7732: @445444
     /*  445444 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(445515), // Rule ID 4132 //
     /*  445449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  445466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445477 */     // MIs[0] passthru
     /*  445477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  445496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445513 */     GIR_RootConstrainSelectedInstOperands,
     /*  445514 */     // GIR_Coverage, 4132,
     /*  445514 */     GIR_EraseRootFromParent_Done,
     /*  445515 */   // Label 7733: @445515
     /*  445515 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(445586), // Rule ID 4133 //
     /*  445520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  445537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445548 */     // MIs[0] passthru
     /*  445548 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  445567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445584 */     GIR_RootConstrainSelectedInstOperands,
     /*  445585 */     // GIR_Coverage, 4133,
     /*  445585 */     GIR_EraseRootFromParent_Done,
     /*  445586 */   // Label 7734: @445586
     /*  445586 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(445657), // Rule ID 4142 //
     /*  445591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  445608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445619 */     // MIs[0] passthru
     /*  445619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  445638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445655 */     GIR_RootConstrainSelectedInstOperands,
     /*  445656 */     // GIR_Coverage, 4142,
     /*  445656 */     GIR_EraseRootFromParent_Done,
     /*  445657 */   // Label 7735: @445657
     /*  445657 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(445728), // Rule ID 4143 //
     /*  445662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  445679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445690 */     // MIs[0] passthru
     /*  445690 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  445709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445726 */     GIR_RootConstrainSelectedInstOperands,
     /*  445727 */     // GIR_Coverage, 4143,
     /*  445727 */     GIR_EraseRootFromParent_Done,
     /*  445728 */   // Label 7736: @445728
     /*  445728 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(445799), // Rule ID 4152 //
     /*  445733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  445750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445761 */     // MIs[0] passthru
     /*  445761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  445780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445797 */     GIR_RootConstrainSelectedInstOperands,
     /*  445798 */     // GIR_Coverage, 4152,
     /*  445798 */     GIR_EraseRootFromParent_Done,
     /*  445799 */   // Label 7737: @445799
     /*  445799 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(445870), // Rule ID 4153 //
     /*  445804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  445821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445832 */     // MIs[0] passthru
     /*  445832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  445851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445868 */     GIR_RootConstrainSelectedInstOperands,
     /*  445869 */     // GIR_Coverage, 4153,
     /*  445869 */     GIR_EraseRootFromParent_Done,
     /*  445870 */   // Label 7738: @445870
     /*  445870 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(445941), // Rule ID 4162 //
     /*  445875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  445892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445903 */     // MIs[0] passthru
     /*  445903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  445922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445939 */     GIR_RootConstrainSelectedInstOperands,
     /*  445940 */     // GIR_Coverage, 4162,
     /*  445940 */     GIR_EraseRootFromParent_Done,
     /*  445941 */   // Label 7739: @445941
     /*  445941 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(446012), // Rule ID 4163 //
     /*  445946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  445954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  445963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445974 */     // MIs[0] passthru
     /*  445974 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  445993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446010 */     GIR_RootConstrainSelectedInstOperands,
     /*  446011 */     // GIR_Coverage, 4163,
     /*  446011 */     GIR_EraseRootFromParent_Done,
     /*  446012 */   // Label 7740: @446012
     /*  446012 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(446083), // Rule ID 4172 //
     /*  446017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  446028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  446031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  446034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446045 */     // MIs[0] passthru
     /*  446045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  446064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446081 */     GIR_RootConstrainSelectedInstOperands,
     /*  446082 */     // GIR_Coverage, 4172,
     /*  446082 */     GIR_EraseRootFromParent_Done,
     /*  446083 */   // Label 7741: @446083
     /*  446083 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(446154), // Rule ID 4173 //
     /*  446088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  446099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  446102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  446105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446116 */     // MIs[0] passthru
     /*  446116 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  446135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446152 */     GIR_RootConstrainSelectedInstOperands,
     /*  446153 */     // GIR_Coverage, 4173,
     /*  446153 */     GIR_EraseRootFromParent_Done,
     /*  446154 */   // Label 7742: @446154
     /*  446154 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(446225), // Rule ID 4182 //
     /*  446159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  446176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446187 */     // MIs[0] passthru
     /*  446187 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  446206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446223 */     GIR_RootConstrainSelectedInstOperands,
     /*  446224 */     // GIR_Coverage, 4182,
     /*  446224 */     GIR_EraseRootFromParent_Done,
     /*  446225 */   // Label 7743: @446225
     /*  446225 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(446296), // Rule ID 4183 //
     /*  446230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  446247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446258 */     // MIs[0] passthru
     /*  446258 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  446277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446294 */     GIR_RootConstrainSelectedInstOperands,
     /*  446295 */     // GIR_Coverage, 4183,
     /*  446295 */     GIR_EraseRootFromParent_Done,
     /*  446296 */   // Label 7744: @446296
     /*  446296 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(446367), // Rule ID 4192 //
     /*  446301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  446318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446329 */     // MIs[0] passthru
     /*  446329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  446348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446365 */     GIR_RootConstrainSelectedInstOperands,
     /*  446366 */     // GIR_Coverage, 4192,
     /*  446366 */     GIR_EraseRootFromParent_Done,
     /*  446367 */   // Label 7745: @446367
     /*  446367 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(446438), // Rule ID 4193 //
     /*  446372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  446389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446400 */     // MIs[0] passthru
     /*  446400 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  446419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446436 */     GIR_RootConstrainSelectedInstOperands,
     /*  446437 */     // GIR_Coverage, 4193,
     /*  446437 */     GIR_EraseRootFromParent_Done,
     /*  446438 */   // Label 7746: @446438
     /*  446438 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(446509), // Rule ID 4202 //
     /*  446443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  446454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  446457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  446460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446471 */     // MIs[0] passthru
     /*  446471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  446490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446507 */     GIR_RootConstrainSelectedInstOperands,
     /*  446508 */     // GIR_Coverage, 4202,
     /*  446508 */     GIR_EraseRootFromParent_Done,
     /*  446509 */   // Label 7747: @446509
     /*  446509 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(446580), // Rule ID 4203 //
     /*  446514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  446525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  446528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  446531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446542 */     // MIs[0] passthru
     /*  446542 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  446561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446578 */     GIR_RootConstrainSelectedInstOperands,
     /*  446579 */     // GIR_Coverage, 4203,
     /*  446579 */     GIR_EraseRootFromParent_Done,
     /*  446580 */   // Label 7748: @446580
     /*  446580 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(446651), // Rule ID 4212 //
     /*  446585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  446602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446613 */     // MIs[0] passthru
     /*  446613 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  446632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446649 */     GIR_RootConstrainSelectedInstOperands,
     /*  446650 */     // GIR_Coverage, 4212,
     /*  446650 */     GIR_EraseRootFromParent_Done,
     /*  446651 */   // Label 7749: @446651
     /*  446651 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(446722), // Rule ID 4213 //
     /*  446656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  446673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446684 */     // MIs[0] passthru
     /*  446684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  446703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446720 */     GIR_RootConstrainSelectedInstOperands,
     /*  446721 */     // GIR_Coverage, 4213,
     /*  446721 */     GIR_EraseRootFromParent_Done,
     /*  446722 */   // Label 7750: @446722
     /*  446722 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(446793), // Rule ID 4222 //
     /*  446727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  446744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446755 */     // MIs[0] passthru
     /*  446755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  446774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446791 */     GIR_RootConstrainSelectedInstOperands,
     /*  446792 */     // GIR_Coverage, 4222,
     /*  446792 */     GIR_EraseRootFromParent_Done,
     /*  446793 */   // Label 7751: @446793
     /*  446793 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(446864), // Rule ID 4223 //
     /*  446798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  446815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446826 */     // MIs[0] passthru
     /*  446826 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  446845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446862 */     GIR_RootConstrainSelectedInstOperands,
     /*  446863 */     // GIR_Coverage, 4223,
     /*  446863 */     GIR_EraseRootFromParent_Done,
     /*  446864 */   // Label 7752: @446864
     /*  446864 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(446935), // Rule ID 4232 //
     /*  446869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  446872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  446886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446897 */     // MIs[0] passthru
     /*  446897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446913 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  446916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446933 */     GIR_RootConstrainSelectedInstOperands,
     /*  446934 */     // GIR_Coverage, 4232,
     /*  446934 */     GIR_EraseRootFromParent_Done,
     /*  446935 */   // Label 7753: @446935
     /*  446935 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(447006), // Rule ID 4233 //
     /*  446940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  446943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  446948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  446957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446968 */     // MIs[0] passthru
     /*  446968 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  446987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447004 */     GIR_RootConstrainSelectedInstOperands,
     /*  447005 */     // GIR_Coverage, 4233,
     /*  447005 */     GIR_EraseRootFromParent_Done,
     /*  447006 */   // Label 7754: @447006
     /*  447006 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(447077), // Rule ID 4242 //
     /*  447011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  447014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  447028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447039 */     // MIs[0] passthru
     /*  447039 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  447058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447075 */     GIR_RootConstrainSelectedInstOperands,
     /*  447076 */     // GIR_Coverage, 4242,
     /*  447076 */     GIR_EraseRootFromParent_Done,
     /*  447077 */   // Label 7755: @447077
     /*  447077 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(447148), // Rule ID 4243 //
     /*  447082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  447099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447110 */     // MIs[0] passthru
     /*  447110 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  447129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447146 */     GIR_RootConstrainSelectedInstOperands,
     /*  447147 */     // GIR_Coverage, 4243,
     /*  447147 */     GIR_EraseRootFromParent_Done,
     /*  447148 */   // Label 7756: @447148
     /*  447148 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(447219), // Rule ID 4252 //
     /*  447153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  447156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  447170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447181 */     // MIs[0] passthru
     /*  447181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  447200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447217 */     GIR_RootConstrainSelectedInstOperands,
     /*  447218 */     // GIR_Coverage, 4252,
     /*  447218 */     GIR_EraseRootFromParent_Done,
     /*  447219 */   // Label 7757: @447219
     /*  447219 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(447290), // Rule ID 4253 //
     /*  447224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  447241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447252 */     // MIs[0] passthru
     /*  447252 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  447271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447288 */     GIR_RootConstrainSelectedInstOperands,
     /*  447289 */     // GIR_Coverage, 4253,
     /*  447289 */     GIR_EraseRootFromParent_Done,
     /*  447290 */   // Label 7758: @447290
     /*  447290 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(447361), // Rule ID 4262 //
     /*  447295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  447298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  447306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  447309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  447312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447323 */     // MIs[0] passthru
     /*  447323 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  447342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447359 */     GIR_RootConstrainSelectedInstOperands,
     /*  447360 */     // GIR_Coverage, 4262,
     /*  447360 */     GIR_EraseRootFromParent_Done,
     /*  447361 */   // Label 7759: @447361
     /*  447361 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(447432), // Rule ID 4263 //
     /*  447366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  447377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  447380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  447383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447394 */     // MIs[0] passthru
     /*  447394 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  447413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447430 */     GIR_RootConstrainSelectedInstOperands,
     /*  447431 */     // GIR_Coverage, 4263,
     /*  447431 */     GIR_EraseRootFromParent_Done,
     /*  447432 */   // Label 7760: @447432
     /*  447432 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(447503), // Rule ID 4332 //
     /*  447437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  447454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447465 */     // MIs[0] passthru
     /*  447465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447481 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  447484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447501 */     GIR_RootConstrainSelectedInstOperands,
     /*  447502 */     // GIR_Coverage, 4332,
     /*  447502 */     GIR_EraseRootFromParent_Done,
     /*  447503 */   // Label 7761: @447503
     /*  447503 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(447574), // Rule ID 4333 //
     /*  447508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  447525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447536 */     // MIs[0] passthru
     /*  447536 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  447555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447572 */     GIR_RootConstrainSelectedInstOperands,
     /*  447573 */     // GIR_Coverage, 4333,
     /*  447573 */     GIR_EraseRootFromParent_Done,
     /*  447574 */   // Label 7762: @447574
     /*  447574 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(447645), // Rule ID 4342 //
     /*  447579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  447596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447607 */     // MIs[0] passthru
     /*  447607 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  447626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447643 */     GIR_RootConstrainSelectedInstOperands,
     /*  447644 */     // GIR_Coverage, 4342,
     /*  447644 */     GIR_EraseRootFromParent_Done,
     /*  447645 */   // Label 7763: @447645
     /*  447645 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(447716), // Rule ID 4343 //
     /*  447650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  447667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447678 */     // MIs[0] passthru
     /*  447678 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  447697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447714 */     GIR_RootConstrainSelectedInstOperands,
     /*  447715 */     // GIR_Coverage, 4343,
     /*  447715 */     GIR_EraseRootFromParent_Done,
     /*  447716 */   // Label 7764: @447716
     /*  447716 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(447787), // Rule ID 4352 //
     /*  447721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  447738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447749 */     // MIs[0] passthru
     /*  447749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  447768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447785 */     GIR_RootConstrainSelectedInstOperands,
     /*  447786 */     // GIR_Coverage, 4352,
     /*  447786 */     GIR_EraseRootFromParent_Done,
     /*  447787 */   // Label 7765: @447787
     /*  447787 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(447858), // Rule ID 4353 //
     /*  447792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  447809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447820 */     // MIs[0] passthru
     /*  447820 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  447839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447856 */     GIR_RootConstrainSelectedInstOperands,
     /*  447857 */     // GIR_Coverage, 4353,
     /*  447857 */     GIR_EraseRootFromParent_Done,
     /*  447858 */   // Label 7766: @447858
     /*  447858 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(447929), // Rule ID 4362 //
     /*  447863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  447880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447891 */     // MIs[0] passthru
     /*  447891 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  447910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447927 */     GIR_RootConstrainSelectedInstOperands,
     /*  447928 */     // GIR_Coverage, 4362,
     /*  447928 */     GIR_EraseRootFromParent_Done,
     /*  447929 */   // Label 7767: @447929
     /*  447929 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(448000), // Rule ID 4363 //
     /*  447934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  447942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  447951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447962 */     // MIs[0] passthru
     /*  447962 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  447981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447998 */     GIR_RootConstrainSelectedInstOperands,
     /*  447999 */     // GIR_Coverage, 4363,
     /*  447999 */     GIR_EraseRootFromParent_Done,
     /*  448000 */   // Label 7768: @448000
     /*  448000 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(448071), // Rule ID 4372 //
     /*  448005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  448022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448033 */     // MIs[0] passthru
     /*  448033 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448049 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  448052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448069 */     GIR_RootConstrainSelectedInstOperands,
     /*  448070 */     // GIR_Coverage, 4372,
     /*  448070 */     GIR_EraseRootFromParent_Done,
     /*  448071 */   // Label 7769: @448071
     /*  448071 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(448142), // Rule ID 4373 //
     /*  448076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  448093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448104 */     // MIs[0] passthru
     /*  448104 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  448123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448140 */     GIR_RootConstrainSelectedInstOperands,
     /*  448141 */     // GIR_Coverage, 4373,
     /*  448141 */     GIR_EraseRootFromParent_Done,
     /*  448142 */   // Label 7770: @448142
     /*  448142 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(448213), // Rule ID 4382 //
     /*  448147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  448164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448175 */     // MIs[0] passthru
     /*  448175 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  448194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448211 */     GIR_RootConstrainSelectedInstOperands,
     /*  448212 */     // GIR_Coverage, 4382,
     /*  448212 */     GIR_EraseRootFromParent_Done,
     /*  448213 */   // Label 7771: @448213
     /*  448213 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(448284), // Rule ID 4383 //
     /*  448218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  448235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448246 */     // MIs[0] passthru
     /*  448246 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  448265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448282 */     GIR_RootConstrainSelectedInstOperands,
     /*  448283 */     // GIR_Coverage, 4383,
     /*  448283 */     GIR_EraseRootFromParent_Done,
     /*  448284 */   // Label 7772: @448284
     /*  448284 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(448355), // Rule ID 4392 //
     /*  448289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  448300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  448303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  448306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448317 */     // MIs[0] passthru
     /*  448317 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  448336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448353 */     GIR_RootConstrainSelectedInstOperands,
     /*  448354 */     // GIR_Coverage, 4392,
     /*  448354 */     GIR_EraseRootFromParent_Done,
     /*  448355 */   // Label 7773: @448355
     /*  448355 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(448426), // Rule ID 4393 //
     /*  448360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  448371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  448374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  448377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448388 */     // MIs[0] passthru
     /*  448388 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  448407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448424 */     GIR_RootConstrainSelectedInstOperands,
     /*  448425 */     // GIR_Coverage, 4393,
     /*  448425 */     GIR_EraseRootFromParent_Done,
     /*  448426 */   // Label 7774: @448426
     /*  448426 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(448497), // Rule ID 4402 //
     /*  448431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  448448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448459 */     // MIs[0] passthru
     /*  448459 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  448478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448495 */     GIR_RootConstrainSelectedInstOperands,
     /*  448496 */     // GIR_Coverage, 4402,
     /*  448496 */     GIR_EraseRootFromParent_Done,
     /*  448497 */   // Label 7775: @448497
     /*  448497 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(448568), // Rule ID 4403 //
     /*  448502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  448519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448530 */     // MIs[0] passthru
     /*  448530 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  448549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448566 */     GIR_RootConstrainSelectedInstOperands,
     /*  448567 */     // GIR_Coverage, 4403,
     /*  448567 */     GIR_EraseRootFromParent_Done,
     /*  448568 */   // Label 7776: @448568
     /*  448568 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(448639), // Rule ID 4412 //
     /*  448573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  448590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448601 */     // MIs[0] passthru
     /*  448601 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  448620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448637 */     GIR_RootConstrainSelectedInstOperands,
     /*  448638 */     // GIR_Coverage, 4412,
     /*  448638 */     GIR_EraseRootFromParent_Done,
     /*  448639 */   // Label 7777: @448639
     /*  448639 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(448710), // Rule ID 4413 //
     /*  448644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  448661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448672 */     // MIs[0] passthru
     /*  448672 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  448691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448708 */     GIR_RootConstrainSelectedInstOperands,
     /*  448709 */     // GIR_Coverage, 4413,
     /*  448709 */     GIR_EraseRootFromParent_Done,
     /*  448710 */   // Label 7778: @448710
     /*  448710 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(448781), // Rule ID 4422 //
     /*  448715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  448732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448743 */     // MIs[0] passthru
     /*  448743 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  448762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448779 */     GIR_RootConstrainSelectedInstOperands,
     /*  448780 */     // GIR_Coverage, 4422,
     /*  448780 */     GIR_EraseRootFromParent_Done,
     /*  448781 */   // Label 7779: @448781
     /*  448781 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(448852), // Rule ID 4423 //
     /*  448786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  448803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448814 */     // MIs[0] passthru
     /*  448814 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  448833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448850 */     GIR_RootConstrainSelectedInstOperands,
     /*  448851 */     // GIR_Coverage, 4423,
     /*  448851 */     GIR_EraseRootFromParent_Done,
     /*  448852 */   // Label 7780: @448852
     /*  448852 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(448923), // Rule ID 4432 //
     /*  448857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  448874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448885 */     // MIs[0] passthru
     /*  448885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  448904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448921 */     GIR_RootConstrainSelectedInstOperands,
     /*  448922 */     // GIR_Coverage, 4432,
     /*  448922 */     GIR_EraseRootFromParent_Done,
     /*  448923 */   // Label 7781: @448923
     /*  448923 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(448994), // Rule ID 4433 //
     /*  448928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  448936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  448945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448956 */     // MIs[0] passthru
     /*  448956 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  448975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448992 */     GIR_RootConstrainSelectedInstOperands,
     /*  448993 */     // GIR_Coverage, 4433,
     /*  448993 */     GIR_EraseRootFromParent_Done,
     /*  448994 */   // Label 7782: @448994
     /*  448994 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(449065), // Rule ID 4442 //
     /*  448999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  449016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449027 */     // MIs[0] passthru
     /*  449027 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  449046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449063 */     GIR_RootConstrainSelectedInstOperands,
     /*  449064 */     // GIR_Coverage, 4442,
     /*  449064 */     GIR_EraseRootFromParent_Done,
     /*  449065 */   // Label 7783: @449065
     /*  449065 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(449136), // Rule ID 4443 //
     /*  449070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  449087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449098 */     // MIs[0] passthru
     /*  449098 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  449117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449134 */     GIR_RootConstrainSelectedInstOperands,
     /*  449135 */     // GIR_Coverage, 4443,
     /*  449135 */     GIR_EraseRootFromParent_Done,
     /*  449136 */   // Label 7784: @449136
     /*  449136 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(449207), // Rule ID 4452 //
     /*  449141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  449158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449169 */     // MIs[0] passthru
     /*  449169 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449185 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  449188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449205 */     GIR_RootConstrainSelectedInstOperands,
     /*  449206 */     // GIR_Coverage, 4452,
     /*  449206 */     GIR_EraseRootFromParent_Done,
     /*  449207 */   // Label 7785: @449207
     /*  449207 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(449278), // Rule ID 4453 //
     /*  449212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  449229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449240 */     // MIs[0] passthru
     /*  449240 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  449259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449276 */     GIR_RootConstrainSelectedInstOperands,
     /*  449277 */     // GIR_Coverage, 4453,
     /*  449277 */     GIR_EraseRootFromParent_Done,
     /*  449278 */   // Label 7786: @449278
     /*  449278 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(449349), // Rule ID 4462 //
     /*  449283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  449300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449311 */     // MIs[0] passthru
     /*  449311 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449327 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  449330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449347 */     GIR_RootConstrainSelectedInstOperands,
     /*  449348 */     // GIR_Coverage, 4462,
     /*  449348 */     GIR_EraseRootFromParent_Done,
     /*  449349 */   // Label 7787: @449349
     /*  449349 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(449420), // Rule ID 4463 //
     /*  449354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  449371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449382 */     // MIs[0] passthru
     /*  449382 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  449401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449418 */     GIR_RootConstrainSelectedInstOperands,
     /*  449419 */     // GIR_Coverage, 4463,
     /*  449419 */     GIR_EraseRootFromParent_Done,
     /*  449420 */   // Label 7788: @449420
     /*  449420 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(449491), // Rule ID 4472 //
     /*  449425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  449442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449453 */     // MIs[0] passthru
     /*  449453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  449472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449489 */     GIR_RootConstrainSelectedInstOperands,
     /*  449490 */     // GIR_Coverage, 4472,
     /*  449490 */     GIR_EraseRootFromParent_Done,
     /*  449491 */   // Label 7789: @449491
     /*  449491 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(449562), // Rule ID 4473 //
     /*  449496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  449513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449524 */     // MIs[0] passthru
     /*  449524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449540 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  449543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449560 */     GIR_RootConstrainSelectedInstOperands,
     /*  449561 */     // GIR_Coverage, 4473,
     /*  449561 */     GIR_EraseRootFromParent_Done,
     /*  449562 */   // Label 7790: @449562
     /*  449562 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(449633), // Rule ID 4542 //
     /*  449567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  449584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449595 */     // MIs[0] passthru
     /*  449595 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  449614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449631 */     GIR_RootConstrainSelectedInstOperands,
     /*  449632 */     // GIR_Coverage, 4542,
     /*  449632 */     GIR_EraseRootFromParent_Done,
     /*  449633 */   // Label 7791: @449633
     /*  449633 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(449704), // Rule ID 4543 //
     /*  449638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  449655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449666 */     // MIs[0] passthru
     /*  449666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  449685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449702 */     GIR_RootConstrainSelectedInstOperands,
     /*  449703 */     // GIR_Coverage, 4543,
     /*  449703 */     GIR_EraseRootFromParent_Done,
     /*  449704 */   // Label 7792: @449704
     /*  449704 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(449775), // Rule ID 4552 //
     /*  449709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  449726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449737 */     // MIs[0] passthru
     /*  449737 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  449756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449773 */     GIR_RootConstrainSelectedInstOperands,
     /*  449774 */     // GIR_Coverage, 4552,
     /*  449774 */     GIR_EraseRootFromParent_Done,
     /*  449775 */   // Label 7793: @449775
     /*  449775 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(449846), // Rule ID 4553 //
     /*  449780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  449797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449808 */     // MIs[0] passthru
     /*  449808 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  449827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449844 */     GIR_RootConstrainSelectedInstOperands,
     /*  449845 */     // GIR_Coverage, 4553,
     /*  449845 */     GIR_EraseRootFromParent_Done,
     /*  449846 */   // Label 7794: @449846
     /*  449846 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(449917), // Rule ID 4562 //
     /*  449851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  449868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449879 */     // MIs[0] passthru
     /*  449879 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449895 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  449898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449915 */     GIR_RootConstrainSelectedInstOperands,
     /*  449916 */     // GIR_Coverage, 4562,
     /*  449916 */     GIR_EraseRootFromParent_Done,
     /*  449917 */   // Label 7795: @449917
     /*  449917 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(449988), // Rule ID 4563 //
     /*  449922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  449930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  449939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449950 */     // MIs[0] passthru
     /*  449950 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  449969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449986 */     GIR_RootConstrainSelectedInstOperands,
     /*  449987 */     // GIR_Coverage, 4563,
     /*  449987 */     GIR_EraseRootFromParent_Done,
     /*  449988 */   // Label 7796: @449988
     /*  449988 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(450059), // Rule ID 4572 //
     /*  449993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  450010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450021 */     // MIs[0] passthru
     /*  450021 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  450040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450057 */     GIR_RootConstrainSelectedInstOperands,
     /*  450058 */     // GIR_Coverage, 4572,
     /*  450058 */     GIR_EraseRootFromParent_Done,
     /*  450059 */   // Label 7797: @450059
     /*  450059 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(450130), // Rule ID 4573 //
     /*  450064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  450081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450092 */     // MIs[0] passthru
     /*  450092 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  450111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450128 */     GIR_RootConstrainSelectedInstOperands,
     /*  450129 */     // GIR_Coverage, 4573,
     /*  450129 */     GIR_EraseRootFromParent_Done,
     /*  450130 */   // Label 7798: @450130
     /*  450130 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(450201), // Rule ID 4582 //
     /*  450135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  450152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450163 */     // MIs[0] passthru
     /*  450163 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450179 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  450182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450199 */     GIR_RootConstrainSelectedInstOperands,
     /*  450200 */     // GIR_Coverage, 4582,
     /*  450200 */     GIR_EraseRootFromParent_Done,
     /*  450201 */   // Label 7799: @450201
     /*  450201 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(450272), // Rule ID 4583 //
     /*  450206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  450223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450234 */     // MIs[0] passthru
     /*  450234 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  450253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450270 */     GIR_RootConstrainSelectedInstOperands,
     /*  450271 */     // GIR_Coverage, 4583,
     /*  450271 */     GIR_EraseRootFromParent_Done,
     /*  450272 */   // Label 7800: @450272
     /*  450272 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(450343), // Rule ID 4592 //
     /*  450277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  450294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450305 */     // MIs[0] passthru
     /*  450305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  450324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450341 */     GIR_RootConstrainSelectedInstOperands,
     /*  450342 */     // GIR_Coverage, 4592,
     /*  450342 */     GIR_EraseRootFromParent_Done,
     /*  450343 */   // Label 7801: @450343
     /*  450343 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(450414), // Rule ID 4593 //
     /*  450348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  450365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450376 */     // MIs[0] passthru
     /*  450376 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  450395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450412 */     GIR_RootConstrainSelectedInstOperands,
     /*  450413 */     // GIR_Coverage, 4593,
     /*  450413 */     GIR_EraseRootFromParent_Done,
     /*  450414 */   // Label 7802: @450414
     /*  450414 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(450485), // Rule ID 4602 //
     /*  450419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  450436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450447 */     // MIs[0] passthru
     /*  450447 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  450466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450483 */     GIR_RootConstrainSelectedInstOperands,
     /*  450484 */     // GIR_Coverage, 4602,
     /*  450484 */     GIR_EraseRootFromParent_Done,
     /*  450485 */   // Label 7803: @450485
     /*  450485 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(450556), // Rule ID 4603 //
     /*  450490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  450507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450518 */     // MIs[0] passthru
     /*  450518 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  450537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450554 */     GIR_RootConstrainSelectedInstOperands,
     /*  450555 */     // GIR_Coverage, 4603,
     /*  450555 */     GIR_EraseRootFromParent_Done,
     /*  450556 */   // Label 7804: @450556
     /*  450556 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(450627), // Rule ID 4612 //
     /*  450561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  450578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450589 */     // MIs[0] passthru
     /*  450589 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  450608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450625 */     GIR_RootConstrainSelectedInstOperands,
     /*  450626 */     // GIR_Coverage, 4612,
     /*  450626 */     GIR_EraseRootFromParent_Done,
     /*  450627 */   // Label 7805: @450627
     /*  450627 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(450698), // Rule ID 4613 //
     /*  450632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  450649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450660 */     // MIs[0] passthru
     /*  450660 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  450679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450696 */     GIR_RootConstrainSelectedInstOperands,
     /*  450697 */     // GIR_Coverage, 4613,
     /*  450697 */     GIR_EraseRootFromParent_Done,
     /*  450698 */   // Label 7806: @450698
     /*  450698 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(450769), // Rule ID 4622 //
     /*  450703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  450720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450731 */     // MIs[0] passthru
     /*  450731 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  450750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450767 */     GIR_RootConstrainSelectedInstOperands,
     /*  450768 */     // GIR_Coverage, 4622,
     /*  450768 */     GIR_EraseRootFromParent_Done,
     /*  450769 */   // Label 7807: @450769
     /*  450769 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(450840), // Rule ID 4623 //
     /*  450774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  450791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450802 */     // MIs[0] passthru
     /*  450802 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  450821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450838 */     GIR_RootConstrainSelectedInstOperands,
     /*  450839 */     // GIR_Coverage, 4623,
     /*  450839 */     GIR_EraseRootFromParent_Done,
     /*  450840 */   // Label 7808: @450840
     /*  450840 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(450911), // Rule ID 4632 //
     /*  450845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  450856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  450859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  450862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450873 */     // MIs[0] passthru
     /*  450873 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  450892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450909 */     GIR_RootConstrainSelectedInstOperands,
     /*  450910 */     // GIR_Coverage, 4632,
     /*  450910 */     GIR_EraseRootFromParent_Done,
     /*  450911 */   // Label 7809: @450911
     /*  450911 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(450982), // Rule ID 4633 //
     /*  450916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  450927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  450930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  450933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450944 */     // MIs[0] passthru
     /*  450944 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  450963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450980 */     GIR_RootConstrainSelectedInstOperands,
     /*  450981 */     // GIR_Coverage, 4633,
     /*  450981 */     GIR_EraseRootFromParent_Done,
     /*  450982 */   // Label 7810: @450982
     /*  450982 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(451053), // Rule ID 4642 //
     /*  450987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  450995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  450998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  451004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451015 */     // MIs[0] passthru
     /*  451015 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  451034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451051 */     GIR_RootConstrainSelectedInstOperands,
     /*  451052 */     // GIR_Coverage, 4642,
     /*  451052 */     GIR_EraseRootFromParent_Done,
     /*  451053 */   // Label 7811: @451053
     /*  451053 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(451124), // Rule ID 4643 //
     /*  451058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  451075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451086 */     // MIs[0] passthru
     /*  451086 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  451105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451122 */     GIR_RootConstrainSelectedInstOperands,
     /*  451123 */     // GIR_Coverage, 4643,
     /*  451123 */     GIR_EraseRootFromParent_Done,
     /*  451124 */   // Label 7812: @451124
     /*  451124 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(451195), // Rule ID 4652 //
     /*  451129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  451146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451157 */     // MIs[0] passthru
     /*  451157 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  451176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451193 */     GIR_RootConstrainSelectedInstOperands,
     /*  451194 */     // GIR_Coverage, 4652,
     /*  451194 */     GIR_EraseRootFromParent_Done,
     /*  451195 */   // Label 7813: @451195
     /*  451195 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(451266), // Rule ID 4653 //
     /*  451200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  451217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451228 */     // MIs[0] passthru
     /*  451228 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  451247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451264 */     GIR_RootConstrainSelectedInstOperands,
     /*  451265 */     // GIR_Coverage, 4653,
     /*  451265 */     GIR_EraseRootFromParent_Done,
     /*  451266 */   // Label 7814: @451266
     /*  451266 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(451337), // Rule ID 4662 //
     /*  451271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  451288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451299 */     // MIs[0] passthru
     /*  451299 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  451318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451335 */     GIR_RootConstrainSelectedInstOperands,
     /*  451336 */     // GIR_Coverage, 4662,
     /*  451336 */     GIR_EraseRootFromParent_Done,
     /*  451337 */   // Label 7815: @451337
     /*  451337 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(451408), // Rule ID 4663 //
     /*  451342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  451359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451370 */     // MIs[0] passthru
     /*  451370 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  451389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451406 */     GIR_RootConstrainSelectedInstOperands,
     /*  451407 */     // GIR_Coverage, 4663,
     /*  451407 */     GIR_EraseRootFromParent_Done,
     /*  451408 */   // Label 7816: @451408
     /*  451408 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(451479), // Rule ID 4672 //
     /*  451413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  451430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451441 */     // MIs[0] passthru
     /*  451441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451457 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  451460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451477 */     GIR_RootConstrainSelectedInstOperands,
     /*  451478 */     // GIR_Coverage, 4672,
     /*  451478 */     GIR_EraseRootFromParent_Done,
     /*  451479 */   // Label 7817: @451479
     /*  451479 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(451550), // Rule ID 4673 //
     /*  451484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  451501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451512 */     // MIs[0] passthru
     /*  451512 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  451531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451548 */     GIR_RootConstrainSelectedInstOperands,
     /*  451549 */     // GIR_Coverage, 4673,
     /*  451549 */     GIR_EraseRootFromParent_Done,
     /*  451550 */   // Label 7818: @451550
     /*  451550 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(451621), // Rule ID 4682 //
     /*  451555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  451572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451583 */     // MIs[0] passthru
     /*  451583 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  451602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451619 */     GIR_RootConstrainSelectedInstOperands,
     /*  451620 */     // GIR_Coverage, 4682,
     /*  451620 */     GIR_EraseRootFromParent_Done,
     /*  451621 */   // Label 7819: @451621
     /*  451621 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(451692), // Rule ID 4683 //
     /*  451626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  451643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451654 */     // MIs[0] passthru
     /*  451654 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  451673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451690 */     GIR_RootConstrainSelectedInstOperands,
     /*  451691 */     // GIR_Coverage, 4683,
     /*  451691 */     GIR_EraseRootFromParent_Done,
     /*  451692 */   // Label 7820: @451692
     /*  451692 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(451764), // Rule ID 2546 //
     /*  451697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  451705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  451708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  451711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  451714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  451717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451743 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  451743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  451746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451762 */     GIR_RootConstrainSelectedInstOperands,
     /*  451763 */     // GIR_Coverage, 2546,
     /*  451763 */     GIR_EraseRootFromParent_Done,
     /*  451764 */   // Label 7821: @451764
     /*  451764 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(451836), // Rule ID 2547 //
     /*  451769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  451777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  451780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  451783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  451786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  451789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  451815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  451818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451834 */     GIR_RootConstrainSelectedInstOperands,
     /*  451835 */     // GIR_Coverage, 2547,
     /*  451835 */     GIR_EraseRootFromParent_Done,
     /*  451836 */   // Label 7822: @451836
     /*  451836 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(451911), // Rule ID 2550 //
     /*  451841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  451844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  451849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  451852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  451855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  451858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  451861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  451868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  451880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  451887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  451890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  451896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  451898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451909 */     GIR_RootConstrainSelectedInstOperands,
     /*  451910 */     // GIR_Coverage, 2550,
     /*  451910 */     GIR_EraseRootFromParent_Done,
     /*  451911 */   // Label 7823: @451911
     /*  451911 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(451986), // Rule ID 2551 //
     /*  451916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  451919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  451924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  451927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  451930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  451933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  451936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  451943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  451955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  451962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  451965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  451971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  451973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451984 */     GIR_RootConstrainSelectedInstOperands,
     /*  451985 */     // GIR_Coverage, 2551,
     /*  451985 */     GIR_EraseRootFromParent_Done,
     /*  451986 */   // Label 7824: @451986
     /*  451986 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(452061), // Rule ID 2578 //
     /*  451991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  451999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  452040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452059 */     GIR_RootConstrainSelectedInstOperands,
     /*  452060 */     // GIR_Coverage, 2578,
     /*  452060 */     GIR_EraseRootFromParent_Done,
     /*  452061 */   // Label 7825: @452061
     /*  452061 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(452136), // Rule ID 2579 //
     /*  452066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  452074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  452115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452134 */     GIR_RootConstrainSelectedInstOperands,
     /*  452135 */     // GIR_Coverage, 2579,
     /*  452135 */     GIR_EraseRootFromParent_Done,
     /*  452136 */   // Label 7826: @452136
     /*  452136 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(452208), // Rule ID 2592 //
     /*  452141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  452149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  452152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  452161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  452180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452187 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  452187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  452190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  452194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  452198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452206 */     GIR_RootConstrainSelectedInstOperands,
     /*  452207 */     // GIR_Coverage, 2592,
     /*  452207 */     GIR_EraseRootFromParent_Done,
     /*  452208 */   // Label 7827: @452208
     /*  452208 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(452280), // Rule ID 2593 //
     /*  452213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  452221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  452224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  452233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  452252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  452259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  452262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  452266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  452270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452278 */     GIR_RootConstrainSelectedInstOperands,
     /*  452279 */     // GIR_Coverage, 2593,
     /*  452279 */     GIR_EraseRootFromParent_Done,
     /*  452280 */   // Label 7828: @452280
     /*  452280 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(452355), // Rule ID 2612 //
     /*  452285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  452293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  452334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452353 */     GIR_RootConstrainSelectedInstOperands,
     /*  452354 */     // GIR_Coverage, 2612,
     /*  452354 */     GIR_EraseRootFromParent_Done,
     /*  452355 */   // Label 7829: @452355
     /*  452355 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(452430), // Rule ID 2613 //
     /*  452360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  452368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  452371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  452374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  452377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  452409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452428 */     GIR_RootConstrainSelectedInstOperands,
     /*  452429 */     // GIR_Coverage, 2613,
     /*  452429 */     GIR_EraseRootFromParent_Done,
     /*  452430 */   // Label 7830: @452430
     /*  452430 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(452505), // Rule ID 2638 //
     /*  452435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  452443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  452446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  452449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  452455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452481 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  452484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  452488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452503 */     GIR_RootConstrainSelectedInstOperands,
     /*  452504 */     // GIR_Coverage, 2638,
     /*  452504 */     GIR_EraseRootFromParent_Done,
     /*  452505 */   // Label 7831: @452505
     /*  452505 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(452580), // Rule ID 2639 //
     /*  452510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  452518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  452521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  452524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  452530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  452559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  452563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452578 */     GIR_RootConstrainSelectedInstOperands,
     /*  452579 */     // GIR_Coverage, 2639,
     /*  452579 */     GIR_EraseRootFromParent_Done,
     /*  452580 */   // Label 7832: @452580
     /*  452580 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(452655), // Rule ID 2650 //
     /*  452585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452631 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  452634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  452640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452653 */     GIR_RootConstrainSelectedInstOperands,
     /*  452654 */     // GIR_Coverage, 2650,
     /*  452654 */     GIR_EraseRootFromParent_Done,
     /*  452655 */   // Label 7833: @452655
     /*  452655 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(452730), // Rule ID 2651 //
     /*  452660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  452671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  452674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  452677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  452680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452706 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  452709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  452715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452728 */     GIR_RootConstrainSelectedInstOperands,
     /*  452729 */     // GIR_Coverage, 2651,
     /*  452729 */     GIR_EraseRootFromParent_Done,
     /*  452730 */   // Label 7834: @452730
     /*  452730 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(452805), // Rule ID 2658 //
     /*  452735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  452755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452781 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  452784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  452790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452803 */     GIR_RootConstrainSelectedInstOperands,
     /*  452804 */     // GIR_Coverage, 2658,
     /*  452804 */     GIR_EraseRootFromParent_Done,
     /*  452805 */   // Label 7835: @452805
     /*  452805 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(452880), // Rule ID 2659 //
     /*  452810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  452821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  452824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  452827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  452830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  452859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  452865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452878 */     GIR_RootConstrainSelectedInstOperands,
     /*  452879 */     // GIR_Coverage, 2659,
     /*  452879 */     GIR_EraseRootFromParent_Done,
     /*  452880 */   // Label 7836: @452880
     /*  452880 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(452955), // Rule ID 2666 //
     /*  452885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  452905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452931 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  452934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  452940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  452942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452953 */     GIR_RootConstrainSelectedInstOperands,
     /*  452954 */     // GIR_Coverage, 2666,
     /*  452954 */     GIR_EraseRootFromParent_Done,
     /*  452955 */   // Label 7837: @452955
     /*  452955 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(453030), // Rule ID 2667 //
     /*  452960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  452968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  452971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  452974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  452977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  452980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  453009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453028 */     GIR_RootConstrainSelectedInstOperands,
     /*  453029 */     // GIR_Coverage, 2667,
     /*  453029 */     GIR_EraseRootFromParent_Done,
     /*  453030 */   // Label 7838: @453030
     /*  453030 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(453105), // Rule ID 2674 //
     /*  453035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  453055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  453084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453103 */     GIR_RootConstrainSelectedInstOperands,
     /*  453104 */     // GIR_Coverage, 2674,
     /*  453104 */     GIR_EraseRootFromParent_Done,
     /*  453105 */   // Label 7839: @453105
     /*  453105 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(453180), // Rule ID 2675 //
     /*  453110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  453130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  453159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453178 */     GIR_RootConstrainSelectedInstOperands,
     /*  453179 */     // GIR_Coverage, 2675,
     /*  453179 */     GIR_EraseRootFromParent_Done,
     /*  453180 */   // Label 7840: @453180
     /*  453180 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(453255), // Rule ID 2682 //
     /*  453185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  453205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  453234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453253 */     GIR_RootConstrainSelectedInstOperands,
     /*  453254 */     // GIR_Coverage, 2682,
     /*  453254 */     GIR_EraseRootFromParent_Done,
     /*  453255 */   // Label 7841: @453255
     /*  453255 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(453330), // Rule ID 2683 //
     /*  453260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  453271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  453274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  453280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  453309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453328 */     GIR_RootConstrainSelectedInstOperands,
     /*  453329 */     // GIR_Coverage, 2683,
     /*  453329 */     GIR_EraseRootFromParent_Done,
     /*  453330 */   // Label 7842: @453330
     /*  453330 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(453405), // Rule ID 2690 //
     /*  453335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  453355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453381 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  453384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453403 */     GIR_RootConstrainSelectedInstOperands,
     /*  453404 */     // GIR_Coverage, 2690,
     /*  453404 */     GIR_EraseRootFromParent_Done,
     /*  453405 */   // Label 7843: @453405
     /*  453405 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(453480), // Rule ID 2691 //
     /*  453410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  453421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  453424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  453427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  453430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  453459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453478 */     GIR_RootConstrainSelectedInstOperands,
     /*  453479 */     // GIR_Coverage, 2691,
     /*  453479 */     GIR_EraseRootFromParent_Done,
     /*  453480 */   // Label 7844: @453480
     /*  453480 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(453555), // Rule ID 2698 //
     /*  453485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  453505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453553 */     GIR_RootConstrainSelectedInstOperands,
     /*  453554 */     // GIR_Coverage, 2698,
     /*  453554 */     GIR_EraseRootFromParent_Done,
     /*  453555 */   // Label 7845: @453555
     /*  453555 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(453630), // Rule ID 2699 //
     /*  453560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  453571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  453574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  453577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  453580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453628 */     GIR_RootConstrainSelectedInstOperands,
     /*  453629 */     // GIR_Coverage, 2699,
     /*  453629 */     GIR_EraseRootFromParent_Done,
     /*  453630 */   // Label 7846: @453630
     /*  453630 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(453705), // Rule ID 2706 //
     /*  453635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  453655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453703 */     GIR_RootConstrainSelectedInstOperands,
     /*  453704 */     // GIR_Coverage, 2706,
     /*  453704 */     GIR_EraseRootFromParent_Done,
     /*  453705 */   // Label 7847: @453705
     /*  453705 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(453780), // Rule ID 2707 //
     /*  453710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  453721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  453724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  453730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453778 */     GIR_RootConstrainSelectedInstOperands,
     /*  453779 */     // GIR_Coverage, 2707,
     /*  453779 */     GIR_EraseRootFromParent_Done,
     /*  453780 */   // Label 7848: @453780
     /*  453780 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(453855), // Rule ID 2714 //
     /*  453785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  453805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453853 */     GIR_RootConstrainSelectedInstOperands,
     /*  453854 */     // GIR_Coverage, 2714,
     /*  453854 */     GIR_EraseRootFromParent_Done,
     /*  453855 */   // Label 7849: @453855
     /*  453855 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(453930), // Rule ID 2715 //
     /*  453860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  453871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  453874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  453877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  453880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453928 */     GIR_RootConstrainSelectedInstOperands,
     /*  453929 */     // GIR_Coverage, 2715,
     /*  453929 */     GIR_EraseRootFromParent_Done,
     /*  453930 */   // Label 7850: @453930
     /*  453930 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(454005), // Rule ID 2722 //
     /*  453935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  453943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  453952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  453955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453981 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  453984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  453990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454003 */     GIR_RootConstrainSelectedInstOperands,
     /*  454004 */     // GIR_Coverage, 2722,
     /*  454004 */     GIR_EraseRootFromParent_Done,
     /*  454005 */   // Label 7851: @454005
     /*  454005 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(454080), // Rule ID 2723 //
     /*  454010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  454030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  454059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454078 */     GIR_RootConstrainSelectedInstOperands,
     /*  454079 */     // GIR_Coverage, 2723,
     /*  454079 */     GIR_EraseRootFromParent_Done,
     /*  454080 */   // Label 7852: @454080
     /*  454080 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(454155), // Rule ID 2730 //
     /*  454085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  454105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  454134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454153 */     GIR_RootConstrainSelectedInstOperands,
     /*  454154 */     // GIR_Coverage, 2730,
     /*  454154 */     GIR_EraseRootFromParent_Done,
     /*  454155 */   // Label 7853: @454155
     /*  454155 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(454230), // Rule ID 2731 //
     /*  454160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  454177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  454180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454206 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  454209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454228 */     GIR_RootConstrainSelectedInstOperands,
     /*  454229 */     // GIR_Coverage, 2731,
     /*  454229 */     GIR_EraseRootFromParent_Done,
     /*  454230 */   // Label 7854: @454230
     /*  454230 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(454305), // Rule ID 2738 //
     /*  454235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  454255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454281 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  454284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454303 */     GIR_RootConstrainSelectedInstOperands,
     /*  454304 */     // GIR_Coverage, 2738,
     /*  454304 */     GIR_EraseRootFromParent_Done,
     /*  454305 */   // Label 7855: @454305
     /*  454305 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(454380), // Rule ID 2739 //
     /*  454310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  454327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  454330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  454359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454378 */     GIR_RootConstrainSelectedInstOperands,
     /*  454379 */     // GIR_Coverage, 2739,
     /*  454379 */     GIR_EraseRootFromParent_Done,
     /*  454380 */   // Label 7856: @454380
     /*  454380 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(454455), // Rule ID 2746 //
     /*  454385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  454405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454431 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  454434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454453 */     GIR_RootConstrainSelectedInstOperands,
     /*  454454 */     // GIR_Coverage, 2746,
     /*  454454 */     GIR_EraseRootFromParent_Done,
     /*  454455 */   // Label 7857: @454455
     /*  454455 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(454530), // Rule ID 2747 //
     /*  454460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  454471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  454474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  454477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  454480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  454509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454528 */     GIR_RootConstrainSelectedInstOperands,
     /*  454529 */     // GIR_Coverage, 2747,
     /*  454529 */     GIR_EraseRootFromParent_Done,
     /*  454530 */   // Label 7858: @454530
     /*  454530 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(454605), // Rule ID 2754 //
     /*  454535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  454555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  454584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454603 */     GIR_RootConstrainSelectedInstOperands,
     /*  454604 */     // GIR_Coverage, 2754,
     /*  454604 */     GIR_EraseRootFromParent_Done,
     /*  454605 */   // Label 7859: @454605
     /*  454605 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(454680), // Rule ID 2755 //
     /*  454610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  454621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  454624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  454630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  454659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454678 */     GIR_RootConstrainSelectedInstOperands,
     /*  454679 */     // GIR_Coverage, 2755,
     /*  454679 */     GIR_EraseRootFromParent_Done,
     /*  454680 */   // Label 7860: @454680
     /*  454680 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(454755), // Rule ID 2762 //
     /*  454685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  454705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  454734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454753 */     GIR_RootConstrainSelectedInstOperands,
     /*  454754 */     // GIR_Coverage, 2762,
     /*  454754 */     GIR_EraseRootFromParent_Done,
     /*  454755 */   // Label 7861: @454755
     /*  454755 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(454830), // Rule ID 2763 //
     /*  454760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  454771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  454774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  454780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  454809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454828 */     GIR_RootConstrainSelectedInstOperands,
     /*  454829 */     // GIR_Coverage, 2763,
     /*  454829 */     GIR_EraseRootFromParent_Done,
     /*  454830 */   // Label 7862: @454830
     /*  454830 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(454905), // Rule ID 2770 //
     /*  454835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  454855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  454884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454903 */     GIR_RootConstrainSelectedInstOperands,
     /*  454904 */     // GIR_Coverage, 2770,
     /*  454904 */     GIR_EraseRootFromParent_Done,
     /*  454905 */   // Label 7863: @454905
     /*  454905 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(454980), // Rule ID 2771 //
     /*  454910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  454921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  454924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  454930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  454959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454978 */     GIR_RootConstrainSelectedInstOperands,
     /*  454979 */     // GIR_Coverage, 2771,
     /*  454979 */     GIR_EraseRootFromParent_Done,
     /*  454980 */   // Label 7864: @454980
     /*  454980 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(455055), // Rule ID 2778 //
     /*  454985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  454996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  454999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  455005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455031 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  455034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455053 */     GIR_RootConstrainSelectedInstOperands,
     /*  455054 */     // GIR_Coverage, 2778,
     /*  455054 */     GIR_EraseRootFromParent_Done,
     /*  455055 */   // Label 7865: @455055
     /*  455055 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(455130), // Rule ID 2779 //
     /*  455060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  455080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  455109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455128 */     GIR_RootConstrainSelectedInstOperands,
     /*  455129 */     // GIR_Coverage, 2779,
     /*  455129 */     GIR_EraseRootFromParent_Done,
     /*  455130 */   // Label 7866: @455130
     /*  455130 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(455205), // Rule ID 2786 //
     /*  455135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  455155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  455184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455203 */     GIR_RootConstrainSelectedInstOperands,
     /*  455204 */     // GIR_Coverage, 2786,
     /*  455204 */     GIR_EraseRootFromParent_Done,
     /*  455205 */   // Label 7867: @455205
     /*  455205 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(455280), // Rule ID 2787 //
     /*  455210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  455221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  455224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  455230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  455259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455278 */     GIR_RootConstrainSelectedInstOperands,
     /*  455279 */     // GIR_Coverage, 2787,
     /*  455279 */     GIR_EraseRootFromParent_Done,
     /*  455280 */   // Label 7868: @455280
     /*  455280 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(455355), // Rule ID 2794 //
     /*  455285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  455305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  455334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455353 */     GIR_RootConstrainSelectedInstOperands,
     /*  455354 */     // GIR_Coverage, 2794,
     /*  455354 */     GIR_EraseRootFromParent_Done,
     /*  455355 */   // Label 7869: @455355
     /*  455355 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(455430), // Rule ID 2795 //
     /*  455360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  455371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  455374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  455380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  455409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455428 */     GIR_RootConstrainSelectedInstOperands,
     /*  455429 */     // GIR_Coverage, 2795,
     /*  455429 */     GIR_EraseRootFromParent_Done,
     /*  455430 */   // Label 7870: @455430
     /*  455430 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(455505), // Rule ID 2802 //
     /*  455435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  455455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  455484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455503 */     GIR_RootConstrainSelectedInstOperands,
     /*  455504 */     // GIR_Coverage, 2802,
     /*  455504 */     GIR_EraseRootFromParent_Done,
     /*  455505 */   // Label 7871: @455505
     /*  455505 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(455580), // Rule ID 2803 //
     /*  455510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  455521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  455524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  455530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  455559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455578 */     GIR_RootConstrainSelectedInstOperands,
     /*  455579 */     // GIR_Coverage, 2803,
     /*  455579 */     GIR_EraseRootFromParent_Done,
     /*  455580 */   // Label 7872: @455580
     /*  455580 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(455655), // Rule ID 2810 //
     /*  455585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  455605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  455634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455653 */     GIR_RootConstrainSelectedInstOperands,
     /*  455654 */     // GIR_Coverage, 2810,
     /*  455654 */     GIR_EraseRootFromParent_Done,
     /*  455655 */   // Label 7873: @455655
     /*  455655 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(455730), // Rule ID 2811 //
     /*  455660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  455671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  455674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  455680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  455709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455728 */     GIR_RootConstrainSelectedInstOperands,
     /*  455729 */     // GIR_Coverage, 2811,
     /*  455729 */     GIR_EraseRootFromParent_Done,
     /*  455730 */   // Label 7874: @455730
     /*  455730 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(455805), // Rule ID 2818 //
     /*  455735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  455738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  455755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  455784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455803 */     GIR_RootConstrainSelectedInstOperands,
     /*  455804 */     // GIR_Coverage, 2818,
     /*  455804 */     GIR_EraseRootFromParent_Done,
     /*  455805 */   // Label 7875: @455805
     /*  455805 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(455880), // Rule ID 2819 //
     /*  455810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  455821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  455824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  455827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  455830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  455859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455878 */     GIR_RootConstrainSelectedInstOperands,
     /*  455879 */     // GIR_Coverage, 2819,
     /*  455879 */     GIR_EraseRootFromParent_Done,
     /*  455880 */   // Label 7876: @455880
     /*  455880 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(455955), // Rule ID 2826 //
     /*  455885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  455893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  455896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  455899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  455902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  455905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  455934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  455942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455953 */     GIR_RootConstrainSelectedInstOperands,
     /*  455954 */     // GIR_Coverage, 2826,
     /*  455954 */     GIR_EraseRootFromParent_Done,
     /*  455955 */   // Label 7877: @455955
     /*  455955 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(456030), // Rule ID 2827 //
     /*  455960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  455968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  455971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  455974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  455977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  455980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  456009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456028 */     GIR_RootConstrainSelectedInstOperands,
     /*  456029 */     // GIR_Coverage, 2827,
     /*  456029 */     GIR_EraseRootFromParent_Done,
     /*  456030 */   // Label 7878: @456030
     /*  456030 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(456105), // Rule ID 2830 //
     /*  456035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  456055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456081 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456103 */     GIR_RootConstrainSelectedInstOperands,
     /*  456104 */     // GIR_Coverage, 2830,
     /*  456104 */     GIR_EraseRootFromParent_Done,
     /*  456105 */   // Label 7879: @456105
     /*  456105 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(456180), // Rule ID 2831 //
     /*  456110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  456127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  456130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456178 */     GIR_RootConstrainSelectedInstOperands,
     /*  456179 */     // GIR_Coverage, 2831,
     /*  456179 */     GIR_EraseRootFromParent_Done,
     /*  456180 */   // Label 7880: @456180
     /*  456180 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(456255), // Rule ID 2834 //
     /*  456185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  456205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  456234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456253 */     GIR_RootConstrainSelectedInstOperands,
     /*  456254 */     // GIR_Coverage, 2834,
     /*  456254 */     GIR_EraseRootFromParent_Done,
     /*  456255 */   // Label 7881: @456255
     /*  456255 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(456330), // Rule ID 2835 //
     /*  456260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  456271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  456274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  456280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  456309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456328 */     GIR_RootConstrainSelectedInstOperands,
     /*  456329 */     // GIR_Coverage, 2835,
     /*  456329 */     GIR_EraseRootFromParent_Done,
     /*  456330 */   // Label 7882: @456330
     /*  456330 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(456405), // Rule ID 2838 //
     /*  456335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  456355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456381 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456403 */     GIR_RootConstrainSelectedInstOperands,
     /*  456404 */     // GIR_Coverage, 2838,
     /*  456404 */     GIR_EraseRootFromParent_Done,
     /*  456405 */   // Label 7883: @456405
     /*  456405 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(456480), // Rule ID 2839 //
     /*  456410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  456421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  456424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  456430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456478 */     GIR_RootConstrainSelectedInstOperands,
     /*  456479 */     // GIR_Coverage, 2839,
     /*  456479 */     GIR_EraseRootFromParent_Done,
     /*  456480 */   // Label 7884: @456480
     /*  456480 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(456555), // Rule ID 2842 //
     /*  456485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  456505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456553 */     GIR_RootConstrainSelectedInstOperands,
     /*  456554 */     // GIR_Coverage, 2842,
     /*  456554 */     GIR_EraseRootFromParent_Done,
     /*  456555 */   // Label 7885: @456555
     /*  456555 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(456630), // Rule ID 2843 //
     /*  456560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  456571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  456574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  456577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  456580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  456609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456628 */     GIR_RootConstrainSelectedInstOperands,
     /*  456629 */     // GIR_Coverage, 2843,
     /*  456629 */     GIR_EraseRootFromParent_Done,
     /*  456630 */   // Label 7886: @456630
     /*  456630 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(456705), // Rule ID 2846 //
     /*  456635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  456655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456681 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  456684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456703 */     GIR_RootConstrainSelectedInstOperands,
     /*  456704 */     // GIR_Coverage, 2846,
     /*  456704 */     GIR_EraseRootFromParent_Done,
     /*  456705 */   // Label 7887: @456705
     /*  456705 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(456780), // Rule ID 2847 //
     /*  456710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  456727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  456730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  456759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456778 */     GIR_RootConstrainSelectedInstOperands,
     /*  456779 */     // GIR_Coverage, 2847,
     /*  456779 */     GIR_EraseRootFromParent_Done,
     /*  456780 */   // Label 7888: @456780
     /*  456780 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(456855), // Rule ID 2850 //
     /*  456785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  456796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  456799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  456805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  456834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456853 */     GIR_RootConstrainSelectedInstOperands,
     /*  456854 */     // GIR_Coverage, 2850,
     /*  456854 */     GIR_EraseRootFromParent_Done,
     /*  456855 */   // Label 7889: @456855
     /*  456855 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(456930), // Rule ID 2851 //
     /*  456860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  456871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  456874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  456880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  456909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456928 */     GIR_RootConstrainSelectedInstOperands,
     /*  456929 */     // GIR_Coverage, 2851,
     /*  456929 */     GIR_EraseRootFromParent_Done,
     /*  456930 */   // Label 7890: @456930
     /*  456930 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(457005), // Rule ID 2854 //
     /*  456935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  456943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  456946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  456949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  456952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  456955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  456984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  456992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457003 */     GIR_RootConstrainSelectedInstOperands,
     /*  457004 */     // GIR_Coverage, 2854,
     /*  457004 */     GIR_EraseRootFromParent_Done,
     /*  457005 */   // Label 7891: @457005
     /*  457005 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(457080), // Rule ID 2855 //
     /*  457010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  457021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  457024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  457030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  457059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457078 */     GIR_RootConstrainSelectedInstOperands,
     /*  457079 */     // GIR_Coverage, 2855,
     /*  457079 */     GIR_EraseRootFromParent_Done,
     /*  457080 */   // Label 7892: @457080
     /*  457080 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(457155), // Rule ID 2858 //
     /*  457085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  457105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  457134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457153 */     GIR_RootConstrainSelectedInstOperands,
     /*  457154 */     // GIR_Coverage, 2858,
     /*  457154 */     GIR_EraseRootFromParent_Done,
     /*  457155 */   // Label 7893: @457155
     /*  457155 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(457230), // Rule ID 2859 //
     /*  457160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  457171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  457174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  457177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  457180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  457209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457228 */     GIR_RootConstrainSelectedInstOperands,
     /*  457229 */     // GIR_Coverage, 2859,
     /*  457229 */     GIR_EraseRootFromParent_Done,
     /*  457230 */   // Label 7894: @457230
     /*  457230 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(457305), // Rule ID 2862 //
     /*  457235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  457255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457281 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  457284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457303 */     GIR_RootConstrainSelectedInstOperands,
     /*  457304 */     // GIR_Coverage, 2862,
     /*  457304 */     GIR_EraseRootFromParent_Done,
     /*  457305 */   // Label 7895: @457305
     /*  457305 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(457380), // Rule ID 2863 //
     /*  457310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  457321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  457324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  457327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  457330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  457359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457378 */     GIR_RootConstrainSelectedInstOperands,
     /*  457379 */     // GIR_Coverage, 2863,
     /*  457379 */     GIR_EraseRootFromParent_Done,
     /*  457380 */   // Label 7896: @457380
     /*  457380 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(457455), // Rule ID 2866 //
     /*  457385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  457405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457431 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  457434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457453 */     GIR_RootConstrainSelectedInstOperands,
     /*  457454 */     // GIR_Coverage, 2866,
     /*  457454 */     GIR_EraseRootFromParent_Done,
     /*  457455 */   // Label 7897: @457455
     /*  457455 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(457530), // Rule ID 2867 //
     /*  457460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  457477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  457480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  457509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457528 */     GIR_RootConstrainSelectedInstOperands,
     /*  457529 */     // GIR_Coverage, 2867,
     /*  457529 */     GIR_EraseRootFromParent_Done,
     /*  457530 */   // Label 7898: @457530
     /*  457530 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(457605), // Rule ID 2870 //
     /*  457535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  457555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457581 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  457584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457603 */     GIR_RootConstrainSelectedInstOperands,
     /*  457604 */     // GIR_Coverage, 2870,
     /*  457604 */     GIR_EraseRootFromParent_Done,
     /*  457605 */   // Label 7899: @457605
     /*  457605 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(457680), // Rule ID 2871 //
     /*  457610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  457621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  457624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  457627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  457630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457656 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  457659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457678 */     GIR_RootConstrainSelectedInstOperands,
     /*  457679 */     // GIR_Coverage, 2871,
     /*  457679 */     GIR_EraseRootFromParent_Done,
     /*  457680 */   // Label 7900: @457680
     /*  457680 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(457755), // Rule ID 2874 //
     /*  457685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  457696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  457699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  457702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  457705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  457734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457753 */     GIR_RootConstrainSelectedInstOperands,
     /*  457754 */     // GIR_Coverage, 2874,
     /*  457754 */     GIR_EraseRootFromParent_Done,
     /*  457755 */   // Label 7901: @457755
     /*  457755 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(457830), // Rule ID 2875 //
     /*  457760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  457771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  457774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  457777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  457780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  457809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457828 */     GIR_RootConstrainSelectedInstOperands,
     /*  457829 */     // GIR_Coverage, 2875,
     /*  457829 */     GIR_EraseRootFromParent_Done,
     /*  457830 */   // Label 7902: @457830
     /*  457830 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(457905), // Rule ID 2878 //
     /*  457835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  457846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  457849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  457852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  457855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  457884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457903 */     GIR_RootConstrainSelectedInstOperands,
     /*  457904 */     // GIR_Coverage, 2878,
     /*  457904 */     GIR_EraseRootFromParent_Done,
     /*  457905 */   // Label 7903: @457905
     /*  457905 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(457980), // Rule ID 2879 //
     /*  457910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  457921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  457924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  457927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  457930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  457959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  457967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457978 */     GIR_RootConstrainSelectedInstOperands,
     /*  457979 */     // GIR_Coverage, 2879,
     /*  457979 */     GIR_EraseRootFromParent_Done,
     /*  457980 */   // Label 7904: @457980
     /*  457980 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(458055), // Rule ID 2882 //
     /*  457985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  457993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  457996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  457999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  458005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  458034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458053 */     GIR_RootConstrainSelectedInstOperands,
     /*  458054 */     // GIR_Coverage, 2882,
     /*  458054 */     GIR_EraseRootFromParent_Done,
     /*  458055 */   // Label 7905: @458055
     /*  458055 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(458130), // Rule ID 2883 //
     /*  458060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  458071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  458074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  458077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  458080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  458109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458128 */     GIR_RootConstrainSelectedInstOperands,
     /*  458129 */     // GIR_Coverage, 2883,
     /*  458129 */     GIR_EraseRootFromParent_Done,
     /*  458130 */   // Label 7906: @458130
     /*  458130 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(458205), // Rule ID 2886 //
     /*  458135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  458155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  458184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458203 */     GIR_RootConstrainSelectedInstOperands,
     /*  458204 */     // GIR_Coverage, 2886,
     /*  458204 */     GIR_EraseRootFromParent_Done,
     /*  458205 */   // Label 7907: @458205
     /*  458205 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(458280), // Rule ID 2887 //
     /*  458210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  458227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  458230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  458259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458278 */     GIR_RootConstrainSelectedInstOperands,
     /*  458279 */     // GIR_Coverage, 2887,
     /*  458279 */     GIR_EraseRootFromParent_Done,
     /*  458280 */   // Label 7908: @458280
     /*  458280 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(458355), // Rule ID 2890 //
     /*  458285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  458305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  458334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458353 */     GIR_RootConstrainSelectedInstOperands,
     /*  458354 */     // GIR_Coverage, 2890,
     /*  458354 */     GIR_EraseRootFromParent_Done,
     /*  458355 */   // Label 7909: @458355
     /*  458355 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(458430), // Rule ID 2891 //
     /*  458360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  458377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  458380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  458409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458428 */     GIR_RootConstrainSelectedInstOperands,
     /*  458429 */     // GIR_Coverage, 2891,
     /*  458429 */     GIR_EraseRootFromParent_Done,
     /*  458430 */   // Label 7910: @458430
     /*  458430 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(458505), // Rule ID 2894 //
     /*  458435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  458455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  458484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458503 */     GIR_RootConstrainSelectedInstOperands,
     /*  458504 */     // GIR_Coverage, 2894,
     /*  458504 */     GIR_EraseRootFromParent_Done,
     /*  458505 */   // Label 7911: @458505
     /*  458505 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(458580), // Rule ID 2895 //
     /*  458510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  458521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  458524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  458527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  458530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  458559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458578 */     GIR_RootConstrainSelectedInstOperands,
     /*  458579 */     // GIR_Coverage, 2895,
     /*  458579 */     GIR_EraseRootFromParent_Done,
     /*  458580 */   // Label 7912: @458580
     /*  458580 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(458655), // Rule ID 2898 //
     /*  458585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  458596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  458599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  458602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  458605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458631 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  458634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458653 */     GIR_RootConstrainSelectedInstOperands,
     /*  458654 */     // GIR_Coverage, 2898,
     /*  458654 */     GIR_EraseRootFromParent_Done,
     /*  458655 */   // Label 7913: @458655
     /*  458655 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(458730), // Rule ID 2899 //
     /*  458660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  458671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  458674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  458677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  458680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  458709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458728 */     GIR_RootConstrainSelectedInstOperands,
     /*  458729 */     // GIR_Coverage, 2899,
     /*  458729 */     GIR_EraseRootFromParent_Done,
     /*  458730 */   // Label 7914: @458730
     /*  458730 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(458805), // Rule ID 2902 //
     /*  458735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  458746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  458749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  458752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  458755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458781 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  458784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458803 */     GIR_RootConstrainSelectedInstOperands,
     /*  458804 */     // GIR_Coverage, 2902,
     /*  458804 */     GIR_EraseRootFromParent_Done,
     /*  458805 */   // Label 7915: @458805
     /*  458805 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(458880), // Rule ID 2903 //
     /*  458810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  458821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  458824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  458827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  458830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  458859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458878 */     GIR_RootConstrainSelectedInstOperands,
     /*  458879 */     // GIR_Coverage, 2903,
     /*  458879 */     GIR_EraseRootFromParent_Done,
     /*  458880 */   // Label 7916: @458880
     /*  458880 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(458955), // Rule ID 2906 //
     /*  458885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  458896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  458899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  458905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458931 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  458934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458953 */     GIR_RootConstrainSelectedInstOperands,
     /*  458954 */     // GIR_Coverage, 2906,
     /*  458954 */     GIR_EraseRootFromParent_Done,
     /*  458955 */   // Label 7917: @458955
     /*  458955 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(459030), // Rule ID 2907 //
     /*  458960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  458971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  458974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  458980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  459009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459028 */     GIR_RootConstrainSelectedInstOperands,
     /*  459029 */     // GIR_Coverage, 2907,
     /*  459029 */     GIR_EraseRootFromParent_Done,
     /*  459030 */   // Label 7918: @459030
     /*  459030 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(459105), // Rule ID 2910 //
     /*  459035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  459052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459081 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  459084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459103 */     GIR_RootConstrainSelectedInstOperands,
     /*  459104 */     // GIR_Coverage, 2910,
     /*  459104 */     GIR_EraseRootFromParent_Done,
     /*  459105 */   // Label 7919: @459105
     /*  459105 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(459180), // Rule ID 2911 //
     /*  459110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  459121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  459124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  459127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  459159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459178 */     GIR_RootConstrainSelectedInstOperands,
     /*  459179 */     // GIR_Coverage, 2911,
     /*  459179 */     GIR_EraseRootFromParent_Done,
     /*  459180 */   // Label 7920: @459180
     /*  459180 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(459255), // Rule ID 2914 //
     /*  459185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  459202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459231 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  459234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459253 */     GIR_RootConstrainSelectedInstOperands,
     /*  459254 */     // GIR_Coverage, 2914,
     /*  459254 */     GIR_EraseRootFromParent_Done,
     /*  459255 */   // Label 7921: @459255
     /*  459255 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(459330), // Rule ID 2915 //
     /*  459260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  459277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  459309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459328 */     GIR_RootConstrainSelectedInstOperands,
     /*  459329 */     // GIR_Coverage, 2915,
     /*  459329 */     GIR_EraseRootFromParent_Done,
     /*  459330 */   // Label 7922: @459330
     /*  459330 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(459405), // Rule ID 2918 //
     /*  459335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  459352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459403 */     GIR_RootConstrainSelectedInstOperands,
     /*  459404 */     // GIR_Coverage, 2918,
     /*  459404 */     GIR_EraseRootFromParent_Done,
     /*  459405 */   // Label 7923: @459405
     /*  459405 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(459480), // Rule ID 2919 //
     /*  459410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  459427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459478 */     GIR_RootConstrainSelectedInstOperands,
     /*  459479 */     // GIR_Coverage, 2919,
     /*  459479 */     GIR_EraseRootFromParent_Done,
     /*  459480 */   // Label 7924: @459480
     /*  459480 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(459555), // Rule ID 2922 //
     /*  459485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  459534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459553 */     GIR_RootConstrainSelectedInstOperands,
     /*  459554 */     // GIR_Coverage, 2922,
     /*  459554 */     GIR_EraseRootFromParent_Done,
     /*  459555 */   // Label 7925: @459555
     /*  459555 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(459630), // Rule ID 2923 //
     /*  459560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  459609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459628 */     GIR_RootConstrainSelectedInstOperands,
     /*  459629 */     // GIR_Coverage, 2923,
     /*  459629 */     GIR_EraseRootFromParent_Done,
     /*  459630 */   // Label 7926: @459630
     /*  459630 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(459705), // Rule ID 2926 //
     /*  459635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459681 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459703 */     GIR_RootConstrainSelectedInstOperands,
     /*  459704 */     // GIR_Coverage, 2926,
     /*  459704 */     GIR_EraseRootFromParent_Done,
     /*  459705 */   // Label 7927: @459705
     /*  459705 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(459780), // Rule ID 2927 //
     /*  459710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459778 */     GIR_RootConstrainSelectedInstOperands,
     /*  459779 */     // GIR_Coverage, 2927,
     /*  459779 */     GIR_EraseRootFromParent_Done,
     /*  459780 */   // Label 7928: @459780
     /*  459780 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(459855), // Rule ID 2930 //
     /*  459785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  459796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  459799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459831 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459853 */     GIR_RootConstrainSelectedInstOperands,
     /*  459854 */     // GIR_Coverage, 2930,
     /*  459854 */     GIR_EraseRootFromParent_Done,
     /*  459855 */   // Label 7929: @459855
     /*  459855 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(459930), // Rule ID 2931 //
     /*  459860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  459871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  459874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  459909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459928 */     GIR_RootConstrainSelectedInstOperands,
     /*  459929 */     // GIR_Coverage, 2931,
     /*  459929 */     GIR_EraseRootFromParent_Done,
     /*  459930 */   // Label 7930: @459930
     /*  459930 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(460005), // Rule ID 2934 //
     /*  459935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  459946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  459949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  459952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  459974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  459984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460003 */     GIR_RootConstrainSelectedInstOperands,
     /*  460004 */     // GIR_Coverage, 2934,
     /*  460004 */     GIR_EraseRootFromParent_Done,
     /*  460005 */   // Label 7931: @460005
     /*  460005 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(460080), // Rule ID 2935 //
     /*  460010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  460021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  460024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  460027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460078 */     GIR_RootConstrainSelectedInstOperands,
     /*  460079 */     // GIR_Coverage, 2935,
     /*  460079 */     GIR_EraseRootFromParent_Done,
     /*  460080 */   // Label 7932: @460080
     /*  460080 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(460155), // Rule ID 2938 //
     /*  460085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460153 */     GIR_RootConstrainSelectedInstOperands,
     /*  460154 */     // GIR_Coverage, 2938,
     /*  460154 */     GIR_EraseRootFromParent_Done,
     /*  460155 */   // Label 7933: @460155
     /*  460155 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(460230), // Rule ID 2939 //
     /*  460160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460228 */     GIR_RootConstrainSelectedInstOperands,
     /*  460229 */     // GIR_Coverage, 2939,
     /*  460229 */     GIR_EraseRootFromParent_Done,
     /*  460230 */   // Label 7934: @460230
     /*  460230 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(460305), // Rule ID 2942 //
     /*  460235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460303 */     GIR_RootConstrainSelectedInstOperands,
     /*  460304 */     // GIR_Coverage, 2942,
     /*  460304 */     GIR_EraseRootFromParent_Done,
     /*  460305 */   // Label 7935: @460305
     /*  460305 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(460380), // Rule ID 2943 //
     /*  460310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460378 */     GIR_RootConstrainSelectedInstOperands,
     /*  460379 */     // GIR_Coverage, 2943,
     /*  460379 */     GIR_EraseRootFromParent_Done,
     /*  460380 */   // Label 7936: @460380
     /*  460380 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(460455), // Rule ID 2946 //
     /*  460385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  460396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  460399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460431 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460453 */     GIR_RootConstrainSelectedInstOperands,
     /*  460454 */     // GIR_Coverage, 2946,
     /*  460454 */     GIR_EraseRootFromParent_Done,
     /*  460455 */   // Label 7937: @460455
     /*  460455 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(460530), // Rule ID 2947 //
     /*  460460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  460471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  460474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  460509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460528 */     GIR_RootConstrainSelectedInstOperands,
     /*  460529 */     // GIR_Coverage, 2947,
     /*  460529 */     GIR_EraseRootFromParent_Done,
     /*  460530 */   // Label 7938: @460530
     /*  460530 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(460605), // Rule ID 2950 //
     /*  460535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  460552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460581 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  460584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460603 */     GIR_RootConstrainSelectedInstOperands,
     /*  460604 */     // GIR_Coverage, 2950,
     /*  460604 */     GIR_EraseRootFromParent_Done,
     /*  460605 */   // Label 7939: @460605
     /*  460605 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(460680), // Rule ID 2951 //
     /*  460610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  460627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  460659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460678 */     GIR_RootConstrainSelectedInstOperands,
     /*  460679 */     // GIR_Coverage, 2951,
     /*  460679 */     GIR_EraseRootFromParent_Done,
     /*  460680 */   // Label 7940: @460680
     /*  460680 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(460755), // Rule ID 2954 //
     /*  460685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  460702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  460734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460753 */     GIR_RootConstrainSelectedInstOperands,
     /*  460754 */     // GIR_Coverage, 2954,
     /*  460754 */     GIR_EraseRootFromParent_Done,
     /*  460755 */   // Label 7941: @460755
     /*  460755 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(460830), // Rule ID 2955 //
     /*  460760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  460777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  460809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460828 */     GIR_RootConstrainSelectedInstOperands,
     /*  460829 */     // GIR_Coverage, 2955,
     /*  460829 */     GIR_EraseRootFromParent_Done,
     /*  460830 */   // Label 7942: @460830
     /*  460830 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(460905), // Rule ID 2958 //
     /*  460835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  460846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  460849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  460852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460881 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  460884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460903 */     GIR_RootConstrainSelectedInstOperands,
     /*  460904 */     // GIR_Coverage, 2958,
     /*  460904 */     GIR_EraseRootFromParent_Done,
     /*  460905 */   // Label 7943: @460905
     /*  460905 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(460980), // Rule ID 2959 //
     /*  460910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  460921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  460924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  460927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  460949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  460959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460978 */     GIR_RootConstrainSelectedInstOperands,
     /*  460979 */     // GIR_Coverage, 2959,
     /*  460979 */     GIR_EraseRootFromParent_Done,
     /*  460980 */   // Label 7944: @460980
     /*  460980 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(461055), // Rule ID 2962 //
     /*  460985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  460996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  460999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  461034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461053 */     GIR_RootConstrainSelectedInstOperands,
     /*  461054 */     // GIR_Coverage, 2962,
     /*  461054 */     GIR_EraseRootFromParent_Done,
     /*  461055 */   // Label 7945: @461055
     /*  461055 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(461130), // Rule ID 2963 //
     /*  461060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  461109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461128 */     GIR_RootConstrainSelectedInstOperands,
     /*  461129 */     // GIR_Coverage, 2963,
     /*  461129 */     GIR_EraseRootFromParent_Done,
     /*  461130 */   // Label 7946: @461130
     /*  461130 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(461205), // Rule ID 2966 //
     /*  461135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461181 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  461184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461203 */     GIR_RootConstrainSelectedInstOperands,
     /*  461204 */     // GIR_Coverage, 2966,
     /*  461204 */     GIR_EraseRootFromParent_Done,
     /*  461205 */   // Label 7947: @461205
     /*  461205 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(461280), // Rule ID 2967 //
     /*  461210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  461259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461278 */     GIR_RootConstrainSelectedInstOperands,
     /*  461279 */     // GIR_Coverage, 2967,
     /*  461279 */     GIR_EraseRootFromParent_Done,
     /*  461280 */   // Label 7948: @461280
     /*  461280 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(461355), // Rule ID 2970 //
     /*  461285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  461296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  461299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  461334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461353 */     GIR_RootConstrainSelectedInstOperands,
     /*  461354 */     // GIR_Coverage, 2970,
     /*  461354 */     GIR_EraseRootFromParent_Done,
     /*  461355 */   // Label 7949: @461355
     /*  461355 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(461430), // Rule ID 2971 //
     /*  461360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  461371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  461374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  461409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461428 */     GIR_RootConstrainSelectedInstOperands,
     /*  461429 */     // GIR_Coverage, 2971,
     /*  461429 */     GIR_EraseRootFromParent_Done,
     /*  461430 */   // Label 7950: @461430
     /*  461430 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(461505), // Rule ID 2974 //
     /*  461435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  461484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461503 */     GIR_RootConstrainSelectedInstOperands,
     /*  461504 */     // GIR_Coverage, 2974,
     /*  461504 */     GIR_EraseRootFromParent_Done,
     /*  461505 */   // Label 7951: @461505
     /*  461505 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(461580), // Rule ID 2975 //
     /*  461510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  461559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461578 */     GIR_RootConstrainSelectedInstOperands,
     /*  461579 */     // GIR_Coverage, 2975,
     /*  461579 */     GIR_EraseRootFromParent_Done,
     /*  461580 */   // Label 7952: @461580
     /*  461580 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(461655), // Rule ID 2978 //
     /*  461585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  461634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461653 */     GIR_RootConstrainSelectedInstOperands,
     /*  461654 */     // GIR_Coverage, 2978,
     /*  461654 */     GIR_EraseRootFromParent_Done,
     /*  461655 */   // Label 7953: @461655
     /*  461655 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(461730), // Rule ID 2979 //
     /*  461660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  461709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461728 */     GIR_RootConstrainSelectedInstOperands,
     /*  461729 */     // GIR_Coverage, 2979,
     /*  461729 */     GIR_EraseRootFromParent_Done,
     /*  461730 */   // Label 7954: @461730
     /*  461730 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(461805), // Rule ID 2982 //
     /*  461735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  461746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  461749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  461784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461803 */     GIR_RootConstrainSelectedInstOperands,
     /*  461804 */     // GIR_Coverage, 2982,
     /*  461804 */     GIR_EraseRootFromParent_Done,
     /*  461805 */   // Label 7955: @461805
     /*  461805 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(461880), // Rule ID 2983 //
     /*  461810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  461821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  461824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  461859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461878 */     GIR_RootConstrainSelectedInstOperands,
     /*  461879 */     // GIR_Coverage, 2983,
     /*  461879 */     GIR_EraseRootFromParent_Done,
     /*  461880 */   // Label 7956: @461880
     /*  461880 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(461955), // Rule ID 2986 //
     /*  461885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  461888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  461896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  461899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  461931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  461934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  461950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461953 */     GIR_RootConstrainSelectedInstOperands,
     /*  461954 */     // GIR_Coverage, 2986,
     /*  461954 */     GIR_EraseRootFromParent_Done,
     /*  461955 */   // Label 7957: @461955
     /*  461955 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(462030), // Rule ID 2987 //
     /*  461960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  461963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  461971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  461974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  461977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  462009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462028 */     GIR_RootConstrainSelectedInstOperands,
     /*  462029 */     // GIR_Coverage, 2987,
     /*  462029 */     GIR_EraseRootFromParent_Done,
     /*  462030 */   // Label 7958: @462030
     /*  462030 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(462105), // Rule ID 2990 //
     /*  462035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  462046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  462049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  462084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462103 */     GIR_RootConstrainSelectedInstOperands,
     /*  462104 */     // GIR_Coverage, 2990,
     /*  462104 */     GIR_EraseRootFromParent_Done,
     /*  462105 */   // Label 7959: @462105
     /*  462105 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(462180), // Rule ID 2991 //
     /*  462110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  462121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  462124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  462159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462178 */     GIR_RootConstrainSelectedInstOperands,
     /*  462179 */     // GIR_Coverage, 2991,
     /*  462179 */     GIR_EraseRootFromParent_Done,
     /*  462180 */   // Label 7960: @462180
     /*  462180 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(462255), // Rule ID 2994 //
     /*  462185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  462196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  462199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  462234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462253 */     GIR_RootConstrainSelectedInstOperands,
     /*  462254 */     // GIR_Coverage, 2994,
     /*  462254 */     GIR_EraseRootFromParent_Done,
     /*  462255 */   // Label 7961: @462255
     /*  462255 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(462330), // Rule ID 2995 //
     /*  462260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  462271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  462274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  462309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462328 */     GIR_RootConstrainSelectedInstOperands,
     /*  462329 */     // GIR_Coverage, 2995,
     /*  462329 */     GIR_EraseRootFromParent_Done,
     /*  462330 */   // Label 7962: @462330
     /*  462330 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(462405), // Rule ID 3086 //
     /*  462335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  462352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  462355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462381 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  462384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462403 */     GIR_RootConstrainSelectedInstOperands,
     /*  462404 */     // GIR_Coverage, 3086,
     /*  462404 */     GIR_EraseRootFromParent_Done,
     /*  462405 */   // Label 7963: @462405
     /*  462405 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(462480), // Rule ID 3087 //
     /*  462410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  462427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  462430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  462459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462478 */     GIR_RootConstrainSelectedInstOperands,
     /*  462479 */     // GIR_Coverage, 3087,
     /*  462479 */     GIR_EraseRootFromParent_Done,
     /*  462480 */   // Label 7964: @462480
     /*  462480 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(462555), // Rule ID 3090 //
     /*  462485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  462502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  462505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  462534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462553 */     GIR_RootConstrainSelectedInstOperands,
     /*  462554 */     // GIR_Coverage, 3090,
     /*  462554 */     GIR_EraseRootFromParent_Done,
     /*  462555 */   // Label 7965: @462555
     /*  462555 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(462630), // Rule ID 3091 //
     /*  462560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  462577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  462580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  462609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462628 */     GIR_RootConstrainSelectedInstOperands,
     /*  462629 */     // GIR_Coverage, 3091,
     /*  462629 */     GIR_EraseRootFromParent_Done,
     /*  462630 */   // Label 7966: @462630
     /*  462630 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(462705), // Rule ID 3094 //
     /*  462635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  462652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  462655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462681 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  462684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462703 */     GIR_RootConstrainSelectedInstOperands,
     /*  462704 */     // GIR_Coverage, 3094,
     /*  462704 */     GIR_EraseRootFromParent_Done,
     /*  462705 */   // Label 7967: @462705
     /*  462705 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(462780), // Rule ID 3095 //
     /*  462710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  462721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  462724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  462727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  462730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  462759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462778 */     GIR_RootConstrainSelectedInstOperands,
     /*  462779 */     // GIR_Coverage, 3095,
     /*  462779 */     GIR_EraseRootFromParent_Done,
     /*  462780 */   // Label 7968: @462780
     /*  462780 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(462855), // Rule ID 3098 //
     /*  462785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  462796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  462799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  462805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462831 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  462834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462853 */     GIR_RootConstrainSelectedInstOperands,
     /*  462854 */     // GIR_Coverage, 3098,
     /*  462854 */     GIR_EraseRootFromParent_Done,
     /*  462855 */   // Label 7969: @462855
     /*  462855 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(462930), // Rule ID 3099 //
     /*  462860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  462871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  462874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  462877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  462880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  462909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462928 */     GIR_RootConstrainSelectedInstOperands,
     /*  462929 */     // GIR_Coverage, 3099,
     /*  462929 */     GIR_EraseRootFromParent_Done,
     /*  462930 */   // Label 7970: @462930
     /*  462930 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(463005), // Rule ID 3102 //
     /*  462935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  462943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  462946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  462949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  462952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  462955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462981 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  462984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463003 */     GIR_RootConstrainSelectedInstOperands,
     /*  463004 */     // GIR_Coverage, 3102,
     /*  463004 */     GIR_EraseRootFromParent_Done,
     /*  463005 */   // Label 7971: @463005
     /*  463005 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(463080), // Rule ID 3103 //
     /*  463010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  463027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  463030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  463059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463078 */     GIR_RootConstrainSelectedInstOperands,
     /*  463079 */     // GIR_Coverage, 3103,
     /*  463079 */     GIR_EraseRootFromParent_Done,
     /*  463080 */   // Label 7972: @463080
     /*  463080 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(463155), // Rule ID 3106 //
     /*  463085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  463096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  463099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  463105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  463134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463153 */     GIR_RootConstrainSelectedInstOperands,
     /*  463154 */     // GIR_Coverage, 3106,
     /*  463154 */     GIR_EraseRootFromParent_Done,
     /*  463155 */   // Label 7973: @463155
     /*  463155 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(463230), // Rule ID 3107 //
     /*  463160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  463171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  463174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  463180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  463209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463228 */     GIR_RootConstrainSelectedInstOperands,
     /*  463229 */     // GIR_Coverage, 3107,
     /*  463229 */     GIR_EraseRootFromParent_Done,
     /*  463230 */   // Label 7974: @463230
     /*  463230 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(463305), // Rule ID 3110 //
     /*  463235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  463252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  463255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463303 */     GIR_RootConstrainSelectedInstOperands,
     /*  463304 */     // GIR_Coverage, 3110,
     /*  463304 */     GIR_EraseRootFromParent_Done,
     /*  463305 */   // Label 7975: @463305
     /*  463305 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(463380), // Rule ID 3111 //
     /*  463310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  463327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  463330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463378 */     GIR_RootConstrainSelectedInstOperands,
     /*  463379 */     // GIR_Coverage, 3111,
     /*  463379 */     GIR_EraseRootFromParent_Done,
     /*  463380 */   // Label 7976: @463380
     /*  463380 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(463455), // Rule ID 3114 //
     /*  463385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  463402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  463405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463453 */     GIR_RootConstrainSelectedInstOperands,
     /*  463454 */     // GIR_Coverage, 3114,
     /*  463454 */     GIR_EraseRootFromParent_Done,
     /*  463455 */   // Label 7977: @463455
     /*  463455 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(463530), // Rule ID 3115 //
     /*  463460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  463477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  463480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463528 */     GIR_RootConstrainSelectedInstOperands,
     /*  463529 */     // GIR_Coverage, 3115,
     /*  463529 */     GIR_EraseRootFromParent_Done,
     /*  463530 */   // Label 7978: @463530
     /*  463530 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(463605), // Rule ID 3118 //
     /*  463535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  463546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  463549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  463555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463581 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463603 */     GIR_RootConstrainSelectedInstOperands,
     /*  463604 */     // GIR_Coverage, 3118,
     /*  463604 */     GIR_EraseRootFromParent_Done,
     /*  463605 */   // Label 7979: @463605
     /*  463605 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(463680), // Rule ID 3119 //
     /*  463610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  463621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  463624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  463627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  463630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463678 */     GIR_RootConstrainSelectedInstOperands,
     /*  463679 */     // GIR_Coverage, 3119,
     /*  463679 */     GIR_EraseRootFromParent_Done,
     /*  463680 */   // Label 7980: @463680
     /*  463680 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(463755), // Rule ID 3122 //
     /*  463685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  463688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  463696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  463699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  463702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  463705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  463731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463753 */     GIR_RootConstrainSelectedInstOperands,
     /*  463754 */     // GIR_Coverage, 3122,
     /*  463754 */     GIR_EraseRootFromParent_Done,
     /*  463755 */   // Label 7981: @463755
     /*  463755 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(463830), // Rule ID 3123 //
     /*  463760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  463763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  463771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  463774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  463777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  463780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  463806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  463809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  463825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463828 */     GIR_RootConstrainSelectedInstOperands,
     /*  463829 */     // GIR_Coverage, 3123,
     /*  463829 */     GIR_EraseRootFromParent_Done,
     /*  463830 */   // Label 7982: @463830
     /*  463830 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(463905), // Rule ID 3126 //
     /*  463835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  463852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  463855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463881 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  463884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463903 */     GIR_RootConstrainSelectedInstOperands,
     /*  463904 */     // GIR_Coverage, 3126,
     /*  463904 */     GIR_EraseRootFromParent_Done,
     /*  463905 */   // Label 7983: @463905
     /*  463905 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(463980), // Rule ID 3127 //
     /*  463910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  463921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  463924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  463927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  463930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  463959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463978 */     GIR_RootConstrainSelectedInstOperands,
     /*  463979 */     // GIR_Coverage, 3127,
     /*  463979 */     GIR_EraseRootFromParent_Done,
     /*  463980 */   // Label 7984: @463980
     /*  463980 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(464055), // Rule ID 3130 //
     /*  463985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  463993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  463996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  463999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  464002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  464005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464031 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  464034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464053 */     GIR_RootConstrainSelectedInstOperands,
     /*  464054 */     // GIR_Coverage, 3130,
     /*  464054 */     GIR_EraseRootFromParent_Done,
     /*  464055 */   // Label 7985: @464055
     /*  464055 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(464130), // Rule ID 3131 //
     /*  464060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  464077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  464080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  464109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464128 */     GIR_RootConstrainSelectedInstOperands,
     /*  464129 */     // GIR_Coverage, 3131,
     /*  464129 */     GIR_EraseRootFromParent_Done,
     /*  464130 */   // Label 7986: @464130
     /*  464130 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(464205), // Rule ID 3134 //
     /*  464135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  464146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  464149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  464152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  464155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  464184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464203 */     GIR_RootConstrainSelectedInstOperands,
     /*  464204 */     // GIR_Coverage, 3134,
     /*  464204 */     GIR_EraseRootFromParent_Done,
     /*  464205 */   // Label 7987: @464205
     /*  464205 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(464280), // Rule ID 3135 //
     /*  464210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  464221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  464224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  464227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  464230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  464259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464278 */     GIR_RootConstrainSelectedInstOperands,
     /*  464279 */     // GIR_Coverage, 3135,
     /*  464279 */     GIR_EraseRootFromParent_Done,
     /*  464280 */   // Label 7988: @464280
     /*  464280 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(464355), // Rule ID 3138 //
     /*  464285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  464305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  464334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464353 */     GIR_RootConstrainSelectedInstOperands,
     /*  464354 */     // GIR_Coverage, 3138,
     /*  464354 */     GIR_EraseRootFromParent_Done,
     /*  464355 */   // Label 7989: @464355
     /*  464355 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(464430), // Rule ID 3139 //
     /*  464360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  464380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  464409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464428 */     GIR_RootConstrainSelectedInstOperands,
     /*  464429 */     // GIR_Coverage, 3139,
     /*  464429 */     GIR_EraseRootFromParent_Done,
     /*  464430 */   // Label 7990: @464430
     /*  464430 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(464505), // Rule ID 3142 //
     /*  464435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  464452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  464455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  464484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464503 */     GIR_RootConstrainSelectedInstOperands,
     /*  464504 */     // GIR_Coverage, 3142,
     /*  464504 */     GIR_EraseRootFromParent_Done,
     /*  464505 */   // Label 7991: @464505
     /*  464505 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(464580), // Rule ID 3143 //
     /*  464510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  464521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  464524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  464527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  464530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  464559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464578 */     GIR_RootConstrainSelectedInstOperands,
     /*  464579 */     // GIR_Coverage, 3143,
     /*  464579 */     GIR_EraseRootFromParent_Done,
     /*  464580 */   // Label 7992: @464580
     /*  464580 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(464655), // Rule ID 3146 //
     /*  464585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  464596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  464599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  464602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  464605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  464634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464653 */     GIR_RootConstrainSelectedInstOperands,
     /*  464654 */     // GIR_Coverage, 3146,
     /*  464654 */     GIR_EraseRootFromParent_Done,
     /*  464655 */   // Label 7993: @464655
     /*  464655 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(464730), // Rule ID 3147 //
     /*  464660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  464671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  464674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  464677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  464680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  464709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464728 */     GIR_RootConstrainSelectedInstOperands,
     /*  464729 */     // GIR_Coverage, 3147,
     /*  464729 */     GIR_EraseRootFromParent_Done,
     /*  464730 */   // Label 7994: @464730
     /*  464730 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(464805), // Rule ID 3150 //
     /*  464735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  464752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  464755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  464784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464803 */     GIR_RootConstrainSelectedInstOperands,
     /*  464804 */     // GIR_Coverage, 3150,
     /*  464804 */     GIR_EraseRootFromParent_Done,
     /*  464805 */   // Label 7995: @464805
     /*  464805 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(464880), // Rule ID 3151 //
     /*  464810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  464821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  464824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  464827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  464830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  464859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464878 */     GIR_RootConstrainSelectedInstOperands,
     /*  464879 */     // GIR_Coverage, 3151,
     /*  464879 */     GIR_EraseRootFromParent_Done,
     /*  464880 */   // Label 7996: @464880
     /*  464880 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(464955), // Rule ID 3154 //
     /*  464885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  464905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  464934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464953 */     GIR_RootConstrainSelectedInstOperands,
     /*  464954 */     // GIR_Coverage, 3154,
     /*  464954 */     GIR_EraseRootFromParent_Done,
     /*  464955 */   // Label 7997: @464955
     /*  464955 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(465030), // Rule ID 3155 //
     /*  464960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  464980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  465009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465028 */     GIR_RootConstrainSelectedInstOperands,
     /*  465029 */     // GIR_Coverage, 3155,
     /*  465029 */     GIR_EraseRootFromParent_Done,
     /*  465030 */   // Label 7998: @465030
     /*  465030 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(465105), // Rule ID 3158 //
     /*  465035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  465046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  465049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  465055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465081 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  465084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465103 */     GIR_RootConstrainSelectedInstOperands,
     /*  465104 */     // GIR_Coverage, 3158,
     /*  465104 */     GIR_EraseRootFromParent_Done,
     /*  465105 */   // Label 7999: @465105
     /*  465105 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(465180), // Rule ID 3159 //
     /*  465110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  465121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  465124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  465130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  465159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465178 */     GIR_RootConstrainSelectedInstOperands,
     /*  465179 */     // GIR_Coverage, 3159,
     /*  465179 */     GIR_EraseRootFromParent_Done,
     /*  465180 */   // Label 8000: @465180
     /*  465180 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(465255), // Rule ID 3162 //
     /*  465185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  465188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  465196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  465199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  465202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  465205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  465231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  465234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465253 */     GIR_RootConstrainSelectedInstOperands,
     /*  465254 */     // GIR_Coverage, 3162,
     /*  465254 */     GIR_EraseRootFromParent_Done,
     /*  465255 */   // Label 8001: @465255
     /*  465255 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(465330), // Rule ID 3163 //
     /*  465260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  465263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  465271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  465274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  465277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  465280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  465306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  465309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465328 */     GIR_RootConstrainSelectedInstOperands,
     /*  465329 */     // GIR_Coverage, 3163,
     /*  465329 */     GIR_EraseRootFromParent_Done,
     /*  465330 */   // Label 8002: @465330
     /*  465330 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(465405), // Rule ID 3166 //
     /*  465335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  465338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  465346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  465349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  465352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  465355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465381 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  465381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  465384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465403 */     GIR_RootConstrainSelectedInstOperands,
     /*  465404 */     // GIR_Coverage, 3166,
     /*  465404 */     GIR_EraseRootFromParent_Done,
     /*  465405 */   // Label 8003: @465405
     /*  465405 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(465480), // Rule ID 3167 //
     /*  465410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  465413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  465421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  465424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  465427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  465430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  465456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  465459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465478 */     GIR_RootConstrainSelectedInstOperands,
     /*  465479 */     // GIR_Coverage, 3167,
     /*  465479 */     GIR_EraseRootFromParent_Done,
     /*  465480 */   // Label 8004: @465480
     /*  465480 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(465555), // Rule ID 3170 //
     /*  465485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  465488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  465496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  465499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  465505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  465531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  465534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465553 */     GIR_RootConstrainSelectedInstOperands,
     /*  465554 */     // GIR_Coverage, 3170,
     /*  465554 */     GIR_EraseRootFromParent_Done,
     /*  465555 */   // Label 8005: @465555
     /*  465555 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(465630), // Rule ID 3171 //
     /*  465560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  465563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  465571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  465574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  465577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  465580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  465606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  465609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465628 */     GIR_RootConstrainSelectedInstOperands,
     /*  465629 */     // GIR_Coverage, 3171,
     /*  465629 */     GIR_EraseRootFromParent_Done,
     /*  465630 */   // Label 8006: @465630
     /*  465630 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(465705), // Rule ID 3174 //
     /*  465635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  465674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465681 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  465684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465703 */     GIR_RootConstrainSelectedInstOperands,
     /*  465704 */     // GIR_Coverage, 3174,
     /*  465704 */     GIR_EraseRootFromParent_Done,
     /*  465705 */   // Label 8007: @465705
     /*  465705 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(465780), // Rule ID 3175 //
     /*  465710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  465721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  465724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  465727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  465749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  465759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465778 */     GIR_RootConstrainSelectedInstOperands,
     /*  465779 */     // GIR_Coverage, 3175,
     /*  465779 */     GIR_EraseRootFromParent_Done,
     /*  465780 */   // Label 8008: @465780
     /*  465780 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(465855), // Rule ID 3178 //
     /*  465785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  465824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465831 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  465834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465853 */     GIR_RootConstrainSelectedInstOperands,
     /*  465854 */     // GIR_Coverage, 3178,
     /*  465854 */     GIR_EraseRootFromParent_Done,
     /*  465855 */   // Label 8009: @465855
     /*  465855 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(465930), // Rule ID 3179 //
     /*  465860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  465877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  465899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  465909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465928 */     GIR_RootConstrainSelectedInstOperands,
     /*  465929 */     // GIR_Coverage, 3179,
     /*  465929 */     GIR_EraseRootFromParent_Done,
     /*  465930 */   // Label 8010: @465930
     /*  465930 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(466005), // Rule ID 3182 //
     /*  465935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  465952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  465974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465981 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  465984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466003 */     GIR_RootConstrainSelectedInstOperands,
     /*  466004 */     // GIR_Coverage, 3182,
     /*  466004 */     GIR_EraseRootFromParent_Done,
     /*  466005 */   // Label 8011: @466005
     /*  466005 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(466080), // Rule ID 3183 //
     /*  466010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  466021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  466024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  466027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466056 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  466059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466078 */     GIR_RootConstrainSelectedInstOperands,
     /*  466079 */     // GIR_Coverage, 3183,
     /*  466079 */     GIR_EraseRootFromParent_Done,
     /*  466080 */   // Label 8012: @466080
     /*  466080 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(466155), // Rule ID 3186 //
     /*  466085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  466096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  466099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  466134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466153 */     GIR_RootConstrainSelectedInstOperands,
     /*  466154 */     // GIR_Coverage, 3186,
     /*  466154 */     GIR_EraseRootFromParent_Done,
     /*  466155 */   // Label 8013: @466155
     /*  466155 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(466230), // Rule ID 3187 //
     /*  466160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  466171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  466174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  466177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  466209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466228 */     GIR_RootConstrainSelectedInstOperands,
     /*  466229 */     // GIR_Coverage, 3187,
     /*  466229 */     GIR_EraseRootFromParent_Done,
     /*  466230 */   // Label 8014: @466230
     /*  466230 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(466305), // Rule ID 3190 //
     /*  466235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  466246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  466249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466281 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  466284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466303 */     GIR_RootConstrainSelectedInstOperands,
     /*  466304 */     // GIR_Coverage, 3190,
     /*  466304 */     GIR_EraseRootFromParent_Done,
     /*  466305 */   // Label 8015: @466305
     /*  466305 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(466380), // Rule ID 3191 //
     /*  466310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  466321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  466324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  466327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  466359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466378 */     GIR_RootConstrainSelectedInstOperands,
     /*  466379 */     // GIR_Coverage, 3191,
     /*  466379 */     GIR_EraseRootFromParent_Done,
     /*  466380 */   // Label 8016: @466380
     /*  466380 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(466455), // Rule ID 3194 //
     /*  466385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  466434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466453 */     GIR_RootConstrainSelectedInstOperands,
     /*  466454 */     // GIR_Coverage, 3194,
     /*  466454 */     GIR_EraseRootFromParent_Done,
     /*  466455 */   // Label 8017: @466455
     /*  466455 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(466530), // Rule ID 3195 //
     /*  466460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  466477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  466509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466528 */     GIR_RootConstrainSelectedInstOperands,
     /*  466529 */     // GIR_Coverage, 3195,
     /*  466529 */     GIR_EraseRootFromParent_Done,
     /*  466530 */   // Label 8018: @466530
     /*  466530 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(466605), // Rule ID 3198 //
     /*  466535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466603 */     GIR_RootConstrainSelectedInstOperands,
     /*  466604 */     // GIR_Coverage, 3198,
     /*  466604 */     GIR_EraseRootFromParent_Done,
     /*  466605 */   // Label 8019: @466605
     /*  466605 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(466680), // Rule ID 3199 //
     /*  466610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  466621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  466624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  466627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11273:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466678 */     GIR_RootConstrainSelectedInstOperands,
     /*  466679 */     // GIR_Coverage, 3199,
     /*  466679 */     GIR_EraseRootFromParent_Done,
     /*  466680 */   // Label 8020: @466680
     /*  466680 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(466755), // Rule ID 3202 //
     /*  466685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466731 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466753 */     GIR_RootConstrainSelectedInstOperands,
     /*  466754 */     // GIR_Coverage, 3202,
     /*  466754 */     GIR_EraseRootFromParent_Done,
     /*  466755 */   // Label 8021: @466755
     /*  466755 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(466830), // Rule ID 3203 //
     /*  466760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  466777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466828 */     GIR_RootConstrainSelectedInstOperands,
     /*  466829 */     // GIR_Coverage, 3203,
     /*  466829 */     GIR_EraseRootFromParent_Done,
     /*  466830 */   // Label 8022: @466830
     /*  466830 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(466905), // Rule ID 3206 //
     /*  466835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466881 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466903 */     GIR_RootConstrainSelectedInstOperands,
     /*  466904 */     // GIR_Coverage, 3206,
     /*  466904 */     GIR_EraseRootFromParent_Done,
     /*  466905 */   // Label 8023: @466905
     /*  466905 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(466980), // Rule ID 3207 //
     /*  466910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  466949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  466959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466978 */     GIR_RootConstrainSelectedInstOperands,
     /*  466979 */     // GIR_Coverage, 3207,
     /*  466979 */     GIR_EraseRootFromParent_Done,
     /*  466980 */   // Label 8024: @466980
     /*  466980 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(467055), // Rule ID 3210 //
     /*  466985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  466996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  466999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  467002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  467034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467053 */     GIR_RootConstrainSelectedInstOperands,
     /*  467054 */     // GIR_Coverage, 3210,
     /*  467054 */     GIR_EraseRootFromParent_Done,
     /*  467055 */   // Label 8025: @467055
     /*  467055 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(467130), // Rule ID 3211 //
     /*  467060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  467071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  467074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  467077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  467109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467128 */     GIR_RootConstrainSelectedInstOperands,
     /*  467129 */     // GIR_Coverage, 3211,
     /*  467129 */     GIR_EraseRootFromParent_Done,
     /*  467130 */   // Label 8026: @467130
     /*  467130 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(467205), // Rule ID 3214 //
     /*  467135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  467152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467181 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  467184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467203 */     GIR_RootConstrainSelectedInstOperands,
     /*  467204 */     // GIR_Coverage, 3214,
     /*  467204 */     GIR_EraseRootFromParent_Done,
     /*  467205 */   // Label 8027: @467205
     /*  467205 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(467280), // Rule ID 3215 //
     /*  467210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  467221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  467224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  467227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467256 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  467259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467278 */     GIR_RootConstrainSelectedInstOperands,
     /*  467279 */     // GIR_Coverage, 3215,
     /*  467279 */     GIR_EraseRootFromParent_Done,
     /*  467280 */   // Label 8028: @467280
     /*  467280 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(467355), // Rule ID 3218 //
     /*  467285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467331 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  467334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467353 */     GIR_RootConstrainSelectedInstOperands,
     /*  467354 */     // GIR_Coverage, 3218,
     /*  467354 */     GIR_EraseRootFromParent_Done,
     /*  467355 */   // Label 8029: @467355
     /*  467355 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(467430), // Rule ID 3219 //
     /*  467360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  467371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  467374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  467377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  467409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467428 */     GIR_RootConstrainSelectedInstOperands,
     /*  467429 */     // GIR_Coverage, 3219,
     /*  467429 */     GIR_EraseRootFromParent_Done,
     /*  467430 */   // Label 8030: @467430
     /*  467430 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(467505), // Rule ID 3222 //
     /*  467435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  467484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467503 */     GIR_RootConstrainSelectedInstOperands,
     /*  467504 */     // GIR_Coverage, 3222,
     /*  467504 */     GIR_EraseRootFromParent_Done,
     /*  467505 */   // Label 8031: @467505
     /*  467505 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(467580), // Rule ID 3223 //
     /*  467510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  467521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  467524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  467527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  467559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467578 */     GIR_RootConstrainSelectedInstOperands,
     /*  467579 */     // GIR_Coverage, 3223,
     /*  467579 */     GIR_EraseRootFromParent_Done,
     /*  467580 */   // Label 8032: @467580
     /*  467580 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(467655), // Rule ID 3226 //
     /*  467585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  467634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467653 */     GIR_RootConstrainSelectedInstOperands,
     /*  467654 */     // GIR_Coverage, 3226,
     /*  467654 */     GIR_EraseRootFromParent_Done,
     /*  467655 */   // Label 8033: @467655
     /*  467655 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(467730), // Rule ID 3227 //
     /*  467660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  467671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  467674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  467709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467728 */     GIR_RootConstrainSelectedInstOperands,
     /*  467729 */     // GIR_Coverage, 3227,
     /*  467729 */     GIR_EraseRootFromParent_Done,
     /*  467730 */   // Label 8034: @467730
     /*  467730 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(467805), // Rule ID 3230 //
     /*  467735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  467784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467803 */     GIR_RootConstrainSelectedInstOperands,
     /*  467804 */     // GIR_Coverage, 3230,
     /*  467804 */     GIR_EraseRootFromParent_Done,
     /*  467805 */   // Label 8035: @467805
     /*  467805 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(467880), // Rule ID 3231 //
     /*  467810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  467821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  467824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  467827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  467859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467878 */     GIR_RootConstrainSelectedInstOperands,
     /*  467879 */     // GIR_Coverage, 3231,
     /*  467879 */     GIR_EraseRootFromParent_Done,
     /*  467880 */   // Label 8036: @467880
     /*  467880 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(467955), // Rule ID 3234 //
     /*  467885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  467934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467953 */     GIR_RootConstrainSelectedInstOperands,
     /*  467954 */     // GIR_Coverage, 3234,
     /*  467954 */     GIR_EraseRootFromParent_Done,
     /*  467955 */   // Label 8037: @467955
     /*  467955 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(468030), // Rule ID 3235 //
     /*  467960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  467971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  467974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  467977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  468009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468028 */     GIR_RootConstrainSelectedInstOperands,
     /*  468029 */     // GIR_Coverage, 3235,
     /*  468029 */     GIR_EraseRootFromParent_Done,
     /*  468030 */   // Label 8038: @468030
     /*  468030 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(468105), // Rule ID 3238 //
     /*  468035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  468084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468103 */     GIR_RootConstrainSelectedInstOperands,
     /*  468104 */     // GIR_Coverage, 3238,
     /*  468104 */     GIR_EraseRootFromParent_Done,
     /*  468105 */   // Label 8039: @468105
     /*  468105 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(468180), // Rule ID 3239 //
     /*  468110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  468121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  468124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  468159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468178 */     GIR_RootConstrainSelectedInstOperands,
     /*  468179 */     // GIR_Coverage, 3239,
     /*  468179 */     GIR_EraseRootFromParent_Done,
     /*  468180 */   // Label 8040: @468180
     /*  468180 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(468255), // Rule ID 3242 //
     /*  468185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  468234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468253 */     GIR_RootConstrainSelectedInstOperands,
     /*  468254 */     // GIR_Coverage, 3242,
     /*  468254 */     GIR_EraseRootFromParent_Done,
     /*  468255 */   // Label 8041: @468255
     /*  468255 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(468330), // Rule ID 3243 //
     /*  468260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  468271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  468274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  468309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468328 */     GIR_RootConstrainSelectedInstOperands,
     /*  468329 */     // GIR_Coverage, 3243,
     /*  468329 */     GIR_EraseRootFromParent_Done,
     /*  468330 */   // Label 8042: @468330
     /*  468330 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(468405), // Rule ID 3246 //
     /*  468335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  468384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468403 */     GIR_RootConstrainSelectedInstOperands,
     /*  468404 */     // GIR_Coverage, 3246,
     /*  468404 */     GIR_EraseRootFromParent_Done,
     /*  468405 */   // Label 8043: @468405
     /*  468405 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(468480), // Rule ID 3247 //
     /*  468410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  468421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  468424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  468427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  468459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468478 */     GIR_RootConstrainSelectedInstOperands,
     /*  468479 */     // GIR_Coverage, 3247,
     /*  468479 */     GIR_EraseRootFromParent_Done,
     /*  468480 */   // Label 8044: @468480
     /*  468480 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(468555), // Rule ID 3250 //
     /*  468485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  468534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468553 */     GIR_RootConstrainSelectedInstOperands,
     /*  468554 */     // GIR_Coverage, 3250,
     /*  468554 */     GIR_EraseRootFromParent_Done,
     /*  468555 */   // Label 8045: @468555
     /*  468555 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(468630), // Rule ID 3251 //
     /*  468560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  468571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  468574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  468577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  468609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468628 */     GIR_RootConstrainSelectedInstOperands,
     /*  468629 */     // GIR_Coverage, 3251,
     /*  468629 */     GIR_EraseRootFromParent_Done,
     /*  468630 */   // Label 8046: @468630
     /*  468630 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(468705), // Rule ID 3254 //
     /*  468635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468681 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  468684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468703 */     GIR_RootConstrainSelectedInstOperands,
     /*  468704 */     // GIR_Coverage, 3254,
     /*  468704 */     GIR_EraseRootFromParent_Done,
     /*  468705 */   // Label 8047: @468705
     /*  468705 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(468780), // Rule ID 3255 //
     /*  468710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  468721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  468724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  468727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  468759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468778 */     GIR_RootConstrainSelectedInstOperands,
     /*  468779 */     // GIR_Coverage, 3255,
     /*  468779 */     GIR_EraseRootFromParent_Done,
     /*  468780 */   // Label 8048: @468780
     /*  468780 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(468855), // Rule ID 3258 //
     /*  468785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468831 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  468834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468853 */     GIR_RootConstrainSelectedInstOperands,
     /*  468854 */     // GIR_Coverage, 3258,
     /*  468854 */     GIR_EraseRootFromParent_Done,
     /*  468855 */   // Label 8049: @468855
     /*  468855 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(468930), // Rule ID 3259 //
     /*  468860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  468871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  468874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  468877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  468909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468928 */     GIR_RootConstrainSelectedInstOperands,
     /*  468929 */     // GIR_Coverage, 3259,
     /*  468929 */     GIR_EraseRootFromParent_Done,
     /*  468930 */   // Label 8050: @468930
     /*  468930 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(469005), // Rule ID 3262 //
     /*  468935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  468943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  468946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  468949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  468952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  468984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469003 */     GIR_RootConstrainSelectedInstOperands,
     /*  469004 */     // GIR_Coverage, 3262,
     /*  469004 */     GIR_EraseRootFromParent_Done,
     /*  469005 */   // Label 8051: @469005
     /*  469005 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(469080), // Rule ID 3263 //
     /*  469010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  469059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469078 */     GIR_RootConstrainSelectedInstOperands,
     /*  469079 */     // GIR_Coverage, 3263,
     /*  469079 */     GIR_EraseRootFromParent_Done,
     /*  469080 */   // Label 8052: @469080
     /*  469080 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(469155), // Rule ID 3266 //
     /*  469085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469131 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  469134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469153 */     GIR_RootConstrainSelectedInstOperands,
     /*  469154 */     // GIR_Coverage, 3266,
     /*  469154 */     GIR_EraseRootFromParent_Done,
     /*  469155 */   // Label 8053: @469155
     /*  469155 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(469230), // Rule ID 3267 //
     /*  469160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  469171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  469174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  469177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  469209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469228 */     GIR_RootConstrainSelectedInstOperands,
     /*  469229 */     // GIR_Coverage, 3267,
     /*  469229 */     GIR_EraseRootFromParent_Done,
     /*  469230 */   // Label 8054: @469230
     /*  469230 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(469305), // Rule ID 3270 //
     /*  469235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469281 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469303 */     GIR_RootConstrainSelectedInstOperands,
     /*  469304 */     // GIR_Coverage, 3270,
     /*  469304 */     GIR_EraseRootFromParent_Done,
     /*  469305 */   // Label 8055: @469305
     /*  469305 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(469380), // Rule ID 3271 //
     /*  469310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  469321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  469324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  469327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469378 */     GIR_RootConstrainSelectedInstOperands,
     /*  469379 */     // GIR_Coverage, 3271,
     /*  469379 */     GIR_EraseRootFromParent_Done,
     /*  469380 */   // Label 8056: @469380
     /*  469380 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(469455), // Rule ID 3274 //
     /*  469385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469431 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  469434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469453 */     GIR_RootConstrainSelectedInstOperands,
     /*  469454 */     // GIR_Coverage, 3274,
     /*  469454 */     GIR_EraseRootFromParent_Done,
     /*  469455 */   // Label 8057: @469455
     /*  469455 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(469530), // Rule ID 3275 //
     /*  469460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  469471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  469474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  469477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  469509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469528 */     GIR_RootConstrainSelectedInstOperands,
     /*  469529 */     // GIR_Coverage, 3275,
     /*  469529 */     GIR_EraseRootFromParent_Done,
     /*  469530 */   // Label 8058: @469530
     /*  469530 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(469605), // Rule ID 3278 //
     /*  469535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469603 */     GIR_RootConstrainSelectedInstOperands,
     /*  469604 */     // GIR_Coverage, 3278,
     /*  469604 */     GIR_EraseRootFromParent_Done,
     /*  469605 */   // Label 8059: @469605
     /*  469605 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(469680), // Rule ID 3279 //
     /*  469610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  469621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  469624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  469627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469678 */     GIR_RootConstrainSelectedInstOperands,
     /*  469679 */     // GIR_Coverage, 3279,
     /*  469679 */     GIR_EraseRootFromParent_Done,
     /*  469680 */   // Label 8060: @469680
     /*  469680 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(469755), // Rule ID 3282 //
     /*  469685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469753 */     GIR_RootConstrainSelectedInstOperands,
     /*  469754 */     // GIR_Coverage, 3282,
     /*  469754 */     GIR_EraseRootFromParent_Done,
     /*  469755 */   // Label 8061: @469755
     /*  469755 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(469830), // Rule ID 3283 //
     /*  469760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  469777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  469809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469828 */     GIR_RootConstrainSelectedInstOperands,
     /*  469829 */     // GIR_Coverage, 3283,
     /*  469829 */     GIR_EraseRootFromParent_Done,
     /*  469830 */   // Label 8062: @469830
     /*  469830 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(469905), // Rule ID 3286 //
     /*  469835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  469884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469903 */     GIR_RootConstrainSelectedInstOperands,
     /*  469904 */     // GIR_Coverage, 3286,
     /*  469904 */     GIR_EraseRootFromParent_Done,
     /*  469905 */   // Label 8063: @469905
     /*  469905 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(469980), // Rule ID 3287 //
     /*  469910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  469921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  469924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  469927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  469959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469978 */     GIR_RootConstrainSelectedInstOperands,
     /*  469979 */     // GIR_Coverage, 3287,
     /*  469979 */     GIR_EraseRootFromParent_Done,
     /*  469980 */   // Label 8064: @469980
     /*  469980 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(470055), // Rule ID 3290 //
     /*  469985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  469993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  469996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  469999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470053 */     GIR_RootConstrainSelectedInstOperands,
     /*  470054 */     // GIR_Coverage, 3290,
     /*  470054 */     GIR_EraseRootFromParent_Done,
     /*  470055 */   // Label 8065: @470055
     /*  470055 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(470130), // Rule ID 3291 //
     /*  470060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  470071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  470074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  470077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470128 */     GIR_RootConstrainSelectedInstOperands,
     /*  470129 */     // GIR_Coverage, 3291,
     /*  470129 */     GIR_EraseRootFromParent_Done,
     /*  470130 */   // Label 8066: @470130
     /*  470130 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(470205), // Rule ID 3294 //
     /*  470135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470203 */     GIR_RootConstrainSelectedInstOperands,
     /*  470204 */     // GIR_Coverage, 3294,
     /*  470204 */     GIR_EraseRootFromParent_Done,
     /*  470205 */   // Label 8067: @470205
     /*  470205 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(470280), // Rule ID 3295 //
     /*  470210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470278 */     GIR_RootConstrainSelectedInstOperands,
     /*  470279 */     // GIR_Coverage, 3295,
     /*  470279 */     GIR_EraseRootFromParent_Done,
     /*  470280 */   // Label 8068: @470280
     /*  470280 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(470355), // Rule ID 3298 //
     /*  470285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470353 */     GIR_RootConstrainSelectedInstOperands,
     /*  470354 */     // GIR_Coverage, 3298,
     /*  470354 */     GIR_EraseRootFromParent_Done,
     /*  470355 */   // Label 8069: @470355
     /*  470355 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(470430), // Rule ID 3299 //
     /*  470360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  470409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470428 */     GIR_RootConstrainSelectedInstOperands,
     /*  470429 */     // GIR_Coverage, 3299,
     /*  470429 */     GIR_EraseRootFromParent_Done,
     /*  470430 */   // Label 8070: @470430
     /*  470430 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(470505), // Rule ID 3302 //
     /*  470435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470481 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  470484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470503 */     GIR_RootConstrainSelectedInstOperands,
     /*  470504 */     // GIR_Coverage, 3302,
     /*  470504 */     GIR_EraseRootFromParent_Done,
     /*  470505 */   // Label 8071: @470505
     /*  470505 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(470580), // Rule ID 3303 //
     /*  470510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  470521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  470524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  470527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470556 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  470559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470578 */     GIR_RootConstrainSelectedInstOperands,
     /*  470579 */     // GIR_Coverage, 3303,
     /*  470579 */     GIR_EraseRootFromParent_Done,
     /*  470580 */   // Label 8072: @470580
     /*  470580 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(470655), // Rule ID 3306 //
     /*  470585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  470634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470653 */     GIR_RootConstrainSelectedInstOperands,
     /*  470654 */     // GIR_Coverage, 3306,
     /*  470654 */     GIR_EraseRootFromParent_Done,
     /*  470655 */   // Label 8073: @470655
     /*  470655 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(470730), // Rule ID 3307 //
     /*  470660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  470671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  470674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  470677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470706 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  470709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470728 */     GIR_RootConstrainSelectedInstOperands,
     /*  470729 */     // GIR_Coverage, 3307,
     /*  470729 */     GIR_EraseRootFromParent_Done,
     /*  470730 */   // Label 8074: @470730
     /*  470730 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(470805), // Rule ID 3310 //
     /*  470735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470781 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  470784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470803 */     GIR_RootConstrainSelectedInstOperands,
     /*  470804 */     // GIR_Coverage, 3310,
     /*  470804 */     GIR_EraseRootFromParent_Done,
     /*  470805 */   // Label 8075: @470805
     /*  470805 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(470880), // Rule ID 3311 //
     /*  470810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  470821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  470824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  470827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  470859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470878 */     GIR_RootConstrainSelectedInstOperands,
     /*  470879 */     // GIR_Coverage, 3311,
     /*  470879 */     GIR_EraseRootFromParent_Done,
     /*  470880 */   // Label 8076: @470880
     /*  470880 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(470955), // Rule ID 3314 //
     /*  470885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  470896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  470899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  470902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  470934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470953 */     GIR_RootConstrainSelectedInstOperands,
     /*  470954 */     // GIR_Coverage, 3314,
     /*  470954 */     GIR_EraseRootFromParent_Done,
     /*  470955 */   // Label 8077: @470955
     /*  470955 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(471030), // Rule ID 3315 //
     /*  470960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  470968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  470971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  470974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  470977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  471009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471028 */     GIR_RootConstrainSelectedInstOperands,
     /*  471029 */     // GIR_Coverage, 3315,
     /*  471029 */     GIR_EraseRootFromParent_Done,
     /*  471030 */   // Label 8078: @471030
     /*  471030 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(471105), // Rule ID 3318 //
     /*  471035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  471084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471103 */     GIR_RootConstrainSelectedInstOperands,
     /*  471104 */     // GIR_Coverage, 3318,
     /*  471104 */     GIR_EraseRootFromParent_Done,
     /*  471105 */   // Label 8079: @471105
     /*  471105 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(471180), // Rule ID 3319 //
     /*  471110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  471121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  471124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  471127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  471159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471178 */     GIR_RootConstrainSelectedInstOperands,
     /*  471179 */     // GIR_Coverage, 3319,
     /*  471179 */     GIR_EraseRootFromParent_Done,
     /*  471180 */   // Label 8080: @471180
     /*  471180 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(471255), // Rule ID 3322 //
     /*  471185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471231 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  471234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471253 */     GIR_RootConstrainSelectedInstOperands,
     /*  471254 */     // GIR_Coverage, 3322,
     /*  471254 */     GIR_EraseRootFromParent_Done,
     /*  471255 */   // Label 8081: @471255
     /*  471255 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(471330), // Rule ID 3323 //
     /*  471260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  471271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  471274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  471277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  471309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471328 */     GIR_RootConstrainSelectedInstOperands,
     /*  471329 */     // GIR_Coverage, 3323,
     /*  471329 */     GIR_EraseRootFromParent_Done,
     /*  471330 */   // Label 8082: @471330
     /*  471330 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(471405), // Rule ID 3326 //
     /*  471335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  471384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471403 */     GIR_RootConstrainSelectedInstOperands,
     /*  471404 */     // GIR_Coverage, 3326,
     /*  471404 */     GIR_EraseRootFromParent_Done,
     /*  471405 */   // Label 8083: @471405
     /*  471405 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(471480), // Rule ID 3327 //
     /*  471410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  471421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  471424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  471427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  471459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471478 */     GIR_RootConstrainSelectedInstOperands,
     /*  471479 */     // GIR_Coverage, 3327,
     /*  471479 */     GIR_EraseRootFromParent_Done,
     /*  471480 */   // Label 8084: @471480
     /*  471480 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(471555), // Rule ID 3330 //
     /*  471485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  471534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471553 */     GIR_RootConstrainSelectedInstOperands,
     /*  471554 */     // GIR_Coverage, 3330,
     /*  471554 */     GIR_EraseRootFromParent_Done,
     /*  471555 */   // Label 8085: @471555
     /*  471555 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(471630), // Rule ID 3331 //
     /*  471560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  471609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471628 */     GIR_RootConstrainSelectedInstOperands,
     /*  471629 */     // GIR_Coverage, 3331,
     /*  471629 */     GIR_EraseRootFromParent_Done,
     /*  471630 */   // Label 8086: @471630
     /*  471630 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(471705), // Rule ID 3334 //
     /*  471635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471681 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  471684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471703 */     GIR_RootConstrainSelectedInstOperands,
     /*  471704 */     // GIR_Coverage, 3334,
     /*  471704 */     GIR_EraseRootFromParent_Done,
     /*  471705 */   // Label 8087: @471705
     /*  471705 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(471780), // Rule ID 3335 //
     /*  471710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  471759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471778 */     GIR_RootConstrainSelectedInstOperands,
     /*  471779 */     // GIR_Coverage, 3335,
     /*  471779 */     GIR_EraseRootFromParent_Done,
     /*  471780 */   // Label 8088: @471780
     /*  471780 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(471855), // Rule ID 3338 //
     /*  471785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  471796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  471799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  471802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  471834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471853 */     GIR_RootConstrainSelectedInstOperands,
     /*  471854 */     // GIR_Coverage, 3338,
     /*  471854 */     GIR_EraseRootFromParent_Done,
     /*  471855 */   // Label 8089: @471855
     /*  471855 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(471930), // Rule ID 3339 //
     /*  471860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  471871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  471874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  471877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  471909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471928 */     GIR_RootConstrainSelectedInstOperands,
     /*  471929 */     // GIR_Coverage, 3339,
     /*  471929 */     GIR_EraseRootFromParent_Done,
     /*  471930 */   // Label 8090: @471930
     /*  471930 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(472005), // Rule ID 3342 //
     /*  471935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  471946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  471949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  471952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  471984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472003 */     GIR_RootConstrainSelectedInstOperands,
     /*  472004 */     // GIR_Coverage, 3342,
     /*  472004 */     GIR_EraseRootFromParent_Done,
     /*  472005 */   // Label 8091: @472005
     /*  472005 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(472080), // Rule ID 3343 //
     /*  472010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  472021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  472024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  472027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  472059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472078 */     GIR_RootConstrainSelectedInstOperands,
     /*  472079 */     // GIR_Coverage, 3343,
     /*  472079 */     GIR_EraseRootFromParent_Done,
     /*  472080 */   // Label 8092: @472080
     /*  472080 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(472155), // Rule ID 3346 //
     /*  472085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  472134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472153 */     GIR_RootConstrainSelectedInstOperands,
     /*  472154 */     // GIR_Coverage, 3346,
     /*  472154 */     GIR_EraseRootFromParent_Done,
     /*  472155 */   // Label 8093: @472155
     /*  472155 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(472230), // Rule ID 3347 //
     /*  472160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  472171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  472174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  472177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  472209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472228 */     GIR_RootConstrainSelectedInstOperands,
     /*  472229 */     // GIR_Coverage, 3347,
     /*  472229 */     GIR_EraseRootFromParent_Done,
     /*  472230 */   // Label 8094: @472230
     /*  472230 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(472305), // Rule ID 3438 //
     /*  472235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  472246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  472249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  472255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  472284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472303 */     GIR_RootConstrainSelectedInstOperands,
     /*  472304 */     // GIR_Coverage, 3438,
     /*  472304 */     GIR_EraseRootFromParent_Done,
     /*  472305 */   // Label 8095: @472305
     /*  472305 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(472380), // Rule ID 3439 //
     /*  472310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  472321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  472324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  472330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  472359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472378 */     GIR_RootConstrainSelectedInstOperands,
     /*  472379 */     // GIR_Coverage, 3439,
     /*  472379 */     GIR_EraseRootFromParent_Done,
     /*  472380 */   // Label 8096: @472380
     /*  472380 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(472455), // Rule ID 3442 //
     /*  472385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  472396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  472399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  472405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  472434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472453 */     GIR_RootConstrainSelectedInstOperands,
     /*  472454 */     // GIR_Coverage, 3442,
     /*  472454 */     GIR_EraseRootFromParent_Done,
     /*  472455 */   // Label 8097: @472455
     /*  472455 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(472530), // Rule ID 3443 //
     /*  472460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  472471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  472474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  472477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  472480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  472509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472528 */     GIR_RootConstrainSelectedInstOperands,
     /*  472529 */     // GIR_Coverage, 3443,
     /*  472529 */     GIR_EraseRootFromParent_Done,
     /*  472530 */   // Label 8098: @472530
     /*  472530 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(472605), // Rule ID 3446 //
     /*  472535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  472555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  472584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472603 */     GIR_RootConstrainSelectedInstOperands,
     /*  472604 */     // GIR_Coverage, 3446,
     /*  472604 */     GIR_EraseRootFromParent_Done,
     /*  472605 */   // Label 8099: @472605
     /*  472605 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(472680), // Rule ID 3447 //
     /*  472610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  472627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  472630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  472659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472678 */     GIR_RootConstrainSelectedInstOperands,
     /*  472679 */     // GIR_Coverage, 3447,
     /*  472679 */     GIR_EraseRootFromParent_Done,
     /*  472680 */   // Label 8100: @472680
     /*  472680 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(472755), // Rule ID 3450 //
     /*  472685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  472705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  472734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472753 */     GIR_RootConstrainSelectedInstOperands,
     /*  472754 */     // GIR_Coverage, 3450,
     /*  472754 */     GIR_EraseRootFromParent_Done,
     /*  472755 */   // Label 8101: @472755
     /*  472755 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(472830), // Rule ID 3451 //
     /*  472760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  472780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  472809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472828 */     GIR_RootConstrainSelectedInstOperands,
     /*  472829 */     // GIR_Coverage, 3451,
     /*  472829 */     GIR_EraseRootFromParent_Done,
     /*  472830 */   // Label 8102: @472830
     /*  472830 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(472905), // Rule ID 3454 //
     /*  472835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  472852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  472855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  472884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472903 */     GIR_RootConstrainSelectedInstOperands,
     /*  472904 */     // GIR_Coverage, 3454,
     /*  472904 */     GIR_EraseRootFromParent_Done,
     /*  472905 */   // Label 8103: @472905
     /*  472905 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(472980), // Rule ID 3455 //
     /*  472910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  472927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  472930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  472959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472978 */     GIR_RootConstrainSelectedInstOperands,
     /*  472979 */     // GIR_Coverage, 3455,
     /*  472979 */     GIR_EraseRootFromParent_Done,
     /*  472980 */   // Label 8104: @472980
     /*  472980 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(473055), // Rule ID 3458 //
     /*  472985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  472993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  473005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  473034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473053 */     GIR_RootConstrainSelectedInstOperands,
     /*  473054 */     // GIR_Coverage, 3458,
     /*  473054 */     GIR_EraseRootFromParent_Done,
     /*  473055 */   // Label 8105: @473055
     /*  473055 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(473130), // Rule ID 3459 //
     /*  473060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  473080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  473109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473128 */     GIR_RootConstrainSelectedInstOperands,
     /*  473129 */     // GIR_Coverage, 3459,
     /*  473129 */     GIR_EraseRootFromParent_Done,
     /*  473130 */   // Label 8106: @473130
     /*  473130 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(473205), // Rule ID 3462 //
     /*  473135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  473155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473181 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  473184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473203 */     GIR_RootConstrainSelectedInstOperands,
     /*  473204 */     // GIR_Coverage, 3462,
     /*  473204 */     GIR_EraseRootFromParent_Done,
     /*  473205 */   // Label 8107: @473205
     /*  473205 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(473280), // Rule ID 3463 //
     /*  473210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  473230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  473259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473278 */     GIR_RootConstrainSelectedInstOperands,
     /*  473279 */     // GIR_Coverage, 3463,
     /*  473279 */     GIR_EraseRootFromParent_Done,
     /*  473280 */   // Label 8108: @473280
     /*  473280 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(473355), // Rule ID 3466 //
     /*  473285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  473296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  473299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  473305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  473334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473353 */     GIR_RootConstrainSelectedInstOperands,
     /*  473354 */     // GIR_Coverage, 3466,
     /*  473354 */     GIR_EraseRootFromParent_Done,
     /*  473355 */   // Label 8109: @473355
     /*  473355 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(473430), // Rule ID 3467 //
     /*  473360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  473371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  473374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  473377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  473380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  473409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473428 */     GIR_RootConstrainSelectedInstOperands,
     /*  473429 */     // GIR_Coverage, 3467,
     /*  473429 */     GIR_EraseRootFromParent_Done,
     /*  473430 */   // Label 8110: @473430
     /*  473430 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(473505), // Rule ID 3470 //
     /*  473435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  473446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  473449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  473455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  473484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473503 */     GIR_RootConstrainSelectedInstOperands,
     /*  473504 */     // GIR_Coverage, 3470,
     /*  473504 */     GIR_EraseRootFromParent_Done,
     /*  473505 */   // Label 8111: @473505
     /*  473505 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(473580), // Rule ID 3471 //
     /*  473510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  473521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  473524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  473527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  473530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  473559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473578 */     GIR_RootConstrainSelectedInstOperands,
     /*  473579 */     // GIR_Coverage, 3471,
     /*  473579 */     GIR_EraseRootFromParent_Done,
     /*  473580 */   // Label 8112: @473580
     /*  473580 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(473655), // Rule ID 3474 //
     /*  473585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  473596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  473599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  473605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  473634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473653 */     GIR_RootConstrainSelectedInstOperands,
     /*  473654 */     // GIR_Coverage, 3474,
     /*  473654 */     GIR_EraseRootFromParent_Done,
     /*  473655 */   // Label 8113: @473655
     /*  473655 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(473730), // Rule ID 3475 //
     /*  473660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  473671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  473674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  473680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  473709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473728 */     GIR_RootConstrainSelectedInstOperands,
     /*  473729 */     // GIR_Coverage, 3475,
     /*  473729 */     GIR_EraseRootFromParent_Done,
     /*  473730 */   // Label 8114: @473730
     /*  473730 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(473805), // Rule ID 3478 //
     /*  473735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  473755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  473784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473803 */     GIR_RootConstrainSelectedInstOperands,
     /*  473804 */     // GIR_Coverage, 3478,
     /*  473804 */     GIR_EraseRootFromParent_Done,
     /*  473805 */   // Label 8115: @473805
     /*  473805 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(473880), // Rule ID 3479 //
     /*  473810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  473830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  473859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473878 */     GIR_RootConstrainSelectedInstOperands,
     /*  473879 */     // GIR_Coverage, 3479,
     /*  473879 */     GIR_EraseRootFromParent_Done,
     /*  473880 */   // Label 8116: @473880
     /*  473880 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(473955), // Rule ID 3482 //
     /*  473885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  473888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  473896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  473899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  473905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  473934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473953 */     GIR_RootConstrainSelectedInstOperands,
     /*  473954 */     // GIR_Coverage, 3482,
     /*  473954 */     GIR_EraseRootFromParent_Done,
     /*  473955 */   // Label 8117: @473955
     /*  473955 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(474030), // Rule ID 3483 //
     /*  473960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  473963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  473968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  473971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  473974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  473977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  473980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  474009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474028 */     GIR_RootConstrainSelectedInstOperands,
     /*  474029 */     // GIR_Coverage, 3483,
     /*  474029 */     GIR_EraseRootFromParent_Done,
     /*  474030 */   // Label 8118: @474030
     /*  474030 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(474105), // Rule ID 3486 //
     /*  474035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  474038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  474046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  474049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  474055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  474084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474103 */     GIR_RootConstrainSelectedInstOperands,
     /*  474104 */     // GIR_Coverage, 3486,
     /*  474104 */     GIR_EraseRootFromParent_Done,
     /*  474105 */   // Label 8119: @474105
     /*  474105 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(474180), // Rule ID 3487 //
     /*  474110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  474113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  474121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  474124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  474127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  474130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  474159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474178 */     GIR_RootConstrainSelectedInstOperands,
     /*  474179 */     // GIR_Coverage, 3487,
     /*  474179 */     GIR_EraseRootFromParent_Done,
     /*  474180 */   // Label 8120: @474180
     /*  474180 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(474255), // Rule ID 3490 //
     /*  474185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  474188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  474202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  474205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  474234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474253 */     GIR_RootConstrainSelectedInstOperands,
     /*  474254 */     // GIR_Coverage, 3490,
     /*  474254 */     GIR_EraseRootFromParent_Done,
     /*  474255 */   // Label 8121: @474255
     /*  474255 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(474330), // Rule ID 3491 //
     /*  474260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  474263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  474277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  474280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  474309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474328 */     GIR_RootConstrainSelectedInstOperands,
     /*  474329 */     // GIR_Coverage, 3491,
     /*  474329 */     GIR_EraseRootFromParent_Done,
     /*  474330 */   // Label 8122: @474330
     /*  474330 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(474405), // Rule ID 3494 //
     /*  474335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  474338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  474346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  474349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  474352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  474355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  474384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474403 */     GIR_RootConstrainSelectedInstOperands,
     /*  474404 */     // GIR_Coverage, 3494,
     /*  474404 */     GIR_EraseRootFromParent_Done,
     /*  474405 */   // Label 8123: @474405
     /*  474405 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(474480), // Rule ID 3495 //
     /*  474410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  474413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  474421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  474424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  474427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  474430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  474459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474478 */     GIR_RootConstrainSelectedInstOperands,
     /*  474479 */     // GIR_Coverage, 3495,
     /*  474479 */     GIR_EraseRootFromParent_Done,
     /*  474480 */   // Label 8124: @474480
     /*  474480 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(474555), // Rule ID 3498 //
     /*  474485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  474502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  474534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474553 */     GIR_RootConstrainSelectedInstOperands,
     /*  474554 */     // GIR_Coverage, 3498,
     /*  474554 */     GIR_EraseRootFromParent_Done,
     /*  474555 */   // Label 8125: @474555
     /*  474555 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(474630), // Rule ID 3499 //
     /*  474560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  474577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  474609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474628 */     GIR_RootConstrainSelectedInstOperands,
     /*  474629 */     // GIR_Coverage, 3499,
     /*  474629 */     GIR_EraseRootFromParent_Done,
     /*  474630 */   // Label 8126: @474630
     /*  474630 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(474705), // Rule ID 3502 //
     /*  474635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474681 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  474684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474703 */     GIR_RootConstrainSelectedInstOperands,
     /*  474704 */     // GIR_Coverage, 3502,
     /*  474704 */     GIR_EraseRootFromParent_Done,
     /*  474705 */   // Label 8127: @474705
     /*  474705 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(474780), // Rule ID 3503 //
     /*  474710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  474759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474778 */     GIR_RootConstrainSelectedInstOperands,
     /*  474779 */     // GIR_Coverage, 3503,
     /*  474779 */     GIR_EraseRootFromParent_Done,
     /*  474780 */   // Label 8128: @474780
     /*  474780 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(474855), // Rule ID 3506 //
     /*  474785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  474834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474853 */     GIR_RootConstrainSelectedInstOperands,
     /*  474854 */     // GIR_Coverage, 3506,
     /*  474854 */     GIR_EraseRootFromParent_Done,
     /*  474855 */   // Label 8129: @474855
     /*  474855 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(474930), // Rule ID 3507 //
     /*  474860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  474909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474928 */     GIR_RootConstrainSelectedInstOperands,
     /*  474929 */     // GIR_Coverage, 3507,
     /*  474929 */     GIR_EraseRootFromParent_Done,
     /*  474930 */   // Label 8130: @474930
     /*  474930 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(475005), // Rule ID 3510 //
     /*  474935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  474984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475003 */     GIR_RootConstrainSelectedInstOperands,
     /*  475004 */     // GIR_Coverage, 3510,
     /*  475004 */     GIR_EraseRootFromParent_Done,
     /*  475005 */   // Label 8131: @475005
     /*  475005 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(475080), // Rule ID 3511 //
     /*  475010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  475021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  475024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  475027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  475059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475078 */     GIR_RootConstrainSelectedInstOperands,
     /*  475079 */     // GIR_Coverage, 3511,
     /*  475079 */     GIR_EraseRootFromParent_Done,
     /*  475080 */   // Label 8132: @475080
     /*  475080 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(475155), // Rule ID 3514 //
     /*  475085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  475134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475153 */     GIR_RootConstrainSelectedInstOperands,
     /*  475154 */     // GIR_Coverage, 3514,
     /*  475154 */     GIR_EraseRootFromParent_Done,
     /*  475155 */   // Label 8133: @475155
     /*  475155 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(475230), // Rule ID 3515 //
     /*  475160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  475209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475228 */     GIR_RootConstrainSelectedInstOperands,
     /*  475229 */     // GIR_Coverage, 3515,
     /*  475229 */     GIR_EraseRootFromParent_Done,
     /*  475230 */   // Label 8134: @475230
     /*  475230 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(475305), // Rule ID 3518 //
     /*  475235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  475284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475303 */     GIR_RootConstrainSelectedInstOperands,
     /*  475304 */     // GIR_Coverage, 3518,
     /*  475304 */     GIR_EraseRootFromParent_Done,
     /*  475305 */   // Label 8135: @475305
     /*  475305 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(475380), // Rule ID 3519 //
     /*  475310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  475359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475378 */     GIR_RootConstrainSelectedInstOperands,
     /*  475379 */     // GIR_Coverage, 3519,
     /*  475379 */     GIR_EraseRootFromParent_Done,
     /*  475380 */   // Label 8136: @475380
     /*  475380 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(475455), // Rule ID 3522 //
     /*  475385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  475402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  475434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475453 */     GIR_RootConstrainSelectedInstOperands,
     /*  475454 */     // GIR_Coverage, 3522,
     /*  475454 */     GIR_EraseRootFromParent_Done,
     /*  475455 */   // Label 8137: @475455
     /*  475455 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(475530), // Rule ID 3523 //
     /*  475460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  475477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  475509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475528 */     GIR_RootConstrainSelectedInstOperands,
     /*  475529 */     // GIR_Coverage, 3523,
     /*  475529 */     GIR_EraseRootFromParent_Done,
     /*  475530 */   // Label 8138: @475530
     /*  475530 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(475605), // Rule ID 3526 //
     /*  475535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  475552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475581 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  475584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475603 */     GIR_RootConstrainSelectedInstOperands,
     /*  475604 */     // GIR_Coverage, 3526,
     /*  475604 */     GIR_EraseRootFromParent_Done,
     /*  475605 */   // Label 8139: @475605
     /*  475605 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(475680), // Rule ID 3527 //
     /*  475610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  475627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  475659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475678 */     GIR_RootConstrainSelectedInstOperands,
     /*  475679 */     // GIR_Coverage, 3527,
     /*  475679 */     GIR_EraseRootFromParent_Done,
     /*  475680 */   // Label 8140: @475680
     /*  475680 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(475755), // Rule ID 3530 //
     /*  475685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  475734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475753 */     GIR_RootConstrainSelectedInstOperands,
     /*  475754 */     // GIR_Coverage, 3530,
     /*  475754 */     GIR_EraseRootFromParent_Done,
     /*  475755 */   // Label 8141: @475755
     /*  475755 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(475830), // Rule ID 3531 //
     /*  475760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  475809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475828 */     GIR_RootConstrainSelectedInstOperands,
     /*  475829 */     // GIR_Coverage, 3531,
     /*  475829 */     GIR_EraseRootFromParent_Done,
     /*  475830 */   // Label 8142: @475830
     /*  475830 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(475905), // Rule ID 3534 //
     /*  475835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  475884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475903 */     GIR_RootConstrainSelectedInstOperands,
     /*  475904 */     // GIR_Coverage, 3534,
     /*  475904 */     GIR_EraseRootFromParent_Done,
     /*  475905 */   // Label 8143: @475905
     /*  475905 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(475980), // Rule ID 3535 //
     /*  475910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  475949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  475959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475978 */     GIR_RootConstrainSelectedInstOperands,
     /*  475979 */     // GIR_Coverage, 3535,
     /*  475979 */     GIR_EraseRootFromParent_Done,
     /*  475980 */   // Label 8144: @475980
     /*  475980 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(476055), // Rule ID 3538 //
     /*  475985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  476034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476053 */     GIR_RootConstrainSelectedInstOperands,
     /*  476054 */     // GIR_Coverage, 3538,
     /*  476054 */     GIR_EraseRootFromParent_Done,
     /*  476055 */   // Label 8145: @476055
     /*  476055 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(476130), // Rule ID 3539 //
     /*  476060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  476109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476128 */     GIR_RootConstrainSelectedInstOperands,
     /*  476129 */     // GIR_Coverage, 3539,
     /*  476129 */     GIR_EraseRootFromParent_Done,
     /*  476130 */   // Label 8146: @476130
     /*  476130 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(476205), // Rule ID 3542 //
     /*  476135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  476184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476203 */     GIR_RootConstrainSelectedInstOperands,
     /*  476204 */     // GIR_Coverage, 3542,
     /*  476204 */     GIR_EraseRootFromParent_Done,
     /*  476205 */   // Label 8147: @476205
     /*  476205 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(476280), // Rule ID 3543 //
     /*  476210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  476259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476278 */     GIR_RootConstrainSelectedInstOperands,
     /*  476279 */     // GIR_Coverage, 3543,
     /*  476279 */     GIR_EraseRootFromParent_Done,
     /*  476280 */   // Label 8148: @476280
     /*  476280 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(476355), // Rule ID 3546 //
     /*  476285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  476334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476353 */     GIR_RootConstrainSelectedInstOperands,
     /*  476354 */     // GIR_Coverage, 3546,
     /*  476354 */     GIR_EraseRootFromParent_Done,
     /*  476355 */   // Label 8149: @476355
     /*  476355 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(476430), // Rule ID 3547 //
     /*  476360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  476409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476428 */     GIR_RootConstrainSelectedInstOperands,
     /*  476429 */     // GIR_Coverage, 3547,
     /*  476429 */     GIR_EraseRootFromParent_Done,
     /*  476430 */   // Label 8150: @476430
     /*  476430 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(476505), // Rule ID 3550 //
     /*  476435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  476484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476503 */     GIR_RootConstrainSelectedInstOperands,
     /*  476504 */     // GIR_Coverage, 3550,
     /*  476504 */     GIR_EraseRootFromParent_Done,
     /*  476505 */   // Label 8151: @476505
     /*  476505 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(476580), // Rule ID 3551 //
     /*  476510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  476559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476578 */     GIR_RootConstrainSelectedInstOperands,
     /*  476579 */     // GIR_Coverage, 3551,
     /*  476579 */     GIR_EraseRootFromParent_Done,
     /*  476580 */   // Label 8152: @476580
     /*  476580 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(476655), // Rule ID 3554 //
     /*  476585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  476634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476653 */     GIR_RootConstrainSelectedInstOperands,
     /*  476654 */     // GIR_Coverage, 3554,
     /*  476654 */     GIR_EraseRootFromParent_Done,
     /*  476655 */   // Label 8153: @476655
     /*  476655 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(476730), // Rule ID 3555 //
     /*  476660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  476709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476728 */     GIR_RootConstrainSelectedInstOperands,
     /*  476729 */     // GIR_Coverage, 3555,
     /*  476729 */     GIR_EraseRootFromParent_Done,
     /*  476730 */   // Label 8154: @476730
     /*  476730 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(476805), // Rule ID 3558 //
     /*  476735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  476743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  476752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  476755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  476784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476803 */     GIR_RootConstrainSelectedInstOperands,
     /*  476804 */     // GIR_Coverage, 3558,
     /*  476804 */     GIR_EraseRootFromParent_Done,
     /*  476805 */   // Label 8155: @476805
     /*  476805 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(476880), // Rule ID 3559 //
     /*  476810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  476818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  476827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  476830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  476859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476878 */     GIR_RootConstrainSelectedInstOperands,
     /*  476879 */     // GIR_Coverage, 3559,
     /*  476879 */     GIR_EraseRootFromParent_Done,
     /*  476880 */   // Label 8156: @476880
     /*  476880 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(476955), // Rule ID 3562 //
     /*  476885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  476893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  476902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  476905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  476934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476953 */     GIR_RootConstrainSelectedInstOperands,
     /*  476954 */     // GIR_Coverage, 3562,
     /*  476954 */     GIR_EraseRootFromParent_Done,
     /*  476955 */   // Label 8157: @476955
     /*  476955 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(477030), // Rule ID 3563 //
     /*  476960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  476968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  476977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  476980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  477009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477028 */     GIR_RootConstrainSelectedInstOperands,
     /*  477029 */     // GIR_Coverage, 3563,
     /*  477029 */     GIR_EraseRootFromParent_Done,
     /*  477030 */   // Label 8158: @477030
     /*  477030 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(477105), // Rule ID 3566 //
     /*  477035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  477055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  477084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477103 */     GIR_RootConstrainSelectedInstOperands,
     /*  477104 */     // GIR_Coverage, 3566,
     /*  477104 */     GIR_EraseRootFromParent_Done,
     /*  477105 */   // Label 8159: @477105
     /*  477105 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(477180), // Rule ID 3567 //
     /*  477110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  477130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  477159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477178 */     GIR_RootConstrainSelectedInstOperands,
     /*  477179 */     // GIR_Coverage, 3567,
     /*  477179 */     GIR_EraseRootFromParent_Done,
     /*  477180 */   // Label 8160: @477180
     /*  477180 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(477255), // Rule ID 3570 //
     /*  477185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  477202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  477205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  477234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477253 */     GIR_RootConstrainSelectedInstOperands,
     /*  477254 */     // GIR_Coverage, 3570,
     /*  477254 */     GIR_EraseRootFromParent_Done,
     /*  477255 */   // Label 8161: @477255
     /*  477255 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(477330), // Rule ID 3571 //
     /*  477260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  477277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  477280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  477309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477328 */     GIR_RootConstrainSelectedInstOperands,
     /*  477329 */     // GIR_Coverage, 3571,
     /*  477329 */     GIR_EraseRootFromParent_Done,
     /*  477330 */   // Label 8162: @477330
     /*  477330 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(477405), // Rule ID 3574 //
     /*  477335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  477355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  477384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477403 */     GIR_RootConstrainSelectedInstOperands,
     /*  477404 */     // GIR_Coverage, 3574,
     /*  477404 */     GIR_EraseRootFromParent_Done,
     /*  477405 */   // Label 8163: @477405
     /*  477405 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(477480), // Rule ID 3575 //
     /*  477410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  477430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  477459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477478 */     GIR_RootConstrainSelectedInstOperands,
     /*  477479 */     // GIR_Coverage, 3575,
     /*  477479 */     GIR_EraseRootFromParent_Done,
     /*  477480 */   // Label 8164: @477480
     /*  477480 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(477555), // Rule ID 3578 //
     /*  477485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  477505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477531 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  477534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477553 */     GIR_RootConstrainSelectedInstOperands,
     /*  477554 */     // GIR_Coverage, 3578,
     /*  477554 */     GIR_EraseRootFromParent_Done,
     /*  477555 */   // Label 8165: @477555
     /*  477555 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(477630), // Rule ID 3579 //
     /*  477560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  477580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  477609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477628 */     GIR_RootConstrainSelectedInstOperands,
     /*  477629 */     // GIR_Coverage, 3579,
     /*  477629 */     GIR_EraseRootFromParent_Done,
     /*  477630 */   // Label 8166: @477630
     /*  477630 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(477705), // Rule ID 3582 //
     /*  477635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  477655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  477684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477703 */     GIR_RootConstrainSelectedInstOperands,
     /*  477704 */     // GIR_Coverage, 3582,
     /*  477704 */     GIR_EraseRootFromParent_Done,
     /*  477705 */   // Label 8167: @477705
     /*  477705 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(477780), // Rule ID 3583 //
     /*  477710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  477730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  477759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477778 */     GIR_RootConstrainSelectedInstOperands,
     /*  477779 */     // GIR_Coverage, 3583,
     /*  477779 */     GIR_EraseRootFromParent_Done,
     /*  477780 */   // Label 8168: @477780
     /*  477780 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(477855), // Rule ID 3586 //
     /*  477785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  477796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  477799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  477805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  477834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477853 */     GIR_RootConstrainSelectedInstOperands,
     /*  477854 */     // GIR_Coverage, 3586,
     /*  477854 */     GIR_EraseRootFromParent_Done,
     /*  477855 */   // Label 8169: @477855
     /*  477855 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(477930), // Rule ID 3587 //
     /*  477860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  477871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  477874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  477880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  477909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477928 */     GIR_RootConstrainSelectedInstOperands,
     /*  477929 */     // GIR_Coverage, 3587,
     /*  477929 */     GIR_EraseRootFromParent_Done,
     /*  477930 */   // Label 8170: @477930
     /*  477930 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(478005), // Rule ID 3590 //
     /*  477935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  477943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  477955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  477984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478003 */     GIR_RootConstrainSelectedInstOperands,
     /*  478004 */     // GIR_Coverage, 3590,
     /*  478004 */     GIR_EraseRootFromParent_Done,
     /*  478005 */   // Label 8171: @478005
     /*  478005 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(478080), // Rule ID 3591 //
     /*  478010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  478021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  478024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  478030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  478059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478078 */     GIR_RootConstrainSelectedInstOperands,
     /*  478079 */     // GIR_Coverage, 3591,
     /*  478079 */     GIR_EraseRootFromParent_Done,
     /*  478080 */   // Label 8172: @478080
     /*  478080 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(478155), // Rule ID 3594 //
     /*  478085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  478105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  478134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478153 */     GIR_RootConstrainSelectedInstOperands,
     /*  478154 */     // GIR_Coverage, 3594,
     /*  478154 */     GIR_EraseRootFromParent_Done,
     /*  478155 */   // Label 8173: @478155
     /*  478155 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(478230), // Rule ID 3595 //
     /*  478160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  478180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  478209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478228 */     GIR_RootConstrainSelectedInstOperands,
     /*  478229 */     // GIR_Coverage, 3595,
     /*  478229 */     GIR_EraseRootFromParent_Done,
     /*  478230 */   // Label 8174: @478230
     /*  478230 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(478305), // Rule ID 3598 //
     /*  478235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  478255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  478284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478303 */     GIR_RootConstrainSelectedInstOperands,
     /*  478304 */     // GIR_Coverage, 3598,
     /*  478304 */     GIR_EraseRootFromParent_Done,
     /*  478305 */   // Label 8175: @478305
     /*  478305 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(478380), // Rule ID 3599 //
     /*  478310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  478330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  478359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478378 */     GIR_RootConstrainSelectedInstOperands,
     /*  478379 */     // GIR_Coverage, 3599,
     /*  478379 */     GIR_EraseRootFromParent_Done,
     /*  478380 */   // Label 8176: @478380
     /*  478380 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(478455), // Rule ID 3602 //
     /*  478385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  478405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478431 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  478434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478453 */     GIR_RootConstrainSelectedInstOperands,
     /*  478454 */     // GIR_Coverage, 3602,
     /*  478454 */     GIR_EraseRootFromParent_Done,
     /*  478455 */   // Label 8177: @478455
     /*  478455 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(478530), // Rule ID 3603 //
     /*  478460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  478480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  478509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478528 */     GIR_RootConstrainSelectedInstOperands,
     /*  478529 */     // GIR_Coverage, 3603,
     /*  478529 */     GIR_EraseRootFromParent_Done,
     /*  478530 */   // Label 8178: @478530
     /*  478530 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(478605), // Rule ID 3606 //
     /*  478535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  478555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478581 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  478584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478603 */     GIR_RootConstrainSelectedInstOperands,
     /*  478604 */     // GIR_Coverage, 3606,
     /*  478604 */     GIR_EraseRootFromParent_Done,
     /*  478605 */   // Label 8179: @478605
     /*  478605 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(478680), // Rule ID 3607 //
     /*  478610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  478630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  478659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478678 */     GIR_RootConstrainSelectedInstOperands,
     /*  478679 */     // GIR_Coverage, 3607,
     /*  478679 */     GIR_EraseRootFromParent_Done,
     /*  478680 */   // Label 8180: @478680
     /*  478680 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(478755), // Rule ID 3610 //
     /*  478685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  478705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478731 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  478734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478753 */     GIR_RootConstrainSelectedInstOperands,
     /*  478754 */     // GIR_Coverage, 3610,
     /*  478754 */     GIR_EraseRootFromParent_Done,
     /*  478755 */   // Label 8181: @478755
     /*  478755 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(478830), // Rule ID 3611 //
     /*  478760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  478780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  478809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478828 */     GIR_RootConstrainSelectedInstOperands,
     /*  478829 */     // GIR_Coverage, 3611,
     /*  478829 */     GIR_EraseRootFromParent_Done,
     /*  478830 */   // Label 8182: @478830
     /*  478830 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(478905), // Rule ID 3614 //
     /*  478835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  478855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478881 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  478884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478903 */     GIR_RootConstrainSelectedInstOperands,
     /*  478904 */     // GIR_Coverage, 3614,
     /*  478904 */     GIR_EraseRootFromParent_Done,
     /*  478905 */   // Label 8183: @478905
     /*  478905 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(478980), // Rule ID 3615 //
     /*  478910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  478930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  478959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478978 */     GIR_RootConstrainSelectedInstOperands,
     /*  478979 */     // GIR_Coverage, 3615,
     /*  478979 */     GIR_EraseRootFromParent_Done,
     /*  478980 */   // Label 8184: @478980
     /*  478980 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(479055), // Rule ID 3618 //
     /*  478985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479031 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  479034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479053 */     GIR_RootConstrainSelectedInstOperands,
     /*  479054 */     // GIR_Coverage, 3618,
     /*  479054 */     GIR_EraseRootFromParent_Done,
     /*  479055 */   // Label 8185: @479055
     /*  479055 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(479130), // Rule ID 3619 //
     /*  479060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  479077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  479109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479128 */     GIR_RootConstrainSelectedInstOperands,
     /*  479129 */     // GIR_Coverage, 3619,
     /*  479129 */     GIR_EraseRootFromParent_Done,
     /*  479130 */   // Label 8186: @479130
     /*  479130 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(479205), // Rule ID 3622 //
     /*  479135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  479184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479203 */     GIR_RootConstrainSelectedInstOperands,
     /*  479204 */     // GIR_Coverage, 3622,
     /*  479204 */     GIR_EraseRootFromParent_Done,
     /*  479205 */   // Label 8187: @479205
     /*  479205 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(479280), // Rule ID 3623 //
     /*  479210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  479259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479278 */     GIR_RootConstrainSelectedInstOperands,
     /*  479279 */     // GIR_Coverage, 3623,
     /*  479279 */     GIR_EraseRootFromParent_Done,
     /*  479280 */   // Label 8188: @479280
     /*  479280 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(479355), // Rule ID 3626 //
     /*  479285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479331 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  479334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479353 */     GIR_RootConstrainSelectedInstOperands,
     /*  479354 */     // GIR_Coverage, 3626,
     /*  479354 */     GIR_EraseRootFromParent_Done,
     /*  479355 */   // Label 8189: @479355
     /*  479355 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(479430), // Rule ID 3627 //
     /*  479360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  479409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479428 */     GIR_RootConstrainSelectedInstOperands,
     /*  479429 */     // GIR_Coverage, 3627,
     /*  479429 */     GIR_EraseRootFromParent_Done,
     /*  479430 */   // Label 8190: @479430
     /*  479430 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(479505), // Rule ID 3630 //
     /*  479435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  479484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479503 */     GIR_RootConstrainSelectedInstOperands,
     /*  479504 */     // GIR_Coverage, 3630,
     /*  479504 */     GIR_EraseRootFromParent_Done,
     /*  479505 */   // Label 8191: @479505
     /*  479505 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(479580), // Rule ID 3631 //
     /*  479510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  479559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479578 */     GIR_RootConstrainSelectedInstOperands,
     /*  479579 */     // GIR_Coverage, 3631,
     /*  479579 */     GIR_EraseRootFromParent_Done,
     /*  479580 */   // Label 8192: @479580
     /*  479580 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(479655), // Rule ID 3634 //
     /*  479585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  479634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479653 */     GIR_RootConstrainSelectedInstOperands,
     /*  479654 */     // GIR_Coverage, 3634,
     /*  479654 */     GIR_EraseRootFromParent_Done,
     /*  479655 */   // Label 8193: @479655
     /*  479655 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(479730), // Rule ID 3635 //
     /*  479660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  479709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479728 */     GIR_RootConstrainSelectedInstOperands,
     /*  479729 */     // GIR_Coverage, 3635,
     /*  479729 */     GIR_EraseRootFromParent_Done,
     /*  479730 */   // Label 8194: @479730
     /*  479730 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(479805), // Rule ID 3638 //
     /*  479735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  479784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479803 */     GIR_RootConstrainSelectedInstOperands,
     /*  479804 */     // GIR_Coverage, 3638,
     /*  479804 */     GIR_EraseRootFromParent_Done,
     /*  479805 */   // Label 8195: @479805
     /*  479805 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(479880), // Rule ID 3639 //
     /*  479810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  479859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479878 */     GIR_RootConstrainSelectedInstOperands,
     /*  479879 */     // GIR_Coverage, 3639,
     /*  479879 */     GIR_EraseRootFromParent_Done,
     /*  479880 */   // Label 8196: @479880
     /*  479880 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(479955), // Rule ID 3642 //
     /*  479885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  479934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479953 */     GIR_RootConstrainSelectedInstOperands,
     /*  479954 */     // GIR_Coverage, 3642,
     /*  479954 */     GIR_EraseRootFromParent_Done,
     /*  479955 */   // Label 8197: @479955
     /*  479955 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(480030), // Rule ID 3643 //
     /*  479960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  479999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  480009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480028 */     GIR_RootConstrainSelectedInstOperands,
     /*  480029 */     // GIR_Coverage, 3643,
     /*  480029 */     GIR_EraseRootFromParent_Done,
     /*  480030 */   // Label 8198: @480030
     /*  480030 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(480105), // Rule ID 3646 //
     /*  480035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  480084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480103 */     GIR_RootConstrainSelectedInstOperands,
     /*  480104 */     // GIR_Coverage, 3646,
     /*  480104 */     GIR_EraseRootFromParent_Done,
     /*  480105 */   // Label 8199: @480105
     /*  480105 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(480180), // Rule ID 3647 //
     /*  480110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  480159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480178 */     GIR_RootConstrainSelectedInstOperands,
     /*  480179 */     // GIR_Coverage, 3647,
     /*  480179 */     GIR_EraseRootFromParent_Done,
     /*  480180 */   // Label 8200: @480180
     /*  480180 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(480255), // Rule ID 3650 //
     /*  480185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  480234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480253 */     GIR_RootConstrainSelectedInstOperands,
     /*  480254 */     // GIR_Coverage, 3650,
     /*  480254 */     GIR_EraseRootFromParent_Done,
     /*  480255 */   // Label 8201: @480255
     /*  480255 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(480330), // Rule ID 3651 //
     /*  480260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  480309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480328 */     GIR_RootConstrainSelectedInstOperands,
     /*  480329 */     // GIR_Coverage, 3651,
     /*  480329 */     GIR_EraseRootFromParent_Done,
     /*  480330 */   // Label 8202: @480330
     /*  480330 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(480405), // Rule ID 3654 //
     /*  480335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  480384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480403 */     GIR_RootConstrainSelectedInstOperands,
     /*  480404 */     // GIR_Coverage, 3654,
     /*  480404 */     GIR_EraseRootFromParent_Done,
     /*  480405 */   // Label 8203: @480405
     /*  480405 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(480480), // Rule ID 3655 //
     /*  480410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  480459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480478 */     GIR_RootConstrainSelectedInstOperands,
     /*  480479 */     // GIR_Coverage, 3655,
     /*  480479 */     GIR_EraseRootFromParent_Done,
     /*  480480 */   // Label 8204: @480480
     /*  480480 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(480555), // Rule ID 3658 //
     /*  480485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480531 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  480534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480553 */     GIR_RootConstrainSelectedInstOperands,
     /*  480554 */     // GIR_Coverage, 3658,
     /*  480554 */     GIR_EraseRootFromParent_Done,
     /*  480555 */   // Label 8205: @480555
     /*  480555 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(480630), // Rule ID 3659 //
     /*  480560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  480609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480628 */     GIR_RootConstrainSelectedInstOperands,
     /*  480629 */     // GIR_Coverage, 3659,
     /*  480629 */     GIR_EraseRootFromParent_Done,
     /*  480630 */   // Label 8206: @480630
     /*  480630 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(480705), // Rule ID 3662 //
     /*  480635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  480684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480703 */     GIR_RootConstrainSelectedInstOperands,
     /*  480704 */     // GIR_Coverage, 3662,
     /*  480704 */     GIR_EraseRootFromParent_Done,
     /*  480705 */   // Label 8207: @480705
     /*  480705 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(480780), // Rule ID 3663 //
     /*  480710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  480713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  480759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480778 */     GIR_RootConstrainSelectedInstOperands,
     /*  480779 */     // GIR_Coverage, 3663,
     /*  480779 */     GIR_EraseRootFromParent_Done,
     /*  480780 */   // Label 8208: @480780
     /*  480780 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(480855), // Rule ID 3666 //
     /*  480785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  480834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480853 */     GIR_RootConstrainSelectedInstOperands,
     /*  480854 */     // GIR_Coverage, 3666,
     /*  480854 */     GIR_EraseRootFromParent_Done,
     /*  480855 */   // Label 8209: @480855
     /*  480855 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(480930), // Rule ID 3667 //
     /*  480860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  480863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  480909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480928 */     GIR_RootConstrainSelectedInstOperands,
     /*  480929 */     // GIR_Coverage, 3667,
     /*  480929 */     GIR_EraseRootFromParent_Done,
     /*  480930 */   // Label 8210: @480930
     /*  480930 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(481005), // Rule ID 3670 //
     /*  480935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  480974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  480984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481003 */     GIR_RootConstrainSelectedInstOperands,
     /*  481004 */     // GIR_Coverage, 3670,
     /*  481004 */     GIR_EraseRootFromParent_Done,
     /*  481005 */   // Label 8211: @481005
     /*  481005 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(481080), // Rule ID 3671 //
     /*  481010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  481027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  481059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481078 */     GIR_RootConstrainSelectedInstOperands,
     /*  481079 */     // GIR_Coverage, 3671,
     /*  481079 */     GIR_EraseRootFromParent_Done,
     /*  481080 */   // Label 8212: @481080
     /*  481080 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(481155), // Rule ID 3674 //
     /*  481085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  481088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  481134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481153 */     GIR_RootConstrainSelectedInstOperands,
     /*  481154 */     // GIR_Coverage, 3674,
     /*  481154 */     GIR_EraseRootFromParent_Done,
     /*  481155 */   // Label 8213: @481155
     /*  481155 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(481230), // Rule ID 3675 //
     /*  481160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  481209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481228 */     GIR_RootConstrainSelectedInstOperands,
     /*  481229 */     // GIR_Coverage, 3675,
     /*  481229 */     GIR_EraseRootFromParent_Done,
     /*  481230 */   // Label 8214: @481230
     /*  481230 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(481305), // Rule ID 3678 //
     /*  481235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  481255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  481284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481303 */     GIR_RootConstrainSelectedInstOperands,
     /*  481304 */     // GIR_Coverage, 3678,
     /*  481304 */     GIR_EraseRootFromParent_Done,
     /*  481305 */   // Label 8215: @481305
     /*  481305 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(481380), // Rule ID 3679 //
     /*  481310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  481330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  481359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481378 */     GIR_RootConstrainSelectedInstOperands,
     /*  481379 */     // GIR_Coverage, 3679,
     /*  481379 */     GIR_EraseRootFromParent_Done,
     /*  481380 */   // Label 8216: @481380
     /*  481380 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(481455), // Rule ID 3682 //
     /*  481385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  481405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  481434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481453 */     GIR_RootConstrainSelectedInstOperands,
     /*  481454 */     // GIR_Coverage, 3682,
     /*  481454 */     GIR_EraseRootFromParent_Done,
     /*  481455 */   // Label 8217: @481455
     /*  481455 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(481530), // Rule ID 3683 //
     /*  481460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  481480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  481509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481528 */     GIR_RootConstrainSelectedInstOperands,
     /*  481529 */     // GIR_Coverage, 3683,
     /*  481529 */     GIR_EraseRootFromParent_Done,
     /*  481530 */   // Label 8218: @481530
     /*  481530 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(481605), // Rule ID 3686 //
     /*  481535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  481555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  481584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481603 */     GIR_RootConstrainSelectedInstOperands,
     /*  481604 */     // GIR_Coverage, 3686,
     /*  481604 */     GIR_EraseRootFromParent_Done,
     /*  481605 */   // Label 8219: @481605
     /*  481605 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(481680), // Rule ID 3687 //
     /*  481610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  481630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  481659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481678 */     GIR_RootConstrainSelectedInstOperands,
     /*  481679 */     // GIR_Coverage, 3687,
     /*  481679 */     GIR_EraseRootFromParent_Done,
     /*  481680 */   // Label 8220: @481680
     /*  481680 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(481755), // Rule ID 3690 //
     /*  481685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  481696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  481699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  481705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481731 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  481734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481753 */     GIR_RootConstrainSelectedInstOperands,
     /*  481754 */     // GIR_Coverage, 3690,
     /*  481754 */     GIR_EraseRootFromParent_Done,
     /*  481755 */   // Label 8221: @481755
     /*  481755 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(481830), // Rule ID 3691 //
     /*  481760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  481771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  481774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  481780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  481809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481828 */     GIR_RootConstrainSelectedInstOperands,
     /*  481829 */     // GIR_Coverage, 3691,
     /*  481829 */     GIR_EraseRootFromParent_Done,
     /*  481830 */   // Label 8222: @481830
     /*  481830 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(481905), // Rule ID 3694 //
     /*  481835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  481846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  481849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  481852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  481855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  481884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481903 */     GIR_RootConstrainSelectedInstOperands,
     /*  481904 */     // GIR_Coverage, 3694,
     /*  481904 */     GIR_EraseRootFromParent_Done,
     /*  481905 */   // Label 8223: @481905
     /*  481905 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(481980), // Rule ID 3695 //
     /*  481910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  481921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  481924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  481927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  481930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  481959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481978 */     GIR_RootConstrainSelectedInstOperands,
     /*  481979 */     // GIR_Coverage, 3695,
     /*  481979 */     GIR_EraseRootFromParent_Done,
     /*  481980 */   // Label 8224: @481980
     /*  481980 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(482055), // Rule ID 3698 //
     /*  481985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  481993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  481996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  481999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  482002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  482005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482031 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  482034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482053 */     GIR_RootConstrainSelectedInstOperands,
     /*  482054 */     // GIR_Coverage, 3698,
     /*  482054 */     GIR_EraseRootFromParent_Done,
     /*  482055 */   // Label 8225: @482055
     /*  482055 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(482130), // Rule ID 3699 //
     /*  482060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  482077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  482080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  482109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482128 */     GIR_RootConstrainSelectedInstOperands,
     /*  482129 */     // GIR_Coverage, 3699,
     /*  482129 */     GIR_EraseRootFromParent_Done,
     /*  482130 */   // Label 8226: @482130
     /*  482130 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(482205), // Rule ID 3702 //
     /*  482135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  482155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482181 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  482184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482203 */     GIR_RootConstrainSelectedInstOperands,
     /*  482204 */     // GIR_Coverage, 3702,
     /*  482204 */     GIR_EraseRootFromParent_Done,
     /*  482205 */   // Label 8227: @482205
     /*  482205 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(482280), // Rule ID 3703 //
     /*  482210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  482230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  482259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482278 */     GIR_RootConstrainSelectedInstOperands,
     /*  482279 */     // GIR_Coverage, 3703,
     /*  482279 */     GIR_EraseRootFromParent_Done,
     /*  482280 */   // Label 8228: @482280
     /*  482280 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(482355), // Rule ID 3706 //
     /*  482285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  482305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  482334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482353 */     GIR_RootConstrainSelectedInstOperands,
     /*  482354 */     // GIR_Coverage, 3706,
     /*  482354 */     GIR_EraseRootFromParent_Done,
     /*  482355 */   // Label 8229: @482355
     /*  482355 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(482430), // Rule ID 3707 //
     /*  482360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  482380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  482409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482428 */     GIR_RootConstrainSelectedInstOperands,
     /*  482429 */     // GIR_Coverage, 3707,
     /*  482429 */     GIR_EraseRootFromParent_Done,
     /*  482430 */   // Label 8230: @482430
     /*  482430 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(482505), // Rule ID 3710 //
     /*  482435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  482449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  482455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  482484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482503 */     GIR_RootConstrainSelectedInstOperands,
     /*  482504 */     // GIR_Coverage, 3710,
     /*  482504 */     GIR_EraseRootFromParent_Done,
     /*  482505 */   // Label 8231: @482505
     /*  482505 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(482580), // Rule ID 3711 //
     /*  482510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  482524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  482530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  482559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482578 */     GIR_RootConstrainSelectedInstOperands,
     /*  482579 */     // GIR_Coverage, 3711,
     /*  482579 */     GIR_EraseRootFromParent_Done,
     /*  482580 */   // Label 8232: @482580
     /*  482580 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(482655), // Rule ID 3714 //
     /*  482585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  482596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  482599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  482605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  482634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482653 */     GIR_RootConstrainSelectedInstOperands,
     /*  482654 */     // GIR_Coverage, 3714,
     /*  482654 */     GIR_EraseRootFromParent_Done,
     /*  482655 */   // Label 8233: @482655
     /*  482655 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(482730), // Rule ID 3715 //
     /*  482660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  482671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  482674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  482680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  482709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482728 */     GIR_RootConstrainSelectedInstOperands,
     /*  482729 */     // GIR_Coverage, 3715,
     /*  482729 */     GIR_EraseRootFromParent_Done,
     /*  482730 */   // Label 8234: @482730
     /*  482730 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(482805), // Rule ID 3718 //
     /*  482735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  482746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  482749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  482755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  482784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482803 */     GIR_RootConstrainSelectedInstOperands,
     /*  482804 */     // GIR_Coverage, 3718,
     /*  482804 */     GIR_EraseRootFromParent_Done,
     /*  482805 */   // Label 8235: @482805
     /*  482805 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(482880), // Rule ID 3719 //
     /*  482810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  482821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  482824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  482830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  482859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482878 */     GIR_RootConstrainSelectedInstOperands,
     /*  482879 */     // GIR_Coverage, 3719,
     /*  482879 */     GIR_EraseRootFromParent_Done,
     /*  482880 */   // Label 8236: @482880
     /*  482880 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(482955), // Rule ID 3722 //
     /*  482885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  482888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  482905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  482934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482953 */     GIR_RootConstrainSelectedInstOperands,
     /*  482954 */     // GIR_Coverage, 3722,
     /*  482954 */     GIR_EraseRootFromParent_Done,
     /*  482955 */   // Label 8237: @482955
     /*  482955 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(483030), // Rule ID 3723 //
     /*  482960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  482963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  482968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  482980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  483009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483028 */     GIR_RootConstrainSelectedInstOperands,
     /*  483029 */     // GIR_Coverage, 3723,
     /*  483029 */     GIR_EraseRootFromParent_Done,
     /*  483030 */   // Label 8238: @483030
     /*  483030 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(483105), // Rule ID 3726 //
     /*  483035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  483055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483081 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  483084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483103 */     GIR_RootConstrainSelectedInstOperands,
     /*  483104 */     // GIR_Coverage, 3726,
     /*  483104 */     GIR_EraseRootFromParent_Done,
     /*  483105 */   // Label 8239: @483105
     /*  483105 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(483180), // Rule ID 3727 //
     /*  483110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  483130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  483159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483178 */     GIR_RootConstrainSelectedInstOperands,
     /*  483179 */     // GIR_Coverage, 3727,
     /*  483179 */     GIR_EraseRootFromParent_Done,
     /*  483180 */   // Label 8240: @483180
     /*  483180 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(483255), // Rule ID 3730 //
     /*  483185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  483205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  483234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483253 */     GIR_RootConstrainSelectedInstOperands,
     /*  483254 */     // GIR_Coverage, 3730,
     /*  483254 */     GIR_EraseRootFromParent_Done,
     /*  483255 */   // Label 8241: @483255
     /*  483255 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(483330), // Rule ID 3731 //
     /*  483260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  483280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  483309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483328 */     GIR_RootConstrainSelectedInstOperands,
     /*  483329 */     // GIR_Coverage, 3731,
     /*  483329 */     GIR_EraseRootFromParent_Done,
     /*  483330 */   // Label 8242: @483330
     /*  483330 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(483405), // Rule ID 3734 //
     /*  483335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  483355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  483384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483403 */     GIR_RootConstrainSelectedInstOperands,
     /*  483404 */     // GIR_Coverage, 3734,
     /*  483404 */     GIR_EraseRootFromParent_Done,
     /*  483405 */   // Label 8243: @483405
     /*  483405 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(483480), // Rule ID 3735 //
     /*  483410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  483430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  483459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483478 */     GIR_RootConstrainSelectedInstOperands,
     /*  483479 */     // GIR_Coverage, 3735,
     /*  483479 */     GIR_EraseRootFromParent_Done,
     /*  483480 */   // Label 8244: @483480
     /*  483480 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(483555), // Rule ID 3738 //
     /*  483485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  483534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483553 */     GIR_RootConstrainSelectedInstOperands,
     /*  483554 */     // GIR_Coverage, 3738,
     /*  483554 */     GIR_EraseRootFromParent_Done,
     /*  483555 */   // Label 8245: @483555
     /*  483555 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(483630), // Rule ID 3739 //
     /*  483560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  483609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483628 */     GIR_RootConstrainSelectedInstOperands,
     /*  483629 */     // GIR_Coverage, 3739,
     /*  483629 */     GIR_EraseRootFromParent_Done,
     /*  483630 */   // Label 8246: @483630
     /*  483630 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(483705), // Rule ID 3742 //
     /*  483635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483681 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  483684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483703 */     GIR_RootConstrainSelectedInstOperands,
     /*  483704 */     // GIR_Coverage, 3742,
     /*  483704 */     GIR_EraseRootFromParent_Done,
     /*  483705 */   // Label 8247: @483705
     /*  483705 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(483780), // Rule ID 3743 //
     /*  483710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  483759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483778 */     GIR_RootConstrainSelectedInstOperands,
     /*  483779 */     // GIR_Coverage, 3743,
     /*  483779 */     GIR_EraseRootFromParent_Done,
     /*  483780 */   // Label 8248: @483780
     /*  483780 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(483855), // Rule ID 3746 //
     /*  483785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  483834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483853 */     GIR_RootConstrainSelectedInstOperands,
     /*  483854 */     // GIR_Coverage, 3746,
     /*  483854 */     GIR_EraseRootFromParent_Done,
     /*  483855 */   // Label 8249: @483855
     /*  483855 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(483930), // Rule ID 3747 //
     /*  483860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  483909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483928 */     GIR_RootConstrainSelectedInstOperands,
     /*  483929 */     // GIR_Coverage, 3747,
     /*  483929 */     GIR_EraseRootFromParent_Done,
     /*  483930 */   // Label 8250: @483930
     /*  483930 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(484005), // Rule ID 3750 //
     /*  483935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  483984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484003 */     GIR_RootConstrainSelectedInstOperands,
     /*  484004 */     // GIR_Coverage, 3750,
     /*  484004 */     GIR_EraseRootFromParent_Done,
     /*  484005 */   // Label 8251: @484005
     /*  484005 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(484080), // Rule ID 3751 //
     /*  484010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  484059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484078 */     GIR_RootConstrainSelectedInstOperands,
     /*  484079 */     // GIR_Coverage, 3751,
     /*  484079 */     GIR_EraseRootFromParent_Done,
     /*  484080 */   // Label 8252: @484080
     /*  484080 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(484155), // Rule ID 3754 //
     /*  484085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  484134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484153 */     GIR_RootConstrainSelectedInstOperands,
     /*  484154 */     // GIR_Coverage, 3754,
     /*  484154 */     GIR_EraseRootFromParent_Done,
     /*  484155 */   // Label 8253: @484155
     /*  484155 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(484230), // Rule ID 3755 //
     /*  484160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  484209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484228 */     GIR_RootConstrainSelectedInstOperands,
     /*  484229 */     // GIR_Coverage, 3755,
     /*  484229 */     GIR_EraseRootFromParent_Done,
     /*  484230 */   // Label 8254: @484230
     /*  484230 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(484305), // Rule ID 3758 //
     /*  484235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  484284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484303 */     GIR_RootConstrainSelectedInstOperands,
     /*  484304 */     // GIR_Coverage, 3758,
     /*  484304 */     GIR_EraseRootFromParent_Done,
     /*  484305 */   // Label 8255: @484305
     /*  484305 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(484380), // Rule ID 3759 //
     /*  484310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484356 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  484359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484378 */     GIR_RootConstrainSelectedInstOperands,
     /*  484379 */     // GIR_Coverage, 3759,
     /*  484379 */     GIR_EraseRootFromParent_Done,
     /*  484380 */   // Label 8256: @484380
     /*  484380 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(484455), // Rule ID 3762 //
     /*  484385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  484434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484453 */     GIR_RootConstrainSelectedInstOperands,
     /*  484454 */     // GIR_Coverage, 3762,
     /*  484454 */     GIR_EraseRootFromParent_Done,
     /*  484455 */   // Label 8257: @484455
     /*  484455 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(484530), // Rule ID 3763 //
     /*  484460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  484509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484528 */     GIR_RootConstrainSelectedInstOperands,
     /*  484529 */     // GIR_Coverage, 3763,
     /*  484529 */     GIR_EraseRootFromParent_Done,
     /*  484530 */   // Label 8258: @484530
     /*  484530 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(484605), // Rule ID 3766 //
     /*  484535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484581 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  484584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484603 */     GIR_RootConstrainSelectedInstOperands,
     /*  484604 */     // GIR_Coverage, 3766,
     /*  484604 */     GIR_EraseRootFromParent_Done,
     /*  484605 */   // Label 8259: @484605
     /*  484605 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(484680), // Rule ID 3767 //
     /*  484610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  484659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484678 */     GIR_RootConstrainSelectedInstOperands,
     /*  484679 */     // GIR_Coverage, 3767,
     /*  484679 */     GIR_EraseRootFromParent_Done,
     /*  484680 */   // Label 8260: @484680
     /*  484680 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(484755), // Rule ID 3770 //
     /*  484685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  484734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484753 */     GIR_RootConstrainSelectedInstOperands,
     /*  484754 */     // GIR_Coverage, 3770,
     /*  484754 */     GIR_EraseRootFromParent_Done,
     /*  484755 */   // Label 8261: @484755
     /*  484755 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(484830), // Rule ID 3771 //
     /*  484760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  484809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484828 */     GIR_RootConstrainSelectedInstOperands,
     /*  484829 */     // GIR_Coverage, 3771,
     /*  484829 */     GIR_EraseRootFromParent_Done,
     /*  484830 */   // Label 8262: @484830
     /*  484830 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(484905), // Rule ID 3774 //
     /*  484835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  484884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484903 */     GIR_RootConstrainSelectedInstOperands,
     /*  484904 */     // GIR_Coverage, 3774,
     /*  484904 */     GIR_EraseRootFromParent_Done,
     /*  484905 */   // Label 8263: @484905
     /*  484905 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(484980), // Rule ID 3775 //
     /*  484910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  484949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  484959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484978 */     GIR_RootConstrainSelectedInstOperands,
     /*  484979 */     // GIR_Coverage, 3775,
     /*  484979 */     GIR_EraseRootFromParent_Done,
     /*  484980 */   // Label 8264: @484980
     /*  484980 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(485055), // Rule ID 3778 //
     /*  484985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  485034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485053 */     GIR_RootConstrainSelectedInstOperands,
     /*  485054 */     // GIR_Coverage, 3778,
     /*  485054 */     GIR_EraseRootFromParent_Done,
     /*  485055 */   // Label 8265: @485055
     /*  485055 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(485130), // Rule ID 3779 //
     /*  485060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  485109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485128 */     GIR_RootConstrainSelectedInstOperands,
     /*  485129 */     // GIR_Coverage, 3779,
     /*  485129 */     GIR_EraseRootFromParent_Done,
     /*  485130 */   // Label 8266: @485130
     /*  485130 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(485205), // Rule ID 3782 //
     /*  485135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  485184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485203 */     GIR_RootConstrainSelectedInstOperands,
     /*  485204 */     // GIR_Coverage, 3782,
     /*  485204 */     GIR_EraseRootFromParent_Done,
     /*  485205 */   // Label 8267: @485205
     /*  485205 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(485280), // Rule ID 3783 //
     /*  485210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  485259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485278 */     GIR_RootConstrainSelectedInstOperands,
     /*  485279 */     // GIR_Coverage, 3783,
     /*  485279 */     GIR_EraseRootFromParent_Done,
     /*  485280 */   // Label 8268: @485280
     /*  485280 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(485355), // Rule ID 3786 //
     /*  485285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  485334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485353 */     GIR_RootConstrainSelectedInstOperands,
     /*  485354 */     // GIR_Coverage, 3786,
     /*  485354 */     GIR_EraseRootFromParent_Done,
     /*  485355 */   // Label 8269: @485355
     /*  485355 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(485430), // Rule ID 3787 //
     /*  485360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  485409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485428 */     GIR_RootConstrainSelectedInstOperands,
     /*  485429 */     // GIR_Coverage, 3787,
     /*  485429 */     GIR_EraseRootFromParent_Done,
     /*  485430 */   // Label 8270: @485430
     /*  485430 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(485505), // Rule ID 3790 //
     /*  485435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  485484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485503 */     GIR_RootConstrainSelectedInstOperands,
     /*  485504 */     // GIR_Coverage, 3790,
     /*  485504 */     GIR_EraseRootFromParent_Done,
     /*  485505 */   // Label 8271: @485505
     /*  485505 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(485580), // Rule ID 3791 //
     /*  485510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  485559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485578 */     GIR_RootConstrainSelectedInstOperands,
     /*  485579 */     // GIR_Coverage, 3791,
     /*  485579 */     GIR_EraseRootFromParent_Done,
     /*  485580 */   // Label 8272: @485580
     /*  485580 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(485655), // Rule ID 3794 //
     /*  485585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  485634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485653 */     GIR_RootConstrainSelectedInstOperands,
     /*  485654 */     // GIR_Coverage, 3794,
     /*  485654 */     GIR_EraseRootFromParent_Done,
     /*  485655 */   // Label 8273: @485655
     /*  485655 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(485730), // Rule ID 3795 //
     /*  485660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  485709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485728 */     GIR_RootConstrainSelectedInstOperands,
     /*  485729 */     // GIR_Coverage, 3795,
     /*  485729 */     GIR_EraseRootFromParent_Done,
     /*  485730 */   // Label 8274: @485730
     /*  485730 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(485805), // Rule ID 3798 //
     /*  485735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  485743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  485752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  485784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485803 */     GIR_RootConstrainSelectedInstOperands,
     /*  485804 */     // GIR_Coverage, 3798,
     /*  485804 */     GIR_EraseRootFromParent_Done,
     /*  485805 */   // Label 8275: @485805
     /*  485805 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(485880), // Rule ID 3799 //
     /*  485810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  485818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  485827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  485830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485856 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  485856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  485859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485878 */     GIR_RootConstrainSelectedInstOperands,
     /*  485879 */     // GIR_Coverage, 3799,
     /*  485879 */     GIR_EraseRootFromParent_Done,
     /*  485880 */   // Label 8276: @485880
     /*  485880 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(485955), // Rule ID 3802 //
     /*  485885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  485893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  485902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  485934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485953 */     GIR_RootConstrainSelectedInstOperands,
     /*  485954 */     // GIR_Coverage, 3802,
     /*  485954 */     GIR_EraseRootFromParent_Done,
     /*  485955 */   // Label 8277: @485955
     /*  485955 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(486030), // Rule ID 3803 //
     /*  485960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  485968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  485977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  485980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  486009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486028 */     GIR_RootConstrainSelectedInstOperands,
     /*  486029 */     // GIR_Coverage, 3803,
     /*  486029 */     GIR_EraseRootFromParent_Done,
     /*  486030 */   // Label 8278: @486030
     /*  486030 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(486105), // Rule ID 3806 //
     /*  486035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  486084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486103 */     GIR_RootConstrainSelectedInstOperands,
     /*  486104 */     // GIR_Coverage, 3806,
     /*  486104 */     GIR_EraseRootFromParent_Done,
     /*  486105 */   // Label 8279: @486105
     /*  486105 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(486180), // Rule ID 3807 //
     /*  486110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  486159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486178 */     GIR_RootConstrainSelectedInstOperands,
     /*  486179 */     // GIR_Coverage, 3807,
     /*  486179 */     GIR_EraseRootFromParent_Done,
     /*  486180 */   // Label 8280: @486180
     /*  486180 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(486255), // Rule ID 3810 //
     /*  486185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  486202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  486234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486253 */     GIR_RootConstrainSelectedInstOperands,
     /*  486254 */     // GIR_Coverage, 3810,
     /*  486254 */     GIR_EraseRootFromParent_Done,
     /*  486255 */   // Label 8281: @486255
     /*  486255 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(486330), // Rule ID 3811 //
     /*  486260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  486277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  486309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486328 */     GIR_RootConstrainSelectedInstOperands,
     /*  486329 */     // GIR_Coverage, 3811,
     /*  486329 */     GIR_EraseRootFromParent_Done,
     /*  486330 */   // Label 8282: @486330
     /*  486330 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(486405), // Rule ID 3814 //
     /*  486335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  486352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  486384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486403 */     GIR_RootConstrainSelectedInstOperands,
     /*  486404 */     // GIR_Coverage, 3814,
     /*  486404 */     GIR_EraseRootFromParent_Done,
     /*  486405 */   // Label 8283: @486405
     /*  486405 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(486480), // Rule ID 3815 //
     /*  486410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  486427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  486430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  486459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486478 */     GIR_RootConstrainSelectedInstOperands,
     /*  486479 */     // GIR_Coverage, 3815,
     /*  486479 */     GIR_EraseRootFromParent_Done,
     /*  486480 */   // Label 8284: @486480
     /*  486480 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(486555), // Rule ID 3818 //
     /*  486485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  486502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486531 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  486534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486553 */     GIR_RootConstrainSelectedInstOperands,
     /*  486554 */     // GIR_Coverage, 3818,
     /*  486554 */     GIR_EraseRootFromParent_Done,
     /*  486555 */   // Label 8285: @486555
     /*  486555 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(486630), // Rule ID 3819 //
     /*  486560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  486577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  486580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  486609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486628 */     GIR_RootConstrainSelectedInstOperands,
     /*  486629 */     // GIR_Coverage, 3819,
     /*  486629 */     GIR_EraseRootFromParent_Done,
     /*  486630 */   // Label 8286: @486630
     /*  486630 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(486705), // Rule ID 3822 //
     /*  486635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  486684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486703 */     GIR_RootConstrainSelectedInstOperands,
     /*  486704 */     // GIR_Coverage, 3822,
     /*  486704 */     GIR_EraseRootFromParent_Done,
     /*  486705 */   // Label 8287: @486705
     /*  486705 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(486780), // Rule ID 3823 //
     /*  486710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  486730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  486759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486778 */     GIR_RootConstrainSelectedInstOperands,
     /*  486779 */     // GIR_Coverage, 3823,
     /*  486779 */     GIR_EraseRootFromParent_Done,
     /*  486780 */   // Label 8288: @486780
     /*  486780 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(486855), // Rule ID 3826 //
     /*  486785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  486834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486853 */     GIR_RootConstrainSelectedInstOperands,
     /*  486854 */     // GIR_Coverage, 3826,
     /*  486854 */     GIR_EraseRootFromParent_Done,
     /*  486855 */   // Label 8289: @486855
     /*  486855 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(486930), // Rule ID 3827 //
     /*  486860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  486880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  486909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486928 */     GIR_RootConstrainSelectedInstOperands,
     /*  486929 */     // GIR_Coverage, 3827,
     /*  486929 */     GIR_EraseRootFromParent_Done,
     /*  486930 */   // Label 8290: @486930
     /*  486930 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(487005), // Rule ID 3830 //
     /*  486935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  486943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  486955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  486984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487003 */     GIR_RootConstrainSelectedInstOperands,
     /*  487004 */     // GIR_Coverage, 3830,
     /*  487004 */     GIR_EraseRootFromParent_Done,
     /*  487005 */   // Label 8291: @487005
     /*  487005 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(487080), // Rule ID 3831 //
     /*  487010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  487059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487078 */     GIR_RootConstrainSelectedInstOperands,
     /*  487079 */     // GIR_Coverage, 3831,
     /*  487079 */     GIR_EraseRootFromParent_Done,
     /*  487080 */   // Label 8292: @487080
     /*  487080 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(487155), // Rule ID 3834 //
     /*  487085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  487102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  487134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487153 */     GIR_RootConstrainSelectedInstOperands,
     /*  487154 */     // GIR_Coverage, 3834,
     /*  487154 */     GIR_EraseRootFromParent_Done,
     /*  487155 */   // Label 8293: @487155
     /*  487155 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(487230), // Rule ID 3835 //
     /*  487160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  487177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  487209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487228 */     GIR_RootConstrainSelectedInstOperands,
     /*  487229 */     // GIR_Coverage, 3835,
     /*  487229 */     GIR_EraseRootFromParent_Done,
     /*  487230 */   // Label 8294: @487230
     /*  487230 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(487305), // Rule ID 3838 //
     /*  487235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  487284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487303 */     GIR_RootConstrainSelectedInstOperands,
     /*  487304 */     // GIR_Coverage, 3838,
     /*  487304 */     GIR_EraseRootFromParent_Done,
     /*  487305 */   // Label 8295: @487305
     /*  487305 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(487380), // Rule ID 3839 //
     /*  487310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  487359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487378 */     GIR_RootConstrainSelectedInstOperands,
     /*  487379 */     // GIR_Coverage, 3839,
     /*  487379 */     GIR_EraseRootFromParent_Done,
     /*  487380 */   // Label 8296: @487380
     /*  487380 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(487455), // Rule ID 3842 //
     /*  487385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487431 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  487434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487453 */     GIR_RootConstrainSelectedInstOperands,
     /*  487454 */     // GIR_Coverage, 3842,
     /*  487454 */     GIR_EraseRootFromParent_Done,
     /*  487455 */   // Label 8297: @487455
     /*  487455 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(487530), // Rule ID 3843 //
     /*  487460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  487480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  487509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487528 */     GIR_RootConstrainSelectedInstOperands,
     /*  487529 */     // GIR_Coverage, 3843,
     /*  487529 */     GIR_EraseRootFromParent_Done,
     /*  487530 */   // Label 8298: @487530
     /*  487530 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(487605), // Rule ID 3846 //
     /*  487535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487581 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  487584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487603 */     GIR_RootConstrainSelectedInstOperands,
     /*  487604 */     // GIR_Coverage, 3846,
     /*  487604 */     GIR_EraseRootFromParent_Done,
     /*  487605 */   // Label 8299: @487605
     /*  487605 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(487680), // Rule ID 3847 //
     /*  487610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  487630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  487659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487678 */     GIR_RootConstrainSelectedInstOperands,
     /*  487679 */     // GIR_Coverage, 3847,
     /*  487679 */     GIR_EraseRootFromParent_Done,
     /*  487680 */   // Label 8300: @487680
     /*  487680 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(487755), // Rule ID 3850 //
     /*  487685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487731 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  487734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487753 */     GIR_RootConstrainSelectedInstOperands,
     /*  487754 */     // GIR_Coverage, 3850,
     /*  487754 */     GIR_EraseRootFromParent_Done,
     /*  487755 */   // Label 8301: @487755
     /*  487755 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(487830), // Rule ID 3851 //
     /*  487760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  487780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  487809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487828 */     GIR_RootConstrainSelectedInstOperands,
     /*  487829 */     // GIR_Coverage, 3851,
     /*  487829 */     GIR_EraseRootFromParent_Done,
     /*  487830 */   // Label 8302: @487830
     /*  487830 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(487905), // Rule ID 3854 //
     /*  487835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487881 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  487884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487903 */     GIR_RootConstrainSelectedInstOperands,
     /*  487904 */     // GIR_Coverage, 3854,
     /*  487904 */     GIR_EraseRootFromParent_Done,
     /*  487905 */   // Label 8303: @487905
     /*  487905 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(487980), // Rule ID 3855 //
     /*  487910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  487930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487956 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  487959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487978 */     GIR_RootConstrainSelectedInstOperands,
     /*  487979 */     // GIR_Coverage, 3855,
     /*  487979 */     GIR_EraseRootFromParent_Done,
     /*  487980 */   // Label 8304: @487980
     /*  487980 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(488055), // Rule ID 3858 //
     /*  487985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  488002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488031 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  488034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488053 */     GIR_RootConstrainSelectedInstOperands,
     /*  488054 */     // GIR_Coverage, 3858,
     /*  488054 */     GIR_EraseRootFromParent_Done,
     /*  488055 */   // Label 8305: @488055
     /*  488055 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(488130), // Rule ID 3859 //
     /*  488060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  488077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  488109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488128 */     GIR_RootConstrainSelectedInstOperands,
     /*  488129 */     // GIR_Coverage, 3859,
     /*  488129 */     GIR_EraseRootFromParent_Done,
     /*  488130 */   // Label 8306: @488130
     /*  488130 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(488205), // Rule ID 3862 //
     /*  488135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  488152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  488184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488203 */     GIR_RootConstrainSelectedInstOperands,
     /*  488204 */     // GIR_Coverage, 3862,
     /*  488204 */     GIR_EraseRootFromParent_Done,
     /*  488205 */   // Label 8307: @488205
     /*  488205 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(488280), // Rule ID 3863 //
     /*  488210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  488227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488256 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  488259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488278 */     GIR_RootConstrainSelectedInstOperands,
     /*  488279 */     // GIR_Coverage, 3863,
     /*  488279 */     GIR_EraseRootFromParent_Done,
     /*  488280 */   // Label 8308: @488280
     /*  488280 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(488355), // Rule ID 3866 //
     /*  488285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  488302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488331 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  488334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488353 */     GIR_RootConstrainSelectedInstOperands,
     /*  488354 */     // GIR_Coverage, 3866,
     /*  488354 */     GIR_EraseRootFromParent_Done,
     /*  488355 */   // Label 8309: @488355
     /*  488355 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(488430), // Rule ID 3867 //
     /*  488360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  488377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  488409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488428 */     GIR_RootConstrainSelectedInstOperands,
     /*  488429 */     // GIR_Coverage, 3867,
     /*  488429 */     GIR_EraseRootFromParent_Done,
     /*  488430 */   // Label 8310: @488430
     /*  488430 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(488505), // Rule ID 3870 //
     /*  488435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  488452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488481 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  488484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488503 */     GIR_RootConstrainSelectedInstOperands,
     /*  488504 */     // GIR_Coverage, 3870,
     /*  488504 */     GIR_EraseRootFromParent_Done,
     /*  488505 */   // Label 8311: @488505
     /*  488505 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(488580), // Rule ID 3871 //
     /*  488510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  488527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  488559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488578 */     GIR_RootConstrainSelectedInstOperands,
     /*  488579 */     // GIR_Coverage, 3871,
     /*  488579 */     GIR_EraseRootFromParent_Done,
     /*  488580 */   // Label 8312: @488580
     /*  488580 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(488655), // Rule ID 3874 //
     /*  488585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  488634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488653 */     GIR_RootConstrainSelectedInstOperands,
     /*  488654 */     // GIR_Coverage, 3874,
     /*  488654 */     GIR_EraseRootFromParent_Done,
     /*  488655 */   // Label 8313: @488655
     /*  488655 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(488730), // Rule ID 3875 //
     /*  488660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  488709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488728 */     GIR_RootConstrainSelectedInstOperands,
     /*  488729 */     // GIR_Coverage, 3875,
     /*  488729 */     GIR_EraseRootFromParent_Done,
     /*  488730 */   // Label 8314: @488730
     /*  488730 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(488805), // Rule ID 3878 //
     /*  488735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  488784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488803 */     GIR_RootConstrainSelectedInstOperands,
     /*  488804 */     // GIR_Coverage, 3878,
     /*  488804 */     GIR_EraseRootFromParent_Done,
     /*  488805 */   // Label 8315: @488805
     /*  488805 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(488880), // Rule ID 3879 //
     /*  488810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  488859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488878 */     GIR_RootConstrainSelectedInstOperands,
     /*  488879 */     // GIR_Coverage, 3879,
     /*  488879 */     GIR_EraseRootFromParent_Done,
     /*  488880 */   // Label 8316: @488880
     /*  488880 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(488955), // Rule ID 3882 //
     /*  488885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  488934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488953 */     GIR_RootConstrainSelectedInstOperands,
     /*  488954 */     // GIR_Coverage, 3882,
     /*  488954 */     GIR_EraseRootFromParent_Done,
     /*  488955 */   // Label 8317: @488955
     /*  488955 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(489030), // Rule ID 3883 //
     /*  488960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  488999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  489009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489028 */     GIR_RootConstrainSelectedInstOperands,
     /*  489029 */     // GIR_Coverage, 3883,
     /*  489029 */     GIR_EraseRootFromParent_Done,
     /*  489030 */   // Label 8318: @489030
     /*  489030 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(489105), // Rule ID 3886 //
     /*  489035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  489052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  489084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489103 */     GIR_RootConstrainSelectedInstOperands,
     /*  489104 */     // GIR_Coverage, 3886,
     /*  489104 */     GIR_EraseRootFromParent_Done,
     /*  489105 */   // Label 8319: @489105
     /*  489105 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(489180), // Rule ID 3887 //
     /*  489110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  489127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  489159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489178 */     GIR_RootConstrainSelectedInstOperands,
     /*  489179 */     // GIR_Coverage, 3887,
     /*  489179 */     GIR_EraseRootFromParent_Done,
     /*  489180 */   // Label 8320: @489180
     /*  489180 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(489255), // Rule ID 3890 //
     /*  489185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  489234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489253 */     GIR_RootConstrainSelectedInstOperands,
     /*  489254 */     // GIR_Coverage, 3890,
     /*  489254 */     GIR_EraseRootFromParent_Done,
     /*  489255 */   // Label 8321: @489255
     /*  489255 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(489330), // Rule ID 3891 //
     /*  489260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  489309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489328 */     GIR_RootConstrainSelectedInstOperands,
     /*  489329 */     // GIR_Coverage, 3891,
     /*  489329 */     GIR_EraseRootFromParent_Done,
     /*  489330 */   // Label 8322: @489330
     /*  489330 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(489405), // Rule ID 3894 //
     /*  489335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  489384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489403 */     GIR_RootConstrainSelectedInstOperands,
     /*  489404 */     // GIR_Coverage, 3894,
     /*  489404 */     GIR_EraseRootFromParent_Done,
     /*  489405 */   // Label 8323: @489405
     /*  489405 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(489480), // Rule ID 3895 //
     /*  489410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  489459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489478 */     GIR_RootConstrainSelectedInstOperands,
     /*  489479 */     // GIR_Coverage, 3895,
     /*  489479 */     GIR_EraseRootFromParent_Done,
     /*  489480 */   // Label 8324: @489480
     /*  489480 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(489555), // Rule ID 3898 //
     /*  489485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489531 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  489534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489553 */     GIR_RootConstrainSelectedInstOperands,
     /*  489554 */     // GIR_Coverage, 3898,
     /*  489554 */     GIR_EraseRootFromParent_Done,
     /*  489555 */   // Label 8325: @489555
     /*  489555 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(489630), // Rule ID 3899 //
     /*  489560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  489609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489628 */     GIR_RootConstrainSelectedInstOperands,
     /*  489629 */     // GIR_Coverage, 3899,
     /*  489629 */     GIR_EraseRootFromParent_Done,
     /*  489630 */   // Label 8326: @489630
     /*  489630 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(489705), // Rule ID 3902 //
     /*  489635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  489684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489703 */     GIR_RootConstrainSelectedInstOperands,
     /*  489704 */     // GIR_Coverage, 3902,
     /*  489704 */     GIR_EraseRootFromParent_Done,
     /*  489705 */   // Label 8327: @489705
     /*  489705 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(489780), // Rule ID 3903 //
     /*  489710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  489759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489778 */     GIR_RootConstrainSelectedInstOperands,
     /*  489779 */     // GIR_Coverage, 3903,
     /*  489779 */     GIR_EraseRootFromParent_Done,
     /*  489780 */   // Label 8328: @489780
     /*  489780 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(489855), // Rule ID 3906 //
     /*  489785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  489834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489853 */     GIR_RootConstrainSelectedInstOperands,
     /*  489854 */     // GIR_Coverage, 3906,
     /*  489854 */     GIR_EraseRootFromParent_Done,
     /*  489855 */   // Label 8329: @489855
     /*  489855 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(489930), // Rule ID 3907 //
     /*  489860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  489909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489928 */     GIR_RootConstrainSelectedInstOperands,
     /*  489929 */     // GIR_Coverage, 3907,
     /*  489929 */     GIR_EraseRootFromParent_Done,
     /*  489930 */   // Label 8330: @489930
     /*  489930 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(490005), // Rule ID 3910 //
     /*  489935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  489974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  489984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490003 */     GIR_RootConstrainSelectedInstOperands,
     /*  490004 */     // GIR_Coverage, 3910,
     /*  490004 */     GIR_EraseRootFromParent_Done,
     /*  490005 */   // Label 8331: @490005
     /*  490005 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(490080), // Rule ID 3911 //
     /*  490010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  490027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  490056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  490059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490078 */     GIR_RootConstrainSelectedInstOperands,
     /*  490079 */     // GIR_Coverage, 3911,
     /*  490079 */     GIR_EraseRootFromParent_Done,
     /*  490080 */   // Label 8332: @490080
     /*  490080 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(490155), // Rule ID 3914 //
     /*  490085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  490131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  490134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490153 */     GIR_RootConstrainSelectedInstOperands,
     /*  490154 */     // GIR_Coverage, 3914,
     /*  490154 */     GIR_EraseRootFromParent_Done,
     /*  490155 */   // Label 8333: @490155
     /*  490155 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(490230), // Rule ID 3915 //
     /*  490160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  490206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  490209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490228 */     GIR_RootConstrainSelectedInstOperands,
     /*  490229 */     // GIR_Coverage, 3915,
     /*  490229 */     GIR_EraseRootFromParent_Done,
     /*  490230 */   // Label 8334: @490230
     /*  490230 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(490305), // Rule ID 3920 //
     /*  490235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490281 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  490284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490303 */     GIR_RootConstrainSelectedInstOperands,
     /*  490304 */     // GIR_Coverage, 3920,
     /*  490304 */     GIR_EraseRootFromParent_Done,
     /*  490305 */   // Label 8335: @490305
     /*  490305 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(490380), // Rule ID 3921 //
     /*  490310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  490359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490378 */     GIR_RootConstrainSelectedInstOperands,
     /*  490379 */     // GIR_Coverage, 3921,
     /*  490379 */     GIR_EraseRootFromParent_Done,
     /*  490380 */   // Label 8336: @490380
     /*  490380 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(490455), // Rule ID 3930 //
     /*  490385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  490434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490453 */     GIR_RootConstrainSelectedInstOperands,
     /*  490454 */     // GIR_Coverage, 3930,
     /*  490454 */     GIR_EraseRootFromParent_Done,
     /*  490455 */   // Label 8337: @490455
     /*  490455 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(490530), // Rule ID 3931 //
     /*  490460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  490509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490528 */     GIR_RootConstrainSelectedInstOperands,
     /*  490529 */     // GIR_Coverage, 3931,
     /*  490529 */     GIR_EraseRootFromParent_Done,
     /*  490530 */   // Label 8338: @490530
     /*  490530 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(490605), // Rule ID 3940 //
     /*  490535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  490584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490603 */     GIR_RootConstrainSelectedInstOperands,
     /*  490604 */     // GIR_Coverage, 3940,
     /*  490604 */     GIR_EraseRootFromParent_Done,
     /*  490605 */   // Label 8339: @490605
     /*  490605 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(490680), // Rule ID 3941 //
     /*  490610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  490659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490678 */     GIR_RootConstrainSelectedInstOperands,
     /*  490679 */     // GIR_Coverage, 3941,
     /*  490679 */     GIR_EraseRootFromParent_Done,
     /*  490680 */   // Label 8340: @490680
     /*  490680 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(490755), // Rule ID 3950 //
     /*  490685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  490734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490753 */     GIR_RootConstrainSelectedInstOperands,
     /*  490754 */     // GIR_Coverage, 3950,
     /*  490754 */     GIR_EraseRootFromParent_Done,
     /*  490755 */   // Label 8341: @490755
     /*  490755 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(490830), // Rule ID 3951 //
     /*  490760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  490777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  490780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  490809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490828 */     GIR_RootConstrainSelectedInstOperands,
     /*  490829 */     // GIR_Coverage, 3951,
     /*  490829 */     GIR_EraseRootFromParent_Done,
     /*  490830 */   // Label 8342: @490830
     /*  490830 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(490905), // Rule ID 3960 //
     /*  490835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  490884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490903 */     GIR_RootConstrainSelectedInstOperands,
     /*  490904 */     // GIR_Coverage, 3960,
     /*  490904 */     GIR_EraseRootFromParent_Done,
     /*  490905 */   // Label 8343: @490905
     /*  490905 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(490980), // Rule ID 3961 //
     /*  490910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  490927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  490930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  490959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490978 */     GIR_RootConstrainSelectedInstOperands,
     /*  490979 */     // GIR_Coverage, 3961,
     /*  490979 */     GIR_EraseRootFromParent_Done,
     /*  490980 */   // Label 8344: @490980
     /*  490980 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(491055), // Rule ID 3970 //
     /*  490985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  490996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  490999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  491034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491053 */     GIR_RootConstrainSelectedInstOperands,
     /*  491054 */     // GIR_Coverage, 3970,
     /*  491054 */     GIR_EraseRootFromParent_Done,
     /*  491055 */   // Label 8345: @491055
     /*  491055 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(491130), // Rule ID 3971 //
     /*  491060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  491109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491128 */     GIR_RootConstrainSelectedInstOperands,
     /*  491129 */     // GIR_Coverage, 3971,
     /*  491129 */     GIR_EraseRootFromParent_Done,
     /*  491130 */   // Label 8346: @491130
     /*  491130 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(491205), // Rule ID 3980 //
     /*  491135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  491184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491203 */     GIR_RootConstrainSelectedInstOperands,
     /*  491204 */     // GIR_Coverage, 3980,
     /*  491204 */     GIR_EraseRootFromParent_Done,
     /*  491205 */   // Label 8347: @491205
     /*  491205 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(491280), // Rule ID 3981 //
     /*  491210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  491259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491278 */     GIR_RootConstrainSelectedInstOperands,
     /*  491279 */     // GIR_Coverage, 3981,
     /*  491279 */     GIR_EraseRootFromParent_Done,
     /*  491280 */   // Label 8348: @491280
     /*  491280 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(491355), // Rule ID 3990 //
     /*  491285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  491334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491353 */     GIR_RootConstrainSelectedInstOperands,
     /*  491354 */     // GIR_Coverage, 3990,
     /*  491354 */     GIR_EraseRootFromParent_Done,
     /*  491355 */   // Label 8349: @491355
     /*  491355 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(491430), // Rule ID 3991 //
     /*  491360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  491409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491428 */     GIR_RootConstrainSelectedInstOperands,
     /*  491429 */     // GIR_Coverage, 3991,
     /*  491429 */     GIR_EraseRootFromParent_Done,
     /*  491430 */   // Label 8350: @491430
     /*  491430 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(491505), // Rule ID 4000 //
     /*  491435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  491484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491503 */     GIR_RootConstrainSelectedInstOperands,
     /*  491504 */     // GIR_Coverage, 4000,
     /*  491504 */     GIR_EraseRootFromParent_Done,
     /*  491505 */   // Label 8351: @491505
     /*  491505 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(491580), // Rule ID 4001 //
     /*  491510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  491559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491578 */     GIR_RootConstrainSelectedInstOperands,
     /*  491579 */     // GIR_Coverage, 4001,
     /*  491579 */     GIR_EraseRootFromParent_Done,
     /*  491580 */   // Label 8352: @491580
     /*  491580 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(491655), // Rule ID 4010 //
     /*  491585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  491634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491653 */     GIR_RootConstrainSelectedInstOperands,
     /*  491654 */     // GIR_Coverage, 4010,
     /*  491654 */     GIR_EraseRootFromParent_Done,
     /*  491655 */   // Label 8353: @491655
     /*  491655 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(491730), // Rule ID 4011 //
     /*  491660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  491677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  491680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  491709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491728 */     GIR_RootConstrainSelectedInstOperands,
     /*  491729 */     // GIR_Coverage, 4011,
     /*  491729 */     GIR_EraseRootFromParent_Done,
     /*  491730 */   // Label 8354: @491730
     /*  491730 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(491805), // Rule ID 4020 //
     /*  491735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  491781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  491784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491803 */     GIR_RootConstrainSelectedInstOperands,
     /*  491804 */     // GIR_Coverage, 4020,
     /*  491804 */     GIR_EraseRootFromParent_Done,
     /*  491805 */   // Label 8355: @491805
     /*  491805 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(491880), // Rule ID 4021 //
     /*  491810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  491827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  491830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  491856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  491859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491878 */     GIR_RootConstrainSelectedInstOperands,
     /*  491879 */     // GIR_Coverage, 4021,
     /*  491879 */     GIR_EraseRootFromParent_Done,
     /*  491880 */   // Label 8356: @491880
     /*  491880 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(491955), // Rule ID 4030 //
     /*  491885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  491931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  491934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491953 */     GIR_RootConstrainSelectedInstOperands,
     /*  491954 */     // GIR_Coverage, 4030,
     /*  491954 */     GIR_EraseRootFromParent_Done,
     /*  491955 */   // Label 8357: @491955
     /*  491955 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(492030), // Rule ID 4031 //
     /*  491960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  491977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  491980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  492009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492028 */     GIR_RootConstrainSelectedInstOperands,
     /*  492029 */     // GIR_Coverage, 4031,
     /*  492029 */     GIR_EraseRootFromParent_Done,
     /*  492030 */   // Label 8358: @492030
     /*  492030 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(492105), // Rule ID 4040 //
     /*  492035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  492081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  492084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492103 */     GIR_RootConstrainSelectedInstOperands,
     /*  492104 */     // GIR_Coverage, 4040,
     /*  492104 */     GIR_EraseRootFromParent_Done,
     /*  492105 */   // Label 8359: @492105
     /*  492105 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(492180), // Rule ID 4041 //
     /*  492110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  492159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492178 */     GIR_RootConstrainSelectedInstOperands,
     /*  492179 */     // GIR_Coverage, 4041,
     /*  492179 */     GIR_EraseRootFromParent_Done,
     /*  492180 */   // Label 8360: @492180
     /*  492180 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(492255), // Rule ID 4050 //
     /*  492185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  492231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  492234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492253 */     GIR_RootConstrainSelectedInstOperands,
     /*  492254 */     // GIR_Coverage, 4050,
     /*  492254 */     GIR_EraseRootFromParent_Done,
     /*  492255 */   // Label 8361: @492255
     /*  492255 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(492330), // Rule ID 4051 //
     /*  492260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  492309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492328 */     GIR_RootConstrainSelectedInstOperands,
     /*  492329 */     // GIR_Coverage, 4051,
     /*  492329 */     GIR_EraseRootFromParent_Done,
     /*  492330 */   // Label 8362: @492330
     /*  492330 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(492405), // Rule ID 4058 //
     /*  492335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492381 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  492384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492403 */     GIR_RootConstrainSelectedInstOperands,
     /*  492404 */     // GIR_Coverage, 4058,
     /*  492404 */     GIR_EraseRootFromParent_Done,
     /*  492405 */   // Label 8363: @492405
     /*  492405 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(492480), // Rule ID 4059 //
     /*  492410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  492459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492478 */     GIR_RootConstrainSelectedInstOperands,
     /*  492479 */     // GIR_Coverage, 4059,
     /*  492479 */     GIR_EraseRootFromParent_Done,
     /*  492480 */   // Label 8364: @492480
     /*  492480 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(492555), // Rule ID 4062 //
     /*  492485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  492534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492553 */     GIR_RootConstrainSelectedInstOperands,
     /*  492554 */     // GIR_Coverage, 4062,
     /*  492554 */     GIR_EraseRootFromParent_Done,
     /*  492555 */   // Label 8365: @492555
     /*  492555 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(492630), // Rule ID 4063 //
     /*  492560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  492609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492628 */     GIR_RootConstrainSelectedInstOperands,
     /*  492629 */     // GIR_Coverage, 4063,
     /*  492629 */     GIR_EraseRootFromParent_Done,
     /*  492630 */   // Label 8366: @492630
     /*  492630 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(492705), // Rule ID 4066 //
     /*  492635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  492684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492703 */     GIR_RootConstrainSelectedInstOperands,
     /*  492704 */     // GIR_Coverage, 4066,
     /*  492704 */     GIR_EraseRootFromParent_Done,
     /*  492705 */   // Label 8367: @492705
     /*  492705 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(492780), // Rule ID 4067 //
     /*  492710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  492759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492778 */     GIR_RootConstrainSelectedInstOperands,
     /*  492779 */     // GIR_Coverage, 4067,
     /*  492779 */     GIR_EraseRootFromParent_Done,
     /*  492780 */   // Label 8368: @492780
     /*  492780 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(492855), // Rule ID 4070 //
     /*  492785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  492834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492853 */     GIR_RootConstrainSelectedInstOperands,
     /*  492854 */     // GIR_Coverage, 4070,
     /*  492854 */     GIR_EraseRootFromParent_Done,
     /*  492855 */   // Label 8369: @492855
     /*  492855 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(492930), // Rule ID 4071 //
     /*  492860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  492909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492928 */     GIR_RootConstrainSelectedInstOperands,
     /*  492929 */     // GIR_Coverage, 4071,
     /*  492929 */     GIR_EraseRootFromParent_Done,
     /*  492930 */   // Label 8370: @492930
     /*  492930 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(493005), // Rule ID 4074 //
     /*  492935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  492984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493003 */     GIR_RootConstrainSelectedInstOperands,
     /*  493004 */     // GIR_Coverage, 4074,
     /*  493004 */     GIR_EraseRootFromParent_Done,
     /*  493005 */   // Label 8371: @493005
     /*  493005 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(493080), // Rule ID 4075 //
     /*  493010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  493056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  493059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493078 */     GIR_RootConstrainSelectedInstOperands,
     /*  493079 */     // GIR_Coverage, 4075,
     /*  493079 */     GIR_EraseRootFromParent_Done,
     /*  493080 */   // Label 8372: @493080
     /*  493080 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(493155), // Rule ID 4078 //
     /*  493085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  493131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  493134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493153 */     GIR_RootConstrainSelectedInstOperands,
     /*  493154 */     // GIR_Coverage, 4078,
     /*  493154 */     GIR_EraseRootFromParent_Done,
     /*  493155 */   // Label 8373: @493155
     /*  493155 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(493230), // Rule ID 4079 //
     /*  493160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  493206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  493209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493228 */     GIR_RootConstrainSelectedInstOperands,
     /*  493229 */     // GIR_Coverage, 4079,
     /*  493229 */     GIR_EraseRootFromParent_Done,
     /*  493230 */   // Label 8374: @493230
     /*  493230 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(493305), // Rule ID 4082 //
     /*  493235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  493284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493303 */     GIR_RootConstrainSelectedInstOperands,
     /*  493304 */     // GIR_Coverage, 4082,
     /*  493304 */     GIR_EraseRootFromParent_Done,
     /*  493305 */   // Label 8375: @493305
     /*  493305 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(493380), // Rule ID 4083 //
     /*  493310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  493359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493378 */     GIR_RootConstrainSelectedInstOperands,
     /*  493379 */     // GIR_Coverage, 4083,
     /*  493379 */     GIR_EraseRootFromParent_Done,
     /*  493380 */   // Label 8376: @493380
     /*  493380 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(493455), // Rule ID 4086 //
     /*  493385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  493434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493453 */     GIR_RootConstrainSelectedInstOperands,
     /*  493454 */     // GIR_Coverage, 4086,
     /*  493454 */     GIR_EraseRootFromParent_Done,
     /*  493455 */   // Label 8377: @493455
     /*  493455 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(493530), // Rule ID 4087 //
     /*  493460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  493509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493528 */     GIR_RootConstrainSelectedInstOperands,
     /*  493529 */     // GIR_Coverage, 4087,
     /*  493529 */     GIR_EraseRootFromParent_Done,
     /*  493530 */   // Label 8378: @493530
     /*  493530 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(493605), // Rule ID 4090 //
     /*  493535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  493584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493603 */     GIR_RootConstrainSelectedInstOperands,
     /*  493604 */     // GIR_Coverage, 4090,
     /*  493604 */     GIR_EraseRootFromParent_Done,
     /*  493605 */   // Label 8379: @493605
     /*  493605 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(493680), // Rule ID 4091 //
     /*  493610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  493659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493678 */     GIR_RootConstrainSelectedInstOperands,
     /*  493679 */     // GIR_Coverage, 4091,
     /*  493679 */     GIR_EraseRootFromParent_Done,
     /*  493680 */   // Label 8380: @493680
     /*  493680 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(493755), // Rule ID 4094 //
     /*  493685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  493734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493753 */     GIR_RootConstrainSelectedInstOperands,
     /*  493754 */     // GIR_Coverage, 4094,
     /*  493754 */     GIR_EraseRootFromParent_Done,
     /*  493755 */   // Label 8381: @493755
     /*  493755 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(493830), // Rule ID 4095 //
     /*  493760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  493809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493828 */     GIR_RootConstrainSelectedInstOperands,
     /*  493829 */     // GIR_Coverage, 4095,
     /*  493829 */     GIR_EraseRootFromParent_Done,
     /*  493830 */   // Label 8382: @493830
     /*  493830 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(493905), // Rule ID 4098 //
     /*  493835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  493884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493903 */     GIR_RootConstrainSelectedInstOperands,
     /*  493904 */     // GIR_Coverage, 4098,
     /*  493904 */     GIR_EraseRootFromParent_Done,
     /*  493905 */   // Label 8383: @493905
     /*  493905 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(493980), // Rule ID 4099 //
     /*  493910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  493949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  493959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493978 */     GIR_RootConstrainSelectedInstOperands,
     /*  493979 */     // GIR_Coverage, 4099,
     /*  493979 */     GIR_EraseRootFromParent_Done,
     /*  493980 */   // Label 8384: @493980
     /*  493980 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(494055), // Rule ID 4102 //
     /*  493985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  493996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  493999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  494034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494053 */     GIR_RootConstrainSelectedInstOperands,
     /*  494054 */     // GIR_Coverage, 4102,
     /*  494054 */     GIR_EraseRootFromParent_Done,
     /*  494055 */   // Label 8385: @494055
     /*  494055 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(494130), // Rule ID 4103 //
     /*  494060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  494109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494128 */     GIR_RootConstrainSelectedInstOperands,
     /*  494129 */     // GIR_Coverage, 4103,
     /*  494129 */     GIR_EraseRootFromParent_Done,
     /*  494130 */   // Label 8386: @494130
     /*  494130 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(494205), // Rule ID 4106 //
     /*  494135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  494184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494203 */     GIR_RootConstrainSelectedInstOperands,
     /*  494204 */     // GIR_Coverage, 4106,
     /*  494204 */     GIR_EraseRootFromParent_Done,
     /*  494205 */   // Label 8387: @494205
     /*  494205 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(494280), // Rule ID 4107 //
     /*  494210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11297:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  494259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494278 */     GIR_RootConstrainSelectedInstOperands,
     /*  494279 */     // GIR_Coverage, 4107,
     /*  494279 */     GIR_EraseRootFromParent_Done,
     /*  494280 */   // Label 8388: @494280
     /*  494280 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(494355), // Rule ID 4110 //
     /*  494285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  494334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494353 */     GIR_RootConstrainSelectedInstOperands,
     /*  494354 */     // GIR_Coverage, 4110,
     /*  494354 */     GIR_EraseRootFromParent_Done,
     /*  494355 */   // Label 8389: @494355
     /*  494355 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(494430), // Rule ID 4111 //
     /*  494360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11297:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  494409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494428 */     GIR_RootConstrainSelectedInstOperands,
     /*  494429 */     // GIR_Coverage, 4111,
     /*  494429 */     GIR_EraseRootFromParent_Done,
     /*  494430 */   // Label 8390: @494430
     /*  494430 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(494505), // Rule ID 4114 //
     /*  494435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494481 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  494484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494503 */     GIR_RootConstrainSelectedInstOperands,
     /*  494504 */     // GIR_Coverage, 4114,
     /*  494504 */     GIR_EraseRootFromParent_Done,
     /*  494505 */   // Label 8391: @494505
     /*  494505 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(494580), // Rule ID 4115 //
     /*  494510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11297:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  494559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494578 */     GIR_RootConstrainSelectedInstOperands,
     /*  494579 */     // GIR_Coverage, 4115,
     /*  494579 */     GIR_EraseRootFromParent_Done,
     /*  494580 */   // Label 8392: @494580
     /*  494580 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(494655), // Rule ID 4120 //
     /*  494585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  494634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494653 */     GIR_RootConstrainSelectedInstOperands,
     /*  494654 */     // GIR_Coverage, 4120,
     /*  494654 */     GIR_EraseRootFromParent_Done,
     /*  494655 */   // Label 8393: @494655
     /*  494655 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(494730), // Rule ID 4121 //
     /*  494660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  494680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  494706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  494709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494728 */     GIR_RootConstrainSelectedInstOperands,
     /*  494729 */     // GIR_Coverage, 4121,
     /*  494729 */     GIR_EraseRootFromParent_Done,
     /*  494730 */   // Label 8394: @494730
     /*  494730 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(494805), // Rule ID 4130 //
     /*  494735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  494755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  494784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494803 */     GIR_RootConstrainSelectedInstOperands,
     /*  494804 */     // GIR_Coverage, 4130,
     /*  494804 */     GIR_EraseRootFromParent_Done,
     /*  494805 */   // Label 8395: @494805
     /*  494805 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(494880), // Rule ID 4131 //
     /*  494810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  494830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  494856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  494859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494878 */     GIR_RootConstrainSelectedInstOperands,
     /*  494879 */     // GIR_Coverage, 4131,
     /*  494879 */     GIR_EraseRootFromParent_Done,
     /*  494880 */   // Label 8396: @494880
     /*  494880 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(494955), // Rule ID 4140 //
     /*  494885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  494905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  494934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494953 */     GIR_RootConstrainSelectedInstOperands,
     /*  494954 */     // GIR_Coverage, 4140,
     /*  494954 */     GIR_EraseRootFromParent_Done,
     /*  494955 */   // Label 8397: @494955
     /*  494955 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(495030), // Rule ID 4141 //
     /*  494960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  494980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  495009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495028 */     GIR_RootConstrainSelectedInstOperands,
     /*  495029 */     // GIR_Coverage, 4141,
     /*  495029 */     GIR_EraseRootFromParent_Done,
     /*  495030 */   // Label 8398: @495030
     /*  495030 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(495105), // Rule ID 4150 //
     /*  495035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  495081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  495084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495103 */     GIR_RootConstrainSelectedInstOperands,
     /*  495104 */     // GIR_Coverage, 4150,
     /*  495104 */     GIR_EraseRootFromParent_Done,
     /*  495105 */   // Label 8399: @495105
     /*  495105 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(495180), // Rule ID 4151 //
     /*  495110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  495159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495178 */     GIR_RootConstrainSelectedInstOperands,
     /*  495179 */     // GIR_Coverage, 4151,
     /*  495179 */     GIR_EraseRootFromParent_Done,
     /*  495180 */   // Label 8400: @495180
     /*  495180 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(495255), // Rule ID 4160 //
     /*  495185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495231 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  495231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  495234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495253 */     GIR_RootConstrainSelectedInstOperands,
     /*  495254 */     // GIR_Coverage, 4160,
     /*  495254 */     GIR_EraseRootFromParent_Done,
     /*  495255 */   // Label 8401: @495255
     /*  495255 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(495330), // Rule ID 4161 //
     /*  495260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  495309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495328 */     GIR_RootConstrainSelectedInstOperands,
     /*  495329 */     // GIR_Coverage, 4161,
     /*  495329 */     GIR_EraseRootFromParent_Done,
     /*  495330 */   // Label 8402: @495330
     /*  495330 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(495405), // Rule ID 4170 //
     /*  495335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  495381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  495384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495403 */     GIR_RootConstrainSelectedInstOperands,
     /*  495404 */     // GIR_Coverage, 4170,
     /*  495404 */     GIR_EraseRootFromParent_Done,
     /*  495405 */   // Label 8403: @495405
     /*  495405 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(495480), // Rule ID 4171 //
     /*  495410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  495430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  495459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495478 */     GIR_RootConstrainSelectedInstOperands,
     /*  495479 */     // GIR_Coverage, 4171,
     /*  495479 */     GIR_EraseRootFromParent_Done,
     /*  495480 */   // Label 8404: @495480
     /*  495480 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(495555), // Rule ID 4180 //
     /*  495485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  495534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495553 */     GIR_RootConstrainSelectedInstOperands,
     /*  495554 */     // GIR_Coverage, 4180,
     /*  495554 */     GIR_EraseRootFromParent_Done,
     /*  495555 */   // Label 8405: @495555
     /*  495555 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(495630), // Rule ID 4181 //
     /*  495560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  495580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  495609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495628 */     GIR_RootConstrainSelectedInstOperands,
     /*  495629 */     // GIR_Coverage, 4181,
     /*  495629 */     GIR_EraseRootFromParent_Done,
     /*  495630 */   // Label 8406: @495630
     /*  495630 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(495705), // Rule ID 4190 //
     /*  495635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  495684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495703 */     GIR_RootConstrainSelectedInstOperands,
     /*  495704 */     // GIR_Coverage, 4190,
     /*  495704 */     GIR_EraseRootFromParent_Done,
     /*  495705 */   // Label 8407: @495705
     /*  495705 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(495780), // Rule ID 4191 //
     /*  495710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  495730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  495759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495778 */     GIR_RootConstrainSelectedInstOperands,
     /*  495779 */     // GIR_Coverage, 4191,
     /*  495779 */     GIR_EraseRootFromParent_Done,
     /*  495780 */   // Label 8408: @495780
     /*  495780 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(495855), // Rule ID 4200 //
     /*  495785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  495805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  495834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495853 */     GIR_RootConstrainSelectedInstOperands,
     /*  495854 */     // GIR_Coverage, 4200,
     /*  495854 */     GIR_EraseRootFromParent_Done,
     /*  495855 */   // Label 8409: @495855
     /*  495855 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(495930), // Rule ID 4201 //
     /*  495860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  495880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  495909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495928 */     GIR_RootConstrainSelectedInstOperands,
     /*  495929 */     // GIR_Coverage, 4201,
     /*  495929 */     GIR_EraseRootFromParent_Done,
     /*  495930 */   // Label 8410: @495930
     /*  495930 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(496005), // Rule ID 4210 //
     /*  495935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  495955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  495984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496003 */     GIR_RootConstrainSelectedInstOperands,
     /*  496004 */     // GIR_Coverage, 4210,
     /*  496004 */     GIR_EraseRootFromParent_Done,
     /*  496005 */   // Label 8411: @496005
     /*  496005 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(496080), // Rule ID 4211 //
     /*  496010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  496056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  496059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496078 */     GIR_RootConstrainSelectedInstOperands,
     /*  496079 */     // GIR_Coverage, 4211,
     /*  496079 */     GIR_EraseRootFromParent_Done,
     /*  496080 */   // Label 8412: @496080
     /*  496080 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(496155), // Rule ID 4220 //
     /*  496085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  496131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  496134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496153 */     GIR_RootConstrainSelectedInstOperands,
     /*  496154 */     // GIR_Coverage, 4220,
     /*  496154 */     GIR_EraseRootFromParent_Done,
     /*  496155 */   // Label 8413: @496155
     /*  496155 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(496230), // Rule ID 4221 //
     /*  496160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  496206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  496209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496228 */     GIR_RootConstrainSelectedInstOperands,
     /*  496229 */     // GIR_Coverage, 4221,
     /*  496229 */     GIR_EraseRootFromParent_Done,
     /*  496230 */   // Label 8414: @496230
     /*  496230 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(496305), // Rule ID 4230 //
     /*  496235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  496284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496303 */     GIR_RootConstrainSelectedInstOperands,
     /*  496304 */     // GIR_Coverage, 4230,
     /*  496304 */     GIR_EraseRootFromParent_Done,
     /*  496305 */   // Label 8415: @496305
     /*  496305 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(496380), // Rule ID 4231 //
     /*  496310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  496359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496378 */     GIR_RootConstrainSelectedInstOperands,
     /*  496379 */     // GIR_Coverage, 4231,
     /*  496379 */     GIR_EraseRootFromParent_Done,
     /*  496380 */   // Label 8416: @496380
     /*  496380 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(496455), // Rule ID 4240 //
     /*  496385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  496434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496453 */     GIR_RootConstrainSelectedInstOperands,
     /*  496454 */     // GIR_Coverage, 4240,
     /*  496454 */     GIR_EraseRootFromParent_Done,
     /*  496455 */   // Label 8417: @496455
     /*  496455 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(496530), // Rule ID 4241 //
     /*  496460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  496480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  496509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496528 */     GIR_RootConstrainSelectedInstOperands,
     /*  496529 */     // GIR_Coverage, 4241,
     /*  496529 */     GIR_EraseRootFromParent_Done,
     /*  496530 */   // Label 8418: @496530
     /*  496530 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(496605), // Rule ID 4250 //
     /*  496535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  496584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496603 */     GIR_RootConstrainSelectedInstOperands,
     /*  496604 */     // GIR_Coverage, 4250,
     /*  496604 */     GIR_EraseRootFromParent_Done,
     /*  496605 */   // Label 8419: @496605
     /*  496605 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(496680), // Rule ID 4251 //
     /*  496610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  496630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  496659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496678 */     GIR_RootConstrainSelectedInstOperands,
     /*  496679 */     // GIR_Coverage, 4251,
     /*  496679 */     GIR_EraseRootFromParent_Done,
     /*  496680 */   // Label 8420: @496680
     /*  496680 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(496755), // Rule ID 4260 //
     /*  496685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  496705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496731 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  496734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496753 */     GIR_RootConstrainSelectedInstOperands,
     /*  496754 */     // GIR_Coverage, 4260,
     /*  496754 */     GIR_EraseRootFromParent_Done,
     /*  496755 */   // Label 8421: @496755
     /*  496755 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(496830), // Rule ID 4261 //
     /*  496760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  496780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  496809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496828 */     GIR_RootConstrainSelectedInstOperands,
     /*  496829 */     // GIR_Coverage, 4261,
     /*  496829 */     GIR_EraseRootFromParent_Done,
     /*  496830 */   // Label 8422: @496830
     /*  496830 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(496905), // Rule ID 4268 //
     /*  496835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  496852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  496881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  496884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496903 */     GIR_RootConstrainSelectedInstOperands,
     /*  496904 */     // GIR_Coverage, 4268,
     /*  496904 */     GIR_EraseRootFromParent_Done,
     /*  496905 */   // Label 8423: @496905
     /*  496905 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(496980), // Rule ID 4269 //
     /*  496910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  496927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  496956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  496959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496978 */     GIR_RootConstrainSelectedInstOperands,
     /*  496979 */     // GIR_Coverage, 4269,
     /*  496979 */     GIR_EraseRootFromParent_Done,
     /*  496980 */   // Label 8424: @496980
     /*  496980 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(497055), // Rule ID 4272 //
     /*  496985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  496996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  496999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  497034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497053 */     GIR_RootConstrainSelectedInstOperands,
     /*  497054 */     // GIR_Coverage, 4272,
     /*  497054 */     GIR_EraseRootFromParent_Done,
     /*  497055 */   // Label 8425: @497055
     /*  497055 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(497130), // Rule ID 4273 //
     /*  497060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  497109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497128 */     GIR_RootConstrainSelectedInstOperands,
     /*  497129 */     // GIR_Coverage, 4273,
     /*  497129 */     GIR_EraseRootFromParent_Done,
     /*  497130 */   // Label 8426: @497130
     /*  497130 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(497205), // Rule ID 4276 //
     /*  497135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  497184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497203 */     GIR_RootConstrainSelectedInstOperands,
     /*  497204 */     // GIR_Coverage, 4276,
     /*  497204 */     GIR_EraseRootFromParent_Done,
     /*  497205 */   // Label 8427: @497205
     /*  497205 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(497280), // Rule ID 4277 //
     /*  497210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  497259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497278 */     GIR_RootConstrainSelectedInstOperands,
     /*  497279 */     // GIR_Coverage, 4277,
     /*  497279 */     GIR_EraseRootFromParent_Done,
     /*  497280 */   // Label 8428: @497280
     /*  497280 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(497355), // Rule ID 4280 //
     /*  497285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  497334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497353 */     GIR_RootConstrainSelectedInstOperands,
     /*  497354 */     // GIR_Coverage, 4280,
     /*  497354 */     GIR_EraseRootFromParent_Done,
     /*  497355 */   // Label 8429: @497355
     /*  497355 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(497430), // Rule ID 4281 //
     /*  497360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  497409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497428 */     GIR_RootConstrainSelectedInstOperands,
     /*  497429 */     // GIR_Coverage, 4281,
     /*  497429 */     GIR_EraseRootFromParent_Done,
     /*  497430 */   // Label 8430: @497430
     /*  497430 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(497505), // Rule ID 4284 //
     /*  497435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  497484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497503 */     GIR_RootConstrainSelectedInstOperands,
     /*  497504 */     // GIR_Coverage, 4284,
     /*  497504 */     GIR_EraseRootFromParent_Done,
     /*  497505 */   // Label 8431: @497505
     /*  497505 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(497580), // Rule ID 4285 //
     /*  497510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  497559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497578 */     GIR_RootConstrainSelectedInstOperands,
     /*  497579 */     // GIR_Coverage, 4285,
     /*  497579 */     GIR_EraseRootFromParent_Done,
     /*  497580 */   // Label 8432: @497580
     /*  497580 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(497655), // Rule ID 4288 //
     /*  497585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  497634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497653 */     GIR_RootConstrainSelectedInstOperands,
     /*  497654 */     // GIR_Coverage, 4288,
     /*  497654 */     GIR_EraseRootFromParent_Done,
     /*  497655 */   // Label 8433: @497655
     /*  497655 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(497730), // Rule ID 4289 //
     /*  497660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  497709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497728 */     GIR_RootConstrainSelectedInstOperands,
     /*  497729 */     // GIR_Coverage, 4289,
     /*  497729 */     GIR_EraseRootFromParent_Done,
     /*  497730 */   // Label 8434: @497730
     /*  497730 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(497805), // Rule ID 4292 //
     /*  497735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  497781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  497784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497803 */     GIR_RootConstrainSelectedInstOperands,
     /*  497804 */     // GIR_Coverage, 4292,
     /*  497804 */     GIR_EraseRootFromParent_Done,
     /*  497805 */   // Label 8435: @497805
     /*  497805 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(497880), // Rule ID 4293 //
     /*  497810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  497856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  497859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497878 */     GIR_RootConstrainSelectedInstOperands,
     /*  497879 */     // GIR_Coverage, 4293,
     /*  497879 */     GIR_EraseRootFromParent_Done,
     /*  497880 */   // Label 8436: @497880
     /*  497880 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(497955), // Rule ID 4296 //
     /*  497885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  497931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  497934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497953 */     GIR_RootConstrainSelectedInstOperands,
     /*  497954 */     // GIR_Coverage, 4296,
     /*  497954 */     GIR_EraseRootFromParent_Done,
     /*  497955 */   // Label 8437: @497955
     /*  497955 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(498030), // Rule ID 4297 //
     /*  497960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  497999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  498009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498028 */     GIR_RootConstrainSelectedInstOperands,
     /*  498029 */     // GIR_Coverage, 4297,
     /*  498029 */     GIR_EraseRootFromParent_Done,
     /*  498030 */   // Label 8438: @498030
     /*  498030 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(498105), // Rule ID 4300 //
     /*  498035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  498081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  498084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498103 */     GIR_RootConstrainSelectedInstOperands,
     /*  498104 */     // GIR_Coverage, 4300,
     /*  498104 */     GIR_EraseRootFromParent_Done,
     /*  498105 */   // Label 8439: @498105
     /*  498105 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(498180), // Rule ID 4301 //
     /*  498110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  498159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498178 */     GIR_RootConstrainSelectedInstOperands,
     /*  498179 */     // GIR_Coverage, 4301,
     /*  498179 */     GIR_EraseRootFromParent_Done,
     /*  498180 */   // Label 8440: @498180
     /*  498180 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(498255), // Rule ID 4304 //
     /*  498185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  498231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  498234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498253 */     GIR_RootConstrainSelectedInstOperands,
     /*  498254 */     // GIR_Coverage, 4304,
     /*  498254 */     GIR_EraseRootFromParent_Done,
     /*  498255 */   // Label 8441: @498255
     /*  498255 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(498330), // Rule ID 4305 //
     /*  498260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  498309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498328 */     GIR_RootConstrainSelectedInstOperands,
     /*  498329 */     // GIR_Coverage, 4305,
     /*  498329 */     GIR_EraseRootFromParent_Done,
     /*  498330 */   // Label 8442: @498330
     /*  498330 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(498405), // Rule ID 4308 //
     /*  498335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  498381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  498384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498403 */     GIR_RootConstrainSelectedInstOperands,
     /*  498404 */     // GIR_Coverage, 4308,
     /*  498404 */     GIR_EraseRootFromParent_Done,
     /*  498405 */   // Label 8443: @498405
     /*  498405 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(498480), // Rule ID 4309 //
     /*  498410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  498459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498478 */     GIR_RootConstrainSelectedInstOperands,
     /*  498479 */     // GIR_Coverage, 4309,
     /*  498479 */     GIR_EraseRootFromParent_Done,
     /*  498480 */   // Label 8444: @498480
     /*  498480 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(498555), // Rule ID 4312 //
     /*  498485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  498534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498553 */     GIR_RootConstrainSelectedInstOperands,
     /*  498554 */     // GIR_Coverage, 4312,
     /*  498554 */     GIR_EraseRootFromParent_Done,
     /*  498555 */   // Label 8445: @498555
     /*  498555 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(498630), // Rule ID 4313 //
     /*  498560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  498609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498628 */     GIR_RootConstrainSelectedInstOperands,
     /*  498629 */     // GIR_Coverage, 4313,
     /*  498629 */     GIR_EraseRootFromParent_Done,
     /*  498630 */   // Label 8446: @498630
     /*  498630 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(498705), // Rule ID 4316 //
     /*  498635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  498684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498703 */     GIR_RootConstrainSelectedInstOperands,
     /*  498704 */     // GIR_Coverage, 4316,
     /*  498704 */     GIR_EraseRootFromParent_Done,
     /*  498705 */   // Label 8447: @498705
     /*  498705 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(498780), // Rule ID 4317 //
     /*  498710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  498759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498778 */     GIR_RootConstrainSelectedInstOperands,
     /*  498779 */     // GIR_Coverage, 4317,
     /*  498779 */     GIR_EraseRootFromParent_Done,
     /*  498780 */   // Label 8448: @498780
     /*  498780 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(498855), // Rule ID 4320 //
     /*  498785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  498802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498831 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  498834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498853 */     GIR_RootConstrainSelectedInstOperands,
     /*  498854 */     // GIR_Coverage, 4320,
     /*  498854 */     GIR_EraseRootFromParent_Done,
     /*  498855 */   // Label 8449: @498855
     /*  498855 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(498930), // Rule ID 4321 //
     /*  498860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  498877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  498909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498928 */     GIR_RootConstrainSelectedInstOperands,
     /*  498929 */     // GIR_Coverage, 4321,
     /*  498929 */     GIR_EraseRootFromParent_Done,
     /*  498930 */   // Label 8450: @498930
     /*  498930 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(499005), // Rule ID 4324 //
     /*  498935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  498952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  498974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  498984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499003 */     GIR_RootConstrainSelectedInstOperands,
     /*  499004 */     // GIR_Coverage, 4324,
     /*  499004 */     GIR_EraseRootFromParent_Done,
     /*  499005 */   // Label 8451: @499005
     /*  499005 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(499080), // Rule ID 4325 //
     /*  499010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  499056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  499059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499078 */     GIR_RootConstrainSelectedInstOperands,
     /*  499079 */     // GIR_Coverage, 4325,
     /*  499079 */     GIR_EraseRootFromParent_Done,
     /*  499080 */   // Label 8452: @499080
     /*  499080 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(499155), // Rule ID 4330 //
     /*  499085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  499102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  499105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  499134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499153 */     GIR_RootConstrainSelectedInstOperands,
     /*  499154 */     // GIR_Coverage, 4330,
     /*  499154 */     GIR_EraseRootFromParent_Done,
     /*  499155 */   // Label 8453: @499155
     /*  499155 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(499230), // Rule ID 4331 //
     /*  499160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  499177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  499180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  499209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499228 */     GIR_RootConstrainSelectedInstOperands,
     /*  499229 */     // GIR_Coverage, 4331,
     /*  499229 */     GIR_EraseRootFromParent_Done,
     /*  499230 */   // Label 8454: @499230
     /*  499230 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(499305), // Rule ID 4340 //
     /*  499235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  499252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  499255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499281 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  499284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499303 */     GIR_RootConstrainSelectedInstOperands,
     /*  499304 */     // GIR_Coverage, 4340,
     /*  499304 */     GIR_EraseRootFromParent_Done,
     /*  499305 */   // Label 8455: @499305
     /*  499305 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(499380), // Rule ID 4341 //
     /*  499310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  499327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  499330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  499359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499378 */     GIR_RootConstrainSelectedInstOperands,
     /*  499379 */     // GIR_Coverage, 4341,
     /*  499379 */     GIR_EraseRootFromParent_Done,
     /*  499380 */   // Label 8456: @499380
     /*  499380 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(499455), // Rule ID 4350 //
     /*  499385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  499396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  499399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  499402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  499405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  499434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499453 */     GIR_RootConstrainSelectedInstOperands,
     /*  499454 */     // GIR_Coverage, 4350,
     /*  499454 */     GIR_EraseRootFromParent_Done,
     /*  499455 */   // Label 8457: @499455
     /*  499455 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(499530), // Rule ID 4351 //
     /*  499460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  499471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  499474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  499477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  499480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  499509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499528 */     GIR_RootConstrainSelectedInstOperands,
     /*  499529 */     // GIR_Coverage, 4351,
     /*  499529 */     GIR_EraseRootFromParent_Done,
     /*  499530 */   // Label 8458: @499530
     /*  499530 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(499605), // Rule ID 4360 //
     /*  499535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  499546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  499549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  499552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  499555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  499584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499603 */     GIR_RootConstrainSelectedInstOperands,
     /*  499604 */     // GIR_Coverage, 4360,
     /*  499604 */     GIR_EraseRootFromParent_Done,
     /*  499605 */   // Label 8459: @499605
     /*  499605 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(499680), // Rule ID 4361 //
     /*  499610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  499621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  499624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  499627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  499630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  499659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499678 */     GIR_RootConstrainSelectedInstOperands,
     /*  499679 */     // GIR_Coverage, 4361,
     /*  499679 */     GIR_EraseRootFromParent_Done,
     /*  499680 */   // Label 8460: @499680
     /*  499680 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(499755), // Rule ID 4370 //
     /*  499685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  499696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  499699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  499702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  499705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  499734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499753 */     GIR_RootConstrainSelectedInstOperands,
     /*  499754 */     // GIR_Coverage, 4370,
     /*  499754 */     GIR_EraseRootFromParent_Done,
     /*  499755 */   // Label 8461: @499755
     /*  499755 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(499830), // Rule ID 4371 //
     /*  499760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  499771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  499774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  499777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  499780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  499809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499828 */     GIR_RootConstrainSelectedInstOperands,
     /*  499829 */     // GIR_Coverage, 4371,
     /*  499829 */     GIR_EraseRootFromParent_Done,
     /*  499830 */   // Label 8462: @499830
     /*  499830 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(499905), // Rule ID 4380 //
     /*  499835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  499846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  499849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  499852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  499855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  499884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499903 */     GIR_RootConstrainSelectedInstOperands,
     /*  499904 */     // GIR_Coverage, 4380,
     /*  499904 */     GIR_EraseRootFromParent_Done,
     /*  499905 */   // Label 8463: @499905
     /*  499905 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(499980), // Rule ID 4381 //
     /*  499910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  499921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  499924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  499927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  499930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  499959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499978 */     GIR_RootConstrainSelectedInstOperands,
     /*  499979 */     // GIR_Coverage, 4381,
     /*  499979 */     GIR_EraseRootFromParent_Done,
     /*  499980 */   // Label 8464: @499980
     /*  499980 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(500055), // Rule ID 4390 //
     /*  499985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  499993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  500005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  500034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500053 */     GIR_RootConstrainSelectedInstOperands,
     /*  500054 */     // GIR_Coverage, 4390,
     /*  500054 */     GIR_EraseRootFromParent_Done,
     /*  500055 */   // Label 8465: @500055
     /*  500055 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(500130), // Rule ID 4391 //
     /*  500060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  500080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  500109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500128 */     GIR_RootConstrainSelectedInstOperands,
     /*  500129 */     // GIR_Coverage, 4391,
     /*  500129 */     GIR_EraseRootFromParent_Done,
     /*  500130 */   // Label 8466: @500130
     /*  500130 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(500205), // Rule ID 4400 //
     /*  500135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  500155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  500184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500203 */     GIR_RootConstrainSelectedInstOperands,
     /*  500204 */     // GIR_Coverage, 4400,
     /*  500204 */     GIR_EraseRootFromParent_Done,
     /*  500205 */   // Label 8467: @500205
     /*  500205 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(500280), // Rule ID 4401 //
     /*  500210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  500230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  500259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500278 */     GIR_RootConstrainSelectedInstOperands,
     /*  500279 */     // GIR_Coverage, 4401,
     /*  500279 */     GIR_EraseRootFromParent_Done,
     /*  500280 */   // Label 8468: @500280
     /*  500280 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(500355), // Rule ID 4410 //
     /*  500285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  500305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  500334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500353 */     GIR_RootConstrainSelectedInstOperands,
     /*  500354 */     // GIR_Coverage, 4410,
     /*  500354 */     GIR_EraseRootFromParent_Done,
     /*  500355 */   // Label 8469: @500355
     /*  500355 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(500430), // Rule ID 4411 //
     /*  500360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  500380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  500409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500428 */     GIR_RootConstrainSelectedInstOperands,
     /*  500429 */     // GIR_Coverage, 4411,
     /*  500429 */     GIR_EraseRootFromParent_Done,
     /*  500430 */   // Label 8470: @500430
     /*  500430 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(500505), // Rule ID 4420 //
     /*  500435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  500455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  500484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500503 */     GIR_RootConstrainSelectedInstOperands,
     /*  500504 */     // GIR_Coverage, 4420,
     /*  500504 */     GIR_EraseRootFromParent_Done,
     /*  500505 */   // Label 8471: @500505
     /*  500505 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(500580), // Rule ID 4421 //
     /*  500510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  500530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  500559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500578 */     GIR_RootConstrainSelectedInstOperands,
     /*  500579 */     // GIR_Coverage, 4421,
     /*  500579 */     GIR_EraseRootFromParent_Done,
     /*  500580 */   // Label 8472: @500580
     /*  500580 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(500655), // Rule ID 4430 //
     /*  500585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  500605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  500634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500653 */     GIR_RootConstrainSelectedInstOperands,
     /*  500654 */     // GIR_Coverage, 4430,
     /*  500654 */     GIR_EraseRootFromParent_Done,
     /*  500655 */   // Label 8473: @500655
     /*  500655 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(500730), // Rule ID 4431 //
     /*  500660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  500680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500706 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  500709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500728 */     GIR_RootConstrainSelectedInstOperands,
     /*  500729 */     // GIR_Coverage, 4431,
     /*  500729 */     GIR_EraseRootFromParent_Done,
     /*  500730 */   // Label 8474: @500730
     /*  500730 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(500805), // Rule ID 4440 //
     /*  500735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  500738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  500752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  500755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  500781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  500784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500803 */     GIR_RootConstrainSelectedInstOperands,
     /*  500804 */     // GIR_Coverage, 4440,
     /*  500804 */     GIR_EraseRootFromParent_Done,
     /*  500805 */   // Label 8475: @500805
     /*  500805 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(500880), // Rule ID 4441 //
     /*  500810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  500813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  500827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  500830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  500856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  500859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500878 */     GIR_RootConstrainSelectedInstOperands,
     /*  500879 */     // GIR_Coverage, 4441,
     /*  500879 */     GIR_EraseRootFromParent_Done,
     /*  500880 */   // Label 8476: @500880
     /*  500880 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(500955), // Rule ID 4450 //
     /*  500885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  500888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  500896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  500899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  500902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  500905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  500931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  500934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500953 */     GIR_RootConstrainSelectedInstOperands,
     /*  500954 */     // GIR_Coverage, 4450,
     /*  500954 */     GIR_EraseRootFromParent_Done,
     /*  500955 */   // Label 8477: @500955
     /*  500955 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(501030), // Rule ID 4451 //
     /*  500960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  500963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  500968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  500971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  500974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  500977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  500980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  501006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  501009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501028 */     GIR_RootConstrainSelectedInstOperands,
     /*  501029 */     // GIR_Coverage, 4451,
     /*  501029 */     GIR_EraseRootFromParent_Done,
     /*  501030 */   // Label 8478: @501030
     /*  501030 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(501105), // Rule ID 4460 //
     /*  501035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  501038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  501046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  501049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  501052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  501055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  501081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  501084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501103 */     GIR_RootConstrainSelectedInstOperands,
     /*  501104 */     // GIR_Coverage, 4460,
     /*  501104 */     GIR_EraseRootFromParent_Done,
     /*  501105 */   // Label 8479: @501105
     /*  501105 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(501180), // Rule ID 4461 //
     /*  501110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  501113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  501121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  501124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  501127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  501130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501156 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  501156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  501159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501178 */     GIR_RootConstrainSelectedInstOperands,
     /*  501179 */     // GIR_Coverage, 4461,
     /*  501179 */     GIR_EraseRootFromParent_Done,
     /*  501180 */   // Label 8480: @501180
     /*  501180 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(501255), // Rule ID 4470 //
     /*  501185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  501188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  501196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  501199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  501202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  501205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  501231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  501234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501253 */     GIR_RootConstrainSelectedInstOperands,
     /*  501254 */     // GIR_Coverage, 4470,
     /*  501254 */     GIR_EraseRootFromParent_Done,
     /*  501255 */   // Label 8481: @501255
     /*  501255 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(501330), // Rule ID 4471 //
     /*  501260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  501263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  501271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  501274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  501277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  501280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  501306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  501309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501328 */     GIR_RootConstrainSelectedInstOperands,
     /*  501329 */     // GIR_Coverage, 4471,
     /*  501329 */     GIR_EraseRootFromParent_Done,
     /*  501330 */   // Label 8482: @501330
     /*  501330 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(501405), // Rule ID 4478 //
     /*  501335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  501346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  501349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  501352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501381 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  501384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501403 */     GIR_RootConstrainSelectedInstOperands,
     /*  501404 */     // GIR_Coverage, 4478,
     /*  501404 */     GIR_EraseRootFromParent_Done,
     /*  501405 */   // Label 8483: @501405
     /*  501405 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(501480), // Rule ID 4479 //
     /*  501410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  501421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  501424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  501427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  501459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501478 */     GIR_RootConstrainSelectedInstOperands,
     /*  501479 */     // GIR_Coverage, 4479,
     /*  501479 */     GIR_EraseRootFromParent_Done,
     /*  501480 */   // Label 8484: @501480
     /*  501480 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(501555), // Rule ID 4482 //
     /*  501485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  501496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  501499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  501502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  501534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501553 */     GIR_RootConstrainSelectedInstOperands,
     /*  501554 */     // GIR_Coverage, 4482,
     /*  501554 */     GIR_EraseRootFromParent_Done,
     /*  501555 */   // Label 8485: @501555
     /*  501555 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(501630), // Rule ID 4483 //
     /*  501560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  501571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  501574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  501577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  501609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501628 */     GIR_RootConstrainSelectedInstOperands,
     /*  501629 */     // GIR_Coverage, 4483,
     /*  501629 */     GIR_EraseRootFromParent_Done,
     /*  501630 */   // Label 8486: @501630
     /*  501630 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(501705), // Rule ID 4486 //
     /*  501635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  501646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  501649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  501652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  501684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501703 */     GIR_RootConstrainSelectedInstOperands,
     /*  501704 */     // GIR_Coverage, 4486,
     /*  501704 */     GIR_EraseRootFromParent_Done,
     /*  501705 */   // Label 8487: @501705
     /*  501705 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(501780), // Rule ID 4487 //
     /*  501710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  501721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  501724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  501727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  501759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501778 */     GIR_RootConstrainSelectedInstOperands,
     /*  501779 */     // GIR_Coverage, 4487,
     /*  501779 */     GIR_EraseRootFromParent_Done,
     /*  501780 */   // Label 8488: @501780
     /*  501780 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(501855), // Rule ID 4490 //
     /*  501785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  501802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  501834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501853 */     GIR_RootConstrainSelectedInstOperands,
     /*  501854 */     // GIR_Coverage, 4490,
     /*  501854 */     GIR_EraseRootFromParent_Done,
     /*  501855 */   // Label 8489: @501855
     /*  501855 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(501930), // Rule ID 4491 //
     /*  501860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  501877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  501909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501928 */     GIR_RootConstrainSelectedInstOperands,
     /*  501929 */     // GIR_Coverage, 4491,
     /*  501929 */     GIR_EraseRootFromParent_Done,
     /*  501930 */   // Label 8490: @501930
     /*  501930 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(502005), // Rule ID 4494 //
     /*  501935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  501952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  501984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502003 */     GIR_RootConstrainSelectedInstOperands,
     /*  502004 */     // GIR_Coverage, 4494,
     /*  502004 */     GIR_EraseRootFromParent_Done,
     /*  502005 */   // Label 8491: @502005
     /*  502005 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(502080), // Rule ID 4495 //
     /*  502010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  502021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  502024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  502027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  502056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  502059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502078 */     GIR_RootConstrainSelectedInstOperands,
     /*  502079 */     // GIR_Coverage, 4495,
     /*  502079 */     GIR_EraseRootFromParent_Done,
     /*  502080 */   // Label 8492: @502080
     /*  502080 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(502155), // Rule ID 4498 //
     /*  502085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  502102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  502131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  502134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502153 */     GIR_RootConstrainSelectedInstOperands,
     /*  502154 */     // GIR_Coverage, 4498,
     /*  502154 */     GIR_EraseRootFromParent_Done,
     /*  502155 */   // Label 8493: @502155
     /*  502155 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(502230), // Rule ID 4499 //
     /*  502160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  502177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  502206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  502209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502228 */     GIR_RootConstrainSelectedInstOperands,
     /*  502229 */     // GIR_Coverage, 4499,
     /*  502229 */     GIR_EraseRootFromParent_Done,
     /*  502230 */   // Label 8494: @502230
     /*  502230 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(502305), // Rule ID 4502 //
     /*  502235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  502284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502303 */     GIR_RootConstrainSelectedInstOperands,
     /*  502304 */     // GIR_Coverage, 4502,
     /*  502304 */     GIR_EraseRootFromParent_Done,
     /*  502305 */   // Label 8495: @502305
     /*  502305 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(502380), // Rule ID 4503 //
     /*  502310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  502359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502378 */     GIR_RootConstrainSelectedInstOperands,
     /*  502379 */     // GIR_Coverage, 4503,
     /*  502379 */     GIR_EraseRootFromParent_Done,
     /*  502380 */   // Label 8496: @502380
     /*  502380 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(502455), // Rule ID 4506 //
     /*  502385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  502434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502453 */     GIR_RootConstrainSelectedInstOperands,
     /*  502454 */     // GIR_Coverage, 4506,
     /*  502454 */     GIR_EraseRootFromParent_Done,
     /*  502455 */   // Label 8497: @502455
     /*  502455 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(502530), // Rule ID 4507 //
     /*  502460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  502509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502528 */     GIR_RootConstrainSelectedInstOperands,
     /*  502529 */     // GIR_Coverage, 4507,
     /*  502529 */     GIR_EraseRootFromParent_Done,
     /*  502530 */   // Label 8498: @502530
     /*  502530 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(502605), // Rule ID 4510 //
     /*  502535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  502584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502603 */     GIR_RootConstrainSelectedInstOperands,
     /*  502604 */     // GIR_Coverage, 4510,
     /*  502604 */     GIR_EraseRootFromParent_Done,
     /*  502605 */   // Label 8499: @502605
     /*  502605 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(502680), // Rule ID 4511 //
     /*  502610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  502659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502678 */     GIR_RootConstrainSelectedInstOperands,
     /*  502679 */     // GIR_Coverage, 4511,
     /*  502679 */     GIR_EraseRootFromParent_Done,
     /*  502680 */   // Label 8500: @502680
     /*  502680 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(502755), // Rule ID 4514 //
     /*  502685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502731 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  502734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502753 */     GIR_RootConstrainSelectedInstOperands,
     /*  502754 */     // GIR_Coverage, 4514,
     /*  502754 */     GIR_EraseRootFromParent_Done,
     /*  502755 */   // Label 8501: @502755
     /*  502755 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(502830), // Rule ID 4515 //
     /*  502760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  502809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502828 */     GIR_RootConstrainSelectedInstOperands,
     /*  502829 */     // GIR_Coverage, 4515,
     /*  502829 */     GIR_EraseRootFromParent_Done,
     /*  502830 */   // Label 8502: @502830
     /*  502830 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(502905), // Rule ID 4518 //
     /*  502835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  502884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502903 */     GIR_RootConstrainSelectedInstOperands,
     /*  502904 */     // GIR_Coverage, 4518,
     /*  502904 */     GIR_EraseRootFromParent_Done,
     /*  502905 */   // Label 8503: @502905
     /*  502905 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(502980), // Rule ID 4519 //
     /*  502910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  502949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  502959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502978 */     GIR_RootConstrainSelectedInstOperands,
     /*  502979 */     // GIR_Coverage, 4519,
     /*  502979 */     GIR_EraseRootFromParent_Done,
     /*  502980 */   // Label 8504: @502980
     /*  502980 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(503055), // Rule ID 4522 //
     /*  502985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  502988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  502996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  502999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  503002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  503034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503053 */     GIR_RootConstrainSelectedInstOperands,
     /*  503054 */     // GIR_Coverage, 4522,
     /*  503054 */     GIR_EraseRootFromParent_Done,
     /*  503055 */   // Label 8505: @503055
     /*  503055 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(503130), // Rule ID 4523 //
     /*  503060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  503071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  503074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  503077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  503109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503128 */     GIR_RootConstrainSelectedInstOperands,
     /*  503129 */     // GIR_Coverage, 4523,
     /*  503129 */     GIR_EraseRootFromParent_Done,
     /*  503130 */   // Label 8506: @503130
     /*  503130 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(503205), // Rule ID 4526 //
     /*  503135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  503146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  503149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  503152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  503184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503203 */     GIR_RootConstrainSelectedInstOperands,
     /*  503204 */     // GIR_Coverage, 4526,
     /*  503204 */     GIR_EraseRootFromParent_Done,
     /*  503205 */   // Label 8507: @503205
     /*  503205 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(503280), // Rule ID 4527 //
     /*  503210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  503221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  503224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  503227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  503259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503278 */     GIR_RootConstrainSelectedInstOperands,
     /*  503279 */     // GIR_Coverage, 4527,
     /*  503279 */     GIR_EraseRootFromParent_Done,
     /*  503280 */   // Label 8508: @503280
     /*  503280 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(503355), // Rule ID 4530 //
     /*  503285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  503296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  503299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  503302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  503334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503353 */     GIR_RootConstrainSelectedInstOperands,
     /*  503354 */     // GIR_Coverage, 4530,
     /*  503354 */     GIR_EraseRootFromParent_Done,
     /*  503355 */   // Label 8509: @503355
     /*  503355 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(503430), // Rule ID 4531 //
     /*  503360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  503371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  503374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  503377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  503409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503428 */     GIR_RootConstrainSelectedInstOperands,
     /*  503429 */     // GIR_Coverage, 4531,
     /*  503429 */     GIR_EraseRootFromParent_Done,
     /*  503430 */   // Label 8510: @503430
     /*  503430 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(503505), // Rule ID 4534 //
     /*  503435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  503446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  503449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  503452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503481 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  503484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503503 */     GIR_RootConstrainSelectedInstOperands,
     /*  503504 */     // GIR_Coverage, 4534,
     /*  503504 */     GIR_EraseRootFromParent_Done,
     /*  503505 */   // Label 8511: @503505
     /*  503505 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(503580), // Rule ID 4535 //
     /*  503510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  503521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  503524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  503527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  503559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503578 */     GIR_RootConstrainSelectedInstOperands,
     /*  503579 */     // GIR_Coverage, 4535,
     /*  503579 */     GIR_EraseRootFromParent_Done,
     /*  503580 */   // Label 8512: @503580
     /*  503580 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(503655), // Rule ID 4540 //
     /*  503585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  503596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  503599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  503602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  503605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  503634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503653 */     GIR_RootConstrainSelectedInstOperands,
     /*  503654 */     // GIR_Coverage, 4540,
     /*  503654 */     GIR_EraseRootFromParent_Done,
     /*  503655 */   // Label 8513: @503655
     /*  503655 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(503730), // Rule ID 4541 //
     /*  503660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  503671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  503674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  503677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  503680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  503706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  503709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503728 */     GIR_RootConstrainSelectedInstOperands,
     /*  503729 */     // GIR_Coverage, 4541,
     /*  503729 */     GIR_EraseRootFromParent_Done,
     /*  503730 */   // Label 8514: @503730
     /*  503730 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(503805), // Rule ID 4550 //
     /*  503735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  503746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  503749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  503752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  503755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  503784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503803 */     GIR_RootConstrainSelectedInstOperands,
     /*  503804 */     // GIR_Coverage, 4550,
     /*  503804 */     GIR_EraseRootFromParent_Done,
     /*  503805 */   // Label 8515: @503805
     /*  503805 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(503880), // Rule ID 4551 //
     /*  503810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  503821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  503824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  503827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  503830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  503856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  503859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503878 */     GIR_RootConstrainSelectedInstOperands,
     /*  503879 */     // GIR_Coverage, 4551,
     /*  503879 */     GIR_EraseRootFromParent_Done,
     /*  503880 */   // Label 8516: @503880
     /*  503880 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(503955), // Rule ID 4560 //
     /*  503885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  503896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  503899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  503902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  503905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  503934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503953 */     GIR_RootConstrainSelectedInstOperands,
     /*  503954 */     // GIR_Coverage, 4560,
     /*  503954 */     GIR_EraseRootFromParent_Done,
     /*  503955 */   // Label 8517: @503955
     /*  503955 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(504030), // Rule ID 4561 //
     /*  503960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  503968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  503971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  503974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  503977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  503980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  504009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504028 */     GIR_RootConstrainSelectedInstOperands,
     /*  504029 */     // GIR_Coverage, 4561,
     /*  504029 */     GIR_EraseRootFromParent_Done,
     /*  504030 */   // Label 8518: @504030
     /*  504030 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(504105), // Rule ID 4570 //
     /*  504035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  504046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  504049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  504052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  504055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  504081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  504084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504103 */     GIR_RootConstrainSelectedInstOperands,
     /*  504104 */     // GIR_Coverage, 4570,
     /*  504104 */     GIR_EraseRootFromParent_Done,
     /*  504105 */   // Label 8519: @504105
     /*  504105 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(504180), // Rule ID 4571 //
     /*  504110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  504121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  504124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  504127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  504130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  504159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504178 */     GIR_RootConstrainSelectedInstOperands,
     /*  504179 */     // GIR_Coverage, 4571,
     /*  504179 */     GIR_EraseRootFromParent_Done,
     /*  504180 */   // Label 8520: @504180
     /*  504180 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(504255), // Rule ID 4580 //
     /*  504185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  504196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  504199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  504202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  504205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504231 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  504231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  504234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504253 */     GIR_RootConstrainSelectedInstOperands,
     /*  504254 */     // GIR_Coverage, 4580,
     /*  504254 */     GIR_EraseRootFromParent_Done,
     /*  504255 */   // Label 8521: @504255
     /*  504255 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(504330), // Rule ID 4581 //
     /*  504260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  504271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  504274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  504277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  504280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  504309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504328 */     GIR_RootConstrainSelectedInstOperands,
     /*  504329 */     // GIR_Coverage, 4581,
     /*  504329 */     GIR_EraseRootFromParent_Done,
     /*  504330 */   // Label 8522: @504330
     /*  504330 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(504405), // Rule ID 4590 //
     /*  504335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  504346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  504349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  504352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  504355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  504381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  504384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504403 */     GIR_RootConstrainSelectedInstOperands,
     /*  504404 */     // GIR_Coverage, 4590,
     /*  504404 */     GIR_EraseRootFromParent_Done,
     /*  504405 */   // Label 8523: @504405
     /*  504405 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(504480), // Rule ID 4591 //
     /*  504410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  504421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  504424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  504427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  504430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  504459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504478 */     GIR_RootConstrainSelectedInstOperands,
     /*  504479 */     // GIR_Coverage, 4591,
     /*  504479 */     GIR_EraseRootFromParent_Done,
     /*  504480 */   // Label 8524: @504480
     /*  504480 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(504555), // Rule ID 4600 //
     /*  504485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  504505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  504534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504553 */     GIR_RootConstrainSelectedInstOperands,
     /*  504554 */     // GIR_Coverage, 4600,
     /*  504554 */     GIR_EraseRootFromParent_Done,
     /*  504555 */   // Label 8525: @504555
     /*  504555 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(504630), // Rule ID 4601 //
     /*  504560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  504580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  504609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504628 */     GIR_RootConstrainSelectedInstOperands,
     /*  504629 */     // GIR_Coverage, 4601,
     /*  504629 */     GIR_EraseRootFromParent_Done,
     /*  504630 */   // Label 8526: @504630
     /*  504630 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(504705), // Rule ID 4610 //
     /*  504635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  504655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  504684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504703 */     GIR_RootConstrainSelectedInstOperands,
     /*  504704 */     // GIR_Coverage, 4610,
     /*  504704 */     GIR_EraseRootFromParent_Done,
     /*  504705 */   // Label 8527: @504705
     /*  504705 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(504780), // Rule ID 4611 //
     /*  504710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  504730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  504759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504778 */     GIR_RootConstrainSelectedInstOperands,
     /*  504779 */     // GIR_Coverage, 4611,
     /*  504779 */     GIR_EraseRootFromParent_Done,
     /*  504780 */   // Label 8528: @504780
     /*  504780 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(504855), // Rule ID 4620 //
     /*  504785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  504805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  504834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504853 */     GIR_RootConstrainSelectedInstOperands,
     /*  504854 */     // GIR_Coverage, 4620,
     /*  504854 */     GIR_EraseRootFromParent_Done,
     /*  504855 */   // Label 8529: @504855
     /*  504855 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(504930), // Rule ID 4621 //
     /*  504860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  504880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  504909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504928 */     GIR_RootConstrainSelectedInstOperands,
     /*  504929 */     // GIR_Coverage, 4621,
     /*  504929 */     GIR_EraseRootFromParent_Done,
     /*  504930 */   // Label 8530: @504930
     /*  504930 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(505005), // Rule ID 4630 //
     /*  504935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  504943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  504955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  504984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505003 */     GIR_RootConstrainSelectedInstOperands,
     /*  505004 */     // GIR_Coverage, 4630,
     /*  505004 */     GIR_EraseRootFromParent_Done,
     /*  505005 */   // Label 8531: @505005
     /*  505005 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(505080), // Rule ID 4631 //
     /*  505010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  505030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  505056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  505059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505078 */     GIR_RootConstrainSelectedInstOperands,
     /*  505079 */     // GIR_Coverage, 4631,
     /*  505079 */     GIR_EraseRootFromParent_Done,
     /*  505080 */   // Label 8532: @505080
     /*  505080 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(505155), // Rule ID 4640 //
     /*  505085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  505088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  505105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  505131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  505134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505153 */     GIR_RootConstrainSelectedInstOperands,
     /*  505154 */     // GIR_Coverage, 4640,
     /*  505154 */     GIR_EraseRootFromParent_Done,
     /*  505155 */   // Label 8533: @505155
     /*  505155 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(505230), // Rule ID 4641 //
     /*  505160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  505180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  505206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  505209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505228 */     GIR_RootConstrainSelectedInstOperands,
     /*  505229 */     // GIR_Coverage, 4641,
     /*  505229 */     GIR_EraseRootFromParent_Done,
     /*  505230 */   // Label 8534: @505230
     /*  505230 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(505305), // Rule ID 4650 //
     /*  505235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  505246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  505249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  505252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  505255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  505284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505303 */     GIR_RootConstrainSelectedInstOperands,
     /*  505304 */     // GIR_Coverage, 4650,
     /*  505304 */     GIR_EraseRootFromParent_Done,
     /*  505305 */   // Label 8535: @505305
     /*  505305 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(505380), // Rule ID 4651 //
     /*  505310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  505321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  505324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  505327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  505330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505356 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  505359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505378 */     GIR_RootConstrainSelectedInstOperands,
     /*  505379 */     // GIR_Coverage, 4651,
     /*  505379 */     GIR_EraseRootFromParent_Done,
     /*  505380 */   // Label 8536: @505380
     /*  505380 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(505455), // Rule ID 4660 //
     /*  505385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  505396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  505399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  505402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  505405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  505434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505453 */     GIR_RootConstrainSelectedInstOperands,
     /*  505454 */     // GIR_Coverage, 4660,
     /*  505454 */     GIR_EraseRootFromParent_Done,
     /*  505455 */   // Label 8537: @505455
     /*  505455 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(505530), // Rule ID 4661 //
     /*  505460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  505471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  505474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  505477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  505480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  505509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505528 */     GIR_RootConstrainSelectedInstOperands,
     /*  505529 */     // GIR_Coverage, 4661,
     /*  505529 */     GIR_EraseRootFromParent_Done,
     /*  505530 */   // Label 8538: @505530
     /*  505530 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(505605), // Rule ID 4670 //
     /*  505535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  505546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  505549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  505552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  505555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  505584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505603 */     GIR_RootConstrainSelectedInstOperands,
     /*  505604 */     // GIR_Coverage, 4670,
     /*  505604 */     GIR_EraseRootFromParent_Done,
     /*  505605 */   // Label 8539: @505605
     /*  505605 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(505680), // Rule ID 4671 //
     /*  505610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  505621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  505624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  505627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  505630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  505659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505678 */     GIR_RootConstrainSelectedInstOperands,
     /*  505679 */     // GIR_Coverage, 4671,
     /*  505679 */     GIR_EraseRootFromParent_Done,
     /*  505680 */   // Label 8540: @505680
     /*  505680 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(505755), // Rule ID 4680 //
     /*  505685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  505696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  505699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  505702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  505705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505731 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  505734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505753 */     GIR_RootConstrainSelectedInstOperands,
     /*  505754 */     // GIR_Coverage, 4680,
     /*  505754 */     GIR_EraseRootFromParent_Done,
     /*  505755 */   // Label 8541: @505755
     /*  505755 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(505830), // Rule ID 4681 //
     /*  505760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  505771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  505774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  505777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  505780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  505809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505828 */     GIR_RootConstrainSelectedInstOperands,
     /*  505829 */     // GIR_Coverage, 4681,
     /*  505829 */     GIR_EraseRootFromParent_Done,
     /*  505830 */   // Label 8542: @505830
     /*  505830 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(505905), // Rule ID 4688 //
     /*  505835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  505838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  505846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  505849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  505852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  505881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  505884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  505900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505903 */     GIR_RootConstrainSelectedInstOperands,
     /*  505904 */     // GIR_Coverage, 4688,
     /*  505904 */     GIR_EraseRootFromParent_Done,
     /*  505905 */   // Label 8543: @505905
     /*  505905 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(505980), // Rule ID 4689 //
     /*  505910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  505921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  505924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  505927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  505956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  505959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  505975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505978 */     GIR_RootConstrainSelectedInstOperands,
     /*  505979 */     // GIR_Coverage, 4689,
     /*  505979 */     GIR_EraseRootFromParent_Done,
     /*  505980 */   // Label 8544: @505980
     /*  505980 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(506055), // Rule ID 4692 //
     /*  505985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  505988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  505996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  505999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  506002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  506034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506053 */     GIR_RootConstrainSelectedInstOperands,
     /*  506054 */     // GIR_Coverage, 4692,
     /*  506054 */     GIR_EraseRootFromParent_Done,
     /*  506055 */   // Label 8545: @506055
     /*  506055 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(506130), // Rule ID 4693 //
     /*  506060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  506071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  506074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  506077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  506109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506128 */     GIR_RootConstrainSelectedInstOperands,
     /*  506129 */     // GIR_Coverage, 4693,
     /*  506129 */     GIR_EraseRootFromParent_Done,
     /*  506130 */   // Label 8546: @506130
     /*  506130 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(506205), // Rule ID 4696 //
     /*  506135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  506146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  506149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  506152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  506184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506203 */     GIR_RootConstrainSelectedInstOperands,
     /*  506204 */     // GIR_Coverage, 4696,
     /*  506204 */     GIR_EraseRootFromParent_Done,
     /*  506205 */   // Label 8547: @506205
     /*  506205 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(506280), // Rule ID 4697 //
     /*  506210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  506221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  506224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  506227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  506259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506278 */     GIR_RootConstrainSelectedInstOperands,
     /*  506279 */     // GIR_Coverage, 4697,
     /*  506279 */     GIR_EraseRootFromParent_Done,
     /*  506280 */   // Label 8548: @506280
     /*  506280 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(506355), // Rule ID 4700 //
     /*  506285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  506296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  506299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  506302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  506334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506353 */     GIR_RootConstrainSelectedInstOperands,
     /*  506354 */     // GIR_Coverage, 4700,
     /*  506354 */     GIR_EraseRootFromParent_Done,
     /*  506355 */   // Label 8549: @506355
     /*  506355 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(506430), // Rule ID 4701 //
     /*  506360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  506371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  506374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  506377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  506409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506428 */     GIR_RootConstrainSelectedInstOperands,
     /*  506429 */     // GIR_Coverage, 4701,
     /*  506429 */     GIR_EraseRootFromParent_Done,
     /*  506430 */   // Label 8550: @506430
     /*  506430 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(506505), // Rule ID 4704 //
     /*  506435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  506446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  506449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  506452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506481 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  506484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506503 */     GIR_RootConstrainSelectedInstOperands,
     /*  506504 */     // GIR_Coverage, 4704,
     /*  506504 */     GIR_EraseRootFromParent_Done,
     /*  506505 */   // Label 8551: @506505
     /*  506505 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(506580), // Rule ID 4705 //
     /*  506510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  506521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  506524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  506527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  506559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506578 */     GIR_RootConstrainSelectedInstOperands,
     /*  506579 */     // GIR_Coverage, 4705,
     /*  506579 */     GIR_EraseRootFromParent_Done,
     /*  506580 */   // Label 8552: @506580
     /*  506580 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(506655), // Rule ID 4708 //
     /*  506585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  506596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  506599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  506602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  506634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506653 */     GIR_RootConstrainSelectedInstOperands,
     /*  506654 */     // GIR_Coverage, 4708,
     /*  506654 */     GIR_EraseRootFromParent_Done,
     /*  506655 */   // Label 8553: @506655
     /*  506655 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(506730), // Rule ID 4709 //
     /*  506660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  506671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  506674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  506677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  506709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506728 */     GIR_RootConstrainSelectedInstOperands,
     /*  506729 */     // GIR_Coverage, 4709,
     /*  506729 */     GIR_EraseRootFromParent_Done,
     /*  506730 */   // Label 8554: @506730
     /*  506730 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(506805), // Rule ID 4712 //
     /*  506735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  506781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  506784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506803 */     GIR_RootConstrainSelectedInstOperands,
     /*  506804 */     // GIR_Coverage, 4712,
     /*  506804 */     GIR_EraseRootFromParent_Done,
     /*  506805 */   // Label 8555: @506805
     /*  506805 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(506880), // Rule ID 4713 //
     /*  506810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  506856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  506859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506878 */     GIR_RootConstrainSelectedInstOperands,
     /*  506879 */     // GIR_Coverage, 4713,
     /*  506879 */     GIR_EraseRootFromParent_Done,
     /*  506880 */   // Label 8556: @506880
     /*  506880 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(506955), // Rule ID 4716 //
     /*  506885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  506931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  506934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506953 */     GIR_RootConstrainSelectedInstOperands,
     /*  506954 */     // GIR_Coverage, 4716,
     /*  506954 */     GIR_EraseRootFromParent_Done,
     /*  506955 */   // Label 8557: @506955
     /*  506955 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(507030), // Rule ID 4717 //
     /*  506960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  506999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  507009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507028 */     GIR_RootConstrainSelectedInstOperands,
     /*  507029 */     // GIR_Coverage, 4717,
     /*  507029 */     GIR_EraseRootFromParent_Done,
     /*  507030 */   // Label 8558: @507030
     /*  507030 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(507105), // Rule ID 4720 //
     /*  507035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  507084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507103 */     GIR_RootConstrainSelectedInstOperands,
     /*  507104 */     // GIR_Coverage, 4720,
     /*  507104 */     GIR_EraseRootFromParent_Done,
     /*  507105 */   // Label 8559: @507105
     /*  507105 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(507180), // Rule ID 4721 //
     /*  507110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  507159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507178 */     GIR_RootConstrainSelectedInstOperands,
     /*  507179 */     // GIR_Coverage, 4721,
     /*  507179 */     GIR_EraseRootFromParent_Done,
     /*  507180 */   // Label 8560: @507180
     /*  507180 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(507255), // Rule ID 4724 //
     /*  507185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  507234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507253 */     GIR_RootConstrainSelectedInstOperands,
     /*  507254 */     // GIR_Coverage, 4724,
     /*  507254 */     GIR_EraseRootFromParent_Done,
     /*  507255 */   // Label 8561: @507255
     /*  507255 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(507330), // Rule ID 4725 //
     /*  507260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  507309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507328 */     GIR_RootConstrainSelectedInstOperands,
     /*  507329 */     // GIR_Coverage, 4725,
     /*  507329 */     GIR_EraseRootFromParent_Done,
     /*  507330 */   // Label 8562: @507330
     /*  507330 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(507405), // Rule ID 4728 //
     /*  507335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  507384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507403 */     GIR_RootConstrainSelectedInstOperands,
     /*  507404 */     // GIR_Coverage, 4728,
     /*  507404 */     GIR_EraseRootFromParent_Done,
     /*  507405 */   // Label 8563: @507405
     /*  507405 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(507480), // Rule ID 4729 //
     /*  507410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  507459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507478 */     GIR_RootConstrainSelectedInstOperands,
     /*  507479 */     // GIR_Coverage, 4729,
     /*  507479 */     GIR_EraseRootFromParent_Done,
     /*  507480 */   // Label 8564: @507480
     /*  507480 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(507555), // Rule ID 4732 //
     /*  507485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  507496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  507499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  507502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  507534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507553 */     GIR_RootConstrainSelectedInstOperands,
     /*  507554 */     // GIR_Coverage, 4732,
     /*  507554 */     GIR_EraseRootFromParent_Done,
     /*  507555 */   // Label 8565: @507555
     /*  507555 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(507630), // Rule ID 4733 //
     /*  507560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  507571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  507574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  507577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  507609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507628 */     GIR_RootConstrainSelectedInstOperands,
     /*  507629 */     // GIR_Coverage, 4733,
     /*  507629 */     GIR_EraseRootFromParent_Done,
     /*  507630 */   // Label 8566: @507630
     /*  507630 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(507705), // Rule ID 4736 //
     /*  507635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  507646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  507649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  507652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  507684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507703 */     GIR_RootConstrainSelectedInstOperands,
     /*  507704 */     // GIR_Coverage, 4736,
     /*  507704 */     GIR_EraseRootFromParent_Done,
     /*  507705 */   // Label 8567: @507705
     /*  507705 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(507780), // Rule ID 4737 //
     /*  507710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  507721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  507724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  507727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  507759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507778 */     GIR_RootConstrainSelectedInstOperands,
     /*  507779 */     // GIR_Coverage, 4737,
     /*  507779 */     GIR_EraseRootFromParent_Done,
     /*  507780 */   // Label 8568: @507780
     /*  507780 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(507855), // Rule ID 4740 //
     /*  507785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  507796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  507799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  507802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507831 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  507834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507853 */     GIR_RootConstrainSelectedInstOperands,
     /*  507854 */     // GIR_Coverage, 4740,
     /*  507854 */     GIR_EraseRootFromParent_Done,
     /*  507855 */   // Label 8569: @507855
     /*  507855 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(507930), // Rule ID 4741 //
     /*  507860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  507871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  507874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  507877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  507909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507928 */     GIR_RootConstrainSelectedInstOperands,
     /*  507929 */     // GIR_Coverage, 4741,
     /*  507929 */     GIR_EraseRootFromParent_Done,
     /*  507930 */   // Label 8570: @507930
     /*  507930 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(508005), // Rule ID 4744 //
     /*  507935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  507946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  507949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  507952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  507974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  507984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508003 */     GIR_RootConstrainSelectedInstOperands,
     /*  508004 */     // GIR_Coverage, 4744,
     /*  508004 */     GIR_EraseRootFromParent_Done,
     /*  508005 */   // Label 8571: @508005
     /*  508005 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(508080), // Rule ID 4745 //
     /*  508010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  508013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  508021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  508024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  508027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  508056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  508059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508078 */     GIR_RootConstrainSelectedInstOperands,
     /*  508079 */     // GIR_Coverage, 4745,
     /*  508079 */     GIR_EraseRootFromParent_Done,
     /*  508080 */   // Label 8572: @508080
     /*  508080 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(508152), // Rule ID 5098 //
     /*  508085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  508096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  508099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  508102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  508105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  508131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  508134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508150 */     GIR_RootConstrainSelectedInstOperands,
     /*  508151 */     // GIR_Coverage, 5098,
     /*  508151 */     GIR_EraseRootFromParent_Done,
     /*  508152 */   // Label 8573: @508152
     /*  508152 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(508224), // Rule ID 5099 //
     /*  508157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  508168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  508171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  508174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  508177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  508203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  508206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508222 */     GIR_RootConstrainSelectedInstOperands,
     /*  508223 */     // GIR_Coverage, 5099,
     /*  508223 */     GIR_EraseRootFromParent_Done,
     /*  508224 */   // Label 8574: @508224
     /*  508224 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(508296), // Rule ID 5100 //
     /*  508229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  508240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  508243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  508246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  508249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  508275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508294 */     GIR_RootConstrainSelectedInstOperands,
     /*  508295 */     // GIR_Coverage, 5100,
     /*  508295 */     GIR_EraseRootFromParent_Done,
     /*  508296 */   // Label 8575: @508296
     /*  508296 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(508368), // Rule ID 5101 //
     /*  508301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  508312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  508315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  508318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  508321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  508347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508366 */     GIR_RootConstrainSelectedInstOperands,
     /*  508367 */     // GIR_Coverage, 5101,
     /*  508367 */     GIR_EraseRootFromParent_Done,
     /*  508368 */   // Label 8576: @508368
     /*  508368 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(508440), // Rule ID 5102 //
     /*  508373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  508384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  508387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  508390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  508393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508419 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  508419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  508422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508438 */     GIR_RootConstrainSelectedInstOperands,
     /*  508439 */     // GIR_Coverage, 5102,
     /*  508439 */     GIR_EraseRootFromParent_Done,
     /*  508440 */   // Label 8577: @508440
     /*  508440 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(508512), // Rule ID 5103 //
     /*  508445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  508456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  508459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  508462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  508465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  508491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  508494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508510 */     GIR_RootConstrainSelectedInstOperands,
     /*  508511 */     // GIR_Coverage, 5103,
     /*  508511 */     GIR_EraseRootFromParent_Done,
     /*  508512 */   // Label 8578: @508512
     /*  508512 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(508584), // Rule ID 5104 //
     /*  508517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  508528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  508531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  508534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  508537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  508563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508582 */     GIR_RootConstrainSelectedInstOperands,
     /*  508583 */     // GIR_Coverage, 5104,
     /*  508583 */     GIR_EraseRootFromParent_Done,
     /*  508584 */   // Label 8579: @508584
     /*  508584 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(508656), // Rule ID 5105 //
     /*  508589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  508600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  508603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  508606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  508609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  508635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508654 */     GIR_RootConstrainSelectedInstOperands,
     /*  508655 */     // GIR_Coverage, 5105,
     /*  508655 */     GIR_EraseRootFromParent_Done,
     /*  508656 */   // Label 8580: @508656
     /*  508656 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(508728), // Rule ID 5106 //
     /*  508661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  508672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  508681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  508707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508726 */     GIR_RootConstrainSelectedInstOperands,
     /*  508727 */     // GIR_Coverage, 5106,
     /*  508727 */     GIR_EraseRootFromParent_Done,
     /*  508728 */   // Label 8581: @508728
     /*  508728 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(508800), // Rule ID 5107 //
     /*  508733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  508744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  508753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  508779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  508782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508798 */     GIR_RootConstrainSelectedInstOperands,
     /*  508799 */     // GIR_Coverage, 5107,
     /*  508799 */     GIR_EraseRootFromParent_Done,
     /*  508800 */   // Label 8582: @508800
     /*  508800 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(508872), // Rule ID 5108 //
     /*  508805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  508816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  508819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  508822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  508825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  508851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  508854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508870 */     GIR_RootConstrainSelectedInstOperands,
     /*  508871 */     // GIR_Coverage, 5108,
     /*  508871 */     GIR_EraseRootFromParent_Done,
     /*  508872 */   // Label 8583: @508872
     /*  508872 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(508944), // Rule ID 5109 //
     /*  508877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  508888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  508891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  508894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  508897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  508923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  508926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  508930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  508934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508942 */     GIR_RootConstrainSelectedInstOperands,
     /*  508943 */     // GIR_Coverage, 5109,
     /*  508943 */     GIR_EraseRootFromParent_Done,
     /*  508944 */   // Label 8584: @508944
     /*  508944 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(509016), // Rule ID 5110 //
     /*  508949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  508957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  508960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  508963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  508966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  508969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  508988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508995 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  508995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  508998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509014 */     GIR_RootConstrainSelectedInstOperands,
     /*  509015 */     // GIR_Coverage, 5110,
     /*  509015 */     GIR_EraseRootFromParent_Done,
     /*  509016 */   // Label 8585: @509016
     /*  509016 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(509088), // Rule ID 5111 //
     /*  509021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  509032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  509035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  509038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  509041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  509067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  509070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509086 */     GIR_RootConstrainSelectedInstOperands,
     /*  509087 */     // GIR_Coverage, 5111,
     /*  509087 */     GIR_EraseRootFromParent_Done,
     /*  509088 */   // Label 8586: @509088
     /*  509088 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(509160), // Rule ID 5112 //
     /*  509093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  509104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  509113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509139 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  509139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  509142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509158 */     GIR_RootConstrainSelectedInstOperands,
     /*  509159 */     // GIR_Coverage, 5112,
     /*  509159 */     GIR_EraseRootFromParent_Done,
     /*  509160 */   // Label 8587: @509160
     /*  509160 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(509232), // Rule ID 5113 //
     /*  509165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  509176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  509185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  509211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  509214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509230 */     GIR_RootConstrainSelectedInstOperands,
     /*  509231 */     // GIR_Coverage, 5113,
     /*  509231 */     GIR_EraseRootFromParent_Done,
     /*  509232 */   // Label 8588: @509232
     /*  509232 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(509304), // Rule ID 5114 //
     /*  509237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  509240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  509248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  509251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  509254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  509257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509283 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  509283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  509286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509302 */     GIR_RootConstrainSelectedInstOperands,
     /*  509303 */     // GIR_Coverage, 5114,
     /*  509303 */     GIR_EraseRootFromParent_Done,
     /*  509304 */   // Label 8589: @509304
     /*  509304 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(509376), // Rule ID 5115 //
     /*  509309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  509312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  509320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  509323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  509326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  509329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  509355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  509358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509374 */     GIR_RootConstrainSelectedInstOperands,
     /*  509375 */     // GIR_Coverage, 5115,
     /*  509375 */     GIR_EraseRootFromParent_Done,
     /*  509376 */   // Label 8590: @509376
     /*  509376 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(509448), // Rule ID 5116 //
     /*  509381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  509392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  509395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  509398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  509401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509427 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  509427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  509430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509446 */     GIR_RootConstrainSelectedInstOperands,
     /*  509447 */     // GIR_Coverage, 5116,
     /*  509447 */     GIR_EraseRootFromParent_Done,
     /*  509448 */   // Label 8591: @509448
     /*  509448 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(509520), // Rule ID 5117 //
     /*  509453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  509464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  509467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  509470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  509473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509499 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  509499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  509502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509518 */     GIR_RootConstrainSelectedInstOperands,
     /*  509519 */     // GIR_Coverage, 5117,
     /*  509519 */     GIR_EraseRootFromParent_Done,
     /*  509520 */   // Label 8592: @509520
     /*  509520 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(509592), // Rule ID 5118 //
     /*  509525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  509536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  509539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  509542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  509545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509571 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  509571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  509574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509590 */     GIR_RootConstrainSelectedInstOperands,
     /*  509591 */     // GIR_Coverage, 5118,
     /*  509591 */     GIR_EraseRootFromParent_Done,
     /*  509592 */   // Label 8593: @509592
     /*  509592 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(509664), // Rule ID 5119 //
     /*  509597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  509608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  509611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  509614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  509617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509643 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  509643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  509646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509662 */     GIR_RootConstrainSelectedInstOperands,
     /*  509663 */     // GIR_Coverage, 5119,
     /*  509663 */     GIR_EraseRootFromParent_Done,
     /*  509664 */   // Label 8594: @509664
     /*  509664 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(509736), // Rule ID 5120 //
     /*  509669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  509680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  509683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  509686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  509689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509715 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  509715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  509718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509734 */     GIR_RootConstrainSelectedInstOperands,
     /*  509735 */     // GIR_Coverage, 5120,
     /*  509735 */     GIR_EraseRootFromParent_Done,
     /*  509736 */   // Label 8595: @509736
     /*  509736 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(509808), // Rule ID 5121 //
     /*  509741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  509752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  509755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  509758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  509761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509787 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  509787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  509790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  509806 */     GIR_RootConstrainSelectedInstOperands,
     /*  509807 */     // GIR_Coverage, 5121,
     /*  509807 */     GIR_EraseRootFromParent_Done,
     /*  509808 */   // Label 8596: @509808
     /*  509808 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(509880), // Rule ID 5122 //
     /*  509813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  509824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  509827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  509830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  509833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  509859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  509862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509878 */     GIR_RootConstrainSelectedInstOperands,
     /*  509879 */     // GIR_Coverage, 5122,
     /*  509879 */     GIR_EraseRootFromParent_Done,
     /*  509880 */   // Label 8597: @509880
     /*  509880 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(509952), // Rule ID 5123 //
     /*  509885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  509896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  509899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  509902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  509905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509931 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  509931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  509934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  509938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  509942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509950 */     GIR_RootConstrainSelectedInstOperands,
     /*  509951 */     // GIR_Coverage, 5123,
     /*  509951 */     GIR_EraseRootFromParent_Done,
     /*  509952 */   // Label 8598: @509952
     /*  509952 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(510024), // Rule ID 5124 //
     /*  509957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  509965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  509968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  509971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  509974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  509977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  509996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  510003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510022 */     GIR_RootConstrainSelectedInstOperands,
     /*  510023 */     // GIR_Coverage, 5124,
     /*  510023 */     GIR_EraseRootFromParent_Done,
     /*  510024 */   // Label 8599: @510024
     /*  510024 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(510096), // Rule ID 5125 //
     /*  510029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  510040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  510043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  510046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  510049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510075 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  510075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510094 */     GIR_RootConstrainSelectedInstOperands,
     /*  510095 */     // GIR_Coverage, 5125,
     /*  510095 */     GIR_EraseRootFromParent_Done,
     /*  510096 */   // Label 8600: @510096
     /*  510096 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(510168), // Rule ID 5126 //
     /*  510101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  510112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  510115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  510118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  510121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510147 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  510147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  510150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510166 */     GIR_RootConstrainSelectedInstOperands,
     /*  510167 */     // GIR_Coverage, 5126,
     /*  510167 */     GIR_EraseRootFromParent_Done,
     /*  510168 */   // Label 8601: @510168
     /*  510168 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(510240), // Rule ID 5127 //
     /*  510173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  510184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  510187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  510190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  510193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510219 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  510219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  510222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510238 */     GIR_RootConstrainSelectedInstOperands,
     /*  510239 */     // GIR_Coverage, 5127,
     /*  510239 */     GIR_EraseRootFromParent_Done,
     /*  510240 */   // Label 8602: @510240
     /*  510240 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(510312), // Rule ID 5128 //
     /*  510245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  510291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  510294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510310 */     GIR_RootConstrainSelectedInstOperands,
     /*  510311 */     // GIR_Coverage, 5128,
     /*  510311 */     GIR_EraseRootFromParent_Done,
     /*  510312 */   // Label 8603: @510312
     /*  510312 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(510384), // Rule ID 5129 //
     /*  510317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  510363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  510366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510382 */     GIR_RootConstrainSelectedInstOperands,
     /*  510383 */     // GIR_Coverage, 5129,
     /*  510383 */     GIR_EraseRootFromParent_Done,
     /*  510384 */   // Label 8604: @510384
     /*  510384 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(510456), // Rule ID 5130 //
     /*  510389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  510400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  510409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  510435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510454 */     GIR_RootConstrainSelectedInstOperands,
     /*  510455 */     // GIR_Coverage, 5130,
     /*  510455 */     GIR_EraseRootFromParent_Done,
     /*  510456 */   // Label 8605: @510456
     /*  510456 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(510528), // Rule ID 5131 //
     /*  510461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  510472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  510481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  510507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510526 */     GIR_RootConstrainSelectedInstOperands,
     /*  510527 */     // GIR_Coverage, 5131,
     /*  510527 */     GIR_EraseRootFromParent_Done,
     /*  510528 */   // Label 8606: @510528
     /*  510528 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(510600), // Rule ID 5132 //
     /*  510533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  510544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  510550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  510553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510579 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  510579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  510582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510598 */     GIR_RootConstrainSelectedInstOperands,
     /*  510599 */     // GIR_Coverage, 5132,
     /*  510599 */     GIR_EraseRootFromParent_Done,
     /*  510600 */   // Label 8607: @510600
     /*  510600 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(510672), // Rule ID 5133 //
     /*  510605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  510616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  510622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  510625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510651 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  510651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  510654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510670 */     GIR_RootConstrainSelectedInstOperands,
     /*  510671 */     // GIR_Coverage, 5133,
     /*  510671 */     GIR_EraseRootFromParent_Done,
     /*  510672 */   // Label 8608: @510672
     /*  510672 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(510744), // Rule ID 5134 //
     /*  510677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  510680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  510691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  510694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  510723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  510726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510742 */     GIR_RootConstrainSelectedInstOperands,
     /*  510743 */     // GIR_Coverage, 5134,
     /*  510743 */     GIR_EraseRootFromParent_Done,
     /*  510744 */   // Label 8609: @510744
     /*  510744 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(510816), // Rule ID 5135 //
     /*  510749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  510752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  510763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  510766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  510795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  510798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510814 */     GIR_RootConstrainSelectedInstOperands,
     /*  510815 */     // GIR_Coverage, 5135,
     /*  510815 */     GIR_EraseRootFromParent_Done,
     /*  510816 */   // Label 8610: @510816
     /*  510816 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(510888), // Rule ID 5136 //
     /*  510821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  510824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  510835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  510838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  510867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510886 */     GIR_RootConstrainSelectedInstOperands,
     /*  510887 */     // GIR_Coverage, 5136,
     /*  510887 */     GIR_EraseRootFromParent_Done,
     /*  510888 */   // Label 8611: @510888
     /*  510888 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(510960), // Rule ID 5137 //
     /*  510893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  510896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  510907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  510910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510939 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  510939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  510942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  510950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510958 */     GIR_RootConstrainSelectedInstOperands,
     /*  510959 */     // GIR_Coverage, 5137,
     /*  510959 */     GIR_EraseRootFromParent_Done,
     /*  510960 */   // Label 8612: @510960
     /*  510960 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(511032), // Rule ID 5138 //
     /*  510965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  510968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  510976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  510979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  510982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  510985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  511011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  511014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511030 */     GIR_RootConstrainSelectedInstOperands,
     /*  511031 */     // GIR_Coverage, 5138,
     /*  511031 */     GIR_EraseRootFromParent_Done,
     /*  511032 */   // Label 8613: @511032
     /*  511032 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(511104), // Rule ID 5139 //
     /*  511037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  511040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  511048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  511051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  511054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  511057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  511083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  511086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511102 */     GIR_RootConstrainSelectedInstOperands,
     /*  511103 */     // GIR_Coverage, 5139,
     /*  511103 */     GIR_EraseRootFromParent_Done,
     /*  511104 */   // Label 8614: @511104
     /*  511104 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(511176), // Rule ID 5140 //
     /*  511109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  511123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  511155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  511158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511174 */     GIR_RootConstrainSelectedInstOperands,
     /*  511175 */     // GIR_Coverage, 5140,
     /*  511175 */     GIR_EraseRootFromParent_Done,
     /*  511176 */   // Label 8615: @511176
     /*  511176 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(511248), // Rule ID 5141 //
     /*  511181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  511195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  511227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  511230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511246 */     GIR_RootConstrainSelectedInstOperands,
     /*  511247 */     // GIR_Coverage, 5141,
     /*  511247 */     GIR_EraseRootFromParent_Done,
     /*  511248 */   // Label 8616: @511248
     /*  511248 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(511320), // Rule ID 5142 //
     /*  511253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  511267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  511299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  511302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511318 */     GIR_RootConstrainSelectedInstOperands,
     /*  511319 */     // GIR_Coverage, 5142,
     /*  511319 */     GIR_EraseRootFromParent_Done,
     /*  511320 */   // Label 8617: @511320
     /*  511320 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(511392), // Rule ID 5143 //
     /*  511325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  511339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511371 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  511371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  511374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511390 */     GIR_RootConstrainSelectedInstOperands,
     /*  511391 */     // GIR_Coverage, 5143,
     /*  511391 */     GIR_EraseRootFromParent_Done,
     /*  511392 */   // Label 8618: @511392
     /*  511392 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(511464), // Rule ID 5144 //
     /*  511397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  511408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  511411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  511417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  511443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511462 */     GIR_RootConstrainSelectedInstOperands,
     /*  511463 */     // GIR_Coverage, 5144,
     /*  511463 */     GIR_EraseRootFromParent_Done,
     /*  511464 */   // Label 8619: @511464
     /*  511464 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(511536), // Rule ID 5145 //
     /*  511469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  511480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  511483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  511489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511515 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  511515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511534 */     GIR_RootConstrainSelectedInstOperands,
     /*  511535 */     // GIR_Coverage, 5145,
     /*  511535 */     GIR_EraseRootFromParent_Done,
     /*  511536 */   // Label 8620: @511536
     /*  511536 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(511608), // Rule ID 5146 //
     /*  511541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  511555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  511587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  511590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511606 */     GIR_RootConstrainSelectedInstOperands,
     /*  511607 */     // GIR_Coverage, 5146,
     /*  511607 */     GIR_EraseRootFromParent_Done,
     /*  511608 */   // Label 8621: @511608
     /*  511608 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(511680), // Rule ID 5147 //
     /*  511613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  511627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511659 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  511659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  511662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511678 */     GIR_RootConstrainSelectedInstOperands,
     /*  511679 */     // GIR_Coverage, 5147,
     /*  511679 */     GIR_EraseRootFromParent_Done,
     /*  511680 */   // Label 8622: @511680
     /*  511680 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(511752), // Rule ID 5148 //
     /*  511685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  511699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  511731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511750 */     GIR_RootConstrainSelectedInstOperands,
     /*  511751 */     // GIR_Coverage, 5148,
     /*  511751 */     GIR_EraseRootFromParent_Done,
     /*  511752 */   // Label 8623: @511752
     /*  511752 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(511824), // Rule ID 5149 //
     /*  511757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  511771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  511803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511822 */     GIR_RootConstrainSelectedInstOperands,
     /*  511823 */     // GIR_Coverage, 5149,
     /*  511823 */     GIR_EraseRootFromParent_Done,
     /*  511824 */   // Label 8624: @511824
     /*  511824 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(511896), // Rule ID 5150 //
     /*  511829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  511875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511894 */     GIR_RootConstrainSelectedInstOperands,
     /*  511895 */     // GIR_Coverage, 5150,
     /*  511895 */     GIR_EraseRootFromParent_Done,
     /*  511896 */   // Label 8625: @511896
     /*  511896 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(511968), // Rule ID 5151 //
     /*  511901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  511918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  511936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  511947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  511950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  511958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511966 */     GIR_RootConstrainSelectedInstOperands,
     /*  511967 */     // GIR_Coverage, 5151,
     /*  511967 */     GIR_EraseRootFromParent_Done,
     /*  511968 */   // Label 8626: @511968
     /*  511968 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(512040), // Rule ID 5152 //
     /*  511973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  511984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  511987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  511990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  511993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512019 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512038 */     GIR_RootConstrainSelectedInstOperands,
     /*  512039 */     // GIR_Coverage, 5152,
     /*  512039 */     GIR_EraseRootFromParent_Done,
     /*  512040 */   // Label 8627: @512040
     /*  512040 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(512112), // Rule ID 5153 //
     /*  512045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  512056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  512059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  512065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512110 */     GIR_RootConstrainSelectedInstOperands,
     /*  512111 */     // GIR_Coverage, 5153,
     /*  512111 */     GIR_EraseRootFromParent_Done,
     /*  512112 */   // Label 8628: @512112
     /*  512112 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(512184), // Rule ID 5154 //
     /*  512117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  512128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  512131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  512137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  512163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512182 */     GIR_RootConstrainSelectedInstOperands,
     /*  512183 */     // GIR_Coverage, 5154,
     /*  512183 */     GIR_EraseRootFromParent_Done,
     /*  512184 */   // Label 8629: @512184
     /*  512184 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(512256), // Rule ID 5155 //
     /*  512189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  512200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  512203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  512209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512235 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  512235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512254 */     GIR_RootConstrainSelectedInstOperands,
     /*  512255 */     // GIR_Coverage, 5155,
     /*  512255 */     GIR_EraseRootFromParent_Done,
     /*  512256 */   // Label 8630: @512256
     /*  512256 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(512328), // Rule ID 5156 //
     /*  512261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  512272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  512281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  512307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512326 */     GIR_RootConstrainSelectedInstOperands,
     /*  512327 */     // GIR_Coverage, 5156,
     /*  512327 */     GIR_EraseRootFromParent_Done,
     /*  512328 */   // Label 8631: @512328
     /*  512328 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(512400), // Rule ID 5157 //
     /*  512333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  512344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  512353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  512379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512398 */     GIR_RootConstrainSelectedInstOperands,
     /*  512399 */     // GIR_Coverage, 5157,
     /*  512399 */     GIR_EraseRootFromParent_Done,
     /*  512400 */   // Label 8632: @512400
     /*  512400 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(512472), // Rule ID 5158 //
     /*  512405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  512408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  512416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  512425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512451 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  512451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512470 */     GIR_RootConstrainSelectedInstOperands,
     /*  512471 */     // GIR_Coverage, 5158,
     /*  512471 */     GIR_EraseRootFromParent_Done,
     /*  512472 */   // Label 8633: @512472
     /*  512472 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(512544), // Rule ID 5159 //
     /*  512477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  512480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  512488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  512497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512523 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  512523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  512526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512542 */     GIR_RootConstrainSelectedInstOperands,
     /*  512543 */     // GIR_Coverage, 5159,
     /*  512543 */     GIR_EraseRootFromParent_Done,
     /*  512544 */   // Label 8634: @512544
     /*  512544 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(512616), // Rule ID 5160 //
     /*  512549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  512560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  512563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  512569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512595 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  512598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512614 */     GIR_RootConstrainSelectedInstOperands,
     /*  512615 */     // GIR_Coverage, 5160,
     /*  512615 */     GIR_EraseRootFromParent_Done,
     /*  512616 */   // Label 8635: @512616
     /*  512616 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(512688), // Rule ID 5161 //
     /*  512621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  512632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  512635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  512641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  512670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512686 */     GIR_RootConstrainSelectedInstOperands,
     /*  512687 */     // GIR_Coverage, 5161,
     /*  512687 */     GIR_EraseRootFromParent_Done,
     /*  512688 */   // Label 8636: @512688
     /*  512688 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(512760), // Rule ID 5162 //
     /*  512693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  512707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512739 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  512742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512758 */     GIR_RootConstrainSelectedInstOperands,
     /*  512759 */     // GIR_Coverage, 5162,
     /*  512759 */     GIR_EraseRootFromParent_Done,
     /*  512760 */   // Label 8637: @512760
     /*  512760 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(512832), // Rule ID 5163 //
     /*  512765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  512779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512811 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  512814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512830 */     GIR_RootConstrainSelectedInstOperands,
     /*  512831 */     // GIR_Coverage, 5163,
     /*  512831 */     GIR_EraseRootFromParent_Done,
     /*  512832 */   // Label 8638: @512832
     /*  512832 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(512904), // Rule ID 5164 //
     /*  512837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  512848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  512851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  512857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512883 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  512886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512902 */     GIR_RootConstrainSelectedInstOperands,
     /*  512903 */     // GIR_Coverage, 5164,
     /*  512903 */     GIR_EraseRootFromParent_Done,
     /*  512904 */   // Label 8639: @512904
     /*  512904 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(512976), // Rule ID 5165 //
     /*  512909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  512920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  512923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  512926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  512929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  512944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512955 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  512958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  512966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512974 */     GIR_RootConstrainSelectedInstOperands,
     /*  512975 */     // GIR_Coverage, 5165,
     /*  512975 */     GIR_EraseRootFromParent_Done,
     /*  512976 */   // Label 8640: @512976
     /*  512976 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(513048), // Rule ID 5166 //
     /*  512981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  512992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  512995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  512998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  513027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513046 */     GIR_RootConstrainSelectedInstOperands,
     /*  513047 */     // GIR_Coverage, 5166,
     /*  513047 */     GIR_EraseRootFromParent_Done,
     /*  513048 */   // Label 8641: @513048
     /*  513048 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(513120), // Rule ID 5167 //
     /*  513053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  513067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513099 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  513099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513118 */     GIR_RootConstrainSelectedInstOperands,
     /*  513119 */     // GIR_Coverage, 5167,
     /*  513119 */     GIR_EraseRootFromParent_Done,
     /*  513120 */   // Label 8642: @513120
     /*  513120 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(513192), // Rule ID 5168 //
     /*  513125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  513139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  513171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  513174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513190 */     GIR_RootConstrainSelectedInstOperands,
     /*  513191 */     // GIR_Coverage, 5168,
     /*  513191 */     GIR_EraseRootFromParent_Done,
     /*  513192 */   // Label 8643: @513192
     /*  513192 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(513264), // Rule ID 5169 //
     /*  513197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  513211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  513243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  513246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513262 */     GIR_RootConstrainSelectedInstOperands,
     /*  513263 */     // GIR_Coverage, 5169,
     /*  513263 */     GIR_EraseRootFromParent_Done,
     /*  513264 */   // Label 8644: @513264
     /*  513264 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(513336), // Rule ID 5170 //
     /*  513269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  513280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  513283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  513289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513315 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  513315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  513318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513334 */     GIR_RootConstrainSelectedInstOperands,
     /*  513335 */     // GIR_Coverage, 5170,
     /*  513335 */     GIR_EraseRootFromParent_Done,
     /*  513336 */   // Label 8645: @513336
     /*  513336 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(513408), // Rule ID 5171 //
     /*  513341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  513352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  513355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  513361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513387 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  513387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  513390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513406 */     GIR_RootConstrainSelectedInstOperands,
     /*  513407 */     // GIR_Coverage, 5171,
     /*  513407 */     GIR_EraseRootFromParent_Done,
     /*  513408 */   // Label 8646: @513408
     /*  513408 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(513480), // Rule ID 5172 //
     /*  513413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  513424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  513433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  513459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513478 */     GIR_RootConstrainSelectedInstOperands,
     /*  513479 */     // GIR_Coverage, 5172,
     /*  513479 */     GIR_EraseRootFromParent_Done,
     /*  513480 */   // Label 8647: @513480
     /*  513480 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(513552), // Rule ID 5173 //
     /*  513485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  513496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  513505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513550 */     GIR_RootConstrainSelectedInstOperands,
     /*  513551 */     // GIR_Coverage, 5173,
     /*  513551 */     GIR_EraseRootFromParent_Done,
     /*  513552 */   // Label 8648: @513552
     /*  513552 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(513624), // Rule ID 5174 //
     /*  513557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  513603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  513606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513622 */     GIR_RootConstrainSelectedInstOperands,
     /*  513623 */     // GIR_Coverage, 5174,
     /*  513623 */     GIR_EraseRootFromParent_Done,
     /*  513624 */   // Label 8649: @513624
     /*  513624 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(513696), // Rule ID 5175 //
     /*  513629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  513678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513694 */     GIR_RootConstrainSelectedInstOperands,
     /*  513695 */     // GIR_Coverage, 5175,
     /*  513695 */     GIR_EraseRootFromParent_Done,
     /*  513696 */   // Label 8650: @513696
     /*  513696 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(513768), // Rule ID 5176 //
     /*  513701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  513747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  513750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513766 */     GIR_RootConstrainSelectedInstOperands,
     /*  513767 */     // GIR_Coverage, 5176,
     /*  513767 */     GIR_EraseRootFromParent_Done,
     /*  513768 */   // Label 8651: @513768
     /*  513768 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(513840), // Rule ID 5177 //
     /*  513773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513819 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  513822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513838 */     GIR_RootConstrainSelectedInstOperands,
     /*  513839 */     // GIR_Coverage, 5177,
     /*  513839 */     GIR_EraseRootFromParent_Done,
     /*  513840 */   // Label 8652: @513840
     /*  513840 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(513912), // Rule ID 5178 //
     /*  513845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  513848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  513856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  513862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  513865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513891 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  513891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513910 */     GIR_RootConstrainSelectedInstOperands,
     /*  513911 */     // GIR_Coverage, 5178,
     /*  513911 */     GIR_EraseRootFromParent_Done,
     /*  513912 */   // Label 8653: @513912
     /*  513912 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(513984), // Rule ID 5179 //
     /*  513917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  513920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  513928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  513934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  513937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  513952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  513963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  513966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  513974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513982 */     GIR_RootConstrainSelectedInstOperands,
     /*  513983 */     // GIR_Coverage, 5179,
     /*  513983 */     GIR_EraseRootFromParent_Done,
     /*  513984 */   // Label 8654: @513984
     /*  513984 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(514056), // Rule ID 5180 //
     /*  513989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  513992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  514003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514035 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  514035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  514038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514054 */     GIR_RootConstrainSelectedInstOperands,
     /*  514055 */     // GIR_Coverage, 5180,
     /*  514055 */     GIR_EraseRootFromParent_Done,
     /*  514056 */   // Label 8655: @514056
     /*  514056 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(514128), // Rule ID 5181 //
     /*  514061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  514064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  514075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514107 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  514107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  514110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514126 */     GIR_RootConstrainSelectedInstOperands,
     /*  514127 */     // GIR_Coverage, 5181,
     /*  514127 */     GIR_EraseRootFromParent_Done,
     /*  514128 */   // Label 8656: @514128
     /*  514128 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(514200), // Rule ID 5182 //
     /*  514133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  514136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  514144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  514147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  514153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  514179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  514182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514198 */     GIR_RootConstrainSelectedInstOperands,
     /*  514199 */     // GIR_Coverage, 5182,
     /*  514199 */     GIR_EraseRootFromParent_Done,
     /*  514200 */   // Label 8657: @514200
     /*  514200 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(514272), // Rule ID 5183 //
     /*  514205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  514208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  514216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  514219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  514225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  514251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  514254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514270 */     GIR_RootConstrainSelectedInstOperands,
     /*  514271 */     // GIR_Coverage, 5183,
     /*  514271 */     GIR_EraseRootFromParent_Done,
     /*  514272 */   // Label 8658: @514272
     /*  514272 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(514344), // Rule ID 5446 //
     /*  514277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  514291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  514294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  514326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514342 */     GIR_RootConstrainSelectedInstOperands,
     /*  514343 */     // GIR_Coverage, 5446,
     /*  514343 */     GIR_EraseRootFromParent_Done,
     /*  514344 */   // Label 8659: @514344
     /*  514344 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(514416), // Rule ID 5447 //
     /*  514349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  514363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  514366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514395 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  514398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514414 */     GIR_RootConstrainSelectedInstOperands,
     /*  514415 */     // GIR_Coverage, 5447,
     /*  514415 */     GIR_EraseRootFromParent_Done,
     /*  514416 */   // Label 8660: @514416
     /*  514416 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(514488), // Rule ID 5448 //
     /*  514421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  514435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  514438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  514470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514486 */     GIR_RootConstrainSelectedInstOperands,
     /*  514487 */     // GIR_Coverage, 5448,
     /*  514487 */     GIR_EraseRootFromParent_Done,
     /*  514488 */   // Label 8661: @514488
     /*  514488 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(514560), // Rule ID 5449 //
     /*  514493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  514507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  514510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  514542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514558 */     GIR_RootConstrainSelectedInstOperands,
     /*  514559 */     // GIR_Coverage, 5449,
     /*  514559 */     GIR_EraseRootFromParent_Done,
     /*  514560 */   // Label 8662: @514560
     /*  514560 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(514632), // Rule ID 5450 //
     /*  514565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  514579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  514582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514611 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  514614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514630 */     GIR_RootConstrainSelectedInstOperands,
     /*  514631 */     // GIR_Coverage, 5450,
     /*  514631 */     GIR_EraseRootFromParent_Done,
     /*  514632 */   // Label 8663: @514632
     /*  514632 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(514704), // Rule ID 5451 //
     /*  514637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  514651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  514654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  514686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514702 */     GIR_RootConstrainSelectedInstOperands,
     /*  514703 */     // GIR_Coverage, 5451,
     /*  514703 */     GIR_EraseRootFromParent_Done,
     /*  514704 */   // Label 8664: @514704
     /*  514704 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(514776), // Rule ID 5452 //
     /*  514709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  514755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  514758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514774 */     GIR_RootConstrainSelectedInstOperands,
     /*  514775 */     // GIR_Coverage, 5452,
     /*  514775 */     GIR_EraseRootFromParent_Done,
     /*  514776 */   // Label 8665: @514776
     /*  514776 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(514848), // Rule ID 5453 //
     /*  514781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  514827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  514830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514846 */     GIR_RootConstrainSelectedInstOperands,
     /*  514847 */     // GIR_Coverage, 5453,
     /*  514847 */     GIR_EraseRootFromParent_Done,
     /*  514848 */   // Label 8666: @514848
     /*  514848 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(514920), // Rule ID 5454 //
     /*  514853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  514899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  514902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514918 */     GIR_RootConstrainSelectedInstOperands,
     /*  514919 */     // GIR_Coverage, 5454,
     /*  514919 */     GIR_EraseRootFromParent_Done,
     /*  514920 */   // Label 8667: @514920
     /*  514920 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(514992), // Rule ID 5455 //
     /*  514925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  514933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  514971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  514974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  514982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514990 */     GIR_RootConstrainSelectedInstOperands,
     /*  514991 */     // GIR_Coverage, 5455,
     /*  514991 */     GIR_EraseRootFromParent_Done,
     /*  514992 */   // Label 8668: @514992
     /*  514992 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(515064), // Rule ID 5456 //
     /*  514997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  515043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  515046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515062 */     GIR_RootConstrainSelectedInstOperands,
     /*  515063 */     // GIR_Coverage, 5456,
     /*  515063 */     GIR_EraseRootFromParent_Done,
     /*  515064 */   // Label 8669: @515064
     /*  515064 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(515136), // Rule ID 5457 //
     /*  515069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  515115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  515118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515134 */     GIR_RootConstrainSelectedInstOperands,
     /*  515135 */     // GIR_Coverage, 5457,
     /*  515135 */     GIR_EraseRootFromParent_Done,
     /*  515136 */   // Label 8670: @515136
     /*  515136 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(515208), // Rule ID 5458 //
     /*  515141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  515152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  515155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  515158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  515161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  515187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515206 */     GIR_RootConstrainSelectedInstOperands,
     /*  515207 */     // GIR_Coverage, 5458,
     /*  515207 */     GIR_EraseRootFromParent_Done,
     /*  515208 */   // Label 8671: @515208
     /*  515208 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(515280), // Rule ID 5459 //
     /*  515213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  515224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  515227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  515230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  515233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515259 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  515259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515278 */     GIR_RootConstrainSelectedInstOperands,
     /*  515279 */     // GIR_Coverage, 5459,
     /*  515279 */     GIR_EraseRootFromParent_Done,
     /*  515280 */   // Label 8672: @515280
     /*  515280 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(515352), // Rule ID 5460 //
     /*  515285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  515296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  515302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  515305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515331 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  515331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515350 */     GIR_RootConstrainSelectedInstOperands,
     /*  515351 */     // GIR_Coverage, 5460,
     /*  515351 */     GIR_EraseRootFromParent_Done,
     /*  515352 */   // Label 8673: @515352
     /*  515352 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(515424), // Rule ID 5461 //
     /*  515357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  515368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  515374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  515377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515403 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  515403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515422 */     GIR_RootConstrainSelectedInstOperands,
     /*  515423 */     // GIR_Coverage, 5461,
     /*  515423 */     GIR_EraseRootFromParent_Done,
     /*  515424 */   // Label 8674: @515424
     /*  515424 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(515496), // Rule ID 5462 //
     /*  515429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  515440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  515449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515475 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  515475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515494 */     GIR_RootConstrainSelectedInstOperands,
     /*  515495 */     // GIR_Coverage, 5462,
     /*  515495 */     GIR_EraseRootFromParent_Done,
     /*  515496 */   // Label 8675: @515496
     /*  515496 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(515568), // Rule ID 5463 //
     /*  515501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  515512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  515521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515547 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  515547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515566 */     GIR_RootConstrainSelectedInstOperands,
     /*  515567 */     // GIR_Coverage, 5463,
     /*  515567 */     GIR_EraseRootFromParent_Done,
     /*  515568 */   // Label 8676: @515568
     /*  515568 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(515640), // Rule ID 5464 //
     /*  515573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  515576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  515590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515619 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  515619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515638 */     GIR_RootConstrainSelectedInstOperands,
     /*  515639 */     // GIR_Coverage, 5464,
     /*  515639 */     GIR_EraseRootFromParent_Done,
     /*  515640 */   // Label 8677: @515640
     /*  515640 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(515712), // Rule ID 5465 //
     /*  515645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  515648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  515662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515691 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  515691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  515694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515710 */     GIR_RootConstrainSelectedInstOperands,
     /*  515711 */     // GIR_Coverage, 5465,
     /*  515711 */     GIR_EraseRootFromParent_Done,
     /*  515712 */   // Label 8678: @515712
     /*  515712 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(515784), // Rule ID 5466 //
     /*  515717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  515728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  515731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  515734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  515737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  515763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  515766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515782 */     GIR_RootConstrainSelectedInstOperands,
     /*  515783 */     // GIR_Coverage, 5466,
     /*  515783 */     GIR_EraseRootFromParent_Done,
     /*  515784 */   // Label 8679: @515784
     /*  515784 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(515856), // Rule ID 5467 //
     /*  515789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  515800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  515803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  515806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  515809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515835 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  515835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  515838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515854 */     GIR_RootConstrainSelectedInstOperands,
     /*  515855 */     // GIR_Coverage, 5467,
     /*  515855 */     GIR_EraseRootFromParent_Done,
     /*  515856 */   // Label 8680: @515856
     /*  515856 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(515928), // Rule ID 5468 //
     /*  515861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  515872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  515875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  515878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  515881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515907 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  515907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  515910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515926 */     GIR_RootConstrainSelectedInstOperands,
     /*  515927 */     // GIR_Coverage, 5468,
     /*  515927 */     GIR_EraseRootFromParent_Done,
     /*  515928 */   // Label 8681: @515928
     /*  515928 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(516000), // Rule ID 5469 //
     /*  515933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  515941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  515944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  515947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  515950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  515953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515979 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  515979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  515982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  515990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515998 */     GIR_RootConstrainSelectedInstOperands,
     /*  515999 */     // GIR_Coverage, 5469,
     /*  515999 */     GIR_EraseRootFromParent_Done,
     /*  516000 */   // Label 8682: @516000
     /*  516000 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(516072), // Rule ID 5470 //
     /*  516005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  516016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  516019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  516022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  516025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516051 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  516051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516070 */     GIR_RootConstrainSelectedInstOperands,
     /*  516071 */     // GIR_Coverage, 5470,
     /*  516071 */     GIR_EraseRootFromParent_Done,
     /*  516072 */   // Label 8683: @516072
     /*  516072 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(516144), // Rule ID 5471 //
     /*  516077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  516088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  516091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  516094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  516097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516123 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  516123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516142 */     GIR_RootConstrainSelectedInstOperands,
     /*  516143 */     // GIR_Coverage, 5471,
     /*  516143 */     GIR_EraseRootFromParent_Done,
     /*  516144 */   // Label 8684: @516144
     /*  516144 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(516216), // Rule ID 5472 //
     /*  516149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516195 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  516198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516214 */     GIR_RootConstrainSelectedInstOperands,
     /*  516215 */     // GIR_Coverage, 5472,
     /*  516215 */     GIR_EraseRootFromParent_Done,
     /*  516216 */   // Label 8685: @516216
     /*  516216 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(516288), // Rule ID 5473 //
     /*  516221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  516270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516286 */     GIR_RootConstrainSelectedInstOperands,
     /*  516287 */     // GIR_Coverage, 5473,
     /*  516287 */     GIR_EraseRootFromParent_Done,
     /*  516288 */   // Label 8686: @516288
     /*  516288 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(516360), // Rule ID 5474 //
     /*  516293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  516342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516358 */     GIR_RootConstrainSelectedInstOperands,
     /*  516359 */     // GIR_Coverage, 5474,
     /*  516359 */     GIR_EraseRootFromParent_Done,
     /*  516360 */   // Label 8687: @516360
     /*  516360 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(516432), // Rule ID 5475 //
     /*  516365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516411 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  516414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516430 */     GIR_RootConstrainSelectedInstOperands,
     /*  516431 */     // GIR_Coverage, 5475,
     /*  516431 */     GIR_EraseRootFromParent_Done,
     /*  516432 */   // Label 8688: @516432
     /*  516432 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(516504), // Rule ID 5476 //
     /*  516437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516483 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516502 */     GIR_RootConstrainSelectedInstOperands,
     /*  516503 */     // GIR_Coverage, 5476,
     /*  516503 */     GIR_EraseRootFromParent_Done,
     /*  516504 */   // Label 8689: @516504
     /*  516504 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(516576), // Rule ID 5477 //
     /*  516509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516555 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516574 */     GIR_RootConstrainSelectedInstOperands,
     /*  516575 */     // GIR_Coverage, 5477,
     /*  516575 */     GIR_EraseRootFromParent_Done,
     /*  516576 */   // Label 8690: @516576
     /*  516576 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(516648), // Rule ID 5478 //
     /*  516581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  516592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  516601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  516627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  516630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516646 */     GIR_RootConstrainSelectedInstOperands,
     /*  516647 */     // GIR_Coverage, 5478,
     /*  516647 */     GIR_EraseRootFromParent_Done,
     /*  516648 */   // Label 8691: @516648
     /*  516648 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(516720), // Rule ID 5479 //
     /*  516653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  516664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  516673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  516699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  516702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516718 */     GIR_RootConstrainSelectedInstOperands,
     /*  516719 */     // GIR_Coverage, 5479,
     /*  516719 */     GIR_EraseRootFromParent_Done,
     /*  516720 */   // Label 8692: @516720
     /*  516720 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(516792), // Rule ID 5480 //
     /*  516725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  516771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  516774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516790 */     GIR_RootConstrainSelectedInstOperands,
     /*  516791 */     // GIR_Coverage, 5480,
     /*  516791 */     GIR_EraseRootFromParent_Done,
     /*  516792 */   // Label 8693: @516792
     /*  516792 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(516864), // Rule ID 5481 //
     /*  516797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516843 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  516843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  516846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516862 */     GIR_RootConstrainSelectedInstOperands,
     /*  516863 */     // GIR_Coverage, 5481,
     /*  516863 */     GIR_EraseRootFromParent_Done,
     /*  516864 */   // Label 8694: @516864
     /*  516864 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(516936), // Rule ID 5482 //
     /*  516869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516915 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  516915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516934 */     GIR_RootConstrainSelectedInstOperands,
     /*  516935 */     // GIR_Coverage, 5482,
     /*  516935 */     GIR_EraseRootFromParent_Done,
     /*  516936 */   // Label 8695: @516936
     /*  516936 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(517008), // Rule ID 5483 //
     /*  516941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  516949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516987 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  516987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  516990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  516998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517006 */     GIR_RootConstrainSelectedInstOperands,
     /*  517007 */     // GIR_Coverage, 5483,
     /*  517007 */     GIR_EraseRootFromParent_Done,
     /*  517008 */   // Label 8696: @517008
     /*  517008 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(517080), // Rule ID 5484 //
     /*  517013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  517062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517078 */     GIR_RootConstrainSelectedInstOperands,
     /*  517079 */     // GIR_Coverage, 5484,
     /*  517079 */     GIR_EraseRootFromParent_Done,
     /*  517080 */   // Label 8697: @517080
     /*  517080 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(517152), // Rule ID 5485 //
     /*  517085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  517134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517150 */     GIR_RootConstrainSelectedInstOperands,
     /*  517151 */     // GIR_Coverage, 5485,
     /*  517151 */     GIR_EraseRootFromParent_Done,
     /*  517152 */   // Label 8698: @517152
     /*  517152 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(517224), // Rule ID 5486 //
     /*  517157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  517206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517222 */     GIR_RootConstrainSelectedInstOperands,
     /*  517223 */     // GIR_Coverage, 5486,
     /*  517223 */     GIR_EraseRootFromParent_Done,
     /*  517224 */   // Label 8699: @517224
     /*  517224 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(517296), // Rule ID 5487 //
     /*  517229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  517278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517294 */     GIR_RootConstrainSelectedInstOperands,
     /*  517295 */     // GIR_Coverage, 5487,
     /*  517295 */     GIR_EraseRootFromParent_Done,
     /*  517296 */   // Label 8700: @517296
     /*  517296 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(517368), // Rule ID 5488 //
     /*  517301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  517350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517366 */     GIR_RootConstrainSelectedInstOperands,
     /*  517367 */     // GIR_Coverage, 5488,
     /*  517367 */     GIR_EraseRootFromParent_Done,
     /*  517368 */   // Label 8701: @517368
     /*  517368 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(517440), // Rule ID 5489 //
     /*  517373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  517422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517438 */     GIR_RootConstrainSelectedInstOperands,
     /*  517439 */     // GIR_Coverage, 5489,
     /*  517439 */     GIR_EraseRootFromParent_Done,
     /*  517440 */   // Label 8702: @517440
     /*  517440 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(517512), // Rule ID 5490 //
     /*  517445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  517456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  517459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  517465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  517491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  517494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517510 */     GIR_RootConstrainSelectedInstOperands,
     /*  517511 */     // GIR_Coverage, 5490,
     /*  517511 */     GIR_EraseRootFromParent_Done,
     /*  517512 */   // Label 8703: @517512
     /*  517512 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(517584), // Rule ID 5491 //
     /*  517517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  517528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  517531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  517537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517563 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  517563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  517566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517582 */     GIR_RootConstrainSelectedInstOperands,
     /*  517583 */     // GIR_Coverage, 5491,
     /*  517583 */     GIR_EraseRootFromParent_Done,
     /*  517584 */   // Label 8704: @517584
     /*  517584 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(517656), // Rule ID 5492 //
     /*  517589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  517603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  517635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  517638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517654 */     GIR_RootConstrainSelectedInstOperands,
     /*  517655 */     // GIR_Coverage, 5492,
     /*  517655 */     GIR_EraseRootFromParent_Done,
     /*  517656 */   // Label 8705: @517656
     /*  517656 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(517728), // Rule ID 5493 //
     /*  517661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  517675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  517707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  517710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517726 */     GIR_RootConstrainSelectedInstOperands,
     /*  517727 */     // GIR_Coverage, 5493,
     /*  517727 */     GIR_EraseRootFromParent_Done,
     /*  517728 */   // Label 8706: @517728
     /*  517728 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(517800), // Rule ID 5494 //
     /*  517733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  517747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517779 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  517779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  517782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517798 */     GIR_RootConstrainSelectedInstOperands,
     /*  517799 */     // GIR_Coverage, 5494,
     /*  517799 */     GIR_EraseRootFromParent_Done,
     /*  517800 */   // Label 8707: @517800
     /*  517800 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(517872), // Rule ID 5495 //
     /*  517805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  517819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517851 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  517851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  517854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  517870 */     GIR_RootConstrainSelectedInstOperands,
     /*  517871 */     // GIR_Coverage, 5495,
     /*  517871 */     GIR_EraseRootFromParent_Done,
     /*  517872 */   // Label 8708: @517872
     /*  517872 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(517944), // Rule ID 5496 //
     /*  517877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  517888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  517897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  517923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  517926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  517934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517942 */     GIR_RootConstrainSelectedInstOperands,
     /*  517943 */     // GIR_Coverage, 5496,
     /*  517943 */     GIR_EraseRootFromParent_Done,
     /*  517944 */   // Label 8709: @517944
     /*  517944 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(518016), // Rule ID 5497 //
     /*  517949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  517960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  517969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517995 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  517995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  517998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518014 */     GIR_RootConstrainSelectedInstOperands,
     /*  518015 */     // GIR_Coverage, 5497,
     /*  518015 */     GIR_EraseRootFromParent_Done,
     /*  518016 */   // Label 8710: @518016
     /*  518016 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(518088), // Rule ID 5498 //
     /*  518021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518067 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  518067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  518070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518086 */     GIR_RootConstrainSelectedInstOperands,
     /*  518087 */     // GIR_Coverage, 5498,
     /*  518087 */     GIR_EraseRootFromParent_Done,
     /*  518088 */   // Label 8711: @518088
     /*  518088 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(518160), // Rule ID 5499 //
     /*  518093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518139 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  518139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  518142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518158 */     GIR_RootConstrainSelectedInstOperands,
     /*  518159 */     // GIR_Coverage, 5499,
     /*  518159 */     GIR_EraseRootFromParent_Done,
     /*  518160 */   // Label 8712: @518160
     /*  518160 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(518232), // Rule ID 5500 //
     /*  518165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  518211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  518214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518230 */     GIR_RootConstrainSelectedInstOperands,
     /*  518231 */     // GIR_Coverage, 5500,
     /*  518231 */     GIR_EraseRootFromParent_Done,
     /*  518232 */   // Label 8713: @518232
     /*  518232 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(518304), // Rule ID 5501 //
     /*  518237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518283 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  518283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  518286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518302 */     GIR_RootConstrainSelectedInstOperands,
     /*  518303 */     // GIR_Coverage, 5501,
     /*  518303 */     GIR_EraseRootFromParent_Done,
     /*  518304 */   // Label 8714: @518304
     /*  518304 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(518376), // Rule ID 5502 //
     /*  518309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  518320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  518323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  518329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518355 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  518355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518374 */     GIR_RootConstrainSelectedInstOperands,
     /*  518375 */     // GIR_Coverage, 5502,
     /*  518375 */     GIR_EraseRootFromParent_Done,
     /*  518376 */   // Label 8715: @518376
     /*  518376 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(518448), // Rule ID 5503 //
     /*  518381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  518392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  518395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  518401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  518427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518446 */     GIR_RootConstrainSelectedInstOperands,
     /*  518447 */     // GIR_Coverage, 5503,
     /*  518447 */     GIR_EraseRootFromParent_Done,
     /*  518448 */   // Label 8716: @518448
     /*  518448 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(518520), // Rule ID 5504 //
     /*  518453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  518464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  518473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518499 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  518499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518518 */     GIR_RootConstrainSelectedInstOperands,
     /*  518519 */     // GIR_Coverage, 5504,
     /*  518519 */     GIR_EraseRootFromParent_Done,
     /*  518520 */   // Label 8717: @518520
     /*  518520 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(518592), // Rule ID 5505 //
     /*  518525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  518536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  518545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518571 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  518571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518590 */     GIR_RootConstrainSelectedInstOperands,
     /*  518591 */     // GIR_Coverage, 5505,
     /*  518591 */     GIR_EraseRootFromParent_Done,
     /*  518592 */   // Label 8718: @518592
     /*  518592 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(518664), // Rule ID 5506 //
     /*  518597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  518643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518662 */     GIR_RootConstrainSelectedInstOperands,
     /*  518663 */     // GIR_Coverage, 5506,
     /*  518663 */     GIR_EraseRootFromParent_Done,
     /*  518664 */   // Label 8719: @518664
     /*  518664 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(518736), // Rule ID 5507 //
     /*  518669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518715 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  518715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518734 */     GIR_RootConstrainSelectedInstOperands,
     /*  518735 */     // GIR_Coverage, 5507,
     /*  518735 */     GIR_EraseRootFromParent_Done,
     /*  518736 */   // Label 8720: @518736
     /*  518736 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(518808), // Rule ID 5508 //
     /*  518741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  518744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  518787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518806 */     GIR_RootConstrainSelectedInstOperands,
     /*  518807 */     // GIR_Coverage, 5508,
     /*  518807 */     GIR_EraseRootFromParent_Done,
     /*  518808 */   // Label 8721: @518808
     /*  518808 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(518880), // Rule ID 5509 //
     /*  518813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  518816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  518859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  518862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518878 */     GIR_RootConstrainSelectedInstOperands,
     /*  518879 */     // GIR_Coverage, 5509,
     /*  518879 */     GIR_EraseRootFromParent_Done,
     /*  518880 */   // Label 8722: @518880
     /*  518880 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(518952), // Rule ID 5510 //
     /*  518885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  518896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  518899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  518902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  518905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  518931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  518934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  518942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518950 */     GIR_RootConstrainSelectedInstOperands,
     /*  518951 */     // GIR_Coverage, 5510,
     /*  518951 */     GIR_EraseRootFromParent_Done,
     /*  518952 */   // Label 8723: @518952
     /*  518952 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(519024), // Rule ID 5511 //
     /*  518957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  518968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  518971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  518974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  518977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  518992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  519003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  519006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519022 */     GIR_RootConstrainSelectedInstOperands,
     /*  519023 */     // GIR_Coverage, 5511,
     /*  519023 */     GIR_EraseRootFromParent_Done,
     /*  519024 */   // Label 8724: @519024
     /*  519024 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(519096), // Rule ID 5512 //
     /*  519029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  519040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  519043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  519049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519075 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  519075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  519078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519094 */     GIR_RootConstrainSelectedInstOperands,
     /*  519095 */     // GIR_Coverage, 5512,
     /*  519095 */     GIR_EraseRootFromParent_Done,
     /*  519096 */   // Label 8725: @519096
     /*  519096 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(519168), // Rule ID 5513 //
     /*  519101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  519112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  519115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  519121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519147 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  519147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  519150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519166 */     GIR_RootConstrainSelectedInstOperands,
     /*  519167 */     // GIR_Coverage, 5513,
     /*  519167 */     GIR_EraseRootFromParent_Done,
     /*  519168 */   // Label 8726: @519168
     /*  519168 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(519240), // Rule ID 5514 //
     /*  519173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  519184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  519187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  519193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519219 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  519219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  519222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519238 */     GIR_RootConstrainSelectedInstOperands,
     /*  519239 */     // GIR_Coverage, 5514,
     /*  519239 */     GIR_EraseRootFromParent_Done,
     /*  519240 */   // Label 8727: @519240
     /*  519240 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(519312), // Rule ID 5515 //
     /*  519245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  519256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  519259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  519265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519291 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  519291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  519294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519310 */     GIR_RootConstrainSelectedInstOperands,
     /*  519311 */     // GIR_Coverage, 5515,
     /*  519311 */     GIR_EraseRootFromParent_Done,
     /*  519312 */   // Label 8728: @519312
     /*  519312 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(519384), // Rule ID 5516 //
     /*  519317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  519363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  519366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519382 */     GIR_RootConstrainSelectedInstOperands,
     /*  519383 */     // GIR_Coverage, 5516,
     /*  519383 */     GIR_EraseRootFromParent_Done,
     /*  519384 */   // Label 8729: @519384
     /*  519384 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(519456), // Rule ID 5517 //
     /*  519389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  519435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  519438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519454 */     GIR_RootConstrainSelectedInstOperands,
     /*  519455 */     // GIR_Coverage, 5517,
     /*  519455 */     GIR_EraseRootFromParent_Done,
     /*  519456 */   // Label 8730: @519456
     /*  519456 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(519528), // Rule ID 5518 //
     /*  519461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  519472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  519481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519507 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  519507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  519510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519526 */     GIR_RootConstrainSelectedInstOperands,
     /*  519527 */     // GIR_Coverage, 5518,
     /*  519527 */     GIR_EraseRootFromParent_Done,
     /*  519528 */   // Label 8731: @519528
     /*  519528 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(519600), // Rule ID 5519 //
     /*  519533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  519544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  519553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519579 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  519579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  519582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519598 */     GIR_RootConstrainSelectedInstOperands,
     /*  519599 */     // GIR_Coverage, 5519,
     /*  519599 */     GIR_EraseRootFromParent_Done,
     /*  519600 */   // Label 8732: @519600
     /*  519600 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(519672), // Rule ID 5520 //
     /*  519605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  519616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  519625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519651 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  519651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  519654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519670 */     GIR_RootConstrainSelectedInstOperands,
     /*  519671 */     // GIR_Coverage, 5520,
     /*  519671 */     GIR_EraseRootFromParent_Done,
     /*  519672 */   // Label 8733: @519672
     /*  519672 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(519744), // Rule ID 5521 //
     /*  519677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  519688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  519697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519723 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  519723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  519726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519742 */     GIR_RootConstrainSelectedInstOperands,
     /*  519743 */     // GIR_Coverage, 5521,
     /*  519743 */     GIR_EraseRootFromParent_Done,
     /*  519744 */   // Label 8734: @519744
     /*  519744 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(519816), // Rule ID 5522 //
     /*  519749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  519760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  519769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  519795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  519798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519814 */     GIR_RootConstrainSelectedInstOperands,
     /*  519815 */     // GIR_Coverage, 5522,
     /*  519815 */     GIR_EraseRootFromParent_Done,
     /*  519816 */   // Label 8735: @519816
     /*  519816 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(519888), // Rule ID 5523 //
     /*  519821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  519832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  519841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  519867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  519870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519886 */     GIR_RootConstrainSelectedInstOperands,
     /*  519887 */     // GIR_Coverage, 5523,
     /*  519887 */     GIR_EraseRootFromParent_Done,
     /*  519888 */   // Label 8736: @519888
     /*  519888 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(519960), // Rule ID 5524 //
     /*  519893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  519910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  519928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  519939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  519942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  519950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519958 */     GIR_RootConstrainSelectedInstOperands,
     /*  519959 */     // GIR_Coverage, 5524,
     /*  519959 */     GIR_EraseRootFromParent_Done,
     /*  519960 */   // Label 8737: @519960
     /*  519960 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(520032), // Rule ID 5525 //
     /*  519965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  519982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  520011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  520014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520030 */     GIR_RootConstrainSelectedInstOperands,
     /*  520031 */     // GIR_Coverage, 5525,
     /*  520031 */     GIR_EraseRootFromParent_Done,
     /*  520032 */   // Label 8738: @520032
     /*  520032 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(520104), // Rule ID 5526 //
     /*  520037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  520048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  520054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  520057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520083 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  520083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  520086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520102 */     GIR_RootConstrainSelectedInstOperands,
     /*  520103 */     // GIR_Coverage, 5526,
     /*  520103 */     GIR_EraseRootFromParent_Done,
     /*  520104 */   // Label 8739: @520104
     /*  520104 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(520176), // Rule ID 5527 //
     /*  520109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  520120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  520126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  520129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520155 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  520155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  520158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520174 */     GIR_RootConstrainSelectedInstOperands,
     /*  520175 */     // GIR_Coverage, 5527,
     /*  520175 */     GIR_EraseRootFromParent_Done,
     /*  520176 */   // Label 8740: @520176
     /*  520176 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(520248), // Rule ID 5528 //
     /*  520181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  520184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  520192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  520198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  520201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  520227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  520230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520246 */     GIR_RootConstrainSelectedInstOperands,
     /*  520247 */     // GIR_Coverage, 5528,
     /*  520247 */     GIR_EraseRootFromParent_Done,
     /*  520248 */   // Label 8741: @520248
     /*  520248 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(520320), // Rule ID 5529 //
     /*  520253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  520256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  520264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  520270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  520273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  520299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  520302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520318 */     GIR_RootConstrainSelectedInstOperands,
     /*  520319 */     // GIR_Coverage, 5529,
     /*  520319 */     GIR_EraseRootFromParent_Done,
     /*  520320 */   // Label 8742: @520320
     /*  520320 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(520392), // Rule ID 5530 //
     /*  520325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  520328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  520336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  520342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  520345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  520371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  520374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520390 */     GIR_RootConstrainSelectedInstOperands,
     /*  520391 */     // GIR_Coverage, 5530,
     /*  520391 */     GIR_EraseRootFromParent_Done,
     /*  520392 */   // Label 8743: @520392
     /*  520392 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(520464), // Rule ID 5531 //
     /*  520397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  520400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  520408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  520414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  520417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  520443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  520446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520462 */     GIR_RootConstrainSelectedInstOperands,
     /*  520463 */     // GIR_Coverage, 5531,
     /*  520463 */     GIR_EraseRootFromParent_Done,
     /*  520464 */   // Label 8744: @520464
     /*  520464 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(520536), // Rule ID 5532 //
     /*  520469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  520472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  520480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  520486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  520489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  520515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  520518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520534 */     GIR_RootConstrainSelectedInstOperands,
     /*  520535 */     // GIR_Coverage, 5532,
     /*  520535 */     GIR_EraseRootFromParent_Done,
     /*  520536 */   // Label 8745: @520536
     /*  520536 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(520608), // Rule ID 5533 //
     /*  520541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  520544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  520552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  520558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  520561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  520576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  520587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  520590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  520598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520606 */     GIR_RootConstrainSelectedInstOperands,
     /*  520607 */     // GIR_Coverage, 5533,
     /*  520607 */     GIR_EraseRootFromParent_Done,
     /*  520608 */   // Label 8746: @520608
     /*  520608 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(520683), // Rule ID 5622 //
     /*  520613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  520624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  520627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  520630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  520633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  520659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  520662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  520668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  520670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520681 */     GIR_RootConstrainSelectedInstOperands,
     /*  520682 */     // GIR_Coverage, 5622,
     /*  520682 */     GIR_EraseRootFromParent_Done,
     /*  520683 */   // Label 8747: @520683
     /*  520683 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(520758), // Rule ID 5623 //
     /*  520688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  520699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  520702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  520705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  520708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  520734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  520737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  520743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  520745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520756 */     GIR_RootConstrainSelectedInstOperands,
     /*  520757 */     // GIR_Coverage, 5623,
     /*  520757 */     GIR_EraseRootFromParent_Done,
     /*  520758 */   // Label 8748: @520758
     /*  520758 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(520833), // Rule ID 5626 //
     /*  520763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  520774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  520777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  520780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  520783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  520809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  520812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  520818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  520820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520831 */     GIR_RootConstrainSelectedInstOperands,
     /*  520832 */     // GIR_Coverage, 5626,
     /*  520832 */     GIR_EraseRootFromParent_Done,
     /*  520833 */   // Label 8749: @520833
     /*  520833 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(520908), // Rule ID 5627 //
     /*  520838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  520849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  520852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  520855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  520858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  520884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  520887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  520893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  520895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520906 */     GIR_RootConstrainSelectedInstOperands,
     /*  520907 */     // GIR_Coverage, 5627,
     /*  520907 */     GIR_EraseRootFromParent_Done,
     /*  520908 */   // Label 8750: @520908
     /*  520908 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(520983), // Rule ID 5630 //
     /*  520913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  520924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  520927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  520930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  520933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  520959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  520962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  520968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  520970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520981 */     GIR_RootConstrainSelectedInstOperands,
     /*  520982 */     // GIR_Coverage, 5630,
     /*  520982 */     GIR_EraseRootFromParent_Done,
     /*  520983 */   // Label 8751: @520983
     /*  520983 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(521058), // Rule ID 5631 //
     /*  520988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  520996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  520999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  521002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  521005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  521008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  521034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  521037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  521053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521056 */     GIR_RootConstrainSelectedInstOperands,
     /*  521057 */     // GIR_Coverage, 5631,
     /*  521057 */     GIR_EraseRootFromParent_Done,
     /*  521058 */   // Label 8752: @521058
     /*  521058 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(521133), // Rule ID 5634 //
     /*  521063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  521083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  521112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521131 */     GIR_RootConstrainSelectedInstOperands,
     /*  521132 */     // GIR_Coverage, 5634,
     /*  521132 */     GIR_EraseRootFromParent_Done,
     /*  521133 */   // Label 8753: @521133
     /*  521133 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(521208), // Rule ID 5635 //
     /*  521138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  521149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  521152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  521158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  521187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521206 */     GIR_RootConstrainSelectedInstOperands,
     /*  521207 */     // GIR_Coverage, 5635,
     /*  521207 */     GIR_EraseRootFromParent_Done,
     /*  521208 */   // Label 8754: @521208
     /*  521208 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(521283), // Rule ID 5638 //
     /*  521213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  521233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  521262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521281 */     GIR_RootConstrainSelectedInstOperands,
     /*  521282 */     // GIR_Coverage, 5638,
     /*  521282 */     GIR_EraseRootFromParent_Done,
     /*  521283 */   // Label 8755: @521283
     /*  521283 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(521358), // Rule ID 5639 //
     /*  521288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  521299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  521302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  521308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  521337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521356 */     GIR_RootConstrainSelectedInstOperands,
     /*  521357 */     // GIR_Coverage, 5639,
     /*  521357 */     GIR_EraseRootFromParent_Done,
     /*  521358 */   // Label 8756: @521358
     /*  521358 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(521433), // Rule ID 5642 //
     /*  521363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  521380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  521383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  521412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521431 */     GIR_RootConstrainSelectedInstOperands,
     /*  521432 */     // GIR_Coverage, 5642,
     /*  521432 */     GIR_EraseRootFromParent_Done,
     /*  521433 */   // Label 8757: @521433
     /*  521433 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(521508), // Rule ID 5643 //
     /*  521438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  521455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  521458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  521487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521506 */     GIR_RootConstrainSelectedInstOperands,
     /*  521507 */     // GIR_Coverage, 5643,
     /*  521507 */     GIR_EraseRootFromParent_Done,
     /*  521508 */   // Label 8758: @521508
     /*  521508 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(521583), // Rule ID 5646 //
     /*  521513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  521524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  521527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  521530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  521533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  521559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  521578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521581 */     GIR_RootConstrainSelectedInstOperands,
     /*  521582 */     // GIR_Coverage, 5646,
     /*  521582 */     GIR_EraseRootFromParent_Done,
     /*  521583 */   // Label 8759: @521583
     /*  521583 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(521658), // Rule ID 5647 //
     /*  521588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  521599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  521602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  521605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  521608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  521634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  521653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521656 */     GIR_RootConstrainSelectedInstOperands,
     /*  521657 */     // GIR_Coverage, 5647,
     /*  521657 */     GIR_EraseRootFromParent_Done,
     /*  521658 */   // Label 8760: @521658
     /*  521658 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(521733), // Rule ID 5650 //
     /*  521663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  521683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521731 */     GIR_RootConstrainSelectedInstOperands,
     /*  521732 */     // GIR_Coverage, 5650,
     /*  521732 */     GIR_EraseRootFromParent_Done,
     /*  521733 */   // Label 8761: @521733
     /*  521733 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(521808), // Rule ID 5651 //
     /*  521738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  521758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521806 */     GIR_RootConstrainSelectedInstOperands,
     /*  521807 */     // GIR_Coverage, 5651,
     /*  521807 */     GIR_EraseRootFromParent_Done,
     /*  521808 */   // Label 8762: @521808
     /*  521808 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(521883), // Rule ID 5654 //
     /*  521813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  521833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521881 */     GIR_RootConstrainSelectedInstOperands,
     /*  521882 */     // GIR_Coverage, 5654,
     /*  521882 */     GIR_EraseRootFromParent_Done,
     /*  521883 */   // Label 8763: @521883
     /*  521883 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(521958), // Rule ID 5655 //
     /*  521888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  521908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  521937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  521943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  521945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521956 */     GIR_RootConstrainSelectedInstOperands,
     /*  521957 */     // GIR_Coverage, 5655,
     /*  521957 */     GIR_EraseRootFromParent_Done,
     /*  521958 */   // Label 8764: @521958
     /*  521958 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(522033), // Rule ID 5658 //
     /*  521963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  521966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  521971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  521983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  522012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522031 */     GIR_RootConstrainSelectedInstOperands,
     /*  522032 */     // GIR_Coverage, 5658,
     /*  522032 */     GIR_EraseRootFromParent_Done,
     /*  522033 */   // Label 8765: @522033
     /*  522033 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(522108), // Rule ID 5659 //
     /*  522038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  522041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  522055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  522058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  522087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522106 */     GIR_RootConstrainSelectedInstOperands,
     /*  522107 */     // GIR_Coverage, 5659,
     /*  522107 */     GIR_EraseRootFromParent_Done,
     /*  522108 */   // Label 8766: @522108
     /*  522108 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(522183), // Rule ID 5662 //
     /*  522113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  522124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  522127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  522130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  522133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  522162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522181 */     GIR_RootConstrainSelectedInstOperands,
     /*  522182 */     // GIR_Coverage, 5662,
     /*  522182 */     GIR_EraseRootFromParent_Done,
     /*  522183 */   // Label 8767: @522183
     /*  522183 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(522258), // Rule ID 5663 //
     /*  522188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  522199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  522202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  522205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  522208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  522234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  522237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522256 */     GIR_RootConstrainSelectedInstOperands,
     /*  522257 */     // GIR_Coverage, 5663,
     /*  522257 */     GIR_EraseRootFromParent_Done,
     /*  522258 */   // Label 8768: @522258
     /*  522258 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(522333), // Rule ID 5666 //
     /*  522263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  522274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  522277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  522280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  522283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  522312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522331 */     GIR_RootConstrainSelectedInstOperands,
     /*  522332 */     // GIR_Coverage, 5666,
     /*  522332 */     GIR_EraseRootFromParent_Done,
     /*  522333 */   // Label 8769: @522333
     /*  522333 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(522408), // Rule ID 5667 //
     /*  522338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  522349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  522352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  522355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  522358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  522384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  522387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522406 */     GIR_RootConstrainSelectedInstOperands,
     /*  522407 */     // GIR_Coverage, 5667,
     /*  522407 */     GIR_EraseRootFromParent_Done,
     /*  522408 */   // Label 8770: @522408
     /*  522408 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(522483), // Rule ID 5670 //
     /*  522413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  522424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  522427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  522430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  522433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  522462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522481 */     GIR_RootConstrainSelectedInstOperands,
     /*  522482 */     // GIR_Coverage, 5670,
     /*  522482 */     GIR_EraseRootFromParent_Done,
     /*  522483 */   // Label 8771: @522483
     /*  522483 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(522558), // Rule ID 5671 //
     /*  522488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  522499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  522502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  522505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  522508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  522534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  522537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522556 */     GIR_RootConstrainSelectedInstOperands,
     /*  522557 */     // GIR_Coverage, 5671,
     /*  522557 */     GIR_EraseRootFromParent_Done,
     /*  522558 */   // Label 8772: @522558
     /*  522558 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(522633), // Rule ID 5674 //
     /*  522563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  522583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  522612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522631 */     GIR_RootConstrainSelectedInstOperands,
     /*  522632 */     // GIR_Coverage, 5674,
     /*  522632 */     GIR_EraseRootFromParent_Done,
     /*  522633 */   // Label 8773: @522633
     /*  522633 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(522708), // Rule ID 5675 //
     /*  522638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  522649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  522652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  522655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  522658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  522687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522706 */     GIR_RootConstrainSelectedInstOperands,
     /*  522707 */     // GIR_Coverage, 5675,
     /*  522707 */     GIR_EraseRootFromParent_Done,
     /*  522708 */   // Label 8774: @522708
     /*  522708 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(522783), // Rule ID 5678 //
     /*  522713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  522733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  522762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522781 */     GIR_RootConstrainSelectedInstOperands,
     /*  522782 */     // GIR_Coverage, 5678,
     /*  522782 */     GIR_EraseRootFromParent_Done,
     /*  522783 */   // Label 8775: @522783
     /*  522783 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(522858), // Rule ID 5679 //
     /*  522788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  522799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  522802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  522805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  522808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  522837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522856 */     GIR_RootConstrainSelectedInstOperands,
     /*  522857 */     // GIR_Coverage, 5679,
     /*  522857 */     GIR_EraseRootFromParent_Done,
     /*  522858 */   // Label 8776: @522858
     /*  522858 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(522933), // Rule ID 5682 //
     /*  522863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  522883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  522912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522931 */     GIR_RootConstrainSelectedInstOperands,
     /*  522932 */     // GIR_Coverage, 5682,
     /*  522932 */     GIR_EraseRootFromParent_Done,
     /*  522933 */   // Label 8777: @522933
     /*  522933 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(523008), // Rule ID 5683 //
     /*  522938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  522946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  522949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  522952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  522955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  522958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  522987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  522993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  522995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523006 */     GIR_RootConstrainSelectedInstOperands,
     /*  523007 */     // GIR_Coverage, 5683,
     /*  523007 */     GIR_EraseRootFromParent_Done,
     /*  523008 */   // Label 8778: @523008
     /*  523008 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(523083), // Rule ID 5686 //
     /*  523013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  523033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  523062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523081 */     GIR_RootConstrainSelectedInstOperands,
     /*  523082 */     // GIR_Coverage, 5686,
     /*  523082 */     GIR_EraseRootFromParent_Done,
     /*  523083 */   // Label 8779: @523083
     /*  523083 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(523158), // Rule ID 5687 //
     /*  523088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  523108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  523137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523156 */     GIR_RootConstrainSelectedInstOperands,
     /*  523157 */     // GIR_Coverage, 5687,
     /*  523157 */     GIR_EraseRootFromParent_Done,
     /*  523158 */   // Label 8780: @523158
     /*  523158 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(523233), // Rule ID 5690 //
     /*  523163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  523183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  523212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523231 */     GIR_RootConstrainSelectedInstOperands,
     /*  523232 */     // GIR_Coverage, 5690,
     /*  523232 */     GIR_EraseRootFromParent_Done,
     /*  523233 */   // Label 8781: @523233
     /*  523233 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(523308), // Rule ID 5691 //
     /*  523238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  523249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  523252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  523258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  523287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523306 */     GIR_RootConstrainSelectedInstOperands,
     /*  523307 */     // GIR_Coverage, 5691,
     /*  523307 */     GIR_EraseRootFromParent_Done,
     /*  523308 */   // Label 8782: @523308
     /*  523308 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(523383), // Rule ID 5694 //
     /*  523313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  523333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  523362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523381 */     GIR_RootConstrainSelectedInstOperands,
     /*  523382 */     // GIR_Coverage, 5694,
     /*  523382 */     GIR_EraseRootFromParent_Done,
     /*  523383 */   // Label 8783: @523383
     /*  523383 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(523458), // Rule ID 5695 //
     /*  523388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  523399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  523402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  523405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  523408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  523437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523456 */     GIR_RootConstrainSelectedInstOperands,
     /*  523457 */     // GIR_Coverage, 5695,
     /*  523457 */     GIR_EraseRootFromParent_Done,
     /*  523458 */   // Label 8784: @523458
     /*  523458 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(523533), // Rule ID 5698 //
     /*  523463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  523466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  523483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  523512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523531 */     GIR_RootConstrainSelectedInstOperands,
     /*  523532 */     // GIR_Coverage, 5698,
     /*  523532 */     GIR_EraseRootFromParent_Done,
     /*  523533 */   // Label 8785: @523533
     /*  523533 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(523608), // Rule ID 5699 //
     /*  523538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  523541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  523549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  523552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  523555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  523558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  523587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523606 */     GIR_RootConstrainSelectedInstOperands,
     /*  523607 */     // GIR_Coverage, 5699,
     /*  523607 */     GIR_EraseRootFromParent_Done,
     /*  523608 */   // Label 8786: @523608
     /*  523608 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(523683), // Rule ID 5702 //
     /*  523613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  523616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  523633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  523662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523681 */     GIR_RootConstrainSelectedInstOperands,
     /*  523682 */     // GIR_Coverage, 5702,
     /*  523682 */     GIR_EraseRootFromParent_Done,
     /*  523683 */   // Label 8787: @523683
     /*  523683 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(523758), // Rule ID 5703 //
     /*  523688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  523691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  523699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  523702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  523705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  523708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  523737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523756 */     GIR_RootConstrainSelectedInstOperands,
     /*  523757 */     // GIR_Coverage, 5703,
     /*  523757 */     GIR_EraseRootFromParent_Done,
     /*  523758 */   // Label 8788: @523758
     /*  523758 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(523833), // Rule ID 5706 //
     /*  523763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  523766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  523783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  523812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523831 */     GIR_RootConstrainSelectedInstOperands,
     /*  523832 */     // GIR_Coverage, 5706,
     /*  523832 */     GIR_EraseRootFromParent_Done,
     /*  523833 */   // Label 8789: @523833
     /*  523833 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(523908), // Rule ID 5707 //
     /*  523838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  523841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  523849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  523852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  523855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  523858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  523887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523906 */     GIR_RootConstrainSelectedInstOperands,
     /*  523907 */     // GIR_Coverage, 5707,
     /*  523907 */     GIR_EraseRootFromParent_Done,
     /*  523908 */   // Label 8790: @523908
     /*  523908 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(523983), // Rule ID 5710 //
     /*  523913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  523924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  523927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  523930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  523933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  523959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  523962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  523968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  523970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523981 */     GIR_RootConstrainSelectedInstOperands,
     /*  523982 */     // GIR_Coverage, 5710,
     /*  523982 */     GIR_EraseRootFromParent_Done,
     /*  523983 */   // Label 8791: @523983
     /*  523983 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(524058), // Rule ID 5711 //
     /*  523988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  523996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  523999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  524002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  524005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  524034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  524037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524056 */     GIR_RootConstrainSelectedInstOperands,
     /*  524057 */     // GIR_Coverage, 5711,
     /*  524057 */     GIR_EraseRootFromParent_Done,
     /*  524058 */   // Label 8792: @524058
     /*  524058 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(524133), // Rule ID 5714 //
     /*  524063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  524074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  524077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  524080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  524109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  524112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524131 */     GIR_RootConstrainSelectedInstOperands,
     /*  524132 */     // GIR_Coverage, 5714,
     /*  524132 */     GIR_EraseRootFromParent_Done,
     /*  524133 */   // Label 8793: @524133
     /*  524133 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(524208), // Rule ID 5715 //
     /*  524138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  524149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  524152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  524155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  524184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  524187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524206 */     GIR_RootConstrainSelectedInstOperands,
     /*  524207 */     // GIR_Coverage, 5715,
     /*  524207 */     GIR_EraseRootFromParent_Done,
     /*  524208 */   // Label 8794: @524208
     /*  524208 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(524283), // Rule ID 5718 //
     /*  524213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  524224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  524227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  524230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  524259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524281 */     GIR_RootConstrainSelectedInstOperands,
     /*  524282 */     // GIR_Coverage, 5718,
     /*  524282 */     GIR_EraseRootFromParent_Done,
     /*  524283 */   // Label 8795: @524283
     /*  524283 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(524358), // Rule ID 5719 //
     /*  524288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  524299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  524302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  524305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  524334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524356 */     GIR_RootConstrainSelectedInstOperands,
     /*  524357 */     // GIR_Coverage, 5719,
     /*  524357 */     GIR_EraseRootFromParent_Done,
     /*  524358 */   // Label 8796: @524358
     /*  524358 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(524433), // Rule ID 5722 //
     /*  524363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  524412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524431 */     GIR_RootConstrainSelectedInstOperands,
     /*  524432 */     // GIR_Coverage, 5722,
     /*  524432 */     GIR_EraseRootFromParent_Done,
     /*  524433 */   // Label 8797: @524433
     /*  524433 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(524508), // Rule ID 5723 //
     /*  524438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  524487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524506 */     GIR_RootConstrainSelectedInstOperands,
     /*  524507 */     // GIR_Coverage, 5723,
     /*  524507 */     GIR_EraseRootFromParent_Done,
     /*  524508 */   // Label 8798: @524508
     /*  524508 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(524583), // Rule ID 5726 //
     /*  524513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524581 */     GIR_RootConstrainSelectedInstOperands,
     /*  524582 */     // GIR_Coverage, 5726,
     /*  524582 */     GIR_EraseRootFromParent_Done,
     /*  524583 */   // Label 8799: @524583
     /*  524583 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(524658), // Rule ID 5727 //
     /*  524588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  524599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  524602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524656 */     GIR_RootConstrainSelectedInstOperands,
     /*  524657 */     // GIR_Coverage, 5727,
     /*  524657 */     GIR_EraseRootFromParent_Done,
     /*  524658 */   // Label 8800: @524658
     /*  524658 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(524733), // Rule ID 5730 //
     /*  524663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524731 */     GIR_RootConstrainSelectedInstOperands,
     /*  524732 */     // GIR_Coverage, 5730,
     /*  524732 */     GIR_EraseRootFromParent_Done,
     /*  524733 */   // Label 8801: @524733
     /*  524733 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(524808), // Rule ID 5731 //
     /*  524738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  524755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  524787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524806 */     GIR_RootConstrainSelectedInstOperands,
     /*  524807 */     // GIR_Coverage, 5731,
     /*  524807 */     GIR_EraseRootFromParent_Done,
     /*  524808 */   // Label 8802: @524808
     /*  524808 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(524883), // Rule ID 5734 //
     /*  524813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  524824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  524827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  524830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  524859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  524862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524881 */     GIR_RootConstrainSelectedInstOperands,
     /*  524882 */     // GIR_Coverage, 5734,
     /*  524882 */     GIR_EraseRootFromParent_Done,
     /*  524883 */   // Label 8803: @524883
     /*  524883 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(524958), // Rule ID 5735 //
     /*  524888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  524899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  524902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  524905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  524908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  524934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  524937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  524943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  524945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524956 */     GIR_RootConstrainSelectedInstOperands,
     /*  524957 */     // GIR_Coverage, 5735,
     /*  524957 */     GIR_EraseRootFromParent_Done,
     /*  524958 */   // Label 8804: @524958
     /*  524958 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(525033), // Rule ID 5738 //
     /*  524963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  524971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  524974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  524977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  524980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  524983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525031 */     GIR_RootConstrainSelectedInstOperands,
     /*  525032 */     // GIR_Coverage, 5738,
     /*  525032 */     GIR_EraseRootFromParent_Done,
     /*  525033 */   // Label 8805: @525033
     /*  525033 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(525108), // Rule ID 5739 //
     /*  525038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525106 */     GIR_RootConstrainSelectedInstOperands,
     /*  525107 */     // GIR_Coverage, 5739,
     /*  525107 */     GIR_EraseRootFromParent_Done,
     /*  525108 */   // Label 8806: @525108
     /*  525108 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(525183), // Rule ID 5742 //
     /*  525113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525181 */     GIR_RootConstrainSelectedInstOperands,
     /*  525182 */     // GIR_Coverage, 5742,
     /*  525182 */     GIR_EraseRootFromParent_Done,
     /*  525183 */   // Label 8807: @525183
     /*  525183 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(525258), // Rule ID 5743 //
     /*  525188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525256 */     GIR_RootConstrainSelectedInstOperands,
     /*  525257 */     // GIR_Coverage, 5743,
     /*  525257 */     GIR_EraseRootFromParent_Done,
     /*  525258 */   // Label 8808: @525258
     /*  525258 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(525333), // Rule ID 5746 //
     /*  525263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  525266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525331 */     GIR_RootConstrainSelectedInstOperands,
     /*  525332 */     // GIR_Coverage, 5746,
     /*  525332 */     GIR_EraseRootFromParent_Done,
     /*  525333 */   // Label 8809: @525333
     /*  525333 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(525408), // Rule ID 5747 //
     /*  525338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  525341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  525387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525406 */     GIR_RootConstrainSelectedInstOperands,
     /*  525407 */     // GIR_Coverage, 5747,
     /*  525407 */     GIR_EraseRootFromParent_Done,
     /*  525408 */   // Label 8810: @525408
     /*  525408 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(525483), // Rule ID 5750 //
     /*  525413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  525424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  525427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  525430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  525462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525481 */     GIR_RootConstrainSelectedInstOperands,
     /*  525482 */     // GIR_Coverage, 5750,
     /*  525482 */     GIR_EraseRootFromParent_Done,
     /*  525483 */   // Label 8811: @525483
     /*  525483 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(525558), // Rule ID 5751 //
     /*  525488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  525499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  525502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  525505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  525537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525556 */     GIR_RootConstrainSelectedInstOperands,
     /*  525557 */     // GIR_Coverage, 5751,
     /*  525557 */     GIR_EraseRootFromParent_Done,
     /*  525558 */   // Label 8812: @525558
     /*  525558 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(525633), // Rule ID 5754 //
     /*  525563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  525574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  525577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  525580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  525612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525631 */     GIR_RootConstrainSelectedInstOperands,
     /*  525632 */     // GIR_Coverage, 5754,
     /*  525632 */     GIR_EraseRootFromParent_Done,
     /*  525633 */   // Label 8813: @525633
     /*  525633 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(525708), // Rule ID 5755 //
     /*  525638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  525649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  525652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  525655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  525687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525706 */     GIR_RootConstrainSelectedInstOperands,
     /*  525707 */     // GIR_Coverage, 5755,
     /*  525707 */     GIR_EraseRootFromParent_Done,
     /*  525708 */   // Label 8814: @525708
     /*  525708 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(525783), // Rule ID 5758 //
     /*  525713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  525724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  525727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  525730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  525762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525781 */     GIR_RootConstrainSelectedInstOperands,
     /*  525782 */     // GIR_Coverage, 5758,
     /*  525782 */     GIR_EraseRootFromParent_Done,
     /*  525783 */   // Label 8815: @525783
     /*  525783 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(525858), // Rule ID 5759 //
     /*  525788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  525799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  525802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  525805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  525837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525856 */     GIR_RootConstrainSelectedInstOperands,
     /*  525857 */     // GIR_Coverage, 5759,
     /*  525857 */     GIR_EraseRootFromParent_Done,
     /*  525858 */   // Label 8816: @525858
     /*  525858 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(525933), // Rule ID 5762 //
     /*  525863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  525883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  525912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525931 */     GIR_RootConstrainSelectedInstOperands,
     /*  525932 */     // GIR_Coverage, 5762,
     /*  525932 */     GIR_EraseRootFromParent_Done,
     /*  525933 */   // Label 8817: @525933
     /*  525933 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(526008), // Rule ID 5763 //
     /*  525938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  525958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  525987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526006 */     GIR_RootConstrainSelectedInstOperands,
     /*  526007 */     // GIR_Coverage, 5763,
     /*  526007 */     GIR_EraseRootFromParent_Done,
     /*  526008 */   // Label 8818: @526008
     /*  526008 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(526083), // Rule ID 5766 //
     /*  526013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  526024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  526027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  526062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526081 */     GIR_RootConstrainSelectedInstOperands,
     /*  526082 */     // GIR_Coverage, 5766,
     /*  526082 */     GIR_EraseRootFromParent_Done,
     /*  526083 */   // Label 8819: @526083
     /*  526083 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(526158), // Rule ID 5767 //
     /*  526088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  526099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  526102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  526137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526156 */     GIR_RootConstrainSelectedInstOperands,
     /*  526157 */     // GIR_Coverage, 5767,
     /*  526157 */     GIR_EraseRootFromParent_Done,
     /*  526158 */   // Label 8820: @526158
     /*  526158 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(526233), // Rule ID 5770 //
     /*  526163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  526174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  526212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526231 */     GIR_RootConstrainSelectedInstOperands,
     /*  526232 */     // GIR_Coverage, 5770,
     /*  526232 */     GIR_EraseRootFromParent_Done,
     /*  526233 */   // Label 8821: @526233
     /*  526233 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(526308), // Rule ID 5771 //
     /*  526238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  526249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  526287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526306 */     GIR_RootConstrainSelectedInstOperands,
     /*  526307 */     // GIR_Coverage, 5771,
     /*  526307 */     GIR_EraseRootFromParent_Done,
     /*  526308 */   // Label 8822: @526308
     /*  526308 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(526383), // Rule ID 5774 //
     /*  526313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  526362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526381 */     GIR_RootConstrainSelectedInstOperands,
     /*  526382 */     // GIR_Coverage, 5774,
     /*  526382 */     GIR_EraseRootFromParent_Done,
     /*  526383 */   // Label 8823: @526383
     /*  526383 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(526458), // Rule ID 5775 //
     /*  526388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  526437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526456 */     GIR_RootConstrainSelectedInstOperands,
     /*  526457 */     // GIR_Coverage, 5775,
     /*  526457 */     GIR_EraseRootFromParent_Done,
     /*  526458 */   // Label 8824: @526458
     /*  526458 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(526533), // Rule ID 5778 //
     /*  526463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  526512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526531 */     GIR_RootConstrainSelectedInstOperands,
     /*  526532 */     // GIR_Coverage, 5778,
     /*  526532 */     GIR_EraseRootFromParent_Done,
     /*  526533 */   // Label 8825: @526533
     /*  526533 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(526608), // Rule ID 5779 //
     /*  526538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  526587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526606 */     GIR_RootConstrainSelectedInstOperands,
     /*  526607 */     // GIR_Coverage, 5779,
     /*  526607 */     GIR_EraseRootFromParent_Done,
     /*  526608 */   // Label 8826: @526608
     /*  526608 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(526683), // Rule ID 5782 //
     /*  526613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  526662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526681 */     GIR_RootConstrainSelectedInstOperands,
     /*  526682 */     // GIR_Coverage, 5782,
     /*  526682 */     GIR_EraseRootFromParent_Done,
     /*  526683 */   // Label 8827: @526683
     /*  526683 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(526758), // Rule ID 5783 //
     /*  526688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  526737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526756 */     GIR_RootConstrainSelectedInstOperands,
     /*  526757 */     // GIR_Coverage, 5783,
     /*  526757 */     GIR_EraseRootFromParent_Done,
     /*  526758 */   // Label 8828: @526758
     /*  526758 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(526833), // Rule ID 5786 //
     /*  526763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  526766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  526812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526831 */     GIR_RootConstrainSelectedInstOperands,
     /*  526832 */     // GIR_Coverage, 5786,
     /*  526832 */     GIR_EraseRootFromParent_Done,
     /*  526833 */   // Label 8829: @526833
     /*  526833 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(526908), // Rule ID 5787 //
     /*  526838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  526841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  526858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  526887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526906 */     GIR_RootConstrainSelectedInstOperands,
     /*  526907 */     // GIR_Coverage, 5787,
     /*  526907 */     GIR_EraseRootFromParent_Done,
     /*  526908 */   // Label 8830: @526908
     /*  526908 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(526983), // Rule ID 5790 //
     /*  526913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  526916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  526933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  526952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  526962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526981 */     GIR_RootConstrainSelectedInstOperands,
     /*  526982 */     // GIR_Coverage, 5790,
     /*  526982 */     GIR_EraseRootFromParent_Done,
     /*  526983 */   // Label 8831: @526983
     /*  526983 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(527058), // Rule ID 5791 //
     /*  526988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  526991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  527005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  527008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  527027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  527037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527056 */     GIR_RootConstrainSelectedInstOperands,
     /*  527057 */     // GIR_Coverage, 5791,
     /*  527057 */     GIR_EraseRootFromParent_Done,
     /*  527058 */   // Label 8832: @527058
     /*  527058 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(527133), // Rule ID 5794 //
     /*  527063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  527066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  527080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  527083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  527102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  527109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  527112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527131 */     GIR_RootConstrainSelectedInstOperands,
     /*  527132 */     // GIR_Coverage, 5794,
     /*  527132 */     GIR_EraseRootFromParent_Done,
     /*  527133 */   // Label 8833: @527133
     /*  527133 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(527208), // Rule ID 5795 //
     /*  527138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  527141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  527155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  527158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  527177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  527187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527206 */     GIR_RootConstrainSelectedInstOperands,
     /*  527207 */     // GIR_Coverage, 5795,
     /*  527207 */     GIR_EraseRootFromParent_Done,
     /*  527208 */   // Label 8834: @527208
     /*  527208 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(527283), // Rule ID 5886 //
     /*  527213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  527224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  527227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  527230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  527233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  527262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527281 */     GIR_RootConstrainSelectedInstOperands,
     /*  527282 */     // GIR_Coverage, 5886,
     /*  527282 */     GIR_EraseRootFromParent_Done,
     /*  527283 */   // Label 8835: @527283
     /*  527283 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(527358), // Rule ID 5887 //
     /*  527288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  527299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  527302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  527305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  527308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  527337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527356 */     GIR_RootConstrainSelectedInstOperands,
     /*  527357 */     // GIR_Coverage, 5887,
     /*  527357 */     GIR_EraseRootFromParent_Done,
     /*  527358 */   // Label 8836: @527358
     /*  527358 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(527433), // Rule ID 5890 //
     /*  527363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  527374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  527377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  527380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  527383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  527412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527431 */     GIR_RootConstrainSelectedInstOperands,
     /*  527432 */     // GIR_Coverage, 5890,
     /*  527432 */     GIR_EraseRootFromParent_Done,
     /*  527433 */   // Label 8837: @527433
     /*  527433 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(527508), // Rule ID 5891 //
     /*  527438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  527449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  527452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  527455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  527458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  527487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527506 */     GIR_RootConstrainSelectedInstOperands,
     /*  527507 */     // GIR_Coverage, 5891,
     /*  527507 */     GIR_EraseRootFromParent_Done,
     /*  527508 */   // Label 8838: @527508
     /*  527508 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(527583), // Rule ID 5894 //
     /*  527513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  527524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  527527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  527530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  527533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  527562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527581 */     GIR_RootConstrainSelectedInstOperands,
     /*  527582 */     // GIR_Coverage, 5894,
     /*  527582 */     GIR_EraseRootFromParent_Done,
     /*  527583 */   // Label 8839: @527583
     /*  527583 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(527658), // Rule ID 5895 //
     /*  527588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  527599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  527602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  527605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  527608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  527637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527656 */     GIR_RootConstrainSelectedInstOperands,
     /*  527657 */     // GIR_Coverage, 5895,
     /*  527657 */     GIR_EraseRootFromParent_Done,
     /*  527658 */   // Label 8840: @527658
     /*  527658 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(527733), // Rule ID 5898 //
     /*  527663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  527674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  527677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  527683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  527712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527731 */     GIR_RootConstrainSelectedInstOperands,
     /*  527732 */     // GIR_Coverage, 5898,
     /*  527732 */     GIR_EraseRootFromParent_Done,
     /*  527733 */   // Label 8841: @527733
     /*  527733 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(527808), // Rule ID 5899 //
     /*  527738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  527749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  527752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  527758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  527787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527806 */     GIR_RootConstrainSelectedInstOperands,
     /*  527807 */     // GIR_Coverage, 5899,
     /*  527807 */     GIR_EraseRootFromParent_Done,
     /*  527808 */   // Label 8842: @527808
     /*  527808 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(527883), // Rule ID 5902 //
     /*  527813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  527833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  527862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527881 */     GIR_RootConstrainSelectedInstOperands,
     /*  527882 */     // GIR_Coverage, 5902,
     /*  527882 */     GIR_EraseRootFromParent_Done,
     /*  527883 */   // Label 8843: @527883
     /*  527883 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(527958), // Rule ID 5903 //
     /*  527888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  527908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  527937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527956 */     GIR_RootConstrainSelectedInstOperands,
     /*  527957 */     // GIR_Coverage, 5903,
     /*  527957 */     GIR_EraseRootFromParent_Done,
     /*  527958 */   // Label 8844: @527958
     /*  527958 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(528033), // Rule ID 5906 //
     /*  527963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  527971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  527983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  528012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528031 */     GIR_RootConstrainSelectedInstOperands,
     /*  528032 */     // GIR_Coverage, 5906,
     /*  528032 */     GIR_EraseRootFromParent_Done,
     /*  528033 */   // Label 8845: @528033
     /*  528033 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(528108), // Rule ID 5907 //
     /*  528038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  528058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  528087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528106 */     GIR_RootConstrainSelectedInstOperands,
     /*  528107 */     // GIR_Coverage, 5907,
     /*  528107 */     GIR_EraseRootFromParent_Done,
     /*  528108 */   // Label 8846: @528108
     /*  528108 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(528183), // Rule ID 5910 //
     /*  528113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  528124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  528127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  528130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  528133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528181 */     GIR_RootConstrainSelectedInstOperands,
     /*  528182 */     // GIR_Coverage, 5910,
     /*  528182 */     GIR_EraseRootFromParent_Done,
     /*  528183 */   // Label 8847: @528183
     /*  528183 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(528258), // Rule ID 5911 //
     /*  528188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  528199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  528202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  528205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  528208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528256 */     GIR_RootConstrainSelectedInstOperands,
     /*  528257 */     // GIR_Coverage, 5911,
     /*  528257 */     GIR_EraseRootFromParent_Done,
     /*  528258 */   // Label 8848: @528258
     /*  528258 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(528333), // Rule ID 5914 //
     /*  528263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  528283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528331 */     GIR_RootConstrainSelectedInstOperands,
     /*  528332 */     // GIR_Coverage, 5914,
     /*  528332 */     GIR_EraseRootFromParent_Done,
     /*  528333 */   // Label 8849: @528333
     /*  528333 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(528408), // Rule ID 5915 //
     /*  528338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  528355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  528358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528406 */     GIR_RootConstrainSelectedInstOperands,
     /*  528407 */     // GIR_Coverage, 5915,
     /*  528407 */     GIR_EraseRootFromParent_Done,
     /*  528408 */   // Label 8850: @528408
     /*  528408 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(528483), // Rule ID 5918 //
     /*  528413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  528424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  528427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  528433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528481 */     GIR_RootConstrainSelectedInstOperands,
     /*  528482 */     // GIR_Coverage, 5918,
     /*  528482 */     GIR_EraseRootFromParent_Done,
     /*  528483 */   // Label 8851: @528483
     /*  528483 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(528558), // Rule ID 5919 //
     /*  528488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  528499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  528502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  528508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528556 */     GIR_RootConstrainSelectedInstOperands,
     /*  528557 */     // GIR_Coverage, 5919,
     /*  528557 */     GIR_EraseRootFromParent_Done,
     /*  528558 */   // Label 8852: @528558
     /*  528558 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(528633), // Rule ID 5922 //
     /*  528563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  528566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  528583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528631 */     GIR_RootConstrainSelectedInstOperands,
     /*  528632 */     // GIR_Coverage, 5922,
     /*  528632 */     GIR_EraseRootFromParent_Done,
     /*  528633 */   // Label 8853: @528633
     /*  528633 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(528708), // Rule ID 5923 //
     /*  528638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  528641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  528649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  528652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  528658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  528687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528706 */     GIR_RootConstrainSelectedInstOperands,
     /*  528707 */     // GIR_Coverage, 5923,
     /*  528707 */     GIR_EraseRootFromParent_Done,
     /*  528708 */   // Label 8854: @528708
     /*  528708 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(528783), // Rule ID 5926 //
     /*  528713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  528724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  528727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  528730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  528733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  528762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528781 */     GIR_RootConstrainSelectedInstOperands,
     /*  528782 */     // GIR_Coverage, 5926,
     /*  528782 */     GIR_EraseRootFromParent_Done,
     /*  528783 */   // Label 8855: @528783
     /*  528783 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(528858), // Rule ID 5927 //
     /*  528788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  528799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  528802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  528805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  528808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  528837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528856 */     GIR_RootConstrainSelectedInstOperands,
     /*  528857 */     // GIR_Coverage, 5927,
     /*  528857 */     GIR_EraseRootFromParent_Done,
     /*  528858 */   // Label 8856: @528858
     /*  528858 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(528933), // Rule ID 5930 //
     /*  528863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  528874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  528877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  528880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  528883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  528912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528931 */     GIR_RootConstrainSelectedInstOperands,
     /*  528932 */     // GIR_Coverage, 5930,
     /*  528932 */     GIR_EraseRootFromParent_Done,
     /*  528933 */   // Label 8857: @528933
     /*  528933 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(529008), // Rule ID 5931 //
     /*  528938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  528946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  528949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  528952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  528955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  528958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  528987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529006 */     GIR_RootConstrainSelectedInstOperands,
     /*  529007 */     // GIR_Coverage, 5931,
     /*  529007 */     GIR_EraseRootFromParent_Done,
     /*  529008 */   // Label 8858: @529008
     /*  529008 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(529083), // Rule ID 5934 //
     /*  529013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  529024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  529027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  529030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  529033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  529062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529081 */     GIR_RootConstrainSelectedInstOperands,
     /*  529082 */     // GIR_Coverage, 5934,
     /*  529082 */     GIR_EraseRootFromParent_Done,
     /*  529083 */   // Label 8859: @529083
     /*  529083 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(529158), // Rule ID 5935 //
     /*  529088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  529099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  529102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  529105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  529108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  529137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529156 */     GIR_RootConstrainSelectedInstOperands,
     /*  529157 */     // GIR_Coverage, 5935,
     /*  529157 */     GIR_EraseRootFromParent_Done,
     /*  529158 */   // Label 8860: @529158
     /*  529158 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(529233), // Rule ID 5938 //
     /*  529163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  529183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  529212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529231 */     GIR_RootConstrainSelectedInstOperands,
     /*  529232 */     // GIR_Coverage, 5938,
     /*  529232 */     GIR_EraseRootFromParent_Done,
     /*  529233 */   // Label 8861: @529233
     /*  529233 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(529308), // Rule ID 5939 //
     /*  529238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  529258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  529287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529306 */     GIR_RootConstrainSelectedInstOperands,
     /*  529307 */     // GIR_Coverage, 5939,
     /*  529307 */     GIR_EraseRootFromParent_Done,
     /*  529308 */   // Label 8862: @529308
     /*  529308 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(529383), // Rule ID 5942 //
     /*  529313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  529333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  529362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529381 */     GIR_RootConstrainSelectedInstOperands,
     /*  529382 */     // GIR_Coverage, 5942,
     /*  529382 */     GIR_EraseRootFromParent_Done,
     /*  529383 */   // Label 8863: @529383
     /*  529383 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(529458), // Rule ID 5943 //
     /*  529388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  529399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  529402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  529405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  529408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  529437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529456 */     GIR_RootConstrainSelectedInstOperands,
     /*  529457 */     // GIR_Coverage, 5943,
     /*  529457 */     GIR_EraseRootFromParent_Done,
     /*  529458 */   // Label 8864: @529458
     /*  529458 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(529533), // Rule ID 5946 //
     /*  529463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  529483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  529512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529531 */     GIR_RootConstrainSelectedInstOperands,
     /*  529532 */     // GIR_Coverage, 5946,
     /*  529532 */     GIR_EraseRootFromParent_Done,
     /*  529533 */   // Label 8865: @529533
     /*  529533 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(529608), // Rule ID 5947 //
     /*  529538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  529549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  529552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  529555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  529558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  529587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529606 */     GIR_RootConstrainSelectedInstOperands,
     /*  529607 */     // GIR_Coverage, 5947,
     /*  529607 */     GIR_EraseRootFromParent_Done,
     /*  529608 */   // Label 8866: @529608
     /*  529608 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(529683), // Rule ID 5950 //
     /*  529613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  529633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  529662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529681 */     GIR_RootConstrainSelectedInstOperands,
     /*  529682 */     // GIR_Coverage, 5950,
     /*  529682 */     GIR_EraseRootFromParent_Done,
     /*  529683 */   // Label 8867: @529683
     /*  529683 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(529758), // Rule ID 5951 //
     /*  529688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  529705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  529708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  529737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529756 */     GIR_RootConstrainSelectedInstOperands,
     /*  529757 */     // GIR_Coverage, 5951,
     /*  529757 */     GIR_EraseRootFromParent_Done,
     /*  529758 */   // Label 8868: @529758
     /*  529758 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(529833), // Rule ID 5954 //
     /*  529763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  529783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  529812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529831 */     GIR_RootConstrainSelectedInstOperands,
     /*  529832 */     // GIR_Coverage, 5954,
     /*  529832 */     GIR_EraseRootFromParent_Done,
     /*  529833 */   // Label 8869: @529833
     /*  529833 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(529908), // Rule ID 5955 //
     /*  529838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  529855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  529858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  529887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529906 */     GIR_RootConstrainSelectedInstOperands,
     /*  529907 */     // GIR_Coverage, 5955,
     /*  529907 */     GIR_EraseRootFromParent_Done,
     /*  529908 */   // Label 8870: @529908
     /*  529908 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(529983), // Rule ID 5958 //
     /*  529913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  529924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  529927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  529930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  529933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  529962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529981 */     GIR_RootConstrainSelectedInstOperands,
     /*  529982 */     // GIR_Coverage, 5958,
     /*  529982 */     GIR_EraseRootFromParent_Done,
     /*  529983 */   // Label 8871: @529983
     /*  529983 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(530058), // Rule ID 5959 //
     /*  529988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  529996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  529999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  530008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  530037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530056 */     GIR_RootConstrainSelectedInstOperands,
     /*  530057 */     // GIR_Coverage, 5959,
     /*  530057 */     GIR_EraseRootFromParent_Done,
     /*  530058 */   // Label 8872: @530058
     /*  530058 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(530133), // Rule ID 5962 //
     /*  530063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  530066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  530083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  530112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530131 */     GIR_RootConstrainSelectedInstOperands,
     /*  530132 */     // GIR_Coverage, 5962,
     /*  530132 */     GIR_EraseRootFromParent_Done,
     /*  530133 */   // Label 8873: @530133
     /*  530133 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(530208), // Rule ID 5963 //
     /*  530138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  530141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  530158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  530187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530206 */     GIR_RootConstrainSelectedInstOperands,
     /*  530207 */     // GIR_Coverage, 5963,
     /*  530207 */     GIR_EraseRootFromParent_Done,
     /*  530208 */   // Label 8874: @530208
     /*  530208 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(530283), // Rule ID 5966 //
     /*  530213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  530216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  530233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  530262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530281 */     GIR_RootConstrainSelectedInstOperands,
     /*  530282 */     // GIR_Coverage, 5966,
     /*  530282 */     GIR_EraseRootFromParent_Done,
     /*  530283 */   // Label 8875: @530283
     /*  530283 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(530358), // Rule ID 5967 //
     /*  530288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  530291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  530308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  530337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530356 */     GIR_RootConstrainSelectedInstOperands,
     /*  530357 */     // GIR_Coverage, 5967,
     /*  530357 */     GIR_EraseRootFromParent_Done,
     /*  530358 */   // Label 8876: @530358
     /*  530358 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(530433), // Rule ID 5970 //
     /*  530363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  530366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  530383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  530412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530431 */     GIR_RootConstrainSelectedInstOperands,
     /*  530432 */     // GIR_Coverage, 5970,
     /*  530432 */     GIR_EraseRootFromParent_Done,
     /*  530433 */   // Label 8877: @530433
     /*  530433 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(530508), // Rule ID 5971 //
     /*  530438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  530441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  530449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  530452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  530455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  530458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  530487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530506 */     GIR_RootConstrainSelectedInstOperands,
     /*  530507 */     // GIR_Coverage, 5971,
     /*  530507 */     GIR_EraseRootFromParent_Done,
     /*  530508 */   // Label 8878: @530508
     /*  530508 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(530583), // Rule ID 5974 //
     /*  530513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  530530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  530562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530581 */     GIR_RootConstrainSelectedInstOperands,
     /*  530582 */     // GIR_Coverage, 5974,
     /*  530582 */     GIR_EraseRootFromParent_Done,
     /*  530583 */   // Label 8879: @530583
     /*  530583 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(530658), // Rule ID 5975 //
     /*  530588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  530599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  530602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  530605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  530637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530656 */     GIR_RootConstrainSelectedInstOperands,
     /*  530657 */     // GIR_Coverage, 5975,
     /*  530657 */     GIR_EraseRootFromParent_Done,
     /*  530658 */   // Label 8880: @530658
     /*  530658 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(530733), // Rule ID 5978 //
     /*  530663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  530680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  530712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530731 */     GIR_RootConstrainSelectedInstOperands,
     /*  530732 */     // GIR_Coverage, 5978,
     /*  530732 */     GIR_EraseRootFromParent_Done,
     /*  530733 */   // Label 8881: @530733
     /*  530733 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(530808), // Rule ID 5979 //
     /*  530738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  530749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  530752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  530755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  530787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530806 */     GIR_RootConstrainSelectedInstOperands,
     /*  530807 */     // GIR_Coverage, 5979,
     /*  530807 */     GIR_EraseRootFromParent_Done,
     /*  530808 */   // Label 8882: @530808
     /*  530808 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(530883), // Rule ID 5982 //
     /*  530813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  530824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  530827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  530830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  530862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530881 */     GIR_RootConstrainSelectedInstOperands,
     /*  530882 */     // GIR_Coverage, 5982,
     /*  530882 */     GIR_EraseRootFromParent_Done,
     /*  530883 */   // Label 8883: @530883
     /*  530883 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(530958), // Rule ID 5983 //
     /*  530888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  530899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  530902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  530905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  530937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530956 */     GIR_RootConstrainSelectedInstOperands,
     /*  530957 */     // GIR_Coverage, 5983,
     /*  530957 */     GIR_EraseRootFromParent_Done,
     /*  530958 */   // Label 8884: @530958
     /*  530958 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(531033), // Rule ID 5986 //
     /*  530963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  530971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  530980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  531012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531031 */     GIR_RootConstrainSelectedInstOperands,
     /*  531032 */     // GIR_Coverage, 5986,
     /*  531032 */     GIR_EraseRootFromParent_Done,
     /*  531033 */   // Label 8885: @531033
     /*  531033 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(531108), // Rule ID 5987 //
     /*  531038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  531087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531106 */     GIR_RootConstrainSelectedInstOperands,
     /*  531107 */     // GIR_Coverage, 5987,
     /*  531107 */     GIR_EraseRootFromParent_Done,
     /*  531108 */   // Label 8886: @531108
     /*  531108 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(531183), // Rule ID 5990 //
     /*  531113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  531162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531181 */     GIR_RootConstrainSelectedInstOperands,
     /*  531182 */     // GIR_Coverage, 5990,
     /*  531182 */     GIR_EraseRootFromParent_Done,
     /*  531183 */   // Label 8887: @531183
     /*  531183 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(531258), // Rule ID 5991 //
     /*  531188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  531237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531256 */     GIR_RootConstrainSelectedInstOperands,
     /*  531257 */     // GIR_Coverage, 5991,
     /*  531257 */     GIR_EraseRootFromParent_Done,
     /*  531258 */   // Label 8888: @531258
     /*  531258 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(531333), // Rule ID 5994 //
     /*  531263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  531312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531331 */     GIR_RootConstrainSelectedInstOperands,
     /*  531332 */     // GIR_Coverage, 5994,
     /*  531332 */     GIR_EraseRootFromParent_Done,
     /*  531333 */   // Label 8889: @531333
     /*  531333 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(531408), // Rule ID 5995 //
     /*  531338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  531387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531406 */     GIR_RootConstrainSelectedInstOperands,
     /*  531407 */     // GIR_Coverage, 5995,
     /*  531407 */     GIR_EraseRootFromParent_Done,
     /*  531408 */   // Label 8890: @531408
     /*  531408 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(531483), // Rule ID 5998 //
     /*  531413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  531430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531481 */     GIR_RootConstrainSelectedInstOperands,
     /*  531482 */     // GIR_Coverage, 5998,
     /*  531482 */     GIR_EraseRootFromParent_Done,
     /*  531483 */   // Label 8891: @531483
     /*  531483 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(531558), // Rule ID 5999 //
     /*  531488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  531499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  531502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  531505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531556 */     GIR_RootConstrainSelectedInstOperands,
     /*  531557 */     // GIR_Coverage, 5999,
     /*  531557 */     GIR_EraseRootFromParent_Done,
     /*  531558 */   // Label 8892: @531558
     /*  531558 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(531633), // Rule ID 6002 //
     /*  531563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531631 */     GIR_RootConstrainSelectedInstOperands,
     /*  531632 */     // GIR_Coverage, 6002,
     /*  531632 */     GIR_EraseRootFromParent_Done,
     /*  531633 */   // Label 8893: @531633
     /*  531633 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(531708), // Rule ID 6003 //
     /*  531638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531706 */     GIR_RootConstrainSelectedInstOperands,
     /*  531707 */     // GIR_Coverage, 6003,
     /*  531707 */     GIR_EraseRootFromParent_Done,
     /*  531708 */   // Label 8894: @531708
     /*  531708 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(531783), // Rule ID 6006 //
     /*  531713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531781 */     GIR_RootConstrainSelectedInstOperands,
     /*  531782 */     // GIR_Coverage, 6006,
     /*  531782 */     GIR_EraseRootFromParent_Done,
     /*  531783 */   // Label 8895: @531783
     /*  531783 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(531858), // Rule ID 6007 //
     /*  531788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531856 */     GIR_RootConstrainSelectedInstOperands,
     /*  531857 */     // GIR_Coverage, 6007,
     /*  531857 */     GIR_EraseRootFromParent_Done,
     /*  531858 */   // Label 8896: @531858
     /*  531858 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(531933), // Rule ID 6010 //
     /*  531863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  531866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  531909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  531928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531931 */     GIR_RootConstrainSelectedInstOperands,
     /*  531932 */     // GIR_Coverage, 6010,
     /*  531932 */     GIR_EraseRootFromParent_Done,
     /*  531933 */   // Label 8897: @531933
     /*  531933 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(532008), // Rule ID 6011 //
     /*  531938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  531941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  531946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  531984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  531987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532006 */     GIR_RootConstrainSelectedInstOperands,
     /*  532007 */     // GIR_Coverage, 6011,
     /*  532007 */     GIR_EraseRootFromParent_Done,
     /*  532008 */   // Label 8898: @532008
     /*  532008 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(532083), // Rule ID 6014 //
     /*  532013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  532024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  532027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  532030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  532062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532081 */     GIR_RootConstrainSelectedInstOperands,
     /*  532082 */     // GIR_Coverage, 6014,
     /*  532082 */     GIR_EraseRootFromParent_Done,
     /*  532083 */   // Label 8899: @532083
     /*  532083 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(532158), // Rule ID 6015 //
     /*  532088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  532099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  532102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  532105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  532137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532156 */     GIR_RootConstrainSelectedInstOperands,
     /*  532157 */     // GIR_Coverage, 6015,
     /*  532157 */     GIR_EraseRootFromParent_Done,
     /*  532158 */   // Label 8900: @532158
     /*  532158 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(532233), // Rule ID 6018 //
     /*  532163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  532174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  532177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  532180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  532212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532231 */     GIR_RootConstrainSelectedInstOperands,
     /*  532232 */     // GIR_Coverage, 6018,
     /*  532232 */     GIR_EraseRootFromParent_Done,
     /*  532233 */   // Label 8901: @532233
     /*  532233 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(532308), // Rule ID 6019 //
     /*  532238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  532249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  532252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  532255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  532287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532306 */     GIR_RootConstrainSelectedInstOperands,
     /*  532307 */     // GIR_Coverage, 6019,
     /*  532307 */     GIR_EraseRootFromParent_Done,
     /*  532308 */   // Label 8902: @532308
     /*  532308 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(532383), // Rule ID 6022 //
     /*  532313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  532324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  532327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  532330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  532362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532381 */     GIR_RootConstrainSelectedInstOperands,
     /*  532382 */     // GIR_Coverage, 6022,
     /*  532382 */     GIR_EraseRootFromParent_Done,
     /*  532383 */   // Label 8903: @532383
     /*  532383 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(532458), // Rule ID 6023 //
     /*  532388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  532399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  532402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  532405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532434 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  532437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532456 */     GIR_RootConstrainSelectedInstOperands,
     /*  532457 */     // GIR_Coverage, 6023,
     /*  532457 */     GIR_EraseRootFromParent_Done,
     /*  532458 */   // Label 8904: @532458
     /*  532458 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(532533), // Rule ID 6026 //
     /*  532463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  532512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532531 */     GIR_RootConstrainSelectedInstOperands,
     /*  532532 */     // GIR_Coverage, 6026,
     /*  532532 */     GIR_EraseRootFromParent_Done,
     /*  532533 */   // Label 8905: @532533
     /*  532533 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(532608), // Rule ID 6027 //
     /*  532538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  532587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532606 */     GIR_RootConstrainSelectedInstOperands,
     /*  532607 */     // GIR_Coverage, 6027,
     /*  532607 */     GIR_EraseRootFromParent_Done,
     /*  532608 */   // Label 8906: @532608
     /*  532608 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(532683), // Rule ID 6030 //
     /*  532613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  532662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532681 */     GIR_RootConstrainSelectedInstOperands,
     /*  532682 */     // GIR_Coverage, 6030,
     /*  532682 */     GIR_EraseRootFromParent_Done,
     /*  532683 */   // Label 8907: @532683
     /*  532683 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(532758), // Rule ID 6031 //
     /*  532688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  532705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  532737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532756 */     GIR_RootConstrainSelectedInstOperands,
     /*  532757 */     // GIR_Coverage, 6031,
     /*  532757 */     GIR_EraseRootFromParent_Done,
     /*  532758 */   // Label 8908: @532758
     /*  532758 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(532833), // Rule ID 6034 //
     /*  532763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  532774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  532777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  532780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  532812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532831 */     GIR_RootConstrainSelectedInstOperands,
     /*  532832 */     // GIR_Coverage, 6034,
     /*  532832 */     GIR_EraseRootFromParent_Done,
     /*  532833 */   // Label 8909: @532833
     /*  532833 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(532908), // Rule ID 6035 //
     /*  532838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  532849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  532852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  532855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  532887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532906 */     GIR_RootConstrainSelectedInstOperands,
     /*  532907 */     // GIR_Coverage, 6035,
     /*  532907 */     GIR_EraseRootFromParent_Done,
     /*  532908 */   // Label 8910: @532908
     /*  532908 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(532983), // Rule ID 6038 //
     /*  532913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  532962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532981 */     GIR_RootConstrainSelectedInstOperands,
     /*  532982 */     // GIR_Coverage, 6038,
     /*  532982 */     GIR_EraseRootFromParent_Done,
     /*  532983 */   // Label 8911: @532983
     /*  532983 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(533058), // Rule ID 6039 //
     /*  532988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  533037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533056 */     GIR_RootConstrainSelectedInstOperands,
     /*  533057 */     // GIR_Coverage, 6039,
     /*  533057 */     GIR_EraseRootFromParent_Done,
     /*  533058 */   // Label 8912: @533058
     /*  533058 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(533133), // Rule ID 6042 //
     /*  533063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  533083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  533112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533131 */     GIR_RootConstrainSelectedInstOperands,
     /*  533132 */     // GIR_Coverage, 6042,
     /*  533132 */     GIR_EraseRootFromParent_Done,
     /*  533133 */   // Label 8913: @533133
     /*  533133 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(533208), // Rule ID 6043 //
     /*  533138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  533187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533206 */     GIR_RootConstrainSelectedInstOperands,
     /*  533207 */     // GIR_Coverage, 6043,
     /*  533207 */     GIR_EraseRootFromParent_Done,
     /*  533208 */   // Label 8914: @533208
     /*  533208 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(533283), // Rule ID 6046 //
     /*  533213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  533224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  533227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  533233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  533262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533281 */     GIR_RootConstrainSelectedInstOperands,
     /*  533282 */     // GIR_Coverage, 6046,
     /*  533282 */     GIR_EraseRootFromParent_Done,
     /*  533283 */   // Label 8915: @533283
     /*  533283 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(533358), // Rule ID 6047 //
     /*  533288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  533299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  533302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  533337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533356 */     GIR_RootConstrainSelectedInstOperands,
     /*  533357 */     // GIR_Coverage, 6047,
     /*  533357 */     GIR_EraseRootFromParent_Done,
     /*  533358 */   // Label 8916: @533358
     /*  533358 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(533433), // Rule ID 6050 //
     /*  533363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  533366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  533374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  533377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  533383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  533409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  533412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533431 */     GIR_RootConstrainSelectedInstOperands,
     /*  533432 */     // GIR_Coverage, 6050,
     /*  533432 */     GIR_EraseRootFromParent_Done,
     /*  533433 */   // Label 8917: @533433
     /*  533433 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(533508), // Rule ID 6051 //
     /*  533438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  533441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  533449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  533452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  533484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  533487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533506 */     GIR_RootConstrainSelectedInstOperands,
     /*  533507 */     // GIR_Coverage, 6051,
     /*  533507 */     GIR_EraseRootFromParent_Done,
     /*  533508 */   // Label 8918: @533508
     /*  533508 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(533583), // Rule ID 6054 //
     /*  533513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  533516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  533533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  533559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  533562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533581 */     GIR_RootConstrainSelectedInstOperands,
     /*  533582 */     // GIR_Coverage, 6054,
     /*  533582 */     GIR_EraseRootFromParent_Done,
     /*  533583 */   // Label 8919: @533583
     /*  533583 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(533658), // Rule ID 6055 //
     /*  533588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  533591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  533634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  533637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533656 */     GIR_RootConstrainSelectedInstOperands,
     /*  533657 */     // GIR_Coverage, 6055,
     /*  533657 */     GIR_EraseRootFromParent_Done,
     /*  533658 */   // Label 8920: @533658
     /*  533658 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(533733), // Rule ID 6058 //
     /*  533663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  533666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  533683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  533709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  533712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533731 */     GIR_RootConstrainSelectedInstOperands,
     /*  533732 */     // GIR_Coverage, 6058,
     /*  533732 */     GIR_EraseRootFromParent_Done,
     /*  533733 */   // Label 8921: @533733
     /*  533733 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(533808), // Rule ID 6059 //
     /*  533738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  533741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  533755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  533758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  533777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  533784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  533787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533806 */     GIR_RootConstrainSelectedInstOperands,
     /*  533807 */     // GIR_Coverage, 6059,
     /*  533807 */     GIR_EraseRootFromParent_Done,
     /*  533808 */   // Label 8922: @533808
     /*  533808 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(533883), // Rule ID 6150 //
     /*  533813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  533821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  533830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  533833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  533862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533881 */     GIR_RootConstrainSelectedInstOperands,
     /*  533882 */     // GIR_Coverage, 6150,
     /*  533882 */     GIR_EraseRootFromParent_Done,
     /*  533883 */   // Label 8923: @533883
     /*  533883 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(533958), // Rule ID 6151 //
     /*  533888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  533896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  533905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  533908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  533937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533956 */     GIR_RootConstrainSelectedInstOperands,
     /*  533957 */     // GIR_Coverage, 6151,
     /*  533957 */     GIR_EraseRootFromParent_Done,
     /*  533958 */   // Label 8924: @533958
     /*  533958 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(534033), // Rule ID 6154 //
     /*  533963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  533971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  533980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  533983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  534012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534031 */     GIR_RootConstrainSelectedInstOperands,
     /*  534032 */     // GIR_Coverage, 6154,
     /*  534032 */     GIR_EraseRootFromParent_Done,
     /*  534033 */   // Label 8925: @534033
     /*  534033 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(534108), // Rule ID 6155 //
     /*  534038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  534049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  534052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  534055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  534058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  534087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534106 */     GIR_RootConstrainSelectedInstOperands,
     /*  534107 */     // GIR_Coverage, 6155,
     /*  534107 */     GIR_EraseRootFromParent_Done,
     /*  534108 */   // Label 8926: @534108
     /*  534108 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(534183), // Rule ID 6158 //
     /*  534113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  534124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  534127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  534130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  534133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534181 */     GIR_RootConstrainSelectedInstOperands,
     /*  534182 */     // GIR_Coverage, 6158,
     /*  534182 */     GIR_EraseRootFromParent_Done,
     /*  534183 */   // Label 8927: @534183
     /*  534183 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(534258), // Rule ID 6159 //
     /*  534188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  534199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  534202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  534205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  534208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534256 */     GIR_RootConstrainSelectedInstOperands,
     /*  534257 */     // GIR_Coverage, 6159,
     /*  534257 */     GIR_EraseRootFromParent_Done,
     /*  534258 */   // Label 8928: @534258
     /*  534258 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(534333), // Rule ID 6162 //
     /*  534263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  534280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  534283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  534312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534331 */     GIR_RootConstrainSelectedInstOperands,
     /*  534332 */     // GIR_Coverage, 6162,
     /*  534332 */     GIR_EraseRootFromParent_Done,
     /*  534333 */   // Label 8929: @534333
     /*  534333 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(534408), // Rule ID 6163 //
     /*  534338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  534355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  534358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  534387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534406 */     GIR_RootConstrainSelectedInstOperands,
     /*  534407 */     // GIR_Coverage, 6163,
     /*  534407 */     GIR_EraseRootFromParent_Done,
     /*  534408 */   // Label 8930: @534408
     /*  534408 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(534483), // Rule ID 6166 //
     /*  534413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  534430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  534433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534481 */     GIR_RootConstrainSelectedInstOperands,
     /*  534482 */     // GIR_Coverage, 6166,
     /*  534482 */     GIR_EraseRootFromParent_Done,
     /*  534483 */   // Label 8931: @534483
     /*  534483 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(534558), // Rule ID 6167 //
     /*  534488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  534505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  534508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534556 */     GIR_RootConstrainSelectedInstOperands,
     /*  534557 */     // GIR_Coverage, 6167,
     /*  534557 */     GIR_EraseRootFromParent_Done,
     /*  534558 */   // Label 8932: @534558
     /*  534558 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(534633), // Rule ID 6170 //
     /*  534563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  534583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534631 */     GIR_RootConstrainSelectedInstOperands,
     /*  534632 */     // GIR_Coverage, 6170,
     /*  534632 */     GIR_EraseRootFromParent_Done,
     /*  534633 */   // Label 8933: @534633
     /*  534633 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(534708), // Rule ID 6171 //
     /*  534638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  534658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  534687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534706 */     GIR_RootConstrainSelectedInstOperands,
     /*  534707 */     // GIR_Coverage, 6171,
     /*  534707 */     GIR_EraseRootFromParent_Done,
     /*  534708 */   // Label 8934: @534708
     /*  534708 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(534783), // Rule ID 6174 //
     /*  534713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  534724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  534727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  534730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  534733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  534762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534781 */     GIR_RootConstrainSelectedInstOperands,
     /*  534782 */     // GIR_Coverage, 6174,
     /*  534782 */     GIR_EraseRootFromParent_Done,
     /*  534783 */   // Label 8935: @534783
     /*  534783 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(534858), // Rule ID 6175 //
     /*  534788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  534799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  534802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  534805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  534808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  534837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534856 */     GIR_RootConstrainSelectedInstOperands,
     /*  534857 */     // GIR_Coverage, 6175,
     /*  534857 */     GIR_EraseRootFromParent_Done,
     /*  534858 */   // Label 8936: @534858
     /*  534858 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(534933), // Rule ID 6178 //
     /*  534863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  534880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  534883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  534912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534931 */     GIR_RootConstrainSelectedInstOperands,
     /*  534932 */     // GIR_Coverage, 6178,
     /*  534932 */     GIR_EraseRootFromParent_Done,
     /*  534933 */   // Label 8937: @534933
     /*  534933 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(535008), // Rule ID 6179 //
     /*  534938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  534946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  534955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  534958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  534987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535006 */     GIR_RootConstrainSelectedInstOperands,
     /*  535007 */     // GIR_Coverage, 6179,
     /*  535007 */     GIR_EraseRootFromParent_Done,
     /*  535008 */   // Label 8938: @535008
     /*  535008 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(535083), // Rule ID 6182 //
     /*  535013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  535030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  535033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  535062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535081 */     GIR_RootConstrainSelectedInstOperands,
     /*  535082 */     // GIR_Coverage, 6182,
     /*  535082 */     GIR_EraseRootFromParent_Done,
     /*  535083 */   // Label 8939: @535083
     /*  535083 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(535158), // Rule ID 6183 //
     /*  535088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  535105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  535108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  535137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535156 */     GIR_RootConstrainSelectedInstOperands,
     /*  535157 */     // GIR_Coverage, 6183,
     /*  535157 */     GIR_EraseRootFromParent_Done,
     /*  535158 */   // Label 8940: @535158
     /*  535158 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(535233), // Rule ID 6186 //
     /*  535163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  535166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  535174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  535177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  535183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  535209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  535212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535231 */     GIR_RootConstrainSelectedInstOperands,
     /*  535232 */     // GIR_Coverage, 6186,
     /*  535232 */     GIR_EraseRootFromParent_Done,
     /*  535233 */   // Label 8941: @535233
     /*  535233 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(535308), // Rule ID 6187 //
     /*  535238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  535241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  535249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  535252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  535258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  535284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  535287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535306 */     GIR_RootConstrainSelectedInstOperands,
     /*  535307 */     // GIR_Coverage, 6187,
     /*  535307 */     GIR_EraseRootFromParent_Done,
     /*  535308 */   // Label 8942: @535308
     /*  535308 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(535383), // Rule ID 6190 //
     /*  535313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  535324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  535327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  535330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  535333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  535362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535381 */     GIR_RootConstrainSelectedInstOperands,
     /*  535382 */     // GIR_Coverage, 6190,
     /*  535382 */     GIR_EraseRootFromParent_Done,
     /*  535383 */   // Label 8943: @535383
     /*  535383 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(535458), // Rule ID 6191 //
     /*  535388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  535399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  535402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  535405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  535408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  535437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535456 */     GIR_RootConstrainSelectedInstOperands,
     /*  535457 */     // GIR_Coverage, 6191,
     /*  535457 */     GIR_EraseRootFromParent_Done,
     /*  535458 */   // Label 8944: @535458
     /*  535458 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(535533), // Rule ID 6194 //
     /*  535463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  535474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  535477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  535480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  535483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  535512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535531 */     GIR_RootConstrainSelectedInstOperands,
     /*  535532 */     // GIR_Coverage, 6194,
     /*  535532 */     GIR_EraseRootFromParent_Done,
     /*  535533 */   // Label 8945: @535533
     /*  535533 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(535608), // Rule ID 6195 //
     /*  535538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  535549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  535552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  535555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  535558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  535587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535606 */     GIR_RootConstrainSelectedInstOperands,
     /*  535607 */     // GIR_Coverage, 6195,
     /*  535607 */     GIR_EraseRootFromParent_Done,
     /*  535608 */   // Label 8946: @535608
     /*  535608 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(535683), // Rule ID 6198 //
     /*  535613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  535624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  535627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  535630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  535633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  535662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535681 */     GIR_RootConstrainSelectedInstOperands,
     /*  535682 */     // GIR_Coverage, 6198,
     /*  535682 */     GIR_EraseRootFromParent_Done,
     /*  535683 */   // Label 8947: @535683
     /*  535683 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(535758), // Rule ID 6199 //
     /*  535688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  535699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  535702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  535705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  535708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535734 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  535737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535756 */     GIR_RootConstrainSelectedInstOperands,
     /*  535757 */     // GIR_Coverage, 6199,
     /*  535757 */     GIR_EraseRootFromParent_Done,
     /*  535758 */   // Label 8948: @535758
     /*  535758 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(535833), // Rule ID 6202 //
     /*  535763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  535783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  535812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535831 */     GIR_RootConstrainSelectedInstOperands,
     /*  535832 */     // GIR_Coverage, 6202,
     /*  535832 */     GIR_EraseRootFromParent_Done,
     /*  535833 */   // Label 8949: @535833
     /*  535833 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(535908), // Rule ID 6203 //
     /*  535838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  535855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  535858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  535887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535906 */     GIR_RootConstrainSelectedInstOperands,
     /*  535907 */     // GIR_Coverage, 6203,
     /*  535907 */     GIR_EraseRootFromParent_Done,
     /*  535908 */   // Label 8950: @535908
     /*  535908 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(535983), // Rule ID 6206 //
     /*  535913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  535930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  535933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  535962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535981 */     GIR_RootConstrainSelectedInstOperands,
     /*  535982 */     // GIR_Coverage, 6206,
     /*  535982 */     GIR_EraseRootFromParent_Done,
     /*  535983 */   // Label 8951: @535983
     /*  535983 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(536058), // Rule ID 6207 //
     /*  535988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  535996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  536005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  536008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  536037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536056 */     GIR_RootConstrainSelectedInstOperands,
     /*  536057 */     // GIR_Coverage, 6207,
     /*  536057 */     GIR_EraseRootFromParent_Done,
     /*  536058 */   // Label 8952: @536058
     /*  536058 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(536133), // Rule ID 6210 //
     /*  536063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  536074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  536077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  536083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  536112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536131 */     GIR_RootConstrainSelectedInstOperands,
     /*  536132 */     // GIR_Coverage, 6210,
     /*  536132 */     GIR_EraseRootFromParent_Done,
     /*  536133 */   // Label 8953: @536133
     /*  536133 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(536208), // Rule ID 6211 //
     /*  536138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  536149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  536152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  536158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  536187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536206 */     GIR_RootConstrainSelectedInstOperands,
     /*  536207 */     // GIR_Coverage, 6211,
     /*  536207 */     GIR_EraseRootFromParent_Done,
     /*  536208 */   // Label 8954: @536208
     /*  536208 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(536283), // Rule ID 6214 //
     /*  536213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  536233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  536262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536281 */     GIR_RootConstrainSelectedInstOperands,
     /*  536282 */     // GIR_Coverage, 6214,
     /*  536282 */     GIR_EraseRootFromParent_Done,
     /*  536283 */   // Label 8955: @536283
     /*  536283 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(536358), // Rule ID 6215 //
     /*  536288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  536305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  536308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  536337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536356 */     GIR_RootConstrainSelectedInstOperands,
     /*  536357 */     // GIR_Coverage, 6215,
     /*  536357 */     GIR_EraseRootFromParent_Done,
     /*  536358 */   // Label 8956: @536358
     /*  536358 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(536433), // Rule ID 6218 //
     /*  536363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  536383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  536412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536431 */     GIR_RootConstrainSelectedInstOperands,
     /*  536432 */     // GIR_Coverage, 6218,
     /*  536432 */     GIR_EraseRootFromParent_Done,
     /*  536433 */   // Label 8957: @536433
     /*  536433 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(536508), // Rule ID 6219 //
     /*  536438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  536455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  536458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  536487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536506 */     GIR_RootConstrainSelectedInstOperands,
     /*  536507 */     // GIR_Coverage, 6219,
     /*  536507 */     GIR_EraseRootFromParent_Done,
     /*  536508 */   // Label 8958: @536508
     /*  536508 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(536583), // Rule ID 6222 //
     /*  536513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  536533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  536562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536581 */     GIR_RootConstrainSelectedInstOperands,
     /*  536582 */     // GIR_Coverage, 6222,
     /*  536582 */     GIR_EraseRootFromParent_Done,
     /*  536583 */   // Label 8959: @536583
     /*  536583 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(536658), // Rule ID 6223 //
     /*  536588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  536605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  536608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  536637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536656 */     GIR_RootConstrainSelectedInstOperands,
     /*  536657 */     // GIR_Coverage, 6223,
     /*  536657 */     GIR_EraseRootFromParent_Done,
     /*  536658 */   // Label 8960: @536658
     /*  536658 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(536733), // Rule ID 6226 //
     /*  536663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  536666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  536674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  536677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  536683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  536709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  536712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  536728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536731 */     GIR_RootConstrainSelectedInstOperands,
     /*  536732 */     // GIR_Coverage, 6226,
     /*  536732 */     GIR_EraseRootFromParent_Done,
     /*  536733 */   // Label 8961: @536733
     /*  536733 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(536808), // Rule ID 6227 //
     /*  536738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  536741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  536749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  536752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  536755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  536758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  536784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  536787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  536803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536806 */     GIR_RootConstrainSelectedInstOperands,
     /*  536807 */     // GIR_Coverage, 6227,
     /*  536807 */     GIR_EraseRootFromParent_Done,
     /*  536808 */   // Label 8962: @536808
     /*  536808 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(536883), // Rule ID 6230 //
     /*  536813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  536816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  536824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  536827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  536833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  536859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  536862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  536878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536881 */     GIR_RootConstrainSelectedInstOperands,
     /*  536882 */     // GIR_Coverage, 6230,
     /*  536882 */     GIR_EraseRootFromParent_Done,
     /*  536883 */   // Label 8963: @536883
     /*  536883 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(536958), // Rule ID 6231 //
     /*  536888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  536891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  536899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  536902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  536905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  536908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  536934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  536937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  536953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536956 */     GIR_RootConstrainSelectedInstOperands,
     /*  536957 */     // GIR_Coverage, 6231,
     /*  536957 */     GIR_EraseRootFromParent_Done,
     /*  536958 */   // Label 8964: @536958
     /*  536958 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(537033), // Rule ID 6234 //
     /*  536963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  536966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  536971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  536974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  536977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  536980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  536983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  537009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  537012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  537028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537031 */     GIR_RootConstrainSelectedInstOperands,
     /*  537032 */     // GIR_Coverage, 6234,
     /*  537032 */     GIR_EraseRootFromParent_Done,
     /*  537033 */   // Label 8965: @537033
     /*  537033 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(537108), // Rule ID 6235 //
     /*  537038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  537041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  537049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  537052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  537058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  537084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  537087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  537103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537106 */     GIR_RootConstrainSelectedInstOperands,
     /*  537107 */     // GIR_Coverage, 6235,
     /*  537107 */     GIR_EraseRootFromParent_Done,
     /*  537108 */   // Label 8966: @537108
     /*  537108 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(537183), // Rule ID 6238 //
     /*  537113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  537124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  537127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  537130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537159 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  537162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537181 */     GIR_RootConstrainSelectedInstOperands,
     /*  537182 */     // GIR_Coverage, 6238,
     /*  537182 */     GIR_EraseRootFromParent_Done,
     /*  537183 */   // Label 8967: @537183
     /*  537183 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(537258), // Rule ID 6239 //
     /*  537188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  537199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  537202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  537205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  537237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537256 */     GIR_RootConstrainSelectedInstOperands,
     /*  537257 */     // GIR_Coverage, 6239,
     /*  537257 */     GIR_EraseRootFromParent_Done,
     /*  537258 */   // Label 8968: @537258
     /*  537258 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(537333), // Rule ID 6242 //
     /*  537263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  537274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  537277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  537280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  537312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537331 */     GIR_RootConstrainSelectedInstOperands,
     /*  537332 */     // GIR_Coverage, 6242,
     /*  537332 */     GIR_EraseRootFromParent_Done,
     /*  537333 */   // Label 8969: @537333
     /*  537333 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(537408), // Rule ID 6243 //
     /*  537338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  537349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  537352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  537355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  537387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537406 */     GIR_RootConstrainSelectedInstOperands,
     /*  537407 */     // GIR_Coverage, 6243,
     /*  537407 */     GIR_EraseRootFromParent_Done,
     /*  537408 */   // Label 8970: @537408
     /*  537408 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(537483), // Rule ID 6246 //
     /*  537413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  537424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  537427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  537430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537459 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537481 */     GIR_RootConstrainSelectedInstOperands,
     /*  537482 */     // GIR_Coverage, 6246,
     /*  537482 */     GIR_EraseRootFromParent_Done,
     /*  537483 */   // Label 8971: @537483
     /*  537483 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(537558), // Rule ID 6247 //
     /*  537488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  537499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  537502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  537505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537556 */     GIR_RootConstrainSelectedInstOperands,
     /*  537557 */     // GIR_Coverage, 6247,
     /*  537557 */     GIR_EraseRootFromParent_Done,
     /*  537558 */   // Label 8972: @537558
     /*  537558 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(537633), // Rule ID 6250 //
     /*  537563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  537580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  537612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537631 */     GIR_RootConstrainSelectedInstOperands,
     /*  537632 */     // GIR_Coverage, 6250,
     /*  537632 */     GIR_EraseRootFromParent_Done,
     /*  537633 */   // Label 8973: @537633
     /*  537633 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(537708), // Rule ID 6251 //
     /*  537638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  537655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  537687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537706 */     GIR_RootConstrainSelectedInstOperands,
     /*  537707 */     // GIR_Coverage, 6251,
     /*  537707 */     GIR_EraseRootFromParent_Done,
     /*  537708 */   // Label 8974: @537708
     /*  537708 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(537783), // Rule ID 6254 //
     /*  537713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  537730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537781 */     GIR_RootConstrainSelectedInstOperands,
     /*  537782 */     // GIR_Coverage, 6254,
     /*  537782 */     GIR_EraseRootFromParent_Done,
     /*  537783 */   // Label 8975: @537783
     /*  537783 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(537858), // Rule ID 6255 //
     /*  537788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  537805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537856 */     GIR_RootConstrainSelectedInstOperands,
     /*  537857 */     // GIR_Coverage, 6255,
     /*  537857 */     GIR_EraseRootFromParent_Done,
     /*  537858 */   // Label 8976: @537858
     /*  537858 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(537933), // Rule ID 6258 //
     /*  537863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537931 */     GIR_RootConstrainSelectedInstOperands,
     /*  537932 */     // GIR_Coverage, 6258,
     /*  537932 */     GIR_EraseRootFromParent_Done,
     /*  537933 */   // Label 8977: @537933
     /*  537933 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(538008), // Rule ID 6259 //
     /*  537938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  537946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  537955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  537987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538006 */     GIR_RootConstrainSelectedInstOperands,
     /*  538007 */     // GIR_Coverage, 6259,
     /*  538007 */     GIR_EraseRootFromParent_Done,
     /*  538008 */   // Label 8978: @538008
     /*  538008 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(538083), // Rule ID 6262 //
     /*  538013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  538024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  538027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  538030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538081 */     GIR_RootConstrainSelectedInstOperands,
     /*  538082 */     // GIR_Coverage, 6262,
     /*  538082 */     GIR_EraseRootFromParent_Done,
     /*  538083 */   // Label 8979: @538083
     /*  538083 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(538158), // Rule ID 6263 //
     /*  538088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  538099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  538102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  538105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538156 */     GIR_RootConstrainSelectedInstOperands,
     /*  538157 */     // GIR_Coverage, 6263,
     /*  538157 */     GIR_EraseRootFromParent_Done,
     /*  538158 */   // Label 8980: @538158
     /*  538158 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(538233), // Rule ID 6266 //
     /*  538163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  538180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538231 */     GIR_RootConstrainSelectedInstOperands,
     /*  538232 */     // GIR_Coverage, 6266,
     /*  538232 */     GIR_EraseRootFromParent_Done,
     /*  538233 */   // Label 8981: @538233
     /*  538233 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(538308), // Rule ID 6267 //
     /*  538238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  538255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538306 */     GIR_RootConstrainSelectedInstOperands,
     /*  538307 */     // GIR_Coverage, 6267,
     /*  538307 */     GIR_EraseRootFromParent_Done,
     /*  538308 */   // Label 8982: @538308
     /*  538308 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(538383), // Rule ID 6270 //
     /*  538313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538381 */     GIR_RootConstrainSelectedInstOperands,
     /*  538382 */     // GIR_Coverage, 6270,
     /*  538382 */     GIR_EraseRootFromParent_Done,
     /*  538383 */   // Label 8983: @538383
     /*  538383 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(538458), // Rule ID 6271 //
     /*  538388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538456 */     GIR_RootConstrainSelectedInstOperands,
     /*  538457 */     // GIR_Coverage, 6271,
     /*  538457 */     GIR_EraseRootFromParent_Done,
     /*  538458 */   // Label 8984: @538458
     /*  538458 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(538533), // Rule ID 6274 //
     /*  538463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  538466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  538509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538531 */     GIR_RootConstrainSelectedInstOperands,
     /*  538532 */     // GIR_Coverage, 6274,
     /*  538532 */     GIR_EraseRootFromParent_Done,
     /*  538533 */   // Label 8985: @538533
     /*  538533 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(538608), // Rule ID 6275 //
     /*  538538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  538541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  538584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  538587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538606 */     GIR_RootConstrainSelectedInstOperands,
     /*  538607 */     // GIR_Coverage, 6275,
     /*  538607 */     GIR_EraseRootFromParent_Done,
     /*  538608 */   // Label 8986: @538608
     /*  538608 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(538683), // Rule ID 6278 //
     /*  538613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  538624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  538627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  538630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  538662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538681 */     GIR_RootConstrainSelectedInstOperands,
     /*  538682 */     // GIR_Coverage, 6278,
     /*  538682 */     GIR_EraseRootFromParent_Done,
     /*  538683 */   // Label 8987: @538683
     /*  538683 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(538758), // Rule ID 6279 //
     /*  538688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  538699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  538702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  538705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  538737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538756 */     GIR_RootConstrainSelectedInstOperands,
     /*  538757 */     // GIR_Coverage, 6279,
     /*  538757 */     GIR_EraseRootFromParent_Done,
     /*  538758 */   // Label 8988: @538758
     /*  538758 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(538833), // Rule ID 6282 //
     /*  538763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  538774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  538777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  538780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  538812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538831 */     GIR_RootConstrainSelectedInstOperands,
     /*  538832 */     // GIR_Coverage, 6282,
     /*  538832 */     GIR_EraseRootFromParent_Done,
     /*  538833 */   // Label 8989: @538833
     /*  538833 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(538908), // Rule ID 6283 //
     /*  538838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  538849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  538852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  538855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  538887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538906 */     GIR_RootConstrainSelectedInstOperands,
     /*  538907 */     // GIR_Coverage, 6283,
     /*  538907 */     GIR_EraseRootFromParent_Done,
     /*  538908 */   // Label 8990: @538908
     /*  538908 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(538983), // Rule ID 6286 //
     /*  538913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  538924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  538927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  538930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  538962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538981 */     GIR_RootConstrainSelectedInstOperands,
     /*  538982 */     // GIR_Coverage, 6286,
     /*  538982 */     GIR_EraseRootFromParent_Done,
     /*  538983 */   // Label 8991: @538983
     /*  538983 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(539058), // Rule ID 6287 //
     /*  538988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  538996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  538999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  539002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  539005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  539037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539056 */     GIR_RootConstrainSelectedInstOperands,
     /*  539057 */     // GIR_Coverage, 6287,
     /*  539057 */     GIR_EraseRootFromParent_Done,
     /*  539058 */   // Label 8992: @539058
     /*  539058 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(539133), // Rule ID 6290 //
     /*  539063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  539080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  539112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539131 */     GIR_RootConstrainSelectedInstOperands,
     /*  539132 */     // GIR_Coverage, 6290,
     /*  539132 */     GIR_EraseRootFromParent_Done,
     /*  539133 */   // Label 8993: @539133
     /*  539133 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(539208), // Rule ID 6291 //
     /*  539138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  539155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  539187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539206 */     GIR_RootConstrainSelectedInstOperands,
     /*  539207 */     // GIR_Coverage, 6291,
     /*  539207 */     GIR_EraseRootFromParent_Done,
     /*  539208 */   // Label 8994: @539208
     /*  539208 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(539283), // Rule ID 6294 //
     /*  539213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  539230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  539262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539281 */     GIR_RootConstrainSelectedInstOperands,
     /*  539282 */     // GIR_Coverage, 6294,
     /*  539282 */     GIR_EraseRootFromParent_Done,
     /*  539283 */   // Label 8995: @539283
     /*  539283 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(539358), // Rule ID 6295 //
     /*  539288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  539305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  539337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539356 */     GIR_RootConstrainSelectedInstOperands,
     /*  539357 */     // GIR_Coverage, 6295,
     /*  539357 */     GIR_EraseRootFromParent_Done,
     /*  539358 */   // Label 8996: @539358
     /*  539358 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(539433), // Rule ID 6298 //
     /*  539363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  539380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  539412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539431 */     GIR_RootConstrainSelectedInstOperands,
     /*  539432 */     // GIR_Coverage, 6298,
     /*  539432 */     GIR_EraseRootFromParent_Done,
     /*  539433 */   // Label 8997: @539433
     /*  539433 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(539508), // Rule ID 6299 //
     /*  539438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  539449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  539452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  539455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  539487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539506 */     GIR_RootConstrainSelectedInstOperands,
     /*  539507 */     // GIR_Coverage, 6299,
     /*  539507 */     GIR_EraseRootFromParent_Done,
     /*  539508 */   // Label 8998: @539508
     /*  539508 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(539583), // Rule ID 6302 //
     /*  539513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  539562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539581 */     GIR_RootConstrainSelectedInstOperands,
     /*  539582 */     // GIR_Coverage, 6302,
     /*  539582 */     GIR_EraseRootFromParent_Done,
     /*  539583 */   // Label 8999: @539583
     /*  539583 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(539658), // Rule ID 6303 //
     /*  539588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  539637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539656 */     GIR_RootConstrainSelectedInstOperands,
     /*  539657 */     // GIR_Coverage, 6303,
     /*  539657 */     GIR_EraseRootFromParent_Done,
     /*  539658 */   // Label 9000: @539658
     /*  539658 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(539733), // Rule ID 6306 //
     /*  539663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  539712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539731 */     GIR_RootConstrainSelectedInstOperands,
     /*  539732 */     // GIR_Coverage, 6306,
     /*  539732 */     GIR_EraseRootFromParent_Done,
     /*  539733 */   // Label 9001: @539733
     /*  539733 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(539808), // Rule ID 6307 //
     /*  539738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  539787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539806 */     GIR_RootConstrainSelectedInstOperands,
     /*  539807 */     // GIR_Coverage, 6307,
     /*  539807 */     GIR_EraseRootFromParent_Done,
     /*  539808 */   // Label 9002: @539808
     /*  539808 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(539883), // Rule ID 6310 //
     /*  539813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  539824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  539827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  539862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539881 */     GIR_RootConstrainSelectedInstOperands,
     /*  539882 */     // GIR_Coverage, 6310,
     /*  539882 */     GIR_EraseRootFromParent_Done,
     /*  539883 */   // Label 9003: @539883
     /*  539883 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(539958), // Rule ID 6311 //
     /*  539888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  539899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  539902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  539937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539956 */     GIR_RootConstrainSelectedInstOperands,
     /*  539957 */     // GIR_Coverage, 6311,
     /*  539957 */     GIR_EraseRootFromParent_Done,
     /*  539958 */   // Label 9004: @539958
     /*  539958 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(540033), // Rule ID 6314 //
     /*  539963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  539966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  539974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  539977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  539980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  539983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  540009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  540012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540031 */     GIR_RootConstrainSelectedInstOperands,
     /*  540032 */     // GIR_Coverage, 6314,
     /*  540032 */     GIR_EraseRootFromParent_Done,
     /*  540033 */   // Label 9005: @540033
     /*  540033 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(540108), // Rule ID 6315 //
     /*  540038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  540041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  540049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  540052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  540058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  540084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  540087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540106 */     GIR_RootConstrainSelectedInstOperands,
     /*  540107 */     // GIR_Coverage, 6315,
     /*  540107 */     GIR_EraseRootFromParent_Done,
     /*  540108 */   // Label 9006: @540108
     /*  540108 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(540183), // Rule ID 6318 //
     /*  540113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  540116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  540133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  540159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  540162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540181 */     GIR_RootConstrainSelectedInstOperands,
     /*  540182 */     // GIR_Coverage, 6318,
     /*  540182 */     GIR_EraseRootFromParent_Done,
     /*  540183 */   // Label 9007: @540183
     /*  540183 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(540258), // Rule ID 6319 //
     /*  540188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  540191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  540199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  540202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  540208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  540234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  540237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540256 */     GIR_RootConstrainSelectedInstOperands,
     /*  540257 */     // GIR_Coverage, 6319,
     /*  540257 */     GIR_EraseRootFromParent_Done,
     /*  540258 */   // Label 9008: @540258
     /*  540258 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(540333), // Rule ID 6322 //
     /*  540263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  540266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  540283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  540309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  540312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540331 */     GIR_RootConstrainSelectedInstOperands,
     /*  540332 */     // GIR_Coverage, 6322,
     /*  540332 */     GIR_EraseRootFromParent_Done,
     /*  540333 */   // Label 9009: @540333
     /*  540333 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(540408), // Rule ID 6323 //
     /*  540338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  540341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  540349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  540352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  540358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  540377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  540384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  540387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540406 */     GIR_RootConstrainSelectedInstOperands,
     /*  540407 */     // GIR_Coverage, 6323,
     /*  540407 */     GIR_EraseRootFromParent_Done,
     /*  540408 */   // Label 9010: @540408
     /*  540408 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(540483), // Rule ID 6414 //
     /*  540413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  540424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  540427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  540430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540459 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  540462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540481 */     GIR_RootConstrainSelectedInstOperands,
     /*  540482 */     // GIR_Coverage, 6414,
     /*  540482 */     GIR_EraseRootFromParent_Done,
     /*  540483 */   // Label 9011: @540483
     /*  540483 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(540558), // Rule ID 6415 //
     /*  540488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  540499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  540502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  540505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540534 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  540537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540556 */     GIR_RootConstrainSelectedInstOperands,
     /*  540557 */     // GIR_Coverage, 6415,
     /*  540557 */     GIR_EraseRootFromParent_Done,
     /*  540558 */   // Label 9012: @540558
     /*  540558 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(540633), // Rule ID 6418 //
     /*  540563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  540574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  540577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  540580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  540612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540631 */     GIR_RootConstrainSelectedInstOperands,
     /*  540632 */     // GIR_Coverage, 6418,
     /*  540632 */     GIR_EraseRootFromParent_Done,
     /*  540633 */   // Label 9013: @540633
     /*  540633 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(540708), // Rule ID 6419 //
     /*  540638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  540649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  540652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  540655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540684 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  540687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540706 */     GIR_RootConstrainSelectedInstOperands,
     /*  540707 */     // GIR_Coverage, 6419,
     /*  540707 */     GIR_EraseRootFromParent_Done,
     /*  540708 */   // Label 9014: @540708
     /*  540708 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(540783), // Rule ID 6422 //
     /*  540713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  540724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  540727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  540730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  540762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540781 */     GIR_RootConstrainSelectedInstOperands,
     /*  540782 */     // GIR_Coverage, 6422,
     /*  540782 */     GIR_EraseRootFromParent_Done,
     /*  540783 */   // Label 9015: @540783
     /*  540783 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(540858), // Rule ID 6423 //
     /*  540788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  540799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  540802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  540805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540834 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  540837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540856 */     GIR_RootConstrainSelectedInstOperands,
     /*  540857 */     // GIR_Coverage, 6423,
     /*  540857 */     GIR_EraseRootFromParent_Done,
     /*  540858 */   // Label 9016: @540858
     /*  540858 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(540933), // Rule ID 6426 //
     /*  540863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  540880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  540912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540931 */     GIR_RootConstrainSelectedInstOperands,
     /*  540932 */     // GIR_Coverage, 6426,
     /*  540932 */     GIR_EraseRootFromParent_Done,
     /*  540933 */   // Label 9017: @540933
     /*  540933 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(541008), // Rule ID 6427 //
     /*  540938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  540946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  540955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  540987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541006 */     GIR_RootConstrainSelectedInstOperands,
     /*  541007 */     // GIR_Coverage, 6427,
     /*  541007 */     GIR_EraseRootFromParent_Done,
     /*  541008 */   // Label 9018: @541008
     /*  541008 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(541083), // Rule ID 6430 //
     /*  541013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  541030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  541033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  541062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541081 */     GIR_RootConstrainSelectedInstOperands,
     /*  541082 */     // GIR_Coverage, 6430,
     /*  541082 */     GIR_EraseRootFromParent_Done,
     /*  541083 */   // Label 9019: @541083
     /*  541083 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(541158), // Rule ID 6431 //
     /*  541088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  541105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  541108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  541137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541156 */     GIR_RootConstrainSelectedInstOperands,
     /*  541157 */     // GIR_Coverage, 6431,
     /*  541157 */     GIR_EraseRootFromParent_Done,
     /*  541158 */   // Label 9020: @541158
     /*  541158 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(541233), // Rule ID 6434 //
     /*  541163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  541180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  541212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541231 */     GIR_RootConstrainSelectedInstOperands,
     /*  541232 */     // GIR_Coverage, 6434,
     /*  541232 */     GIR_EraseRootFromParent_Done,
     /*  541233 */   // Label 9021: @541233
     /*  541233 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(541308), // Rule ID 6435 //
     /*  541238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  541255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  541287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541306 */     GIR_RootConstrainSelectedInstOperands,
     /*  541307 */     // GIR_Coverage, 6435,
     /*  541307 */     GIR_EraseRootFromParent_Done,
     /*  541308 */   // Label 9022: @541308
     /*  541308 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(541383), // Rule ID 6438 //
     /*  541313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  541324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  541327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  541330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541381 */     GIR_RootConstrainSelectedInstOperands,
     /*  541382 */     // GIR_Coverage, 6438,
     /*  541382 */     GIR_EraseRootFromParent_Done,
     /*  541383 */   // Label 9023: @541383
     /*  541383 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(541458), // Rule ID 6439 //
     /*  541388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  541399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  541402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  541405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541456 */     GIR_RootConstrainSelectedInstOperands,
     /*  541457 */     // GIR_Coverage, 6439,
     /*  541457 */     GIR_EraseRootFromParent_Done,
     /*  541458 */   // Label 9024: @541458
     /*  541458 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(541533), // Rule ID 6442 //
     /*  541463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  541480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541531 */     GIR_RootConstrainSelectedInstOperands,
     /*  541532 */     // GIR_Coverage, 6442,
     /*  541532 */     GIR_EraseRootFromParent_Done,
     /*  541533 */   // Label 9025: @541533
     /*  541533 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(541608), // Rule ID 6443 //
     /*  541538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  541555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541606 */     GIR_RootConstrainSelectedInstOperands,
     /*  541607 */     // GIR_Coverage, 6443,
     /*  541607 */     GIR_EraseRootFromParent_Done,
     /*  541608 */   // Label 9026: @541608
     /*  541608 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(541683), // Rule ID 6446 //
     /*  541613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  541630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541681 */     GIR_RootConstrainSelectedInstOperands,
     /*  541682 */     // GIR_Coverage, 6446,
     /*  541682 */     GIR_EraseRootFromParent_Done,
     /*  541683 */   // Label 9027: @541683
     /*  541683 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(541758), // Rule ID 6447 //
     /*  541688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  541705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541756 */     GIR_RootConstrainSelectedInstOperands,
     /*  541757 */     // GIR_Coverage, 6447,
     /*  541757 */     GIR_EraseRootFromParent_Done,
     /*  541758 */   // Label 9028: @541758
     /*  541758 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(541833), // Rule ID 6450 //
     /*  541763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  541766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  541783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  541809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  541828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541831 */     GIR_RootConstrainSelectedInstOperands,
     /*  541832 */     // GIR_Coverage, 6450,
     /*  541832 */     GIR_EraseRootFromParent_Done,
     /*  541833 */   // Label 9029: @541833
     /*  541833 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(541908), // Rule ID 6451 //
     /*  541838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  541841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  541858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  541884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  541887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  541903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541906 */     GIR_RootConstrainSelectedInstOperands,
     /*  541907 */     // GIR_Coverage, 6451,
     /*  541907 */     GIR_EraseRootFromParent_Done,
     /*  541908 */   // Label 9030: @541908
     /*  541908 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(541983), // Rule ID 6454 //
     /*  541913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  541924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  541927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  541930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541959 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  541962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541981 */     GIR_RootConstrainSelectedInstOperands,
     /*  541982 */     // GIR_Coverage, 6454,
     /*  541982 */     GIR_EraseRootFromParent_Done,
     /*  541983 */   // Label 9031: @541983
     /*  541983 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(542058), // Rule ID 6455 //
     /*  541988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  541996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  541999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  542002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  542005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  542037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542056 */     GIR_RootConstrainSelectedInstOperands,
     /*  542057 */     // GIR_Coverage, 6455,
     /*  542057 */     GIR_EraseRootFromParent_Done,
     /*  542058 */   // Label 9032: @542058
     /*  542058 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(542133), // Rule ID 6458 //
     /*  542063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  542074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  542077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  542080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542109 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  542112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542131 */     GIR_RootConstrainSelectedInstOperands,
     /*  542132 */     // GIR_Coverage, 6458,
     /*  542132 */     GIR_EraseRootFromParent_Done,
     /*  542133 */   // Label 9033: @542133
     /*  542133 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(542208), // Rule ID 6459 //
     /*  542138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  542149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  542152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  542155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  542187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542206 */     GIR_RootConstrainSelectedInstOperands,
     /*  542207 */     // GIR_Coverage, 6459,
     /*  542207 */     GIR_EraseRootFromParent_Done,
     /*  542208 */   // Label 9034: @542208
     /*  542208 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(542283), // Rule ID 6462 //
     /*  542213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  542224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  542227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  542230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  542233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  542262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542281 */     GIR_RootConstrainSelectedInstOperands,
     /*  542282 */     // GIR_Coverage, 6462,
     /*  542282 */     GIR_EraseRootFromParent_Done,
     /*  542283 */   // Label 9035: @542283
     /*  542283 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(542358), // Rule ID 6463 //
     /*  542288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  542299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  542302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  542305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  542308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  542337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542356 */     GIR_RootConstrainSelectedInstOperands,
     /*  542357 */     // GIR_Coverage, 6463,
     /*  542357 */     GIR_EraseRootFromParent_Done,
     /*  542358 */   // Label 9036: @542358
     /*  542358 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(542433), // Rule ID 6466 //
     /*  542363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  542380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  542412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542431 */     GIR_RootConstrainSelectedInstOperands,
     /*  542432 */     // GIR_Coverage, 6466,
     /*  542432 */     GIR_EraseRootFromParent_Done,
     /*  542433 */   // Label 9037: @542433
     /*  542433 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(542508), // Rule ID 6467 //
     /*  542438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  542455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  542487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542506 */     GIR_RootConstrainSelectedInstOperands,
     /*  542507 */     // GIR_Coverage, 6467,
     /*  542507 */     GIR_EraseRootFromParent_Done,
     /*  542508 */   // Label 9038: @542508
     /*  542508 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(542583), // Rule ID 6470 //
     /*  542513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  542530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  542562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542581 */     GIR_RootConstrainSelectedInstOperands,
     /*  542582 */     // GIR_Coverage, 6470,
     /*  542582 */     GIR_EraseRootFromParent_Done,
     /*  542583 */   // Label 9039: @542583
     /*  542583 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(542658), // Rule ID 6471 //
     /*  542588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  542605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  542637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542656 */     GIR_RootConstrainSelectedInstOperands,
     /*  542657 */     // GIR_Coverage, 6471,
     /*  542657 */     GIR_EraseRootFromParent_Done,
     /*  542658 */   // Label 9040: @542658
     /*  542658 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(542733), // Rule ID 6474 //
     /*  542663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  542680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  542683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  542712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542731 */     GIR_RootConstrainSelectedInstOperands,
     /*  542732 */     // GIR_Coverage, 6474,
     /*  542732 */     GIR_EraseRootFromParent_Done,
     /*  542733 */   // Label 9041: @542733
     /*  542733 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(542808), // Rule ID 6475 //
     /*  542738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  542755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  542758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  542787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542806 */     GIR_RootConstrainSelectedInstOperands,
     /*  542807 */     // GIR_Coverage, 6475,
     /*  542807 */     GIR_EraseRootFromParent_Done,
     /*  542808 */   // Label 9042: @542808
     /*  542808 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(542883), // Rule ID 6478 //
     /*  542813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  542830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  542862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542881 */     GIR_RootConstrainSelectedInstOperands,
     /*  542882 */     // GIR_Coverage, 6478,
     /*  542882 */     GIR_EraseRootFromParent_Done,
     /*  542883 */   // Label 9043: @542883
     /*  542883 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(542958), // Rule ID 6479 //
     /*  542888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  542905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  542937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542956 */     GIR_RootConstrainSelectedInstOperands,
     /*  542957 */     // GIR_Coverage, 6479,
     /*  542957 */     GIR_EraseRootFromParent_Done,
     /*  542958 */   // Label 9044: @542958
     /*  542958 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(543033), // Rule ID 6482 //
     /*  542963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  542971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  542980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  543012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543031 */     GIR_RootConstrainSelectedInstOperands,
     /*  543032 */     // GIR_Coverage, 6482,
     /*  543032 */     GIR_EraseRootFromParent_Done,
     /*  543033 */   // Label 9045: @543033
     /*  543033 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(543108), // Rule ID 6483 //
     /*  543038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  543055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  543087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543106 */     GIR_RootConstrainSelectedInstOperands,
     /*  543107 */     // GIR_Coverage, 6483,
     /*  543107 */     GIR_EraseRootFromParent_Done,
     /*  543108 */   // Label 9046: @543108
     /*  543108 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(543183), // Rule ID 6486 //
     /*  543113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  543130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  543133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  543162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543181 */     GIR_RootConstrainSelectedInstOperands,
     /*  543182 */     // GIR_Coverage, 6486,
     /*  543182 */     GIR_EraseRootFromParent_Done,
     /*  543183 */   // Label 9047: @543183
     /*  543183 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(543258), // Rule ID 6487 //
     /*  543188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  543205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  543208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  543237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543256 */     GIR_RootConstrainSelectedInstOperands,
     /*  543257 */     // GIR_Coverage, 6487,
     /*  543257 */     GIR_EraseRootFromParent_Done,
     /*  543258 */   // Label 9048: @543258
     /*  543258 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(543333), // Rule ID 6490 //
     /*  543263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  543280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  543283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  543312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543331 */     GIR_RootConstrainSelectedInstOperands,
     /*  543332 */     // GIR_Coverage, 6490,
     /*  543332 */     GIR_EraseRootFromParent_Done,
     /*  543333 */   // Label 9049: @543333
     /*  543333 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(543408), // Rule ID 6491 //
     /*  543338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  543355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  543358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  543387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543406 */     GIR_RootConstrainSelectedInstOperands,
     /*  543407 */     // GIR_Coverage, 6491,
     /*  543407 */     GIR_EraseRootFromParent_Done,
     /*  543408 */   // Label 9050: @543408
     /*  543408 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(543483), // Rule ID 6494 //
     /*  543413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  543430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  543433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  543462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543481 */     GIR_RootConstrainSelectedInstOperands,
     /*  543482 */     // GIR_Coverage, 6494,
     /*  543482 */     GIR_EraseRootFromParent_Done,
     /*  543483 */   // Label 9051: @543483
     /*  543483 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(543558), // Rule ID 6495 //
     /*  543488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  543505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  543508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  543537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543556 */     GIR_RootConstrainSelectedInstOperands,
     /*  543557 */     // GIR_Coverage, 6495,
     /*  543557 */     GIR_EraseRootFromParent_Done,
     /*  543558 */   // Label 9052: @543558
     /*  543558 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(543633), // Rule ID 6498 //
     /*  543563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  543580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  543583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  543612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543631 */     GIR_RootConstrainSelectedInstOperands,
     /*  543632 */     // GIR_Coverage, 6498,
     /*  543632 */     GIR_EraseRootFromParent_Done,
     /*  543633 */   // Label 9053: @543633
     /*  543633 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(543708), // Rule ID 6499 //
     /*  543638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  543655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  543658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  543687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543706 */     GIR_RootConstrainSelectedInstOperands,
     /*  543707 */     // GIR_Coverage, 6499,
     /*  543707 */     GIR_EraseRootFromParent_Done,
     /*  543708 */   // Label 9054: @543708
     /*  543708 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(543783), // Rule ID 6502 //
     /*  543713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  543724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  543727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  543730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  543762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543781 */     GIR_RootConstrainSelectedInstOperands,
     /*  543782 */     // GIR_Coverage, 6502,
     /*  543782 */     GIR_EraseRootFromParent_Done,
     /*  543783 */   // Label 9055: @543783
     /*  543783 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(543858), // Rule ID 6503 //
     /*  543788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  543799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  543802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  543805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  543837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543856 */     GIR_RootConstrainSelectedInstOperands,
     /*  543857 */     // GIR_Coverage, 6503,
     /*  543857 */     GIR_EraseRootFromParent_Done,
     /*  543858 */   // Label 9056: @543858
     /*  543858 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(543933), // Rule ID 6506 //
     /*  543863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  543874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  543877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  543880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543909 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  543912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543931 */     GIR_RootConstrainSelectedInstOperands,
     /*  543932 */     // GIR_Coverage, 6506,
     /*  543932 */     GIR_EraseRootFromParent_Done,
     /*  543933 */   // Label 9057: @543933
     /*  543933 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(544008), // Rule ID 6507 //
     /*  543938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  543946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  543949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  543952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  543955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  543987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544006 */     GIR_RootConstrainSelectedInstOperands,
     /*  544007 */     // GIR_Coverage, 6507,
     /*  544007 */     GIR_EraseRootFromParent_Done,
     /*  544008 */   // Label 9058: @544008
     /*  544008 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(544083), // Rule ID 6510 //
     /*  544013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  544024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  544027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  544030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544081 */     GIR_RootConstrainSelectedInstOperands,
     /*  544082 */     // GIR_Coverage, 6510,
     /*  544082 */     GIR_EraseRootFromParent_Done,
     /*  544083 */   // Label 9059: @544083
     /*  544083 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(544158), // Rule ID 6511 //
     /*  544088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  544099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  544102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  544105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544156 */     GIR_RootConstrainSelectedInstOperands,
     /*  544157 */     // GIR_Coverage, 6511,
     /*  544157 */     GIR_EraseRootFromParent_Done,
     /*  544158 */   // Label 9060: @544158
     /*  544158 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(544233), // Rule ID 6514 //
     /*  544163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  544180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  544212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544231 */     GIR_RootConstrainSelectedInstOperands,
     /*  544232 */     // GIR_Coverage, 6514,
     /*  544232 */     GIR_EraseRootFromParent_Done,
     /*  544233 */   // Label 9061: @544233
     /*  544233 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(544308), // Rule ID 6515 //
     /*  544238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  544255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  544287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544306 */     GIR_RootConstrainSelectedInstOperands,
     /*  544307 */     // GIR_Coverage, 6515,
     /*  544307 */     GIR_EraseRootFromParent_Done,
     /*  544308 */   // Label 9062: @544308
     /*  544308 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(544383), // Rule ID 6518 //
     /*  544313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  544330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544381 */     GIR_RootConstrainSelectedInstOperands,
     /*  544382 */     // GIR_Coverage, 6518,
     /*  544382 */     GIR_EraseRootFromParent_Done,
     /*  544383 */   // Label 9063: @544383
     /*  544383 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(544458), // Rule ID 6519 //
     /*  544388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  544405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544456 */     GIR_RootConstrainSelectedInstOperands,
     /*  544457 */     // GIR_Coverage, 6519,
     /*  544457 */     GIR_EraseRootFromParent_Done,
     /*  544458 */   // Label 9064: @544458
     /*  544458 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(544533), // Rule ID 6522 //
     /*  544463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  544480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544531 */     GIR_RootConstrainSelectedInstOperands,
     /*  544532 */     // GIR_Coverage, 6522,
     /*  544532 */     GIR_EraseRootFromParent_Done,
     /*  544533 */   // Label 9065: @544533
     /*  544533 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(544608), // Rule ID 6523 //
     /*  544538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  544555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  544587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544606 */     GIR_RootConstrainSelectedInstOperands,
     /*  544607 */     // GIR_Coverage, 6523,
     /*  544607 */     GIR_EraseRootFromParent_Done,
     /*  544608 */   // Label 9066: @544608
     /*  544608 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(544683), // Rule ID 6526 //
     /*  544613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  544630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  544662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544681 */     GIR_RootConstrainSelectedInstOperands,
     /*  544682 */     // GIR_Coverage, 6526,
     /*  544682 */     GIR_EraseRootFromParent_Done,
     /*  544683 */   // Label 9067: @544683
     /*  544683 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(544758), // Rule ID 6527 //
     /*  544688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  544705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11205:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  544737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544756 */     GIR_RootConstrainSelectedInstOperands,
     /*  544757 */     // GIR_Coverage, 6527,
     /*  544757 */     GIR_EraseRootFromParent_Done,
     /*  544758 */   // Label 9068: @544758
     /*  544758 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(544833), // Rule ID 6530 //
     /*  544763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  544780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  544812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544831 */     GIR_RootConstrainSelectedInstOperands,
     /*  544832 */     // GIR_Coverage, 6530,
     /*  544832 */     GIR_EraseRootFromParent_Done,
     /*  544833 */   // Label 9069: @544833
     /*  544833 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(544908), // Rule ID 6531 //
     /*  544838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  544855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  544887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544906 */     GIR_RootConstrainSelectedInstOperands,
     /*  544907 */     // GIR_Coverage, 6531,
     /*  544907 */     GIR_EraseRootFromParent_Done,
     /*  544908 */   // Label 9070: @544908
     /*  544908 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(544983), // Rule ID 6534 //
     /*  544913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  544930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  544962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544981 */     GIR_RootConstrainSelectedInstOperands,
     /*  544982 */     // GIR_Coverage, 6534,
     /*  544982 */     GIR_EraseRootFromParent_Done,
     /*  544983 */   // Label 9071: @544983
     /*  544983 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(545058), // Rule ID 6535 //
     /*  544988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  544996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  545002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  545005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  545037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545056 */     GIR_RootConstrainSelectedInstOperands,
     /*  545057 */     // GIR_Coverage, 6535,
     /*  545057 */     GIR_EraseRootFromParent_Done,
     /*  545058 */   // Label 9072: @545058
     /*  545058 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(545133), // Rule ID 6538 //
     /*  545063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  545066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  545080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  545109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  545112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545131 */     GIR_RootConstrainSelectedInstOperands,
     /*  545132 */     // GIR_Coverage, 6538,
     /*  545132 */     GIR_EraseRootFromParent_Done,
     /*  545133 */   // Label 9073: @545133
     /*  545133 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(545208), // Rule ID 6539 //
     /*  545138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  545141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  545155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  545184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  545187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545206 */     GIR_RootConstrainSelectedInstOperands,
     /*  545207 */     // GIR_Coverage, 6539,
     /*  545207 */     GIR_EraseRootFromParent_Done,
     /*  545208 */   // Label 9074: @545208
     /*  545208 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(545283), // Rule ID 6542 //
     /*  545213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  545224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  545227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  545230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  545262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545281 */     GIR_RootConstrainSelectedInstOperands,
     /*  545282 */     // GIR_Coverage, 6542,
     /*  545282 */     GIR_EraseRootFromParent_Done,
     /*  545283 */   // Label 9075: @545283
     /*  545283 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(545358), // Rule ID 6543 //
     /*  545288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  545299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  545302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  545305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  545337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545356 */     GIR_RootConstrainSelectedInstOperands,
     /*  545357 */     // GIR_Coverage, 6543,
     /*  545357 */     GIR_EraseRootFromParent_Done,
     /*  545358 */   // Label 9076: @545358
     /*  545358 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(545433), // Rule ID 6546 //
     /*  545363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  545374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  545377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  545380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545409 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  545412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545431 */     GIR_RootConstrainSelectedInstOperands,
     /*  545432 */     // GIR_Coverage, 6546,
     /*  545432 */     GIR_EraseRootFromParent_Done,
     /*  545433 */   // Label 9077: @545433
     /*  545433 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(545508), // Rule ID 6547 //
     /*  545438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  545449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  545452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  545455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545484 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  545487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545506 */     GIR_RootConstrainSelectedInstOperands,
     /*  545507 */     // GIR_Coverage, 6547,
     /*  545507 */     GIR_EraseRootFromParent_Done,
     /*  545508 */   // Label 9078: @545508
     /*  545508 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(545583), // Rule ID 6550 //
     /*  545513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  545524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  545527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  545530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  545562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545581 */     GIR_RootConstrainSelectedInstOperands,
     /*  545582 */     // GIR_Coverage, 6550,
     /*  545582 */     GIR_EraseRootFromParent_Done,
     /*  545583 */   // Label 9079: @545583
     /*  545583 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(545658), // Rule ID 6551 //
     /*  545588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  545599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  545602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  545605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  545637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545656 */     GIR_RootConstrainSelectedInstOperands,
     /*  545657 */     // GIR_Coverage, 6551,
     /*  545657 */     GIR_EraseRootFromParent_Done,
     /*  545658 */   // Label 9080: @545658
     /*  545658 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(545733), // Rule ID 6554 //
     /*  545663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  545680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  545712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545731 */     GIR_RootConstrainSelectedInstOperands,
     /*  545732 */     // GIR_Coverage, 6554,
     /*  545732 */     GIR_EraseRootFromParent_Done,
     /*  545733 */   // Label 9081: @545733
     /*  545733 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(545808), // Rule ID 6555 //
     /*  545738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  545755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  545787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545806 */     GIR_RootConstrainSelectedInstOperands,
     /*  545807 */     // GIR_Coverage, 6555,
     /*  545807 */     GIR_EraseRootFromParent_Done,
     /*  545808 */   // Label 9082: @545808
     /*  545808 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(545883), // Rule ID 6558 //
     /*  545813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  545824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  545827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  545830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  545862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545881 */     GIR_RootConstrainSelectedInstOperands,
     /*  545882 */     // GIR_Coverage, 6558,
     /*  545882 */     GIR_EraseRootFromParent_Done,
     /*  545883 */   // Label 9083: @545883
     /*  545883 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(545958), // Rule ID 6559 //
     /*  545888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  545899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  545902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  545905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  545937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545956 */     GIR_RootConstrainSelectedInstOperands,
     /*  545957 */     // GIR_Coverage, 6559,
     /*  545957 */     GIR_EraseRootFromParent_Done,
     /*  545958 */   // Label 9084: @545958
     /*  545958 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(546033), // Rule ID 6562 //
     /*  545963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  545974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  545977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  545980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546009 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546031 */     GIR_RootConstrainSelectedInstOperands,
     /*  546032 */     // GIR_Coverage, 6562,
     /*  546032 */     GIR_EraseRootFromParent_Done,
     /*  546033 */   // Label 9085: @546033
     /*  546033 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(546108), // Rule ID 6563 //
     /*  546038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  546055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546106 */     GIR_RootConstrainSelectedInstOperands,
     /*  546107 */     // GIR_Coverage, 6563,
     /*  546107 */     GIR_EraseRootFromParent_Done,
     /*  546108 */   // Label 9086: @546108
     /*  546108 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(546183), // Rule ID 6566 //
     /*  546113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  546130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  546162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546181 */     GIR_RootConstrainSelectedInstOperands,
     /*  546182 */     // GIR_Coverage, 6566,
     /*  546182 */     GIR_EraseRootFromParent_Done,
     /*  546183 */   // Label 9087: @546183
     /*  546183 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(546258), // Rule ID 6567 //
     /*  546188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  546199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  546202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  546205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  546237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546256 */     GIR_RootConstrainSelectedInstOperands,
     /*  546257 */     // GIR_Coverage, 6567,
     /*  546257 */     GIR_EraseRootFromParent_Done,
     /*  546258 */   // Label 9088: @546258
     /*  546258 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(546333), // Rule ID 6570 //
     /*  546263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  546274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  546277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  546280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  546312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546331 */     GIR_RootConstrainSelectedInstOperands,
     /*  546332 */     // GIR_Coverage, 6570,
     /*  546332 */     GIR_EraseRootFromParent_Done,
     /*  546333 */   // Label 9089: @546333
     /*  546333 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(546408), // Rule ID 6571 //
     /*  546338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  546349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  546352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  546355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  546387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546406 */     GIR_RootConstrainSelectedInstOperands,
     /*  546407 */     // GIR_Coverage, 6571,
     /*  546407 */     GIR_EraseRootFromParent_Done,
     /*  546408 */   // Label 9090: @546408
     /*  546408 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(546483), // Rule ID 6574 //
     /*  546413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  546424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  546427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  546430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546481 */     GIR_RootConstrainSelectedInstOperands,
     /*  546482 */     // GIR_Coverage, 6574,
     /*  546482 */     GIR_EraseRootFromParent_Done,
     /*  546483 */   // Label 9091: @546483
     /*  546483 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(546558), // Rule ID 6575 //
     /*  546488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  546499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  546502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  546505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546556 */     GIR_RootConstrainSelectedInstOperands,
     /*  546557 */     // GIR_Coverage, 6575,
     /*  546557 */     GIR_EraseRootFromParent_Done,
     /*  546558 */   // Label 9092: @546558
     /*  546558 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(546633), // Rule ID 6578 //
     /*  546563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  546574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  546577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  546580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  546612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546631 */     GIR_RootConstrainSelectedInstOperands,
     /*  546632 */     // GIR_Coverage, 6578,
     /*  546632 */     GIR_EraseRootFromParent_Done,
     /*  546633 */   // Label 9093: @546633
     /*  546633 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(546708), // Rule ID 6579 //
     /*  546638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  546649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  546652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  546655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  546687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546706 */     GIR_RootConstrainSelectedInstOperands,
     /*  546707 */     // GIR_Coverage, 6579,
     /*  546707 */     GIR_EraseRootFromParent_Done,
     /*  546708 */   // Label 9094: @546708
     /*  546708 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(546783), // Rule ID 6582 //
     /*  546713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  546724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  546727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  546730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  546762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546781 */     GIR_RootConstrainSelectedInstOperands,
     /*  546782 */     // GIR_Coverage, 6582,
     /*  546782 */     GIR_EraseRootFromParent_Done,
     /*  546783 */   // Label 9095: @546783
     /*  546783 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(546858), // Rule ID 6583 //
     /*  546788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  546799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  546802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  546805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  546837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546856 */     GIR_RootConstrainSelectedInstOperands,
     /*  546857 */     // GIR_Coverage, 6583,
     /*  546857 */     GIR_EraseRootFromParent_Done,
     /*  546858 */   // Label 9096: @546858
     /*  546858 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(546933), // Rule ID 6586 //
     /*  546863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  546880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546931 */     GIR_RootConstrainSelectedInstOperands,
     /*  546932 */     // GIR_Coverage, 6586,
     /*  546932 */     GIR_EraseRootFromParent_Done,
     /*  546933 */   // Label 9097: @546933
     /*  546933 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(547008), // Rule ID 6587 //
     /*  546938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  546955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  546987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547006 */     GIR_RootConstrainSelectedInstOperands,
     /*  547007 */     // GIR_Coverage, 6587,
     /*  547007 */     GIR_EraseRootFromParent_Done,
     /*  547008 */   // Label 9098: @547008
     /*  547008 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(547083), // Rule ID 6678 //
     /*  547013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  547024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  547027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  547030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  547062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547081 */     GIR_RootConstrainSelectedInstOperands,
     /*  547082 */     // GIR_Coverage, 6678,
     /*  547082 */     GIR_EraseRootFromParent_Done,
     /*  547083 */   // Label 9099: @547083
     /*  547083 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(547158), // Rule ID 6679 //
     /*  547088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  547099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  547102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  547105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  547108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  547137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547156 */     GIR_RootConstrainSelectedInstOperands,
     /*  547157 */     // GIR_Coverage, 6679,
     /*  547157 */     GIR_EraseRootFromParent_Done,
     /*  547158 */   // Label 9100: @547158
     /*  547158 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(547233), // Rule ID 6682 //
     /*  547163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  547174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  547177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  547180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  547212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547231 */     GIR_RootConstrainSelectedInstOperands,
     /*  547232 */     // GIR_Coverage, 6682,
     /*  547232 */     GIR_EraseRootFromParent_Done,
     /*  547233 */   // Label 9101: @547233
     /*  547233 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(547308), // Rule ID 6683 //
     /*  547238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  547249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  547252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  547255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  547258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  547287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547306 */     GIR_RootConstrainSelectedInstOperands,
     /*  547307 */     // GIR_Coverage, 6683,
     /*  547307 */     GIR_EraseRootFromParent_Done,
     /*  547308 */   // Label 9102: @547308
     /*  547308 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(547383), // Rule ID 6686 //
     /*  547313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  547324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  547327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  547330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547381 */     GIR_RootConstrainSelectedInstOperands,
     /*  547382 */     // GIR_Coverage, 6686,
     /*  547382 */     GIR_EraseRootFromParent_Done,
     /*  547383 */   // Label 9103: @547383
     /*  547383 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(547458), // Rule ID 6687 //
     /*  547388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  547399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  547402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  547405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  547408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547456 */     GIR_RootConstrainSelectedInstOperands,
     /*  547457 */     // GIR_Coverage, 6687,
     /*  547457 */     GIR_EraseRootFromParent_Done,
     /*  547458 */   // Label 9104: @547458
     /*  547458 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(547533), // Rule ID 6690 //
     /*  547463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  547512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547531 */     GIR_RootConstrainSelectedInstOperands,
     /*  547532 */     // GIR_Coverage, 6690,
     /*  547532 */     GIR_EraseRootFromParent_Done,
     /*  547533 */   // Label 9105: @547533
     /*  547533 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(547608), // Rule ID 6691 //
     /*  547538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  547587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547606 */     GIR_RootConstrainSelectedInstOperands,
     /*  547607 */     // GIR_Coverage, 6691,
     /*  547607 */     GIR_EraseRootFromParent_Done,
     /*  547608 */   // Label 9106: @547608
     /*  547608 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(547683), // Rule ID 6694 //
     /*  547613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547681 */     GIR_RootConstrainSelectedInstOperands,
     /*  547682 */     // GIR_Coverage, 6694,
     /*  547682 */     GIR_EraseRootFromParent_Done,
     /*  547683 */   // Label 9107: @547683
     /*  547683 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(547758), // Rule ID 6695 //
     /*  547688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547756 */     GIR_RootConstrainSelectedInstOperands,
     /*  547757 */     // GIR_Coverage, 6695,
     /*  547757 */     GIR_EraseRootFromParent_Done,
     /*  547758 */   // Label 9108: @547758
     /*  547758 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(547833), // Rule ID 6698 //
     /*  547763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547831 */     GIR_RootConstrainSelectedInstOperands,
     /*  547832 */     // GIR_Coverage, 6698,
     /*  547832 */     GIR_EraseRootFromParent_Done,
     /*  547833 */   // Label 9109: @547833
     /*  547833 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(547908), // Rule ID 6699 //
     /*  547838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  547887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547906 */     GIR_RootConstrainSelectedInstOperands,
     /*  547907 */     // GIR_Coverage, 6699,
     /*  547907 */     GIR_EraseRootFromParent_Done,
     /*  547908 */   // Label 9110: @547908
     /*  547908 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(547983), // Rule ID 6702 //
     /*  547913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  547933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  547962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547981 */     GIR_RootConstrainSelectedInstOperands,
     /*  547982 */     // GIR_Coverage, 6702,
     /*  547982 */     GIR_EraseRootFromParent_Done,
     /*  547983 */   // Label 9111: @547983
     /*  547983 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(548058), // Rule ID 6703 //
     /*  547988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  547996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  548002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  548005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548056 */     GIR_RootConstrainSelectedInstOperands,
     /*  548057 */     // GIR_Coverage, 6703,
     /*  548057 */     GIR_EraseRootFromParent_Done,
     /*  548058 */   // Label 9112: @548058
     /*  548058 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(548133), // Rule ID 6706 //
     /*  548063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  548080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548131 */     GIR_RootConstrainSelectedInstOperands,
     /*  548132 */     // GIR_Coverage, 6706,
     /*  548132 */     GIR_EraseRootFromParent_Done,
     /*  548133 */   // Label 9113: @548133
     /*  548133 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(548208), // Rule ID 6707 //
     /*  548138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  548155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  548158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548206 */     GIR_RootConstrainSelectedInstOperands,
     /*  548207 */     // GIR_Coverage, 6707,
     /*  548207 */     GIR_EraseRootFromParent_Done,
     /*  548208 */   // Label 9114: @548208
     /*  548208 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(548283), // Rule ID 6710 //
     /*  548213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  548230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  548233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548281 */     GIR_RootConstrainSelectedInstOperands,
     /*  548282 */     // GIR_Coverage, 6710,
     /*  548282 */     GIR_EraseRootFromParent_Done,
     /*  548283 */   // Label 9115: @548283
     /*  548283 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(548358), // Rule ID 6711 //
     /*  548288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  548299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  548302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  548305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  548308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548356 */     GIR_RootConstrainSelectedInstOperands,
     /*  548357 */     // GIR_Coverage, 6711,
     /*  548357 */     GIR_EraseRootFromParent_Done,
     /*  548358 */   // Label 9116: @548358
     /*  548358 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(548433), // Rule ID 6714 //
     /*  548363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  548374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  548377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  548380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  548383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548431 */     GIR_RootConstrainSelectedInstOperands,
     /*  548432 */     // GIR_Coverage, 6714,
     /*  548432 */     GIR_EraseRootFromParent_Done,
     /*  548433 */   // Label 9117: @548433
     /*  548433 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(548508), // Rule ID 6715 //
     /*  548438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  548449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  548452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  548455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  548458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  548487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548506 */     GIR_RootConstrainSelectedInstOperands,
     /*  548507 */     // GIR_Coverage, 6715,
     /*  548507 */     GIR_EraseRootFromParent_Done,
     /*  548508 */   // Label 9118: @548508
     /*  548508 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(548583), // Rule ID 6718 //
     /*  548513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  548562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548581 */     GIR_RootConstrainSelectedInstOperands,
     /*  548582 */     // GIR_Coverage, 6718,
     /*  548582 */     GIR_EraseRootFromParent_Done,
     /*  548583 */   // Label 9119: @548583
     /*  548583 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(548658), // Rule ID 6719 //
     /*  548588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  548637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548656 */     GIR_RootConstrainSelectedInstOperands,
     /*  548657 */     // GIR_Coverage, 6719,
     /*  548657 */     GIR_EraseRootFromParent_Done,
     /*  548658 */   // Label 9120: @548658
     /*  548658 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(548733), // Rule ID 6722 //
     /*  548663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548709 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  548712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548731 */     GIR_RootConstrainSelectedInstOperands,
     /*  548732 */     // GIR_Coverage, 6722,
     /*  548732 */     GIR_EraseRootFromParent_Done,
     /*  548733 */   // Label 9121: @548733
     /*  548733 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(548808), // Rule ID 6723 //
     /*  548738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  548758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  548787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548806 */     GIR_RootConstrainSelectedInstOperands,
     /*  548807 */     // GIR_Coverage, 6723,
     /*  548807 */     GIR_EraseRootFromParent_Done,
     /*  548808 */   // Label 9122: @548808
     /*  548808 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(548883), // Rule ID 6726 //
     /*  548813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  548862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548881 */     GIR_RootConstrainSelectedInstOperands,
     /*  548882 */     // GIR_Coverage, 6726,
     /*  548882 */     GIR_EraseRootFromParent_Done,
     /*  548883 */   // Label 9123: @548883
     /*  548883 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(548958), // Rule ID 6727 //
     /*  548888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  548908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  548937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548956 */     GIR_RootConstrainSelectedInstOperands,
     /*  548957 */     // GIR_Coverage, 6727,
     /*  548957 */     GIR_EraseRootFromParent_Done,
     /*  548958 */   // Label 9124: @548958
     /*  548958 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(549033), // Rule ID 6730 //
     /*  548963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  548971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  548983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549031 */     GIR_RootConstrainSelectedInstOperands,
     /*  549032 */     // GIR_Coverage, 6730,
     /*  549032 */     GIR_EraseRootFromParent_Done,
     /*  549033 */   // Label 9125: @549033
     /*  549033 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(549108), // Rule ID 6731 //
     /*  549038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  549049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  549052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  549055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549106 */     GIR_RootConstrainSelectedInstOperands,
     /*  549107 */     // GIR_Coverage, 6731,
     /*  549107 */     GIR_EraseRootFromParent_Done,
     /*  549108 */   // Label 9126: @549108
     /*  549108 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(549183), // Rule ID 6734 //
     /*  549113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  549124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  549127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  549130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  549162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549181 */     GIR_RootConstrainSelectedInstOperands,
     /*  549182 */     // GIR_Coverage, 6734,
     /*  549182 */     GIR_EraseRootFromParent_Done,
     /*  549183 */   // Label 9127: @549183
     /*  549183 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(549258), // Rule ID 6735 //
     /*  549188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  549199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  549202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  549205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  549237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549256 */     GIR_RootConstrainSelectedInstOperands,
     /*  549257 */     // GIR_Coverage, 6735,
     /*  549257 */     GIR_EraseRootFromParent_Done,
     /*  549258 */   // Label 9128: @549258
     /*  549258 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(549333), // Rule ID 6738 //
     /*  549263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  549280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  549283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  549312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549331 */     GIR_RootConstrainSelectedInstOperands,
     /*  549332 */     // GIR_Coverage, 6738,
     /*  549332 */     GIR_EraseRootFromParent_Done,
     /*  549333 */   // Label 9129: @549333
     /*  549333 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(549408), // Rule ID 6739 //
     /*  549338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  549355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  549358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  549387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549406 */     GIR_RootConstrainSelectedInstOperands,
     /*  549407 */     // GIR_Coverage, 6739,
     /*  549407 */     GIR_EraseRootFromParent_Done,
     /*  549408 */   // Label 9130: @549408
     /*  549408 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(549483), // Rule ID 6742 //
     /*  549413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  549430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549481 */     GIR_RootConstrainSelectedInstOperands,
     /*  549482 */     // GIR_Coverage, 6742,
     /*  549482 */     GIR_EraseRootFromParent_Done,
     /*  549483 */   // Label 9131: @549483
     /*  549483 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(549558), // Rule ID 6743 //
     /*  549488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  549505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  549508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549556 */     GIR_RootConstrainSelectedInstOperands,
     /*  549557 */     // GIR_Coverage, 6743,
     /*  549557 */     GIR_EraseRootFromParent_Done,
     /*  549558 */   // Label 9132: @549558
     /*  549558 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(549633), // Rule ID 6746 //
     /*  549563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  549612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549631 */     GIR_RootConstrainSelectedInstOperands,
     /*  549632 */     // GIR_Coverage, 6746,
     /*  549632 */     GIR_EraseRootFromParent_Done,
     /*  549633 */   // Label 9133: @549633
     /*  549633 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(549708), // Rule ID 6747 //
     /*  549638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  549658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  549687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549706 */     GIR_RootConstrainSelectedInstOperands,
     /*  549707 */     // GIR_Coverage, 6747,
     /*  549707 */     GIR_EraseRootFromParent_Done,
     /*  549708 */   // Label 9134: @549708
     /*  549708 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(549783), // Rule ID 6750 //
     /*  549713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  549762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549781 */     GIR_RootConstrainSelectedInstOperands,
     /*  549782 */     // GIR_Coverage, 6750,
     /*  549782 */     GIR_EraseRootFromParent_Done,
     /*  549783 */   // Label 9135: @549783
     /*  549783 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(549858), // Rule ID 6751 //
     /*  549788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  549808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  549837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549856 */     GIR_RootConstrainSelectedInstOperands,
     /*  549857 */     // GIR_Coverage, 6751,
     /*  549857 */     GIR_EraseRootFromParent_Done,
     /*  549858 */   // Label 9136: @549858
     /*  549858 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(549933), // Rule ID 6754 //
     /*  549863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549931 */     GIR_RootConstrainSelectedInstOperands,
     /*  549932 */     // GIR_Coverage, 6754,
     /*  549932 */     GIR_EraseRootFromParent_Done,
     /*  549933 */   // Label 9137: @549933
     /*  549933 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(550008), // Rule ID 6755 //
     /*  549938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  549946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  549958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  549987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550006 */     GIR_RootConstrainSelectedInstOperands,
     /*  550007 */     // GIR_Coverage, 6755,
     /*  550007 */     GIR_EraseRootFromParent_Done,
     /*  550008 */   // Label 9138: @550008
     /*  550008 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(550083), // Rule ID 6758 //
     /*  550013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  550030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  550033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  550062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550081 */     GIR_RootConstrainSelectedInstOperands,
     /*  550082 */     // GIR_Coverage, 6758,
     /*  550082 */     GIR_EraseRootFromParent_Done,
     /*  550083 */   // Label 9139: @550083
     /*  550083 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(550158), // Rule ID 6759 //
     /*  550088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  550105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  550108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  550137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550156 */     GIR_RootConstrainSelectedInstOperands,
     /*  550157 */     // GIR_Coverage, 6759,
     /*  550157 */     GIR_EraseRootFromParent_Done,
     /*  550158 */   // Label 9140: @550158
     /*  550158 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(550233), // Rule ID 6762 //
     /*  550163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  550180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  550183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  550212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550231 */     GIR_RootConstrainSelectedInstOperands,
     /*  550232 */     // GIR_Coverage, 6762,
     /*  550232 */     GIR_EraseRootFromParent_Done,
     /*  550233 */   // Label 9141: @550233
     /*  550233 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(550308), // Rule ID 6763 //
     /*  550238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  550255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  550258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  550287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550306 */     GIR_RootConstrainSelectedInstOperands,
     /*  550307 */     // GIR_Coverage, 6763,
     /*  550307 */     GIR_EraseRootFromParent_Done,
     /*  550308 */   // Label 9142: @550308
     /*  550308 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(550383), // Rule ID 6766 //
     /*  550313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  550362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550381 */     GIR_RootConstrainSelectedInstOperands,
     /*  550382 */     // GIR_Coverage, 6766,
     /*  550382 */     GIR_EraseRootFromParent_Done,
     /*  550383 */   // Label 9143: @550383
     /*  550383 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(550458), // Rule ID 6767 //
     /*  550388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  550437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550456 */     GIR_RootConstrainSelectedInstOperands,
     /*  550457 */     // GIR_Coverage, 6767,
     /*  550457 */     GIR_EraseRootFromParent_Done,
     /*  550458 */   // Label 9144: @550458
     /*  550458 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(550533), // Rule ID 6770 //
     /*  550463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  550512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550531 */     GIR_RootConstrainSelectedInstOperands,
     /*  550532 */     // GIR_Coverage, 6770,
     /*  550532 */     GIR_EraseRootFromParent_Done,
     /*  550533 */   // Label 9145: @550533
     /*  550533 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(550608), // Rule ID 6771 //
     /*  550538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  550587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550606 */     GIR_RootConstrainSelectedInstOperands,
     /*  550607 */     // GIR_Coverage, 6771,
     /*  550607 */     GIR_EraseRootFromParent_Done,
     /*  550608 */   // Label 9146: @550608
     /*  550608 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(550683), // Rule ID 6774 //
     /*  550613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  550662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550681 */     GIR_RootConstrainSelectedInstOperands,
     /*  550682 */     // GIR_Coverage, 6774,
     /*  550682 */     GIR_EraseRootFromParent_Done,
     /*  550683 */   // Label 9147: @550683
     /*  550683 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(550758), // Rule ID 6775 //
     /*  550688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  550737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550756 */     GIR_RootConstrainSelectedInstOperands,
     /*  550757 */     // GIR_Coverage, 6775,
     /*  550757 */     GIR_EraseRootFromParent_Done,
     /*  550758 */   // Label 9148: @550758
     /*  550758 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(550833), // Rule ID 6778 //
     /*  550763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  550812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550831 */     GIR_RootConstrainSelectedInstOperands,
     /*  550832 */     // GIR_Coverage, 6778,
     /*  550832 */     GIR_EraseRootFromParent_Done,
     /*  550833 */   // Label 9149: @550833
     /*  550833 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(550908), // Rule ID 6779 //
     /*  550838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  550887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550906 */     GIR_RootConstrainSelectedInstOperands,
     /*  550907 */     // GIR_Coverage, 6779,
     /*  550907 */     GIR_EraseRootFromParent_Done,
     /*  550908 */   // Label 9150: @550908
     /*  550908 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(550983), // Rule ID 6782 //
     /*  550913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  550962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550981 */     GIR_RootConstrainSelectedInstOperands,
     /*  550982 */     // GIR_Coverage, 6782,
     /*  550982 */     GIR_EraseRootFromParent_Done,
     /*  550983 */   // Label 9151: @550983
     /*  550983 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(551058), // Rule ID 6783 //
     /*  550988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  550996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  551037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551056 */     GIR_RootConstrainSelectedInstOperands,
     /*  551057 */     // GIR_Coverage, 6783,
     /*  551057 */     GIR_EraseRootFromParent_Done,
     /*  551058 */   // Label 9152: @551058
     /*  551058 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(551133), // Rule ID 6786 //
     /*  551063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  551112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551131 */     GIR_RootConstrainSelectedInstOperands,
     /*  551132 */     // GIR_Coverage, 6786,
     /*  551132 */     GIR_EraseRootFromParent_Done,
     /*  551133 */   // Label 9153: @551133
     /*  551133 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(551208), // Rule ID 6787 //
     /*  551138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  551149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  551152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  551155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  551187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551206 */     GIR_RootConstrainSelectedInstOperands,
     /*  551207 */     // GIR_Coverage, 6787,
     /*  551207 */     GIR_EraseRootFromParent_Done,
     /*  551208 */   // Label 9154: @551208
     /*  551208 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(551283), // Rule ID 6790 //
     /*  551213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551281 */     GIR_RootConstrainSelectedInstOperands,
     /*  551282 */     // GIR_Coverage, 6790,
     /*  551282 */     GIR_EraseRootFromParent_Done,
     /*  551283 */   // Label 9155: @551283
     /*  551283 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(551358), // Rule ID 6791 //
     /*  551288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  551305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551356 */     GIR_RootConstrainSelectedInstOperands,
     /*  551357 */     // GIR_Coverage, 6791,
     /*  551357 */     GIR_EraseRootFromParent_Done,
     /*  551358 */   // Label 9156: @551358
     /*  551358 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(551433), // Rule ID 6794 //
     /*  551363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551431 */     GIR_RootConstrainSelectedInstOperands,
     /*  551432 */     // GIR_Coverage, 6794,
     /*  551432 */     GIR_EraseRootFromParent_Done,
     /*  551433 */   // Label 9157: @551433
     /*  551433 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(551508), // Rule ID 6795 //
     /*  551438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551506 */     GIR_RootConstrainSelectedInstOperands,
     /*  551507 */     // GIR_Coverage, 6795,
     /*  551507 */     GIR_EraseRootFromParent_Done,
     /*  551508 */   // Label 9158: @551508
     /*  551508 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(551583), // Rule ID 6798 //
     /*  551513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551581 */     GIR_RootConstrainSelectedInstOperands,
     /*  551582 */     // GIR_Coverage, 6798,
     /*  551582 */     GIR_EraseRootFromParent_Done,
     /*  551583 */   // Label 9159: @551583
     /*  551583 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(551658), // Rule ID 6799 //
     /*  551588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551656 */     GIR_RootConstrainSelectedInstOperands,
     /*  551657 */     // GIR_Coverage, 6799,
     /*  551657 */     GIR_EraseRootFromParent_Done,
     /*  551658 */   // Label 9160: @551658
     /*  551658 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(551733), // Rule ID 6802 //
     /*  551663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551731 */     GIR_RootConstrainSelectedInstOperands,
     /*  551732 */     // GIR_Coverage, 6802,
     /*  551732 */     GIR_EraseRootFromParent_Done,
     /*  551733 */   // Label 9161: @551733
     /*  551733 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(551808), // Rule ID 6803 //
     /*  551738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  551787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551806 */     GIR_RootConstrainSelectedInstOperands,
     /*  551807 */     // GIR_Coverage, 6803,
     /*  551807 */     GIR_EraseRootFromParent_Done,
     /*  551808 */   // Label 9162: @551808
     /*  551808 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(551883), // Rule ID 6806 //
     /*  551813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  551862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551881 */     GIR_RootConstrainSelectedInstOperands,
     /*  551882 */     // GIR_Coverage, 6806,
     /*  551882 */     GIR_EraseRootFromParent_Done,
     /*  551883 */   // Label 9163: @551883
     /*  551883 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(551958), // Rule ID 6807 //
     /*  551888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  551937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551956 */     GIR_RootConstrainSelectedInstOperands,
     /*  551957 */     // GIR_Coverage, 6807,
     /*  551957 */     GIR_EraseRootFromParent_Done,
     /*  551958 */   // Label 9164: @551958
     /*  551958 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(552033), // Rule ID 6810 //
     /*  551963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  551971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552031 */     GIR_RootConstrainSelectedInstOperands,
     /*  552032 */     // GIR_Coverage, 6810,
     /*  552032 */     GIR_EraseRootFromParent_Done,
     /*  552033 */   // Label 9165: @552033
     /*  552033 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(552108), // Rule ID 6811 //
     /*  552038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552106 */     GIR_RootConstrainSelectedInstOperands,
     /*  552107 */     // GIR_Coverage, 6811,
     /*  552107 */     GIR_EraseRootFromParent_Done,
     /*  552108 */   // Label 9166: @552108
     /*  552108 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(552183), // Rule ID 6814 //
     /*  552113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552159 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  552162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552181 */     GIR_RootConstrainSelectedInstOperands,
     /*  552182 */     // GIR_Coverage, 6814,
     /*  552182 */     GIR_EraseRootFromParent_Done,
     /*  552183 */   // Label 9167: @552183
     /*  552183 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(552258), // Rule ID 6815 //
     /*  552188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  552199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  552202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  552205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  552237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552256 */     GIR_RootConstrainSelectedInstOperands,
     /*  552257 */     // GIR_Coverage, 6815,
     /*  552257 */     GIR_EraseRootFromParent_Done,
     /*  552258 */   // Label 9168: @552258
     /*  552258 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(552333), // Rule ID 6818 //
     /*  552263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552309 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  552312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552331 */     GIR_RootConstrainSelectedInstOperands,
     /*  552332 */     // GIR_Coverage, 6818,
     /*  552332 */     GIR_EraseRootFromParent_Done,
     /*  552333 */   // Label 9169: @552333
     /*  552333 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(552408), // Rule ID 6819 //
     /*  552338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  552349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  552352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  552355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  552387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552406 */     GIR_RootConstrainSelectedInstOperands,
     /*  552407 */     // GIR_Coverage, 6819,
     /*  552407 */     GIR_EraseRootFromParent_Done,
     /*  552408 */   // Label 9170: @552408
     /*  552408 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(552483), // Rule ID 6822 //
     /*  552413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552481 */     GIR_RootConstrainSelectedInstOperands,
     /*  552482 */     // GIR_Coverage, 6822,
     /*  552482 */     GIR_EraseRootFromParent_Done,
     /*  552483 */   // Label 9171: @552483
     /*  552483 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(552558), // Rule ID 6823 //
     /*  552488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552556 */     GIR_RootConstrainSelectedInstOperands,
     /*  552557 */     // GIR_Coverage, 6823,
     /*  552557 */     GIR_EraseRootFromParent_Done,
     /*  552558 */   // Label 9172: @552558
     /*  552558 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(552633), // Rule ID 6826 //
     /*  552563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  552612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552631 */     GIR_RootConstrainSelectedInstOperands,
     /*  552632 */     // GIR_Coverage, 6826,
     /*  552632 */     GIR_EraseRootFromParent_Done,
     /*  552633 */   // Label 9173: @552633
     /*  552633 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(552708), // Rule ID 6827 //
     /*  552638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  552687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552706 */     GIR_RootConstrainSelectedInstOperands,
     /*  552707 */     // GIR_Coverage, 6827,
     /*  552707 */     GIR_EraseRootFromParent_Done,
     /*  552708 */   // Label 9174: @552708
     /*  552708 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(552783), // Rule ID 6830 //
     /*  552713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  552762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552781 */     GIR_RootConstrainSelectedInstOperands,
     /*  552782 */     // GIR_Coverage, 6830,
     /*  552782 */     GIR_EraseRootFromParent_Done,
     /*  552783 */   // Label 9175: @552783
     /*  552783 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(552858), // Rule ID 6831 //
     /*  552788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  552837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552856 */     GIR_RootConstrainSelectedInstOperands,
     /*  552857 */     // GIR_Coverage, 6831,
     /*  552857 */     GIR_EraseRootFromParent_Done,
     /*  552858 */   // Label 9176: @552858
     /*  552858 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(552933), // Rule ID 6834 //
     /*  552863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552931 */     GIR_RootConstrainSelectedInstOperands,
     /*  552932 */     // GIR_Coverage, 6834,
     /*  552932 */     GIR_EraseRootFromParent_Done,
     /*  552933 */   // Label 9177: @552933
     /*  552933 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(553008), // Rule ID 6835 //
     /*  552938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  552987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553006 */     GIR_RootConstrainSelectedInstOperands,
     /*  553007 */     // GIR_Coverage, 6835,
     /*  553007 */     GIR_EraseRootFromParent_Done,
     /*  553008 */   // Label 9178: @553008
     /*  553008 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(553083), // Rule ID 6838 //
     /*  553013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  553062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553081 */     GIR_RootConstrainSelectedInstOperands,
     /*  553082 */     // GIR_Coverage, 6838,
     /*  553082 */     GIR_EraseRootFromParent_Done,
     /*  553083 */   // Label 9179: @553083
     /*  553083 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(553158), // Rule ID 6839 //
     /*  553088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  553105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  553137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553156 */     GIR_RootConstrainSelectedInstOperands,
     /*  553157 */     // GIR_Coverage, 6839,
     /*  553157 */     GIR_EraseRootFromParent_Done,
     /*  553158 */   // Label 9180: @553158
     /*  553158 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(553233), // Rule ID 6842 //
     /*  553163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  553212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553231 */     GIR_RootConstrainSelectedInstOperands,
     /*  553232 */     // GIR_Coverage, 6842,
     /*  553232 */     GIR_EraseRootFromParent_Done,
     /*  553233 */   // Label 9181: @553233
     /*  553233 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(553308), // Rule ID 6843 //
     /*  553238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  553249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  553252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  553255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  553287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553306 */     GIR_RootConstrainSelectedInstOperands,
     /*  553307 */     // GIR_Coverage, 6843,
     /*  553307 */     GIR_EraseRootFromParent_Done,
     /*  553308 */   // Label 9182: @553308
     /*  553308 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(553383), // Rule ID 6846 //
     /*  553313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  553362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553381 */     GIR_RootConstrainSelectedInstOperands,
     /*  553382 */     // GIR_Coverage, 6846,
     /*  553382 */     GIR_EraseRootFromParent_Done,
     /*  553383 */   // Label 9183: @553383
     /*  553383 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(553458), // Rule ID 6847 //
     /*  553388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  553399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  553402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  553405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  553437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553456 */     GIR_RootConstrainSelectedInstOperands,
     /*  553457 */     // GIR_Coverage, 6847,
     /*  553457 */     GIR_EraseRootFromParent_Done,
     /*  553458 */   // Label 9184: @553458
     /*  553458 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(553533), // Rule ID 6850 //
     /*  553463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  553512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553531 */     GIR_RootConstrainSelectedInstOperands,
     /*  553532 */     // GIR_Coverage, 6850,
     /*  553532 */     GIR_EraseRootFromParent_Done,
     /*  553533 */   // Label 9185: @553533
     /*  553533 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(553608), // Rule ID 6851 //
     /*  553538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  553587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553606 */     GIR_RootConstrainSelectedInstOperands,
     /*  553607 */     // GIR_Coverage, 6851,
     /*  553607 */     GIR_EraseRootFromParent_Done,
     /*  553608 */   // Label 9186: @553608
     /*  553608 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(553683), // Rule ID 6942 //
     /*  553613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  553633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  553662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553681 */     GIR_RootConstrainSelectedInstOperands,
     /*  553682 */     // GIR_Coverage, 6942,
     /*  553682 */     GIR_EraseRootFromParent_Done,
     /*  553683 */   // Label 9187: @553683
     /*  553683 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(553758), // Rule ID 6943 //
     /*  553688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  553708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  553737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553756 */     GIR_RootConstrainSelectedInstOperands,
     /*  553757 */     // GIR_Coverage, 6943,
     /*  553757 */     GIR_EraseRootFromParent_Done,
     /*  553758 */   // Label 9188: @553758
     /*  553758 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(553833), // Rule ID 6946 //
     /*  553763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  553783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  553812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553831 */     GIR_RootConstrainSelectedInstOperands,
     /*  553832 */     // GIR_Coverage, 6946,
     /*  553832 */     GIR_EraseRootFromParent_Done,
     /*  553833 */   // Label 9189: @553833
     /*  553833 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(553908), // Rule ID 6947 //
     /*  553838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  553858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  553887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553906 */     GIR_RootConstrainSelectedInstOperands,
     /*  553907 */     // GIR_Coverage, 6947,
     /*  553907 */     GIR_EraseRootFromParent_Done,
     /*  553908 */   // Label 9190: @553908
     /*  553908 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(553983), // Rule ID 6950 //
     /*  553913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  553933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  553962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553981 */     GIR_RootConstrainSelectedInstOperands,
     /*  553982 */     // GIR_Coverage, 6950,
     /*  553982 */     GIR_EraseRootFromParent_Done,
     /*  553983 */   // Label 9191: @553983
     /*  553983 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(554058), // Rule ID 6951 //
     /*  553988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  553996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  554037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554056 */     GIR_RootConstrainSelectedInstOperands,
     /*  554057 */     // GIR_Coverage, 6951,
     /*  554057 */     GIR_EraseRootFromParent_Done,
     /*  554058 */   // Label 9192: @554058
     /*  554058 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(554133), // Rule ID 6954 //
     /*  554063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  554112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554131 */     GIR_RootConstrainSelectedInstOperands,
     /*  554132 */     // GIR_Coverage, 6954,
     /*  554132 */     GIR_EraseRootFromParent_Done,
     /*  554133 */   // Label 9193: @554133
     /*  554133 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(554208), // Rule ID 6955 //
     /*  554138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  554187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554206 */     GIR_RootConstrainSelectedInstOperands,
     /*  554207 */     // GIR_Coverage, 6955,
     /*  554207 */     GIR_EraseRootFromParent_Done,
     /*  554208 */   // Label 9194: @554208
     /*  554208 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(554283), // Rule ID 6958 //
     /*  554213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  554262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554281 */     GIR_RootConstrainSelectedInstOperands,
     /*  554282 */     // GIR_Coverage, 6958,
     /*  554282 */     GIR_EraseRootFromParent_Done,
     /*  554283 */   // Label 9195: @554283
     /*  554283 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(554358), // Rule ID 6959 //
     /*  554288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  554299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  554302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  554305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  554308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  554337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554356 */     GIR_RootConstrainSelectedInstOperands,
     /*  554357 */     // GIR_Coverage, 6959,
     /*  554357 */     GIR_EraseRootFromParent_Done,
     /*  554358 */   // Label 9196: @554358
     /*  554358 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(554433), // Rule ID 6962 //
     /*  554363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  554412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554431 */     GIR_RootConstrainSelectedInstOperands,
     /*  554432 */     // GIR_Coverage, 6962,
     /*  554432 */     GIR_EraseRootFromParent_Done,
     /*  554433 */   // Label 9197: @554433
     /*  554433 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(554508), // Rule ID 6963 //
     /*  554438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  554458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  554487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554506 */     GIR_RootConstrainSelectedInstOperands,
     /*  554507 */     // GIR_Coverage, 6963,
     /*  554507 */     GIR_EraseRootFromParent_Done,
     /*  554508 */   // Label 9198: @554508
     /*  554508 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(554583), // Rule ID 6966 //
     /*  554513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554581 */     GIR_RootConstrainSelectedInstOperands,
     /*  554582 */     // GIR_Coverage, 6966,
     /*  554582 */     GIR_EraseRootFromParent_Done,
     /*  554583 */   // Label 9199: @554583
     /*  554583 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(554658), // Rule ID 6967 //
     /*  554588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  554608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554656 */     GIR_RootConstrainSelectedInstOperands,
     /*  554657 */     // GIR_Coverage, 6967,
     /*  554657 */     GIR_EraseRootFromParent_Done,
     /*  554658 */   // Label 9200: @554658
     /*  554658 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(554733), // Rule ID 6970 //
     /*  554663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  554683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554731 */     GIR_RootConstrainSelectedInstOperands,
     /*  554732 */     // GIR_Coverage, 6970,
     /*  554732 */     GIR_EraseRootFromParent_Done,
     /*  554733 */   // Label 9201: @554733
     /*  554733 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(554808), // Rule ID 6971 //
     /*  554738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  554758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554806 */     GIR_RootConstrainSelectedInstOperands,
     /*  554807 */     // GIR_Coverage, 6971,
     /*  554807 */     GIR_EraseRootFromParent_Done,
     /*  554808 */   // Label 9202: @554808
     /*  554808 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(554883), // Rule ID 6974 //
     /*  554813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  554833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554881 */     GIR_RootConstrainSelectedInstOperands,
     /*  554882 */     // GIR_Coverage, 6974,
     /*  554882 */     GIR_EraseRootFromParent_Done,
     /*  554883 */   // Label 9203: @554883
     /*  554883 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(554958), // Rule ID 6975 //
     /*  554888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  554908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  554937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554956 */     GIR_RootConstrainSelectedInstOperands,
     /*  554957 */     // GIR_Coverage, 6975,
     /*  554957 */     GIR_EraseRootFromParent_Done,
     /*  554958 */   // Label 9204: @554958
     /*  554958 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(555033), // Rule ID 6978 //
     /*  554963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  554971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  554983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  555012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555031 */     GIR_RootConstrainSelectedInstOperands,
     /*  555032 */     // GIR_Coverage, 6978,
     /*  555032 */     GIR_EraseRootFromParent_Done,
     /*  555033 */   // Label 9205: @555033
     /*  555033 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(555108), // Rule ID 6979 //
     /*  555038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  555087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555106 */     GIR_RootConstrainSelectedInstOperands,
     /*  555107 */     // GIR_Coverage, 6979,
     /*  555107 */     GIR_EraseRootFromParent_Done,
     /*  555108 */   // Label 9206: @555108
     /*  555108 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(555183), // Rule ID 6982 //
     /*  555113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  555162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555181 */     GIR_RootConstrainSelectedInstOperands,
     /*  555182 */     // GIR_Coverage, 6982,
     /*  555182 */     GIR_EraseRootFromParent_Done,
     /*  555183 */   // Label 9207: @555183
     /*  555183 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(555258), // Rule ID 6983 //
     /*  555188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  555237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555256 */     GIR_RootConstrainSelectedInstOperands,
     /*  555257 */     // GIR_Coverage, 6983,
     /*  555257 */     GIR_EraseRootFromParent_Done,
     /*  555258 */   // Label 9208: @555258
     /*  555258 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(555333), // Rule ID 6986 //
     /*  555263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  555312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555331 */     GIR_RootConstrainSelectedInstOperands,
     /*  555332 */     // GIR_Coverage, 6986,
     /*  555332 */     GIR_EraseRootFromParent_Done,
     /*  555333 */   // Label 9209: @555333
     /*  555333 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(555408), // Rule ID 6987 //
     /*  555338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  555349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  555352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  555355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  555358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  555387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555406 */     GIR_RootConstrainSelectedInstOperands,
     /*  555407 */     // GIR_Coverage, 6987,
     /*  555407 */     GIR_EraseRootFromParent_Done,
     /*  555408 */   // Label 9210: @555408
     /*  555408 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(555483), // Rule ID 6990 //
     /*  555413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  555462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555481 */     GIR_RootConstrainSelectedInstOperands,
     /*  555482 */     // GIR_Coverage, 6990,
     /*  555482 */     GIR_EraseRootFromParent_Done,
     /*  555483 */   // Label 9211: @555483
     /*  555483 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(555558), // Rule ID 6991 //
     /*  555488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  555508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  555537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555556 */     GIR_RootConstrainSelectedInstOperands,
     /*  555557 */     // GIR_Coverage, 6991,
     /*  555557 */     GIR_EraseRootFromParent_Done,
     /*  555558 */   // Label 9212: @555558
     /*  555558 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(555633), // Rule ID 6994 //
     /*  555563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  555583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  555612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555631 */     GIR_RootConstrainSelectedInstOperands,
     /*  555632 */     // GIR_Coverage, 6994,
     /*  555632 */     GIR_EraseRootFromParent_Done,
     /*  555633 */   // Label 9213: @555633
     /*  555633 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(555708), // Rule ID 6995 //
     /*  555638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  555658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  555687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555706 */     GIR_RootConstrainSelectedInstOperands,
     /*  555707 */     // GIR_Coverage, 6995,
     /*  555707 */     GIR_EraseRootFromParent_Done,
     /*  555708 */   // Label 9214: @555708
     /*  555708 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(555783), // Rule ID 6998 //
     /*  555713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  555733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  555762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555781 */     GIR_RootConstrainSelectedInstOperands,
     /*  555782 */     // GIR_Coverage, 6998,
     /*  555782 */     GIR_EraseRootFromParent_Done,
     /*  555783 */   // Label 9215: @555783
     /*  555783 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(555858), // Rule ID 6999 //
     /*  555788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  555808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  555837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555856 */     GIR_RootConstrainSelectedInstOperands,
     /*  555857 */     // GIR_Coverage, 6999,
     /*  555857 */     GIR_EraseRootFromParent_Done,
     /*  555858 */   // Label 9216: @555858
     /*  555858 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(555933), // Rule ID 7002 //
     /*  555863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  555883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  555912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555931 */     GIR_RootConstrainSelectedInstOperands,
     /*  555932 */     // GIR_Coverage, 7002,
     /*  555932 */     GIR_EraseRootFromParent_Done,
     /*  555933 */   // Label 9217: @555933
     /*  555933 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(556008), // Rule ID 7003 //
     /*  555938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  555946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  555958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  555987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556006 */     GIR_RootConstrainSelectedInstOperands,
     /*  556007 */     // GIR_Coverage, 7003,
     /*  556007 */     GIR_EraseRootFromParent_Done,
     /*  556008 */   // Label 9218: @556008
     /*  556008 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(556083), // Rule ID 7006 //
     /*  556013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  556062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556081 */     GIR_RootConstrainSelectedInstOperands,
     /*  556082 */     // GIR_Coverage, 7006,
     /*  556082 */     GIR_EraseRootFromParent_Done,
     /*  556083 */   // Label 9219: @556083
     /*  556083 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(556158), // Rule ID 7007 //
     /*  556088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  556137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556156 */     GIR_RootConstrainSelectedInstOperands,
     /*  556157 */     // GIR_Coverage, 7007,
     /*  556157 */     GIR_EraseRootFromParent_Done,
     /*  556158 */   // Label 9220: @556158
     /*  556158 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(556233), // Rule ID 7010 //
     /*  556163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  556212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556231 */     GIR_RootConstrainSelectedInstOperands,
     /*  556232 */     // GIR_Coverage, 7010,
     /*  556232 */     GIR_EraseRootFromParent_Done,
     /*  556233 */   // Label 9221: @556233
     /*  556233 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(556308), // Rule ID 7011 //
     /*  556238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  556249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  556252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  556255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  556258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  556287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556306 */     GIR_RootConstrainSelectedInstOperands,
     /*  556307 */     // GIR_Coverage, 7011,
     /*  556307 */     GIR_EraseRootFromParent_Done,
     /*  556308 */   // Label 9222: @556308
     /*  556308 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(556383), // Rule ID 7014 //
     /*  556313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  556362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556381 */     GIR_RootConstrainSelectedInstOperands,
     /*  556382 */     // GIR_Coverage, 7014,
     /*  556382 */     GIR_EraseRootFromParent_Done,
     /*  556383 */   // Label 9223: @556383
     /*  556383 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(556458), // Rule ID 7015 //
     /*  556388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  556399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  556402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  556405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  556408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  556437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556456 */     GIR_RootConstrainSelectedInstOperands,
     /*  556457 */     // GIR_Coverage, 7015,
     /*  556457 */     GIR_EraseRootFromParent_Done,
     /*  556458 */   // Label 9224: @556458
     /*  556458 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(556533), // Rule ID 7018 //
     /*  556463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  556512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556531 */     GIR_RootConstrainSelectedInstOperands,
     /*  556532 */     // GIR_Coverage, 7018,
     /*  556532 */     GIR_EraseRootFromParent_Done,
     /*  556533 */   // Label 9225: @556533
     /*  556533 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(556608), // Rule ID 7019 //
     /*  556538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  556558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  556587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556606 */     GIR_RootConstrainSelectedInstOperands,
     /*  556607 */     // GIR_Coverage, 7019,
     /*  556607 */     GIR_EraseRootFromParent_Done,
     /*  556608 */   // Label 9226: @556608
     /*  556608 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(556683), // Rule ID 7022 //
     /*  556613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  556633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  556662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556681 */     GIR_RootConstrainSelectedInstOperands,
     /*  556682 */     // GIR_Coverage, 7022,
     /*  556682 */     GIR_EraseRootFromParent_Done,
     /*  556683 */   // Label 9227: @556683
     /*  556683 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(556758), // Rule ID 7023 //
     /*  556688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  556708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  556737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556756 */     GIR_RootConstrainSelectedInstOperands,
     /*  556757 */     // GIR_Coverage, 7023,
     /*  556757 */     GIR_EraseRootFromParent_Done,
     /*  556758 */   // Label 9228: @556758
     /*  556758 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(556833), // Rule ID 7026 //
     /*  556763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  556783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  556812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556831 */     GIR_RootConstrainSelectedInstOperands,
     /*  556832 */     // GIR_Coverage, 7026,
     /*  556832 */     GIR_EraseRootFromParent_Done,
     /*  556833 */   // Label 9229: @556833
     /*  556833 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(556908), // Rule ID 7027 //
     /*  556838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  556858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  556887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556906 */     GIR_RootConstrainSelectedInstOperands,
     /*  556907 */     // GIR_Coverage, 7027,
     /*  556907 */     GIR_EraseRootFromParent_Done,
     /*  556908 */   // Label 9230: @556908
     /*  556908 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(556983), // Rule ID 7030 //
     /*  556913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  556962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556981 */     GIR_RootConstrainSelectedInstOperands,
     /*  556982 */     // GIR_Coverage, 7030,
     /*  556982 */     GIR_EraseRootFromParent_Done,
     /*  556983 */   // Label 9231: @556983
     /*  556983 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(557058), // Rule ID 7031 //
     /*  556988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  556996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  557037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557056 */     GIR_RootConstrainSelectedInstOperands,
     /*  557057 */     // GIR_Coverage, 7031,
     /*  557057 */     GIR_EraseRootFromParent_Done,
     /*  557058 */   // Label 9232: @557058
     /*  557058 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(557133), // Rule ID 7034 //
     /*  557063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  557112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557131 */     GIR_RootConstrainSelectedInstOperands,
     /*  557132 */     // GIR_Coverage, 7034,
     /*  557132 */     GIR_EraseRootFromParent_Done,
     /*  557133 */   // Label 9233: @557133
     /*  557133 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(557208), // Rule ID 7035 //
     /*  557138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  557187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557206 */     GIR_RootConstrainSelectedInstOperands,
     /*  557207 */     // GIR_Coverage, 7035,
     /*  557207 */     GIR_EraseRootFromParent_Done,
     /*  557208 */   // Label 9234: @557208
     /*  557208 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(557283), // Rule ID 7038 //
     /*  557213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557281 */     GIR_RootConstrainSelectedInstOperands,
     /*  557282 */     // GIR_Coverage, 7038,
     /*  557282 */     GIR_EraseRootFromParent_Done,
     /*  557283 */   // Label 9235: @557283
     /*  557283 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(557358), // Rule ID 7039 //
     /*  557288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  557299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  557302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  557305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557356 */     GIR_RootConstrainSelectedInstOperands,
     /*  557357 */     // GIR_Coverage, 7039,
     /*  557357 */     GIR_EraseRootFromParent_Done,
     /*  557358 */   // Label 9236: @557358
     /*  557358 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(557433), // Rule ID 7042 //
     /*  557363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  557412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557431 */     GIR_RootConstrainSelectedInstOperands,
     /*  557432 */     // GIR_Coverage, 7042,
     /*  557432 */     GIR_EraseRootFromParent_Done,
     /*  557433 */   // Label 9237: @557433
     /*  557433 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(557508), // Rule ID 7043 //
     /*  557438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  557487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557506 */     GIR_RootConstrainSelectedInstOperands,
     /*  557507 */     // GIR_Coverage, 7043,
     /*  557507 */     GIR_EraseRootFromParent_Done,
     /*  557508 */   // Label 9238: @557508
     /*  557508 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(557583), // Rule ID 7046 //
     /*  557513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557581 */     GIR_RootConstrainSelectedInstOperands,
     /*  557582 */     // GIR_Coverage, 7046,
     /*  557582 */     GIR_EraseRootFromParent_Done,
     /*  557583 */   // Label 9239: @557583
     /*  557583 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(557658), // Rule ID 7047 //
     /*  557588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557656 */     GIR_RootConstrainSelectedInstOperands,
     /*  557657 */     // GIR_Coverage, 7047,
     /*  557657 */     GIR_EraseRootFromParent_Done,
     /*  557658 */   // Label 9240: @557658
     /*  557658 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(557733), // Rule ID 7050 //
     /*  557663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557731 */     GIR_RootConstrainSelectedInstOperands,
     /*  557732 */     // GIR_Coverage, 7050,
     /*  557732 */     GIR_EraseRootFromParent_Done,
     /*  557733 */   // Label 9241: @557733
     /*  557733 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(557808), // Rule ID 7051 //
     /*  557738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  557787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557806 */     GIR_RootConstrainSelectedInstOperands,
     /*  557807 */     // GIR_Coverage, 7051,
     /*  557807 */     GIR_EraseRootFromParent_Done,
     /*  557808 */   // Label 9242: @557808
     /*  557808 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(557883), // Rule ID 7054 //
     /*  557813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  557862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557881 */     GIR_RootConstrainSelectedInstOperands,
     /*  557882 */     // GIR_Coverage, 7054,
     /*  557882 */     GIR_EraseRootFromParent_Done,
     /*  557883 */   // Label 9243: @557883
     /*  557883 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(557958), // Rule ID 7055 //
     /*  557888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  557937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557956 */     GIR_RootConstrainSelectedInstOperands,
     /*  557957 */     // GIR_Coverage, 7055,
     /*  557957 */     GIR_EraseRootFromParent_Done,
     /*  557958 */   // Label 9244: @557958
     /*  557958 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(558033), // Rule ID 7058 //
     /*  557963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  557971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558031 */     GIR_RootConstrainSelectedInstOperands,
     /*  558032 */     // GIR_Coverage, 7058,
     /*  558032 */     GIR_EraseRootFromParent_Done,
     /*  558033 */   // Label 9245: @558033
     /*  558033 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(558108), // Rule ID 7059 //
     /*  558038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558106 */     GIR_RootConstrainSelectedInstOperands,
     /*  558107 */     // GIR_Coverage, 7059,
     /*  558107 */     GIR_EraseRootFromParent_Done,
     /*  558108 */   // Label 9246: @558108
     /*  558108 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(558183), // Rule ID 7062 //
     /*  558113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558181 */     GIR_RootConstrainSelectedInstOperands,
     /*  558182 */     // GIR_Coverage, 7062,
     /*  558182 */     GIR_EraseRootFromParent_Done,
     /*  558183 */   // Label 9247: @558183
     /*  558183 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(558258), // Rule ID 7063 //
     /*  558188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558256 */     GIR_RootConstrainSelectedInstOperands,
     /*  558257 */     // GIR_Coverage, 7063,
     /*  558257 */     GIR_EraseRootFromParent_Done,
     /*  558258 */   // Label 9248: @558258
     /*  558258 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(558333), // Rule ID 7066 //
     /*  558263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558331 */     GIR_RootConstrainSelectedInstOperands,
     /*  558332 */     // GIR_Coverage, 7066,
     /*  558332 */     GIR_EraseRootFromParent_Done,
     /*  558333 */   // Label 9249: @558333
     /*  558333 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(558408), // Rule ID 7067 //
     /*  558338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  558349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  558352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  558355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  558387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558406 */     GIR_RootConstrainSelectedInstOperands,
     /*  558407 */     // GIR_Coverage, 7067,
     /*  558407 */     GIR_EraseRootFromParent_Done,
     /*  558408 */   // Label 9250: @558408
     /*  558408 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(558483), // Rule ID 7070 //
     /*  558413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  558462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558481 */     GIR_RootConstrainSelectedInstOperands,
     /*  558482 */     // GIR_Coverage, 7070,
     /*  558482 */     GIR_EraseRootFromParent_Done,
     /*  558483 */   // Label 9251: @558483
     /*  558483 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(558558), // Rule ID 7071 //
     /*  558488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  558537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558556 */     GIR_RootConstrainSelectedInstOperands,
     /*  558557 */     // GIR_Coverage, 7071,
     /*  558557 */     GIR_EraseRootFromParent_Done,
     /*  558558 */   // Label 9252: @558558
     /*  558558 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(558633), // Rule ID 7074 //
     /*  558563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  558612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558631 */     GIR_RootConstrainSelectedInstOperands,
     /*  558632 */     // GIR_Coverage, 7074,
     /*  558632 */     GIR_EraseRootFromParent_Done,
     /*  558633 */   // Label 9253: @558633
     /*  558633 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(558708), // Rule ID 7075 //
     /*  558638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  558687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558706 */     GIR_RootConstrainSelectedInstOperands,
     /*  558707 */     // GIR_Coverage, 7075,
     /*  558707 */     GIR_EraseRootFromParent_Done,
     /*  558708 */   // Label 9254: @558708
     /*  558708 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(558783), // Rule ID 7078 //
     /*  558713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  558762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558781 */     GIR_RootConstrainSelectedInstOperands,
     /*  558782 */     // GIR_Coverage, 7078,
     /*  558782 */     GIR_EraseRootFromParent_Done,
     /*  558783 */   // Label 9255: @558783
     /*  558783 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(558858), // Rule ID 7079 //
     /*  558788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  558837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558856 */     GIR_RootConstrainSelectedInstOperands,
     /*  558857 */     // GIR_Coverage, 7079,
     /*  558857 */     GIR_EraseRootFromParent_Done,
     /*  558858 */   // Label 9256: @558858
     /*  558858 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(558933), // Rule ID 7082 //
     /*  558863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  558912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558931 */     GIR_RootConstrainSelectedInstOperands,
     /*  558932 */     // GIR_Coverage, 7082,
     /*  558932 */     GIR_EraseRootFromParent_Done,
     /*  558933 */   // Label 9257: @558933
     /*  558933 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(559008), // Rule ID 7083 //
     /*  558938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  558987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559006 */     GIR_RootConstrainSelectedInstOperands,
     /*  559007 */     // GIR_Coverage, 7083,
     /*  559007 */     GIR_EraseRootFromParent_Done,
     /*  559008 */   // Label 9258: @559008
     /*  559008 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(559083), // Rule ID 7086 //
     /*  559013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  559062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559081 */     GIR_RootConstrainSelectedInstOperands,
     /*  559082 */     // GIR_Coverage, 7086,
     /*  559082 */     GIR_EraseRootFromParent_Done,
     /*  559083 */   // Label 9259: @559083
     /*  559083 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(559158), // Rule ID 7087 //
     /*  559088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  559137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559156 */     GIR_RootConstrainSelectedInstOperands,
     /*  559157 */     // GIR_Coverage, 7087,
     /*  559157 */     GIR_EraseRootFromParent_Done,
     /*  559158 */   // Label 9260: @559158
     /*  559158 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(559233), // Rule ID 7090 //
     /*  559163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  559212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559231 */     GIR_RootConstrainSelectedInstOperands,
     /*  559232 */     // GIR_Coverage, 7090,
     /*  559232 */     GIR_EraseRootFromParent_Done,
     /*  559233 */   // Label 9261: @559233
     /*  559233 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(559308), // Rule ID 7091 //
     /*  559238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  559249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  559252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  559255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  559287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559306 */     GIR_RootConstrainSelectedInstOperands,
     /*  559307 */     // GIR_Coverage, 7091,
     /*  559307 */     GIR_EraseRootFromParent_Done,
     /*  559308 */   // Label 9262: @559308
     /*  559308 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(559383), // Rule ID 7094 //
     /*  559313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  559362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559381 */     GIR_RootConstrainSelectedInstOperands,
     /*  559382 */     // GIR_Coverage, 7094,
     /*  559382 */     GIR_EraseRootFromParent_Done,
     /*  559383 */   // Label 9263: @559383
     /*  559383 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(559458), // Rule ID 7095 //
     /*  559388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  559399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  559402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  559405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  559437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559456 */     GIR_RootConstrainSelectedInstOperands,
     /*  559457 */     // GIR_Coverage, 7095,
     /*  559457 */     GIR_EraseRootFromParent_Done,
     /*  559458 */   // Label 9264: @559458
     /*  559458 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(559533), // Rule ID 7098 //
     /*  559463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  559512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559531 */     GIR_RootConstrainSelectedInstOperands,
     /*  559532 */     // GIR_Coverage, 7098,
     /*  559532 */     GIR_EraseRootFromParent_Done,
     /*  559533 */   // Label 9265: @559533
     /*  559533 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(559608), // Rule ID 7099 //
     /*  559538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  559587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559606 */     GIR_RootConstrainSelectedInstOperands,
     /*  559607 */     // GIR_Coverage, 7099,
     /*  559607 */     GIR_EraseRootFromParent_Done,
     /*  559608 */   // Label 9266: @559608
     /*  559608 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(559683), // Rule ID 7102 //
     /*  559613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  559662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559681 */     GIR_RootConstrainSelectedInstOperands,
     /*  559682 */     // GIR_Coverage, 7102,
     /*  559682 */     GIR_EraseRootFromParent_Done,
     /*  559683 */   // Label 9267: @559683
     /*  559683 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(559758), // Rule ID 7103 //
     /*  559688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  559737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559756 */     GIR_RootConstrainSelectedInstOperands,
     /*  559757 */     // GIR_Coverage, 7103,
     /*  559757 */     GIR_EraseRootFromParent_Done,
     /*  559758 */   // Label 9268: @559758
     /*  559758 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(559833), // Rule ID 7106 //
     /*  559763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  559812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559831 */     GIR_RootConstrainSelectedInstOperands,
     /*  559832 */     // GIR_Coverage, 7106,
     /*  559832 */     GIR_EraseRootFromParent_Done,
     /*  559833 */   // Label 9269: @559833
     /*  559833 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(559908), // Rule ID 7107 //
     /*  559838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  559887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559906 */     GIR_RootConstrainSelectedInstOperands,
     /*  559907 */     // GIR_Coverage, 7107,
     /*  559907 */     GIR_EraseRootFromParent_Done,
     /*  559908 */   // Label 9270: @559908
     /*  559908 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(559983), // Rule ID 7110 //
     /*  559913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  559962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559981 */     GIR_RootConstrainSelectedInstOperands,
     /*  559982 */     // GIR_Coverage, 7110,
     /*  559982 */     GIR_EraseRootFromParent_Done,
     /*  559983 */   // Label 9271: @559983
     /*  559983 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(560058), // Rule ID 7111 //
     /*  559988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  560037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560056 */     GIR_RootConstrainSelectedInstOperands,
     /*  560057 */     // GIR_Coverage, 7111,
     /*  560057 */     GIR_EraseRootFromParent_Done,
     /*  560058 */   // Label 9272: @560058
     /*  560058 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(560133), // Rule ID 7114 //
     /*  560063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  560112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560131 */     GIR_RootConstrainSelectedInstOperands,
     /*  560132 */     // GIR_Coverage, 7114,
     /*  560132 */     GIR_EraseRootFromParent_Done,
     /*  560133 */   // Label 9273: @560133
     /*  560133 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(560208), // Rule ID 7115 //
     /*  560138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11231:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  560187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560206 */     GIR_RootConstrainSelectedInstOperands,
     /*  560207 */     // GIR_Coverage, 7115,
     /*  560207 */     GIR_EraseRootFromParent_Done,
     /*  560208 */   // Label 9274: @560208
     /*  560208 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(560283), // Rule ID 7294 //
     /*  560213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  560262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560281 */     GIR_RootConstrainSelectedInstOperands,
     /*  560282 */     // GIR_Coverage, 7294,
     /*  560282 */     GIR_EraseRootFromParent_Done,
     /*  560283 */   // Label 9275: @560283
     /*  560283 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(560358), // Rule ID 7295 //
     /*  560288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  560299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  560302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  560308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  560337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560356 */     GIR_RootConstrainSelectedInstOperands,
     /*  560357 */     // GIR_Coverage, 7295,
     /*  560357 */     GIR_EraseRootFromParent_Done,
     /*  560358 */   // Label 9276: @560358
     /*  560358 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(560433), // Rule ID 7298 //
     /*  560363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  560412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560431 */     GIR_RootConstrainSelectedInstOperands,
     /*  560432 */     // GIR_Coverage, 7298,
     /*  560432 */     GIR_EraseRootFromParent_Done,
     /*  560433 */   // Label 9277: @560433
     /*  560433 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(560508), // Rule ID 7299 //
     /*  560438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  560449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  560452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  560487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560506 */     GIR_RootConstrainSelectedInstOperands,
     /*  560507 */     // GIR_Coverage, 7299,
     /*  560507 */     GIR_EraseRootFromParent_Done,
     /*  560508 */   // Label 9278: @560508
     /*  560508 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(560583), // Rule ID 7302 //
     /*  560513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  560562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560581 */     GIR_RootConstrainSelectedInstOperands,
     /*  560582 */     // GIR_Coverage, 7302,
     /*  560582 */     GIR_EraseRootFromParent_Done,
     /*  560583 */   // Label 9279: @560583
     /*  560583 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(560658), // Rule ID 7303 //
     /*  560588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  560599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  560602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  560637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560656 */     GIR_RootConstrainSelectedInstOperands,
     /*  560657 */     // GIR_Coverage, 7303,
     /*  560657 */     GIR_EraseRootFromParent_Done,
     /*  560658 */   // Label 9280: @560658
     /*  560658 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(560733), // Rule ID 7306 //
     /*  560663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  560680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  560683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560709 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  560712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560731 */     GIR_RootConstrainSelectedInstOperands,
     /*  560732 */     // GIR_Coverage, 7306,
     /*  560732 */     GIR_EraseRootFromParent_Done,
     /*  560733 */   // Label 9281: @560733
     /*  560733 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(560808), // Rule ID 7307 //
     /*  560738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  560749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  560752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  560755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  560758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  560787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560806 */     GIR_RootConstrainSelectedInstOperands,
     /*  560807 */     // GIR_Coverage, 7307,
     /*  560807 */     GIR_EraseRootFromParent_Done,
     /*  560808 */   // Label 9282: @560808
     /*  560808 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(560883), // Rule ID 7310 //
     /*  560813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  560830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  560862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560881 */     GIR_RootConstrainSelectedInstOperands,
     /*  560882 */     // GIR_Coverage, 7310,
     /*  560882 */     GIR_EraseRootFromParent_Done,
     /*  560883 */   // Label 9283: @560883
     /*  560883 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(560958), // Rule ID 7311 //
     /*  560888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  560905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  560937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560956 */     GIR_RootConstrainSelectedInstOperands,
     /*  560957 */     // GIR_Coverage, 7311,
     /*  560957 */     GIR_EraseRootFromParent_Done,
     /*  560958 */   // Label 9284: @560958
     /*  560958 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(561033), // Rule ID 7314 //
     /*  560963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  560971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  560980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  560983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  561012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561031 */     GIR_RootConstrainSelectedInstOperands,
     /*  561032 */     // GIR_Coverage, 7314,
     /*  561032 */     GIR_EraseRootFromParent_Done,
     /*  561033 */   // Label 9285: @561033
     /*  561033 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(561108), // Rule ID 7315 //
     /*  561038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  561049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  561052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  561058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  561087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561106 */     GIR_RootConstrainSelectedInstOperands,
     /*  561107 */     // GIR_Coverage, 7315,
     /*  561107 */     GIR_EraseRootFromParent_Done,
     /*  561108 */   // Label 9286: @561108
     /*  561108 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(561183), // Rule ID 7318 //
     /*  561113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561159 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  561162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561181 */     GIR_RootConstrainSelectedInstOperands,
     /*  561182 */     // GIR_Coverage, 7318,
     /*  561182 */     GIR_EraseRootFromParent_Done,
     /*  561183 */   // Label 9287: @561183
     /*  561183 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(561258), // Rule ID 7319 //
     /*  561188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  561237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561256 */     GIR_RootConstrainSelectedInstOperands,
     /*  561257 */     // GIR_Coverage, 7319,
     /*  561257 */     GIR_EraseRootFromParent_Done,
     /*  561258 */   // Label 9288: @561258
     /*  561258 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(561333), // Rule ID 7322 //
     /*  561263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  561312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561331 */     GIR_RootConstrainSelectedInstOperands,
     /*  561332 */     // GIR_Coverage, 7322,
     /*  561332 */     GIR_EraseRootFromParent_Done,
     /*  561333 */   // Label 9289: @561333
     /*  561333 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(561408), // Rule ID 7323 //
     /*  561338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  561387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561406 */     GIR_RootConstrainSelectedInstOperands,
     /*  561407 */     // GIR_Coverage, 7323,
     /*  561407 */     GIR_EraseRootFromParent_Done,
     /*  561408 */   // Label 9290: @561408
     /*  561408 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(561483), // Rule ID 7326 //
     /*  561413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  561462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561481 */     GIR_RootConstrainSelectedInstOperands,
     /*  561482 */     // GIR_Coverage, 7326,
     /*  561482 */     GIR_EraseRootFromParent_Done,
     /*  561483 */   // Label 9291: @561483
     /*  561483 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(561558), // Rule ID 7327 //
     /*  561488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  561499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  561502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  561537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561556 */     GIR_RootConstrainSelectedInstOperands,
     /*  561557 */     // GIR_Coverage, 7327,
     /*  561557 */     GIR_EraseRootFromParent_Done,
     /*  561558 */   // Label 9292: @561558
     /*  561558 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(561633), // Rule ID 7330 //
     /*  561563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  561583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  561612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561631 */     GIR_RootConstrainSelectedInstOperands,
     /*  561632 */     // GIR_Coverage, 7330,
     /*  561632 */     GIR_EraseRootFromParent_Done,
     /*  561633 */   // Label 9293: @561633
     /*  561633 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(561708), // Rule ID 7331 //
     /*  561638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  561649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  561652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  561658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  561687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561706 */     GIR_RootConstrainSelectedInstOperands,
     /*  561707 */     // GIR_Coverage, 7331,
     /*  561707 */     GIR_EraseRootFromParent_Done,
     /*  561708 */   // Label 9294: @561708
     /*  561708 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(561783), // Rule ID 7334 //
     /*  561713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  561762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561781 */     GIR_RootConstrainSelectedInstOperands,
     /*  561782 */     // GIR_Coverage, 7334,
     /*  561782 */     GIR_EraseRootFromParent_Done,
     /*  561783 */   // Label 9295: @561783
     /*  561783 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(561858), // Rule ID 7335 //
     /*  561788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  561837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561856 */     GIR_RootConstrainSelectedInstOperands,
     /*  561857 */     // GIR_Coverage, 7335,
     /*  561857 */     GIR_EraseRootFromParent_Done,
     /*  561858 */   // Label 9296: @561858
     /*  561858 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(561933), // Rule ID 7338 //
     /*  561863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  561866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  561912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561931 */     GIR_RootConstrainSelectedInstOperands,
     /*  561932 */     // GIR_Coverage, 7338,
     /*  561932 */     GIR_EraseRootFromParent_Done,
     /*  561933 */   // Label 9297: @561933
     /*  561933 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(562008), // Rule ID 7339 //
     /*  561938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  561941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  561946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  561955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  561987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562006 */     GIR_RootConstrainSelectedInstOperands,
     /*  562007 */     // GIR_Coverage, 7339,
     /*  562007 */     GIR_EraseRootFromParent_Done,
     /*  562008 */   // Label 9298: @562008
     /*  562008 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(562083), // Rule ID 7342 //
     /*  562013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  562016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  562033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  562062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562081 */     GIR_RootConstrainSelectedInstOperands,
     /*  562082 */     // GIR_Coverage, 7342,
     /*  562082 */     GIR_EraseRootFromParent_Done,
     /*  562083 */   // Label 9299: @562083
     /*  562083 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(562158), // Rule ID 7343 //
     /*  562088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  562091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  562105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  562108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  562137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562156 */     GIR_RootConstrainSelectedInstOperands,
     /*  562157 */     // GIR_Coverage, 7343,
     /*  562157 */     GIR_EraseRootFromParent_Done,
     /*  562158 */   // Label 9300: @562158
     /*  562158 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(562233), // Rule ID 7346 //
     /*  562163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  562166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  562183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  562212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562231 */     GIR_RootConstrainSelectedInstOperands,
     /*  562232 */     // GIR_Coverage, 7346,
     /*  562232 */     GIR_EraseRootFromParent_Done,
     /*  562233 */   // Label 9301: @562233
     /*  562233 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(562308), // Rule ID 7347 //
     /*  562238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  562241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  562249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  562252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  562255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  562258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  562287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562306 */     GIR_RootConstrainSelectedInstOperands,
     /*  562307 */     // GIR_Coverage, 7347,
     /*  562307 */     GIR_EraseRootFromParent_Done,
     /*  562308 */   // Label 9302: @562308
     /*  562308 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(562383), // Rule ID 7350 //
     /*  562313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  562316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  562333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  562362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562381 */     GIR_RootConstrainSelectedInstOperands,
     /*  562382 */     // GIR_Coverage, 7350,
     /*  562382 */     GIR_EraseRootFromParent_Done,
     /*  562383 */   // Label 9303: @562383
     /*  562383 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(562458), // Rule ID 7351 //
     /*  562388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  562391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  562399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  562402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  562408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  562437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562456 */     GIR_RootConstrainSelectedInstOperands,
     /*  562457 */     // GIR_Coverage, 7351,
     /*  562457 */     GIR_EraseRootFromParent_Done,
     /*  562458 */   // Label 9304: @562458
     /*  562458 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(562533), // Rule ID 7354 //
     /*  562463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  562512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562531 */     GIR_RootConstrainSelectedInstOperands,
     /*  562532 */     // GIR_Coverage, 7354,
     /*  562532 */     GIR_EraseRootFromParent_Done,
     /*  562533 */   // Label 9305: @562533
     /*  562533 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(562608), // Rule ID 7355 //
     /*  562538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562584 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  562587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562606 */     GIR_RootConstrainSelectedInstOperands,
     /*  562607 */     // GIR_Coverage, 7355,
     /*  562607 */     GIR_EraseRootFromParent_Done,
     /*  562608 */   // Label 9306: @562608
     /*  562608 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(562683), // Rule ID 7358 //
     /*  562613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  562630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  562662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562681 */     GIR_RootConstrainSelectedInstOperands,
     /*  562682 */     // GIR_Coverage, 7358,
     /*  562682 */     GIR_EraseRootFromParent_Done,
     /*  562683 */   // Label 9307: @562683
     /*  562683 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(562758), // Rule ID 7359 //
     /*  562688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  562705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562734 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  562737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562756 */     GIR_RootConstrainSelectedInstOperands,
     /*  562757 */     // GIR_Coverage, 7359,
     /*  562757 */     GIR_EraseRootFromParent_Done,
     /*  562758 */   // Label 9308: @562758
     /*  562758 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(562833), // Rule ID 7362 //
     /*  562763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562809 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  562812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562831 */     GIR_RootConstrainSelectedInstOperands,
     /*  562832 */     // GIR_Coverage, 7362,
     /*  562832 */     GIR_EraseRootFromParent_Done,
     /*  562833 */   // Label 9309: @562833
     /*  562833 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(562908), // Rule ID 7363 //
     /*  562838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  562887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562906 */     GIR_RootConstrainSelectedInstOperands,
     /*  562907 */     // GIR_Coverage, 7363,
     /*  562907 */     GIR_EraseRootFromParent_Done,
     /*  562908 */   // Label 9310: @562908
     /*  562908 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(562983), // Rule ID 7366 //
     /*  562913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  562924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  562927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  562930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  562962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562981 */     GIR_RootConstrainSelectedInstOperands,
     /*  562982 */     // GIR_Coverage, 7366,
     /*  562982 */     GIR_EraseRootFromParent_Done,
     /*  562983 */   // Label 9311: @562983
     /*  562983 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(563058), // Rule ID 7367 //
     /*  562988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  562996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  562999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  563037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563056 */     GIR_RootConstrainSelectedInstOperands,
     /*  563057 */     // GIR_Coverage, 7367,
     /*  563057 */     GIR_EraseRootFromParent_Done,
     /*  563058 */   // Label 9312: @563058
     /*  563058 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(563133), // Rule ID 7370 //
     /*  563063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  563112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563131 */     GIR_RootConstrainSelectedInstOperands,
     /*  563132 */     // GIR_Coverage, 7370,
     /*  563132 */     GIR_EraseRootFromParent_Done,
     /*  563133 */   // Label 9313: @563133
     /*  563133 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(563208), // Rule ID 7371 //
     /*  563138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  563187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563206 */     GIR_RootConstrainSelectedInstOperands,
     /*  563207 */     // GIR_Coverage, 7371,
     /*  563207 */     GIR_EraseRootFromParent_Done,
     /*  563208 */   // Label 9314: @563208
     /*  563208 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(563283), // Rule ID 7374 //
     /*  563213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  563224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  563227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  563262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563281 */     GIR_RootConstrainSelectedInstOperands,
     /*  563282 */     // GIR_Coverage, 7374,
     /*  563282 */     GIR_EraseRootFromParent_Done,
     /*  563283 */   // Label 9315: @563283
     /*  563283 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(563358), // Rule ID 7375 //
     /*  563288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  563299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  563302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  563337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563356 */     GIR_RootConstrainSelectedInstOperands,
     /*  563357 */     // GIR_Coverage, 7375,
     /*  563357 */     GIR_EraseRootFromParent_Done,
     /*  563358 */   // Label 9316: @563358
     /*  563358 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(563433), // Rule ID 7378 //
     /*  563363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  563412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563431 */     GIR_RootConstrainSelectedInstOperands,
     /*  563432 */     // GIR_Coverage, 7378,
     /*  563432 */     GIR_EraseRootFromParent_Done,
     /*  563433 */   // Label 9317: @563433
     /*  563433 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(563508), // Rule ID 7379 //
     /*  563438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  563449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  563452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  563487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563506 */     GIR_RootConstrainSelectedInstOperands,
     /*  563507 */     // GIR_Coverage, 7379,
     /*  563507 */     GIR_EraseRootFromParent_Done,
     /*  563508 */   // Label 9318: @563508
     /*  563508 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(563583), // Rule ID 7382 //
     /*  563513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  563562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563581 */     GIR_RootConstrainSelectedInstOperands,
     /*  563582 */     // GIR_Coverage, 7382,
     /*  563582 */     GIR_EraseRootFromParent_Done,
     /*  563583 */   // Label 9319: @563583
     /*  563583 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(563658), // Rule ID 7383 //
     /*  563588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  563599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  563602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  563637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563656 */     GIR_RootConstrainSelectedInstOperands,
     /*  563657 */     // GIR_Coverage, 7383,
     /*  563657 */     GIR_EraseRootFromParent_Done,
     /*  563658 */   // Label 9320: @563658
     /*  563658 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(563733), // Rule ID 7386 //
     /*  563663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  563712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563731 */     GIR_RootConstrainSelectedInstOperands,
     /*  563732 */     // GIR_Coverage, 7386,
     /*  563732 */     GIR_EraseRootFromParent_Done,
     /*  563733 */   // Label 9321: @563733
     /*  563733 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(563808), // Rule ID 7387 //
     /*  563738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  563787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563806 */     GIR_RootConstrainSelectedInstOperands,
     /*  563807 */     // GIR_Coverage, 7387,
     /*  563807 */     GIR_EraseRootFromParent_Done,
     /*  563808 */   // Label 9322: @563808
     /*  563808 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(563883), // Rule ID 7390 //
     /*  563813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  563862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563881 */     GIR_RootConstrainSelectedInstOperands,
     /*  563882 */     // GIR_Coverage, 7390,
     /*  563882 */     GIR_EraseRootFromParent_Done,
     /*  563883 */   // Label 9323: @563883
     /*  563883 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(563958), // Rule ID 7391 //
     /*  563888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  563937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563956 */     GIR_RootConstrainSelectedInstOperands,
     /*  563957 */     // GIR_Coverage, 7391,
     /*  563957 */     GIR_EraseRootFromParent_Done,
     /*  563958 */   // Label 9324: @563958
     /*  563958 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(564033), // Rule ID 7394 //
     /*  563963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  563971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  563974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  563977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564009 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  564012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564031 */     GIR_RootConstrainSelectedInstOperands,
     /*  564032 */     // GIR_Coverage, 7394,
     /*  564032 */     GIR_EraseRootFromParent_Done,
     /*  564033 */   // Label 9325: @564033
     /*  564033 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(564108), // Rule ID 7395 //
     /*  564038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  564055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  564087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564106 */     GIR_RootConstrainSelectedInstOperands,
     /*  564107 */     // GIR_Coverage, 7395,
     /*  564107 */     GIR_EraseRootFromParent_Done,
     /*  564108 */   // Label 9326: @564108
     /*  564108 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(564183), // Rule ID 7398 //
     /*  564113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  564116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  564162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564181 */     GIR_RootConstrainSelectedInstOperands,
     /*  564182 */     // GIR_Coverage, 7398,
     /*  564182 */     GIR_EraseRootFromParent_Done,
     /*  564183 */   // Label 9327: @564183
     /*  564183 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(564258), // Rule ID 7399 //
     /*  564188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  564199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  564202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  564205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  564237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564256 */     GIR_RootConstrainSelectedInstOperands,
     /*  564257 */     // GIR_Coverage, 7399,
     /*  564257 */     GIR_EraseRootFromParent_Done,
     /*  564258 */   // Label 9328: @564258
     /*  564258 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(564333), // Rule ID 7402 //
     /*  564263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  564266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  564280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  564312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564331 */     GIR_RootConstrainSelectedInstOperands,
     /*  564332 */     // GIR_Coverage, 7402,
     /*  564332 */     GIR_EraseRootFromParent_Done,
     /*  564333 */   // Label 9329: @564333
     /*  564333 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(564408), // Rule ID 7403 //
     /*  564338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  564349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  564352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  564355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  564387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564406 */     GIR_RootConstrainSelectedInstOperands,
     /*  564407 */     // GIR_Coverage, 7403,
     /*  564407 */     GIR_EraseRootFromParent_Done,
     /*  564408 */   // Label 9330: @564408
     /*  564408 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(564483), // Rule ID 7406 //
     /*  564413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  564416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  564462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564481 */     GIR_RootConstrainSelectedInstOperands,
     /*  564482 */     // GIR_Coverage, 7406,
     /*  564482 */     GIR_EraseRootFromParent_Done,
     /*  564483 */   // Label 9331: @564483
     /*  564483 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(564558), // Rule ID 7407 //
     /*  564488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  564537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564556 */     GIR_RootConstrainSelectedInstOperands,
     /*  564557 */     // GIR_Coverage, 7407,
     /*  564557 */     GIR_EraseRootFromParent_Done,
     /*  564558 */   // Label 9332: @564558
     /*  564558 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(564633), // Rule ID 7410 //
     /*  564563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  564566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  564612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564631 */     GIR_RootConstrainSelectedInstOperands,
     /*  564632 */     // GIR_Coverage, 7410,
     /*  564632 */     GIR_EraseRootFromParent_Done,
     /*  564633 */   // Label 9333: @564633
     /*  564633 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(564708), // Rule ID 7411 //
     /*  564638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  564646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  564687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564706 */     GIR_RootConstrainSelectedInstOperands,
     /*  564707 */     // GIR_Coverage, 7411,
     /*  564707 */     GIR_EraseRootFromParent_Done,
     /*  564708 */   // Label 9334: @564708
     /*  564708 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(564783), // Rule ID 7474 //
     /*  564713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  564721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  564724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  564727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  564762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564781 */     GIR_RootConstrainSelectedInstOperands,
     /*  564782 */     // GIR_Coverage, 7474,
     /*  564782 */     GIR_EraseRootFromParent_Done,
     /*  564783 */   // Label 9335: @564783
     /*  564783 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(564858), // Rule ID 7475 //
     /*  564788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  564796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  564799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  564802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  564837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564856 */     GIR_RootConstrainSelectedInstOperands,
     /*  564857 */     // GIR_Coverage, 7475,
     /*  564857 */     GIR_EraseRootFromParent_Done,
     /*  564858 */   // Label 9336: @564858
     /*  564858 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(564933), // Rule ID 7478 //
     /*  564863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  564871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564909 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  564912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564931 */     GIR_RootConstrainSelectedInstOperands,
     /*  564932 */     // GIR_Coverage, 7478,
     /*  564932 */     GIR_EraseRootFromParent_Done,
     /*  564933 */   // Label 9337: @564933
     /*  564933 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(565008), // Rule ID 7479 //
     /*  564938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  564946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  564987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565006 */     GIR_RootConstrainSelectedInstOperands,
     /*  565007 */     // GIR_Coverage, 7479,
     /*  565007 */     GIR_EraseRootFromParent_Done,
     /*  565008 */   // Label 9338: @565008
     /*  565008 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(565083), // Rule ID 7482 //
     /*  565013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  565024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  565027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  565033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  565062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565081 */     GIR_RootConstrainSelectedInstOperands,
     /*  565082 */     // GIR_Coverage, 7482,
     /*  565082 */     GIR_EraseRootFromParent_Done,
     /*  565083 */   // Label 9339: @565083
     /*  565083 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(565158), // Rule ID 7483 //
     /*  565088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  565099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  565102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  565108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  565137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565156 */     GIR_RootConstrainSelectedInstOperands,
     /*  565157 */     // GIR_Coverage, 7483,
     /*  565157 */     GIR_EraseRootFromParent_Done,
     /*  565158 */   // Label 9340: @565158
     /*  565158 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(565233), // Rule ID 7486 //
     /*  565163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  565174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  565177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  565183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  565212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565231 */     GIR_RootConstrainSelectedInstOperands,
     /*  565232 */     // GIR_Coverage, 7486,
     /*  565232 */     GIR_EraseRootFromParent_Done,
     /*  565233 */   // Label 9341: @565233
     /*  565233 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(565308), // Rule ID 7487 //
     /*  565238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  565249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  565252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  565258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  565287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565306 */     GIR_RootConstrainSelectedInstOperands,
     /*  565307 */     // GIR_Coverage, 7487,
     /*  565307 */     GIR_EraseRootFromParent_Done,
     /*  565308 */   // Label 9342: @565308
     /*  565308 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(565383), // Rule ID 7490 //
     /*  565313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  565333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  565362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565381 */     GIR_RootConstrainSelectedInstOperands,
     /*  565382 */     // GIR_Coverage, 7490,
     /*  565382 */     GIR_EraseRootFromParent_Done,
     /*  565383 */   // Label 9343: @565383
     /*  565383 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(565458), // Rule ID 7491 //
     /*  565388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  565408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  565437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565456 */     GIR_RootConstrainSelectedInstOperands,
     /*  565457 */     // GIR_Coverage, 7491,
     /*  565457 */     GIR_EraseRootFromParent_Done,
     /*  565458 */   // Label 9344: @565458
     /*  565458 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(565533), // Rule ID 7494 //
     /*  565463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  565512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565531 */     GIR_RootConstrainSelectedInstOperands,
     /*  565532 */     // GIR_Coverage, 7494,
     /*  565532 */     GIR_EraseRootFromParent_Done,
     /*  565533 */   // Label 9345: @565533
     /*  565533 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(565608), // Rule ID 7495 //
     /*  565538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  565549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  565552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  565555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  565587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565606 */     GIR_RootConstrainSelectedInstOperands,
     /*  565607 */     // GIR_Coverage, 7495,
     /*  565607 */     GIR_EraseRootFromParent_Done,
     /*  565608 */   // Label 9346: @565608
     /*  565608 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(565683), // Rule ID 7498 //
     /*  565613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  565630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  565662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565681 */     GIR_RootConstrainSelectedInstOperands,
     /*  565682 */     // GIR_Coverage, 7498,
     /*  565682 */     GIR_EraseRootFromParent_Done,
     /*  565683 */   // Label 9347: @565683
     /*  565683 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(565758), // Rule ID 7499 //
     /*  565688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  565699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  565702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  565705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  565737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565756 */     GIR_RootConstrainSelectedInstOperands,
     /*  565757 */     // GIR_Coverage, 7499,
     /*  565757 */     GIR_EraseRootFromParent_Done,
     /*  565758 */   // Label 9348: @565758
     /*  565758 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(565833), // Rule ID 7502 //
     /*  565763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565809 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  565812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565831 */     GIR_RootConstrainSelectedInstOperands,
     /*  565832 */     // GIR_Coverage, 7502,
     /*  565832 */     GIR_EraseRootFromParent_Done,
     /*  565833 */   // Label 9349: @565833
     /*  565833 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(565908), // Rule ID 7503 //
     /*  565838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  565887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565906 */     GIR_RootConstrainSelectedInstOperands,
     /*  565907 */     // GIR_Coverage, 7503,
     /*  565907 */     GIR_EraseRootFromParent_Done,
     /*  565908 */   // Label 9350: @565908
     /*  565908 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(565983), // Rule ID 7506 //
     /*  565913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  565927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  565930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  565933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  565962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565981 */     GIR_RootConstrainSelectedInstOperands,
     /*  565982 */     // GIR_Coverage, 7506,
     /*  565982 */     GIR_EraseRootFromParent_Done,
     /*  565983 */   // Label 9351: @565983
     /*  565983 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(566058), // Rule ID 7507 //
     /*  565988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  565996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  566037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566056 */     GIR_RootConstrainSelectedInstOperands,
     /*  566057 */     // GIR_Coverage, 7507,
     /*  566057 */     GIR_EraseRootFromParent_Done,
     /*  566058 */   // Label 9352: @566058
     /*  566058 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(566133), // Rule ID 7510 //
     /*  566063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  566083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  566112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566131 */     GIR_RootConstrainSelectedInstOperands,
     /*  566132 */     // GIR_Coverage, 7510,
     /*  566132 */     GIR_EraseRootFromParent_Done,
     /*  566133 */   // Label 9353: @566133
     /*  566133 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(566208), // Rule ID 7511 //
     /*  566138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  566158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  566187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566206 */     GIR_RootConstrainSelectedInstOperands,
     /*  566207 */     // GIR_Coverage, 7511,
     /*  566207 */     GIR_EraseRootFromParent_Done,
     /*  566208 */   // Label 9354: @566208
     /*  566208 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(566283), // Rule ID 7514 //
     /*  566213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  566233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  566262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566281 */     GIR_RootConstrainSelectedInstOperands,
     /*  566282 */     // GIR_Coverage, 7514,
     /*  566282 */     GIR_EraseRootFromParent_Done,
     /*  566283 */   // Label 9355: @566283
     /*  566283 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(566358), // Rule ID 7515 //
     /*  566288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  566305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  566308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  566337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566356 */     GIR_RootConstrainSelectedInstOperands,
     /*  566357 */     // GIR_Coverage, 7515,
     /*  566357 */     GIR_EraseRootFromParent_Done,
     /*  566358 */   // Label 9356: @566358
     /*  566358 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(566433), // Rule ID 7518 //
     /*  566363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  566380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  566383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  566412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566431 */     GIR_RootConstrainSelectedInstOperands,
     /*  566432 */     // GIR_Coverage, 7518,
     /*  566432 */     GIR_EraseRootFromParent_Done,
     /*  566433 */   // Label 9357: @566433
     /*  566433 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(566508), // Rule ID 7519 //
     /*  566438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  566449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  566452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  566455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  566458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  566487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566506 */     GIR_RootConstrainSelectedInstOperands,
     /*  566507 */     // GIR_Coverage, 7519,
     /*  566507 */     GIR_EraseRootFromParent_Done,
     /*  566508 */   // Label 9358: @566508
     /*  566508 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(566583), // Rule ID 7522 //
     /*  566513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  566562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566581 */     GIR_RootConstrainSelectedInstOperands,
     /*  566582 */     // GIR_Coverage, 7522,
     /*  566582 */     GIR_EraseRootFromParent_Done,
     /*  566583 */   // Label 9359: @566583
     /*  566583 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(566658), // Rule ID 7523 //
     /*  566588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  566599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  566602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  566605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  566637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566656 */     GIR_RootConstrainSelectedInstOperands,
     /*  566657 */     // GIR_Coverage, 7523,
     /*  566657 */     GIR_EraseRootFromParent_Done,
     /*  566658 */   // Label 9360: @566658
     /*  566658 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(566733), // Rule ID 7526 //
     /*  566663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  566712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566731 */     GIR_RootConstrainSelectedInstOperands,
     /*  566732 */     // GIR_Coverage, 7526,
     /*  566732 */     GIR_EraseRootFromParent_Done,
     /*  566733 */   // Label 9361: @566733
     /*  566733 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(566808), // Rule ID 7527 //
     /*  566738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  566755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  566787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566806 */     GIR_RootConstrainSelectedInstOperands,
     /*  566807 */     // GIR_Coverage, 7527,
     /*  566807 */     GIR_EraseRootFromParent_Done,
     /*  566808 */   // Label 9362: @566808
     /*  566808 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(566883), // Rule ID 7530 //
     /*  566813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  566862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566881 */     GIR_RootConstrainSelectedInstOperands,
     /*  566882 */     // GIR_Coverage, 7530,
     /*  566882 */     GIR_EraseRootFromParent_Done,
     /*  566883 */   // Label 9363: @566883
     /*  566883 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(566958), // Rule ID 7531 //
     /*  566888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  566905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  566937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566956 */     GIR_RootConstrainSelectedInstOperands,
     /*  566957 */     // GIR_Coverage, 7531,
     /*  566957 */     GIR_EraseRootFromParent_Done,
     /*  566958 */   // Label 9364: @566958
     /*  566958 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(567033), // Rule ID 7534 //
     /*  566963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  566971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  566974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  566977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  566980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567009 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  567012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567031 */     GIR_RootConstrainSelectedInstOperands,
     /*  567032 */     // GIR_Coverage, 7534,
     /*  567032 */     GIR_EraseRootFromParent_Done,
     /*  567033 */   // Label 9365: @567033
     /*  567033 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(567108), // Rule ID 7535 //
     /*  567038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  567087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567106 */     GIR_RootConstrainSelectedInstOperands,
     /*  567107 */     // GIR_Coverage, 7535,
     /*  567107 */     GIR_EraseRootFromParent_Done,
     /*  567108 */   // Label 9366: @567108
     /*  567108 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(567183), // Rule ID 7538 //
     /*  567113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  567162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567181 */     GIR_RootConstrainSelectedInstOperands,
     /*  567182 */     // GIR_Coverage, 7538,
     /*  567182 */     GIR_EraseRootFromParent_Done,
     /*  567183 */   // Label 9367: @567183
     /*  567183 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(567258), // Rule ID 7539 //
     /*  567188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  567237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567256 */     GIR_RootConstrainSelectedInstOperands,
     /*  567257 */     // GIR_Coverage, 7539,
     /*  567257 */     GIR_EraseRootFromParent_Done,
     /*  567258 */   // Label 9368: @567258
     /*  567258 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(567333), // Rule ID 7542 //
     /*  567263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567309 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  567312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567331 */     GIR_RootConstrainSelectedInstOperands,
     /*  567332 */     // GIR_Coverage, 7542,
     /*  567332 */     GIR_EraseRootFromParent_Done,
     /*  567333 */   // Label 9369: @567333
     /*  567333 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(567408), // Rule ID 7543 //
     /*  567338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  567387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567406 */     GIR_RootConstrainSelectedInstOperands,
     /*  567407 */     // GIR_Coverage, 7543,
     /*  567407 */     GIR_EraseRootFromParent_Done,
     /*  567408 */   // Label 9370: @567408
     /*  567408 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(567483), // Rule ID 7546 //
     /*  567413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  567424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  567427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  567462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567481 */     GIR_RootConstrainSelectedInstOperands,
     /*  567482 */     // GIR_Coverage, 7546,
     /*  567482 */     GIR_EraseRootFromParent_Done,
     /*  567483 */   // Label 9371: @567483
     /*  567483 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(567558), // Rule ID 7547 //
     /*  567488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  567499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  567502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  567537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567556 */     GIR_RootConstrainSelectedInstOperands,
     /*  567557 */     // GIR_Coverage, 7547,
     /*  567557 */     GIR_EraseRootFromParent_Done,
     /*  567558 */   // Label 9372: @567558
     /*  567558 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(567633), // Rule ID 7550 //
     /*  567563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  567574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  567577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  567612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567631 */     GIR_RootConstrainSelectedInstOperands,
     /*  567632 */     // GIR_Coverage, 7550,
     /*  567632 */     GIR_EraseRootFromParent_Done,
     /*  567633 */   // Label 9373: @567633
     /*  567633 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(567708), // Rule ID 7551 //
     /*  567638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  567649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  567652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  567655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  567687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567706 */     GIR_RootConstrainSelectedInstOperands,
     /*  567707 */     // GIR_Coverage, 7551,
     /*  567707 */     GIR_EraseRootFromParent_Done,
     /*  567708 */   // Label 9374: @567708
     /*  567708 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(567783), // Rule ID 7554 //
     /*  567713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  567724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  567727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  567730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  567762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567781 */     GIR_RootConstrainSelectedInstOperands,
     /*  567782 */     // GIR_Coverage, 7554,
     /*  567782 */     GIR_EraseRootFromParent_Done,
     /*  567783 */   // Label 9375: @567783
     /*  567783 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(567858), // Rule ID 7555 //
     /*  567788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  567799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  567802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  567805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  567837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567856 */     GIR_RootConstrainSelectedInstOperands,
     /*  567857 */     // GIR_Coverage, 7555,
     /*  567857 */     GIR_EraseRootFromParent_Done,
     /*  567858 */   // Label 9376: @567858
     /*  567858 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(567933), // Rule ID 7558 //
     /*  567863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  567912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567931 */     GIR_RootConstrainSelectedInstOperands,
     /*  567932 */     // GIR_Coverage, 7558,
     /*  567932 */     GIR_EraseRootFromParent_Done,
     /*  567933 */   // Label 9377: @567933
     /*  567933 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(568008), // Rule ID 7559 //
     /*  567938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  567946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  567949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  567952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  567955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  567987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568006 */     GIR_RootConstrainSelectedInstOperands,
     /*  568007 */     // GIR_Coverage, 7559,
     /*  568007 */     GIR_EraseRootFromParent_Done,
     /*  568008 */   // Label 9378: @568008
     /*  568008 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(568083), // Rule ID 7562 //
     /*  568013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  568062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568081 */     GIR_RootConstrainSelectedInstOperands,
     /*  568082 */     // GIR_Coverage, 7562,
     /*  568082 */     GIR_EraseRootFromParent_Done,
     /*  568083 */   // Label 9379: @568083
     /*  568083 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(568158), // Rule ID 7563 //
     /*  568088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  568137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568156 */     GIR_RootConstrainSelectedInstOperands,
     /*  568157 */     // GIR_Coverage, 7563,
     /*  568157 */     GIR_EraseRootFromParent_Done,
     /*  568158 */   // Label 9380: @568158
     /*  568158 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(568233), // Rule ID 7566 //
     /*  568163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  568212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568231 */     GIR_RootConstrainSelectedInstOperands,
     /*  568232 */     // GIR_Coverage, 7566,
     /*  568232 */     GIR_EraseRootFromParent_Done,
     /*  568233 */   // Label 9381: @568233
     /*  568233 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(568308), // Rule ID 7567 //
     /*  568238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  568287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568306 */     GIR_RootConstrainSelectedInstOperands,
     /*  568307 */     // GIR_Coverage, 7567,
     /*  568307 */     GIR_EraseRootFromParent_Done,
     /*  568308 */   // Label 9382: @568308
     /*  568308 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(568383), // Rule ID 7570 //
     /*  568313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  568362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568381 */     GIR_RootConstrainSelectedInstOperands,
     /*  568382 */     // GIR_Coverage, 7570,
     /*  568382 */     GIR_EraseRootFromParent_Done,
     /*  568383 */   // Label 9383: @568383
     /*  568383 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(568458), // Rule ID 7571 //
     /*  568388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  568399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  568402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  568437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568456 */     GIR_RootConstrainSelectedInstOperands,
     /*  568457 */     // GIR_Coverage, 7571,
     /*  568457 */     GIR_EraseRootFromParent_Done,
     /*  568458 */   // Label 9384: @568458
     /*  568458 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(568533), // Rule ID 7574 //
     /*  568463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  568480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  568512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568531 */     GIR_RootConstrainSelectedInstOperands,
     /*  568532 */     // GIR_Coverage, 7574,
     /*  568532 */     GIR_EraseRootFromParent_Done,
     /*  568533 */   // Label 9385: @568533
     /*  568533 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(568608), // Rule ID 7575 //
     /*  568538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  568549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  568552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  568555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  568587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568606 */     GIR_RootConstrainSelectedInstOperands,
     /*  568607 */     // GIR_Coverage, 7575,
     /*  568607 */     GIR_EraseRootFromParent_Done,
     /*  568608 */   // Label 9386: @568608
     /*  568608 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(568683), // Rule ID 7578 //
     /*  568613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  568662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568681 */     GIR_RootConstrainSelectedInstOperands,
     /*  568682 */     // GIR_Coverage, 7578,
     /*  568682 */     GIR_EraseRootFromParent_Done,
     /*  568683 */   // Label 9387: @568683
     /*  568683 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(568758), // Rule ID 7579 //
     /*  568688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  568705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  568737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568756 */     GIR_RootConstrainSelectedInstOperands,
     /*  568757 */     // GIR_Coverage, 7579,
     /*  568757 */     GIR_EraseRootFromParent_Done,
     /*  568758 */   // Label 9388: @568758
     /*  568758 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(568833), // Rule ID 7582 //
     /*  568763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  568780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  568812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568831 */     GIR_RootConstrainSelectedInstOperands,
     /*  568832 */     // GIR_Coverage, 7582,
     /*  568832 */     GIR_EraseRootFromParent_Done,
     /*  568833 */   // Label 9389: @568833
     /*  568833 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(568908), // Rule ID 7583 //
     /*  568838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  568855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  568887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568906 */     GIR_RootConstrainSelectedInstOperands,
     /*  568907 */     // GIR_Coverage, 7583,
     /*  568907 */     GIR_EraseRootFromParent_Done,
     /*  568908 */   // Label 9390: @568908
     /*  568908 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(568983), // Rule ID 7586 //
     /*  568913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  568924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  568927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  568930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  568962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568981 */     GIR_RootConstrainSelectedInstOperands,
     /*  568982 */     // GIR_Coverage, 7586,
     /*  568982 */     GIR_EraseRootFromParent_Done,
     /*  568983 */   // Label 9391: @568983
     /*  568983 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(569058), // Rule ID 7587 //
     /*  568988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  568996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  568999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  569005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  569037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569056 */     GIR_RootConstrainSelectedInstOperands,
     /*  569057 */     // GIR_Coverage, 7587,
     /*  569057 */     GIR_EraseRootFromParent_Done,
     /*  569058 */   // Label 9392: @569058
     /*  569058 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(569133), // Rule ID 7590 //
     /*  569063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  569071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  569080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  569112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569131 */     GIR_RootConstrainSelectedInstOperands,
     /*  569132 */     // GIR_Coverage, 7590,
     /*  569132 */     GIR_EraseRootFromParent_Done,
     /*  569133 */   // Label 9393: @569133
     /*  569133 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(569208), // Rule ID 7591 //
     /*  569138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  569146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  569155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  569187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569206 */     GIR_RootConstrainSelectedInstOperands,
     /*  569207 */     // GIR_Coverage, 7591,
     /*  569207 */     GIR_EraseRootFromParent_Done,
     /*  569208 */   // Label 9394: @569208
     /*  569208 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(569283), // Rule ID 10106 //
     /*  569213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  569224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  569227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  569233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  569262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569281 */     GIR_RootConstrainSelectedInstOperands,
     /*  569282 */     // GIR_Coverage, 10106,
     /*  569282 */     GIR_EraseRootFromParent_Done,
     /*  569283 */   // Label 9395: @569283
     /*  569283 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(569358), // Rule ID 10107 //
     /*  569288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  569299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  569302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  569308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  569337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569356 */     GIR_RootConstrainSelectedInstOperands,
     /*  569357 */     // GIR_Coverage, 10107,
     /*  569357 */     GIR_EraseRootFromParent_Done,
     /*  569358 */   // Label 9396: @569358
     /*  569358 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(569433), // Rule ID 10110 //
     /*  569363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  569374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  569377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  569383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  569412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569431 */     GIR_RootConstrainSelectedInstOperands,
     /*  569432 */     // GIR_Coverage, 10110,
     /*  569432 */     GIR_EraseRootFromParent_Done,
     /*  569433 */   // Label 9397: @569433
     /*  569433 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(569508), // Rule ID 10111 //
     /*  569438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  569449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  569452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  569458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  569487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569506 */     GIR_RootConstrainSelectedInstOperands,
     /*  569507 */     // GIR_Coverage, 10111,
     /*  569507 */     GIR_EraseRootFromParent_Done,
     /*  569508 */   // Label 9398: @569508
     /*  569508 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(569583), // Rule ID 10114 //
     /*  569513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  569524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  569527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  569562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569581 */     GIR_RootConstrainSelectedInstOperands,
     /*  569582 */     // GIR_Coverage, 10114,
     /*  569582 */     GIR_EraseRootFromParent_Done,
     /*  569583 */   // Label 9399: @569583
     /*  569583 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(569658), // Rule ID 10115 //
     /*  569588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  569599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  569602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  569637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569656 */     GIR_RootConstrainSelectedInstOperands,
     /*  569657 */     // GIR_Coverage, 10115,
     /*  569657 */     GIR_EraseRootFromParent_Done,
     /*  569658 */   // Label 9400: @569658
     /*  569658 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(569733), // Rule ID 10118 //
     /*  569663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  569674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  569677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  569712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569731 */     GIR_RootConstrainSelectedInstOperands,
     /*  569732 */     // GIR_Coverage, 10118,
     /*  569732 */     GIR_EraseRootFromParent_Done,
     /*  569733 */   // Label 9401: @569733
     /*  569733 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(569808), // Rule ID 10119 //
     /*  569738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  569749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  569752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  569787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569806 */     GIR_RootConstrainSelectedInstOperands,
     /*  569807 */     // GIR_Coverage, 10119,
     /*  569807 */     GIR_EraseRootFromParent_Done,
     /*  569808 */   // Label 9402: @569808
     /*  569808 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(569883), // Rule ID 10122 //
     /*  569813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  569833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  569862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569881 */     GIR_RootConstrainSelectedInstOperands,
     /*  569882 */     // GIR_Coverage, 10122,
     /*  569882 */     GIR_EraseRootFromParent_Done,
     /*  569883 */   // Label 9403: @569883
     /*  569883 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(569958), // Rule ID 10123 //
     /*  569888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  569908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  569937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569956 */     GIR_RootConstrainSelectedInstOperands,
     /*  569957 */     // GIR_Coverage, 10123,
     /*  569957 */     GIR_EraseRootFromParent_Done,
     /*  569958 */   // Label 9404: @569958
     /*  569958 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(570033), // Rule ID 10126 //
     /*  569963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  569971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  569980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  569983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  570012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570031 */     GIR_RootConstrainSelectedInstOperands,
     /*  570032 */     // GIR_Coverage, 10126,
     /*  570032 */     GIR_EraseRootFromParent_Done,
     /*  570033 */   // Label 9405: @570033
     /*  570033 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(570108), // Rule ID 10127 //
     /*  570038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  570049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  570052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  570058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  570087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570106 */     GIR_RootConstrainSelectedInstOperands,
     /*  570107 */     // GIR_Coverage, 10127,
     /*  570107 */     GIR_EraseRootFromParent_Done,
     /*  570108 */   // Label 9406: @570108
     /*  570108 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(570183), // Rule ID 10130 //
     /*  570113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  570124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  570127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570181 */     GIR_RootConstrainSelectedInstOperands,
     /*  570182 */     // GIR_Coverage, 10130,
     /*  570182 */     GIR_EraseRootFromParent_Done,
     /*  570183 */   // Label 9407: @570183
     /*  570183 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(570258), // Rule ID 10131 //
     /*  570188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  570199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  570202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  570205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570256 */     GIR_RootConstrainSelectedInstOperands,
     /*  570257 */     // GIR_Coverage, 10131,
     /*  570257 */     GIR_EraseRootFromParent_Done,
     /*  570258 */   // Label 9408: @570258
     /*  570258 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(570333), // Rule ID 10134 //
     /*  570263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  570283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570331 */     GIR_RootConstrainSelectedInstOperands,
     /*  570332 */     // GIR_Coverage, 10134,
     /*  570332 */     GIR_EraseRootFromParent_Done,
     /*  570333 */   // Label 9409: @570333
     /*  570333 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(570408), // Rule ID 10135 //
     /*  570338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  570349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  570352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  570358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570406 */     GIR_RootConstrainSelectedInstOperands,
     /*  570407 */     // GIR_Coverage, 10135,
     /*  570407 */     GIR_EraseRootFromParent_Done,
     /*  570408 */   // Label 9410: @570408
     /*  570408 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(570483), // Rule ID 10138 //
     /*  570413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570481 */     GIR_RootConstrainSelectedInstOperands,
     /*  570482 */     // GIR_Coverage, 10138,
     /*  570482 */     GIR_EraseRootFromParent_Done,
     /*  570483 */   // Label 9411: @570483
     /*  570483 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(570558), // Rule ID 10139 //
     /*  570488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570556 */     GIR_RootConstrainSelectedInstOperands,
     /*  570557 */     // GIR_Coverage, 10139,
     /*  570557 */     GIR_EraseRootFromParent_Done,
     /*  570558 */   // Label 9412: @570558
     /*  570558 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(570633), // Rule ID 10142 //
     /*  570563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  570580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  570583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570631 */     GIR_RootConstrainSelectedInstOperands,
     /*  570632 */     // GIR_Coverage, 10142,
     /*  570632 */     GIR_EraseRootFromParent_Done,
     /*  570633 */   // Label 9413: @570633
     /*  570633 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(570708), // Rule ID 10143 //
     /*  570638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  570655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  570658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  570687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570706 */     GIR_RootConstrainSelectedInstOperands,
     /*  570707 */     // GIR_Coverage, 10143,
     /*  570707 */     GIR_EraseRootFromParent_Done,
     /*  570708 */   // Label 9414: @570708
     /*  570708 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(570783), // Rule ID 10146 //
     /*  570713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  570724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  570727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  570762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570781 */     GIR_RootConstrainSelectedInstOperands,
     /*  570782 */     // GIR_Coverage, 10146,
     /*  570782 */     GIR_EraseRootFromParent_Done,
     /*  570783 */   // Label 9415: @570783
     /*  570783 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(570858), // Rule ID 10147 //
     /*  570788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  570799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  570802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  570805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  570837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570856 */     GIR_RootConstrainSelectedInstOperands,
     /*  570857 */     // GIR_Coverage, 10147,
     /*  570857 */     GIR_EraseRootFromParent_Done,
     /*  570858 */   // Label 9416: @570858
     /*  570858 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(570933), // Rule ID 10150 //
     /*  570863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  570874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  570877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  570880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  570912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570931 */     GIR_RootConstrainSelectedInstOperands,
     /*  570932 */     // GIR_Coverage, 10150,
     /*  570932 */     GIR_EraseRootFromParent_Done,
     /*  570933 */   // Label 9417: @570933
     /*  570933 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(571008), // Rule ID 10151 //
     /*  570938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  570946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  570949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  570952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  570955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  570987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571006 */     GIR_RootConstrainSelectedInstOperands,
     /*  571007 */     // GIR_Coverage, 10151,
     /*  571007 */     GIR_EraseRootFromParent_Done,
     /*  571008 */   // Label 9418: @571008
     /*  571008 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(571083), // Rule ID 10154 //
     /*  571013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  571024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  571027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  571030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  571033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  571062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571081 */     GIR_RootConstrainSelectedInstOperands,
     /*  571082 */     // GIR_Coverage, 10154,
     /*  571082 */     GIR_EraseRootFromParent_Done,
     /*  571083 */   // Label 9419: @571083
     /*  571083 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(571158), // Rule ID 10155 //
     /*  571088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  571099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  571102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  571105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  571108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  571137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571156 */     GIR_RootConstrainSelectedInstOperands,
     /*  571157 */     // GIR_Coverage, 10155,
     /*  571157 */     GIR_EraseRootFromParent_Done,
     /*  571158 */   // Label 9420: @571158
     /*  571158 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(571233), // Rule ID 10158 //
     /*  571163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  571212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571231 */     GIR_RootConstrainSelectedInstOperands,
     /*  571232 */     // GIR_Coverage, 10158,
     /*  571232 */     GIR_EraseRootFromParent_Done,
     /*  571233 */   // Label 9421: @571233
     /*  571233 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(571308), // Rule ID 10159 //
     /*  571238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  571255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  571287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571306 */     GIR_RootConstrainSelectedInstOperands,
     /*  571307 */     // GIR_Coverage, 10159,
     /*  571307 */     GIR_EraseRootFromParent_Done,
     /*  571308 */   // Label 9422: @571308
     /*  571308 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(571383), // Rule ID 10162 //
     /*  571313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  571362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571381 */     GIR_RootConstrainSelectedInstOperands,
     /*  571382 */     // GIR_Coverage, 10162,
     /*  571382 */     GIR_EraseRootFromParent_Done,
     /*  571383 */   // Label 9423: @571383
     /*  571383 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(571458), // Rule ID 10163 //
     /*  571388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  571405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  571437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571456 */     GIR_RootConstrainSelectedInstOperands,
     /*  571457 */     // GIR_Coverage, 10163,
     /*  571457 */     GIR_EraseRootFromParent_Done,
     /*  571458 */   // Label 9424: @571458
     /*  571458 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(571533), // Rule ID 10166 //
     /*  571463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  571480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  571483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  571512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571531 */     GIR_RootConstrainSelectedInstOperands,
     /*  571532 */     // GIR_Coverage, 10166,
     /*  571532 */     GIR_EraseRootFromParent_Done,
     /*  571533 */   // Label 9425: @571533
     /*  571533 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(571608), // Rule ID 10167 //
     /*  571538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  571555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  571558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  571587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571606 */     GIR_RootConstrainSelectedInstOperands,
     /*  571607 */     // GIR_Coverage, 10167,
     /*  571607 */     GIR_EraseRootFromParent_Done,
     /*  571608 */   // Label 9426: @571608
     /*  571608 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(571683), // Rule ID 10170 //
     /*  571613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  571633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  571662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571681 */     GIR_RootConstrainSelectedInstOperands,
     /*  571682 */     // GIR_Coverage, 10170,
     /*  571682 */     GIR_EraseRootFromParent_Done,
     /*  571683 */   // Label 9427: @571683
     /*  571683 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(571758), // Rule ID 10171 //
     /*  571688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  571708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  571737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571756 */     GIR_RootConstrainSelectedInstOperands,
     /*  571757 */     // GIR_Coverage, 10171,
     /*  571757 */     GIR_EraseRootFromParent_Done,
     /*  571758 */   // Label 9428: @571758
     /*  571758 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(571833), // Rule ID 10174 //
     /*  571763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  571783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  571812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571831 */     GIR_RootConstrainSelectedInstOperands,
     /*  571832 */     // GIR_Coverage, 10174,
     /*  571832 */     GIR_EraseRootFromParent_Done,
     /*  571833 */   // Label 9429: @571833
     /*  571833 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(571908), // Rule ID 10175 //
     /*  571838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  571849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  571852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  571858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  571887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571906 */     GIR_RootConstrainSelectedInstOperands,
     /*  571907 */     // GIR_Coverage, 10175,
     /*  571907 */     GIR_EraseRootFromParent_Done,
     /*  571908 */   // Label 9430: @571908
     /*  571908 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(571983), // Rule ID 10178 //
     /*  571913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  571927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  571930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  571933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  571962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571981 */     GIR_RootConstrainSelectedInstOperands,
     /*  571982 */     // GIR_Coverage, 10178,
     /*  571982 */     GIR_EraseRootFromParent_Done,
     /*  571983 */   // Label 9431: @571983
     /*  571983 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(572058), // Rule ID 10179 //
     /*  571988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  571996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  571999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  572005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  572008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  572037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572056 */     GIR_RootConstrainSelectedInstOperands,
     /*  572057 */     // GIR_Coverage, 10179,
     /*  572057 */     GIR_EraseRootFromParent_Done,
     /*  572058 */   // Label 9432: @572058
     /*  572058 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(572133), // Rule ID 10182 //
     /*  572063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  572066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  572080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  572083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  572109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  572112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572131 */     GIR_RootConstrainSelectedInstOperands,
     /*  572132 */     // GIR_Coverage, 10182,
     /*  572132 */     GIR_EraseRootFromParent_Done,
     /*  572133 */   // Label 9433: @572133
     /*  572133 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(572208), // Rule ID 10183 //
     /*  572138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  572141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  572155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  572158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  572184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  572187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572206 */     GIR_RootConstrainSelectedInstOperands,
     /*  572207 */     // GIR_Coverage, 10183,
     /*  572207 */     GIR_EraseRootFromParent_Done,
     /*  572208 */   // Label 9434: @572208
     /*  572208 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(572283), // Rule ID 10186 //
     /*  572213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  572216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  572230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  572233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  572259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  572262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572281 */     GIR_RootConstrainSelectedInstOperands,
     /*  572282 */     // GIR_Coverage, 10186,
     /*  572282 */     GIR_EraseRootFromParent_Done,
     /*  572283 */   // Label 9435: @572283
     /*  572283 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(572358), // Rule ID 10187 //
     /*  572288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  572291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  572305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  572308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  572334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  572337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572356 */     GIR_RootConstrainSelectedInstOperands,
     /*  572357 */     // GIR_Coverage, 10187,
     /*  572357 */     GIR_EraseRootFromParent_Done,
     /*  572358 */   // Label 9436: @572358
     /*  572358 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(572433), // Rule ID 10190 //
     /*  572363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  572366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  572380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  572383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  572409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  572412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572431 */     GIR_RootConstrainSelectedInstOperands,
     /*  572432 */     // GIR_Coverage, 10190,
     /*  572432 */     GIR_EraseRootFromParent_Done,
     /*  572433 */   // Label 9437: @572433
     /*  572433 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(572508), // Rule ID 10191 //
     /*  572438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  572441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  572449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  572452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  572455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  572458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  572484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  572487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  572503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572506 */     GIR_RootConstrainSelectedInstOperands,
     /*  572507 */     // GIR_Coverage, 10191,
     /*  572507 */     GIR_EraseRootFromParent_Done,
     /*  572508 */   // Label 9438: @572508
     /*  572508 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(572583), // Rule ID 10194 //
     /*  572513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  572524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  572527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  572562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572581 */     GIR_RootConstrainSelectedInstOperands,
     /*  572582 */     // GIR_Coverage, 10194,
     /*  572582 */     GIR_EraseRootFromParent_Done,
     /*  572583 */   // Label 9439: @572583
     /*  572583 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(572658), // Rule ID 10195 //
     /*  572588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  572599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  572602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  572605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  572637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572656 */     GIR_RootConstrainSelectedInstOperands,
     /*  572657 */     // GIR_Coverage, 10195,
     /*  572657 */     GIR_EraseRootFromParent_Done,
     /*  572658 */   // Label 9440: @572658
     /*  572658 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(572733), // Rule ID 10198 //
     /*  572663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  572674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  572677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  572712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572731 */     GIR_RootConstrainSelectedInstOperands,
     /*  572732 */     // GIR_Coverage, 10198,
     /*  572732 */     GIR_EraseRootFromParent_Done,
     /*  572733 */   // Label 9441: @572733
     /*  572733 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(572808), // Rule ID 10199 //
     /*  572738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  572749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  572752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  572755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  572787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572806 */     GIR_RootConstrainSelectedInstOperands,
     /*  572807 */     // GIR_Coverage, 10199,
     /*  572807 */     GIR_EraseRootFromParent_Done,
     /*  572808 */   // Label 9442: @572808
     /*  572808 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(572883), // Rule ID 10202 //
     /*  572813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  572824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  572827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  572862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572881 */     GIR_RootConstrainSelectedInstOperands,
     /*  572882 */     // GIR_Coverage, 10202,
     /*  572882 */     GIR_EraseRootFromParent_Done,
     /*  572883 */   // Label 9443: @572883
     /*  572883 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(572958), // Rule ID 10203 //
     /*  572888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  572899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  572902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  572905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  572937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572956 */     GIR_RootConstrainSelectedInstOperands,
     /*  572957 */     // GIR_Coverage, 10203,
     /*  572957 */     GIR_EraseRootFromParent_Done,
     /*  572958 */   // Label 9444: @572958
     /*  572958 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(573033), // Rule ID 10206 //
     /*  572963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  572971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  572974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  572977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  573012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573031 */     GIR_RootConstrainSelectedInstOperands,
     /*  573032 */     // GIR_Coverage, 10206,
     /*  573032 */     GIR_EraseRootFromParent_Done,
     /*  573033 */   // Label 9445: @573033
     /*  573033 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(573108), // Rule ID 10207 //
     /*  573038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  573055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  573087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573106 */     GIR_RootConstrainSelectedInstOperands,
     /*  573107 */     // GIR_Coverage, 10207,
     /*  573107 */     GIR_EraseRootFromParent_Done,
     /*  573108 */   // Label 9446: @573108
     /*  573108 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(573183), // Rule ID 10210 //
     /*  573113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  573162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573181 */     GIR_RootConstrainSelectedInstOperands,
     /*  573182 */     // GIR_Coverage, 10210,
     /*  573182 */     GIR_EraseRootFromParent_Done,
     /*  573183 */   // Label 9447: @573183
     /*  573183 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(573258), // Rule ID 10211 //
     /*  573188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  573205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  573237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573256 */     GIR_RootConstrainSelectedInstOperands,
     /*  573257 */     // GIR_Coverage, 10211,
     /*  573257 */     GIR_EraseRootFromParent_Done,
     /*  573258 */   // Label 9448: @573258
     /*  573258 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(573333), // Rule ID 10214 //
     /*  573263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  573280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  573312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573331 */     GIR_RootConstrainSelectedInstOperands,
     /*  573332 */     // GIR_Coverage, 10214,
     /*  573332 */     GIR_EraseRootFromParent_Done,
     /*  573333 */   // Label 9449: @573333
     /*  573333 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(573408), // Rule ID 10215 //
     /*  573338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  573355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  573387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573406 */     GIR_RootConstrainSelectedInstOperands,
     /*  573407 */     // GIR_Coverage, 10215,
     /*  573407 */     GIR_EraseRootFromParent_Done,
     /*  573408 */   // Label 9450: @573408
     /*  573408 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(573483), // Rule ID 10218 //
     /*  573413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  573424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  573427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573481 */     GIR_RootConstrainSelectedInstOperands,
     /*  573482 */     // GIR_Coverage, 10218,
     /*  573482 */     GIR_EraseRootFromParent_Done,
     /*  573483 */   // Label 9451: @573483
     /*  573483 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(573558), // Rule ID 10219 //
     /*  573488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  573499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  573502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573556 */     GIR_RootConstrainSelectedInstOperands,
     /*  573557 */     // GIR_Coverage, 10219,
     /*  573557 */     GIR_EraseRootFromParent_Done,
     /*  573558 */   // Label 9452: @573558
     /*  573558 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(573633), // Rule ID 10222 //
     /*  573563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573631 */     GIR_RootConstrainSelectedInstOperands,
     /*  573632 */     // GIR_Coverage, 10222,
     /*  573632 */     GIR_EraseRootFromParent_Done,
     /*  573633 */   // Label 9453: @573633
     /*  573633 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(573708), // Rule ID 10223 //
     /*  573638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  573655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573706 */     GIR_RootConstrainSelectedInstOperands,
     /*  573707 */     // GIR_Coverage, 10223,
     /*  573707 */     GIR_EraseRootFromParent_Done,
     /*  573708 */   // Label 9454: @573708
     /*  573708 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(573783), // Rule ID 10226 //
     /*  573713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573781 */     GIR_RootConstrainSelectedInstOperands,
     /*  573782 */     // GIR_Coverage, 10226,
     /*  573782 */     GIR_EraseRootFromParent_Done,
     /*  573783 */   // Label 9455: @573783
     /*  573783 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(573858), // Rule ID 10227 //
     /*  573788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  573799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  573802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573856 */     GIR_RootConstrainSelectedInstOperands,
     /*  573857 */     // GIR_Coverage, 10227,
     /*  573857 */     GIR_EraseRootFromParent_Done,
     /*  573858 */   // Label 9456: @573858
     /*  573858 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(573933), // Rule ID 10230 //
     /*  573863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  573866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  573874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  573877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  573880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  573909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  573928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573931 */     GIR_RootConstrainSelectedInstOperands,
     /*  573932 */     // GIR_Coverage, 10230,
     /*  573932 */     GIR_EraseRootFromParent_Done,
     /*  573933 */   // Label 9457: @573933
     /*  573933 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(574008), // Rule ID 10231 //
     /*  573938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  573941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  573946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  573949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  573952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  573955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  573984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  573987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  574003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574006 */     GIR_RootConstrainSelectedInstOperands,
     /*  574007 */     // GIR_Coverage, 10231,
     /*  574007 */     GIR_EraseRootFromParent_Done,
     /*  574008 */   // Label 9458: @574008
     /*  574008 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(574083), // Rule ID 10234 //
     /*  574013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  574024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  574027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  574062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574081 */     GIR_RootConstrainSelectedInstOperands,
     /*  574082 */     // GIR_Coverage, 10234,
     /*  574082 */     GIR_EraseRootFromParent_Done,
     /*  574083 */   // Label 9459: @574083
     /*  574083 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(574158), // Rule ID 10235 //
     /*  574088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  574099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  574102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  574137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574156 */     GIR_RootConstrainSelectedInstOperands,
     /*  574157 */     // GIR_Coverage, 10235,
     /*  574157 */     GIR_EraseRootFromParent_Done,
     /*  574158 */   // Label 9460: @574158
     /*  574158 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(574233), // Rule ID 10238 //
     /*  574163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  574174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  574177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  574212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574231 */     GIR_RootConstrainSelectedInstOperands,
     /*  574232 */     // GIR_Coverage, 10238,
     /*  574232 */     GIR_EraseRootFromParent_Done,
     /*  574233 */   // Label 9461: @574233
     /*  574233 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(574308), // Rule ID 10239 //
     /*  574238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  574249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  574252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  574287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574306 */     GIR_RootConstrainSelectedInstOperands,
     /*  574307 */     // GIR_Coverage, 10239,
     /*  574307 */     GIR_EraseRootFromParent_Done,
     /*  574308 */   // Label 9462: @574308
     /*  574308 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(574383), // Rule ID 10242 //
     /*  574313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  574324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  574327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  574330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  574362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574381 */     GIR_RootConstrainSelectedInstOperands,
     /*  574382 */     // GIR_Coverage, 10242,
     /*  574382 */     GIR_EraseRootFromParent_Done,
     /*  574383 */   // Label 9463: @574383
     /*  574383 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(574458), // Rule ID 10243 //
     /*  574388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  574399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  574402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  574405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574434 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  574437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574456 */     GIR_RootConstrainSelectedInstOperands,
     /*  574457 */     // GIR_Coverage, 10243,
     /*  574457 */     GIR_EraseRootFromParent_Done,
     /*  574458 */   // Label 9464: @574458
     /*  574458 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(574533), // Rule ID 10246 //
     /*  574463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  574474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  574477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  574512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574531 */     GIR_RootConstrainSelectedInstOperands,
     /*  574532 */     // GIR_Coverage, 10246,
     /*  574532 */     GIR_EraseRootFromParent_Done,
     /*  574533 */   // Label 9465: @574533
     /*  574533 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(574608), // Rule ID 10247 //
     /*  574538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  574549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  574552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  574587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574606 */     GIR_RootConstrainSelectedInstOperands,
     /*  574607 */     // GIR_Coverage, 10247,
     /*  574607 */     GIR_EraseRootFromParent_Done,
     /*  574608 */   // Label 9466: @574608
     /*  574608 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(574683), // Rule ID 10250 //
     /*  574613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  574662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574681 */     GIR_RootConstrainSelectedInstOperands,
     /*  574682 */     // GIR_Coverage, 10250,
     /*  574682 */     GIR_EraseRootFromParent_Done,
     /*  574683 */   // Label 9467: @574683
     /*  574683 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(574758), // Rule ID 10251 //
     /*  574688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  574737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574756 */     GIR_RootConstrainSelectedInstOperands,
     /*  574757 */     // GIR_Coverage, 10251,
     /*  574757 */     GIR_EraseRootFromParent_Done,
     /*  574758 */   // Label 9468: @574758
     /*  574758 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(574833), // Rule ID 10254 //
     /*  574763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  574780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  574812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574831 */     GIR_RootConstrainSelectedInstOperands,
     /*  574832 */     // GIR_Coverage, 10254,
     /*  574832 */     GIR_EraseRootFromParent_Done,
     /*  574833 */   // Label 9469: @574833
     /*  574833 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(574908), // Rule ID 10255 //
     /*  574838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  574855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  574887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574906 */     GIR_RootConstrainSelectedInstOperands,
     /*  574907 */     // GIR_Coverage, 10255,
     /*  574907 */     GIR_EraseRootFromParent_Done,
     /*  574908 */   // Label 9470: @574908
     /*  574908 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(574983), // Rule ID 10258 //
     /*  574913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  574930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  574962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574981 */     GIR_RootConstrainSelectedInstOperands,
     /*  574982 */     // GIR_Coverage, 10258,
     /*  574982 */     GIR_EraseRootFromParent_Done,
     /*  574983 */   // Label 9471: @574983
     /*  574983 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(575058), // Rule ID 10259 //
     /*  574988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  575002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  575037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575056 */     GIR_RootConstrainSelectedInstOperands,
     /*  575057 */     // GIR_Coverage, 10259,
     /*  575057 */     GIR_EraseRootFromParent_Done,
     /*  575058 */   // Label 9472: @575058
     /*  575058 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(575133), // Rule ID 10262 //
     /*  575063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  575074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  575077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  575112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575131 */     GIR_RootConstrainSelectedInstOperands,
     /*  575132 */     // GIR_Coverage, 10262,
     /*  575132 */     GIR_EraseRootFromParent_Done,
     /*  575133 */   // Label 9473: @575133
     /*  575133 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(575208), // Rule ID 10263 //
     /*  575138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  575149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  575152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  575187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575206 */     GIR_RootConstrainSelectedInstOperands,
     /*  575207 */     // GIR_Coverage, 10263,
     /*  575207 */     GIR_EraseRootFromParent_Done,
     /*  575208 */   // Label 9474: @575208
     /*  575208 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(575283), // Rule ID 10266 //
     /*  575213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  575224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  575227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  575230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  575262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575281 */     GIR_RootConstrainSelectedInstOperands,
     /*  575282 */     // GIR_Coverage, 10266,
     /*  575282 */     GIR_EraseRootFromParent_Done,
     /*  575283 */   // Label 9475: @575283
     /*  575283 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(575358), // Rule ID 10267 //
     /*  575288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  575299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  575302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  575305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  575337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575356 */     GIR_RootConstrainSelectedInstOperands,
     /*  575357 */     // GIR_Coverage, 10267,
     /*  575357 */     GIR_EraseRootFromParent_Done,
     /*  575358 */   // Label 9476: @575358
     /*  575358 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(575433), // Rule ID 10270 //
     /*  575363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  575366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  575380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  575409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  575412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575431 */     GIR_RootConstrainSelectedInstOperands,
     /*  575432 */     // GIR_Coverage, 10270,
     /*  575432 */     GIR_EraseRootFromParent_Done,
     /*  575433 */   // Label 9477: @575433
     /*  575433 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(575508), // Rule ID 10271 //
     /*  575438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  575441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  575455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  575484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  575487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575506 */     GIR_RootConstrainSelectedInstOperands,
     /*  575507 */     // GIR_Coverage, 10271,
     /*  575507 */     GIR_EraseRootFromParent_Done,
     /*  575508 */   // Label 9478: @575508
     /*  575508 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(575583), // Rule ID 10274 //
     /*  575513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  575516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  575530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  575559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  575562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575581 */     GIR_RootConstrainSelectedInstOperands,
     /*  575582 */     // GIR_Coverage, 10274,
     /*  575582 */     GIR_EraseRootFromParent_Done,
     /*  575583 */   // Label 9479: @575583
     /*  575583 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(575658), // Rule ID 10275 //
     /*  575588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  575591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  575605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  575634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  575637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575656 */     GIR_RootConstrainSelectedInstOperands,
     /*  575657 */     // GIR_Coverage, 10275,
     /*  575657 */     GIR_EraseRootFromParent_Done,
     /*  575658 */   // Label 9480: @575658
     /*  575658 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(575733), // Rule ID 10278 //
     /*  575663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  575666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  575680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  575709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  575712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575731 */     GIR_RootConstrainSelectedInstOperands,
     /*  575732 */     // GIR_Coverage, 10278,
     /*  575732 */     GIR_EraseRootFromParent_Done,
     /*  575733 */   // Label 9481: @575733
     /*  575733 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(575808), // Rule ID 10279 //
     /*  575738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  575741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  575755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  575784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  575787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575806 */     GIR_RootConstrainSelectedInstOperands,
     /*  575807 */     // GIR_Coverage, 10279,
     /*  575807 */     GIR_EraseRootFromParent_Done,
     /*  575808 */   // Label 9482: @575808
     /*  575808 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(575883), // Rule ID 10282 //
     /*  575813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  575821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  575824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  575827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  575862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575881 */     GIR_RootConstrainSelectedInstOperands,
     /*  575882 */     // GIR_Coverage, 10282,
     /*  575882 */     GIR_EraseRootFromParent_Done,
     /*  575883 */   // Label 9483: @575883
     /*  575883 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(575958), // Rule ID 10283 //
     /*  575888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  575896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  575899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  575902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  575937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575956 */     GIR_RootConstrainSelectedInstOperands,
     /*  575957 */     // GIR_Coverage, 10283,
     /*  575957 */     GIR_EraseRootFromParent_Done,
     /*  575958 */   // Label 9484: @575958
     /*  575958 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(576033), // Rule ID 10286 //
     /*  575963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  575971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  575974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  575977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  576012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576031 */     GIR_RootConstrainSelectedInstOperands,
     /*  576032 */     // GIR_Coverage, 10286,
     /*  576032 */     GIR_EraseRootFromParent_Done,
     /*  576033 */   // Label 9485: @576033
     /*  576033 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(576108), // Rule ID 10287 //
     /*  576038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  576049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  576052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  576055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  576058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  576087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576106 */     GIR_RootConstrainSelectedInstOperands,
     /*  576107 */     // GIR_Coverage, 10287,
     /*  576107 */     GIR_EraseRootFromParent_Done,
     /*  576108 */   // Label 9486: @576108
     /*  576108 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(576183), // Rule ID 10290 //
     /*  576113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  576124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  576127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  576133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576181 */     GIR_RootConstrainSelectedInstOperands,
     /*  576182 */     // GIR_Coverage, 10290,
     /*  576182 */     GIR_EraseRootFromParent_Done,
     /*  576183 */   // Label 9487: @576183
     /*  576183 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(576258), // Rule ID 10291 //
     /*  576188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  576199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  576202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  576208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576256 */     GIR_RootConstrainSelectedInstOperands,
     /*  576257 */     // GIR_Coverage, 10291,
     /*  576257 */     GIR_EraseRootFromParent_Done,
     /*  576258 */   // Label 9488: @576258
     /*  576258 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(576333), // Rule ID 10294 //
     /*  576263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  576274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  576277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  576312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576331 */     GIR_RootConstrainSelectedInstOperands,
     /*  576332 */     // GIR_Coverage, 10294,
     /*  576332 */     GIR_EraseRootFromParent_Done,
     /*  576333 */   // Label 9489: @576333
     /*  576333 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(576408), // Rule ID 10295 //
     /*  576338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  576349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  576352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  576387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576406 */     GIR_RootConstrainSelectedInstOperands,
     /*  576407 */     // GIR_Coverage, 10295,
     /*  576407 */     GIR_EraseRootFromParent_Done,
     /*  576408 */   // Label 9490: @576408
     /*  576408 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(576483), // Rule ID 10298 //
     /*  576413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  576424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  576427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576481 */     GIR_RootConstrainSelectedInstOperands,
     /*  576482 */     // GIR_Coverage, 10298,
     /*  576482 */     GIR_EraseRootFromParent_Done,
     /*  576483 */   // Label 9491: @576483
     /*  576483 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(576558), // Rule ID 10299 //
     /*  576488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  576499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  576502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576556 */     GIR_RootConstrainSelectedInstOperands,
     /*  576557 */     // GIR_Coverage, 10299,
     /*  576557 */     GIR_EraseRootFromParent_Done,
     /*  576558 */   // Label 9492: @576558
     /*  576558 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(576633), // Rule ID 10302 //
     /*  576563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576631 */     GIR_RootConstrainSelectedInstOperands,
     /*  576632 */     // GIR_Coverage, 10302,
     /*  576632 */     GIR_EraseRootFromParent_Done,
     /*  576633 */   // Label 9493: @576633
     /*  576633 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(576708), // Rule ID 10303 //
     /*  576638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  576655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  576658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  576684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  576687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576706 */     GIR_RootConstrainSelectedInstOperands,
     /*  576707 */     // GIR_Coverage, 10303,
     /*  576707 */     GIR_EraseRootFromParent_Done,
     /*  576708 */   // Label 9494: @576708
     /*  576708 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(576783), // Rule ID 10306 //
     /*  576713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  576724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  576727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  576733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  576762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576781 */     GIR_RootConstrainSelectedInstOperands,
     /*  576782 */     // GIR_Coverage, 10306,
     /*  576782 */     GIR_EraseRootFromParent_Done,
     /*  576783 */   // Label 9495: @576783
     /*  576783 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(576858), // Rule ID 10307 //
     /*  576788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  576799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  576802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  576808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  576837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576856 */     GIR_RootConstrainSelectedInstOperands,
     /*  576857 */     // GIR_Coverage, 10307,
     /*  576857 */     GIR_EraseRootFromParent_Done,
     /*  576858 */   // Label 9496: @576858
     /*  576858 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(576933), // Rule ID 10310 //
     /*  576863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  576912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576931 */     GIR_RootConstrainSelectedInstOperands,
     /*  576932 */     // GIR_Coverage, 10310,
     /*  576932 */     GIR_EraseRootFromParent_Done,
     /*  576933 */   // Label 9497: @576933
     /*  576933 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(577008), // Rule ID 10311 //
     /*  576938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  576946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  576987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577006 */     GIR_RootConstrainSelectedInstOperands,
     /*  577007 */     // GIR_Coverage, 10311,
     /*  577007 */     GIR_EraseRootFromParent_Done,
     /*  577008 */   // Label 9498: @577008
     /*  577008 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(577083), // Rule ID 10314 //
     /*  577013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  577024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  577027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  577062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577081 */     GIR_RootConstrainSelectedInstOperands,
     /*  577082 */     // GIR_Coverage, 10314,
     /*  577082 */     GIR_EraseRootFromParent_Done,
     /*  577083 */   // Label 9499: @577083
     /*  577083 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(577158), // Rule ID 10315 //
     /*  577088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  577099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  577102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  577137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577156 */     GIR_RootConstrainSelectedInstOperands,
     /*  577157 */     // GIR_Coverage, 10315,
     /*  577157 */     GIR_EraseRootFromParent_Done,
     /*  577158 */   // Label 9500: @577158
     /*  577158 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(577233), // Rule ID 10318 //
     /*  577163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  577166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  577180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  577183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  577209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  577212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577231 */     GIR_RootConstrainSelectedInstOperands,
     /*  577232 */     // GIR_Coverage, 10318,
     /*  577232 */     GIR_EraseRootFromParent_Done,
     /*  577233 */   // Label 9501: @577233
     /*  577233 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(577308), // Rule ID 10319 //
     /*  577238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  577241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  577255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  577258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  577284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  577287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577306 */     GIR_RootConstrainSelectedInstOperands,
     /*  577307 */     // GIR_Coverage, 10319,
     /*  577307 */     GIR_EraseRootFromParent_Done,
     /*  577308 */   // Label 9502: @577308
     /*  577308 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(577383), // Rule ID 10322 //
     /*  577313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  577324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  577327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  577333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  577362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577381 */     GIR_RootConstrainSelectedInstOperands,
     /*  577382 */     // GIR_Coverage, 10322,
     /*  577382 */     GIR_EraseRootFromParent_Done,
     /*  577383 */   // Label 9503: @577383
     /*  577383 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(577458), // Rule ID 10323 //
     /*  577388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  577399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  577402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  577405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  577408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  577437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577456 */     GIR_RootConstrainSelectedInstOperands,
     /*  577457 */     // GIR_Coverage, 10323,
     /*  577457 */     GIR_EraseRootFromParent_Done,
     /*  577458 */   // Label 9504: @577458
     /*  577458 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(577533), // Rule ID 10326 //
     /*  577463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  577474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  577477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  577483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  577512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577531 */     GIR_RootConstrainSelectedInstOperands,
     /*  577532 */     // GIR_Coverage, 10326,
     /*  577532 */     GIR_EraseRootFromParent_Done,
     /*  577533 */   // Label 9505: @577533
     /*  577533 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(577608), // Rule ID 10327 //
     /*  577538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  577549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  577552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  577555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  577558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  577587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577606 */     GIR_RootConstrainSelectedInstOperands,
     /*  577607 */     // GIR_Coverage, 10327,
     /*  577607 */     GIR_EraseRootFromParent_Done,
     /*  577608 */   // Label 9506: @577608
     /*  577608 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(577683), // Rule ID 10330 //
     /*  577613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  577624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  577627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  577630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  577633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  577662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577681 */     GIR_RootConstrainSelectedInstOperands,
     /*  577682 */     // GIR_Coverage, 10330,
     /*  577682 */     GIR_EraseRootFromParent_Done,
     /*  577683 */   // Label 9507: @577683
     /*  577683 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(577758), // Rule ID 10331 //
     /*  577688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  577699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  577702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  577705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  577708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577734 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  577737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577756 */     GIR_RootConstrainSelectedInstOperands,
     /*  577757 */     // GIR_Coverage, 10331,
     /*  577757 */     GIR_EraseRootFromParent_Done,
     /*  577758 */   // Label 9508: @577758
     /*  577758 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(577833), // Rule ID 10334 //
     /*  577763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  577783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  577812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577831 */     GIR_RootConstrainSelectedInstOperands,
     /*  577832 */     // GIR_Coverage, 10334,
     /*  577832 */     GIR_EraseRootFromParent_Done,
     /*  577833 */   // Label 9509: @577833
     /*  577833 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(577908), // Rule ID 10335 //
     /*  577838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  577849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  577852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  577858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  577887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577906 */     GIR_RootConstrainSelectedInstOperands,
     /*  577907 */     // GIR_Coverage, 10335,
     /*  577907 */     GIR_EraseRootFromParent_Done,
     /*  577908 */   // Label 9510: @577908
     /*  577908 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(577983), // Rule ID 10338 //
     /*  577913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  577927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  577933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  577962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577981 */     GIR_RootConstrainSelectedInstOperands,
     /*  577982 */     // GIR_Coverage, 10338,
     /*  577982 */     GIR_EraseRootFromParent_Done,
     /*  577983 */   // Label 9511: @577983
     /*  577983 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(578058), // Rule ID 10339 //
     /*  577988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  577996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  577999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  578008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  578037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578056 */     GIR_RootConstrainSelectedInstOperands,
     /*  578057 */     // GIR_Coverage, 10339,
     /*  578057 */     GIR_EraseRootFromParent_Done,
     /*  578058 */   // Label 9512: @578058
     /*  578058 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(578133), // Rule ID 10342 //
     /*  578063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  578080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  578083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  578112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578131 */     GIR_RootConstrainSelectedInstOperands,
     /*  578132 */     // GIR_Coverage, 10342,
     /*  578132 */     GIR_EraseRootFromParent_Done,
     /*  578133 */   // Label 9513: @578133
     /*  578133 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(578208), // Rule ID 10343 //
     /*  578138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  578155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  578158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  578187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578206 */     GIR_RootConstrainSelectedInstOperands,
     /*  578207 */     // GIR_Coverage, 10343,
     /*  578207 */     GIR_EraseRootFromParent_Done,
     /*  578208 */   // Label 9514: @578208
     /*  578208 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(578283), // Rule ID 10346 //
     /*  578213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  578233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  578262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578281 */     GIR_RootConstrainSelectedInstOperands,
     /*  578282 */     // GIR_Coverage, 10346,
     /*  578282 */     GIR_EraseRootFromParent_Done,
     /*  578283 */   // Label 9515: @578283
     /*  578283 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(578358), // Rule ID 10347 //
     /*  578288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  578308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  578337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578356 */     GIR_RootConstrainSelectedInstOperands,
     /*  578357 */     // GIR_Coverage, 10347,
     /*  578357 */     GIR_EraseRootFromParent_Done,
     /*  578358 */   // Label 9516: @578358
     /*  578358 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(578433), // Rule ID 10350 //
     /*  578363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  578380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  578383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  578412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578431 */     GIR_RootConstrainSelectedInstOperands,
     /*  578432 */     // GIR_Coverage, 10350,
     /*  578432 */     GIR_EraseRootFromParent_Done,
     /*  578433 */   // Label 9517: @578433
     /*  578433 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(578508), // Rule ID 10351 //
     /*  578438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  578455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  578458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  578487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578506 */     GIR_RootConstrainSelectedInstOperands,
     /*  578507 */     // GIR_Coverage, 10351,
     /*  578507 */     GIR_EraseRootFromParent_Done,
     /*  578508 */   // Label 9518: @578508
     /*  578508 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(578583), // Rule ID 10354 //
     /*  578513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  578530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  578533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  578562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578581 */     GIR_RootConstrainSelectedInstOperands,
     /*  578582 */     // GIR_Coverage, 10354,
     /*  578582 */     GIR_EraseRootFromParent_Done,
     /*  578583 */   // Label 9519: @578583
     /*  578583 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(578658), // Rule ID 10355 //
     /*  578588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  578599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  578602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  578605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  578608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  578637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578656 */     GIR_RootConstrainSelectedInstOperands,
     /*  578657 */     // GIR_Coverage, 10355,
     /*  578657 */     GIR_EraseRootFromParent_Done,
     /*  578658 */   // Label 9520: @578658
     /*  578658 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(578733), // Rule ID 10358 //
     /*  578663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  578666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  578680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  578683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  578709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  578712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  578728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578731 */     GIR_RootConstrainSelectedInstOperands,
     /*  578732 */     // GIR_Coverage, 10358,
     /*  578732 */     GIR_EraseRootFromParent_Done,
     /*  578733 */   // Label 9521: @578733
     /*  578733 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(578808), // Rule ID 10359 //
     /*  578738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  578741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  578749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  578752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  578755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  578758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  578784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  578787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  578803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578806 */     GIR_RootConstrainSelectedInstOperands,
     /*  578807 */     // GIR_Coverage, 10359,
     /*  578807 */     GIR_EraseRootFromParent_Done,
     /*  578808 */   // Label 9522: @578808
     /*  578808 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(578883), // Rule ID 10362 //
     /*  578813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  578816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  578830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  578833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  578859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  578862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  578878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578881 */     GIR_RootConstrainSelectedInstOperands,
     /*  578882 */     // GIR_Coverage, 10362,
     /*  578882 */     GIR_EraseRootFromParent_Done,
     /*  578883 */   // Label 9523: @578883
     /*  578883 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(578958), // Rule ID 10363 //
     /*  578888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  578891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  578899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  578902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  578905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  578908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  578934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  578937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  578953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578956 */     GIR_RootConstrainSelectedInstOperands,
     /*  578957 */     // GIR_Coverage, 10363,
     /*  578957 */     GIR_EraseRootFromParent_Done,
     /*  578958 */   // Label 9524: @578958
     /*  578958 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(579033), // Rule ID 10366 //
     /*  578963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  578966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  578971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  578974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  578977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  578980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  578983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  579009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  579012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  579028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579031 */     GIR_RootConstrainSelectedInstOperands,
     /*  579032 */     // GIR_Coverage, 10366,
     /*  579032 */     GIR_EraseRootFromParent_Done,
     /*  579033 */   // Label 9525: @579033
     /*  579033 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(579108), // Rule ID 10367 //
     /*  579038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  579041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  579055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  579058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  579084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  579087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  579103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579106 */     GIR_RootConstrainSelectedInstOperands,
     /*  579107 */     // GIR_Coverage, 10367,
     /*  579107 */     GIR_EraseRootFromParent_Done,
     /*  579108 */   // Label 9526: @579108
     /*  579108 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(579183), // Rule ID 10370 //
     /*  579113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  579124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  579127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579159 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  579162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579181 */     GIR_RootConstrainSelectedInstOperands,
     /*  579182 */     // GIR_Coverage, 10370,
     /*  579182 */     GIR_EraseRootFromParent_Done,
     /*  579183 */   // Label 9527: @579183
     /*  579183 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(579258), // Rule ID 10371 //
     /*  579188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  579199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  579202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  579237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579256 */     GIR_RootConstrainSelectedInstOperands,
     /*  579257 */     // GIR_Coverage, 10371,
     /*  579257 */     GIR_EraseRootFromParent_Done,
     /*  579258 */   // Label 9528: @579258
     /*  579258 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(579333), // Rule ID 10374 //
     /*  579263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  579274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  579277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  579312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579331 */     GIR_RootConstrainSelectedInstOperands,
     /*  579332 */     // GIR_Coverage, 10374,
     /*  579332 */     GIR_EraseRootFromParent_Done,
     /*  579333 */   // Label 9529: @579333
     /*  579333 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(579408), // Rule ID 10375 //
     /*  579338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  579349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  579352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  579355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  579387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579406 */     GIR_RootConstrainSelectedInstOperands,
     /*  579407 */     // GIR_Coverage, 10375,
     /*  579407 */     GIR_EraseRootFromParent_Done,
     /*  579408 */   // Label 9530: @579408
     /*  579408 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(579483), // Rule ID 10378 //
     /*  579413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  579424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  579427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579459 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579481 */     GIR_RootConstrainSelectedInstOperands,
     /*  579482 */     // GIR_Coverage, 10378,
     /*  579482 */     GIR_EraseRootFromParent_Done,
     /*  579483 */   // Label 9531: @579483
     /*  579483 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(579558), // Rule ID 10379 //
     /*  579488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  579499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  579502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  579505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579556 */     GIR_RootConstrainSelectedInstOperands,
     /*  579557 */     // GIR_Coverage, 10379,
     /*  579557 */     GIR_EraseRootFromParent_Done,
     /*  579558 */   // Label 9532: @579558
     /*  579558 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(579633), // Rule ID 10382 //
     /*  579563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  579580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  579612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579631 */     GIR_RootConstrainSelectedInstOperands,
     /*  579632 */     // GIR_Coverage, 10382,
     /*  579632 */     GIR_EraseRootFromParent_Done,
     /*  579633 */   // Label 9533: @579633
     /*  579633 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(579708), // Rule ID 10383 //
     /*  579638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  579655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  579687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579706 */     GIR_RootConstrainSelectedInstOperands,
     /*  579707 */     // GIR_Coverage, 10383,
     /*  579707 */     GIR_EraseRootFromParent_Done,
     /*  579708 */   // Label 9534: @579708
     /*  579708 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(579783), // Rule ID 10386 //
     /*  579713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579781 */     GIR_RootConstrainSelectedInstOperands,
     /*  579782 */     // GIR_Coverage, 10386,
     /*  579782 */     GIR_EraseRootFromParent_Done,
     /*  579783 */   // Label 9535: @579783
     /*  579783 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(579858), // Rule ID 10387 //
     /*  579788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  579799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  579802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579856 */     GIR_RootConstrainSelectedInstOperands,
     /*  579857 */     // GIR_Coverage, 10387,
     /*  579857 */     GIR_EraseRootFromParent_Done,
     /*  579858 */   // Label 9536: @579858
     /*  579858 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(579933), // Rule ID 10390 //
     /*  579863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  579874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  579877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579931 */     GIR_RootConstrainSelectedInstOperands,
     /*  579932 */     // GIR_Coverage, 10390,
     /*  579932 */     GIR_EraseRootFromParent_Done,
     /*  579933 */   // Label 9537: @579933
     /*  579933 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(580008), // Rule ID 10391 //
     /*  579938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  579946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  579949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  579952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  579987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580006 */     GIR_RootConstrainSelectedInstOperands,
     /*  580007 */     // GIR_Coverage, 10391,
     /*  580007 */     GIR_EraseRootFromParent_Done,
     /*  580008 */   // Label 9538: @580008
     /*  580008 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(580083), // Rule ID 10394 //
     /*  580013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  580024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  580027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580081 */     GIR_RootConstrainSelectedInstOperands,
     /*  580082 */     // GIR_Coverage, 10394,
     /*  580082 */     GIR_EraseRootFromParent_Done,
     /*  580083 */   // Label 9539: @580083
     /*  580083 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(580158), // Rule ID 10395 //
     /*  580088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  580099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  580102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580156 */     GIR_RootConstrainSelectedInstOperands,
     /*  580157 */     // GIR_Coverage, 10395,
     /*  580157 */     GIR_EraseRootFromParent_Done,
     /*  580158 */   // Label 9540: @580158
     /*  580158 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(580233), // Rule ID 10398 //
     /*  580163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580231 */     GIR_RootConstrainSelectedInstOperands,
     /*  580232 */     // GIR_Coverage, 10398,
     /*  580232 */     GIR_EraseRootFromParent_Done,
     /*  580233 */   // Label 9541: @580233
     /*  580233 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(580308), // Rule ID 10399 //
     /*  580238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580306 */     GIR_RootConstrainSelectedInstOperands,
     /*  580307 */     // GIR_Coverage, 10399,
     /*  580307 */     GIR_EraseRootFromParent_Done,
     /*  580308 */   // Label 9542: @580308
     /*  580308 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(580383), // Rule ID 10402 //
     /*  580313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  580330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580381 */     GIR_RootConstrainSelectedInstOperands,
     /*  580382 */     // GIR_Coverage, 10402,
     /*  580382 */     GIR_EraseRootFromParent_Done,
     /*  580383 */   // Label 9543: @580383
     /*  580383 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(580458), // Rule ID 10403 //
     /*  580388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  580405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580456 */     GIR_RootConstrainSelectedInstOperands,
     /*  580457 */     // GIR_Coverage, 10403,
     /*  580457 */     GIR_EraseRootFromParent_Done,
     /*  580458 */   // Label 9544: @580458
     /*  580458 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(580533), // Rule ID 10406 //
     /*  580463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  580466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  580480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  580509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580531 */     GIR_RootConstrainSelectedInstOperands,
     /*  580532 */     // GIR_Coverage, 10406,
     /*  580532 */     GIR_EraseRootFromParent_Done,
     /*  580533 */   // Label 9545: @580533
     /*  580533 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(580608), // Rule ID 10407 //
     /*  580538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  580541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  580549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  580552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  580555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  580584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  580587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580606 */     GIR_RootConstrainSelectedInstOperands,
     /*  580607 */     // GIR_Coverage, 10407,
     /*  580607 */     GIR_EraseRootFromParent_Done,
     /*  580608 */   // Label 9546: @580608
     /*  580608 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(580683), // Rule ID 10410 //
     /*  580613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  580624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  580627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  580662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580681 */     GIR_RootConstrainSelectedInstOperands,
     /*  580682 */     // GIR_Coverage, 10410,
     /*  580682 */     GIR_EraseRootFromParent_Done,
     /*  580683 */   // Label 9547: @580683
     /*  580683 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(580758), // Rule ID 10411 //
     /*  580688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  580699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  580702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  580737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580756 */     GIR_RootConstrainSelectedInstOperands,
     /*  580757 */     // GIR_Coverage, 10411,
     /*  580757 */     GIR_EraseRootFromParent_Done,
     /*  580758 */   // Label 9548: @580758
     /*  580758 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(580833), // Rule ID 10414 //
     /*  580763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  580774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  580777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  580812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580831 */     GIR_RootConstrainSelectedInstOperands,
     /*  580832 */     // GIR_Coverage, 10414,
     /*  580832 */     GIR_EraseRootFromParent_Done,
     /*  580833 */   // Label 9549: @580833
     /*  580833 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(580908), // Rule ID 10415 //
     /*  580838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  580849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  580852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  580887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580906 */     GIR_RootConstrainSelectedInstOperands,
     /*  580907 */     // GIR_Coverage, 10415,
     /*  580907 */     GIR_EraseRootFromParent_Done,
     /*  580908 */   // Label 9550: @580908
     /*  580908 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(580983), // Rule ID 10418 //
     /*  580913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  580924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  580927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  580930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  580962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580981 */     GIR_RootConstrainSelectedInstOperands,
     /*  580982 */     // GIR_Coverage, 10418,
     /*  580982 */     GIR_EraseRootFromParent_Done,
     /*  580983 */   // Label 9551: @580983
     /*  580983 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(581058), // Rule ID 10419 //
     /*  580988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  580996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  580999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  581002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  581005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  581037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581056 */     GIR_RootConstrainSelectedInstOperands,
     /*  581057 */     // GIR_Coverage, 10419,
     /*  581057 */     GIR_EraseRootFromParent_Done,
     /*  581058 */   // Label 9552: @581058
     /*  581058 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(581133), // Rule ID 10422 //
     /*  581063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  581112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581131 */     GIR_RootConstrainSelectedInstOperands,
     /*  581132 */     // GIR_Coverage, 10422,
     /*  581132 */     GIR_EraseRootFromParent_Done,
     /*  581133 */   // Label 9553: @581133
     /*  581133 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(581208), // Rule ID 10423 //
     /*  581138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  581149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  581152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  581187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581206 */     GIR_RootConstrainSelectedInstOperands,
     /*  581207 */     // GIR_Coverage, 10423,
     /*  581207 */     GIR_EraseRootFromParent_Done,
     /*  581208 */   // Label 9554: @581208
     /*  581208 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(581283), // Rule ID 10426 //
     /*  581213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  581224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  581227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  581262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581281 */     GIR_RootConstrainSelectedInstOperands,
     /*  581282 */     // GIR_Coverage, 10426,
     /*  581282 */     GIR_EraseRootFromParent_Done,
     /*  581283 */   // Label 9555: @581283
     /*  581283 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(581358), // Rule ID 10427 //
     /*  581288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  581299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  581302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  581337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581356 */     GIR_RootConstrainSelectedInstOperands,
     /*  581357 */     // GIR_Coverage, 10427,
     /*  581357 */     GIR_EraseRootFromParent_Done,
     /*  581358 */   // Label 9556: @581358
     /*  581358 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(581433), // Rule ID 10430 //
     /*  581363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  581374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  581377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  581380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  581412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581431 */     GIR_RootConstrainSelectedInstOperands,
     /*  581432 */     // GIR_Coverage, 10430,
     /*  581432 */     GIR_EraseRootFromParent_Done,
     /*  581433 */   // Label 9557: @581433
     /*  581433 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(581508), // Rule ID 10431 //
     /*  581438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  581449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  581452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  581455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  581487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581506 */     GIR_RootConstrainSelectedInstOperands,
     /*  581507 */     // GIR_Coverage, 10431,
     /*  581507 */     GIR_EraseRootFromParent_Done,
     /*  581508 */   // Label 9558: @581508
     /*  581508 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(581583), // Rule ID 10434 //
     /*  581513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  581562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581581 */     GIR_RootConstrainSelectedInstOperands,
     /*  581582 */     // GIR_Coverage, 10434,
     /*  581582 */     GIR_EraseRootFromParent_Done,
     /*  581583 */   // Label 9559: @581583
     /*  581583 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(581658), // Rule ID 10435 //
     /*  581588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  581637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581656 */     GIR_RootConstrainSelectedInstOperands,
     /*  581657 */     // GIR_Coverage, 10435,
     /*  581657 */     GIR_EraseRootFromParent_Done,
     /*  581658 */   // Label 9560: @581658
     /*  581658 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(581733), // Rule ID 10438 //
     /*  581663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  581712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581731 */     GIR_RootConstrainSelectedInstOperands,
     /*  581732 */     // GIR_Coverage, 10438,
     /*  581732 */     GIR_EraseRootFromParent_Done,
     /*  581733 */   // Label 9561: @581733
     /*  581733 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(581808), // Rule ID 10439 //
     /*  581738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  581787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581806 */     GIR_RootConstrainSelectedInstOperands,
     /*  581807 */     // GIR_Coverage, 10439,
     /*  581807 */     GIR_EraseRootFromParent_Done,
     /*  581808 */   // Label 9562: @581808
     /*  581808 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(581883), // Rule ID 10442 //
     /*  581813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  581830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  581862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581881 */     GIR_RootConstrainSelectedInstOperands,
     /*  581882 */     // GIR_Coverage, 10442,
     /*  581882 */     GIR_EraseRootFromParent_Done,
     /*  581883 */   // Label 9563: @581883
     /*  581883 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(581958), // Rule ID 10443 //
     /*  581888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  581905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  581937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581956 */     GIR_RootConstrainSelectedInstOperands,
     /*  581957 */     // GIR_Coverage, 10443,
     /*  581957 */     GIR_EraseRootFromParent_Done,
     /*  581958 */   // Label 9564: @581958
     /*  581958 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(582033), // Rule ID 10446 //
     /*  581963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  581966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  581980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  582009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  582012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582031 */     GIR_RootConstrainSelectedInstOperands,
     /*  582032 */     // GIR_Coverage, 10446,
     /*  582032 */     GIR_EraseRootFromParent_Done,
     /*  582033 */   // Label 9565: @582033
     /*  582033 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(582108), // Rule ID 10447 //
     /*  582038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  582041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  582049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  582052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  582055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  582084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  582087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582106 */     GIR_RootConstrainSelectedInstOperands,
     /*  582107 */     // GIR_Coverage, 10447,
     /*  582107 */     GIR_EraseRootFromParent_Done,
     /*  582108 */   // Label 9566: @582108
     /*  582108 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(582183), // Rule ID 10450 //
     /*  582113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  582116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  582130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  582159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  582162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582181 */     GIR_RootConstrainSelectedInstOperands,
     /*  582182 */     // GIR_Coverage, 10450,
     /*  582182 */     GIR_EraseRootFromParent_Done,
     /*  582183 */   // Label 9567: @582183
     /*  582183 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(582258), // Rule ID 10451 //
     /*  582188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  582191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  582205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  582234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  582237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582256 */     GIR_RootConstrainSelectedInstOperands,
     /*  582257 */     // GIR_Coverage, 10451,
     /*  582257 */     GIR_EraseRootFromParent_Done,
     /*  582258 */   // Label 9568: @582258
     /*  582258 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(582333), // Rule ID 10454 //
     /*  582263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  582266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  582280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  582309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  582312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582331 */     GIR_RootConstrainSelectedInstOperands,
     /*  582332 */     // GIR_Coverage, 10454,
     /*  582332 */     GIR_EraseRootFromParent_Done,
     /*  582333 */   // Label 9569: @582333
     /*  582333 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(582408), // Rule ID 10455 //
     /*  582338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  582341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  582355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  582384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  582387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582406 */     GIR_RootConstrainSelectedInstOperands,
     /*  582407 */     // GIR_Coverage, 10455,
     /*  582407 */     GIR_EraseRootFromParent_Done,
     /*  582408 */   // Label 9570: @582408
     /*  582408 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(582483), // Rule ID 10458 //
     /*  582413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  582424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  582427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  582433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582459 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  582462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582481 */     GIR_RootConstrainSelectedInstOperands,
     /*  582482 */     // GIR_Coverage, 10458,
     /*  582482 */     GIR_EraseRootFromParent_Done,
     /*  582483 */   // Label 9571: @582483
     /*  582483 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(582558), // Rule ID 10459 //
     /*  582488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  582499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  582502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  582508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582534 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  582537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582556 */     GIR_RootConstrainSelectedInstOperands,
     /*  582557 */     // GIR_Coverage, 10459,
     /*  582557 */     GIR_EraseRootFromParent_Done,
     /*  582558 */   // Label 9572: @582558
     /*  582558 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(582633), // Rule ID 10462 //
     /*  582563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  582574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  582577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  582612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582631 */     GIR_RootConstrainSelectedInstOperands,
     /*  582632 */     // GIR_Coverage, 10462,
     /*  582632 */     GIR_EraseRootFromParent_Done,
     /*  582633 */   // Label 9573: @582633
     /*  582633 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(582708), // Rule ID 10463 //
     /*  582638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  582649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  582652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582684 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  582687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582706 */     GIR_RootConstrainSelectedInstOperands,
     /*  582707 */     // GIR_Coverage, 10463,
     /*  582707 */     GIR_EraseRootFromParent_Done,
     /*  582708 */   // Label 9574: @582708
     /*  582708 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(582783), // Rule ID 10466 //
     /*  582713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  582724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  582727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  582762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582781 */     GIR_RootConstrainSelectedInstOperands,
     /*  582782 */     // GIR_Coverage, 10466,
     /*  582782 */     GIR_EraseRootFromParent_Done,
     /*  582783 */   // Label 9575: @582783
     /*  582783 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(582858), // Rule ID 10467 //
     /*  582788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  582799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  582802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582834 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  582837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582856 */     GIR_RootConstrainSelectedInstOperands,
     /*  582857 */     // GIR_Coverage, 10467,
     /*  582857 */     GIR_EraseRootFromParent_Done,
     /*  582858 */   // Label 9576: @582858
     /*  582858 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(582933), // Rule ID 10470 //
     /*  582863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  582883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  582912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582931 */     GIR_RootConstrainSelectedInstOperands,
     /*  582932 */     // GIR_Coverage, 10470,
     /*  582932 */     GIR_EraseRootFromParent_Done,
     /*  582933 */   // Label 9577: @582933
     /*  582933 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(583008), // Rule ID 10471 //
     /*  582938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  582946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  582958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  582987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583006 */     GIR_RootConstrainSelectedInstOperands,
     /*  583007 */     // GIR_Coverage, 10471,
     /*  583007 */     GIR_EraseRootFromParent_Done,
     /*  583008 */   // Label 9578: @583008
     /*  583008 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(583083), // Rule ID 10474 //
     /*  583013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  583062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583081 */     GIR_RootConstrainSelectedInstOperands,
     /*  583082 */     // GIR_Coverage, 10474,
     /*  583082 */     GIR_EraseRootFromParent_Done,
     /*  583083 */   // Label 9579: @583083
     /*  583083 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(583158), // Rule ID 10475 //
     /*  583088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  583099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  583102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  583137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583156 */     GIR_RootConstrainSelectedInstOperands,
     /*  583157 */     // GIR_Coverage, 10475,
     /*  583157 */     GIR_EraseRootFromParent_Done,
     /*  583158 */   // Label 9580: @583158
     /*  583158 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(583233), // Rule ID 10478 //
     /*  583163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  583183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  583212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583231 */     GIR_RootConstrainSelectedInstOperands,
     /*  583232 */     // GIR_Coverage, 10478,
     /*  583232 */     GIR_EraseRootFromParent_Done,
     /*  583233 */   // Label 9581: @583233
     /*  583233 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(583308), // Rule ID 10479 //
     /*  583238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  583258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  583287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583306 */     GIR_RootConstrainSelectedInstOperands,
     /*  583307 */     // GIR_Coverage, 10479,
     /*  583307 */     GIR_EraseRootFromParent_Done,
     /*  583308 */   // Label 9582: @583308
     /*  583308 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(583383), // Rule ID 10482 //
     /*  583313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  583324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  583327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  583330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  583333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583381 */     GIR_RootConstrainSelectedInstOperands,
     /*  583382 */     // GIR_Coverage, 10482,
     /*  583382 */     GIR_EraseRootFromParent_Done,
     /*  583383 */   // Label 9583: @583383
     /*  583383 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(583458), // Rule ID 10483 //
     /*  583388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  583399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  583402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  583405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  583408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583456 */     GIR_RootConstrainSelectedInstOperands,
     /*  583457 */     // GIR_Coverage, 10483,
     /*  583457 */     GIR_EraseRootFromParent_Done,
     /*  583458 */   // Label 9584: @583458
     /*  583458 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(583533), // Rule ID 10486 //
     /*  583463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583531 */     GIR_RootConstrainSelectedInstOperands,
     /*  583532 */     // GIR_Coverage, 10486,
     /*  583532 */     GIR_EraseRootFromParent_Done,
     /*  583533 */   // Label 9585: @583533
     /*  583533 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(583608), // Rule ID 10487 //
     /*  583538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  583549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  583552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583606 */     GIR_RootConstrainSelectedInstOperands,
     /*  583607 */     // GIR_Coverage, 10487,
     /*  583607 */     GIR_EraseRootFromParent_Done,
     /*  583608 */   // Label 9586: @583608
     /*  583608 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(583683), // Rule ID 10490 //
     /*  583613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  583633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583681 */     GIR_RootConstrainSelectedInstOperands,
     /*  583682 */     // GIR_Coverage, 10490,
     /*  583682 */     GIR_EraseRootFromParent_Done,
     /*  583683 */   // Label 9587: @583683
     /*  583683 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(583758), // Rule ID 10491 //
     /*  583688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  583708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583756 */     GIR_RootConstrainSelectedInstOperands,
     /*  583757 */     // GIR_Coverage, 10491,
     /*  583757 */     GIR_EraseRootFromParent_Done,
     /*  583758 */   // Label 9588: @583758
     /*  583758 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(583833), // Rule ID 10494 //
     /*  583763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  583766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  583780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  583783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  583809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  583828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583831 */     GIR_RootConstrainSelectedInstOperands,
     /*  583832 */     // GIR_Coverage, 10494,
     /*  583832 */     GIR_EraseRootFromParent_Done,
     /*  583833 */   // Label 9589: @583833
     /*  583833 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(583908), // Rule ID 10495 //
     /*  583838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  583841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  583855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  583858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  583884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  583887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  583903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583906 */     GIR_RootConstrainSelectedInstOperands,
     /*  583907 */     // GIR_Coverage, 10495,
     /*  583907 */     GIR_EraseRootFromParent_Done,
     /*  583908 */   // Label 9590: @583908
     /*  583908 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(583983), // Rule ID 10498 //
     /*  583913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  583924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  583927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  583930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  583933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583959 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  583962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583981 */     GIR_RootConstrainSelectedInstOperands,
     /*  583982 */     // GIR_Coverage, 10498,
     /*  583982 */     GIR_EraseRootFromParent_Done,
     /*  583983 */   // Label 9591: @583983
     /*  583983 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(584058), // Rule ID 10499 //
     /*  583988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  583996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  583999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  584002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  584005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  584008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  584037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584056 */     GIR_RootConstrainSelectedInstOperands,
     /*  584057 */     // GIR_Coverage, 10499,
     /*  584057 */     GIR_EraseRootFromParent_Done,
     /*  584058 */   // Label 9592: @584058
     /*  584058 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(584133), // Rule ID 10502 //
     /*  584063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  584074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  584077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584109 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  584112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584131 */     GIR_RootConstrainSelectedInstOperands,
     /*  584132 */     // GIR_Coverage, 10502,
     /*  584132 */     GIR_EraseRootFromParent_Done,
     /*  584133 */   // Label 9593: @584133
     /*  584133 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(584208), // Rule ID 10503 //
     /*  584138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  584149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  584152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  584155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  584158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  584187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584206 */     GIR_RootConstrainSelectedInstOperands,
     /*  584207 */     // GIR_Coverage, 10503,
     /*  584207 */     GIR_EraseRootFromParent_Done,
     /*  584208 */   // Label 9594: @584208
     /*  584208 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(584283), // Rule ID 10506 //
     /*  584213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  584224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  584227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  584230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  584233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  584262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584281 */     GIR_RootConstrainSelectedInstOperands,
     /*  584282 */     // GIR_Coverage, 10506,
     /*  584282 */     GIR_EraseRootFromParent_Done,
     /*  584283 */   // Label 9595: @584283
     /*  584283 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(584358), // Rule ID 10507 //
     /*  584288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  584299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  584302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  584305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  584308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  584337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584356 */     GIR_RootConstrainSelectedInstOperands,
     /*  584357 */     // GIR_Coverage, 10507,
     /*  584357 */     GIR_EraseRootFromParent_Done,
     /*  584358 */   // Label 9596: @584358
     /*  584358 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(584433), // Rule ID 10510 //
     /*  584363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  584383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  584412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584431 */     GIR_RootConstrainSelectedInstOperands,
     /*  584432 */     // GIR_Coverage, 10510,
     /*  584432 */     GIR_EraseRootFromParent_Done,
     /*  584433 */   // Label 9597: @584433
     /*  584433 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(584508), // Rule ID 10511 //
     /*  584438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  584458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  584487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584506 */     GIR_RootConstrainSelectedInstOperands,
     /*  584507 */     // GIR_Coverage, 10511,
     /*  584507 */     GIR_EraseRootFromParent_Done,
     /*  584508 */   // Label 9598: @584508
     /*  584508 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(584583), // Rule ID 10514 //
     /*  584513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  584533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  584562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584581 */     GIR_RootConstrainSelectedInstOperands,
     /*  584582 */     // GIR_Coverage, 10514,
     /*  584582 */     GIR_EraseRootFromParent_Done,
     /*  584583 */   // Label 9599: @584583
     /*  584583 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(584658), // Rule ID 10515 //
     /*  584588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  584608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  584637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584656 */     GIR_RootConstrainSelectedInstOperands,
     /*  584657 */     // GIR_Coverage, 10515,
     /*  584657 */     GIR_EraseRootFromParent_Done,
     /*  584658 */   // Label 9600: @584658
     /*  584658 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(584733), // Rule ID 10518 //
     /*  584663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  584683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  584712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584731 */     GIR_RootConstrainSelectedInstOperands,
     /*  584732 */     // GIR_Coverage, 10518,
     /*  584732 */     GIR_EraseRootFromParent_Done,
     /*  584733 */   // Label 9601: @584733
     /*  584733 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(584808), // Rule ID 10519 //
     /*  584738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  584749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  584752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  584755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  584758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  584787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584806 */     GIR_RootConstrainSelectedInstOperands,
     /*  584807 */     // GIR_Coverage, 10519,
     /*  584807 */     GIR_EraseRootFromParent_Done,
     /*  584808 */   // Label 9602: @584808
     /*  584808 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(584883), // Rule ID 10522 //
     /*  584813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  584862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584881 */     GIR_RootConstrainSelectedInstOperands,
     /*  584882 */     // GIR_Coverage, 10522,
     /*  584882 */     GIR_EraseRootFromParent_Done,
     /*  584883 */   // Label 9603: @584883
     /*  584883 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(584958), // Rule ID 10523 //
     /*  584888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  584899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  584902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  584937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584956 */     GIR_RootConstrainSelectedInstOperands,
     /*  584957 */     // GIR_Coverage, 10523,
     /*  584957 */     GIR_EraseRootFromParent_Done,
     /*  584958 */   // Label 9604: @584958
     /*  584958 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(585033), // Rule ID 10526 //
     /*  584963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  584971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  584974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  584977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  584983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  585012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585031 */     GIR_RootConstrainSelectedInstOperands,
     /*  585032 */     // GIR_Coverage, 10526,
     /*  585032 */     GIR_EraseRootFromParent_Done,
     /*  585033 */   // Label 9605: @585033
     /*  585033 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(585108), // Rule ID 10527 //
     /*  585038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  585058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  585087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585106 */     GIR_RootConstrainSelectedInstOperands,
     /*  585107 */     // GIR_Coverage, 10527,
     /*  585107 */     GIR_EraseRootFromParent_Done,
     /*  585108 */   // Label 9606: @585108
     /*  585108 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(585183), // Rule ID 10530 //
     /*  585113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  585133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  585162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585181 */     GIR_RootConstrainSelectedInstOperands,
     /*  585182 */     // GIR_Coverage, 10530,
     /*  585182 */     GIR_EraseRootFromParent_Done,
     /*  585183 */   // Label 9607: @585183
     /*  585183 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(585258), // Rule ID 10531 //
     /*  585188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  585208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  585237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585256 */     GIR_RootConstrainSelectedInstOperands,
     /*  585257 */     // GIR_Coverage, 10531,
     /*  585257 */     GIR_EraseRootFromParent_Done,
     /*  585258 */   // Label 9608: @585258
     /*  585258 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(585333), // Rule ID 10534 //
     /*  585263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  585266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  585283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  585309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  585312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585331 */     GIR_RootConstrainSelectedInstOperands,
     /*  585332 */     // GIR_Coverage, 10534,
     /*  585332 */     GIR_EraseRootFromParent_Done,
     /*  585333 */   // Label 9609: @585333
     /*  585333 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(585408), // Rule ID 10535 //
     /*  585338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  585341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  585349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  585352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  585355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  585358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  585384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  585387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585406 */     GIR_RootConstrainSelectedInstOperands,
     /*  585407 */     // GIR_Coverage, 10535,
     /*  585407 */     GIR_EraseRootFromParent_Done,
     /*  585408 */   // Label 9610: @585408
     /*  585408 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(585483), // Rule ID 10538 //
     /*  585413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  585416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  585433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  585459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  585462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585481 */     GIR_RootConstrainSelectedInstOperands,
     /*  585482 */     // GIR_Coverage, 10538,
     /*  585482 */     GIR_EraseRootFromParent_Done,
     /*  585483 */   // Label 9611: @585483
     /*  585483 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(585558), // Rule ID 10539 //
     /*  585488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  585491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  585499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  585502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  585505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  585508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  585534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  585537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585556 */     GIR_RootConstrainSelectedInstOperands,
     /*  585557 */     // GIR_Coverage, 10539,
     /*  585557 */     GIR_EraseRootFromParent_Done,
     /*  585558 */   // Label 9612: @585558
     /*  585558 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(585633), // Rule ID 10542 //
     /*  585563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  585566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  585583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  585609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  585612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585631 */     GIR_RootConstrainSelectedInstOperands,
     /*  585632 */     // GIR_Coverage, 10542,
     /*  585632 */     GIR_EraseRootFromParent_Done,
     /*  585633 */   // Label 9613: @585633
     /*  585633 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(585708), // Rule ID 10543 //
     /*  585638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  585641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  585649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  585652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  585655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  585658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  585684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  585687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585706 */     GIR_RootConstrainSelectedInstOperands,
     /*  585707 */     // GIR_Coverage, 10543,
     /*  585707 */     GIR_EraseRootFromParent_Done,
     /*  585708 */   // Label 9614: @585708
     /*  585708 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(585783), // Rule ID 10546 //
     /*  585713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  585724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  585727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  585730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  585762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585781 */     GIR_RootConstrainSelectedInstOperands,
     /*  585782 */     // GIR_Coverage, 10546,
     /*  585782 */     GIR_EraseRootFromParent_Done,
     /*  585783 */   // Label 9615: @585783
     /*  585783 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(585858), // Rule ID 10547 //
     /*  585788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  585799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  585802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  585805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  585837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585856 */     GIR_RootConstrainSelectedInstOperands,
     /*  585857 */     // GIR_Coverage, 10547,
     /*  585857 */     GIR_EraseRootFromParent_Done,
     /*  585858 */   // Label 9616: @585858
     /*  585858 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(585933), // Rule ID 10550 //
     /*  585863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  585874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  585877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  585880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585909 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  585912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585931 */     GIR_RootConstrainSelectedInstOperands,
     /*  585932 */     // GIR_Coverage, 10550,
     /*  585932 */     GIR_EraseRootFromParent_Done,
     /*  585933 */   // Label 9617: @585933
     /*  585933 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(586008), // Rule ID 10551 //
     /*  585938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  585946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  585949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  585952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  585955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  585987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586006 */     GIR_RootConstrainSelectedInstOperands,
     /*  586007 */     // GIR_Coverage, 10551,
     /*  586007 */     GIR_EraseRootFromParent_Done,
     /*  586008 */   // Label 9618: @586008
     /*  586008 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(586083), // Rule ID 10554 //
     /*  586013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  586024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  586027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586081 */     GIR_RootConstrainSelectedInstOperands,
     /*  586082 */     // GIR_Coverage, 10554,
     /*  586082 */     GIR_EraseRootFromParent_Done,
     /*  586083 */   // Label 9619: @586083
     /*  586083 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(586158), // Rule ID 10555 //
     /*  586088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  586099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  586102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  586105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586156 */     GIR_RootConstrainSelectedInstOperands,
     /*  586157 */     // GIR_Coverage, 10555,
     /*  586157 */     GIR_EraseRootFromParent_Done,
     /*  586158 */   // Label 9620: @586158
     /*  586158 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(586233), // Rule ID 10558 //
     /*  586163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  586212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586231 */     GIR_RootConstrainSelectedInstOperands,
     /*  586232 */     // GIR_Coverage, 10558,
     /*  586232 */     GIR_EraseRootFromParent_Done,
     /*  586233 */   // Label 9621: @586233
     /*  586233 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(586308), // Rule ID 10559 //
     /*  586238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  586287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586306 */     GIR_RootConstrainSelectedInstOperands,
     /*  586307 */     // GIR_Coverage, 10559,
     /*  586307 */     GIR_EraseRootFromParent_Done,
     /*  586308 */   // Label 9622: @586308
     /*  586308 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(586383), // Rule ID 10562 //
     /*  586313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586381 */     GIR_RootConstrainSelectedInstOperands,
     /*  586382 */     // GIR_Coverage, 10562,
     /*  586382 */     GIR_EraseRootFromParent_Done,
     /*  586383 */   // Label 9623: @586383
     /*  586383 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(586458), // Rule ID 10563 //
     /*  586388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586456 */     GIR_RootConstrainSelectedInstOperands,
     /*  586457 */     // GIR_Coverage, 10563,
     /*  586457 */     GIR_EraseRootFromParent_Done,
     /*  586458 */   // Label 9624: @586458
     /*  586458 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(586533), // Rule ID 10566 //
     /*  586463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586531 */     GIR_RootConstrainSelectedInstOperands,
     /*  586532 */     // GIR_Coverage, 10566,
     /*  586532 */     GIR_EraseRootFromParent_Done,
     /*  586533 */   // Label 9625: @586533
     /*  586533 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(586608), // Rule ID 10567 //
     /*  586538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  586549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  586552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  586587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586606 */     GIR_RootConstrainSelectedInstOperands,
     /*  586607 */     // GIR_Coverage, 10567,
     /*  586607 */     GIR_EraseRootFromParent_Done,
     /*  586608 */   // Label 9626: @586608
     /*  586608 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(586683), // Rule ID 10570 //
     /*  586613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  586624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  586627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  586662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586681 */     GIR_RootConstrainSelectedInstOperands,
     /*  586682 */     // GIR_Coverage, 10570,
     /*  586682 */     GIR_EraseRootFromParent_Done,
     /*  586683 */   // Label 9627: @586683
     /*  586683 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(586758), // Rule ID 10571 //
     /*  586688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  586699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  586702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  586705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  586737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586756 */     GIR_RootConstrainSelectedInstOperands,
     /*  586757 */     // GIR_Coverage, 10571,
     /*  586757 */     GIR_EraseRootFromParent_Done,
     /*  586758 */   // Label 9628: @586758
     /*  586758 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(586833), // Rule ID 10574 //
     /*  586763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  586812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586831 */     GIR_RootConstrainSelectedInstOperands,
     /*  586832 */     // GIR_Coverage, 10574,
     /*  586832 */     GIR_EraseRootFromParent_Done,
     /*  586833 */   // Label 9629: @586833
     /*  586833 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(586908), // Rule ID 10575 //
     /*  586838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  586887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586906 */     GIR_RootConstrainSelectedInstOperands,
     /*  586907 */     // GIR_Coverage, 10575,
     /*  586907 */     GIR_EraseRootFromParent_Done,
     /*  586908 */   // Label 9630: @586908
     /*  586908 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(586983), // Rule ID 10578 //
     /*  586913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  586927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  586962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586981 */     GIR_RootConstrainSelectedInstOperands,
     /*  586982 */     // GIR_Coverage, 10578,
     /*  586982 */     GIR_EraseRootFromParent_Done,
     /*  586983 */   // Label 9631: @586983
     /*  586983 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(587058), // Rule ID 10579 //
     /*  586988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  586996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  586999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  587037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587056 */     GIR_RootConstrainSelectedInstOperands,
     /*  587057 */     // GIR_Coverage, 10579,
     /*  587057 */     GIR_EraseRootFromParent_Done,
     /*  587058 */   // Label 9632: @587058
     /*  587058 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(587133), // Rule ID 10582 //
     /*  587063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  587066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  587109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  587112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587131 */     GIR_RootConstrainSelectedInstOperands,
     /*  587132 */     // GIR_Coverage, 10582,
     /*  587132 */     GIR_EraseRootFromParent_Done,
     /*  587133 */   // Label 9633: @587133
     /*  587133 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(587208), // Rule ID 10583 //
     /*  587138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  587141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  587149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  587152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  587155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  587184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  587187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587206 */     GIR_RootConstrainSelectedInstOperands,
     /*  587207 */     // GIR_Coverage, 10583,
     /*  587207 */     GIR_EraseRootFromParent_Done,
     /*  587208 */   // Label 9634: @587208
     /*  587208 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(587283), // Rule ID 10586 //
     /*  587213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  587224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  587227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  587230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  587262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587281 */     GIR_RootConstrainSelectedInstOperands,
     /*  587282 */     // GIR_Coverage, 10586,
     /*  587282 */     GIR_EraseRootFromParent_Done,
     /*  587283 */   // Label 9635: @587283
     /*  587283 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(587358), // Rule ID 10587 //
     /*  587288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  587299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  587302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  587305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  587337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587356 */     GIR_RootConstrainSelectedInstOperands,
     /*  587357 */     // GIR_Coverage, 10587,
     /*  587357 */     GIR_EraseRootFromParent_Done,
     /*  587358 */   // Label 9636: @587358
     /*  587358 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(587433), // Rule ID 10590 //
     /*  587363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  587374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  587377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  587380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587409 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  587412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587431 */     GIR_RootConstrainSelectedInstOperands,
     /*  587432 */     // GIR_Coverage, 10590,
     /*  587432 */     GIR_EraseRootFromParent_Done,
     /*  587433 */   // Label 9637: @587433
     /*  587433 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(587508), // Rule ID 10591 //
     /*  587438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  587449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  587452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  587455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587484 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  587487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587506 */     GIR_RootConstrainSelectedInstOperands,
     /*  587507 */     // GIR_Coverage, 10591,
     /*  587507 */     GIR_EraseRootFromParent_Done,
     /*  587508 */   // Label 9638: @587508
     /*  587508 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(587583), // Rule ID 10594 //
     /*  587513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  587524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  587527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  587530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  587562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587581 */     GIR_RootConstrainSelectedInstOperands,
     /*  587582 */     // GIR_Coverage, 10594,
     /*  587582 */     GIR_EraseRootFromParent_Done,
     /*  587583 */   // Label 9639: @587583
     /*  587583 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(587658), // Rule ID 10595 //
     /*  587588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  587599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  587602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  587605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  587637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587656 */     GIR_RootConstrainSelectedInstOperands,
     /*  587657 */     // GIR_Coverage, 10595,
     /*  587657 */     GIR_EraseRootFromParent_Done,
     /*  587658 */   // Label 9640: @587658
     /*  587658 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(587733), // Rule ID 10598 //
     /*  587663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  587712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587731 */     GIR_RootConstrainSelectedInstOperands,
     /*  587732 */     // GIR_Coverage, 10598,
     /*  587732 */     GIR_EraseRootFromParent_Done,
     /*  587733 */   // Label 9641: @587733
     /*  587733 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(587808), // Rule ID 10599 //
     /*  587738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  587787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587806 */     GIR_RootConstrainSelectedInstOperands,
     /*  587807 */     // GIR_Coverage, 10599,
     /*  587807 */     GIR_EraseRootFromParent_Done,
     /*  587808 */   // Label 9642: @587808
     /*  587808 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(587883), // Rule ID 10602 //
     /*  587813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  587862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587881 */     GIR_RootConstrainSelectedInstOperands,
     /*  587882 */     // GIR_Coverage, 10602,
     /*  587882 */     GIR_EraseRootFromParent_Done,
     /*  587883 */   // Label 9643: @587883
     /*  587883 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(587958), // Rule ID 10603 //
     /*  587888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  587937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587956 */     GIR_RootConstrainSelectedInstOperands,
     /*  587957 */     // GIR_Coverage, 10603,
     /*  587957 */     GIR_EraseRootFromParent_Done,
     /*  587958 */   // Label 9644: @587958
     /*  587958 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(588033), // Rule ID 10606 //
     /*  587963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588009 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588031 */     GIR_RootConstrainSelectedInstOperands,
     /*  588032 */     // GIR_Coverage, 10606,
     /*  588032 */     GIR_EraseRootFromParent_Done,
     /*  588033 */   // Label 9645: @588033
     /*  588033 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(588108), // Rule ID 10607 //
     /*  588038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  588049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  588052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  588055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588106 */     GIR_RootConstrainSelectedInstOperands,
     /*  588107 */     // GIR_Coverage, 10607,
     /*  588107 */     GIR_EraseRootFromParent_Done,
     /*  588108 */   // Label 9646: @588108
     /*  588108 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(588183), // Rule ID 10610 //
     /*  588113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  588162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588181 */     GIR_RootConstrainSelectedInstOperands,
     /*  588182 */     // GIR_Coverage, 10610,
     /*  588182 */     GIR_EraseRootFromParent_Done,
     /*  588183 */   // Label 9647: @588183
     /*  588183 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(588258), // Rule ID 10611 //
     /*  588188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  588237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588256 */     GIR_RootConstrainSelectedInstOperands,
     /*  588257 */     // GIR_Coverage, 10611,
     /*  588257 */     GIR_EraseRootFromParent_Done,
     /*  588258 */   // Label 9648: @588258
     /*  588258 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(588333), // Rule ID 10614 //
     /*  588263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  588312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588331 */     GIR_RootConstrainSelectedInstOperands,
     /*  588332 */     // GIR_Coverage, 10614,
     /*  588332 */     GIR_EraseRootFromParent_Done,
     /*  588333 */   // Label 9649: @588333
     /*  588333 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(588408), // Rule ID 10615 //
     /*  588338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  588387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588406 */     GIR_RootConstrainSelectedInstOperands,
     /*  588407 */     // GIR_Coverage, 10615,
     /*  588407 */     GIR_EraseRootFromParent_Done,
     /*  588408 */   // Label 9650: @588408
     /*  588408 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(588483), // Rule ID 10618 //
     /*  588413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588481 */     GIR_RootConstrainSelectedInstOperands,
     /*  588482 */     // GIR_Coverage, 10618,
     /*  588482 */     GIR_EraseRootFromParent_Done,
     /*  588483 */   // Label 9651: @588483
     /*  588483 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(588558), // Rule ID 10619 //
     /*  588488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588556 */     GIR_RootConstrainSelectedInstOperands,
     /*  588557 */     // GIR_Coverage, 10619,
     /*  588557 */     GIR_EraseRootFromParent_Done,
     /*  588558 */   // Label 9652: @588558
     /*  588558 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(588633), // Rule ID 10622 //
     /*  588563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  588566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  588609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  588612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  588628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588631 */     GIR_RootConstrainSelectedInstOperands,
     /*  588632 */     // GIR_Coverage, 10622,
     /*  588632 */     GIR_EraseRootFromParent_Done,
     /*  588633 */   // Label 9653: @588633
     /*  588633 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(588708), // Rule ID 10623 //
     /*  588638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  588641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  588684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  588687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  588703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588706 */     GIR_RootConstrainSelectedInstOperands,
     /*  588707 */     // GIR_Coverage, 10623,
     /*  588707 */     GIR_EraseRootFromParent_Done,
     /*  588708 */   // Label 9654: @588708
     /*  588708 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(588783), // Rule ID 10626 //
     /*  588713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  588716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  588759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  588762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  588778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588781 */     GIR_RootConstrainSelectedInstOperands,
     /*  588782 */     // GIR_Coverage, 10626,
     /*  588782 */     GIR_EraseRootFromParent_Done,
     /*  588783 */   // Label 9655: @588783
     /*  588783 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(588858), // Rule ID 10627 //
     /*  588788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  588791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  588834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  588837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  588853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588856 */     GIR_RootConstrainSelectedInstOperands,
     /*  588857 */     // GIR_Coverage, 10627,
     /*  588857 */     GIR_EraseRootFromParent_Done,
     /*  588858 */   // Label 9656: @588858
     /*  588858 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(588933), // Rule ID 10630 //
     /*  588863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  588866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  588909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  588928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588931 */     GIR_RootConstrainSelectedInstOperands,
     /*  588932 */     // GIR_Coverage, 10630,
     /*  588932 */     GIR_EraseRootFromParent_Done,
     /*  588933 */   // Label 9657: @588933
     /*  588933 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(589008), // Rule ID 10631 //
     /*  588938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  588941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  588984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  588987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  589003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589006 */     GIR_RootConstrainSelectedInstOperands,
     /*  589007 */     // GIR_Coverage, 10631,
     /*  589007 */     GIR_EraseRootFromParent_Done,
     /*  589008 */   // Label 9658: @589008
     /*  589008 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(589083), // Rule ID 10634 //
     /*  589013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  589024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  589027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  589030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  589033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  589062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589081 */     GIR_RootConstrainSelectedInstOperands,
     /*  589082 */     // GIR_Coverage, 10634,
     /*  589082 */     GIR_EraseRootFromParent_Done,
     /*  589083 */   // Label 9659: @589083
     /*  589083 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(589158), // Rule ID 10635 //
     /*  589088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  589099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  589102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  589105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  589108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  589137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589156 */     GIR_RootConstrainSelectedInstOperands,
     /*  589157 */     // GIR_Coverage, 10635,
     /*  589157 */     GIR_EraseRootFromParent_Done,
     /*  589158 */   // Label 9660: @589158
     /*  589158 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(589233), // Rule ID 10638 //
     /*  589163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  589174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  589177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  589180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  589183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  589212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589231 */     GIR_RootConstrainSelectedInstOperands,
     /*  589232 */     // GIR_Coverage, 10638,
     /*  589232 */     GIR_EraseRootFromParent_Done,
     /*  589233 */   // Label 9661: @589233
     /*  589233 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(589308), // Rule ID 10639 //
     /*  589238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  589249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  589252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  589255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  589258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  589287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589306 */     GIR_RootConstrainSelectedInstOperands,
     /*  589307 */     // GIR_Coverage, 10639,
     /*  589307 */     GIR_EraseRootFromParent_Done,
     /*  589308 */   // Label 9662: @589308
     /*  589308 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(589383), // Rule ID 10642 //
     /*  589313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  589324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  589327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  589330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589381 */     GIR_RootConstrainSelectedInstOperands,
     /*  589382 */     // GIR_Coverage, 10642,
     /*  589382 */     GIR_EraseRootFromParent_Done,
     /*  589383 */   // Label 9663: @589383
     /*  589383 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(589458), // Rule ID 10643 //
     /*  589388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  589399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  589402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  589405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589456 */     GIR_RootConstrainSelectedInstOperands,
     /*  589457 */     // GIR_Coverage, 10643,
     /*  589457 */     GIR_EraseRootFromParent_Done,
     /*  589458 */   // Label 9664: @589458
     /*  589458 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(589533), // Rule ID 10646 //
     /*  589463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  589512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589531 */     GIR_RootConstrainSelectedInstOperands,
     /*  589532 */     // GIR_Coverage, 10646,
     /*  589532 */     GIR_EraseRootFromParent_Done,
     /*  589533 */   // Label 9665: @589533
     /*  589533 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(589608), // Rule ID 10647 //
     /*  589538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  589587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589606 */     GIR_RootConstrainSelectedInstOperands,
     /*  589607 */     // GIR_Coverage, 10647,
     /*  589607 */     GIR_EraseRootFromParent_Done,
     /*  589608 */   // Label 9666: @589608
     /*  589608 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(589683), // Rule ID 10650 //
     /*  589613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589681 */     GIR_RootConstrainSelectedInstOperands,
     /*  589682 */     // GIR_Coverage, 10650,
     /*  589682 */     GIR_EraseRootFromParent_Done,
     /*  589683 */   // Label 9667: @589683
     /*  589683 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(589758), // Rule ID 10651 //
     /*  589688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589756 */     GIR_RootConstrainSelectedInstOperands,
     /*  589757 */     // GIR_Coverage, 10651,
     /*  589757 */     GIR_EraseRootFromParent_Done,
     /*  589758 */   // Label 9668: @589758
     /*  589758 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(589833), // Rule ID 10654 //
     /*  589763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  589809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589831 */     GIR_RootConstrainSelectedInstOperands,
     /*  589832 */     // GIR_Coverage, 10654,
     /*  589832 */     GIR_EraseRootFromParent_Done,
     /*  589833 */   // Label 9669: @589833
     /*  589833 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(589908), // Rule ID 10655 //
     /*  589838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  589858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  589887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589906 */     GIR_RootConstrainSelectedInstOperands,
     /*  589907 */     // GIR_Coverage, 10655,
     /*  589907 */     GIR_EraseRootFromParent_Done,
     /*  589908 */   // Label 9670: @589908
     /*  589908 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(589983), // Rule ID 10658 //
     /*  589913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  589924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  589927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  589930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  589962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589981 */     GIR_RootConstrainSelectedInstOperands,
     /*  589982 */     // GIR_Coverage, 10658,
     /*  589982 */     GIR_EraseRootFromParent_Done,
     /*  589983 */   // Label 9671: @589983
     /*  589983 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(590058), // Rule ID 10659 //
     /*  589988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  589996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  589999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  590002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  590005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  590008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590056 */     GIR_RootConstrainSelectedInstOperands,
     /*  590057 */     // GIR_Coverage, 10659,
     /*  590057 */     GIR_EraseRootFromParent_Done,
     /*  590058 */   // Label 9672: @590058
     /*  590058 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(590133), // Rule ID 10662 //
     /*  590063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590131 */     GIR_RootConstrainSelectedInstOperands,
     /*  590132 */     // GIR_Coverage, 10662,
     /*  590132 */     GIR_EraseRootFromParent_Done,
     /*  590133 */   // Label 9673: @590133
     /*  590133 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(590208), // Rule ID 10663 //
     /*  590138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  590149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  590152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  590155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590206 */     GIR_RootConstrainSelectedInstOperands,
     /*  590207 */     // GIR_Coverage, 10663,
     /*  590207 */     GIR_EraseRootFromParent_Done,
     /*  590208 */   // Label 9674: @590208
     /*  590208 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(590283), // Rule ID 10666 //
     /*  590213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590281 */     GIR_RootConstrainSelectedInstOperands,
     /*  590282 */     // GIR_Coverage, 10666,
     /*  590282 */     GIR_EraseRootFromParent_Done,
     /*  590283 */   // Label 9675: @590283
     /*  590283 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(590358), // Rule ID 10667 //
     /*  590288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590356 */     GIR_RootConstrainSelectedInstOperands,
     /*  590357 */     // GIR_Coverage, 10667,
     /*  590357 */     GIR_EraseRootFromParent_Done,
     /*  590358 */   // Label 9676: @590358
     /*  590358 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(590433), // Rule ID 10670 //
     /*  590363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  590366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  590383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  590409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590431 */     GIR_RootConstrainSelectedInstOperands,
     /*  590432 */     // GIR_Coverage, 10670,
     /*  590432 */     GIR_EraseRootFromParent_Done,
     /*  590433 */   // Label 9677: @590433
     /*  590433 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(590508), // Rule ID 10671 //
     /*  590438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  590441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  590458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  590484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  590487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590506 */     GIR_RootConstrainSelectedInstOperands,
     /*  590507 */     // GIR_Coverage, 10671,
     /*  590507 */     GIR_EraseRootFromParent_Done,
     /*  590508 */   // Label 9678: @590508
     /*  590508 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(590583), // Rule ID 10674 //
     /*  590513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  590524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  590527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  590530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  590533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  590562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590581 */     GIR_RootConstrainSelectedInstOperands,
     /*  590582 */     // GIR_Coverage, 10674,
     /*  590582 */     GIR_EraseRootFromParent_Done,
     /*  590583 */   // Label 9679: @590583
     /*  590583 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(590658), // Rule ID 10675 //
     /*  590588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  590599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  590602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  590605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  590608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  590637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590656 */     GIR_RootConstrainSelectedInstOperands,
     /*  590657 */     // GIR_Coverage, 10675,
     /*  590657 */     GIR_EraseRootFromParent_Done,
     /*  590658 */   // Label 9680: @590658
     /*  590658 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(590733), // Rule ID 10678 //
     /*  590663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  590674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  590677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  590680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  590683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590709 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  590712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590731 */     GIR_RootConstrainSelectedInstOperands,
     /*  590732 */     // GIR_Coverage, 10678,
     /*  590732 */     GIR_EraseRootFromParent_Done,
     /*  590733 */   // Label 9681: @590733
     /*  590733 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(590808), // Rule ID 10679 //
     /*  590738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  590749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  590752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  590755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  590758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  590787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590806 */     GIR_RootConstrainSelectedInstOperands,
     /*  590807 */     // GIR_Coverage, 10679,
     /*  590807 */     GIR_EraseRootFromParent_Done,
     /*  590808 */   // Label 9682: @590808
     /*  590808 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(590883), // Rule ID 10682 //
     /*  590813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  590824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  590827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  590830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  590833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  590859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  590862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590881 */     GIR_RootConstrainSelectedInstOperands,
     /*  590882 */     // GIR_Coverage, 10682,
     /*  590882 */     GIR_EraseRootFromParent_Done,
     /*  590883 */   // Label 9683: @590883
     /*  590883 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(590958), // Rule ID 10683 //
     /*  590888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  590899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  590902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  590905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  590908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  590934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  590937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  590953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590956 */     GIR_RootConstrainSelectedInstOperands,
     /*  590957 */     // GIR_Coverage, 10683,
     /*  590957 */     GIR_EraseRootFromParent_Done,
     /*  590958 */   // Label 9684: @590958
     /*  590958 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(591033), // Rule ID 10686 //
     /*  590963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  590971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  590974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  590977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  590980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  590983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591031 */     GIR_RootConstrainSelectedInstOperands,
     /*  591032 */     // GIR_Coverage, 10686,
     /*  591032 */     GIR_EraseRootFromParent_Done,
     /*  591033 */   // Label 9685: @591033
     /*  591033 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(591108), // Rule ID 10687 //
     /*  591038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  591058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591106 */     GIR_RootConstrainSelectedInstOperands,
     /*  591107 */     // GIR_Coverage, 10687,
     /*  591107 */     GIR_EraseRootFromParent_Done,
     /*  591108 */   // Label 9686: @591108
     /*  591108 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(591183), // Rule ID 10690 //
     /*  591113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  591133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  591162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591181 */     GIR_RootConstrainSelectedInstOperands,
     /*  591182 */     // GIR_Coverage, 10690,
     /*  591182 */     GIR_EraseRootFromParent_Done,
     /*  591183 */   // Label 9687: @591183
     /*  591183 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(591258), // Rule ID 10691 //
     /*  591188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  591208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  591237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591256 */     GIR_RootConstrainSelectedInstOperands,
     /*  591257 */     // GIR_Coverage, 10691,
     /*  591257 */     GIR_EraseRootFromParent_Done,
     /*  591258 */   // Label 9688: @591258
     /*  591258 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(591333), // Rule ID 10694 //
     /*  591263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  591283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  591312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591331 */     GIR_RootConstrainSelectedInstOperands,
     /*  591332 */     // GIR_Coverage, 10694,
     /*  591332 */     GIR_EraseRootFromParent_Done,
     /*  591333 */   // Label 9689: @591333
     /*  591333 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(591408), // Rule ID 10695 //
     /*  591338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  591358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  591387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591406 */     GIR_RootConstrainSelectedInstOperands,
     /*  591407 */     // GIR_Coverage, 10695,
     /*  591407 */     GIR_EraseRootFromParent_Done,
     /*  591408 */   // Label 9690: @591408
     /*  591408 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(591483), // Rule ID 10698 //
     /*  591413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  591433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591481 */     GIR_RootConstrainSelectedInstOperands,
     /*  591482 */     // GIR_Coverage, 10698,
     /*  591482 */     GIR_EraseRootFromParent_Done,
     /*  591483 */   // Label 9691: @591483
     /*  591483 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(591558), // Rule ID 10699 //
     /*  591488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  591499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  591502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  591505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  591508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591556 */     GIR_RootConstrainSelectedInstOperands,
     /*  591557 */     // GIR_Coverage, 10699,
     /*  591557 */     GIR_EraseRootFromParent_Done,
     /*  591558 */   // Label 9692: @591558
     /*  591558 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(591633), // Rule ID 10702 //
     /*  591563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  591583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  591612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591631 */     GIR_RootConstrainSelectedInstOperands,
     /*  591632 */     // GIR_Coverage, 10702,
     /*  591632 */     GIR_EraseRootFromParent_Done,
     /*  591633 */   // Label 9693: @591633
     /*  591633 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(591708), // Rule ID 10703 //
     /*  591638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  591649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  591652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  591655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  591658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  591687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591706 */     GIR_RootConstrainSelectedInstOperands,
     /*  591707 */     // GIR_Coverage, 10703,
     /*  591707 */     GIR_EraseRootFromParent_Done,
     /*  591708 */   // Label 9694: @591708
     /*  591708 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(591783), // Rule ID 10706 //
     /*  591713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  591733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  591762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591781 */     GIR_RootConstrainSelectedInstOperands,
     /*  591782 */     // GIR_Coverage, 10706,
     /*  591782 */     GIR_EraseRootFromParent_Done,
     /*  591783 */   // Label 9695: @591783
     /*  591783 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(591858), // Rule ID 10707 //
     /*  591788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  591799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  591802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  591805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  591808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  591837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591856 */     GIR_RootConstrainSelectedInstOperands,
     /*  591857 */     // GIR_Coverage, 10707,
     /*  591857 */     GIR_EraseRootFromParent_Done,
     /*  591858 */   // Label 9696: @591858
     /*  591858 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(591933), // Rule ID 10710 //
     /*  591863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  591866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  591874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  591877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  591880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  591883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  591909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  591928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591931 */     GIR_RootConstrainSelectedInstOperands,
     /*  591932 */     // GIR_Coverage, 10710,
     /*  591932 */     GIR_EraseRootFromParent_Done,
     /*  591933 */   // Label 9697: @591933
     /*  591933 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(592008), // Rule ID 10711 //
     /*  591938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  591941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  591946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  591949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  591952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  591955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  591958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  591984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  591987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592006 */     GIR_RootConstrainSelectedInstOperands,
     /*  592007 */     // GIR_Coverage, 10711,
     /*  592007 */     GIR_EraseRootFromParent_Done,
     /*  592008 */   // Label 9698: @592008
     /*  592008 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(592083), // Rule ID 10714 //
     /*  592013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  592016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  592033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  592059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  592062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592081 */     GIR_RootConstrainSelectedInstOperands,
     /*  592082 */     // GIR_Coverage, 10714,
     /*  592082 */     GIR_EraseRootFromParent_Done,
     /*  592083 */   // Label 9699: @592083
     /*  592083 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(592158), // Rule ID 10715 //
     /*  592088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  592091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  592099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  592102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  592105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  592108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  592134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  592137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592156 */     GIR_RootConstrainSelectedInstOperands,
     /*  592157 */     // GIR_Coverage, 10715,
     /*  592157 */     GIR_EraseRootFromParent_Done,
     /*  592158 */   // Label 9700: @592158
     /*  592158 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(592233), // Rule ID 10718 //
     /*  592163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  592166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  592183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  592209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  592212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592231 */     GIR_RootConstrainSelectedInstOperands,
     /*  592232 */     // GIR_Coverage, 10718,
     /*  592232 */     GIR_EraseRootFromParent_Done,
     /*  592233 */   // Label 9701: @592233
     /*  592233 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(592308), // Rule ID 10719 //
     /*  592238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  592241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  592249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  592252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  592255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  592258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  592284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  592287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592306 */     GIR_RootConstrainSelectedInstOperands,
     /*  592307 */     // GIR_Coverage, 10719,
     /*  592307 */     GIR_EraseRootFromParent_Done,
     /*  592308 */   // Label 9702: @592308
     /*  592308 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(592383), // Rule ID 10722 //
     /*  592313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  592324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  592327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  592330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  592362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592381 */     GIR_RootConstrainSelectedInstOperands,
     /*  592382 */     // GIR_Coverage, 10722,
     /*  592382 */     GIR_EraseRootFromParent_Done,
     /*  592383 */   // Label 9703: @592383
     /*  592383 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(592458), // Rule ID 10723 //
     /*  592388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  592399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  592402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  592405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  592437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592456 */     GIR_RootConstrainSelectedInstOperands,
     /*  592457 */     // GIR_Coverage, 10723,
     /*  592457 */     GIR_EraseRootFromParent_Done,
     /*  592458 */   // Label 9704: @592458
     /*  592458 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(592533), // Rule ID 10726 //
     /*  592463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  592474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  592477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  592480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  592512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592531 */     GIR_RootConstrainSelectedInstOperands,
     /*  592532 */     // GIR_Coverage, 10726,
     /*  592532 */     GIR_EraseRootFromParent_Done,
     /*  592533 */   // Label 9705: @592533
     /*  592533 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(592608), // Rule ID 10727 //
     /*  592538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  592549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  592552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  592555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  592587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592606 */     GIR_RootConstrainSelectedInstOperands,
     /*  592607 */     // GIR_Coverage, 10727,
     /*  592607 */     GIR_EraseRootFromParent_Done,
     /*  592608 */   // Label 9706: @592608
     /*  592608 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(592683), // Rule ID 10730 //
     /*  592613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  592624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  592627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  592630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  592662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592681 */     GIR_RootConstrainSelectedInstOperands,
     /*  592682 */     // GIR_Coverage, 10730,
     /*  592682 */     GIR_EraseRootFromParent_Done,
     /*  592683 */   // Label 9707: @592683
     /*  592683 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(592758), // Rule ID 10731 //
     /*  592688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  592699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  592702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  592705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  592737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592756 */     GIR_RootConstrainSelectedInstOperands,
     /*  592757 */     // GIR_Coverage, 10731,
     /*  592757 */     GIR_EraseRootFromParent_Done,
     /*  592758 */   // Label 9708: @592758
     /*  592758 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(592833), // Rule ID 10734 //
     /*  592763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  592812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592831 */     GIR_RootConstrainSelectedInstOperands,
     /*  592832 */     // GIR_Coverage, 10734,
     /*  592832 */     GIR_EraseRootFromParent_Done,
     /*  592833 */   // Label 9709: @592833
     /*  592833 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(592908), // Rule ID 10735 //
     /*  592838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  592849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  592852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  592855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  592887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592906 */     GIR_RootConstrainSelectedInstOperands,
     /*  592907 */     // GIR_Coverage, 10735,
     /*  592907 */     GIR_EraseRootFromParent_Done,
     /*  592908 */   // Label 9710: @592908
     /*  592908 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(592983), // Rule ID 10738 //
     /*  592913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  592927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  592930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  592962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592981 */     GIR_RootConstrainSelectedInstOperands,
     /*  592982 */     // GIR_Coverage, 10738,
     /*  592982 */     GIR_EraseRootFromParent_Done,
     /*  592983 */   // Label 9711: @592983
     /*  592983 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(593058), // Rule ID 10739 //
     /*  592988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  592996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  592999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  593037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593056 */     GIR_RootConstrainSelectedInstOperands,
     /*  593057 */     // GIR_Coverage, 10739,
     /*  593057 */     GIR_EraseRootFromParent_Done,
     /*  593058 */   // Label 9712: @593058
     /*  593058 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(593133), // Rule ID 10742 //
     /*  593063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  593112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593131 */     GIR_RootConstrainSelectedInstOperands,
     /*  593132 */     // GIR_Coverage, 10742,
     /*  593132 */     GIR_EraseRootFromParent_Done,
     /*  593133 */   // Label 9713: @593133
     /*  593133 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(593208), // Rule ID 10743 //
     /*  593138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  593149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  593152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  593155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  593187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593206 */     GIR_RootConstrainSelectedInstOperands,
     /*  593207 */     // GIR_Coverage, 10743,
     /*  593207 */     GIR_EraseRootFromParent_Done,
     /*  593208 */   // Label 9714: @593208
     /*  593208 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(593283), // Rule ID 10746 //
     /*  593213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  593224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  593227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  593230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593281 */     GIR_RootConstrainSelectedInstOperands,
     /*  593282 */     // GIR_Coverage, 10746,
     /*  593282 */     GIR_EraseRootFromParent_Done,
     /*  593283 */   // Label 9715: @593283
     /*  593283 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(593358), // Rule ID 10747 //
     /*  593288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  593299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  593302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  593305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593356 */     GIR_RootConstrainSelectedInstOperands,
     /*  593357 */     // GIR_Coverage, 10747,
     /*  593357 */     GIR_EraseRootFromParent_Done,
     /*  593358 */   // Label 9716: @593358
     /*  593358 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(593433), // Rule ID 10750 //
     /*  593363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593431 */     GIR_RootConstrainSelectedInstOperands,
     /*  593432 */     // GIR_Coverage, 10750,
     /*  593432 */     GIR_EraseRootFromParent_Done,
     /*  593433 */   // Label 9717: @593433
     /*  593433 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(593508), // Rule ID 10751 //
     /*  593438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593506 */     GIR_RootConstrainSelectedInstOperands,
     /*  593507 */     // GIR_Coverage, 10751,
     /*  593507 */     GIR_EraseRootFromParent_Done,
     /*  593508 */   // Label 9718: @593508
     /*  593508 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(593583), // Rule ID 10754 //
     /*  593513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593581 */     GIR_RootConstrainSelectedInstOperands,
     /*  593582 */     // GIR_Coverage, 10754,
     /*  593582 */     GIR_EraseRootFromParent_Done,
     /*  593583 */   // Label 9719: @593583
     /*  593583 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(593658), // Rule ID 10755 //
     /*  593588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  593599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  593602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  593605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593656 */     GIR_RootConstrainSelectedInstOperands,
     /*  593657 */     // GIR_Coverage, 10755,
     /*  593657 */     GIR_EraseRootFromParent_Done,
     /*  593658 */   // Label 9720: @593658
     /*  593658 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(593733), // Rule ID 10758 //
     /*  593663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  593666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  593674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  593677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  593709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  593728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593731 */     GIR_RootConstrainSelectedInstOperands,
     /*  593732 */     // GIR_Coverage, 10758,
     /*  593732 */     GIR_EraseRootFromParent_Done,
     /*  593733 */   // Label 9721: @593733
     /*  593733 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(593808), // Rule ID 10759 //
     /*  593738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  593741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  593749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  593752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  593784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  593787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  593803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593806 */     GIR_RootConstrainSelectedInstOperands,
     /*  593807 */     // GIR_Coverage, 10759,
     /*  593807 */     GIR_EraseRootFromParent_Done,
     /*  593808 */   // Label 9722: @593808
     /*  593808 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(593883), // Rule ID 10762 //
     /*  593813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  593824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  593827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  593830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  593862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593881 */     GIR_RootConstrainSelectedInstOperands,
     /*  593882 */     // GIR_Coverage, 10762,
     /*  593882 */     GIR_EraseRootFromParent_Done,
     /*  593883 */   // Label 9723: @593883
     /*  593883 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(593958), // Rule ID 10763 //
     /*  593888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  593899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  593902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  593905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  593937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593956 */     GIR_RootConstrainSelectedInstOperands,
     /*  593957 */     // GIR_Coverage, 10763,
     /*  593957 */     GIR_EraseRootFromParent_Done,
     /*  593958 */   // Label 9724: @593958
     /*  593958 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(594033), // Rule ID 10766 //
     /*  593963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  593971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  593974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  593977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  593980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594031 */     GIR_RootConstrainSelectedInstOperands,
     /*  594032 */     // GIR_Coverage, 10766,
     /*  594032 */     GIR_EraseRootFromParent_Done,
     /*  594033 */   // Label 9725: @594033
     /*  594033 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(594108), // Rule ID 10767 //
     /*  594038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  594049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  594052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  594055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594106 */     GIR_RootConstrainSelectedInstOperands,
     /*  594107 */     // GIR_Coverage, 10767,
     /*  594107 */     GIR_EraseRootFromParent_Done,
     /*  594108 */   // Label 9726: @594108
     /*  594108 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(594183), // Rule ID 10770 //
     /*  594113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  594124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  594127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  594130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594159 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  594162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594181 */     GIR_RootConstrainSelectedInstOperands,
     /*  594182 */     // GIR_Coverage, 10770,
     /*  594182 */     GIR_EraseRootFromParent_Done,
     /*  594183 */   // Label 9727: @594183
     /*  594183 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(594258), // Rule ID 10771 //
     /*  594188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  594199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  594202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  594205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  594237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594256 */     GIR_RootConstrainSelectedInstOperands,
     /*  594257 */     // GIR_Coverage, 10771,
     /*  594257 */     GIR_EraseRootFromParent_Done,
     /*  594258 */   // Label 9728: @594258
     /*  594258 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(594333), // Rule ID 10774 //
     /*  594263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594309 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  594312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594331 */     GIR_RootConstrainSelectedInstOperands,
     /*  594332 */     // GIR_Coverage, 10774,
     /*  594332 */     GIR_EraseRootFromParent_Done,
     /*  594333 */   // Label 9729: @594333
     /*  594333 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(594408), // Rule ID 10775 //
     /*  594338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  594387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594406 */     GIR_RootConstrainSelectedInstOperands,
     /*  594407 */     // GIR_Coverage, 10775,
     /*  594407 */     GIR_EraseRootFromParent_Done,
     /*  594408 */   // Label 9730: @594408
     /*  594408 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(594483), // Rule ID 10778 //
     /*  594413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594481 */     GIR_RootConstrainSelectedInstOperands,
     /*  594482 */     // GIR_Coverage, 10778,
     /*  594482 */     GIR_EraseRootFromParent_Done,
     /*  594483 */   // Label 9731: @594483
     /*  594483 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(594558), // Rule ID 10779 //
     /*  594488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594556 */     GIR_RootConstrainSelectedInstOperands,
     /*  594557 */     // GIR_Coverage, 10779,
     /*  594557 */     GIR_EraseRootFromParent_Done,
     /*  594558 */   // Label 9732: @594558
     /*  594558 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(594633), // Rule ID 10782 //
     /*  594563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  594612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594631 */     GIR_RootConstrainSelectedInstOperands,
     /*  594632 */     // GIR_Coverage, 10782,
     /*  594632 */     GIR_EraseRootFromParent_Done,
     /*  594633 */   // Label 9733: @594633
     /*  594633 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(594708), // Rule ID 10783 //
     /*  594638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  594687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594706 */     GIR_RootConstrainSelectedInstOperands,
     /*  594707 */     // GIR_Coverage, 10783,
     /*  594707 */     GIR_EraseRootFromParent_Done,
     /*  594708 */   // Label 9734: @594708
     /*  594708 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(594783), // Rule ID 10786 //
     /*  594713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  594762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594781 */     GIR_RootConstrainSelectedInstOperands,
     /*  594782 */     // GIR_Coverage, 10786,
     /*  594782 */     GIR_EraseRootFromParent_Done,
     /*  594783 */   // Label 9735: @594783
     /*  594783 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(594858), // Rule ID 10787 //
     /*  594788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  594837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594856 */     GIR_RootConstrainSelectedInstOperands,
     /*  594857 */     // GIR_Coverage, 10787,
     /*  594857 */     GIR_EraseRootFromParent_Done,
     /*  594858 */   // Label 9736: @594858
     /*  594858 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(594933), // Rule ID 10790 //
     /*  594863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  594928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594931 */     GIR_RootConstrainSelectedInstOperands,
     /*  594932 */     // GIR_Coverage, 10790,
     /*  594932 */     GIR_EraseRootFromParent_Done,
     /*  594933 */   // Label 9737: @594933
     /*  594933 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(595008), // Rule ID 10791 //
     /*  594938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  594984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  594987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595006 */     GIR_RootConstrainSelectedInstOperands,
     /*  595007 */     // GIR_Coverage, 10791,
     /*  595007 */     GIR_EraseRootFromParent_Done,
     /*  595008 */   // Label 9738: @595008
     /*  595008 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(595083), // Rule ID 10794 //
     /*  595013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  595062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595081 */     GIR_RootConstrainSelectedInstOperands,
     /*  595082 */     // GIR_Coverage, 10794,
     /*  595082 */     GIR_EraseRootFromParent_Done,
     /*  595083 */   // Label 9739: @595083
     /*  595083 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(595158), // Rule ID 10795 //
     /*  595088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  595137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595156 */     GIR_RootConstrainSelectedInstOperands,
     /*  595157 */     // GIR_Coverage, 10795,
     /*  595157 */     GIR_EraseRootFromParent_Done,
     /*  595158 */   // Label 9740: @595158
     /*  595158 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(595233), // Rule ID 10798 //
     /*  595163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  595166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  595209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  595212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595231 */     GIR_RootConstrainSelectedInstOperands,
     /*  595232 */     // GIR_Coverage, 10798,
     /*  595232 */     GIR_EraseRootFromParent_Done,
     /*  595233 */   // Label 9741: @595233
     /*  595233 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(595308), // Rule ID 10799 //
     /*  595238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  595241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  595284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  595287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595306 */     GIR_RootConstrainSelectedInstOperands,
     /*  595307 */     // GIR_Coverage, 10799,
     /*  595307 */     GIR_EraseRootFromParent_Done,
     /*  595308 */   // Label 9742: @595308
     /*  595308 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(595383), // Rule ID 10802 //
     /*  595313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  595316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  595359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  595362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595381 */     GIR_RootConstrainSelectedInstOperands,
     /*  595382 */     // GIR_Coverage, 10802,
     /*  595382 */     GIR_EraseRootFromParent_Done,
     /*  595383 */   // Label 9743: @595383
     /*  595383 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(595458), // Rule ID 10803 //
     /*  595388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  595391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  595434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  595437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595456 */     GIR_RootConstrainSelectedInstOperands,
     /*  595457 */     // GIR_Coverage, 10803,
     /*  595457 */     GIR_EraseRootFromParent_Done,
     /*  595458 */   // Label 9744: @595458
     /*  595458 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(595533), // Rule ID 10806 //
     /*  595463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  595466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  595509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  595512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595531 */     GIR_RootConstrainSelectedInstOperands,
     /*  595532 */     // GIR_Coverage, 10806,
     /*  595532 */     GIR_EraseRootFromParent_Done,
     /*  595533 */   // Label 9745: @595533
     /*  595533 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(595608), // Rule ID 10807 //
     /*  595538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  595541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  595584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  595587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595606 */     GIR_RootConstrainSelectedInstOperands,
     /*  595607 */     // GIR_Coverage, 10807,
     /*  595607 */     GIR_EraseRootFromParent_Done,
     /*  595608 */   // Label 9746: @595608
     /*  595608 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(595683), // Rule ID 10810 //
     /*  595613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  595624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  595627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  595630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  595633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  595662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595681 */     GIR_RootConstrainSelectedInstOperands,
     /*  595682 */     // GIR_Coverage, 10810,
     /*  595682 */     GIR_EraseRootFromParent_Done,
     /*  595683 */   // Label 9747: @595683
     /*  595683 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(595758), // Rule ID 10811 //
     /*  595688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  595699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  595702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  595705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  595708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  595737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595756 */     GIR_RootConstrainSelectedInstOperands,
     /*  595757 */     // GIR_Coverage, 10811,
     /*  595757 */     GIR_EraseRootFromParent_Done,
     /*  595758 */   // Label 9748: @595758
     /*  595758 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(595833), // Rule ID 10814 //
     /*  595763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  595774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  595777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  595780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  595783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  595812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595831 */     GIR_RootConstrainSelectedInstOperands,
     /*  595832 */     // GIR_Coverage, 10814,
     /*  595832 */     GIR_EraseRootFromParent_Done,
     /*  595833 */   // Label 9749: @595833
     /*  595833 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(595908), // Rule ID 10815 //
     /*  595838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  595849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  595852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  595855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  595858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  595887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595906 */     GIR_RootConstrainSelectedInstOperands,
     /*  595907 */     // GIR_Coverage, 10815,
     /*  595907 */     GIR_EraseRootFromParent_Done,
     /*  595908 */   // Label 9750: @595908
     /*  595908 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(595983), // Rule ID 10818 //
     /*  595913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  595924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  595927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  595930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  595933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  595962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595981 */     GIR_RootConstrainSelectedInstOperands,
     /*  595982 */     // GIR_Coverage, 10818,
     /*  595982 */     GIR_EraseRootFromParent_Done,
     /*  595983 */   // Label 9751: @595983
     /*  595983 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(596058), // Rule ID 10819 //
     /*  595988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  595996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  595999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  596002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  596005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  596008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  596037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596056 */     GIR_RootConstrainSelectedInstOperands,
     /*  596057 */     // GIR_Coverage, 10819,
     /*  596057 */     GIR_EraseRootFromParent_Done,
     /*  596058 */   // Label 9752: @596058
     /*  596058 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(596133), // Rule ID 10822 //
     /*  596063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  596074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  596077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  596080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  596083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  596112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596131 */     GIR_RootConstrainSelectedInstOperands,
     /*  596132 */     // GIR_Coverage, 10822,
     /*  596132 */     GIR_EraseRootFromParent_Done,
     /*  596133 */   // Label 9753: @596133
     /*  596133 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(596208), // Rule ID 10823 //
     /*  596138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  596149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  596152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  596155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  596158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  596187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596206 */     GIR_RootConstrainSelectedInstOperands,
     /*  596207 */     // GIR_Coverage, 10823,
     /*  596207 */     GIR_EraseRootFromParent_Done,
     /*  596208 */   // Label 9754: @596208
     /*  596208 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(596283), // Rule ID 10826 //
     /*  596213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  596224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  596233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  596262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596281 */     GIR_RootConstrainSelectedInstOperands,
     /*  596282 */     // GIR_Coverage, 10826,
     /*  596282 */     GIR_EraseRootFromParent_Done,
     /*  596283 */   // Label 9755: @596283
     /*  596283 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(596358), // Rule ID 10827 //
     /*  596288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  596299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  596308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  596337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596356 */     GIR_RootConstrainSelectedInstOperands,
     /*  596357 */     // GIR_Coverage, 10827,
     /*  596357 */     GIR_EraseRootFromParent_Done,
     /*  596358 */   // Label 9756: @596358
     /*  596358 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(596433), // Rule ID 10830 //
     /*  596363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  596383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  596412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596431 */     GIR_RootConstrainSelectedInstOperands,
     /*  596432 */     // GIR_Coverage, 10830,
     /*  596432 */     GIR_EraseRootFromParent_Done,
     /*  596433 */   // Label 9757: @596433
     /*  596433 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(596508), // Rule ID 10831 //
     /*  596438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  596458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  596487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596506 */     GIR_RootConstrainSelectedInstOperands,
     /*  596507 */     // GIR_Coverage, 10831,
     /*  596507 */     GIR_EraseRootFromParent_Done,
     /*  596508 */   // Label 9758: @596508
     /*  596508 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(596583), // Rule ID 10834 //
     /*  596513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  596524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  596527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  596530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  596533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596581 */     GIR_RootConstrainSelectedInstOperands,
     /*  596582 */     // GIR_Coverage, 10834,
     /*  596582 */     GIR_EraseRootFromParent_Done,
     /*  596583 */   // Label 9759: @596583
     /*  596583 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(596658), // Rule ID 10835 //
     /*  596588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  596599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  596602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  596605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  596608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596656 */     GIR_RootConstrainSelectedInstOperands,
     /*  596657 */     // GIR_Coverage, 10835,
     /*  596657 */     GIR_EraseRootFromParent_Done,
     /*  596658 */   // Label 9760: @596658
     /*  596658 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(596733), // Rule ID 10838 //
     /*  596663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  596683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596731 */     GIR_RootConstrainSelectedInstOperands,
     /*  596732 */     // GIR_Coverage, 10838,
     /*  596732 */     GIR_EraseRootFromParent_Done,
     /*  596733 */   // Label 9761: @596733
     /*  596733 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(596808), // Rule ID 10839 //
     /*  596738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  596758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596806 */     GIR_RootConstrainSelectedInstOperands,
     /*  596807 */     // GIR_Coverage, 10839,
     /*  596807 */     GIR_EraseRootFromParent_Done,
     /*  596808 */   // Label 9762: @596808
     /*  596808 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(596883), // Rule ID 10842 //
     /*  596813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  596833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596881 */     GIR_RootConstrainSelectedInstOperands,
     /*  596882 */     // GIR_Coverage, 10842,
     /*  596882 */     GIR_EraseRootFromParent_Done,
     /*  596883 */   // Label 9763: @596883
     /*  596883 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(596958), // Rule ID 10843 //
     /*  596888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  596908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  596937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596956 */     GIR_RootConstrainSelectedInstOperands,
     /*  596957 */     // GIR_Coverage, 10843,
     /*  596957 */     GIR_EraseRootFromParent_Done,
     /*  596958 */   // Label 9764: @596958
     /*  596958 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(597033), // Rule ID 10846 //
     /*  596963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  596966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  596971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  596974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  596983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  597009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  597012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597031 */     GIR_RootConstrainSelectedInstOperands,
     /*  597032 */     // GIR_Coverage, 10846,
     /*  597032 */     GIR_EraseRootFromParent_Done,
     /*  597033 */   // Label 9765: @597033
     /*  597033 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(597108), // Rule ID 10847 //
     /*  597038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  597041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  597058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  597084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  597087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597106 */     GIR_RootConstrainSelectedInstOperands,
     /*  597107 */     // GIR_Coverage, 10847,
     /*  597107 */     GIR_EraseRootFromParent_Done,
     /*  597108 */   // Label 9766: @597108
     /*  597108 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(597183), // Rule ID 10850 //
     /*  597113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  597124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  597127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  597130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  597162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597181 */     GIR_RootConstrainSelectedInstOperands,
     /*  597182 */     // GIR_Coverage, 10850,
     /*  597182 */     GIR_EraseRootFromParent_Done,
     /*  597183 */   // Label 9767: @597183
     /*  597183 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(597258), // Rule ID 10851 //
     /*  597188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  597199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  597202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  597205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  597208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  597237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597256 */     GIR_RootConstrainSelectedInstOperands,
     /*  597257 */     // GIR_Coverage, 10851,
     /*  597257 */     GIR_EraseRootFromParent_Done,
     /*  597258 */   // Label 9768: @597258
     /*  597258 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(597333), // Rule ID 10854 //
     /*  597263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  597274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  597277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  597280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  597312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597331 */     GIR_RootConstrainSelectedInstOperands,
     /*  597332 */     // GIR_Coverage, 10854,
     /*  597332 */     GIR_EraseRootFromParent_Done,
     /*  597333 */   // Label 9769: @597333
     /*  597333 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(597408), // Rule ID 10855 //
     /*  597338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  597349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  597352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  597355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  597358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  597387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597406 */     GIR_RootConstrainSelectedInstOperands,
     /*  597407 */     // GIR_Coverage, 10855,
     /*  597407 */     GIR_EraseRootFromParent_Done,
     /*  597408 */   // Label 9770: @597408
     /*  597408 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(597483), // Rule ID 10858 //
     /*  597413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  597424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  597427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  597430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  597433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  597462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597481 */     GIR_RootConstrainSelectedInstOperands,
     /*  597482 */     // GIR_Coverage, 10858,
     /*  597482 */     GIR_EraseRootFromParent_Done,
     /*  597483 */   // Label 9771: @597483
     /*  597483 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(597558), // Rule ID 10859 //
     /*  597488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  597499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  597502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  597505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  597508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  597537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597556 */     GIR_RootConstrainSelectedInstOperands,
     /*  597557 */     // GIR_Coverage, 10859,
     /*  597557 */     GIR_EraseRootFromParent_Done,
     /*  597558 */   // Label 9772: @597558
     /*  597558 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(597633), // Rule ID 10862 //
     /*  597563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  597583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  597612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597631 */     GIR_RootConstrainSelectedInstOperands,
     /*  597632 */     // GIR_Coverage, 10862,
     /*  597632 */     GIR_EraseRootFromParent_Done,
     /*  597633 */   // Label 9773: @597633
     /*  597633 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(597708), // Rule ID 10863 //
     /*  597638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  597649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  597658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  597687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597706 */     GIR_RootConstrainSelectedInstOperands,
     /*  597707 */     // GIR_Coverage, 10863,
     /*  597707 */     GIR_EraseRootFromParent_Done,
     /*  597708 */   // Label 9774: @597708
     /*  597708 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(597783), // Rule ID 10866 //
     /*  597713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  597733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  597762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597781 */     GIR_RootConstrainSelectedInstOperands,
     /*  597782 */     // GIR_Coverage, 10866,
     /*  597782 */     GIR_EraseRootFromParent_Done,
     /*  597783 */   // Label 9775: @597783
     /*  597783 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(597858), // Rule ID 10867 //
     /*  597788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  597799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  597808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  597837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597856 */     GIR_RootConstrainSelectedInstOperands,
     /*  597857 */     // GIR_Coverage, 10867,
     /*  597857 */     GIR_EraseRootFromParent_Done,
     /*  597858 */   // Label 9776: @597858
     /*  597858 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(597933), // Rule ID 10870 //
     /*  597863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  597883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  597912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597931 */     GIR_RootConstrainSelectedInstOperands,
     /*  597932 */     // GIR_Coverage, 10870,
     /*  597932 */     GIR_EraseRootFromParent_Done,
     /*  597933 */   // Label 9777: @597933
     /*  597933 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(598008), // Rule ID 10871 //
     /*  597938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  597946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  597949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  597958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  597987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598006 */     GIR_RootConstrainSelectedInstOperands,
     /*  598007 */     // GIR_Coverage, 10871,
     /*  598007 */     GIR_EraseRootFromParent_Done,
     /*  598008 */   // Label 9778: @598008
     /*  598008 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(598083), // Rule ID 10874 //
     /*  598013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  598033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  598062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598081 */     GIR_RootConstrainSelectedInstOperands,
     /*  598082 */     // GIR_Coverage, 10874,
     /*  598082 */     GIR_EraseRootFromParent_Done,
     /*  598083 */   // Label 9779: @598083
     /*  598083 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(598158), // Rule ID 10875 //
     /*  598088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  598099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  598102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  598105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  598108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  598137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598156 */     GIR_RootConstrainSelectedInstOperands,
     /*  598157 */     // GIR_Coverage, 10875,
     /*  598157 */     GIR_EraseRootFromParent_Done,
     /*  598158 */   // Label 9780: @598158
     /*  598158 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(598233), // Rule ID 10878 //
     /*  598163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  598183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  598212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598231 */     GIR_RootConstrainSelectedInstOperands,
     /*  598232 */     // GIR_Coverage, 10878,
     /*  598232 */     GIR_EraseRootFromParent_Done,
     /*  598233 */   // Label 9781: @598233
     /*  598233 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(598308), // Rule ID 10879 //
     /*  598238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  598249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  598258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  598287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598306 */     GIR_RootConstrainSelectedInstOperands,
     /*  598307 */     // GIR_Coverage, 10879,
     /*  598307 */     GIR_EraseRootFromParent_Done,
     /*  598308 */   // Label 9782: @598308
     /*  598308 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(598383), // Rule ID 10882 //
     /*  598313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  598333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  598362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598381 */     GIR_RootConstrainSelectedInstOperands,
     /*  598382 */     // GIR_Coverage, 10882,
     /*  598382 */     GIR_EraseRootFromParent_Done,
     /*  598383 */   // Label 9783: @598383
     /*  598383 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(598458), // Rule ID 10883 //
     /*  598388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  598399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  598408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  598437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598456 */     GIR_RootConstrainSelectedInstOperands,
     /*  598457 */     // GIR_Coverage, 10883,
     /*  598457 */     GIR_EraseRootFromParent_Done,
     /*  598458 */   // Label 9784: @598458
     /*  598458 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(598533), // Rule ID 10886 //
     /*  598463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  598483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  598509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  598512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598531 */     GIR_RootConstrainSelectedInstOperands,
     /*  598532 */     // GIR_Coverage, 10886,
     /*  598532 */     GIR_EraseRootFromParent_Done,
     /*  598533 */   // Label 9785: @598533
     /*  598533 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(598608), // Rule ID 10887 //
     /*  598538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  598549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  598558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  598584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  598587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598606 */     GIR_RootConstrainSelectedInstOperands,
     /*  598607 */     // GIR_Coverage, 10887,
     /*  598607 */     GIR_EraseRootFromParent_Done,
     /*  598608 */   // Label 9786: @598608
     /*  598608 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(598683), // Rule ID 10890 //
     /*  598613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  598624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  598627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  598630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  598633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  598659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  598662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598681 */     GIR_RootConstrainSelectedInstOperands,
     /*  598682 */     // GIR_Coverage, 10890,
     /*  598682 */     GIR_EraseRootFromParent_Done,
     /*  598683 */   // Label 9787: @598683
     /*  598683 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(598758), // Rule ID 10891 //
     /*  598688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  598699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  598702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  598705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  598708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  598734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  598737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598756 */     GIR_RootConstrainSelectedInstOperands,
     /*  598757 */     // GIR_Coverage, 10891,
     /*  598757 */     GIR_EraseRootFromParent_Done,
     /*  598758 */   // Label 9788: @598758
     /*  598758 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(598833), // Rule ID 10894 //
     /*  598763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  598774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  598783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  598809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  598812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598831 */     GIR_RootConstrainSelectedInstOperands,
     /*  598832 */     // GIR_Coverage, 10894,
     /*  598832 */     GIR_EraseRootFromParent_Done,
     /*  598833 */   // Label 9789: @598833
     /*  598833 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(598908), // Rule ID 10895 //
     /*  598838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  598849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  598858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  598884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  598887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598906 */     GIR_RootConstrainSelectedInstOperands,
     /*  598907 */     // GIR_Coverage, 10895,
     /*  598907 */     GIR_EraseRootFromParent_Done,
     /*  598908 */   // Label 9790: @598908
     /*  598908 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(598983), // Rule ID 10898 //
     /*  598913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  598924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  598927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  598930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  598962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598981 */     GIR_RootConstrainSelectedInstOperands,
     /*  598982 */     // GIR_Coverage, 10898,
     /*  598982 */     GIR_EraseRootFromParent_Done,
     /*  598983 */   // Label 9791: @598983
     /*  598983 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(599058), // Rule ID 10899 //
     /*  598988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  598996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  598999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  599002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  599005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  599037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599056 */     GIR_RootConstrainSelectedInstOperands,
     /*  599057 */     // GIR_Coverage, 10899,
     /*  599057 */     GIR_EraseRootFromParent_Done,
     /*  599058 */   // Label 9792: @599058
     /*  599058 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(599133), // Rule ID 10902 //
     /*  599063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  599074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  599077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  599080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  599112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599131 */     GIR_RootConstrainSelectedInstOperands,
     /*  599132 */     // GIR_Coverage, 10902,
     /*  599132 */     GIR_EraseRootFromParent_Done,
     /*  599133 */   // Label 9793: @599133
     /*  599133 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(599208), // Rule ID 10903 //
     /*  599138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  599149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  599152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  599155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  599187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599206 */     GIR_RootConstrainSelectedInstOperands,
     /*  599207 */     // GIR_Coverage, 10903,
     /*  599207 */     GIR_EraseRootFromParent_Done,
     /*  599208 */   // Label 9794: @599208
     /*  599208 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(599283), // Rule ID 10906 //
     /*  599213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  599224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  599227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  599230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599281 */     GIR_RootConstrainSelectedInstOperands,
     /*  599282 */     // GIR_Coverage, 10906,
     /*  599282 */     GIR_EraseRootFromParent_Done,
     /*  599283 */   // Label 9795: @599283
     /*  599283 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(599358), // Rule ID 10907 //
     /*  599288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  599299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  599302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  599305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599356 */     GIR_RootConstrainSelectedInstOperands,
     /*  599357 */     // GIR_Coverage, 10907,
     /*  599357 */     GIR_EraseRootFromParent_Done,
     /*  599358 */   // Label 9796: @599358
     /*  599358 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(599433), // Rule ID 10910 //
     /*  599363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  599412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599431 */     GIR_RootConstrainSelectedInstOperands,
     /*  599432 */     // GIR_Coverage, 10910,
     /*  599432 */     GIR_EraseRootFromParent_Done,
     /*  599433 */   // Label 9797: @599433
     /*  599433 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(599508), // Rule ID 10911 //
     /*  599438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  599449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  599455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  599487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599506 */     GIR_RootConstrainSelectedInstOperands,
     /*  599507 */     // GIR_Coverage, 10911,
     /*  599507 */     GIR_EraseRootFromParent_Done,
     /*  599508 */   // Label 9798: @599508
     /*  599508 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(599583), // Rule ID 10914 //
     /*  599513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599581 */     GIR_RootConstrainSelectedInstOperands,
     /*  599582 */     // GIR_Coverage, 10914,
     /*  599582 */     GIR_EraseRootFromParent_Done,
     /*  599583 */   // Label 9799: @599583
     /*  599583 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(599658), // Rule ID 10915 //
     /*  599588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  599599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  599605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599656 */     GIR_RootConstrainSelectedInstOperands,
     /*  599657 */     // GIR_Coverage, 10915,
     /*  599657 */     GIR_EraseRootFromParent_Done,
     /*  599658 */   // Label 9800: @599658
     /*  599658 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(599733), // Rule ID 10918 //
     /*  599663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  599674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599731 */     GIR_RootConstrainSelectedInstOperands,
     /*  599732 */     // GIR_Coverage, 10918,
     /*  599732 */     GIR_EraseRootFromParent_Done,
     /*  599733 */   // Label 9801: @599733
     /*  599733 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(599808), // Rule ID 10919 //
     /*  599738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  599749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  599787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599806 */     GIR_RootConstrainSelectedInstOperands,
     /*  599807 */     // GIR_Coverage, 10919,
     /*  599807 */     GIR_EraseRootFromParent_Done,
     /*  599808 */   // Label 9802: @599808
     /*  599808 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(599883), // Rule ID 10922 //
     /*  599813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  599824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  599827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  599830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  599862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599881 */     GIR_RootConstrainSelectedInstOperands,
     /*  599882 */     // GIR_Coverage, 10922,
     /*  599882 */     GIR_EraseRootFromParent_Done,
     /*  599883 */   // Label 9803: @599883
     /*  599883 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(599958), // Rule ID 10923 //
     /*  599888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  599899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  599902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  599905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  599937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599956 */     GIR_RootConstrainSelectedInstOperands,
     /*  599957 */     // GIR_Coverage, 10923,
     /*  599957 */     GIR_EraseRootFromParent_Done,
     /*  599958 */   // Label 9804: @599958
     /*  599958 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(600033), // Rule ID 10926 //
     /*  599963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  599971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  599974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  599980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600031 */     GIR_RootConstrainSelectedInstOperands,
     /*  600032 */     // GIR_Coverage, 10926,
     /*  600032 */     GIR_EraseRootFromParent_Done,
     /*  600033 */   // Label 9805: @600033
     /*  600033 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(600108), // Rule ID 10927 //
     /*  600038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600106 */     GIR_RootConstrainSelectedInstOperands,
     /*  600107 */     // GIR_Coverage, 10927,
     /*  600107 */     GIR_EraseRootFromParent_Done,
     /*  600108 */   // Label 9806: @600108
     /*  600108 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(600183), // Rule ID 10930 //
     /*  600113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600181 */     GIR_RootConstrainSelectedInstOperands,
     /*  600182 */     // GIR_Coverage, 10930,
     /*  600182 */     GIR_EraseRootFromParent_Done,
     /*  600183 */   // Label 9807: @600183
     /*  600183 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(600258), // Rule ID 10931 //
     /*  600188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  600199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  600202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  600205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600256 */     GIR_RootConstrainSelectedInstOperands,
     /*  600257 */     // GIR_Coverage, 10931,
     /*  600257 */     GIR_EraseRootFromParent_Done,
     /*  600258 */   // Label 9808: @600258
     /*  600258 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(600333), // Rule ID 10934 //
     /*  600263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  600266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  600274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  600277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  600280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  600309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600331 */     GIR_RootConstrainSelectedInstOperands,
     /*  600332 */     // GIR_Coverage, 10934,
     /*  600332 */     GIR_EraseRootFromParent_Done,
     /*  600333 */   // Label 9809: @600333
     /*  600333 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(600408), // Rule ID 10935 //
     /*  600338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  600341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  600349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  600352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  600355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  600384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  600387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600406 */     GIR_RootConstrainSelectedInstOperands,
     /*  600407 */     // GIR_Coverage, 10935,
     /*  600407 */     GIR_EraseRootFromParent_Done,
     /*  600408 */   // Label 9810: @600408
     /*  600408 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(600483), // Rule ID 10938 //
     /*  600413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  600424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  600427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  600430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  600462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600481 */     GIR_RootConstrainSelectedInstOperands,
     /*  600482 */     // GIR_Coverage, 10938,
     /*  600482 */     GIR_EraseRootFromParent_Done,
     /*  600483 */   // Label 9811: @600483
     /*  600483 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(600558), // Rule ID 10939 //
     /*  600488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  600499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  600502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  600505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  600537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600556 */     GIR_RootConstrainSelectedInstOperands,
     /*  600557 */     // GIR_Coverage, 10939,
     /*  600557 */     GIR_EraseRootFromParent_Done,
     /*  600558 */   // Label 9812: @600558
     /*  600558 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(600633), // Rule ID 10942 //
     /*  600563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  600574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  600577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  600580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  600612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600631 */     GIR_RootConstrainSelectedInstOperands,
     /*  600632 */     // GIR_Coverage, 10942,
     /*  600632 */     GIR_EraseRootFromParent_Done,
     /*  600633 */   // Label 9813: @600633
     /*  600633 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(600708), // Rule ID 10943 //
     /*  600638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  600649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  600652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  600655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  600687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600706 */     GIR_RootConstrainSelectedInstOperands,
     /*  600707 */     // GIR_Coverage, 10943,
     /*  600707 */     GIR_EraseRootFromParent_Done,
     /*  600708 */   // Label 9814: @600708
     /*  600708 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(600783), // Rule ID 10946 //
     /*  600713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  600724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  600727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  600730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  600762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600781 */     GIR_RootConstrainSelectedInstOperands,
     /*  600782 */     // GIR_Coverage, 10946,
     /*  600782 */     GIR_EraseRootFromParent_Done,
     /*  600783 */   // Label 9815: @600783
     /*  600783 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(600858), // Rule ID 10947 //
     /*  600788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  600799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  600802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  600805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  600837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600856 */     GIR_RootConstrainSelectedInstOperands,
     /*  600857 */     // GIR_Coverage, 10947,
     /*  600857 */     GIR_EraseRootFromParent_Done,
     /*  600858 */   // Label 9816: @600858
     /*  600858 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(600933), // Rule ID 10950 //
     /*  600863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  600912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600931 */     GIR_RootConstrainSelectedInstOperands,
     /*  600932 */     // GIR_Coverage, 10950,
     /*  600932 */     GIR_EraseRootFromParent_Done,
     /*  600933 */   // Label 9817: @600933
     /*  600933 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(601008), // Rule ID 10951 //
     /*  600938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  600984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  600987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601006 */     GIR_RootConstrainSelectedInstOperands,
     /*  601007 */     // GIR_Coverage, 10951,
     /*  601007 */     GIR_EraseRootFromParent_Done,
     /*  601008 */   // Label 9818: @601008
     /*  601008 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(601083), // Rule ID 10954 //
     /*  601013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  601024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  601027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  601030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  601062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601081 */     GIR_RootConstrainSelectedInstOperands,
     /*  601082 */     // GIR_Coverage, 10954,
     /*  601082 */     GIR_EraseRootFromParent_Done,
     /*  601083 */   // Label 9819: @601083
     /*  601083 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(601158), // Rule ID 10955 //
     /*  601088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  601099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  601102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  601105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  601137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601156 */     GIR_RootConstrainSelectedInstOperands,
     /*  601157 */     // GIR_Coverage, 10955,
     /*  601157 */     GIR_EraseRootFromParent_Done,
     /*  601158 */   // Label 9820: @601158
     /*  601158 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(601233), // Rule ID 10958 //
     /*  601163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  601174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  601177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  601180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  601212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601231 */     GIR_RootConstrainSelectedInstOperands,
     /*  601232 */     // GIR_Coverage, 10958,
     /*  601232 */     GIR_EraseRootFromParent_Done,
     /*  601233 */   // Label 9821: @601233
     /*  601233 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(601308), // Rule ID 10959 //
     /*  601238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  601249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  601252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  601255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  601287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601306 */     GIR_RootConstrainSelectedInstOperands,
     /*  601307 */     // GIR_Coverage, 10959,
     /*  601307 */     GIR_EraseRootFromParent_Done,
     /*  601308 */   // Label 9822: @601308
     /*  601308 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(601383), // Rule ID 10962 //
     /*  601313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  601362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601381 */     GIR_RootConstrainSelectedInstOperands,
     /*  601382 */     // GIR_Coverage, 10962,
     /*  601382 */     GIR_EraseRootFromParent_Done,
     /*  601383 */   // Label 9823: @601383
     /*  601383 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(601458), // Rule ID 10963 //
     /*  601388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  601437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601456 */     GIR_RootConstrainSelectedInstOperands,
     /*  601457 */     // GIR_Coverage, 10963,
     /*  601457 */     GIR_EraseRootFromParent_Done,
     /*  601458 */   // Label 9824: @601458
     /*  601458 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(601533), // Rule ID 10966 //
     /*  601463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  601512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601531 */     GIR_RootConstrainSelectedInstOperands,
     /*  601532 */     // GIR_Coverage, 10966,
     /*  601532 */     GIR_EraseRootFromParent_Done,
     /*  601533 */   // Label 9825: @601533
     /*  601533 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(601608), // Rule ID 10967 //
     /*  601538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  601587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601606 */     GIR_RootConstrainSelectedInstOperands,
     /*  601607 */     // GIR_Coverage, 10967,
     /*  601607 */     GIR_EraseRootFromParent_Done,
     /*  601608 */   // Label 9826: @601608
     /*  601608 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(601683), // Rule ID 10970 //
     /*  601613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  601662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601681 */     GIR_RootConstrainSelectedInstOperands,
     /*  601682 */     // GIR_Coverage, 10970,
     /*  601682 */     GIR_EraseRootFromParent_Done,
     /*  601683 */   // Label 9827: @601683
     /*  601683 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(601758), // Rule ID 10971 //
     /*  601688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  601737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601756 */     GIR_RootConstrainSelectedInstOperands,
     /*  601757 */     // GIR_Coverage, 10971,
     /*  601757 */     GIR_EraseRootFromParent_Done,
     /*  601758 */   // Label 9828: @601758
     /*  601758 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(601833), // Rule ID 10974 //
     /*  601763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  601809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  601812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601831 */     GIR_RootConstrainSelectedInstOperands,
     /*  601832 */     // GIR_Coverage, 10974,
     /*  601832 */     GIR_EraseRootFromParent_Done,
     /*  601833 */   // Label 9829: @601833
     /*  601833 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(601908), // Rule ID 10975 //
     /*  601838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  601884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  601887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601906 */     GIR_RootConstrainSelectedInstOperands,
     /*  601907 */     // GIR_Coverage, 10975,
     /*  601907 */     GIR_EraseRootFromParent_Done,
     /*  601908 */   // Label 9830: @601908
     /*  601908 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(601983), // Rule ID 10978 //
     /*  601913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  601930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  601959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  601962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601981 */     GIR_RootConstrainSelectedInstOperands,
     /*  601982 */     // GIR_Coverage, 10978,
     /*  601982 */     GIR_EraseRootFromParent_Done,
     /*  601983 */   // Label 9831: @601983
     /*  601983 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(602058), // Rule ID 10979 //
     /*  601988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  601999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  602002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  602005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  602034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  602037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602056 */     GIR_RootConstrainSelectedInstOperands,
     /*  602057 */     // GIR_Coverage, 10979,
     /*  602057 */     GIR_EraseRootFromParent_Done,
     /*  602058 */   // Label 9832: @602058
     /*  602058 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(602133), // Rule ID 10982 //
     /*  602063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  602066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  602109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  602112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602131 */     GIR_RootConstrainSelectedInstOperands,
     /*  602132 */     // GIR_Coverage, 10982,
     /*  602132 */     GIR_EraseRootFromParent_Done,
     /*  602133 */   // Label 9833: @602133
     /*  602133 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(602208), // Rule ID 10983 //
     /*  602138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  602141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  602184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  602187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602206 */     GIR_RootConstrainSelectedInstOperands,
     /*  602207 */     // GIR_Coverage, 10983,
     /*  602207 */     GIR_EraseRootFromParent_Done,
     /*  602208 */   // Label 9834: @602208
     /*  602208 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(602283), // Rule ID 10986 //
     /*  602213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  602224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  602227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  602230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  602233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  602262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602281 */     GIR_RootConstrainSelectedInstOperands,
     /*  602282 */     // GIR_Coverage, 10986,
     /*  602282 */     GIR_EraseRootFromParent_Done,
     /*  602283 */   // Label 9835: @602283
     /*  602283 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(602358), // Rule ID 10987 //
     /*  602288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  602299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  602302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  602305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  602308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  602337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602356 */     GIR_RootConstrainSelectedInstOperands,
     /*  602357 */     // GIR_Coverage, 10987,
     /*  602357 */     GIR_EraseRootFromParent_Done,
     /*  602358 */   // Label 9836: @602358
     /*  602358 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(602433), // Rule ID 10990 //
     /*  602363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  602374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  602383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  602412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602431 */     GIR_RootConstrainSelectedInstOperands,
     /*  602432 */     // GIR_Coverage, 10990,
     /*  602432 */     GIR_EraseRootFromParent_Done,
     /*  602433 */   // Label 9837: @602433
     /*  602433 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(602508), // Rule ID 10991 //
     /*  602438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  602449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  602458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  602487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602506 */     GIR_RootConstrainSelectedInstOperands,
     /*  602507 */     // GIR_Coverage, 10991,
     /*  602507 */     GIR_EraseRootFromParent_Done,
     /*  602508 */   // Label 9838: @602508
     /*  602508 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(602583), // Rule ID 10994 //
     /*  602513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  602524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  602562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602581 */     GIR_RootConstrainSelectedInstOperands,
     /*  602582 */     // GIR_Coverage, 10994,
     /*  602582 */     GIR_EraseRootFromParent_Done,
     /*  602583 */   // Label 9839: @602583
     /*  602583 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(602658), // Rule ID 10995 //
     /*  602588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  602599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  602637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602656 */     GIR_RootConstrainSelectedInstOperands,
     /*  602657 */     // GIR_Coverage, 10995,
     /*  602657 */     GIR_EraseRootFromParent_Done,
     /*  602658 */   // Label 9840: @602658
     /*  602658 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(602733), // Rule ID 10998 //
     /*  602663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  602674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  602712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602731 */     GIR_RootConstrainSelectedInstOperands,
     /*  602732 */     // GIR_Coverage, 10998,
     /*  602732 */     GIR_EraseRootFromParent_Done,
     /*  602733 */   // Label 9841: @602733
     /*  602733 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(602808), // Rule ID 10999 //
     /*  602738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  602749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  602758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  602787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602806 */     GIR_RootConstrainSelectedInstOperands,
     /*  602807 */     // GIR_Coverage, 10999,
     /*  602807 */     GIR_EraseRootFromParent_Done,
     /*  602808 */   // Label 9842: @602808
     /*  602808 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(602883), // Rule ID 11002 //
     /*  602813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  602824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  602862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602881 */     GIR_RootConstrainSelectedInstOperands,
     /*  602882 */     // GIR_Coverage, 11002,
     /*  602882 */     GIR_EraseRootFromParent_Done,
     /*  602883 */   // Label 9843: @602883
     /*  602883 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(602958), // Rule ID 11003 //
     /*  602888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  602899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  602908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  602937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602956 */     GIR_RootConstrainSelectedInstOperands,
     /*  602957 */     // GIR_Coverage, 11003,
     /*  602957 */     GIR_EraseRootFromParent_Done,
     /*  602958 */   // Label 9844: @602958
     /*  602958 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(603033), // Rule ID 11006 //
     /*  602963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  602971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  602974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  602983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  603012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603031 */     GIR_RootConstrainSelectedInstOperands,
     /*  603032 */     // GIR_Coverage, 11006,
     /*  603032 */     GIR_EraseRootFromParent_Done,
     /*  603033 */   // Label 9845: @603033
     /*  603033 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(603108), // Rule ID 11007 //
     /*  603038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  603049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  603052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  603055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  603087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603106 */     GIR_RootConstrainSelectedInstOperands,
     /*  603107 */     // GIR_Coverage, 11007,
     /*  603107 */     GIR_EraseRootFromParent_Done,
     /*  603108 */   // Label 9846: @603108
     /*  603108 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(603183), // Rule ID 11010 //
     /*  603113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  603124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  603127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  603130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  603133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603181 */     GIR_RootConstrainSelectedInstOperands,
     /*  603182 */     // GIR_Coverage, 11010,
     /*  603182 */     GIR_EraseRootFromParent_Done,
     /*  603183 */   // Label 9847: @603183
     /*  603183 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(603258), // Rule ID 11011 //
     /*  603188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  603199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  603202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  603205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  603208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603256 */     GIR_RootConstrainSelectedInstOperands,
     /*  603257 */     // GIR_Coverage, 11011,
     /*  603257 */     GIR_EraseRootFromParent_Done,
     /*  603258 */   // Label 9848: @603258
     /*  603258 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(603333), // Rule ID 11014 //
     /*  603263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  603274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  603277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  603280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603331 */     GIR_RootConstrainSelectedInstOperands,
     /*  603332 */     // GIR_Coverage, 11014,
     /*  603332 */     GIR_EraseRootFromParent_Done,
     /*  603333 */   // Label 9849: @603333
     /*  603333 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(603408), // Rule ID 11015 //
     /*  603338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  603349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  603352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  603355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603406 */     GIR_RootConstrainSelectedInstOperands,
     /*  603407 */     // GIR_Coverage, 11015,
     /*  603407 */     GIR_EraseRootFromParent_Done,
     /*  603408 */   // Label 9850: @603408
     /*  603408 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(603483), // Rule ID 11018 //
     /*  603413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  603424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603481 */     GIR_RootConstrainSelectedInstOperands,
     /*  603482 */     // GIR_Coverage, 11018,
     /*  603482 */     GIR_EraseRootFromParent_Done,
     /*  603483 */   // Label 9851: @603483
     /*  603483 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(603558), // Rule ID 11019 //
     /*  603488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  603499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  603508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  603537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603556 */     GIR_RootConstrainSelectedInstOperands,
     /*  603557 */     // GIR_Coverage, 11019,
     /*  603557 */     GIR_EraseRootFromParent_Done,
     /*  603558 */   // Label 9852: @603558
     /*  603558 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(603633), // Rule ID 11022 //
     /*  603563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  603574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  603583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  603612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603631 */     GIR_RootConstrainSelectedInstOperands,
     /*  603632 */     // GIR_Coverage, 11022,
     /*  603632 */     GIR_EraseRootFromParent_Done,
     /*  603633 */   // Label 9853: @603633
     /*  603633 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(603708), // Rule ID 11023 //
     /*  603638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  603649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  603658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  603687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603706 */     GIR_RootConstrainSelectedInstOperands,
     /*  603707 */     // GIR_Coverage, 11023,
     /*  603707 */     GIR_EraseRootFromParent_Done,
     /*  603708 */   // Label 9854: @603708
     /*  603708 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(603783), // Rule ID 11026 //
     /*  603713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  603724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  603733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  603762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603781 */     GIR_RootConstrainSelectedInstOperands,
     /*  603782 */     // GIR_Coverage, 11026,
     /*  603782 */     GIR_EraseRootFromParent_Done,
     /*  603783 */   // Label 9855: @603783
     /*  603783 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(603858), // Rule ID 11027 //
     /*  603788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  603799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  603808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  603837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603856 */     GIR_RootConstrainSelectedInstOperands,
     /*  603857 */     // GIR_Coverage, 11027,
     /*  603857 */     GIR_EraseRootFromParent_Done,
     /*  603858 */   // Label 9856: @603858
     /*  603858 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(603933), // Rule ID 11030 //
     /*  603863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  603874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  603883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  603912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603931 */     GIR_RootConstrainSelectedInstOperands,
     /*  603932 */     // GIR_Coverage, 11030,
     /*  603932 */     GIR_EraseRootFromParent_Done,
     /*  603933 */   // Label 9857: @603933
     /*  603933 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(604008), // Rule ID 11031 //
     /*  603938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  603946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  603949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  603958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  603987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604006 */     GIR_RootConstrainSelectedInstOperands,
     /*  604007 */     // GIR_Coverage, 11031,
     /*  604007 */     GIR_EraseRootFromParent_Done,
     /*  604008 */   // Label 9858: @604008
     /*  604008 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(604083), // Rule ID 11034 //
     /*  604013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  604033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  604062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604081 */     GIR_RootConstrainSelectedInstOperands,
     /*  604082 */     // GIR_Coverage, 11034,
     /*  604082 */     GIR_EraseRootFromParent_Done,
     /*  604083 */   // Label 9859: @604083
     /*  604083 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(604158), // Rule ID 11035 //
     /*  604088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  604099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  604102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  604105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  604108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  604137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604156 */     GIR_RootConstrainSelectedInstOperands,
     /*  604157 */     // GIR_Coverage, 11035,
     /*  604157 */     GIR_EraseRootFromParent_Done,
     /*  604158 */   // Label 9860: @604158
     /*  604158 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(604233), // Rule ID 11038 //
     /*  604163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  604183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  604212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604231 */     GIR_RootConstrainSelectedInstOperands,
     /*  604232 */     // GIR_Coverage, 11038,
     /*  604232 */     GIR_EraseRootFromParent_Done,
     /*  604233 */   // Label 9861: @604233
     /*  604233 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(604308), // Rule ID 11039 //
     /*  604238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  604249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  604252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  604255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  604258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  604287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604306 */     GIR_RootConstrainSelectedInstOperands,
     /*  604307 */     // GIR_Coverage, 11039,
     /*  604307 */     GIR_EraseRootFromParent_Done,
     /*  604308 */   // Label 9862: @604308
     /*  604308 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(604383), // Rule ID 11042 //
     /*  604313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  604333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  604362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604381 */     GIR_RootConstrainSelectedInstOperands,
     /*  604382 */     // GIR_Coverage, 11042,
     /*  604382 */     GIR_EraseRootFromParent_Done,
     /*  604383 */   // Label 9863: @604383
     /*  604383 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(604458), // Rule ID 11043 //
     /*  604388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  604399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  604408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  604437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604456 */     GIR_RootConstrainSelectedInstOperands,
     /*  604457 */     // GIR_Coverage, 11043,
     /*  604457 */     GIR_EraseRootFromParent_Done,
     /*  604458 */   // Label 9864: @604458
     /*  604458 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(604533), // Rule ID 11046 //
     /*  604463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  604474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  604483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  604512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604531 */     GIR_RootConstrainSelectedInstOperands,
     /*  604532 */     // GIR_Coverage, 11046,
     /*  604532 */     GIR_EraseRootFromParent_Done,
     /*  604533 */   // Label 9865: @604533
     /*  604533 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(604608), // Rule ID 11047 //
     /*  604538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  604549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  604558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  604587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604606 */     GIR_RootConstrainSelectedInstOperands,
     /*  604607 */     // GIR_Coverage, 11047,
     /*  604607 */     GIR_EraseRootFromParent_Done,
     /*  604608 */   // Label 9866: @604608
     /*  604608 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(604683), // Rule ID 11050 //
     /*  604613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  604624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  604633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  604662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604681 */     GIR_RootConstrainSelectedInstOperands,
     /*  604682 */     // GIR_Coverage, 11050,
     /*  604682 */     GIR_EraseRootFromParent_Done,
     /*  604683 */   // Label 9867: @604683
     /*  604683 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(604758), // Rule ID 11051 //
     /*  604688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  604699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  604708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  604737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604756 */     GIR_RootConstrainSelectedInstOperands,
     /*  604757 */     // GIR_Coverage, 11051,
     /*  604757 */     GIR_EraseRootFromParent_Done,
     /*  604758 */   // Label 9868: @604758
     /*  604758 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(604833), // Rule ID 11054 //
     /*  604763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  604774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  604783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  604812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604831 */     GIR_RootConstrainSelectedInstOperands,
     /*  604832 */     // GIR_Coverage, 11054,
     /*  604832 */     GIR_EraseRootFromParent_Done,
     /*  604833 */   // Label 9869: @604833
     /*  604833 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(604908), // Rule ID 11055 //
     /*  604838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  604849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  604858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  604887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604906 */     GIR_RootConstrainSelectedInstOperands,
     /*  604907 */     // GIR_Coverage, 11055,
     /*  604907 */     GIR_EraseRootFromParent_Done,
     /*  604908 */   // Label 9870: @604908
     /*  604908 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(604983), // Rule ID 11058 //
     /*  604913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  604924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  604930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  604962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604981 */     GIR_RootConstrainSelectedInstOperands,
     /*  604982 */     // GIR_Coverage, 11058,
     /*  604982 */     GIR_EraseRootFromParent_Done,
     /*  604983 */   // Label 9871: @604983
     /*  604983 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(605058), // Rule ID 11059 //
     /*  604988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  604996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  604999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  605005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  605037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605056 */     GIR_RootConstrainSelectedInstOperands,
     /*  605057 */     // GIR_Coverage, 11059,
     /*  605057 */     GIR_EraseRootFromParent_Done,
     /*  605058 */   // Label 9872: @605058
     /*  605058 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(605133), // Rule ID 11062 //
     /*  605063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  605074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  605080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  605112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605131 */     GIR_RootConstrainSelectedInstOperands,
     /*  605132 */     // GIR_Coverage, 11062,
     /*  605132 */     GIR_EraseRootFromParent_Done,
     /*  605133 */   // Label 9873: @605133
     /*  605133 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(605208), // Rule ID 11063 //
     /*  605138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  605149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  605155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  605187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605206 */     GIR_RootConstrainSelectedInstOperands,
     /*  605207 */     // GIR_Coverage, 11063,
     /*  605207 */     GIR_EraseRootFromParent_Done,
     /*  605208 */   // Label 9874: @605208
     /*  605208 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(605283), // Rule ID 11066 //
     /*  605213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  605224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  605230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605281 */     GIR_RootConstrainSelectedInstOperands,
     /*  605282 */     // GIR_Coverage, 11066,
     /*  605282 */     GIR_EraseRootFromParent_Done,
     /*  605283 */   // Label 9875: @605283
     /*  605283 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(605358), // Rule ID 11067 //
     /*  605288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  605299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  605305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605356 */     GIR_RootConstrainSelectedInstOperands,
     /*  605357 */     // GIR_Coverage, 11067,
     /*  605357 */     GIR_EraseRootFromParent_Done,
     /*  605358 */   // Label 9876: @605358
     /*  605358 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(605433), // Rule ID 11070 //
     /*  605363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  605374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  605380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  605412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605431 */     GIR_RootConstrainSelectedInstOperands,
     /*  605432 */     // GIR_Coverage, 11070,
     /*  605432 */     GIR_EraseRootFromParent_Done,
     /*  605433 */   // Label 9877: @605433
     /*  605433 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(605508), // Rule ID 11071 //
     /*  605438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  605449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  605455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  605487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605506 */     GIR_RootConstrainSelectedInstOperands,
     /*  605507 */     // GIR_Coverage, 11071,
     /*  605507 */     GIR_EraseRootFromParent_Done,
     /*  605508 */   // Label 9878: @605508
     /*  605508 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(605583), // Rule ID 11074 //
     /*  605513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  605524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  605530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605581 */     GIR_RootConstrainSelectedInstOperands,
     /*  605582 */     // GIR_Coverage, 11074,
     /*  605582 */     GIR_EraseRootFromParent_Done,
     /*  605583 */   // Label 9879: @605583
     /*  605583 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(605658), // Rule ID 11075 //
     /*  605588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  605599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  605605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605656 */     GIR_RootConstrainSelectedInstOperands,
     /*  605657 */     // GIR_Coverage, 11075,
     /*  605657 */     GIR_EraseRootFromParent_Done,
     /*  605658 */   // Label 9880: @605658
     /*  605658 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(605733), // Rule ID 11078 //
     /*  605663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605731 */     GIR_RootConstrainSelectedInstOperands,
     /*  605732 */     // GIR_Coverage, 11078,
     /*  605732 */     GIR_EraseRootFromParent_Done,
     /*  605733 */   // Label 9881: @605733
     /*  605733 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(605808), // Rule ID 11079 //
     /*  605738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  605787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605806 */     GIR_RootConstrainSelectedInstOperands,
     /*  605807 */     // GIR_Coverage, 11079,
     /*  605807 */     GIR_EraseRootFromParent_Done,
     /*  605808 */   // Label 9882: @605808
     /*  605808 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(605883), // Rule ID 11082 //
     /*  605813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  605824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  605830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  605862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605881 */     GIR_RootConstrainSelectedInstOperands,
     /*  605882 */     // GIR_Coverage, 11082,
     /*  605882 */     GIR_EraseRootFromParent_Done,
     /*  605883 */   // Label 9883: @605883
     /*  605883 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(605958), // Rule ID 11083 //
     /*  605888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  605899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  605905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  605937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605956 */     GIR_RootConstrainSelectedInstOperands,
     /*  605957 */     // GIR_Coverage, 11083,
     /*  605957 */     GIR_EraseRootFromParent_Done,
     /*  605958 */   // Label 9884: @605958
     /*  605958 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(606033), // Rule ID 11086 //
     /*  605963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  605971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  605974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  605980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  606012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606031 */     GIR_RootConstrainSelectedInstOperands,
     /*  606032 */     // GIR_Coverage, 11086,
     /*  606032 */     GIR_EraseRootFromParent_Done,
     /*  606033 */   // Label 9885: @606033
     /*  606033 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(606108), // Rule ID 11087 //
     /*  606038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  606049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  606055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  606087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606106 */     GIR_RootConstrainSelectedInstOperands,
     /*  606107 */     // GIR_Coverage, 11087,
     /*  606107 */     GIR_EraseRootFromParent_Done,
     /*  606108 */   // Label 9886: @606108
     /*  606108 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(606183), // Rule ID 11090 //
     /*  606113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  606124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  606130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  606162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606181 */     GIR_RootConstrainSelectedInstOperands,
     /*  606182 */     // GIR_Coverage, 11090,
     /*  606182 */     GIR_EraseRootFromParent_Done,
     /*  606183 */   // Label 9887: @606183
     /*  606183 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(606258), // Rule ID 11091 //
     /*  606188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  606199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  606205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  606237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606256 */     GIR_RootConstrainSelectedInstOperands,
     /*  606257 */     // GIR_Coverage, 11091,
     /*  606257 */     GIR_EraseRootFromParent_Done,
     /*  606258 */   // Label 9888: @606258
     /*  606258 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(606333), // Rule ID 11094 //
     /*  606263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  606274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  606280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  606309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  606312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606331 */     GIR_RootConstrainSelectedInstOperands,
     /*  606332 */     // GIR_Coverage, 11094,
     /*  606332 */     GIR_EraseRootFromParent_Done,
     /*  606333 */   // Label 9889: @606333
     /*  606333 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(606408), // Rule ID 11095 //
     /*  606338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  606349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  606355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  606384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  606387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606406 */     GIR_RootConstrainSelectedInstOperands,
     /*  606407 */     // GIR_Coverage, 11095,
     /*  606407 */     GIR_EraseRootFromParent_Done,
     /*  606408 */   // Label 9890: @606408
     /*  606408 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(606483), // Rule ID 11098 //
     /*  606413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  606424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  606430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606459 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  606459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  606462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606481 */     GIR_RootConstrainSelectedInstOperands,
     /*  606482 */     // GIR_Coverage, 11098,
     /*  606482 */     GIR_EraseRootFromParent_Done,
     /*  606483 */   // Label 9891: @606483
     /*  606483 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(606558), // Rule ID 11099 //
     /*  606488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  606499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  606505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606534 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  606534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  606537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606556 */     GIR_RootConstrainSelectedInstOperands,
     /*  606557 */     // GIR_Coverage, 11099,
     /*  606557 */     GIR_EraseRootFromParent_Done,
     /*  606558 */   // Label 9892: @606558
     /*  606558 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(606633), // Rule ID 11102 //
     /*  606563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  606574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  606580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606609 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  606609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  606612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606631 */     GIR_RootConstrainSelectedInstOperands,
     /*  606632 */     // GIR_Coverage, 11102,
     /*  606632 */     GIR_EraseRootFromParent_Done,
     /*  606633 */   // Label 9893: @606633
     /*  606633 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(606708), // Rule ID 11103 //
     /*  606638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  606649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  606655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  606684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  606687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606706 */     GIR_RootConstrainSelectedInstOperands,
     /*  606707 */     // GIR_Coverage, 11103,
     /*  606707 */     GIR_EraseRootFromParent_Done,
     /*  606708 */   // Label 9894: @606708
     /*  606708 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(606783), // Rule ID 11106 //
     /*  606713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  606724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  606730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606759 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  606762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606781 */     GIR_RootConstrainSelectedInstOperands,
     /*  606782 */     // GIR_Coverage, 11106,
     /*  606782 */     GIR_EraseRootFromParent_Done,
     /*  606783 */   // Label 9895: @606783
     /*  606783 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(606858), // Rule ID 11107 //
     /*  606788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  606799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  606805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  606837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606856 */     GIR_RootConstrainSelectedInstOperands,
     /*  606857 */     // GIR_Coverage, 11107,
     /*  606857 */     GIR_EraseRootFromParent_Done,
     /*  606858 */   // Label 9896: @606858
     /*  606858 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(606933), // Rule ID 11110 //
     /*  606863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  606874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  606880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  606912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606931 */     GIR_RootConstrainSelectedInstOperands,
     /*  606932 */     // GIR_Coverage, 11110,
     /*  606932 */     GIR_EraseRootFromParent_Done,
     /*  606933 */   // Label 9897: @606933
     /*  606933 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(607008), // Rule ID 11111 //
     /*  606938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  606946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  606949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  606955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  606987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607006 */     GIR_RootConstrainSelectedInstOperands,
     /*  607007 */     // GIR_Coverage, 11111,
     /*  607007 */     GIR_EraseRootFromParent_Done,
     /*  607008 */   // Label 9898: @607008
     /*  607008 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(607083), // Rule ID 11114 //
     /*  607013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  607024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  607030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607059 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  607059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  607062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607081 */     GIR_RootConstrainSelectedInstOperands,
     /*  607082 */     // GIR_Coverage, 11114,
     /*  607082 */     GIR_EraseRootFromParent_Done,
     /*  607083 */   // Label 9899: @607083
     /*  607083 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(607158), // Rule ID 11115 //
     /*  607088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  607099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  607105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  607134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  607137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607156 */     GIR_RootConstrainSelectedInstOperands,
     /*  607157 */     // GIR_Coverage, 11115,
     /*  607157 */     GIR_EraseRootFromParent_Done,
     /*  607158 */   // Label 9900: @607158
     /*  607158 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(607233), // Rule ID 11118 //
     /*  607163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  607174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  607180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  607209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  607212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607231 */     GIR_RootConstrainSelectedInstOperands,
     /*  607232 */     // GIR_Coverage, 11118,
     /*  607232 */     GIR_EraseRootFromParent_Done,
     /*  607233 */   // Label 9901: @607233
     /*  607233 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(607308), // Rule ID 11119 //
     /*  607238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  607249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  607255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  607284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  607287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607306 */     GIR_RootConstrainSelectedInstOperands,
     /*  607307 */     // GIR_Coverage, 11119,
     /*  607307 */     GIR_EraseRootFromParent_Done,
     /*  607308 */   // Label 9902: @607308
     /*  607308 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(607383), // Rule ID 11122 //
     /*  607313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  607324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  607330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  607359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  607362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607381 */     GIR_RootConstrainSelectedInstOperands,
     /*  607382 */     // GIR_Coverage, 11122,
     /*  607382 */     GIR_EraseRootFromParent_Done,
     /*  607383 */   // Label 9903: @607383
     /*  607383 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(607458), // Rule ID 11123 //
     /*  607388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  607399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  607405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  607434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  607437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607456 */     GIR_RootConstrainSelectedInstOperands,
     /*  607457 */     // GIR_Coverage, 11123,
     /*  607457 */     GIR_EraseRootFromParent_Done,
     /*  607458 */   // Label 9904: @607458
     /*  607458 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(607533), // Rule ID 11126 //
     /*  607463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  607474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  607480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  607509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  607512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607531 */     GIR_RootConstrainSelectedInstOperands,
     /*  607532 */     // GIR_Coverage, 11126,
     /*  607532 */     GIR_EraseRootFromParent_Done,
     /*  607533 */   // Label 9905: @607533
     /*  607533 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(607608), // Rule ID 11127 //
     /*  607538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  607549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  607555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  607584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  607587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607606 */     GIR_RootConstrainSelectedInstOperands,
     /*  607607 */     // GIR_Coverage, 11127,
     /*  607607 */     GIR_EraseRootFromParent_Done,
     /*  607608 */   // Label 9906: @607608
     /*  607608 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(607683), // Rule ID 11130 //
     /*  607613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  607624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  607633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  607662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607681 */     GIR_RootConstrainSelectedInstOperands,
     /*  607682 */     // GIR_Coverage, 11130,
     /*  607682 */     GIR_EraseRootFromParent_Done,
     /*  607683 */   // Label 9907: @607683
     /*  607683 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(607758), // Rule ID 11131 //
     /*  607688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  607699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  607708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  607734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  607737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607756 */     GIR_RootConstrainSelectedInstOperands,
     /*  607757 */     // GIR_Coverage, 11131,
     /*  607757 */     GIR_EraseRootFromParent_Done,
     /*  607758 */   // Label 9908: @607758
     /*  607758 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(607833), // Rule ID 11134 //
     /*  607763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  607774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  607783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  607812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607831 */     GIR_RootConstrainSelectedInstOperands,
     /*  607832 */     // GIR_Coverage, 11134,
     /*  607832 */     GIR_EraseRootFromParent_Done,
     /*  607833 */   // Label 9909: @607833
     /*  607833 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(607908), // Rule ID 11135 //
     /*  607838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  607849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  607858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  607884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  607887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607906 */     GIR_RootConstrainSelectedInstOperands,
     /*  607907 */     // GIR_Coverage, 11135,
     /*  607907 */     GIR_EraseRootFromParent_Done,
     /*  607908 */   // Label 9910: @607908
     /*  607908 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(607983), // Rule ID 11138 //
     /*  607913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  607924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  607927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  607930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  607933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  607962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607981 */     GIR_RootConstrainSelectedInstOperands,
     /*  607982 */     // GIR_Coverage, 11138,
     /*  607982 */     GIR_EraseRootFromParent_Done,
     /*  607983 */   // Label 9911: @607983
     /*  607983 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(608058), // Rule ID 11139 //
     /*  607988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  607996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  607999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  608008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  608037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608056 */     GIR_RootConstrainSelectedInstOperands,
     /*  608057 */     // GIR_Coverage, 11139,
     /*  608057 */     GIR_EraseRootFromParent_Done,
     /*  608058 */   // Label 9912: @608058
     /*  608058 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(608133), // Rule ID 11142 //
     /*  608063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  608074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  608083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  608112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608131 */     GIR_RootConstrainSelectedInstOperands,
     /*  608132 */     // GIR_Coverage, 11142,
     /*  608132 */     GIR_EraseRootFromParent_Done,
     /*  608133 */   // Label 9913: @608133
     /*  608133 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(608208), // Rule ID 11143 //
     /*  608138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  608149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  608158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  608187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608206 */     GIR_RootConstrainSelectedInstOperands,
     /*  608207 */     // GIR_Coverage, 11143,
     /*  608207 */     GIR_EraseRootFromParent_Done,
     /*  608208 */   // Label 9914: @608208
     /*  608208 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(608283), // Rule ID 11146 //
     /*  608213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  608262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608281 */     GIR_RootConstrainSelectedInstOperands,
     /*  608282 */     // GIR_Coverage, 11146,
     /*  608282 */     GIR_EraseRootFromParent_Done,
     /*  608283 */   // Label 9915: @608283
     /*  608283 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(608358), // Rule ID 11147 //
     /*  608288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  608337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608356 */     GIR_RootConstrainSelectedInstOperands,
     /*  608357 */     // GIR_Coverage, 11147,
     /*  608357 */     GIR_EraseRootFromParent_Done,
     /*  608358 */   // Label 9916: @608358
     /*  608358 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(608433), // Rule ID 11150 //
     /*  608363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  608409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  608412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608431 */     GIR_RootConstrainSelectedInstOperands,
     /*  608432 */     // GIR_Coverage, 11150,
     /*  608432 */     GIR_EraseRootFromParent_Done,
     /*  608433 */   // Label 9917: @608433
     /*  608433 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(608508), // Rule ID 11151 //
     /*  608438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  608484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  608487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608506 */     GIR_RootConstrainSelectedInstOperands,
     /*  608507 */     // GIR_Coverage, 11151,
     /*  608507 */     GIR_EraseRootFromParent_Done,
     /*  608508 */   // Label 9918: @608508
     /*  608508 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(608583), // Rule ID 11154 //
     /*  608513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  608524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  608533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608581 */     GIR_RootConstrainSelectedInstOperands,
     /*  608582 */     // GIR_Coverage, 11154,
     /*  608582 */     GIR_EraseRootFromParent_Done,
     /*  608583 */   // Label 9919: @608583
     /*  608583 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(608658), // Rule ID 11155 //
     /*  608588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  608599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  608608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608656 */     GIR_RootConstrainSelectedInstOperands,
     /*  608657 */     // GIR_Coverage, 11155,
     /*  608657 */     GIR_EraseRootFromParent_Done,
     /*  608658 */   // Label 9920: @608658
     /*  608658 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(608733), // Rule ID 11158 //
     /*  608663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  608674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  608683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608731 */     GIR_RootConstrainSelectedInstOperands,
     /*  608732 */     // GIR_Coverage, 11158,
     /*  608732 */     GIR_EraseRootFromParent_Done,
     /*  608733 */   // Label 9921: @608733
     /*  608733 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(608808), // Rule ID 11159 //
     /*  608738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  608749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  608758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608806 */     GIR_RootConstrainSelectedInstOperands,
     /*  608807 */     // GIR_Coverage, 11159,
     /*  608807 */     GIR_EraseRootFromParent_Done,
     /*  608808 */   // Label 9922: @608808
     /*  608808 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(608883), // Rule ID 11162 //
     /*  608813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  608824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  608833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  608859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608881 */     GIR_RootConstrainSelectedInstOperands,
     /*  608882 */     // GIR_Coverage, 11162,
     /*  608882 */     GIR_EraseRootFromParent_Done,
     /*  608883 */   // Label 9923: @608883
     /*  608883 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(608958), // Rule ID 11163 //
     /*  608888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  608899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  608908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  608934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  608937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608956 */     GIR_RootConstrainSelectedInstOperands,
     /*  608957 */     // GIR_Coverage, 11163,
     /*  608957 */     GIR_EraseRootFromParent_Done,
     /*  608958 */   // Label 9924: @608958
     /*  608958 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(609033), // Rule ID 11166 //
     /*  608963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  608971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  608974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  608983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609031 */     GIR_RootConstrainSelectedInstOperands,
     /*  609032 */     // GIR_Coverage, 11166,
     /*  609032 */     GIR_EraseRootFromParent_Done,
     /*  609033 */   // Label 9925: @609033
     /*  609033 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(609108), // Rule ID 11167 //
     /*  609038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  609049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  609058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609106 */     GIR_RootConstrainSelectedInstOperands,
     /*  609107 */     // GIR_Coverage, 11167,
     /*  609107 */     GIR_EraseRootFromParent_Done,
     /*  609108 */   // Label 9926: @609108
     /*  609108 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(609183), // Rule ID 11170 //
     /*  609113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609159 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  609162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609181 */     GIR_RootConstrainSelectedInstOperands,
     /*  609182 */     // GIR_Coverage, 11170,
     /*  609182 */     GIR_EraseRootFromParent_Done,
     /*  609183 */   // Label 9927: @609183
     /*  609183 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(609258), // Rule ID 11171 //
     /*  609188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  609237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609256 */     GIR_RootConstrainSelectedInstOperands,
     /*  609257 */     // GIR_Coverage, 11171,
     /*  609257 */     GIR_EraseRootFromParent_Done,
     /*  609258 */   // Label 9928: @609258
     /*  609258 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(609333), // Rule ID 11174 //
     /*  609263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  609274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  609283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  609312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609331 */     GIR_RootConstrainSelectedInstOperands,
     /*  609332 */     // GIR_Coverage, 11174,
     /*  609332 */     GIR_EraseRootFromParent_Done,
     /*  609333 */   // Label 9929: @609333
     /*  609333 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(609408), // Rule ID 11175 //
     /*  609338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  609349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  609358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609384 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  609387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609406 */     GIR_RootConstrainSelectedInstOperands,
     /*  609407 */     // GIR_Coverage, 11175,
     /*  609407 */     GIR_EraseRootFromParent_Done,
     /*  609408 */   // Label 9930: @609408
     /*  609408 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(609483), // Rule ID 11178 //
     /*  609413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  609424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  609433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609481 */     GIR_RootConstrainSelectedInstOperands,
     /*  609482 */     // GIR_Coverage, 11178,
     /*  609482 */     GIR_EraseRootFromParent_Done,
     /*  609483 */   // Label 9931: @609483
     /*  609483 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(609558), // Rule ID 11179 //
     /*  609488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  609499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  609508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609556 */     GIR_RootConstrainSelectedInstOperands,
     /*  609557 */     // GIR_Coverage, 11179,
     /*  609557 */     GIR_EraseRootFromParent_Done,
     /*  609558 */   // Label 9932: @609558
     /*  609558 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(609633), // Rule ID 11182 //
     /*  609563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  609574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  609583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  609612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609631 */     GIR_RootConstrainSelectedInstOperands,
     /*  609632 */     // GIR_Coverage, 11182,
     /*  609632 */     GIR_EraseRootFromParent_Done,
     /*  609633 */   // Label 9933: @609633
     /*  609633 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(609708), // Rule ID 11183 //
     /*  609638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  609649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  609658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  609687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609706 */     GIR_RootConstrainSelectedInstOperands,
     /*  609707 */     // GIR_Coverage, 11183,
     /*  609707 */     GIR_EraseRootFromParent_Done,
     /*  609708 */   // Label 9934: @609708
     /*  609708 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(609783), // Rule ID 11186 //
     /*  609713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  609724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  609733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  609762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609781 */     GIR_RootConstrainSelectedInstOperands,
     /*  609782 */     // GIR_Coverage, 11186,
     /*  609782 */     GIR_EraseRootFromParent_Done,
     /*  609783 */   // Label 9935: @609783
     /*  609783 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(609858), // Rule ID 11187 //
     /*  609788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  609799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  609808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  609837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609856 */     GIR_RootConstrainSelectedInstOperands,
     /*  609857 */     // GIR_Coverage, 11187,
     /*  609857 */     GIR_EraseRootFromParent_Done,
     /*  609858 */   // Label 9936: @609858
     /*  609858 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(609933), // Rule ID 11190 //
     /*  609863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  609874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  609877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  609880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  609883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  609909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609931 */     GIR_RootConstrainSelectedInstOperands,
     /*  609932 */     // GIR_Coverage, 11190,
     /*  609932 */     GIR_EraseRootFromParent_Done,
     /*  609933 */   // Label 9937: @609933
     /*  609933 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(610008), // Rule ID 11191 //
     /*  609938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  609946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  609949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  609952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  609955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  609958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  609984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  609987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610006 */     GIR_RootConstrainSelectedInstOperands,
     /*  610007 */     // GIR_Coverage, 11191,
     /*  610007 */     GIR_EraseRootFromParent_Done,
     /*  610008 */   // Label 9938: @610008
     /*  610008 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(610083), // Rule ID 11194 //
     /*  610013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  610024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  610033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  610062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610081 */     GIR_RootConstrainSelectedInstOperands,
     /*  610082 */     // GIR_Coverage, 11194,
     /*  610082 */     GIR_EraseRootFromParent_Done,
     /*  610083 */   // Label 9939: @610083
     /*  610083 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(610158), // Rule ID 11195 //
     /*  610088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  610099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  610108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  610137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610156 */     GIR_RootConstrainSelectedInstOperands,
     /*  610157 */     // GIR_Coverage, 11195,
     /*  610157 */     GIR_EraseRootFromParent_Done,
     /*  610158 */   // Label 9940: @610158
     /*  610158 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(610233), // Rule ID 11198 //
     /*  610163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  610212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610231 */     GIR_RootConstrainSelectedInstOperands,
     /*  610232 */     // GIR_Coverage, 11198,
     /*  610232 */     GIR_EraseRootFromParent_Done,
     /*  610233 */   // Label 9941: @610233
     /*  610233 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(610308), // Rule ID 11199 //
     /*  610238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  610287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610306 */     GIR_RootConstrainSelectedInstOperands,
     /*  610307 */     // GIR_Coverage, 11199,
     /*  610307 */     GIR_EraseRootFromParent_Done,
     /*  610308 */   // Label 9942: @610308
     /*  610308 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(610383), // Rule ID 11202 //
     /*  610313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  610324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  610330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  610362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610381 */     GIR_RootConstrainSelectedInstOperands,
     /*  610382 */     // GIR_Coverage, 11202,
     /*  610382 */     GIR_EraseRootFromParent_Done,
     /*  610383 */   // Label 9943: @610383
     /*  610383 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(610458), // Rule ID 11203 //
     /*  610388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  610399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  610405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  610437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610456 */     GIR_RootConstrainSelectedInstOperands,
     /*  610457 */     // GIR_Coverage, 11203,
     /*  610457 */     GIR_EraseRootFromParent_Done,
     /*  610458 */   // Label 9944: @610458
     /*  610458 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(610533), // Rule ID 11206 //
     /*  610463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  610474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  610477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  610480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  610512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610531 */     GIR_RootConstrainSelectedInstOperands,
     /*  610532 */     // GIR_Coverage, 11206,
     /*  610532 */     GIR_EraseRootFromParent_Done,
     /*  610533 */   // Label 9945: @610533
     /*  610533 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(610608), // Rule ID 11207 //
     /*  610538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  610549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  610552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  610555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  610587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610606 */     GIR_RootConstrainSelectedInstOperands,
     /*  610607 */     // GIR_Coverage, 11207,
     /*  610607 */     GIR_EraseRootFromParent_Done,
     /*  610608 */   // Label 9946: @610608
     /*  610608 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(610683), // Rule ID 11210 //
     /*  610613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  610624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  610630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  610662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610681 */     GIR_RootConstrainSelectedInstOperands,
     /*  610682 */     // GIR_Coverage, 11210,
     /*  610682 */     GIR_EraseRootFromParent_Done,
     /*  610683 */   // Label 9947: @610683
     /*  610683 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(610758), // Rule ID 11211 //
     /*  610688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  610699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  610705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  610737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610756 */     GIR_RootConstrainSelectedInstOperands,
     /*  610757 */     // GIR_Coverage, 11211,
     /*  610757 */     GIR_EraseRootFromParent_Done,
     /*  610758 */   // Label 9948: @610758
     /*  610758 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(610833), // Rule ID 11214 //
     /*  610763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  610774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  610780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  610812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610831 */     GIR_RootConstrainSelectedInstOperands,
     /*  610832 */     // GIR_Coverage, 11214,
     /*  610832 */     GIR_EraseRootFromParent_Done,
     /*  610833 */   // Label 9949: @610833
     /*  610833 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(610908), // Rule ID 11215 //
     /*  610838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  610849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  610855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  610887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610906 */     GIR_RootConstrainSelectedInstOperands,
     /*  610907 */     // GIR_Coverage, 11215,
     /*  610907 */     GIR_EraseRootFromParent_Done,
     /*  610908 */   // Label 9950: @610908
     /*  610908 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(610983), // Rule ID 11218 //
     /*  610913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  610924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  610930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  610962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610981 */     GIR_RootConstrainSelectedInstOperands,
     /*  610982 */     // GIR_Coverage, 11218,
     /*  610982 */     GIR_EraseRootFromParent_Done,
     /*  610983 */   // Label 9951: @610983
     /*  610983 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(611058), // Rule ID 11219 //
     /*  610988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  610996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  610999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  611002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  611005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  611034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  611037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611056 */     GIR_RootConstrainSelectedInstOperands,
     /*  611057 */     // GIR_Coverage, 11219,
     /*  611057 */     GIR_EraseRootFromParent_Done,
     /*  611058 */   // Label 9952: @611058
     /*  611058 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(611133), // Rule ID 11222 //
     /*  611063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  611074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  611080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  611109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  611112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611131 */     GIR_RootConstrainSelectedInstOperands,
     /*  611132 */     // GIR_Coverage, 11222,
     /*  611132 */     GIR_EraseRootFromParent_Done,
     /*  611133 */   // Label 9953: @611133
     /*  611133 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(611208), // Rule ID 11223 //
     /*  611138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  611149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  611155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  611184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  611187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611206 */     GIR_RootConstrainSelectedInstOperands,
     /*  611207 */     // GIR_Coverage, 11223,
     /*  611207 */     GIR_EraseRootFromParent_Done,
     /*  611208 */   // Label 9954: @611208
     /*  611208 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(611283), // Rule ID 11226 //
     /*  611213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  611224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  611230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611281 */     GIR_RootConstrainSelectedInstOperands,
     /*  611282 */     // GIR_Coverage, 11226,
     /*  611282 */     GIR_EraseRootFromParent_Done,
     /*  611283 */   // Label 9955: @611283
     /*  611283 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(611358), // Rule ID 11227 //
     /*  611288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  611299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  611305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611356 */     GIR_RootConstrainSelectedInstOperands,
     /*  611357 */     // GIR_Coverage, 11227,
     /*  611357 */     GIR_EraseRootFromParent_Done,
     /*  611358 */   // Label 9956: @611358
     /*  611358 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(611433), // Rule ID 11230 //
     /*  611363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  611374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  611380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  611409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611431 */     GIR_RootConstrainSelectedInstOperands,
     /*  611432 */     // GIR_Coverage, 11230,
     /*  611432 */     GIR_EraseRootFromParent_Done,
     /*  611433 */   // Label 9957: @611433
     /*  611433 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(611508), // Rule ID 11231 //
     /*  611438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  611449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  611455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  611484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611506 */     GIR_RootConstrainSelectedInstOperands,
     /*  611507 */     // GIR_Coverage, 11231,
     /*  611507 */     GIR_EraseRootFromParent_Done,
     /*  611508 */   // Label 9958: @611508
     /*  611508 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(611583), // Rule ID 11234 //
     /*  611513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  611524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  611527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  611530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  611559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611581 */     GIR_RootConstrainSelectedInstOperands,
     /*  611582 */     // GIR_Coverage, 11234,
     /*  611582 */     GIR_EraseRootFromParent_Done,
     /*  611583 */   // Label 9959: @611583
     /*  611583 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(611658), // Rule ID 11235 //
     /*  611588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  611599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  611602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  611605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  611634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  611637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611656 */     GIR_RootConstrainSelectedInstOperands,
     /*  611657 */     // GIR_Coverage, 11235,
     /*  611657 */     GIR_EraseRootFromParent_Done,
     /*  611658 */   // Label 9960: @611658
     /*  611658 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(611733), // Rule ID 11238 //
     /*  611663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  611674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  611680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  611712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611731 */     GIR_RootConstrainSelectedInstOperands,
     /*  611732 */     // GIR_Coverage, 11238,
     /*  611732 */     GIR_EraseRootFromParent_Done,
     /*  611733 */   // Label 9961: @611733
     /*  611733 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(611808), // Rule ID 11239 //
     /*  611738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  611749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  611755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  611787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611806 */     GIR_RootConstrainSelectedInstOperands,
     /*  611807 */     // GIR_Coverage, 11239,
     /*  611807 */     GIR_EraseRootFromParent_Done,
     /*  611808 */   // Label 9962: @611808
     /*  611808 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(611883), // Rule ID 11242 //
     /*  611813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  611824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  611830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611859 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  611862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611881 */     GIR_RootConstrainSelectedInstOperands,
     /*  611882 */     // GIR_Coverage, 11242,
     /*  611882 */     GIR_EraseRootFromParent_Done,
     /*  611883 */   // Label 9963: @611883
     /*  611883 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(611958), // Rule ID 11243 //
     /*  611888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  611899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  611905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611934 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  611937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611956 */     GIR_RootConstrainSelectedInstOperands,
     /*  611957 */     // GIR_Coverage, 11243,
     /*  611957 */     GIR_EraseRootFromParent_Done,
     /*  611958 */   // Label 9964: @611958
     /*  611958 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(612033), // Rule ID 11246 //
     /*  611963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  611971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  611974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  611980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612009 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  612009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612031 */     GIR_RootConstrainSelectedInstOperands,
     /*  612032 */     // GIR_Coverage, 11246,
     /*  612032 */     GIR_EraseRootFromParent_Done,
     /*  612033 */   // Label 9965: @612033
     /*  612033 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(612108), // Rule ID 11247 //
     /*  612038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  612049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  612052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  612055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612084 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  612084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612106 */     GIR_RootConstrainSelectedInstOperands,
     /*  612107 */     // GIR_Coverage, 11247,
     /*  612107 */     GIR_EraseRootFromParent_Done,
     /*  612108 */   // Label 9966: @612108
     /*  612108 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(612183), // Rule ID 11250 //
     /*  612113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  612124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  612130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  612162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612181 */     GIR_RootConstrainSelectedInstOperands,
     /*  612182 */     // GIR_Coverage, 11250,
     /*  612182 */     GIR_EraseRootFromParent_Done,
     /*  612183 */   // Label 9967: @612183
     /*  612183 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(612258), // Rule ID 11251 //
     /*  612188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  612199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  612205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  612237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612256 */     GIR_RootConstrainSelectedInstOperands,
     /*  612257 */     // GIR_Coverage, 11251,
     /*  612257 */     GIR_EraseRootFromParent_Done,
     /*  612258 */   // Label 9968: @612258
     /*  612258 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(612333), // Rule ID 11254 //
     /*  612263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  612274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  612280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  612312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612331 */     GIR_RootConstrainSelectedInstOperands,
     /*  612332 */     // GIR_Coverage, 11254,
     /*  612332 */     GIR_EraseRootFromParent_Done,
     /*  612333 */   // Label 9969: @612333
     /*  612333 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(612408), // Rule ID 11255 //
     /*  612338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  612349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  612355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  612387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612406 */     GIR_RootConstrainSelectedInstOperands,
     /*  612407 */     // GIR_Coverage, 11255,
     /*  612407 */     GIR_EraseRootFromParent_Done,
     /*  612408 */   // Label 9970: @612408
     /*  612408 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(612483), // Rule ID 11258 //
     /*  612413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  612424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  612427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  612430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612481 */     GIR_RootConstrainSelectedInstOperands,
     /*  612482 */     // GIR_Coverage, 11258,
     /*  612482 */     GIR_EraseRootFromParent_Done,
     /*  612483 */   // Label 9971: @612483
     /*  612483 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(612558), // Rule ID 11259 //
     /*  612488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  612499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  612502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  612505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612556 */     GIR_RootConstrainSelectedInstOperands,
     /*  612557 */     // GIR_Coverage, 11259,
     /*  612557 */     GIR_EraseRootFromParent_Done,
     /*  612558 */   // Label 9972: @612558
     /*  612558 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(612633), // Rule ID 11262 //
     /*  612563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  612574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  612580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  612612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612631 */     GIR_RootConstrainSelectedInstOperands,
     /*  612632 */     // GIR_Coverage, 11262,
     /*  612632 */     GIR_EraseRootFromParent_Done,
     /*  612633 */   // Label 9973: @612633
     /*  612633 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(612708), // Rule ID 11263 //
     /*  612638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  612649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  612655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  612687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612706 */     GIR_RootConstrainSelectedInstOperands,
     /*  612707 */     // GIR_Coverage, 11263,
     /*  612707 */     GIR_EraseRootFromParent_Done,
     /*  612708 */   // Label 9974: @612708
     /*  612708 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(612783), // Rule ID 11266 //
     /*  612713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  612724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  612730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  612762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612781 */     GIR_RootConstrainSelectedInstOperands,
     /*  612782 */     // GIR_Coverage, 11266,
     /*  612782 */     GIR_EraseRootFromParent_Done,
     /*  612783 */   // Label 9975: @612783
     /*  612783 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(612858), // Rule ID 11267 //
     /*  612788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  612799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  612805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  612837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612856 */     GIR_RootConstrainSelectedInstOperands,
     /*  612857 */     // GIR_Coverage, 11267,
     /*  612857 */     GIR_EraseRootFromParent_Done,
     /*  612858 */   // Label 9976: @612858
     /*  612858 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(612933), // Rule ID 11270 //
     /*  612863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  612874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  612880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612931 */     GIR_RootConstrainSelectedInstOperands,
     /*  612932 */     // GIR_Coverage, 11270,
     /*  612932 */     GIR_EraseRootFromParent_Done,
     /*  612933 */   // Label 9977: @612933
     /*  612933 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(613008), // Rule ID 11271 //
     /*  612938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  612949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  612955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  612987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613006 */     GIR_RootConstrainSelectedInstOperands,
     /*  613007 */     // GIR_Coverage, 11271,
     /*  613007 */     GIR_EraseRootFromParent_Done,
     /*  613008 */   // Label 9978: @613008
     /*  613008 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(613083), // Rule ID 11274 //
     /*  613013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  613024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  613027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  613030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  613033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  613062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613081 */     GIR_RootConstrainSelectedInstOperands,
     /*  613082 */     // GIR_Coverage, 11274,
     /*  613082 */     GIR_EraseRootFromParent_Done,
     /*  613083 */   // Label 9979: @613083
     /*  613083 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(613158), // Rule ID 11275 //
     /*  613088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  613099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  613102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  613105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  613108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  613137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613156 */     GIR_RootConstrainSelectedInstOperands,
     /*  613157 */     // GIR_Coverage, 11275,
     /*  613157 */     GIR_EraseRootFromParent_Done,
     /*  613158 */   // Label 9980: @613158
     /*  613158 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(613233), // Rule ID 11278 //
     /*  613163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  613212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613231 */     GIR_RootConstrainSelectedInstOperands,
     /*  613232 */     // GIR_Coverage, 11278,
     /*  613232 */     GIR_EraseRootFromParent_Done,
     /*  613233 */   // Label 9981: @613233
     /*  613233 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(613308), // Rule ID 11279 //
     /*  613238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  613287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613306 */     GIR_RootConstrainSelectedInstOperands,
     /*  613307 */     // GIR_Coverage, 11279,
     /*  613307 */     GIR_EraseRootFromParent_Done,
     /*  613308 */   // Label 9982: @613308
     /*  613308 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(613383), // Rule ID 11282 //
     /*  613313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613381 */     GIR_RootConstrainSelectedInstOperands,
     /*  613382 */     // GIR_Coverage, 11282,
     /*  613382 */     GIR_EraseRootFromParent_Done,
     /*  613383 */   // Label 9983: @613383
     /*  613383 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(613458), // Rule ID 11283 //
     /*  613388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613456 */     GIR_RootConstrainSelectedInstOperands,
     /*  613457 */     // GIR_Coverage, 11283,
     /*  613457 */     GIR_EraseRootFromParent_Done,
     /*  613458 */   // Label 9984: @613458
     /*  613458 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(613533), // Rule ID 11286 //
     /*  613463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  613512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613531 */     GIR_RootConstrainSelectedInstOperands,
     /*  613532 */     // GIR_Coverage, 11286,
     /*  613532 */     GIR_EraseRootFromParent_Done,
     /*  613533 */   // Label 9985: @613533
     /*  613533 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(613608), // Rule ID 11287 //
     /*  613538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  613587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613606 */     GIR_RootConstrainSelectedInstOperands,
     /*  613607 */     // GIR_Coverage, 11287,
     /*  613607 */     GIR_EraseRootFromParent_Done,
     /*  613608 */   // Label 9986: @613608
     /*  613608 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(613683), // Rule ID 11290 //
     /*  613613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613681 */     GIR_RootConstrainSelectedInstOperands,
     /*  613682 */     // GIR_Coverage, 11290,
     /*  613682 */     GIR_EraseRootFromParent_Done,
     /*  613683 */   // Label 9987: @613683
     /*  613683 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(613758), // Rule ID 11291 //
     /*  613688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613756 */     GIR_RootConstrainSelectedInstOperands,
     /*  613757 */     // GIR_Coverage, 11291,
     /*  613757 */     GIR_EraseRootFromParent_Done,
     /*  613758 */   // Label 9988: @613758
     /*  613758 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(613833), // Rule ID 11294 //
     /*  613763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  613809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613831 */     GIR_RootConstrainSelectedInstOperands,
     /*  613832 */     // GIR_Coverage, 11294,
     /*  613832 */     GIR_EraseRootFromParent_Done,
     /*  613833 */   // Label 9989: @613833
     /*  613833 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(613908), // Rule ID 11295 //
     /*  613838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  613884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  613887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613906 */     GIR_RootConstrainSelectedInstOperands,
     /*  613907 */     // GIR_Coverage, 11295,
     /*  613907 */     GIR_EraseRootFromParent_Done,
     /*  613908 */   // Label 9990: @613908
     /*  613908 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(613983), // Rule ID 11298 //
     /*  613913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  613933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  613962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613981 */     GIR_RootConstrainSelectedInstOperands,
     /*  613982 */     // GIR_Coverage, 11298,
     /*  613982 */     GIR_EraseRootFromParent_Done,
     /*  613983 */   // Label 9991: @613983
     /*  613983 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(614058), // Rule ID 11299 //
     /*  613988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  613996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  614002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  614005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  614008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  614037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614056 */     GIR_RootConstrainSelectedInstOperands,
     /*  614057 */     // GIR_Coverage, 11299,
     /*  614057 */     GIR_EraseRootFromParent_Done,
     /*  614058 */   // Label 9992: @614058
     /*  614058 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(614133), // Rule ID 11302 //
     /*  614063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  614074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  614083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  614112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614131 */     GIR_RootConstrainSelectedInstOperands,
     /*  614132 */     // GIR_Coverage, 11302,
     /*  614132 */     GIR_EraseRootFromParent_Done,
     /*  614133 */   // Label 9993: @614133
     /*  614133 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(614208), // Rule ID 11303 //
     /*  614138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  614149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  614158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  614187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614206 */     GIR_RootConstrainSelectedInstOperands,
     /*  614207 */     // GIR_Coverage, 11303,
     /*  614207 */     GIR_EraseRootFromParent_Done,
     /*  614208 */   // Label 9994: @614208
     /*  614208 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(614283), // Rule ID 11306 //
     /*  614213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  614262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614281 */     GIR_RootConstrainSelectedInstOperands,
     /*  614282 */     // GIR_Coverage, 11306,
     /*  614282 */     GIR_EraseRootFromParent_Done,
     /*  614283 */   // Label 9995: @614283
     /*  614283 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(614358), // Rule ID 11307 //
     /*  614288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  614337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614356 */     GIR_RootConstrainSelectedInstOperands,
     /*  614357 */     // GIR_Coverage, 11307,
     /*  614357 */     GIR_EraseRootFromParent_Done,
     /*  614358 */   // Label 9996: @614358
     /*  614358 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(614433), // Rule ID 11310 //
     /*  614363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614409 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  614412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614431 */     GIR_RootConstrainSelectedInstOperands,
     /*  614432 */     // GIR_Coverage, 11310,
     /*  614432 */     GIR_EraseRootFromParent_Done,
     /*  614433 */   // Label 9997: @614433
     /*  614433 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(614508), // Rule ID 11311 //
     /*  614438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  614487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614506 */     GIR_RootConstrainSelectedInstOperands,
     /*  614507 */     // GIR_Coverage, 11311,
     /*  614507 */     GIR_EraseRootFromParent_Done,
     /*  614508 */   // Label 9998: @614508
     /*  614508 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(614583), // Rule ID 11314 //
     /*  614513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  614562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614581 */     GIR_RootConstrainSelectedInstOperands,
     /*  614582 */     // GIR_Coverage, 11314,
     /*  614582 */     GIR_EraseRootFromParent_Done,
     /*  614583 */   // Label 9999: @614583
     /*  614583 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(614658), // Rule ID 11315 //
     /*  614588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  614637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614656 */     GIR_RootConstrainSelectedInstOperands,
     /*  614657 */     // GIR_Coverage, 11315,
     /*  614657 */     GIR_EraseRootFromParent_Done,
     /*  614658 */   // Label 10000: @614658
     /*  614658 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(614733), // Rule ID 11318 //
     /*  614663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614709 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  614712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614731 */     GIR_RootConstrainSelectedInstOperands,
     /*  614732 */     // GIR_Coverage, 11318,
     /*  614732 */     GIR_EraseRootFromParent_Done,
     /*  614733 */   // Label 10001: @614733
     /*  614733 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(614808), // Rule ID 11319 //
     /*  614738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  614787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614806 */     GIR_RootConstrainSelectedInstOperands,
     /*  614807 */     // GIR_Coverage, 11319,
     /*  614807 */     GIR_EraseRootFromParent_Done,
     /*  614808 */   // Label 10002: @614808
     /*  614808 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(614883), // Rule ID 11322 //
     /*  614813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  614862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614881 */     GIR_RootConstrainSelectedInstOperands,
     /*  614882 */     // GIR_Coverage, 11322,
     /*  614882 */     GIR_EraseRootFromParent_Done,
     /*  614883 */   // Label 10003: @614883
     /*  614883 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(614958), // Rule ID 11323 //
     /*  614888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  614937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614956 */     GIR_RootConstrainSelectedInstOperands,
     /*  614957 */     // GIR_Coverage, 11323,
     /*  614957 */     GIR_EraseRootFromParent_Done,
     /*  614958 */   // Label 10004: @614958
     /*  614958 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(615033), // Rule ID 11326 //
     /*  614963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  614971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  614974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  614983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615009 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  615012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615031 */     GIR_RootConstrainSelectedInstOperands,
     /*  615032 */     // GIR_Coverage, 11326,
     /*  615032 */     GIR_EraseRootFromParent_Done,
     /*  615033 */   // Label 10005: @615033
     /*  615033 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(615108), // Rule ID 11327 //
     /*  615038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  615049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  615052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  615055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  615058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  615087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615106 */     GIR_RootConstrainSelectedInstOperands,
     /*  615107 */     // GIR_Coverage, 11327,
     /*  615107 */     GIR_EraseRootFromParent_Done,
     /*  615108 */   // Label 10006: @615108
     /*  615108 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(615183), // Rule ID 11330 //
     /*  615113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615159 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  615162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615181 */     GIR_RootConstrainSelectedInstOperands,
     /*  615182 */     // GIR_Coverage, 11330,
     /*  615182 */     GIR_EraseRootFromParent_Done,
     /*  615183 */   // Label 10007: @615183
     /*  615183 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(615258), // Rule ID 11331 //
     /*  615188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  615237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615256 */     GIR_RootConstrainSelectedInstOperands,
     /*  615257 */     // GIR_Coverage, 11331,
     /*  615257 */     GIR_EraseRootFromParent_Done,
     /*  615258 */   // Label 10008: @615258
     /*  615258 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(615333), // Rule ID 11334 //
     /*  615263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  615312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615331 */     GIR_RootConstrainSelectedInstOperands,
     /*  615332 */     // GIR_Coverage, 11334,
     /*  615332 */     GIR_EraseRootFromParent_Done,
     /*  615333 */   // Label 10009: @615333
     /*  615333 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(615408), // Rule ID 11335 //
     /*  615338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  615387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615406 */     GIR_RootConstrainSelectedInstOperands,
     /*  615407 */     // GIR_Coverage, 11335,
     /*  615407 */     GIR_EraseRootFromParent_Done,
     /*  615408 */   // Label 10010: @615408
     /*  615408 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(615483), // Rule ID 11338 //
     /*  615413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  615462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615481 */     GIR_RootConstrainSelectedInstOperands,
     /*  615482 */     // GIR_Coverage, 11338,
     /*  615482 */     GIR_EraseRootFromParent_Done,
     /*  615483 */   // Label 10011: @615483
     /*  615483 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(615558), // Rule ID 11339 //
     /*  615488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  615537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615556 */     GIR_RootConstrainSelectedInstOperands,
     /*  615557 */     // GIR_Coverage, 11339,
     /*  615557 */     GIR_EraseRootFromParent_Done,
     /*  615558 */   // Label 10012: @615558
     /*  615558 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(615633), // Rule ID 11342 //
     /*  615563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615609 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  615612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615631 */     GIR_RootConstrainSelectedInstOperands,
     /*  615632 */     // GIR_Coverage, 11342,
     /*  615632 */     GIR_EraseRootFromParent_Done,
     /*  615633 */   // Label 10013: @615633
     /*  615633 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(615708), // Rule ID 11343 //
     /*  615638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  615687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615706 */     GIR_RootConstrainSelectedInstOperands,
     /*  615707 */     // GIR_Coverage, 11343,
     /*  615707 */     GIR_EraseRootFromParent_Done,
     /*  615708 */   // Label 10014: @615708
     /*  615708 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(615783), // Rule ID 11346 //
     /*  615713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  615733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  615762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615781 */     GIR_RootConstrainSelectedInstOperands,
     /*  615782 */     // GIR_Coverage, 11346,
     /*  615782 */     GIR_EraseRootFromParent_Done,
     /*  615783 */   // Label 10015: @615783
     /*  615783 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(615858), // Rule ID 11347 //
     /*  615788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  615808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  615837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615856 */     GIR_RootConstrainSelectedInstOperands,
     /*  615857 */     // GIR_Coverage, 11347,
     /*  615857 */     GIR_EraseRootFromParent_Done,
     /*  615858 */   // Label 10016: @615858
     /*  615858 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(615933), // Rule ID 11350 //
     /*  615863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  615883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615909 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  615912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615931 */     GIR_RootConstrainSelectedInstOperands,
     /*  615932 */     // GIR_Coverage, 11350,
     /*  615932 */     GIR_EraseRootFromParent_Done,
     /*  615933 */   // Label 10017: @615933
     /*  615933 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(616008), // Rule ID 11351 //
     /*  615938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  615946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  615958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  615987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616006 */     GIR_RootConstrainSelectedInstOperands,
     /*  616007 */     // GIR_Coverage, 11351,
     /*  616007 */     GIR_EraseRootFromParent_Done,
     /*  616008 */   // Label 10018: @616008
     /*  616008 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(616083), // Rule ID 11354 //
     /*  616013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  616024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  616030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616081 */     GIR_RootConstrainSelectedInstOperands,
     /*  616082 */     // GIR_Coverage, 11354,
     /*  616082 */     GIR_EraseRootFromParent_Done,
     /*  616083 */   // Label 10019: @616083
     /*  616083 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(616158), // Rule ID 11355 //
     /*  616088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  616099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  616105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616156 */     GIR_RootConstrainSelectedInstOperands,
     /*  616157 */     // GIR_Coverage, 11355,
     /*  616157 */     GIR_EraseRootFromParent_Done,
     /*  616158 */   // Label 10020: @616158
     /*  616158 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(616233), // Rule ID 11358 //
     /*  616163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  616212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616231 */     GIR_RootConstrainSelectedInstOperands,
     /*  616232 */     // GIR_Coverage, 11358,
     /*  616232 */     GIR_EraseRootFromParent_Done,
     /*  616233 */   // Label 10021: @616233
     /*  616233 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(616308), // Rule ID 11359 //
     /*  616238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  616287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616306 */     GIR_RootConstrainSelectedInstOperands,
     /*  616307 */     // GIR_Coverage, 11359,
     /*  616307 */     GIR_EraseRootFromParent_Done,
     /*  616308 */   // Label 10022: @616308
     /*  616308 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(616383), // Rule ID 11362 //
     /*  616313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616381 */     GIR_RootConstrainSelectedInstOperands,
     /*  616382 */     // GIR_Coverage, 11362,
     /*  616382 */     GIR_EraseRootFromParent_Done,
     /*  616383 */   // Label 10023: @616383
     /*  616383 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(616458), // Rule ID 11363 //
     /*  616388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616456 */     GIR_RootConstrainSelectedInstOperands,
     /*  616457 */     // GIR_Coverage, 11363,
     /*  616457 */     GIR_EraseRootFromParent_Done,
     /*  616458 */   // Label 10024: @616458
     /*  616458 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(616533), // Rule ID 11366 //
     /*  616463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  616480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616531 */     GIR_RootConstrainSelectedInstOperands,
     /*  616532 */     // GIR_Coverage, 11366,
     /*  616532 */     GIR_EraseRootFromParent_Done,
     /*  616533 */   // Label 10025: @616533
     /*  616533 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(616608), // Rule ID 11367 //
     /*  616538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  616555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  616587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616606 */     GIR_RootConstrainSelectedInstOperands,
     /*  616607 */     // GIR_Coverage, 11367,
     /*  616607 */     GIR_EraseRootFromParent_Done,
     /*  616608 */   // Label 10026: @616608
     /*  616608 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(616683), // Rule ID 11370 //
     /*  616613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  616662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616681 */     GIR_RootConstrainSelectedInstOperands,
     /*  616682 */     // GIR_Coverage, 11370,
     /*  616682 */     GIR_EraseRootFromParent_Done,
     /*  616683 */   // Label 10027: @616683
     /*  616683 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(616758), // Rule ID 11371 //
     /*  616688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  616737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616756 */     GIR_RootConstrainSelectedInstOperands,
     /*  616757 */     // GIR_Coverage, 11371,
     /*  616757 */     GIR_EraseRootFromParent_Done,
     /*  616758 */   // Label 10028: @616758
     /*  616758 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(616833), // Rule ID 11374 //
     /*  616763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  616812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616831 */     GIR_RootConstrainSelectedInstOperands,
     /*  616832 */     // GIR_Coverage, 11374,
     /*  616832 */     GIR_EraseRootFromParent_Done,
     /*  616833 */   // Label 10029: @616833
     /*  616833 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(616908), // Rule ID 11375 //
     /*  616838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  616887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616906 */     GIR_RootConstrainSelectedInstOperands,
     /*  616907 */     // GIR_Coverage, 11375,
     /*  616907 */     GIR_EraseRootFromParent_Done,
     /*  616908 */   // Label 10030: @616908
     /*  616908 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(616983), // Rule ID 11378 //
     /*  616913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  616962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616981 */     GIR_RootConstrainSelectedInstOperands,
     /*  616982 */     // GIR_Coverage, 11378,
     /*  616982 */     GIR_EraseRootFromParent_Done,
     /*  616983 */   // Label 10031: @616983
     /*  616983 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(617058), // Rule ID 11379 //
     /*  616988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  616996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  617002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  617005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  617037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617056 */     GIR_RootConstrainSelectedInstOperands,
     /*  617057 */     // GIR_Coverage, 11379,
     /*  617057 */     GIR_EraseRootFromParent_Done,
     /*  617058 */   // Label 10032: @617058
     /*  617058 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(617133), // Rule ID 11382 //
     /*  617063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  617074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  617080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  617112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617131 */     GIR_RootConstrainSelectedInstOperands,
     /*  617132 */     // GIR_Coverage, 11382,
     /*  617132 */     GIR_EraseRootFromParent_Done,
     /*  617133 */   // Label 10033: @617133
     /*  617133 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(617208), // Rule ID 11383 //
     /*  617138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  617149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  617155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  617187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617206 */     GIR_RootConstrainSelectedInstOperands,
     /*  617207 */     // GIR_Coverage, 11383,
     /*  617207 */     GIR_EraseRootFromParent_Done,
     /*  617208 */   // Label 10034: @617208
     /*  617208 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(617283), // Rule ID 11386 //
     /*  617213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  617262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617281 */     GIR_RootConstrainSelectedInstOperands,
     /*  617282 */     // GIR_Coverage, 11386,
     /*  617282 */     GIR_EraseRootFromParent_Done,
     /*  617283 */   // Label 10035: @617283
     /*  617283 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(617358), // Rule ID 11387 //
     /*  617288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  617337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617356 */     GIR_RootConstrainSelectedInstOperands,
     /*  617357 */     // GIR_Coverage, 11387,
     /*  617357 */     GIR_EraseRootFromParent_Done,
     /*  617358 */   // Label 10036: @617358
     /*  617358 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(617433), // Rule ID 11390 //
     /*  617363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617409 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  617412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617431 */     GIR_RootConstrainSelectedInstOperands,
     /*  617432 */     // GIR_Coverage, 11390,
     /*  617432 */     GIR_EraseRootFromParent_Done,
     /*  617433 */   // Label 10037: @617433
     /*  617433 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(617508), // Rule ID 11391 //
     /*  617438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617484 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  617487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617506 */     GIR_RootConstrainSelectedInstOperands,
     /*  617507 */     // GIR_Coverage, 11391,
     /*  617507 */     GIR_EraseRootFromParent_Done,
     /*  617508 */   // Label 10038: @617508
     /*  617508 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(617583), // Rule ID 11394 //
     /*  617513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  617562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617581 */     GIR_RootConstrainSelectedInstOperands,
     /*  617582 */     // GIR_Coverage, 11394,
     /*  617582 */     GIR_EraseRootFromParent_Done,
     /*  617583 */   // Label 10039: @617583
     /*  617583 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(617658), // Rule ID 11395 //
     /*  617588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  617637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617656 */     GIR_RootConstrainSelectedInstOperands,
     /*  617657 */     // GIR_Coverage, 11395,
     /*  617657 */     GIR_EraseRootFromParent_Done,
     /*  617658 */   // Label 10040: @617658
     /*  617658 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(617733), // Rule ID 11398 //
     /*  617663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617709 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  617712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617731 */     GIR_RootConstrainSelectedInstOperands,
     /*  617732 */     // GIR_Coverage, 11398,
     /*  617732 */     GIR_EraseRootFromParent_Done,
     /*  617733 */   // Label 10041: @617733
     /*  617733 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(617808), // Rule ID 11399 //
     /*  617738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  617787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617806 */     GIR_RootConstrainSelectedInstOperands,
     /*  617807 */     // GIR_Coverage, 11399,
     /*  617807 */     GIR_EraseRootFromParent_Done,
     /*  617808 */   // Label 10042: @617808
     /*  617808 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(617883), // Rule ID 11402 //
     /*  617813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  617862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617881 */     GIR_RootConstrainSelectedInstOperands,
     /*  617882 */     // GIR_Coverage, 11402,
     /*  617882 */     GIR_EraseRootFromParent_Done,
     /*  617883 */   // Label 10043: @617883
     /*  617883 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(617958), // Rule ID 11403 //
     /*  617888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  617937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617956 */     GIR_RootConstrainSelectedInstOperands,
     /*  617957 */     // GIR_Coverage, 11403,
     /*  617957 */     GIR_EraseRootFromParent_Done,
     /*  617958 */   // Label 10044: @617958
     /*  617958 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(618033), // Rule ID 11406 //
     /*  617963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  617971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618009 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  618012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618031 */     GIR_RootConstrainSelectedInstOperands,
     /*  618032 */     // GIR_Coverage, 11406,
     /*  618032 */     GIR_EraseRootFromParent_Done,
     /*  618033 */   // Label 10045: @618033
     /*  618033 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(618108), // Rule ID 11407 //
     /*  618038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  618049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  618055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  618087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618106 */     GIR_RootConstrainSelectedInstOperands,
     /*  618107 */     // GIR_Coverage, 11407,
     /*  618107 */     GIR_EraseRootFromParent_Done,
     /*  618108 */   // Label 10046: @618108
     /*  618108 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(618183), // Rule ID 11410 //
     /*  618113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  618162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618181 */     GIR_RootConstrainSelectedInstOperands,
     /*  618182 */     // GIR_Coverage, 11410,
     /*  618182 */     GIR_EraseRootFromParent_Done,
     /*  618183 */   // Label 10047: @618183
     /*  618183 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(618258), // Rule ID 11411 //
     /*  618188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  618237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618256 */     GIR_RootConstrainSelectedInstOperands,
     /*  618257 */     // GIR_Coverage, 11411,
     /*  618257 */     GIR_EraseRootFromParent_Done,
     /*  618258 */   // Label 10048: @618258
     /*  618258 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(618333), // Rule ID 11414 //
     /*  618263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  618312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618331 */     GIR_RootConstrainSelectedInstOperands,
     /*  618332 */     // GIR_Coverage, 11414,
     /*  618332 */     GIR_EraseRootFromParent_Done,
     /*  618333 */   // Label 10049: @618333
     /*  618333 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(618408), // Rule ID 11415 //
     /*  618338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  618387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618406 */     GIR_RootConstrainSelectedInstOperands,
     /*  618407 */     // GIR_Coverage, 11415,
     /*  618407 */     GIR_EraseRootFromParent_Done,
     /*  618408 */   // Label 10050: @618408
     /*  618408 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(618483), // Rule ID 11418 //
     /*  618413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  618416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  618433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  618462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618481 */     GIR_RootConstrainSelectedInstOperands,
     /*  618482 */     // GIR_Coverage, 11418,
     /*  618482 */     GIR_EraseRootFromParent_Done,
     /*  618483 */   // Label 10051: @618483
     /*  618483 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(618558), // Rule ID 11419 //
     /*  618488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  618491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  618499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  618502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  618505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  618508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  618537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618556 */     GIR_RootConstrainSelectedInstOperands,
     /*  618557 */     // GIR_Coverage, 11419,
     /*  618557 */     GIR_EraseRootFromParent_Done,
     /*  618558 */   // Label 10052: @618558
     /*  618558 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(618633), // Rule ID 11422 //
     /*  618563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  618566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  618574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  618580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  618583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  618612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618631 */     GIR_RootConstrainSelectedInstOperands,
     /*  618632 */     // GIR_Coverage, 11422,
     /*  618632 */     GIR_EraseRootFromParent_Done,
     /*  618633 */   // Label 10053: @618633
     /*  618633 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(618708), // Rule ID 11423 //
     /*  618638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  618641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  618649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  618655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  618658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  618687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618706 */     GIR_RootConstrainSelectedInstOperands,
     /*  618707 */     // GIR_Coverage, 11423,
     /*  618707 */     GIR_EraseRootFromParent_Done,
     /*  618708 */   // Label 10054: @618708
     /*  618708 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(618783), // Rule ID 11426 //
     /*  618713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  618716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  618724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  618730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  618733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  618762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618781 */     GIR_RootConstrainSelectedInstOperands,
     /*  618782 */     // GIR_Coverage, 11426,
     /*  618782 */     GIR_EraseRootFromParent_Done,
     /*  618783 */   // Label 10055: @618783
     /*  618783 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(618858), // Rule ID 11427 //
     /*  618788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  618791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  618799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  618802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  618805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  618808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  618837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618856 */     GIR_RootConstrainSelectedInstOperands,
     /*  618857 */     // GIR_Coverage, 11427,
     /*  618857 */     GIR_EraseRootFromParent_Done,
     /*  618858 */   // Label 10056: @618858
     /*  618858 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(618933), // Rule ID 11430 //
     /*  618863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  618866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  618874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  618880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  618883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  618909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  618912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618931 */     GIR_RootConstrainSelectedInstOperands,
     /*  618932 */     // GIR_Coverage, 11430,
     /*  618932 */     GIR_EraseRootFromParent_Done,
     /*  618933 */   // Label 10057: @618933
     /*  618933 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(619008), // Rule ID 11431 //
     /*  618938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  618941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  618946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  618949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  618952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  618955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  618958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  618987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619006 */     GIR_RootConstrainSelectedInstOperands,
     /*  619007 */     // GIR_Coverage, 11431,
     /*  619007 */     GIR_EraseRootFromParent_Done,
     /*  619008 */   // Label 10058: @619008
     /*  619008 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(619083), // Rule ID 11434 //
     /*  619013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  619062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619081 */     GIR_RootConstrainSelectedInstOperands,
     /*  619082 */     // GIR_Coverage, 11434,
     /*  619082 */     GIR_EraseRootFromParent_Done,
     /*  619083 */   // Label 10059: @619083
     /*  619083 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(619158), // Rule ID 11435 //
     /*  619088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  619137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619156 */     GIR_RootConstrainSelectedInstOperands,
     /*  619157 */     // GIR_Coverage, 11435,
     /*  619157 */     GIR_EraseRootFromParent_Done,
     /*  619158 */   // Label 10060: @619158
     /*  619158 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(619233), // Rule ID 11438 //
     /*  619163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  619212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619231 */     GIR_RootConstrainSelectedInstOperands,
     /*  619232 */     // GIR_Coverage, 11438,
     /*  619232 */     GIR_EraseRootFromParent_Done,
     /*  619233 */   // Label 10061: @619233
     /*  619233 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(619308), // Rule ID 11439 //
     /*  619238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  619287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619306 */     GIR_RootConstrainSelectedInstOperands,
     /*  619307 */     // GIR_Coverage, 11439,
     /*  619307 */     GIR_EraseRootFromParent_Done,
     /*  619308 */   // Label 10062: @619308
     /*  619308 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(619383), // Rule ID 11442 //
     /*  619313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  619330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  619362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619381 */     GIR_RootConstrainSelectedInstOperands,
     /*  619382 */     // GIR_Coverage, 11442,
     /*  619382 */     GIR_EraseRootFromParent_Done,
     /*  619383 */   // Label 10063: @619383
     /*  619383 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(619458), // Rule ID 11443 //
     /*  619388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  619405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  619437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619456 */     GIR_RootConstrainSelectedInstOperands,
     /*  619457 */     // GIR_Coverage, 11443,
     /*  619457 */     GIR_EraseRootFromParent_Done,
     /*  619458 */   // Label 10064: @619458
     /*  619458 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(619533), // Rule ID 11446 //
     /*  619463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  619474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  619480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  619512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619531 */     GIR_RootConstrainSelectedInstOperands,
     /*  619532 */     // GIR_Coverage, 11446,
     /*  619532 */     GIR_EraseRootFromParent_Done,
     /*  619533 */   // Label 10065: @619533
     /*  619533 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(619608), // Rule ID 11447 //
     /*  619538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  619546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  619549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  619555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  619587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619606 */     GIR_RootConstrainSelectedInstOperands,
     /*  619607 */     // GIR_Coverage, 11447,
     /*  619607 */     GIR_EraseRootFromParent_Done,
     /*  619608 */   // Label 10066: @619608
     /*  619608 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(619683), // Rule ID 11450 //
     /*  619613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  619633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  619662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619681 */     GIR_RootConstrainSelectedInstOperands,
     /*  619682 */     // GIR_Coverage, 11450,
     /*  619682 */     GIR_EraseRootFromParent_Done,
     /*  619683 */   // Label 10067: @619683
     /*  619683 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(619758), // Rule ID 11451 //
     /*  619688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  619708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  619737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619756 */     GIR_RootConstrainSelectedInstOperands,
     /*  619757 */     // GIR_Coverage, 11451,
     /*  619757 */     GIR_EraseRootFromParent_Done,
     /*  619758 */   // Label 10068: @619758
     /*  619758 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(619833), // Rule ID 11454 //
     /*  619763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  619783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  619812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619831 */     GIR_RootConstrainSelectedInstOperands,
     /*  619832 */     // GIR_Coverage, 11454,
     /*  619832 */     GIR_EraseRootFromParent_Done,
     /*  619833 */   // Label 10069: @619833
     /*  619833 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(619908), // Rule ID 11455 //
     /*  619838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  619858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  619887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619906 */     GIR_RootConstrainSelectedInstOperands,
     /*  619907 */     // GIR_Coverage, 11455,
     /*  619907 */     GIR_EraseRootFromParent_Done,
     /*  619908 */   // Label 10070: @619908
     /*  619908 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(619983), // Rule ID 11458 //
     /*  619913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  619916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  619930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  619933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  619962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619981 */     GIR_RootConstrainSelectedInstOperands,
     /*  619982 */     // GIR_Coverage, 11458,
     /*  619982 */     GIR_EraseRootFromParent_Done,
     /*  619983 */   // Label 10071: @619983
     /*  619983 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(620058), // Rule ID 11459 //
     /*  619988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  619991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  619996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  620008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  620037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620056 */     GIR_RootConstrainSelectedInstOperands,
     /*  620057 */     // GIR_Coverage, 11459,
     /*  620057 */     GIR_EraseRootFromParent_Done,
     /*  620058 */   // Label 10072: @620058
     /*  620058 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(620133), // Rule ID 11462 //
     /*  620063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  620083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  620112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620131 */     GIR_RootConstrainSelectedInstOperands,
     /*  620132 */     // GIR_Coverage, 11462,
     /*  620132 */     GIR_EraseRootFromParent_Done,
     /*  620133 */   // Label 10073: @620133
     /*  620133 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(620208), // Rule ID 11463 //
     /*  620138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  620158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  620187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620206 */     GIR_RootConstrainSelectedInstOperands,
     /*  620207 */     // GIR_Coverage, 11463,
     /*  620207 */     GIR_EraseRootFromParent_Done,
     /*  620208 */   // Label 10074: @620208
     /*  620208 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(620283), // Rule ID 11466 //
     /*  620213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  620262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620281 */     GIR_RootConstrainSelectedInstOperands,
     /*  620282 */     // GIR_Coverage, 11466,
     /*  620282 */     GIR_EraseRootFromParent_Done,
     /*  620283 */   // Label 10075: @620283
     /*  620283 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(620358), // Rule ID 11467 //
     /*  620288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  620337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620356 */     GIR_RootConstrainSelectedInstOperands,
     /*  620357 */     // GIR_Coverage, 11467,
     /*  620357 */     GIR_EraseRootFromParent_Done,
     /*  620358 */   // Label 10076: @620358
     /*  620358 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(620433), // Rule ID 11470 //
     /*  620363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  620412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620431 */     GIR_RootConstrainSelectedInstOperands,
     /*  620432 */     // GIR_Coverage, 11470,
     /*  620432 */     GIR_EraseRootFromParent_Done,
     /*  620433 */   // Label 10077: @620433
     /*  620433 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(620508), // Rule ID 11471 //
     /*  620438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  620487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620506 */     GIR_RootConstrainSelectedInstOperands,
     /*  620507 */     // GIR_Coverage, 11471,
     /*  620507 */     GIR_EraseRootFromParent_Done,
     /*  620508 */   // Label 10078: @620508
     /*  620508 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(620583), // Rule ID 11474 //
     /*  620513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  620562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620581 */     GIR_RootConstrainSelectedInstOperands,
     /*  620582 */     // GIR_Coverage, 11474,
     /*  620582 */     GIR_EraseRootFromParent_Done,
     /*  620583 */   // Label 10079: @620583
     /*  620583 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(620658), // Rule ID 11475 //
     /*  620588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  620599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  620602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  620605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  620637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620656 */     GIR_RootConstrainSelectedInstOperands,
     /*  620657 */     // GIR_Coverage, 11475,
     /*  620657 */     GIR_EraseRootFromParent_Done,
     /*  620658 */   // Label 10080: @620658
     /*  620658 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(620733), // Rule ID 11478 //
     /*  620663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  620712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620731 */     GIR_RootConstrainSelectedInstOperands,
     /*  620732 */     // GIR_Coverage, 11478,
     /*  620732 */     GIR_EraseRootFromParent_Done,
     /*  620733 */   // Label 10081: @620733
     /*  620733 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(620808), // Rule ID 11479 //
     /*  620738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  620746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  620749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  620752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  620755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  620787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620806 */     GIR_RootConstrainSelectedInstOperands,
     /*  620807 */     // GIR_Coverage, 11479,
     /*  620807 */     GIR_EraseRootFromParent_Done,
     /*  620808 */   // Label 10082: @620808
     /*  620808 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(620883), // Rule ID 11482 //
     /*  620813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  620862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620881 */     GIR_RootConstrainSelectedInstOperands,
     /*  620882 */     // GIR_Coverage, 11482,
     /*  620882 */     GIR_EraseRootFromParent_Done,
     /*  620883 */   // Label 10083: @620883
     /*  620883 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(620958), // Rule ID 11483 //
     /*  620888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  620891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  620937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620956 */     GIR_RootConstrainSelectedInstOperands,
     /*  620957 */     // GIR_Coverage, 11483,
     /*  620957 */     GIR_EraseRootFromParent_Done,
     /*  620958 */   // Label 10084: @620958
     /*  620958 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(621033), // Rule ID 11486 //
     /*  620963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  620966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  620983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  621012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621031 */     GIR_RootConstrainSelectedInstOperands,
     /*  621032 */     // GIR_Coverage, 11486,
     /*  621032 */     GIR_EraseRootFromParent_Done,
     /*  621033 */   // Label 10085: @621033
     /*  621033 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(621108), // Rule ID 11487 //
     /*  621038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  621058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  621087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621106 */     GIR_RootConstrainSelectedInstOperands,
     /*  621107 */     // GIR_Coverage, 11487,
     /*  621107 */     GIR_EraseRootFromParent_Done,
     /*  621108 */   // Label 10086: @621108
     /*  621108 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(621183), // Rule ID 11490 //
     /*  621113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  621162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621181 */     GIR_RootConstrainSelectedInstOperands,
     /*  621182 */     // GIR_Coverage, 11490,
     /*  621182 */     GIR_EraseRootFromParent_Done,
     /*  621183 */   // Label 10087: @621183
     /*  621183 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(621258), // Rule ID 11491 //
     /*  621188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  621208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  621237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621256 */     GIR_RootConstrainSelectedInstOperands,
     /*  621257 */     // GIR_Coverage, 11491,
     /*  621257 */     GIR_EraseRootFromParent_Done,
     /*  621258 */   // Label 10088: @621258
     /*  621258 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(621333), // Rule ID 11494 //
     /*  621263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  621283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  621312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621331 */     GIR_RootConstrainSelectedInstOperands,
     /*  621332 */     // GIR_Coverage, 11494,
     /*  621332 */     GIR_EraseRootFromParent_Done,
     /*  621333 */   // Label 10089: @621333
     /*  621333 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(621408), // Rule ID 11495 //
     /*  621338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  621358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  621387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621406 */     GIR_RootConstrainSelectedInstOperands,
     /*  621407 */     // GIR_Coverage, 11495,
     /*  621407 */     GIR_EraseRootFromParent_Done,
     /*  621408 */   // Label 10090: @621408
     /*  621408 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(621483), // Rule ID 11498 //
     /*  621413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  621424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  621427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  621430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  621462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621481 */     GIR_RootConstrainSelectedInstOperands,
     /*  621482 */     // GIR_Coverage, 11498,
     /*  621482 */     GIR_EraseRootFromParent_Done,
     /*  621483 */   // Label 10091: @621483
     /*  621483 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(621558), // Rule ID 11499 //
     /*  621488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  621499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  621502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  621505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  621537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621556 */     GIR_RootConstrainSelectedInstOperands,
     /*  621557 */     // GIR_Coverage, 11499,
     /*  621557 */     GIR_EraseRootFromParent_Done,
     /*  621558 */   // Label 10092: @621558
     /*  621558 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(621633), // Rule ID 11502 //
     /*  621563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  621612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621631 */     GIR_RootConstrainSelectedInstOperands,
     /*  621632 */     // GIR_Coverage, 11502,
     /*  621632 */     GIR_EraseRootFromParent_Done,
     /*  621633 */   // Label 10093: @621633
     /*  621633 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(621708), // Rule ID 11503 //
     /*  621638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  621649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  621652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  621655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  621687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621706 */     GIR_RootConstrainSelectedInstOperands,
     /*  621707 */     // GIR_Coverage, 11503,
     /*  621707 */     GIR_EraseRootFromParent_Done,
     /*  621708 */   // Label 10094: @621708
     /*  621708 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(621783), // Rule ID 11506 //
     /*  621713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  621762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621781 */     GIR_RootConstrainSelectedInstOperands,
     /*  621782 */     // GIR_Coverage, 11506,
     /*  621782 */     GIR_EraseRootFromParent_Done,
     /*  621783 */   // Label 10095: @621783
     /*  621783 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(621858), // Rule ID 11507 //
     /*  621788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  621837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621856 */     GIR_RootConstrainSelectedInstOperands,
     /*  621857 */     // GIR_Coverage, 11507,
     /*  621857 */     GIR_EraseRootFromParent_Done,
     /*  621858 */   // Label 10096: @621858
     /*  621858 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(621933), // Rule ID 11510 //
     /*  621863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  621866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  621912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621931 */     GIR_RootConstrainSelectedInstOperands,
     /*  621932 */     // GIR_Coverage, 11510,
     /*  621932 */     GIR_EraseRootFromParent_Done,
     /*  621933 */   // Label 10097: @621933
     /*  621933 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(622008), // Rule ID 11511 //
     /*  621938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  621941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  621987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622006 */     GIR_RootConstrainSelectedInstOperands,
     /*  622007 */     // GIR_Coverage, 11511,
     /*  622007 */     GIR_EraseRootFromParent_Done,
     /*  622008 */   // Label 10098: @622008
     /*  622008 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(622083), // Rule ID 11514 //
     /*  622013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  622033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  622062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622081 */     GIR_RootConstrainSelectedInstOperands,
     /*  622082 */     // GIR_Coverage, 11514,
     /*  622082 */     GIR_EraseRootFromParent_Done,
     /*  622083 */   // Label 10099: @622083
     /*  622083 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(622158), // Rule ID 11515 //
     /*  622088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  622108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  622137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622156 */     GIR_RootConstrainSelectedInstOperands,
     /*  622157 */     // GIR_Coverage, 11515,
     /*  622157 */     GIR_EraseRootFromParent_Done,
     /*  622158 */   // Label 10100: @622158
     /*  622158 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(622233), // Rule ID 11518 //
     /*  622163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  622183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  622212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622231 */     GIR_RootConstrainSelectedInstOperands,
     /*  622232 */     // GIR_Coverage, 11518,
     /*  622232 */     GIR_EraseRootFromParent_Done,
     /*  622233 */   // Label 10101: @622233
     /*  622233 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(622308), // Rule ID 11519 //
     /*  622238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  622258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  622287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622306 */     GIR_RootConstrainSelectedInstOperands,
     /*  622307 */     // GIR_Coverage, 11519,
     /*  622307 */     GIR_EraseRootFromParent_Done,
     /*  622308 */   // Label 10102: @622308
     /*  622308 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(622383), // Rule ID 11522 //
     /*  622313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  622333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  622362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622381 */     GIR_RootConstrainSelectedInstOperands,
     /*  622382 */     // GIR_Coverage, 11522,
     /*  622382 */     GIR_EraseRootFromParent_Done,
     /*  622383 */   // Label 10103: @622383
     /*  622383 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(622458), // Rule ID 11523 //
     /*  622388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  622408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  622437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622456 */     GIR_RootConstrainSelectedInstOperands,
     /*  622457 */     // GIR_Coverage, 11523,
     /*  622457 */     GIR_EraseRootFromParent_Done,
     /*  622458 */   // Label 10104: @622458
     /*  622458 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(622533), // Rule ID 11526 //
     /*  622463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  622483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622509 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  622512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622531 */     GIR_RootConstrainSelectedInstOperands,
     /*  622532 */     // GIR_Coverage, 11526,
     /*  622532 */     GIR_EraseRootFromParent_Done,
     /*  622533 */   // Label 10105: @622533
     /*  622533 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(622608), // Rule ID 11527 //
     /*  622538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  622549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  622552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  622555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  622558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  622587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622606 */     GIR_RootConstrainSelectedInstOperands,
     /*  622607 */     // GIR_Coverage, 11527,
     /*  622607 */     GIR_EraseRootFromParent_Done,
     /*  622608 */   // Label 10106: @622608
     /*  622608 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(622683), // Rule ID 11530 //
     /*  622613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  622633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  622662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622681 */     GIR_RootConstrainSelectedInstOperands,
     /*  622682 */     // GIR_Coverage, 11530,
     /*  622682 */     GIR_EraseRootFromParent_Done,
     /*  622683 */   // Label 10107: @622683
     /*  622683 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(622758), // Rule ID 11531 //
     /*  622688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  622708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  622737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622756 */     GIR_RootConstrainSelectedInstOperands,
     /*  622757 */     // GIR_Coverage, 11531,
     /*  622757 */     GIR_EraseRootFromParent_Done,
     /*  622758 */   // Label 10108: @622758
     /*  622758 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(622833), // Rule ID 11534 //
     /*  622763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  622812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622831 */     GIR_RootConstrainSelectedInstOperands,
     /*  622832 */     // GIR_Coverage, 11534,
     /*  622832 */     GIR_EraseRootFromParent_Done,
     /*  622833 */   // Label 10109: @622833
     /*  622833 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(622908), // Rule ID 11535 //
     /*  622838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  622887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622906 */     GIR_RootConstrainSelectedInstOperands,
     /*  622907 */     // GIR_Coverage, 11535,
     /*  622907 */     GIR_EraseRootFromParent_Done,
     /*  622908 */   // Label 10110: @622908
     /*  622908 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(622983), // Rule ID 11538 //
     /*  622913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  622962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622981 */     GIR_RootConstrainSelectedInstOperands,
     /*  622982 */     // GIR_Coverage, 11538,
     /*  622982 */     GIR_EraseRootFromParent_Done,
     /*  622983 */   // Label 10111: @622983
     /*  622983 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(623058), // Rule ID 11539 //
     /*  622988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  622996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  623008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  623037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623056 */     GIR_RootConstrainSelectedInstOperands,
     /*  623057 */     // GIR_Coverage, 11539,
     /*  623057 */     GIR_EraseRootFromParent_Done,
     /*  623058 */   // Label 10112: @623058
     /*  623058 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(623133), // Rule ID 11542 //
     /*  623063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  623083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  623112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623131 */     GIR_RootConstrainSelectedInstOperands,
     /*  623132 */     // GIR_Coverage, 11542,
     /*  623132 */     GIR_EraseRootFromParent_Done,
     /*  623133 */   // Label 10113: @623133
     /*  623133 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(623208), // Rule ID 11543 //
     /*  623138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  623158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  623187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623206 */     GIR_RootConstrainSelectedInstOperands,
     /*  623207 */     // GIR_Coverage, 11543,
     /*  623207 */     GIR_EraseRootFromParent_Done,
     /*  623208 */   // Label 10114: @623208
     /*  623208 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(623283), // Rule ID 11546 //
     /*  623213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  623233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  623262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623281 */     GIR_RootConstrainSelectedInstOperands,
     /*  623282 */     // GIR_Coverage, 11546,
     /*  623282 */     GIR_EraseRootFromParent_Done,
     /*  623283 */   // Label 10115: @623283
     /*  623283 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(623358), // Rule ID 11547 //
     /*  623288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  623308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  623337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623356 */     GIR_RootConstrainSelectedInstOperands,
     /*  623357 */     // GIR_Coverage, 11547,
     /*  623357 */     GIR_EraseRootFromParent_Done,
     /*  623358 */   // Label 10116: @623358
     /*  623358 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(623433), // Rule ID 11550 //
     /*  623363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  623412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623431 */     GIR_RootConstrainSelectedInstOperands,
     /*  623432 */     // GIR_Coverage, 11550,
     /*  623432 */     GIR_EraseRootFromParent_Done,
     /*  623433 */   // Label 10117: @623433
     /*  623433 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(623508), // Rule ID 11551 //
     /*  623438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  623441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  623487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623506 */     GIR_RootConstrainSelectedInstOperands,
     /*  623507 */     // GIR_Coverage, 11551,
     /*  623507 */     GIR_EraseRootFromParent_Done,
     /*  623508 */   // Label 10118: @623508
     /*  623508 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(623583), // Rule ID 11554 //
     /*  623513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  623533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  623562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623581 */     GIR_RootConstrainSelectedInstOperands,
     /*  623582 */     // GIR_Coverage, 11554,
     /*  623582 */     GIR_EraseRootFromParent_Done,
     /*  623583 */   // Label 10119: @623583
     /*  623583 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(623658), // Rule ID 11555 //
     /*  623588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  623599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  623602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  623605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  623608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  623637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623656 */     GIR_RootConstrainSelectedInstOperands,
     /*  623657 */     // GIR_Coverage, 11555,
     /*  623657 */     GIR_EraseRootFromParent_Done,
     /*  623658 */   // Label 10120: @623658
     /*  623658 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(623733), // Rule ID 11558 //
     /*  623663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623709 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  623712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623731 */     GIR_RootConstrainSelectedInstOperands,
     /*  623732 */     // GIR_Coverage, 11558,
     /*  623732 */     GIR_EraseRootFromParent_Done,
     /*  623733 */   // Label 10121: @623733
     /*  623733 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(623808), // Rule ID 11559 //
     /*  623738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  623787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623806 */     GIR_RootConstrainSelectedInstOperands,
     /*  623807 */     // GIR_Coverage, 11559,
     /*  623807 */     GIR_EraseRootFromParent_Done,
     /*  623808 */   // Label 10122: @623808
     /*  623808 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(623883), // Rule ID 11562 //
     /*  623813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  623862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623881 */     GIR_RootConstrainSelectedInstOperands,
     /*  623882 */     // GIR_Coverage, 11562,
     /*  623882 */     GIR_EraseRootFromParent_Done,
     /*  623883 */   // Label 10123: @623883
     /*  623883 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(623958), // Rule ID 11563 //
     /*  623888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  623937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623956 */     GIR_RootConstrainSelectedInstOperands,
     /*  623957 */     // GIR_Coverage, 11563,
     /*  623957 */     GIR_EraseRootFromParent_Done,
     /*  623958 */   // Label 10124: @623958
     /*  623958 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(624033), // Rule ID 11566 //
     /*  623963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  623971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  624012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624031 */     GIR_RootConstrainSelectedInstOperands,
     /*  624032 */     // GIR_Coverage, 11566,
     /*  624032 */     GIR_EraseRootFromParent_Done,
     /*  624033 */   // Label 10125: @624033
     /*  624033 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(624108), // Rule ID 11567 //
     /*  624038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  624058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  624087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624106 */     GIR_RootConstrainSelectedInstOperands,
     /*  624107 */     // GIR_Coverage, 11567,
     /*  624107 */     GIR_EraseRootFromParent_Done,
     /*  624108 */   // Label 10126: @624108
     /*  624108 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(624183), // Rule ID 11570 //
     /*  624113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  624133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624159 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  624162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624181 */     GIR_RootConstrainSelectedInstOperands,
     /*  624182 */     // GIR_Coverage, 11570,
     /*  624182 */     GIR_EraseRootFromParent_Done,
     /*  624183 */   // Label 10127: @624183
     /*  624183 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(624258), // Rule ID 11571 //
     /*  624188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  624208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  624237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624256 */     GIR_RootConstrainSelectedInstOperands,
     /*  624257 */     // GIR_Coverage, 11571,
     /*  624257 */     GIR_EraseRootFromParent_Done,
     /*  624258 */   // Label 10128: @624258
     /*  624258 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(624333), // Rule ID 11574 //
     /*  624263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  624283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  624312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624331 */     GIR_RootConstrainSelectedInstOperands,
     /*  624332 */     // GIR_Coverage, 11574,
     /*  624332 */     GIR_EraseRootFromParent_Done,
     /*  624333 */   // Label 10129: @624333
     /*  624333 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(624408), // Rule ID 11575 //
     /*  624338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  624358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  624387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624406 */     GIR_RootConstrainSelectedInstOperands,
     /*  624407 */     // GIR_Coverage, 11575,
     /*  624407 */     GIR_EraseRootFromParent_Done,
     /*  624408 */   // Label 10130: @624408
     /*  624408 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(624483), // Rule ID 11578 //
     /*  624413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  624433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  624462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624481 */     GIR_RootConstrainSelectedInstOperands,
     /*  624482 */     // GIR_Coverage, 11578,
     /*  624482 */     GIR_EraseRootFromParent_Done,
     /*  624483 */   // Label 10131: @624483
     /*  624483 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(624558), // Rule ID 11579 //
     /*  624488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  624499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  624502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  624505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  624508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  624537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624556 */     GIR_RootConstrainSelectedInstOperands,
     /*  624557 */     // GIR_Coverage, 11579,
     /*  624557 */     GIR_EraseRootFromParent_Done,
     /*  624558 */   // Label 10132: @624558
     /*  624558 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(624633), // Rule ID 11582 //
     /*  624563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  624583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  624612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624631 */     GIR_RootConstrainSelectedInstOperands,
     /*  624632 */     // GIR_Coverage, 11582,
     /*  624632 */     GIR_EraseRootFromParent_Done,
     /*  624633 */   // Label 10133: @624633
     /*  624633 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(624708), // Rule ID 11583 //
     /*  624638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  624649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  624652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  624655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  624658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  624687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624706 */     GIR_RootConstrainSelectedInstOperands,
     /*  624707 */     // GIR_Coverage, 11583,
     /*  624707 */     GIR_EraseRootFromParent_Done,
     /*  624708 */   // Label 10134: @624708
     /*  624708 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(624783), // Rule ID 11586 //
     /*  624713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  624762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624781 */     GIR_RootConstrainSelectedInstOperands,
     /*  624782 */     // GIR_Coverage, 11586,
     /*  624782 */     GIR_EraseRootFromParent_Done,
     /*  624783 */   // Label 10135: @624783
     /*  624783 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(624858), // Rule ID 11587 //
     /*  624788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  624837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624856 */     GIR_RootConstrainSelectedInstOperands,
     /*  624857 */     // GIR_Coverage, 11587,
     /*  624857 */     GIR_EraseRootFromParent_Done,
     /*  624858 */   // Label 10136: @624858
     /*  624858 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(624933), // Rule ID 11590 //
     /*  624863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  624912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624931 */     GIR_RootConstrainSelectedInstOperands,
     /*  624932 */     // GIR_Coverage, 11590,
     /*  624932 */     GIR_EraseRootFromParent_Done,
     /*  624933 */   // Label 10137: @624933
     /*  624933 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(625008), // Rule ID 11591 //
     /*  624938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  624946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  624987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625006 */     GIR_RootConstrainSelectedInstOperands,
     /*  625007 */     // GIR_Coverage, 11591,
     /*  625007 */     GIR_EraseRootFromParent_Done,
     /*  625008 */   // Label 10138: @625008
     /*  625008 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(625083), // Rule ID 11594 //
     /*  625013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  625033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  625062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625081 */     GIR_RootConstrainSelectedInstOperands,
     /*  625082 */     // GIR_Coverage, 11594,
     /*  625082 */     GIR_EraseRootFromParent_Done,
     /*  625083 */   // Label 10139: @625083
     /*  625083 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(625158), // Rule ID 11595 //
     /*  625088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  625108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  625137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625156 */     GIR_RootConstrainSelectedInstOperands,
     /*  625157 */     // GIR_Coverage, 11595,
     /*  625157 */     GIR_EraseRootFromParent_Done,
     /*  625158 */   // Label 10140: @625158
     /*  625158 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(625233), // Rule ID 11598 //
     /*  625163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  625183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  625212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625231 */     GIR_RootConstrainSelectedInstOperands,
     /*  625232 */     // GIR_Coverage, 11598,
     /*  625232 */     GIR_EraseRootFromParent_Done,
     /*  625233 */   // Label 10141: @625233
     /*  625233 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(625308), // Rule ID 11599 //
     /*  625238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  625258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  625287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625306 */     GIR_RootConstrainSelectedInstOperands,
     /*  625307 */     // GIR_Coverage, 11599,
     /*  625307 */     GIR_EraseRootFromParent_Done,
     /*  625308 */   // Label 10142: @625308
     /*  625308 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(625383), // Rule ID 11602 //
     /*  625313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  625362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625381 */     GIR_RootConstrainSelectedInstOperands,
     /*  625382 */     // GIR_Coverage, 11602,
     /*  625382 */     GIR_EraseRootFromParent_Done,
     /*  625383 */   // Label 10143: @625383
     /*  625383 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(625458), // Rule ID 11603 //
     /*  625388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  625437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625456 */     GIR_RootConstrainSelectedInstOperands,
     /*  625457 */     // GIR_Coverage, 11603,
     /*  625457 */     GIR_EraseRootFromParent_Done,
     /*  625458 */   // Label 10144: @625458
     /*  625458 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(625533), // Rule ID 11606 //
     /*  625463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  625512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625531 */     GIR_RootConstrainSelectedInstOperands,
     /*  625532 */     // GIR_Coverage, 11606,
     /*  625532 */     GIR_EraseRootFromParent_Done,
     /*  625533 */   // Label 10145: @625533
     /*  625533 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(625608), // Rule ID 11607 //
     /*  625538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  625549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  625552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  625555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  625587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625606 */     GIR_RootConstrainSelectedInstOperands,
     /*  625607 */     // GIR_Coverage, 11607,
     /*  625607 */     GIR_EraseRootFromParent_Done,
     /*  625608 */   // Label 10146: @625608
     /*  625608 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(625683), // Rule ID 11610 //
     /*  625613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  625662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625681 */     GIR_RootConstrainSelectedInstOperands,
     /*  625682 */     // GIR_Coverage, 11610,
     /*  625682 */     GIR_EraseRootFromParent_Done,
     /*  625683 */   // Label 10147: @625683
     /*  625683 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(625758), // Rule ID 11611 //
     /*  625688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  625737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625756 */     GIR_RootConstrainSelectedInstOperands,
     /*  625757 */     // GIR_Coverage, 11611,
     /*  625757 */     GIR_EraseRootFromParent_Done,
     /*  625758 */   // Label 10148: @625758
     /*  625758 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(625833), // Rule ID 11614 //
     /*  625763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  625812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625831 */     GIR_RootConstrainSelectedInstOperands,
     /*  625832 */     // GIR_Coverage, 11614,
     /*  625832 */     GIR_EraseRootFromParent_Done,
     /*  625833 */   // Label 10149: @625833
     /*  625833 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(625908), // Rule ID 11615 //
     /*  625838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  625887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625906 */     GIR_RootConstrainSelectedInstOperands,
     /*  625907 */     // GIR_Coverage, 11615,
     /*  625907 */     GIR_EraseRootFromParent_Done,
     /*  625908 */   // Label 10150: @625908
     /*  625908 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(625983), // Rule ID 11618 //
     /*  625913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  625962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625981 */     GIR_RootConstrainSelectedInstOperands,
     /*  625982 */     // GIR_Coverage, 11618,
     /*  625982 */     GIR_EraseRootFromParent_Done,
     /*  625983 */   // Label 10151: @625983
     /*  625983 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(626058), // Rule ID 11619 //
     /*  625988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  625996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  626037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626056 */     GIR_RootConstrainSelectedInstOperands,
     /*  626057 */     // GIR_Coverage, 11619,
     /*  626057 */     GIR_EraseRootFromParent_Done,
     /*  626058 */   // Label 10152: @626058
     /*  626058 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(626133), // Rule ID 11622 //
     /*  626063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  626112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626131 */     GIR_RootConstrainSelectedInstOperands,
     /*  626132 */     // GIR_Coverage, 11622,
     /*  626132 */     GIR_EraseRootFromParent_Done,
     /*  626133 */   // Label 10153: @626133
     /*  626133 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(626208), // Rule ID 11623 //
     /*  626138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  626187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626206 */     GIR_RootConstrainSelectedInstOperands,
     /*  626207 */     // GIR_Coverage, 11623,
     /*  626207 */     GIR_EraseRootFromParent_Done,
     /*  626208 */   // Label 10154: @626208
     /*  626208 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(626283), // Rule ID 11626 //
     /*  626213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  626262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626281 */     GIR_RootConstrainSelectedInstOperands,
     /*  626282 */     // GIR_Coverage, 11626,
     /*  626282 */     GIR_EraseRootFromParent_Done,
     /*  626283 */   // Label 10155: @626283
     /*  626283 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(626358), // Rule ID 11627 //
     /*  626288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10835:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  626337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626356 */     GIR_RootConstrainSelectedInstOperands,
     /*  626357 */     // GIR_Coverage, 11627,
     /*  626357 */     GIR_EraseRootFromParent_Done,
     /*  626358 */   // Label 10156: @626358
     /*  626358 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(626433), // Rule ID 11630 //
     /*  626363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  626412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626431 */     GIR_RootConstrainSelectedInstOperands,
     /*  626432 */     // GIR_Coverage, 11630,
     /*  626432 */     GIR_EraseRootFromParent_Done,
     /*  626433 */   // Label 10157: @626433
     /*  626433 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(626508), // Rule ID 11631 //
     /*  626438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  626487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626506 */     GIR_RootConstrainSelectedInstOperands,
     /*  626507 */     // GIR_Coverage, 11631,
     /*  626507 */     GIR_EraseRootFromParent_Done,
     /*  626508 */   // Label 10158: @626508
     /*  626508 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(626583), // Rule ID 11634 //
     /*  626513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  626562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626581 */     GIR_RootConstrainSelectedInstOperands,
     /*  626582 */     // GIR_Coverage, 11634,
     /*  626582 */     GIR_EraseRootFromParent_Done,
     /*  626583 */   // Label 10159: @626583
     /*  626583 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(626658), // Rule ID 11635 //
     /*  626588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  626599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  626602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  626605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  626637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626656 */     GIR_RootConstrainSelectedInstOperands,
     /*  626657 */     // GIR_Coverage, 11635,
     /*  626657 */     GIR_EraseRootFromParent_Done,
     /*  626658 */   // Label 10160: @626658
     /*  626658 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(626733), // Rule ID 11638 //
     /*  626663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  626712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626731 */     GIR_RootConstrainSelectedInstOperands,
     /*  626732 */     // GIR_Coverage, 11638,
     /*  626732 */     GIR_EraseRootFromParent_Done,
     /*  626733 */   // Label 10161: @626733
     /*  626733 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(626808), // Rule ID 11639 //
     /*  626738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  626787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626806 */     GIR_RootConstrainSelectedInstOperands,
     /*  626807 */     // GIR_Coverage, 11639,
     /*  626807 */     GIR_EraseRootFromParent_Done,
     /*  626808 */   // Label 10162: @626808
     /*  626808 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(626883), // Rule ID 11642 //
     /*  626813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  626862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626881 */     GIR_RootConstrainSelectedInstOperands,
     /*  626882 */     // GIR_Coverage, 11642,
     /*  626882 */     GIR_EraseRootFromParent_Done,
     /*  626883 */   // Label 10163: @626883
     /*  626883 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(626958), // Rule ID 11643 //
     /*  626888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  626937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626956 */     GIR_RootConstrainSelectedInstOperands,
     /*  626957 */     // GIR_Coverage, 11643,
     /*  626957 */     GIR_EraseRootFromParent_Done,
     /*  626958 */   // Label 10164: @626958
     /*  626958 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(627033), // Rule ID 11646 //
     /*  626963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  626971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  627012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627031 */     GIR_RootConstrainSelectedInstOperands,
     /*  627032 */     // GIR_Coverage, 11646,
     /*  627032 */     GIR_EraseRootFromParent_Done,
     /*  627033 */   // Label 10165: @627033
     /*  627033 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(627108), // Rule ID 11647 //
     /*  627038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  627087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627106 */     GIR_RootConstrainSelectedInstOperands,
     /*  627107 */     // GIR_Coverage, 11647,
     /*  627107 */     GIR_EraseRootFromParent_Done,
     /*  627108 */   // Label 10166: @627108
     /*  627108 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(627183), // Rule ID 11650 //
     /*  627113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627159 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  627162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627181 */     GIR_RootConstrainSelectedInstOperands,
     /*  627182 */     // GIR_Coverage, 11650,
     /*  627182 */     GIR_EraseRootFromParent_Done,
     /*  627183 */   // Label 10167: @627183
     /*  627183 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(627258), // Rule ID 11651 //
     /*  627188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  627237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627256 */     GIR_RootConstrainSelectedInstOperands,
     /*  627257 */     // GIR_Coverage, 11651,
     /*  627257 */     GIR_EraseRootFromParent_Done,
     /*  627258 */   // Label 10168: @627258
     /*  627258 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(627333), // Rule ID 11654 //
     /*  627263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627309 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  627312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627331 */     GIR_RootConstrainSelectedInstOperands,
     /*  627332 */     // GIR_Coverage, 11654,
     /*  627332 */     GIR_EraseRootFromParent_Done,
     /*  627333 */   // Label 10169: @627333
     /*  627333 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(627408), // Rule ID 11655 //
     /*  627338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  627387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627406 */     GIR_RootConstrainSelectedInstOperands,
     /*  627407 */     // GIR_Coverage, 11655,
     /*  627407 */     GIR_EraseRootFromParent_Done,
     /*  627408 */   // Label 10170: @627408
     /*  627408 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(627483), // Rule ID 11658 //
     /*  627413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  627462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627481 */     GIR_RootConstrainSelectedInstOperands,
     /*  627482 */     // GIR_Coverage, 11658,
     /*  627482 */     GIR_EraseRootFromParent_Done,
     /*  627483 */   // Label 10171: @627483
     /*  627483 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(627558), // Rule ID 11659 //
     /*  627488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  627499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  627502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  627505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  627537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627556 */     GIR_RootConstrainSelectedInstOperands,
     /*  627557 */     // GIR_Coverage, 11659,
     /*  627557 */     GIR_EraseRootFromParent_Done,
     /*  627558 */   // Label 10172: @627558
     /*  627558 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(627633), // Rule ID 11662 //
     /*  627563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  627612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627631 */     GIR_RootConstrainSelectedInstOperands,
     /*  627632 */     // GIR_Coverage, 11662,
     /*  627632 */     GIR_EraseRootFromParent_Done,
     /*  627633 */   // Label 10173: @627633
     /*  627633 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(627708), // Rule ID 11663 //
     /*  627638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  627649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  627652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  627655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  627687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627706 */     GIR_RootConstrainSelectedInstOperands,
     /*  627707 */     // GIR_Coverage, 11663,
     /*  627707 */     GIR_EraseRootFromParent_Done,
     /*  627708 */   // Label 10174: @627708
     /*  627708 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(627783), // Rule ID 11666 //
     /*  627713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  627762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627781 */     GIR_RootConstrainSelectedInstOperands,
     /*  627782 */     // GIR_Coverage, 11666,
     /*  627782 */     GIR_EraseRootFromParent_Done,
     /*  627783 */   // Label 10175: @627783
     /*  627783 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(627858), // Rule ID 11667 //
     /*  627788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  627837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627856 */     GIR_RootConstrainSelectedInstOperands,
     /*  627857 */     // GIR_Coverage, 11667,
     /*  627857 */     GIR_EraseRootFromParent_Done,
     /*  627858 */   // Label 10176: @627858
     /*  627858 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(627933), // Rule ID 11670 //
     /*  627863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  627912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627931 */     GIR_RootConstrainSelectedInstOperands,
     /*  627932 */     // GIR_Coverage, 11670,
     /*  627932 */     GIR_EraseRootFromParent_Done,
     /*  627933 */   // Label 10177: @627933
     /*  627933 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(628008), // Rule ID 11671 //
     /*  627938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  627987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628006 */     GIR_RootConstrainSelectedInstOperands,
     /*  628007 */     // GIR_Coverage, 11671,
     /*  628007 */     GIR_EraseRootFromParent_Done,
     /*  628008 */   // Label 10178: @628008
     /*  628008 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(628083), // Rule ID 11674 //
     /*  628013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  628062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628081 */     GIR_RootConstrainSelectedInstOperands,
     /*  628082 */     // GIR_Coverage, 11674,
     /*  628082 */     GIR_EraseRootFromParent_Done,
     /*  628083 */   // Label 10179: @628083
     /*  628083 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(628158), // Rule ID 11675 //
     /*  628088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  628137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628156 */     GIR_RootConstrainSelectedInstOperands,
     /*  628157 */     // GIR_Coverage, 11675,
     /*  628157 */     GIR_EraseRootFromParent_Done,
     /*  628158 */   // Label 10180: @628158
     /*  628158 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(628233), // Rule ID 11678 //
     /*  628163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  628212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628231 */     GIR_RootConstrainSelectedInstOperands,
     /*  628232 */     // GIR_Coverage, 11678,
     /*  628232 */     GIR_EraseRootFromParent_Done,
     /*  628233 */   // Label 10181: @628233
     /*  628233 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(628308), // Rule ID 11679 //
     /*  628238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  628287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628306 */     GIR_RootConstrainSelectedInstOperands,
     /*  628307 */     // GIR_Coverage, 11679,
     /*  628307 */     GIR_EraseRootFromParent_Done,
     /*  628308 */   // Label 10182: @628308
     /*  628308 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(628383), // Rule ID 11682 //
     /*  628313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  628362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628381 */     GIR_RootConstrainSelectedInstOperands,
     /*  628382 */     // GIR_Coverage, 11682,
     /*  628382 */     GIR_EraseRootFromParent_Done,
     /*  628383 */   // Label 10183: @628383
     /*  628383 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(628458), // Rule ID 11683 //
     /*  628388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  628437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628456 */     GIR_RootConstrainSelectedInstOperands,
     /*  628457 */     // GIR_Coverage, 11683,
     /*  628457 */     GIR_EraseRootFromParent_Done,
     /*  628458 */   // Label 10184: @628458
     /*  628458 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(628533), // Rule ID 11686 //
     /*  628463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  628483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  628512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628531 */     GIR_RootConstrainSelectedInstOperands,
     /*  628532 */     // GIR_Coverage, 11686,
     /*  628532 */     GIR_EraseRootFromParent_Done,
     /*  628533 */   // Label 10185: @628533
     /*  628533 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(628608), // Rule ID 11687 //
     /*  628538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  628549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  628552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  628555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  628558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  628577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  628587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628606 */     GIR_RootConstrainSelectedInstOperands,
     /*  628607 */     // GIR_Coverage, 11687,
     /*  628607 */     GIR_EraseRootFromParent_Done,
     /*  628608 */   // Label 10186: @628608
     /*  628608 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(628683), // Rule ID 11690 //
     /*  628613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  628633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  628662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628681 */     GIR_RootConstrainSelectedInstOperands,
     /*  628682 */     // GIR_Coverage, 11690,
     /*  628682 */     GIR_EraseRootFromParent_Done,
     /*  628683 */   // Label 10187: @628683
     /*  628683 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(628758), // Rule ID 11691 //
     /*  628688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  628708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  628737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628756 */     GIR_RootConstrainSelectedInstOperands,
     /*  628757 */     // GIR_Coverage, 11691,
     /*  628757 */     GIR_EraseRootFromParent_Done,
     /*  628758 */   // Label 10188: @628758
     /*  628758 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(628833), // Rule ID 11694 //
     /*  628763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  628812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628831 */     GIR_RootConstrainSelectedInstOperands,
     /*  628832 */     // GIR_Coverage, 11694,
     /*  628832 */     GIR_EraseRootFromParent_Done,
     /*  628833 */   // Label 10189: @628833
     /*  628833 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(628908), // Rule ID 11695 //
     /*  628838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628884 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  628887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628906 */     GIR_RootConstrainSelectedInstOperands,
     /*  628907 */     // GIR_Coverage, 11695,
     /*  628907 */     GIR_EraseRootFromParent_Done,
     /*  628908 */   // Label 10190: @628908
     /*  628908 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(628983), // Rule ID 11698 //
     /*  628913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  628962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628981 */     GIR_RootConstrainSelectedInstOperands,
     /*  628982 */     // GIR_Coverage, 11698,
     /*  628982 */     GIR_EraseRootFromParent_Done,
     /*  628983 */   // Label 10191: @628983
     /*  628983 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(629058), // Rule ID 11699 //
     /*  628988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  628996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  629008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  629037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629056 */     GIR_RootConstrainSelectedInstOperands,
     /*  629057 */     // GIR_Coverage, 11699,
     /*  629057 */     GIR_EraseRootFromParent_Done,
     /*  629058 */   // Label 10192: @629058
     /*  629058 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(629133), // Rule ID 11702 //
     /*  629063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  629083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  629112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629131 */     GIR_RootConstrainSelectedInstOperands,
     /*  629132 */     // GIR_Coverage, 11702,
     /*  629132 */     GIR_EraseRootFromParent_Done,
     /*  629133 */   // Label 10193: @629133
     /*  629133 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(629208), // Rule ID 11703 //
     /*  629138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  629158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  629187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629206 */     GIR_RootConstrainSelectedInstOperands,
     /*  629207 */     // GIR_Coverage, 11703,
     /*  629207 */     GIR_EraseRootFromParent_Done,
     /*  629208 */   // Label 10194: @629208
     /*  629208 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(629283), // Rule ID 11706 //
     /*  629213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  629233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  629262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629281 */     GIR_RootConstrainSelectedInstOperands,
     /*  629282 */     // GIR_Coverage, 11706,
     /*  629282 */     GIR_EraseRootFromParent_Done,
     /*  629283 */   // Label 10195: @629283
     /*  629283 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(629358), // Rule ID 11707 //
     /*  629288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  629308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  629337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629356 */     GIR_RootConstrainSelectedInstOperands,
     /*  629357 */     // GIR_Coverage, 11707,
     /*  629357 */     GIR_EraseRootFromParent_Done,
     /*  629358 */   // Label 10196: @629358
     /*  629358 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(629433), // Rule ID 11710 //
     /*  629363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  629383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  629412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629431 */     GIR_RootConstrainSelectedInstOperands,
     /*  629432 */     // GIR_Coverage, 11710,
     /*  629432 */     GIR_EraseRootFromParent_Done,
     /*  629433 */   // Label 10197: @629433
     /*  629433 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(629508), // Rule ID 11711 //
     /*  629438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  629458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  629487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629506 */     GIR_RootConstrainSelectedInstOperands,
     /*  629507 */     // GIR_Coverage, 11711,
     /*  629507 */     GIR_EraseRootFromParent_Done,
     /*  629508 */   // Label 10198: @629508
     /*  629508 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(629583), // Rule ID 11714 //
     /*  629513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  629533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  629562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629581 */     GIR_RootConstrainSelectedInstOperands,
     /*  629582 */     // GIR_Coverage, 11714,
     /*  629582 */     GIR_EraseRootFromParent_Done,
     /*  629583 */   // Label 10199: @629583
     /*  629583 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(629658), // Rule ID 11715 //
     /*  629588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  629599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  629602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  629605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  629608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  629637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629656 */     GIR_RootConstrainSelectedInstOperands,
     /*  629657 */     // GIR_Coverage, 11715,
     /*  629657 */     GIR_EraseRootFromParent_Done,
     /*  629658 */   // Label 10200: @629658
     /*  629658 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(629733), // Rule ID 11718 //
     /*  629663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  629712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629731 */     GIR_RootConstrainSelectedInstOperands,
     /*  629732 */     // GIR_Coverage, 11718,
     /*  629732 */     GIR_EraseRootFromParent_Done,
     /*  629733 */   // Label 10201: @629733
     /*  629733 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(629808), // Rule ID 11719 //
     /*  629738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  629787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629806 */     GIR_RootConstrainSelectedInstOperands,
     /*  629807 */     // GIR_Coverage, 11719,
     /*  629807 */     GIR_EraseRootFromParent_Done,
     /*  629808 */   // Label 10202: @629808
     /*  629808 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(629883), // Rule ID 11722 //
     /*  629813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  629862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629881 */     GIR_RootConstrainSelectedInstOperands,
     /*  629882 */     // GIR_Coverage, 11722,
     /*  629882 */     GIR_EraseRootFromParent_Done,
     /*  629883 */   // Label 10203: @629883
     /*  629883 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(629958), // Rule ID 11723 //
     /*  629888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  629937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629956 */     GIR_RootConstrainSelectedInstOperands,
     /*  629957 */     // GIR_Coverage, 11723,
     /*  629957 */     GIR_EraseRootFromParent_Done,
     /*  629958 */   // Label 10204: @629958
     /*  629958 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(630033), // Rule ID 11726 //
     /*  629963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  629971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  630012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630031 */     GIR_RootConstrainSelectedInstOperands,
     /*  630032 */     // GIR_Coverage, 11726,
     /*  630032 */     GIR_EraseRootFromParent_Done,
     /*  630033 */   // Label 10205: @630033
     /*  630033 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(630108), // Rule ID 11727 //
     /*  630038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  630058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  630087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630106 */     GIR_RootConstrainSelectedInstOperands,
     /*  630107 */     // GIR_Coverage, 11727,
     /*  630107 */     GIR_EraseRootFromParent_Done,
     /*  630108 */   // Label 10206: @630108
     /*  630108 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(630183), // Rule ID 11730 //
     /*  630113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  630133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  630162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630181 */     GIR_RootConstrainSelectedInstOperands,
     /*  630182 */     // GIR_Coverage, 11730,
     /*  630182 */     GIR_EraseRootFromParent_Done,
     /*  630183 */   // Label 10207: @630183
     /*  630183 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(630258), // Rule ID 11731 //
     /*  630188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  630208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  630237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630256 */     GIR_RootConstrainSelectedInstOperands,
     /*  630257 */     // GIR_Coverage, 11731,
     /*  630257 */     GIR_EraseRootFromParent_Done,
     /*  630258 */   // Label 10208: @630258
     /*  630258 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(630333), // Rule ID 11734 //
     /*  630263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  630283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630309 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  630312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630331 */     GIR_RootConstrainSelectedInstOperands,
     /*  630332 */     // GIR_Coverage, 11734,
     /*  630332 */     GIR_EraseRootFromParent_Done,
     /*  630333 */   // Label 10209: @630333
     /*  630333 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(630408), // Rule ID 11735 //
     /*  630338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  630358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  630387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630406 */     GIR_RootConstrainSelectedInstOperands,
     /*  630407 */     // GIR_Coverage, 11735,
     /*  630407 */     GIR_EraseRootFromParent_Done,
     /*  630408 */   // Label 10210: @630408
     /*  630408 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(630483), // Rule ID 11738 //
     /*  630413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  630433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  630462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630481 */     GIR_RootConstrainSelectedInstOperands,
     /*  630482 */     // GIR_Coverage, 11738,
     /*  630482 */     GIR_EraseRootFromParent_Done,
     /*  630483 */   // Label 10211: @630483
     /*  630483 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(630558), // Rule ID 11739 //
     /*  630488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  630499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  630502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  630505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  630508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  630537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630556 */     GIR_RootConstrainSelectedInstOperands,
     /*  630557 */     // GIR_Coverage, 11739,
     /*  630557 */     GIR_EraseRootFromParent_Done,
     /*  630558 */   // Label 10212: @630558
     /*  630558 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(630633), // Rule ID 11742 //
     /*  630563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  630583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  630612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630631 */     GIR_RootConstrainSelectedInstOperands,
     /*  630632 */     // GIR_Coverage, 11742,
     /*  630632 */     GIR_EraseRootFromParent_Done,
     /*  630633 */   // Label 10213: @630633
     /*  630633 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(630708), // Rule ID 11743 //
     /*  630638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  630649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  630652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  630655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  630658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  630687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630706 */     GIR_RootConstrainSelectedInstOperands,
     /*  630707 */     // GIR_Coverage, 11743,
     /*  630707 */     GIR_EraseRootFromParent_Done,
     /*  630708 */   // Label 10214: @630708
     /*  630708 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(630783), // Rule ID 11746 //
     /*  630713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  630762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630781 */     GIR_RootConstrainSelectedInstOperands,
     /*  630782 */     // GIR_Coverage, 11746,
     /*  630782 */     GIR_EraseRootFromParent_Done,
     /*  630783 */   // Label 10215: @630783
     /*  630783 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(630858), // Rule ID 11747 //
     /*  630788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  630837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630856 */     GIR_RootConstrainSelectedInstOperands,
     /*  630857 */     // GIR_Coverage, 11747,
     /*  630857 */     GIR_EraseRootFromParent_Done,
     /*  630858 */   // Label 10216: @630858
     /*  630858 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(630933), // Rule ID 11750 //
     /*  630863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  630912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630931 */     GIR_RootConstrainSelectedInstOperands,
     /*  630932 */     // GIR_Coverage, 11750,
     /*  630932 */     GIR_EraseRootFromParent_Done,
     /*  630933 */   // Label 10217: @630933
     /*  630933 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(631008), // Rule ID 11751 //
     /*  630938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  630946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  630987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631006 */     GIR_RootConstrainSelectedInstOperands,
     /*  631007 */     // GIR_Coverage, 11751,
     /*  631007 */     GIR_EraseRootFromParent_Done,
     /*  631008 */   // Label 10218: @631008
     /*  631008 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(631083), // Rule ID 11754 //
     /*  631013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  631033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  631062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631081 */     GIR_RootConstrainSelectedInstOperands,
     /*  631082 */     // GIR_Coverage, 11754,
     /*  631082 */     GIR_EraseRootFromParent_Done,
     /*  631083 */   // Label 10219: @631083
     /*  631083 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(631158), // Rule ID 11755 //
     /*  631088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  631108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  631137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631156 */     GIR_RootConstrainSelectedInstOperands,
     /*  631157 */     // GIR_Coverage, 11755,
     /*  631157 */     GIR_EraseRootFromParent_Done,
     /*  631158 */   // Label 10220: @631158
     /*  631158 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(631233), // Rule ID 11758 //
     /*  631163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  631183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  631212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631231 */     GIR_RootConstrainSelectedInstOperands,
     /*  631232 */     // GIR_Coverage, 11758,
     /*  631232 */     GIR_EraseRootFromParent_Done,
     /*  631233 */   // Label 10221: @631233
     /*  631233 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(631308), // Rule ID 11759 //
     /*  631238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  631258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  631287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631306 */     GIR_RootConstrainSelectedInstOperands,
     /*  631307 */     // GIR_Coverage, 11759,
     /*  631307 */     GIR_EraseRootFromParent_Done,
     /*  631308 */   // Label 10222: @631308
     /*  631308 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(631383), // Rule ID 11762 //
     /*  631313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  631333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  631362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631381 */     GIR_RootConstrainSelectedInstOperands,
     /*  631382 */     // GIR_Coverage, 11762,
     /*  631382 */     GIR_EraseRootFromParent_Done,
     /*  631383 */   // Label 10223: @631383
     /*  631383 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(631458), // Rule ID 11763 //
     /*  631388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  631408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  631437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631456 */     GIR_RootConstrainSelectedInstOperands,
     /*  631457 */     // GIR_Coverage, 11763,
     /*  631457 */     GIR_EraseRootFromParent_Done,
     /*  631458 */   // Label 10224: @631458
     /*  631458 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(631533), // Rule ID 11766 //
     /*  631463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  631483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  631512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631531 */     GIR_RootConstrainSelectedInstOperands,
     /*  631532 */     // GIR_Coverage, 11766,
     /*  631532 */     GIR_EraseRootFromParent_Done,
     /*  631533 */   // Label 10225: @631533
     /*  631533 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(631608), // Rule ID 11767 //
     /*  631538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  631549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  631552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  631555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  631558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  631587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631606 */     GIR_RootConstrainSelectedInstOperands,
     /*  631607 */     // GIR_Coverage, 11767,
     /*  631607 */     GIR_EraseRootFromParent_Done,
     /*  631608 */   // Label 10226: @631608
     /*  631608 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(631683), // Rule ID 11770 //
     /*  631613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  631633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  631662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631681 */     GIR_RootConstrainSelectedInstOperands,
     /*  631682 */     // GIR_Coverage, 11770,
     /*  631682 */     GIR_EraseRootFromParent_Done,
     /*  631683 */   // Label 10227: @631683
     /*  631683 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(631758), // Rule ID 11771 //
     /*  631688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  631708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  631737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631756 */     GIR_RootConstrainSelectedInstOperands,
     /*  631757 */     // GIR_Coverage, 11771,
     /*  631757 */     GIR_EraseRootFromParent_Done,
     /*  631758 */   // Label 10228: @631758
     /*  631758 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(631833), // Rule ID 11774 //
     /*  631763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  631812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631831 */     GIR_RootConstrainSelectedInstOperands,
     /*  631832 */     // GIR_Coverage, 11774,
     /*  631832 */     GIR_EraseRootFromParent_Done,
     /*  631833 */   // Label 10229: @631833
     /*  631833 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(631908), // Rule ID 11775 //
     /*  631838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  631887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631906 */     GIR_RootConstrainSelectedInstOperands,
     /*  631907 */     // GIR_Coverage, 11775,
     /*  631907 */     GIR_EraseRootFromParent_Done,
     /*  631908 */   // Label 10230: @631908
     /*  631908 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(631983), // Rule ID 11778 //
     /*  631913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  631962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631981 */     GIR_RootConstrainSelectedInstOperands,
     /*  631982 */     // GIR_Coverage, 11778,
     /*  631982 */     GIR_EraseRootFromParent_Done,
     /*  631983 */   // Label 10231: @631983
     /*  631983 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(632058), // Rule ID 11779 //
     /*  631988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  631996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  632037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632056 */     GIR_RootConstrainSelectedInstOperands,
     /*  632057 */     // GIR_Coverage, 11779,
     /*  632057 */     GIR_EraseRootFromParent_Done,
     /*  632058 */   // Label 10232: @632058
     /*  632058 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(632133), // Rule ID 11782 //
     /*  632063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632109 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  632112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632131 */     GIR_RootConstrainSelectedInstOperands,
     /*  632132 */     // GIR_Coverage, 11782,
     /*  632132 */     GIR_EraseRootFromParent_Done,
     /*  632133 */   // Label 10233: @632133
     /*  632133 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(632208), // Rule ID 11783 //
     /*  632138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632184 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  632187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632206 */     GIR_RootConstrainSelectedInstOperands,
     /*  632207 */     // GIR_Coverage, 11783,
     /*  632207 */     GIR_EraseRootFromParent_Done,
     /*  632208 */   // Label 10234: @632208
     /*  632208 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(632283), // Rule ID 11786 //
     /*  632213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  632262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632281 */     GIR_RootConstrainSelectedInstOperands,
     /*  632282 */     // GIR_Coverage, 11786,
     /*  632282 */     GIR_EraseRootFromParent_Done,
     /*  632283 */   // Label 10235: @632283
     /*  632283 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(632358), // Rule ID 11787 //
     /*  632288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  632337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632356 */     GIR_RootConstrainSelectedInstOperands,
     /*  632357 */     // GIR_Coverage, 11787,
     /*  632357 */     GIR_EraseRootFromParent_Done,
     /*  632358 */   // Label 10236: @632358
     /*  632358 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(632433), // Rule ID 11790 //
     /*  632363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  632412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632431 */     GIR_RootConstrainSelectedInstOperands,
     /*  632432 */     // GIR_Coverage, 11790,
     /*  632432 */     GIR_EraseRootFromParent_Done,
     /*  632433 */   // Label 10237: @632433
     /*  632433 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(632508), // Rule ID 11791 //
     /*  632438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  632487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632506 */     GIR_RootConstrainSelectedInstOperands,
     /*  632507 */     // GIR_Coverage, 11791,
     /*  632507 */     GIR_EraseRootFromParent_Done,
     /*  632508 */   // Label 10238: @632508
     /*  632508 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(632583), // Rule ID 11794 //
     /*  632513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  632562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632581 */     GIR_RootConstrainSelectedInstOperands,
     /*  632582 */     // GIR_Coverage, 11794,
     /*  632582 */     GIR_EraseRootFromParent_Done,
     /*  632583 */   // Label 10239: @632583
     /*  632583 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(632658), // Rule ID 11795 //
     /*  632588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  632599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  632602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  632605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  632637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632656 */     GIR_RootConstrainSelectedInstOperands,
     /*  632657 */     // GIR_Coverage, 11795,
     /*  632657 */     GIR_EraseRootFromParent_Done,
     /*  632658 */   // Label 10240: @632658
     /*  632658 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(632733), // Rule ID 11798 //
     /*  632663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632709 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  632712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632731 */     GIR_RootConstrainSelectedInstOperands,
     /*  632732 */     // GIR_Coverage, 11798,
     /*  632732 */     GIR_EraseRootFromParent_Done,
     /*  632733 */   // Label 10241: @632733
     /*  632733 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(632808), // Rule ID 11799 //
     /*  632738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  632787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632806 */     GIR_RootConstrainSelectedInstOperands,
     /*  632807 */     // GIR_Coverage, 11799,
     /*  632807 */     GIR_EraseRootFromParent_Done,
     /*  632808 */   // Label 10242: @632808
     /*  632808 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(632883), // Rule ID 11802 //
     /*  632813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  632862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632881 */     GIR_RootConstrainSelectedInstOperands,
     /*  632882 */     // GIR_Coverage, 11802,
     /*  632882 */     GIR_EraseRootFromParent_Done,
     /*  632883 */   // Label 10243: @632883
     /*  632883 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(632958), // Rule ID 11803 //
     /*  632888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10833:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  632937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632956 */     GIR_RootConstrainSelectedInstOperands,
     /*  632957 */     // GIR_Coverage, 11803,
     /*  632957 */     GIR_EraseRootFromParent_Done,
     /*  632958 */   // Label 10244: @632958
     /*  632958 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(633033), // Rule ID 11806 //
     /*  632963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  632971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  633012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633031 */     GIR_RootConstrainSelectedInstOperands,
     /*  633032 */     // GIR_Coverage, 11806,
     /*  633032 */     GIR_EraseRootFromParent_Done,
     /*  633033 */   // Label 10245: @633033
     /*  633033 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(633108), // Rule ID 11807 //
     /*  633038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  633087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633106 */     GIR_RootConstrainSelectedInstOperands,
     /*  633107 */     // GIR_Coverage, 11807,
     /*  633107 */     GIR_EraseRootFromParent_Done,
     /*  633108 */   // Label 10246: @633108
     /*  633108 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(633183), // Rule ID 11810 //
     /*  633113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  633162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633181 */     GIR_RootConstrainSelectedInstOperands,
     /*  633182 */     // GIR_Coverage, 11810,
     /*  633182 */     GIR_EraseRootFromParent_Done,
     /*  633183 */   // Label 10247: @633183
     /*  633183 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(633258), // Rule ID 11811 //
     /*  633188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  633237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633256 */     GIR_RootConstrainSelectedInstOperands,
     /*  633257 */     // GIR_Coverage, 11811,
     /*  633257 */     GIR_EraseRootFromParent_Done,
     /*  633258 */   // Label 10248: @633258
     /*  633258 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(633333), // Rule ID 11814 //
     /*  633263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633309 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  633312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633331 */     GIR_RootConstrainSelectedInstOperands,
     /*  633332 */     // GIR_Coverage, 11814,
     /*  633332 */     GIR_EraseRootFromParent_Done,
     /*  633333 */   // Label 10249: @633333
     /*  633333 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(633408), // Rule ID 11815 //
     /*  633338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  633387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633406 */     GIR_RootConstrainSelectedInstOperands,
     /*  633407 */     // GIR_Coverage, 11815,
     /*  633407 */     GIR_EraseRootFromParent_Done,
     /*  633408 */   // Label 10250: @633408
     /*  633408 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(633483), // Rule ID 11818 //
     /*  633413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  633462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633481 */     GIR_RootConstrainSelectedInstOperands,
     /*  633482 */     // GIR_Coverage, 11818,
     /*  633482 */     GIR_EraseRootFromParent_Done,
     /*  633483 */   // Label 10251: @633483
     /*  633483 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(633558), // Rule ID 11819 //
     /*  633488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  633499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  633502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  633505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  633537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633556 */     GIR_RootConstrainSelectedInstOperands,
     /*  633557 */     // GIR_Coverage, 11819,
     /*  633557 */     GIR_EraseRootFromParent_Done,
     /*  633558 */   // Label 10252: @633558
     /*  633558 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(633633), // Rule ID 11822 //
     /*  633563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633609 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  633612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633631 */     GIR_RootConstrainSelectedInstOperands,
     /*  633632 */     // GIR_Coverage, 11822,
     /*  633632 */     GIR_EraseRootFromParent_Done,
     /*  633633 */   // Label 10253: @633633
     /*  633633 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(633708), // Rule ID 11823 //
     /*  633638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  633649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  633652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  633655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  633687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633706 */     GIR_RootConstrainSelectedInstOperands,
     /*  633707 */     // GIR_Coverage, 11823,
     /*  633707 */     GIR_EraseRootFromParent_Done,
     /*  633708 */   // Label 10254: @633708
     /*  633708 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(633783), // Rule ID 11826 //
     /*  633713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  633762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633781 */     GIR_RootConstrainSelectedInstOperands,
     /*  633782 */     // GIR_Coverage, 11826,
     /*  633782 */     GIR_EraseRootFromParent_Done,
     /*  633783 */   // Label 10255: @633783
     /*  633783 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(633858), // Rule ID 11827 //
     /*  633788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  633837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633856 */     GIR_RootConstrainSelectedInstOperands,
     /*  633857 */     // GIR_Coverage, 11827,
     /*  633857 */     GIR_EraseRootFromParent_Done,
     /*  633858 */   // Label 10256: @633858
     /*  633858 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(633933), // Rule ID 11830 //
     /*  633863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  633912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633931 */     GIR_RootConstrainSelectedInstOperands,
     /*  633932 */     // GIR_Coverage, 11830,
     /*  633932 */     GIR_EraseRootFromParent_Done,
     /*  633933 */   // Label 10257: @633933
     /*  633933 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(634008), // Rule ID 11831 //
     /*  633938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  633987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634006 */     GIR_RootConstrainSelectedInstOperands,
     /*  634007 */     // GIR_Coverage, 11831,
     /*  634007 */     GIR_EraseRootFromParent_Done,
     /*  634008 */   // Label 10258: @634008
     /*  634008 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(634083), // Rule ID 11834 //
     /*  634013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  634062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634081 */     GIR_RootConstrainSelectedInstOperands,
     /*  634082 */     // GIR_Coverage, 11834,
     /*  634082 */     GIR_EraseRootFromParent_Done,
     /*  634083 */   // Label 10259: @634083
     /*  634083 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(634158), // Rule ID 11835 //
     /*  634088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  634137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634156 */     GIR_RootConstrainSelectedInstOperands,
     /*  634157 */     // GIR_Coverage, 11835,
     /*  634157 */     GIR_EraseRootFromParent_Done,
     /*  634158 */   // Label 10260: @634158
     /*  634158 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(634233), // Rule ID 11838 //
     /*  634163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  634212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634231 */     GIR_RootConstrainSelectedInstOperands,
     /*  634232 */     // GIR_Coverage, 11838,
     /*  634232 */     GIR_EraseRootFromParent_Done,
     /*  634233 */   // Label 10261: @634233
     /*  634233 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(634308), // Rule ID 11839 //
     /*  634238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  634287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634306 */     GIR_RootConstrainSelectedInstOperands,
     /*  634307 */     // GIR_Coverage, 11839,
     /*  634307 */     GIR_EraseRootFromParent_Done,
     /*  634308 */   // Label 10262: @634308
     /*  634308 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(634383), // Rule ID 11842 //
     /*  634313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  634362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634381 */     GIR_RootConstrainSelectedInstOperands,
     /*  634382 */     // GIR_Coverage, 11842,
     /*  634382 */     GIR_EraseRootFromParent_Done,
     /*  634383 */   // Label 10263: @634383
     /*  634383 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(634458), // Rule ID 11843 //
     /*  634388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  634437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634456 */     GIR_RootConstrainSelectedInstOperands,
     /*  634457 */     // GIR_Coverage, 11843,
     /*  634457 */     GIR_EraseRootFromParent_Done,
     /*  634458 */   // Label 10264: @634458
     /*  634458 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(634533), // Rule ID 11846 //
     /*  634463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  634512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634531 */     GIR_RootConstrainSelectedInstOperands,
     /*  634532 */     // GIR_Coverage, 11846,
     /*  634532 */     GIR_EraseRootFromParent_Done,
     /*  634533 */   // Label 10265: @634533
     /*  634533 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(634608), // Rule ID 11847 //
     /*  634538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  634549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  634552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  634555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  634587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634606 */     GIR_RootConstrainSelectedInstOperands,
     /*  634607 */     // GIR_Coverage, 11847,
     /*  634607 */     GIR_EraseRootFromParent_Done,
     /*  634608 */   // Label 10266: @634608
     /*  634608 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(634683), // Rule ID 11850 //
     /*  634613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  634662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634681 */     GIR_RootConstrainSelectedInstOperands,
     /*  634682 */     // GIR_Coverage, 11850,
     /*  634682 */     GIR_EraseRootFromParent_Done,
     /*  634683 */   // Label 10267: @634683
     /*  634683 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(634758), // Rule ID 11851 //
     /*  634688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  634737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634756 */     GIR_RootConstrainSelectedInstOperands,
     /*  634757 */     // GIR_Coverage, 11851,
     /*  634757 */     GIR_EraseRootFromParent_Done,
     /*  634758 */   // Label 10268: @634758
     /*  634758 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(634833), // Rule ID 11854 //
     /*  634763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  634812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634831 */     GIR_RootConstrainSelectedInstOperands,
     /*  634832 */     // GIR_Coverage, 11854,
     /*  634832 */     GIR_EraseRootFromParent_Done,
     /*  634833 */   // Label 10269: @634833
     /*  634833 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(634908), // Rule ID 11855 //
     /*  634838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  634887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634906 */     GIR_RootConstrainSelectedInstOperands,
     /*  634907 */     // GIR_Coverage, 11855,
     /*  634907 */     GIR_EraseRootFromParent_Done,
     /*  634908 */   // Label 10270: @634908
     /*  634908 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(634983), // Rule ID 11858 //
     /*  634913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  634962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634981 */     GIR_RootConstrainSelectedInstOperands,
     /*  634982 */     // GIR_Coverage, 11858,
     /*  634982 */     GIR_EraseRootFromParent_Done,
     /*  634983 */   // Label 10271: @634983
     /*  634983 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(635058), // Rule ID 11859 //
     /*  634988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  635037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635056 */     GIR_RootConstrainSelectedInstOperands,
     /*  635057 */     // GIR_Coverage, 11859,
     /*  635057 */     GIR_EraseRootFromParent_Done,
     /*  635058 */   // Label 10272: @635058
     /*  635058 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(635133), // Rule ID 11862 //
     /*  635063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635109 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  635112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635131 */     GIR_RootConstrainSelectedInstOperands,
     /*  635132 */     // GIR_Coverage, 11862,
     /*  635132 */     GIR_EraseRootFromParent_Done,
     /*  635133 */   // Label 10273: @635133
     /*  635133 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(635208), // Rule ID 11863 //
     /*  635138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  635187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635206 */     GIR_RootConstrainSelectedInstOperands,
     /*  635207 */     // GIR_Coverage, 11863,
     /*  635207 */     GIR_EraseRootFromParent_Done,
     /*  635208 */   // Label 10274: @635208
     /*  635208 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(635283), // Rule ID 11866 //
     /*  635213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  635233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  635262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635281 */     GIR_RootConstrainSelectedInstOperands,
     /*  635282 */     // GIR_Coverage, 11866,
     /*  635282 */     GIR_EraseRootFromParent_Done,
     /*  635283 */   // Label 10275: @635283
     /*  635283 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(635358), // Rule ID 11867 //
     /*  635288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  635308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  635337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635356 */     GIR_RootConstrainSelectedInstOperands,
     /*  635357 */     // GIR_Coverage, 11867,
     /*  635357 */     GIR_EraseRootFromParent_Done,
     /*  635358 */   // Label 10276: @635358
     /*  635358 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(635433), // Rule ID 11870 //
     /*  635363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  635383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  635412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635431 */     GIR_RootConstrainSelectedInstOperands,
     /*  635432 */     // GIR_Coverage, 11870,
     /*  635432 */     GIR_EraseRootFromParent_Done,
     /*  635433 */   // Label 10277: @635433
     /*  635433 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(635508), // Rule ID 11871 //
     /*  635438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  635458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  635487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635506 */     GIR_RootConstrainSelectedInstOperands,
     /*  635507 */     // GIR_Coverage, 11871,
     /*  635507 */     GIR_EraseRootFromParent_Done,
     /*  635508 */   // Label 10278: @635508
     /*  635508 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(635583), // Rule ID 11874 //
     /*  635513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  635533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  635562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635581 */     GIR_RootConstrainSelectedInstOperands,
     /*  635582 */     // GIR_Coverage, 11874,
     /*  635582 */     GIR_EraseRootFromParent_Done,
     /*  635583 */   // Label 10279: @635583
     /*  635583 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(635658), // Rule ID 11875 //
     /*  635588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  635599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  635602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  635605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  635608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  635637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635656 */     GIR_RootConstrainSelectedInstOperands,
     /*  635657 */     // GIR_Coverage, 11875,
     /*  635657 */     GIR_EraseRootFromParent_Done,
     /*  635658 */   // Label 10280: @635658
     /*  635658 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(635733), // Rule ID 11878 //
     /*  635663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  635712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635731 */     GIR_RootConstrainSelectedInstOperands,
     /*  635732 */     // GIR_Coverage, 11878,
     /*  635732 */     GIR_EraseRootFromParent_Done,
     /*  635733 */   // Label 10281: @635733
     /*  635733 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(635808), // Rule ID 11879 //
     /*  635738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  635787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635806 */     GIR_RootConstrainSelectedInstOperands,
     /*  635807 */     // GIR_Coverage, 11879,
     /*  635807 */     GIR_EraseRootFromParent_Done,
     /*  635808 */   // Label 10282: @635808
     /*  635808 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(635883), // Rule ID 11882 //
     /*  635813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  635862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635881 */     GIR_RootConstrainSelectedInstOperands,
     /*  635882 */     // GIR_Coverage, 11882,
     /*  635882 */     GIR_EraseRootFromParent_Done,
     /*  635883 */   // Label 10283: @635883
     /*  635883 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(635958), // Rule ID 11883 //
     /*  635888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  635937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635956 */     GIR_RootConstrainSelectedInstOperands,
     /*  635957 */     // GIR_Coverage, 11883,
     /*  635957 */     GIR_EraseRootFromParent_Done,
     /*  635958 */   // Label 10284: @635958
     /*  635958 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(636033), // Rule ID 11886 //
     /*  635963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  635971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  636012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636031 */     GIR_RootConstrainSelectedInstOperands,
     /*  636032 */     // GIR_Coverage, 11886,
     /*  636032 */     GIR_EraseRootFromParent_Done,
     /*  636033 */   // Label 10285: @636033
     /*  636033 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(636108), // Rule ID 11887 //
     /*  636038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  636058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  636087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636106 */     GIR_RootConstrainSelectedInstOperands,
     /*  636107 */     // GIR_Coverage, 11887,
     /*  636107 */     GIR_EraseRootFromParent_Done,
     /*  636108 */   // Label 10286: @636108
     /*  636108 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(636183), // Rule ID 11890 //
     /*  636113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  636133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  636162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636181 */     GIR_RootConstrainSelectedInstOperands,
     /*  636182 */     // GIR_Coverage, 11890,
     /*  636182 */     GIR_EraseRootFromParent_Done,
     /*  636183 */   // Label 10287: @636183
     /*  636183 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(636258), // Rule ID 11891 //
     /*  636188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  636208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  636237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636256 */     GIR_RootConstrainSelectedInstOperands,
     /*  636257 */     // GIR_Coverage, 11891,
     /*  636257 */     GIR_EraseRootFromParent_Done,
     /*  636258 */   // Label 10288: @636258
     /*  636258 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(636333), // Rule ID 11894 //
     /*  636263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  636283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  636312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636331 */     GIR_RootConstrainSelectedInstOperands,
     /*  636332 */     // GIR_Coverage, 11894,
     /*  636332 */     GIR_EraseRootFromParent_Done,
     /*  636333 */   // Label 10289: @636333
     /*  636333 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(636408), // Rule ID 11895 //
     /*  636338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  636358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  636387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636406 */     GIR_RootConstrainSelectedInstOperands,
     /*  636407 */     // GIR_Coverage, 11895,
     /*  636407 */     GIR_EraseRootFromParent_Done,
     /*  636408 */   // Label 10290: @636408
     /*  636408 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(636483), // Rule ID 11898 //
     /*  636413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  636433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  636462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636481 */     GIR_RootConstrainSelectedInstOperands,
     /*  636482 */     // GIR_Coverage, 11898,
     /*  636482 */     GIR_EraseRootFromParent_Done,
     /*  636483 */   // Label 10291: @636483
     /*  636483 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(636558), // Rule ID 11899 //
     /*  636488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  636499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  636502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  636505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  636508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  636537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636556 */     GIR_RootConstrainSelectedInstOperands,
     /*  636557 */     // GIR_Coverage, 11899,
     /*  636557 */     GIR_EraseRootFromParent_Done,
     /*  636558 */   // Label 10292: @636558
     /*  636558 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(636633), // Rule ID 11902 //
     /*  636563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  636583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  636612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636631 */     GIR_RootConstrainSelectedInstOperands,
     /*  636632 */     // GIR_Coverage, 11902,
     /*  636632 */     GIR_EraseRootFromParent_Done,
     /*  636633 */   // Label 10293: @636633
     /*  636633 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(636708), // Rule ID 11903 //
     /*  636638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  636649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  636652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  636655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  636658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  636687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636706 */     GIR_RootConstrainSelectedInstOperands,
     /*  636707 */     // GIR_Coverage, 11903,
     /*  636707 */     GIR_EraseRootFromParent_Done,
     /*  636708 */   // Label 10294: @636708
     /*  636708 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(636783), // Rule ID 11906 //
     /*  636713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636759 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  636762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636781 */     GIR_RootConstrainSelectedInstOperands,
     /*  636782 */     // GIR_Coverage, 11906,
     /*  636782 */     GIR_EraseRootFromParent_Done,
     /*  636783 */   // Label 10295: @636783
     /*  636783 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(636858), // Rule ID 11907 //
     /*  636788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636834 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  636837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636856 */     GIR_RootConstrainSelectedInstOperands,
     /*  636857 */     // GIR_Coverage, 11907,
     /*  636857 */     GIR_EraseRootFromParent_Done,
     /*  636858 */   // Label 10296: @636858
     /*  636858 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(636933), // Rule ID 11910 //
     /*  636863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  636912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636931 */     GIR_RootConstrainSelectedInstOperands,
     /*  636932 */     // GIR_Coverage, 11910,
     /*  636932 */     GIR_EraseRootFromParent_Done,
     /*  636933 */   // Label 10297: @636933
     /*  636933 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(637008), // Rule ID 11911 //
     /*  636938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  636946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  636987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637006 */     GIR_RootConstrainSelectedInstOperands,
     /*  637007 */     // GIR_Coverage, 11911,
     /*  637007 */     GIR_EraseRootFromParent_Done,
     /*  637008 */   // Label 10298: @637008
     /*  637008 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(637083), // Rule ID 11914 //
     /*  637013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  637033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  637062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637081 */     GIR_RootConstrainSelectedInstOperands,
     /*  637082 */     // GIR_Coverage, 11914,
     /*  637082 */     GIR_EraseRootFromParent_Done,
     /*  637083 */   // Label 10299: @637083
     /*  637083 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(637158), // Rule ID 11915 //
     /*  637088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  637108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  637137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637156 */     GIR_RootConstrainSelectedInstOperands,
     /*  637157 */     // GIR_Coverage, 11915,
     /*  637157 */     GIR_EraseRootFromParent_Done,
     /*  637158 */   // Label 10300: @637158
     /*  637158 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(637233), // Rule ID 11918 //
     /*  637163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  637183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  637212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637231 */     GIR_RootConstrainSelectedInstOperands,
     /*  637232 */     // GIR_Coverage, 11918,
     /*  637232 */     GIR_EraseRootFromParent_Done,
     /*  637233 */   // Label 10301: @637233
     /*  637233 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(637308), // Rule ID 11919 //
     /*  637238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  637258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  637287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637306 */     GIR_RootConstrainSelectedInstOperands,
     /*  637307 */     // GIR_Coverage, 11919,
     /*  637307 */     GIR_EraseRootFromParent_Done,
     /*  637308 */   // Label 10302: @637308
     /*  637308 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(637383), // Rule ID 11922 //
     /*  637313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  637333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  637362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637381 */     GIR_RootConstrainSelectedInstOperands,
     /*  637382 */     // GIR_Coverage, 11922,
     /*  637382 */     GIR_EraseRootFromParent_Done,
     /*  637383 */   // Label 10303: @637383
     /*  637383 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(637458), // Rule ID 11923 //
     /*  637388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  637408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  637437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637456 */     GIR_RootConstrainSelectedInstOperands,
     /*  637457 */     // GIR_Coverage, 11923,
     /*  637457 */     GIR_EraseRootFromParent_Done,
     /*  637458 */   // Label 10304: @637458
     /*  637458 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(637533), // Rule ID 11926 //
     /*  637463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  637483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  637512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637531 */     GIR_RootConstrainSelectedInstOperands,
     /*  637532 */     // GIR_Coverage, 11926,
     /*  637532 */     GIR_EraseRootFromParent_Done,
     /*  637533 */   // Label 10305: @637533
     /*  637533 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(637608), // Rule ID 11927 //
     /*  637538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  637549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  637552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  637555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  637558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  637587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637606 */     GIR_RootConstrainSelectedInstOperands,
     /*  637607 */     // GIR_Coverage, 11927,
     /*  637607 */     GIR_EraseRootFromParent_Done,
     /*  637608 */   // Label 10306: @637608
     /*  637608 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(637683), // Rule ID 11930 //
     /*  637613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  637633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  637662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637681 */     GIR_RootConstrainSelectedInstOperands,
     /*  637682 */     // GIR_Coverage, 11930,
     /*  637682 */     GIR_EraseRootFromParent_Done,
     /*  637683 */   // Label 10307: @637683
     /*  637683 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(637758), // Rule ID 11931 //
     /*  637688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  637708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  637737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637756 */     GIR_RootConstrainSelectedInstOperands,
     /*  637757 */     // GIR_Coverage, 11931,
     /*  637757 */     GIR_EraseRootFromParent_Done,
     /*  637758 */   // Label 10308: @637758
     /*  637758 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(637833), // Rule ID 11934 //
     /*  637763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  637812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637831 */     GIR_RootConstrainSelectedInstOperands,
     /*  637832 */     // GIR_Coverage, 11934,
     /*  637832 */     GIR_EraseRootFromParent_Done,
     /*  637833 */   // Label 10309: @637833
     /*  637833 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(637908), // Rule ID 11935 //
     /*  637838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  637887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637906 */     GIR_RootConstrainSelectedInstOperands,
     /*  637907 */     // GIR_Coverage, 11935,
     /*  637907 */     GIR_EraseRootFromParent_Done,
     /*  637908 */   // Label 10310: @637908
     /*  637908 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(637983), // Rule ID 11938 //
     /*  637913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  637962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637981 */     GIR_RootConstrainSelectedInstOperands,
     /*  637982 */     // GIR_Coverage, 11938,
     /*  637982 */     GIR_EraseRootFromParent_Done,
     /*  637983 */   // Label 10311: @637983
     /*  637983 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(638058), // Rule ID 11939 //
     /*  637988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  637996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  638008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  638037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638056 */     GIR_RootConstrainSelectedInstOperands,
     /*  638057 */     // GIR_Coverage, 11939,
     /*  638057 */     GIR_EraseRootFromParent_Done,
     /*  638058 */   // Label 10312: @638058
     /*  638058 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(638133), // Rule ID 11942 //
     /*  638063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  638083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  638112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638131 */     GIR_RootConstrainSelectedInstOperands,
     /*  638132 */     // GIR_Coverage, 11942,
     /*  638132 */     GIR_EraseRootFromParent_Done,
     /*  638133 */   // Label 10313: @638133
     /*  638133 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(638208), // Rule ID 11943 //
     /*  638138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  638158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  638187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638206 */     GIR_RootConstrainSelectedInstOperands,
     /*  638207 */     // GIR_Coverage, 11943,
     /*  638207 */     GIR_EraseRootFromParent_Done,
     /*  638208 */   // Label 10314: @638208
     /*  638208 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(638283), // Rule ID 11946 //
     /*  638213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  638233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  638262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638281 */     GIR_RootConstrainSelectedInstOperands,
     /*  638282 */     // GIR_Coverage, 11946,
     /*  638282 */     GIR_EraseRootFromParent_Done,
     /*  638283 */   // Label 10315: @638283
     /*  638283 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(638358), // Rule ID 11947 //
     /*  638288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  638308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  638337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638356 */     GIR_RootConstrainSelectedInstOperands,
     /*  638357 */     // GIR_Coverage, 11947,
     /*  638357 */     GIR_EraseRootFromParent_Done,
     /*  638358 */   // Label 10316: @638358
     /*  638358 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(638433), // Rule ID 11950 //
     /*  638363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  638383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  638412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638431 */     GIR_RootConstrainSelectedInstOperands,
     /*  638432 */     // GIR_Coverage, 11950,
     /*  638432 */     GIR_EraseRootFromParent_Done,
     /*  638433 */   // Label 10317: @638433
     /*  638433 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(638508), // Rule ID 11951 //
     /*  638438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  638458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  638487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638506 */     GIR_RootConstrainSelectedInstOperands,
     /*  638507 */     // GIR_Coverage, 11951,
     /*  638507 */     GIR_EraseRootFromParent_Done,
     /*  638508 */   // Label 10318: @638508
     /*  638508 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(638583), // Rule ID 11954 //
     /*  638513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  638562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638581 */     GIR_RootConstrainSelectedInstOperands,
     /*  638582 */     // GIR_Coverage, 11954,
     /*  638582 */     GIR_EraseRootFromParent_Done,
     /*  638583 */   // Label 10319: @638583
     /*  638583 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(638658), // Rule ID 11955 //
     /*  638588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  638599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  638602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  638605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  638637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638656 */     GIR_RootConstrainSelectedInstOperands,
     /*  638657 */     // GIR_Coverage, 11955,
     /*  638657 */     GIR_EraseRootFromParent_Done,
     /*  638658 */   // Label 10320: @638658
     /*  638658 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(638733), // Rule ID 11958 //
     /*  638663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  638712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638731 */     GIR_RootConstrainSelectedInstOperands,
     /*  638732 */     // GIR_Coverage, 11958,
     /*  638732 */     GIR_EraseRootFromParent_Done,
     /*  638733 */   // Label 10321: @638733
     /*  638733 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(638808), // Rule ID 11959 //
     /*  638738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  638787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638806 */     GIR_RootConstrainSelectedInstOperands,
     /*  638807 */     // GIR_Coverage, 11959,
     /*  638807 */     GIR_EraseRootFromParent_Done,
     /*  638808 */   // Label 10322: @638808
     /*  638808 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(638883), // Rule ID 11962 //
     /*  638813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  638862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638881 */     GIR_RootConstrainSelectedInstOperands,
     /*  638882 */     // GIR_Coverage, 11962,
     /*  638882 */     GIR_EraseRootFromParent_Done,
     /*  638883 */   // Label 10323: @638883
     /*  638883 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(638958), // Rule ID 11963 //
     /*  638888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  638937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638956 */     GIR_RootConstrainSelectedInstOperands,
     /*  638957 */     // GIR_Coverage, 11963,
     /*  638957 */     GIR_EraseRootFromParent_Done,
     /*  638958 */   // Label 10324: @638958
     /*  638958 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(639033), // Rule ID 11966 //
     /*  638963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  638971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  639012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639031 */     GIR_RootConstrainSelectedInstOperands,
     /*  639032 */     // GIR_Coverage, 11966,
     /*  639032 */     GIR_EraseRootFromParent_Done,
     /*  639033 */   // Label 10325: @639033
     /*  639033 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(639108), // Rule ID 11967 //
     /*  639038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  639087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639106 */     GIR_RootConstrainSelectedInstOperands,
     /*  639107 */     // GIR_Coverage, 11967,
     /*  639107 */     GIR_EraseRootFromParent_Done,
     /*  639108 */   // Label 10326: @639108
     /*  639108 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(639183), // Rule ID 11970 //
     /*  639113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  639162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639181 */     GIR_RootConstrainSelectedInstOperands,
     /*  639182 */     // GIR_Coverage, 11970,
     /*  639182 */     GIR_EraseRootFromParent_Done,
     /*  639183 */   // Label 10327: @639183
     /*  639183 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(639258), // Rule ID 11971 //
     /*  639188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  639237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639256 */     GIR_RootConstrainSelectedInstOperands,
     /*  639257 */     // GIR_Coverage, 11971,
     /*  639257 */     GIR_EraseRootFromParent_Done,
     /*  639258 */   // Label 10328: @639258
     /*  639258 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(639333), // Rule ID 11974 //
     /*  639263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  639312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639331 */     GIR_RootConstrainSelectedInstOperands,
     /*  639332 */     // GIR_Coverage, 11974,
     /*  639332 */     GIR_EraseRootFromParent_Done,
     /*  639333 */   // Label 10329: @639333
     /*  639333 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(639408), // Rule ID 11975 //
     /*  639338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  639387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639406 */     GIR_RootConstrainSelectedInstOperands,
     /*  639407 */     // GIR_Coverage, 11975,
     /*  639407 */     GIR_EraseRootFromParent_Done,
     /*  639408 */   // Label 10330: @639408
     /*  639408 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(639483), // Rule ID 11978 //
     /*  639413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  639462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639481 */     GIR_RootConstrainSelectedInstOperands,
     /*  639482 */     // GIR_Coverage, 11978,
     /*  639482 */     GIR_EraseRootFromParent_Done,
     /*  639483 */   // Label 10331: @639483
     /*  639483 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(639558), // Rule ID 11979 //
     /*  639488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  639499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  639502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  639505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  639537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639556 */     GIR_RootConstrainSelectedInstOperands,
     /*  639557 */     // GIR_Coverage, 11979,
     /*  639557 */     GIR_EraseRootFromParent_Done,
     /*  639558 */   // Label 10332: @639558
     /*  639558 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(639633), // Rule ID 11982 //
     /*  639563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  639612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639631 */     GIR_RootConstrainSelectedInstOperands,
     /*  639632 */     // GIR_Coverage, 11982,
     /*  639632 */     GIR_EraseRootFromParent_Done,
     /*  639633 */   // Label 10333: @639633
     /*  639633 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(639708), // Rule ID 11983 //
     /*  639638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  639649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  639652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  639655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  639687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639706 */     GIR_RootConstrainSelectedInstOperands,
     /*  639707 */     // GIR_Coverage, 11983,
     /*  639707 */     GIR_EraseRootFromParent_Done,
     /*  639708 */   // Label 10334: @639708
     /*  639708 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(639783), // Rule ID 11986 //
     /*  639713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  639762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639781 */     GIR_RootConstrainSelectedInstOperands,
     /*  639782 */     // GIR_Coverage, 11986,
     /*  639782 */     GIR_EraseRootFromParent_Done,
     /*  639783 */   // Label 10335: @639783
     /*  639783 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(639858), // Rule ID 11987 //
     /*  639788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  639837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639856 */     GIR_RootConstrainSelectedInstOperands,
     /*  639857 */     // GIR_Coverage, 11987,
     /*  639857 */     GIR_EraseRootFromParent_Done,
     /*  639858 */   // Label 10336: @639858
     /*  639858 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(639933), // Rule ID 11990 //
     /*  639863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  639866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  639912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639931 */     GIR_RootConstrainSelectedInstOperands,
     /*  639932 */     // GIR_Coverage, 11990,
     /*  639932 */     GIR_EraseRootFromParent_Done,
     /*  639933 */   // Label 10337: @639933
     /*  639933 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(640008), // Rule ID 11991 //
     /*  639938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  639946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  639987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640006 */     GIR_RootConstrainSelectedInstOperands,
     /*  640007 */     // GIR_Coverage, 11991,
     /*  640007 */     GIR_EraseRootFromParent_Done,
     /*  640008 */   // Label 10338: @640008
     /*  640008 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(640083), // Rule ID 11994 //
     /*  640013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  640062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640081 */     GIR_RootConstrainSelectedInstOperands,
     /*  640082 */     // GIR_Coverage, 11994,
     /*  640082 */     GIR_EraseRootFromParent_Done,
     /*  640083 */   // Label 10339: @640083
     /*  640083 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(640158), // Rule ID 11995 //
     /*  640088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  640137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640156 */     GIR_RootConstrainSelectedInstOperands,
     /*  640157 */     // GIR_Coverage, 11995,
     /*  640157 */     GIR_EraseRootFromParent_Done,
     /*  640158 */   // Label 10340: @640158
     /*  640158 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(640233), // Rule ID 11998 //
     /*  640163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  640212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640231 */     GIR_RootConstrainSelectedInstOperands,
     /*  640232 */     // GIR_Coverage, 11998,
     /*  640232 */     GIR_EraseRootFromParent_Done,
     /*  640233 */   // Label 10341: @640233
     /*  640233 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(640308), // Rule ID 11999 //
     /*  640238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  640287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640306 */     GIR_RootConstrainSelectedInstOperands,
     /*  640307 */     // GIR_Coverage, 11999,
     /*  640307 */     GIR_EraseRootFromParent_Done,
     /*  640308 */   // Label 10342: @640308
     /*  640308 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(640383), // Rule ID 12002 //
     /*  640313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  640362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640381 */     GIR_RootConstrainSelectedInstOperands,
     /*  640382 */     // GIR_Coverage, 12002,
     /*  640382 */     GIR_EraseRootFromParent_Done,
     /*  640383 */   // Label 10343: @640383
     /*  640383 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(640458), // Rule ID 12003 //
     /*  640388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640434 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  640437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640456 */     GIR_RootConstrainSelectedInstOperands,
     /*  640457 */     // GIR_Coverage, 12003,
     /*  640457 */     GIR_EraseRootFromParent_Done,
     /*  640458 */   // Label 10344: @640458
     /*  640458 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(640533), // Rule ID 12006 //
     /*  640463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  640512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640531 */     GIR_RootConstrainSelectedInstOperands,
     /*  640532 */     // GIR_Coverage, 12006,
     /*  640532 */     GIR_EraseRootFromParent_Done,
     /*  640533 */   // Label 10345: @640533
     /*  640533 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(640608), // Rule ID 12007 //
     /*  640538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  640549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  640552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  640555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  640587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640606 */     GIR_RootConstrainSelectedInstOperands,
     /*  640607 */     // GIR_Coverage, 12007,
     /*  640607 */     GIR_EraseRootFromParent_Done,
     /*  640608 */   // Label 10346: @640608
     /*  640608 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(640683), // Rule ID 12010 //
     /*  640613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  640662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640681 */     GIR_RootConstrainSelectedInstOperands,
     /*  640682 */     // GIR_Coverage, 12010,
     /*  640682 */     GIR_EraseRootFromParent_Done,
     /*  640683 */   // Label 10347: @640683
     /*  640683 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(640758), // Rule ID 12011 //
     /*  640688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  640737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640756 */     GIR_RootConstrainSelectedInstOperands,
     /*  640757 */     // GIR_Coverage, 12011,
     /*  640757 */     GIR_EraseRootFromParent_Done,
     /*  640758 */   // Label 10348: @640758
     /*  640758 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(640833), // Rule ID 12014 //
     /*  640763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  640812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640831 */     GIR_RootConstrainSelectedInstOperands,
     /*  640832 */     // GIR_Coverage, 12014,
     /*  640832 */     GIR_EraseRootFromParent_Done,
     /*  640833 */   // Label 10349: @640833
     /*  640833 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(640908), // Rule ID 12015 //
     /*  640838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  640887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640906 */     GIR_RootConstrainSelectedInstOperands,
     /*  640907 */     // GIR_Coverage, 12015,
     /*  640907 */     GIR_EraseRootFromParent_Done,
     /*  640908 */   // Label 10350: @640908
     /*  640908 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(640983), // Rule ID 12018 //
     /*  640913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  640962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640981 */     GIR_RootConstrainSelectedInstOperands,
     /*  640982 */     // GIR_Coverage, 12018,
     /*  640982 */     GIR_EraseRootFromParent_Done,
     /*  640983 */   // Label 10351: @640983
     /*  640983 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(641058), // Rule ID 12019 //
     /*  640988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  641037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641056 */     GIR_RootConstrainSelectedInstOperands,
     /*  641057 */     // GIR_Coverage, 12019,
     /*  641057 */     GIR_EraseRootFromParent_Done,
     /*  641058 */   // Label 10352: @641058
     /*  641058 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(641133), // Rule ID 12022 //
     /*  641063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  641112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641131 */     GIR_RootConstrainSelectedInstOperands,
     /*  641132 */     // GIR_Coverage, 12022,
     /*  641132 */     GIR_EraseRootFromParent_Done,
     /*  641133 */   // Label 10353: @641133
     /*  641133 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(641208), // Rule ID 12023 //
     /*  641138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  641187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641206 */     GIR_RootConstrainSelectedInstOperands,
     /*  641207 */     // GIR_Coverage, 12023,
     /*  641207 */     GIR_EraseRootFromParent_Done,
     /*  641208 */   // Label 10354: @641208
     /*  641208 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(641283), // Rule ID 12026 //
     /*  641213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  641262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641281 */     GIR_RootConstrainSelectedInstOperands,
     /*  641282 */     // GIR_Coverage, 12026,
     /*  641282 */     GIR_EraseRootFromParent_Done,
     /*  641283 */   // Label 10355: @641283
     /*  641283 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(641358), // Rule ID 12027 //
     /*  641288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  641337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641356 */     GIR_RootConstrainSelectedInstOperands,
     /*  641357 */     // GIR_Coverage, 12027,
     /*  641357 */     GIR_EraseRootFromParent_Done,
     /*  641358 */   // Label 10356: @641358
     /*  641358 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(641433), // Rule ID 12030 //
     /*  641363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  641412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641431 */     GIR_RootConstrainSelectedInstOperands,
     /*  641432 */     // GIR_Coverage, 12030,
     /*  641432 */     GIR_EraseRootFromParent_Done,
     /*  641433 */   // Label 10357: @641433
     /*  641433 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(641508), // Rule ID 12031 //
     /*  641438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  641487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641506 */     GIR_RootConstrainSelectedInstOperands,
     /*  641507 */     // GIR_Coverage, 12031,
     /*  641507 */     GIR_EraseRootFromParent_Done,
     /*  641508 */   // Label 10358: @641508
     /*  641508 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(641583), // Rule ID 12034 //
     /*  641513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641559 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  641562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641581 */     GIR_RootConstrainSelectedInstOperands,
     /*  641582 */     // GIR_Coverage, 12034,
     /*  641582 */     GIR_EraseRootFromParent_Done,
     /*  641583 */   // Label 10359: @641583
     /*  641583 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(641658), // Rule ID 12035 //
     /*  641588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  641599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  641602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  641605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  641637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641656 */     GIR_RootConstrainSelectedInstOperands,
     /*  641657 */     // GIR_Coverage, 12035,
     /*  641657 */     GIR_EraseRootFromParent_Done,
     /*  641658 */   // Label 10360: @641658
     /*  641658 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(641733), // Rule ID 12038 //
     /*  641663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  641712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641731 */     GIR_RootConstrainSelectedInstOperands,
     /*  641732 */     // GIR_Coverage, 12038,
     /*  641732 */     GIR_EraseRootFromParent_Done,
     /*  641733 */   // Label 10361: @641733
     /*  641733 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(641808), // Rule ID 12039 //
     /*  641738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  641787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641806 */     GIR_RootConstrainSelectedInstOperands,
     /*  641807 */     // GIR_Coverage, 12039,
     /*  641807 */     GIR_EraseRootFromParent_Done,
     /*  641808 */   // Label 10362: @641808
     /*  641808 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(641883), // Rule ID 12042 //
     /*  641813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  641821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  641862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641881 */     GIR_RootConstrainSelectedInstOperands,
     /*  641882 */     // GIR_Coverage, 12042,
     /*  641882 */     GIR_EraseRootFromParent_Done,
     /*  641883 */   // Label 10363: @641883
     /*  641883 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(641958), // Rule ID 12043 //
     /*  641888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  641896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  641937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641956 */     GIR_RootConstrainSelectedInstOperands,
     /*  641957 */     // GIR_Coverage, 12043,
     /*  641957 */     GIR_EraseRootFromParent_Done,
     /*  641958 */   // Label 10364: @641958
     /*  641958 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(642033), // Rule ID 12046 //
     /*  641963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  641971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  642012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642031 */     GIR_RootConstrainSelectedInstOperands,
     /*  642032 */     // GIR_Coverage, 12046,
     /*  642032 */     GIR_EraseRootFromParent_Done,
     /*  642033 */   // Label 10365: @642033
     /*  642033 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(642108), // Rule ID 12047 //
     /*  642038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  642058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  642087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642106 */     GIR_RootConstrainSelectedInstOperands,
     /*  642107 */     // GIR_Coverage, 12047,
     /*  642107 */     GIR_EraseRootFromParent_Done,
     /*  642108 */   // Label 10366: @642108
     /*  642108 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(642183), // Rule ID 12050 //
     /*  642113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  642133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  642162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642181 */     GIR_RootConstrainSelectedInstOperands,
     /*  642182 */     // GIR_Coverage, 12050,
     /*  642182 */     GIR_EraseRootFromParent_Done,
     /*  642183 */   // Label 10367: @642183
     /*  642183 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(642258), // Rule ID 12051 //
     /*  642188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  642208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642234 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  642237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642256 */     GIR_RootConstrainSelectedInstOperands,
     /*  642257 */     // GIR_Coverage, 12051,
     /*  642257 */     GIR_EraseRootFromParent_Done,
     /*  642258 */   // Label 10368: @642258
     /*  642258 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(642333), // Rule ID 12054 //
     /*  642263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  642283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  642312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642331 */     GIR_RootConstrainSelectedInstOperands,
     /*  642332 */     // GIR_Coverage, 12054,
     /*  642332 */     GIR_EraseRootFromParent_Done,
     /*  642333 */   // Label 10369: @642333
     /*  642333 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(642408), // Rule ID 12055 //
     /*  642338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  642358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  642387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642406 */     GIR_RootConstrainSelectedInstOperands,
     /*  642407 */     // GIR_Coverage, 12055,
     /*  642407 */     GIR_EraseRootFromParent_Done,
     /*  642408 */   // Label 10370: @642408
     /*  642408 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(642483), // Rule ID 12058 //
     /*  642413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  642433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  642462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642481 */     GIR_RootConstrainSelectedInstOperands,
     /*  642482 */     // GIR_Coverage, 12058,
     /*  642482 */     GIR_EraseRootFromParent_Done,
     /*  642483 */   // Label 10371: @642483
     /*  642483 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(642558), // Rule ID 12059 //
     /*  642488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  642499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  642502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  642505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  642508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  642537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642556 */     GIR_RootConstrainSelectedInstOperands,
     /*  642557 */     // GIR_Coverage, 12059,
     /*  642557 */     GIR_EraseRootFromParent_Done,
     /*  642558 */   // Label 10372: @642558
     /*  642558 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(642633), // Rule ID 12062 //
     /*  642563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  642583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  642612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642631 */     GIR_RootConstrainSelectedInstOperands,
     /*  642632 */     // GIR_Coverage, 12062,
     /*  642632 */     GIR_EraseRootFromParent_Done,
     /*  642633 */   // Label 10373: @642633
     /*  642633 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(642708), // Rule ID 12063 //
     /*  642638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  642649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  642652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  642655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  642658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  642687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642706 */     GIR_RootConstrainSelectedInstOperands,
     /*  642707 */     // GIR_Coverage, 12063,
     /*  642707 */     GIR_EraseRootFromParent_Done,
     /*  642708 */   // Label 10374: @642708
     /*  642708 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(642783), // Rule ID 12066 //
     /*  642713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  642762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642781 */     GIR_RootConstrainSelectedInstOperands,
     /*  642782 */     // GIR_Coverage, 12066,
     /*  642782 */     GIR_EraseRootFromParent_Done,
     /*  642783 */   // Label 10375: @642783
     /*  642783 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(642858), // Rule ID 12067 //
     /*  642788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  642837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642856 */     GIR_RootConstrainSelectedInstOperands,
     /*  642857 */     // GIR_Coverage, 12067,
     /*  642857 */     GIR_EraseRootFromParent_Done,
     /*  642858 */   // Label 10376: @642858
     /*  642858 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(642933), // Rule ID 12070 //
     /*  642863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  642912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642931 */     GIR_RootConstrainSelectedInstOperands,
     /*  642932 */     // GIR_Coverage, 12070,
     /*  642932 */     GIR_EraseRootFromParent_Done,
     /*  642933 */   // Label 10377: @642933
     /*  642933 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(643008), // Rule ID 12071 //
     /*  642938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  642946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  642987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643006 */     GIR_RootConstrainSelectedInstOperands,
     /*  643007 */     // GIR_Coverage, 12071,
     /*  643007 */     GIR_EraseRootFromParent_Done,
     /*  643008 */   // Label 10378: @643008
     /*  643008 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(643083), // Rule ID 12074 //
     /*  643013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  643033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  643062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643081 */     GIR_RootConstrainSelectedInstOperands,
     /*  643082 */     // GIR_Coverage, 12074,
     /*  643082 */     GIR_EraseRootFromParent_Done,
     /*  643083 */   // Label 10379: @643083
     /*  643083 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(643158), // Rule ID 12075 //
     /*  643088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  643108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  643137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643156 */     GIR_RootConstrainSelectedInstOperands,
     /*  643157 */     // GIR_Coverage, 12075,
     /*  643157 */     GIR_EraseRootFromParent_Done,
     /*  643158 */   // Label 10380: @643158
     /*  643158 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(643233), // Rule ID 12078 //
     /*  643163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  643183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  643212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643231 */     GIR_RootConstrainSelectedInstOperands,
     /*  643232 */     // GIR_Coverage, 12078,
     /*  643232 */     GIR_EraseRootFromParent_Done,
     /*  643233 */   // Label 10381: @643233
     /*  643233 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(643308), // Rule ID 12079 //
     /*  643238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  643258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  643287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643306 */     GIR_RootConstrainSelectedInstOperands,
     /*  643307 */     // GIR_Coverage, 12079,
     /*  643307 */     GIR_EraseRootFromParent_Done,
     /*  643308 */   // Label 10382: @643308
     /*  643308 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(643383), // Rule ID 12082 //
     /*  643313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  643333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  643362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643381 */     GIR_RootConstrainSelectedInstOperands,
     /*  643382 */     // GIR_Coverage, 12082,
     /*  643382 */     GIR_EraseRootFromParent_Done,
     /*  643383 */   // Label 10383: @643383
     /*  643383 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(643458), // Rule ID 12083 //
     /*  643388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  643408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  643437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643456 */     GIR_RootConstrainSelectedInstOperands,
     /*  643457 */     // GIR_Coverage, 12083,
     /*  643457 */     GIR_EraseRootFromParent_Done,
     /*  643458 */   // Label 10384: @643458
     /*  643458 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(643533), // Rule ID 12086 //
     /*  643463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  643483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  643512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643531 */     GIR_RootConstrainSelectedInstOperands,
     /*  643532 */     // GIR_Coverage, 12086,
     /*  643532 */     GIR_EraseRootFromParent_Done,
     /*  643533 */   // Label 10385: @643533
     /*  643533 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(643608), // Rule ID 12087 //
     /*  643538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  643549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  643552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  643555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  643558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  643587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643606 */     GIR_RootConstrainSelectedInstOperands,
     /*  643607 */     // GIR_Coverage, 12087,
     /*  643607 */     GIR_EraseRootFromParent_Done,
     /*  643608 */   // Label 10386: @643608
     /*  643608 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(643683), // Rule ID 12090 //
     /*  643613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  643633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  643662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643681 */     GIR_RootConstrainSelectedInstOperands,
     /*  643682 */     // GIR_Coverage, 12090,
     /*  643682 */     GIR_EraseRootFromParent_Done,
     /*  643683 */   // Label 10387: @643683
     /*  643683 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(643758), // Rule ID 12091 //
     /*  643688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  643708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643734 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  643737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643756 */     GIR_RootConstrainSelectedInstOperands,
     /*  643757 */     // GIR_Coverage, 12091,
     /*  643757 */     GIR_EraseRootFromParent_Done,
     /*  643758 */   // Label 10388: @643758
     /*  643758 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(643833), // Rule ID 12094 //
     /*  643763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  643812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643831 */     GIR_RootConstrainSelectedInstOperands,
     /*  643832 */     // GIR_Coverage, 12094,
     /*  643832 */     GIR_EraseRootFromParent_Done,
     /*  643833 */   // Label 10389: @643833
     /*  643833 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(643908), // Rule ID 12095 //
     /*  643838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  643887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643906 */     GIR_RootConstrainSelectedInstOperands,
     /*  643907 */     // GIR_Coverage, 12095,
     /*  643907 */     GIR_EraseRootFromParent_Done,
     /*  643908 */   // Label 10390: @643908
     /*  643908 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(643983), // Rule ID 12098 //
     /*  643913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  643962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643981 */     GIR_RootConstrainSelectedInstOperands,
     /*  643982 */     // GIR_Coverage, 12098,
     /*  643982 */     GIR_EraseRootFromParent_Done,
     /*  643983 */   // Label 10391: @643983
     /*  643983 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(644058), // Rule ID 12099 //
     /*  643988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  643996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  644008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  644037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644056 */     GIR_RootConstrainSelectedInstOperands,
     /*  644057 */     // GIR_Coverage, 12099,
     /*  644057 */     GIR_EraseRootFromParent_Done,
     /*  644058 */   // Label 10392: @644058
     /*  644058 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(644133), // Rule ID 12102 //
     /*  644063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  644083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644109 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  644112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644131 */     GIR_RootConstrainSelectedInstOperands,
     /*  644132 */     // GIR_Coverage, 12102,
     /*  644132 */     GIR_EraseRootFromParent_Done,
     /*  644133 */   // Label 10393: @644133
     /*  644133 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(644208), // Rule ID 12103 //
     /*  644138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  644158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  644187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644206 */     GIR_RootConstrainSelectedInstOperands,
     /*  644207 */     // GIR_Coverage, 12103,
     /*  644207 */     GIR_EraseRootFromParent_Done,
     /*  644208 */   // Label 10394: @644208
     /*  644208 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(644283), // Rule ID 12106 //
     /*  644213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  644233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  644262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644281 */     GIR_RootConstrainSelectedInstOperands,
     /*  644282 */     // GIR_Coverage, 12106,
     /*  644282 */     GIR_EraseRootFromParent_Done,
     /*  644283 */   // Label 10395: @644283
     /*  644283 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(644358), // Rule ID 12107 //
     /*  644288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  644308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  644337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644356 */     GIR_RootConstrainSelectedInstOperands,
     /*  644357 */     // GIR_Coverage, 12107,
     /*  644357 */     GIR_EraseRootFromParent_Done,
     /*  644358 */   // Label 10396: @644358
     /*  644358 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(644433), // Rule ID 12110 //
     /*  644363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  644383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  644412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644431 */     GIR_RootConstrainSelectedInstOperands,
     /*  644432 */     // GIR_Coverage, 12110,
     /*  644432 */     GIR_EraseRootFromParent_Done,
     /*  644433 */   // Label 10397: @644433
     /*  644433 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(644508), // Rule ID 12111 //
     /*  644438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  644458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  644487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644506 */     GIR_RootConstrainSelectedInstOperands,
     /*  644507 */     // GIR_Coverage, 12111,
     /*  644507 */     GIR_EraseRootFromParent_Done,
     /*  644508 */   // Label 10398: @644508
     /*  644508 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(644583), // Rule ID 12114 //
     /*  644513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  644533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  644562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644581 */     GIR_RootConstrainSelectedInstOperands,
     /*  644582 */     // GIR_Coverage, 12114,
     /*  644582 */     GIR_EraseRootFromParent_Done,
     /*  644583 */   // Label 10399: @644583
     /*  644583 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(644658), // Rule ID 12115 //
     /*  644588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  644599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  644602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  644605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  644608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  644637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644656 */     GIR_RootConstrainSelectedInstOperands,
     /*  644657 */     // GIR_Coverage, 12115,
     /*  644657 */     GIR_EraseRootFromParent_Done,
     /*  644658 */   // Label 10400: @644658
     /*  644658 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(644733), // Rule ID 12118 //
     /*  644663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  644712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644731 */     GIR_RootConstrainSelectedInstOperands,
     /*  644732 */     // GIR_Coverage, 12118,
     /*  644732 */     GIR_EraseRootFromParent_Done,
     /*  644733 */   // Label 10401: @644733
     /*  644733 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(644808), // Rule ID 12119 //
     /*  644738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  644787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644806 */     GIR_RootConstrainSelectedInstOperands,
     /*  644807 */     // GIR_Coverage, 12119,
     /*  644807 */     GIR_EraseRootFromParent_Done,
     /*  644808 */   // Label 10402: @644808
     /*  644808 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(644883), // Rule ID 12122 //
     /*  644813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  644862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644881 */     GIR_RootConstrainSelectedInstOperands,
     /*  644882 */     // GIR_Coverage, 12122,
     /*  644882 */     GIR_EraseRootFromParent_Done,
     /*  644883 */   // Label 10403: @644883
     /*  644883 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(644958), // Rule ID 12123 //
     /*  644888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  644937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644956 */     GIR_RootConstrainSelectedInstOperands,
     /*  644957 */     // GIR_Coverage, 12123,
     /*  644957 */     GIR_EraseRootFromParent_Done,
     /*  644958 */   // Label 10404: @644958
     /*  644958 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(645033), // Rule ID 12126 //
     /*  644963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  644971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  645012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645031 */     GIR_RootConstrainSelectedInstOperands,
     /*  645032 */     // GIR_Coverage, 12126,
     /*  645032 */     GIR_EraseRootFromParent_Done,
     /*  645033 */   // Label 10405: @645033
     /*  645033 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(645108), // Rule ID 12127 //
     /*  645038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  645058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  645087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645106 */     GIR_RootConstrainSelectedInstOperands,
     /*  645107 */     // GIR_Coverage, 12127,
     /*  645107 */     GIR_EraseRootFromParent_Done,
     /*  645108 */   // Label 10406: @645108
     /*  645108 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(645183), // Rule ID 12130 //
     /*  645113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645159 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  645162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645181 */     GIR_RootConstrainSelectedInstOperands,
     /*  645182 */     // GIR_Coverage, 12130,
     /*  645182 */     GIR_EraseRootFromParent_Done,
     /*  645183 */   // Label 10407: @645183
     /*  645183 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(645258), // Rule ID 12131 //
     /*  645188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  645237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645256 */     GIR_RootConstrainSelectedInstOperands,
     /*  645257 */     // GIR_Coverage, 12131,
     /*  645257 */     GIR_EraseRootFromParent_Done,
     /*  645258 */   // Label 10408: @645258
     /*  645258 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(645333), // Rule ID 12134 //
     /*  645263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  645312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645331 */     GIR_RootConstrainSelectedInstOperands,
     /*  645332 */     // GIR_Coverage, 12134,
     /*  645332 */     GIR_EraseRootFromParent_Done,
     /*  645333 */   // Label 10409: @645333
     /*  645333 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(645408), // Rule ID 12135 //
     /*  645338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  645387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645406 */     GIR_RootConstrainSelectedInstOperands,
     /*  645407 */     // GIR_Coverage, 12135,
     /*  645407 */     GIR_EraseRootFromParent_Done,
     /*  645408 */   // Label 10410: @645408
     /*  645408 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(645483), // Rule ID 12138 //
     /*  645413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645459 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  645462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645481 */     GIR_RootConstrainSelectedInstOperands,
     /*  645482 */     // GIR_Coverage, 12138,
     /*  645482 */     GIR_EraseRootFromParent_Done,
     /*  645483 */   // Label 10411: @645483
     /*  645483 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(645558), // Rule ID 12139 //
     /*  645488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  645499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  645502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  645505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645534 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  645537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645556 */     GIR_RootConstrainSelectedInstOperands,
     /*  645557 */     // GIR_Coverage, 12139,
     /*  645557 */     GIR_EraseRootFromParent_Done,
     /*  645558 */   // Label 10412: @645558
     /*  645558 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(645633), // Rule ID 12142 //
     /*  645563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  645612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645631 */     GIR_RootConstrainSelectedInstOperands,
     /*  645632 */     // GIR_Coverage, 12142,
     /*  645632 */     GIR_EraseRootFromParent_Done,
     /*  645633 */   // Label 10413: @645633
     /*  645633 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(645708), // Rule ID 12143 //
     /*  645638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  645649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  645652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  645655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  645687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645706 */     GIR_RootConstrainSelectedInstOperands,
     /*  645707 */     // GIR_Coverage, 12143,
     /*  645707 */     GIR_EraseRootFromParent_Done,
     /*  645708 */   // Label 10414: @645708
     /*  645708 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(645783), // Rule ID 12146 //
     /*  645713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645759 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  645762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645781 */     GIR_RootConstrainSelectedInstOperands,
     /*  645782 */     // GIR_Coverage, 12146,
     /*  645782 */     GIR_EraseRootFromParent_Done,
     /*  645783 */   // Label 10415: @645783
     /*  645783 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(645858), // Rule ID 12147 //
     /*  645788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  645837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645856 */     GIR_RootConstrainSelectedInstOperands,
     /*  645857 */     // GIR_Coverage, 12147,
     /*  645857 */     GIR_EraseRootFromParent_Done,
     /*  645858 */   // Label 10416: @645858
     /*  645858 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(645933), // Rule ID 12150 //
     /*  645863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  645912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645931 */     GIR_RootConstrainSelectedInstOperands,
     /*  645932 */     // GIR_Coverage, 12150,
     /*  645932 */     GIR_EraseRootFromParent_Done,
     /*  645933 */   // Label 10417: @645933
     /*  645933 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(646008), // Rule ID 12151 //
     /*  645938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  645946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  645987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646006 */     GIR_RootConstrainSelectedInstOperands,
     /*  646007 */     // GIR_Coverage, 12151,
     /*  646007 */     GIR_EraseRootFromParent_Done,
     /*  646008 */   // Label 10418: @646008
     /*  646008 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(646083), // Rule ID 12154 //
     /*  646013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  646062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646081 */     GIR_RootConstrainSelectedInstOperands,
     /*  646082 */     // GIR_Coverage, 12154,
     /*  646082 */     GIR_EraseRootFromParent_Done,
     /*  646083 */   // Label 10419: @646083
     /*  646083 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(646158), // Rule ID 12155 //
     /*  646088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646134 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  646137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646156 */     GIR_RootConstrainSelectedInstOperands,
     /*  646157 */     // GIR_Coverage, 12155,
     /*  646157 */     GIR_EraseRootFromParent_Done,
     /*  646158 */   // Label 10420: @646158
     /*  646158 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(646233), // Rule ID 12158 //
     /*  646163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  646212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646231 */     GIR_RootConstrainSelectedInstOperands,
     /*  646232 */     // GIR_Coverage, 12158,
     /*  646232 */     GIR_EraseRootFromParent_Done,
     /*  646233 */   // Label 10421: @646233
     /*  646233 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(646308), // Rule ID 12159 //
     /*  646238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  646287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646306 */     GIR_RootConstrainSelectedInstOperands,
     /*  646307 */     // GIR_Coverage, 12159,
     /*  646307 */     GIR_EraseRootFromParent_Done,
     /*  646308 */   // Label 10422: @646308
     /*  646308 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(646383), // Rule ID 12162 //
     /*  646313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  646362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646381 */     GIR_RootConstrainSelectedInstOperands,
     /*  646382 */     // GIR_Coverage, 12162,
     /*  646382 */     GIR_EraseRootFromParent_Done,
     /*  646383 */   // Label 10423: @646383
     /*  646383 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(646458), // Rule ID 12163 //
     /*  646388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  646437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646456 */     GIR_RootConstrainSelectedInstOperands,
     /*  646457 */     // GIR_Coverage, 12163,
     /*  646457 */     GIR_EraseRootFromParent_Done,
     /*  646458 */   // Label 10424: @646458
     /*  646458 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(646533), // Rule ID 12166 //
     /*  646463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  646512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646531 */     GIR_RootConstrainSelectedInstOperands,
     /*  646532 */     // GIR_Coverage, 12166,
     /*  646532 */     GIR_EraseRootFromParent_Done,
     /*  646533 */   // Label 10425: @646533
     /*  646533 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(646608), // Rule ID 12167 //
     /*  646538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  646549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  646552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  646555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  646587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646606 */     GIR_RootConstrainSelectedInstOperands,
     /*  646607 */     // GIR_Coverage, 12167,
     /*  646607 */     GIR_EraseRootFromParent_Done,
     /*  646608 */   // Label 10426: @646608
     /*  646608 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(646683), // Rule ID 12170 //
     /*  646613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  646662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646681 */     GIR_RootConstrainSelectedInstOperands,
     /*  646682 */     // GIR_Coverage, 12170,
     /*  646682 */     GIR_EraseRootFromParent_Done,
     /*  646683 */   // Label 10427: @646683
     /*  646683 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(646758), // Rule ID 12171 //
     /*  646688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  646737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646756 */     GIR_RootConstrainSelectedInstOperands,
     /*  646757 */     // GIR_Coverage, 12171,
     /*  646757 */     GIR_EraseRootFromParent_Done,
     /*  646758 */   // Label 10428: @646758
     /*  646758 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(646833), // Rule ID 12174 //
     /*  646763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  646812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646831 */     GIR_RootConstrainSelectedInstOperands,
     /*  646832 */     // GIR_Coverage, 12174,
     /*  646832 */     GIR_EraseRootFromParent_Done,
     /*  646833 */   // Label 10429: @646833
     /*  646833 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(646908), // Rule ID 12175 //
     /*  646838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  646887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646906 */     GIR_RootConstrainSelectedInstOperands,
     /*  646907 */     // GIR_Coverage, 12175,
     /*  646907 */     GIR_EraseRootFromParent_Done,
     /*  646908 */   // Label 10430: @646908
     /*  646908 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(646983), // Rule ID 12178 //
     /*  646913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  646962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646981 */     GIR_RootConstrainSelectedInstOperands,
     /*  646982 */     // GIR_Coverage, 12178,
     /*  646982 */     GIR_EraseRootFromParent_Done,
     /*  646983 */   // Label 10431: @646983
     /*  646983 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(647058), // Rule ID 12179 //
     /*  646988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  646996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  647037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647056 */     GIR_RootConstrainSelectedInstOperands,
     /*  647057 */     // GIR_Coverage, 12179,
     /*  647057 */     GIR_EraseRootFromParent_Done,
     /*  647058 */   // Label 10432: @647058
     /*  647058 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(647133), // Rule ID 12182 //
     /*  647063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  647112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647131 */     GIR_RootConstrainSelectedInstOperands,
     /*  647132 */     // GIR_Coverage, 12182,
     /*  647132 */     GIR_EraseRootFromParent_Done,
     /*  647133 */   // Label 10433: @647133
     /*  647133 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(647208), // Rule ID 12183 //
     /*  647138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  647187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647206 */     GIR_RootConstrainSelectedInstOperands,
     /*  647207 */     // GIR_Coverage, 12183,
     /*  647207 */     GIR_EraseRootFromParent_Done,
     /*  647208 */   // Label 10434: @647208
     /*  647208 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(647283), // Rule ID 12186 //
     /*  647213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  647262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647281 */     GIR_RootConstrainSelectedInstOperands,
     /*  647282 */     // GIR_Coverage, 12186,
     /*  647282 */     GIR_EraseRootFromParent_Done,
     /*  647283 */   // Label 10435: @647283
     /*  647283 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(647358), // Rule ID 12187 //
     /*  647288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  647337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647356 */     GIR_RootConstrainSelectedInstOperands,
     /*  647357 */     // GIR_Coverage, 12187,
     /*  647357 */     GIR_EraseRootFromParent_Done,
     /*  647358 */   // Label 10436: @647358
     /*  647358 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(647433), // Rule ID 12190 //
     /*  647363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  647412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647431 */     GIR_RootConstrainSelectedInstOperands,
     /*  647432 */     // GIR_Coverage, 12190,
     /*  647432 */     GIR_EraseRootFromParent_Done,
     /*  647433 */   // Label 10437: @647433
     /*  647433 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(647508), // Rule ID 12191 //
     /*  647438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  647487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647506 */     GIR_RootConstrainSelectedInstOperands,
     /*  647507 */     // GIR_Coverage, 12191,
     /*  647507 */     GIR_EraseRootFromParent_Done,
     /*  647508 */   // Label 10438: @647508
     /*  647508 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(647583), // Rule ID 12194 //
     /*  647513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  647562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647581 */     GIR_RootConstrainSelectedInstOperands,
     /*  647582 */     // GIR_Coverage, 12194,
     /*  647582 */     GIR_EraseRootFromParent_Done,
     /*  647583 */   // Label 10439: @647583
     /*  647583 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(647658), // Rule ID 12195 //
     /*  647588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  647599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  647602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  647605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  647637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647656 */     GIR_RootConstrainSelectedInstOperands,
     /*  647657 */     // GIR_Coverage, 12195,
     /*  647657 */     GIR_EraseRootFromParent_Done,
     /*  647658 */   // Label 10440: @647658
     /*  647658 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(647733), // Rule ID 12198 //
     /*  647663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  647712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647731 */     GIR_RootConstrainSelectedInstOperands,
     /*  647732 */     // GIR_Coverage, 12198,
     /*  647732 */     GIR_EraseRootFromParent_Done,
     /*  647733 */   // Label 10441: @647733
     /*  647733 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(647808), // Rule ID 12199 //
     /*  647738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  647787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647806 */     GIR_RootConstrainSelectedInstOperands,
     /*  647807 */     // GIR_Coverage, 12199,
     /*  647807 */     GIR_EraseRootFromParent_Done,
     /*  647808 */   // Label 10442: @647808
     /*  647808 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(647883), // Rule ID 12202 //
     /*  647813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  647862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647881 */     GIR_RootConstrainSelectedInstOperands,
     /*  647882 */     // GIR_Coverage, 12202,
     /*  647882 */     GIR_EraseRootFromParent_Done,
     /*  647883 */   // Label 10443: @647883
     /*  647883 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(647958), // Rule ID 12203 //
     /*  647888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  647937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647956 */     GIR_RootConstrainSelectedInstOperands,
     /*  647957 */     // GIR_Coverage, 12203,
     /*  647957 */     GIR_EraseRootFromParent_Done,
     /*  647958 */   // Label 10444: @647958
     /*  647958 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(648033), // Rule ID 12206 //
     /*  647963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  648012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648031 */     GIR_RootConstrainSelectedInstOperands,
     /*  648032 */     // GIR_Coverage, 12206,
     /*  648032 */     GIR_EraseRootFromParent_Done,
     /*  648033 */   // Label 10445: @648033
     /*  648033 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(648108), // Rule ID 12207 //
     /*  648038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  648087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648106 */     GIR_RootConstrainSelectedInstOperands,
     /*  648107 */     // GIR_Coverage, 12207,
     /*  648107 */     GIR_EraseRootFromParent_Done,
     /*  648108 */   // Label 10446: @648108
     /*  648108 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(648183), // Rule ID 12210 //
     /*  648113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  648162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648181 */     GIR_RootConstrainSelectedInstOperands,
     /*  648182 */     // GIR_Coverage, 12210,
     /*  648182 */     GIR_EraseRootFromParent_Done,
     /*  648183 */   // Label 10447: @648183
     /*  648183 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(648258), // Rule ID 12211 //
     /*  648188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  648237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648256 */     GIR_RootConstrainSelectedInstOperands,
     /*  648257 */     // GIR_Coverage, 12211,
     /*  648257 */     GIR_EraseRootFromParent_Done,
     /*  648258 */   // Label 10448: @648258
     /*  648258 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(648333), // Rule ID 12214 //
     /*  648263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  648283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  648312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648331 */     GIR_RootConstrainSelectedInstOperands,
     /*  648332 */     // GIR_Coverage, 12214,
     /*  648332 */     GIR_EraseRootFromParent_Done,
     /*  648333 */   // Label 10449: @648333
     /*  648333 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(648408), // Rule ID 12215 //
     /*  648338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  648358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  648377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  648387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648406 */     GIR_RootConstrainSelectedInstOperands,
     /*  648407 */     // GIR_Coverage, 12215,
     /*  648407 */     GIR_EraseRootFromParent_Done,
     /*  648408 */   // Label 10450: @648408
     /*  648408 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(648483), // Rule ID 12218 //
     /*  648413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  648433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  648462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648481 */     GIR_RootConstrainSelectedInstOperands,
     /*  648482 */     // GIR_Coverage, 12218,
     /*  648482 */     GIR_EraseRootFromParent_Done,
     /*  648483 */   // Label 10451: @648483
     /*  648483 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(648558), // Rule ID 12219 //
     /*  648488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  648505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  648508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  648537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648556 */     GIR_RootConstrainSelectedInstOperands,
     /*  648557 */     // GIR_Coverage, 12219,
     /*  648557 */     GIR_EraseRootFromParent_Done,
     /*  648558 */   // Label 10452: @648558
     /*  648558 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(648633), // Rule ID 12222 //
     /*  648563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  648583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  648612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648631 */     GIR_RootConstrainSelectedInstOperands,
     /*  648632 */     // GIR_Coverage, 12222,
     /*  648632 */     GIR_EraseRootFromParent_Done,
     /*  648633 */   // Label 10453: @648633
     /*  648633 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(648708), // Rule ID 12223 //
     /*  648638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  648655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  648658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  648687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648706 */     GIR_RootConstrainSelectedInstOperands,
     /*  648707 */     // GIR_Coverage, 12223,
     /*  648707 */     GIR_EraseRootFromParent_Done,
     /*  648708 */   // Label 10454: @648708
     /*  648708 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(648783), // Rule ID 12226 //
     /*  648713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  648762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648781 */     GIR_RootConstrainSelectedInstOperands,
     /*  648782 */     // GIR_Coverage, 12226,
     /*  648782 */     GIR_EraseRootFromParent_Done,
     /*  648783 */   // Label 10455: @648783
     /*  648783 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(648858), // Rule ID 12227 //
     /*  648788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  648805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  648837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648856 */     GIR_RootConstrainSelectedInstOperands,
     /*  648857 */     // GIR_Coverage, 12227,
     /*  648857 */     GIR_EraseRootFromParent_Done,
     /*  648858 */   // Label 10456: @648858
     /*  648858 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(648933), // Rule ID 12230 //
     /*  648863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  648874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  648877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  648912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648931 */     GIR_RootConstrainSelectedInstOperands,
     /*  648932 */     // GIR_Coverage, 12230,
     /*  648932 */     GIR_EraseRootFromParent_Done,
     /*  648933 */   // Label 10457: @648933
     /*  648933 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(649008), // Rule ID 12231 //
     /*  648938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  648946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  648949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  648952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  648987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649006 */     GIR_RootConstrainSelectedInstOperands,
     /*  649007 */     // GIR_Coverage, 12231,
     /*  649007 */     GIR_EraseRootFromParent_Done,
     /*  649008 */   // Label 10458: @649008
     /*  649008 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(649083), // Rule ID 12234 //
     /*  649013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  649062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649081 */     GIR_RootConstrainSelectedInstOperands,
     /*  649082 */     // GIR_Coverage, 12234,
     /*  649082 */     GIR_EraseRootFromParent_Done,
     /*  649083 */   // Label 10459: @649083
     /*  649083 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(649158), // Rule ID 12235 //
     /*  649088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  649105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  649108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  649137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649156 */     GIR_RootConstrainSelectedInstOperands,
     /*  649157 */     // GIR_Coverage, 12235,
     /*  649157 */     GIR_EraseRootFromParent_Done,
     /*  649158 */   // Label 10460: @649158
     /*  649158 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(649233), // Rule ID 12238 //
     /*  649163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  649212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649231 */     GIR_RootConstrainSelectedInstOperands,
     /*  649232 */     // GIR_Coverage, 12238,
     /*  649232 */     GIR_EraseRootFromParent_Done,
     /*  649233 */   // Label 10461: @649233
     /*  649233 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(649308), // Rule ID 12239 //
     /*  649238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  649255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  649258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  649287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649306 */     GIR_RootConstrainSelectedInstOperands,
     /*  649307 */     // GIR_Coverage, 12239,
     /*  649307 */     GIR_EraseRootFromParent_Done,
     /*  649308 */   // Label 10462: @649308
     /*  649308 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(649383), // Rule ID 12242 //
     /*  649313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  649333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  649362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649381 */     GIR_RootConstrainSelectedInstOperands,
     /*  649382 */     // GIR_Coverage, 12242,
     /*  649382 */     GIR_EraseRootFromParent_Done,
     /*  649383 */   // Label 10463: @649383
     /*  649383 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(649458), // Rule ID 12243 //
     /*  649388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  649408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  649437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649456 */     GIR_RootConstrainSelectedInstOperands,
     /*  649457 */     // GIR_Coverage, 12243,
     /*  649457 */     GIR_EraseRootFromParent_Done,
     /*  649458 */   // Label 10464: @649458
     /*  649458 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(649533), // Rule ID 12246 //
     /*  649463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  649483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  649512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649531 */     GIR_RootConstrainSelectedInstOperands,
     /*  649532 */     // GIR_Coverage, 12246,
     /*  649532 */     GIR_EraseRootFromParent_Done,
     /*  649533 */   // Label 10465: @649533
     /*  649533 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(649608), // Rule ID 12247 //
     /*  649538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  649558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  649587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649606 */     GIR_RootConstrainSelectedInstOperands,
     /*  649607 */     // GIR_Coverage, 12247,
     /*  649607 */     GIR_EraseRootFromParent_Done,
     /*  649608 */   // Label 10466: @649608
     /*  649608 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(649683), // Rule ID 12250 //
     /*  649613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  649633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  649662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649681 */     GIR_RootConstrainSelectedInstOperands,
     /*  649682 */     // GIR_Coverage, 12250,
     /*  649682 */     GIR_EraseRootFromParent_Done,
     /*  649683 */   // Label 10467: @649683
     /*  649683 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(649758), // Rule ID 12251 //
     /*  649688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  649705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  649708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  649737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649756 */     GIR_RootConstrainSelectedInstOperands,
     /*  649757 */     // GIR_Coverage, 12251,
     /*  649757 */     GIR_EraseRootFromParent_Done,
     /*  649758 */   // Label 10468: @649758
     /*  649758 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(649833), // Rule ID 12254 //
     /*  649763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  649812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649831 */     GIR_RootConstrainSelectedInstOperands,
     /*  649832 */     // GIR_Coverage, 12254,
     /*  649832 */     GIR_EraseRootFromParent_Done,
     /*  649833 */   // Label 10469: @649833
     /*  649833 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(649908), // Rule ID 12255 //
     /*  649838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  649887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649906 */     GIR_RootConstrainSelectedInstOperands,
     /*  649907 */     // GIR_Coverage, 12255,
     /*  649907 */     GIR_EraseRootFromParent_Done,
     /*  649908 */   // Label 10470: @649908
     /*  649908 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(649983), // Rule ID 12258 //
     /*  649913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  649962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649981 */     GIR_RootConstrainSelectedInstOperands,
     /*  649982 */     // GIR_Coverage, 12258,
     /*  649982 */     GIR_EraseRootFromParent_Done,
     /*  649983 */   // Label 10471: @649983
     /*  649983 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(650058), // Rule ID 12259 //
     /*  649988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  649996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  650002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  650008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  650037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650056 */     GIR_RootConstrainSelectedInstOperands,
     /*  650057 */     // GIR_Coverage, 12259,
     /*  650057 */     GIR_EraseRootFromParent_Done,
     /*  650058 */   // Label 10472: @650058
     /*  650058 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(650133), // Rule ID 12262 //
     /*  650063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  650066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  650080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  650083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  650112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650131 */     GIR_RootConstrainSelectedInstOperands,
     /*  650132 */     // GIR_Coverage, 12262,
     /*  650132 */     GIR_EraseRootFromParent_Done,
     /*  650133 */   // Label 10473: @650133
     /*  650133 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(650208), // Rule ID 12263 //
     /*  650138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  650141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  650155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  650158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  650187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650206 */     GIR_RootConstrainSelectedInstOperands,
     /*  650207 */     // GIR_Coverage, 12263,
     /*  650207 */     GIR_EraseRootFromParent_Done,
     /*  650208 */   // Label 10474: @650208
     /*  650208 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(650283), // Rule ID 12266 //
     /*  650213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  650216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  650233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  650262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650281 */     GIR_RootConstrainSelectedInstOperands,
     /*  650282 */     // GIR_Coverage, 12266,
     /*  650282 */     GIR_EraseRootFromParent_Done,
     /*  650283 */   // Label 10475: @650283
     /*  650283 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(650358), // Rule ID 12267 //
     /*  650288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  650291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  650308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  650337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650356 */     GIR_RootConstrainSelectedInstOperands,
     /*  650357 */     // GIR_Coverage, 12267,
     /*  650357 */     GIR_EraseRootFromParent_Done,
     /*  650358 */   // Label 10476: @650358
     /*  650358 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(650433), // Rule ID 12270 //
     /*  650363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  650366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  650383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  650412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650431 */     GIR_RootConstrainSelectedInstOperands,
     /*  650432 */     // GIR_Coverage, 12270,
     /*  650432 */     GIR_EraseRootFromParent_Done,
     /*  650433 */   // Label 10477: @650433
     /*  650433 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(650508), // Rule ID 12271 //
     /*  650438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  650441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  650455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  650458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  650487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650506 */     GIR_RootConstrainSelectedInstOperands,
     /*  650507 */     // GIR_Coverage, 12271,
     /*  650507 */     GIR_EraseRootFromParent_Done,
     /*  650508 */   // Label 10478: @650508
     /*  650508 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(650583), // Rule ID 12274 //
     /*  650513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  650516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  650562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650581 */     GIR_RootConstrainSelectedInstOperands,
     /*  650582 */     // GIR_Coverage, 12274,
     /*  650582 */     GIR_EraseRootFromParent_Done,
     /*  650583 */   // Label 10479: @650583
     /*  650583 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(650658), // Rule ID 12275 //
     /*  650588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  650591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  650605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  650608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  650637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650656 */     GIR_RootConstrainSelectedInstOperands,
     /*  650657 */     // GIR_Coverage, 12275,
     /*  650657 */     GIR_EraseRootFromParent_Done,
     /*  650658 */   // Label 10480: @650658
     /*  650658 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(650733), // Rule ID 12278 //
     /*  650663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  650712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650731 */     GIR_RootConstrainSelectedInstOperands,
     /*  650732 */     // GIR_Coverage, 12278,
     /*  650732 */     GIR_EraseRootFromParent_Done,
     /*  650733 */   // Label 10481: @650733
     /*  650733 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(650808), // Rule ID 12279 //
     /*  650738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  650787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650806 */     GIR_RootConstrainSelectedInstOperands,
     /*  650807 */     // GIR_Coverage, 12279,
     /*  650807 */     GIR_EraseRootFromParent_Done,
     /*  650808 */   // Label 10482: @650808
     /*  650808 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(650883), // Rule ID 12282 //
     /*  650813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  650824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  650827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  650862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650881 */     GIR_RootConstrainSelectedInstOperands,
     /*  650882 */     // GIR_Coverage, 12282,
     /*  650882 */     GIR_EraseRootFromParent_Done,
     /*  650883 */   // Label 10483: @650883
     /*  650883 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(650958), // Rule ID 12283 //
     /*  650888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  650899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  650902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  650937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650956 */     GIR_RootConstrainSelectedInstOperands,
     /*  650957 */     // GIR_Coverage, 12283,
     /*  650957 */     GIR_EraseRootFromParent_Done,
     /*  650958 */   // Label 10484: @650958
     /*  650958 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(651033), // Rule ID 12286 //
     /*  650963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  650971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  650974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  650977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  651012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651031 */     GIR_RootConstrainSelectedInstOperands,
     /*  651032 */     // GIR_Coverage, 12286,
     /*  651032 */     GIR_EraseRootFromParent_Done,
     /*  651033 */   // Label 10485: @651033
     /*  651033 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(651108), // Rule ID 12287 //
     /*  651038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  651055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  651087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651106 */     GIR_RootConstrainSelectedInstOperands,
     /*  651107 */     // GIR_Coverage, 12287,
     /*  651107 */     GIR_EraseRootFromParent_Done,
     /*  651108 */   // Label 10486: @651108
     /*  651108 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(651183), // Rule ID 12290 //
     /*  651113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  651162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651181 */     GIR_RootConstrainSelectedInstOperands,
     /*  651182 */     // GIR_Coverage, 12290,
     /*  651182 */     GIR_EraseRootFromParent_Done,
     /*  651183 */   // Label 10487: @651183
     /*  651183 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(651258), // Rule ID 12291 //
     /*  651188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  651237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651256 */     GIR_RootConstrainSelectedInstOperands,
     /*  651257 */     // GIR_Coverage, 12291,
     /*  651257 */     GIR_EraseRootFromParent_Done,
     /*  651258 */   // Label 10488: @651258
     /*  651258 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(651333), // Rule ID 12294 //
     /*  651263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  651312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651331 */     GIR_RootConstrainSelectedInstOperands,
     /*  651332 */     // GIR_Coverage, 12294,
     /*  651332 */     GIR_EraseRootFromParent_Done,
     /*  651333 */   // Label 10489: @651333
     /*  651333 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(651408), // Rule ID 12295 //
     /*  651338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  651387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651406 */     GIR_RootConstrainSelectedInstOperands,
     /*  651407 */     // GIR_Coverage, 12295,
     /*  651407 */     GIR_EraseRootFromParent_Done,
     /*  651408 */   // Label 10490: @651408
     /*  651408 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(651483), // Rule ID 12298 //
     /*  651413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  651430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  651462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651481 */     GIR_RootConstrainSelectedInstOperands,
     /*  651482 */     // GIR_Coverage, 12298,
     /*  651482 */     GIR_EraseRootFromParent_Done,
     /*  651483 */   // Label 10491: @651483
     /*  651483 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(651558), // Rule ID 12299 //
     /*  651488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  651505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  651537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651556 */     GIR_RootConstrainSelectedInstOperands,
     /*  651557 */     // GIR_Coverage, 12299,
     /*  651557 */     GIR_EraseRootFromParent_Done,
     /*  651558 */   // Label 10492: @651558
     /*  651558 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(651633), // Rule ID 12302 //
     /*  651563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  651612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651631 */     GIR_RootConstrainSelectedInstOperands,
     /*  651632 */     // GIR_Coverage, 12302,
     /*  651632 */     GIR_EraseRootFromParent_Done,
     /*  651633 */   // Label 10493: @651633
     /*  651633 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(651708), // Rule ID 12303 //
     /*  651638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  651655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  651687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651706 */     GIR_RootConstrainSelectedInstOperands,
     /*  651707 */     // GIR_Coverage, 12303,
     /*  651707 */     GIR_EraseRootFromParent_Done,
     /*  651708 */   // Label 10494: @651708
     /*  651708 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(651783), // Rule ID 12306 //
     /*  651713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  651762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651781 */     GIR_RootConstrainSelectedInstOperands,
     /*  651782 */     // GIR_Coverage, 12306,
     /*  651782 */     GIR_EraseRootFromParent_Done,
     /*  651783 */   // Label 10495: @651783
     /*  651783 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(651858), // Rule ID 12307 //
     /*  651788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  651837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651856 */     GIR_RootConstrainSelectedInstOperands,
     /*  651857 */     // GIR_Coverage, 12307,
     /*  651857 */     GIR_EraseRootFromParent_Done,
     /*  651858 */   // Label 10496: @651858
     /*  651858 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(651933), // Rule ID 12310 //
     /*  651863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  651912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651931 */     GIR_RootConstrainSelectedInstOperands,
     /*  651932 */     // GIR_Coverage, 12310,
     /*  651932 */     GIR_EraseRootFromParent_Done,
     /*  651933 */   // Label 10497: @651933
     /*  651933 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(652008), // Rule ID 12311 //
     /*  651938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  651946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  651987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652006 */     GIR_RootConstrainSelectedInstOperands,
     /*  652007 */     // GIR_Coverage, 12311,
     /*  652007 */     GIR_EraseRootFromParent_Done,
     /*  652008 */   // Label 10498: @652008
     /*  652008 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(652083), // Rule ID 12314 //
     /*  652013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  652062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652081 */     GIR_RootConstrainSelectedInstOperands,
     /*  652082 */     // GIR_Coverage, 12314,
     /*  652082 */     GIR_EraseRootFromParent_Done,
     /*  652083 */   // Label 10499: @652083
     /*  652083 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(652158), // Rule ID 12315 //
     /*  652088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  652137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652156 */     GIR_RootConstrainSelectedInstOperands,
     /*  652157 */     // GIR_Coverage, 12315,
     /*  652157 */     GIR_EraseRootFromParent_Done,
     /*  652158 */   // Label 10500: @652158
     /*  652158 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(652233), // Rule ID 12318 //
     /*  652163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  652174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  652177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  652212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652231 */     GIR_RootConstrainSelectedInstOperands,
     /*  652232 */     // GIR_Coverage, 12318,
     /*  652232 */     GIR_EraseRootFromParent_Done,
     /*  652233 */   // Label 10501: @652233
     /*  652233 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(652308), // Rule ID 12319 //
     /*  652238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  652249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  652252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  652287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652306 */     GIR_RootConstrainSelectedInstOperands,
     /*  652307 */     // GIR_Coverage, 12319,
     /*  652307 */     GIR_EraseRootFromParent_Done,
     /*  652308 */   // Label 10502: @652308
     /*  652308 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(652383), // Rule ID 12322 //
     /*  652313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  652316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  652362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652381 */     GIR_RootConstrainSelectedInstOperands,
     /*  652382 */     // GIR_Coverage, 12322,
     /*  652382 */     GIR_EraseRootFromParent_Done,
     /*  652383 */   // Label 10503: @652383
     /*  652383 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(652458), // Rule ID 12323 //
     /*  652388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  652399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  652402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  652405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  652437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652456 */     GIR_RootConstrainSelectedInstOperands,
     /*  652457 */     // GIR_Coverage, 12323,
     /*  652457 */     GIR_EraseRootFromParent_Done,
     /*  652458 */   // Label 10504: @652458
     /*  652458 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(652533), // Rule ID 12326 //
     /*  652463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  652466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  652474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  652477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  652512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652531 */     GIR_RootConstrainSelectedInstOperands,
     /*  652532 */     // GIR_Coverage, 12326,
     /*  652532 */     GIR_EraseRootFromParent_Done,
     /*  652533 */   // Label 10505: @652533
     /*  652533 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(652608), // Rule ID 12327 //
     /*  652538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  652549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  652552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  652555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  652587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652606 */     GIR_RootConstrainSelectedInstOperands,
     /*  652607 */     // GIR_Coverage, 12327,
     /*  652607 */     GIR_EraseRootFromParent_Done,
     /*  652608 */   // Label 10506: @652608
     /*  652608 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(652683), // Rule ID 12330 //
     /*  652613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  652616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  652662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652681 */     GIR_RootConstrainSelectedInstOperands,
     /*  652682 */     // GIR_Coverage, 12330,
     /*  652682 */     GIR_EraseRootFromParent_Done,
     /*  652683 */   // Label 10507: @652683
     /*  652683 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(652758), // Rule ID 12331 //
     /*  652688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  652737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652756 */     GIR_RootConstrainSelectedInstOperands,
     /*  652757 */     // GIR_Coverage, 12331,
     /*  652757 */     GIR_EraseRootFromParent_Done,
     /*  652758 */   // Label 10508: @652758
     /*  652758 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(652833), // Rule ID 12334 //
     /*  652763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  652766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  652812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652831 */     GIR_RootConstrainSelectedInstOperands,
     /*  652832 */     // GIR_Coverage, 12334,
     /*  652832 */     GIR_EraseRootFromParent_Done,
     /*  652833 */   // Label 10509: @652833
     /*  652833 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(652908), // Rule ID 12335 //
     /*  652838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  652846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  652887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652906 */     GIR_RootConstrainSelectedInstOperands,
     /*  652907 */     // GIR_Coverage, 12335,
     /*  652907 */     GIR_EraseRootFromParent_Done,
     /*  652908 */   // Label 10510: @652908
     /*  652908 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(652983), // Rule ID 12338 //
     /*  652913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  652921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  652930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  652962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652981 */     GIR_RootConstrainSelectedInstOperands,
     /*  652982 */     // GIR_Coverage, 12338,
     /*  652982 */     GIR_EraseRootFromParent_Done,
     /*  652983 */   // Label 10511: @652983
     /*  652983 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(653058), // Rule ID 12339 //
     /*  652988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  652996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  653005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  653037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653056 */     GIR_RootConstrainSelectedInstOperands,
     /*  653057 */     // GIR_Coverage, 12339,
     /*  653057 */     GIR_EraseRootFromParent_Done,
     /*  653058 */   // Label 10512: @653058
     /*  653058 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(653133), // Rule ID 12342 //
     /*  653063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  653080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653109 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  653112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653131 */     GIR_RootConstrainSelectedInstOperands,
     /*  653132 */     // GIR_Coverage, 12342,
     /*  653132 */     GIR_EraseRootFromParent_Done,
     /*  653133 */   // Label 10513: @653133
     /*  653133 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(653208), // Rule ID 12343 //
     /*  653138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  653155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  653187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653206 */     GIR_RootConstrainSelectedInstOperands,
     /*  653207 */     // GIR_Coverage, 12343,
     /*  653207 */     GIR_EraseRootFromParent_Done,
     /*  653208 */   // Label 10514: @653208
     /*  653208 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(653283), // Rule ID 12346 //
     /*  653213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  653230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  653233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  653262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653281 */     GIR_RootConstrainSelectedInstOperands,
     /*  653282 */     // GIR_Coverage, 12346,
     /*  653282 */     GIR_EraseRootFromParent_Done,
     /*  653283 */   // Label 10515: @653283
     /*  653283 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(653358), // Rule ID 12347 //
     /*  653288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  653305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  653308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  653337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653356 */     GIR_RootConstrainSelectedInstOperands,
     /*  653357 */     // GIR_Coverage, 12347,
     /*  653357 */     GIR_EraseRootFromParent_Done,
     /*  653358 */   // Label 10516: @653358
     /*  653358 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(653433), // Rule ID 12350 //
     /*  653363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  653380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  653383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  653412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653431 */     GIR_RootConstrainSelectedInstOperands,
     /*  653432 */     // GIR_Coverage, 12350,
     /*  653432 */     GIR_EraseRootFromParent_Done,
     /*  653433 */   // Label 10517: @653433
     /*  653433 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(653508), // Rule ID 12351 //
     /*  653438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  653455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  653458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  653487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653506 */     GIR_RootConstrainSelectedInstOperands,
     /*  653507 */     // GIR_Coverage, 12351,
     /*  653507 */     GIR_EraseRootFromParent_Done,
     /*  653508 */   // Label 10518: @653508
     /*  653508 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(653583), // Rule ID 12354 //
     /*  653513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  653562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653581 */     GIR_RootConstrainSelectedInstOperands,
     /*  653582 */     // GIR_Coverage, 12354,
     /*  653582 */     GIR_EraseRootFromParent_Done,
     /*  653583 */   // Label 10519: @653583
     /*  653583 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(653658), // Rule ID 12355 //
     /*  653588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  653637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653656 */     GIR_RootConstrainSelectedInstOperands,
     /*  653657 */     // GIR_Coverage, 12355,
     /*  653657 */     GIR_EraseRootFromParent_Done,
     /*  653658 */   // Label 10520: @653658
     /*  653658 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(653733), // Rule ID 12358 //
     /*  653663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  653712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653731 */     GIR_RootConstrainSelectedInstOperands,
     /*  653732 */     // GIR_Coverage, 12358,
     /*  653732 */     GIR_EraseRootFromParent_Done,
     /*  653733 */   // Label 10521: @653733
     /*  653733 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(653808), // Rule ID 12359 //
     /*  653738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  653749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  653752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653784 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  653787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653806 */     GIR_RootConstrainSelectedInstOperands,
     /*  653807 */     // GIR_Coverage, 12359,
     /*  653807 */     GIR_EraseRootFromParent_Done,
     /*  653808 */   // Label 10522: @653808
     /*  653808 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(653883), // Rule ID 12362 //
     /*  653813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  653862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653881 */     GIR_RootConstrainSelectedInstOperands,
     /*  653882 */     // GIR_Coverage, 12362,
     /*  653882 */     GIR_EraseRootFromParent_Done,
     /*  653883 */   // Label 10523: @653883
     /*  653883 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(653958), // Rule ID 12363 //
     /*  653888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  653905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  653937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653956 */     GIR_RootConstrainSelectedInstOperands,
     /*  653957 */     // GIR_Coverage, 12363,
     /*  653957 */     GIR_EraseRootFromParent_Done,
     /*  653958 */   // Label 10524: @653958
     /*  653958 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(654033), // Rule ID 12366 //
     /*  653963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  653971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  653974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  653977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  654012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654031 */     GIR_RootConstrainSelectedInstOperands,
     /*  654032 */     // GIR_Coverage, 12366,
     /*  654032 */     GIR_EraseRootFromParent_Done,
     /*  654033 */   // Label 10525: @654033
     /*  654033 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(654108), // Rule ID 12367 //
     /*  654038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  654087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654106 */     GIR_RootConstrainSelectedInstOperands,
     /*  654107 */     // GIR_Coverage, 12367,
     /*  654107 */     GIR_EraseRootFromParent_Done,
     /*  654108 */   // Label 10526: @654108
     /*  654108 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(654183), // Rule ID 12370 //
     /*  654113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  654162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654181 */     GIR_RootConstrainSelectedInstOperands,
     /*  654182 */     // GIR_Coverage, 12370,
     /*  654182 */     GIR_EraseRootFromParent_Done,
     /*  654183 */   // Label 10527: @654183
     /*  654183 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(654258), // Rule ID 12371 //
     /*  654188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  654237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654256 */     GIR_RootConstrainSelectedInstOperands,
     /*  654257 */     // GIR_Coverage, 12371,
     /*  654257 */     GIR_EraseRootFromParent_Done,
     /*  654258 */   // Label 10528: @654258
     /*  654258 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(654333), // Rule ID 12374 //
     /*  654263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  654283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  654312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654331 */     GIR_RootConstrainSelectedInstOperands,
     /*  654332 */     // GIR_Coverage, 12374,
     /*  654332 */     GIR_EraseRootFromParent_Done,
     /*  654333 */   // Label 10529: @654333
     /*  654333 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(654408), // Rule ID 12375 //
     /*  654338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  654358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  654387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654406 */     GIR_RootConstrainSelectedInstOperands,
     /*  654407 */     // GIR_Coverage, 12375,
     /*  654407 */     GIR_EraseRootFromParent_Done,
     /*  654408 */   // Label 10530: @654408
     /*  654408 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(654483), // Rule ID 12378 //
     /*  654413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  654462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654481 */     GIR_RootConstrainSelectedInstOperands,
     /*  654482 */     // GIR_Coverage, 12378,
     /*  654482 */     GIR_EraseRootFromParent_Done,
     /*  654483 */   // Label 10531: @654483
     /*  654483 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(654558), // Rule ID 12379 //
     /*  654488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  654499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  654502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  654537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654556 */     GIR_RootConstrainSelectedInstOperands,
     /*  654557 */     // GIR_Coverage, 12379,
     /*  654557 */     GIR_EraseRootFromParent_Done,
     /*  654558 */   // Label 10532: @654558
     /*  654558 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(654633), // Rule ID 12382 //
     /*  654563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  654574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  654577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  654583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  654612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654631 */     GIR_RootConstrainSelectedInstOperands,
     /*  654632 */     // GIR_Coverage, 12382,
     /*  654632 */     GIR_EraseRootFromParent_Done,
     /*  654633 */   // Label 10533: @654633
     /*  654633 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(654708), // Rule ID 12383 //
     /*  654638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  654649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  654652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  654655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  654658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  654687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654706 */     GIR_RootConstrainSelectedInstOperands,
     /*  654707 */     // GIR_Coverage, 12383,
     /*  654707 */     GIR_EraseRootFromParent_Done,
     /*  654708 */   // Label 10534: @654708
     /*  654708 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(654783), // Rule ID 12386 //
     /*  654713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654759 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  654762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654781 */     GIR_RootConstrainSelectedInstOperands,
     /*  654782 */     // GIR_Coverage, 12386,
     /*  654782 */     GIR_EraseRootFromParent_Done,
     /*  654783 */   // Label 10535: @654783
     /*  654783 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(654858), // Rule ID 12387 //
     /*  654788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  654799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  654802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  654805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  654837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654856 */     GIR_RootConstrainSelectedInstOperands,
     /*  654857 */     // GIR_Coverage, 12387,
     /*  654857 */     GIR_EraseRootFromParent_Done,
     /*  654858 */   // Label 10536: @654858
     /*  654858 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(654933), // Rule ID 12390 //
     /*  654863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  654912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654931 */     GIR_RootConstrainSelectedInstOperands,
     /*  654932 */     // GIR_Coverage, 12390,
     /*  654932 */     GIR_EraseRootFromParent_Done,
     /*  654933 */   // Label 10537: @654933
     /*  654933 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(655008), // Rule ID 12391 //
     /*  654938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  654946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  654949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  654952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  654987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655006 */     GIR_RootConstrainSelectedInstOperands,
     /*  655007 */     // GIR_Coverage, 12391,
     /*  655007 */     GIR_EraseRootFromParent_Done,
     /*  655008 */   // Label 10538: @655008
     /*  655008 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(655083), // Rule ID 12394 //
     /*  655013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  655062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655081 */     GIR_RootConstrainSelectedInstOperands,
     /*  655082 */     // GIR_Coverage, 12394,
     /*  655082 */     GIR_EraseRootFromParent_Done,
     /*  655083 */   // Label 10539: @655083
     /*  655083 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(655158), // Rule ID 12395 //
     /*  655088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  655137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655156 */     GIR_RootConstrainSelectedInstOperands,
     /*  655157 */     // GIR_Coverage, 12395,
     /*  655157 */     GIR_EraseRootFromParent_Done,
     /*  655158 */   // Label 10540: @655158
     /*  655158 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(655233), // Rule ID 12398 //
     /*  655163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  655212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655231 */     GIR_RootConstrainSelectedInstOperands,
     /*  655232 */     // GIR_Coverage, 12398,
     /*  655232 */     GIR_EraseRootFromParent_Done,
     /*  655233 */   // Label 10541: @655233
     /*  655233 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(655308), // Rule ID 12399 //
     /*  655238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  655287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655306 */     GIR_RootConstrainSelectedInstOperands,
     /*  655307 */     // GIR_Coverage, 12399,
     /*  655307 */     GIR_EraseRootFromParent_Done,
     /*  655308 */   // Label 10542: @655308
     /*  655308 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(655383), // Rule ID 12402 //
     /*  655313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  655362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655381 */     GIR_RootConstrainSelectedInstOperands,
     /*  655382 */     // GIR_Coverage, 12402,
     /*  655382 */     GIR_EraseRootFromParent_Done,
     /*  655383 */   // Label 10543: @655383
     /*  655383 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(655458), // Rule ID 12403 //
     /*  655388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  655437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655456 */     GIR_RootConstrainSelectedInstOperands,
     /*  655457 */     // GIR_Coverage, 12403,
     /*  655457 */     GIR_EraseRootFromParent_Done,
     /*  655458 */   // Label 10544: @655458
     /*  655458 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(655533), // Rule ID 12406 //
     /*  655463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  655512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655531 */     GIR_RootConstrainSelectedInstOperands,
     /*  655532 */     // GIR_Coverage, 12406,
     /*  655532 */     GIR_EraseRootFromParent_Done,
     /*  655533 */   // Label 10545: @655533
     /*  655533 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(655608), // Rule ID 12407 //
     /*  655538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  655587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655606 */     GIR_RootConstrainSelectedInstOperands,
     /*  655607 */     // GIR_Coverage, 12407,
     /*  655607 */     GIR_EraseRootFromParent_Done,
     /*  655608 */   // Label 10546: @655608
     /*  655608 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(655683), // Rule ID 12410 //
     /*  655613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  655630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  655662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655681 */     GIR_RootConstrainSelectedInstOperands,
     /*  655682 */     // GIR_Coverage, 12410,
     /*  655682 */     GIR_EraseRootFromParent_Done,
     /*  655683 */   // Label 10547: @655683
     /*  655683 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(655758), // Rule ID 12411 //
     /*  655688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  655705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655734 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  655737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655756 */     GIR_RootConstrainSelectedInstOperands,
     /*  655757 */     // GIR_Coverage, 12411,
     /*  655757 */     GIR_EraseRootFromParent_Done,
     /*  655758 */   // Label 10548: @655758
     /*  655758 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(655833), // Rule ID 12414 //
     /*  655763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  655780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655809 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  655812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655831 */     GIR_RootConstrainSelectedInstOperands,
     /*  655832 */     // GIR_Coverage, 12414,
     /*  655832 */     GIR_EraseRootFromParent_Done,
     /*  655833 */   // Label 10549: @655833
     /*  655833 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(655908), // Rule ID 12415 //
     /*  655838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  655849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  655852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  655855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  655887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655906 */     GIR_RootConstrainSelectedInstOperands,
     /*  655907 */     // GIR_Coverage, 12415,
     /*  655907 */     GIR_EraseRootFromParent_Done,
     /*  655908 */   // Label 10550: @655908
     /*  655908 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(655983), // Rule ID 12418 //
     /*  655913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  655924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  655927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  655930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655959 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  655962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655981 */     GIR_RootConstrainSelectedInstOperands,
     /*  655982 */     // GIR_Coverage, 12418,
     /*  655982 */     GIR_EraseRootFromParent_Done,
     /*  655983 */   // Label 10551: @655983
     /*  655983 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(656058), // Rule ID 12419 //
     /*  655988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  655996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  655999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  656002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  656037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656056 */     GIR_RootConstrainSelectedInstOperands,
     /*  656057 */     // GIR_Coverage, 12419,
     /*  656057 */     GIR_EraseRootFromParent_Done,
     /*  656058 */   // Label 10552: @656058
     /*  656058 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(656133), // Rule ID 12422 //
     /*  656063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  656112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656131 */     GIR_RootConstrainSelectedInstOperands,
     /*  656132 */     // GIR_Coverage, 12422,
     /*  656132 */     GIR_EraseRootFromParent_Done,
     /*  656133 */   // Label 10553: @656133
     /*  656133 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(656208), // Rule ID 12423 //
     /*  656138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  656187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656206 */     GIR_RootConstrainSelectedInstOperands,
     /*  656207 */     // GIR_Coverage, 12423,
     /*  656207 */     GIR_EraseRootFromParent_Done,
     /*  656208 */   // Label 10554: @656208
     /*  656208 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(656283), // Rule ID 12426 //
     /*  656213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  656262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656281 */     GIR_RootConstrainSelectedInstOperands,
     /*  656282 */     // GIR_Coverage, 12426,
     /*  656282 */     GIR_EraseRootFromParent_Done,
     /*  656283 */   // Label 10555: @656283
     /*  656283 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(656358), // Rule ID 12427 //
     /*  656288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  656337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656356 */     GIR_RootConstrainSelectedInstOperands,
     /*  656357 */     // GIR_Coverage, 12427,
     /*  656357 */     GIR_EraseRootFromParent_Done,
     /*  656358 */   // Label 10556: @656358
     /*  656358 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(656433), // Rule ID 12430 //
     /*  656363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  656412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656431 */     GIR_RootConstrainSelectedInstOperands,
     /*  656432 */     // GIR_Coverage, 12430,
     /*  656432 */     GIR_EraseRootFromParent_Done,
     /*  656433 */   // Label 10557: @656433
     /*  656433 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(656508), // Rule ID 12431 //
     /*  656438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  656487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656506 */     GIR_RootConstrainSelectedInstOperands,
     /*  656507 */     // GIR_Coverage, 12431,
     /*  656507 */     GIR_EraseRootFromParent_Done,
     /*  656508 */   // Label 10558: @656508
     /*  656508 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(656583), // Rule ID 12434 //
     /*  656513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  656562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656581 */     GIR_RootConstrainSelectedInstOperands,
     /*  656582 */     // GIR_Coverage, 12434,
     /*  656582 */     GIR_EraseRootFromParent_Done,
     /*  656583 */   // Label 10559: @656583
     /*  656583 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(656658), // Rule ID 12435 //
     /*  656588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  656605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  656637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656656 */     GIR_RootConstrainSelectedInstOperands,
     /*  656657 */     // GIR_Coverage, 12435,
     /*  656657 */     GIR_EraseRootFromParent_Done,
     /*  656658 */   // Label 10560: @656658
     /*  656658 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(656733), // Rule ID 12438 //
     /*  656663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  656674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  656677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  656712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656731 */     GIR_RootConstrainSelectedInstOperands,
     /*  656732 */     // GIR_Coverage, 12438,
     /*  656732 */     GIR_EraseRootFromParent_Done,
     /*  656733 */   // Label 10561: @656733
     /*  656733 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(656808), // Rule ID 12439 //
     /*  656738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  656749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  656752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  656755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  656787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656806 */     GIR_RootConstrainSelectedInstOperands,
     /*  656807 */     // GIR_Coverage, 12439,
     /*  656807 */     GIR_EraseRootFromParent_Done,
     /*  656808 */   // Label 10562: @656808
     /*  656808 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(656883), // Rule ID 12442 //
     /*  656813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  656862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656881 */     GIR_RootConstrainSelectedInstOperands,
     /*  656882 */     // GIR_Coverage, 12442,
     /*  656882 */     GIR_EraseRootFromParent_Done,
     /*  656883 */   // Label 10563: @656883
     /*  656883 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(656958), // Rule ID 12443 //
     /*  656888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  656937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656956 */     GIR_RootConstrainSelectedInstOperands,
     /*  656957 */     // GIR_Coverage, 12443,
     /*  656957 */     GIR_EraseRootFromParent_Done,
     /*  656958 */   // Label 10564: @656958
     /*  656958 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(657033), // Rule ID 12446 //
     /*  656963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  656971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  656974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  656977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  657012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657031 */     GIR_RootConstrainSelectedInstOperands,
     /*  657032 */     // GIR_Coverage, 12446,
     /*  657032 */     GIR_EraseRootFromParent_Done,
     /*  657033 */   // Label 10565: @657033
     /*  657033 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(657108), // Rule ID 12447 //
     /*  657038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  657046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  657049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  657052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  657087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657106 */     GIR_RootConstrainSelectedInstOperands,
     /*  657107 */     // GIR_Coverage, 12447,
     /*  657107 */     GIR_EraseRootFromParent_Done,
     /*  657108 */   // Label 10566: @657108
     /*  657108 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(657183), // Rule ID 12450 //
     /*  657113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  657121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  657124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  657127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  657162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657181 */     GIR_RootConstrainSelectedInstOperands,
     /*  657182 */     // GIR_Coverage, 12450,
     /*  657182 */     GIR_EraseRootFromParent_Done,
     /*  657183 */   // Label 10567: @657183
     /*  657183 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(657258), // Rule ID 12451 //
     /*  657188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  657196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  657199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  657202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  657237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657256 */     GIR_RootConstrainSelectedInstOperands,
     /*  657257 */     // GIR_Coverage, 12451,
     /*  657257 */     GIR_EraseRootFromParent_Done,
     /*  657258 */   // Label 10568: @657258
     /*  657258 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(657333), // Rule ID 12454 //
     /*  657263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  657271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  657274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  657277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  657312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657331 */     GIR_RootConstrainSelectedInstOperands,
     /*  657332 */     // GIR_Coverage, 12454,
     /*  657332 */     GIR_EraseRootFromParent_Done,
     /*  657333 */   // Label 10569: @657333
     /*  657333 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(657408), // Rule ID 12455 //
     /*  657338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  657346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  657349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  657352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  657355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657384 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  657387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657406 */     GIR_RootConstrainSelectedInstOperands,
     /*  657407 */     // GIR_Coverage, 12455,
     /*  657407 */     GIR_EraseRootFromParent_Done,
     /*  657408 */   // Label 10570: @657408
     /*  657408 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(657483), // Rule ID 12458 //
     /*  657413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  657430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  657433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  657462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657481 */     GIR_RootConstrainSelectedInstOperands,
     /*  657482 */     // GIR_Coverage, 12458,
     /*  657482 */     GIR_EraseRootFromParent_Done,
     /*  657483 */   // Label 10571: @657483
     /*  657483 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(657558), // Rule ID 12459 //
     /*  657488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  657505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  657508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657534 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  657537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657556 */     GIR_RootConstrainSelectedInstOperands,
     /*  657557 */     // GIR_Coverage, 12459,
     /*  657557 */     GIR_EraseRootFromParent_Done,
     /*  657558 */   // Label 10572: @657558
     /*  657558 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(657633), // Rule ID 12462 //
     /*  657563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  657580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  657583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  657612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657631 */     GIR_RootConstrainSelectedInstOperands,
     /*  657632 */     // GIR_Coverage, 12462,
     /*  657632 */     GIR_EraseRootFromParent_Done,
     /*  657633 */   // Label 10573: @657633
     /*  657633 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(657708), // Rule ID 12463 //
     /*  657638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  657655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  657658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  657687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657706 */     GIR_RootConstrainSelectedInstOperands,
     /*  657707 */     // GIR_Coverage, 12463,
     /*  657707 */     GIR_EraseRootFromParent_Done,
     /*  657708 */   // Label 10574: @657708
     /*  657708 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(657783), // Rule ID 12466 //
     /*  657713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  657730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  657762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657781 */     GIR_RootConstrainSelectedInstOperands,
     /*  657782 */     // GIR_Coverage, 12466,
     /*  657782 */     GIR_EraseRootFromParent_Done,
     /*  657783 */   // Label 10575: @657783
     /*  657783 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(657858), // Rule ID 12467 //
     /*  657788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  657805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  657837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657856 */     GIR_RootConstrainSelectedInstOperands,
     /*  657857 */     // GIR_Coverage, 12467,
     /*  657857 */     GIR_EraseRootFromParent_Done,
     /*  657858 */   // Label 10576: @657858
     /*  657858 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(657933), // Rule ID 12470 //
     /*  657863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  657880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657909 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  657912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657931 */     GIR_RootConstrainSelectedInstOperands,
     /*  657932 */     // GIR_Coverage, 12470,
     /*  657932 */     GIR_EraseRootFromParent_Done,
     /*  657933 */   // Label 10577: @657933
     /*  657933 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(658008), // Rule ID 12471 //
     /*  657938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  657946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  657955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  657987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658006 */     GIR_RootConstrainSelectedInstOperands,
     /*  658007 */     // GIR_Coverage, 12471,
     /*  658007 */     GIR_EraseRootFromParent_Done,
     /*  658008 */   // Label 10578: @658008
     /*  658008 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(658083), // Rule ID 12474 //
     /*  658013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658059 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  658062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658081 */     GIR_RootConstrainSelectedInstOperands,
     /*  658082 */     // GIR_Coverage, 12474,
     /*  658082 */     GIR_EraseRootFromParent_Done,
     /*  658083 */   // Label 10579: @658083
     /*  658083 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(658158), // Rule ID 12475 //
     /*  658088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  658137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658156 */     GIR_RootConstrainSelectedInstOperands,
     /*  658157 */     // GIR_Coverage, 12475,
     /*  658157 */     GIR_EraseRootFromParent_Done,
     /*  658158 */   // Label 10580: @658158
     /*  658158 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(658233), // Rule ID 12478 //
     /*  658163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  658174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  658177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  658180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  658212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658231 */     GIR_RootConstrainSelectedInstOperands,
     /*  658232 */     // GIR_Coverage, 12478,
     /*  658232 */     GIR_EraseRootFromParent_Done,
     /*  658233 */   // Label 10581: @658233
     /*  658233 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(658308), // Rule ID 12479 //
     /*  658238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  658249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  658252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  658255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  658287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658306 */     GIR_RootConstrainSelectedInstOperands,
     /*  658307 */     // GIR_Coverage, 12479,
     /*  658307 */     GIR_EraseRootFromParent_Done,
     /*  658308 */   // Label 10582: @658308
     /*  658308 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(658383), // Rule ID 12482 //
     /*  658313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  658333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  658362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658381 */     GIR_RootConstrainSelectedInstOperands,
     /*  658382 */     // GIR_Coverage, 12482,
     /*  658382 */     GIR_EraseRootFromParent_Done,
     /*  658383 */   // Label 10583: @658383
     /*  658383 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(658458), // Rule ID 12483 //
     /*  658388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  658408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  658437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658456 */     GIR_RootConstrainSelectedInstOperands,
     /*  658457 */     // GIR_Coverage, 12483,
     /*  658457 */     GIR_EraseRootFromParent_Done,
     /*  658458 */   // Label 10584: @658458
     /*  658458 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(658533), // Rule ID 12486 //
     /*  658463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  658483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  658512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658531 */     GIR_RootConstrainSelectedInstOperands,
     /*  658532 */     // GIR_Coverage, 12486,
     /*  658532 */     GIR_EraseRootFromParent_Done,
     /*  658533 */   // Label 10585: @658533
     /*  658533 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(658608), // Rule ID 12487 //
     /*  658538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  658555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  658558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  658587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658606 */     GIR_RootConstrainSelectedInstOperands,
     /*  658607 */     // GIR_Coverage, 12487,
     /*  658607 */     GIR_EraseRootFromParent_Done,
     /*  658608 */   // Label 10586: @658608
     /*  658608 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(658683), // Rule ID 12490 //
     /*  658613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  658633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  658662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658681 */     GIR_RootConstrainSelectedInstOperands,
     /*  658682 */     // GIR_Coverage, 12490,
     /*  658682 */     GIR_EraseRootFromParent_Done,
     /*  658683 */   // Label 10587: @658683
     /*  658683 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(658758), // Rule ID 12491 //
     /*  658688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  658705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  658708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  658737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658756 */     GIR_RootConstrainSelectedInstOperands,
     /*  658757 */     // GIR_Coverage, 12491,
     /*  658757 */     GIR_EraseRootFromParent_Done,
     /*  658758 */   // Label 10588: @658758
     /*  658758 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(658833), // Rule ID 12494 //
     /*  658763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  658812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658831 */     GIR_RootConstrainSelectedInstOperands,
     /*  658832 */     // GIR_Coverage, 12494,
     /*  658832 */     GIR_EraseRootFromParent_Done,
     /*  658833 */   // Label 10589: @658833
     /*  658833 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(658908), // Rule ID 12495 //
     /*  658838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  658887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658906 */     GIR_RootConstrainSelectedInstOperands,
     /*  658907 */     // GIR_Coverage, 12495,
     /*  658907 */     GIR_EraseRootFromParent_Done,
     /*  658908 */   // Label 10590: @658908
     /*  658908 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(658983), // Rule ID 12498 //
     /*  658913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  658924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  658927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  658933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  658962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658981 */     GIR_RootConstrainSelectedInstOperands,
     /*  658982 */     // GIR_Coverage, 12498,
     /*  658982 */     GIR_EraseRootFromParent_Done,
     /*  658983 */   // Label 10591: @658983
     /*  658983 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(659058), // Rule ID 12499 //
     /*  658988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  658996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  658999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  659002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  659037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659056 */     GIR_RootConstrainSelectedInstOperands,
     /*  659057 */     // GIR_Coverage, 12499,
     /*  659057 */     GIR_EraseRootFromParent_Done,
     /*  659058 */   // Label 10592: @659058
     /*  659058 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(659133), // Rule ID 12502 //
     /*  659063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  659074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  659077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  659112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659131 */     GIR_RootConstrainSelectedInstOperands,
     /*  659132 */     // GIR_Coverage, 12502,
     /*  659132 */     GIR_EraseRootFromParent_Done,
     /*  659133 */   // Label 10593: @659133
     /*  659133 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(659208), // Rule ID 12503 //
     /*  659138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  659149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  659152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  659187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659206 */     GIR_RootConstrainSelectedInstOperands,
     /*  659207 */     // GIR_Coverage, 12503,
     /*  659207 */     GIR_EraseRootFromParent_Done,
     /*  659208 */   // Label 10594: @659208
     /*  659208 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(659283), // Rule ID 12506 //
     /*  659213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  659224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  659227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  659233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  659262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659281 */     GIR_RootConstrainSelectedInstOperands,
     /*  659282 */     // GIR_Coverage, 12506,
     /*  659282 */     GIR_EraseRootFromParent_Done,
     /*  659283 */   // Label 10595: @659283
     /*  659283 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(659358), // Rule ID 12507 //
     /*  659288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  659299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  659302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  659308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659334 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  659337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659356 */     GIR_RootConstrainSelectedInstOperands,
     /*  659357 */     // GIR_Coverage, 12507,
     /*  659357 */     GIR_EraseRootFromParent_Done,
     /*  659358 */   // Label 10596: @659358
     /*  659358 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(659433), // Rule ID 12510 //
     /*  659363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  659374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  659377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  659383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  659412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659431 */     GIR_RootConstrainSelectedInstOperands,
     /*  659432 */     // GIR_Coverage, 12510,
     /*  659432 */     GIR_EraseRootFromParent_Done,
     /*  659433 */   // Label 10597: @659433
     /*  659433 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(659508), // Rule ID 12511 //
     /*  659438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  659449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  659452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  659458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  659487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659506 */     GIR_RootConstrainSelectedInstOperands,
     /*  659507 */     // GIR_Coverage, 12511,
     /*  659507 */     GIR_EraseRootFromParent_Done,
     /*  659508 */   // Label 10598: @659508
     /*  659508 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(659583), // Rule ID 12514 //
     /*  659513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  659524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  659527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  659562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659581 */     GIR_RootConstrainSelectedInstOperands,
     /*  659582 */     // GIR_Coverage, 12514,
     /*  659582 */     GIR_EraseRootFromParent_Done,
     /*  659583 */   // Label 10599: @659583
     /*  659583 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(659658), // Rule ID 12515 //
     /*  659588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  659599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  659602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  659637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659656 */     GIR_RootConstrainSelectedInstOperands,
     /*  659657 */     // GIR_Coverage, 12515,
     /*  659657 */     GIR_EraseRootFromParent_Done,
     /*  659658 */   // Label 10600: @659658
     /*  659658 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(659733), // Rule ID 12518 //
     /*  659663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  659680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659709 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  659712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659731 */     GIR_RootConstrainSelectedInstOperands,
     /*  659732 */     // GIR_Coverage, 12518,
     /*  659732 */     GIR_EraseRootFromParent_Done,
     /*  659733 */   // Label 10601: @659733
     /*  659733 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(659808), // Rule ID 12519 //
     /*  659738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  659755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  659787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659806 */     GIR_RootConstrainSelectedInstOperands,
     /*  659807 */     // GIR_Coverage, 12519,
     /*  659807 */     GIR_EraseRootFromParent_Done,
     /*  659808 */   // Label 10602: @659808
     /*  659808 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(659883), // Rule ID 12522 //
     /*  659813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  659830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  659862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659881 */     GIR_RootConstrainSelectedInstOperands,
     /*  659882 */     // GIR_Coverage, 12522,
     /*  659882 */     GIR_EraseRootFromParent_Done,
     /*  659883 */   // Label 10603: @659883
     /*  659883 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(659958), // Rule ID 12523 //
     /*  659888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  659905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  659937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659956 */     GIR_RootConstrainSelectedInstOperands,
     /*  659957 */     // GIR_Coverage, 12523,
     /*  659957 */     GIR_EraseRootFromParent_Done,
     /*  659958 */   // Label 10604: @659958
     /*  659958 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(660033), // Rule ID 12526 //
     /*  659963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  659971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  659974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  659977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  659980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  660012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660031 */     GIR_RootConstrainSelectedInstOperands,
     /*  660032 */     // GIR_Coverage, 12526,
     /*  660032 */     GIR_EraseRootFromParent_Done,
     /*  660033 */   // Label 10605: @660033
     /*  660033 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(660108), // Rule ID 12527 //
     /*  660038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  660055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  660087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660106 */     GIR_RootConstrainSelectedInstOperands,
     /*  660107 */     // GIR_Coverage, 12527,
     /*  660107 */     GIR_EraseRootFromParent_Done,
     /*  660108 */   // Label 10606: @660108
     /*  660108 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(660183), // Rule ID 12530 //
     /*  660113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  660130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  660162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660181 */     GIR_RootConstrainSelectedInstOperands,
     /*  660182 */     // GIR_Coverage, 12530,
     /*  660182 */     GIR_EraseRootFromParent_Done,
     /*  660183 */   // Label 10607: @660183
     /*  660183 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(660258), // Rule ID 12531 //
     /*  660188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  660205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  660237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660256 */     GIR_RootConstrainSelectedInstOperands,
     /*  660257 */     // GIR_Coverage, 12531,
     /*  660257 */     GIR_EraseRootFromParent_Done,
     /*  660258 */   // Label 10608: @660258
     /*  660258 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(660333), // Rule ID 12534 //
     /*  660263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  660280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  660312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660331 */     GIR_RootConstrainSelectedInstOperands,
     /*  660332 */     // GIR_Coverage, 12534,
     /*  660332 */     GIR_EraseRootFromParent_Done,
     /*  660333 */   // Label 10609: @660333
     /*  660333 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(660408), // Rule ID 12535 //
     /*  660338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  660355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  660387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660406 */     GIR_RootConstrainSelectedInstOperands,
     /*  660407 */     // GIR_Coverage, 12535,
     /*  660407 */     GIR_EraseRootFromParent_Done,
     /*  660408 */   // Label 10610: @660408
     /*  660408 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(660483), // Rule ID 12538 //
     /*  660413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  660424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  660427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  660430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  660462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660481 */     GIR_RootConstrainSelectedInstOperands,
     /*  660482 */     // GIR_Coverage, 12538,
     /*  660482 */     GIR_EraseRootFromParent_Done,
     /*  660483 */   // Label 10611: @660483
     /*  660483 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(660558), // Rule ID 12539 //
     /*  660488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  660499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  660502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  660505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  660537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660556 */     GIR_RootConstrainSelectedInstOperands,
     /*  660557 */     // GIR_Coverage, 12539,
     /*  660557 */     GIR_EraseRootFromParent_Done,
     /*  660558 */   // Label 10612: @660558
     /*  660558 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(660633), // Rule ID 12542 //
     /*  660563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  660612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660631 */     GIR_RootConstrainSelectedInstOperands,
     /*  660632 */     // GIR_Coverage, 12542,
     /*  660632 */     GIR_EraseRootFromParent_Done,
     /*  660633 */   // Label 10613: @660633
     /*  660633 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(660708), // Rule ID 12543 //
     /*  660638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  660687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660706 */     GIR_RootConstrainSelectedInstOperands,
     /*  660707 */     // GIR_Coverage, 12543,
     /*  660707 */     GIR_EraseRootFromParent_Done,
     /*  660708 */   // Label 10614: @660708
     /*  660708 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(660783), // Rule ID 12546 //
     /*  660713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  660762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660781 */     GIR_RootConstrainSelectedInstOperands,
     /*  660782 */     // GIR_Coverage, 12546,
     /*  660782 */     GIR_EraseRootFromParent_Done,
     /*  660783 */   // Label 10615: @660783
     /*  660783 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(660858), // Rule ID 12547 //
     /*  660788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  660837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660856 */     GIR_RootConstrainSelectedInstOperands,
     /*  660857 */     // GIR_Coverage, 12547,
     /*  660857 */     GIR_EraseRootFromParent_Done,
     /*  660858 */   // Label 10616: @660858
     /*  660858 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(660933), // Rule ID 12550 //
     /*  660863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  660912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660931 */     GIR_RootConstrainSelectedInstOperands,
     /*  660932 */     // GIR_Coverage, 12550,
     /*  660932 */     GIR_EraseRootFromParent_Done,
     /*  660933 */   // Label 10617: @660933
     /*  660933 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(661008), // Rule ID 12551 //
     /*  660938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  660946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  660955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  660987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661006 */     GIR_RootConstrainSelectedInstOperands,
     /*  661007 */     // GIR_Coverage, 12551,
     /*  661007 */     GIR_EraseRootFromParent_Done,
     /*  661008 */   // Label 10618: @661008
     /*  661008 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(661083), // Rule ID 12554 //
     /*  661013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  661062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661081 */     GIR_RootConstrainSelectedInstOperands,
     /*  661082 */     // GIR_Coverage, 12554,
     /*  661082 */     GIR_EraseRootFromParent_Done,
     /*  661083 */   // Label 10619: @661083
     /*  661083 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(661158), // Rule ID 12555 //
     /*  661088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  661137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661156 */     GIR_RootConstrainSelectedInstOperands,
     /*  661157 */     // GIR_Coverage, 12555,
     /*  661157 */     GIR_EraseRootFromParent_Done,
     /*  661158 */   // Label 10620: @661158
     /*  661158 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(661233), // Rule ID 12558 //
     /*  661163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  661174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  661177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  661212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661231 */     GIR_RootConstrainSelectedInstOperands,
     /*  661232 */     // GIR_Coverage, 12558,
     /*  661232 */     GIR_EraseRootFromParent_Done,
     /*  661233 */   // Label 10621: @661233
     /*  661233 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(661308), // Rule ID 12559 //
     /*  661238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  661249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  661252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  661287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661306 */     GIR_RootConstrainSelectedInstOperands,
     /*  661307 */     // GIR_Coverage, 12559,
     /*  661307 */     GIR_EraseRootFromParent_Done,
     /*  661308 */   // Label 10622: @661308
     /*  661308 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(661383), // Rule ID 12562 //
     /*  661313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  661324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  661327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  661362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661381 */     GIR_RootConstrainSelectedInstOperands,
     /*  661382 */     // GIR_Coverage, 12562,
     /*  661382 */     GIR_EraseRootFromParent_Done,
     /*  661383 */   // Label 10623: @661383
     /*  661383 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(661458), // Rule ID 12563 //
     /*  661388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  661399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  661402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  661405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  661437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661456 */     GIR_RootConstrainSelectedInstOperands,
     /*  661457 */     // GIR_Coverage, 12563,
     /*  661457 */     GIR_EraseRootFromParent_Done,
     /*  661458 */   // Label 10624: @661458
     /*  661458 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(661533), // Rule ID 12566 //
     /*  661463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  661474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  661477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  661512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661531 */     GIR_RootConstrainSelectedInstOperands,
     /*  661532 */     // GIR_Coverage, 12566,
     /*  661532 */     GIR_EraseRootFromParent_Done,
     /*  661533 */   // Label 10625: @661533
     /*  661533 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(661608), // Rule ID 12567 //
     /*  661538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  661549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  661552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  661587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661606 */     GIR_RootConstrainSelectedInstOperands,
     /*  661607 */     // GIR_Coverage, 12567,
     /*  661607 */     GIR_EraseRootFromParent_Done,
     /*  661608 */   // Label 10626: @661608
     /*  661608 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(661683), // Rule ID 12570 //
     /*  661613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  661624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  661627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  661662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661681 */     GIR_RootConstrainSelectedInstOperands,
     /*  661682 */     // GIR_Coverage, 12570,
     /*  661682 */     GIR_EraseRootFromParent_Done,
     /*  661683 */   // Label 10627: @661683
     /*  661683 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(661758), // Rule ID 12571 //
     /*  661688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  661699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  661702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  661705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  661737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661756 */     GIR_RootConstrainSelectedInstOperands,
     /*  661757 */     // GIR_Coverage, 12571,
     /*  661757 */     GIR_EraseRootFromParent_Done,
     /*  661758 */   // Label 10628: @661758
     /*  661758 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(661833), // Rule ID 12574 //
     /*  661763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  661774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  661777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  661812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661831 */     GIR_RootConstrainSelectedInstOperands,
     /*  661832 */     // GIR_Coverage, 12574,
     /*  661832 */     GIR_EraseRootFromParent_Done,
     /*  661833 */   // Label 10629: @661833
     /*  661833 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(661908), // Rule ID 12575 //
     /*  661838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  661846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  661849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  661852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  661855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  661887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661906 */     GIR_RootConstrainSelectedInstOperands,
     /*  661907 */     // GIR_Coverage, 12575,
     /*  661907 */     GIR_EraseRootFromParent_Done,
     /*  661908 */   // Label 10630: @661908
     /*  661908 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(661986), // Rule ID 13904 //
     /*  661913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  661921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  661930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  661933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  661962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  661984 */     GIR_RootConstrainSelectedInstOperands,
     /*  661985 */     // GIR_Coverage, 13904,
     /*  661985 */     GIR_EraseRootFromParent_Done,
     /*  661986 */   // Label 10631: @661986
     /*  661986 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(662064), // Rule ID 13905 //
     /*  661991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  661999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  662002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  662005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662037 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  662040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662062 */     GIR_RootConstrainSelectedInstOperands,
     /*  662063 */     // GIR_Coverage, 13905,
     /*  662063 */     GIR_EraseRootFromParent_Done,
     /*  662064 */   // Label 10632: @662064
     /*  662064 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(662142), // Rule ID 13908 //
     /*  662069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  662118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662140 */     GIR_RootConstrainSelectedInstOperands,
     /*  662141 */     // GIR_Coverage, 13908,
     /*  662141 */     GIR_EraseRootFromParent_Done,
     /*  662142 */   // Label 10633: @662142
     /*  662142 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(662220), // Rule ID 13909 //
     /*  662147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  662158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  662161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  662196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662218 */     GIR_RootConstrainSelectedInstOperands,
     /*  662219 */     // GIR_Coverage, 13909,
     /*  662219 */     GIR_EraseRootFromParent_Done,
     /*  662220 */   // Label 10634: @662220
     /*  662220 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(662298), // Rule ID 13912 //
     /*  662225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  662236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  662239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  662242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  662245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662296 */     GIR_RootConstrainSelectedInstOperands,
     /*  662297 */     // GIR_Coverage, 13912,
     /*  662297 */     GIR_EraseRootFromParent_Done,
     /*  662298 */   // Label 10635: @662298
     /*  662298 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(662376), // Rule ID 13913 //
     /*  662303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  662314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  662317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  662320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  662323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662374 */     GIR_RootConstrainSelectedInstOperands,
     /*  662375 */     // GIR_Coverage, 13913,
     /*  662375 */     GIR_EraseRootFromParent_Done,
     /*  662376 */   // Label 10636: @662376
     /*  662376 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(662454), // Rule ID 13916 //
     /*  662381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  662401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  662430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662452 */     GIR_RootConstrainSelectedInstOperands,
     /*  662453 */     // GIR_Coverage, 13916,
     /*  662453 */     GIR_EraseRootFromParent_Done,
     /*  662454 */   // Label 10637: @662454
     /*  662454 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(662532), // Rule ID 13917 //
     /*  662459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  662479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  662508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662530 */     GIR_RootConstrainSelectedInstOperands,
     /*  662531 */     // GIR_Coverage, 13917,
     /*  662531 */     GIR_EraseRootFromParent_Done,
     /*  662532 */   // Label 10638: @662532
     /*  662532 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(662610), // Rule ID 13920 //
     /*  662537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  662557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662608 */     GIR_RootConstrainSelectedInstOperands,
     /*  662609 */     // GIR_Coverage, 13920,
     /*  662609 */     GIR_EraseRootFromParent_Done,
     /*  662610 */   // Label 10639: @662610
     /*  662610 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(662688), // Rule ID 13921 //
     /*  662615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  662635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662686 */     GIR_RootConstrainSelectedInstOperands,
     /*  662687 */     // GIR_Coverage, 13921,
     /*  662687 */     GIR_EraseRootFromParent_Done,
     /*  662688 */   // Label 10640: @662688
     /*  662688 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(662766), // Rule ID 13924 //
     /*  662693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  662713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662764 */     GIR_RootConstrainSelectedInstOperands,
     /*  662765 */     // GIR_Coverage, 13924,
     /*  662765 */     GIR_EraseRootFromParent_Done,
     /*  662766 */   // Label 10641: @662766
     /*  662766 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(662844), // Rule ID 13925 //
     /*  662771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  662791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  662820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662842 */     GIR_RootConstrainSelectedInstOperands,
     /*  662843 */     // GIR_Coverage, 13925,
     /*  662843 */     GIR_EraseRootFromParent_Done,
     /*  662844 */   // Label 10642: @662844
     /*  662844 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(662922), // Rule ID 13928 //
     /*  662849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  662860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  662863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  662866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  662869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  662898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662920 */     GIR_RootConstrainSelectedInstOperands,
     /*  662921 */     // GIR_Coverage, 13928,
     /*  662921 */     GIR_EraseRootFromParent_Done,
     /*  662922 */   // Label 10643: @662922
     /*  662922 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(663000), // Rule ID 13929 //
     /*  662927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  662935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  662938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  662941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  662944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  662947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  662976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  662998 */     GIR_RootConstrainSelectedInstOperands,
     /*  662999 */     // GIR_Coverage, 13929,
     /*  662999 */     GIR_EraseRootFromParent_Done,
     /*  663000 */   // Label 10644: @663000
     /*  663000 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(663078), // Rule ID 13932 //
     /*  663005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663076 */     GIR_RootConstrainSelectedInstOperands,
     /*  663077 */     // GIR_Coverage, 13932,
     /*  663077 */     GIR_EraseRootFromParent_Done,
     /*  663078 */   // Label 10645: @663078
     /*  663078 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(663156), // Rule ID 13933 //
     /*  663083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663154 */     GIR_RootConstrainSelectedInstOperands,
     /*  663155 */     // GIR_Coverage, 13933,
     /*  663155 */     GIR_EraseRootFromParent_Done,
     /*  663156 */   // Label 10646: @663156
     /*  663156 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(663234), // Rule ID 13936 //
     /*  663161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663232 */     GIR_RootConstrainSelectedInstOperands,
     /*  663233 */     // GIR_Coverage, 13936,
     /*  663233 */     GIR_EraseRootFromParent_Done,
     /*  663234 */   // Label 10647: @663234
     /*  663234 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(663312), // Rule ID 13937 //
     /*  663239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  663256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  663259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663310 */     GIR_RootConstrainSelectedInstOperands,
     /*  663311 */     // GIR_Coverage, 13937,
     /*  663311 */     GIR_EraseRootFromParent_Done,
     /*  663312 */   // Label 10648: @663312
     /*  663312 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(663390), // Rule ID 13940 //
     /*  663317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  663320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  663328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  663331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  663334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  663337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  663363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663388 */     GIR_RootConstrainSelectedInstOperands,
     /*  663389 */     // GIR_Coverage, 13940,
     /*  663389 */     GIR_EraseRootFromParent_Done,
     /*  663390 */   // Label 10649: @663390
     /*  663390 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(663468), // Rule ID 13941 //
     /*  663395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  663398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  663406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  663409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  663412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  663415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  663441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  663444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663466 */     GIR_RootConstrainSelectedInstOperands,
     /*  663467 */     // GIR_Coverage, 13941,
     /*  663467 */     GIR_EraseRootFromParent_Done,
     /*  663468 */   // Label 10650: @663468
     /*  663468 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(663546), // Rule ID 13944 //
     /*  663473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  663490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  663522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663544 */     GIR_RootConstrainSelectedInstOperands,
     /*  663545 */     // GIR_Coverage, 13944,
     /*  663545 */     GIR_EraseRootFromParent_Done,
     /*  663546 */   // Label 10651: @663546
     /*  663546 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(663624), // Rule ID 13945 //
     /*  663551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  663568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  663600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663622 */     GIR_RootConstrainSelectedInstOperands,
     /*  663623 */     // GIR_Coverage, 13945,
     /*  663623 */     GIR_EraseRootFromParent_Done,
     /*  663624 */   // Label 10652: @663624
     /*  663624 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(663702), // Rule ID 13948 //
     /*  663629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  663678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663700 */     GIR_RootConstrainSelectedInstOperands,
     /*  663701 */     // GIR_Coverage, 13948,
     /*  663701 */     GIR_EraseRootFromParent_Done,
     /*  663702 */   // Label 10653: @663702
     /*  663702 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(663780), // Rule ID 13949 //
     /*  663707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  663756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663778 */     GIR_RootConstrainSelectedInstOperands,
     /*  663779 */     // GIR_Coverage, 13949,
     /*  663779 */     GIR_EraseRootFromParent_Done,
     /*  663780 */   // Label 10654: @663780
     /*  663780 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(663858), // Rule ID 13952 //
     /*  663785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  663796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  663799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  663802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  663805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663831 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  663834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663856 */     GIR_RootConstrainSelectedInstOperands,
     /*  663857 */     // GIR_Coverage, 13952,
     /*  663857 */     GIR_EraseRootFromParent_Done,
     /*  663858 */   // Label 10655: @663858
     /*  663858 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(663936), // Rule ID 13953 //
     /*  663863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  663874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  663877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  663880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  663883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  663912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  663934 */     GIR_RootConstrainSelectedInstOperands,
     /*  663935 */     // GIR_Coverage, 13953,
     /*  663935 */     GIR_EraseRootFromParent_Done,
     /*  663936 */   // Label 10656: @663936
     /*  663936 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(664014), // Rule ID 13956 //
     /*  663941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  663949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  663952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  663955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  663961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  663990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664012 */     GIR_RootConstrainSelectedInstOperands,
     /*  664013 */     // GIR_Coverage, 13956,
     /*  664013 */     GIR_EraseRootFromParent_Done,
     /*  664014 */   // Label 10657: @664014
     /*  664014 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(664092), // Rule ID 13957 //
     /*  664019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  664068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664090 */     GIR_RootConstrainSelectedInstOperands,
     /*  664091 */     // GIR_Coverage, 13957,
     /*  664091 */     GIR_EraseRootFromParent_Done,
     /*  664092 */   // Label 10658: @664092
     /*  664092 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(664170), // Rule ID 13960 //
     /*  664097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  664146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664168 */     GIR_RootConstrainSelectedInstOperands,
     /*  664169 */     // GIR_Coverage, 13960,
     /*  664169 */     GIR_EraseRootFromParent_Done,
     /*  664170 */   // Label 10659: @664170
     /*  664170 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(664248), // Rule ID 13961 //
     /*  664175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  664224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664246 */     GIR_RootConstrainSelectedInstOperands,
     /*  664247 */     // GIR_Coverage, 13961,
     /*  664247 */     GIR_EraseRootFromParent_Done,
     /*  664248 */   // Label 10660: @664248
     /*  664248 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(664326), // Rule ID 13964 //
     /*  664253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  664264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  664267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  664273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  664302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664324 */     GIR_RootConstrainSelectedInstOperands,
     /*  664325 */     // GIR_Coverage, 13964,
     /*  664325 */     GIR_EraseRootFromParent_Done,
     /*  664326 */   // Label 10661: @664326
     /*  664326 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(664404), // Rule ID 13965 //
     /*  664331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  664342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  664345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  664351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  664380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664402 */     GIR_RootConstrainSelectedInstOperands,
     /*  664403 */     // GIR_Coverage, 13965,
     /*  664403 */     GIR_EraseRootFromParent_Done,
     /*  664404 */   // Label 10662: @664404
     /*  664404 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(664482), // Rule ID 13968 //
     /*  664409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  664458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664480 */     GIR_RootConstrainSelectedInstOperands,
     /*  664481 */     // GIR_Coverage, 13968,
     /*  664481 */     GIR_EraseRootFromParent_Done,
     /*  664482 */   // Label 10663: @664482
     /*  664482 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(664560), // Rule ID 13969 //
     /*  664487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  664498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  664501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  664536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664558 */     GIR_RootConstrainSelectedInstOperands,
     /*  664559 */     // GIR_Coverage, 13969,
     /*  664559 */     GIR_EraseRootFromParent_Done,
     /*  664560 */   // Label 10664: @664560
     /*  664560 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(664638), // Rule ID 13972 //
     /*  664565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  664614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664636 */     GIR_RootConstrainSelectedInstOperands,
     /*  664637 */     // GIR_Coverage, 13972,
     /*  664637 */     GIR_EraseRootFromParent_Done,
     /*  664638 */   // Label 10665: @664638
     /*  664638 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(664716), // Rule ID 13973 //
     /*  664643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  664692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664714 */     GIR_RootConstrainSelectedInstOperands,
     /*  664715 */     // GIR_Coverage, 13973,
     /*  664715 */     GIR_EraseRootFromParent_Done,
     /*  664716 */   // Label 10666: @664716
     /*  664716 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(664794), // Rule ID 13976 //
     /*  664721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  664741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  664770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664792 */     GIR_RootConstrainSelectedInstOperands,
     /*  664793 */     // GIR_Coverage, 13976,
     /*  664793 */     GIR_EraseRootFromParent_Done,
     /*  664794 */   // Label 10667: @664794
     /*  664794 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(664872), // Rule ID 13977 //
     /*  664799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  664819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  664848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664870 */     GIR_RootConstrainSelectedInstOperands,
     /*  664871 */     // GIR_Coverage, 13977,
     /*  664871 */     GIR_EraseRootFromParent_Done,
     /*  664872 */   // Label 10668: @664872
     /*  664872 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(664950), // Rule ID 13980 //
     /*  664877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  664897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  664926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  664948 */     GIR_RootConstrainSelectedInstOperands,
     /*  664949 */     // GIR_Coverage, 13980,
     /*  664949 */     GIR_EraseRootFromParent_Done,
     /*  664950 */   // Label 10669: @664950
     /*  664950 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(665028), // Rule ID 13981 //
     /*  664955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  664963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  664975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  665004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665026 */     GIR_RootConstrainSelectedInstOperands,
     /*  665027 */     // GIR_Coverage, 13981,
     /*  665027 */     GIR_EraseRootFromParent_Done,
     /*  665028 */   // Label 10670: @665028
     /*  665028 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(665106), // Rule ID 13984 //
     /*  665033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  665082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665104 */     GIR_RootConstrainSelectedInstOperands,
     /*  665105 */     // GIR_Coverage, 13984,
     /*  665105 */     GIR_EraseRootFromParent_Done,
     /*  665106 */   // Label 10671: @665106
     /*  665106 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(665184), // Rule ID 13985 //
     /*  665111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  665122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  665125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  665131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  665160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665182 */     GIR_RootConstrainSelectedInstOperands,
     /*  665183 */     // GIR_Coverage, 13985,
     /*  665183 */     GIR_EraseRootFromParent_Done,
     /*  665184 */   // Label 10672: @665184
     /*  665184 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(665262), // Rule ID 13988 //
     /*  665189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  665192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  665235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  665238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665260 */     GIR_RootConstrainSelectedInstOperands,
     /*  665261 */     // GIR_Coverage, 13988,
     /*  665261 */     GIR_EraseRootFromParent_Done,
     /*  665262 */   // Label 10673: @665262
     /*  665262 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(665340), // Rule ID 13989 //
     /*  665267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  665270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  665278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  665281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  665287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  665313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  665316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  665332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665338 */     GIR_RootConstrainSelectedInstOperands,
     /*  665339 */     // GIR_Coverage, 13989,
     /*  665339 */     GIR_EraseRootFromParent_Done,
     /*  665340 */   // Label 10674: @665340
     /*  665340 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(665418), // Rule ID 13992 //
     /*  665345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  665362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  665394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665416 */     GIR_RootConstrainSelectedInstOperands,
     /*  665417 */     // GIR_Coverage, 13992,
     /*  665417 */     GIR_EraseRootFromParent_Done,
     /*  665418 */   // Label 10675: @665418
     /*  665418 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(665496), // Rule ID 13993 //
     /*  665423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  665440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  665472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665494 */     GIR_RootConstrainSelectedInstOperands,
     /*  665495 */     // GIR_Coverage, 13993,
     /*  665495 */     GIR_EraseRootFromParent_Done,
     /*  665496 */   // Label 10676: @665496
     /*  665496 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(665574), // Rule ID 13996 //
     /*  665501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  665518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  665550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665572 */     GIR_RootConstrainSelectedInstOperands,
     /*  665573 */     // GIR_Coverage, 13996,
     /*  665573 */     GIR_EraseRootFromParent_Done,
     /*  665574 */   // Label 10677: @665574
     /*  665574 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(665652), // Rule ID 13997 //
     /*  665579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  665596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665625 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  665628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665650 */     GIR_RootConstrainSelectedInstOperands,
     /*  665651 */     // GIR_Coverage, 13997,
     /*  665651 */     GIR_EraseRootFromParent_Done,
     /*  665652 */   // Label 10678: @665652
     /*  665652 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(665730), // Rule ID 14000 //
     /*  665657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  665706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665728 */     GIR_RootConstrainSelectedInstOperands,
     /*  665729 */     // GIR_Coverage, 14000,
     /*  665729 */     GIR_EraseRootFromParent_Done,
     /*  665730 */   // Label 10679: @665730
     /*  665730 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(665808), // Rule ID 14001 //
     /*  665735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  665784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665806 */     GIR_RootConstrainSelectedInstOperands,
     /*  665807 */     // GIR_Coverage, 14001,
     /*  665807 */     GIR_EraseRootFromParent_Done,
     /*  665808 */   // Label 10680: @665808
     /*  665808 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(665886), // Rule ID 14004 //
     /*  665813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  665862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665884 */     GIR_RootConstrainSelectedInstOperands,
     /*  665885 */     // GIR_Coverage, 14004,
     /*  665885 */     GIR_EraseRootFromParent_Done,
     /*  665886 */   // Label 10681: @665886
     /*  665886 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(665964), // Rule ID 14005 //
     /*  665891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665937 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  665940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  665962 */     GIR_RootConstrainSelectedInstOperands,
     /*  665963 */     // GIR_Coverage, 14005,
     /*  665963 */     GIR_EraseRootFromParent_Done,
     /*  665964 */   // Label 10682: @665964
     /*  665964 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(666042), // Rule ID 14008 //
     /*  665969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  665977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  665980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  665983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  666018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666040 */     GIR_RootConstrainSelectedInstOperands,
     /*  666041 */     // GIR_Coverage, 14008,
     /*  666041 */     GIR_EraseRootFromParent_Done,
     /*  666042 */   // Label 10683: @666042
     /*  666042 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(666120), // Rule ID 14009 //
     /*  666047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  666096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666118 */     GIR_RootConstrainSelectedInstOperands,
     /*  666119 */     // GIR_Coverage, 14009,
     /*  666119 */     GIR_EraseRootFromParent_Done,
     /*  666120 */   // Label 10684: @666120
     /*  666120 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(666198), // Rule ID 14012 //
     /*  666125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  666174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666196 */     GIR_RootConstrainSelectedInstOperands,
     /*  666197 */     // GIR_Coverage, 14012,
     /*  666197 */     GIR_EraseRootFromParent_Done,
     /*  666198 */   // Label 10685: @666198
     /*  666198 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(666276), // Rule ID 14013 //
     /*  666203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  666214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  666217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  666252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666274 */     GIR_RootConstrainSelectedInstOperands,
     /*  666275 */     // GIR_Coverage, 14013,
     /*  666275 */     GIR_EraseRootFromParent_Done,
     /*  666276 */   // Label 10686: @666276
     /*  666276 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(666354), // Rule ID 14016 //
     /*  666281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666352 */     GIR_RootConstrainSelectedInstOperands,
     /*  666353 */     // GIR_Coverage, 14016,
     /*  666353 */     GIR_EraseRootFromParent_Done,
     /*  666354 */   // Label 10687: @666354
     /*  666354 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(666432), // Rule ID 14017 //
     /*  666359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  666376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666430 */     GIR_RootConstrainSelectedInstOperands,
     /*  666431 */     // GIR_Coverage, 14017,
     /*  666431 */     GIR_EraseRootFromParent_Done,
     /*  666432 */   // Label 10688: @666432
     /*  666432 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(666510), // Rule ID 14020 //
     /*  666437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  666454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666508 */     GIR_RootConstrainSelectedInstOperands,
     /*  666509 */     // GIR_Coverage, 14020,
     /*  666509 */     GIR_EraseRootFromParent_Done,
     /*  666510 */   // Label 10689: @666510
     /*  666510 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(666588), // Rule ID 14021 //
     /*  666515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  666532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666586 */     GIR_RootConstrainSelectedInstOperands,
     /*  666587 */     // GIR_Coverage, 14021,
     /*  666587 */     GIR_EraseRootFromParent_Done,
     /*  666588 */   // Label 10690: @666588
     /*  666588 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(666666), // Rule ID 14024 //
     /*  666593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666664 */     GIR_RootConstrainSelectedInstOperands,
     /*  666665 */     // GIR_Coverage, 14024,
     /*  666665 */     GIR_EraseRootFromParent_Done,
     /*  666666 */   // Label 10691: @666666
     /*  666666 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(666744), // Rule ID 14025 //
     /*  666671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666742 */     GIR_RootConstrainSelectedInstOperands,
     /*  666743 */     // GIR_Coverage, 14025,
     /*  666743 */     GIR_EraseRootFromParent_Done,
     /*  666744 */   // Label 10692: @666744
     /*  666744 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(666822), // Rule ID 14028 //
     /*  666749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666820 */     GIR_RootConstrainSelectedInstOperands,
     /*  666821 */     // GIR_Coverage, 14028,
     /*  666821 */     GIR_EraseRootFromParent_Done,
     /*  666822 */   // Label 10693: @666822
     /*  666822 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(666900), // Rule ID 14029 //
     /*  666827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  666876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666898 */     GIR_RootConstrainSelectedInstOperands,
     /*  666899 */     // GIR_Coverage, 14029,
     /*  666899 */     GIR_EraseRootFromParent_Done,
     /*  666900 */   // Label 10694: @666900
     /*  666900 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(666978), // Rule ID 14032 //
     /*  666905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  666922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  666954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  666976 */     GIR_RootConstrainSelectedInstOperands,
     /*  666977 */     // GIR_Coverage, 14032,
     /*  666977 */     GIR_EraseRootFromParent_Done,
     /*  666978 */   // Label 10695: @666978
     /*  666978 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(667056), // Rule ID 14033 //
     /*  666983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  666991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  667000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  667032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667054 */     GIR_RootConstrainSelectedInstOperands,
     /*  667055 */     // GIR_Coverage, 14033,
     /*  667055 */     GIR_EraseRootFromParent_Done,
     /*  667056 */   // Label 10696: @667056
     /*  667056 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(667134), // Rule ID 14036 //
     /*  667061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  667110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667132 */     GIR_RootConstrainSelectedInstOperands,
     /*  667133 */     // GIR_Coverage, 14036,
     /*  667133 */     GIR_EraseRootFromParent_Done,
     /*  667134 */   // Label 10697: @667134
     /*  667134 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(667212), // Rule ID 14037 //
     /*  667139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  667150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  667153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  667156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667185 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  667188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667210 */     GIR_RootConstrainSelectedInstOperands,
     /*  667211 */     // GIR_Coverage, 14037,
     /*  667211 */     GIR_EraseRootFromParent_Done,
     /*  667212 */   // Label 10698: @667212
     /*  667212 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(667290), // Rule ID 14040 //
     /*  667217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667263 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  667266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667288 */     GIR_RootConstrainSelectedInstOperands,
     /*  667289 */     // GIR_Coverage, 14040,
     /*  667289 */     GIR_EraseRootFromParent_Done,
     /*  667290 */   // Label 10699: @667290
     /*  667290 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(667368), // Rule ID 14041 //
     /*  667295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  667306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  667309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  667312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667341 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  667344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667366 */     GIR_RootConstrainSelectedInstOperands,
     /*  667367 */     // GIR_Coverage, 14041,
     /*  667367 */     GIR_EraseRootFromParent_Done,
     /*  667368 */   // Label 10700: @667368
     /*  667368 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(667446), // Rule ID 14044 //
     /*  667373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  667390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  667422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667444 */     GIR_RootConstrainSelectedInstOperands,
     /*  667445 */     // GIR_Coverage, 14044,
     /*  667445 */     GIR_EraseRootFromParent_Done,
     /*  667446 */   // Label 10701: @667446
     /*  667446 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(667524), // Rule ID 14045 //
     /*  667451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  667468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  667500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667522 */     GIR_RootConstrainSelectedInstOperands,
     /*  667523 */     // GIR_Coverage, 14045,
     /*  667523 */     GIR_EraseRootFromParent_Done,
     /*  667524 */   // Label 10702: @667524
     /*  667524 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(667602), // Rule ID 14048 //
     /*  667529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  667540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  667543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  667546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667575 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  667578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667600 */     GIR_RootConstrainSelectedInstOperands,
     /*  667601 */     // GIR_Coverage, 14048,
     /*  667601 */     GIR_EraseRootFromParent_Done,
     /*  667602 */   // Label 10703: @667602
     /*  667602 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(667680), // Rule ID 14049 //
     /*  667607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  667618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  667621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  667624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  667656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667678 */     GIR_RootConstrainSelectedInstOperands,
     /*  667679 */     // GIR_Coverage, 14049,
     /*  667679 */     GIR_EraseRootFromParent_Done,
     /*  667680 */   // Label 10704: @667680
     /*  667680 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(667758), // Rule ID 14052 //
     /*  667685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  667696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  667699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  667702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  667734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667756 */     GIR_RootConstrainSelectedInstOperands,
     /*  667757 */     // GIR_Coverage, 14052,
     /*  667757 */     GIR_EraseRootFromParent_Done,
     /*  667758 */   // Label 10705: @667758
     /*  667758 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(667836), // Rule ID 14053 //
     /*  667763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  667774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  667777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  667780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  667812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667834 */     GIR_RootConstrainSelectedInstOperands,
     /*  667835 */     // GIR_Coverage, 14053,
     /*  667835 */     GIR_EraseRootFromParent_Done,
     /*  667836 */   // Label 10706: @667836
     /*  667836 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(667914), // Rule ID 14056 //
     /*  667841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  667858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  667890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667912 */     GIR_RootConstrainSelectedInstOperands,
     /*  667913 */     // GIR_Coverage, 14056,
     /*  667913 */     GIR_EraseRootFromParent_Done,
     /*  667914 */   // Label 10707: @667914
     /*  667914 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(667992), // Rule ID 14057 //
     /*  667919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  667936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  667968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667990 */     GIR_RootConstrainSelectedInstOperands,
     /*  667991 */     // GIR_Coverage, 14057,
     /*  667991 */     GIR_EraseRootFromParent_Done,
     /*  667992 */   // Label 10708: @667992
     /*  667992 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(668070), // Rule ID 14060 //
     /*  667997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  668046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668068 */     GIR_RootConstrainSelectedInstOperands,
     /*  668069 */     // GIR_Coverage, 14060,
     /*  668069 */     GIR_EraseRootFromParent_Done,
     /*  668070 */   // Label 10709: @668070
     /*  668070 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(668148), // Rule ID 14061 //
     /*  668075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  668086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  668089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  668092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  668124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668146 */     GIR_RootConstrainSelectedInstOperands,
     /*  668147 */     // GIR_Coverage, 14061,
     /*  668147 */     GIR_EraseRootFromParent_Done,
     /*  668148 */   // Label 10710: @668148
     /*  668148 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(668226), // Rule ID 14064 //
     /*  668153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  668202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668224 */     GIR_RootConstrainSelectedInstOperands,
     /*  668225 */     // GIR_Coverage, 14064,
     /*  668225 */     GIR_EraseRootFromParent_Done,
     /*  668226 */   // Label 10711: @668226
     /*  668226 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(668304), // Rule ID 14065 //
     /*  668231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  668242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  668245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  668248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  668280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668302 */     GIR_RootConstrainSelectedInstOperands,
     /*  668303 */     // GIR_Coverage, 14065,
     /*  668303 */     GIR_EraseRootFromParent_Done,
     /*  668304 */   // Label 10712: @668304
     /*  668304 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(668382), // Rule ID 14068 //
     /*  668309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  668358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668380 */     GIR_RootConstrainSelectedInstOperands,
     /*  668381 */     // GIR_Coverage, 14068,
     /*  668381 */     GIR_EraseRootFromParent_Done,
     /*  668382 */   // Label 10713: @668382
     /*  668382 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(668460), // Rule ID 14069 //
     /*  668387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  668398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  668401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  668404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  668436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668458 */     GIR_RootConstrainSelectedInstOperands,
     /*  668459 */     // GIR_Coverage, 14069,
     /*  668459 */     GIR_EraseRootFromParent_Done,
     /*  668460 */   // Label 10714: @668460
     /*  668460 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(668538), // Rule ID 14072 //
     /*  668465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  668476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  668479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  668482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  668514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668536 */     GIR_RootConstrainSelectedInstOperands,
     /*  668537 */     // GIR_Coverage, 14072,
     /*  668537 */     GIR_EraseRootFromParent_Done,
     /*  668538 */   // Label 10715: @668538
     /*  668538 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(668616), // Rule ID 14073 //
     /*  668543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  668554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  668557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  668560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  668592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668614 */     GIR_RootConstrainSelectedInstOperands,
     /*  668615 */     // GIR_Coverage, 14073,
     /*  668615 */     GIR_EraseRootFromParent_Done,
     /*  668616 */   // Label 10716: @668616
     /*  668616 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(668694), // Rule ID 14076 //
     /*  668621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  668632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  668635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  668638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  668670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668692 */     GIR_RootConstrainSelectedInstOperands,
     /*  668693 */     // GIR_Coverage, 14076,
     /*  668693 */     GIR_EraseRootFromParent_Done,
     /*  668694 */   // Label 10717: @668694
     /*  668694 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(668772), // Rule ID 14077 //
     /*  668699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  668710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  668713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  668716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  668748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668770 */     GIR_RootConstrainSelectedInstOperands,
     /*  668771 */     // GIR_Coverage, 14077,
     /*  668771 */     GIR_EraseRootFromParent_Done,
     /*  668772 */   // Label 10718: @668772
     /*  668772 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(668850), // Rule ID 14168 //
     /*  668777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  668785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  668788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  668791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  668794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  668797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668823 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  668826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668848 */     GIR_RootConstrainSelectedInstOperands,
     /*  668849 */     // GIR_Coverage, 14168,
     /*  668849 */     GIR_EraseRootFromParent_Done,
     /*  668850 */   // Label 10719: @668850
     /*  668850 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(668928), // Rule ID 14169 //
     /*  668855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  668863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  668866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  668869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  668872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  668875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668901 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  668904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668926 */     GIR_RootConstrainSelectedInstOperands,
     /*  668927 */     // GIR_Coverage, 14169,
     /*  668927 */     GIR_EraseRootFromParent_Done,
     /*  668928 */   // Label 10720: @668928
     /*  668928 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(669006), // Rule ID 14172 //
     /*  668933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  668941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  668944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  668947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  668950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  668953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668979 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  668982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669004 */     GIR_RootConstrainSelectedInstOperands,
     /*  669005 */     // GIR_Coverage, 14172,
     /*  669005 */     GIR_EraseRootFromParent_Done,
     /*  669006 */   // Label 10721: @669006
     /*  669006 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(669084), // Rule ID 14173 //
     /*  669011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  669022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  669025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  669028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  669031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669057 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  669060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669082 */     GIR_RootConstrainSelectedInstOperands,
     /*  669083 */     // GIR_Coverage, 14173,
     /*  669083 */     GIR_EraseRootFromParent_Done,
     /*  669084 */   // Label 10722: @669084
     /*  669084 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(669162), // Rule ID 14176 //
     /*  669089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669160 */     GIR_RootConstrainSelectedInstOperands,
     /*  669161 */     // GIR_Coverage, 14176,
     /*  669161 */     GIR_EraseRootFromParent_Done,
     /*  669162 */   // Label 10723: @669162
     /*  669162 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(669240), // Rule ID 14177 //
     /*  669167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  669178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  669181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  669184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  669187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669213 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669238 */     GIR_RootConstrainSelectedInstOperands,
     /*  669239 */     // GIR_Coverage, 14177,
     /*  669239 */     GIR_EraseRootFromParent_Done,
     /*  669240 */   // Label 10724: @669240
     /*  669240 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(669318), // Rule ID 14180 //
     /*  669245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  669294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669316 */     GIR_RootConstrainSelectedInstOperands,
     /*  669317 */     // GIR_Coverage, 14180,
     /*  669317 */     GIR_EraseRootFromParent_Done,
     /*  669318 */   // Label 10725: @669318
     /*  669318 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(669396), // Rule ID 14181 //
     /*  669323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  669334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  669337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  669340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  669343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669369 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  669372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669394 */     GIR_RootConstrainSelectedInstOperands,
     /*  669395 */     // GIR_Coverage, 14181,
     /*  669395 */     GIR_EraseRootFromParent_Done,
     /*  669396 */   // Label 10726: @669396
     /*  669396 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(669474), // Rule ID 14184 //
     /*  669401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669472 */     GIR_RootConstrainSelectedInstOperands,
     /*  669473 */     // GIR_Coverage, 14184,
     /*  669473 */     GIR_EraseRootFromParent_Done,
     /*  669474 */   // Label 10727: @669474
     /*  669474 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(669552), // Rule ID 14185 //
     /*  669479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  669490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  669493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  669496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  669499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669525 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669550 */     GIR_RootConstrainSelectedInstOperands,
     /*  669551 */     // GIR_Coverage, 14185,
     /*  669551 */     GIR_EraseRootFromParent_Done,
     /*  669552 */   // Label 10728: @669552
     /*  669552 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(669630), // Rule ID 14188 //
     /*  669557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  669568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  669571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  669574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  669577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669628 */     GIR_RootConstrainSelectedInstOperands,
     /*  669629 */     // GIR_Coverage, 14188,
     /*  669629 */     GIR_EraseRootFromParent_Done,
     /*  669630 */   // Label 10729: @669630
     /*  669630 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(669708), // Rule ID 14189 //
     /*  669635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  669646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  669649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  669652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  669655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  669684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669706 */     GIR_RootConstrainSelectedInstOperands,
     /*  669707 */     // GIR_Coverage, 14189,
     /*  669707 */     GIR_EraseRootFromParent_Done,
     /*  669708 */   // Label 10730: @669708
     /*  669708 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(669786), // Rule ID 14192 //
     /*  669713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  669724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  669727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  669730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  669733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669759 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  669762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669784 */     GIR_RootConstrainSelectedInstOperands,
     /*  669785 */     // GIR_Coverage, 14192,
     /*  669785 */     GIR_EraseRootFromParent_Done,
     /*  669786 */   // Label 10731: @669786
     /*  669786 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(669864), // Rule ID 14193 //
     /*  669791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  669802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  669805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  669808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  669811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  669840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669862 */     GIR_RootConstrainSelectedInstOperands,
     /*  669863 */     // GIR_Coverage, 14193,
     /*  669863 */     GIR_EraseRootFromParent_Done,
     /*  669864 */   // Label 10732: @669864
     /*  669864 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(669942), // Rule ID 14196 //
     /*  669869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  669880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  669883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  669886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  669889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  669918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669940 */     GIR_RootConstrainSelectedInstOperands,
     /*  669941 */     // GIR_Coverage, 14196,
     /*  669941 */     GIR_EraseRootFromParent_Done,
     /*  669942 */   // Label 10733: @669942
     /*  669942 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(670020), // Rule ID 14197 //
     /*  669947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  669955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  669958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  669961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  669964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  669967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  669996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670018 */     GIR_RootConstrainSelectedInstOperands,
     /*  670019 */     // GIR_Coverage, 14197,
     /*  670019 */     GIR_EraseRootFromParent_Done,
     /*  670020 */   // Label 10734: @670020
     /*  670020 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(670098), // Rule ID 14200 //
     /*  670025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  670074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670096 */     GIR_RootConstrainSelectedInstOperands,
     /*  670097 */     // GIR_Coverage, 14200,
     /*  670097 */     GIR_EraseRootFromParent_Done,
     /*  670098 */   // Label 10735: @670098
     /*  670098 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(670176), // Rule ID 14201 //
     /*  670103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  670114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  670117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  670120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  670123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  670152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670174 */     GIR_RootConstrainSelectedInstOperands,
     /*  670175 */     // GIR_Coverage, 14201,
     /*  670175 */     GIR_EraseRootFromParent_Done,
     /*  670176 */   // Label 10736: @670176
     /*  670176 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(670254), // Rule ID 14204 //
     /*  670181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  670230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670252 */     GIR_RootConstrainSelectedInstOperands,
     /*  670253 */     // GIR_Coverage, 14204,
     /*  670253 */     GIR_EraseRootFromParent_Done,
     /*  670254 */   // Label 10737: @670254
     /*  670254 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(670332), // Rule ID 14205 //
     /*  670259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  670270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  670273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  670276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  670279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  670308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670330 */     GIR_RootConstrainSelectedInstOperands,
     /*  670331 */     // GIR_Coverage, 14205,
     /*  670331 */     GIR_EraseRootFromParent_Done,
     /*  670332 */   // Label 10738: @670332
     /*  670332 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(670410), // Rule ID 14208 //
     /*  670337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  670386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670408 */     GIR_RootConstrainSelectedInstOperands,
     /*  670409 */     // GIR_Coverage, 14208,
     /*  670409 */     GIR_EraseRootFromParent_Done,
     /*  670410 */   // Label 10739: @670410
     /*  670410 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(670488), // Rule ID 14209 //
     /*  670415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  670426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  670429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  670432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  670435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  670464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670486 */     GIR_RootConstrainSelectedInstOperands,
     /*  670487 */     // GIR_Coverage, 14209,
     /*  670487 */     GIR_EraseRootFromParent_Done,
     /*  670488 */   // Label 10740: @670488
     /*  670488 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(670566), // Rule ID 14212 //
     /*  670493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  670504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  670507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  670510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  670513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  670542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670564 */     GIR_RootConstrainSelectedInstOperands,
     /*  670565 */     // GIR_Coverage, 14212,
     /*  670565 */     GIR_EraseRootFromParent_Done,
     /*  670566 */   // Label 10741: @670566
     /*  670566 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(670644), // Rule ID 14213 //
     /*  670571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  670582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  670585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  670588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  670591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670617 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  670620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670642 */     GIR_RootConstrainSelectedInstOperands,
     /*  670643 */     // GIR_Coverage, 14213,
     /*  670643 */     GIR_EraseRootFromParent_Done,
     /*  670644 */   // Label 10742: @670644
     /*  670644 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(670722), // Rule ID 14216 //
     /*  670649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  670660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  670663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  670666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  670669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670695 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  670698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670720 */     GIR_RootConstrainSelectedInstOperands,
     /*  670721 */     // GIR_Coverage, 14216,
     /*  670721 */     GIR_EraseRootFromParent_Done,
     /*  670722 */   // Label 10743: @670722
     /*  670722 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(670800), // Rule ID 14217 //
     /*  670727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  670738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  670741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  670744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  670747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  670776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670798 */     GIR_RootConstrainSelectedInstOperands,
     /*  670799 */     // GIR_Coverage, 14217,
     /*  670799 */     GIR_EraseRootFromParent_Done,
     /*  670800 */   // Label 10744: @670800
     /*  670800 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(670878), // Rule ID 14220 //
     /*  670805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  670816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  670819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  670822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  670825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  670854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670876 */     GIR_RootConstrainSelectedInstOperands,
     /*  670877 */     // GIR_Coverage, 14220,
     /*  670877 */     GIR_EraseRootFromParent_Done,
     /*  670878 */   // Label 10745: @670878
     /*  670878 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(670956), // Rule ID 14221 //
     /*  670883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  670894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  670897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  670900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  670903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  670932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670954 */     GIR_RootConstrainSelectedInstOperands,
     /*  670955 */     // GIR_Coverage, 14221,
     /*  670955 */     GIR_EraseRootFromParent_Done,
     /*  670956 */   // Label 10746: @670956
     /*  670956 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(671034), // Rule ID 14224 //
     /*  670961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  670969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  670972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  670975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  670978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  670981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  671010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671032 */     GIR_RootConstrainSelectedInstOperands,
     /*  671033 */     // GIR_Coverage, 14224,
     /*  671033 */     GIR_EraseRootFromParent_Done,
     /*  671034 */   // Label 10747: @671034
     /*  671034 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(671112), // Rule ID 14225 //
     /*  671039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  671050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  671053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  671056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  671059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671085 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  671088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671110 */     GIR_RootConstrainSelectedInstOperands,
     /*  671111 */     // GIR_Coverage, 14225,
     /*  671111 */     GIR_EraseRootFromParent_Done,
     /*  671112 */   // Label 10748: @671112
     /*  671112 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(671190), // Rule ID 14228 //
     /*  671117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671163 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  671166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671188 */     GIR_RootConstrainSelectedInstOperands,
     /*  671189 */     // GIR_Coverage, 14228,
     /*  671189 */     GIR_EraseRootFromParent_Done,
     /*  671190 */   // Label 10749: @671190
     /*  671190 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(671268), // Rule ID 14229 //
     /*  671195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  671206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  671209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  671212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  671215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  671244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671266 */     GIR_RootConstrainSelectedInstOperands,
     /*  671267 */     // GIR_Coverage, 14229,
     /*  671267 */     GIR_EraseRootFromParent_Done,
     /*  671268 */   // Label 10750: @671268
     /*  671268 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(671346), // Rule ID 14232 //
     /*  671273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  671322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671344 */     GIR_RootConstrainSelectedInstOperands,
     /*  671345 */     // GIR_Coverage, 14232,
     /*  671345 */     GIR_EraseRootFromParent_Done,
     /*  671346 */   // Label 10751: @671346
     /*  671346 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(671424), // Rule ID 14233 //
     /*  671351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  671362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  671365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  671368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  671371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  671400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671422 */     GIR_RootConstrainSelectedInstOperands,
     /*  671423 */     // GIR_Coverage, 14233,
     /*  671423 */     GIR_EraseRootFromParent_Done,
     /*  671424 */   // Label 10752: @671424
     /*  671424 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(671502), // Rule ID 14236 //
     /*  671429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  671478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671500 */     GIR_RootConstrainSelectedInstOperands,
     /*  671501 */     // GIR_Coverage, 14236,
     /*  671501 */     GIR_EraseRootFromParent_Done,
     /*  671502 */   // Label 10753: @671502
     /*  671502 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(671580), // Rule ID 14237 //
     /*  671507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  671518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  671521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  671524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  671527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  671556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671578 */     GIR_RootConstrainSelectedInstOperands,
     /*  671579 */     // GIR_Coverage, 14237,
     /*  671579 */     GIR_EraseRootFromParent_Done,
     /*  671580 */   // Label 10754: @671580
     /*  671580 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(671658), // Rule ID 14240 //
     /*  671585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  671596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  671599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  671602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  671605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671631 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  671634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671656 */     GIR_RootConstrainSelectedInstOperands,
     /*  671657 */     // GIR_Coverage, 14240,
     /*  671657 */     GIR_EraseRootFromParent_Done,
     /*  671658 */   // Label 10755: @671658
     /*  671658 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(671736), // Rule ID 14241 //
     /*  671663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  671674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  671677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  671680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  671683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671709 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  671712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671734 */     GIR_RootConstrainSelectedInstOperands,
     /*  671735 */     // GIR_Coverage, 14241,
     /*  671735 */     GIR_EraseRootFromParent_Done,
     /*  671736 */   // Label 10756: @671736
     /*  671736 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(671814), // Rule ID 14244 //
     /*  671741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  671752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  671755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  671758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  671761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  671790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671812 */     GIR_RootConstrainSelectedInstOperands,
     /*  671813 */     // GIR_Coverage, 14244,
     /*  671813 */     GIR_EraseRootFromParent_Done,
     /*  671814 */   // Label 10757: @671814
     /*  671814 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(671892), // Rule ID 14245 //
     /*  671819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  671830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  671833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  671836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  671839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  671868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671890 */     GIR_RootConstrainSelectedInstOperands,
     /*  671891 */     // GIR_Coverage, 14245,
     /*  671891 */     GIR_EraseRootFromParent_Done,
     /*  671892 */   // Label 10758: @671892
     /*  671892 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(671970), // Rule ID 14248 //
     /*  671897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  671908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  671911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  671914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  671917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  671946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671968 */     GIR_RootConstrainSelectedInstOperands,
     /*  671969 */     // GIR_Coverage, 14248,
     /*  671969 */     GIR_EraseRootFromParent_Done,
     /*  671970 */   // Label 10759: @671970
     /*  671970 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(672048), // Rule ID 14249 //
     /*  671975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  671983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  671986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  671989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  671992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  671995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  672024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672046 */     GIR_RootConstrainSelectedInstOperands,
     /*  672047 */     // GIR_Coverage, 14249,
     /*  672047 */     GIR_EraseRootFromParent_Done,
     /*  672048 */   // Label 10760: @672048
     /*  672048 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(672126), // Rule ID 14252 //
     /*  672053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  672102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672124 */     GIR_RootConstrainSelectedInstOperands,
     /*  672125 */     // GIR_Coverage, 14252,
     /*  672125 */     GIR_EraseRootFromParent_Done,
     /*  672126 */   // Label 10761: @672126
     /*  672126 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(672204), // Rule ID 14253 //
     /*  672131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  672142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  672145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  672148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  672151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  672180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672202 */     GIR_RootConstrainSelectedInstOperands,
     /*  672203 */     // GIR_Coverage, 14253,
     /*  672203 */     GIR_EraseRootFromParent_Done,
     /*  672204 */   // Label 10762: @672204
     /*  672204 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(672282), // Rule ID 14256 //
     /*  672209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672255 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  672258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672280 */     GIR_RootConstrainSelectedInstOperands,
     /*  672281 */     // GIR_Coverage, 14256,
     /*  672281 */     GIR_EraseRootFromParent_Done,
     /*  672282 */   // Label 10763: @672282
     /*  672282 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(672360), // Rule ID 14257 //
     /*  672287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  672298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  672301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  672304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  672336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672358 */     GIR_RootConstrainSelectedInstOperands,
     /*  672359 */     // GIR_Coverage, 14257,
     /*  672359 */     GIR_EraseRootFromParent_Done,
     /*  672360 */   // Label 10764: @672360
     /*  672360 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(672438), // Rule ID 14260 //
     /*  672365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  672414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672436 */     GIR_RootConstrainSelectedInstOperands,
     /*  672437 */     // GIR_Coverage, 14260,
     /*  672437 */     GIR_EraseRootFromParent_Done,
     /*  672438 */   // Label 10765: @672438
     /*  672438 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(672516), // Rule ID 14261 //
     /*  672443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  672454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  672457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  672460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672489 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  672492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672514 */     GIR_RootConstrainSelectedInstOperands,
     /*  672515 */     // GIR_Coverage, 14261,
     /*  672515 */     GIR_EraseRootFromParent_Done,
     /*  672516 */   // Label 10766: @672516
     /*  672516 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(672594), // Rule ID 14264 //
     /*  672521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  672570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672592 */     GIR_RootConstrainSelectedInstOperands,
     /*  672593 */     // GIR_Coverage, 14264,
     /*  672593 */     GIR_EraseRootFromParent_Done,
     /*  672594 */   // Label 10767: @672594
     /*  672594 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(672672), // Rule ID 14265 //
     /*  672599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  672610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  672613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  672616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672645 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  672648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672670 */     GIR_RootConstrainSelectedInstOperands,
     /*  672671 */     // GIR_Coverage, 14265,
     /*  672671 */     GIR_EraseRootFromParent_Done,
     /*  672672 */   // Label 10768: @672672
     /*  672672 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(672750), // Rule ID 14268 //
     /*  672677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  672688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  672691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  672694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  672726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672748 */     GIR_RootConstrainSelectedInstOperands,
     /*  672749 */     // GIR_Coverage, 14268,
     /*  672749 */     GIR_EraseRootFromParent_Done,
     /*  672750 */   // Label 10769: @672750
     /*  672750 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(672828), // Rule ID 14269 //
     /*  672755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  672766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  672769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  672772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  672804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672826 */     GIR_RootConstrainSelectedInstOperands,
     /*  672827 */     // GIR_Coverage, 14269,
     /*  672827 */     GIR_EraseRootFromParent_Done,
     /*  672828 */   // Label 10770: @672828
     /*  672828 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(672906), // Rule ID 14272 //
     /*  672833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  672844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  672847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  672850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  672882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672904 */     GIR_RootConstrainSelectedInstOperands,
     /*  672905 */     // GIR_Coverage, 14272,
     /*  672905 */     GIR_EraseRootFromParent_Done,
     /*  672906 */   // Label 10771: @672906
     /*  672906 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(672984), // Rule ID 14273 //
     /*  672911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  672922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  672925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  672928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672957 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  672960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672982 */     GIR_RootConstrainSelectedInstOperands,
     /*  672983 */     // GIR_Coverage, 14273,
     /*  672983 */     GIR_EraseRootFromParent_Done,
     /*  672984 */   // Label 10772: @672984
     /*  672984 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(673062), // Rule ID 14276 //
     /*  672989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  672997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  673038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673060 */     GIR_RootConstrainSelectedInstOperands,
     /*  673061 */     // GIR_Coverage, 14276,
     /*  673061 */     GIR_EraseRootFromParent_Done,
     /*  673062 */   // Label 10773: @673062
     /*  673062 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(673140), // Rule ID 14277 //
     /*  673067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  673078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  673081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  673084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  673116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673138 */     GIR_RootConstrainSelectedInstOperands,
     /*  673139 */     // GIR_Coverage, 14277,
     /*  673139 */     GIR_EraseRootFromParent_Done,
     /*  673140 */   // Label 10774: @673140
     /*  673140 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(673218), // Rule ID 14280 //
     /*  673145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673191 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673216 */     GIR_RootConstrainSelectedInstOperands,
     /*  673217 */     // GIR_Coverage, 14280,
     /*  673217 */     GIR_EraseRootFromParent_Done,
     /*  673218 */   // Label 10775: @673218
     /*  673218 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(673296), // Rule ID 14281 //
     /*  673223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  673234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  673237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  673240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673294 */     GIR_RootConstrainSelectedInstOperands,
     /*  673295 */     // GIR_Coverage, 14281,
     /*  673295 */     GIR_EraseRootFromParent_Done,
     /*  673296 */   // Label 10776: @673296
     /*  673296 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(673374), // Rule ID 14284 //
     /*  673301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673372 */     GIR_RootConstrainSelectedInstOperands,
     /*  673373 */     // GIR_Coverage, 14284,
     /*  673373 */     GIR_EraseRootFromParent_Done,
     /*  673374 */   // Label 10777: @673374
     /*  673374 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(673452), // Rule ID 14285 //
     /*  673379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  673390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  673393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  673396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673450 */     GIR_RootConstrainSelectedInstOperands,
     /*  673451 */     // GIR_Coverage, 14285,
     /*  673451 */     GIR_EraseRootFromParent_Done,
     /*  673452 */   // Label 10778: @673452
     /*  673452 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(673530), // Rule ID 14288 //
     /*  673457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673528 */     GIR_RootConstrainSelectedInstOperands,
     /*  673529 */     // GIR_Coverage, 14288,
     /*  673529 */     GIR_EraseRootFromParent_Done,
     /*  673530 */   // Label 10779: @673530
     /*  673530 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(673608), // Rule ID 14289 //
     /*  673535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  673546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  673549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  673552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673581 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673606 */     GIR_RootConstrainSelectedInstOperands,
     /*  673607 */     // GIR_Coverage, 14289,
     /*  673607 */     GIR_EraseRootFromParent_Done,
     /*  673608 */   // Label 10780: @673608
     /*  673608 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(673686), // Rule ID 14292 //
     /*  673613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  673624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  673627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  673630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673684 */     GIR_RootConstrainSelectedInstOperands,
     /*  673685 */     // GIR_Coverage, 14292,
     /*  673685 */     GIR_EraseRootFromParent_Done,
     /*  673686 */   // Label 10781: @673686
     /*  673686 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(673764), // Rule ID 14293 //
     /*  673691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  673702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  673705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  673708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  673740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673762 */     GIR_RootConstrainSelectedInstOperands,
     /*  673763 */     // GIR_Coverage, 14293,
     /*  673763 */     GIR_EraseRootFromParent_Done,
     /*  673764 */   // Label 10782: @673764
     /*  673764 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(673842), // Rule ID 14296 //
     /*  673769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  673780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  673783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  673786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  673818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673840 */     GIR_RootConstrainSelectedInstOperands,
     /*  673841 */     // GIR_Coverage, 14296,
     /*  673841 */     GIR_EraseRootFromParent_Done,
     /*  673842 */   // Label 10783: @673842
     /*  673842 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(673920), // Rule ID 14297 //
     /*  673847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  673858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  673861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  673864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673893 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  673896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673918 */     GIR_RootConstrainSelectedInstOperands,
     /*  673919 */     // GIR_Coverage, 14297,
     /*  673919 */     GIR_EraseRootFromParent_Done,
     /*  673920 */   // Label 10784: @673920
     /*  673920 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(673998), // Rule ID 14300 //
     /*  673925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  673933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  673936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  673939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  673942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  673974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673996 */     GIR_RootConstrainSelectedInstOperands,
     /*  673997 */     // GIR_Coverage, 14300,
     /*  673997 */     GIR_EraseRootFromParent_Done,
     /*  673998 */   // Label 10785: @673998
     /*  673998 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(674076), // Rule ID 14301 //
     /*  674003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674049 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  674052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674074 */     GIR_RootConstrainSelectedInstOperands,
     /*  674075 */     // GIR_Coverage, 14301,
     /*  674075 */     GIR_EraseRootFromParent_Done,
     /*  674076 */   // Label 10786: @674076
     /*  674076 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(674154), // Rule ID 14304 //
     /*  674081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674127 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  674130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674152 */     GIR_RootConstrainSelectedInstOperands,
     /*  674153 */     // GIR_Coverage, 14304,
     /*  674153 */     GIR_EraseRootFromParent_Done,
     /*  674154 */   // Label 10787: @674154
     /*  674154 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(674232), // Rule ID 14305 //
     /*  674159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  674170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  674173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  674176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  674208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674230 */     GIR_RootConstrainSelectedInstOperands,
     /*  674231 */     // GIR_Coverage, 14305,
     /*  674231 */     GIR_EraseRootFromParent_Done,
     /*  674232 */   // Label 10788: @674232
     /*  674232 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(674310), // Rule ID 14308 //
     /*  674237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  674286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674308 */     GIR_RootConstrainSelectedInstOperands,
     /*  674309 */     // GIR_Coverage, 14308,
     /*  674309 */     GIR_EraseRootFromParent_Done,
     /*  674310 */   // Label 10789: @674310
     /*  674310 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(674388), // Rule ID 14309 //
     /*  674315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  674326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  674329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  674332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  674364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674386 */     GIR_RootConstrainSelectedInstOperands,
     /*  674387 */     // GIR_Coverage, 14309,
     /*  674387 */     GIR_EraseRootFromParent_Done,
     /*  674388 */   // Label 10790: @674388
     /*  674388 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(674466), // Rule ID 14312 //
     /*  674393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  674442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674464 */     GIR_RootConstrainSelectedInstOperands,
     /*  674465 */     // GIR_Coverage, 14312,
     /*  674465 */     GIR_EraseRootFromParent_Done,
     /*  674466 */   // Label 10791: @674466
     /*  674466 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(674544), // Rule ID 14313 //
     /*  674471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  674482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  674485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  674488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674517 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  674520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674542 */     GIR_RootConstrainSelectedInstOperands,
     /*  674543 */     // GIR_Coverage, 14313,
     /*  674543 */     GIR_EraseRootFromParent_Done,
     /*  674544 */   // Label 10792: @674544
     /*  674544 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(674622), // Rule ID 14316 //
     /*  674549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  674598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674620 */     GIR_RootConstrainSelectedInstOperands,
     /*  674621 */     // GIR_Coverage, 14316,
     /*  674621 */     GIR_EraseRootFromParent_Done,
     /*  674622 */   // Label 10793: @674622
     /*  674622 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(674700), // Rule ID 14317 //
     /*  674627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  674638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  674641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  674644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  674676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674698 */     GIR_RootConstrainSelectedInstOperands,
     /*  674699 */     // GIR_Coverage, 14317,
     /*  674699 */     GIR_EraseRootFromParent_Done,
     /*  674700 */   // Label 10794: @674700
     /*  674700 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(674778), // Rule ID 14320 //
     /*  674705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  674716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  674719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  674722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  674754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674776 */     GIR_RootConstrainSelectedInstOperands,
     /*  674777 */     // GIR_Coverage, 14320,
     /*  674777 */     GIR_EraseRootFromParent_Done,
     /*  674778 */   // Label 10795: @674778
     /*  674778 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(674856), // Rule ID 14321 //
     /*  674783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  674794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  674797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  674800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674829 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  674832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674854 */     GIR_RootConstrainSelectedInstOperands,
     /*  674855 */     // GIR_Coverage, 14321,
     /*  674855 */     GIR_EraseRootFromParent_Done,
     /*  674856 */   // Label 10796: @674856
     /*  674856 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(674934), // Rule ID 14324 //
     /*  674861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  674872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  674875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  674878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  674910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674932 */     GIR_RootConstrainSelectedInstOperands,
     /*  674933 */     // GIR_Coverage, 14324,
     /*  674933 */     GIR_EraseRootFromParent_Done,
     /*  674934 */   // Label 10797: @674934
     /*  674934 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(675012), // Rule ID 14325 //
     /*  674939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  674950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  674953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  674956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  674988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675010 */     GIR_RootConstrainSelectedInstOperands,
     /*  675011 */     // GIR_Coverage, 14325,
     /*  675011 */     GIR_EraseRootFromParent_Done,
     /*  675012 */   // Label 10798: @675012
     /*  675012 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(675090), // Rule ID 14328 //
     /*  675017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  675066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675088 */     GIR_RootConstrainSelectedInstOperands,
     /*  675089 */     // GIR_Coverage, 14328,
     /*  675089 */     GIR_EraseRootFromParent_Done,
     /*  675090 */   // Label 10799: @675090
     /*  675090 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(675168), // Rule ID 14329 //
     /*  675095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  675144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675166 */     GIR_RootConstrainSelectedInstOperands,
     /*  675167 */     // GIR_Coverage, 14329,
     /*  675167 */     GIR_EraseRootFromParent_Done,
     /*  675168 */   // Label 10800: @675168
     /*  675168 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(675246), // Rule ID 14332 //
     /*  675173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  675222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675244 */     GIR_RootConstrainSelectedInstOperands,
     /*  675245 */     // GIR_Coverage, 14332,
     /*  675245 */     GIR_EraseRootFromParent_Done,
     /*  675246 */   // Label 10801: @675246
     /*  675246 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(675324), // Rule ID 14333 //
     /*  675251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  675262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  675265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  675268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  675300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675322 */     GIR_RootConstrainSelectedInstOperands,
     /*  675323 */     // GIR_Coverage, 14333,
     /*  675323 */     GIR_EraseRootFromParent_Done,
     /*  675324 */   // Label 10802: @675324
     /*  675324 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(675402), // Rule ID 14336 //
     /*  675329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  675378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675400 */     GIR_RootConstrainSelectedInstOperands,
     /*  675401 */     // GIR_Coverage, 14336,
     /*  675401 */     GIR_EraseRootFromParent_Done,
     /*  675402 */   // Label 10803: @675402
     /*  675402 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(675480), // Rule ID 14337 //
     /*  675407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  675418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  675421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  675424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  675456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675478 */     GIR_RootConstrainSelectedInstOperands,
     /*  675479 */     // GIR_Coverage, 14337,
     /*  675479 */     GIR_EraseRootFromParent_Done,
     /*  675480 */   // Label 10804: @675480
     /*  675480 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(675558), // Rule ID 14340 //
     /*  675485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  675534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675556 */     GIR_RootConstrainSelectedInstOperands,
     /*  675557 */     // GIR_Coverage, 14340,
     /*  675557 */     GIR_EraseRootFromParent_Done,
     /*  675558 */   // Label 10805: @675558
     /*  675558 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(675636), // Rule ID 14341 //
     /*  675563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  675574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  675577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  675580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675609 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  675612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675634 */     GIR_RootConstrainSelectedInstOperands,
     /*  675635 */     // GIR_Coverage, 14341,
     /*  675635 */     GIR_EraseRootFromParent_Done,
     /*  675636 */   // Label 10806: @675636
     /*  675636 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(675714), // Rule ID 14432 //
     /*  675641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  675649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  675690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675712 */     GIR_RootConstrainSelectedInstOperands,
     /*  675713 */     // GIR_Coverage, 14432,
     /*  675713 */     GIR_EraseRootFromParent_Done,
     /*  675714 */   // Label 10807: @675714
     /*  675714 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(675792), // Rule ID 14433 //
     /*  675719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  675727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  675730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  675733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  675736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  675739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  675768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675790 */     GIR_RootConstrainSelectedInstOperands,
     /*  675791 */     // GIR_Coverage, 14433,
     /*  675791 */     GIR_EraseRootFromParent_Done,
     /*  675792 */   // Label 10808: @675792
     /*  675792 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(675870), // Rule ID 14436 //
     /*  675797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  675805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  675808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  675811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  675814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  675817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  675846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675868 */     GIR_RootConstrainSelectedInstOperands,
     /*  675869 */     // GIR_Coverage, 14436,
     /*  675869 */     GIR_EraseRootFromParent_Done,
     /*  675870 */   // Label 10809: @675870
     /*  675870 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(675948), // Rule ID 14437 //
     /*  675875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  675883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  675886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  675889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  675892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  675895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  675924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675946 */     GIR_RootConstrainSelectedInstOperands,
     /*  675947 */     // GIR_Coverage, 14437,
     /*  675947 */     GIR_EraseRootFromParent_Done,
     /*  675948 */   // Label 10810: @675948
     /*  675948 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(676026), // Rule ID 14440 //
     /*  675953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  675961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  675964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  675967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  675970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  675973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675999 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676024 */     GIR_RootConstrainSelectedInstOperands,
     /*  676025 */     // GIR_Coverage, 14440,
     /*  676025 */     GIR_EraseRootFromParent_Done,
     /*  676026 */   // Label 10811: @676026
     /*  676026 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(676104), // Rule ID 14441 //
     /*  676031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676102 */     GIR_RootConstrainSelectedInstOperands,
     /*  676103 */     // GIR_Coverage, 14441,
     /*  676103 */     GIR_EraseRootFromParent_Done,
     /*  676104 */   // Label 10812: @676104
     /*  676104 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(676182), // Rule ID 14444 //
     /*  676109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  676158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676180 */     GIR_RootConstrainSelectedInstOperands,
     /*  676181 */     // GIR_Coverage, 14444,
     /*  676181 */     GIR_EraseRootFromParent_Done,
     /*  676182 */   // Label 10813: @676182
     /*  676182 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(676260), // Rule ID 14445 //
     /*  676187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  676198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  676201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  676204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  676207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  676236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676258 */     GIR_RootConstrainSelectedInstOperands,
     /*  676259 */     // GIR_Coverage, 14445,
     /*  676259 */     GIR_EraseRootFromParent_Done,
     /*  676260 */   // Label 10814: @676260
     /*  676260 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(676338), // Rule ID 14448 //
     /*  676265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676336 */     GIR_RootConstrainSelectedInstOperands,
     /*  676337 */     // GIR_Coverage, 14448,
     /*  676337 */     GIR_EraseRootFromParent_Done,
     /*  676338 */   // Label 10815: @676338
     /*  676338 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(676416), // Rule ID 14449 //
     /*  676343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  676354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  676357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  676360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  676363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676414 */     GIR_RootConstrainSelectedInstOperands,
     /*  676415 */     // GIR_Coverage, 14449,
     /*  676415 */     GIR_EraseRootFromParent_Done,
     /*  676416 */   // Label 10816: @676416
     /*  676416 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(676494), // Rule ID 14452 //
     /*  676421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676492 */     GIR_RootConstrainSelectedInstOperands,
     /*  676493 */     // GIR_Coverage, 14452,
     /*  676493 */     GIR_EraseRootFromParent_Done,
     /*  676494 */   // Label 10817: @676494
     /*  676494 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(676572), // Rule ID 14453 //
     /*  676499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  676510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  676513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  676516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  676519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676545 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  676548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676570 */     GIR_RootConstrainSelectedInstOperands,
     /*  676571 */     // GIR_Coverage, 14453,
     /*  676571 */     GIR_EraseRootFromParent_Done,
     /*  676572 */   // Label 10818: @676572
     /*  676572 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(676650), // Rule ID 14456 //
     /*  676577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  676626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676648 */     GIR_RootConstrainSelectedInstOperands,
     /*  676649 */     // GIR_Coverage, 14456,
     /*  676649 */     GIR_EraseRootFromParent_Done,
     /*  676650 */   // Label 10819: @676650
     /*  676650 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(676728), // Rule ID 14457 //
     /*  676655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  676666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  676669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  676672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  676675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676701 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  676704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676726 */     GIR_RootConstrainSelectedInstOperands,
     /*  676727 */     // GIR_Coverage, 14457,
     /*  676727 */     GIR_EraseRootFromParent_Done,
     /*  676728 */   // Label 10820: @676728
     /*  676728 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(676806), // Rule ID 14460 //
     /*  676733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  676744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  676747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  676750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  676753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  676782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676804 */     GIR_RootConstrainSelectedInstOperands,
     /*  676805 */     // GIR_Coverage, 14460,
     /*  676805 */     GIR_EraseRootFromParent_Done,
     /*  676806 */   // Label 10821: @676806
     /*  676806 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(676884), // Rule ID 14461 //
     /*  676811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  676822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  676825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  676828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  676831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  676860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676882 */     GIR_RootConstrainSelectedInstOperands,
     /*  676883 */     // GIR_Coverage, 14461,
     /*  676883 */     GIR_EraseRootFromParent_Done,
     /*  676884 */   // Label 10822: @676884
     /*  676884 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(676962), // Rule ID 14464 //
     /*  676889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  676900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  676903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  676906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  676909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  676938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676960 */     GIR_RootConstrainSelectedInstOperands,
     /*  676961 */     // GIR_Coverage, 14464,
     /*  676961 */     GIR_EraseRootFromParent_Done,
     /*  676962 */   // Label 10823: @676962
     /*  676962 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(677040), // Rule ID 14465 //
     /*  676967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  676975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  676978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  676981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  676984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  676987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  677016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677038 */     GIR_RootConstrainSelectedInstOperands,
     /*  677039 */     // GIR_Coverage, 14465,
     /*  677039 */     GIR_EraseRootFromParent_Done,
     /*  677040 */   // Label 10824: @677040
     /*  677040 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(677118), // Rule ID 14468 //
     /*  677045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  677094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677116 */     GIR_RootConstrainSelectedInstOperands,
     /*  677117 */     // GIR_Coverage, 14468,
     /*  677117 */     GIR_EraseRootFromParent_Done,
     /*  677118 */   // Label 10825: @677118
     /*  677118 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(677196), // Rule ID 14469 //
     /*  677123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  677172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677194 */     GIR_RootConstrainSelectedInstOperands,
     /*  677195 */     // GIR_Coverage, 14469,
     /*  677195 */     GIR_EraseRootFromParent_Done,
     /*  677196 */   // Label 10826: @677196
     /*  677196 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(677274), // Rule ID 14472 //
     /*  677201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  677250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677272 */     GIR_RootConstrainSelectedInstOperands,
     /*  677273 */     // GIR_Coverage, 14472,
     /*  677273 */     GIR_EraseRootFromParent_Done,
     /*  677274 */   // Label 10827: @677274
     /*  677274 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(677352), // Rule ID 14473 //
     /*  677279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  677290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  677293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  677296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  677299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  677328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677350 */     GIR_RootConstrainSelectedInstOperands,
     /*  677351 */     // GIR_Coverage, 14473,
     /*  677351 */     GIR_EraseRootFromParent_Done,
     /*  677352 */   // Label 10828: @677352
     /*  677352 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(677430), // Rule ID 14476 //
     /*  677357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  677406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677428 */     GIR_RootConstrainSelectedInstOperands,
     /*  677429 */     // GIR_Coverage, 14476,
     /*  677429 */     GIR_EraseRootFromParent_Done,
     /*  677430 */   // Label 10829: @677430
     /*  677430 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(677508), // Rule ID 14477 //
     /*  677435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  677446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  677449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  677452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  677455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  677484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677506 */     GIR_RootConstrainSelectedInstOperands,
     /*  677507 */     // GIR_Coverage, 14477,
     /*  677507 */     GIR_EraseRootFromParent_Done,
     /*  677508 */   // Label 10830: @677508
     /*  677508 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(677586), // Rule ID 14480 //
     /*  677513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  677562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677584 */     GIR_RootConstrainSelectedInstOperands,
     /*  677585 */     // GIR_Coverage, 14480,
     /*  677585 */     GIR_EraseRootFromParent_Done,
     /*  677586 */   // Label 10831: @677586
     /*  677586 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(677664), // Rule ID 14481 //
     /*  677591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  677602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  677605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  677608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  677611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  677640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677662 */     GIR_RootConstrainSelectedInstOperands,
     /*  677663 */     // GIR_Coverage, 14481,
     /*  677663 */     GIR_EraseRootFromParent_Done,
     /*  677664 */   // Label 10832: @677664
     /*  677664 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(677742), // Rule ID 14484 //
     /*  677669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677715 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  677718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677740 */     GIR_RootConstrainSelectedInstOperands,
     /*  677741 */     // GIR_Coverage, 14484,
     /*  677741 */     GIR_EraseRootFromParent_Done,
     /*  677742 */   // Label 10833: @677742
     /*  677742 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(677820), // Rule ID 14485 //
     /*  677747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  677758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  677761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  677764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  677767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  677796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677818 */     GIR_RootConstrainSelectedInstOperands,
     /*  677819 */     // GIR_Coverage, 14485,
     /*  677819 */     GIR_EraseRootFromParent_Done,
     /*  677820 */   // Label 10834: @677820
     /*  677820 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(677898), // Rule ID 14488 //
     /*  677825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  677836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  677839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  677842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  677845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  677874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677896 */     GIR_RootConstrainSelectedInstOperands,
     /*  677897 */     // GIR_Coverage, 14488,
     /*  677897 */     GIR_EraseRootFromParent_Done,
     /*  677898 */   // Label 10835: @677898
     /*  677898 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(677976), // Rule ID 14489 //
     /*  677903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  677914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  677917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  677920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  677923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  677952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677974 */     GIR_RootConstrainSelectedInstOperands,
     /*  677975 */     // GIR_Coverage, 14489,
     /*  677975 */     GIR_EraseRootFromParent_Done,
     /*  677976 */   // Label 10836: @677976
     /*  677976 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(678054), // Rule ID 14492 //
     /*  677981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  677989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  677992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  677995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  677998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  678030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678052 */     GIR_RootConstrainSelectedInstOperands,
     /*  678053 */     // GIR_Coverage, 14492,
     /*  678053 */     GIR_EraseRootFromParent_Done,
     /*  678054 */   // Label 10837: @678054
     /*  678054 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(678132), // Rule ID 14493 //
     /*  678059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  678108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678130 */     GIR_RootConstrainSelectedInstOperands,
     /*  678131 */     // GIR_Coverage, 14493,
     /*  678131 */     GIR_EraseRootFromParent_Done,
     /*  678132 */   // Label 10838: @678132
     /*  678132 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(678210), // Rule ID 14496 //
     /*  678137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  678186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678208 */     GIR_RootConstrainSelectedInstOperands,
     /*  678209 */     // GIR_Coverage, 14496,
     /*  678209 */     GIR_EraseRootFromParent_Done,
     /*  678210 */   // Label 10839: @678210
     /*  678210 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(678288), // Rule ID 14497 //
     /*  678215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  678264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678286 */     GIR_RootConstrainSelectedInstOperands,
     /*  678287 */     // GIR_Coverage, 14497,
     /*  678287 */     GIR_EraseRootFromParent_Done,
     /*  678288 */   // Label 10840: @678288
     /*  678288 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(678366), // Rule ID 14500 //
     /*  678293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  678342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678364 */     GIR_RootConstrainSelectedInstOperands,
     /*  678365 */     // GIR_Coverage, 14500,
     /*  678365 */     GIR_EraseRootFromParent_Done,
     /*  678366 */   // Label 10841: @678366
     /*  678366 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(678444), // Rule ID 14501 //
     /*  678371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  678382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  678385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  678388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  678391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  678420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678442 */     GIR_RootConstrainSelectedInstOperands,
     /*  678443 */     // GIR_Coverage, 14501,
     /*  678443 */     GIR_EraseRootFromParent_Done,
     /*  678444 */   // Label 10842: @678444
     /*  678444 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(678522), // Rule ID 14504 //
     /*  678449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  678498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678520 */     GIR_RootConstrainSelectedInstOperands,
     /*  678521 */     // GIR_Coverage, 14504,
     /*  678521 */     GIR_EraseRootFromParent_Done,
     /*  678522 */   // Label 10843: @678522
     /*  678522 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(678600), // Rule ID 14505 //
     /*  678527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  678538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  678541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  678544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  678547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  678576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678598 */     GIR_RootConstrainSelectedInstOperands,
     /*  678599 */     // GIR_Coverage, 14505,
     /*  678599 */     GIR_EraseRootFromParent_Done,
     /*  678600 */   // Label 10844: @678600
     /*  678600 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(678678), // Rule ID 14508 //
     /*  678605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  678654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678676 */     GIR_RootConstrainSelectedInstOperands,
     /*  678677 */     // GIR_Coverage, 14508,
     /*  678677 */     GIR_EraseRootFromParent_Done,
     /*  678678 */   // Label 10845: @678678
     /*  678678 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(678756), // Rule ID 14509 //
     /*  678683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  678694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  678697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  678700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  678703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  678732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678754 */     GIR_RootConstrainSelectedInstOperands,
     /*  678755 */     // GIR_Coverage, 14509,
     /*  678755 */     GIR_EraseRootFromParent_Done,
     /*  678756 */   // Label 10846: @678756
     /*  678756 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(678834), // Rule ID 14512 //
     /*  678761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  678810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678832 */     GIR_RootConstrainSelectedInstOperands,
     /*  678833 */     // GIR_Coverage, 14512,
     /*  678833 */     GIR_EraseRootFromParent_Done,
     /*  678834 */   // Label 10847: @678834
     /*  678834 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(678912), // Rule ID 14513 //
     /*  678839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  678850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  678853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  678856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  678859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  678888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678910 */     GIR_RootConstrainSelectedInstOperands,
     /*  678911 */     // GIR_Coverage, 14513,
     /*  678911 */     GIR_EraseRootFromParent_Done,
     /*  678912 */   // Label 10848: @678912
     /*  678912 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(678990), // Rule ID 14516 //
     /*  678917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  678925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  678928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  678931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  678934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  678937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  678966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678988 */     GIR_RootConstrainSelectedInstOperands,
     /*  678989 */     // GIR_Coverage, 14516,
     /*  678989 */     GIR_EraseRootFromParent_Done,
     /*  678990 */   // Label 10849: @678990
     /*  678990 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(679068), // Rule ID 14517 //
     /*  678995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  679044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679066 */     GIR_RootConstrainSelectedInstOperands,
     /*  679067 */     // GIR_Coverage, 14517,
     /*  679067 */     GIR_EraseRootFromParent_Done,
     /*  679068 */   // Label 10850: @679068
     /*  679068 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(679146), // Rule ID 14520 //
     /*  679073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679119 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  679122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679144 */     GIR_RootConstrainSelectedInstOperands,
     /*  679145 */     // GIR_Coverage, 14520,
     /*  679145 */     GIR_EraseRootFromParent_Done,
     /*  679146 */   // Label 10851: @679146
     /*  679146 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(679224), // Rule ID 14521 //
     /*  679151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  679200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679222 */     GIR_RootConstrainSelectedInstOperands,
     /*  679223 */     // GIR_Coverage, 14521,
     /*  679223 */     GIR_EraseRootFromParent_Done,
     /*  679224 */   // Label 10852: @679224
     /*  679224 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(679302), // Rule ID 14524 //
     /*  679229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  679278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679300 */     GIR_RootConstrainSelectedInstOperands,
     /*  679301 */     // GIR_Coverage, 14524,
     /*  679301 */     GIR_EraseRootFromParent_Done,
     /*  679302 */   // Label 10853: @679302
     /*  679302 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(679380), // Rule ID 14525 //
     /*  679307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  679318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  679321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  679324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  679356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679378 */     GIR_RootConstrainSelectedInstOperands,
     /*  679379 */     // GIR_Coverage, 14525,
     /*  679379 */     GIR_EraseRootFromParent_Done,
     /*  679380 */   // Label 10854: @679380
     /*  679380 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(679458), // Rule ID 14528 //
     /*  679385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679431 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679456 */     GIR_RootConstrainSelectedInstOperands,
     /*  679457 */     // GIR_Coverage, 14528,
     /*  679457 */     GIR_EraseRootFromParent_Done,
     /*  679458 */   // Label 10855: @679458
     /*  679458 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(679536), // Rule ID 14529 //
     /*  679463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  679474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  679477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  679480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679509 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679534 */     GIR_RootConstrainSelectedInstOperands,
     /*  679535 */     // GIR_Coverage, 14529,
     /*  679535 */     GIR_EraseRootFromParent_Done,
     /*  679536 */   // Label 10856: @679536
     /*  679536 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(679614), // Rule ID 14532 //
     /*  679541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  679590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679612 */     GIR_RootConstrainSelectedInstOperands,
     /*  679613 */     // GIR_Coverage, 14532,
     /*  679613 */     GIR_EraseRootFromParent_Done,
     /*  679614 */   // Label 10857: @679614
     /*  679614 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(679692), // Rule ID 14533 //
     /*  679619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  679630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  679633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  679636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679665 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  679668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679690 */     GIR_RootConstrainSelectedInstOperands,
     /*  679691 */     // GIR_Coverage, 14533,
     /*  679691 */     GIR_EraseRootFromParent_Done,
     /*  679692 */   // Label 10858: @679692
     /*  679692 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(679770), // Rule ID 14536 //
     /*  679697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679768 */     GIR_RootConstrainSelectedInstOperands,
     /*  679769 */     // GIR_Coverage, 14536,
     /*  679769 */     GIR_EraseRootFromParent_Done,
     /*  679770 */   // Label 10859: @679770
     /*  679770 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(679848), // Rule ID 14537 //
     /*  679775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  679786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  679789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  679792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679846 */     GIR_RootConstrainSelectedInstOperands,
     /*  679847 */     // GIR_Coverage, 14537,
     /*  679847 */     GIR_EraseRootFromParent_Done,
     /*  679848 */   // Label 10860: @679848
     /*  679848 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(679926), // Rule ID 14540 //
     /*  679853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  679864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  679867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  679870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679924 */     GIR_RootConstrainSelectedInstOperands,
     /*  679925 */     // GIR_Coverage, 14540,
     /*  679925 */     GIR_EraseRootFromParent_Done,
     /*  679926 */   // Label 10861: @679926
     /*  679926 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(680004), // Rule ID 14541 //
     /*  679931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  679939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  679942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  679945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  679948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  679980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680002 */     GIR_RootConstrainSelectedInstOperands,
     /*  680003 */     // GIR_Coverage, 14541,
     /*  680003 */     GIR_EraseRootFromParent_Done,
     /*  680004 */   // Label 10862: @680004
     /*  680004 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(680082), // Rule ID 14544 //
     /*  680009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680055 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680080 */     GIR_RootConstrainSelectedInstOperands,
     /*  680081 */     // GIR_Coverage, 14544,
     /*  680081 */     GIR_EraseRootFromParent_Done,
     /*  680082 */   // Label 10863: @680082
     /*  680082 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(680160), // Rule ID 14545 //
     /*  680087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680133 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11271:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680158 */     GIR_RootConstrainSelectedInstOperands,
     /*  680159 */     // GIR_Coverage, 14545,
     /*  680159 */     GIR_EraseRootFromParent_Done,
     /*  680160 */   // Label 10864: @680160
     /*  680160 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(680238), // Rule ID 14548 //
     /*  680165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680236 */     GIR_RootConstrainSelectedInstOperands,
     /*  680237 */     // GIR_Coverage, 14548,
     /*  680237 */     GIR_EraseRootFromParent_Done,
     /*  680238 */   // Label 10865: @680238
     /*  680238 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(680316), // Rule ID 14549 //
     /*  680243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680314 */     GIR_RootConstrainSelectedInstOperands,
     /*  680315 */     // GIR_Coverage, 14549,
     /*  680315 */     GIR_EraseRootFromParent_Done,
     /*  680316 */   // Label 10866: @680316
     /*  680316 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(680394), // Rule ID 14552 //
     /*  680321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680392 */     GIR_RootConstrainSelectedInstOperands,
     /*  680393 */     // GIR_Coverage, 14552,
     /*  680393 */     GIR_EraseRootFromParent_Done,
     /*  680394 */   // Label 10867: @680394
     /*  680394 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(680472), // Rule ID 14553 //
     /*  680399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  680410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  680413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  680416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680470 */     GIR_RootConstrainSelectedInstOperands,
     /*  680471 */     // GIR_Coverage, 14553,
     /*  680471 */     GIR_EraseRootFromParent_Done,
     /*  680472 */   // Label 10868: @680472
     /*  680472 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(680550), // Rule ID 14556 //
     /*  680477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680548 */     GIR_RootConstrainSelectedInstOperands,
     /*  680549 */     // GIR_Coverage, 14556,
     /*  680549 */     GIR_EraseRootFromParent_Done,
     /*  680550 */   // Label 10869: @680550
     /*  680550 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(680628), // Rule ID 14557 //
     /*  680555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  680566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  680569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  680572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  680604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680626 */     GIR_RootConstrainSelectedInstOperands,
     /*  680627 */     // GIR_Coverage, 14557,
     /*  680627 */     GIR_EraseRootFromParent_Done,
     /*  680628 */   // Label 10870: @680628
     /*  680628 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(680706), // Rule ID 14560 //
     /*  680633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  680682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680704 */     GIR_RootConstrainSelectedInstOperands,
     /*  680705 */     // GIR_Coverage, 14560,
     /*  680705 */     GIR_EraseRootFromParent_Done,
     /*  680706 */   // Label 10871: @680706
     /*  680706 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(680784), // Rule ID 14561 //
     /*  680711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  680722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  680725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  680728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  680760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680782 */     GIR_RootConstrainSelectedInstOperands,
     /*  680783 */     // GIR_Coverage, 14561,
     /*  680783 */     GIR_EraseRootFromParent_Done,
     /*  680784 */   // Label 10872: @680784
     /*  680784 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(680862), // Rule ID 14564 //
     /*  680789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  680838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680860 */     GIR_RootConstrainSelectedInstOperands,
     /*  680861 */     // GIR_Coverage, 14564,
     /*  680861 */     GIR_EraseRootFromParent_Done,
     /*  680862 */   // Label 10873: @680862
     /*  680862 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(680940), // Rule ID 14565 //
     /*  680867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  680878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  680881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  680884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  680916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680938 */     GIR_RootConstrainSelectedInstOperands,
     /*  680939 */     // GIR_Coverage, 14565,
     /*  680939 */     GIR_EraseRootFromParent_Done,
     /*  680940 */   // Label 10874: @680940
     /*  680940 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(681018), // Rule ID 14568 //
     /*  680945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  680956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  680959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  680962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680991 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  680994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681016 */     GIR_RootConstrainSelectedInstOperands,
     /*  681017 */     // GIR_Coverage, 14568,
     /*  681017 */     GIR_EraseRootFromParent_Done,
     /*  681018 */   // Label 10875: @681018
     /*  681018 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(681096), // Rule ID 14569 //
     /*  681023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681069 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  681072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681094 */     GIR_RootConstrainSelectedInstOperands,
     /*  681095 */     // GIR_Coverage, 14569,
     /*  681095 */     GIR_EraseRootFromParent_Done,
     /*  681096 */   // Label 10876: @681096
     /*  681096 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(681174), // Rule ID 14572 //
     /*  681101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  681150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681172 */     GIR_RootConstrainSelectedInstOperands,
     /*  681173 */     // GIR_Coverage, 14572,
     /*  681173 */     GIR_EraseRootFromParent_Done,
     /*  681174 */   // Label 10877: @681174
     /*  681174 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(681252), // Rule ID 14573 //
     /*  681179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  681228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681250 */     GIR_RootConstrainSelectedInstOperands,
     /*  681251 */     // GIR_Coverage, 14573,
     /*  681251 */     GIR_EraseRootFromParent_Done,
     /*  681252 */   // Label 10878: @681252
     /*  681252 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(681330), // Rule ID 14576 //
     /*  681257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  681306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681328 */     GIR_RootConstrainSelectedInstOperands,
     /*  681329 */     // GIR_Coverage, 14576,
     /*  681329 */     GIR_EraseRootFromParent_Done,
     /*  681330 */   // Label 10879: @681330
     /*  681330 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(681408), // Rule ID 14577 //
     /*  681335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  681384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681406 */     GIR_RootConstrainSelectedInstOperands,
     /*  681407 */     // GIR_Coverage, 14577,
     /*  681407 */     GIR_EraseRootFromParent_Done,
     /*  681408 */   // Label 10880: @681408
     /*  681408 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(681486), // Rule ID 14580 //
     /*  681413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  681462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681484 */     GIR_RootConstrainSelectedInstOperands,
     /*  681485 */     // GIR_Coverage, 14580,
     /*  681485 */     GIR_EraseRootFromParent_Done,
     /*  681486 */   // Label 10881: @681486
     /*  681486 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(681564), // Rule ID 14581 //
     /*  681491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  681502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  681505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  681508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  681540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681562 */     GIR_RootConstrainSelectedInstOperands,
     /*  681563 */     // GIR_Coverage, 14581,
     /*  681563 */     GIR_EraseRootFromParent_Done,
     /*  681564 */   // Label 10882: @681564
     /*  681564 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(681642), // Rule ID 14584 //
     /*  681569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  681618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681640 */     GIR_RootConstrainSelectedInstOperands,
     /*  681641 */     // GIR_Coverage, 14584,
     /*  681641 */     GIR_EraseRootFromParent_Done,
     /*  681642 */   // Label 10883: @681642
     /*  681642 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(681720), // Rule ID 14585 //
     /*  681647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  681658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  681661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  681664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  681696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681718 */     GIR_RootConstrainSelectedInstOperands,
     /*  681719 */     // GIR_Coverage, 14585,
     /*  681719 */     GIR_EraseRootFromParent_Done,
     /*  681720 */   // Label 10884: @681720
     /*  681720 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(681798), // Rule ID 14588 //
     /*  681725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  681774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681796 */     GIR_RootConstrainSelectedInstOperands,
     /*  681797 */     // GIR_Coverage, 14588,
     /*  681797 */     GIR_EraseRootFromParent_Done,
     /*  681798 */   // Label 10885: @681798
     /*  681798 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(681876), // Rule ID 14589 //
     /*  681803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  681814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  681817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  681820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  681852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681874 */     GIR_RootConstrainSelectedInstOperands,
     /*  681875 */     // GIR_Coverage, 14589,
     /*  681875 */     GIR_EraseRootFromParent_Done,
     /*  681876 */   // Label 10886: @681876
     /*  681876 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(681954), // Rule ID 14592 //
     /*  681881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  681930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681952 */     GIR_RootConstrainSelectedInstOperands,
     /*  681953 */     // GIR_Coverage, 14592,
     /*  681953 */     GIR_EraseRootFromParent_Done,
     /*  681954 */   // Label 10887: @681954
     /*  681954 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(682032), // Rule ID 14593 //
     /*  681959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  681970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  681973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  681976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  682008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682030 */     GIR_RootConstrainSelectedInstOperands,
     /*  682031 */     // GIR_Coverage, 14593,
     /*  682031 */     GIR_EraseRootFromParent_Done,
     /*  682032 */   // Label 10888: @682032
     /*  682032 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(682110), // Rule ID 14596 //
     /*  682037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  682086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682108 */     GIR_RootConstrainSelectedInstOperands,
     /*  682109 */     // GIR_Coverage, 14596,
     /*  682109 */     GIR_EraseRootFromParent_Done,
     /*  682110 */   // Label 10889: @682110
     /*  682110 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(682188), // Rule ID 14597 //
     /*  682115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682161 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  682164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682186 */     GIR_RootConstrainSelectedInstOperands,
     /*  682187 */     // GIR_Coverage, 14597,
     /*  682187 */     GIR_EraseRootFromParent_Done,
     /*  682188 */   // Label 10890: @682188
     /*  682188 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(682266), // Rule ID 14600 //
     /*  682193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  682242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682264 */     GIR_RootConstrainSelectedInstOperands,
     /*  682265 */     // GIR_Coverage, 14600,
     /*  682265 */     GIR_EraseRootFromParent_Done,
     /*  682266 */   // Label 10891: @682266
     /*  682266 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(682344), // Rule ID 14601 //
     /*  682271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  682320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682342 */     GIR_RootConstrainSelectedInstOperands,
     /*  682343 */     // GIR_Coverage, 14601,
     /*  682343 */     GIR_EraseRootFromParent_Done,
     /*  682344 */   // Label 10892: @682344
     /*  682344 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(682422), // Rule ID 14604 //
     /*  682349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  682398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682420 */     GIR_RootConstrainSelectedInstOperands,
     /*  682421 */     // GIR_Coverage, 14604,
     /*  682421 */     GIR_EraseRootFromParent_Done,
     /*  682422 */   // Label 10893: @682422
     /*  682422 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(682500), // Rule ID 14605 //
     /*  682427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  682438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  682441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  682444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  682476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682498 */     GIR_RootConstrainSelectedInstOperands,
     /*  682499 */     // GIR_Coverage, 14605,
     /*  682499 */     GIR_EraseRootFromParent_Done,
     /*  682500 */   // Label 10894: @682500
     /*  682500 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(682578), // Rule ID 14608 //
     /*  682505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  682554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682576 */     GIR_RootConstrainSelectedInstOperands,
     /*  682577 */     // GIR_Coverage, 14608,
     /*  682577 */     GIR_EraseRootFromParent_Done,
     /*  682578 */   // Label 10895: @682578
     /*  682578 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(682656), // Rule ID 14609 //
     /*  682583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  682594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  682597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  682600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  682603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682629 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  682632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682654 */     GIR_RootConstrainSelectedInstOperands,
     /*  682655 */     // GIR_Coverage, 14609,
     /*  682655 */     GIR_EraseRootFromParent_Done,
     /*  682656 */   // Label 10896: @682656
     /*  682656 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(682734), // Rule ID 14612 //
     /*  682661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682707 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  682710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682732 */     GIR_RootConstrainSelectedInstOperands,
     /*  682733 */     // GIR_Coverage, 14612,
     /*  682733 */     GIR_EraseRootFromParent_Done,
     /*  682734 */   // Label 10897: @682734
     /*  682734 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(682812), // Rule ID 14613 //
     /*  682739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  682750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  682753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  682756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  682759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  682788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682810 */     GIR_RootConstrainSelectedInstOperands,
     /*  682811 */     // GIR_Coverage, 14613,
     /*  682811 */     GIR_EraseRootFromParent_Done,
     /*  682812 */   // Label 10898: @682812
     /*  682812 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(682890), // Rule ID 14616 //
     /*  682817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  682866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682888 */     GIR_RootConstrainSelectedInstOperands,
     /*  682889 */     // GIR_Coverage, 14616,
     /*  682889 */     GIR_EraseRootFromParent_Done,
     /*  682890 */   // Label 10899: @682890
     /*  682890 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(682968), // Rule ID 14617 //
     /*  682895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  682906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  682909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  682912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  682915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  682944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682966 */     GIR_RootConstrainSelectedInstOperands,
     /*  682967 */     // GIR_Coverage, 14617,
     /*  682967 */     GIR_EraseRootFromParent_Done,
     /*  682968 */   // Label 10900: @682968
     /*  682968 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(683046), // Rule ID 14620 //
     /*  682973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  682981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  682984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  682987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  682990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  682993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  683022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683044 */     GIR_RootConstrainSelectedInstOperands,
     /*  683045 */     // GIR_Coverage, 14620,
     /*  683045 */     GIR_EraseRootFromParent_Done,
     /*  683046 */   // Label 10901: @683046
     /*  683046 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(683124), // Rule ID 14621 //
     /*  683051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  683100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683122 */     GIR_RootConstrainSelectedInstOperands,
     /*  683123 */     // GIR_Coverage, 14621,
     /*  683123 */     GIR_EraseRootFromParent_Done,
     /*  683124 */   // Label 10902: @683124
     /*  683124 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(683202), // Rule ID 14624 //
     /*  683129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683175 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  683178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683200 */     GIR_RootConstrainSelectedInstOperands,
     /*  683201 */     // GIR_Coverage, 14624,
     /*  683201 */     GIR_EraseRootFromParent_Done,
     /*  683202 */   // Label 10903: @683202
     /*  683202 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(683280), // Rule ID 14625 //
     /*  683207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  683256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683278 */     GIR_RootConstrainSelectedInstOperands,
     /*  683279 */     // GIR_Coverage, 14625,
     /*  683279 */     GIR_EraseRootFromParent_Done,
     /*  683280 */   // Label 10904: @683280
     /*  683280 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(683358), // Rule ID 14628 //
     /*  683285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  683334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683356 */     GIR_RootConstrainSelectedInstOperands,
     /*  683357 */     // GIR_Coverage, 14628,
     /*  683357 */     GIR_EraseRootFromParent_Done,
     /*  683358 */   // Label 10905: @683358
     /*  683358 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(683436), // Rule ID 14629 //
     /*  683363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  683412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683434 */     GIR_RootConstrainSelectedInstOperands,
     /*  683435 */     // GIR_Coverage, 14629,
     /*  683435 */     GIR_EraseRootFromParent_Done,
     /*  683436 */   // Label 10906: @683436
     /*  683436 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(683514), // Rule ID 14632 //
     /*  683441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683512 */     GIR_RootConstrainSelectedInstOperands,
     /*  683513 */     // GIR_Coverage, 14632,
     /*  683513 */     GIR_EraseRootFromParent_Done,
     /*  683514 */   // Label 10907: @683514
     /*  683514 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(683592), // Rule ID 14633 //
     /*  683519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  683530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  683533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  683536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  683539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683590 */     GIR_RootConstrainSelectedInstOperands,
     /*  683591 */     // GIR_Coverage, 14633,
     /*  683591 */     GIR_EraseRootFromParent_Done,
     /*  683592 */   // Label 10908: @683592
     /*  683592 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(683670), // Rule ID 14636 //
     /*  683597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683668 */     GIR_RootConstrainSelectedInstOperands,
     /*  683669 */     // GIR_Coverage, 14636,
     /*  683669 */     GIR_EraseRootFromParent_Done,
     /*  683670 */   // Label 10909: @683670
     /*  683670 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(683748), // Rule ID 14637 //
     /*  683675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  683686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  683689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  683692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  683695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683746 */     GIR_RootConstrainSelectedInstOperands,
     /*  683747 */     // GIR_Coverage, 14637,
     /*  683747 */     GIR_EraseRootFromParent_Done,
     /*  683748 */   // Label 10910: @683748
     /*  683748 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(683826), // Rule ID 14640 //
     /*  683753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683824 */     GIR_RootConstrainSelectedInstOperands,
     /*  683825 */     // GIR_Coverage, 14640,
     /*  683825 */     GIR_EraseRootFromParent_Done,
     /*  683826 */   // Label 10911: @683826
     /*  683826 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(683904), // Rule ID 14641 //
     /*  683831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  683842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  683845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  683848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  683851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683902 */     GIR_RootConstrainSelectedInstOperands,
     /*  683903 */     // GIR_Coverage, 14641,
     /*  683903 */     GIR_EraseRootFromParent_Done,
     /*  683904 */   // Label 10912: @683904
     /*  683904 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(683982), // Rule ID 14644 //
     /*  683909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  683923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  683926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  683929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  683958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683980 */     GIR_RootConstrainSelectedInstOperands,
     /*  683981 */     // GIR_Coverage, 14644,
     /*  683981 */     GIR_EraseRootFromParent_Done,
     /*  683982 */   // Label 10913: @683982
     /*  683982 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(684060), // Rule ID 14645 //
     /*  683987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  683995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  683998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  684036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684058 */     GIR_RootConstrainSelectedInstOperands,
     /*  684059 */     // GIR_Coverage, 14645,
     /*  684059 */     GIR_EraseRootFromParent_Done,
     /*  684060 */   // Label 10914: @684060
     /*  684060 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(684138), // Rule ID 14648 //
     /*  684065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  684114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684136 */     GIR_RootConstrainSelectedInstOperands,
     /*  684137 */     // GIR_Coverage, 14648,
     /*  684137 */     GIR_EraseRootFromParent_Done,
     /*  684138 */   // Label 10915: @684138
     /*  684138 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(684216), // Rule ID 14649 //
     /*  684143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  684192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684214 */     GIR_RootConstrainSelectedInstOperands,
     /*  684215 */     // GIR_Coverage, 14649,
     /*  684215 */     GIR_EraseRootFromParent_Done,
     /*  684216 */   // Label 10916: @684216
     /*  684216 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(684294), // Rule ID 14652 //
     /*  684221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  684270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684292 */     GIR_RootConstrainSelectedInstOperands,
     /*  684293 */     // GIR_Coverage, 14652,
     /*  684293 */     GIR_EraseRootFromParent_Done,
     /*  684294 */   // Label 10917: @684294
     /*  684294 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(684372), // Rule ID 14653 //
     /*  684299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684345 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  684348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684370 */     GIR_RootConstrainSelectedInstOperands,
     /*  684371 */     // GIR_Coverage, 14653,
     /*  684371 */     GIR_EraseRootFromParent_Done,
     /*  684372 */   // Label 10918: @684372
     /*  684372 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(684450), // Rule ID 14656 //
     /*  684377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684423 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  684426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684448 */     GIR_RootConstrainSelectedInstOperands,
     /*  684449 */     // GIR_Coverage, 14656,
     /*  684449 */     GIR_EraseRootFromParent_Done,
     /*  684450 */   // Label 10919: @684450
     /*  684450 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(684528), // Rule ID 14657 //
     /*  684455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684501 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  684504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684526 */     GIR_RootConstrainSelectedInstOperands,
     /*  684527 */     // GIR_Coverage, 14657,
     /*  684527 */     GIR_EraseRootFromParent_Done,
     /*  684528 */   // Label 10920: @684528
     /*  684528 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(684606), // Rule ID 14660 //
     /*  684533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  684582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684604 */     GIR_RootConstrainSelectedInstOperands,
     /*  684605 */     // GIR_Coverage, 14660,
     /*  684605 */     GIR_EraseRootFromParent_Done,
     /*  684606 */   // Label 10921: @684606
     /*  684606 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(684684), // Rule ID 14661 //
     /*  684611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  684622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  684625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  684628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  684631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684657 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  684660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684682 */     GIR_RootConstrainSelectedInstOperands,
     /*  684683 */     // GIR_Coverage, 14661,
     /*  684683 */     GIR_EraseRootFromParent_Done,
     /*  684684 */   // Label 10922: @684684
     /*  684684 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(684762), // Rule ID 14664 //
     /*  684689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  684738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684760 */     GIR_RootConstrainSelectedInstOperands,
     /*  684761 */     // GIR_Coverage, 14664,
     /*  684761 */     GIR_EraseRootFromParent_Done,
     /*  684762 */   // Label 10923: @684762
     /*  684762 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(684840), // Rule ID 14665 //
     /*  684767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  684778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  684781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  684784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  684787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684813 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  684816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684838 */     GIR_RootConstrainSelectedInstOperands,
     /*  684839 */     // GIR_Coverage, 14665,
     /*  684839 */     GIR_EraseRootFromParent_Done,
     /*  684840 */   // Label 10924: @684840
     /*  684840 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(684918), // Rule ID 14668 //
     /*  684845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684891 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  684894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684916 */     GIR_RootConstrainSelectedInstOperands,
     /*  684917 */     // GIR_Coverage, 14668,
     /*  684917 */     GIR_EraseRootFromParent_Done,
     /*  684918 */   // Label 10925: @684918
     /*  684918 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(684996), // Rule ID 14669 //
     /*  684923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  684931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  684934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  684937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  684940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  684943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  684972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684994 */     GIR_RootConstrainSelectedInstOperands,
     /*  684995 */     // GIR_Coverage, 14669,
     /*  684995 */     GIR_EraseRootFromParent_Done,
     /*  684996 */   // Label 10926: @684996
     /*  684996 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(685074), // Rule ID 14672 //
     /*  685001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  685050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685072 */     GIR_RootConstrainSelectedInstOperands,
     /*  685073 */     // GIR_Coverage, 14672,
     /*  685073 */     GIR_EraseRootFromParent_Done,
     /*  685074 */   // Label 10927: @685074
     /*  685074 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(685152), // Rule ID 14673 //
     /*  685079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  685128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685150 */     GIR_RootConstrainSelectedInstOperands,
     /*  685151 */     // GIR_Coverage, 14673,
     /*  685151 */     GIR_EraseRootFromParent_Done,
     /*  685152 */   // Label 10928: @685152
     /*  685152 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(685230), // Rule ID 14676 //
     /*  685157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  685206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685228 */     GIR_RootConstrainSelectedInstOperands,
     /*  685229 */     // GIR_Coverage, 14676,
     /*  685229 */     GIR_EraseRootFromParent_Done,
     /*  685230 */   // Label 10929: @685230
     /*  685230 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(685308), // Rule ID 14677 //
     /*  685235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  685284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685306 */     GIR_RootConstrainSelectedInstOperands,
     /*  685307 */     // GIR_Coverage, 14677,
     /*  685307 */     GIR_EraseRootFromParent_Done,
     /*  685308 */   // Label 10930: @685308
     /*  685308 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(685386), // Rule ID 14680 //
     /*  685313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  685362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685384 */     GIR_RootConstrainSelectedInstOperands,
     /*  685385 */     // GIR_Coverage, 14680,
     /*  685385 */     GIR_EraseRootFromParent_Done,
     /*  685386 */   // Label 10931: @685386
     /*  685386 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(685464), // Rule ID 14681 //
     /*  685391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685437 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  685440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685462 */     GIR_RootConstrainSelectedInstOperands,
     /*  685463 */     // GIR_Coverage, 14681,
     /*  685463 */     GIR_EraseRootFromParent_Done,
     /*  685464 */   // Label 10932: @685464
     /*  685464 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(685542), // Rule ID 14684 //
     /*  685469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  685518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685540 */     GIR_RootConstrainSelectedInstOperands,
     /*  685541 */     // GIR_Coverage, 14684,
     /*  685541 */     GIR_EraseRootFromParent_Done,
     /*  685542 */   // Label 10933: @685542
     /*  685542 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(685620), // Rule ID 14685 //
     /*  685547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  685558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  685561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  685564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  685567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  685596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685618 */     GIR_RootConstrainSelectedInstOperands,
     /*  685619 */     // GIR_Coverage, 14685,
     /*  685619 */     GIR_EraseRootFromParent_Done,
     /*  685620 */   // Label 10934: @685620
     /*  685620 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(685698), // Rule ID 14688 //
     /*  685625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  685674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685696 */     GIR_RootConstrainSelectedInstOperands,
     /*  685697 */     // GIR_Coverage, 14688,
     /*  685697 */     GIR_EraseRootFromParent_Done,
     /*  685698 */   // Label 10935: @685698
     /*  685698 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(685776), // Rule ID 14689 //
     /*  685703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  685714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  685717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  685720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  685723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  685752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685774 */     GIR_RootConstrainSelectedInstOperands,
     /*  685775 */     // GIR_Coverage, 14689,
     /*  685775 */     GIR_EraseRootFromParent_Done,
     /*  685776 */   // Label 10936: @685776
     /*  685776 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(685854), // Rule ID 14692 //
     /*  685781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  685830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685852 */     GIR_RootConstrainSelectedInstOperands,
     /*  685853 */     // GIR_Coverage, 14692,
     /*  685853 */     GIR_EraseRootFromParent_Done,
     /*  685854 */   // Label 10937: @685854
     /*  685854 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(685932), // Rule ID 14693 //
     /*  685859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  685870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  685873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  685876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  685879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  685908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685930 */     GIR_RootConstrainSelectedInstOperands,
     /*  685931 */     // GIR_Coverage, 14693,
     /*  685931 */     GIR_EraseRootFromParent_Done,
     /*  685932 */   // Label 10938: @685932
     /*  685932 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(686010), // Rule ID 14696 //
     /*  685937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  685945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  685948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  685951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  685954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  685986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686008 */     GIR_RootConstrainSelectedInstOperands,
     /*  686009 */     // GIR_Coverage, 14696,
     /*  686009 */     GIR_EraseRootFromParent_Done,
     /*  686010 */   // Label 10939: @686010
     /*  686010 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(686088), // Rule ID 14697 //
     /*  686015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686061 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  686064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686086 */     GIR_RootConstrainSelectedInstOperands,
     /*  686087 */     // GIR_Coverage, 14697,
     /*  686087 */     GIR_EraseRootFromParent_Done,
     /*  686088 */   // Label 10940: @686088
     /*  686088 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(686166), // Rule ID 14700 //
     /*  686093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  686142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686164 */     GIR_RootConstrainSelectedInstOperands,
     /*  686165 */     // GIR_Coverage, 14700,
     /*  686165 */     GIR_EraseRootFromParent_Done,
     /*  686166 */   // Label 10941: @686166
     /*  686166 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(686244), // Rule ID 14701 //
     /*  686171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  686220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686242 */     GIR_RootConstrainSelectedInstOperands,
     /*  686243 */     // GIR_Coverage, 14701,
     /*  686243 */     GIR_EraseRootFromParent_Done,
     /*  686244 */   // Label 10942: @686244
     /*  686244 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(686322), // Rule ID 14704 //
     /*  686249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686320 */     GIR_RootConstrainSelectedInstOperands,
     /*  686321 */     // GIR_Coverage, 14704,
     /*  686321 */     GIR_EraseRootFromParent_Done,
     /*  686322 */   // Label 10943: @686322
     /*  686322 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(686400), // Rule ID 14705 //
     /*  686327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686398 */     GIR_RootConstrainSelectedInstOperands,
     /*  686399 */     // GIR_Coverage, 14705,
     /*  686399 */     GIR_EraseRootFromParent_Done,
     /*  686400 */   // Label 10944: @686400
     /*  686400 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(686478), // Rule ID 14708 //
     /*  686405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  686454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686476 */     GIR_RootConstrainSelectedInstOperands,
     /*  686477 */     // GIR_Coverage, 14708,
     /*  686477 */     GIR_EraseRootFromParent_Done,
     /*  686478 */   // Label 10945: @686478
     /*  686478 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(686556), // Rule ID 14709 //
     /*  686483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  686532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686554 */     GIR_RootConstrainSelectedInstOperands,
     /*  686555 */     // GIR_Coverage, 14709,
     /*  686555 */     GIR_EraseRootFromParent_Done,
     /*  686556 */   // Label 10946: @686556
     /*  686556 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(686634), // Rule ID 14712 //
     /*  686561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686632 */     GIR_RootConstrainSelectedInstOperands,
     /*  686633 */     // GIR_Coverage, 14712,
     /*  686633 */     GIR_EraseRootFromParent_Done,
     /*  686634 */   // Label 10947: @686634
     /*  686634 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(686712), // Rule ID 14713 //
     /*  686639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  686650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  686653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  686656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686685 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686710 */     GIR_RootConstrainSelectedInstOperands,
     /*  686711 */     // GIR_Coverage, 14713,
     /*  686711 */     GIR_EraseRootFromParent_Done,
     /*  686712 */   // Label 10948: @686712
     /*  686712 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(686790), // Rule ID 14716 //
     /*  686717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686788 */     GIR_RootConstrainSelectedInstOperands,
     /*  686789 */     // GIR_Coverage, 14716,
     /*  686789 */     GIR_EraseRootFromParent_Done,
     /*  686790 */   // Label 10949: @686790
     /*  686790 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(686868), // Rule ID 14717 //
     /*  686795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  686806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  686809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  686812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  686844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686866 */     GIR_RootConstrainSelectedInstOperands,
     /*  686867 */     // GIR_Coverage, 14717,
     /*  686867 */     GIR_EraseRootFromParent_Done,
     /*  686868 */   // Label 10950: @686868
     /*  686868 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(686946), // Rule ID 14720 //
     /*  686873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  686922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686944 */     GIR_RootConstrainSelectedInstOperands,
     /*  686945 */     // GIR_Coverage, 14720,
     /*  686945 */     GIR_EraseRootFromParent_Done,
     /*  686946 */   // Label 10951: @686946
     /*  686946 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(687024), // Rule ID 14721 //
     /*  686951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  686959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  686962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  686965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  686968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11269:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687022 */     GIR_RootConstrainSelectedInstOperands,
     /*  687023 */     // GIR_Coverage, 14721,
     /*  687023 */     GIR_EraseRootFromParent_Done,
     /*  687024 */   // Label 10952: @687024
     /*  687024 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(687102), // Rule ID 14724 //
     /*  687029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687100 */     GIR_RootConstrainSelectedInstOperands,
     /*  687101 */     // GIR_Coverage, 14724,
     /*  687101 */     GIR_EraseRootFromParent_Done,
     /*  687102 */   // Label 10953: @687102
     /*  687102 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(687180), // Rule ID 14725 //
     /*  687107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687178 */     GIR_RootConstrainSelectedInstOperands,
     /*  687179 */     // GIR_Coverage, 14725,
     /*  687179 */     GIR_EraseRootFromParent_Done,
     /*  687180 */   // Label 10954: @687180
     /*  687180 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(687258), // Rule ID 14728 //
     /*  687185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687256 */     GIR_RootConstrainSelectedInstOperands,
     /*  687257 */     // GIR_Coverage, 14728,
     /*  687257 */     GIR_EraseRootFromParent_Done,
     /*  687258 */   // Label 10955: @687258
     /*  687258 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(687336), // Rule ID 14729 //
     /*  687263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687334 */     GIR_RootConstrainSelectedInstOperands,
     /*  687335 */     // GIR_Coverage, 14729,
     /*  687335 */     GIR_EraseRootFromParent_Done,
     /*  687336 */   // Label 10956: @687336
     /*  687336 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(687414), // Rule ID 14732 //
     /*  687341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687412 */     GIR_RootConstrainSelectedInstOperands,
     /*  687413 */     // GIR_Coverage, 14732,
     /*  687413 */     GIR_EraseRootFromParent_Done,
     /*  687414 */   // Label 10957: @687414
     /*  687414 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(687492), // Rule ID 14733 //
     /*  687419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  687468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687490 */     GIR_RootConstrainSelectedInstOperands,
     /*  687491 */     // GIR_Coverage, 14733,
     /*  687491 */     GIR_EraseRootFromParent_Done,
     /*  687492 */   // Label 10958: @687492
     /*  687492 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(687570), // Rule ID 14736 //
     /*  687497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687543 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  687546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687568 */     GIR_RootConstrainSelectedInstOperands,
     /*  687569 */     // GIR_Coverage, 14736,
     /*  687569 */     GIR_EraseRootFromParent_Done,
     /*  687570 */   // Label 10959: @687570
     /*  687570 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(687648), // Rule ID 14737 //
     /*  687575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  687624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687646 */     GIR_RootConstrainSelectedInstOperands,
     /*  687647 */     // GIR_Coverage, 14737,
     /*  687647 */     GIR_EraseRootFromParent_Done,
     /*  687648 */   // Label 10960: @687648
     /*  687648 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(687726), // Rule ID 14740 //
     /*  687653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  687702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687724 */     GIR_RootConstrainSelectedInstOperands,
     /*  687725 */     // GIR_Coverage, 14740,
     /*  687725 */     GIR_EraseRootFromParent_Done,
     /*  687726 */   // Label 10961: @687726
     /*  687726 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(687804), // Rule ID 14741 //
     /*  687731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  687742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  687745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  687748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  687780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687802 */     GIR_RootConstrainSelectedInstOperands,
     /*  687803 */     // GIR_Coverage, 14741,
     /*  687803 */     GIR_EraseRootFromParent_Done,
     /*  687804 */   // Label 10962: @687804
     /*  687804 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(687882), // Rule ID 14744 //
     /*  687809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687855 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  687858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687880 */     GIR_RootConstrainSelectedInstOperands,
     /*  687881 */     // GIR_Coverage, 14744,
     /*  687881 */     GIR_EraseRootFromParent_Done,
     /*  687882 */   // Label 10963: @687882
     /*  687882 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(687960), // Rule ID 14745 //
     /*  687887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  687898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  687901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  687904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687933 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  687936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687958 */     GIR_RootConstrainSelectedInstOperands,
     /*  687959 */     // GIR_Coverage, 14745,
     /*  687959 */     GIR_EraseRootFromParent_Done,
     /*  687960 */   // Label 10964: @687960
     /*  687960 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(688038), // Rule ID 14748 //
     /*  687965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  687976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  687979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  687982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  688014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688036 */     GIR_RootConstrainSelectedInstOperands,
     /*  688037 */     // GIR_Coverage, 14748,
     /*  688037 */     GIR_EraseRootFromParent_Done,
     /*  688038 */   // Label 10965: @688038
     /*  688038 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(688116), // Rule ID 14749 //
     /*  688043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  688092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688114 */     GIR_RootConstrainSelectedInstOperands,
     /*  688115 */     // GIR_Coverage, 14749,
     /*  688115 */     GIR_EraseRootFromParent_Done,
     /*  688116 */   // Label 10966: @688116
     /*  688116 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(688194), // Rule ID 14752 //
     /*  688121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  688170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688192 */     GIR_RootConstrainSelectedInstOperands,
     /*  688193 */     // GIR_Coverage, 14752,
     /*  688193 */     GIR_EraseRootFromParent_Done,
     /*  688194 */   // Label 10967: @688194
     /*  688194 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(688272), // Rule ID 14753 //
     /*  688199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  688248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688270 */     GIR_RootConstrainSelectedInstOperands,
     /*  688271 */     // GIR_Coverage, 14753,
     /*  688271 */     GIR_EraseRootFromParent_Done,
     /*  688272 */   // Label 10968: @688272
     /*  688272 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(688350), // Rule ID 14756 //
     /*  688277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  688326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688348 */     GIR_RootConstrainSelectedInstOperands,
     /*  688349 */     // GIR_Coverage, 14756,
     /*  688349 */     GIR_EraseRootFromParent_Done,
     /*  688350 */   // Label 10969: @688350
     /*  688350 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(688428), // Rule ID 14757 //
     /*  688355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  688404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688426 */     GIR_RootConstrainSelectedInstOperands,
     /*  688427 */     // GIR_Coverage, 14757,
     /*  688427 */     GIR_EraseRootFromParent_Done,
     /*  688428 */   // Label 10970: @688428
     /*  688428 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(688506), // Rule ID 14760 //
     /*  688433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  688482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688504 */     GIR_RootConstrainSelectedInstOperands,
     /*  688505 */     // GIR_Coverage, 14760,
     /*  688505 */     GIR_EraseRootFromParent_Done,
     /*  688506 */   // Label 10971: @688506
     /*  688506 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(688584), // Rule ID 14761 //
     /*  688511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  688560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688582 */     GIR_RootConstrainSelectedInstOperands,
     /*  688583 */     // GIR_Coverage, 14761,
     /*  688583 */     GIR_EraseRootFromParent_Done,
     /*  688584 */   // Label 10972: @688584
     /*  688584 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(688662), // Rule ID 14764 //
     /*  688589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  688638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688660 */     GIR_RootConstrainSelectedInstOperands,
     /*  688661 */     // GIR_Coverage, 14764,
     /*  688661 */     GIR_EraseRootFromParent_Done,
     /*  688662 */   // Label 10973: @688662
     /*  688662 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(688740), // Rule ID 14765 //
     /*  688667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  688678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  688681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  688684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  688716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688738 */     GIR_RootConstrainSelectedInstOperands,
     /*  688739 */     // GIR_Coverage, 14765,
     /*  688739 */     GIR_EraseRootFromParent_Done,
     /*  688740 */   // Label 10974: @688740
     /*  688740 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(688818), // Rule ID 14768 //
     /*  688745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  688794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688816 */     GIR_RootConstrainSelectedInstOperands,
     /*  688817 */     // GIR_Coverage, 14768,
     /*  688817 */     GIR_EraseRootFromParent_Done,
     /*  688818 */   // Label 10975: @688818
     /*  688818 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(688896), // Rule ID 14769 //
     /*  688823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  688834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  688837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  688840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  688872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688894 */     GIR_RootConstrainSelectedInstOperands,
     /*  688895 */     // GIR_Coverage, 14769,
     /*  688895 */     GIR_EraseRootFromParent_Done,
     /*  688896 */   // Label 10976: @688896
     /*  688896 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(688974), // Rule ID 14772 //
     /*  688901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  688904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  688947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  688950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  688966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688972 */     GIR_RootConstrainSelectedInstOperands,
     /*  688973 */     // GIR_Coverage, 14772,
     /*  688973 */     GIR_EraseRootFromParent_Done,
     /*  688974 */   // Label 10977: @688974
     /*  688974 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(689052), // Rule ID 14773 //
     /*  688979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  688982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  688990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  688993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  688996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  689028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689050 */     GIR_RootConstrainSelectedInstOperands,
     /*  689051 */     // GIR_Coverage, 14773,
     /*  689051 */     GIR_EraseRootFromParent_Done,
     /*  689052 */   // Label 10978: @689052
     /*  689052 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(689130), // Rule ID 14776 //
     /*  689057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689103 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  689106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689128 */     GIR_RootConstrainSelectedInstOperands,
     /*  689129 */     // GIR_Coverage, 14776,
     /*  689129 */     GIR_EraseRootFromParent_Done,
     /*  689130 */   // Label 10979: @689130
     /*  689130 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(689208), // Rule ID 14777 //
     /*  689135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689181 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  689184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689206 */     GIR_RootConstrainSelectedInstOperands,
     /*  689207 */     // GIR_Coverage, 14777,
     /*  689207 */     GIR_EraseRootFromParent_Done,
     /*  689208 */   // Label 10980: @689208
     /*  689208 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(689286), // Rule ID 14780 //
     /*  689213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689259 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  689262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689284 */     GIR_RootConstrainSelectedInstOperands,
     /*  689285 */     // GIR_Coverage, 14780,
     /*  689285 */     GIR_EraseRootFromParent_Done,
     /*  689286 */   // Label 10981: @689286
     /*  689286 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(689364), // Rule ID 14781 //
     /*  689291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  689340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689362 */     GIR_RootConstrainSelectedInstOperands,
     /*  689363 */     // GIR_Coverage, 14781,
     /*  689363 */     GIR_EraseRootFromParent_Done,
     /*  689364 */   // Label 10982: @689364
     /*  689364 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(689439), // Rule ID 19022 //
     /*  689369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  689372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689415 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  689418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689437 */     GIR_RootConstrainSelectedInstOperands,
     /*  689438 */     // GIR_Coverage, 19022,
     /*  689438 */     GIR_EraseRootFromParent_Done,
     /*  689439 */   // Label 10983: @689439
     /*  689439 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(689514), // Rule ID 19023 //
     /*  689444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  689447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  689455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  689458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  689461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  689464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  689493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689512 */     GIR_RootConstrainSelectedInstOperands,
     /*  689513 */     // GIR_Coverage, 19023,
     /*  689513 */     GIR_EraseRootFromParent_Done,
     /*  689514 */   // Label 10984: @689514
     /*  689514 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(689589), // Rule ID 19026 //
     /*  689519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  689522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  689568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689587 */     GIR_RootConstrainSelectedInstOperands,
     /*  689588 */     // GIR_Coverage, 19026,
     /*  689588 */     GIR_EraseRootFromParent_Done,
     /*  689589 */   // Label 10985: @689589
     /*  689589 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(689664), // Rule ID 19027 //
     /*  689594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  689597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  689605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  689608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  689611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  689614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  689643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689662 */     GIR_RootConstrainSelectedInstOperands,
     /*  689663 */     // GIR_Coverage, 19027,
     /*  689663 */     GIR_EraseRootFromParent_Done,
     /*  689664 */   // Label 10986: @689664
     /*  689664 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(689739), // Rule ID 19030 //
     /*  689669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  689672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689715 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  689718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689737 */     GIR_RootConstrainSelectedInstOperands,
     /*  689738 */     // GIR_Coverage, 19030,
     /*  689738 */     GIR_EraseRootFromParent_Done,
     /*  689739 */   // Label 10987: @689739
     /*  689739 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(689814), // Rule ID 19031 //
     /*  689744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  689747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  689755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  689758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  689761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  689764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689790 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  689793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689812 */     GIR_RootConstrainSelectedInstOperands,
     /*  689813 */     // GIR_Coverage, 19031,
     /*  689813 */     GIR_EraseRootFromParent_Done,
     /*  689814 */   // Label 10988: @689814
     /*  689814 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(689889), // Rule ID 19034 //
     /*  689819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  689822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  689830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  689833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  689836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  689839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  689868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689887 */     GIR_RootConstrainSelectedInstOperands,
     /*  689888 */     // GIR_Coverage, 19034,
     /*  689888 */     GIR_EraseRootFromParent_Done,
     /*  689889 */   // Label 10989: @689889
     /*  689889 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(689964), // Rule ID 19035 //
     /*  689894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  689897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  689905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  689908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  689911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  689914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  689943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689962 */     GIR_RootConstrainSelectedInstOperands,
     /*  689963 */     // GIR_Coverage, 19035,
     /*  689963 */     GIR_EraseRootFromParent_Done,
     /*  689964 */   // Label 10990: @689964
     /*  689964 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(690039), // Rule ID 19038 //
     /*  689969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  689972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  689977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  690018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690037 */     GIR_RootConstrainSelectedInstOperands,
     /*  690038 */     // GIR_Coverage, 19038,
     /*  690038 */     GIR_EraseRootFromParent_Done,
     /*  690039 */   // Label 10991: @690039
     /*  690039 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(690114), // Rule ID 19039 //
     /*  690044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  690047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  690093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690112 */     GIR_RootConstrainSelectedInstOperands,
     /*  690113 */     // GIR_Coverage, 19039,
     /*  690113 */     GIR_EraseRootFromParent_Done,
     /*  690114 */   // Label 10992: @690114
     /*  690114 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(690189), // Rule ID 19042 //
     /*  690119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  690122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  690168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690187 */     GIR_RootConstrainSelectedInstOperands,
     /*  690188 */     // GIR_Coverage, 19042,
     /*  690188 */     GIR_EraseRootFromParent_Done,
     /*  690189 */   // Label 10993: @690189
     /*  690189 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(690264), // Rule ID 19043 //
     /*  690194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  690197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  690205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  690208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  690211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  690214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  690243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690262 */     GIR_RootConstrainSelectedInstOperands,
     /*  690263 */     // GIR_Coverage, 19043,
     /*  690263 */     GIR_EraseRootFromParent_Done,
     /*  690264 */   // Label 10994: @690264
     /*  690264 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(690339), // Rule ID 19046 //
     /*  690269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  690272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  690280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  690283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  690286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  690289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  690318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690337 */     GIR_RootConstrainSelectedInstOperands,
     /*  690338 */     // GIR_Coverage, 19046,
     /*  690338 */     GIR_EraseRootFromParent_Done,
     /*  690339 */   // Label 10995: @690339
     /*  690339 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(690414), // Rule ID 19047 //
     /*  690344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  690347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  690355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  690358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  690361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  690364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  690393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690412 */     GIR_RootConstrainSelectedInstOperands,
     /*  690413 */     // GIR_Coverage, 19047,
     /*  690413 */     GIR_EraseRootFromParent_Done,
     /*  690414 */   // Label 10996: @690414
     /*  690414 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(690489), // Rule ID 19050 //
     /*  690419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  690422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  690430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  690433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  690436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  690439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  690468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690487 */     GIR_RootConstrainSelectedInstOperands,
     /*  690488 */     // GIR_Coverage, 19050,
     /*  690488 */     GIR_EraseRootFromParent_Done,
     /*  690489 */   // Label 10997: @690489
     /*  690489 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(690564), // Rule ID 19051 //
     /*  690494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  690497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  690505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  690508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  690511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  690514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  690543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690562 */     GIR_RootConstrainSelectedInstOperands,
     /*  690563 */     // GIR_Coverage, 19051,
     /*  690563 */     GIR_EraseRootFromParent_Done,
     /*  690564 */   // Label 10998: @690564
     /*  690564 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(690639), // Rule ID 19054 //
     /*  690569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  690572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  690618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690637 */     GIR_RootConstrainSelectedInstOperands,
     /*  690638 */     // GIR_Coverage, 19054,
     /*  690638 */     GIR_EraseRootFromParent_Done,
     /*  690639 */   // Label 10999: @690639
     /*  690639 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(690714), // Rule ID 19055 //
     /*  690644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  690647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690690 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  690693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690712 */     GIR_RootConstrainSelectedInstOperands,
     /*  690713 */     // GIR_Coverage, 19055,
     /*  690713 */     GIR_EraseRootFromParent_Done,
     /*  690714 */   // Label 11000: @690714
     /*  690714 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(690789), // Rule ID 19058 //
     /*  690719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  690722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  690768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690787 */     GIR_RootConstrainSelectedInstOperands,
     /*  690788 */     // GIR_Coverage, 19058,
     /*  690788 */     GIR_EraseRootFromParent_Done,
     /*  690789 */   // Label 11001: @690789
     /*  690789 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(690864), // Rule ID 19059 //
     /*  690794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  690797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  690843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690862 */     GIR_RootConstrainSelectedInstOperands,
     /*  690863 */     // GIR_Coverage, 19059,
     /*  690863 */     GIR_EraseRootFromParent_Done,
     /*  690864 */   // Label 11002: @690864
     /*  690864 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(690939), // Rule ID 19062 //
     /*  690869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  690872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  690918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690937 */     GIR_RootConstrainSelectedInstOperands,
     /*  690938 */     // GIR_Coverage, 19062,
     /*  690938 */     GIR_EraseRootFromParent_Done,
     /*  690939 */   // Label 11003: @690939
     /*  690939 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(691014), // Rule ID 19063 //
     /*  690944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  690947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  690952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  690993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691012 */     GIR_RootConstrainSelectedInstOperands,
     /*  691013 */     // GIR_Coverage, 19063,
     /*  691013 */     GIR_EraseRootFromParent_Done,
     /*  691014 */   // Label 11004: @691014
     /*  691014 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(691089), // Rule ID 19066 //
     /*  691019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  691022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  691068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691087 */     GIR_RootConstrainSelectedInstOperands,
     /*  691088 */     // GIR_Coverage, 19066,
     /*  691088 */     GIR_EraseRootFromParent_Done,
     /*  691089 */   // Label 11005: @691089
     /*  691089 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(691164), // Rule ID 19067 //
     /*  691094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  691097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  691105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  691108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  691111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  691114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  691143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691162 */     GIR_RootConstrainSelectedInstOperands,
     /*  691163 */     // GIR_Coverage, 19067,
     /*  691163 */     GIR_EraseRootFromParent_Done,
     /*  691164 */   // Label 11006: @691164
     /*  691164 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(691239), // Rule ID 19070 //
     /*  691169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  691172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  691180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  691183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  691186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  691189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  691218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691237 */     GIR_RootConstrainSelectedInstOperands,
     /*  691238 */     // GIR_Coverage, 19070,
     /*  691238 */     GIR_EraseRootFromParent_Done,
     /*  691239 */   // Label 11007: @691239
     /*  691239 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(691314), // Rule ID 19071 //
     /*  691244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  691247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  691255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  691258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  691261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  691264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  691293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691312 */     GIR_RootConstrainSelectedInstOperands,
     /*  691313 */     // GIR_Coverage, 19071,
     /*  691313 */     GIR_EraseRootFromParent_Done,
     /*  691314 */   // Label 11008: @691314
     /*  691314 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(691389), // Rule ID 19074 //
     /*  691319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  691322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  691330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  691333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  691336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  691339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  691368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691387 */     GIR_RootConstrainSelectedInstOperands,
     /*  691388 */     // GIR_Coverage, 19074,
     /*  691388 */     GIR_EraseRootFromParent_Done,
     /*  691389 */   // Label 11009: @691389
     /*  691389 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(691464), // Rule ID 19075 //
     /*  691394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  691397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  691405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  691408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  691411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  691414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  691443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691462 */     GIR_RootConstrainSelectedInstOperands,
     /*  691463 */     // GIR_Coverage, 19075,
     /*  691463 */     GIR_EraseRootFromParent_Done,
     /*  691464 */   // Label 11010: @691464
     /*  691464 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(691539), // Rule ID 19078 //
     /*  691469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  691472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  691518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691537 */     GIR_RootConstrainSelectedInstOperands,
     /*  691538 */     // GIR_Coverage, 19078,
     /*  691538 */     GIR_EraseRootFromParent_Done,
     /*  691539 */   // Label 11011: @691539
     /*  691539 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(691614), // Rule ID 19079 //
     /*  691544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  691547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691590 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  691593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691612 */     GIR_RootConstrainSelectedInstOperands,
     /*  691613 */     // GIR_Coverage, 19079,
     /*  691613 */     GIR_EraseRootFromParent_Done,
     /*  691614 */   // Label 11012: @691614
     /*  691614 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(691689), // Rule ID 19082 //
     /*  691619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  691622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  691639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  691658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691665 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  691668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691687 */     GIR_RootConstrainSelectedInstOperands,
     /*  691688 */     // GIR_Coverage, 19082,
     /*  691688 */     GIR_EraseRootFromParent_Done,
     /*  691689 */   // Label 11013: @691689
     /*  691689 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(691764), // Rule ID 19083 //
     /*  691694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  691697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  691714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  691733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  691743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691762 */     GIR_RootConstrainSelectedInstOperands,
     /*  691763 */     // GIR_Coverage, 19083,
     /*  691763 */     GIR_EraseRootFromParent_Done,
     /*  691764 */   // Label 11014: @691764
     /*  691764 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(691839), // Rule ID 19086 //
     /*  691769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  691772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  691789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  691808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691815 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  691818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691837 */     GIR_RootConstrainSelectedInstOperands,
     /*  691838 */     // GIR_Coverage, 19086,
     /*  691838 */     GIR_EraseRootFromParent_Done,
     /*  691839 */   // Label 11015: @691839
     /*  691839 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(691914), // Rule ID 19087 //
     /*  691844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  691847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  691864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  691883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  691893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691912 */     GIR_RootConstrainSelectedInstOperands,
     /*  691913 */     // GIR_Coverage, 19087,
     /*  691913 */     GIR_EraseRootFromParent_Done,
     /*  691914 */   // Label 11016: @691914
     /*  691914 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(691989), // Rule ID 19090 //
     /*  691919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  691922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  691927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  691958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  691968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691987 */     GIR_RootConstrainSelectedInstOperands,
     /*  691988 */     // GIR_Coverage, 19090,
     /*  691988 */     GIR_EraseRootFromParent_Done,
     /*  691989 */   // Label 11017: @691989
     /*  691989 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(692064), // Rule ID 19091 //
     /*  691994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  691997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  692005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  692008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  692011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  692033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  692043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692062 */     GIR_RootConstrainSelectedInstOperands,
     /*  692063 */     // GIR_Coverage, 19091,
     /*  692063 */     GIR_EraseRootFromParent_Done,
     /*  692064 */   // Label 11018: @692064
     /*  692064 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(692139), // Rule ID 19094 //
     /*  692069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  692072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  692118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692137 */     GIR_RootConstrainSelectedInstOperands,
     /*  692138 */     // GIR_Coverage, 19094,
     /*  692138 */     GIR_EraseRootFromParent_Done,
     /*  692139 */   // Label 11019: @692139
     /*  692139 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(692214), // Rule ID 19095 //
     /*  692144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  692147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  692193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692212 */     GIR_RootConstrainSelectedInstOperands,
     /*  692213 */     // GIR_Coverage, 19095,
     /*  692213 */     GIR_EraseRootFromParent_Done,
     /*  692214 */   // Label 11020: @692214
     /*  692214 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(692289), // Rule ID 19098 //
     /*  692219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  692222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  692258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  692268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692287 */     GIR_RootConstrainSelectedInstOperands,
     /*  692288 */     // GIR_Coverage, 19098,
     /*  692288 */     GIR_EraseRootFromParent_Done,
     /*  692289 */   // Label 11021: @692289
     /*  692289 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(692364), // Rule ID 19099 //
     /*  692294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  692297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  692333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  692343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692362 */     GIR_RootConstrainSelectedInstOperands,
     /*  692363 */     // GIR_Coverage, 19099,
     /*  692363 */     GIR_EraseRootFromParent_Done,
     /*  692364 */   // Label 11022: @692364
     /*  692364 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(692439), // Rule ID 19102 //
     /*  692369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  692372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  692408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  692418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692437 */     GIR_RootConstrainSelectedInstOperands,
     /*  692438 */     // GIR_Coverage, 19102,
     /*  692438 */     GIR_EraseRootFromParent_Done,
     /*  692439 */   // Label 11023: @692439
     /*  692439 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(692514), // Rule ID 19103 //
     /*  692444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  692447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  692483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  692493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692512 */     GIR_RootConstrainSelectedInstOperands,
     /*  692513 */     // GIR_Coverage, 19103,
     /*  692513 */     GIR_EraseRootFromParent_Done,
     /*  692514 */   // Label 11024: @692514
     /*  692514 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(692589), // Rule ID 19106 //
     /*  692519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  692522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  692568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692587 */     GIR_RootConstrainSelectedInstOperands,
     /*  692588 */     // GIR_Coverage, 19106,
     /*  692588 */     GIR_EraseRootFromParent_Done,
     /*  692589 */   // Label 11025: @692589
     /*  692589 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(692664), // Rule ID 19107 //
     /*  692594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  692597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  692643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692662 */     GIR_RootConstrainSelectedInstOperands,
     /*  692663 */     // GIR_Coverage, 19107,
     /*  692663 */     GIR_EraseRootFromParent_Done,
     /*  692664 */   // Label 11026: @692664
     /*  692664 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(692739), // Rule ID 19110 //
     /*  692669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  692672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  692718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692737 */     GIR_RootConstrainSelectedInstOperands,
     /*  692738 */     // GIR_Coverage, 19110,
     /*  692738 */     GIR_EraseRootFromParent_Done,
     /*  692739 */   // Label 11027: @692739
     /*  692739 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(692814), // Rule ID 19111 //
     /*  692744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  692747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  692755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  692758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  692761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692790 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  692793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692812 */     GIR_RootConstrainSelectedInstOperands,
     /*  692813 */     // GIR_Coverage, 19111,
     /*  692813 */     GIR_EraseRootFromParent_Done,
     /*  692814 */   // Label 11028: @692814
     /*  692814 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(692889), // Rule ID 19114 //
     /*  692819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  692822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692865 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  692868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692887 */     GIR_RootConstrainSelectedInstOperands,
     /*  692888 */     // GIR_Coverage, 19114,
     /*  692888 */     GIR_EraseRootFromParent_Done,
     /*  692889 */   // Label 11029: @692889
     /*  692889 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(692964), // Rule ID 19115 //
     /*  692894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  692897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  692905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  692908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  692911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  692914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  692933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  692943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692962 */     GIR_RootConstrainSelectedInstOperands,
     /*  692963 */     // GIR_Coverage, 19115,
     /*  692963 */     GIR_EraseRootFromParent_Done,
     /*  692964 */   // Label 11030: @692964
     /*  692964 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(693039), // Rule ID 19118 //
     /*  692969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  692972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  692977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  693018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693037 */     GIR_RootConstrainSelectedInstOperands,
     /*  693038 */     // GIR_Coverage, 19118,
     /*  693038 */     GIR_EraseRootFromParent_Done,
     /*  693039 */   // Label 11031: @693039
     /*  693039 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(693114), // Rule ID 19119 //
     /*  693044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  693047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  693093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693112 */     GIR_RootConstrainSelectedInstOperands,
     /*  693113 */     // GIR_Coverage, 19119,
     /*  693113 */     GIR_EraseRootFromParent_Done,
     /*  693114 */   // Label 11032: @693114
     /*  693114 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(693189), // Rule ID 19122 //
     /*  693119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  693122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  693168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693187 */     GIR_RootConstrainSelectedInstOperands,
     /*  693188 */     // GIR_Coverage, 19122,
     /*  693188 */     GIR_EraseRootFromParent_Done,
     /*  693189 */   // Label 11033: @693189
     /*  693189 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(693264), // Rule ID 19123 //
     /*  693194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  693197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  693243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693262 */     GIR_RootConstrainSelectedInstOperands,
     /*  693263 */     // GIR_Coverage, 19123,
     /*  693263 */     GIR_EraseRootFromParent_Done,
     /*  693264 */   // Label 11034: @693264
     /*  693264 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(693339), // Rule ID 19126 //
     /*  693269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  693272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  693318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693337 */     GIR_RootConstrainSelectedInstOperands,
     /*  693338 */     // GIR_Coverage, 19126,
     /*  693338 */     GIR_EraseRootFromParent_Done,
     /*  693339 */   // Label 11035: @693339
     /*  693339 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(693414), // Rule ID 19127 //
     /*  693344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  693347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  693383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  693393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693412 */     GIR_RootConstrainSelectedInstOperands,
     /*  693413 */     // GIR_Coverage, 19127,
     /*  693413 */     GIR_EraseRootFromParent_Done,
     /*  693414 */   // Label 11036: @693414
     /*  693414 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(693489), // Rule ID 19130 //
     /*  693419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  693422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  693468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693487 */     GIR_RootConstrainSelectedInstOperands,
     /*  693488 */     // GIR_Coverage, 19130,
     /*  693488 */     GIR_EraseRootFromParent_Done,
     /*  693489 */   // Label 11037: @693489
     /*  693489 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(693564), // Rule ID 19131 //
     /*  693494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  693497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  693543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693562 */     GIR_RootConstrainSelectedInstOperands,
     /*  693563 */     // GIR_Coverage, 19131,
     /*  693563 */     GIR_EraseRootFromParent_Done,
     /*  693564 */   // Label 11038: @693564
     /*  693564 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(693639), // Rule ID 19134 //
     /*  693569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  693572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693615 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  693618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693637 */     GIR_RootConstrainSelectedInstOperands,
     /*  693638 */     // GIR_Coverage, 19134,
     /*  693638 */     GIR_EraseRootFromParent_Done,
     /*  693639 */   // Label 11039: @693639
     /*  693639 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(693714), // Rule ID 19135 //
     /*  693644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  693647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  693655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  693658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  693661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  693693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693712 */     GIR_RootConstrainSelectedInstOperands,
     /*  693713 */     // GIR_Coverage, 19135,
     /*  693713 */     GIR_EraseRootFromParent_Done,
     /*  693714 */   // Label 11040: @693714
     /*  693714 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(693789), // Rule ID 19138 //
     /*  693719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  693722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693765 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  693768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693787 */     GIR_RootConstrainSelectedInstOperands,
     /*  693788 */     // GIR_Coverage, 19138,
     /*  693788 */     GIR_EraseRootFromParent_Done,
     /*  693789 */   // Label 11041: @693789
     /*  693789 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(693864), // Rule ID 19139 //
     /*  693794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  693797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  693802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  693805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  693808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  693811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  693833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10864:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  693843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693862 */     GIR_RootConstrainSelectedInstOperands,
     /*  693863 */     // GIR_Coverage, 19139,
     /*  693863 */     GIR_EraseRootFromParent_Done,
     /*  693864 */   // Label 11042: @693864
     /*  693864 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(693939), // Rule ID 19142 //
     /*  693869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  693872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  693877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  693889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693915 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  693918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693937 */     GIR_RootConstrainSelectedInstOperands,
     /*  693938 */     // GIR_Coverage, 19142,
     /*  693938 */     GIR_EraseRootFromParent_Done,
     /*  693939 */   // Label 11043: @693939
     /*  693939 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(694014), // Rule ID 19143 //
     /*  693944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  693947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  693952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  693955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  693958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  693961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  693964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693990 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  693993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694012 */     GIR_RootConstrainSelectedInstOperands,
     /*  694013 */     // GIR_Coverage, 19143,
     /*  694013 */     GIR_EraseRootFromParent_Done,
     /*  694014 */   // Label 11044: @694014
     /*  694014 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(694089), // Rule ID 19146 //
     /*  694019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  694068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694087 */     GIR_RootConstrainSelectedInstOperands,
     /*  694088 */     // GIR_Coverage, 19146,
     /*  694088 */     GIR_EraseRootFromParent_Done,
     /*  694089 */   // Label 11045: @694089
     /*  694089 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(694164), // Rule ID 19147 //
     /*  694094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694140 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  694143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694162 */     GIR_RootConstrainSelectedInstOperands,
     /*  694163 */     // GIR_Coverage, 19147,
     /*  694163 */     GIR_EraseRootFromParent_Done,
     /*  694164 */   // Label 11046: @694164
     /*  694164 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(694239), // Rule ID 19150 //
     /*  694169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  694172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  694218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694237 */     GIR_RootConstrainSelectedInstOperands,
     /*  694238 */     // GIR_Coverage, 19150,
     /*  694238 */     GIR_EraseRootFromParent_Done,
     /*  694239 */   // Label 11047: @694239
     /*  694239 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(694314), // Rule ID 19151 //
     /*  694244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  694247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  694293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694312 */     GIR_RootConstrainSelectedInstOperands,
     /*  694313 */     // GIR_Coverage, 19151,
     /*  694313 */     GIR_EraseRootFromParent_Done,
     /*  694314 */   // Label 11048: @694314
     /*  694314 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(694389), // Rule ID 19154 //
     /*  694319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  694368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694387 */     GIR_RootConstrainSelectedInstOperands,
     /*  694388 */     // GIR_Coverage, 19154,
     /*  694388 */     GIR_EraseRootFromParent_Done,
     /*  694389 */   // Label 11049: @694389
     /*  694389 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(694464), // Rule ID 19155 //
     /*  694394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  694405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  694408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  694411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  694414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  694443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694462 */     GIR_RootConstrainSelectedInstOperands,
     /*  694463 */     // GIR_Coverage, 19155,
     /*  694463 */     GIR_EraseRootFromParent_Done,
     /*  694464 */   // Label 11050: @694464
     /*  694464 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(694539), // Rule ID 19158 //
     /*  694469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  694472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  694489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  694518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694537 */     GIR_RootConstrainSelectedInstOperands,
     /*  694538 */     // GIR_Coverage, 19158,
     /*  694538 */     GIR_EraseRootFromParent_Done,
     /*  694539 */   // Label 11051: @694539
     /*  694539 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(694614), // Rule ID 19159 //
     /*  694544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  694547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  694555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  694558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  694561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  694564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  694593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694612 */     GIR_RootConstrainSelectedInstOperands,
     /*  694613 */     // GIR_Coverage, 19159,
     /*  694613 */     GIR_EraseRootFromParent_Done,
     /*  694614 */   // Label 11052: @694614
     /*  694614 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(694689), // Rule ID 19162 //
     /*  694619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  694622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  694639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  694668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694687 */     GIR_RootConstrainSelectedInstOperands,
     /*  694688 */     // GIR_Coverage, 19162,
     /*  694688 */     GIR_EraseRootFromParent_Done,
     /*  694689 */   // Label 11053: @694689
     /*  694689 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(694764), // Rule ID 19163 //
     /*  694694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  694697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  694705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  694708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  694711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  694714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  694743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694762 */     GIR_RootConstrainSelectedInstOperands,
     /*  694763 */     // GIR_Coverage, 19163,
     /*  694763 */     GIR_EraseRootFromParent_Done,
     /*  694764 */   // Label 11054: @694764
     /*  694764 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(694839), // Rule ID 19166 //
     /*  694769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  694789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694815 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  694818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694837 */     GIR_RootConstrainSelectedInstOperands,
     /*  694838 */     // GIR_Coverage, 19166,
     /*  694838 */     GIR_EraseRootFromParent_Done,
     /*  694839 */   // Label 11055: @694839
     /*  694839 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(694914), // Rule ID 19167 //
     /*  694844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  694864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  694893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694912 */     GIR_RootConstrainSelectedInstOperands,
     /*  694913 */     // GIR_Coverage, 19167,
     /*  694913 */     GIR_EraseRootFromParent_Done,
     /*  694914 */   // Label 11056: @694914
     /*  694914 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(694989), // Rule ID 19170 //
     /*  694919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  694927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  694939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694965 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  694968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694987 */     GIR_RootConstrainSelectedInstOperands,
     /*  694988 */     // GIR_Coverage, 19170,
     /*  694988 */     GIR_EraseRootFromParent_Done,
     /*  694989 */   // Label 11057: @694989
     /*  694989 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(695064), // Rule ID 19171 //
     /*  694994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  695043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695062 */     GIR_RootConstrainSelectedInstOperands,
     /*  695063 */     // GIR_Coverage, 19171,
     /*  695063 */     GIR_EraseRootFromParent_Done,
     /*  695064 */   // Label 11058: @695064
     /*  695064 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(695139), // Rule ID 19174 //
     /*  695069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  695072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695115 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  695118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695137 */     GIR_RootConstrainSelectedInstOperands,
     /*  695138 */     // GIR_Coverage, 19174,
     /*  695138 */     GIR_EraseRootFromParent_Done,
     /*  695139 */   // Label 11059: @695139
     /*  695139 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(695214), // Rule ID 19175 //
     /*  695144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  695147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  695193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695212 */     GIR_RootConstrainSelectedInstOperands,
     /*  695213 */     // GIR_Coverage, 19175,
     /*  695213 */     GIR_EraseRootFromParent_Done,
     /*  695214 */   // Label 11060: @695214
     /*  695214 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(695289), // Rule ID 19178 //
     /*  695219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  695222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  695239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  695268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695287 */     GIR_RootConstrainSelectedInstOperands,
     /*  695288 */     // GIR_Coverage, 19178,
     /*  695288 */     GIR_EraseRootFromParent_Done,
     /*  695289 */   // Label 11061: @695289
     /*  695289 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(695364), // Rule ID 19179 //
     /*  695294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  695297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  695305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  695308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  695311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  695314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  695343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695362 */     GIR_RootConstrainSelectedInstOperands,
     /*  695363 */     // GIR_Coverage, 19179,
     /*  695363 */     GIR_EraseRootFromParent_Done,
     /*  695364 */   // Label 11062: @695364
     /*  695364 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(695439), // Rule ID 19182 //
     /*  695369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  695372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  695389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695415 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  695418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695437 */     GIR_RootConstrainSelectedInstOperands,
     /*  695438 */     // GIR_Coverage, 19182,
     /*  695438 */     GIR_EraseRootFromParent_Done,
     /*  695439 */   // Label 11063: @695439
     /*  695439 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(695514), // Rule ID 19183 //
     /*  695444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  695447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  695455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  695458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  695461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  695464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  695493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695512 */     GIR_RootConstrainSelectedInstOperands,
     /*  695513 */     // GIR_Coverage, 19183,
     /*  695513 */     GIR_EraseRootFromParent_Done,
     /*  695514 */   // Label 11064: @695514
     /*  695514 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(695589), // Rule ID 19186 //
     /*  695519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  695522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  695539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  695568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695587 */     GIR_RootConstrainSelectedInstOperands,
     /*  695588 */     // GIR_Coverage, 19186,
     /*  695588 */     GIR_EraseRootFromParent_Done,
     /*  695589 */   // Label 11065: @695589
     /*  695589 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(695664), // Rule ID 19187 //
     /*  695594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  695597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  695614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  695643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695662 */     GIR_RootConstrainSelectedInstOperands,
     /*  695663 */     // GIR_Coverage, 19187,
     /*  695663 */     GIR_EraseRootFromParent_Done,
     /*  695664 */   // Label 11066: @695664
     /*  695664 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(695739), // Rule ID 19190 //
     /*  695669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  695672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  695689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  695718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695737 */     GIR_RootConstrainSelectedInstOperands,
     /*  695738 */     // GIR_Coverage, 19190,
     /*  695738 */     GIR_EraseRootFromParent_Done,
     /*  695739 */   // Label 11067: @695739
     /*  695739 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(695814), // Rule ID 19191 //
     /*  695744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  695747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  695755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  695758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  695761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  695764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  695793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695812 */     GIR_RootConstrainSelectedInstOperands,
     /*  695813 */     // GIR_Coverage, 19191,
     /*  695813 */     GIR_EraseRootFromParent_Done,
     /*  695814 */   // Label 11068: @695814
     /*  695814 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(695889), // Rule ID 19194 //
     /*  695819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  695822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  695839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695865 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  695868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695887 */     GIR_RootConstrainSelectedInstOperands,
     /*  695888 */     // GIR_Coverage, 19194,
     /*  695888 */     GIR_EraseRootFromParent_Done,
     /*  695889 */   // Label 11069: @695889
     /*  695889 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(695964), // Rule ID 19195 //
     /*  695894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  695897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  695905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  695908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  695911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  695914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  695943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695962 */     GIR_RootConstrainSelectedInstOperands,
     /*  695963 */     // GIR_Coverage, 19195,
     /*  695963 */     GIR_EraseRootFromParent_Done,
     /*  695964 */   // Label 11070: @695964
     /*  695964 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(696039), // Rule ID 19198 //
     /*  695969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  695972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  695977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  695980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  695983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  695986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  695989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696015 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  696018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696037 */     GIR_RootConstrainSelectedInstOperands,
     /*  696038 */     // GIR_Coverage, 19198,
     /*  696038 */     GIR_EraseRootFromParent_Done,
     /*  696039 */   // Label 11071: @696039
     /*  696039 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(696114), // Rule ID 19199 //
     /*  696044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  696047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  696064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  696093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696112 */     GIR_RootConstrainSelectedInstOperands,
     /*  696113 */     // GIR_Coverage, 19199,
     /*  696113 */     GIR_EraseRootFromParent_Done,
     /*  696114 */   // Label 11072: @696114
     /*  696114 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(696189), // Rule ID 19202 //
     /*  696119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  696122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696165 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  696168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696187 */     GIR_RootConstrainSelectedInstOperands,
     /*  696188 */     // GIR_Coverage, 19202,
     /*  696188 */     GIR_EraseRootFromParent_Done,
     /*  696189 */   // Label 11073: @696189
     /*  696189 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(696264), // Rule ID 19203 //
     /*  696194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  696197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  696243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696262 */     GIR_RootConstrainSelectedInstOperands,
     /*  696263 */     // GIR_Coverage, 19203,
     /*  696263 */     GIR_EraseRootFromParent_Done,
     /*  696264 */   // Label 11074: @696264
     /*  696264 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(696339), // Rule ID 19206 //
     /*  696269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  696272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696315 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  696318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696337 */     GIR_RootConstrainSelectedInstOperands,
     /*  696338 */     // GIR_Coverage, 19206,
     /*  696338 */     GIR_EraseRootFromParent_Done,
     /*  696339 */   // Label 11075: @696339
     /*  696339 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(696414), // Rule ID 19207 //
     /*  696344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  696347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  696355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  696358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  696361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696390 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  696393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696412 */     GIR_RootConstrainSelectedInstOperands,
     /*  696413 */     // GIR_Coverage, 19207,
     /*  696413 */     GIR_EraseRootFromParent_Done,
     /*  696414 */   // Label 11076: @696414
     /*  696414 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(696489), // Rule ID 19210 //
     /*  696419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  696422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  696458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696465 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  696468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696487 */     GIR_RootConstrainSelectedInstOperands,
     /*  696488 */     // GIR_Coverage, 19210,
     /*  696488 */     GIR_EraseRootFromParent_Done,
     /*  696489 */   // Label 11077: @696489
     /*  696489 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(696564), // Rule ID 19211 //
     /*  696494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  696497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  696505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  696508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  696511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  696533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  696543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696562 */     GIR_RootConstrainSelectedInstOperands,
     /*  696563 */     // GIR_Coverage, 19211,
     /*  696563 */     GIR_EraseRootFromParent_Done,
     /*  696564 */   // Label 11078: @696564
     /*  696564 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(696639), // Rule ID 19214 //
     /*  696569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  696572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696615 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  696618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696637 */     GIR_RootConstrainSelectedInstOperands,
     /*  696638 */     // GIR_Coverage, 19214,
     /*  696638 */     GIR_EraseRootFromParent_Done,
     /*  696639 */   // Label 11079: @696639
     /*  696639 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(696714), // Rule ID 19215 //
     /*  696644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  696647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  696693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696712 */     GIR_RootConstrainSelectedInstOperands,
     /*  696713 */     // GIR_Coverage, 19215,
     /*  696713 */     GIR_EraseRootFromParent_Done,
     /*  696714 */   // Label 11080: @696714
     /*  696714 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(696789), // Rule ID 19218 //
     /*  696719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  696722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  696758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696765 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  696768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696787 */     GIR_RootConstrainSelectedInstOperands,
     /*  696788 */     // GIR_Coverage, 19218,
     /*  696788 */     GIR_EraseRootFromParent_Done,
     /*  696789 */   // Label 11081: @696789
     /*  696789 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(696864), // Rule ID 19219 //
     /*  696794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  696797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  696814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  696833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  696843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696862 */     GIR_RootConstrainSelectedInstOperands,
     /*  696863 */     // GIR_Coverage, 19219,
     /*  696863 */     GIR_EraseRootFromParent_Done,
     /*  696864 */   // Label 11082: @696864
     /*  696864 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(696939), // Rule ID 19222 //
     /*  696869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  696872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  696880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  696883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  696886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  696908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  696918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696937 */     GIR_RootConstrainSelectedInstOperands,
     /*  696938 */     // GIR_Coverage, 19222,
     /*  696938 */     GIR_EraseRootFromParent_Done,
     /*  696939 */   // Label 11083: @696939
     /*  696939 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(697014), // Rule ID 19223 //
     /*  696944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  696947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  696952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  696955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  696958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  696961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  696964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  696983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  696993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697012 */     GIR_RootConstrainSelectedInstOperands,
     /*  697013 */     // GIR_Coverage, 19223,
     /*  697013 */     GIR_EraseRootFromParent_Done,
     /*  697014 */   // Label 11084: @697014
     /*  697014 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(697089), // Rule ID 19226 //
     /*  697019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697065 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  697068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697087 */     GIR_RootConstrainSelectedInstOperands,
     /*  697088 */     // GIR_Coverage, 19226,
     /*  697088 */     GIR_EraseRootFromParent_Done,
     /*  697089 */   // Label 11085: @697089
     /*  697089 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(697164), // Rule ID 19227 //
     /*  697094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697140 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  697143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697162 */     GIR_RootConstrainSelectedInstOperands,
     /*  697163 */     // GIR_Coverage, 19227,
     /*  697163 */     GIR_EraseRootFromParent_Done,
     /*  697164 */   // Label 11086: @697164
     /*  697164 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(697239), // Rule ID 19230 //
     /*  697169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697215 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  697218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697237 */     GIR_RootConstrainSelectedInstOperands,
     /*  697238 */     // GIR_Coverage, 19230,
     /*  697238 */     GIR_EraseRootFromParent_Done,
     /*  697239 */   // Label 11087: @697239
     /*  697239 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(697314), // Rule ID 19231 //
     /*  697244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  697293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697312 */     GIR_RootConstrainSelectedInstOperands,
     /*  697313 */     // GIR_Coverage, 19231,
     /*  697313 */     GIR_EraseRootFromParent_Done,
     /*  697314 */   // Label 11088: @697314
     /*  697314 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(697389), // Rule ID 19234 //
     /*  697319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697365 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  697368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697387 */     GIR_RootConstrainSelectedInstOperands,
     /*  697388 */     // GIR_Coverage, 19234,
     /*  697388 */     GIR_EraseRootFromParent_Done,
     /*  697389 */   // Label 11089: @697389
     /*  697389 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(697464), // Rule ID 19235 //
     /*  697394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  697443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697462 */     GIR_RootConstrainSelectedInstOperands,
     /*  697463 */     // GIR_Coverage, 19235,
     /*  697463 */     GIR_EraseRootFromParent_Done,
     /*  697464 */   // Label 11090: @697464
     /*  697464 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(697539), // Rule ID 19238 //
     /*  697469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  697472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  697518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697537 */     GIR_RootConstrainSelectedInstOperands,
     /*  697538 */     // GIR_Coverage, 19238,
     /*  697538 */     GIR_EraseRootFromParent_Done,
     /*  697539 */   // Label 11091: @697539
     /*  697539 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(697614), // Rule ID 19239 //
     /*  697544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  697547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  697593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697612 */     GIR_RootConstrainSelectedInstOperands,
     /*  697613 */     // GIR_Coverage, 19239,
     /*  697613 */     GIR_EraseRootFromParent_Done,
     /*  697614 */   // Label 11092: @697614
     /*  697614 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(697689), // Rule ID 19242 //
     /*  697619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  697622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  697630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  697633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  697636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  697668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697687 */     GIR_RootConstrainSelectedInstOperands,
     /*  697688 */     // GIR_Coverage, 19242,
     /*  697688 */     GIR_EraseRootFromParent_Done,
     /*  697689 */   // Label 11093: @697689
     /*  697689 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(697764), // Rule ID 19243 //
     /*  697694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  697697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  697705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  697708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  697711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  697743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697762 */     GIR_RootConstrainSelectedInstOperands,
     /*  697763 */     // GIR_Coverage, 19243,
     /*  697763 */     GIR_EraseRootFromParent_Done,
     /*  697764 */   // Label 11094: @697764
     /*  697764 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(697839), // Rule ID 19246 //
     /*  697769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  697772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697815 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  697818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697837 */     GIR_RootConstrainSelectedInstOperands,
     /*  697838 */     // GIR_Coverage, 19246,
     /*  697838 */     GIR_EraseRootFromParent_Done,
     /*  697839 */   // Label 11095: @697839
     /*  697839 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(697914), // Rule ID 19247 //
     /*  697844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  697847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697890 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  697893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697912 */     GIR_RootConstrainSelectedInstOperands,
     /*  697913 */     // GIR_Coverage, 19247,
     /*  697913 */     GIR_EraseRootFromParent_Done,
     /*  697914 */   // Label 11096: @697914
     /*  697914 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(697989), // Rule ID 19250 //
     /*  697919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  697922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  697927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  697930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  697933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  697936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  697958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697965 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  697968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697987 */     GIR_RootConstrainSelectedInstOperands,
     /*  697988 */     // GIR_Coverage, 19250,
     /*  697988 */     GIR_EraseRootFromParent_Done,
     /*  697989 */   // Label 11097: @697989
     /*  697989 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(698064), // Rule ID 19251 //
     /*  697994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  697997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  698002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  698005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  698008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  698011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  698043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698062 */     GIR_RootConstrainSelectedInstOperands,
     /*  698063 */     // GIR_Coverage, 19251,
     /*  698063 */     GIR_EraseRootFromParent_Done,
     /*  698064 */   // Label 11098: @698064
     /*  698064 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(698139), // Rule ID 19254 //
     /*  698069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  698072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  698077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  698080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  698083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  698086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698115 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  698118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698137 */     GIR_RootConstrainSelectedInstOperands,
     /*  698138 */     // GIR_Coverage, 19254,
     /*  698138 */     GIR_EraseRootFromParent_Done,
     /*  698139 */   // Label 11099: @698139
     /*  698139 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(698214), // Rule ID 19255 //
     /*  698144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  698147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  698152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  698155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  698158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  698161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698190 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  698193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698212 */     GIR_RootConstrainSelectedInstOperands,
     /*  698213 */     // GIR_Coverage, 19255,
     /*  698213 */     GIR_EraseRootFromParent_Done,
     /*  698214 */   // Label 11100: @698214
     /*  698214 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(698289), // Rule ID 19258 //
     /*  698219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  698222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  698227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  698230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  698233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  698236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698265 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  698268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698287 */     GIR_RootConstrainSelectedInstOperands,
     /*  698288 */     // GIR_Coverage, 19258,
     /*  698288 */     GIR_EraseRootFromParent_Done,
     /*  698289 */   // Label 11101: @698289
     /*  698289 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(698364), // Rule ID 19259 //
     /*  698294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  698297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  698302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  698305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  698308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  698311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698340 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10861:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  698343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698362 */     GIR_RootConstrainSelectedInstOperands,
     /*  698363 */     // GIR_Coverage, 19259,
     /*  698363 */     GIR_EraseRootFromParent_Done,
     /*  698364 */   // Label 11102: @698364
     /*  698364 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(698439), // Rule ID 19262 //
     /*  698369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  698372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  698389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698415 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  698418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698437 */     GIR_RootConstrainSelectedInstOperands,
     /*  698438 */     // GIR_Coverage, 19262,
     /*  698438 */     GIR_EraseRootFromParent_Done,
     /*  698439 */   // Label 11103: @698439
     /*  698439 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(698514), // Rule ID 19263 //
     /*  698444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  698447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  698464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  698493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698512 */     GIR_RootConstrainSelectedInstOperands,
     /*  698513 */     // GIR_Coverage, 19263,
     /*  698513 */     GIR_EraseRootFromParent_Done,
     /*  698514 */   // Label 11104: @698514
     /*  698514 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(698589), // Rule ID 19266 //
     /*  698519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  698522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  698539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  698568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698587 */     GIR_RootConstrainSelectedInstOperands,
     /*  698588 */     // GIR_Coverage, 19266,
     /*  698588 */     GIR_EraseRootFromParent_Done,
     /*  698589 */   // Label 11105: @698589
     /*  698589 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(698664), // Rule ID 19267 //
     /*  698594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  698597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  698614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  698643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698662 */     GIR_RootConstrainSelectedInstOperands,
     /*  698663 */     // GIR_Coverage, 19267,
     /*  698663 */     GIR_EraseRootFromParent_Done,
     /*  698664 */   // Label 11106: @698664
     /*  698664 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(698739), // Rule ID 19270 //
     /*  698669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  698672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  698689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698715 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  698718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698737 */     GIR_RootConstrainSelectedInstOperands,
     /*  698738 */     // GIR_Coverage, 19270,
     /*  698738 */     GIR_EraseRootFromParent_Done,
     /*  698739 */   // Label 11107: @698739
     /*  698739 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(698814), // Rule ID 19271 //
     /*  698744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  698747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  698764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698790 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  698793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698812 */     GIR_RootConstrainSelectedInstOperands,
     /*  698813 */     // GIR_Coverage, 19271,
     /*  698813 */     GIR_EraseRootFromParent_Done,
     /*  698814 */   // Label 11108: @698814
     /*  698814 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(698889), // Rule ID 19274 //
     /*  698819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  698822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  698839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  698868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698887 */     GIR_RootConstrainSelectedInstOperands,
     /*  698888 */     // GIR_Coverage, 19274,
     /*  698888 */     GIR_EraseRootFromParent_Done,
     /*  698889 */   // Label 11109: @698889
     /*  698889 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(698964), // Rule ID 19275 //
     /*  698894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  698897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  698914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  698943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698962 */     GIR_RootConstrainSelectedInstOperands,
     /*  698963 */     // GIR_Coverage, 19275,
     /*  698963 */     GIR_EraseRootFromParent_Done,
     /*  698964 */   // Label 11110: @698964
     /*  698964 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(699039), // Rule ID 19278 //
     /*  698969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  698972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  698977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  698989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  699018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699037 */     GIR_RootConstrainSelectedInstOperands,
     /*  699038 */     // GIR_Coverage, 19278,
     /*  699038 */     GIR_EraseRootFromParent_Done,
     /*  699039 */   // Label 11111: @699039
     /*  699039 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(699114), // Rule ID 19279 //
     /*  699044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  699047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  699064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  699093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699112 */     GIR_RootConstrainSelectedInstOperands,
     /*  699113 */     // GIR_Coverage, 19279,
     /*  699113 */     GIR_EraseRootFromParent_Done,
     /*  699114 */   // Label 11112: @699114
     /*  699114 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(699189), // Rule ID 19282 //
     /*  699119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  699122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  699130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  699133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  699136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  699139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  699168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699187 */     GIR_RootConstrainSelectedInstOperands,
     /*  699188 */     // GIR_Coverage, 19282,
     /*  699188 */     GIR_EraseRootFromParent_Done,
     /*  699189 */   // Label 11113: @699189
     /*  699189 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(699264), // Rule ID 19283 //
     /*  699194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  699197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  699205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  699208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  699211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  699214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  699240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  699243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699262 */     GIR_RootConstrainSelectedInstOperands,
     /*  699263 */     // GIR_Coverage, 19283,
     /*  699263 */     GIR_EraseRootFromParent_Done,
     /*  699264 */   // Label 11114: @699264
     /*  699264 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(699339), // Rule ID 19286 //
     /*  699269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  699289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  699318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699337 */     GIR_RootConstrainSelectedInstOperands,
     /*  699338 */     // GIR_Coverage, 19286,
     /*  699338 */     GIR_EraseRootFromParent_Done,
     /*  699339 */   // Label 11115: @699339
     /*  699339 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(699414), // Rule ID 19287 //
     /*  699344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  699364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  699393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699412 */     GIR_RootConstrainSelectedInstOperands,
     /*  699413 */     // GIR_Coverage, 19287,
     /*  699413 */     GIR_EraseRootFromParent_Done,
     /*  699414 */   // Label 11116: @699414
     /*  699414 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(699489), // Rule ID 19290 //
     /*  699419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  699439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  699468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699487 */     GIR_RootConstrainSelectedInstOperands,
     /*  699488 */     // GIR_Coverage, 19290,
     /*  699488 */     GIR_EraseRootFromParent_Done,
     /*  699489 */   // Label 11117: @699489
     /*  699489 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(699564), // Rule ID 19291 //
     /*  699494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  699514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  699543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699562 */     GIR_RootConstrainSelectedInstOperands,
     /*  699563 */     // GIR_Coverage, 19291,
     /*  699563 */     GIR_EraseRootFromParent_Done,
     /*  699564 */   // Label 11118: @699564
     /*  699564 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(699639), // Rule ID 19294 //
     /*  699569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  699589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  699618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699637 */     GIR_RootConstrainSelectedInstOperands,
     /*  699638 */     // GIR_Coverage, 19294,
     /*  699638 */     GIR_EraseRootFromParent_Done,
     /*  699639 */   // Label 11119: @699639
     /*  699639 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(699714), // Rule ID 19295 //
     /*  699644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  699664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699690 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  699693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699712 */     GIR_RootConstrainSelectedInstOperands,
     /*  699713 */     // GIR_Coverage, 19295,
     /*  699713 */     GIR_EraseRootFromParent_Done,
     /*  699714 */   // Label 11120: @699714
     /*  699714 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(699789), // Rule ID 19298 //
     /*  699719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  699722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  699739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  699768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699787 */     GIR_RootConstrainSelectedInstOperands,
     /*  699788 */     // GIR_Coverage, 19298,
     /*  699788 */     GIR_EraseRootFromParent_Done,
     /*  699789 */   // Label 11121: @699789
     /*  699789 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(699864), // Rule ID 19299 //
     /*  699794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  699797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  699814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  699843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699862 */     GIR_RootConstrainSelectedInstOperands,
     /*  699863 */     // GIR_Coverage, 19299,
     /*  699863 */     GIR_EraseRootFromParent_Done,
     /*  699864 */   // Label 11122: @699864
     /*  699864 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(699939), // Rule ID 19302 //
     /*  699869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  699872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  699889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  699918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699937 */     GIR_RootConstrainSelectedInstOperands,
     /*  699938 */     // GIR_Coverage, 19302,
     /*  699938 */     GIR_EraseRootFromParent_Done,
     /*  699939 */   // Label 11123: @699939
     /*  699939 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(700014), // Rule ID 19303 //
     /*  699944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  699947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  699952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  699964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  699993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700012 */     GIR_RootConstrainSelectedInstOperands,
     /*  700013 */     // GIR_Coverage, 19303,
     /*  700013 */     GIR_EraseRootFromParent_Done,
     /*  700014 */   // Label 11124: @700014
     /*  700014 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(700089), // Rule ID 19306 //
     /*  700019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  700022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  700039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  700068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700087 */     GIR_RootConstrainSelectedInstOperands,
     /*  700088 */     // GIR_Coverage, 19306,
     /*  700088 */     GIR_EraseRootFromParent_Done,
     /*  700089 */   // Label 11125: @700089
     /*  700089 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(700164), // Rule ID 19307 //
     /*  700094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  700097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  700114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  700143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700162 */     GIR_RootConstrainSelectedInstOperands,
     /*  700163 */     // GIR_Coverage, 19307,
     /*  700163 */     GIR_EraseRootFromParent_Done,
     /*  700164 */   // Label 11126: @700164
     /*  700164 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(700239), // Rule ID 19310 //
     /*  700169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  700172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  700189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  700218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700237 */     GIR_RootConstrainSelectedInstOperands,
     /*  700238 */     // GIR_Coverage, 19310,
     /*  700238 */     GIR_EraseRootFromParent_Done,
     /*  700239 */   // Label 11127: @700239
     /*  700239 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(700314), // Rule ID 19311 //
     /*  700244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  700247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  700264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  700293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700312 */     GIR_RootConstrainSelectedInstOperands,
     /*  700313 */     // GIR_Coverage, 19311,
     /*  700313 */     GIR_EraseRootFromParent_Done,
     /*  700314 */   // Label 11128: @700314
     /*  700314 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(700389), // Rule ID 19314 //
     /*  700319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  700322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  700339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  700368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700387 */     GIR_RootConstrainSelectedInstOperands,
     /*  700388 */     // GIR_Coverage, 19314,
     /*  700388 */     GIR_EraseRootFromParent_Done,
     /*  700389 */   // Label 11129: @700389
     /*  700389 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(700464), // Rule ID 19315 //
     /*  700394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  700397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  700414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  700443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700462 */     GIR_RootConstrainSelectedInstOperands,
     /*  700463 */     // GIR_Coverage, 19315,
     /*  700463 */     GIR_EraseRootFromParent_Done,
     /*  700464 */   // Label 11130: @700464
     /*  700464 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(700539), // Rule ID 19318 //
     /*  700469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  700472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  700489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  700518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700537 */     GIR_RootConstrainSelectedInstOperands,
     /*  700538 */     // GIR_Coverage, 19318,
     /*  700538 */     GIR_EraseRootFromParent_Done,
     /*  700539 */   // Label 11131: @700539
     /*  700539 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(700614), // Rule ID 19319 //
     /*  700544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  700547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  700564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700590 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  700593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700612 */     GIR_RootConstrainSelectedInstOperands,
     /*  700613 */     // GIR_Coverage, 19319,
     /*  700613 */     GIR_EraseRootFromParent_Done,
     /*  700614 */   // Label 11132: @700614
     /*  700614 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(700689), // Rule ID 19322 //
     /*  700619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  700622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  700639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  700658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700665 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  700668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700687 */     GIR_RootConstrainSelectedInstOperands,
     /*  700688 */     // GIR_Coverage, 19322,
     /*  700688 */     GIR_EraseRootFromParent_Done,
     /*  700689 */   // Label 11133: @700689
     /*  700689 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(700764), // Rule ID 19323 //
     /*  700694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  700697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  700714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  700733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  700743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700762 */     GIR_RootConstrainSelectedInstOperands,
     /*  700763 */     // GIR_Coverage, 19323,
     /*  700763 */     GIR_EraseRootFromParent_Done,
     /*  700764 */   // Label 11134: @700764
     /*  700764 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(700839), // Rule ID 19326 //
     /*  700769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  700772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  700789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  700808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700815 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  700818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700837 */     GIR_RootConstrainSelectedInstOperands,
     /*  700838 */     // GIR_Coverage, 19326,
     /*  700838 */     GIR_EraseRootFromParent_Done,
     /*  700839 */   // Label 11135: @700839
     /*  700839 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(700914), // Rule ID 19327 //
     /*  700844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  700847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  700864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  700883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  700893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700912 */     GIR_RootConstrainSelectedInstOperands,
     /*  700913 */     // GIR_Coverage, 19327,
     /*  700913 */     GIR_EraseRootFromParent_Done,
     /*  700914 */   // Label 11136: @700914
     /*  700914 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(700989), // Rule ID 19330 //
     /*  700919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  700922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  700927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  700930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  700933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  700936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  700958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  700968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700987 */     GIR_RootConstrainSelectedInstOperands,
     /*  700988 */     // GIR_Coverage, 19330,
     /*  700988 */     GIR_EraseRootFromParent_Done,
     /*  700989 */   // Label 11137: @700989
     /*  700989 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(701064), // Rule ID 19331 //
     /*  700994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  700997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  701033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  701043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701062 */     GIR_RootConstrainSelectedInstOperands,
     /*  701063 */     // GIR_Coverage, 19331,
     /*  701063 */     GIR_EraseRootFromParent_Done,
     /*  701064 */   // Label 11138: @701064
     /*  701064 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(701139), // Rule ID 19334 //
     /*  701069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  701118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701137 */     GIR_RootConstrainSelectedInstOperands,
     /*  701138 */     // GIR_Coverage, 19334,
     /*  701138 */     GIR_EraseRootFromParent_Done,
     /*  701139 */   // Label 11139: @701139
     /*  701139 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(701214), // Rule ID 19335 //
     /*  701144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10917:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  701193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701212 */     GIR_RootConstrainSelectedInstOperands,
     /*  701213 */     // GIR_Coverage, 19335,
     /*  701213 */     GIR_EraseRootFromParent_Done,
     /*  701214 */   // Label 11140: @701214
     /*  701214 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(701289), // Rule ID 19338 //
     /*  701219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  701222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  701258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  701268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701287 */     GIR_RootConstrainSelectedInstOperands,
     /*  701288 */     // GIR_Coverage, 19338,
     /*  701288 */     GIR_EraseRootFromParent_Done,
     /*  701289 */   // Label 11141: @701289
     /*  701289 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(701364), // Rule ID 19339 //
     /*  701294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  701297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  701333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  701343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701362 */     GIR_RootConstrainSelectedInstOperands,
     /*  701363 */     // GIR_Coverage, 19339,
     /*  701363 */     GIR_EraseRootFromParent_Done,
     /*  701364 */   // Label 11142: @701364
     /*  701364 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(701439), // Rule ID 19342 //
     /*  701369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  701372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  701380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  701383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  701386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  701408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  701415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  701418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701437 */     GIR_RootConstrainSelectedInstOperands,
     /*  701438 */     // GIR_Coverage, 19342,
     /*  701438 */     GIR_EraseRootFromParent_Done,
     /*  701439 */   // Label 11143: @701439
     /*  701439 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(701514), // Rule ID 19343 //
     /*  701444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  701447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  701455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  701458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  701461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  701464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  701483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  701490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  701493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701512 */     GIR_RootConstrainSelectedInstOperands,
     /*  701513 */     // GIR_Coverage, 19343,
     /*  701513 */     GIR_EraseRootFromParent_Done,
     /*  701514 */   // Label 11144: @701514
     /*  701514 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(701589), // Rule ID 19346 //
     /*  701519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  701568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701587 */     GIR_RootConstrainSelectedInstOperands,
     /*  701588 */     // GIR_Coverage, 19346,
     /*  701588 */     GIR_EraseRootFromParent_Done,
     /*  701589 */   // Label 11145: @701589
     /*  701589 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(701664), // Rule ID 19347 //
     /*  701594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  701643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701662 */     GIR_RootConstrainSelectedInstOperands,
     /*  701663 */     // GIR_Coverage, 19347,
     /*  701663 */     GIR_EraseRootFromParent_Done,
     /*  701664 */   // Label 11146: @701664
     /*  701664 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(701739), // Rule ID 19350 //
     /*  701669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  701718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701737 */     GIR_RootConstrainSelectedInstOperands,
     /*  701738 */     // GIR_Coverage, 19350,
     /*  701738 */     GIR_EraseRootFromParent_Done,
     /*  701739 */   // Label 11147: @701739
     /*  701739 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(701814), // Rule ID 19351 //
     /*  701744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701790 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  701793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701812 */     GIR_RootConstrainSelectedInstOperands,
     /*  701813 */     // GIR_Coverage, 19351,
     /*  701813 */     GIR_EraseRootFromParent_Done,
     /*  701814 */   // Label 11148: @701814
     /*  701814 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(701889), // Rule ID 19354 //
     /*  701819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  701830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  701833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  701836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701865 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  701868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701887 */     GIR_RootConstrainSelectedInstOperands,
     /*  701888 */     // GIR_Coverage, 19354,
     /*  701888 */     GIR_EraseRootFromParent_Done,
     /*  701889 */   // Label 11149: @701889
     /*  701889 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(701964), // Rule ID 19355 //
     /*  701894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  701905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  701908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  701911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  701943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701962 */     GIR_RootConstrainSelectedInstOperands,
     /*  701963 */     // GIR_Coverage, 19355,
     /*  701963 */     GIR_EraseRootFromParent_Done,
     /*  701964 */   // Label 11150: @701964
     /*  701964 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(702039), // Rule ID 19358 //
     /*  701969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  701972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  701977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  701980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  701983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  701986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  702018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702037 */     GIR_RootConstrainSelectedInstOperands,
     /*  702038 */     // GIR_Coverage, 19358,
     /*  702038 */     GIR_EraseRootFromParent_Done,
     /*  702039 */   // Label 11151: @702039
     /*  702039 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(702114), // Rule ID 19359 //
     /*  702044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  702093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702112 */     GIR_RootConstrainSelectedInstOperands,
     /*  702113 */     // GIR_Coverage, 19359,
     /*  702113 */     GIR_EraseRootFromParent_Done,
     /*  702114 */   // Label 11152: @702114
     /*  702114 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(702189), // Rule ID 19362 //
     /*  702119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  702122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  702168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702187 */     GIR_RootConstrainSelectedInstOperands,
     /*  702188 */     // GIR_Coverage, 19362,
     /*  702188 */     GIR_EraseRootFromParent_Done,
     /*  702189 */   // Label 11153: @702189
     /*  702189 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(702264), // Rule ID 19363 //
     /*  702194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  702243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702262 */     GIR_RootConstrainSelectedInstOperands,
     /*  702263 */     // GIR_Coverage, 19363,
     /*  702263 */     GIR_EraseRootFromParent_Done,
     /*  702264 */   // Label 11154: @702264
     /*  702264 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(702339), // Rule ID 19366 //
     /*  702269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  702272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  702318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702337 */     GIR_RootConstrainSelectedInstOperands,
     /*  702338 */     // GIR_Coverage, 19366,
     /*  702338 */     GIR_EraseRootFromParent_Done,
     /*  702339 */   // Label 11155: @702339
     /*  702339 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(702414), // Rule ID 19367 //
     /*  702344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  702393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702412 */     GIR_RootConstrainSelectedInstOperands,
     /*  702413 */     // GIR_Coverage, 19367,
     /*  702413 */     GIR_EraseRootFromParent_Done,
     /*  702414 */   // Label 11156: @702414
     /*  702414 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(702489), // Rule ID 19370 //
     /*  702419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  702422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  702430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  702433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  702436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  702465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  702468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702487 */     GIR_RootConstrainSelectedInstOperands,
     /*  702488 */     // GIR_Coverage, 19370,
     /*  702488 */     GIR_EraseRootFromParent_Done,
     /*  702489 */   // Label 11157: @702489
     /*  702489 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(702564), // Rule ID 19371 //
     /*  702494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  702497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  702505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  702508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  702511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  702540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  702543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702562 */     GIR_RootConstrainSelectedInstOperands,
     /*  702563 */     // GIR_Coverage, 19371,
     /*  702563 */     GIR_EraseRootFromParent_Done,
     /*  702564 */   // Label 11158: @702564
     /*  702564 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(702639), // Rule ID 19374 //
     /*  702569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  702572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  702580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  702583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  702586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702615 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  702615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  702618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702637 */     GIR_RootConstrainSelectedInstOperands,
     /*  702638 */     // GIR_Coverage, 19374,
     /*  702638 */     GIR_EraseRootFromParent_Done,
     /*  702639 */   // Label 11159: @702639
     /*  702639 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(702714), // Rule ID 19375 //
     /*  702644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  702647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  702655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  702658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  702661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  702690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  702693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702712 */     GIR_RootConstrainSelectedInstOperands,
     /*  702713 */     // GIR_Coverage, 19375,
     /*  702713 */     GIR_EraseRootFromParent_Done,
     /*  702714 */   // Label 11160: @702714
     /*  702714 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(702789), // Rule ID 19378 //
     /*  702719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  702722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  702730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  702733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  702736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702765 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  702765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  702768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702787 */     GIR_RootConstrainSelectedInstOperands,
     /*  702788 */     // GIR_Coverage, 19378,
     /*  702788 */     GIR_EraseRootFromParent_Done,
     /*  702789 */   // Label 11161: @702789
     /*  702789 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(702864), // Rule ID 19379 //
     /*  702794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  702797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  702802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  702805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  702808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  702811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  702840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  702843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702862 */     GIR_RootConstrainSelectedInstOperands,
     /*  702863 */     // GIR_Coverage, 19379,
     /*  702863 */     GIR_EraseRootFromParent_Done,
     /*  702864 */   // Label 11162: @702864
     /*  702864 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(702939), // Rule ID 19382 //
     /*  702869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  702872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  702877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702915 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  702918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702937 */     GIR_RootConstrainSelectedInstOperands,
     /*  702938 */     // GIR_Coverage, 19382,
     /*  702938 */     GIR_EraseRootFromParent_Done,
     /*  702939 */   // Label 11163: @702939
     /*  702939 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(703014), // Rule ID 19383 //
     /*  702944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  702947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  702952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  702955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  702958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  702961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  702964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702990 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  702993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703012 */     GIR_RootConstrainSelectedInstOperands,
     /*  703013 */     // GIR_Coverage, 19383,
     /*  703013 */     GIR_EraseRootFromParent_Done,
     /*  703014 */   // Label 11164: @703014
     /*  703014 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(703089), // Rule ID 19386 //
     /*  703019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  703039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  703068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703087 */     GIR_RootConstrainSelectedInstOperands,
     /*  703088 */     // GIR_Coverage, 19386,
     /*  703088 */     GIR_EraseRootFromParent_Done,
     /*  703089 */   // Label 11165: @703089
     /*  703089 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(703164), // Rule ID 19387 //
     /*  703094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  703114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703140 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  703143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703162 */     GIR_RootConstrainSelectedInstOperands,
     /*  703163 */     // GIR_Coverage, 19387,
     /*  703163 */     GIR_EraseRootFromParent_Done,
     /*  703164 */   // Label 11166: @703164
     /*  703164 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(703239), // Rule ID 19390 //
     /*  703169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  703172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  703189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  703218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703237 */     GIR_RootConstrainSelectedInstOperands,
     /*  703238 */     // GIR_Coverage, 19390,
     /*  703238 */     GIR_EraseRootFromParent_Done,
     /*  703239 */   // Label 11167: @703239
     /*  703239 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(703314), // Rule ID 19391 //
     /*  703244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  703247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  703264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  703293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703312 */     GIR_RootConstrainSelectedInstOperands,
     /*  703313 */     // GIR_Coverage, 19391,
     /*  703313 */     GIR_EraseRootFromParent_Done,
     /*  703314 */   // Label 11168: @703314
     /*  703314 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(703389), // Rule ID 19394 //
     /*  703319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  703339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  703368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703387 */     GIR_RootConstrainSelectedInstOperands,
     /*  703388 */     // GIR_Coverage, 19394,
     /*  703388 */     GIR_EraseRootFromParent_Done,
     /*  703389 */   // Label 11169: @703389
     /*  703389 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(703464), // Rule ID 19395 //
     /*  703394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  703414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  703443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703462 */     GIR_RootConstrainSelectedInstOperands,
     /*  703463 */     // GIR_Coverage, 19395,
     /*  703463 */     GIR_EraseRootFromParent_Done,
     /*  703464 */   // Label 11170: @703464
     /*  703464 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(703539), // Rule ID 19398 //
     /*  703469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  703472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  703489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  703518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703537 */     GIR_RootConstrainSelectedInstOperands,
     /*  703538 */     // GIR_Coverage, 19398,
     /*  703538 */     GIR_EraseRootFromParent_Done,
     /*  703539 */   // Label 11171: @703539
     /*  703539 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(703614), // Rule ID 19399 //
     /*  703544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  703547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  703564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  703593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703612 */     GIR_RootConstrainSelectedInstOperands,
     /*  703613 */     // GIR_Coverage, 19399,
     /*  703613 */     GIR_EraseRootFromParent_Done,
     /*  703614 */   // Label 11172: @703614
     /*  703614 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(703689), // Rule ID 19402 //
     /*  703619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  703622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  703630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  703633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  703636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  703639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  703665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  703668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703687 */     GIR_RootConstrainSelectedInstOperands,
     /*  703688 */     // GIR_Coverage, 19402,
     /*  703688 */     GIR_EraseRootFromParent_Done,
     /*  703689 */   // Label 11173: @703689
     /*  703689 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(703764), // Rule ID 19403 //
     /*  703694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  703697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  703705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  703708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  703711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  703714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  703740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  703743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703762 */     GIR_RootConstrainSelectedInstOperands,
     /*  703763 */     // GIR_Coverage, 19403,
     /*  703763 */     GIR_EraseRootFromParent_Done,
     /*  703764 */   // Label 11174: @703764
     /*  703764 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(703839), // Rule ID 19406 //
     /*  703769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703815 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  703818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703837 */     GIR_RootConstrainSelectedInstOperands,
     /*  703838 */     // GIR_Coverage, 19406,
     /*  703838 */     GIR_EraseRootFromParent_Done,
     /*  703839 */   // Label 11175: @703839
     /*  703839 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(703914), // Rule ID 19407 //
     /*  703844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  703855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  703858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  703861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  703864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  703893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703912 */     GIR_RootConstrainSelectedInstOperands,
     /*  703913 */     // GIR_Coverage, 19407,
     /*  703913 */     GIR_EraseRootFromParent_Done,
     /*  703914 */   // Label 11176: @703914
     /*  703914 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(703989), // Rule ID 19410 //
     /*  703919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  703927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  703930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  703933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  703936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  703939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703965 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  703968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703987 */     GIR_RootConstrainSelectedInstOperands,
     /*  703988 */     // GIR_Coverage, 19410,
     /*  703988 */     GIR_EraseRootFromParent_Done,
     /*  703989 */   // Label 11177: @703989
     /*  703989 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(704064), // Rule ID 19411 //
     /*  703994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  704014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  704043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704062 */     GIR_RootConstrainSelectedInstOperands,
     /*  704063 */     // GIR_Coverage, 19411,
     /*  704063 */     GIR_EraseRootFromParent_Done,
     /*  704064 */   // Label 11178: @704064
     /*  704064 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(704139), // Rule ID 19414 //
     /*  704069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  704072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704115 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  704118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704137 */     GIR_RootConstrainSelectedInstOperands,
     /*  704138 */     // GIR_Coverage, 19414,
     /*  704138 */     GIR_EraseRootFromParent_Done,
     /*  704139 */   // Label 11179: @704139
     /*  704139 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(704214), // Rule ID 19415 //
     /*  704144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  704147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  704193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704212 */     GIR_RootConstrainSelectedInstOperands,
     /*  704213 */     // GIR_Coverage, 19415,
     /*  704213 */     GIR_EraseRootFromParent_Done,
     /*  704214 */   // Label 11180: @704214
     /*  704214 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(704289), // Rule ID 19418 //
     /*  704219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  704222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  704239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  704268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704287 */     GIR_RootConstrainSelectedInstOperands,
     /*  704288 */     // GIR_Coverage, 19418,
     /*  704288 */     GIR_EraseRootFromParent_Done,
     /*  704289 */   // Label 11181: @704289
     /*  704289 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(704364), // Rule ID 19419 //
     /*  704294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  704297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  704314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  704343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704362 */     GIR_RootConstrainSelectedInstOperands,
     /*  704363 */     // GIR_Coverage, 19419,
     /*  704363 */     GIR_EraseRootFromParent_Done,
     /*  704364 */   // Label 11182: @704364
     /*  704364 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(704439), // Rule ID 19422 //
     /*  704369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  704372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  704380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  704383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  704386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  704389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704415 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  704418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704437 */     GIR_RootConstrainSelectedInstOperands,
     /*  704438 */     // GIR_Coverage, 19422,
     /*  704438 */     GIR_EraseRootFromParent_Done,
     /*  704439 */   // Label 11183: @704439
     /*  704439 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(704514), // Rule ID 19423 //
     /*  704444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  704447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  704455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  704458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  704461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  704464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  704493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704512 */     GIR_RootConstrainSelectedInstOperands,
     /*  704513 */     // GIR_Coverage, 19423,
     /*  704513 */     GIR_EraseRootFromParent_Done,
     /*  704514 */   // Label 11184: @704514
     /*  704514 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(704589), // Rule ID 19426 //
     /*  704519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  704522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  704568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704587 */     GIR_RootConstrainSelectedInstOperands,
     /*  704588 */     // GIR_Coverage, 19426,
     /*  704588 */     GIR_EraseRootFromParent_Done,
     /*  704589 */   // Label 11185: @704589
     /*  704589 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(704664), // Rule ID 19427 //
     /*  704594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  704597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  704605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  704608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  704611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  704614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  704643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704662 */     GIR_RootConstrainSelectedInstOperands,
     /*  704663 */     // GIR_Coverage, 19427,
     /*  704663 */     GIR_EraseRootFromParent_Done,
     /*  704664 */   // Label 11186: @704664
     /*  704664 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(704739), // Rule ID 19430 //
     /*  704669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  704672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  704680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  704683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  704686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  704689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  704715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  704718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704737 */     GIR_RootConstrainSelectedInstOperands,
     /*  704738 */     // GIR_Coverage, 19430,
     /*  704738 */     GIR_EraseRootFromParent_Done,
     /*  704739 */   // Label 11187: @704739
     /*  704739 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(704814), // Rule ID 19431 //
     /*  704744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  704747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  704755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  704758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  704761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  704764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  704790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  704793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704812 */     GIR_RootConstrainSelectedInstOperands,
     /*  704813 */     // GIR_Coverage, 19431,
     /*  704813 */     GIR_EraseRootFromParent_Done,
     /*  704814 */   // Label 11188: @704814
     /*  704814 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(704889), // Rule ID 19434 //
     /*  704819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  704822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  704830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  704833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  704836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  704839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704865 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  704865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  704868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704887 */     GIR_RootConstrainSelectedInstOperands,
     /*  704888 */     // GIR_Coverage, 19434,
     /*  704888 */     GIR_EraseRootFromParent_Done,
     /*  704889 */   // Label 11189: @704889
     /*  704889 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(704964), // Rule ID 19435 //
     /*  704894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  704897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  704905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  704908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  704911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  704914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  704940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  704943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704962 */     GIR_RootConstrainSelectedInstOperands,
     /*  704963 */     // GIR_Coverage, 19435,
     /*  704963 */     GIR_EraseRootFromParent_Done,
     /*  704964 */   // Label 11190: @704964
     /*  704964 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(705039), // Rule ID 19438 //
     /*  704969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  704972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  704977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  704980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  704983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  704986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  704989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705015 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  705018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705037 */     GIR_RootConstrainSelectedInstOperands,
     /*  705038 */     // GIR_Coverage, 19438,
     /*  705038 */     GIR_EraseRootFromParent_Done,
     /*  705039 */   // Label 11191: @705039
     /*  705039 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(705114), // Rule ID 19439 //
     /*  705044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  705047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  705055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  705058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  705061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  705064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  705090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  705093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705112 */     GIR_RootConstrainSelectedInstOperands,
     /*  705113 */     // GIR_Coverage, 19439,
     /*  705113 */     GIR_EraseRootFromParent_Done,
     /*  705114 */   // Label 11192: @705114
     /*  705114 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(705189), // Rule ID 19442 //
     /*  705119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  705122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705165 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  705168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705187 */     GIR_RootConstrainSelectedInstOperands,
     /*  705188 */     // GIR_Coverage, 19442,
     /*  705188 */     GIR_EraseRootFromParent_Done,
     /*  705189 */   // Label 11193: @705189
     /*  705189 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(705264), // Rule ID 19443 //
     /*  705194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  705197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  705243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705262 */     GIR_RootConstrainSelectedInstOperands,
     /*  705263 */     // GIR_Coverage, 19443,
     /*  705263 */     GIR_EraseRootFromParent_Done,
     /*  705264 */   // Label 11194: @705264
     /*  705264 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(705339), // Rule ID 19446 //
     /*  705269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  705272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705315 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  705318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705337 */     GIR_RootConstrainSelectedInstOperands,
     /*  705338 */     // GIR_Coverage, 19446,
     /*  705338 */     GIR_EraseRootFromParent_Done,
     /*  705339 */   // Label 11195: @705339
     /*  705339 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(705414), // Rule ID 19447 //
     /*  705344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  705347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705390 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  705393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705412 */     GIR_RootConstrainSelectedInstOperands,
     /*  705413 */     // GIR_Coverage, 19447,
     /*  705413 */     GIR_EraseRootFromParent_Done,
     /*  705414 */   // Label 11196: @705414
     /*  705414 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(705489), // Rule ID 19450 //
     /*  705419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  705422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  705458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705465 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  705468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705487 */     GIR_RootConstrainSelectedInstOperands,
     /*  705488 */     // GIR_Coverage, 19450,
     /*  705488 */     GIR_EraseRootFromParent_Done,
     /*  705489 */   // Label 11197: @705489
     /*  705489 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(705564), // Rule ID 19451 //
     /*  705494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  705497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  705505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  705508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  705511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  705533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  705543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705562 */     GIR_RootConstrainSelectedInstOperands,
     /*  705563 */     // GIR_Coverage, 19451,
     /*  705563 */     GIR_EraseRootFromParent_Done,
     /*  705564 */   // Label 11198: @705564
     /*  705564 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(705639), // Rule ID 19454 //
     /*  705569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  705572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705615 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  705618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705637 */     GIR_RootConstrainSelectedInstOperands,
     /*  705638 */     // GIR_Coverage, 19454,
     /*  705638 */     GIR_EraseRootFromParent_Done,
     /*  705639 */   // Label 11199: @705639
     /*  705639 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(705714), // Rule ID 19455 //
     /*  705644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  705647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  705655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  705658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  705661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  705693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705712 */     GIR_RootConstrainSelectedInstOperands,
     /*  705713 */     // GIR_Coverage, 19455,
     /*  705713 */     GIR_EraseRootFromParent_Done,
     /*  705714 */   // Label 11200: @705714
     /*  705714 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(705789), // Rule ID 19458 //
     /*  705719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  705722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  705758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705765 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  705768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705787 */     GIR_RootConstrainSelectedInstOperands,
     /*  705788 */     // GIR_Coverage, 19458,
     /*  705788 */     GIR_EraseRootFromParent_Done,
     /*  705789 */   // Label 11201: @705789
     /*  705789 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(705864), // Rule ID 19459 //
     /*  705794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  705797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  705805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  705808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  705811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  705833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705840 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  705843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705862 */     GIR_RootConstrainSelectedInstOperands,
     /*  705863 */     // GIR_Coverage, 19459,
     /*  705863 */     GIR_EraseRootFromParent_Done,
     /*  705864 */   // Label 11202: @705864
     /*  705864 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(705939), // Rule ID 19462 //
     /*  705869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  705872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  705880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  705883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  705886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  705908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  705918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705937 */     GIR_RootConstrainSelectedInstOperands,
     /*  705938 */     // GIR_Coverage, 19462,
     /*  705938 */     GIR_EraseRootFromParent_Done,
     /*  705939 */   // Label 11203: @705939
     /*  705939 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(706014), // Rule ID 19463 //
     /*  705944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  705947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  705952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  705955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  705958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  705961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  705983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  705990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  705993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706012 */     GIR_RootConstrainSelectedInstOperands,
     /*  706013 */     // GIR_Coverage, 19463,
     /*  706013 */     GIR_EraseRootFromParent_Done,
     /*  706014 */   // Label 11204: @706014
     /*  706014 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(706089), // Rule ID 19466 //
     /*  706019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706065 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  706068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706087 */     GIR_RootConstrainSelectedInstOperands,
     /*  706088 */     // GIR_Coverage, 19466,
     /*  706088 */     GIR_EraseRootFromParent_Done,
     /*  706089 */   // Label 11205: @706089
     /*  706089 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(706164), // Rule ID 19467 //
     /*  706094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706140 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  706143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706162 */     GIR_RootConstrainSelectedInstOperands,
     /*  706163 */     // GIR_Coverage, 19467,
     /*  706163 */     GIR_EraseRootFromParent_Done,
     /*  706164 */   // Label 11206: @706164
     /*  706164 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(706239), // Rule ID 19470 //
     /*  706169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706215 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  706218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706237 */     GIR_RootConstrainSelectedInstOperands,
     /*  706238 */     // GIR_Coverage, 19470,
     /*  706238 */     GIR_EraseRootFromParent_Done,
     /*  706239 */   // Label 11207: @706239
     /*  706239 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(706314), // Rule ID 19471 //
     /*  706244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  706293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706312 */     GIR_RootConstrainSelectedInstOperands,
     /*  706313 */     // GIR_Coverage, 19471,
     /*  706313 */     GIR_EraseRootFromParent_Done,
     /*  706314 */   // Label 11208: @706314
     /*  706314 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(706389), // Rule ID 19474 //
     /*  706319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706365 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  706368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706387 */     GIR_RootConstrainSelectedInstOperands,
     /*  706388 */     // GIR_Coverage, 19474,
     /*  706388 */     GIR_EraseRootFromParent_Done,
     /*  706389 */   // Label 11209: @706389
     /*  706389 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(706464), // Rule ID 19475 //
     /*  706394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  706405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  706408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  706411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  706443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706462 */     GIR_RootConstrainSelectedInstOperands,
     /*  706463 */     // GIR_Coverage, 19475,
     /*  706463 */     GIR_EraseRootFromParent_Done,
     /*  706464 */   // Label 11210: @706464
     /*  706464 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(706539), // Rule ID 19478 //
     /*  706469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  706472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  706518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706537 */     GIR_RootConstrainSelectedInstOperands,
     /*  706538 */     // GIR_Coverage, 19478,
     /*  706538 */     GIR_EraseRootFromParent_Done,
     /*  706539 */   // Label 11211: @706539
     /*  706539 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(706614), // Rule ID 19479 //
     /*  706544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  706547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  706555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  706558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  706561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  706593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706612 */     GIR_RootConstrainSelectedInstOperands,
     /*  706613 */     // GIR_Coverage, 19479,
     /*  706613 */     GIR_EraseRootFromParent_Done,
     /*  706614 */   // Label 11212: @706614
     /*  706614 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(706689), // Rule ID 19482 //
     /*  706619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  706622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  706668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706687 */     GIR_RootConstrainSelectedInstOperands,
     /*  706688 */     // GIR_Coverage, 19482,
     /*  706688 */     GIR_EraseRootFromParent_Done,
     /*  706689 */   // Label 11213: @706689
     /*  706689 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(706764), // Rule ID 19483 //
     /*  706694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  706697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  706743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706762 */     GIR_RootConstrainSelectedInstOperands,
     /*  706763 */     // GIR_Coverage, 19483,
     /*  706763 */     GIR_EraseRootFromParent_Done,
     /*  706764 */   // Label 11214: @706764
     /*  706764 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(706839), // Rule ID 19486 //
     /*  706769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  706772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706815 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  706818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706837 */     GIR_RootConstrainSelectedInstOperands,
     /*  706838 */     // GIR_Coverage, 19486,
     /*  706838 */     GIR_EraseRootFromParent_Done,
     /*  706839 */   // Label 11215: @706839
     /*  706839 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(706914), // Rule ID 19487 //
     /*  706844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  706847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706890 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  706893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706912 */     GIR_RootConstrainSelectedInstOperands,
     /*  706913 */     // GIR_Coverage, 19487,
     /*  706913 */     GIR_EraseRootFromParent_Done,
     /*  706914 */   // Label 11216: @706914
     /*  706914 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(706989), // Rule ID 19490 //
     /*  706919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  706922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  706927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  706930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  706933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  706936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  706958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706965 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  706968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706987 */     GIR_RootConstrainSelectedInstOperands,
     /*  706988 */     // GIR_Coverage, 19490,
     /*  706988 */     GIR_EraseRootFromParent_Done,
     /*  706989 */   // Label 11217: @706989
     /*  706989 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(707064), // Rule ID 19491 //
     /*  706994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  706997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  707002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  707043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707062 */     GIR_RootConstrainSelectedInstOperands,
     /*  707063 */     // GIR_Coverage, 19491,
     /*  707063 */     GIR_EraseRootFromParent_Done,
     /*  707064 */   // Label 11218: @707064
     /*  707064 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(707139), // Rule ID 19494 //
     /*  707069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  707072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  707077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707115 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  707118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707137 */     GIR_RootConstrainSelectedInstOperands,
     /*  707138 */     // GIR_Coverage, 19494,
     /*  707138 */     GIR_EraseRootFromParent_Done,
     /*  707139 */   // Label 11219: @707139
     /*  707139 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(707214), // Rule ID 19495 //
     /*  707144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  707147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  707152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707190 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  707193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707212 */     GIR_RootConstrainSelectedInstOperands,
     /*  707213 */     // GIR_Coverage, 19495,
     /*  707213 */     GIR_EraseRootFromParent_Done,
     /*  707214 */   // Label 11220: @707214
     /*  707214 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(707289), // Rule ID 19498 //
     /*  707219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  707222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  707227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707265 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  707268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707287 */     GIR_RootConstrainSelectedInstOperands,
     /*  707288 */     // GIR_Coverage, 19498,
     /*  707288 */     GIR_EraseRootFromParent_Done,
     /*  707289 */   // Label 11221: @707289
     /*  707289 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(707364), // Rule ID 19499 //
     /*  707294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  707297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  707302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707340 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  707343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707362 */     GIR_RootConstrainSelectedInstOperands,
     /*  707363 */     // GIR_Coverage, 19499,
     /*  707363 */     GIR_EraseRootFromParent_Done,
     /*  707364 */   // Label 11222: @707364
     /*  707364 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(707439), // Rule ID 19502 //
     /*  707369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  707372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707415 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  707418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707437 */     GIR_RootConstrainSelectedInstOperands,
     /*  707438 */     // GIR_Coverage, 19502,
     /*  707438 */     GIR_EraseRootFromParent_Done,
     /*  707439 */   // Label 11223: @707439
     /*  707439 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(707514), // Rule ID 19503 //
     /*  707444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  707447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  707455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  707458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  707461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  707464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  707493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707512 */     GIR_RootConstrainSelectedInstOperands,
     /*  707513 */     // GIR_Coverage, 19503,
     /*  707513 */     GIR_EraseRootFromParent_Done,
     /*  707514 */   // Label 11224: @707514
     /*  707514 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(707589), // Rule ID 19506 //
     /*  707519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  707522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  707568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707587 */     GIR_RootConstrainSelectedInstOperands,
     /*  707588 */     // GIR_Coverage, 19506,
     /*  707588 */     GIR_EraseRootFromParent_Done,
     /*  707589 */   // Label 11225: @707589
     /*  707589 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(707664), // Rule ID 19507 //
     /*  707594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  707597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  707643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707662 */     GIR_RootConstrainSelectedInstOperands,
     /*  707663 */     // GIR_Coverage, 19507,
     /*  707663 */     GIR_EraseRootFromParent_Done,
     /*  707664 */   // Label 11226: @707664
     /*  707664 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(707739), // Rule ID 19510 //
     /*  707669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  707672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707715 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  707718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707737 */     GIR_RootConstrainSelectedInstOperands,
     /*  707738 */     // GIR_Coverage, 19510,
     /*  707738 */     GIR_EraseRootFromParent_Done,
     /*  707739 */   // Label 11227: @707739
     /*  707739 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(707814), // Rule ID 19511 //
     /*  707744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  707747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707790 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  707793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707812 */     GIR_RootConstrainSelectedInstOperands,
     /*  707813 */     // GIR_Coverage, 19511,
     /*  707813 */     GIR_EraseRootFromParent_Done,
     /*  707814 */   // Label 11228: @707814
     /*  707814 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(707889), // Rule ID 19514 //
     /*  707819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  707822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  707868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707887 */     GIR_RootConstrainSelectedInstOperands,
     /*  707888 */     // GIR_Coverage, 19514,
     /*  707888 */     GIR_EraseRootFromParent_Done,
     /*  707889 */   // Label 11229: @707889
     /*  707889 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(707964), // Rule ID 19515 //
     /*  707894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  707897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  707943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707962 */     GIR_RootConstrainSelectedInstOperands,
     /*  707963 */     // GIR_Coverage, 19515,
     /*  707963 */     GIR_EraseRootFromParent_Done,
     /*  707964 */   // Label 11230: @707964
     /*  707964 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(708039), // Rule ID 19518 //
     /*  707969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  707972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  707977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  708018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708037 */     GIR_RootConstrainSelectedInstOperands,
     /*  708038 */     // GIR_Coverage, 19518,
     /*  708038 */     GIR_EraseRootFromParent_Done,
     /*  708039 */   // Label 11231: @708039
     /*  708039 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(708114), // Rule ID 19519 //
     /*  708044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  708047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  708093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708112 */     GIR_RootConstrainSelectedInstOperands,
     /*  708113 */     // GIR_Coverage, 19519,
     /*  708113 */     GIR_EraseRootFromParent_Done,
     /*  708114 */   // Label 11232: @708114
     /*  708114 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(708189), // Rule ID 19522 //
     /*  708119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  708122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  708139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  708168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708187 */     GIR_RootConstrainSelectedInstOperands,
     /*  708188 */     // GIR_Coverage, 19522,
     /*  708188 */     GIR_EraseRootFromParent_Done,
     /*  708189 */   // Label 11233: @708189
     /*  708189 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(708264), // Rule ID 19523 //
     /*  708194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  708197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  708214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  708243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708262 */     GIR_RootConstrainSelectedInstOperands,
     /*  708263 */     // GIR_Coverage, 19523,
     /*  708263 */     GIR_EraseRootFromParent_Done,
     /*  708264 */   // Label 11234: @708264
     /*  708264 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(708339), // Rule ID 19526 //
     /*  708269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  708318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708337 */     GIR_RootConstrainSelectedInstOperands,
     /*  708338 */     // GIR_Coverage, 19526,
     /*  708338 */     GIR_EraseRootFromParent_Done,
     /*  708339 */   // Label 11235: @708339
     /*  708339 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(708414), // Rule ID 19527 //
     /*  708344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  708393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708412 */     GIR_RootConstrainSelectedInstOperands,
     /*  708413 */     // GIR_Coverage, 19527,
     /*  708413 */     GIR_EraseRootFromParent_Done,
     /*  708414 */   // Label 11236: @708414
     /*  708414 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(708489), // Rule ID 19530 //
     /*  708419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  708468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708487 */     GIR_RootConstrainSelectedInstOperands,
     /*  708488 */     // GIR_Coverage, 19530,
     /*  708488 */     GIR_EraseRootFromParent_Done,
     /*  708489 */   // Label 11237: @708489
     /*  708489 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(708564), // Rule ID 19531 //
     /*  708494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  708543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708562 */     GIR_RootConstrainSelectedInstOperands,
     /*  708563 */     // GIR_Coverage, 19531,
     /*  708563 */     GIR_EraseRootFromParent_Done,
     /*  708564 */   // Label 11238: @708564
     /*  708564 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(708639), // Rule ID 19534 //
     /*  708569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  708618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708637 */     GIR_RootConstrainSelectedInstOperands,
     /*  708638 */     // GIR_Coverage, 19534,
     /*  708638 */     GIR_EraseRootFromParent_Done,
     /*  708639 */   // Label 11239: @708639
     /*  708639 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(708714), // Rule ID 19535 //
     /*  708644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708690 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  708693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708712 */     GIR_RootConstrainSelectedInstOperands,
     /*  708713 */     // GIR_Coverage, 19535,
     /*  708713 */     GIR_EraseRootFromParent_Done,
     /*  708714 */   // Label 11240: @708714
     /*  708714 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(708789), // Rule ID 19538 //
     /*  708719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  708722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  708768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708787 */     GIR_RootConstrainSelectedInstOperands,
     /*  708788 */     // GIR_Coverage, 19538,
     /*  708788 */     GIR_EraseRootFromParent_Done,
     /*  708789 */   // Label 11241: @708789
     /*  708789 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(708864), // Rule ID 19539 //
     /*  708794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  708797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  708843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708862 */     GIR_RootConstrainSelectedInstOperands,
     /*  708863 */     // GIR_Coverage, 19539,
     /*  708863 */     GIR_EraseRootFromParent_Done,
     /*  708864 */   // Label 11242: @708864
     /*  708864 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(708939), // Rule ID 19542 //
     /*  708869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  708872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  708918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708937 */     GIR_RootConstrainSelectedInstOperands,
     /*  708938 */     // GIR_Coverage, 19542,
     /*  708938 */     GIR_EraseRootFromParent_Done,
     /*  708939 */   // Label 11243: @708939
     /*  708939 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(709014), // Rule ID 19543 //
     /*  708944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  708947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  708952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  708993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709012 */     GIR_RootConstrainSelectedInstOperands,
     /*  709013 */     // GIR_Coverage, 19543,
     /*  709013 */     GIR_EraseRootFromParent_Done,
     /*  709014 */   // Label 11244: @709014
     /*  709014 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(709089), // Rule ID 19546 //
     /*  709019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  709022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  709068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709087 */     GIR_RootConstrainSelectedInstOperands,
     /*  709088 */     // GIR_Coverage, 19546,
     /*  709088 */     GIR_EraseRootFromParent_Done,
     /*  709089 */   // Label 11245: @709089
     /*  709089 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(709164), // Rule ID 19547 //
     /*  709094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  709097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  709143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709162 */     GIR_RootConstrainSelectedInstOperands,
     /*  709163 */     // GIR_Coverage, 19547,
     /*  709163 */     GIR_EraseRootFromParent_Done,
     /*  709164 */   // Label 11246: @709164
     /*  709164 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(709239), // Rule ID 19550 //
     /*  709169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  709172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  709180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  709183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  709186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  709189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  709218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709237 */     GIR_RootConstrainSelectedInstOperands,
     /*  709238 */     // GIR_Coverage, 19550,
     /*  709238 */     GIR_EraseRootFromParent_Done,
     /*  709239 */   // Label 11247: @709239
     /*  709239 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(709314), // Rule ID 19551 //
     /*  709244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  709247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  709255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  709258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  709261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  709264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  709293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709312 */     GIR_RootConstrainSelectedInstOperands,
     /*  709313 */     // GIR_Coverage, 19551,
     /*  709313 */     GIR_EraseRootFromParent_Done,
     /*  709314 */   // Label 11248: @709314
     /*  709314 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(709389), // Rule ID 19554 //
     /*  709319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  709322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  709330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  709333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  709336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  709339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  709368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709387 */     GIR_RootConstrainSelectedInstOperands,
     /*  709388 */     // GIR_Coverage, 19554,
     /*  709388 */     GIR_EraseRootFromParent_Done,
     /*  709389 */   // Label 11249: @709389
     /*  709389 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(709464), // Rule ID 19555 //
     /*  709394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  709397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  709405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  709408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  709411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  709414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  709443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709462 */     GIR_RootConstrainSelectedInstOperands,
     /*  709463 */     // GIR_Coverage, 19555,
     /*  709463 */     GIR_EraseRootFromParent_Done,
     /*  709464 */   // Label 11250: @709464
     /*  709464 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(709539), // Rule ID 19558 //
     /*  709469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  709472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  709480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  709483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  709486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  709489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  709518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709537 */     GIR_RootConstrainSelectedInstOperands,
     /*  709538 */     // GIR_Coverage, 19558,
     /*  709538 */     GIR_EraseRootFromParent_Done,
     /*  709539 */   // Label 11251: @709539
     /*  709539 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(709614), // Rule ID 19559 //
     /*  709544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  709547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  709555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  709558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  709561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  709564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709590 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  709593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709612 */     GIR_RootConstrainSelectedInstOperands,
     /*  709613 */     // GIR_Coverage, 19559,
     /*  709613 */     GIR_EraseRootFromParent_Done,
     /*  709614 */   // Label 11252: @709614
     /*  709614 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(709689), // Rule ID 19562 //
     /*  709619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  709622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  709639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  709658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709665 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  709668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709687 */     GIR_RootConstrainSelectedInstOperands,
     /*  709688 */     // GIR_Coverage, 19562,
     /*  709688 */     GIR_EraseRootFromParent_Done,
     /*  709689 */   // Label 11253: @709689
     /*  709689 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(709764), // Rule ID 19563 //
     /*  709694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  709697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  709714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  709733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  709743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709762 */     GIR_RootConstrainSelectedInstOperands,
     /*  709763 */     // GIR_Coverage, 19563,
     /*  709763 */     GIR_EraseRootFromParent_Done,
     /*  709764 */   // Label 11254: @709764
     /*  709764 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(709839), // Rule ID 19566 //
     /*  709769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  709772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  709789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  709808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709815 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  709818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709837 */     GIR_RootConstrainSelectedInstOperands,
     /*  709838 */     // GIR_Coverage, 19566,
     /*  709838 */     GIR_EraseRootFromParent_Done,
     /*  709839 */   // Label 11255: @709839
     /*  709839 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(709914), // Rule ID 19567 //
     /*  709844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  709847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  709864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  709883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  709893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709912 */     GIR_RootConstrainSelectedInstOperands,
     /*  709913 */     // GIR_Coverage, 19567,
     /*  709913 */     GIR_EraseRootFromParent_Done,
     /*  709914 */   // Label 11256: @709914
     /*  709914 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(709989), // Rule ID 19570 //
     /*  709919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  709922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  709927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  709958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  709968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709987 */     GIR_RootConstrainSelectedInstOperands,
     /*  709988 */     // GIR_Coverage, 19570,
     /*  709988 */     GIR_EraseRootFromParent_Done,
     /*  709989 */   // Label 11257: @709989
     /*  709989 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(710064), // Rule ID 19571 //
     /*  709994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  709997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  710033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  710043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710062 */     GIR_RootConstrainSelectedInstOperands,
     /*  710063 */     // GIR_Coverage, 19571,
     /*  710063 */     GIR_EraseRootFromParent_Done,
     /*  710064 */   // Label 11258: @710064
     /*  710064 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(710139), // Rule ID 19574 //
     /*  710069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  710118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710137 */     GIR_RootConstrainSelectedInstOperands,
     /*  710138 */     // GIR_Coverage, 19574,
     /*  710138 */     GIR_EraseRootFromParent_Done,
     /*  710139 */   // Label 11259: @710139
     /*  710139 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(710214), // Rule ID 19575 //
     /*  710144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  710193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710212 */     GIR_RootConstrainSelectedInstOperands,
     /*  710213 */     // GIR_Coverage, 19575,
     /*  710213 */     GIR_EraseRootFromParent_Done,
     /*  710214 */   // Label 11260: @710214
     /*  710214 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(710289), // Rule ID 19578 //
     /*  710219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  710222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  710258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  710268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710287 */     GIR_RootConstrainSelectedInstOperands,
     /*  710288 */     // GIR_Coverage, 19578,
     /*  710288 */     GIR_EraseRootFromParent_Done,
     /*  710289 */   // Label 11261: @710289
     /*  710289 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(710364), // Rule ID 19579 //
     /*  710294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  710297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  710333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  710343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710362 */     GIR_RootConstrainSelectedInstOperands,
     /*  710363 */     // GIR_Coverage, 19579,
     /*  710363 */     GIR_EraseRootFromParent_Done,
     /*  710364 */   // Label 11262: @710364
     /*  710364 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(710439), // Rule ID 19582 //
     /*  710369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  710372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  710408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  710418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710437 */     GIR_RootConstrainSelectedInstOperands,
     /*  710438 */     // GIR_Coverage, 19582,
     /*  710438 */     GIR_EraseRootFromParent_Done,
     /*  710439 */   // Label 11263: @710439
     /*  710439 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(710514), // Rule ID 19583 //
     /*  710444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  710447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  710483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  710493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710512 */     GIR_RootConstrainSelectedInstOperands,
     /*  710513 */     // GIR_Coverage, 19583,
     /*  710513 */     GIR_EraseRootFromParent_Done,
     /*  710514 */   // Label 11264: @710514
     /*  710514 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(710589), // Rule ID 19586 //
     /*  710519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  710568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710587 */     GIR_RootConstrainSelectedInstOperands,
     /*  710588 */     // GIR_Coverage, 19586,
     /*  710588 */     GIR_EraseRootFromParent_Done,
     /*  710589 */   // Label 11265: @710589
     /*  710589 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(710664), // Rule ID 19587 //
     /*  710594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  710643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710662 */     GIR_RootConstrainSelectedInstOperands,
     /*  710663 */     // GIR_Coverage, 19587,
     /*  710663 */     GIR_EraseRootFromParent_Done,
     /*  710664 */   // Label 11266: @710664
     /*  710664 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(710739), // Rule ID 19590 //
     /*  710669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  710718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710737 */     GIR_RootConstrainSelectedInstOperands,
     /*  710738 */     // GIR_Coverage, 19590,
     /*  710738 */     GIR_EraseRootFromParent_Done,
     /*  710739 */   // Label 11267: @710739
     /*  710739 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(710814), // Rule ID 19591 //
     /*  710744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710790 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  710793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710812 */     GIR_RootConstrainSelectedInstOperands,
     /*  710813 */     // GIR_Coverage, 19591,
     /*  710813 */     GIR_EraseRootFromParent_Done,
     /*  710814 */   // Label 11268: @710814
     /*  710814 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(710889), // Rule ID 19594 //
     /*  710819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710865 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  710868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710887 */     GIR_RootConstrainSelectedInstOperands,
     /*  710888 */     // GIR_Coverage, 19594,
     /*  710888 */     GIR_EraseRootFromParent_Done,
     /*  710889 */   // Label 11269: @710889
     /*  710889 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(710964), // Rule ID 19595 //
     /*  710894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  710943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710962 */     GIR_RootConstrainSelectedInstOperands,
     /*  710963 */     // GIR_Coverage, 19595,
     /*  710963 */     GIR_EraseRootFromParent_Done,
     /*  710964 */   // Label 11270: @710964
     /*  710964 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(711039), // Rule ID 19598 //
     /*  710969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  710972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  710977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  711018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711037 */     GIR_RootConstrainSelectedInstOperands,
     /*  711038 */     // GIR_Coverage, 19598,
     /*  711038 */     GIR_EraseRootFromParent_Done,
     /*  711039 */   // Label 11271: @711039
     /*  711039 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(711114), // Rule ID 19599 //
     /*  711044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  711093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711112 */     GIR_RootConstrainSelectedInstOperands,
     /*  711113 */     // GIR_Coverage, 19599,
     /*  711113 */     GIR_EraseRootFromParent_Done,
     /*  711114 */   // Label 11272: @711114
     /*  711114 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(711189), // Rule ID 19602 //
     /*  711119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  711122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  711168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711187 */     GIR_RootConstrainSelectedInstOperands,
     /*  711188 */     // GIR_Coverage, 19602,
     /*  711188 */     GIR_EraseRootFromParent_Done,
     /*  711189 */   // Label 11273: @711189
     /*  711189 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(711264), // Rule ID 19603 //
     /*  711194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  711243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711262 */     GIR_RootConstrainSelectedInstOperands,
     /*  711263 */     // GIR_Coverage, 19603,
     /*  711263 */     GIR_EraseRootFromParent_Done,
     /*  711264 */   // Label 11274: @711264
     /*  711264 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(711339), // Rule ID 19606 //
     /*  711269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  711272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  711318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711337 */     GIR_RootConstrainSelectedInstOperands,
     /*  711338 */     // GIR_Coverage, 19606,
     /*  711338 */     GIR_EraseRootFromParent_Done,
     /*  711339 */   // Label 11275: @711339
     /*  711339 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(711414), // Rule ID 19607 //
     /*  711344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  711393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711412 */     GIR_RootConstrainSelectedInstOperands,
     /*  711413 */     // GIR_Coverage, 19607,
     /*  711413 */     GIR_EraseRootFromParent_Done,
     /*  711414 */   // Label 11276: @711414
     /*  711414 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(711489), // Rule ID 19610 //
     /*  711419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  711422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  711430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  711433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  711436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  711468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711487 */     GIR_RootConstrainSelectedInstOperands,
     /*  711488 */     // GIR_Coverage, 19610,
     /*  711488 */     GIR_EraseRootFromParent_Done,
     /*  711489 */   // Label 11277: @711489
     /*  711489 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(711564), // Rule ID 19611 //
     /*  711494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  711497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  711505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  711508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  711511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  711543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711562 */     GIR_RootConstrainSelectedInstOperands,
     /*  711563 */     // GIR_Coverage, 19611,
     /*  711563 */     GIR_EraseRootFromParent_Done,
     /*  711564 */   // Label 11278: @711564
     /*  711564 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(711639), // Rule ID 19614 //
     /*  711569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  711572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  711580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  711583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  711586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711615 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  711618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711637 */     GIR_RootConstrainSelectedInstOperands,
     /*  711638 */     // GIR_Coverage, 19614,
     /*  711638 */     GIR_EraseRootFromParent_Done,
     /*  711639 */   // Label 11279: @711639
     /*  711639 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(711714), // Rule ID 19615 //
     /*  711644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  711647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  711655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  711658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  711661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  711693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711712 */     GIR_RootConstrainSelectedInstOperands,
     /*  711713 */     // GIR_Coverage, 19615,
     /*  711713 */     GIR_EraseRootFromParent_Done,
     /*  711714 */   // Label 11280: @711714
     /*  711714 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(711789), // Rule ID 19618 //
     /*  711719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  711722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711765 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  711768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711787 */     GIR_RootConstrainSelectedInstOperands,
     /*  711788 */     // GIR_Coverage, 19618,
     /*  711788 */     GIR_EraseRootFromParent_Done,
     /*  711789 */   // Label 11281: @711789
     /*  711789 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(711864), // Rule ID 19619 //
     /*  711794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  711797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  711802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  711843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711862 */     GIR_RootConstrainSelectedInstOperands,
     /*  711863 */     // GIR_Coverage, 19619,
     /*  711863 */     GIR_EraseRootFromParent_Done,
     /*  711864 */   // Label 11282: @711864
     /*  711864 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(711939), // Rule ID 21836 //
     /*  711869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  711877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  711880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  711883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  711889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711915 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  711918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  711922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711937 */     GIR_RootConstrainSelectedInstOperands,
     /*  711938 */     // GIR_Coverage, 21836,
     /*  711938 */     GIR_EraseRootFromParent_Done,
     /*  711939 */   // Label 11283: @711939
     /*  711939 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(712014), // Rule ID 21837 //
     /*  711944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  711952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  711955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  711958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  711964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711990 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  711993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  711997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712012 */     GIR_RootConstrainSelectedInstOperands,
     /*  712013 */     // GIR_Coverage, 21837,
     /*  712013 */     GIR_EraseRootFromParent_Done,
     /*  712014 */   // Label 11284: @712014
     /*  712014 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(712089), // Rule ID 21840 //
     /*  712019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  712036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  712068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712087 */     GIR_RootConstrainSelectedInstOperands,
     /*  712088 */     // GIR_Coverage, 21840,
     /*  712088 */     GIR_EraseRootFromParent_Done,
     /*  712089 */   // Label 11285: @712089
     /*  712089 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(712164), // Rule ID 21841 //
     /*  712094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  712111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  712143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712162 */     GIR_RootConstrainSelectedInstOperands,
     /*  712163 */     // GIR_Coverage, 21841,
     /*  712163 */     GIR_EraseRootFromParent_Done,
     /*  712164 */   // Label 11286: @712164
     /*  712164 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(712239), // Rule ID 21844 //
     /*  712169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  712218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712237 */     GIR_RootConstrainSelectedInstOperands,
     /*  712238 */     // GIR_Coverage, 21844,
     /*  712238 */     GIR_EraseRootFromParent_Done,
     /*  712239 */   // Label 11287: @712239
     /*  712239 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(712314), // Rule ID 21845 //
     /*  712244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  712293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712312 */     GIR_RootConstrainSelectedInstOperands,
     /*  712313 */     // GIR_Coverage, 21845,
     /*  712313 */     GIR_EraseRootFromParent_Done,
     /*  712314 */   // Label 11288: @712314
     /*  712314 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(712389), // Rule ID 21848 //
     /*  712319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  712368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712387 */     GIR_RootConstrainSelectedInstOperands,
     /*  712388 */     // GIR_Coverage, 21848,
     /*  712388 */     GIR_EraseRootFromParent_Done,
     /*  712389 */   // Label 11289: @712389
     /*  712389 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(712464), // Rule ID 21849 //
     /*  712394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  712443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712462 */     GIR_RootConstrainSelectedInstOperands,
     /*  712463 */     // GIR_Coverage, 21849,
     /*  712463 */     GIR_EraseRootFromParent_Done,
     /*  712464 */   // Label 11290: @712464
     /*  712464 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(712539), // Rule ID 21852 //
     /*  712469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  712518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712537 */     GIR_RootConstrainSelectedInstOperands,
     /*  712538 */     // GIR_Coverage, 21852,
     /*  712538 */     GIR_EraseRootFromParent_Done,
     /*  712539 */   // Label 11291: @712539
     /*  712539 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(712614), // Rule ID 21853 //
     /*  712544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  712593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712612 */     GIR_RootConstrainSelectedInstOperands,
     /*  712613 */     // GIR_Coverage, 21853,
     /*  712613 */     GIR_EraseRootFromParent_Done,
     /*  712614 */   // Label 11292: @712614
     /*  712614 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(712689), // Rule ID 21856 //
     /*  712619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  712668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712687 */     GIR_RootConstrainSelectedInstOperands,
     /*  712688 */     // GIR_Coverage, 21856,
     /*  712688 */     GIR_EraseRootFromParent_Done,
     /*  712689 */   // Label 11293: @712689
     /*  712689 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(712764), // Rule ID 21857 //
     /*  712694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  712743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712762 */     GIR_RootConstrainSelectedInstOperands,
     /*  712763 */     // GIR_Coverage, 21857,
     /*  712763 */     GIR_EraseRootFromParent_Done,
     /*  712764 */   // Label 11294: @712764
     /*  712764 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(712839), // Rule ID 21860 //
     /*  712769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  712818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712837 */     GIR_RootConstrainSelectedInstOperands,
     /*  712838 */     // GIR_Coverage, 21860,
     /*  712838 */     GIR_EraseRootFromParent_Done,
     /*  712839 */   // Label 11295: @712839
     /*  712839 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(712914), // Rule ID 21861 //
     /*  712844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  712893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712912 */     GIR_RootConstrainSelectedInstOperands,
     /*  712913 */     // GIR_Coverage, 21861,
     /*  712913 */     GIR_EraseRootFromParent_Done,
     /*  712914 */   // Label 11296: @712914
     /*  712914 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(712989), // Rule ID 21864 //
     /*  712919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  712927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  712968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  712972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712987 */     GIR_RootConstrainSelectedInstOperands,
     /*  712988 */     // GIR_Coverage, 21864,
     /*  712988 */     GIR_EraseRootFromParent_Done,
     /*  712989 */   // Label 11297: @712989
     /*  712989 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(713064), // Rule ID 21865 //
     /*  712994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  713005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  713008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  713011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  713014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  713043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713062 */     GIR_RootConstrainSelectedInstOperands,
     /*  713063 */     // GIR_Coverage, 21865,
     /*  713063 */     GIR_EraseRootFromParent_Done,
     /*  713064 */   // Label 11298: @713064
     /*  713064 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(713139), // Rule ID 21868 //
     /*  713069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  713072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  713118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713137 */     GIR_RootConstrainSelectedInstOperands,
     /*  713138 */     // GIR_Coverage, 21868,
     /*  713138 */     GIR_EraseRootFromParent_Done,
     /*  713139 */   // Label 11299: @713139
     /*  713139 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(713214), // Rule ID 21869 //
     /*  713144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  713147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  713193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713212 */     GIR_RootConstrainSelectedInstOperands,
     /*  713213 */     // GIR_Coverage, 21869,
     /*  713213 */     GIR_EraseRootFromParent_Done,
     /*  713214 */   // Label 11300: @713214
     /*  713214 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(713289), // Rule ID 21872 //
     /*  713219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  713236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  713268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713287 */     GIR_RootConstrainSelectedInstOperands,
     /*  713288 */     // GIR_Coverage, 21872,
     /*  713288 */     GIR_EraseRootFromParent_Done,
     /*  713289 */   // Label 11301: @713289
     /*  713289 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(713364), // Rule ID 21873 //
     /*  713294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  713311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  713343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713362 */     GIR_RootConstrainSelectedInstOperands,
     /*  713363 */     // GIR_Coverage, 21873,
     /*  713363 */     GIR_EraseRootFromParent_Done,
     /*  713364 */   // Label 11302: @713364
     /*  713364 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(713439), // Rule ID 21876 //
     /*  713369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  713386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  713418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713437 */     GIR_RootConstrainSelectedInstOperands,
     /*  713438 */     // GIR_Coverage, 21876,
     /*  713438 */     GIR_EraseRootFromParent_Done,
     /*  713439 */   // Label 11303: @713439
     /*  713439 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(713514), // Rule ID 21877 //
     /*  713444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  713461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  713493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713512 */     GIR_RootConstrainSelectedInstOperands,
     /*  713513 */     // GIR_Coverage, 21877,
     /*  713513 */     GIR_EraseRootFromParent_Done,
     /*  713514 */   // Label 11304: @713514
     /*  713514 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(713589), // Rule ID 21880 //
     /*  713519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  713536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  713568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713587 */     GIR_RootConstrainSelectedInstOperands,
     /*  713588 */     // GIR_Coverage, 21880,
     /*  713588 */     GIR_EraseRootFromParent_Done,
     /*  713589 */   // Label 11305: @713589
     /*  713589 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(713664), // Rule ID 21881 //
     /*  713594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  713611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  713614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  713643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713662 */     GIR_RootConstrainSelectedInstOperands,
     /*  713663 */     // GIR_Coverage, 21881,
     /*  713663 */     GIR_EraseRootFromParent_Done,
     /*  713664 */   // Label 11306: @713664
     /*  713664 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(713739), // Rule ID 21884 //
     /*  713669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  713718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713737 */     GIR_RootConstrainSelectedInstOperands,
     /*  713738 */     // GIR_Coverage, 21884,
     /*  713738 */     GIR_EraseRootFromParent_Done,
     /*  713739 */   // Label 11307: @713739
     /*  713739 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(713814), // Rule ID 21885 //
     /*  713744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  713793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713812 */     GIR_RootConstrainSelectedInstOperands,
     /*  713813 */     // GIR_Coverage, 21885,
     /*  713813 */     GIR_EraseRootFromParent_Done,
     /*  713814 */   // Label 11308: @713814
     /*  713814 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(713889), // Rule ID 21888 //
     /*  713819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  713868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713887 */     GIR_RootConstrainSelectedInstOperands,
     /*  713888 */     // GIR_Coverage, 21888,
     /*  713888 */     GIR_EraseRootFromParent_Done,
     /*  713889 */   // Label 11309: @713889
     /*  713889 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(713964), // Rule ID 21889 //
     /*  713894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  713943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  713947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713962 */     GIR_RootConstrainSelectedInstOperands,
     /*  713963 */     // GIR_Coverage, 21889,
     /*  713963 */     GIR_EraseRootFromParent_Done,
     /*  713964 */   // Label 11310: @713964
     /*  713964 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(714039), // Rule ID 21892 //
     /*  713969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  713977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  714018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714037 */     GIR_RootConstrainSelectedInstOperands,
     /*  714038 */     // GIR_Coverage, 21892,
     /*  714038 */     GIR_EraseRootFromParent_Done,
     /*  714039 */   // Label 11311: @714039
     /*  714039 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(714114), // Rule ID 21893 //
     /*  714044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  714055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  714058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  714061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  714064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  714093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714112 */     GIR_RootConstrainSelectedInstOperands,
     /*  714113 */     // GIR_Coverage, 21893,
     /*  714113 */     GIR_EraseRootFromParent_Done,
     /*  714114 */   // Label 11312: @714114
     /*  714114 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(714189), // Rule ID 21896 //
     /*  714119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  714136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  714168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714187 */     GIR_RootConstrainSelectedInstOperands,
     /*  714188 */     // GIR_Coverage, 21896,
     /*  714188 */     GIR_EraseRootFromParent_Done,
     /*  714189 */   // Label 11313: @714189
     /*  714189 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(714264), // Rule ID 21897 //
     /*  714194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  714211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  714243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714262 */     GIR_RootConstrainSelectedInstOperands,
     /*  714263 */     // GIR_Coverage, 21897,
     /*  714263 */     GIR_EraseRootFromParent_Done,
     /*  714264 */   // Label 11314: @714264
     /*  714264 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(714339), // Rule ID 21900 //
     /*  714269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  714318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714337 */     GIR_RootConstrainSelectedInstOperands,
     /*  714338 */     // GIR_Coverage, 21900,
     /*  714338 */     GIR_EraseRootFromParent_Done,
     /*  714339 */   // Label 11315: @714339
     /*  714339 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(714414), // Rule ID 21901 //
     /*  714344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  714393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714412 */     GIR_RootConstrainSelectedInstOperands,
     /*  714413 */     // GIR_Coverage, 21901,
     /*  714413 */     GIR_EraseRootFromParent_Done,
     /*  714414 */   // Label 11316: @714414
     /*  714414 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(714489), // Rule ID 21904 //
     /*  714419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  714468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714487 */     GIR_RootConstrainSelectedInstOperands,
     /*  714488 */     // GIR_Coverage, 21904,
     /*  714488 */     GIR_EraseRootFromParent_Done,
     /*  714489 */   // Label 11317: @714489
     /*  714489 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(714564), // Rule ID 21905 //
     /*  714494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  714514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  714543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714562 */     GIR_RootConstrainSelectedInstOperands,
     /*  714563 */     // GIR_Coverage, 21905,
     /*  714563 */     GIR_EraseRootFromParent_Done,
     /*  714564 */   // Label 11318: @714564
     /*  714564 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(714639), // Rule ID 21908 //
     /*  714569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  714572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  714618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714637 */     GIR_RootConstrainSelectedInstOperands,
     /*  714638 */     // GIR_Coverage, 21908,
     /*  714638 */     GIR_EraseRootFromParent_Done,
     /*  714639 */   // Label 11319: @714639
     /*  714639 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(714714), // Rule ID 21909 //
     /*  714644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  714647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  714693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714712 */     GIR_RootConstrainSelectedInstOperands,
     /*  714713 */     // GIR_Coverage, 21909,
     /*  714713 */     GIR_EraseRootFromParent_Done,
     /*  714714 */   // Label 11320: @714714
     /*  714714 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(714789), // Rule ID 21912 //
     /*  714719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  714722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  714768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714787 */     GIR_RootConstrainSelectedInstOperands,
     /*  714788 */     // GIR_Coverage, 21912,
     /*  714788 */     GIR_EraseRootFromParent_Done,
     /*  714789 */   // Label 11321: @714789
     /*  714789 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(714864), // Rule ID 21913 //
     /*  714794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  714797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  714843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714862 */     GIR_RootConstrainSelectedInstOperands,
     /*  714863 */     // GIR_Coverage, 21913,
     /*  714863 */     GIR_EraseRootFromParent_Done,
     /*  714864 */   // Label 11322: @714864
     /*  714864 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(714939), // Rule ID 21916 //
     /*  714869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  714872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  714918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714937 */     GIR_RootConstrainSelectedInstOperands,
     /*  714938 */     // GIR_Coverage, 21916,
     /*  714938 */     GIR_EraseRootFromParent_Done,
     /*  714939 */   // Label 11323: @714939
     /*  714939 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(715014), // Rule ID 21917 //
     /*  714944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  714947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  714952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  714964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  714993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  714997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715012 */     GIR_RootConstrainSelectedInstOperands,
     /*  715013 */     // GIR_Coverage, 21917,
     /*  715013 */     GIR_EraseRootFromParent_Done,
     /*  715014 */   // Label 11324: @715014
     /*  715014 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(715089), // Rule ID 21920 //
     /*  715019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  715068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715087 */     GIR_RootConstrainSelectedInstOperands,
     /*  715088 */     // GIR_Coverage, 21920,
     /*  715088 */     GIR_EraseRootFromParent_Done,
     /*  715089 */   // Label 11325: @715089
     /*  715089 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(715164), // Rule ID 21921 //
     /*  715094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  715111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  715143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715162 */     GIR_RootConstrainSelectedInstOperands,
     /*  715163 */     // GIR_Coverage, 21921,
     /*  715163 */     GIR_EraseRootFromParent_Done,
     /*  715164 */   // Label 11326: @715164
     /*  715164 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(715239), // Rule ID 21924 //
     /*  715169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715215 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  715218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715237 */     GIR_RootConstrainSelectedInstOperands,
     /*  715238 */     // GIR_Coverage, 21924,
     /*  715238 */     GIR_EraseRootFromParent_Done,
     /*  715239 */   // Label 11327: @715239
     /*  715239 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(715314), // Rule ID 21925 //
     /*  715244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  715261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  715293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715312 */     GIR_RootConstrainSelectedInstOperands,
     /*  715313 */     // GIR_Coverage, 21925,
     /*  715313 */     GIR_EraseRootFromParent_Done,
     /*  715314 */   // Label 11328: @715314
     /*  715314 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(715389), // Rule ID 21928 //
     /*  715319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  715368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715387 */     GIR_RootConstrainSelectedInstOperands,
     /*  715388 */     // GIR_Coverage, 21928,
     /*  715388 */     GIR_EraseRootFromParent_Done,
     /*  715389 */   // Label 11329: @715389
     /*  715389 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(715464), // Rule ID 21929 //
     /*  715394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  715411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  715443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715462 */     GIR_RootConstrainSelectedInstOperands,
     /*  715463 */     // GIR_Coverage, 21929,
     /*  715463 */     GIR_EraseRootFromParent_Done,
     /*  715464 */   // Label 11330: @715464
     /*  715464 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(715539), // Rule ID 21932 //
     /*  715469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  715518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715537 */     GIR_RootConstrainSelectedInstOperands,
     /*  715538 */     // GIR_Coverage, 21932,
     /*  715538 */     GIR_EraseRootFromParent_Done,
     /*  715539 */   // Label 11331: @715539
     /*  715539 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(715614), // Rule ID 21933 //
     /*  715544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  715593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715612 */     GIR_RootConstrainSelectedInstOperands,
     /*  715613 */     // GIR_Coverage, 21933,
     /*  715613 */     GIR_EraseRootFromParent_Done,
     /*  715614 */   // Label 11332: @715614
     /*  715614 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(715689), // Rule ID 21936 //
     /*  715619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  715668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715687 */     GIR_RootConstrainSelectedInstOperands,
     /*  715688 */     // GIR_Coverage, 21936,
     /*  715688 */     GIR_EraseRootFromParent_Done,
     /*  715689 */   // Label 11333: @715689
     /*  715689 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(715764), // Rule ID 21937 //
     /*  715694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  715743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715762 */     GIR_RootConstrainSelectedInstOperands,
     /*  715763 */     // GIR_Coverage, 21937,
     /*  715763 */     GIR_EraseRootFromParent_Done,
     /*  715764 */   // Label 11334: @715764
     /*  715764 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(715839), // Rule ID 21940 //
     /*  715769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  715789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  715818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715837 */     GIR_RootConstrainSelectedInstOperands,
     /*  715838 */     // GIR_Coverage, 21940,
     /*  715838 */     GIR_EraseRootFromParent_Done,
     /*  715839 */   // Label 11335: @715839
     /*  715839 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(715914), // Rule ID 21941 //
     /*  715844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  715864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  715893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715912 */     GIR_RootConstrainSelectedInstOperands,
     /*  715913 */     // GIR_Coverage, 21941,
     /*  715913 */     GIR_EraseRootFromParent_Done,
     /*  715914 */   // Label 11336: @715914
     /*  715914 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(715989), // Rule ID 21944 //
     /*  715919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  715927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  715936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  715968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  715972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715987 */     GIR_RootConstrainSelectedInstOperands,
     /*  715988 */     // GIR_Coverage, 21944,
     /*  715988 */     GIR_EraseRootFromParent_Done,
     /*  715989 */   // Label 11337: @715989
     /*  715989 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(716064), // Rule ID 21945 //
     /*  715994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  716011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  716043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716062 */     GIR_RootConstrainSelectedInstOperands,
     /*  716063 */     // GIR_Coverage, 21945,
     /*  716063 */     GIR_EraseRootFromParent_Done,
     /*  716064 */   // Label 11338: @716064
     /*  716064 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(716139), // Rule ID 21948 //
     /*  716069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  716118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716137 */     GIR_RootConstrainSelectedInstOperands,
     /*  716138 */     // GIR_Coverage, 21948,
     /*  716138 */     GIR_EraseRootFromParent_Done,
     /*  716139 */   // Label 11339: @716139
     /*  716139 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(716214), // Rule ID 21949 //
     /*  716144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  716161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  716193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716212 */     GIR_RootConstrainSelectedInstOperands,
     /*  716213 */     // GIR_Coverage, 21949,
     /*  716213 */     GIR_EraseRootFromParent_Done,
     /*  716214 */   // Label 11340: @716214
     /*  716214 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(716289), // Rule ID 21952 //
     /*  716219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  716268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716287 */     GIR_RootConstrainSelectedInstOperands,
     /*  716288 */     // GIR_Coverage, 21952,
     /*  716288 */     GIR_EraseRootFromParent_Done,
     /*  716289 */   // Label 11341: @716289
     /*  716289 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(716364), // Rule ID 21953 //
     /*  716294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  716305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  716308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  716311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  716314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  716343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716362 */     GIR_RootConstrainSelectedInstOperands,
     /*  716363 */     // GIR_Coverage, 21953,
     /*  716363 */     GIR_EraseRootFromParent_Done,
     /*  716364 */   // Label 11342: @716364
     /*  716364 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(716439), // Rule ID 21956 //
     /*  716369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  716372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  716418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716437 */     GIR_RootConstrainSelectedInstOperands,
     /*  716438 */     // GIR_Coverage, 21956,
     /*  716438 */     GIR_EraseRootFromParent_Done,
     /*  716439 */   // Label 11343: @716439
     /*  716439 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(716514), // Rule ID 21957 //
     /*  716444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  716447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  716455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  716458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  716461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  716464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  716493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716512 */     GIR_RootConstrainSelectedInstOperands,
     /*  716513 */     // GIR_Coverage, 21957,
     /*  716513 */     GIR_EraseRootFromParent_Done,
     /*  716514 */   // Label 11344: @716514
     /*  716514 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(716589), // Rule ID 21960 //
     /*  716519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  716536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  716568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716587 */     GIR_RootConstrainSelectedInstOperands,
     /*  716588 */     // GIR_Coverage, 21960,
     /*  716588 */     GIR_EraseRootFromParent_Done,
     /*  716589 */   // Label 11345: @716589
     /*  716589 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(716664), // Rule ID 21961 //
     /*  716594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  716611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  716643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716662 */     GIR_RootConstrainSelectedInstOperands,
     /*  716663 */     // GIR_Coverage, 21961,
     /*  716663 */     GIR_EraseRootFromParent_Done,
     /*  716664 */   // Label 11346: @716664
     /*  716664 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(716739), // Rule ID 21964 //
     /*  716669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  716686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716715 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  716718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716737 */     GIR_RootConstrainSelectedInstOperands,
     /*  716738 */     // GIR_Coverage, 21964,
     /*  716738 */     GIR_EraseRootFromParent_Done,
     /*  716739 */   // Label 11347: @716739
     /*  716739 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(716814), // Rule ID 21965 //
     /*  716744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  716761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  716793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716812 */     GIR_RootConstrainSelectedInstOperands,
     /*  716813 */     // GIR_Coverage, 21965,
     /*  716813 */     GIR_EraseRootFromParent_Done,
     /*  716814 */   // Label 11348: @716814
     /*  716814 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(716889), // Rule ID 21968 //
     /*  716819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  716868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716887 */     GIR_RootConstrainSelectedInstOperands,
     /*  716888 */     // GIR_Coverage, 21968,
     /*  716888 */     GIR_EraseRootFromParent_Done,
     /*  716889 */   // Label 11349: @716889
     /*  716889 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(716964), // Rule ID 21969 //
     /*  716894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  716905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  716908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  716914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  716943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  716947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716962 */     GIR_RootConstrainSelectedInstOperands,
     /*  716963 */     // GIR_Coverage, 21969,
     /*  716963 */     GIR_EraseRootFromParent_Done,
     /*  716964 */   // Label 11350: @716964
     /*  716964 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(717039), // Rule ID 21972 //
     /*  716969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  716977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  716980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  716983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  716986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  716989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  717018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717037 */     GIR_RootConstrainSelectedInstOperands,
     /*  717038 */     // GIR_Coverage, 21972,
     /*  717038 */     GIR_EraseRootFromParent_Done,
     /*  717039 */   // Label 11351: @717039
     /*  717039 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(717114), // Rule ID 21973 //
     /*  717044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  717061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  717093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717112 */     GIR_RootConstrainSelectedInstOperands,
     /*  717113 */     // GIR_Coverage, 21973,
     /*  717113 */     GIR_EraseRootFromParent_Done,
     /*  717114 */   // Label 11352: @717114
     /*  717114 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(717189), // Rule ID 21976 //
     /*  717119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  717168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717187 */     GIR_RootConstrainSelectedInstOperands,
     /*  717188 */     // GIR_Coverage, 21976,
     /*  717188 */     GIR_EraseRootFromParent_Done,
     /*  717189 */   // Label 11353: @717189
     /*  717189 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(717264), // Rule ID 21977 //
     /*  717194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  717211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  717243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717262 */     GIR_RootConstrainSelectedInstOperands,
     /*  717263 */     // GIR_Coverage, 21977,
     /*  717263 */     GIR_EraseRootFromParent_Done,
     /*  717264 */   // Label 11354: @717264
     /*  717264 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(717339), // Rule ID 21980 //
     /*  717269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  717318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717337 */     GIR_RootConstrainSelectedInstOperands,
     /*  717338 */     // GIR_Coverage, 21980,
     /*  717338 */     GIR_EraseRootFromParent_Done,
     /*  717339 */   // Label 11355: @717339
     /*  717339 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(717414), // Rule ID 21981 //
     /*  717344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  717361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  717393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717412 */     GIR_RootConstrainSelectedInstOperands,
     /*  717413 */     // GIR_Coverage, 21981,
     /*  717413 */     GIR_EraseRootFromParent_Done,
     /*  717414 */   // Label 11356: @717414
     /*  717414 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(717489), // Rule ID 21984 //
     /*  717419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  717468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717487 */     GIR_RootConstrainSelectedInstOperands,
     /*  717488 */     // GIR_Coverage, 21984,
     /*  717488 */     GIR_EraseRootFromParent_Done,
     /*  717489 */   // Label 11357: @717489
     /*  717489 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(717564), // Rule ID 21985 //
     /*  717494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  717511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  717543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717562 */     GIR_RootConstrainSelectedInstOperands,
     /*  717563 */     // GIR_Coverage, 21985,
     /*  717563 */     GIR_EraseRootFromParent_Done,
     /*  717564 */   // Label 11358: @717564
     /*  717564 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(717639), // Rule ID 21988 //
     /*  717569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  717586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  717618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717637 */     GIR_RootConstrainSelectedInstOperands,
     /*  717638 */     // GIR_Coverage, 21988,
     /*  717638 */     GIR_EraseRootFromParent_Done,
     /*  717639 */   // Label 11359: @717639
     /*  717639 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(717714), // Rule ID 21989 //
     /*  717644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  717661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  717693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717712 */     GIR_RootConstrainSelectedInstOperands,
     /*  717713 */     // GIR_Coverage, 21989,
     /*  717713 */     GIR_EraseRootFromParent_Done,
     /*  717714 */   // Label 11360: @717714
     /*  717714 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(717789), // Rule ID 21992 //
     /*  717719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  717736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  717768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717787 */     GIR_RootConstrainSelectedInstOperands,
     /*  717788 */     // GIR_Coverage, 21992,
     /*  717788 */     GIR_EraseRootFromParent_Done,
     /*  717789 */   // Label 11361: @717789
     /*  717789 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(717864), // Rule ID 21993 //
     /*  717794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  717811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  717843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717862 */     GIR_RootConstrainSelectedInstOperands,
     /*  717863 */     // GIR_Coverage, 21993,
     /*  717863 */     GIR_EraseRootFromParent_Done,
     /*  717864 */   // Label 11362: @717864
     /*  717864 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(717939), // Rule ID 21996 //
     /*  717869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  717918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717937 */     GIR_RootConstrainSelectedInstOperands,
     /*  717938 */     // GIR_Coverage, 21996,
     /*  717938 */     GIR_EraseRootFromParent_Done,
     /*  717939 */   // Label 11363: @717939
     /*  717939 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(718014), // Rule ID 21997 //
     /*  717944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  717952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  717993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718012 */     GIR_RootConstrainSelectedInstOperands,
     /*  718013 */     // GIR_Coverage, 21997,
     /*  718013 */     GIR_EraseRootFromParent_Done,
     /*  718014 */   // Label 11364: @718014
     /*  718014 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(718089), // Rule ID 22000 //
     /*  718019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  718027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  718068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718087 */     GIR_RootConstrainSelectedInstOperands,
     /*  718088 */     // GIR_Coverage, 22000,
     /*  718088 */     GIR_EraseRootFromParent_Done,
     /*  718089 */   // Label 11365: @718089
     /*  718089 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(718164), // Rule ID 22001 //
     /*  718094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  718102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  718143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718162 */     GIR_RootConstrainSelectedInstOperands,
     /*  718163 */     // GIR_Coverage, 22001,
     /*  718163 */     GIR_EraseRootFromParent_Done,
     /*  718164 */   // Label 11366: @718164
     /*  718164 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(718239), // Rule ID 22004 //
     /*  718169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  718177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  718218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718237 */     GIR_RootConstrainSelectedInstOperands,
     /*  718238 */     // GIR_Coverage, 22004,
     /*  718238 */     GIR_EraseRootFromParent_Done,
     /*  718239 */   // Label 11367: @718239
     /*  718239 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(718314), // Rule ID 22005 //
     /*  718244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  718252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  718293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718312 */     GIR_RootConstrainSelectedInstOperands,
     /*  718313 */     // GIR_Coverage, 22005,
     /*  718313 */     GIR_EraseRootFromParent_Done,
     /*  718314 */   // Label 11368: @718314
     /*  718314 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(718389), // Rule ID 22008 //
     /*  718319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  718368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718387 */     GIR_RootConstrainSelectedInstOperands,
     /*  718388 */     // GIR_Coverage, 22008,
     /*  718388 */     GIR_EraseRootFromParent_Done,
     /*  718389 */   // Label 11369: @718389
     /*  718389 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(718464), // Rule ID 22009 //
     /*  718394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  718411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  718443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718462 */     GIR_RootConstrainSelectedInstOperands,
     /*  718463 */     // GIR_Coverage, 22009,
     /*  718463 */     GIR_EraseRootFromParent_Done,
     /*  718464 */   // Label 11370: @718464
     /*  718464 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(718539), // Rule ID 22012 //
     /*  718469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  718486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  718518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718537 */     GIR_RootConstrainSelectedInstOperands,
     /*  718538 */     // GIR_Coverage, 22012,
     /*  718538 */     GIR_EraseRootFromParent_Done,
     /*  718539 */   // Label 11371: @718539
     /*  718539 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(718614), // Rule ID 22013 //
     /*  718544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  718561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  718593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718612 */     GIR_RootConstrainSelectedInstOperands,
     /*  718613 */     // GIR_Coverage, 22013,
     /*  718613 */     GIR_EraseRootFromParent_Done,
     /*  718614 */   // Label 11372: @718614
     /*  718614 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(718689), // Rule ID 22016 //
     /*  718619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  718636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  718668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718687 */     GIR_RootConstrainSelectedInstOperands,
     /*  718688 */     // GIR_Coverage, 22016,
     /*  718688 */     GIR_EraseRootFromParent_Done,
     /*  718689 */   // Label 11373: @718689
     /*  718689 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(718764), // Rule ID 22017 //
     /*  718694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  718711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  718743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718762 */     GIR_RootConstrainSelectedInstOperands,
     /*  718763 */     // GIR_Coverage, 22017,
     /*  718763 */     GIR_EraseRootFromParent_Done,
     /*  718764 */   // Label 11374: @718764
     /*  718764 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(718839), // Rule ID 22020 //
     /*  718769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  718786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  718818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718837 */     GIR_RootConstrainSelectedInstOperands,
     /*  718838 */     // GIR_Coverage, 22020,
     /*  718838 */     GIR_EraseRootFromParent_Done,
     /*  718839 */   // Label 11375: @718839
     /*  718839 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(718914), // Rule ID 22021 //
     /*  718844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  718861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  718893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718912 */     GIR_RootConstrainSelectedInstOperands,
     /*  718913 */     // GIR_Coverage, 22021,
     /*  718913 */     GIR_EraseRootFromParent_Done,
     /*  718914 */   // Label 11376: @718914
     /*  718914 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(718989), // Rule ID 22024 //
     /*  718919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  718927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  718936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  718968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718987 */     GIR_RootConstrainSelectedInstOperands,
     /*  718988 */     // GIR_Coverage, 22024,
     /*  718988 */     GIR_EraseRootFromParent_Done,
     /*  718989 */   // Label 11377: @718989
     /*  718989 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(719064), // Rule ID 22025 //
     /*  718994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  719011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  719043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719062 */     GIR_RootConstrainSelectedInstOperands,
     /*  719063 */     // GIR_Coverage, 22025,
     /*  719063 */     GIR_EraseRootFromParent_Done,
     /*  719064 */   // Label 11378: @719064
     /*  719064 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(719139), // Rule ID 22028 //
     /*  719069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  719118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719137 */     GIR_RootConstrainSelectedInstOperands,
     /*  719138 */     // GIR_Coverage, 22028,
     /*  719138 */     GIR_EraseRootFromParent_Done,
     /*  719139 */   // Label 11379: @719139
     /*  719139 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(719214), // Rule ID 22029 //
     /*  719144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  719161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  719193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719212 */     GIR_RootConstrainSelectedInstOperands,
     /*  719213 */     // GIR_Coverage, 22029,
     /*  719213 */     GIR_EraseRootFromParent_Done,
     /*  719214 */   // Label 11380: @719214
     /*  719214 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(719289), // Rule ID 22032 //
     /*  719219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  719239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  719268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719287 */     GIR_RootConstrainSelectedInstOperands,
     /*  719288 */     // GIR_Coverage, 22032,
     /*  719288 */     GIR_EraseRootFromParent_Done,
     /*  719289 */   // Label 11381: @719289
     /*  719289 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(719364), // Rule ID 22033 //
     /*  719294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  719311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  719314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  719343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719362 */     GIR_RootConstrainSelectedInstOperands,
     /*  719363 */     // GIR_Coverage, 22033,
     /*  719363 */     GIR_EraseRootFromParent_Done,
     /*  719364 */   // Label 11382: @719364
     /*  719364 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(719439), // Rule ID 22036 //
     /*  719369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  719418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719437 */     GIR_RootConstrainSelectedInstOperands,
     /*  719438 */     // GIR_Coverage, 22036,
     /*  719438 */     GIR_EraseRootFromParent_Done,
     /*  719439 */   // Label 11383: @719439
     /*  719439 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(719514), // Rule ID 22037 //
     /*  719444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  719461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  719493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719512 */     GIR_RootConstrainSelectedInstOperands,
     /*  719513 */     // GIR_Coverage, 22037,
     /*  719513 */     GIR_EraseRootFromParent_Done,
     /*  719514 */   // Label 11384: @719514
     /*  719514 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(719589), // Rule ID 22040 //
     /*  719519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  719536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  719568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719587 */     GIR_RootConstrainSelectedInstOperands,
     /*  719588 */     // GIR_Coverage, 22040,
     /*  719588 */     GIR_EraseRootFromParent_Done,
     /*  719589 */   // Label 11385: @719589
     /*  719589 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(719664), // Rule ID 22041 //
     /*  719594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  719611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  719643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719662 */     GIR_RootConstrainSelectedInstOperands,
     /*  719663 */     // GIR_Coverage, 22041,
     /*  719663 */     GIR_EraseRootFromParent_Done,
     /*  719664 */   // Label 11386: @719664
     /*  719664 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(719739), // Rule ID 22044 //
     /*  719669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  719718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719737 */     GIR_RootConstrainSelectedInstOperands,
     /*  719738 */     // GIR_Coverage, 22044,
     /*  719738 */     GIR_EraseRootFromParent_Done,
     /*  719739 */   // Label 11387: @719739
     /*  719739 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(719814), // Rule ID 22045 //
     /*  719744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  719793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719812 */     GIR_RootConstrainSelectedInstOperands,
     /*  719813 */     // GIR_Coverage, 22045,
     /*  719813 */     GIR_EraseRootFromParent_Done,
     /*  719814 */   // Label 11388: @719814
     /*  719814 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(719889), // Rule ID 22048 //
     /*  719819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  719836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  719839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  719868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719887 */     GIR_RootConstrainSelectedInstOperands,
     /*  719888 */     // GIR_Coverage, 22048,
     /*  719888 */     GIR_EraseRootFromParent_Done,
     /*  719889 */   // Label 11389: @719889
     /*  719889 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(719964), // Rule ID 22049 //
     /*  719894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  719911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  719914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  719943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719962 */     GIR_RootConstrainSelectedInstOperands,
     /*  719963 */     // GIR_Coverage, 22049,
     /*  719963 */     GIR_EraseRootFromParent_Done,
     /*  719964 */   // Label 11390: @719964
     /*  719964 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(720039), // Rule ID 22052 //
     /*  719969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  719977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  719980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  719983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  719986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  719989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720015 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  720018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720037 */     GIR_RootConstrainSelectedInstOperands,
     /*  720038 */     // GIR_Coverage, 22052,
     /*  720038 */     GIR_EraseRootFromParent_Done,
     /*  720039 */   // Label 11391: @720039
     /*  720039 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(720114), // Rule ID 22053 //
     /*  720044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  720061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  720093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720112 */     GIR_RootConstrainSelectedInstOperands,
     /*  720113 */     // GIR_Coverage, 22053,
     /*  720113 */     GIR_EraseRootFromParent_Done,
     /*  720114 */   // Label 11392: @720114
     /*  720114 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(720189), // Rule ID 22056 //
     /*  720119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  720168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720187 */     GIR_RootConstrainSelectedInstOperands,
     /*  720188 */     // GIR_Coverage, 22056,
     /*  720188 */     GIR_EraseRootFromParent_Done,
     /*  720189 */   // Label 11393: @720189
     /*  720189 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(720264), // Rule ID 22057 //
     /*  720194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  720211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  720243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720262 */     GIR_RootConstrainSelectedInstOperands,
     /*  720263 */     // GIR_Coverage, 22057,
     /*  720263 */     GIR_EraseRootFromParent_Done,
     /*  720264 */   // Label 11394: @720264
     /*  720264 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(720339), // Rule ID 22060 //
     /*  720269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  720318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720337 */     GIR_RootConstrainSelectedInstOperands,
     /*  720338 */     // GIR_Coverage, 22060,
     /*  720338 */     GIR_EraseRootFromParent_Done,
     /*  720339 */   // Label 11395: @720339
     /*  720339 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(720414), // Rule ID 22061 //
     /*  720344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  720361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  720393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720412 */     GIR_RootConstrainSelectedInstOperands,
     /*  720413 */     // GIR_Coverage, 22061,
     /*  720413 */     GIR_EraseRootFromParent_Done,
     /*  720414 */   // Label 11396: @720414
     /*  720414 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(720489), // Rule ID 22064 //
     /*  720419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  720468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720487 */     GIR_RootConstrainSelectedInstOperands,
     /*  720488 */     // GIR_Coverage, 22064,
     /*  720488 */     GIR_EraseRootFromParent_Done,
     /*  720489 */   // Label 11397: @720489
     /*  720489 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(720564), // Rule ID 22065 //
     /*  720494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  720511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  720543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720562 */     GIR_RootConstrainSelectedInstOperands,
     /*  720563 */     // GIR_Coverage, 22065,
     /*  720563 */     GIR_EraseRootFromParent_Done,
     /*  720564 */   // Label 11398: @720564
     /*  720564 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(720639), // Rule ID 22068 //
     /*  720569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  720586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720615 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  720618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720637 */     GIR_RootConstrainSelectedInstOperands,
     /*  720638 */     // GIR_Coverage, 22068,
     /*  720638 */     GIR_EraseRootFromParent_Done,
     /*  720639 */   // Label 11399: @720639
     /*  720639 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(720714), // Rule ID 22069 //
     /*  720644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  720661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  720693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720712 */     GIR_RootConstrainSelectedInstOperands,
     /*  720713 */     // GIR_Coverage, 22069,
     /*  720713 */     GIR_EraseRootFromParent_Done,
     /*  720714 */   // Label 11400: @720714
     /*  720714 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(720789), // Rule ID 22072 //
     /*  720719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  720736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  720739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  720768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720787 */     GIR_RootConstrainSelectedInstOperands,
     /*  720788 */     // GIR_Coverage, 22072,
     /*  720788 */     GIR_EraseRootFromParent_Done,
     /*  720789 */   // Label 11401: @720789
     /*  720789 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(720864), // Rule ID 22073 //
     /*  720794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  720811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  720814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  720843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720862 */     GIR_RootConstrainSelectedInstOperands,
     /*  720863 */     // GIR_Coverage, 22073,
     /*  720863 */     GIR_EraseRootFromParent_Done,
     /*  720864 */   // Label 11402: @720864
     /*  720864 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(720939), // Rule ID 22076 //
     /*  720869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  720886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  720889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  720918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720937 */     GIR_RootConstrainSelectedInstOperands,
     /*  720938 */     // GIR_Coverage, 22076,
     /*  720938 */     GIR_EraseRootFromParent_Done,
     /*  720939 */   // Label 11403: @720939
     /*  720939 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(721014), // Rule ID 22077 //
     /*  720944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  720952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  720961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  720964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  720993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721012 */     GIR_RootConstrainSelectedInstOperands,
     /*  721013 */     // GIR_Coverage, 22077,
     /*  721013 */     GIR_EraseRootFromParent_Done,
     /*  721014 */   // Label 11404: @721014
     /*  721014 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(721089), // Rule ID 22080 //
     /*  721019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  721068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721087 */     GIR_RootConstrainSelectedInstOperands,
     /*  721088 */     // GIR_Coverage, 22080,
     /*  721088 */     GIR_EraseRootFromParent_Done,
     /*  721089 */   // Label 11405: @721089
     /*  721089 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(721164), // Rule ID 22081 //
     /*  721094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  721111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  721143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721162 */     GIR_RootConstrainSelectedInstOperands,
     /*  721163 */     // GIR_Coverage, 22081,
     /*  721163 */     GIR_EraseRootFromParent_Done,
     /*  721164 */   // Label 11406: @721164
     /*  721164 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(721239), // Rule ID 22084 //
     /*  721169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  721218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721237 */     GIR_RootConstrainSelectedInstOperands,
     /*  721238 */     // GIR_Coverage, 22084,
     /*  721238 */     GIR_EraseRootFromParent_Done,
     /*  721239 */   // Label 11407: @721239
     /*  721239 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(721314), // Rule ID 22085 //
     /*  721244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  721261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  721293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721312 */     GIR_RootConstrainSelectedInstOperands,
     /*  721313 */     // GIR_Coverage, 22085,
     /*  721313 */     GIR_EraseRootFromParent_Done,
     /*  721314 */   // Label 11408: @721314
     /*  721314 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(721389), // Rule ID 22088 //
     /*  721319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  721368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721387 */     GIR_RootConstrainSelectedInstOperands,
     /*  721388 */     // GIR_Coverage, 22088,
     /*  721388 */     GIR_EraseRootFromParent_Done,
     /*  721389 */   // Label 11409: @721389
     /*  721389 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(721464), // Rule ID 22089 //
     /*  721394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  721411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  721443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721462 */     GIR_RootConstrainSelectedInstOperands,
     /*  721463 */     // GIR_Coverage, 22089,
     /*  721463 */     GIR_EraseRootFromParent_Done,
     /*  721464 */   // Label 11410: @721464
     /*  721464 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(721539), // Rule ID 22092 //
     /*  721469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  721486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  721518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721537 */     GIR_RootConstrainSelectedInstOperands,
     /*  721538 */     // GIR_Coverage, 22092,
     /*  721538 */     GIR_EraseRootFromParent_Done,
     /*  721539 */   // Label 11411: @721539
     /*  721539 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(721614), // Rule ID 22093 //
     /*  721544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  721552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  721561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  721593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721612 */     GIR_RootConstrainSelectedInstOperands,
     /*  721613 */     // GIR_Coverage, 22093,
     /*  721613 */     GIR_EraseRootFromParent_Done,
     /*  721614 */   // Label 11412: @721614
     /*  721614 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(721689), // Rule ID 22096 //
     /*  721619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  721627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  721636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  721668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721687 */     GIR_RootConstrainSelectedInstOperands,
     /*  721688 */     // GIR_Coverage, 22096,
     /*  721688 */     GIR_EraseRootFromParent_Done,
     /*  721689 */   // Label 11413: @721689
     /*  721689 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(721764), // Rule ID 22097 //
     /*  721694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  721702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  721711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  721743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721762 */     GIR_RootConstrainSelectedInstOperands,
     /*  721763 */     // GIR_Coverage, 22097,
     /*  721763 */     GIR_EraseRootFromParent_Done,
     /*  721764 */   // Label 11414: @721764
     /*  721764 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(721839), // Rule ID 22100 //
     /*  721769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  721777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  721786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  721818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721837 */     GIR_RootConstrainSelectedInstOperands,
     /*  721838 */     // GIR_Coverage, 22100,
     /*  721838 */     GIR_EraseRootFromParent_Done,
     /*  721839 */   // Label 11415: @721839
     /*  721839 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(721914), // Rule ID 22101 //
     /*  721844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  721852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  721861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  721893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721912 */     GIR_RootConstrainSelectedInstOperands,
     /*  721913 */     // GIR_Coverage, 22101,
     /*  721913 */     GIR_EraseRootFromParent_Done,
     /*  721914 */   // Label 11416: @721914
     /*  721914 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(721989), // Rule ID 22104 //
     /*  721919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  721927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  721936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  721968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721987 */     GIR_RootConstrainSelectedInstOperands,
     /*  721988 */     // GIR_Coverage, 22104,
     /*  721988 */     GIR_EraseRootFromParent_Done,
     /*  721989 */   // Label 11417: @721989
     /*  721989 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(722064), // Rule ID 22105 //
     /*  721994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  722011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  722043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722062 */     GIR_RootConstrainSelectedInstOperands,
     /*  722063 */     // GIR_Coverage, 22105,
     /*  722063 */     GIR_EraseRootFromParent_Done,
     /*  722064 */   // Label 11418: @722064
     /*  722064 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(722139), // Rule ID 22108 //
     /*  722069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  722118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722137 */     GIR_RootConstrainSelectedInstOperands,
     /*  722138 */     // GIR_Coverage, 22108,
     /*  722138 */     GIR_EraseRootFromParent_Done,
     /*  722139 */   // Label 11419: @722139
     /*  722139 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(722214), // Rule ID 22109 //
     /*  722144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  722161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  722193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722212 */     GIR_RootConstrainSelectedInstOperands,
     /*  722213 */     // GIR_Coverage, 22109,
     /*  722213 */     GIR_EraseRootFromParent_Done,
     /*  722214 */   // Label 11420: @722214
     /*  722214 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(722289), // Rule ID 22112 //
     /*  722219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  722268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722287 */     GIR_RootConstrainSelectedInstOperands,
     /*  722288 */     // GIR_Coverage, 22112,
     /*  722288 */     GIR_EraseRootFromParent_Done,
     /*  722289 */   // Label 11421: @722289
     /*  722289 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(722364), // Rule ID 22113 //
     /*  722294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  722311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  722343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722362 */     GIR_RootConstrainSelectedInstOperands,
     /*  722363 */     // GIR_Coverage, 22113,
     /*  722363 */     GIR_EraseRootFromParent_Done,
     /*  722364 */   // Label 11422: @722364
     /*  722364 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(722439), // Rule ID 22116 //
     /*  722369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  722418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722437 */     GIR_RootConstrainSelectedInstOperands,
     /*  722438 */     // GIR_Coverage, 22116,
     /*  722438 */     GIR_EraseRootFromParent_Done,
     /*  722439 */   // Label 11423: @722439
     /*  722439 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(722514), // Rule ID 22117 //
     /*  722444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  722461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  722493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722512 */     GIR_RootConstrainSelectedInstOperands,
     /*  722513 */     // GIR_Coverage, 22117,
     /*  722513 */     GIR_EraseRootFromParent_Done,
     /*  722514 */   // Label 11424: @722514
     /*  722514 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(722589), // Rule ID 22120 //
     /*  722519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  722536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  722568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722587 */     GIR_RootConstrainSelectedInstOperands,
     /*  722588 */     // GIR_Coverage, 22120,
     /*  722588 */     GIR_EraseRootFromParent_Done,
     /*  722589 */   // Label 11425: @722589
     /*  722589 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(722664), // Rule ID 22121 //
     /*  722594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  722611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  722643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722662 */     GIR_RootConstrainSelectedInstOperands,
     /*  722663 */     // GIR_Coverage, 22121,
     /*  722663 */     GIR_EraseRootFromParent_Done,
     /*  722664 */   // Label 11426: @722664
     /*  722664 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(722739), // Rule ID 22124 //
     /*  722669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  722686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  722718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722737 */     GIR_RootConstrainSelectedInstOperands,
     /*  722738 */     // GIR_Coverage, 22124,
     /*  722738 */     GIR_EraseRootFromParent_Done,
     /*  722739 */   // Label 11427: @722739
     /*  722739 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(722814), // Rule ID 22125 //
     /*  722744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  722761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  722793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722812 */     GIR_RootConstrainSelectedInstOperands,
     /*  722813 */     // GIR_Coverage, 22125,
     /*  722813 */     GIR_EraseRootFromParent_Done,
     /*  722814 */   // Label 11428: @722814
     /*  722814 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(722889), // Rule ID 22128 //
     /*  722819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  722836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  722868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722887 */     GIR_RootConstrainSelectedInstOperands,
     /*  722888 */     // GIR_Coverage, 22128,
     /*  722888 */     GIR_EraseRootFromParent_Done,
     /*  722889 */   // Label 11429: @722889
     /*  722889 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(722964), // Rule ID 22129 //
     /*  722894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  722911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  722943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722962 */     GIR_RootConstrainSelectedInstOperands,
     /*  722963 */     // GIR_Coverage, 22129,
     /*  722963 */     GIR_EraseRootFromParent_Done,
     /*  722964 */   // Label 11430: @722964
     /*  722964 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(723039), // Rule ID 22132 //
     /*  722969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  722977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  722980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  722983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  722986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  722989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723015 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  723018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723037 */     GIR_RootConstrainSelectedInstOperands,
     /*  723038 */     // GIR_Coverage, 22132,
     /*  723038 */     GIR_EraseRootFromParent_Done,
     /*  723039 */   // Label 11431: @723039
     /*  723039 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(723114), // Rule ID 22133 //
     /*  723044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  723061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  723093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723112 */     GIR_RootConstrainSelectedInstOperands,
     /*  723113 */     // GIR_Coverage, 22133,
     /*  723113 */     GIR_EraseRootFromParent_Done,
     /*  723114 */   // Label 11432: @723114
     /*  723114 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(723189), // Rule ID 22136 //
     /*  723119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  723168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723187 */     GIR_RootConstrainSelectedInstOperands,
     /*  723188 */     // GIR_Coverage, 22136,
     /*  723188 */     GIR_EraseRootFromParent_Done,
     /*  723189 */   // Label 11433: @723189
     /*  723189 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(723264), // Rule ID 22137 //
     /*  723194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  723211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  723243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723262 */     GIR_RootConstrainSelectedInstOperands,
     /*  723263 */     // GIR_Coverage, 22137,
     /*  723263 */     GIR_EraseRootFromParent_Done,
     /*  723264 */   // Label 11434: @723264
     /*  723264 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(723339), // Rule ID 22140 //
     /*  723269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  723318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723337 */     GIR_RootConstrainSelectedInstOperands,
     /*  723338 */     // GIR_Coverage, 22140,
     /*  723338 */     GIR_EraseRootFromParent_Done,
     /*  723339 */   // Label 11435: @723339
     /*  723339 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(723414), // Rule ID 22141 //
     /*  723344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  723361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  723393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723412 */     GIR_RootConstrainSelectedInstOperands,
     /*  723413 */     // GIR_Coverage, 22141,
     /*  723413 */     GIR_EraseRootFromParent_Done,
     /*  723414 */   // Label 11436: @723414
     /*  723414 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(723489), // Rule ID 22144 //
     /*  723419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  723468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723487 */     GIR_RootConstrainSelectedInstOperands,
     /*  723488 */     // GIR_Coverage, 22144,
     /*  723488 */     GIR_EraseRootFromParent_Done,
     /*  723489 */   // Label 11437: @723489
     /*  723489 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(723564), // Rule ID 22145 //
     /*  723494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  723511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  723543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723562 */     GIR_RootConstrainSelectedInstOperands,
     /*  723563 */     // GIR_Coverage, 22145,
     /*  723563 */     GIR_EraseRootFromParent_Done,
     /*  723564 */   // Label 11438: @723564
     /*  723564 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(723639), // Rule ID 22148 //
     /*  723569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  723586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723615 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  723618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723637 */     GIR_RootConstrainSelectedInstOperands,
     /*  723638 */     // GIR_Coverage, 22148,
     /*  723638 */     GIR_EraseRootFromParent_Done,
     /*  723639 */   // Label 11439: @723639
     /*  723639 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(723714), // Rule ID 22149 //
     /*  723644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  723661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  723693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723712 */     GIR_RootConstrainSelectedInstOperands,
     /*  723713 */     // GIR_Coverage, 22149,
     /*  723713 */     GIR_EraseRootFromParent_Done,
     /*  723714 */   // Label 11440: @723714
     /*  723714 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(723789), // Rule ID 22152 //
     /*  723719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  723736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  723768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723787 */     GIR_RootConstrainSelectedInstOperands,
     /*  723788 */     // GIR_Coverage, 22152,
     /*  723788 */     GIR_EraseRootFromParent_Done,
     /*  723789 */   // Label 11441: @723789
     /*  723789 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(723864), // Rule ID 22153 //
     /*  723794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  723811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  723843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723862 */     GIR_RootConstrainSelectedInstOperands,
     /*  723863 */     // GIR_Coverage, 22153,
     /*  723863 */     GIR_EraseRootFromParent_Done,
     /*  723864 */   // Label 11442: @723864
     /*  723864 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(723939), // Rule ID 22156 //
     /*  723869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  723886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  723918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723937 */     GIR_RootConstrainSelectedInstOperands,
     /*  723938 */     // GIR_Coverage, 22156,
     /*  723938 */     GIR_EraseRootFromParent_Done,
     /*  723939 */   // Label 11443: @723939
     /*  723939 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(724014), // Rule ID 22157 //
     /*  723944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  723952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  723961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  723993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724012 */     GIR_RootConstrainSelectedInstOperands,
     /*  724013 */     // GIR_Coverage, 22157,
     /*  724013 */     GIR_EraseRootFromParent_Done,
     /*  724014 */   // Label 11444: @724014
     /*  724014 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(724089), // Rule ID 22160 //
     /*  724019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  724068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724087 */     GIR_RootConstrainSelectedInstOperands,
     /*  724088 */     // GIR_Coverage, 22160,
     /*  724088 */     GIR_EraseRootFromParent_Done,
     /*  724089 */   // Label 11445: @724089
     /*  724089 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(724164), // Rule ID 22161 //
     /*  724094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  724111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  724143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724162 */     GIR_RootConstrainSelectedInstOperands,
     /*  724163 */     // GIR_Coverage, 22161,
     /*  724163 */     GIR_EraseRootFromParent_Done,
     /*  724164 */   // Label 11446: @724164
     /*  724164 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(724239), // Rule ID 22164 //
     /*  724169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  724218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724237 */     GIR_RootConstrainSelectedInstOperands,
     /*  724238 */     // GIR_Coverage, 22164,
     /*  724238 */     GIR_EraseRootFromParent_Done,
     /*  724239 */   // Label 11447: @724239
     /*  724239 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(724314), // Rule ID 22165 //
     /*  724244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  724261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  724293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724312 */     GIR_RootConstrainSelectedInstOperands,
     /*  724313 */     // GIR_Coverage, 22165,
     /*  724313 */     GIR_EraseRootFromParent_Done,
     /*  724314 */   // Label 11448: @724314
     /*  724314 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(724389), // Rule ID 22168 //
     /*  724319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  724368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724387 */     GIR_RootConstrainSelectedInstOperands,
     /*  724388 */     // GIR_Coverage, 22168,
     /*  724388 */     GIR_EraseRootFromParent_Done,
     /*  724389 */   // Label 11449: @724389
     /*  724389 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(724464), // Rule ID 22169 //
     /*  724394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  724411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  724443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724462 */     GIR_RootConstrainSelectedInstOperands,
     /*  724463 */     // GIR_Coverage, 22169,
     /*  724463 */     GIR_EraseRootFromParent_Done,
     /*  724464 */   // Label 11450: @724464
     /*  724464 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(724539), // Rule ID 22172 //
     /*  724469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  724486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  724518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724537 */     GIR_RootConstrainSelectedInstOperands,
     /*  724538 */     // GIR_Coverage, 22172,
     /*  724538 */     GIR_EraseRootFromParent_Done,
     /*  724539 */   // Label 11451: @724539
     /*  724539 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(724614), // Rule ID 22173 //
     /*  724544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  724561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  724593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724612 */     GIR_RootConstrainSelectedInstOperands,
     /*  724613 */     // GIR_Coverage, 22173,
     /*  724613 */     GIR_EraseRootFromParent_Done,
     /*  724614 */   // Label 11452: @724614
     /*  724614 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(724689), // Rule ID 22176 //
     /*  724619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  724636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  724668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724687 */     GIR_RootConstrainSelectedInstOperands,
     /*  724688 */     // GIR_Coverage, 22176,
     /*  724688 */     GIR_EraseRootFromParent_Done,
     /*  724689 */   // Label 11453: @724689
     /*  724689 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(724764), // Rule ID 22177 //
     /*  724694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  724711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  724743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724762 */     GIR_RootConstrainSelectedInstOperands,
     /*  724763 */     // GIR_Coverage, 22177,
     /*  724763 */     GIR_EraseRootFromParent_Done,
     /*  724764 */   // Label 11454: @724764
     /*  724764 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(724839), // Rule ID 22180 //
     /*  724769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  724786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  724818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724837 */     GIR_RootConstrainSelectedInstOperands,
     /*  724838 */     // GIR_Coverage, 22180,
     /*  724838 */     GIR_EraseRootFromParent_Done,
     /*  724839 */   // Label 11455: @724839
     /*  724839 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(724914), // Rule ID 22181 //
     /*  724844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  724852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  724861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  724893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724912 */     GIR_RootConstrainSelectedInstOperands,
     /*  724913 */     // GIR_Coverage, 22181,
     /*  724913 */     GIR_EraseRootFromParent_Done,
     /*  724914 */   // Label 11456: @724914
     /*  724914 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(724989), // Rule ID 22184 //
     /*  724919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  724927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  724936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  724968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724987 */     GIR_RootConstrainSelectedInstOperands,
     /*  724988 */     // GIR_Coverage, 22184,
     /*  724988 */     GIR_EraseRootFromParent_Done,
     /*  724989 */   // Label 11457: @724989
     /*  724989 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(725064), // Rule ID 22185 //
     /*  724994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  725011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  725043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725062 */     GIR_RootConstrainSelectedInstOperands,
     /*  725063 */     // GIR_Coverage, 22185,
     /*  725063 */     GIR_EraseRootFromParent_Done,
     /*  725064 */   // Label 11458: @725064
     /*  725064 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(725139), // Rule ID 22188 //
     /*  725069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725115 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  725118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725137 */     GIR_RootConstrainSelectedInstOperands,
     /*  725138 */     // GIR_Coverage, 22188,
     /*  725138 */     GIR_EraseRootFromParent_Done,
     /*  725139 */   // Label 11459: @725139
     /*  725139 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(725214), // Rule ID 22189 //
     /*  725144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  725161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  725193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725212 */     GIR_RootConstrainSelectedInstOperands,
     /*  725213 */     // GIR_Coverage, 22189,
     /*  725213 */     GIR_EraseRootFromParent_Done,
     /*  725214 */   // Label 11460: @725214
     /*  725214 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(725289), // Rule ID 22192 //
     /*  725219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  725268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725287 */     GIR_RootConstrainSelectedInstOperands,
     /*  725288 */     // GIR_Coverage, 22192,
     /*  725288 */     GIR_EraseRootFromParent_Done,
     /*  725289 */   // Label 11461: @725289
     /*  725289 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(725364), // Rule ID 22193 //
     /*  725294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  725311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  725343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725362 */     GIR_RootConstrainSelectedInstOperands,
     /*  725363 */     // GIR_Coverage, 22193,
     /*  725363 */     GIR_EraseRootFromParent_Done,
     /*  725364 */   // Label 11462: @725364
     /*  725364 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(725439), // Rule ID 22196 //
     /*  725369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  725418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725437 */     GIR_RootConstrainSelectedInstOperands,
     /*  725438 */     // GIR_Coverage, 22196,
     /*  725438 */     GIR_EraseRootFromParent_Done,
     /*  725439 */   // Label 11463: @725439
     /*  725439 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(725514), // Rule ID 22197 //
     /*  725444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  725461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  725493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725512 */     GIR_RootConstrainSelectedInstOperands,
     /*  725513 */     // GIR_Coverage, 22197,
     /*  725513 */     GIR_EraseRootFromParent_Done,
     /*  725514 */   // Label 11464: @725514
     /*  725514 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(725589), // Rule ID 22200 //
     /*  725519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  725536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  725568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725587 */     GIR_RootConstrainSelectedInstOperands,
     /*  725588 */     // GIR_Coverage, 22200,
     /*  725588 */     GIR_EraseRootFromParent_Done,
     /*  725589 */   // Label 11465: @725589
     /*  725589 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(725664), // Rule ID 22201 //
     /*  725594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  725611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  725643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725662 */     GIR_RootConstrainSelectedInstOperands,
     /*  725663 */     // GIR_Coverage, 22201,
     /*  725663 */     GIR_EraseRootFromParent_Done,
     /*  725664 */   // Label 11466: @725664
     /*  725664 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(725739), // Rule ID 22204 //
     /*  725669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  725686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  725689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  725718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725737 */     GIR_RootConstrainSelectedInstOperands,
     /*  725738 */     // GIR_Coverage, 22204,
     /*  725738 */     GIR_EraseRootFromParent_Done,
     /*  725739 */   // Label 11467: @725739
     /*  725739 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(725814), // Rule ID 22205 //
     /*  725744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  725761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  725764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  725793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725812 */     GIR_RootConstrainSelectedInstOperands,
     /*  725813 */     // GIR_Coverage, 22205,
     /*  725813 */     GIR_EraseRootFromParent_Done,
     /*  725814 */   // Label 11468: @725814
     /*  725814 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(725889), // Rule ID 22208 //
     /*  725819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  725836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  725868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725887 */     GIR_RootConstrainSelectedInstOperands,
     /*  725888 */     // GIR_Coverage, 22208,
     /*  725888 */     GIR_EraseRootFromParent_Done,
     /*  725889 */   // Label 11469: @725889
     /*  725889 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(725964), // Rule ID 22209 //
     /*  725894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  725911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  725943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725962 */     GIR_RootConstrainSelectedInstOperands,
     /*  725963 */     // GIR_Coverage, 22209,
     /*  725963 */     GIR_EraseRootFromParent_Done,
     /*  725964 */   // Label 11470: @725964
     /*  725964 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(726039), // Rule ID 22212 //
     /*  725969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  725977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  725986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  726018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726037 */     GIR_RootConstrainSelectedInstOperands,
     /*  726038 */     // GIR_Coverage, 22212,
     /*  726038 */     GIR_EraseRootFromParent_Done,
     /*  726039 */   // Label 11471: @726039
     /*  726039 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(726114), // Rule ID 22213 //
     /*  726044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  726061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  726064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  726093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726112 */     GIR_RootConstrainSelectedInstOperands,
     /*  726113 */     // GIR_Coverage, 22213,
     /*  726113 */     GIR_EraseRootFromParent_Done,
     /*  726114 */   // Label 11472: @726114
     /*  726114 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(726189), // Rule ID 22216 //
     /*  726119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  726168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726187 */     GIR_RootConstrainSelectedInstOperands,
     /*  726188 */     // GIR_Coverage, 22216,
     /*  726188 */     GIR_EraseRootFromParent_Done,
     /*  726189 */   // Label 11473: @726189
     /*  726189 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(726264), // Rule ID 22217 //
     /*  726194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  726211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  726243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726262 */     GIR_RootConstrainSelectedInstOperands,
     /*  726263 */     // GIR_Coverage, 22217,
     /*  726263 */     GIR_EraseRootFromParent_Done,
     /*  726264 */   // Label 11474: @726264
     /*  726264 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(726339), // Rule ID 22220 //
     /*  726269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726315 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  726318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726337 */     GIR_RootConstrainSelectedInstOperands,
     /*  726338 */     // GIR_Coverage, 22220,
     /*  726338 */     GIR_EraseRootFromParent_Done,
     /*  726339 */   // Label 11475: @726339
     /*  726339 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(726414), // Rule ID 22221 //
     /*  726344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  726361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  726393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726412 */     GIR_RootConstrainSelectedInstOperands,
     /*  726413 */     // GIR_Coverage, 22221,
     /*  726413 */     GIR_EraseRootFromParent_Done,
     /*  726414 */   // Label 11476: @726414
     /*  726414 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(726489), // Rule ID 22224 //
     /*  726419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  726468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726487 */     GIR_RootConstrainSelectedInstOperands,
     /*  726488 */     // GIR_Coverage, 22224,
     /*  726488 */     GIR_EraseRootFromParent_Done,
     /*  726489 */   // Label 11477: @726489
     /*  726489 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(726564), // Rule ID 22225 //
     /*  726494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  726511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  726543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726562 */     GIR_RootConstrainSelectedInstOperands,
     /*  726563 */     // GIR_Coverage, 22225,
     /*  726563 */     GIR_EraseRootFromParent_Done,
     /*  726564 */   // Label 11478: @726564
     /*  726564 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(726639), // Rule ID 22228 //
     /*  726569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  726586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726615 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  726618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726637 */     GIR_RootConstrainSelectedInstOperands,
     /*  726638 */     // GIR_Coverage, 22228,
     /*  726638 */     GIR_EraseRootFromParent_Done,
     /*  726639 */   // Label 11479: @726639
     /*  726639 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(726714), // Rule ID 22229 //
     /*  726644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  726661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726690 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  726693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726712 */     GIR_RootConstrainSelectedInstOperands,
     /*  726713 */     // GIR_Coverage, 22229,
     /*  726713 */     GIR_EraseRootFromParent_Done,
     /*  726714 */   // Label 11480: @726714
     /*  726714 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(726789), // Rule ID 22232 //
     /*  726719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  726736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  726768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726787 */     GIR_RootConstrainSelectedInstOperands,
     /*  726788 */     // GIR_Coverage, 22232,
     /*  726788 */     GIR_EraseRootFromParent_Done,
     /*  726789 */   // Label 11481: @726789
     /*  726789 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(726864), // Rule ID 22233 //
     /*  726794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  726811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  726843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726862 */     GIR_RootConstrainSelectedInstOperands,
     /*  726863 */     // GIR_Coverage, 22233,
     /*  726863 */     GIR_EraseRootFromParent_Done,
     /*  726864 */   // Label 11482: @726864
     /*  726864 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(726939), // Rule ID 22236 //
     /*  726869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  726886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  726889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  726918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726937 */     GIR_RootConstrainSelectedInstOperands,
     /*  726938 */     // GIR_Coverage, 22236,
     /*  726938 */     GIR_EraseRootFromParent_Done,
     /*  726939 */   // Label 11483: @726939
     /*  726939 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(727014), // Rule ID 22237 //
     /*  726944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  726952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  726955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  726958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  726961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  726964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  726993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727012 */     GIR_RootConstrainSelectedInstOperands,
     /*  727013 */     // GIR_Coverage, 22237,
     /*  727013 */     GIR_EraseRootFromParent_Done,
     /*  727014 */   // Label 11484: @727014
     /*  727014 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(727089), // Rule ID 22240 //
     /*  727019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727065 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  727068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727087 */     GIR_RootConstrainSelectedInstOperands,
     /*  727088 */     // GIR_Coverage, 22240,
     /*  727088 */     GIR_EraseRootFromParent_Done,
     /*  727089 */   // Label 11485: @727089
     /*  727089 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(727164), // Rule ID 22241 //
     /*  727094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  727111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  727143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727162 */     GIR_RootConstrainSelectedInstOperands,
     /*  727163 */     // GIR_Coverage, 22241,
     /*  727163 */     GIR_EraseRootFromParent_Done,
     /*  727164 */   // Label 11486: @727164
     /*  727164 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(727239), // Rule ID 22244 //
     /*  727169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  727218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727237 */     GIR_RootConstrainSelectedInstOperands,
     /*  727238 */     // GIR_Coverage, 22244,
     /*  727238 */     GIR_EraseRootFromParent_Done,
     /*  727239 */   // Label 11487: @727239
     /*  727239 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(727314), // Rule ID 22245 //
     /*  727244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  727261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  727293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727312 */     GIR_RootConstrainSelectedInstOperands,
     /*  727313 */     // GIR_Coverage, 22245,
     /*  727313 */     GIR_EraseRootFromParent_Done,
     /*  727314 */   // Label 11488: @727314
     /*  727314 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(727389), // Rule ID 22248 //
     /*  727319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  727368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727387 */     GIR_RootConstrainSelectedInstOperands,
     /*  727388 */     // GIR_Coverage, 22248,
     /*  727388 */     GIR_EraseRootFromParent_Done,
     /*  727389 */   // Label 11489: @727389
     /*  727389 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(727464), // Rule ID 22249 //
     /*  727394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  727411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  727443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727462 */     GIR_RootConstrainSelectedInstOperands,
     /*  727463 */     // GIR_Coverage, 22249,
     /*  727463 */     GIR_EraseRootFromParent_Done,
     /*  727464 */   // Label 11490: @727464
     /*  727464 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(727539), // Rule ID 22252 //
     /*  727469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  727486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  727518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727537 */     GIR_RootConstrainSelectedInstOperands,
     /*  727538 */     // GIR_Coverage, 22252,
     /*  727538 */     GIR_EraseRootFromParent_Done,
     /*  727539 */   // Label 11491: @727539
     /*  727539 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(727614), // Rule ID 22253 //
     /*  727544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  727561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  727593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727612 */     GIR_RootConstrainSelectedInstOperands,
     /*  727613 */     // GIR_Coverage, 22253,
     /*  727613 */     GIR_EraseRootFromParent_Done,
     /*  727614 */   // Label 11492: @727614
     /*  727614 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(727689), // Rule ID 22256 //
     /*  727619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  727636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  727668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727687 */     GIR_RootConstrainSelectedInstOperands,
     /*  727688 */     // GIR_Coverage, 22256,
     /*  727688 */     GIR_EraseRootFromParent_Done,
     /*  727689 */   // Label 11493: @727689
     /*  727689 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(727764), // Rule ID 22257 //
     /*  727694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  727711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  727743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727762 */     GIR_RootConstrainSelectedInstOperands,
     /*  727763 */     // GIR_Coverage, 22257,
     /*  727763 */     GIR_EraseRootFromParent_Done,
     /*  727764 */   // Label 11494: @727764
     /*  727764 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(727839), // Rule ID 22260 //
     /*  727769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  727786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  727789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  727818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727837 */     GIR_RootConstrainSelectedInstOperands,
     /*  727838 */     // GIR_Coverage, 22260,
     /*  727838 */     GIR_EraseRootFromParent_Done,
     /*  727839 */   // Label 11495: @727839
     /*  727839 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(727914), // Rule ID 22261 //
     /*  727844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  727861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  727864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  727893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727912 */     GIR_RootConstrainSelectedInstOperands,
     /*  727913 */     // GIR_Coverage, 22261,
     /*  727913 */     GIR_EraseRootFromParent_Done,
     /*  727914 */   // Label 11496: @727914
     /*  727914 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(727989), // Rule ID 22264 //
     /*  727919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  727927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  727936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  727939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  727968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727987 */     GIR_RootConstrainSelectedInstOperands,
     /*  727988 */     // GIR_Coverage, 22264,
     /*  727988 */     GIR_EraseRootFromParent_Done,
     /*  727989 */   // Label 11497: @727989
     /*  727989 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(728064), // Rule ID 22265 //
     /*  727994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  728002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  728011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  728043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728062 */     GIR_RootConstrainSelectedInstOperands,
     /*  728063 */     // GIR_Coverage, 22265,
     /*  728063 */     GIR_EraseRootFromParent_Done,
     /*  728064 */   // Label 11498: @728064
     /*  728064 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(728139), // Rule ID 22268 //
     /*  728069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  728077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  728118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728137 */     GIR_RootConstrainSelectedInstOperands,
     /*  728138 */     // GIR_Coverage, 22268,
     /*  728138 */     GIR_EraseRootFromParent_Done,
     /*  728139 */   // Label 11499: @728139
     /*  728139 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(728214), // Rule ID 22269 //
     /*  728144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  728152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  728161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  728193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728212 */     GIR_RootConstrainSelectedInstOperands,
     /*  728213 */     // GIR_Coverage, 22269,
     /*  728213 */     GIR_EraseRootFromParent_Done,
     /*  728214 */   // Label 11500: @728214
     /*  728214 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(728289), // Rule ID 22272 //
     /*  728219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  728268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728287 */     GIR_RootConstrainSelectedInstOperands,
     /*  728288 */     // GIR_Coverage, 22272,
     /*  728288 */     GIR_EraseRootFromParent_Done,
     /*  728289 */   // Label 11501: @728289
     /*  728289 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(728364), // Rule ID 22273 //
     /*  728294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  728311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  728343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728362 */     GIR_RootConstrainSelectedInstOperands,
     /*  728363 */     // GIR_Coverage, 22273,
     /*  728363 */     GIR_EraseRootFromParent_Done,
     /*  728364 */   // Label 11502: @728364
     /*  728364 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(728439), // Rule ID 22276 //
     /*  728369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  728418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728437 */     GIR_RootConstrainSelectedInstOperands,
     /*  728438 */     // GIR_Coverage, 22276,
     /*  728438 */     GIR_EraseRootFromParent_Done,
     /*  728439 */   // Label 11503: @728439
     /*  728439 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(728514), // Rule ID 22277 //
     /*  728444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  728461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  728493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728512 */     GIR_RootConstrainSelectedInstOperands,
     /*  728513 */     // GIR_Coverage, 22277,
     /*  728513 */     GIR_EraseRootFromParent_Done,
     /*  728514 */   // Label 11504: @728514
     /*  728514 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(728589), // Rule ID 22280 //
     /*  728519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  728536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  728568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728587 */     GIR_RootConstrainSelectedInstOperands,
     /*  728588 */     // GIR_Coverage, 22280,
     /*  728588 */     GIR_EraseRootFromParent_Done,
     /*  728589 */   // Label 11505: @728589
     /*  728589 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(728664), // Rule ID 22281 //
     /*  728594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  728611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  728643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728662 */     GIR_RootConstrainSelectedInstOperands,
     /*  728663 */     // GIR_Coverage, 22281,
     /*  728663 */     GIR_EraseRootFromParent_Done,
     /*  728664 */   // Label 11506: @728664
     /*  728664 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(728739), // Rule ID 22284 //
     /*  728669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  728686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  728718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728737 */     GIR_RootConstrainSelectedInstOperands,
     /*  728738 */     // GIR_Coverage, 22284,
     /*  728738 */     GIR_EraseRootFromParent_Done,
     /*  728739 */   // Label 11507: @728739
     /*  728739 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(728814), // Rule ID 22285 //
     /*  728744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  728761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  728793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728812 */     GIR_RootConstrainSelectedInstOperands,
     /*  728813 */     // GIR_Coverage, 22285,
     /*  728813 */     GIR_EraseRootFromParent_Done,
     /*  728814 */   // Label 11508: @728814
     /*  728814 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(728889), // Rule ID 22288 //
     /*  728819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  728836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  728868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728887 */     GIR_RootConstrainSelectedInstOperands,
     /*  728888 */     // GIR_Coverage, 22288,
     /*  728888 */     GIR_EraseRootFromParent_Done,
     /*  728889 */   // Label 11509: @728889
     /*  728889 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(728964), // Rule ID 22289 //
     /*  728894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  728911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  728943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728962 */     GIR_RootConstrainSelectedInstOperands,
     /*  728963 */     // GIR_Coverage, 22289,
     /*  728963 */     GIR_EraseRootFromParent_Done,
     /*  728964 */   // Label 11510: @728964
     /*  728964 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(729039), // Rule ID 22292 //
     /*  728969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  728977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  728986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729015 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  729018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729037 */     GIR_RootConstrainSelectedInstOperands,
     /*  729038 */     // GIR_Coverage, 22292,
     /*  729038 */     GIR_EraseRootFromParent_Done,
     /*  729039 */   // Label 11511: @729039
     /*  729039 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(729114), // Rule ID 22293 //
     /*  729044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  729061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  729093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729112 */     GIR_RootConstrainSelectedInstOperands,
     /*  729113 */     // GIR_Coverage, 22293,
     /*  729113 */     GIR_EraseRootFromParent_Done,
     /*  729114 */   // Label 11512: @729114
     /*  729114 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(729189), // Rule ID 22296 //
     /*  729119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  729168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729187 */     GIR_RootConstrainSelectedInstOperands,
     /*  729188 */     // GIR_Coverage, 22296,
     /*  729188 */     GIR_EraseRootFromParent_Done,
     /*  729189 */   // Label 11513: @729189
     /*  729189 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(729264), // Rule ID 22297 //
     /*  729194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  729211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  729243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729262 */     GIR_RootConstrainSelectedInstOperands,
     /*  729263 */     // GIR_Coverage, 22297,
     /*  729263 */     GIR_EraseRootFromParent_Done,
     /*  729264 */   // Label 11514: @729264
     /*  729264 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(729339), // Rule ID 22300 //
     /*  729269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  729318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729337 */     GIR_RootConstrainSelectedInstOperands,
     /*  729338 */     // GIR_Coverage, 22300,
     /*  729338 */     GIR_EraseRootFromParent_Done,
     /*  729339 */   // Label 11515: @729339
     /*  729339 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(729414), // Rule ID 22301 //
     /*  729344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  729361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  729393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729412 */     GIR_RootConstrainSelectedInstOperands,
     /*  729413 */     // GIR_Coverage, 22301,
     /*  729413 */     GIR_EraseRootFromParent_Done,
     /*  729414 */   // Label 11516: @729414
     /*  729414 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(729489), // Rule ID 22304 //
     /*  729419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  729468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729487 */     GIR_RootConstrainSelectedInstOperands,
     /*  729488 */     // GIR_Coverage, 22304,
     /*  729488 */     GIR_EraseRootFromParent_Done,
     /*  729489 */   // Label 11517: @729489
     /*  729489 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(729564), // Rule ID 22305 //
     /*  729494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  729511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  729543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729562 */     GIR_RootConstrainSelectedInstOperands,
     /*  729563 */     // GIR_Coverage, 22305,
     /*  729563 */     GIR_EraseRootFromParent_Done,
     /*  729564 */   // Label 11518: @729564
     /*  729564 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(729639), // Rule ID 22308 //
     /*  729569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  729583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  729586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  729589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  729618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729637 */     GIR_RootConstrainSelectedInstOperands,
     /*  729638 */     // GIR_Coverage, 22308,
     /*  729638 */     GIR_EraseRootFromParent_Done,
     /*  729639 */   // Label 11519: @729639
     /*  729639 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(729714), // Rule ID 22309 //
     /*  729644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  729658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  729661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  729664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  729693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729712 */     GIR_RootConstrainSelectedInstOperands,
     /*  729713 */     // GIR_Coverage, 22309,
     /*  729713 */     GIR_EraseRootFromParent_Done,
     /*  729714 */   // Label 11520: @729714
     /*  729714 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(729789), // Rule ID 22312 //
     /*  729719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  729736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  729768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729787 */     GIR_RootConstrainSelectedInstOperands,
     /*  729788 */     // GIR_Coverage, 22312,
     /*  729788 */     GIR_EraseRootFromParent_Done,
     /*  729789 */   // Label 11521: @729789
     /*  729789 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(729864), // Rule ID 22313 //
     /*  729794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  729811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  729843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729862 */     GIR_RootConstrainSelectedInstOperands,
     /*  729863 */     // GIR_Coverage, 22313,
     /*  729863 */     GIR_EraseRootFromParent_Done,
     /*  729864 */   // Label 11522: @729864
     /*  729864 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(729939), // Rule ID 22316 //
     /*  729869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  729886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729915 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  729918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729937 */     GIR_RootConstrainSelectedInstOperands,
     /*  729938 */     // GIR_Coverage, 22316,
     /*  729938 */     GIR_EraseRootFromParent_Done,
     /*  729939 */   // Label 11523: @729939
     /*  729939 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(730014), // Rule ID 22317 //
     /*  729944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  729952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  729955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  729958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  729961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  729964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729990 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  729993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730012 */     GIR_RootConstrainSelectedInstOperands,
     /*  730013 */     // GIR_Coverage, 22317,
     /*  730013 */     GIR_EraseRootFromParent_Done,
     /*  730014 */   // Label 11524: @730014
     /*  730014 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(730089), // Rule ID 22320 //
     /*  730019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  730068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730087 */     GIR_RootConstrainSelectedInstOperands,
     /*  730088 */     // GIR_Coverage, 22320,
     /*  730088 */     GIR_EraseRootFromParent_Done,
     /*  730089 */   // Label 11525: @730089
     /*  730089 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(730164), // Rule ID 22321 //
     /*  730094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  730111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  730143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730162 */     GIR_RootConstrainSelectedInstOperands,
     /*  730163 */     // GIR_Coverage, 22321,
     /*  730163 */     GIR_EraseRootFromParent_Done,
     /*  730164 */   // Label 11526: @730164
     /*  730164 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(730239), // Rule ID 22324 //
     /*  730169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  730218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730237 */     GIR_RootConstrainSelectedInstOperands,
     /*  730238 */     // GIR_Coverage, 22324,
     /*  730238 */     GIR_EraseRootFromParent_Done,
     /*  730239 */   // Label 11527: @730239
     /*  730239 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(730314), // Rule ID 22325 //
     /*  730244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  730261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  730293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730312 */     GIR_RootConstrainSelectedInstOperands,
     /*  730313 */     // GIR_Coverage, 22325,
     /*  730313 */     GIR_EraseRootFromParent_Done,
     /*  730314 */   // Label 11528: @730314
     /*  730314 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(730389), // Rule ID 22328 //
     /*  730319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  730368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730387 */     GIR_RootConstrainSelectedInstOperands,
     /*  730388 */     // GIR_Coverage, 22328,
     /*  730388 */     GIR_EraseRootFromParent_Done,
     /*  730389 */   // Label 11529: @730389
     /*  730389 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(730464), // Rule ID 22329 //
     /*  730394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  730411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  730443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730462 */     GIR_RootConstrainSelectedInstOperands,
     /*  730463 */     // GIR_Coverage, 22329,
     /*  730463 */     GIR_EraseRootFromParent_Done,
     /*  730464 */   // Label 11530: @730464
     /*  730464 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(730539), // Rule ID 22332 //
     /*  730469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  730486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  730518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730537 */     GIR_RootConstrainSelectedInstOperands,
     /*  730538 */     // GIR_Coverage, 22332,
     /*  730538 */     GIR_EraseRootFromParent_Done,
     /*  730539 */   // Label 11531: @730539
     /*  730539 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(730614), // Rule ID 22333 //
     /*  730544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  730561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  730593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730612 */     GIR_RootConstrainSelectedInstOperands,
     /*  730613 */     // GIR_Coverage, 22333,
     /*  730613 */     GIR_EraseRootFromParent_Done,
     /*  730614 */   // Label 11532: @730614
     /*  730614 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(730689), // Rule ID 22336 //
     /*  730619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  730636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  730668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730687 */     GIR_RootConstrainSelectedInstOperands,
     /*  730688 */     // GIR_Coverage, 22336,
     /*  730688 */     GIR_EraseRootFromParent_Done,
     /*  730689 */   // Label 11533: @730689
     /*  730689 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(730764), // Rule ID 22337 //
     /*  730694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  730711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  730743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730762 */     GIR_RootConstrainSelectedInstOperands,
     /*  730763 */     // GIR_Coverage, 22337,
     /*  730763 */     GIR_EraseRootFromParent_Done,
     /*  730764 */   // Label 11534: @730764
     /*  730764 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(730839), // Rule ID 22340 //
     /*  730769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  730786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  730818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730837 */     GIR_RootConstrainSelectedInstOperands,
     /*  730838 */     // GIR_Coverage, 22340,
     /*  730838 */     GIR_EraseRootFromParent_Done,
     /*  730839 */   // Label 11535: @730839
     /*  730839 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(730914), // Rule ID 22341 //
     /*  730844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  730861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  730893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730912 */     GIR_RootConstrainSelectedInstOperands,
     /*  730913 */     // GIR_Coverage, 22341,
     /*  730913 */     GIR_EraseRootFromParent_Done,
     /*  730914 */   // Label 11536: @730914
     /*  730914 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(730989), // Rule ID 22344 //
     /*  730919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  730927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  730936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  730968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730987 */     GIR_RootConstrainSelectedInstOperands,
     /*  730988 */     // GIR_Coverage, 22344,
     /*  730988 */     GIR_EraseRootFromParent_Done,
     /*  730989 */   // Label 11537: @730989
     /*  730989 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(731064), // Rule ID 22345 //
     /*  730994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  731011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  731014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  731043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731062 */     GIR_RootConstrainSelectedInstOperands,
     /*  731063 */     // GIR_Coverage, 22345,
     /*  731063 */     GIR_EraseRootFromParent_Done,
     /*  731064 */   // Label 11538: @731064
     /*  731064 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(731139), // Rule ID 22348 //
     /*  731069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  731118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731137 */     GIR_RootConstrainSelectedInstOperands,
     /*  731138 */     // GIR_Coverage, 22348,
     /*  731138 */     GIR_EraseRootFromParent_Done,
     /*  731139 */   // Label 11539: @731139
     /*  731139 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(731214), // Rule ID 22349 //
     /*  731144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  731161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  731193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731212 */     GIR_RootConstrainSelectedInstOperands,
     /*  731213 */     // GIR_Coverage, 22349,
     /*  731213 */     GIR_EraseRootFromParent_Done,
     /*  731214 */   // Label 11540: @731214
     /*  731214 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(731289), // Rule ID 22352 //
     /*  731219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  731268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731287 */     GIR_RootConstrainSelectedInstOperands,
     /*  731288 */     // GIR_Coverage, 22352,
     /*  731288 */     GIR_EraseRootFromParent_Done,
     /*  731289 */   // Label 11541: @731289
     /*  731289 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(731364), // Rule ID 22353 //
     /*  731294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  731311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  731343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731362 */     GIR_RootConstrainSelectedInstOperands,
     /*  731363 */     // GIR_Coverage, 22353,
     /*  731363 */     GIR_EraseRootFromParent_Done,
     /*  731364 */   // Label 11542: @731364
     /*  731364 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(731439), // Rule ID 22356 //
     /*  731369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  731418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731437 */     GIR_RootConstrainSelectedInstOperands,
     /*  731438 */     // GIR_Coverage, 22356,
     /*  731438 */     GIR_EraseRootFromParent_Done,
     /*  731439 */   // Label 11543: @731439
     /*  731439 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(731514), // Rule ID 22357 //
     /*  731444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  731452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  731461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  731493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731512 */     GIR_RootConstrainSelectedInstOperands,
     /*  731513 */     // GIR_Coverage, 22357,
     /*  731513 */     GIR_EraseRootFromParent_Done,
     /*  731514 */   // Label 11544: @731514
     /*  731514 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(731589), // Rule ID 22360 //
     /*  731519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  731536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731565 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  731568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731587 */     GIR_RootConstrainSelectedInstOperands,
     /*  731588 */     // GIR_Coverage, 22360,
     /*  731588 */     GIR_EraseRootFromParent_Done,
     /*  731589 */   // Label 11545: @731589
     /*  731589 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(731664), // Rule ID 22361 //
     /*  731594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  731611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  731643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731662 */     GIR_RootConstrainSelectedInstOperands,
     /*  731663 */     // GIR_Coverage, 22361,
     /*  731663 */     GIR_EraseRootFromParent_Done,
     /*  731664 */   // Label 11546: @731664
     /*  731664 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(731739), // Rule ID 22364 //
     /*  731669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  731686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731715 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  731718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731737 */     GIR_RootConstrainSelectedInstOperands,
     /*  731738 */     // GIR_Coverage, 22364,
     /*  731738 */     GIR_EraseRootFromParent_Done,
     /*  731739 */   // Label 11547: @731739
     /*  731739 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(731814), // Rule ID 22365 //
     /*  731744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  731761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  731793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731812 */     GIR_RootConstrainSelectedInstOperands,
     /*  731813 */     // GIR_Coverage, 22365,
     /*  731813 */     GIR_EraseRootFromParent_Done,
     /*  731814 */   // Label 11548: @731814
     /*  731814 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(731889), // Rule ID 22368 //
     /*  731819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  731836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  731868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731887 */     GIR_RootConstrainSelectedInstOperands,
     /*  731888 */     // GIR_Coverage, 22368,
     /*  731888 */     GIR_EraseRootFromParent_Done,
     /*  731889 */   // Label 11549: @731889
     /*  731889 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(731964), // Rule ID 22369 //
     /*  731894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  731911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  731943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731962 */     GIR_RootConstrainSelectedInstOperands,
     /*  731963 */     // GIR_Coverage, 22369,
     /*  731963 */     GIR_EraseRootFromParent_Done,
     /*  731964 */   // Label 11550: @731964
     /*  731964 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(732039), // Rule ID 22372 //
     /*  731969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  731977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  731986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  731989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  732018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732037 */     GIR_RootConstrainSelectedInstOperands,
     /*  732038 */     // GIR_Coverage, 22372,
     /*  732038 */     GIR_EraseRootFromParent_Done,
     /*  732039 */   // Label 11551: @732039
     /*  732039 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(732114), // Rule ID 22373 //
     /*  732044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  732061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  732093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732112 */     GIR_RootConstrainSelectedInstOperands,
     /*  732113 */     // GIR_Coverage, 22373,
     /*  732113 */     GIR_EraseRootFromParent_Done,
     /*  732114 */   // Label 11552: @732114
     /*  732114 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(732189), // Rule ID 22376 //
     /*  732119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  732168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732187 */     GIR_RootConstrainSelectedInstOperands,
     /*  732188 */     // GIR_Coverage, 22376,
     /*  732188 */     GIR_EraseRootFromParent_Done,
     /*  732189 */   // Label 11553: @732189
     /*  732189 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(732264), // Rule ID 22377 //
     /*  732194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  732211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  732243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732262 */     GIR_RootConstrainSelectedInstOperands,
     /*  732263 */     // GIR_Coverage, 22377,
     /*  732263 */     GIR_EraseRootFromParent_Done,
     /*  732264 */   // Label 11554: @732264
     /*  732264 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(732339), // Rule ID 22380 //
     /*  732269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  732318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732337 */     GIR_RootConstrainSelectedInstOperands,
     /*  732338 */     // GIR_Coverage, 22380,
     /*  732338 */     GIR_EraseRootFromParent_Done,
     /*  732339 */   // Label 11555: @732339
     /*  732339 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(732414), // Rule ID 22381 //
     /*  732344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  732361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  732393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732412 */     GIR_RootConstrainSelectedInstOperands,
     /*  732413 */     // GIR_Coverage, 22381,
     /*  732413 */     GIR_EraseRootFromParent_Done,
     /*  732414 */   // Label 11556: @732414
     /*  732414 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(732489), // Rule ID 22384 //
     /*  732419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  732439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  732468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732487 */     GIR_RootConstrainSelectedInstOperands,
     /*  732488 */     // GIR_Coverage, 22384,
     /*  732488 */     GIR_EraseRootFromParent_Done,
     /*  732489 */   // Label 11557: @732489
     /*  732489 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(732564), // Rule ID 22385 //
     /*  732494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  732511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  732514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  732543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732562 */     GIR_RootConstrainSelectedInstOperands,
     /*  732563 */     // GIR_Coverage, 22385,
     /*  732563 */     GIR_EraseRootFromParent_Done,
     /*  732564 */   // Label 11558: @732564
     /*  732564 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(732639), // Rule ID 22388 //
     /*  732569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  732586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732615 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  732618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732637 */     GIR_RootConstrainSelectedInstOperands,
     /*  732638 */     // GIR_Coverage, 22388,
     /*  732638 */     GIR_EraseRootFromParent_Done,
     /*  732639 */   // Label 11559: @732639
     /*  732639 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(732714), // Rule ID 22389 //
     /*  732644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  732661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  732693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732712 */     GIR_RootConstrainSelectedInstOperands,
     /*  732713 */     // GIR_Coverage, 22389,
     /*  732713 */     GIR_EraseRootFromParent_Done,
     /*  732714 */   // Label 11560: @732714
     /*  732714 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(732789), // Rule ID 22392 //
     /*  732719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  732736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  732768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732787 */     GIR_RootConstrainSelectedInstOperands,
     /*  732788 */     // GIR_Coverage, 22392,
     /*  732788 */     GIR_EraseRootFromParent_Done,
     /*  732789 */   // Label 11561: @732789
     /*  732789 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(732864), // Rule ID 22393 //
     /*  732794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  732811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  732843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732862 */     GIR_RootConstrainSelectedInstOperands,
     /*  732863 */     // GIR_Coverage, 22393,
     /*  732863 */     GIR_EraseRootFromParent_Done,
     /*  732864 */   // Label 11562: @732864
     /*  732864 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(732939), // Rule ID 22396 //
     /*  732869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  732880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  732883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  732886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  732889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  732918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732937 */     GIR_RootConstrainSelectedInstOperands,
     /*  732938 */     // GIR_Coverage, 22396,
     /*  732938 */     GIR_EraseRootFromParent_Done,
     /*  732939 */   // Label 11563: @732939
     /*  732939 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(733014), // Rule ID 22397 //
     /*  732944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  732952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  732955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  732958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  732961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  732964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  732993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733012 */     GIR_RootConstrainSelectedInstOperands,
     /*  733013 */     // GIR_Coverage, 22397,
     /*  733013 */     GIR_EraseRootFromParent_Done,
     /*  733014 */   // Label 11564: @733014
     /*  733014 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(733089), // Rule ID 22400 //
     /*  733019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  733068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733087 */     GIR_RootConstrainSelectedInstOperands,
     /*  733088 */     // GIR_Coverage, 22400,
     /*  733088 */     GIR_EraseRootFromParent_Done,
     /*  733089 */   // Label 11565: @733089
     /*  733089 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(733164), // Rule ID 22401 //
     /*  733094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  733111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  733143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733162 */     GIR_RootConstrainSelectedInstOperands,
     /*  733163 */     // GIR_Coverage, 22401,
     /*  733163 */     GIR_EraseRootFromParent_Done,
     /*  733164 */   // Label 11566: @733164
     /*  733164 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(733239), // Rule ID 22404 //
     /*  733169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733215 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  733218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733237 */     GIR_RootConstrainSelectedInstOperands,
     /*  733238 */     // GIR_Coverage, 22404,
     /*  733238 */     GIR_EraseRootFromParent_Done,
     /*  733239 */   // Label 11567: @733239
     /*  733239 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(733314), // Rule ID 22405 //
     /*  733244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  733261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  733293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733312 */     GIR_RootConstrainSelectedInstOperands,
     /*  733313 */     // GIR_Coverage, 22405,
     /*  733313 */     GIR_EraseRootFromParent_Done,
     /*  733314 */   // Label 11568: @733314
     /*  733314 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(733389), // Rule ID 22408 //
     /*  733319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  733368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733387 */     GIR_RootConstrainSelectedInstOperands,
     /*  733388 */     // GIR_Coverage, 22408,
     /*  733388 */     GIR_EraseRootFromParent_Done,
     /*  733389 */   // Label 11569: @733389
     /*  733389 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(733464), // Rule ID 22409 //
     /*  733394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  733411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  733443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733462 */     GIR_RootConstrainSelectedInstOperands,
     /*  733463 */     // GIR_Coverage, 22409,
     /*  733463 */     GIR_EraseRootFromParent_Done,
     /*  733464 */   // Label 11570: @733464
     /*  733464 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(733539), // Rule ID 22412 //
     /*  733469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  733486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  733518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733537 */     GIR_RootConstrainSelectedInstOperands,
     /*  733538 */     // GIR_Coverage, 22412,
     /*  733538 */     GIR_EraseRootFromParent_Done,
     /*  733539 */   // Label 11571: @733539
     /*  733539 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(733614), // Rule ID 22413 //
     /*  733544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  733561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  733593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733612 */     GIR_RootConstrainSelectedInstOperands,
     /*  733613 */     // GIR_Coverage, 22413,
     /*  733613 */     GIR_EraseRootFromParent_Done,
     /*  733614 */   // Label 11572: @733614
     /*  733614 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(733689), // Rule ID 22416 //
     /*  733619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  733636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  733668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733687 */     GIR_RootConstrainSelectedInstOperands,
     /*  733688 */     // GIR_Coverage, 22416,
     /*  733688 */     GIR_EraseRootFromParent_Done,
     /*  733689 */   // Label 11573: @733689
     /*  733689 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(733764), // Rule ID 22417 //
     /*  733694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  733711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  733743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733762 */     GIR_RootConstrainSelectedInstOperands,
     /*  733763 */     // GIR_Coverage, 22417,
     /*  733763 */     GIR_EraseRootFromParent_Done,
     /*  733764 */   // Label 11574: @733764
     /*  733764 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(733839), // Rule ID 22420 //
     /*  733769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  733786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  733818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733837 */     GIR_RootConstrainSelectedInstOperands,
     /*  733838 */     // GIR_Coverage, 22420,
     /*  733838 */     GIR_EraseRootFromParent_Done,
     /*  733839 */   // Label 11575: @733839
     /*  733839 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(733914), // Rule ID 22421 //
     /*  733844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  733861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  733893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733912 */     GIR_RootConstrainSelectedInstOperands,
     /*  733913 */     // GIR_Coverage, 22421,
     /*  733913 */     GIR_EraseRootFromParent_Done,
     /*  733914 */   // Label 11576: @733914
     /*  733914 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(733989), // Rule ID 22424 //
     /*  733919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  733927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  733936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  733939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  733968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733987 */     GIR_RootConstrainSelectedInstOperands,
     /*  733988 */     // GIR_Coverage, 22424,
     /*  733988 */     GIR_EraseRootFromParent_Done,
     /*  733989 */   // Label 11577: @733989
     /*  733989 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(734064), // Rule ID 22425 //
     /*  733994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  734011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  734043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734062 */     GIR_RootConstrainSelectedInstOperands,
     /*  734063 */     // GIR_Coverage, 22425,
     /*  734063 */     GIR_EraseRootFromParent_Done,
     /*  734064 */   // Label 11578: @734064
     /*  734064 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(734139), // Rule ID 22428 //
     /*  734069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  734118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734137 */     GIR_RootConstrainSelectedInstOperands,
     /*  734138 */     // GIR_Coverage, 22428,
     /*  734138 */     GIR_EraseRootFromParent_Done,
     /*  734139 */   // Label 11579: @734139
     /*  734139 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(734214), // Rule ID 22429 //
     /*  734144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  734161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  734193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734212 */     GIR_RootConstrainSelectedInstOperands,
     /*  734213 */     // GIR_Coverage, 22429,
     /*  734213 */     GIR_EraseRootFromParent_Done,
     /*  734214 */   // Label 11580: @734214
     /*  734214 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(734289), // Rule ID 22432 //
     /*  734219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  734268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734287 */     GIR_RootConstrainSelectedInstOperands,
     /*  734288 */     // GIR_Coverage, 22432,
     /*  734288 */     GIR_EraseRootFromParent_Done,
     /*  734289 */   // Label 11581: @734289
     /*  734289 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(734364), // Rule ID 22433 //
     /*  734294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  734311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  734343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734362 */     GIR_RootConstrainSelectedInstOperands,
     /*  734363 */     // GIR_Coverage, 22433,
     /*  734363 */     GIR_EraseRootFromParent_Done,
     /*  734364 */   // Label 11582: @734364
     /*  734364 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(734439), // Rule ID 22436 //
     /*  734369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  734418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734437 */     GIR_RootConstrainSelectedInstOperands,
     /*  734438 */     // GIR_Coverage, 22436,
     /*  734438 */     GIR_EraseRootFromParent_Done,
     /*  734439 */   // Label 11583: @734439
     /*  734439 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(734514), // Rule ID 22437 //
     /*  734444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  734461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  734493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734512 */     GIR_RootConstrainSelectedInstOperands,
     /*  734513 */     // GIR_Coverage, 22437,
     /*  734513 */     GIR_EraseRootFromParent_Done,
     /*  734514 */   // Label 11584: @734514
     /*  734514 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(734589), // Rule ID 22440 //
     /*  734519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  734536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734565 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  734568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734587 */     GIR_RootConstrainSelectedInstOperands,
     /*  734588 */     // GIR_Coverage, 22440,
     /*  734588 */     GIR_EraseRootFromParent_Done,
     /*  734589 */   // Label 11585: @734589
     /*  734589 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(734664), // Rule ID 22441 //
     /*  734594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  734611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  734643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734662 */     GIR_RootConstrainSelectedInstOperands,
     /*  734663 */     // GIR_Coverage, 22441,
     /*  734663 */     GIR_EraseRootFromParent_Done,
     /*  734664 */   // Label 11586: @734664
     /*  734664 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(734739), // Rule ID 22444 //
     /*  734669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  734686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  734718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734737 */     GIR_RootConstrainSelectedInstOperands,
     /*  734738 */     // GIR_Coverage, 22444,
     /*  734738 */     GIR_EraseRootFromParent_Done,
     /*  734739 */   // Label 11587: @734739
     /*  734739 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(734814), // Rule ID 22445 //
     /*  734744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  734752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  734761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  734793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734812 */     GIR_RootConstrainSelectedInstOperands,
     /*  734813 */     // GIR_Coverage, 22445,
     /*  734813 */     GIR_EraseRootFromParent_Done,
     /*  734814 */   // Label 11588: @734814
     /*  734814 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(734889), // Rule ID 22448 //
     /*  734819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  734827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  734836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  734868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734887 */     GIR_RootConstrainSelectedInstOperands,
     /*  734888 */     // GIR_Coverage, 22448,
     /*  734888 */     GIR_EraseRootFromParent_Done,
     /*  734889 */   // Label 11589: @734889
     /*  734889 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(734964), // Rule ID 22449 //
     /*  734894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  734902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  734911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  734943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734962 */     GIR_RootConstrainSelectedInstOperands,
     /*  734963 */     // GIR_Coverage, 22449,
     /*  734963 */     GIR_EraseRootFromParent_Done,
     /*  734964 */   // Label 11590: @734964
     /*  734964 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(735039), // Rule ID 22452 //
     /*  734969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  734977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  734986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735015 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  735018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735037 */     GIR_RootConstrainSelectedInstOperands,
     /*  735038 */     // GIR_Coverage, 22452,
     /*  735038 */     GIR_EraseRootFromParent_Done,
     /*  735039 */   // Label 11591: @735039
     /*  735039 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(735114), // Rule ID 22453 //
     /*  735044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  735061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  735093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735112 */     GIR_RootConstrainSelectedInstOperands,
     /*  735113 */     // GIR_Coverage, 22453,
     /*  735113 */     GIR_EraseRootFromParent_Done,
     /*  735114 */   // Label 11592: @735114
     /*  735114 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(735189), // Rule ID 22456 //
     /*  735119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  735168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735187 */     GIR_RootConstrainSelectedInstOperands,
     /*  735188 */     // GIR_Coverage, 22456,
     /*  735188 */     GIR_EraseRootFromParent_Done,
     /*  735189 */   // Label 11593: @735189
     /*  735189 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(735264), // Rule ID 22457 //
     /*  735194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  735211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  735243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735262 */     GIR_RootConstrainSelectedInstOperands,
     /*  735263 */     // GIR_Coverage, 22457,
     /*  735263 */     GIR_EraseRootFromParent_Done,
     /*  735264 */   // Label 11594: @735264
     /*  735264 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(735339), // Rule ID 22460 //
     /*  735269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  735318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735337 */     GIR_RootConstrainSelectedInstOperands,
     /*  735338 */     // GIR_Coverage, 22460,
     /*  735338 */     GIR_EraseRootFromParent_Done,
     /*  735339 */   // Label 11595: @735339
     /*  735339 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(735414), // Rule ID 22461 //
     /*  735344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  735361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  735393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735412 */     GIR_RootConstrainSelectedInstOperands,
     /*  735413 */     // GIR_Coverage, 22461,
     /*  735413 */     GIR_EraseRootFromParent_Done,
     /*  735414 */   // Label 11596: @735414
     /*  735414 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(735489), // Rule ID 22464 //
     /*  735419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  735468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735487 */     GIR_RootConstrainSelectedInstOperands,
     /*  735488 */     // GIR_Coverage, 22464,
     /*  735488 */     GIR_EraseRootFromParent_Done,
     /*  735489 */   // Label 11597: @735489
     /*  735489 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(735564), // Rule ID 22465 //
     /*  735494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  735511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  735543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735562 */     GIR_RootConstrainSelectedInstOperands,
     /*  735563 */     // GIR_Coverage, 22465,
     /*  735563 */     GIR_EraseRootFromParent_Done,
     /*  735564 */   // Label 11598: @735564
     /*  735564 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(735639), // Rule ID 22468 //
     /*  735569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  735586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  735618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735637 */     GIR_RootConstrainSelectedInstOperands,
     /*  735638 */     // GIR_Coverage, 22468,
     /*  735638 */     GIR_EraseRootFromParent_Done,
     /*  735639 */   // Label 11599: @735639
     /*  735639 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(735714), // Rule ID 22469 //
     /*  735644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  735661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  735693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735712 */     GIR_RootConstrainSelectedInstOperands,
     /*  735713 */     // GIR_Coverage, 22469,
     /*  735713 */     GIR_EraseRootFromParent_Done,
     /*  735714 */   // Label 11600: @735714
     /*  735714 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(735789), // Rule ID 22472 //
     /*  735719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  735736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  735768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735787 */     GIR_RootConstrainSelectedInstOperands,
     /*  735788 */     // GIR_Coverage, 22472,
     /*  735788 */     GIR_EraseRootFromParent_Done,
     /*  735789 */   // Label 11601: @735789
     /*  735789 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(735864), // Rule ID 22473 //
     /*  735794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  735811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  735843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735862 */     GIR_RootConstrainSelectedInstOperands,
     /*  735863 */     // GIR_Coverage, 22473,
     /*  735863 */     GIR_EraseRootFromParent_Done,
     /*  735864 */   // Label 11602: @735864
     /*  735864 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(735939), // Rule ID 22476 //
     /*  735869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  735886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  735918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735937 */     GIR_RootConstrainSelectedInstOperands,
     /*  735938 */     // GIR_Coverage, 22476,
     /*  735938 */     GIR_EraseRootFromParent_Done,
     /*  735939 */   // Label 11603: @735939
     /*  735939 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(736014), // Rule ID 22477 //
     /*  735944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  735952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  735961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  735993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736012 */     GIR_RootConstrainSelectedInstOperands,
     /*  736013 */     // GIR_Coverage, 22477,
     /*  736013 */     GIR_EraseRootFromParent_Done,
     /*  736014 */   // Label 11604: @736014
     /*  736014 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(736089), // Rule ID 22480 //
     /*  736019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  736068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736087 */     GIR_RootConstrainSelectedInstOperands,
     /*  736088 */     // GIR_Coverage, 22480,
     /*  736088 */     GIR_EraseRootFromParent_Done,
     /*  736089 */   // Label 11605: @736089
     /*  736089 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(736164), // Rule ID 22481 //
     /*  736094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  736111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  736143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736162 */     GIR_RootConstrainSelectedInstOperands,
     /*  736163 */     // GIR_Coverage, 22481,
     /*  736163 */     GIR_EraseRootFromParent_Done,
     /*  736164 */   // Label 11606: @736164
     /*  736164 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(736239), // Rule ID 22484 //
     /*  736169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  736218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736237 */     GIR_RootConstrainSelectedInstOperands,
     /*  736238 */     // GIR_Coverage, 22484,
     /*  736238 */     GIR_EraseRootFromParent_Done,
     /*  736239 */   // Label 11607: @736239
     /*  736239 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(736314), // Rule ID 22485 //
     /*  736244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  736261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  736293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736312 */     GIR_RootConstrainSelectedInstOperands,
     /*  736313 */     // GIR_Coverage, 22485,
     /*  736313 */     GIR_EraseRootFromParent_Done,
     /*  736314 */   // Label 11608: @736314
     /*  736314 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(736389), // Rule ID 22488 //
     /*  736319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  736368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736387 */     GIR_RootConstrainSelectedInstOperands,
     /*  736388 */     // GIR_Coverage, 22488,
     /*  736388 */     GIR_EraseRootFromParent_Done,
     /*  736389 */   // Label 11609: @736389
     /*  736389 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(736464), // Rule ID 22489 //
     /*  736394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  736443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736462 */     GIR_RootConstrainSelectedInstOperands,
     /*  736463 */     // GIR_Coverage, 22489,
     /*  736463 */     GIR_EraseRootFromParent_Done,
     /*  736464 */   // Label 11610: @736464
     /*  736464 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(736539), // Rule ID 22492 //
     /*  736469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  736518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736537 */     GIR_RootConstrainSelectedInstOperands,
     /*  736538 */     // GIR_Coverage, 22492,
     /*  736538 */     GIR_EraseRootFromParent_Done,
     /*  736539 */   // Label 11611: @736539
     /*  736539 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(736614), // Rule ID 22493 //
     /*  736544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  736593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736612 */     GIR_RootConstrainSelectedInstOperands,
     /*  736613 */     // GIR_Coverage, 22493,
     /*  736613 */     GIR_EraseRootFromParent_Done,
     /*  736614 */   // Label 11612: @736614
     /*  736614 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(736689), // Rule ID 22496 //
     /*  736619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  736636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  736668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736687 */     GIR_RootConstrainSelectedInstOperands,
     /*  736688 */     // GIR_Coverage, 22496,
     /*  736688 */     GIR_EraseRootFromParent_Done,
     /*  736689 */   // Label 11613: @736689
     /*  736689 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(736764), // Rule ID 22497 //
     /*  736694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  736711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  736743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736762 */     GIR_RootConstrainSelectedInstOperands,
     /*  736763 */     // GIR_Coverage, 22497,
     /*  736763 */     GIR_EraseRootFromParent_Done,
     /*  736764 */   // Label 11614: @736764
     /*  736764 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(736839), // Rule ID 22500 //
     /*  736769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  736786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  736818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736837 */     GIR_RootConstrainSelectedInstOperands,
     /*  736838 */     // GIR_Coverage, 22500,
     /*  736838 */     GIR_EraseRootFromParent_Done,
     /*  736839 */   // Label 11615: @736839
     /*  736839 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(736914), // Rule ID 22501 //
     /*  736844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  736861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  736893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736912 */     GIR_RootConstrainSelectedInstOperands,
     /*  736913 */     // GIR_Coverage, 22501,
     /*  736913 */     GIR_EraseRootFromParent_Done,
     /*  736914 */   // Label 11616: @736914
     /*  736914 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(736989), // Rule ID 22504 //
     /*  736919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  736927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  736936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  736939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  736968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736987 */     GIR_RootConstrainSelectedInstOperands,
     /*  736988 */     // GIR_Coverage, 22504,
     /*  736988 */     GIR_EraseRootFromParent_Done,
     /*  736989 */   // Label 11617: @736989
     /*  736989 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(737064), // Rule ID 22505 //
     /*  736994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737040 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  737043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737062 */     GIR_RootConstrainSelectedInstOperands,
     /*  737063 */     // GIR_Coverage, 22505,
     /*  737063 */     GIR_EraseRootFromParent_Done,
     /*  737064 */   // Label 11618: @737064
     /*  737064 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(737139), // Rule ID 22508 //
     /*  737069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  737118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737137 */     GIR_RootConstrainSelectedInstOperands,
     /*  737138 */     // GIR_Coverage, 22508,
     /*  737138 */     GIR_EraseRootFromParent_Done,
     /*  737139 */   // Label 11619: @737139
     /*  737139 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(737214), // Rule ID 22509 //
     /*  737144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  737161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  737193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737212 */     GIR_RootConstrainSelectedInstOperands,
     /*  737213 */     // GIR_Coverage, 22509,
     /*  737213 */     GIR_EraseRootFromParent_Done,
     /*  737214 */   // Label 11620: @737214
     /*  737214 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(737289), // Rule ID 22512 //
     /*  737219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  737268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737287 */     GIR_RootConstrainSelectedInstOperands,
     /*  737288 */     // GIR_Coverage, 22512,
     /*  737288 */     GIR_EraseRootFromParent_Done,
     /*  737289 */   // Label 11621: @737289
     /*  737289 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(737364), // Rule ID 22513 //
     /*  737294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  737343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737362 */     GIR_RootConstrainSelectedInstOperands,
     /*  737363 */     // GIR_Coverage, 22513,
     /*  737363 */     GIR_EraseRootFromParent_Done,
     /*  737364 */   // Label 11622: @737364
     /*  737364 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(737439), // Rule ID 22516 //
     /*  737369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  737418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737437 */     GIR_RootConstrainSelectedInstOperands,
     /*  737438 */     // GIR_Coverage, 22516,
     /*  737438 */     GIR_EraseRootFromParent_Done,
     /*  737439 */   // Label 11623: @737439
     /*  737439 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(737514), // Rule ID 22517 //
     /*  737444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  737461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  737493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737512 */     GIR_RootConstrainSelectedInstOperands,
     /*  737513 */     // GIR_Coverage, 22517,
     /*  737513 */     GIR_EraseRootFromParent_Done,
     /*  737514 */   // Label 11624: @737514
     /*  737514 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(737589), // Rule ID 22520 //
     /*  737519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  737536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  737568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737587 */     GIR_RootConstrainSelectedInstOperands,
     /*  737588 */     // GIR_Coverage, 22520,
     /*  737588 */     GIR_EraseRootFromParent_Done,
     /*  737589 */   // Label 11625: @737589
     /*  737589 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(737664), // Rule ID 22521 //
     /*  737594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  737611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  737643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737662 */     GIR_RootConstrainSelectedInstOperands,
     /*  737663 */     // GIR_Coverage, 22521,
     /*  737663 */     GIR_EraseRootFromParent_Done,
     /*  737664 */   // Label 11626: @737664
     /*  737664 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(737739), // Rule ID 22524 //
     /*  737669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  737686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  737718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737737 */     GIR_RootConstrainSelectedInstOperands,
     /*  737738 */     // GIR_Coverage, 22524,
     /*  737738 */     GIR_EraseRootFromParent_Done,
     /*  737739 */   // Label 11627: @737739
     /*  737739 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(737814), // Rule ID 22525 //
     /*  737744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  737761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  737793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737812 */     GIR_RootConstrainSelectedInstOperands,
     /*  737813 */     // GIR_Coverage, 22525,
     /*  737813 */     GIR_EraseRootFromParent_Done,
     /*  737814 */   // Label 11628: @737814
     /*  737814 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(737889), // Rule ID 22528 //
     /*  737819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  737836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737865 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  737868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737887 */     GIR_RootConstrainSelectedInstOperands,
     /*  737888 */     // GIR_Coverage, 22528,
     /*  737888 */     GIR_EraseRootFromParent_Done,
     /*  737889 */   // Label 11629: @737889
     /*  737889 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(737964), // Rule ID 22529 //
     /*  737894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  737911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  737943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737962 */     GIR_RootConstrainSelectedInstOperands,
     /*  737963 */     // GIR_Coverage, 22529,
     /*  737963 */     GIR_EraseRootFromParent_Done,
     /*  737964 */   // Label 11630: @737964
     /*  737964 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(738039), // Rule ID 22532 //
     /*  737969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  737977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  737986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  737989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738015 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  738018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738037 */     GIR_RootConstrainSelectedInstOperands,
     /*  738038 */     // GIR_Coverage, 22532,
     /*  738038 */     GIR_EraseRootFromParent_Done,
     /*  738039 */   // Label 11631: @738039
     /*  738039 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(738114), // Rule ID 22533 //
     /*  738044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  738052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  738061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  738064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  738093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738112 */     GIR_RootConstrainSelectedInstOperands,
     /*  738113 */     // GIR_Coverage, 22533,
     /*  738113 */     GIR_EraseRootFromParent_Done,
     /*  738114 */   // Label 11632: @738114
     /*  738114 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(738189), // Rule ID 22536 //
     /*  738119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  738168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738187 */     GIR_RootConstrainSelectedInstOperands,
     /*  738188 */     // GIR_Coverage, 22536,
     /*  738188 */     GIR_EraseRootFromParent_Done,
     /*  738189 */   // Label 11633: @738189
     /*  738189 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(738264), // Rule ID 22537 //
     /*  738194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  738243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738262 */     GIR_RootConstrainSelectedInstOperands,
     /*  738263 */     // GIR_Coverage, 22537,
     /*  738263 */     GIR_EraseRootFromParent_Done,
     /*  738264 */   // Label 11634: @738264
     /*  738264 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(738339), // Rule ID 22540 //
     /*  738269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  738318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738337 */     GIR_RootConstrainSelectedInstOperands,
     /*  738338 */     // GIR_Coverage, 22540,
     /*  738338 */     GIR_EraseRootFromParent_Done,
     /*  738339 */   // Label 11635: @738339
     /*  738339 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(738414), // Rule ID 22541 //
     /*  738344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  738393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738412 */     GIR_RootConstrainSelectedInstOperands,
     /*  738413 */     // GIR_Coverage, 22541,
     /*  738413 */     GIR_EraseRootFromParent_Done,
     /*  738414 */   // Label 11636: @738414
     /*  738414 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(738489), // Rule ID 22544 //
     /*  738419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  738468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738487 */     GIR_RootConstrainSelectedInstOperands,
     /*  738488 */     // GIR_Coverage, 22544,
     /*  738488 */     GIR_EraseRootFromParent_Done,
     /*  738489 */   // Label 11637: @738489
     /*  738489 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(738564), // Rule ID 22545 //
     /*  738494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  738543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738562 */     GIR_RootConstrainSelectedInstOperands,
     /*  738563 */     // GIR_Coverage, 22545,
     /*  738563 */     GIR_EraseRootFromParent_Done,
     /*  738564 */   // Label 11638: @738564
     /*  738564 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(738639), // Rule ID 22548 //
     /*  738569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  738586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  738618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738637 */     GIR_RootConstrainSelectedInstOperands,
     /*  738638 */     // GIR_Coverage, 22548,
     /*  738638 */     GIR_EraseRootFromParent_Done,
     /*  738639 */   // Label 11639: @738639
     /*  738639 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(738714), // Rule ID 22549 //
     /*  738644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  738661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  738693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738712 */     GIR_RootConstrainSelectedInstOperands,
     /*  738713 */     // GIR_Coverage, 22549,
     /*  738713 */     GIR_EraseRootFromParent_Done,
     /*  738714 */   // Label 11640: @738714
     /*  738714 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(738789), // Rule ID 22552 //
     /*  738719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  738736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  738768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738787 */     GIR_RootConstrainSelectedInstOperands,
     /*  738788 */     // GIR_Coverage, 22552,
     /*  738788 */     GIR_EraseRootFromParent_Done,
     /*  738789 */   // Label 11641: @738789
     /*  738789 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(738864), // Rule ID 22553 //
     /*  738794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  738811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  738843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738862 */     GIR_RootConstrainSelectedInstOperands,
     /*  738863 */     // GIR_Coverage, 22553,
     /*  738863 */     GIR_EraseRootFromParent_Done,
     /*  738864 */   // Label 11642: @738864
     /*  738864 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(738939), // Rule ID 22556 //
     /*  738869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  738886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  738889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  738918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738937 */     GIR_RootConstrainSelectedInstOperands,
     /*  738938 */     // GIR_Coverage, 22556,
     /*  738938 */     GIR_EraseRootFromParent_Done,
     /*  738939 */   // Label 11643: @738939
     /*  738939 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(739014), // Rule ID 22557 //
     /*  738944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  738952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  738961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  738964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  738993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739012 */     GIR_RootConstrainSelectedInstOperands,
     /*  739013 */     // GIR_Coverage, 22557,
     /*  739013 */     GIR_EraseRootFromParent_Done,
     /*  739014 */   // Label 11644: @739014
     /*  739014 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(739089), // Rule ID 22560 //
     /*  739019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739065 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  739068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739087 */     GIR_RootConstrainSelectedInstOperands,
     /*  739088 */     // GIR_Coverage, 22560,
     /*  739088 */     GIR_EraseRootFromParent_Done,
     /*  739089 */   // Label 11645: @739089
     /*  739089 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(739164), // Rule ID 22561 //
     /*  739094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  739111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  739143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739162 */     GIR_RootConstrainSelectedInstOperands,
     /*  739163 */     // GIR_Coverage, 22561,
     /*  739163 */     GIR_EraseRootFromParent_Done,
     /*  739164 */   // Label 11646: @739164
     /*  739164 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(739239), // Rule ID 22564 //
     /*  739169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  739218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739237 */     GIR_RootConstrainSelectedInstOperands,
     /*  739238 */     // GIR_Coverage, 22564,
     /*  739238 */     GIR_EraseRootFromParent_Done,
     /*  739239 */   // Label 11647: @739239
     /*  739239 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(739314), // Rule ID 22565 //
     /*  739244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  739293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739312 */     GIR_RootConstrainSelectedInstOperands,
     /*  739313 */     // GIR_Coverage, 22565,
     /*  739313 */     GIR_EraseRootFromParent_Done,
     /*  739314 */   // Label 11648: @739314
     /*  739314 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(739389), // Rule ID 22568 //
     /*  739319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  739368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739387 */     GIR_RootConstrainSelectedInstOperands,
     /*  739388 */     // GIR_Coverage, 22568,
     /*  739388 */     GIR_EraseRootFromParent_Done,
     /*  739389 */   // Label 11649: @739389
     /*  739389 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(739464), // Rule ID 22569 //
     /*  739394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  739411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  739443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739462 */     GIR_RootConstrainSelectedInstOperands,
     /*  739463 */     // GIR_Coverage, 22569,
     /*  739463 */     GIR_EraseRootFromParent_Done,
     /*  739464 */   // Label 11650: @739464
     /*  739464 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(739539), // Rule ID 22572 //
     /*  739469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  739486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  739518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739537 */     GIR_RootConstrainSelectedInstOperands,
     /*  739538 */     // GIR_Coverage, 22572,
     /*  739538 */     GIR_EraseRootFromParent_Done,
     /*  739539 */   // Label 11651: @739539
     /*  739539 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(739614), // Rule ID 22573 //
     /*  739544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  739561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  739593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739612 */     GIR_RootConstrainSelectedInstOperands,
     /*  739613 */     // GIR_Coverage, 22573,
     /*  739613 */     GIR_EraseRootFromParent_Done,
     /*  739614 */   // Label 11652: @739614
     /*  739614 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(739689), // Rule ID 22576 //
     /*  739619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  739636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  739668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739687 */     GIR_RootConstrainSelectedInstOperands,
     /*  739688 */     // GIR_Coverage, 22576,
     /*  739688 */     GIR_EraseRootFromParent_Done,
     /*  739689 */   // Label 11653: @739689
     /*  739689 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(739764), // Rule ID 22577 //
     /*  739694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  739711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  739743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739762 */     GIR_RootConstrainSelectedInstOperands,
     /*  739763 */     // GIR_Coverage, 22577,
     /*  739763 */     GIR_EraseRootFromParent_Done,
     /*  739764 */   // Label 11654: @739764
     /*  739764 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(739839), // Rule ID 22580 //
     /*  739769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  739818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739837 */     GIR_RootConstrainSelectedInstOperands,
     /*  739838 */     // GIR_Coverage, 22580,
     /*  739838 */     GIR_EraseRootFromParent_Done,
     /*  739839 */   // Label 11655: @739839
     /*  739839 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(739914), // Rule ID 22581 //
     /*  739844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  739893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739912 */     GIR_RootConstrainSelectedInstOperands,
     /*  739913 */     // GIR_Coverage, 22581,
     /*  739913 */     GIR_EraseRootFromParent_Done,
     /*  739914 */   // Label 11656: @739914
     /*  739914 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(739989), // Rule ID 22584 //
     /*  739919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  739927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  739968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739987 */     GIR_RootConstrainSelectedInstOperands,
     /*  739988 */     // GIR_Coverage, 22584,
     /*  739988 */     GIR_EraseRootFromParent_Done,
     /*  739989 */   // Label 11657: @739989
     /*  739989 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(740064), // Rule ID 22585 //
     /*  739994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  740011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  740043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740062 */     GIR_RootConstrainSelectedInstOperands,
     /*  740063 */     // GIR_Coverage, 22585,
     /*  740063 */     GIR_EraseRootFromParent_Done,
     /*  740064 */   // Label 11658: @740064
     /*  740064 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(740139), // Rule ID 22588 //
     /*  740069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  740118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740137 */     GIR_RootConstrainSelectedInstOperands,
     /*  740138 */     // GIR_Coverage, 22588,
     /*  740138 */     GIR_EraseRootFromParent_Done,
     /*  740139 */   // Label 11659: @740139
     /*  740139 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(740214), // Rule ID 22589 //
     /*  740144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  740161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  740193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740212 */     GIR_RootConstrainSelectedInstOperands,
     /*  740213 */     // GIR_Coverage, 22589,
     /*  740213 */     GIR_EraseRootFromParent_Done,
     /*  740214 */   // Label 11660: @740214
     /*  740214 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(740289), // Rule ID 22592 //
     /*  740219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  740268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740287 */     GIR_RootConstrainSelectedInstOperands,
     /*  740288 */     // GIR_Coverage, 22592,
     /*  740288 */     GIR_EraseRootFromParent_Done,
     /*  740289 */   // Label 11661: @740289
     /*  740289 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(740364), // Rule ID 22593 //
     /*  740294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  740311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  740343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740362 */     GIR_RootConstrainSelectedInstOperands,
     /*  740363 */     // GIR_Coverage, 22593,
     /*  740363 */     GIR_EraseRootFromParent_Done,
     /*  740364 */   // Label 11662: @740364
     /*  740364 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(740439), // Rule ID 22596 //
     /*  740369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  740386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  740418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740437 */     GIR_RootConstrainSelectedInstOperands,
     /*  740438 */     // GIR_Coverage, 22596,
     /*  740438 */     GIR_EraseRootFromParent_Done,
     /*  740439 */   // Label 11663: @740439
     /*  740439 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(740514), // Rule ID 22597 //
     /*  740444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  740461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  740493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740512 */     GIR_RootConstrainSelectedInstOperands,
     /*  740513 */     // GIR_Coverage, 22597,
     /*  740513 */     GIR_EraseRootFromParent_Done,
     /*  740514 */   // Label 11664: @740514
     /*  740514 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(740589), // Rule ID 22600 //
     /*  740519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  740536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740565 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  740568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740587 */     GIR_RootConstrainSelectedInstOperands,
     /*  740588 */     // GIR_Coverage, 22600,
     /*  740588 */     GIR_EraseRootFromParent_Done,
     /*  740589 */   // Label 11665: @740589
     /*  740589 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(740664), // Rule ID 22601 //
     /*  740594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  740611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  740643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740662 */     GIR_RootConstrainSelectedInstOperands,
     /*  740663 */     // GIR_Coverage, 22601,
     /*  740663 */     GIR_EraseRootFromParent_Done,
     /*  740664 */   // Label 11666: @740664
     /*  740664 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(740739), // Rule ID 22604 //
     /*  740669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  740686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  740718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740737 */     GIR_RootConstrainSelectedInstOperands,
     /*  740738 */     // GIR_Coverage, 22604,
     /*  740738 */     GIR_EraseRootFromParent_Done,
     /*  740739 */   // Label 11667: @740739
     /*  740739 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(740814), // Rule ID 22605 //
     /*  740744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  740752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  740761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  740793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740812 */     GIR_RootConstrainSelectedInstOperands,
     /*  740813 */     // GIR_Coverage, 22605,
     /*  740813 */     GIR_EraseRootFromParent_Done,
     /*  740814 */   // Label 11668: @740814
     /*  740814 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(740889), // Rule ID 22608 //
     /*  740819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  740827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  740868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740887 */     GIR_RootConstrainSelectedInstOperands,
     /*  740888 */     // GIR_Coverage, 22608,
     /*  740888 */     GIR_EraseRootFromParent_Done,
     /*  740889 */   // Label 11669: @740889
     /*  740889 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(740964), // Rule ID 22609 //
     /*  740894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  740902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  740943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740962 */     GIR_RootConstrainSelectedInstOperands,
     /*  740963 */     // GIR_Coverage, 22609,
     /*  740963 */     GIR_EraseRootFromParent_Done,
     /*  740964 */   // Label 11670: @740964
     /*  740964 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(741039), // Rule ID 22612 //
     /*  740969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  740977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  741018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741037 */     GIR_RootConstrainSelectedInstOperands,
     /*  741038 */     // GIR_Coverage, 22612,
     /*  741038 */     GIR_EraseRootFromParent_Done,
     /*  741039 */   // Label 11671: @741039
     /*  741039 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(741114), // Rule ID 22613 //
     /*  741044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  741061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  741093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741112 */     GIR_RootConstrainSelectedInstOperands,
     /*  741113 */     // GIR_Coverage, 22613,
     /*  741113 */     GIR_EraseRootFromParent_Done,
     /*  741114 */   // Label 11672: @741114
     /*  741114 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(741189), // Rule ID 22616 //
     /*  741119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  741136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  741168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741187 */     GIR_RootConstrainSelectedInstOperands,
     /*  741188 */     // GIR_Coverage, 22616,
     /*  741188 */     GIR_EraseRootFromParent_Done,
     /*  741189 */   // Label 11673: @741189
     /*  741189 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(741264), // Rule ID 22617 //
     /*  741194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  741211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  741243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741262 */     GIR_RootConstrainSelectedInstOperands,
     /*  741263 */     // GIR_Coverage, 22617,
     /*  741263 */     GIR_EraseRootFromParent_Done,
     /*  741264 */   // Label 11674: @741264
     /*  741264 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(741339), // Rule ID 22620 //
     /*  741269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  741318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741337 */     GIR_RootConstrainSelectedInstOperands,
     /*  741338 */     // GIR_Coverage, 22620,
     /*  741338 */     GIR_EraseRootFromParent_Done,
     /*  741339 */   // Label 11675: @741339
     /*  741339 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(741414), // Rule ID 22621 //
     /*  741344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  741393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741412 */     GIR_RootConstrainSelectedInstOperands,
     /*  741413 */     // GIR_Coverage, 22621,
     /*  741413 */     GIR_EraseRootFromParent_Done,
     /*  741414 */   // Label 11676: @741414
     /*  741414 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(741489), // Rule ID 22624 //
     /*  741419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  741468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741487 */     GIR_RootConstrainSelectedInstOperands,
     /*  741488 */     // GIR_Coverage, 22624,
     /*  741488 */     GIR_EraseRootFromParent_Done,
     /*  741489 */   // Label 11677: @741489
     /*  741489 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(741564), // Rule ID 22625 //
     /*  741494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  741543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741562 */     GIR_RootConstrainSelectedInstOperands,
     /*  741563 */     // GIR_Coverage, 22625,
     /*  741563 */     GIR_EraseRootFromParent_Done,
     /*  741564 */   // Label 11678: @741564
     /*  741564 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(741639), // Rule ID 22628 //
     /*  741569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  741586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  741618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741637 */     GIR_RootConstrainSelectedInstOperands,
     /*  741638 */     // GIR_Coverage, 22628,
     /*  741638 */     GIR_EraseRootFromParent_Done,
     /*  741639 */   // Label 11679: @741639
     /*  741639 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(741714), // Rule ID 22629 //
     /*  741644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  741661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  741693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741712 */     GIR_RootConstrainSelectedInstOperands,
     /*  741713 */     // GIR_Coverage, 22629,
     /*  741713 */     GIR_EraseRootFromParent_Done,
     /*  741714 */   // Label 11680: @741714
     /*  741714 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(741789), // Rule ID 22632 //
     /*  741719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  741768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741787 */     GIR_RootConstrainSelectedInstOperands,
     /*  741788 */     // GIR_Coverage, 22632,
     /*  741788 */     GIR_EraseRootFromParent_Done,
     /*  741789 */   // Label 11681: @741789
     /*  741789 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(741864), // Rule ID 22633 //
     /*  741794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  741843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741862 */     GIR_RootConstrainSelectedInstOperands,
     /*  741863 */     // GIR_Coverage, 22633,
     /*  741863 */     GIR_EraseRootFromParent_Done,
     /*  741864 */   // Label 11682: @741864
     /*  741864 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(741939), // Rule ID 22636 //
     /*  741869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  741918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741937 */     GIR_RootConstrainSelectedInstOperands,
     /*  741938 */     // GIR_Coverage, 22636,
     /*  741938 */     GIR_EraseRootFromParent_Done,
     /*  741939 */   // Label 11683: @741939
     /*  741939 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(742014), // Rule ID 22637 //
     /*  741944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  741952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  741993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742012 */     GIR_RootConstrainSelectedInstOperands,
     /*  742013 */     // GIR_Coverage, 22637,
     /*  742013 */     GIR_EraseRootFromParent_Done,
     /*  742014 */   // Label 11684: @742014
     /*  742014 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(742089), // Rule ID 22640 //
     /*  742019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  742039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  742068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742087 */     GIR_RootConstrainSelectedInstOperands,
     /*  742088 */     // GIR_Coverage, 22640,
     /*  742088 */     GIR_EraseRootFromParent_Done,
     /*  742089 */   // Label 11685: @742089
     /*  742089 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(742164), // Rule ID 22641 //
     /*  742094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  742114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  742143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742162 */     GIR_RootConstrainSelectedInstOperands,
     /*  742163 */     // GIR_Coverage, 22641,
     /*  742163 */     GIR_EraseRootFromParent_Done,
     /*  742164 */   // Label 11686: @742164
     /*  742164 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(742239), // Rule ID 22644 //
     /*  742169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  742218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742237 */     GIR_RootConstrainSelectedInstOperands,
     /*  742238 */     // GIR_Coverage, 22644,
     /*  742238 */     GIR_EraseRootFromParent_Done,
     /*  742239 */   // Label 11687: @742239
     /*  742239 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(742314), // Rule ID 22645 //
     /*  742244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  742293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742312 */     GIR_RootConstrainSelectedInstOperands,
     /*  742313 */     // GIR_Coverage, 22645,
     /*  742313 */     GIR_EraseRootFromParent_Done,
     /*  742314 */   // Label 11688: @742314
     /*  742314 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(742389), // Rule ID 22648 //
     /*  742319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  742368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742387 */     GIR_RootConstrainSelectedInstOperands,
     /*  742388 */     // GIR_Coverage, 22648,
     /*  742388 */     GIR_EraseRootFromParent_Done,
     /*  742389 */   // Label 11689: @742389
     /*  742389 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(742464), // Rule ID 22649 //
     /*  742394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  742443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742462 */     GIR_RootConstrainSelectedInstOperands,
     /*  742463 */     // GIR_Coverage, 22649,
     /*  742463 */     GIR_EraseRootFromParent_Done,
     /*  742464 */   // Label 11690: @742464
     /*  742464 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(742539), // Rule ID 22652 //
     /*  742469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  742486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  742518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742537 */     GIR_RootConstrainSelectedInstOperands,
     /*  742538 */     // GIR_Coverage, 22652,
     /*  742538 */     GIR_EraseRootFromParent_Done,
     /*  742539 */   // Label 11691: @742539
     /*  742539 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(742614), // Rule ID 22653 //
     /*  742544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  742561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  742593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742612 */     GIR_RootConstrainSelectedInstOperands,
     /*  742613 */     // GIR_Coverage, 22653,
     /*  742613 */     GIR_EraseRootFromParent_Done,
     /*  742614 */   // Label 11692: @742614
     /*  742614 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(742689), // Rule ID 22656 //
     /*  742619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  742668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742687 */     GIR_RootConstrainSelectedInstOperands,
     /*  742688 */     // GIR_Coverage, 22656,
     /*  742688 */     GIR_EraseRootFromParent_Done,
     /*  742689 */   // Label 11693: @742689
     /*  742689 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(742764), // Rule ID 22657 //
     /*  742694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  742743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742762 */     GIR_RootConstrainSelectedInstOperands,
     /*  742763 */     // GIR_Coverage, 22657,
     /*  742763 */     GIR_EraseRootFromParent_Done,
     /*  742764 */   // Label 11694: @742764
     /*  742764 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(742839), // Rule ID 22660 //
     /*  742769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  742818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742837 */     GIR_RootConstrainSelectedInstOperands,
     /*  742838 */     // GIR_Coverage, 22660,
     /*  742838 */     GIR_EraseRootFromParent_Done,
     /*  742839 */   // Label 11695: @742839
     /*  742839 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(742914), // Rule ID 22661 //
     /*  742844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  742893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742912 */     GIR_RootConstrainSelectedInstOperands,
     /*  742913 */     // GIR_Coverage, 22661,
     /*  742913 */     GIR_EraseRootFromParent_Done,
     /*  742914 */   // Label 11696: @742914
     /*  742914 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(742989), // Rule ID 22664 //
     /*  742919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  742927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  742968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742987 */     GIR_RootConstrainSelectedInstOperands,
     /*  742988 */     // GIR_Coverage, 22664,
     /*  742988 */     GIR_EraseRootFromParent_Done,
     /*  742989 */   // Label 11697: @742989
     /*  742989 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(743064), // Rule ID 22665 //
     /*  742994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  743011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  743043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743062 */     GIR_RootConstrainSelectedInstOperands,
     /*  743063 */     // GIR_Coverage, 22665,
     /*  743063 */     GIR_EraseRootFromParent_Done,
     /*  743064 */   // Label 11698: @743064
     /*  743064 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(743139), // Rule ID 22668 //
     /*  743069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  743118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743137 */     GIR_RootConstrainSelectedInstOperands,
     /*  743138 */     // GIR_Coverage, 22668,
     /*  743138 */     GIR_EraseRootFromParent_Done,
     /*  743139 */   // Label 11699: @743139
     /*  743139 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(743214), // Rule ID 22669 //
     /*  743144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  743193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743212 */     GIR_RootConstrainSelectedInstOperands,
     /*  743213 */     // GIR_Coverage, 22669,
     /*  743213 */     GIR_EraseRootFromParent_Done,
     /*  743214 */   // Label 11700: @743214
     /*  743214 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(743289), // Rule ID 22672 //
     /*  743219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  743236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743265 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  743268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743287 */     GIR_RootConstrainSelectedInstOperands,
     /*  743288 */     // GIR_Coverage, 22672,
     /*  743288 */     GIR_EraseRootFromParent_Done,
     /*  743289 */   // Label 11701: @743289
     /*  743289 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(743364), // Rule ID 22673 //
     /*  743294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  743311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  743343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743362 */     GIR_RootConstrainSelectedInstOperands,
     /*  743363 */     // GIR_Coverage, 22673,
     /*  743363 */     GIR_EraseRootFromParent_Done,
     /*  743364 */   // Label 11702: @743364
     /*  743364 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(743439), // Rule ID 22676 //
     /*  743369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  743386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  743418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743437 */     GIR_RootConstrainSelectedInstOperands,
     /*  743438 */     // GIR_Coverage, 22676,
     /*  743438 */     GIR_EraseRootFromParent_Done,
     /*  743439 */   // Label 11703: @743439
     /*  743439 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(743514), // Rule ID 22677 //
     /*  743444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  743452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  743461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  743493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743512 */     GIR_RootConstrainSelectedInstOperands,
     /*  743513 */     // GIR_Coverage, 22677,
     /*  743513 */     GIR_EraseRootFromParent_Done,
     /*  743514 */   // Label 11704: @743514
     /*  743514 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(743589), // Rule ID 22796 //
     /*  743519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  743522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743565 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  743568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743587 */     GIR_RootConstrainSelectedInstOperands,
     /*  743588 */     // GIR_Coverage, 22796,
     /*  743588 */     GIR_EraseRootFromParent_Done,
     /*  743589 */   // Label 11705: @743589
     /*  743589 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(743664), // Rule ID 22797 //
     /*  743594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  743597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743640 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  743643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743662 */     GIR_RootConstrainSelectedInstOperands,
     /*  743663 */     // GIR_Coverage, 22797,
     /*  743663 */     GIR_EraseRootFromParent_Done,
     /*  743664 */   // Label 11706: @743664
     /*  743664 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(743739), // Rule ID 22800 //
     /*  743669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  743672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743715 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  743718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743737 */     GIR_RootConstrainSelectedInstOperands,
     /*  743738 */     // GIR_Coverage, 22800,
     /*  743738 */     GIR_EraseRootFromParent_Done,
     /*  743739 */   // Label 11707: @743739
     /*  743739 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(743814), // Rule ID 22801 //
     /*  743744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  743747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  743793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743812 */     GIR_RootConstrainSelectedInstOperands,
     /*  743813 */     // GIR_Coverage, 22801,
     /*  743813 */     GIR_EraseRootFromParent_Done,
     /*  743814 */   // Label 11708: @743814
     /*  743814 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(743889), // Rule ID 22804 //
     /*  743819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  743822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  743868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743887 */     GIR_RootConstrainSelectedInstOperands,
     /*  743888 */     // GIR_Coverage, 22804,
     /*  743888 */     GIR_EraseRootFromParent_Done,
     /*  743889 */   // Label 11709: @743889
     /*  743889 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(743964), // Rule ID 22805 //
     /*  743894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  743897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  743911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  743943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743962 */     GIR_RootConstrainSelectedInstOperands,
     /*  743963 */     // GIR_Coverage, 22805,
     /*  743963 */     GIR_EraseRootFromParent_Done,
     /*  743964 */   // Label 11710: @743964
     /*  743964 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(744039), // Rule ID 22808 //
     /*  743969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  743972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  743977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744015 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  744018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744037 */     GIR_RootConstrainSelectedInstOperands,
     /*  744038 */     // GIR_Coverage, 22808,
     /*  744038 */     GIR_EraseRootFromParent_Done,
     /*  744039 */   // Label 11711: @744039
     /*  744039 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(744114), // Rule ID 22809 //
     /*  744044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  744047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744090 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  744093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744112 */     GIR_RootConstrainSelectedInstOperands,
     /*  744113 */     // GIR_Coverage, 22809,
     /*  744113 */     GIR_EraseRootFromParent_Done,
     /*  744114 */   // Label 11712: @744114
     /*  744114 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(744189), // Rule ID 22812 //
     /*  744119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  744122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744165 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  744168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744187 */     GIR_RootConstrainSelectedInstOperands,
     /*  744188 */     // GIR_Coverage, 22812,
     /*  744188 */     GIR_EraseRootFromParent_Done,
     /*  744189 */   // Label 11713: @744189
     /*  744189 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(744264), // Rule ID 22813 //
     /*  744194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  744197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  744243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744262 */     GIR_RootConstrainSelectedInstOperands,
     /*  744263 */     // GIR_Coverage, 22813,
     /*  744263 */     GIR_EraseRootFromParent_Done,
     /*  744264 */   // Label 11714: @744264
     /*  744264 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(744339), // Rule ID 22816 //
     /*  744269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  744272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744315 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  744315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  744318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744337 */     GIR_RootConstrainSelectedInstOperands,
     /*  744338 */     // GIR_Coverage, 22816,
     /*  744338 */     GIR_EraseRootFromParent_Done,
     /*  744339 */   // Label 11715: @744339
     /*  744339 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(744414), // Rule ID 22817 //
     /*  744344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  744347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  744361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744390 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  744390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  744393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  744409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744412 */     GIR_RootConstrainSelectedInstOperands,
     /*  744413 */     // GIR_Coverage, 22817,
     /*  744413 */     GIR_EraseRootFromParent_Done,
     /*  744414 */   // Label 11716: @744414
     /*  744414 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(744489), // Rule ID 22820 //
     /*  744419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  744422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744465 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  744468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744487 */     GIR_RootConstrainSelectedInstOperands,
     /*  744488 */     // GIR_Coverage, 22820,
     /*  744488 */     GIR_EraseRootFromParent_Done,
     /*  744489 */   // Label 11717: @744489
     /*  744489 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(744564), // Rule ID 22821 //
     /*  744494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  744497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744540 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  744543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744562 */     GIR_RootConstrainSelectedInstOperands,
     /*  744563 */     // GIR_Coverage, 22821,
     /*  744563 */     GIR_EraseRootFromParent_Done,
     /*  744564 */   // Label 11718: @744564
     /*  744564 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(744639), // Rule ID 22824 //
     /*  744569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  744572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744615 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  744618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744637 */     GIR_RootConstrainSelectedInstOperands,
     /*  744638 */     // GIR_Coverage, 22824,
     /*  744638 */     GIR_EraseRootFromParent_Done,
     /*  744639 */   // Label 11719: @744639
     /*  744639 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(744714), // Rule ID 22825 //
     /*  744644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  744647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  744693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744712 */     GIR_RootConstrainSelectedInstOperands,
     /*  744713 */     // GIR_Coverage, 22825,
     /*  744713 */     GIR_EraseRootFromParent_Done,
     /*  744714 */   // Label 11720: @744714
     /*  744714 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(744789), // Rule ID 22828 //
     /*  744719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  744722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  744736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744765 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  744768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744787 */     GIR_RootConstrainSelectedInstOperands,
     /*  744788 */     // GIR_Coverage, 22828,
     /*  744788 */     GIR_EraseRootFromParent_Done,
     /*  744789 */   // Label 11721: @744789
     /*  744789 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(744864), // Rule ID 22829 //
     /*  744794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  744797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  744811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  744843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744862 */     GIR_RootConstrainSelectedInstOperands,
     /*  744863 */     // GIR_Coverage, 22829,
     /*  744863 */     GIR_EraseRootFromParent_Done,
     /*  744864 */   // Label 11722: @744864
     /*  744864 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(744939), // Rule ID 22832 //
     /*  744869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  744872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  744918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744937 */     GIR_RootConstrainSelectedInstOperands,
     /*  744938 */     // GIR_Coverage, 22832,
     /*  744938 */     GIR_EraseRootFromParent_Done,
     /*  744939 */   // Label 11723: @744939
     /*  744939 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(745014), // Rule ID 22833 //
     /*  744944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  744947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  744952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744990 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  744993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745012 */     GIR_RootConstrainSelectedInstOperands,
     /*  745013 */     // GIR_Coverage, 22833,
     /*  745013 */     GIR_EraseRootFromParent_Done,
     /*  745014 */   // Label 11724: @745014
     /*  745014 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(745089), // Rule ID 22836 //
     /*  745019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  745022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745065 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  745068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745087 */     GIR_RootConstrainSelectedInstOperands,
     /*  745088 */     // GIR_Coverage, 22836,
     /*  745088 */     GIR_EraseRootFromParent_Done,
     /*  745089 */   // Label 11725: @745089
     /*  745089 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(745164), // Rule ID 22837 //
     /*  745094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  745097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  745143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745162 */     GIR_RootConstrainSelectedInstOperands,
     /*  745163 */     // GIR_Coverage, 22837,
     /*  745163 */     GIR_EraseRootFromParent_Done,
     /*  745164 */   // Label 11726: @745164
     /*  745164 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(745239), // Rule ID 22840 //
     /*  745169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  745172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  745186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745215 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  745218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745237 */     GIR_RootConstrainSelectedInstOperands,
     /*  745238 */     // GIR_Coverage, 22840,
     /*  745238 */     GIR_EraseRootFromParent_Done,
     /*  745239 */   // Label 11727: @745239
     /*  745239 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(745314), // Rule ID 22841 //
     /*  745244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  745247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  745261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  745293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745312 */     GIR_RootConstrainSelectedInstOperands,
     /*  745313 */     // GIR_Coverage, 22841,
     /*  745313 */     GIR_EraseRootFromParent_Done,
     /*  745314 */   // Label 11728: @745314
     /*  745314 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(745389), // Rule ID 22844 //
     /*  745319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  745322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  745336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745365 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  745365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  745368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745387 */     GIR_RootConstrainSelectedInstOperands,
     /*  745388 */     // GIR_Coverage, 22844,
     /*  745388 */     GIR_EraseRootFromParent_Done,
     /*  745389 */   // Label 11729: @745389
     /*  745389 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(745464), // Rule ID 22845 //
     /*  745394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  745397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  745411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745440 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  745440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  745443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745462 */     GIR_RootConstrainSelectedInstOperands,
     /*  745463 */     // GIR_Coverage, 22845,
     /*  745463 */     GIR_EraseRootFromParent_Done,
     /*  745464 */   // Label 11730: @745464
     /*  745464 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(745539), // Rule ID 22848 //
     /*  745469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  745472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  745486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745515 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  745515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  745518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745537 */     GIR_RootConstrainSelectedInstOperands,
     /*  745538 */     // GIR_Coverage, 22848,
     /*  745538 */     GIR_EraseRootFromParent_Done,
     /*  745539 */   // Label 11731: @745539
     /*  745539 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(745614), // Rule ID 22849 //
     /*  745544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  745547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  745561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745590 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  745590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  745593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745612 */     GIR_RootConstrainSelectedInstOperands,
     /*  745613 */     // GIR_Coverage, 22849,
     /*  745613 */     GIR_EraseRootFromParent_Done,
     /*  745614 */   // Label 11732: @745614
     /*  745614 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(745689), // Rule ID 22852 //
     /*  745619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  745622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  745636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  745665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  745668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745687 */     GIR_RootConstrainSelectedInstOperands,
     /*  745688 */     // GIR_Coverage, 22852,
     /*  745688 */     GIR_EraseRootFromParent_Done,
     /*  745689 */   // Label 11733: @745689
     /*  745689 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(745764), // Rule ID 22853 //
     /*  745694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  745697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  745702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  745711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  745740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  745743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745762 */     GIR_RootConstrainSelectedInstOperands,
     /*  745763 */     // GIR_Coverage, 22853,
     /*  745763 */     GIR_EraseRootFromParent_Done,
     /*  745764 */   // Label 11734: @745764
     /*  745764 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(745839), // Rule ID 22856 //
     /*  745769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  745772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  745777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  745818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745837 */     GIR_RootConstrainSelectedInstOperands,
     /*  745838 */     // GIR_Coverage, 22856,
     /*  745838 */     GIR_EraseRootFromParent_Done,
     /*  745839 */   // Label 11735: @745839
     /*  745839 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(745914), // Rule ID 22857 //
     /*  745844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  745847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  745852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745890 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  745893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745912 */     GIR_RootConstrainSelectedInstOperands,
     /*  745913 */     // GIR_Coverage, 22857,
     /*  745913 */     GIR_EraseRootFromParent_Done,
     /*  745914 */   // Label 11736: @745914
     /*  745914 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(745989), // Rule ID 22860 //
     /*  745919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  745922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  745927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  745936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  745968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745987 */     GIR_RootConstrainSelectedInstOperands,
     /*  745988 */     // GIR_Coverage, 22860,
     /*  745988 */     GIR_EraseRootFromParent_Done,
     /*  745989 */   // Label 11737: @745989
     /*  745989 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(746064), // Rule ID 22861 //
     /*  745994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  745997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746040 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  746043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746062 */     GIR_RootConstrainSelectedInstOperands,
     /*  746063 */     // GIR_Coverage, 22861,
     /*  746063 */     GIR_EraseRootFromParent_Done,
     /*  746064 */   // Label 11738: @746064
     /*  746064 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(746139), // Rule ID 22864 //
     /*  746069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  746072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746115 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  746118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746137 */     GIR_RootConstrainSelectedInstOperands,
     /*  746138 */     // GIR_Coverage, 22864,
     /*  746138 */     GIR_EraseRootFromParent_Done,
     /*  746139 */   // Label 11739: @746139
     /*  746139 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(746214), // Rule ID 22865 //
     /*  746144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  746147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  746193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746212 */     GIR_RootConstrainSelectedInstOperands,
     /*  746213 */     // GIR_Coverage, 22865,
     /*  746213 */     GIR_EraseRootFromParent_Done,
     /*  746214 */   // Label 11740: @746214
     /*  746214 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(746289), // Rule ID 22868 //
     /*  746219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  746222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746265 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  746268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746287 */     GIR_RootConstrainSelectedInstOperands,
     /*  746288 */     // GIR_Coverage, 22868,
     /*  746288 */     GIR_EraseRootFromParent_Done,
     /*  746289 */   // Label 11741: @746289
     /*  746289 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(746364), // Rule ID 22869 //
     /*  746294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  746297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746340 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  746343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746362 */     GIR_RootConstrainSelectedInstOperands,
     /*  746363 */     // GIR_Coverage, 22869,
     /*  746363 */     GIR_EraseRootFromParent_Done,
     /*  746364 */   // Label 11742: @746364
     /*  746364 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(746439), // Rule ID 22872 //
     /*  746369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  746372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746415 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  746418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746437 */     GIR_RootConstrainSelectedInstOperands,
     /*  746438 */     // GIR_Coverage, 22872,
     /*  746438 */     GIR_EraseRootFromParent_Done,
     /*  746439 */   // Label 11743: @746439
     /*  746439 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(746514), // Rule ID 22873 //
     /*  746444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  746447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  746493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746512 */     GIR_RootConstrainSelectedInstOperands,
     /*  746513 */     // GIR_Coverage, 22873,
     /*  746513 */     GIR_EraseRootFromParent_Done,
     /*  746514 */   // Label 11744: @746514
     /*  746514 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(746589), // Rule ID 22876 //
     /*  746519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  746522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  746536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  746539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  746568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746587 */     GIR_RootConstrainSelectedInstOperands,
     /*  746588 */     // GIR_Coverage, 22876,
     /*  746588 */     GIR_EraseRootFromParent_Done,
     /*  746589 */   // Label 11745: @746589
     /*  746589 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(746664), // Rule ID 22877 //
     /*  746594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  746597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  746611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  746614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  746643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746662 */     GIR_RootConstrainSelectedInstOperands,
     /*  746663 */     // GIR_Coverage, 22877,
     /*  746663 */     GIR_EraseRootFromParent_Done,
     /*  746664 */   // Label 11746: @746664
     /*  746664 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(746739), // Rule ID 22880 //
     /*  746669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  746672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746715 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  746718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746737 */     GIR_RootConstrainSelectedInstOperands,
     /*  746738 */     // GIR_Coverage, 22880,
     /*  746738 */     GIR_EraseRootFromParent_Done,
     /*  746739 */   // Label 11747: @746739
     /*  746739 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(746814), // Rule ID 22881 //
     /*  746744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  746747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  746793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746812 */     GIR_RootConstrainSelectedInstOperands,
     /*  746813 */     // GIR_Coverage, 22881,
     /*  746813 */     GIR_EraseRootFromParent_Done,
     /*  746814 */   // Label 11748: @746814
     /*  746814 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(746889), // Rule ID 22884 //
     /*  746819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  746822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  746868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746887 */     GIR_RootConstrainSelectedInstOperands,
     /*  746888 */     // GIR_Coverage, 22884,
     /*  746888 */     GIR_EraseRootFromParent_Done,
     /*  746889 */   // Label 11749: @746889
     /*  746889 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(746964), // Rule ID 22885 //
     /*  746894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  746897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  746943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746962 */     GIR_RootConstrainSelectedInstOperands,
     /*  746963 */     // GIR_Coverage, 22885,
     /*  746963 */     GIR_EraseRootFromParent_Done,
     /*  746964 */   // Label 11750: @746964
     /*  746964 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(747039), // Rule ID 22888 //
     /*  746969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  746972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  746977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  746986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747015 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  747018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747037 */     GIR_RootConstrainSelectedInstOperands,
     /*  747038 */     // GIR_Coverage, 22888,
     /*  747038 */     GIR_EraseRootFromParent_Done,
     /*  747039 */   // Label 11751: @747039
     /*  747039 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(747114), // Rule ID 22889 //
     /*  747044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  747047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  747061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747090 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  747093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747112 */     GIR_RootConstrainSelectedInstOperands,
     /*  747113 */     // GIR_Coverage, 22889,
     /*  747113 */     GIR_EraseRootFromParent_Done,
     /*  747114 */   // Label 11752: @747114
     /*  747114 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(747189), // Rule ID 22892 //
     /*  747119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  747122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747165 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  747168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747187 */     GIR_RootConstrainSelectedInstOperands,
     /*  747188 */     // GIR_Coverage, 22892,
     /*  747188 */     GIR_EraseRootFromParent_Done,
     /*  747189 */   // Label 11753: @747189
     /*  747189 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(747264), // Rule ID 22893 //
     /*  747194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  747197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  747243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747262 */     GIR_RootConstrainSelectedInstOperands,
     /*  747263 */     // GIR_Coverage, 22893,
     /*  747263 */     GIR_EraseRootFromParent_Done,
     /*  747264 */   // Label 11754: @747264
     /*  747264 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(747339), // Rule ID 22896 //
     /*  747269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  747272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  747318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747337 */     GIR_RootConstrainSelectedInstOperands,
     /*  747338 */     // GIR_Coverage, 22896,
     /*  747338 */     GIR_EraseRootFromParent_Done,
     /*  747339 */   // Label 11755: @747339
     /*  747339 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(747414), // Rule ID 22897 //
     /*  747344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  747347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747390 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  747393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747412 */     GIR_RootConstrainSelectedInstOperands,
     /*  747413 */     // GIR_Coverage, 22897,
     /*  747413 */     GIR_EraseRootFromParent_Done,
     /*  747414 */   // Label 11756: @747414
     /*  747414 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(747489), // Rule ID 22900 //
     /*  747419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  747422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  747436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  747468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747487 */     GIR_RootConstrainSelectedInstOperands,
     /*  747488 */     // GIR_Coverage, 22900,
     /*  747488 */     GIR_EraseRootFromParent_Done,
     /*  747489 */   // Label 11757: @747489
     /*  747489 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(747564), // Rule ID 22901 //
     /*  747494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  747497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  747511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747540 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  747543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747562 */     GIR_RootConstrainSelectedInstOperands,
     /*  747563 */     // GIR_Coverage, 22901,
     /*  747563 */     GIR_EraseRootFromParent_Done,
     /*  747564 */   // Label 11758: @747564
     /*  747564 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(747639), // Rule ID 22904 //
     /*  747569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  747572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  747586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747615 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  747615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  747618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747637 */     GIR_RootConstrainSelectedInstOperands,
     /*  747638 */     // GIR_Coverage, 22904,
     /*  747638 */     GIR_EraseRootFromParent_Done,
     /*  747639 */   // Label 11759: @747639
     /*  747639 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(747714), // Rule ID 22905 //
     /*  747644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  747647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  747661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  747690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  747693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747712 */     GIR_RootConstrainSelectedInstOperands,
     /*  747713 */     // GIR_Coverage, 22905,
     /*  747713 */     GIR_EraseRootFromParent_Done,
     /*  747714 */   // Label 11760: @747714
     /*  747714 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(747789), // Rule ID 22908 //
     /*  747719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  747722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  747736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747765 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  747765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  747768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747787 */     GIR_RootConstrainSelectedInstOperands,
     /*  747788 */     // GIR_Coverage, 22908,
     /*  747788 */     GIR_EraseRootFromParent_Done,
     /*  747789 */   // Label 11761: @747789
     /*  747789 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(747864), // Rule ID 22909 //
     /*  747794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  747797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  747811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  747840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  747843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747862 */     GIR_RootConstrainSelectedInstOperands,
     /*  747863 */     // GIR_Coverage, 22909,
     /*  747863 */     GIR_EraseRootFromParent_Done,
     /*  747864 */   // Label 11762: @747864
     /*  747864 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(747939), // Rule ID 22912 //
     /*  747869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  747872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  747886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  747915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  747918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747937 */     GIR_RootConstrainSelectedInstOperands,
     /*  747938 */     // GIR_Coverage, 22912,
     /*  747938 */     GIR_EraseRootFromParent_Done,
     /*  747939 */   // Label 11763: @747939
     /*  747939 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(748014), // Rule ID 22913 //
     /*  747944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  747947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  747952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  747961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  747990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  747993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  748009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748012 */     GIR_RootConstrainSelectedInstOperands,
     /*  748013 */     // GIR_Coverage, 22913,
     /*  748013 */     GIR_EraseRootFromParent_Done,
     /*  748014 */   // Label 11764: @748014
     /*  748014 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(748089), // Rule ID 23194 //
     /*  748019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  748030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  748033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  748036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  748039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  748068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748087 */     GIR_RootConstrainSelectedInstOperands,
     /*  748088 */     // GIR_Coverage, 23194,
     /*  748088 */     GIR_EraseRootFromParent_Done,
     /*  748089 */   // Label 11765: @748089
     /*  748089 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(748164), // Rule ID 23195 //
     /*  748094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  748105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  748108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  748111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  748114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  748143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748162 */     GIR_RootConstrainSelectedInstOperands,
     /*  748163 */     // GIR_Coverage, 23195,
     /*  748163 */     GIR_EraseRootFromParent_Done,
     /*  748164 */   // Label 11766: @748164
     /*  748164 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(748239), // Rule ID 23198 //
     /*  748169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  748180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  748183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  748186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  748189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748215 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  748218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748237 */     GIR_RootConstrainSelectedInstOperands,
     /*  748238 */     // GIR_Coverage, 23198,
     /*  748238 */     GIR_EraseRootFromParent_Done,
     /*  748239 */   // Label 11767: @748239
     /*  748239 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(748314), // Rule ID 23199 //
     /*  748244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  748255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  748258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  748261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  748264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  748293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748312 */     GIR_RootConstrainSelectedInstOperands,
     /*  748313 */     // GIR_Coverage, 23199,
     /*  748313 */     GIR_EraseRootFromParent_Done,
     /*  748314 */   // Label 11768: @748314
     /*  748314 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(748389), // Rule ID 23202 //
     /*  748319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  748330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  748333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  748336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  748339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748365 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  748368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748387 */     GIR_RootConstrainSelectedInstOperands,
     /*  748388 */     // GIR_Coverage, 23202,
     /*  748388 */     GIR_EraseRootFromParent_Done,
     /*  748389 */   // Label 11769: @748389
     /*  748389 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(748464), // Rule ID 23203 //
     /*  748394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  748405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  748408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  748411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  748414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  748443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748462 */     GIR_RootConstrainSelectedInstOperands,
     /*  748463 */     // GIR_Coverage, 23203,
     /*  748463 */     GIR_EraseRootFromParent_Done,
     /*  748464 */   // Label 11770: @748464
     /*  748464 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(748539), // Rule ID 23206 //
     /*  748469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  748480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  748483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  748486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  748489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748515 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  748518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748537 */     GIR_RootConstrainSelectedInstOperands,
     /*  748538 */     // GIR_Coverage, 23206,
     /*  748538 */     GIR_EraseRootFromParent_Done,
     /*  748539 */   // Label 11771: @748539
     /*  748539 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(748614), // Rule ID 23207 //
     /*  748544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  748555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  748558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  748561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  748564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  748593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748612 */     GIR_RootConstrainSelectedInstOperands,
     /*  748613 */     // GIR_Coverage, 23207,
     /*  748613 */     GIR_EraseRootFromParent_Done,
     /*  748614 */   // Label 11772: @748614
     /*  748614 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(748689), // Rule ID 23210 //
     /*  748619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  748630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  748633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  748636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  748639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748665 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  748668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748687 */     GIR_RootConstrainSelectedInstOperands,
     /*  748688 */     // GIR_Coverage, 23210,
     /*  748688 */     GIR_EraseRootFromParent_Done,
     /*  748689 */   // Label 11773: @748689
     /*  748689 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(748764), // Rule ID 23211 //
     /*  748694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  748705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  748708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  748711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  748714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748740 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  748743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748762 */     GIR_RootConstrainSelectedInstOperands,
     /*  748763 */     // GIR_Coverage, 23211,
     /*  748763 */     GIR_EraseRootFromParent_Done,
     /*  748764 */   // Label 11774: @748764
     /*  748764 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(748839), // Rule ID 23214 //
     /*  748769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  748780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  748783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  748786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  748789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748815 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  748818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748837 */     GIR_RootConstrainSelectedInstOperands,
     /*  748838 */     // GIR_Coverage, 23214,
     /*  748838 */     GIR_EraseRootFromParent_Done,
     /*  748839 */   // Label 11775: @748839
     /*  748839 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(748914), // Rule ID 23215 //
     /*  748844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  748852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  748855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  748858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  748861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  748864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748890 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  748890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  748893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748912 */     GIR_RootConstrainSelectedInstOperands,
     /*  748913 */     // GIR_Coverage, 23215,
     /*  748913 */     GIR_EraseRootFromParent_Done,
     /*  748914 */   // Label 11776: @748914
     /*  748914 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(748989), // Rule ID 23218 //
     /*  748919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  748922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  748927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  748930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  748933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  748936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  748939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  748946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  748958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  748965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  748968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  748974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  748976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748987 */     GIR_RootConstrainSelectedInstOperands,
     /*  748988 */     // GIR_Coverage, 23218,
     /*  748988 */     GIR_EraseRootFromParent_Done,
     /*  748989 */   // Label 11777: @748989
     /*  748989 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(749064), // Rule ID 23219 //
     /*  748994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  748997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  749005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  749008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  749011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  749014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  749043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749062 */     GIR_RootConstrainSelectedInstOperands,
     /*  749063 */     // GIR_Coverage, 23219,
     /*  749063 */     GIR_EraseRootFromParent_Done,
     /*  749064 */   // Label 11778: @749064
     /*  749064 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(749139), // Rule ID 23222 //
     /*  749069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  749080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  749083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  749086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  749089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  749118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749137 */     GIR_RootConstrainSelectedInstOperands,
     /*  749138 */     // GIR_Coverage, 23222,
     /*  749138 */     GIR_EraseRootFromParent_Done,
     /*  749139 */   // Label 11779: @749139
     /*  749139 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(749214), // Rule ID 23223 //
     /*  749144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  749155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  749158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  749161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  749164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  749193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749212 */     GIR_RootConstrainSelectedInstOperands,
     /*  749213 */     // GIR_Coverage, 23223,
     /*  749213 */     GIR_EraseRootFromParent_Done,
     /*  749214 */   // Label 11780: @749214
     /*  749214 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(749289), // Rule ID 23226 //
     /*  749219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  749230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  749233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  749236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  749239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  749268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749287 */     GIR_RootConstrainSelectedInstOperands,
     /*  749288 */     // GIR_Coverage, 23226,
     /*  749288 */     GIR_EraseRootFromParent_Done,
     /*  749289 */   // Label 11781: @749289
     /*  749289 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(749364), // Rule ID 23227 //
     /*  749294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  749305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  749308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  749311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  749314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  749343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749362 */     GIR_RootConstrainSelectedInstOperands,
     /*  749363 */     // GIR_Coverage, 23227,
     /*  749363 */     GIR_EraseRootFromParent_Done,
     /*  749364 */   // Label 11782: @749364
     /*  749364 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(749439), // Rule ID 23230 //
     /*  749369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  749380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  749383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  749386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  749389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749415 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  749418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749437 */     GIR_RootConstrainSelectedInstOperands,
     /*  749438 */     // GIR_Coverage, 23230,
     /*  749438 */     GIR_EraseRootFromParent_Done,
     /*  749439 */   // Label 11783: @749439
     /*  749439 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(749514), // Rule ID 23231 //
     /*  749444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  749455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  749458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  749461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  749464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  749493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749512 */     GIR_RootConstrainSelectedInstOperands,
     /*  749513 */     // GIR_Coverage, 23231,
     /*  749513 */     GIR_EraseRootFromParent_Done,
     /*  749514 */   // Label 11784: @749514
     /*  749514 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(749589), // Rule ID 23234 //
     /*  749519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  749530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  749533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  749536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  749539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  749568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749587 */     GIR_RootConstrainSelectedInstOperands,
     /*  749588 */     // GIR_Coverage, 23234,
     /*  749588 */     GIR_EraseRootFromParent_Done,
     /*  749589 */   // Label 11785: @749589
     /*  749589 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(749664), // Rule ID 23235 //
     /*  749594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  749605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  749608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  749611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  749614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  749643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749662 */     GIR_RootConstrainSelectedInstOperands,
     /*  749663 */     // GIR_Coverage, 23235,
     /*  749663 */     GIR_EraseRootFromParent_Done,
     /*  749664 */   // Label 11786: @749664
     /*  749664 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(749739), // Rule ID 23238 //
     /*  749669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  749680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  749683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  749686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  749689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  749718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749737 */     GIR_RootConstrainSelectedInstOperands,
     /*  749738 */     // GIR_Coverage, 23238,
     /*  749738 */     GIR_EraseRootFromParent_Done,
     /*  749739 */   // Label 11787: @749739
     /*  749739 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(749814), // Rule ID 23239 //
     /*  749744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  749755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  749758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  749761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  749764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749790 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  749793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749812 */     GIR_RootConstrainSelectedInstOperands,
     /*  749813 */     // GIR_Coverage, 23239,
     /*  749813 */     GIR_EraseRootFromParent_Done,
     /*  749814 */   // Label 11788: @749814
     /*  749814 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(749889), // Rule ID 23242 //
     /*  749819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  749830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  749833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  749836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  749839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749865 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  749865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  749868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749887 */     GIR_RootConstrainSelectedInstOperands,
     /*  749888 */     // GIR_Coverage, 23242,
     /*  749888 */     GIR_EraseRootFromParent_Done,
     /*  749889 */   // Label 11789: @749889
     /*  749889 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(749964), // Rule ID 23243 //
     /*  749894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  749897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  749902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  749905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  749908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  749911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  749914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  749933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749940 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11108:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  749940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  749943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  749949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  749951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749962 */     GIR_RootConstrainSelectedInstOperands,
     /*  749963 */     // GIR_Coverage, 23243,
     /*  749963 */     GIR_EraseRootFromParent_Done,
     /*  749964 */   // Label 11790: @749964
     /*  749964 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(750039), // Rule ID 23246 //
     /*  749969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  749972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  749977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  749980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  749983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  749986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  749989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  749996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  750018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750037 */     GIR_RootConstrainSelectedInstOperands,
     /*  750038 */     // GIR_Coverage, 23246,
     /*  750038 */     GIR_EraseRootFromParent_Done,
     /*  750039 */   // Label 11791: @750039
     /*  750039 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(750114), // Rule ID 23247 //
     /*  750044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  750055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  750058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  750061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  750064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750090 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  750093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750112 */     GIR_RootConstrainSelectedInstOperands,
     /*  750113 */     // GIR_Coverage, 23247,
     /*  750113 */     GIR_EraseRootFromParent_Done,
     /*  750114 */   // Label 11792: @750114
     /*  750114 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(750189), // Rule ID 23250 //
     /*  750119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  750130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  750133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  750136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  750139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  750168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750187 */     GIR_RootConstrainSelectedInstOperands,
     /*  750188 */     // GIR_Coverage, 23250,
     /*  750188 */     GIR_EraseRootFromParent_Done,
     /*  750189 */   // Label 11793: @750189
     /*  750189 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(750264), // Rule ID 23251 //
     /*  750194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  750205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  750208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  750211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  750214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  750243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750262 */     GIR_RootConstrainSelectedInstOperands,
     /*  750263 */     // GIR_Coverage, 23251,
     /*  750263 */     GIR_EraseRootFromParent_Done,
     /*  750264 */   // Label 11794: @750264
     /*  750264 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(750339), // Rule ID 23254 //
     /*  750269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  750280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  750283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  750286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  750289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750315 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  750318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750337 */     GIR_RootConstrainSelectedInstOperands,
     /*  750338 */     // GIR_Coverage, 23254,
     /*  750338 */     GIR_EraseRootFromParent_Done,
     /*  750339 */   // Label 11795: @750339
     /*  750339 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(750414), // Rule ID 23255 //
     /*  750344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  750355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  750358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  750361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  750364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  750393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750412 */     GIR_RootConstrainSelectedInstOperands,
     /*  750413 */     // GIR_Coverage, 23255,
     /*  750413 */     GIR_EraseRootFromParent_Done,
     /*  750414 */   // Label 11796: @750414
     /*  750414 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(750489), // Rule ID 23258 //
     /*  750419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  750430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  750433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  750436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  750439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  750468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750487 */     GIR_RootConstrainSelectedInstOperands,
     /*  750488 */     // GIR_Coverage, 23258,
     /*  750488 */     GIR_EraseRootFromParent_Done,
     /*  750489 */   // Label 11797: @750489
     /*  750489 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(750564), // Rule ID 23259 //
     /*  750494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  750505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  750508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  750511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  750514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  750543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750562 */     GIR_RootConstrainSelectedInstOperands,
     /*  750563 */     // GIR_Coverage, 23259,
     /*  750563 */     GIR_EraseRootFromParent_Done,
     /*  750564 */   // Label 11798: @750564
     /*  750564 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(750639), // Rule ID 23262 //
     /*  750569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  750580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  750583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  750586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  750589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  750618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750637 */     GIR_RootConstrainSelectedInstOperands,
     /*  750638 */     // GIR_Coverage, 23262,
     /*  750638 */     GIR_EraseRootFromParent_Done,
     /*  750639 */   // Label 11799: @750639
     /*  750639 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(750714), // Rule ID 23263 //
     /*  750644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  750655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  750658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  750661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  750664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750690 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  750693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750712 */     GIR_RootConstrainSelectedInstOperands,
     /*  750713 */     // GIR_Coverage, 23263,
     /*  750713 */     GIR_EraseRootFromParent_Done,
     /*  750714 */   // Label 11800: @750714
     /*  750714 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(750789), // Rule ID 23266 //
     /*  750719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  750730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  750733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  750736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  750739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750765 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  750768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750787 */     GIR_RootConstrainSelectedInstOperands,
     /*  750788 */     // GIR_Coverage, 23266,
     /*  750788 */     GIR_EraseRootFromParent_Done,
     /*  750789 */   // Label 11801: @750789
     /*  750789 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(750864), // Rule ID 23267 //
     /*  750794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  750805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  750808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  750811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  750814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750840 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  750843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750862 */     GIR_RootConstrainSelectedInstOperands,
     /*  750863 */     // GIR_Coverage, 23267,
     /*  750863 */     GIR_EraseRootFromParent_Done,
     /*  750864 */   // Label 11802: @750864
     /*  750864 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(750939), // Rule ID 23270 //
     /*  750869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  750872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  750880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  750883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  750886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  750889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750915 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  750915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  750918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  750926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750937 */     GIR_RootConstrainSelectedInstOperands,
     /*  750938 */     // GIR_Coverage, 23270,
     /*  750938 */     GIR_EraseRootFromParent_Done,
     /*  750939 */   // Label 11803: @750939
     /*  750939 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(751014), // Rule ID 23271 //
     /*  750944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  750947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  750952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  750955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  750958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  750961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  750964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  750971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  750983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750990 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11120:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  750990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  750993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  750999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  751001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751012 */     GIR_RootConstrainSelectedInstOperands,
     /*  751013 */     // GIR_Coverage, 23271,
     /*  751013 */     GIR_EraseRootFromParent_Done,
     /*  751014 */   // Label 11804: @751014
     /*  751014 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(751089), // Rule ID 23812 //
     /*  751019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  751030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  751033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  751068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751087 */     GIR_RootConstrainSelectedInstOperands,
     /*  751088 */     // GIR_Coverage, 23812,
     /*  751088 */     GIR_EraseRootFromParent_Done,
     /*  751089 */   // Label 11805: @751089
     /*  751089 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(751164), // Rule ID 23813 //
     /*  751094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  751105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  751108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  751143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751162 */     GIR_RootConstrainSelectedInstOperands,
     /*  751163 */     // GIR_Coverage, 23813,
     /*  751163 */     GIR_EraseRootFromParent_Done,
     /*  751164 */   // Label 11806: @751164
     /*  751164 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(751239), // Rule ID 23816 //
     /*  751169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  751180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  751183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  751218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751237 */     GIR_RootConstrainSelectedInstOperands,
     /*  751238 */     // GIR_Coverage, 23816,
     /*  751238 */     GIR_EraseRootFromParent_Done,
     /*  751239 */   // Label 11807: @751239
     /*  751239 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(751314), // Rule ID 23817 //
     /*  751244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  751255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  751258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  751293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751312 */     GIR_RootConstrainSelectedInstOperands,
     /*  751313 */     // GIR_Coverage, 23817,
     /*  751313 */     GIR_EraseRootFromParent_Done,
     /*  751314 */   // Label 11808: @751314
     /*  751314 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(751389), // Rule ID 23820 //
     /*  751319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  751330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  751333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751387 */     GIR_RootConstrainSelectedInstOperands,
     /*  751388 */     // GIR_Coverage, 23820,
     /*  751388 */     GIR_EraseRootFromParent_Done,
     /*  751389 */   // Label 11809: @751389
     /*  751389 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(751464), // Rule ID 23821 //
     /*  751394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  751405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  751408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751462 */     GIR_RootConstrainSelectedInstOperands,
     /*  751463 */     // GIR_Coverage, 23821,
     /*  751463 */     GIR_EraseRootFromParent_Done,
     /*  751464 */   // Label 11810: @751464
     /*  751464 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(751539), // Rule ID 23824 //
     /*  751469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  751518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751537 */     GIR_RootConstrainSelectedInstOperands,
     /*  751538 */     // GIR_Coverage, 23824,
     /*  751538 */     GIR_EraseRootFromParent_Done,
     /*  751539 */   // Label 11811: @751539
     /*  751539 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(751614), // Rule ID 23825 //
     /*  751544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751590 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  751593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751612 */     GIR_RootConstrainSelectedInstOperands,
     /*  751613 */     // GIR_Coverage, 23825,
     /*  751613 */     GIR_EraseRootFromParent_Done,
     /*  751614 */   // Label 11812: @751614
     /*  751614 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(751689), // Rule ID 23828 //
     /*  751619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751665 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751687 */     GIR_RootConstrainSelectedInstOperands,
     /*  751688 */     // GIR_Coverage, 23828,
     /*  751688 */     GIR_EraseRootFromParent_Done,
     /*  751689 */   // Label 11813: @751689
     /*  751689 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(751764), // Rule ID 23829 //
     /*  751694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751740 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751762 */     GIR_RootConstrainSelectedInstOperands,
     /*  751763 */     // GIR_Coverage, 23829,
     /*  751763 */     GIR_EraseRootFromParent_Done,
     /*  751764 */   // Label 11814: @751764
     /*  751764 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(751839), // Rule ID 23832 //
     /*  751769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751815 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751837 */     GIR_RootConstrainSelectedInstOperands,
     /*  751838 */     // GIR_Coverage, 23832,
     /*  751838 */     GIR_EraseRootFromParent_Done,
     /*  751839 */   // Label 11815: @751839
     /*  751839 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(751914), // Rule ID 23833 //
     /*  751844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  751855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  751858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  751893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751912 */     GIR_RootConstrainSelectedInstOperands,
     /*  751913 */     // GIR_Coverage, 23833,
     /*  751913 */     GIR_EraseRootFromParent_Done,
     /*  751914 */   // Label 11816: @751914
     /*  751914 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(751989), // Rule ID 23836 //
     /*  751919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  751927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  751930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  751933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  751936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  751968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751987 */     GIR_RootConstrainSelectedInstOperands,
     /*  751988 */     // GIR_Coverage, 23836,
     /*  751988 */     GIR_EraseRootFromParent_Done,
     /*  751989 */   // Label 11817: @751989
     /*  751989 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(752064), // Rule ID 23837 //
     /*  751994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  752005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  752008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752062 */     GIR_RootConstrainSelectedInstOperands,
     /*  752063 */     // GIR_Coverage, 23837,
     /*  752063 */     GIR_EraseRootFromParent_Done,
     /*  752064 */   // Label 11818: @752064
     /*  752064 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(752139), // Rule ID 23840 //
     /*  752069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752137 */     GIR_RootConstrainSelectedInstOperands,
     /*  752138 */     // GIR_Coverage, 23840,
     /*  752138 */     GIR_EraseRootFromParent_Done,
     /*  752139 */   // Label 11819: @752139
     /*  752139 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(752214), // Rule ID 23841 //
     /*  752144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752212 */     GIR_RootConstrainSelectedInstOperands,
     /*  752213 */     // GIR_Coverage, 23841,
     /*  752213 */     GIR_EraseRootFromParent_Done,
     /*  752214 */   // Label 11820: @752214
     /*  752214 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(752289), // Rule ID 23844 //
     /*  752219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752287 */     GIR_RootConstrainSelectedInstOperands,
     /*  752288 */     // GIR_Coverage, 23844,
     /*  752288 */     GIR_EraseRootFromParent_Done,
     /*  752289 */   // Label 11821: @752289
     /*  752289 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(752364), // Rule ID 23845 //
     /*  752294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  752311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752362 */     GIR_RootConstrainSelectedInstOperands,
     /*  752363 */     // GIR_Coverage, 23845,
     /*  752363 */     GIR_EraseRootFromParent_Done,
     /*  752364 */   // Label 11822: @752364
     /*  752364 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(752439), // Rule ID 23848 //
     /*  752369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  752372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  752386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  752415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752437 */     GIR_RootConstrainSelectedInstOperands,
     /*  752438 */     // GIR_Coverage, 23848,
     /*  752438 */     GIR_EraseRootFromParent_Done,
     /*  752439 */   // Label 11823: @752439
     /*  752439 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(752514), // Rule ID 23849 //
     /*  752444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  752447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  752461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  752490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  752493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752512 */     GIR_RootConstrainSelectedInstOperands,
     /*  752513 */     // GIR_Coverage, 23849,
     /*  752513 */     GIR_EraseRootFromParent_Done,
     /*  752514 */   // Label 11824: @752514
     /*  752514 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(752589), // Rule ID 23852 //
     /*  752519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  752530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  752533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  752568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752587 */     GIR_RootConstrainSelectedInstOperands,
     /*  752588 */     // GIR_Coverage, 23852,
     /*  752588 */     GIR_EraseRootFromParent_Done,
     /*  752589 */   // Label 11825: @752589
     /*  752589 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(752664), // Rule ID 23853 //
     /*  752594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  752605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  752608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  752643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752662 */     GIR_RootConstrainSelectedInstOperands,
     /*  752663 */     // GIR_Coverage, 23853,
     /*  752663 */     GIR_EraseRootFromParent_Done,
     /*  752664 */   // Label 11826: @752664
     /*  752664 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(752739), // Rule ID 23856 //
     /*  752669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  752680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  752683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  752718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752737 */     GIR_RootConstrainSelectedInstOperands,
     /*  752738 */     // GIR_Coverage, 23856,
     /*  752738 */     GIR_EraseRootFromParent_Done,
     /*  752739 */   // Label 11827: @752739
     /*  752739 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(752814), // Rule ID 23857 //
     /*  752744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  752755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  752758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  752793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752812 */     GIR_RootConstrainSelectedInstOperands,
     /*  752813 */     // GIR_Coverage, 23857,
     /*  752813 */     GIR_EraseRootFromParent_Done,
     /*  752814 */   // Label 11828: @752814
     /*  752814 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(752889), // Rule ID 23860 //
     /*  752819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  752830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  752833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  752836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752865 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  752868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752887 */     GIR_RootConstrainSelectedInstOperands,
     /*  752888 */     // GIR_Coverage, 23860,
     /*  752888 */     GIR_EraseRootFromParent_Done,
     /*  752889 */   // Label 11829: @752889
     /*  752889 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(752964), // Rule ID 23861 //
     /*  752894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  752905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  752908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  752911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  752943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752962 */     GIR_RootConstrainSelectedInstOperands,
     /*  752963 */     // GIR_Coverage, 23861,
     /*  752963 */     GIR_EraseRootFromParent_Done,
     /*  752964 */   // Label 11830: @752964
     /*  752964 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(753039), // Rule ID 23864 //
     /*  752969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  752977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753015 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753037 */     GIR_RootConstrainSelectedInstOperands,
     /*  753038 */     // GIR_Coverage, 23864,
     /*  753038 */     GIR_EraseRootFromParent_Done,
     /*  753039 */   // Label 11831: @753039
     /*  753039 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(753114), // Rule ID 23865 //
     /*  753044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  753055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  753058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753112 */     GIR_RootConstrainSelectedInstOperands,
     /*  753113 */     // GIR_Coverage, 23865,
     /*  753113 */     GIR_EraseRootFromParent_Done,
     /*  753114 */   // Label 11832: @753114
     /*  753114 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(753189), // Rule ID 23868 //
     /*  753119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  753168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753187 */     GIR_RootConstrainSelectedInstOperands,
     /*  753188 */     // GIR_Coverage, 23868,
     /*  753188 */     GIR_EraseRootFromParent_Done,
     /*  753189 */   // Label 11833: @753189
     /*  753189 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(753264), // Rule ID 23869 //
     /*  753194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  753205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  753208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  753243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753262 */     GIR_RootConstrainSelectedInstOperands,
     /*  753263 */     // GIR_Coverage, 23869,
     /*  753263 */     GIR_EraseRootFromParent_Done,
     /*  753264 */   // Label 11834: @753264
     /*  753264 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(753339), // Rule ID 23872 //
     /*  753269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  753286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  753318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753337 */     GIR_RootConstrainSelectedInstOperands,
     /*  753338 */     // GIR_Coverage, 23872,
     /*  753338 */     GIR_EraseRootFromParent_Done,
     /*  753339 */   // Label 11835: @753339
     /*  753339 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(753414), // Rule ID 23873 //
     /*  753344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  753355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  753358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  753361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  753393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753412 */     GIR_RootConstrainSelectedInstOperands,
     /*  753413 */     // GIR_Coverage, 23873,
     /*  753413 */     GIR_EraseRootFromParent_Done,
     /*  753414 */   // Label 11836: @753414
     /*  753414 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(753489), // Rule ID 23876 //
     /*  753419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753465 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753487 */     GIR_RootConstrainSelectedInstOperands,
     /*  753488 */     // GIR_Coverage, 23876,
     /*  753488 */     GIR_EraseRootFromParent_Done,
     /*  753489 */   // Label 11837: @753489
     /*  753489 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(753564), // Rule ID 23877 //
     /*  753494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753562 */     GIR_RootConstrainSelectedInstOperands,
     /*  753563 */     // GIR_Coverage, 23877,
     /*  753563 */     GIR_EraseRootFromParent_Done,
     /*  753564 */   // Label 11838: @753564
     /*  753564 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(753639), // Rule ID 23880 //
     /*  753569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  753618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753637 */     GIR_RootConstrainSelectedInstOperands,
     /*  753638 */     // GIR_Coverage, 23880,
     /*  753638 */     GIR_EraseRootFromParent_Done,
     /*  753639 */   // Label 11839: @753639
     /*  753639 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(753714), // Rule ID 23881 //
     /*  753644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  753693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753712 */     GIR_RootConstrainSelectedInstOperands,
     /*  753713 */     // GIR_Coverage, 23881,
     /*  753713 */     GIR_EraseRootFromParent_Done,
     /*  753714 */   // Label 11840: @753714
     /*  753714 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(753789), // Rule ID 23884 //
     /*  753719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  753736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  753768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753787 */     GIR_RootConstrainSelectedInstOperands,
     /*  753788 */     // GIR_Coverage, 23884,
     /*  753788 */     GIR_EraseRootFromParent_Done,
     /*  753789 */   // Label 11841: @753789
     /*  753789 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(753864), // Rule ID 23885 //
     /*  753794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  753811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  753843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753862 */     GIR_RootConstrainSelectedInstOperands,
     /*  753863 */     // GIR_Coverage, 23885,
     /*  753863 */     GIR_EraseRootFromParent_Done,
     /*  753864 */   // Label 11842: @753864
     /*  753864 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(753939), // Rule ID 23888 //
     /*  753869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  753872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  753886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  753915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753937 */     GIR_RootConstrainSelectedInstOperands,
     /*  753938 */     // GIR_Coverage, 23888,
     /*  753938 */     GIR_EraseRootFromParent_Done,
     /*  753939 */   // Label 11843: @753939
     /*  753939 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(754014), // Rule ID 23889 //
     /*  753944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  753947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  753952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  753961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  753990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  753993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754012 */     GIR_RootConstrainSelectedInstOperands,
     /*  754013 */     // GIR_Coverage, 23889,
     /*  754013 */     GIR_EraseRootFromParent_Done,
     /*  754014 */   // Label 11844: @754014
     /*  754014 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(754089), // Rule ID 23892 //
     /*  754019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  754022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  754027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  754030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  754033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  754036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  754065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  754068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754087 */     GIR_RootConstrainSelectedInstOperands,
     /*  754088 */     // GIR_Coverage, 23892,
     /*  754088 */     GIR_EraseRootFromParent_Done,
     /*  754089 */   // Label 11845: @754089
     /*  754089 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(754164), // Rule ID 23893 //
     /*  754094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  754097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  754102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  754105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  754108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  754111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  754140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  754143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754162 */     GIR_RootConstrainSelectedInstOperands,
     /*  754163 */     // GIR_Coverage, 23893,
     /*  754163 */     GIR_EraseRootFromParent_Done,
     /*  754164 */   // Label 11846: @754164
     /*  754164 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(754239), // Rule ID 23896 //
     /*  754169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  754172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  754177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  754186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  754215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  754218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754237 */     GIR_RootConstrainSelectedInstOperands,
     /*  754238 */     // GIR_Coverage, 23896,
     /*  754238 */     GIR_EraseRootFromParent_Done,
     /*  754239 */   // Label 11847: @754239
     /*  754239 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(754314), // Rule ID 23897 //
     /*  754244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  754247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  754252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  754261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  754290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  754293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754312 */     GIR_RootConstrainSelectedInstOperands,
     /*  754313 */     // GIR_Coverage, 23897,
     /*  754313 */     GIR_EraseRootFromParent_Done,
     /*  754314 */   // Label 11848: @754314
     /*  754314 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(754389), // Rule ID 23900 //
     /*  754319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  754330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  754333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  754368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754387 */     GIR_RootConstrainSelectedInstOperands,
     /*  754388 */     // GIR_Coverage, 23900,
     /*  754388 */     GIR_EraseRootFromParent_Done,
     /*  754389 */   // Label 11849: @754389
     /*  754389 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(754464), // Rule ID 23901 //
     /*  754394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  754405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  754408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  754443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754462 */     GIR_RootConstrainSelectedInstOperands,
     /*  754463 */     // GIR_Coverage, 23901,
     /*  754463 */     GIR_EraseRootFromParent_Done,
     /*  754464 */   // Label 11850: @754464
     /*  754464 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(754539), // Rule ID 23904 //
     /*  754469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  754480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  754483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754515 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  754518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754537 */     GIR_RootConstrainSelectedInstOperands,
     /*  754538 */     // GIR_Coverage, 23904,
     /*  754538 */     GIR_EraseRootFromParent_Done,
     /*  754539 */   // Label 11851: @754539
     /*  754539 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(754614), // Rule ID 23905 //
     /*  754544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  754555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  754558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  754593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754612 */     GIR_RootConstrainSelectedInstOperands,
     /*  754613 */     // GIR_Coverage, 23905,
     /*  754613 */     GIR_EraseRootFromParent_Done,
     /*  754614 */   // Label 11852: @754614
     /*  754614 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(754689), // Rule ID 23908 //
     /*  754619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  754630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  754633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754665 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  754668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754687 */     GIR_RootConstrainSelectedInstOperands,
     /*  754688 */     // GIR_Coverage, 23908,
     /*  754688 */     GIR_EraseRootFromParent_Done,
     /*  754689 */   // Label 11853: @754689
     /*  754689 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(754764), // Rule ID 23909 //
     /*  754694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  754705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  754708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  754743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754762 */     GIR_RootConstrainSelectedInstOperands,
     /*  754763 */     // GIR_Coverage, 23909,
     /*  754763 */     GIR_EraseRootFromParent_Done,
     /*  754764 */   // Label 11854: @754764
     /*  754764 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(754839), // Rule ID 23912 //
     /*  754769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754815 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  754818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754837 */     GIR_RootConstrainSelectedInstOperands,
     /*  754838 */     // GIR_Coverage, 23912,
     /*  754838 */     GIR_EraseRootFromParent_Done,
     /*  754839 */   // Label 11855: @754839
     /*  754839 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(754914), // Rule ID 23913 //
     /*  754844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  754893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754912 */     GIR_RootConstrainSelectedInstOperands,
     /*  754913 */     // GIR_Coverage, 23913,
     /*  754913 */     GIR_EraseRootFromParent_Done,
     /*  754914 */   // Label 11856: @754914
     /*  754914 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(754989), // Rule ID 23916 //
     /*  754919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  754927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  754968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754987 */     GIR_RootConstrainSelectedInstOperands,
     /*  754988 */     // GIR_Coverage, 23916,
     /*  754988 */     GIR_EraseRootFromParent_Done,
     /*  754989 */   // Label 11857: @754989
     /*  754989 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(755064), // Rule ID 23917 //
     /*  754994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  755005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  755008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  755011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  755043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755062 */     GIR_RootConstrainSelectedInstOperands,
     /*  755063 */     // GIR_Coverage, 23917,
     /*  755063 */     GIR_EraseRootFromParent_Done,
     /*  755064 */   // Label 11858: @755064
     /*  755064 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(755139), // Rule ID 23920 //
     /*  755069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  755080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  755083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  755118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755137 */     GIR_RootConstrainSelectedInstOperands,
     /*  755138 */     // GIR_Coverage, 23920,
     /*  755138 */     GIR_EraseRootFromParent_Done,
     /*  755139 */   // Label 11859: @755139
     /*  755139 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(755214), // Rule ID 23921 //
     /*  755144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  755155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  755158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  755193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755212 */     GIR_RootConstrainSelectedInstOperands,
     /*  755213 */     // GIR_Coverage, 23921,
     /*  755213 */     GIR_EraseRootFromParent_Done,
     /*  755214 */   // Label 11860: @755214
     /*  755214 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(755289), // Rule ID 23924 //
     /*  755219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  755230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  755233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755287 */     GIR_RootConstrainSelectedInstOperands,
     /*  755288 */     // GIR_Coverage, 23924,
     /*  755288 */     GIR_EraseRootFromParent_Done,
     /*  755289 */   // Label 11861: @755289
     /*  755289 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(755364), // Rule ID 23925 //
     /*  755294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  755305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  755308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755362 */     GIR_RootConstrainSelectedInstOperands,
     /*  755363 */     // GIR_Coverage, 23925,
     /*  755363 */     GIR_EraseRootFromParent_Done,
     /*  755364 */   // Label 11862: @755364
     /*  755364 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(755439), // Rule ID 23928 //
     /*  755369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755437 */     GIR_RootConstrainSelectedInstOperands,
     /*  755438 */     // GIR_Coverage, 23928,
     /*  755438 */     GIR_EraseRootFromParent_Done,
     /*  755439 */   // Label 11863: @755439
     /*  755439 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(755514), // Rule ID 23929 //
     /*  755444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755512 */     GIR_RootConstrainSelectedInstOperands,
     /*  755513 */     // GIR_Coverage, 23929,
     /*  755513 */     GIR_EraseRootFromParent_Done,
     /*  755514 */   // Label 11864: @755514
     /*  755514 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(755589), // Rule ID 23932 //
     /*  755519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755587 */     GIR_RootConstrainSelectedInstOperands,
     /*  755588 */     // GIR_Coverage, 23932,
     /*  755588 */     GIR_EraseRootFromParent_Done,
     /*  755589 */   // Label 11865: @755589
     /*  755589 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(755664), // Rule ID 23933 //
     /*  755594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755662 */     GIR_RootConstrainSelectedInstOperands,
     /*  755663 */     // GIR_Coverage, 23933,
     /*  755663 */     GIR_EraseRootFromParent_Done,
     /*  755664 */   // Label 11866: @755664
     /*  755664 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(755739), // Rule ID 23936 //
     /*  755669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  755672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  755686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  755715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755737 */     GIR_RootConstrainSelectedInstOperands,
     /*  755738 */     // GIR_Coverage, 23936,
     /*  755738 */     GIR_EraseRootFromParent_Done,
     /*  755739 */   // Label 11867: @755739
     /*  755739 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(755814), // Rule ID 23937 //
     /*  755744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  755747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  755761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  755790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  755793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755812 */     GIR_RootConstrainSelectedInstOperands,
     /*  755813 */     // GIR_Coverage, 23937,
     /*  755813 */     GIR_EraseRootFromParent_Done,
     /*  755814 */   // Label 11868: @755814
     /*  755814 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(755889), // Rule ID 23940 //
     /*  755819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  755830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  755833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  755836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755865 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  755868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755887 */     GIR_RootConstrainSelectedInstOperands,
     /*  755888 */     // GIR_Coverage, 23940,
     /*  755888 */     GIR_EraseRootFromParent_Done,
     /*  755889 */   // Label 11869: @755889
     /*  755889 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(755964), // Rule ID 23941 //
     /*  755894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  755905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  755908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  755911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  755943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755962 */     GIR_RootConstrainSelectedInstOperands,
     /*  755963 */     // GIR_Coverage, 23941,
     /*  755963 */     GIR_EraseRootFromParent_Done,
     /*  755964 */   // Label 11870: @755964
     /*  755964 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(756039), // Rule ID 23944 //
     /*  755969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  755977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  755980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  755983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  755986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756015 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756037 */     GIR_RootConstrainSelectedInstOperands,
     /*  756038 */     // GIR_Coverage, 23944,
     /*  756038 */     GIR_EraseRootFromParent_Done,
     /*  756039 */   // Label 11871: @756039
     /*  756039 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(756114), // Rule ID 23945 //
     /*  756044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  756055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  756058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756112 */     GIR_RootConstrainSelectedInstOperands,
     /*  756113 */     // GIR_Coverage, 23945,
     /*  756113 */     GIR_EraseRootFromParent_Done,
     /*  756114 */   // Label 11872: @756114
     /*  756114 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(756189), // Rule ID 23948 //
     /*  756119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  756130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  756133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  756136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756165 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  756168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756187 */     GIR_RootConstrainSelectedInstOperands,
     /*  756188 */     // GIR_Coverage, 23948,
     /*  756188 */     GIR_EraseRootFromParent_Done,
     /*  756189 */   // Label 11873: @756189
     /*  756189 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(756264), // Rule ID 23949 //
     /*  756194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  756205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  756208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  756211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  756243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756262 */     GIR_RootConstrainSelectedInstOperands,
     /*  756263 */     // GIR_Coverage, 23949,
     /*  756263 */     GIR_EraseRootFromParent_Done,
     /*  756264 */   // Label 11874: @756264
     /*  756264 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(756339), // Rule ID 23952 //
     /*  756269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  756318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756337 */     GIR_RootConstrainSelectedInstOperands,
     /*  756338 */     // GIR_Coverage, 23952,
     /*  756338 */     GIR_EraseRootFromParent_Done,
     /*  756339 */   // Label 11875: @756339
     /*  756339 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(756414), // Rule ID 23953 //
     /*  756344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  756393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756412 */     GIR_RootConstrainSelectedInstOperands,
     /*  756413 */     // GIR_Coverage, 23953,
     /*  756413 */     GIR_EraseRootFromParent_Done,
     /*  756414 */   // Label 11876: @756414
     /*  756414 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(756489), // Rule ID 23956 //
     /*  756419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  756436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756487 */     GIR_RootConstrainSelectedInstOperands,
     /*  756488 */     // GIR_Coverage, 23956,
     /*  756488 */     GIR_EraseRootFromParent_Done,
     /*  756489 */   // Label 11877: @756489
     /*  756489 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(756564), // Rule ID 23957 //
     /*  756494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  756511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756562 */     GIR_RootConstrainSelectedInstOperands,
     /*  756563 */     // GIR_Coverage, 23957,
     /*  756563 */     GIR_EraseRootFromParent_Done,
     /*  756564 */   // Label 11878: @756564
     /*  756564 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(756639), // Rule ID 23960 //
     /*  756569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  756586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  756618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756637 */     GIR_RootConstrainSelectedInstOperands,
     /*  756638 */     // GIR_Coverage, 23960,
     /*  756638 */     GIR_EraseRootFromParent_Done,
     /*  756639 */   // Label 11879: @756639
     /*  756639 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(756714), // Rule ID 23961 //
     /*  756644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  756661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  756693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756712 */     GIR_RootConstrainSelectedInstOperands,
     /*  756713 */     // GIR_Coverage, 23961,
     /*  756713 */     GIR_EraseRootFromParent_Done,
     /*  756714 */   // Label 11880: @756714
     /*  756714 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(756789), // Rule ID 23964 //
     /*  756719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  756768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756787 */     GIR_RootConstrainSelectedInstOperands,
     /*  756788 */     // GIR_Coverage, 23964,
     /*  756788 */     GIR_EraseRootFromParent_Done,
     /*  756789 */   // Label 11881: @756789
     /*  756789 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(756864), // Rule ID 23965 //
     /*  756794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  756843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756862 */     GIR_RootConstrainSelectedInstOperands,
     /*  756863 */     // GIR_Coverage, 23965,
     /*  756863 */     GIR_EraseRootFromParent_Done,
     /*  756864 */   // Label 11882: @756864
     /*  756864 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(756939), // Rule ID 23968 //
     /*  756869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756915 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756937 */     GIR_RootConstrainSelectedInstOperands,
     /*  756938 */     // GIR_Coverage, 23968,
     /*  756938 */     GIR_EraseRootFromParent_Done,
     /*  756939 */   // Label 11883: @756939
     /*  756939 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(757014), // Rule ID 23969 //
     /*  756944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  756952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  756993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757012 */     GIR_RootConstrainSelectedInstOperands,
     /*  757013 */     // GIR_Coverage, 23969,
     /*  757013 */     GIR_EraseRootFromParent_Done,
     /*  757014 */   // Label 11884: @757014
     /*  757014 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(757089), // Rule ID 23972 //
     /*  757019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  757036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  757068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757087 */     GIR_RootConstrainSelectedInstOperands,
     /*  757088 */     // GIR_Coverage, 23972,
     /*  757088 */     GIR_EraseRootFromParent_Done,
     /*  757089 */   // Label 11885: @757089
     /*  757089 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(757164), // Rule ID 23973 //
     /*  757094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  757111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  757143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757162 */     GIR_RootConstrainSelectedInstOperands,
     /*  757163 */     // GIR_Coverage, 23973,
     /*  757163 */     GIR_EraseRootFromParent_Done,
     /*  757164 */   // Label 11886: @757164
     /*  757164 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(757239), // Rule ID 23976 //
     /*  757169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  757186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  757218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757237 */     GIR_RootConstrainSelectedInstOperands,
     /*  757238 */     // GIR_Coverage, 23976,
     /*  757238 */     GIR_EraseRootFromParent_Done,
     /*  757239 */   // Label 11887: @757239
     /*  757239 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(757314), // Rule ID 23977 //
     /*  757244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  757261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  757293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757312 */     GIR_RootConstrainSelectedInstOperands,
     /*  757313 */     // GIR_Coverage, 23977,
     /*  757313 */     GIR_EraseRootFromParent_Done,
     /*  757314 */   // Label 11888: @757314
     /*  757314 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(757389), // Rule ID 23980 //
     /*  757319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  757336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  757368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757387 */     GIR_RootConstrainSelectedInstOperands,
     /*  757388 */     // GIR_Coverage, 23980,
     /*  757388 */     GIR_EraseRootFromParent_Done,
     /*  757389 */   // Label 11889: @757389
     /*  757389 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(757464), // Rule ID 23981 //
     /*  757394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  757411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  757443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757462 */     GIR_RootConstrainSelectedInstOperands,
     /*  757463 */     // GIR_Coverage, 23981,
     /*  757463 */     GIR_EraseRootFromParent_Done,
     /*  757464 */   // Label 11890: @757464
     /*  757464 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(757539), // Rule ID 23984 //
     /*  757469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  757486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  757518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757537 */     GIR_RootConstrainSelectedInstOperands,
     /*  757538 */     // GIR_Coverage, 23984,
     /*  757538 */     GIR_EraseRootFromParent_Done,
     /*  757539 */   // Label 11891: @757539
     /*  757539 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(757614), // Rule ID 23985 //
     /*  757544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  757552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  757561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  757593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757612 */     GIR_RootConstrainSelectedInstOperands,
     /*  757613 */     // GIR_Coverage, 23985,
     /*  757613 */     GIR_EraseRootFromParent_Done,
     /*  757614 */   // Label 11892: @757614
     /*  757614 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(757689), // Rule ID 24228 //
     /*  757619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  757622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  757627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  757639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  757658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757665 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  757668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757687 */     GIR_RootConstrainSelectedInstOperands,
     /*  757688 */     // GIR_Coverage, 24228,
     /*  757688 */     GIR_EraseRootFromParent_Done,
     /*  757689 */   // Label 11893: @757689
     /*  757689 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(757764), // Rule ID 24229 //
     /*  757694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  757697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  757702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  757714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  757733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  757743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757762 */     GIR_RootConstrainSelectedInstOperands,
     /*  757763 */     // GIR_Coverage, 24229,
     /*  757763 */     GIR_EraseRootFromParent_Done,
     /*  757764 */   // Label 11894: @757764
     /*  757764 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(757839), // Rule ID 24232 //
     /*  757769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  757772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  757777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  757789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  757808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757815 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  757818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757837 */     GIR_RootConstrainSelectedInstOperands,
     /*  757838 */     // GIR_Coverage, 24232,
     /*  757838 */     GIR_EraseRootFromParent_Done,
     /*  757839 */   // Label 11895: @757839
     /*  757839 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(757914), // Rule ID 24233 //
     /*  757844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  757847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  757852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  757864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  757883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  757893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757912 */     GIR_RootConstrainSelectedInstOperands,
     /*  757913 */     // GIR_Coverage, 24233,
     /*  757913 */     GIR_EraseRootFromParent_Done,
     /*  757914 */   // Label 11896: @757914
     /*  757914 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(757989), // Rule ID 24236 //
     /*  757919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  757922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  757927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  757958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  757968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757987 */     GIR_RootConstrainSelectedInstOperands,
     /*  757988 */     // GIR_Coverage, 24236,
     /*  757988 */     GIR_EraseRootFromParent_Done,
     /*  757989 */   // Label 11897: @757989
     /*  757989 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(758064), // Rule ID 24237 //
     /*  757994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  757997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  758011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  758033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  758043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758062 */     GIR_RootConstrainSelectedInstOperands,
     /*  758063 */     // GIR_Coverage, 24237,
     /*  758063 */     GIR_EraseRootFromParent_Done,
     /*  758064 */   // Label 11898: @758064
     /*  758064 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(758139), // Rule ID 24240 //
     /*  758069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  758072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  758118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758137 */     GIR_RootConstrainSelectedInstOperands,
     /*  758138 */     // GIR_Coverage, 24240,
     /*  758138 */     GIR_EraseRootFromParent_Done,
     /*  758139 */   // Label 11899: @758139
     /*  758139 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(758214), // Rule ID 24241 //
     /*  758144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  758147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10925:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  758193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758212 */     GIR_RootConstrainSelectedInstOperands,
     /*  758213 */     // GIR_Coverage, 24241,
     /*  758213 */     GIR_EraseRootFromParent_Done,
     /*  758214 */   // Label 11900: @758214
     /*  758214 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(758289), // Rule ID 24244 //
     /*  758219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  758222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  758258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758265 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  758268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758287 */     GIR_RootConstrainSelectedInstOperands,
     /*  758288 */     // GIR_Coverage, 24244,
     /*  758288 */     GIR_EraseRootFromParent_Done,
     /*  758289 */   // Label 11901: @758289
     /*  758289 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(758364), // Rule ID 24245 //
     /*  758294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  758297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  758333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  758343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758362 */     GIR_RootConstrainSelectedInstOperands,
     /*  758363 */     // GIR_Coverage, 24245,
     /*  758363 */     GIR_EraseRootFromParent_Done,
     /*  758364 */   // Label 11902: @758364
     /*  758364 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(758439), // Rule ID 24248 //
     /*  758369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  758372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  758380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  758383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  758386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  758408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  758418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758437 */     GIR_RootConstrainSelectedInstOperands,
     /*  758438 */     // GIR_Coverage, 24248,
     /*  758438 */     GIR_EraseRootFromParent_Done,
     /*  758439 */   // Label 11903: @758439
     /*  758439 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(758514), // Rule ID 24249 //
     /*  758444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  758447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  758455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  758458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  758461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  758483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  758493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758512 */     GIR_RootConstrainSelectedInstOperands,
     /*  758513 */     // GIR_Coverage, 24249,
     /*  758513 */     GIR_EraseRootFromParent_Done,
     /*  758514 */   // Label 11904: @758514
     /*  758514 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(758589), // Rule ID 24252 //
     /*  758519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  758522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  758568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758587 */     GIR_RootConstrainSelectedInstOperands,
     /*  758588 */     // GIR_Coverage, 24252,
     /*  758588 */     GIR_EraseRootFromParent_Done,
     /*  758589 */   // Label 11905: @758589
     /*  758589 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(758664), // Rule ID 24253 //
     /*  758594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  758597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  758643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758662 */     GIR_RootConstrainSelectedInstOperands,
     /*  758663 */     // GIR_Coverage, 24253,
     /*  758663 */     GIR_EraseRootFromParent_Done,
     /*  758664 */   // Label 11906: @758664
     /*  758664 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(758739), // Rule ID 24256 //
     /*  758669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  758672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  758718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758737 */     GIR_RootConstrainSelectedInstOperands,
     /*  758738 */     // GIR_Coverage, 24256,
     /*  758738 */     GIR_EraseRootFromParent_Done,
     /*  758739 */   // Label 11907: @758739
     /*  758739 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(758814), // Rule ID 24257 //
     /*  758744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  758747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758790 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  758793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758812 */     GIR_RootConstrainSelectedInstOperands,
     /*  758813 */     // GIR_Coverage, 24257,
     /*  758813 */     GIR_EraseRootFromParent_Done,
     /*  758814 */   // Label 11908: @758814
     /*  758814 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(758889), // Rule ID 24260 //
     /*  758819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  758822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758865 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  758868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758887 */     GIR_RootConstrainSelectedInstOperands,
     /*  758888 */     // GIR_Coverage, 24260,
     /*  758888 */     GIR_EraseRootFromParent_Done,
     /*  758889 */   // Label 11909: @758889
     /*  758889 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(758964), // Rule ID 24261 //
     /*  758894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  758897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  758914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  758933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  758943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758962 */     GIR_RootConstrainSelectedInstOperands,
     /*  758963 */     // GIR_Coverage, 24261,
     /*  758963 */     GIR_EraseRootFromParent_Done,
     /*  758964 */   // Label 11910: @758964
     /*  758964 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(759039), // Rule ID 24264 //
     /*  758969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  758972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  758977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  759018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759037 */     GIR_RootConstrainSelectedInstOperands,
     /*  759038 */     // GIR_Coverage, 24264,
     /*  759038 */     GIR_EraseRootFromParent_Done,
     /*  759039 */   // Label 11911: @759039
     /*  759039 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(759114), // Rule ID 24265 //
     /*  759044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  759047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  759093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759112 */     GIR_RootConstrainSelectedInstOperands,
     /*  759113 */     // GIR_Coverage, 24265,
     /*  759113 */     GIR_EraseRootFromParent_Done,
     /*  759114 */   // Label 11912: @759114
     /*  759114 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(759189), // Rule ID 24268 //
     /*  759119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  759122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759165 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  759168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759187 */     GIR_RootConstrainSelectedInstOperands,
     /*  759188 */     // GIR_Coverage, 24268,
     /*  759188 */     GIR_EraseRootFromParent_Done,
     /*  759189 */   // Label 11913: @759189
     /*  759189 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(759264), // Rule ID 24269 //
     /*  759194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  759197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  759243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759262 */     GIR_RootConstrainSelectedInstOperands,
     /*  759263 */     // GIR_Coverage, 24269,
     /*  759263 */     GIR_EraseRootFromParent_Done,
     /*  759264 */   // Label 11914: @759264
     /*  759264 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(759339), // Rule ID 24272 //
     /*  759269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  759272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  759318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759337 */     GIR_RootConstrainSelectedInstOperands,
     /*  759338 */     // GIR_Coverage, 24272,
     /*  759338 */     GIR_EraseRootFromParent_Done,
     /*  759339 */   // Label 11915: @759339
     /*  759339 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(759414), // Rule ID 24273 //
     /*  759344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  759347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  759383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  759393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759412 */     GIR_RootConstrainSelectedInstOperands,
     /*  759413 */     // GIR_Coverage, 24273,
     /*  759413 */     GIR_EraseRootFromParent_Done,
     /*  759414 */   // Label 11916: @759414
     /*  759414 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(759489), // Rule ID 24276 //
     /*  759419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  759422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  759468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759487 */     GIR_RootConstrainSelectedInstOperands,
     /*  759488 */     // GIR_Coverage, 24276,
     /*  759488 */     GIR_EraseRootFromParent_Done,
     /*  759489 */   // Label 11917: @759489
     /*  759489 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(759564), // Rule ID 24277 //
     /*  759494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  759497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759540 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  759543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759562 */     GIR_RootConstrainSelectedInstOperands,
     /*  759563 */     // GIR_Coverage, 24277,
     /*  759563 */     GIR_EraseRootFromParent_Done,
     /*  759564 */   // Label 11918: @759564
     /*  759564 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(759639), // Rule ID 24280 //
     /*  759569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  759572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759615 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  759618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759637 */     GIR_RootConstrainSelectedInstOperands,
     /*  759638 */     // GIR_Coverage, 24280,
     /*  759638 */     GIR_EraseRootFromParent_Done,
     /*  759639 */   // Label 11919: @759639
     /*  759639 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(759714), // Rule ID 24281 //
     /*  759644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  759647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  759693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759712 */     GIR_RootConstrainSelectedInstOperands,
     /*  759713 */     // GIR_Coverage, 24281,
     /*  759713 */     GIR_EraseRootFromParent_Done,
     /*  759714 */   // Label 11920: @759714
     /*  759714 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(759789), // Rule ID 24284 //
     /*  759719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  759722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759765 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  759768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759787 */     GIR_RootConstrainSelectedInstOperands,
     /*  759788 */     // GIR_Coverage, 24284,
     /*  759788 */     GIR_EraseRootFromParent_Done,
     /*  759789 */   // Label 11921: @759789
     /*  759789 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(759864), // Rule ID 24285 //
     /*  759794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  759797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  759802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  759833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  759843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759862 */     GIR_RootConstrainSelectedInstOperands,
     /*  759863 */     // GIR_Coverage, 24285,
     /*  759863 */     GIR_EraseRootFromParent_Done,
     /*  759864 */   // Label 11922: @759864
     /*  759864 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(759939), // Rule ID 24288 //
     /*  759869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  759872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  759877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  759889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  759908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759915 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  759918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759937 */     GIR_RootConstrainSelectedInstOperands,
     /*  759938 */     // GIR_Coverage, 24288,
     /*  759938 */     GIR_EraseRootFromParent_Done,
     /*  759939 */   // Label 11923: @759939
     /*  759939 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(760014), // Rule ID 24289 //
     /*  759944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  759947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  759952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  759955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  759958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  759964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  759983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759990 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  759993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760012 */     GIR_RootConstrainSelectedInstOperands,
     /*  760013 */     // GIR_Coverage, 24289,
     /*  760013 */     GIR_EraseRootFromParent_Done,
     /*  760014 */   // Label 11924: @760014
     /*  760014 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(760089), // Rule ID 24292 //
     /*  760019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  760022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760065 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  760068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760087 */     GIR_RootConstrainSelectedInstOperands,
     /*  760088 */     // GIR_Coverage, 24292,
     /*  760088 */     GIR_EraseRootFromParent_Done,
     /*  760089 */   // Label 11925: @760089
     /*  760089 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(760164), // Rule ID 24293 //
     /*  760094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  760097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760140 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  760143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760162 */     GIR_RootConstrainSelectedInstOperands,
     /*  760163 */     // GIR_Coverage, 24293,
     /*  760163 */     GIR_EraseRootFromParent_Done,
     /*  760164 */   // Label 11926: @760164
     /*  760164 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(760239), // Rule ID 24296 //
     /*  760169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  760172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  760208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  760218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760237 */     GIR_RootConstrainSelectedInstOperands,
     /*  760238 */     // GIR_Coverage, 24296,
     /*  760238 */     GIR_EraseRootFromParent_Done,
     /*  760239 */   // Label 11927: @760239
     /*  760239 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(760314), // Rule ID 24297 //
     /*  760244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  760247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  760283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  760293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760312 */     GIR_RootConstrainSelectedInstOperands,
     /*  760313 */     // GIR_Coverage, 24297,
     /*  760313 */     GIR_EraseRootFromParent_Done,
     /*  760314 */   // Label 11928: @760314
     /*  760314 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(760389), // Rule ID 24300 //
     /*  760319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  760322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  760368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760387 */     GIR_RootConstrainSelectedInstOperands,
     /*  760388 */     // GIR_Coverage, 24300,
     /*  760388 */     GIR_EraseRootFromParent_Done,
     /*  760389 */   // Label 11929: @760389
     /*  760389 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(760464), // Rule ID 24301 //
     /*  760394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  760397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10923:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  760443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760462 */     GIR_RootConstrainSelectedInstOperands,
     /*  760463 */     // GIR_Coverage, 24301,
     /*  760463 */     GIR_EraseRootFromParent_Done,
     /*  760464 */   // Label 11930: @760464
     /*  760464 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(760539), // Rule ID 24304 //
     /*  760469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  760472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  760508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  760518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760537 */     GIR_RootConstrainSelectedInstOperands,
     /*  760538 */     // GIR_Coverage, 24304,
     /*  760538 */     GIR_EraseRootFromParent_Done,
     /*  760539 */   // Label 11931: @760539
     /*  760539 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(760614), // Rule ID 24305 //
     /*  760544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  760547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  760555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  760558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  760583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  760593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760612 */     GIR_RootConstrainSelectedInstOperands,
     /*  760613 */     // GIR_Coverage, 24305,
     /*  760613 */     GIR_EraseRootFromParent_Done,
     /*  760614 */   // Label 11932: @760614
     /*  760614 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(760689), // Rule ID 24308 //
     /*  760619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  760622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  760658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760665 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  760668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760687 */     GIR_RootConstrainSelectedInstOperands,
     /*  760688 */     // GIR_Coverage, 24308,
     /*  760688 */     GIR_EraseRootFromParent_Done,
     /*  760689 */   // Label 11933: @760689
     /*  760689 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(760764), // Rule ID 24309 //
     /*  760694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  760697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  760711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  760733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760740 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  760743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760762 */     GIR_RootConstrainSelectedInstOperands,
     /*  760763 */     // GIR_Coverage, 24309,
     /*  760763 */     GIR_EraseRootFromParent_Done,
     /*  760764 */   // Label 11934: @760764
     /*  760764 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(760839), // Rule ID 24312 //
     /*  760769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  760772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760815 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  760818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760837 */     GIR_RootConstrainSelectedInstOperands,
     /*  760838 */     // GIR_Coverage, 24312,
     /*  760838 */     GIR_EraseRootFromParent_Done,
     /*  760839 */   // Label 11935: @760839
     /*  760839 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(760914), // Rule ID 24313 //
     /*  760844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  760847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  760855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  760858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  760861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  760893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760912 */     GIR_RootConstrainSelectedInstOperands,
     /*  760913 */     // GIR_Coverage, 24313,
     /*  760913 */     GIR_EraseRootFromParent_Done,
     /*  760914 */   // Label 11936: @760914
     /*  760914 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(760989), // Rule ID 24316 //
     /*  760919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  760922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  760927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  760930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  760933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  760936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  760939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  760958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760965 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  760968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760987 */     GIR_RootConstrainSelectedInstOperands,
     /*  760988 */     // GIR_Coverage, 24316,
     /*  760988 */     GIR_EraseRootFromParent_Done,
     /*  760989 */   // Label 11937: @760989
     /*  760989 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(761064), // Rule ID 24317 //
     /*  760994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  760997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  761014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  761033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761040 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  761043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761062 */     GIR_RootConstrainSelectedInstOperands,
     /*  761063 */     // GIR_Coverage, 24317,
     /*  761063 */     GIR_EraseRootFromParent_Done,
     /*  761064 */   // Label 11938: @761064
     /*  761064 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(761139), // Rule ID 24320 //
     /*  761069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  761072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  761089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  761108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761115 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  761118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761137 */     GIR_RootConstrainSelectedInstOperands,
     /*  761138 */     // GIR_Coverage, 24320,
     /*  761138 */     GIR_EraseRootFromParent_Done,
     /*  761139 */   // Label 11939: @761139
     /*  761139 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(761214), // Rule ID 24321 //
     /*  761144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  761147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  761155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  761158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  761161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  761164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  761183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  761193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761212 */     GIR_RootConstrainSelectedInstOperands,
     /*  761213 */     // GIR_Coverage, 24321,
     /*  761213 */     GIR_EraseRootFromParent_Done,
     /*  761214 */   // Label 11940: @761214
     /*  761214 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(761289), // Rule ID 24324 //
     /*  761219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  761222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  761268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761287 */     GIR_RootConstrainSelectedInstOperands,
     /*  761288 */     // GIR_Coverage, 24324,
     /*  761288 */     GIR_EraseRootFromParent_Done,
     /*  761289 */   // Label 11941: @761289
     /*  761289 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(761364), // Rule ID 24325 //
     /*  761294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  761297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  761305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  761308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  761311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  761343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761362 */     GIR_RootConstrainSelectedInstOperands,
     /*  761363 */     // GIR_Coverage, 24325,
     /*  761363 */     GIR_EraseRootFromParent_Done,
     /*  761364 */   // Label 11942: @761364
     /*  761364 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(761439), // Rule ID 24328 //
     /*  761369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  761372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761415 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  761418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761437 */     GIR_RootConstrainSelectedInstOperands,
     /*  761438 */     // GIR_Coverage, 24328,
     /*  761438 */     GIR_EraseRootFromParent_Done,
     /*  761439 */   // Label 11943: @761439
     /*  761439 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(761514), // Rule ID 24329 //
     /*  761444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  761447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  761455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  761458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  761461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  761493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761512 */     GIR_RootConstrainSelectedInstOperands,
     /*  761513 */     // GIR_Coverage, 24329,
     /*  761513 */     GIR_EraseRootFromParent_Done,
     /*  761514 */   // Label 11944: @761514
     /*  761514 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(761589), // Rule ID 24332 //
     /*  761519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  761522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  761568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761587 */     GIR_RootConstrainSelectedInstOperands,
     /*  761588 */     // GIR_Coverage, 24332,
     /*  761588 */     GIR_EraseRootFromParent_Done,
     /*  761589 */   // Label 11945: @761589
     /*  761589 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(761664), // Rule ID 24333 //
     /*  761594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  761597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  761605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  761608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  761611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  761633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  761643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761662 */     GIR_RootConstrainSelectedInstOperands,
     /*  761663 */     // GIR_Coverage, 24333,
     /*  761663 */     GIR_EraseRootFromParent_Done,
     /*  761664 */   // Label 11946: @761664
     /*  761664 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(761739), // Rule ID 24336 //
     /*  761669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  761672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  761708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  761718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761737 */     GIR_RootConstrainSelectedInstOperands,
     /*  761738 */     // GIR_Coverage, 24336,
     /*  761738 */     GIR_EraseRootFromParent_Done,
     /*  761739 */   // Label 11947: @761739
     /*  761739 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(761814), // Rule ID 24337 //
     /*  761744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  761747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  761755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  761758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  761761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  761783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  761793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761812 */     GIR_RootConstrainSelectedInstOperands,
     /*  761813 */     // GIR_Coverage, 24337,
     /*  761813 */     GIR_EraseRootFromParent_Done,
     /*  761814 */   // Label 11948: @761814
     /*  761814 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(761889), // Rule ID 24340 //
     /*  761819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  761822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  761830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  761833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  761836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  761858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761865 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  761868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761887 */     GIR_RootConstrainSelectedInstOperands,
     /*  761888 */     // GIR_Coverage, 24340,
     /*  761888 */     GIR_EraseRootFromParent_Done,
     /*  761889 */   // Label 11949: @761889
     /*  761889 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(761964), // Rule ID 24341 //
     /*  761894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  761897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  761905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  761908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  761911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  761933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  761943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761962 */     GIR_RootConstrainSelectedInstOperands,
     /*  761963 */     // GIR_Coverage, 24341,
     /*  761963 */     GIR_EraseRootFromParent_Done,
     /*  761964 */   // Label 11950: @761964
     /*  761964 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(762039), // Rule ID 24344 //
     /*  761969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  761972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  761977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  761980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  761983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  761986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  762008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762015 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  762018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762037 */     GIR_RootConstrainSelectedInstOperands,
     /*  762038 */     // GIR_Coverage, 24344,
     /*  762038 */     GIR_EraseRootFromParent_Done,
     /*  762039 */   // Label 11951: @762039
     /*  762039 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(762114), // Rule ID 24345 //
     /*  762044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  762047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  762052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  762055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  762058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  762061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  762083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  762093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762112 */     GIR_RootConstrainSelectedInstOperands,
     /*  762113 */     // GIR_Coverage, 24345,
     /*  762113 */     GIR_EraseRootFromParent_Done,
     /*  762114 */   // Label 11952: @762114
     /*  762114 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(762189), // Rule ID 24348 //
     /*  762119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  762168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762187 */     GIR_RootConstrainSelectedInstOperands,
     /*  762188 */     // GIR_Coverage, 24348,
     /*  762188 */     GIR_EraseRootFromParent_Done,
     /*  762189 */   // Label 11953: @762189
     /*  762189 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(762264), // Rule ID 24349 //
     /*  762194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  762205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  762208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  762211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  762214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762240 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  762243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762262 */     GIR_RootConstrainSelectedInstOperands,
     /*  762263 */     // GIR_Coverage, 24349,
     /*  762263 */     GIR_EraseRootFromParent_Done,
     /*  762264 */   // Label 11954: @762264
     /*  762264 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(762339), // Rule ID 24352 //
     /*  762269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  762318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762337 */     GIR_RootConstrainSelectedInstOperands,
     /*  762338 */     // GIR_Coverage, 24352,
     /*  762338 */     GIR_EraseRootFromParent_Done,
     /*  762339 */   // Label 11955: @762339
     /*  762339 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(762414), // Rule ID 24353 //
     /*  762344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  762355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  762358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  762361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  762364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  762393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762412 */     GIR_RootConstrainSelectedInstOperands,
     /*  762413 */     // GIR_Coverage, 24353,
     /*  762413 */     GIR_EraseRootFromParent_Done,
     /*  762414 */   // Label 11956: @762414
     /*  762414 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(762489), // Rule ID 24356 //
     /*  762419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  762468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762487 */     GIR_RootConstrainSelectedInstOperands,
     /*  762488 */     // GIR_Coverage, 24356,
     /*  762488 */     GIR_EraseRootFromParent_Done,
     /*  762489 */   // Label 11957: @762489
     /*  762489 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(762564), // Rule ID 24357 //
     /*  762494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  762505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  762508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  762511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  762514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762540 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  762543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762562 */     GIR_RootConstrainSelectedInstOperands,
     /*  762563 */     // GIR_Coverage, 24357,
     /*  762563 */     GIR_EraseRootFromParent_Done,
     /*  762564 */   // Label 11958: @762564
     /*  762564 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(762639), // Rule ID 24360 //
     /*  762569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  762618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762637 */     GIR_RootConstrainSelectedInstOperands,
     /*  762638 */     // GIR_Coverage, 24360,
     /*  762638 */     GIR_EraseRootFromParent_Done,
     /*  762639 */   // Label 11959: @762639
     /*  762639 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(762714), // Rule ID 24361 //
     /*  762644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  762655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  762658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  762661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  762664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  762693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762712 */     GIR_RootConstrainSelectedInstOperands,
     /*  762713 */     // GIR_Coverage, 24361,
     /*  762713 */     GIR_EraseRootFromParent_Done,
     /*  762714 */   // Label 11960: @762714
     /*  762714 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(762789), // Rule ID 24364 //
     /*  762719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  762768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762787 */     GIR_RootConstrainSelectedInstOperands,
     /*  762788 */     // GIR_Coverage, 24364,
     /*  762788 */     GIR_EraseRootFromParent_Done,
     /*  762789 */   // Label 11961: @762789
     /*  762789 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(762864), // Rule ID 24365 //
     /*  762794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  762805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  762808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  762811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  762814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  762843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762862 */     GIR_RootConstrainSelectedInstOperands,
     /*  762863 */     // GIR_Coverage, 24365,
     /*  762863 */     GIR_EraseRootFromParent_Done,
     /*  762864 */   // Label 11962: @762864
     /*  762864 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(762939), // Rule ID 24368 //
     /*  762869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  762880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  762883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  762886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  762889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  762918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762937 */     GIR_RootConstrainSelectedInstOperands,
     /*  762938 */     // GIR_Coverage, 24368,
     /*  762938 */     GIR_EraseRootFromParent_Done,
     /*  762939 */   // Label 11963: @762939
     /*  762939 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(763014), // Rule ID 24369 //
     /*  762944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  762952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  762955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  762958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  762961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  762964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  762993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763012 */     GIR_RootConstrainSelectedInstOperands,
     /*  763013 */     // GIR_Coverage, 24369,
     /*  763013 */     GIR_EraseRootFromParent_Done,
     /*  763014 */   // Label 11964: @763014
     /*  763014 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(763089), // Rule ID 24372 //
     /*  763019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  763068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763087 */     GIR_RootConstrainSelectedInstOperands,
     /*  763088 */     // GIR_Coverage, 24372,
     /*  763088 */     GIR_EraseRootFromParent_Done,
     /*  763089 */   // Label 11965: @763089
     /*  763089 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(763164), // Rule ID 24373 //
     /*  763094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  763105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  763108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  763111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  763114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11171:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  763143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763162 */     GIR_RootConstrainSelectedInstOperands,
     /*  763163 */     // GIR_Coverage, 24373,
     /*  763163 */     GIR_EraseRootFromParent_Done,
     /*  763164 */   // Label 11966: @763164
     /*  763164 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(763239), // Rule ID 24376 //
     /*  763169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  763218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763237 */     GIR_RootConstrainSelectedInstOperands,
     /*  763238 */     // GIR_Coverage, 24376,
     /*  763238 */     GIR_EraseRootFromParent_Done,
     /*  763239 */   // Label 11967: @763239
     /*  763239 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(763314), // Rule ID 24377 //
     /*  763244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  763255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  763258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  763261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  763264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  763293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763312 */     GIR_RootConstrainSelectedInstOperands,
     /*  763313 */     // GIR_Coverage, 24377,
     /*  763313 */     GIR_EraseRootFromParent_Done,
     /*  763314 */   // Label 11968: @763314
     /*  763314 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(763389), // Rule ID 24380 //
     /*  763319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763365 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  763368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763387 */     GIR_RootConstrainSelectedInstOperands,
     /*  763388 */     // GIR_Coverage, 24380,
     /*  763388 */     GIR_EraseRootFromParent_Done,
     /*  763389 */   // Label 11969: @763389
     /*  763389 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(763464), // Rule ID 24381 //
     /*  763394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  763405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  763408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  763411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  763414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  763443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763462 */     GIR_RootConstrainSelectedInstOperands,
     /*  763463 */     // GIR_Coverage, 24381,
     /*  763463 */     GIR_EraseRootFromParent_Done,
     /*  763464 */   // Label 11970: @763464
     /*  763464 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(763539), // Rule ID 24384 //
     /*  763469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  763518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763537 */     GIR_RootConstrainSelectedInstOperands,
     /*  763538 */     // GIR_Coverage, 24384,
     /*  763538 */     GIR_EraseRootFromParent_Done,
     /*  763539 */   // Label 11971: @763539
     /*  763539 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(763614), // Rule ID 24385 //
     /*  763544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  763555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  763558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  763561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  763564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  763593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763612 */     GIR_RootConstrainSelectedInstOperands,
     /*  763613 */     // GIR_Coverage, 24385,
     /*  763613 */     GIR_EraseRootFromParent_Done,
     /*  763614 */   // Label 11972: @763614
     /*  763614 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(763689), // Rule ID 24388 //
     /*  763619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763665 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  763668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763687 */     GIR_RootConstrainSelectedInstOperands,
     /*  763688 */     // GIR_Coverage, 24388,
     /*  763688 */     GIR_EraseRootFromParent_Done,
     /*  763689 */   // Label 11973: @763689
     /*  763689 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(763764), // Rule ID 24389 //
     /*  763694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  763705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  763708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  763711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  763714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  763743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763762 */     GIR_RootConstrainSelectedInstOperands,
     /*  763763 */     // GIR_Coverage, 24389,
     /*  763763 */     GIR_EraseRootFromParent_Done,
     /*  763764 */   // Label 11974: @763764
     /*  763764 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(763839), // Rule ID 24392 //
     /*  763769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  763780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  763783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  763786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  763789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763815 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  763818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763837 */     GIR_RootConstrainSelectedInstOperands,
     /*  763838 */     // GIR_Coverage, 24392,
     /*  763838 */     GIR_EraseRootFromParent_Done,
     /*  763839 */   // Label 11975: @763839
     /*  763839 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(763914), // Rule ID 24393 //
     /*  763844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  763855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  763858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  763861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  763864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  763893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763912 */     GIR_RootConstrainSelectedInstOperands,
     /*  763913 */     // GIR_Coverage, 24393,
     /*  763913 */     GIR_EraseRootFromParent_Done,
     /*  763914 */   // Label 11976: @763914
     /*  763914 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(763989), // Rule ID 24396 //
     /*  763919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  763927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  763930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  763933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  763936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  763939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  763968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763987 */     GIR_RootConstrainSelectedInstOperands,
     /*  763988 */     // GIR_Coverage, 24396,
     /*  763988 */     GIR_EraseRootFromParent_Done,
     /*  763989 */   // Label 11977: @763989
     /*  763989 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(764064), // Rule ID 24397 //
     /*  763994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  764005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  764008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  764011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  764014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764040 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  764043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764062 */     GIR_RootConstrainSelectedInstOperands,
     /*  764063 */     // GIR_Coverage, 24397,
     /*  764063 */     GIR_EraseRootFromParent_Done,
     /*  764064 */   // Label 11978: @764064
     /*  764064 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(764139), // Rule ID 24400 //
     /*  764069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  764118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764137 */     GIR_RootConstrainSelectedInstOperands,
     /*  764138 */     // GIR_Coverage, 24400,
     /*  764138 */     GIR_EraseRootFromParent_Done,
     /*  764139 */   // Label 11979: @764139
     /*  764139 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(764214), // Rule ID 24401 //
     /*  764144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  764164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  764193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764212 */     GIR_RootConstrainSelectedInstOperands,
     /*  764213 */     // GIR_Coverage, 24401,
     /*  764213 */     GIR_EraseRootFromParent_Done,
     /*  764214 */   // Label 11980: @764214
     /*  764214 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(764289), // Rule ID 24404 //
     /*  764219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  764268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764287 */     GIR_RootConstrainSelectedInstOperands,
     /*  764288 */     // GIR_Coverage, 24404,
     /*  764288 */     GIR_EraseRootFromParent_Done,
     /*  764289 */   // Label 11981: @764289
     /*  764289 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(764364), // Rule ID 24405 //
     /*  764294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  764314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  764343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764362 */     GIR_RootConstrainSelectedInstOperands,
     /*  764363 */     // GIR_Coverage, 24405,
     /*  764363 */     GIR_EraseRootFromParent_Done,
     /*  764364 */   // Label 11982: @764364
     /*  764364 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(764439), // Rule ID 24408 //
     /*  764369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764415 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  764418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764437 */     GIR_RootConstrainSelectedInstOperands,
     /*  764438 */     // GIR_Coverage, 24408,
     /*  764438 */     GIR_EraseRootFromParent_Done,
     /*  764439 */   // Label 11983: @764439
     /*  764439 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(764514), // Rule ID 24409 //
     /*  764444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  764464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  764493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764512 */     GIR_RootConstrainSelectedInstOperands,
     /*  764513 */     // GIR_Coverage, 24409,
     /*  764513 */     GIR_EraseRootFromParent_Done,
     /*  764514 */   // Label 11984: @764514
     /*  764514 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(764589), // Rule ID 24412 //
     /*  764519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  764568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764587 */     GIR_RootConstrainSelectedInstOperands,
     /*  764588 */     // GIR_Coverage, 24412,
     /*  764588 */     GIR_EraseRootFromParent_Done,
     /*  764589 */   // Label 11985: @764589
     /*  764589 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(764664), // Rule ID 24413 //
     /*  764594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  764614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  764643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764662 */     GIR_RootConstrainSelectedInstOperands,
     /*  764663 */     // GIR_Coverage, 24413,
     /*  764663 */     GIR_EraseRootFromParent_Done,
     /*  764664 */   // Label 11986: @764664
     /*  764664 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(764739), // Rule ID 24416 //
     /*  764669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  764680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  764683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  764686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  764689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  764718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764737 */     GIR_RootConstrainSelectedInstOperands,
     /*  764738 */     // GIR_Coverage, 24416,
     /*  764738 */     GIR_EraseRootFromParent_Done,
     /*  764739 */   // Label 11987: @764739
     /*  764739 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(764814), // Rule ID 24417 //
     /*  764744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  764755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  764758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  764761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  764764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  764793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764812 */     GIR_RootConstrainSelectedInstOperands,
     /*  764813 */     // GIR_Coverage, 24417,
     /*  764813 */     GIR_EraseRootFromParent_Done,
     /*  764814 */   // Label 11988: @764814
     /*  764814 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(764889), // Rule ID 24420 //
     /*  764819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  764830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  764833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  764836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  764839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  764868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764887 */     GIR_RootConstrainSelectedInstOperands,
     /*  764888 */     // GIR_Coverage, 24420,
     /*  764888 */     GIR_EraseRootFromParent_Done,
     /*  764889 */   // Label 11989: @764889
     /*  764889 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(764964), // Rule ID 24421 //
     /*  764894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  764905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  764908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  764911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  764914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  764943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764962 */     GIR_RootConstrainSelectedInstOperands,
     /*  764963 */     // GIR_Coverage, 24421,
     /*  764963 */     GIR_EraseRootFromParent_Done,
     /*  764964 */   // Label 11990: @764964
     /*  764964 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(765039), // Rule ID 24424 //
     /*  764969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  764977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  764980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  764983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  764986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  764989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  765018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765037 */     GIR_RootConstrainSelectedInstOperands,
     /*  765038 */     // GIR_Coverage, 24424,
     /*  765038 */     GIR_EraseRootFromParent_Done,
     /*  765039 */   // Label 11991: @765039
     /*  765039 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(765114), // Rule ID 24425 //
     /*  765044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  765052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  765064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  765093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765112 */     GIR_RootConstrainSelectedInstOperands,
     /*  765113 */     // GIR_Coverage, 24425,
     /*  765113 */     GIR_EraseRootFromParent_Done,
     /*  765114 */   // Label 11992: @765114
     /*  765114 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(765189), // Rule ID 24428 //
     /*  765119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  765127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765165 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  765168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765187 */     GIR_RootConstrainSelectedInstOperands,
     /*  765188 */     // GIR_Coverage, 24428,
     /*  765188 */     GIR_EraseRootFromParent_Done,
     /*  765189 */   // Label 11993: @765189
     /*  765189 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(765264), // Rule ID 24429 //
     /*  765194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  765202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  765214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765240 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  765243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765262 */     GIR_RootConstrainSelectedInstOperands,
     /*  765263 */     // GIR_Coverage, 24429,
     /*  765263 */     GIR_EraseRootFromParent_Done,
     /*  765264 */   // Label 11994: @765264
     /*  765264 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(765339), // Rule ID 24432 //
     /*  765269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  765277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  765318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765337 */     GIR_RootConstrainSelectedInstOperands,
     /*  765338 */     // GIR_Coverage, 24432,
     /*  765338 */     GIR_EraseRootFromParent_Done,
     /*  765339 */   // Label 11995: @765339
     /*  765339 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(765414), // Rule ID 24433 //
     /*  765344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  765352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  765364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  765393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765412 */     GIR_RootConstrainSelectedInstOperands,
     /*  765413 */     // GIR_Coverage, 24433,
     /*  765413 */     GIR_EraseRootFromParent_Done,
     /*  765414 */   // Label 11996: @765414
     /*  765414 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(765489), // Rule ID 24436 //
     /*  765419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765465 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  765468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765487 */     GIR_RootConstrainSelectedInstOperands,
     /*  765488 */     // GIR_Coverage, 24436,
     /*  765488 */     GIR_EraseRootFromParent_Done,
     /*  765489 */   // Label 11997: @765489
     /*  765489 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(765564), // Rule ID 24437 //
     /*  765494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  765505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  765508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  765511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  765543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765562 */     GIR_RootConstrainSelectedInstOperands,
     /*  765563 */     // GIR_Coverage, 24437,
     /*  765563 */     GIR_EraseRootFromParent_Done,
     /*  765564 */   // Label 11998: @765564
     /*  765564 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(765639), // Rule ID 24440 //
     /*  765569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  765618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765637 */     GIR_RootConstrainSelectedInstOperands,
     /*  765638 */     // GIR_Coverage, 24440,
     /*  765638 */     GIR_EraseRootFromParent_Done,
     /*  765639 */   // Label 11999: @765639
     /*  765639 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(765714), // Rule ID 24441 //
     /*  765644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  765655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  765658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  765661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  765693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765712 */     GIR_RootConstrainSelectedInstOperands,
     /*  765713 */     // GIR_Coverage, 24441,
     /*  765713 */     GIR_EraseRootFromParent_Done,
     /*  765714 */   // Label 12000: @765714
     /*  765714 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(765789), // Rule ID 24444 //
     /*  765719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  765730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  765733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  765736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765765 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  765768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765787 */     GIR_RootConstrainSelectedInstOperands,
     /*  765788 */     // GIR_Coverage, 24444,
     /*  765788 */     GIR_EraseRootFromParent_Done,
     /*  765789 */   // Label 12001: @765789
     /*  765789 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(765864), // Rule ID 24445 //
     /*  765794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  765805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  765808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  765811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765840 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  765843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765862 */     GIR_RootConstrainSelectedInstOperands,
     /*  765863 */     // GIR_Coverage, 24445,
     /*  765863 */     GIR_EraseRootFromParent_Done,
     /*  765864 */   // Label 12002: @765864
     /*  765864 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(765939), // Rule ID 24448 //
     /*  765869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  765880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  765883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  765886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  765918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765937 */     GIR_RootConstrainSelectedInstOperands,
     /*  765938 */     // GIR_Coverage, 24448,
     /*  765938 */     GIR_EraseRootFromParent_Done,
     /*  765939 */   // Label 12003: @765939
     /*  765939 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(766014), // Rule ID 24449 //
     /*  765944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  765952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  765955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  765958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  765961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  765993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766012 */     GIR_RootConstrainSelectedInstOperands,
     /*  766013 */     // GIR_Coverage, 24449,
     /*  766013 */     GIR_EraseRootFromParent_Done,
     /*  766014 */   // Label 12004: @766014
     /*  766014 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(766089), // Rule ID 24452 //
     /*  766019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766065 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  766068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766087 */     GIR_RootConstrainSelectedInstOperands,
     /*  766088 */     // GIR_Coverage, 24452,
     /*  766088 */     GIR_EraseRootFromParent_Done,
     /*  766089 */   // Label 12005: @766089
     /*  766089 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(766164), // Rule ID 24453 //
     /*  766094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  766143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766162 */     GIR_RootConstrainSelectedInstOperands,
     /*  766163 */     // GIR_Coverage, 24453,
     /*  766163 */     GIR_EraseRootFromParent_Done,
     /*  766164 */   // Label 12006: @766164
     /*  766164 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(766239), // Rule ID 24456 //
     /*  766169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  766218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766237 */     GIR_RootConstrainSelectedInstOperands,
     /*  766238 */     // GIR_Coverage, 24456,
     /*  766238 */     GIR_EraseRootFromParent_Done,
     /*  766239 */   // Label 12007: @766239
     /*  766239 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(766314), // Rule ID 24457 //
     /*  766244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  766293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766312 */     GIR_RootConstrainSelectedInstOperands,
     /*  766313 */     // GIR_Coverage, 24457,
     /*  766313 */     GIR_EraseRootFromParent_Done,
     /*  766314 */   // Label 12008: @766314
     /*  766314 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(766389), // Rule ID 24460 //
     /*  766319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766387 */     GIR_RootConstrainSelectedInstOperands,
     /*  766388 */     // GIR_Coverage, 24460,
     /*  766388 */     GIR_EraseRootFromParent_Done,
     /*  766389 */   // Label 12009: @766389
     /*  766389 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(766464), // Rule ID 24461 //
     /*  766394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  766405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  766408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  766411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766462 */     GIR_RootConstrainSelectedInstOperands,
     /*  766463 */     // GIR_Coverage, 24461,
     /*  766463 */     GIR_EraseRootFromParent_Done,
     /*  766464 */   // Label 12010: @766464
     /*  766464 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(766539), // Rule ID 24464 //
     /*  766469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766537 */     GIR_RootConstrainSelectedInstOperands,
     /*  766538 */     // GIR_Coverage, 24464,
     /*  766538 */     GIR_EraseRootFromParent_Done,
     /*  766539 */   // Label 12011: @766539
     /*  766539 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(766614), // Rule ID 24465 //
     /*  766544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766612 */     GIR_RootConstrainSelectedInstOperands,
     /*  766613 */     // GIR_Coverage, 24465,
     /*  766613 */     GIR_EraseRootFromParent_Done,
     /*  766614 */   // Label 12012: @766614
     /*  766614 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(766689), // Rule ID 24468 //
     /*  766619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766687 */     GIR_RootConstrainSelectedInstOperands,
     /*  766688 */     // GIR_Coverage, 24468,
     /*  766688 */     GIR_EraseRootFromParent_Done,
     /*  766689 */   // Label 12013: @766689
     /*  766689 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(766764), // Rule ID 24469 //
     /*  766694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766762 */     GIR_RootConstrainSelectedInstOperands,
     /*  766763 */     // GIR_Coverage, 24469,
     /*  766763 */     GIR_EraseRootFromParent_Done,
     /*  766764 */   // Label 12014: @766764
     /*  766764 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(766839), // Rule ID 24472 //
     /*  766769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  766780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  766783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  766786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766837 */     GIR_RootConstrainSelectedInstOperands,
     /*  766838 */     // GIR_Coverage, 24472,
     /*  766838 */     GIR_EraseRootFromParent_Done,
     /*  766839 */   // Label 12015: @766839
     /*  766839 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(766914), // Rule ID 24473 //
     /*  766844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  766855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  766858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  766861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  766893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766912 */     GIR_RootConstrainSelectedInstOperands,
     /*  766913 */     // GIR_Coverage, 24473,
     /*  766913 */     GIR_EraseRootFromParent_Done,
     /*  766914 */   // Label 12016: @766914
     /*  766914 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(766989), // Rule ID 24476 //
     /*  766919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  766927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  766930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  766933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  766936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766965 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  766968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766987 */     GIR_RootConstrainSelectedInstOperands,
     /*  766988 */     // GIR_Coverage, 24476,
     /*  766988 */     GIR_EraseRootFromParent_Done,
     /*  766989 */   // Label 12017: @766989
     /*  766989 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(767064), // Rule ID 24477 //
     /*  766994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  767005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  767008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  767011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767040 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  767043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767062 */     GIR_RootConstrainSelectedInstOperands,
     /*  767063 */     // GIR_Coverage, 24477,
     /*  767063 */     GIR_EraseRootFromParent_Done,
     /*  767064 */   // Label 12018: @767064
     /*  767064 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(767139), // Rule ID 24480 //
     /*  767069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  767118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767137 */     GIR_RootConstrainSelectedInstOperands,
     /*  767138 */     // GIR_Coverage, 24480,
     /*  767138 */     GIR_EraseRootFromParent_Done,
     /*  767139 */   // Label 12019: @767139
     /*  767139 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(767214), // Rule ID 24481 //
     /*  767144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  767155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  767158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  767161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  767193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767212 */     GIR_RootConstrainSelectedInstOperands,
     /*  767213 */     // GIR_Coverage, 24481,
     /*  767213 */     GIR_EraseRootFromParent_Done,
     /*  767214 */   // Label 12020: @767214
     /*  767214 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(767289), // Rule ID 24484 //
     /*  767219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767265 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  767268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767287 */     GIR_RootConstrainSelectedInstOperands,
     /*  767288 */     // GIR_Coverage, 24484,
     /*  767288 */     GIR_EraseRootFromParent_Done,
     /*  767289 */   // Label 12021: @767289
     /*  767289 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(767364), // Rule ID 24485 //
     /*  767294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  767305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  767308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  767311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767340 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  767343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767362 */     GIR_RootConstrainSelectedInstOperands,
     /*  767363 */     // GIR_Coverage, 24485,
     /*  767363 */     GIR_EraseRootFromParent_Done,
     /*  767364 */   // Label 12022: @767364
     /*  767364 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(767439), // Rule ID 24488 //
     /*  767369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  767418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767437 */     GIR_RootConstrainSelectedInstOperands,
     /*  767438 */     // GIR_Coverage, 24488,
     /*  767438 */     GIR_EraseRootFromParent_Done,
     /*  767439 */   // Label 12023: @767439
     /*  767439 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(767514), // Rule ID 24489 //
     /*  767444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  767455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  767458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  767461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  767493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767512 */     GIR_RootConstrainSelectedInstOperands,
     /*  767513 */     // GIR_Coverage, 24489,
     /*  767513 */     GIR_EraseRootFromParent_Done,
     /*  767514 */   // Label 12024: @767514
     /*  767514 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(767589), // Rule ID 24492 //
     /*  767519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  767568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767587 */     GIR_RootConstrainSelectedInstOperands,
     /*  767588 */     // GIR_Coverage, 24492,
     /*  767588 */     GIR_EraseRootFromParent_Done,
     /*  767589 */   // Label 12025: @767589
     /*  767589 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(767664), // Rule ID 24493 //
     /*  767594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  767643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767662 */     GIR_RootConstrainSelectedInstOperands,
     /*  767663 */     // GIR_Coverage, 24493,
     /*  767663 */     GIR_EraseRootFromParent_Done,
     /*  767664 */   // Label 12026: @767664
     /*  767664 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(767739), // Rule ID 24496 //
     /*  767669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  767680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  767683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  767686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  767718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767737 */     GIR_RootConstrainSelectedInstOperands,
     /*  767738 */     // GIR_Coverage, 24496,
     /*  767738 */     GIR_EraseRootFromParent_Done,
     /*  767739 */   // Label 12027: @767739
     /*  767739 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(767814), // Rule ID 24497 //
     /*  767744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  767755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  767758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  767761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  767793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767812 */     GIR_RootConstrainSelectedInstOperands,
     /*  767813 */     // GIR_Coverage, 24497,
     /*  767813 */     GIR_EraseRootFromParent_Done,
     /*  767814 */   // Label 12028: @767814
     /*  767814 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(767889), // Rule ID 24500 //
     /*  767819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  767830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  767833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  767836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  767868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767887 */     GIR_RootConstrainSelectedInstOperands,
     /*  767888 */     // GIR_Coverage, 24500,
     /*  767888 */     GIR_EraseRootFromParent_Done,
     /*  767889 */   // Label 12029: @767889
     /*  767889 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(767964), // Rule ID 24501 //
     /*  767894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  767905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  767908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  767911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  767943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767962 */     GIR_RootConstrainSelectedInstOperands,
     /*  767963 */     // GIR_Coverage, 24501,
     /*  767963 */     GIR_EraseRootFromParent_Done,
     /*  767964 */   // Label 12030: @767964
     /*  767964 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(768039), // Rule ID 24504 //
     /*  767969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  767977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  767980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  767983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  767986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  768018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768037 */     GIR_RootConstrainSelectedInstOperands,
     /*  768038 */     // GIR_Coverage, 24504,
     /*  768038 */     GIR_EraseRootFromParent_Done,
     /*  768039 */   // Label 12031: @768039
     /*  768039 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(768114), // Rule ID 24505 //
     /*  768044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  768055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  768058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  768061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  768093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768112 */     GIR_RootConstrainSelectedInstOperands,
     /*  768113 */     // GIR_Coverage, 24505,
     /*  768113 */     GIR_EraseRootFromParent_Done,
     /*  768114 */   // Label 12032: @768114
     /*  768114 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(768189), // Rule ID 24508 //
     /*  768119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  768168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768187 */     GIR_RootConstrainSelectedInstOperands,
     /*  768188 */     // GIR_Coverage, 24508,
     /*  768188 */     GIR_EraseRootFromParent_Done,
     /*  768189 */   // Label 12033: @768189
     /*  768189 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(768264), // Rule ID 24509 //
     /*  768194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  768205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  768208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  768211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  768243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768262 */     GIR_RootConstrainSelectedInstOperands,
     /*  768263 */     // GIR_Coverage, 24509,
     /*  768263 */     GIR_EraseRootFromParent_Done,
     /*  768264 */   // Label 12034: @768264
     /*  768264 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(768339), // Rule ID 24512 //
     /*  768269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  768318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768337 */     GIR_RootConstrainSelectedInstOperands,
     /*  768338 */     // GIR_Coverage, 24512,
     /*  768338 */     GIR_EraseRootFromParent_Done,
     /*  768339 */   // Label 12035: @768339
     /*  768339 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(768414), // Rule ID 24513 //
     /*  768344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  768355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  768358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  768361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  768393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768412 */     GIR_RootConstrainSelectedInstOperands,
     /*  768413 */     // GIR_Coverage, 24513,
     /*  768413 */     GIR_EraseRootFromParent_Done,
     /*  768414 */   // Label 12036: @768414
     /*  768414 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(768489), // Rule ID 24516 //
     /*  768419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  768468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768487 */     GIR_RootConstrainSelectedInstOperands,
     /*  768488 */     // GIR_Coverage, 24516,
     /*  768488 */     GIR_EraseRootFromParent_Done,
     /*  768489 */   // Label 12037: @768489
     /*  768489 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(768564), // Rule ID 24517 //
     /*  768494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  768505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  768508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  768511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  768543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768562 */     GIR_RootConstrainSelectedInstOperands,
     /*  768563 */     // GIR_Coverage, 24517,
     /*  768563 */     GIR_EraseRootFromParent_Done,
     /*  768564 */   // Label 12038: @768564
     /*  768564 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(768639), // Rule ID 24520 //
     /*  768569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  768580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  768583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  768586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  768618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768637 */     GIR_RootConstrainSelectedInstOperands,
     /*  768638 */     // GIR_Coverage, 24520,
     /*  768638 */     GIR_EraseRootFromParent_Done,
     /*  768639 */   // Label 12039: @768639
     /*  768639 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(768714), // Rule ID 24521 //
     /*  768644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  768652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  768655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  768658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  768661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  768693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768712 */     GIR_RootConstrainSelectedInstOperands,
     /*  768713 */     // GIR_Coverage, 24521,
     /*  768713 */     GIR_EraseRootFromParent_Done,
     /*  768714 */   // Label 12040: @768714
     /*  768714 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(768789), // Rule ID 24612 //
     /*  768719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  768727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  768730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  768733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  768736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  768768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768787 */     GIR_RootConstrainSelectedInstOperands,
     /*  768788 */     // GIR_Coverage, 24612,
     /*  768788 */     GIR_EraseRootFromParent_Done,
     /*  768789 */   // Label 12041: @768789
     /*  768789 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(768864), // Rule ID 24613 //
     /*  768794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  768802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  768805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  768808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  768811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  768843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768862 */     GIR_RootConstrainSelectedInstOperands,
     /*  768863 */     // GIR_Coverage, 24613,
     /*  768863 */     GIR_EraseRootFromParent_Done,
     /*  768864 */   // Label 12042: @768864
     /*  768864 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(768939), // Rule ID 24616 //
     /*  768869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  768877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  768918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768937 */     GIR_RootConstrainSelectedInstOperands,
     /*  768938 */     // GIR_Coverage, 24616,
     /*  768938 */     GIR_EraseRootFromParent_Done,
     /*  768939 */   // Label 12043: @768939
     /*  768939 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(769014), // Rule ID 24617 //
     /*  768944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  768952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  768993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769012 */     GIR_RootConstrainSelectedInstOperands,
     /*  769013 */     // GIR_Coverage, 24617,
     /*  769013 */     GIR_EraseRootFromParent_Done,
     /*  769014 */   // Label 12044: @769014
     /*  769014 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(769089), // Rule ID 24620 //
     /*  769019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769065 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  769068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769087 */     GIR_RootConstrainSelectedInstOperands,
     /*  769088 */     // GIR_Coverage, 24620,
     /*  769088 */     GIR_EraseRootFromParent_Done,
     /*  769089 */   // Label 12045: @769089
     /*  769089 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(769164), // Rule ID 24621 //
     /*  769094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  769105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  769108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  769111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  769143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769162 */     GIR_RootConstrainSelectedInstOperands,
     /*  769163 */     // GIR_Coverage, 24621,
     /*  769163 */     GIR_EraseRootFromParent_Done,
     /*  769164 */   // Label 12046: @769164
     /*  769164 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(769239), // Rule ID 24624 //
     /*  769169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769215 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  769218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769237 */     GIR_RootConstrainSelectedInstOperands,
     /*  769238 */     // GIR_Coverage, 24624,
     /*  769238 */     GIR_EraseRootFromParent_Done,
     /*  769239 */   // Label 12047: @769239
     /*  769239 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(769314), // Rule ID 24625 //
     /*  769244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  769255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  769258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  769261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  769293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769312 */     GIR_RootConstrainSelectedInstOperands,
     /*  769313 */     // GIR_Coverage, 24625,
     /*  769313 */     GIR_EraseRootFromParent_Done,
     /*  769314 */   // Label 12048: @769314
     /*  769314 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(769389), // Rule ID 24628 //
     /*  769319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769365 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  769368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769387 */     GIR_RootConstrainSelectedInstOperands,
     /*  769388 */     // GIR_Coverage, 24628,
     /*  769388 */     GIR_EraseRootFromParent_Done,
     /*  769389 */   // Label 12049: @769389
     /*  769389 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(769464), // Rule ID 24629 //
     /*  769394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  769405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  769408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  769411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  769443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769462 */     GIR_RootConstrainSelectedInstOperands,
     /*  769463 */     // GIR_Coverage, 24629,
     /*  769463 */     GIR_EraseRootFromParent_Done,
     /*  769464 */   // Label 12050: @769464
     /*  769464 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(769539), // Rule ID 24632 //
     /*  769469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  769480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  769483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  769486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769515 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  769518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769537 */     GIR_RootConstrainSelectedInstOperands,
     /*  769538 */     // GIR_Coverage, 24632,
     /*  769538 */     GIR_EraseRootFromParent_Done,
     /*  769539 */   // Label 12051: @769539
     /*  769539 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(769614), // Rule ID 24633 //
     /*  769544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  769555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  769558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  769561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  769564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  769593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769612 */     GIR_RootConstrainSelectedInstOperands,
     /*  769613 */     // GIR_Coverage, 24633,
     /*  769613 */     GIR_EraseRootFromParent_Done,
     /*  769614 */   // Label 12052: @769614
     /*  769614 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(769689), // Rule ID 24636 //
     /*  769619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  769630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  769633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  769636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  769668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769687 */     GIR_RootConstrainSelectedInstOperands,
     /*  769688 */     // GIR_Coverage, 24636,
     /*  769688 */     GIR_EraseRootFromParent_Done,
     /*  769689 */   // Label 12053: @769689
     /*  769689 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(769764), // Rule ID 24637 //
     /*  769694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  769705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  769708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  769711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  769743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769762 */     GIR_RootConstrainSelectedInstOperands,
     /*  769763 */     // GIR_Coverage, 24637,
     /*  769763 */     GIR_EraseRootFromParent_Done,
     /*  769764 */   // Label 12054: @769764
     /*  769764 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(769839), // Rule ID 24640 //
     /*  769769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  769780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  769783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  769786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  769818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769837 */     GIR_RootConstrainSelectedInstOperands,
     /*  769838 */     // GIR_Coverage, 24640,
     /*  769838 */     GIR_EraseRootFromParent_Done,
     /*  769839 */   // Label 12055: @769839
     /*  769839 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(769914), // Rule ID 24641 //
     /*  769844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  769855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  769858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  769861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  769893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769912 */     GIR_RootConstrainSelectedInstOperands,
     /*  769913 */     // GIR_Coverage, 24641,
     /*  769913 */     GIR_EraseRootFromParent_Done,
     /*  769914 */   // Label 12056: @769914
     /*  769914 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(769989), // Rule ID 24644 //
     /*  769919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  769927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  769930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  769933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  769936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  769939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  769968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769987 */     GIR_RootConstrainSelectedInstOperands,
     /*  769988 */     // GIR_Coverage, 24644,
     /*  769988 */     GIR_EraseRootFromParent_Done,
     /*  769989 */   // Label 12057: @769989
     /*  769989 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(770064), // Rule ID 24645 //
     /*  769994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  770005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  770008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  770011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  770043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770062 */     GIR_RootConstrainSelectedInstOperands,
     /*  770063 */     // GIR_Coverage, 24645,
     /*  770063 */     GIR_EraseRootFromParent_Done,
     /*  770064 */   // Label 12058: @770064
     /*  770064 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(770139), // Rule ID 24648 //
     /*  770069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  770072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  770118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770137 */     GIR_RootConstrainSelectedInstOperands,
     /*  770138 */     // GIR_Coverage, 24648,
     /*  770138 */     GIR_EraseRootFromParent_Done,
     /*  770139 */   // Label 12059: @770139
     /*  770139 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(770214), // Rule ID 24649 //
     /*  770144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  770147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  770155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  770158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  770161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  770193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770212 */     GIR_RootConstrainSelectedInstOperands,
     /*  770213 */     // GIR_Coverage, 24649,
     /*  770213 */     GIR_EraseRootFromParent_Done,
     /*  770214 */   // Label 12060: @770214
     /*  770214 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(770289), // Rule ID 24652 //
     /*  770219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770265 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  770268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770287 */     GIR_RootConstrainSelectedInstOperands,
     /*  770288 */     // GIR_Coverage, 24652,
     /*  770288 */     GIR_EraseRootFromParent_Done,
     /*  770289 */   // Label 12061: @770289
     /*  770289 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(770364), // Rule ID 24653 //
     /*  770294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  770305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  770308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  770311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  770343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770362 */     GIR_RootConstrainSelectedInstOperands,
     /*  770363 */     // GIR_Coverage, 24653,
     /*  770363 */     GIR_EraseRootFromParent_Done,
     /*  770364 */   // Label 12062: @770364
     /*  770364 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(770439), // Rule ID 24656 //
     /*  770369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770415 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  770418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770437 */     GIR_RootConstrainSelectedInstOperands,
     /*  770438 */     // GIR_Coverage, 24656,
     /*  770438 */     GIR_EraseRootFromParent_Done,
     /*  770439 */   // Label 12063: @770439
     /*  770439 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(770514), // Rule ID 24657 //
     /*  770444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  770455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  770458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  770461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  770493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770512 */     GIR_RootConstrainSelectedInstOperands,
     /*  770513 */     // GIR_Coverage, 24657,
     /*  770513 */     GIR_EraseRootFromParent_Done,
     /*  770514 */   // Label 12064: @770514
     /*  770514 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(770589), // Rule ID 24660 //
     /*  770519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  770530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  770533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  770536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  770539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770565 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  770568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770587 */     GIR_RootConstrainSelectedInstOperands,
     /*  770588 */     // GIR_Coverage, 24660,
     /*  770588 */     GIR_EraseRootFromParent_Done,
     /*  770589 */   // Label 12065: @770589
     /*  770589 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(770664), // Rule ID 24661 //
     /*  770594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  770605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  770608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  770611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  770614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770640 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  770643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770662 */     GIR_RootConstrainSelectedInstOperands,
     /*  770663 */     // GIR_Coverage, 24661,
     /*  770663 */     GIR_EraseRootFromParent_Done,
     /*  770664 */   // Label 12066: @770664
     /*  770664 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(770739), // Rule ID 24664 //
     /*  770669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  770718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770737 */     GIR_RootConstrainSelectedInstOperands,
     /*  770738 */     // GIR_Coverage, 24664,
     /*  770738 */     GIR_EraseRootFromParent_Done,
     /*  770739 */   // Label 12067: @770739
     /*  770739 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(770814), // Rule ID 24665 //
     /*  770744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  770793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770812 */     GIR_RootConstrainSelectedInstOperands,
     /*  770813 */     // GIR_Coverage, 24665,
     /*  770813 */     GIR_EraseRootFromParent_Done,
     /*  770814 */   // Label 12068: @770814
     /*  770814 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(770889), // Rule ID 24668 //
     /*  770819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770865 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  770868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770887 */     GIR_RootConstrainSelectedInstOperands,
     /*  770888 */     // GIR_Coverage, 24668,
     /*  770888 */     GIR_EraseRootFromParent_Done,
     /*  770889 */   // Label 12069: @770889
     /*  770889 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(770964), // Rule ID 24669 //
     /*  770894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770940 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  770943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770962 */     GIR_RootConstrainSelectedInstOperands,
     /*  770963 */     // GIR_Coverage, 24669,
     /*  770963 */     GIR_EraseRootFromParent_Done,
     /*  770964 */   // Label 12070: @770964
     /*  770964 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(771039), // Rule ID 24672 //
     /*  770969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  770977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  770989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771015 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  771018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771037 */     GIR_RootConstrainSelectedInstOperands,
     /*  771038 */     // GIR_Coverage, 24672,
     /*  771038 */     GIR_EraseRootFromParent_Done,
     /*  771039 */   // Label 12071: @771039
     /*  771039 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(771114), // Rule ID 24673 //
     /*  771044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  771055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  771058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  771061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  771093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771112 */     GIR_RootConstrainSelectedInstOperands,
     /*  771113 */     // GIR_Coverage, 24673,
     /*  771113 */     GIR_EraseRootFromParent_Done,
     /*  771114 */   // Label 12072: @771114
     /*  771114 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(771189), // Rule ID 24676 //
     /*  771119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771165 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  771168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771187 */     GIR_RootConstrainSelectedInstOperands,
     /*  771188 */     // GIR_Coverage, 24676,
     /*  771188 */     GIR_EraseRootFromParent_Done,
     /*  771189 */   // Label 12073: @771189
     /*  771189 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(771264), // Rule ID 24677 //
     /*  771194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  771205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  771208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  771211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  771243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771262 */     GIR_RootConstrainSelectedInstOperands,
     /*  771263 */     // GIR_Coverage, 24677,
     /*  771263 */     GIR_EraseRootFromParent_Done,
     /*  771264 */   // Label 12074: @771264
     /*  771264 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(771339), // Rule ID 24680 //
     /*  771269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  771280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  771283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  771286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  771318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771337 */     GIR_RootConstrainSelectedInstOperands,
     /*  771338 */     // GIR_Coverage, 24680,
     /*  771338 */     GIR_EraseRootFromParent_Done,
     /*  771339 */   // Label 12075: @771339
     /*  771339 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(771414), // Rule ID 24681 //
     /*  771344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  771355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  771358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  771361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  771364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  771393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771412 */     GIR_RootConstrainSelectedInstOperands,
     /*  771413 */     // GIR_Coverage, 24681,
     /*  771413 */     GIR_EraseRootFromParent_Done,
     /*  771414 */   // Label 12076: @771414
     /*  771414 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(771489), // Rule ID 24684 //
     /*  771419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  771422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  771430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  771433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  771436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  771439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771465 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  771468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771487 */     GIR_RootConstrainSelectedInstOperands,
     /*  771488 */     // GIR_Coverage, 24684,
     /*  771488 */     GIR_EraseRootFromParent_Done,
     /*  771489 */   // Label 12077: @771489
     /*  771489 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(771564), // Rule ID 24685 //
     /*  771494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  771497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  771505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  771508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  771511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  771514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  771543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771562 */     GIR_RootConstrainSelectedInstOperands,
     /*  771563 */     // GIR_Coverage, 24685,
     /*  771563 */     GIR_EraseRootFromParent_Done,
     /*  771564 */   // Label 12078: @771564
     /*  771564 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(771639), // Rule ID 24688 //
     /*  771569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  771572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  771618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771637 */     GIR_RootConstrainSelectedInstOperands,
     /*  771638 */     // GIR_Coverage, 24688,
     /*  771638 */     GIR_EraseRootFromParent_Done,
     /*  771639 */   // Label 12079: @771639
     /*  771639 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(771714), // Rule ID 24689 //
     /*  771644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  771647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  771693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771712 */     GIR_RootConstrainSelectedInstOperands,
     /*  771713 */     // GIR_Coverage, 24689,
     /*  771713 */     GIR_EraseRootFromParent_Done,
     /*  771714 */   // Label 12080: @771714
     /*  771714 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(771789), // Rule ID 24692 //
     /*  771719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  771722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  771768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771787 */     GIR_RootConstrainSelectedInstOperands,
     /*  771788 */     // GIR_Coverage, 24692,
     /*  771788 */     GIR_EraseRootFromParent_Done,
     /*  771789 */   // Label 12081: @771789
     /*  771789 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(771864), // Rule ID 24693 //
     /*  771794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  771797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  771802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  771814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  771843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771862 */     GIR_RootConstrainSelectedInstOperands,
     /*  771863 */     // GIR_Coverage, 24693,
     /*  771863 */     GIR_EraseRootFromParent_Done,
     /*  771864 */   // Label 12082: @771864
     /*  771864 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(771939), // Rule ID 24696 //
     /*  771869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  771872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  771889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771915 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  771918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771937 */     GIR_RootConstrainSelectedInstOperands,
     /*  771938 */     // GIR_Coverage, 24696,
     /*  771938 */     GIR_EraseRootFromParent_Done,
     /*  771939 */   // Label 12083: @771939
     /*  771939 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(772014), // Rule ID 24697 //
     /*  771944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  771947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  771964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771990 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  771993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772012 */     GIR_RootConstrainSelectedInstOperands,
     /*  772013 */     // GIR_Coverage, 24697,
     /*  772013 */     GIR_EraseRootFromParent_Done,
     /*  772014 */   // Label 12084: @772014
     /*  772014 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(772089), // Rule ID 24700 //
     /*  772019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  772022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  772039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772065 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  772068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772087 */     GIR_RootConstrainSelectedInstOperands,
     /*  772088 */     // GIR_Coverage, 24700,
     /*  772088 */     GIR_EraseRootFromParent_Done,
     /*  772089 */   // Label 12085: @772089
     /*  772089 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(772164), // Rule ID 24701 //
     /*  772094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  772097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  772114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  772143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772162 */     GIR_RootConstrainSelectedInstOperands,
     /*  772163 */     // GIR_Coverage, 24701,
     /*  772163 */     GIR_EraseRootFromParent_Done,
     /*  772164 */   // Label 12086: @772164
     /*  772164 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(772239), // Rule ID 24704 //
     /*  772169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  772172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  772189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  772218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772237 */     GIR_RootConstrainSelectedInstOperands,
     /*  772238 */     // GIR_Coverage, 24704,
     /*  772238 */     GIR_EraseRootFromParent_Done,
     /*  772239 */   // Label 12087: @772239
     /*  772239 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(772314), // Rule ID 24705 //
     /*  772244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  772247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  772264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  772293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772312 */     GIR_RootConstrainSelectedInstOperands,
     /*  772313 */     // GIR_Coverage, 24705,
     /*  772313 */     GIR_EraseRootFromParent_Done,
     /*  772314 */   // Label 12088: @772314
     /*  772314 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(772389), // Rule ID 24708 //
     /*  772319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  772322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772365 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  772368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772387 */     GIR_RootConstrainSelectedInstOperands,
     /*  772388 */     // GIR_Coverage, 24708,
     /*  772388 */     GIR_EraseRootFromParent_Done,
     /*  772389 */   // Label 12089: @772389
     /*  772389 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(772464), // Rule ID 24709 //
     /*  772394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  772397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772440 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  772443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772462 */     GIR_RootConstrainSelectedInstOperands,
     /*  772463 */     // GIR_Coverage, 24709,
     /*  772463 */     GIR_EraseRootFromParent_Done,
     /*  772464 */   // Label 12090: @772464
     /*  772464 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(772539), // Rule ID 24712 //
     /*  772469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  772472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772515 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  772518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772537 */     GIR_RootConstrainSelectedInstOperands,
     /*  772538 */     // GIR_Coverage, 24712,
     /*  772538 */     GIR_EraseRootFromParent_Done,
     /*  772539 */   // Label 12091: @772539
     /*  772539 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(772614), // Rule ID 24713 //
     /*  772544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  772547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772590 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  772593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772612 */     GIR_RootConstrainSelectedInstOperands,
     /*  772613 */     // GIR_Coverage, 24713,
     /*  772613 */     GIR_EraseRootFromParent_Done,
     /*  772614 */   // Label 12092: @772614
     /*  772614 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(772689), // Rule ID 24716 //
     /*  772619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  772622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  772668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772687 */     GIR_RootConstrainSelectedInstOperands,
     /*  772688 */     // GIR_Coverage, 24716,
     /*  772688 */     GIR_EraseRootFromParent_Done,
     /*  772689 */   // Label 12093: @772689
     /*  772689 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(772764), // Rule ID 24717 //
     /*  772694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  772697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772740 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  772743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772762 */     GIR_RootConstrainSelectedInstOperands,
     /*  772763 */     // GIR_Coverage, 24717,
     /*  772763 */     GIR_EraseRootFromParent_Done,
     /*  772764 */   // Label 12094: @772764
     /*  772764 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(772839), // Rule ID 24720 //
     /*  772769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  772772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772815 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  772818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772837 */     GIR_RootConstrainSelectedInstOperands,
     /*  772838 */     // GIR_Coverage, 24720,
     /*  772838 */     GIR_EraseRootFromParent_Done,
     /*  772839 */   // Label 12095: @772839
     /*  772839 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(772914), // Rule ID 24721 //
     /*  772844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  772847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  772855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  772858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  772861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  772864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  772893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772912 */     GIR_RootConstrainSelectedInstOperands,
     /*  772913 */     // GIR_Coverage, 24721,
     /*  772913 */     GIR_EraseRootFromParent_Done,
     /*  772914 */   // Label 12096: @772914
     /*  772914 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(772989), // Rule ID 24724 //
     /*  772919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  772922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  772927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  772930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  772933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  772936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  772939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772965 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  772968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772987 */     GIR_RootConstrainSelectedInstOperands,
     /*  772988 */     // GIR_Coverage, 24724,
     /*  772988 */     GIR_EraseRootFromParent_Done,
     /*  772989 */   // Label 12097: @772989
     /*  772989 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(773064), // Rule ID 24725 //
     /*  772994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  772997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  773002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  773014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  773043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773062 */     GIR_RootConstrainSelectedInstOperands,
     /*  773063 */     // GIR_Coverage, 24725,
     /*  773063 */     GIR_EraseRootFromParent_Done,
     /*  773064 */   // Label 12098: @773064
     /*  773064 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(773139), // Rule ID 24728 //
     /*  773069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  773072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  773077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773115 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  773118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773137 */     GIR_RootConstrainSelectedInstOperands,
     /*  773138 */     // GIR_Coverage, 24728,
     /*  773138 */     GIR_EraseRootFromParent_Done,
     /*  773139 */   // Label 12099: @773139
     /*  773139 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(773214), // Rule ID 24729 //
     /*  773144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  773147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  773152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773190 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  773193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773212 */     GIR_RootConstrainSelectedInstOperands,
     /*  773213 */     // GIR_Coverage, 24729,
     /*  773213 */     GIR_EraseRootFromParent_Done,
     /*  773214 */   // Label 12100: @773214
     /*  773214 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(773289), // Rule ID 24732 //
     /*  773219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  773222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773265 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  773268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773287 */     GIR_RootConstrainSelectedInstOperands,
     /*  773288 */     // GIR_Coverage, 24732,
     /*  773288 */     GIR_EraseRootFromParent_Done,
     /*  773289 */   // Label 12101: @773289
     /*  773289 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(773364), // Rule ID 24733 //
     /*  773294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  773297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  773305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  773308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  773311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773340 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  773343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773362 */     GIR_RootConstrainSelectedInstOperands,
     /*  773363 */     // GIR_Coverage, 24733,
     /*  773363 */     GIR_EraseRootFromParent_Done,
     /*  773364 */   // Label 12102: @773364
     /*  773364 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(773439), // Rule ID 24736 //
     /*  773369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  773372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773415 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  773418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773437 */     GIR_RootConstrainSelectedInstOperands,
     /*  773438 */     // GIR_Coverage, 24736,
     /*  773438 */     GIR_EraseRootFromParent_Done,
     /*  773439 */   // Label 12103: @773439
     /*  773439 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(773514), // Rule ID 24737 //
     /*  773444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  773447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  773455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  773458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  773461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  773493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773512 */     GIR_RootConstrainSelectedInstOperands,
     /*  773513 */     // GIR_Coverage, 24737,
     /*  773513 */     GIR_EraseRootFromParent_Done,
     /*  773514 */   // Label 12104: @773514
     /*  773514 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(773589), // Rule ID 24740 //
     /*  773519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  773522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  773530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  773533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  773536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773565 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  773568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773587 */     GIR_RootConstrainSelectedInstOperands,
     /*  773588 */     // GIR_Coverage, 24740,
     /*  773588 */     GIR_EraseRootFromParent_Done,
     /*  773589 */   // Label 12105: @773589
     /*  773589 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(773664), // Rule ID 24741 //
     /*  773594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  773597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  773605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  773608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  773611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  773643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773662 */     GIR_RootConstrainSelectedInstOperands,
     /*  773663 */     // GIR_Coverage, 24741,
     /*  773663 */     GIR_EraseRootFromParent_Done,
     /*  773664 */   // Label 12106: @773664
     /*  773664 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(773739), // Rule ID 24744 //
     /*  773669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  773672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773737 */     GIR_RootConstrainSelectedInstOperands,
     /*  773738 */     // GIR_Coverage, 24744,
     /*  773738 */     GIR_EraseRootFromParent_Done,
     /*  773739 */   // Label 12107: @773739
     /*  773739 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(773814), // Rule ID 24745 //
     /*  773744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  773747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773790 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773812 */     GIR_RootConstrainSelectedInstOperands,
     /*  773813 */     // GIR_Coverage, 24745,
     /*  773813 */     GIR_EraseRootFromParent_Done,
     /*  773814 */   // Label 12108: @773814
     /*  773814 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(773889), // Rule ID 24748 //
     /*  773819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  773822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773865 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773887 */     GIR_RootConstrainSelectedInstOperands,
     /*  773888 */     // GIR_Coverage, 24748,
     /*  773888 */     GIR_EraseRootFromParent_Done,
     /*  773889 */   // Label 12109: @773889
     /*  773889 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(773964), // Rule ID 24749 //
     /*  773894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  773897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773940 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773962 */     GIR_RootConstrainSelectedInstOperands,
     /*  773963 */     // GIR_Coverage, 24749,
     /*  773963 */     GIR_EraseRootFromParent_Done,
     /*  773964 */   // Label 12110: @773964
     /*  773964 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(774039), // Rule ID 24752 //
     /*  773969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  773972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774015 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774037 */     GIR_RootConstrainSelectedInstOperands,
     /*  774038 */     // GIR_Coverage, 24752,
     /*  774038 */     GIR_EraseRootFromParent_Done,
     /*  774039 */   // Label 12111: @774039
     /*  774039 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(774114), // Rule ID 24753 //
     /*  774044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  774047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  774055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  774058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  774061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774112 */     GIR_RootConstrainSelectedInstOperands,
     /*  774113 */     // GIR_Coverage, 24753,
     /*  774113 */     GIR_EraseRootFromParent_Done,
     /*  774114 */   // Label 12112: @774114
     /*  774114 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(774189), // Rule ID 24756 //
     /*  774119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  774122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774165 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  774168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774187 */     GIR_RootConstrainSelectedInstOperands,
     /*  774188 */     // GIR_Coverage, 24756,
     /*  774188 */     GIR_EraseRootFromParent_Done,
     /*  774189 */   // Label 12113: @774189
     /*  774189 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(774264), // Rule ID 24757 //
     /*  774194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  774197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774240 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  774243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774262 */     GIR_RootConstrainSelectedInstOperands,
     /*  774263 */     // GIR_Coverage, 24757,
     /*  774263 */     GIR_EraseRootFromParent_Done,
     /*  774264 */   // Label 12114: @774264
     /*  774264 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(774339), // Rule ID 24760 //
     /*  774269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  774272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774315 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774337 */     GIR_RootConstrainSelectedInstOperands,
     /*  774338 */     // GIR_Coverage, 24760,
     /*  774338 */     GIR_EraseRootFromParent_Done,
     /*  774339 */   // Label 12115: @774339
     /*  774339 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(774414), // Rule ID 24761 //
     /*  774344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  774347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774412 */     GIR_RootConstrainSelectedInstOperands,
     /*  774413 */     // GIR_Coverage, 24761,
     /*  774413 */     GIR_EraseRootFromParent_Done,
     /*  774414 */   // Label 12116: @774414
     /*  774414 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(774489), // Rule ID 24764 //
     /*  774419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  774422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774465 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774487 */     GIR_RootConstrainSelectedInstOperands,
     /*  774488 */     // GIR_Coverage, 24764,
     /*  774488 */     GIR_EraseRootFromParent_Done,
     /*  774489 */   // Label 12117: @774489
     /*  774489 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(774564), // Rule ID 24765 //
     /*  774494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  774497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774540 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774562 */     GIR_RootConstrainSelectedInstOperands,
     /*  774563 */     // GIR_Coverage, 24765,
     /*  774563 */     GIR_EraseRootFromParent_Done,
     /*  774564 */   // Label 12118: @774564
     /*  774564 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(774639), // Rule ID 24804 //
     /*  774569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  774572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774615 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  774618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774637 */     GIR_RootConstrainSelectedInstOperands,
     /*  774638 */     // GIR_Coverage, 24804,
     /*  774638 */     GIR_EraseRootFromParent_Done,
     /*  774639 */   // Label 12119: @774639
     /*  774639 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(774714), // Rule ID 24805 //
     /*  774644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  774647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774690 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  774693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774712 */     GIR_RootConstrainSelectedInstOperands,
     /*  774713 */     // GIR_Coverage, 24805,
     /*  774713 */     GIR_EraseRootFromParent_Done,
     /*  774714 */   // Label 12120: @774714
     /*  774714 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(774789), // Rule ID 24808 //
     /*  774719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  774722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774765 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  774768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774787 */     GIR_RootConstrainSelectedInstOperands,
     /*  774788 */     // GIR_Coverage, 24808,
     /*  774788 */     GIR_EraseRootFromParent_Done,
     /*  774789 */   // Label 12121: @774789
     /*  774789 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(774864), // Rule ID 24809 //
     /*  774794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  774797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774840 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  774843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774862 */     GIR_RootConstrainSelectedInstOperands,
     /*  774863 */     // GIR_Coverage, 24809,
     /*  774863 */     GIR_EraseRootFromParent_Done,
     /*  774864 */   // Label 12122: @774864
     /*  774864 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(774939), // Rule ID 24812 //
     /*  774869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  774872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  774889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774915 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  774918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774937 */     GIR_RootConstrainSelectedInstOperands,
     /*  774938 */     // GIR_Coverage, 24812,
     /*  774938 */     GIR_EraseRootFromParent_Done,
     /*  774939 */   // Label 12123: @774939
     /*  774939 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(775014), // Rule ID 24813 //
     /*  774944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  774947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  774952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  774964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774990 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  774993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775012 */     GIR_RootConstrainSelectedInstOperands,
     /*  775013 */     // GIR_Coverage, 24813,
     /*  775013 */     GIR_EraseRootFromParent_Done,
     /*  775014 */   // Label 12124: @775014
     /*  775014 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(775089), // Rule ID 24816 //
     /*  775019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775065 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  775068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775087 */     GIR_RootConstrainSelectedInstOperands,
     /*  775088 */     // GIR_Coverage, 24816,
     /*  775088 */     GIR_EraseRootFromParent_Done,
     /*  775089 */   // Label 12125: @775089
     /*  775089 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(775164), // Rule ID 24817 //
     /*  775094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775140 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  775143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775162 */     GIR_RootConstrainSelectedInstOperands,
     /*  775163 */     // GIR_Coverage, 24817,
     /*  775163 */     GIR_EraseRootFromParent_Done,
     /*  775164 */   // Label 12126: @775164
     /*  775164 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(775239), // Rule ID 24820 //
     /*  775169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  775189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775215 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  775218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775237 */     GIR_RootConstrainSelectedInstOperands,
     /*  775238 */     // GIR_Coverage, 24820,
     /*  775238 */     GIR_EraseRootFromParent_Done,
     /*  775239 */   // Label 12127: @775239
     /*  775239 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(775314), // Rule ID 24821 //
     /*  775244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  775264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  775293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775312 */     GIR_RootConstrainSelectedInstOperands,
     /*  775313 */     // GIR_Coverage, 24821,
     /*  775313 */     GIR_EraseRootFromParent_Done,
     /*  775314 */   // Label 12128: @775314
     /*  775314 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(775389), // Rule ID 24824 //
     /*  775319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  775339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775365 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  775368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775387 */     GIR_RootConstrainSelectedInstOperands,
     /*  775388 */     // GIR_Coverage, 24824,
     /*  775388 */     GIR_EraseRootFromParent_Done,
     /*  775389 */   // Label 12129: @775389
     /*  775389 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(775464), // Rule ID 24825 //
     /*  775394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  775402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  775414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775440 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  775443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775462 */     GIR_RootConstrainSelectedInstOperands,
     /*  775463 */     // GIR_Coverage, 24825,
     /*  775463 */     GIR_EraseRootFromParent_Done,
     /*  775464 */   // Label 12130: @775464
     /*  775464 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(775539), // Rule ID 24828 //
     /*  775469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775515 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  775518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775537 */     GIR_RootConstrainSelectedInstOperands,
     /*  775538 */     // GIR_Coverage, 24828,
     /*  775538 */     GIR_EraseRootFromParent_Done,
     /*  775539 */   // Label 12131: @775539
     /*  775539 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(775614), // Rule ID 24829 //
     /*  775544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775590 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  775593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775612 */     GIR_RootConstrainSelectedInstOperands,
     /*  775613 */     // GIR_Coverage, 24829,
     /*  775613 */     GIR_EraseRootFromParent_Done,
     /*  775614 */   // Label 12132: @775614
     /*  775614 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(775689), // Rule ID 24832 //
     /*  775619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775665 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  775668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775687 */     GIR_RootConstrainSelectedInstOperands,
     /*  775688 */     // GIR_Coverage, 24832,
     /*  775688 */     GIR_EraseRootFromParent_Done,
     /*  775689 */   // Label 12133: @775689
     /*  775689 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(775764), // Rule ID 24833 //
     /*  775694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775740 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  775743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775762 */     GIR_RootConstrainSelectedInstOperands,
     /*  775763 */     // GIR_Coverage, 24833,
     /*  775763 */     GIR_EraseRootFromParent_Done,
     /*  775764 */   // Label 12134: @775764
     /*  775764 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(775839), // Rule ID 24836 //
     /*  775769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  775818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775837 */     GIR_RootConstrainSelectedInstOperands,
     /*  775838 */     // GIR_Coverage, 24836,
     /*  775838 */     GIR_EraseRootFromParent_Done,
     /*  775839 */   // Label 12135: @775839
     /*  775839 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(775914), // Rule ID 24837 //
     /*  775844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775890 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  775893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775912 */     GIR_RootConstrainSelectedInstOperands,
     /*  775913 */     // GIR_Coverage, 24837,
     /*  775913 */     GIR_EraseRootFromParent_Done,
     /*  775914 */   // Label 12136: @775914
     /*  775914 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(775989), // Rule ID 24840 //
     /*  775919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  775922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  775927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775965 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  775968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775987 */     GIR_RootConstrainSelectedInstOperands,
     /*  775988 */     // GIR_Coverage, 24840,
     /*  775988 */     GIR_EraseRootFromParent_Done,
     /*  775989 */   // Label 12137: @775989
     /*  775989 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(776064), // Rule ID 24841 //
     /*  775994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  775997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  776002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776040 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  776043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776062 */     GIR_RootConstrainSelectedInstOperands,
     /*  776063 */     // GIR_Coverage, 24841,
     /*  776063 */     GIR_EraseRootFromParent_Done,
     /*  776064 */   // Label 12138: @776064
     /*  776064 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(776139), // Rule ID 24844 //
     /*  776069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  776072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  776077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776115 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  776118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776137 */     GIR_RootConstrainSelectedInstOperands,
     /*  776138 */     // GIR_Coverage, 24844,
     /*  776138 */     GIR_EraseRootFromParent_Done,
     /*  776139 */   // Label 12139: @776139
     /*  776139 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(776214), // Rule ID 24845 //
     /*  776144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  776147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  776152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776190 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  776193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776212 */     GIR_RootConstrainSelectedInstOperands,
     /*  776213 */     // GIR_Coverage, 24845,
     /*  776213 */     GIR_EraseRootFromParent_Done,
     /*  776214 */   // Label 12140: @776214
     /*  776214 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(776289), // Rule ID 24848 //
     /*  776219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  776222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  776227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  776268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776287 */     GIR_RootConstrainSelectedInstOperands,
     /*  776288 */     // GIR_Coverage, 24848,
     /*  776288 */     GIR_EraseRootFromParent_Done,
     /*  776289 */   // Label 12141: @776289
     /*  776289 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(776364), // Rule ID 24849 //
     /*  776294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  776297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  776302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776340 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  776343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776362 */     GIR_RootConstrainSelectedInstOperands,
     /*  776363 */     // GIR_Coverage, 24849,
     /*  776363 */     GIR_EraseRootFromParent_Done,
     /*  776364 */   // Label 12142: @776364
     /*  776364 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(776439), // Rule ID 24876 //
     /*  776369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  776372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776415 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  776418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776437 */     GIR_RootConstrainSelectedInstOperands,
     /*  776438 */     // GIR_Coverage, 24876,
     /*  776438 */     GIR_EraseRootFromParent_Done,
     /*  776439 */   // Label 12143: @776439
     /*  776439 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(776514), // Rule ID 24877 //
     /*  776444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  776447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  776493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776512 */     GIR_RootConstrainSelectedInstOperands,
     /*  776513 */     // GIR_Coverage, 24877,
     /*  776513 */     GIR_EraseRootFromParent_Done,
     /*  776514 */   // Label 12144: @776514
     /*  776514 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(776589), // Rule ID 24880 //
     /*  776519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  776522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  776568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776587 */     GIR_RootConstrainSelectedInstOperands,
     /*  776588 */     // GIR_Coverage, 24880,
     /*  776588 */     GIR_EraseRootFromParent_Done,
     /*  776589 */   // Label 12145: @776589
     /*  776589 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(776664), // Rule ID 24881 //
     /*  776594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  776597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  776605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  776608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  776611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776640 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  776643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776662 */     GIR_RootConstrainSelectedInstOperands,
     /*  776663 */     // GIR_Coverage, 24881,
     /*  776663 */     GIR_EraseRootFromParent_Done,
     /*  776664 */   // Label 12146: @776664
     /*  776664 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(776739), // Rule ID 24884 //
     /*  776669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  776672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776715 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  776718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776737 */     GIR_RootConstrainSelectedInstOperands,
     /*  776738 */     // GIR_Coverage, 24884,
     /*  776738 */     GIR_EraseRootFromParent_Done,
     /*  776739 */   // Label 12147: @776739
     /*  776739 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(776814), // Rule ID 24885 //
     /*  776744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  776747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  776755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  776758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  776761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776790 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  776793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776812 */     GIR_RootConstrainSelectedInstOperands,
     /*  776813 */     // GIR_Coverage, 24885,
     /*  776813 */     GIR_EraseRootFromParent_Done,
     /*  776814 */   // Label 12148: @776814
     /*  776814 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(776889), // Rule ID 24888 //
     /*  776819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  776822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  776830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  776833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  776836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  776839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776865 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  776868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776887 */     GIR_RootConstrainSelectedInstOperands,
     /*  776888 */     // GIR_Coverage, 24888,
     /*  776888 */     GIR_EraseRootFromParent_Done,
     /*  776889 */   // Label 12149: @776889
     /*  776889 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(776964), // Rule ID 24889 //
     /*  776894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  776897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  776905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  776908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  776911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  776914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776940 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  776943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776962 */     GIR_RootConstrainSelectedInstOperands,
     /*  776963 */     // GIR_Coverage, 24889,
     /*  776963 */     GIR_EraseRootFromParent_Done,
     /*  776964 */   // Label 12150: @776964
     /*  776964 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(777039), // Rule ID 24892 //
     /*  776969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  776972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  776980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  776983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  776986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  777018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777037 */     GIR_RootConstrainSelectedInstOperands,
     /*  777038 */     // GIR_Coverage, 24892,
     /*  777038 */     GIR_EraseRootFromParent_Done,
     /*  777039 */   // Label 12151: @777039
     /*  777039 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(777114), // Rule ID 24893 //
     /*  777044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  777047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  777093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777112 */     GIR_RootConstrainSelectedInstOperands,
     /*  777113 */     // GIR_Coverage, 24893,
     /*  777113 */     GIR_EraseRootFromParent_Done,
     /*  777114 */   // Label 12152: @777114
     /*  777114 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(777189), // Rule ID 24896 //
     /*  777119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  777122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  777139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777165 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  777168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777187 */     GIR_RootConstrainSelectedInstOperands,
     /*  777188 */     // GIR_Coverage, 24896,
     /*  777188 */     GIR_EraseRootFromParent_Done,
     /*  777189 */   // Label 12153: @777189
     /*  777189 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(777264), // Rule ID 24897 //
     /*  777194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  777197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  777214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777240 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  777243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777262 */     GIR_RootConstrainSelectedInstOperands,
     /*  777263 */     // GIR_Coverage, 24897,
     /*  777263 */     GIR_EraseRootFromParent_Done,
     /*  777264 */   // Label 12154: @777264
     /*  777264 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(777339), // Rule ID 24900 //
     /*  777269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  777272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  777280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  777283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  777286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  777318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777337 */     GIR_RootConstrainSelectedInstOperands,
     /*  777338 */     // GIR_Coverage, 24900,
     /*  777338 */     GIR_EraseRootFromParent_Done,
     /*  777339 */   // Label 12155: @777339
     /*  777339 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(777414), // Rule ID 24901 //
     /*  777344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  777347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  777355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  777358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  777361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  777393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777412 */     GIR_RootConstrainSelectedInstOperands,
     /*  777413 */     // GIR_Coverage, 24901,
     /*  777413 */     GIR_EraseRootFromParent_Done,
     /*  777414 */   // Label 12156: @777414
     /*  777414 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(777489), // Rule ID 24904 //
     /*  777419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  777422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  777430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  777433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  777436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777465 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  777468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777487 */     GIR_RootConstrainSelectedInstOperands,
     /*  777488 */     // GIR_Coverage, 24904,
     /*  777488 */     GIR_EraseRootFromParent_Done,
     /*  777489 */   // Label 12157: @777489
     /*  777489 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(777564), // Rule ID 24905 //
     /*  777494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  777497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  777505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  777508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  777511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  777543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777562 */     GIR_RootConstrainSelectedInstOperands,
     /*  777563 */     // GIR_Coverage, 24905,
     /*  777563 */     GIR_EraseRootFromParent_Done,
     /*  777564 */   // Label 12158: @777564
     /*  777564 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(777639), // Rule ID 24908 //
     /*  777569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  777572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  777580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  777583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  777586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  777589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  777618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777637 */     GIR_RootConstrainSelectedInstOperands,
     /*  777638 */     // GIR_Coverage, 24908,
     /*  777638 */     GIR_EraseRootFromParent_Done,
     /*  777639 */   // Label 12159: @777639
     /*  777639 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(777714), // Rule ID 24909 //
     /*  777644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  777647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  777655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  777658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  777661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  777664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777690 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  777693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777712 */     GIR_RootConstrainSelectedInstOperands,
     /*  777713 */     // GIR_Coverage, 24909,
     /*  777713 */     GIR_EraseRootFromParent_Done,
     /*  777714 */   // Label 12160: @777714
     /*  777714 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(777789), // Rule ID 24912 //
     /*  777719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  777722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  777730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  777733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  777736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  777768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777787 */     GIR_RootConstrainSelectedInstOperands,
     /*  777788 */     // GIR_Coverage, 24912,
     /*  777788 */     GIR_EraseRootFromParent_Done,
     /*  777789 */   // Label 12161: @777789
     /*  777789 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(777864), // Rule ID 24913 //
     /*  777794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  777797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  777805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  777808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  777811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  777843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777862 */     GIR_RootConstrainSelectedInstOperands,
     /*  777863 */     // GIR_Coverage, 24913,
     /*  777863 */     GIR_EraseRootFromParent_Done,
     /*  777864 */   // Label 12162: @777864
     /*  777864 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(777939), // Rule ID 24916 //
     /*  777869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  777872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  777918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777937 */     GIR_RootConstrainSelectedInstOperands,
     /*  777938 */     // GIR_Coverage, 24916,
     /*  777938 */     GIR_EraseRootFromParent_Done,
     /*  777939 */   // Label 12163: @777939
     /*  777939 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(778014), // Rule ID 24917 //
     /*  777944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  777947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  777993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778012 */     GIR_RootConstrainSelectedInstOperands,
     /*  778013 */     // GIR_Coverage, 24917,
     /*  778013 */     GIR_EraseRootFromParent_Done,
     /*  778014 */   // Label 12164: @778014
     /*  778014 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(778089), // Rule ID 24920 //
     /*  778019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  778022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  778068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778087 */     GIR_RootConstrainSelectedInstOperands,
     /*  778088 */     // GIR_Coverage, 24920,
     /*  778088 */     GIR_EraseRootFromParent_Done,
     /*  778089 */   // Label 12165: @778089
     /*  778089 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(778164), // Rule ID 24921 //
     /*  778094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  778097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  778143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778162 */     GIR_RootConstrainSelectedInstOperands,
     /*  778163 */     // GIR_Coverage, 24921,
     /*  778163 */     GIR_EraseRootFromParent_Done,
     /*  778164 */   // Label 12166: @778164
     /*  778164 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(778239), // Rule ID 24924 //
     /*  778169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  778172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  778189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778215 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  778218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778237 */     GIR_RootConstrainSelectedInstOperands,
     /*  778238 */     // GIR_Coverage, 24924,
     /*  778238 */     GIR_EraseRootFromParent_Done,
     /*  778239 */   // Label 12167: @778239
     /*  778239 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(778314), // Rule ID 24925 //
     /*  778244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  778247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  778264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  778293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778312 */     GIR_RootConstrainSelectedInstOperands,
     /*  778313 */     // GIR_Coverage, 24925,
     /*  778313 */     GIR_EraseRootFromParent_Done,
     /*  778314 */   // Label 12168: @778314
     /*  778314 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(778389), // Rule ID 24928 //
     /*  778319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  778322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  778330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  778333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  778336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  778339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  778368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778387 */     GIR_RootConstrainSelectedInstOperands,
     /*  778388 */     // GIR_Coverage, 24928,
     /*  778388 */     GIR_EraseRootFromParent_Done,
     /*  778389 */   // Label 12169: @778389
     /*  778389 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(778464), // Rule ID 24929 //
     /*  778394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  778397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  778405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  778408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  778411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  778414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  778443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778462 */     GIR_RootConstrainSelectedInstOperands,
     /*  778463 */     // GIR_Coverage, 24929,
     /*  778463 */     GIR_EraseRootFromParent_Done,
     /*  778464 */   // Label 12170: @778464
     /*  778464 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(778539), // Rule ID 24932 //
     /*  778469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  778472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  778480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  778483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  778486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  778518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778537 */     GIR_RootConstrainSelectedInstOperands,
     /*  778538 */     // GIR_Coverage, 24932,
     /*  778538 */     GIR_EraseRootFromParent_Done,
     /*  778539 */   // Label 12171: @778539
     /*  778539 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(778614), // Rule ID 24933 //
     /*  778544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  778547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  778552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  778555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  778558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  778561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  778564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778590 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  778593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778612 */     GIR_RootConstrainSelectedInstOperands,
     /*  778613 */     // GIR_Coverage, 24933,
     /*  778613 */     GIR_EraseRootFromParent_Done,
     /*  778614 */   // Label 12172: @778614
     /*  778614 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(778686), // Rule ID 24936 //
     /*  778619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  778630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  778633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  778636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  778639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  778665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  778668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778684 */     GIR_RootConstrainSelectedInstOperands,
     /*  778685 */     // GIR_Coverage, 24936,
     /*  778685 */     GIR_EraseRootFromParent_Done,
     /*  778686 */   // Label 12173: @778686
     /*  778686 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(778758), // Rule ID 24937 //
     /*  778691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  778702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  778705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  778708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  778711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778737 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  778737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  778740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778756 */     GIR_RootConstrainSelectedInstOperands,
     /*  778757 */     // GIR_Coverage, 24937,
     /*  778757 */     GIR_EraseRootFromParent_Done,
     /*  778758 */   // Label 12174: @778758
     /*  778758 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(778830), // Rule ID 24938 //
     /*  778763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  778783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778809 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  778809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  778812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778828 */     GIR_RootConstrainSelectedInstOperands,
     /*  778829 */     // GIR_Coverage, 24938,
     /*  778829 */     GIR_EraseRootFromParent_Done,
     /*  778830 */   // Label 12175: @778830
     /*  778830 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(778902), // Rule ID 24939 //
     /*  778835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  778855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778881 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  778881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  778884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778900 */     GIR_RootConstrainSelectedInstOperands,
     /*  778901 */     // GIR_Coverage, 24939,
     /*  778901 */     GIR_EraseRootFromParent_Done,
     /*  778902 */   // Label 12176: @778902
     /*  778902 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(778974), // Rule ID 24940 //
     /*  778907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  778927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  778953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  778956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778972 */     GIR_RootConstrainSelectedInstOperands,
     /*  778973 */     // GIR_Coverage, 24940,
     /*  778973 */     GIR_EraseRootFromParent_Done,
     /*  778974 */   // Label 12177: @778974
     /*  778974 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(779046), // Rule ID 24941 //
     /*  778979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  778987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  778999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  779025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  779028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779044 */     GIR_RootConstrainSelectedInstOperands,
     /*  779045 */     // GIR_Coverage, 24941,
     /*  779045 */     GIR_EraseRootFromParent_Done,
     /*  779046 */   // Label 12178: @779046
     /*  779046 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(779118), // Rule ID 24942 //
     /*  779051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  779062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  779065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  779068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  779071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  779097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  779100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779116 */     GIR_RootConstrainSelectedInstOperands,
     /*  779117 */     // GIR_Coverage, 24942,
     /*  779117 */     GIR_EraseRootFromParent_Done,
     /*  779118 */   // Label 12179: @779118
     /*  779118 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(779190), // Rule ID 24943 //
     /*  779123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  779134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  779137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  779140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  779143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  779169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  779172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779188 */     GIR_RootConstrainSelectedInstOperands,
     /*  779189 */     // GIR_Coverage, 24943,
     /*  779189 */     GIR_EraseRootFromParent_Done,
     /*  779190 */   // Label 12180: @779190
     /*  779190 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(779262), // Rule ID 24944 //
     /*  779195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  779215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779241 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  779241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  779244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779260 */     GIR_RootConstrainSelectedInstOperands,
     /*  779261 */     // GIR_Coverage, 24944,
     /*  779261 */     GIR_EraseRootFromParent_Done,
     /*  779262 */   // Label 12181: @779262
     /*  779262 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(779334), // Rule ID 24945 //
     /*  779267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  779287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  779313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  779316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779332 */     GIR_RootConstrainSelectedInstOperands,
     /*  779333 */     // GIR_Coverage, 24945,
     /*  779333 */     GIR_EraseRootFromParent_Done,
     /*  779334 */   // Label 12182: @779334
     /*  779334 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(779406), // Rule ID 24946 //
     /*  779339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  779350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  779353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  779356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  779359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  779385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  779388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779404 */     GIR_RootConstrainSelectedInstOperands,
     /*  779405 */     // GIR_Coverage, 24946,
     /*  779405 */     GIR_EraseRootFromParent_Done,
     /*  779406 */   // Label 12183: @779406
     /*  779406 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(779478), // Rule ID 24947 //
     /*  779411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  779422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  779425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  779428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  779431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10826:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  779457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  779460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779476 */     GIR_RootConstrainSelectedInstOperands,
     /*  779477 */     // GIR_Coverage, 24947,
     /*  779477 */     GIR_EraseRootFromParent_Done,
     /*  779478 */   // Label 12184: @779478
     /*  779478 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(779550), // Rule ID 24948 //
     /*  779483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  779503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779529 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  779529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  779532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779548 */     GIR_RootConstrainSelectedInstOperands,
     /*  779549 */     // GIR_Coverage, 24948,
     /*  779549 */     GIR_EraseRootFromParent_Done,
     /*  779550 */   // Label 12185: @779550
     /*  779550 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(779622), // Rule ID 24949 //
     /*  779555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  779575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  779601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  779604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779620 */     GIR_RootConstrainSelectedInstOperands,
     /*  779621 */     // GIR_Coverage, 24949,
     /*  779621 */     GIR_EraseRootFromParent_Done,
     /*  779622 */   // Label 12186: @779622
     /*  779622 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(779694), // Rule ID 24950 //
     /*  779627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  779647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  779673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  779676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779692 */     GIR_RootConstrainSelectedInstOperands,
     /*  779693 */     // GIR_Coverage, 24950,
     /*  779693 */     GIR_EraseRootFromParent_Done,
     /*  779694 */   // Label 12187: @779694
     /*  779694 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(779766), // Rule ID 24951 //
     /*  779699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  779719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779745 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  779745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  779748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779764 */     GIR_RootConstrainSelectedInstOperands,
     /*  779765 */     // GIR_Coverage, 24951,
     /*  779765 */     GIR_EraseRootFromParent_Done,
     /*  779766 */   // Label 12188: @779766
     /*  779766 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(779838), // Rule ID 24952 //
     /*  779771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  779791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  779817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  779820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779836 */     GIR_RootConstrainSelectedInstOperands,
     /*  779837 */     // GIR_Coverage, 24952,
     /*  779837 */     GIR_EraseRootFromParent_Done,
     /*  779838 */   // Label 12189: @779838
     /*  779838 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(779910), // Rule ID 24953 //
     /*  779843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  779863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  779889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  779892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779908 */     GIR_RootConstrainSelectedInstOperands,
     /*  779909 */     // GIR_Coverage, 24953,
     /*  779909 */     GIR_EraseRootFromParent_Done,
     /*  779910 */   // Label 12190: @779910
     /*  779910 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(779982), // Rule ID 24954 //
     /*  779915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  779929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  779932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  779935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779961 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  779961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  779964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779980 */     GIR_RootConstrainSelectedInstOperands,
     /*  779981 */     // GIR_Coverage, 24954,
     /*  779981 */     GIR_EraseRootFromParent_Done,
     /*  779982 */   // Label 12191: @779982
     /*  779982 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(780054), // Rule ID 24955 //
     /*  779987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  779995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  780001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  780004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  780007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780033 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  780033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  780036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780052 */     GIR_RootConstrainSelectedInstOperands,
     /*  780053 */     // GIR_Coverage, 24955,
     /*  780053 */     GIR_EraseRootFromParent_Done,
     /*  780054 */   // Label 12192: @780054
     /*  780054 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(780126), // Rule ID 24956 //
     /*  780059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  780070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  780073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  780076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  780079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  780105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  780108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780124 */     GIR_RootConstrainSelectedInstOperands,
     /*  780125 */     // GIR_Coverage, 24956,
     /*  780125 */     GIR_EraseRootFromParent_Done,
     /*  780126 */   // Label 12193: @780126
     /*  780126 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(780198), // Rule ID 24957 //
     /*  780131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  780142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  780145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  780148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  780151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  780177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  780180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780196 */     GIR_RootConstrainSelectedInstOperands,
     /*  780197 */     // GIR_Coverage, 24957,
     /*  780197 */     GIR_EraseRootFromParent_Done,
     /*  780198 */   // Label 12194: @780198
     /*  780198 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(780270), // Rule ID 24958 //
     /*  780203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  780214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  780217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  780220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  780223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  780249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  780252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780268 */     GIR_RootConstrainSelectedInstOperands,
     /*  780269 */     // GIR_Coverage, 24958,
     /*  780269 */     GIR_EraseRootFromParent_Done,
     /*  780270 */   // Label 12195: @780270
     /*  780270 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(780342), // Rule ID 24959 //
     /*  780275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  780286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  780289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  780292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  780295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780321 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  780321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  780324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780340 */     GIR_RootConstrainSelectedInstOperands,
     /*  780341 */     // GIR_Coverage, 24959,
     /*  780341 */     GIR_EraseRootFromParent_Done,
     /*  780342 */   // Label 12196: @780342
     /*  780342 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(780414), // Rule ID 24960 //
     /*  780347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  780367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  780393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  780396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780412 */     GIR_RootConstrainSelectedInstOperands,
     /*  780413 */     // GIR_Coverage, 24960,
     /*  780413 */     GIR_EraseRootFromParent_Done,
     /*  780414 */   // Label 12197: @780414
     /*  780414 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(780486), // Rule ID 24961 //
     /*  780419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  780439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  780465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  780468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780484 */     GIR_RootConstrainSelectedInstOperands,
     /*  780485 */     // GIR_Coverage, 24961,
     /*  780485 */     GIR_EraseRootFromParent_Done,
     /*  780486 */   // Label 12198: @780486
     /*  780486 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(780558), // Rule ID 24962 //
     /*  780491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  780511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  780537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  780540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780556 */     GIR_RootConstrainSelectedInstOperands,
     /*  780557 */     // GIR_Coverage, 24962,
     /*  780557 */     GIR_EraseRootFromParent_Done,
     /*  780558 */   // Label 12199: @780558
     /*  780558 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(780630), // Rule ID 24963 //
     /*  780563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  780583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  780609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  780612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780628 */     GIR_RootConstrainSelectedInstOperands,
     /*  780629 */     // GIR_Coverage, 24963,
     /*  780629 */     GIR_EraseRootFromParent_Done,
     /*  780630 */   // Label 12200: @780630
     /*  780630 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(780702), // Rule ID 24964 //
     /*  780635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  780655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780681 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  780681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  780684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780700 */     GIR_RootConstrainSelectedInstOperands,
     /*  780701 */     // GIR_Coverage, 24964,
     /*  780701 */     GIR_EraseRootFromParent_Done,
     /*  780702 */   // Label 12201: @780702
     /*  780702 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(780774), // Rule ID 24965 //
     /*  780707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  780727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  780753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  780756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780772 */     GIR_RootConstrainSelectedInstOperands,
     /*  780773 */     // GIR_Coverage, 24965,
     /*  780773 */     GIR_EraseRootFromParent_Done,
     /*  780774 */   // Label 12202: @780774
     /*  780774 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(780846), // Rule ID 24966 //
     /*  780779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  780799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780825 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  780825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  780828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780844 */     GIR_RootConstrainSelectedInstOperands,
     /*  780845 */     // GIR_Coverage, 24966,
     /*  780845 */     GIR_EraseRootFromParent_Done,
     /*  780846 */   // Label 12203: @780846
     /*  780846 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(780918), // Rule ID 24967 //
     /*  780851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  780871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  780897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  780900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780916 */     GIR_RootConstrainSelectedInstOperands,
     /*  780917 */     // GIR_Coverage, 24967,
     /*  780917 */     GIR_EraseRootFromParent_Done,
     /*  780918 */   // Label 12204: @780918
     /*  780918 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(780990), // Rule ID 24968 //
     /*  780923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  780931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  780943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  780969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  780972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780988 */     GIR_RootConstrainSelectedInstOperands,
     /*  780989 */     // GIR_Coverage, 24968,
     /*  780989 */     GIR_EraseRootFromParent_Done,
     /*  780990 */   // Label 12205: @780990
     /*  780990 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(781062), // Rule ID 24969 //
     /*  780995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  781006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  781009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  781012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  781015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  781041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  781044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781060 */     GIR_RootConstrainSelectedInstOperands,
     /*  781061 */     // GIR_Coverage, 24969,
     /*  781061 */     GIR_EraseRootFromParent_Done,
     /*  781062 */   // Label 12206: @781062
     /*  781062 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(781134), // Rule ID 24970 //
     /*  781067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  781078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  781081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  781084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  781087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781113 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  781113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  781116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781132 */     GIR_RootConstrainSelectedInstOperands,
     /*  781133 */     // GIR_Coverage, 24970,
     /*  781133 */     GIR_EraseRootFromParent_Done,
     /*  781134 */   // Label 12207: @781134
     /*  781134 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(781206), // Rule ID 24971 //
     /*  781139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  781150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  781153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  781156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  781159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  781185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  781188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781204 */     GIR_RootConstrainSelectedInstOperands,
     /*  781205 */     // GIR_Coverage, 24971,
     /*  781205 */     GIR_EraseRootFromParent_Done,
     /*  781206 */   // Label 12208: @781206
     /*  781206 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(781278), // Rule ID 24972 //
     /*  781211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  781222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  781225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  781228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  781231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781257 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  781257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  781260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781276 */     GIR_RootConstrainSelectedInstOperands,
     /*  781277 */     // GIR_Coverage, 24972,
     /*  781277 */     GIR_EraseRootFromParent_Done,
     /*  781278 */   // Label 12209: @781278
     /*  781278 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(781350), // Rule ID 24973 //
     /*  781283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  781294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  781297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  781300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  781303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  781329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  781332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781348 */     GIR_RootConstrainSelectedInstOperands,
     /*  781349 */     // GIR_Coverage, 24973,
     /*  781349 */     GIR_EraseRootFromParent_Done,
     /*  781350 */   // Label 12210: @781350
     /*  781350 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(781422), // Rule ID 24974 //
     /*  781355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  781375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  781401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  781404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781420 */     GIR_RootConstrainSelectedInstOperands,
     /*  781421 */     // GIR_Coverage, 24974,
     /*  781421 */     GIR_EraseRootFromParent_Done,
     /*  781422 */   // Label 12211: @781422
     /*  781422 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(781494), // Rule ID 24975 //
     /*  781427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  781447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  781473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  781476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781492 */     GIR_RootConstrainSelectedInstOperands,
     /*  781493 */     // GIR_Coverage, 24975,
     /*  781493 */     GIR_EraseRootFromParent_Done,
     /*  781494 */   // Label 12212: @781494
     /*  781494 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(781566), // Rule ID 24976 //
     /*  781499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  781519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781545 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  781545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  781548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781564 */     GIR_RootConstrainSelectedInstOperands,
     /*  781565 */     // GIR_Coverage, 24976,
     /*  781565 */     GIR_EraseRootFromParent_Done,
     /*  781566 */   // Label 12213: @781566
     /*  781566 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(781638), // Rule ID 24977 //
     /*  781571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  781591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  781617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  781620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781636 */     GIR_RootConstrainSelectedInstOperands,
     /*  781637 */     // GIR_Coverage, 24977,
     /*  781637 */     GIR_EraseRootFromParent_Done,
     /*  781638 */   // Label 12214: @781638
     /*  781638 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(781710), // Rule ID 24978 //
     /*  781643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  781646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  781663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781689 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  781689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  781692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781708 */     GIR_RootConstrainSelectedInstOperands,
     /*  781709 */     // GIR_Coverage, 24978,
     /*  781709 */     GIR_EraseRootFromParent_Done,
     /*  781710 */   // Label 12215: @781710
     /*  781710 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(781782), // Rule ID 24979 //
     /*  781715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  781718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  781735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  781761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  781764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781780 */     GIR_RootConstrainSelectedInstOperands,
     /*  781781 */     // GIR_Coverage, 24979,
     /*  781781 */     GIR_EraseRootFromParent_Done,
     /*  781782 */   // Label 12216: @781782
     /*  781782 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(781854), // Rule ID 24980 //
     /*  781787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  781790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  781807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781833 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  781833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  781836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781852 */     GIR_RootConstrainSelectedInstOperands,
     /*  781853 */     // GIR_Coverage, 24980,
     /*  781853 */     GIR_EraseRootFromParent_Done,
     /*  781854 */   // Label 12217: @781854
     /*  781854 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(781926), // Rule ID 24981 //
     /*  781859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  781862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  781870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  781873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  781876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  781879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  781905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  781908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781924 */     GIR_RootConstrainSelectedInstOperands,
     /*  781925 */     // GIR_Coverage, 24981,
     /*  781925 */     GIR_EraseRootFromParent_Done,
     /*  781926 */   // Label 12218: @781926
     /*  781926 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(781998), // Rule ID 24982 //
     /*  781931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  781934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  781939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  781942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  781945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  781948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  781951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  781977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  781980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781996 */     GIR_RootConstrainSelectedInstOperands,
     /*  781997 */     // GIR_Coverage, 24982,
     /*  781997 */     GIR_EraseRootFromParent_Done,
     /*  781998 */   // Label 12219: @781998
     /*  781998 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(782070), // Rule ID 24983 //
     /*  782003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  782023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782049 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  782049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  782052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782068 */     GIR_RootConstrainSelectedInstOperands,
     /*  782069 */     // GIR_Coverage, 24983,
     /*  782069 */     GIR_EraseRootFromParent_Done,
     /*  782070 */   // Label 12220: @782070
     /*  782070 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(782142), // Rule ID 24984 //
     /*  782075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  782095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782121 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  782121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  782124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782140 */     GIR_RootConstrainSelectedInstOperands,
     /*  782141 */     // GIR_Coverage, 24984,
     /*  782141 */     GIR_EraseRootFromParent_Done,
     /*  782142 */   // Label 12221: @782142
     /*  782142 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(782214), // Rule ID 24985 //
     /*  782147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  782167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782193 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  782193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  782196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782212 */     GIR_RootConstrainSelectedInstOperands,
     /*  782213 */     // GIR_Coverage, 24985,
     /*  782213 */     GIR_EraseRootFromParent_Done,
     /*  782214 */   // Label 12222: @782214
     /*  782214 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(782286), // Rule ID 24986 //
     /*  782219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  782239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782265 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  782265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  782268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782284 */     GIR_RootConstrainSelectedInstOperands,
     /*  782285 */     // GIR_Coverage, 24986,
     /*  782285 */     GIR_EraseRootFromParent_Done,
     /*  782286 */   // Label 12223: @782286
     /*  782286 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(782358), // Rule ID 24987 //
     /*  782291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  782311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  782337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  782340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782356 */     GIR_RootConstrainSelectedInstOperands,
     /*  782357 */     // GIR_Coverage, 24987,
     /*  782357 */     GIR_EraseRootFromParent_Done,
     /*  782358 */   // Label 12224: @782358
     /*  782358 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(782430), // Rule ID 24988 //
     /*  782363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  782383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782409 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  782409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  782412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782428 */     GIR_RootConstrainSelectedInstOperands,
     /*  782429 */     // GIR_Coverage, 24988,
     /*  782429 */     GIR_EraseRootFromParent_Done,
     /*  782430 */   // Label 12225: @782430
     /*  782430 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(782502), // Rule ID 24989 //
     /*  782435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  782446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  782449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  782452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  782455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782481 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  782481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  782484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782500 */     GIR_RootConstrainSelectedInstOperands,
     /*  782501 */     // GIR_Coverage, 24989,
     /*  782501 */     GIR_EraseRootFromParent_Done,
     /*  782502 */   // Label 12226: @782502
     /*  782502 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(782574), // Rule ID 24990 //
     /*  782507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  782510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  782527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782553 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  782553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  782556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782572 */     GIR_RootConstrainSelectedInstOperands,
     /*  782573 */     // GIR_Coverage, 24990,
     /*  782573 */     GIR_EraseRootFromParent_Done,
     /*  782574 */   // Label 12227: @782574
     /*  782574 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(782646), // Rule ID 24991 //
     /*  782579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  782590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  782593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  782596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  782599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  782625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  782628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782644 */     GIR_RootConstrainSelectedInstOperands,
     /*  782645 */     // GIR_Coverage, 24991,
     /*  782645 */     GIR_EraseRootFromParent_Done,
     /*  782646 */   // Label 12228: @782646
     /*  782646 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(782718), // Rule ID 24992 //
     /*  782651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  782654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  782671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  782697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  782700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782716 */     GIR_RootConstrainSelectedInstOperands,
     /*  782717 */     // GIR_Coverage, 24992,
     /*  782717 */     GIR_EraseRootFromParent_Done,
     /*  782718 */   // Label 12229: @782718
     /*  782718 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(782790), // Rule ID 24993 //
     /*  782723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  782734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  782737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  782740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  782743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782769 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  782769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  782772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782788 */     GIR_RootConstrainSelectedInstOperands,
     /*  782789 */     // GIR_Coverage, 24993,
     /*  782789 */     GIR_EraseRootFromParent_Done,
     /*  782790 */   // Label 12230: @782790
     /*  782790 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(782862), // Rule ID 24994 //
     /*  782795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  782798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  782815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782841 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  782841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  782844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782860 */     GIR_RootConstrainSelectedInstOperands,
     /*  782861 */     // GIR_Coverage, 24994,
     /*  782861 */     GIR_EraseRootFromParent_Done,
     /*  782862 */   // Label 12231: @782862
     /*  782862 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(782934), // Rule ID 24995 //
     /*  782867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  782878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  782881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  782884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  782887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782913 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  782913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  782916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782932 */     GIR_RootConstrainSelectedInstOperands,
     /*  782933 */     // GIR_Coverage, 24995,
     /*  782933 */     GIR_EraseRootFromParent_Done,
     /*  782934 */   // Label 12232: @782934
     /*  782934 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(783006), // Rule ID 24996 //
     /*  782939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  782942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  782947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  782959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782985 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  782985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  782988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783004 */     GIR_RootConstrainSelectedInstOperands,
     /*  783005 */     // GIR_Coverage, 24996,
     /*  783005 */     GIR_EraseRootFromParent_Done,
     /*  783006 */   // Label 12233: @783006
     /*  783006 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(783078), // Rule ID 24997 //
     /*  783011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  783031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783057 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  783060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783076 */     GIR_RootConstrainSelectedInstOperands,
     /*  783077 */     // GIR_Coverage, 24997,
     /*  783077 */     GIR_EraseRootFromParent_Done,
     /*  783078 */   // Label 12234: @783078
     /*  783078 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(783150), // Rule ID 24998 //
     /*  783083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  783086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  783103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783129 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  783129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  783132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783148 */     GIR_RootConstrainSelectedInstOperands,
     /*  783149 */     // GIR_Coverage, 24998,
     /*  783149 */     GIR_EraseRootFromParent_Done,
     /*  783150 */   // Label 12235: @783150
     /*  783150 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(783222), // Rule ID 24999 //
     /*  783155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  783175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783201 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  783204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783220 */     GIR_RootConstrainSelectedInstOperands,
     /*  783221 */     // GIR_Coverage, 24999,
     /*  783221 */     GIR_EraseRootFromParent_Done,
     /*  783222 */   // Label 12236: @783222
     /*  783222 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(783294), // Rule ID 25000 //
     /*  783227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  783230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  783247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783273 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  783273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  783276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783292 */     GIR_RootConstrainSelectedInstOperands,
     /*  783293 */     // GIR_Coverage, 25000,
     /*  783293 */     GIR_EraseRootFromParent_Done,
     /*  783294 */   // Label 12237: @783294
     /*  783294 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(783366), // Rule ID 25001 //
     /*  783299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  783310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  783313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  783316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  783319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783345 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  783348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783364 */     GIR_RootConstrainSelectedInstOperands,
     /*  783365 */     // GIR_Coverage, 25001,
     /*  783365 */     GIR_EraseRootFromParent_Done,
     /*  783366 */   // Label 12238: @783366
     /*  783366 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(783438), // Rule ID 25002 //
     /*  783371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  783374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  783391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783417 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  783417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  783420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783436 */     GIR_RootConstrainSelectedInstOperands,
     /*  783437 */     // GIR_Coverage, 25002,
     /*  783437 */     GIR_EraseRootFromParent_Done,
     /*  783438 */   // Label 12239: @783438
     /*  783438 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(783510), // Rule ID 25003 //
     /*  783443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  783463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783489 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  783492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783508 */     GIR_RootConstrainSelectedInstOperands,
     /*  783509 */     // GIR_Coverage, 25003,
     /*  783509 */     GIR_EraseRootFromParent_Done,
     /*  783510 */   // Label 12240: @783510
     /*  783510 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(783582), // Rule ID 25004 //
     /*  783515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  783518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  783535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783561 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  783561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  783564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783580 */     GIR_RootConstrainSelectedInstOperands,
     /*  783581 */     // GIR_Coverage, 25004,
     /*  783581 */     GIR_EraseRootFromParent_Done,
     /*  783582 */   // Label 12241: @783582
     /*  783582 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(783654), // Rule ID 25005 //
     /*  783587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  783607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783633 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  783636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783652 */     GIR_RootConstrainSelectedInstOperands,
     /*  783653 */     // GIR_Coverage, 25005,
     /*  783653 */     GIR_EraseRootFromParent_Done,
     /*  783654 */   // Label 12242: @783654
     /*  783654 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(783726), // Rule ID 25006 //
     /*  783659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  783662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  783679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783705 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  783705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  783708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783724 */     GIR_RootConstrainSelectedInstOperands,
     /*  783725 */     // GIR_Coverage, 25006,
     /*  783725 */     GIR_EraseRootFromParent_Done,
     /*  783726 */   // Label 12243: @783726
     /*  783726 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(783798), // Rule ID 25007 //
     /*  783731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  783734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  783739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  783751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783777 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  783777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  783780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783796 */     GIR_RootConstrainSelectedInstOperands,
     /*  783797 */     // GIR_Coverage, 25007,
     /*  783797 */     GIR_EraseRootFromParent_Done,
     /*  783798 */   // Label 12244: @783798
     /*  783798 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(783873), // Rule ID 59886 //
     /*  783803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  783806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  783811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  783852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783871 */     GIR_RootConstrainSelectedInstOperands,
     /*  783872 */     // GIR_Coverage, 59886,
     /*  783872 */     GIR_EraseRootFromParent_Done,
     /*  783873 */   // Label 12245: @783873
     /*  783873 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(783948), // Rule ID 59887 //
     /*  783878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  783881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  783886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  783898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  783927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783946 */     GIR_RootConstrainSelectedInstOperands,
     /*  783947 */     // GIR_Coverage, 59887,
     /*  783947 */     GIR_EraseRootFromParent_Done,
     /*  783948 */   // Label 12246: @783948
     /*  783948 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(784023), // Rule ID 60244 //
     /*  783953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  783956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  783961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  783970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  783973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  783999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  784002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784021 */     GIR_RootConstrainSelectedInstOperands,
     /*  784022 */     // GIR_Coverage, 60244,
     /*  784022 */     GIR_EraseRootFromParent_Done,
     /*  784023 */   // Label 12247: @784023
     /*  784023 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(784098), // Rule ID 60245 //
     /*  784028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  784048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  784077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784096 */     GIR_RootConstrainSelectedInstOperands,
     /*  784097 */     // GIR_Coverage, 60245,
     /*  784097 */     GIR_EraseRootFromParent_Done,
     /*  784098 */   // Label 12248: @784098
     /*  784098 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(784173), // Rule ID 60248 //
     /*  784103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  784123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  784152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784171 */     GIR_RootConstrainSelectedInstOperands,
     /*  784172 */     // GIR_Coverage, 60248,
     /*  784172 */     GIR_EraseRootFromParent_Done,
     /*  784173 */   // Label 12249: @784173
     /*  784173 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(784248), // Rule ID 60249 //
     /*  784178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  784198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  784227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784246 */     GIR_RootConstrainSelectedInstOperands,
     /*  784247 */     // GIR_Coverage, 60249,
     /*  784247 */     GIR_EraseRootFromParent_Done,
     /*  784248 */   // Label 12250: @784248
     /*  784248 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(784323), // Rule ID 60252 //
     /*  784253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  784273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  784302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784321 */     GIR_RootConstrainSelectedInstOperands,
     /*  784322 */     // GIR_Coverage, 60252,
     /*  784322 */     GIR_EraseRootFromParent_Done,
     /*  784323 */   // Label 12251: @784323
     /*  784323 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(784398), // Rule ID 60253 //
     /*  784328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  784348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  784377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784396 */     GIR_RootConstrainSelectedInstOperands,
     /*  784397 */     // GIR_Coverage, 60253,
     /*  784397 */     GIR_EraseRootFromParent_Done,
     /*  784398 */   // Label 12252: @784398
     /*  784398 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(784473), // Rule ID 60256 //
     /*  784403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  784420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  784423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  784452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784471 */     GIR_RootConstrainSelectedInstOperands,
     /*  784472 */     // GIR_Coverage, 60256,
     /*  784472 */     GIR_EraseRootFromParent_Done,
     /*  784473 */   // Label 12253: @784473
     /*  784473 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(784548), // Rule ID 60257 //
     /*  784478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  784495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  784498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  784527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784546 */     GIR_RootConstrainSelectedInstOperands,
     /*  784547 */     // GIR_Coverage, 60257,
     /*  784547 */     GIR_EraseRootFromParent_Done,
     /*  784548 */   // Label 12254: @784548
     /*  784548 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(784623), // Rule ID 60260 //
     /*  784553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  784570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  784573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  784602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784621 */     GIR_RootConstrainSelectedInstOperands,
     /*  784622 */     // GIR_Coverage, 60260,
     /*  784622 */     GIR_EraseRootFromParent_Done,
     /*  784623 */   // Label 12255: @784623
     /*  784623 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(784698), // Rule ID 60261 //
     /*  784628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  784645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  784648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  784677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784696 */     GIR_RootConstrainSelectedInstOperands,
     /*  784697 */     // GIR_Coverage, 60261,
     /*  784697 */     GIR_EraseRootFromParent_Done,
     /*  784698 */   // Label 12256: @784698
     /*  784698 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(784773), // Rule ID 60264 //
     /*  784703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  784720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  784723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  784752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784771 */     GIR_RootConstrainSelectedInstOperands,
     /*  784772 */     // GIR_Coverage, 60264,
     /*  784772 */     GIR_EraseRootFromParent_Done,
     /*  784773 */   // Label 12257: @784773
     /*  784773 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(784848), // Rule ID 60265 //
     /*  784778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  784795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  784798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  784827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784846 */     GIR_RootConstrainSelectedInstOperands,
     /*  784847 */     // GIR_Coverage, 60265,
     /*  784847 */     GIR_EraseRootFromParent_Done,
     /*  784848 */   // Label 12258: @784848
     /*  784848 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(784923), // Rule ID 60268 //
     /*  784853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  784856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  784873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  784902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784921 */     GIR_RootConstrainSelectedInstOperands,
     /*  784922 */     // GIR_Coverage, 60268,
     /*  784922 */     GIR_EraseRootFromParent_Done,
     /*  784923 */   // Label 12259: @784923
     /*  784923 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(784998), // Rule ID 60269 //
     /*  784928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  784931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  784936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  784948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  784977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784996 */     GIR_RootConstrainSelectedInstOperands,
     /*  784997 */     // GIR_Coverage, 60269,
     /*  784997 */     GIR_EraseRootFromParent_Done,
     /*  784998 */   // Label 12260: @784998
     /*  784998 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(785073), // Rule ID 60272 //
     /*  785003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  785023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  785052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785071 */     GIR_RootConstrainSelectedInstOperands,
     /*  785072 */     // GIR_Coverage, 60272,
     /*  785072 */     GIR_EraseRootFromParent_Done,
     /*  785073 */   // Label 12261: @785073
     /*  785073 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(785148), // Rule ID 60273 //
     /*  785078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  785098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  785127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785146 */     GIR_RootConstrainSelectedInstOperands,
     /*  785147 */     // GIR_Coverage, 60273,
     /*  785147 */     GIR_EraseRootFromParent_Done,
     /*  785148 */   // Label 12262: @785148
     /*  785148 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(785223), // Rule ID 60276 //
     /*  785153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  785173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  785202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785221 */     GIR_RootConstrainSelectedInstOperands,
     /*  785222 */     // GIR_Coverage, 60276,
     /*  785222 */     GIR_EraseRootFromParent_Done,
     /*  785223 */   // Label 12263: @785223
     /*  785223 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(785298), // Rule ID 60277 //
     /*  785228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  785248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  785277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785296 */     GIR_RootConstrainSelectedInstOperands,
     /*  785297 */     // GIR_Coverage, 60277,
     /*  785297 */     GIR_EraseRootFromParent_Done,
     /*  785298 */   // Label 12264: @785298
     /*  785298 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(785373), // Rule ID 60280 //
     /*  785303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  785320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  785323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  785352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785371 */     GIR_RootConstrainSelectedInstOperands,
     /*  785372 */     // GIR_Coverage, 60280,
     /*  785372 */     GIR_EraseRootFromParent_Done,
     /*  785373 */   // Label 12265: @785373
     /*  785373 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(785448), // Rule ID 60281 //
     /*  785378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  785395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  785398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  785427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785446 */     GIR_RootConstrainSelectedInstOperands,
     /*  785447 */     // GIR_Coverage, 60281,
     /*  785447 */     GIR_EraseRootFromParent_Done,
     /*  785448 */   // Label 12266: @785448
     /*  785448 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(785523), // Rule ID 60284 //
     /*  785453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  785470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  785473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  785502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785521 */     GIR_RootConstrainSelectedInstOperands,
     /*  785522 */     // GIR_Coverage, 60284,
     /*  785522 */     GIR_EraseRootFromParent_Done,
     /*  785523 */   // Label 12267: @785523
     /*  785523 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(785598), // Rule ID 60285 //
     /*  785528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  785545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  785548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  785577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785596 */     GIR_RootConstrainSelectedInstOperands,
     /*  785597 */     // GIR_Coverage, 60285,
     /*  785597 */     GIR_EraseRootFromParent_Done,
     /*  785598 */   // Label 12268: @785598
     /*  785598 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(785673), // Rule ID 60288 //
     /*  785603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  785623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  785652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785671 */     GIR_RootConstrainSelectedInstOperands,
     /*  785672 */     // GIR_Coverage, 60288,
     /*  785672 */     GIR_EraseRootFromParent_Done,
     /*  785673 */   // Label 12269: @785673
     /*  785673 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(785748), // Rule ID 60289 //
     /*  785678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  785698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  785727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785746 */     GIR_RootConstrainSelectedInstOperands,
     /*  785747 */     // GIR_Coverage, 60289,
     /*  785747 */     GIR_EraseRootFromParent_Done,
     /*  785748 */   // Label 12270: @785748
     /*  785748 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(785823), // Rule ID 60292 //
     /*  785753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  785773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  785802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785821 */     GIR_RootConstrainSelectedInstOperands,
     /*  785822 */     // GIR_Coverage, 60292,
     /*  785822 */     GIR_EraseRootFromParent_Done,
     /*  785823 */   // Label 12271: @785823
     /*  785823 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(785898), // Rule ID 60293 //
     /*  785828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  785848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  785877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785896 */     GIR_RootConstrainSelectedInstOperands,
     /*  785897 */     // GIR_Coverage, 60293,
     /*  785897 */     GIR_EraseRootFromParent_Done,
     /*  785898 */   // Label 12272: @785898
     /*  785898 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(785973), // Rule ID 60296 //
     /*  785903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  785906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  785923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  785952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785971 */     GIR_RootConstrainSelectedInstOperands,
     /*  785972 */     // GIR_Coverage, 60296,
     /*  785972 */     GIR_EraseRootFromParent_Done,
     /*  785973 */   // Label 12273: @785973
     /*  785973 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(786048), // Rule ID 60297 //
     /*  785978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  785981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  785986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  785998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  786027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786046 */     GIR_RootConstrainSelectedInstOperands,
     /*  786047 */     // GIR_Coverage, 60297,
     /*  786047 */     GIR_EraseRootFromParent_Done,
     /*  786048 */   // Label 12274: @786048
     /*  786048 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(786123), // Rule ID 60300 //
     /*  786053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  786064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  786067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  786073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  786102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786121 */     GIR_RootConstrainSelectedInstOperands,
     /*  786122 */     // GIR_Coverage, 60300,
     /*  786122 */     GIR_EraseRootFromParent_Done,
     /*  786123 */   // Label 12275: @786123
     /*  786123 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(786198), // Rule ID 60301 //
     /*  786128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  786139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  786142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  786148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786174 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  786177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786196 */     GIR_RootConstrainSelectedInstOperands,
     /*  786197 */     // GIR_Coverage, 60301,
     /*  786197 */     GIR_EraseRootFromParent_Done,
     /*  786198 */   // Label 12276: @786198
     /*  786198 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(786273), // Rule ID 60304 //
     /*  786203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  786220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  786252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786271 */     GIR_RootConstrainSelectedInstOperands,
     /*  786272 */     // GIR_Coverage, 60304,
     /*  786272 */     GIR_EraseRootFromParent_Done,
     /*  786273 */   // Label 12277: @786273
     /*  786273 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(786348), // Rule ID 60305 //
     /*  786278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  786295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  786327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786346 */     GIR_RootConstrainSelectedInstOperands,
     /*  786347 */     // GIR_Coverage, 60305,
     /*  786347 */     GIR_EraseRootFromParent_Done,
     /*  786348 */   // Label 12278: @786348
     /*  786348 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(786423), // Rule ID 60312 //
     /*  786353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  786370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  786402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786421 */     GIR_RootConstrainSelectedInstOperands,
     /*  786422 */     // GIR_Coverage, 60312,
     /*  786422 */     GIR_EraseRootFromParent_Done,
     /*  786423 */   // Label 12279: @786423
     /*  786423 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(786498), // Rule ID 60313 //
     /*  786428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  786445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  786477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786496 */     GIR_RootConstrainSelectedInstOperands,
     /*  786497 */     // GIR_Coverage, 60313,
     /*  786497 */     GIR_EraseRootFromParent_Done,
     /*  786498 */   // Label 12280: @786498
     /*  786498 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(786573), // Rule ID 60320 //
     /*  786503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  786520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  786552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786571 */     GIR_RootConstrainSelectedInstOperands,
     /*  786572 */     // GIR_Coverage, 60320,
     /*  786572 */     GIR_EraseRootFromParent_Done,
     /*  786573 */   // Label 12281: @786573
     /*  786573 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(786648), // Rule ID 60321 //
     /*  786578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  786595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  786627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786646 */     GIR_RootConstrainSelectedInstOperands,
     /*  786647 */     // GIR_Coverage, 60321,
     /*  786647 */     GIR_EraseRootFromParent_Done,
     /*  786648 */   // Label 12282: @786648
     /*  786648 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(786723), // Rule ID 60328 //
     /*  786653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  786670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  786702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786721 */     GIR_RootConstrainSelectedInstOperands,
     /*  786722 */     // GIR_Coverage, 60328,
     /*  786722 */     GIR_EraseRootFromParent_Done,
     /*  786723 */   // Label 12283: @786723
     /*  786723 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(786798), // Rule ID 60329 //
     /*  786728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  786745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  786777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786796 */     GIR_RootConstrainSelectedInstOperands,
     /*  786797 */     // GIR_Coverage, 60329,
     /*  786797 */     GIR_EraseRootFromParent_Done,
     /*  786798 */   // Label 12284: @786798
     /*  786798 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(786873), // Rule ID 60336 //
     /*  786803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  786820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  786852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786871 */     GIR_RootConstrainSelectedInstOperands,
     /*  786872 */     // GIR_Coverage, 60336,
     /*  786872 */     GIR_EraseRootFromParent_Done,
     /*  786873 */   // Label 12285: @786873
     /*  786873 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(786948), // Rule ID 60337 //
     /*  786878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  786881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  786895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  786927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786946 */     GIR_RootConstrainSelectedInstOperands,
     /*  786947 */     // GIR_Coverage, 60337,
     /*  786947 */     GIR_EraseRootFromParent_Done,
     /*  786948 */   // Label 12286: @786948
     /*  786948 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(787023), // Rule ID 60344 //
     /*  786953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  786956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  786961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  786970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  787002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  787018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787021 */     GIR_RootConstrainSelectedInstOperands,
     /*  787022 */     // GIR_Coverage, 60344,
     /*  787022 */     GIR_EraseRootFromParent_Done,
     /*  787023 */   // Label 12287: @787023
     /*  787023 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(787098), // Rule ID 60345 //
     /*  787028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  787045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  787074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  787077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  787093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787096 */     GIR_RootConstrainSelectedInstOperands,
     /*  787097 */     // GIR_Coverage, 60345,
     /*  787097 */     GIR_EraseRootFromParent_Done,
     /*  787098 */   // Label 12288: @787098
     /*  787098 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(787173), // Rule ID 60352 //
     /*  787103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  787152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787171 */     GIR_RootConstrainSelectedInstOperands,
     /*  787172 */     // GIR_Coverage, 60352,
     /*  787172 */     GIR_EraseRootFromParent_Done,
     /*  787173 */   // Label 12289: @787173
     /*  787173 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(787248), // Rule ID 60353 //
     /*  787178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  787195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  787227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787246 */     GIR_RootConstrainSelectedInstOperands,
     /*  787247 */     // GIR_Coverage, 60353,
     /*  787247 */     GIR_EraseRootFromParent_Done,
     /*  787248 */   // Label 12290: @787248
     /*  787248 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(787323), // Rule ID 60360 //
     /*  787253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  787302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787321 */     GIR_RootConstrainSelectedInstOperands,
     /*  787322 */     // GIR_Coverage, 60360,
     /*  787322 */     GIR_EraseRootFromParent_Done,
     /*  787323 */   // Label 12291: @787323
     /*  787323 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(787398), // Rule ID 60361 //
     /*  787328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  787345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  787377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787396 */     GIR_RootConstrainSelectedInstOperands,
     /*  787397 */     // GIR_Coverage, 60361,
     /*  787397 */     GIR_EraseRootFromParent_Done,
     /*  787398 */   // Label 12292: @787398
     /*  787398 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(787473), // Rule ID 60368 //
     /*  787403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  787452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787471 */     GIR_RootConstrainSelectedInstOperands,
     /*  787472 */     // GIR_Coverage, 60368,
     /*  787472 */     GIR_EraseRootFromParent_Done,
     /*  787473 */   // Label 12293: @787473
     /*  787473 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(787548), // Rule ID 60369 //
     /*  787478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  787495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  787527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787546 */     GIR_RootConstrainSelectedInstOperands,
     /*  787547 */     // GIR_Coverage, 60369,
     /*  787547 */     GIR_EraseRootFromParent_Done,
     /*  787548 */   // Label 12294: @787548
     /*  787548 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(787623), // Rule ID 60376 //
     /*  787553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  787602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787621 */     GIR_RootConstrainSelectedInstOperands,
     /*  787622 */     // GIR_Coverage, 60376,
     /*  787622 */     GIR_EraseRootFromParent_Done,
     /*  787623 */   // Label 12295: @787623
     /*  787623 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(787698), // Rule ID 60377 //
     /*  787628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  787677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787696 */     GIR_RootConstrainSelectedInstOperands,
     /*  787697 */     // GIR_Coverage, 60377,
     /*  787697 */     GIR_EraseRootFromParent_Done,
     /*  787698 */   // Label 12296: @787698
     /*  787698 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(787773), // Rule ID 60384 //
     /*  787703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  787752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787771 */     GIR_RootConstrainSelectedInstOperands,
     /*  787772 */     // GIR_Coverage, 60384,
     /*  787772 */     GIR_EraseRootFromParent_Done,
     /*  787773 */   // Label 12297: @787773
     /*  787773 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(787848), // Rule ID 60385 //
     /*  787778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  787827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787846 */     GIR_RootConstrainSelectedInstOperands,
     /*  787847 */     // GIR_Coverage, 60385,
     /*  787847 */     GIR_EraseRootFromParent_Done,
     /*  787848 */   // Label 12298: @787848
     /*  787848 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(787923), // Rule ID 60392 //
     /*  787853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  787856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  787864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  787867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  787902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787921 */     GIR_RootConstrainSelectedInstOperands,
     /*  787922 */     // GIR_Coverage, 60392,
     /*  787922 */     GIR_EraseRootFromParent_Done,
     /*  787923 */   // Label 12299: @787923
     /*  787923 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(787998), // Rule ID 60393 //
     /*  787928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  787931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  787936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  787939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  787942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  787977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787996 */     GIR_RootConstrainSelectedInstOperands,
     /*  787997 */     // GIR_Coverage, 60393,
     /*  787997 */     GIR_EraseRootFromParent_Done,
     /*  787998 */   // Label 12300: @787998
     /*  787998 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(788073), // Rule ID 60400 //
     /*  788003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  788006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  788052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788071 */     GIR_RootConstrainSelectedInstOperands,
     /*  788072 */     // GIR_Coverage, 60400,
     /*  788072 */     GIR_EraseRootFromParent_Done,
     /*  788073 */   // Label 12301: @788073
     /*  788073 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(788148), // Rule ID 60401 //
     /*  788078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  788081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  788127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788146 */     GIR_RootConstrainSelectedInstOperands,
     /*  788147 */     // GIR_Coverage, 60401,
     /*  788147 */     GIR_EraseRootFromParent_Done,
     /*  788148 */   // Label 12302: @788148
     /*  788148 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(788223), // Rule ID 60408 //
     /*  788153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  788156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  788202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788221 */     GIR_RootConstrainSelectedInstOperands,
     /*  788222 */     // GIR_Coverage, 60408,
     /*  788222 */     GIR_EraseRootFromParent_Done,
     /*  788223 */   // Label 12303: @788223
     /*  788223 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(788298), // Rule ID 60409 //
     /*  788228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  788231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  788277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788296 */     GIR_RootConstrainSelectedInstOperands,
     /*  788297 */     // GIR_Coverage, 60409,
     /*  788297 */     GIR_EraseRootFromParent_Done,
     /*  788298 */   // Label 12304: @788298
     /*  788298 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(788373), // Rule ID 60416 //
     /*  788303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  788306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  788352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788371 */     GIR_RootConstrainSelectedInstOperands,
     /*  788372 */     // GIR_Coverage, 60416,
     /*  788372 */     GIR_EraseRootFromParent_Done,
     /*  788373 */   // Label 12305: @788373
     /*  788373 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(788448), // Rule ID 60417 //
     /*  788378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  788381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  788386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  788427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788446 */     GIR_RootConstrainSelectedInstOperands,
     /*  788447 */     // GIR_Coverage, 60417,
     /*  788447 */     GIR_EraseRootFromParent_Done,
     /*  788448 */   // Label 12306: @788448
     /*  788448 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(788523), // Rule ID 60424 //
     /*  788453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  788456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  788502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788521 */     GIR_RootConstrainSelectedInstOperands,
     /*  788522 */     // GIR_Coverage, 60424,
     /*  788522 */     GIR_EraseRootFromParent_Done,
     /*  788523 */   // Label 12307: @788523
     /*  788523 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(788598), // Rule ID 60425 //
     /*  788528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  788531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  788577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788596 */     GIR_RootConstrainSelectedInstOperands,
     /*  788597 */     // GIR_Coverage, 60425,
     /*  788597 */     GIR_EraseRootFromParent_Done,
     /*  788598 */   // Label 12308: @788598
     /*  788598 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(788673), // Rule ID 60428 //
     /*  788603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  788606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  788623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  788652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788671 */     GIR_RootConstrainSelectedInstOperands,
     /*  788672 */     // GIR_Coverage, 60428,
     /*  788672 */     GIR_EraseRootFromParent_Done,
     /*  788673 */   // Label 12309: @788673
     /*  788673 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(788748), // Rule ID 60429 //
     /*  788678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  788681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  788698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  788727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788746 */     GIR_RootConstrainSelectedInstOperands,
     /*  788747 */     // GIR_Coverage, 60429,
     /*  788747 */     GIR_EraseRootFromParent_Done,
     /*  788748 */   // Label 12310: @788748
     /*  788748 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(788823), // Rule ID 60432 //
     /*  788753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  788756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  788773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  788802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788821 */     GIR_RootConstrainSelectedInstOperands,
     /*  788822 */     // GIR_Coverage, 60432,
     /*  788822 */     GIR_EraseRootFromParent_Done,
     /*  788823 */   // Label 12311: @788823
     /*  788823 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(788898), // Rule ID 60433 //
     /*  788828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  788831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  788848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  788877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788896 */     GIR_RootConstrainSelectedInstOperands,
     /*  788897 */     // GIR_Coverage, 60433,
     /*  788897 */     GIR_EraseRootFromParent_Done,
     /*  788898 */   // Label 12312: @788898
     /*  788898 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(788973), // Rule ID 60436 //
     /*  788903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  788906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788949 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  788952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788971 */     GIR_RootConstrainSelectedInstOperands,
     /*  788972 */     // GIR_Coverage, 60436,
     /*  788972 */     GIR_EraseRootFromParent_Done,
     /*  788973 */   // Label 12313: @788973
     /*  788973 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(789048), // Rule ID 60437 //
     /*  788978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  788981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  788986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  789027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789046 */     GIR_RootConstrainSelectedInstOperands,
     /*  789047 */     // GIR_Coverage, 60437,
     /*  789047 */     GIR_EraseRootFromParent_Done,
     /*  789048 */   // Label 12314: @789048
     /*  789048 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(789123), // Rule ID 60440 //
     /*  789053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789099 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  789102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789121 */     GIR_RootConstrainSelectedInstOperands,
     /*  789122 */     // GIR_Coverage, 60440,
     /*  789122 */     GIR_EraseRootFromParent_Done,
     /*  789123 */   // Label 12315: @789123
     /*  789123 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(789198), // Rule ID 60441 //
     /*  789128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  789177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789196 */     GIR_RootConstrainSelectedInstOperands,
     /*  789197 */     // GIR_Coverage, 60441,
     /*  789197 */     GIR_EraseRootFromParent_Done,
     /*  789198 */   // Label 12316: @789198
     /*  789198 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(789273), // Rule ID 60444 //
     /*  789203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  789252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789271 */     GIR_RootConstrainSelectedInstOperands,
     /*  789272 */     // GIR_Coverage, 60444,
     /*  789272 */     GIR_EraseRootFromParent_Done,
     /*  789273 */   // Label 12317: @789273
     /*  789273 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(789348), // Rule ID 60445 //
     /*  789278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  789327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789346 */     GIR_RootConstrainSelectedInstOperands,
     /*  789347 */     // GIR_Coverage, 60445,
     /*  789347 */     GIR_EraseRootFromParent_Done,
     /*  789348 */   // Label 12318: @789348
     /*  789348 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(789423), // Rule ID 60448 //
     /*  789353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  789402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789421 */     GIR_RootConstrainSelectedInstOperands,
     /*  789422 */     // GIR_Coverage, 60448,
     /*  789422 */     GIR_EraseRootFromParent_Done,
     /*  789423 */   // Label 12319: @789423
     /*  789423 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(789498), // Rule ID 60449 //
     /*  789428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  789477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789496 */     GIR_RootConstrainSelectedInstOperands,
     /*  789497 */     // GIR_Coverage, 60449,
     /*  789497 */     GIR_EraseRootFromParent_Done,
     /*  789498 */   // Label 12320: @789498
     /*  789498 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(789573), // Rule ID 60452 //
     /*  789503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  789552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789571 */     GIR_RootConstrainSelectedInstOperands,
     /*  789572 */     // GIR_Coverage, 60452,
     /*  789572 */     GIR_EraseRootFromParent_Done,
     /*  789573 */   // Label 12321: @789573
     /*  789573 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(789648), // Rule ID 60453 //
     /*  789578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  789586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  789589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  789592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  789595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  789617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  789627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789646 */     GIR_RootConstrainSelectedInstOperands,
     /*  789647 */     // GIR_Coverage, 60453,
     /*  789647 */     GIR_EraseRootFromParent_Done,
     /*  789648 */   // Label 12322: @789648
     /*  789648 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(789723), // Rule ID 60456 //
     /*  789653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  789661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  789673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  789702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789721 */     GIR_RootConstrainSelectedInstOperands,
     /*  789722 */     // GIR_Coverage, 60456,
     /*  789722 */     GIR_EraseRootFromParent_Done,
     /*  789723 */   // Label 12323: @789723
     /*  789723 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(789798), // Rule ID 60457 //
     /*  789728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  789736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  789748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  789777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789796 */     GIR_RootConstrainSelectedInstOperands,
     /*  789797 */     // GIR_Coverage, 60457,
     /*  789797 */     GIR_EraseRootFromParent_Done,
     /*  789798 */   // Label 12324: @789798
     /*  789798 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(789873), // Rule ID 60460 //
     /*  789803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  789811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789849 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  789852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789871 */     GIR_RootConstrainSelectedInstOperands,
     /*  789872 */     // GIR_Coverage, 60460,
     /*  789872 */     GIR_EraseRootFromParent_Done,
     /*  789873 */   // Label 12325: @789873
     /*  789873 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(789948), // Rule ID 60461 //
     /*  789878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  789881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  789886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  789927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789946 */     GIR_RootConstrainSelectedInstOperands,
     /*  789947 */     // GIR_Coverage, 60461,
     /*  789947 */     GIR_EraseRootFromParent_Done,
     /*  789948 */   // Label 12326: @789948
     /*  789948 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(790023), // Rule ID 60464 //
     /*  789953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  789956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  789961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  789964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  789967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  789970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  789973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  790002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790021 */     GIR_RootConstrainSelectedInstOperands,
     /*  790022 */     // GIR_Coverage, 60464,
     /*  790022 */     GIR_EraseRootFromParent_Done,
     /*  790023 */   // Label 12327: @790023
     /*  790023 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(790098), // Rule ID 60465 //
     /*  790028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  790048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  790077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790096 */     GIR_RootConstrainSelectedInstOperands,
     /*  790097 */     // GIR_Coverage, 60465,
     /*  790097 */     GIR_EraseRootFromParent_Done,
     /*  790098 */   // Label 12328: @790098
     /*  790098 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(790173), // Rule ID 60468 //
     /*  790103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  790106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  790152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790171 */     GIR_RootConstrainSelectedInstOperands,
     /*  790172 */     // GIR_Coverage, 60468,
     /*  790172 */     GIR_EraseRootFromParent_Done,
     /*  790173 */   // Label 12329: @790173
     /*  790173 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(790248), // Rule ID 60469 //
     /*  790178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  790227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790246 */     GIR_RootConstrainSelectedInstOperands,
     /*  790247 */     // GIR_Coverage, 60469,
     /*  790247 */     GIR_EraseRootFromParent_Done,
     /*  790248 */   // Label 12330: @790248
     /*  790248 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(790323), // Rule ID 60472 //
     /*  790253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  790256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  790302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790321 */     GIR_RootConstrainSelectedInstOperands,
     /*  790322 */     // GIR_Coverage, 60472,
     /*  790322 */     GIR_EraseRootFromParent_Done,
     /*  790323 */   // Label 12331: @790323
     /*  790323 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(790398), // Rule ID 60473 //
     /*  790328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  790339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  790342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  790345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  790377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790396 */     GIR_RootConstrainSelectedInstOperands,
     /*  790397 */     // GIR_Coverage, 60473,
     /*  790397 */     GIR_EraseRootFromParent_Done,
     /*  790398 */   // Label 12332: @790398
     /*  790398 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(790473), // Rule ID 60476 //
     /*  790403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  790406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  790452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790471 */     GIR_RootConstrainSelectedInstOperands,
     /*  790472 */     // GIR_Coverage, 60476,
     /*  790472 */     GIR_EraseRootFromParent_Done,
     /*  790473 */   // Label 12333: @790473
     /*  790473 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(790548), // Rule ID 60477 //
     /*  790478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  790527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790546 */     GIR_RootConstrainSelectedInstOperands,
     /*  790547 */     // GIR_Coverage, 60477,
     /*  790547 */     GIR_EraseRootFromParent_Done,
     /*  790548 */   // Label 12334: @790548
     /*  790548 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(790623), // Rule ID 60480 //
     /*  790553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  790556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  790602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790621 */     GIR_RootConstrainSelectedInstOperands,
     /*  790622 */     // GIR_Coverage, 60480,
     /*  790622 */     GIR_EraseRootFromParent_Done,
     /*  790623 */   // Label 12335: @790623
     /*  790623 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(790698), // Rule ID 60481 //
     /*  790628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  790677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790696 */     GIR_RootConstrainSelectedInstOperands,
     /*  790697 */     // GIR_Coverage, 60481,
     /*  790697 */     GIR_EraseRootFromParent_Done,
     /*  790698 */   // Label 12336: @790698
     /*  790698 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(790773), // Rule ID 60484 //
     /*  790703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  790706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  790752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790771 */     GIR_RootConstrainSelectedInstOperands,
     /*  790772 */     // GIR_Coverage, 60484,
     /*  790772 */     GIR_EraseRootFromParent_Done,
     /*  790773 */   // Label 12337: @790773
     /*  790773 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(790848), // Rule ID 60485 //
     /*  790778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  790781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  790786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  790817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790824 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  790827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790846 */     GIR_RootConstrainSelectedInstOperands,
     /*  790847 */     // GIR_Coverage, 60485,
     /*  790847 */     GIR_EraseRootFromParent_Done,
     /*  790848 */   // Label 12338: @790848
     /*  790848 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(790923), // Rule ID 60488 //
     /*  790853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  790856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  790861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  790864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  790867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  790870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  790873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  790902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790921 */     GIR_RootConstrainSelectedInstOperands,
     /*  790922 */     // GIR_Coverage, 60488,
     /*  790922 */     GIR_EraseRootFromParent_Done,
     /*  790923 */   // Label 12339: @790923
     /*  790923 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(790998), // Rule ID 60489 //
     /*  790928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  790931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  790936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  790939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  790942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  790945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  790948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  790977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790996 */     GIR_RootConstrainSelectedInstOperands,
     /*  790997 */     // GIR_Coverage, 60489,
     /*  790997 */     GIR_EraseRootFromParent_Done,
     /*  790998 */   // Label 12340: @790998
     /*  790998 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(791073), // Rule ID 60492 //
     /*  791003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  791014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  791017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  791020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  791023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  791049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  791052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791071 */     GIR_RootConstrainSelectedInstOperands,
     /*  791072 */     // GIR_Coverage, 60492,
     /*  791072 */     GIR_EraseRootFromParent_Done,
     /*  791073 */   // Label 12341: @791073
     /*  791073 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(791148), // Rule ID 60493 //
     /*  791078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  791089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  791092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  791095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  791098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  791124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  791127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791146 */     GIR_RootConstrainSelectedInstOperands,
     /*  791147 */     // GIR_Coverage, 60493,
     /*  791147 */     GIR_EraseRootFromParent_Done,
     /*  791148 */   // Label 12342: @791148
     /*  791148 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(791223), // Rule ID 60496 //
     /*  791153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  791164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  791167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  791170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  791173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791199 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  791199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791221 */     GIR_RootConstrainSelectedInstOperands,
     /*  791222 */     // GIR_Coverage, 60496,
     /*  791222 */     GIR_EraseRootFromParent_Done,
     /*  791223 */   // Label 12343: @791223
     /*  791223 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(791298), // Rule ID 60497 //
     /*  791228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  791239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  791242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  791245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  791248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  791274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791296 */     GIR_RootConstrainSelectedInstOperands,
     /*  791297 */     // GIR_Coverage, 60497,
     /*  791297 */     GIR_EraseRootFromParent_Done,
     /*  791298 */   // Label 12344: @791298
     /*  791298 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(791373), // Rule ID 60500 //
     /*  791303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  791352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791371 */     GIR_RootConstrainSelectedInstOperands,
     /*  791372 */     // GIR_Coverage, 60500,
     /*  791372 */     GIR_EraseRootFromParent_Done,
     /*  791373 */   // Label 12345: @791373
     /*  791373 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(791448), // Rule ID 60501 //
     /*  791378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  791389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  791392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  791395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  791398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  791427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791446 */     GIR_RootConstrainSelectedInstOperands,
     /*  791447 */     // GIR_Coverage, 60501,
     /*  791447 */     GIR_EraseRootFromParent_Done,
     /*  791448 */   // Label 12346: @791448
     /*  791448 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(791523), // Rule ID 60504 //
     /*  791453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  791464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  791467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  791470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  791473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791521 */     GIR_RootConstrainSelectedInstOperands,
     /*  791522 */     // GIR_Coverage, 60504,
     /*  791522 */     GIR_EraseRootFromParent_Done,
     /*  791523 */   // Label 12347: @791523
     /*  791523 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(791598), // Rule ID 60505 //
     /*  791528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  791539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  791542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  791545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  791548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791596 */     GIR_RootConstrainSelectedInstOperands,
     /*  791597 */     // GIR_Coverage, 60505,
     /*  791597 */     GIR_EraseRootFromParent_Done,
     /*  791598 */   // Label 12348: @791598
     /*  791598 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(791673), // Rule ID 60508 //
     /*  791603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  791614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  791617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  791623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791671 */     GIR_RootConstrainSelectedInstOperands,
     /*  791672 */     // GIR_Coverage, 60508,
     /*  791672 */     GIR_EraseRootFromParent_Done,
     /*  791673 */   // Label 12349: @791673
     /*  791673 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(791748), // Rule ID 60509 //
     /*  791678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  791689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  791692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  791698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  791727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791746 */     GIR_RootConstrainSelectedInstOperands,
     /*  791747 */     // GIR_Coverage, 60509,
     /*  791747 */     GIR_EraseRootFromParent_Done,
     /*  791748 */   // Label 12350: @791748
     /*  791748 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(791823), // Rule ID 60512 //
     /*  791753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  791764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  791767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  791770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  791773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791799 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  791799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  791802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791821 */     GIR_RootConstrainSelectedInstOperands,
     /*  791822 */     // GIR_Coverage, 60512,
     /*  791822 */     GIR_EraseRootFromParent_Done,
     /*  791823 */   // Label 12351: @791823
     /*  791823 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(791898), // Rule ID 60513 //
     /*  791828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  791839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  791842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  791845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  791848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  791874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  791877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  791893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791896 */     GIR_RootConstrainSelectedInstOperands,
     /*  791897 */     // GIR_Coverage, 60513,
     /*  791897 */     GIR_EraseRootFromParent_Done,
     /*  791898 */   // Label 12352: @791898
     /*  791898 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(791973), // Rule ID 60516 //
     /*  791903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  791906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791949 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  791952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791971 */     GIR_RootConstrainSelectedInstOperands,
     /*  791972 */     // GIR_Coverage, 60516,
     /*  791972 */     GIR_EraseRootFromParent_Done,
     /*  791973 */   // Label 12353: @791973
     /*  791973 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(792048), // Rule ID 60517 //
     /*  791978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  791981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  791986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  792027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792046 */     GIR_RootConstrainSelectedInstOperands,
     /*  792047 */     // GIR_Coverage, 60517,
     /*  792047 */     GIR_EraseRootFromParent_Done,
     /*  792048 */   // Label 12354: @792048
     /*  792048 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(792123), // Rule ID 60520 //
     /*  792053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  792102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792121 */     GIR_RootConstrainSelectedInstOperands,
     /*  792122 */     // GIR_Coverage, 60520,
     /*  792122 */     GIR_EraseRootFromParent_Done,
     /*  792123 */   // Label 12355: @792123
     /*  792123 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(792198), // Rule ID 60521 //
     /*  792128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  792139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  792142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  792145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  792148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  792177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792196 */     GIR_RootConstrainSelectedInstOperands,
     /*  792197 */     // GIR_Coverage, 60521,
     /*  792197 */     GIR_EraseRootFromParent_Done,
     /*  792198 */   // Label 12356: @792198
     /*  792198 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(792273), // Rule ID 60524 //
     /*  792203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  792252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792271 */     GIR_RootConstrainSelectedInstOperands,
     /*  792272 */     // GIR_Coverage, 60524,
     /*  792272 */     GIR_EraseRootFromParent_Done,
     /*  792273 */   // Label 12357: @792273
     /*  792273 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(792348), // Rule ID 60525 //
     /*  792278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  792289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  792292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  792295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  792298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  792327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792346 */     GIR_RootConstrainSelectedInstOperands,
     /*  792347 */     // GIR_Coverage, 60525,
     /*  792347 */     GIR_EraseRootFromParent_Done,
     /*  792348 */   // Label 12358: @792348
     /*  792348 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(792423), // Rule ID 60528 //
     /*  792353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  792364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  792367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  792370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  792373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  792402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792421 */     GIR_RootConstrainSelectedInstOperands,
     /*  792422 */     // GIR_Coverage, 60528,
     /*  792422 */     GIR_EraseRootFromParent_Done,
     /*  792423 */   // Label 12359: @792423
     /*  792423 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(792498), // Rule ID 60529 //
     /*  792428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  792439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  792442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  792445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  792448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  792477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792496 */     GIR_RootConstrainSelectedInstOperands,
     /*  792497 */     // GIR_Coverage, 60529,
     /*  792497 */     GIR_EraseRootFromParent_Done,
     /*  792498 */   // Label 12360: @792498
     /*  792498 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(792573), // Rule ID 60532 //
     /*  792503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  792514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  792517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  792520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  792523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  792552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792571 */     GIR_RootConstrainSelectedInstOperands,
     /*  792572 */     // GIR_Coverage, 60532,
     /*  792572 */     GIR_EraseRootFromParent_Done,
     /*  792573 */   // Label 12361: @792573
     /*  792573 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(792648), // Rule ID 60533 //
     /*  792578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  792589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  792592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  792595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  792598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  792627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792646 */     GIR_RootConstrainSelectedInstOperands,
     /*  792647 */     // GIR_Coverage, 60533,
     /*  792647 */     GIR_EraseRootFromParent_Done,
     /*  792648 */   // Label 12362: @792648
     /*  792648 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(792723), // Rule ID 60536 //
     /*  792653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  792664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  792667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  792670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  792673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  792702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792721 */     GIR_RootConstrainSelectedInstOperands,
     /*  792722 */     // GIR_Coverage, 60536,
     /*  792722 */     GIR_EraseRootFromParent_Done,
     /*  792723 */   // Label 12363: @792723
     /*  792723 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(792798), // Rule ID 60537 //
     /*  792728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  792739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  792742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  792745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  792748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792774 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  792777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792796 */     GIR_RootConstrainSelectedInstOperands,
     /*  792797 */     // GIR_Coverage, 60537,
     /*  792797 */     GIR_EraseRootFromParent_Done,
     /*  792798 */   // Label 12364: @792798
     /*  792798 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(792873), // Rule ID 60540 //
     /*  792803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792849 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  792852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792871 */     GIR_RootConstrainSelectedInstOperands,
     /*  792872 */     // GIR_Coverage, 60540,
     /*  792872 */     GIR_EraseRootFromParent_Done,
     /*  792873 */   // Label 12365: @792873
     /*  792873 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(792948), // Rule ID 60541 //
     /*  792878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  792881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  792895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  792898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  792927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792946 */     GIR_RootConstrainSelectedInstOperands,
     /*  792947 */     // GIR_Coverage, 60541,
     /*  792947 */     GIR_EraseRootFromParent_Done,
     /*  792948 */   // Label 12366: @792948
     /*  792948 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(793023), // Rule ID 60544 //
     /*  792953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  792956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  792961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  792970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  792973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793021 */     GIR_RootConstrainSelectedInstOperands,
     /*  793022 */     // GIR_Coverage, 60544,
     /*  793022 */     GIR_EraseRootFromParent_Done,
     /*  793023 */   // Label 12367: @793023
     /*  793023 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(793098), // Rule ID 60545 //
     /*  793028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793096 */     GIR_RootConstrainSelectedInstOperands,
     /*  793097 */     // GIR_Coverage, 60545,
     /*  793097 */     GIR_EraseRootFromParent_Done,
     /*  793098 */   // Label 12368: @793098
     /*  793098 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(793173), // Rule ID 60548 //
     /*  793103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  793152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793171 */     GIR_RootConstrainSelectedInstOperands,
     /*  793172 */     // GIR_Coverage, 60548,
     /*  793172 */     GIR_EraseRootFromParent_Done,
     /*  793173 */   // Label 12369: @793173
     /*  793173 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(793248), // Rule ID 60549 //
     /*  793178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793224 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  793227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793246 */     GIR_RootConstrainSelectedInstOperands,
     /*  793247 */     // GIR_Coverage, 60549,
     /*  793247 */     GIR_EraseRootFromParent_Done,
     /*  793248 */   // Label 12370: @793248
     /*  793248 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(793323), // Rule ID 60552 //
     /*  793253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  793302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793321 */     GIR_RootConstrainSelectedInstOperands,
     /*  793322 */     // GIR_Coverage, 60552,
     /*  793322 */     GIR_EraseRootFromParent_Done,
     /*  793323 */   // Label 12371: @793323
     /*  793323 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(793398), // Rule ID 60553 //
     /*  793328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  793377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793396 */     GIR_RootConstrainSelectedInstOperands,
     /*  793397 */     // GIR_Coverage, 60553,
     /*  793397 */     GIR_EraseRootFromParent_Done,
     /*  793398 */   // Label 12372: @793398
     /*  793398 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(793473), // Rule ID 60556 //
     /*  793403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793471 */     GIR_RootConstrainSelectedInstOperands,
     /*  793472 */     // GIR_Coverage, 60556,
     /*  793472 */     GIR_EraseRootFromParent_Done,
     /*  793473 */   // Label 12373: @793473
     /*  793473 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(793548), // Rule ID 60557 //
     /*  793478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  793495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  793498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793546 */     GIR_RootConstrainSelectedInstOperands,
     /*  793547 */     // GIR_Coverage, 60557,
     /*  793547 */     GIR_EraseRootFromParent_Done,
     /*  793548 */   // Label 12374: @793548
     /*  793548 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(793623), // Rule ID 60560 //
     /*  793553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  793602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793621 */     GIR_RootConstrainSelectedInstOperands,
     /*  793622 */     // GIR_Coverage, 60560,
     /*  793622 */     GIR_EraseRootFromParent_Done,
     /*  793623 */   // Label 12375: @793623
     /*  793623 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(793698), // Rule ID 60561 //
     /*  793628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  793645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  793648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  793677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793696 */     GIR_RootConstrainSelectedInstOperands,
     /*  793697 */     // GIR_Coverage, 60561,
     /*  793697 */     GIR_EraseRootFromParent_Done,
     /*  793698 */   // Label 12376: @793698
     /*  793698 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(793773), // Rule ID 60564 //
     /*  793703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  793752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793771 */     GIR_RootConstrainSelectedInstOperands,
     /*  793772 */     // GIR_Coverage, 60564,
     /*  793772 */     GIR_EraseRootFromParent_Done,
     /*  793773 */   // Label 12377: @793773
     /*  793773 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(793848), // Rule ID 60565 //
     /*  793778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  793789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  793792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  793795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  793798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  793827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793846 */     GIR_RootConstrainSelectedInstOperands,
     /*  793847 */     // GIR_Coverage, 60565,
     /*  793847 */     GIR_EraseRootFromParent_Done,
     /*  793848 */   // Label 12378: @793848
     /*  793848 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(793923), // Rule ID 60568 //
     /*  793853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  793856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793921 */     GIR_RootConstrainSelectedInstOperands,
     /*  793922 */     // GIR_Coverage, 60568,
     /*  793922 */     GIR_EraseRootFromParent_Done,
     /*  793923 */   // Label 12379: @793923
     /*  793923 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(793998), // Rule ID 60569 //
     /*  793928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  793931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  793936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  793939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  793942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  793945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  793948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  793977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793996 */     GIR_RootConstrainSelectedInstOperands,
     /*  793997 */     // GIR_Coverage, 60569,
     /*  793997 */     GIR_EraseRootFromParent_Done,
     /*  793998 */   // Label 12380: @793998
     /*  793998 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(794073), // Rule ID 60572 //
     /*  794003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  794052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794071 */     GIR_RootConstrainSelectedInstOperands,
     /*  794072 */     // GIR_Coverage, 60572,
     /*  794072 */     GIR_EraseRootFromParent_Done,
     /*  794073 */   // Label 12381: @794073
     /*  794073 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(794148), // Rule ID 60573 //
     /*  794078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  794127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794146 */     GIR_RootConstrainSelectedInstOperands,
     /*  794147 */     // GIR_Coverage, 60573,
     /*  794147 */     GIR_EraseRootFromParent_Done,
     /*  794148 */   // Label 12382: @794148
     /*  794148 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(794223), // Rule ID 60576 //
     /*  794153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  794164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  794167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  794170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794199 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  794199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  794202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794221 */     GIR_RootConstrainSelectedInstOperands,
     /*  794222 */     // GIR_Coverage, 60576,
     /*  794222 */     GIR_EraseRootFromParent_Done,
     /*  794223 */   // Label 12383: @794223
     /*  794223 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(794298), // Rule ID 60577 //
     /*  794228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  794239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  794242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  794245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794274 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  794274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  794277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794296 */     GIR_RootConstrainSelectedInstOperands,
     /*  794297 */     // GIR_Coverage, 60577,
     /*  794297 */     GIR_EraseRootFromParent_Done,
     /*  794298 */   // Label 12384: @794298
     /*  794298 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(794373), // Rule ID 60580 //
     /*  794303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  794314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  794317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  794320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  794349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  794352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794371 */     GIR_RootConstrainSelectedInstOperands,
     /*  794372 */     // GIR_Coverage, 60580,
     /*  794372 */     GIR_EraseRootFromParent_Done,
     /*  794373 */   // Label 12385: @794373
     /*  794373 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(794448), // Rule ID 60581 //
     /*  794378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  794389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  794392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  794395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  794424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  794427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794446 */     GIR_RootConstrainSelectedInstOperands,
     /*  794447 */     // GIR_Coverage, 60581,
     /*  794447 */     GIR_EraseRootFromParent_Done,
     /*  794448 */   // Label 12386: @794448
     /*  794448 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(794523), // Rule ID 60584 //
     /*  794453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  794464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  794467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  794470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  794499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  794502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794521 */     GIR_RootConstrainSelectedInstOperands,
     /*  794522 */     // GIR_Coverage, 60584,
     /*  794522 */     GIR_EraseRootFromParent_Done,
     /*  794523 */   // Label 12387: @794523
     /*  794523 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(794598), // Rule ID 60585 //
     /*  794528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  794539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  794542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  794545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  794574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  794577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  794593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794596 */     GIR_RootConstrainSelectedInstOperands,
     /*  794597 */     // GIR_Coverage, 60585,
     /*  794597 */     GIR_EraseRootFromParent_Done,
     /*  794598 */   // Label 12388: @794598
     /*  794598 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(794673), // Rule ID 60588 //
     /*  794603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  794652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794671 */     GIR_RootConstrainSelectedInstOperands,
     /*  794672 */     // GIR_Coverage, 60588,
     /*  794672 */     GIR_EraseRootFromParent_Done,
     /*  794673 */   // Label 12389: @794673
     /*  794673 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(794748), // Rule ID 60589 //
     /*  794678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  794727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794746 */     GIR_RootConstrainSelectedInstOperands,
     /*  794747 */     // GIR_Coverage, 60589,
     /*  794747 */     GIR_EraseRootFromParent_Done,
     /*  794748 */   // Label 12390: @794748
     /*  794748 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(794823), // Rule ID 60592 //
     /*  794753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  794802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794821 */     GIR_RootConstrainSelectedInstOperands,
     /*  794822 */     // GIR_Coverage, 60592,
     /*  794822 */     GIR_EraseRootFromParent_Done,
     /*  794823 */   // Label 12391: @794823
     /*  794823 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(794898), // Rule ID 60593 //
     /*  794828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794874 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  794877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794896 */     GIR_RootConstrainSelectedInstOperands,
     /*  794897 */     // GIR_Coverage, 60593,
     /*  794897 */     GIR_EraseRootFromParent_Done,
     /*  794898 */   // Label 12392: @794898
     /*  794898 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(794973), // Rule ID 60596 //
     /*  794903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  794906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794949 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  794952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794971 */     GIR_RootConstrainSelectedInstOperands,
     /*  794972 */     // GIR_Coverage, 60596,
     /*  794972 */     GIR_EraseRootFromParent_Done,
     /*  794973 */   // Label 12393: @794973
     /*  794973 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(795048), // Rule ID 60597 //
     /*  794978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  794981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  794986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  794989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  794992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  794995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  795027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795046 */     GIR_RootConstrainSelectedInstOperands,
     /*  795047 */     // GIR_Coverage, 60597,
     /*  795047 */     GIR_EraseRootFromParent_Done,
     /*  795048 */   // Label 12394: @795048
     /*  795048 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(795123), // Rule ID 60600 //
     /*  795053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  795064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  795067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  795070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  795099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795121 */     GIR_RootConstrainSelectedInstOperands,
     /*  795122 */     // GIR_Coverage, 60600,
     /*  795122 */     GIR_EraseRootFromParent_Done,
     /*  795123 */   // Label 12395: @795123
     /*  795123 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(795198), // Rule ID 60601 //
     /*  795128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  795139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  795142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  795145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  795174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795196 */     GIR_RootConstrainSelectedInstOperands,
     /*  795197 */     // GIR_Coverage, 60601,
     /*  795197 */     GIR_EraseRootFromParent_Done,
     /*  795198 */   // Label 12396: @795198
     /*  795198 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(795273), // Rule ID 60604 //
     /*  795203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795271 */     GIR_RootConstrainSelectedInstOperands,
     /*  795272 */     // GIR_Coverage, 60604,
     /*  795272 */     GIR_EraseRootFromParent_Done,
     /*  795273 */   // Label 12397: @795273
     /*  795273 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(795348), // Rule ID 60605 //
     /*  795278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795346 */     GIR_RootConstrainSelectedInstOperands,
     /*  795347 */     // GIR_Coverage, 60605,
     /*  795347 */     GIR_EraseRootFromParent_Done,
     /*  795348 */   // Label 12398: @795348
     /*  795348 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(795423), // Rule ID 60608 //
     /*  795353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795421 */     GIR_RootConstrainSelectedInstOperands,
     /*  795422 */     // GIR_Coverage, 60608,
     /*  795422 */     GIR_EraseRootFromParent_Done,
     /*  795423 */   // Label 12399: @795423
     /*  795423 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(795498), // Rule ID 60609 //
     /*  795428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795496 */     GIR_RootConstrainSelectedInstOperands,
     /*  795497 */     // GIR_Coverage, 60609,
     /*  795497 */     GIR_EraseRootFromParent_Done,
     /*  795498 */   // Label 12400: @795498
     /*  795498 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(795573), // Rule ID 60612 //
     /*  795503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795571 */     GIR_RootConstrainSelectedInstOperands,
     /*  795572 */     // GIR_Coverage, 60612,
     /*  795572 */     GIR_EraseRootFromParent_Done,
     /*  795573 */   // Label 12401: @795573
     /*  795573 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(795648), // Rule ID 60613 //
     /*  795578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  795627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795646 */     GIR_RootConstrainSelectedInstOperands,
     /*  795647 */     // GIR_Coverage, 60613,
     /*  795647 */     GIR_EraseRootFromParent_Done,
     /*  795648 */   // Label 12402: @795648
     /*  795648 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(795723), // Rule ID 60616 //
     /*  795653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  795664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  795667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  795670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  795699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  795702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795721 */     GIR_RootConstrainSelectedInstOperands,
     /*  795722 */     // GIR_Coverage, 60616,
     /*  795722 */     GIR_EraseRootFromParent_Done,
     /*  795723 */   // Label 12403: @795723
     /*  795723 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(795798), // Rule ID 60617 //
     /*  795728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  795739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  795742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  795745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  795774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  795777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795796 */     GIR_RootConstrainSelectedInstOperands,
     /*  795797 */     // GIR_Coverage, 60617,
     /*  795797 */     GIR_EraseRootFromParent_Done,
     /*  795798 */   // Label 12404: @795798
     /*  795798 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(795873), // Rule ID 60620 //
     /*  795803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  795814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  795817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  795820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795849 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  795849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  795852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795871 */     GIR_RootConstrainSelectedInstOperands,
     /*  795872 */     // GIR_Coverage, 60620,
     /*  795872 */     GIR_EraseRootFromParent_Done,
     /*  795873 */   // Label 12405: @795873
     /*  795873 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(795948), // Rule ID 60621 //
     /*  795878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  795881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  795889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  795892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  795895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  795924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  795927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  795943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795946 */     GIR_RootConstrainSelectedInstOperands,
     /*  795947 */     // GIR_Coverage, 60621,
     /*  795947 */     GIR_EraseRootFromParent_Done,
     /*  795948 */   // Label 12406: @795948
     /*  795948 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(796023), // Rule ID 60624 //
     /*  795953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  795956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  795961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  795964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  795967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  795970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795999 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  795999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  796018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796021 */     GIR_RootConstrainSelectedInstOperands,
     /*  796022 */     // GIR_Coverage, 60624,
     /*  796022 */     GIR_EraseRootFromParent_Done,
     /*  796023 */   // Label 12407: @796023
     /*  796023 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(796098), // Rule ID 60625 //
     /*  796028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  796039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  796042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  796045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796074 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  796074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  796093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796096 */     GIR_RootConstrainSelectedInstOperands,
     /*  796097 */     // GIR_Coverage, 60625,
     /*  796097 */     GIR_EraseRootFromParent_Done,
     /*  796098 */   // Label 12408: @796098
     /*  796098 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(796173), // Rule ID 60628 //
     /*  796103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  796152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796171 */     GIR_RootConstrainSelectedInstOperands,
     /*  796172 */     // GIR_Coverage, 60628,
     /*  796172 */     GIR_EraseRootFromParent_Done,
     /*  796173 */   // Label 12409: @796173
     /*  796173 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(796248), // Rule ID 60629 //
     /*  796178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796224 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  796227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796246 */     GIR_RootConstrainSelectedInstOperands,
     /*  796247 */     // GIR_Coverage, 60629,
     /*  796247 */     GIR_EraseRootFromParent_Done,
     /*  796248 */   // Label 12410: @796248
     /*  796248 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(796323), // Rule ID 60632 //
     /*  796253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  796302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796321 */     GIR_RootConstrainSelectedInstOperands,
     /*  796322 */     // GIR_Coverage, 60632,
     /*  796322 */     GIR_EraseRootFromParent_Done,
     /*  796323 */   // Label 12411: @796323
     /*  796323 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(796398), // Rule ID 60633 //
     /*  796328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  796377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796396 */     GIR_RootConstrainSelectedInstOperands,
     /*  796397 */     // GIR_Coverage, 60633,
     /*  796397 */     GIR_EraseRootFromParent_Done,
     /*  796398 */   // Label 12412: @796398
     /*  796398 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(796473), // Rule ID 60636 //
     /*  796403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796449 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796471 */     GIR_RootConstrainSelectedInstOperands,
     /*  796472 */     // GIR_Coverage, 60636,
     /*  796472 */     GIR_EraseRootFromParent_Done,
     /*  796473 */   // Label 12413: @796473
     /*  796473 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(796548), // Rule ID 60637 //
     /*  796478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796546 */     GIR_RootConstrainSelectedInstOperands,
     /*  796547 */     // GIR_Coverage, 60637,
     /*  796547 */     GIR_EraseRootFromParent_Done,
     /*  796548 */   // Label 12414: @796548
     /*  796548 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(796623), // Rule ID 60640 //
     /*  796553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  796602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796621 */     GIR_RootConstrainSelectedInstOperands,
     /*  796622 */     // GIR_Coverage, 60640,
     /*  796622 */     GIR_EraseRootFromParent_Done,
     /*  796623 */   // Label 12415: @796623
     /*  796623 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(796698), // Rule ID 60641 //
     /*  796628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  796677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796696 */     GIR_RootConstrainSelectedInstOperands,
     /*  796697 */     // GIR_Coverage, 60641,
     /*  796697 */     GIR_EraseRootFromParent_Done,
     /*  796698 */   // Label 12416: @796698
     /*  796698 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(796773), // Rule ID 60644 //
     /*  796703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  796752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796771 */     GIR_RootConstrainSelectedInstOperands,
     /*  796772 */     // GIR_Coverage, 60644,
     /*  796772 */     GIR_EraseRootFromParent_Done,
     /*  796773 */   // Label 12417: @796773
     /*  796773 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(796848), // Rule ID 60645 //
     /*  796778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  796827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796846 */     GIR_RootConstrainSelectedInstOperands,
     /*  796847 */     // GIR_Coverage, 60645,
     /*  796847 */     GIR_EraseRootFromParent_Done,
     /*  796848 */   // Label 12418: @796848
     /*  796848 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(796923), // Rule ID 60648 //
     /*  796853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796921 */     GIR_RootConstrainSelectedInstOperands,
     /*  796922 */     // GIR_Coverage, 60648,
     /*  796922 */     GIR_EraseRootFromParent_Done,
     /*  796923 */   // Label 12419: @796923
     /*  796923 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(796998), // Rule ID 60649 //
     /*  796928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  796977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796996 */     GIR_RootConstrainSelectedInstOperands,
     /*  796997 */     // GIR_Coverage, 60649,
     /*  796997 */     GIR_EraseRootFromParent_Done,
     /*  796998 */   // Label 12420: @796998
     /*  796998 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(797073), // Rule ID 60652 //
     /*  797003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  797014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  797017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  797020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  797052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797071 */     GIR_RootConstrainSelectedInstOperands,
     /*  797072 */     // GIR_Coverage, 60652,
     /*  797072 */     GIR_EraseRootFromParent_Done,
     /*  797073 */   // Label 12421: @797073
     /*  797073 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(797148), // Rule ID 60653 //
     /*  797078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  797089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  797092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  797095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10810:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  797127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797146 */     GIR_RootConstrainSelectedInstOperands,
     /*  797147 */     // GIR_Coverage, 60653,
     /*  797147 */     GIR_EraseRootFromParent_Done,
     /*  797148 */   // Label 12422: @797148
     /*  797148 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(797223), // Rule ID 60656 //
     /*  797153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  797202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797221 */     GIR_RootConstrainSelectedInstOperands,
     /*  797222 */     // GIR_Coverage, 60656,
     /*  797222 */     GIR_EraseRootFromParent_Done,
     /*  797223 */   // Label 12423: @797223
     /*  797223 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(797298), // Rule ID 60657 //
     /*  797228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10810:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  797277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797296 */     GIR_RootConstrainSelectedInstOperands,
     /*  797297 */     // GIR_Coverage, 60657,
     /*  797297 */     GIR_EraseRootFromParent_Done,
     /*  797298 */   // Label 12424: @797298
     /*  797298 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(797373), // Rule ID 60660 //
     /*  797303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  797352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797371 */     GIR_RootConstrainSelectedInstOperands,
     /*  797372 */     // GIR_Coverage, 60660,
     /*  797372 */     GIR_EraseRootFromParent_Done,
     /*  797373 */   // Label 12425: @797373
     /*  797373 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(797448), // Rule ID 60661 //
     /*  797378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  797417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10810:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  797427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797446 */     GIR_RootConstrainSelectedInstOperands,
     /*  797447 */     // GIR_Coverage, 60661,
     /*  797447 */     GIR_EraseRootFromParent_Done,
     /*  797448 */   // Label 12426: @797448
     /*  797448 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(797523), // Rule ID 60840 //
     /*  797453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  797464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  797467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  797470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  797473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  797502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797521 */     GIR_RootConstrainSelectedInstOperands,
     /*  797522 */     // GIR_Coverage, 60840,
     /*  797522 */     GIR_EraseRootFromParent_Done,
     /*  797523 */   // Label 12427: @797523
     /*  797523 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(797598), // Rule ID 60841 //
     /*  797528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  797539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  797542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  797545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  797548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  797577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797596 */     GIR_RootConstrainSelectedInstOperands,
     /*  797597 */     // GIR_Coverage, 60841,
     /*  797597 */     GIR_EraseRootFromParent_Done,
     /*  797598 */   // Label 12428: @797598
     /*  797598 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(797673), // Rule ID 60844 //
     /*  797603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  797614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  797617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  797620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  797623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  797652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797671 */     GIR_RootConstrainSelectedInstOperands,
     /*  797672 */     // GIR_Coverage, 60844,
     /*  797672 */     GIR_EraseRootFromParent_Done,
     /*  797673 */   // Label 12429: @797673
     /*  797673 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(797748), // Rule ID 60845 //
     /*  797678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  797689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  797692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  797695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  797698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  797727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797746 */     GIR_RootConstrainSelectedInstOperands,
     /*  797747 */     // GIR_Coverage, 60845,
     /*  797747 */     GIR_EraseRootFromParent_Done,
     /*  797748 */   // Label 12430: @797748
     /*  797748 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(797823), // Rule ID 60848 //
     /*  797753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  797764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  797767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  797770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  797773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797799 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  797802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797821 */     GIR_RootConstrainSelectedInstOperands,
     /*  797822 */     // GIR_Coverage, 60848,
     /*  797822 */     GIR_EraseRootFromParent_Done,
     /*  797823 */   // Label 12431: @797823
     /*  797823 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(797898), // Rule ID 60849 //
     /*  797828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  797839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  797842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  797845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  797848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  797877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797896 */     GIR_RootConstrainSelectedInstOperands,
     /*  797897 */     // GIR_Coverage, 60849,
     /*  797897 */     GIR_EraseRootFromParent_Done,
     /*  797898 */   // Label 12432: @797898
     /*  797898 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(797973), // Rule ID 60852 //
     /*  797903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  797952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797971 */     GIR_RootConstrainSelectedInstOperands,
     /*  797972 */     // GIR_Coverage, 60852,
     /*  797972 */     GIR_EraseRootFromParent_Done,
     /*  797973 */   // Label 12433: @797973
     /*  797973 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(798048), // Rule ID 60853 //
     /*  797978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  797986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  798027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798046 */     GIR_RootConstrainSelectedInstOperands,
     /*  798047 */     // GIR_Coverage, 60853,
     /*  798047 */     GIR_EraseRootFromParent_Done,
     /*  798048 */   // Label 12434: @798048
     /*  798048 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(798123), // Rule ID 60856 //
     /*  798053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  798073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  798102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798121 */     GIR_RootConstrainSelectedInstOperands,
     /*  798122 */     // GIR_Coverage, 60856,
     /*  798122 */     GIR_EraseRootFromParent_Done,
     /*  798123 */   // Label 12435: @798123
     /*  798123 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(798198), // Rule ID 60857 //
     /*  798128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  798139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  798142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  798145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  798148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  798177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798196 */     GIR_RootConstrainSelectedInstOperands,
     /*  798197 */     // GIR_Coverage, 60857,
     /*  798197 */     GIR_EraseRootFromParent_Done,
     /*  798198 */   // Label 12436: @798198
     /*  798198 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(798273), // Rule ID 60860 //
     /*  798203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  798223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798249 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  798252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798271 */     GIR_RootConstrainSelectedInstOperands,
     /*  798272 */     // GIR_Coverage, 60860,
     /*  798272 */     GIR_EraseRootFromParent_Done,
     /*  798273 */   // Label 12437: @798273
     /*  798273 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(798348), // Rule ID 60861 //
     /*  798278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  798289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  798292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  798295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  798298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  798327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798346 */     GIR_RootConstrainSelectedInstOperands,
     /*  798347 */     // GIR_Coverage, 60861,
     /*  798347 */     GIR_EraseRootFromParent_Done,
     /*  798348 */   // Label 12438: @798348
     /*  798348 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(798423), // Rule ID 60864 //
     /*  798353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  798364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  798367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  798370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  798373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798399 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  798399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798421 */     GIR_RootConstrainSelectedInstOperands,
     /*  798422 */     // GIR_Coverage, 60864,
     /*  798422 */     GIR_EraseRootFromParent_Done,
     /*  798423 */   // Label 12439: @798423
     /*  798423 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(798498), // Rule ID 60865 //
     /*  798428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  798439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  798442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  798445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  798448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  798474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798496 */     GIR_RootConstrainSelectedInstOperands,
     /*  798497 */     // GIR_Coverage, 60865,
     /*  798497 */     GIR_EraseRootFromParent_Done,
     /*  798498 */   // Label 12440: @798498
     /*  798498 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(798573), // Rule ID 60868 //
     /*  798503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  798514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  798517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  798520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  798523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798571 */     GIR_RootConstrainSelectedInstOperands,
     /*  798572 */     // GIR_Coverage, 60868,
     /*  798572 */     GIR_EraseRootFromParent_Done,
     /*  798573 */   // Label 12441: @798573
     /*  798573 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(798648), // Rule ID 60869 //
     /*  798578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  798589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  798592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  798595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  798598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798646 */     GIR_RootConstrainSelectedInstOperands,
     /*  798647 */     // GIR_Coverage, 60869,
     /*  798647 */     GIR_EraseRootFromParent_Done,
     /*  798648 */   // Label 12442: @798648
     /*  798648 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(798723), // Rule ID 60872 //
     /*  798653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798721 */     GIR_RootConstrainSelectedInstOperands,
     /*  798722 */     // GIR_Coverage, 60872,
     /*  798722 */     GIR_EraseRootFromParent_Done,
     /*  798723 */   // Label 12443: @798723
     /*  798723 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(798798), // Rule ID 60873 //
     /*  798728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798796 */     GIR_RootConstrainSelectedInstOperands,
     /*  798797 */     // GIR_Coverage, 60873,
     /*  798797 */     GIR_EraseRootFromParent_Done,
     /*  798798 */   // Label 12444: @798798
     /*  798798 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(798873), // Rule ID 60876 //
     /*  798803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798849 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798871 */     GIR_RootConstrainSelectedInstOperands,
     /*  798872 */     // GIR_Coverage, 60876,
     /*  798872 */     GIR_EraseRootFromParent_Done,
     /*  798873 */   // Label 12445: @798873
     /*  798873 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(798948), // Rule ID 60877 //
     /*  798878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  798927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798946 */     GIR_RootConstrainSelectedInstOperands,
     /*  798947 */     // GIR_Coverage, 60877,
     /*  798947 */     GIR_EraseRootFromParent_Done,
     /*  798948 */   // Label 12446: @798948
     /*  798948 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(799023), // Rule ID 60880 //
     /*  798953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  798961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  798964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  798967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  798970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  798973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798999 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  798999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799021 */     GIR_RootConstrainSelectedInstOperands,
     /*  799022 */     // GIR_Coverage, 60880,
     /*  799022 */     GIR_EraseRootFromParent_Done,
     /*  799023 */   // Label 12447: @799023
     /*  799023 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(799098), // Rule ID 60881 //
     /*  799028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  799039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  799042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  799045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  799048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799074 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  799074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799096 */     GIR_RootConstrainSelectedInstOperands,
     /*  799097 */     // GIR_Coverage, 60881,
     /*  799097 */     GIR_EraseRootFromParent_Done,
     /*  799098 */   // Label 12448: @799098
     /*  799098 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(799173), // Rule ID 60884 //
     /*  799103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  799114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  799117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  799120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  799123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799149 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  799149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  799152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799171 */     GIR_RootConstrainSelectedInstOperands,
     /*  799172 */     // GIR_Coverage, 60884,
     /*  799172 */     GIR_EraseRootFromParent_Done,
     /*  799173 */   // Label 12449: @799173
     /*  799173 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(799248), // Rule ID 60885 //
     /*  799178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  799189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  799192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  799195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  799198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  799224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  799227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799246 */     GIR_RootConstrainSelectedInstOperands,
     /*  799247 */     // GIR_Coverage, 60885,
     /*  799247 */     GIR_EraseRootFromParent_Done,
     /*  799248 */   // Label 12450: @799248
     /*  799248 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(799323), // Rule ID 60888 //
     /*  799253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  799264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  799267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  799270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  799273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799299 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  799299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  799302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799321 */     GIR_RootConstrainSelectedInstOperands,
     /*  799322 */     // GIR_Coverage, 60888,
     /*  799322 */     GIR_EraseRootFromParent_Done,
     /*  799323 */   // Label 12451: @799323
     /*  799323 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(799398), // Rule ID 60889 //
     /*  799328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  799339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  799342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  799345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  799348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799374 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  799374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  799377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799396 */     GIR_RootConstrainSelectedInstOperands,
     /*  799397 */     // GIR_Coverage, 60889,
     /*  799397 */     GIR_EraseRootFromParent_Done,
     /*  799398 */   // Label 12452: @799398
     /*  799398 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(799473), // Rule ID 60892 //
     /*  799403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  799423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799449 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799471 */     GIR_RootConstrainSelectedInstOperands,
     /*  799472 */     // GIR_Coverage, 60892,
     /*  799472 */     GIR_EraseRootFromParent_Done,
     /*  799473 */   // Label 12453: @799473
     /*  799473 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(799548), // Rule ID 60893 //
     /*  799478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  799489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  799492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  799495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  799498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799546 */     GIR_RootConstrainSelectedInstOperands,
     /*  799547 */     // GIR_Coverage, 60893,
     /*  799547 */     GIR_EraseRootFromParent_Done,
     /*  799548 */   // Label 12454: @799548
     /*  799548 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(799623), // Rule ID 60896 //
     /*  799553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  799573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  799602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799621 */     GIR_RootConstrainSelectedInstOperands,
     /*  799622 */     // GIR_Coverage, 60896,
     /*  799622 */     GIR_EraseRootFromParent_Done,
     /*  799623 */   // Label 12455: @799623
     /*  799623 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(799698), // Rule ID 60897 //
     /*  799628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  799648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  799677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799696 */     GIR_RootConstrainSelectedInstOperands,
     /*  799697 */     // GIR_Coverage, 60897,
     /*  799697 */     GIR_EraseRootFromParent_Done,
     /*  799698 */   // Label 12456: @799698
     /*  799698 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(799773), // Rule ID 60900 //
     /*  799703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  799723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  799752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799771 */     GIR_RootConstrainSelectedInstOperands,
     /*  799772 */     // GIR_Coverage, 60900,
     /*  799772 */     GIR_EraseRootFromParent_Done,
     /*  799773 */   // Label 12457: @799773
     /*  799773 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(799848), // Rule ID 60901 //
     /*  799778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  799798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  799827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799846 */     GIR_RootConstrainSelectedInstOperands,
     /*  799847 */     // GIR_Coverage, 60901,
     /*  799847 */     GIR_EraseRootFromParent_Done,
     /*  799848 */   // Label 12458: @799848
     /*  799848 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(799923), // Rule ID 60904 //
     /*  799853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  799873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799921 */     GIR_RootConstrainSelectedInstOperands,
     /*  799922 */     // GIR_Coverage, 60904,
     /*  799922 */     GIR_EraseRootFromParent_Done,
     /*  799923 */   // Label 12459: @799923
     /*  799923 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(799998), // Rule ID 60905 //
     /*  799928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  799936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  799948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  799977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799996 */     GIR_RootConstrainSelectedInstOperands,
     /*  799997 */     // GIR_Coverage, 60905,
     /*  799997 */     GIR_EraseRootFromParent_Done,
     /*  799998 */   // Label 12460: @799998
     /*  799998 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(800073), // Rule ID 60908 //
     /*  800003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  800023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  800052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800071 */     GIR_RootConstrainSelectedInstOperands,
     /*  800072 */     // GIR_Coverage, 60908,
     /*  800072 */     GIR_EraseRootFromParent_Done,
     /*  800073 */   // Label 12461: @800073
     /*  800073 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(800148), // Rule ID 60909 //
     /*  800078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  800098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  800127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800146 */     GIR_RootConstrainSelectedInstOperands,
     /*  800147 */     // GIR_Coverage, 60909,
     /*  800147 */     GIR_EraseRootFromParent_Done,
     /*  800148 */   // Label 12462: @800148
     /*  800148 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(800223), // Rule ID 60912 //
     /*  800153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  800173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  800202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800221 */     GIR_RootConstrainSelectedInstOperands,
     /*  800222 */     // GIR_Coverage, 60912,
     /*  800222 */     GIR_EraseRootFromParent_Done,
     /*  800223 */   // Label 12463: @800223
     /*  800223 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(800298), // Rule ID 60913 //
     /*  800228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  800248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  800277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800296 */     GIR_RootConstrainSelectedInstOperands,
     /*  800297 */     // GIR_Coverage, 60913,
     /*  800297 */     GIR_EraseRootFromParent_Done,
     /*  800298 */   // Label 12464: @800298
     /*  800298 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(800373), // Rule ID 60916 //
     /*  800303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  800323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  800352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800371 */     GIR_RootConstrainSelectedInstOperands,
     /*  800372 */     // GIR_Coverage, 60916,
     /*  800372 */     GIR_EraseRootFromParent_Done,
     /*  800373 */   // Label 12465: @800373
     /*  800373 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(800448), // Rule ID 60917 //
     /*  800378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  800389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  800392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  800395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  800398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  800427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800446 */     GIR_RootConstrainSelectedInstOperands,
     /*  800447 */     // GIR_Coverage, 60917,
     /*  800447 */     GIR_EraseRootFromParent_Done,
     /*  800448 */   // Label 12466: @800448
     /*  800448 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(800523), // Rule ID 60920 //
     /*  800453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  800473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  800502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800521 */     GIR_RootConstrainSelectedInstOperands,
     /*  800522 */     // GIR_Coverage, 60920,
     /*  800522 */     GIR_EraseRootFromParent_Done,
     /*  800523 */   // Label 12467: @800523
     /*  800523 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(800598), // Rule ID 60921 //
     /*  800528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  800539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  800542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  800545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  800548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800574 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  800577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800596 */     GIR_RootConstrainSelectedInstOperands,
     /*  800597 */     // GIR_Coverage, 60921,
     /*  800597 */     GIR_EraseRootFromParent_Done,
     /*  800598 */   // Label 12468: @800598
     /*  800598 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(800673), // Rule ID 60924 //
     /*  800603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  800623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800649 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  800652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800671 */     GIR_RootConstrainSelectedInstOperands,
     /*  800672 */     // GIR_Coverage, 60924,
     /*  800672 */     GIR_EraseRootFromParent_Done,
     /*  800673 */   // Label 12469: @800673
     /*  800673 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(800748), // Rule ID 60925 //
     /*  800678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  800698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800724 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  800727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800746 */     GIR_RootConstrainSelectedInstOperands,
     /*  800747 */     // GIR_Coverage, 60925,
     /*  800747 */     GIR_EraseRootFromParent_Done,
     /*  800748 */   // Label 12470: @800748
     /*  800748 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(800823), // Rule ID 60928 //
     /*  800753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  800764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  800767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  800770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800799 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  800802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800821 */     GIR_RootConstrainSelectedInstOperands,
     /*  800822 */     // GIR_Coverage, 60928,
     /*  800822 */     GIR_EraseRootFromParent_Done,
     /*  800823 */   // Label 12471: @800823
     /*  800823 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(800898), // Rule ID 60929 //
     /*  800828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  800839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  800842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  800845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  800877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800896 */     GIR_RootConstrainSelectedInstOperands,
     /*  800897 */     // GIR_Coverage, 60929,
     /*  800897 */     GIR_EraseRootFromParent_Done,
     /*  800898 */   // Label 12472: @800898
     /*  800898 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(800973), // Rule ID 60932 //
     /*  800903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  800914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  800917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  800920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800949 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  800952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800971 */     GIR_RootConstrainSelectedInstOperands,
     /*  800972 */     // GIR_Coverage, 60932,
     /*  800972 */     GIR_EraseRootFromParent_Done,
     /*  800973 */   // Label 12473: @800973
     /*  800973 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(801048), // Rule ID 60933 //
     /*  800978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  800986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  800989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  800992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  800995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  801027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801046 */     GIR_RootConstrainSelectedInstOperands,
     /*  801047 */     // GIR_Coverage, 60933,
     /*  801047 */     GIR_EraseRootFromParent_Done,
     /*  801048 */   // Label 12474: @801048
     /*  801048 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(801123), // Rule ID 60936 //
     /*  801053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  801064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  801067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  801070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801121 */     GIR_RootConstrainSelectedInstOperands,
     /*  801122 */     // GIR_Coverage, 60936,
     /*  801122 */     GIR_EraseRootFromParent_Done,
     /*  801123 */   // Label 12475: @801123
     /*  801123 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(801198), // Rule ID 60937 //
     /*  801128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  801139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  801142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  801145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801196 */     GIR_RootConstrainSelectedInstOperands,
     /*  801197 */     // GIR_Coverage, 60937,
     /*  801197 */     GIR_EraseRootFromParent_Done,
     /*  801198 */   // Label 12476: @801198
     /*  801198 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(801273), // Rule ID 60940 //
     /*  801203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  801252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801271 */     GIR_RootConstrainSelectedInstOperands,
     /*  801272 */     // GIR_Coverage, 60940,
     /*  801272 */     GIR_EraseRootFromParent_Done,
     /*  801273 */   // Label 12477: @801273
     /*  801273 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(801348), // Rule ID 60941 //
     /*  801278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  801327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801346 */     GIR_RootConstrainSelectedInstOperands,
     /*  801347 */     // GIR_Coverage, 60941,
     /*  801347 */     GIR_EraseRootFromParent_Done,
     /*  801348 */   // Label 12478: @801348
     /*  801348 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(801423), // Rule ID 60944 //
     /*  801353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801421 */     GIR_RootConstrainSelectedInstOperands,
     /*  801422 */     // GIR_Coverage, 60944,
     /*  801422 */     GIR_EraseRootFromParent_Done,
     /*  801423 */   // Label 12479: @801423
     /*  801423 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(801498), // Rule ID 60945 //
     /*  801428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801496 */     GIR_RootConstrainSelectedInstOperands,
     /*  801497 */     // GIR_Coverage, 60945,
     /*  801497 */     GIR_EraseRootFromParent_Done,
     /*  801498 */   // Label 12480: @801498
     /*  801498 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(801573), // Rule ID 60948 //
     /*  801503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801571 */     GIR_RootConstrainSelectedInstOperands,
     /*  801572 */     // GIR_Coverage, 60948,
     /*  801572 */     GIR_EraseRootFromParent_Done,
     /*  801573 */   // Label 12481: @801573
     /*  801573 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(801648), // Rule ID 60949 //
     /*  801578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  801627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801646 */     GIR_RootConstrainSelectedInstOperands,
     /*  801647 */     // GIR_Coverage, 60949,
     /*  801647 */     GIR_EraseRootFromParent_Done,
     /*  801648 */   // Label 12482: @801648
     /*  801648 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(801723), // Rule ID 60952 //
     /*  801653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  801670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  801702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801721 */     GIR_RootConstrainSelectedInstOperands,
     /*  801722 */     // GIR_Coverage, 60952,
     /*  801722 */     GIR_EraseRootFromParent_Done,
     /*  801723 */   // Label 12483: @801723
     /*  801723 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(801798), // Rule ID 60953 //
     /*  801728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  801745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801774 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  801777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801796 */     GIR_RootConstrainSelectedInstOperands,
     /*  801797 */     // GIR_Coverage, 60953,
     /*  801797 */     GIR_EraseRootFromParent_Done,
     /*  801798 */   // Label 12484: @801798
     /*  801798 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(801873), // Rule ID 60956 //
     /*  801803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  801852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801871 */     GIR_RootConstrainSelectedInstOperands,
     /*  801872 */     // GIR_Coverage, 60956,
     /*  801872 */     GIR_EraseRootFromParent_Done,
     /*  801873 */   // Label 12485: @801873
     /*  801873 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(801948), // Rule ID 60957 //
     /*  801878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  801927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801946 */     GIR_RootConstrainSelectedInstOperands,
     /*  801947 */     // GIR_Coverage, 60957,
     /*  801947 */     GIR_EraseRootFromParent_Done,
     /*  801948 */   // Label 12486: @801948
     /*  801948 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(802023), // Rule ID 60960 //
     /*  801953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  801961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  802002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802021 */     GIR_RootConstrainSelectedInstOperands,
     /*  802022 */     // GIR_Coverage, 60960,
     /*  802022 */     GIR_EraseRootFromParent_Done,
     /*  802023 */   // Label 12487: @802023
     /*  802023 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(802098), // Rule ID 60961 //
     /*  802028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  802077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802096 */     GIR_RootConstrainSelectedInstOperands,
     /*  802097 */     // GIR_Coverage, 60961,
     /*  802097 */     GIR_EraseRootFromParent_Done,
     /*  802098 */   // Label 12488: @802098
     /*  802098 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(802173), // Rule ID 60964 //
     /*  802103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  802152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802171 */     GIR_RootConstrainSelectedInstOperands,
     /*  802172 */     // GIR_Coverage, 60964,
     /*  802172 */     GIR_EraseRootFromParent_Done,
     /*  802173 */   // Label 12489: @802173
     /*  802173 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(802248), // Rule ID 60965 //
     /*  802178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  802227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802246 */     GIR_RootConstrainSelectedInstOperands,
     /*  802247 */     // GIR_Coverage, 60965,
     /*  802247 */     GIR_EraseRootFromParent_Done,
     /*  802248 */   // Label 12490: @802248
     /*  802248 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(802323), // Rule ID 60968 //
     /*  802253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  802264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  802267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  802270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  802302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802321 */     GIR_RootConstrainSelectedInstOperands,
     /*  802322 */     // GIR_Coverage, 60968,
     /*  802322 */     GIR_EraseRootFromParent_Done,
     /*  802323 */   // Label 12491: @802323
     /*  802323 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(802398), // Rule ID 60969 //
     /*  802328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  802339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  802342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  802345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  802377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802396 */     GIR_RootConstrainSelectedInstOperands,
     /*  802397 */     // GIR_Coverage, 60969,
     /*  802397 */     GIR_EraseRootFromParent_Done,
     /*  802398 */   // Label 12492: @802398
     /*  802398 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(802473), // Rule ID 60972 //
     /*  802403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  802414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  802417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  802420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802449 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  802452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802471 */     GIR_RootConstrainSelectedInstOperands,
     /*  802472 */     // GIR_Coverage, 60972,
     /*  802472 */     GIR_EraseRootFromParent_Done,
     /*  802473 */   // Label 12493: @802473
     /*  802473 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(802548), // Rule ID 60973 //
     /*  802478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  802489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  802492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  802495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  802527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802546 */     GIR_RootConstrainSelectedInstOperands,
     /*  802547 */     // GIR_Coverage, 60973,
     /*  802547 */     GIR_EraseRootFromParent_Done,
     /*  802548 */   // Label 12494: @802548
     /*  802548 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(802623), // Rule ID 60976 //
     /*  802553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  802564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  802567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  802570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802599 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  802602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802621 */     GIR_RootConstrainSelectedInstOperands,
     /*  802622 */     // GIR_Coverage, 60976,
     /*  802622 */     GIR_EraseRootFromParent_Done,
     /*  802623 */   // Label 12495: @802623
     /*  802623 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(802698), // Rule ID 60977 //
     /*  802628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  802639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  802642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  802645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802674 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  802677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802696 */     GIR_RootConstrainSelectedInstOperands,
     /*  802697 */     // GIR_Coverage, 60977,
     /*  802697 */     GIR_EraseRootFromParent_Done,
     /*  802698 */   // Label 12496: @802698
     /*  802698 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(802773), // Rule ID 60980 //
     /*  802703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  802752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802771 */     GIR_RootConstrainSelectedInstOperands,
     /*  802772 */     // GIR_Coverage, 60980,
     /*  802772 */     GIR_EraseRootFromParent_Done,
     /*  802773 */   // Label 12497: @802773
     /*  802773 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(802848), // Rule ID 60981 //
     /*  802778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  802827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802846 */     GIR_RootConstrainSelectedInstOperands,
     /*  802847 */     // GIR_Coverage, 60981,
     /*  802847 */     GIR_EraseRootFromParent_Done,
     /*  802848 */   // Label 12498: @802848
     /*  802848 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(802923), // Rule ID 60984 //
     /*  802853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802899 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  802902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802921 */     GIR_RootConstrainSelectedInstOperands,
     /*  802922 */     // GIR_Coverage, 60984,
     /*  802922 */     GIR_EraseRootFromParent_Done,
     /*  802923 */   // Label 12499: @802923
     /*  802923 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(802998), // Rule ID 60985 //
     /*  802928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  802936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  802977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802996 */     GIR_RootConstrainSelectedInstOperands,
     /*  802997 */     // GIR_Coverage, 60985,
     /*  802997 */     GIR_EraseRootFromParent_Done,
     /*  802998 */   // Label 12500: @802998
     /*  802998 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(803073), // Rule ID 60988 //
     /*  803003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  803052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803071 */     GIR_RootConstrainSelectedInstOperands,
     /*  803072 */     // GIR_Coverage, 60988,
     /*  803072 */     GIR_EraseRootFromParent_Done,
     /*  803073 */   // Label 12501: @803073
     /*  803073 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(803148), // Rule ID 60989 //
     /*  803078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  803127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803146 */     GIR_RootConstrainSelectedInstOperands,
     /*  803147 */     // GIR_Coverage, 60989,
     /*  803147 */     GIR_EraseRootFromParent_Done,
     /*  803148 */   // Label 12502: @803148
     /*  803148 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(803223), // Rule ID 60992 //
     /*  803153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  803202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803221 */     GIR_RootConstrainSelectedInstOperands,
     /*  803222 */     // GIR_Coverage, 60992,
     /*  803222 */     GIR_EraseRootFromParent_Done,
     /*  803223 */   // Label 12503: @803223
     /*  803223 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(803298), // Rule ID 60993 //
     /*  803228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  803277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803296 */     GIR_RootConstrainSelectedInstOperands,
     /*  803297 */     // GIR_Coverage, 60993,
     /*  803297 */     GIR_EraseRootFromParent_Done,
     /*  803298 */   // Label 12504: @803298
     /*  803298 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(803373), // Rule ID 60996 //
     /*  803303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  803352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803371 */     GIR_RootConstrainSelectedInstOperands,
     /*  803372 */     // GIR_Coverage, 60996,
     /*  803372 */     GIR_EraseRootFromParent_Done,
     /*  803373 */   // Label 12505: @803373
     /*  803373 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(803448), // Rule ID 60997 //
     /*  803378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  803427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803446 */     GIR_RootConstrainSelectedInstOperands,
     /*  803447 */     // GIR_Coverage, 60997,
     /*  803447 */     GIR_EraseRootFromParent_Done,
     /*  803448 */   // Label 12506: @803448
     /*  803448 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(803523), // Rule ID 61000 //
     /*  803453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  803502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803521 */     GIR_RootConstrainSelectedInstOperands,
     /*  803522 */     // GIR_Coverage, 61000,
     /*  803522 */     GIR_EraseRootFromParent_Done,
     /*  803523 */   // Label 12507: @803523
     /*  803523 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(803598), // Rule ID 61001 //
     /*  803528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  803577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803596 */     GIR_RootConstrainSelectedInstOperands,
     /*  803597 */     // GIR_Coverage, 61001,
     /*  803597 */     GIR_EraseRootFromParent_Done,
     /*  803598 */   // Label 12508: @803598
     /*  803598 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(803673), // Rule ID 61004 //
     /*  803603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  803652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803671 */     GIR_RootConstrainSelectedInstOperands,
     /*  803672 */     // GIR_Coverage, 61004,
     /*  803672 */     GIR_EraseRootFromParent_Done,
     /*  803673 */   // Label 12509: @803673
     /*  803673 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(803748), // Rule ID 61005 //
     /*  803678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  803727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803746 */     GIR_RootConstrainSelectedInstOperands,
     /*  803747 */     // GIR_Coverage, 61005,
     /*  803747 */     GIR_EraseRootFromParent_Done,
     /*  803748 */   // Label 12510: @803748
     /*  803748 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(803823), // Rule ID 61008 //
     /*  803753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  803802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803821 */     GIR_RootConstrainSelectedInstOperands,
     /*  803822 */     // GIR_Coverage, 61008,
     /*  803822 */     GIR_EraseRootFromParent_Done,
     /*  803823 */   // Label 12511: @803823
     /*  803823 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(803898), // Rule ID 61009 //
     /*  803828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  803877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803896 */     GIR_RootConstrainSelectedInstOperands,
     /*  803897 */     // GIR_Coverage, 61009,
     /*  803897 */     GIR_EraseRootFromParent_Done,
     /*  803898 */   // Label 12512: @803898
     /*  803898 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(803973), // Rule ID 61012 //
     /*  803903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803949 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  803952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803971 */     GIR_RootConstrainSelectedInstOperands,
     /*  803972 */     // GIR_Coverage, 61012,
     /*  803972 */     GIR_EraseRootFromParent_Done,
     /*  803973 */   // Label 12513: @803973
     /*  803973 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(804048), // Rule ID 61013 //
     /*  803978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  804017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  804027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804046 */     GIR_RootConstrainSelectedInstOperands,
     /*  804047 */     // GIR_Coverage, 61013,
     /*  804047 */     GIR_EraseRootFromParent_Done,
     /*  804048 */   // Label 12514: @804048
     /*  804048 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(804123), // Rule ID 61100 //
     /*  804053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  804064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  804067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  804070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  804073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  804102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804121 */     GIR_RootConstrainSelectedInstOperands,
     /*  804122 */     // GIR_Coverage, 61100,
     /*  804122 */     GIR_EraseRootFromParent_Done,
     /*  804123 */   // Label 12515: @804123
     /*  804123 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(804198), // Rule ID 61101 //
     /*  804128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  804139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  804142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  804145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  804148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  804177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804196 */     GIR_RootConstrainSelectedInstOperands,
     /*  804197 */     // GIR_Coverage, 61101,
     /*  804197 */     GIR_EraseRootFromParent_Done,
     /*  804198 */   // Label 12516: @804198
     /*  804198 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(804273), // Rule ID 61104 //
     /*  804203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  804214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  804217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  804220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  804223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804249 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  804252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804271 */     GIR_RootConstrainSelectedInstOperands,
     /*  804272 */     // GIR_Coverage, 61104,
     /*  804272 */     GIR_EraseRootFromParent_Done,
     /*  804273 */   // Label 12517: @804273
     /*  804273 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(804348), // Rule ID 61105 //
     /*  804278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  804289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  804292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  804295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  804298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804324 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  804327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804346 */     GIR_RootConstrainSelectedInstOperands,
     /*  804347 */     // GIR_Coverage, 61105,
     /*  804347 */     GIR_EraseRootFromParent_Done,
     /*  804348 */   // Label 12518: @804348
     /*  804348 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(804423), // Rule ID 61108 //
     /*  804353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  804364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  804367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  804370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  804373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804399 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804421 */     GIR_RootConstrainSelectedInstOperands,
     /*  804422 */     // GIR_Coverage, 61108,
     /*  804422 */     GIR_EraseRootFromParent_Done,
     /*  804423 */   // Label 12519: @804423
     /*  804423 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(804498), // Rule ID 61109 //
     /*  804428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  804439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  804442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  804445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  804448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804496 */     GIR_RootConstrainSelectedInstOperands,
     /*  804497 */     // GIR_Coverage, 61109,
     /*  804497 */     GIR_EraseRootFromParent_Done,
     /*  804498 */   // Label 12520: @804498
     /*  804498 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(804573), // Rule ID 61112 //
     /*  804503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  804514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  804517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  804523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  804552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804571 */     GIR_RootConstrainSelectedInstOperands,
     /*  804572 */     // GIR_Coverage, 61112,
     /*  804572 */     GIR_EraseRootFromParent_Done,
     /*  804573 */   // Label 12521: @804573
     /*  804573 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(804648), // Rule ID 61113 //
     /*  804578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  804589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  804592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  804598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  804627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804646 */     GIR_RootConstrainSelectedInstOperands,
     /*  804647 */     // GIR_Coverage, 61113,
     /*  804647 */     GIR_EraseRootFromParent_Done,
     /*  804648 */   // Label 12522: @804648
     /*  804648 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(804723), // Rule ID 61116 //
     /*  804653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  804673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804699 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804721 */     GIR_RootConstrainSelectedInstOperands,
     /*  804722 */     // GIR_Coverage, 61116,
     /*  804722 */     GIR_EraseRootFromParent_Done,
     /*  804723 */   // Label 12523: @804723
     /*  804723 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(804798), // Rule ID 61117 //
     /*  804728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  804748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804796 */     GIR_RootConstrainSelectedInstOperands,
     /*  804797 */     // GIR_Coverage, 61117,
     /*  804797 */     GIR_EraseRootFromParent_Done,
     /*  804798 */   // Label 12524: @804798
     /*  804798 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(804873), // Rule ID 61120 //
     /*  804803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  804823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804849 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804871 */     GIR_RootConstrainSelectedInstOperands,
     /*  804872 */     // GIR_Coverage, 61120,
     /*  804872 */     GIR_EraseRootFromParent_Done,
     /*  804873 */   // Label 12525: @804873
     /*  804873 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(804948), // Rule ID 61121 //
     /*  804878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  804898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  804927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804946 */     GIR_RootConstrainSelectedInstOperands,
     /*  804947 */     // GIR_Coverage, 61121,
     /*  804947 */     GIR_EraseRootFromParent_Done,
     /*  804948 */   // Label 12526: @804948
     /*  804948 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(805023), // Rule ID 61124 //
     /*  804953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  804961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  804970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804999 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805021 */     GIR_RootConstrainSelectedInstOperands,
     /*  805022 */     // GIR_Coverage, 61124,
     /*  805022 */     GIR_EraseRootFromParent_Done,
     /*  805023 */   // Label 12527: @805023
     /*  805023 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(805098), // Rule ID 61125 //
     /*  805028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  805045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805096 */     GIR_RootConstrainSelectedInstOperands,
     /*  805097 */     // GIR_Coverage, 61125,
     /*  805097 */     GIR_EraseRootFromParent_Done,
     /*  805098 */   // Label 12528: @805098
     /*  805098 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(805173), // Rule ID 61128 //
     /*  805103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805171 */     GIR_RootConstrainSelectedInstOperands,
     /*  805172 */     // GIR_Coverage, 61128,
     /*  805172 */     GIR_EraseRootFromParent_Done,
     /*  805173 */   // Label 12529: @805173
     /*  805173 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(805248), // Rule ID 61129 //
     /*  805178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805246 */     GIR_RootConstrainSelectedInstOperands,
     /*  805247 */     // GIR_Coverage, 61129,
     /*  805247 */     GIR_EraseRootFromParent_Done,
     /*  805248 */   // Label 12530: @805248
     /*  805248 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(805323), // Rule ID 61132 //
     /*  805253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  805270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805321 */     GIR_RootConstrainSelectedInstOperands,
     /*  805322 */     // GIR_Coverage, 61132,
     /*  805322 */     GIR_EraseRootFromParent_Done,
     /*  805323 */   // Label 12531: @805323
     /*  805323 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(805398), // Rule ID 61133 //
     /*  805328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  805345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805396 */     GIR_RootConstrainSelectedInstOperands,
     /*  805397 */     // GIR_Coverage, 61133,
     /*  805397 */     GIR_EraseRootFromParent_Done,
     /*  805398 */   // Label 12532: @805398
     /*  805398 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(805473), // Rule ID 61136 //
     /*  805403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  805420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805471 */     GIR_RootConstrainSelectedInstOperands,
     /*  805472 */     // GIR_Coverage, 61136,
     /*  805472 */     GIR_EraseRootFromParent_Done,
     /*  805473 */   // Label 12533: @805473
     /*  805473 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(805548), // Rule ID 61137 //
     /*  805478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  805495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  805527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805546 */     GIR_RootConstrainSelectedInstOperands,
     /*  805547 */     // GIR_Coverage, 61137,
     /*  805547 */     GIR_EraseRootFromParent_Done,
     /*  805548 */   // Label 12534: @805548
     /*  805548 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(805623), // Rule ID 61140 //
     /*  805553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  805564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  805567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  805570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  805573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  805602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805621 */     GIR_RootConstrainSelectedInstOperands,
     /*  805622 */     // GIR_Coverage, 61140,
     /*  805622 */     GIR_EraseRootFromParent_Done,
     /*  805623 */   // Label 12535: @805623
     /*  805623 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(805698), // Rule ID 61141 //
     /*  805628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  805639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  805642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  805645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  805648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  805677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805696 */     GIR_RootConstrainSelectedInstOperands,
     /*  805697 */     // GIR_Coverage, 61141,
     /*  805697 */     GIR_EraseRootFromParent_Done,
     /*  805698 */   // Label 12536: @805698
     /*  805698 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(805773), // Rule ID 61144 //
     /*  805703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  805714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  805717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  805723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805749 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  805752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805771 */     GIR_RootConstrainSelectedInstOperands,
     /*  805772 */     // GIR_Coverage, 61144,
     /*  805772 */     GIR_EraseRootFromParent_Done,
     /*  805773 */   // Label 12537: @805773
     /*  805773 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(805848), // Rule ID 61145 //
     /*  805778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  805789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  805792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  805798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805824 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  805827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805846 */     GIR_RootConstrainSelectedInstOperands,
     /*  805847 */     // GIR_Coverage, 61145,
     /*  805847 */     GIR_EraseRootFromParent_Done,
     /*  805848 */   // Label 12538: @805848
     /*  805848 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(805923), // Rule ID 61148 //
     /*  805853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  805864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  805867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  805873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  805902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805921 */     GIR_RootConstrainSelectedInstOperands,
     /*  805922 */     // GIR_Coverage, 61148,
     /*  805922 */     GIR_EraseRootFromParent_Done,
     /*  805923 */   // Label 12539: @805923
     /*  805923 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(805998), // Rule ID 61149 //
     /*  805928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  805936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  805939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  805942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  805948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  805977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805996 */     GIR_RootConstrainSelectedInstOperands,
     /*  805997 */     // GIR_Coverage, 61149,
     /*  805997 */     GIR_EraseRootFromParent_Done,
     /*  805998 */   // Label 12540: @805998
     /*  805998 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(806073), // Rule ID 61152 //
     /*  806003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  806052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806071 */     GIR_RootConstrainSelectedInstOperands,
     /*  806072 */     // GIR_Coverage, 61152,
     /*  806072 */     GIR_EraseRootFromParent_Done,
     /*  806073 */   // Label 12541: @806073
     /*  806073 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(806148), // Rule ID 61153 //
     /*  806078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  806098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  806127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806146 */     GIR_RootConstrainSelectedInstOperands,
     /*  806147 */     // GIR_Coverage, 61153,
     /*  806147 */     GIR_EraseRootFromParent_Done,
     /*  806148 */   // Label 12542: @806148
     /*  806148 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(806223), // Rule ID 61156 //
     /*  806153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806199 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  806202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806221 */     GIR_RootConstrainSelectedInstOperands,
     /*  806222 */     // GIR_Coverage, 61156,
     /*  806222 */     GIR_EraseRootFromParent_Done,
     /*  806223 */   // Label 12543: @806223
     /*  806223 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(806298), // Rule ID 61157 //
     /*  806228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  806239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  806242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  806248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  806277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806296 */     GIR_RootConstrainSelectedInstOperands,
     /*  806297 */     // GIR_Coverage, 61157,
     /*  806297 */     GIR_EraseRootFromParent_Done,
     /*  806298 */   // Label 12544: @806298
     /*  806298 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(806373), // Rule ID 61160 //
     /*  806303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806349 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  806352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806371 */     GIR_RootConstrainSelectedInstOperands,
     /*  806372 */     // GIR_Coverage, 61160,
     /*  806372 */     GIR_EraseRootFromParent_Done,
     /*  806373 */   // Label 12545: @806373
     /*  806373 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(806448), // Rule ID 61161 //
     /*  806378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  806389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  806392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  806398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  806427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806446 */     GIR_RootConstrainSelectedInstOperands,
     /*  806447 */     // GIR_Coverage, 61161,
     /*  806447 */     GIR_EraseRootFromParent_Done,
     /*  806448 */   // Label 12546: @806448
     /*  806448 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(806523), // Rule ID 61164 //
     /*  806453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  806464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  806467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  806473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  806502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806521 */     GIR_RootConstrainSelectedInstOperands,
     /*  806522 */     // GIR_Coverage, 61164,
     /*  806522 */     GIR_EraseRootFromParent_Done,
     /*  806523 */   // Label 12547: @806523
     /*  806523 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(806598), // Rule ID 61165 //
     /*  806528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  806539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  806542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  806548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  806577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806596 */     GIR_RootConstrainSelectedInstOperands,
     /*  806597 */     // GIR_Coverage, 61165,
     /*  806597 */     GIR_EraseRootFromParent_Done,
     /*  806598 */   // Label 12548: @806598
     /*  806598 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(806673), // Rule ID 61168 //
     /*  806603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  806652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806671 */     GIR_RootConstrainSelectedInstOperands,
     /*  806672 */     // GIR_Coverage, 61168,
     /*  806672 */     GIR_EraseRootFromParent_Done,
     /*  806673 */   // Label 12549: @806673
     /*  806673 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(806748), // Rule ID 61169 //
     /*  806678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  806727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806746 */     GIR_RootConstrainSelectedInstOperands,
     /*  806747 */     // GIR_Coverage, 61169,
     /*  806747 */     GIR_EraseRootFromParent_Done,
     /*  806748 */   // Label 12550: @806748
     /*  806748 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(806823), // Rule ID 61172 //
     /*  806753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  806764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  806767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  806773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  806802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806821 */     GIR_RootConstrainSelectedInstOperands,
     /*  806822 */     // GIR_Coverage, 61172,
     /*  806822 */     GIR_EraseRootFromParent_Done,
     /*  806823 */   // Label 12551: @806823
     /*  806823 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(806898), // Rule ID 61173 //
     /*  806828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  806839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  806842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  806848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  806877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806896 */     GIR_RootConstrainSelectedInstOperands,
     /*  806897 */     // GIR_Coverage, 61173,
     /*  806897 */     GIR_EraseRootFromParent_Done,
     /*  806898 */   // Label 12552: @806898
     /*  806898 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(806973), // Rule ID 61176 //
     /*  806903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  806914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  806917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  806923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  806952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806971 */     GIR_RootConstrainSelectedInstOperands,
     /*  806972 */     // GIR_Coverage, 61176,
     /*  806972 */     GIR_EraseRootFromParent_Done,
     /*  806973 */   // Label 12553: @806973
     /*  806973 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(807048), // Rule ID 61177 //
     /*  806978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  806986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  806989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  806992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  806998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  807027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807046 */     GIR_RootConstrainSelectedInstOperands,
     /*  807047 */     // GIR_Coverage, 61177,
     /*  807047 */     GIR_EraseRootFromParent_Done,
     /*  807048 */   // Label 12554: @807048
     /*  807048 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(807123), // Rule ID 61180 //
     /*  807053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  807102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807121 */     GIR_RootConstrainSelectedInstOperands,
     /*  807122 */     // GIR_Coverage, 61180,
     /*  807122 */     GIR_EraseRootFromParent_Done,
     /*  807123 */   // Label 12555: @807123
     /*  807123 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(807198), // Rule ID 61181 //
     /*  807128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  807139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  807142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  807148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  807177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807196 */     GIR_RootConstrainSelectedInstOperands,
     /*  807197 */     // GIR_Coverage, 61181,
     /*  807197 */     GIR_EraseRootFromParent_Done,
     /*  807198 */   // Label 12556: @807198
     /*  807198 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(807273), // Rule ID 61184 //
     /*  807203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807249 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  807252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807271 */     GIR_RootConstrainSelectedInstOperands,
     /*  807272 */     // GIR_Coverage, 61184,
     /*  807272 */     GIR_EraseRootFromParent_Done,
     /*  807273 */   // Label 12557: @807273
     /*  807273 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(807348), // Rule ID 61185 //
     /*  807278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  807289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  807292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  807298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  807327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807346 */     GIR_RootConstrainSelectedInstOperands,
     /*  807347 */     // GIR_Coverage, 61185,
     /*  807347 */     GIR_EraseRootFromParent_Done,
     /*  807348 */   // Label 12558: @807348
     /*  807348 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(807423), // Rule ID 61188 //
     /*  807353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  807364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  807367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  807370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  807402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807421 */     GIR_RootConstrainSelectedInstOperands,
     /*  807422 */     // GIR_Coverage, 61188,
     /*  807422 */     GIR_EraseRootFromParent_Done,
     /*  807423 */   // Label 12559: @807423
     /*  807423 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(807498), // Rule ID 61189 //
     /*  807428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  807439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  807442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  807445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807474 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  807477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807496 */     GIR_RootConstrainSelectedInstOperands,
     /*  807497 */     // GIR_Coverage, 61189,
     /*  807497 */     GIR_EraseRootFromParent_Done,
     /*  807498 */   // Label 12560: @807498
     /*  807498 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(807573), // Rule ID 61192 //
     /*  807503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  807514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  807517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  807520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  807552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807571 */     GIR_RootConstrainSelectedInstOperands,
     /*  807572 */     // GIR_Coverage, 61192,
     /*  807572 */     GIR_EraseRootFromParent_Done,
     /*  807573 */   // Label 12561: @807573
     /*  807573 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(807648), // Rule ID 61193 //
     /*  807578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  807589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  807592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  807595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  807627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807646 */     GIR_RootConstrainSelectedInstOperands,
     /*  807647 */     // GIR_Coverage, 61193,
     /*  807647 */     GIR_EraseRootFromParent_Done,
     /*  807648 */   // Label 12562: @807648
     /*  807648 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(807723), // Rule ID 61196 //
     /*  807653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  807664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  807667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  807702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807721 */     GIR_RootConstrainSelectedInstOperands,
     /*  807722 */     // GIR_Coverage, 61196,
     /*  807722 */     GIR_EraseRootFromParent_Done,
     /*  807723 */   // Label 12563: @807723
     /*  807723 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(807798), // Rule ID 61197 //
     /*  807728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  807739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  807742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  807777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807796 */     GIR_RootConstrainSelectedInstOperands,
     /*  807797 */     // GIR_Coverage, 61197,
     /*  807797 */     GIR_EraseRootFromParent_Done,
     /*  807798 */   // Label 12564: @807798
     /*  807798 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(807873), // Rule ID 61200 //
     /*  807803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  807852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807871 */     GIR_RootConstrainSelectedInstOperands,
     /*  807872 */     // GIR_Coverage, 61200,
     /*  807872 */     GIR_EraseRootFromParent_Done,
     /*  807873 */   // Label 12565: @807873
     /*  807873 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(807948), // Rule ID 61201 //
     /*  807878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  807927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807946 */     GIR_RootConstrainSelectedInstOperands,
     /*  807947 */     // GIR_Coverage, 61201,
     /*  807947 */     GIR_EraseRootFromParent_Done,
     /*  807948 */   // Label 12566: @807948
     /*  807948 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(808023), // Rule ID 61204 //
     /*  807953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  807961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  807964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  807967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807999 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  808002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808021 */     GIR_RootConstrainSelectedInstOperands,
     /*  808022 */     // GIR_Coverage, 61204,
     /*  808022 */     GIR_EraseRootFromParent_Done,
     /*  808023 */   // Label 12567: @808023
     /*  808023 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(808098), // Rule ID 61205 //
     /*  808028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  808039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  808042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  808045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  808077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808096 */     GIR_RootConstrainSelectedInstOperands,
     /*  808097 */     // GIR_Coverage, 61205,
     /*  808097 */     GIR_EraseRootFromParent_Done,
     /*  808098 */   // Label 12568: @808098
     /*  808098 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(808173), // Rule ID 61208 //
     /*  808103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  808152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808171 */     GIR_RootConstrainSelectedInstOperands,
     /*  808172 */     // GIR_Coverage, 61208,
     /*  808172 */     GIR_EraseRootFromParent_Done,
     /*  808173 */   // Label 12569: @808173
     /*  808173 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(808248), // Rule ID 61209 //
     /*  808178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  808227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808246 */     GIR_RootConstrainSelectedInstOperands,
     /*  808247 */     // GIR_Coverage, 61209,
     /*  808247 */     GIR_EraseRootFromParent_Done,
     /*  808248 */   // Label 12570: @808248
     /*  808248 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(808323), // Rule ID 61212 //
     /*  808253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  808270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808321 */     GIR_RootConstrainSelectedInstOperands,
     /*  808322 */     // GIR_Coverage, 61212,
     /*  808322 */     GIR_EraseRootFromParent_Done,
     /*  808323 */   // Label 12571: @808323
     /*  808323 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(808398), // Rule ID 61213 //
     /*  808328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  808345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808396 */     GIR_RootConstrainSelectedInstOperands,
     /*  808397 */     // GIR_Coverage, 61213,
     /*  808397 */     GIR_EraseRootFromParent_Done,
     /*  808398 */   // Label 12572: @808398
     /*  808398 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(808473), // Rule ID 61216 //
     /*  808403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808471 */     GIR_RootConstrainSelectedInstOperands,
     /*  808472 */     // GIR_Coverage, 61216,
     /*  808472 */     GIR_EraseRootFromParent_Done,
     /*  808473 */   // Label 12573: @808473
     /*  808473 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(808548), // Rule ID 61217 //
     /*  808478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808546 */     GIR_RootConstrainSelectedInstOperands,
     /*  808547 */     // GIR_Coverage, 61217,
     /*  808547 */     GIR_EraseRootFromParent_Done,
     /*  808548 */   // Label 12574: @808548
     /*  808548 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(808623), // Rule ID 61220 //
     /*  808553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808621 */     GIR_RootConstrainSelectedInstOperands,
     /*  808622 */     // GIR_Coverage, 61220,
     /*  808622 */     GIR_EraseRootFromParent_Done,
     /*  808623 */   // Label 12575: @808623
     /*  808623 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(808698), // Rule ID 61221 //
     /*  808628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808696 */     GIR_RootConstrainSelectedInstOperands,
     /*  808697 */     // GIR_Coverage, 61221,
     /*  808697 */     GIR_EraseRootFromParent_Done,
     /*  808698 */   // Label 12576: @808698
     /*  808698 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(808773), // Rule ID 61224 //
     /*  808703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808771 */     GIR_RootConstrainSelectedInstOperands,
     /*  808772 */     // GIR_Coverage, 61224,
     /*  808772 */     GIR_EraseRootFromParent_Done,
     /*  808773 */   // Label 12577: @808773
     /*  808773 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(808848), // Rule ID 61225 //
     /*  808778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  808827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808846 */     GIR_RootConstrainSelectedInstOperands,
     /*  808847 */     // GIR_Coverage, 61225,
     /*  808847 */     GIR_EraseRootFromParent_Done,
     /*  808848 */   // Label 12578: @808848
     /*  808848 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(808923), // Rule ID 61228 //
     /*  808853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  808864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  808867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  808902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808921 */     GIR_RootConstrainSelectedInstOperands,
     /*  808922 */     // GIR_Coverage, 61228,
     /*  808922 */     GIR_EraseRootFromParent_Done,
     /*  808923 */   // Label 12579: @808923
     /*  808923 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(808998), // Rule ID 61229 //
     /*  808928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  808936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  808939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  808942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808974 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  808977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808996 */     GIR_RootConstrainSelectedInstOperands,
     /*  808997 */     // GIR_Coverage, 61229,
     /*  808997 */     GIR_EraseRootFromParent_Done,
     /*  808998 */   // Label 12580: @808998
     /*  808998 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(809073), // Rule ID 61232 //
     /*  809003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  809014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  809017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  809020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809049 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  809052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809071 */     GIR_RootConstrainSelectedInstOperands,
     /*  809072 */     // GIR_Coverage, 61232,
     /*  809072 */     GIR_EraseRootFromParent_Done,
     /*  809073 */   // Label 12581: @809073
     /*  809073 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(809148), // Rule ID 61233 //
     /*  809078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  809089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  809092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  809095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  809127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809146 */     GIR_RootConstrainSelectedInstOperands,
     /*  809147 */     // GIR_Coverage, 61233,
     /*  809147 */     GIR_EraseRootFromParent_Done,
     /*  809148 */   // Label 12582: @809148
     /*  809148 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(809223), // Rule ID 61236 //
     /*  809153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  809164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  809167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  809170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809199 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  809202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809221 */     GIR_RootConstrainSelectedInstOperands,
     /*  809222 */     // GIR_Coverage, 61236,
     /*  809222 */     GIR_EraseRootFromParent_Done,
     /*  809223 */   // Label 12583: @809223
     /*  809223 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(809298), // Rule ID 61237 //
     /*  809228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  809239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  809242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  809245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  809277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809296 */     GIR_RootConstrainSelectedInstOperands,
     /*  809297 */     // GIR_Coverage, 61237,
     /*  809297 */     GIR_EraseRootFromParent_Done,
     /*  809298 */   // Label 12584: @809298
     /*  809298 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(809373), // Rule ID 61240 //
     /*  809303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  809314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  809317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  809352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809371 */     GIR_RootConstrainSelectedInstOperands,
     /*  809372 */     // GIR_Coverage, 61240,
     /*  809372 */     GIR_EraseRootFromParent_Done,
     /*  809373 */   // Label 12585: @809373
     /*  809373 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(809448), // Rule ID 61241 //
     /*  809378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  809389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  809392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  809427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809446 */     GIR_RootConstrainSelectedInstOperands,
     /*  809447 */     // GIR_Coverage, 61241,
     /*  809447 */     GIR_EraseRootFromParent_Done,
     /*  809448 */   // Label 12586: @809448
     /*  809448 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(809523), // Rule ID 61244 //
     /*  809453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  809464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  809467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  809502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809521 */     GIR_RootConstrainSelectedInstOperands,
     /*  809522 */     // GIR_Coverage, 61244,
     /*  809522 */     GIR_EraseRootFromParent_Done,
     /*  809523 */   // Label 12587: @809523
     /*  809523 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(809598), // Rule ID 61245 //
     /*  809528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  809539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  809542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  809577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809596 */     GIR_RootConstrainSelectedInstOperands,
     /*  809597 */     // GIR_Coverage, 61245,
     /*  809597 */     GIR_EraseRootFromParent_Done,
     /*  809598 */   // Label 12588: @809598
     /*  809598 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(809673), // Rule ID 61248 //
     /*  809603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  809652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809671 */     GIR_RootConstrainSelectedInstOperands,
     /*  809672 */     // GIR_Coverage, 61248,
     /*  809672 */     GIR_EraseRootFromParent_Done,
     /*  809673 */   // Label 12589: @809673
     /*  809673 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(809748), // Rule ID 61249 //
     /*  809678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  809727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809746 */     GIR_RootConstrainSelectedInstOperands,
     /*  809747 */     // GIR_Coverage, 61249,
     /*  809747 */     GIR_EraseRootFromParent_Done,
     /*  809748 */   // Label 12590: @809748
     /*  809748 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(809823), // Rule ID 61252 //
     /*  809753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  809802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809821 */     GIR_RootConstrainSelectedInstOperands,
     /*  809822 */     // GIR_Coverage, 61252,
     /*  809822 */     GIR_EraseRootFromParent_Done,
     /*  809823 */   // Label 12591: @809823
     /*  809823 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(809898), // Rule ID 61253 //
     /*  809828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  809877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809896 */     GIR_RootConstrainSelectedInstOperands,
     /*  809897 */     // GIR_Coverage, 61253,
     /*  809897 */     GIR_EraseRootFromParent_Done,
     /*  809898 */   // Label 12592: @809898
     /*  809898 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(809973), // Rule ID 61256 //
     /*  809903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  809952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809971 */     GIR_RootConstrainSelectedInstOperands,
     /*  809972 */     // GIR_Coverage, 61256,
     /*  809972 */     GIR_EraseRootFromParent_Done,
     /*  809973 */   // Label 12593: @809973
     /*  809973 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(810048), // Rule ID 61257 //
     /*  809978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  809986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  810027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810046 */     GIR_RootConstrainSelectedInstOperands,
     /*  810047 */     // GIR_Coverage, 61257,
     /*  810047 */     GIR_EraseRootFromParent_Done,
     /*  810048 */   // Label 12594: @810048
     /*  810048 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(810123), // Rule ID 61260 //
     /*  810053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  810064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  810067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  810070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  810102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810121 */     GIR_RootConstrainSelectedInstOperands,
     /*  810122 */     // GIR_Coverage, 61260,
     /*  810122 */     GIR_EraseRootFromParent_Done,
     /*  810123 */   // Label 12595: @810123
     /*  810123 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(810198), // Rule ID 61261 //
     /*  810128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  810139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  810142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  810145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  810177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810196 */     GIR_RootConstrainSelectedInstOperands,
     /*  810197 */     // GIR_Coverage, 61261,
     /*  810197 */     GIR_EraseRootFromParent_Done,
     /*  810198 */   // Label 12596: @810198
     /*  810198 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(810273), // Rule ID 61264 //
     /*  810203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  810214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  810217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  810252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810271 */     GIR_RootConstrainSelectedInstOperands,
     /*  810272 */     // GIR_Coverage, 61264,
     /*  810272 */     GIR_EraseRootFromParent_Done,
     /*  810273 */   // Label 12597: @810273
     /*  810273 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(810348), // Rule ID 61265 //
     /*  810278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  810289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  810292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  810327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810346 */     GIR_RootConstrainSelectedInstOperands,
     /*  810347 */     // GIR_Coverage, 61265,
     /*  810347 */     GIR_EraseRootFromParent_Done,
     /*  810348 */   // Label 12598: @810348
     /*  810348 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(810423), // Rule ID 61268 //
     /*  810353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  810364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  810367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810399 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  810402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810421 */     GIR_RootConstrainSelectedInstOperands,
     /*  810422 */     // GIR_Coverage, 61268,
     /*  810422 */     GIR_EraseRootFromParent_Done,
     /*  810423 */   // Label 12599: @810423
     /*  810423 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(810498), // Rule ID 61269 //
     /*  810428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  810439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  810442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  810477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810496 */     GIR_RootConstrainSelectedInstOperands,
     /*  810497 */     // GIR_Coverage, 61269,
     /*  810497 */     GIR_EraseRootFromParent_Done,
     /*  810498 */   // Label 12600: @810498
     /*  810498 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(810573), // Rule ID 61272 //
     /*  810503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  810552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810571 */     GIR_RootConstrainSelectedInstOperands,
     /*  810572 */     // GIR_Coverage, 61272,
     /*  810572 */     GIR_EraseRootFromParent_Done,
     /*  810573 */   // Label 12601: @810573
     /*  810573 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(810648), // Rule ID 61273 //
     /*  810578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  810627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810646 */     GIR_RootConstrainSelectedInstOperands,
     /*  810647 */     // GIR_Coverage, 61273,
     /*  810647 */     GIR_EraseRootFromParent_Done,
     /*  810648 */   // Label 12602: @810648
     /*  810648 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(810723), // Rule ID 61716 //
     /*  810653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  810656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  810661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  810702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810721 */     GIR_RootConstrainSelectedInstOperands,
     /*  810722 */     // GIR_Coverage, 61716,
     /*  810722 */     GIR_EraseRootFromParent_Done,
     /*  810723 */   // Label 12603: @810723
     /*  810723 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(810798), // Rule ID 61717 //
     /*  810728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  810731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  810736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  810777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810796 */     GIR_RootConstrainSelectedInstOperands,
     /*  810797 */     // GIR_Coverage, 61717,
     /*  810797 */     GIR_EraseRootFromParent_Done,
     /*  810798 */   // Label 12604: @810798
     /*  810798 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(810873), // Rule ID 61718 //
     /*  810803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  810806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  810811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  810814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  810817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  810820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  810823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  810852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810871 */     GIR_RootConstrainSelectedInstOperands,
     /*  810872 */     // GIR_Coverage, 61718,
     /*  810872 */     GIR_EraseRootFromParent_Done,
     /*  810873 */   // Label 12605: @810873
     /*  810873 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(810948), // Rule ID 61719 //
     /*  810878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  810881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  810886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  810889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  810892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  810895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  810898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  810927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810946 */     GIR_RootConstrainSelectedInstOperands,
     /*  810947 */     // GIR_Coverage, 61719,
     /*  810947 */     GIR_EraseRootFromParent_Done,
     /*  810948 */   // Label 12606: @810948
     /*  810948 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(811023), // Rule ID 61720 //
     /*  810953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  810956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  810961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  810964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  810967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  810970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  810973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  811002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811021 */     GIR_RootConstrainSelectedInstOperands,
     /*  811022 */     // GIR_Coverage, 61720,
     /*  811022 */     GIR_EraseRootFromParent_Done,
     /*  811023 */   // Label 12607: @811023
     /*  811023 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(811098), // Rule ID 61721 //
     /*  811028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  811031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  811036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  811039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  811042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  811048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  811077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811096 */     GIR_RootConstrainSelectedInstOperands,
     /*  811097 */     // GIR_Coverage, 61721,
     /*  811097 */     GIR_EraseRootFromParent_Done,
     /*  811098 */   // Label 12608: @811098
     /*  811098 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(811173), // Rule ID 61722 //
     /*  811103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  811106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  811111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  811114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  811117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  811123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  811152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811171 */     GIR_RootConstrainSelectedInstOperands,
     /*  811172 */     // GIR_Coverage, 61722,
     /*  811172 */     GIR_EraseRootFromParent_Done,
     /*  811173 */   // Label 12609: @811173
     /*  811173 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(811248), // Rule ID 61723 //
     /*  811178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  811181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  811186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  811189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  811192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  811198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  811227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811246 */     GIR_RootConstrainSelectedInstOperands,
     /*  811247 */     // GIR_Coverage, 61723,
     /*  811247 */     GIR_EraseRootFromParent_Done,
     /*  811248 */   // Label 12610: @811248
     /*  811248 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(811312), // Rule ID 63831 //
     /*  811253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  811261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811289 */     // MIs[0] imm5
     /*  811289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811297 */     // (intrinsic_wo_chain:{ *:[i32] } 10660:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  811300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811308 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811310 */     GIR_RootConstrainSelectedInstOperands,
     /*  811311 */     // GIR_Coverage, 63831,
     /*  811311 */     GIR_EraseRootFromParent_Done,
     /*  811312 */   // Label 12611: @811312
     /*  811312 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(811376), // Rule ID 63832 //
     /*  811317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  811325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811353 */     // MIs[0] imm5
     /*  811353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811361 */     // (intrinsic_wo_chain:{ *:[i32] } 10656:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  811364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811372 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811374 */     GIR_RootConstrainSelectedInstOperands,
     /*  811375 */     // GIR_Coverage, 63832,
     /*  811375 */     GIR_EraseRootFromParent_Done,
     /*  811376 */   // Label 12612: @811376
     /*  811376 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(811440), // Rule ID 63833 //
     /*  811381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  811389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811417 */     // MIs[0] imm5
     /*  811417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811425 */     // (intrinsic_wo_chain:{ *:[i32] } 10658:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  811428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811436 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811438 */     GIR_RootConstrainSelectedInstOperands,
     /*  811439 */     // GIR_Coverage, 63833,
     /*  811439 */     GIR_EraseRootFromParent_Done,
     /*  811440 */   // Label 12613: @811440
     /*  811440 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(811504), // Rule ID 63834 //
     /*  811445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  811453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811481 */     // MIs[0] imm5
     /*  811481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811489 */     // (intrinsic_wo_chain:{ *:[i32] } 10654:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  811492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811500 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811502 */     GIR_RootConstrainSelectedInstOperands,
     /*  811503 */     // GIR_Coverage, 63834,
     /*  811503 */     GIR_EraseRootFromParent_Done,
     /*  811504 */   // Label 12614: @811504
     /*  811504 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(811568), // Rule ID 63835 //
     /*  811509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  811517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811545 */     // MIs[0] imm5
     /*  811545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811553 */     // (intrinsic_wo_chain:{ *:[i32] } 10661:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  811556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811564 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811566 */     GIR_RootConstrainSelectedInstOperands,
     /*  811567 */     // GIR_Coverage, 63835,
     /*  811567 */     GIR_EraseRootFromParent_Done,
     /*  811568 */   // Label 12615: @811568
     /*  811568 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(811632), // Rule ID 63836 //
     /*  811573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  811581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811609 */     // MIs[0] imm5
     /*  811609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811617 */     // (intrinsic_wo_chain:{ *:[i32] } 10657:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  811620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811628 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811630 */     GIR_RootConstrainSelectedInstOperands,
     /*  811631 */     // GIR_Coverage, 63836,
     /*  811631 */     GIR_EraseRootFromParent_Done,
     /*  811632 */   // Label 12616: @811632
     /*  811632 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(811696), // Rule ID 63837 //
     /*  811637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  811645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811673 */     // MIs[0] imm5
     /*  811673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811681 */     // (intrinsic_wo_chain:{ *:[i32] } 10659:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  811684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811692 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811694 */     GIR_RootConstrainSelectedInstOperands,
     /*  811695 */     // GIR_Coverage, 63837,
     /*  811695 */     GIR_EraseRootFromParent_Done,
     /*  811696 */   // Label 12617: @811696
     /*  811696 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(811760), // Rule ID 63838 //
     /*  811701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  811704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  811709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  811712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  811715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  811718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  811721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  811737 */     // MIs[0] imm5
     /*  811737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  811745 */     // (intrinsic_wo_chain:{ *:[i32] } 10655:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  811745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  811748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  811750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  811752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  811754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  811756 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  811758 */     GIR_RootConstrainSelectedInstOperands,
     /*  811759 */     // GIR_Coverage, 63838,
     /*  811759 */     GIR_EraseRootFromParent_Done,
     /*  811760 */   // Label 12618: @811760
     /*  811760 */   GIM_Reject,
     /*  811761 */ // Label 5772: @811761
     /*  811761 */ GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(1296986),
     /*  811766 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  811769 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(811852), // Rule ID 62167 //
     /*  811774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  811777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  811782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  811785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  811791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  811794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811798 */     // MIs[0] op1
     /*  811798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  811801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  811806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811814 */     // MIs[0] op4
     /*  811814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  811822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811829 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  811829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  811832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  811836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  811838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  811840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  811842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811850 */     GIR_RootConstrainSelectedInstOperands,
     /*  811851 */     // GIR_Coverage, 62167,
     /*  811851 */     GIR_EraseRootFromParent_Done,
     /*  811852 */   // Label 12620: @811852
     /*  811852 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(811935), // Rule ID 62168 //
     /*  811857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  811860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  811865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  811868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  811871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  811874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  811877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811881 */     // MIs[0] op1
     /*  811881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  811884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  811889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811897 */     // MIs[0] op4
     /*  811897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  811905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  811912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  811915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  811919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  811921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  811923 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  811925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811933 */     GIR_RootConstrainSelectedInstOperands,
     /*  811934 */     // GIR_Coverage, 62168,
     /*  811934 */     GIR_EraseRootFromParent_Done,
     /*  811935 */   // Label 12621: @811935
     /*  811935 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(812018), // Rule ID 62211 //
     /*  811940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  811943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  811948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  811951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  811954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  811957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  811960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811964 */     // MIs[0] op1
     /*  811964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  811967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  811972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811980 */     // MIs[0] op4
     /*  811980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  811983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  811988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811995 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  811995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  811998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812000 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812002 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812004 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812006 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812016 */     GIR_RootConstrainSelectedInstOperands,
     /*  812017 */     // GIR_Coverage, 62211,
     /*  812017 */     GIR_EraseRootFromParent_Done,
     /*  812018 */   // Label 12622: @812018
     /*  812018 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(812101), // Rule ID 62212 //
     /*  812023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  812034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  812040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812047 */     // MIs[0] op1
     /*  812047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812063 */     // MIs[0] op4
     /*  812063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  812078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  812081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812099 */     GIR_RootConstrainSelectedInstOperands,
     /*  812100 */     // GIR_Coverage, 62212,
     /*  812100 */     GIR_EraseRootFromParent_Done,
     /*  812101 */   // Label 12623: @812101
     /*  812101 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(812184), // Rule ID 62255 //
     /*  812106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  812117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  812123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812130 */     // MIs[0] op1
     /*  812130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812146 */     // MIs[0] op4
     /*  812146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812161 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  812161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812182 */     GIR_RootConstrainSelectedInstOperands,
     /*  812183 */     // GIR_Coverage, 62255,
     /*  812183 */     GIR_EraseRootFromParent_Done,
     /*  812184 */   // Label 12624: @812184
     /*  812184 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(812267), // Rule ID 62256 //
     /*  812189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  812200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  812206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812213 */     // MIs[0] op1
     /*  812213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812229 */     // MIs[0] op4
     /*  812229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  812244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812265 */     GIR_RootConstrainSelectedInstOperands,
     /*  812266 */     // GIR_Coverage, 62256,
     /*  812266 */     GIR_EraseRootFromParent_Done,
     /*  812267 */   // Label 12625: @812267
     /*  812267 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(812350), // Rule ID 62299 //
     /*  812272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  812283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  812289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812296 */     // MIs[0] op1
     /*  812296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812312 */     // MIs[0] op4
     /*  812312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  812327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  812330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812348 */     GIR_RootConstrainSelectedInstOperands,
     /*  812349 */     // GIR_Coverage, 62299,
     /*  812349 */     GIR_EraseRootFromParent_Done,
     /*  812350 */   // Label 12626: @812350
     /*  812350 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(812433), // Rule ID 62300 //
     /*  812355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  812366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  812372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812379 */     // MIs[0] op1
     /*  812379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812395 */     // MIs[0] op4
     /*  812395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  812410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  812413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812421 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812431 */     GIR_RootConstrainSelectedInstOperands,
     /*  812432 */     // GIR_Coverage, 62300,
     /*  812432 */     GIR_EraseRootFromParent_Done,
     /*  812433 */   // Label 12627: @812433
     /*  812433 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(812516), // Rule ID 62355 //
     /*  812438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  812449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  812455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812462 */     // MIs[0] op1
     /*  812462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812478 */     // MIs[0] op4
     /*  812478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  812493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812514 */     GIR_RootConstrainSelectedInstOperands,
     /*  812515 */     // GIR_Coverage, 62355,
     /*  812515 */     GIR_EraseRootFromParent_Done,
     /*  812516 */   // Label 12628: @812516
     /*  812516 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(812599), // Rule ID 62356 //
     /*  812521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  812532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  812535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  812538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812545 */     // MIs[0] op1
     /*  812545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812561 */     // MIs[0] op4
     /*  812561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  812576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812587 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812597 */     GIR_RootConstrainSelectedInstOperands,
     /*  812598 */     // GIR_Coverage, 62356,
     /*  812598 */     GIR_EraseRootFromParent_Done,
     /*  812599 */   // Label 12629: @812599
     /*  812599 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(812682), // Rule ID 62411 //
     /*  812604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  812615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  812621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812628 */     // MIs[0] op1
     /*  812628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812644 */     // MIs[0] op4
     /*  812644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  812659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812670 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812680 */     GIR_RootConstrainSelectedInstOperands,
     /*  812681 */     // GIR_Coverage, 62411,
     /*  812681 */     GIR_EraseRootFromParent_Done,
     /*  812682 */   // Label 12630: @812682
     /*  812682 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(812765), // Rule ID 62412 //
     /*  812687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  812698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  812701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  812704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812711 */     // MIs[0] op1
     /*  812711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812727 */     // MIs[0] op4
     /*  812727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  812742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  812745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812753 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812763 */     GIR_RootConstrainSelectedInstOperands,
     /*  812764 */     // GIR_Coverage, 62412,
     /*  812764 */     GIR_EraseRootFromParent_Done,
     /*  812765 */   // Label 12631: @812765
     /*  812765 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(812848), // Rule ID 62467 //
     /*  812770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812794 */     // MIs[0] op1
     /*  812794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812810 */     // MIs[0] op4
     /*  812810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  812825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  812828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812846 */     GIR_RootConstrainSelectedInstOperands,
     /*  812847 */     // GIR_Coverage, 62467,
     /*  812847 */     GIR_EraseRootFromParent_Done,
     /*  812848 */   // Label 12632: @812848
     /*  812848 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(812931), // Rule ID 62468 //
     /*  812853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  812856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  812867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  812873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812877 */     // MIs[0] op1
     /*  812877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812893 */     // MIs[0] op4
     /*  812893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  812908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  812911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  812917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  812919 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  812921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812929 */     GIR_RootConstrainSelectedInstOperands,
     /*  812930 */     // GIR_Coverage, 62468,
     /*  812930 */     GIR_EraseRootFromParent_Done,
     /*  812931 */   // Label 12633: @812931
     /*  812931 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(813014), // Rule ID 62511 //
     /*  812936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  812939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  812944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  812950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  812956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812960 */     // MIs[0] op1
     /*  812960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  812963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  812968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812976 */     // MIs[0] op4
     /*  812976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  812979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  812984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  812991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  812994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  812998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813012 */     GIR_RootConstrainSelectedInstOperands,
     /*  813013 */     // GIR_Coverage, 62511,
     /*  813013 */     GIR_EraseRootFromParent_Done,
     /*  813014 */   // Label 12634: @813014
     /*  813014 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(813097), // Rule ID 62512 //
     /*  813019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813043 */     // MIs[0] op1
     /*  813043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813059 */     // MIs[0] op4
     /*  813059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  813074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  813077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813085 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813095 */     GIR_RootConstrainSelectedInstOperands,
     /*  813096 */     // GIR_Coverage, 62512,
     /*  813096 */     GIR_EraseRootFromParent_Done,
     /*  813097 */   // Label 12635: @813097
     /*  813097 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(813180), // Rule ID 62567 //
     /*  813102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813126 */     // MIs[0] op1
     /*  813126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813142 */     // MIs[0] op4
     /*  813142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  813157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  813160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813178 */     GIR_RootConstrainSelectedInstOperands,
     /*  813179 */     // GIR_Coverage, 62567,
     /*  813179 */     GIR_EraseRootFromParent_Done,
     /*  813180 */   // Label 12636: @813180
     /*  813180 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(813263), // Rule ID 62568 //
     /*  813185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813209 */     // MIs[0] op1
     /*  813209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813225 */     // MIs[0] op4
     /*  813225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  813240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  813243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813251 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813261 */     GIR_RootConstrainSelectedInstOperands,
     /*  813262 */     // GIR_Coverage, 62568,
     /*  813262 */     GIR_EraseRootFromParent_Done,
     /*  813263 */   // Label 12637: @813263
     /*  813263 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(813346), // Rule ID 62623 //
     /*  813268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813292 */     // MIs[0] op1
     /*  813292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813308 */     // MIs[0] op4
     /*  813308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  813323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  813326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813334 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813344 */     GIR_RootConstrainSelectedInstOperands,
     /*  813345 */     // GIR_Coverage, 62623,
     /*  813345 */     GIR_EraseRootFromParent_Done,
     /*  813346 */   // Label 12638: @813346
     /*  813346 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(813429), // Rule ID 62624 //
     /*  813351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813375 */     // MIs[0] op1
     /*  813375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813391 */     // MIs[0] op4
     /*  813391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  813406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  813409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813427 */     GIR_RootConstrainSelectedInstOperands,
     /*  813428 */     // GIR_Coverage, 62624,
     /*  813428 */     GIR_EraseRootFromParent_Done,
     /*  813429 */   // Label 12639: @813429
     /*  813429 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(813512), // Rule ID 62679 //
     /*  813434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  813445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  813451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813458 */     // MIs[0] op1
     /*  813458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813474 */     // MIs[0] op4
     /*  813474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813489 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  813489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  813492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813510 */     GIR_RootConstrainSelectedInstOperands,
     /*  813511 */     // GIR_Coverage, 62679,
     /*  813511 */     GIR_EraseRootFromParent_Done,
     /*  813512 */   // Label 12640: @813512
     /*  813512 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(813595), // Rule ID 62680 //
     /*  813517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  813528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  813534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813541 */     // MIs[0] op1
     /*  813541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813557 */     // MIs[0] op4
     /*  813557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  813572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  813575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813593 */     GIR_RootConstrainSelectedInstOperands,
     /*  813594 */     // GIR_Coverage, 62680,
     /*  813594 */     GIR_EraseRootFromParent_Done,
     /*  813595 */   // Label 12641: @813595
     /*  813595 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(813678), // Rule ID 62723 //
     /*  813600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  813611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  813617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813624 */     // MIs[0] op1
     /*  813624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813640 */     // MIs[0] op4
     /*  813640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  813655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  813658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813676 */     GIR_RootConstrainSelectedInstOperands,
     /*  813677 */     // GIR_Coverage, 62723,
     /*  813677 */     GIR_EraseRootFromParent_Done,
     /*  813678 */   // Label 12642: @813678
     /*  813678 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(813761), // Rule ID 62724 //
     /*  813683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  813694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  813697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  813700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813707 */     // MIs[0] op1
     /*  813707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813723 */     // MIs[0] op4
     /*  813723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813738 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  813738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  813741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813749 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813759 */     GIR_RootConstrainSelectedInstOperands,
     /*  813760 */     // GIR_Coverage, 62724,
     /*  813760 */     GIR_EraseRootFromParent_Done,
     /*  813761 */   // Label 12643: @813761
     /*  813761 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(813844), // Rule ID 62767 //
     /*  813766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  813777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  813783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813790 */     // MIs[0] op1
     /*  813790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813806 */     // MIs[0] op4
     /*  813806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813821 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  813821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  813824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813842 */     GIR_RootConstrainSelectedInstOperands,
     /*  813843 */     // GIR_Coverage, 62767,
     /*  813843 */     GIR_EraseRootFromParent_Done,
     /*  813844 */   // Label 12644: @813844
     /*  813844 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(813927), // Rule ID 62768 //
     /*  813849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  813852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  813860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  813863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  813866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  813869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813873 */     // MIs[0] op1
     /*  813873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813889 */     // MIs[0] op4
     /*  813889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  813904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  813907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813915 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  813917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813925 */     GIR_RootConstrainSelectedInstOperands,
     /*  813926 */     // GIR_Coverage, 62768,
     /*  813926 */     GIR_EraseRootFromParent_Done,
     /*  813927 */   // Label 12645: @813927
     /*  813927 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(814010), // Rule ID 62811 //
     /*  813932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  813935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  813940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  813943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  813946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  813949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  813952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813956 */     // MIs[0] op1
     /*  813956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  813959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  813964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813972 */     // MIs[0] op4
     /*  813972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  813975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  813980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  813987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  813990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  813994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  813996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  813998 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814008 */     GIR_RootConstrainSelectedInstOperands,
     /*  814009 */     // GIR_Coverage, 62811,
     /*  814009 */     GIR_EraseRootFromParent_Done,
     /*  814010 */   // Label 12646: @814010
     /*  814010 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(814093), // Rule ID 62812 //
     /*  814015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  814026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  814032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814039 */     // MIs[0] op1
     /*  814039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814055 */     // MIs[0] op4
     /*  814055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  814070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  814073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814081 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814091 */     GIR_RootConstrainSelectedInstOperands,
     /*  814092 */     // GIR_Coverage, 62812,
     /*  814092 */     GIR_EraseRootFromParent_Done,
     /*  814093 */   // Label 12647: @814093
     /*  814093 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(814176), // Rule ID 62867 //
     /*  814098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  814109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  814115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814122 */     // MIs[0] op1
     /*  814122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814138 */     // MIs[0] op4
     /*  814138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  814153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  814156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814174 */     GIR_RootConstrainSelectedInstOperands,
     /*  814175 */     // GIR_Coverage, 62867,
     /*  814175 */     GIR_EraseRootFromParent_Done,
     /*  814176 */   // Label 12648: @814176
     /*  814176 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(814259), // Rule ID 62868 //
     /*  814181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  814192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  814198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814205 */     // MIs[0] op1
     /*  814205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814221 */     // MIs[0] op4
     /*  814221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  814236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  814239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814241 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814243 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814245 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814247 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814257 */     GIR_RootConstrainSelectedInstOperands,
     /*  814258 */     // GIR_Coverage, 62868,
     /*  814258 */     GIR_EraseRootFromParent_Done,
     /*  814259 */   // Label 12649: @814259
     /*  814259 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(814342), // Rule ID 62923 //
     /*  814264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  814275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  814281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814288 */     // MIs[0] op1
     /*  814288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814304 */     // MIs[0] op4
     /*  814304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  814319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  814322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814340 */     GIR_RootConstrainSelectedInstOperands,
     /*  814341 */     // GIR_Coverage, 62923,
     /*  814341 */     GIR_EraseRootFromParent_Done,
     /*  814342 */   // Label 12650: @814342
     /*  814342 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(814425), // Rule ID 62924 //
     /*  814347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  814358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  814364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814371 */     // MIs[0] op1
     /*  814371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814387 */     // MIs[0] op4
     /*  814387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  814402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  814405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814423 */     GIR_RootConstrainSelectedInstOperands,
     /*  814424 */     // GIR_Coverage, 62924,
     /*  814424 */     GIR_EraseRootFromParent_Done,
     /*  814425 */   // Label 12651: @814425
     /*  814425 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(814508), // Rule ID 62979 //
     /*  814430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  814441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  814447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814454 */     // MIs[0] op1
     /*  814454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814470 */     // MIs[0] op4
     /*  814470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  814485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  814488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814506 */     GIR_RootConstrainSelectedInstOperands,
     /*  814507 */     // GIR_Coverage, 62979,
     /*  814507 */     GIR_EraseRootFromParent_Done,
     /*  814508 */   // Label 12652: @814508
     /*  814508 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(814591), // Rule ID 62980 //
     /*  814513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  814524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  814530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814537 */     // MIs[0] op1
     /*  814537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814553 */     // MIs[0] op4
     /*  814553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  814568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  814571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814589 */     GIR_RootConstrainSelectedInstOperands,
     /*  814590 */     // GIR_Coverage, 62980,
     /*  814590 */     GIR_EraseRootFromParent_Done,
     /*  814591 */   // Label 12653: @814591
     /*  814591 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(814674), // Rule ID 63035 //
     /*  814596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  814607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  814613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814620 */     // MIs[0] op1
     /*  814620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814636 */     // MIs[0] op4
     /*  814636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  814651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  814654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814662 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814672 */     GIR_RootConstrainSelectedInstOperands,
     /*  814673 */     // GIR_Coverage, 63035,
     /*  814673 */     GIR_EraseRootFromParent_Done,
     /*  814674 */   // Label 12654: @814674
     /*  814674 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(814757), // Rule ID 63036 //
     /*  814679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  814690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  814693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  814696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814703 */     // MIs[0] op1
     /*  814703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814719 */     // MIs[0] op4
     /*  814719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  814734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  814737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814755 */     GIR_RootConstrainSelectedInstOperands,
     /*  814756 */     // GIR_Coverage, 63036,
     /*  814756 */     GIR_EraseRootFromParent_Done,
     /*  814757 */   // Label 12655: @814757
     /*  814757 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(814840), // Rule ID 63091 //
     /*  814762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  814773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  814779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814786 */     // MIs[0] op1
     /*  814786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814802 */     // MIs[0] op4
     /*  814802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  814817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  814820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814838 */     GIR_RootConstrainSelectedInstOperands,
     /*  814839 */     // GIR_Coverage, 63091,
     /*  814839 */     GIR_EraseRootFromParent_Done,
     /*  814840 */   // Label 12656: @814840
     /*  814840 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(814923), // Rule ID 63092 //
     /*  814845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  814848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  814856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  814859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  814862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  814865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814869 */     // MIs[0] op1
     /*  814869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814885 */     // MIs[0] op4
     /*  814885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  814900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  814903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814921 */     GIR_RootConstrainSelectedInstOperands,
     /*  814922 */     // GIR_Coverage, 63092,
     /*  814922 */     GIR_EraseRootFromParent_Done,
     /*  814923 */   // Label 12657: @814923
     /*  814923 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(815006), // Rule ID 63147 //
     /*  814928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  814931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  814936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  814939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  814942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  814945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  814948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814952 */     // MIs[0] op1
     /*  814952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  814955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  814960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814968 */     // MIs[0] op4
     /*  814968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  814971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  814976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  814983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  814986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  814990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  814992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  814994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  814996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815004 */     GIR_RootConstrainSelectedInstOperands,
     /*  815005 */     // GIR_Coverage, 63147,
     /*  815005 */     GIR_EraseRootFromParent_Done,
     /*  815006 */   // Label 12658: @815006
     /*  815006 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(815089), // Rule ID 63148 //
     /*  815011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  815019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  815022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  815028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815035 */     // MIs[0] op1
     /*  815035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815051 */     // MIs[0] op4
     /*  815051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  815066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  815069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815087 */     GIR_RootConstrainSelectedInstOperands,
     /*  815088 */     // GIR_Coverage, 63148,
     /*  815088 */     GIR_EraseRootFromParent_Done,
     /*  815089 */   // Label 12659: @815089
     /*  815089 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(815172), // Rule ID 63203 //
     /*  815094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  815102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  815105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  815111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815118 */     // MIs[0] op1
     /*  815118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815134 */     // MIs[0] op4
     /*  815134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  815149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  815152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815170 */     GIR_RootConstrainSelectedInstOperands,
     /*  815171 */     // GIR_Coverage, 63203,
     /*  815171 */     GIR_EraseRootFromParent_Done,
     /*  815172 */   // Label 12660: @815172
     /*  815172 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(815255), // Rule ID 63204 //
     /*  815177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  815185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  815188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  815194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815201 */     // MIs[0] op1
     /*  815201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815217 */     // MIs[0] op4
     /*  815217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  815232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  815235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815243 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815253 */     GIR_RootConstrainSelectedInstOperands,
     /*  815254 */     // GIR_Coverage, 63204,
     /*  815254 */     GIR_EraseRootFromParent_Done,
     /*  815255 */   // Label 12661: @815255
     /*  815255 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(815338), // Rule ID 63259 //
     /*  815260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  815268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  815271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  815277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815284 */     // MIs[0] op1
     /*  815284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815300 */     // MIs[0] op4
     /*  815300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  815315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  815318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815336 */     GIR_RootConstrainSelectedInstOperands,
     /*  815337 */     // GIR_Coverage, 63259,
     /*  815337 */     GIR_EraseRootFromParent_Done,
     /*  815338 */   // Label 12662: @815338
     /*  815338 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(815421), // Rule ID 63260 //
     /*  815343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  815351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  815354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  815360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815367 */     // MIs[0] op1
     /*  815367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815383 */     // MIs[0] op4
     /*  815383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10723:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  815398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  815401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815409 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815419 */     GIR_RootConstrainSelectedInstOperands,
     /*  815420 */     // GIR_Coverage, 63260,
     /*  815420 */     GIR_EraseRootFromParent_Done,
     /*  815421 */   // Label 12663: @815421
     /*  815421 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(815504), // Rule ID 63289 //
     /*  815426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  815437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  815443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815450 */     // MIs[0] op1
     /*  815450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815466 */     // MIs[0] op4
     /*  815466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815481 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  815481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  815484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815502 */     GIR_RootConstrainSelectedInstOperands,
     /*  815503 */     // GIR_Coverage, 63289,
     /*  815503 */     GIR_EraseRootFromParent_Done,
     /*  815504 */   // Label 12664: @815504
     /*  815504 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(815587), // Rule ID 63290 //
     /*  815509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  815520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  815523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  815526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815533 */     // MIs[0] op1
     /*  815533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815549 */     // MIs[0] op4
     /*  815549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  815564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  815567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815575 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815585 */     GIR_RootConstrainSelectedInstOperands,
     /*  815586 */     // GIR_Coverage, 63290,
     /*  815586 */     GIR_EraseRootFromParent_Done,
     /*  815587 */   // Label 12665: @815587
     /*  815587 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(815670), // Rule ID 63307 //
     /*  815592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  815603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  815609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815616 */     // MIs[0] op1
     /*  815616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815632 */     // MIs[0] op4
     /*  815632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  815647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  815650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815668 */     GIR_RootConstrainSelectedInstOperands,
     /*  815669 */     // GIR_Coverage, 63307,
     /*  815669 */     GIR_EraseRootFromParent_Done,
     /*  815670 */   // Label 12666: @815670
     /*  815670 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(815753), // Rule ID 63308 //
     /*  815675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  815686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  815689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  815692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815699 */     // MIs[0] op1
     /*  815699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815715 */     // MIs[0] op4
     /*  815715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  815730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  815733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815751 */     GIR_RootConstrainSelectedInstOperands,
     /*  815752 */     // GIR_Coverage, 63308,
     /*  815752 */     GIR_EraseRootFromParent_Done,
     /*  815753 */   // Label 12667: @815753
     /*  815753 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(815836), // Rule ID 63325 //
     /*  815758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  815772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  815775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815782 */     // MIs[0] op1
     /*  815782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815798 */     // MIs[0] op4
     /*  815798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  815813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  815816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815834 */     GIR_RootConstrainSelectedInstOperands,
     /*  815835 */     // GIR_Coverage, 63325,
     /*  815835 */     GIR_EraseRootFromParent_Done,
     /*  815836 */   // Label 12668: @815836
     /*  815836 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(815919), // Rule ID 63326 //
     /*  815841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  815844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  815855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  815858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  815861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815865 */     // MIs[0] op1
     /*  815865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815881 */     // MIs[0] op4
     /*  815881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  815896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  815899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815917 */     GIR_RootConstrainSelectedInstOperands,
     /*  815918 */     // GIR_Coverage, 63326,
     /*  815918 */     GIR_EraseRootFromParent_Done,
     /*  815919 */   // Label 12669: @815919
     /*  815919 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(816002), // Rule ID 63343 //
     /*  815924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  815927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  815932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  815935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  815944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815948 */     // MIs[0] op1
     /*  815948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  815951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  815956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815964 */     // MIs[0] op4
     /*  815964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  815967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  815972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  815979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  815982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  815986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  815988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  815990 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  815992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816000 */     GIR_RootConstrainSelectedInstOperands,
     /*  816001 */     // GIR_Coverage, 63343,
     /*  816001 */     GIR_EraseRootFromParent_Done,
     /*  816002 */   // Label 12670: @816002
     /*  816002 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(816085), // Rule ID 63344 //
     /*  816007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  816018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  816021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816031 */     // MIs[0] op1
     /*  816031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816047 */     // MIs[0] op4
     /*  816047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  816062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  816065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816083 */     GIR_RootConstrainSelectedInstOperands,
     /*  816084 */     // GIR_Coverage, 63344,
     /*  816084 */     GIR_EraseRootFromParent_Done,
     /*  816085 */   // Label 12671: @816085
     /*  816085 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(816168), // Rule ID 63361 //
     /*  816090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  816101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  816104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  816107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816114 */     // MIs[0] op1
     /*  816114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816130 */     // MIs[0] op4
     /*  816130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816145 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  816145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  816148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816166 */     GIR_RootConstrainSelectedInstOperands,
     /*  816167 */     // GIR_Coverage, 63361,
     /*  816167 */     GIR_EraseRootFromParent_Done,
     /*  816168 */   // Label 12672: @816168
     /*  816168 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(816251), // Rule ID 63362 //
     /*  816173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  816184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  816187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  816190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816197 */     // MIs[0] op1
     /*  816197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816213 */     // MIs[0] op4
     /*  816213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  816228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  816231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816249 */     GIR_RootConstrainSelectedInstOperands,
     /*  816250 */     // GIR_Coverage, 63362,
     /*  816250 */     GIR_EraseRootFromParent_Done,
     /*  816251 */   // Label 12673: @816251
     /*  816251 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(816334), // Rule ID 63379 //
     /*  816256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  816267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  816270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  816273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816280 */     // MIs[0] op1
     /*  816280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816296 */     // MIs[0] op4
     /*  816296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  816311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  816314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816332 */     GIR_RootConstrainSelectedInstOperands,
     /*  816333 */     // GIR_Coverage, 63379,
     /*  816333 */     GIR_EraseRootFromParent_Done,
     /*  816334 */   // Label 12674: @816334
     /*  816334 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(816417), // Rule ID 63380 //
     /*  816339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  816350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  816353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  816356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816363 */     // MIs[0] op1
     /*  816363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816379 */     // MIs[0] op4
     /*  816379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  816394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  816397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816415 */     GIR_RootConstrainSelectedInstOperands,
     /*  816416 */     // GIR_Coverage, 63380,
     /*  816416 */     GIR_EraseRootFromParent_Done,
     /*  816417 */   // Label 12675: @816417
     /*  816417 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(816500), // Rule ID 63397 //
     /*  816422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  816433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  816439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816446 */     // MIs[0] op1
     /*  816446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816462 */     // MIs[0] op4
     /*  816462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816477 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  816477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  816480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816498 */     GIR_RootConstrainSelectedInstOperands,
     /*  816499 */     // GIR_Coverage, 63397,
     /*  816499 */     GIR_EraseRootFromParent_Done,
     /*  816500 */   // Label 12676: @816500
     /*  816500 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(816583), // Rule ID 63398 //
     /*  816505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  816516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  816522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816529 */     // MIs[0] op1
     /*  816529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816545 */     // MIs[0] op4
     /*  816545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  816560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  816563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816571 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816581 */     GIR_RootConstrainSelectedInstOperands,
     /*  816582 */     // GIR_Coverage, 63398,
     /*  816582 */     GIR_EraseRootFromParent_Done,
     /*  816583 */   // Label 12677: @816583
     /*  816583 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(816666), // Rule ID 63421 //
     /*  816588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  816605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816612 */     // MIs[0] op1
     /*  816612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816628 */     // MIs[0] op4
     /*  816628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  816643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  816646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816664 */     GIR_RootConstrainSelectedInstOperands,
     /*  816665 */     // GIR_Coverage, 63421,
     /*  816665 */     GIR_EraseRootFromParent_Done,
     /*  816666 */   // Label 12678: @816666
     /*  816666 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(816749), // Rule ID 63422 //
     /*  816671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  816688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816695 */     // MIs[0] op1
     /*  816695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816711 */     // MIs[0] op4
     /*  816711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  816726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  816729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816737 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816747 */     GIR_RootConstrainSelectedInstOperands,
     /*  816748 */     // GIR_Coverage, 63422,
     /*  816748 */     GIR_EraseRootFromParent_Done,
     /*  816749 */   // Label 12679: @816749
     /*  816749 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(816832), // Rule ID 63445 //
     /*  816754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  816765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816778 */     // MIs[0] op1
     /*  816778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816794 */     // MIs[0] op4
     /*  816794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  816809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  816812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816830 */     GIR_RootConstrainSelectedInstOperands,
     /*  816831 */     // GIR_Coverage, 63445,
     /*  816831 */     GIR_EraseRootFromParent_Done,
     /*  816832 */   // Label 12680: @816832
     /*  816832 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(816915), // Rule ID 63446 //
     /*  816837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  816840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  816848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  816857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816861 */     // MIs[0] op1
     /*  816861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816877 */     // MIs[0] op4
     /*  816877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  816892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  816895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816903 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816913 */     GIR_RootConstrainSelectedInstOperands,
     /*  816914 */     // GIR_Coverage, 63446,
     /*  816914 */     GIR_EraseRootFromParent_Done,
     /*  816915 */   // Label 12681: @816915
     /*  816915 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(816998), // Rule ID 63469 //
     /*  816920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  816923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  816928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  816931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  816937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  816940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816944 */     // MIs[0] op1
     /*  816944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  816947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  816952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816960 */     // MIs[0] op4
     /*  816960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  816963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  816968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  816975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  816978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  816982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  816984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  816986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  816988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816996 */     GIR_RootConstrainSelectedInstOperands,
     /*  816997 */     // GIR_Coverage, 63469,
     /*  816997 */     GIR_EraseRootFromParent_Done,
     /*  816998 */   // Label 12682: @816998
     /*  816998 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(817081), // Rule ID 63470 //
     /*  817003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  817014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  817020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817027 */     // MIs[0] op1
     /*  817027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817043 */     // MIs[0] op4
     /*  817043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  817058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  817061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817079 */     GIR_RootConstrainSelectedInstOperands,
     /*  817080 */     // GIR_Coverage, 63470,
     /*  817080 */     GIR_EraseRootFromParent_Done,
     /*  817081 */   // Label 12683: @817081
     /*  817081 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(817164), // Rule ID 63493 //
     /*  817086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  817097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  817103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817110 */     // MIs[0] op1
     /*  817110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817126 */     // MIs[0] op4
     /*  817126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  817141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  817144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817162 */     GIR_RootConstrainSelectedInstOperands,
     /*  817163 */     // GIR_Coverage, 63493,
     /*  817163 */     GIR_EraseRootFromParent_Done,
     /*  817164 */   // Label 12684: @817164
     /*  817164 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(817247), // Rule ID 63494 //
     /*  817169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  817180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  817186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817193 */     // MIs[0] op1
     /*  817193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817209 */     // MIs[0] op4
     /*  817209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  817224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  817227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817245 */     GIR_RootConstrainSelectedInstOperands,
     /*  817246 */     // GIR_Coverage, 63494,
     /*  817246 */     GIR_EraseRootFromParent_Done,
     /*  817247 */   // Label 12685: @817247
     /*  817247 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(817330), // Rule ID 63517 //
     /*  817252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  817269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817276 */     // MIs[0] op1
     /*  817276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817292 */     // MIs[0] op4
     /*  817292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  817307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  817310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817318 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817328 */     GIR_RootConstrainSelectedInstOperands,
     /*  817329 */     // GIR_Coverage, 63517,
     /*  817329 */     GIR_EraseRootFromParent_Done,
     /*  817330 */   // Label 12686: @817330
     /*  817330 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(817413), // Rule ID 63518 //
     /*  817335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  817352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817359 */     // MIs[0] op1
     /*  817359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817375 */     // MIs[0] op4
     /*  817375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  817390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  817393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817411 */     GIR_RootConstrainSelectedInstOperands,
     /*  817412 */     // GIR_Coverage, 63518,
     /*  817412 */     GIR_EraseRootFromParent_Done,
     /*  817413 */   // Label 12687: @817413
     /*  817413 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(817496), // Rule ID 63541 //
     /*  817418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  817429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  817432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817442 */     // MIs[0] op1
     /*  817442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817458 */     // MIs[0] op4
     /*  817458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  817473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  817476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817494 */     GIR_RootConstrainSelectedInstOperands,
     /*  817495 */     // GIR_Coverage, 63541,
     /*  817495 */     GIR_EraseRootFromParent_Done,
     /*  817496 */   // Label 12688: @817496
     /*  817496 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(817579), // Rule ID 63542 //
     /*  817501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  817512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  817515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817525 */     // MIs[0] op1
     /*  817525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817541 */     // MIs[0] op4
     /*  817541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  817556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  817559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817577 */     GIR_RootConstrainSelectedInstOperands,
     /*  817578 */     // GIR_Coverage, 63542,
     /*  817578 */     GIR_EraseRootFromParent_Done,
     /*  817579 */   // Label 12689: @817579
     /*  817579 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(817662), // Rule ID 63565 //
     /*  817584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  817595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  817598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  817601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817608 */     // MIs[0] op1
     /*  817608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817624 */     // MIs[0] op4
     /*  817624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817639 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  817639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  817642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817660 */     GIR_RootConstrainSelectedInstOperands,
     /*  817661 */     // GIR_Coverage, 63565,
     /*  817661 */     GIR_EraseRootFromParent_Done,
     /*  817662 */   // Label 12690: @817662
     /*  817662 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(817745), // Rule ID 63566 //
     /*  817667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  817678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  817681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  817684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817691 */     // MIs[0] op1
     /*  817691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817707 */     // MIs[0] op4
     /*  817707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  817722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  817725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817743 */     GIR_RootConstrainSelectedInstOperands,
     /*  817744 */     // GIR_Coverage, 63566,
     /*  817744 */     GIR_EraseRootFromParent_Done,
     /*  817745 */   // Label 12691: @817745
     /*  817745 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(817828), // Rule ID 63589 //
     /*  817750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  817761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  817764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  817767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817774 */     // MIs[0] op1
     /*  817774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817790 */     // MIs[0] op4
     /*  817790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  817805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  817808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817826 */     GIR_RootConstrainSelectedInstOperands,
     /*  817827 */     // GIR_Coverage, 63589,
     /*  817827 */     GIR_EraseRootFromParent_Done,
     /*  817828 */   // Label 12692: @817828
     /*  817828 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(817911), // Rule ID 63590 //
     /*  817833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  817841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  817844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  817847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  817850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817857 */     // MIs[0] op1
     /*  817857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817873 */     // MIs[0] op4
     /*  817873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10725:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  817888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  817891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817899 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817909 */     GIR_RootConstrainSelectedInstOperands,
     /*  817910 */     // GIR_Coverage, 63590,
     /*  817910 */     GIR_EraseRootFromParent_Done,
     /*  817911 */   // Label 12693: @817911
     /*  817911 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(817989), // Rule ID 59882 //
     /*  817916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  817919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  817924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  817927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  817930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817948 */     // MIs[0] rs2
     /*  817948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  817951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  817956 */     // MIs[0] policy
     /*  817956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  817959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  817966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  817969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  817987 */     GIR_RootConstrainSelectedInstOperands,
     /*  817988 */     // GIR_Coverage, 59882,
     /*  817988 */     GIR_EraseRootFromParent_Done,
     /*  817989 */   // Label 12694: @817989
     /*  817989 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(818067), // Rule ID 59883 //
     /*  817994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  817997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  818005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  818008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818026 */     // MIs[0] rs2
     /*  818026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818034 */     // MIs[0] policy
     /*  818034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  818047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818065 */     GIR_RootConstrainSelectedInstOperands,
     /*  818066 */     // GIR_Coverage, 59883,
     /*  818066 */     GIR_EraseRootFromParent_Done,
     /*  818067 */   // Label 12695: @818067
     /*  818067 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(818145), // Rule ID 61538 //
     /*  818072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  818075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818104 */     // MIs[0] rs2
     /*  818104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818112 */     // MIs[0] policy
     /*  818112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  818125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818143 */     GIR_RootConstrainSelectedInstOperands,
     /*  818144 */     // GIR_Coverage, 61538,
     /*  818144 */     GIR_EraseRootFromParent_Done,
     /*  818145 */   // Label 12696: @818145
     /*  818145 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(818223), // Rule ID 61539 //
     /*  818150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  818153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818182 */     // MIs[0] rs2
     /*  818182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818190 */     // MIs[0] policy
     /*  818190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  818203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818221 */     GIR_RootConstrainSelectedInstOperands,
     /*  818222 */     // GIR_Coverage, 61539,
     /*  818222 */     GIR_EraseRootFromParent_Done,
     /*  818223 */   // Label 12697: @818223
     /*  818223 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(818301), // Rule ID 61540 //
     /*  818228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  818231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  818239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  818242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818260 */     // MIs[0] rs2
     /*  818260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818268 */     // MIs[0] policy
     /*  818268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  818281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818299 */     GIR_RootConstrainSelectedInstOperands,
     /*  818300 */     // GIR_Coverage, 61540,
     /*  818300 */     GIR_EraseRootFromParent_Done,
     /*  818301 */   // Label 12698: @818301
     /*  818301 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(818379), // Rule ID 61541 //
     /*  818306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  818309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  818317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  818320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818338 */     // MIs[0] rs2
     /*  818338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818346 */     // MIs[0] policy
     /*  818346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  818359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818377 */     GIR_RootConstrainSelectedInstOperands,
     /*  818378 */     // GIR_Coverage, 61541,
     /*  818378 */     GIR_EraseRootFromParent_Done,
     /*  818379 */   // Label 12699: @818379
     /*  818379 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(818457), // Rule ID 61542 //
     /*  818384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  818387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  818395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  818398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818416 */     // MIs[0] rs2
     /*  818416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818424 */     // MIs[0] policy
     /*  818424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  818437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818455 */     GIR_RootConstrainSelectedInstOperands,
     /*  818456 */     // GIR_Coverage, 61542,
     /*  818456 */     GIR_EraseRootFromParent_Done,
     /*  818457 */   // Label 12700: @818457
     /*  818457 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(818535), // Rule ID 61543 //
     /*  818462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  818465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  818473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  818476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818494 */     // MIs[0] rs2
     /*  818494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818502 */     // MIs[0] policy
     /*  818502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  818515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818533 */     GIR_RootConstrainSelectedInstOperands,
     /*  818534 */     // GIR_Coverage, 61543,
     /*  818534 */     GIR_EraseRootFromParent_Done,
     /*  818535 */   // Label 12701: @818535
     /*  818535 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(818613), // Rule ID 61544 //
     /*  818540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  818543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  818551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  818554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818572 */     // MIs[0] rs2
     /*  818572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818580 */     // MIs[0] policy
     /*  818580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  818593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818611 */     GIR_RootConstrainSelectedInstOperands,
     /*  818612 */     // GIR_Coverage, 61544,
     /*  818612 */     GIR_EraseRootFromParent_Done,
     /*  818613 */   // Label 12702: @818613
     /*  818613 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(818691), // Rule ID 61545 //
     /*  818618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  818621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  818626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  818629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  818632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818650 */     // MIs[0] rs2
     /*  818650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818658 */     // MIs[0] policy
     /*  818658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  818671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818689 */     GIR_RootConstrainSelectedInstOperands,
     /*  818690 */     // GIR_Coverage, 61545,
     /*  818690 */     GIR_EraseRootFromParent_Done,
     /*  818691 */   // Label 12703: @818691
     /*  818691 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(818769), // Rule ID 61706 //
     /*  818696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  818699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  818704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  818707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  818710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818728 */     // MIs[0] rs2
     /*  818728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818736 */     // MIs[0] policy
     /*  818736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  818749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818767 */     GIR_RootConstrainSelectedInstOperands,
     /*  818768 */     // GIR_Coverage, 61706,
     /*  818768 */     GIR_EraseRootFromParent_Done,
     /*  818769 */   // Label 12704: @818769
     /*  818769 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(818847), // Rule ID 61707 //
     /*  818774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  818777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  818782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  818785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  818788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818806 */     // MIs[0] rs2
     /*  818806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818814 */     // MIs[0] policy
     /*  818814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  818827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818845 */     GIR_RootConstrainSelectedInstOperands,
     /*  818846 */     // GIR_Coverage, 61707,
     /*  818846 */     GIR_EraseRootFromParent_Done,
     /*  818847 */   // Label 12705: @818847
     /*  818847 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(818925), // Rule ID 61708 //
     /*  818852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  818855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  818860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818884 */     // MIs[0] rs2
     /*  818884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818892 */     // MIs[0] policy
     /*  818892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  818902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  818905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  818923 */     GIR_RootConstrainSelectedInstOperands,
     /*  818924 */     // GIR_Coverage, 61708,
     /*  818924 */     GIR_EraseRootFromParent_Done,
     /*  818925 */   // Label 12706: @818925
     /*  818925 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(819003), // Rule ID 61709 //
     /*  818930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  818933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  818938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818962 */     // MIs[0] rs2
     /*  818962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  818965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  818970 */     // MIs[0] policy
     /*  818970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  818973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  818980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  818983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  818985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819001 */     GIR_RootConstrainSelectedInstOperands,
     /*  819002 */     // GIR_Coverage, 61709,
     /*  819002 */     GIR_EraseRootFromParent_Done,
     /*  819003 */   // Label 12707: @819003
     /*  819003 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(819081), // Rule ID 61710 //
     /*  819008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  819011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  819019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  819022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819040 */     // MIs[0] rs2
     /*  819040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819048 */     // MIs[0] policy
     /*  819048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  819061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819079 */     GIR_RootConstrainSelectedInstOperands,
     /*  819080 */     // GIR_Coverage, 61710,
     /*  819080 */     GIR_EraseRootFromParent_Done,
     /*  819081 */   // Label 12708: @819081
     /*  819081 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(819159), // Rule ID 61711 //
     /*  819086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  819089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  819097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  819100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819118 */     // MIs[0] rs2
     /*  819118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819126 */     // MIs[0] policy
     /*  819126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  819139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819157 */     GIR_RootConstrainSelectedInstOperands,
     /*  819158 */     // GIR_Coverage, 61711,
     /*  819158 */     GIR_EraseRootFromParent_Done,
     /*  819159 */   // Label 12709: @819159
     /*  819159 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(819237), // Rule ID 61712 //
     /*  819164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  819167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  819175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  819178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819196 */     // MIs[0] rs2
     /*  819196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819204 */     // MIs[0] policy
     /*  819204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  819217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819235 */     GIR_RootConstrainSelectedInstOperands,
     /*  819236 */     // GIR_Coverage, 61712,
     /*  819236 */     GIR_EraseRootFromParent_Done,
     /*  819237 */   // Label 12710: @819237
     /*  819237 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(819315), // Rule ID 61713 //
     /*  819242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  819245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  819253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  819256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819274 */     // MIs[0] rs2
     /*  819274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819282 */     // MIs[0] policy
     /*  819282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  819295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819313 */     GIR_RootConstrainSelectedInstOperands,
     /*  819314 */     // GIR_Coverage, 61713,
     /*  819314 */     GIR_EraseRootFromParent_Done,
     /*  819315 */   // Label 12711: @819315
     /*  819315 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(819393), // Rule ID 61714 //
     /*  819320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  819323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  819331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  819334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819352 */     // MIs[0] rs2
     /*  819352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819360 */     // MIs[0] policy
     /*  819360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  819373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819391 */     GIR_RootConstrainSelectedInstOperands,
     /*  819392 */     // GIR_Coverage, 61714,
     /*  819392 */     GIR_EraseRootFromParent_Done,
     /*  819393 */   // Label 12712: @819393
     /*  819393 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(819471), // Rule ID 61715 //
     /*  819398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  819401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  819406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  819409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  819412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819430 */     // MIs[0] rs2
     /*  819430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  819433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  819438 */     // MIs[0] policy
     /*  819438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  819451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  819453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819469 */     GIR_RootConstrainSelectedInstOperands,
     /*  819470 */     // GIR_Coverage, 61715,
     /*  819470 */     GIR_EraseRootFromParent_Done,
     /*  819471 */   // Label 12713: @819471
     /*  819471 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(819559), // Rule ID 23548 //
     /*  819476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  819487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  819490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  819496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819523 */     // MIs[1] Operand 1
     /*  819523 */     // No operand predicates
     /*  819523 */     // MIs[0] policy
     /*  819523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819535 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  819538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819557 */     GIR_RootConstrainSelectedInstOperands,
     /*  819558 */     // GIR_Coverage, 23548,
     /*  819558 */     GIR_EraseRootFromParent_Done,
     /*  819559 */   // Label 12714: @819559
     /*  819559 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(819647), // Rule ID 23549 //
     /*  819564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  819575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  819578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  819584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819611 */     // MIs[1] Operand 1
     /*  819611 */     // No operand predicates
     /*  819611 */     // MIs[0] policy
     /*  819611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819623 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  819626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819645 */     GIR_RootConstrainSelectedInstOperands,
     /*  819646 */     // GIR_Coverage, 23549,
     /*  819646 */     GIR_EraseRootFromParent_Done,
     /*  819647 */   // Label 12715: @819647
     /*  819647 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(819735), // Rule ID 23552 //
     /*  819652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  819663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  819666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  819672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819699 */     // MIs[1] Operand 1
     /*  819699 */     // No operand predicates
     /*  819699 */     // MIs[0] policy
     /*  819699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819711 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  819714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819733 */     GIR_RootConstrainSelectedInstOperands,
     /*  819734 */     // GIR_Coverage, 23552,
     /*  819734 */     GIR_EraseRootFromParent_Done,
     /*  819735 */   // Label 12716: @819735
     /*  819735 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(819823), // Rule ID 23553 //
     /*  819740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  819751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  819754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  819760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819787 */     // MIs[1] Operand 1
     /*  819787 */     // No operand predicates
     /*  819787 */     // MIs[0] policy
     /*  819787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  819802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819821 */     GIR_RootConstrainSelectedInstOperands,
     /*  819822 */     // GIR_Coverage, 23553,
     /*  819822 */     GIR_EraseRootFromParent_Done,
     /*  819823 */   // Label 12717: @819823
     /*  819823 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(819911), // Rule ID 23556 //
     /*  819828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  819839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  819842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  819848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819875 */     // MIs[1] Operand 1
     /*  819875 */     // No operand predicates
     /*  819875 */     // MIs[0] policy
     /*  819875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  819887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  819890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819909 */     GIR_RootConstrainSelectedInstOperands,
     /*  819910 */     // GIR_Coverage, 23556,
     /*  819910 */     GIR_EraseRootFromParent_Done,
     /*  819911 */   // Label 12718: @819911
     /*  819911 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(819999), // Rule ID 23557 //
     /*  819916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  819924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  819927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  819930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  819936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  819955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  819959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  819963 */     // MIs[1] Operand 1
     /*  819963 */     // No operand predicates
     /*  819963 */     // MIs[0] policy
     /*  819963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  819966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  819968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819975 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  819975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  819978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  819987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  819997 */     GIR_RootConstrainSelectedInstOperands,
     /*  819998 */     // GIR_Coverage, 23557,
     /*  819998 */     GIR_EraseRootFromParent_Done,
     /*  819999 */   // Label 12719: @819999
     /*  819999 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(820087), // Rule ID 23560 //
     /*  820004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  820015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  820018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820051 */     // MIs[1] Operand 1
     /*  820051 */     // No operand predicates
     /*  820051 */     // MIs[0] policy
     /*  820051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  820066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820085 */     GIR_RootConstrainSelectedInstOperands,
     /*  820086 */     // GIR_Coverage, 23560,
     /*  820086 */     GIR_EraseRootFromParent_Done,
     /*  820087 */   // Label 12720: @820087
     /*  820087 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(820175), // Rule ID 23561 //
     /*  820092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  820103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  820106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820139 */     // MIs[1] Operand 1
     /*  820139 */     // No operand predicates
     /*  820139 */     // MIs[0] policy
     /*  820139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  820151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  820154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820173 */     GIR_RootConstrainSelectedInstOperands,
     /*  820174 */     // GIR_Coverage, 23561,
     /*  820174 */     GIR_EraseRootFromParent_Done,
     /*  820175 */   // Label 12721: @820175
     /*  820175 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(820263), // Rule ID 23564 //
     /*  820180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  820191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  820194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820227 */     // MIs[1] Operand 1
     /*  820227 */     // No operand predicates
     /*  820227 */     // MIs[0] policy
     /*  820227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  820242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820261 */     GIR_RootConstrainSelectedInstOperands,
     /*  820262 */     // GIR_Coverage, 23564,
     /*  820262 */     GIR_EraseRootFromParent_Done,
     /*  820263 */   // Label 12722: @820263
     /*  820263 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(820351), // Rule ID 23565 //
     /*  820268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  820279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  820282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820315 */     // MIs[1] Operand 1
     /*  820315 */     // No operand predicates
     /*  820315 */     // MIs[0] policy
     /*  820315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  820327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  820330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820349 */     GIR_RootConstrainSelectedInstOperands,
     /*  820350 */     // GIR_Coverage, 23565,
     /*  820350 */     GIR_EraseRootFromParent_Done,
     /*  820351 */   // Label 12723: @820351
     /*  820351 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(820439), // Rule ID 23568 //
     /*  820356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  820367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  820370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820403 */     // MIs[1] Operand 1
     /*  820403 */     // No operand predicates
     /*  820403 */     // MIs[0] policy
     /*  820403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820415 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  820418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820437 */     GIR_RootConstrainSelectedInstOperands,
     /*  820438 */     // GIR_Coverage, 23568,
     /*  820438 */     GIR_EraseRootFromParent_Done,
     /*  820439 */   // Label 12724: @820439
     /*  820439 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(820527), // Rule ID 23569 //
     /*  820444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  820455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  820458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  820461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820491 */     // MIs[1] Operand 1
     /*  820491 */     // No operand predicates
     /*  820491 */     // MIs[0] policy
     /*  820491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  820503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  820506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820525 */     GIR_RootConstrainSelectedInstOperands,
     /*  820526 */     // GIR_Coverage, 23569,
     /*  820526 */     GIR_EraseRootFromParent_Done,
     /*  820527 */   // Label 12725: @820527
     /*  820527 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(820615), // Rule ID 23572 //
     /*  820532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820579 */     // MIs[1] Operand 1
     /*  820579 */     // No operand predicates
     /*  820579 */     // MIs[0] policy
     /*  820579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  820594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820613 */     GIR_RootConstrainSelectedInstOperands,
     /*  820614 */     // GIR_Coverage, 23572,
     /*  820614 */     GIR_EraseRootFromParent_Done,
     /*  820615 */   // Label 12726: @820615
     /*  820615 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(820703), // Rule ID 23573 //
     /*  820620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820667 */     // MIs[1] Operand 1
     /*  820667 */     // No operand predicates
     /*  820667 */     // MIs[0] policy
     /*  820667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  820679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  820682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820701 */     GIR_RootConstrainSelectedInstOperands,
     /*  820702 */     // GIR_Coverage, 23573,
     /*  820702 */     GIR_EraseRootFromParent_Done,
     /*  820703 */   // Label 12727: @820703
     /*  820703 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(820791), // Rule ID 23576 //
     /*  820708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820755 */     // MIs[1] Operand 1
     /*  820755 */     // No operand predicates
     /*  820755 */     // MIs[0] policy
     /*  820755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  820770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820789 */     GIR_RootConstrainSelectedInstOperands,
     /*  820790 */     // GIR_Coverage, 23576,
     /*  820790 */     GIR_EraseRootFromParent_Done,
     /*  820791 */   // Label 12728: @820791
     /*  820791 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(820879), // Rule ID 23577 //
     /*  820796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820843 */     // MIs[1] Operand 1
     /*  820843 */     // No operand predicates
     /*  820843 */     // MIs[0] policy
     /*  820843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820855 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  820855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  820858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820877 */     GIR_RootConstrainSelectedInstOperands,
     /*  820878 */     // GIR_Coverage, 23577,
     /*  820878 */     GIR_EraseRootFromParent_Done,
     /*  820879 */   // Label 12729: @820879
     /*  820879 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(820967), // Rule ID 23580 //
     /*  820884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  820904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  820923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  820927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  820931 */     // MIs[1] Operand 1
     /*  820931 */     // No operand predicates
     /*  820931 */     // MIs[0] policy
     /*  820931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  820934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  820936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  820943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  820946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  820955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  820965 */     GIR_RootConstrainSelectedInstOperands,
     /*  820966 */     // GIR_Coverage, 23580,
     /*  820966 */     GIR_EraseRootFromParent_Done,
     /*  820967 */   // Label 12730: @820967
     /*  820967 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(821055), // Rule ID 23581 //
     /*  820972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  820980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  820992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821019 */     // MIs[1] Operand 1
     /*  821019 */     // No operand predicates
     /*  821019 */     // MIs[0] policy
     /*  821019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  821034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821053 */     GIR_RootConstrainSelectedInstOperands,
     /*  821054 */     // GIR_Coverage, 23581,
     /*  821054 */     GIR_EraseRootFromParent_Done,
     /*  821055 */   // Label 12731: @821055
     /*  821055 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(821143), // Rule ID 23584 //
     /*  821060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821107 */     // MIs[1] Operand 1
     /*  821107 */     // No operand predicates
     /*  821107 */     // MIs[0] policy
     /*  821107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  821122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821141 */     GIR_RootConstrainSelectedInstOperands,
     /*  821142 */     // GIR_Coverage, 23584,
     /*  821142 */     GIR_EraseRootFromParent_Done,
     /*  821143 */   // Label 12732: @821143
     /*  821143 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(821231), // Rule ID 23585 //
     /*  821148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  821168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821195 */     // MIs[1] Operand 1
     /*  821195 */     // No operand predicates
     /*  821195 */     // MIs[0] policy
     /*  821195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  821210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821229 */     GIR_RootConstrainSelectedInstOperands,
     /*  821230 */     // GIR_Coverage, 23585,
     /*  821230 */     GIR_EraseRootFromParent_Done,
     /*  821231 */   // Label 12733: @821231
     /*  821231 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(821319), // Rule ID 23588 //
     /*  821236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  821247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  821250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821283 */     // MIs[1] Operand 1
     /*  821283 */     // No operand predicates
     /*  821283 */     // MIs[0] policy
     /*  821283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  821298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821317 */     GIR_RootConstrainSelectedInstOperands,
     /*  821318 */     // GIR_Coverage, 23588,
     /*  821318 */     GIR_EraseRootFromParent_Done,
     /*  821319 */   // Label 12734: @821319
     /*  821319 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(821407), // Rule ID 23589 //
     /*  821324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  821335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  821338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  821344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821371 */     // MIs[1] Operand 1
     /*  821371 */     // No operand predicates
     /*  821371 */     // MIs[0] policy
     /*  821371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  821386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821405 */     GIR_RootConstrainSelectedInstOperands,
     /*  821406 */     // GIR_Coverage, 23589,
     /*  821406 */     GIR_EraseRootFromParent_Done,
     /*  821407 */   // Label 12735: @821407
     /*  821407 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(821495), // Rule ID 23592 //
     /*  821412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  821423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  821426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821459 */     // MIs[1] Operand 1
     /*  821459 */     // No operand predicates
     /*  821459 */     // MIs[0] policy
     /*  821459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  821474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821493 */     GIR_RootConstrainSelectedInstOperands,
     /*  821494 */     // GIR_Coverage, 23592,
     /*  821494 */     GIR_EraseRootFromParent_Done,
     /*  821495 */   // Label 12736: @821495
     /*  821495 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(821583), // Rule ID 23593 //
     /*  821500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  821511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  821514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  821520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821547 */     // MIs[1] Operand 1
     /*  821547 */     // No operand predicates
     /*  821547 */     // MIs[0] policy
     /*  821547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  821562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821581 */     GIR_RootConstrainSelectedInstOperands,
     /*  821582 */     // GIR_Coverage, 23593,
     /*  821582 */     GIR_EraseRootFromParent_Done,
     /*  821583 */   // Label 12737: @821583
     /*  821583 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(821671), // Rule ID 23596 //
     /*  821588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  821599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  821602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821635 */     // MIs[1] Operand 1
     /*  821635 */     // No operand predicates
     /*  821635 */     // MIs[0] policy
     /*  821635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821647 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  821650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821669 */     GIR_RootConstrainSelectedInstOperands,
     /*  821670 */     // GIR_Coverage, 23596,
     /*  821670 */     GIR_EraseRootFromParent_Done,
     /*  821671 */   // Label 12738: @821671
     /*  821671 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(821759), // Rule ID 23597 //
     /*  821676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  821687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  821690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  821693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  821696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821723 */     // MIs[1] Operand 1
     /*  821723 */     // No operand predicates
     /*  821723 */     // MIs[0] policy
     /*  821723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821735 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  821738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821757 */     GIR_RootConstrainSelectedInstOperands,
     /*  821758 */     // GIR_Coverage, 23597,
     /*  821758 */     GIR_EraseRootFromParent_Done,
     /*  821759 */   // Label 12739: @821759
     /*  821759 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(821847), // Rule ID 23600 //
     /*  821764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  821775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  821778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821811 */     // MIs[1] Operand 1
     /*  821811 */     // No operand predicates
     /*  821811 */     // MIs[0] policy
     /*  821811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  821826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821845 */     GIR_RootConstrainSelectedInstOperands,
     /*  821846 */     // GIR_Coverage, 23600,
     /*  821846 */     GIR_EraseRootFromParent_Done,
     /*  821847 */   // Label 12740: @821847
     /*  821847 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(821935), // Rule ID 23601 //
     /*  821852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  821863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  821866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  821872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821899 */     // MIs[1] Operand 1
     /*  821899 */     // No operand predicates
     /*  821899 */     // MIs[0] policy
     /*  821899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  821911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  821914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  821923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  821933 */     GIR_RootConstrainSelectedInstOperands,
     /*  821934 */     // GIR_Coverage, 23601,
     /*  821934 */     GIR_EraseRootFromParent_Done,
     /*  821935 */   // Label 12741: @821935
     /*  821935 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(822023), // Rule ID 23604 //
     /*  821940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  821948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  821951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  821954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  821960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  821979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  821983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  821987 */     // MIs[1] Operand 1
     /*  821987 */     // No operand predicates
     /*  821987 */     // MIs[0] policy
     /*  821987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  821990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  821992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  821999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  822002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822021 */     GIR_RootConstrainSelectedInstOperands,
     /*  822022 */     // GIR_Coverage, 23604,
     /*  822022 */     GIR_EraseRootFromParent_Done,
     /*  822023 */   // Label 12742: @822023
     /*  822023 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(822111), // Rule ID 23605 //
     /*  822028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  822039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  822042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822075 */     // MIs[1] Operand 1
     /*  822075 */     // No operand predicates
     /*  822075 */     // MIs[0] policy
     /*  822075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  822090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822109 */     GIR_RootConstrainSelectedInstOperands,
     /*  822110 */     // GIR_Coverage, 23605,
     /*  822110 */     GIR_EraseRootFromParent_Done,
     /*  822111 */   // Label 12743: @822111
     /*  822111 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(822199), // Rule ID 23608 //
     /*  822116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  822127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  822130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  822136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822163 */     // MIs[1] Operand 1
     /*  822163 */     // No operand predicates
     /*  822163 */     // MIs[0] policy
     /*  822163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822175 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  822175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  822178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822197 */     GIR_RootConstrainSelectedInstOperands,
     /*  822198 */     // GIR_Coverage, 23608,
     /*  822198 */     GIR_EraseRootFromParent_Done,
     /*  822199 */   // Label 12744: @822199
     /*  822199 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(822287), // Rule ID 23609 //
     /*  822204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  822215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  822218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822251 */     // MIs[1] Operand 1
     /*  822251 */     // No operand predicates
     /*  822251 */     // MIs[0] policy
     /*  822251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822263 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  822266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822285 */     GIR_RootConstrainSelectedInstOperands,
     /*  822286 */     // GIR_Coverage, 23609,
     /*  822286 */     GIR_EraseRootFromParent_Done,
     /*  822287 */   // Label 12745: @822287
     /*  822287 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(822375), // Rule ID 23612 //
     /*  822292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  822303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  822306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  822312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822339 */     // MIs[1] Operand 1
     /*  822339 */     // No operand predicates
     /*  822339 */     // MIs[0] policy
     /*  822339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  822351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  822354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822373 */     GIR_RootConstrainSelectedInstOperands,
     /*  822374 */     // GIR_Coverage, 23612,
     /*  822374 */     GIR_EraseRootFromParent_Done,
     /*  822375 */   // Label 12746: @822375
     /*  822375 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(822463), // Rule ID 23613 //
     /*  822380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  822391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  822394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822427 */     // MIs[1] Operand 1
     /*  822427 */     // No operand predicates
     /*  822427 */     // MIs[0] policy
     /*  822427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  822442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822461 */     GIR_RootConstrainSelectedInstOperands,
     /*  822462 */     // GIR_Coverage, 23613,
     /*  822462 */     GIR_EraseRootFromParent_Done,
     /*  822463 */   // Label 12747: @822463
     /*  822463 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(822551), // Rule ID 23616 //
     /*  822468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  822479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  822482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  822488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822515 */     // MIs[1] Operand 1
     /*  822515 */     // No operand predicates
     /*  822515 */     // MIs[0] policy
     /*  822515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  822527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  822530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822549 */     GIR_RootConstrainSelectedInstOperands,
     /*  822550 */     // GIR_Coverage, 23616,
     /*  822550 */     GIR_EraseRootFromParent_Done,
     /*  822551 */   // Label 12748: @822551
     /*  822551 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(822639), // Rule ID 23617 //
     /*  822556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  822567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  822570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822603 */     // MIs[1] Operand 1
     /*  822603 */     // No operand predicates
     /*  822603 */     // MIs[0] policy
     /*  822603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  822618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822637 */     GIR_RootConstrainSelectedInstOperands,
     /*  822638 */     // GIR_Coverage, 23617,
     /*  822638 */     GIR_EraseRootFromParent_Done,
     /*  822639 */   // Label 12749: @822639
     /*  822639 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(822727), // Rule ID 23620 //
     /*  822644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  822655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  822658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  822664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822691 */     // MIs[1] Operand 1
     /*  822691 */     // No operand predicates
     /*  822691 */     // MIs[0] policy
     /*  822691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  822703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  822706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822725 */     GIR_RootConstrainSelectedInstOperands,
     /*  822726 */     // GIR_Coverage, 23620,
     /*  822726 */     GIR_EraseRootFromParent_Done,
     /*  822727 */   // Label 12750: @822727
     /*  822727 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(822815), // Rule ID 23621 //
     /*  822732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  822743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  822746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  822749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822779 */     // MIs[1] Operand 1
     /*  822779 */     // No operand predicates
     /*  822779 */     // MIs[0] policy
     /*  822779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  822794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822813 */     GIR_RootConstrainSelectedInstOperands,
     /*  822814 */     // GIR_Coverage, 23621,
     /*  822814 */     GIR_EraseRootFromParent_Done,
     /*  822815 */   // Label 12751: @822815
     /*  822815 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(822903), // Rule ID 23624 //
     /*  822820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  822831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  822834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  822840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822867 */     // MIs[1] Operand 1
     /*  822867 */     // No operand predicates
     /*  822867 */     // MIs[0] policy
     /*  822867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  822879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  822882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822901 */     GIR_RootConstrainSelectedInstOperands,
     /*  822902 */     // GIR_Coverage, 23624,
     /*  822902 */     GIR_EraseRootFromParent_Done,
     /*  822903 */   // Label 12752: @822903
     /*  822903 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(822991), // Rule ID 23625 //
     /*  822908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  822916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  822919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  822922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  822925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  822928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  822947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  822951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  822955 */     // MIs[1] Operand 1
     /*  822955 */     // No operand predicates
     /*  822955 */     // MIs[0] policy
     /*  822955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  822958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  822960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  822967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  822970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  822979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  822989 */     GIR_RootConstrainSelectedInstOperands,
     /*  822990 */     // GIR_Coverage, 23625,
     /*  822990 */     GIR_EraseRootFromParent_Done,
     /*  822991 */   // Label 12753: @822991
     /*  822991 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(823079), // Rule ID 23628 //
     /*  822996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  823004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  823007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  823010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823043 */     // MIs[1] Operand 1
     /*  823043 */     // No operand predicates
     /*  823043 */     // MIs[0] policy
     /*  823043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  823058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823077 */     GIR_RootConstrainSelectedInstOperands,
     /*  823078 */     // GIR_Coverage, 23628,
     /*  823078 */     GIR_EraseRootFromParent_Done,
     /*  823079 */   // Label 12754: @823079
     /*  823079 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(823167), // Rule ID 23629 //
     /*  823084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  823092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  823095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  823098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823131 */     // MIs[1] Operand 1
     /*  823131 */     // No operand predicates
     /*  823131 */     // MIs[0] policy
     /*  823131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  823143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  823146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823165 */     GIR_RootConstrainSelectedInstOperands,
     /*  823166 */     // GIR_Coverage, 23629,
     /*  823166 */     GIR_EraseRootFromParent_Done,
     /*  823167 */   // Label 12755: @823167
     /*  823167 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(823255), // Rule ID 23632 //
     /*  823172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  823180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  823183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  823186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823219 */     // MIs[1] Operand 1
     /*  823219 */     // No operand predicates
     /*  823219 */     // MIs[0] policy
     /*  823219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  823234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823253 */     GIR_RootConstrainSelectedInstOperands,
     /*  823254 */     // GIR_Coverage, 23632,
     /*  823254 */     GIR_EraseRootFromParent_Done,
     /*  823255 */   // Label 12756: @823255
     /*  823255 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(823343), // Rule ID 23633 //
     /*  823260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  823268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  823271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  823274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823307 */     // MIs[1] Operand 1
     /*  823307 */     // No operand predicates
     /*  823307 */     // MIs[0] policy
     /*  823307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  823319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  823322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823341 */     GIR_RootConstrainSelectedInstOperands,
     /*  823342 */     // GIR_Coverage, 23633,
     /*  823342 */     GIR_EraseRootFromParent_Done,
     /*  823343 */   // Label 12757: @823343
     /*  823343 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(823431), // Rule ID 23724 //
     /*  823348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  823359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  823362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823395 */     // MIs[1] Operand 1
     /*  823395 */     // No operand predicates
     /*  823395 */     // MIs[0] policy
     /*  823395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  823410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823429 */     GIR_RootConstrainSelectedInstOperands,
     /*  823430 */     // GIR_Coverage, 23724,
     /*  823430 */     GIR_EraseRootFromParent_Done,
     /*  823431 */   // Label 12758: @823431
     /*  823431 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(823519), // Rule ID 23725 //
     /*  823436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  823447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  823450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823483 */     // MIs[1] Operand 1
     /*  823483 */     // No operand predicates
     /*  823483 */     // MIs[0] policy
     /*  823483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  823495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  823498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823517 */     GIR_RootConstrainSelectedInstOperands,
     /*  823518 */     // GIR_Coverage, 23725,
     /*  823518 */     GIR_EraseRootFromParent_Done,
     /*  823519 */   // Label 12759: @823519
     /*  823519 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(823607), // Rule ID 23728 //
     /*  823524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  823535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  823538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823571 */     // MIs[1] Operand 1
     /*  823571 */     // No operand predicates
     /*  823571 */     // MIs[0] policy
     /*  823571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823583 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  823586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823605 */     GIR_RootConstrainSelectedInstOperands,
     /*  823606 */     // GIR_Coverage, 23728,
     /*  823606 */     GIR_EraseRootFromParent_Done,
     /*  823607 */   // Label 12760: @823607
     /*  823607 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(823695), // Rule ID 23729 //
     /*  823612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  823623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  823626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823659 */     // MIs[1] Operand 1
     /*  823659 */     // No operand predicates
     /*  823659 */     // MIs[0] policy
     /*  823659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823671 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  823671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  823674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823693 */     GIR_RootConstrainSelectedInstOperands,
     /*  823694 */     // GIR_Coverage, 23729,
     /*  823694 */     GIR_EraseRootFromParent_Done,
     /*  823695 */   // Label 12761: @823695
     /*  823695 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(823783), // Rule ID 23732 //
     /*  823700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  823711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  823714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823747 */     // MIs[1] Operand 1
     /*  823747 */     // No operand predicates
     /*  823747 */     // MIs[0] policy
     /*  823747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  823762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823781 */     GIR_RootConstrainSelectedInstOperands,
     /*  823782 */     // GIR_Coverage, 23732,
     /*  823782 */     GIR_EraseRootFromParent_Done,
     /*  823783 */   // Label 12762: @823783
     /*  823783 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(823871), // Rule ID 23733 //
     /*  823788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  823799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  823802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823835 */     // MIs[1] Operand 1
     /*  823835 */     // No operand predicates
     /*  823835 */     // MIs[0] policy
     /*  823835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  823847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  823850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823869 */     GIR_RootConstrainSelectedInstOperands,
     /*  823870 */     // GIR_Coverage, 23733,
     /*  823870 */     GIR_EraseRootFromParent_Done,
     /*  823871 */   // Label 12763: @823871
     /*  823871 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(823959), // Rule ID 23736 //
     /*  823876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  823887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  823890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  823896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  823915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  823919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  823923 */     // MIs[1] Operand 1
     /*  823923 */     // No operand predicates
     /*  823923 */     // MIs[0] policy
     /*  823923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  823928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  823938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  823947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823957 */     GIR_RootConstrainSelectedInstOperands,
     /*  823958 */     // GIR_Coverage, 23736,
     /*  823958 */     GIR_EraseRootFromParent_Done,
     /*  823959 */   // Label 12764: @823959
     /*  823959 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(824047), // Rule ID 23737 //
     /*  823964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  823972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  823975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  823978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  823981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  823984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824011 */     // MIs[1] Operand 1
     /*  824011 */     // No operand predicates
     /*  824011 */     // MIs[0] policy
     /*  824011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824023 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  824026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824045 */     GIR_RootConstrainSelectedInstOperands,
     /*  824046 */     // GIR_Coverage, 23737,
     /*  824046 */     GIR_EraseRootFromParent_Done,
     /*  824047 */   // Label 12765: @824047
     /*  824047 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(824135), // Rule ID 23740 //
     /*  824052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  824063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  824066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824099 */     // MIs[1] Operand 1
     /*  824099 */     // No operand predicates
     /*  824099 */     // MIs[0] policy
     /*  824099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  824114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824133 */     GIR_RootConstrainSelectedInstOperands,
     /*  824134 */     // GIR_Coverage, 23740,
     /*  824134 */     GIR_EraseRootFromParent_Done,
     /*  824135 */   // Label 12766: @824135
     /*  824135 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(824223), // Rule ID 23741 //
     /*  824140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  824151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  824154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  824160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824187 */     // MIs[1] Operand 1
     /*  824187 */     // No operand predicates
     /*  824187 */     // MIs[0] policy
     /*  824187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  824202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824221 */     GIR_RootConstrainSelectedInstOperands,
     /*  824222 */     // GIR_Coverage, 23741,
     /*  824222 */     GIR_EraseRootFromParent_Done,
     /*  824223 */   // Label 12767: @824223
     /*  824223 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(824311), // Rule ID 23744 //
     /*  824228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  824239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  824242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824275 */     // MIs[1] Operand 1
     /*  824275 */     // No operand predicates
     /*  824275 */     // MIs[0] policy
     /*  824275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  824290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824309 */     GIR_RootConstrainSelectedInstOperands,
     /*  824310 */     // GIR_Coverage, 23744,
     /*  824310 */     GIR_EraseRootFromParent_Done,
     /*  824311 */   // Label 12768: @824311
     /*  824311 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(824399), // Rule ID 23745 //
     /*  824316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  824327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  824330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  824336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824363 */     // MIs[1] Operand 1
     /*  824363 */     // No operand predicates
     /*  824363 */     // MIs[0] policy
     /*  824363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  824378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824397 */     GIR_RootConstrainSelectedInstOperands,
     /*  824398 */     // GIR_Coverage, 23745,
     /*  824398 */     GIR_EraseRootFromParent_Done,
     /*  824399 */   // Label 12769: @824399
     /*  824399 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(824487), // Rule ID 23748 //
     /*  824404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824451 */     // MIs[1] Operand 1
     /*  824451 */     // No operand predicates
     /*  824451 */     // MIs[0] policy
     /*  824451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824463 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824485 */     GIR_RootConstrainSelectedInstOperands,
     /*  824486 */     // GIR_Coverage, 23748,
     /*  824486 */     GIR_EraseRootFromParent_Done,
     /*  824487 */   // Label 12770: @824487
     /*  824487 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(824575), // Rule ID 23749 //
     /*  824492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  824512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824539 */     // MIs[1] Operand 1
     /*  824539 */     // No operand predicates
     /*  824539 */     // MIs[0] policy
     /*  824539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824573 */     GIR_RootConstrainSelectedInstOperands,
     /*  824574 */     // GIR_Coverage, 23749,
     /*  824574 */     GIR_EraseRootFromParent_Done,
     /*  824575 */   // Label 12771: @824575
     /*  824575 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(824663), // Rule ID 23752 //
     /*  824580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824627 */     // MIs[1] Operand 1
     /*  824627 */     // No operand predicates
     /*  824627 */     // MIs[0] policy
     /*  824627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824661 */     GIR_RootConstrainSelectedInstOperands,
     /*  824662 */     // GIR_Coverage, 23752,
     /*  824662 */     GIR_EraseRootFromParent_Done,
     /*  824663 */   // Label 12772: @824663
     /*  824663 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(824751), // Rule ID 23753 //
     /*  824668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  824688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824715 */     // MIs[1] Operand 1
     /*  824715 */     // No operand predicates
     /*  824715 */     // MIs[0] policy
     /*  824715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824749 */     GIR_RootConstrainSelectedInstOperands,
     /*  824750 */     // GIR_Coverage, 23753,
     /*  824750 */     GIR_EraseRootFromParent_Done,
     /*  824751 */   // Label 12773: @824751
     /*  824751 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(824839), // Rule ID 23756 //
     /*  824756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824803 */     // MIs[1] Operand 1
     /*  824803 */     // No operand predicates
     /*  824803 */     // MIs[0] policy
     /*  824803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824837 */     GIR_RootConstrainSelectedInstOperands,
     /*  824838 */     // GIR_Coverage, 23756,
     /*  824838 */     GIR_EraseRootFromParent_Done,
     /*  824839 */   // Label 12774: @824839
     /*  824839 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(824927), // Rule ID 23757 //
     /*  824844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  824864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824891 */     // MIs[1] Operand 1
     /*  824891 */     // No operand predicates
     /*  824891 */     // MIs[0] policy
     /*  824891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  824915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824925 */     GIR_RootConstrainSelectedInstOperands,
     /*  824926 */     // GIR_Coverage, 23757,
     /*  824926 */     GIR_EraseRootFromParent_Done,
     /*  824927 */   // Label 12775: @824927
     /*  824927 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(825015), // Rule ID 23760 //
     /*  824932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  824940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  824952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  824971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  824975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  824979 */     // MIs[1] Operand 1
     /*  824979 */     // No operand predicates
     /*  824979 */     // MIs[0] policy
     /*  824979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  824984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824991 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  824994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825013 */     GIR_RootConstrainSelectedInstOperands,
     /*  825014 */     // GIR_Coverage, 23760,
     /*  825014 */     GIR_EraseRootFromParent_Done,
     /*  825015 */   // Label 12776: @825015
     /*  825015 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(825103), // Rule ID 23761 //
     /*  825020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  825037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825067 */     // MIs[1] Operand 1
     /*  825067 */     // No operand predicates
     /*  825067 */     // MIs[0] policy
     /*  825067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  825082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825101 */     GIR_RootConstrainSelectedInstOperands,
     /*  825102 */     // GIR_Coverage, 23761,
     /*  825102 */     GIR_EraseRootFromParent_Done,
     /*  825103 */   // Label 12777: @825103
     /*  825103 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(825191), // Rule ID 23764 //
     /*  825108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  825119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  825122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825155 */     // MIs[1] Operand 1
     /*  825155 */     // No operand predicates
     /*  825155 */     // MIs[0] policy
     /*  825155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  825170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825189 */     GIR_RootConstrainSelectedInstOperands,
     /*  825190 */     // GIR_Coverage, 23764,
     /*  825190 */     GIR_EraseRootFromParent_Done,
     /*  825191 */   // Label 12778: @825191
     /*  825191 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(825279), // Rule ID 23765 //
     /*  825196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  825207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  825210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825243 */     // MIs[1] Operand 1
     /*  825243 */     // No operand predicates
     /*  825243 */     // MIs[0] policy
     /*  825243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825255 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  825258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825277 */     GIR_RootConstrainSelectedInstOperands,
     /*  825278 */     // GIR_Coverage, 23765,
     /*  825278 */     GIR_EraseRootFromParent_Done,
     /*  825279 */   // Label 12779: @825279
     /*  825279 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(825367), // Rule ID 23768 //
     /*  825284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  825295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  825298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825331 */     // MIs[1] Operand 1
     /*  825331 */     // No operand predicates
     /*  825331 */     // MIs[0] policy
     /*  825331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825343 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  825346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825365 */     GIR_RootConstrainSelectedInstOperands,
     /*  825366 */     // GIR_Coverage, 23768,
     /*  825366 */     GIR_EraseRootFromParent_Done,
     /*  825367 */   // Label 12780: @825367
     /*  825367 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(825455), // Rule ID 23769 //
     /*  825372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  825383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  825386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825419 */     // MIs[1] Operand 1
     /*  825419 */     // No operand predicates
     /*  825419 */     // MIs[0] policy
     /*  825419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825431 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  825434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825453 */     GIR_RootConstrainSelectedInstOperands,
     /*  825454 */     // GIR_Coverage, 23769,
     /*  825454 */     GIR_EraseRootFromParent_Done,
     /*  825455 */   // Label 12781: @825455
     /*  825455 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(825543), // Rule ID 23772 //
     /*  825460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  825471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  825474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825507 */     // MIs[1] Operand 1
     /*  825507 */     // No operand predicates
     /*  825507 */     // MIs[0] policy
     /*  825507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825519 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  825522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825541 */     GIR_RootConstrainSelectedInstOperands,
     /*  825542 */     // GIR_Coverage, 23772,
     /*  825542 */     GIR_EraseRootFromParent_Done,
     /*  825543 */   // Label 12782: @825543
     /*  825543 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(825631), // Rule ID 23773 //
     /*  825548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  825559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  825562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825595 */     // MIs[1] Operand 1
     /*  825595 */     // No operand predicates
     /*  825595 */     // MIs[0] policy
     /*  825595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  825610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825629 */     GIR_RootConstrainSelectedInstOperands,
     /*  825630 */     // GIR_Coverage, 23773,
     /*  825630 */     GIR_EraseRootFromParent_Done,
     /*  825631 */   // Label 12783: @825631
     /*  825631 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(825719), // Rule ID 23776 //
     /*  825636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  825647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  825650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825683 */     // MIs[1] Operand 1
     /*  825683 */     // No operand predicates
     /*  825683 */     // MIs[0] policy
     /*  825683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  825698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825717 */     GIR_RootConstrainSelectedInstOperands,
     /*  825718 */     // GIR_Coverage, 23776,
     /*  825718 */     GIR_EraseRootFromParent_Done,
     /*  825719 */   // Label 12784: @825719
     /*  825719 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(825807), // Rule ID 23777 //
     /*  825724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  825735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  825738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825771 */     // MIs[1] Operand 1
     /*  825771 */     // No operand predicates
     /*  825771 */     // MIs[0] policy
     /*  825771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  825786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825805 */     GIR_RootConstrainSelectedInstOperands,
     /*  825806 */     // GIR_Coverage, 23777,
     /*  825806 */     GIR_EraseRootFromParent_Done,
     /*  825807 */   // Label 12785: @825807
     /*  825807 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(825895), // Rule ID 23780 //
     /*  825812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  825823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  825826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825859 */     // MIs[1] Operand 1
     /*  825859 */     // No operand predicates
     /*  825859 */     // MIs[0] policy
     /*  825859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  825874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825893 */     GIR_RootConstrainSelectedInstOperands,
     /*  825894 */     // GIR_Coverage, 23780,
     /*  825894 */     GIR_EraseRootFromParent_Done,
     /*  825895 */   // Label 12786: @825895
     /*  825895 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(825983), // Rule ID 23781 //
     /*  825900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  825911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  825914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825947 */     // MIs[1] Operand 1
     /*  825947 */     // No operand predicates
     /*  825947 */     // MIs[0] policy
     /*  825947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  825962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825981 */     GIR_RootConstrainSelectedInstOperands,
     /*  825982 */     // GIR_Coverage, 23781,
     /*  825982 */     GIR_EraseRootFromParent_Done,
     /*  825983 */   // Label 12787: @825983
     /*  825983 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(826071), // Rule ID 23784 //
     /*  825988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  825996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  825999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  826002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  826005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826035 */     // MIs[1] Operand 1
     /*  826035 */     // No operand predicates
     /*  826035 */     // MIs[0] policy
     /*  826035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826047 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  826050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826069 */     GIR_RootConstrainSelectedInstOperands,
     /*  826070 */     // GIR_Coverage, 23784,
     /*  826070 */     GIR_EraseRootFromParent_Done,
     /*  826071 */   // Label 12788: @826071
     /*  826071 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(826159), // Rule ID 23785 //
     /*  826076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  826087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  826090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  826093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826123 */     // MIs[1] Operand 1
     /*  826123 */     // No operand predicates
     /*  826123 */     // MIs[0] policy
     /*  826123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  826138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826157 */     GIR_RootConstrainSelectedInstOperands,
     /*  826158 */     // GIR_Coverage, 23785,
     /*  826158 */     GIR_EraseRootFromParent_Done,
     /*  826159 */   // Label 12789: @826159
     /*  826159 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(826247), // Rule ID 23788 //
     /*  826164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  826175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  826178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826211 */     // MIs[1] Operand 1
     /*  826211 */     // No operand predicates
     /*  826211 */     // MIs[0] policy
     /*  826211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  826226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826245 */     GIR_RootConstrainSelectedInstOperands,
     /*  826246 */     // GIR_Coverage, 23788,
     /*  826246 */     GIR_EraseRootFromParent_Done,
     /*  826247 */   // Label 12790: @826247
     /*  826247 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(826335), // Rule ID 23789 //
     /*  826252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  826263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  826266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826299 */     // MIs[1] Operand 1
     /*  826299 */     // No operand predicates
     /*  826299 */     // MIs[0] policy
     /*  826299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  826314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826333 */     GIR_RootConstrainSelectedInstOperands,
     /*  826334 */     // GIR_Coverage, 23789,
     /*  826334 */     GIR_EraseRootFromParent_Done,
     /*  826335 */   // Label 12791: @826335
     /*  826335 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(826423), // Rule ID 23792 //
     /*  826340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  826351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  826354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826387 */     // MIs[1] Operand 1
     /*  826387 */     // No operand predicates
     /*  826387 */     // MIs[0] policy
     /*  826387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  826402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826421 */     GIR_RootConstrainSelectedInstOperands,
     /*  826422 */     // GIR_Coverage, 23792,
     /*  826422 */     GIR_EraseRootFromParent_Done,
     /*  826423 */   // Label 12792: @826423
     /*  826423 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(826511), // Rule ID 23793 //
     /*  826428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  826439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  826442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826475 */     // MIs[1] Operand 1
     /*  826475 */     // No operand predicates
     /*  826475 */     // MIs[0] policy
     /*  826475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  826490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826509 */     GIR_RootConstrainSelectedInstOperands,
     /*  826510 */     // GIR_Coverage, 23793,
     /*  826510 */     GIR_EraseRootFromParent_Done,
     /*  826511 */   // Label 12793: @826511
     /*  826511 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(826599), // Rule ID 23796 //
     /*  826516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  826527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  826530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826563 */     // MIs[1] Operand 1
     /*  826563 */     // No operand predicates
     /*  826563 */     // MIs[0] policy
     /*  826563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  826578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826597 */     GIR_RootConstrainSelectedInstOperands,
     /*  826598 */     // GIR_Coverage, 23796,
     /*  826598 */     GIR_EraseRootFromParent_Done,
     /*  826599 */   // Label 12794: @826599
     /*  826599 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(826687), // Rule ID 23797 //
     /*  826604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  826615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  826618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826651 */     // MIs[1] Operand 1
     /*  826651 */     // No operand predicates
     /*  826651 */     // MIs[0] policy
     /*  826651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826663 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  826666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826685 */     GIR_RootConstrainSelectedInstOperands,
     /*  826686 */     // GIR_Coverage, 23797,
     /*  826686 */     GIR_EraseRootFromParent_Done,
     /*  826687 */   // Label 12795: @826687
     /*  826687 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(826775), // Rule ID 23800 //
     /*  826692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  826703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  826706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826739 */     // MIs[1] Operand 1
     /*  826739 */     // No operand predicates
     /*  826739 */     // MIs[0] policy
     /*  826739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826751 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  826754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826773 */     GIR_RootConstrainSelectedInstOperands,
     /*  826774 */     // GIR_Coverage, 23800,
     /*  826774 */     GIR_EraseRootFromParent_Done,
     /*  826775 */   // Label 12796: @826775
     /*  826775 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(826863), // Rule ID 23801 //
     /*  826780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  826791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  826794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826827 */     // MIs[1] Operand 1
     /*  826827 */     // No operand predicates
     /*  826827 */     // MIs[0] policy
     /*  826827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  826842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826861 */     GIR_RootConstrainSelectedInstOperands,
     /*  826862 */     // GIR_Coverage, 23801,
     /*  826862 */     GIR_EraseRootFromParent_Done,
     /*  826863 */   // Label 12797: @826863
     /*  826863 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(826951), // Rule ID 23804 //
     /*  826868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  826879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  826882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826915 */     // MIs[1] Operand 1
     /*  826915 */     // No operand predicates
     /*  826915 */     // MIs[0] policy
     /*  826915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826927 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  826930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826949 */     GIR_RootConstrainSelectedInstOperands,
     /*  826950 */     // GIR_Coverage, 23804,
     /*  826950 */     GIR_EraseRootFromParent_Done,
     /*  826951 */   // Label 12798: @826951
     /*  826951 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(827039), // Rule ID 23805 //
     /*  826956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  826964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  826967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  826970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827003 */     // MIs[1] Operand 1
     /*  827003 */     // No operand predicates
     /*  827003 */     // MIs[0] policy
     /*  827003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  827018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827037 */     GIR_RootConstrainSelectedInstOperands,
     /*  827038 */     // GIR_Coverage, 23805,
     /*  827038 */     GIR_EraseRootFromParent_Done,
     /*  827039 */   // Label 12799: @827039
     /*  827039 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(827127), // Rule ID 23808 //
     /*  827044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  827052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  827055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  827058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  827061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827091 */     // MIs[1] Operand 1
     /*  827091 */     // No operand predicates
     /*  827091 */     // MIs[0] policy
     /*  827091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  827106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827125 */     GIR_RootConstrainSelectedInstOperands,
     /*  827126 */     // GIR_Coverage, 23808,
     /*  827126 */     GIR_EraseRootFromParent_Done,
     /*  827127 */   // Label 12800: @827127
     /*  827127 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(827215), // Rule ID 23809 //
     /*  827132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  827140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  827143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  827146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  827149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827179 */     // MIs[1] Operand 1
     /*  827179 */     // No operand predicates
     /*  827179 */     // MIs[0] policy
     /*  827179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827191 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  827194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827213 */     GIR_RootConstrainSelectedInstOperands,
     /*  827214 */     // GIR_Coverage, 23809,
     /*  827214 */     GIR_EraseRootFromParent_Done,
     /*  827215 */   // Label 12801: @827215
     /*  827215 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(827303), // Rule ID 24048 //
     /*  827220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  827223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  827231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  827234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827267 */     // MIs[1] Operand 1
     /*  827267 */     // No operand predicates
     /*  827267 */     // MIs[0] policy
     /*  827267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827279 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  827282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827301 */     GIR_RootConstrainSelectedInstOperands,
     /*  827302 */     // GIR_Coverage, 24048,
     /*  827302 */     GIR_EraseRootFromParent_Done,
     /*  827303 */   // Label 12802: @827303
     /*  827303 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(827391), // Rule ID 24049 //
     /*  827308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  827311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  827319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  827322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827355 */     // MIs[1] Operand 1
     /*  827355 */     // No operand predicates
     /*  827355 */     // MIs[0] policy
     /*  827355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  827370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827389 */     GIR_RootConstrainSelectedInstOperands,
     /*  827390 */     // GIR_Coverage, 24049,
     /*  827390 */     GIR_EraseRootFromParent_Done,
     /*  827391 */   // Label 12803: @827391
     /*  827391 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(827479), // Rule ID 24052 //
     /*  827396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  827399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  827407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  827410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827443 */     // MIs[1] Operand 1
     /*  827443 */     // No operand predicates
     /*  827443 */     // MIs[0] policy
     /*  827443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827455 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  827458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827477 */     GIR_RootConstrainSelectedInstOperands,
     /*  827478 */     // GIR_Coverage, 24052,
     /*  827478 */     GIR_EraseRootFromParent_Done,
     /*  827479 */   // Label 12804: @827479
     /*  827479 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(827567), // Rule ID 24053 //
     /*  827484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  827487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  827495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  827498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827531 */     // MIs[1] Operand 1
     /*  827531 */     // No operand predicates
     /*  827531 */     // MIs[0] policy
     /*  827531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  827546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827565 */     GIR_RootConstrainSelectedInstOperands,
     /*  827566 */     // GIR_Coverage, 24053,
     /*  827566 */     GIR_EraseRootFromParent_Done,
     /*  827567 */   // Label 12805: @827567
     /*  827567 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(827655), // Rule ID 24056 //
     /*  827572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  827575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  827583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  827586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827619 */     // MIs[1] Operand 1
     /*  827619 */     // No operand predicates
     /*  827619 */     // MIs[0] policy
     /*  827619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  827634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827653 */     GIR_RootConstrainSelectedInstOperands,
     /*  827654 */     // GIR_Coverage, 24056,
     /*  827654 */     GIR_EraseRootFromParent_Done,
     /*  827655 */   // Label 12806: @827655
     /*  827655 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(827743), // Rule ID 24057 //
     /*  827660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  827663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  827671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  827674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827707 */     // MIs[1] Operand 1
     /*  827707 */     // No operand predicates
     /*  827707 */     // MIs[0] policy
     /*  827707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827719 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  827722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827741 */     GIR_RootConstrainSelectedInstOperands,
     /*  827742 */     // GIR_Coverage, 24057,
     /*  827742 */     GIR_EraseRootFromParent_Done,
     /*  827743 */   // Label 12807: @827743
     /*  827743 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(827831), // Rule ID 24060 //
     /*  827748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  827751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827795 */     // MIs[1] Operand 1
     /*  827795 */     // No operand predicates
     /*  827795 */     // MIs[0] policy
     /*  827795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827807 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827829 */     GIR_RootConstrainSelectedInstOperands,
     /*  827830 */     // GIR_Coverage, 24060,
     /*  827830 */     GIR_EraseRootFromParent_Done,
     /*  827831 */   // Label 12808: @827831
     /*  827831 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(827919), // Rule ID 24061 //
     /*  827836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  827839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827883 */     // MIs[1] Operand 1
     /*  827883 */     // No operand predicates
     /*  827883 */     // MIs[0] policy
     /*  827883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827917 */     GIR_RootConstrainSelectedInstOperands,
     /*  827918 */     // GIR_Coverage, 24061,
     /*  827918 */     GIR_EraseRootFromParent_Done,
     /*  827919 */   // Label 12809: @827919
     /*  827919 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(828007), // Rule ID 24064 //
     /*  827924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  827927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827971 */     // MIs[1] Operand 1
     /*  827971 */     // No operand predicates
     /*  827971 */     // MIs[0] policy
     /*  827971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828005 */     GIR_RootConstrainSelectedInstOperands,
     /*  828006 */     // GIR_Coverage, 24064,
     /*  828006 */     GIR_EraseRootFromParent_Done,
     /*  828007 */   // Label 12810: @828007
     /*  828007 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(828095), // Rule ID 24065 //
     /*  828012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  828015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  828029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828059 */     // MIs[1] Operand 1
     /*  828059 */     // No operand predicates
     /*  828059 */     // MIs[0] policy
     /*  828059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  828074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828093 */     GIR_RootConstrainSelectedInstOperands,
     /*  828094 */     // GIR_Coverage, 24065,
     /*  828094 */     GIR_EraseRootFromParent_Done,
     /*  828095 */   // Label 12811: @828095
     /*  828095 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(828183), // Rule ID 24068 //
     /*  828100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  828103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828147 */     // MIs[1] Operand 1
     /*  828147 */     // No operand predicates
     /*  828147 */     // MIs[0] policy
     /*  828147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828159 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  828162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828181 */     GIR_RootConstrainSelectedInstOperands,
     /*  828182 */     // GIR_Coverage, 24068,
     /*  828182 */     GIR_EraseRootFromParent_Done,
     /*  828183 */   // Label 12812: @828183
     /*  828183 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(828271), // Rule ID 24069 //
     /*  828188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  828191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828235 */     // MIs[1] Operand 1
     /*  828235 */     // No operand predicates
     /*  828235 */     // MIs[0] policy
     /*  828235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828247 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  828250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828269 */     GIR_RootConstrainSelectedInstOperands,
     /*  828270 */     // GIR_Coverage, 24069,
     /*  828270 */     GIR_EraseRootFromParent_Done,
     /*  828271 */   // Label 12813: @828271
     /*  828271 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(828359), // Rule ID 24072 //
     /*  828276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  828279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  828287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  828290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828323 */     // MIs[1] Operand 1
     /*  828323 */     // No operand predicates
     /*  828323 */     // MIs[0] policy
     /*  828323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828335 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828357 */     GIR_RootConstrainSelectedInstOperands,
     /*  828358 */     // GIR_Coverage, 24072,
     /*  828358 */     GIR_EraseRootFromParent_Done,
     /*  828359 */   // Label 12814: @828359
     /*  828359 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(828447), // Rule ID 24073 //
     /*  828364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  828367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  828375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  828378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828411 */     // MIs[1] Operand 1
     /*  828411 */     // No operand predicates
     /*  828411 */     // MIs[0] policy
     /*  828411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828445 */     GIR_RootConstrainSelectedInstOperands,
     /*  828446 */     // GIR_Coverage, 24073,
     /*  828446 */     GIR_EraseRootFromParent_Done,
     /*  828447 */   // Label 12815: @828447
     /*  828447 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(828535), // Rule ID 24076 //
     /*  828452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  828455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  828463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  828466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828499 */     // MIs[1] Operand 1
     /*  828499 */     // No operand predicates
     /*  828499 */     // MIs[0] policy
     /*  828499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828511 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828533 */     GIR_RootConstrainSelectedInstOperands,
     /*  828534 */     // GIR_Coverage, 24076,
     /*  828534 */     GIR_EraseRootFromParent_Done,
     /*  828535 */   // Label 12816: @828535
     /*  828535 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(828623), // Rule ID 24077 //
     /*  828540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  828543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  828551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  828554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828587 */     // MIs[1] Operand 1
     /*  828587 */     // No operand predicates
     /*  828587 */     // MIs[0] policy
     /*  828587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828599 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828621 */     GIR_RootConstrainSelectedInstOperands,
     /*  828622 */     // GIR_Coverage, 24077,
     /*  828622 */     GIR_EraseRootFromParent_Done,
     /*  828623 */   // Label 12817: @828623
     /*  828623 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(828711), // Rule ID 24080 //
     /*  828628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  828631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  828639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  828642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828675 */     // MIs[1] Operand 1
     /*  828675 */     // No operand predicates
     /*  828675 */     // MIs[0] policy
     /*  828675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828687 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828709 */     GIR_RootConstrainSelectedInstOperands,
     /*  828710 */     // GIR_Coverage, 24080,
     /*  828710 */     GIR_EraseRootFromParent_Done,
     /*  828711 */   // Label 12818: @828711
     /*  828711 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(828799), // Rule ID 24081 //
     /*  828716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  828719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  828727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  828730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828763 */     // MIs[1] Operand 1
     /*  828763 */     // No operand predicates
     /*  828763 */     // MIs[0] policy
     /*  828763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828775 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828797 */     GIR_RootConstrainSelectedInstOperands,
     /*  828798 */     // GIR_Coverage, 24081,
     /*  828798 */     GIR_EraseRootFromParent_Done,
     /*  828799 */   // Label 12819: @828799
     /*  828799 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(828887), // Rule ID 24084 //
     /*  828804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  828807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  828815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  828818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828851 */     // MIs[1] Operand 1
     /*  828851 */     // No operand predicates
     /*  828851 */     // MIs[0] policy
     /*  828851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828863 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828885 */     GIR_RootConstrainSelectedInstOperands,
     /*  828886 */     // GIR_Coverage, 24084,
     /*  828886 */     GIR_EraseRootFromParent_Done,
     /*  828887 */   // Label 12820: @828887
     /*  828887 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(828975), // Rule ID 24085 //
     /*  828892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  828895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  828903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  828906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828939 */     // MIs[1] Operand 1
     /*  828939 */     // No operand predicates
     /*  828939 */     // MIs[0] policy
     /*  828939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828951 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828973 */     GIR_RootConstrainSelectedInstOperands,
     /*  828974 */     // GIR_Coverage, 24085,
     /*  828974 */     GIR_EraseRootFromParent_Done,
     /*  828975 */   // Label 12821: @828975
     /*  828975 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(829063), // Rule ID 24088 //
     /*  828980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  828983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  828991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  828994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829027 */     // MIs[1] Operand 1
     /*  829027 */     // No operand predicates
     /*  829027 */     // MIs[0] policy
     /*  829027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829039 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829061 */     GIR_RootConstrainSelectedInstOperands,
     /*  829062 */     // GIR_Coverage, 24088,
     /*  829062 */     GIR_EraseRootFromParent_Done,
     /*  829063 */   // Label 12822: @829063
     /*  829063 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(829151), // Rule ID 24089 //
     /*  829068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  829071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  829079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  829082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829115 */     // MIs[1] Operand 1
     /*  829115 */     // No operand predicates
     /*  829115 */     // MIs[0] policy
     /*  829115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829127 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829149 */     GIR_RootConstrainSelectedInstOperands,
     /*  829150 */     // GIR_Coverage, 24089,
     /*  829150 */     GIR_EraseRootFromParent_Done,
     /*  829151 */   // Label 12823: @829151
     /*  829151 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(829239), // Rule ID 24092 //
     /*  829156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  829159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  829167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  829170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829203 */     // MIs[1] Operand 1
     /*  829203 */     // No operand predicates
     /*  829203 */     // MIs[0] policy
     /*  829203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829215 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829237 */     GIR_RootConstrainSelectedInstOperands,
     /*  829238 */     // GIR_Coverage, 24092,
     /*  829238 */     GIR_EraseRootFromParent_Done,
     /*  829239 */   // Label 12824: @829239
     /*  829239 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(829327), // Rule ID 24093 //
     /*  829244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  829247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  829255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  829258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829291 */     // MIs[1] Operand 1
     /*  829291 */     // No operand predicates
     /*  829291 */     // MIs[0] policy
     /*  829291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829303 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829325 */     GIR_RootConstrainSelectedInstOperands,
     /*  829326 */     // GIR_Coverage, 24093,
     /*  829326 */     GIR_EraseRootFromParent_Done,
     /*  829327 */   // Label 12825: @829327
     /*  829327 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(829415), // Rule ID 24096 //
     /*  829332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  829335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  829343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  829346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829379 */     // MIs[1] Operand 1
     /*  829379 */     // No operand predicates
     /*  829379 */     // MIs[0] policy
     /*  829379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829391 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  829394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829413 */     GIR_RootConstrainSelectedInstOperands,
     /*  829414 */     // GIR_Coverage, 24096,
     /*  829414 */     GIR_EraseRootFromParent_Done,
     /*  829415 */   // Label 12826: @829415
     /*  829415 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(829503), // Rule ID 24097 //
     /*  829420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  829423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  829431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  829434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829467 */     // MIs[1] Operand 1
     /*  829467 */     // No operand predicates
     /*  829467 */     // MIs[0] policy
     /*  829467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829479 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  829482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829501 */     GIR_RootConstrainSelectedInstOperands,
     /*  829502 */     // GIR_Coverage, 24097,
     /*  829502 */     GIR_EraseRootFromParent_Done,
     /*  829503 */   // Label 12827: @829503
     /*  829503 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(829591), // Rule ID 24100 //
     /*  829508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  829511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  829519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  829522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829555 */     // MIs[1] Operand 1
     /*  829555 */     // No operand predicates
     /*  829555 */     // MIs[0] policy
     /*  829555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829567 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829589 */     GIR_RootConstrainSelectedInstOperands,
     /*  829590 */     // GIR_Coverage, 24100,
     /*  829590 */     GIR_EraseRootFromParent_Done,
     /*  829591 */   // Label 12828: @829591
     /*  829591 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(829679), // Rule ID 24101 //
     /*  829596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  829599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  829607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  829610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829643 */     // MIs[1] Operand 1
     /*  829643 */     // No operand predicates
     /*  829643 */     // MIs[0] policy
     /*  829643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829655 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829677 */     GIR_RootConstrainSelectedInstOperands,
     /*  829678 */     // GIR_Coverage, 24101,
     /*  829678 */     GIR_EraseRootFromParent_Done,
     /*  829679 */   // Label 12829: @829679
     /*  829679 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(829767), // Rule ID 24104 //
     /*  829684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  829687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  829695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  829698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829731 */     // MIs[1] Operand 1
     /*  829731 */     // No operand predicates
     /*  829731 */     // MIs[0] policy
     /*  829731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829743 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829765 */     GIR_RootConstrainSelectedInstOperands,
     /*  829766 */     // GIR_Coverage, 24104,
     /*  829766 */     GIR_EraseRootFromParent_Done,
     /*  829767 */   // Label 12830: @829767
     /*  829767 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(829855), // Rule ID 24105 //
     /*  829772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  829775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  829783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  829786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829819 */     // MIs[1] Operand 1
     /*  829819 */     // No operand predicates
     /*  829819 */     // MIs[0] policy
     /*  829819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829831 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829853 */     GIR_RootConstrainSelectedInstOperands,
     /*  829854 */     // GIR_Coverage, 24105,
     /*  829854 */     GIR_EraseRootFromParent_Done,
     /*  829855 */   // Label 12831: @829855
     /*  829855 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(829943), // Rule ID 24168 //
     /*  829860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  829863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  829871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  829874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829907 */     // MIs[1] Operand 1
     /*  829907 */     // No operand predicates
     /*  829907 */     // MIs[0] policy
     /*  829907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829919 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  829922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829941 */     GIR_RootConstrainSelectedInstOperands,
     /*  829942 */     // GIR_Coverage, 24168,
     /*  829942 */     GIR_EraseRootFromParent_Done,
     /*  829943 */   // Label 12832: @829943
     /*  829943 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(830031), // Rule ID 24169 //
     /*  829948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  829951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  829959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  829962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829995 */     // MIs[1] Operand 1
     /*  829995 */     // No operand predicates
     /*  829995 */     // MIs[0] policy
     /*  829995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830007 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  830010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830029 */     GIR_RootConstrainSelectedInstOperands,
     /*  830030 */     // GIR_Coverage, 24169,
     /*  830030 */     GIR_EraseRootFromParent_Done,
     /*  830031 */   // Label 12833: @830031
     /*  830031 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(830119), // Rule ID 24172 //
     /*  830036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  830039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  830047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  830050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830083 */     // MIs[1] Operand 1
     /*  830083 */     // No operand predicates
     /*  830083 */     // MIs[0] policy
     /*  830083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830095 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830117 */     GIR_RootConstrainSelectedInstOperands,
     /*  830118 */     // GIR_Coverage, 24172,
     /*  830118 */     GIR_EraseRootFromParent_Done,
     /*  830119 */   // Label 12834: @830119
     /*  830119 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(830207), // Rule ID 24173 //
     /*  830124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  830127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  830135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  830138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830171 */     // MIs[1] Operand 1
     /*  830171 */     // No operand predicates
     /*  830171 */     // MIs[0] policy
     /*  830171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830183 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830205 */     GIR_RootConstrainSelectedInstOperands,
     /*  830206 */     // GIR_Coverage, 24173,
     /*  830206 */     GIR_EraseRootFromParent_Done,
     /*  830207 */   // Label 12835: @830207
     /*  830207 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(830295), // Rule ID 24176 //
     /*  830212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  830215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  830223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  830226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830259 */     // MIs[1] Operand 1
     /*  830259 */     // No operand predicates
     /*  830259 */     // MIs[0] policy
     /*  830259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830271 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830293 */     GIR_RootConstrainSelectedInstOperands,
     /*  830294 */     // GIR_Coverage, 24176,
     /*  830294 */     GIR_EraseRootFromParent_Done,
     /*  830295 */   // Label 12836: @830295
     /*  830295 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(830383), // Rule ID 24177 //
     /*  830300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  830303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  830311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  830314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830347 */     // MIs[1] Operand 1
     /*  830347 */     // No operand predicates
     /*  830347 */     // MIs[0] policy
     /*  830347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830359 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830381 */     GIR_RootConstrainSelectedInstOperands,
     /*  830382 */     // GIR_Coverage, 24177,
     /*  830382 */     GIR_EraseRootFromParent_Done,
     /*  830383 */   // Label 12837: @830383
     /*  830383 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(830471), // Rule ID 24180 //
     /*  830388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  830391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830435 */     // MIs[1] Operand 1
     /*  830435 */     // No operand predicates
     /*  830435 */     // MIs[0] policy
     /*  830435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830447 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830469 */     GIR_RootConstrainSelectedInstOperands,
     /*  830470 */     // GIR_Coverage, 24180,
     /*  830470 */     GIR_EraseRootFromParent_Done,
     /*  830471 */   // Label 12838: @830471
     /*  830471 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(830559), // Rule ID 24181 //
     /*  830476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  830479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830523 */     // MIs[1] Operand 1
     /*  830523 */     // No operand predicates
     /*  830523 */     // MIs[0] policy
     /*  830523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830535 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830557 */     GIR_RootConstrainSelectedInstOperands,
     /*  830558 */     // GIR_Coverage, 24181,
     /*  830558 */     GIR_EraseRootFromParent_Done,
     /*  830559 */   // Label 12839: @830559
     /*  830559 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(830647), // Rule ID 24184 //
     /*  830564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  830567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830611 */     // MIs[1] Operand 1
     /*  830611 */     // No operand predicates
     /*  830611 */     // MIs[0] policy
     /*  830611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830623 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830645 */     GIR_RootConstrainSelectedInstOperands,
     /*  830646 */     // GIR_Coverage, 24184,
     /*  830646 */     GIR_EraseRootFromParent_Done,
     /*  830647 */   // Label 12840: @830647
     /*  830647 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(830735), // Rule ID 24185 //
     /*  830652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  830655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830699 */     // MIs[1] Operand 1
     /*  830699 */     // No operand predicates
     /*  830699 */     // MIs[0] policy
     /*  830699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830711 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830733 */     GIR_RootConstrainSelectedInstOperands,
     /*  830734 */     // GIR_Coverage, 24185,
     /*  830734 */     GIR_EraseRootFromParent_Done,
     /*  830735 */   // Label 12841: @830735
     /*  830735 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(830823), // Rule ID 24188 //
     /*  830740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  830743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830787 */     // MIs[1] Operand 1
     /*  830787 */     // No operand predicates
     /*  830787 */     // MIs[0] policy
     /*  830787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830821 */     GIR_RootConstrainSelectedInstOperands,
     /*  830822 */     // GIR_Coverage, 24188,
     /*  830822 */     GIR_EraseRootFromParent_Done,
     /*  830823 */   // Label 12842: @830823
     /*  830823 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(830911), // Rule ID 24189 //
     /*  830828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  830831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830875 */     // MIs[1] Operand 1
     /*  830875 */     // No operand predicates
     /*  830875 */     // MIs[0] policy
     /*  830875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830887 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830909 */     GIR_RootConstrainSelectedInstOperands,
     /*  830910 */     // GIR_Coverage, 24189,
     /*  830910 */     GIR_EraseRootFromParent_Done,
     /*  830911 */   // Label 12843: @830911
     /*  830911 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(830999), // Rule ID 24192 //
     /*  830916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  830919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  830927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  830930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830963 */     // MIs[1] Operand 1
     /*  830963 */     // No operand predicates
     /*  830963 */     // MIs[0] policy
     /*  830963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830975 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  830978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830997 */     GIR_RootConstrainSelectedInstOperands,
     /*  830998 */     // GIR_Coverage, 24192,
     /*  830998 */     GIR_EraseRootFromParent_Done,
     /*  830999 */   // Label 12844: @830999
     /*  830999 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(831087), // Rule ID 24193 //
     /*  831004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  831015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  831018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831051 */     // MIs[1] Operand 1
     /*  831051 */     // No operand predicates
     /*  831051 */     // MIs[0] policy
     /*  831051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831063 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831085 */     GIR_RootConstrainSelectedInstOperands,
     /*  831086 */     // GIR_Coverage, 24193,
     /*  831086 */     GIR_EraseRootFromParent_Done,
     /*  831087 */   // Label 12845: @831087
     /*  831087 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(831175), // Rule ID 24196 //
     /*  831092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  831103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  831106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831139 */     // MIs[1] Operand 1
     /*  831139 */     // No operand predicates
     /*  831139 */     // MIs[0] policy
     /*  831139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831151 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831173 */     GIR_RootConstrainSelectedInstOperands,
     /*  831174 */     // GIR_Coverage, 24196,
     /*  831174 */     GIR_EraseRootFromParent_Done,
     /*  831175 */   // Label 12846: @831175
     /*  831175 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(831263), // Rule ID 24197 //
     /*  831180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  831191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  831194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831227 */     // MIs[1] Operand 1
     /*  831227 */     // No operand predicates
     /*  831227 */     // MIs[0] policy
     /*  831227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831239 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831261 */     GIR_RootConstrainSelectedInstOperands,
     /*  831262 */     // GIR_Coverage, 24197,
     /*  831262 */     GIR_EraseRootFromParent_Done,
     /*  831263 */   // Label 12847: @831263
     /*  831263 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(831351), // Rule ID 24200 //
     /*  831268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  831279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  831282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831315 */     // MIs[1] Operand 1
     /*  831315 */     // No operand predicates
     /*  831315 */     // MIs[0] policy
     /*  831315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831327 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831349 */     GIR_RootConstrainSelectedInstOperands,
     /*  831350 */     // GIR_Coverage, 24200,
     /*  831350 */     GIR_EraseRootFromParent_Done,
     /*  831351 */   // Label 12848: @831351
     /*  831351 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(831439), // Rule ID 24201 //
     /*  831356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  831367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  831370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  831373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831403 */     // MIs[1] Operand 1
     /*  831403 */     // No operand predicates
     /*  831403 */     // MIs[0] policy
     /*  831403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831415 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831437 */     GIR_RootConstrainSelectedInstOperands,
     /*  831438 */     // GIR_Coverage, 24201,
     /*  831438 */     GIR_EraseRootFromParent_Done,
     /*  831439 */   // Label 12849: @831439
     /*  831439 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(831527), // Rule ID 24204 //
     /*  831444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  831447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  831455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  831458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831491 */     // MIs[1] Operand 1
     /*  831491 */     // No operand predicates
     /*  831491 */     // MIs[0] policy
     /*  831491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831503 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831525 */     GIR_RootConstrainSelectedInstOperands,
     /*  831526 */     // GIR_Coverage, 24204,
     /*  831526 */     GIR_EraseRootFromParent_Done,
     /*  831527 */   // Label 12850: @831527
     /*  831527 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(831615), // Rule ID 24205 //
     /*  831532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  831535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  831543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  831546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  831549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831579 */     // MIs[1] Operand 1
     /*  831579 */     // No operand predicates
     /*  831579 */     // MIs[0] policy
     /*  831579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831591 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831613 */     GIR_RootConstrainSelectedInstOperands,
     /*  831614 */     // GIR_Coverage, 24205,
     /*  831614 */     GIR_EraseRootFromParent_Done,
     /*  831615 */   // Label 12851: @831615
     /*  831615 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(831703), // Rule ID 24208 //
     /*  831620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  831623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  831631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  831634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831667 */     // MIs[1] Operand 1
     /*  831667 */     // No operand predicates
     /*  831667 */     // MIs[0] policy
     /*  831667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831679 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831701 */     GIR_RootConstrainSelectedInstOperands,
     /*  831702 */     // GIR_Coverage, 24208,
     /*  831702 */     GIR_EraseRootFromParent_Done,
     /*  831703 */   // Label 12852: @831703
     /*  831703 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(831791), // Rule ID 24209 //
     /*  831708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  831711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  831719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  831722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  831725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831755 */     // MIs[1] Operand 1
     /*  831755 */     // No operand predicates
     /*  831755 */     // MIs[0] policy
     /*  831755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831767 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831789 */     GIR_RootConstrainSelectedInstOperands,
     /*  831790 */     // GIR_Coverage, 24209,
     /*  831790 */     GIR_EraseRootFromParent_Done,
     /*  831791 */   // Label 12853: @831791
     /*  831791 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(831879), // Rule ID 24212 //
     /*  831796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  831799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  831807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  831810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831843 */     // MIs[1] Operand 1
     /*  831843 */     // No operand predicates
     /*  831843 */     // MIs[0] policy
     /*  831843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831855 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831877 */     GIR_RootConstrainSelectedInstOperands,
     /*  831878 */     // GIR_Coverage, 24212,
     /*  831878 */     GIR_EraseRootFromParent_Done,
     /*  831879 */   // Label 12854: @831879
     /*  831879 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(831967), // Rule ID 24213 //
     /*  831884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  831887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  831895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  831898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  831901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831931 */     // MIs[1] Operand 1
     /*  831931 */     // No operand predicates
     /*  831931 */     // MIs[0] policy
     /*  831931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831943 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831965 */     GIR_RootConstrainSelectedInstOperands,
     /*  831966 */     // GIR_Coverage, 24213,
     /*  831966 */     GIR_EraseRootFromParent_Done,
     /*  831967 */   // Label 12855: @831967
     /*  831967 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(832055), // Rule ID 24216 //
     /*  831972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  831975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  831983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  831986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  831989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832019 */     // MIs[1] Operand 1
     /*  832019 */     // No operand predicates
     /*  832019 */     // MIs[0] policy
     /*  832019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832053 */     GIR_RootConstrainSelectedInstOperands,
     /*  832054 */     // GIR_Coverage, 24216,
     /*  832054 */     GIR_EraseRootFromParent_Done,
     /*  832055 */   // Label 12856: @832055
     /*  832055 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(832143), // Rule ID 24217 //
     /*  832060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  832063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  832071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  832074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832107 */     // MIs[1] Operand 1
     /*  832107 */     // No operand predicates
     /*  832107 */     // MIs[0] policy
     /*  832107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832119 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832141 */     GIR_RootConstrainSelectedInstOperands,
     /*  832142 */     // GIR_Coverage, 24217,
     /*  832142 */     GIR_EraseRootFromParent_Done,
     /*  832143 */   // Label 12857: @832143
     /*  832143 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(832231), // Rule ID 24220 //
     /*  832148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  832151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  832159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  832162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832195 */     // MIs[1] Operand 1
     /*  832195 */     // No operand predicates
     /*  832195 */     // MIs[0] policy
     /*  832195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832207 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  832210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832229 */     GIR_RootConstrainSelectedInstOperands,
     /*  832230 */     // GIR_Coverage, 24220,
     /*  832230 */     GIR_EraseRootFromParent_Done,
     /*  832231 */   // Label 12858: @832231
     /*  832231 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(832319), // Rule ID 24221 //
     /*  832236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  832239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  832247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  832250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832283 */     // MIs[1] Operand 1
     /*  832283 */     // No operand predicates
     /*  832283 */     // MIs[0] policy
     /*  832283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832295 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  832298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832317 */     GIR_RootConstrainSelectedInstOperands,
     /*  832318 */     // GIR_Coverage, 24221,
     /*  832318 */     GIR_EraseRootFromParent_Done,
     /*  832319 */   // Label 12859: @832319
     /*  832319 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(832407), // Rule ID 24224 //
     /*  832324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  832327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  832335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  832338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832371 */     // MIs[1] Operand 1
     /*  832371 */     // No operand predicates
     /*  832371 */     // MIs[0] policy
     /*  832371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832405 */     GIR_RootConstrainSelectedInstOperands,
     /*  832406 */     // GIR_Coverage, 24224,
     /*  832406 */     GIR_EraseRootFromParent_Done,
     /*  832407 */   // Label 12860: @832407
     /*  832407 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(832495), // Rule ID 24225 //
     /*  832412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  832415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  832423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  832426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  832429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832459 */     // MIs[1] Operand 1
     /*  832459 */     // No operand predicates
     /*  832459 */     // MIs[0] policy
     /*  832459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832471 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832493 */     GIR_RootConstrainSelectedInstOperands,
     /*  832494 */     // GIR_Coverage, 24225,
     /*  832494 */     GIR_EraseRootFromParent_Done,
     /*  832495 */   // Label 12861: @832495
     /*  832495 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(832586), // Rule ID 15836 //
     /*  832500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  832511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  832514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  832523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832547 */     // MIs[1] Operand 1
     /*  832547 */     // No operand predicates
     /*  832547 */     // MIs[0] round
     /*  832547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  832550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  832562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  832566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  832573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832584 */     GIR_RootConstrainSelectedInstOperands,
     /*  832585 */     // GIR_Coverage, 15836,
     /*  832585 */     GIR_EraseRootFromParent_Done,
     /*  832586 */   // Label 12862: @832586
     /*  832586 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(832677), // Rule ID 15837 //
     /*  832591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  832602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  832605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  832608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  832614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832638 */     // MIs[1] Operand 1
     /*  832638 */     // No operand predicates
     /*  832638 */     // MIs[0] round
     /*  832638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  832641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  832653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  832657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  832664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832675 */     GIR_RootConstrainSelectedInstOperands,
     /*  832676 */     // GIR_Coverage, 15837,
     /*  832676 */     GIR_EraseRootFromParent_Done,
     /*  832677 */   // Label 12863: @832677
     /*  832677 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(832768), // Rule ID 15840 //
     /*  832682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  832693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  832696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  832705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832729 */     // MIs[1] Operand 1
     /*  832729 */     // No operand predicates
     /*  832729 */     // MIs[0] round
     /*  832729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  832732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832741 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  832744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  832748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  832755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832766 */     GIR_RootConstrainSelectedInstOperands,
     /*  832767 */     // GIR_Coverage, 15840,
     /*  832767 */     GIR_EraseRootFromParent_Done,
     /*  832768 */   // Label 12864: @832768
     /*  832768 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(832859), // Rule ID 15841 //
     /*  832773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  832784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  832787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  832790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  832796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832820 */     // MIs[1] Operand 1
     /*  832820 */     // No operand predicates
     /*  832820 */     // MIs[0] round
     /*  832820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  832823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  832835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  832839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  832846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832857 */     GIR_RootConstrainSelectedInstOperands,
     /*  832858 */     // GIR_Coverage, 15841,
     /*  832858 */     GIR_EraseRootFromParent_Done,
     /*  832859 */   // Label 12865: @832859
     /*  832859 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(832950), // Rule ID 15844 //
     /*  832864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  832875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  832878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  832887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832911 */     // MIs[1] Operand 1
     /*  832911 */     // No operand predicates
     /*  832911 */     // MIs[0] round
     /*  832911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  832914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  832926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  832930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  832937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832948 */     GIR_RootConstrainSelectedInstOperands,
     /*  832949 */     // GIR_Coverage, 15844,
     /*  832949 */     GIR_EraseRootFromParent_Done,
     /*  832950 */   // Label 12866: @832950
     /*  832950 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(833041), // Rule ID 15845 //
     /*  832955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  832963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  832966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  832969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  832972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  832978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833002 */     // MIs[1] Operand 1
     /*  833002 */     // No operand predicates
     /*  833002 */     // MIs[0] round
     /*  833002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833014 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  833017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833039 */     GIR_RootConstrainSelectedInstOperands,
     /*  833040 */     // GIR_Coverage, 15845,
     /*  833040 */     GIR_EraseRootFromParent_Done,
     /*  833041 */   // Label 12867: @833041
     /*  833041 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(833132), // Rule ID 15848 //
     /*  833046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  833057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  833060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833093 */     // MIs[1] Operand 1
     /*  833093 */     // No operand predicates
     /*  833093 */     // MIs[0] round
     /*  833093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  833108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833130 */     GIR_RootConstrainSelectedInstOperands,
     /*  833131 */     // GIR_Coverage, 15848,
     /*  833131 */     GIR_EraseRootFromParent_Done,
     /*  833132 */   // Label 12868: @833132
     /*  833132 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(833223), // Rule ID 15849 //
     /*  833137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  833148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  833151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  833160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833184 */     // MIs[1] Operand 1
     /*  833184 */     // No operand predicates
     /*  833184 */     // MIs[0] round
     /*  833184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  833199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833221 */     GIR_RootConstrainSelectedInstOperands,
     /*  833222 */     // GIR_Coverage, 15849,
     /*  833222 */     GIR_EraseRootFromParent_Done,
     /*  833223 */   // Label 12869: @833223
     /*  833223 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(833314), // Rule ID 15852 //
     /*  833228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  833239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  833242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833275 */     // MIs[1] Operand 1
     /*  833275 */     // No operand predicates
     /*  833275 */     // MIs[0] round
     /*  833275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  833290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833312 */     GIR_RootConstrainSelectedInstOperands,
     /*  833313 */     // GIR_Coverage, 15852,
     /*  833313 */     GIR_EraseRootFromParent_Done,
     /*  833314 */   // Label 12870: @833314
     /*  833314 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(833405), // Rule ID 15853 //
     /*  833319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  833330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  833333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  833342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833366 */     // MIs[1] Operand 1
     /*  833366 */     // No operand predicates
     /*  833366 */     // MIs[0] round
     /*  833366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  833381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833403 */     GIR_RootConstrainSelectedInstOperands,
     /*  833404 */     // GIR_Coverage, 15853,
     /*  833404 */     GIR_EraseRootFromParent_Done,
     /*  833405 */   // Label 12871: @833405
     /*  833405 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(833496), // Rule ID 15856 //
     /*  833410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  833421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  833424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833457 */     // MIs[1] Operand 1
     /*  833457 */     // No operand predicates
     /*  833457 */     // MIs[0] round
     /*  833457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  833472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833494 */     GIR_RootConstrainSelectedInstOperands,
     /*  833495 */     // GIR_Coverage, 15856,
     /*  833495 */     GIR_EraseRootFromParent_Done,
     /*  833496 */   // Label 12872: @833496
     /*  833496 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(833587), // Rule ID 15857 //
     /*  833501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  833512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  833515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  833524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833548 */     // MIs[1] Operand 1
     /*  833548 */     // No operand predicates
     /*  833548 */     // MIs[0] round
     /*  833548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  833563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833585 */     GIR_RootConstrainSelectedInstOperands,
     /*  833586 */     // GIR_Coverage, 15857,
     /*  833586 */     GIR_EraseRootFromParent_Done,
     /*  833587 */   // Label 12873: @833587
     /*  833587 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(833678), // Rule ID 15860 //
     /*  833592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833639 */     // MIs[1] Operand 1
     /*  833639 */     // No operand predicates
     /*  833639 */     // MIs[0] round
     /*  833639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  833654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833676 */     GIR_RootConstrainSelectedInstOperands,
     /*  833677 */     // GIR_Coverage, 15860,
     /*  833677 */     GIR_EraseRootFromParent_Done,
     /*  833678 */   // Label 12874: @833678
     /*  833678 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(833769), // Rule ID 15861 //
     /*  833683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  833706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833730 */     // MIs[1] Operand 1
     /*  833730 */     // No operand predicates
     /*  833730 */     // MIs[0] round
     /*  833730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  833745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833767 */     GIR_RootConstrainSelectedInstOperands,
     /*  833768 */     // GIR_Coverage, 15861,
     /*  833768 */     GIR_EraseRootFromParent_Done,
     /*  833769 */   // Label 12875: @833769
     /*  833769 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(833860), // Rule ID 15864 //
     /*  833774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833821 */     // MIs[1] Operand 1
     /*  833821 */     // No operand predicates
     /*  833821 */     // MIs[0] round
     /*  833821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  833836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833858 */     GIR_RootConstrainSelectedInstOperands,
     /*  833859 */     // GIR_Coverage, 15864,
     /*  833859 */     GIR_EraseRootFromParent_Done,
     /*  833860 */   // Label 12876: @833860
     /*  833860 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(833951), // Rule ID 15865 //
     /*  833865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  833888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833912 */     // MIs[1] Operand 1
     /*  833912 */     // No operand predicates
     /*  833912 */     // MIs[0] round
     /*  833912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  833915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  833927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  833931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  833938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833949 */     GIR_RootConstrainSelectedInstOperands,
     /*  833950 */     // GIR_Coverage, 15865,
     /*  833950 */     GIR_EraseRootFromParent_Done,
     /*  833951 */   // Label 12877: @833951
     /*  833951 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(834042), // Rule ID 15868 //
     /*  833956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  833964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  833979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834003 */     // MIs[1] Operand 1
     /*  834003 */     // No operand predicates
     /*  834003 */     // MIs[0] round
     /*  834003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834015 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  834018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834040 */     GIR_RootConstrainSelectedInstOperands,
     /*  834041 */     // GIR_Coverage, 15868,
     /*  834041 */     GIR_EraseRootFromParent_Done,
     /*  834042 */   // Label 12878: @834042
     /*  834042 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(834133), // Rule ID 15869 //
     /*  834047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834094 */     // MIs[1] Operand 1
     /*  834094 */     // No operand predicates
     /*  834094 */     // MIs[0] round
     /*  834094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  834109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834131 */     GIR_RootConstrainSelectedInstOperands,
     /*  834132 */     // GIR_Coverage, 15869,
     /*  834132 */     GIR_EraseRootFromParent_Done,
     /*  834133 */   // Label 12879: @834133
     /*  834133 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(834224), // Rule ID 15872 //
     /*  834138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  834141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  834161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834185 */     // MIs[1] Operand 1
     /*  834185 */     // No operand predicates
     /*  834185 */     // MIs[0] round
     /*  834185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  834197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  834200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834222 */     GIR_RootConstrainSelectedInstOperands,
     /*  834223 */     // GIR_Coverage, 15872,
     /*  834223 */     GIR_EraseRootFromParent_Done,
     /*  834224 */   // Label 12880: @834224
     /*  834224 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(834315), // Rule ID 15873 //
     /*  834229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  834232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834276 */     // MIs[1] Operand 1
     /*  834276 */     // No operand predicates
     /*  834276 */     // MIs[0] round
     /*  834276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  834288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  834291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834313 */     GIR_RootConstrainSelectedInstOperands,
     /*  834314 */     // GIR_Coverage, 15873,
     /*  834314 */     GIR_EraseRootFromParent_Done,
     /*  834315 */   // Label 12881: @834315
     /*  834315 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(834406), // Rule ID 15876 //
     /*  834320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  834331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  834334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  834343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834367 */     // MIs[1] Operand 1
     /*  834367 */     // No operand predicates
     /*  834367 */     // MIs[0] round
     /*  834367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834379 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  834382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834404 */     GIR_RootConstrainSelectedInstOperands,
     /*  834405 */     // GIR_Coverage, 15876,
     /*  834405 */     GIR_EraseRootFromParent_Done,
     /*  834406 */   // Label 12882: @834406
     /*  834406 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(834497), // Rule ID 15877 //
     /*  834411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  834422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  834425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834458 */     // MIs[1] Operand 1
     /*  834458 */     // No operand predicates
     /*  834458 */     // MIs[0] round
     /*  834458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  834473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834495 */     GIR_RootConstrainSelectedInstOperands,
     /*  834496 */     // GIR_Coverage, 15877,
     /*  834496 */     GIR_EraseRootFromParent_Done,
     /*  834497 */   // Label 12883: @834497
     /*  834497 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(834588), // Rule ID 15880 //
     /*  834502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  834513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  834516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  834525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834549 */     // MIs[1] Operand 1
     /*  834549 */     // No operand predicates
     /*  834549 */     // MIs[0] round
     /*  834549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  834564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834586 */     GIR_RootConstrainSelectedInstOperands,
     /*  834587 */     // GIR_Coverage, 15880,
     /*  834587 */     GIR_EraseRootFromParent_Done,
     /*  834588 */   // Label 12884: @834588
     /*  834588 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(834679), // Rule ID 15881 //
     /*  834593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  834604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  834607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834640 */     // MIs[1] Operand 1
     /*  834640 */     // No operand predicates
     /*  834640 */     // MIs[0] round
     /*  834640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  834655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834677 */     GIR_RootConstrainSelectedInstOperands,
     /*  834678 */     // GIR_Coverage, 15881,
     /*  834678 */     GIR_EraseRootFromParent_Done,
     /*  834679 */   // Label 12885: @834679
     /*  834679 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(834770), // Rule ID 15884 //
     /*  834684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  834695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  834698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  834707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834731 */     // MIs[1] Operand 1
     /*  834731 */     // No operand predicates
     /*  834731 */     // MIs[0] round
     /*  834731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834743 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  834746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834768 */     GIR_RootConstrainSelectedInstOperands,
     /*  834769 */     // GIR_Coverage, 15884,
     /*  834769 */     GIR_EraseRootFromParent_Done,
     /*  834770 */   // Label 12886: @834770
     /*  834770 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(834861), // Rule ID 15885 //
     /*  834775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  834786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  834789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834822 */     // MIs[1] Operand 1
     /*  834822 */     // No operand predicates
     /*  834822 */     // MIs[0] round
     /*  834822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  834837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834859 */     GIR_RootConstrainSelectedInstOperands,
     /*  834860 */     // GIR_Coverage, 15885,
     /*  834860 */     GIR_EraseRootFromParent_Done,
     /*  834861 */   // Label 12887: @834861
     /*  834861 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(834952), // Rule ID 15888 //
     /*  834866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  834877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  834880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  834889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834913 */     // MIs[1] Operand 1
     /*  834913 */     // No operand predicates
     /*  834913 */     // MIs[0] round
     /*  834913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  834916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  834928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  834932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  834939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834950 */     GIR_RootConstrainSelectedInstOperands,
     /*  834951 */     // GIR_Coverage, 15888,
     /*  834951 */     GIR_EraseRootFromParent_Done,
     /*  834952 */   // Label 12888: @834952
     /*  834952 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(835043), // Rule ID 15889 //
     /*  834957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  834965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  834968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  834971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  834980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835004 */     // MIs[1] Operand 1
     /*  835004 */     // No operand predicates
     /*  835004 */     // MIs[0] round
     /*  835004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835016 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  835019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835041 */     GIR_RootConstrainSelectedInstOperands,
     /*  835042 */     // GIR_Coverage, 15889,
     /*  835042 */     GIR_EraseRootFromParent_Done,
     /*  835043 */   // Label 12889: @835043
     /*  835043 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(835134), // Rule ID 15892 //
     /*  835048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  835059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  835062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835095 */     // MIs[1] Operand 1
     /*  835095 */     // No operand predicates
     /*  835095 */     // MIs[0] round
     /*  835095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  835110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835132 */     GIR_RootConstrainSelectedInstOperands,
     /*  835133 */     // GIR_Coverage, 15892,
     /*  835133 */     GIR_EraseRootFromParent_Done,
     /*  835134 */   // Label 12890: @835134
     /*  835134 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(835225), // Rule ID 15893 //
     /*  835139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  835150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  835153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  835162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835186 */     // MIs[1] Operand 1
     /*  835186 */     // No operand predicates
     /*  835186 */     // MIs[0] round
     /*  835186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  835201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835223 */     GIR_RootConstrainSelectedInstOperands,
     /*  835224 */     // GIR_Coverage, 15893,
     /*  835224 */     GIR_EraseRootFromParent_Done,
     /*  835225 */   // Label 12891: @835225
     /*  835225 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(835316), // Rule ID 15896 //
     /*  835230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  835241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  835244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835277 */     // MIs[1] Operand 1
     /*  835277 */     // No operand predicates
     /*  835277 */     // MIs[0] round
     /*  835277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835289 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  835292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835314 */     GIR_RootConstrainSelectedInstOperands,
     /*  835315 */     // GIR_Coverage, 15896,
     /*  835315 */     GIR_EraseRootFromParent_Done,
     /*  835316 */   // Label 12892: @835316
     /*  835316 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(835407), // Rule ID 15897 //
     /*  835321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  835332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  835335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  835344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835368 */     // MIs[1] Operand 1
     /*  835368 */     // No operand predicates
     /*  835368 */     // MIs[0] round
     /*  835368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  835383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835405 */     GIR_RootConstrainSelectedInstOperands,
     /*  835406 */     // GIR_Coverage, 15897,
     /*  835406 */     GIR_EraseRootFromParent_Done,
     /*  835407 */   // Label 12893: @835407
     /*  835407 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(835498), // Rule ID 15900 //
     /*  835412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  835423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  835426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835459 */     // MIs[1] Operand 1
     /*  835459 */     // No operand predicates
     /*  835459 */     // MIs[0] round
     /*  835459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  835474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835496 */     GIR_RootConstrainSelectedInstOperands,
     /*  835497 */     // GIR_Coverage, 15900,
     /*  835497 */     GIR_EraseRootFromParent_Done,
     /*  835498 */   // Label 12894: @835498
     /*  835498 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(835589), // Rule ID 15901 //
     /*  835503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  835514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  835517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  835526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835550 */     // MIs[1] Operand 1
     /*  835550 */     // No operand predicates
     /*  835550 */     // MIs[0] round
     /*  835550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  835565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835587 */     GIR_RootConstrainSelectedInstOperands,
     /*  835588 */     // GIR_Coverage, 15901,
     /*  835588 */     GIR_EraseRootFromParent_Done,
     /*  835589 */   // Label 12895: @835589
     /*  835589 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(835680), // Rule ID 15904 //
     /*  835594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  835605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  835608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835641 */     // MIs[1] Operand 1
     /*  835641 */     // No operand predicates
     /*  835641 */     // MIs[0] round
     /*  835641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  835656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835678 */     GIR_RootConstrainSelectedInstOperands,
     /*  835679 */     // GIR_Coverage, 15904,
     /*  835679 */     GIR_EraseRootFromParent_Done,
     /*  835680 */   // Label 12896: @835680
     /*  835680 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(835771), // Rule ID 15905 //
     /*  835685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  835696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  835699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  835708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835732 */     // MIs[1] Operand 1
     /*  835732 */     // No operand predicates
     /*  835732 */     // MIs[0] round
     /*  835732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  835747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835769 */     GIR_RootConstrainSelectedInstOperands,
     /*  835770 */     // GIR_Coverage, 15905,
     /*  835770 */     GIR_EraseRootFromParent_Done,
     /*  835771 */   // Label 12897: @835771
     /*  835771 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(835862), // Rule ID 15908 //
     /*  835776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  835787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  835790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835823 */     // MIs[1] Operand 1
     /*  835823 */     // No operand predicates
     /*  835823 */     // MIs[0] round
     /*  835823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835835 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  835838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835860 */     GIR_RootConstrainSelectedInstOperands,
     /*  835861 */     // GIR_Coverage, 15908,
     /*  835861 */     GIR_EraseRootFromParent_Done,
     /*  835862 */   // Label 12898: @835862
     /*  835862 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(835953), // Rule ID 15909 //
     /*  835867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  835878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  835881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  835890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835914 */     // MIs[1] Operand 1
     /*  835914 */     // No operand predicates
     /*  835914 */     // MIs[0] round
     /*  835914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  835917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  835929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  835940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835951 */     GIR_RootConstrainSelectedInstOperands,
     /*  835952 */     // GIR_Coverage, 15909,
     /*  835952 */     GIR_EraseRootFromParent_Done,
     /*  835953 */   // Label 12899: @835953
     /*  835953 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(836044), // Rule ID 15912 //
     /*  835958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  835961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  835966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  835969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  835972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  835981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836005 */     // MIs[1] Operand 1
     /*  836005 */     // No operand predicates
     /*  836005 */     // MIs[0] round
     /*  836005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  836020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836042 */     GIR_RootConstrainSelectedInstOperands,
     /*  836043 */     // GIR_Coverage, 15912,
     /*  836043 */     GIR_EraseRootFromParent_Done,
     /*  836044 */   // Label 12900: @836044
     /*  836044 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(836135), // Rule ID 15913 //
     /*  836049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  836057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  836060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  836063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  836066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836096 */     // MIs[1] Operand 1
     /*  836096 */     // No operand predicates
     /*  836096 */     // MIs[0] round
     /*  836096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  836111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836133 */     GIR_RootConstrainSelectedInstOperands,
     /*  836134 */     // GIR_Coverage, 15913,
     /*  836134 */     GIR_EraseRootFromParent_Done,
     /*  836135 */   // Label 12901: @836135
     /*  836135 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(836226), // Rule ID 15916 //
     /*  836140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  836148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  836151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  836154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  836163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836187 */     // MIs[1] Operand 1
     /*  836187 */     // No operand predicates
     /*  836187 */     // MIs[0] round
     /*  836187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  836202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836224 */     GIR_RootConstrainSelectedInstOperands,
     /*  836225 */     // GIR_Coverage, 15916,
     /*  836225 */     GIR_EraseRootFromParent_Done,
     /*  836226 */   // Label 12902: @836226
     /*  836226 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(836317), // Rule ID 15917 //
     /*  836231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  836239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  836242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  836245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836278 */     // MIs[1] Operand 1
     /*  836278 */     // No operand predicates
     /*  836278 */     // MIs[0] round
     /*  836278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  836293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836315 */     GIR_RootConstrainSelectedInstOperands,
     /*  836316 */     // GIR_Coverage, 15917,
     /*  836316 */     GIR_EraseRootFromParent_Done,
     /*  836317 */   // Label 12903: @836317
     /*  836317 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(836408), // Rule ID 15920 //
     /*  836322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  836330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  836333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  836336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  836345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836369 */     // MIs[1] Operand 1
     /*  836369 */     // No operand predicates
     /*  836369 */     // MIs[0] round
     /*  836369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  836384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836406 */     GIR_RootConstrainSelectedInstOperands,
     /*  836407 */     // GIR_Coverage, 15920,
     /*  836407 */     GIR_EraseRootFromParent_Done,
     /*  836408 */   // Label 12904: @836408
     /*  836408 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(836499), // Rule ID 15921 //
     /*  836413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  836421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  836424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  836427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836460 */     // MIs[1] Operand 1
     /*  836460 */     // No operand predicates
     /*  836460 */     // MIs[0] round
     /*  836460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  836475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836497 */     GIR_RootConstrainSelectedInstOperands,
     /*  836498 */     // GIR_Coverage, 15921,
     /*  836498 */     GIR_EraseRootFromParent_Done,
     /*  836499 */   // Label 12905: @836499
     /*  836499 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(836590), // Rule ID 16100 //
     /*  836504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  836515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  836518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  836527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836551 */     // MIs[1] Operand 1
     /*  836551 */     // No operand predicates
     /*  836551 */     // MIs[0] round
     /*  836551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  836566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836588 */     GIR_RootConstrainSelectedInstOperands,
     /*  836589 */     // GIR_Coverage, 16100,
     /*  836589 */     GIR_EraseRootFromParent_Done,
     /*  836590 */   // Label 12906: @836590
     /*  836590 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(836681), // Rule ID 16101 //
     /*  836595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  836606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  836609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836642 */     // MIs[1] Operand 1
     /*  836642 */     // No operand predicates
     /*  836642 */     // MIs[0] round
     /*  836642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836654 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  836657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836679 */     GIR_RootConstrainSelectedInstOperands,
     /*  836680 */     // GIR_Coverage, 16101,
     /*  836680 */     GIR_EraseRootFromParent_Done,
     /*  836681 */   // Label 12907: @836681
     /*  836681 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(836772), // Rule ID 16104 //
     /*  836686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  836697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  836700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  836709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836733 */     // MIs[1] Operand 1
     /*  836733 */     // No operand predicates
     /*  836733 */     // MIs[0] round
     /*  836733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836745 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  836748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836770 */     GIR_RootConstrainSelectedInstOperands,
     /*  836771 */     // GIR_Coverage, 16104,
     /*  836771 */     GIR_EraseRootFromParent_Done,
     /*  836772 */   // Label 12908: @836772
     /*  836772 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(836863), // Rule ID 16105 //
     /*  836777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  836788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  836791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836824 */     // MIs[1] Operand 1
     /*  836824 */     // No operand predicates
     /*  836824 */     // MIs[0] round
     /*  836824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  836839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836861 */     GIR_RootConstrainSelectedInstOperands,
     /*  836862 */     // GIR_Coverage, 16105,
     /*  836862 */     GIR_EraseRootFromParent_Done,
     /*  836863 */   // Label 12909: @836863
     /*  836863 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(836954), // Rule ID 16108 //
     /*  836868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  836879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  836882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  836891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836915 */     // MIs[1] Operand 1
     /*  836915 */     // No operand predicates
     /*  836915 */     // MIs[0] round
     /*  836915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  836918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  836930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  836941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836952 */     GIR_RootConstrainSelectedInstOperands,
     /*  836953 */     // GIR_Coverage, 16108,
     /*  836953 */     GIR_EraseRootFromParent_Done,
     /*  836954 */   // Label 12910: @836954
     /*  836954 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(837045), // Rule ID 16109 //
     /*  836959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  836967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  836970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  836973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  836976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  836982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837006 */     // MIs[1] Operand 1
     /*  837006 */     // No operand predicates
     /*  837006 */     // MIs[0] round
     /*  837006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  837021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837043 */     GIR_RootConstrainSelectedInstOperands,
     /*  837044 */     // GIR_Coverage, 16109,
     /*  837044 */     GIR_EraseRootFromParent_Done,
     /*  837045 */   // Label 12911: @837045
     /*  837045 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(837136), // Rule ID 16112 //
     /*  837050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  837061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  837064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837097 */     // MIs[1] Operand 1
     /*  837097 */     // No operand predicates
     /*  837097 */     // MIs[0] round
     /*  837097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  837112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837134 */     GIR_RootConstrainSelectedInstOperands,
     /*  837135 */     // GIR_Coverage, 16112,
     /*  837135 */     GIR_EraseRootFromParent_Done,
     /*  837136 */   // Label 12912: @837136
     /*  837136 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(837227), // Rule ID 16113 //
     /*  837141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  837152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  837155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  837164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837188 */     // MIs[1] Operand 1
     /*  837188 */     // No operand predicates
     /*  837188 */     // MIs[0] round
     /*  837188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  837203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837225 */     GIR_RootConstrainSelectedInstOperands,
     /*  837226 */     // GIR_Coverage, 16113,
     /*  837226 */     GIR_EraseRootFromParent_Done,
     /*  837227 */   // Label 12913: @837227
     /*  837227 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(837318), // Rule ID 16116 //
     /*  837232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  837243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  837246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837279 */     // MIs[1] Operand 1
     /*  837279 */     // No operand predicates
     /*  837279 */     // MIs[0] round
     /*  837279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837291 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  837294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837316 */     GIR_RootConstrainSelectedInstOperands,
     /*  837317 */     // GIR_Coverage, 16116,
     /*  837317 */     GIR_EraseRootFromParent_Done,
     /*  837318 */   // Label 12914: @837318
     /*  837318 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(837409), // Rule ID 16117 //
     /*  837323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  837334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  837337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  837346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837370 */     // MIs[1] Operand 1
     /*  837370 */     // No operand predicates
     /*  837370 */     // MIs[0] round
     /*  837370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  837385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837407 */     GIR_RootConstrainSelectedInstOperands,
     /*  837408 */     // GIR_Coverage, 16117,
     /*  837408 */     GIR_EraseRootFromParent_Done,
     /*  837409 */   // Label 12915: @837409
     /*  837409 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(837500), // Rule ID 16120 //
     /*  837414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  837425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  837428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837461 */     // MIs[1] Operand 1
     /*  837461 */     // No operand predicates
     /*  837461 */     // MIs[0] round
     /*  837461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  837476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837498 */     GIR_RootConstrainSelectedInstOperands,
     /*  837499 */     // GIR_Coverage, 16120,
     /*  837499 */     GIR_EraseRootFromParent_Done,
     /*  837500 */   // Label 12916: @837500
     /*  837500 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(837591), // Rule ID 16121 //
     /*  837505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  837516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  837519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  837528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837552 */     // MIs[1] Operand 1
     /*  837552 */     // No operand predicates
     /*  837552 */     // MIs[0] round
     /*  837552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  837567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837589 */     GIR_RootConstrainSelectedInstOperands,
     /*  837590 */     // GIR_Coverage, 16121,
     /*  837590 */     GIR_EraseRootFromParent_Done,
     /*  837591 */   // Label 12917: @837591
     /*  837591 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(837682), // Rule ID 16124 //
     /*  837596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  837607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  837610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837643 */     // MIs[1] Operand 1
     /*  837643 */     // No operand predicates
     /*  837643 */     // MIs[0] round
     /*  837643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  837658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837680 */     GIR_RootConstrainSelectedInstOperands,
     /*  837681 */     // GIR_Coverage, 16124,
     /*  837681 */     GIR_EraseRootFromParent_Done,
     /*  837682 */   // Label 12918: @837682
     /*  837682 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(837773), // Rule ID 16125 //
     /*  837687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  837698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  837701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  837710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837734 */     // MIs[1] Operand 1
     /*  837734 */     // No operand predicates
     /*  837734 */     // MIs[0] round
     /*  837734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  837749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837771 */     GIR_RootConstrainSelectedInstOperands,
     /*  837772 */     // GIR_Coverage, 16125,
     /*  837772 */     GIR_EraseRootFromParent_Done,
     /*  837773 */   // Label 12919: @837773
     /*  837773 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(837864), // Rule ID 16128 //
     /*  837778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837825 */     // MIs[1] Operand 1
     /*  837825 */     // No operand predicates
     /*  837825 */     // MIs[0] round
     /*  837825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  837840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837862 */     GIR_RootConstrainSelectedInstOperands,
     /*  837863 */     // GIR_Coverage, 16128,
     /*  837863 */     GIR_EraseRootFromParent_Done,
     /*  837864 */   // Label 12920: @837864
     /*  837864 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(837955), // Rule ID 16129 //
     /*  837869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  837892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837916 */     // MIs[1] Operand 1
     /*  837916 */     // No operand predicates
     /*  837916 */     // MIs[0] round
     /*  837916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  837919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  837931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  837942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837953 */     GIR_RootConstrainSelectedInstOperands,
     /*  837954 */     // GIR_Coverage, 16129,
     /*  837954 */     GIR_EraseRootFromParent_Done,
     /*  837955 */   // Label 12921: @837955
     /*  837955 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(838046), // Rule ID 16132 //
     /*  837960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  837968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  837977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  837983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838007 */     // MIs[1] Operand 1
     /*  838007 */     // No operand predicates
     /*  838007 */     // MIs[0] round
     /*  838007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  838022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838044 */     GIR_RootConstrainSelectedInstOperands,
     /*  838045 */     // GIR_Coverage, 16132,
     /*  838045 */     GIR_EraseRootFromParent_Done,
     /*  838046 */   // Label 12922: @838046
     /*  838046 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(838137), // Rule ID 16133 //
     /*  838051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838098 */     // MIs[1] Operand 1
     /*  838098 */     // No operand predicates
     /*  838098 */     // MIs[0] round
     /*  838098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838110 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  838113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838135 */     GIR_RootConstrainSelectedInstOperands,
     /*  838136 */     // GIR_Coverage, 16133,
     /*  838136 */     GIR_EraseRootFromParent_Done,
     /*  838137 */   // Label 12923: @838137
     /*  838137 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(838228), // Rule ID 16136 //
     /*  838142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  838145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838189 */     // MIs[1] Operand 1
     /*  838189 */     // No operand predicates
     /*  838189 */     // MIs[0] round
     /*  838189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  838204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838226 */     GIR_RootConstrainSelectedInstOperands,
     /*  838227 */     // GIR_Coverage, 16136,
     /*  838227 */     GIR_EraseRootFromParent_Done,
     /*  838228 */   // Label 12924: @838228
     /*  838228 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(838319), // Rule ID 16137 //
     /*  838233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  838236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838280 */     // MIs[1] Operand 1
     /*  838280 */     // No operand predicates
     /*  838280 */     // MIs[0] round
     /*  838280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  838295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838317 */     GIR_RootConstrainSelectedInstOperands,
     /*  838318 */     // GIR_Coverage, 16137,
     /*  838318 */     GIR_EraseRootFromParent_Done,
     /*  838319 */   // Label 12925: @838319
     /*  838319 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(838410), // Rule ID 16140 //
     /*  838324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  838335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  838338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  838341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838371 */     // MIs[1] Operand 1
     /*  838371 */     // No operand predicates
     /*  838371 */     // MIs[0] round
     /*  838371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  838386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838408 */     GIR_RootConstrainSelectedInstOperands,
     /*  838409 */     // GIR_Coverage, 16140,
     /*  838409 */     GIR_EraseRootFromParent_Done,
     /*  838410 */   // Label 12926: @838410
     /*  838410 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(838501), // Rule ID 16141 //
     /*  838415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  838426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  838429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  838432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838462 */     // MIs[1] Operand 1
     /*  838462 */     // No operand predicates
     /*  838462 */     // MIs[0] round
     /*  838462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838474 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  838477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838499 */     GIR_RootConstrainSelectedInstOperands,
     /*  838500 */     // GIR_Coverage, 16141,
     /*  838500 */     GIR_EraseRootFromParent_Done,
     /*  838501 */   // Label 12927: @838501
     /*  838501 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(838592), // Rule ID 16144 //
     /*  838506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  838517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  838520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  838523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838553 */     // MIs[1] Operand 1
     /*  838553 */     // No operand predicates
     /*  838553 */     // MIs[0] round
     /*  838553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838565 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  838568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838590 */     GIR_RootConstrainSelectedInstOperands,
     /*  838591 */     // GIR_Coverage, 16144,
     /*  838591 */     GIR_EraseRootFromParent_Done,
     /*  838592 */   // Label 12928: @838592
     /*  838592 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(838683), // Rule ID 16145 //
     /*  838597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  838608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  838611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  838614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838644 */     // MIs[1] Operand 1
     /*  838644 */     // No operand predicates
     /*  838644 */     // MIs[0] round
     /*  838644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  838659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838681 */     GIR_RootConstrainSelectedInstOperands,
     /*  838682 */     // GIR_Coverage, 16145,
     /*  838682 */     GIR_EraseRootFromParent_Done,
     /*  838683 */   // Label 12929: @838683
     /*  838683 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(838774), // Rule ID 16148 //
     /*  838688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  838699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  838702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838735 */     // MIs[1] Operand 1
     /*  838735 */     // No operand predicates
     /*  838735 */     // MIs[0] round
     /*  838735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  838750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838772 */     GIR_RootConstrainSelectedInstOperands,
     /*  838773 */     // GIR_Coverage, 16148,
     /*  838773 */     GIR_EraseRootFromParent_Done,
     /*  838774 */   // Label 12930: @838774
     /*  838774 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(838865), // Rule ID 16149 //
     /*  838779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  838790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  838793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838826 */     // MIs[1] Operand 1
     /*  838826 */     // No operand predicates
     /*  838826 */     // MIs[0] round
     /*  838826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838838 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  838841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838863 */     GIR_RootConstrainSelectedInstOperands,
     /*  838864 */     // GIR_Coverage, 16149,
     /*  838864 */     GIR_EraseRootFromParent_Done,
     /*  838865 */   // Label 12931: @838865
     /*  838865 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(838956), // Rule ID 16152 //
     /*  838870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  838881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  838884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838917 */     // MIs[1] Operand 1
     /*  838917 */     // No operand predicates
     /*  838917 */     // MIs[0] round
     /*  838917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  838932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838954 */     GIR_RootConstrainSelectedInstOperands,
     /*  838955 */     // GIR_Coverage, 16152,
     /*  838955 */     GIR_EraseRootFromParent_Done,
     /*  838956 */   // Label 12932: @838956
     /*  838956 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(839047), // Rule ID 16153 //
     /*  838961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  838969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  838972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  838975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839008 */     // MIs[1] Operand 1
     /*  839008 */     // No operand predicates
     /*  839008 */     // MIs[0] round
     /*  839008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  839023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839045 */     GIR_RootConstrainSelectedInstOperands,
     /*  839046 */     // GIR_Coverage, 16153,
     /*  839046 */     GIR_EraseRootFromParent_Done,
     /*  839047 */   // Label 12933: @839047
     /*  839047 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(839138), // Rule ID 16156 //
     /*  839052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  839063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  839066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839099 */     // MIs[1] Operand 1
     /*  839099 */     // No operand predicates
     /*  839099 */     // MIs[0] round
     /*  839099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  839114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839136 */     GIR_RootConstrainSelectedInstOperands,
     /*  839137 */     // GIR_Coverage, 16156,
     /*  839137 */     GIR_EraseRootFromParent_Done,
     /*  839138 */   // Label 12934: @839138
     /*  839138 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(839229), // Rule ID 16157 //
     /*  839143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  839154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  839157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839190 */     // MIs[1] Operand 1
     /*  839190 */     // No operand predicates
     /*  839190 */     // MIs[0] round
     /*  839190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  839205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839227 */     GIR_RootConstrainSelectedInstOperands,
     /*  839228 */     // GIR_Coverage, 16157,
     /*  839228 */     GIR_EraseRootFromParent_Done,
     /*  839229 */   // Label 12935: @839229
     /*  839229 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(839320), // Rule ID 16160 //
     /*  839234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  839245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  839248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839281 */     // MIs[1] Operand 1
     /*  839281 */     // No operand predicates
     /*  839281 */     // MIs[0] round
     /*  839281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  839296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839318 */     GIR_RootConstrainSelectedInstOperands,
     /*  839319 */     // GIR_Coverage, 16160,
     /*  839319 */     GIR_EraseRootFromParent_Done,
     /*  839320 */   // Label 12936: @839320
     /*  839320 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(839411), // Rule ID 16161 //
     /*  839325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  839336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  839339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839372 */     // MIs[1] Operand 1
     /*  839372 */     // No operand predicates
     /*  839372 */     // MIs[0] round
     /*  839372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  839387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839409 */     GIR_RootConstrainSelectedInstOperands,
     /*  839410 */     // GIR_Coverage, 16161,
     /*  839410 */     GIR_EraseRootFromParent_Done,
     /*  839411 */   // Label 12937: @839411
     /*  839411 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(839502), // Rule ID 16164 //
     /*  839416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  839427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  839430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839463 */     // MIs[1] Operand 1
     /*  839463 */     // No operand predicates
     /*  839463 */     // MIs[0] round
     /*  839463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  839478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839500 */     GIR_RootConstrainSelectedInstOperands,
     /*  839501 */     // GIR_Coverage, 16164,
     /*  839501 */     GIR_EraseRootFromParent_Done,
     /*  839502 */   // Label 12938: @839502
     /*  839502 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(839593), // Rule ID 16165 //
     /*  839507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  839518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  839521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839554 */     // MIs[1] Operand 1
     /*  839554 */     // No operand predicates
     /*  839554 */     // MIs[0] round
     /*  839554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  839569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839591 */     GIR_RootConstrainSelectedInstOperands,
     /*  839592 */     // GIR_Coverage, 16165,
     /*  839592 */     GIR_EraseRootFromParent_Done,
     /*  839593 */   // Label 12939: @839593
     /*  839593 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(839684), // Rule ID 16168 //
     /*  839598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  839609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  839612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839645 */     // MIs[1] Operand 1
     /*  839645 */     // No operand predicates
     /*  839645 */     // MIs[0] round
     /*  839645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839657 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  839660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839682 */     GIR_RootConstrainSelectedInstOperands,
     /*  839683 */     // GIR_Coverage, 16168,
     /*  839683 */     GIR_EraseRootFromParent_Done,
     /*  839684 */   // Label 12940: @839684
     /*  839684 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(839775), // Rule ID 16169 //
     /*  839689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  839700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  839703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839736 */     // MIs[1] Operand 1
     /*  839736 */     // No operand predicates
     /*  839736 */     // MIs[0] round
     /*  839736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  839751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839773 */     GIR_RootConstrainSelectedInstOperands,
     /*  839774 */     // GIR_Coverage, 16169,
     /*  839774 */     GIR_EraseRootFromParent_Done,
     /*  839775 */   // Label 12941: @839775
     /*  839775 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(839866), // Rule ID 16172 //
     /*  839780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  839791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  839794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839827 */     // MIs[1] Operand 1
     /*  839827 */     // No operand predicates
     /*  839827 */     // MIs[0] round
     /*  839827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839839 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  839842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839864 */     GIR_RootConstrainSelectedInstOperands,
     /*  839865 */     // GIR_Coverage, 16172,
     /*  839865 */     GIR_EraseRootFromParent_Done,
     /*  839866 */   // Label 12942: @839866
     /*  839866 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(839957), // Rule ID 16173 //
     /*  839871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  839882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  839885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839918 */     // MIs[1] Operand 1
     /*  839918 */     // No operand predicates
     /*  839918 */     // MIs[0] round
     /*  839918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  839933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839955 */     GIR_RootConstrainSelectedInstOperands,
     /*  839956 */     // GIR_Coverage, 16173,
     /*  839956 */     GIR_EraseRootFromParent_Done,
     /*  839957 */   // Label 12943: @839957
     /*  839957 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(840048), // Rule ID 16176 //
     /*  839962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  839965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  839970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  839973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  839976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840009 */     // MIs[1] Operand 1
     /*  840009 */     // No operand predicates
     /*  840009 */     // MIs[0] round
     /*  840009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  840024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840046 */     GIR_RootConstrainSelectedInstOperands,
     /*  840047 */     // GIR_Coverage, 16176,
     /*  840047 */     GIR_EraseRootFromParent_Done,
     /*  840048 */   // Label 12944: @840048
     /*  840048 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(840139), // Rule ID 16177 //
     /*  840053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  840056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  840061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  840064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  840067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  840070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840100 */     // MIs[1] Operand 1
     /*  840100 */     // No operand predicates
     /*  840100 */     // MIs[0] round
     /*  840100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  840115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840137 */     GIR_RootConstrainSelectedInstOperands,
     /*  840138 */     // GIR_Coverage, 16177,
     /*  840138 */     GIR_EraseRootFromParent_Done,
     /*  840139 */   // Label 12945: @840139
     /*  840139 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(840230), // Rule ID 16180 //
     /*  840144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  840147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  840152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  840155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  840158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  840161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840191 */     // MIs[1] Operand 1
     /*  840191 */     // No operand predicates
     /*  840191 */     // MIs[0] round
     /*  840191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  840206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840228 */     GIR_RootConstrainSelectedInstOperands,
     /*  840229 */     // GIR_Coverage, 16180,
     /*  840229 */     GIR_EraseRootFromParent_Done,
     /*  840230 */   // Label 12946: @840230
     /*  840230 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(840321), // Rule ID 16181 //
     /*  840235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  840238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  840243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  840246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  840249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  840252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840282 */     // MIs[1] Operand 1
     /*  840282 */     // No operand predicates
     /*  840282 */     // MIs[0] round
     /*  840282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  840297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840319 */     GIR_RootConstrainSelectedInstOperands,
     /*  840320 */     // GIR_Coverage, 16181,
     /*  840320 */     GIR_EraseRootFromParent_Done,
     /*  840321 */   // Label 12947: @840321
     /*  840321 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(840412), // Rule ID 16184 //
     /*  840326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  840329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  840334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  840337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  840340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840373 */     // MIs[1] Operand 1
     /*  840373 */     // No operand predicates
     /*  840373 */     // MIs[0] round
     /*  840373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840385 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  840388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840410 */     GIR_RootConstrainSelectedInstOperands,
     /*  840411 */     // GIR_Coverage, 16184,
     /*  840411 */     GIR_EraseRootFromParent_Done,
     /*  840412 */   // Label 12948: @840412
     /*  840412 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(840503), // Rule ID 16185 //
     /*  840417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  840420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  840425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  840428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  840431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840464 */     // MIs[1] Operand 1
     /*  840464 */     // No operand predicates
     /*  840464 */     // MIs[0] round
     /*  840464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  840479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840501 */     GIR_RootConstrainSelectedInstOperands,
     /*  840502 */     // GIR_Coverage, 16185,
     /*  840502 */     GIR_EraseRootFromParent_Done,
     /*  840503 */   // Label 12949: @840503
     /*  840503 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(840597), // Rule ID 16308 //
     /*  840508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  840519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  840522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  840525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840555 */     // MIs[1] Operand 1
     /*  840555 */     // No operand predicates
     /*  840555 */     // MIs[0] round
     /*  840555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  840570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  840595 */     GIR_RootConstrainSelectedInstOperands,
     /*  840596 */     // GIR_Coverage, 16308,
     /*  840596 */     GIR_EraseRootFromParent_Done,
     /*  840597 */   // Label 12950: @840597
     /*  840597 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(840691), // Rule ID 16309 //
     /*  840602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  840613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  840616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  840619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840649 */     // MIs[1] Operand 1
     /*  840649 */     // No operand predicates
     /*  840649 */     // MIs[0] round
     /*  840649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  840664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  840689 */     GIR_RootConstrainSelectedInstOperands,
     /*  840690 */     // GIR_Coverage, 16309,
     /*  840690 */     GIR_EraseRootFromParent_Done,
     /*  840691 */   // Label 12951: @840691
     /*  840691 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(840785), // Rule ID 16312 //
     /*  840696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  840707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  840710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840743 */     // MIs[1] Operand 1
     /*  840743 */     // No operand predicates
     /*  840743 */     // MIs[0] round
     /*  840743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840755 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  840758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  840783 */     GIR_RootConstrainSelectedInstOperands,
     /*  840784 */     // GIR_Coverage, 16312,
     /*  840784 */     GIR_EraseRootFromParent_Done,
     /*  840785 */   // Label 12952: @840785
     /*  840785 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(840879), // Rule ID 16313 //
     /*  840790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  840801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  840804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840837 */     // MIs[1] Operand 1
     /*  840837 */     // No operand predicates
     /*  840837 */     // MIs[0] round
     /*  840837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840849 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  840852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  840877 */     GIR_RootConstrainSelectedInstOperands,
     /*  840878 */     // GIR_Coverage, 16313,
     /*  840878 */     GIR_EraseRootFromParent_Done,
     /*  840879 */   // Label 12953: @840879
     /*  840879 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(840973), // Rule ID 16316 //
     /*  840884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  840895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  840898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840931 */     // MIs[1] Operand 1
     /*  840931 */     // No operand predicates
     /*  840931 */     // MIs[0] round
     /*  840931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  840946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  840971 */     GIR_RootConstrainSelectedInstOperands,
     /*  840972 */     // GIR_Coverage, 16316,
     /*  840972 */     GIR_EraseRootFromParent_Done,
     /*  840973 */   // Label 12954: @840973
     /*  840973 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(841067), // Rule ID 16317 //
     /*  840978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  840986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  840989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  840992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841025 */     // MIs[1] Operand 1
     /*  841025 */     // No operand predicates
     /*  841025 */     // MIs[0] round
     /*  841025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  841040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841065 */     GIR_RootConstrainSelectedInstOperands,
     /*  841066 */     // GIR_Coverage, 16317,
     /*  841066 */     GIR_EraseRootFromParent_Done,
     /*  841067 */   // Label 12955: @841067
     /*  841067 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(841161), // Rule ID 16320 //
     /*  841072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  841083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  841086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841119 */     // MIs[1] Operand 1
     /*  841119 */     // No operand predicates
     /*  841119 */     // MIs[0] round
     /*  841119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841131 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  841134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841159 */     GIR_RootConstrainSelectedInstOperands,
     /*  841160 */     // GIR_Coverage, 16320,
     /*  841160 */     GIR_EraseRootFromParent_Done,
     /*  841161 */   // Label 12956: @841161
     /*  841161 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(841255), // Rule ID 16321 //
     /*  841166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  841177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  841180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841213 */     // MIs[1] Operand 1
     /*  841213 */     // No operand predicates
     /*  841213 */     // MIs[0] round
     /*  841213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  841228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841253 */     GIR_RootConstrainSelectedInstOperands,
     /*  841254 */     // GIR_Coverage, 16321,
     /*  841254 */     GIR_EraseRootFromParent_Done,
     /*  841255 */   // Label 12957: @841255
     /*  841255 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(841349), // Rule ID 16324 //
     /*  841260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  841271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  841274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841307 */     // MIs[1] Operand 1
     /*  841307 */     // No operand predicates
     /*  841307 */     // MIs[0] round
     /*  841307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  841322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841347 */     GIR_RootConstrainSelectedInstOperands,
     /*  841348 */     // GIR_Coverage, 16324,
     /*  841348 */     GIR_EraseRootFromParent_Done,
     /*  841349 */   // Label 12958: @841349
     /*  841349 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(841443), // Rule ID 16325 //
     /*  841354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  841365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  841368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841401 */     // MIs[1] Operand 1
     /*  841401 */     // No operand predicates
     /*  841401 */     // MIs[0] round
     /*  841401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841413 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  841416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841441 */     GIR_RootConstrainSelectedInstOperands,
     /*  841442 */     // GIR_Coverage, 16325,
     /*  841442 */     GIR_EraseRootFromParent_Done,
     /*  841443 */   // Label 12959: @841443
     /*  841443 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(841537), // Rule ID 16328 //
     /*  841448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  841459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  841462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841495 */     // MIs[1] Operand 1
     /*  841495 */     // No operand predicates
     /*  841495 */     // MIs[0] round
     /*  841495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841507 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  841510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841535 */     GIR_RootConstrainSelectedInstOperands,
     /*  841536 */     // GIR_Coverage, 16328,
     /*  841536 */     GIR_EraseRootFromParent_Done,
     /*  841537 */   // Label 12960: @841537
     /*  841537 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(841631), // Rule ID 16329 //
     /*  841542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  841553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  841556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841589 */     // MIs[1] Operand 1
     /*  841589 */     // No operand predicates
     /*  841589 */     // MIs[0] round
     /*  841589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  841604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841629 */     GIR_RootConstrainSelectedInstOperands,
     /*  841630 */     // GIR_Coverage, 16329,
     /*  841630 */     GIR_EraseRootFromParent_Done,
     /*  841631 */   // Label 12961: @841631
     /*  841631 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(841725), // Rule ID 16332 //
     /*  841636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  841647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  841650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  841653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841683 */     // MIs[1] Operand 1
     /*  841683 */     // No operand predicates
     /*  841683 */     // MIs[0] round
     /*  841683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  841698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841723 */     GIR_RootConstrainSelectedInstOperands,
     /*  841724 */     // GIR_Coverage, 16332,
     /*  841724 */     GIR_EraseRootFromParent_Done,
     /*  841725 */   // Label 12962: @841725
     /*  841725 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(841819), // Rule ID 16333 //
     /*  841730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  841741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  841744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  841747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841777 */     // MIs[1] Operand 1
     /*  841777 */     // No operand predicates
     /*  841777 */     // MIs[0] round
     /*  841777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841789 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  841792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841817 */     GIR_RootConstrainSelectedInstOperands,
     /*  841818 */     // GIR_Coverage, 16333,
     /*  841818 */     GIR_EraseRootFromParent_Done,
     /*  841819 */   // Label 12963: @841819
     /*  841819 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(841913), // Rule ID 16336 //
     /*  841824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  841835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  841838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  841841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841871 */     // MIs[1] Operand 1
     /*  841871 */     // No operand predicates
     /*  841871 */     // MIs[0] round
     /*  841871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  841886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  841911 */     GIR_RootConstrainSelectedInstOperands,
     /*  841912 */     // GIR_Coverage, 16336,
     /*  841912 */     GIR_EraseRootFromParent_Done,
     /*  841913 */   // Label 12964: @841913
     /*  841913 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(842007), // Rule ID 16337 //
     /*  841918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  841926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  841929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  841932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  841935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841965 */     // MIs[1] Operand 1
     /*  841965 */     // No operand predicates
     /*  841965 */     // MIs[0] round
     /*  841965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  841980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842005 */     GIR_RootConstrainSelectedInstOperands,
     /*  842006 */     // GIR_Coverage, 16337,
     /*  842006 */     GIR_EraseRootFromParent_Done,
     /*  842007 */   // Label 12965: @842007
     /*  842007 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(842101), // Rule ID 16340 //
     /*  842012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  842029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842059 */     // MIs[1] Operand 1
     /*  842059 */     // No operand predicates
     /*  842059 */     // MIs[0] round
     /*  842059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  842074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842099 */     GIR_RootConstrainSelectedInstOperands,
     /*  842100 */     // GIR_Coverage, 16340,
     /*  842100 */     GIR_EraseRootFromParent_Done,
     /*  842101 */   // Label 12966: @842101
     /*  842101 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(842195), // Rule ID 16341 //
     /*  842106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  842123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842153 */     // MIs[1] Operand 1
     /*  842153 */     // No operand predicates
     /*  842153 */     // MIs[0] round
     /*  842153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  842168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842193 */     GIR_RootConstrainSelectedInstOperands,
     /*  842194 */     // GIR_Coverage, 16341,
     /*  842194 */     GIR_EraseRootFromParent_Done,
     /*  842195 */   // Label 12967: @842195
     /*  842195 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(842289), // Rule ID 16344 //
     /*  842200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  842211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  842214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  842217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842247 */     // MIs[1] Operand 1
     /*  842247 */     // No operand predicates
     /*  842247 */     // MIs[0] round
     /*  842247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  842262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842287 */     GIR_RootConstrainSelectedInstOperands,
     /*  842288 */     // GIR_Coverage, 16344,
     /*  842288 */     GIR_EraseRootFromParent_Done,
     /*  842289 */   // Label 12968: @842289
     /*  842289 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(842383), // Rule ID 16345 //
     /*  842294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  842305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  842308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  842311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842341 */     // MIs[1] Operand 1
     /*  842341 */     // No operand predicates
     /*  842341 */     // MIs[0] round
     /*  842341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  842356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842381 */     GIR_RootConstrainSelectedInstOperands,
     /*  842382 */     // GIR_Coverage, 16345,
     /*  842382 */     GIR_EraseRootFromParent_Done,
     /*  842383 */   // Label 12969: @842383
     /*  842383 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(842477), // Rule ID 16348 //
     /*  842388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  842399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  842402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  842405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842435 */     // MIs[1] Operand 1
     /*  842435 */     // No operand predicates
     /*  842435 */     // MIs[0] round
     /*  842435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  842450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842475 */     GIR_RootConstrainSelectedInstOperands,
     /*  842476 */     // GIR_Coverage, 16348,
     /*  842476 */     GIR_EraseRootFromParent_Done,
     /*  842477 */   // Label 12970: @842477
     /*  842477 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(842571), // Rule ID 16349 //
     /*  842482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  842493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  842496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  842499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842529 */     // MIs[1] Operand 1
     /*  842529 */     // No operand predicates
     /*  842529 */     // MIs[0] round
     /*  842529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  842544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842569 */     GIR_RootConstrainSelectedInstOperands,
     /*  842570 */     // GIR_Coverage, 16349,
     /*  842570 */     GIR_EraseRootFromParent_Done,
     /*  842571 */   // Label 12971: @842571
     /*  842571 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(842665), // Rule ID 16352 //
     /*  842576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  842579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  842587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  842590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842623 */     // MIs[1] Operand 1
     /*  842623 */     // No operand predicates
     /*  842623 */     // MIs[0] round
     /*  842623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842635 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  842638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842663 */     GIR_RootConstrainSelectedInstOperands,
     /*  842664 */     // GIR_Coverage, 16352,
     /*  842664 */     GIR_EraseRootFromParent_Done,
     /*  842665 */   // Label 12972: @842665
     /*  842665 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(842759), // Rule ID 16353 //
     /*  842670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  842673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  842681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  842684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842717 */     // MIs[1] Operand 1
     /*  842717 */     // No operand predicates
     /*  842717 */     // MIs[0] round
     /*  842717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842729 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  842732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842757 */     GIR_RootConstrainSelectedInstOperands,
     /*  842758 */     // GIR_Coverage, 16353,
     /*  842758 */     GIR_EraseRootFromParent_Done,
     /*  842759 */   // Label 12973: @842759
     /*  842759 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(842853), // Rule ID 16356 //
     /*  842764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  842767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  842781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842811 */     // MIs[1] Operand 1
     /*  842811 */     // No operand predicates
     /*  842811 */     // MIs[0] round
     /*  842811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  842826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842851 */     GIR_RootConstrainSelectedInstOperands,
     /*  842852 */     // GIR_Coverage, 16356,
     /*  842852 */     GIR_EraseRootFromParent_Done,
     /*  842853 */   // Label 12974: @842853
     /*  842853 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(842947), // Rule ID 16357 //
     /*  842858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  842861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  842875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842905 */     // MIs[1] Operand 1
     /*  842905 */     // No operand predicates
     /*  842905 */     // MIs[0] round
     /*  842905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  842920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  842945 */     GIR_RootConstrainSelectedInstOperands,
     /*  842946 */     // GIR_Coverage, 16357,
     /*  842946 */     GIR_EraseRootFromParent_Done,
     /*  842947 */   // Label 12975: @842947
     /*  842947 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(843041), // Rule ID 16360 //
     /*  842952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  842955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  842960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  842963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  842966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  842969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842999 */     // MIs[1] Operand 1
     /*  842999 */     // No operand predicates
     /*  842999 */     // MIs[0] round
     /*  842999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  843014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843039 */     GIR_RootConstrainSelectedInstOperands,
     /*  843040 */     // GIR_Coverage, 16360,
     /*  843040 */     GIR_EraseRootFromParent_Done,
     /*  843041 */   // Label 12976: @843041
     /*  843041 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(843135), // Rule ID 16361 //
     /*  843046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  843049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  843054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  843057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  843060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  843063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843093 */     // MIs[1] Operand 1
     /*  843093 */     // No operand predicates
     /*  843093 */     // MIs[0] round
     /*  843093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  843108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843133 */     GIR_RootConstrainSelectedInstOperands,
     /*  843134 */     // GIR_Coverage, 16361,
     /*  843134 */     GIR_EraseRootFromParent_Done,
     /*  843135 */   // Label 12977: @843135
     /*  843135 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(843229), // Rule ID 16364 //
     /*  843140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  843143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  843148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  843151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  843154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843187 */     // MIs[1] Operand 1
     /*  843187 */     // No operand predicates
     /*  843187 */     // MIs[0] round
     /*  843187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  843202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843227 */     GIR_RootConstrainSelectedInstOperands,
     /*  843228 */     // GIR_Coverage, 16364,
     /*  843228 */     GIR_EraseRootFromParent_Done,
     /*  843229 */   // Label 12978: @843229
     /*  843229 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(843323), // Rule ID 16365 //
     /*  843234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  843237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  843242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  843245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  843248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  843251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843281 */     // MIs[1] Operand 1
     /*  843281 */     // No operand predicates
     /*  843281 */     // MIs[0] round
     /*  843281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  843296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843321 */     GIR_RootConstrainSelectedInstOperands,
     /*  843322 */     // GIR_Coverage, 16365,
     /*  843322 */     GIR_EraseRootFromParent_Done,
     /*  843323 */   // Label 12979: @843323
     /*  843323 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(843417), // Rule ID 16488 //
     /*  843328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  843339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  843342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843375 */     // MIs[1] Operand 1
     /*  843375 */     // No operand predicates
     /*  843375 */     // MIs[0] round
     /*  843375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  843390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843415 */     GIR_RootConstrainSelectedInstOperands,
     /*  843416 */     // GIR_Coverage, 16488,
     /*  843416 */     GIR_EraseRootFromParent_Done,
     /*  843417 */   // Label 12980: @843417
     /*  843417 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(843511), // Rule ID 16489 //
     /*  843422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  843433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  843436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843469 */     // MIs[1] Operand 1
     /*  843469 */     // No operand predicates
     /*  843469 */     // MIs[0] round
     /*  843469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  843484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843509 */     GIR_RootConstrainSelectedInstOperands,
     /*  843510 */     // GIR_Coverage, 16489,
     /*  843510 */     GIR_EraseRootFromParent_Done,
     /*  843511 */   // Label 12981: @843511
     /*  843511 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(843605), // Rule ID 16492 //
     /*  843516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  843527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  843530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843563 */     // MIs[1] Operand 1
     /*  843563 */     // No operand predicates
     /*  843563 */     // MIs[0] round
     /*  843563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843575 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  843578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843603 */     GIR_RootConstrainSelectedInstOperands,
     /*  843604 */     // GIR_Coverage, 16492,
     /*  843604 */     GIR_EraseRootFromParent_Done,
     /*  843605 */   // Label 12982: @843605
     /*  843605 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(843699), // Rule ID 16493 //
     /*  843610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  843621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  843624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843657 */     // MIs[1] Operand 1
     /*  843657 */     // No operand predicates
     /*  843657 */     // MIs[0] round
     /*  843657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843669 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  843672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843697 */     GIR_RootConstrainSelectedInstOperands,
     /*  843698 */     // GIR_Coverage, 16493,
     /*  843698 */     GIR_EraseRootFromParent_Done,
     /*  843699 */   // Label 12983: @843699
     /*  843699 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(843793), // Rule ID 16496 //
     /*  843704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  843715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  843718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  843721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843751 */     // MIs[1] Operand 1
     /*  843751 */     // No operand predicates
     /*  843751 */     // MIs[0] round
     /*  843751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843763 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  843766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843791 */     GIR_RootConstrainSelectedInstOperands,
     /*  843792 */     // GIR_Coverage, 16496,
     /*  843792 */     GIR_EraseRootFromParent_Done,
     /*  843793 */   // Label 12984: @843793
     /*  843793 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(843887), // Rule ID 16497 //
     /*  843798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  843809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  843812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  843815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843845 */     // MIs[1] Operand 1
     /*  843845 */     // No operand predicates
     /*  843845 */     // MIs[0] round
     /*  843845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  843860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843885 */     GIR_RootConstrainSelectedInstOperands,
     /*  843886 */     // GIR_Coverage, 16497,
     /*  843886 */     GIR_EraseRootFromParent_Done,
     /*  843887 */   // Label 12985: @843887
     /*  843887 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(843981), // Rule ID 16500 //
     /*  843892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  843903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  843906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  843909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843939 */     // MIs[1] Operand 1
     /*  843939 */     // No operand predicates
     /*  843939 */     // MIs[0] round
     /*  843939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  843954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  843979 */     GIR_RootConstrainSelectedInstOperands,
     /*  843980 */     // GIR_Coverage, 16500,
     /*  843980 */     GIR_EraseRootFromParent_Done,
     /*  843981 */   // Label 12986: @843981
     /*  843981 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(844075), // Rule ID 16501 //
     /*  843986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  843994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  843997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  844000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844033 */     // MIs[1] Operand 1
     /*  844033 */     // No operand predicates
     /*  844033 */     // MIs[0] round
     /*  844033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844045 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  844048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844073 */     GIR_RootConstrainSelectedInstOperands,
     /*  844074 */     // GIR_Coverage, 16501,
     /*  844074 */     GIR_EraseRootFromParent_Done,
     /*  844075 */   // Label 12987: @844075
     /*  844075 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(844169), // Rule ID 16504 //
     /*  844080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  844097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844127 */     // MIs[1] Operand 1
     /*  844127 */     // No operand predicates
     /*  844127 */     // MIs[0] round
     /*  844127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  844142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844167 */     GIR_RootConstrainSelectedInstOperands,
     /*  844168 */     // GIR_Coverage, 16504,
     /*  844168 */     GIR_EraseRootFromParent_Done,
     /*  844169 */   // Label 12988: @844169
     /*  844169 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(844263), // Rule ID 16505 //
     /*  844174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  844191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844221 */     // MIs[1] Operand 1
     /*  844221 */     // No operand predicates
     /*  844221 */     // MIs[0] round
     /*  844221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  844236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844261 */     GIR_RootConstrainSelectedInstOperands,
     /*  844262 */     // GIR_Coverage, 16505,
     /*  844262 */     GIR_EraseRootFromParent_Done,
     /*  844263 */   // Label 12989: @844263
     /*  844263 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(844357), // Rule ID 16508 //
     /*  844268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  844279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  844282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  844285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844315 */     // MIs[1] Operand 1
     /*  844315 */     // No operand predicates
     /*  844315 */     // MIs[0] round
     /*  844315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  844330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844355 */     GIR_RootConstrainSelectedInstOperands,
     /*  844356 */     // GIR_Coverage, 16508,
     /*  844356 */     GIR_EraseRootFromParent_Done,
     /*  844357 */   // Label 12990: @844357
     /*  844357 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(844451), // Rule ID 16509 //
     /*  844362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  844373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  844376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  844379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844409 */     // MIs[1] Operand 1
     /*  844409 */     // No operand predicates
     /*  844409 */     // MIs[0] round
     /*  844409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  844424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844449 */     GIR_RootConstrainSelectedInstOperands,
     /*  844450 */     // GIR_Coverage, 16509,
     /*  844450 */     GIR_EraseRootFromParent_Done,
     /*  844451 */   // Label 12991: @844451
     /*  844451 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(844545), // Rule ID 16512 //
     /*  844456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  844467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  844470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844503 */     // MIs[1] Operand 1
     /*  844503 */     // No operand predicates
     /*  844503 */     // MIs[0] round
     /*  844503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  844518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844543 */     GIR_RootConstrainSelectedInstOperands,
     /*  844544 */     // GIR_Coverage, 16512,
     /*  844544 */     GIR_EraseRootFromParent_Done,
     /*  844545 */   // Label 12992: @844545
     /*  844545 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(844639), // Rule ID 16513 //
     /*  844550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  844561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  844564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844597 */     // MIs[1] Operand 1
     /*  844597 */     // No operand predicates
     /*  844597 */     // MIs[0] round
     /*  844597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  844612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844637 */     GIR_RootConstrainSelectedInstOperands,
     /*  844638 */     // GIR_Coverage, 16513,
     /*  844638 */     GIR_EraseRootFromParent_Done,
     /*  844639 */   // Label 12993: @844639
     /*  844639 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(844733), // Rule ID 16516 //
     /*  844644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  844655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  844658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844691 */     // MIs[1] Operand 1
     /*  844691 */     // No operand predicates
     /*  844691 */     // MIs[0] round
     /*  844691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844703 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  844706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844731 */     GIR_RootConstrainSelectedInstOperands,
     /*  844732 */     // GIR_Coverage, 16516,
     /*  844732 */     GIR_EraseRootFromParent_Done,
     /*  844733 */   // Label 12994: @844733
     /*  844733 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(844827), // Rule ID 16517 //
     /*  844738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  844749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  844752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844785 */     // MIs[1] Operand 1
     /*  844785 */     // No operand predicates
     /*  844785 */     // MIs[0] round
     /*  844785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  844800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844825 */     GIR_RootConstrainSelectedInstOperands,
     /*  844826 */     // GIR_Coverage, 16517,
     /*  844826 */     GIR_EraseRootFromParent_Done,
     /*  844827 */   // Label 12995: @844827
     /*  844827 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(844921), // Rule ID 16520 //
     /*  844832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  844849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844879 */     // MIs[1] Operand 1
     /*  844879 */     // No operand predicates
     /*  844879 */     // MIs[0] round
     /*  844879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  844894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  844919 */     GIR_RootConstrainSelectedInstOperands,
     /*  844920 */     // GIR_Coverage, 16520,
     /*  844920 */     GIR_EraseRootFromParent_Done,
     /*  844921 */   // Label 12996: @844921
     /*  844921 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(845015), // Rule ID 16521 //
     /*  844926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  844934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  844943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844973 */     // MIs[1] Operand 1
     /*  844973 */     // No operand predicates
     /*  844973 */     // MIs[0] round
     /*  844973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844985 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  844988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845013 */     GIR_RootConstrainSelectedInstOperands,
     /*  845014 */     // GIR_Coverage, 16521,
     /*  845014 */     GIR_EraseRootFromParent_Done,
     /*  845015 */   // Label 12997: @845015
     /*  845015 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(845109), // Rule ID 16524 //
     /*  845020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  845031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  845034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845067 */     // MIs[1] Operand 1
     /*  845067 */     // No operand predicates
     /*  845067 */     // MIs[0] round
     /*  845067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  845082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845107 */     GIR_RootConstrainSelectedInstOperands,
     /*  845108 */     // GIR_Coverage, 16524,
     /*  845108 */     GIR_EraseRootFromParent_Done,
     /*  845109 */   // Label 12998: @845109
     /*  845109 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(845203), // Rule ID 16525 //
     /*  845114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  845125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  845128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845161 */     // MIs[1] Operand 1
     /*  845161 */     // No operand predicates
     /*  845161 */     // MIs[0] round
     /*  845161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  845176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845201 */     GIR_RootConstrainSelectedInstOperands,
     /*  845202 */     // GIR_Coverage, 16525,
     /*  845202 */     GIR_EraseRootFromParent_Done,
     /*  845203 */   // Label 12999: @845203
     /*  845203 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(845297), // Rule ID 16528 //
     /*  845208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845255 */     // MIs[1] Operand 1
     /*  845255 */     // No operand predicates
     /*  845255 */     // MIs[0] round
     /*  845255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  845270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845295 */     GIR_RootConstrainSelectedInstOperands,
     /*  845296 */     // GIR_Coverage, 16528,
     /*  845296 */     GIR_EraseRootFromParent_Done,
     /*  845297 */   // Label 13000: @845297
     /*  845297 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(845391), // Rule ID 16529 //
     /*  845302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845349 */     // MIs[1] Operand 1
     /*  845349 */     // No operand predicates
     /*  845349 */     // MIs[0] round
     /*  845349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845361 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  845364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845389 */     GIR_RootConstrainSelectedInstOperands,
     /*  845390 */     // GIR_Coverage, 16529,
     /*  845390 */     GIR_EraseRootFromParent_Done,
     /*  845391 */   // Label 13001: @845391
     /*  845391 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(845485), // Rule ID 16532 //
     /*  845396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  845399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845443 */     // MIs[1] Operand 1
     /*  845443 */     // No operand predicates
     /*  845443 */     // MIs[0] round
     /*  845443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  845458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845483 */     GIR_RootConstrainSelectedInstOperands,
     /*  845484 */     // GIR_Coverage, 16532,
     /*  845484 */     GIR_EraseRootFromParent_Done,
     /*  845485 */   // Label 13002: @845485
     /*  845485 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(845579), // Rule ID 16533 //
     /*  845490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  845493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845537 */     // MIs[1] Operand 1
     /*  845537 */     // No operand predicates
     /*  845537 */     // MIs[0] round
     /*  845537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  845552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845577 */     GIR_RootConstrainSelectedInstOperands,
     /*  845578 */     // GIR_Coverage, 16533,
     /*  845578 */     GIR_EraseRootFromParent_Done,
     /*  845579 */   // Label 13003: @845579
     /*  845579 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(845673), // Rule ID 16536 //
     /*  845584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  845587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845631 */     // MIs[1] Operand 1
     /*  845631 */     // No operand predicates
     /*  845631 */     // MIs[0] round
     /*  845631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  845646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845671 */     GIR_RootConstrainSelectedInstOperands,
     /*  845672 */     // GIR_Coverage, 16536,
     /*  845672 */     GIR_EraseRootFromParent_Done,
     /*  845673 */   // Label 13004: @845673
     /*  845673 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(845767), // Rule ID 16537 //
     /*  845678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  845681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845725 */     // MIs[1] Operand 1
     /*  845725 */     // No operand predicates
     /*  845725 */     // MIs[0] round
     /*  845725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  845740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845765 */     GIR_RootConstrainSelectedInstOperands,
     /*  845766 */     // GIR_Coverage, 16537,
     /*  845766 */     GIR_EraseRootFromParent_Done,
     /*  845767 */   // Label 13005: @845767
     /*  845767 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(845861), // Rule ID 16540 //
     /*  845772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  845775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  845789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845819 */     // MIs[1] Operand 1
     /*  845819 */     // No operand predicates
     /*  845819 */     // MIs[0] round
     /*  845819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  845834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845859 */     GIR_RootConstrainSelectedInstOperands,
     /*  845860 */     // GIR_Coverage, 16540,
     /*  845860 */     GIR_EraseRootFromParent_Done,
     /*  845861 */   // Label 13006: @845861
     /*  845861 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(845955), // Rule ID 16541 //
     /*  845866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  845869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  845883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845913 */     // MIs[1] Operand 1
     /*  845913 */     // No operand predicates
     /*  845913 */     // MIs[0] round
     /*  845913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  845928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  845953 */     GIR_RootConstrainSelectedInstOperands,
     /*  845954 */     // GIR_Coverage, 16541,
     /*  845954 */     GIR_EraseRootFromParent_Done,
     /*  845955 */   // Label 13007: @845955
     /*  845955 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(846049), // Rule ID 16544 //
     /*  845960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  845963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  845968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  845971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  845974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  845977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846007 */     // MIs[1] Operand 1
     /*  846007 */     // No operand predicates
     /*  846007 */     // MIs[0] round
     /*  846007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  846022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846047 */     GIR_RootConstrainSelectedInstOperands,
     /*  846048 */     // GIR_Coverage, 16544,
     /*  846048 */     GIR_EraseRootFromParent_Done,
     /*  846049 */   // Label 13008: @846049
     /*  846049 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(846143), // Rule ID 16545 //
     /*  846054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  846057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  846062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  846065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  846068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846101 */     // MIs[1] Operand 1
     /*  846101 */     // No operand predicates
     /*  846101 */     // MIs[0] round
     /*  846101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  846116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846141 */     GIR_RootConstrainSelectedInstOperands,
     /*  846142 */     // GIR_Coverage, 16545,
     /*  846142 */     GIR_EraseRootFromParent_Done,
     /*  846143 */   // Label 13009: @846143
     /*  846143 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(846227), // Rule ID 2620 //
     /*  846148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  846151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  846159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  846162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  846165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  846168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846191 */     // MIs[0] round
     /*  846191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846203 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  846203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  846206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846225 */     GIR_RootConstrainSelectedInstOperands,
     /*  846226 */     // GIR_Coverage, 2620,
     /*  846226 */     GIR_EraseRootFromParent_Done,
     /*  846227 */   // Label 13010: @846227
     /*  846227 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(846311), // Rule ID 2621 //
     /*  846232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  846235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  846243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  846246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  846249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  846252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846275 */     // MIs[0] round
     /*  846275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846287 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  846287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  846290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846309 */     GIR_RootConstrainSelectedInstOperands,
     /*  846310 */     // GIR_Coverage, 2621,
     /*  846310 */     GIR_EraseRootFromParent_Done,
     /*  846311 */   // Label 13011: @846311
     /*  846311 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(846395), // Rule ID 16992 //
     /*  846316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  846319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  846336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846359 */     // MIs[0] round
     /*  846359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846371 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  846371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  846374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846393 */     GIR_RootConstrainSelectedInstOperands,
     /*  846394 */     // GIR_Coverage, 16992,
     /*  846394 */     GIR_EraseRootFromParent_Done,
     /*  846395 */   // Label 13012: @846395
     /*  846395 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(846479), // Rule ID 16993 //
     /*  846400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  846403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  846417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  846420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846443 */     // MIs[0] round
     /*  846443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846455 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  846455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  846458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846477 */     GIR_RootConstrainSelectedInstOperands,
     /*  846478 */     // GIR_Coverage, 16993,
     /*  846478 */     GIR_EraseRootFromParent_Done,
     /*  846479 */   // Label 13013: @846479
     /*  846479 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(846563), // Rule ID 17002 //
     /*  846484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  846487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  846504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846527 */     // MIs[0] round
     /*  846527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846539 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  846539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  846542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846561 */     GIR_RootConstrainSelectedInstOperands,
     /*  846562 */     // GIR_Coverage, 17002,
     /*  846562 */     GIR_EraseRootFromParent_Done,
     /*  846563 */   // Label 13014: @846563
     /*  846563 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(846647), // Rule ID 17003 //
     /*  846568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  846571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  846588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846611 */     // MIs[0] round
     /*  846611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846623 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  846623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  846626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846645 */     GIR_RootConstrainSelectedInstOperands,
     /*  846646 */     // GIR_Coverage, 17003,
     /*  846646 */     GIR_EraseRootFromParent_Done,
     /*  846647 */   // Label 13015: @846647
     /*  846647 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(846731), // Rule ID 17012 //
     /*  846652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  846655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  846663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  846666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  846669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  846672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846695 */     // MIs[0] round
     /*  846695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  846707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  846710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846729 */     GIR_RootConstrainSelectedInstOperands,
     /*  846730 */     // GIR_Coverage, 17012,
     /*  846730 */     GIR_EraseRootFromParent_Done,
     /*  846731 */   // Label 13016: @846731
     /*  846731 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(846815), // Rule ID 17013 //
     /*  846736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  846739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  846747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  846750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  846753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  846756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846779 */     // MIs[0] round
     /*  846779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846791 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  846791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  846794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846813 */     GIR_RootConstrainSelectedInstOperands,
     /*  846814 */     // GIR_Coverage, 17013,
     /*  846814 */     GIR_EraseRootFromParent_Done,
     /*  846815 */   // Label 13017: @846815
     /*  846815 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(846899), // Rule ID 17022 //
     /*  846820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  846823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  846831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  846834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  846840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846863 */     // MIs[0] round
     /*  846863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846875 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  846875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  846878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846897 */     GIR_RootConstrainSelectedInstOperands,
     /*  846898 */     // GIR_Coverage, 17022,
     /*  846898 */     GIR_EraseRootFromParent_Done,
     /*  846899 */   // Label 13018: @846899
     /*  846899 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(846983), // Rule ID 17023 //
     /*  846904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  846907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  846915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  846918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  846924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  846935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  846939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846947 */     // MIs[0] round
     /*  846947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846959 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  846959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  846962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846981 */     GIR_RootConstrainSelectedInstOperands,
     /*  846982 */     // GIR_Coverage, 17023,
     /*  846982 */     GIR_EraseRootFromParent_Done,
     /*  846983 */   // Label 13019: @846983
     /*  846983 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(847067), // Rule ID 17032 //
     /*  846988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  846991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  846996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  847002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  847005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  847008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847031 */     // MIs[0] round
     /*  847031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847043 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  847043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  847046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847065 */     GIR_RootConstrainSelectedInstOperands,
     /*  847066 */     // GIR_Coverage, 17032,
     /*  847066 */     GIR_EraseRootFromParent_Done,
     /*  847067 */   // Label 13020: @847067
     /*  847067 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(847151), // Rule ID 17033 //
     /*  847072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  847075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  847083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  847086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  847089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  847092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847115 */     // MIs[0] round
     /*  847115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847127 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  847127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  847130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847149 */     GIR_RootConstrainSelectedInstOperands,
     /*  847150 */     // GIR_Coverage, 17033,
     /*  847150 */     GIR_EraseRootFromParent_Done,
     /*  847151 */   // Label 13021: @847151
     /*  847151 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(847235), // Rule ID 17042 //
     /*  847156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  847159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  847176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847199 */     // MIs[0] round
     /*  847199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847211 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  847211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  847214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847233 */     GIR_RootConstrainSelectedInstOperands,
     /*  847234 */     // GIR_Coverage, 17042,
     /*  847234 */     GIR_EraseRootFromParent_Done,
     /*  847235 */   // Label 13022: @847235
     /*  847235 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(847319), // Rule ID 17043 //
     /*  847240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  847243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  847260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847283 */     // MIs[0] round
     /*  847283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847295 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  847295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  847298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847317 */     GIR_RootConstrainSelectedInstOperands,
     /*  847318 */     // GIR_Coverage, 17043,
     /*  847318 */     GIR_EraseRootFromParent_Done,
     /*  847319 */   // Label 13023: @847319
     /*  847319 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(847403), // Rule ID 17052 //
     /*  847324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  847327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  847344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847367 */     // MIs[0] round
     /*  847367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847379 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  847379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  847382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847401 */     GIR_RootConstrainSelectedInstOperands,
     /*  847402 */     // GIR_Coverage, 17052,
     /*  847402 */     GIR_EraseRootFromParent_Done,
     /*  847403 */   // Label 13024: @847403
     /*  847403 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(847487), // Rule ID 17053 //
     /*  847408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  847411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  847428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847451 */     // MIs[0] round
     /*  847451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847463 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  847463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  847466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847485 */     GIR_RootConstrainSelectedInstOperands,
     /*  847486 */     // GIR_Coverage, 17053,
     /*  847486 */     GIR_EraseRootFromParent_Done,
     /*  847487 */   // Label 13025: @847487
     /*  847487 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(847571), // Rule ID 17062 //
     /*  847492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  847495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  847512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847535 */     // MIs[0] round
     /*  847535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  847547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  847550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847569 */     GIR_RootConstrainSelectedInstOperands,
     /*  847570 */     // GIR_Coverage, 17062,
     /*  847570 */     GIR_EraseRootFromParent_Done,
     /*  847571 */   // Label 13026: @847571
     /*  847571 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(847655), // Rule ID 17063 //
     /*  847576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  847579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  847584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  847596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847619 */     // MIs[0] round
     /*  847619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847631 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  847631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  847634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847653 */     GIR_RootConstrainSelectedInstOperands,
     /*  847654 */     // GIR_Coverage, 17063,
     /*  847654 */     GIR_EraseRootFromParent_Done,
     /*  847655 */   // Label 13027: @847655
     /*  847655 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(847739), // Rule ID 17108 //
     /*  847660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  847663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  847668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  847680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847703 */     // MIs[0] round
     /*  847703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847715 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  847715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  847718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847737 */     GIR_RootConstrainSelectedInstOperands,
     /*  847738 */     // GIR_Coverage, 17108,
     /*  847738 */     GIR_EraseRootFromParent_Done,
     /*  847739 */   // Label 13028: @847739
     /*  847739 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(847823), // Rule ID 17109 //
     /*  847744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  847747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  847752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  847764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847787 */     // MIs[0] round
     /*  847787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847799 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  847799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  847802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847821 */     GIR_RootConstrainSelectedInstOperands,
     /*  847822 */     // GIR_Coverage, 17109,
     /*  847822 */     GIR_EraseRootFromParent_Done,
     /*  847823 */   // Label 13029: @847823
     /*  847823 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(847907), // Rule ID 17118 //
     /*  847828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  847831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  847836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  847839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  847842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  847848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847871 */     // MIs[0] round
     /*  847871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  847883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  847886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847905 */     GIR_RootConstrainSelectedInstOperands,
     /*  847906 */     // GIR_Coverage, 17118,
     /*  847906 */     GIR_EraseRootFromParent_Done,
     /*  847907 */   // Label 13030: @847907
     /*  847907 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(847991), // Rule ID 17119 //
     /*  847912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  847915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  847920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  847923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  847926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  847932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  847943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  847947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847955 */     // MIs[0] round
     /*  847955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  847967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  847970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847989 */     GIR_RootConstrainSelectedInstOperands,
     /*  847990 */     // GIR_Coverage, 17119,
     /*  847990 */     GIR_EraseRootFromParent_Done,
     /*  847991 */   // Label 13031: @847991
     /*  847991 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(848075), // Rule ID 17128 //
     /*  847996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  847999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  848016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848039 */     // MIs[0] round
     /*  848039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848051 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  848051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  848054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848073 */     GIR_RootConstrainSelectedInstOperands,
     /*  848074 */     // GIR_Coverage, 17128,
     /*  848074 */     GIR_EraseRootFromParent_Done,
     /*  848075 */   // Label 13032: @848075
     /*  848075 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(848159), // Rule ID 17129 //
     /*  848080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  848083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  848100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848123 */     // MIs[0] round
     /*  848123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848135 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  848135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  848138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848157 */     GIR_RootConstrainSelectedInstOperands,
     /*  848158 */     // GIR_Coverage, 17129,
     /*  848158 */     GIR_EraseRootFromParent_Done,
     /*  848159 */   // Label 13033: @848159
     /*  848159 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(848243), // Rule ID 17138 //
     /*  848164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  848167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  848184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848207 */     // MIs[0] round
     /*  848207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848219 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  848219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  848222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848241 */     GIR_RootConstrainSelectedInstOperands,
     /*  848242 */     // GIR_Coverage, 17138,
     /*  848242 */     GIR_EraseRootFromParent_Done,
     /*  848243 */   // Label 13034: @848243
     /*  848243 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(848327), // Rule ID 17139 //
     /*  848248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  848251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  848268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848291 */     // MIs[0] round
     /*  848291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848303 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  848303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  848306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848325 */     GIR_RootConstrainSelectedInstOperands,
     /*  848326 */     // GIR_Coverage, 17139,
     /*  848326 */     GIR_EraseRootFromParent_Done,
     /*  848327 */   // Label 13035: @848327
     /*  848327 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(848411), // Rule ID 17148 //
     /*  848332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  848335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  848343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  848346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  848352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848375 */     // MIs[0] round
     /*  848375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  848387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  848390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848409 */     GIR_RootConstrainSelectedInstOperands,
     /*  848410 */     // GIR_Coverage, 17148,
     /*  848410 */     GIR_EraseRootFromParent_Done,
     /*  848411 */   // Label 13036: @848411
     /*  848411 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(848495), // Rule ID 17149 //
     /*  848416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  848419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  848427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  848430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  848436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848459 */     // MIs[0] round
     /*  848459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848471 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  848471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  848474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848493 */     GIR_RootConstrainSelectedInstOperands,
     /*  848494 */     // GIR_Coverage, 17149,
     /*  848494 */     GIR_EraseRootFromParent_Done,
     /*  848495 */   // Label 13037: @848495
     /*  848495 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(848579), // Rule ID 17158 //
     /*  848500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  848503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  848511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  848514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  848520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848543 */     // MIs[0] round
     /*  848543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848555 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  848555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  848558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848577 */     GIR_RootConstrainSelectedInstOperands,
     /*  848578 */     // GIR_Coverage, 17158,
     /*  848578 */     GIR_EraseRootFromParent_Done,
     /*  848579 */   // Label 13038: @848579
     /*  848579 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(848663), // Rule ID 17159 //
     /*  848584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  848587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  848595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  848598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  848604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848627 */     // MIs[0] round
     /*  848627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  848639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  848642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848661 */     GIR_RootConstrainSelectedInstOperands,
     /*  848662 */     // GIR_Coverage, 17159,
     /*  848662 */     GIR_EraseRootFromParent_Done,
     /*  848663 */   // Label 13039: @848663
     /*  848663 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(848747), // Rule ID 17168 //
     /*  848668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  848671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  848679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  848682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  848688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848711 */     // MIs[0] round
     /*  848711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848723 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  848723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  848726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848745 */     GIR_RootConstrainSelectedInstOperands,
     /*  848746 */     // GIR_Coverage, 17168,
     /*  848746 */     GIR_EraseRootFromParent_Done,
     /*  848747 */   // Label 13040: @848747
     /*  848747 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(848831), // Rule ID 17169 //
     /*  848752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  848755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  848763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  848766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  848772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848795 */     // MIs[0] round
     /*  848795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848807 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  848807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  848810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848829 */     GIR_RootConstrainSelectedInstOperands,
     /*  848830 */     // GIR_Coverage, 17169,
     /*  848830 */     GIR_EraseRootFromParent_Done,
     /*  848831 */   // Label 13041: @848831
     /*  848831 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(848915), // Rule ID 17178 //
     /*  848836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  848839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  848847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  848850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  848853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  848856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848879 */     // MIs[0] round
     /*  848879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  848891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  848894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848913 */     GIR_RootConstrainSelectedInstOperands,
     /*  848914 */     // GIR_Coverage, 17178,
     /*  848914 */     GIR_EraseRootFromParent_Done,
     /*  848915 */   // Label 13042: @848915
     /*  848915 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(848999), // Rule ID 17179 //
     /*  848920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  848923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  848928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  848931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  848934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  848937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  848940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  848951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  848955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848963 */     // MIs[0] round
     /*  848963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848975 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  848975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  848978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848997 */     GIR_RootConstrainSelectedInstOperands,
     /*  848998 */     // GIR_Coverage, 17179,
     /*  848998 */     GIR_EraseRootFromParent_Done,
     /*  848999 */   // Label 13043: @848999
     /*  848999 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849083), // Rule ID 17188 //
     /*  849004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  849007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  849012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  849024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  849035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  849039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849047 */     // MIs[0] round
     /*  849047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849059 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  849059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  849062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849081 */     GIR_RootConstrainSelectedInstOperands,
     /*  849082 */     // GIR_Coverage, 17188,
     /*  849082 */     GIR_EraseRootFromParent_Done,
     /*  849083 */   // Label 13044: @849083
     /*  849083 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(849167), // Rule ID 17189 //
     /*  849088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  849091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  849096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  849108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  849119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  849123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849131 */     // MIs[0] round
     /*  849131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849143 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  849143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  849146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849165 */     GIR_RootConstrainSelectedInstOperands,
     /*  849166 */     // GIR_Coverage, 17189,
     /*  849166 */     GIR_EraseRootFromParent_Done,
     /*  849167 */   // Label 13045: @849167
     /*  849167 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(849249), // Rule ID 62143 //
     /*  849172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849199 */     // MIs[0] op1
     /*  849199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  849226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  849229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849231 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849233 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849235 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849237 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849247 */     GIR_RootConstrainSelectedInstOperands,
     /*  849248 */     // GIR_Coverage, 62143,
     /*  849248 */     GIR_EraseRootFromParent_Done,
     /*  849249 */   // Label 13046: @849249
     /*  849249 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(849331), // Rule ID 62144 //
     /*  849254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  849257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849281 */     // MIs[0] op1
     /*  849281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  849308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  849311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849319 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849329 */     GIR_RootConstrainSelectedInstOperands,
     /*  849330 */     // GIR_Coverage, 62144,
     /*  849330 */     GIR_EraseRootFromParent_Done,
     /*  849331 */   // Label 13047: @849331
     /*  849331 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(849413), // Rule ID 62173 //
     /*  849336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  849344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  849356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849363 */     // MIs[0] op1
     /*  849363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  849390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  849393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849411 */     GIR_RootConstrainSelectedInstOperands,
     /*  849412 */     // GIR_Coverage, 62173,
     /*  849412 */     GIR_EraseRootFromParent_Done,
     /*  849413 */   // Label 13048: @849413
     /*  849413 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(849495), // Rule ID 62174 //
     /*  849418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  849421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  849426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  849438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849445 */     // MIs[0] op1
     /*  849445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  849472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  849475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849483 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849493 */     GIR_RootConstrainSelectedInstOperands,
     /*  849494 */     // GIR_Coverage, 62174,
     /*  849494 */     GIR_EraseRootFromParent_Done,
     /*  849495 */   // Label 13049: @849495
     /*  849495 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(849577), // Rule ID 62205 //
     /*  849500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849527 */     // MIs[0] op1
     /*  849527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849554 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  849554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  849557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849565 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849575 */     GIR_RootConstrainSelectedInstOperands,
     /*  849576 */     // GIR_Coverage, 62205,
     /*  849576 */     GIR_EraseRootFromParent_Done,
     /*  849577 */   // Label 13050: @849577
     /*  849577 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(849659), // Rule ID 62206 //
     /*  849582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  849585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849609 */     // MIs[0] op1
     /*  849609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  849636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  849639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849647 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849657 */     GIR_RootConstrainSelectedInstOperands,
     /*  849658 */     // GIR_Coverage, 62206,
     /*  849658 */     GIR_EraseRootFromParent_Done,
     /*  849659 */   // Label 13051: @849659
     /*  849659 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(849741), // Rule ID 62217 //
     /*  849664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  849672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  849684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849691 */     // MIs[0] op1
     /*  849691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  849718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  849721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849739 */     GIR_RootConstrainSelectedInstOperands,
     /*  849740 */     // GIR_Coverage, 62217,
     /*  849740 */     GIR_EraseRootFromParent_Done,
     /*  849741 */   // Label 13052: @849741
     /*  849741 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(849823), // Rule ID 62218 //
     /*  849746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  849749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  849754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  849766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849773 */     // MIs[0] op1
     /*  849773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  849800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  849803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849811 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849821 */     GIR_RootConstrainSelectedInstOperands,
     /*  849822 */     // GIR_Coverage, 62218,
     /*  849822 */     GIR_EraseRootFromParent_Done,
     /*  849823 */   // Label 13053: @849823
     /*  849823 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(849905), // Rule ID 62249 //
     /*  849828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  849845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849855 */     // MIs[0] op1
     /*  849855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  849882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  849885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849893 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849903 */     GIR_RootConstrainSelectedInstOperands,
     /*  849904 */     // GIR_Coverage, 62249,
     /*  849904 */     GIR_EraseRootFromParent_Done,
     /*  849905 */   // Label 13054: @849905
     /*  849905 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(849987), // Rule ID 62250 //
     /*  849910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  849913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  849918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  849927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849937 */     // MIs[0] op1
     /*  849937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  849940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  849945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  849964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  849967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  849971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  849973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  849975 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  849977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849985 */     GIR_RootConstrainSelectedInstOperands,
     /*  849986 */     // GIR_Coverage, 62250,
     /*  849986 */     GIR_EraseRootFromParent_Done,
     /*  849987 */   // Label 13055: @849987
     /*  849987 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850069), // Rule ID 62261 //
     /*  849992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  849995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  850003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  850006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  850009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  850012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850019 */     // MIs[0] op1
     /*  850019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  850046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  850049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850067 */     GIR_RootConstrainSelectedInstOperands,
     /*  850068 */     // GIR_Coverage, 62261,
     /*  850068 */     GIR_EraseRootFromParent_Done,
     /*  850069 */   // Label 13056: @850069
     /*  850069 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850151), // Rule ID 62262 //
     /*  850074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  850085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  850088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  850091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  850094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850101 */     // MIs[0] op1
     /*  850101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  850128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  850131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850139 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850149 */     GIR_RootConstrainSelectedInstOperands,
     /*  850150 */     // GIR_Coverage, 62262,
     /*  850150 */     GIR_EraseRootFromParent_Done,
     /*  850151 */   // Label 13057: @850151
     /*  850151 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850233), // Rule ID 62293 //
     /*  850156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  850164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850183 */     // MIs[0] op1
     /*  850183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  850210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  850213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850221 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850231 */     GIR_RootConstrainSelectedInstOperands,
     /*  850232 */     // GIR_Coverage, 62293,
     /*  850232 */     GIR_EraseRootFromParent_Done,
     /*  850233 */   // Label 13058: @850233
     /*  850233 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(850315), // Rule ID 62294 //
     /*  850238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  850246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850265 */     // MIs[0] op1
     /*  850265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  850292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  850295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850303 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850313 */     GIR_RootConstrainSelectedInstOperands,
     /*  850314 */     // GIR_Coverage, 62294,
     /*  850314 */     GIR_EraseRootFromParent_Done,
     /*  850315 */   // Label 13059: @850315
     /*  850315 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(850397), // Rule ID 62305 //
     /*  850320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  850340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850347 */     // MIs[0] op1
     /*  850347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  850374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  850377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850385 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850395 */     GIR_RootConstrainSelectedInstOperands,
     /*  850396 */     // GIR_Coverage, 62305,
     /*  850396 */     GIR_EraseRootFromParent_Done,
     /*  850397 */   // Label 13060: @850397
     /*  850397 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(850479), // Rule ID 62306 //
     /*  850402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  850422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850429 */     // MIs[0] op1
     /*  850429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  850456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  850459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850461 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850463 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850465 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850467 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850477 */     GIR_RootConstrainSelectedInstOperands,
     /*  850478 */     // GIR_Coverage, 62306,
     /*  850478 */     GIR_EraseRootFromParent_Done,
     /*  850479 */   // Label 13061: @850479
     /*  850479 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(850561), // Rule ID 62317 //
     /*  850484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  850492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  850504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850511 */     // MIs[0] op1
     /*  850511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  850519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  850538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  850541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850559 */     GIR_RootConstrainSelectedInstOperands,
     /*  850560 */     // GIR_Coverage, 62317,
     /*  850560 */     GIR_EraseRootFromParent_Done,
     /*  850561 */   // Label 13062: @850561
     /*  850561 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(850643), // Rule ID 62318 //
     /*  850566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  850574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  850586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850593 */     // MIs[0] op1
     /*  850593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  850601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850620 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  850620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  850623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850631 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850641 */     GIR_RootConstrainSelectedInstOperands,
     /*  850642 */     // GIR_Coverage, 62318,
     /*  850642 */     GIR_EraseRootFromParent_Done,
     /*  850643 */   // Label 13063: @850643
     /*  850643 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(850725), // Rule ID 62349 //
     /*  850648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  850656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850675 */     // MIs[0] op1
     /*  850675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  850702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  850705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850713 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850723 */     GIR_RootConstrainSelectedInstOperands,
     /*  850724 */     // GIR_Coverage, 62349,
     /*  850724 */     GIR_EraseRootFromParent_Done,
     /*  850725 */   // Label 13064: @850725
     /*  850725 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(850807), // Rule ID 62350 //
     /*  850730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  850738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850757 */     // MIs[0] op1
     /*  850757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  850784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  850787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850795 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850805 */     GIR_RootConstrainSelectedInstOperands,
     /*  850806 */     // GIR_Coverage, 62350,
     /*  850806 */     GIR_EraseRootFromParent_Done,
     /*  850807 */   // Label 13065: @850807
     /*  850807 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(850889), // Rule ID 62361 //
     /*  850812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  850832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850839 */     // MIs[0] op1
     /*  850839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  850866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  850869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850887 */     GIR_RootConstrainSelectedInstOperands,
     /*  850888 */     // GIR_Coverage, 62361,
     /*  850888 */     GIR_EraseRootFromParent_Done,
     /*  850889 */   // Label 13066: @850889
     /*  850889 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(850971), // Rule ID 62362 //
     /*  850894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  850897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  850902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  850914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850921 */     // MIs[0] op1
     /*  850921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  850924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  850929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  850948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  850951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  850955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  850957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  850959 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  850961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850969 */     GIR_RootConstrainSelectedInstOperands,
     /*  850970 */     // GIR_Coverage, 62362,
     /*  850970 */     GIR_EraseRootFromParent_Done,
     /*  850971 */   // Label 13067: @850971
     /*  850971 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851053), // Rule ID 62373 //
     /*  850976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  850979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  850984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  850996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851003 */     // MIs[0] op1
     /*  851003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  851011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  851030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  851033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851051 */     GIR_RootConstrainSelectedInstOperands,
     /*  851052 */     // GIR_Coverage, 62373,
     /*  851052 */     GIR_EraseRootFromParent_Done,
     /*  851053 */   // Label 13068: @851053
     /*  851053 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851135), // Rule ID 62374 //
     /*  851058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  851066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  851069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  851072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  851075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  851078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851085 */     // MIs[0] op1
     /*  851085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  851093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  851112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  851115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851117 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851119 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851121 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851123 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851133 */     GIR_RootConstrainSelectedInstOperands,
     /*  851134 */     // GIR_Coverage, 62374,
     /*  851134 */     GIR_EraseRootFromParent_Done,
     /*  851135 */   // Label 13069: @851135
     /*  851135 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851217), // Rule ID 62405 //
     /*  851140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  851148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851167 */     // MIs[0] op1
     /*  851167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  851194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  851197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851215 */     GIR_RootConstrainSelectedInstOperands,
     /*  851216 */     // GIR_Coverage, 62405,
     /*  851216 */     GIR_EraseRootFromParent_Done,
     /*  851217 */   // Label 13070: @851217
     /*  851217 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851299), // Rule ID 62406 //
     /*  851222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  851230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851249 */     // MIs[0] op1
     /*  851249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  851276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  851279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851287 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851297 */     GIR_RootConstrainSelectedInstOperands,
     /*  851298 */     // GIR_Coverage, 62406,
     /*  851298 */     GIR_EraseRootFromParent_Done,
     /*  851299 */   // Label 13071: @851299
     /*  851299 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(851381), // Rule ID 62417 //
     /*  851304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  851312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  851324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851331 */     // MIs[0] op1
     /*  851331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  851358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  851361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851379 */     GIR_RootConstrainSelectedInstOperands,
     /*  851380 */     // GIR_Coverage, 62417,
     /*  851380 */     GIR_EraseRootFromParent_Done,
     /*  851381 */   // Label 13072: @851381
     /*  851381 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(851463), // Rule ID 62418 //
     /*  851386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  851394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  851406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851413 */     // MIs[0] op1
     /*  851413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  851440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  851443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851451 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851461 */     GIR_RootConstrainSelectedInstOperands,
     /*  851462 */     // GIR_Coverage, 62418,
     /*  851462 */     GIR_EraseRootFromParent_Done,
     /*  851463 */   // Label 13073: @851463
     /*  851463 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(851545), // Rule ID 62429 //
     /*  851468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  851476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851495 */     // MIs[0] op1
     /*  851495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  851503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  851522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  851525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851543 */     GIR_RootConstrainSelectedInstOperands,
     /*  851544 */     // GIR_Coverage, 62429,
     /*  851544 */     GIR_EraseRootFromParent_Done,
     /*  851545 */   // Label 13074: @851545
     /*  851545 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(851627), // Rule ID 62430 //
     /*  851550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  851558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  851564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  851567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851577 */     // MIs[0] op1
     /*  851577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  851585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  851604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  851607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851615 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851625 */     GIR_RootConstrainSelectedInstOperands,
     /*  851626 */     // GIR_Coverage, 62430,
     /*  851626 */     GIR_EraseRootFromParent_Done,
     /*  851627 */   // Label 13075: @851627
     /*  851627 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(851709), // Rule ID 62461 //
     /*  851632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  851640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  851643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  851646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  851649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851659 */     // MIs[0] op1
     /*  851659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  851686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  851689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851707 */     GIR_RootConstrainSelectedInstOperands,
     /*  851708 */     // GIR_Coverage, 62461,
     /*  851708 */     GIR_EraseRootFromParent_Done,
     /*  851709 */   // Label 13076: @851709
     /*  851709 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(851791), // Rule ID 62462 //
     /*  851714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  851722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  851725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  851728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  851731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851741 */     // MIs[0] op1
     /*  851741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  851768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  851771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851779 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851789 */     GIR_RootConstrainSelectedInstOperands,
     /*  851790 */     // GIR_Coverage, 62462,
     /*  851790 */     GIR_EraseRootFromParent_Done,
     /*  851791 */   // Label 13077: @851791
     /*  851791 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(851873), // Rule ID 62473 //
     /*  851796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  851804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  851807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  851810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  851813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  851816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851823 */     // MIs[0] op1
     /*  851823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  851850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  851853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851871 */     GIR_RootConstrainSelectedInstOperands,
     /*  851872 */     // GIR_Coverage, 62473,
     /*  851872 */     GIR_EraseRootFromParent_Done,
     /*  851873 */   // Label 13078: @851873
     /*  851873 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(851955), // Rule ID 62474 //
     /*  851878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  851881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  851886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  851889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  851892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  851895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  851898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851905 */     // MIs[0] op1
     /*  851905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  851932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  851935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  851939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  851941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  851943 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  851945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851953 */     GIR_RootConstrainSelectedInstOperands,
     /*  851954 */     // GIR_Coverage, 62474,
     /*  851954 */     GIR_EraseRootFromParent_Done,
     /*  851955 */   // Label 13079: @851955
     /*  851955 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852037), // Rule ID 62505 //
     /*  851960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  851963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  851968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  851971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  851974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  851977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851987 */     // MIs[0] op1
     /*  851987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  851990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  851995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  852014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  852017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852035 */     GIR_RootConstrainSelectedInstOperands,
     /*  852036 */     // GIR_Coverage, 62505,
     /*  852036 */     GIR_EraseRootFromParent_Done,
     /*  852037 */   // Label 13080: @852037
     /*  852037 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852119), // Rule ID 62506 //
     /*  852042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  852050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852069 */     // MIs[0] op1
     /*  852069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  852096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  852099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852107 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852117 */     GIR_RootConstrainSelectedInstOperands,
     /*  852118 */     // GIR_Coverage, 62506,
     /*  852118 */     GIR_EraseRootFromParent_Done,
     /*  852119 */   // Label 13081: @852119
     /*  852119 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852201), // Rule ID 62517 //
     /*  852124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  852132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  852144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852151 */     // MIs[0] op1
     /*  852151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  852178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  852181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852189 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852199 */     GIR_RootConstrainSelectedInstOperands,
     /*  852200 */     // GIR_Coverage, 62517,
     /*  852200 */     GIR_EraseRootFromParent_Done,
     /*  852201 */   // Label 13082: @852201
     /*  852201 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852283), // Rule ID 62518 //
     /*  852206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  852214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  852226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852233 */     // MIs[0] op1
     /*  852233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  852260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  852263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852271 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852281 */     GIR_RootConstrainSelectedInstOperands,
     /*  852282 */     // GIR_Coverage, 62518,
     /*  852282 */     GIR_EraseRootFromParent_Done,
     /*  852283 */   // Label 13083: @852283
     /*  852283 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852365), // Rule ID 62529 //
     /*  852288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  852296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  852308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852315 */     // MIs[0] op1
     /*  852315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  852323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  852342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  852345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852363 */     GIR_RootConstrainSelectedInstOperands,
     /*  852364 */     // GIR_Coverage, 62529,
     /*  852364 */     GIR_EraseRootFromParent_Done,
     /*  852365 */   // Label 13084: @852365
     /*  852365 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(852447), // Rule ID 62530 //
     /*  852370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  852378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  852390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852397 */     // MIs[0] op1
     /*  852397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  852405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  852424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  852427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852435 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852445 */     GIR_RootConstrainSelectedInstOperands,
     /*  852446 */     // GIR_Coverage, 62530,
     /*  852446 */     GIR_EraseRootFromParent_Done,
     /*  852447 */   // Label 13085: @852447
     /*  852447 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(852529), // Rule ID 62561 //
     /*  852452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  852460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852479 */     // MIs[0] op1
     /*  852479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  852506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  852509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852517 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852527 */     GIR_RootConstrainSelectedInstOperands,
     /*  852528 */     // GIR_Coverage, 62561,
     /*  852528 */     GIR_EraseRootFromParent_Done,
     /*  852529 */   // Label 13086: @852529
     /*  852529 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(852611), // Rule ID 62562 //
     /*  852534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  852542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852561 */     // MIs[0] op1
     /*  852561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  852588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  852591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852599 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852609 */     GIR_RootConstrainSelectedInstOperands,
     /*  852610 */     // GIR_Coverage, 62562,
     /*  852610 */     GIR_EraseRootFromParent_Done,
     /*  852611 */   // Label 13087: @852611
     /*  852611 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(852693), // Rule ID 62573 //
     /*  852616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  852624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  852636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852643 */     // MIs[0] op1
     /*  852643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  852670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  852673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852681 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852691 */     GIR_RootConstrainSelectedInstOperands,
     /*  852692 */     // GIR_Coverage, 62573,
     /*  852692 */     GIR_EraseRootFromParent_Done,
     /*  852693 */   // Label 13088: @852693
     /*  852693 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(852775), // Rule ID 62574 //
     /*  852698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  852706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  852718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852725 */     // MIs[0] op1
     /*  852725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  852752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  852755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852763 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852773 */     GIR_RootConstrainSelectedInstOperands,
     /*  852774 */     // GIR_Coverage, 62574,
     /*  852774 */     GIR_EraseRootFromParent_Done,
     /*  852775 */   // Label 13089: @852775
     /*  852775 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(852857), // Rule ID 62585 //
     /*  852780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  852788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852807 */     // MIs[0] op1
     /*  852807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  852815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  852834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  852837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852845 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852855 */     GIR_RootConstrainSelectedInstOperands,
     /*  852856 */     // GIR_Coverage, 62585,
     /*  852856 */     GIR_EraseRootFromParent_Done,
     /*  852857 */   // Label 13090: @852857
     /*  852857 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(852939), // Rule ID 62586 //
     /*  852862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  852865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  852870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  852879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852889 */     // MIs[0] op1
     /*  852889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  852897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  852916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  852919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  852923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  852925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  852927 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  852929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852937 */     GIR_RootConstrainSelectedInstOperands,
     /*  852938 */     // GIR_Coverage, 62586,
     /*  852938 */     GIR_EraseRootFromParent_Done,
     /*  852939 */   // Label 13091: @852939
     /*  852939 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853021), // Rule ID 62617 //
     /*  852944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  852947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  852952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  852961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852971 */     // MIs[0] op1
     /*  852971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  852974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  852979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  852998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  853001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853009 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853019 */     GIR_RootConstrainSelectedInstOperands,
     /*  853020 */     // GIR_Coverage, 62617,
     /*  853020 */     GIR_EraseRootFromParent_Done,
     /*  853021 */   // Label 13092: @853021
     /*  853021 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853103), // Rule ID 62618 //
     /*  853026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  853034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  853043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853053 */     // MIs[0] op1
     /*  853053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  853080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  853083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853085 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853087 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853089 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853091 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853101 */     GIR_RootConstrainSelectedInstOperands,
     /*  853102 */     // GIR_Coverage, 62618,
     /*  853102 */     GIR_EraseRootFromParent_Done,
     /*  853103 */   // Label 13093: @853103
     /*  853103 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853185), // Rule ID 62629 //
     /*  853108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  853116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  853125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  853128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853135 */     // MIs[0] op1
     /*  853135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  853162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  853165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853173 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853183 */     GIR_RootConstrainSelectedInstOperands,
     /*  853184 */     // GIR_Coverage, 62629,
     /*  853184 */     GIR_EraseRootFromParent_Done,
     /*  853185 */   // Label 13094: @853185
     /*  853185 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853267), // Rule ID 62630 //
     /*  853190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  853198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  853207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  853210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853217 */     // MIs[0] op1
     /*  853217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  853244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  853247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853265 */     GIR_RootConstrainSelectedInstOperands,
     /*  853266 */     // GIR_Coverage, 62630,
     /*  853266 */     GIR_EraseRootFromParent_Done,
     /*  853267 */   // Label 13095: @853267
     /*  853267 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853349), // Rule ID 62641 //
     /*  853272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  853280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  853289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853299 */     // MIs[0] op1
     /*  853299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  853307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  853326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  853329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853337 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853347 */     GIR_RootConstrainSelectedInstOperands,
     /*  853348 */     // GIR_Coverage, 62641,
     /*  853348 */     GIR_EraseRootFromParent_Done,
     /*  853349 */   // Label 13096: @853349
     /*  853349 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853431), // Rule ID 62642 //
     /*  853354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  853362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  853371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853381 */     // MIs[0] op1
     /*  853381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  853389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  853408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  853411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853419 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853429 */     GIR_RootConstrainSelectedInstOperands,
     /*  853430 */     // GIR_Coverage, 62642,
     /*  853430 */     GIR_EraseRootFromParent_Done,
     /*  853431 */   // Label 13097: @853431
     /*  853431 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853513), // Rule ID 62673 //
     /*  853436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  853444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  853453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853463 */     // MIs[0] op1
     /*  853463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  853490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  853493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853501 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853511 */     GIR_RootConstrainSelectedInstOperands,
     /*  853512 */     // GIR_Coverage, 62673,
     /*  853512 */     GIR_EraseRootFromParent_Done,
     /*  853513 */   // Label 13098: @853513
     /*  853513 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(853595), // Rule ID 62674 //
     /*  853518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  853526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  853535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853545 */     // MIs[0] op1
     /*  853545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  853572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  853575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853593 */     GIR_RootConstrainSelectedInstOperands,
     /*  853594 */     // GIR_Coverage, 62674,
     /*  853594 */     GIR_EraseRootFromParent_Done,
     /*  853595 */   // Label 13099: @853595
     /*  853595 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(853677), // Rule ID 62685 //
     /*  853600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  853608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  853617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  853620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853627 */     // MIs[0] op1
     /*  853627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  853654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  853657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853665 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853675 */     GIR_RootConstrainSelectedInstOperands,
     /*  853676 */     // GIR_Coverage, 62685,
     /*  853676 */     GIR_EraseRootFromParent_Done,
     /*  853677 */   // Label 13100: @853677
     /*  853677 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(853759), // Rule ID 62686 //
     /*  853682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  853690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  853693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  853696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  853699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  853702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853709 */     // MIs[0] op1
     /*  853709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853736 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  853736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  853739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853747 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853757 */     GIR_RootConstrainSelectedInstOperands,
     /*  853758 */     // GIR_Coverage, 62686,
     /*  853758 */     GIR_EraseRootFromParent_Done,
     /*  853759 */   // Label 13101: @853759
     /*  853759 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(853841), // Rule ID 62717 //
     /*  853764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  853772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  853775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  853778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  853781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853791 */     // MIs[0] op1
     /*  853791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  853818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  853821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853829 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853839 */     GIR_RootConstrainSelectedInstOperands,
     /*  853840 */     // GIR_Coverage, 62717,
     /*  853840 */     GIR_EraseRootFromParent_Done,
     /*  853841 */   // Label 13102: @853841
     /*  853841 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(853923), // Rule ID 62718 //
     /*  853846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  853849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  853854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  853857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  853860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  853863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853873 */     // MIs[0] op1
     /*  853873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853900 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  853900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  853903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853921 */     GIR_RootConstrainSelectedInstOperands,
     /*  853922 */     // GIR_Coverage, 62718,
     /*  853922 */     GIR_EraseRootFromParent_Done,
     /*  853923 */   // Label 13103: @853923
     /*  853923 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(854005), // Rule ID 62729 //
     /*  853928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  853931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  853936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  853939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  853942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  853945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  853948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853955 */     // MIs[0] op1
     /*  853955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  853958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  853963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  853982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  853985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853987 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  853989 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  853991 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  853993 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  853995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854003 */     GIR_RootConstrainSelectedInstOperands,
     /*  854004 */     // GIR_Coverage, 62729,
     /*  854004 */     GIR_EraseRootFromParent_Done,
     /*  854005 */   // Label 13104: @854005
     /*  854005 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854087), // Rule ID 62730 //
     /*  854010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  854018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  854027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  854030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854037 */     // MIs[0] op1
     /*  854037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  854064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  854067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854075 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854085 */     GIR_RootConstrainSelectedInstOperands,
     /*  854086 */     // GIR_Coverage, 62730,
     /*  854086 */     GIR_EraseRootFromParent_Done,
     /*  854087 */   // Label 13105: @854087
     /*  854087 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854169), // Rule ID 62761 //
     /*  854092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  854100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  854109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854119 */     // MIs[0] op1
     /*  854119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  854146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  854149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854157 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854167 */     GIR_RootConstrainSelectedInstOperands,
     /*  854168 */     // GIR_Coverage, 62761,
     /*  854168 */     GIR_EraseRootFromParent_Done,
     /*  854169 */   // Label 13106: @854169
     /*  854169 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854251), // Rule ID 62762 //
     /*  854174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  854182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  854191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854201 */     // MIs[0] op1
     /*  854201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  854228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  854231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854249 */     GIR_RootConstrainSelectedInstOperands,
     /*  854250 */     // GIR_Coverage, 62762,
     /*  854250 */     GIR_EraseRootFromParent_Done,
     /*  854251 */   // Label 13107: @854251
     /*  854251 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854333), // Rule ID 62773 //
     /*  854256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  854264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  854273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  854276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854283 */     // MIs[0] op1
     /*  854283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854286 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  854310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  854313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854315 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854317 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854319 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854321 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854331 */     GIR_RootConstrainSelectedInstOperands,
     /*  854332 */     // GIR_Coverage, 62773,
     /*  854332 */     GIR_EraseRootFromParent_Done,
     /*  854333 */   // Label 13108: @854333
     /*  854333 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854415), // Rule ID 62774 //
     /*  854338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  854346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  854355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  854358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854365 */     // MIs[0] op1
     /*  854365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  854392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  854395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854397 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854399 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854401 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854403 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854413 */     GIR_RootConstrainSelectedInstOperands,
     /*  854414 */     // GIR_Coverage, 62774,
     /*  854414 */     GIR_EraseRootFromParent_Done,
     /*  854415 */   // Label 13109: @854415
     /*  854415 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854497), // Rule ID 62805 //
     /*  854420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  854428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854447 */     // MIs[0] op1
     /*  854447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  854474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  854477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854479 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854481 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854483 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854485 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854495 */     GIR_RootConstrainSelectedInstOperands,
     /*  854496 */     // GIR_Coverage, 62805,
     /*  854496 */     GIR_EraseRootFromParent_Done,
     /*  854497 */   // Label 13110: @854497
     /*  854497 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854579), // Rule ID 62806 //
     /*  854502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  854510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854529 */     // MIs[0] op1
     /*  854529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  854556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  854559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854577 */     GIR_RootConstrainSelectedInstOperands,
     /*  854578 */     // GIR_Coverage, 62806,
     /*  854578 */     GIR_EraseRootFromParent_Done,
     /*  854579 */   // Label 13111: @854579
     /*  854579 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(854661), // Rule ID 62817 //
     /*  854584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  854592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  854604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854611 */     // MIs[0] op1
     /*  854611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  854638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  854641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854643 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854645 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854647 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854649 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854659 */     GIR_RootConstrainSelectedInstOperands,
     /*  854660 */     // GIR_Coverage, 62817,
     /*  854660 */     GIR_EraseRootFromParent_Done,
     /*  854661 */   // Label 13112: @854661
     /*  854661 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(854743), // Rule ID 62818 //
     /*  854666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  854674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  854686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854693 */     // MIs[0] op1
     /*  854693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  854720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  854723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854731 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854741 */     GIR_RootConstrainSelectedInstOperands,
     /*  854742 */     // GIR_Coverage, 62818,
     /*  854742 */     GIR_EraseRootFromParent_Done,
     /*  854743 */   // Label 13113: @854743
     /*  854743 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(854825), // Rule ID 62829 //
     /*  854748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  854756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  854768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854775 */     // MIs[0] op1
     /*  854775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  854783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  854802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  854805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854807 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854809 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854811 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854813 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854823 */     GIR_RootConstrainSelectedInstOperands,
     /*  854824 */     // GIR_Coverage, 62829,
     /*  854824 */     GIR_EraseRootFromParent_Done,
     /*  854825 */   // Label 13114: @854825
     /*  854825 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(854907), // Rule ID 62830 //
     /*  854830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  854838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  854850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854857 */     // MIs[0] op1
     /*  854857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  854865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  854877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854884 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  854884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  854887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854895 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854905 */     GIR_RootConstrainSelectedInstOperands,
     /*  854906 */     // GIR_Coverage, 62830,
     /*  854906 */     GIR_EraseRootFromParent_Done,
     /*  854907 */   // Label 13115: @854907
     /*  854907 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(854989), // Rule ID 62861 //
     /*  854912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  854915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  854920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  854923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  854926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  854929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854939 */     // MIs[0] op1
     /*  854939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  854942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  854947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  854966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  854969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854971 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  854973 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  854975 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  854977 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  854979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854987 */     GIR_RootConstrainSelectedInstOperands,
     /*  854988 */     // GIR_Coverage, 62861,
     /*  854988 */     GIR_EraseRootFromParent_Done,
     /*  854989 */   // Label 13116: @854989
     /*  854989 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(855071), // Rule ID 62862 //
     /*  854994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  854997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  855011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855021 */     // MIs[0] op1
     /*  855021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  855051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855053 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855055 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855057 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855059 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855069 */     GIR_RootConstrainSelectedInstOperands,
     /*  855070 */     // GIR_Coverage, 62862,
     /*  855070 */     GIR_EraseRootFromParent_Done,
     /*  855071 */   // Label 13117: @855071
     /*  855071 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(855153), // Rule ID 62873 //
     /*  855076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  855093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  855096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855103 */     // MIs[0] op1
     /*  855103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  855130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  855133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855135 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855137 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855139 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855141 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855151 */     GIR_RootConstrainSelectedInstOperands,
     /*  855152 */     // GIR_Coverage, 62873,
     /*  855152 */     GIR_EraseRootFromParent_Done,
     /*  855153 */   // Label 13118: @855153
     /*  855153 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855235), // Rule ID 62874 //
     /*  855158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  855175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  855178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855185 */     // MIs[0] op1
     /*  855185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  855215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855223 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855233 */     GIR_RootConstrainSelectedInstOperands,
     /*  855234 */     // GIR_Coverage, 62874,
     /*  855234 */     GIR_EraseRootFromParent_Done,
     /*  855235 */   // Label 13119: @855235
     /*  855235 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855317), // Rule ID 62885 //
     /*  855240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  855248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  855257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  855260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855267 */     // MIs[0] op1
     /*  855267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  855275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  855294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  855297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855305 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855315 */     GIR_RootConstrainSelectedInstOperands,
     /*  855316 */     // GIR_Coverage, 62885,
     /*  855316 */     GIR_EraseRootFromParent_Done,
     /*  855317 */   // Label 13120: @855317
     /*  855317 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855399), // Rule ID 62886 //
     /*  855322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  855330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  855339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  855342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855349 */     // MIs[0] op1
     /*  855349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  855357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  855379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855381 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855383 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855385 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855387 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855397 */     GIR_RootConstrainSelectedInstOperands,
     /*  855398 */     // GIR_Coverage, 62886,
     /*  855398 */     GIR_EraseRootFromParent_Done,
     /*  855399 */   // Label 13121: @855399
     /*  855399 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855481), // Rule ID 62917 //
     /*  855404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855431 */     // MIs[0] op1
     /*  855431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  855458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  855461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855463 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855465 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855467 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855469 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855479 */     GIR_RootConstrainSelectedInstOperands,
     /*  855480 */     // GIR_Coverage, 62917,
     /*  855480 */     GIR_EraseRootFromParent_Done,
     /*  855481 */   // Label 13122: @855481
     /*  855481 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855563), // Rule ID 62918 //
     /*  855486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855513 */     // MIs[0] op1
     /*  855513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  855543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855545 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855547 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855549 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855551 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855561 */     GIR_RootConstrainSelectedInstOperands,
     /*  855562 */     // GIR_Coverage, 62918,
     /*  855562 */     GIR_EraseRootFromParent_Done,
     /*  855563 */   // Label 13123: @855563
     /*  855563 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855645), // Rule ID 62929 //
     /*  855568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  855588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855595 */     // MIs[0] op1
     /*  855595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  855622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  855625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855633 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855643 */     GIR_RootConstrainSelectedInstOperands,
     /*  855644 */     // GIR_Coverage, 62929,
     /*  855644 */     GIR_EraseRootFromParent_Done,
     /*  855645 */   // Label 13124: @855645
     /*  855645 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(855727), // Rule ID 62930 //
     /*  855650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  855670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855677 */     // MIs[0] op1
     /*  855677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  855707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855715 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855725 */     GIR_RootConstrainSelectedInstOperands,
     /*  855726 */     // GIR_Coverage, 62930,
     /*  855726 */     GIR_EraseRootFromParent_Done,
     /*  855727 */   // Label 13125: @855727
     /*  855727 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(855809), // Rule ID 62941 //
     /*  855732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  855740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  855752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855759 */     // MIs[0] op1
     /*  855759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  855767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  855786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  855789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855791 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855793 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855795 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855797 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855807 */     GIR_RootConstrainSelectedInstOperands,
     /*  855808 */     // GIR_Coverage, 62941,
     /*  855808 */     GIR_EraseRootFromParent_Done,
     /*  855809 */   // Label 13126: @855809
     /*  855809 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(855891), // Rule ID 62942 //
     /*  855814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  855822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  855831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  855834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855841 */     // MIs[0] op1
     /*  855841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  855849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  855861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  855868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  855871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855873 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855875 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855877 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855879 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855889 */     GIR_RootConstrainSelectedInstOperands,
     /*  855890 */     // GIR_Coverage, 62942,
     /*  855890 */     GIR_EraseRootFromParent_Done,
     /*  855891 */   // Label 13127: @855891
     /*  855891 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(855973), // Rule ID 62973 //
     /*  855896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  855913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855923 */     // MIs[0] op1
     /*  855923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  855950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  855953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855961 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855971 */     GIR_RootConstrainSelectedInstOperands,
     /*  855972 */     // GIR_Coverage, 62973,
     /*  855972 */     GIR_EraseRootFromParent_Done,
     /*  855973 */   // Label 13128: @855973
     /*  855973 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856055), // Rule ID 62974 //
     /*  855978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  855995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856005 */     // MIs[0] op1
     /*  856005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  856035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856043 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856053 */     GIR_RootConstrainSelectedInstOperands,
     /*  856054 */     // GIR_Coverage, 62974,
     /*  856054 */     GIR_EraseRootFromParent_Done,
     /*  856055 */   // Label 13129: @856055
     /*  856055 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856137), // Rule ID 62985 //
     /*  856060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  856080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856087 */     // MIs[0] op1
     /*  856087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  856117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856125 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856135 */     GIR_RootConstrainSelectedInstOperands,
     /*  856136 */     // GIR_Coverage, 62985,
     /*  856136 */     GIR_EraseRootFromParent_Done,
     /*  856137 */   // Label 13130: @856137
     /*  856137 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(856219), // Rule ID 62986 //
     /*  856142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  856162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856169 */     // MIs[0] op1
     /*  856169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  856199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856207 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856217 */     GIR_RootConstrainSelectedInstOperands,
     /*  856218 */     // GIR_Coverage, 62986,
     /*  856218 */     GIR_EraseRootFromParent_Done,
     /*  856219 */   // Label 13131: @856219
     /*  856219 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856301), // Rule ID 62997 //
     /*  856224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856251 */     // MIs[0] op1
     /*  856251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  856281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856289 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856299 */     GIR_RootConstrainSelectedInstOperands,
     /*  856300 */     // GIR_Coverage, 62997,
     /*  856300 */     GIR_EraseRootFromParent_Done,
     /*  856301 */   // Label 13132: @856301
     /*  856301 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856383), // Rule ID 62998 //
     /*  856306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856333 */     // MIs[0] op1
     /*  856333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  856363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856371 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856381 */     GIR_RootConstrainSelectedInstOperands,
     /*  856382 */     // GIR_Coverage, 62998,
     /*  856382 */     GIR_EraseRootFromParent_Done,
     /*  856383 */   // Label 13133: @856383
     /*  856383 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856465), // Rule ID 63029 //
     /*  856388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856415 */     // MIs[0] op1
     /*  856415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  856445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856453 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856463 */     GIR_RootConstrainSelectedInstOperands,
     /*  856464 */     // GIR_Coverage, 63029,
     /*  856464 */     GIR_EraseRootFromParent_Done,
     /*  856465 */   // Label 13134: @856465
     /*  856465 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856547), // Rule ID 63030 //
     /*  856470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856497 */     // MIs[0] op1
     /*  856497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  856527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856535 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856545 */     GIR_RootConstrainSelectedInstOperands,
     /*  856546 */     // GIR_Coverage, 63030,
     /*  856546 */     GIR_EraseRootFromParent_Done,
     /*  856547 */   // Label 13135: @856547
     /*  856547 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856629), // Rule ID 63041 //
     /*  856552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  856572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856579 */     // MIs[0] op1
     /*  856579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856582 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  856609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856611 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856613 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856615 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856617 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856627 */     GIR_RootConstrainSelectedInstOperands,
     /*  856628 */     // GIR_Coverage, 63041,
     /*  856628 */     GIR_EraseRootFromParent_Done,
     /*  856629 */   // Label 13136: @856629
     /*  856629 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856711), // Rule ID 63042 //
     /*  856634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  856654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856661 */     // MIs[0] op1
     /*  856661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  856691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856699 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856709 */     GIR_RootConstrainSelectedInstOperands,
     /*  856710 */     // GIR_Coverage, 63042,
     /*  856710 */     GIR_EraseRootFromParent_Done,
     /*  856711 */   // Label 13137: @856711
     /*  856711 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856793), // Rule ID 63053 //
     /*  856716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856743 */     // MIs[0] op1
     /*  856743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  856773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856781 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856791 */     GIR_RootConstrainSelectedInstOperands,
     /*  856792 */     // GIR_Coverage, 63053,
     /*  856792 */     GIR_EraseRootFromParent_Done,
     /*  856793 */   // Label 13138: @856793
     /*  856793 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(856875), // Rule ID 63054 //
     /*  856798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856825 */     // MIs[0] op1
     /*  856825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  856852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  856855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856863 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856873 */     GIR_RootConstrainSelectedInstOperands,
     /*  856874 */     // GIR_Coverage, 63054,
     /*  856874 */     GIR_EraseRootFromParent_Done,
     /*  856875 */   // Label 13139: @856875
     /*  856875 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(856957), // Rule ID 63085 //
     /*  856880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  856891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  856894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  856897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856907 */     // MIs[0] op1
     /*  856907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  856934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  856937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856939 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856941 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856943 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856945 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856955 */     GIR_RootConstrainSelectedInstOperands,
     /*  856956 */     // GIR_Coverage, 63085,
     /*  856956 */     GIR_EraseRootFromParent_Done,
     /*  856957 */   // Label 13140: @856957
     /*  856957 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857039), // Rule ID 63086 //
     /*  856962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  856973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  856976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  856979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856989 */     // MIs[0] op1
     /*  856989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  857019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857027 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857037 */     GIR_RootConstrainSelectedInstOperands,
     /*  857038 */     // GIR_Coverage, 63086,
     /*  857038 */     GIR_EraseRootFromParent_Done,
     /*  857039 */   // Label 13141: @857039
     /*  857039 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857121), // Rule ID 63097 //
     /*  857044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  857064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857071 */     // MIs[0] op1
     /*  857071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  857098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  857101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857109 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857119 */     GIR_RootConstrainSelectedInstOperands,
     /*  857120 */     // GIR_Coverage, 63097,
     /*  857120 */     GIR_EraseRootFromParent_Done,
     /*  857121 */   // Label 13142: @857121
     /*  857121 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857203), // Rule ID 63098 //
     /*  857126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  857146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857153 */     // MIs[0] op1
     /*  857153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  857183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857191 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857201 */     GIR_RootConstrainSelectedInstOperands,
     /*  857202 */     // GIR_Coverage, 63098,
     /*  857202 */     GIR_EraseRootFromParent_Done,
     /*  857203 */   // Label 13143: @857203
     /*  857203 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(857285), // Rule ID 63109 //
     /*  857208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857235 */     // MIs[0] op1
     /*  857235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  857262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  857265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857267 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857269 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857271 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857273 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857283 */     GIR_RootConstrainSelectedInstOperands,
     /*  857284 */     // GIR_Coverage, 63109,
     /*  857284 */     GIR_EraseRootFromParent_Done,
     /*  857285 */   // Label 13144: @857285
     /*  857285 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857367), // Rule ID 63110 //
     /*  857290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857317 */     // MIs[0] op1
     /*  857317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857320 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  857347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857355 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857365 */     GIR_RootConstrainSelectedInstOperands,
     /*  857366 */     // GIR_Coverage, 63110,
     /*  857366 */     GIR_EraseRootFromParent_Done,
     /*  857367 */   // Label 13145: @857367
     /*  857367 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857449), // Rule ID 63141 //
     /*  857372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857399 */     // MIs[0] op1
     /*  857399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  857426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  857429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857431 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857433 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857435 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857437 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857447 */     GIR_RootConstrainSelectedInstOperands,
     /*  857448 */     // GIR_Coverage, 63141,
     /*  857448 */     GIR_EraseRootFromParent_Done,
     /*  857449 */   // Label 13146: @857449
     /*  857449 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857531), // Rule ID 63142 //
     /*  857454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857481 */     // MIs[0] op1
     /*  857481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  857508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  857511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857519 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857529 */     GIR_RootConstrainSelectedInstOperands,
     /*  857530 */     // GIR_Coverage, 63142,
     /*  857530 */     GIR_EraseRootFromParent_Done,
     /*  857531 */   // Label 13147: @857531
     /*  857531 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857613), // Rule ID 63153 //
     /*  857536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  857556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857563 */     // MIs[0] op1
     /*  857563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  857590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  857593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857601 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857611 */     GIR_RootConstrainSelectedInstOperands,
     /*  857612 */     // GIR_Coverage, 63153,
     /*  857612 */     GIR_EraseRootFromParent_Done,
     /*  857613 */   // Label 13148: @857613
     /*  857613 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857695), // Rule ID 63154 //
     /*  857618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  857638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857645 */     // MIs[0] op1
     /*  857645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857648 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  857672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  857675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857683 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857693 */     GIR_RootConstrainSelectedInstOperands,
     /*  857694 */     // GIR_Coverage, 63154,
     /*  857694 */     GIR_EraseRootFromParent_Done,
     /*  857695 */   // Label 13149: @857695
     /*  857695 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857777), // Rule ID 63165 //
     /*  857700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857727 */     // MIs[0] op1
     /*  857727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  857754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  857757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857759 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857761 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857763 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857765 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857775 */     GIR_RootConstrainSelectedInstOperands,
     /*  857776 */     // GIR_Coverage, 63165,
     /*  857776 */     GIR_EraseRootFromParent_Done,
     /*  857777 */   // Label 13150: @857777
     /*  857777 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857859), // Rule ID 63166 //
     /*  857782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857809 */     // MIs[0] op1
     /*  857809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857812 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  857836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  857839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857841 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857843 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857845 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857847 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857857 */     GIR_RootConstrainSelectedInstOperands,
     /*  857858 */     // GIR_Coverage, 63166,
     /*  857858 */     GIR_EraseRootFromParent_Done,
     /*  857859 */   // Label 13151: @857859
     /*  857859 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(857941), // Rule ID 63197 //
     /*  857864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  857881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857891 */     // MIs[0] op1
     /*  857891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  857918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  857921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857923 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857925 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857927 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857929 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857939 */     GIR_RootConstrainSelectedInstOperands,
     /*  857940 */     // GIR_Coverage, 63197,
     /*  857940 */     GIR_EraseRootFromParent_Done,
     /*  857941 */   // Label 13152: @857941
     /*  857941 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858023), // Rule ID 63198 //
     /*  857946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  857963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857973 */     // MIs[0] op1
     /*  857973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  858003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858005 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858007 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858009 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858011 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858021 */     GIR_RootConstrainSelectedInstOperands,
     /*  858022 */     // GIR_Coverage, 63198,
     /*  858022 */     GIR_EraseRootFromParent_Done,
     /*  858023 */   // Label 13153: @858023
     /*  858023 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858105), // Rule ID 63209 //
     /*  858028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  858048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858055 */     // MIs[0] op1
     /*  858055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  858082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  858085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858093 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858103 */     GIR_RootConstrainSelectedInstOperands,
     /*  858104 */     // GIR_Coverage, 63209,
     /*  858104 */     GIR_EraseRootFromParent_Done,
     /*  858105 */   // Label 13154: @858105
     /*  858105 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858187), // Rule ID 63210 //
     /*  858110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  858130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858137 */     // MIs[0] op1
     /*  858137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  858167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858175 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858185 */     GIR_RootConstrainSelectedInstOperands,
     /*  858186 */     // GIR_Coverage, 63210,
     /*  858186 */     GIR_EraseRootFromParent_Done,
     /*  858187 */   // Label 13155: @858187
     /*  858187 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858269), // Rule ID 63221 //
     /*  858192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858219 */     // MIs[0] op1
     /*  858219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  858246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  858249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858257 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858267 */     GIR_RootConstrainSelectedInstOperands,
     /*  858268 */     // GIR_Coverage, 63221,
     /*  858268 */     GIR_EraseRootFromParent_Done,
     /*  858269 */   // Label 13156: @858269
     /*  858269 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(858351), // Rule ID 63222 //
     /*  858274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  858291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858301 */     // MIs[0] op1
     /*  858301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  858331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858333 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858335 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858337 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858339 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858349 */     GIR_RootConstrainSelectedInstOperands,
     /*  858350 */     // GIR_Coverage, 63222,
     /*  858350 */     GIR_EraseRootFromParent_Done,
     /*  858351 */   // Label 13157: @858351
     /*  858351 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(858433), // Rule ID 63253 //
     /*  858356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858383 */     // MIs[0] op1
     /*  858383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  858410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  858413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858421 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858431 */     GIR_RootConstrainSelectedInstOperands,
     /*  858432 */     // GIR_Coverage, 63253,
     /*  858432 */     GIR_EraseRootFromParent_Done,
     /*  858433 */   // Label 13158: @858433
     /*  858433 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858515), // Rule ID 63254 //
     /*  858438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858465 */     // MIs[0] op1
     /*  858465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858468 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10737:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  858495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858497 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858499 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858501 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858503 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858513 */     GIR_RootConstrainSelectedInstOperands,
     /*  858514 */     // GIR_Coverage, 63254,
     /*  858514 */     GIR_EraseRootFromParent_Done,
     /*  858515 */   // Label 13159: @858515
     /*  858515 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858597), // Rule ID 63265 //
     /*  858520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  858540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858547 */     // MIs[0] op1
     /*  858547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  858574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  858577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858579 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858581 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858583 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858585 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858595 */     GIR_RootConstrainSelectedInstOperands,
     /*  858596 */     // GIR_Coverage, 63265,
     /*  858596 */     GIR_EraseRootFromParent_Done,
     /*  858597 */   // Label 13160: @858597
     /*  858597 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858679), // Rule ID 63266 //
     /*  858602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  858622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858629 */     // MIs[0] op1
     /*  858629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10729:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  858659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858661 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858663 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858665 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858667 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858677 */     GIR_RootConstrainSelectedInstOperands,
     /*  858678 */     // GIR_Coverage, 63266,
     /*  858678 */     GIR_EraseRootFromParent_Done,
     /*  858679 */   // Label 13161: @858679
     /*  858679 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858761), // Rule ID 63277 //
     /*  858684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858711 */     // MIs[0] op1
     /*  858711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  858738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  858741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858749 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858759 */     GIR_RootConstrainSelectedInstOperands,
     /*  858760 */     // GIR_Coverage, 63277,
     /*  858760 */     GIR_EraseRootFromParent_Done,
     /*  858761 */   // Label 13162: @858761
     /*  858761 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858843), // Rule ID 63278 //
     /*  858766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  858783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858793 */     // MIs[0] op1
     /*  858793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858820 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  858820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  858823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858825 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858827 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858829 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858831 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858841 */     GIR_RootConstrainSelectedInstOperands,
     /*  858842 */     // GIR_Coverage, 63278,
     /*  858842 */     GIR_EraseRootFromParent_Done,
     /*  858843 */   // Label 13163: @858843
     /*  858843 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858925), // Rule ID 63283 //
     /*  858848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  858856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  858865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858875 */     // MIs[0] op1
     /*  858875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  858902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  858905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858907 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858909 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858911 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858913 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858923 */     GIR_RootConstrainSelectedInstOperands,
     /*  858924 */     // GIR_Coverage, 63283,
     /*  858924 */     GIR_EraseRootFromParent_Done,
     /*  858925 */   // Label 13164: @858925
     /*  858925 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859007), // Rule ID 63284 //
     /*  858930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  858938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  858947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858957 */     // MIs[0] op1
     /*  858957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858960 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  858984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  858987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858995 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859005 */     GIR_RootConstrainSelectedInstOperands,
     /*  859006 */     // GIR_Coverage, 63284,
     /*  859006 */     GIR_EraseRootFromParent_Done,
     /*  859007 */   // Label 13165: @859007
     /*  859007 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859089), // Rule ID 63295 //
     /*  859012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  859029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  859032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859039 */     // MIs[0] op1
     /*  859039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  859069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859087 */     GIR_RootConstrainSelectedInstOperands,
     /*  859088 */     // GIR_Coverage, 63295,
     /*  859088 */     GIR_EraseRootFromParent_Done,
     /*  859089 */   // Label 13166: @859089
     /*  859089 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859171), // Rule ID 63296 //
     /*  859094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  859105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  859108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  859111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  859114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859121 */     // MIs[0] op1
     /*  859121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  859151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859159 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859169 */     GIR_RootConstrainSelectedInstOperands,
     /*  859170 */     // GIR_Coverage, 63296,
     /*  859170 */     GIR_EraseRootFromParent_Done,
     /*  859171 */   // Label 13167: @859171
     /*  859171 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859253), // Rule ID 63301 //
     /*  859176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  859193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859203 */     // MIs[0] op1
     /*  859203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  859233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859235 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859237 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859239 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859241 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859251 */     GIR_RootConstrainSelectedInstOperands,
     /*  859252 */     // GIR_Coverage, 63301,
     /*  859252 */     GIR_EraseRootFromParent_Done,
     /*  859253 */   // Label 13168: @859253
     /*  859253 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859335), // Rule ID 63302 //
     /*  859258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  859275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859285 */     // MIs[0] op1
     /*  859285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  859315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859317 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859319 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859321 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859323 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859333 */     GIR_RootConstrainSelectedInstOperands,
     /*  859334 */     // GIR_Coverage, 63302,
     /*  859334 */     GIR_EraseRootFromParent_Done,
     /*  859335 */   // Label 13169: @859335
     /*  859335 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859417), // Rule ID 63313 //
     /*  859340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  859357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  859360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859367 */     // MIs[0] op1
     /*  859367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  859397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859415 */     GIR_RootConstrainSelectedInstOperands,
     /*  859416 */     // GIR_Coverage, 63313,
     /*  859416 */     GIR_EraseRootFromParent_Done,
     /*  859417 */   // Label 13170: @859417
     /*  859417 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(859499), // Rule ID 63314 //
     /*  859422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  859433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  859436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  859439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  859442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859449 */     // MIs[0] op1
     /*  859449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  859479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859487 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859497 */     GIR_RootConstrainSelectedInstOperands,
     /*  859498 */     // GIR_Coverage, 63314,
     /*  859498 */     GIR_EraseRootFromParent_Done,
     /*  859499 */   // Label 13171: @859499
     /*  859499 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859581), // Rule ID 63319 //
     /*  859504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  859521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859531 */     // MIs[0] op1
     /*  859531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859534 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  859561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859569 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859579 */     GIR_RootConstrainSelectedInstOperands,
     /*  859580 */     // GIR_Coverage, 63319,
     /*  859580 */     GIR_EraseRootFromParent_Done,
     /*  859581 */   // Label 13172: @859581
     /*  859581 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859663), // Rule ID 63320 //
     /*  859586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  859603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859613 */     // MIs[0] op1
     /*  859613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  859643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859645 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859647 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859649 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859651 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859661 */     GIR_RootConstrainSelectedInstOperands,
     /*  859662 */     // GIR_Coverage, 63320,
     /*  859662 */     GIR_EraseRootFromParent_Done,
     /*  859663 */   // Label 13173: @859663
     /*  859663 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859745), // Rule ID 63331 //
     /*  859668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  859685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  859688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859695 */     // MIs[0] op1
     /*  859695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  859725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859743 */     GIR_RootConstrainSelectedInstOperands,
     /*  859744 */     // GIR_Coverage, 63331,
     /*  859744 */     GIR_EraseRootFromParent_Done,
     /*  859745 */   // Label 13174: @859745
     /*  859745 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859827), // Rule ID 63332 //
     /*  859750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  859758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  859767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  859770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859777 */     // MIs[0] op1
     /*  859777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  859807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859815 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859825 */     GIR_RootConstrainSelectedInstOperands,
     /*  859826 */     // GIR_Coverage, 63332,
     /*  859826 */     GIR_EraseRootFromParent_Done,
     /*  859827 */   // Label 13175: @859827
     /*  859827 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859909), // Rule ID 63337 //
     /*  859832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  859849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859859 */     // MIs[0] op1
     /*  859859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  859889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859897 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859907 */     GIR_RootConstrainSelectedInstOperands,
     /*  859908 */     // GIR_Coverage, 63337,
     /*  859908 */     GIR_EraseRootFromParent_Done,
     /*  859909 */   // Label 13176: @859909
     /*  859909 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859991), // Rule ID 63338 //
     /*  859914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  859922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  859931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859941 */     // MIs[0] op1
     /*  859941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  859971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859973 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859975 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859977 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859979 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859989 */     GIR_RootConstrainSelectedInstOperands,
     /*  859990 */     // GIR_Coverage, 63338,
     /*  859990 */     GIR_EraseRootFromParent_Done,
     /*  859991 */   // Label 13177: @859991
     /*  859991 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(860073), // Rule ID 63349 //
     /*  859996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  860013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  860016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860023 */     // MIs[0] op1
     /*  860023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  860053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860055 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860057 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860059 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860061 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860071 */     GIR_RootConstrainSelectedInstOperands,
     /*  860072 */     // GIR_Coverage, 63349,
     /*  860072 */     GIR_EraseRootFromParent_Done,
     /*  860073 */   // Label 13178: @860073
     /*  860073 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860155), // Rule ID 63350 //
     /*  860078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  860095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  860098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860105 */     // MIs[0] op1
     /*  860105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  860135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860143 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860153 */     GIR_RootConstrainSelectedInstOperands,
     /*  860154 */     // GIR_Coverage, 63350,
     /*  860154 */     GIR_EraseRootFromParent_Done,
     /*  860155 */   // Label 13179: @860155
     /*  860155 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860237), // Rule ID 63355 //
     /*  860160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  860177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860187 */     // MIs[0] op1
     /*  860187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  860217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860219 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860221 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860223 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860225 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860235 */     GIR_RootConstrainSelectedInstOperands,
     /*  860236 */     // GIR_Coverage, 63355,
     /*  860236 */     GIR_EraseRootFromParent_Done,
     /*  860237 */   // Label 13180: @860237
     /*  860237 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860319), // Rule ID 63356 //
     /*  860242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  860259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860269 */     // MIs[0] op1
     /*  860269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  860299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860307 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860317 */     GIR_RootConstrainSelectedInstOperands,
     /*  860318 */     // GIR_Coverage, 63356,
     /*  860318 */     GIR_EraseRootFromParent_Done,
     /*  860319 */   // Label 13181: @860319
     /*  860319 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860401), // Rule ID 63367 //
     /*  860324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  860341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  860344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860351 */     // MIs[0] op1
     /*  860351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860378 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  860381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860389 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860399 */     GIR_RootConstrainSelectedInstOperands,
     /*  860400 */     // GIR_Coverage, 63367,
     /*  860400 */     GIR_EraseRootFromParent_Done,
     /*  860401 */   // Label 13182: @860401
     /*  860401 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860483), // Rule ID 63368 //
     /*  860406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  860423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  860426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860433 */     // MIs[0] op1
     /*  860433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  860463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860465 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860467 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860469 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860471 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860481 */     GIR_RootConstrainSelectedInstOperands,
     /*  860482 */     // GIR_Coverage, 63368,
     /*  860482 */     GIR_EraseRootFromParent_Done,
     /*  860483 */   // Label 13183: @860483
     /*  860483 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(860565), // Rule ID 63373 //
     /*  860488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  860499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  860502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  860505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860515 */     // MIs[0] op1
     /*  860515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  860545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860553 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860563 */     GIR_RootConstrainSelectedInstOperands,
     /*  860564 */     // GIR_Coverage, 63373,
     /*  860564 */     GIR_EraseRootFromParent_Done,
     /*  860565 */   // Label 13184: @860565
     /*  860565 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860647), // Rule ID 63374 //
     /*  860570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  860581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  860584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  860587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860597 */     // MIs[0] op1
     /*  860597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  860627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860629 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860631 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860633 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860635 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860645 */     GIR_RootConstrainSelectedInstOperands,
     /*  860646 */     // GIR_Coverage, 63374,
     /*  860646 */     GIR_EraseRootFromParent_Done,
     /*  860647 */   // Label 13185: @860647
     /*  860647 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860729), // Rule ID 63385 //
     /*  860652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  860663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  860666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  860669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  860672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860679 */     // MIs[0] op1
     /*  860679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  860709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860711 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860713 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860715 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860717 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860727 */     GIR_RootConstrainSelectedInstOperands,
     /*  860728 */     // GIR_Coverage, 63385,
     /*  860728 */     GIR_EraseRootFromParent_Done,
     /*  860729 */   // Label 13186: @860729
     /*  860729 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860811), // Rule ID 63386 //
     /*  860734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  860745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  860748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  860751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  860754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860761 */     // MIs[0] op1
     /*  860761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  860791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860793 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860795 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860797 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860799 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860809 */     GIR_RootConstrainSelectedInstOperands,
     /*  860810 */     // GIR_Coverage, 63386,
     /*  860810 */     GIR_EraseRootFromParent_Done,
     /*  860811 */   // Label 13187: @860811
     /*  860811 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860893), // Rule ID 63391 //
     /*  860816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860843 */     // MIs[0] op1
     /*  860843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  860870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  860873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860881 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860891 */     GIR_RootConstrainSelectedInstOperands,
     /*  860892 */     // GIR_Coverage, 63391,
     /*  860892 */     GIR_EraseRootFromParent_Done,
     /*  860893 */   // Label 13188: @860893
     /*  860893 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860975), // Rule ID 63392 //
     /*  860898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  860906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860925 */     // MIs[0] op1
     /*  860925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  860952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  860955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860957 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860959 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860961 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860963 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860973 */     GIR_RootConstrainSelectedInstOperands,
     /*  860974 */     // GIR_Coverage, 63392,
     /*  860974 */     GIR_EraseRootFromParent_Done,
     /*  860975 */   // Label 13189: @860975
     /*  860975 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(861057), // Rule ID 63403 //
     /*  860980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  860988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  861000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861007 */     // MIs[0] op1
     /*  861007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  861037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861045 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861055 */     GIR_RootConstrainSelectedInstOperands,
     /*  861056 */     // GIR_Coverage, 63403,
     /*  861056 */     GIR_EraseRootFromParent_Done,
     /*  861057 */   // Label 13190: @861057
     /*  861057 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(861139), // Rule ID 63404 //
     /*  861062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  861070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  861082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861089 */     // MIs[0] op1
     /*  861089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  861119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861121 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861123 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861125 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861127 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861137 */     GIR_RootConstrainSelectedInstOperands,
     /*  861138 */     // GIR_Coverage, 63404,
     /*  861138 */     GIR_EraseRootFromParent_Done,
     /*  861139 */   // Label 13191: @861139
     /*  861139 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861221), // Rule ID 63409 //
     /*  861144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  861152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861171 */     // MIs[0] op1
     /*  861171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  861201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861209 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861219 */     GIR_RootConstrainSelectedInstOperands,
     /*  861220 */     // GIR_Coverage, 63409,
     /*  861220 */     GIR_EraseRootFromParent_Done,
     /*  861221 */   // Label 13192: @861221
     /*  861221 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861303), // Rule ID 63410 //
     /*  861226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  861234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861253 */     // MIs[0] op1
     /*  861253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  861283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861285 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861287 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861289 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861291 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861301 */     GIR_RootConstrainSelectedInstOperands,
     /*  861302 */     // GIR_Coverage, 63410,
     /*  861302 */     GIR_EraseRootFromParent_Done,
     /*  861303 */   // Label 13193: @861303
     /*  861303 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861385), // Rule ID 63415 //
     /*  861308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  861316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861335 */     // MIs[0] op1
     /*  861335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  861365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861373 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861383 */     GIR_RootConstrainSelectedInstOperands,
     /*  861384 */     // GIR_Coverage, 63415,
     /*  861384 */     GIR_EraseRootFromParent_Done,
     /*  861385 */   // Label 13194: @861385
     /*  861385 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861467), // Rule ID 63416 //
     /*  861390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  861398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861417 */     // MIs[0] op1
     /*  861417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  861447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861449 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861451 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861453 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861455 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861465 */     GIR_RootConstrainSelectedInstOperands,
     /*  861466 */     // GIR_Coverage, 63416,
     /*  861466 */     GIR_EraseRootFromParent_Done,
     /*  861467 */   // Label 13195: @861467
     /*  861467 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861549), // Rule ID 63427 //
     /*  861472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  861480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  861492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861499 */     // MIs[0] op1
     /*  861499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  861529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861537 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861547 */     GIR_RootConstrainSelectedInstOperands,
     /*  861548 */     // GIR_Coverage, 63427,
     /*  861548 */     GIR_EraseRootFromParent_Done,
     /*  861549 */   // Label 13196: @861549
     /*  861549 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(861631), // Rule ID 63428 //
     /*  861554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  861562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  861574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861581 */     // MIs[0] op1
     /*  861581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  861611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861613 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861615 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861617 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861619 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861629 */     GIR_RootConstrainSelectedInstOperands,
     /*  861630 */     // GIR_Coverage, 63428,
     /*  861630 */     GIR_EraseRootFromParent_Done,
     /*  861631 */   // Label 13197: @861631
     /*  861631 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(861713), // Rule ID 63433 //
     /*  861636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  861644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861663 */     // MIs[0] op1
     /*  861663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  861693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861701 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861711 */     GIR_RootConstrainSelectedInstOperands,
     /*  861712 */     // GIR_Coverage, 63433,
     /*  861712 */     GIR_EraseRootFromParent_Done,
     /*  861713 */   // Label 13198: @861713
     /*  861713 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861795), // Rule ID 63434 //
     /*  861718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  861726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  861729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  861732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861745 */     // MIs[0] op1
     /*  861745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  861775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861777 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861779 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861781 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861783 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861793 */     GIR_RootConstrainSelectedInstOperands,
     /*  861794 */     // GIR_Coverage, 63434,
     /*  861794 */     GIR_EraseRootFromParent_Done,
     /*  861795 */   // Label 13199: @861795
     /*  861795 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861877), // Rule ID 63439 //
     /*  861800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  861808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861827 */     // MIs[0] op1
     /*  861827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  861857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861865 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861875 */     GIR_RootConstrainSelectedInstOperands,
     /*  861876 */     // GIR_Coverage, 63439,
     /*  861876 */     GIR_EraseRootFromParent_Done,
     /*  861877 */   // Label 13200: @861877
     /*  861877 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861959), // Rule ID 63440 //
     /*  861882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  861890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861909 */     // MIs[0] op1
     /*  861909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  861939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861941 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861943 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861945 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861947 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861957 */     GIR_RootConstrainSelectedInstOperands,
     /*  861958 */     // GIR_Coverage, 63440,
     /*  861958 */     GIR_EraseRootFromParent_Done,
     /*  861959 */   // Label 13201: @861959
     /*  861959 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(862041), // Rule ID 63451 //
     /*  861964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  861972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  861984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861991 */     // MIs[0] op1
     /*  861991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  862021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862029 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862039 */     GIR_RootConstrainSelectedInstOperands,
     /*  862040 */     // GIR_Coverage, 63451,
     /*  862040 */     GIR_EraseRootFromParent_Done,
     /*  862041 */   // Label 13202: @862041
     /*  862041 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(862123), // Rule ID 63452 //
     /*  862046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  862054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  862066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862073 */     // MIs[0] op1
     /*  862073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  862103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862111 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862121 */     GIR_RootConstrainSelectedInstOperands,
     /*  862122 */     // GIR_Coverage, 63452,
     /*  862122 */     GIR_EraseRootFromParent_Done,
     /*  862123 */   // Label 13203: @862123
     /*  862123 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(862205), // Rule ID 63457 //
     /*  862128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  862136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  862148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862155 */     // MIs[0] op1
     /*  862155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  862175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  862185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862193 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862203 */     GIR_RootConstrainSelectedInstOperands,
     /*  862204 */     // GIR_Coverage, 63457,
     /*  862204 */     GIR_EraseRootFromParent_Done,
     /*  862205 */   // Label 13204: @862205
     /*  862205 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862287), // Rule ID 63458 //
     /*  862210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  862218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  862230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862237 */     // MIs[0] op1
     /*  862237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  862257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  862267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862275 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862285 */     GIR_RootConstrainSelectedInstOperands,
     /*  862286 */     // GIR_Coverage, 63458,
     /*  862286 */     GIR_EraseRootFromParent_Done,
     /*  862287 */   // Label 13205: @862287
     /*  862287 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862369), // Rule ID 63463 //
     /*  862292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  862300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862319 */     // MIs[0] op1
     /*  862319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  862349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862351 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862353 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862355 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862357 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862367 */     GIR_RootConstrainSelectedInstOperands,
     /*  862368 */     // GIR_Coverage, 63463,
     /*  862368 */     GIR_EraseRootFromParent_Done,
     /*  862369 */   // Label 13206: @862369
     /*  862369 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862451), // Rule ID 63464 //
     /*  862374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  862382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862401 */     // MIs[0] op1
     /*  862401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  862431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862433 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862435 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862437 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862439 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862449 */     GIR_RootConstrainSelectedInstOperands,
     /*  862450 */     // GIR_Coverage, 63464,
     /*  862450 */     GIR_EraseRootFromParent_Done,
     /*  862451 */   // Label 13207: @862451
     /*  862451 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862533), // Rule ID 63475 //
     /*  862456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  862464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  862476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862483 */     // MIs[0] op1
     /*  862483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  862513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862515 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862517 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862519 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862521 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862531 */     GIR_RootConstrainSelectedInstOperands,
     /*  862532 */     // GIR_Coverage, 63475,
     /*  862532 */     GIR_EraseRootFromParent_Done,
     /*  862533 */   // Label 13208: @862533
     /*  862533 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862615), // Rule ID 63476 //
     /*  862538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  862546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  862558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862565 */     // MIs[0] op1
     /*  862565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  862595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862603 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862613 */     GIR_RootConstrainSelectedInstOperands,
     /*  862614 */     // GIR_Coverage, 63476,
     /*  862614 */     GIR_EraseRootFromParent_Done,
     /*  862615 */   // Label 13209: @862615
     /*  862615 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862697), // Rule ID 63481 //
     /*  862620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  862628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  862640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862647 */     // MIs[0] op1
     /*  862647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  862667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  862677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862679 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862681 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862683 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862685 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862695 */     GIR_RootConstrainSelectedInstOperands,
     /*  862696 */     // GIR_Coverage, 63481,
     /*  862696 */     GIR_EraseRootFromParent_Done,
     /*  862697 */   // Label 13210: @862697
     /*  862697 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(862779), // Rule ID 63482 //
     /*  862702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  862710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  862722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862729 */     // MIs[0] op1
     /*  862729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  862749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  862759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862761 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862763 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862765 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862767 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862777 */     GIR_RootConstrainSelectedInstOperands,
     /*  862778 */     // GIR_Coverage, 63482,
     /*  862778 */     GIR_EraseRootFromParent_Done,
     /*  862779 */   // Label 13211: @862779
     /*  862779 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862861), // Rule ID 63487 //
     /*  862784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  862792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862811 */     // MIs[0] op1
     /*  862811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  862838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  862841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862843 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862845 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862847 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862849 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862859 */     GIR_RootConstrainSelectedInstOperands,
     /*  862860 */     // GIR_Coverage, 63487,
     /*  862860 */     GIR_EraseRootFromParent_Done,
     /*  862861 */   // Label 13212: @862861
     /*  862861 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862943), // Rule ID 63488 //
     /*  862866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  862874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862893 */     // MIs[0] op1
     /*  862893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  862920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  862923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862931 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862941 */     GIR_RootConstrainSelectedInstOperands,
     /*  862942 */     // GIR_Coverage, 63488,
     /*  862942 */     GIR_EraseRootFromParent_Done,
     /*  862943 */   // Label 13213: @862943
     /*  862943 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(863025), // Rule ID 63499 //
     /*  862948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  862956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  862968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862975 */     // MIs[0] op1
     /*  862975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  863002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  863005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863007 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863009 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863011 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863013 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863023 */     GIR_RootConstrainSelectedInstOperands,
     /*  863024 */     // GIR_Coverage, 63499,
     /*  863024 */     GIR_EraseRootFromParent_Done,
     /*  863025 */   // Label 13214: @863025
     /*  863025 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(863107), // Rule ID 63500 //
     /*  863030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  863038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  863050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863057 */     // MIs[0] op1
     /*  863057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863060 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863084 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  863084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  863087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863089 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863091 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863093 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863095 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863105 */     GIR_RootConstrainSelectedInstOperands,
     /*  863106 */     // GIR_Coverage, 63500,
     /*  863106 */     GIR_EraseRootFromParent_Done,
     /*  863107 */   // Label 13215: @863107
     /*  863107 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(863189), // Rule ID 63505 //
     /*  863112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  863120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  863132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863139 */     // MIs[0] op1
     /*  863139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  863159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  863166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  863169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863171 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863173 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863175 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863177 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863187 */     GIR_RootConstrainSelectedInstOperands,
     /*  863188 */     // GIR_Coverage, 63505,
     /*  863188 */     GIR_EraseRootFromParent_Done,
     /*  863189 */   // Label 13216: @863189
     /*  863189 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(863271), // Rule ID 63506 //
     /*  863194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  863202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  863214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863221 */     // MIs[0] op1
     /*  863221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  863241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863248 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  863248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  863251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863259 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863269 */     GIR_RootConstrainSelectedInstOperands,
     /*  863270 */     // GIR_Coverage, 63506,
     /*  863270 */     GIR_EraseRootFromParent_Done,
     /*  863271 */   // Label 13217: @863271
     /*  863271 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(863353), // Rule ID 63511 //
     /*  863276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  863284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863303 */     // MIs[0] op1
     /*  863303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  863333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863341 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863351 */     GIR_RootConstrainSelectedInstOperands,
     /*  863352 */     // GIR_Coverage, 63511,
     /*  863352 */     GIR_EraseRootFromParent_Done,
     /*  863353 */   // Label 13218: @863353
     /*  863353 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863435), // Rule ID 63512 //
     /*  863358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  863366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863385 */     // MIs[0] op1
     /*  863385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  863415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863417 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863419 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863421 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863423 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863433 */     GIR_RootConstrainSelectedInstOperands,
     /*  863434 */     // GIR_Coverage, 63512,
     /*  863434 */     GIR_EraseRootFromParent_Done,
     /*  863435 */   // Label 13219: @863435
     /*  863435 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863517), // Rule ID 63523 //
     /*  863440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  863448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  863460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863467 */     // MIs[0] op1
     /*  863467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  863497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863499 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863501 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863503 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863505 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863515 */     GIR_RootConstrainSelectedInstOperands,
     /*  863516 */     // GIR_Coverage, 63523,
     /*  863516 */     GIR_EraseRootFromParent_Done,
     /*  863517 */   // Label 13220: @863517
     /*  863517 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863599), // Rule ID 63524 //
     /*  863522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  863530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  863542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863549 */     // MIs[0] op1
     /*  863549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  863579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863587 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863597 */     GIR_RootConstrainSelectedInstOperands,
     /*  863598 */     // GIR_Coverage, 63524,
     /*  863598 */     GIR_EraseRootFromParent_Done,
     /*  863599 */   // Label 13221: @863599
     /*  863599 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863681), // Rule ID 63529 //
     /*  863604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  863612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863631 */     // MIs[0] op1
     /*  863631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  863651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  863661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863669 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863679 */     GIR_RootConstrainSelectedInstOperands,
     /*  863680 */     // GIR_Coverage, 63529,
     /*  863680 */     GIR_EraseRootFromParent_Done,
     /*  863681 */   // Label 13222: @863681
     /*  863681 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863763), // Rule ID 63530 //
     /*  863686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  863694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  863697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  863700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  863703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863713 */     // MIs[0] op1
     /*  863713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  863733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  863743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863745 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863747 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863749 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863751 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863761 */     GIR_RootConstrainSelectedInstOperands,
     /*  863762 */     // GIR_Coverage, 63530,
     /*  863762 */     GIR_EraseRootFromParent_Done,
     /*  863763 */   // Label 13223: @863763
     /*  863763 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(863845), // Rule ID 63535 //
     /*  863768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  863776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  863785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863795 */     // MIs[0] op1
     /*  863795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  863825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863827 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863829 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863831 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863833 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863843 */     GIR_RootConstrainSelectedInstOperands,
     /*  863844 */     // GIR_Coverage, 63535,
     /*  863844 */     GIR_EraseRootFromParent_Done,
     /*  863845 */   // Label 13224: @863845
     /*  863845 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863927), // Rule ID 63536 //
     /*  863850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  863858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  863867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863877 */     // MIs[0] op1
     /*  863877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  863907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863915 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863925 */     GIR_RootConstrainSelectedInstOperands,
     /*  863926 */     // GIR_Coverage, 63536,
     /*  863926 */     GIR_EraseRootFromParent_Done,
     /*  863927 */   // Label 13225: @863927
     /*  863927 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(864009), // Rule ID 63547 //
     /*  863932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  863940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  863949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  863952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863959 */     // MIs[0] op1
     /*  863959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  863989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863997 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864007 */     GIR_RootConstrainSelectedInstOperands,
     /*  864008 */     // GIR_Coverage, 63547,
     /*  864008 */     GIR_EraseRootFromParent_Done,
     /*  864009 */   // Label 13226: @864009
     /*  864009 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(864091), // Rule ID 63548 //
     /*  864014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  864022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  864031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  864034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864041 */     // MIs[0] op1
     /*  864041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  864071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864073 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864075 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864077 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864079 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864089 */     GIR_RootConstrainSelectedInstOperands,
     /*  864090 */     // GIR_Coverage, 63548,
     /*  864090 */     GIR_EraseRootFromParent_Done,
     /*  864091 */   // Label 13227: @864091
     /*  864091 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(864173), // Rule ID 63553 //
     /*  864096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  864104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  864113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864123 */     // MIs[0] op1
     /*  864123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  864143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  864153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864155 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864157 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864159 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864161 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864171 */     GIR_RootConstrainSelectedInstOperands,
     /*  864172 */     // GIR_Coverage, 63553,
     /*  864172 */     GIR_EraseRootFromParent_Done,
     /*  864173 */   // Label 13228: @864173
     /*  864173 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(864255), // Rule ID 63554 //
     /*  864178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  864186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  864189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  864192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  864195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864205 */     // MIs[0] op1
     /*  864205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  864225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  864235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864243 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864253 */     GIR_RootConstrainSelectedInstOperands,
     /*  864254 */     // GIR_Coverage, 63554,
     /*  864254 */     GIR_EraseRootFromParent_Done,
     /*  864255 */   // Label 13229: @864255
     /*  864255 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(864337), // Rule ID 63559 //
     /*  864260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864287 */     // MIs[0] op1
     /*  864287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  864317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864319 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864321 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864323 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864325 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864335 */     GIR_RootConstrainSelectedInstOperands,
     /*  864336 */     // GIR_Coverage, 63559,
     /*  864336 */     GIR_EraseRootFromParent_Done,
     /*  864337 */   // Label 13230: @864337
     /*  864337 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(864419), // Rule ID 63560 //
     /*  864342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864369 */     // MIs[0] op1
     /*  864369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  864399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864407 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864417 */     GIR_RootConstrainSelectedInstOperands,
     /*  864418 */     // GIR_Coverage, 63560,
     /*  864418 */     GIR_EraseRootFromParent_Done,
     /*  864419 */   // Label 13231: @864419
     /*  864419 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864501), // Rule ID 63571 //
     /*  864424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  864432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  864444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864451 */     // MIs[0] op1
     /*  864451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864478 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  864481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864489 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864499 */     GIR_RootConstrainSelectedInstOperands,
     /*  864500 */     // GIR_Coverage, 63571,
     /*  864500 */     GIR_EraseRootFromParent_Done,
     /*  864501 */   // Label 13232: @864501
     /*  864501 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864583), // Rule ID 63572 //
     /*  864506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  864514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  864526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864533 */     // MIs[0] op1
     /*  864533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  864563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864571 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864581 */     GIR_RootConstrainSelectedInstOperands,
     /*  864582 */     // GIR_Coverage, 63572,
     /*  864582 */     GIR_EraseRootFromParent_Done,
     /*  864583 */   // Label 13233: @864583
     /*  864583 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864665), // Rule ID 63577 //
     /*  864588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  864596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864615 */     // MIs[0] op1
     /*  864615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864618 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  864635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  864645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864647 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864649 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864651 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864653 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864663 */     GIR_RootConstrainSelectedInstOperands,
     /*  864664 */     // GIR_Coverage, 63577,
     /*  864664 */     GIR_EraseRootFromParent_Done,
     /*  864665 */   // Label 13234: @864665
     /*  864665 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864747), // Rule ID 63578 //
     /*  864670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  864678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864697 */     // MIs[0] op1
     /*  864697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  864717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  864727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864735 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864745 */     GIR_RootConstrainSelectedInstOperands,
     /*  864746 */     // GIR_Coverage, 63578,
     /*  864746 */     GIR_EraseRootFromParent_Done,
     /*  864747 */   // Label 13235: @864747
     /*  864747 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864829), // Rule ID 63583 //
     /*  864752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  864769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864779 */     // MIs[0] op1
     /*  864779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  864809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864811 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864813 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864815 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864817 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864827 */     GIR_RootConstrainSelectedInstOperands,
     /*  864828 */     // GIR_Coverage, 63583,
     /*  864828 */     GIR_EraseRootFromParent_Done,
     /*  864829 */   // Label 13236: @864829
     /*  864829 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(864911), // Rule ID 63584 //
     /*  864834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  864851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864861 */     // MIs[0] op1
     /*  864861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10739:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  864888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  864891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864899 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864909 */     GIR_RootConstrainSelectedInstOperands,
     /*  864910 */     // GIR_Coverage, 63584,
     /*  864910 */     GIR_EraseRootFromParent_Done,
     /*  864911 */   // Label 13237: @864911
     /*  864911 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(864993), // Rule ID 63595 //
     /*  864916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  864924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  864933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  864936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864943 */     // MIs[0] op1
     /*  864943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  864970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  864973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864975 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864977 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864979 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864981 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864991 */     GIR_RootConstrainSelectedInstOperands,
     /*  864992 */     // GIR_Coverage, 63595,
     /*  864992 */     GIR_EraseRootFromParent_Done,
     /*  864993 */   // Label 13238: @864993
     /*  864993 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(865075), // Rule ID 63596 //
     /*  864998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  865015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  865018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865025 */     // MIs[0] op1
     /*  865025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10731:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  865052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  865055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865063 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865073 */     GIR_RootConstrainSelectedInstOperands,
     /*  865074 */     // GIR_Coverage, 63596,
     /*  865074 */     GIR_EraseRootFromParent_Done,
     /*  865075 */   // Label 13239: @865075
     /*  865075 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(865157), // Rule ID 63601 //
     /*  865080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  865088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  865097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865107 */     // MIs[0] op1
     /*  865107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  865115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  865127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  865134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  865137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865139 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865141 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865143 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865145 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865155 */     GIR_RootConstrainSelectedInstOperands,
     /*  865156 */     // GIR_Coverage, 63601,
     /*  865156 */     GIR_EraseRootFromParent_Done,
     /*  865157 */   // Label 13240: @865157
     /*  865157 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(865239), // Rule ID 63602 //
     /*  865162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  865170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  865179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865189 */     // MIs[0] op1
     /*  865189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  865197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  865209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  865216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  865219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865227 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865237 */     GIR_RootConstrainSelectedInstOperands,
     /*  865238 */     // GIR_Coverage, 63602,
     /*  865238 */     GIR_EraseRootFromParent_Done,
     /*  865239 */   // Label 13241: @865239
     /*  865239 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(865331), // Rule ID 5054 //
     /*  865244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  865255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  865258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  865261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  865267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865294 */     // MIs[1] Operand 1
     /*  865294 */     // No operand predicates
     /*  865294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865307 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  865310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865329 */     GIR_RootConstrainSelectedInstOperands,
     /*  865330 */     // GIR_Coverage, 5054,
     /*  865330 */     GIR_EraseRootFromParent_Done,
     /*  865331 */   // Label 13242: @865331
     /*  865331 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(865423), // Rule ID 5055 //
     /*  865336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  865347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  865350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  865353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  865359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865386 */     // MIs[1] Operand 1
     /*  865386 */     // No operand predicates
     /*  865386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  865402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865421 */     GIR_RootConstrainSelectedInstOperands,
     /*  865422 */     // GIR_Coverage, 5055,
     /*  865422 */     GIR_EraseRootFromParent_Done,
     /*  865423 */   // Label 13243: @865423
     /*  865423 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(865515), // Rule ID 5056 //
     /*  865428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  865439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  865442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  865445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  865451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865478 */     // MIs[1] Operand 1
     /*  865478 */     // No operand predicates
     /*  865478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865491 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  865494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865513 */     GIR_RootConstrainSelectedInstOperands,
     /*  865514 */     // GIR_Coverage, 5056,
     /*  865514 */     GIR_EraseRootFromParent_Done,
     /*  865515 */   // Label 13244: @865515
     /*  865515 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865607), // Rule ID 5057 //
     /*  865520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  865531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  865534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  865537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  865543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865570 */     // MIs[1] Operand 1
     /*  865570 */     // No operand predicates
     /*  865570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865583 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  865586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865605 */     GIR_RootConstrainSelectedInstOperands,
     /*  865606 */     // GIR_Coverage, 5057,
     /*  865606 */     GIR_EraseRootFromParent_Done,
     /*  865607 */   // Label 13245: @865607
     /*  865607 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865699), // Rule ID 5058 //
     /*  865612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  865623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  865626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  865629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  865635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865662 */     // MIs[1] Operand 1
     /*  865662 */     // No operand predicates
     /*  865662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865675 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  865678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865697 */     GIR_RootConstrainSelectedInstOperands,
     /*  865698 */     // GIR_Coverage, 5058,
     /*  865698 */     GIR_EraseRootFromParent_Done,
     /*  865699 */   // Label 13246: @865699
     /*  865699 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865791), // Rule ID 5059 //
     /*  865704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  865715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  865718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  865721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  865727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865754 */     // MIs[1] Operand 1
     /*  865754 */     // No operand predicates
     /*  865754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  865770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865789 */     GIR_RootConstrainSelectedInstOperands,
     /*  865790 */     // GIR_Coverage, 5059,
     /*  865790 */     GIR_EraseRootFromParent_Done,
     /*  865791 */   // Label 13247: @865791
     /*  865791 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865883), // Rule ID 5060 //
     /*  865796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  865807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  865810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  865813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  865819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865846 */     // MIs[1] Operand 1
     /*  865846 */     // No operand predicates
     /*  865846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  865859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  865862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865881 */     GIR_RootConstrainSelectedInstOperands,
     /*  865882 */     // GIR_Coverage, 5060,
     /*  865882 */     GIR_EraseRootFromParent_Done,
     /*  865883 */   // Label 13248: @865883
     /*  865883 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865975), // Rule ID 5061 //
     /*  865888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  865899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  865902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  865905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  865911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  865918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  865930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  865934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  865938 */     // MIs[1] Operand 1
     /*  865938 */     // No operand predicates
     /*  865938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  865942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  865944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865951 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  865951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  865954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  865963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  865965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865973 */     GIR_RootConstrainSelectedInstOperands,
     /*  865974 */     // GIR_Coverage, 5061,
     /*  865974 */     GIR_EraseRootFromParent_Done,
     /*  865975 */   // Label 13249: @865975
     /*  865975 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(866067), // Rule ID 5062 //
     /*  865980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  865988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  865991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  865994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  865997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  866003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866030 */     // MIs[1] Operand 1
     /*  866030 */     // No operand predicates
     /*  866030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  866043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  866046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866065 */     GIR_RootConstrainSelectedInstOperands,
     /*  866066 */     // GIR_Coverage, 5062,
     /*  866066 */     GIR_EraseRootFromParent_Done,
     /*  866067 */   // Label 13250: @866067
     /*  866067 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(866159), // Rule ID 5063 //
     /*  866072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  866095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866122 */     // MIs[1] Operand 1
     /*  866122 */     // No operand predicates
     /*  866122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866135 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  866135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  866138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866157 */     GIR_RootConstrainSelectedInstOperands,
     /*  866158 */     // GIR_Coverage, 5063,
     /*  866158 */     GIR_EraseRootFromParent_Done,
     /*  866159 */   // Label 13251: @866159
     /*  866159 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(866251), // Rule ID 5064 //
     /*  866164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  866187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866214 */     // MIs[1] Operand 1
     /*  866214 */     // No operand predicates
     /*  866214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  866227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  866230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866249 */     GIR_RootConstrainSelectedInstOperands,
     /*  866250 */     // GIR_Coverage, 5064,
     /*  866250 */     GIR_EraseRootFromParent_Done,
     /*  866251 */   // Label 13252: @866251
     /*  866251 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(866343), // Rule ID 5065 //
     /*  866256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  866279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866306 */     // MIs[1] Operand 1
     /*  866306 */     // No operand predicates
     /*  866306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  866319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  866322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866341 */     GIR_RootConstrainSelectedInstOperands,
     /*  866342 */     // GIR_Coverage, 5065,
     /*  866342 */     GIR_EraseRootFromParent_Done,
     /*  866343 */   // Label 13253: @866343
     /*  866343 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(866435), // Rule ID 5066 //
     /*  866348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  866359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  866362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  866365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  866371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866398 */     // MIs[1] Operand 1
     /*  866398 */     // No operand predicates
     /*  866398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866433 */     GIR_RootConstrainSelectedInstOperands,
     /*  866434 */     // GIR_Coverage, 5066,
     /*  866434 */     GIR_EraseRootFromParent_Done,
     /*  866435 */   // Label 13254: @866435
     /*  866435 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(866527), // Rule ID 5067 //
     /*  866440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  866451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  866454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  866457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  866463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866490 */     // MIs[1] Operand 1
     /*  866490 */     // No operand predicates
     /*  866490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866525 */     GIR_RootConstrainSelectedInstOperands,
     /*  866526 */     // GIR_Coverage, 5067,
     /*  866526 */     GIR_EraseRootFromParent_Done,
     /*  866527 */   // Label 13255: @866527
     /*  866527 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(866619), // Rule ID 5068 //
     /*  866532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  866543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  866546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  866549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  866555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866582 */     // MIs[1] Operand 1
     /*  866582 */     // No operand predicates
     /*  866582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  866595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866617 */     GIR_RootConstrainSelectedInstOperands,
     /*  866618 */     // GIR_Coverage, 5068,
     /*  866618 */     GIR_EraseRootFromParent_Done,
     /*  866619 */   // Label 13256: @866619
     /*  866619 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(866711), // Rule ID 5069 //
     /*  866624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  866635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  866638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  866641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  866647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866674 */     // MIs[1] Operand 1
     /*  866674 */     // No operand predicates
     /*  866674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  866687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866709 */     GIR_RootConstrainSelectedInstOperands,
     /*  866710 */     // GIR_Coverage, 5069,
     /*  866710 */     GIR_EraseRootFromParent_Done,
     /*  866711 */   // Label 13257: @866711
     /*  866711 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(866803), // Rule ID 5070 //
     /*  866716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  866739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866766 */     // MIs[1] Operand 1
     /*  866766 */     // No operand predicates
     /*  866766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  866779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866801 */     GIR_RootConstrainSelectedInstOperands,
     /*  866802 */     // GIR_Coverage, 5070,
     /*  866802 */     GIR_EraseRootFromParent_Done,
     /*  866803 */   // Label 13258: @866803
     /*  866803 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866895), // Rule ID 5071 //
     /*  866808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  866819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  866822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  866825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  866831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866858 */     // MIs[1] Operand 1
     /*  866858 */     // No operand predicates
     /*  866858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  866871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866893 */     GIR_RootConstrainSelectedInstOperands,
     /*  866894 */     // GIR_Coverage, 5071,
     /*  866894 */     GIR_EraseRootFromParent_Done,
     /*  866895 */   // Label 13259: @866895
     /*  866895 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866987), // Rule ID 5072 //
     /*  866900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  866908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  866911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  866914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  866917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  866923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  866930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  866942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  866946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  866950 */     // MIs[1] Operand 1
     /*  866950 */     // No operand predicates
     /*  866950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  866954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  866956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866963 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  866963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  866966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  866975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  866977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866985 */     GIR_RootConstrainSelectedInstOperands,
     /*  866986 */     // GIR_Coverage, 5072,
     /*  866986 */     GIR_EraseRootFromParent_Done,
     /*  866987 */   // Label 13260: @866987
     /*  866987 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(867079), // Rule ID 5073 //
     /*  866992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  866995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  867015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  867022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867042 */     // MIs[1] Operand 1
     /*  867042 */     // No operand predicates
     /*  867042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  867055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  867058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867077 */     GIR_RootConstrainSelectedInstOperands,
     /*  867078 */     // GIR_Coverage, 5073,
     /*  867078 */     GIR_EraseRootFromParent_Done,
     /*  867079 */   // Label 13261: @867079
     /*  867079 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(867171), // Rule ID 5074 //
     /*  867084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  867095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  867098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  867101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  867107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  867114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867134 */     // MIs[1] Operand 1
     /*  867134 */     // No operand predicates
     /*  867134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  867150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867169 */     GIR_RootConstrainSelectedInstOperands,
     /*  867170 */     // GIR_Coverage, 5074,
     /*  867170 */     GIR_EraseRootFromParent_Done,
     /*  867171 */   // Label 13262: @867171
     /*  867171 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(867263), // Rule ID 5075 //
     /*  867176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  867187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  867190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  867193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  867199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  867206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867226 */     // MIs[1] Operand 1
     /*  867226 */     // No operand predicates
     /*  867226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867239 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  867242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867261 */     GIR_RootConstrainSelectedInstOperands,
     /*  867262 */     // GIR_Coverage, 5075,
     /*  867262 */     GIR_EraseRootFromParent_Done,
     /*  867263 */   // Label 13263: @867263
     /*  867263 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(867355), // Rule ID 5076 //
     /*  867268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  867279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  867282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  867285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  867291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  867298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867318 */     // MIs[1] Operand 1
     /*  867318 */     // No operand predicates
     /*  867318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867331 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  867334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867353 */     GIR_RootConstrainSelectedInstOperands,
     /*  867354 */     // GIR_Coverage, 5076,
     /*  867354 */     GIR_EraseRootFromParent_Done,
     /*  867355 */   // Label 13264: @867355
     /*  867355 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(867447), // Rule ID 5077 //
     /*  867360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  867371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  867374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  867377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  867383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  867390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867410 */     // MIs[1] Operand 1
     /*  867410 */     // No operand predicates
     /*  867410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  867426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867445 */     GIR_RootConstrainSelectedInstOperands,
     /*  867446 */     // GIR_Coverage, 5077,
     /*  867446 */     GIR_EraseRootFromParent_Done,
     /*  867447 */   // Label 13265: @867447
     /*  867447 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(867539), // Rule ID 5078 //
     /*  867452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  867463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  867466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  867469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  867475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  867482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867502 */     // MIs[1] Operand 1
     /*  867502 */     // No operand predicates
     /*  867502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867515 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  867518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867537 */     GIR_RootConstrainSelectedInstOperands,
     /*  867538 */     // GIR_Coverage, 5078,
     /*  867538 */     GIR_EraseRootFromParent_Done,
     /*  867539 */   // Label 13266: @867539
     /*  867539 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(867631), // Rule ID 5079 //
     /*  867544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  867555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  867558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  867561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  867567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  867574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867594 */     // MIs[1] Operand 1
     /*  867594 */     // No operand predicates
     /*  867594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  867610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867629 */     GIR_RootConstrainSelectedInstOperands,
     /*  867630 */     // GIR_Coverage, 5079,
     /*  867630 */     GIR_EraseRootFromParent_Done,
     /*  867631 */   // Label 13267: @867631
     /*  867631 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(867723), // Rule ID 5080 //
     /*  867636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  867659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  867666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867686 */     // MIs[1] Operand 1
     /*  867686 */     // No operand predicates
     /*  867686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  867702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867721 */     GIR_RootConstrainSelectedInstOperands,
     /*  867722 */     // GIR_Coverage, 5080,
     /*  867722 */     GIR_EraseRootFromParent_Done,
     /*  867723 */   // Label 13268: @867723
     /*  867723 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(867815), // Rule ID 5081 //
     /*  867728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  867751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  867758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867778 */     // MIs[1] Operand 1
     /*  867778 */     // No operand predicates
     /*  867778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  867794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867813 */     GIR_RootConstrainSelectedInstOperands,
     /*  867814 */     // GIR_Coverage, 5081,
     /*  867814 */     GIR_EraseRootFromParent_Done,
     /*  867815 */   // Label 13269: @867815
     /*  867815 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(867907), // Rule ID 5082 //
     /*  867820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  867843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  867850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867870 */     // MIs[1] Operand 1
     /*  867870 */     // No operand predicates
     /*  867870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  867886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867905 */     GIR_RootConstrainSelectedInstOperands,
     /*  867906 */     // GIR_Coverage, 5082,
     /*  867906 */     GIR_EraseRootFromParent_Done,
     /*  867907 */   // Label 13270: @867907
     /*  867907 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(867999), // Rule ID 5083 //
     /*  867912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  867920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  867935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  867942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  867954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  867958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  867962 */     // MIs[1] Operand 1
     /*  867962 */     // No operand predicates
     /*  867962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  867966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  867968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  867978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  867987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  867989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867997 */     GIR_RootConstrainSelectedInstOperands,
     /*  867998 */     // GIR_Coverage, 5083,
     /*  867998 */     GIR_EraseRootFromParent_Done,
     /*  867999 */   // Label 13271: @867999
     /*  867999 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(868091), // Rule ID 5084 //
     /*  868004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  868027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  868034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868054 */     // MIs[1] Operand 1
     /*  868054 */     // No operand predicates
     /*  868054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  868070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868089 */     GIR_RootConstrainSelectedInstOperands,
     /*  868090 */     // GIR_Coverage, 5084,
     /*  868090 */     GIR_EraseRootFromParent_Done,
     /*  868091 */   // Label 13272: @868091
     /*  868091 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(868183), // Rule ID 5085 //
     /*  868096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  868119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  868126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868146 */     // MIs[1] Operand 1
     /*  868146 */     // No operand predicates
     /*  868146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868159 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  868162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868181 */     GIR_RootConstrainSelectedInstOperands,
     /*  868182 */     // GIR_Coverage, 5085,
     /*  868182 */     GIR_EraseRootFromParent_Done,
     /*  868183 */   // Label 13273: @868183
     /*  868183 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(868275), // Rule ID 5086 //
     /*  868188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  868202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  868211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  868218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868238 */     // MIs[1] Operand 1
     /*  868238 */     // No operand predicates
     /*  868238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  868254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868273 */     GIR_RootConstrainSelectedInstOperands,
     /*  868274 */     // GIR_Coverage, 5086,
     /*  868274 */     GIR_EraseRootFromParent_Done,
     /*  868275 */   // Label 13274: @868275
     /*  868275 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(868367), // Rule ID 5087 //
     /*  868280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  868294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  868303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  868310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868330 */     // MIs[1] Operand 1
     /*  868330 */     // No operand predicates
     /*  868330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  868346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868365 */     GIR_RootConstrainSelectedInstOperands,
     /*  868366 */     // GIR_Coverage, 5087,
     /*  868366 */     GIR_EraseRootFromParent_Done,
     /*  868367 */   // Label 13275: @868367
     /*  868367 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(868459), // Rule ID 5088 //
     /*  868372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  868386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  868395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  868402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868422 */     // MIs[1] Operand 1
     /*  868422 */     // No operand predicates
     /*  868422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  868438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868457 */     GIR_RootConstrainSelectedInstOperands,
     /*  868458 */     // GIR_Coverage, 5088,
     /*  868458 */     GIR_EraseRootFromParent_Done,
     /*  868459 */   // Label 13276: @868459
     /*  868459 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(868551), // Rule ID 5089 //
     /*  868464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  868478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  868487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  868494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868514 */     // MIs[1] Operand 1
     /*  868514 */     // No operand predicates
     /*  868514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  868530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868549 */     GIR_RootConstrainSelectedInstOperands,
     /*  868550 */     // GIR_Coverage, 5089,
     /*  868550 */     GIR_EraseRootFromParent_Done,
     /*  868551 */   // Label 13277: @868551
     /*  868551 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(868643), // Rule ID 5090 //
     /*  868556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  868579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  868586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868606 */     // MIs[1] Operand 1
     /*  868606 */     // No operand predicates
     /*  868606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868619 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  868622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868641 */     GIR_RootConstrainSelectedInstOperands,
     /*  868642 */     // GIR_Coverage, 5090,
     /*  868642 */     GIR_EraseRootFromParent_Done,
     /*  868643 */   // Label 13278: @868643
     /*  868643 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(868735), // Rule ID 5091 //
     /*  868648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  868671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  868678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868698 */     // MIs[1] Operand 1
     /*  868698 */     // No operand predicates
     /*  868698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  868714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868733 */     GIR_RootConstrainSelectedInstOperands,
     /*  868734 */     // GIR_Coverage, 5091,
     /*  868734 */     GIR_EraseRootFromParent_Done,
     /*  868735 */   // Label 13279: @868735
     /*  868735 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(868827), // Rule ID 5092 //
     /*  868740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  868763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  868770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868790 */     // MIs[1] Operand 1
     /*  868790 */     // No operand predicates
     /*  868790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868803 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  868803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  868806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868825 */     GIR_RootConstrainSelectedInstOperands,
     /*  868826 */     // GIR_Coverage, 5092,
     /*  868826 */     GIR_EraseRootFromParent_Done,
     /*  868827 */   // Label 13280: @868827
     /*  868827 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(868919), // Rule ID 5093 //
     /*  868832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  868855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  868862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868882 */     // MIs[1] Operand 1
     /*  868882 */     // No operand predicates
     /*  868882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868895 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  868895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  868898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  868909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868917 */     GIR_RootConstrainSelectedInstOperands,
     /*  868918 */     // GIR_Coverage, 5093,
     /*  868918 */     GIR_EraseRootFromParent_Done,
     /*  868919 */   // Label 13281: @868919
     /*  868919 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(869011), // Rule ID 5094 //
     /*  868924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  868932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  868947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  868954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  868966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  868970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  868974 */     // MIs[1] Operand 1
     /*  868974 */     // No operand predicates
     /*  868974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  868978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  868980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  868987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  868990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  868999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869009 */     GIR_RootConstrainSelectedInstOperands,
     /*  869010 */     // GIR_Coverage, 5094,
     /*  869010 */     GIR_EraseRootFromParent_Done,
     /*  869011 */   // Label 13282: @869011
     /*  869011 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(869103), // Rule ID 5095 //
     /*  869016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  869019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  869024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  869027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  869030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  869033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  869039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  869046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869066 */     // MIs[1] Operand 1
     /*  869066 */     // No operand predicates
     /*  869066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869079 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  869079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  869082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869101 */     GIR_RootConstrainSelectedInstOperands,
     /*  869102 */     // GIR_Coverage, 5095,
     /*  869102 */     GIR_EraseRootFromParent_Done,
     /*  869103 */   // Label 13283: @869103
     /*  869103 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(869195), // Rule ID 5096 //
     /*  869108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  869111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  869116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  869131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  869138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869158 */     // MIs[1] Operand 1
     /*  869158 */     // No operand predicates
     /*  869158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  869171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  869174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869193 */     GIR_RootConstrainSelectedInstOperands,
     /*  869194 */     // GIR_Coverage, 5096,
     /*  869194 */     GIR_EraseRootFromParent_Done,
     /*  869195 */   // Label 13284: @869195
     /*  869195 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(869287), // Rule ID 5097 //
     /*  869200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  869203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  869208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  869223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  869230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869250 */     // MIs[1] Operand 1
     /*  869250 */     // No operand predicates
     /*  869250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869263 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  869263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  869266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869285 */     GIR_RootConstrainSelectedInstOperands,
     /*  869286 */     // GIR_Coverage, 5097,
     /*  869286 */     GIR_EraseRootFromParent_Done,
     /*  869287 */   // Label 13285: @869287
     /*  869287 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(869379), // Rule ID 7828 //
     /*  869292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  869303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  869306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  869309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  869315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869342 */     // MIs[1] Operand 1
     /*  869342 */     // No operand predicates
     /*  869342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  869355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  869358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869377 */     GIR_RootConstrainSelectedInstOperands,
     /*  869378 */     // GIR_Coverage, 7828,
     /*  869378 */     GIR_EraseRootFromParent_Done,
     /*  869379 */   // Label 13286: @869379
     /*  869379 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(869471), // Rule ID 7829 //
     /*  869384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  869395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  869398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  869401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  869407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869434 */     // MIs[1] Operand 1
     /*  869434 */     // No operand predicates
     /*  869434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869447 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  869447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  869450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869469 */     GIR_RootConstrainSelectedInstOperands,
     /*  869470 */     // GIR_Coverage, 7829,
     /*  869470 */     GIR_EraseRootFromParent_Done,
     /*  869471 */   // Label 13287: @869471
     /*  869471 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(869563), // Rule ID 7832 //
     /*  869476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  869487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  869490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  869493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  869499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869526 */     // MIs[1] Operand 1
     /*  869526 */     // No operand predicates
     /*  869526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  869539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  869542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869561 */     GIR_RootConstrainSelectedInstOperands,
     /*  869562 */     // GIR_Coverage, 7832,
     /*  869562 */     GIR_EraseRootFromParent_Done,
     /*  869563 */   // Label 13288: @869563
     /*  869563 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(869655), // Rule ID 7833 //
     /*  869568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  869579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  869582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  869585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  869591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869618 */     // MIs[1] Operand 1
     /*  869618 */     // No operand predicates
     /*  869618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  869631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  869634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869653 */     GIR_RootConstrainSelectedInstOperands,
     /*  869654 */     // GIR_Coverage, 7833,
     /*  869654 */     GIR_EraseRootFromParent_Done,
     /*  869655 */   // Label 13289: @869655
     /*  869655 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(869747), // Rule ID 7836 //
     /*  869660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  869671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  869674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  869677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  869683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869710 */     // MIs[1] Operand 1
     /*  869710 */     // No operand predicates
     /*  869710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  869723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  869726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869745 */     GIR_RootConstrainSelectedInstOperands,
     /*  869746 */     // GIR_Coverage, 7836,
     /*  869746 */     GIR_EraseRootFromParent_Done,
     /*  869747 */   // Label 13290: @869747
     /*  869747 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(869839), // Rule ID 7837 //
     /*  869752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  869763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  869766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  869769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  869775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869802 */     // MIs[1] Operand 1
     /*  869802 */     // No operand predicates
     /*  869802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869815 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  869815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  869818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869837 */     GIR_RootConstrainSelectedInstOperands,
     /*  869838 */     // GIR_Coverage, 7837,
     /*  869838 */     GIR_EraseRootFromParent_Done,
     /*  869839 */   // Label 13291: @869839
     /*  869839 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(869931), // Rule ID 7840 //
     /*  869844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  869855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  869858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  869864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  869867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869894 */     // MIs[1] Operand 1
     /*  869894 */     // No operand predicates
     /*  869894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869907 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  869907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  869910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  869919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  869921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869929 */     GIR_RootConstrainSelectedInstOperands,
     /*  869930 */     // GIR_Coverage, 7840,
     /*  869930 */     GIR_EraseRootFromParent_Done,
     /*  869931 */   // Label 13292: @869931
     /*  869931 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(870023), // Rule ID 7841 //
     /*  869936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  869944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  869947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  869950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  869953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  869956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  869959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  869978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  869982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  869986 */     // MIs[1] Operand 1
     /*  869986 */     // No operand predicates
     /*  869986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  869990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  869992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869999 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  869999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  870002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870021 */     GIR_RootConstrainSelectedInstOperands,
     /*  870022 */     // GIR_Coverage, 7841,
     /*  870022 */     GIR_EraseRootFromParent_Done,
     /*  870023 */   // Label 13293: @870023
     /*  870023 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(870115), // Rule ID 7844 //
     /*  870028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  870039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  870042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  870051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870078 */     // MIs[1] Operand 1
     /*  870078 */     // No operand predicates
     /*  870078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  870094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870113 */     GIR_RootConstrainSelectedInstOperands,
     /*  870114 */     // GIR_Coverage, 7844,
     /*  870114 */     GIR_EraseRootFromParent_Done,
     /*  870115 */   // Label 13294: @870115
     /*  870115 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(870207), // Rule ID 7845 //
     /*  870120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  870131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  870134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  870143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870170 */     // MIs[1] Operand 1
     /*  870170 */     // No operand predicates
     /*  870170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  870183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  870186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870205 */     GIR_RootConstrainSelectedInstOperands,
     /*  870206 */     // GIR_Coverage, 7845,
     /*  870206 */     GIR_EraseRootFromParent_Done,
     /*  870207 */   // Label 13295: @870207
     /*  870207 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(870299), // Rule ID 7848 //
     /*  870212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  870223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  870226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  870235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870262 */     // MIs[1] Operand 1
     /*  870262 */     // No operand predicates
     /*  870262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870275 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  870278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870297 */     GIR_RootConstrainSelectedInstOperands,
     /*  870298 */     // GIR_Coverage, 7848,
     /*  870298 */     GIR_EraseRootFromParent_Done,
     /*  870299 */   // Label 13296: @870299
     /*  870299 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(870391), // Rule ID 7849 //
     /*  870304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  870315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  870318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  870327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870354 */     // MIs[1] Operand 1
     /*  870354 */     // No operand predicates
     /*  870354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870367 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  870370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870389 */     GIR_RootConstrainSelectedInstOperands,
     /*  870390 */     // GIR_Coverage, 7849,
     /*  870390 */     GIR_EraseRootFromParent_Done,
     /*  870391 */   // Label 13297: @870391
     /*  870391 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(870483), // Rule ID 7852 //
     /*  870396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  870407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  870410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  870413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  870419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870446 */     // MIs[1] Operand 1
     /*  870446 */     // No operand predicates
     /*  870446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  870459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  870481 */     GIR_RootConstrainSelectedInstOperands,
     /*  870482 */     // GIR_Coverage, 7852,
     /*  870482 */     GIR_EraseRootFromParent_Done,
     /*  870483 */   // Label 13298: @870483
     /*  870483 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(870575), // Rule ID 7853 //
     /*  870488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  870499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  870502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  870505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  870511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870538 */     // MIs[1] Operand 1
     /*  870538 */     // No operand predicates
     /*  870538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  870551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  870573 */     GIR_RootConstrainSelectedInstOperands,
     /*  870574 */     // GIR_Coverage, 7853,
     /*  870574 */     GIR_EraseRootFromParent_Done,
     /*  870575 */   // Label 13299: @870575
     /*  870575 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(870667), // Rule ID 7856 //
     /*  870580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  870591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  870594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  870603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870630 */     // MIs[1] Operand 1
     /*  870630 */     // No operand predicates
     /*  870630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870665 */     GIR_RootConstrainSelectedInstOperands,
     /*  870666 */     // GIR_Coverage, 7856,
     /*  870666 */     GIR_EraseRootFromParent_Done,
     /*  870667 */   // Label 13300: @870667
     /*  870667 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(870759), // Rule ID 7857 //
     /*  870672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  870683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  870686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  870695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870722 */     // MIs[1] Operand 1
     /*  870722 */     // No operand predicates
     /*  870722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870735 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  870735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870757 */     GIR_RootConstrainSelectedInstOperands,
     /*  870758 */     // GIR_Coverage, 7857,
     /*  870758 */     GIR_EraseRootFromParent_Done,
     /*  870759 */   // Label 13301: @870759
     /*  870759 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(870851), // Rule ID 7860 //
     /*  870764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  870775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  870778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  870787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870814 */     // MIs[1] Operand 1
     /*  870814 */     // No operand predicates
     /*  870814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870827 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870849 */     GIR_RootConstrainSelectedInstOperands,
     /*  870850 */     // GIR_Coverage, 7860,
     /*  870850 */     GIR_EraseRootFromParent_Done,
     /*  870851 */   // Label 13302: @870851
     /*  870851 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(870943), // Rule ID 7861 //
     /*  870856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  870867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  870870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  870873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  870876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  870879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870906 */     // MIs[1] Operand 1
     /*  870906 */     // No operand predicates
     /*  870906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  870910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  870912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870919 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  870922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  870931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  870933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870941 */     GIR_RootConstrainSelectedInstOperands,
     /*  870942 */     // GIR_Coverage, 7861,
     /*  870942 */     GIR_EraseRootFromParent_Done,
     /*  870943 */   // Label 13303: @870943
     /*  870943 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(871035), // Rule ID 7864 //
     /*  870948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  870951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  870956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  870959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  870962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  870965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  870968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  870971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  870990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  870994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  870998 */     // MIs[1] Operand 1
     /*  870998 */     // No operand predicates
     /*  870998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  871011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  871014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871033 */     GIR_RootConstrainSelectedInstOperands,
     /*  871034 */     // GIR_Coverage, 7864,
     /*  871034 */     GIR_EraseRootFromParent_Done,
     /*  871035 */   // Label 13304: @871035
     /*  871035 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(871127), // Rule ID 7865 //
     /*  871040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  871043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  871051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  871054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  871063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871090 */     // MIs[1] Operand 1
     /*  871090 */     // No operand predicates
     /*  871090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  871103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  871106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871125 */     GIR_RootConstrainSelectedInstOperands,
     /*  871126 */     // GIR_Coverage, 7865,
     /*  871126 */     GIR_EraseRootFromParent_Done,
     /*  871127 */   // Label 13305: @871127
     /*  871127 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(871219), // Rule ID 7868 //
     /*  871132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  871143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  871146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  871149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  871155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871182 */     // MIs[1] Operand 1
     /*  871182 */     // No operand predicates
     /*  871182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871195 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  871198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871217 */     GIR_RootConstrainSelectedInstOperands,
     /*  871218 */     // GIR_Coverage, 7868,
     /*  871218 */     GIR_EraseRootFromParent_Done,
     /*  871219 */   // Label 13306: @871219
     /*  871219 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(871311), // Rule ID 7869 //
     /*  871224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  871235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  871238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  871241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  871247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871274 */     // MIs[1] Operand 1
     /*  871274 */     // No operand predicates
     /*  871274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  871290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871309 */     GIR_RootConstrainSelectedInstOperands,
     /*  871310 */     // GIR_Coverage, 7869,
     /*  871310 */     GIR_EraseRootFromParent_Done,
     /*  871311 */   // Label 13307: @871311
     /*  871311 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(871403), // Rule ID 7872 //
     /*  871316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  871327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  871330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  871333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  871339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871366 */     // MIs[1] Operand 1
     /*  871366 */     // No operand predicates
     /*  871366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871379 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  871382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871401 */     GIR_RootConstrainSelectedInstOperands,
     /*  871402 */     // GIR_Coverage, 7872,
     /*  871402 */     GIR_EraseRootFromParent_Done,
     /*  871403 */   // Label 13308: @871403
     /*  871403 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(871495), // Rule ID 7873 //
     /*  871408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  871419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  871422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  871425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  871431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871458 */     // MIs[1] Operand 1
     /*  871458 */     // No operand predicates
     /*  871458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871471 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  871474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871493 */     GIR_RootConstrainSelectedInstOperands,
     /*  871494 */     // GIR_Coverage, 7873,
     /*  871494 */     GIR_EraseRootFromParent_Done,
     /*  871495 */   // Label 13309: @871495
     /*  871495 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(871587), // Rule ID 7876 //
     /*  871500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  871511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  871514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  871517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  871523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871550 */     // MIs[1] Operand 1
     /*  871550 */     // No operand predicates
     /*  871550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871563 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  871566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871585 */     GIR_RootConstrainSelectedInstOperands,
     /*  871586 */     // GIR_Coverage, 7876,
     /*  871586 */     GIR_EraseRootFromParent_Done,
     /*  871587 */   // Label 13310: @871587
     /*  871587 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(871679), // Rule ID 7877 //
     /*  871592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  871603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  871606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  871609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  871615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871642 */     // MIs[1] Operand 1
     /*  871642 */     // No operand predicates
     /*  871642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871655 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  871658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871677 */     GIR_RootConstrainSelectedInstOperands,
     /*  871678 */     // GIR_Coverage, 7877,
     /*  871678 */     GIR_EraseRootFromParent_Done,
     /*  871679 */   // Label 13311: @871679
     /*  871679 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(871771), // Rule ID 7880 //
     /*  871684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  871695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  871698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  871707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871734 */     // MIs[1] Operand 1
     /*  871734 */     // No operand predicates
     /*  871734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  871750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871769 */     GIR_RootConstrainSelectedInstOperands,
     /*  871770 */     // GIR_Coverage, 7880,
     /*  871770 */     GIR_EraseRootFromParent_Done,
     /*  871771 */   // Label 13312: @871771
     /*  871771 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(871863), // Rule ID 7881 //
     /*  871776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  871787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  871790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  871799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871826 */     // MIs[1] Operand 1
     /*  871826 */     // No operand predicates
     /*  871826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  871842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871861 */     GIR_RootConstrainSelectedInstOperands,
     /*  871862 */     // GIR_Coverage, 7881,
     /*  871862 */     GIR_EraseRootFromParent_Done,
     /*  871863 */   // Label 13313: @871863
     /*  871863 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(871955), // Rule ID 7884 //
     /*  871868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  871879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  871882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  871891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871918 */     // MIs[1] Operand 1
     /*  871918 */     // No operand predicates
     /*  871918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  871934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  871945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871953 */     GIR_RootConstrainSelectedInstOperands,
     /*  871954 */     // GIR_Coverage, 7884,
     /*  871954 */     GIR_EraseRootFromParent_Done,
     /*  871955 */   // Label 13314: @871955
     /*  871955 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(872047), // Rule ID 7885 //
     /*  871960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  871968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  871971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  871974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  871983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872010 */     // MIs[1] Operand 1
     /*  872010 */     // No operand predicates
     /*  872010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872023 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  872026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872045 */     GIR_RootConstrainSelectedInstOperands,
     /*  872046 */     // GIR_Coverage, 7885,
     /*  872046 */     GIR_EraseRootFromParent_Done,
     /*  872047 */   // Label 13315: @872047
     /*  872047 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(872139), // Rule ID 7888 //
     /*  872052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  872063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  872066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  872075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872102 */     // MIs[1] Operand 1
     /*  872102 */     // No operand predicates
     /*  872102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872115 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  872118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872137 */     GIR_RootConstrainSelectedInstOperands,
     /*  872138 */     // GIR_Coverage, 7888,
     /*  872138 */     GIR_EraseRootFromParent_Done,
     /*  872139 */   // Label 13316: @872139
     /*  872139 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(872231), // Rule ID 7889 //
     /*  872144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  872155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  872158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  872167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872194 */     // MIs[1] Operand 1
     /*  872194 */     // No operand predicates
     /*  872194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872207 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  872210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872229 */     GIR_RootConstrainSelectedInstOperands,
     /*  872230 */     // GIR_Coverage, 7889,
     /*  872230 */     GIR_EraseRootFromParent_Done,
     /*  872231 */   // Label 13317: @872231
     /*  872231 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(872323), // Rule ID 7892 //
     /*  872236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  872247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  872250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  872253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  872259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872286 */     // MIs[1] Operand 1
     /*  872286 */     // No operand predicates
     /*  872286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872299 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  872302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872321 */     GIR_RootConstrainSelectedInstOperands,
     /*  872322 */     // GIR_Coverage, 7892,
     /*  872322 */     GIR_EraseRootFromParent_Done,
     /*  872323 */   // Label 13318: @872323
     /*  872323 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(872415), // Rule ID 7893 //
     /*  872328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  872339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  872342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  872345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  872351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872378 */     // MIs[1] Operand 1
     /*  872378 */     // No operand predicates
     /*  872378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  872394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872413 */     GIR_RootConstrainSelectedInstOperands,
     /*  872414 */     // GIR_Coverage, 7893,
     /*  872414 */     GIR_EraseRootFromParent_Done,
     /*  872415 */   // Label 13319: @872415
     /*  872415 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(872507), // Rule ID 7896 //
     /*  872420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  872431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  872434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  872443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872470 */     // MIs[1] Operand 1
     /*  872470 */     // No operand predicates
     /*  872470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872483 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  872486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872505 */     GIR_RootConstrainSelectedInstOperands,
     /*  872506 */     // GIR_Coverage, 7896,
     /*  872506 */     GIR_EraseRootFromParent_Done,
     /*  872507 */   // Label 13320: @872507
     /*  872507 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(872599), // Rule ID 7897 //
     /*  872512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  872523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  872526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  872535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872562 */     // MIs[1] Operand 1
     /*  872562 */     // No operand predicates
     /*  872562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  872578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872597 */     GIR_RootConstrainSelectedInstOperands,
     /*  872598 */     // GIR_Coverage, 7897,
     /*  872598 */     GIR_EraseRootFromParent_Done,
     /*  872599 */   // Label 13321: @872599
     /*  872599 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(872691), // Rule ID 7900 //
     /*  872604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  872615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  872618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  872627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872654 */     // MIs[1] Operand 1
     /*  872654 */     // No operand predicates
     /*  872654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  872670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872689 */     GIR_RootConstrainSelectedInstOperands,
     /*  872690 */     // GIR_Coverage, 7900,
     /*  872690 */     GIR_EraseRootFromParent_Done,
     /*  872691 */   // Label 13322: @872691
     /*  872691 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(872783), // Rule ID 7901 //
     /*  872696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  872707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  872710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  872719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872746 */     // MIs[1] Operand 1
     /*  872746 */     // No operand predicates
     /*  872746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  872762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872781 */     GIR_RootConstrainSelectedInstOperands,
     /*  872782 */     // GIR_Coverage, 7901,
     /*  872782 */     GIR_EraseRootFromParent_Done,
     /*  872783 */   // Label 13323: @872783
     /*  872783 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(872875), // Rule ID 7904 //
     /*  872788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  872791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  872799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  872802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  872811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872838 */     // MIs[1] Operand 1
     /*  872838 */     // No operand predicates
     /*  872838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872851 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  872851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  872854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872873 */     GIR_RootConstrainSelectedInstOperands,
     /*  872874 */     // GIR_Coverage, 7904,
     /*  872874 */     GIR_EraseRootFromParent_Done,
     /*  872875 */   // Label 13324: @872875
     /*  872875 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(872967), // Rule ID 7905 //
     /*  872880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  872883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  872891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  872894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  872903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872930 */     // MIs[1] Operand 1
     /*  872930 */     // No operand predicates
     /*  872930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872943 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  872943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  872946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  872957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872965 */     GIR_RootConstrainSelectedInstOperands,
     /*  872966 */     // GIR_Coverage, 7905,
     /*  872966 */     GIR_EraseRootFromParent_Done,
     /*  872967 */   // Label 13325: @872967
     /*  872967 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(873059), // Rule ID 7908 //
     /*  872972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  872975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  872980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  872983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  872986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  872995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873022 */     // MIs[1] Operand 1
     /*  873022 */     // No operand predicates
     /*  873022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873035 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  873038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873057 */     GIR_RootConstrainSelectedInstOperands,
     /*  873058 */     // GIR_Coverage, 7908,
     /*  873058 */     GIR_EraseRootFromParent_Done,
     /*  873059 */   // Label 13326: @873059
     /*  873059 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(873151), // Rule ID 7909 //
     /*  873064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  873072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  873075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  873078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  873081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  873087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873114 */     // MIs[1] Operand 1
     /*  873114 */     // No operand predicates
     /*  873114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  873130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873149 */     GIR_RootConstrainSelectedInstOperands,
     /*  873150 */     // GIR_Coverage, 7909,
     /*  873150 */     GIR_EraseRootFromParent_Done,
     /*  873151 */   // Label 13327: @873151
     /*  873151 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(873243), // Rule ID 7912 //
     /*  873156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  873164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  873167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  873170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  873179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873206 */     // MIs[1] Operand 1
     /*  873206 */     // No operand predicates
     /*  873206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  873222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873241 */     GIR_RootConstrainSelectedInstOperands,
     /*  873242 */     // GIR_Coverage, 7912,
     /*  873242 */     GIR_EraseRootFromParent_Done,
     /*  873243 */   // Label 13328: @873243
     /*  873243 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(873335), // Rule ID 7913 //
     /*  873248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  873256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  873259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  873262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  873271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873298 */     // MIs[1] Operand 1
     /*  873298 */     // No operand predicates
     /*  873298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873311 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  873314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873333 */     GIR_RootConstrainSelectedInstOperands,
     /*  873334 */     // GIR_Coverage, 7913,
     /*  873334 */     GIR_EraseRootFromParent_Done,
     /*  873335 */   // Label 13329: @873335
     /*  873335 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(873427), // Rule ID 8092 //
     /*  873340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  873351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  873354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  873357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  873363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873390 */     // MIs[1] Operand 1
     /*  873390 */     // No operand predicates
     /*  873390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  873406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873425 */     GIR_RootConstrainSelectedInstOperands,
     /*  873426 */     // GIR_Coverage, 8092,
     /*  873426 */     GIR_EraseRootFromParent_Done,
     /*  873427 */   // Label 13330: @873427
     /*  873427 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(873519), // Rule ID 8093 //
     /*  873432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  873443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  873446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  873449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  873455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873482 */     // MIs[1] Operand 1
     /*  873482 */     // No operand predicates
     /*  873482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  873498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873517 */     GIR_RootConstrainSelectedInstOperands,
     /*  873518 */     // GIR_Coverage, 8093,
     /*  873518 */     GIR_EraseRootFromParent_Done,
     /*  873519 */   // Label 13331: @873519
     /*  873519 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(873611), // Rule ID 8096 //
     /*  873524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  873535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  873538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  873547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873574 */     // MIs[1] Operand 1
     /*  873574 */     // No operand predicates
     /*  873574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873587 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  873590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873609 */     GIR_RootConstrainSelectedInstOperands,
     /*  873610 */     // GIR_Coverage, 8096,
     /*  873610 */     GIR_EraseRootFromParent_Done,
     /*  873611 */   // Label 13332: @873611
     /*  873611 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(873703), // Rule ID 8097 //
     /*  873616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  873627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  873630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  873639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873666 */     // MIs[1] Operand 1
     /*  873666 */     // No operand predicates
     /*  873666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  873682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873701 */     GIR_RootConstrainSelectedInstOperands,
     /*  873702 */     // GIR_Coverage, 8097,
     /*  873702 */     GIR_EraseRootFromParent_Done,
     /*  873703 */   // Label 13333: @873703
     /*  873703 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(873795), // Rule ID 8100 //
     /*  873708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  873719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  873722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  873725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  873731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873758 */     // MIs[1] Operand 1
     /*  873758 */     // No operand predicates
     /*  873758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873771 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  873774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873793 */     GIR_RootConstrainSelectedInstOperands,
     /*  873794 */     // GIR_Coverage, 8100,
     /*  873794 */     GIR_EraseRootFromParent_Done,
     /*  873795 */   // Label 13334: @873795
     /*  873795 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(873887), // Rule ID 8101 //
     /*  873800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  873811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  873814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  873817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  873823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873850 */     // MIs[1] Operand 1
     /*  873850 */     // No operand predicates
     /*  873850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  873866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873885 */     GIR_RootConstrainSelectedInstOperands,
     /*  873886 */     // GIR_Coverage, 8101,
     /*  873886 */     GIR_EraseRootFromParent_Done,
     /*  873887 */   // Label 13335: @873887
     /*  873887 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(873979), // Rule ID 8104 //
     /*  873892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  873903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  873906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  873909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  873915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873942 */     // MIs[1] Operand 1
     /*  873942 */     // No operand predicates
     /*  873942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  873955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  873958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  873969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873977 */     GIR_RootConstrainSelectedInstOperands,
     /*  873978 */     // GIR_Coverage, 8104,
     /*  873978 */     GIR_EraseRootFromParent_Done,
     /*  873979 */   // Label 13336: @873979
     /*  873979 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(874071), // Rule ID 8105 //
     /*  873984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  873992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  873995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  873998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  874007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874034 */     // MIs[1] Operand 1
     /*  874034 */     // No operand predicates
     /*  874034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  874050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874069 */     GIR_RootConstrainSelectedInstOperands,
     /*  874070 */     // GIR_Coverage, 8105,
     /*  874070 */     GIR_EraseRootFromParent_Done,
     /*  874071 */   // Label 13337: @874071
     /*  874071 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(874163), // Rule ID 8108 //
     /*  874076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  874087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  874090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  874099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874126 */     // MIs[1] Operand 1
     /*  874126 */     // No operand predicates
     /*  874126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874139 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  874142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874161 */     GIR_RootConstrainSelectedInstOperands,
     /*  874162 */     // GIR_Coverage, 8108,
     /*  874162 */     GIR_EraseRootFromParent_Done,
     /*  874163 */   // Label 13338: @874163
     /*  874163 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(874255), // Rule ID 8109 //
     /*  874168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  874179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  874182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  874191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874218 */     // MIs[1] Operand 1
     /*  874218 */     // No operand predicates
     /*  874218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874231 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  874234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874253 */     GIR_RootConstrainSelectedInstOperands,
     /*  874254 */     // GIR_Coverage, 8109,
     /*  874254 */     GIR_EraseRootFromParent_Done,
     /*  874255 */   // Label 13339: @874255
     /*  874255 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(874347), // Rule ID 8112 //
     /*  874260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  874271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  874274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  874283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874310 */     // MIs[1] Operand 1
     /*  874310 */     // No operand predicates
     /*  874310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  874326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874345 */     GIR_RootConstrainSelectedInstOperands,
     /*  874346 */     // GIR_Coverage, 8112,
     /*  874346 */     GIR_EraseRootFromParent_Done,
     /*  874347 */   // Label 13340: @874347
     /*  874347 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(874439), // Rule ID 8113 //
     /*  874352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  874363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  874366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  874369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  874375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874402 */     // MIs[1] Operand 1
     /*  874402 */     // No operand predicates
     /*  874402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  874418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874437 */     GIR_RootConstrainSelectedInstOperands,
     /*  874438 */     // GIR_Coverage, 8113,
     /*  874438 */     GIR_EraseRootFromParent_Done,
     /*  874439 */   // Label 13341: @874439
     /*  874439 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(874531), // Rule ID 8116 //
     /*  874444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  874455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  874458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  874461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  874467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874494 */     // MIs[1] Operand 1
     /*  874494 */     // No operand predicates
     /*  874494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  874507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874529 */     GIR_RootConstrainSelectedInstOperands,
     /*  874530 */     // GIR_Coverage, 8116,
     /*  874530 */     GIR_EraseRootFromParent_Done,
     /*  874531 */   // Label 13342: @874531
     /*  874531 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(874623), // Rule ID 8117 //
     /*  874536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  874547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  874550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  874553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  874559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874586 */     // MIs[1] Operand 1
     /*  874586 */     // No operand predicates
     /*  874586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874599 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874621 */     GIR_RootConstrainSelectedInstOperands,
     /*  874622 */     // GIR_Coverage, 8117,
     /*  874622 */     GIR_EraseRootFromParent_Done,
     /*  874623 */   // Label 13343: @874623
     /*  874623 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(874715), // Rule ID 8120 //
     /*  874628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  874639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  874642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  874651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874678 */     // MIs[1] Operand 1
     /*  874678 */     // No operand predicates
     /*  874678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874713 */     GIR_RootConstrainSelectedInstOperands,
     /*  874714 */     // GIR_Coverage, 8120,
     /*  874714 */     GIR_EraseRootFromParent_Done,
     /*  874715 */   // Label 13344: @874715
     /*  874715 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(874807), // Rule ID 8121 //
     /*  874720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  874731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  874734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  874743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874770 */     // MIs[1] Operand 1
     /*  874770 */     // No operand predicates
     /*  874770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874783 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874805 */     GIR_RootConstrainSelectedInstOperands,
     /*  874806 */     // GIR_Coverage, 8121,
     /*  874806 */     GIR_EraseRootFromParent_Done,
     /*  874807 */   // Label 13345: @874807
     /*  874807 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(874899), // Rule ID 8124 //
     /*  874812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  874823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  874826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  874835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874862 */     // MIs[1] Operand 1
     /*  874862 */     // No operand predicates
     /*  874862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874897 */     GIR_RootConstrainSelectedInstOperands,
     /*  874898 */     // GIR_Coverage, 8124,
     /*  874898 */     GIR_EraseRootFromParent_Done,
     /*  874899 */   // Label 13346: @874899
     /*  874899 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(874991), // Rule ID 8125 //
     /*  874904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  874912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  874915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  874918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  874927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874954 */     // MIs[1] Operand 1
     /*  874954 */     // No operand predicates
     /*  874954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  874970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  874981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874989 */     GIR_RootConstrainSelectedInstOperands,
     /*  874990 */     // GIR_Coverage, 8125,
     /*  874990 */     GIR_EraseRootFromParent_Done,
     /*  874991 */   // Label 13347: @874991
     /*  874991 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(875083), // Rule ID 8128 //
     /*  874996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  874999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  875007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  875010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  875019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875046 */     // MIs[1] Operand 1
     /*  875046 */     // No operand predicates
     /*  875046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  875062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875081 */     GIR_RootConstrainSelectedInstOperands,
     /*  875082 */     // GIR_Coverage, 8128,
     /*  875082 */     GIR_EraseRootFromParent_Done,
     /*  875083 */   // Label 13348: @875083
     /*  875083 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(875175), // Rule ID 8129 //
     /*  875088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  875099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  875102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  875111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875138 */     // MIs[1] Operand 1
     /*  875138 */     // No operand predicates
     /*  875138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875151 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  875154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875173 */     GIR_RootConstrainSelectedInstOperands,
     /*  875174 */     // GIR_Coverage, 8129,
     /*  875174 */     GIR_EraseRootFromParent_Done,
     /*  875175 */   // Label 13349: @875175
     /*  875175 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(875267), // Rule ID 8132 //
     /*  875180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  875191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  875194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  875197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  875203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875230 */     // MIs[1] Operand 1
     /*  875230 */     // No operand predicates
     /*  875230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  875243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  875246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875265 */     GIR_RootConstrainSelectedInstOperands,
     /*  875266 */     // GIR_Coverage, 8132,
     /*  875266 */     GIR_EraseRootFromParent_Done,
     /*  875267 */   // Label 13350: @875267
     /*  875267 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(875359), // Rule ID 8133 //
     /*  875272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  875283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  875286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  875289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  875295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875322 */     // MIs[1] Operand 1
     /*  875322 */     // No operand predicates
     /*  875322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875335 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  875335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  875338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875357 */     GIR_RootConstrainSelectedInstOperands,
     /*  875358 */     // GIR_Coverage, 8133,
     /*  875358 */     GIR_EraseRootFromParent_Done,
     /*  875359 */   // Label 13351: @875359
     /*  875359 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(875451), // Rule ID 8136 //
     /*  875364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  875375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  875378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  875381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  875387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875414 */     // MIs[1] Operand 1
     /*  875414 */     // No operand predicates
     /*  875414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875427 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  875427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  875430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875449 */     GIR_RootConstrainSelectedInstOperands,
     /*  875450 */     // GIR_Coverage, 8136,
     /*  875450 */     GIR_EraseRootFromParent_Done,
     /*  875451 */   // Label 13352: @875451
     /*  875451 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(875543), // Rule ID 8137 //
     /*  875456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  875467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  875470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  875473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  875479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875506 */     // MIs[1] Operand 1
     /*  875506 */     // No operand predicates
     /*  875506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875519 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  875519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  875522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875541 */     GIR_RootConstrainSelectedInstOperands,
     /*  875542 */     // GIR_Coverage, 8137,
     /*  875542 */     GIR_EraseRootFromParent_Done,
     /*  875543 */   // Label 13353: @875543
     /*  875543 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(875635), // Rule ID 8140 //
     /*  875548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  875559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  875562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  875565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  875571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875598 */     // MIs[1] Operand 1
     /*  875598 */     // No operand predicates
     /*  875598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875611 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  875611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  875614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875633 */     GIR_RootConstrainSelectedInstOperands,
     /*  875634 */     // GIR_Coverage, 8140,
     /*  875634 */     GIR_EraseRootFromParent_Done,
     /*  875635 */   // Label 13354: @875635
     /*  875635 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(875727), // Rule ID 8141 //
     /*  875640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  875651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  875654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  875657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  875663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875690 */     // MIs[1] Operand 1
     /*  875690 */     // No operand predicates
     /*  875690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875703 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  875703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  875706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  875725 */     GIR_RootConstrainSelectedInstOperands,
     /*  875726 */     // GIR_Coverage, 8141,
     /*  875726 */     GIR_EraseRootFromParent_Done,
     /*  875727 */   // Label 13355: @875727
     /*  875727 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(875819), // Rule ID 8144 //
     /*  875732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  875743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  875746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  875755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875782 */     // MIs[1] Operand 1
     /*  875782 */     // No operand predicates
     /*  875782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875795 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  875798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875817 */     GIR_RootConstrainSelectedInstOperands,
     /*  875818 */     // GIR_Coverage, 8144,
     /*  875818 */     GIR_EraseRootFromParent_Done,
     /*  875819 */   // Label 13356: @875819
     /*  875819 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(875911), // Rule ID 8145 //
     /*  875824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  875835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  875838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  875847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875874 */     // MIs[1] Operand 1
     /*  875874 */     // No operand predicates
     /*  875874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875887 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  875890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875909 */     GIR_RootConstrainSelectedInstOperands,
     /*  875910 */     // GIR_Coverage, 8145,
     /*  875910 */     GIR_EraseRootFromParent_Done,
     /*  875911 */   // Label 13357: @875911
     /*  875911 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(876003), // Rule ID 8148 //
     /*  875916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  875924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  875927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  875930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  875939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875966 */     // MIs[1] Operand 1
     /*  875966 */     // No operand predicates
     /*  875966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875979 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  875982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  875993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876001 */     GIR_RootConstrainSelectedInstOperands,
     /*  876002 */     // GIR_Coverage, 8148,
     /*  876002 */     GIR_EraseRootFromParent_Done,
     /*  876003 */   // Label 13358: @876003
     /*  876003 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(876095), // Rule ID 8149 //
     /*  876008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  876019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  876022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  876025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  876031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876058 */     // MIs[1] Operand 1
     /*  876058 */     // No operand predicates
     /*  876058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  876074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876093 */     GIR_RootConstrainSelectedInstOperands,
     /*  876094 */     // GIR_Coverage, 8149,
     /*  876094 */     GIR_EraseRootFromParent_Done,
     /*  876095 */   // Label 13359: @876095
     /*  876095 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(876187), // Rule ID 8152 //
     /*  876100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  876111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  876114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  876117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  876123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876150 */     // MIs[1] Operand 1
     /*  876150 */     // No operand predicates
     /*  876150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876163 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  876166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876185 */     GIR_RootConstrainSelectedInstOperands,
     /*  876186 */     // GIR_Coverage, 8152,
     /*  876186 */     GIR_EraseRootFromParent_Done,
     /*  876187 */   // Label 13360: @876187
     /*  876187 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(876279), // Rule ID 8153 //
     /*  876192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  876203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  876206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  876209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  876215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876242 */     // MIs[1] Operand 1
     /*  876242 */     // No operand predicates
     /*  876242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876255 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  876258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876277 */     GIR_RootConstrainSelectedInstOperands,
     /*  876278 */     // GIR_Coverage, 8153,
     /*  876278 */     GIR_EraseRootFromParent_Done,
     /*  876279 */   // Label 13361: @876279
     /*  876279 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(876371), // Rule ID 8156 //
     /*  876284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  876295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  876298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  876307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876334 */     // MIs[1] Operand 1
     /*  876334 */     // No operand predicates
     /*  876334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  876350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876369 */     GIR_RootConstrainSelectedInstOperands,
     /*  876370 */     // GIR_Coverage, 8156,
     /*  876370 */     GIR_EraseRootFromParent_Done,
     /*  876371 */   // Label 13362: @876371
     /*  876371 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(876463), // Rule ID 8157 //
     /*  876376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  876387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  876390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  876399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876426 */     // MIs[1] Operand 1
     /*  876426 */     // No operand predicates
     /*  876426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  876442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876461 */     GIR_RootConstrainSelectedInstOperands,
     /*  876462 */     // GIR_Coverage, 8157,
     /*  876462 */     GIR_EraseRootFromParent_Done,
     /*  876463 */   // Label 13363: @876463
     /*  876463 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(876555), // Rule ID 8160 //
     /*  876468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  876479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  876482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  876491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876518 */     // MIs[1] Operand 1
     /*  876518 */     // No operand predicates
     /*  876518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876531 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  876534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876553 */     GIR_RootConstrainSelectedInstOperands,
     /*  876554 */     // GIR_Coverage, 8160,
     /*  876554 */     GIR_EraseRootFromParent_Done,
     /*  876555 */   // Label 13364: @876555
     /*  876555 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(876647), // Rule ID 8161 //
     /*  876560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  876571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  876574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  876583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876610 */     // MIs[1] Operand 1
     /*  876610 */     // No operand predicates
     /*  876610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876623 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  876626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876645 */     GIR_RootConstrainSelectedInstOperands,
     /*  876646 */     // GIR_Coverage, 8161,
     /*  876646 */     GIR_EraseRootFromParent_Done,
     /*  876647 */   // Label 13365: @876647
     /*  876647 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(876739), // Rule ID 8164 //
     /*  876652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  876663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  876666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  876675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876702 */     // MIs[1] Operand 1
     /*  876702 */     // No operand predicates
     /*  876702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876715 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  876715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  876718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876737 */     GIR_RootConstrainSelectedInstOperands,
     /*  876738 */     // GIR_Coverage, 8164,
     /*  876738 */     GIR_EraseRootFromParent_Done,
     /*  876739 */   // Label 13366: @876739
     /*  876739 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(876831), // Rule ID 8165 //
     /*  876744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  876755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  876758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  876767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876794 */     // MIs[1] Operand 1
     /*  876794 */     // No operand predicates
     /*  876794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  876807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  876810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876829 */     GIR_RootConstrainSelectedInstOperands,
     /*  876830 */     // GIR_Coverage, 8165,
     /*  876830 */     GIR_EraseRootFromParent_Done,
     /*  876831 */   // Label 13367: @876831
     /*  876831 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(876923), // Rule ID 8168 //
     /*  876836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  876839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  876847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  876850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  876859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876886 */     // MIs[1] Operand 1
     /*  876886 */     // No operand predicates
     /*  876886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  876899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  876902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  876913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876921 */     GIR_RootConstrainSelectedInstOperands,
     /*  876922 */     // GIR_Coverage, 8168,
     /*  876922 */     GIR_EraseRootFromParent_Done,
     /*  876923 */   // Label 13368: @876923
     /*  876923 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(877015), // Rule ID 8169 //
     /*  876928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  876931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  876936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  876939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  876942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  876951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876978 */     // MIs[1] Operand 1
     /*  876978 */     // No operand predicates
     /*  876978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876991 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  876994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877013 */     GIR_RootConstrainSelectedInstOperands,
     /*  877014 */     // GIR_Coverage, 8169,
     /*  877014 */     GIR_EraseRootFromParent_Done,
     /*  877015 */   // Label 13369: @877015
     /*  877015 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(877107), // Rule ID 8172 //
     /*  877020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  877023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  877028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877070 */     // MIs[1] Operand 1
     /*  877070 */     // No operand predicates
     /*  877070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  877083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  877086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877105 */     GIR_RootConstrainSelectedInstOperands,
     /*  877106 */     // GIR_Coverage, 8172,
     /*  877106 */     GIR_EraseRootFromParent_Done,
     /*  877107 */   // Label 13370: @877107
     /*  877107 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(877199), // Rule ID 8173 //
     /*  877112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  877115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  877120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877162 */     // MIs[1] Operand 1
     /*  877162 */     // No operand predicates
     /*  877162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877175 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  877175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  877178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877197 */     GIR_RootConstrainSelectedInstOperands,
     /*  877198 */     // GIR_Coverage, 8173,
     /*  877198 */     GIR_EraseRootFromParent_Done,
     /*  877199 */   // Label 13371: @877199
     /*  877199 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(877291), // Rule ID 8176 //
     /*  877204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  877207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  877212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  877215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  877218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  877227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877254 */     // MIs[1] Operand 1
     /*  877254 */     // No operand predicates
     /*  877254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  877267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  877270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877289 */     GIR_RootConstrainSelectedInstOperands,
     /*  877290 */     // GIR_Coverage, 8176,
     /*  877290 */     GIR_EraseRootFromParent_Done,
     /*  877291 */   // Label 13372: @877291
     /*  877291 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(877383), // Rule ID 8177 //
     /*  877296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  877299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  877304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  877307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  877310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  877319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877346 */     // MIs[1] Operand 1
     /*  877346 */     // No operand predicates
     /*  877346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  877359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  877362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877381 */     GIR_RootConstrainSelectedInstOperands,
     /*  877382 */     // GIR_Coverage, 8177,
     /*  877382 */     GIR_EraseRootFromParent_Done,
     /*  877383 */   // Label 13373: @877383
     /*  877383 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(877475), // Rule ID 8708 //
     /*  877388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  877399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  877402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  877411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877438 */     // MIs[1] Operand 1
     /*  877438 */     // No operand predicates
     /*  877438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877451 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  877454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877473 */     GIR_RootConstrainSelectedInstOperands,
     /*  877474 */     // GIR_Coverage, 8708,
     /*  877474 */     GIR_EraseRootFromParent_Done,
     /*  877475 */   // Label 13374: @877475
     /*  877475 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(877567), // Rule ID 8709 //
     /*  877480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  877491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  877494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  877497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  877503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877530 */     // MIs[1] Operand 1
     /*  877530 */     // No operand predicates
     /*  877530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  877546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877565 */     GIR_RootConstrainSelectedInstOperands,
     /*  877566 */     // GIR_Coverage, 8709,
     /*  877566 */     GIR_EraseRootFromParent_Done,
     /*  877567 */   // Label 13375: @877567
     /*  877567 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(877659), // Rule ID 8712 //
     /*  877572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  877583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  877586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  877595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877622 */     // MIs[1] Operand 1
     /*  877622 */     // No operand predicates
     /*  877622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877635 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  877638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877657 */     GIR_RootConstrainSelectedInstOperands,
     /*  877658 */     // GIR_Coverage, 8712,
     /*  877658 */     GIR_EraseRootFromParent_Done,
     /*  877659 */   // Label 13376: @877659
     /*  877659 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(877751), // Rule ID 8713 //
     /*  877664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  877675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  877678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  877687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877714 */     // MIs[1] Operand 1
     /*  877714 */     // No operand predicates
     /*  877714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877727 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  877730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877749 */     GIR_RootConstrainSelectedInstOperands,
     /*  877750 */     // GIR_Coverage, 8713,
     /*  877750 */     GIR_EraseRootFromParent_Done,
     /*  877751 */   // Label 13377: @877751
     /*  877751 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(877843), // Rule ID 8716 //
     /*  877756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877806 */     // MIs[1] Operand 1
     /*  877806 */     // No operand predicates
     /*  877806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  877822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877841 */     GIR_RootConstrainSelectedInstOperands,
     /*  877842 */     // GIR_Coverage, 8716,
     /*  877842 */     GIR_EraseRootFromParent_Done,
     /*  877843 */   // Label 13378: @877843
     /*  877843 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(877935), // Rule ID 8717 //
     /*  877848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877898 */     // MIs[1] Operand 1
     /*  877898 */     // No operand predicates
     /*  877898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877911 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  877914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  877925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877933 */     GIR_RootConstrainSelectedInstOperands,
     /*  877934 */     // GIR_Coverage, 8717,
     /*  877934 */     GIR_EraseRootFromParent_Done,
     /*  877935 */   // Label 13379: @877935
     /*  877935 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(878027), // Rule ID 8720 //
     /*  877940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  877948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  877951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  877954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  877963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877990 */     // MIs[1] Operand 1
     /*  877990 */     // No operand predicates
     /*  877990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878003 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  878006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878025 */     GIR_RootConstrainSelectedInstOperands,
     /*  878026 */     // GIR_Coverage, 8720,
     /*  878026 */     GIR_EraseRootFromParent_Done,
     /*  878027 */   // Label 13380: @878027
     /*  878027 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(878119), // Rule ID 8721 //
     /*  878032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  878043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  878046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  878055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878082 */     // MIs[1] Operand 1
     /*  878082 */     // No operand predicates
     /*  878082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  878098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878117 */     GIR_RootConstrainSelectedInstOperands,
     /*  878118 */     // GIR_Coverage, 8721,
     /*  878118 */     GIR_EraseRootFromParent_Done,
     /*  878119 */   // Label 13381: @878119
     /*  878119 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(878211), // Rule ID 8724 //
     /*  878124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  878135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  878138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  878147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878174 */     // MIs[1] Operand 1
     /*  878174 */     // No operand predicates
     /*  878174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  878190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878209 */     GIR_RootConstrainSelectedInstOperands,
     /*  878210 */     // GIR_Coverage, 8724,
     /*  878210 */     GIR_EraseRootFromParent_Done,
     /*  878211 */   // Label 13382: @878211
     /*  878211 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(878303), // Rule ID 8725 //
     /*  878216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  878227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  878230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  878233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  878239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878266 */     // MIs[1] Operand 1
     /*  878266 */     // No operand predicates
     /*  878266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878279 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  878282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878301 */     GIR_RootConstrainSelectedInstOperands,
     /*  878302 */     // GIR_Coverage, 8725,
     /*  878302 */     GIR_EraseRootFromParent_Done,
     /*  878303 */   // Label 13383: @878303
     /*  878303 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(878395), // Rule ID 8728 //
     /*  878308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  878319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  878322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  878325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  878331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878358 */     // MIs[1] Operand 1
     /*  878358 */     // No operand predicates
     /*  878358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878371 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  878371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  878374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878393 */     GIR_RootConstrainSelectedInstOperands,
     /*  878394 */     // GIR_Coverage, 8728,
     /*  878394 */     GIR_EraseRootFromParent_Done,
     /*  878395 */   // Label 13384: @878395
     /*  878395 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(878487), // Rule ID 8729 //
     /*  878400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  878411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  878414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  878417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  878423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878450 */     // MIs[1] Operand 1
     /*  878450 */     // No operand predicates
     /*  878450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  878463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  878466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878485 */     GIR_RootConstrainSelectedInstOperands,
     /*  878486 */     // GIR_Coverage, 8729,
     /*  878486 */     GIR_EraseRootFromParent_Done,
     /*  878487 */   // Label 13385: @878487
     /*  878487 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(878579), // Rule ID 8732 //
     /*  878492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  878503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  878506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  878515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878542 */     // MIs[1] Operand 1
     /*  878542 */     // No operand predicates
     /*  878542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  878558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878577 */     GIR_RootConstrainSelectedInstOperands,
     /*  878578 */     // GIR_Coverage, 8732,
     /*  878578 */     GIR_EraseRootFromParent_Done,
     /*  878579 */   // Label 13386: @878579
     /*  878579 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(878671), // Rule ID 8733 //
     /*  878584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  878595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  878598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  878607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878634 */     // MIs[1] Operand 1
     /*  878634 */     // No operand predicates
     /*  878634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  878650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878669 */     GIR_RootConstrainSelectedInstOperands,
     /*  878670 */     // GIR_Coverage, 8733,
     /*  878670 */     GIR_EraseRootFromParent_Done,
     /*  878671 */   // Label 13387: @878671
     /*  878671 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(878763), // Rule ID 8736 //
     /*  878676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  878687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  878690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  878699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878726 */     // MIs[1] Operand 1
     /*  878726 */     // No operand predicates
     /*  878726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878739 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  878742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878761 */     GIR_RootConstrainSelectedInstOperands,
     /*  878762 */     // GIR_Coverage, 8736,
     /*  878762 */     GIR_EraseRootFromParent_Done,
     /*  878763 */   // Label 13388: @878763
     /*  878763 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(878855), // Rule ID 8737 //
     /*  878768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  878779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  878782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  878791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878818 */     // MIs[1] Operand 1
     /*  878818 */     // No operand predicates
     /*  878818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878831 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  878834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878853 */     GIR_RootConstrainSelectedInstOperands,
     /*  878854 */     // GIR_Coverage, 8737,
     /*  878854 */     GIR_EraseRootFromParent_Done,
     /*  878855 */   // Label 13389: @878855
     /*  878855 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(878947), // Rule ID 8740 //
     /*  878860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  878871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  878874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  878883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878910 */     // MIs[1] Operand 1
     /*  878910 */     // No operand predicates
     /*  878910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  878923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  878926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  878937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878945 */     GIR_RootConstrainSelectedInstOperands,
     /*  878946 */     // GIR_Coverage, 8740,
     /*  878946 */     GIR_EraseRootFromParent_Done,
     /*  878947 */   // Label 13390: @878947
     /*  878947 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(879039), // Rule ID 8741 //
     /*  878952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  878960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  878963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  878966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  878975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879002 */     // MIs[1] Operand 1
     /*  879002 */     // No operand predicates
     /*  879002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879015 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  879018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879037 */     GIR_RootConstrainSelectedInstOperands,
     /*  879038 */     // GIR_Coverage, 8741,
     /*  879038 */     GIR_EraseRootFromParent_Done,
     /*  879039 */   // Label 13391: @879039
     /*  879039 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(879131), // Rule ID 8744 //
     /*  879044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  879055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  879058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  879061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  879067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879094 */     // MIs[1] Operand 1
     /*  879094 */     // No operand predicates
     /*  879094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  879110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879129 */     GIR_RootConstrainSelectedInstOperands,
     /*  879130 */     // GIR_Coverage, 8744,
     /*  879130 */     GIR_EraseRootFromParent_Done,
     /*  879131 */   // Label 13392: @879131
     /*  879131 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(879223), // Rule ID 8745 //
     /*  879136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  879147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  879150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  879153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  879159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879186 */     // MIs[1] Operand 1
     /*  879186 */     // No operand predicates
     /*  879186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  879199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  879202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879221 */     GIR_RootConstrainSelectedInstOperands,
     /*  879222 */     // GIR_Coverage, 8745,
     /*  879222 */     GIR_EraseRootFromParent_Done,
     /*  879223 */   // Label 13393: @879223
     /*  879223 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(879315), // Rule ID 8748 //
     /*  879228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  879239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  879242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  879251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879278 */     // MIs[1] Operand 1
     /*  879278 */     // No operand predicates
     /*  879278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879291 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  879291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  879294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879313 */     GIR_RootConstrainSelectedInstOperands,
     /*  879314 */     // GIR_Coverage, 8748,
     /*  879314 */     GIR_EraseRootFromParent_Done,
     /*  879315 */   // Label 13394: @879315
     /*  879315 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(879407), // Rule ID 8749 //
     /*  879320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  879331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  879334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  879343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879370 */     // MIs[1] Operand 1
     /*  879370 */     // No operand predicates
     /*  879370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879383 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  879383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  879386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879405 */     GIR_RootConstrainSelectedInstOperands,
     /*  879406 */     // GIR_Coverage, 8749,
     /*  879406 */     GIR_EraseRootFromParent_Done,
     /*  879407 */   // Label 13395: @879407
     /*  879407 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(879499), // Rule ID 8752 //
     /*  879412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  879423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  879426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  879435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879462 */     // MIs[1] Operand 1
     /*  879462 */     // No operand predicates
     /*  879462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879475 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  879475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  879478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879497 */     GIR_RootConstrainSelectedInstOperands,
     /*  879498 */     // GIR_Coverage, 8752,
     /*  879498 */     GIR_EraseRootFromParent_Done,
     /*  879499 */   // Label 13396: @879499
     /*  879499 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(879591), // Rule ID 8753 //
     /*  879504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  879515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  879518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  879527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879554 */     // MIs[1] Operand 1
     /*  879554 */     // No operand predicates
     /*  879554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879567 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  879567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  879570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879589 */     GIR_RootConstrainSelectedInstOperands,
     /*  879590 */     // GIR_Coverage, 8753,
     /*  879590 */     GIR_EraseRootFromParent_Done,
     /*  879591 */   // Label 13397: @879591
     /*  879591 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(879683), // Rule ID 8756 //
     /*  879596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  879607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  879610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  879613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  879619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879646 */     // MIs[1] Operand 1
     /*  879646 */     // No operand predicates
     /*  879646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879659 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  879659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  879662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879681 */     GIR_RootConstrainSelectedInstOperands,
     /*  879682 */     // GIR_Coverage, 8756,
     /*  879682 */     GIR_EraseRootFromParent_Done,
     /*  879683 */   // Label 13398: @879683
     /*  879683 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(879775), // Rule ID 8757 //
     /*  879688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  879699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  879702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  879705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  879711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879738 */     // MIs[1] Operand 1
     /*  879738 */     // No operand predicates
     /*  879738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879751 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  879751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  879754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879773 */     GIR_RootConstrainSelectedInstOperands,
     /*  879774 */     // GIR_Coverage, 8757,
     /*  879774 */     GIR_EraseRootFromParent_Done,
     /*  879775 */   // Label 13399: @879775
     /*  879775 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(879867), // Rule ID 8760 //
     /*  879780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  879791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  879794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  879803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879830 */     // MIs[1] Operand 1
     /*  879830 */     // No operand predicates
     /*  879830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879843 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  879846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879865 */     GIR_RootConstrainSelectedInstOperands,
     /*  879866 */     // GIR_Coverage, 8760,
     /*  879866 */     GIR_EraseRootFromParent_Done,
     /*  879867 */   // Label 13400: @879867
     /*  879867 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(879959), // Rule ID 8761 //
     /*  879872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  879883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  879886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  879895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879922 */     // MIs[1] Operand 1
     /*  879922 */     // No operand predicates
     /*  879922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879935 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  879938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  879949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879957 */     GIR_RootConstrainSelectedInstOperands,
     /*  879958 */     // GIR_Coverage, 8761,
     /*  879958 */     GIR_EraseRootFromParent_Done,
     /*  879959 */   // Label 13401: @879959
     /*  879959 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(880051), // Rule ID 8764 //
     /*  879964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  879972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  879975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  879978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  879987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880014 */     // MIs[1] Operand 1
     /*  880014 */     // No operand predicates
     /*  880014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880027 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  880027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  880030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880049 */     GIR_RootConstrainSelectedInstOperands,
     /*  880050 */     // GIR_Coverage, 8764,
     /*  880050 */     GIR_EraseRootFromParent_Done,
     /*  880051 */   // Label 13402: @880051
     /*  880051 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(880143), // Rule ID 8765 //
     /*  880056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  880067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  880070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  880079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880106 */     // MIs[1] Operand 1
     /*  880106 */     // No operand predicates
     /*  880106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  880119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  880122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880141 */     GIR_RootConstrainSelectedInstOperands,
     /*  880142 */     // GIR_Coverage, 8765,
     /*  880142 */     GIR_EraseRootFromParent_Done,
     /*  880143 */   // Label 13403: @880143
     /*  880143 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(880235), // Rule ID 8768 //
     /*  880148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  880159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  880162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  880165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  880171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880198 */     // MIs[1] Operand 1
     /*  880198 */     // No operand predicates
     /*  880198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880211 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  880211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  880214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880233 */     GIR_RootConstrainSelectedInstOperands,
     /*  880234 */     // GIR_Coverage, 8768,
     /*  880234 */     GIR_EraseRootFromParent_Done,
     /*  880235 */   // Label 13404: @880235
     /*  880235 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(880327), // Rule ID 8769 //
     /*  880240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  880251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  880254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  880257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  880263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880290 */     // MIs[1] Operand 1
     /*  880290 */     // No operand predicates
     /*  880290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880303 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  880303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  880306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880325 */     GIR_RootConstrainSelectedInstOperands,
     /*  880326 */     // GIR_Coverage, 8769,
     /*  880326 */     GIR_EraseRootFromParent_Done,
     /*  880327 */   // Label 13405: @880327
     /*  880327 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(880419), // Rule ID 8772 //
     /*  880332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  880343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  880346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  880355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880382 */     // MIs[1] Operand 1
     /*  880382 */     // No operand predicates
     /*  880382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880395 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  880398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880417 */     GIR_RootConstrainSelectedInstOperands,
     /*  880418 */     // GIR_Coverage, 8772,
     /*  880418 */     GIR_EraseRootFromParent_Done,
     /*  880419 */   // Label 13406: @880419
     /*  880419 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(880511), // Rule ID 8773 //
     /*  880424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  880435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  880438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  880447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880474 */     // MIs[1] Operand 1
     /*  880474 */     // No operand predicates
     /*  880474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  880490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880509 */     GIR_RootConstrainSelectedInstOperands,
     /*  880510 */     // GIR_Coverage, 8773,
     /*  880510 */     GIR_EraseRootFromParent_Done,
     /*  880511 */   // Label 13407: @880511
     /*  880511 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(880603), // Rule ID 8776 //
     /*  880516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  880527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  880530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  880539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880566 */     // MIs[1] Operand 1
     /*  880566 */     // No operand predicates
     /*  880566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  880582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880601 */     GIR_RootConstrainSelectedInstOperands,
     /*  880602 */     // GIR_Coverage, 8776,
     /*  880602 */     GIR_EraseRootFromParent_Done,
     /*  880603 */   // Label 13408: @880603
     /*  880603 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(880695), // Rule ID 8777 //
     /*  880608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  880619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  880622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  880631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880658 */     // MIs[1] Operand 1
     /*  880658 */     // No operand predicates
     /*  880658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  880674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880693 */     GIR_RootConstrainSelectedInstOperands,
     /*  880694 */     // GIR_Coverage, 8777,
     /*  880694 */     GIR_EraseRootFromParent_Done,
     /*  880695 */   // Label 13409: @880695
     /*  880695 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(880787), // Rule ID 8780 //
     /*  880700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  880711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  880714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  880723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880750 */     // MIs[1] Operand 1
     /*  880750 */     // No operand predicates
     /*  880750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  880766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880785 */     GIR_RootConstrainSelectedInstOperands,
     /*  880786 */     // GIR_Coverage, 8780,
     /*  880786 */     GIR_EraseRootFromParent_Done,
     /*  880787 */   // Label 13410: @880787
     /*  880787 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(880879), // Rule ID 8781 //
     /*  880792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  880803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  880806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  880815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880842 */     // MIs[1] Operand 1
     /*  880842 */     // No operand predicates
     /*  880842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880855 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  880858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880877 */     GIR_RootConstrainSelectedInstOperands,
     /*  880878 */     // GIR_Coverage, 8781,
     /*  880878 */     GIR_EraseRootFromParent_Done,
     /*  880879 */   // Label 13411: @880879
     /*  880879 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(880971), // Rule ID 8784 //
     /*  880884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  880895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  880898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  880907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880934 */     // MIs[1] Operand 1
     /*  880934 */     // No operand predicates
     /*  880934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  880950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  880961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880969 */     GIR_RootConstrainSelectedInstOperands,
     /*  880970 */     // GIR_Coverage, 8784,
     /*  880970 */     GIR_EraseRootFromParent_Done,
     /*  880971 */   // Label 13412: @880971
     /*  880971 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(881063), // Rule ID 8785 //
     /*  880976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  880984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  880987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  880990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  880999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881026 */     // MIs[1] Operand 1
     /*  881026 */     // No operand predicates
     /*  881026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881039 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  881042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881061 */     GIR_RootConstrainSelectedInstOperands,
     /*  881062 */     // GIR_Coverage, 8785,
     /*  881062 */     GIR_EraseRootFromParent_Done,
     /*  881063 */   // Label 13413: @881063
     /*  881063 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(881155), // Rule ID 8788 //
     /*  881068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  881071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  881076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881118 */     // MIs[1] Operand 1
     /*  881118 */     // No operand predicates
     /*  881118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881131 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  881131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  881134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881153 */     GIR_RootConstrainSelectedInstOperands,
     /*  881154 */     // GIR_Coverage, 8788,
     /*  881154 */     GIR_EraseRootFromParent_Done,
     /*  881155 */   // Label 13414: @881155
     /*  881155 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(881247), // Rule ID 8789 //
     /*  881160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  881163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  881168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881210 */     // MIs[1] Operand 1
     /*  881210 */     // No operand predicates
     /*  881210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881223 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  881226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881245 */     GIR_RootConstrainSelectedInstOperands,
     /*  881246 */     // GIR_Coverage, 8789,
     /*  881246 */     GIR_EraseRootFromParent_Done,
     /*  881247 */   // Label 13415: @881247
     /*  881247 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(881339), // Rule ID 8792 //
     /*  881252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  881255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  881260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  881263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  881266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  881275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881302 */     // MIs[1] Operand 1
     /*  881302 */     // No operand predicates
     /*  881302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  881315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  881318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881337 */     GIR_RootConstrainSelectedInstOperands,
     /*  881338 */     // GIR_Coverage, 8792,
     /*  881338 */     GIR_EraseRootFromParent_Done,
     /*  881339 */   // Label 13416: @881339
     /*  881339 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(881431), // Rule ID 8793 //
     /*  881344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  881347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  881352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  881355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  881358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  881367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881394 */     // MIs[1] Operand 1
     /*  881394 */     // No operand predicates
     /*  881394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  881410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881429 */     GIR_RootConstrainSelectedInstOperands,
     /*  881430 */     // GIR_Coverage, 8793,
     /*  881430 */     GIR_EraseRootFromParent_Done,
     /*  881431 */   // Label 13417: @881431
     /*  881431 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(881523), // Rule ID 8972 //
     /*  881436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  881450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  881453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  881459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881486 */     // MIs[1] Operand 1
     /*  881486 */     // No operand predicates
     /*  881486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  881499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  881502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881521 */     GIR_RootConstrainSelectedInstOperands,
     /*  881522 */     // GIR_Coverage, 8972,
     /*  881522 */     GIR_EraseRootFromParent_Done,
     /*  881523 */   // Label 13418: @881523
     /*  881523 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(881615), // Rule ID 8973 //
     /*  881528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  881542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  881545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  881551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881578 */     // MIs[1] Operand 1
     /*  881578 */     // No operand predicates
     /*  881578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  881594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881613 */     GIR_RootConstrainSelectedInstOperands,
     /*  881614 */     // GIR_Coverage, 8973,
     /*  881614 */     GIR_EraseRootFromParent_Done,
     /*  881615 */   // Label 13419: @881615
     /*  881615 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(881707), // Rule ID 8976 //
     /*  881620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881670 */     // MIs[1] Operand 1
     /*  881670 */     // No operand predicates
     /*  881670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  881683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  881686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881705 */     GIR_RootConstrainSelectedInstOperands,
     /*  881706 */     // GIR_Coverage, 8976,
     /*  881706 */     GIR_EraseRootFromParent_Done,
     /*  881707 */   // Label 13420: @881707
     /*  881707 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(881799), // Rule ID 8977 //
     /*  881712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881762 */     // MIs[1] Operand 1
     /*  881762 */     // No operand predicates
     /*  881762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881775 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  881778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881797 */     GIR_RootConstrainSelectedInstOperands,
     /*  881798 */     // GIR_Coverage, 8977,
     /*  881798 */     GIR_EraseRootFromParent_Done,
     /*  881799 */   // Label 13421: @881799
     /*  881799 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(881891), // Rule ID 8980 //
     /*  881804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881854 */     // MIs[1] Operand 1
     /*  881854 */     // No operand predicates
     /*  881854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  881867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  881870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881889 */     GIR_RootConstrainSelectedInstOperands,
     /*  881890 */     // GIR_Coverage, 8980,
     /*  881890 */     GIR_EraseRootFromParent_Done,
     /*  881891 */   // Label 13422: @881891
     /*  881891 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(881983), // Rule ID 8981 //
     /*  881896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881946 */     // MIs[1] Operand 1
     /*  881946 */     // No operand predicates
     /*  881946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  881962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  881973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881981 */     GIR_RootConstrainSelectedInstOperands,
     /*  881982 */     // GIR_Coverage, 8981,
     /*  881982 */     GIR_EraseRootFromParent_Done,
     /*  881983 */   // Label 13423: @881983
     /*  881983 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(882075), // Rule ID 8984 //
     /*  881988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  881996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882038 */     // MIs[1] Operand 1
     /*  882038 */     // No operand predicates
     /*  882038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882051 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  882051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  882054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882073 */     GIR_RootConstrainSelectedInstOperands,
     /*  882074 */     // GIR_Coverage, 8984,
     /*  882074 */     GIR_EraseRootFromParent_Done,
     /*  882075 */   // Label 13424: @882075
     /*  882075 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(882167), // Rule ID 8985 //
     /*  882080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882130 */     // MIs[1] Operand 1
     /*  882130 */     // No operand predicates
     /*  882130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  882143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  882146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882165 */     GIR_RootConstrainSelectedInstOperands,
     /*  882166 */     // GIR_Coverage, 8985,
     /*  882166 */     GIR_EraseRootFromParent_Done,
     /*  882167 */   // Label 13425: @882167
     /*  882167 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(882259), // Rule ID 8988 //
     /*  882172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  882183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  882186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  882189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  882195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882222 */     // MIs[1] Operand 1
     /*  882222 */     // No operand predicates
     /*  882222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882235 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  882235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  882238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882257 */     GIR_RootConstrainSelectedInstOperands,
     /*  882258 */     // GIR_Coverage, 8988,
     /*  882258 */     GIR_EraseRootFromParent_Done,
     /*  882259 */   // Label 13426: @882259
     /*  882259 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(882351), // Rule ID 8989 //
     /*  882264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  882275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  882278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  882281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  882287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882314 */     // MIs[1] Operand 1
     /*  882314 */     // No operand predicates
     /*  882314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882327 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  882327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  882330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882349 */     GIR_RootConstrainSelectedInstOperands,
     /*  882350 */     // GIR_Coverage, 8989,
     /*  882350 */     GIR_EraseRootFromParent_Done,
     /*  882351 */   // Label 13427: @882351
     /*  882351 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(882443), // Rule ID 8992 //
     /*  882356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882406 */     // MIs[1] Operand 1
     /*  882406 */     // No operand predicates
     /*  882406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882419 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  882419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  882422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882441 */     GIR_RootConstrainSelectedInstOperands,
     /*  882442 */     // GIR_Coverage, 8992,
     /*  882442 */     GIR_EraseRootFromParent_Done,
     /*  882443 */   // Label 13428: @882443
     /*  882443 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(882535), // Rule ID 8993 //
     /*  882448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882498 */     // MIs[1] Operand 1
     /*  882498 */     // No operand predicates
     /*  882498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  882511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  882514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882533 */     GIR_RootConstrainSelectedInstOperands,
     /*  882534 */     // GIR_Coverage, 8993,
     /*  882534 */     GIR_EraseRootFromParent_Done,
     /*  882535 */   // Label 13429: @882535
     /*  882535 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(882627), // Rule ID 8996 //
     /*  882540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  882551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  882554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  882563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882590 */     // MIs[1] Operand 1
     /*  882590 */     // No operand predicates
     /*  882590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  882603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  882606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882625 */     GIR_RootConstrainSelectedInstOperands,
     /*  882626 */     // GIR_Coverage, 8996,
     /*  882626 */     GIR_EraseRootFromParent_Done,
     /*  882627 */   // Label 13430: @882627
     /*  882627 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(882719), // Rule ID 8997 //
     /*  882632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  882643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  882646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  882655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882682 */     // MIs[1] Operand 1
     /*  882682 */     // No operand predicates
     /*  882682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  882695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  882698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882717 */     GIR_RootConstrainSelectedInstOperands,
     /*  882718 */     // GIR_Coverage, 8997,
     /*  882718 */     GIR_EraseRootFromParent_Done,
     /*  882719 */   // Label 13431: @882719
     /*  882719 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(882811), // Rule ID 9000 //
     /*  882724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  882735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  882738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  882747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882774 */     // MIs[1] Operand 1
     /*  882774 */     // No operand predicates
     /*  882774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  882787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  882790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882809 */     GIR_RootConstrainSelectedInstOperands,
     /*  882810 */     // GIR_Coverage, 9000,
     /*  882810 */     GIR_EraseRootFromParent_Done,
     /*  882811 */   // Label 13432: @882811
     /*  882811 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(882903), // Rule ID 9001 //
     /*  882816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  882827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  882830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  882839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882866 */     // MIs[1] Operand 1
     /*  882866 */     // No operand predicates
     /*  882866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  882879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  882882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882901 */     GIR_RootConstrainSelectedInstOperands,
     /*  882902 */     // GIR_Coverage, 9001,
     /*  882902 */     GIR_EraseRootFromParent_Done,
     /*  882903 */   // Label 13433: @882903
     /*  882903 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(882995), // Rule ID 9004 //
     /*  882908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  882916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  882919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  882922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  882931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882958 */     // MIs[1] Operand 1
     /*  882958 */     // No operand predicates
     /*  882958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  882971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  882974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  882985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882993 */     GIR_RootConstrainSelectedInstOperands,
     /*  882994 */     // GIR_Coverage, 9004,
     /*  882994 */     GIR_EraseRootFromParent_Done,
     /*  882995 */   // Label 13434: @882995
     /*  882995 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(883087), // Rule ID 9005 //
     /*  883000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  883011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  883014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  883017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  883023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883050 */     // MIs[1] Operand 1
     /*  883050 */     // No operand predicates
     /*  883050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  883063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  883066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883085 */     GIR_RootConstrainSelectedInstOperands,
     /*  883086 */     // GIR_Coverage, 9005,
     /*  883086 */     GIR_EraseRootFromParent_Done,
     /*  883087 */   // Label 13435: @883087
     /*  883087 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(883179), // Rule ID 9008 //
     /*  883092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  883095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  883103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  883106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  883115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883142 */     // MIs[1] Operand 1
     /*  883142 */     // No operand predicates
     /*  883142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883155 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  883155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  883158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883177 */     GIR_RootConstrainSelectedInstOperands,
     /*  883178 */     // GIR_Coverage, 9008,
     /*  883178 */     GIR_EraseRootFromParent_Done,
     /*  883179 */   // Label 13436: @883179
     /*  883179 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(883271), // Rule ID 9009 //
     /*  883184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  883187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  883195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  883198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  883207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883234 */     // MIs[1] Operand 1
     /*  883234 */     // No operand predicates
     /*  883234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  883247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  883250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883269 */     GIR_RootConstrainSelectedInstOperands,
     /*  883270 */     // GIR_Coverage, 9009,
     /*  883270 */     GIR_EraseRootFromParent_Done,
     /*  883271 */   // Label 13437: @883271
     /*  883271 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(883363), // Rule ID 9012 //
     /*  883276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  883287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  883290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  883299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883326 */     // MIs[1] Operand 1
     /*  883326 */     // No operand predicates
     /*  883326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  883342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883361 */     GIR_RootConstrainSelectedInstOperands,
     /*  883362 */     // GIR_Coverage, 9012,
     /*  883362 */     GIR_EraseRootFromParent_Done,
     /*  883363 */   // Label 13438: @883363
     /*  883363 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(883455), // Rule ID 9013 //
     /*  883368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  883379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  883382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  883391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883418 */     // MIs[1] Operand 1
     /*  883418 */     // No operand predicates
     /*  883418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  883434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883453 */     GIR_RootConstrainSelectedInstOperands,
     /*  883454 */     // GIR_Coverage, 9013,
     /*  883454 */     GIR_EraseRootFromParent_Done,
     /*  883455 */   // Label 13439: @883455
     /*  883455 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(883547), // Rule ID 9016 //
     /*  883460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  883471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  883474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  883483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883510 */     // MIs[1] Operand 1
     /*  883510 */     // No operand predicates
     /*  883510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883523 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  883526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883545 */     GIR_RootConstrainSelectedInstOperands,
     /*  883546 */     // GIR_Coverage, 9016,
     /*  883546 */     GIR_EraseRootFromParent_Done,
     /*  883547 */   // Label 13440: @883547
     /*  883547 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(883639), // Rule ID 9017 //
     /*  883552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  883563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  883566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  883575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883602 */     // MIs[1] Operand 1
     /*  883602 */     // No operand predicates
     /*  883602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883615 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  883618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883637 */     GIR_RootConstrainSelectedInstOperands,
     /*  883638 */     // GIR_Coverage, 9017,
     /*  883638 */     GIR_EraseRootFromParent_Done,
     /*  883639 */   // Label 13441: @883639
     /*  883639 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(883731), // Rule ID 9020 //
     /*  883644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  883655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  883658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  883667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883694 */     // MIs[1] Operand 1
     /*  883694 */     // No operand predicates
     /*  883694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883707 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  883710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883729 */     GIR_RootConstrainSelectedInstOperands,
     /*  883730 */     // GIR_Coverage, 9020,
     /*  883730 */     GIR_EraseRootFromParent_Done,
     /*  883731 */   // Label 13442: @883731
     /*  883731 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(883823), // Rule ID 9021 //
     /*  883736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  883747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  883750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  883759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883786 */     // MIs[1] Operand 1
     /*  883786 */     // No operand predicates
     /*  883786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883799 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  883802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883821 */     GIR_RootConstrainSelectedInstOperands,
     /*  883822 */     // GIR_Coverage, 9021,
     /*  883822 */     GIR_EraseRootFromParent_Done,
     /*  883823 */   // Label 13443: @883823
     /*  883823 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(883915), // Rule ID 9024 //
     /*  883828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  883839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  883842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  883851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883878 */     // MIs[1] Operand 1
     /*  883878 */     // No operand predicates
     /*  883878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  883891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  883894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883913 */     GIR_RootConstrainSelectedInstOperands,
     /*  883914 */     // GIR_Coverage, 9024,
     /*  883914 */     GIR_EraseRootFromParent_Done,
     /*  883915 */   // Label 13444: @883915
     /*  883915 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(884007), // Rule ID 9025 //
     /*  883920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  883928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  883931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  883934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  883943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883970 */     // MIs[1] Operand 1
     /*  883970 */     // No operand predicates
     /*  883970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  883983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  883986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  883997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884005 */     GIR_RootConstrainSelectedInstOperands,
     /*  884006 */     // GIR_Coverage, 9025,
     /*  884006 */     GIR_EraseRootFromParent_Done,
     /*  884007 */   // Label 13445: @884007
     /*  884007 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(884099), // Rule ID 9028 //
     /*  884012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884062 */     // MIs[1] Operand 1
     /*  884062 */     // No operand predicates
     /*  884062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884075 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  884075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  884078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884097 */     GIR_RootConstrainSelectedInstOperands,
     /*  884098 */     // GIR_Coverage, 9028,
     /*  884098 */     GIR_EraseRootFromParent_Done,
     /*  884099 */   // Label 13446: @884099
     /*  884099 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(884191), // Rule ID 9029 //
     /*  884104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884154 */     // MIs[1] Operand 1
     /*  884154 */     // No operand predicates
     /*  884154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884167 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  884167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  884170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884189 */     GIR_RootConstrainSelectedInstOperands,
     /*  884190 */     // GIR_Coverage, 9029,
     /*  884190 */     GIR_EraseRootFromParent_Done,
     /*  884191 */   // Label 13447: @884191
     /*  884191 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(884283), // Rule ID 9032 //
     /*  884196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  884207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  884210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  884213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  884219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884246 */     // MIs[1] Operand 1
     /*  884246 */     // No operand predicates
     /*  884246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884259 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  884259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  884262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884281 */     GIR_RootConstrainSelectedInstOperands,
     /*  884282 */     // GIR_Coverage, 9032,
     /*  884282 */     GIR_EraseRootFromParent_Done,
     /*  884283 */   // Label 13448: @884283
     /*  884283 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(884375), // Rule ID 9033 //
     /*  884288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  884299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  884302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  884305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  884311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884338 */     // MIs[1] Operand 1
     /*  884338 */     // No operand predicates
     /*  884338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884351 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  884351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  884354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884373 */     GIR_RootConstrainSelectedInstOperands,
     /*  884374 */     // GIR_Coverage, 9033,
     /*  884374 */     GIR_EraseRootFromParent_Done,
     /*  884375 */   // Label 13449: @884375
     /*  884375 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(884467), // Rule ID 9036 //
     /*  884380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  884391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  884394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  884403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884430 */     // MIs[1] Operand 1
     /*  884430 */     // No operand predicates
     /*  884430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  884446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884465 */     GIR_RootConstrainSelectedInstOperands,
     /*  884466 */     // GIR_Coverage, 9036,
     /*  884466 */     GIR_EraseRootFromParent_Done,
     /*  884467 */   // Label 13450: @884467
     /*  884467 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(884559), // Rule ID 9037 //
     /*  884472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  884483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  884486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  884495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884522 */     // MIs[1] Operand 1
     /*  884522 */     // No operand predicates
     /*  884522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  884535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  884538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884557 */     GIR_RootConstrainSelectedInstOperands,
     /*  884558 */     // GIR_Coverage, 9037,
     /*  884558 */     GIR_EraseRootFromParent_Done,
     /*  884559 */   // Label 13451: @884559
     /*  884559 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(884651), // Rule ID 9040 //
     /*  884564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  884575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  884578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  884587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884614 */     // MIs[1] Operand 1
     /*  884614 */     // No operand predicates
     /*  884614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884627 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  884630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884649 */     GIR_RootConstrainSelectedInstOperands,
     /*  884650 */     // GIR_Coverage, 9040,
     /*  884650 */     GIR_EraseRootFromParent_Done,
     /*  884651 */   // Label 13452: @884651
     /*  884651 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(884743), // Rule ID 9041 //
     /*  884656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  884667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  884670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  884679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884706 */     // MIs[1] Operand 1
     /*  884706 */     // No operand predicates
     /*  884706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884719 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  884719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  884722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884741 */     GIR_RootConstrainSelectedInstOperands,
     /*  884742 */     // GIR_Coverage, 9041,
     /*  884742 */     GIR_EraseRootFromParent_Done,
     /*  884743 */   // Label 13453: @884743
     /*  884743 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(884835), // Rule ID 9044 //
     /*  884748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  884765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884798 */     // MIs[1] Operand 1
     /*  884798 */     // No operand predicates
     /*  884798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884811 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  884814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884833 */     GIR_RootConstrainSelectedInstOperands,
     /*  884834 */     // GIR_Coverage, 9044,
     /*  884834 */     GIR_EraseRootFromParent_Done,
     /*  884835 */   // Label 13454: @884835
     /*  884835 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(884927), // Rule ID 9045 //
     /*  884840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  884857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884890 */     // MIs[1] Operand 1
     /*  884890 */     // No operand predicates
     /*  884890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  884903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  884906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  884917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884925 */     GIR_RootConstrainSelectedInstOperands,
     /*  884926 */     // GIR_Coverage, 9045,
     /*  884926 */     GIR_EraseRootFromParent_Done,
     /*  884927 */   // Label 13455: @884927
     /*  884927 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(885019), // Rule ID 9048 //
     /*  884932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  884935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  884940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  884943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  884946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  884955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884982 */     // MIs[1] Operand 1
     /*  884982 */     // No operand predicates
     /*  884982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  884995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  884998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885017 */     GIR_RootConstrainSelectedInstOperands,
     /*  885018 */     // GIR_Coverage, 9048,
     /*  885018 */     GIR_EraseRootFromParent_Done,
     /*  885019 */   // Label 13456: @885019
     /*  885019 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(885111), // Rule ID 9049 //
     /*  885024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  885032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  885035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  885038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  885041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  885047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885074 */     // MIs[1] Operand 1
     /*  885074 */     // No operand predicates
     /*  885074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  885090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885109 */     GIR_RootConstrainSelectedInstOperands,
     /*  885110 */     // GIR_Coverage, 9049,
     /*  885110 */     GIR_EraseRootFromParent_Done,
     /*  885111 */   // Label 13457: @885111
     /*  885111 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(885203), // Rule ID 9052 //
     /*  885116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  885119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  885124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885166 */     // MIs[1] Operand 1
     /*  885166 */     // No operand predicates
     /*  885166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885179 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  885179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  885182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885201 */     GIR_RootConstrainSelectedInstOperands,
     /*  885202 */     // GIR_Coverage, 9052,
     /*  885202 */     GIR_EraseRootFromParent_Done,
     /*  885203 */   // Label 13458: @885203
     /*  885203 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(885295), // Rule ID 9053 //
     /*  885208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  885216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885258 */     // MIs[1] Operand 1
     /*  885258 */     // No operand predicates
     /*  885258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885271 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  885274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885293 */     GIR_RootConstrainSelectedInstOperands,
     /*  885294 */     // GIR_Coverage, 9053,
     /*  885294 */     GIR_EraseRootFromParent_Done,
     /*  885295 */   // Label 13459: @885295
     /*  885295 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(885387), // Rule ID 9056 //
     /*  885300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  885303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  885308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  885311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  885314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  885323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885350 */     // MIs[1] Operand 1
     /*  885350 */     // No operand predicates
     /*  885350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  885363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  885366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885385 */     GIR_RootConstrainSelectedInstOperands,
     /*  885386 */     // GIR_Coverage, 9056,
     /*  885386 */     GIR_EraseRootFromParent_Done,
     /*  885387 */   // Label 13460: @885387
     /*  885387 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(885479), // Rule ID 9057 //
     /*  885392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  885400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  885403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  885406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  885415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885442 */     // MIs[1] Operand 1
     /*  885442 */     // No operand predicates
     /*  885442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  885458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885477 */     GIR_RootConstrainSelectedInstOperands,
     /*  885478 */     // GIR_Coverage, 9057,
     /*  885478 */     GIR_EraseRootFromParent_Done,
     /*  885479 */   // Label 13461: @885479
     /*  885479 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(885571), // Rule ID 9148 //
     /*  885484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  885487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  885495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  885498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  885507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885534 */     // MIs[1] Operand 1
     /*  885534 */     // No operand predicates
     /*  885534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885547 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  885547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  885550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885569 */     GIR_RootConstrainSelectedInstOperands,
     /*  885570 */     // GIR_Coverage, 9148,
     /*  885570 */     GIR_EraseRootFromParent_Done,
     /*  885571 */   // Label 13462: @885571
     /*  885571 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(885663), // Rule ID 9149 //
     /*  885576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  885579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  885587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  885590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  885599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885626 */     // MIs[1] Operand 1
     /*  885626 */     // No operand predicates
     /*  885626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  885639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  885642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885661 */     GIR_RootConstrainSelectedInstOperands,
     /*  885662 */     // GIR_Coverage, 9149,
     /*  885662 */     GIR_EraseRootFromParent_Done,
     /*  885663 */   // Label 13463: @885663
     /*  885663 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(885755), // Rule ID 9152 //
     /*  885668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  885671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  885679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  885682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  885691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885718 */     // MIs[1] Operand 1
     /*  885718 */     // No operand predicates
     /*  885718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  885731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  885734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885753 */     GIR_RootConstrainSelectedInstOperands,
     /*  885754 */     // GIR_Coverage, 9152,
     /*  885754 */     GIR_EraseRootFromParent_Done,
     /*  885755 */   // Label 13464: @885755
     /*  885755 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(885847), // Rule ID 9153 //
     /*  885760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  885763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  885771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  885774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  885783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885810 */     // MIs[1] Operand 1
     /*  885810 */     // No operand predicates
     /*  885810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885823 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  885823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  885826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885845 */     GIR_RootConstrainSelectedInstOperands,
     /*  885846 */     // GIR_Coverage, 9153,
     /*  885846 */     GIR_EraseRootFromParent_Done,
     /*  885847 */   // Label 13465: @885847
     /*  885847 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(885939), // Rule ID 9156 //
     /*  885852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  885855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885902 */     // MIs[1] Operand 1
     /*  885902 */     // No operand predicates
     /*  885902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  885915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  885918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  885929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885937 */     GIR_RootConstrainSelectedInstOperands,
     /*  885938 */     // GIR_Coverage, 9156,
     /*  885938 */     GIR_EraseRootFromParent_Done,
     /*  885939 */   // Label 13466: @885939
     /*  885939 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(886031), // Rule ID 9157 //
     /*  885944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  885947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  885952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885994 */     // MIs[1] Operand 1
     /*  885994 */     // No operand predicates
     /*  885994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886007 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  886007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  886010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886029 */     GIR_RootConstrainSelectedInstOperands,
     /*  886030 */     // GIR_Coverage, 9157,
     /*  886030 */     GIR_EraseRootFromParent_Done,
     /*  886031 */   // Label 13467: @886031
     /*  886031 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(886123), // Rule ID 9160 //
     /*  886036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886086 */     // MIs[1] Operand 1
     /*  886086 */     // No operand predicates
     /*  886086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  886099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  886102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886121 */     GIR_RootConstrainSelectedInstOperands,
     /*  886122 */     // GIR_Coverage, 9160,
     /*  886122 */     GIR_EraseRootFromParent_Done,
     /*  886123 */   // Label 13468: @886123
     /*  886123 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(886215), // Rule ID 9161 //
     /*  886128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886178 */     // MIs[1] Operand 1
     /*  886178 */     // No operand predicates
     /*  886178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  886191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  886194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886213 */     GIR_RootConstrainSelectedInstOperands,
     /*  886214 */     // GIR_Coverage, 9161,
     /*  886214 */     GIR_EraseRootFromParent_Done,
     /*  886215 */   // Label 13469: @886215
     /*  886215 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(886307), // Rule ID 9164 //
     /*  886220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886270 */     // MIs[1] Operand 1
     /*  886270 */     // No operand predicates
     /*  886270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  886283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  886286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886305 */     GIR_RootConstrainSelectedInstOperands,
     /*  886306 */     // GIR_Coverage, 9164,
     /*  886306 */     GIR_EraseRootFromParent_Done,
     /*  886307 */   // Label 13470: @886307
     /*  886307 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(886399), // Rule ID 9165 //
     /*  886312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886362 */     // MIs[1] Operand 1
     /*  886362 */     // No operand predicates
     /*  886362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886375 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  886375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  886378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886397 */     GIR_RootConstrainSelectedInstOperands,
     /*  886398 */     // GIR_Coverage, 9165,
     /*  886398 */     GIR_EraseRootFromParent_Done,
     /*  886399 */   // Label 13471: @886399
     /*  886399 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(886491), // Rule ID 9168 //
     /*  886404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886454 */     // MIs[1] Operand 1
     /*  886454 */     // No operand predicates
     /*  886454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  886467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  886470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886489 */     GIR_RootConstrainSelectedInstOperands,
     /*  886490 */     // GIR_Coverage, 9168,
     /*  886490 */     GIR_EraseRootFromParent_Done,
     /*  886491 */   // Label 13472: @886491
     /*  886491 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(886583), // Rule ID 9169 //
     /*  886496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886546 */     // MIs[1] Operand 1
     /*  886546 */     // No operand predicates
     /*  886546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  886559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  886562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886581 */     GIR_RootConstrainSelectedInstOperands,
     /*  886582 */     // GIR_Coverage, 9169,
     /*  886582 */     GIR_EraseRootFromParent_Done,
     /*  886583 */   // Label 13473: @886583
     /*  886583 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(886675), // Rule ID 9172 //
     /*  886588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  886599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  886602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  886605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  886611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886638 */     // MIs[1] Operand 1
     /*  886638 */     // No operand predicates
     /*  886638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  886651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  886654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886673 */     GIR_RootConstrainSelectedInstOperands,
     /*  886674 */     // GIR_Coverage, 9172,
     /*  886674 */     GIR_EraseRootFromParent_Done,
     /*  886675 */   // Label 13474: @886675
     /*  886675 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(886767), // Rule ID 9173 //
     /*  886680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  886691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  886694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  886697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  886703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886730 */     // MIs[1] Operand 1
     /*  886730 */     // No operand predicates
     /*  886730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  886743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  886746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886765 */     GIR_RootConstrainSelectedInstOperands,
     /*  886766 */     // GIR_Coverage, 9173,
     /*  886766 */     GIR_EraseRootFromParent_Done,
     /*  886767 */   // Label 13475: @886767
     /*  886767 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(886859), // Rule ID 9176 //
     /*  886772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  886783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  886786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  886795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886822 */     // MIs[1] Operand 1
     /*  886822 */     // No operand predicates
     /*  886822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  886835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  886838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886857 */     GIR_RootConstrainSelectedInstOperands,
     /*  886858 */     // GIR_Coverage, 9176,
     /*  886858 */     GIR_EraseRootFromParent_Done,
     /*  886859 */   // Label 13476: @886859
     /*  886859 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(886951), // Rule ID 9177 //
     /*  886864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  886875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  886878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  886887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886914 */     // MIs[1] Operand 1
     /*  886914 */     // No operand predicates
     /*  886914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  886927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  886930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  886941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886949 */     GIR_RootConstrainSelectedInstOperands,
     /*  886950 */     // GIR_Coverage, 9177,
     /*  886950 */     GIR_EraseRootFromParent_Done,
     /*  886951 */   // Label 13477: @886951
     /*  886951 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(887043), // Rule ID 9180 //
     /*  886956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  886964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887006 */     // MIs[1] Operand 1
     /*  887006 */     // No operand predicates
     /*  887006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  887019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  887022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887041 */     GIR_RootConstrainSelectedInstOperands,
     /*  887042 */     // GIR_Coverage, 9180,
     /*  887042 */     GIR_EraseRootFromParent_Done,
     /*  887043 */   // Label 13478: @887043
     /*  887043 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(887135), // Rule ID 9181 //
     /*  887048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  887059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  887062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  887065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  887071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887098 */     // MIs[1] Operand 1
     /*  887098 */     // No operand predicates
     /*  887098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887111 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  887111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  887114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887133 */     GIR_RootConstrainSelectedInstOperands,
     /*  887134 */     // GIR_Coverage, 9181,
     /*  887134 */     GIR_EraseRootFromParent_Done,
     /*  887135 */   // Label 13479: @887135
     /*  887135 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(887227), // Rule ID 9184 //
     /*  887140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  887143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  887151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  887154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  887163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887190 */     // MIs[1] Operand 1
     /*  887190 */     // No operand predicates
     /*  887190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887203 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  887203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  887206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887225 */     GIR_RootConstrainSelectedInstOperands,
     /*  887226 */     // GIR_Coverage, 9184,
     /*  887226 */     GIR_EraseRootFromParent_Done,
     /*  887227 */   // Label 13480: @887227
     /*  887227 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(887319), // Rule ID 9185 //
     /*  887232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  887235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  887243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  887246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  887255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887282 */     // MIs[1] Operand 1
     /*  887282 */     // No operand predicates
     /*  887282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887295 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  887295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  887298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887317 */     GIR_RootConstrainSelectedInstOperands,
     /*  887318 */     // GIR_Coverage, 9185,
     /*  887318 */     GIR_EraseRootFromParent_Done,
     /*  887319 */   // Label 13481: @887319
     /*  887319 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(887411), // Rule ID 9188 //
     /*  887324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  887335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  887338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  887341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  887347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887374 */     // MIs[1] Operand 1
     /*  887374 */     // No operand predicates
     /*  887374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  887387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  887390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887409 */     GIR_RootConstrainSelectedInstOperands,
     /*  887410 */     // GIR_Coverage, 9188,
     /*  887410 */     GIR_EraseRootFromParent_Done,
     /*  887411 */   // Label 13482: @887411
     /*  887411 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(887503), // Rule ID 9189 //
     /*  887416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  887427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  887430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  887433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  887439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887466 */     // MIs[1] Operand 1
     /*  887466 */     // No operand predicates
     /*  887466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887479 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  887479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  887482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887501 */     GIR_RootConstrainSelectedInstOperands,
     /*  887502 */     // GIR_Coverage, 9189,
     /*  887502 */     GIR_EraseRootFromParent_Done,
     /*  887503 */   // Label 13483: @887503
     /*  887503 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(887595), // Rule ID 9192 //
     /*  887508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  887519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  887522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  887525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  887531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887558 */     // MIs[1] Operand 1
     /*  887558 */     // No operand predicates
     /*  887558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887571 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  887571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  887574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887593 */     GIR_RootConstrainSelectedInstOperands,
     /*  887594 */     // GIR_Coverage, 9192,
     /*  887594 */     GIR_EraseRootFromParent_Done,
     /*  887595 */   // Label 13484: @887595
     /*  887595 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(887687), // Rule ID 9193 //
     /*  887600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  887611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  887614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  887617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  887623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887650 */     // MIs[1] Operand 1
     /*  887650 */     // No operand predicates
     /*  887650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887663 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  887663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  887666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887685 */     GIR_RootConstrainSelectedInstOperands,
     /*  887686 */     // GIR_Coverage, 9193,
     /*  887686 */     GIR_EraseRootFromParent_Done,
     /*  887687 */   // Label 13485: @887687
     /*  887687 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(887779), // Rule ID 9196 //
     /*  887692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  887703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  887706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  887709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  887715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887742 */     // MIs[1] Operand 1
     /*  887742 */     // No operand predicates
     /*  887742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887755 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  887755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  887758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887777 */     GIR_RootConstrainSelectedInstOperands,
     /*  887778 */     // GIR_Coverage, 9196,
     /*  887778 */     GIR_EraseRootFromParent_Done,
     /*  887779 */   // Label 13486: @887779
     /*  887779 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(887871), // Rule ID 9197 //
     /*  887784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  887795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  887798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  887801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  887807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887834 */     // MIs[1] Operand 1
     /*  887834 */     // No operand predicates
     /*  887834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887847 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  887847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  887850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887869 */     GIR_RootConstrainSelectedInstOperands,
     /*  887870 */     // GIR_Coverage, 9197,
     /*  887870 */     GIR_EraseRootFromParent_Done,
     /*  887871 */   // Label 13487: @887871
     /*  887871 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(887963), // Rule ID 9200 //
     /*  887876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  887887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  887890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  887893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  887899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887926 */     // MIs[1] Operand 1
     /*  887926 */     // No operand predicates
     /*  887926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  887939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  887942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  887953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887961 */     GIR_RootConstrainSelectedInstOperands,
     /*  887962 */     // GIR_Coverage, 9200,
     /*  887962 */     GIR_EraseRootFromParent_Done,
     /*  887963 */   // Label 13488: @887963
     /*  887963 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(888055), // Rule ID 9201 //
     /*  887968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  887976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  887979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  887982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  887985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  887991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888018 */     // MIs[1] Operand 1
     /*  888018 */     // No operand predicates
     /*  888018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  888031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  888034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888053 */     GIR_RootConstrainSelectedInstOperands,
     /*  888054 */     // GIR_Coverage, 9201,
     /*  888054 */     GIR_EraseRootFromParent_Done,
     /*  888055 */   // Label 13489: @888055
     /*  888055 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(888147), // Rule ID 9204 //
     /*  888060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888110 */     // MIs[1] Operand 1
     /*  888110 */     // No operand predicates
     /*  888110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  888123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  888126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888145 */     GIR_RootConstrainSelectedInstOperands,
     /*  888146 */     // GIR_Coverage, 9204,
     /*  888146 */     GIR_EraseRootFromParent_Done,
     /*  888147 */   // Label 13490: @888147
     /*  888147 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(888239), // Rule ID 9205 //
     /*  888152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888202 */     // MIs[1] Operand 1
     /*  888202 */     // No operand predicates
     /*  888202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888215 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  888215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  888218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888237 */     GIR_RootConstrainSelectedInstOperands,
     /*  888238 */     // GIR_Coverage, 9205,
     /*  888238 */     GIR_EraseRootFromParent_Done,
     /*  888239 */   // Label 13491: @888239
     /*  888239 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(888331), // Rule ID 9208 //
     /*  888244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  888255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  888258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  888261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  888267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888294 */     // MIs[1] Operand 1
     /*  888294 */     // No operand predicates
     /*  888294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888307 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  888307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  888310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888329 */     GIR_RootConstrainSelectedInstOperands,
     /*  888330 */     // GIR_Coverage, 9208,
     /*  888330 */     GIR_EraseRootFromParent_Done,
     /*  888331 */   // Label 13492: @888331
     /*  888331 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(888423), // Rule ID 9209 //
     /*  888336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  888347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  888350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  888353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  888359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888386 */     // MIs[1] Operand 1
     /*  888386 */     // No operand predicates
     /*  888386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888399 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  888399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  888402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888421 */     GIR_RootConstrainSelectedInstOperands,
     /*  888422 */     // GIR_Coverage, 9209,
     /*  888422 */     GIR_EraseRootFromParent_Done,
     /*  888423 */   // Label 13493: @888423
     /*  888423 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(888515), // Rule ID 9212 //
     /*  888428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  888439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  888442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  888445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  888451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888478 */     // MIs[1] Operand 1
     /*  888478 */     // No operand predicates
     /*  888478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888491 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  888491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  888494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888513 */     GIR_RootConstrainSelectedInstOperands,
     /*  888514 */     // GIR_Coverage, 9212,
     /*  888514 */     GIR_EraseRootFromParent_Done,
     /*  888515 */   // Label 13494: @888515
     /*  888515 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(888607), // Rule ID 9213 //
     /*  888520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  888531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  888534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  888537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  888543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888570 */     // MIs[1] Operand 1
     /*  888570 */     // No operand predicates
     /*  888570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  888583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  888586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888605 */     GIR_RootConstrainSelectedInstOperands,
     /*  888606 */     // GIR_Coverage, 9213,
     /*  888606 */     GIR_EraseRootFromParent_Done,
     /*  888607 */   // Label 13495: @888607
     /*  888607 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(888699), // Rule ID 9216 //
     /*  888612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  888623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  888626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  888629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  888635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888662 */     // MIs[1] Operand 1
     /*  888662 */     // No operand predicates
     /*  888662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  888675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  888678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888697 */     GIR_RootConstrainSelectedInstOperands,
     /*  888698 */     // GIR_Coverage, 9216,
     /*  888698 */     GIR_EraseRootFromParent_Done,
     /*  888699 */   // Label 13496: @888699
     /*  888699 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(888791), // Rule ID 9217 //
     /*  888704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  888715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  888718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  888721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  888727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888754 */     // MIs[1] Operand 1
     /*  888754 */     // No operand predicates
     /*  888754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  888767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  888770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888789 */     GIR_RootConstrainSelectedInstOperands,
     /*  888790 */     // GIR_Coverage, 9217,
     /*  888790 */     GIR_EraseRootFromParent_Done,
     /*  888791 */   // Label 13497: @888791
     /*  888791 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(888883), // Rule ID 9220 //
     /*  888796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  888813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888846 */     // MIs[1] Operand 1
     /*  888846 */     // No operand predicates
     /*  888846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888859 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  888859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  888862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888881 */     GIR_RootConstrainSelectedInstOperands,
     /*  888882 */     // GIR_Coverage, 9220,
     /*  888882 */     GIR_EraseRootFromParent_Done,
     /*  888883 */   // Label 13498: @888883
     /*  888883 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(888975), // Rule ID 9221 //
     /*  888888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  888905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888938 */     // MIs[1] Operand 1
     /*  888938 */     // No operand predicates
     /*  888938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  888951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  888954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  888965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888973 */     GIR_RootConstrainSelectedInstOperands,
     /*  888974 */     // GIR_Coverage, 9221,
     /*  888974 */     GIR_EraseRootFromParent_Done,
     /*  888975 */   // Label 13499: @888975
     /*  888975 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(889067), // Rule ID 9224 //
     /*  888980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  888983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  888988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  888991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  888994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  889003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889030 */     // MIs[1] Operand 1
     /*  889030 */     // No operand predicates
     /*  889030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889043 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  889043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  889046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889065 */     GIR_RootConstrainSelectedInstOperands,
     /*  889066 */     // GIR_Coverage, 9224,
     /*  889066 */     GIR_EraseRootFromParent_Done,
     /*  889067 */   // Label 13500: @889067
     /*  889067 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(889159), // Rule ID 9225 //
     /*  889072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  889075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  889080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  889083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  889086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  889095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889122 */     // MIs[1] Operand 1
     /*  889122 */     // No operand predicates
     /*  889122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  889135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  889138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889157 */     GIR_RootConstrainSelectedInstOperands,
     /*  889158 */     // GIR_Coverage, 9225,
     /*  889158 */     GIR_EraseRootFromParent_Done,
     /*  889159 */   // Label 13501: @889159
     /*  889159 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(889251), // Rule ID 9228 //
     /*  889164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  889167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  889172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  889175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  889178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  889187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889214 */     // MIs[1] Operand 1
     /*  889214 */     // No operand predicates
     /*  889214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889227 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  889227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  889230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889249 */     GIR_RootConstrainSelectedInstOperands,
     /*  889250 */     // GIR_Coverage, 9228,
     /*  889250 */     GIR_EraseRootFromParent_Done,
     /*  889251 */   // Label 13502: @889251
     /*  889251 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(889343), // Rule ID 9229 //
     /*  889256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  889259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  889264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  889267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  889270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  889279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889306 */     // MIs[1] Operand 1
     /*  889306 */     // No operand predicates
     /*  889306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  889319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  889322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889341 */     GIR_RootConstrainSelectedInstOperands,
     /*  889342 */     // GIR_Coverage, 9229,
     /*  889342 */     GIR_EraseRootFromParent_Done,
     /*  889343 */   // Label 13503: @889343
     /*  889343 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(889435), // Rule ID 9232 //
     /*  889348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  889351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  889356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  889359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  889362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  889371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889398 */     // MIs[1] Operand 1
     /*  889398 */     // No operand predicates
     /*  889398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889411 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  889411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  889414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889433 */     GIR_RootConstrainSelectedInstOperands,
     /*  889434 */     // GIR_Coverage, 9232,
     /*  889434 */     GIR_EraseRootFromParent_Done,
     /*  889435 */   // Label 13504: @889435
     /*  889435 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(889527), // Rule ID 9233 //
     /*  889440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  889443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  889448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  889451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  889454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  889463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889490 */     // MIs[1] Operand 1
     /*  889490 */     // No operand predicates
     /*  889490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  889503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  889506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889525 */     GIR_RootConstrainSelectedInstOperands,
     /*  889526 */     // GIR_Coverage, 9233,
     /*  889526 */     GIR_EraseRootFromParent_Done,
     /*  889527 */   // Label 13505: @889527
     /*  889527 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(889619), // Rule ID 9324 //
     /*  889532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  889540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  889543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  889546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  889555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889582 */     // MIs[1] Operand 1
     /*  889582 */     // No operand predicates
     /*  889582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  889595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  889598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889617 */     GIR_RootConstrainSelectedInstOperands,
     /*  889618 */     // GIR_Coverage, 9324,
     /*  889618 */     GIR_EraseRootFromParent_Done,
     /*  889619 */   // Label 13506: @889619
     /*  889619 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(889711), // Rule ID 9325 //
     /*  889624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  889632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  889635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  889638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  889647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889674 */     // MIs[1] Operand 1
     /*  889674 */     // No operand predicates
     /*  889674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  889687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  889690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889709 */     GIR_RootConstrainSelectedInstOperands,
     /*  889710 */     // GIR_Coverage, 9325,
     /*  889710 */     GIR_EraseRootFromParent_Done,
     /*  889711 */   // Label 13507: @889711
     /*  889711 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(889803), // Rule ID 9328 //
     /*  889716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  889724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  889727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  889730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  889739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889766 */     // MIs[1] Operand 1
     /*  889766 */     // No operand predicates
     /*  889766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889779 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  889779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  889782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889801 */     GIR_RootConstrainSelectedInstOperands,
     /*  889802 */     // GIR_Coverage, 9328,
     /*  889802 */     GIR_EraseRootFromParent_Done,
     /*  889803 */   // Label 13508: @889803
     /*  889803 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(889895), // Rule ID 9329 //
     /*  889808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  889816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  889819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  889822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  889831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889858 */     // MIs[1] Operand 1
     /*  889858 */     // No operand predicates
     /*  889858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889871 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  889871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  889874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889893 */     GIR_RootConstrainSelectedInstOperands,
     /*  889894 */     // GIR_Coverage, 9329,
     /*  889894 */     GIR_EraseRootFromParent_Done,
     /*  889895 */   // Label 13509: @889895
     /*  889895 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(889987), // Rule ID 9332 //
     /*  889900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  889908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  889911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  889914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  889923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889950 */     // MIs[1] Operand 1
     /*  889950 */     // No operand predicates
     /*  889950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889963 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  889963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  889966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  889977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889985 */     GIR_RootConstrainSelectedInstOperands,
     /*  889986 */     // GIR_Coverage, 9332,
     /*  889986 */     GIR_EraseRootFromParent_Done,
     /*  889987 */   // Label 13510: @889987
     /*  889987 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(890079), // Rule ID 9333 //
     /*  889992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  890003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  890006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  890009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  890015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890042 */     // MIs[1] Operand 1
     /*  890042 */     // No operand predicates
     /*  890042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890055 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  890055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  890058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890077 */     GIR_RootConstrainSelectedInstOperands,
     /*  890078 */     // GIR_Coverage, 9333,
     /*  890078 */     GIR_EraseRootFromParent_Done,
     /*  890079 */   // Label 13511: @890079
     /*  890079 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(890171), // Rule ID 9336 //
     /*  890084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890134 */     // MIs[1] Operand 1
     /*  890134 */     // No operand predicates
     /*  890134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890147 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  890147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  890150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890169 */     GIR_RootConstrainSelectedInstOperands,
     /*  890170 */     // GIR_Coverage, 9336,
     /*  890170 */     GIR_EraseRootFromParent_Done,
     /*  890171 */   // Label 13512: @890171
     /*  890171 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(890263), // Rule ID 9337 //
     /*  890176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890226 */     // MIs[1] Operand 1
     /*  890226 */     // No operand predicates
     /*  890226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  890239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  890242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890261 */     GIR_RootConstrainSelectedInstOperands,
     /*  890262 */     // GIR_Coverage, 9337,
     /*  890262 */     GIR_EraseRootFromParent_Done,
     /*  890263 */   // Label 13513: @890263
     /*  890263 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(890355), // Rule ID 9340 //
     /*  890268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  890279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  890282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  890291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890318 */     // MIs[1] Operand 1
     /*  890318 */     // No operand predicates
     /*  890318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  890331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  890334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890353 */     GIR_RootConstrainSelectedInstOperands,
     /*  890354 */     // GIR_Coverage, 9340,
     /*  890354 */     GIR_EraseRootFromParent_Done,
     /*  890355 */   // Label 13514: @890355
     /*  890355 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(890447), // Rule ID 9341 //
     /*  890360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  890371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  890374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  890383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890410 */     // MIs[1] Operand 1
     /*  890410 */     // No operand predicates
     /*  890410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  890423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  890426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890445 */     GIR_RootConstrainSelectedInstOperands,
     /*  890446 */     // GIR_Coverage, 9341,
     /*  890446 */     GIR_EraseRootFromParent_Done,
     /*  890447 */   // Label 13515: @890447
     /*  890447 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(890539), // Rule ID 9344 //
     /*  890452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890502 */     // MIs[1] Operand 1
     /*  890502 */     // No operand predicates
     /*  890502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890515 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  890515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  890518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890537 */     GIR_RootConstrainSelectedInstOperands,
     /*  890538 */     // GIR_Coverage, 9344,
     /*  890538 */     GIR_EraseRootFromParent_Done,
     /*  890539 */   // Label 13516: @890539
     /*  890539 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(890631), // Rule ID 9345 //
     /*  890544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890594 */     // MIs[1] Operand 1
     /*  890594 */     // No operand predicates
     /*  890594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890607 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  890607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  890610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890629 */     GIR_RootConstrainSelectedInstOperands,
     /*  890630 */     // GIR_Coverage, 9345,
     /*  890630 */     GIR_EraseRootFromParent_Done,
     /*  890631 */   // Label 13517: @890631
     /*  890631 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(890723), // Rule ID 9348 //
     /*  890636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  890647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  890650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  890659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890686 */     // MIs[1] Operand 1
     /*  890686 */     // No operand predicates
     /*  890686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890699 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  890699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  890702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890721 */     GIR_RootConstrainSelectedInstOperands,
     /*  890722 */     // GIR_Coverage, 9348,
     /*  890722 */     GIR_EraseRootFromParent_Done,
     /*  890723 */   // Label 13518: @890723
     /*  890723 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(890815), // Rule ID 9349 //
     /*  890728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  890739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  890742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  890751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890778 */     // MIs[1] Operand 1
     /*  890778 */     // No operand predicates
     /*  890778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890791 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  890791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  890794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890813 */     GIR_RootConstrainSelectedInstOperands,
     /*  890814 */     // GIR_Coverage, 9349,
     /*  890814 */     GIR_EraseRootFromParent_Done,
     /*  890815 */   // Label 13519: @890815
     /*  890815 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(890907), // Rule ID 9352 //
     /*  890820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  890831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  890834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  890843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890870 */     // MIs[1] Operand 1
     /*  890870 */     // No operand predicates
     /*  890870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890883 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  890883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  890886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890905 */     GIR_RootConstrainSelectedInstOperands,
     /*  890906 */     // GIR_Coverage, 9352,
     /*  890906 */     GIR_EraseRootFromParent_Done,
     /*  890907 */   // Label 13520: @890907
     /*  890907 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(890999), // Rule ID 9353 //
     /*  890912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  890920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  890923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  890926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  890935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890962 */     // MIs[1] Operand 1
     /*  890962 */     // No operand predicates
     /*  890962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  890975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  890978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  890989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890997 */     GIR_RootConstrainSelectedInstOperands,
     /*  890998 */     // GIR_Coverage, 9353,
     /*  890998 */     GIR_EraseRootFromParent_Done,
     /*  890999 */   // Label 13521: @890999
     /*  890999 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(891091), // Rule ID 9356 //
     /*  891004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  891015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  891018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  891021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  891027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891054 */     // MIs[1] Operand 1
     /*  891054 */     // No operand predicates
     /*  891054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891067 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  891067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  891070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891089 */     GIR_RootConstrainSelectedInstOperands,
     /*  891090 */     // GIR_Coverage, 9356,
     /*  891090 */     GIR_EraseRootFromParent_Done,
     /*  891091 */   // Label 13522: @891091
     /*  891091 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(891183), // Rule ID 9357 //
     /*  891096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  891107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  891110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  891113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  891119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891146 */     // MIs[1] Operand 1
     /*  891146 */     // No operand predicates
     /*  891146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891159 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  891159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  891162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891181 */     GIR_RootConstrainSelectedInstOperands,
     /*  891182 */     // GIR_Coverage, 9357,
     /*  891182 */     GIR_EraseRootFromParent_Done,
     /*  891183 */   // Label 13523: @891183
     /*  891183 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(891275), // Rule ID 9360 //
     /*  891188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  891191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  891205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891238 */     // MIs[1] Operand 1
     /*  891238 */     // No operand predicates
     /*  891238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  891251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  891254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891273 */     GIR_RootConstrainSelectedInstOperands,
     /*  891274 */     // GIR_Coverage, 9360,
     /*  891274 */     GIR_EraseRootFromParent_Done,
     /*  891275 */   // Label 13524: @891275
     /*  891275 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(891367), // Rule ID 9361 //
     /*  891280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  891283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  891297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891330 */     // MIs[1] Operand 1
     /*  891330 */     // No operand predicates
     /*  891330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891343 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  891343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  891346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891365 */     GIR_RootConstrainSelectedInstOperands,
     /*  891366 */     // GIR_Coverage, 9361,
     /*  891366 */     GIR_EraseRootFromParent_Done,
     /*  891367 */   // Label 13525: @891367
     /*  891367 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(891459), // Rule ID 9364 //
     /*  891372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  891383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  891386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  891395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891422 */     // MIs[1] Operand 1
     /*  891422 */     // No operand predicates
     /*  891422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891435 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  891435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  891438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891457 */     GIR_RootConstrainSelectedInstOperands,
     /*  891458 */     // GIR_Coverage, 9364,
     /*  891458 */     GIR_EraseRootFromParent_Done,
     /*  891459 */   // Label 13526: @891459
     /*  891459 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(891551), // Rule ID 9365 //
     /*  891464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  891475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  891478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  891487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891514 */     // MIs[1] Operand 1
     /*  891514 */     // No operand predicates
     /*  891514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  891527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  891530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891549 */     GIR_RootConstrainSelectedInstOperands,
     /*  891550 */     // GIR_Coverage, 9365,
     /*  891550 */     GIR_EraseRootFromParent_Done,
     /*  891551 */   // Label 13527: @891551
     /*  891551 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(891643), // Rule ID 9368 //
     /*  891556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  891567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  891570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  891579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891606 */     // MIs[1] Operand 1
     /*  891606 */     // No operand predicates
     /*  891606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891619 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  891619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  891622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891641 */     GIR_RootConstrainSelectedInstOperands,
     /*  891642 */     // GIR_Coverage, 9368,
     /*  891642 */     GIR_EraseRootFromParent_Done,
     /*  891643 */   // Label 13528: @891643
     /*  891643 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(891735), // Rule ID 9369 //
     /*  891648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  891659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  891662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  891671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891698 */     // MIs[1] Operand 1
     /*  891698 */     // No operand predicates
     /*  891698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  891711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  891714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891733 */     GIR_RootConstrainSelectedInstOperands,
     /*  891734 */     // GIR_Coverage, 9369,
     /*  891734 */     GIR_EraseRootFromParent_Done,
     /*  891735 */   // Label 13529: @891735
     /*  891735 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(891827), // Rule ID 9372 //
     /*  891740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  891751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  891754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  891763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891790 */     // MIs[1] Operand 1
     /*  891790 */     // No operand predicates
     /*  891790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891803 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  891803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  891806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891825 */     GIR_RootConstrainSelectedInstOperands,
     /*  891826 */     // GIR_Coverage, 9372,
     /*  891826 */     GIR_EraseRootFromParent_Done,
     /*  891827 */   // Label 13530: @891827
     /*  891827 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(891919), // Rule ID 9373 //
     /*  891832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  891843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  891846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  891855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891882 */     // MIs[1] Operand 1
     /*  891882 */     // No operand predicates
     /*  891882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891895 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  891895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  891898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  891909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891917 */     GIR_RootConstrainSelectedInstOperands,
     /*  891918 */     // GIR_Coverage, 9373,
     /*  891918 */     GIR_EraseRootFromParent_Done,
     /*  891919 */   // Label 13531: @891919
     /*  891919 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(892011), // Rule ID 9376 //
     /*  891924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  891932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  891935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  891938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  891947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891974 */     // MIs[1] Operand 1
     /*  891974 */     // No operand predicates
     /*  891974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  891987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  891990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892009 */     GIR_RootConstrainSelectedInstOperands,
     /*  892010 */     // GIR_Coverage, 9376,
     /*  892010 */     GIR_EraseRootFromParent_Done,
     /*  892011 */   // Label 13532: @892011
     /*  892011 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(892103), // Rule ID 9377 //
     /*  892016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  892027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  892030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  892033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  892039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892066 */     // MIs[1] Operand 1
     /*  892066 */     // No operand predicates
     /*  892066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892079 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  892079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  892082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892101 */     GIR_RootConstrainSelectedInstOperands,
     /*  892102 */     // GIR_Coverage, 9377,
     /*  892102 */     GIR_EraseRootFromParent_Done,
     /*  892103 */   // Label 13533: @892103
     /*  892103 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(892195), // Rule ID 9380 //
     /*  892108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  892125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892158 */     // MIs[1] Operand 1
     /*  892158 */     // No operand predicates
     /*  892158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  892171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  892174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892193 */     GIR_RootConstrainSelectedInstOperands,
     /*  892194 */     // GIR_Coverage, 9380,
     /*  892194 */     GIR_EraseRootFromParent_Done,
     /*  892195 */   // Label 13534: @892195
     /*  892195 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(892287), // Rule ID 9381 //
     /*  892200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  892217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892250 */     // MIs[1] Operand 1
     /*  892250 */     // No operand predicates
     /*  892250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892263 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  892263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  892266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892285 */     GIR_RootConstrainSelectedInstOperands,
     /*  892286 */     // GIR_Coverage, 9381,
     /*  892286 */     GIR_EraseRootFromParent_Done,
     /*  892287 */   // Label 13535: @892287
     /*  892287 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(892379), // Rule ID 9384 //
     /*  892292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  892303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  892306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  892309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  892315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892342 */     // MIs[1] Operand 1
     /*  892342 */     // No operand predicates
     /*  892342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  892355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  892358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892377 */     GIR_RootConstrainSelectedInstOperands,
     /*  892378 */     // GIR_Coverage, 9384,
     /*  892378 */     GIR_EraseRootFromParent_Done,
     /*  892379 */   // Label 13536: @892379
     /*  892379 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(892471), // Rule ID 9385 //
     /*  892384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  892395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  892398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  892401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  892407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892434 */     // MIs[1] Operand 1
     /*  892434 */     // No operand predicates
     /*  892434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892447 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  892447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  892450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892469 */     GIR_RootConstrainSelectedInstOperands,
     /*  892470 */     // GIR_Coverage, 9385,
     /*  892470 */     GIR_EraseRootFromParent_Done,
     /*  892471 */   // Label 13537: @892471
     /*  892471 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(892563), // Rule ID 9388 //
     /*  892476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  892487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  892490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  892493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  892499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892526 */     // MIs[1] Operand 1
     /*  892526 */     // No operand predicates
     /*  892526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  892539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  892542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892561 */     GIR_RootConstrainSelectedInstOperands,
     /*  892562 */     // GIR_Coverage, 9388,
     /*  892562 */     GIR_EraseRootFromParent_Done,
     /*  892563 */   // Label 13538: @892563
     /*  892563 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(892655), // Rule ID 9389 //
     /*  892568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  892579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  892582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  892585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  892591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892618 */     // MIs[1] Operand 1
     /*  892618 */     // No operand predicates
     /*  892618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892631 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  892631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  892634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892653 */     GIR_RootConstrainSelectedInstOperands,
     /*  892654 */     // GIR_Coverage, 9389,
     /*  892654 */     GIR_EraseRootFromParent_Done,
     /*  892655 */   // Label 13539: @892655
     /*  892655 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(892747), // Rule ID 9392 //
     /*  892660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  892671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  892674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  892683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892710 */     // MIs[1] Operand 1
     /*  892710 */     // No operand predicates
     /*  892710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892723 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  892723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  892726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892745 */     GIR_RootConstrainSelectedInstOperands,
     /*  892746 */     // GIR_Coverage, 9392,
     /*  892746 */     GIR_EraseRootFromParent_Done,
     /*  892747 */   // Label 13540: @892747
     /*  892747 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(892839), // Rule ID 9393 //
     /*  892752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  892763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  892766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  892775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892802 */     // MIs[1] Operand 1
     /*  892802 */     // No operand predicates
     /*  892802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  892815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  892818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892837 */     GIR_RootConstrainSelectedInstOperands,
     /*  892838 */     // GIR_Coverage, 9393,
     /*  892838 */     GIR_EraseRootFromParent_Done,
     /*  892839 */   // Label 13541: @892839
     /*  892839 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(892931), // Rule ID 9396 //
     /*  892844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892894 */     // MIs[1] Operand 1
     /*  892894 */     // No operand predicates
     /*  892894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892907 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  892907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  892910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  892921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892929 */     GIR_RootConstrainSelectedInstOperands,
     /*  892930 */     // GIR_Coverage, 9396,
     /*  892930 */     GIR_EraseRootFromParent_Done,
     /*  892931 */   // Label 13542: @892931
     /*  892931 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(893023), // Rule ID 9397 //
     /*  892936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  892944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892986 */     // MIs[1] Operand 1
     /*  892986 */     // No operand predicates
     /*  892986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892999 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  892999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  893002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893021 */     GIR_RootConstrainSelectedInstOperands,
     /*  893022 */     // GIR_Coverage, 9397,
     /*  893022 */     GIR_EraseRootFromParent_Done,
     /*  893023 */   // Label 13543: @893023
     /*  893023 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(893115), // Rule ID 9400 //
     /*  893028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  893031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  893039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  893042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  893051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893078 */     // MIs[1] Operand 1
     /*  893078 */     // No operand predicates
     /*  893078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  893091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  893094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893113 */     GIR_RootConstrainSelectedInstOperands,
     /*  893114 */     // GIR_Coverage, 9400,
     /*  893114 */     GIR_EraseRootFromParent_Done,
     /*  893115 */   // Label 13544: @893115
     /*  893115 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(893207), // Rule ID 9401 //
     /*  893120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  893123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  893131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  893134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  893137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  893143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893170 */     // MIs[1] Operand 1
     /*  893170 */     // No operand predicates
     /*  893170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  893183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  893186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893205 */     GIR_RootConstrainSelectedInstOperands,
     /*  893206 */     // GIR_Coverage, 9401,
     /*  893206 */     GIR_EraseRootFromParent_Done,
     /*  893207 */   // Label 13545: @893207
     /*  893207 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(893299), // Rule ID 9404 //
     /*  893212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  893215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  893223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  893226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  893229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  893235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893262 */     // MIs[1] Operand 1
     /*  893262 */     // No operand predicates
     /*  893262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  893275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  893278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893297 */     GIR_RootConstrainSelectedInstOperands,
     /*  893298 */     // GIR_Coverage, 9404,
     /*  893298 */     GIR_EraseRootFromParent_Done,
     /*  893299 */   // Label 13546: @893299
     /*  893299 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(893391), // Rule ID 9405 //
     /*  893304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  893307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  893315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  893318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  893321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  893327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893354 */     // MIs[1] Operand 1
     /*  893354 */     // No operand predicates
     /*  893354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  893367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  893370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893389 */     GIR_RootConstrainSelectedInstOperands,
     /*  893390 */     // GIR_Coverage, 9405,
     /*  893390 */     GIR_EraseRootFromParent_Done,
     /*  893391 */   // Label 13547: @893391
     /*  893391 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(893483), // Rule ID 9408 //
     /*  893396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  893399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  893407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  893410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  893413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  893419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893446 */     // MIs[1] Operand 1
     /*  893446 */     // No operand predicates
     /*  893446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  893459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  893462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893481 */     GIR_RootConstrainSelectedInstOperands,
     /*  893482 */     // GIR_Coverage, 9408,
     /*  893482 */     GIR_EraseRootFromParent_Done,
     /*  893483 */   // Label 13548: @893483
     /*  893483 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(893575), // Rule ID 9409 //
     /*  893488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  893491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  893496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  893499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  893502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  893505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  893511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893538 */     // MIs[1] Operand 1
     /*  893538 */     // No operand predicates
     /*  893538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  893551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  893554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893573 */     GIR_RootConstrainSelectedInstOperands,
     /*  893574 */     // GIR_Coverage, 9409,
     /*  893574 */     GIR_EraseRootFromParent_Done,
     /*  893575 */   // Label 13549: @893575
     /*  893575 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(893667), // Rule ID 13786 //
     /*  893580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  893588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  893591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  893594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  893597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  893603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  893610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893630 */     // MIs[1] Operand 1
     /*  893630 */     // No operand predicates
     /*  893630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  893643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  893646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893665 */     GIR_RootConstrainSelectedInstOperands,
     /*  893666 */     // GIR_Coverage, 13786,
     /*  893666 */     GIR_EraseRootFromParent_Done,
     /*  893667 */   // Label 13550: @893667
     /*  893667 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(893759), // Rule ID 13787 //
     /*  893672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  893680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  893683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  893686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  893689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  893695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  893702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893722 */     // MIs[1] Operand 1
     /*  893722 */     // No operand predicates
     /*  893722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893735 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  893735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  893738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893757 */     GIR_RootConstrainSelectedInstOperands,
     /*  893758 */     // GIR_Coverage, 13787,
     /*  893758 */     GIR_EraseRootFromParent_Done,
     /*  893759 */   // Label 13551: @893759
     /*  893759 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(893851), // Rule ID 13788 //
     /*  893764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  893772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  893787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  893794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893814 */     // MIs[1] Operand 1
     /*  893814 */     // No operand predicates
     /*  893814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  893827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  893830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893849 */     GIR_RootConstrainSelectedInstOperands,
     /*  893850 */     // GIR_Coverage, 13788,
     /*  893850 */     GIR_EraseRootFromParent_Done,
     /*  893851 */   // Label 13552: @893851
     /*  893851 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(893943), // Rule ID 13789 //
     /*  893856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  893864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  893879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  893886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893906 */     // MIs[1] Operand 1
     /*  893906 */     // No operand predicates
     /*  893906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  893919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  893922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  893933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893941 */     GIR_RootConstrainSelectedInstOperands,
     /*  893942 */     // GIR_Coverage, 13789,
     /*  893942 */     GIR_EraseRootFromParent_Done,
     /*  893943 */   // Label 13553: @893943
     /*  893943 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(894035), // Rule ID 13790 //
     /*  893948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  893956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  893959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  893962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  893965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  893971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  893978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893998 */     // MIs[1] Operand 1
     /*  893998 */     // No operand predicates
     /*  893998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  894011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894033 */     GIR_RootConstrainSelectedInstOperands,
     /*  894034 */     // GIR_Coverage, 13790,
     /*  894034 */     GIR_EraseRootFromParent_Done,
     /*  894035 */   // Label 13554: @894035
     /*  894035 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(894127), // Rule ID 13791 //
     /*  894040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  894051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  894054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  894057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  894063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894090 */     // MIs[1] Operand 1
     /*  894090 */     // No operand predicates
     /*  894090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  894103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894125 */     GIR_RootConstrainSelectedInstOperands,
     /*  894126 */     // GIR_Coverage, 13791,
     /*  894126 */     GIR_EraseRootFromParent_Done,
     /*  894127 */   // Label 13555: @894127
     /*  894127 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(894219), // Rule ID 13792 //
     /*  894132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  894155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894182 */     // MIs[1] Operand 1
     /*  894182 */     // No operand predicates
     /*  894182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  894195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  894198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894217 */     GIR_RootConstrainSelectedInstOperands,
     /*  894218 */     // GIR_Coverage, 13792,
     /*  894218 */     GIR_EraseRootFromParent_Done,
     /*  894219 */   // Label 13556: @894219
     /*  894219 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(894311), // Rule ID 13793 //
     /*  894224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  894235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  894238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  894241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  894247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894274 */     // MIs[1] Operand 1
     /*  894274 */     // No operand predicates
     /*  894274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  894287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  894290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894309 */     GIR_RootConstrainSelectedInstOperands,
     /*  894310 */     // GIR_Coverage, 13793,
     /*  894310 */     GIR_EraseRootFromParent_Done,
     /*  894311 */   // Label 13557: @894311
     /*  894311 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(894403), // Rule ID 13794 //
     /*  894316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  894339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894366 */     // MIs[1] Operand 1
     /*  894366 */     // No operand predicates
     /*  894366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894379 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  894379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894401 */     GIR_RootConstrainSelectedInstOperands,
     /*  894402 */     // GIR_Coverage, 13794,
     /*  894402 */     GIR_EraseRootFromParent_Done,
     /*  894403 */   // Label 13558: @894403
     /*  894403 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(894495), // Rule ID 13795 //
     /*  894408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  894419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  894422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  894425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  894431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894458 */     // MIs[1] Operand 1
     /*  894458 */     // No operand predicates
     /*  894458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  894471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894493 */     GIR_RootConstrainSelectedInstOperands,
     /*  894494 */     // GIR_Coverage, 13795,
     /*  894494 */     GIR_EraseRootFromParent_Done,
     /*  894495 */   // Label 13559: @894495
     /*  894495 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(894587), // Rule ID 13796 //
     /*  894500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  894511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  894514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  894517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  894523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894550 */     // MIs[1] Operand 1
     /*  894550 */     // No operand predicates
     /*  894550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  894563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894585 */     GIR_RootConstrainSelectedInstOperands,
     /*  894586 */     // GIR_Coverage, 13796,
     /*  894586 */     GIR_EraseRootFromParent_Done,
     /*  894587 */   // Label 13560: @894587
     /*  894587 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(894679), // Rule ID 13797 //
     /*  894592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  894603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  894606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  894609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  894615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894642 */     // MIs[1] Operand 1
     /*  894642 */     // No operand predicates
     /*  894642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894655 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  894655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  894658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894677 */     GIR_RootConstrainSelectedInstOperands,
     /*  894678 */     // GIR_Coverage, 13797,
     /*  894678 */     GIR_EraseRootFromParent_Done,
     /*  894679 */   // Label 13561: @894679
     /*  894679 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(894771), // Rule ID 13798 //
     /*  894684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  894695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  894698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  894701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  894707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894734 */     // MIs[1] Operand 1
     /*  894734 */     // No operand predicates
     /*  894734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  894747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  894750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894769 */     GIR_RootConstrainSelectedInstOperands,
     /*  894770 */     // GIR_Coverage, 13798,
     /*  894770 */     GIR_EraseRootFromParent_Done,
     /*  894771 */   // Label 13562: @894771
     /*  894771 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(894863), // Rule ID 13799 //
     /*  894776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  894787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  894790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  894793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  894799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894826 */     // MIs[1] Operand 1
     /*  894826 */     // No operand predicates
     /*  894826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894839 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  894839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  894842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894861 */     GIR_RootConstrainSelectedInstOperands,
     /*  894862 */     // GIR_Coverage, 13799,
     /*  894862 */     GIR_EraseRootFromParent_Done,
     /*  894863 */   // Label 13563: @894863
     /*  894863 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(894955), // Rule ID 13800 //
     /*  894868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  894879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  894882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  894885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  894891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894918 */     // MIs[1] Operand 1
     /*  894918 */     // No operand predicates
     /*  894918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  894931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  894934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  894945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894953 */     GIR_RootConstrainSelectedInstOperands,
     /*  894954 */     // GIR_Coverage, 13800,
     /*  894954 */     GIR_EraseRootFromParent_Done,
     /*  894955 */   // Label 13564: @894955
     /*  894955 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(895047), // Rule ID 13801 //
     /*  894960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  894968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  894971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  894974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  894977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  894983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  894990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895010 */     // MIs[1] Operand 1
     /*  895010 */     // No operand predicates
     /*  895010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  895023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  895026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895045 */     GIR_RootConstrainSelectedInstOperands,
     /*  895046 */     // GIR_Coverage, 13801,
     /*  895046 */     GIR_EraseRootFromParent_Done,
     /*  895047 */   // Label 13565: @895047
     /*  895047 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(895139), // Rule ID 13802 //
     /*  895052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  895075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  895082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895102 */     // MIs[1] Operand 1
     /*  895102 */     // No operand predicates
     /*  895102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  895115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  895118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895137 */     GIR_RootConstrainSelectedInstOperands,
     /*  895138 */     // GIR_Coverage, 13802,
     /*  895138 */     GIR_EraseRootFromParent_Done,
     /*  895139 */   // Label 13566: @895139
     /*  895139 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(895231), // Rule ID 13803 //
     /*  895144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  895155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  895158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  895161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  895167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  895174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895194 */     // MIs[1] Operand 1
     /*  895194 */     // No operand predicates
     /*  895194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  895207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  895210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895229 */     GIR_RootConstrainSelectedInstOperands,
     /*  895230 */     // GIR_Coverage, 13803,
     /*  895230 */     GIR_EraseRootFromParent_Done,
     /*  895231 */   // Label 13567: @895231
     /*  895231 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(895323), // Rule ID 13804 //
     /*  895236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  895239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  895259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  895266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895286 */     // MIs[1] Operand 1
     /*  895286 */     // No operand predicates
     /*  895286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  895299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  895302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895321 */     GIR_RootConstrainSelectedInstOperands,
     /*  895322 */     // GIR_Coverage, 13804,
     /*  895322 */     GIR_EraseRootFromParent_Done,
     /*  895323 */   // Label 13568: @895323
     /*  895323 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(895415), // Rule ID 13805 //
     /*  895328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  895331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  895339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  895342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  895345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  895351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  895358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895378 */     // MIs[1] Operand 1
     /*  895378 */     // No operand predicates
     /*  895378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  895391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  895394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895413 */     GIR_RootConstrainSelectedInstOperands,
     /*  895414 */     // GIR_Coverage, 13805,
     /*  895414 */     GIR_EraseRootFromParent_Done,
     /*  895415 */   // Label 13569: @895415
     /*  895415 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(895507), // Rule ID 13806 //
     /*  895420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  895443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  895450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895470 */     // MIs[1] Operand 1
     /*  895470 */     // No operand predicates
     /*  895470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  895486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895505 */     GIR_RootConstrainSelectedInstOperands,
     /*  895506 */     // GIR_Coverage, 13806,
     /*  895506 */     GIR_EraseRootFromParent_Done,
     /*  895507 */   // Label 13570: @895507
     /*  895507 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(895599), // Rule ID 13807 //
     /*  895512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  895523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  895526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  895529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  895535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  895542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895562 */     // MIs[1] Operand 1
     /*  895562 */     // No operand predicates
     /*  895562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895575 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  895575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  895578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895597 */     GIR_RootConstrainSelectedInstOperands,
     /*  895598 */     // GIR_Coverage, 13807,
     /*  895598 */     GIR_EraseRootFromParent_Done,
     /*  895599 */   // Label 13571: @895599
     /*  895599 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(895691), // Rule ID 13808 //
     /*  895604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  895627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  895634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895654 */     // MIs[1] Operand 1
     /*  895654 */     // No operand predicates
     /*  895654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  895670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895689 */     GIR_RootConstrainSelectedInstOperands,
     /*  895690 */     // GIR_Coverage, 13808,
     /*  895690 */     GIR_EraseRootFromParent_Done,
     /*  895691 */   // Label 13572: @895691
     /*  895691 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(895783), // Rule ID 13809 //
     /*  895696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  895707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  895710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  895713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  895719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  895726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895746 */     // MIs[1] Operand 1
     /*  895746 */     // No operand predicates
     /*  895746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  895759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  895762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895781 */     GIR_RootConstrainSelectedInstOperands,
     /*  895782 */     // GIR_Coverage, 13809,
     /*  895782 */     GIR_EraseRootFromParent_Done,
     /*  895783 */   // Label 13573: @895783
     /*  895783 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(895875), // Rule ID 13810 //
     /*  895788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  895799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  895802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  895805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  895811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  895818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895838 */     // MIs[1] Operand 1
     /*  895838 */     // No operand predicates
     /*  895838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  895854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895873 */     GIR_RootConstrainSelectedInstOperands,
     /*  895874 */     // GIR_Coverage, 13810,
     /*  895874 */     GIR_EraseRootFromParent_Done,
     /*  895875 */   // Label 13574: @895875
     /*  895875 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(895967), // Rule ID 13811 //
     /*  895880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  895891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  895894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  895897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  895903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  895910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895930 */     // MIs[1] Operand 1
     /*  895930 */     // No operand predicates
     /*  895930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  895943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  895946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  895957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895965 */     GIR_RootConstrainSelectedInstOperands,
     /*  895966 */     // GIR_Coverage, 13811,
     /*  895966 */     GIR_EraseRootFromParent_Done,
     /*  895967 */   // Label 13575: @895967
     /*  895967 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(896059), // Rule ID 13812 //
     /*  895972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  895980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  895983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  895986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  895989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  895995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  896002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896022 */     // MIs[1] Operand 1
     /*  896022 */     // No operand predicates
     /*  896022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  896035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  896038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896057 */     GIR_RootConstrainSelectedInstOperands,
     /*  896058 */     // GIR_Coverage, 13812,
     /*  896058 */     GIR_EraseRootFromParent_Done,
     /*  896059 */   // Label 13576: @896059
     /*  896059 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(896151), // Rule ID 13813 //
     /*  896064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  896087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  896094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896114 */     // MIs[1] Operand 1
     /*  896114 */     // No operand predicates
     /*  896114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  896127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  896130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896149 */     GIR_RootConstrainSelectedInstOperands,
     /*  896150 */     // GIR_Coverage, 13813,
     /*  896150 */     GIR_EraseRootFromParent_Done,
     /*  896151 */   // Label 13577: @896151
     /*  896151 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(896243), // Rule ID 13814 //
     /*  896156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  896179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  896186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896206 */     // MIs[1] Operand 1
     /*  896206 */     // No operand predicates
     /*  896206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896219 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  896219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  896222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896241 */     GIR_RootConstrainSelectedInstOperands,
     /*  896242 */     // GIR_Coverage, 13814,
     /*  896242 */     GIR_EraseRootFromParent_Done,
     /*  896243 */   // Label 13578: @896243
     /*  896243 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(896335), // Rule ID 13815 //
     /*  896248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  896259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  896262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  896265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  896271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  896278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896298 */     // MIs[1] Operand 1
     /*  896298 */     // No operand predicates
     /*  896298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  896311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  896314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896333 */     GIR_RootConstrainSelectedInstOperands,
     /*  896334 */     // GIR_Coverage, 13815,
     /*  896334 */     GIR_EraseRootFromParent_Done,
     /*  896335 */   // Label 13579: @896335
     /*  896335 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(896427), // Rule ID 13816 //
     /*  896340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  896363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  896370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896390 */     // MIs[1] Operand 1
     /*  896390 */     // No operand predicates
     /*  896390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  896403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  896406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896425 */     GIR_RootConstrainSelectedInstOperands,
     /*  896426 */     // GIR_Coverage, 13816,
     /*  896426 */     GIR_EraseRootFromParent_Done,
     /*  896427 */   // Label 13580: @896427
     /*  896427 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(896519), // Rule ID 13817 //
     /*  896432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  896443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  896446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  896449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  896455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  896462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896482 */     // MIs[1] Operand 1
     /*  896482 */     // No operand predicates
     /*  896482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  896495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  896498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896517 */     GIR_RootConstrainSelectedInstOperands,
     /*  896518 */     // GIR_Coverage, 13817,
     /*  896518 */     GIR_EraseRootFromParent_Done,
     /*  896519 */   // Label 13581: @896519
     /*  896519 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(896611), // Rule ID 13818 //
     /*  896524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  896547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  896554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896574 */     // MIs[1] Operand 1
     /*  896574 */     // No operand predicates
     /*  896574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  896587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  896590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896609 */     GIR_RootConstrainSelectedInstOperands,
     /*  896610 */     // GIR_Coverage, 13818,
     /*  896610 */     GIR_EraseRootFromParent_Done,
     /*  896611 */   // Label 13582: @896611
     /*  896611 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(896703), // Rule ID 13819 //
     /*  896616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  896627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  896630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  896633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  896639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  896646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896666 */     // MIs[1] Operand 1
     /*  896666 */     // No operand predicates
     /*  896666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  896679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  896682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896701 */     GIR_RootConstrainSelectedInstOperands,
     /*  896702 */     // GIR_Coverage, 13819,
     /*  896702 */     GIR_EraseRootFromParent_Done,
     /*  896703 */   // Label 13583: @896703
     /*  896703 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(896795), // Rule ID 13820 //
     /*  896708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  896731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  896738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896758 */     // MIs[1] Operand 1
     /*  896758 */     // No operand predicates
     /*  896758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  896771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  896774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896793 */     GIR_RootConstrainSelectedInstOperands,
     /*  896794 */     // GIR_Coverage, 13820,
     /*  896794 */     GIR_EraseRootFromParent_Done,
     /*  896795 */   // Label 13584: @896795
     /*  896795 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(896887), // Rule ID 13821 //
     /*  896800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  896811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  896814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  896817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  896823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  896830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896850 */     // MIs[1] Operand 1
     /*  896850 */     // No operand predicates
     /*  896850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  896863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  896866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896885 */     GIR_RootConstrainSelectedInstOperands,
     /*  896886 */     // GIR_Coverage, 13821,
     /*  896886 */     GIR_EraseRootFromParent_Done,
     /*  896887 */   // Label 13585: @896887
     /*  896887 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(896979), // Rule ID 13822 //
     /*  896892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  896903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  896906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  896909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  896915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  896922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896942 */     // MIs[1] Operand 1
     /*  896942 */     // No operand predicates
     /*  896942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  896955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  896958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  896969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896977 */     GIR_RootConstrainSelectedInstOperands,
     /*  896978 */     // GIR_Coverage, 13822,
     /*  896978 */     GIR_EraseRootFromParent_Done,
     /*  896979 */   // Label 13586: @896979
     /*  896979 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(897071), // Rule ID 13823 //
     /*  896984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  896992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  896995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  896998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  897007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  897014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897034 */     // MIs[1] Operand 1
     /*  897034 */     // No operand predicates
     /*  897034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  897047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  897050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897069 */     GIR_RootConstrainSelectedInstOperands,
     /*  897070 */     // GIR_Coverage, 13823,
     /*  897070 */     GIR_EraseRootFromParent_Done,
     /*  897071 */   // Label 13587: @897071
     /*  897071 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(897163), // Rule ID 13824 //
     /*  897076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  897079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  897099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  897106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897126 */     // MIs[1] Operand 1
     /*  897126 */     // No operand predicates
     /*  897126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  897139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  897142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897161 */     GIR_RootConstrainSelectedInstOperands,
     /*  897162 */     // GIR_Coverage, 13824,
     /*  897162 */     GIR_EraseRootFromParent_Done,
     /*  897163 */   // Label 13588: @897163
     /*  897163 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(897255), // Rule ID 13825 //
     /*  897168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  897171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  897191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  897198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897218 */     // MIs[1] Operand 1
     /*  897218 */     // No operand predicates
     /*  897218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  897231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  897234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897253 */     GIR_RootConstrainSelectedInstOperands,
     /*  897254 */     // GIR_Coverage, 13825,
     /*  897254 */     GIR_EraseRootFromParent_Done,
     /*  897255 */   // Label 13589: @897255
     /*  897255 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(897347), // Rule ID 13826 //
     /*  897260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  897263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  897283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  897290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897310 */     // MIs[1] Operand 1
     /*  897310 */     // No operand predicates
     /*  897310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  897323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  897326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897345 */     GIR_RootConstrainSelectedInstOperands,
     /*  897346 */     // GIR_Coverage, 13826,
     /*  897346 */     GIR_EraseRootFromParent_Done,
     /*  897347 */   // Label 13590: @897347
     /*  897347 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(897439), // Rule ID 13827 //
     /*  897352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  897355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  897375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  897382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897402 */     // MIs[1] Operand 1
     /*  897402 */     // No operand predicates
     /*  897402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897415 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  897415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  897418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897437 */     GIR_RootConstrainSelectedInstOperands,
     /*  897438 */     // GIR_Coverage, 13827,
     /*  897438 */     GIR_EraseRootFromParent_Done,
     /*  897439 */   // Label 13591: @897439
     /*  897439 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(897531), // Rule ID 13828 //
     /*  897444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  897447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  897467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  897474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897494 */     // MIs[1] Operand 1
     /*  897494 */     // No operand predicates
     /*  897494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  897507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  897510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897529 */     GIR_RootConstrainSelectedInstOperands,
     /*  897530 */     // GIR_Coverage, 13828,
     /*  897530 */     GIR_EraseRootFromParent_Done,
     /*  897531 */   // Label 13592: @897531
     /*  897531 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(897623), // Rule ID 13829 //
     /*  897536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  897539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  897544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  897547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  897550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  897553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  897559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  897566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897586 */     // MIs[1] Operand 1
     /*  897586 */     // No operand predicates
     /*  897586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  897599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  897602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  897613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897621 */     GIR_RootConstrainSelectedInstOperands,
     /*  897622 */     // GIR_Coverage, 13829,
     /*  897622 */     GIR_EraseRootFromParent_Done,
     /*  897623 */   // Label 13593: @897623
     /*  897623 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(897699), // Rule ID 2624 //
     /*  897628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  897631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  897636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  897639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  897642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  897645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897656 */     // MIs[0] passthru
     /*  897656 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  897661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897665 */     // MIs[0] round
     /*  897665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  897668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  897678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  897686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897697 */     GIR_RootConstrainSelectedInstOperands,
     /*  897698 */     // GIR_Coverage, 2624,
     /*  897698 */     GIR_EraseRootFromParent_Done,
     /*  897699 */   // Label 13594: @897699
     /*  897699 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(897775), // Rule ID 2625 //
     /*  897704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  897707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  897712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  897715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  897718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  897721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897732 */     // MIs[0] passthru
     /*  897732 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  897737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897741 */     // MIs[0] round
     /*  897741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  897744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897751 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  897754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  897762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897773 */     GIR_RootConstrainSelectedInstOperands,
     /*  897774 */     // GIR_Coverage, 2625,
     /*  897774 */     GIR_EraseRootFromParent_Done,
     /*  897775 */   // Label 13595: @897775
     /*  897775 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(897851), // Rule ID 16996 //
     /*  897780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  897783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  897788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  897797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897808 */     // MIs[0] passthru
     /*  897808 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  897813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897817 */     // MIs[0] round
     /*  897817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  897820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  897830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  897838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897849 */     GIR_RootConstrainSelectedInstOperands,
     /*  897850 */     // GIR_Coverage, 16996,
     /*  897850 */     GIR_EraseRootFromParent_Done,
     /*  897851 */   // Label 13596: @897851
     /*  897851 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(897927), // Rule ID 16997 //
     /*  897856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  897859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  897864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  897873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897884 */     // MIs[0] passthru
     /*  897884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  897889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897893 */     // MIs[0] round
     /*  897893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  897896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  897906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  897914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897925 */     GIR_RootConstrainSelectedInstOperands,
     /*  897926 */     // GIR_Coverage, 16997,
     /*  897926 */     GIR_EraseRootFromParent_Done,
     /*  897927 */   // Label 13597: @897927
     /*  897927 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(898003), // Rule ID 17006 //
     /*  897932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  897935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  897940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  897949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897960 */     // MIs[0] passthru
     /*  897960 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  897965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897969 */     // MIs[0] round
     /*  897969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  897972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897979 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  897982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  897990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898001 */     GIR_RootConstrainSelectedInstOperands,
     /*  898002 */     // GIR_Coverage, 17006,
     /*  898002 */     GIR_EraseRootFromParent_Done,
     /*  898003 */   // Label 13598: @898003
     /*  898003 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(898079), // Rule ID 17007 //
     /*  898008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  898011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  898025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898036 */     // MIs[0] passthru
     /*  898036 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898045 */     // MIs[0] round
     /*  898045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898055 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  898058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898077 */     GIR_RootConstrainSelectedInstOperands,
     /*  898078 */     // GIR_Coverage, 17007,
     /*  898078 */     GIR_EraseRootFromParent_Done,
     /*  898079 */   // Label 13599: @898079
     /*  898079 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(898155), // Rule ID 17016 //
     /*  898084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  898087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898112 */     // MIs[0] passthru
     /*  898112 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898121 */     // MIs[0] round
     /*  898121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898131 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  898134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898153 */     GIR_RootConstrainSelectedInstOperands,
     /*  898154 */     // GIR_Coverage, 17016,
     /*  898154 */     GIR_EraseRootFromParent_Done,
     /*  898155 */   // Label 13600: @898155
     /*  898155 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(898231), // Rule ID 17017 //
     /*  898160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  898163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898188 */     // MIs[0] passthru
     /*  898188 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898197 */     // MIs[0] round
     /*  898197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898207 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  898210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898229 */     GIR_RootConstrainSelectedInstOperands,
     /*  898230 */     // GIR_Coverage, 17017,
     /*  898230 */     GIR_EraseRootFromParent_Done,
     /*  898231 */   // Label 13601: @898231
     /*  898231 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(898307), // Rule ID 17026 //
     /*  898236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  898239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898264 */     // MIs[0] passthru
     /*  898264 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898273 */     // MIs[0] round
     /*  898273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898283 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  898286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898305 */     GIR_RootConstrainSelectedInstOperands,
     /*  898306 */     // GIR_Coverage, 17026,
     /*  898306 */     GIR_EraseRootFromParent_Done,
     /*  898307 */   // Label 13602: @898307
     /*  898307 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(898383), // Rule ID 17027 //
     /*  898312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  898315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898340 */     // MIs[0] passthru
     /*  898340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898349 */     // MIs[0] round
     /*  898349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898359 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  898362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898381 */     GIR_RootConstrainSelectedInstOperands,
     /*  898382 */     // GIR_Coverage, 17027,
     /*  898382 */     GIR_EraseRootFromParent_Done,
     /*  898383 */   // Label 13603: @898383
     /*  898383 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(898459), // Rule ID 17036 //
     /*  898388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  898391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898416 */     // MIs[0] passthru
     /*  898416 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898425 */     // MIs[0] round
     /*  898425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898435 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  898438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898457 */     GIR_RootConstrainSelectedInstOperands,
     /*  898458 */     // GIR_Coverage, 17036,
     /*  898458 */     GIR_EraseRootFromParent_Done,
     /*  898459 */   // Label 13604: @898459
     /*  898459 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(898535), // Rule ID 17037 //
     /*  898464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  898467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  898475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  898478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  898481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898492 */     // MIs[0] passthru
     /*  898492 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898501 */     // MIs[0] round
     /*  898501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  898514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898533 */     GIR_RootConstrainSelectedInstOperands,
     /*  898534 */     // GIR_Coverage, 17037,
     /*  898534 */     GIR_EraseRootFromParent_Done,
     /*  898535 */   // Label 13605: @898535
     /*  898535 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(898611), // Rule ID 17046 //
     /*  898540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  898543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898568 */     // MIs[0] passthru
     /*  898568 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898577 */     // MIs[0] round
     /*  898577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  898590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898609 */     GIR_RootConstrainSelectedInstOperands,
     /*  898610 */     // GIR_Coverage, 17046,
     /*  898610 */     GIR_EraseRootFromParent_Done,
     /*  898611 */   // Label 13606: @898611
     /*  898611 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(898687), // Rule ID 17047 //
     /*  898616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  898619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  898627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  898630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898644 */     // MIs[0] passthru
     /*  898644 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898653 */     // MIs[0] round
     /*  898653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898663 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  898666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898685 */     GIR_RootConstrainSelectedInstOperands,
     /*  898686 */     // GIR_Coverage, 17047,
     /*  898686 */     GIR_EraseRootFromParent_Done,
     /*  898687 */   // Label 13607: @898687
     /*  898687 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(898763), // Rule ID 17056 //
     /*  898692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  898695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898720 */     // MIs[0] passthru
     /*  898720 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898729 */     // MIs[0] round
     /*  898729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898739 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  898742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898761 */     GIR_RootConstrainSelectedInstOperands,
     /*  898762 */     // GIR_Coverage, 17056,
     /*  898762 */     GIR_EraseRootFromParent_Done,
     /*  898763 */   // Label 13608: @898763
     /*  898763 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(898839), // Rule ID 17057 //
     /*  898768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  898771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  898779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  898782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898796 */     // MIs[0] passthru
     /*  898796 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898805 */     // MIs[0] round
     /*  898805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898815 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  898818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898837 */     GIR_RootConstrainSelectedInstOperands,
     /*  898838 */     // GIR_Coverage, 17057,
     /*  898838 */     GIR_EraseRootFromParent_Done,
     /*  898839 */   // Label 13609: @898839
     /*  898839 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(898915), // Rule ID 17066 //
     /*  898844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  898847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898872 */     // MIs[0] passthru
     /*  898872 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898881 */     // MIs[0] round
     /*  898881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898891 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  898894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898913 */     GIR_RootConstrainSelectedInstOperands,
     /*  898914 */     // GIR_Coverage, 17066,
     /*  898914 */     GIR_EraseRootFromParent_Done,
     /*  898915 */   // Label 13610: @898915
     /*  898915 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(898991), // Rule ID 17067 //
     /*  898920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  898923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  898928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898948 */     // MIs[0] passthru
     /*  898948 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  898953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898957 */     // MIs[0] round
     /*  898957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898967 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  898970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  898978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898989 */     GIR_RootConstrainSelectedInstOperands,
     /*  898990 */     // GIR_Coverage, 17067,
     /*  898990 */     GIR_EraseRootFromParent_Done,
     /*  898991 */   // Label 13611: @898991
     /*  898991 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(899067), // Rule ID 17112 //
     /*  898996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  898999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899024 */     // MIs[0] passthru
     /*  899024 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899033 */     // MIs[0] round
     /*  899033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899043 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  899046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899065 */     GIR_RootConstrainSelectedInstOperands,
     /*  899066 */     // GIR_Coverage, 17112,
     /*  899066 */     GIR_EraseRootFromParent_Done,
     /*  899067 */   // Label 13612: @899067
     /*  899067 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(899143), // Rule ID 17113 //
     /*  899072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  899075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  899083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  899086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899100 */     // MIs[0] passthru
     /*  899100 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899109 */     // MIs[0] round
     /*  899109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899119 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  899122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899141 */     GIR_RootConstrainSelectedInstOperands,
     /*  899142 */     // GIR_Coverage, 17113,
     /*  899142 */     GIR_EraseRootFromParent_Done,
     /*  899143 */   // Label 13613: @899143
     /*  899143 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(899219), // Rule ID 17122 //
     /*  899148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  899151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  899165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899176 */     // MIs[0] passthru
     /*  899176 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899185 */     // MIs[0] round
     /*  899185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  899198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899217 */     GIR_RootConstrainSelectedInstOperands,
     /*  899218 */     // GIR_Coverage, 17122,
     /*  899218 */     GIR_EraseRootFromParent_Done,
     /*  899219 */   // Label 13614: @899219
     /*  899219 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(899295), // Rule ID 17123 //
     /*  899224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  899227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  899235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  899238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  899241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899252 */     // MIs[0] passthru
     /*  899252 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899261 */     // MIs[0] round
     /*  899261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  899274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899293 */     GIR_RootConstrainSelectedInstOperands,
     /*  899294 */     // GIR_Coverage, 17123,
     /*  899294 */     GIR_EraseRootFromParent_Done,
     /*  899295 */   // Label 13615: @899295
     /*  899295 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(899371), // Rule ID 17132 //
     /*  899300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  899303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  899311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  899314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899328 */     // MIs[0] passthru
     /*  899328 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899337 */     // MIs[0] round
     /*  899337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899347 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  899350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899369 */     GIR_RootConstrainSelectedInstOperands,
     /*  899370 */     // GIR_Coverage, 17132,
     /*  899370 */     GIR_EraseRootFromParent_Done,
     /*  899371 */   // Label 13616: @899371
     /*  899371 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(899447), // Rule ID 17133 //
     /*  899376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  899379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  899387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  899390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  899393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899404 */     // MIs[0] passthru
     /*  899404 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899413 */     // MIs[0] round
     /*  899413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899423 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  899426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899445 */     GIR_RootConstrainSelectedInstOperands,
     /*  899446 */     // GIR_Coverage, 17133,
     /*  899446 */     GIR_EraseRootFromParent_Done,
     /*  899447 */   // Label 13617: @899447
     /*  899447 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(899523), // Rule ID 17142 //
     /*  899452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  899455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  899463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  899466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899480 */     // MIs[0] passthru
     /*  899480 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899489 */     // MIs[0] round
     /*  899489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899499 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  899502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899521 */     GIR_RootConstrainSelectedInstOperands,
     /*  899522 */     // GIR_Coverage, 17142,
     /*  899522 */     GIR_EraseRootFromParent_Done,
     /*  899523 */   // Label 13618: @899523
     /*  899523 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(899599), // Rule ID 17143 //
     /*  899528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  899531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  899539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  899542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  899545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899556 */     // MIs[0] passthru
     /*  899556 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899565 */     // MIs[0] round
     /*  899565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899575 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  899578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899597 */     GIR_RootConstrainSelectedInstOperands,
     /*  899598 */     // GIR_Coverage, 17143,
     /*  899598 */     GIR_EraseRootFromParent_Done,
     /*  899599 */   // Label 13619: @899599
     /*  899599 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(899675), // Rule ID 17152 //
     /*  899604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  899607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  899615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  899618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899632 */     // MIs[0] passthru
     /*  899632 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899641 */     // MIs[0] round
     /*  899641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899651 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  899654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899673 */     GIR_RootConstrainSelectedInstOperands,
     /*  899674 */     // GIR_Coverage, 17152,
     /*  899674 */     GIR_EraseRootFromParent_Done,
     /*  899675 */   // Label 13620: @899675
     /*  899675 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(899751), // Rule ID 17153 //
     /*  899680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  899683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  899691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  899694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  899697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899708 */     // MIs[0] passthru
     /*  899708 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899717 */     // MIs[0] round
     /*  899717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899727 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  899727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  899730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899749 */     GIR_RootConstrainSelectedInstOperands,
     /*  899750 */     // GIR_Coverage, 17153,
     /*  899750 */     GIR_EraseRootFromParent_Done,
     /*  899751 */   // Label 13621: @899751
     /*  899751 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(899827), // Rule ID 17162 //
     /*  899756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  899759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  899773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899784 */     // MIs[0] passthru
     /*  899784 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899793 */     // MIs[0] round
     /*  899793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  899806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899825 */     GIR_RootConstrainSelectedInstOperands,
     /*  899826 */     // GIR_Coverage, 17162,
     /*  899826 */     GIR_EraseRootFromParent_Done,
     /*  899827 */   // Label 13622: @899827
     /*  899827 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(899903), // Rule ID 17163 //
     /*  899832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  899835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  899843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  899846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  899849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899860 */     // MIs[0] passthru
     /*  899860 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899869 */     // MIs[0] round
     /*  899869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  899882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899901 */     GIR_RootConstrainSelectedInstOperands,
     /*  899902 */     // GIR_Coverage, 17163,
     /*  899902 */     GIR_EraseRootFromParent_Done,
     /*  899903 */   // Label 13623: @899903
     /*  899903 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(899979), // Rule ID 17172 //
     /*  899908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  899911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  899925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899936 */     // MIs[0] passthru
     /*  899936 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  899941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899945 */     // MIs[0] round
     /*  899945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  899958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  899966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899977 */     GIR_RootConstrainSelectedInstOperands,
     /*  899978 */     // GIR_Coverage, 17172,
     /*  899978 */     GIR_EraseRootFromParent_Done,
     /*  899979 */   // Label 13624: @899979
     /*  899979 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(900055), // Rule ID 17173 //
     /*  899984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  899987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  899992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  900001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900012 */     // MIs[0] passthru
     /*  900012 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  900017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900021 */     // MIs[0] round
     /*  900021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  900034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  900042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900053 */     GIR_RootConstrainSelectedInstOperands,
     /*  900054 */     // GIR_Coverage, 17173,
     /*  900054 */     GIR_EraseRootFromParent_Done,
     /*  900055 */   // Label 13625: @900055
     /*  900055 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(900131), // Rule ID 17182 //
     /*  900060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  900063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  900068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900088 */     // MIs[0] passthru
     /*  900088 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  900093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900097 */     // MIs[0] round
     /*  900097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900107 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  900110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  900118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900129 */     GIR_RootConstrainSelectedInstOperands,
     /*  900130 */     // GIR_Coverage, 17182,
     /*  900130 */     GIR_EraseRootFromParent_Done,
     /*  900131 */   // Label 13626: @900131
     /*  900131 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(900207), // Rule ID 17183 //
     /*  900136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  900139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  900144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  900147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  900150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  900153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900164 */     // MIs[0] passthru
     /*  900164 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  900169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900173 */     // MIs[0] round
     /*  900173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900183 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  900186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  900194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900205 */     GIR_RootConstrainSelectedInstOperands,
     /*  900206 */     // GIR_Coverage, 17183,
     /*  900206 */     GIR_EraseRootFromParent_Done,
     /*  900207 */   // Label 13627: @900207
     /*  900207 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(900283), // Rule ID 17192 //
     /*  900212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  900215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  900220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900240 */     // MIs[0] passthru
     /*  900240 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  900245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900249 */     // MIs[0] round
     /*  900249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900259 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  900262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  900270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900281 */     GIR_RootConstrainSelectedInstOperands,
     /*  900282 */     // GIR_Coverage, 17192,
     /*  900282 */     GIR_EraseRootFromParent_Done,
     /*  900283 */   // Label 13628: @900283
     /*  900283 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(900359), // Rule ID 17193 //
     /*  900288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  900291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  900296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  900299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  900302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  900305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900316 */     // MIs[0] passthru
     /*  900316 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  900321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900325 */     // MIs[0] round
     /*  900325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900335 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  900338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  900346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900357 */     GIR_RootConstrainSelectedInstOperands,
     /*  900358 */     // GIR_Coverage, 17193,
     /*  900358 */     GIR_EraseRootFromParent_Done,
     /*  900359 */   // Label 13629: @900359
     /*  900359 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(900436), // Rule ID 2554 //
     /*  900364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  900372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  900381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900403 */     // MIs[0] policy
     /*  900403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900413 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  900413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  900416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900434 */     GIR_RootConstrainSelectedInstOperands,
     /*  900435 */     // GIR_Coverage, 2554,
     /*  900435 */     GIR_EraseRootFromParent_Done,
     /*  900436 */   // Label 13630: @900436
     /*  900436 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(900513), // Rule ID 2555 //
     /*  900441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  900444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  900449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  900458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900480 */     // MIs[0] policy
     /*  900480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  900490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  900493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900511 */     GIR_RootConstrainSelectedInstOperands,
     /*  900512 */     // GIR_Coverage, 2555,
     /*  900512 */     GIR_EraseRootFromParent_Done,
     /*  900513 */   // Label 13631: @900513
     /*  900513 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(900590), // Rule ID 2558 //
     /*  900518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  900526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900557 */     // MIs[0] policy
     /*  900557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  900567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  900570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900588 */     GIR_RootConstrainSelectedInstOperands,
     /*  900589 */     // GIR_Coverage, 2558,
     /*  900589 */     GIR_EraseRootFromParent_Done,
     /*  900590 */   // Label 13632: @900590
     /*  900590 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(900667), // Rule ID 2559 //
     /*  900595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  900598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  900603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900634 */     // MIs[0] policy
     /*  900634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  900644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  900647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900665 */     GIR_RootConstrainSelectedInstOperands,
     /*  900666 */     // GIR_Coverage, 2559,
     /*  900666 */     GIR_EraseRootFromParent_Done,
     /*  900667 */   // Label 13633: @900667
     /*  900667 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(900744), // Rule ID 2562 //
     /*  900672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  900675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  900680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900711 */     // MIs[0] policy
     /*  900711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900721 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  900721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  900724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900742 */     GIR_RootConstrainSelectedInstOperands,
     /*  900743 */     // GIR_Coverage, 2562,
     /*  900743 */     GIR_EraseRootFromParent_Done,
     /*  900744 */   // Label 13634: @900744
     /*  900744 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(900821), // Rule ID 2563 //
     /*  900749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  900752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  900757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900788 */     // MIs[0] policy
     /*  900788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900798 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  900798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  900801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900819 */     GIR_RootConstrainSelectedInstOperands,
     /*  900820 */     // GIR_Coverage, 2563,
     /*  900820 */     GIR_EraseRootFromParent_Done,
     /*  900821 */   // Label 13635: @900821
     /*  900821 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(900898), // Rule ID 2598 //
     /*  900826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  900829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  900834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900865 */     // MIs[0] policy
     /*  900865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  900875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  900878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900896 */     GIR_RootConstrainSelectedInstOperands,
     /*  900897 */     // GIR_Coverage, 2598,
     /*  900897 */     GIR_EraseRootFromParent_Done,
     /*  900898 */   // Label 13636: @900898
     /*  900898 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(900975), // Rule ID 2599 //
     /*  900903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  900906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  900911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  900923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  900930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900942 */     // MIs[0] policy
     /*  900942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  900945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  900952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  900955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  900961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  900963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  900973 */     GIR_RootConstrainSelectedInstOperands,
     /*  900974 */     // GIR_Coverage, 2599,
     /*  900974 */     GIR_EraseRootFromParent_Done,
     /*  900975 */   // Label 13637: @900975
     /*  900975 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(901052), // Rule ID 2630 //
     /*  900980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  900988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  900991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  900994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  901000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901019 */     // MIs[0] policy
     /*  901019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901029 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  901032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  901036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901050 */     GIR_RootConstrainSelectedInstOperands,
     /*  901051 */     // GIR_Coverage, 2630,
     /*  901051 */     GIR_EraseRootFromParent_Done,
     /*  901052 */   // Label 13638: @901052
     /*  901052 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(901129), // Rule ID 2631 //
     /*  901057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  901065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  901068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  901071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  901074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  901077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901096 */     // MIs[0] policy
     /*  901096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  901109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  901113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901127 */     GIR_RootConstrainSelectedInstOperands,
     /*  901128 */     // GIR_Coverage, 2631,
     /*  901128 */     GIR_EraseRootFromParent_Done,
     /*  901129 */   // Label 13639: @901129
     /*  901129 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(901206), // Rule ID 4750 //
     /*  901134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  901154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  901161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901173 */     // MIs[0] policy
     /*  901173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  901186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901204 */     GIR_RootConstrainSelectedInstOperands,
     /*  901205 */     // GIR_Coverage, 4750,
     /*  901205 */     GIR_EraseRootFromParent_Done,
     /*  901206 */   // Label 13640: @901206
     /*  901206 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(901283), // Rule ID 4751 //
     /*  901211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  901222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  901225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  901228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  901231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  901238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901250 */     // MIs[0] policy
     /*  901250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  901263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901281 */     GIR_RootConstrainSelectedInstOperands,
     /*  901282 */     // GIR_Coverage, 4751,
     /*  901282 */     GIR_EraseRootFromParent_Done,
     /*  901283 */   // Label 13641: @901283
     /*  901283 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(901360), // Rule ID 4754 //
     /*  901288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  901308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  901315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901327 */     // MIs[0] policy
     /*  901327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  901340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901358 */     GIR_RootConstrainSelectedInstOperands,
     /*  901359 */     // GIR_Coverage, 4754,
     /*  901359 */     GIR_EraseRootFromParent_Done,
     /*  901360 */   // Label 13642: @901360
     /*  901360 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(901437), // Rule ID 4755 //
     /*  901365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  901376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  901379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  901382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  901385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  901392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901404 */     // MIs[0] policy
     /*  901404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  901417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901435 */     GIR_RootConstrainSelectedInstOperands,
     /*  901436 */     // GIR_Coverage, 4755,
     /*  901436 */     GIR_EraseRootFromParent_Done,
     /*  901437 */   // Label 13643: @901437
     /*  901437 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(901514), // Rule ID 4758 //
     /*  901442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  901462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  901469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901481 */     // MIs[0] policy
     /*  901481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  901494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901512 */     GIR_RootConstrainSelectedInstOperands,
     /*  901513 */     // GIR_Coverage, 4758,
     /*  901513 */     GIR_EraseRootFromParent_Done,
     /*  901514 */   // Label 13644: @901514
     /*  901514 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(901591), // Rule ID 4759 //
     /*  901519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  901539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  901546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901558 */     // MIs[0] policy
     /*  901558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  901571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901589 */     GIR_RootConstrainSelectedInstOperands,
     /*  901590 */     // GIR_Coverage, 4759,
     /*  901590 */     GIR_EraseRootFromParent_Done,
     /*  901591 */   // Label 13645: @901591
     /*  901591 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(901668), // Rule ID 4762 //
     /*  901596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  901616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  901623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901635 */     // MIs[0] policy
     /*  901635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901645 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  901648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901666 */     GIR_RootConstrainSelectedInstOperands,
     /*  901667 */     // GIR_Coverage, 4762,
     /*  901667 */     GIR_EraseRootFromParent_Done,
     /*  901668 */   // Label 13646: @901668
     /*  901668 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(901745), // Rule ID 4763 //
     /*  901673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  901693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  901700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901712 */     // MIs[0] policy
     /*  901712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  901725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901743 */     GIR_RootConstrainSelectedInstOperands,
     /*  901744 */     // GIR_Coverage, 4763,
     /*  901744 */     GIR_EraseRootFromParent_Done,
     /*  901745 */   // Label 13647: @901745
     /*  901745 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(901822), // Rule ID 4766 //
     /*  901750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  901770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  901777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901789 */     // MIs[0] policy
     /*  901789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  901802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901820 */     GIR_RootConstrainSelectedInstOperands,
     /*  901821 */     // GIR_Coverage, 4766,
     /*  901821 */     GIR_EraseRootFromParent_Done,
     /*  901822 */   // Label 13648: @901822
     /*  901822 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(901899), // Rule ID 4767 //
     /*  901827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  901847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  901854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901866 */     // MIs[0] policy
     /*  901866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  901876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  901879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901897 */     GIR_RootConstrainSelectedInstOperands,
     /*  901898 */     // GIR_Coverage, 4767,
     /*  901898 */     GIR_EraseRootFromParent_Done,
     /*  901899 */   // Label 13649: @901899
     /*  901899 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(901976), // Rule ID 4770 //
     /*  901904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  901924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  901931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901943 */     // MIs[0] policy
     /*  901943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  901946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  901953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  901956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  901962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  901964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  901974 */     GIR_RootConstrainSelectedInstOperands,
     /*  901975 */     // GIR_Coverage, 4770,
     /*  901975 */     GIR_EraseRootFromParent_Done,
     /*  901976 */   // Label 13650: @901976
     /*  901976 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(902053), // Rule ID 4771 //
     /*  901981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  901989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  901992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  901995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  902001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  902008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902020 */     // MIs[0] policy
     /*  902020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  902033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902051 */     GIR_RootConstrainSelectedInstOperands,
     /*  902052 */     // GIR_Coverage, 4771,
     /*  902052 */     GIR_EraseRootFromParent_Done,
     /*  902053 */   // Label 13651: @902053
     /*  902053 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(902130), // Rule ID 4774 //
     /*  902058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  902078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  902085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902097 */     // MIs[0] policy
     /*  902097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  902110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902128 */     GIR_RootConstrainSelectedInstOperands,
     /*  902129 */     // GIR_Coverage, 4774,
     /*  902129 */     GIR_EraseRootFromParent_Done,
     /*  902130 */   // Label 13652: @902130
     /*  902130 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(902207), // Rule ID 4775 //
     /*  902135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  902152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  902155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  902162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902174 */     // MIs[0] policy
     /*  902174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  902187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902205 */     GIR_RootConstrainSelectedInstOperands,
     /*  902206 */     // GIR_Coverage, 4775,
     /*  902206 */     GIR_EraseRootFromParent_Done,
     /*  902207 */   // Label 13653: @902207
     /*  902207 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(902284), // Rule ID 4778 //
     /*  902212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  902223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  902226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  902232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  902239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902251 */     // MIs[0] policy
     /*  902251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  902264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902282 */     GIR_RootConstrainSelectedInstOperands,
     /*  902283 */     // GIR_Coverage, 4778,
     /*  902283 */     GIR_EraseRootFromParent_Done,
     /*  902284 */   // Label 13654: @902284
     /*  902284 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(902361), // Rule ID 4779 //
     /*  902289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  902300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  902303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  902306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  902309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  902316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902328 */     // MIs[0] policy
     /*  902328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  902341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902359 */     GIR_RootConstrainSelectedInstOperands,
     /*  902360 */     // GIR_Coverage, 4779,
     /*  902360 */     GIR_EraseRootFromParent_Done,
     /*  902361 */   // Label 13655: @902361
     /*  902361 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(902438), // Rule ID 4782 //
     /*  902366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  902386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  902393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902405 */     // MIs[0] policy
     /*  902405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  902418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902436 */     GIR_RootConstrainSelectedInstOperands,
     /*  902437 */     // GIR_Coverage, 4782,
     /*  902437 */     GIR_EraseRootFromParent_Done,
     /*  902438 */   // Label 13656: @902438
     /*  902438 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(902515), // Rule ID 4783 //
     /*  902443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  902460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  902463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  902470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902482 */     // MIs[0] policy
     /*  902482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  902495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902513 */     GIR_RootConstrainSelectedInstOperands,
     /*  902514 */     // GIR_Coverage, 4783,
     /*  902514 */     GIR_EraseRootFromParent_Done,
     /*  902515 */   // Label 13657: @902515
     /*  902515 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(902592), // Rule ID 4786 //
     /*  902520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  902537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  902540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  902547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902559 */     // MIs[0] policy
     /*  902559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  902572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902590 */     GIR_RootConstrainSelectedInstOperands,
     /*  902591 */     // GIR_Coverage, 4786,
     /*  902591 */     GIR_EraseRootFromParent_Done,
     /*  902592 */   // Label 13658: @902592
     /*  902592 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(902669), // Rule ID 4787 //
     /*  902597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  902614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  902617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  902624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902636 */     // MIs[0] policy
     /*  902636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  902649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902667 */     GIR_RootConstrainSelectedInstOperands,
     /*  902668 */     // GIR_Coverage, 4787,
     /*  902668 */     GIR_EraseRootFromParent_Done,
     /*  902669 */   // Label 13659: @902669
     /*  902669 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(902746), // Rule ID 4790 //
     /*  902674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  902677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  902694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  902701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902713 */     // MIs[0] policy
     /*  902713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  902726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902744 */     GIR_RootConstrainSelectedInstOperands,
     /*  902745 */     // GIR_Coverage, 4790,
     /*  902745 */     GIR_EraseRootFromParent_Done,
     /*  902746 */   // Label 13660: @902746
     /*  902746 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(902823), // Rule ID 4791 //
     /*  902751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  902754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  902762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  902765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  902768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  902771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  902778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902790 */     // MIs[0] policy
     /*  902790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  902803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902821 */     GIR_RootConstrainSelectedInstOperands,
     /*  902822 */     // GIR_Coverage, 4791,
     /*  902822 */     GIR_EraseRootFromParent_Done,
     /*  902823 */   // Label 13661: @902823
     /*  902823 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(902900), // Rule ID 4794 //
     /*  902828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  902831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  902848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  902855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902867 */     // MIs[0] policy
     /*  902867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902877 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  902877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  902880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902898 */     GIR_RootConstrainSelectedInstOperands,
     /*  902899 */     // GIR_Coverage, 4794,
     /*  902899 */     GIR_EraseRootFromParent_Done,
     /*  902900 */   // Label 13662: @902900
     /*  902900 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(902977), // Rule ID 4795 //
     /*  902905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  902908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  902925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  902932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902944 */     // MIs[0] policy
     /*  902944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  902947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  902954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  902957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  902963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  902965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  902975 */     GIR_RootConstrainSelectedInstOperands,
     /*  902976 */     // GIR_Coverage, 4795,
     /*  902976 */     GIR_EraseRootFromParent_Done,
     /*  902977 */   // Label 13663: @902977
     /*  902977 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(903054), // Rule ID 4798 //
     /*  902982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  902985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  902990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  902999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  903002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  903009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903021 */     // MIs[0] policy
     /*  903021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  903034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903052 */     GIR_RootConstrainSelectedInstOperands,
     /*  903053 */     // GIR_Coverage, 4798,
     /*  903053 */     GIR_EraseRootFromParent_Done,
     /*  903054 */   // Label 13664: @903054
     /*  903054 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(903131), // Rule ID 4799 //
     /*  903059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  903062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  903070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  903073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  903079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  903086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903098 */     // MIs[0] policy
     /*  903098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  903111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903129 */     GIR_RootConstrainSelectedInstOperands,
     /*  903130 */     // GIR_Coverage, 4799,
     /*  903130 */     GIR_EraseRootFromParent_Done,
     /*  903131 */   // Label 13665: @903131
     /*  903131 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(903208), // Rule ID 4802 //
     /*  903136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  903139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  903147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  903150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  903156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  903163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903175 */     // MIs[0] policy
     /*  903175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  903188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903206 */     GIR_RootConstrainSelectedInstOperands,
     /*  903207 */     // GIR_Coverage, 4802,
     /*  903207 */     GIR_EraseRootFromParent_Done,
     /*  903208 */   // Label 13666: @903208
     /*  903208 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(903285), // Rule ID 4803 //
     /*  903213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  903216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  903224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  903227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  903233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  903240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903252 */     // MIs[0] policy
     /*  903252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  903265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  903281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903283 */     GIR_RootConstrainSelectedInstOperands,
     /*  903284 */     // GIR_Coverage, 4803,
     /*  903284 */     GIR_EraseRootFromParent_Done,
     /*  903285 */   // Label 13667: @903285
     /*  903285 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(903362), // Rule ID 4806 //
     /*  903290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  903307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  903310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  903317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903329 */     // MIs[0] policy
     /*  903329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  903342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903360 */     GIR_RootConstrainSelectedInstOperands,
     /*  903361 */     // GIR_Coverage, 4806,
     /*  903361 */     GIR_EraseRootFromParent_Done,
     /*  903362 */   // Label 13668: @903362
     /*  903362 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(903439), // Rule ID 4807 //
     /*  903367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  903384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  903387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  903394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903406 */     // MIs[0] policy
     /*  903406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  903419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903437 */     GIR_RootConstrainSelectedInstOperands,
     /*  903438 */     // GIR_Coverage, 4807,
     /*  903438 */     GIR_EraseRootFromParent_Done,
     /*  903439 */   // Label 13669: @903439
     /*  903439 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(903516), // Rule ID 4810 //
     /*  903444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  903461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  903464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  903471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903483 */     // MIs[0] policy
     /*  903483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  903496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903514 */     GIR_RootConstrainSelectedInstOperands,
     /*  903515 */     // GIR_Coverage, 4810,
     /*  903515 */     GIR_EraseRootFromParent_Done,
     /*  903516 */   // Label 13670: @903516
     /*  903516 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(903593), // Rule ID 4811 //
     /*  903521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  903538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  903541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  903548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903560 */     // MIs[0] policy
     /*  903560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  903573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903591 */     GIR_RootConstrainSelectedInstOperands,
     /*  903592 */     // GIR_Coverage, 4811,
     /*  903592 */     GIR_EraseRootFromParent_Done,
     /*  903593 */   // Label 13671: @903593
     /*  903593 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(903670), // Rule ID 4814 //
     /*  903598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  903615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  903618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  903625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903637 */     // MIs[0] policy
     /*  903637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  903650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903668 */     GIR_RootConstrainSelectedInstOperands,
     /*  903669 */     // GIR_Coverage, 4814,
     /*  903669 */     GIR_EraseRootFromParent_Done,
     /*  903670 */   // Label 13672: @903670
     /*  903670 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(903747), // Rule ID 4815 //
     /*  903675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  903692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  903695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  903702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903714 */     // MIs[0] policy
     /*  903714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  903727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903745 */     GIR_RootConstrainSelectedInstOperands,
     /*  903746 */     // GIR_Coverage, 4815,
     /*  903746 */     GIR_EraseRootFromParent_Done,
     /*  903747 */   // Label 13673: @903747
     /*  903747 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(903824), // Rule ID 4818 //
     /*  903752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  903772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  903779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903791 */     // MIs[0] policy
     /*  903791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  903804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903822 */     GIR_RootConstrainSelectedInstOperands,
     /*  903823 */     // GIR_Coverage, 4818,
     /*  903823 */     GIR_EraseRootFromParent_Done,
     /*  903824 */   // Label 13674: @903824
     /*  903824 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(903901), // Rule ID 4819 //
     /*  903829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  903849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  903856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903868 */     // MIs[0] policy
     /*  903868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  903878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  903881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903899 */     GIR_RootConstrainSelectedInstOperands,
     /*  903900 */     // GIR_Coverage, 4819,
     /*  903900 */     GIR_EraseRootFromParent_Done,
     /*  903901 */   // Label 13675: @903901
     /*  903901 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(903978), // Rule ID 4822 //
     /*  903906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  903923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  903926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  903933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903945 */     // MIs[0] policy
     /*  903945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  903948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  903955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  903958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  903966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  903976 */     GIR_RootConstrainSelectedInstOperands,
     /*  903977 */     // GIR_Coverage, 4822,
     /*  903977 */     GIR_EraseRootFromParent_Done,
     /*  903978 */   // Label 13676: @903978
     /*  903978 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(904055), // Rule ID 4823 //
     /*  903983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  903991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  904000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  904003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  904010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904022 */     // MIs[0] policy
     /*  904022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  904035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904053 */     GIR_RootConstrainSelectedInstOperands,
     /*  904054 */     // GIR_Coverage, 4823,
     /*  904054 */     GIR_EraseRootFromParent_Done,
     /*  904055 */   // Label 13677: @904055
     /*  904055 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(904132), // Rule ID 4826 //
     /*  904060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  904077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  904080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  904087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904099 */     // MIs[0] policy
     /*  904099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  904112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904130 */     GIR_RootConstrainSelectedInstOperands,
     /*  904131 */     // GIR_Coverage, 4826,
     /*  904131 */     GIR_EraseRootFromParent_Done,
     /*  904132 */   // Label 13678: @904132
     /*  904132 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(904209), // Rule ID 4827 //
     /*  904137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  904154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  904157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  904164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904176 */     // MIs[0] policy
     /*  904176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  904189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904207 */     GIR_RootConstrainSelectedInstOperands,
     /*  904208 */     // GIR_Coverage, 4827,
     /*  904208 */     GIR_EraseRootFromParent_Done,
     /*  904209 */   // Label 13679: @904209
     /*  904209 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(904286), // Rule ID 4830 //
     /*  904214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  904231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  904234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  904241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904253 */     // MIs[0] policy
     /*  904253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  904266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904284 */     GIR_RootConstrainSelectedInstOperands,
     /*  904285 */     // GIR_Coverage, 4830,
     /*  904285 */     GIR_EraseRootFromParent_Done,
     /*  904286 */   // Label 13680: @904286
     /*  904286 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(904363), // Rule ID 4831 //
     /*  904291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  904308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  904311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  904318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904330 */     // MIs[0] policy
     /*  904330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  904343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904361 */     GIR_RootConstrainSelectedInstOperands,
     /*  904362 */     // GIR_Coverage, 4831,
     /*  904362 */     GIR_EraseRootFromParent_Done,
     /*  904363 */   // Label 13681: @904363
     /*  904363 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(904440), // Rule ID 4834 //
     /*  904368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  904385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  904388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  904395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904407 */     // MIs[0] policy
     /*  904407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  904420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904438 */     GIR_RootConstrainSelectedInstOperands,
     /*  904439 */     // GIR_Coverage, 4834,
     /*  904439 */     GIR_EraseRootFromParent_Done,
     /*  904440 */   // Label 13682: @904440
     /*  904440 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(904517), // Rule ID 4835 //
     /*  904445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  904462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  904465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  904472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904484 */     // MIs[0] policy
     /*  904484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  904497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904515 */     GIR_RootConstrainSelectedInstOperands,
     /*  904516 */     // GIR_Coverage, 4835,
     /*  904516 */     GIR_EraseRootFromParent_Done,
     /*  904517 */   // Label 13683: @904517
     /*  904517 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(904594), // Rule ID 4838 //
     /*  904522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  904542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  904549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904561 */     // MIs[0] policy
     /*  904561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  904574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904592 */     GIR_RootConstrainSelectedInstOperands,
     /*  904593 */     // GIR_Coverage, 4838,
     /*  904593 */     GIR_EraseRootFromParent_Done,
     /*  904594 */   // Label 13684: @904594
     /*  904594 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(904671), // Rule ID 4839 //
     /*  904599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  904610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  904613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  904619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  904626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904638 */     // MIs[0] policy
     /*  904638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  904651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904669 */     GIR_RootConstrainSelectedInstOperands,
     /*  904670 */     // GIR_Coverage, 4839,
     /*  904670 */     GIR_EraseRootFromParent_Done,
     /*  904671 */   // Label 13685: @904671
     /*  904671 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(904748), // Rule ID 4842 //
     /*  904676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  904693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  904696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  904703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904715 */     // MIs[0] policy
     /*  904715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  904728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904746 */     GIR_RootConstrainSelectedInstOperands,
     /*  904747 */     // GIR_Coverage, 4842,
     /*  904747 */     GIR_EraseRootFromParent_Done,
     /*  904748 */   // Label 13686: @904748
     /*  904748 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(904825), // Rule ID 4843 //
     /*  904753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  904770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  904773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  904780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904792 */     // MIs[0] policy
     /*  904792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  904805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904823 */     GIR_RootConstrainSelectedInstOperands,
     /*  904824 */     // GIR_Coverage, 4843,
     /*  904824 */     GIR_EraseRootFromParent_Done,
     /*  904825 */   // Label 13687: @904825
     /*  904825 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(904902), // Rule ID 4846 //
     /*  904830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  904847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  904850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  904857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904869 */     // MIs[0] policy
     /*  904869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  904879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  904882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904900 */     GIR_RootConstrainSelectedInstOperands,
     /*  904901 */     // GIR_Coverage, 4846,
     /*  904901 */     GIR_EraseRootFromParent_Done,
     /*  904902 */   // Label 13688: @904902
     /*  904902 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(904979), // Rule ID 4847 //
     /*  904907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  904910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  904921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  904924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  904927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  904934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904946 */     // MIs[0] policy
     /*  904946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  904949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11330:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  904956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  904959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  904967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  904977 */     GIR_RootConstrainSelectedInstOperands,
     /*  904978 */     // GIR_Coverage, 4847,
     /*  904978 */     GIR_EraseRootFromParent_Done,
     /*  904979 */   // Label 13689: @904979
     /*  904979 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(905056), // Rule ID 4850 //
     /*  904984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  904987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  904992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  904995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  904998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  905004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  905011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905023 */     // MIs[0] policy
     /*  905023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  905036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905054 */     GIR_RootConstrainSelectedInstOperands,
     /*  905055 */     // GIR_Coverage, 4850,
     /*  905055 */     GIR_EraseRootFromParent_Done,
     /*  905056 */   // Label 13690: @905056
     /*  905056 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(905133), // Rule ID 4851 //
     /*  905061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  905064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  905069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  905081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  905088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905100 */     // MIs[0] policy
     /*  905100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11330:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  905113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905131 */     GIR_RootConstrainSelectedInstOperands,
     /*  905132 */     // GIR_Coverage, 4851,
     /*  905132 */     GIR_EraseRootFromParent_Done,
     /*  905133 */   // Label 13691: @905133
     /*  905133 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(905210), // Rule ID 4854 //
     /*  905138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  905141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  905146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  905158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  905165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905177 */     // MIs[0] policy
     /*  905177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  905190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905208 */     GIR_RootConstrainSelectedInstOperands,
     /*  905209 */     // GIR_Coverage, 4854,
     /*  905209 */     GIR_EraseRootFromParent_Done,
     /*  905210 */   // Label 13692: @905210
     /*  905210 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(905287), // Rule ID 4855 //
     /*  905215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  905218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  905223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  905235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  905242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905254 */     // MIs[0] policy
     /*  905254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11330:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  905267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905285 */     GIR_RootConstrainSelectedInstOperands,
     /*  905286 */     // GIR_Coverage, 4855,
     /*  905286 */     GIR_EraseRootFromParent_Done,
     /*  905287 */   // Label 13693: @905287
     /*  905287 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(905364), // Rule ID 4858 //
     /*  905292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  905312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905331 */     // MIs[0] policy
     /*  905331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  905344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905362 */     GIR_RootConstrainSelectedInstOperands,
     /*  905363 */     // GIR_Coverage, 4858,
     /*  905363 */     GIR_EraseRootFromParent_Done,
     /*  905364 */   // Label 13694: @905364
     /*  905364 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(905441), // Rule ID 4859 //
     /*  905369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  905389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905408 */     // MIs[0] policy
     /*  905408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  905421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905439 */     GIR_RootConstrainSelectedInstOperands,
     /*  905440 */     // GIR_Coverage, 4859,
     /*  905440 */     GIR_EraseRootFromParent_Done,
     /*  905441 */   // Label 13695: @905441
     /*  905441 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(905518), // Rule ID 4862 //
     /*  905446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  905460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  905466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905485 */     // MIs[0] policy
     /*  905485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905495 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  905498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905516 */     GIR_RootConstrainSelectedInstOperands,
     /*  905517 */     // GIR_Coverage, 4862,
     /*  905517 */     GIR_EraseRootFromParent_Done,
     /*  905518 */   // Label 13696: @905518
     /*  905518 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(905595), // Rule ID 4863 //
     /*  905523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  905534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  905537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  905543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905562 */     // MIs[0] policy
     /*  905562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  905575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905593 */     GIR_RootConstrainSelectedInstOperands,
     /*  905594 */     // GIR_Coverage, 4863,
     /*  905594 */     GIR_EraseRootFromParent_Done,
     /*  905595 */   // Label 13697: @905595
     /*  905595 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(905672), // Rule ID 4866 //
     /*  905600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  905611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  905614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  905620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905639 */     // MIs[0] policy
     /*  905639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  905652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905670 */     GIR_RootConstrainSelectedInstOperands,
     /*  905671 */     // GIR_Coverage, 4866,
     /*  905671 */     GIR_EraseRootFromParent_Done,
     /*  905672 */   // Label 13698: @905672
     /*  905672 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(905749), // Rule ID 4867 //
     /*  905677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  905688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  905691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  905697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905716 */     // MIs[0] policy
     /*  905716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  905729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905747 */     GIR_RootConstrainSelectedInstOperands,
     /*  905748 */     // GIR_Coverage, 4867,
     /*  905748 */     GIR_EraseRootFromParent_Done,
     /*  905749 */   // Label 13699: @905749
     /*  905749 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(905826), // Rule ID 4870 //
     /*  905754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  905765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  905768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  905774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  905781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905793 */     // MIs[0] policy
     /*  905793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  905806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905824 */     GIR_RootConstrainSelectedInstOperands,
     /*  905825 */     // GIR_Coverage, 4870,
     /*  905825 */     GIR_EraseRootFromParent_Done,
     /*  905826 */   // Label 13700: @905826
     /*  905826 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(905903), // Rule ID 4871 //
     /*  905831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  905842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  905845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  905851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  905858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905870 */     // MIs[0] policy
     /*  905870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  905883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905901 */     GIR_RootConstrainSelectedInstOperands,
     /*  905902 */     // GIR_Coverage, 4871,
     /*  905902 */     GIR_EraseRootFromParent_Done,
     /*  905903 */   // Label 13701: @905903
     /*  905903 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(905980), // Rule ID 4874 //
     /*  905908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  905919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  905922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  905925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  905928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  905935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905947 */     // MIs[0] policy
     /*  905947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  905960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  905966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  905968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905978 */     GIR_RootConstrainSelectedInstOperands,
     /*  905979 */     // GIR_Coverage, 4874,
     /*  905979 */     GIR_EraseRootFromParent_Done,
     /*  905980 */   // Label 13702: @905980
     /*  905980 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(906057), // Rule ID 4875 //
     /*  905985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  905993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  905996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  905999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  906002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  906005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  906012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906024 */     // MIs[0] policy
     /*  906024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  906037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906055 */     GIR_RootConstrainSelectedInstOperands,
     /*  906056 */     // GIR_Coverage, 4875,
     /*  906056 */     GIR_EraseRootFromParent_Done,
     /*  906057 */   // Label 13703: @906057
     /*  906057 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(906134), // Rule ID 4878 //
     /*  906062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  906073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  906076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  906079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  906082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  906089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906101 */     // MIs[0] policy
     /*  906101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  906114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906132 */     GIR_RootConstrainSelectedInstOperands,
     /*  906133 */     // GIR_Coverage, 4878,
     /*  906133 */     GIR_EraseRootFromParent_Done,
     /*  906134 */   // Label 13704: @906134
     /*  906134 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(906211), // Rule ID 4879 //
     /*  906139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  906150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  906153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  906156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  906159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  906166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906178 */     // MIs[0] policy
     /*  906178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  906191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906209 */     GIR_RootConstrainSelectedInstOperands,
     /*  906210 */     // GIR_Coverage, 4879,
     /*  906210 */     GIR_EraseRootFromParent_Done,
     /*  906211 */   // Label 13705: @906211
     /*  906211 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(906288), // Rule ID 4882 //
     /*  906216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  906236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906255 */     // MIs[0] policy
     /*  906255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  906268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906286 */     GIR_RootConstrainSelectedInstOperands,
     /*  906287 */     // GIR_Coverage, 4882,
     /*  906287 */     GIR_EraseRootFromParent_Done,
     /*  906288 */   // Label 13706: @906288
     /*  906288 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(906365), // Rule ID 4883 //
     /*  906293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  906313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906332 */     // MIs[0] policy
     /*  906332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  906345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906363 */     GIR_RootConstrainSelectedInstOperands,
     /*  906364 */     // GIR_Coverage, 4883,
     /*  906364 */     GIR_EraseRootFromParent_Done,
     /*  906365 */   // Label 13707: @906365
     /*  906365 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(906442), // Rule ID 4886 //
     /*  906370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  906390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906409 */     // MIs[0] policy
     /*  906409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  906422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906440 */     GIR_RootConstrainSelectedInstOperands,
     /*  906441 */     // GIR_Coverage, 4886,
     /*  906441 */     GIR_EraseRootFromParent_Done,
     /*  906442 */   // Label 13708: @906442
     /*  906442 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(906519), // Rule ID 4887 //
     /*  906447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  906467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906486 */     // MIs[0] policy
     /*  906486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  906499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906517 */     GIR_RootConstrainSelectedInstOperands,
     /*  906518 */     // GIR_Coverage, 4887,
     /*  906518 */     GIR_EraseRootFromParent_Done,
     /*  906519 */   // Label 13709: @906519
     /*  906519 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(906596), // Rule ID 4890 //
     /*  906524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  906538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  906544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  906551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906563 */     // MIs[0] policy
     /*  906563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  906576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906594 */     GIR_RootConstrainSelectedInstOperands,
     /*  906595 */     // GIR_Coverage, 4890,
     /*  906595 */     GIR_EraseRootFromParent_Done,
     /*  906596 */   // Label 13710: @906596
     /*  906596 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(906673), // Rule ID 4891 //
     /*  906601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  906615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  906621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  906628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906640 */     // MIs[0] policy
     /*  906640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  906653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906671 */     GIR_RootConstrainSelectedInstOperands,
     /*  906672 */     // GIR_Coverage, 4891,
     /*  906672 */     GIR_EraseRootFromParent_Done,
     /*  906673 */   // Label 13711: @906673
     /*  906673 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(906750), // Rule ID 4894 //
     /*  906678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  906692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  906695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  906698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  906705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906717 */     // MIs[0] policy
     /*  906717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  906730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906748 */     GIR_RootConstrainSelectedInstOperands,
     /*  906749 */     // GIR_Coverage, 4894,
     /*  906749 */     GIR_EraseRootFromParent_Done,
     /*  906750 */   // Label 13712: @906750
     /*  906750 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(906827), // Rule ID 4895 //
     /*  906755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  906769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  906772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  906775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  906782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906794 */     // MIs[0] policy
     /*  906794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  906807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906825 */     GIR_RootConstrainSelectedInstOperands,
     /*  906826 */     // GIR_Coverage, 4895,
     /*  906826 */     GIR_EraseRootFromParent_Done,
     /*  906827 */   // Label 13713: @906827
     /*  906827 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(906904), // Rule ID 4898 //
     /*  906832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  906849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  906852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  906859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906871 */     // MIs[0] policy
     /*  906871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  906884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906902 */     GIR_RootConstrainSelectedInstOperands,
     /*  906903 */     // GIR_Coverage, 4898,
     /*  906903 */     GIR_EraseRootFromParent_Done,
     /*  906904 */   // Label 13714: @906904
     /*  906904 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(906981), // Rule ID 4899 //
     /*  906909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  906926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  906929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  906936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906948 */     // MIs[0] policy
     /*  906948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  906961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  906967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  906969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906979 */     GIR_RootConstrainSelectedInstOperands,
     /*  906980 */     // GIR_Coverage, 4899,
     /*  906980 */     GIR_EraseRootFromParent_Done,
     /*  906981 */   // Label 13715: @906981
     /*  906981 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(907058), // Rule ID 4902 //
     /*  906986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  906989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  906994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  906997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  907006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907025 */     // MIs[0] policy
     /*  907025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  907038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907056 */     GIR_RootConstrainSelectedInstOperands,
     /*  907057 */     // GIR_Coverage, 4902,
     /*  907057 */     GIR_EraseRootFromParent_Done,
     /*  907058 */   // Label 13716: @907058
     /*  907058 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(907135), // Rule ID 4903 //
     /*  907063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  907066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  907083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907102 */     // MIs[0] policy
     /*  907102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  907115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907133 */     GIR_RootConstrainSelectedInstOperands,
     /*  907134 */     // GIR_Coverage, 4903,
     /*  907134 */     GIR_EraseRootFromParent_Done,
     /*  907135 */   // Label 13717: @907135
     /*  907135 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(907212), // Rule ID 4906 //
     /*  907140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  907143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  907151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  907154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  907160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  907167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907179 */     // MIs[0] policy
     /*  907179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  907192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907210 */     GIR_RootConstrainSelectedInstOperands,
     /*  907211 */     // GIR_Coverage, 4906,
     /*  907211 */     GIR_EraseRootFromParent_Done,
     /*  907212 */   // Label 13718: @907212
     /*  907212 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(907289), // Rule ID 4907 //
     /*  907217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  907220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  907228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  907231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  907237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  907244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907256 */     // MIs[0] policy
     /*  907256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  907269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907287 */     GIR_RootConstrainSelectedInstOperands,
     /*  907288 */     // GIR_Coverage, 4907,
     /*  907288 */     GIR_EraseRootFromParent_Done,
     /*  907289 */   // Label 13719: @907289
     /*  907289 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(907366), // Rule ID 4910 //
     /*  907294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  907297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  907305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  907308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  907314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  907321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907333 */     // MIs[0] policy
     /*  907333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  907346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907364 */     GIR_RootConstrainSelectedInstOperands,
     /*  907365 */     // GIR_Coverage, 4910,
     /*  907365 */     GIR_EraseRootFromParent_Done,
     /*  907366 */   // Label 13720: @907366
     /*  907366 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(907443), // Rule ID 4911 //
     /*  907371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  907374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  907382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  907385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  907388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  907391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  907398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907410 */     // MIs[0] policy
     /*  907410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  907423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907441 */     GIR_RootConstrainSelectedInstOperands,
     /*  907442 */     // GIR_Coverage, 4911,
     /*  907442 */     GIR_EraseRootFromParent_Done,
     /*  907443 */   // Label 13721: @907443
     /*  907443 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(907520), // Rule ID 4914 //
     /*  907448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  907451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  907459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  907462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  907465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  907468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  907475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907487 */     // MIs[0] policy
     /*  907487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  907500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907518 */     GIR_RootConstrainSelectedInstOperands,
     /*  907519 */     // GIR_Coverage, 4914,
     /*  907519 */     GIR_EraseRootFromParent_Done,
     /*  907520 */   // Label 13722: @907520
     /*  907520 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(907597), // Rule ID 4915 //
     /*  907525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  907528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  907536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  907539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  907542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  907545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  907552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907564 */     // MIs[0] policy
     /*  907564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  907577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907595 */     GIR_RootConstrainSelectedInstOperands,
     /*  907596 */     // GIR_Coverage, 4915,
     /*  907596 */     GIR_EraseRootFromParent_Done,
     /*  907597 */   // Label 13723: @907597
     /*  907597 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(907674), // Rule ID 4918 //
     /*  907602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  907616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  907619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  907622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907641 */     // MIs[0] policy
     /*  907641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  907654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907672 */     GIR_RootConstrainSelectedInstOperands,
     /*  907673 */     // GIR_Coverage, 4918,
     /*  907673 */     GIR_EraseRootFromParent_Done,
     /*  907674 */   // Label 13724: @907674
     /*  907674 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(907751), // Rule ID 4919 //
     /*  907679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  907693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  907696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  907699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907718 */     // MIs[0] policy
     /*  907718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  907731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907749 */     GIR_RootConstrainSelectedInstOperands,
     /*  907750 */     // GIR_Coverage, 4919,
     /*  907750 */     GIR_EraseRootFromParent_Done,
     /*  907751 */   // Label 13725: @907751
     /*  907751 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(907828), // Rule ID 4922 //
     /*  907756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  907770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  907773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  907776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907795 */     // MIs[0] policy
     /*  907795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  907808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907826 */     GIR_RootConstrainSelectedInstOperands,
     /*  907827 */     // GIR_Coverage, 4922,
     /*  907827 */     GIR_EraseRootFromParent_Done,
     /*  907828 */   // Label 13726: @907828
     /*  907828 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(907905), // Rule ID 4923 //
     /*  907833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  907847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  907850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  907853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907872 */     // MIs[0] policy
     /*  907872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  907885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907903 */     GIR_RootConstrainSelectedInstOperands,
     /*  907904 */     // GIR_Coverage, 4923,
     /*  907904 */     GIR_EraseRootFromParent_Done,
     /*  907905 */   // Label 13727: @907905
     /*  907905 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(907982), // Rule ID 4926 //
     /*  907910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  907924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  907927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  907930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  907937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907949 */     // MIs[0] policy
     /*  907949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  907962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  907968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  907970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907980 */     GIR_RootConstrainSelectedInstOperands,
     /*  907981 */     // GIR_Coverage, 4926,
     /*  907981 */     GIR_EraseRootFromParent_Done,
     /*  907982 */   // Label 13728: @907982
     /*  907982 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(908059), // Rule ID 4927 //
     /*  907987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  907995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  907998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  908004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  908007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908026 */     // MIs[0] policy
     /*  908026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  908039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908057 */     GIR_RootConstrainSelectedInstOperands,
     /*  908058 */     // GIR_Coverage, 4927,
     /*  908058 */     GIR_EraseRootFromParent_Done,
     /*  908059 */   // Label 13729: @908059
     /*  908059 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(908136), // Rule ID 4930 //
     /*  908064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  908081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  908084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908103 */     // MIs[0] policy
     /*  908103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  908116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908134 */     GIR_RootConstrainSelectedInstOperands,
     /*  908135 */     // GIR_Coverage, 4930,
     /*  908135 */     GIR_EraseRootFromParent_Done,
     /*  908136 */   // Label 13730: @908136
     /*  908136 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(908213), // Rule ID 4931 //
     /*  908141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  908158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  908161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908180 */     // MIs[0] policy
     /*  908180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  908193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908211 */     GIR_RootConstrainSelectedInstOperands,
     /*  908212 */     // GIR_Coverage, 4931,
     /*  908212 */     GIR_EraseRootFromParent_Done,
     /*  908213 */   // Label 13731: @908213
     /*  908213 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(908290), // Rule ID 4934 //
     /*  908218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  908235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  908238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908257 */     // MIs[0] policy
     /*  908257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  908270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908288 */     GIR_RootConstrainSelectedInstOperands,
     /*  908289 */     // GIR_Coverage, 4934,
     /*  908289 */     GIR_EraseRootFromParent_Done,
     /*  908290 */   // Label 13732: @908290
     /*  908290 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(908367), // Rule ID 4935 //
     /*  908295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  908312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  908315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908334 */     // MIs[0] policy
     /*  908334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  908347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908365 */     GIR_RootConstrainSelectedInstOperands,
     /*  908366 */     // GIR_Coverage, 4935,
     /*  908366 */     GIR_EraseRootFromParent_Done,
     /*  908367 */   // Label 13733: @908367
     /*  908367 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(908444), // Rule ID 4938 //
     /*  908372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  908375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  908383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  908386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  908389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  908392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  908399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908411 */     // MIs[0] policy
     /*  908411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  908424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908442 */     GIR_RootConstrainSelectedInstOperands,
     /*  908443 */     // GIR_Coverage, 4938,
     /*  908443 */     GIR_EraseRootFromParent_Done,
     /*  908444 */   // Label 13734: @908444
     /*  908444 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(908521), // Rule ID 4939 //
     /*  908449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  908452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  908460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  908463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  908466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  908469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  908476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908488 */     // MIs[0] policy
     /*  908488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  908501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908519 */     GIR_RootConstrainSelectedInstOperands,
     /*  908520 */     // GIR_Coverage, 4939,
     /*  908520 */     GIR_EraseRootFromParent_Done,
     /*  908521 */   // Label 13735: @908521
     /*  908521 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(908598), // Rule ID 4942 //
     /*  908526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  908529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  908543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  908546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908565 */     // MIs[0] policy
     /*  908565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  908578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908596 */     GIR_RootConstrainSelectedInstOperands,
     /*  908597 */     // GIR_Coverage, 4942,
     /*  908597 */     GIR_EraseRootFromParent_Done,
     /*  908598 */   // Label 13736: @908598
     /*  908598 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(908675), // Rule ID 4943 //
     /*  908603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  908606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  908620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  908623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908642 */     // MIs[0] policy
     /*  908642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  908655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908673 */     GIR_RootConstrainSelectedInstOperands,
     /*  908674 */     // GIR_Coverage, 4943,
     /*  908674 */     GIR_EraseRootFromParent_Done,
     /*  908675 */   // Label 13737: @908675
     /*  908675 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(908752), // Rule ID 4946 //
     /*  908680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  908683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  908700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908719 */     // MIs[0] policy
     /*  908719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908729 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  908732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908750 */     GIR_RootConstrainSelectedInstOperands,
     /*  908751 */     // GIR_Coverage, 4946,
     /*  908751 */     GIR_EraseRootFromParent_Done,
     /*  908752 */   // Label 13738: @908752
     /*  908752 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(908829), // Rule ID 4947 //
     /*  908757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  908760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  908768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  908771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  908777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908796 */     // MIs[0] policy
     /*  908796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  908809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908827 */     GIR_RootConstrainSelectedInstOperands,
     /*  908828 */     // GIR_Coverage, 4947,
     /*  908828 */     GIR_EraseRootFromParent_Done,
     /*  908829 */   // Label 13739: @908829
     /*  908829 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(908906), // Rule ID 4950 //
     /*  908834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  908837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  908854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908873 */     // MIs[0] policy
     /*  908873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  908886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908904 */     GIR_RootConstrainSelectedInstOperands,
     /*  908905 */     // GIR_Coverage, 4950,
     /*  908905 */     GIR_EraseRootFromParent_Done,
     /*  908906 */   // Label 13740: @908906
     /*  908906 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(908983), // Rule ID 4951 //
     /*  908911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  908914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  908922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  908925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  908931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908950 */     // MIs[0] policy
     /*  908950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  908963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  908969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  908971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908981 */     GIR_RootConstrainSelectedInstOperands,
     /*  908982 */     // GIR_Coverage, 4951,
     /*  908982 */     GIR_EraseRootFromParent_Done,
     /*  908983 */   // Label 13741: @908983
     /*  908983 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(909060), // Rule ID 4954 //
     /*  908988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  908991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  908996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  908999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  909002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  909005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  909008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  909015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909027 */     // MIs[0] policy
     /*  909027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  909040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909058 */     GIR_RootConstrainSelectedInstOperands,
     /*  909059 */     // GIR_Coverage, 4954,
     /*  909059 */     GIR_EraseRootFromParent_Done,
     /*  909060 */   // Label 13742: @909060
     /*  909060 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(909137), // Rule ID 4955 //
     /*  909065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  909068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  909076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  909079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  909082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  909085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  909092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909104 */     // MIs[0] policy
     /*  909104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  909117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909135 */     GIR_RootConstrainSelectedInstOperands,
     /*  909136 */     // GIR_Coverage, 4955,
     /*  909136 */     GIR_EraseRootFromParent_Done,
     /*  909137 */   // Label 13743: @909137
     /*  909137 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(909214), // Rule ID 4958 //
     /*  909142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  909145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  909156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  909159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  909162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  909169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909181 */     // MIs[0] policy
     /*  909181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  909194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909212 */     GIR_RootConstrainSelectedInstOperands,
     /*  909213 */     // GIR_Coverage, 4958,
     /*  909213 */     GIR_EraseRootFromParent_Done,
     /*  909214 */   // Label 13744: @909214
     /*  909214 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(909291), // Rule ID 4959 //
     /*  909219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  909222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  909233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  909236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  909239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  909246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909258 */     // MIs[0] policy
     /*  909258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  909271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909289 */     GIR_RootConstrainSelectedInstOperands,
     /*  909290 */     // GIR_Coverage, 4959,
     /*  909290 */     GIR_EraseRootFromParent_Done,
     /*  909291 */   // Label 13745: @909291
     /*  909291 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(909368), // Rule ID 4962 //
     /*  909296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  909299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  909313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  909316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  909323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909335 */     // MIs[0] policy
     /*  909335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909345 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  909348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909366 */     GIR_RootConstrainSelectedInstOperands,
     /*  909367 */     // GIR_Coverage, 4962,
     /*  909367 */     GIR_EraseRootFromParent_Done,
     /*  909368 */   // Label 13746: @909368
     /*  909368 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(909445), // Rule ID 4963 //
     /*  909373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  909376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  909390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  909393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  909400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909412 */     // MIs[0] policy
     /*  909412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  909425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909443 */     GIR_RootConstrainSelectedInstOperands,
     /*  909444 */     // GIR_Coverage, 4963,
     /*  909444 */     GIR_EraseRootFromParent_Done,
     /*  909445 */   // Label 13747: @909445
     /*  909445 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(909522), // Rule ID 4966 //
     /*  909450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  909453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  909467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  909470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909489 */     // MIs[0] policy
     /*  909489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  909502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909520 */     GIR_RootConstrainSelectedInstOperands,
     /*  909521 */     // GIR_Coverage, 4966,
     /*  909521 */     GIR_EraseRootFromParent_Done,
     /*  909522 */   // Label 13748: @909522
     /*  909522 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(909599), // Rule ID 4967 //
     /*  909527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  909530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  909535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  909544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  909547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909566 */     // MIs[0] policy
     /*  909566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  909579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  909585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  909587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909597 */     GIR_RootConstrainSelectedInstOperands,
     /*  909598 */     // GIR_Coverage, 4967,
     /*  909598 */     GIR_EraseRootFromParent_Done,
     /*  909599 */   // Label 13749: @909599
     /*  909599 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(909676), // Rule ID 12578 //
     /*  909604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  909615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  909618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  909621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909643 */     // MIs[0] policy
     /*  909643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  909656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909674 */     GIR_RootConstrainSelectedInstOperands,
     /*  909675 */     // GIR_Coverage, 12578,
     /*  909675 */     GIR_EraseRootFromParent_Done,
     /*  909676 */   // Label 13750: @909676
     /*  909676 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(909753), // Rule ID 12579 //
     /*  909681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  909692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  909695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  909698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  909701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909720 */     // MIs[0] policy
     /*  909720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  909733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909751 */     GIR_RootConstrainSelectedInstOperands,
     /*  909752 */     // GIR_Coverage, 12579,
     /*  909752 */     GIR_EraseRootFromParent_Done,
     /*  909753 */   // Label 13751: @909753
     /*  909753 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(909830), // Rule ID 12582 //
     /*  909758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  909769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  909772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  909775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909797 */     // MIs[0] policy
     /*  909797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  909810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909828 */     GIR_RootConstrainSelectedInstOperands,
     /*  909829 */     // GIR_Coverage, 12582,
     /*  909829 */     GIR_EraseRootFromParent_Done,
     /*  909830 */   // Label 13752: @909830
     /*  909830 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(909907), // Rule ID 12583 //
     /*  909835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  909846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  909849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  909852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  909855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909874 */     // MIs[0] policy
     /*  909874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  909887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909905 */     GIR_RootConstrainSelectedInstOperands,
     /*  909906 */     // GIR_Coverage, 12583,
     /*  909906 */     GIR_EraseRootFromParent_Done,
     /*  909907 */   // Label 13753: @909907
     /*  909907 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(909984), // Rule ID 12586 //
     /*  909912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  909923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  909926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  909929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  909932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909951 */     // MIs[0] policy
     /*  909951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  909964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909982 */     GIR_RootConstrainSelectedInstOperands,
     /*  909983 */     // GIR_Coverage, 12586,
     /*  909983 */     GIR_EraseRootFromParent_Done,
     /*  909984 */   // Label 13754: @909984
     /*  909984 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(910061), // Rule ID 12587 //
     /*  909989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  909997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  910003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910028 */     // MIs[0] policy
     /*  910028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  910041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910059 */     GIR_RootConstrainSelectedInstOperands,
     /*  910060 */     // GIR_Coverage, 12587,
     /*  910060 */     GIR_EraseRootFromParent_Done,
     /*  910061 */   // Label 13755: @910061
     /*  910061 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(910138), // Rule ID 12590 //
     /*  910066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  910080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910105 */     // MIs[0] policy
     /*  910105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  910118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910136 */     GIR_RootConstrainSelectedInstOperands,
     /*  910137 */     // GIR_Coverage, 12590,
     /*  910137 */     GIR_EraseRootFromParent_Done,
     /*  910138 */   // Label 13756: @910138
     /*  910138 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(910215), // Rule ID 12591 //
     /*  910143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  910154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  910157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  910160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910182 */     // MIs[0] policy
     /*  910182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  910195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910213 */     GIR_RootConstrainSelectedInstOperands,
     /*  910214 */     // GIR_Coverage, 12591,
     /*  910214 */     GIR_EraseRootFromParent_Done,
     /*  910215 */   // Label 13757: @910215
     /*  910215 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(910292), // Rule ID 12594 //
     /*  910220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910259 */     // MIs[0] policy
     /*  910259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  910272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910290 */     GIR_RootConstrainSelectedInstOperands,
     /*  910291 */     // GIR_Coverage, 12594,
     /*  910291 */     GIR_EraseRootFromParent_Done,
     /*  910292 */   // Label 13758: @910292
     /*  910292 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(910369), // Rule ID 12595 //
     /*  910297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910336 */     // MIs[0] policy
     /*  910336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  910349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910367 */     GIR_RootConstrainSelectedInstOperands,
     /*  910368 */     // GIR_Coverage, 12595,
     /*  910368 */     GIR_EraseRootFromParent_Done,
     /*  910369 */   // Label 13759: @910369
     /*  910369 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(910446), // Rule ID 12598 //
     /*  910374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  910385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  910388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  910391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910413 */     // MIs[0] policy
     /*  910413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910444 */     GIR_RootConstrainSelectedInstOperands,
     /*  910445 */     // GIR_Coverage, 12598,
     /*  910445 */     GIR_EraseRootFromParent_Done,
     /*  910446 */   // Label 13760: @910446
     /*  910446 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(910523), // Rule ID 12599 //
     /*  910451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  910462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  910465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  910468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  910471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910490 */     // MIs[0] policy
     /*  910490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910521 */     GIR_RootConstrainSelectedInstOperands,
     /*  910522 */     // GIR_Coverage, 12599,
     /*  910522 */     GIR_EraseRootFromParent_Done,
     /*  910523 */   // Label 13761: @910523
     /*  910523 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(910600), // Rule ID 12602 //
     /*  910528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  910539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  910542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  910545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910567 */     // MIs[0] policy
     /*  910567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910598 */     GIR_RootConstrainSelectedInstOperands,
     /*  910599 */     // GIR_Coverage, 12602,
     /*  910599 */     GIR_EraseRootFromParent_Done,
     /*  910600 */   // Label 13762: @910600
     /*  910600 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(910677), // Rule ID 12603 //
     /*  910605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  910616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  910619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  910622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910644 */     // MIs[0] policy
     /*  910644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910654 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910675 */     GIR_RootConstrainSelectedInstOperands,
     /*  910676 */     // GIR_Coverage, 12603,
     /*  910676 */     GIR_EraseRootFromParent_Done,
     /*  910677 */   // Label 13763: @910677
     /*  910677 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(910754), // Rule ID 12606 //
     /*  910682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910721 */     // MIs[0] policy
     /*  910721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910752 */     GIR_RootConstrainSelectedInstOperands,
     /*  910753 */     // GIR_Coverage, 12606,
     /*  910753 */     GIR_EraseRootFromParent_Done,
     /*  910754 */   // Label 13764: @910754
     /*  910754 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(910831), // Rule ID 12607 //
     /*  910759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910798 */     // MIs[0] policy
     /*  910798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910829 */     GIR_RootConstrainSelectedInstOperands,
     /*  910830 */     // GIR_Coverage, 12607,
     /*  910830 */     GIR_EraseRootFromParent_Done,
     /*  910831 */   // Label 13765: @910831
     /*  910831 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(910908), // Rule ID 12610 //
     /*  910836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  910839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  910850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  910856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910875 */     // MIs[0] policy
     /*  910875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910885 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910906 */     GIR_RootConstrainSelectedInstOperands,
     /*  910907 */     // GIR_Coverage, 12610,
     /*  910907 */     GIR_EraseRootFromParent_Done,
     /*  910908 */   // Label 13766: @910908
     /*  910908 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(910985), // Rule ID 12611 //
     /*  910913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  910916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  910927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  910930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  910933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910952 */     // MIs[0] policy
     /*  910952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  910965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910983 */     GIR_RootConstrainSelectedInstOperands,
     /*  910984 */     // GIR_Coverage, 12611,
     /*  910984 */     GIR_EraseRootFromParent_Done,
     /*  910985 */   // Label 13767: @910985
     /*  910985 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(911062), // Rule ID 12614 //
     /*  910990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  910998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  911004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911029 */     // MIs[0] policy
     /*  911029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911039 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  911042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911060 */     GIR_RootConstrainSelectedInstOperands,
     /*  911061 */     // GIR_Coverage, 12614,
     /*  911061 */     GIR_EraseRootFromParent_Done,
     /*  911062 */   // Label 13768: @911062
     /*  911062 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(911139), // Rule ID 12615 //
     /*  911067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  911078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  911081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  911084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  911087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911106 */     // MIs[0] policy
     /*  911106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  911119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911137 */     GIR_RootConstrainSelectedInstOperands,
     /*  911138 */     // GIR_Coverage, 12615,
     /*  911138 */     GIR_EraseRootFromParent_Done,
     /*  911139 */   // Label 13769: @911139
     /*  911139 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(911216), // Rule ID 12618 //
     /*  911144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  911158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911183 */     // MIs[0] policy
     /*  911183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911193 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  911196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911214 */     GIR_RootConstrainSelectedInstOperands,
     /*  911215 */     // GIR_Coverage, 12618,
     /*  911215 */     GIR_EraseRootFromParent_Done,
     /*  911216 */   // Label 13770: @911216
     /*  911216 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(911293), // Rule ID 12619 //
     /*  911221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  911232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  911235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  911238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  911241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911260 */     // MIs[0] policy
     /*  911260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  911273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911291 */     GIR_RootConstrainSelectedInstOperands,
     /*  911292 */     // GIR_Coverage, 12619,
     /*  911292 */     GIR_EraseRootFromParent_Done,
     /*  911293 */   // Label 13771: @911293
     /*  911293 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(911370), // Rule ID 12622 //
     /*  911298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  911309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  911312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  911315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  911318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911337 */     // MIs[0] policy
     /*  911337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  911350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911368 */     GIR_RootConstrainSelectedInstOperands,
     /*  911369 */     // GIR_Coverage, 12622,
     /*  911369 */     GIR_EraseRootFromParent_Done,
     /*  911370 */   // Label 13772: @911370
     /*  911370 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(911447), // Rule ID 12623 //
     /*  911375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  911386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  911389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  911392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  911395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911414 */     // MIs[0] policy
     /*  911414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  911427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911445 */     GIR_RootConstrainSelectedInstOperands,
     /*  911446 */     // GIR_Coverage, 12623,
     /*  911446 */     GIR_EraseRootFromParent_Done,
     /*  911447 */   // Label 13773: @911447
     /*  911447 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(911524), // Rule ID 12626 //
     /*  911452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  911463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  911466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  911469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911491 */     // MIs[0] policy
     /*  911491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  911504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911522 */     GIR_RootConstrainSelectedInstOperands,
     /*  911523 */     // GIR_Coverage, 12626,
     /*  911523 */     GIR_EraseRootFromParent_Done,
     /*  911524 */   // Label 13774: @911524
     /*  911524 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(911601), // Rule ID 12627 //
     /*  911529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  911540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  911543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  911546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911568 */     // MIs[0] policy
     /*  911568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  911581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911599 */     GIR_RootConstrainSelectedInstOperands,
     /*  911600 */     // GIR_Coverage, 12627,
     /*  911600 */     GIR_EraseRootFromParent_Done,
     /*  911601 */   // Label 13775: @911601
     /*  911601 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(911678), // Rule ID 12630 //
     /*  911606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  911617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  911620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  911623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911645 */     // MIs[0] policy
     /*  911645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  911658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911676 */     GIR_RootConstrainSelectedInstOperands,
     /*  911677 */     // GIR_Coverage, 12630,
     /*  911677 */     GIR_EraseRootFromParent_Done,
     /*  911678 */   // Label 13776: @911678
     /*  911678 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(911755), // Rule ID 12631 //
     /*  911683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  911694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  911697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  911700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911722 */     // MIs[0] policy
     /*  911722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  911735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911753 */     GIR_RootConstrainSelectedInstOperands,
     /*  911754 */     // GIR_Coverage, 12631,
     /*  911754 */     GIR_EraseRootFromParent_Done,
     /*  911755 */   // Label 13777: @911755
     /*  911755 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(911832), // Rule ID 12634 //
     /*  911760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  911771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  911774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  911777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  911780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911799 */     // MIs[0] policy
     /*  911799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  911812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911830 */     GIR_RootConstrainSelectedInstOperands,
     /*  911831 */     // GIR_Coverage, 12634,
     /*  911831 */     GIR_EraseRootFromParent_Done,
     /*  911832 */   // Label 13778: @911832
     /*  911832 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(911909), // Rule ID 12635 //
     /*  911837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  911848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  911851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  911854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  911857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911876 */     // MIs[0] policy
     /*  911876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  911889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911907 */     GIR_RootConstrainSelectedInstOperands,
     /*  911908 */     // GIR_Coverage, 12635,
     /*  911908 */     GIR_EraseRootFromParent_Done,
     /*  911909 */   // Label 13779: @911909
     /*  911909 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(911986), // Rule ID 12638 //
     /*  911914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911953 */     // MIs[0] policy
     /*  911953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  911966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911984 */     GIR_RootConstrainSelectedInstOperands,
     /*  911985 */     // GIR_Coverage, 12638,
     /*  911985 */     GIR_EraseRootFromParent_Done,
     /*  911986 */   // Label 13780: @911986
     /*  911986 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(912063), // Rule ID 12639 //
     /*  911991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  911999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  912002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  912005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  912008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912030 */     // MIs[0] policy
     /*  912030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  912043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912061 */     GIR_RootConstrainSelectedInstOperands,
     /*  912062 */     // GIR_Coverage, 12639,
     /*  912062 */     GIR_EraseRootFromParent_Done,
     /*  912063 */   // Label 13781: @912063
     /*  912063 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(912140), // Rule ID 12642 //
     /*  912068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912107 */     // MIs[0] policy
     /*  912107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  912120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912138 */     GIR_RootConstrainSelectedInstOperands,
     /*  912139 */     // GIR_Coverage, 12642,
     /*  912139 */     GIR_EraseRootFromParent_Done,
     /*  912140 */   // Label 13782: @912140
     /*  912140 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(912217), // Rule ID 12643 //
     /*  912145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  912156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  912159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  912162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912184 */     // MIs[0] policy
     /*  912184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  912197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912215 */     GIR_RootConstrainSelectedInstOperands,
     /*  912216 */     // GIR_Coverage, 12643,
     /*  912216 */     GIR_EraseRootFromParent_Done,
     /*  912217 */   // Label 13783: @912217
     /*  912217 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(912294), // Rule ID 12646 //
     /*  912222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  912242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912261 */     // MIs[0] policy
     /*  912261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  912274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912292 */     GIR_RootConstrainSelectedInstOperands,
     /*  912293 */     // GIR_Coverage, 12646,
     /*  912293 */     GIR_EraseRootFromParent_Done,
     /*  912294 */   // Label 13784: @912294
     /*  912294 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(912371), // Rule ID 12647 //
     /*  912299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  912316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  912319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912338 */     // MIs[0] policy
     /*  912338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  912351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912369 */     GIR_RootConstrainSelectedInstOperands,
     /*  912370 */     // GIR_Coverage, 12647,
     /*  912370 */     GIR_EraseRootFromParent_Done,
     /*  912371 */   // Label 13785: @912371
     /*  912371 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(912448), // Rule ID 12650 //
     /*  912376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  912379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  912390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  912393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  912396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912415 */     // MIs[0] policy
     /*  912415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912425 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  912428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912446 */     GIR_RootConstrainSelectedInstOperands,
     /*  912447 */     // GIR_Coverage, 12650,
     /*  912447 */     GIR_EraseRootFromParent_Done,
     /*  912448 */   // Label 13786: @912448
     /*  912448 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(912525), // Rule ID 12651 //
     /*  912453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  912456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  912467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  912470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  912473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912492 */     // MIs[0] policy
     /*  912492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912502 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  912505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912523 */     GIR_RootConstrainSelectedInstOperands,
     /*  912524 */     // GIR_Coverage, 12651,
     /*  912524 */     GIR_EraseRootFromParent_Done,
     /*  912525 */   // Label 13787: @912525
     /*  912525 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(912602), // Rule ID 12654 //
     /*  912530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  912533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  912544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  912547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  912550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912569 */     // MIs[0] policy
     /*  912569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912579 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  912582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912600 */     GIR_RootConstrainSelectedInstOperands,
     /*  912601 */     // GIR_Coverage, 12654,
     /*  912601 */     GIR_EraseRootFromParent_Done,
     /*  912602 */   // Label 13788: @912602
     /*  912602 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(912679), // Rule ID 12655 //
     /*  912607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  912610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  912621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  912624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  912627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912646 */     // MIs[0] policy
     /*  912646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  912659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912677 */     GIR_RootConstrainSelectedInstOperands,
     /*  912678 */     // GIR_Coverage, 12655,
     /*  912678 */     GIR_EraseRootFromParent_Done,
     /*  912679 */   // Label 13789: @912679
     /*  912679 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(912756), // Rule ID 12658 //
     /*  912684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  912687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  912698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  912701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  912704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912723 */     // MIs[0] policy
     /*  912723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  912736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912754 */     GIR_RootConstrainSelectedInstOperands,
     /*  912755 */     // GIR_Coverage, 12658,
     /*  912755 */     GIR_EraseRootFromParent_Done,
     /*  912756 */   // Label 13790: @912756
     /*  912756 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(912833), // Rule ID 12659 //
     /*  912761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  912764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  912775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  912778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  912781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912800 */     // MIs[0] policy
     /*  912800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912810 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  912813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912831 */     GIR_RootConstrainSelectedInstOperands,
     /*  912832 */     // GIR_Coverage, 12659,
     /*  912832 */     GIR_EraseRootFromParent_Done,
     /*  912833 */   // Label 13791: @912833
     /*  912833 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(912910), // Rule ID 12662 //
     /*  912838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  912855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  912858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  912873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912877 */     // MIs[0] policy
     /*  912877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /*  912890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912908 */     GIR_RootConstrainSelectedInstOperands,
     /*  912909 */     // GIR_Coverage, 12662,
     /*  912909 */     GIR_EraseRootFromParent_Done,
     /*  912910 */   // Label 13792: @912910
     /*  912910 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(912987), // Rule ID 12663 //
     /*  912915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  912923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  912932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  912935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  912950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912954 */     // MIs[0] policy
     /*  912954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /*  912967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912985 */     GIR_RootConstrainSelectedInstOperands,
     /*  912986 */     // GIR_Coverage, 12663,
     /*  912986 */     GIR_EraseRootFromParent_Done,
     /*  912987 */   // Label 13793: @912987
     /*  912987 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(913064), // Rule ID 12666 //
     /*  912992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913031 */     // MIs[0] policy
     /*  913031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913041 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  913044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913062 */     GIR_RootConstrainSelectedInstOperands,
     /*  913063 */     // GIR_Coverage, 12666,
     /*  913063 */     GIR_EraseRootFromParent_Done,
     /*  913064 */   // Label 13794: @913064
     /*  913064 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(913141), // Rule ID 12667 //
     /*  913069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  913080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  913083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  913089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913108 */     // MIs[0] policy
     /*  913108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  913121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913139 */     GIR_RootConstrainSelectedInstOperands,
     /*  913140 */     // GIR_Coverage, 12667,
     /*  913140 */     GIR_EraseRootFromParent_Done,
     /*  913141 */   // Label 13795: @913141
     /*  913141 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(913218), // Rule ID 12670 //
     /*  913146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  913166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913185 */     // MIs[0] policy
     /*  913185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913195 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913216 */     GIR_RootConstrainSelectedInstOperands,
     /*  913217 */     // GIR_Coverage, 12670,
     /*  913217 */     GIR_EraseRootFromParent_Done,
     /*  913218 */   // Label 13796: @913218
     /*  913218 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(913295), // Rule ID 12671 //
     /*  913223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  913234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  913237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  913243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913262 */     // MIs[0] policy
     /*  913262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913293 */     GIR_RootConstrainSelectedInstOperands,
     /*  913294 */     // GIR_Coverage, 12671,
     /*  913294 */     GIR_EraseRootFromParent_Done,
     /*  913295 */   // Label 13797: @913295
     /*  913295 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(913372), // Rule ID 12674 //
     /*  913300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  913320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913339 */     // MIs[0] policy
     /*  913339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  913352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913370 */     GIR_RootConstrainSelectedInstOperands,
     /*  913371 */     // GIR_Coverage, 12674,
     /*  913371 */     GIR_EraseRootFromParent_Done,
     /*  913372 */   // Label 13798: @913372
     /*  913372 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(913449), // Rule ID 12675 //
     /*  913377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  913397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913416 */     // MIs[0] policy
     /*  913416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  913429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913447 */     GIR_RootConstrainSelectedInstOperands,
     /*  913448 */     // GIR_Coverage, 12675,
     /*  913448 */     GIR_EraseRootFromParent_Done,
     /*  913449 */   // Label 13799: @913449
     /*  913449 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(913526), // Rule ID 12678 //
     /*  913454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  913474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913493 */     // MIs[0] policy
     /*  913493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913524 */     GIR_RootConstrainSelectedInstOperands,
     /*  913525 */     // GIR_Coverage, 12678,
     /*  913525 */     GIR_EraseRootFromParent_Done,
     /*  913526 */   // Label 13800: @913526
     /*  913526 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(913603), // Rule ID 12679 //
     /*  913531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  913551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913570 */     // MIs[0] policy
     /*  913570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913601 */     GIR_RootConstrainSelectedInstOperands,
     /*  913602 */     // GIR_Coverage, 12679,
     /*  913602 */     GIR_EraseRootFromParent_Done,
     /*  913603 */   // Label 13801: @913603
     /*  913603 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(913680), // Rule ID 12682 //
     /*  913608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  913628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913647 */     // MIs[0] policy
     /*  913647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913678 */     GIR_RootConstrainSelectedInstOperands,
     /*  913679 */     // GIR_Coverage, 12682,
     /*  913679 */     GIR_EraseRootFromParent_Done,
     /*  913680 */   // Label 13802: @913680
     /*  913680 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(913757), // Rule ID 12683 //
     /*  913685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  913696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  913699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  913705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913724 */     // MIs[0] policy
     /*  913724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  913737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913755 */     GIR_RootConstrainSelectedInstOperands,
     /*  913756 */     // GIR_Coverage, 12683,
     /*  913756 */     GIR_EraseRootFromParent_Done,
     /*  913757 */   // Label 13803: @913757
     /*  913757 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(913834), // Rule ID 12686 //
     /*  913762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  913773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  913776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  913782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913801 */     // MIs[0] policy
     /*  913801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  913814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913832 */     GIR_RootConstrainSelectedInstOperands,
     /*  913833 */     // GIR_Coverage, 12686,
     /*  913833 */     GIR_EraseRootFromParent_Done,
     /*  913834 */   // Label 13804: @913834
     /*  913834 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(913911), // Rule ID 12687 //
     /*  913839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  913850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  913853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  913856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  913859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913878 */     // MIs[0] policy
     /*  913878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  913891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913909 */     GIR_RootConstrainSelectedInstOperands,
     /*  913910 */     // GIR_Coverage, 12687,
     /*  913910 */     GIR_EraseRootFromParent_Done,
     /*  913911 */   // Label 13805: @913911
     /*  913911 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(913988), // Rule ID 12690 //
     /*  913916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  913930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  913933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  913936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  913951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913955 */     // MIs[0] policy
     /*  913955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913965 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  913968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913986 */     GIR_RootConstrainSelectedInstOperands,
     /*  913987 */     // GIR_Coverage, 12690,
     /*  913987 */     GIR_EraseRootFromParent_Done,
     /*  913988 */   // Label 13806: @913988
     /*  913988 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(914065), // Rule ID 12691 //
     /*  913993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  914007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  914013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914032 */     // MIs[0] policy
     /*  914032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  914045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914063 */     GIR_RootConstrainSelectedInstOperands,
     /*  914064 */     // GIR_Coverage, 12691,
     /*  914064 */     GIR_EraseRootFromParent_Done,
     /*  914065 */   // Label 13807: @914065
     /*  914065 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(914142), // Rule ID 12694 //
     /*  914070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  914090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914109 */     // MIs[0] policy
     /*  914109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  914122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914140 */     GIR_RootConstrainSelectedInstOperands,
     /*  914141 */     // GIR_Coverage, 12694,
     /*  914141 */     GIR_EraseRootFromParent_Done,
     /*  914142 */   // Label 13808: @914142
     /*  914142 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(914219), // Rule ID 12695 //
     /*  914147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  914167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914186 */     // MIs[0] policy
     /*  914186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  914199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914217 */     GIR_RootConstrainSelectedInstOperands,
     /*  914218 */     // GIR_Coverage, 12695,
     /*  914218 */     GIR_EraseRootFromParent_Done,
     /*  914219 */   // Label 13809: @914219
     /*  914219 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(914296), // Rule ID 12698 //
     /*  914224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  914244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914263 */     // MIs[0] policy
     /*  914263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  914276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914294 */     GIR_RootConstrainSelectedInstOperands,
     /*  914295 */     // GIR_Coverage, 12698,
     /*  914295 */     GIR_EraseRootFromParent_Done,
     /*  914296 */   // Label 13810: @914296
     /*  914296 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(914373), // Rule ID 12699 //
     /*  914301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  914312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  914315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  914321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914340 */     // MIs[0] policy
     /*  914340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  914353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914371 */     GIR_RootConstrainSelectedInstOperands,
     /*  914372 */     // GIR_Coverage, 12699,
     /*  914372 */     GIR_EraseRootFromParent_Done,
     /*  914373 */   // Label 13811: @914373
     /*  914373 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(914450), // Rule ID 12702 //
     /*  914378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914417 */     // MIs[0] policy
     /*  914417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  914430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914448 */     GIR_RootConstrainSelectedInstOperands,
     /*  914449 */     // GIR_Coverage, 12702,
     /*  914449 */     GIR_EraseRootFromParent_Done,
     /*  914450 */   // Label 13812: @914450
     /*  914450 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(914527), // Rule ID 12703 //
     /*  914455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  914466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  914469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914494 */     // MIs[0] policy
     /*  914494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  914507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914525 */     GIR_RootConstrainSelectedInstOperands,
     /*  914526 */     // GIR_Coverage, 12703,
     /*  914526 */     GIR_EraseRootFromParent_Done,
     /*  914527 */   // Label 13813: @914527
     /*  914527 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(914604), // Rule ID 12706 //
     /*  914532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  914543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  914546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914571 */     // MIs[0] policy
     /*  914571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914581 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  914584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914602 */     GIR_RootConstrainSelectedInstOperands,
     /*  914603 */     // GIR_Coverage, 12706,
     /*  914603 */     GIR_EraseRootFromParent_Done,
     /*  914604 */   // Label 13814: @914604
     /*  914604 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(914681), // Rule ID 12707 //
     /*  914609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  914620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  914623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914648 */     // MIs[0] policy
     /*  914648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  914661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914679 */     GIR_RootConstrainSelectedInstOperands,
     /*  914680 */     // GIR_Coverage, 12707,
     /*  914680 */     GIR_EraseRootFromParent_Done,
     /*  914681 */   // Label 13815: @914681
     /*  914681 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(914758), // Rule ID 12710 //
     /*  914686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  914697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  914700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  914706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914725 */     // MIs[0] policy
     /*  914725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914735 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  914738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914756 */     GIR_RootConstrainSelectedInstOperands,
     /*  914757 */     // GIR_Coverage, 12710,
     /*  914757 */     GIR_EraseRootFromParent_Done,
     /*  914758 */   // Label 13816: @914758
     /*  914758 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(914835), // Rule ID 12711 //
     /*  914763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  914774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  914777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  914783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914802 */     // MIs[0] policy
     /*  914802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  914815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914833 */     GIR_RootConstrainSelectedInstOperands,
     /*  914834 */     // GIR_Coverage, 12711,
     /*  914834 */     GIR_EraseRootFromParent_Done,
     /*  914835 */   // Label 13817: @914835
     /*  914835 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(914912), // Rule ID 12714 //
     /*  914840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  914857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  914860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914879 */     // MIs[0] policy
     /*  914879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  914892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914910 */     GIR_RootConstrainSelectedInstOperands,
     /*  914911 */     // GIR_Coverage, 12714,
     /*  914911 */     GIR_EraseRootFromParent_Done,
     /*  914912 */   // Label 13818: @914912
     /*  914912 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(914989), // Rule ID 12715 //
     /*  914917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  914925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  914934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  914937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  914952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914956 */     // MIs[0] policy
     /*  914956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  914969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  914977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914987 */     GIR_RootConstrainSelectedInstOperands,
     /*  914988 */     // GIR_Coverage, 12715,
     /*  914988 */     GIR_EraseRootFromParent_Done,
     /*  914989 */   // Label 13819: @914989
     /*  914989 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(915066), // Rule ID 12718 //
     /*  914994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915033 */     // MIs[0] policy
     /*  915033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  915046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915064 */     GIR_RootConstrainSelectedInstOperands,
     /*  915065 */     // GIR_Coverage, 12718,
     /*  915065 */     GIR_EraseRootFromParent_Done,
     /*  915066 */   // Label 13820: @915066
     /*  915066 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(915143), // Rule ID 12719 //
     /*  915071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  915082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  915085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915110 */     // MIs[0] policy
     /*  915110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  915123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915141 */     GIR_RootConstrainSelectedInstOperands,
     /*  915142 */     // GIR_Coverage, 12719,
     /*  915142 */     GIR_EraseRootFromParent_Done,
     /*  915143 */   // Label 13821: @915143
     /*  915143 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(915220), // Rule ID 12722 //
     /*  915148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  915168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915187 */     // MIs[0] policy
     /*  915187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915197 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  915200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915218 */     GIR_RootConstrainSelectedInstOperands,
     /*  915219 */     // GIR_Coverage, 12722,
     /*  915219 */     GIR_EraseRootFromParent_Done,
     /*  915220 */   // Label 13822: @915220
     /*  915220 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(915297), // Rule ID 12723 //
     /*  915225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  915239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  915245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915264 */     // MIs[0] policy
     /*  915264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  915277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915295 */     GIR_RootConstrainSelectedInstOperands,
     /*  915296 */     // GIR_Coverage, 12723,
     /*  915296 */     GIR_EraseRootFromParent_Done,
     /*  915297 */   // Label 13823: @915297
     /*  915297 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(915374), // Rule ID 12726 //
     /*  915302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915341 */     // MIs[0] policy
     /*  915341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  915354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915372 */     GIR_RootConstrainSelectedInstOperands,
     /*  915373 */     // GIR_Coverage, 12726,
     /*  915373 */     GIR_EraseRootFromParent_Done,
     /*  915374 */   // Label 13824: @915374
     /*  915374 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(915451), // Rule ID 12727 //
     /*  915379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  915399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915418 */     // MIs[0] policy
     /*  915418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  915431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915449 */     GIR_RootConstrainSelectedInstOperands,
     /*  915450 */     // GIR_Coverage, 12727,
     /*  915450 */     GIR_EraseRootFromParent_Done,
     /*  915451 */   // Label 13825: @915451
     /*  915451 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(915528), // Rule ID 12730 //
     /*  915456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  915476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915495 */     // MIs[0] policy
     /*  915495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  915508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915526 */     GIR_RootConstrainSelectedInstOperands,
     /*  915527 */     // GIR_Coverage, 12730,
     /*  915527 */     GIR_EraseRootFromParent_Done,
     /*  915528 */   // Label 13826: @915528
     /*  915528 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(915605), // Rule ID 12731 //
     /*  915533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  915553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915572 */     // MIs[0] policy
     /*  915572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  915585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915603 */     GIR_RootConstrainSelectedInstOperands,
     /*  915604 */     // GIR_Coverage, 12731,
     /*  915604 */     GIR_EraseRootFromParent_Done,
     /*  915605 */   // Label 13827: @915605
     /*  915605 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(915682), // Rule ID 12734 //
     /*  915610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  915624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  915630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915649 */     // MIs[0] policy
     /*  915649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  915662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915680 */     GIR_RootConstrainSelectedInstOperands,
     /*  915681 */     // GIR_Coverage, 12734,
     /*  915681 */     GIR_EraseRootFromParent_Done,
     /*  915682 */   // Label 13828: @915682
     /*  915682 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(915759), // Rule ID 12735 //
     /*  915687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  915701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  915707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915726 */     // MIs[0] policy
     /*  915726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  915739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915757 */     GIR_RootConstrainSelectedInstOperands,
     /*  915758 */     // GIR_Coverage, 12735,
     /*  915758 */     GIR_EraseRootFromParent_Done,
     /*  915759 */   // Label 13829: @915759
     /*  915759 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(915836), // Rule ID 12738 //
     /*  915764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  915784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915803 */     // MIs[0] policy
     /*  915803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  915816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915834 */     GIR_RootConstrainSelectedInstOperands,
     /*  915835 */     // GIR_Coverage, 12738,
     /*  915835 */     GIR_EraseRootFromParent_Done,
     /*  915836 */   // Label 13830: @915836
     /*  915836 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(915913), // Rule ID 12739 //
     /*  915841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  915858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  915861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915880 */     // MIs[0] policy
     /*  915880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  915893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915911 */     GIR_RootConstrainSelectedInstOperands,
     /*  915912 */     // GIR_Coverage, 12739,
     /*  915912 */     GIR_EraseRootFromParent_Done,
     /*  915913 */   // Label 13831: @915913
     /*  915913 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(915990), // Rule ID 12742 //
     /*  915918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  915926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  915932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  915935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  915938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  915953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915957 */     // MIs[0] policy
     /*  915957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915967 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  915970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  915978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915988 */     GIR_RootConstrainSelectedInstOperands,
     /*  915989 */     // GIR_Coverage, 12742,
     /*  915989 */     GIR_EraseRootFromParent_Done,
     /*  915990 */   // Label 13832: @915990
     /*  915990 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(916067), // Rule ID 12743 //
     /*  915995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  916003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  916012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  916015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  916030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916034 */     // MIs[0] policy
     /*  916034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  916047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916065 */     GIR_RootConstrainSelectedInstOperands,
     /*  916066 */     // GIR_Coverage, 12743,
     /*  916066 */     GIR_EraseRootFromParent_Done,
     /*  916067 */   // Label 13833: @916067
     /*  916067 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(916144), // Rule ID 12746 //
     /*  916072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  916075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  916080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  916089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  916092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  916107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916111 */     // MIs[0] policy
     /*  916111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  916124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916142 */     GIR_RootConstrainSelectedInstOperands,
     /*  916143 */     // GIR_Coverage, 12746,
     /*  916143 */     GIR_EraseRootFromParent_Done,
     /*  916144 */   // Label 13834: @916144
     /*  916144 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(916221), // Rule ID 12747 //
     /*  916149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  916152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  916157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  916166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  916169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  916184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916188 */     // MIs[0] policy
     /*  916188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  916201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916219 */     GIR_RootConstrainSelectedInstOperands,
     /*  916220 */     // GIR_Coverage, 12747,
     /*  916220 */     GIR_EraseRootFromParent_Done,
     /*  916221 */   // Label 13835: @916221
     /*  916221 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(916298), // Rule ID 12750 //
     /*  916226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  916246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916265 */     // MIs[0] policy
     /*  916265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*  916278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916296 */     GIR_RootConstrainSelectedInstOperands,
     /*  916297 */     // GIR_Coverage, 12750,
     /*  916297 */     GIR_EraseRootFromParent_Done,
     /*  916298 */   // Label 13836: @916298
     /*  916298 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(916375), // Rule ID 12751 //
     /*  916303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  916314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  916317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  916323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916342 */     // MIs[0] policy
     /*  916342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916352 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*  916355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916373 */     GIR_RootConstrainSelectedInstOperands,
     /*  916374 */     // GIR_Coverage, 12751,
     /*  916374 */     GIR_EraseRootFromParent_Done,
     /*  916375 */   // Label 13837: @916375
     /*  916375 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(916452), // Rule ID 12754 //
     /*  916380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  916391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  916394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  916397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  916400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916419 */     // MIs[0] policy
     /*  916419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916429 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  916432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916450 */     GIR_RootConstrainSelectedInstOperands,
     /*  916451 */     // GIR_Coverage, 12754,
     /*  916451 */     GIR_EraseRootFromParent_Done,
     /*  916452 */   // Label 13838: @916452
     /*  916452 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(916529), // Rule ID 12755 //
     /*  916457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  916468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  916471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  916474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  916477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916496 */     // MIs[0] policy
     /*  916496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  916509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916527 */     GIR_RootConstrainSelectedInstOperands,
     /*  916528 */     // GIR_Coverage, 12755,
     /*  916528 */     GIR_EraseRootFromParent_Done,
     /*  916529 */   // Label 13839: @916529
     /*  916529 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(916606), // Rule ID 12758 //
     /*  916534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  916545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  916548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  916551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  916554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916573 */     // MIs[0] policy
     /*  916573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  916586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916604 */     GIR_RootConstrainSelectedInstOperands,
     /*  916605 */     // GIR_Coverage, 12758,
     /*  916605 */     GIR_EraseRootFromParent_Done,
     /*  916606 */   // Label 13840: @916606
     /*  916606 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(916683), // Rule ID 12759 //
     /*  916611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  916622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  916625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  916628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  916631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916650 */     // MIs[0] policy
     /*  916650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  916663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916681 */     GIR_RootConstrainSelectedInstOperands,
     /*  916682 */     // GIR_Coverage, 12759,
     /*  916682 */     GIR_EraseRootFromParent_Done,
     /*  916683 */   // Label 13841: @916683
     /*  916683 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(916760), // Rule ID 12762 //
     /*  916688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  916699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  916702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  916705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  916708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916727 */     // MIs[0] policy
     /*  916727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  916740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916758 */     GIR_RootConstrainSelectedInstOperands,
     /*  916759 */     // GIR_Coverage, 12762,
     /*  916759 */     GIR_EraseRootFromParent_Done,
     /*  916760 */   // Label 13842: @916760
     /*  916760 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(916837), // Rule ID 12763 //
     /*  916765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  916776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  916779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  916782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  916785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916804 */     // MIs[0] policy
     /*  916804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  916817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916835 */     GIR_RootConstrainSelectedInstOperands,
     /*  916836 */     // GIR_Coverage, 12763,
     /*  916836 */     GIR_EraseRootFromParent_Done,
     /*  916837 */   // Label 13843: @916837
     /*  916837 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(916914), // Rule ID 12766 //
     /*  916842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  916853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  916856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  916859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  916862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916881 */     // MIs[0] policy
     /*  916881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  916894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916912 */     GIR_RootConstrainSelectedInstOperands,
     /*  916913 */     // GIR_Coverage, 12766,
     /*  916913 */     GIR_EraseRootFromParent_Done,
     /*  916914 */   // Label 13844: @916914
     /*  916914 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(916991), // Rule ID 12767 //
     /*  916919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  916927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  916930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  916933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  916936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  916939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916958 */     // MIs[0] policy
     /*  916958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  916971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916989 */     GIR_RootConstrainSelectedInstOperands,
     /*  916990 */     // GIR_Coverage, 12767,
     /*  916990 */     GIR_EraseRootFromParent_Done,
     /*  916991 */   // Label 13845: @916991
     /*  916991 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(917068), // Rule ID 12770 //
     /*  916996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  917016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917035 */     // MIs[0] policy
     /*  917035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  917048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917066 */     GIR_RootConstrainSelectedInstOperands,
     /*  917067 */     // GIR_Coverage, 12770,
     /*  917067 */     GIR_EraseRootFromParent_Done,
     /*  917068 */   // Label 13846: @917068
     /*  917068 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(917145), // Rule ID 12771 //
     /*  917073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  917093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917112 */     // MIs[0] policy
     /*  917112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  917125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917143 */     GIR_RootConstrainSelectedInstOperands,
     /*  917144 */     // GIR_Coverage, 12771,
     /*  917144 */     GIR_EraseRootFromParent_Done,
     /*  917145 */   // Label 13847: @917145
     /*  917145 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(917222), // Rule ID 12774 //
     /*  917150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  917170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917189 */     // MIs[0] policy
     /*  917189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917220 */     GIR_RootConstrainSelectedInstOperands,
     /*  917221 */     // GIR_Coverage, 12774,
     /*  917221 */     GIR_EraseRootFromParent_Done,
     /*  917222 */   // Label 13848: @917222
     /*  917222 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(917299), // Rule ID 12775 //
     /*  917227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  917238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  917241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  917244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  917247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917266 */     // MIs[0] policy
     /*  917266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917297 */     GIR_RootConstrainSelectedInstOperands,
     /*  917298 */     // GIR_Coverage, 12775,
     /*  917298 */     GIR_EraseRootFromParent_Done,
     /*  917299 */   // Label 13849: @917299
     /*  917299 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(917376), // Rule ID 12778 //
     /*  917304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  917315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  917318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  917321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  917324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917343 */     // MIs[0] policy
     /*  917343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917374 */     GIR_RootConstrainSelectedInstOperands,
     /*  917375 */     // GIR_Coverage, 12778,
     /*  917375 */     GIR_EraseRootFromParent_Done,
     /*  917376 */   // Label 13850: @917376
     /*  917376 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(917453), // Rule ID 12779 //
     /*  917381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  917392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  917395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  917398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  917401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917420 */     // MIs[0] policy
     /*  917420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917451 */     GIR_RootConstrainSelectedInstOperands,
     /*  917452 */     // GIR_Coverage, 12779,
     /*  917452 */     GIR_EraseRootFromParent_Done,
     /*  917453 */   // Label 13851: @917453
     /*  917453 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(917530), // Rule ID 12782 //
     /*  917458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  917478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917497 */     // MIs[0] policy
     /*  917497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917528 */     GIR_RootConstrainSelectedInstOperands,
     /*  917529 */     // GIR_Coverage, 12782,
     /*  917529 */     GIR_EraseRootFromParent_Done,
     /*  917530 */   // Label 13852: @917530
     /*  917530 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(917607), // Rule ID 12783 //
     /*  917535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  917555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917574 */     // MIs[0] policy
     /*  917574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917605 */     GIR_RootConstrainSelectedInstOperands,
     /*  917606 */     // GIR_Coverage, 12783,
     /*  917606 */     GIR_EraseRootFromParent_Done,
     /*  917607 */   // Label 13853: @917607
     /*  917607 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(917684), // Rule ID 12786 //
     /*  917612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  917629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  917632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917651 */     // MIs[0] policy
     /*  917651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917682 */     GIR_RootConstrainSelectedInstOperands,
     /*  917683 */     // GIR_Coverage, 12786,
     /*  917683 */     GIR_EraseRootFromParent_Done,
     /*  917684 */   // Label 13854: @917684
     /*  917684 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(917761), // Rule ID 12787 //
     /*  917689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  917706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  917709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917728 */     // MIs[0] policy
     /*  917728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  917741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917759 */     GIR_RootConstrainSelectedInstOperands,
     /*  917760 */     // GIR_Coverage, 12787,
     /*  917760 */     GIR_EraseRootFromParent_Done,
     /*  917761 */   // Label 13855: @917761
     /*  917761 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(917838), // Rule ID 12790 //
     /*  917766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  917777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  917780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  917786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917805 */     // MIs[0] policy
     /*  917805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  917818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917836 */     GIR_RootConstrainSelectedInstOperands,
     /*  917837 */     // GIR_Coverage, 12790,
     /*  917837 */     GIR_EraseRootFromParent_Done,
     /*  917838 */   // Label 13856: @917838
     /*  917838 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(917915), // Rule ID 12791 //
     /*  917843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  917854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  917857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  917863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917882 */     // MIs[0] policy
     /*  917882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  917895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917913 */     GIR_RootConstrainSelectedInstOperands,
     /*  917914 */     // GIR_Coverage, 12791,
     /*  917914 */     GIR_EraseRootFromParent_Done,
     /*  917915 */   // Label 13857: @917915
     /*  917915 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(917992), // Rule ID 12794 //
     /*  917920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  917928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  917931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  917934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  917937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  917940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917959 */     // MIs[0] policy
     /*  917959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  917972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917990 */     GIR_RootConstrainSelectedInstOperands,
     /*  917991 */     // GIR_Coverage, 12794,
     /*  917991 */     GIR_EraseRootFromParent_Done,
     /*  917992 */   // Label 13858: @917992
     /*  917992 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(918069), // Rule ID 12795 //
     /*  917997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  918008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  918011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  918014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  918017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918036 */     // MIs[0] policy
     /*  918036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  918049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918067 */     GIR_RootConstrainSelectedInstOperands,
     /*  918068 */     // GIR_Coverage, 12795,
     /*  918068 */     GIR_EraseRootFromParent_Done,
     /*  918069 */   // Label 13859: @918069
     /*  918069 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(918146), // Rule ID 12798 //
     /*  918074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  918085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  918088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  918091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  918094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918113 */     // MIs[0] policy
     /*  918113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  918126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918144 */     GIR_RootConstrainSelectedInstOperands,
     /*  918145 */     // GIR_Coverage, 12798,
     /*  918145 */     GIR_EraseRootFromParent_Done,
     /*  918146 */   // Label 13860: @918146
     /*  918146 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(918223), // Rule ID 12799 //
     /*  918151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  918162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  918165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  918168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  918171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918190 */     // MIs[0] policy
     /*  918190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918200 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  918203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918221 */     GIR_RootConstrainSelectedInstOperands,
     /*  918222 */     // GIR_Coverage, 12799,
     /*  918222 */     GIR_EraseRootFromParent_Done,
     /*  918223 */   // Label 13861: @918223
     /*  918223 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(918300), // Rule ID 12802 //
     /*  918228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  918239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  918242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  918245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  918248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918267 */     // MIs[0] policy
     /*  918267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  918280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918298 */     GIR_RootConstrainSelectedInstOperands,
     /*  918299 */     // GIR_Coverage, 12802,
     /*  918299 */     GIR_EraseRootFromParent_Done,
     /*  918300 */   // Label 13862: @918300
     /*  918300 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(918377), // Rule ID 12803 //
     /*  918305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  918316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  918319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  918322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  918325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918344 */     // MIs[0] policy
     /*  918344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  918357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918375 */     GIR_RootConstrainSelectedInstOperands,
     /*  918376 */     // GIR_Coverage, 12803,
     /*  918376 */     GIR_EraseRootFromParent_Done,
     /*  918377 */   // Label 13863: @918377
     /*  918377 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(918454), // Rule ID 12806 //
     /*  918382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  918402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918421 */     // MIs[0] policy
     /*  918421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918431 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  918434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918452 */     GIR_RootConstrainSelectedInstOperands,
     /*  918453 */     // GIR_Coverage, 12806,
     /*  918453 */     GIR_EraseRootFromParent_Done,
     /*  918454 */   // Label 13864: @918454
     /*  918454 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(918531), // Rule ID 12807 //
     /*  918459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  918479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918498 */     // MIs[0] policy
     /*  918498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  918511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918529 */     GIR_RootConstrainSelectedInstOperands,
     /*  918530 */     // GIR_Coverage, 12807,
     /*  918530 */     GIR_EraseRootFromParent_Done,
     /*  918531 */   // Label 13865: @918531
     /*  918531 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(918608), // Rule ID 12810 //
     /*  918536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  918556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918575 */     // MIs[0] policy
     /*  918575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  918588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918606 */     GIR_RootConstrainSelectedInstOperands,
     /*  918607 */     // GIR_Coverage, 12810,
     /*  918607 */     GIR_EraseRootFromParent_Done,
     /*  918608 */   // Label 13866: @918608
     /*  918608 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(918685), // Rule ID 12811 //
     /*  918613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  918633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918652 */     // MIs[0] policy
     /*  918652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  918665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918683 */     GIR_RootConstrainSelectedInstOperands,
     /*  918684 */     // GIR_Coverage, 12811,
     /*  918684 */     GIR_EraseRootFromParent_Done,
     /*  918685 */   // Label 13867: @918685
     /*  918685 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(918762), // Rule ID 12814 //
     /*  918690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  918701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  918704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  918707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  918710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918729 */     // MIs[0] policy
     /*  918729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  918742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918760 */     GIR_RootConstrainSelectedInstOperands,
     /*  918761 */     // GIR_Coverage, 12814,
     /*  918761 */     GIR_EraseRootFromParent_Done,
     /*  918762 */   // Label 13868: @918762
     /*  918762 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(918839), // Rule ID 12815 //
     /*  918767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  918778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  918781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  918784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  918787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918806 */     // MIs[0] policy
     /*  918806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  918819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918837 */     GIR_RootConstrainSelectedInstOperands,
     /*  918838 */     // GIR_Coverage, 12815,
     /*  918838 */     GIR_EraseRootFromParent_Done,
     /*  918839 */   // Label 13869: @918839
     /*  918839 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(918916), // Rule ID 12818 //
     /*  918844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  918855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  918858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  918861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  918864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918883 */     // MIs[0] policy
     /*  918883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918893 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  918896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918914 */     GIR_RootConstrainSelectedInstOperands,
     /*  918915 */     // GIR_Coverage, 12818,
     /*  918915 */     GIR_EraseRootFromParent_Done,
     /*  918916 */   // Label 13870: @918916
     /*  918916 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(918993), // Rule ID 12819 //
     /*  918921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  918929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  918932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  918935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  918938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  918941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918960 */     // MIs[0] policy
     /*  918960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  918973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918991 */     GIR_RootConstrainSelectedInstOperands,
     /*  918992 */     // GIR_Coverage, 12819,
     /*  918992 */     GIR_EraseRootFromParent_Done,
     /*  918993 */   // Label 13871: @918993
     /*  918993 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(919070), // Rule ID 12822 //
     /*  918998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  919009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  919012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  919015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  919018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919037 */     // MIs[0] policy
     /*  919037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  919050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919068 */     GIR_RootConstrainSelectedInstOperands,
     /*  919069 */     // GIR_Coverage, 12822,
     /*  919069 */     GIR_EraseRootFromParent_Done,
     /*  919070 */   // Label 13872: @919070
     /*  919070 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(919147), // Rule ID 12823 //
     /*  919075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  919086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  919089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  919092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  919095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919114 */     // MIs[0] policy
     /*  919114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  919127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919145 */     GIR_RootConstrainSelectedInstOperands,
     /*  919146 */     // GIR_Coverage, 12823,
     /*  919146 */     GIR_EraseRootFromParent_Done,
     /*  919147 */   // Label 13873: @919147
     /*  919147 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(919224), // Rule ID 12826 //
     /*  919152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  919163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  919166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  919169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  919172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919191 */     // MIs[0] policy
     /*  919191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  919204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919222 */     GIR_RootConstrainSelectedInstOperands,
     /*  919223 */     // GIR_Coverage, 12826,
     /*  919223 */     GIR_EraseRootFromParent_Done,
     /*  919224 */   // Label 13874: @919224
     /*  919224 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(919301), // Rule ID 12827 //
     /*  919229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  919240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  919243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  919246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  919249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919268 */     // MIs[0] policy
     /*  919268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  919281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919299 */     GIR_RootConstrainSelectedInstOperands,
     /*  919300 */     // GIR_Coverage, 12827,
     /*  919300 */     GIR_EraseRootFromParent_Done,
     /*  919301 */   // Label 13875: @919301
     /*  919301 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(919378), // Rule ID 12830 //
     /*  919306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  919326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919345 */     // MIs[0] policy
     /*  919345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  919358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919376 */     GIR_RootConstrainSelectedInstOperands,
     /*  919377 */     // GIR_Coverage, 12830,
     /*  919377 */     GIR_EraseRootFromParent_Done,
     /*  919378 */   // Label 13876: @919378
     /*  919378 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(919455), // Rule ID 12831 //
     /*  919383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  919403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919422 */     // MIs[0] policy
     /*  919422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  919435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919453 */     GIR_RootConstrainSelectedInstOperands,
     /*  919454 */     // GIR_Coverage, 12831,
     /*  919454 */     GIR_EraseRootFromParent_Done,
     /*  919455 */   // Label 13877: @919455
     /*  919455 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(919532), // Rule ID 12834 //
     /*  919460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  919480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919499 */     // MIs[0] policy
     /*  919499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  919512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919530 */     GIR_RootConstrainSelectedInstOperands,
     /*  919531 */     // GIR_Coverage, 12834,
     /*  919531 */     GIR_EraseRootFromParent_Done,
     /*  919532 */   // Label 13878: @919532
     /*  919532 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(919609), // Rule ID 12835 //
     /*  919537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  919557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919576 */     // MIs[0] policy
     /*  919576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  919589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919607 */     GIR_RootConstrainSelectedInstOperands,
     /*  919608 */     // GIR_Coverage, 12835,
     /*  919608 */     GIR_EraseRootFromParent_Done,
     /*  919609 */   // Label 13879: @919609
     /*  919609 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(919686), // Rule ID 12838 //
     /*  919614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  919625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  919628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  919631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  919634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  919649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919653 */     // MIs[0] policy
     /*  919653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919663 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /*  919666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919684 */     GIR_RootConstrainSelectedInstOperands,
     /*  919685 */     // GIR_Coverage, 12838,
     /*  919685 */     GIR_EraseRootFromParent_Done,
     /*  919686 */   // Label 13880: @919686
     /*  919686 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(919763), // Rule ID 12839 //
     /*  919691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  919702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  919705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  919708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  919711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  919726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919730 */     // MIs[0] policy
     /*  919730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919740 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /*  919743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919761 */     GIR_RootConstrainSelectedInstOperands,
     /*  919762 */     // GIR_Coverage, 12839,
     /*  919762 */     GIR_EraseRootFromParent_Done,
     /*  919763 */   // Label 13881: @919763
     /*  919763 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(919840), // Rule ID 12842 //
     /*  919768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  919779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  919782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  919785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  919788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  919803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919807 */     // MIs[0] policy
     /*  919807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  919820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919838 */     GIR_RootConstrainSelectedInstOperands,
     /*  919839 */     // GIR_Coverage, 12842,
     /*  919839 */     GIR_EraseRootFromParent_Done,
     /*  919840 */   // Label 13882: @919840
     /*  919840 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(919917), // Rule ID 12843 //
     /*  919845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  919856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  919859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  919862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  919865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  919880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919884 */     // MIs[0] policy
     /*  919884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919894 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  919897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919915 */     GIR_RootConstrainSelectedInstOperands,
     /*  919916 */     // GIR_Coverage, 12843,
     /*  919916 */     GIR_EraseRootFromParent_Done,
     /*  919917 */   // Label 13883: @919917
     /*  919917 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(919994), // Rule ID 12846 //
     /*  919922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  919930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  919933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  919936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  919939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  919942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  919957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919961 */     // MIs[0] policy
     /*  919961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  919974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  919982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919992 */     GIR_RootConstrainSelectedInstOperands,
     /*  919993 */     // GIR_Coverage, 12846,
     /*  919993 */     GIR_EraseRootFromParent_Done,
     /*  919994 */   // Label 13884: @919994
     /*  919994 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(920071), // Rule ID 12847 //
     /*  919999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  920010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  920013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  920019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920038 */     // MIs[0] policy
     /*  920038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  920051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920069 */     GIR_RootConstrainSelectedInstOperands,
     /*  920070 */     // GIR_Coverage, 12847,
     /*  920070 */     GIR_EraseRootFromParent_Done,
     /*  920071 */   // Label 13885: @920071
     /*  920071 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(920148), // Rule ID 12850 //
     /*  920076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  920096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920115 */     // MIs[0] policy
     /*  920115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  920128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920146 */     GIR_RootConstrainSelectedInstOperands,
     /*  920147 */     // GIR_Coverage, 12850,
     /*  920147 */     GIR_EraseRootFromParent_Done,
     /*  920148 */   // Label 13886: @920148
     /*  920148 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(920225), // Rule ID 12851 //
     /*  920153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  920173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920192 */     // MIs[0] policy
     /*  920192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  920205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920223 */     GIR_RootConstrainSelectedInstOperands,
     /*  920224 */     // GIR_Coverage, 12851,
     /*  920224 */     GIR_EraseRootFromParent_Done,
     /*  920225 */   // Label 13887: @920225
     /*  920225 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(920302), // Rule ID 12854 //
     /*  920230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  920250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920269 */     // MIs[0] policy
     /*  920269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  920282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920300 */     GIR_RootConstrainSelectedInstOperands,
     /*  920301 */     // GIR_Coverage, 12854,
     /*  920301 */     GIR_EraseRootFromParent_Done,
     /*  920302 */   // Label 13888: @920302
     /*  920302 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(920379), // Rule ID 12855 //
     /*  920307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  920327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920346 */     // MIs[0] policy
     /*  920346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  920359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920377 */     GIR_RootConstrainSelectedInstOperands,
     /*  920378 */     // GIR_Coverage, 12855,
     /*  920378 */     GIR_EraseRootFromParent_Done,
     /*  920379 */   // Label 13889: @920379
     /*  920379 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(920456), // Rule ID 12858 //
     /*  920384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  920395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  920398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  920404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920423 */     // MIs[0] policy
     /*  920423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  920436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920454 */     GIR_RootConstrainSelectedInstOperands,
     /*  920455 */     // GIR_Coverage, 12858,
     /*  920455 */     GIR_EraseRootFromParent_Done,
     /*  920456 */   // Label 13890: @920456
     /*  920456 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(920533), // Rule ID 12859 //
     /*  920461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  920472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  920475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  920481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920500 */     // MIs[0] policy
     /*  920500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  920513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920531 */     GIR_RootConstrainSelectedInstOperands,
     /*  920532 */     // GIR_Coverage, 12859,
     /*  920532 */     GIR_EraseRootFromParent_Done,
     /*  920533 */   // Label 13891: @920533
     /*  920533 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(920610), // Rule ID 12862 //
     /*  920538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  920549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  920552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  920558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920577 */     // MIs[0] policy
     /*  920577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920608 */     GIR_RootConstrainSelectedInstOperands,
     /*  920609 */     // GIR_Coverage, 12862,
     /*  920609 */     GIR_EraseRootFromParent_Done,
     /*  920610 */   // Label 13892: @920610
     /*  920610 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(920687), // Rule ID 12863 //
     /*  920615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  920626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  920629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  920635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920654 */     // MIs[0] policy
     /*  920654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920685 */     GIR_RootConstrainSelectedInstOperands,
     /*  920686 */     // GIR_Coverage, 12863,
     /*  920686 */     GIR_EraseRootFromParent_Done,
     /*  920687 */   // Label 13893: @920687
     /*  920687 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(920764), // Rule ID 12866 //
     /*  920692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  920703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  920706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  920712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920731 */     // MIs[0] policy
     /*  920731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920762 */     GIR_RootConstrainSelectedInstOperands,
     /*  920763 */     // GIR_Coverage, 12866,
     /*  920763 */     GIR_EraseRootFromParent_Done,
     /*  920764 */   // Label 13894: @920764
     /*  920764 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(920841), // Rule ID 12867 //
     /*  920769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  920780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  920783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  920789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920808 */     // MIs[0] policy
     /*  920808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920839 */     GIR_RootConstrainSelectedInstOperands,
     /*  920840 */     // GIR_Coverage, 12867,
     /*  920840 */     GIR_EraseRootFromParent_Done,
     /*  920841 */   // Label 13895: @920841
     /*  920841 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(920918), // Rule ID 12870 //
     /*  920846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  920863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  920866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920885 */     // MIs[0] policy
     /*  920885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920916 */     GIR_RootConstrainSelectedInstOperands,
     /*  920917 */     // GIR_Coverage, 12870,
     /*  920917 */     GIR_EraseRootFromParent_Done,
     /*  920918 */   // Label 13896: @920918
     /*  920918 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(920995), // Rule ID 12871 //
     /*  920923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  920931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  920940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  920943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  920958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920962 */     // MIs[0] policy
     /*  920962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  920975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  920983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920993 */     GIR_RootConstrainSelectedInstOperands,
     /*  920994 */     // GIR_Coverage, 12871,
     /*  920994 */     GIR_EraseRootFromParent_Done,
     /*  920995 */   // Label 13897: @920995
     /*  920995 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(921072), // Rule ID 12874 //
     /*  921000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  921020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921039 */     // MIs[0] policy
     /*  921039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921049 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  921052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921070 */     GIR_RootConstrainSelectedInstOperands,
     /*  921071 */     // GIR_Coverage, 12874,
     /*  921071 */     GIR_EraseRootFromParent_Done,
     /*  921072 */   // Label 13898: @921072
     /*  921072 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(921149), // Rule ID 12875 //
     /*  921077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  921097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921116 */     // MIs[0] policy
     /*  921116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  921129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921147 */     GIR_RootConstrainSelectedInstOperands,
     /*  921148 */     // GIR_Coverage, 12875,
     /*  921148 */     GIR_EraseRootFromParent_Done,
     /*  921149 */   // Label 13899: @921149
     /*  921149 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(921226), // Rule ID 12878 //
     /*  921154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  921165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  921168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  921174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921193 */     // MIs[0] policy
     /*  921193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  921206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921224 */     GIR_RootConstrainSelectedInstOperands,
     /*  921225 */     // GIR_Coverage, 12878,
     /*  921225 */     GIR_EraseRootFromParent_Done,
     /*  921226 */   // Label 13900: @921226
     /*  921226 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(921303), // Rule ID 12879 //
     /*  921231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  921242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  921245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  921251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921270 */     // MIs[0] policy
     /*  921270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921280 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  921283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921301 */     GIR_RootConstrainSelectedInstOperands,
     /*  921302 */     // GIR_Coverage, 12879,
     /*  921302 */     GIR_EraseRootFromParent_Done,
     /*  921303 */   // Label 13901: @921303
     /*  921303 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(921380), // Rule ID 12882 //
     /*  921308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  921319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  921322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  921328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921347 */     // MIs[0] policy
     /*  921347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921357 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  921360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921378 */     GIR_RootConstrainSelectedInstOperands,
     /*  921379 */     // GIR_Coverage, 12882,
     /*  921379 */     GIR_EraseRootFromParent_Done,
     /*  921380 */   // Label 13902: @921380
     /*  921380 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(921457), // Rule ID 12883 //
     /*  921385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  921396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  921399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  921405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921424 */     // MIs[0] policy
     /*  921424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  921437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921455 */     GIR_RootConstrainSelectedInstOperands,
     /*  921456 */     // GIR_Coverage, 12883,
     /*  921456 */     GIR_EraseRootFromParent_Done,
     /*  921457 */   // Label 13903: @921457
     /*  921457 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(921534), // Rule ID 12886 //
     /*  921462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  921473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  921476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  921482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921501 */     // MIs[0] policy
     /*  921501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  921514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921532 */     GIR_RootConstrainSelectedInstOperands,
     /*  921533 */     // GIR_Coverage, 12886,
     /*  921533 */     GIR_EraseRootFromParent_Done,
     /*  921534 */   // Label 13904: @921534
     /*  921534 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(921611), // Rule ID 12887 //
     /*  921539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  921550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  921553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  921559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921578 */     // MIs[0] policy
     /*  921578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  921591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921609 */     GIR_RootConstrainSelectedInstOperands,
     /*  921610 */     // GIR_Coverage, 12887,
     /*  921610 */     GIR_EraseRootFromParent_Done,
     /*  921611 */   // Label 13905: @921611
     /*  921611 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(921688), // Rule ID 12890 //
     /*  921616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  921636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921655 */     // MIs[0] policy
     /*  921655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  921668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921686 */     GIR_RootConstrainSelectedInstOperands,
     /*  921687 */     // GIR_Coverage, 12890,
     /*  921687 */     GIR_EraseRootFromParent_Done,
     /*  921688 */   // Label 13906: @921688
     /*  921688 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(921765), // Rule ID 12891 //
     /*  921693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  921704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  921707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  921713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921732 */     // MIs[0] policy
     /*  921732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  921745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921763 */     GIR_RootConstrainSelectedInstOperands,
     /*  921764 */     // GIR_Coverage, 12891,
     /*  921764 */     GIR_EraseRootFromParent_Done,
     /*  921765 */   // Label 13907: @921765
     /*  921765 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(921842), // Rule ID 12894 //
     /*  921770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  921781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  921784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  921790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921809 */     // MIs[0] policy
     /*  921809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  921822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921840 */     GIR_RootConstrainSelectedInstOperands,
     /*  921841 */     // GIR_Coverage, 12894,
     /*  921841 */     GIR_EraseRootFromParent_Done,
     /*  921842 */   // Label 13908: @921842
     /*  921842 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(921919), // Rule ID 12895 //
     /*  921847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  921858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  921861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  921864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  921867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921886 */     // MIs[0] policy
     /*  921886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  921899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921917 */     GIR_RootConstrainSelectedInstOperands,
     /*  921918 */     // GIR_Coverage, 12895,
     /*  921918 */     GIR_EraseRootFromParent_Done,
     /*  921919 */   // Label 13909: @921919
     /*  921919 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(921996), // Rule ID 12898 //
     /*  921924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  921932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  921935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  921938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  921941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  921944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  921959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921963 */     // MIs[0] policy
     /*  921963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  921976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  921984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921994 */     GIR_RootConstrainSelectedInstOperands,
     /*  921995 */     // GIR_Coverage, 12898,
     /*  921995 */     GIR_EraseRootFromParent_Done,
     /*  921996 */   // Label 13910: @921996
     /*  921996 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(922073), // Rule ID 12899 //
     /*  922001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  922021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922040 */     // MIs[0] policy
     /*  922040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922050 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  922053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922071 */     GIR_RootConstrainSelectedInstOperands,
     /*  922072 */     // GIR_Coverage, 12899,
     /*  922072 */     GIR_EraseRootFromParent_Done,
     /*  922073 */   // Label 13911: @922073
     /*  922073 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(922150), // Rule ID 12902 //
     /*  922078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  922098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922117 */     // MIs[0] policy
     /*  922117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  922130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922148 */     GIR_RootConstrainSelectedInstOperands,
     /*  922149 */     // GIR_Coverage, 12902,
     /*  922149 */     GIR_EraseRootFromParent_Done,
     /*  922150 */   // Label 13912: @922150
     /*  922150 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(922227), // Rule ID 12903 //
     /*  922155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  922175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922194 */     // MIs[0] policy
     /*  922194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  922207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922225 */     GIR_RootConstrainSelectedInstOperands,
     /*  922226 */     // GIR_Coverage, 12903,
     /*  922226 */     GIR_EraseRootFromParent_Done,
     /*  922227 */   // Label 13913: @922227
     /*  922227 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(922304), // Rule ID 12906 //
     /*  922232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  922252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922271 */     // MIs[0] policy
     /*  922271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  922284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922302 */     GIR_RootConstrainSelectedInstOperands,
     /*  922303 */     // GIR_Coverage, 12906,
     /*  922303 */     GIR_EraseRootFromParent_Done,
     /*  922304 */   // Label 13914: @922304
     /*  922304 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(922381), // Rule ID 12907 //
     /*  922309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  922329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922348 */     // MIs[0] policy
     /*  922348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  922361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922379 */     GIR_RootConstrainSelectedInstOperands,
     /*  922380 */     // GIR_Coverage, 12907,
     /*  922380 */     GIR_EraseRootFromParent_Done,
     /*  922381 */   // Label 13915: @922381
     /*  922381 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(922458), // Rule ID 12910 //
     /*  922386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  922406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922425 */     // MIs[0] policy
     /*  922425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  922438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922456 */     GIR_RootConstrainSelectedInstOperands,
     /*  922457 */     // GIR_Coverage, 12910,
     /*  922457 */     GIR_EraseRootFromParent_Done,
     /*  922458 */   // Label 13916: @922458
     /*  922458 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(922535), // Rule ID 12911 //
     /*  922463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  922483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922502 */     // MIs[0] policy
     /*  922502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  922515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922533 */     GIR_RootConstrainSelectedInstOperands,
     /*  922534 */     // GIR_Coverage, 12911,
     /*  922534 */     GIR_EraseRootFromParent_Done,
     /*  922535 */   // Label 13917: @922535
     /*  922535 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(922612), // Rule ID 12914 //
     /*  922540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  922543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  922560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922579 */     // MIs[0] policy
     /*  922579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  922592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922610 */     GIR_RootConstrainSelectedInstOperands,
     /*  922611 */     // GIR_Coverage, 12914,
     /*  922611 */     GIR_EraseRootFromParent_Done,
     /*  922612 */   // Label 13918: @922612
     /*  922612 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(922689), // Rule ID 12915 //
     /*  922617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  922620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  922637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922656 */     // MIs[0] policy
     /*  922656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  922669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922687 */     GIR_RootConstrainSelectedInstOperands,
     /*  922688 */     // GIR_Coverage, 12915,
     /*  922688 */     GIR_EraseRootFromParent_Done,
     /*  922689 */   // Label 13919: @922689
     /*  922689 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(922766), // Rule ID 12918 //
     /*  922694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  922697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  922705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  922708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  922714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922733 */     // MIs[0] policy
     /*  922733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922743 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  922746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922764 */     GIR_RootConstrainSelectedInstOperands,
     /*  922765 */     // GIR_Coverage, 12918,
     /*  922765 */     GIR_EraseRootFromParent_Done,
     /*  922766 */   // Label 13920: @922766
     /*  922766 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(922843), // Rule ID 12919 //
     /*  922771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  922774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  922782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  922785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  922791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922810 */     // MIs[0] policy
     /*  922810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  922823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922841 */     GIR_RootConstrainSelectedInstOperands,
     /*  922842 */     // GIR_Coverage, 12919,
     /*  922842 */     GIR_EraseRootFromParent_Done,
     /*  922843 */   // Label 13921: @922843
     /*  922843 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(922920), // Rule ID 12922 //
     /*  922848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  922851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  922859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  922862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  922865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  922868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922887 */     // MIs[0] policy
     /*  922887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  922900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922918 */     GIR_RootConstrainSelectedInstOperands,
     /*  922919 */     // GIR_Coverage, 12922,
     /*  922919 */     GIR_EraseRootFromParent_Done,
     /*  922920 */   // Label 13922: @922920
     /*  922920 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(922997), // Rule ID 12923 //
     /*  922925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  922928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  922933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  922936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  922939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  922942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  922945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  922960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922964 */     // MIs[0] policy
     /*  922964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  922977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  922985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922995 */     GIR_RootConstrainSelectedInstOperands,
     /*  922996 */     // GIR_Coverage, 12923,
     /*  922996 */     GIR_EraseRootFromParent_Done,
     /*  922997 */   // Label 13923: @922997
     /*  922997 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(923074), // Rule ID 12926 //
     /*  923002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  923013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  923016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  923019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  923022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923041 */     // MIs[0] policy
     /*  923041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /*  923054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923072 */     GIR_RootConstrainSelectedInstOperands,
     /*  923073 */     // GIR_Coverage, 12926,
     /*  923073 */     GIR_EraseRootFromParent_Done,
     /*  923074 */   // Label 13924: @923074
     /*  923074 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(923151), // Rule ID 12927 //
     /*  923079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  923090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  923093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  923096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  923099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923118 */     // MIs[0] policy
     /*  923118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923128 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /*  923131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923149 */     GIR_RootConstrainSelectedInstOperands,
     /*  923150 */     // GIR_Coverage, 12927,
     /*  923150 */     GIR_EraseRootFromParent_Done,
     /*  923151 */   // Label 13925: @923151
     /*  923151 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(923228), // Rule ID 12930 //
     /*  923156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  923167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  923170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  923173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  923176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923195 */     // MIs[0] policy
     /*  923195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923205 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  923208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923226 */     GIR_RootConstrainSelectedInstOperands,
     /*  923227 */     // GIR_Coverage, 12930,
     /*  923227 */     GIR_EraseRootFromParent_Done,
     /*  923228 */   // Label 13926: @923228
     /*  923228 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(923305), // Rule ID 12931 //
     /*  923233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  923244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  923247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  923250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  923253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923272 */     // MIs[0] policy
     /*  923272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923282 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  923285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923303 */     GIR_RootConstrainSelectedInstOperands,
     /*  923304 */     // GIR_Coverage, 12931,
     /*  923304 */     GIR_EraseRootFromParent_Done,
     /*  923305 */   // Label 13927: @923305
     /*  923305 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(923382), // Rule ID 12934 //
     /*  923310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  923321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  923324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  923327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  923330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923349 */     // MIs[0] policy
     /*  923349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923380 */     GIR_RootConstrainSelectedInstOperands,
     /*  923381 */     // GIR_Coverage, 12934,
     /*  923381 */     GIR_EraseRootFromParent_Done,
     /*  923382 */   // Label 13928: @923382
     /*  923382 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(923459), // Rule ID 12935 //
     /*  923387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  923398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  923401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  923404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  923407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923426 */     // MIs[0] policy
     /*  923426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923457 */     GIR_RootConstrainSelectedInstOperands,
     /*  923458 */     // GIR_Coverage, 12935,
     /*  923458 */     GIR_EraseRootFromParent_Done,
     /*  923459 */   // Label 13929: @923459
     /*  923459 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(923536), // Rule ID 12938 //
     /*  923464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  923484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923503 */     // MIs[0] policy
     /*  923503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  923516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923534 */     GIR_RootConstrainSelectedInstOperands,
     /*  923535 */     // GIR_Coverage, 12938,
     /*  923535 */     GIR_EraseRootFromParent_Done,
     /*  923536 */   // Label 13930: @923536
     /*  923536 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(923613), // Rule ID 12939 //
     /*  923541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  923552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  923555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  923558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  923561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923580 */     // MIs[0] policy
     /*  923580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923590 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  923593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923611 */     GIR_RootConstrainSelectedInstOperands,
     /*  923612 */     // GIR_Coverage, 12939,
     /*  923612 */     GIR_EraseRootFromParent_Done,
     /*  923613 */   // Label 13931: @923613
     /*  923613 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(923690), // Rule ID 12942 //
     /*  923618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  923638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923657 */     // MIs[0] policy
     /*  923657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923688 */     GIR_RootConstrainSelectedInstOperands,
     /*  923689 */     // GIR_Coverage, 12942,
     /*  923689 */     GIR_EraseRootFromParent_Done,
     /*  923690 */   // Label 13932: @923690
     /*  923690 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(923767), // Rule ID 12943 //
     /*  923695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  923706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  923709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  923712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  923715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923734 */     // MIs[0] policy
     /*  923734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923765 */     GIR_RootConstrainSelectedInstOperands,
     /*  923766 */     // GIR_Coverage, 12943,
     /*  923766 */     GIR_EraseRootFromParent_Done,
     /*  923767 */   // Label 13933: @923767
     /*  923767 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(923844), // Rule ID 12946 //
     /*  923772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  923792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923811 */     // MIs[0] policy
     /*  923811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923842 */     GIR_RootConstrainSelectedInstOperands,
     /*  923843 */     // GIR_Coverage, 12946,
     /*  923843 */     GIR_EraseRootFromParent_Done,
     /*  923844 */   // Label 13934: @923844
     /*  923844 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(923921), // Rule ID 12947 //
     /*  923849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  923869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923888 */     // MIs[0] policy
     /*  923888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  923901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923919 */     GIR_RootConstrainSelectedInstOperands,
     /*  923920 */     // GIR_Coverage, 12947,
     /*  923920 */     GIR_EraseRootFromParent_Done,
     /*  923921 */   // Label 13935: @923921
     /*  923921 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(923998), // Rule ID 12950 //
     /*  923926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  923934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  923937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  923940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  923943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  923946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923965 */     // MIs[0] policy
     /*  923965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923975 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  923978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  923986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923996 */     GIR_RootConstrainSelectedInstOperands,
     /*  923997 */     // GIR_Coverage, 12950,
     /*  923997 */     GIR_EraseRootFromParent_Done,
     /*  923998 */   // Label 13936: @923998
     /*  923998 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(924075), // Rule ID 12951 //
     /*  924003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  924014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  924017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  924020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  924023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924042 */     // MIs[0] policy
     /*  924042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924073 */     GIR_RootConstrainSelectedInstOperands,
     /*  924074 */     // GIR_Coverage, 12951,
     /*  924074 */     GIR_EraseRootFromParent_Done,
     /*  924075 */   // Label 13937: @924075
     /*  924075 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(924152), // Rule ID 12954 //
     /*  924080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  924100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924119 */     // MIs[0] policy
     /*  924119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924150 */     GIR_RootConstrainSelectedInstOperands,
     /*  924151 */     // GIR_Coverage, 12954,
     /*  924151 */     GIR_EraseRootFromParent_Done,
     /*  924152 */   // Label 13938: @924152
     /*  924152 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(924229), // Rule ID 12955 //
     /*  924157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  924168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  924171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  924174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  924177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924196 */     // MIs[0] policy
     /*  924196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924227 */     GIR_RootConstrainSelectedInstOperands,
     /*  924228 */     // GIR_Coverage, 12955,
     /*  924228 */     GIR_EraseRootFromParent_Done,
     /*  924229 */   // Label 13939: @924229
     /*  924229 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(924306), // Rule ID 12958 //
     /*  924234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  924254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924273 */     // MIs[0] policy
     /*  924273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924304 */     GIR_RootConstrainSelectedInstOperands,
     /*  924305 */     // GIR_Coverage, 12958,
     /*  924305 */     GIR_EraseRootFromParent_Done,
     /*  924306 */   // Label 13940: @924306
     /*  924306 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(924383), // Rule ID 12959 //
     /*  924311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  924322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  924325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  924328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  924331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924350 */     // MIs[0] policy
     /*  924350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924381 */     GIR_RootConstrainSelectedInstOperands,
     /*  924382 */     // GIR_Coverage, 12959,
     /*  924382 */     GIR_EraseRootFromParent_Done,
     /*  924383 */   // Label 13941: @924383
     /*  924383 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(924460), // Rule ID 12962 //
     /*  924388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  924391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  924408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924427 */     // MIs[0] policy
     /*  924427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924458 */     GIR_RootConstrainSelectedInstOperands,
     /*  924459 */     // GIR_Coverage, 12962,
     /*  924459 */     GIR_EraseRootFromParent_Done,
     /*  924460 */   // Label 13942: @924460
     /*  924460 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(924537), // Rule ID 12963 //
     /*  924465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  924468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  924476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  924479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  924482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  924485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924504 */     // MIs[0] policy
     /*  924504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  924517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924535 */     GIR_RootConstrainSelectedInstOperands,
     /*  924536 */     // GIR_Coverage, 12963,
     /*  924536 */     GIR_EraseRootFromParent_Done,
     /*  924537 */   // Label 13943: @924537
     /*  924537 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(924614), // Rule ID 12966 //
     /*  924542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  924553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  924556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  924559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  924562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924581 */     // MIs[0] policy
     /*  924581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924591 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  924594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924612 */     GIR_RootConstrainSelectedInstOperands,
     /*  924613 */     // GIR_Coverage, 12966,
     /*  924613 */     GIR_EraseRootFromParent_Done,
     /*  924614 */   // Label 13944: @924614
     /*  924614 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(924691), // Rule ID 12967 //
     /*  924619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  924630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  924633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  924636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  924639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924658 */     // MIs[0] policy
     /*  924658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924668 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  924671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924689 */     GIR_RootConstrainSelectedInstOperands,
     /*  924690 */     // GIR_Coverage, 12967,
     /*  924690 */     GIR_EraseRootFromParent_Done,
     /*  924691 */   // Label 13945: @924691
     /*  924691 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(924768), // Rule ID 12970 //
     /*  924696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  924707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  924710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  924713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  924716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924735 */     // MIs[0] policy
     /*  924735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924745 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  924748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924766 */     GIR_RootConstrainSelectedInstOperands,
     /*  924767 */     // GIR_Coverage, 12970,
     /*  924767 */     GIR_EraseRootFromParent_Done,
     /*  924768 */   // Label 13946: @924768
     /*  924768 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(924845), // Rule ID 12971 //
     /*  924773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  924784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  924787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  924790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  924793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924812 */     // MIs[0] policy
     /*  924812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  924825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924843 */     GIR_RootConstrainSelectedInstOperands,
     /*  924844 */     // GIR_Coverage, 12971,
     /*  924844 */     GIR_EraseRootFromParent_Done,
     /*  924845 */   // Label 13947: @924845
     /*  924845 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(924922), // Rule ID 12974 //
     /*  924850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  924861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  924864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  924867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  924870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924889 */     // MIs[0] policy
     /*  924889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  924902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924920 */     GIR_RootConstrainSelectedInstOperands,
     /*  924921 */     // GIR_Coverage, 12974,
     /*  924921 */     GIR_EraseRootFromParent_Done,
     /*  924922 */   // Label 13948: @924922
     /*  924922 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(924999), // Rule ID 12975 //
     /*  924927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  924935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  924938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  924941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  924944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  924947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924966 */     // MIs[0] policy
     /*  924966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  924979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924997 */     GIR_RootConstrainSelectedInstOperands,
     /*  924998 */     // GIR_Coverage, 12975,
     /*  924998 */     GIR_EraseRootFromParent_Done,
     /*  924999 */   // Label 13949: @924999
     /*  924999 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(925076), // Rule ID 12978 //
     /*  925004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  925015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  925018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  925021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  925024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925043 */     // MIs[0] policy
     /*  925043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  925056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925074 */     GIR_RootConstrainSelectedInstOperands,
     /*  925075 */     // GIR_Coverage, 12978,
     /*  925075 */     GIR_EraseRootFromParent_Done,
     /*  925076 */   // Label 13950: @925076
     /*  925076 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(925153), // Rule ID 12979 //
     /*  925081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  925092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  925095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  925098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  925101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925120 */     // MIs[0] policy
     /*  925120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  925133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925151 */     GIR_RootConstrainSelectedInstOperands,
     /*  925152 */     // GIR_Coverage, 12979,
     /*  925152 */     GIR_EraseRootFromParent_Done,
     /*  925153 */   // Label 13951: @925153
     /*  925153 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(925230), // Rule ID 12982 //
     /*  925158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  925178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925197 */     // MIs[0] policy
     /*  925197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  925210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925228 */     GIR_RootConstrainSelectedInstOperands,
     /*  925229 */     // GIR_Coverage, 12982,
     /*  925229 */     GIR_EraseRootFromParent_Done,
     /*  925230 */   // Label 13952: @925230
     /*  925230 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(925307), // Rule ID 12983 //
     /*  925235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  925246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  925249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  925252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  925255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925274 */     // MIs[0] policy
     /*  925274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  925287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925305 */     GIR_RootConstrainSelectedInstOperands,
     /*  925306 */     // GIR_Coverage, 12983,
     /*  925306 */     GIR_EraseRootFromParent_Done,
     /*  925307 */   // Label 13953: @925307
     /*  925307 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(925384), // Rule ID 12986 //
     /*  925312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  925332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925351 */     // MIs[0] policy
     /*  925351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  925364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925382 */     GIR_RootConstrainSelectedInstOperands,
     /*  925383 */     // GIR_Coverage, 12986,
     /*  925383 */     GIR_EraseRootFromParent_Done,
     /*  925384 */   // Label 13954: @925384
     /*  925384 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(925461), // Rule ID 12987 //
     /*  925389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  925400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  925403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  925406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  925409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925428 */     // MIs[0] policy
     /*  925428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  925441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925459 */     GIR_RootConstrainSelectedInstOperands,
     /*  925460 */     // GIR_Coverage, 12987,
     /*  925460 */     GIR_EraseRootFromParent_Done,
     /*  925461 */   // Label 13955: @925461
     /*  925461 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(925538), // Rule ID 12990 //
     /*  925466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  925486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925505 */     // MIs[0] policy
     /*  925505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  925518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925536 */     GIR_RootConstrainSelectedInstOperands,
     /*  925537 */     // GIR_Coverage, 12990,
     /*  925537 */     GIR_EraseRootFromParent_Done,
     /*  925538 */   // Label 13956: @925538
     /*  925538 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(925615), // Rule ID 12991 //
     /*  925543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  925554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  925557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  925560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  925563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925582 */     // MIs[0] policy
     /*  925582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  925595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925613 */     GIR_RootConstrainSelectedInstOperands,
     /*  925614 */     // GIR_Coverage, 12991,
     /*  925614 */     GIR_EraseRootFromParent_Done,
     /*  925615 */   // Label 13957: @925615
     /*  925615 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(925692), // Rule ID 12994 //
     /*  925620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  925640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925659 */     // MIs[0] policy
     /*  925659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  925672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925690 */     GIR_RootConstrainSelectedInstOperands,
     /*  925691 */     // GIR_Coverage, 12994,
     /*  925691 */     GIR_EraseRootFromParent_Done,
     /*  925692 */   // Label 13958: @925692
     /*  925692 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(925769), // Rule ID 12995 //
     /*  925697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  925717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925736 */     // MIs[0] policy
     /*  925736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  925749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925767 */     GIR_RootConstrainSelectedInstOperands,
     /*  925768 */     // GIR_Coverage, 12995,
     /*  925768 */     GIR_EraseRootFromParent_Done,
     /*  925769 */   // Label 13959: @925769
     /*  925769 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(925846), // Rule ID 12998 //
     /*  925774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  925794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925813 */     // MIs[0] policy
     /*  925813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925823 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  925826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925844 */     GIR_RootConstrainSelectedInstOperands,
     /*  925845 */     // GIR_Coverage, 12998,
     /*  925845 */     GIR_EraseRootFromParent_Done,
     /*  925846 */   // Label 13960: @925846
     /*  925846 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(925923), // Rule ID 12999 //
     /*  925851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  925871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925890 */     // MIs[0] policy
     /*  925890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  925903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925921 */     GIR_RootConstrainSelectedInstOperands,
     /*  925922 */     // GIR_Coverage, 12999,
     /*  925922 */     GIR_EraseRootFromParent_Done,
     /*  925923 */   // Label 13961: @925923
     /*  925923 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(926000), // Rule ID 13002 //
     /*  925928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  925936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  925948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925967 */     // MIs[0] policy
     /*  925967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  925980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925998 */     GIR_RootConstrainSelectedInstOperands,
     /*  925999 */     // GIR_Coverage, 13002,
     /*  925999 */     GIR_EraseRootFromParent_Done,
     /*  926000 */   // Label 13962: @926000
     /*  926000 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(926077), // Rule ID 13003 //
     /*  926005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  926016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  926019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  926022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  926025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926044 */     // MIs[0] policy
     /*  926044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  926057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926075 */     GIR_RootConstrainSelectedInstOperands,
     /*  926076 */     // GIR_Coverage, 13003,
     /*  926076 */     GIR_EraseRootFromParent_Done,
     /*  926077 */   // Label 13963: @926077
     /*  926077 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(926154), // Rule ID 13006 //
     /*  926082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  926102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926121 */     // MIs[0] policy
     /*  926121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  926134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926152 */     GIR_RootConstrainSelectedInstOperands,
     /*  926153 */     // GIR_Coverage, 13006,
     /*  926153 */     GIR_EraseRootFromParent_Done,
     /*  926154 */   // Label 13964: @926154
     /*  926154 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(926231), // Rule ID 13007 //
     /*  926159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  926170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  926173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  926176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  926179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926198 */     // MIs[0] policy
     /*  926198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  926211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926229 */     GIR_RootConstrainSelectedInstOperands,
     /*  926230 */     // GIR_Coverage, 13007,
     /*  926230 */     GIR_EraseRootFromParent_Done,
     /*  926231 */   // Label 13965: @926231
     /*  926231 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(926308), // Rule ID 13010 //
     /*  926236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  926256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926275 */     // MIs[0] policy
     /*  926275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926285 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  926288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926306 */     GIR_RootConstrainSelectedInstOperands,
     /*  926307 */     // GIR_Coverage, 13010,
     /*  926307 */     GIR_EraseRootFromParent_Done,
     /*  926308 */   // Label 13966: @926308
     /*  926308 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(926385), // Rule ID 13011 //
     /*  926313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  926324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  926327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  926330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  926333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926352 */     // MIs[0] policy
     /*  926352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  926365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926383 */     GIR_RootConstrainSelectedInstOperands,
     /*  926384 */     // GIR_Coverage, 13011,
     /*  926384 */     GIR_EraseRootFromParent_Done,
     /*  926385 */   // Label 13967: @926385
     /*  926385 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(926462), // Rule ID 13014 //
     /*  926390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  926407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  926410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926429 */     // MIs[0] policy
     /*  926429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926439 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /*  926442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926460 */     GIR_RootConstrainSelectedInstOperands,
     /*  926461 */     // GIR_Coverage, 13014,
     /*  926461 */     GIR_EraseRootFromParent_Done,
     /*  926462 */   // Label 13968: @926462
     /*  926462 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(926539), // Rule ID 13015 //
     /*  926467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  926478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  926481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  926484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  926487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926506 */     // MIs[0] policy
     /*  926506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /*  926519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926537 */     GIR_RootConstrainSelectedInstOperands,
     /*  926538 */     // GIR_Coverage, 13015,
     /*  926538 */     GIR_EraseRootFromParent_Done,
     /*  926539 */   // Label 13969: @926539
     /*  926539 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(926616), // Rule ID 13018 //
     /*  926544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  926561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  926564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926583 */     // MIs[0] policy
     /*  926583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926593 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  926596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926614 */     GIR_RootConstrainSelectedInstOperands,
     /*  926615 */     // GIR_Coverage, 13018,
     /*  926615 */     GIR_EraseRootFromParent_Done,
     /*  926616 */   // Label 13970: @926616
     /*  926616 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(926693), // Rule ID 13019 //
     /*  926621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  926632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  926635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  926638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  926641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926660 */     // MIs[0] policy
     /*  926660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  926673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926691 */     GIR_RootConstrainSelectedInstOperands,
     /*  926692 */     // GIR_Coverage, 13019,
     /*  926692 */     GIR_EraseRootFromParent_Done,
     /*  926693 */   // Label 13971: @926693
     /*  926693 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(926770), // Rule ID 13022 //
     /*  926698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  926715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  926718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926737 */     // MIs[0] policy
     /*  926737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  926750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926768 */     GIR_RootConstrainSelectedInstOperands,
     /*  926769 */     // GIR_Coverage, 13022,
     /*  926769 */     GIR_EraseRootFromParent_Done,
     /*  926770 */   // Label 13972: @926770
     /*  926770 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(926847), // Rule ID 13023 //
     /*  926775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  926786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  926789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  926792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  926795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926814 */     // MIs[0] policy
     /*  926814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  926827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926845 */     GIR_RootConstrainSelectedInstOperands,
     /*  926846 */     // GIR_Coverage, 13023,
     /*  926846 */     GIR_EraseRootFromParent_Done,
     /*  926847 */   // Label 13973: @926847
     /*  926847 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(926924), // Rule ID 13026 //
     /*  926852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  926869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  926872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926891 */     // MIs[0] policy
     /*  926891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  926904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926922 */     GIR_RootConstrainSelectedInstOperands,
     /*  926923 */     // GIR_Coverage, 13026,
     /*  926923 */     GIR_EraseRootFromParent_Done,
     /*  926924 */   // Label 13974: @926924
     /*  926924 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(927001), // Rule ID 13027 //
     /*  926929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  926937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  926946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  926949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  926964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926968 */     // MIs[0] policy
     /*  926968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926978 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  926981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926999 */     GIR_RootConstrainSelectedInstOperands,
     /*  927000 */     // GIR_Coverage, 13027,
     /*  927000 */     GIR_EraseRootFromParent_Done,
     /*  927001 */   // Label 13975: @927001
     /*  927001 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(927078), // Rule ID 13030 //
     /*  927006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  927026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927045 */     // MIs[0] policy
     /*  927045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  927058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927076 */     GIR_RootConstrainSelectedInstOperands,
     /*  927077 */     // GIR_Coverage, 13030,
     /*  927077 */     GIR_EraseRootFromParent_Done,
     /*  927078 */   // Label 13976: @927078
     /*  927078 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(927155), // Rule ID 13031 //
     /*  927083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  927103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927122 */     // MIs[0] policy
     /*  927122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  927135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927153 */     GIR_RootConstrainSelectedInstOperands,
     /*  927154 */     // GIR_Coverage, 13031,
     /*  927154 */     GIR_EraseRootFromParent_Done,
     /*  927155 */   // Label 13977: @927155
     /*  927155 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(927232), // Rule ID 13034 //
     /*  927160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  927180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927199 */     // MIs[0] policy
     /*  927199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  927212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927230 */     GIR_RootConstrainSelectedInstOperands,
     /*  927231 */     // GIR_Coverage, 13034,
     /*  927231 */     GIR_EraseRootFromParent_Done,
     /*  927232 */   // Label 13978: @927232
     /*  927232 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(927309), // Rule ID 13035 //
     /*  927237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  927248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  927251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  927257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927276 */     // MIs[0] policy
     /*  927276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  927289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927307 */     GIR_RootConstrainSelectedInstOperands,
     /*  927308 */     // GIR_Coverage, 13035,
     /*  927308 */     GIR_EraseRootFromParent_Done,
     /*  927309 */   // Label 13979: @927309
     /*  927309 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(927386), // Rule ID 13038 //
     /*  927314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  927334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927353 */     // MIs[0] policy
     /*  927353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927384 */     GIR_RootConstrainSelectedInstOperands,
     /*  927385 */     // GIR_Coverage, 13038,
     /*  927385 */     GIR_EraseRootFromParent_Done,
     /*  927386 */   // Label 13980: @927386
     /*  927386 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(927463), // Rule ID 13039 //
     /*  927391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  927402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  927405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  927411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927430 */     // MIs[0] policy
     /*  927430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927461 */     GIR_RootConstrainSelectedInstOperands,
     /*  927462 */     // GIR_Coverage, 13039,
     /*  927462 */     GIR_EraseRootFromParent_Done,
     /*  927463 */   // Label 13981: @927463
     /*  927463 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(927540), // Rule ID 13042 //
     /*  927468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  927488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927507 */     // MIs[0] policy
     /*  927507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927538 */     GIR_RootConstrainSelectedInstOperands,
     /*  927539 */     // GIR_Coverage, 13042,
     /*  927539 */     GIR_EraseRootFromParent_Done,
     /*  927540 */   // Label 13982: @927540
     /*  927540 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(927617), // Rule ID 13043 //
     /*  927545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  927556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  927559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  927565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927584 */     // MIs[0] policy
     /*  927584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927615 */     GIR_RootConstrainSelectedInstOperands,
     /*  927616 */     // GIR_Coverage, 13043,
     /*  927616 */     GIR_EraseRootFromParent_Done,
     /*  927617 */   // Label 13983: @927617
     /*  927617 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(927694), // Rule ID 13046 //
     /*  927622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  927642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927661 */     // MIs[0] policy
     /*  927661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927692 */     GIR_RootConstrainSelectedInstOperands,
     /*  927693 */     // GIR_Coverage, 13046,
     /*  927693 */     GIR_EraseRootFromParent_Done,
     /*  927694 */   // Label 13984: @927694
     /*  927694 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(927771), // Rule ID 13047 //
     /*  927699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  927710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  927713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  927719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927738 */     // MIs[0] policy
     /*  927738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927769 */     GIR_RootConstrainSelectedInstOperands,
     /*  927770 */     // GIR_Coverage, 13047,
     /*  927770 */     GIR_EraseRootFromParent_Done,
     /*  927771 */   // Label 13985: @927771
     /*  927771 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(927848), // Rule ID 13050 //
     /*  927776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  927796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927815 */     // MIs[0] policy
     /*  927815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927846 */     GIR_RootConstrainSelectedInstOperands,
     /*  927847 */     // GIR_Coverage, 13050,
     /*  927847 */     GIR_EraseRootFromParent_Done,
     /*  927848 */   // Label 13986: @927848
     /*  927848 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(927925), // Rule ID 13051 //
     /*  927853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  927864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  927867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  927873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927892 */     // MIs[0] policy
     /*  927892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  927905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927923 */     GIR_RootConstrainSelectedInstOperands,
     /*  927924 */     // GIR_Coverage, 13051,
     /*  927924 */     GIR_EraseRootFromParent_Done,
     /*  927925 */   // Label 13987: @927925
     /*  927925 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(928002), // Rule ID 13054 //
     /*  927930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  927938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  927941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  927944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  927950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927969 */     // MIs[0] policy
     /*  927969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  927982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928000 */     GIR_RootConstrainSelectedInstOperands,
     /*  928001 */     // GIR_Coverage, 13054,
     /*  928001 */     GIR_EraseRootFromParent_Done,
     /*  928002 */   // Label 13988: @928002
     /*  928002 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(928079), // Rule ID 13055 //
     /*  928007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  928027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928046 */     // MIs[0] policy
     /*  928046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  928059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928077 */     GIR_RootConstrainSelectedInstOperands,
     /*  928078 */     // GIR_Coverage, 13055,
     /*  928078 */     GIR_EraseRootFromParent_Done,
     /*  928079 */   // Label 13989: @928079
     /*  928079 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(928156), // Rule ID 13058 //
     /*  928084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  928104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928123 */     // MIs[0] policy
     /*  928123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  928136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928154 */     GIR_RootConstrainSelectedInstOperands,
     /*  928155 */     // GIR_Coverage, 13058,
     /*  928155 */     GIR_EraseRootFromParent_Done,
     /*  928156 */   // Label 13990: @928156
     /*  928156 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(928233), // Rule ID 13059 //
     /*  928161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  928181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928200 */     // MIs[0] policy
     /*  928200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  928213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928231 */     GIR_RootConstrainSelectedInstOperands,
     /*  928232 */     // GIR_Coverage, 13059,
     /*  928232 */     GIR_EraseRootFromParent_Done,
     /*  928233 */   // Label 13991: @928233
     /*  928233 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(928310), // Rule ID 13062 //
     /*  928238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  928258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928277 */     // MIs[0] policy
     /*  928277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928287 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  928290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928308 */     GIR_RootConstrainSelectedInstOperands,
     /*  928309 */     // GIR_Coverage, 13062,
     /*  928309 */     GIR_EraseRootFromParent_Done,
     /*  928310 */   // Label 13992: @928310
     /*  928310 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(928387), // Rule ID 13063 //
     /*  928315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  928326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  928329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  928335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928354 */     // MIs[0] policy
     /*  928354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  928367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928385 */     GIR_RootConstrainSelectedInstOperands,
     /*  928386 */     // GIR_Coverage, 13063,
     /*  928386 */     GIR_EraseRootFromParent_Done,
     /*  928387 */   // Label 13993: @928387
     /*  928387 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(928464), // Rule ID 13066 //
     /*  928392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  928412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928431 */     // MIs[0] policy
     /*  928431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928441 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  928444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928462 */     GIR_RootConstrainSelectedInstOperands,
     /*  928463 */     // GIR_Coverage, 13066,
     /*  928463 */     GIR_EraseRootFromParent_Done,
     /*  928464 */   // Label 13994: @928464
     /*  928464 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(928541), // Rule ID 13067 //
     /*  928469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  928480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  928483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  928489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928508 */     // MIs[0] policy
     /*  928508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  928521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928539 */     GIR_RootConstrainSelectedInstOperands,
     /*  928540 */     // GIR_Coverage, 13067,
     /*  928540 */     GIR_EraseRootFromParent_Done,
     /*  928541 */   // Label 13995: @928541
     /*  928541 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(928618), // Rule ID 13070 //
     /*  928546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  928566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928585 */     // MIs[0] policy
     /*  928585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  928598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928616 */     GIR_RootConstrainSelectedInstOperands,
     /*  928617 */     // GIR_Coverage, 13070,
     /*  928617 */     GIR_EraseRootFromParent_Done,
     /*  928618 */   // Label 13996: @928618
     /*  928618 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(928695), // Rule ID 13071 //
     /*  928623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  928634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  928637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  928643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928662 */     // MIs[0] policy
     /*  928662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  928675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928693 */     GIR_RootConstrainSelectedInstOperands,
     /*  928694 */     // GIR_Coverage, 13071,
     /*  928694 */     GIR_EraseRootFromParent_Done,
     /*  928695 */   // Label 13997: @928695
     /*  928695 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(928772), // Rule ID 13074 //
     /*  928700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  928720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928739 */     // MIs[0] policy
     /*  928739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928749 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  928752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928770 */     GIR_RootConstrainSelectedInstOperands,
     /*  928771 */     // GIR_Coverage, 13074,
     /*  928771 */     GIR_EraseRootFromParent_Done,
     /*  928772 */   // Label 13998: @928772
     /*  928772 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(928849), // Rule ID 13075 //
     /*  928777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  928788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  928791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  928797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928816 */     // MIs[0] policy
     /*  928816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  928829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928847 */     GIR_RootConstrainSelectedInstOperands,
     /*  928848 */     // GIR_Coverage, 13075,
     /*  928848 */     GIR_EraseRootFromParent_Done,
     /*  928849 */   // Label 13999: @928849
     /*  928849 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(928926), // Rule ID 13078 //
     /*  928854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  928865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  928868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  928874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928893 */     // MIs[0] policy
     /*  928893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  928906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928924 */     GIR_RootConstrainSelectedInstOperands,
     /*  928925 */     // GIR_Coverage, 13078,
     /*  928925 */     GIR_EraseRootFromParent_Done,
     /*  928926 */   // Label 14000: @928926
     /*  928926 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(929003), // Rule ID 13079 //
     /*  928931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  928939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  928942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  928945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  928951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928970 */     // MIs[0] policy
     /*  928970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  928983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929001 */     GIR_RootConstrainSelectedInstOperands,
     /*  929002 */     // GIR_Coverage, 13079,
     /*  929002 */     GIR_EraseRootFromParent_Done,
     /*  929003 */   // Label 14001: @929003
     /*  929003 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(929080), // Rule ID 13082 //
     /*  929008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  929028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929047 */     // MIs[0] policy
     /*  929047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  929060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929078 */     GIR_RootConstrainSelectedInstOperands,
     /*  929079 */     // GIR_Coverage, 13082,
     /*  929079 */     GIR_EraseRootFromParent_Done,
     /*  929080 */   // Label 14002: @929080
     /*  929080 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(929157), // Rule ID 13083 //
     /*  929085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  929105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929124 */     // MIs[0] policy
     /*  929124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  929137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929155 */     GIR_RootConstrainSelectedInstOperands,
     /*  929156 */     // GIR_Coverage, 13083,
     /*  929156 */     GIR_EraseRootFromParent_Done,
     /*  929157 */   // Label 14003: @929157
     /*  929157 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(929234), // Rule ID 13086 //
     /*  929162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  929182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929201 */     // MIs[0] policy
     /*  929201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  929214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929232 */     GIR_RootConstrainSelectedInstOperands,
     /*  929233 */     // GIR_Coverage, 13086,
     /*  929233 */     GIR_EraseRootFromParent_Done,
     /*  929234 */   // Label 14004: @929234
     /*  929234 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(929311), // Rule ID 13087 //
     /*  929239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  929250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  929253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  929259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929278 */     // MIs[0] policy
     /*  929278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  929291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929309 */     GIR_RootConstrainSelectedInstOperands,
     /*  929310 */     // GIR_Coverage, 13087,
     /*  929310 */     GIR_EraseRootFromParent_Done,
     /*  929311 */   // Label 14005: @929311
     /*  929311 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(929388), // Rule ID 13090 //
     /*  929316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  929336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929355 */     // MIs[0] policy
     /*  929355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  929368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929386 */     GIR_RootConstrainSelectedInstOperands,
     /*  929387 */     // GIR_Coverage, 13090,
     /*  929387 */     GIR_EraseRootFromParent_Done,
     /*  929388 */   // Label 14006: @929388
     /*  929388 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(929465), // Rule ID 13091 //
     /*  929393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  929404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  929407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  929413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929432 */     // MIs[0] policy
     /*  929432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  929445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929463 */     GIR_RootConstrainSelectedInstOperands,
     /*  929464 */     // GIR_Coverage, 13091,
     /*  929464 */     GIR_EraseRootFromParent_Done,
     /*  929465 */   // Label 14007: @929465
     /*  929465 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(929542), // Rule ID 13094 //
     /*  929470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  929490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929509 */     // MIs[0] policy
     /*  929509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  929522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929540 */     GIR_RootConstrainSelectedInstOperands,
     /*  929541 */     // GIR_Coverage, 13094,
     /*  929541 */     GIR_EraseRootFromParent_Done,
     /*  929542 */   // Label 14008: @929542
     /*  929542 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(929619), // Rule ID 13095 //
     /*  929547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  929558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  929561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  929567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929586 */     // MIs[0] policy
     /*  929586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  929599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929617 */     GIR_RootConstrainSelectedInstOperands,
     /*  929618 */     // GIR_Coverage, 13095,
     /*  929618 */     GIR_EraseRootFromParent_Done,
     /*  929619 */   // Label 14009: @929619
     /*  929619 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(929696), // Rule ID 13098 //
     /*  929624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  929627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  929644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929663 */     // MIs[0] policy
     /*  929663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  929676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929694 */     GIR_RootConstrainSelectedInstOperands,
     /*  929695 */     // GIR_Coverage, 13098,
     /*  929695 */     GIR_EraseRootFromParent_Done,
     /*  929696 */   // Label 14010: @929696
     /*  929696 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(929773), // Rule ID 13099 //
     /*  929701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  929704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  929709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  929712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  929715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  929721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929740 */     // MIs[0] policy
     /*  929740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  929753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929771 */     GIR_RootConstrainSelectedInstOperands,
     /*  929772 */     // GIR_Coverage, 13099,
     /*  929772 */     GIR_EraseRootFromParent_Done,
     /*  929773 */   // Label 14011: @929773
     /*  929773 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(929850), // Rule ID 13102 //
     /*  929778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  929786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  929789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  929792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  929795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  929798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929817 */     // MIs[0] policy
     /*  929817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /*  929830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929848 */     GIR_RootConstrainSelectedInstOperands,
     /*  929849 */     // GIR_Coverage, 13102,
     /*  929849 */     GIR_EraseRootFromParent_Done,
     /*  929850 */   // Label 14012: @929850
     /*  929850 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(929927), // Rule ID 13103 //
     /*  929855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  929863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  929866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  929869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  929872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  929875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929894 */     // MIs[0] policy
     /*  929894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /*  929907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929925 */     GIR_RootConstrainSelectedInstOperands,
     /*  929926 */     // GIR_Coverage, 13103,
     /*  929926 */     GIR_EraseRootFromParent_Done,
     /*  929927 */   // Label 14013: @929927
     /*  929927 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(930004), // Rule ID 13106 //
     /*  929932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  929940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  929943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  929946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  929949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  929952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929971 */     // MIs[0] policy
     /*  929971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929981 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  929984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930002 */     GIR_RootConstrainSelectedInstOperands,
     /*  930003 */     // GIR_Coverage, 13106,
     /*  930003 */     GIR_EraseRootFromParent_Done,
     /*  930004 */   // Label 14014: @930004
     /*  930004 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(930081), // Rule ID 13107 //
     /*  930009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  930029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930048 */     // MIs[0] policy
     /*  930048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  930061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930079 */     GIR_RootConstrainSelectedInstOperands,
     /*  930080 */     // GIR_Coverage, 13107,
     /*  930080 */     GIR_EraseRootFromParent_Done,
     /*  930081 */   // Label 14015: @930081
     /*  930081 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(930158), // Rule ID 13110 //
     /*  930086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  930106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930125 */     // MIs[0] policy
     /*  930125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930156 */     GIR_RootConstrainSelectedInstOperands,
     /*  930157 */     // GIR_Coverage, 13110,
     /*  930157 */     GIR_EraseRootFromParent_Done,
     /*  930158 */   // Label 14016: @930158
     /*  930158 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(930235), // Rule ID 13111 //
     /*  930163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  930174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  930177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  930180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  930183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930202 */     // MIs[0] policy
     /*  930202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930233 */     GIR_RootConstrainSelectedInstOperands,
     /*  930234 */     // GIR_Coverage, 13111,
     /*  930234 */     GIR_EraseRootFromParent_Done,
     /*  930235 */   // Label 14017: @930235
     /*  930235 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(930312), // Rule ID 13114 //
     /*  930240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  930260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930279 */     // MIs[0] policy
     /*  930279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930289 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  930292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930310 */     GIR_RootConstrainSelectedInstOperands,
     /*  930311 */     // GIR_Coverage, 13114,
     /*  930311 */     GIR_EraseRootFromParent_Done,
     /*  930312 */   // Label 14018: @930312
     /*  930312 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(930389), // Rule ID 13115 //
     /*  930317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  930328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  930331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  930337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930356 */     // MIs[0] policy
     /*  930356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  930369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930387 */     GIR_RootConstrainSelectedInstOperands,
     /*  930388 */     // GIR_Coverage, 13115,
     /*  930388 */     GIR_EraseRootFromParent_Done,
     /*  930389 */   // Label 14019: @930389
     /*  930389 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(930466), // Rule ID 13118 //
     /*  930394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  930414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930433 */     // MIs[0] policy
     /*  930433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930464 */     GIR_RootConstrainSelectedInstOperands,
     /*  930465 */     // GIR_Coverage, 13118,
     /*  930465 */     GIR_EraseRootFromParent_Done,
     /*  930466 */   // Label 14020: @930466
     /*  930466 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(930543), // Rule ID 13119 //
     /*  930471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  930482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  930485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  930488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  930491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930510 */     // MIs[0] policy
     /*  930510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930541 */     GIR_RootConstrainSelectedInstOperands,
     /*  930542 */     // GIR_Coverage, 13119,
     /*  930542 */     GIR_EraseRootFromParent_Done,
     /*  930543 */   // Label 14021: @930543
     /*  930543 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(930620), // Rule ID 13122 //
     /*  930548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  930565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  930568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930587 */     // MIs[0] policy
     /*  930587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930618 */     GIR_RootConstrainSelectedInstOperands,
     /*  930619 */     // GIR_Coverage, 13122,
     /*  930619 */     GIR_EraseRootFromParent_Done,
     /*  930620 */   // Label 14022: @930620
     /*  930620 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(930697), // Rule ID 13123 //
     /*  930625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  930642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  930645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930664 */     // MIs[0] policy
     /*  930664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  930677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930695 */     GIR_RootConstrainSelectedInstOperands,
     /*  930696 */     // GIR_Coverage, 13123,
     /*  930696 */     GIR_EraseRootFromParent_Done,
     /*  930697 */   // Label 14023: @930697
     /*  930697 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(930774), // Rule ID 13126 //
     /*  930702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  930713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  930716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  930719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  930722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930741 */     // MIs[0] policy
     /*  930741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  930754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930772 */     GIR_RootConstrainSelectedInstOperands,
     /*  930773 */     // GIR_Coverage, 13126,
     /*  930773 */     GIR_EraseRootFromParent_Done,
     /*  930774 */   // Label 14024: @930774
     /*  930774 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(930851), // Rule ID 13127 //
     /*  930779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  930790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  930793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  930796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  930799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930818 */     // MIs[0] policy
     /*  930818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  930831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930849 */     GIR_RootConstrainSelectedInstOperands,
     /*  930850 */     // GIR_Coverage, 13127,
     /*  930850 */     GIR_EraseRootFromParent_Done,
     /*  930851 */   // Label 14025: @930851
     /*  930851 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(930928), // Rule ID 13130 //
     /*  930856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  930867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  930870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  930873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  930876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930895 */     // MIs[0] policy
     /*  930895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  930908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930926 */     GIR_RootConstrainSelectedInstOperands,
     /*  930927 */     // GIR_Coverage, 13130,
     /*  930927 */     GIR_EraseRootFromParent_Done,
     /*  930928 */   // Label 14026: @930928
     /*  930928 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(931005), // Rule ID 13131 //
     /*  930933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  930941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  930944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  930947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  930950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  930953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930972 */     // MIs[0] policy
     /*  930972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  930985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931003 */     GIR_RootConstrainSelectedInstOperands,
     /*  931004 */     // GIR_Coverage, 13131,
     /*  931004 */     GIR_EraseRootFromParent_Done,
     /*  931005 */   // Label 14027: @931005
     /*  931005 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(931082), // Rule ID 13134 //
     /*  931010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  931030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931049 */     // MIs[0] policy
     /*  931049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  931062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931080 */     GIR_RootConstrainSelectedInstOperands,
     /*  931081 */     // GIR_Coverage, 13134,
     /*  931081 */     GIR_EraseRootFromParent_Done,
     /*  931082 */   // Label 14028: @931082
     /*  931082 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(931159), // Rule ID 13135 //
     /*  931087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  931107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931126 */     // MIs[0] policy
     /*  931126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  931139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931157 */     GIR_RootConstrainSelectedInstOperands,
     /*  931158 */     // GIR_Coverage, 13135,
     /*  931158 */     GIR_EraseRootFromParent_Done,
     /*  931159 */   // Label 14029: @931159
     /*  931159 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(931236), // Rule ID 13138 //
     /*  931164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  931167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  931184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931203 */     // MIs[0] policy
     /*  931203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  931216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931234 */     GIR_RootConstrainSelectedInstOperands,
     /*  931235 */     // GIR_Coverage, 13138,
     /*  931235 */     GIR_EraseRootFromParent_Done,
     /*  931236 */   // Label 14030: @931236
     /*  931236 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(931313), // Rule ID 13139 //
     /*  931241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  931244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  931252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  931255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  931258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  931261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931280 */     // MIs[0] policy
     /*  931280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  931293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931311 */     GIR_RootConstrainSelectedInstOperands,
     /*  931312 */     // GIR_Coverage, 13139,
     /*  931312 */     GIR_EraseRootFromParent_Done,
     /*  931313 */   // Label 14031: @931313
     /*  931313 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(931390), // Rule ID 13142 //
     /*  931318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  931338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931357 */     // MIs[0] policy
     /*  931357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  931370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931388 */     GIR_RootConstrainSelectedInstOperands,
     /*  931389 */     // GIR_Coverage, 13142,
     /*  931389 */     GIR_EraseRootFromParent_Done,
     /*  931390 */   // Label 14032: @931390
     /*  931390 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(931467), // Rule ID 13143 //
     /*  931395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  931412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  931415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931434 */     // MIs[0] policy
     /*  931434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931444 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  931447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931465 */     GIR_RootConstrainSelectedInstOperands,
     /*  931466 */     // GIR_Coverage, 13143,
     /*  931466 */     GIR_EraseRootFromParent_Done,
     /*  931467 */   // Label 14033: @931467
     /*  931467 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(931544), // Rule ID 13146 //
     /*  931472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  931483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  931486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  931489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  931492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931511 */     // MIs[0] policy
     /*  931511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  931524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931542 */     GIR_RootConstrainSelectedInstOperands,
     /*  931543 */     // GIR_Coverage, 13146,
     /*  931543 */     GIR_EraseRootFromParent_Done,
     /*  931544 */   // Label 14034: @931544
     /*  931544 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(931621), // Rule ID 13147 //
     /*  931549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  931560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  931563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  931566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  931569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931588 */     // MIs[0] policy
     /*  931588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931598 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  931601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931619 */     GIR_RootConstrainSelectedInstOperands,
     /*  931620 */     // GIR_Coverage, 13147,
     /*  931620 */     GIR_EraseRootFromParent_Done,
     /*  931621 */   // Label 14035: @931621
     /*  931621 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(931698), // Rule ID 13150 //
     /*  931626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  931637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  931640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  931643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  931646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931665 */     // MIs[0] policy
     /*  931665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931675 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  931678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931696 */     GIR_RootConstrainSelectedInstOperands,
     /*  931697 */     // GIR_Coverage, 13150,
     /*  931697 */     GIR_EraseRootFromParent_Done,
     /*  931698 */   // Label 14036: @931698
     /*  931698 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(931775), // Rule ID 13151 //
     /*  931703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  931714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  931717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  931720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  931723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931742 */     // MIs[0] policy
     /*  931742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  931755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931773 */     GIR_RootConstrainSelectedInstOperands,
     /*  931774 */     // GIR_Coverage, 13151,
     /*  931774 */     GIR_EraseRootFromParent_Done,
     /*  931775 */   // Label 14037: @931775
     /*  931775 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(931852), // Rule ID 13154 //
     /*  931780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  931791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  931794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  931800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931819 */     // MIs[0] policy
     /*  931819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  931832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931850 */     GIR_RootConstrainSelectedInstOperands,
     /*  931851 */     // GIR_Coverage, 13154,
     /*  931851 */     GIR_EraseRootFromParent_Done,
     /*  931852 */   // Label 14038: @931852
     /*  931852 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(931929), // Rule ID 13155 //
     /*  931857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  931868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  931871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  931877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931896 */     // MIs[0] policy
     /*  931896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  931909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931927 */     GIR_RootConstrainSelectedInstOperands,
     /*  931928 */     // GIR_Coverage, 13155,
     /*  931928 */     GIR_EraseRootFromParent_Done,
     /*  931929 */   // Label 14039: @931929
     /*  931929 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(932006), // Rule ID 13158 //
     /*  931934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  931942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  931945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  931948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  931951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  931954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931973 */     // MIs[0] policy
     /*  931973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  931986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932004 */     GIR_RootConstrainSelectedInstOperands,
     /*  932005 */     // GIR_Coverage, 13158,
     /*  932005 */     GIR_EraseRootFromParent_Done,
     /*  932006 */   // Label 14040: @932006
     /*  932006 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(932083), // Rule ID 13159 //
     /*  932011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  932031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932050 */     // MIs[0] policy
     /*  932050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  932063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932081 */     GIR_RootConstrainSelectedInstOperands,
     /*  932082 */     // GIR_Coverage, 13159,
     /*  932082 */     GIR_EraseRootFromParent_Done,
     /*  932083 */   // Label 14041: @932083
     /*  932083 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(932160), // Rule ID 13162 //
     /*  932088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  932108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932127 */     // MIs[0] policy
     /*  932127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932137 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  932140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932158 */     GIR_RootConstrainSelectedInstOperands,
     /*  932159 */     // GIR_Coverage, 13162,
     /*  932159 */     GIR_EraseRootFromParent_Done,
     /*  932160 */   // Label 14042: @932160
     /*  932160 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(932237), // Rule ID 13163 //
     /*  932165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  932176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  932179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  932182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  932185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932204 */     // MIs[0] policy
     /*  932204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  932217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932235 */     GIR_RootConstrainSelectedInstOperands,
     /*  932236 */     // GIR_Coverage, 13163,
     /*  932236 */     GIR_EraseRootFromParent_Done,
     /*  932237 */   // Label 14043: @932237
     /*  932237 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(932314), // Rule ID 13166 //
     /*  932242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  932253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  932256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  932262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932281 */     // MIs[0] policy
     /*  932281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  932294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932312 */     GIR_RootConstrainSelectedInstOperands,
     /*  932313 */     // GIR_Coverage, 13166,
     /*  932313 */     GIR_EraseRootFromParent_Done,
     /*  932314 */   // Label 14044: @932314
     /*  932314 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(932391), // Rule ID 13167 //
     /*  932319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  932330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  932333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  932339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932358 */     // MIs[0] policy
     /*  932358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  932371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932389 */     GIR_RootConstrainSelectedInstOperands,
     /*  932390 */     // GIR_Coverage, 13167,
     /*  932390 */     GIR_EraseRootFromParent_Done,
     /*  932391 */   // Label 14045: @932391
     /*  932391 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(932468), // Rule ID 13170 //
     /*  932396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  932407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  932410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  932413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  932416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932435 */     // MIs[0] policy
     /*  932435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  932448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932466 */     GIR_RootConstrainSelectedInstOperands,
     /*  932467 */     // GIR_Coverage, 13170,
     /*  932467 */     GIR_EraseRootFromParent_Done,
     /*  932468 */   // Label 14046: @932468
     /*  932468 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(932545), // Rule ID 13171 //
     /*  932473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  932484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  932487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  932490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  932493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932512 */     // MIs[0] policy
     /*  932512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  932525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932543 */     GIR_RootConstrainSelectedInstOperands,
     /*  932544 */     // GIR_Coverage, 13171,
     /*  932544 */     GIR_EraseRootFromParent_Done,
     /*  932545 */   // Label 14047: @932545
     /*  932545 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(932622), // Rule ID 13174 //
     /*  932550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  932561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  932564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  932570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932589 */     // MIs[0] policy
     /*  932589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  932602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932620 */     GIR_RootConstrainSelectedInstOperands,
     /*  932621 */     // GIR_Coverage, 13174,
     /*  932621 */     GIR_EraseRootFromParent_Done,
     /*  932622 */   // Label 14048: @932622
     /*  932622 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(932699), // Rule ID 13175 //
     /*  932627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  932638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  932641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  932647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932666 */     // MIs[0] policy
     /*  932666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  932679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932697 */     GIR_RootConstrainSelectedInstOperands,
     /*  932698 */     // GIR_Coverage, 13175,
     /*  932698 */     GIR_EraseRootFromParent_Done,
     /*  932699 */   // Label 14049: @932699
     /*  932699 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(932776), // Rule ID 13178 //
     /*  932704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  932715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  932718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  932721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  932724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932743 */     // MIs[0] policy
     /*  932743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  932756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932774 */     GIR_RootConstrainSelectedInstOperands,
     /*  932775 */     // GIR_Coverage, 13178,
     /*  932775 */     GIR_EraseRootFromParent_Done,
     /*  932776 */   // Label 14050: @932776
     /*  932776 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(932853), // Rule ID 13179 //
     /*  932781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  932792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  932795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  932798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  932801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932820 */     // MIs[0] policy
     /*  932820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  932833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932851 */     GIR_RootConstrainSelectedInstOperands,
     /*  932852 */     // GIR_Coverage, 13179,
     /*  932852 */     GIR_EraseRootFromParent_Done,
     /*  932853 */   // Label 14051: @932853
     /*  932853 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(932930), // Rule ID 13182 //
     /*  932858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  932869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  932872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  932875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  932878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932897 */     // MIs[0] policy
     /*  932897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  932910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932928 */     GIR_RootConstrainSelectedInstOperands,
     /*  932929 */     // GIR_Coverage, 13182,
     /*  932929 */     GIR_EraseRootFromParent_Done,
     /*  932930 */   // Label 14052: @932930
     /*  932930 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(933007), // Rule ID 13183 //
     /*  932935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  932943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  932946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  932949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  932952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  932955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932974 */     // MIs[0] policy
     /*  932974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  932987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933005 */     GIR_RootConstrainSelectedInstOperands,
     /*  933006 */     // GIR_Coverage, 13183,
     /*  933006 */     GIR_EraseRootFromParent_Done,
     /*  933007 */   // Label 14053: @933007
     /*  933007 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(933084), // Rule ID 13186 //
     /*  933012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  933032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933051 */     // MIs[0] policy
     /*  933051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  933064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933082 */     GIR_RootConstrainSelectedInstOperands,
     /*  933083 */     // GIR_Coverage, 13186,
     /*  933083 */     GIR_EraseRootFromParent_Done,
     /*  933084 */   // Label 14054: @933084
     /*  933084 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(933161), // Rule ID 13187 //
     /*  933089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  933109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933128 */     // MIs[0] policy
     /*  933128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933138 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  933141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933159 */     GIR_RootConstrainSelectedInstOperands,
     /*  933160 */     // GIR_Coverage, 13187,
     /*  933160 */     GIR_EraseRootFromParent_Done,
     /*  933161 */   // Label 14055: @933161
     /*  933161 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(933238), // Rule ID 13190 //
     /*  933166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  933177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  933180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  933186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933205 */     // MIs[0] policy
     /*  933205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933215 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /*  933218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933236 */     GIR_RootConstrainSelectedInstOperands,
     /*  933237 */     // GIR_Coverage, 13190,
     /*  933237 */     GIR_EraseRootFromParent_Done,
     /*  933238 */   // Label 14056: @933238
     /*  933238 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(933315), // Rule ID 13191 //
     /*  933243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  933254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  933257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  933260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  933263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933282 */     // MIs[0] policy
     /*  933282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /*  933295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933313 */     GIR_RootConstrainSelectedInstOperands,
     /*  933314 */     // GIR_Coverage, 13191,
     /*  933314 */     GIR_EraseRootFromParent_Done,
     /*  933315 */   // Label 14057: @933315
     /*  933315 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(933392), // Rule ID 13194 //
     /*  933320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  933331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  933334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  933340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933359 */     // MIs[0] policy
     /*  933359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933369 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  933372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933390 */     GIR_RootConstrainSelectedInstOperands,
     /*  933391 */     // GIR_Coverage, 13194,
     /*  933391 */     GIR_EraseRootFromParent_Done,
     /*  933392 */   // Label 14058: @933392
     /*  933392 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(933469), // Rule ID 13195 //
     /*  933397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  933408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  933411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  933414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  933417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933436 */     // MIs[0] policy
     /*  933436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  933449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933467 */     GIR_RootConstrainSelectedInstOperands,
     /*  933468 */     // GIR_Coverage, 13195,
     /*  933468 */     GIR_EraseRootFromParent_Done,
     /*  933469 */   // Label 14059: @933469
     /*  933469 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(933546), // Rule ID 13198 //
     /*  933474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  933485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  933488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  933494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933513 */     // MIs[0] policy
     /*  933513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  933526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933544 */     GIR_RootConstrainSelectedInstOperands,
     /*  933545 */     // GIR_Coverage, 13198,
     /*  933545 */     GIR_EraseRootFromParent_Done,
     /*  933546 */   // Label 14060: @933546
     /*  933546 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(933623), // Rule ID 13199 //
     /*  933551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  933562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  933565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  933568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  933571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933590 */     // MIs[0] policy
     /*  933590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  933603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933621 */     GIR_RootConstrainSelectedInstOperands,
     /*  933622 */     // GIR_Coverage, 13199,
     /*  933622 */     GIR_EraseRootFromParent_Done,
     /*  933623 */   // Label 14061: @933623
     /*  933623 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(933700), // Rule ID 13202 //
     /*  933628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  933639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  933642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  933648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933667 */     // MIs[0] policy
     /*  933667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933677 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  933680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933698 */     GIR_RootConstrainSelectedInstOperands,
     /*  933699 */     // GIR_Coverage, 13202,
     /*  933699 */     GIR_EraseRootFromParent_Done,
     /*  933700 */   // Label 14062: @933700
     /*  933700 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(933777), // Rule ID 13203 //
     /*  933705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  933716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  933719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  933722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  933725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933744 */     // MIs[0] policy
     /*  933744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  933757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933775 */     GIR_RootConstrainSelectedInstOperands,
     /*  933776 */     // GIR_Coverage, 13203,
     /*  933776 */     GIR_EraseRootFromParent_Done,
     /*  933777 */   // Label 14063: @933777
     /*  933777 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(933854), // Rule ID 13206 //
     /*  933782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  933793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  933796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  933802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933821 */     // MIs[0] policy
     /*  933821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  933834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933852 */     GIR_RootConstrainSelectedInstOperands,
     /*  933853 */     // GIR_Coverage, 13206,
     /*  933853 */     GIR_EraseRootFromParent_Done,
     /*  933854 */   // Label 14064: @933854
     /*  933854 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(933931), // Rule ID 13207 //
     /*  933859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  933870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  933873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  933876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  933879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933898 */     // MIs[0] policy
     /*  933898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  933911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933929 */     GIR_RootConstrainSelectedInstOperands,
     /*  933930 */     // GIR_Coverage, 13207,
     /*  933930 */     GIR_EraseRootFromParent_Done,
     /*  933931 */   // Label 14065: @933931
     /*  933931 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(934008), // Rule ID 13210 //
     /*  933936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  933944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  933947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  933950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  933953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  933956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  933971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933975 */     // MIs[0] policy
     /*  933975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  933988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934006 */     GIR_RootConstrainSelectedInstOperands,
     /*  934007 */     // GIR_Coverage, 13210,
     /*  934007 */     GIR_EraseRootFromParent_Done,
     /*  934008 */   // Label 14066: @934008
     /*  934008 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(934085), // Rule ID 13211 //
     /*  934013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  934024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  934027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  934033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934052 */     // MIs[0] policy
     /*  934052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  934065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934083 */     GIR_RootConstrainSelectedInstOperands,
     /*  934084 */     // GIR_Coverage, 13211,
     /*  934084 */     GIR_EraseRootFromParent_Done,
     /*  934085 */   // Label 14067: @934085
     /*  934085 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(934162), // Rule ID 13214 //
     /*  934090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  934110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934129 */     // MIs[0] policy
     /*  934129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934139 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934160 */     GIR_RootConstrainSelectedInstOperands,
     /*  934161 */     // GIR_Coverage, 13214,
     /*  934161 */     GIR_EraseRootFromParent_Done,
     /*  934162 */   // Label 14068: @934162
     /*  934162 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(934239), // Rule ID 13215 //
     /*  934167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  934178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  934181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  934187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934206 */     // MIs[0] policy
     /*  934206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934237 */     GIR_RootConstrainSelectedInstOperands,
     /*  934238 */     // GIR_Coverage, 13215,
     /*  934238 */     GIR_EraseRootFromParent_Done,
     /*  934239 */   // Label 14069: @934239
     /*  934239 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(934316), // Rule ID 13218 //
     /*  934244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  934255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  934258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  934264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934283 */     // MIs[0] policy
     /*  934283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934314 */     GIR_RootConstrainSelectedInstOperands,
     /*  934315 */     // GIR_Coverage, 13218,
     /*  934315 */     GIR_EraseRootFromParent_Done,
     /*  934316 */   // Label 14070: @934316
     /*  934316 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(934393), // Rule ID 13219 //
     /*  934321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  934332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  934335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  934341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934360 */     // MIs[0] policy
     /*  934360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934370 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934391 */     GIR_RootConstrainSelectedInstOperands,
     /*  934392 */     // GIR_Coverage, 13219,
     /*  934392 */     GIR_EraseRootFromParent_Done,
     /*  934393 */   // Label 14071: @934393
     /*  934393 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(934470), // Rule ID 13222 //
     /*  934398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  934409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  934412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  934418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934437 */     // MIs[0] policy
     /*  934437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934468 */     GIR_RootConstrainSelectedInstOperands,
     /*  934469 */     // GIR_Coverage, 13222,
     /*  934469 */     GIR_EraseRootFromParent_Done,
     /*  934470 */   // Label 14072: @934470
     /*  934470 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(934547), // Rule ID 13223 //
     /*  934475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  934486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  934489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  934495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934514 */     // MIs[0] policy
     /*  934514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934545 */     GIR_RootConstrainSelectedInstOperands,
     /*  934546 */     // GIR_Coverage, 13223,
     /*  934546 */     GIR_EraseRootFromParent_Done,
     /*  934547 */   // Label 14073: @934547
     /*  934547 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(934624), // Rule ID 13226 //
     /*  934552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  934563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  934566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  934572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934591 */     // MIs[0] policy
     /*  934591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934622 */     GIR_RootConstrainSelectedInstOperands,
     /*  934623 */     // GIR_Coverage, 13226,
     /*  934623 */     GIR_EraseRootFromParent_Done,
     /*  934624 */   // Label 14074: @934624
     /*  934624 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(934701), // Rule ID 13227 //
     /*  934629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  934640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  934643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  934649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934668 */     // MIs[0] policy
     /*  934668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  934681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934699 */     GIR_RootConstrainSelectedInstOperands,
     /*  934700 */     // GIR_Coverage, 13227,
     /*  934700 */     GIR_EraseRootFromParent_Done,
     /*  934701 */   // Label 14075: @934701
     /*  934701 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(934778), // Rule ID 13230 //
     /*  934706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  934726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934745 */     // MIs[0] policy
     /*  934745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  934758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934776 */     GIR_RootConstrainSelectedInstOperands,
     /*  934777 */     // GIR_Coverage, 13230,
     /*  934777 */     GIR_EraseRootFromParent_Done,
     /*  934778 */   // Label 14076: @934778
     /*  934778 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(934855), // Rule ID 13231 //
     /*  934783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  934794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  934797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  934803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934822 */     // MIs[0] policy
     /*  934822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  934835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934853 */     GIR_RootConstrainSelectedInstOperands,
     /*  934854 */     // GIR_Coverage, 13231,
     /*  934854 */     GIR_EraseRootFromParent_Done,
     /*  934855 */   // Label 14077: @934855
     /*  934855 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(934932), // Rule ID 13234 //
     /*  934860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  934871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  934874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  934880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934899 */     // MIs[0] policy
     /*  934899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  934912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934930 */     GIR_RootConstrainSelectedInstOperands,
     /*  934931 */     // GIR_Coverage, 13234,
     /*  934931 */     GIR_EraseRootFromParent_Done,
     /*  934932 */   // Label 14078: @934932
     /*  934932 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(935009), // Rule ID 13235 //
     /*  934937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  934945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  934948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  934951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  934957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934976 */     // MIs[0] policy
     /*  934976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  934989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935007 */     GIR_RootConstrainSelectedInstOperands,
     /*  935008 */     // GIR_Coverage, 13235,
     /*  935008 */     GIR_EraseRootFromParent_Done,
     /*  935009 */   // Label 14079: @935009
     /*  935009 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(935086), // Rule ID 13238 //
     /*  935014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  935025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  935028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  935034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935053 */     // MIs[0] policy
     /*  935053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935063 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  935066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935084 */     GIR_RootConstrainSelectedInstOperands,
     /*  935085 */     // GIR_Coverage, 13238,
     /*  935085 */     GIR_EraseRootFromParent_Done,
     /*  935086 */   // Label 14080: @935086
     /*  935086 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(935163), // Rule ID 13239 //
     /*  935091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  935102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  935105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  935111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935130 */     // MIs[0] policy
     /*  935130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  935143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935161 */     GIR_RootConstrainSelectedInstOperands,
     /*  935162 */     // GIR_Coverage, 13239,
     /*  935162 */     GIR_EraseRootFromParent_Done,
     /*  935163 */   // Label 14081: @935163
     /*  935163 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(935240), // Rule ID 13242 //
     /*  935168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  935188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935207 */     // MIs[0] policy
     /*  935207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  935220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935238 */     GIR_RootConstrainSelectedInstOperands,
     /*  935239 */     // GIR_Coverage, 13242,
     /*  935239 */     GIR_EraseRootFromParent_Done,
     /*  935240 */   // Label 14082: @935240
     /*  935240 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(935317), // Rule ID 13243 //
     /*  935245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  935256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  935259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  935265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935284 */     // MIs[0] policy
     /*  935284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  935297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935315 */     GIR_RootConstrainSelectedInstOperands,
     /*  935316 */     // GIR_Coverage, 13243,
     /*  935316 */     GIR_EraseRootFromParent_Done,
     /*  935317 */   // Label 14083: @935317
     /*  935317 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(935394), // Rule ID 13246 //
     /*  935322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  935342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935361 */     // MIs[0] policy
     /*  935361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  935374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935392 */     GIR_RootConstrainSelectedInstOperands,
     /*  935393 */     // GIR_Coverage, 13246,
     /*  935393 */     GIR_EraseRootFromParent_Done,
     /*  935394 */   // Label 14084: @935394
     /*  935394 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(935471), // Rule ID 13247 //
     /*  935399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  935410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  935413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  935419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935438 */     // MIs[0] policy
     /*  935438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  935451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935469 */     GIR_RootConstrainSelectedInstOperands,
     /*  935470 */     // GIR_Coverage, 13247,
     /*  935470 */     GIR_EraseRootFromParent_Done,
     /*  935471 */   // Label 14085: @935471
     /*  935471 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(935548), // Rule ID 13250 //
     /*  935476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  935487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  935490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  935496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935515 */     // MIs[0] policy
     /*  935515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935525 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  935528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935546 */     GIR_RootConstrainSelectedInstOperands,
     /*  935547 */     // GIR_Coverage, 13250,
     /*  935547 */     GIR_EraseRootFromParent_Done,
     /*  935548 */   // Label 14086: @935548
     /*  935548 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(935625), // Rule ID 13251 //
     /*  935553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  935564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  935567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  935573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935592 */     // MIs[0] policy
     /*  935592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  935605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935623 */     GIR_RootConstrainSelectedInstOperands,
     /*  935624 */     // GIR_Coverage, 13251,
     /*  935624 */     GIR_EraseRootFromParent_Done,
     /*  935625 */   // Label 14087: @935625
     /*  935625 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(935702), // Rule ID 13254 //
     /*  935630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  935650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935669 */     // MIs[0] policy
     /*  935669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  935682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935700 */     GIR_RootConstrainSelectedInstOperands,
     /*  935701 */     // GIR_Coverage, 13254,
     /*  935701 */     GIR_EraseRootFromParent_Done,
     /*  935702 */   // Label 14088: @935702
     /*  935702 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(935779), // Rule ID 13255 //
     /*  935707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  935727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935746 */     // MIs[0] policy
     /*  935746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  935759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935777 */     GIR_RootConstrainSelectedInstOperands,
     /*  935778 */     // GIR_Coverage, 13255,
     /*  935778 */     GIR_EraseRootFromParent_Done,
     /*  935779 */   // Label 14089: @935779
     /*  935779 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(935856), // Rule ID 13258 //
     /*  935784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  935804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935823 */     // MIs[0] policy
     /*  935823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  935836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935854 */     GIR_RootConstrainSelectedInstOperands,
     /*  935855 */     // GIR_Coverage, 13258,
     /*  935855 */     GIR_EraseRootFromParent_Done,
     /*  935856 */   // Label 14090: @935856
     /*  935856 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(935933), // Rule ID 13259 //
     /*  935861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  935881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935900 */     // MIs[0] policy
     /*  935900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  935913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935931 */     GIR_RootConstrainSelectedInstOperands,
     /*  935932 */     // GIR_Coverage, 13259,
     /*  935932 */     GIR_EraseRootFromParent_Done,
     /*  935933 */   // Label 14091: @935933
     /*  935933 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(936010), // Rule ID 13262 //
     /*  935938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  935946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  935949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  935952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  935958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935977 */     // MIs[0] policy
     /*  935977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  935990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936008 */     GIR_RootConstrainSelectedInstOperands,
     /*  936009 */     // GIR_Coverage, 13262,
     /*  936009 */     GIR_EraseRootFromParent_Done,
     /*  936010 */   // Label 14092: @936010
     /*  936010 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(936087), // Rule ID 13263 //
     /*  936015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  936026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  936029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  936035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936054 */     // MIs[0] policy
     /*  936054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  936067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936085 */     GIR_RootConstrainSelectedInstOperands,
     /*  936086 */     // GIR_Coverage, 13263,
     /*  936086 */     GIR_EraseRootFromParent_Done,
     /*  936087 */   // Label 14093: @936087
     /*  936087 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(936164), // Rule ID 13266 //
     /*  936092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  936103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  936106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  936112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936131 */     // MIs[0] policy
     /*  936131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  936144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936162 */     GIR_RootConstrainSelectedInstOperands,
     /*  936163 */     // GIR_Coverage, 13266,
     /*  936163 */     GIR_EraseRootFromParent_Done,
     /*  936164 */   // Label 14094: @936164
     /*  936164 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(936241), // Rule ID 13267 //
     /*  936169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  936180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  936183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  936189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936208 */     // MIs[0] policy
     /*  936208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  936221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936239 */     GIR_RootConstrainSelectedInstOperands,
     /*  936240 */     // GIR_Coverage, 13267,
     /*  936240 */     GIR_EraseRootFromParent_Done,
     /*  936241 */   // Label 14095: @936241
     /*  936241 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(936318), // Rule ID 13270 //
     /*  936246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  936257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  936260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  936266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936285 */     // MIs[0] policy
     /*  936285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936295 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  936298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936316 */     GIR_RootConstrainSelectedInstOperands,
     /*  936317 */     // GIR_Coverage, 13270,
     /*  936317 */     GIR_EraseRootFromParent_Done,
     /*  936318 */   // Label 14096: @936318
     /*  936318 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(936395), // Rule ID 13271 //
     /*  936323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  936334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  936337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  936343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936362 */     // MIs[0] policy
     /*  936362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  936375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936393 */     GIR_RootConstrainSelectedInstOperands,
     /*  936394 */     // GIR_Coverage, 13271,
     /*  936394 */     GIR_EraseRootFromParent_Done,
     /*  936395 */   // Label 14097: @936395
     /*  936395 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(936472), // Rule ID 13274 //
     /*  936400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  936411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  936414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  936420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936439 */     // MIs[0] policy
     /*  936439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  936452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936470 */     GIR_RootConstrainSelectedInstOperands,
     /*  936471 */     // GIR_Coverage, 13274,
     /*  936471 */     GIR_EraseRootFromParent_Done,
     /*  936472 */   // Label 14098: @936472
     /*  936472 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(936549), // Rule ID 13275 //
     /*  936477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  936485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  936488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  936491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  936497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936516 */     // MIs[0] policy
     /*  936516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  936529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936547 */     GIR_RootConstrainSelectedInstOperands,
     /*  936548 */     // GIR_Coverage, 13275,
     /*  936548 */     GIR_EraseRootFromParent_Done,
     /*  936549 */   // Label 14099: @936549
     /*  936549 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(936626), // Rule ID 13278 //
     /*  936554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936593 */     // MIs[0] policy
     /*  936593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*  936606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936624 */     GIR_RootConstrainSelectedInstOperands,
     /*  936625 */     // GIR_Coverage, 13278,
     /*  936625 */     GIR_EraseRootFromParent_Done,
     /*  936626 */   // Label 14100: @936626
     /*  936626 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(936703), // Rule ID 13279 //
     /*  936631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936670 */     // MIs[0] policy
     /*  936670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*  936683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936701 */     GIR_RootConstrainSelectedInstOperands,
     /*  936702 */     // GIR_Coverage, 13279,
     /*  936702 */     GIR_EraseRootFromParent_Done,
     /*  936703 */   // Label 14101: @936703
     /*  936703 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(936780), // Rule ID 13282 //
     /*  936708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  936725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  936728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936747 */     // MIs[0] policy
     /*  936747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  936760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936778 */     GIR_RootConstrainSelectedInstOperands,
     /*  936779 */     // GIR_Coverage, 13282,
     /*  936779 */     GIR_EraseRootFromParent_Done,
     /*  936780 */   // Label 14102: @936780
     /*  936780 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(936857), // Rule ID 13283 //
     /*  936785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  936802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  936805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936824 */     // MIs[0] policy
     /*  936824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  936837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936855 */     GIR_RootConstrainSelectedInstOperands,
     /*  936856 */     // GIR_Coverage, 13283,
     /*  936856 */     GIR_EraseRootFromParent_Done,
     /*  936857 */   // Label 14103: @936857
     /*  936857 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(936934), // Rule ID 13286 //
     /*  936862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  936879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  936882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936901 */     // MIs[0] policy
     /*  936901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  936914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936932 */     GIR_RootConstrainSelectedInstOperands,
     /*  936933 */     // GIR_Coverage, 13286,
     /*  936933 */     GIR_EraseRootFromParent_Done,
     /*  936934 */   // Label 14104: @936934
     /*  936934 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(937011), // Rule ID 13287 //
     /*  936939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  936947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  936956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  936959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936978 */     // MIs[0] policy
     /*  936978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  936991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937009 */     GIR_RootConstrainSelectedInstOperands,
     /*  937010 */     // GIR_Coverage, 13287,
     /*  937010 */     GIR_EraseRootFromParent_Done,
     /*  937011 */   // Label 14105: @937011
     /*  937011 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(937088), // Rule ID 13290 //
     /*  937016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  937033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  937036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937055 */     // MIs[0] policy
     /*  937055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  937068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937086 */     GIR_RootConstrainSelectedInstOperands,
     /*  937087 */     // GIR_Coverage, 13290,
     /*  937087 */     GIR_EraseRootFromParent_Done,
     /*  937088 */   // Label 14106: @937088
     /*  937088 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(937165), // Rule ID 13291 //
     /*  937093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  937110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  937113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937132 */     // MIs[0] policy
     /*  937132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  937145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937163 */     GIR_RootConstrainSelectedInstOperands,
     /*  937164 */     // GIR_Coverage, 13291,
     /*  937164 */     GIR_EraseRootFromParent_Done,
     /*  937165 */   // Label 14107: @937165
     /*  937165 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(937242), // Rule ID 13294 //
     /*  937170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  937187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  937190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937209 */     // MIs[0] policy
     /*  937209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937219 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  937222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937240 */     GIR_RootConstrainSelectedInstOperands,
     /*  937241 */     // GIR_Coverage, 13294,
     /*  937241 */     GIR_EraseRootFromParent_Done,
     /*  937242 */   // Label 14108: @937242
     /*  937242 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(937319), // Rule ID 13295 //
     /*  937247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  937264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  937267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937286 */     // MIs[0] policy
     /*  937286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  937299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937317 */     GIR_RootConstrainSelectedInstOperands,
     /*  937318 */     // GIR_Coverage, 13295,
     /*  937318 */     GIR_EraseRootFromParent_Done,
     /*  937319 */   // Label 14109: @937319
     /*  937319 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(937396), // Rule ID 13298 //
     /*  937324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  937341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  937344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937363 */     // MIs[0] policy
     /*  937363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  937376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937394 */     GIR_RootConstrainSelectedInstOperands,
     /*  937395 */     // GIR_Coverage, 13298,
     /*  937395 */     GIR_EraseRootFromParent_Done,
     /*  937396 */   // Label 14110: @937396
     /*  937396 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(937473), // Rule ID 13299 //
     /*  937401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  937418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  937421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937440 */     // MIs[0] policy
     /*  937440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  937453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937471 */     GIR_RootConstrainSelectedInstOperands,
     /*  937472 */     // GIR_Coverage, 13299,
     /*  937472 */     GIR_EraseRootFromParent_Done,
     /*  937473 */   // Label 14111: @937473
     /*  937473 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(937550), // Rule ID 13302 //
     /*  937478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937517 */     // MIs[0] policy
     /*  937517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  937530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937548 */     GIR_RootConstrainSelectedInstOperands,
     /*  937549 */     // GIR_Coverage, 13302,
     /*  937549 */     GIR_EraseRootFromParent_Done,
     /*  937550 */   // Label 14112: @937550
     /*  937550 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(937627), // Rule ID 13303 //
     /*  937555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937594 */     // MIs[0] policy
     /*  937594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  937607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937625 */     GIR_RootConstrainSelectedInstOperands,
     /*  937626 */     // GIR_Coverage, 13303,
     /*  937626 */     GIR_EraseRootFromParent_Done,
     /*  937627 */   // Label 14113: @937627
     /*  937627 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(937704), // Rule ID 13306 //
     /*  937632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  937652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937671 */     // MIs[0] policy
     /*  937671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  937684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937702 */     GIR_RootConstrainSelectedInstOperands,
     /*  937703 */     // GIR_Coverage, 13306,
     /*  937703 */     GIR_EraseRootFromParent_Done,
     /*  937704 */   // Label 14114: @937704
     /*  937704 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(937781), // Rule ID 13307 //
     /*  937709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  937726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  937729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937748 */     // MIs[0] policy
     /*  937748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  937761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937779 */     GIR_RootConstrainSelectedInstOperands,
     /*  937780 */     // GIR_Coverage, 13307,
     /*  937780 */     GIR_EraseRootFromParent_Done,
     /*  937781 */   // Label 14115: @937781
     /*  937781 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(937858), // Rule ID 13310 //
     /*  937786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  937806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937825 */     // MIs[0] policy
     /*  937825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  937838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937856 */     GIR_RootConstrainSelectedInstOperands,
     /*  937857 */     // GIR_Coverage, 13310,
     /*  937857 */     GIR_EraseRootFromParent_Done,
     /*  937858 */   // Label 14116: @937858
     /*  937858 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(937935), // Rule ID 13311 //
     /*  937863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  937874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  937877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  937880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  937883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937902 */     // MIs[0] policy
     /*  937902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  937915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937933 */     GIR_RootConstrainSelectedInstOperands,
     /*  937934 */     // GIR_Coverage, 13311,
     /*  937934 */     GIR_EraseRootFromParent_Done,
     /*  937935 */   // Label 14117: @937935
     /*  937935 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(938012), // Rule ID 13314 //
     /*  937940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  937948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  937951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  937954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  937960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937979 */     // MIs[0] policy
     /*  937979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  937992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938010 */     GIR_RootConstrainSelectedInstOperands,
     /*  938011 */     // GIR_Coverage, 13314,
     /*  938011 */     GIR_EraseRootFromParent_Done,
     /*  938012 */   // Label 14118: @938012
     /*  938012 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(938089), // Rule ID 13315 //
     /*  938017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  938034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  938037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938056 */     // MIs[0] policy
     /*  938056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  938069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938087 */     GIR_RootConstrainSelectedInstOperands,
     /*  938088 */     // GIR_Coverage, 13315,
     /*  938088 */     GIR_EraseRootFromParent_Done,
     /*  938089 */   // Label 14119: @938089
     /*  938089 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(938166), // Rule ID 13318 //
     /*  938094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  938114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938133 */     // MIs[0] policy
     /*  938133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  938146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938164 */     GIR_RootConstrainSelectedInstOperands,
     /*  938165 */     // GIR_Coverage, 13318,
     /*  938165 */     GIR_EraseRootFromParent_Done,
     /*  938166 */   // Label 14120: @938166
     /*  938166 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(938243), // Rule ID 13319 //
     /*  938171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  938188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  938191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938210 */     // MIs[0] policy
     /*  938210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938220 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  938223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938241 */     GIR_RootConstrainSelectedInstOperands,
     /*  938242 */     // GIR_Coverage, 13319,
     /*  938242 */     GIR_EraseRootFromParent_Done,
     /*  938243 */   // Label 14121: @938243
     /*  938243 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(938320), // Rule ID 13322 //
     /*  938248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  938259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  938262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938287 */     // MIs[0] policy
     /*  938287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  938300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938318 */     GIR_RootConstrainSelectedInstOperands,
     /*  938319 */     // GIR_Coverage, 13322,
     /*  938319 */     GIR_EraseRootFromParent_Done,
     /*  938320 */   // Label 14122: @938320
     /*  938320 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(938397), // Rule ID 13323 //
     /*  938325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  938336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  938339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938364 */     // MIs[0] policy
     /*  938364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  938377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938395 */     GIR_RootConstrainSelectedInstOperands,
     /*  938396 */     // GIR_Coverage, 13323,
     /*  938396 */     GIR_EraseRootFromParent_Done,
     /*  938397 */   // Label 14123: @938397
     /*  938397 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(938474), // Rule ID 13326 //
     /*  938402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  938422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938441 */     // MIs[0] policy
     /*  938441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  938454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938472 */     GIR_RootConstrainSelectedInstOperands,
     /*  938473 */     // GIR_Coverage, 13326,
     /*  938473 */     GIR_EraseRootFromParent_Done,
     /*  938474 */   // Label 14124: @938474
     /*  938474 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(938551), // Rule ID 13327 //
     /*  938479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  938499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938518 */     // MIs[0] policy
     /*  938518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  938531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938549 */     GIR_RootConstrainSelectedInstOperands,
     /*  938550 */     // GIR_Coverage, 13327,
     /*  938550 */     GIR_EraseRootFromParent_Done,
     /*  938551 */   // Label 14125: @938551
     /*  938551 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(938628), // Rule ID 13330 //
     /*  938556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  938576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938595 */     // MIs[0] policy
     /*  938595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938605 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  938608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938626 */     GIR_RootConstrainSelectedInstOperands,
     /*  938627 */     // GIR_Coverage, 13330,
     /*  938627 */     GIR_EraseRootFromParent_Done,
     /*  938628 */   // Label 14126: @938628
     /*  938628 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(938705), // Rule ID 13331 //
     /*  938633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  938653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938672 */     // MIs[0] policy
     /*  938672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  938685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938703 */     GIR_RootConstrainSelectedInstOperands,
     /*  938704 */     // GIR_Coverage, 13331,
     /*  938704 */     GIR_EraseRootFromParent_Done,
     /*  938705 */   // Label 14127: @938705
     /*  938705 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(938782), // Rule ID 13334 //
     /*  938710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  938730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938749 */     // MIs[0] policy
     /*  938749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938759 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  938762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938780 */     GIR_RootConstrainSelectedInstOperands,
     /*  938781 */     // GIR_Coverage, 13334,
     /*  938781 */     GIR_EraseRootFromParent_Done,
     /*  938782 */   // Label 14128: @938782
     /*  938782 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(938859), // Rule ID 13335 //
     /*  938787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  938798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  938801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  938807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938826 */     // MIs[0] policy
     /*  938826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  938839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938857 */     GIR_RootConstrainSelectedInstOperands,
     /*  938858 */     // GIR_Coverage, 13335,
     /*  938858 */     GIR_EraseRootFromParent_Done,
     /*  938859 */   // Label 14129: @938859
     /*  938859 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(938936), // Rule ID 13338 //
     /*  938864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  938881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  938884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938903 */     // MIs[0] policy
     /*  938903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /*  938916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938934 */     GIR_RootConstrainSelectedInstOperands,
     /*  938935 */     // GIR_Coverage, 13338,
     /*  938935 */     GIR_EraseRootFromParent_Done,
     /*  938936 */   // Label 14130: @938936
     /*  938936 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(939013), // Rule ID 13339 //
     /*  938941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  938949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  938958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  938961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938980 */     // MIs[0] policy
     /*  938980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /*  938993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939011 */     GIR_RootConstrainSelectedInstOperands,
     /*  939012 */     // GIR_Coverage, 13339,
     /*  939012 */     GIR_EraseRootFromParent_Done,
     /*  939013 */   // Label 14131: @939013
     /*  939013 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(939090), // Rule ID 13342 //
     /*  939018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  939038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939057 */     // MIs[0] policy
     /*  939057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  939070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939088 */     GIR_RootConstrainSelectedInstOperands,
     /*  939089 */     // GIR_Coverage, 13342,
     /*  939089 */     GIR_EraseRootFromParent_Done,
     /*  939090 */   // Label 14132: @939090
     /*  939090 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(939167), // Rule ID 13343 //
     /*  939095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  939106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  939109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  939115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939134 */     // MIs[0] policy
     /*  939134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  939147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939165 */     GIR_RootConstrainSelectedInstOperands,
     /*  939166 */     // GIR_Coverage, 13343,
     /*  939166 */     GIR_EraseRootFromParent_Done,
     /*  939167 */   // Label 14133: @939167
     /*  939167 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(939244), // Rule ID 13346 //
     /*  939172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  939186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  939192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939211 */     // MIs[0] policy
     /*  939211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  939224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939242 */     GIR_RootConstrainSelectedInstOperands,
     /*  939243 */     // GIR_Coverage, 13346,
     /*  939243 */     GIR_EraseRootFromParent_Done,
     /*  939244 */   // Label 14134: @939244
     /*  939244 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(939321), // Rule ID 13347 //
     /*  939249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  939263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  939269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939288 */     // MIs[0] policy
     /*  939288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  939301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939319 */     GIR_RootConstrainSelectedInstOperands,
     /*  939320 */     // GIR_Coverage, 13347,
     /*  939320 */     GIR_EraseRootFromParent_Done,
     /*  939321 */   // Label 14135: @939321
     /*  939321 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(939398), // Rule ID 13350 //
     /*  939326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939365 */     // MIs[0] policy
     /*  939365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939375 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  939378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939396 */     GIR_RootConstrainSelectedInstOperands,
     /*  939397 */     // GIR_Coverage, 13350,
     /*  939397 */     GIR_EraseRootFromParent_Done,
     /*  939398 */   // Label 14136: @939398
     /*  939398 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(939475), // Rule ID 13351 //
     /*  939403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939442 */     // MIs[0] policy
     /*  939442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  939455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939473 */     GIR_RootConstrainSelectedInstOperands,
     /*  939474 */     // GIR_Coverage, 13351,
     /*  939474 */     GIR_EraseRootFromParent_Done,
     /*  939475 */   // Label 14137: @939475
     /*  939475 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(939552), // Rule ID 13354 //
     /*  939480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  939500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939519 */     // MIs[0] policy
     /*  939519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939529 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  939532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939550 */     GIR_RootConstrainSelectedInstOperands,
     /*  939551 */     // GIR_Coverage, 13354,
     /*  939551 */     GIR_EraseRootFromParent_Done,
     /*  939552 */   // Label 14138: @939552
     /*  939552 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(939629), // Rule ID 13355 //
     /*  939557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  939577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939596 */     // MIs[0] policy
     /*  939596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939606 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  939609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939627 */     GIR_RootConstrainSelectedInstOperands,
     /*  939628 */     // GIR_Coverage, 13355,
     /*  939628 */     GIR_EraseRootFromParent_Done,
     /*  939629 */   // Label 14139: @939629
     /*  939629 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(939706), // Rule ID 13358 //
     /*  939634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  939645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  939648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  939654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939673 */     // MIs[0] policy
     /*  939673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939683 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  939686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939704 */     GIR_RootConstrainSelectedInstOperands,
     /*  939705 */     // GIR_Coverage, 13358,
     /*  939705 */     GIR_EraseRootFromParent_Done,
     /*  939706 */   // Label 14140: @939706
     /*  939706 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(939783), // Rule ID 13359 //
     /*  939711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  939722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  939725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  939731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939750 */     // MIs[0] policy
     /*  939750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  939763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939781 */     GIR_RootConstrainSelectedInstOperands,
     /*  939782 */     // GIR_Coverage, 13359,
     /*  939782 */     GIR_EraseRootFromParent_Done,
     /*  939783 */   // Label 14141: @939783
     /*  939783 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(939860), // Rule ID 13362 //
     /*  939788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939827 */     // MIs[0] policy
     /*  939827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  939840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939858 */     GIR_RootConstrainSelectedInstOperands,
     /*  939859 */     // GIR_Coverage, 13362,
     /*  939859 */     GIR_EraseRootFromParent_Done,
     /*  939860 */   // Label 14142: @939860
     /*  939860 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(939937), // Rule ID 13363 //
     /*  939865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  939882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939904 */     // MIs[0] policy
     /*  939904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  939917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939935 */     GIR_RootConstrainSelectedInstOperands,
     /*  939936 */     // GIR_Coverage, 13363,
     /*  939936 */     GIR_EraseRootFromParent_Done,
     /*  939937 */   // Label 14143: @939937
     /*  939937 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(940014), // Rule ID 13366 //
     /*  939942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  939950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  939953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  939956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  939959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  939962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939981 */     // MIs[0] policy
     /*  939981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  939994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940012 */     GIR_RootConstrainSelectedInstOperands,
     /*  940013 */     // GIR_Coverage, 13366,
     /*  940013 */     GIR_EraseRootFromParent_Done,
     /*  940014 */   // Label 14144: @940014
     /*  940014 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(940091), // Rule ID 13367 //
     /*  940019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940058 */     // MIs[0] policy
     /*  940058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  940071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940089 */     GIR_RootConstrainSelectedInstOperands,
     /*  940090 */     // GIR_Coverage, 13367,
     /*  940090 */     GIR_EraseRootFromParent_Done,
     /*  940091 */   // Label 14145: @940091
     /*  940091 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(940168), // Rule ID 13370 //
     /*  940096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940135 */     // MIs[0] policy
     /*  940135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  940148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940166 */     GIR_RootConstrainSelectedInstOperands,
     /*  940167 */     // GIR_Coverage, 13370,
     /*  940167 */     GIR_EraseRootFromParent_Done,
     /*  940168 */   // Label 14146: @940168
     /*  940168 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(940245), // Rule ID 13371 //
     /*  940173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940212 */     // MIs[0] policy
     /*  940212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  940225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940243 */     GIR_RootConstrainSelectedInstOperands,
     /*  940244 */     // GIR_Coverage, 13371,
     /*  940244 */     GIR_EraseRootFromParent_Done,
     /*  940245 */   // Label 14147: @940245
     /*  940245 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(940322), // Rule ID 13374 //
     /*  940250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940289 */     // MIs[0] policy
     /*  940289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  940302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940320 */     GIR_RootConstrainSelectedInstOperands,
     /*  940321 */     // GIR_Coverage, 13374,
     /*  940321 */     GIR_EraseRootFromParent_Done,
     /*  940322 */   // Label 14148: @940322
     /*  940322 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(940399), // Rule ID 13375 //
     /*  940327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940366 */     // MIs[0] policy
     /*  940366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  940379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940397 */     GIR_RootConstrainSelectedInstOperands,
     /*  940398 */     // GIR_Coverage, 13375,
     /*  940398 */     GIR_EraseRootFromParent_Done,
     /*  940399 */   // Label 14149: @940399
     /*  940399 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(940476), // Rule ID 13378 //
     /*  940404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940443 */     // MIs[0] policy
     /*  940443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  940456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940474 */     GIR_RootConstrainSelectedInstOperands,
     /*  940475 */     // GIR_Coverage, 13378,
     /*  940475 */     GIR_EraseRootFromParent_Done,
     /*  940476 */   // Label 14150: @940476
     /*  940476 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(940553), // Rule ID 13379 //
     /*  940481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940520 */     // MIs[0] policy
     /*  940520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  940533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940551 */     GIR_RootConstrainSelectedInstOperands,
     /*  940552 */     // GIR_Coverage, 13379,
     /*  940552 */     GIR_EraseRootFromParent_Done,
     /*  940553 */   // Label 14151: @940553
     /*  940553 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(940630), // Rule ID 13382 //
     /*  940558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940597 */     // MIs[0] policy
     /*  940597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  940610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940628 */     GIR_RootConstrainSelectedInstOperands,
     /*  940629 */     // GIR_Coverage, 13382,
     /*  940629 */     GIR_EraseRootFromParent_Done,
     /*  940630 */   // Label 14152: @940630
     /*  940630 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(940707), // Rule ID 13383 //
     /*  940635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940674 */     // MIs[0] policy
     /*  940674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  940687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940705 */     GIR_RootConstrainSelectedInstOperands,
     /*  940706 */     // GIR_Coverage, 13383,
     /*  940706 */     GIR_EraseRootFromParent_Done,
     /*  940707 */   // Label 14153: @940707
     /*  940707 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(940784), // Rule ID 13386 //
     /*  940712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940751 */     // MIs[0] policy
     /*  940751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  940764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940782 */     GIR_RootConstrainSelectedInstOperands,
     /*  940783 */     // GIR_Coverage, 13386,
     /*  940783 */     GIR_EraseRootFromParent_Done,
     /*  940784 */   // Label 14154: @940784
     /*  940784 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(940861), // Rule ID 13387 //
     /*  940789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940828 */     // MIs[0] policy
     /*  940828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  940841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940859 */     GIR_RootConstrainSelectedInstOperands,
     /*  940860 */     // GIR_Coverage, 13387,
     /*  940860 */     GIR_EraseRootFromParent_Done,
     /*  940861 */   // Label 14155: @940861
     /*  940861 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(940938), // Rule ID 13390 //
     /*  940866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  940869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940905 */     // MIs[0] policy
     /*  940905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  940918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940936 */     GIR_RootConstrainSelectedInstOperands,
     /*  940937 */     // GIR_Coverage, 13390,
     /*  940937 */     GIR_EraseRootFromParent_Done,
     /*  940938 */   // Label 14156: @940938
     /*  940938 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(941015), // Rule ID 13391 //
     /*  940943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  940946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  940951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940982 */     // MIs[0] policy
     /*  940982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  940995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941013 */     GIR_RootConstrainSelectedInstOperands,
     /*  941014 */     // GIR_Coverage, 13391,
     /*  941014 */     GIR_EraseRootFromParent_Done,
     /*  941015 */   // Label 14157: @941015
     /*  941015 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(941092), // Rule ID 13394 //
     /*  941020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  941028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941059 */     // MIs[0] policy
     /*  941059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  941072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941090 */     GIR_RootConstrainSelectedInstOperands,
     /*  941091 */     // GIR_Coverage, 13394,
     /*  941091 */     GIR_EraseRootFromParent_Done,
     /*  941092 */   // Label 14158: @941092
     /*  941092 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(941169), // Rule ID 13395 //
     /*  941097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  941105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941136 */     // MIs[0] policy
     /*  941136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  941149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941167 */     GIR_RootConstrainSelectedInstOperands,
     /*  941168 */     // GIR_Coverage, 13395,
     /*  941168 */     GIR_EraseRootFromParent_Done,
     /*  941169 */   // Label 14159: @941169
     /*  941169 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(941246), // Rule ID 13398 //
     /*  941174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  941185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  941188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941213 */     // MIs[0] policy
     /*  941213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*  941226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941244 */     GIR_RootConstrainSelectedInstOperands,
     /*  941245 */     // GIR_Coverage, 13398,
     /*  941245 */     GIR_EraseRootFromParent_Done,
     /*  941246 */   // Label 14160: @941246
     /*  941246 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(941323), // Rule ID 13399 //
     /*  941251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  941262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  941265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941290 */     // MIs[0] policy
     /*  941290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*  941303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941321 */     GIR_RootConstrainSelectedInstOperands,
     /*  941322 */     // GIR_Coverage, 13399,
     /*  941322 */     GIR_EraseRootFromParent_Done,
     /*  941323 */   // Label 14161: @941323
     /*  941323 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(941400), // Rule ID 13402 //
     /*  941328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  941339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  941342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  941345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941367 */     // MIs[0] policy
     /*  941367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  941380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941398 */     GIR_RootConstrainSelectedInstOperands,
     /*  941399 */     // GIR_Coverage, 13402,
     /*  941399 */     GIR_EraseRootFromParent_Done,
     /*  941400 */   // Label 14162: @941400
     /*  941400 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(941477), // Rule ID 13403 //
     /*  941405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  941416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  941419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  941422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941444 */     // MIs[0] policy
     /*  941444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  941457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941475 */     GIR_RootConstrainSelectedInstOperands,
     /*  941476 */     // GIR_Coverage, 13403,
     /*  941476 */     GIR_EraseRootFromParent_Done,
     /*  941477 */   // Label 14163: @941477
     /*  941477 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(941554), // Rule ID 13406 //
     /*  941482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  941493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  941496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  941499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  941502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941521 */     // MIs[0] policy
     /*  941521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  941534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941552 */     GIR_RootConstrainSelectedInstOperands,
     /*  941553 */     // GIR_Coverage, 13406,
     /*  941553 */     GIR_EraseRootFromParent_Done,
     /*  941554 */   // Label 14164: @941554
     /*  941554 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(941631), // Rule ID 13407 //
     /*  941559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  941570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  941573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  941576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  941579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941598 */     // MIs[0] policy
     /*  941598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  941611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941629 */     GIR_RootConstrainSelectedInstOperands,
     /*  941630 */     // GIR_Coverage, 13407,
     /*  941630 */     GIR_EraseRootFromParent_Done,
     /*  941631 */   // Label 14165: @941631
     /*  941631 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(941708), // Rule ID 13410 //
     /*  941636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  941647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  941650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  941653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  941656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941675 */     // MIs[0] policy
     /*  941675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  941688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941706 */     GIR_RootConstrainSelectedInstOperands,
     /*  941707 */     // GIR_Coverage, 13410,
     /*  941707 */     GIR_EraseRootFromParent_Done,
     /*  941708 */   // Label 14166: @941708
     /*  941708 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(941785), // Rule ID 13411 //
     /*  941713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  941724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  941727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  941730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  941733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941752 */     // MIs[0] policy
     /*  941752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  941765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941783 */     GIR_RootConstrainSelectedInstOperands,
     /*  941784 */     // GIR_Coverage, 13411,
     /*  941784 */     GIR_EraseRootFromParent_Done,
     /*  941785 */   // Label 14167: @941785
     /*  941785 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(941862), // Rule ID 13414 //
     /*  941790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  941801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  941804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  941807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  941810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941829 */     // MIs[0] policy
     /*  941829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  941842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941860 */     GIR_RootConstrainSelectedInstOperands,
     /*  941861 */     // GIR_Coverage, 13414,
     /*  941861 */     GIR_EraseRootFromParent_Done,
     /*  941862 */   // Label 14168: @941862
     /*  941862 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(941939), // Rule ID 13415 //
     /*  941867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  941878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  941881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  941884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  941887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941906 */     // MIs[0] policy
     /*  941906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  941919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941937 */     GIR_RootConstrainSelectedInstOperands,
     /*  941938 */     // GIR_Coverage, 13415,
     /*  941938 */     GIR_EraseRootFromParent_Done,
     /*  941939 */   // Label 14169: @941939
     /*  941939 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(942016), // Rule ID 13418 //
     /*  941944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  941952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  941955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  941958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  941961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  941964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941983 */     // MIs[0] policy
     /*  941983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  941996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942014 */     GIR_RootConstrainSelectedInstOperands,
     /*  942015 */     // GIR_Coverage, 13418,
     /*  942015 */     GIR_EraseRootFromParent_Done,
     /*  942016 */   // Label 14170: @942016
     /*  942016 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(942093), // Rule ID 13419 //
     /*  942021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  942032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  942035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  942038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  942041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942060 */     // MIs[0] policy
     /*  942060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  942073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942091 */     GIR_RootConstrainSelectedInstOperands,
     /*  942092 */     // GIR_Coverage, 13419,
     /*  942092 */     GIR_EraseRootFromParent_Done,
     /*  942093 */   // Label 14171: @942093
     /*  942093 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(942170), // Rule ID 13422 //
     /*  942098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  942109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  942112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942137 */     // MIs[0] policy
     /*  942137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  942150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942168 */     GIR_RootConstrainSelectedInstOperands,
     /*  942169 */     // GIR_Coverage, 13422,
     /*  942169 */     GIR_EraseRootFromParent_Done,
     /*  942170 */   // Label 14172: @942170
     /*  942170 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(942247), // Rule ID 13423 //
     /*  942175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  942186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  942189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942214 */     // MIs[0] policy
     /*  942214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  942227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942245 */     GIR_RootConstrainSelectedInstOperands,
     /*  942246 */     // GIR_Coverage, 13423,
     /*  942246 */     GIR_EraseRootFromParent_Done,
     /*  942247 */   // Label 14173: @942247
     /*  942247 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(942324), // Rule ID 13426 //
     /*  942252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942291 */     // MIs[0] policy
     /*  942291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  942304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942322 */     GIR_RootConstrainSelectedInstOperands,
     /*  942323 */     // GIR_Coverage, 13426,
     /*  942323 */     GIR_EraseRootFromParent_Done,
     /*  942324 */   // Label 14174: @942324
     /*  942324 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(942401), // Rule ID 13427 //
     /*  942329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942368 */     // MIs[0] policy
     /*  942368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  942381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942399 */     GIR_RootConstrainSelectedInstOperands,
     /*  942400 */     // GIR_Coverage, 13427,
     /*  942400 */     GIR_EraseRootFromParent_Done,
     /*  942401 */   // Label 14175: @942401
     /*  942401 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(942478), // Rule ID 13430 //
     /*  942406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  942417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  942420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  942423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  942426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942445 */     // MIs[0] policy
     /*  942445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  942458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942476 */     GIR_RootConstrainSelectedInstOperands,
     /*  942477 */     // GIR_Coverage, 13430,
     /*  942477 */     GIR_EraseRootFromParent_Done,
     /*  942478 */   // Label 14176: @942478
     /*  942478 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(942555), // Rule ID 13431 //
     /*  942483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  942494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  942497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  942500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  942503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942522 */     // MIs[0] policy
     /*  942522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  942535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942553 */     GIR_RootConstrainSelectedInstOperands,
     /*  942554 */     // GIR_Coverage, 13431,
     /*  942554 */     GIR_EraseRootFromParent_Done,
     /*  942555 */   // Label 14177: @942555
     /*  942555 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(942632), // Rule ID 13434 //
     /*  942560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942599 */     // MIs[0] policy
     /*  942599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  942612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942630 */     GIR_RootConstrainSelectedInstOperands,
     /*  942631 */     // GIR_Coverage, 13434,
     /*  942631 */     GIR_EraseRootFromParent_Done,
     /*  942632 */   // Label 14178: @942632
     /*  942632 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(942709), // Rule ID 13435 //
     /*  942637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  942648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  942651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942676 */     // MIs[0] policy
     /*  942676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  942689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942707 */     GIR_RootConstrainSelectedInstOperands,
     /*  942708 */     // GIR_Coverage, 13435,
     /*  942708 */     GIR_EraseRootFromParent_Done,
     /*  942709 */   // Label 14179: @942709
     /*  942709 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(942786), // Rule ID 13438 //
     /*  942714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942753 */     // MIs[0] policy
     /*  942753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  942766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942784 */     GIR_RootConstrainSelectedInstOperands,
     /*  942785 */     // GIR_Coverage, 13438,
     /*  942785 */     GIR_EraseRootFromParent_Done,
     /*  942786 */   // Label 14180: @942786
     /*  942786 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(942863), // Rule ID 13439 //
     /*  942791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  942802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  942805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942830 */     // MIs[0] policy
     /*  942830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  942843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942861 */     GIR_RootConstrainSelectedInstOperands,
     /*  942862 */     // GIR_Coverage, 13439,
     /*  942862 */     GIR_EraseRootFromParent_Done,
     /*  942863 */   // Label 14181: @942863
     /*  942863 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(942940), // Rule ID 13442 //
     /*  942868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  942871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942907 */     // MIs[0] policy
     /*  942907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  942920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942938 */     GIR_RootConstrainSelectedInstOperands,
     /*  942939 */     // GIR_Coverage, 13442,
     /*  942939 */     GIR_EraseRootFromParent_Done,
     /*  942940 */   // Label 14182: @942940
     /*  942940 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(943017), // Rule ID 13443 //
     /*  942945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  942948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  942953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  942962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  942965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942984 */     // MIs[0] policy
     /*  942984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  942997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943015 */     GIR_RootConstrainSelectedInstOperands,
     /*  943016 */     // GIR_Coverage, 13443,
     /*  943016 */     GIR_EraseRootFromParent_Done,
     /*  943017 */   // Label 14183: @943017
     /*  943017 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(943094), // Rule ID 13446 //
     /*  943022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  943039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  943042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943061 */     // MIs[0] policy
     /*  943061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  943074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943092 */     GIR_RootConstrainSelectedInstOperands,
     /*  943093 */     // GIR_Coverage, 13446,
     /*  943093 */     GIR_EraseRootFromParent_Done,
     /*  943094 */   // Label 14184: @943094
     /*  943094 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(943171), // Rule ID 13447 //
     /*  943099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  943116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  943119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943138 */     // MIs[0] policy
     /*  943138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  943151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943169 */     GIR_RootConstrainSelectedInstOperands,
     /*  943170 */     // GIR_Coverage, 13447,
     /*  943170 */     GIR_EraseRootFromParent_Done,
     /*  943171 */   // Label 14185: @943171
     /*  943171 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(943248), // Rule ID 13450 //
     /*  943176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  943187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  943190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943215 */     // MIs[0] policy
     /*  943215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943225 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  943228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943246 */     GIR_RootConstrainSelectedInstOperands,
     /*  943247 */     // GIR_Coverage, 13450,
     /*  943247 */     GIR_EraseRootFromParent_Done,
     /*  943248 */   // Label 14186: @943248
     /*  943248 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(943325), // Rule ID 13451 //
     /*  943253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  943264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  943267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943292 */     // MIs[0] policy
     /*  943292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  943305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943323 */     GIR_RootConstrainSelectedInstOperands,
     /*  943324 */     // GIR_Coverage, 13451,
     /*  943324 */     GIR_EraseRootFromParent_Done,
     /*  943325 */   // Label 14187: @943325
     /*  943325 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(943402), // Rule ID 13454 //
     /*  943330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  943333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  943341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  943344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943369 */     // MIs[0] policy
     /*  943369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943379 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  943382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943400 */     GIR_RootConstrainSelectedInstOperands,
     /*  943401 */     // GIR_Coverage, 13454,
     /*  943401 */     GIR_EraseRootFromParent_Done,
     /*  943402 */   // Label 14188: @943402
     /*  943402 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(943479), // Rule ID 13455 //
     /*  943407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  943410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  943418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  943421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943446 */     // MIs[0] policy
     /*  943446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  943459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943477 */     GIR_RootConstrainSelectedInstOperands,
     /*  943478 */     // GIR_Coverage, 13455,
     /*  943478 */     GIR_EraseRootFromParent_Done,
     /*  943479 */   // Label 14189: @943479
     /*  943479 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(943556), // Rule ID 13458 //
     /*  943484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  943498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943523 */     // MIs[0] policy
     /*  943523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /*  943536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943554 */     GIR_RootConstrainSelectedInstOperands,
     /*  943555 */     // GIR_Coverage, 13458,
     /*  943555 */     GIR_EraseRootFromParent_Done,
     /*  943556 */   // Label 14190: @943556
     /*  943556 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(943633), // Rule ID 13459 //
     /*  943561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  943575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  943581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943600 */     // MIs[0] policy
     /*  943600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /*  943613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943631 */     GIR_RootConstrainSelectedInstOperands,
     /*  943632 */     // GIR_Coverage, 13459,
     /*  943632 */     GIR_EraseRootFromParent_Done,
     /*  943633 */   // Label 14191: @943633
     /*  943633 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(943710), // Rule ID 13462 //
     /*  943638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  943652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943677 */     // MIs[0] policy
     /*  943677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  943690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943708 */     GIR_RootConstrainSelectedInstOperands,
     /*  943709 */     // GIR_Coverage, 13462,
     /*  943709 */     GIR_EraseRootFromParent_Done,
     /*  943710 */   // Label 14192: @943710
     /*  943710 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(943787), // Rule ID 13463 //
     /*  943715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  943729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  943735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943754 */     // MIs[0] policy
     /*  943754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  943767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943785 */     GIR_RootConstrainSelectedInstOperands,
     /*  943786 */     // GIR_Coverage, 13463,
     /*  943786 */     GIR_EraseRootFromParent_Done,
     /*  943787 */   // Label 14193: @943787
     /*  943787 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(943864), // Rule ID 13466 //
     /*  943792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943831 */     // MIs[0] policy
     /*  943831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  943844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943862 */     GIR_RootConstrainSelectedInstOperands,
     /*  943863 */     // GIR_Coverage, 13466,
     /*  943863 */     GIR_EraseRootFromParent_Done,
     /*  943864 */   // Label 14194: @943864
     /*  943864 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(943941), // Rule ID 13467 //
     /*  943869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  943889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943908 */     // MIs[0] policy
     /*  943908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  943921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943939 */     GIR_RootConstrainSelectedInstOperands,
     /*  943940 */     // GIR_Coverage, 13467,
     /*  943940 */     GIR_EraseRootFromParent_Done,
     /*  943941 */   // Label 14195: @943941
     /*  943941 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(944018), // Rule ID 13470 //
     /*  943946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  943954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  943966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943985 */     // MIs[0] policy
     /*  943985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  943998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944016 */     GIR_RootConstrainSelectedInstOperands,
     /*  944017 */     // GIR_Coverage, 13470,
     /*  944017 */     GIR_EraseRootFromParent_Done,
     /*  944018 */   // Label 14196: @944018
     /*  944018 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(944095), // Rule ID 13471 //
     /*  944023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  944034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  944037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  944043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944062 */     // MIs[0] policy
     /*  944062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  944075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944093 */     GIR_RootConstrainSelectedInstOperands,
     /*  944094 */     // GIR_Coverage, 13471,
     /*  944094 */     GIR_EraseRootFromParent_Done,
     /*  944095 */   // Label 14197: @944095
     /*  944095 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(944172), // Rule ID 13474 //
     /*  944100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  944111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  944114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  944120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944139 */     // MIs[0] policy
     /*  944139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  944152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944170 */     GIR_RootConstrainSelectedInstOperands,
     /*  944171 */     // GIR_Coverage, 13474,
     /*  944171 */     GIR_EraseRootFromParent_Done,
     /*  944172 */   // Label 14198: @944172
     /*  944172 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(944249), // Rule ID 13475 //
     /*  944177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  944188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  944191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  944197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944216 */     // MIs[0] policy
     /*  944216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  944229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944247 */     GIR_RootConstrainSelectedInstOperands,
     /*  944248 */     // GIR_Coverage, 13475,
     /*  944248 */     GIR_EraseRootFromParent_Done,
     /*  944249 */   // Label 14199: @944249
     /*  944249 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(944326), // Rule ID 13478 //
     /*  944254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  944265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  944268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  944274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944293 */     // MIs[0] policy
     /*  944293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944303 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  944306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944324 */     GIR_RootConstrainSelectedInstOperands,
     /*  944325 */     // GIR_Coverage, 13478,
     /*  944325 */     GIR_EraseRootFromParent_Done,
     /*  944326 */   // Label 14200: @944326
     /*  944326 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(944403), // Rule ID 13479 //
     /*  944331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  944342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  944345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  944351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944370 */     // MIs[0] policy
     /*  944370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  944383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944401 */     GIR_RootConstrainSelectedInstOperands,
     /*  944402 */     // GIR_Coverage, 13479,
     /*  944402 */     GIR_EraseRootFromParent_Done,
     /*  944403 */   // Label 14201: @944403
     /*  944403 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(944480), // Rule ID 13482 //
     /*  944408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944447 */     // MIs[0] policy
     /*  944447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  944460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944478 */     GIR_RootConstrainSelectedInstOperands,
     /*  944479 */     // GIR_Coverage, 13482,
     /*  944479 */     GIR_EraseRootFromParent_Done,
     /*  944480 */   // Label 14202: @944480
     /*  944480 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(944557), // Rule ID 13483 //
     /*  944485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944524 */     // MIs[0] policy
     /*  944524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  944537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944555 */     GIR_RootConstrainSelectedInstOperands,
     /*  944556 */     // GIR_Coverage, 13483,
     /*  944556 */     GIR_EraseRootFromParent_Done,
     /*  944557 */   // Label 14203: @944557
     /*  944557 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(944634), // Rule ID 13486 //
     /*  944562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944601 */     // MIs[0] policy
     /*  944601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  944614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944632 */     GIR_RootConstrainSelectedInstOperands,
     /*  944633 */     // GIR_Coverage, 13486,
     /*  944633 */     GIR_EraseRootFromParent_Done,
     /*  944634 */   // Label 14204: @944634
     /*  944634 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(944711), // Rule ID 13487 //
     /*  944639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944678 */     // MIs[0] policy
     /*  944678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  944691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944709 */     GIR_RootConstrainSelectedInstOperands,
     /*  944710 */     // GIR_Coverage, 13487,
     /*  944710 */     GIR_EraseRootFromParent_Done,
     /*  944711 */   // Label 14205: @944711
     /*  944711 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(944788), // Rule ID 13490 //
     /*  944716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944755 */     // MIs[0] policy
     /*  944755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  944768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944786 */     GIR_RootConstrainSelectedInstOperands,
     /*  944787 */     // GIR_Coverage, 13490,
     /*  944787 */     GIR_EraseRootFromParent_Done,
     /*  944788 */   // Label 14206: @944788
     /*  944788 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(944865), // Rule ID 13491 //
     /*  944793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944832 */     // MIs[0] policy
     /*  944832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  944845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944863 */     GIR_RootConstrainSelectedInstOperands,
     /*  944864 */     // GIR_Coverage, 13491,
     /*  944864 */     GIR_EraseRootFromParent_Done,
     /*  944865 */   // Label 14207: @944865
     /*  944865 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(944942), // Rule ID 13494 //
     /*  944870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944909 */     // MIs[0] policy
     /*  944909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  944922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944940 */     GIR_RootConstrainSelectedInstOperands,
     /*  944941 */     // GIR_Coverage, 13494,
     /*  944941 */     GIR_EraseRootFromParent_Done,
     /*  944942 */   // Label 14208: @944942
     /*  944942 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(945019), // Rule ID 13495 //
     /*  944947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  944955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  944967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944986 */     // MIs[0] policy
     /*  944986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  944999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945017 */     GIR_RootConstrainSelectedInstOperands,
     /*  945018 */     // GIR_Coverage, 13495,
     /*  945018 */     GIR_EraseRootFromParent_Done,
     /*  945019 */   // Label 14209: @945019
     /*  945019 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(945096), // Rule ID 13498 //
     /*  945024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  945041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945063 */     // MIs[0] policy
     /*  945063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  945076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945094 */     GIR_RootConstrainSelectedInstOperands,
     /*  945095 */     // GIR_Coverage, 13498,
     /*  945095 */     GIR_EraseRootFromParent_Done,
     /*  945096 */   // Label 14210: @945096
     /*  945096 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(945173), // Rule ID 13499 //
     /*  945101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  945118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945140 */     // MIs[0] policy
     /*  945140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  945153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945171 */     GIR_RootConstrainSelectedInstOperands,
     /*  945172 */     // GIR_Coverage, 13499,
     /*  945172 */     GIR_EraseRootFromParent_Done,
     /*  945173 */   // Label 14211: @945173
     /*  945173 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(945250), // Rule ID 13502 //
     /*  945178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  945181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  945195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945217 */     // MIs[0] policy
     /*  945217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  945230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945248 */     GIR_RootConstrainSelectedInstOperands,
     /*  945249 */     // GIR_Coverage, 13502,
     /*  945249 */     GIR_EraseRootFromParent_Done,
     /*  945250 */   // Label 14212: @945250
     /*  945250 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(945327), // Rule ID 13503 //
     /*  945255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  945258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  945272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945294 */     // MIs[0] policy
     /*  945294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  945307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945325 */     GIR_RootConstrainSelectedInstOperands,
     /*  945326 */     // GIR_Coverage, 13503,
     /*  945326 */     GIR_EraseRootFromParent_Done,
     /*  945327 */   // Label 14213: @945327
     /*  945327 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(945404), // Rule ID 13506 //
     /*  945332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  945335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  945349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945371 */     // MIs[0] policy
     /*  945371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945381 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  945384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945402 */     GIR_RootConstrainSelectedInstOperands,
     /*  945403 */     // GIR_Coverage, 13506,
     /*  945403 */     GIR_EraseRootFromParent_Done,
     /*  945404 */   // Label 14214: @945404
     /*  945404 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(945481), // Rule ID 13507 //
     /*  945409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  945412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  945426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945448 */     // MIs[0] policy
     /*  945448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  945461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945479 */     GIR_RootConstrainSelectedInstOperands,
     /*  945480 */     // GIR_Coverage, 13507,
     /*  945480 */     GIR_EraseRootFromParent_Done,
     /*  945481 */   // Label 14215: @945481
     /*  945481 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(945558), // Rule ID 13510 //
     /*  945486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  945489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  945503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945525 */     // MIs[0] policy
     /*  945525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  945538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945556 */     GIR_RootConstrainSelectedInstOperands,
     /*  945557 */     // GIR_Coverage, 13510,
     /*  945557 */     GIR_EraseRootFromParent_Done,
     /*  945558 */   // Label 14216: @945558
     /*  945558 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(945635), // Rule ID 13511 //
     /*  945563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  945566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  945577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  945580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  945583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945602 */     // MIs[0] policy
     /*  945602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  945615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945633 */     GIR_RootConstrainSelectedInstOperands,
     /*  945634 */     // GIR_Coverage, 13511,
     /*  945634 */     GIR_EraseRootFromParent_Done,
     /*  945635 */   // Label 14217: @945635
     /*  945635 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(945712), // Rule ID 13514 //
     /*  945640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  945643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  945657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945679 */     // MIs[0] policy
     /*  945679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  945692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945710 */     GIR_RootConstrainSelectedInstOperands,
     /*  945711 */     // GIR_Coverage, 13514,
     /*  945711 */     GIR_EraseRootFromParent_Done,
     /*  945712 */   // Label 14218: @945712
     /*  945712 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(945789), // Rule ID 13515 //
     /*  945717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  945720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  945725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  945731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  945734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  945737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945756 */     // MIs[0] policy
     /*  945756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945766 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  945769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945787 */     GIR_RootConstrainSelectedInstOperands,
     /*  945788 */     // GIR_Coverage, 13515,
     /*  945788 */     GIR_EraseRootFromParent_Done,
     /*  945789 */   // Label 14219: @945789
     /*  945789 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(945866), // Rule ID 13518 //
     /*  945794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  945802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  945805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  945808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  945811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  945814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945833 */     // MIs[0] policy
     /*  945833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*  945846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945864 */     GIR_RootConstrainSelectedInstOperands,
     /*  945865 */     // GIR_Coverage, 13518,
     /*  945865 */     GIR_EraseRootFromParent_Done,
     /*  945866 */   // Label 14220: @945866
     /*  945866 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(945943), // Rule ID 13519 //
     /*  945871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  945879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  945882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  945885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  945888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  945891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945910 */     // MIs[0] policy
     /*  945910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945920 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*  945923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945941 */     GIR_RootConstrainSelectedInstOperands,
     /*  945942 */     // GIR_Coverage, 13519,
     /*  945942 */     GIR_EraseRootFromParent_Done,
     /*  945943 */   // Label 14221: @945943
     /*  945943 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(946020), // Rule ID 13522 //
     /*  945948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  945956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  945959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  945962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  945965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  945968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945987 */     // MIs[0] policy
     /*  945987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  946000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946018 */     GIR_RootConstrainSelectedInstOperands,
     /*  946019 */     // GIR_Coverage, 13522,
     /*  946019 */     GIR_EraseRootFromParent_Done,
     /*  946020 */   // Label 14222: @946020
     /*  946020 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(946097), // Rule ID 13523 //
     /*  946025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  946036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  946039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  946042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  946045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946064 */     // MIs[0] policy
     /*  946064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  946077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946095 */     GIR_RootConstrainSelectedInstOperands,
     /*  946096 */     // GIR_Coverage, 13523,
     /*  946096 */     GIR_EraseRootFromParent_Done,
     /*  946097 */   // Label 14223: @946097
     /*  946097 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(946174), // Rule ID 13526 //
     /*  946102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  946116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  946119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  946122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946141 */     // MIs[0] policy
     /*  946141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  946154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946172 */     GIR_RootConstrainSelectedInstOperands,
     /*  946173 */     // GIR_Coverage, 13526,
     /*  946173 */     GIR_EraseRootFromParent_Done,
     /*  946174 */   // Label 14224: @946174
     /*  946174 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(946251), // Rule ID 13527 //
     /*  946179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  946190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  946193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  946196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  946199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946218 */     // MIs[0] policy
     /*  946218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  946231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946249 */     GIR_RootConstrainSelectedInstOperands,
     /*  946250 */     // GIR_Coverage, 13527,
     /*  946250 */     GIR_EraseRootFromParent_Done,
     /*  946251 */   // Label 14225: @946251
     /*  946251 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(946328), // Rule ID 13530 //
     /*  946256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  946270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946295 */     // MIs[0] policy
     /*  946295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  946308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946326 */     GIR_RootConstrainSelectedInstOperands,
     /*  946327 */     // GIR_Coverage, 13530,
     /*  946327 */     GIR_EraseRootFromParent_Done,
     /*  946328 */   // Label 14226: @946328
     /*  946328 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(946405), // Rule ID 13531 //
     /*  946333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  946347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  946350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  946353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946372 */     // MIs[0] policy
     /*  946372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  946385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946403 */     GIR_RootConstrainSelectedInstOperands,
     /*  946404 */     // GIR_Coverage, 13531,
     /*  946404 */     GIR_EraseRootFromParent_Done,
     /*  946405 */   // Label 14227: @946405
     /*  946405 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(946482), // Rule ID 13534 //
     /*  946410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  946421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  946424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  946427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  946430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946449 */     // MIs[0] policy
     /*  946449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  946462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946480 */     GIR_RootConstrainSelectedInstOperands,
     /*  946481 */     // GIR_Coverage, 13534,
     /*  946481 */     GIR_EraseRootFromParent_Done,
     /*  946482 */   // Label 14228: @946482
     /*  946482 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(946559), // Rule ID 13535 //
     /*  946487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  946498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  946501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  946504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  946507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946526 */     // MIs[0] policy
     /*  946526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  946539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946557 */     GIR_RootConstrainSelectedInstOperands,
     /*  946558 */     // GIR_Coverage, 13535,
     /*  946558 */     GIR_EraseRootFromParent_Done,
     /*  946559 */   // Label 14229: @946559
     /*  946559 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(946636), // Rule ID 13538 //
     /*  946564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  946575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  946578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946603 */     // MIs[0] policy
     /*  946603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  946616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946634 */     GIR_RootConstrainSelectedInstOperands,
     /*  946635 */     // GIR_Coverage, 13538,
     /*  946635 */     GIR_EraseRootFromParent_Done,
     /*  946636 */   // Label 14230: @946636
     /*  946636 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(946713), // Rule ID 13539 //
     /*  946641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  946652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  946655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946680 */     // MIs[0] policy
     /*  946680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  946693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946711 */     GIR_RootConstrainSelectedInstOperands,
     /*  946712 */     // GIR_Coverage, 13539,
     /*  946712 */     GIR_EraseRootFromParent_Done,
     /*  946713 */   // Label 14231: @946713
     /*  946713 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(946790), // Rule ID 13542 //
     /*  946718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  946732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  946738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946757 */     // MIs[0] policy
     /*  946757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  946770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946788 */     GIR_RootConstrainSelectedInstOperands,
     /*  946789 */     // GIR_Coverage, 13542,
     /*  946789 */     GIR_EraseRootFromParent_Done,
     /*  946790 */   // Label 14232: @946790
     /*  946790 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(946867), // Rule ID 13543 //
     /*  946795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  946809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  946815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946834 */     // MIs[0] policy
     /*  946834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  946847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946865 */     GIR_RootConstrainSelectedInstOperands,
     /*  946866 */     // GIR_Coverage, 13543,
     /*  946866 */     GIR_EraseRootFromParent_Done,
     /*  946867 */   // Label 14233: @946867
     /*  946867 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(946944), // Rule ID 13546 //
     /*  946872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946911 */     // MIs[0] policy
     /*  946911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  946924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946942 */     GIR_RootConstrainSelectedInstOperands,
     /*  946943 */     // GIR_Coverage, 13546,
     /*  946943 */     GIR_EraseRootFromParent_Done,
     /*  946944 */   // Label 14234: @946944
     /*  946944 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(947021), // Rule ID 13547 //
     /*  946949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  946957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946988 */     // MIs[0] policy
     /*  946988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  947001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947019 */     GIR_RootConstrainSelectedInstOperands,
     /*  947020 */     // GIR_Coverage, 13547,
     /*  947020 */     GIR_EraseRootFromParent_Done,
     /*  947021 */   // Label 14235: @947021
     /*  947021 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(947098), // Rule ID 13550 //
     /*  947026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  947037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  947040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  947046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947065 */     // MIs[0] policy
     /*  947065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  947078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947096 */     GIR_RootConstrainSelectedInstOperands,
     /*  947097 */     // GIR_Coverage, 13550,
     /*  947097 */     GIR_EraseRootFromParent_Done,
     /*  947098 */   // Label 14236: @947098
     /*  947098 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(947175), // Rule ID 13551 //
     /*  947103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  947114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  947117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  947123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947142 */     // MIs[0] policy
     /*  947142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  947155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947173 */     GIR_RootConstrainSelectedInstOperands,
     /*  947174 */     // GIR_Coverage, 13551,
     /*  947174 */     GIR_EraseRootFromParent_Done,
     /*  947175 */   // Label 14237: @947175
     /*  947175 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(947252), // Rule ID 13554 //
     /*  947180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  947191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  947194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947219 */     // MIs[0] policy
     /*  947219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947229 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  947232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947250 */     GIR_RootConstrainSelectedInstOperands,
     /*  947251 */     // GIR_Coverage, 13554,
     /*  947251 */     GIR_EraseRootFromParent_Done,
     /*  947252 */   // Label 14238: @947252
     /*  947252 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(947329), // Rule ID 13555 //
     /*  947257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  947268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  947271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947296 */     // MIs[0] policy
     /*  947296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  947309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947327 */     GIR_RootConstrainSelectedInstOperands,
     /*  947328 */     // GIR_Coverage, 13555,
     /*  947328 */     GIR_EraseRootFromParent_Done,
     /*  947329 */   // Label 14239: @947329
     /*  947329 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(947406), // Rule ID 13558 //
     /*  947334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947373 */     // MIs[0] policy
     /*  947373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  947386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947404 */     GIR_RootConstrainSelectedInstOperands,
     /*  947405 */     // GIR_Coverage, 13558,
     /*  947405 */     GIR_EraseRootFromParent_Done,
     /*  947406 */   // Label 14240: @947406
     /*  947406 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(947483), // Rule ID 13559 //
     /*  947411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947450 */     // MIs[0] policy
     /*  947450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  947463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947481 */     GIR_RootConstrainSelectedInstOperands,
     /*  947482 */     // GIR_Coverage, 13559,
     /*  947482 */     GIR_EraseRootFromParent_Done,
     /*  947483 */   // Label 14241: @947483
     /*  947483 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(947560), // Rule ID 13562 //
     /*  947488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  947491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  947502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  947505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  947508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947527 */     // MIs[0] policy
     /*  947527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  947540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947558 */     GIR_RootConstrainSelectedInstOperands,
     /*  947559 */     // GIR_Coverage, 13562,
     /*  947559 */     GIR_EraseRootFromParent_Done,
     /*  947560 */   // Label 14242: @947560
     /*  947560 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(947637), // Rule ID 13563 //
     /*  947565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  947568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  947579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  947582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  947585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947604 */     // MIs[0] policy
     /*  947604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  947617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947635 */     GIR_RootConstrainSelectedInstOperands,
     /*  947636 */     // GIR_Coverage, 13563,
     /*  947636 */     GIR_EraseRootFromParent_Done,
     /*  947637 */   // Label 14243: @947637
     /*  947637 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(947714), // Rule ID 13566 //
     /*  947642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  947645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947681 */     // MIs[0] policy
     /*  947681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  947694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947712 */     GIR_RootConstrainSelectedInstOperands,
     /*  947713 */     // GIR_Coverage, 13566,
     /*  947713 */     GIR_EraseRootFromParent_Done,
     /*  947714 */   // Label 14244: @947714
     /*  947714 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(947791), // Rule ID 13567 //
     /*  947719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  947722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  947736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947758 */     // MIs[0] policy
     /*  947758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  947771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947789 */     GIR_RootConstrainSelectedInstOperands,
     /*  947790 */     // GIR_Coverage, 13567,
     /*  947790 */     GIR_EraseRootFromParent_Done,
     /*  947791 */   // Label 14245: @947791
     /*  947791 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(947868), // Rule ID 13570 //
     /*  947796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  947799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  947813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947835 */     // MIs[0] policy
     /*  947835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  947848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947866 */     GIR_RootConstrainSelectedInstOperands,
     /*  947867 */     // GIR_Coverage, 13570,
     /*  947867 */     GIR_EraseRootFromParent_Done,
     /*  947868 */   // Label 14246: @947868
     /*  947868 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(947945), // Rule ID 13571 //
     /*  947873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  947876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  947890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947912 */     // MIs[0] policy
     /*  947912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  947925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947943 */     GIR_RootConstrainSelectedInstOperands,
     /*  947944 */     // GIR_Coverage, 13571,
     /*  947944 */     GIR_EraseRootFromParent_Done,
     /*  947945 */   // Label 14247: @947945
     /*  947945 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(948022), // Rule ID 13574 //
     /*  947950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  947953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  947958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  947967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947989 */     // MIs[0] policy
     /*  947989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  948002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948020 */     GIR_RootConstrainSelectedInstOperands,
     /*  948021 */     // GIR_Coverage, 13574,
     /*  948021 */     GIR_EraseRootFromParent_Done,
     /*  948022 */   // Label 14248: @948022
     /*  948022 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(948099), // Rule ID 13575 //
     /*  948027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  948030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  948038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  948041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948066 */     // MIs[0] policy
     /*  948066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  948079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948097 */     GIR_RootConstrainSelectedInstOperands,
     /*  948098 */     // GIR_Coverage, 13575,
     /*  948098 */     GIR_EraseRootFromParent_Done,
     /*  948099 */   // Label 14249: @948099
     /*  948099 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(948176), // Rule ID 13578 //
     /*  948104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  948118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  948124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948143 */     // MIs[0] policy
     /*  948143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /*  948156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948174 */     GIR_RootConstrainSelectedInstOperands,
     /*  948175 */     // GIR_Coverage, 13578,
     /*  948175 */     GIR_EraseRootFromParent_Done,
     /*  948176 */   // Label 14250: @948176
     /*  948176 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(948253), // Rule ID 13579 //
     /*  948181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  948195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  948201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948220 */     // MIs[0] policy
     /*  948220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /*  948233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948251 */     GIR_RootConstrainSelectedInstOperands,
     /*  948252 */     // GIR_Coverage, 13579,
     /*  948252 */     GIR_EraseRootFromParent_Done,
     /*  948253 */   // Label 14251: @948253
     /*  948253 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(948330), // Rule ID 13582 //
     /*  948258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  948272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948297 */     // MIs[0] policy
     /*  948297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  948310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948328 */     GIR_RootConstrainSelectedInstOperands,
     /*  948329 */     // GIR_Coverage, 13582,
     /*  948329 */     GIR_EraseRootFromParent_Done,
     /*  948330 */   // Label 14252: @948330
     /*  948330 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(948407), // Rule ID 13583 //
     /*  948335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  948349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948374 */     // MIs[0] policy
     /*  948374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  948387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948405 */     GIR_RootConstrainSelectedInstOperands,
     /*  948406 */     // GIR_Coverage, 13583,
     /*  948406 */     GIR_EraseRootFromParent_Done,
     /*  948407 */   // Label 14253: @948407
     /*  948407 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(948484), // Rule ID 13586 //
     /*  948412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  948423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  948426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948451 */     // MIs[0] policy
     /*  948451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  948464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948482 */     GIR_RootConstrainSelectedInstOperands,
     /*  948483 */     // GIR_Coverage, 13586,
     /*  948483 */     GIR_EraseRootFromParent_Done,
     /*  948484 */   // Label 14254: @948484
     /*  948484 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(948561), // Rule ID 13587 //
     /*  948489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  948500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  948503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948528 */     // MIs[0] policy
     /*  948528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  948541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948559 */     GIR_RootConstrainSelectedInstOperands,
     /*  948560 */     // GIR_Coverage, 13587,
     /*  948560 */     GIR_EraseRootFromParent_Done,
     /*  948561 */   // Label 14255: @948561
     /*  948561 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(948638), // Rule ID 13590 //
     /*  948566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  948580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  948586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948605 */     // MIs[0] policy
     /*  948605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  948618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948636 */     GIR_RootConstrainSelectedInstOperands,
     /*  948637 */     // GIR_Coverage, 13590,
     /*  948637 */     GIR_EraseRootFromParent_Done,
     /*  948638 */   // Label 14256: @948638
     /*  948638 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(948715), // Rule ID 13591 //
     /*  948643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  948654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  948657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  948663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948682 */     // MIs[0] policy
     /*  948682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  948695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948713 */     GIR_RootConstrainSelectedInstOperands,
     /*  948714 */     // GIR_Coverage, 13591,
     /*  948714 */     GIR_EraseRootFromParent_Done,
     /*  948715 */   // Label 14257: @948715
     /*  948715 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(948792), // Rule ID 13594 //
     /*  948720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  948734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  948740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948759 */     // MIs[0] policy
     /*  948759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  948772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948790 */     GIR_RootConstrainSelectedInstOperands,
     /*  948791 */     // GIR_Coverage, 13594,
     /*  948791 */     GIR_EraseRootFromParent_Done,
     /*  948792 */   // Label 14258: @948792
     /*  948792 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(948869), // Rule ID 13595 //
     /*  948797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  948808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  948811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  948817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948836 */     // MIs[0] policy
     /*  948836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  948849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948867 */     GIR_RootConstrainSelectedInstOperands,
     /*  948868 */     // GIR_Coverage, 13595,
     /*  948868 */     GIR_EraseRootFromParent_Done,
     /*  948869 */   // Label 14259: @948869
     /*  948869 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(948946), // Rule ID 13598 //
     /*  948874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  948888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948913 */     // MIs[0] policy
     /*  948913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948923 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  948926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948944 */     GIR_RootConstrainSelectedInstOperands,
     /*  948945 */     // GIR_Coverage, 13598,
     /*  948945 */     GIR_EraseRootFromParent_Done,
     /*  948946 */   // Label 14260: @948946
     /*  948946 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(949023), // Rule ID 13599 //
     /*  948951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  948959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  948965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948990 */     // MIs[0] policy
     /*  948990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  949003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949021 */     GIR_RootConstrainSelectedInstOperands,
     /*  949022 */     // GIR_Coverage, 13599,
     /*  949022 */     GIR_EraseRootFromParent_Done,
     /*  949023 */   // Label 14261: @949023
     /*  949023 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(949100), // Rule ID 13602 //
     /*  949028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  949042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949067 */     // MIs[0] policy
     /*  949067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  949080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949098 */     GIR_RootConstrainSelectedInstOperands,
     /*  949099 */     // GIR_Coverage, 13602,
     /*  949099 */     GIR_EraseRootFromParent_Done,
     /*  949100 */   // Label 14262: @949100
     /*  949100 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(949177), // Rule ID 13603 //
     /*  949105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  949119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949144 */     // MIs[0] policy
     /*  949144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  949157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949175 */     GIR_RootConstrainSelectedInstOperands,
     /*  949176 */     // GIR_Coverage, 13603,
     /*  949176 */     GIR_EraseRootFromParent_Done,
     /*  949177 */   // Label 14263: @949177
     /*  949177 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(949254), // Rule ID 13606 //
     /*  949182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  949196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949221 */     // MIs[0] policy
     /*  949221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  949234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949252 */     GIR_RootConstrainSelectedInstOperands,
     /*  949253 */     // GIR_Coverage, 13606,
     /*  949253 */     GIR_EraseRootFromParent_Done,
     /*  949254 */   // Label 14264: @949254
     /*  949254 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(949331), // Rule ID 13607 //
     /*  949259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  949273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949298 */     // MIs[0] policy
     /*  949298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  949311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949329 */     GIR_RootConstrainSelectedInstOperands,
     /*  949330 */     // GIR_Coverage, 13607,
     /*  949330 */     GIR_EraseRootFromParent_Done,
     /*  949331 */   // Label 14265: @949331
     /*  949331 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(949408), // Rule ID 13610 //
     /*  949336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  949350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949375 */     // MIs[0] policy
     /*  949375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  949388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949406 */     GIR_RootConstrainSelectedInstOperands,
     /*  949407 */     // GIR_Coverage, 13610,
     /*  949407 */     GIR_EraseRootFromParent_Done,
     /*  949408 */   // Label 14266: @949408
     /*  949408 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(949485), // Rule ID 13611 //
     /*  949413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  949427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949452 */     // MIs[0] policy
     /*  949452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  949465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949483 */     GIR_RootConstrainSelectedInstOperands,
     /*  949484 */     // GIR_Coverage, 13611,
     /*  949484 */     GIR_EraseRootFromParent_Done,
     /*  949485 */   // Label 14267: @949485
     /*  949485 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(949562), // Rule ID 13614 //
     /*  949490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  949504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949529 */     // MIs[0] policy
     /*  949529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  949542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949560 */     GIR_RootConstrainSelectedInstOperands,
     /*  949561 */     // GIR_Coverage, 13614,
     /*  949561 */     GIR_EraseRootFromParent_Done,
     /*  949562 */   // Label 14268: @949562
     /*  949562 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(949639), // Rule ID 13615 //
     /*  949567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  949581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949606 */     // MIs[0] policy
     /*  949606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  949619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949637 */     GIR_RootConstrainSelectedInstOperands,
     /*  949638 */     // GIR_Coverage, 13615,
     /*  949638 */     GIR_EraseRootFromParent_Done,
     /*  949639 */   // Label 14269: @949639
     /*  949639 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(949716), // Rule ID 13618 //
     /*  949644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  949658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949683 */     // MIs[0] policy
     /*  949683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  949696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949714 */     GIR_RootConstrainSelectedInstOperands,
     /*  949715 */     // GIR_Coverage, 13618,
     /*  949715 */     GIR_EraseRootFromParent_Done,
     /*  949716 */   // Label 14270: @949716
     /*  949716 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(949793), // Rule ID 13619 //
     /*  949721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  949735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949760 */     // MIs[0] policy
     /*  949760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  949773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949791 */     GIR_RootConstrainSelectedInstOperands,
     /*  949792 */     // GIR_Coverage, 13619,
     /*  949792 */     GIR_EraseRootFromParent_Done,
     /*  949793 */   // Label 14271: @949793
     /*  949793 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(949870), // Rule ID 13622 //
     /*  949798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  949801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  949809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  949812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949837 */     // MIs[0] policy
     /*  949837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  949850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949868 */     GIR_RootConstrainSelectedInstOperands,
     /*  949869 */     // GIR_Coverage, 13622,
     /*  949869 */     GIR_EraseRootFromParent_Done,
     /*  949870 */   // Label 14272: @949870
     /*  949870 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(949947), // Rule ID 13623 //
     /*  949875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  949878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  949886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  949889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949914 */     // MIs[0] policy
     /*  949914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  949927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949945 */     GIR_RootConstrainSelectedInstOperands,
     /*  949946 */     // GIR_Coverage, 13623,
     /*  949946 */     GIR_EraseRootFromParent_Done,
     /*  949947 */   // Label 14273: @949947
     /*  949947 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(950024), // Rule ID 13626 //
     /*  949952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  949955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  949960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  949966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  949972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949991 */     // MIs[0] policy
     /*  949991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  950004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950022 */     GIR_RootConstrainSelectedInstOperands,
     /*  950023 */     // GIR_Coverage, 13626,
     /*  950023 */     GIR_EraseRootFromParent_Done,
     /*  950024 */   // Label 14274: @950024
     /*  950024 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(950101), // Rule ID 13627 //
     /*  950029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  950032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  950037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  950043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  950049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950068 */     // MIs[0] policy
     /*  950068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  950081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950099 */     GIR_RootConstrainSelectedInstOperands,
     /*  950100 */     // GIR_Coverage, 13627,
     /*  950100 */     GIR_EraseRootFromParent_Done,
     /*  950101 */   // Label 14275: @950101
     /*  950101 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(950178), // Rule ID 13630 //
     /*  950106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  950109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  950114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  950120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950145 */     // MIs[0] policy
     /*  950145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  950158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950176 */     GIR_RootConstrainSelectedInstOperands,
     /*  950177 */     // GIR_Coverage, 13630,
     /*  950177 */     GIR_EraseRootFromParent_Done,
     /*  950178 */   // Label 14276: @950178
     /*  950178 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(950255), // Rule ID 13631 //
     /*  950183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  950186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  950191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  950197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950222 */     // MIs[0] policy
     /*  950222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  950235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950253 */     GIR_RootConstrainSelectedInstOperands,
     /*  950254 */     // GIR_Coverage, 13631,
     /*  950254 */     GIR_EraseRootFromParent_Done,
     /*  950255 */   // Label 14277: @950255
     /*  950255 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(950332), // Rule ID 13634 //
     /*  950260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  950263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  950268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  950274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950299 */     // MIs[0] policy
     /*  950299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  950312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950330 */     GIR_RootConstrainSelectedInstOperands,
     /*  950331 */     // GIR_Coverage, 13634,
     /*  950331 */     GIR_EraseRootFromParent_Done,
     /*  950332 */   // Label 14278: @950332
     /*  950332 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(950409), // Rule ID 13635 //
     /*  950337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  950340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  950345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  950351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950376 */     // MIs[0] policy
     /*  950376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  950389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950407 */     GIR_RootConstrainSelectedInstOperands,
     /*  950408 */     // GIR_Coverage, 13635,
     /*  950408 */     GIR_EraseRootFromParent_Done,
     /*  950409 */   // Label 14279: @950409
     /*  950409 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(950486), // Rule ID 13638 //
     /*  950414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  950425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  950428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  950434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950453 */     // MIs[0] policy
     /*  950453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /*  950466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950484 */     GIR_RootConstrainSelectedInstOperands,
     /*  950485 */     // GIR_Coverage, 13638,
     /*  950485 */     GIR_EraseRootFromParent_Done,
     /*  950486 */   // Label 14280: @950486
     /*  950486 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(950563), // Rule ID 13639 //
     /*  950491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  950502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  950505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  950511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950530 */     // MIs[0] policy
     /*  950530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /*  950543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950561 */     GIR_RootConstrainSelectedInstOperands,
     /*  950562 */     // GIR_Coverage, 13639,
     /*  950562 */     GIR_EraseRootFromParent_Done,
     /*  950563 */   // Label 14281: @950563
     /*  950563 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(950640), // Rule ID 13642 //
     /*  950568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  950579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  950582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  950588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950607 */     // MIs[0] policy
     /*  950607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950617 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  950620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950638 */     GIR_RootConstrainSelectedInstOperands,
     /*  950639 */     // GIR_Coverage, 13642,
     /*  950639 */     GIR_EraseRootFromParent_Done,
     /*  950640 */   // Label 14282: @950640
     /*  950640 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(950717), // Rule ID 13643 //
     /*  950645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  950656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  950659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  950665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950684 */     // MIs[0] policy
     /*  950684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  950697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950715 */     GIR_RootConstrainSelectedInstOperands,
     /*  950716 */     // GIR_Coverage, 13643,
     /*  950716 */     GIR_EraseRootFromParent_Done,
     /*  950717 */   // Label 14283: @950717
     /*  950717 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(950794), // Rule ID 13646 //
     /*  950722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  950736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  950742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950761 */     // MIs[0] policy
     /*  950761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  950774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950792 */     GIR_RootConstrainSelectedInstOperands,
     /*  950793 */     // GIR_Coverage, 13646,
     /*  950793 */     GIR_EraseRootFromParent_Done,
     /*  950794 */   // Label 14284: @950794
     /*  950794 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(950871), // Rule ID 13647 //
     /*  950799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  950813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  950819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950838 */     // MIs[0] policy
     /*  950838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  950851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950869 */     GIR_RootConstrainSelectedInstOperands,
     /*  950870 */     // GIR_Coverage, 13647,
     /*  950870 */     GIR_EraseRootFromParent_Done,
     /*  950871 */   // Label 14285: @950871
     /*  950871 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(950948), // Rule ID 13650 //
     /*  950876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  950887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  950890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950915 */     // MIs[0] policy
     /*  950915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  950928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950946 */     GIR_RootConstrainSelectedInstOperands,
     /*  950947 */     // GIR_Coverage, 13650,
     /*  950947 */     GIR_EraseRootFromParent_Done,
     /*  950948 */   // Label 14286: @950948
     /*  950948 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(951025), // Rule ID 13651 //
     /*  950953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  950961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  950964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  950967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950992 */     // MIs[0] policy
     /*  950992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  951005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951023 */     GIR_RootConstrainSelectedInstOperands,
     /*  951024 */     // GIR_Coverage, 13651,
     /*  951024 */     GIR_EraseRootFromParent_Done,
     /*  951025 */   // Label 14287: @951025
     /*  951025 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(951102), // Rule ID 13654 //
     /*  951030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  951041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  951044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951069 */     // MIs[0] policy
     /*  951069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951079 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  951082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951100 */     GIR_RootConstrainSelectedInstOperands,
     /*  951101 */     // GIR_Coverage, 13654,
     /*  951101 */     GIR_EraseRootFromParent_Done,
     /*  951102 */   // Label 14288: @951102
     /*  951102 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(951179), // Rule ID 13655 //
     /*  951107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  951118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  951121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951146 */     // MIs[0] policy
     /*  951146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  951159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951177 */     GIR_RootConstrainSelectedInstOperands,
     /*  951178 */     // GIR_Coverage, 13655,
     /*  951178 */     GIR_EraseRootFromParent_Done,
     /*  951179 */   // Label 14289: @951179
     /*  951179 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(951256), // Rule ID 13658 //
     /*  951184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  951195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  951198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951223 */     // MIs[0] policy
     /*  951223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  951236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951254 */     GIR_RootConstrainSelectedInstOperands,
     /*  951255 */     // GIR_Coverage, 13658,
     /*  951255 */     GIR_EraseRootFromParent_Done,
     /*  951256 */   // Label 14290: @951256
     /*  951256 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(951333), // Rule ID 13659 //
     /*  951261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  951272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  951275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951300 */     // MIs[0] policy
     /*  951300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951310 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  951313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951331 */     GIR_RootConstrainSelectedInstOperands,
     /*  951332 */     // GIR_Coverage, 13659,
     /*  951332 */     GIR_EraseRootFromParent_Done,
     /*  951333 */   // Label 14291: @951333
     /*  951333 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(951410), // Rule ID 13662 //
     /*  951338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  951349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  951352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  951358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951377 */     // MIs[0] policy
     /*  951377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  951390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951408 */     GIR_RootConstrainSelectedInstOperands,
     /*  951409 */     // GIR_Coverage, 13662,
     /*  951409 */     GIR_EraseRootFromParent_Done,
     /*  951410 */   // Label 14292: @951410
     /*  951410 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(951487), // Rule ID 13663 //
     /*  951415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  951426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  951429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  951435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951454 */     // MIs[0] policy
     /*  951454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  951467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951485 */     GIR_RootConstrainSelectedInstOperands,
     /*  951486 */     // GIR_Coverage, 13663,
     /*  951486 */     GIR_EraseRootFromParent_Done,
     /*  951487 */   // Label 14293: @951487
     /*  951487 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(951564), // Rule ID 13666 //
     /*  951492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  951506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  951512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951531 */     // MIs[0] policy
     /*  951531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  951544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951562 */     GIR_RootConstrainSelectedInstOperands,
     /*  951563 */     // GIR_Coverage, 13666,
     /*  951563 */     GIR_EraseRootFromParent_Done,
     /*  951564 */   // Label 14294: @951564
     /*  951564 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(951641), // Rule ID 13667 //
     /*  951569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  951583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  951589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951608 */     // MIs[0] policy
     /*  951608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  951621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951639 */     GIR_RootConstrainSelectedInstOperands,
     /*  951640 */     // GIR_Coverage, 13667,
     /*  951640 */     GIR_EraseRootFromParent_Done,
     /*  951641 */   // Label 14295: @951641
     /*  951641 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(951718), // Rule ID 13670 //
     /*  951646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  951657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  951660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  951666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951685 */     // MIs[0] policy
     /*  951685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  951698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951716 */     GIR_RootConstrainSelectedInstOperands,
     /*  951717 */     // GIR_Coverage, 13670,
     /*  951717 */     GIR_EraseRootFromParent_Done,
     /*  951718 */   // Label 14296: @951718
     /*  951718 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(951795), // Rule ID 13671 //
     /*  951723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  951734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  951737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  951743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951762 */     // MIs[0] policy
     /*  951762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  951775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951793 */     GIR_RootConstrainSelectedInstOperands,
     /*  951794 */     // GIR_Coverage, 13671,
     /*  951794 */     GIR_EraseRootFromParent_Done,
     /*  951795 */   // Label 14297: @951795
     /*  951795 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(951872), // Rule ID 13674 //
     /*  951800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  951814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  951820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951839 */     // MIs[0] policy
     /*  951839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  951852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951870 */     GIR_RootConstrainSelectedInstOperands,
     /*  951871 */     // GIR_Coverage, 13674,
     /*  951871 */     GIR_EraseRootFromParent_Done,
     /*  951872 */   // Label 14298: @951872
     /*  951872 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(951949), // Rule ID 13675 //
     /*  951877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  951888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  951891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  951894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  951897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951916 */     // MIs[0] policy
     /*  951916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  951929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951947 */     GIR_RootConstrainSelectedInstOperands,
     /*  951948 */     // GIR_Coverage, 13675,
     /*  951948 */     GIR_EraseRootFromParent_Done,
     /*  951949 */   // Label 14299: @951949
     /*  951949 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(952026), // Rule ID 13678 //
     /*  951954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  951962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  951965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  951968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  951971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  951974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951993 */     // MIs[0] policy
     /*  951993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  952006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952024 */     GIR_RootConstrainSelectedInstOperands,
     /*  952025 */     // GIR_Coverage, 13678,
     /*  952025 */     GIR_EraseRootFromParent_Done,
     /*  952026 */   // Label 14300: @952026
     /*  952026 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(952103), // Rule ID 13679 //
     /*  952031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  952042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  952045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  952048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  952051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952070 */     // MIs[0] policy
     /*  952070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  952083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952101 */     GIR_RootConstrainSelectedInstOperands,
     /*  952102 */     // GIR_Coverage, 13679,
     /*  952102 */     GIR_EraseRootFromParent_Done,
     /*  952103 */   // Label 14301: @952103
     /*  952103 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(952180), // Rule ID 13682 //
     /*  952108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  952119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  952122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  952125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  952128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952147 */     // MIs[0] policy
     /*  952147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  952160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952178 */     GIR_RootConstrainSelectedInstOperands,
     /*  952179 */     // GIR_Coverage, 13682,
     /*  952179 */     GIR_EraseRootFromParent_Done,
     /*  952180 */   // Label 14302: @952180
     /*  952180 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(952257), // Rule ID 13683 //
     /*  952185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  952196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  952199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  952202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  952205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952224 */     // MIs[0] policy
     /*  952224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  952237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952255 */     GIR_RootConstrainSelectedInstOperands,
     /*  952256 */     // GIR_Coverage, 13683,
     /*  952256 */     GIR_EraseRootFromParent_Done,
     /*  952257 */   // Label 14303: @952257
     /*  952257 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(952334), // Rule ID 13686 //
     /*  952262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  952276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  952279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  952282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952301 */     // MIs[0] policy
     /*  952301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952311 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  952314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952332 */     GIR_RootConstrainSelectedInstOperands,
     /*  952333 */     // GIR_Coverage, 13686,
     /*  952333 */     GIR_EraseRootFromParent_Done,
     /*  952334 */   // Label 14304: @952334
     /*  952334 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(952411), // Rule ID 13687 //
     /*  952339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  952353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  952356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  952359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952378 */     // MIs[0] policy
     /*  952378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  952391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952409 */     GIR_RootConstrainSelectedInstOperands,
     /*  952410 */     // GIR_Coverage, 13687,
     /*  952410 */     GIR_EraseRootFromParent_Done,
     /*  952411 */   // Label 14305: @952411
     /*  952411 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(952488), // Rule ID 13690 //
     /*  952416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  952430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  952433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  952436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952455 */     // MIs[0] policy
     /*  952455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  952468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952486 */     GIR_RootConstrainSelectedInstOperands,
     /*  952487 */     // GIR_Coverage, 13690,
     /*  952487 */     GIR_EraseRootFromParent_Done,
     /*  952488 */   // Label 14306: @952488
     /*  952488 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(952565), // Rule ID 13691 //
     /*  952493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  952507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  952510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  952513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952532 */     // MIs[0] policy
     /*  952532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  952545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952563 */     GIR_RootConstrainSelectedInstOperands,
     /*  952564 */     // GIR_Coverage, 13691,
     /*  952564 */     GIR_EraseRootFromParent_Done,
     /*  952565 */   // Label 14307: @952565
     /*  952565 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(952642), // Rule ID 13694 //
     /*  952570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  952584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  952587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952609 */     // MIs[0] policy
     /*  952609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  952622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952640 */     GIR_RootConstrainSelectedInstOperands,
     /*  952641 */     // GIR_Coverage, 13694,
     /*  952641 */     GIR_EraseRootFromParent_Done,
     /*  952642 */   // Label 14308: @952642
     /*  952642 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(952719), // Rule ID 13695 //
     /*  952647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  952655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  952661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  952664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952686 */     // MIs[0] policy
     /*  952686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  952699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952717 */     GIR_RootConstrainSelectedInstOperands,
     /*  952718 */     // GIR_Coverage, 13695,
     /*  952718 */     GIR_EraseRootFromParent_Done,
     /*  952719 */   // Label 14309: @952719
     /*  952719 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(952796), // Rule ID 18908 //
     /*  952724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  952727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  952732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  952738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  952744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952763 */     // MIs[0] policy
     /*  952763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952773 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /*  952776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  952780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  952782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  952784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952794 */     GIR_RootConstrainSelectedInstOperands,
     /*  952795 */     // GIR_Coverage, 18908,
     /*  952795 */     GIR_EraseRootFromParent_Done,
     /*  952796 */   // Label 14310: @952796
     /*  952796 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(952873), // Rule ID 18909 //
     /*  952801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  952804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  952809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  952812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  952815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  952821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952840 */     // MIs[0] policy
     /*  952840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952850 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /*  952853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  952857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  952859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  952861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952871 */     GIR_RootConstrainSelectedInstOperands,
     /*  952872 */     // GIR_Coverage, 18909,
     /*  952872 */     GIR_EraseRootFromParent_Done,
     /*  952873 */   // Label 14311: @952873
     /*  952873 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(952950), // Rule ID 18912 //
     /*  952878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  952881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  952886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  952889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  952892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  952895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  952898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952917 */     // MIs[0] policy
     /*  952917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /*  952930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  952934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  952936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  952938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952948 */     GIR_RootConstrainSelectedInstOperands,
     /*  952949 */     // GIR_Coverage, 18912,
     /*  952949 */     GIR_EraseRootFromParent_Done,
     /*  952950 */   // Label 14312: @952950
     /*  952950 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(953027), // Rule ID 18913 //
     /*  952955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  952958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  952963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  952966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  952969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  952972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  952975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952994 */     // MIs[0] policy
     /*  952994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953004 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /*  953007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953025 */     GIR_RootConstrainSelectedInstOperands,
     /*  953026 */     // GIR_Coverage, 18913,
     /*  953026 */     GIR_EraseRootFromParent_Done,
     /*  953027 */   // Label 14313: @953027
     /*  953027 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(953104), // Rule ID 18916 //
     /*  953032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  953035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  953046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  953052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953071 */     // MIs[0] policy
     /*  953071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953081 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /*  953084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953102 */     GIR_RootConstrainSelectedInstOperands,
     /*  953103 */     // GIR_Coverage, 18916,
     /*  953103 */     GIR_EraseRootFromParent_Done,
     /*  953104 */   // Label 14314: @953104
     /*  953104 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(953181), // Rule ID 18917 //
     /*  953109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  953112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  953123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  953126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  953129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953148 */     // MIs[0] policy
     /*  953148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10914:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /*  953161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953179 */     GIR_RootConstrainSelectedInstOperands,
     /*  953180 */     // GIR_Coverage, 18917,
     /*  953180 */     GIR_EraseRootFromParent_Done,
     /*  953181 */   // Label 14315: @953181
     /*  953181 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(953258), // Rule ID 18920 //
     /*  953186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  953189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  953200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  953206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953225 */     // MIs[0] policy
     /*  953225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953235 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /*  953238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953256 */     GIR_RootConstrainSelectedInstOperands,
     /*  953257 */     // GIR_Coverage, 18920,
     /*  953257 */     GIR_EraseRootFromParent_Done,
     /*  953258 */   // Label 14316: @953258
     /*  953258 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(953335), // Rule ID 18921 //
     /*  953263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  953266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  953277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  953283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953302 */     // MIs[0] policy
     /*  953302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /*  953315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953333 */     GIR_RootConstrainSelectedInstOperands,
     /*  953334 */     // GIR_Coverage, 18921,
     /*  953334 */     GIR_EraseRootFromParent_Done,
     /*  953335 */   // Label 14317: @953335
     /*  953335 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(953412), // Rule ID 18924 //
     /*  953340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  953343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  953351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  953354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  953357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  953360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953379 */     // MIs[0] policy
     /*  953379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953389 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /*  953392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953410 */     GIR_RootConstrainSelectedInstOperands,
     /*  953411 */     // GIR_Coverage, 18924,
     /*  953411 */     GIR_EraseRootFromParent_Done,
     /*  953412 */   // Label 14318: @953412
     /*  953412 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(953489), // Rule ID 18925 //
     /*  953417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  953420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  953428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  953431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  953434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  953437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953456 */     // MIs[0] policy
     /*  953456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953466 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /*  953469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  953485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953487 */     GIR_RootConstrainSelectedInstOperands,
     /*  953488 */     // GIR_Coverage, 18925,
     /*  953488 */     GIR_EraseRootFromParent_Done,
     /*  953489 */   // Label 14319: @953489
     /*  953489 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(953566), // Rule ID 18928 //
     /*  953494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  953497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  953508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  953514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  953521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953533 */     // MIs[0] policy
     /*  953533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953543 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /*  953546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953564 */     GIR_RootConstrainSelectedInstOperands,
     /*  953565 */     // GIR_Coverage, 18928,
     /*  953565 */     GIR_EraseRootFromParent_Done,
     /*  953566 */   // Label 14320: @953566
     /*  953566 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(953643), // Rule ID 18929 //
     /*  953571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  953574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  953585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  953591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  953598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953610 */     // MIs[0] policy
     /*  953610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953620 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /*  953623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953641 */     GIR_RootConstrainSelectedInstOperands,
     /*  953642 */     // GIR_Coverage, 18929,
     /*  953642 */     GIR_EraseRootFromParent_Done,
     /*  953643 */   // Label 14321: @953643
     /*  953643 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(953720), // Rule ID 18932 //
     /*  953648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  953651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  953662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  953668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  953675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953687 */     // MIs[0] policy
     /*  953687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953697 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /*  953700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953718 */     GIR_RootConstrainSelectedInstOperands,
     /*  953719 */     // GIR_Coverage, 18932,
     /*  953719 */     GIR_EraseRootFromParent_Done,
     /*  953720 */   // Label 14322: @953720
     /*  953720 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(953797), // Rule ID 18933 //
     /*  953725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  953728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  953739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  953745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  953752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953764 */     // MIs[0] policy
     /*  953764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953774 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /*  953777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953795 */     GIR_RootConstrainSelectedInstOperands,
     /*  953796 */     // GIR_Coverage, 18933,
     /*  953796 */     GIR_EraseRootFromParent_Done,
     /*  953797 */   // Label 14323: @953797
     /*  953797 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(953874), // Rule ID 18936 //
     /*  953802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  953805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  953816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  953822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  953829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953841 */     // MIs[0] policy
     /*  953841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953851 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /*  953854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953872 */     GIR_RootConstrainSelectedInstOperands,
     /*  953873 */     // GIR_Coverage, 18936,
     /*  953873 */     GIR_EraseRootFromParent_Done,
     /*  953874 */   // Label 14324: @953874
     /*  953874 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(953951), // Rule ID 18937 //
     /*  953879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  953882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  953890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  953893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  953896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  953899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  953906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953918 */     // MIs[0] policy
     /*  953918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953928 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /*  953931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  953937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  953939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953949 */     GIR_RootConstrainSelectedInstOperands,
     /*  953950 */     // GIR_Coverage, 18937,
     /*  953950 */     GIR_EraseRootFromParent_Done,
     /*  953951 */   // Label 14325: @953951
     /*  953951 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(954028), // Rule ID 18940 //
     /*  953956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  953959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  953964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  953967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  953970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  953973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  953976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  953983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953995 */     // MIs[0] policy
     /*  953995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954005 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /*  954008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954026 */     GIR_RootConstrainSelectedInstOperands,
     /*  954027 */     // GIR_Coverage, 18940,
     /*  954027 */     GIR_EraseRootFromParent_Done,
     /*  954028 */   // Label 14326: @954028
     /*  954028 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(954105), // Rule ID 18941 //
     /*  954033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  954036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  954047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  954053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  954060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954072 */     // MIs[0] policy
     /*  954072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954082 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /*  954085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954103 */     GIR_RootConstrainSelectedInstOperands,
     /*  954104 */     // GIR_Coverage, 18941,
     /*  954104 */     GIR_EraseRootFromParent_Done,
     /*  954105 */   // Label 14327: @954105
     /*  954105 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(954182), // Rule ID 18944 //
     /*  954110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  954113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  954124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  954130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954149 */     // MIs[0] policy
     /*  954149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954159 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /*  954162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954180 */     GIR_RootConstrainSelectedInstOperands,
     /*  954181 */     // GIR_Coverage, 18944,
     /*  954181 */     GIR_EraseRootFromParent_Done,
     /*  954182 */   // Label 14328: @954182
     /*  954182 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(954259), // Rule ID 18945 //
     /*  954187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  954190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  954201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  954207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954226 */     // MIs[0] policy
     /*  954226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /*  954239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954257 */     GIR_RootConstrainSelectedInstOperands,
     /*  954258 */     // GIR_Coverage, 18945,
     /*  954258 */     GIR_EraseRootFromParent_Done,
     /*  954259 */   // Label 14329: @954259
     /*  954259 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(954336), // Rule ID 18948 //
     /*  954264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  954267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  954275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  954278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  954281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  954284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  954291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954303 */     // MIs[0] policy
     /*  954303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954313 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /*  954316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954334 */     GIR_RootConstrainSelectedInstOperands,
     /*  954335 */     // GIR_Coverage, 18948,
     /*  954335 */     GIR_EraseRootFromParent_Done,
     /*  954336 */   // Label 14330: @954336
     /*  954336 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(954413), // Rule ID 18949 //
     /*  954341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  954344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  954352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  954355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  954358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  954361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  954368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954380 */     // MIs[0] policy
     /*  954380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954390 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /*  954393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954411 */     GIR_RootConstrainSelectedInstOperands,
     /*  954412 */     // GIR_Coverage, 18949,
     /*  954412 */     GIR_EraseRootFromParent_Done,
     /*  954413 */   // Label 14331: @954413
     /*  954413 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(954490), // Rule ID 18952 //
     /*  954418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  954421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  954429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  954432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  954435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  954438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  954445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954457 */     // MIs[0] policy
     /*  954457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954467 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /*  954470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954488 */     GIR_RootConstrainSelectedInstOperands,
     /*  954489 */     // GIR_Coverage, 18952,
     /*  954489 */     GIR_EraseRootFromParent_Done,
     /*  954490 */   // Label 14332: @954490
     /*  954490 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(954567), // Rule ID 18953 //
     /*  954495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  954498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  954506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  954509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  954512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  954515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  954522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954534 */     // MIs[0] policy
     /*  954534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954544 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /*  954547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954565 */     GIR_RootConstrainSelectedInstOperands,
     /*  954566 */     // GIR_Coverage, 18953,
     /*  954566 */     GIR_EraseRootFromParent_Done,
     /*  954567 */   // Label 14333: @954567
     /*  954567 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(954644), // Rule ID 18956 //
     /*  954572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  954575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  954583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  954586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  954589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  954592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954611 */     // MIs[0] policy
     /*  954611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954621 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /*  954624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954642 */     GIR_RootConstrainSelectedInstOperands,
     /*  954643 */     // GIR_Coverage, 18956,
     /*  954643 */     GIR_EraseRootFromParent_Done,
     /*  954644 */   // Label 14334: @954644
     /*  954644 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(954721), // Rule ID 18957 //
     /*  954649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  954652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  954660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  954663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  954666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  954669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954688 */     // MIs[0] policy
     /*  954688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954698 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /*  954701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954719 */     GIR_RootConstrainSelectedInstOperands,
     /*  954720 */     // GIR_Coverage, 18957,
     /*  954720 */     GIR_EraseRootFromParent_Done,
     /*  954721 */   // Label 14335: @954721
     /*  954721 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(954798), // Rule ID 18960 //
     /*  954726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  954729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  954737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  954740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  954743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  954746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  954753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954765 */     // MIs[0] policy
     /*  954765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954775 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /*  954778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954796 */     GIR_RootConstrainSelectedInstOperands,
     /*  954797 */     // GIR_Coverage, 18960,
     /*  954797 */     GIR_EraseRootFromParent_Done,
     /*  954798 */   // Label 14336: @954798
     /*  954798 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(954875), // Rule ID 18961 //
     /*  954803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  954806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  954811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  954814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  954817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  954820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  954823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  954830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954842 */     // MIs[0] policy
     /*  954842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /*  954855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954873 */     GIR_RootConstrainSelectedInstOperands,
     /*  954874 */     // GIR_Coverage, 18961,
     /*  954874 */     GIR_EraseRootFromParent_Done,
     /*  954875 */   // Label 14337: @954875
     /*  954875 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(954952), // Rule ID 20344 //
     /*  954880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  954883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  954888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  954891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  954894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  954897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  954900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954919 */     // MIs[0] policy
     /*  954919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  954932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  954938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  954940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954950 */     GIR_RootConstrainSelectedInstOperands,
     /*  954951 */     // GIR_Coverage, 20344,
     /*  954951 */     GIR_EraseRootFromParent_Done,
     /*  954952 */   // Label 14338: @954952
     /*  954952 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(955029), // Rule ID 20345 //
     /*  954957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  954960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  954965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  954968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  954971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  954974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  954977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954996 */     // MIs[0] policy
     /*  954996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955006 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  955009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955027 */     GIR_RootConstrainSelectedInstOperands,
     /*  955028 */     // GIR_Coverage, 20345,
     /*  955028 */     GIR_EraseRootFromParent_Done,
     /*  955029 */   // Label 14339: @955029
     /*  955029 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(955106), // Rule ID 20348 //
     /*  955034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  955037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  955048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  955054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955073 */     // MIs[0] policy
     /*  955073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  955086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955104 */     GIR_RootConstrainSelectedInstOperands,
     /*  955105 */     // GIR_Coverage, 20348,
     /*  955105 */     GIR_EraseRootFromParent_Done,
     /*  955106 */   // Label 14340: @955106
     /*  955106 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(955183), // Rule ID 20349 //
     /*  955111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  955114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  955122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  955125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  955128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  955131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955150 */     // MIs[0] policy
     /*  955150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  955163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955181 */     GIR_RootConstrainSelectedInstOperands,
     /*  955182 */     // GIR_Coverage, 20349,
     /*  955182 */     GIR_EraseRootFromParent_Done,
     /*  955183 */   // Label 14341: @955183
     /*  955183 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(955260), // Rule ID 20352 //
     /*  955188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  955191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  955199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  955202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  955205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  955208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955227 */     // MIs[0] policy
     /*  955227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955237 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955258 */     GIR_RootConstrainSelectedInstOperands,
     /*  955259 */     // GIR_Coverage, 20352,
     /*  955259 */     GIR_EraseRootFromParent_Done,
     /*  955260 */   // Label 14342: @955260
     /*  955260 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(955337), // Rule ID 20353 //
     /*  955265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  955268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  955276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  955279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  955282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  955285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955304 */     // MIs[0] policy
     /*  955304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955335 */     GIR_RootConstrainSelectedInstOperands,
     /*  955336 */     // GIR_Coverage, 20353,
     /*  955336 */     GIR_EraseRootFromParent_Done,
     /*  955337 */   // Label 14343: @955337
     /*  955337 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(955414), // Rule ID 20356 //
     /*  955342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  955345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  955356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  955362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955381 */     // MIs[0] policy
     /*  955381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955412 */     GIR_RootConstrainSelectedInstOperands,
     /*  955413 */     // GIR_Coverage, 20356,
     /*  955413 */     GIR_EraseRootFromParent_Done,
     /*  955414 */   // Label 14344: @955414
     /*  955414 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(955491), // Rule ID 20357 //
     /*  955419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  955422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  955430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  955433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  955436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  955439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955458 */     // MIs[0] policy
     /*  955458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955489 */     GIR_RootConstrainSelectedInstOperands,
     /*  955490 */     // GIR_Coverage, 20357,
     /*  955490 */     GIR_EraseRootFromParent_Done,
     /*  955491 */   // Label 14345: @955491
     /*  955491 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(955568), // Rule ID 20360 //
     /*  955496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  955499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  955510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  955516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955535 */     // MIs[0] policy
     /*  955535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955545 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955566 */     GIR_RootConstrainSelectedInstOperands,
     /*  955567 */     // GIR_Coverage, 20360,
     /*  955567 */     GIR_EraseRootFromParent_Done,
     /*  955568 */   // Label 14346: @955568
     /*  955568 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(955645), // Rule ID 20361 //
     /*  955573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  955576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  955587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  955593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  955600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955612 */     // MIs[0] policy
     /*  955612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  955625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  955641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955643 */     GIR_RootConstrainSelectedInstOperands,
     /*  955644 */     // GIR_Coverage, 20361,
     /*  955644 */     GIR_EraseRootFromParent_Done,
     /*  955645 */   // Label 14347: @955645
     /*  955645 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(955722), // Rule ID 20364 //
     /*  955650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  955653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  955661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  955664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  955667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  955670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955689 */     // MIs[0] policy
     /*  955689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  955702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955720 */     GIR_RootConstrainSelectedInstOperands,
     /*  955721 */     // GIR_Coverage, 20364,
     /*  955721 */     GIR_EraseRootFromParent_Done,
     /*  955722 */   // Label 14348: @955722
     /*  955722 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(955799), // Rule ID 20365 //
     /*  955727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  955730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  955738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  955741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  955744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  955747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955766 */     // MIs[0] policy
     /*  955766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  955779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955797 */     GIR_RootConstrainSelectedInstOperands,
     /*  955798 */     // GIR_Coverage, 20365,
     /*  955798 */     GIR_EraseRootFromParent_Done,
     /*  955799 */   // Label 14349: @955799
     /*  955799 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(955876), // Rule ID 20368 //
     /*  955804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  955807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  955815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  955818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  955821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  955824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  955831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955843 */     // MIs[0] policy
     /*  955843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  955856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955874 */     GIR_RootConstrainSelectedInstOperands,
     /*  955875 */     // GIR_Coverage, 20368,
     /*  955875 */     GIR_EraseRootFromParent_Done,
     /*  955876 */   // Label 14350: @955876
     /*  955876 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(955953), // Rule ID 20369 //
     /*  955881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  955884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  955892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  955895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  955898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  955901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  955908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955920 */     // MIs[0] policy
     /*  955920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  955933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  955939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  955941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955951 */     GIR_RootConstrainSelectedInstOperands,
     /*  955952 */     // GIR_Coverage, 20369,
     /*  955952 */     GIR_EraseRootFromParent_Done,
     /*  955953 */   // Label 14351: @955953
     /*  955953 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(956030), // Rule ID 20372 //
     /*  955958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  955961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  955966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  955972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  955978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  955985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955997 */     // MIs[0] policy
     /*  955997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956007 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  956010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956028 */     GIR_RootConstrainSelectedInstOperands,
     /*  956029 */     // GIR_Coverage, 20372,
     /*  956029 */     GIR_EraseRootFromParent_Done,
     /*  956030 */   // Label 14352: @956030
     /*  956030 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(956107), // Rule ID 20373 //
     /*  956035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  956038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  956046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  956049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  956052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  956055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956074 */     // MIs[0] policy
     /*  956074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  956087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956105 */     GIR_RootConstrainSelectedInstOperands,
     /*  956106 */     // GIR_Coverage, 20373,
     /*  956106 */     GIR_EraseRootFromParent_Done,
     /*  956107 */   // Label 14353: @956107
     /*  956107 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(956184), // Rule ID 20376 //
     /*  956112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  956115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  956126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  956132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956151 */     // MIs[0] policy
     /*  956151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  956164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956182 */     GIR_RootConstrainSelectedInstOperands,
     /*  956183 */     // GIR_Coverage, 20376,
     /*  956183 */     GIR_EraseRootFromParent_Done,
     /*  956184 */   // Label 14354: @956184
     /*  956184 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(956261), // Rule ID 20377 //
     /*  956189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  956192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  956203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  956206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  956209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956228 */     // MIs[0] policy
     /*  956228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  956241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956259 */     GIR_RootConstrainSelectedInstOperands,
     /*  956260 */     // GIR_Coverage, 20377,
     /*  956260 */     GIR_EraseRootFromParent_Done,
     /*  956261 */   // Label 14355: @956261
     /*  956261 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(956338), // Rule ID 20380 //
     /*  956266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  956269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  956280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  956286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956305 */     // MIs[0] policy
     /*  956305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  956318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956336 */     GIR_RootConstrainSelectedInstOperands,
     /*  956337 */     // GIR_Coverage, 20380,
     /*  956337 */     GIR_EraseRootFromParent_Done,
     /*  956338 */   // Label 14356: @956338
     /*  956338 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(956415), // Rule ID 20381 //
     /*  956343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  956346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  956357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  956363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956382 */     // MIs[0] policy
     /*  956382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  956395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956413 */     GIR_RootConstrainSelectedInstOperands,
     /*  956414 */     // GIR_Coverage, 20381,
     /*  956414 */     GIR_EraseRootFromParent_Done,
     /*  956415 */   // Label 14357: @956415
     /*  956415 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(956492), // Rule ID 20384 //
     /*  956420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  956423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  956434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  956440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956459 */     // MIs[0] policy
     /*  956459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  956472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956490 */     GIR_RootConstrainSelectedInstOperands,
     /*  956491 */     // GIR_Coverage, 20384,
     /*  956491 */     GIR_EraseRootFromParent_Done,
     /*  956492 */   // Label 14358: @956492
     /*  956492 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(956569), // Rule ID 20385 //
     /*  956497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  956500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  956511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  956517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956536 */     // MIs[0] policy
     /*  956536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  956549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956567 */     GIR_RootConstrainSelectedInstOperands,
     /*  956568 */     // GIR_Coverage, 20385,
     /*  956568 */     GIR_EraseRootFromParent_Done,
     /*  956569 */   // Label 14359: @956569
     /*  956569 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(956646), // Rule ID 20388 //
     /*  956574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  956577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  956588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  956594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956613 */     // MIs[0] policy
     /*  956613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956623 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  956626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956644 */     GIR_RootConstrainSelectedInstOperands,
     /*  956645 */     // GIR_Coverage, 20388,
     /*  956645 */     GIR_EraseRootFromParent_Done,
     /*  956646 */   // Label 14360: @956646
     /*  956646 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(956723), // Rule ID 20389 //
     /*  956651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  956654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  956665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  956671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956690 */     // MIs[0] policy
     /*  956690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  956703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956721 */     GIR_RootConstrainSelectedInstOperands,
     /*  956722 */     // GIR_Coverage, 20389,
     /*  956722 */     GIR_EraseRootFromParent_Done,
     /*  956723 */   // Label 14361: @956723
     /*  956723 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(956800), // Rule ID 20392 //
     /*  956728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  956731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  956742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  956748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956767 */     // MIs[0] policy
     /*  956767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  956780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956798 */     GIR_RootConstrainSelectedInstOperands,
     /*  956799 */     // GIR_Coverage, 20392,
     /*  956799 */     GIR_EraseRootFromParent_Done,
     /*  956800 */   // Label 14362: @956800
     /*  956800 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(956877), // Rule ID 20393 //
     /*  956805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  956808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  956819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  956825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956844 */     // MIs[0] policy
     /*  956844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  956857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956875 */     GIR_RootConstrainSelectedInstOperands,
     /*  956876 */     // GIR_Coverage, 20393,
     /*  956876 */     GIR_EraseRootFromParent_Done,
     /*  956877 */   // Label 14363: @956877
     /*  956877 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(956954), // Rule ID 20396 //
     /*  956882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  956885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  956896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  956902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956921 */     // MIs[0] policy
     /*  956921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956931 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  956934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  956940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  956942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956952 */     GIR_RootConstrainSelectedInstOperands,
     /*  956953 */     // GIR_Coverage, 20396,
     /*  956953 */     GIR_EraseRootFromParent_Done,
     /*  956954 */   // Label 14364: @956954
     /*  956954 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(957031), // Rule ID 20397 //
     /*  956959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  956962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  956967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  956973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  956979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956998 */     // MIs[0] policy
     /*  956998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  957011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957029 */     GIR_RootConstrainSelectedInstOperands,
     /*  957030 */     // GIR_Coverage, 20397,
     /*  957030 */     GIR_EraseRootFromParent_Done,
     /*  957031 */   // Label 14365: @957031
     /*  957031 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(957108), // Rule ID 20722 //
     /*  957036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  957039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  957050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957075 */     // MIs[0] policy
     /*  957075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /*  957088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957106 */     GIR_RootConstrainSelectedInstOperands,
     /*  957107 */     // GIR_Coverage, 20722,
     /*  957107 */     GIR_EraseRootFromParent_Done,
     /*  957108 */   // Label 14366: @957108
     /*  957108 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(957185), // Rule ID 20723 //
     /*  957113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  957116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  957127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957152 */     // MIs[0] policy
     /*  957152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957162 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /*  957165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957183 */     GIR_RootConstrainSelectedInstOperands,
     /*  957184 */     // GIR_Coverage, 20723,
     /*  957184 */     GIR_EraseRootFromParent_Done,
     /*  957185 */   // Label 14367: @957185
     /*  957185 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(957262), // Rule ID 20726 //
     /*  957190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  957193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  957204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  957210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957229 */     // MIs[0] policy
     /*  957229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  957242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957260 */     GIR_RootConstrainSelectedInstOperands,
     /*  957261 */     // GIR_Coverage, 20726,
     /*  957261 */     GIR_EraseRootFromParent_Done,
     /*  957262 */   // Label 14368: @957262
     /*  957262 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(957339), // Rule ID 20727 //
     /*  957267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  957270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  957281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  957287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957306 */     // MIs[0] policy
     /*  957306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  957319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957337 */     GIR_RootConstrainSelectedInstOperands,
     /*  957338 */     // GIR_Coverage, 20727,
     /*  957338 */     GIR_EraseRootFromParent_Done,
     /*  957339 */   // Label 14369: @957339
     /*  957339 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(957416), // Rule ID 20730 //
     /*  957344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  957347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  957355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  957358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957383 */     // MIs[0] policy
     /*  957383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  957396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957414 */     GIR_RootConstrainSelectedInstOperands,
     /*  957415 */     // GIR_Coverage, 20730,
     /*  957415 */     GIR_EraseRootFromParent_Done,
     /*  957416 */   // Label 14370: @957416
     /*  957416 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(957493), // Rule ID 20731 //
     /*  957421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  957424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  957432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  957435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957460 */     // MIs[0] policy
     /*  957460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957470 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  957473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957491 */     GIR_RootConstrainSelectedInstOperands,
     /*  957492 */     // GIR_Coverage, 20731,
     /*  957492 */     GIR_EraseRootFromParent_Done,
     /*  957493 */   // Label 14371: @957493
     /*  957493 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(957570), // Rule ID 20734 //
     /*  957498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  957501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  957512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  957518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957537 */     // MIs[0] policy
     /*  957537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957568 */     GIR_RootConstrainSelectedInstOperands,
     /*  957569 */     // GIR_Coverage, 20734,
     /*  957569 */     GIR_EraseRootFromParent_Done,
     /*  957570 */   // Label 14372: @957570
     /*  957570 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(957647), // Rule ID 20735 //
     /*  957575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  957578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  957586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  957589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  957592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  957595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957614 */     // MIs[0] policy
     /*  957614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957645 */     GIR_RootConstrainSelectedInstOperands,
     /*  957646 */     // GIR_Coverage, 20735,
     /*  957646 */     GIR_EraseRootFromParent_Done,
     /*  957647 */   // Label 14373: @957647
     /*  957647 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(957724), // Rule ID 20738 //
     /*  957652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  957655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  957663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  957666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  957669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  957672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957691 */     // MIs[0] policy
     /*  957691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957722 */     GIR_RootConstrainSelectedInstOperands,
     /*  957723 */     // GIR_Coverage, 20738,
     /*  957723 */     GIR_EraseRootFromParent_Done,
     /*  957724 */   // Label 14374: @957724
     /*  957724 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(957801), // Rule ID 20739 //
     /*  957729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  957732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  957740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  957743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  957746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  957749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957768 */     // MIs[0] policy
     /*  957768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957799 */     GIR_RootConstrainSelectedInstOperands,
     /*  957800 */     // GIR_Coverage, 20739,
     /*  957800 */     GIR_EraseRootFromParent_Done,
     /*  957801 */   // Label 14375: @957801
     /*  957801 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(957878), // Rule ID 20742 //
     /*  957806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  957809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  957820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957845 */     // MIs[0] policy
     /*  957845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957876 */     GIR_RootConstrainSelectedInstOperands,
     /*  957877 */     // GIR_Coverage, 20742,
     /*  957877 */     GIR_EraseRootFromParent_Done,
     /*  957878 */   // Label 14376: @957878
     /*  957878 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(957955), // Rule ID 20743 //
     /*  957883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  957886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  957897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  957900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  957903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957922 */     // MIs[0] policy
     /*  957922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  957935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  957941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  957943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957953 */     GIR_RootConstrainSelectedInstOperands,
     /*  957954 */     // GIR_Coverage, 20743,
     /*  957954 */     GIR_EraseRootFromParent_Done,
     /*  957955 */   // Label 14377: @957955
     /*  957955 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(958032), // Rule ID 20746 //
     /*  957960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  957963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  957968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  957971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  957974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  957977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  957980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  957987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957999 */     // MIs[0] policy
     /*  957999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  958012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958030 */     GIR_RootConstrainSelectedInstOperands,
     /*  958031 */     // GIR_Coverage, 20746,
     /*  958031 */     GIR_EraseRootFromParent_Done,
     /*  958032 */   // Label 14378: @958032
     /*  958032 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(958109), // Rule ID 20747 //
     /*  958037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  958040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  958051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  958057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  958064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958076 */     // MIs[0] policy
     /*  958076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958086 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  958089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958107 */     GIR_RootConstrainSelectedInstOperands,
     /*  958108 */     // GIR_Coverage, 20747,
     /*  958108 */     GIR_EraseRootFromParent_Done,
     /*  958109 */   // Label 14379: @958109
     /*  958109 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(958186), // Rule ID 20750 //
     /*  958114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  958117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  958128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  958134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  958141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958153 */     // MIs[0] policy
     /*  958153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  958166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958184 */     GIR_RootConstrainSelectedInstOperands,
     /*  958185 */     // GIR_Coverage, 20750,
     /*  958185 */     GIR_EraseRootFromParent_Done,
     /*  958186 */   // Label 14380: @958186
     /*  958186 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(958263), // Rule ID 20751 //
     /*  958191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  958194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  958205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  958211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  958218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958230 */     // MIs[0] policy
     /*  958230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  958243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958261 */     GIR_RootConstrainSelectedInstOperands,
     /*  958262 */     // GIR_Coverage, 20751,
     /*  958262 */     GIR_EraseRootFromParent_Done,
     /*  958263 */   // Label 14381: @958263
     /*  958263 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(958340), // Rule ID 20754 //
     /*  958268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  958271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  958282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  958288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  958295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958307 */     // MIs[0] policy
     /*  958307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  958320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958338 */     GIR_RootConstrainSelectedInstOperands,
     /*  958339 */     // GIR_Coverage, 20754,
     /*  958339 */     GIR_EraseRootFromParent_Done,
     /*  958340 */   // Label 14382: @958340
     /*  958340 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(958417), // Rule ID 20755 //
     /*  958345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  958348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  958359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  958362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  958365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  958372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958384 */     // MIs[0] policy
     /*  958384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  958397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958415 */     GIR_RootConstrainSelectedInstOperands,
     /*  958416 */     // GIR_Coverage, 20755,
     /*  958416 */     GIR_EraseRootFromParent_Done,
     /*  958417 */   // Label 14383: @958417
     /*  958417 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(958494), // Rule ID 20758 //
     /*  958422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  958425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  958433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  958436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  958439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  958442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  958449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958461 */     // MIs[0] policy
     /*  958461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  958474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958492 */     GIR_RootConstrainSelectedInstOperands,
     /*  958493 */     // GIR_Coverage, 20758,
     /*  958493 */     GIR_EraseRootFromParent_Done,
     /*  958494 */   // Label 14384: @958494
     /*  958494 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(958571), // Rule ID 20759 //
     /*  958499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  958502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  958510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  958513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  958516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  958519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  958526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958538 */     // MIs[0] policy
     /*  958538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  958551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958569 */     GIR_RootConstrainSelectedInstOperands,
     /*  958570 */     // GIR_Coverage, 20759,
     /*  958570 */     GIR_EraseRootFromParent_Done,
     /*  958571 */   // Label 14385: @958571
     /*  958571 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(958648), // Rule ID 20762 //
     /*  958576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  958579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  958587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  958590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  958593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  958596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  958603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958615 */     // MIs[0] policy
     /*  958615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  958628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958646 */     GIR_RootConstrainSelectedInstOperands,
     /*  958647 */     // GIR_Coverage, 20762,
     /*  958647 */     GIR_EraseRootFromParent_Done,
     /*  958648 */   // Label 14386: @958648
     /*  958648 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(958725), // Rule ID 20763 //
     /*  958653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  958656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  958664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  958667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  958670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  958673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  958680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958692 */     // MIs[0] policy
     /*  958692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  958705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958723 */     GIR_RootConstrainSelectedInstOperands,
     /*  958724 */     // GIR_Coverage, 20763,
     /*  958724 */     GIR_EraseRootFromParent_Done,
     /*  958725 */   // Label 14387: @958725
     /*  958725 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(958802), // Rule ID 20766 //
     /*  958730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  958733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  958741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  958744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  958747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  958750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  958757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958769 */     // MIs[0] policy
     /*  958769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  958782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958800 */     GIR_RootConstrainSelectedInstOperands,
     /*  958801 */     // GIR_Coverage, 20766,
     /*  958801 */     GIR_EraseRootFromParent_Done,
     /*  958802 */   // Label 14388: @958802
     /*  958802 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(958879), // Rule ID 20767 //
     /*  958807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  958810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  958818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  958821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  958824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  958827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  958834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958846 */     // MIs[0] policy
     /*  958846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  958859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958877 */     GIR_RootConstrainSelectedInstOperands,
     /*  958878 */     // GIR_Coverage, 20767,
     /*  958878 */     GIR_EraseRootFromParent_Done,
     /*  958879 */   // Label 14389: @958879
     /*  958879 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(958956), // Rule ID 20770 //
     /*  958884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  958887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  958898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  958904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  958911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958923 */     // MIs[0] policy
     /*  958923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  958936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  958942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  958944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  958952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958954 */     GIR_RootConstrainSelectedInstOperands,
     /*  958955 */     // GIR_Coverage, 20770,
     /*  958955 */     GIR_EraseRootFromParent_Done,
     /*  958956 */   // Label 14390: @958956
     /*  958956 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(959033), // Rule ID 20771 //
     /*  958961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  958964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  958969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  958972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  958975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  958978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  958981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  958988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959000 */     // MIs[0] policy
     /*  959000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  959013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959031 */     GIR_RootConstrainSelectedInstOperands,
     /*  959032 */     // GIR_Coverage, 20771,
     /*  959032 */     GIR_EraseRootFromParent_Done,
     /*  959033 */   // Label 14391: @959033
     /*  959033 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(959110), // Rule ID 20774 //
     /*  959038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  959041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  959046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  959052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  959055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  959058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  959065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959077 */     // MIs[0] policy
     /*  959077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959087 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  959090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959108 */     GIR_RootConstrainSelectedInstOperands,
     /*  959109 */     // GIR_Coverage, 20774,
     /*  959109 */     GIR_EraseRootFromParent_Done,
     /*  959110 */   // Label 14392: @959110
     /*  959110 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(959187), // Rule ID 20775 //
     /*  959115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  959118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  959123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  959129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  959132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  959135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  959142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959154 */     // MIs[0] policy
     /*  959154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  959167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959185 */     GIR_RootConstrainSelectedInstOperands,
     /*  959186 */     // GIR_Coverage, 20775,
     /*  959186 */     GIR_EraseRootFromParent_Done,
     /*  959187 */   // Label 14393: @959187
     /*  959187 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(959264), // Rule ID 20778 //
     /*  959192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  959195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  959200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  959206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  959212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  959219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959231 */     // MIs[0] policy
     /*  959231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  959244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959262 */     GIR_RootConstrainSelectedInstOperands,
     /*  959263 */     // GIR_Coverage, 20778,
     /*  959263 */     GIR_EraseRootFromParent_Done,
     /*  959264 */   // Label 14394: @959264
     /*  959264 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(959341), // Rule ID 20779 //
     /*  959269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  959272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  959277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  959280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  959283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  959286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  959289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  959296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959308 */     // MIs[0] policy
     /*  959308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  959321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959339 */     GIR_RootConstrainSelectedInstOperands,
     /*  959340 */     // GIR_Coverage, 20779,
     /*  959340 */     GIR_EraseRootFromParent_Done,
     /*  959341 */   // Label 14395: @959341
     /*  959341 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(959418), // Rule ID 20782 //
     /*  959346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  959349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  959366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959385 */     // MIs[0] policy
     /*  959385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /*  959398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959416 */     GIR_RootConstrainSelectedInstOperands,
     /*  959417 */     // GIR_Coverage, 20782,
     /*  959417 */     GIR_EraseRootFromParent_Done,
     /*  959418 */   // Label 14396: @959418
     /*  959418 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(959495), // Rule ID 20783 //
     /*  959423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  959426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  959434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  959437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  959440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  959443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959462 */     // MIs[0] policy
     /*  959462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /*  959475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959493 */     GIR_RootConstrainSelectedInstOperands,
     /*  959494 */     // GIR_Coverage, 20783,
     /*  959494 */     GIR_EraseRootFromParent_Done,
     /*  959495 */   // Label 14397: @959495
     /*  959495 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(959572), // Rule ID 20786 //
     /*  959500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  959503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  959520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959539 */     // MIs[0] policy
     /*  959539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959549 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  959552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959570 */     GIR_RootConstrainSelectedInstOperands,
     /*  959571 */     // GIR_Coverage, 20786,
     /*  959571 */     GIR_EraseRootFromParent_Done,
     /*  959572 */   // Label 14398: @959572
     /*  959572 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(959649), // Rule ID 20787 //
     /*  959577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  959580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  959588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  959591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  959594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  959597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959616 */     // MIs[0] policy
     /*  959616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  959629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959647 */     GIR_RootConstrainSelectedInstOperands,
     /*  959648 */     // GIR_Coverage, 20787,
     /*  959648 */     GIR_EraseRootFromParent_Done,
     /*  959649 */   // Label 14399: @959649
     /*  959649 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(959726), // Rule ID 20790 //
     /*  959654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  959657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  959674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959693 */     // MIs[0] policy
     /*  959693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959703 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  959706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959724 */     GIR_RootConstrainSelectedInstOperands,
     /*  959725 */     // GIR_Coverage, 20790,
     /*  959725 */     GIR_EraseRootFromParent_Done,
     /*  959726 */   // Label 14400: @959726
     /*  959726 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(959803), // Rule ID 20791 //
     /*  959731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  959734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  959745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  959751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959770 */     // MIs[0] policy
     /*  959770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  959783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959801 */     GIR_RootConstrainSelectedInstOperands,
     /*  959802 */     // GIR_Coverage, 20791,
     /*  959802 */     GIR_EraseRootFromParent_Done,
     /*  959803 */   // Label 14401: @959803
     /*  959803 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(959880), // Rule ID 20794 //
     /*  959808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  959811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  959819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  959822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  959825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  959828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959847 */     // MIs[0] policy
     /*  959847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  959860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959878 */     GIR_RootConstrainSelectedInstOperands,
     /*  959879 */     // GIR_Coverage, 20794,
     /*  959879 */     GIR_EraseRootFromParent_Done,
     /*  959880 */   // Label 14402: @959880
     /*  959880 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(959957), // Rule ID 20795 //
     /*  959885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  959888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  959896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  959899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  959902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  959905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959924 */     // MIs[0] policy
     /*  959924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959934 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  959937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  959943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  959945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959955 */     GIR_RootConstrainSelectedInstOperands,
     /*  959956 */     // GIR_Coverage, 20795,
     /*  959956 */     GIR_EraseRootFromParent_Done,
     /*  959957 */   // Label 14403: @959957
     /*  959957 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(960034), // Rule ID 20798 //
     /*  959962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  959965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  959970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  959976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  959982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960001 */     // MIs[0] policy
     /*  960001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  960014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960032 */     GIR_RootConstrainSelectedInstOperands,
     /*  960033 */     // GIR_Coverage, 20798,
     /*  960033 */     GIR_EraseRootFromParent_Done,
     /*  960034 */   // Label 14404: @960034
     /*  960034 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(960111), // Rule ID 20799 //
     /*  960039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  960042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  960053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  960059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960078 */     // MIs[0] policy
     /*  960078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  960091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960109 */     GIR_RootConstrainSelectedInstOperands,
     /*  960110 */     // GIR_Coverage, 20799,
     /*  960110 */     GIR_EraseRootFromParent_Done,
     /*  960111 */   // Label 14405: @960111
     /*  960111 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(960188), // Rule ID 20802 //
     /*  960116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  960119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  960136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960155 */     // MIs[0] policy
     /*  960155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  960168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960186 */     GIR_RootConstrainSelectedInstOperands,
     /*  960187 */     // GIR_Coverage, 20802,
     /*  960187 */     GIR_EraseRootFromParent_Done,
     /*  960188 */   // Label 14406: @960188
     /*  960188 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(960265), // Rule ID 20803 //
     /*  960193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  960196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  960204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  960207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  960210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  960213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  960220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960232 */     // MIs[0] policy
     /*  960232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  960245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960263 */     GIR_RootConstrainSelectedInstOperands,
     /*  960264 */     // GIR_Coverage, 20803,
     /*  960264 */     GIR_EraseRootFromParent_Done,
     /*  960265 */   // Label 14407: @960265
     /*  960265 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(960342), // Rule ID 20806 //
     /*  960270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  960273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  960281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  960284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  960287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  960290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960309 */     // MIs[0] policy
     /*  960309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  960322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960340 */     GIR_RootConstrainSelectedInstOperands,
     /*  960341 */     // GIR_Coverage, 20806,
     /*  960341 */     GIR_EraseRootFromParent_Done,
     /*  960342 */   // Label 14408: @960342
     /*  960342 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(960419), // Rule ID 20807 //
     /*  960347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  960350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  960358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  960361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  960364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  960367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960386 */     // MIs[0] policy
     /*  960386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  960399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960417 */     GIR_RootConstrainSelectedInstOperands,
     /*  960418 */     // GIR_Coverage, 20807,
     /*  960418 */     GIR_EraseRootFromParent_Done,
     /*  960419 */   // Label 14409: @960419
     /*  960419 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(960496), // Rule ID 20810 //
     /*  960424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  960427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  960441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  960444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960463 */     // MIs[0] policy
     /*  960463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  960476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960494 */     GIR_RootConstrainSelectedInstOperands,
     /*  960495 */     // GIR_Coverage, 20810,
     /*  960495 */     GIR_EraseRootFromParent_Done,
     /*  960496 */   // Label 14410: @960496
     /*  960496 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(960573), // Rule ID 20811 //
     /*  960501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  960504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  960518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  960521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960540 */     // MIs[0] policy
     /*  960540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  960553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960571 */     GIR_RootConstrainSelectedInstOperands,
     /*  960572 */     // GIR_Coverage, 20811,
     /*  960572 */     GIR_EraseRootFromParent_Done,
     /*  960573 */   // Label 14411: @960573
     /*  960573 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(960650), // Rule ID 20814 //
     /*  960578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  960581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  960589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  960592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  960595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  960598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960617 */     // MIs[0] policy
     /*  960617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  960630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960648 */     GIR_RootConstrainSelectedInstOperands,
     /*  960649 */     // GIR_Coverage, 20814,
     /*  960649 */     GIR_EraseRootFromParent_Done,
     /*  960650 */   // Label 14412: @960650
     /*  960650 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(960727), // Rule ID 20815 //
     /*  960655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  960658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  960666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  960669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  960672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  960675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960694 */     // MIs[0] policy
     /*  960694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  960707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960725 */     GIR_RootConstrainSelectedInstOperands,
     /*  960726 */     // GIR_Coverage, 20815,
     /*  960726 */     GIR_EraseRootFromParent_Done,
     /*  960727 */   // Label 14413: @960727
     /*  960727 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(960804), // Rule ID 20818 //
     /*  960732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  960735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  960746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  960752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960771 */     // MIs[0] policy
     /*  960771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  960784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960802 */     GIR_RootConstrainSelectedInstOperands,
     /*  960803 */     // GIR_Coverage, 20818,
     /*  960803 */     GIR_EraseRootFromParent_Done,
     /*  960804 */   // Label 14414: @960804
     /*  960804 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(960881), // Rule ID 20819 //
     /*  960809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  960812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  960823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  960829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960848 */     // MIs[0] policy
     /*  960848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  960861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960879 */     GIR_RootConstrainSelectedInstOperands,
     /*  960880 */     // GIR_Coverage, 20819,
     /*  960880 */     GIR_EraseRootFromParent_Done,
     /*  960881 */   // Label 14415: @960881
     /*  960881 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(960958), // Rule ID 20822 //
     /*  960886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  960889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  960900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  960906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960925 */     // MIs[0] policy
     /*  960925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  960938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  960944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  960946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960956 */     GIR_RootConstrainSelectedInstOperands,
     /*  960957 */     // GIR_Coverage, 20822,
     /*  960957 */     GIR_EraseRootFromParent_Done,
     /*  960958 */   // Label 14416: @960958
     /*  960958 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(961035), // Rule ID 20823 //
     /*  960963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  960966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  960971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  960977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  960983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961002 */     // MIs[0] policy
     /*  961002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  961015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961033 */     GIR_RootConstrainSelectedInstOperands,
     /*  961034 */     // GIR_Coverage, 20823,
     /*  961034 */     GIR_EraseRootFromParent_Done,
     /*  961035 */   // Label 14417: @961035
     /*  961035 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(961112), // Rule ID 20826 //
     /*  961040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  961043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  961054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  961060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961079 */     // MIs[0] policy
     /*  961079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  961092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961110 */     GIR_RootConstrainSelectedInstOperands,
     /*  961111 */     // GIR_Coverage, 20826,
     /*  961111 */     GIR_EraseRootFromParent_Done,
     /*  961112 */   // Label 14418: @961112
     /*  961112 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(961189), // Rule ID 20827 //
     /*  961117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  961120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  961131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  961137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961156 */     // MIs[0] policy
     /*  961156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  961169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  961185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961187 */     GIR_RootConstrainSelectedInstOperands,
     /*  961188 */     // GIR_Coverage, 20827,
     /*  961188 */     GIR_EraseRootFromParent_Done,
     /*  961189 */   // Label 14419: @961189
     /*  961189 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(961266), // Rule ID 20830 //
     /*  961194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  961197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  961208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  961214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961233 */     // MIs[0] policy
     /*  961233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  961246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961264 */     GIR_RootConstrainSelectedInstOperands,
     /*  961265 */     // GIR_Coverage, 20830,
     /*  961265 */     GIR_EraseRootFromParent_Done,
     /*  961266 */   // Label 14420: @961266
     /*  961266 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(961343), // Rule ID 20831 //
     /*  961271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  961274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  961285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  961291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961310 */     // MIs[0] policy
     /*  961310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961320 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  961323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961341 */     GIR_RootConstrainSelectedInstOperands,
     /*  961342 */     // GIR_Coverage, 20831,
     /*  961342 */     GIR_EraseRootFromParent_Done,
     /*  961343 */   // Label 14421: @961343
     /*  961343 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(961420), // Rule ID 20834 //
     /*  961348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  961351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  961359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  961362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  961365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  961368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961387 */     // MIs[0] policy
     /*  961387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  961400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961418 */     GIR_RootConstrainSelectedInstOperands,
     /*  961419 */     // GIR_Coverage, 20834,
     /*  961419 */     GIR_EraseRootFromParent_Done,
     /*  961420 */   // Label 14422: @961420
     /*  961420 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(961497), // Rule ID 20835 //
     /*  961425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  961428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  961436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  961439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  961442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  961445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961464 */     // MIs[0] policy
     /*  961464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  961477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961495 */     GIR_RootConstrainSelectedInstOperands,
     /*  961496 */     // GIR_Coverage, 20835,
     /*  961496 */     GIR_EraseRootFromParent_Done,
     /*  961497 */   // Label 14423: @961497
     /*  961497 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(961574), // Rule ID 20838 //
     /*  961502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  961505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  961513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  961516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  961519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  961522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961541 */     // MIs[0] policy
     /*  961541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  961554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961572 */     GIR_RootConstrainSelectedInstOperands,
     /*  961573 */     // GIR_Coverage, 20838,
     /*  961573 */     GIR_EraseRootFromParent_Done,
     /*  961574 */   // Label 14424: @961574
     /*  961574 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(961651), // Rule ID 20839 //
     /*  961579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  961582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  961587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  961590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  961593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  961596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  961599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961618 */     // MIs[0] policy
     /*  961618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  961631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961649 */     GIR_RootConstrainSelectedInstOperands,
     /*  961650 */     // GIR_Coverage, 20839,
     /*  961650 */     GIR_EraseRootFromParent_Done,
     /*  961651 */   // Label 14425: @961651
     /*  961651 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(961728), // Rule ID 21106 //
     /*  961656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  961659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  961664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  961667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  961670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  961676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961695 */     // MIs[0] policy
     /*  961695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /*  961708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961726 */     GIR_RootConstrainSelectedInstOperands,
     /*  961727 */     // GIR_Coverage, 21106,
     /*  961727 */     GIR_EraseRootFromParent_Done,
     /*  961728 */   // Label 14426: @961728
     /*  961728 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(961805), // Rule ID 21107 //
     /*  961733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  961736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  961741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  961744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  961747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  961753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961772 */     // MIs[0] policy
     /*  961772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /*  961785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961803 */     GIR_RootConstrainSelectedInstOperands,
     /*  961804 */     // GIR_Coverage, 21107,
     /*  961804 */     GIR_EraseRootFromParent_Done,
     /*  961805 */   // Label 14427: @961805
     /*  961805 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(961882), // Rule ID 21110 //
     /*  961810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  961813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  961818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  961830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961849 */     // MIs[0] policy
     /*  961849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  961862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961880 */     GIR_RootConstrainSelectedInstOperands,
     /*  961881 */     // GIR_Coverage, 21110,
     /*  961881 */     GIR_EraseRootFromParent_Done,
     /*  961882 */   // Label 14428: @961882
     /*  961882 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(961959), // Rule ID 21111 //
     /*  961887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  961890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  961895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  961907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  961914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961926 */     // MIs[0] policy
     /*  961926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  961939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  961945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  961947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961957 */     GIR_RootConstrainSelectedInstOperands,
     /*  961958 */     // GIR_Coverage, 21111,
     /*  961958 */     GIR_EraseRootFromParent_Done,
     /*  961959 */   // Label 14429: @961959
     /*  961959 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(962036), // Rule ID 21114 //
     /*  961964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  961967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  961972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  961981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  961984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962003 */     // MIs[0] policy
     /*  962003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  962016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962034 */     GIR_RootConstrainSelectedInstOperands,
     /*  962035 */     // GIR_Coverage, 21114,
     /*  962035 */     GIR_EraseRootFromParent_Done,
     /*  962036 */   // Label 14430: @962036
     /*  962036 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(962113), // Rule ID 21115 //
     /*  962041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  962044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  962052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  962055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  962058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  962061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962080 */     // MIs[0] policy
     /*  962080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  962093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962111 */     GIR_RootConstrainSelectedInstOperands,
     /*  962112 */     // GIR_Coverage, 21115,
     /*  962112 */     GIR_EraseRootFromParent_Done,
     /*  962113 */   // Label 14431: @962113
     /*  962113 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(962190), // Rule ID 21118 //
     /*  962118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  962121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  962135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  962138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962157 */     // MIs[0] policy
     /*  962157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  962170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962188 */     GIR_RootConstrainSelectedInstOperands,
     /*  962189 */     // GIR_Coverage, 21118,
     /*  962189 */     GIR_EraseRootFromParent_Done,
     /*  962190 */   // Label 14432: @962190
     /*  962190 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(962267), // Rule ID 21119 //
     /*  962195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  962198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  962206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  962209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  962212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  962215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962234 */     // MIs[0] policy
     /*  962234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  962247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962265 */     GIR_RootConstrainSelectedInstOperands,
     /*  962266 */     // GIR_Coverage, 21119,
     /*  962266 */     GIR_EraseRootFromParent_Done,
     /*  962267 */   // Label 14433: @962267
     /*  962267 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(962344), // Rule ID 21122 //
     /*  962272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  962275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  962289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  962292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962311 */     // MIs[0] policy
     /*  962311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  962324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962342 */     GIR_RootConstrainSelectedInstOperands,
     /*  962343 */     // GIR_Coverage, 21122,
     /*  962343 */     GIR_EraseRootFromParent_Done,
     /*  962344 */   // Label 14434: @962344
     /*  962344 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(962421), // Rule ID 21123 //
     /*  962349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  962352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  962360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  962363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  962366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  962369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962388 */     // MIs[0] policy
     /*  962388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  962401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962419 */     GIR_RootConstrainSelectedInstOperands,
     /*  962420 */     // GIR_Coverage, 21123,
     /*  962420 */     GIR_EraseRootFromParent_Done,
     /*  962421 */   // Label 14435: @962421
     /*  962421 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(962498), // Rule ID 21126 //
     /*  962426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  962429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  962440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  962446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  962453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962465 */     // MIs[0] policy
     /*  962465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  962478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962496 */     GIR_RootConstrainSelectedInstOperands,
     /*  962497 */     // GIR_Coverage, 21126,
     /*  962497 */     GIR_EraseRootFromParent_Done,
     /*  962498 */   // Label 14436: @962498
     /*  962498 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(962575), // Rule ID 21127 //
     /*  962503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  962506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  962517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  962523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  962530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962542 */     // MIs[0] policy
     /*  962542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  962555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962573 */     GIR_RootConstrainSelectedInstOperands,
     /*  962574 */     // GIR_Coverage, 21127,
     /*  962574 */     GIR_EraseRootFromParent_Done,
     /*  962575 */   // Label 14437: @962575
     /*  962575 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(962652), // Rule ID 21130 //
     /*  962580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  962583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  962600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962619 */     // MIs[0] policy
     /*  962619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  962632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962650 */     GIR_RootConstrainSelectedInstOperands,
     /*  962651 */     // GIR_Coverage, 21130,
     /*  962651 */     GIR_EraseRootFromParent_Done,
     /*  962652 */   // Label 14438: @962652
     /*  962652 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(962729), // Rule ID 21131 //
     /*  962657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  962660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  962677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  962684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962696 */     // MIs[0] policy
     /*  962696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  962709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962727 */     GIR_RootConstrainSelectedInstOperands,
     /*  962728 */     // GIR_Coverage, 21131,
     /*  962728 */     GIR_EraseRootFromParent_Done,
     /*  962729 */   // Label 14439: @962729
     /*  962729 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(962806), // Rule ID 21134 //
     /*  962734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  962737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  962754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962773 */     // MIs[0] policy
     /*  962773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  962786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962804 */     GIR_RootConstrainSelectedInstOperands,
     /*  962805 */     // GIR_Coverage, 21134,
     /*  962805 */     GIR_EraseRootFromParent_Done,
     /*  962806 */   // Label 14440: @962806
     /*  962806 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(962883), // Rule ID 21135 //
     /*  962811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  962814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  962831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  962838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962850 */     // MIs[0] policy
     /*  962850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  962863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962881 */     GIR_RootConstrainSelectedInstOperands,
     /*  962882 */     // GIR_Coverage, 21135,
     /*  962882 */     GIR_EraseRootFromParent_Done,
     /*  962883 */   // Label 14441: @962883
     /*  962883 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(962960), // Rule ID 21138 //
     /*  962888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  962891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  962908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962927 */     // MIs[0] policy
     /*  962927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  962940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  962946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  962948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962958 */     GIR_RootConstrainSelectedInstOperands,
     /*  962959 */     // GIR_Coverage, 21138,
     /*  962959 */     GIR_EraseRootFromParent_Done,
     /*  962960 */   // Label 14442: @962960
     /*  962960 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(963037), // Rule ID 21139 //
     /*  962965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  962968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  962973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  962985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  962992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963004 */     // MIs[0] policy
     /*  963004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  963017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963035 */     GIR_RootConstrainSelectedInstOperands,
     /*  963036 */     // GIR_Coverage, 21139,
     /*  963036 */     GIR_EraseRootFromParent_Done,
     /*  963037 */   // Label 14443: @963037
     /*  963037 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(963114), // Rule ID 21142 //
     /*  963042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  963045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  963053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  963056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  963062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963081 */     // MIs[0] policy
     /*  963081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /*  963094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963112 */     GIR_RootConstrainSelectedInstOperands,
     /*  963113 */     // GIR_Coverage, 21142,
     /*  963113 */     GIR_EraseRootFromParent_Done,
     /*  963114 */   // Label 14444: @963114
     /*  963114 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(963191), // Rule ID 21143 //
     /*  963119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  963122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  963130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  963133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  963136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  963139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963158 */     // MIs[0] policy
     /*  963158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /*  963171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963189 */     GIR_RootConstrainSelectedInstOperands,
     /*  963190 */     // GIR_Coverage, 21143,
     /*  963190 */     GIR_EraseRootFromParent_Done,
     /*  963191 */   // Label 14445: @963191
     /*  963191 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(963268), // Rule ID 21146 //
     /*  963196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  963199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  963207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  963210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  963216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963235 */     // MIs[0] policy
     /*  963235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  963248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963266 */     GIR_RootConstrainSelectedInstOperands,
     /*  963267 */     // GIR_Coverage, 21146,
     /*  963267 */     GIR_EraseRootFromParent_Done,
     /*  963268 */   // Label 14446: @963268
     /*  963268 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(963345), // Rule ID 21147 //
     /*  963273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  963276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  963284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  963287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  963290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  963293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963312 */     // MIs[0] policy
     /*  963312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  963325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963343 */     GIR_RootConstrainSelectedInstOperands,
     /*  963344 */     // GIR_Coverage, 21147,
     /*  963344 */     GIR_EraseRootFromParent_Done,
     /*  963345 */   // Label 14447: @963345
     /*  963345 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(963422), // Rule ID 21150 //
     /*  963350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  963353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  963361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  963364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  963367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  963370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  963377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963389 */     // MIs[0] policy
     /*  963389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  963402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963420 */     GIR_RootConstrainSelectedInstOperands,
     /*  963421 */     // GIR_Coverage, 21150,
     /*  963421 */     GIR_EraseRootFromParent_Done,
     /*  963422 */   // Label 14448: @963422
     /*  963422 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(963499), // Rule ID 21151 //
     /*  963427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  963430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  963438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  963441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  963444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  963447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  963454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963466 */     // MIs[0] policy
     /*  963466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  963479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963497 */     GIR_RootConstrainSelectedInstOperands,
     /*  963498 */     // GIR_Coverage, 21151,
     /*  963498 */     GIR_EraseRootFromParent_Done,
     /*  963499 */   // Label 14449: @963499
     /*  963499 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(963576), // Rule ID 21154 //
     /*  963504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  963507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  963515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  963518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  963521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  963524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  963531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963543 */     // MIs[0] policy
     /*  963543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  963556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963574 */     GIR_RootConstrainSelectedInstOperands,
     /*  963575 */     // GIR_Coverage, 21154,
     /*  963575 */     GIR_EraseRootFromParent_Done,
     /*  963576 */   // Label 14450: @963576
     /*  963576 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(963653), // Rule ID 21155 //
     /*  963581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  963584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  963592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  963595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  963598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  963601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  963608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963620 */     // MIs[0] policy
     /*  963620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  963633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963651 */     GIR_RootConstrainSelectedInstOperands,
     /*  963652 */     // GIR_Coverage, 21155,
     /*  963652 */     GIR_EraseRootFromParent_Done,
     /*  963653 */   // Label 14451: @963653
     /*  963653 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(963730), // Rule ID 21158 //
     /*  963658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  963661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  963669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  963672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  963675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  963678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963697 */     // MIs[0] policy
     /*  963697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  963710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963728 */     GIR_RootConstrainSelectedInstOperands,
     /*  963729 */     // GIR_Coverage, 21158,
     /*  963729 */     GIR_EraseRootFromParent_Done,
     /*  963730 */   // Label 14452: @963730
     /*  963730 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(963807), // Rule ID 21159 //
     /*  963735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  963738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  963746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  963749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  963752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  963755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  963762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963774 */     // MIs[0] policy
     /*  963774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  963787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963805 */     GIR_RootConstrainSelectedInstOperands,
     /*  963806 */     // GIR_Coverage, 21159,
     /*  963806 */     GIR_EraseRootFromParent_Done,
     /*  963807 */   // Label 14453: @963807
     /*  963807 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(963884), // Rule ID 21162 //
     /*  963812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  963815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  963823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  963826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  963832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963851 */     // MIs[0] policy
     /*  963851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  963864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963882 */     GIR_RootConstrainSelectedInstOperands,
     /*  963883 */     // GIR_Coverage, 21162,
     /*  963883 */     GIR_EraseRootFromParent_Done,
     /*  963884 */   // Label 14454: @963884
     /*  963884 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963961), // Rule ID 21163 //
     /*  963889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  963892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  963900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  963903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  963906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  963909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963928 */     // MIs[0] policy
     /*  963928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  963941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  963947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  963949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963959 */     GIR_RootConstrainSelectedInstOperands,
     /*  963960 */     // GIR_Coverage, 21163,
     /*  963960 */     GIR_EraseRootFromParent_Done,
     /*  963961 */   // Label 14455: @963961
     /*  963961 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(964038), // Rule ID 21166 //
     /*  963966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  963969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  963974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  963977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  963980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  963983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  963986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  963993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964005 */     // MIs[0] policy
     /*  964005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  964018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964036 */     GIR_RootConstrainSelectedInstOperands,
     /*  964037 */     // GIR_Coverage, 21166,
     /*  964037 */     GIR_EraseRootFromParent_Done,
     /*  964038 */   // Label 14456: @964038
     /*  964038 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(964115), // Rule ID 21167 //
     /*  964043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  964046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  964051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  964054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  964057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  964060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  964063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  964070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964082 */     // MIs[0] policy
     /*  964082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  964095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964113 */     GIR_RootConstrainSelectedInstOperands,
     /*  964114 */     // GIR_Coverage, 21167,
     /*  964114 */     GIR_EraseRootFromParent_Done,
     /*  964115 */   // Label 14457: @964115
     /*  964115 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(964192), // Rule ID 21170 //
     /*  964120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  964123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  964128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  964131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  964134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  964140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  964147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964159 */     // MIs[0] policy
     /*  964159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  964172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964190 */     GIR_RootConstrainSelectedInstOperands,
     /*  964191 */     // GIR_Coverage, 21170,
     /*  964191 */     GIR_EraseRootFromParent_Done,
     /*  964192 */   // Label 14458: @964192
     /*  964192 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(964269), // Rule ID 21171 //
     /*  964197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  964200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  964205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  964208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  964211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  964217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  964224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964236 */     // MIs[0] policy
     /*  964236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  964249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964267 */     GIR_RootConstrainSelectedInstOperands,
     /*  964268 */     // GIR_Coverage, 21171,
     /*  964268 */     GIR_EraseRootFromParent_Done,
     /*  964269 */   // Label 14459: @964269
     /*  964269 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(964346), // Rule ID 21174 //
     /*  964274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  964277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  964282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  964285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  964288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  964294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  964301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964313 */     // MIs[0] policy
     /*  964313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  964326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964344 */     GIR_RootConstrainSelectedInstOperands,
     /*  964345 */     // GIR_Coverage, 21174,
     /*  964345 */     GIR_EraseRootFromParent_Done,
     /*  964346 */   // Label 14460: @964346
     /*  964346 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(964423), // Rule ID 21175 //
     /*  964351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  964354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  964359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  964362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  964365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  964371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  964378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964390 */     // MIs[0] policy
     /*  964390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  964403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964421 */     GIR_RootConstrainSelectedInstOperands,
     /*  964422 */     // GIR_Coverage, 21175,
     /*  964422 */     GIR_EraseRootFromParent_Done,
     /*  964423 */   // Label 14461: @964423
     /*  964423 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(964500), // Rule ID 21178 //
     /*  964428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  964431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  964445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  964448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964467 */     // MIs[0] policy
     /*  964467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964477 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /*  964480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964498 */     GIR_RootConstrainSelectedInstOperands,
     /*  964499 */     // GIR_Coverage, 21178,
     /*  964499 */     GIR_EraseRootFromParent_Done,
     /*  964500 */   // Label 14462: @964500
     /*  964500 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(964577), // Rule ID 21179 //
     /*  964505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  964508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  964522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  964525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964544 */     // MIs[0] policy
     /*  964544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964554 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /*  964557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964575 */     GIR_RootConstrainSelectedInstOperands,
     /*  964576 */     // GIR_Coverage, 21179,
     /*  964576 */     GIR_EraseRootFromParent_Done,
     /*  964577 */   // Label 14463: @964577
     /*  964577 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(964654), // Rule ID 21182 //
     /*  964582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  964585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  964602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964621 */     // MIs[0] policy
     /*  964621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964631 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /*  964634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964652 */     GIR_RootConstrainSelectedInstOperands,
     /*  964653 */     // GIR_Coverage, 21182,
     /*  964653 */     GIR_EraseRootFromParent_Done,
     /*  964654 */   // Label 14464: @964654
     /*  964654 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(964731), // Rule ID 21183 //
     /*  964659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  964662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  964679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964698 */     // MIs[0] policy
     /*  964698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964708 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /*  964711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964729 */     GIR_RootConstrainSelectedInstOperands,
     /*  964730 */     // GIR_Coverage, 21183,
     /*  964730 */     GIR_EraseRootFromParent_Done,
     /*  964731 */   // Label 14465: @964731
     /*  964731 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964808), // Rule ID 21186 //
     /*  964736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  964739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  964756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964775 */     // MIs[0] policy
     /*  964775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964785 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /*  964788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964806 */     GIR_RootConstrainSelectedInstOperands,
     /*  964807 */     // GIR_Coverage, 21186,
     /*  964807 */     GIR_EraseRootFromParent_Done,
     /*  964808 */   // Label 14466: @964808
     /*  964808 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(964885), // Rule ID 21187 //
     /*  964813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  964816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  964824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  964827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  964833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964852 */     // MIs[0] policy
     /*  964852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964862 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10940:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /*  964865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964883 */     GIR_RootConstrainSelectedInstOperands,
     /*  964884 */     // GIR_Coverage, 21187,
     /*  964884 */     GIR_EraseRootFromParent_Done,
     /*  964885 */   // Label 14467: @964885
     /*  964885 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(964962), // Rule ID 21190 //
     /*  964890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  964893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  964901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  964904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  964910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  964917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964929 */     // MIs[0] policy
     /*  964929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964939 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /*  964942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  964948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  964950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964960 */     GIR_RootConstrainSelectedInstOperands,
     /*  964961 */     // GIR_Coverage, 21190,
     /*  964961 */     GIR_EraseRootFromParent_Done,
     /*  964962 */   // Label 14468: @964962
     /*  964962 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(965039), // Rule ID 21191 //
     /*  964967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  964970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  964975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  964978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  964981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  964984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  964987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  964994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965006 */     // MIs[0] policy
     /*  965006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965016 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /*  965019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965037 */     GIR_RootConstrainSelectedInstOperands,
     /*  965038 */     // GIR_Coverage, 21191,
     /*  965038 */     GIR_EraseRootFromParent_Done,
     /*  965039 */   // Label 14469: @965039
     /*  965039 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(965116), // Rule ID 21194 //
     /*  965044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  965047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  965064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965083 */     // MIs[0] policy
     /*  965083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965093 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /*  965096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965114 */     GIR_RootConstrainSelectedInstOperands,
     /*  965115 */     // GIR_Coverage, 21194,
     /*  965115 */     GIR_EraseRootFromParent_Done,
     /*  965116 */   // Label 14470: @965116
     /*  965116 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(965193), // Rule ID 21195 //
     /*  965121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  965124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  965141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965160 */     // MIs[0] policy
     /*  965160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965170 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /*  965173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965191 */     GIR_RootConstrainSelectedInstOperands,
     /*  965192 */     // GIR_Coverage, 21195,
     /*  965192 */     GIR_EraseRootFromParent_Done,
     /*  965193 */   // Label 14471: @965193
     /*  965193 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(965270), // Rule ID 21198 //
     /*  965198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  965201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  965209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  965212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  965218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965237 */     // MIs[0] policy
     /*  965237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965247 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /*  965250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965268 */     GIR_RootConstrainSelectedInstOperands,
     /*  965269 */     // GIR_Coverage, 21198,
     /*  965269 */     GIR_EraseRootFromParent_Done,
     /*  965270 */   // Label 14472: @965270
     /*  965270 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(965347), // Rule ID 21199 //
     /*  965275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  965278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  965286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  965289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  965295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965314 */     // MIs[0] policy
     /*  965314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965324 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /*  965327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965345 */     GIR_RootConstrainSelectedInstOperands,
     /*  965346 */     // GIR_Coverage, 21199,
     /*  965346 */     GIR_EraseRootFromParent_Done,
     /*  965347 */   // Label 14473: @965347
     /*  965347 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(965424), // Rule ID 21202 //
     /*  965352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  965355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  965363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  965366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  965369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  965372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965391 */     // MIs[0] policy
     /*  965391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965401 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /*  965404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965422 */     GIR_RootConstrainSelectedInstOperands,
     /*  965423 */     // GIR_Coverage, 21202,
     /*  965423 */     GIR_EraseRootFromParent_Done,
     /*  965424 */   // Label 14474: @965424
     /*  965424 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(965501), // Rule ID 21203 //
     /*  965429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  965432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  965440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  965443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  965446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  965449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965468 */     // MIs[0] policy
     /*  965468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /*  965481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965499 */     GIR_RootConstrainSelectedInstOperands,
     /*  965500 */     // GIR_Coverage, 21203,
     /*  965500 */     GIR_EraseRootFromParent_Done,
     /*  965501 */   // Label 14475: @965501
     /*  965501 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965578), // Rule ID 21206 //
     /*  965506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  965509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  965523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  965526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965545 */     // MIs[0] policy
     /*  965545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965555 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /*  965558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965576 */     GIR_RootConstrainSelectedInstOperands,
     /*  965577 */     // GIR_Coverage, 21206,
     /*  965577 */     GIR_EraseRootFromParent_Done,
     /*  965578 */   // Label 14476: @965578
     /*  965578 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(965655), // Rule ID 21207 //
     /*  965583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  965586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  965600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  965603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965622 */     // MIs[0] policy
     /*  965622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /*  965635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965653 */     GIR_RootConstrainSelectedInstOperands,
     /*  965654 */     // GIR_Coverage, 21207,
     /*  965654 */     GIR_EraseRootFromParent_Done,
     /*  965655 */   // Label 14477: @965655
     /*  965655 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(965732), // Rule ID 21210 //
     /*  965660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  965663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  965671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  965674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  965680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965699 */     // MIs[0] policy
     /*  965699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /*  965712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965730 */     GIR_RootConstrainSelectedInstOperands,
     /*  965731 */     // GIR_Coverage, 21210,
     /*  965731 */     GIR_EraseRootFromParent_Done,
     /*  965732 */   // Label 14478: @965732
     /*  965732 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(965809), // Rule ID 21211 //
     /*  965737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  965740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  965748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  965751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  965757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965776 */     // MIs[0] policy
     /*  965776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /*  965789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965807 */     GIR_RootConstrainSelectedInstOperands,
     /*  965808 */     // GIR_Coverage, 21211,
     /*  965808 */     GIR_EraseRootFromParent_Done,
     /*  965809 */   // Label 14479: @965809
     /*  965809 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(965886), // Rule ID 21214 //
     /*  965814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  965817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  965825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  965828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  965834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965853 */     // MIs[0] policy
     /*  965853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965863 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /*  965866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965884 */     GIR_RootConstrainSelectedInstOperands,
     /*  965885 */     // GIR_Coverage, 21214,
     /*  965885 */     GIR_EraseRootFromParent_Done,
     /*  965886 */   // Label 14480: @965886
     /*  965886 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(965963), // Rule ID 21215 //
     /*  965891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  965894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  965902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  965905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  965908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  965911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  965918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965930 */     // MIs[0] policy
     /*  965930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965940 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /*  965943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  965949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  965951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965961 */     GIR_RootConstrainSelectedInstOperands,
     /*  965962 */     // GIR_Coverage, 21215,
     /*  965962 */     GIR_EraseRootFromParent_Done,
     /*  965963 */   // Label 14481: @965963
     /*  965963 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(966040), // Rule ID 21218 //
     /*  965968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  965971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  965976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  965979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  965982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  965985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  965988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  965995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966007 */     // MIs[0] policy
     /*  966007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966017 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /*  966020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966038 */     GIR_RootConstrainSelectedInstOperands,
     /*  966039 */     // GIR_Coverage, 21218,
     /*  966039 */     GIR_EraseRootFromParent_Done,
     /*  966040 */   // Label 14482: @966040
     /*  966040 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(966117), // Rule ID 21219 //
     /*  966045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  966048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  966065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966084 */     // MIs[0] policy
     /*  966084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966094 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /*  966097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966115 */     GIR_RootConstrainSelectedInstOperands,
     /*  966116 */     // GIR_Coverage, 21219,
     /*  966116 */     GIR_EraseRootFromParent_Done,
     /*  966117 */   // Label 14483: @966117
     /*  966117 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(966194), // Rule ID 21222 //
     /*  966122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  966125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  966133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  966136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  966142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966161 */     // MIs[0] policy
     /*  966161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966171 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /*  966174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966192 */     GIR_RootConstrainSelectedInstOperands,
     /*  966193 */     // GIR_Coverage, 21222,
     /*  966193 */     GIR_EraseRootFromParent_Done,
     /*  966194 */   // Label 14484: @966194
     /*  966194 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(966271), // Rule ID 21223 //
     /*  966199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  966202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  966210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  966213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  966219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966238 */     // MIs[0] policy
     /*  966238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /*  966251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966269 */     GIR_RootConstrainSelectedInstOperands,
     /*  966270 */     // GIR_Coverage, 21223,
     /*  966270 */     GIR_EraseRootFromParent_Done,
     /*  966271 */   // Label 14485: @966271
     /*  966271 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(966348), // Rule ID 21226 //
     /*  966276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  966279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  966293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  966296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966315 */     // MIs[0] policy
     /*  966315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966325 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /*  966328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966346 */     GIR_RootConstrainSelectedInstOperands,
     /*  966347 */     // GIR_Coverage, 21226,
     /*  966347 */     GIR_EraseRootFromParent_Done,
     /*  966348 */   // Label 14486: @966348
     /*  966348 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966425), // Rule ID 21227 //
     /*  966353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  966356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  966370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  966373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966392 */     // MIs[0] policy
     /*  966392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966402 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /*  966405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966423 */     GIR_RootConstrainSelectedInstOperands,
     /*  966424 */     // GIR_Coverage, 21227,
     /*  966424 */     GIR_EraseRootFromParent_Done,
     /*  966425 */   // Label 14487: @966425
     /*  966425 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(966502), // Rule ID 21230 //
     /*  966430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  966433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  966441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  966444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  966450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966469 */     // MIs[0] policy
     /*  966469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966479 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /*  966482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966500 */     GIR_RootConstrainSelectedInstOperands,
     /*  966501 */     // GIR_Coverage, 21230,
     /*  966501 */     GIR_EraseRootFromParent_Done,
     /*  966502 */   // Label 14488: @966502
     /*  966502 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(966579), // Rule ID 21231 //
     /*  966507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  966510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  966518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  966521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  966527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966546 */     // MIs[0] policy
     /*  966546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966556 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /*  966559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966577 */     GIR_RootConstrainSelectedInstOperands,
     /*  966578 */     // GIR_Coverage, 21231,
     /*  966578 */     GIR_EraseRootFromParent_Done,
     /*  966579 */   // Label 14489: @966579
     /*  966579 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(966656), // Rule ID 21234 //
     /*  966584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  966587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  966595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  966598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  966604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966623 */     // MIs[0] policy
     /*  966623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966633 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /*  966636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966654 */     GIR_RootConstrainSelectedInstOperands,
     /*  966655 */     // GIR_Coverage, 21234,
     /*  966655 */     GIR_EraseRootFromParent_Done,
     /*  966656 */   // Label 14490: @966656
     /*  966656 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(966733), // Rule ID 21235 //
     /*  966661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  966664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  966669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  966672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  966675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  966678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  966681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966700 */     // MIs[0] policy
     /*  966700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966710 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /*  966713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966731 */     GIR_RootConstrainSelectedInstOperands,
     /*  966732 */     // GIR_Coverage, 21235,
     /*  966732 */     GIR_EraseRootFromParent_Done,
     /*  966733 */   // Label 14491: @966733
     /*  966733 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(966810), // Rule ID 21238 //
     /*  966738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  966741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  966746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  966749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  966752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  966755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  966758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966777 */     // MIs[0] policy
     /*  966777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966787 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /*  966790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966808 */     GIR_RootConstrainSelectedInstOperands,
     /*  966809 */     // GIR_Coverage, 21238,
     /*  966809 */     GIR_EraseRootFromParent_Done,
     /*  966810 */   // Label 14492: @966810
     /*  966810 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(966887), // Rule ID 21239 //
     /*  966815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  966818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  966823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  966826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  966829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  966832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  966835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966854 */     // MIs[0] policy
     /*  966854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966864 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /*  966867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966885 */     GIR_RootConstrainSelectedInstOperands,
     /*  966886 */     // GIR_Coverage, 21239,
     /*  966886 */     GIR_EraseRootFromParent_Done,
     /*  966887 */   // Label 14493: @966887
     /*  966887 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(966964), // Rule ID 21242 //
     /*  966892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  966895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  966900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  966903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  966906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  966909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  966912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966931 */     // MIs[0] policy
     /*  966931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966941 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /*  966944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  966950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  966952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966962 */     GIR_RootConstrainSelectedInstOperands,
     /*  966963 */     // GIR_Coverage, 21242,
     /*  966963 */     GIR_EraseRootFromParent_Done,
     /*  966964 */   // Label 14494: @966964
     /*  966964 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(967041), // Rule ID 21243 //
     /*  966969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  966972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  966977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  966980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  966983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  966986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  966989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  966996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967008 */     // MIs[0] policy
     /*  967008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967018 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /*  967021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967039 */     GIR_RootConstrainSelectedInstOperands,
     /*  967040 */     // GIR_Coverage, 21243,
     /*  967040 */     GIR_EraseRootFromParent_Done,
     /*  967041 */   // Label 14495: @967041
     /*  967041 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(967118), // Rule ID 21246 //
     /*  967046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  967049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  967057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  967060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  967066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967085 */     // MIs[0] policy
     /*  967085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967095 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /*  967098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967116 */     GIR_RootConstrainSelectedInstOperands,
     /*  967117 */     // GIR_Coverage, 21246,
     /*  967117 */     GIR_EraseRootFromParent_Done,
     /*  967118 */   // Label 14496: @967118
     /*  967118 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967195), // Rule ID 21247 //
     /*  967123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  967126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  967134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  967137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  967140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  967143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967162 */     // MIs[0] policy
     /*  967162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10938:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /*  967175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967193 */     GIR_RootConstrainSelectedInstOperands,
     /*  967194 */     // GIR_Coverage, 21247,
     /*  967194 */     GIR_EraseRootFromParent_Done,
     /*  967195 */   // Label 14497: @967195
     /*  967195 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(967272), // Rule ID 21250 //
     /*  967200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  967203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  967211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  967214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  967217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  967220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967239 */     // MIs[0] policy
     /*  967239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967249 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /*  967252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967270 */     GIR_RootConstrainSelectedInstOperands,
     /*  967271 */     // GIR_Coverage, 21250,
     /*  967271 */     GIR_EraseRootFromParent_Done,
     /*  967272 */   // Label 14498: @967272
     /*  967272 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(967349), // Rule ID 21251 //
     /*  967277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  967280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  967288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  967291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  967294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  967297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967316 */     // MIs[0] policy
     /*  967316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967326 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /*  967329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967347 */     GIR_RootConstrainSelectedInstOperands,
     /*  967348 */     // GIR_Coverage, 21251,
     /*  967348 */     GIR_EraseRootFromParent_Done,
     /*  967349 */   // Label 14499: @967349
     /*  967349 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(967426), // Rule ID 21254 //
     /*  967354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  967357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  967365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  967368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  967374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967393 */     // MIs[0] policy
     /*  967393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967403 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /*  967406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967424 */     GIR_RootConstrainSelectedInstOperands,
     /*  967425 */     // GIR_Coverage, 21254,
     /*  967425 */     GIR_EraseRootFromParent_Done,
     /*  967426 */   // Label 14500: @967426
     /*  967426 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(967503), // Rule ID 21255 //
     /*  967431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  967434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  967442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  967445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  967451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967470 */     // MIs[0] policy
     /*  967470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /*  967483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967501 */     GIR_RootConstrainSelectedInstOperands,
     /*  967502 */     // GIR_Coverage, 21255,
     /*  967502 */     GIR_EraseRootFromParent_Done,
     /*  967503 */   // Label 14501: @967503
     /*  967503 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(967580), // Rule ID 21258 //
     /*  967508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  967511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  967519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  967522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  967528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967547 */     // MIs[0] policy
     /*  967547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967557 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /*  967560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967578 */     GIR_RootConstrainSelectedInstOperands,
     /*  967579 */     // GIR_Coverage, 21258,
     /*  967579 */     GIR_EraseRootFromParent_Done,
     /*  967580 */   // Label 14502: @967580
     /*  967580 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(967657), // Rule ID 21259 //
     /*  967585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  967588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  967596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  967599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  967605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967624 */     // MIs[0] policy
     /*  967624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967634 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /*  967637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967655 */     GIR_RootConstrainSelectedInstOperands,
     /*  967656 */     // GIR_Coverage, 21259,
     /*  967656 */     GIR_EraseRootFromParent_Done,
     /*  967657 */   // Label 14503: @967657
     /*  967657 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(967734), // Rule ID 21262 //
     /*  967662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  967665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  967673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  967676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  967682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967701 */     // MIs[0] policy
     /*  967701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /*  967714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967732 */     GIR_RootConstrainSelectedInstOperands,
     /*  967733 */     // GIR_Coverage, 21262,
     /*  967733 */     GIR_EraseRootFromParent_Done,
     /*  967734 */   // Label 14504: @967734
     /*  967734 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(967811), // Rule ID 21263 //
     /*  967739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  967742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  967750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  967753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  967756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  967759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967778 */     // MIs[0] policy
     /*  967778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967788 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /*  967791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967809 */     GIR_RootConstrainSelectedInstOperands,
     /*  967810 */     // GIR_Coverage, 21263,
     /*  967810 */     GIR_EraseRootFromParent_Done,
     /*  967811 */   // Label 14505: @967811
     /*  967811 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(967888), // Rule ID 21266 //
     /*  967816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  967819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  967827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  967830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967855 */     // MIs[0] policy
     /*  967855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /*  967868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967886 */     GIR_RootConstrainSelectedInstOperands,
     /*  967887 */     // GIR_Coverage, 21266,
     /*  967887 */     GIR_EraseRootFromParent_Done,
     /*  967888 */   // Label 14506: @967888
     /*  967888 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(967965), // Rule ID 21267 //
     /*  967893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  967896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  967904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  967907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967932 */     // MIs[0] policy
     /*  967932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /*  967945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  967953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967963 */     GIR_RootConstrainSelectedInstOperands,
     /*  967964 */     // GIR_Coverage, 21267,
     /*  967964 */     GIR_EraseRootFromParent_Done,
     /*  967965 */   // Label 14507: @967965
     /*  967965 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968042), // Rule ID 21270 //
     /*  967970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  967973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  967978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  967981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  967984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  967987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  967990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968009 */     // MIs[0] policy
     /*  968009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968019 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /*  968022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968040 */     GIR_RootConstrainSelectedInstOperands,
     /*  968041 */     // GIR_Coverage, 21270,
     /*  968041 */     GIR_EraseRootFromParent_Done,
     /*  968042 */   // Label 14508: @968042
     /*  968042 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(968119), // Rule ID 21271 //
     /*  968047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  968050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  968058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  968061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  968064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  968067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968086 */     // MIs[0] policy
     /*  968086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /*  968099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968117 */     GIR_RootConstrainSelectedInstOperands,
     /*  968118 */     // GIR_Coverage, 21271,
     /*  968118 */     GIR_EraseRootFromParent_Done,
     /*  968119 */   // Label 14509: @968119
     /*  968119 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(968196), // Rule ID 21274 //
     /*  968124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  968127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  968135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  968138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968163 */     // MIs[0] policy
     /*  968163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968173 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /*  968176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968194 */     GIR_RootConstrainSelectedInstOperands,
     /*  968195 */     // GIR_Coverage, 21274,
     /*  968195 */     GIR_EraseRootFromParent_Done,
     /*  968196 */   // Label 14510: @968196
     /*  968196 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(968273), // Rule ID 21275 //
     /*  968201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  968204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  968212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  968215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968240 */     // MIs[0] policy
     /*  968240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /*  968253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968271 */     GIR_RootConstrainSelectedInstOperands,
     /*  968272 */     // GIR_Coverage, 21275,
     /*  968272 */     GIR_EraseRootFromParent_Done,
     /*  968273 */   // Label 14511: @968273
     /*  968273 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(968350), // Rule ID 21278 //
     /*  968278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  968281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  968289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  968292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  968298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968317 */     // MIs[0] policy
     /*  968317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968327 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /*  968330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968348 */     GIR_RootConstrainSelectedInstOperands,
     /*  968349 */     // GIR_Coverage, 21278,
     /*  968349 */     GIR_EraseRootFromParent_Done,
     /*  968350 */   // Label 14512: @968350
     /*  968350 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(968427), // Rule ID 21279 //
     /*  968355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  968358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  968366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  968369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  968375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968394 */     // MIs[0] policy
     /*  968394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /*  968407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968425 */     GIR_RootConstrainSelectedInstOperands,
     /*  968426 */     // GIR_Coverage, 21279,
     /*  968426 */     GIR_EraseRootFromParent_Done,
     /*  968427 */   // Label 14513: @968427
     /*  968427 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(968504), // Rule ID 21282 //
     /*  968432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  968435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  968443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  968446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  968452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  968459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968471 */     // MIs[0] policy
     /*  968471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /*  968484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968502 */     GIR_RootConstrainSelectedInstOperands,
     /*  968503 */     // GIR_Coverage, 21282,
     /*  968503 */     GIR_EraseRootFromParent_Done,
     /*  968504 */   // Label 14514: @968504
     /*  968504 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(968581), // Rule ID 21283 //
     /*  968509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  968512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  968520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  968523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  968529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  968536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968548 */     // MIs[0] policy
     /*  968548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968558 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /*  968561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968579 */     GIR_RootConstrainSelectedInstOperands,
     /*  968580 */     // GIR_Coverage, 21283,
     /*  968580 */     GIR_EraseRootFromParent_Done,
     /*  968581 */   // Label 14515: @968581
     /*  968581 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(968658), // Rule ID 21286 //
     /*  968586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  968589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  968597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  968600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  968606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968625 */     // MIs[0] policy
     /*  968625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968635 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /*  968638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968656 */     GIR_RootConstrainSelectedInstOperands,
     /*  968657 */     // GIR_Coverage, 21286,
     /*  968657 */     GIR_EraseRootFromParent_Done,
     /*  968658 */   // Label 14516: @968658
     /*  968658 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(968735), // Rule ID 21287 //
     /*  968663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  968666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  968674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  968677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  968680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  968683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968702 */     // MIs[0] policy
     /*  968702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968712 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /*  968715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968733 */     GIR_RootConstrainSelectedInstOperands,
     /*  968734 */     // GIR_Coverage, 21287,
     /*  968734 */     GIR_EraseRootFromParent_Done,
     /*  968735 */   // Label 14517: @968735
     /*  968735 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(968812), // Rule ID 21290 //
     /*  968740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  968743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  968751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  968754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  968760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968779 */     // MIs[0] policy
     /*  968779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968789 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /*  968792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968810 */     GIR_RootConstrainSelectedInstOperands,
     /*  968811 */     // GIR_Coverage, 21290,
     /*  968811 */     GIR_EraseRootFromParent_Done,
     /*  968812 */   // Label 14518: @968812
     /*  968812 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(968889), // Rule ID 21291 //
     /*  968817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  968820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  968828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  968831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  968837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968856 */     // MIs[0] policy
     /*  968856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968866 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /*  968869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968887 */     GIR_RootConstrainSelectedInstOperands,
     /*  968888 */     // GIR_Coverage, 21291,
     /*  968888 */     GIR_EraseRootFromParent_Done,
     /*  968889 */   // Label 14519: @968889
     /*  968889 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(968966), // Rule ID 21294 //
     /*  968894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  968897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  968905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  968908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968933 */     // MIs[0] policy
     /*  968933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968943 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /*  968946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  968954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968964 */     GIR_RootConstrainSelectedInstOperands,
     /*  968965 */     // GIR_Coverage, 21294,
     /*  968965 */     GIR_EraseRootFromParent_Done,
     /*  968966 */   // Label 14520: @968966
     /*  968966 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(969043), // Rule ID 21295 //
     /*  968971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  968974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  968979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  968982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  968985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969010 */     // MIs[0] policy
     /*  969010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969020 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /*  969023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969041 */     GIR_RootConstrainSelectedInstOperands,
     /*  969042 */     // GIR_Coverage, 21295,
     /*  969042 */     GIR_EraseRootFromParent_Done,
     /*  969043 */   // Label 14521: @969043
     /*  969043 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(969120), // Rule ID 21298 //
     /*  969048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  969051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  969059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  969062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  969065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  969068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969087 */     // MIs[0] policy
     /*  969087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10936:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /*  969100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969118 */     GIR_RootConstrainSelectedInstOperands,
     /*  969119 */     // GIR_Coverage, 21298,
     /*  969119 */     GIR_EraseRootFromParent_Done,
     /*  969120 */   // Label 14522: @969120
     /*  969120 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(969197), // Rule ID 21299 //
     /*  969125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  969128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  969136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  969139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  969142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  969145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969164 */     // MIs[0] policy
     /*  969164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969174 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10936:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /*  969177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969195 */     GIR_RootConstrainSelectedInstOperands,
     /*  969196 */     // GIR_Coverage, 21299,
     /*  969196 */     GIR_EraseRootFromParent_Done,
     /*  969197 */   // Label 14523: @969197
     /*  969197 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(969274), // Rule ID 21302 //
     /*  969202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  969205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  969213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  969216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  969219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969241 */     // MIs[0] policy
     /*  969241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969251 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10936:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /*  969254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969272 */     GIR_RootConstrainSelectedInstOperands,
     /*  969273 */     // GIR_Coverage, 21302,
     /*  969273 */     GIR_EraseRootFromParent_Done,
     /*  969274 */   // Label 14524: @969274
     /*  969274 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(969351), // Rule ID 21303 //
     /*  969279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  969282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  969290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  969293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  969296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969318 */     // MIs[0] policy
     /*  969318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969328 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10936:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /*  969331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969349 */     GIR_RootConstrainSelectedInstOperands,
     /*  969350 */     // GIR_Coverage, 21303,
     /*  969350 */     GIR_EraseRootFromParent_Done,
     /*  969351 */   // Label 14525: @969351
     /*  969351 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(969428), // Rule ID 21306 //
     /*  969356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  969359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  969367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  969370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  969376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  969383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969395 */     // MIs[0] policy
     /*  969395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969405 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10936:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /*  969408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969426 */     GIR_RootConstrainSelectedInstOperands,
     /*  969427 */     // GIR_Coverage, 21306,
     /*  969427 */     GIR_EraseRootFromParent_Done,
     /*  969428 */   // Label 14526: @969428
     /*  969428 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(969505), // Rule ID 21307 //
     /*  969433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  969436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  969444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  969447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  969453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  969460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969472 */     // MIs[0] policy
     /*  969472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969482 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10936:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /*  969485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969503 */     GIR_RootConstrainSelectedInstOperands,
     /*  969504 */     // GIR_Coverage, 21307,
     /*  969504 */     GIR_EraseRootFromParent_Done,
     /*  969505 */   // Label 14527: @969505
     /*  969505 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(969582), // Rule ID 21310 //
     /*  969510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  969513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  969521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  969524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  969530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  969537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969549 */     // MIs[0] policy
     /*  969549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969559 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10936:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /*  969562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969580 */     GIR_RootConstrainSelectedInstOperands,
     /*  969581 */     // GIR_Coverage, 21310,
     /*  969581 */     GIR_EraseRootFromParent_Done,
     /*  969582 */   // Label 14528: @969582
     /*  969582 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(969659), // Rule ID 21311 //
     /*  969587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  969590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  969598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  969601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  969604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  969607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  969614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969626 */     // MIs[0] policy
     /*  969626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10936:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /*  969639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969657 */     GIR_RootConstrainSelectedInstOperands,
     /*  969658 */     // GIR_Coverage, 21311,
     /*  969658 */     GIR_EraseRootFromParent_Done,
     /*  969659 */   // Label 14529: @969659
     /*  969659 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(969736), // Rule ID 21314 //
     /*  969664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  969667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  969675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  969678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  969684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969703 */     // MIs[0] policy
     /*  969703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969713 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10936:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /*  969716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969734 */     GIR_RootConstrainSelectedInstOperands,
     /*  969735 */     // GIR_Coverage, 21314,
     /*  969735 */     GIR_EraseRootFromParent_Done,
     /*  969736 */   // Label 14530: @969736
     /*  969736 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(969813), // Rule ID 21315 //
     /*  969741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  969744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  969752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  969755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  969758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  969761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969780 */     // MIs[0] policy
     /*  969780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969790 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10936:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /*  969793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969811 */     GIR_RootConstrainSelectedInstOperands,
     /*  969812 */     // GIR_Coverage, 21315,
     /*  969812 */     GIR_EraseRootFromParent_Done,
     /*  969813 */   // Label 14531: @969813
     /*  969813 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(969890), // Rule ID 21318 //
     /*  969818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  969821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  969829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  969832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  969835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  969838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969857 */     // MIs[0] policy
     /*  969857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10936:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /*  969870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969888 */     GIR_RootConstrainSelectedInstOperands,
     /*  969889 */     // GIR_Coverage, 21318,
     /*  969889 */     GIR_EraseRootFromParent_Done,
     /*  969890 */   // Label 14532: @969890
     /*  969890 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(969967), // Rule ID 21319 //
     /*  969895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  969898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  969906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  969909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  969912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  969915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969934 */     // MIs[0] policy
     /*  969934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969944 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10936:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /*  969947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  969955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969965 */     GIR_RootConstrainSelectedInstOperands,
     /*  969966 */     // GIR_Coverage, 21319,
     /*  969966 */     GIR_EraseRootFromParent_Done,
     /*  969967 */   // Label 14533: @969967
     /*  969967 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(970044), // Rule ID 21322 //
     /*  969972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  969975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  969980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  969983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  969986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  969999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970011 */     // MIs[0] policy
     /*  970011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970021 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10936:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /*  970024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970042 */     GIR_RootConstrainSelectedInstOperands,
     /*  970043 */     // GIR_Coverage, 21322,
     /*  970043 */     GIR_EraseRootFromParent_Done,
     /*  970044 */   // Label 14534: @970044
     /*  970044 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(970121), // Rule ID 21323 //
     /*  970049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  970052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  970057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  970060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  970063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  970066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  970069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  970076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970088 */     // MIs[0] policy
     /*  970088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10936:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /*  970101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970119 */     GIR_RootConstrainSelectedInstOperands,
     /*  970120 */     // GIR_Coverage, 21323,
     /*  970120 */     GIR_EraseRootFromParent_Done,
     /*  970121 */   // Label 14535: @970121
     /*  970121 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(970198), // Rule ID 21326 //
     /*  970126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  970129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  970134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  970137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  970140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  970153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970165 */     // MIs[0] policy
     /*  970165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970175 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10936:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /*  970178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970196 */     GIR_RootConstrainSelectedInstOperands,
     /*  970197 */     // GIR_Coverage, 21326,
     /*  970197 */     GIR_EraseRootFromParent_Done,
     /*  970198 */   // Label 14536: @970198
     /*  970198 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(970275), // Rule ID 21327 //
     /*  970203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  970206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  970211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  970214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  970217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  970220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  970230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970242 */     // MIs[0] policy
     /*  970242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10936:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /*  970255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970273 */     GIR_RootConstrainSelectedInstOperands,
     /*  970274 */     // GIR_Coverage, 21327,
     /*  970274 */     GIR_EraseRootFromParent_Done,
     /*  970275 */   // Label 14537: @970275
     /*  970275 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(970352), // Rule ID 21330 //
     /*  970280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  970283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  970288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  970291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  970294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  970307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970319 */     // MIs[0] policy
     /*  970319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970329 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10936:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /*  970332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970350 */     GIR_RootConstrainSelectedInstOperands,
     /*  970351 */     // GIR_Coverage, 21330,
     /*  970351 */     GIR_EraseRootFromParent_Done,
     /*  970352 */   // Label 14538: @970352
     /*  970352 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(970429), // Rule ID 21331 //
     /*  970357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  970360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  970365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  970368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  970371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  970374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  970384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970396 */     // MIs[0] policy
     /*  970396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970406 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10936:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /*  970409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970427 */     GIR_RootConstrainSelectedInstOperands,
     /*  970428 */     // GIR_Coverage, 21331,
     /*  970428 */     GIR_EraseRootFromParent_Done,
     /*  970429 */   // Label 14539: @970429
     /*  970429 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(970506), // Rule ID 21574 //
     /*  970434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  970445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  970448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  970451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970473 */     // MIs[0] policy
     /*  970473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /*  970486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970504 */     GIR_RootConstrainSelectedInstOperands,
     /*  970505 */     // GIR_Coverage, 21574,
     /*  970505 */     GIR_EraseRootFromParent_Done,
     /*  970506 */   // Label 14540: @970506
     /*  970506 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(970583), // Rule ID 21575 //
     /*  970511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  970522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  970525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  970528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970550 */     // MIs[0] policy
     /*  970550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970560 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /*  970563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970581 */     GIR_RootConstrainSelectedInstOperands,
     /*  970582 */     // GIR_Coverage, 21575,
     /*  970582 */     GIR_EraseRootFromParent_Done,
     /*  970583 */   // Label 14541: @970583
     /*  970583 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(970660), // Rule ID 21578 //
     /*  970588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  970599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  970602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  970608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970627 */     // MIs[0] policy
     /*  970627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970637 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  970640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970658 */     GIR_RootConstrainSelectedInstOperands,
     /*  970659 */     // GIR_Coverage, 21578,
     /*  970659 */     GIR_EraseRootFromParent_Done,
     /*  970660 */   // Label 14542: @970660
     /*  970660 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(970737), // Rule ID 21579 //
     /*  970665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  970676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  970679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  970685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970704 */     // MIs[0] policy
     /*  970704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  970717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970735 */     GIR_RootConstrainSelectedInstOperands,
     /*  970736 */     // GIR_Coverage, 21579,
     /*  970736 */     GIR_EraseRootFromParent_Done,
     /*  970737 */   // Label 14543: @970737
     /*  970737 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(970814), // Rule ID 21582 //
     /*  970742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  970753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  970756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970781 */     // MIs[0] policy
     /*  970781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970791 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  970794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970812 */     GIR_RootConstrainSelectedInstOperands,
     /*  970813 */     // GIR_Coverage, 21582,
     /*  970813 */     GIR_EraseRootFromParent_Done,
     /*  970814 */   // Label 14544: @970814
     /*  970814 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(970891), // Rule ID 21583 //
     /*  970819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  970830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  970833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970858 */     // MIs[0] policy
     /*  970858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  970871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970889 */     GIR_RootConstrainSelectedInstOperands,
     /*  970890 */     // GIR_Coverage, 21583,
     /*  970890 */     GIR_EraseRootFromParent_Done,
     /*  970891 */   // Label 14545: @970891
     /*  970891 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(970968), // Rule ID 21586 //
     /*  970896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  970907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  970910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970935 */     // MIs[0] policy
     /*  970935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  970948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  970956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970966 */     GIR_RootConstrainSelectedInstOperands,
     /*  970967 */     // GIR_Coverage, 21586,
     /*  970967 */     GIR_EraseRootFromParent_Done,
     /*  970968 */   // Label 14546: @970968
     /*  970968 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(971045), // Rule ID 21587 //
     /*  970973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  970981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  970984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  970987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971012 */     // MIs[0] policy
     /*  971012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10886:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  971025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971043 */     GIR_RootConstrainSelectedInstOperands,
     /*  971044 */     // GIR_Coverage, 21587,
     /*  971044 */     GIR_EraseRootFromParent_Done,
     /*  971045 */   // Label 14547: @971045
     /*  971045 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(971122), // Rule ID 21590 //
     /*  971050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  971053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  971061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  971064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  971067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971089 */     // MIs[0] policy
     /*  971089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  971102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971120 */     GIR_RootConstrainSelectedInstOperands,
     /*  971121 */     // GIR_Coverage, 21590,
     /*  971121 */     GIR_EraseRootFromParent_Done,
     /*  971122 */   // Label 14548: @971122
     /*  971122 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(971199), // Rule ID 21591 //
     /*  971127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  971130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  971138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  971141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  971144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971166 */     // MIs[0] policy
     /*  971166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  971179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971197 */     GIR_RootConstrainSelectedInstOperands,
     /*  971198 */     // GIR_Coverage, 21591,
     /*  971198 */     GIR_EraseRootFromParent_Done,
     /*  971199 */   // Label 14549: @971199
     /*  971199 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(971276), // Rule ID 21594 //
     /*  971204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  971207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  971215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  971218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  971221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  971224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971243 */     // MIs[0] policy
     /*  971243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971253 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  971256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971274 */     GIR_RootConstrainSelectedInstOperands,
     /*  971275 */     // GIR_Coverage, 21594,
     /*  971275 */     GIR_EraseRootFromParent_Done,
     /*  971276 */   // Label 14550: @971276
     /*  971276 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(971353), // Rule ID 21595 //
     /*  971281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  971284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  971292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  971295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  971298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  971301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971320 */     // MIs[0] policy
     /*  971320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971330 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  971333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971351 */     GIR_RootConstrainSelectedInstOperands,
     /*  971352 */     // GIR_Coverage, 21595,
     /*  971352 */     GIR_EraseRootFromParent_Done,
     /*  971353 */   // Label 14551: @971353
     /*  971353 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(971430), // Rule ID 21598 //
     /*  971358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  971369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  971372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  971375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  971378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971397 */     // MIs[0] policy
     /*  971397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  971410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971428 */     GIR_RootConstrainSelectedInstOperands,
     /*  971429 */     // GIR_Coverage, 21598,
     /*  971429 */     GIR_EraseRootFromParent_Done,
     /*  971430 */   // Label 14552: @971430
     /*  971430 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(971507), // Rule ID 21599 //
     /*  971435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  971446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  971449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  971452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  971455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971474 */     // MIs[0] policy
     /*  971474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  971487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971505 */     GIR_RootConstrainSelectedInstOperands,
     /*  971506 */     // GIR_Coverage, 21599,
     /*  971506 */     GIR_EraseRootFromParent_Done,
     /*  971507 */   // Label 14553: @971507
     /*  971507 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(971584), // Rule ID 21602 //
     /*  971512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  971523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  971526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  971529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  971532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971551 */     // MIs[0] policy
     /*  971551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  971564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971582 */     GIR_RootConstrainSelectedInstOperands,
     /*  971583 */     // GIR_Coverage, 21602,
     /*  971583 */     GIR_EraseRootFromParent_Done,
     /*  971584 */   // Label 14554: @971584
     /*  971584 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(971661), // Rule ID 21603 //
     /*  971589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  971600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  971603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  971606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  971609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971628 */     // MIs[0] policy
     /*  971628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  971641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971659 */     GIR_RootConstrainSelectedInstOperands,
     /*  971660 */     // GIR_Coverage, 21603,
     /*  971660 */     GIR_EraseRootFromParent_Done,
     /*  971661 */   // Label 14555: @971661
     /*  971661 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(971738), // Rule ID 21606 //
     /*  971666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  971677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  971680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  971686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971705 */     // MIs[0] policy
     /*  971705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  971718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971736 */     GIR_RootConstrainSelectedInstOperands,
     /*  971737 */     // GIR_Coverage, 21606,
     /*  971737 */     GIR_EraseRootFromParent_Done,
     /*  971738 */   // Label 14556: @971738
     /*  971738 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(971815), // Rule ID 21607 //
     /*  971743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  971754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  971757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  971763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  971770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971782 */     // MIs[0] policy
     /*  971782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  971795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971813 */     GIR_RootConstrainSelectedInstOperands,
     /*  971814 */     // GIR_Coverage, 21607,
     /*  971814 */     GIR_EraseRootFromParent_Done,
     /*  971815 */   // Label 14557: @971815
     /*  971815 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(971892), // Rule ID 21610 //
     /*  971820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  971831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  971834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  971840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971859 */     // MIs[0] policy
     /*  971859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  971872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971890 */     GIR_RootConstrainSelectedInstOperands,
     /*  971891 */     // GIR_Coverage, 21610,
     /*  971891 */     GIR_EraseRootFromParent_Done,
     /*  971892 */   // Label 14558: @971892
     /*  971892 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(971969), // Rule ID 21611 //
     /*  971897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  971908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  971911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  971917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971936 */     // MIs[0] policy
     /*  971936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  971949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  971957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971967 */     GIR_RootConstrainSelectedInstOperands,
     /*  971968 */     // GIR_Coverage, 21611,
     /*  971968 */     GIR_EraseRootFromParent_Done,
     /*  971969 */   // Label 14559: @971969
     /*  971969 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(972046), // Rule ID 21614 //
     /*  971974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  971982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  971985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  971988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972013 */     // MIs[0] policy
     /*  972013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972023 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  972026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972044 */     GIR_RootConstrainSelectedInstOperands,
     /*  972045 */     // GIR_Coverage, 21614,
     /*  972045 */     GIR_EraseRootFromParent_Done,
     /*  972046 */   // Label 14560: @972046
     /*  972046 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(972123), // Rule ID 21615 //
     /*  972051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  972054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  972062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  972065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  972068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  972071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972090 */     // MIs[0] policy
     /*  972090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  972103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972121 */     GIR_RootConstrainSelectedInstOperands,
     /*  972122 */     // GIR_Coverage, 21615,
     /*  972122 */     GIR_EraseRootFromParent_Done,
     /*  972123 */   // Label 14561: @972123
     /*  972123 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(972200), // Rule ID 21618 //
     /*  972128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  972131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  972139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  972142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972167 */     // MIs[0] policy
     /*  972167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  972180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972198 */     GIR_RootConstrainSelectedInstOperands,
     /*  972199 */     // GIR_Coverage, 21618,
     /*  972199 */     GIR_EraseRootFromParent_Done,
     /*  972200 */   // Label 14562: @972200
     /*  972200 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(972277), // Rule ID 21619 //
     /*  972205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  972208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  972216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  972219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  972222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972244 */     // MIs[0] policy
     /*  972244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  972257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972275 */     GIR_RootConstrainSelectedInstOperands,
     /*  972276 */     // GIR_Coverage, 21619,
     /*  972276 */     GIR_EraseRootFromParent_Done,
     /*  972277 */   // Label 14563: @972277
     /*  972277 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(972354), // Rule ID 21622 //
     /*  972282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  972285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  972293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  972296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  972299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972321 */     // MIs[0] policy
     /*  972321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  972334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972352 */     GIR_RootConstrainSelectedInstOperands,
     /*  972353 */     // GIR_Coverage, 21622,
     /*  972353 */     GIR_EraseRootFromParent_Done,
     /*  972354 */   // Label 14564: @972354
     /*  972354 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(972431), // Rule ID 21623 //
     /*  972359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  972362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  972370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  972373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  972376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972398 */     // MIs[0] policy
     /*  972398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  972411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972429 */     GIR_RootConstrainSelectedInstOperands,
     /*  972430 */     // GIR_Coverage, 21623,
     /*  972430 */     GIR_EraseRootFromParent_Done,
     /*  972431 */   // Label 14565: @972431
     /*  972431 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(972508), // Rule ID 21626 //
     /*  972436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  972439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  972447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  972450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  972453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  972456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  972463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972475 */     // MIs[0] policy
     /*  972475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  972488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972506 */     GIR_RootConstrainSelectedInstOperands,
     /*  972507 */     // GIR_Coverage, 21626,
     /*  972507 */     GIR_EraseRootFromParent_Done,
     /*  972508 */   // Label 14566: @972508
     /*  972508 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(972585), // Rule ID 21627 //
     /*  972513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  972516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  972524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  972527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  972530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  972533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  972540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972552 */     // MIs[0] policy
     /*  972552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  972565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972583 */     GIR_RootConstrainSelectedInstOperands,
     /*  972584 */     // GIR_Coverage, 21627,
     /*  972584 */     GIR_EraseRootFromParent_Done,
     /*  972585 */   // Label 14567: @972585
     /*  972585 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(972662), // Rule ID 21630 //
     /*  972590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  972593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  972601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  972604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  972610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972629 */     // MIs[0] policy
     /*  972629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  972642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972660 */     GIR_RootConstrainSelectedInstOperands,
     /*  972661 */     // GIR_Coverage, 21630,
     /*  972661 */     GIR_EraseRootFromParent_Done,
     /*  972662 */   // Label 14568: @972662
     /*  972662 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(972739), // Rule ID 21631 //
     /*  972667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  972670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  972675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  972678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  972681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  972687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972706 */     // MIs[0] policy
     /*  972706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  972719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972737 */     GIR_RootConstrainSelectedInstOperands,
     /*  972738 */     // GIR_Coverage, 21631,
     /*  972738 */     GIR_EraseRootFromParent_Done,
     /*  972739 */   // Label 14569: @972739
     /*  972739 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(972816), // Rule ID 21634 //
     /*  972744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  972747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  972752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  972755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  972758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972783 */     // MIs[0] policy
     /*  972783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972793 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /*  972796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972814 */     GIR_RootConstrainSelectedInstOperands,
     /*  972815 */     // GIR_Coverage, 21634,
     /*  972815 */     GIR_EraseRootFromParent_Done,
     /*  972816 */   // Label 14570: @972816
     /*  972816 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(972893), // Rule ID 21635 //
     /*  972821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  972824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  972829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  972832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  972835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972860 */     // MIs[0] policy
     /*  972860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /*  972873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972891 */     GIR_RootConstrainSelectedInstOperands,
     /*  972892 */     // GIR_Coverage, 21635,
     /*  972892 */     GIR_EraseRootFromParent_Done,
     /*  972893 */   // Label 14571: @972893
     /*  972893 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(972970), // Rule ID 21638 //
     /*  972898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  972901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  972906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  972909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  972912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972937 */     // MIs[0] policy
     /*  972937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  972950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  972958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972968 */     GIR_RootConstrainSelectedInstOperands,
     /*  972969 */     // GIR_Coverage, 21638,
     /*  972969 */     GIR_EraseRootFromParent_Done,
     /*  972970 */   // Label 14572: @972970
     /*  972970 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(973047), // Rule ID 21639 //
     /*  972975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  972978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  972983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  972986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  972989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973014 */     // MIs[0] policy
     /*  973014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  973027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973045 */     GIR_RootConstrainSelectedInstOperands,
     /*  973046 */     // GIR_Coverage, 21639,
     /*  973046 */     GIR_EraseRootFromParent_Done,
     /*  973047 */   // Label 14573: @973047
     /*  973047 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(973124), // Rule ID 21642 //
     /*  973052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  973063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  973066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  973072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973091 */     // MIs[0] policy
     /*  973091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  973104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973122 */     GIR_RootConstrainSelectedInstOperands,
     /*  973123 */     // GIR_Coverage, 21642,
     /*  973123 */     GIR_EraseRootFromParent_Done,
     /*  973124 */   // Label 14574: @973124
     /*  973124 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(973201), // Rule ID 21643 //
     /*  973129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  973140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  973143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  973149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973168 */     // MIs[0] policy
     /*  973168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  973181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973199 */     GIR_RootConstrainSelectedInstOperands,
     /*  973200 */     // GIR_Coverage, 21643,
     /*  973200 */     GIR_EraseRootFromParent_Done,
     /*  973201 */   // Label 14575: @973201
     /*  973201 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(973278), // Rule ID 21646 //
     /*  973206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  973217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  973220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  973226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973245 */     // MIs[0] policy
     /*  973245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  973258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973276 */     GIR_RootConstrainSelectedInstOperands,
     /*  973277 */     // GIR_Coverage, 21646,
     /*  973277 */     GIR_EraseRootFromParent_Done,
     /*  973278 */   // Label 14576: @973278
     /*  973278 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(973355), // Rule ID 21647 //
     /*  973283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  973294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  973297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  973303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973322 */     // MIs[0] policy
     /*  973322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10884:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  973335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973353 */     GIR_RootConstrainSelectedInstOperands,
     /*  973354 */     // GIR_Coverage, 21647,
     /*  973354 */     GIR_EraseRootFromParent_Done,
     /*  973355 */   // Label 14577: @973355
     /*  973355 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(973432), // Rule ID 21650 //
     /*  973360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  973371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  973374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  973380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  973387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973399 */     // MIs[0] policy
     /*  973399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973409 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  973412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973430 */     GIR_RootConstrainSelectedInstOperands,
     /*  973431 */     // GIR_Coverage, 21650,
     /*  973431 */     GIR_EraseRootFromParent_Done,
     /*  973432 */   // Label 14578: @973432
     /*  973432 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(973509), // Rule ID 21651 //
     /*  973437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  973448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  973451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  973457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  973464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973476 */     // MIs[0] policy
     /*  973476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  973489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973507 */     GIR_RootConstrainSelectedInstOperands,
     /*  973508 */     // GIR_Coverage, 21651,
     /*  973508 */     GIR_EraseRootFromParent_Done,
     /*  973509 */   // Label 14579: @973509
     /*  973509 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(973586), // Rule ID 21654 //
     /*  973514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  973525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  973528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  973531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  973534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  973541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973553 */     // MIs[0] policy
     /*  973553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973563 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  973566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973584 */     GIR_RootConstrainSelectedInstOperands,
     /*  973585 */     // GIR_Coverage, 21654,
     /*  973585 */     GIR_EraseRootFromParent_Done,
     /*  973586 */   // Label 14580: @973586
     /*  973586 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(973663), // Rule ID 21655 //
     /*  973591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  973602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  973605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  973608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  973611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  973618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973630 */     // MIs[0] policy
     /*  973630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  973643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973661 */     GIR_RootConstrainSelectedInstOperands,
     /*  973662 */     // GIR_Coverage, 21655,
     /*  973662 */     GIR_EraseRootFromParent_Done,
     /*  973663 */   // Label 14581: @973663
     /*  973663 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(973740), // Rule ID 21658 //
     /*  973668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  973671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  973679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  973682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  973688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973707 */     // MIs[0] policy
     /*  973707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  973720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973738 */     GIR_RootConstrainSelectedInstOperands,
     /*  973739 */     // GIR_Coverage, 21658,
     /*  973739 */     GIR_EraseRootFromParent_Done,
     /*  973740 */   // Label 14582: @973740
     /*  973740 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(973817), // Rule ID 21659 //
     /*  973745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  973748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  973756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  973759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  973765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973784 */     // MIs[0] policy
     /*  973784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  973797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973815 */     GIR_RootConstrainSelectedInstOperands,
     /*  973816 */     // GIR_Coverage, 21659,
     /*  973816 */     GIR_EraseRootFromParent_Done,
     /*  973817 */   // Label 14583: @973817
     /*  973817 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(973894), // Rule ID 21662 //
     /*  973822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  973825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  973833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  973836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  973842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973861 */     // MIs[0] policy
     /*  973861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  973874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973892 */     GIR_RootConstrainSelectedInstOperands,
     /*  973893 */     // GIR_Coverage, 21662,
     /*  973893 */     GIR_EraseRootFromParent_Done,
     /*  973894 */   // Label 14584: @973894
     /*  973894 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(973971), // Rule ID 21663 //
     /*  973899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  973902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  973910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  973913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  973919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973938 */     // MIs[0] policy
     /*  973938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  973951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  973959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973969 */     GIR_RootConstrainSelectedInstOperands,
     /*  973970 */     // GIR_Coverage, 21663,
     /*  973970 */     GIR_EraseRootFromParent_Done,
     /*  973971 */   // Label 14585: @973971
     /*  973971 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(974048), // Rule ID 21666 //
     /*  973976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  973979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  973984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  973987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  973990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  973993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  973996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974015 */     // MIs[0] policy
     /*  974015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974025 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  974028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974046 */     GIR_RootConstrainSelectedInstOperands,
     /*  974047 */     // GIR_Coverage, 21666,
     /*  974047 */     GIR_EraseRootFromParent_Done,
     /*  974048 */   // Label 14586: @974048
     /*  974048 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(974125), // Rule ID 21667 //
     /*  974053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  974064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  974067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  974073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974092 */     // MIs[0] policy
     /*  974092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  974105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974123 */     GIR_RootConstrainSelectedInstOperands,
     /*  974124 */     // GIR_Coverage, 21667,
     /*  974124 */     GIR_EraseRootFromParent_Done,
     /*  974125 */   // Label 14587: @974125
     /*  974125 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(974202), // Rule ID 21670 //
     /*  974130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  974133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  974141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  974144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974169 */     // MIs[0] policy
     /*  974169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  974182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974200 */     GIR_RootConstrainSelectedInstOperands,
     /*  974201 */     // GIR_Coverage, 21670,
     /*  974201 */     GIR_EraseRootFromParent_Done,
     /*  974202 */   // Label 14588: @974202
     /*  974202 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(974279), // Rule ID 21671 //
     /*  974207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  974218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  974221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974246 */     // MIs[0] policy
     /*  974246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  974259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974277 */     GIR_RootConstrainSelectedInstOperands,
     /*  974278 */     // GIR_Coverage, 21671,
     /*  974278 */     GIR_EraseRootFromParent_Done,
     /*  974279 */   // Label 14589: @974279
     /*  974279 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(974356), // Rule ID 21674 //
     /*  974284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  974287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  974295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  974298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  974304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  974311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974323 */     // MIs[0] policy
     /*  974323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  974336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974354 */     GIR_RootConstrainSelectedInstOperands,
     /*  974355 */     // GIR_Coverage, 21674,
     /*  974355 */     GIR_EraseRootFromParent_Done,
     /*  974356 */   // Label 14590: @974356
     /*  974356 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(974433), // Rule ID 21675 //
     /*  974361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  974372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  974375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  974381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  974388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974400 */     // MIs[0] policy
     /*  974400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  974413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974431 */     GIR_RootConstrainSelectedInstOperands,
     /*  974432 */     // GIR_Coverage, 21675,
     /*  974432 */     GIR_EraseRootFromParent_Done,
     /*  974433 */   // Label 14591: @974433
     /*  974433 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(974510), // Rule ID 21678 //
     /*  974438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  974441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  974449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  974452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  974455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  974458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974477 */     // MIs[0] policy
     /*  974477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  974490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974508 */     GIR_RootConstrainSelectedInstOperands,
     /*  974509 */     // GIR_Coverage, 21678,
     /*  974509 */     GIR_EraseRootFromParent_Done,
     /*  974510 */   // Label 14592: @974510
     /*  974510 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(974587), // Rule ID 21679 //
     /*  974515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  974518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  974526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  974529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  974532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  974535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974554 */     // MIs[0] policy
     /*  974554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  974567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974585 */     GIR_RootConstrainSelectedInstOperands,
     /*  974586 */     // GIR_Coverage, 21679,
     /*  974586 */     GIR_EraseRootFromParent_Done,
     /*  974587 */   // Label 14593: @974587
     /*  974587 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(974664), // Rule ID 21682 //
     /*  974592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  974595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  974603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  974606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  974612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974631 */     // MIs[0] policy
     /*  974631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  974644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974662 */     GIR_RootConstrainSelectedInstOperands,
     /*  974663 */     // GIR_Coverage, 21682,
     /*  974663 */     GIR_EraseRootFromParent_Done,
     /*  974664 */   // Label 14594: @974664
     /*  974664 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(974741), // Rule ID 21683 //
     /*  974669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  974672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  974680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  974683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  974689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  974696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974708 */     // MIs[0] policy
     /*  974708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  974721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974739 */     GIR_RootConstrainSelectedInstOperands,
     /*  974740 */     // GIR_Coverage, 21683,
     /*  974740 */     GIR_EraseRootFromParent_Done,
     /*  974741 */   // Label 14595: @974741
     /*  974741 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(974818), // Rule ID 21686 //
     /*  974746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  974749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  974757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  974760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  974763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  974766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974785 */     // MIs[0] policy
     /*  974785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  974798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974816 */     GIR_RootConstrainSelectedInstOperands,
     /*  974817 */     // GIR_Coverage, 21686,
     /*  974817 */     GIR_EraseRootFromParent_Done,
     /*  974818 */   // Label 14596: @974818
     /*  974818 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(974895), // Rule ID 21687 //
     /*  974823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  974826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  974834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  974837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  974840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  974843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974862 */     // MIs[0] policy
     /*  974862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  974875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974893 */     GIR_RootConstrainSelectedInstOperands,
     /*  974894 */     // GIR_Coverage, 21687,
     /*  974894 */     GIR_EraseRootFromParent_Done,
     /*  974895 */   // Label 14597: @974895
     /*  974895 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(974972), // Rule ID 21690 //
     /*  974900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  974903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  974911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  974914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  974917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  974927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974939 */     // MIs[0] policy
     /*  974939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  974952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  974960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974970 */     GIR_RootConstrainSelectedInstOperands,
     /*  974971 */     // GIR_Coverage, 21690,
     /*  974971 */     GIR_EraseRootFromParent_Done,
     /*  974972 */   // Label 14598: @974972
     /*  974972 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(975049), // Rule ID 21691 //
     /*  974977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  974980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  974985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  974988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  974991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  974994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  975004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975016 */     // MIs[0] policy
     /*  975016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  975029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975047 */     GIR_RootConstrainSelectedInstOperands,
     /*  975048 */     // GIR_Coverage, 21691,
     /*  975048 */     GIR_EraseRootFromParent_Done,
     /*  975049 */   // Label 14599: @975049
     /*  975049 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(975126), // Rule ID 21802 //
     /*  975054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  975057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  975065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  975068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975093 */     // MIs[0] policy
     /*  975093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /*  975106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975124 */     GIR_RootConstrainSelectedInstOperands,
     /*  975125 */     // GIR_Coverage, 21802,
     /*  975125 */     GIR_EraseRootFromParent_Done,
     /*  975126 */   // Label 14600: @975126
     /*  975126 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(975203), // Rule ID 21803 //
     /*  975131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  975134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  975142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  975145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975170 */     // MIs[0] policy
     /*  975170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975180 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /*  975183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975201 */     GIR_RootConstrainSelectedInstOperands,
     /*  975202 */     // GIR_Coverage, 21803,
     /*  975202 */     GIR_EraseRootFromParent_Done,
     /*  975203 */   // Label 14601: @975203
     /*  975203 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(975280), // Rule ID 21806 //
     /*  975208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  975211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  975219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  975222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  975228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975247 */     // MIs[0] policy
     /*  975247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975257 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /*  975260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975278 */     GIR_RootConstrainSelectedInstOperands,
     /*  975279 */     // GIR_Coverage, 21806,
     /*  975279 */     GIR_EraseRootFromParent_Done,
     /*  975280 */   // Label 14602: @975280
     /*  975280 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(975357), // Rule ID 21807 //
     /*  975285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  975288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  975296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  975299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  975305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975324 */     // MIs[0] policy
     /*  975324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975334 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /*  975337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975355 */     GIR_RootConstrainSelectedInstOperands,
     /*  975356 */     // GIR_Coverage, 21807,
     /*  975356 */     GIR_EraseRootFromParent_Done,
     /*  975357 */   // Label 14603: @975357
     /*  975357 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(975434), // Rule ID 21810 //
     /*  975362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  975365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  975373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  975376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  975382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975401 */     // MIs[0] policy
     /*  975401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /*  975414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975432 */     GIR_RootConstrainSelectedInstOperands,
     /*  975433 */     // GIR_Coverage, 21810,
     /*  975433 */     GIR_EraseRootFromParent_Done,
     /*  975434 */   // Label 14604: @975434
     /*  975434 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(975511), // Rule ID 21811 //
     /*  975439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  975442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  975450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  975453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  975459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975478 */     // MIs[0] policy
     /*  975478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975488 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /*  975491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975509 */     GIR_RootConstrainSelectedInstOperands,
     /*  975510 */     // GIR_Coverage, 21811,
     /*  975510 */     GIR_EraseRootFromParent_Done,
     /*  975511 */   // Label 14605: @975511
     /*  975511 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(975588), // Rule ID 21814 //
     /*  975516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  975519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  975527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  975530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  975536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  975543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975555 */     // MIs[0] policy
     /*  975555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /*  975568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975586 */     GIR_RootConstrainSelectedInstOperands,
     /*  975587 */     // GIR_Coverage, 21814,
     /*  975587 */     GIR_EraseRootFromParent_Done,
     /*  975588 */   // Label 14606: @975588
     /*  975588 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(975665), // Rule ID 21815 //
     /*  975593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  975596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  975604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  975607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  975613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  975620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975632 */     // MIs[0] policy
     /*  975632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975642 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /*  975645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975663 */     GIR_RootConstrainSelectedInstOperands,
     /*  975664 */     // GIR_Coverage, 21815,
     /*  975664 */     GIR_EraseRootFromParent_Done,
     /*  975665 */   // Label 14607: @975665
     /*  975665 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(975742), // Rule ID 21818 //
     /*  975670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  975673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  975681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  975684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  975690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  975697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975709 */     // MIs[0] policy
     /*  975709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975719 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /*  975722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975740 */     GIR_RootConstrainSelectedInstOperands,
     /*  975741 */     // GIR_Coverage, 21818,
     /*  975741 */     GIR_EraseRootFromParent_Done,
     /*  975742 */   // Label 14608: @975742
     /*  975742 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(975819), // Rule ID 21819 //
     /*  975747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  975750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  975758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  975761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  975767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  975774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975786 */     // MIs[0] policy
     /*  975786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975796 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /*  975799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975817 */     GIR_RootConstrainSelectedInstOperands,
     /*  975818 */     // GIR_Coverage, 21819,
     /*  975818 */     GIR_EraseRootFromParent_Done,
     /*  975819 */   // Label 14609: @975819
     /*  975819 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(975896), // Rule ID 21822 //
     /*  975824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  975827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  975835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  975838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975863 */     // MIs[0] policy
     /*  975863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975873 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /*  975876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975894 */     GIR_RootConstrainSelectedInstOperands,
     /*  975895 */     // GIR_Coverage, 21822,
     /*  975895 */     GIR_EraseRootFromParent_Done,
     /*  975896 */   // Label 14610: @975896
     /*  975896 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(975973), // Rule ID 21823 //
     /*  975901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  975904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  975912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  975915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975940 */     // MIs[0] policy
     /*  975940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /*  975953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  975961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975971 */     GIR_RootConstrainSelectedInstOperands,
     /*  975972 */     // GIR_Coverage, 21823,
     /*  975972 */     GIR_EraseRootFromParent_Done,
     /*  975973 */   // Label 14611: @975973
     /*  975973 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(976050), // Rule ID 21826 //
     /*  975978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  975981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  975986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  975989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  975992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  975998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976017 */     // MIs[0] policy
     /*  976017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /*  976030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976048 */     GIR_RootConstrainSelectedInstOperands,
     /*  976049 */     // GIR_Coverage, 21826,
     /*  976049 */     GIR_EraseRootFromParent_Done,
     /*  976050 */   // Label 14612: @976050
     /*  976050 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(976127), // Rule ID 21827 //
     /*  976055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  976058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  976063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  976066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  976069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  976072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976094 */     // MIs[0] policy
     /*  976094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976104 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /*  976107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976125 */     GIR_RootConstrainSelectedInstOperands,
     /*  976126 */     // GIR_Coverage, 21827,
     /*  976126 */     GIR_EraseRootFromParent_Done,
     /*  976127 */   // Label 14613: @976127
     /*  976127 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(976204), // Rule ID 21830 //
     /*  976132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  976135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  976140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  976143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  976146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  976152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  976159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976171 */     // MIs[0] policy
     /*  976171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976181 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /*  976184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976202 */     GIR_RootConstrainSelectedInstOperands,
     /*  976203 */     // GIR_Coverage, 21830,
     /*  976203 */     GIR_EraseRootFromParent_Done,
     /*  976204 */   // Label 14614: @976204
     /*  976204 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(976281), // Rule ID 21831 //
     /*  976209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  976212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  976217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  976220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  976223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  976229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  976236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976248 */     // MIs[0] policy
     /*  976248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976258 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /*  976261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976279 */     GIR_RootConstrainSelectedInstOperands,
     /*  976280 */     // GIR_Coverage, 21831,
     /*  976280 */     GIR_EraseRootFromParent_Done,
     /*  976281 */   // Label 14615: @976281
     /*  976281 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(976358), // Rule ID 21834 //
     /*  976286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  976289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  976294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  976297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  976300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  976306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  976313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976325 */     // MIs[0] policy
     /*  976325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976335 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /*  976338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976356 */     GIR_RootConstrainSelectedInstOperands,
     /*  976357 */     // GIR_Coverage, 21834,
     /*  976357 */     GIR_EraseRootFromParent_Done,
     /*  976358 */   // Label 14616: @976358
     /*  976358 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(976435), // Rule ID 21835 //
     /*  976363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  976366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  976371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  976374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  976377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  976383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  976390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976402 */     // MIs[0] policy
     /*  976402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976412 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /*  976415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976433 */     GIR_RootConstrainSelectedInstOperands,
     /*  976434 */     // GIR_Coverage, 21835,
     /*  976434 */     GIR_EraseRootFromParent_Done,
     /*  976435 */   // Label 14617: @976435
     /*  976435 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(976512), // Rule ID 23274 //
     /*  976440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  976451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  976454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  976457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976479 */     // MIs[0] policy
     /*  976479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976489 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  976492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976510 */     GIR_RootConstrainSelectedInstOperands,
     /*  976511 */     // GIR_Coverage, 23274,
     /*  976511 */     GIR_EraseRootFromParent_Done,
     /*  976512 */   // Label 14618: @976512
     /*  976512 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(976589), // Rule ID 23275 //
     /*  976517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  976528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  976531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  976534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976556 */     // MIs[0] policy
     /*  976556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  976569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976587 */     GIR_RootConstrainSelectedInstOperands,
     /*  976588 */     // GIR_Coverage, 23275,
     /*  976588 */     GIR_EraseRootFromParent_Done,
     /*  976589 */   // Label 14619: @976589
     /*  976589 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(976666), // Rule ID 23278 //
     /*  976594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  976605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  976608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  976611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  976614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976633 */     // MIs[0] policy
     /*  976633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  976646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976664 */     GIR_RootConstrainSelectedInstOperands,
     /*  976665 */     // GIR_Coverage, 23278,
     /*  976665 */     GIR_EraseRootFromParent_Done,
     /*  976666 */   // Label 14620: @976666
     /*  976666 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(976743), // Rule ID 23279 //
     /*  976671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  976682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  976685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  976688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  976691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976710 */     // MIs[0] policy
     /*  976710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  976723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976741 */     GIR_RootConstrainSelectedInstOperands,
     /*  976742 */     // GIR_Coverage, 23279,
     /*  976742 */     GIR_EraseRootFromParent_Done,
     /*  976743 */   // Label 14621: @976743
     /*  976743 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(976820), // Rule ID 23282 //
     /*  976748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  976759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  976762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  976765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  976768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976787 */     // MIs[0] policy
     /*  976787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  976800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976818 */     GIR_RootConstrainSelectedInstOperands,
     /*  976819 */     // GIR_Coverage, 23282,
     /*  976819 */     GIR_EraseRootFromParent_Done,
     /*  976820 */   // Label 14622: @976820
     /*  976820 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(976897), // Rule ID 23283 //
     /*  976825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  976836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  976839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  976842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  976845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976864 */     // MIs[0] policy
     /*  976864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  976877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976895 */     GIR_RootConstrainSelectedInstOperands,
     /*  976896 */     // GIR_Coverage, 23283,
     /*  976896 */     GIR_EraseRootFromParent_Done,
     /*  976897 */   // Label 14623: @976897
     /*  976897 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(976974), // Rule ID 23286 //
     /*  976902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  976913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  976916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  976919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976941 */     // MIs[0] policy
     /*  976941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  976954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  976962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976972 */     GIR_RootConstrainSelectedInstOperands,
     /*  976973 */     // GIR_Coverage, 23286,
     /*  976973 */     GIR_EraseRootFromParent_Done,
     /*  976974 */   // Label 14624: @976974
     /*  976974 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(977051), // Rule ID 23287 //
     /*  976979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  976987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  976990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  976993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  976996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977018 */     // MIs[0] policy
     /*  977018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  977031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977049 */     GIR_RootConstrainSelectedInstOperands,
     /*  977050 */     // GIR_Coverage, 23287,
     /*  977050 */     GIR_EraseRootFromParent_Done,
     /*  977051 */   // Label 14625: @977051
     /*  977051 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(977128), // Rule ID 23290 //
     /*  977056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  977067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  977070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  977073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  977076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977095 */     // MIs[0] policy
     /*  977095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  977108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977126 */     GIR_RootConstrainSelectedInstOperands,
     /*  977127 */     // GIR_Coverage, 23290,
     /*  977127 */     GIR_EraseRootFromParent_Done,
     /*  977128 */   // Label 14626: @977128
     /*  977128 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(977205), // Rule ID 23291 //
     /*  977133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  977144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  977147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  977150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  977153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977172 */     // MIs[0] policy
     /*  977172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  977185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977203 */     GIR_RootConstrainSelectedInstOperands,
     /*  977204 */     // GIR_Coverage, 23291,
     /*  977204 */     GIR_EraseRootFromParent_Done,
     /*  977205 */   // Label 14627: @977205
     /*  977205 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(977282), // Rule ID 23294 //
     /*  977210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  977221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  977224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  977227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  977230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977249 */     // MIs[0] policy
     /*  977249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977280 */     GIR_RootConstrainSelectedInstOperands,
     /*  977281 */     // GIR_Coverage, 23294,
     /*  977281 */     GIR_EraseRootFromParent_Done,
     /*  977282 */   // Label 14628: @977282
     /*  977282 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(977359), // Rule ID 23295 //
     /*  977287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  977298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  977301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  977304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  977307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977326 */     // MIs[0] policy
     /*  977326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10976:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977357 */     GIR_RootConstrainSelectedInstOperands,
     /*  977358 */     // GIR_Coverage, 23295,
     /*  977358 */     GIR_EraseRootFromParent_Done,
     /*  977359 */   // Label 14629: @977359
     /*  977359 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(977436), // Rule ID 23298 //
     /*  977364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  977375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  977378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  977381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977403 */     // MIs[0] policy
     /*  977403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977413 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977434 */     GIR_RootConstrainSelectedInstOperands,
     /*  977435 */     // GIR_Coverage, 23298,
     /*  977435 */     GIR_EraseRootFromParent_Done,
     /*  977436 */   // Label 14630: @977436
     /*  977436 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(977513), // Rule ID 23299 //
     /*  977441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  977452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  977455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  977458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977480 */     // MIs[0] policy
     /*  977480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10976:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977511 */     GIR_RootConstrainSelectedInstOperands,
     /*  977512 */     // GIR_Coverage, 23299,
     /*  977512 */     GIR_EraseRootFromParent_Done,
     /*  977513 */   // Label 14631: @977513
     /*  977513 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(977590), // Rule ID 23302 //
     /*  977518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  977529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  977532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  977535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  977538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977557 */     // MIs[0] policy
     /*  977557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977588 */     GIR_RootConstrainSelectedInstOperands,
     /*  977589 */     // GIR_Coverage, 23302,
     /*  977589 */     GIR_EraseRootFromParent_Done,
     /*  977590 */   // Label 14632: @977590
     /*  977590 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(977667), // Rule ID 23303 //
     /*  977595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  977606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  977609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  977612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  977615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977634 */     // MIs[0] policy
     /*  977634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10976:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977665 */     GIR_RootConstrainSelectedInstOperands,
     /*  977666 */     // GIR_Coverage, 23303,
     /*  977666 */     GIR_EraseRootFromParent_Done,
     /*  977667 */   // Label 14633: @977667
     /*  977667 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(977744), // Rule ID 23306 //
     /*  977672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  977683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  977686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  977689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  977692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977711 */     // MIs[0] policy
     /*  977711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977742 */     GIR_RootConstrainSelectedInstOperands,
     /*  977743 */     // GIR_Coverage, 23306,
     /*  977743 */     GIR_EraseRootFromParent_Done,
     /*  977744 */   // Label 14634: @977744
     /*  977744 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(977821), // Rule ID 23307 //
     /*  977749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  977760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  977763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  977766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  977769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  977776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977788 */     // MIs[0] policy
     /*  977788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10976:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  977801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977819 */     GIR_RootConstrainSelectedInstOperands,
     /*  977820 */     // GIR_Coverage, 23307,
     /*  977820 */     GIR_EraseRootFromParent_Done,
     /*  977821 */   // Label 14635: @977821
     /*  977821 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(977898), // Rule ID 23310 //
     /*  977826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  977837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  977840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  977843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  977846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977865 */     // MIs[0] policy
     /*  977865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  977878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977896 */     GIR_RootConstrainSelectedInstOperands,
     /*  977897 */     // GIR_Coverage, 23310,
     /*  977897 */     GIR_EraseRootFromParent_Done,
     /*  977898 */   // Label 14636: @977898
     /*  977898 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(977975), // Rule ID 23311 //
     /*  977903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  977914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  977917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  977920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  977923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977942 */     // MIs[0] policy
     /*  977942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  977955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  977963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977973 */     GIR_RootConstrainSelectedInstOperands,
     /*  977974 */     // GIR_Coverage, 23311,
     /*  977974 */     GIR_EraseRootFromParent_Done,
     /*  977975 */   // Label 14637: @977975
     /*  977975 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(978052), // Rule ID 23314 //
     /*  977980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  977988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  977991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  977994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  977997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  978000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978019 */     // MIs[0] policy
     /*  978019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978029 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  978032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978050 */     GIR_RootConstrainSelectedInstOperands,
     /*  978051 */     // GIR_Coverage, 23314,
     /*  978051 */     GIR_EraseRootFromParent_Done,
     /*  978052 */   // Label 14638: @978052
     /*  978052 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(978129), // Rule ID 23315 //
     /*  978057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  978068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  978071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  978074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  978077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978096 */     // MIs[0] policy
     /*  978096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  978109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978127 */     GIR_RootConstrainSelectedInstOperands,
     /*  978128 */     // GIR_Coverage, 23315,
     /*  978128 */     GIR_EraseRootFromParent_Done,
     /*  978129 */   // Label 14639: @978129
     /*  978129 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(978206), // Rule ID 23318 //
     /*  978134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  978145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  978148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  978151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  978154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978173 */     // MIs[0] policy
     /*  978173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  978186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978204 */     GIR_RootConstrainSelectedInstOperands,
     /*  978205 */     // GIR_Coverage, 23318,
     /*  978205 */     GIR_EraseRootFromParent_Done,
     /*  978206 */   // Label 14640: @978206
     /*  978206 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(978283), // Rule ID 23319 //
     /*  978211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  978222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  978225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  978228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  978231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978250 */     // MIs[0] policy
     /*  978250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  978263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978281 */     GIR_RootConstrainSelectedInstOperands,
     /*  978282 */     // GIR_Coverage, 23319,
     /*  978282 */     GIR_EraseRootFromParent_Done,
     /*  978283 */   // Label 14641: @978283
     /*  978283 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(978360), // Rule ID 23322 //
     /*  978288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  978299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  978302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  978305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978327 */     // MIs[0] policy
     /*  978327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978337 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  978340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978358 */     GIR_RootConstrainSelectedInstOperands,
     /*  978359 */     // GIR_Coverage, 23322,
     /*  978359 */     GIR_EraseRootFromParent_Done,
     /*  978360 */   // Label 14642: @978360
     /*  978360 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(978437), // Rule ID 23323 //
     /*  978365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  978376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  978379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  978382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978404 */     // MIs[0] policy
     /*  978404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  978417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978435 */     GIR_RootConstrainSelectedInstOperands,
     /*  978436 */     // GIR_Coverage, 23323,
     /*  978436 */     GIR_EraseRootFromParent_Done,
     /*  978437 */   // Label 14643: @978437
     /*  978437 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(978514), // Rule ID 23326 //
     /*  978442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  978453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  978456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  978459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  978462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978481 */     // MIs[0] policy
     /*  978481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  978494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978512 */     GIR_RootConstrainSelectedInstOperands,
     /*  978513 */     // GIR_Coverage, 23326,
     /*  978513 */     GIR_EraseRootFromParent_Done,
     /*  978514 */   // Label 14644: @978514
     /*  978514 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(978591), // Rule ID 23327 //
     /*  978519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  978530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  978533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  978536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  978539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978558 */     // MIs[0] policy
     /*  978558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  978571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978589 */     GIR_RootConstrainSelectedInstOperands,
     /*  978590 */     // GIR_Coverage, 23327,
     /*  978590 */     GIR_EraseRootFromParent_Done,
     /*  978591 */   // Label 14645: @978591
     /*  978591 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(978668), // Rule ID 23330 //
     /*  978596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  978607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  978610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  978613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  978616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978635 */     // MIs[0] policy
     /*  978635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  978648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978666 */     GIR_RootConstrainSelectedInstOperands,
     /*  978667 */     // GIR_Coverage, 23330,
     /*  978667 */     GIR_EraseRootFromParent_Done,
     /*  978668 */   // Label 14646: @978668
     /*  978668 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(978745), // Rule ID 23331 //
     /*  978673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  978684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  978687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  978690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  978693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978712 */     // MIs[0] policy
     /*  978712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  978725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978743 */     GIR_RootConstrainSelectedInstOperands,
     /*  978744 */     // GIR_Coverage, 23331,
     /*  978744 */     GIR_EraseRootFromParent_Done,
     /*  978745 */   // Label 14647: @978745
     /*  978745 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(978822), // Rule ID 23334 //
     /*  978750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  978761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  978764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  978767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  978770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978789 */     // MIs[0] policy
     /*  978789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  978802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978820 */     GIR_RootConstrainSelectedInstOperands,
     /*  978821 */     // GIR_Coverage, 23334,
     /*  978821 */     GIR_EraseRootFromParent_Done,
     /*  978822 */   // Label 14648: @978822
     /*  978822 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(978899), // Rule ID 23335 //
     /*  978827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  978838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  978841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  978844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  978847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978866 */     // MIs[0] policy
     /*  978866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  978879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978897 */     GIR_RootConstrainSelectedInstOperands,
     /*  978898 */     // GIR_Coverage, 23335,
     /*  978898 */     GIR_EraseRootFromParent_Done,
     /*  978899 */   // Label 14649: @978899
     /*  978899 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(978976), // Rule ID 23338 //
     /*  978904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  978915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  978918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  978921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978943 */     // MIs[0] policy
     /*  978943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  978956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  978964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978974 */     GIR_RootConstrainSelectedInstOperands,
     /*  978975 */     // GIR_Coverage, 23338,
     /*  978975 */     GIR_EraseRootFromParent_Done,
     /*  978976 */   // Label 14650: @978976
     /*  978976 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(979053), // Rule ID 23339 //
     /*  978981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  978989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  978992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  978995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  978998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  979001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  979008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979020 */     // MIs[0] policy
     /*  979020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  979033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979051 */     GIR_RootConstrainSelectedInstOperands,
     /*  979052 */     // GIR_Coverage, 23339,
     /*  979052 */     GIR_EraseRootFromParent_Done,
     /*  979053 */   // Label 14651: @979053
     /*  979053 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(979130), // Rule ID 23342 //
     /*  979058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  979069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  979072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  979075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  979078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979097 */     // MIs[0] policy
     /*  979097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  979110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979128 */     GIR_RootConstrainSelectedInstOperands,
     /*  979129 */     // GIR_Coverage, 23342,
     /*  979129 */     GIR_EraseRootFromParent_Done,
     /*  979130 */   // Label 14652: @979130
     /*  979130 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(979207), // Rule ID 23343 //
     /*  979135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  979146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  979149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  979152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  979155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979174 */     // MIs[0] policy
     /*  979174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  979187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979205 */     GIR_RootConstrainSelectedInstOperands,
     /*  979206 */     // GIR_Coverage, 23343,
     /*  979206 */     GIR_EraseRootFromParent_Done,
     /*  979207 */   // Label 14653: @979207
     /*  979207 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(979284), // Rule ID 23346 //
     /*  979212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  979223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  979226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  979229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  979232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  979239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979251 */     // MIs[0] policy
     /*  979251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  979264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979282 */     GIR_RootConstrainSelectedInstOperands,
     /*  979283 */     // GIR_Coverage, 23346,
     /*  979283 */     GIR_EraseRootFromParent_Done,
     /*  979284 */   // Label 14654: @979284
     /*  979284 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(979361), // Rule ID 23347 //
     /*  979289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  979300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  979303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  979306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  979309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  979316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979328 */     // MIs[0] policy
     /*  979328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10976:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  979341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979359 */     GIR_RootConstrainSelectedInstOperands,
     /*  979360 */     // GIR_Coverage, 23347,
     /*  979360 */     GIR_EraseRootFromParent_Done,
     /*  979361 */   // Label 14655: @979361
     /*  979361 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(979438), // Rule ID 23350 //
     /*  979366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  979377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  979380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  979383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  979386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  979393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979405 */     // MIs[0] policy
     /*  979405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979415 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  979418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979436 */     GIR_RootConstrainSelectedInstOperands,
     /*  979437 */     // GIR_Coverage, 23350,
     /*  979437 */     GIR_EraseRootFromParent_Done,
     /*  979438 */   // Label 14656: @979438
     /*  979438 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(979515), // Rule ID 23351 //
     /*  979443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  979454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  979457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  979460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  979463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  979470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979482 */     // MIs[0] policy
     /*  979482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10976:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  979495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979513 */     GIR_RootConstrainSelectedInstOperands,
     /*  979514 */     // GIR_Coverage, 23351,
     /*  979514 */     GIR_EraseRootFromParent_Done,
     /*  979515 */   // Label 14657: @979515
     /*  979515 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(979592), // Rule ID 23354 //
     /*  979520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  979531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  979534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  979537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  979540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979559 */     // MIs[0] policy
     /*  979559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  979572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979590 */     GIR_RootConstrainSelectedInstOperands,
     /*  979591 */     // GIR_Coverage, 23354,
     /*  979591 */     GIR_EraseRootFromParent_Done,
     /*  979592 */   // Label 14658: @979592
     /*  979592 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(979669), // Rule ID 23355 //
     /*  979597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  979605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  979608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  979611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  979614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  979617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979636 */     // MIs[0] policy
     /*  979636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10976:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  979649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  979657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979667 */     GIR_RootConstrainSelectedInstOperands,
     /*  979668 */     // GIR_Coverage, 23355,
     /*  979668 */     GIR_EraseRootFromParent_Done,
     /*  979669 */   // Label 14659: @979669
     /*  979669 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(979746), // Rule ID 23460 //
     /*  979674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  979682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  979685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  979688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  979713 */     // MIs[0] policy
     /*  979713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979723 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /*  979726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  979730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  979734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979744 */     GIR_RootConstrainSelectedInstOperands,
     /*  979745 */     // GIR_Coverage, 23460,
     /*  979745 */     GIR_EraseRootFromParent_Done,
     /*  979746 */   // Label 14660: @979746
     /*  979746 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(979823), // Rule ID 23461 //
     /*  979751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  979759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  979762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  979765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  979768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  979790 */     // MIs[0] policy
     /*  979790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /*  979803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  979807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  979811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979821 */     GIR_RootConstrainSelectedInstOperands,
     /*  979822 */     // GIR_Coverage, 23461,
     /*  979822 */     GIR_EraseRootFromParent_Done,
     /*  979823 */   // Label 14661: @979823
     /*  979823 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(979900), // Rule ID 23464 //
     /*  979828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  979836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  979839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  979842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  979867 */     // MIs[0] policy
     /*  979867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979877 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  979880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  979884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  979888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979898 */     GIR_RootConstrainSelectedInstOperands,
     /*  979899 */     // GIR_Coverage, 23464,
     /*  979899 */     GIR_EraseRootFromParent_Done,
     /*  979900 */   // Label 14662: @979900
     /*  979900 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(979977), // Rule ID 23465 //
     /*  979905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  979913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  979916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  979919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  979922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  979944 */     // MIs[0] policy
     /*  979944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  979957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  979961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  979965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979975 */     GIR_RootConstrainSelectedInstOperands,
     /*  979976 */     // GIR_Coverage, 23465,
     /*  979976 */     GIR_EraseRootFromParent_Done,
     /*  979977 */   // Label 14663: @979977
     /*  979977 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(980054), // Rule ID 23468 //
     /*  979982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  979990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  979993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  979996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  979999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980021 */     // MIs[0] policy
     /*  980021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980031 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980052 */     GIR_RootConstrainSelectedInstOperands,
     /*  980053 */     // GIR_Coverage, 23468,
     /*  980053 */     GIR_EraseRootFromParent_Done,
     /*  980054 */   // Label 14664: @980054
     /*  980054 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(980131), // Rule ID 23469 //
     /*  980059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  980070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  980073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980098 */     // MIs[0] policy
     /*  980098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980129 */     GIR_RootConstrainSelectedInstOperands,
     /*  980130 */     // GIR_Coverage, 23469,
     /*  980130 */     GIR_EraseRootFromParent_Done,
     /*  980131 */   // Label 14665: @980131
     /*  980131 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(980208), // Rule ID 23472 //
     /*  980136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  980147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  980150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980175 */     // MIs[0] policy
     /*  980175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980185 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  980188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980206 */     GIR_RootConstrainSelectedInstOperands,
     /*  980207 */     // GIR_Coverage, 23472,
     /*  980207 */     GIR_EraseRootFromParent_Done,
     /*  980208 */   // Label 14666: @980208
     /*  980208 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(980285), // Rule ID 23473 //
     /*  980213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  980224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  980227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980252 */     // MIs[0] policy
     /*  980252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  980265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980283 */     GIR_RootConstrainSelectedInstOperands,
     /*  980284 */     // GIR_Coverage, 23473,
     /*  980284 */     GIR_EraseRootFromParent_Done,
     /*  980285 */   // Label 14667: @980285
     /*  980285 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(980362), // Rule ID 23476 //
     /*  980290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  980301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  980304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980329 */     // MIs[0] policy
     /*  980329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980360 */     GIR_RootConstrainSelectedInstOperands,
     /*  980361 */     // GIR_Coverage, 23476,
     /*  980361 */     GIR_EraseRootFromParent_Done,
     /*  980362 */   // Label 14668: @980362
     /*  980362 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(980439), // Rule ID 23477 //
     /*  980367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  980378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  980381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980406 */     // MIs[0] policy
     /*  980406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980437 */     GIR_RootConstrainSelectedInstOperands,
     /*  980438 */     // GIR_Coverage, 23477,
     /*  980438 */     GIR_EraseRootFromParent_Done,
     /*  980439 */   // Label 14669: @980439
     /*  980439 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(980516), // Rule ID 23480 //
     /*  980444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  980455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  980458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980483 */     // MIs[0] policy
     /*  980483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980514 */     GIR_RootConstrainSelectedInstOperands,
     /*  980515 */     // GIR_Coverage, 23480,
     /*  980515 */     GIR_EraseRootFromParent_Done,
     /*  980516 */   // Label 14670: @980516
     /*  980516 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(980593), // Rule ID 23481 //
     /*  980521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  980532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  980535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980560 */     // MIs[0] policy
     /*  980560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  980573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980591 */     GIR_RootConstrainSelectedInstOperands,
     /*  980592 */     // GIR_Coverage, 23481,
     /*  980592 */     GIR_EraseRootFromParent_Done,
     /*  980593 */   // Label 14671: @980593
     /*  980593 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(980670), // Rule ID 23484 //
     /*  980598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  980609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  980612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980637 */     // MIs[0] policy
     /*  980637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  980650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980668 */     GIR_RootConstrainSelectedInstOperands,
     /*  980669 */     // GIR_Coverage, 23484,
     /*  980669 */     GIR_EraseRootFromParent_Done,
     /*  980670 */   // Label 14672: @980670
     /*  980670 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(980747), // Rule ID 23485 //
     /*  980675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  980686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  980689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  980692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980714 */     // MIs[0] policy
     /*  980714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  980727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980745 */     GIR_RootConstrainSelectedInstOperands,
     /*  980746 */     // GIR_Coverage, 23485,
     /*  980746 */     GIR_EraseRootFromParent_Done,
     /*  980747 */   // Label 14673: @980747
     /*  980747 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(980824), // Rule ID 23488 //
     /*  980752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  980763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  980766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980791 */     // MIs[0] policy
     /*  980791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  980804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980822 */     GIR_RootConstrainSelectedInstOperands,
     /*  980823 */     // GIR_Coverage, 23488,
     /*  980823 */     GIR_EraseRootFromParent_Done,
     /*  980824 */   // Label 14674: @980824
     /*  980824 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(980901), // Rule ID 23489 //
     /*  980829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  980840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  980843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980868 */     // MIs[0] policy
     /*  980868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  980881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980899 */     GIR_RootConstrainSelectedInstOperands,
     /*  980900 */     // GIR_Coverage, 23489,
     /*  980900 */     GIR_EraseRootFromParent_Done,
     /*  980901 */   // Label 14675: @980901
     /*  980901 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(980978), // Rule ID 23492 //
     /*  980906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  980917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  980920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  980923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  980945 */     // MIs[0] policy
     /*  980945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  980958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  980962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  980966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980976 */     GIR_RootConstrainSelectedInstOperands,
     /*  980977 */     // GIR_Coverage, 23492,
     /*  980977 */     GIR_EraseRootFromParent_Done,
     /*  980978 */   // Label 14676: @980978
     /*  980978 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(981055), // Rule ID 23493 //
     /*  980983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  980991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  980994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  980997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981022 */     // MIs[0] policy
     /*  981022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  981035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981053 */     GIR_RootConstrainSelectedInstOperands,
     /*  981054 */     // GIR_Coverage, 23493,
     /*  981054 */     GIR_EraseRootFromParent_Done,
     /*  981055 */   // Label 14677: @981055
     /*  981055 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(981132), // Rule ID 23496 //
     /*  981060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  981071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  981074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981099 */     // MIs[0] policy
     /*  981099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  981112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981130 */     GIR_RootConstrainSelectedInstOperands,
     /*  981131 */     // GIR_Coverage, 23496,
     /*  981131 */     GIR_EraseRootFromParent_Done,
     /*  981132 */   // Label 14678: @981132
     /*  981132 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(981209), // Rule ID 23497 //
     /*  981137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  981148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  981151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  981154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981176 */     // MIs[0] policy
     /*  981176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  981189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981207 */     GIR_RootConstrainSelectedInstOperands,
     /*  981208 */     // GIR_Coverage, 23497,
     /*  981208 */     GIR_EraseRootFromParent_Done,
     /*  981209 */   // Label 14679: @981209
     /*  981209 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(981286), // Rule ID 23500 //
     /*  981214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  981225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  981228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981253 */     // MIs[0] policy
     /*  981253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  981266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981284 */     GIR_RootConstrainSelectedInstOperands,
     /*  981285 */     // GIR_Coverage, 23500,
     /*  981285 */     GIR_EraseRootFromParent_Done,
     /*  981286 */   // Label 14680: @981286
     /*  981286 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(981363), // Rule ID 23501 //
     /*  981291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  981302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  981305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  981308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981330 */     // MIs[0] policy
     /*  981330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  981343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981361 */     GIR_RootConstrainSelectedInstOperands,
     /*  981362 */     // GIR_Coverage, 23501,
     /*  981362 */     GIR_EraseRootFromParent_Done,
     /*  981363 */   // Label 14681: @981363
     /*  981363 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(981440), // Rule ID 23504 //
     /*  981368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  981379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  981382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981407 */     // MIs[0] policy
     /*  981407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981417 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  981420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981438 */     GIR_RootConstrainSelectedInstOperands,
     /*  981439 */     // GIR_Coverage, 23504,
     /*  981439 */     GIR_EraseRootFromParent_Done,
     /*  981440 */   // Label 14682: @981440
     /*  981440 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(981517), // Rule ID 23505 //
     /*  981445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  981456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  981459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  981462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981484 */     // MIs[0] policy
     /*  981484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  981497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981515 */     GIR_RootConstrainSelectedInstOperands,
     /*  981516 */     // GIR_Coverage, 23505,
     /*  981516 */     GIR_EraseRootFromParent_Done,
     /*  981517 */   // Label 14683: @981517
     /*  981517 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(981594), // Rule ID 23508 //
     /*  981522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  981533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  981536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981561 */     // MIs[0] policy
     /*  981561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  981574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981592 */     GIR_RootConstrainSelectedInstOperands,
     /*  981593 */     // GIR_Coverage, 23508,
     /*  981593 */     GIR_EraseRootFromParent_Done,
     /*  981594 */   // Label 14684: @981594
     /*  981594 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(981671), // Rule ID 23509 //
     /*  981599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  981610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  981613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  981616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981638 */     // MIs[0] policy
     /*  981638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981648 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  981651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981669 */     GIR_RootConstrainSelectedInstOperands,
     /*  981670 */     // GIR_Coverage, 23509,
     /*  981670 */     GIR_EraseRootFromParent_Done,
     /*  981671 */   // Label 14685: @981671
     /*  981671 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(981748), // Rule ID 23512 //
     /*  981676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  981687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  981690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  981693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981715 */     // MIs[0] policy
     /*  981715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  981728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981746 */     GIR_RootConstrainSelectedInstOperands,
     /*  981747 */     // GIR_Coverage, 23512,
     /*  981747 */     GIR_EraseRootFromParent_Done,
     /*  981748 */   // Label 14686: @981748
     /*  981748 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(981825), // Rule ID 23513 //
     /*  981753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  981764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  981767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  981770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981792 */     // MIs[0] policy
     /*  981792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  981805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981823 */     GIR_RootConstrainSelectedInstOperands,
     /*  981824 */     // GIR_Coverage, 23513,
     /*  981824 */     GIR_EraseRootFromParent_Done,
     /*  981825 */   // Label 14687: @981825
     /*  981825 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(981902), // Rule ID 23516 //
     /*  981830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  981841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  981844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  981847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981869 */     // MIs[0] policy
     /*  981869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981879 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  981882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981900 */     GIR_RootConstrainSelectedInstOperands,
     /*  981901 */     // GIR_Coverage, 23516,
     /*  981901 */     GIR_EraseRootFromParent_Done,
     /*  981902 */   // Label 14688: @981902
     /*  981902 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(981979), // Rule ID 23517 //
     /*  981907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  981918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  981921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  981924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  981946 */     // MIs[0] policy
     /*  981946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  981959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  981963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  981967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981977 */     GIR_RootConstrainSelectedInstOperands,
     /*  981978 */     // GIR_Coverage, 23517,
     /*  981978 */     GIR_EraseRootFromParent_Done,
     /*  981979 */   // Label 14689: @981979
     /*  981979 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(982056), // Rule ID 23520 //
     /*  981984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  981992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  981995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  981998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982023 */     // MIs[0] policy
     /*  982023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  982036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982054 */     GIR_RootConstrainSelectedInstOperands,
     /*  982055 */     // GIR_Coverage, 23520,
     /*  982055 */     GIR_EraseRootFromParent_Done,
     /*  982056 */   // Label 14690: @982056
     /*  982056 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(982133), // Rule ID 23521 //
     /*  982061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  982072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  982075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  982078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982100 */     // MIs[0] policy
     /*  982100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  982113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982131 */     GIR_RootConstrainSelectedInstOperands,
     /*  982132 */     // GIR_Coverage, 23521,
     /*  982132 */     GIR_EraseRootFromParent_Done,
     /*  982133 */   // Label 14691: @982133
     /*  982133 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(982210), // Rule ID 23524 //
     /*  982138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  982149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  982152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982177 */     // MIs[0] policy
     /*  982177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  982190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982208 */     GIR_RootConstrainSelectedInstOperands,
     /*  982209 */     // GIR_Coverage, 23524,
     /*  982209 */     GIR_EraseRootFromParent_Done,
     /*  982210 */   // Label 14692: @982210
     /*  982210 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(982287), // Rule ID 23525 //
     /*  982215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  982226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  982229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  982232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982254 */     // MIs[0] policy
     /*  982254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  982267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982285 */     GIR_RootConstrainSelectedInstOperands,
     /*  982286 */     // GIR_Coverage, 23525,
     /*  982286 */     GIR_EraseRootFromParent_Done,
     /*  982287 */   // Label 14693: @982287
     /*  982287 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(982364), // Rule ID 23528 //
     /*  982292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  982303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  982306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982331 */     // MIs[0] policy
     /*  982331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  982344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982362 */     GIR_RootConstrainSelectedInstOperands,
     /*  982363 */     // GIR_Coverage, 23528,
     /*  982363 */     GIR_EraseRootFromParent_Done,
     /*  982364 */   // Label 14694: @982364
     /*  982364 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(982441), // Rule ID 23529 //
     /*  982369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  982380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  982383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  982386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982408 */     // MIs[0] policy
     /*  982408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  982421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982439 */     GIR_RootConstrainSelectedInstOperands,
     /*  982440 */     // GIR_Coverage, 23529,
     /*  982440 */     GIR_EraseRootFromParent_Done,
     /*  982441 */   // Label 14695: @982441
     /*  982441 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(982518), // Rule ID 23532 //
     /*  982446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  982457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  982460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  982463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982485 */     // MIs[0] policy
     /*  982485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  982498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982516 */     GIR_RootConstrainSelectedInstOperands,
     /*  982517 */     // GIR_Coverage, 23532,
     /*  982517 */     GIR_EraseRootFromParent_Done,
     /*  982518 */   // Label 14696: @982518
     /*  982518 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(982595), // Rule ID 23533 //
     /*  982523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  982534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  982537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  982540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982562 */     // MIs[0] policy
     /*  982562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  982575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982593 */     GIR_RootConstrainSelectedInstOperands,
     /*  982594 */     // GIR_Coverage, 23533,
     /*  982594 */     GIR_EraseRootFromParent_Done,
     /*  982595 */   // Label 14697: @982595
     /*  982595 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(982672), // Rule ID 23536 //
     /*  982600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  982611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  982614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  982617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982639 */     // MIs[0] policy
     /*  982639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  982652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982670 */     GIR_RootConstrainSelectedInstOperands,
     /*  982671 */     // GIR_Coverage, 23536,
     /*  982671 */     GIR_EraseRootFromParent_Done,
     /*  982672 */   // Label 14698: @982672
     /*  982672 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(982749), // Rule ID 23537 //
     /*  982677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  982688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  982691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  982694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982716 */     // MIs[0] policy
     /*  982716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  982729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982747 */     GIR_RootConstrainSelectedInstOperands,
     /*  982748 */     // GIR_Coverage, 23537,
     /*  982748 */     GIR_EraseRootFromParent_Done,
     /*  982749 */   // Label 14699: @982749
     /*  982749 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(982826), // Rule ID 23540 //
     /*  982754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  982765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  982768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  982771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982793 */     // MIs[0] policy
     /*  982793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  982806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982824 */     GIR_RootConstrainSelectedInstOperands,
     /*  982825 */     // GIR_Coverage, 23540,
     /*  982825 */     GIR_EraseRootFromParent_Done,
     /*  982826 */   // Label 14700: @982826
     /*  982826 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(982903), // Rule ID 23541 //
     /*  982831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  982842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  982845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  982848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982870 */     // MIs[0] policy
     /*  982870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982880 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  982883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982901 */     GIR_RootConstrainSelectedInstOperands,
     /*  982902 */     // GIR_Coverage, 23541,
     /*  982902 */     GIR_EraseRootFromParent_Done,
     /*  982903 */   // Label 14701: @982903
     /*  982903 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(982980), // Rule ID 23544 //
     /*  982908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  982919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  982922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  982925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  982947 */     // MIs[0] policy
     /*  982947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  982960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  982964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  982968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982978 */     GIR_RootConstrainSelectedInstOperands,
     /*  982979 */     // GIR_Coverage, 23544,
     /*  982979 */     GIR_EraseRootFromParent_Done,
     /*  982980 */   // Label 14702: @982980
     /*  982980 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(983057), // Rule ID 23545 //
     /*  982985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  982993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  982996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  982999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  983002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983024 */     // MIs[0] policy
     /*  983024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  983037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983055 */     GIR_RootConstrainSelectedInstOperands,
     /*  983056 */     // GIR_Coverage, 23545,
     /*  983056 */     GIR_EraseRootFromParent_Done,
     /*  983057 */   // Label 14703: @983057
     /*  983057 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(983134), // Rule ID 23636 //
     /*  983062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  983073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  983076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983101 */     // MIs[0] policy
     /*  983101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /*  983114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983132 */     GIR_RootConstrainSelectedInstOperands,
     /*  983133 */     // GIR_Coverage, 23636,
     /*  983133 */     GIR_EraseRootFromParent_Done,
     /*  983134 */   // Label 14704: @983134
     /*  983134 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(983211), // Rule ID 23637 //
     /*  983139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  983150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  983153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  983156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983178 */     // MIs[0] policy
     /*  983178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983188 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /*  983191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983209 */     GIR_RootConstrainSelectedInstOperands,
     /*  983210 */     // GIR_Coverage, 23637,
     /*  983210 */     GIR_EraseRootFromParent_Done,
     /*  983211 */   // Label 14705: @983211
     /*  983211 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(983288), // Rule ID 23640 //
     /*  983216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  983227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  983230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983255 */     // MIs[0] policy
     /*  983255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983265 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  983268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983286 */     GIR_RootConstrainSelectedInstOperands,
     /*  983287 */     // GIR_Coverage, 23640,
     /*  983287 */     GIR_EraseRootFromParent_Done,
     /*  983288 */   // Label 14706: @983288
     /*  983288 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(983365), // Rule ID 23641 //
     /*  983293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  983304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  983307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  983310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983332 */     // MIs[0] policy
     /*  983332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  983345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983363 */     GIR_RootConstrainSelectedInstOperands,
     /*  983364 */     // GIR_Coverage, 23641,
     /*  983364 */     GIR_EraseRootFromParent_Done,
     /*  983365 */   // Label 14707: @983365
     /*  983365 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(983442), // Rule ID 23644 //
     /*  983370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  983381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  983384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  983387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983409 */     // MIs[0] policy
     /*  983409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983419 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983440 */     GIR_RootConstrainSelectedInstOperands,
     /*  983441 */     // GIR_Coverage, 23644,
     /*  983441 */     GIR_EraseRootFromParent_Done,
     /*  983442 */   // Label 14708: @983442
     /*  983442 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(983519), // Rule ID 23645 //
     /*  983447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  983458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  983461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  983464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983486 */     // MIs[0] policy
     /*  983486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983517 */     GIR_RootConstrainSelectedInstOperands,
     /*  983518 */     // GIR_Coverage, 23645,
     /*  983518 */     GIR_EraseRootFromParent_Done,
     /*  983519 */   // Label 14709: @983519
     /*  983519 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(983596), // Rule ID 23648 //
     /*  983524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  983535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  983538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  983541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983563 */     // MIs[0] policy
     /*  983563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  983576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983594 */     GIR_RootConstrainSelectedInstOperands,
     /*  983595 */     // GIR_Coverage, 23648,
     /*  983595 */     GIR_EraseRootFromParent_Done,
     /*  983596 */   // Label 14710: @983596
     /*  983596 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(983673), // Rule ID 23649 //
     /*  983601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  983612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  983615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  983618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983640 */     // MIs[0] policy
     /*  983640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  983653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983671 */     GIR_RootConstrainSelectedInstOperands,
     /*  983672 */     // GIR_Coverage, 23649,
     /*  983672 */     GIR_EraseRootFromParent_Done,
     /*  983673 */   // Label 14711: @983673
     /*  983673 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(983750), // Rule ID 23652 //
     /*  983678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  983689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  983692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  983695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983717 */     // MIs[0] policy
     /*  983717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983748 */     GIR_RootConstrainSelectedInstOperands,
     /*  983749 */     // GIR_Coverage, 23652,
     /*  983749 */     GIR_EraseRootFromParent_Done,
     /*  983750 */   // Label 14712: @983750
     /*  983750 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(983827), // Rule ID 23653 //
     /*  983755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  983766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  983769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  983772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983794 */     // MIs[0] policy
     /*  983794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983825 */     GIR_RootConstrainSelectedInstOperands,
     /*  983826 */     // GIR_Coverage, 23653,
     /*  983826 */     GIR_EraseRootFromParent_Done,
     /*  983827 */   // Label 14713: @983827
     /*  983827 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(983904), // Rule ID 23656 //
     /*  983832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  983843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  983846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983871 */     // MIs[0] policy
     /*  983871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983902 */     GIR_RootConstrainSelectedInstOperands,
     /*  983903 */     // GIR_Coverage, 23656,
     /*  983903 */     GIR_EraseRootFromParent_Done,
     /*  983904 */   // Label 14714: @983904
     /*  983904 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(983981), // Rule ID 23657 //
     /*  983909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  983920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  983923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  983948 */     // MIs[0] policy
     /*  983948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  983961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  983965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  983969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983979 */     GIR_RootConstrainSelectedInstOperands,
     /*  983980 */     // GIR_Coverage, 23657,
     /*  983980 */     GIR_EraseRootFromParent_Done,
     /*  983981 */   // Label 14715: @983981
     /*  983981 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(984058), // Rule ID 23660 //
     /*  983986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  983994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  983997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  984000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984025 */     // MIs[0] policy
     /*  984025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984035 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984056 */     GIR_RootConstrainSelectedInstOperands,
     /*  984057 */     // GIR_Coverage, 23660,
     /*  984057 */     GIR_EraseRootFromParent_Done,
     /*  984058 */   // Label 14716: @984058
     /*  984058 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(984135), // Rule ID 23661 //
     /*  984063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  984074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  984077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  984080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984102 */     // MIs[0] policy
     /*  984102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11201:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984133 */     GIR_RootConstrainSelectedInstOperands,
     /*  984134 */     // GIR_Coverage, 23661,
     /*  984134 */     GIR_EraseRootFromParent_Done,
     /*  984135 */   // Label 14717: @984135
     /*  984135 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(984212), // Rule ID 23664 //
     /*  984140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  984151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  984154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  984157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984179 */     // MIs[0] policy
     /*  984179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984210 */     GIR_RootConstrainSelectedInstOperands,
     /*  984211 */     // GIR_Coverage, 23664,
     /*  984211 */     GIR_EraseRootFromParent_Done,
     /*  984212 */   // Label 14718: @984212
     /*  984212 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(984289), // Rule ID 23665 //
     /*  984217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  984228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  984231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  984234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984256 */     // MIs[0] policy
     /*  984256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984287 */     GIR_RootConstrainSelectedInstOperands,
     /*  984288 */     // GIR_Coverage, 23665,
     /*  984288 */     GIR_EraseRootFromParent_Done,
     /*  984289 */   // Label 14719: @984289
     /*  984289 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(984366), // Rule ID 23668 //
     /*  984294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  984305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  984308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  984311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984333 */     // MIs[0] policy
     /*  984333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984364 */     GIR_RootConstrainSelectedInstOperands,
     /*  984365 */     // GIR_Coverage, 23668,
     /*  984365 */     GIR_EraseRootFromParent_Done,
     /*  984366 */   // Label 14720: @984366
     /*  984366 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(984443), // Rule ID 23669 //
     /*  984371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  984382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  984385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  984388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984410 */     // MIs[0] policy
     /*  984410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984441 */     GIR_RootConstrainSelectedInstOperands,
     /*  984442 */     // GIR_Coverage, 23669,
     /*  984442 */     GIR_EraseRootFromParent_Done,
     /*  984443 */   // Label 14721: @984443
     /*  984443 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(984520), // Rule ID 23672 //
     /*  984448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  984459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  984462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  984465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984487 */     // MIs[0] policy
     /*  984487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984518 */     GIR_RootConstrainSelectedInstOperands,
     /*  984519 */     // GIR_Coverage, 23672,
     /*  984519 */     GIR_EraseRootFromParent_Done,
     /*  984520 */   // Label 14722: @984520
     /*  984520 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(984597), // Rule ID 23673 //
     /*  984525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  984536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  984539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  984542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984564 */     // MIs[0] policy
     /*  984564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  984577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984595 */     GIR_RootConstrainSelectedInstOperands,
     /*  984596 */     // GIR_Coverage, 23673,
     /*  984596 */     GIR_EraseRootFromParent_Done,
     /*  984597 */   // Label 14723: @984597
     /*  984597 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(984674), // Rule ID 23676 //
     /*  984602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  984613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  984616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  984619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984641 */     // MIs[0] policy
     /*  984641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  984654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984672 */     GIR_RootConstrainSelectedInstOperands,
     /*  984673 */     // GIR_Coverage, 23676,
     /*  984673 */     GIR_EraseRootFromParent_Done,
     /*  984674 */   // Label 14724: @984674
     /*  984674 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(984751), // Rule ID 23677 //
     /*  984679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  984690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  984693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  984696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984718 */     // MIs[0] policy
     /*  984718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  984731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984749 */     GIR_RootConstrainSelectedInstOperands,
     /*  984750 */     // GIR_Coverage, 23677,
     /*  984750 */     GIR_EraseRootFromParent_Done,
     /*  984751 */   // Label 14725: @984751
     /*  984751 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(984828), // Rule ID 23680 //
     /*  984756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  984767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  984770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  984773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984795 */     // MIs[0] policy
     /*  984795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984805 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  984808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984826 */     GIR_RootConstrainSelectedInstOperands,
     /*  984827 */     // GIR_Coverage, 23680,
     /*  984827 */     GIR_EraseRootFromParent_Done,
     /*  984828 */   // Label 14726: @984828
     /*  984828 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(984905), // Rule ID 23681 //
     /*  984833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  984844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  984847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  984850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984872 */     // MIs[0] policy
     /*  984872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  984885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984903 */     GIR_RootConstrainSelectedInstOperands,
     /*  984904 */     // GIR_Coverage, 23681,
     /*  984904 */     GIR_EraseRootFromParent_Done,
     /*  984905 */   // Label 14727: @984905
     /*  984905 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(984982), // Rule ID 23684 //
     /*  984910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  984921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  984924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  984927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  984949 */     // MIs[0] policy
     /*  984949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  984962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  984966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  984970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984980 */     GIR_RootConstrainSelectedInstOperands,
     /*  984981 */     // GIR_Coverage, 23684,
     /*  984981 */     GIR_EraseRootFromParent_Done,
     /*  984982 */   // Label 14728: @984982
     /*  984982 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(985059), // Rule ID 23685 //
     /*  984987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  984995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  984998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  985001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  985004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985026 */     // MIs[0] policy
     /*  985026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  985039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985057 */     GIR_RootConstrainSelectedInstOperands,
     /*  985058 */     // GIR_Coverage, 23685,
     /*  985058 */     GIR_EraseRootFromParent_Done,
     /*  985059 */   // Label 14729: @985059
     /*  985059 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(985136), // Rule ID 23688 //
     /*  985064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  985075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  985078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  985081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985103 */     // MIs[0] policy
     /*  985103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  985116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985134 */     GIR_RootConstrainSelectedInstOperands,
     /*  985135 */     // GIR_Coverage, 23688,
     /*  985135 */     GIR_EraseRootFromParent_Done,
     /*  985136 */   // Label 14730: @985136
     /*  985136 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(985213), // Rule ID 23689 //
     /*  985141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  985152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  985155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  985158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985180 */     // MIs[0] policy
     /*  985180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  985193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985211 */     GIR_RootConstrainSelectedInstOperands,
     /*  985212 */     // GIR_Coverage, 23689,
     /*  985212 */     GIR_EraseRootFromParent_Done,
     /*  985213 */   // Label 14731: @985213
     /*  985213 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(985290), // Rule ID 23692 //
     /*  985218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  985229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  985232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  985235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985257 */     // MIs[0] policy
     /*  985257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  985270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985288 */     GIR_RootConstrainSelectedInstOperands,
     /*  985289 */     // GIR_Coverage, 23692,
     /*  985289 */     GIR_EraseRootFromParent_Done,
     /*  985290 */   // Label 14732: @985290
     /*  985290 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(985367), // Rule ID 23693 //
     /*  985295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  985306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  985309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  985312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985334 */     // MIs[0] policy
     /*  985334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  985347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985365 */     GIR_RootConstrainSelectedInstOperands,
     /*  985366 */     // GIR_Coverage, 23693,
     /*  985366 */     GIR_EraseRootFromParent_Done,
     /*  985367 */   // Label 14733: @985367
     /*  985367 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(985444), // Rule ID 23696 //
     /*  985372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  985383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  985386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  985389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985411 */     // MIs[0] policy
     /*  985411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  985424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985442 */     GIR_RootConstrainSelectedInstOperands,
     /*  985443 */     // GIR_Coverage, 23696,
     /*  985443 */     GIR_EraseRootFromParent_Done,
     /*  985444 */   // Label 14734: @985444
     /*  985444 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(985521), // Rule ID 23697 //
     /*  985449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  985460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  985463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  985466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985488 */     // MIs[0] policy
     /*  985488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  985501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985519 */     GIR_RootConstrainSelectedInstOperands,
     /*  985520 */     // GIR_Coverage, 23697,
     /*  985520 */     GIR_EraseRootFromParent_Done,
     /*  985521 */   // Label 14735: @985521
     /*  985521 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(985598), // Rule ID 23700 //
     /*  985526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  985537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  985540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  985543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985565 */     // MIs[0] policy
     /*  985565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  985578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985596 */     GIR_RootConstrainSelectedInstOperands,
     /*  985597 */     // GIR_Coverage, 23700,
     /*  985597 */     GIR_EraseRootFromParent_Done,
     /*  985598 */   // Label 14736: @985598
     /*  985598 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(985675), // Rule ID 23701 //
     /*  985603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  985614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  985617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  985620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985642 */     // MIs[0] policy
     /*  985642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  985655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985673 */     GIR_RootConstrainSelectedInstOperands,
     /*  985674 */     // GIR_Coverage, 23701,
     /*  985674 */     GIR_EraseRootFromParent_Done,
     /*  985675 */   // Label 14737: @985675
     /*  985675 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(985752), // Rule ID 23704 //
     /*  985680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  985691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  985694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985719 */     // MIs[0] policy
     /*  985719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  985732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985750 */     GIR_RootConstrainSelectedInstOperands,
     /*  985751 */     // GIR_Coverage, 23704,
     /*  985751 */     GIR_EraseRootFromParent_Done,
     /*  985752 */   // Label 14738: @985752
     /*  985752 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(985829), // Rule ID 23705 //
     /*  985757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  985768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  985771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985796 */     // MIs[0] policy
     /*  985796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  985809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985827 */     GIR_RootConstrainSelectedInstOperands,
     /*  985828 */     // GIR_Coverage, 23705,
     /*  985828 */     GIR_EraseRootFromParent_Done,
     /*  985829 */   // Label 14739: @985829
     /*  985829 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(985906), // Rule ID 23708 //
     /*  985834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  985845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  985848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985873 */     // MIs[0] policy
     /*  985873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  985886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985904 */     GIR_RootConstrainSelectedInstOperands,
     /*  985905 */     // GIR_Coverage, 23708,
     /*  985905 */     GIR_EraseRootFromParent_Done,
     /*  985906 */   // Label 14740: @985906
     /*  985906 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(985983), // Rule ID 23709 //
     /*  985911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  985922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  985925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  985950 */     // MIs[0] policy
     /*  985950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  985963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  985967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  985971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985981 */     GIR_RootConstrainSelectedInstOperands,
     /*  985982 */     // GIR_Coverage, 23709,
     /*  985982 */     GIR_EraseRootFromParent_Done,
     /*  985983 */   // Label 14741: @985983
     /*  985983 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(986060), // Rule ID 23712 //
     /*  985988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  985996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  985999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  986005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986027 */     // MIs[0] policy
     /*  986027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  986040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986058 */     GIR_RootConstrainSelectedInstOperands,
     /*  986059 */     // GIR_Coverage, 23712,
     /*  986059 */     GIR_EraseRootFromParent_Done,
     /*  986060 */   // Label 14742: @986060
     /*  986060 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(986137), // Rule ID 23713 //
     /*  986065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  986073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  986076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  986082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986104 */     // MIs[0] policy
     /*  986104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  986117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986135 */     GIR_RootConstrainSelectedInstOperands,
     /*  986136 */     // GIR_Coverage, 23713,
     /*  986136 */     GIR_EraseRootFromParent_Done,
     /*  986137 */   // Label 14743: @986137
     /*  986137 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(986214), // Rule ID 23716 //
     /*  986142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  986150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  986153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  986156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  986159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986181 */     // MIs[0] policy
     /*  986181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  986194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986212 */     GIR_RootConstrainSelectedInstOperands,
     /*  986213 */     // GIR_Coverage, 23716,
     /*  986213 */     GIR_EraseRootFromParent_Done,
     /*  986214 */   // Label 14744: @986214
     /*  986214 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(986291), // Rule ID 23717 //
     /*  986219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  986227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  986230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  986233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  986236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986258 */     // MIs[0] policy
     /*  986258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  986271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986289 */     GIR_RootConstrainSelectedInstOperands,
     /*  986290 */     // GIR_Coverage, 23717,
     /*  986290 */     GIR_EraseRootFromParent_Done,
     /*  986291 */   // Label 14745: @986291
     /*  986291 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(986368), // Rule ID 23720 //
     /*  986296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  986304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  986307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  986310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  986313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986335 */     // MIs[0] policy
     /*  986335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  986348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986366 */     GIR_RootConstrainSelectedInstOperands,
     /*  986367 */     // GIR_Coverage, 23720,
     /*  986367 */     GIR_EraseRootFromParent_Done,
     /*  986368 */   // Label 14746: @986368
     /*  986368 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(986445), // Rule ID 23721 //
     /*  986373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  986381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  986384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  986387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  986390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986412 */     // MIs[0] policy
     /*  986412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  986425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986443 */     GIR_RootConstrainSelectedInstOperands,
     /*  986444 */     // GIR_Coverage, 23721,
     /*  986444 */     GIR_EraseRootFromParent_Done,
     /*  986445 */   // Label 14747: @986445
     /*  986445 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(986522), // Rule ID 23988 //
     /*  986450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  986453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  986461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  986464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  986467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986489 */     // MIs[0] policy
     /*  986489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986499 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  986502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986520 */     GIR_RootConstrainSelectedInstOperands,
     /*  986521 */     // GIR_Coverage, 23988,
     /*  986521 */     GIR_EraseRootFromParent_Done,
     /*  986522 */   // Label 14748: @986522
     /*  986522 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(986599), // Rule ID 23989 //
     /*  986527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  986530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  986538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  986541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  986544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986566 */     // MIs[0] policy
     /*  986566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986576 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /*  986579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986597 */     GIR_RootConstrainSelectedInstOperands,
     /*  986598 */     // GIR_Coverage, 23989,
     /*  986598 */     GIR_EraseRootFromParent_Done,
     /*  986599 */   // Label 14749: @986599
     /*  986599 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(986676), // Rule ID 23992 //
     /*  986604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  986607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  986615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  986618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  986621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986643 */     // MIs[0] policy
     /*  986643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986653 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  986656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986674 */     GIR_RootConstrainSelectedInstOperands,
     /*  986675 */     // GIR_Coverage, 23992,
     /*  986675 */     GIR_EraseRootFromParent_Done,
     /*  986676 */   // Label 14750: @986676
     /*  986676 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(986753), // Rule ID 23993 //
     /*  986681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  986684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  986692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  986695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  986698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986720 */     // MIs[0] policy
     /*  986720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986730 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  986733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986751 */     GIR_RootConstrainSelectedInstOperands,
     /*  986752 */     // GIR_Coverage, 23993,
     /*  986752 */     GIR_EraseRootFromParent_Done,
     /*  986753 */   // Label 14751: @986753
     /*  986753 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(986830), // Rule ID 23996 //
     /*  986758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  986761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  986769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  986772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  986775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986797 */     // MIs[0] policy
     /*  986797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986807 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  986810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986828 */     GIR_RootConstrainSelectedInstOperands,
     /*  986829 */     // GIR_Coverage, 23996,
     /*  986829 */     GIR_EraseRootFromParent_Done,
     /*  986830 */   // Label 14752: @986830
     /*  986830 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(986907), // Rule ID 23997 //
     /*  986835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  986838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  986846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  986849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  986852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986874 */     // MIs[0] policy
     /*  986874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986884 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /*  986887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986905 */     GIR_RootConstrainSelectedInstOperands,
     /*  986906 */     // GIR_Coverage, 23997,
     /*  986906 */     GIR_EraseRootFromParent_Done,
     /*  986907 */   // Label 14753: @986907
     /*  986907 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(986984), // Rule ID 24000 //
     /*  986912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  986915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  986923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  986926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  986951 */     // MIs[0] policy
     /*  986951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986961 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  986964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  986968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986982 */     GIR_RootConstrainSelectedInstOperands,
     /*  986983 */     // GIR_Coverage, 24000,
     /*  986983 */     GIR_EraseRootFromParent_Done,
     /*  986984 */   // Label 14754: @986984
     /*  986984 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(987061), // Rule ID 24001 //
     /*  986989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  986992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  986997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  987000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  987003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  987006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987028 */     // MIs[0] policy
     /*  987028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987038 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  987041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987059 */     GIR_RootConstrainSelectedInstOperands,
     /*  987060 */     // GIR_Coverage, 24001,
     /*  987060 */     GIR_EraseRootFromParent_Done,
     /*  987061 */   // Label 14755: @987061
     /*  987061 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(987138), // Rule ID 24004 //
     /*  987066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  987069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  987083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987105 */     // MIs[0] policy
     /*  987105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987115 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  987118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987136 */     GIR_RootConstrainSelectedInstOperands,
     /*  987137 */     // GIR_Coverage, 24004,
     /*  987137 */     GIR_EraseRootFromParent_Done,
     /*  987138 */   // Label 14756: @987138
     /*  987138 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(987215), // Rule ID 24005 //
     /*  987143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  987146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  987160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987182 */     // MIs[0] policy
     /*  987182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987192 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  987195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987213 */     GIR_RootConstrainSelectedInstOperands,
     /*  987214 */     // GIR_Coverage, 24005,
     /*  987214 */     GIR_EraseRootFromParent_Done,
     /*  987215 */   // Label 14757: @987215
     /*  987215 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(987292), // Rule ID 24008 //
     /*  987220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  987223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  987231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  987234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  987237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987259 */     // MIs[0] policy
     /*  987259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987269 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  987272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987290 */     GIR_RootConstrainSelectedInstOperands,
     /*  987291 */     // GIR_Coverage, 24008,
     /*  987291 */     GIR_EraseRootFromParent_Done,
     /*  987292 */   // Label 14758: @987292
     /*  987292 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(987369), // Rule ID 24009 //
     /*  987297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  987300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  987308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  987311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  987314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987336 */     // MIs[0] policy
     /*  987336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /*  987349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  987365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987367 */     GIR_RootConstrainSelectedInstOperands,
     /*  987368 */     // GIR_Coverage, 24009,
     /*  987368 */     GIR_EraseRootFromParent_Done,
     /*  987369 */   // Label 14759: @987369
     /*  987369 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(987446), // Rule ID 24012 //
     /*  987374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  987377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  987385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  987388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987413 */     // MIs[0] policy
     /*  987413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  987426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987444 */     GIR_RootConstrainSelectedInstOperands,
     /*  987445 */     // GIR_Coverage, 24012,
     /*  987445 */     GIR_EraseRootFromParent_Done,
     /*  987446 */   // Label 14760: @987446
     /*  987446 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(987523), // Rule ID 24013 //
     /*  987451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  987454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  987462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  987465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987490 */     // MIs[0] policy
     /*  987490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987500 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  987503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987521 */     GIR_RootConstrainSelectedInstOperands,
     /*  987522 */     // GIR_Coverage, 24013,
     /*  987522 */     GIR_EraseRootFromParent_Done,
     /*  987523 */   // Label 14761: @987523
     /*  987523 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(987600), // Rule ID 24016 //
     /*  987528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  987531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  987539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  987542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987567 */     // MIs[0] policy
     /*  987567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987577 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  987580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987598 */     GIR_RootConstrainSelectedInstOperands,
     /*  987599 */     // GIR_Coverage, 24016,
     /*  987599 */     GIR_EraseRootFromParent_Done,
     /*  987600 */   // Label 14762: @987600
     /*  987600 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(987677), // Rule ID 24017 //
     /*  987605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  987608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  987616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  987619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987644 */     // MIs[0] policy
     /*  987644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987654 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  987657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987675 */     GIR_RootConstrainSelectedInstOperands,
     /*  987676 */     // GIR_Coverage, 24017,
     /*  987676 */     GIR_EraseRootFromParent_Done,
     /*  987677 */   // Label 14763: @987677
     /*  987677 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(987754), // Rule ID 24020 //
     /*  987682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  987685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  987693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  987696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987721 */     // MIs[0] policy
     /*  987721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987731 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  987734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987752 */     GIR_RootConstrainSelectedInstOperands,
     /*  987753 */     // GIR_Coverage, 24020,
     /*  987753 */     GIR_EraseRootFromParent_Done,
     /*  987754 */   // Label 14764: @987754
     /*  987754 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(987831), // Rule ID 24021 //
     /*  987759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  987762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  987770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  987773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987798 */     // MIs[0] policy
     /*  987798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987808 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  987811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987829 */     GIR_RootConstrainSelectedInstOperands,
     /*  987830 */     // GIR_Coverage, 24021,
     /*  987830 */     GIR_EraseRootFromParent_Done,
     /*  987831 */   // Label 14765: @987831
     /*  987831 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(987908), // Rule ID 24024 //
     /*  987836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  987839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987875 */     // MIs[0] policy
     /*  987875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987885 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  987888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987906 */     GIR_RootConstrainSelectedInstOperands,
     /*  987907 */     // GIR_Coverage, 24024,
     /*  987907 */     GIR_EraseRootFromParent_Done,
     /*  987908 */   // Label 14766: @987908
     /*  987908 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(987985), // Rule ID 24025 //
     /*  987913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  987916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  987952 */     // MIs[0] policy
     /*  987952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987962 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  987965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  987969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987983 */     GIR_RootConstrainSelectedInstOperands,
     /*  987984 */     // GIR_Coverage, 24025,
     /*  987984 */     GIR_EraseRootFromParent_Done,
     /*  987985 */   // Label 14767: @987985
     /*  987985 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(988062), // Rule ID 24028 //
     /*  987990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  987993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  987998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  988001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  988004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988029 */     // MIs[0] policy
     /*  988029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988039 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  988042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988060 */     GIR_RootConstrainSelectedInstOperands,
     /*  988061 */     // GIR_Coverage, 24028,
     /*  988061 */     GIR_EraseRootFromParent_Done,
     /*  988062 */   // Label 14768: @988062
     /*  988062 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(988139), // Rule ID 24029 //
     /*  988067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  988070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  988078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  988081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988106 */     // MIs[0] policy
     /*  988106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988116 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  988119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988137 */     GIR_RootConstrainSelectedInstOperands,
     /*  988138 */     // GIR_Coverage, 24029,
     /*  988138 */     GIR_EraseRootFromParent_Done,
     /*  988139 */   // Label 14769: @988139
     /*  988139 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(988216), // Rule ID 24032 //
     /*  988144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  988147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  988155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  988158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988183 */     // MIs[0] policy
     /*  988183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988193 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  988196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988214 */     GIR_RootConstrainSelectedInstOperands,
     /*  988215 */     // GIR_Coverage, 24032,
     /*  988215 */     GIR_EraseRootFromParent_Done,
     /*  988216 */   // Label 14770: @988216
     /*  988216 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(988293), // Rule ID 24033 //
     /*  988221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  988224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  988232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  988235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988260 */     // MIs[0] policy
     /*  988260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988270 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  988273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988291 */     GIR_RootConstrainSelectedInstOperands,
     /*  988292 */     // GIR_Coverage, 24033,
     /*  988292 */     GIR_EraseRootFromParent_Done,
     /*  988293 */   // Label 14771: @988293
     /*  988293 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(988370), // Rule ID 24036 //
     /*  988298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  988301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988337 */     // MIs[0] policy
     /*  988337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988347 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  988350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988368 */     GIR_RootConstrainSelectedInstOperands,
     /*  988369 */     // GIR_Coverage, 24036,
     /*  988369 */     GIR_EraseRootFromParent_Done,
     /*  988370 */   // Label 14772: @988370
     /*  988370 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(988447), // Rule ID 24037 //
     /*  988375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  988378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988414 */     // MIs[0] policy
     /*  988414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988424 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /*  988427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988445 */     GIR_RootConstrainSelectedInstOperands,
     /*  988446 */     // GIR_Coverage, 24037,
     /*  988446 */     GIR_EraseRootFromParent_Done,
     /*  988447 */   // Label 14773: @988447
     /*  988447 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(988524), // Rule ID 24040 //
     /*  988452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  988455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988491 */     // MIs[0] policy
     /*  988491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988501 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  988504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988522 */     GIR_RootConstrainSelectedInstOperands,
     /*  988523 */     // GIR_Coverage, 24040,
     /*  988523 */     GIR_EraseRootFromParent_Done,
     /*  988524 */   // Label 14774: @988524
     /*  988524 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(988601), // Rule ID 24041 //
     /*  988529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  988532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988568 */     // MIs[0] policy
     /*  988568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988578 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /*  988581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988599 */     GIR_RootConstrainSelectedInstOperands,
     /*  988600 */     // GIR_Coverage, 24041,
     /*  988600 */     GIR_EraseRootFromParent_Done,
     /*  988601 */   // Label 14775: @988601
     /*  988601 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(988678), // Rule ID 24044 //
     /*  988606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  988609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988645 */     // MIs[0] policy
     /*  988645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988655 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  988658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988676 */     GIR_RootConstrainSelectedInstOperands,
     /*  988677 */     // GIR_Coverage, 24044,
     /*  988677 */     GIR_EraseRootFromParent_Done,
     /*  988678 */   // Label 14776: @988678
     /*  988678 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(988755), // Rule ID 24045 //
     /*  988683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  988686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  988691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988722 */     // MIs[0] policy
     /*  988722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /*  988735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988753 */     GIR_RootConstrainSelectedInstOperands,
     /*  988754 */     // GIR_Coverage, 24045,
     /*  988754 */     GIR_EraseRootFromParent_Done,
     /*  988755 */   // Label 14777: @988755
     /*  988755 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(988832), // Rule ID 24108 //
     /*  988760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  988763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  988768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988799 */     // MIs[0] policy
     /*  988799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988809 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  988812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988830 */     GIR_RootConstrainSelectedInstOperands,
     /*  988831 */     // GIR_Coverage, 24108,
     /*  988831 */     GIR_EraseRootFromParent_Done,
     /*  988832 */   // Label 14778: @988832
     /*  988832 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(988909), // Rule ID 24109 //
     /*  988837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  988840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  988845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  988854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988876 */     // MIs[0] policy
     /*  988876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988886 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /*  988889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988907 */     GIR_RootConstrainSelectedInstOperands,
     /*  988908 */     // GIR_Coverage, 24109,
     /*  988908 */     GIR_EraseRootFromParent_Done,
     /*  988909 */   // Label 14779: @988909
     /*  988909 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(988986), // Rule ID 24112 //
     /*  988914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  988917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  988922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  988925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  988928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  988931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  988953 */     // MIs[0] policy
     /*  988953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988963 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  988966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  988970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988984 */     GIR_RootConstrainSelectedInstOperands,
     /*  988985 */     // GIR_Coverage, 24112,
     /*  988985 */     GIR_EraseRootFromParent_Done,
     /*  988986 */   // Label 14780: @988986
     /*  988986 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(989063), // Rule ID 24113 //
     /*  988991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  988994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  988999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989030 */     // MIs[0] policy
     /*  989030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989040 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  989043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989061 */     GIR_RootConstrainSelectedInstOperands,
     /*  989062 */     // GIR_Coverage, 24113,
     /*  989062 */     GIR_EraseRootFromParent_Done,
     /*  989063 */   // Label 14781: @989063
     /*  989063 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(989140), // Rule ID 24116 //
     /*  989068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  989071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989107 */     // MIs[0] policy
     /*  989107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  989120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989138 */     GIR_RootConstrainSelectedInstOperands,
     /*  989139 */     // GIR_Coverage, 24116,
     /*  989139 */     GIR_EraseRootFromParent_Done,
     /*  989140 */   // Label 14782: @989140
     /*  989140 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(989217), // Rule ID 24117 //
     /*  989145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  989148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  989156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  989159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989184 */     // MIs[0] policy
     /*  989184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989194 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /*  989197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989215 */     GIR_RootConstrainSelectedInstOperands,
     /*  989216 */     // GIR_Coverage, 24117,
     /*  989216 */     GIR_EraseRootFromParent_Done,
     /*  989217 */   // Label 14783: @989217
     /*  989217 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(989294), // Rule ID 24120 //
     /*  989222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  989225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989261 */     // MIs[0] policy
     /*  989261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989271 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989292 */     GIR_RootConstrainSelectedInstOperands,
     /*  989293 */     // GIR_Coverage, 24120,
     /*  989293 */     GIR_EraseRootFromParent_Done,
     /*  989294 */   // Label 14784: @989294
     /*  989294 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(989371), // Rule ID 24121 //
     /*  989299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  989302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989338 */     // MIs[0] policy
     /*  989338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989348 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989369 */     GIR_RootConstrainSelectedInstOperands,
     /*  989370 */     // GIR_Coverage, 24121,
     /*  989370 */     GIR_EraseRootFromParent_Done,
     /*  989371 */   // Label 14785: @989371
     /*  989371 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(989448), // Rule ID 24124 //
     /*  989376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  989379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989415 */     // MIs[0] policy
     /*  989415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989425 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989446 */     GIR_RootConstrainSelectedInstOperands,
     /*  989447 */     // GIR_Coverage, 24124,
     /*  989447 */     GIR_EraseRootFromParent_Done,
     /*  989448 */   // Label 14786: @989448
     /*  989448 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(989525), // Rule ID 24125 //
     /*  989453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  989456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  989464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  989467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  989470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989492 */     // MIs[0] policy
     /*  989492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989523 */     GIR_RootConstrainSelectedInstOperands,
     /*  989524 */     // GIR_Coverage, 24125,
     /*  989524 */     GIR_EraseRootFromParent_Done,
     /*  989525 */   // Label 14787: @989525
     /*  989525 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(989602), // Rule ID 24128 //
     /*  989530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  989533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989569 */     // MIs[0] policy
     /*  989569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989579 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989600 */     GIR_RootConstrainSelectedInstOperands,
     /*  989601 */     // GIR_Coverage, 24128,
     /*  989601 */     GIR_EraseRootFromParent_Done,
     /*  989602 */   // Label 14788: @989602
     /*  989602 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(989679), // Rule ID 24129 //
     /*  989607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  989610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  989618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  989621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  989624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989646 */     // MIs[0] policy
     /*  989646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989656 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /*  989659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  989675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989677 */     GIR_RootConstrainSelectedInstOperands,
     /*  989678 */     // GIR_Coverage, 24129,
     /*  989678 */     GIR_EraseRootFromParent_Done,
     /*  989679 */   // Label 14789: @989679
     /*  989679 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(989756), // Rule ID 24132 //
     /*  989684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  989687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989723 */     // MIs[0] policy
     /*  989723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989733 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  989736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989754 */     GIR_RootConstrainSelectedInstOperands,
     /*  989755 */     // GIR_Coverage, 24132,
     /*  989755 */     GIR_EraseRootFromParent_Done,
     /*  989756 */   // Label 14790: @989756
     /*  989756 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(989833), // Rule ID 24133 //
     /*  989761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  989764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989800 */     // MIs[0] policy
     /*  989800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989810 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  989813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989831 */     GIR_RootConstrainSelectedInstOperands,
     /*  989832 */     // GIR_Coverage, 24133,
     /*  989832 */     GIR_EraseRootFromParent_Done,
     /*  989833 */   // Label 14791: @989833
     /*  989833 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(989910), // Rule ID 24136 //
     /*  989838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  989841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  989849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  989852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989877 */     // MIs[0] policy
     /*  989877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989887 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  989890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989908 */     GIR_RootConstrainSelectedInstOperands,
     /*  989909 */     // GIR_Coverage, 24136,
     /*  989909 */     GIR_EraseRootFromParent_Done,
     /*  989910 */   // Label 14792: @989910
     /*  989910 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(989987), // Rule ID 24137 //
     /*  989915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  989918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  989923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  989926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  989929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  989954 */     // MIs[0] policy
     /*  989954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  989967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989985 */     GIR_RootConstrainSelectedInstOperands,
     /*  989986 */     // GIR_Coverage, 24137,
     /*  989986 */     GIR_EraseRootFromParent_Done,
     /*  989987 */   // Label 14793: @989987
     /*  989987 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(990064), // Rule ID 24140 //
     /*  989992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  989995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990031 */     // MIs[0] policy
     /*  990031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990041 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  990044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990062 */     GIR_RootConstrainSelectedInstOperands,
     /*  990063 */     // GIR_Coverage, 24140,
     /*  990063 */     GIR_EraseRootFromParent_Done,
     /*  990064 */   // Label 14794: @990064
     /*  990064 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(990141), // Rule ID 24141 //
     /*  990069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  990072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990108 */     // MIs[0] policy
     /*  990108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990118 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  990121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990139 */     GIR_RootConstrainSelectedInstOperands,
     /*  990140 */     // GIR_Coverage, 24141,
     /*  990140 */     GIR_EraseRootFromParent_Done,
     /*  990141 */   // Label 14795: @990141
     /*  990141 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(990218), // Rule ID 24144 //
     /*  990146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  990149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990185 */     // MIs[0] policy
     /*  990185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990195 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  990198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990216 */     GIR_RootConstrainSelectedInstOperands,
     /*  990217 */     // GIR_Coverage, 24144,
     /*  990217 */     GIR_EraseRootFromParent_Done,
     /*  990218 */   // Label 14796: @990218
     /*  990218 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(990295), // Rule ID 24145 //
     /*  990223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  990226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990262 */     // MIs[0] policy
     /*  990262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990272 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  990275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990293 */     GIR_RootConstrainSelectedInstOperands,
     /*  990294 */     // GIR_Coverage, 24145,
     /*  990294 */     GIR_EraseRootFromParent_Done,
     /*  990295 */   // Label 14797: @990295
     /*  990295 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(990372), // Rule ID 24148 //
     /*  990300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  990303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  990311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  990314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  990317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990339 */     // MIs[0] policy
     /*  990339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990349 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  990352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990370 */     GIR_RootConstrainSelectedInstOperands,
     /*  990371 */     // GIR_Coverage, 24148,
     /*  990371 */     GIR_EraseRootFromParent_Done,
     /*  990372 */   // Label 14798: @990372
     /*  990372 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(990449), // Rule ID 24149 //
     /*  990377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  990380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  990388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  990391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  990394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990416 */     // MIs[0] policy
     /*  990416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990426 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  990429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990447 */     GIR_RootConstrainSelectedInstOperands,
     /*  990448 */     // GIR_Coverage, 24149,
     /*  990448 */     GIR_EraseRootFromParent_Done,
     /*  990449 */   // Label 14799: @990449
     /*  990449 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(990526), // Rule ID 24152 //
     /*  990454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  990457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  990465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  990468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  990471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990493 */     // MIs[0] policy
     /*  990493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  990506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990524 */     GIR_RootConstrainSelectedInstOperands,
     /*  990525 */     // GIR_Coverage, 24152,
     /*  990525 */     GIR_EraseRootFromParent_Done,
     /*  990526 */   // Label 14800: @990526
     /*  990526 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(990603), // Rule ID 24153 //
     /*  990531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  990534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  990542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  990545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  990548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990570 */     // MIs[0] policy
     /*  990570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990580 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  990583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990601 */     GIR_RootConstrainSelectedInstOperands,
     /*  990602 */     // GIR_Coverage, 24153,
     /*  990602 */     GIR_EraseRootFromParent_Done,
     /*  990603 */   // Label 14801: @990603
     /*  990603 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(990680), // Rule ID 24156 //
     /*  990608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  990611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  990619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  990622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  990625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990647 */     // MIs[0] policy
     /*  990647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990657 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  990660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990678 */     GIR_RootConstrainSelectedInstOperands,
     /*  990679 */     // GIR_Coverage, 24156,
     /*  990679 */     GIR_EraseRootFromParent_Done,
     /*  990680 */   // Label 14802: @990680
     /*  990680 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(990757), // Rule ID 24157 //
     /*  990685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  990688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  990696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  990699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  990702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990724 */     // MIs[0] policy
     /*  990724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /*  990737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990755 */     GIR_RootConstrainSelectedInstOperands,
     /*  990756 */     // GIR_Coverage, 24157,
     /*  990756 */     GIR_EraseRootFromParent_Done,
     /*  990757 */   // Label 14803: @990757
     /*  990757 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(990834), // Rule ID 24160 //
     /*  990762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  990765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  990773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  990776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  990779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990801 */     // MIs[0] policy
     /*  990801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990811 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  990814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990832 */     GIR_RootConstrainSelectedInstOperands,
     /*  990833 */     // GIR_Coverage, 24160,
     /*  990833 */     GIR_EraseRootFromParent_Done,
     /*  990834 */   // Label 14804: @990834
     /*  990834 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(990911), // Rule ID 24161 //
     /*  990839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  990842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  990850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  990853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  990856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990878 */     // MIs[0] policy
     /*  990878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990888 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /*  990891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990909 */     GIR_RootConstrainSelectedInstOperands,
     /*  990910 */     // GIR_Coverage, 24161,
     /*  990910 */     GIR_EraseRootFromParent_Done,
     /*  990911 */   // Label 14805: @990911
     /*  990911 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(990988), // Rule ID 24164 //
     /*  990916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  990919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  990924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  990927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  990930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  990933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  990955 */     // MIs[0] policy
     /*  990955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990965 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  990968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  990972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990986 */     GIR_RootConstrainSelectedInstOperands,
     /*  990987 */     // GIR_Coverage, 24164,
     /*  990987 */     GIR_EraseRootFromParent_Done,
     /*  990988 */   // Label 14806: @990988
     /*  990988 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(991065), // Rule ID 24165 //
     /*  990993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  990996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  991001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  991032 */     // MIs[0] policy
     /*  991032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991042 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /*  991045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  991049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991063 */     GIR_RootConstrainSelectedInstOperands,
     /*  991064 */     // GIR_Coverage, 24165,
     /*  991064 */     GIR_EraseRootFromParent_Done,
     /*  991065 */   // Label 14807: @991065
     /*  991065 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(991142), // Rule ID 59880 //
     /*  991070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  991073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /*  991078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  991087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  991090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991109 */     // MIs[0] policy
     /*  991109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10971:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /*  991122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  991124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  991126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991140 */     GIR_RootConstrainSelectedInstOperands,
     /*  991141 */     // GIR_Coverage, 59880,
     /*  991141 */     GIR_EraseRootFromParent_Done,
     /*  991142 */   // Label 14808: @991142
     /*  991142 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(991219), // Rule ID 59881 //
     /*  991147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  991150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /*  991155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  991164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  991167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991186 */     // MIs[0] policy
     /*  991186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10971:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /*  991199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  991201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  991203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991217 */     GIR_RootConstrainSelectedInstOperands,
     /*  991218 */     // GIR_Coverage, 59881,
     /*  991218 */     GIR_EraseRootFromParent_Done,
     /*  991219 */   // Label 14809: @991219
     /*  991219 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(991296), // Rule ID 59894 //
     /*  991224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  991235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  991238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  991241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991263 */     // MIs[0] policy
     /*  991263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /*  991276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991294 */     GIR_RootConstrainSelectedInstOperands,
     /*  991295 */     // GIR_Coverage, 59894,
     /*  991295 */     GIR_EraseRootFromParent_Done,
     /*  991296 */   // Label 14810: @991296
     /*  991296 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(991373), // Rule ID 59895 //
     /*  991301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  991304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  991312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  991315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  991318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991340 */     // MIs[0] policy
     /*  991340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /*  991353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991371 */     GIR_RootConstrainSelectedInstOperands,
     /*  991372 */     // GIR_Coverage, 59895,
     /*  991372 */     GIR_EraseRootFromParent_Done,
     /*  991373 */   // Label 14811: @991373
     /*  991373 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(991450), // Rule ID 59898 //
     /*  991378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  991389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  991392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  991395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991417 */     // MIs[0] policy
     /*  991417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /*  991430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991448 */     GIR_RootConstrainSelectedInstOperands,
     /*  991449 */     // GIR_Coverage, 59898,
     /*  991449 */     GIR_EraseRootFromParent_Done,
     /*  991450 */   // Label 14812: @991450
     /*  991450 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(991527), // Rule ID 59899 //
     /*  991455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  991458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  991466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  991469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  991472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991494 */     // MIs[0] policy
     /*  991494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991504 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /*  991507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991525 */     GIR_RootConstrainSelectedInstOperands,
     /*  991526 */     // GIR_Coverage, 59899,
     /*  991526 */     GIR_EraseRootFromParent_Done,
     /*  991527 */   // Label 14813: @991527
     /*  991527 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(991604), // Rule ID 59902 //
     /*  991532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  991543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  991546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  991549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991571 */     // MIs[0] policy
     /*  991571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991581 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  991584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991602 */     GIR_RootConstrainSelectedInstOperands,
     /*  991603 */     // GIR_Coverage, 59902,
     /*  991603 */     GIR_EraseRootFromParent_Done,
     /*  991604 */   // Label 14814: @991604
     /*  991604 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(991681), // Rule ID 59903 //
     /*  991609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  991612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  991620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  991623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  991626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991648 */     // MIs[0] policy
     /*  991648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  991661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991679 */     GIR_RootConstrainSelectedInstOperands,
     /*  991680 */     // GIR_Coverage, 59903,
     /*  991680 */     GIR_EraseRootFromParent_Done,
     /*  991681 */   // Label 14815: @991681
     /*  991681 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(991758), // Rule ID 59906 //
     /*  991686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  991697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  991700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  991703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991725 */     // MIs[0] policy
     /*  991725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991735 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /*  991738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991756 */     GIR_RootConstrainSelectedInstOperands,
     /*  991757 */     // GIR_Coverage, 59906,
     /*  991757 */     GIR_EraseRootFromParent_Done,
     /*  991758 */   // Label 14816: @991758
     /*  991758 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(991835), // Rule ID 59907 //
     /*  991763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  991766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  991774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  991777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  991780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991802 */     // MIs[0] policy
     /*  991802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /*  991815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991833 */     GIR_RootConstrainSelectedInstOperands,
     /*  991834 */     // GIR_Coverage, 59907,
     /*  991834 */     GIR_EraseRootFromParent_Done,
     /*  991835 */   // Label 14817: @991835
     /*  991835 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(991912), // Rule ID 59910 //
     /*  991840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  991851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  991854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  991857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991879 */     // MIs[0] policy
     /*  991879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  991892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991910 */     GIR_RootConstrainSelectedInstOperands,
     /*  991911 */     // GIR_Coverage, 59910,
     /*  991911 */     GIR_EraseRootFromParent_Done,
     /*  991912 */   // Label 14818: @991912
     /*  991912 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(991989), // Rule ID 59911 //
     /*  991917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  991920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  991925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  991928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  991931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  991934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991956 */     // MIs[0] policy
     /*  991956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  991969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991987 */     GIR_RootConstrainSelectedInstOperands,
     /*  991988 */     // GIR_Coverage, 59911,
     /*  991988 */     GIR_EraseRootFromParent_Done,
     /*  991989 */   // Label 14819: @991989
     /*  991989 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(992066), // Rule ID 59914 //
     /*  991994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  991997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  992011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992033 */     // MIs[0] policy
     /*  992033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  992046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992064 */     GIR_RootConstrainSelectedInstOperands,
     /*  992065 */     // GIR_Coverage, 59914,
     /*  992065 */     GIR_EraseRootFromParent_Done,
     /*  992066 */   // Label 14820: @992066
     /*  992066 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(992143), // Rule ID 59915 //
     /*  992071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  992088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992110 */     // MIs[0] policy
     /*  992110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /*  992123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992141 */     GIR_RootConstrainSelectedInstOperands,
     /*  992142 */     // GIR_Coverage, 59915,
     /*  992142 */     GIR_EraseRootFromParent_Done,
     /*  992143 */   // Label 14821: @992143
     /*  992143 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(992220), // Rule ID 59918 //
     /*  992148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  992159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  992162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  992165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992187 */     // MIs[0] policy
     /*  992187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992218 */     GIR_RootConstrainSelectedInstOperands,
     /*  992219 */     // GIR_Coverage, 59918,
     /*  992219 */     GIR_EraseRootFromParent_Done,
     /*  992220 */   // Label 14822: @992220
     /*  992220 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(992297), // Rule ID 59919 //
     /*  992225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  992236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  992239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  992242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992264 */     // MIs[0] policy
     /*  992264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992295 */     GIR_RootConstrainSelectedInstOperands,
     /*  992296 */     // GIR_Coverage, 59919,
     /*  992296 */     GIR_EraseRootFromParent_Done,
     /*  992297 */   // Label 14823: @992297
     /*  992297 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(992374), // Rule ID 59922 //
     /*  992302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  992313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  992316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992341 */     // MIs[0] policy
     /*  992341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992351 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992372 */     GIR_RootConstrainSelectedInstOperands,
     /*  992373 */     // GIR_Coverage, 59922,
     /*  992373 */     GIR_EraseRootFromParent_Done,
     /*  992374 */   // Label 14824: @992374
     /*  992374 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(992451), // Rule ID 59923 //
     /*  992379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  992390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  992393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992418 */     // MIs[0] policy
     /*  992418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992449 */     GIR_RootConstrainSelectedInstOperands,
     /*  992450 */     // GIR_Coverage, 59923,
     /*  992450 */     GIR_EraseRootFromParent_Done,
     /*  992451 */   // Label 14825: @992451
     /*  992451 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(992528), // Rule ID 59926 //
     /*  992456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  992473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992495 */     // MIs[0] policy
     /*  992495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992526 */     GIR_RootConstrainSelectedInstOperands,
     /*  992527 */     // GIR_Coverage, 59926,
     /*  992527 */     GIR_EraseRootFromParent_Done,
     /*  992528 */   // Label 14826: @992528
     /*  992528 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(992605), // Rule ID 59927 //
     /*  992533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  992550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992572 */     // MIs[0] policy
     /*  992572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992603 */     GIR_RootConstrainSelectedInstOperands,
     /*  992604 */     // GIR_Coverage, 59927,
     /*  992604 */     GIR_EraseRootFromParent_Done,
     /*  992605 */   // Label 14827: @992605
     /*  992605 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(992682), // Rule ID 59930 //
     /*  992610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  992627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992649 */     // MIs[0] policy
     /*  992649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992680 */     GIR_RootConstrainSelectedInstOperands,
     /*  992681 */     // GIR_Coverage, 59930,
     /*  992681 */     GIR_EraseRootFromParent_Done,
     /*  992682 */   // Label 14828: @992682
     /*  992682 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(992759), // Rule ID 59931 //
     /*  992687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  992704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992726 */     // MIs[0] policy
     /*  992726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /*  992739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992757 */     GIR_RootConstrainSelectedInstOperands,
     /*  992758 */     // GIR_Coverage, 59931,
     /*  992758 */     GIR_EraseRootFromParent_Done,
     /*  992759 */   // Label 14829: @992759
     /*  992759 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(992836), // Rule ID 59934 //
     /*  992764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  992775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  992778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  992781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992803 */     // MIs[0] policy
     /*  992803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  992816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992834 */     GIR_RootConstrainSelectedInstOperands,
     /*  992835 */     // GIR_Coverage, 59934,
     /*  992835 */     GIR_EraseRootFromParent_Done,
     /*  992836 */   // Label 14830: @992836
     /*  992836 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(992913), // Rule ID 59935 //
     /*  992841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  992852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  992855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  992858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992880 */     // MIs[0] policy
     /*  992880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  992893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992911 */     GIR_RootConstrainSelectedInstOperands,
     /*  992912 */     // GIR_Coverage, 59935,
     /*  992912 */     GIR_EraseRootFromParent_Done,
     /*  992913 */   // Label 14831: @992913
     /*  992913 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(992990), // Rule ID 59938 //
     /*  992918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  992921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  992926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  992929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  992932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  992935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  992938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992957 */     // MIs[0] policy
     /*  992957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  992970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992988 */     GIR_RootConstrainSelectedInstOperands,
     /*  992989 */     // GIR_Coverage, 59938,
     /*  992989 */     GIR_EraseRootFromParent_Done,
     /*  992990 */   // Label 14832: @992990
     /*  992990 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(993067), // Rule ID 59939 //
     /*  992995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  992998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  993006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  993009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  993012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  993015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993034 */     // MIs[0] policy
     /*  993034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  993047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993065 */     GIR_RootConstrainSelectedInstOperands,
     /*  993066 */     // GIR_Coverage, 59939,
     /*  993066 */     GIR_EraseRootFromParent_Done,
     /*  993067 */   // Label 14833: @993067
     /*  993067 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(993144), // Rule ID 59942 //
     /*  993072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  993083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  993086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  993089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  993092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993111 */     // MIs[0] policy
     /*  993111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993121 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  993124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993142 */     GIR_RootConstrainSelectedInstOperands,
     /*  993143 */     // GIR_Coverage, 59942,
     /*  993143 */     GIR_EraseRootFromParent_Done,
     /*  993144 */   // Label 14834: @993144
     /*  993144 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(993221), // Rule ID 59943 //
     /*  993149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  993160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  993163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  993166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  993169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993188 */     // MIs[0] policy
     /*  993188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  993201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993219 */     GIR_RootConstrainSelectedInstOperands,
     /*  993220 */     // GIR_Coverage, 59943,
     /*  993220 */     GIR_EraseRootFromParent_Done,
     /*  993221 */   // Label 14835: @993221
     /*  993221 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(993298), // Rule ID 59946 //
     /*  993226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  993237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  993240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  993243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993265 */     // MIs[0] policy
     /*  993265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  993278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993296 */     GIR_RootConstrainSelectedInstOperands,
     /*  993297 */     // GIR_Coverage, 59946,
     /*  993297 */     GIR_EraseRootFromParent_Done,
     /*  993298 */   // Label 14836: @993298
     /*  993298 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(993375), // Rule ID 59947 //
     /*  993303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  993314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  993317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  993320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993342 */     // MIs[0] policy
     /*  993342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  993355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993373 */     GIR_RootConstrainSelectedInstOperands,
     /*  993374 */     // GIR_Coverage, 59947,
     /*  993374 */     GIR_EraseRootFromParent_Done,
     /*  993375 */   // Label 14837: @993375
     /*  993375 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(993452), // Rule ID 59950 //
     /*  993380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  993391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  993394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  993397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  993400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993419 */     // MIs[0] policy
     /*  993419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  993432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993450 */     GIR_RootConstrainSelectedInstOperands,
     /*  993451 */     // GIR_Coverage, 59950,
     /*  993451 */     GIR_EraseRootFromParent_Done,
     /*  993452 */   // Label 14838: @993452
     /*  993452 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(993529), // Rule ID 59951 //
     /*  993457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  993468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  993471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  993474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  993477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993496 */     // MIs[0] policy
     /*  993496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  993509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993527 */     GIR_RootConstrainSelectedInstOperands,
     /*  993528 */     // GIR_Coverage, 59951,
     /*  993528 */     GIR_EraseRootFromParent_Done,
     /*  993529 */   // Label 14839: @993529
     /*  993529 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(993606), // Rule ID 59954 //
     /*  993534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  993545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  993548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  993551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  993554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993573 */     // MIs[0] policy
     /*  993573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  993586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993604 */     GIR_RootConstrainSelectedInstOperands,
     /*  993605 */     // GIR_Coverage, 59954,
     /*  993605 */     GIR_EraseRootFromParent_Done,
     /*  993606 */   // Label 14840: @993606
     /*  993606 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(993683), // Rule ID 59955 //
     /*  993611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  993622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  993625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  993628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  993631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993650 */     // MIs[0] policy
     /*  993650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  993663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993681 */     GIR_RootConstrainSelectedInstOperands,
     /*  993682 */     // GIR_Coverage, 59955,
     /*  993682 */     GIR_EraseRootFromParent_Done,
     /*  993683 */   // Label 14841: @993683
     /*  993683 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(993760), // Rule ID 59958 //
     /*  993688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  993705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993727 */     // MIs[0] policy
     /*  993727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  993740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993758 */     GIR_RootConstrainSelectedInstOperands,
     /*  993759 */     // GIR_Coverage, 59958,
     /*  993759 */     GIR_EraseRootFromParent_Done,
     /*  993760 */   // Label 14842: @993760
     /*  993760 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(993837), // Rule ID 59959 //
     /*  993765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  993776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  993779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  993782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993804 */     // MIs[0] policy
     /*  993804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  993817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993835 */     GIR_RootConstrainSelectedInstOperands,
     /*  993836 */     // GIR_Coverage, 59959,
     /*  993836 */     GIR_EraseRootFromParent_Done,
     /*  993837 */   // Label 14843: @993837
     /*  993837 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(993914), // Rule ID 59962 //
     /*  993842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  993859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993881 */     // MIs[0] policy
     /*  993881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  993894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993912 */     GIR_RootConstrainSelectedInstOperands,
     /*  993913 */     // GIR_Coverage, 59962,
     /*  993913 */     GIR_EraseRootFromParent_Done,
     /*  993914 */   // Label 14844: @993914
     /*  993914 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(993991), // Rule ID 59963 //
     /*  993919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  993922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  993927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  993930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  993933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  993936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993958 */     // MIs[0] policy
     /*  993958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  993971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993989 */     GIR_RootConstrainSelectedInstOperands,
     /*  993990 */     // GIR_Coverage, 59963,
     /*  993990 */     GIR_EraseRootFromParent_Done,
     /*  993991 */   // Label 14845: @993991
     /*  993991 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(994068), // Rule ID 59966 //
     /*  993996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  993999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  994013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994035 */     // MIs[0] policy
     /*  994035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  994048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994066 */     GIR_RootConstrainSelectedInstOperands,
     /*  994067 */     // GIR_Coverage, 59966,
     /*  994067 */     GIR_EraseRootFromParent_Done,
     /*  994068 */   // Label 14846: @994068
     /*  994068 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(994145), // Rule ID 59967 //
     /*  994073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  994084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  994087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  994090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994112 */     // MIs[0] policy
     /*  994112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  994125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994143 */     GIR_RootConstrainSelectedInstOperands,
     /*  994144 */     // GIR_Coverage, 59967,
     /*  994144 */     GIR_EraseRootFromParent_Done,
     /*  994145 */   // Label 14847: @994145
     /*  994145 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(994222), // Rule ID 59970 //
     /*  994150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  994167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994189 */     // MIs[0] policy
     /*  994189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  994202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994220 */     GIR_RootConstrainSelectedInstOperands,
     /*  994221 */     // GIR_Coverage, 59970,
     /*  994221 */     GIR_EraseRootFromParent_Done,
     /*  994222 */   // Label 14848: @994222
     /*  994222 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(994299), // Rule ID 59971 //
     /*  994227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  994238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  994241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  994244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994266 */     // MIs[0] policy
     /*  994266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /*  994279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994297 */     GIR_RootConstrainSelectedInstOperands,
     /*  994298 */     // GIR_Coverage, 59971,
     /*  994298 */     GIR_EraseRootFromParent_Done,
     /*  994299 */   // Label 14849: @994299
     /*  994299 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(994376), // Rule ID 59974 //
     /*  994304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  994321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994343 */     // MIs[0] policy
     /*  994343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  994356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994374 */     GIR_RootConstrainSelectedInstOperands,
     /*  994375 */     // GIR_Coverage, 59974,
     /*  994375 */     GIR_EraseRootFromParent_Done,
     /*  994376 */   // Label 14850: @994376
     /*  994376 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(994453), // Rule ID 59975 //
     /*  994381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  994392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  994395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  994398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994420 */     // MIs[0] policy
     /*  994420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /*  994433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994451 */     GIR_RootConstrainSelectedInstOperands,
     /*  994452 */     // GIR_Coverage, 59975,
     /*  994452 */     GIR_EraseRootFromParent_Done,
     /*  994453 */   // Label 14851: @994453
     /*  994453 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(994530), // Rule ID 59978 //
     /*  994458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  994475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994497 */     // MIs[0] policy
     /*  994497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  994510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994528 */     GIR_RootConstrainSelectedInstOperands,
     /*  994529 */     // GIR_Coverage, 59978,
     /*  994529 */     GIR_EraseRootFromParent_Done,
     /*  994530 */   // Label 14852: @994530
     /*  994530 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(994607), // Rule ID 59979 //
     /*  994535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /*  994543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  994546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  994549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  994552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994574 */     // MIs[0] policy
     /*  994574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /*  994587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994605 */     GIR_RootConstrainSelectedInstOperands,
     /*  994606 */     // GIR_Coverage, 59979,
     /*  994606 */     GIR_EraseRootFromParent_Done,
     /*  994607 */   // Label 14853: @994607
     /*  994607 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(994684), // Rule ID 59982 //
     /*  994612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  994620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994651 */     // MIs[0] policy
     /*  994651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /*  994664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994682 */     GIR_RootConstrainSelectedInstOperands,
     /*  994683 */     // GIR_Coverage, 59982,
     /*  994683 */     GIR_EraseRootFromParent_Done,
     /*  994684 */   // Label 14854: @994684
     /*  994684 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(994761), // Rule ID 59983 //
     /*  994689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  994697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994728 */     // MIs[0] policy
     /*  994728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /*  994741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994759 */     GIR_RootConstrainSelectedInstOperands,
     /*  994760 */     // GIR_Coverage, 59983,
     /*  994760 */     GIR_EraseRootFromParent_Done,
     /*  994761 */   // Label 14855: @994761
     /*  994761 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(994838), // Rule ID 59986 //
     /*  994766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  994774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  994777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  994780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  994783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994805 */     // MIs[0] policy
     /*  994805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994815 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /*  994818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994836 */     GIR_RootConstrainSelectedInstOperands,
     /*  994837 */     // GIR_Coverage, 59986,
     /*  994837 */     GIR_EraseRootFromParent_Done,
     /*  994838 */   // Label 14856: @994838
     /*  994838 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(994915), // Rule ID 59987 //
     /*  994843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  994846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  994851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  994854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  994857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  994860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994882 */     // MIs[0] policy
     /*  994882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /*  994895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994913 */     GIR_RootConstrainSelectedInstOperands,
     /*  994914 */     // GIR_Coverage, 59987,
     /*  994914 */     GIR_EraseRootFromParent_Done,
     /*  994915 */   // Label 14857: @994915
     /*  994915 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(994992), // Rule ID 59990 //
     /*  994920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  994923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  994928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  994931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  994934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  994937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994959 */     // MIs[0] policy
     /*  994959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  994972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994990 */     GIR_RootConstrainSelectedInstOperands,
     /*  994991 */     // GIR_Coverage, 59990,
     /*  994991 */     GIR_EraseRootFromParent_Done,
     /*  994992 */   // Label 14858: @994992
     /*  994992 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(995069), // Rule ID 59991 //
     /*  994997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  995008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  995011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  995014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995036 */     // MIs[0] policy
     /*  995036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  995049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995067 */     GIR_RootConstrainSelectedInstOperands,
     /*  995068 */     // GIR_Coverage, 59991,
     /*  995068 */     GIR_EraseRootFromParent_Done,
     /*  995069 */   // Label 14859: @995069
     /*  995069 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(995146), // Rule ID 59994 //
     /*  995074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995113 */     // MIs[0] policy
     /*  995113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /*  995126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995144 */     GIR_RootConstrainSelectedInstOperands,
     /*  995145 */     // GIR_Coverage, 59994,
     /*  995145 */     GIR_EraseRootFromParent_Done,
     /*  995146 */   // Label 14860: @995146
     /*  995146 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(995223), // Rule ID 59995 //
     /*  995151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  995162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  995165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995190 */     // MIs[0] policy
     /*  995190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /*  995203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995221 */     GIR_RootConstrainSelectedInstOperands,
     /*  995222 */     // GIR_Coverage, 59995,
     /*  995222 */     GIR_EraseRootFromParent_Done,
     /*  995223 */   // Label 14861: @995223
     /*  995223 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(995300), // Rule ID 59998 //
     /*  995228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  995245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995267 */     // MIs[0] policy
     /*  995267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  995280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995298 */     GIR_RootConstrainSelectedInstOperands,
     /*  995299 */     // GIR_Coverage, 59998,
     /*  995299 */     GIR_EraseRootFromParent_Done,
     /*  995300 */   // Label 14862: @995300
     /*  995300 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(995377), // Rule ID 59999 //
     /*  995305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  995322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995344 */     // MIs[0] policy
     /*  995344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  995357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995375 */     GIR_RootConstrainSelectedInstOperands,
     /*  995376 */     // GIR_Coverage, 59999,
     /*  995376 */     GIR_EraseRootFromParent_Done,
     /*  995377 */   // Label 14863: @995377
     /*  995377 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(995454), // Rule ID 60002 //
     /*  995382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995421 */     // MIs[0] policy
     /*  995421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995431 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  995434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995452 */     GIR_RootConstrainSelectedInstOperands,
     /*  995453 */     // GIR_Coverage, 60002,
     /*  995453 */     GIR_EraseRootFromParent_Done,
     /*  995454 */   // Label 14864: @995454
     /*  995454 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(995531), // Rule ID 60003 //
     /*  995459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995498 */     // MIs[0] policy
     /*  995498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /*  995511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995529 */     GIR_RootConstrainSelectedInstOperands,
     /*  995530 */     // GIR_Coverage, 60003,
     /*  995530 */     GIR_EraseRootFromParent_Done,
     /*  995531 */   // Label 14865: @995531
     /*  995531 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(995608), // Rule ID 60006 //
     /*  995536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  995547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  995550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995575 */     // MIs[0] policy
     /*  995575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995606 */     GIR_RootConstrainSelectedInstOperands,
     /*  995607 */     // GIR_Coverage, 60006,
     /*  995607 */     GIR_EraseRootFromParent_Done,
     /*  995608 */   // Label 14866: @995608
     /*  995608 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(995685), // Rule ID 60007 //
     /*  995613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  995624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  995627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  995630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995652 */     // MIs[0] policy
     /*  995652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995662 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10825:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995683 */     GIR_RootConstrainSelectedInstOperands,
     /*  995684 */     // GIR_Coverage, 60007,
     /*  995684 */     GIR_EraseRootFromParent_Done,
     /*  995685 */   // Label 14867: @995685
     /*  995685 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(995762), // Rule ID 60010 //
     /*  995690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  995707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995729 */     // MIs[0] policy
     /*  995729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995760 */     GIR_RootConstrainSelectedInstOperands,
     /*  995761 */     // GIR_Coverage, 60010,
     /*  995761 */     GIR_EraseRootFromParent_Done,
     /*  995762 */   // Label 14868: @995762
     /*  995762 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(995839), // Rule ID 60011 //
     /*  995767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  995784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995806 */     // MIs[0] policy
     /*  995806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995837 */     GIR_RootConstrainSelectedInstOperands,
     /*  995838 */     // GIR_Coverage, 60011,
     /*  995838 */     GIR_EraseRootFromParent_Done,
     /*  995839 */   // Label 14869: @995839
     /*  995839 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(995916), // Rule ID 60014 //
     /*  995844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  995847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995883 */     // MIs[0] policy
     /*  995883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995914 */     GIR_RootConstrainSelectedInstOperands,
     /*  995915 */     // GIR_Coverage, 60014,
     /*  995915 */     GIR_EraseRootFromParent_Done,
     /*  995916 */   // Label 14870: @995916
     /*  995916 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(995993), // Rule ID 60015 //
     /*  995921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  995924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  995929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995960 */     // MIs[0] policy
     /*  995960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  995973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995991 */     GIR_RootConstrainSelectedInstOperands,
     /*  995992 */     // GIR_Coverage, 60015,
     /*  995992 */     GIR_EraseRootFromParent_Done,
     /*  995993 */   // Label 14871: @995993
     /*  995993 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(996070), // Rule ID 60018 //
     /*  995998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  996015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996037 */     // MIs[0] policy
     /*  996037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  996050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996068 */     GIR_RootConstrainSelectedInstOperands,
     /*  996069 */     // GIR_Coverage, 60018,
     /*  996069 */     GIR_EraseRootFromParent_Done,
     /*  996070 */   // Label 14872: @996070
     /*  996070 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(996147), // Rule ID 60019 //
     /*  996075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  996092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996114 */     // MIs[0] policy
     /*  996114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /*  996127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996145 */     GIR_RootConstrainSelectedInstOperands,
     /*  996146 */     // GIR_Coverage, 60019,
     /*  996146 */     GIR_EraseRootFromParent_Done,
     /*  996147 */   // Label 14873: @996147
     /*  996147 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(996224), // Rule ID 60022 //
     /*  996152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  996163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  996166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996191 */     // MIs[0] policy
     /*  996191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  996204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996222 */     GIR_RootConstrainSelectedInstOperands,
     /*  996223 */     // GIR_Coverage, 60022,
     /*  996223 */     GIR_EraseRootFromParent_Done,
     /*  996224 */   // Label 14874: @996224
     /*  996224 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(996301), // Rule ID 60023 //
     /*  996229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  996240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  996243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996268 */     // MIs[0] policy
     /*  996268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  996281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996299 */     GIR_RootConstrainSelectedInstOperands,
     /*  996300 */     // GIR_Coverage, 60023,
     /*  996300 */     GIR_EraseRootFromParent_Done,
     /*  996301 */   // Label 14875: @996301
     /*  996301 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(996378), // Rule ID 60026 //
     /*  996306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  996317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  996320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996345 */     // MIs[0] policy
     /*  996345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  996358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996376 */     GIR_RootConstrainSelectedInstOperands,
     /*  996377 */     // GIR_Coverage, 60026,
     /*  996377 */     GIR_EraseRootFromParent_Done,
     /*  996378 */   // Label 14876: @996378
     /*  996378 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(996455), // Rule ID 60027 //
     /*  996383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  996394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  996397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  996400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996422 */     // MIs[0] policy
     /*  996422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  996435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996453 */     GIR_RootConstrainSelectedInstOperands,
     /*  996454 */     // GIR_Coverage, 60027,
     /*  996454 */     GIR_EraseRootFromParent_Done,
     /*  996455 */   // Label 14877: @996455
     /*  996455 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(996532), // Rule ID 60030 //
     /*  996460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  996471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  996474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  996477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  996480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996499 */     // MIs[0] policy
     /*  996499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996509 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  996512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996530 */     GIR_RootConstrainSelectedInstOperands,
     /*  996531 */     // GIR_Coverage, 60030,
     /*  996531 */     GIR_EraseRootFromParent_Done,
     /*  996532 */   // Label 14878: @996532
     /*  996532 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(996609), // Rule ID 60031 //
     /*  996537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  996548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  996551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  996554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  996557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996576 */     // MIs[0] policy
     /*  996576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  996589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996607 */     GIR_RootConstrainSelectedInstOperands,
     /*  996608 */     // GIR_Coverage, 60031,
     /*  996608 */     GIR_EraseRootFromParent_Done,
     /*  996609 */   // Label 14879: @996609
     /*  996609 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(996686), // Rule ID 60034 //
     /*  996614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996653 */     // MIs[0] policy
     /*  996653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  996666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996684 */     GIR_RootConstrainSelectedInstOperands,
     /*  996685 */     // GIR_Coverage, 60034,
     /*  996685 */     GIR_EraseRootFromParent_Done,
     /*  996686 */   // Label 14880: @996686
     /*  996686 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(996763), // Rule ID 60035 //
     /*  996691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  996702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  996705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  996708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996730 */     // MIs[0] policy
     /*  996730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  996743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996761 */     GIR_RootConstrainSelectedInstOperands,
     /*  996762 */     // GIR_Coverage, 60035,
     /*  996762 */     GIR_EraseRootFromParent_Done,
     /*  996763 */   // Label 14881: @996763
     /*  996763 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(996840), // Rule ID 60038 //
     /*  996768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996807 */     // MIs[0] policy
     /*  996807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  996820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996838 */     GIR_RootConstrainSelectedInstOperands,
     /*  996839 */     // GIR_Coverage, 60038,
     /*  996839 */     GIR_EraseRootFromParent_Done,
     /*  996840 */   // Label 14882: @996840
     /*  996840 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(996917), // Rule ID 60039 //
     /*  996845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  996848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  996856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  996859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  996862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996884 */     // MIs[0] policy
     /*  996884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  996897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996915 */     GIR_RootConstrainSelectedInstOperands,
     /*  996916 */     // GIR_Coverage, 60039,
     /*  996916 */     GIR_EraseRootFromParent_Done,
     /*  996917 */   // Label 14883: @996917
     /*  996917 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(996994), // Rule ID 60042 //
     /*  996922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  996925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  996930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  996933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  996936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  996939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  996942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996961 */     // MIs[0] policy
     /*  996961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  996974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996992 */     GIR_RootConstrainSelectedInstOperands,
     /*  996993 */     // GIR_Coverage, 60042,
     /*  996993 */     GIR_EraseRootFromParent_Done,
     /*  996994 */   // Label 14884: @996994
     /*  996994 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(997071), // Rule ID 60043 //
     /*  996999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  997010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  997013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  997016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  997019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997038 */     // MIs[0] policy
     /*  997038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  997051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997069 */     GIR_RootConstrainSelectedInstOperands,
     /*  997070 */     // GIR_Coverage, 60043,
     /*  997070 */     GIR_EraseRootFromParent_Done,
     /*  997071 */   // Label 14885: @997071
     /*  997071 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(997148), // Rule ID 60046 //
     /*  997076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997115 */     // MIs[0] policy
     /*  997115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  997128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997146 */     GIR_RootConstrainSelectedInstOperands,
     /*  997147 */     // GIR_Coverage, 60046,
     /*  997147 */     GIR_EraseRootFromParent_Done,
     /*  997148 */   // Label 14886: @997148
     /*  997148 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(997225), // Rule ID 60047 //
     /*  997153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  997170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997192 */     // MIs[0] policy
     /*  997192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  997205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997223 */     GIR_RootConstrainSelectedInstOperands,
     /*  997224 */     // GIR_Coverage, 60047,
     /*  997224 */     GIR_EraseRootFromParent_Done,
     /*  997225 */   // Label 14887: @997225
     /*  997225 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(997302), // Rule ID 60050 //
     /*  997230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997269 */     // MIs[0] policy
     /*  997269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  997282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997300 */     GIR_RootConstrainSelectedInstOperands,
     /*  997301 */     // GIR_Coverage, 60050,
     /*  997301 */     GIR_EraseRootFromParent_Done,
     /*  997302 */   // Label 14888: @997302
     /*  997302 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(997379), // Rule ID 60051 //
     /*  997307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  997324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997346 */     // MIs[0] policy
     /*  997346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  997359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997377 */     GIR_RootConstrainSelectedInstOperands,
     /*  997378 */     // GIR_Coverage, 60051,
     /*  997378 */     GIR_EraseRootFromParent_Done,
     /*  997379 */   // Label 14889: @997379
     /*  997379 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(997456), // Rule ID 60054 //
     /*  997384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  997401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997423 */     // MIs[0] policy
     /*  997423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  997436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997454 */     GIR_RootConstrainSelectedInstOperands,
     /*  997455 */     // GIR_Coverage, 60054,
     /*  997455 */     GIR_EraseRootFromParent_Done,
     /*  997456 */   // Label 14890: @997456
     /*  997456 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(997533), // Rule ID 60055 //
     /*  997461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  997478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997500 */     // MIs[0] policy
     /*  997500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  997513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997531 */     GIR_RootConstrainSelectedInstOperands,
     /*  997532 */     // GIR_Coverage, 60055,
     /*  997532 */     GIR_EraseRootFromParent_Done,
     /*  997533 */   // Label 14891: @997533
     /*  997533 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(997610), // Rule ID 60058 //
     /*  997538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  997555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997577 */     // MIs[0] policy
     /*  997577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  997590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997608 */     GIR_RootConstrainSelectedInstOperands,
     /*  997609 */     // GIR_Coverage, 60058,
     /*  997609 */     GIR_EraseRootFromParent_Done,
     /*  997610 */   // Label 14892: @997610
     /*  997610 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(997687), // Rule ID 60059 //
     /*  997615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  997632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997654 */     // MIs[0] policy
     /*  997654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /*  997667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997685 */     GIR_RootConstrainSelectedInstOperands,
     /*  997686 */     // GIR_Coverage, 60059,
     /*  997686 */     GIR_EraseRootFromParent_Done,
     /*  997687 */   // Label 14893: @997687
     /*  997687 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(997764), // Rule ID 60062 //
     /*  997692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  997709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997731 */     // MIs[0] policy
     /*  997731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997741 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  997744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997762 */     GIR_RootConstrainSelectedInstOperands,
     /*  997763 */     // GIR_Coverage, 60062,
     /*  997763 */     GIR_EraseRootFromParent_Done,
     /*  997764 */   // Label 14894: @997764
     /*  997764 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(997841), // Rule ID 60063 //
     /*  997769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  997786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997808 */     // MIs[0] policy
     /*  997808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /*  997821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997839 */     GIR_RootConstrainSelectedInstOperands,
     /*  997840 */     // GIR_Coverage, 60063,
     /*  997840 */     GIR_EraseRootFromParent_Done,
     /*  997841 */   // Label 14895: @997841
     /*  997841 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(997918), // Rule ID 60066 //
     /*  997846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  997849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  997863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997885 */     // MIs[0] policy
     /*  997885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  997898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997916 */     GIR_RootConstrainSelectedInstOperands,
     /*  997917 */     // GIR_Coverage, 60066,
     /*  997917 */     GIR_EraseRootFromParent_Done,
     /*  997918 */   // Label 14896: @997918
     /*  997918 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(997995), // Rule ID 60067 //
     /*  997923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  997926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /*  997931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  997940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997962 */     // MIs[0] policy
     /*  997962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /*  997975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997993 */     GIR_RootConstrainSelectedInstOperands,
     /*  997994 */     // GIR_Coverage, 60067,
     /*  997994 */     GIR_EraseRootFromParent_Done,
     /*  997995 */   // Label 14897: @997995
     /*  997995 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(998072), // Rule ID 60070 //
     /*  998000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  998011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  998014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998039 */     // MIs[0] policy
     /*  998039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /*  998052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998070 */     GIR_RootConstrainSelectedInstOperands,
     /*  998071 */     // GIR_Coverage, 60070,
     /*  998071 */     GIR_EraseRootFromParent_Done,
     /*  998072 */   // Label 14898: @998072
     /*  998072 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(998149), // Rule ID 60071 //
     /*  998077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  998088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  998091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998116 */     // MIs[0] policy
     /*  998116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /*  998129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998147 */     GIR_RootConstrainSelectedInstOperands,
     /*  998148 */     // GIR_Coverage, 60071,
     /*  998148 */     GIR_EraseRootFromParent_Done,
     /*  998149 */   // Label 14899: @998149
     /*  998149 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(998226), // Rule ID 60074 //
     /*  998154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  998165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  998168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998193 */     // MIs[0] policy
     /*  998193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998203 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /*  998206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998224 */     GIR_RootConstrainSelectedInstOperands,
     /*  998225 */     // GIR_Coverage, 60074,
     /*  998225 */     GIR_EraseRootFromParent_Done,
     /*  998226 */   // Label 14900: @998226
     /*  998226 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(998303), // Rule ID 60075 //
     /*  998231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  998242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  998245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998270 */     // MIs[0] policy
     /*  998270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /*  998283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998301 */     GIR_RootConstrainSelectedInstOperands,
     /*  998302 */     // GIR_Coverage, 60075,
     /*  998302 */     GIR_EraseRootFromParent_Done,
     /*  998303 */   // Label 14901: @998303
     /*  998303 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(998380), // Rule ID 60078 //
     /*  998308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  998319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  998322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998347 */     // MIs[0] policy
     /*  998347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998357 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998378 */     GIR_RootConstrainSelectedInstOperands,
     /*  998379 */     // GIR_Coverage, 60078,
     /*  998379 */     GIR_EraseRootFromParent_Done,
     /*  998380 */   // Label 14902: @998380
     /*  998380 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(998457), // Rule ID 60079 //
     /*  998385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  998396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  998399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998424 */     // MIs[0] policy
     /*  998424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998455 */     GIR_RootConstrainSelectedInstOperands,
     /*  998456 */     // GIR_Coverage, 60079,
     /*  998456 */     GIR_EraseRootFromParent_Done,
     /*  998457 */   // Label 14903: @998457
     /*  998457 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(998534), // Rule ID 60082 //
     /*  998462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998501 */     // MIs[0] policy
     /*  998501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998511 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /*  998514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998532 */     GIR_RootConstrainSelectedInstOperands,
     /*  998533 */     // GIR_Coverage, 60082,
     /*  998533 */     GIR_EraseRootFromParent_Done,
     /*  998534 */   // Label 14904: @998534
     /*  998534 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(998611), // Rule ID 60083 //
     /*  998539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998578 */     // MIs[0] policy
     /*  998578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /*  998591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998609 */     GIR_RootConstrainSelectedInstOperands,
     /*  998610 */     // GIR_Coverage, 60083,
     /*  998610 */     GIR_EraseRootFromParent_Done,
     /*  998611 */   // Label 14905: @998611
     /*  998611 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(998688), // Rule ID 60086 //
     /*  998616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998655 */     // MIs[0] policy
     /*  998655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998665 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998686 */     GIR_RootConstrainSelectedInstOperands,
     /*  998687 */     // GIR_Coverage, 60086,
     /*  998687 */     GIR_EraseRootFromParent_Done,
     /*  998688 */   // Label 14906: @998688
     /*  998688 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(998765), // Rule ID 60087 //
     /*  998693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998732 */     // MIs[0] policy
     /*  998732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998763 */     GIR_RootConstrainSelectedInstOperands,
     /*  998764 */     // GIR_Coverage, 60087,
     /*  998764 */     GIR_EraseRootFromParent_Done,
     /*  998765 */   // Label 14907: @998765
     /*  998765 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(998842), // Rule ID 60090 //
     /*  998770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998809 */     // MIs[0] policy
     /*  998809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998840 */     GIR_RootConstrainSelectedInstOperands,
     /*  998841 */     // GIR_Coverage, 60090,
     /*  998841 */     GIR_EraseRootFromParent_Done,
     /*  998842 */   // Label 14908: @998842
     /*  998842 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(998919), // Rule ID 60091 //
     /*  998847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  998850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998886 */     // MIs[0] policy
     /*  998886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /*  998899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998917 */     GIR_RootConstrainSelectedInstOperands,
     /*  998918 */     // GIR_Coverage, 60091,
     /*  998918 */     GIR_EraseRootFromParent_Done,
     /*  998919 */   // Label 14909: @998919
     /*  998919 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(998996), // Rule ID 60094 //
     /*  998924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  998927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  998932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  998935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  998938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998963 */     // MIs[0] policy
     /*  998963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  998976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998994 */     GIR_RootConstrainSelectedInstOperands,
     /*  998995 */     // GIR_Coverage, 60094,
     /*  998995 */     GIR_EraseRootFromParent_Done,
     /*  998996 */   // Label 14910: @998996
     /*  998996 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(999073), // Rule ID 60095 //
     /*  999001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  999012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  999015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  999018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999040 */     // MIs[0] policy
     /*  999040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999050 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10832:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999071 */     GIR_RootConstrainSelectedInstOperands,
     /*  999072 */     // GIR_Coverage, 60095,
     /*  999072 */     GIR_EraseRootFromParent_Done,
     /*  999073 */   // Label 14911: @999073
     /*  999073 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(999150), // Rule ID 60098 //
     /*  999078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999117 */     // MIs[0] policy
     /*  999117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999148 */     GIR_RootConstrainSelectedInstOperands,
     /*  999149 */     // GIR_Coverage, 60098,
     /*  999149 */     GIR_EraseRootFromParent_Done,
     /*  999150 */   // Label 14912: @999150
     /*  999150 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(999227), // Rule ID 60099 //
     /*  999155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  999166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  999169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999194 */     // MIs[0] policy
     /*  999194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999225 */     GIR_RootConstrainSelectedInstOperands,
     /*  999226 */     // GIR_Coverage, 60099,
     /*  999226 */     GIR_EraseRootFromParent_Done,
     /*  999227 */   // Label 14913: @999227
     /*  999227 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(999304), // Rule ID 60102 //
     /*  999232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  999249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999271 */     // MIs[0] policy
     /*  999271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999281 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999302 */     GIR_RootConstrainSelectedInstOperands,
     /*  999303 */     // GIR_Coverage, 60102,
     /*  999303 */     GIR_EraseRootFromParent_Done,
     /*  999304 */   // Label 14914: @999304
     /*  999304 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(999381), // Rule ID 60103 //
     /*  999309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  999326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999348 */     // MIs[0] policy
     /*  999348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999379 */     GIR_RootConstrainSelectedInstOperands,
     /*  999380 */     // GIR_Coverage, 60103,
     /*  999380 */     GIR_EraseRootFromParent_Done,
     /*  999381 */   // Label 14915: @999381
     /*  999381 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(999458), // Rule ID 60106 //
     /*  999386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  999403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999425 */     // MIs[0] policy
     /*  999425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999435 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999456 */     GIR_RootConstrainSelectedInstOperands,
     /*  999457 */     // GIR_Coverage, 60106,
     /*  999457 */     GIR_EraseRootFromParent_Done,
     /*  999458 */   // Label 14916: @999458
     /*  999458 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(999535), // Rule ID 60107 //
     /*  999463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  999480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999502 */     // MIs[0] policy
     /*  999502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /*  999515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999533 */     GIR_RootConstrainSelectedInstOperands,
     /*  999534 */     // GIR_Coverage, 60107,
     /*  999534 */     GIR_EraseRootFromParent_Done,
     /*  999535 */   // Label 14917: @999535
     /*  999535 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(999612), // Rule ID 60110 //
     /*  999540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  999551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  999554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999579 */     // MIs[0] policy
     /*  999579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999589 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /*  999592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999610 */     GIR_RootConstrainSelectedInstOperands,
     /*  999611 */     // GIR_Coverage, 60110,
     /*  999611 */     GIR_EraseRootFromParent_Done,
     /*  999612 */   // Label 14918: @999612
     /*  999612 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(999689), // Rule ID 60111 //
     /*  999617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  999628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  999631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999656 */     // MIs[0] policy
     /*  999656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /*  999669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999687 */     GIR_RootConstrainSelectedInstOperands,
     /*  999688 */     // GIR_Coverage, 60111,
     /*  999688 */     GIR_EraseRootFromParent_Done,
     /*  999689 */   // Label 14919: @999689
     /*  999689 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(999766), // Rule ID 60114 //
     /*  999694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  999705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  999708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999733 */     // MIs[0] policy
     /*  999733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999743 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /*  999746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999764 */     GIR_RootConstrainSelectedInstOperands,
     /*  999765 */     // GIR_Coverage, 60114,
     /*  999765 */     GIR_EraseRootFromParent_Done,
     /*  999766 */   // Label 14920: @999766
     /*  999766 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(999843), // Rule ID 60115 //
     /*  999771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  999782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  999785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999810 */     // MIs[0] policy
     /*  999810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999820 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /*  999823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999841 */     GIR_RootConstrainSelectedInstOperands,
     /*  999842 */     // GIR_Coverage, 60115,
     /*  999842 */     GIR_EraseRootFromParent_Done,
     /*  999843 */   // Label 14921: @999843
     /*  999843 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(999920), // Rule ID 60118 //
     /*  999848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  999851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  999859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  999862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  999865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  999868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999887 */     // MIs[0] policy
     /*  999887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999897 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /*  999900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999918 */     GIR_RootConstrainSelectedInstOperands,
     /*  999919 */     // GIR_Coverage, 60118,
     /*  999919 */     GIR_EraseRootFromParent_Done,
     /*  999920 */   // Label 14922: @999920
     /*  999920 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(999997), // Rule ID 60119 //
     /*  999925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  999928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /*  999933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  999936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  999939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  999942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  999945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999964 */     // MIs[0] policy
     /*  999964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /*  999977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999995 */     GIR_RootConstrainSelectedInstOperands,
     /*  999996 */     // GIR_Coverage, 60119,
     /*  999996 */     GIR_EraseRootFromParent_Done,
     /*  999997 */   // Label 14923: @999997
     /*  999997 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1000074), // Rule ID 60122 //
     /* 1000002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1000019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000041 */     // MIs[0] policy
     /* 1000041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1000054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000073 */     // GIR_Coverage, 60122,
     /* 1000073 */     GIR_EraseRootFromParent_Done,
     /* 1000074 */   // Label 14924: @1000074
     /* 1000074 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1000151), // Rule ID 60123 //
     /* 1000079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1000096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000118 */     // MIs[0] policy
     /* 1000118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1000131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000150 */     // GIR_Coverage, 60123,
     /* 1000150 */     GIR_EraseRootFromParent_Done,
     /* 1000151 */   // Label 14925: @1000151
     /* 1000151 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1000228), // Rule ID 60126 //
     /* 1000156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1000173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000195 */     // MIs[0] policy
     /* 1000195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1000208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000227 */     // GIR_Coverage, 60126,
     /* 1000227 */     GIR_EraseRootFromParent_Done,
     /* 1000228 */   // Label 14926: @1000228
     /* 1000228 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1000305), // Rule ID 60127 //
     /* 1000233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1000250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000272 */     // MIs[0] policy
     /* 1000272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1000285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000304 */     // GIR_Coverage, 60127,
     /* 1000304 */     GIR_EraseRootFromParent_Done,
     /* 1000305 */   // Label 14927: @1000305
     /* 1000305 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1000382), // Rule ID 60130 //
     /* 1000310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1000327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000349 */     // MIs[0] policy
     /* 1000349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1000362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000381 */     // GIR_Coverage, 60130,
     /* 1000381 */     GIR_EraseRootFromParent_Done,
     /* 1000382 */   // Label 14928: @1000382
     /* 1000382 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1000459), // Rule ID 60131 //
     /* 1000387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1000404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1000407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000426 */     // MIs[0] policy
     /* 1000426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1000439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000458 */     // GIR_Coverage, 60131,
     /* 1000458 */     GIR_EraseRootFromParent_Done,
     /* 1000459 */   // Label 14929: @1000459
     /* 1000459 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1000536), // Rule ID 60134 //
     /* 1000464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000503 */     // MIs[0] policy
     /* 1000503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1000516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000535 */     // GIR_Coverage, 60134,
     /* 1000535 */     GIR_EraseRootFromParent_Done,
     /* 1000536 */   // Label 14930: @1000536
     /* 1000536 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1000613), // Rule ID 60135 //
     /* 1000541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000580 */     // MIs[0] policy
     /* 1000580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1000593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000612 */     // GIR_Coverage, 60135,
     /* 1000612 */     GIR_EraseRootFromParent_Done,
     /* 1000613 */   // Label 14931: @1000613
     /* 1000613 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1000690), // Rule ID 60138 //
     /* 1000618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000657 */     // MIs[0] policy
     /* 1000657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1000670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000689 */     // GIR_Coverage, 60138,
     /* 1000689 */     GIR_EraseRootFromParent_Done,
     /* 1000690 */   // Label 14932: @1000690
     /* 1000690 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1000767), // Rule ID 60139 //
     /* 1000695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000734 */     // MIs[0] policy
     /* 1000734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1000747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000766 */     // GIR_Coverage, 60139,
     /* 1000766 */     GIR_EraseRootFromParent_Done,
     /* 1000767 */   // Label 14933: @1000767
     /* 1000767 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1000844), // Rule ID 60142 //
     /* 1000772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1000783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1000786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1000789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000811 */     // MIs[0] policy
     /* 1000811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1000824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000843 */     // GIR_Coverage, 60142,
     /* 1000843 */     GIR_EraseRootFromParent_Done,
     /* 1000844 */   // Label 14934: @1000844
     /* 1000844 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1000921), // Rule ID 60143 //
     /* 1000849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1000852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1000860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1000863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1000866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1000869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000888 */     // MIs[0] policy
     /* 1000888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1000901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000920 */     // GIR_Coverage, 60143,
     /* 1000920 */     GIR_EraseRootFromParent_Done,
     /* 1000921 */   // Label 14935: @1000921
     /* 1000921 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1000998), // Rule ID 60146 //
     /* 1000926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1000929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1000934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1000943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000965 */     // MIs[0] policy
     /* 1000965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1000978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000997 */     // GIR_Coverage, 60146,
     /* 1000997 */     GIR_EraseRootFromParent_Done,
     /* 1000998 */   // Label 14936: @1000998
     /* 1000998 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1001075), // Rule ID 60147 //
     /* 1001003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1001011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1001020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001042 */     // MIs[0] policy
     /* 1001042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1001055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001074 */     // GIR_Coverage, 60147,
     /* 1001074 */     GIR_EraseRootFromParent_Done,
     /* 1001075 */   // Label 14937: @1001075
     /* 1001075 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1001152), // Rule ID 60150 //
     /* 1001080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1001088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1001097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001119 */     // MIs[0] policy
     /* 1001119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001129 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1001132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001151 */     // GIR_Coverage, 60150,
     /* 1001151 */     GIR_EraseRootFromParent_Done,
     /* 1001152 */   // Label 14938: @1001152
     /* 1001152 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1001229), // Rule ID 60151 //
     /* 1001157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1001165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1001174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001196 */     // MIs[0] policy
     /* 1001196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1001209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001228 */     // GIR_Coverage, 60151,
     /* 1001228 */     GIR_EraseRootFromParent_Done,
     /* 1001229 */   // Label 14939: @1001229
     /* 1001229 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1001306), // Rule ID 60154 //
     /* 1001234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1001242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1001251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001273 */     // MIs[0] policy
     /* 1001273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1001286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001305 */     // GIR_Coverage, 60154,
     /* 1001305 */     GIR_EraseRootFromParent_Done,
     /* 1001306 */   // Label 14940: @1001306
     /* 1001306 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1001383), // Rule ID 60155 //
     /* 1001311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1001319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1001328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001350 */     // MIs[0] policy
     /* 1001350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1001363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001382 */     // GIR_Coverage, 60155,
     /* 1001382 */     GIR_EraseRootFromParent_Done,
     /* 1001383 */   // Label 14941: @1001383
     /* 1001383 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1001460), // Rule ID 60158 //
     /* 1001388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1001399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1001402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001427 */     // MIs[0] policy
     /* 1001427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001437 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1001440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001459 */     // GIR_Coverage, 60158,
     /* 1001459 */     GIR_EraseRootFromParent_Done,
     /* 1001460 */   // Label 14942: @1001460
     /* 1001460 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1001537), // Rule ID 60159 //
     /* 1001465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1001476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1001479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1001482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001504 */     // MIs[0] policy
     /* 1001504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001514 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1001517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001536 */     // GIR_Coverage, 60159,
     /* 1001536 */     GIR_EraseRootFromParent_Done,
     /* 1001537 */   // Label 14943: @1001537
     /* 1001537 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1001614), // Rule ID 60162 //
     /* 1001542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1001553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1001556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1001559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001581 */     // MIs[0] policy
     /* 1001581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001591 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1001594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001613 */     // GIR_Coverage, 60162,
     /* 1001613 */     GIR_EraseRootFromParent_Done,
     /* 1001614 */   // Label 14944: @1001614
     /* 1001614 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1001691), // Rule ID 60163 //
     /* 1001619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1001630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1001633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1001636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001658 */     // MIs[0] policy
     /* 1001658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001668 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1001671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001690 */     // GIR_Coverage, 60163,
     /* 1001690 */     GIR_EraseRootFromParent_Done,
     /* 1001691 */   // Label 14945: @1001691
     /* 1001691 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1001768), // Rule ID 60166 //
     /* 1001696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1001707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1001710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1001713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001735 */     // MIs[0] policy
     /* 1001735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001745 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1001748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001767 */     // GIR_Coverage, 60166,
     /* 1001767 */     GIR_EraseRootFromParent_Done,
     /* 1001768 */   // Label 14946: @1001768
     /* 1001768 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1001845), // Rule ID 60167 //
     /* 1001773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1001784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1001787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1001790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001812 */     // MIs[0] policy
     /* 1001812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1001825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001844 */     // GIR_Coverage, 60167,
     /* 1001844 */     GIR_EraseRootFromParent_Done,
     /* 1001845 */   // Label 14947: @1001845
     /* 1001845 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1001922), // Rule ID 60170 //
     /* 1001850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1001853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1001861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1001864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001889 */     // MIs[0] policy
     /* 1001889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1001902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001921 */     // GIR_Coverage, 60170,
     /* 1001921 */     GIR_EraseRootFromParent_Done,
     /* 1001922 */   // Label 14948: @1001922
     /* 1001922 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1001999), // Rule ID 60171 //
     /* 1001927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1001930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1001935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1001938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1001941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001966 */     // MIs[0] policy
     /* 1001966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1001979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001998 */     // GIR_Coverage, 60171,
     /* 1001998 */     GIR_EraseRootFromParent_Done,
     /* 1001999 */   // Label 14949: @1001999
     /* 1001999 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1002076), // Rule ID 60174 //
     /* 1002004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1002015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1002018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002043 */     // MIs[0] policy
     /* 1002043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1002056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002075 */     // GIR_Coverage, 60174,
     /* 1002075 */     GIR_EraseRootFromParent_Done,
     /* 1002076 */   // Label 14950: @1002076
     /* 1002076 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1002153), // Rule ID 60175 //
     /* 1002081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1002092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1002095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1002098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002120 */     // MIs[0] policy
     /* 1002120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1002133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002152 */     // GIR_Coverage, 60175,
     /* 1002152 */     GIR_EraseRootFromParent_Done,
     /* 1002153 */   // Label 14951: @1002153
     /* 1002153 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1002230), // Rule ID 60178 //
     /* 1002158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002197 */     // MIs[0] policy
     /* 1002197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1002210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002229 */     // GIR_Coverage, 60178,
     /* 1002229 */     GIR_EraseRootFromParent_Done,
     /* 1002230 */   // Label 14952: @1002230
     /* 1002230 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1002307), // Rule ID 60179 //
     /* 1002235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002274 */     // MIs[0] policy
     /* 1002274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1002287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002306 */     // GIR_Coverage, 60179,
     /* 1002306 */     GIR_EraseRootFromParent_Done,
     /* 1002307 */   // Label 14953: @1002307
     /* 1002307 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1002384), // Rule ID 60182 //
     /* 1002312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1002323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1002326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002351 */     // MIs[0] policy
     /* 1002351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002361 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002383 */     // GIR_Coverage, 60182,
     /* 1002383 */     GIR_EraseRootFromParent_Done,
     /* 1002384 */   // Label 14954: @1002384
     /* 1002384 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1002461), // Rule ID 60183 //
     /* 1002389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1002400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1002403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002428 */     // MIs[0] policy
     /* 1002428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10830:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002460 */     // GIR_Coverage, 60183,
     /* 1002460 */     GIR_EraseRootFromParent_Done,
     /* 1002461 */   // Label 14955: @1002461
     /* 1002461 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1002538), // Rule ID 60186 //
     /* 1002466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1002477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1002480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1002483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002505 */     // MIs[0] policy
     /* 1002505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002537 */     // GIR_Coverage, 60186,
     /* 1002537 */     GIR_EraseRootFromParent_Done,
     /* 1002538 */   // Label 14956: @1002538
     /* 1002538 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1002615), // Rule ID 60187 //
     /* 1002543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1002554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1002557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1002560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002582 */     // MIs[0] policy
     /* 1002582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002614 */     // GIR_Coverage, 60187,
     /* 1002614 */     GIR_EraseRootFromParent_Done,
     /* 1002615 */   // Label 14957: @1002615
     /* 1002615 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1002692), // Rule ID 60190 //
     /* 1002620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002659 */     // MIs[0] policy
     /* 1002659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002691 */     // GIR_Coverage, 60190,
     /* 1002691 */     GIR_EraseRootFromParent_Done,
     /* 1002692 */   // Label 14958: @1002692
     /* 1002692 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1002769), // Rule ID 60191 //
     /* 1002697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002736 */     // MIs[0] policy
     /* 1002736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002768 */     // GIR_Coverage, 60191,
     /* 1002768 */     GIR_EraseRootFromParent_Done,
     /* 1002769 */   // Label 14959: @1002769
     /* 1002769 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1002846), // Rule ID 60194 //
     /* 1002774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1002791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002813 */     // MIs[0] policy
     /* 1002813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002845 */     // GIR_Coverage, 60194,
     /* 1002845 */     GIR_EraseRootFromParent_Done,
     /* 1002846 */   // Label 14960: @1002846
     /* 1002846 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1002923), // Rule ID 60195 //
     /* 1002851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1002854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1002868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002890 */     // MIs[0] policy
     /* 1002890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1002903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002922 */     // GIR_Coverage, 60195,
     /* 1002922 */     GIR_EraseRootFromParent_Done,
     /* 1002923 */   // Label 14961: @1002923
     /* 1002923 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1003000), // Rule ID 60198 //
     /* 1002928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1002931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1002936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1002939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1002942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002967 */     // MIs[0] policy
     /* 1002967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1002980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002999 */     // GIR_Coverage, 60198,
     /* 1002999 */     GIR_EraseRootFromParent_Done,
     /* 1003000 */   // Label 14962: @1003000
     /* 1003000 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1003077), // Rule ID 60199 //
     /* 1003005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1003016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1003019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003044 */     // MIs[0] policy
     /* 1003044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1003057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003076 */     // GIR_Coverage, 60199,
     /* 1003076 */     GIR_EraseRootFromParent_Done,
     /* 1003077 */   // Label 14963: @1003077
     /* 1003077 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1003154), // Rule ID 60202 //
     /* 1003082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1003093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1003096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1003099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1003102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003121 */     // MIs[0] policy
     /* 1003121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003131 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1003134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003153 */     // GIR_Coverage, 60202,
     /* 1003153 */     GIR_EraseRootFromParent_Done,
     /* 1003154 */   // Label 14964: @1003154
     /* 1003154 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1003231), // Rule ID 60203 //
     /* 1003159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1003170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1003173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1003176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1003179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003198 */     // MIs[0] policy
     /* 1003198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1003211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003230 */     // GIR_Coverage, 60203,
     /* 1003230 */     GIR_EraseRootFromParent_Done,
     /* 1003231 */   // Label 14965: @1003231
     /* 1003231 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1003308), // Rule ID 60206 //
     /* 1003236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1003247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1003250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1003253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1003256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003275 */     // MIs[0] policy
     /* 1003275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003285 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1003288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003307 */     // GIR_Coverage, 60206,
     /* 1003307 */     GIR_EraseRootFromParent_Done,
     /* 1003308 */   // Label 14966: @1003308
     /* 1003308 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1003385), // Rule ID 60207 //
     /* 1003313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1003324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1003327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1003330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1003333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003352 */     // MIs[0] policy
     /* 1003352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003362 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1003365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003384 */     // GIR_Coverage, 60207,
     /* 1003384 */     GIR_EraseRootFromParent_Done,
     /* 1003385 */   // Label 14967: @1003385
     /* 1003385 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1003462), // Rule ID 60210 //
     /* 1003390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1003401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1003404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003429 */     // MIs[0] policy
     /* 1003429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1003442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003461 */     // GIR_Coverage, 60210,
     /* 1003461 */     GIR_EraseRootFromParent_Done,
     /* 1003462 */   // Label 14968: @1003462
     /* 1003462 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1003539), // Rule ID 60211 //
     /* 1003467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1003478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1003481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1003484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003506 */     // MIs[0] policy
     /* 1003506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1003519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003538 */     // GIR_Coverage, 60211,
     /* 1003538 */     GIR_EraseRootFromParent_Done,
     /* 1003539 */   // Label 14969: @1003539
     /* 1003539 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1003616), // Rule ID 60214 //
     /* 1003544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1003555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1003558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1003561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003583 */     // MIs[0] policy
     /* 1003583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1003596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003615 */     // GIR_Coverage, 60214,
     /* 1003615 */     GIR_EraseRootFromParent_Done,
     /* 1003616 */   // Label 14970: @1003616
     /* 1003616 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1003693), // Rule ID 60215 //
     /* 1003621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1003632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1003635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1003638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003660 */     // MIs[0] policy
     /* 1003660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1003673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003692 */     // GIR_Coverage, 60215,
     /* 1003692 */     GIR_EraseRootFromParent_Done,
     /* 1003693 */   // Label 14971: @1003693
     /* 1003693 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1003770), // Rule ID 60218 //
     /* 1003698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1003709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1003712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1003715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1003718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003737 */     // MIs[0] policy
     /* 1003737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1003750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003769 */     // GIR_Coverage, 60218,
     /* 1003769 */     GIR_EraseRootFromParent_Done,
     /* 1003770 */   // Label 14972: @1003770
     /* 1003770 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1003847), // Rule ID 60219 //
     /* 1003775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1003786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1003789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1003792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1003795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003814 */     // MIs[0] policy
     /* 1003814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1003827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003846 */     // GIR_Coverage, 60219,
     /* 1003846 */     GIR_EraseRootFromParent_Done,
     /* 1003847 */   // Label 14973: @1003847
     /* 1003847 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1003924), // Rule ID 60222 //
     /* 1003852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1003855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1003869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003891 */     // MIs[0] policy
     /* 1003891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1003904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003923 */     // GIR_Coverage, 60222,
     /* 1003923 */     GIR_EraseRootFromParent_Done,
     /* 1003924 */   // Label 14974: @1003924
     /* 1003924 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1004001), // Rule ID 60223 //
     /* 1003929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1003932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1003937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1003946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003968 */     // MIs[0] policy
     /* 1003968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1003981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004000 */     // GIR_Coverage, 60223,
     /* 1004000 */     GIR_EraseRootFromParent_Done,
     /* 1004001 */   // Label 14975: @1004001
     /* 1004001 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1004078), // Rule ID 60226 //
     /* 1004006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1004009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1004017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1004020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1004023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004045 */     // MIs[0] policy
     /* 1004045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1004058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004077 */     // GIR_Coverage, 60226,
     /* 1004077 */     GIR_EraseRootFromParent_Done,
     /* 1004078 */   // Label 14976: @1004078
     /* 1004078 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1004155), // Rule ID 60227 //
     /* 1004083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1004086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1004094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1004097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1004100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004122 */     // MIs[0] policy
     /* 1004122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1004135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004154 */     // GIR_Coverage, 60227,
     /* 1004154 */     GIR_EraseRootFromParent_Done,
     /* 1004155 */   // Label 14977: @1004155
     /* 1004155 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1004232), // Rule ID 60230 //
     /* 1004160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1004163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1004171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1004174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1004177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1004180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004199 */     // MIs[0] policy
     /* 1004199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004209 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1004212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004231 */     // GIR_Coverage, 60230,
     /* 1004231 */     GIR_EraseRootFromParent_Done,
     /* 1004232 */   // Label 14978: @1004232
     /* 1004232 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1004309), // Rule ID 60231 //
     /* 1004237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1004240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1004248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1004251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1004254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1004257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004276 */     // MIs[0] policy
     /* 1004276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1004289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004308 */     // GIR_Coverage, 60231,
     /* 1004308 */     GIR_EraseRootFromParent_Done,
     /* 1004309 */   // Label 14979: @1004309
     /* 1004309 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1004386), // Rule ID 60234 //
     /* 1004314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1004317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1004331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004353 */     // MIs[0] policy
     /* 1004353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1004366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004385 */     // GIR_Coverage, 60234,
     /* 1004385 */     GIR_EraseRootFromParent_Done,
     /* 1004386 */   // Label 14980: @1004386
     /* 1004386 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1004463), // Rule ID 60235 //
     /* 1004391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1004394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1004408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004430 */     // MIs[0] policy
     /* 1004430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1004443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004462 */     // GIR_Coverage, 60235,
     /* 1004462 */     GIR_EraseRootFromParent_Done,
     /* 1004463 */   // Label 14981: @1004463
     /* 1004463 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1004540), // Rule ID 60238 //
     /* 1004468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1004471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1004485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004507 */     // MIs[0] policy
     /* 1004507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1004520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004539 */     // GIR_Coverage, 60238,
     /* 1004539 */     GIR_EraseRootFromParent_Done,
     /* 1004540 */   // Label 14982: @1004540
     /* 1004540 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1004617), // Rule ID 60239 //
     /* 1004545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1004548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1004562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004584 */     // MIs[0] policy
     /* 1004584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1004597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004616 */     // GIR_Coverage, 60239,
     /* 1004616 */     GIR_EraseRootFromParent_Done,
     /* 1004617 */   // Label 14983: @1004617
     /* 1004617 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1004694), // Rule ID 60242 //
     /* 1004622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1004625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1004639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004661 */     // MIs[0] policy
     /* 1004661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1004674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004693 */     // GIR_Coverage, 60242,
     /* 1004693 */     GIR_EraseRootFromParent_Done,
     /* 1004694 */   // Label 14984: @1004694
     /* 1004694 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1004771), // Rule ID 60243 //
     /* 1004699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1004702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1004707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1004716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004738 */     // MIs[0] policy
     /* 1004738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1004751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004770 */     // GIR_Coverage, 60243,
     /* 1004770 */     GIR_EraseRootFromParent_Done,
     /* 1004771 */   // Label 14985: @1004771
     /* 1004771 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1004848), // Rule ID 60666 //
     /* 1004776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1004779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1004784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1004787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1004790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004815 */     // MIs[0] policy
     /* 1004815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004825 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1004828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004847 */     // GIR_Coverage, 60666,
     /* 1004847 */     GIR_EraseRootFromParent_Done,
     /* 1004848 */   // Label 14986: @1004848
     /* 1004848 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1004925), // Rule ID 60667 //
     /* 1004853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1004856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1004861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1004864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1004867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004892 */     // MIs[0] policy
     /* 1004892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1004905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004924 */     // GIR_Coverage, 60667,
     /* 1004924 */     GIR_EraseRootFromParent_Done,
     /* 1004925 */   // Label 14987: @1004925
     /* 1004925 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1005002), // Rule ID 60670 //
     /* 1004930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1004933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1004938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004969 */     // MIs[0] policy
     /* 1004969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004979 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1004982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005001 */     // GIR_Coverage, 60670,
     /* 1005001 */     GIR_EraseRootFromParent_Done,
     /* 1005002 */   // Label 14988: @1005002
     /* 1005002 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1005079), // Rule ID 60671 //
     /* 1005007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1005018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1005021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1005024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005046 */     // MIs[0] policy
     /* 1005046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1005059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005078 */     // GIR_Coverage, 60671,
     /* 1005078 */     GIR_EraseRootFromParent_Done,
     /* 1005079 */   // Label 14989: @1005079
     /* 1005079 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1005156), // Rule ID 60674 //
     /* 1005084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1005095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1005098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005123 */     // MIs[0] policy
     /* 1005123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005133 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005155 */     // GIR_Coverage, 60674,
     /* 1005155 */     GIR_EraseRootFromParent_Done,
     /* 1005156 */   // Label 14990: @1005156
     /* 1005156 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1005233), // Rule ID 60675 //
     /* 1005161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1005172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1005175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005200 */     // MIs[0] policy
     /* 1005200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005232 */     // GIR_Coverage, 60675,
     /* 1005232 */     GIR_EraseRootFromParent_Done,
     /* 1005233 */   // Label 14991: @1005233
     /* 1005233 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1005310), // Rule ID 60678 //
     /* 1005238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005277 */     // MIs[0] policy
     /* 1005277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1005290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005309 */     // GIR_Coverage, 60678,
     /* 1005309 */     GIR_EraseRootFromParent_Done,
     /* 1005310 */   // Label 14992: @1005310
     /* 1005310 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1005387), // Rule ID 60679 //
     /* 1005315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005354 */     // MIs[0] policy
     /* 1005354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1005367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005386 */     // GIR_Coverage, 60679,
     /* 1005386 */     GIR_EraseRootFromParent_Done,
     /* 1005387 */   // Label 14993: @1005387
     /* 1005387 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1005464), // Rule ID 60682 //
     /* 1005392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005431 */     // MIs[0] policy
     /* 1005431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005463 */     // GIR_Coverage, 60682,
     /* 1005463 */     GIR_EraseRootFromParent_Done,
     /* 1005464 */   // Label 14994: @1005464
     /* 1005464 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1005541), // Rule ID 60683 //
     /* 1005469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005508 */     // MIs[0] policy
     /* 1005508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005540 */     // GIR_Coverage, 60683,
     /* 1005540 */     GIR_EraseRootFromParent_Done,
     /* 1005541 */   // Label 14995: @1005541
     /* 1005541 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1005618), // Rule ID 60686 //
     /* 1005546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005585 */     // MIs[0] policy
     /* 1005585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005617 */     // GIR_Coverage, 60686,
     /* 1005617 */     GIR_EraseRootFromParent_Done,
     /* 1005618 */   // Label 14996: @1005618
     /* 1005618 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1005695), // Rule ID 60687 //
     /* 1005623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005662 */     // MIs[0] policy
     /* 1005662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1005675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005694 */     // GIR_Coverage, 60687,
     /* 1005694 */     GIR_EraseRootFromParent_Done,
     /* 1005695 */   // Label 14997: @1005695
     /* 1005695 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1005772), // Rule ID 60690 //
     /* 1005700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005739 */     // MIs[0] policy
     /* 1005739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1005752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005771 */     // GIR_Coverage, 60690,
     /* 1005771 */     GIR_EraseRootFromParent_Done,
     /* 1005772 */   // Label 14998: @1005772
     /* 1005772 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1005849), // Rule ID 60691 //
     /* 1005777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005816 */     // MIs[0] policy
     /* 1005816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10819:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1005829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005848 */     // GIR_Coverage, 60691,
     /* 1005848 */     GIR_EraseRootFromParent_Done,
     /* 1005849 */   // Label 14999: @1005849
     /* 1005849 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1005926), // Rule ID 60694 //
     /* 1005854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1005857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005893 */     // MIs[0] policy
     /* 1005893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1005906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005925 */     // GIR_Coverage, 60694,
     /* 1005925 */     GIR_EraseRootFromParent_Done,
     /* 1005926 */   // Label 15000: @1005926
     /* 1005926 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1006003), // Rule ID 60695 //
     /* 1005931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1005934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1005939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005970 */     // MIs[0] policy
     /* 1005970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1005983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006002 */     // GIR_Coverage, 60695,
     /* 1006002 */     GIR_EraseRootFromParent_Done,
     /* 1006003 */   // Label 15001: @1006003
     /* 1006003 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1006080), // Rule ID 60698 //
     /* 1006008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006047 */     // MIs[0] policy
     /* 1006047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1006060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006079 */     // GIR_Coverage, 60698,
     /* 1006079 */     GIR_EraseRootFromParent_Done,
     /* 1006080 */   // Label 15002: @1006080
     /* 1006080 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1006157), // Rule ID 60699 //
     /* 1006085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1006096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1006099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006124 */     // MIs[0] policy
     /* 1006124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1006137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006156 */     // GIR_Coverage, 60699,
     /* 1006156 */     GIR_EraseRootFromParent_Done,
     /* 1006157 */   // Label 15003: @1006157
     /* 1006157 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1006234), // Rule ID 60702 //
     /* 1006162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1006179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006201 */     // MIs[0] policy
     /* 1006201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1006214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006233 */     // GIR_Coverage, 60702,
     /* 1006233 */     GIR_EraseRootFromParent_Done,
     /* 1006234 */   // Label 15004: @1006234
     /* 1006234 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1006311), // Rule ID 60703 //
     /* 1006239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1006256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006278 */     // MIs[0] policy
     /* 1006278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1006291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006310 */     // GIR_Coverage, 60703,
     /* 1006310 */     GIR_EraseRootFromParent_Done,
     /* 1006311 */   // Label 15005: @1006311
     /* 1006311 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1006388), // Rule ID 60706 //
     /* 1006316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1006336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006355 */     // MIs[0] policy
     /* 1006355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1006368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006387 */     // GIR_Coverage, 60706,
     /* 1006387 */     GIR_EraseRootFromParent_Done,
     /* 1006388 */   // Label 15006: @1006388
     /* 1006388 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1006465), // Rule ID 60707 //
     /* 1006393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1006413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006432 */     // MIs[0] policy
     /* 1006432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1006445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006464 */     // GIR_Coverage, 60707,
     /* 1006464 */     GIR_EraseRootFromParent_Done,
     /* 1006465 */   // Label 15007: @1006465
     /* 1006465 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1006542), // Rule ID 60710 //
     /* 1006470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1006490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006509 */     // MIs[0] policy
     /* 1006509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006519 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1006522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006541 */     // GIR_Coverage, 60710,
     /* 1006541 */     GIR_EraseRootFromParent_Done,
     /* 1006542 */   // Label 15008: @1006542
     /* 1006542 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1006619), // Rule ID 60711 //
     /* 1006547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1006567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006586 */     // MIs[0] policy
     /* 1006586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1006599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006618 */     // GIR_Coverage, 60711,
     /* 1006618 */     GIR_EraseRootFromParent_Done,
     /* 1006619 */   // Label 15009: @1006619
     /* 1006619 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1006696), // Rule ID 60714 //
     /* 1006624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1006644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006663 */     // MIs[0] policy
     /* 1006663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006673 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1006676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006695 */     // GIR_Coverage, 60714,
     /* 1006695 */     GIR_EraseRootFromParent_Done,
     /* 1006696 */   // Label 15010: @1006696
     /* 1006696 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1006773), // Rule ID 60715 //
     /* 1006701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1006721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006740 */     // MIs[0] policy
     /* 1006740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1006753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006772 */     // GIR_Coverage, 60715,
     /* 1006772 */     GIR_EraseRootFromParent_Done,
     /* 1006773 */   // Label 15011: @1006773
     /* 1006773 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1006850), // Rule ID 60718 //
     /* 1006778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006817 */     // MIs[0] policy
     /* 1006817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1006830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006849 */     // GIR_Coverage, 60718,
     /* 1006849 */     GIR_EraseRootFromParent_Done,
     /* 1006850 */   // Label 15012: @1006850
     /* 1006850 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1006927), // Rule ID 60719 //
     /* 1006855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1006858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006894 */     // MIs[0] policy
     /* 1006894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1006907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006926 */     // GIR_Coverage, 60719,
     /* 1006926 */     GIR_EraseRootFromParent_Done,
     /* 1006927 */   // Label 15013: @1006927
     /* 1006927 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1007004), // Rule ID 60722 //
     /* 1006932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1006935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1006940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1006952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006971 */     // MIs[0] policy
     /* 1006971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1006984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007003 */     // GIR_Coverage, 60722,
     /* 1007003 */     GIR_EraseRootFromParent_Done,
     /* 1007004 */   // Label 15014: @1007004
     /* 1007004 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1007081), // Rule ID 60723 //
     /* 1007009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1007020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1007023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1007026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007048 */     // MIs[0] policy
     /* 1007048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1007061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007080 */     // GIR_Coverage, 60723,
     /* 1007080 */     GIR_EraseRootFromParent_Done,
     /* 1007081 */   // Label 15015: @1007081
     /* 1007081 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1007158), // Rule ID 60726 //
     /* 1007086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1007097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1007100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1007103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1007106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007125 */     // MIs[0] policy
     /* 1007125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1007138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007157 */     // GIR_Coverage, 60726,
     /* 1007157 */     GIR_EraseRootFromParent_Done,
     /* 1007158 */   // Label 15016: @1007158
     /* 1007158 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1007235), // Rule ID 60727 //
     /* 1007163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1007174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1007177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1007180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1007183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007202 */     // MIs[0] policy
     /* 1007202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1007215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007234 */     // GIR_Coverage, 60727,
     /* 1007234 */     GIR_EraseRootFromParent_Done,
     /* 1007235 */   // Label 15017: @1007235
     /* 1007235 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1007312), // Rule ID 60730 //
     /* 1007240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007279 */     // MIs[0] policy
     /* 1007279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007289 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1007292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007311 */     // GIR_Coverage, 60730,
     /* 1007311 */     GIR_EraseRootFromParent_Done,
     /* 1007312 */   // Label 15018: @1007312
     /* 1007312 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1007389), // Rule ID 60731 //
     /* 1007317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007356 */     // MIs[0] policy
     /* 1007356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1007369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007388 */     // GIR_Coverage, 60731,
     /* 1007388 */     GIR_EraseRootFromParent_Done,
     /* 1007389 */   // Label 15019: @1007389
     /* 1007389 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1007466), // Rule ID 60734 //
     /* 1007394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007433 */     // MIs[0] policy
     /* 1007433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007443 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1007446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007465 */     // GIR_Coverage, 60734,
     /* 1007465 */     GIR_EraseRootFromParent_Done,
     /* 1007466 */   // Label 15020: @1007466
     /* 1007466 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1007543), // Rule ID 60735 //
     /* 1007471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007510 */     // MIs[0] policy
     /* 1007510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1007523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007542 */     // GIR_Coverage, 60735,
     /* 1007542 */     GIR_EraseRootFromParent_Done,
     /* 1007543 */   // Label 15021: @1007543
     /* 1007543 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1007620), // Rule ID 60738 //
     /* 1007548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007587 */     // MIs[0] policy
     /* 1007587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1007600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007619 */     // GIR_Coverage, 60738,
     /* 1007619 */     GIR_EraseRootFromParent_Done,
     /* 1007620 */   // Label 15022: @1007620
     /* 1007620 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1007697), // Rule ID 60739 //
     /* 1007625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007664 */     // MIs[0] policy
     /* 1007664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1007677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007696 */     // GIR_Coverage, 60739,
     /* 1007696 */     GIR_EraseRootFromParent_Done,
     /* 1007697 */   // Label 15023: @1007697
     /* 1007697 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1007774), // Rule ID 60742 //
     /* 1007702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007741 */     // MIs[0] policy
     /* 1007741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007751 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1007754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007773 */     // GIR_Coverage, 60742,
     /* 1007773 */     GIR_EraseRootFromParent_Done,
     /* 1007774 */   // Label 15024: @1007774
     /* 1007774 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1007851), // Rule ID 60743 //
     /* 1007779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007818 */     // MIs[0] policy
     /* 1007818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1007831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007850 */     // GIR_Coverage, 60743,
     /* 1007850 */     GIR_EraseRootFromParent_Done,
     /* 1007851 */   // Label 15025: @1007851
     /* 1007851 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1007928), // Rule ID 60746 //
     /* 1007856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1007859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007895 */     // MIs[0] policy
     /* 1007895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1007908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007927 */     // GIR_Coverage, 60746,
     /* 1007927 */     GIR_EraseRootFromParent_Done,
     /* 1007928 */   // Label 15026: @1007928
     /* 1007928 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1008005), // Rule ID 60747 //
     /* 1007933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1007936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1007941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007972 */     // MIs[0] policy
     /* 1007972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1007985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008004 */     // GIR_Coverage, 60747,
     /* 1008004 */     GIR_EraseRootFromParent_Done,
     /* 1008005 */   // Label 15027: @1008005
     /* 1008005 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1008082), // Rule ID 60750 //
     /* 1008010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1008018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1008027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008049 */     // MIs[0] policy
     /* 1008049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1008062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008081 */     // GIR_Coverage, 60750,
     /* 1008081 */     GIR_EraseRootFromParent_Done,
     /* 1008082 */   // Label 15028: @1008082
     /* 1008082 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1008159), // Rule ID 60751 //
     /* 1008087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1008095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1008104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008126 */     // MIs[0] policy
     /* 1008126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1008139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008158 */     // GIR_Coverage, 60751,
     /* 1008158 */     GIR_EraseRootFromParent_Done,
     /* 1008159 */   // Label 15029: @1008159
     /* 1008159 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1008236), // Rule ID 60754 //
     /* 1008164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1008175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1008178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008203 */     // MIs[0] policy
     /* 1008203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008213 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1008216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008235 */     // GIR_Coverage, 60754,
     /* 1008235 */     GIR_EraseRootFromParent_Done,
     /* 1008236 */   // Label 15030: @1008236
     /* 1008236 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1008313), // Rule ID 60755 //
     /* 1008241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1008252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1008255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008280 */     // MIs[0] policy
     /* 1008280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008290 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1008293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008312 */     // GIR_Coverage, 60755,
     /* 1008312 */     GIR_EraseRootFromParent_Done,
     /* 1008313 */   // Label 15031: @1008313
     /* 1008313 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1008390), // Rule ID 60758 //
     /* 1008318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008357 */     // MIs[0] policy
     /* 1008357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008367 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1008370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008389 */     // GIR_Coverage, 60758,
     /* 1008389 */     GIR_EraseRootFromParent_Done,
     /* 1008390 */   // Label 15032: @1008390
     /* 1008390 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1008467), // Rule ID 60759 //
     /* 1008395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008434 */     // MIs[0] policy
     /* 1008434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1008447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008466 */     // GIR_Coverage, 60759,
     /* 1008466 */     GIR_EraseRootFromParent_Done,
     /* 1008467 */   // Label 15033: @1008467
     /* 1008467 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1008544), // Rule ID 60762 //
     /* 1008472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008511 */     // MIs[0] policy
     /* 1008511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008521 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1008524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008543 */     // GIR_Coverage, 60762,
     /* 1008543 */     GIR_EraseRootFromParent_Done,
     /* 1008544 */   // Label 15034: @1008544
     /* 1008544 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1008621), // Rule ID 60763 //
     /* 1008549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008588 */     // MIs[0] policy
     /* 1008588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1008601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008620 */     // GIR_Coverage, 60763,
     /* 1008620 */     GIR_EraseRootFromParent_Done,
     /* 1008621 */   // Label 15035: @1008621
     /* 1008621 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1008698), // Rule ID 60766 //
     /* 1008626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1008643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008665 */     // MIs[0] policy
     /* 1008665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1008678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008697 */     // GIR_Coverage, 60766,
     /* 1008697 */     GIR_EraseRootFromParent_Done,
     /* 1008698 */   // Label 15036: @1008698
     /* 1008698 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1008775), // Rule ID 60767 //
     /* 1008703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1008720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008742 */     // MIs[0] policy
     /* 1008742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1008755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008774 */     // GIR_Coverage, 60767,
     /* 1008774 */     GIR_EraseRootFromParent_Done,
     /* 1008775 */   // Label 15037: @1008775
     /* 1008775 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1008852), // Rule ID 60770 //
     /* 1008780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008819 */     // MIs[0] policy
     /* 1008819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1008832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008851 */     // GIR_Coverage, 60770,
     /* 1008851 */     GIR_EraseRootFromParent_Done,
     /* 1008852 */   // Label 15038: @1008852
     /* 1008852 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1008929), // Rule ID 60771 //
     /* 1008857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1008860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008896 */     // MIs[0] policy
     /* 1008896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1008909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008928 */     // GIR_Coverage, 60771,
     /* 1008928 */     GIR_EraseRootFromParent_Done,
     /* 1008929 */   // Label 15039: @1008929
     /* 1008929 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1009006), // Rule ID 60774 //
     /* 1008934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1008937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1008942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1008951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008973 */     // MIs[0] policy
     /* 1008973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1008986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009005 */     // GIR_Coverage, 60774,
     /* 1009005 */     GIR_EraseRootFromParent_Done,
     /* 1009006 */   // Label 15040: @1009006
     /* 1009006 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1009083), // Rule ID 60775 //
     /* 1009011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1009031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009050 */     // MIs[0] policy
     /* 1009050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1009063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009082 */     // GIR_Coverage, 60775,
     /* 1009082 */     GIR_EraseRootFromParent_Done,
     /* 1009083 */   // Label 15041: @1009083
     /* 1009083 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1009160), // Rule ID 60778 //
     /* 1009088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1009108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009127 */     // MIs[0] policy
     /* 1009127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009137 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009159 */     // GIR_Coverage, 60778,
     /* 1009159 */     GIR_EraseRootFromParent_Done,
     /* 1009160 */   // Label 15042: @1009160
     /* 1009160 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1009237), // Rule ID 60779 //
     /* 1009165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1009185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009204 */     // MIs[0] policy
     /* 1009204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11170:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009236 */     // GIR_Coverage, 60779,
     /* 1009236 */     GIR_EraseRootFromParent_Done,
     /* 1009237 */   // Label 15043: @1009237
     /* 1009237 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1009314), // Rule ID 60782 //
     /* 1009242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1009262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009281 */     // MIs[0] policy
     /* 1009281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009313 */     // GIR_Coverage, 60782,
     /* 1009313 */     GIR_EraseRootFromParent_Done,
     /* 1009314 */   // Label 15044: @1009314
     /* 1009314 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1009391), // Rule ID 60783 //
     /* 1009319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1009336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1009339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009358 */     // MIs[0] policy
     /* 1009358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009390 */     // GIR_Coverage, 60783,
     /* 1009390 */     GIR_EraseRootFromParent_Done,
     /* 1009391 */   // Label 15045: @1009391
     /* 1009391 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1009468), // Rule ID 60786 //
     /* 1009396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1009416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009435 */     // MIs[0] policy
     /* 1009435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009467 */     // GIR_Coverage, 60786,
     /* 1009467 */     GIR_EraseRootFromParent_Done,
     /* 1009468 */   // Label 15046: @1009468
     /* 1009468 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1009545), // Rule ID 60787 //
     /* 1009473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1009490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1009493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009512 */     // MIs[0] policy
     /* 1009512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009544 */     // GIR_Coverage, 60787,
     /* 1009544 */     GIR_EraseRootFromParent_Done,
     /* 1009545 */   // Label 15047: @1009545
     /* 1009545 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1009622), // Rule ID 60790 //
     /* 1009550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1009570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009589 */     // MIs[0] policy
     /* 1009589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009621 */     // GIR_Coverage, 60790,
     /* 1009621 */     GIR_EraseRootFromParent_Done,
     /* 1009622 */   // Label 15048: @1009622
     /* 1009622 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1009699), // Rule ID 60791 //
     /* 1009627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1009644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1009647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1009654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009666 */     // MIs[0] policy
     /* 1009666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1009679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009698 */     // GIR_Coverage, 60791,
     /* 1009698 */     GIR_EraseRootFromParent_Done,
     /* 1009699 */   // Label 15049: @1009699
     /* 1009699 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1009776), // Rule ID 60794 //
     /* 1009704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1009721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1009724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1009731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009743 */     // MIs[0] policy
     /* 1009743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1009756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009775 */     // GIR_Coverage, 60794,
     /* 1009775 */     GIR_EraseRootFromParent_Done,
     /* 1009776 */   // Label 15050: @1009776
     /* 1009776 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1009853), // Rule ID 60795 //
     /* 1009781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1009798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1009801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1009808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009820 */     // MIs[0] policy
     /* 1009820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009830 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1009833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009852 */     // GIR_Coverage, 60795,
     /* 1009852 */     GIR_EraseRootFromParent_Done,
     /* 1009853 */   // Label 15051: @1009853
     /* 1009853 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1009930), // Rule ID 60798 //
     /* 1009858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1009861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1009875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1009878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1009885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009897 */     // MIs[0] policy
     /* 1009897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009907 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1009910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009929 */     // GIR_Coverage, 60798,
     /* 1009929 */     GIR_EraseRootFromParent_Done,
     /* 1009930 */   // Label 15052: @1009930
     /* 1009930 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1010007), // Rule ID 60799 //
     /* 1009935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1009938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1009943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1009952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1009955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1009962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009974 */     // MIs[0] policy
     /* 1009974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1009987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010006 */     // GIR_Coverage, 60799,
     /* 1010006 */     GIR_EraseRootFromParent_Done,
     /* 1010007 */   // Label 15053: @1010007
     /* 1010007 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1010084), // Rule ID 60802 //
     /* 1010012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1010032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1010039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010051 */     // MIs[0] policy
     /* 1010051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010061 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1010064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010083 */     // GIR_Coverage, 60802,
     /* 1010083 */     GIR_EraseRootFromParent_Done,
     /* 1010084 */   // Label 15054: @1010084
     /* 1010084 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1010161), // Rule ID 60803 //
     /* 1010089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1010109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1010116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010128 */     // MIs[0] policy
     /* 1010128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010138 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1010141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010160 */     // GIR_Coverage, 60803,
     /* 1010160 */     GIR_EraseRootFromParent_Done,
     /* 1010161 */   // Label 15055: @1010161
     /* 1010161 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1010238), // Rule ID 60806 //
     /* 1010166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1010186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1010193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010205 */     // MIs[0] policy
     /* 1010205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010215 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1010218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010237 */     // GIR_Coverage, 60806,
     /* 1010237 */     GIR_EraseRootFromParent_Done,
     /* 1010238 */   // Label 15056: @1010238
     /* 1010238 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1010315), // Rule ID 60807 //
     /* 1010243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1010263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1010270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010282 */     // MIs[0] policy
     /* 1010282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1010295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010314 */     // GIR_Coverage, 60807,
     /* 1010314 */     GIR_EraseRootFromParent_Done,
     /* 1010315 */   // Label 15057: @1010315
     /* 1010315 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1010392), // Rule ID 60810 //
     /* 1010320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1010340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1010347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010359 */     // MIs[0] policy
     /* 1010359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1010372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010391 */     // GIR_Coverage, 60810,
     /* 1010391 */     GIR_EraseRootFromParent_Done,
     /* 1010392 */   // Label 15058: @1010392
     /* 1010392 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1010469), // Rule ID 60811 //
     /* 1010397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1010417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1010424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010436 */     // MIs[0] policy
     /* 1010436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1010449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010468 */     // GIR_Coverage, 60811,
     /* 1010468 */     GIR_EraseRootFromParent_Done,
     /* 1010469 */   // Label 15059: @1010469
     /* 1010469 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1010546), // Rule ID 60814 //
     /* 1010474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1010494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1010501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010513 */     // MIs[0] policy
     /* 1010513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1010526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010545 */     // GIR_Coverage, 60814,
     /* 1010545 */     GIR_EraseRootFromParent_Done,
     /* 1010546 */   // Label 15060: @1010546
     /* 1010546 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1010623), // Rule ID 60815 //
     /* 1010551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1010571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1010578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010590 */     // MIs[0] policy
     /* 1010590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1010603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010622 */     // GIR_Coverage, 60815,
     /* 1010622 */     GIR_EraseRootFromParent_Done,
     /* 1010623 */   // Label 15061: @1010623
     /* 1010623 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1010700), // Rule ID 60818 //
     /* 1010628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1010648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1010655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010667 */     // MIs[0] policy
     /* 1010667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1010680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010699 */     // GIR_Coverage, 60818,
     /* 1010699 */     GIR_EraseRootFromParent_Done,
     /* 1010700 */   // Label 15062: @1010700
     /* 1010700 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1010777), // Rule ID 60819 //
     /* 1010705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1010725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1010732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010744 */     // MIs[0] policy
     /* 1010744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1010757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010776 */     // GIR_Coverage, 60819,
     /* 1010776 */     GIR_EraseRootFromParent_Done,
     /* 1010777 */   // Label 15063: @1010777
     /* 1010777 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1010854), // Rule ID 60822 //
     /* 1010782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1010799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1010802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1010809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010821 */     // MIs[0] policy
     /* 1010821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1010834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010853 */     // GIR_Coverage, 60822,
     /* 1010853 */     GIR_EraseRootFromParent_Done,
     /* 1010854 */   // Label 15064: @1010854
     /* 1010854 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1010931), // Rule ID 60823 //
     /* 1010859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1010862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1010876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1010879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1010886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010898 */     // MIs[0] policy
     /* 1010898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1010911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010930 */     // GIR_Coverage, 60823,
     /* 1010930 */     GIR_EraseRootFromParent_Done,
     /* 1010931 */   // Label 15065: @1010931
     /* 1010931 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1011008), // Rule ID 60826 //
     /* 1010936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1010939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1010944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1010953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1010956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1010963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1010975 */     // MIs[0] policy
     /* 1010975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010985 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1010988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1010992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1010994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1010996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011007 */     // GIR_Coverage, 60826,
     /* 1011007 */     GIR_EraseRootFromParent_Done,
     /* 1011008 */   // Label 15066: @1011008
     /* 1011008 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1011085), // Rule ID 60827 //
     /* 1011013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1011016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1011033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1011040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011052 */     // MIs[0] policy
     /* 1011052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1011065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011084 */     // GIR_Coverage, 60827,
     /* 1011084 */     GIR_EraseRootFromParent_Done,
     /* 1011085 */   // Label 15067: @1011085
     /* 1011085 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1011162), // Rule ID 60830 //
     /* 1011090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1011093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1011110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1011117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011129 */     // MIs[0] policy
     /* 1011129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1011142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011161 */     // GIR_Coverage, 60830,
     /* 1011161 */     GIR_EraseRootFromParent_Done,
     /* 1011162 */   // Label 15068: @1011162
     /* 1011162 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1011239), // Rule ID 60831 //
     /* 1011167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1011170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1011187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1011194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011206 */     // MIs[0] policy
     /* 1011206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1011219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011238 */     // GIR_Coverage, 60831,
     /* 1011238 */     GIR_EraseRootFromParent_Done,
     /* 1011239 */   // Label 15069: @1011239
     /* 1011239 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1011316), // Rule ID 60834 //
     /* 1011244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1011247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1011264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1011271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011283 */     // MIs[0] policy
     /* 1011283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1011296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011315 */     // GIR_Coverage, 60834,
     /* 1011315 */     GIR_EraseRootFromParent_Done,
     /* 1011316 */   // Label 15070: @1011316
     /* 1011316 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1011393), // Rule ID 60835 //
     /* 1011321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1011324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1011341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1011348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011360 */     // MIs[0] policy
     /* 1011360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1011373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011392 */     // GIR_Coverage, 60835,
     /* 1011392 */     GIR_EraseRootFromParent_Done,
     /* 1011393 */   // Label 15071: @1011393
     /* 1011393 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1011470), // Rule ID 60838 //
     /* 1011398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1011401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1011418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1011425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011437 */     // MIs[0] policy
     /* 1011437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1011450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011469 */     // GIR_Coverage, 60838,
     /* 1011469 */     GIR_EraseRootFromParent_Done,
     /* 1011470 */   // Label 15072: @1011470
     /* 1011470 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1011547), // Rule ID 60839 //
     /* 1011475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1011478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1011483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1011495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1011502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1011514 */     // MIs[0] policy
     /* 1011514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1011527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1011531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1011533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1011535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011546 */     // GIR_Coverage, 60839,
     /* 1011546 */     GIR_EraseRootFromParent_Done,
     /* 1011547 */   // Label 15073: @1011547
     /* 1011547 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1011624), // Rule ID 61364 //
     /* 1011552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1011555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011591 */     // MIs[0] policy
     /* 1011591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10971:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1011604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011623 */     // GIR_Coverage, 61364,
     /* 1011623 */     GIR_EraseRootFromParent_Done,
     /* 1011624 */   // Label 15074: @1011624
     /* 1011624 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1011701), // Rule ID 61365 //
     /* 1011629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1011632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1011640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1011643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1011646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1011649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011668 */     // MIs[0] policy
     /* 1011668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10971:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1011681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011700 */     // GIR_Coverage, 61365,
     /* 1011700 */     GIR_EraseRootFromParent_Done,
     /* 1011701 */   // Label 15075: @1011701
     /* 1011701 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1011778), // Rule ID 61366 //
     /* 1011706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1011709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011745 */     // MIs[0] policy
     /* 1011745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10971:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1011758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011777 */     // GIR_Coverage, 61366,
     /* 1011777 */     GIR_EraseRootFromParent_Done,
     /* 1011778 */   // Label 15076: @1011778
     /* 1011778 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1011855), // Rule ID 61367 //
     /* 1011783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1011786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011822 */     // MIs[0] policy
     /* 1011822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10971:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1011835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011854 */     // GIR_Coverage, 61367,
     /* 1011854 */     GIR_EraseRootFromParent_Done,
     /* 1011855 */   // Label 15077: @1011855
     /* 1011855 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1011932), // Rule ID 61368 //
     /* 1011860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1011863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011899 */     // MIs[0] policy
     /* 1011899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10971:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1011912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011931 */     // GIR_Coverage, 61368,
     /* 1011931 */     GIR_EraseRootFromParent_Done,
     /* 1011932 */   // Label 15078: @1011932
     /* 1011932 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1012009), // Rule ID 61369 //
     /* 1011937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1011940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011976 */     // MIs[0] policy
     /* 1011976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10971:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1011989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012008 */     // GIR_Coverage, 61369,
     /* 1012008 */     GIR_EraseRootFromParent_Done,
     /* 1012009 */   // Label 15079: @1012009
     /* 1012009 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1012086), // Rule ID 61370 //
     /* 1012014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1012017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1012022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012053 */     // MIs[0] policy
     /* 1012053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012063 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10971:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1012066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012085 */     // GIR_Coverage, 61370,
     /* 1012085 */     GIR_EraseRootFromParent_Done,
     /* 1012086 */   // Label 15080: @1012086
     /* 1012086 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1012163), // Rule ID 61371 //
     /* 1012091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1012094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1012099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012130 */     // MIs[0] policy
     /* 1012130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10971:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1012143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012162 */     // GIR_Coverage, 61371,
     /* 1012162 */     GIR_EraseRootFromParent_Done,
     /* 1012163 */   // Label 15081: @1012163
     /* 1012163 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1012240), // Rule ID 61574 //
     /* 1012168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012207 */     // MIs[0] policy
     /* 1012207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1012220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012239 */     // GIR_Coverage, 61574,
     /* 1012239 */     GIR_EraseRootFromParent_Done,
     /* 1012240 */   // Label 15082: @1012240
     /* 1012240 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1012317), // Rule ID 61575 //
     /* 1012245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1012248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012284 */     // MIs[0] policy
     /* 1012284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1012297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012316 */     // GIR_Coverage, 61575,
     /* 1012316 */     GIR_EraseRootFromParent_Done,
     /* 1012317 */   // Label 15083: @1012317
     /* 1012317 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1012394), // Rule ID 61576 //
     /* 1012322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012361 */     // MIs[0] policy
     /* 1012361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1012374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012393 */     // GIR_Coverage, 61576,
     /* 1012393 */     GIR_EraseRootFromParent_Done,
     /* 1012394 */   // Label 15084: @1012394
     /* 1012394 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1012471), // Rule ID 61577 //
     /* 1012399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1012402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012438 */     // MIs[0] policy
     /* 1012438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1012451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012470 */     // GIR_Coverage, 61577,
     /* 1012470 */     GIR_EraseRootFromParent_Done,
     /* 1012471 */   // Label 15085: @1012471
     /* 1012471 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1012548), // Rule ID 61578 //
     /* 1012476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1012487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1012490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1012493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1012496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012515 */     // MIs[0] policy
     /* 1012515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1012528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012547 */     // GIR_Coverage, 61578,
     /* 1012547 */     GIR_EraseRootFromParent_Done,
     /* 1012548 */   // Label 15086: @1012548
     /* 1012548 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1012625), // Rule ID 61579 //
     /* 1012553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1012556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1012564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1012567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1012570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1012573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012592 */     // MIs[0] policy
     /* 1012592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1012605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012624 */     // GIR_Coverage, 61579,
     /* 1012624 */     GIR_EraseRootFromParent_Done,
     /* 1012625 */   // Label 15087: @1012625
     /* 1012625 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1012702), // Rule ID 61580 //
     /* 1012630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1012641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1012644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1012647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1012650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012669 */     // MIs[0] policy
     /* 1012669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1012682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012701 */     // GIR_Coverage, 61580,
     /* 1012701 */     GIR_EraseRootFromParent_Done,
     /* 1012702 */   // Label 15088: @1012702
     /* 1012702 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1012779), // Rule ID 61581 //
     /* 1012707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1012710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1012718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1012721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1012724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1012727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012746 */     // MIs[0] policy
     /* 1012746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1012759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012778 */     // GIR_Coverage, 61581,
     /* 1012778 */     GIR_EraseRootFromParent_Done,
     /* 1012779 */   // Label 15089: @1012779
     /* 1012779 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1012856), // Rule ID 61582 //
     /* 1012784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012823 */     // MIs[0] policy
     /* 1012823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1012836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012855 */     // GIR_Coverage, 61582,
     /* 1012855 */     GIR_EraseRootFromParent_Done,
     /* 1012856 */   // Label 15090: @1012856
     /* 1012856 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1012933), // Rule ID 61583 //
     /* 1012861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1012864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1012869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012900 */     // MIs[0] policy
     /* 1012900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1012913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012932 */     // GIR_Coverage, 61583,
     /* 1012932 */     GIR_EraseRootFromParent_Done,
     /* 1012933 */   // Label 15091: @1012933
     /* 1012933 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1013010), // Rule ID 61584 //
     /* 1012938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1012941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1012946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012977 */     // MIs[0] policy
     /* 1012977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1012990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1012992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013009 */     // GIR_Coverage, 61584,
     /* 1013009 */     GIR_EraseRootFromParent_Done,
     /* 1013010 */   // Label 15092: @1013010
     /* 1013010 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1013087), // Rule ID 61585 //
     /* 1013015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1013032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013054 */     // MIs[0] policy
     /* 1013054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1013067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013086 */     // GIR_Coverage, 61585,
     /* 1013086 */     GIR_EraseRootFromParent_Done,
     /* 1013087 */   // Label 15093: @1013087
     /* 1013087 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1013164), // Rule ID 61586 //
     /* 1013092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013131 */     // MIs[0] policy
     /* 1013131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1013144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013163 */     // GIR_Coverage, 61586,
     /* 1013163 */     GIR_EraseRootFromParent_Done,
     /* 1013164 */   // Label 15094: @1013164
     /* 1013164 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1013241), // Rule ID 61587 //
     /* 1013169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013208 */     // MIs[0] policy
     /* 1013208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1013221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013240 */     // GIR_Coverage, 61587,
     /* 1013240 */     GIR_EraseRootFromParent_Done,
     /* 1013241 */   // Label 15095: @1013241
     /* 1013241 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1013318), // Rule ID 61588 //
     /* 1013246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013285 */     // MIs[0] policy
     /* 1013285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1013298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013317 */     // GIR_Coverage, 61588,
     /* 1013317 */     GIR_EraseRootFromParent_Done,
     /* 1013318 */   // Label 15096: @1013318
     /* 1013318 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1013395), // Rule ID 61589 //
     /* 1013323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013362 */     // MIs[0] policy
     /* 1013362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1013375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013394 */     // GIR_Coverage, 61589,
     /* 1013394 */     GIR_EraseRootFromParent_Done,
     /* 1013395 */   // Label 15097: @1013395
     /* 1013395 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1013472), // Rule ID 61590 //
     /* 1013400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013439 */     // MIs[0] policy
     /* 1013439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1013452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013471 */     // GIR_Coverage, 61590,
     /* 1013471 */     GIR_EraseRootFromParent_Done,
     /* 1013472 */   // Label 15098: @1013472
     /* 1013472 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1013549), // Rule ID 61591 //
     /* 1013477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013516 */     // MIs[0] policy
     /* 1013516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1013529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013548 */     // GIR_Coverage, 61591,
     /* 1013548 */     GIR_EraseRootFromParent_Done,
     /* 1013549 */   // Label 15099: @1013549
     /* 1013549 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1013626), // Rule ID 61592 //
     /* 1013554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013593 */     // MIs[0] policy
     /* 1013593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1013606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013625 */     // GIR_Coverage, 61592,
     /* 1013625 */     GIR_EraseRootFromParent_Done,
     /* 1013626 */   // Label 15100: @1013626
     /* 1013626 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1013703), // Rule ID 61593 //
     /* 1013631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1013639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1013642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1013645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1013648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1013651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013670 */     // MIs[0] policy
     /* 1013670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1013683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013702 */     // GIR_Coverage, 61593,
     /* 1013702 */     GIR_EraseRootFromParent_Done,
     /* 1013703 */   // Label 15101: @1013703
     /* 1013703 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1013780), // Rule ID 61594 //
     /* 1013708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1013716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1013725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013747 */     // MIs[0] policy
     /* 1013747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1013760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013779 */     // GIR_Coverage, 61594,
     /* 1013779 */     GIR_EraseRootFromParent_Done,
     /* 1013780 */   // Label 15102: @1013780
     /* 1013780 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1013857), // Rule ID 61595 //
     /* 1013785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1013793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1013802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013824 */     // MIs[0] policy
     /* 1013824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1013837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013856 */     // GIR_Coverage, 61595,
     /* 1013856 */     GIR_EraseRootFromParent_Done,
     /* 1013857 */   // Label 15103: @1013857
     /* 1013857 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1013934), // Rule ID 61596 //
     /* 1013862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1013865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1013870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013901 */     // MIs[0] policy
     /* 1013901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1013914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013933 */     // GIR_Coverage, 61596,
     /* 1013933 */     GIR_EraseRootFromParent_Done,
     /* 1013934 */   // Label 15104: @1013934
     /* 1013934 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1014011), // Rule ID 61597 //
     /* 1013939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1013942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1013947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013978 */     // MIs[0] policy
     /* 1013978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1013991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1013993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014010 */     // GIR_Coverage, 61597,
     /* 1014010 */     GIR_EraseRootFromParent_Done,
     /* 1014011 */   // Label 15105: @1014011
     /* 1014011 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1014088), // Rule ID 61598 //
     /* 1014016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1014019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1014033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014055 */     // MIs[0] policy
     /* 1014055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1014068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014087 */     // GIR_Coverage, 61598,
     /* 1014087 */     GIR_EraseRootFromParent_Done,
     /* 1014088 */   // Label 15106: @1014088
     /* 1014088 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1014165), // Rule ID 61599 //
     /* 1014093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1014096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1014110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014132 */     // MIs[0] policy
     /* 1014132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1014145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014164 */     // GIR_Coverage, 61599,
     /* 1014164 */     GIR_EraseRootFromParent_Done,
     /* 1014165 */   // Label 15107: @1014165
     /* 1014165 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1014242), // Rule ID 61600 //
     /* 1014170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1014173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1014187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014209 */     // MIs[0] policy
     /* 1014209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1014222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014241 */     // GIR_Coverage, 61600,
     /* 1014241 */     GIR_EraseRootFromParent_Done,
     /* 1014242 */   // Label 15108: @1014242
     /* 1014242 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1014319), // Rule ID 61601 //
     /* 1014247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1014250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1014264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014286 */     // MIs[0] policy
     /* 1014286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1014299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014318 */     // GIR_Coverage, 61601,
     /* 1014318 */     GIR_EraseRootFromParent_Done,
     /* 1014319 */   // Label 15109: @1014319
     /* 1014319 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1014396), // Rule ID 61602 //
     /* 1014324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1014327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014363 */     // MIs[0] policy
     /* 1014363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1014376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014395 */     // GIR_Coverage, 61602,
     /* 1014395 */     GIR_EraseRootFromParent_Done,
     /* 1014396 */   // Label 15110: @1014396
     /* 1014396 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1014473), // Rule ID 61603 //
     /* 1014401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1014404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1014409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014440 */     // MIs[0] policy
     /* 1014440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1014453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014472 */     // GIR_Coverage, 61603,
     /* 1014472 */     GIR_EraseRootFromParent_Done,
     /* 1014473 */   // Label 15111: @1014473
     /* 1014473 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1014550), // Rule ID 61604 //
     /* 1014478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1014481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1014495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014517 */     // MIs[0] policy
     /* 1014517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1014530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014549 */     // GIR_Coverage, 61604,
     /* 1014549 */     GIR_EraseRootFromParent_Done,
     /* 1014550 */   // Label 15112: @1014550
     /* 1014550 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1014627), // Rule ID 61605 //
     /* 1014555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1014558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1014566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1014569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1014572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1014575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014594 */     // MIs[0] policy
     /* 1014594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1014607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014626 */     // GIR_Coverage, 61605,
     /* 1014626 */     GIR_EraseRootFromParent_Done,
     /* 1014627 */   // Label 15113: @1014627
     /* 1014627 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1014704), // Rule ID 61606 //
     /* 1014632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1014635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1014643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1014646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1014649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1014652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014671 */     // MIs[0] policy
     /* 1014671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1014684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014703 */     // GIR_Coverage, 61606,
     /* 1014703 */     GIR_EraseRootFromParent_Done,
     /* 1014704 */   // Label 15114: @1014704
     /* 1014704 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1014781), // Rule ID 61607 //
     /* 1014709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1014712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1014720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1014723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1014726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1014729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014748 */     // MIs[0] policy
     /* 1014748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1014761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014780 */     // GIR_Coverage, 61607,
     /* 1014780 */     GIR_EraseRootFromParent_Done,
     /* 1014781 */   // Label 15115: @1014781
     /* 1014781 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1014858), // Rule ID 61608 //
     /* 1014786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1014789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1014797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1014800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1014803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1014806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014825 */     // MIs[0] policy
     /* 1014825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1014838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014857 */     // GIR_Coverage, 61608,
     /* 1014857 */     GIR_EraseRootFromParent_Done,
     /* 1014858 */   // Label 15116: @1014858
     /* 1014858 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1014935), // Rule ID 61609 //
     /* 1014863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1014866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1014874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1014877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1014880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1014883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014902 */     // MIs[0] policy
     /* 1014902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014912 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1014915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014934 */     // GIR_Coverage, 61609,
     /* 1014934 */     GIR_EraseRootFromParent_Done,
     /* 1014935 */   // Label 15117: @1014935
     /* 1014935 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1015012), // Rule ID 61610 //
     /* 1014940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1014943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1014948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1014957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014979 */     // MIs[0] policy
     /* 1014979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1014992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1014994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015011 */     // GIR_Coverage, 61610,
     /* 1015011 */     GIR_EraseRootFromParent_Done,
     /* 1015012 */   // Label 15118: @1015012
     /* 1015012 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1015089), // Rule ID 61611 //
     /* 1015017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1015028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1015031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1015034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1015037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015056 */     // MIs[0] policy
     /* 1015056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1015069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015088 */     // GIR_Coverage, 61611,
     /* 1015088 */     GIR_EraseRootFromParent_Done,
     /* 1015089 */   // Label 15119: @1015089
     /* 1015089 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1015166), // Rule ID 61612 //
     /* 1015094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1015111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1015114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015133 */     // MIs[0] policy
     /* 1015133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1015146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015165 */     // GIR_Coverage, 61612,
     /* 1015165 */     GIR_EraseRootFromParent_Done,
     /* 1015166 */   // Label 15120: @1015166
     /* 1015166 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1015243), // Rule ID 61613 //
     /* 1015171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1015188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1015191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015210 */     // MIs[0] policy
     /* 1015210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1015223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015242 */     // GIR_Coverage, 61613,
     /* 1015242 */     GIR_EraseRootFromParent_Done,
     /* 1015243 */   // Label 15121: @1015243
     /* 1015243 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1015320), // Rule ID 61614 //
     /* 1015248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1015265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015287 */     // MIs[0] policy
     /* 1015287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1015300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015319 */     // GIR_Coverage, 61614,
     /* 1015319 */     GIR_EraseRootFromParent_Done,
     /* 1015320 */   // Label 15122: @1015320
     /* 1015320 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1015397), // Rule ID 61615 //
     /* 1015325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1015342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015364 */     // MIs[0] policy
     /* 1015364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1015377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015396 */     // GIR_Coverage, 61615,
     /* 1015396 */     GIR_EraseRootFromParent_Done,
     /* 1015397 */   // Label 15123: @1015397
     /* 1015397 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1015474), // Rule ID 61616 //
     /* 1015402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1015419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015441 */     // MIs[0] policy
     /* 1015441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1015454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015473 */     // GIR_Coverage, 61616,
     /* 1015473 */     GIR_EraseRootFromParent_Done,
     /* 1015474 */   // Label 15124: @1015474
     /* 1015474 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1015551), // Rule ID 61617 //
     /* 1015479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1015496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015518 */     // MIs[0] policy
     /* 1015518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1015531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015550 */     // GIR_Coverage, 61617,
     /* 1015550 */     GIR_EraseRootFromParent_Done,
     /* 1015551 */   // Label 15125: @1015551
     /* 1015551 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1015628), // Rule ID 61618 //
     /* 1015556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1015573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015595 */     // MIs[0] policy
     /* 1015595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015605 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1015608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015627 */     // GIR_Coverage, 61618,
     /* 1015627 */     GIR_EraseRootFromParent_Done,
     /* 1015628 */   // Label 15126: @1015628
     /* 1015628 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1015705), // Rule ID 61619 //
     /* 1015633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1015650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015672 */     // MIs[0] policy
     /* 1015672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1015685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015704 */     // GIR_Coverage, 61619,
     /* 1015704 */     GIR_EraseRootFromParent_Done,
     /* 1015705 */   // Label 15127: @1015705
     /* 1015705 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1015782), // Rule ID 61620 //
     /* 1015710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1015727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015749 */     // MIs[0] policy
     /* 1015749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015759 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1015762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015781 */     // GIR_Coverage, 61620,
     /* 1015781 */     GIR_EraseRootFromParent_Done,
     /* 1015782 */   // Label 15128: @1015782
     /* 1015782 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1015859), // Rule ID 61621 //
     /* 1015787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1015795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1015804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015826 */     // MIs[0] policy
     /* 1015826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1015839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015858 */     // GIR_Coverage, 61621,
     /* 1015858 */     GIR_EraseRootFromParent_Done,
     /* 1015859 */   // Label 15129: @1015859
     /* 1015859 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1015936), // Rule ID 61622 //
     /* 1015864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1015867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1015872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1015881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015903 */     // MIs[0] policy
     /* 1015903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1015916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015935 */     // GIR_Coverage, 61622,
     /* 1015935 */     GIR_EraseRootFromParent_Done,
     /* 1015936 */   // Label 15130: @1015936
     /* 1015936 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1016013), // Rule ID 61623 //
     /* 1015941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1015944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1015949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1015958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015980 */     // MIs[0] policy
     /* 1015980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1015993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1015995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016012 */     // GIR_Coverage, 61623,
     /* 1016012 */     GIR_EraseRootFromParent_Done,
     /* 1016013 */   // Label 15131: @1016013
     /* 1016013 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1016090), // Rule ID 61624 //
     /* 1016018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016057 */     // MIs[0] policy
     /* 1016057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1016070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016089 */     // GIR_Coverage, 61624,
     /* 1016089 */     GIR_EraseRootFromParent_Done,
     /* 1016090 */   // Label 15132: @1016090
     /* 1016090 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1016167), // Rule ID 61625 //
     /* 1016095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016134 */     // MIs[0] policy
     /* 1016134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1016147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016166 */     // GIR_Coverage, 61625,
     /* 1016166 */     GIR_EraseRootFromParent_Done,
     /* 1016167 */   // Label 15133: @1016167
     /* 1016167 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1016244), // Rule ID 61626 //
     /* 1016172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016211 */     // MIs[0] policy
     /* 1016211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1016224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016243 */     // GIR_Coverage, 61626,
     /* 1016243 */     GIR_EraseRootFromParent_Done,
     /* 1016244 */   // Label 15134: @1016244
     /* 1016244 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1016321), // Rule ID 61627 //
     /* 1016249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1016266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016288 */     // MIs[0] policy
     /* 1016288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1016301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016320 */     // GIR_Coverage, 61627,
     /* 1016320 */     GIR_EraseRootFromParent_Done,
     /* 1016321 */   // Label 15135: @1016321
     /* 1016321 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1016398), // Rule ID 61628 //
     /* 1016326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1016343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016365 */     // MIs[0] policy
     /* 1016365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1016378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016397 */     // GIR_Coverage, 61628,
     /* 1016397 */     GIR_EraseRootFromParent_Done,
     /* 1016398 */   // Label 15136: @1016398
     /* 1016398 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1016475), // Rule ID 61629 //
     /* 1016403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1016414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1016417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1016420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1016423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016442 */     // MIs[0] policy
     /* 1016442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1016455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016474 */     // GIR_Coverage, 61629,
     /* 1016474 */     GIR_EraseRootFromParent_Done,
     /* 1016475 */   // Label 15137: @1016475
     /* 1016475 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1016552), // Rule ID 61630 //
     /* 1016480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1016497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016519 */     // MIs[0] policy
     /* 1016519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1016532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016551 */     // GIR_Coverage, 61630,
     /* 1016551 */     GIR_EraseRootFromParent_Done,
     /* 1016552 */   // Label 15138: @1016552
     /* 1016552 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1016629), // Rule ID 61631 //
     /* 1016557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1016568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1016571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1016574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1016577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016596 */     // MIs[0] policy
     /* 1016596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1016609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016628 */     // GIR_Coverage, 61631,
     /* 1016628 */     GIR_EraseRootFromParent_Done,
     /* 1016629 */   // Label 15139: @1016629
     /* 1016629 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1016706), // Rule ID 61632 //
     /* 1016634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1016651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016673 */     // MIs[0] policy
     /* 1016673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1016686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016705 */     // GIR_Coverage, 61632,
     /* 1016705 */     GIR_EraseRootFromParent_Done,
     /* 1016706 */   // Label 15140: @1016706
     /* 1016706 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1016783), // Rule ID 61633 //
     /* 1016711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1016722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1016725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1016728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1016731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016750 */     // MIs[0] policy
     /* 1016750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1016763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016782 */     // GIR_Coverage, 61633,
     /* 1016782 */     GIR_EraseRootFromParent_Done,
     /* 1016783 */   // Label 15141: @1016783
     /* 1016783 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1016860), // Rule ID 61634 //
     /* 1016788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1016805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016827 */     // MIs[0] policy
     /* 1016827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1016840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016859 */     // GIR_Coverage, 61634,
     /* 1016859 */     GIR_EraseRootFromParent_Done,
     /* 1016860 */   // Label 15142: @1016860
     /* 1016860 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1016937), // Rule ID 61635 //
     /* 1016865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1016868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1016876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1016879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1016882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1016885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016904 */     // MIs[0] policy
     /* 1016904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1016917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016936 */     // GIR_Coverage, 61635,
     /* 1016936 */     GIR_EraseRootFromParent_Done,
     /* 1016937 */   // Label 15143: @1016937
     /* 1016937 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1017014), // Rule ID 61636 //
     /* 1016942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1016945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1016950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1016953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1016956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1016959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1016962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016981 */     // MIs[0] policy
     /* 1016981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1016994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1016996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017013 */     // GIR_Coverage, 61636,
     /* 1017013 */     GIR_EraseRootFromParent_Done,
     /* 1017014 */   // Label 15144: @1017014
     /* 1017014 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1017091), // Rule ID 61637 //
     /* 1017019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1017027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1017036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017058 */     // MIs[0] policy
     /* 1017058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1017071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017090 */     // GIR_Coverage, 61637,
     /* 1017090 */     GIR_EraseRootFromParent_Done,
     /* 1017091 */   // Label 15145: @1017091
     /* 1017091 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1017168), // Rule ID 61638 //
     /* 1017096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1017104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1017113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017135 */     // MIs[0] policy
     /* 1017135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1017148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017167 */     // GIR_Coverage, 61638,
     /* 1017167 */     GIR_EraseRootFromParent_Done,
     /* 1017168 */   // Label 15146: @1017168
     /* 1017168 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1017245), // Rule ID 61639 //
     /* 1017173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1017181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1017190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017212 */     // MIs[0] policy
     /* 1017212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1017225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017244 */     // GIR_Coverage, 61639,
     /* 1017244 */     GIR_EraseRootFromParent_Done,
     /* 1017245 */   // Label 15147: @1017245
     /* 1017245 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1017322), // Rule ID 61640 //
     /* 1017250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1017261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1017264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1017267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1017270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017289 */     // MIs[0] policy
     /* 1017289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1017302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017321 */     // GIR_Coverage, 61640,
     /* 1017321 */     GIR_EraseRootFromParent_Done,
     /* 1017322 */   // Label 15148: @1017322
     /* 1017322 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1017399), // Rule ID 61641 //
     /* 1017327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1017338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1017341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1017344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1017347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017366 */     // MIs[0] policy
     /* 1017366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1017379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017398 */     // GIR_Coverage, 61641,
     /* 1017398 */     GIR_EraseRootFromParent_Done,
     /* 1017399 */   // Label 15149: @1017399
     /* 1017399 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1017476), // Rule ID 61642 //
     /* 1017404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1017424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017443 */     // MIs[0] policy
     /* 1017443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1017456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017475 */     // GIR_Coverage, 61642,
     /* 1017475 */     GIR_EraseRootFromParent_Done,
     /* 1017476 */   // Label 15150: @1017476
     /* 1017476 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1017553), // Rule ID 61643 //
     /* 1017481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1017501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017520 */     // MIs[0] policy
     /* 1017520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1017533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017552 */     // GIR_Coverage, 61643,
     /* 1017552 */     GIR_EraseRootFromParent_Done,
     /* 1017553 */   // Label 15151: @1017553
     /* 1017553 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1017630), // Rule ID 61644 //
     /* 1017558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017597 */     // MIs[0] policy
     /* 1017597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1017610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017629 */     // GIR_Coverage, 61644,
     /* 1017629 */     GIR_EraseRootFromParent_Done,
     /* 1017630 */   // Label 15152: @1017630
     /* 1017630 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1017707), // Rule ID 61645 //
     /* 1017635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017674 */     // MIs[0] policy
     /* 1017674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1017687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017706 */     // GIR_Coverage, 61645,
     /* 1017706 */     GIR_EraseRootFromParent_Done,
     /* 1017707 */   // Label 15153: @1017707
     /* 1017707 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1017784), // Rule ID 61646 //
     /* 1017712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017751 */     // MIs[0] policy
     /* 1017751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017761 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1017764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017783 */     // GIR_Coverage, 61646,
     /* 1017783 */     GIR_EraseRootFromParent_Done,
     /* 1017784 */   // Label 15154: @1017784
     /* 1017784 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1017861), // Rule ID 61647 //
     /* 1017789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1017806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017828 */     // MIs[0] policy
     /* 1017828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1017841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017860 */     // GIR_Coverage, 61647,
     /* 1017860 */     GIR_EraseRootFromParent_Done,
     /* 1017861 */   // Label 15155: @1017861
     /* 1017861 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1017938), // Rule ID 61648 //
     /* 1017866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1017869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017905 */     // MIs[0] policy
     /* 1017905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017915 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1017918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017937 */     // GIR_Coverage, 61648,
     /* 1017937 */     GIR_EraseRootFromParent_Done,
     /* 1017938 */   // Label 15156: @1017938
     /* 1017938 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1018015), // Rule ID 61649 //
     /* 1017943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1017946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1017951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1017960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017982 */     // MIs[0] policy
     /* 1017982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017992 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1017995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1017997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018014 */     // GIR_Coverage, 61649,
     /* 1018014 */     GIR_EraseRootFromParent_Done,
     /* 1018015 */   // Label 15157: @1018015
     /* 1018015 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1018092), // Rule ID 61650 //
     /* 1018020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1018023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018059 */     // MIs[0] policy
     /* 1018059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1018072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018091 */     // GIR_Coverage, 61650,
     /* 1018091 */     GIR_EraseRootFromParent_Done,
     /* 1018092 */   // Label 15158: @1018092
     /* 1018092 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1018169), // Rule ID 61651 //
     /* 1018097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1018100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018136 */     // MIs[0] policy
     /* 1018136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1018149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018168 */     // GIR_Coverage, 61651,
     /* 1018168 */     GIR_EraseRootFromParent_Done,
     /* 1018169 */   // Label 15159: @1018169
     /* 1018169 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1018246), // Rule ID 61652 //
     /* 1018174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1018177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018213 */     // MIs[0] policy
     /* 1018213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1018226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018245 */     // GIR_Coverage, 61652,
     /* 1018245 */     GIR_EraseRootFromParent_Done,
     /* 1018246 */   // Label 15160: @1018246
     /* 1018246 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1018323), // Rule ID 61653 //
     /* 1018251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1018254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018290 */     // MIs[0] policy
     /* 1018290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1018303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018322 */     // GIR_Coverage, 61653,
     /* 1018322 */     GIR_EraseRootFromParent_Done,
     /* 1018323 */   // Label 15161: @1018323
     /* 1018323 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1018400), // Rule ID 61654 //
     /* 1018328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1018331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018367 */     // MIs[0] policy
     /* 1018367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1018380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018399 */     // GIR_Coverage, 61654,
     /* 1018399 */     GIR_EraseRootFromParent_Done,
     /* 1018400 */   // Label 15162: @1018400
     /* 1018400 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1018477), // Rule ID 61655 //
     /* 1018405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1018408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018444 */     // MIs[0] policy
     /* 1018444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018454 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1018457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018476 */     // GIR_Coverage, 61655,
     /* 1018476 */     GIR_EraseRootFromParent_Done,
     /* 1018477 */   // Label 15163: @1018477
     /* 1018477 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1018554), // Rule ID 61656 //
     /* 1018482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1018485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018521 */     // MIs[0] policy
     /* 1018521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1018534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018553 */     // GIR_Coverage, 61656,
     /* 1018553 */     GIR_EraseRootFromParent_Done,
     /* 1018554 */   // Label 15164: @1018554
     /* 1018554 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1018631), // Rule ID 61657 //
     /* 1018559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1018562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1018567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018598 */     // MIs[0] policy
     /* 1018598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1018611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1018613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018630 */     // GIR_Coverage, 61657,
     /* 1018630 */     GIR_EraseRootFromParent_Done,
     /* 1018631 */   // Label 15165: @1018631
     /* 1018631 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1018708), // Rule ID 61914 //
     /* 1018636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1018639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1018644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018675 */     // MIs[0] policy
     /* 1018675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018685 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1018688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018707 */     // GIR_Coverage, 61914,
     /* 1018707 */     GIR_EraseRootFromParent_Done,
     /* 1018708 */   // Label 15166: @1018708
     /* 1018708 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1018785), // Rule ID 61915 //
     /* 1018713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1018716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1018721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018752 */     // MIs[0] policy
     /* 1018752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1018765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018784 */     // GIR_Coverage, 61915,
     /* 1018784 */     GIR_EraseRootFromParent_Done,
     /* 1018785 */   // Label 15167: @1018785
     /* 1018785 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1018862), // Rule ID 61918 //
     /* 1018790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1018793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1018798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018829 */     // MIs[0] policy
     /* 1018829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1018842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018861 */     // GIR_Coverage, 61918,
     /* 1018861 */     GIR_EraseRootFromParent_Done,
     /* 1018862 */   // Label 15168: @1018862
     /* 1018862 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1018939), // Rule ID 61919 //
     /* 1018867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1018870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1018875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1018878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1018881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1018884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1018887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018906 */     // MIs[0] policy
     /* 1018906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1018919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018938 */     // GIR_Coverage, 61919,
     /* 1018938 */     GIR_EraseRootFromParent_Done,
     /* 1018939 */   // Label 15169: @1018939
     /* 1018939 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1019016), // Rule ID 61922 //
     /* 1018944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1018947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1018952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1018955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1018958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1018964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018983 */     // MIs[0] policy
     /* 1018983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018993 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1018996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019015 */     // GIR_Coverage, 61922,
     /* 1019015 */     GIR_EraseRootFromParent_Done,
     /* 1019016 */   // Label 15170: @1019016
     /* 1019016 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1019093), // Rule ID 61923 //
     /* 1019021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019060 */     // MIs[0] policy
     /* 1019060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1019073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019092 */     // GIR_Coverage, 61923,
     /* 1019092 */     GIR_EraseRootFromParent_Done,
     /* 1019093 */   // Label 15171: @1019093
     /* 1019093 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1019170), // Rule ID 61926 //
     /* 1019098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019137 */     // MIs[0] policy
     /* 1019137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1019150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019169 */     // GIR_Coverage, 61926,
     /* 1019169 */     GIR_EraseRootFromParent_Done,
     /* 1019170 */   // Label 15172: @1019170
     /* 1019170 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1019247), // Rule ID 61927 //
     /* 1019175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019214 */     // MIs[0] policy
     /* 1019214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1019227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019246 */     // GIR_Coverage, 61927,
     /* 1019246 */     GIR_EraseRootFromParent_Done,
     /* 1019247 */   // Label 15173: @1019247
     /* 1019247 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1019324), // Rule ID 61930 //
     /* 1019252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1019263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1019266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019291 */     // MIs[0] policy
     /* 1019291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019301 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1019304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019323 */     // GIR_Coverage, 61930,
     /* 1019323 */     GIR_EraseRootFromParent_Done,
     /* 1019324 */   // Label 15174: @1019324
     /* 1019324 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1019401), // Rule ID 61931 //
     /* 1019329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1019340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1019343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019368 */     // MIs[0] policy
     /* 1019368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1019381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019400 */     // GIR_Coverage, 61931,
     /* 1019400 */     GIR_EraseRootFromParent_Done,
     /* 1019401 */   // Label 15175: @1019401
     /* 1019401 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1019478), // Rule ID 61934 //
     /* 1019406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019445 */     // MIs[0] policy
     /* 1019445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1019458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019477 */     // GIR_Coverage, 61934,
     /* 1019477 */     GIR_EraseRootFromParent_Done,
     /* 1019478 */   // Label 15176: @1019478
     /* 1019478 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1019555), // Rule ID 61935 //
     /* 1019483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019522 */     // MIs[0] policy
     /* 1019522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1019535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019554 */     // GIR_Coverage, 61935,
     /* 1019554 */     GIR_EraseRootFromParent_Done,
     /* 1019555 */   // Label 15177: @1019555
     /* 1019555 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1019632), // Rule ID 61938 //
     /* 1019560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019599 */     // MIs[0] policy
     /* 1019599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019609 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1019612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019631 */     // GIR_Coverage, 61938,
     /* 1019631 */     GIR_EraseRootFromParent_Done,
     /* 1019632 */   // Label 15178: @1019632
     /* 1019632 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1019709), // Rule ID 61939 //
     /* 1019637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019676 */     // MIs[0] policy
     /* 1019676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1019689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019708 */     // GIR_Coverage, 61939,
     /* 1019708 */     GIR_EraseRootFromParent_Done,
     /* 1019709 */   // Label 15179: @1019709
     /* 1019709 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1019786), // Rule ID 61942 //
     /* 1019714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019753 */     // MIs[0] policy
     /* 1019753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1019766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019785 */     // GIR_Coverage, 61942,
     /* 1019785 */     GIR_EraseRootFromParent_Done,
     /* 1019786 */   // Label 15180: @1019786
     /* 1019786 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1019863), // Rule ID 61943 //
     /* 1019791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019830 */     // MIs[0] policy
     /* 1019830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1019843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019862 */     // GIR_Coverage, 61943,
     /* 1019862 */     GIR_EraseRootFromParent_Done,
     /* 1019863 */   // Label 15181: @1019863
     /* 1019863 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1019940), // Rule ID 61946 //
     /* 1019868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1019871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019907 */     // MIs[0] policy
     /* 1019907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1019920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019939 */     // GIR_Coverage, 61946,
     /* 1019939 */     GIR_EraseRootFromParent_Done,
     /* 1019940 */   // Label 15182: @1019940
     /* 1019940 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1020017), // Rule ID 61947 //
     /* 1019945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1019948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1019953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019984 */     // MIs[0] policy
     /* 1019984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1019997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020016 */     // GIR_Coverage, 61947,
     /* 1020016 */     GIR_EraseRootFromParent_Done,
     /* 1020017 */   // Label 15183: @1020017
     /* 1020017 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1020094), // Rule ID 61950 //
     /* 1020022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1020030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020061 */     // MIs[0] policy
     /* 1020061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1020074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020093 */     // GIR_Coverage, 61950,
     /* 1020093 */     GIR_EraseRootFromParent_Done,
     /* 1020094 */   // Label 15184: @1020094
     /* 1020094 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1020171), // Rule ID 61951 //
     /* 1020099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1020107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020138 */     // MIs[0] policy
     /* 1020138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1020151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020170 */     // GIR_Coverage, 61951,
     /* 1020170 */     GIR_EraseRootFromParent_Done,
     /* 1020171 */   // Label 15185: @1020171
     /* 1020171 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1020248), // Rule ID 61954 //
     /* 1020176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1020187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1020190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1020193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1020196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020215 */     // MIs[0] policy
     /* 1020215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1020228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020247 */     // GIR_Coverage, 61954,
     /* 1020247 */     GIR_EraseRootFromParent_Done,
     /* 1020248 */   // Label 15186: @1020248
     /* 1020248 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1020325), // Rule ID 61955 //
     /* 1020253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1020264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1020267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1020270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1020273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020292 */     // MIs[0] policy
     /* 1020292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1020305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020324 */     // GIR_Coverage, 61955,
     /* 1020324 */     GIR_EraseRootFromParent_Done,
     /* 1020325 */   // Label 15187: @1020325
     /* 1020325 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1020402), // Rule ID 61958 //
     /* 1020330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1020347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020369 */     // MIs[0] policy
     /* 1020369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1020382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020401 */     // GIR_Coverage, 61958,
     /* 1020401 */     GIR_EraseRootFromParent_Done,
     /* 1020402 */   // Label 15188: @1020402
     /* 1020402 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1020479), // Rule ID 61959 //
     /* 1020407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1020424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020446 */     // MIs[0] policy
     /* 1020446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1020459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020478 */     // GIR_Coverage, 61959,
     /* 1020478 */     GIR_EraseRootFromParent_Done,
     /* 1020479 */   // Label 15189: @1020479
     /* 1020479 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1020556), // Rule ID 61962 //
     /* 1020484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1020501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020523 */     // MIs[0] policy
     /* 1020523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1020536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020555 */     // GIR_Coverage, 61962,
     /* 1020555 */     GIR_EraseRootFromParent_Done,
     /* 1020556 */   // Label 15190: @1020556
     /* 1020556 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1020633), // Rule ID 61963 //
     /* 1020561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1020578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020600 */     // MIs[0] policy
     /* 1020600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1020613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020632 */     // GIR_Coverage, 61963,
     /* 1020632 */     GIR_EraseRootFromParent_Done,
     /* 1020633 */   // Label 15191: @1020633
     /* 1020633 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1020710), // Rule ID 61966 //
     /* 1020638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1020655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020677 */     // MIs[0] policy
     /* 1020677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1020690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020709 */     // GIR_Coverage, 61966,
     /* 1020709 */     GIR_EraseRootFromParent_Done,
     /* 1020710 */   // Label 15192: @1020710
     /* 1020710 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1020787), // Rule ID 61967 //
     /* 1020715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1020732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020754 */     // MIs[0] policy
     /* 1020754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1020767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020786 */     // GIR_Coverage, 61967,
     /* 1020786 */     GIR_EraseRootFromParent_Done,
     /* 1020787 */   // Label 15193: @1020787
     /* 1020787 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1020864), // Rule ID 61970 //
     /* 1020792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1020809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020831 */     // MIs[0] policy
     /* 1020831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1020844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020863 */     // GIR_Coverage, 61970,
     /* 1020863 */     GIR_EraseRootFromParent_Done,
     /* 1020864 */   // Label 15194: @1020864
     /* 1020864 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1020941), // Rule ID 61971 //
     /* 1020869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1020872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1020886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020908 */     // MIs[0] policy
     /* 1020908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1020921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020940 */     // GIR_Coverage, 61971,
     /* 1020940 */     GIR_EraseRootFromParent_Done,
     /* 1020941 */   // Label 15195: @1020941
     /* 1020941 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1021018), // Rule ID 61974 //
     /* 1020946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1020949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1020954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1020957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1020960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1020966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020985 */     // MIs[0] policy
     /* 1020985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1020998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021017 */     // GIR_Coverage, 61974,
     /* 1021017 */     GIR_EraseRootFromParent_Done,
     /* 1021018 */   // Label 15196: @1021018
     /* 1021018 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1021095), // Rule ID 61975 //
     /* 1021023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021062 */     // MIs[0] policy
     /* 1021062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1021075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021094 */     // GIR_Coverage, 61975,
     /* 1021094 */     GIR_EraseRootFromParent_Done,
     /* 1021095 */   // Label 15197: @1021095
     /* 1021095 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1021172), // Rule ID 61978 //
     /* 1021100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021139 */     // MIs[0] policy
     /* 1021139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1021152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021171 */     // GIR_Coverage, 61978,
     /* 1021171 */     GIR_EraseRootFromParent_Done,
     /* 1021172 */   // Label 15198: @1021172
     /* 1021172 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1021249), // Rule ID 61979 //
     /* 1021177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021216 */     // MIs[0] policy
     /* 1021216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1021229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021248 */     // GIR_Coverage, 61979,
     /* 1021248 */     GIR_EraseRootFromParent_Done,
     /* 1021249 */   // Label 15199: @1021249
     /* 1021249 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1021326), // Rule ID 61982 //
     /* 1021254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1021274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021293 */     // MIs[0] policy
     /* 1021293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1021306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021325 */     // GIR_Coverage, 61982,
     /* 1021325 */     GIR_EraseRootFromParent_Done,
     /* 1021326 */   // Label 15200: @1021326
     /* 1021326 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1021403), // Rule ID 61983 //
     /* 1021331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1021351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021370 */     // MIs[0] policy
     /* 1021370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1021383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021402 */     // GIR_Coverage, 61983,
     /* 1021402 */     GIR_EraseRootFromParent_Done,
     /* 1021403 */   // Label 15201: @1021403
     /* 1021403 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1021480), // Rule ID 61986 //
     /* 1021408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1021428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021447 */     // MIs[0] policy
     /* 1021447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1021460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021479 */     // GIR_Coverage, 61986,
     /* 1021479 */     GIR_EraseRootFromParent_Done,
     /* 1021480 */   // Label 15202: @1021480
     /* 1021480 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1021557), // Rule ID 61987 //
     /* 1021485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1021505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021524 */     // MIs[0] policy
     /* 1021524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1021537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021556 */     // GIR_Coverage, 61987,
     /* 1021556 */     GIR_EraseRootFromParent_Done,
     /* 1021557 */   // Label 15203: @1021557
     /* 1021557 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1021634), // Rule ID 61990 //
     /* 1021562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1021582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021601 */     // MIs[0] policy
     /* 1021601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1021614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021633 */     // GIR_Coverage, 61990,
     /* 1021633 */     GIR_EraseRootFromParent_Done,
     /* 1021634 */   // Label 15204: @1021634
     /* 1021634 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1021711), // Rule ID 61991 //
     /* 1021639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1021647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1021659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021678 */     // MIs[0] policy
     /* 1021678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021688 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1021691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021710 */     // GIR_Coverage, 61991,
     /* 1021710 */     GIR_EraseRootFromParent_Done,
     /* 1021711 */   // Label 15205: @1021711
     /* 1021711 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1021788), // Rule ID 61994 //
     /* 1021716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1021724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1021733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021755 */     // MIs[0] policy
     /* 1021755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1021768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021787 */     // GIR_Coverage, 61994,
     /* 1021787 */     GIR_EraseRootFromParent_Done,
     /* 1021788 */   // Label 15206: @1021788
     /* 1021788 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1021865), // Rule ID 61995 //
     /* 1021793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1021801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1021810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021832 */     // MIs[0] policy
     /* 1021832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1021845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021864 */     // GIR_Coverage, 61995,
     /* 1021864 */     GIR_EraseRootFromParent_Done,
     /* 1021865 */   // Label 15207: @1021865
     /* 1021865 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1021942), // Rule ID 61998 //
     /* 1021870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1021873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1021878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1021887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021909 */     // MIs[0] policy
     /* 1021909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1021922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021941 */     // GIR_Coverage, 61998,
     /* 1021941 */     GIR_EraseRootFromParent_Done,
     /* 1021942 */   // Label 15208: @1021942
     /* 1021942 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1022019), // Rule ID 61999 //
     /* 1021947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1021950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1021955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1021964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1021967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021986 */     // MIs[0] policy
     /* 1021986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1021999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022018 */     // GIR_Coverage, 61999,
     /* 1022018 */     GIR_EraseRootFromParent_Done,
     /* 1022019 */   // Label 15209: @1022019
     /* 1022019 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1022096), // Rule ID 62002 //
     /* 1022024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1022035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1022038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1022041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022063 */     // MIs[0] policy
     /* 1022063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1022076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022095 */     // GIR_Coverage, 62002,
     /* 1022095 */     GIR_EraseRootFromParent_Done,
     /* 1022096 */   // Label 15210: @1022096
     /* 1022096 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1022173), // Rule ID 62003 //
     /* 1022101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1022112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1022115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1022118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022140 */     // MIs[0] policy
     /* 1022140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1022153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022172 */     // GIR_Coverage, 62003,
     /* 1022172 */     GIR_EraseRootFromParent_Done,
     /* 1022173 */   // Label 15211: @1022173
     /* 1022173 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1022250), // Rule ID 62006 //
     /* 1022178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1022189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1022192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1022195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022217 */     // MIs[0] policy
     /* 1022217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1022230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022249 */     // GIR_Coverage, 62006,
     /* 1022249 */     GIR_EraseRootFromParent_Done,
     /* 1022250 */   // Label 15212: @1022250
     /* 1022250 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1022327), // Rule ID 62007 //
     /* 1022255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1022266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1022269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1022272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022294 */     // MIs[0] policy
     /* 1022294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1022307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022326 */     // GIR_Coverage, 62007,
     /* 1022326 */     GIR_EraseRootFromParent_Done,
     /* 1022327 */   // Label 15213: @1022327
     /* 1022327 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1022404), // Rule ID 62010 //
     /* 1022332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1022343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1022346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1022349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022371 */     // MIs[0] policy
     /* 1022371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1022384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022403 */     // GIR_Coverage, 62010,
     /* 1022403 */     GIR_EraseRootFromParent_Done,
     /* 1022404 */   // Label 15214: @1022404
     /* 1022404 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1022481), // Rule ID 62011 //
     /* 1022409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1022420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1022423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1022426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1022429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022448 */     // MIs[0] policy
     /* 1022448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1022461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022480 */     // GIR_Coverage, 62011,
     /* 1022480 */     GIR_EraseRootFromParent_Done,
     /* 1022481 */   // Label 15215: @1022481
     /* 1022481 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1022558), // Rule ID 62014 //
     /* 1022486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022525 */     // MIs[0] policy
     /* 1022525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1022538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022557 */     // GIR_Coverage, 62014,
     /* 1022557 */     GIR_EraseRootFromParent_Done,
     /* 1022558 */   // Label 15216: @1022558
     /* 1022558 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1022635), // Rule ID 62015 //
     /* 1022563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022602 */     // MIs[0] policy
     /* 1022602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1022615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022634 */     // GIR_Coverage, 62015,
     /* 1022634 */     GIR_EraseRootFromParent_Done,
     /* 1022635 */   // Label 15217: @1022635
     /* 1022635 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1022712), // Rule ID 62018 //
     /* 1022640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022679 */     // MIs[0] policy
     /* 1022679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1022692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022711 */     // GIR_Coverage, 62018,
     /* 1022711 */     GIR_EraseRootFromParent_Done,
     /* 1022712 */   // Label 15218: @1022712
     /* 1022712 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1022789), // Rule ID 62019 //
     /* 1022717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022756 */     // MIs[0] policy
     /* 1022756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1022769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022788 */     // GIR_Coverage, 62019,
     /* 1022788 */     GIR_EraseRootFromParent_Done,
     /* 1022789 */   // Label 15219: @1022789
     /* 1022789 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1022866), // Rule ID 62022 //
     /* 1022794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1022805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1022808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022833 */     // MIs[0] policy
     /* 1022833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1022846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022865 */     // GIR_Coverage, 62022,
     /* 1022865 */     GIR_EraseRootFromParent_Done,
     /* 1022866 */   // Label 15220: @1022866
     /* 1022866 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1022943), // Rule ID 62023 //
     /* 1022871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1022874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1022882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1022885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1022891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022910 */     // MIs[0] policy
     /* 1022910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1022923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022942 */     // GIR_Coverage, 62023,
     /* 1022942 */     GIR_EraseRootFromParent_Done,
     /* 1022943 */   // Label 15221: @1022943
     /* 1022943 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1023020), // Rule ID 62026 //
     /* 1022948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1022951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1022956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1022959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1022962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1022968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022987 */     // MIs[0] policy
     /* 1022987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1023000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023019 */     // GIR_Coverage, 62026,
     /* 1023019 */     GIR_EraseRootFromParent_Done,
     /* 1023020 */   // Label 15222: @1023020
     /* 1023020 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1023097), // Rule ID 62027 //
     /* 1023025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1023033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023064 */     // MIs[0] policy
     /* 1023064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1023077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023096 */     // GIR_Coverage, 62027,
     /* 1023096 */     GIR_EraseRootFromParent_Done,
     /* 1023097 */   // Label 15223: @1023097
     /* 1023097 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1023174), // Rule ID 62030 //
     /* 1023102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1023110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023141 */     // MIs[0] policy
     /* 1023141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1023154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023173 */     // GIR_Coverage, 62030,
     /* 1023173 */     GIR_EraseRootFromParent_Done,
     /* 1023174 */   // Label 15224: @1023174
     /* 1023174 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1023251), // Rule ID 62031 //
     /* 1023179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1023187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023218 */     // MIs[0] policy
     /* 1023218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1023231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023250 */     // GIR_Coverage, 62031,
     /* 1023250 */     GIR_EraseRootFromParent_Done,
     /* 1023251 */   // Label 15225: @1023251
     /* 1023251 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1023328), // Rule ID 62034 //
     /* 1023256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1023276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023295 */     // MIs[0] policy
     /* 1023295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023305 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1023308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023327 */     // GIR_Coverage, 62034,
     /* 1023327 */     GIR_EraseRootFromParent_Done,
     /* 1023328 */   // Label 15226: @1023328
     /* 1023328 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1023405), // Rule ID 62035 //
     /* 1023333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1023353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023372 */     // MIs[0] policy
     /* 1023372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1023385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023404 */     // GIR_Coverage, 62035,
     /* 1023404 */     GIR_EraseRootFromParent_Done,
     /* 1023405 */   // Label 15227: @1023405
     /* 1023405 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1023482), // Rule ID 62038 //
     /* 1023410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023449 */     // MIs[0] policy
     /* 1023449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1023462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023481 */     // GIR_Coverage, 62038,
     /* 1023481 */     GIR_EraseRootFromParent_Done,
     /* 1023482 */   // Label 15228: @1023482
     /* 1023482 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1023559), // Rule ID 62039 //
     /* 1023487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023526 */     // MIs[0] policy
     /* 1023526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1023539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023558 */     // GIR_Coverage, 62039,
     /* 1023558 */     GIR_EraseRootFromParent_Done,
     /* 1023559 */   // Label 15229: @1023559
     /* 1023559 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1023636), // Rule ID 62042 //
     /* 1023564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023603 */     // MIs[0] policy
     /* 1023603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1023616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023635 */     // GIR_Coverage, 62042,
     /* 1023635 */     GIR_EraseRootFromParent_Done,
     /* 1023636 */   // Label 15230: @1023636
     /* 1023636 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1023713), // Rule ID 62043 //
     /* 1023641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023680 */     // MIs[0] policy
     /* 1023680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1023693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023712 */     // GIR_Coverage, 62043,
     /* 1023712 */     GIR_EraseRootFromParent_Done,
     /* 1023713 */   // Label 15231: @1023713
     /* 1023713 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1023790), // Rule ID 62046 //
     /* 1023718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023757 */     // MIs[0] policy
     /* 1023757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1023770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023789 */     // GIR_Coverage, 62046,
     /* 1023789 */     GIR_EraseRootFromParent_Done,
     /* 1023790 */   // Label 15232: @1023790
     /* 1023790 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1023867), // Rule ID 62047 //
     /* 1023795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023834 */     // MIs[0] policy
     /* 1023834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1023847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023866 */     // GIR_Coverage, 62047,
     /* 1023866 */     GIR_EraseRootFromParent_Done,
     /* 1023867 */   // Label 15233: @1023867
     /* 1023867 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1023944), // Rule ID 62050 //
     /* 1023872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1023875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023911 */     // MIs[0] policy
     /* 1023911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1023924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023943 */     // GIR_Coverage, 62050,
     /* 1023943 */     GIR_EraseRootFromParent_Done,
     /* 1023944 */   // Label 15234: @1023944
     /* 1023944 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1024021), // Rule ID 62051 //
     /* 1023949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1023952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1023957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023988 */     // MIs[0] policy
     /* 1023988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1024001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024020 */     // GIR_Coverage, 62051,
     /* 1024020 */     GIR_EraseRootFromParent_Done,
     /* 1024021 */   // Label 15235: @1024021
     /* 1024021 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1024098), // Rule ID 62145 //
     /* 1024026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1024046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024065 */     // MIs[0] policy
     /* 1024065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10757:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1024078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024097 */     // GIR_Coverage, 62145,
     /* 1024097 */     GIR_EraseRootFromParent_Done,
     /* 1024098 */   // Label 15236: @1024098
     /* 1024098 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1024175), // Rule ID 62146 //
     /* 1024103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1024123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024142 */     // MIs[0] policy
     /* 1024142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10757:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1024155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024174 */     // GIR_Coverage, 62146,
     /* 1024174 */     GIR_EraseRootFromParent_Done,
     /* 1024175 */   // Label 15237: @1024175
     /* 1024175 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1024252), // Rule ID 63603 //
     /* 1024180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024219 */     // MIs[0] policy
     /* 1024219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10757:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1024232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024251 */     // GIR_Coverage, 63603,
     /* 1024251 */     GIR_EraseRootFromParent_Done,
     /* 1024252 */   // Label 15238: @1024252
     /* 1024252 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1024329), // Rule ID 63604 //
     /* 1024257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024296 */     // MIs[0] policy
     /* 1024296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10757:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1024309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024328 */     // GIR_Coverage, 63604,
     /* 1024328 */     GIR_EraseRootFromParent_Done,
     /* 1024329 */   // Label 15239: @1024329
     /* 1024329 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1024406), // Rule ID 63605 //
     /* 1024334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024373 */     // MIs[0] policy
     /* 1024373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10757:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1024386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024405 */     // GIR_Coverage, 63605,
     /* 1024405 */     GIR_EraseRootFromParent_Done,
     /* 1024406 */   // Label 15240: @1024406
     /* 1024406 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1024483), // Rule ID 63606 //
     /* 1024411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024450 */     // MIs[0] policy
     /* 1024450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024460 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10757:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1024463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024482 */     // GIR_Coverage, 63606,
     /* 1024482 */     GIR_EraseRootFromParent_Done,
     /* 1024483 */   // Label 15241: @1024483
     /* 1024483 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1024560), // Rule ID 63607 //
     /* 1024488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024527 */     // MIs[0] policy
     /* 1024527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10757:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1024540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024559 */     // GIR_Coverage, 63607,
     /* 1024559 */     GIR_EraseRootFromParent_Done,
     /* 1024560 */   // Label 15242: @1024560
     /* 1024560 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1024637), // Rule ID 63608 //
     /* 1024565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1024573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024604 */     // MIs[0] policy
     /* 1024604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10757:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1024617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024636 */     // GIR_Coverage, 63608,
     /* 1024636 */     GIR_EraseRootFromParent_Done,
     /* 1024637 */   // Label 15243: @1024637
     /* 1024637 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1024714), // Rule ID 63609 //
     /* 1024642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1024650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1024662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024681 */     // MIs[0] policy
     /* 1024681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10753:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1024694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024713 */     // GIR_Coverage, 63609,
     /* 1024713 */     GIR_EraseRootFromParent_Done,
     /* 1024714 */   // Label 15244: @1024714
     /* 1024714 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1024791), // Rule ID 63610 //
     /* 1024719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1024727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1024739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024758 */     // MIs[0] policy
     /* 1024758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10753:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1024771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024790 */     // GIR_Coverage, 63610,
     /* 1024790 */     GIR_EraseRootFromParent_Done,
     /* 1024791 */   // Label 15245: @1024791
     /* 1024791 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1024868), // Rule ID 63611 //
     /* 1024796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1024804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024835 */     // MIs[0] policy
     /* 1024835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10753:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1024848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024867 */     // GIR_Coverage, 63611,
     /* 1024867 */     GIR_EraseRootFromParent_Done,
     /* 1024868 */   // Label 15246: @1024868
     /* 1024868 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1024945), // Rule ID 63612 //
     /* 1024873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1024876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1024881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024912 */     // MIs[0] policy
     /* 1024912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10753:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1024925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024944 */     // GIR_Coverage, 63612,
     /* 1024944 */     GIR_EraseRootFromParent_Done,
     /* 1024945 */   // Label 15247: @1024945
     /* 1024945 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1025022), // Rule ID 63613 //
     /* 1024950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1024953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1024958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1024967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024989 */     // MIs[0] policy
     /* 1024989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10753:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1025002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025021 */     // GIR_Coverage, 63613,
     /* 1025021 */     GIR_EraseRootFromParent_Done,
     /* 1025022 */   // Label 15248: @1025022
     /* 1025022 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1025099), // Rule ID 63614 //
     /* 1025027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1025035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025066 */     // MIs[0] policy
     /* 1025066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10753:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1025079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025098 */     // GIR_Coverage, 63614,
     /* 1025098 */     GIR_EraseRootFromParent_Done,
     /* 1025099 */   // Label 15249: @1025099
     /* 1025099 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1025176), // Rule ID 63615 //
     /* 1025104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1025112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025143 */     // MIs[0] policy
     /* 1025143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10753:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1025156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025175 */     // GIR_Coverage, 63615,
     /* 1025175 */     GIR_EraseRootFromParent_Done,
     /* 1025176 */   // Label 15250: @1025176
     /* 1025176 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1025253), // Rule ID 63616 //
     /* 1025181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1025189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025220 */     // MIs[0] policy
     /* 1025220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10753:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1025233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025252 */     // GIR_Coverage, 63616,
     /* 1025252 */     GIR_EraseRootFromParent_Done,
     /* 1025253 */   // Label 15251: @1025253
     /* 1025253 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1025330), // Rule ID 63617 //
     /* 1025258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025297 */     // MIs[0] policy
     /* 1025297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10759:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1025310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025329 */     // GIR_Coverage, 63617,
     /* 1025329 */     GIR_EraseRootFromParent_Done,
     /* 1025330 */   // Label 15252: @1025330
     /* 1025330 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1025407), // Rule ID 63618 //
     /* 1025335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025374 */     // MIs[0] policy
     /* 1025374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10759:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1025387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025406 */     // GIR_Coverage, 63618,
     /* 1025406 */     GIR_EraseRootFromParent_Done,
     /* 1025407 */   // Label 15253: @1025407
     /* 1025407 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1025484), // Rule ID 63619 //
     /* 1025412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1025423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1025426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025451 */     // MIs[0] policy
     /* 1025451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10759:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1025464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025483 */     // GIR_Coverage, 63619,
     /* 1025483 */     GIR_EraseRootFromParent_Done,
     /* 1025484 */   // Label 15254: @1025484
     /* 1025484 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1025561), // Rule ID 63620 //
     /* 1025489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1025500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1025503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025528 */     // MIs[0] policy
     /* 1025528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10759:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1025541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025560 */     // GIR_Coverage, 63620,
     /* 1025560 */     GIR_EraseRootFromParent_Done,
     /* 1025561 */   // Label 15255: @1025561
     /* 1025561 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1025638), // Rule ID 63621 //
     /* 1025566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025605 */     // MIs[0] policy
     /* 1025605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10759:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1025618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025637 */     // GIR_Coverage, 63621,
     /* 1025637 */     GIR_EraseRootFromParent_Done,
     /* 1025638 */   // Label 15256: @1025638
     /* 1025638 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1025715), // Rule ID 63622 //
     /* 1025643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025682 */     // MIs[0] policy
     /* 1025682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10759:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1025695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025714 */     // GIR_Coverage, 63622,
     /* 1025714 */     GIR_EraseRootFromParent_Done,
     /* 1025715 */   // Label 15257: @1025715
     /* 1025715 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1025792), // Rule ID 63623 //
     /* 1025720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025759 */     // MIs[0] policy
     /* 1025759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10759:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1025772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025791 */     // GIR_Coverage, 63623,
     /* 1025791 */     GIR_EraseRootFromParent_Done,
     /* 1025792 */   // Label 15258: @1025792
     /* 1025792 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1025869), // Rule ID 63624 //
     /* 1025797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1025805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1025817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025836 */     // MIs[0] policy
     /* 1025836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10759:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1025849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025868 */     // GIR_Coverage, 63624,
     /* 1025868 */     GIR_EraseRootFromParent_Done,
     /* 1025869 */   // Label 15259: @1025869
     /* 1025869 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1025946), // Rule ID 63625 //
     /* 1025874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1025877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1025882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025913 */     // MIs[0] policy
     /* 1025913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10755:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1025926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025945 */     // GIR_Coverage, 63625,
     /* 1025945 */     GIR_EraseRootFromParent_Done,
     /* 1025946 */   // Label 15260: @1025946
     /* 1025946 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1026023), // Rule ID 63626 //
     /* 1025951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1025954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1025959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025990 */     // MIs[0] policy
     /* 1025990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10755:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1026003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026022 */     // GIR_Coverage, 63626,
     /* 1026022 */     GIR_EraseRootFromParent_Done,
     /* 1026023 */   // Label 15261: @1026023
     /* 1026023 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1026100), // Rule ID 63627 //
     /* 1026028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1026031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026067 */     // MIs[0] policy
     /* 1026067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10755:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1026080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026099 */     // GIR_Coverage, 63627,
     /* 1026099 */     GIR_EraseRootFromParent_Done,
     /* 1026100 */   // Label 15262: @1026100
     /* 1026100 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1026177), // Rule ID 63628 //
     /* 1026105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1026108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026144 */     // MIs[0] policy
     /* 1026144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10755:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1026157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026176 */     // GIR_Coverage, 63628,
     /* 1026176 */     GIR_EraseRootFromParent_Done,
     /* 1026177 */   // Label 15263: @1026177
     /* 1026177 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1026254), // Rule ID 63629 //
     /* 1026182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1026185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026221 */     // MIs[0] policy
     /* 1026221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10755:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1026234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026253 */     // GIR_Coverage, 63629,
     /* 1026253 */     GIR_EraseRootFromParent_Done,
     /* 1026254 */   // Label 15264: @1026254
     /* 1026254 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1026331), // Rule ID 63630 //
     /* 1026259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1026262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026298 */     // MIs[0] policy
     /* 1026298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10755:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1026311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026330 */     // GIR_Coverage, 63630,
     /* 1026330 */     GIR_EraseRootFromParent_Done,
     /* 1026331 */   // Label 15265: @1026331
     /* 1026331 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1026408), // Rule ID 63631 //
     /* 1026336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1026339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026375 */     // MIs[0] policy
     /* 1026375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10755:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1026388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026407 */     // GIR_Coverage, 63631,
     /* 1026407 */     GIR_EraseRootFromParent_Done,
     /* 1026408 */   // Label 15266: @1026408
     /* 1026408 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1026485), // Rule ID 63632 //
     /* 1026413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1026416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1026421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1026433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026452 */     // MIs[0] policy
     /* 1026452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10755:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1026465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026484 */     // GIR_Coverage, 63632,
     /* 1026484 */     GIR_EraseRootFromParent_Done,
     /* 1026485 */   // Label 15267: @1026485
     /* 1026485 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1026562), // Rule ID 63633 //
     /* 1026490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1026493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026529 */     // MIs[0] policy
     /* 1026529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10758:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1026542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026561 */     // GIR_Coverage, 63633,
     /* 1026561 */     GIR_EraseRootFromParent_Done,
     /* 1026562 */   // Label 15268: @1026562
     /* 1026562 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1026639), // Rule ID 63634 //
     /* 1026567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1026570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026606 */     // MIs[0] policy
     /* 1026606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10758:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1026619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026638 */     // GIR_Coverage, 63634,
     /* 1026638 */     GIR_EraseRootFromParent_Done,
     /* 1026639 */   // Label 15269: @1026639
     /* 1026639 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1026716), // Rule ID 63635 //
     /* 1026644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1026647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026683 */     // MIs[0] policy
     /* 1026683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10758:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1026696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026715 */     // GIR_Coverage, 63635,
     /* 1026715 */     GIR_EraseRootFromParent_Done,
     /* 1026716 */   // Label 15270: @1026716
     /* 1026716 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1026793), // Rule ID 63636 //
     /* 1026721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1026724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026760 */     // MIs[0] policy
     /* 1026760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10758:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1026773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026792 */     // GIR_Coverage, 63636,
     /* 1026792 */     GIR_EraseRootFromParent_Done,
     /* 1026793 */   // Label 15271: @1026793
     /* 1026793 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1026870), // Rule ID 63637 //
     /* 1026798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1026801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026837 */     // MIs[0] policy
     /* 1026837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10758:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1026850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026869 */     // GIR_Coverage, 63637,
     /* 1026869 */     GIR_EraseRootFromParent_Done,
     /* 1026870 */   // Label 15272: @1026870
     /* 1026870 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1026947), // Rule ID 63638 //
     /* 1026875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1026878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1026895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026914 */     // MIs[0] policy
     /* 1026914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10758:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1026927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026946 */     // GIR_Coverage, 63638,
     /* 1026946 */     GIR_EraseRootFromParent_Done,
     /* 1026947 */   // Label 15273: @1026947
     /* 1026947 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1027024), // Rule ID 63639 //
     /* 1026952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1026955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1026960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1026969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1026972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026991 */     // MIs[0] policy
     /* 1026991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10758:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1027004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027023 */     // GIR_Coverage, 63639,
     /* 1027023 */     GIR_EraseRootFromParent_Done,
     /* 1027024 */   // Label 15274: @1027024
     /* 1027024 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1027101), // Rule ID 63640 //
     /* 1027029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1027037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027068 */     // MIs[0] policy
     /* 1027068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10758:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1027081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027100 */     // GIR_Coverage, 63640,
     /* 1027100 */     GIR_EraseRootFromParent_Done,
     /* 1027101 */   // Label 15275: @1027101
     /* 1027101 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1027178), // Rule ID 63641 //
     /* 1027106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027145 */     // MIs[0] policy
     /* 1027145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10754:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1027158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027177 */     // GIR_Coverage, 63641,
     /* 1027177 */     GIR_EraseRootFromParent_Done,
     /* 1027178 */   // Label 15276: @1027178
     /* 1027178 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1027255), // Rule ID 63642 //
     /* 1027183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027222 */     // MIs[0] policy
     /* 1027222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10754:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1027235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027254 */     // GIR_Coverage, 63642,
     /* 1027254 */     GIR_EraseRootFromParent_Done,
     /* 1027255 */   // Label 15277: @1027255
     /* 1027255 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1027332), // Rule ID 63643 //
     /* 1027260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027299 */     // MIs[0] policy
     /* 1027299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10754:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1027312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027331 */     // GIR_Coverage, 63643,
     /* 1027331 */     GIR_EraseRootFromParent_Done,
     /* 1027332 */   // Label 15278: @1027332
     /* 1027332 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1027409), // Rule ID 63644 //
     /* 1027337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027376 */     // MIs[0] policy
     /* 1027376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10754:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1027389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027408 */     // GIR_Coverage, 63644,
     /* 1027408 */     GIR_EraseRootFromParent_Done,
     /* 1027409 */   // Label 15279: @1027409
     /* 1027409 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1027486), // Rule ID 63645 //
     /* 1027414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027453 */     // MIs[0] policy
     /* 1027453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10754:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1027466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027485 */     // GIR_Coverage, 63645,
     /* 1027485 */     GIR_EraseRootFromParent_Done,
     /* 1027486 */   // Label 15280: @1027486
     /* 1027486 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1027563), // Rule ID 63646 //
     /* 1027491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027530 */     // MIs[0] policy
     /* 1027530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10754:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1027543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027562 */     // GIR_Coverage, 63646,
     /* 1027562 */     GIR_EraseRootFromParent_Done,
     /* 1027563 */   // Label 15281: @1027563
     /* 1027563 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1027640), // Rule ID 63647 //
     /* 1027568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027607 */     // MIs[0] policy
     /* 1027607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027617 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10754:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1027620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027639 */     // GIR_Coverage, 63647,
     /* 1027639 */     GIR_EraseRootFromParent_Done,
     /* 1027640 */   // Label 15282: @1027640
     /* 1027640 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1027717), // Rule ID 63648 //
     /* 1027645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1027653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027684 */     // MIs[0] policy
     /* 1027684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10754:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1027697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027716 */     // GIR_Coverage, 63648,
     /* 1027716 */     GIR_EraseRootFromParent_Done,
     /* 1027717 */   // Label 15283: @1027717
     /* 1027717 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1027794), // Rule ID 63649 //
     /* 1027722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1027730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027761 */     // MIs[0] policy
     /* 1027761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10760:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1027774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027793 */     // GIR_Coverage, 63649,
     /* 1027793 */     GIR_EraseRootFromParent_Done,
     /* 1027794 */   // Label 15284: @1027794
     /* 1027794 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1027871), // Rule ID 63650 //
     /* 1027799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1027807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027838 */     // MIs[0] policy
     /* 1027838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10760:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1027851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027870 */     // GIR_Coverage, 63650,
     /* 1027870 */     GIR_EraseRootFromParent_Done,
     /* 1027871 */   // Label 15285: @1027871
     /* 1027871 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1027948), // Rule ID 63651 //
     /* 1027876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1027879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1027884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027915 */     // MIs[0] policy
     /* 1027915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10760:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1027928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027947 */     // GIR_Coverage, 63651,
     /* 1027947 */     GIR_EraseRootFromParent_Done,
     /* 1027948 */   // Label 15286: @1027948
     /* 1027948 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1028025), // Rule ID 63652 //
     /* 1027953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1027956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1027961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1027970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027992 */     // MIs[0] policy
     /* 1027992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10760:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1028005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028024 */     // GIR_Coverage, 63652,
     /* 1028024 */     GIR_EraseRootFromParent_Done,
     /* 1028025 */   // Label 15287: @1028025
     /* 1028025 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1028102), // Rule ID 63653 //
     /* 1028030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1028038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1028050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028069 */     // MIs[0] policy
     /* 1028069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10760:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1028082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028101 */     // GIR_Coverage, 63653,
     /* 1028101 */     GIR_EraseRootFromParent_Done,
     /* 1028102 */   // Label 15288: @1028102
     /* 1028102 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1028179), // Rule ID 63654 //
     /* 1028107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1028115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1028127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028146 */     // MIs[0] policy
     /* 1028146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10760:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1028159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028178 */     // GIR_Coverage, 63654,
     /* 1028178 */     GIR_EraseRootFromParent_Done,
     /* 1028179 */   // Label 15289: @1028179
     /* 1028179 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1028256), // Rule ID 63655 //
     /* 1028184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1028192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1028204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028223 */     // MIs[0] policy
     /* 1028223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10760:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1028236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028255 */     // GIR_Coverage, 63655,
     /* 1028255 */     GIR_EraseRootFromParent_Done,
     /* 1028256 */   // Label 15290: @1028256
     /* 1028256 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1028333), // Rule ID 63656 //
     /* 1028261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1028269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1028281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028300 */     // MIs[0] policy
     /* 1028300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10760:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1028313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028332 */     // GIR_Coverage, 63656,
     /* 1028332 */     GIR_EraseRootFromParent_Done,
     /* 1028333 */   // Label 15291: @1028333
     /* 1028333 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1028410), // Rule ID 63657 //
     /* 1028338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028377 */     // MIs[0] policy
     /* 1028377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10756:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1028390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028409 */     // GIR_Coverage, 63657,
     /* 1028409 */     GIR_EraseRootFromParent_Done,
     /* 1028410 */   // Label 15292: @1028410
     /* 1028410 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1028487), // Rule ID 63658 //
     /* 1028415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1028435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028454 */     // MIs[0] policy
     /* 1028454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10756:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1028467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028486 */     // GIR_Coverage, 63658,
     /* 1028486 */     GIR_EraseRootFromParent_Done,
     /* 1028487 */   // Label 15293: @1028487
     /* 1028487 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1028564), // Rule ID 63659 //
     /* 1028492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028531 */     // MIs[0] policy
     /* 1028531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10756:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1028544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028563 */     // GIR_Coverage, 63659,
     /* 1028563 */     GIR_EraseRootFromParent_Done,
     /* 1028564 */   // Label 15294: @1028564
     /* 1028564 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1028641), // Rule ID 63660 //
     /* 1028569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1028589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028608 */     // MIs[0] policy
     /* 1028608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10756:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1028621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028640 */     // GIR_Coverage, 63660,
     /* 1028640 */     GIR_EraseRootFromParent_Done,
     /* 1028641 */   // Label 15295: @1028641
     /* 1028641 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1028718), // Rule ID 63661 //
     /* 1028646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1028666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028685 */     // MIs[0] policy
     /* 1028685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10756:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1028698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028717 */     // GIR_Coverage, 63661,
     /* 1028717 */     GIR_EraseRootFromParent_Done,
     /* 1028718 */   // Label 15296: @1028718
     /* 1028718 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1028795), // Rule ID 63662 //
     /* 1028723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1028743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028762 */     // MIs[0] policy
     /* 1028762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10756:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1028775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028794 */     // GIR_Coverage, 63662,
     /* 1028794 */     GIR_EraseRootFromParent_Done,
     /* 1028795 */   // Label 15297: @1028795
     /* 1028795 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1028872), // Rule ID 63663 //
     /* 1028800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1028803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1028820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028839 */     // MIs[0] policy
     /* 1028839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10756:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1028852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028871 */     // GIR_Coverage, 63663,
     /* 1028871 */     GIR_EraseRootFromParent_Done,
     /* 1028872 */   // Label 15298: @1028872
     /* 1028872 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1028949), // Rule ID 63664 //
     /* 1028877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1028880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1028885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1028894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1028897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028916 */     // MIs[0] policy
     /* 1028916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10756:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1028929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028948 */     // GIR_Coverage, 63664,
     /* 1028948 */     GIR_EraseRootFromParent_Done,
     /* 1028949 */   // Label 15299: @1028949
     /* 1028949 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1029029), // Rule ID 2582 //
     /* 1028954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1028962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1028974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1028977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028993 */     // MIs[0] round
     /* 1028993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1028996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1029006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029028 */     // GIR_Coverage, 2582,
     /* 1029028 */     GIR_EraseRootFromParent_Done,
     /* 1029029 */   // Label 15300: @1029029
     /* 1029029 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1029109), // Rule ID 2583 //
     /* 1029034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1029045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1029048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029073 */     // MIs[0] round
     /* 1029073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1029086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029108 */     // GIR_Coverage, 2583,
     /* 1029108 */     GIR_EraseRootFromParent_Done,
     /* 1029109 */   // Label 15301: @1029109
     /* 1029109 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1029189), // Rule ID 2622 //
     /* 1029114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1029117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1029122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029153 */     // MIs[0] round
     /* 1029153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029163 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1029166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029188 */     // GIR_Coverage, 2622,
     /* 1029188 */     GIR_EraseRootFromParent_Done,
     /* 1029189 */   // Label 15302: @1029189
     /* 1029189 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1029269), // Rule ID 2623 //
     /* 1029194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1029197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1029202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029233 */     // MIs[0] round
     /* 1029233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029243 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1029246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029268 */     // GIR_Coverage, 2623,
     /* 1029268 */     GIR_EraseRootFromParent_Done,
     /* 1029269 */   // Label 15303: @1029269
     /* 1029269 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1029349), // Rule ID 2642 //
     /* 1029274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1029277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1029282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029313 */     // MIs[0] round
     /* 1029313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029323 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1029326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029348 */     // GIR_Coverage, 2642,
     /* 1029348 */     GIR_EraseRootFromParent_Done,
     /* 1029349 */   // Label 15304: @1029349
     /* 1029349 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1029429), // Rule ID 2643 //
     /* 1029354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1029357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1029362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1029374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029393 */     // MIs[0] round
     /* 1029393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1029406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029428 */     // GIR_Coverage, 2643,
     /* 1029428 */     GIR_EraseRootFromParent_Done,
     /* 1029429 */   // Label 15305: @1029429
     /* 1029429 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1029509), // Rule ID 14784 //
     /* 1029434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029473 */     // MIs[0] round
     /* 1029473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1029486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029508 */     // GIR_Coverage, 14784,
     /* 1029508 */     GIR_EraseRootFromParent_Done,
     /* 1029509 */   // Label 15306: @1029509
     /* 1029509 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1029589), // Rule ID 14785 //
     /* 1029514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029553 */     // MIs[0] round
     /* 1029553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1029566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029588 */     // GIR_Coverage, 14785,
     /* 1029588 */     GIR_EraseRootFromParent_Done,
     /* 1029589 */   // Label 15307: @1029589
     /* 1029589 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1029669), // Rule ID 14788 //
     /* 1029594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029633 */     // MIs[0] round
     /* 1029633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1029646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029668 */     // GIR_Coverage, 14788,
     /* 1029668 */     GIR_EraseRootFromParent_Done,
     /* 1029669 */   // Label 15308: @1029669
     /* 1029669 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1029749), // Rule ID 14789 //
     /* 1029674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029713 */     // MIs[0] round
     /* 1029713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1029726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029748 */     // GIR_Coverage, 14789,
     /* 1029748 */     GIR_EraseRootFromParent_Done,
     /* 1029749 */   // Label 15309: @1029749
     /* 1029749 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1029829), // Rule ID 14792 //
     /* 1029754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029793 */     // MIs[0] round
     /* 1029793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1029806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029828 */     // GIR_Coverage, 14792,
     /* 1029828 */     GIR_EraseRootFromParent_Done,
     /* 1029829 */   // Label 15310: @1029829
     /* 1029829 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1029909), // Rule ID 14793 //
     /* 1029834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1029857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029873 */     // MIs[0] round
     /* 1029873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029883 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1029883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1029886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029908 */     // GIR_Coverage, 14793,
     /* 1029908 */     GIR_EraseRootFromParent_Done,
     /* 1029909 */   // Label 15311: @1029909
     /* 1029909 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1029989), // Rule ID 14796 //
     /* 1029914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1029922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1029937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029953 */     // MIs[0] round
     /* 1029953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1029956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1029963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1029966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1029976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1029987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029988 */     // GIR_Coverage, 14796,
     /* 1029988 */     GIR_EraseRootFromParent_Done,
     /* 1029989 */   // Label 15312: @1029989
     /* 1029989 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1030069), // Rule ID 14797 //
     /* 1029994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1030005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1030008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1030011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1030014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030033 */     // MIs[0] round
     /* 1030033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1030046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030068 */     // GIR_Coverage, 14797,
     /* 1030068 */     GIR_EraseRootFromParent_Done,
     /* 1030069 */   // Label 15313: @1030069
     /* 1030069 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1030149), // Rule ID 14800 //
     /* 1030074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1030091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1030094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030113 */     // MIs[0] round
     /* 1030113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1030126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030148 */     // GIR_Coverage, 14800,
     /* 1030148 */     GIR_EraseRootFromParent_Done,
     /* 1030149 */   // Label 15314: @1030149
     /* 1030149 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1030229), // Rule ID 14801 //
     /* 1030154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1030171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1030174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030193 */     // MIs[0] round
     /* 1030193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1030206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030228 */     // GIR_Coverage, 14801,
     /* 1030228 */     GIR_EraseRootFromParent_Done,
     /* 1030229 */   // Label 15315: @1030229
     /* 1030229 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1030309), // Rule ID 14804 //
     /* 1030234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1030245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1030248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030273 */     // MIs[0] round
     /* 1030273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030308 */     // GIR_Coverage, 14804,
     /* 1030308 */     GIR_EraseRootFromParent_Done,
     /* 1030309 */   // Label 15316: @1030309
     /* 1030309 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1030389), // Rule ID 14805 //
     /* 1030314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1030325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1030328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030353 */     // MIs[0] round
     /* 1030353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030388 */     // GIR_Coverage, 14805,
     /* 1030388 */     GIR_EraseRootFromParent_Done,
     /* 1030389 */   // Label 15317: @1030389
     /* 1030389 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1030469), // Rule ID 14808 //
     /* 1030394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030433 */     // MIs[0] round
     /* 1030433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030468 */     // GIR_Coverage, 14808,
     /* 1030468 */     GIR_EraseRootFromParent_Done,
     /* 1030469 */   // Label 15318: @1030469
     /* 1030469 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1030549), // Rule ID 14809 //
     /* 1030474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030513 */     // MIs[0] round
     /* 1030513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030548 */     // GIR_Coverage, 14809,
     /* 1030548 */     GIR_EraseRootFromParent_Done,
     /* 1030549 */   // Label 15319: @1030549
     /* 1030549 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1030629), // Rule ID 14812 //
     /* 1030554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030593 */     // MIs[0] round
     /* 1030593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030628 */     // GIR_Coverage, 14812,
     /* 1030628 */     GIR_EraseRootFromParent_Done,
     /* 1030629 */   // Label 15320: @1030629
     /* 1030629 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1030709), // Rule ID 14813 //
     /* 1030634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030673 */     // MIs[0] round
     /* 1030673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030708 */     // GIR_Coverage, 14813,
     /* 1030708 */     GIR_EraseRootFromParent_Done,
     /* 1030709 */   // Label 15321: @1030709
     /* 1030709 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1030789), // Rule ID 14816 //
     /* 1030714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030753 */     // MIs[0] round
     /* 1030753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030788 */     // GIR_Coverage, 14816,
     /* 1030788 */     GIR_EraseRootFromParent_Done,
     /* 1030789 */   // Label 15322: @1030789
     /* 1030789 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1030869), // Rule ID 14817 //
     /* 1030794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030833 */     // MIs[0] round
     /* 1030833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1030843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1030846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030868 */     // GIR_Coverage, 14817,
     /* 1030868 */     GIR_EraseRootFromParent_Done,
     /* 1030869 */   // Label 15323: @1030869
     /* 1030869 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1030949), // Rule ID 14820 //
     /* 1030874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1030897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030913 */     // MIs[0] round
     /* 1030913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1030923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1030926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1030936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1030947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030948 */     // GIR_Coverage, 14820,
     /* 1030948 */     GIR_EraseRootFromParent_Done,
     /* 1030949 */   // Label 15324: @1030949
     /* 1030949 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1031029), // Rule ID 14821 //
     /* 1030954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1030962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1030977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030993 */     // MIs[0] round
     /* 1030993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1030996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1031006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031028 */     // GIR_Coverage, 14821,
     /* 1031028 */     GIR_EraseRootFromParent_Done,
     /* 1031029 */   // Label 15325: @1031029
     /* 1031029 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1031109), // Rule ID 14824 //
     /* 1031034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1031045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1031048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031073 */     // MIs[0] round
     /* 1031073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1031086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031108 */     // GIR_Coverage, 14824,
     /* 1031108 */     GIR_EraseRootFromParent_Done,
     /* 1031109 */   // Label 15326: @1031109
     /* 1031109 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1031189), // Rule ID 14825 //
     /* 1031114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1031125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1031128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031153 */     // MIs[0] round
     /* 1031153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1031166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031188 */     // GIR_Coverage, 14825,
     /* 1031188 */     GIR_EraseRootFromParent_Done,
     /* 1031189 */   // Label 15327: @1031189
     /* 1031189 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1031269), // Rule ID 14828 //
     /* 1031194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1031214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031233 */     // MIs[0] round
     /* 1031233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1031246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031268 */     // GIR_Coverage, 14828,
     /* 1031268 */     GIR_EraseRootFromParent_Done,
     /* 1031269 */   // Label 15328: @1031269
     /* 1031269 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1031349), // Rule ID 14829 //
     /* 1031274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1031294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031313 */     // MIs[0] round
     /* 1031313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1031326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031348 */     // GIR_Coverage, 14829,
     /* 1031348 */     GIR_EraseRootFromParent_Done,
     /* 1031349 */   // Label 15329: @1031349
     /* 1031349 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1031429), // Rule ID 14832 //
     /* 1031354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031393 */     // MIs[0] round
     /* 1031393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1031406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031428 */     // GIR_Coverage, 14832,
     /* 1031428 */     GIR_EraseRootFromParent_Done,
     /* 1031429 */   // Label 15330: @1031429
     /* 1031429 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1031509), // Rule ID 14833 //
     /* 1031434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031473 */     // MIs[0] round
     /* 1031473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1031486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031508 */     // GIR_Coverage, 14833,
     /* 1031508 */     GIR_EraseRootFromParent_Done,
     /* 1031509 */   // Label 15331: @1031509
     /* 1031509 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1031589), // Rule ID 14836 //
     /* 1031514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031553 */     // MIs[0] round
     /* 1031553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1031566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031588 */     // GIR_Coverage, 14836,
     /* 1031588 */     GIR_EraseRootFromParent_Done,
     /* 1031589 */   // Label 15332: @1031589
     /* 1031589 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1031669), // Rule ID 14837 //
     /* 1031594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031633 */     // MIs[0] round
     /* 1031633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1031646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031668 */     // GIR_Coverage, 14837,
     /* 1031668 */     GIR_EraseRootFromParent_Done,
     /* 1031669 */   // Label 15333: @1031669
     /* 1031669 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1031749), // Rule ID 14840 //
     /* 1031674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031713 */     // MIs[0] round
     /* 1031713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1031726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031748 */     // GIR_Coverage, 14840,
     /* 1031748 */     GIR_EraseRootFromParent_Done,
     /* 1031749 */   // Label 15334: @1031749
     /* 1031749 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1031829), // Rule ID 14841 //
     /* 1031754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031793 */     // MIs[0] round
     /* 1031793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1031806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031828 */     // GIR_Coverage, 14841,
     /* 1031828 */     GIR_EraseRootFromParent_Done,
     /* 1031829 */   // Label 15335: @1031829
     /* 1031829 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1031909), // Rule ID 14844 //
     /* 1031834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1031857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031873 */     // MIs[0] round
     /* 1031873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1031883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1031886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031908 */     // GIR_Coverage, 14844,
     /* 1031908 */     GIR_EraseRootFromParent_Done,
     /* 1031909 */   // Label 15336: @1031909
     /* 1031909 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1031989), // Rule ID 14845 //
     /* 1031914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1031922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1031937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031953 */     // MIs[0] round
     /* 1031953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1031956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1031963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1031966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1031976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1031987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031988 */     // GIR_Coverage, 14845,
     /* 1031988 */     GIR_EraseRootFromParent_Done,
     /* 1031989 */   // Label 15337: @1031989
     /* 1031989 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1032069), // Rule ID 14848 //
     /* 1031994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1032011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1032014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032033 */     // MIs[0] round
     /* 1032033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1032046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032068 */     // GIR_Coverage, 14848,
     /* 1032068 */     GIR_EraseRootFromParent_Done,
     /* 1032069 */   // Label 15338: @1032069
     /* 1032069 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1032149), // Rule ID 14849 //
     /* 1032074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1032091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1032094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032113 */     // MIs[0] round
     /* 1032113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1032126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032148 */     // GIR_Coverage, 14849,
     /* 1032148 */     GIR_EraseRootFromParent_Done,
     /* 1032149 */   // Label 15339: @1032149
     /* 1032149 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1032229), // Rule ID 14852 //
     /* 1032154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1032174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032193 */     // MIs[0] round
     /* 1032193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032203 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1032206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032228 */     // GIR_Coverage, 14852,
     /* 1032228 */     GIR_EraseRootFromParent_Done,
     /* 1032229 */   // Label 15340: @1032229
     /* 1032229 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1032309), // Rule ID 14853 //
     /* 1032234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1032254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032273 */     // MIs[0] round
     /* 1032273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1032286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032308 */     // GIR_Coverage, 14853,
     /* 1032308 */     GIR_EraseRootFromParent_Done,
     /* 1032309 */   // Label 15341: @1032309
     /* 1032309 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1032389), // Rule ID 14856 //
     /* 1032314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1032334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032353 */     // MIs[0] round
     /* 1032353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1032366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032388 */     // GIR_Coverage, 14856,
     /* 1032388 */     GIR_EraseRootFromParent_Done,
     /* 1032389 */   // Label 15342: @1032389
     /* 1032389 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1032469), // Rule ID 14857 //
     /* 1032394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1032414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032433 */     // MIs[0] round
     /* 1032433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1032446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032468 */     // GIR_Coverage, 14857,
     /* 1032468 */     GIR_EraseRootFromParent_Done,
     /* 1032469 */   // Label 15343: @1032469
     /* 1032469 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1032549), // Rule ID 14860 //
     /* 1032474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1032494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032513 */     // MIs[0] round
     /* 1032513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1032526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032548 */     // GIR_Coverage, 14860,
     /* 1032548 */     GIR_EraseRootFromParent_Done,
     /* 1032549 */   // Label 15344: @1032549
     /* 1032549 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1032629), // Rule ID 14861 //
     /* 1032554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1032574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032593 */     // MIs[0] round
     /* 1032593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1032606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032628 */     // GIR_Coverage, 14861,
     /* 1032628 */     GIR_EraseRootFromParent_Done,
     /* 1032629 */   // Label 15345: @1032629
     /* 1032629 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1032709), // Rule ID 14864 //
     /* 1032634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032673 */     // MIs[0] round
     /* 1032673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1032686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032708 */     // GIR_Coverage, 14864,
     /* 1032708 */     GIR_EraseRootFromParent_Done,
     /* 1032709 */   // Label 15346: @1032709
     /* 1032709 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1032789), // Rule ID 14865 //
     /* 1032714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032753 */     // MIs[0] round
     /* 1032753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032763 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1032766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032788 */     // GIR_Coverage, 14865,
     /* 1032788 */     GIR_EraseRootFromParent_Done,
     /* 1032789 */   // Label 15347: @1032789
     /* 1032789 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1032869), // Rule ID 14868 //
     /* 1032794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1032811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1032814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032833 */     // MIs[0] round
     /* 1032833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032843 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1032843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1032846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032868 */     // GIR_Coverage, 14868,
     /* 1032868 */     GIR_EraseRootFromParent_Done,
     /* 1032869 */   // Label 15348: @1032869
     /* 1032869 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1032949), // Rule ID 14869 //
     /* 1032874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1032891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1032894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1032897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032913 */     // MIs[0] round
     /* 1032913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032923 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1032923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1032926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1032936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1032947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032948 */     // GIR_Coverage, 14869,
     /* 1032948 */     GIR_EraseRootFromParent_Done,
     /* 1032949 */   // Label 15349: @1032949
     /* 1032949 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1033029), // Rule ID 14872 //
     /* 1032954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1032962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1032971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1032974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1032977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032993 */     // MIs[0] round
     /* 1032993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1032996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1033006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033028 */     // GIR_Coverage, 14872,
     /* 1033028 */     GIR_EraseRootFromParent_Done,
     /* 1033029 */   // Label 15350: @1033029
     /* 1033029 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1033109), // Rule ID 14873 //
     /* 1033034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1033045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1033048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1033051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033073 */     // MIs[0] round
     /* 1033073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033083 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1033086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033108 */     // GIR_Coverage, 14873,
     /* 1033108 */     GIR_EraseRootFromParent_Done,
     /* 1033109 */   // Label 15351: @1033109
     /* 1033109 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1033189), // Rule ID 14876 //
     /* 1033114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1033125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1033128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1033131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033153 */     // MIs[0] round
     /* 1033153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033188 */     // GIR_Coverage, 14876,
     /* 1033188 */     GIR_EraseRootFromParent_Done,
     /* 1033189 */   // Label 15352: @1033189
     /* 1033189 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1033269), // Rule ID 14877 //
     /* 1033194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1033205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1033208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1033211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033233 */     // MIs[0] round
     /* 1033233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033268 */     // GIR_Coverage, 14877,
     /* 1033268 */     GIR_EraseRootFromParent_Done,
     /* 1033269 */   // Label 15353: @1033269
     /* 1033269 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1033349), // Rule ID 14880 //
     /* 1033274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1033291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033313 */     // MIs[0] round
     /* 1033313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1033326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033348 */     // GIR_Coverage, 14880,
     /* 1033348 */     GIR_EraseRootFromParent_Done,
     /* 1033349 */   // Label 15354: @1033349
     /* 1033349 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1033429), // Rule ID 14881 //
     /* 1033354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1033371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033393 */     // MIs[0] round
     /* 1033393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1033406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033428 */     // GIR_Coverage, 14881,
     /* 1033428 */     GIR_EraseRootFromParent_Done,
     /* 1033429 */   // Label 15355: @1033429
     /* 1033429 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1033509), // Rule ID 14884 //
     /* 1033434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1033451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033473 */     // MIs[0] round
     /* 1033473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033508 */     // GIR_Coverage, 14884,
     /* 1033508 */     GIR_EraseRootFromParent_Done,
     /* 1033509 */   // Label 15356: @1033509
     /* 1033509 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1033589), // Rule ID 14885 //
     /* 1033514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1033531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033553 */     // MIs[0] round
     /* 1033553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033588 */     // GIR_Coverage, 14885,
     /* 1033588 */     GIR_EraseRootFromParent_Done,
     /* 1033589 */   // Label 15357: @1033589
     /* 1033589 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1033669), // Rule ID 14888 //
     /* 1033594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033633 */     // MIs[0] round
     /* 1033633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033668 */     // GIR_Coverage, 14888,
     /* 1033668 */     GIR_EraseRootFromParent_Done,
     /* 1033669 */   // Label 15358: @1033669
     /* 1033669 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1033749), // Rule ID 14889 //
     /* 1033674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033713 */     // MIs[0] round
     /* 1033713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1033726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033748 */     // GIR_Coverage, 14889,
     /* 1033748 */     GIR_EraseRootFromParent_Done,
     /* 1033749 */   // Label 15359: @1033749
     /* 1033749 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1033829), // Rule ID 14892 //
     /* 1033754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1033771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033793 */     // MIs[0] round
     /* 1033793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1033806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033828 */     // GIR_Coverage, 14892,
     /* 1033828 */     GIR_EraseRootFromParent_Done,
     /* 1033829 */   // Label 15360: @1033829
     /* 1033829 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1033909), // Rule ID 14893 //
     /* 1033834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1033851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1033854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1033857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033873 */     // MIs[0] round
     /* 1033873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1033883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1033886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033908 */     // GIR_Coverage, 14893,
     /* 1033908 */     GIR_EraseRootFromParent_Done,
     /* 1033909 */   // Label 15361: @1033909
     /* 1033909 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1033989), // Rule ID 14896 //
     /* 1033914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1033922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1033931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1033934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1033937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033953 */     // MIs[0] round
     /* 1033953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1033956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1033963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1033966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1033976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1033987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033988 */     // GIR_Coverage, 14896,
     /* 1033988 */     GIR_EraseRootFromParent_Done,
     /* 1033989 */   // Label 15362: @1033989
     /* 1033989 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1034069), // Rule ID 14897 //
     /* 1033994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1034011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034033 */     // MIs[0] round
     /* 1034033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1034046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034068 */     // GIR_Coverage, 14897,
     /* 1034068 */     GIR_EraseRootFromParent_Done,
     /* 1034069 */   // Label 15363: @1034069
     /* 1034069 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1034149), // Rule ID 14900 //
     /* 1034074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1034091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034113 */     // MIs[0] round
     /* 1034113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1034126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034148 */     // GIR_Coverage, 14900,
     /* 1034148 */     GIR_EraseRootFromParent_Done,
     /* 1034149 */   // Label 15364: @1034149
     /* 1034149 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1034229), // Rule ID 14901 //
     /* 1034154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1034171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034193 */     // MIs[0] round
     /* 1034193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1034206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034228 */     // GIR_Coverage, 14901,
     /* 1034228 */     GIR_EraseRootFromParent_Done,
     /* 1034229 */   // Label 15365: @1034229
     /* 1034229 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1034309), // Rule ID 14904 //
     /* 1034234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1034237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1034251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034273 */     // MIs[0] round
     /* 1034273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1034286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034308 */     // GIR_Coverage, 14904,
     /* 1034308 */     GIR_EraseRootFromParent_Done,
     /* 1034309 */   // Label 15366: @1034309
     /* 1034309 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1034389), // Rule ID 14905 //
     /* 1034314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1034317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1034331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034353 */     // MIs[0] round
     /* 1034353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1034366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034388 */     // GIR_Coverage, 14905,
     /* 1034388 */     GIR_EraseRootFromParent_Done,
     /* 1034389 */   // Label 15367: @1034389
     /* 1034389 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1034469), // Rule ID 14908 //
     /* 1034394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034433 */     // MIs[0] round
     /* 1034433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034443 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1034446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034468 */     // GIR_Coverage, 14908,
     /* 1034468 */     GIR_EraseRootFromParent_Done,
     /* 1034469 */   // Label 15368: @1034469
     /* 1034469 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1034549), // Rule ID 14909 //
     /* 1034474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034513 */     // MIs[0] round
     /* 1034513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1034526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034548 */     // GIR_Coverage, 14909,
     /* 1034548 */     GIR_EraseRootFromParent_Done,
     /* 1034549 */   // Label 15369: @1034549
     /* 1034549 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1034629), // Rule ID 14912 //
     /* 1034554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1034565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1034568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1034571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034593 */     // MIs[0] round
     /* 1034593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034603 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1034606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034628 */     // GIR_Coverage, 14912,
     /* 1034628 */     GIR_EraseRootFromParent_Done,
     /* 1034629 */   // Label 15370: @1034629
     /* 1034629 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1034709), // Rule ID 14913 //
     /* 1034634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1034645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1034648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1034651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034673 */     // MIs[0] round
     /* 1034673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1034686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034708 */     // GIR_Coverage, 14913,
     /* 1034708 */     GIR_EraseRootFromParent_Done,
     /* 1034709 */   // Label 15371: @1034709
     /* 1034709 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1034789), // Rule ID 14916 //
     /* 1034714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1034731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034753 */     // MIs[0] round
     /* 1034753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1034766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034788 */     // GIR_Coverage, 14916,
     /* 1034788 */     GIR_EraseRootFromParent_Done,
     /* 1034789 */   // Label 15372: @1034789
     /* 1034789 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1034869), // Rule ID 14917 //
     /* 1034794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1034811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034833 */     // MIs[0] round
     /* 1034833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1034843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1034846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034868 */     // GIR_Coverage, 14917,
     /* 1034868 */     GIR_EraseRootFromParent_Done,
     /* 1034869 */   // Label 15373: @1034869
     /* 1034869 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1034949), // Rule ID 14920 //
     /* 1034874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1034891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1034894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1034897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034913 */     // MIs[0] round
     /* 1034913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1034923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1034926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1034936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1034947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034948 */     // GIR_Coverage, 14920,
     /* 1034948 */     GIR_EraseRootFromParent_Done,
     /* 1034949 */   // Label 15374: @1034949
     /* 1034949 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1035029), // Rule ID 14921 //
     /* 1034954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1034962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1034971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1034974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1034977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034993 */     // MIs[0] round
     /* 1034993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1034996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1035006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035028 */     // GIR_Coverage, 14921,
     /* 1035028 */     GIR_EraseRootFromParent_Done,
     /* 1035029 */   // Label 15375: @1035029
     /* 1035029 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1035109), // Rule ID 14924 //
     /* 1035034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1035045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1035048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035073 */     // MIs[0] round
     /* 1035073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1035086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035108 */     // GIR_Coverage, 14924,
     /* 1035108 */     GIR_EraseRootFromParent_Done,
     /* 1035109 */   // Label 15376: @1035109
     /* 1035109 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1035189), // Rule ID 14925 //
     /* 1035114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1035125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1035128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035153 */     // MIs[0] round
     /* 1035153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1035166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035188 */     // GIR_Coverage, 14925,
     /* 1035188 */     GIR_EraseRootFromParent_Done,
     /* 1035189 */   // Label 15377: @1035189
     /* 1035189 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1035269), // Rule ID 14928 //
     /* 1035194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1035211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035233 */     // MIs[0] round
     /* 1035233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1035246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035268 */     // GIR_Coverage, 14928,
     /* 1035268 */     GIR_EraseRootFromParent_Done,
     /* 1035269 */   // Label 15378: @1035269
     /* 1035269 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1035349), // Rule ID 14929 //
     /* 1035274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1035291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035313 */     // MIs[0] round
     /* 1035313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1035326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035348 */     // GIR_Coverage, 14929,
     /* 1035348 */     GIR_EraseRootFromParent_Done,
     /* 1035349 */   // Label 15379: @1035349
     /* 1035349 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1035429), // Rule ID 14932 //
     /* 1035354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1035371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035393 */     // MIs[0] round
     /* 1035393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1035406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035428 */     // GIR_Coverage, 14932,
     /* 1035428 */     GIR_EraseRootFromParent_Done,
     /* 1035429 */   // Label 15380: @1035429
     /* 1035429 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1035509), // Rule ID 14933 //
     /* 1035434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1035451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035473 */     // MIs[0] round
     /* 1035473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1035486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035508 */     // GIR_Coverage, 14933,
     /* 1035508 */     GIR_EraseRootFromParent_Done,
     /* 1035509 */   // Label 15381: @1035509
     /* 1035509 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1035589), // Rule ID 14936 //
     /* 1035514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1035531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035553 */     // MIs[0] round
     /* 1035553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1035566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035588 */     // GIR_Coverage, 14936,
     /* 1035588 */     GIR_EraseRootFromParent_Done,
     /* 1035589 */   // Label 15382: @1035589
     /* 1035589 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1035669), // Rule ID 14937 //
     /* 1035594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1035611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035633 */     // MIs[0] round
     /* 1035633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1035646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035668 */     // GIR_Coverage, 14937,
     /* 1035668 */     GIR_EraseRootFromParent_Done,
     /* 1035669 */   // Label 15383: @1035669
     /* 1035669 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1035749), // Rule ID 14940 //
     /* 1035674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1035691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035713 */     // MIs[0] round
     /* 1035713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1035726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035748 */     // GIR_Coverage, 14940,
     /* 1035748 */     GIR_EraseRootFromParent_Done,
     /* 1035749 */   // Label 15384: @1035749
     /* 1035749 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1035829), // Rule ID 14941 //
     /* 1035754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1035771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035793 */     // MIs[0] round
     /* 1035793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1035806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035828 */     // GIR_Coverage, 14941,
     /* 1035828 */     GIR_EraseRootFromParent_Done,
     /* 1035829 */   // Label 15385: @1035829
     /* 1035829 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1035909), // Rule ID 14944 //
     /* 1035834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1035851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1035854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1035857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035873 */     // MIs[0] round
     /* 1035873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1035883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1035886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035908 */     // GIR_Coverage, 14944,
     /* 1035908 */     GIR_EraseRootFromParent_Done,
     /* 1035909 */   // Label 15386: @1035909
     /* 1035909 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1035989), // Rule ID 14945 //
     /* 1035914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1035922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1035931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1035934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1035937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035953 */     // MIs[0] round
     /* 1035953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1035956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1035963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1035966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1035976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1035987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035988 */     // GIR_Coverage, 14945,
     /* 1035988 */     GIR_EraseRootFromParent_Done,
     /* 1035989 */   // Label 15387: @1035989
     /* 1035989 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1036069), // Rule ID 14948 //
     /* 1035994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1036002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1036011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1036014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036033 */     // MIs[0] round
     /* 1036033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036043 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1036046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036068 */     // GIR_Coverage, 14948,
     /* 1036068 */     GIR_EraseRootFromParent_Done,
     /* 1036069 */   // Label 15388: @1036069
     /* 1036069 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1036149), // Rule ID 14949 //
     /* 1036074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1036077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1036082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1036091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1036094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036113 */     // MIs[0] round
     /* 1036113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1036126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036148 */     // GIR_Coverage, 14949,
     /* 1036148 */     GIR_EraseRootFromParent_Done,
     /* 1036149 */   // Label 15389: @1036149
     /* 1036149 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1036229), // Rule ID 14952 //
     /* 1036154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1036157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1036162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1036171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1036174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036193 */     // MIs[0] round
     /* 1036193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1036206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036228 */     // GIR_Coverage, 14952,
     /* 1036228 */     GIR_EraseRootFromParent_Done,
     /* 1036229 */   // Label 15390: @1036229
     /* 1036229 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1036309), // Rule ID 14953 //
     /* 1036234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1036237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1036242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1036251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1036254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036273 */     // MIs[0] round
     /* 1036273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1036286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036308 */     // GIR_Coverage, 14953,
     /* 1036308 */     GIR_EraseRootFromParent_Done,
     /* 1036309 */   // Label 15391: @1036309
     /* 1036309 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1036389), // Rule ID 14956 //
     /* 1036314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1036325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1036328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036353 */     // MIs[0] round
     /* 1036353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036363 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1036366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036388 */     // GIR_Coverage, 14956,
     /* 1036388 */     GIR_EraseRootFromParent_Done,
     /* 1036389 */   // Label 15392: @1036389
     /* 1036389 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1036469), // Rule ID 14957 //
     /* 1036394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1036405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1036408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036433 */     // MIs[0] round
     /* 1036433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1036446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036468 */     // GIR_Coverage, 14957,
     /* 1036468 */     GIR_EraseRootFromParent_Done,
     /* 1036469 */   // Label 15393: @1036469
     /* 1036469 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1036549), // Rule ID 14960 //
     /* 1036474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1036485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1036488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036513 */     // MIs[0] round
     /* 1036513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1036526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036548 */     // GIR_Coverage, 14960,
     /* 1036548 */     GIR_EraseRootFromParent_Done,
     /* 1036549 */   // Label 15394: @1036549
     /* 1036549 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1036629), // Rule ID 14961 //
     /* 1036554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1036565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1036568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036593 */     // MIs[0] round
     /* 1036593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1036606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036628 */     // GIR_Coverage, 14961,
     /* 1036628 */     GIR_EraseRootFromParent_Done,
     /* 1036629 */   // Label 15395: @1036629
     /* 1036629 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1036709), // Rule ID 14964 //
     /* 1036634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1036645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1036648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036673 */     // MIs[0] round
     /* 1036673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1036686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036708 */     // GIR_Coverage, 14964,
     /* 1036708 */     GIR_EraseRootFromParent_Done,
     /* 1036709 */   // Label 15396: @1036709
     /* 1036709 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1036789), // Rule ID 14965 //
     /* 1036714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1036725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1036728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036753 */     // MIs[0] round
     /* 1036753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036763 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1036766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036788 */     // GIR_Coverage, 14965,
     /* 1036788 */     GIR_EraseRootFromParent_Done,
     /* 1036789 */   // Label 15397: @1036789
     /* 1036789 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1036869), // Rule ID 14968 //
     /* 1036794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036833 */     // MIs[0] round
     /* 1036833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1036843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1036846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036868 */     // GIR_Coverage, 14968,
     /* 1036868 */     GIR_EraseRootFromParent_Done,
     /* 1036869 */   // Label 15398: @1036869
     /* 1036869 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1036949), // Rule ID 14969 //
     /* 1036874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1036891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1036894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1036897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036913 */     // MIs[0] round
     /* 1036913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1036923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1036926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1036936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1036944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1036947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036948 */     // GIR_Coverage, 14969,
     /* 1036948 */     GIR_EraseRootFromParent_Done,
     /* 1036949 */   // Label 15399: @1036949
     /* 1036949 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1037029), // Rule ID 14972 //
     /* 1036954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1036962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1036971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1036974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1036977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036993 */     // MIs[0] round
     /* 1036993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1036996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1037006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037028 */     // GIR_Coverage, 14972,
     /* 1037028 */     GIR_EraseRootFromParent_Done,
     /* 1037029 */   // Label 15400: @1037029
     /* 1037029 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1037109), // Rule ID 14973 //
     /* 1037034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1037045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1037048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037073 */     // MIs[0] round
     /* 1037073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1037086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037108 */     // GIR_Coverage, 14973,
     /* 1037108 */     GIR_EraseRootFromParent_Done,
     /* 1037109 */   // Label 15401: @1037109
     /* 1037109 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1037189), // Rule ID 14976 //
     /* 1037114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037153 */     // MIs[0] round
     /* 1037153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1037166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037188 */     // GIR_Coverage, 14976,
     /* 1037188 */     GIR_EraseRootFromParent_Done,
     /* 1037189 */   // Label 15402: @1037189
     /* 1037189 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1037269), // Rule ID 14977 //
     /* 1037194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037233 */     // MIs[0] round
     /* 1037233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1037246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037268 */     // GIR_Coverage, 14977,
     /* 1037268 */     GIR_EraseRootFromParent_Done,
     /* 1037269 */   // Label 15403: @1037269
     /* 1037269 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1037349), // Rule ID 14980 //
     /* 1037274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1037285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1037288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1037291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1037294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037313 */     // MIs[0] round
     /* 1037313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037348 */     // GIR_Coverage, 14980,
     /* 1037348 */     GIR_EraseRootFromParent_Done,
     /* 1037349 */   // Label 15404: @1037349
     /* 1037349 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1037429), // Rule ID 14981 //
     /* 1037354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1037365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1037368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1037371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1037374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037393 */     // MIs[0] round
     /* 1037393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037428 */     // GIR_Coverage, 14981,
     /* 1037428 */     GIR_EraseRootFromParent_Done,
     /* 1037429 */   // Label 15405: @1037429
     /* 1037429 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1037509), // Rule ID 14984 //
     /* 1037434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1037445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1037448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037473 */     // MIs[0] round
     /* 1037473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037508 */     // GIR_Coverage, 14984,
     /* 1037508 */     GIR_EraseRootFromParent_Done,
     /* 1037509 */   // Label 15406: @1037509
     /* 1037509 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1037589), // Rule ID 14985 //
     /* 1037514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1037525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1037528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037553 */     // MIs[0] round
     /* 1037553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037588 */     // GIR_Coverage, 14985,
     /* 1037588 */     GIR_EraseRootFromParent_Done,
     /* 1037589 */   // Label 15407: @1037589
     /* 1037589 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1037669), // Rule ID 14988 //
     /* 1037594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037633 */     // MIs[0] round
     /* 1037633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037668 */     // GIR_Coverage, 14988,
     /* 1037668 */     GIR_EraseRootFromParent_Done,
     /* 1037669 */   // Label 15408: @1037669
     /* 1037669 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1037749), // Rule ID 14989 //
     /* 1037674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037713 */     // MIs[0] round
     /* 1037713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037748 */     // GIR_Coverage, 14989,
     /* 1037748 */     GIR_EraseRootFromParent_Done,
     /* 1037749 */   // Label 15409: @1037749
     /* 1037749 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1037829), // Rule ID 14992 //
     /* 1037754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1037757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1037771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1037774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037793 */     // MIs[0] round
     /* 1037793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1037824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037828 */     // GIR_Coverage, 14992,
     /* 1037828 */     GIR_EraseRootFromParent_Done,
     /* 1037829 */   // Label 15410: @1037829
     /* 1037829 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1037909), // Rule ID 14993 //
     /* 1037834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1037837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1037851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1037854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1037857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037873 */     // MIs[0] round
     /* 1037873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1037883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1037886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1037904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037908 */     // GIR_Coverage, 14993,
     /* 1037908 */     GIR_EraseRootFromParent_Done,
     /* 1037909 */   // Label 15411: @1037909
     /* 1037909 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1037989), // Rule ID 14996 //
     /* 1037914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1037922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1037925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1037928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1037931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1037937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037953 */     // MIs[0] round
     /* 1037953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1037956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1037963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1037966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1037976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1037987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037988 */     // GIR_Coverage, 14996,
     /* 1037988 */     GIR_EraseRootFromParent_Done,
     /* 1037989 */   // Label 15412: @1037989
     /* 1037989 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1038069), // Rule ID 14997 //
     /* 1037994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1038005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1038008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1038011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1038014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038033 */     // MIs[0] round
     /* 1038033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1038046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038068 */     // GIR_Coverage, 14997,
     /* 1038068 */     GIR_EraseRootFromParent_Done,
     /* 1038069 */   // Label 15413: @1038069
     /* 1038069 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1038149), // Rule ID 15000 //
     /* 1038074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1038085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1038088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1038091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038113 */     // MIs[0] round
     /* 1038113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038123 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1038126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038148 */     // GIR_Coverage, 15000,
     /* 1038148 */     GIR_EraseRootFromParent_Done,
     /* 1038149 */   // Label 15414: @1038149
     /* 1038149 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1038229), // Rule ID 15001 //
     /* 1038154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1038165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1038168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1038171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1038174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038193 */     // MIs[0] round
     /* 1038193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1038206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038228 */     // GIR_Coverage, 15001,
     /* 1038228 */     GIR_EraseRootFromParent_Done,
     /* 1038229 */   // Label 15415: @1038229
     /* 1038229 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1038309), // Rule ID 15004 //
     /* 1038234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1038245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1038248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1038251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1038254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038273 */     // MIs[0] round
     /* 1038273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1038286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038308 */     // GIR_Coverage, 15004,
     /* 1038308 */     GIR_EraseRootFromParent_Done,
     /* 1038309 */   // Label 15416: @1038309
     /* 1038309 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1038389), // Rule ID 15005 //
     /* 1038314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1038325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1038328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1038331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1038334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038353 */     // MIs[0] round
     /* 1038353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1038366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038388 */     // GIR_Coverage, 15005,
     /* 1038388 */     GIR_EraseRootFromParent_Done,
     /* 1038389 */   // Label 15417: @1038389
     /* 1038389 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1038469), // Rule ID 15008 //
     /* 1038394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1038411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1038414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038433 */     // MIs[0] round
     /* 1038433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1038446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038468 */     // GIR_Coverage, 15008,
     /* 1038468 */     GIR_EraseRootFromParent_Done,
     /* 1038469 */   // Label 15418: @1038469
     /* 1038469 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1038549), // Rule ID 15009 //
     /* 1038474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1038491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1038494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038513 */     // MIs[0] round
     /* 1038513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1038526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038548 */     // GIR_Coverage, 15009,
     /* 1038548 */     GIR_EraseRootFromParent_Done,
     /* 1038549 */   // Label 15419: @1038549
     /* 1038549 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1038629), // Rule ID 15012 //
     /* 1038554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1038571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038593 */     // MIs[0] round
     /* 1038593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1038606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038628 */     // GIR_Coverage, 15012,
     /* 1038628 */     GIR_EraseRootFromParent_Done,
     /* 1038629 */   // Label 15420: @1038629
     /* 1038629 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1038709), // Rule ID 15013 //
     /* 1038634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1038651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038673 */     // MIs[0] round
     /* 1038673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1038686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038708 */     // GIR_Coverage, 15013,
     /* 1038708 */     GIR_EraseRootFromParent_Done,
     /* 1038709 */   // Label 15421: @1038709
     /* 1038709 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1038789), // Rule ID 15016 //
     /* 1038714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1038731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1038734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038753 */     // MIs[0] round
     /* 1038753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1038766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038788 */     // GIR_Coverage, 15016,
     /* 1038788 */     GIR_EraseRootFromParent_Done,
     /* 1038789 */   // Label 15422: @1038789
     /* 1038789 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1038869), // Rule ID 15017 //
     /* 1038794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1038805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1038808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1038811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1038814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038833 */     // MIs[0] round
     /* 1038833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1038843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1038846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038868 */     // GIR_Coverage, 15017,
     /* 1038868 */     GIR_EraseRootFromParent_Done,
     /* 1038869 */   // Label 15423: @1038869
     /* 1038869 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1038949), // Rule ID 15020 //
     /* 1038874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1038897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038913 */     // MIs[0] round
     /* 1038913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1038923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1038926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1038930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1038936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1038947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038948 */     // GIR_Coverage, 15020,
     /* 1038948 */     GIR_EraseRootFromParent_Done,
     /* 1038949 */   // Label 15424: @1038949
     /* 1038949 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1039029), // Rule ID 15021 //
     /* 1038954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1038962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1038977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038993 */     // MIs[0] round
     /* 1038993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1038996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1039006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039028 */     // GIR_Coverage, 15021,
     /* 1039028 */     GIR_EraseRootFromParent_Done,
     /* 1039029 */   // Label 15425: @1039029
     /* 1039029 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1039109), // Rule ID 15024 //
     /* 1039034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1039051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039073 */     // MIs[0] round
     /* 1039073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1039086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039108 */     // GIR_Coverage, 15024,
     /* 1039108 */     GIR_EraseRootFromParent_Done,
     /* 1039109 */   // Label 15426: @1039109
     /* 1039109 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1039189), // Rule ID 15025 //
     /* 1039114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1039131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039153 */     // MIs[0] round
     /* 1039153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1039166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039188 */     // GIR_Coverage, 15025,
     /* 1039188 */     GIR_EraseRootFromParent_Done,
     /* 1039189 */   // Label 15427: @1039189
     /* 1039189 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1039269), // Rule ID 15028 //
     /* 1039194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039233 */     // MIs[0] round
     /* 1039233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039243 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1039246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039268 */     // GIR_Coverage, 15028,
     /* 1039268 */     GIR_EraseRootFromParent_Done,
     /* 1039269 */   // Label 15428: @1039269
     /* 1039269 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1039349), // Rule ID 15029 //
     /* 1039274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039313 */     // MIs[0] round
     /* 1039313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039323 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1039326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039348 */     // GIR_Coverage, 15029,
     /* 1039348 */     GIR_EraseRootFromParent_Done,
     /* 1039349 */   // Label 15429: @1039349
     /* 1039349 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1039429), // Rule ID 15032 //
     /* 1039354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1039357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1039371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1039374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039393 */     // MIs[0] round
     /* 1039393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1039406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039428 */     // GIR_Coverage, 15032,
     /* 1039428 */     GIR_EraseRootFromParent_Done,
     /* 1039429 */   // Label 15430: @1039429
     /* 1039429 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1039509), // Rule ID 15033 //
     /* 1039434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1039437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1039445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1039448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1039451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1039454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039473 */     // MIs[0] round
     /* 1039473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1039486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039508 */     // GIR_Coverage, 15033,
     /* 1039508 */     GIR_EraseRootFromParent_Done,
     /* 1039509 */   // Label 15431: @1039509
     /* 1039509 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1039589), // Rule ID 15036 //
     /* 1039514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1039517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1039531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1039534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039553 */     // MIs[0] round
     /* 1039553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1039566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039588 */     // GIR_Coverage, 15036,
     /* 1039588 */     GIR_EraseRootFromParent_Done,
     /* 1039589 */   // Label 15432: @1039589
     /* 1039589 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1039669), // Rule ID 15037 //
     /* 1039594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1039597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1039605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1039608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1039611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1039614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039633 */     // MIs[0] round
     /* 1039633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1039646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039668 */     // GIR_Coverage, 15037,
     /* 1039668 */     GIR_EraseRootFromParent_Done,
     /* 1039669 */   // Label 15433: @1039669
     /* 1039669 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1039749), // Rule ID 15040 //
     /* 1039674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1039677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1039691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1039694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039713 */     // MIs[0] round
     /* 1039713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1039726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039748 */     // GIR_Coverage, 15040,
     /* 1039748 */     GIR_EraseRootFromParent_Done,
     /* 1039749 */   // Label 15434: @1039749
     /* 1039749 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1039829), // Rule ID 15041 //
     /* 1039754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1039757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1039765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1039768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1039771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1039774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039793 */     // MIs[0] round
     /* 1039793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1039806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1039824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039828 */     // GIR_Coverage, 15041,
     /* 1039828 */     GIR_EraseRootFromParent_Done,
     /* 1039829 */   // Label 15435: @1039829
     /* 1039829 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1039909), // Rule ID 15044 //
     /* 1039834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1039845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1039848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1039851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1039854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1039857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039873 */     // MIs[0] round
     /* 1039873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1039883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1039886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039908 */     // GIR_Coverage, 15044,
     /* 1039908 */     GIR_EraseRootFromParent_Done,
     /* 1039909 */   // Label 15436: @1039909
     /* 1039909 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1039989), // Rule ID 15045 //
     /* 1039914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1039922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1039925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1039928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1039931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1039934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1039937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039953 */     // MIs[0] round
     /* 1039953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1039956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1039963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1039966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1039970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1039976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1039987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039988 */     // GIR_Coverage, 15045,
     /* 1039988 */     GIR_EraseRootFromParent_Done,
     /* 1039989 */   // Label 15437: @1039989
     /* 1039989 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1040069), // Rule ID 15048 //
     /* 1039994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1040005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1040008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040033 */     // MIs[0] round
     /* 1040033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040043 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1040046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040068 */     // GIR_Coverage, 15048,
     /* 1040068 */     GIR_EraseRootFromParent_Done,
     /* 1040069 */   // Label 15438: @1040069
     /* 1040069 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1040149), // Rule ID 15049 //
     /* 1040074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1040085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1040088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040113 */     // MIs[0] round
     /* 1040113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040123 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1040126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040148 */     // GIR_Coverage, 15049,
     /* 1040148 */     GIR_EraseRootFromParent_Done,
     /* 1040149 */   // Label 15439: @1040149
     /* 1040149 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1040229), // Rule ID 15052 //
     /* 1040154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1040165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1040168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040193 */     // MIs[0] round
     /* 1040193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040228 */     // GIR_Coverage, 15052,
     /* 1040228 */     GIR_EraseRootFromParent_Done,
     /* 1040229 */   // Label 15440: @1040229
     /* 1040229 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1040309), // Rule ID 15053 //
     /* 1040234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1040245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1040248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1040251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040273 */     // MIs[0] round
     /* 1040273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040308 */     // GIR_Coverage, 15053,
     /* 1040308 */     GIR_EraseRootFromParent_Done,
     /* 1040309 */   // Label 15441: @1040309
     /* 1040309 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1040389), // Rule ID 15056 //
     /* 1040314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1040331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040353 */     // MIs[0] round
     /* 1040353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040363 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1040366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040388 */     // GIR_Coverage, 15056,
     /* 1040388 */     GIR_EraseRootFromParent_Done,
     /* 1040389 */   // Label 15442: @1040389
     /* 1040389 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1040469), // Rule ID 15057 //
     /* 1040394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1040411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040433 */     // MIs[0] round
     /* 1040433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1040446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040468 */     // GIR_Coverage, 15057,
     /* 1040468 */     GIR_EraseRootFromParent_Done,
     /* 1040469 */   // Label 15443: @1040469
     /* 1040469 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1040549), // Rule ID 15060 //
     /* 1040474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1040491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040513 */     // MIs[0] round
     /* 1040513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040548 */     // GIR_Coverage, 15060,
     /* 1040548 */     GIR_EraseRootFromParent_Done,
     /* 1040549 */   // Label 15444: @1040549
     /* 1040549 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1040629), // Rule ID 15061 //
     /* 1040554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1040571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040593 */     // MIs[0] round
     /* 1040593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040628 */     // GIR_Coverage, 15061,
     /* 1040628 */     GIR_EraseRootFromParent_Done,
     /* 1040629 */   // Label 15445: @1040629
     /* 1040629 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1040709), // Rule ID 15064 //
     /* 1040634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040673 */     // MIs[0] round
     /* 1040673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040708 */     // GIR_Coverage, 15064,
     /* 1040708 */     GIR_EraseRootFromParent_Done,
     /* 1040709 */   // Label 15446: @1040709
     /* 1040709 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1040789), // Rule ID 15065 //
     /* 1040714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040753 */     // MIs[0] round
     /* 1040753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1040766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040788 */     // GIR_Coverage, 15065,
     /* 1040788 */     GIR_EraseRootFromParent_Done,
     /* 1040789 */   // Label 15447: @1040789
     /* 1040789 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1040869), // Rule ID 15068 //
     /* 1040794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1040805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1040808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040833 */     // MIs[0] round
     /* 1040833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040843 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1040843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1040846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040868 */     // GIR_Coverage, 15068,
     /* 1040868 */     GIR_EraseRootFromParent_Done,
     /* 1040869 */   // Label 15448: @1040869
     /* 1040869 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1040949), // Rule ID 15069 //
     /* 1040874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1040885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1040888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1040891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1040894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1040897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040913 */     // MIs[0] round
     /* 1040913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1040923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1040926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1040930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1040936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1040947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040948 */     // GIR_Coverage, 15069,
     /* 1040948 */     GIR_EraseRootFromParent_Done,
     /* 1040949 */   // Label 15449: @1040949
     /* 1040949 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1041029), // Rule ID 15072 //
     /* 1040954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1040962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1040968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1040971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1040974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1040977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040993 */     // MIs[0] round
     /* 1040993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1040996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041028 */     // GIR_Coverage, 15072,
     /* 1041028 */     GIR_EraseRootFromParent_Done,
     /* 1041029 */   // Label 15450: @1041029
     /* 1041029 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1041109), // Rule ID 15073 //
     /* 1041034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041073 */     // MIs[0] round
     /* 1041073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041108 */     // GIR_Coverage, 15073,
     /* 1041108 */     GIR_EraseRootFromParent_Done,
     /* 1041109 */   // Label 15451: @1041109
     /* 1041109 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1041189), // Rule ID 15076 //
     /* 1041114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041153 */     // MIs[0] round
     /* 1041153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041188 */     // GIR_Coverage, 15076,
     /* 1041188 */     GIR_EraseRootFromParent_Done,
     /* 1041189 */   // Label 15452: @1041189
     /* 1041189 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1041269), // Rule ID 15077 //
     /* 1041194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041233 */     // MIs[0] round
     /* 1041233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041268 */     // GIR_Coverage, 15077,
     /* 1041268 */     GIR_EraseRootFromParent_Done,
     /* 1041269 */   // Label 15453: @1041269
     /* 1041269 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1041349), // Rule ID 15080 //
     /* 1041274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1041277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041313 */     // MIs[0] round
     /* 1041313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041348 */     // GIR_Coverage, 15080,
     /* 1041348 */     GIR_EraseRootFromParent_Done,
     /* 1041349 */   // Label 15454: @1041349
     /* 1041349 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1041429), // Rule ID 15081 //
     /* 1041354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1041357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041393 */     // MIs[0] round
     /* 1041393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1041406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041428 */     // GIR_Coverage, 15081,
     /* 1041428 */     GIR_EraseRootFromParent_Done,
     /* 1041429 */   // Label 15455: @1041429
     /* 1041429 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1041509), // Rule ID 15084 //
     /* 1041434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1041445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1041448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041473 */     // MIs[0] round
     /* 1041473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1041486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041508 */     // GIR_Coverage, 15084,
     /* 1041508 */     GIR_EraseRootFromParent_Done,
     /* 1041509 */   // Label 15456: @1041509
     /* 1041509 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1041589), // Rule ID 15085 //
     /* 1041514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1041525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1041528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041553 */     // MIs[0] round
     /* 1041553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041563 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1041566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041588 */     // GIR_Coverage, 15085,
     /* 1041588 */     GIR_EraseRootFromParent_Done,
     /* 1041589 */   // Label 15457: @1041589
     /* 1041589 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1041669), // Rule ID 15088 //
     /* 1041594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1041605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1041608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041633 */     // MIs[0] round
     /* 1041633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1041646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041668 */     // GIR_Coverage, 15088,
     /* 1041668 */     GIR_EraseRootFromParent_Done,
     /* 1041669 */   // Label 15458: @1041669
     /* 1041669 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1041749), // Rule ID 15089 //
     /* 1041674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1041685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1041688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041713 */     // MIs[0] round
     /* 1041713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1041726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041748 */     // GIR_Coverage, 15089,
     /* 1041748 */     GIR_EraseRootFromParent_Done,
     /* 1041749 */   // Label 15459: @1041749
     /* 1041749 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1041829), // Rule ID 15092 //
     /* 1041754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1041765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1041768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1041771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041793 */     // MIs[0] round
     /* 1041793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041803 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1041806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041828 */     // GIR_Coverage, 15092,
     /* 1041828 */     GIR_EraseRootFromParent_Done,
     /* 1041829 */   // Label 15460: @1041829
     /* 1041829 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1041909), // Rule ID 15093 //
     /* 1041834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1041845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1041848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1041851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1041854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1041857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041873 */     // MIs[0] round
     /* 1041873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1041883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1041886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041908 */     // GIR_Coverage, 15093,
     /* 1041908 */     GIR_EraseRootFromParent_Done,
     /* 1041909 */   // Label 15461: @1041909
     /* 1041909 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1041989), // Rule ID 15096 //
     /* 1041914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1041922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1041934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1041937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041953 */     // MIs[0] round
     /* 1041953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1041956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1041963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1041966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1041976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1041987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041988 */     // GIR_Coverage, 15096,
     /* 1041988 */     GIR_EraseRootFromParent_Done,
     /* 1041989 */   // Label 15462: @1041989
     /* 1041989 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1042069), // Rule ID 15097 //
     /* 1041994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1042005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1042008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1042011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042033 */     // MIs[0] round
     /* 1042033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1042046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042068 */     // GIR_Coverage, 15097,
     /* 1042068 */     GIR_EraseRootFromParent_Done,
     /* 1042069 */   // Label 15463: @1042069
     /* 1042069 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1042149), // Rule ID 15100 //
     /* 1042074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1042085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1042088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042113 */     // MIs[0] round
     /* 1042113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1042126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042148 */     // GIR_Coverage, 15100,
     /* 1042148 */     GIR_EraseRootFromParent_Done,
     /* 1042149 */   // Label 15464: @1042149
     /* 1042149 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1042229), // Rule ID 15101 //
     /* 1042154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1042165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1042168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042193 */     // MIs[0] round
     /* 1042193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1042206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042228 */     // GIR_Coverage, 15101,
     /* 1042228 */     GIR_EraseRootFromParent_Done,
     /* 1042229 */   // Label 15465: @1042229
     /* 1042229 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1042309), // Rule ID 15104 //
     /* 1042234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1042245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1042248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1042251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042273 */     // MIs[0] round
     /* 1042273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042283 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1042286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042308 */     // GIR_Coverage, 15104,
     /* 1042308 */     GIR_EraseRootFromParent_Done,
     /* 1042309 */   // Label 15466: @1042309
     /* 1042309 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1042389), // Rule ID 15105 //
     /* 1042314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1042325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1042328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1042331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042353 */     // MIs[0] round
     /* 1042353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042363 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1042366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042388 */     // GIR_Coverage, 15105,
     /* 1042388 */     GIR_EraseRootFromParent_Done,
     /* 1042389 */   // Label 15467: @1042389
     /* 1042389 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1042469), // Rule ID 15108 //
     /* 1042394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042433 */     // MIs[0] round
     /* 1042433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1042446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042468 */     // GIR_Coverage, 15108,
     /* 1042468 */     GIR_EraseRootFromParent_Done,
     /* 1042469 */   // Label 15468: @1042469
     /* 1042469 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1042549), // Rule ID 15109 //
     /* 1042474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042513 */     // MIs[0] round
     /* 1042513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1042526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042548 */     // GIR_Coverage, 15109,
     /* 1042548 */     GIR_EraseRootFromParent_Done,
     /* 1042549 */   // Label 15469: @1042549
     /* 1042549 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1042629), // Rule ID 15112 //
     /* 1042554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042593 */     // MIs[0] round
     /* 1042593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1042606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042628 */     // GIR_Coverage, 15112,
     /* 1042628 */     GIR_EraseRootFromParent_Done,
     /* 1042629 */   // Label 15470: @1042629
     /* 1042629 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1042709), // Rule ID 15113 //
     /* 1042634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042673 */     // MIs[0] round
     /* 1042673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1042686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042708 */     // GIR_Coverage, 15113,
     /* 1042708 */     GIR_EraseRootFromParent_Done,
     /* 1042709 */   // Label 15471: @1042709
     /* 1042709 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1042789), // Rule ID 15116 //
     /* 1042714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042753 */     // MIs[0] round
     /* 1042753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1042766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042788 */     // GIR_Coverage, 15116,
     /* 1042788 */     GIR_EraseRootFromParent_Done,
     /* 1042789 */   // Label 15472: @1042789
     /* 1042789 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1042869), // Rule ID 15117 //
     /* 1042794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042833 */     // MIs[0] round
     /* 1042833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1042843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1042846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042868 */     // GIR_Coverage, 15117,
     /* 1042868 */     GIR_EraseRootFromParent_Done,
     /* 1042869 */   // Label 15473: @1042869
     /* 1042869 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1042949), // Rule ID 15120 //
     /* 1042874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1042877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1042894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1042897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042913 */     // MIs[0] round
     /* 1042913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1042923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1042926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1042936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1042947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042948 */     // GIR_Coverage, 15120,
     /* 1042948 */     GIR_EraseRootFromParent_Done,
     /* 1042949 */   // Label 15474: @1042949
     /* 1042949 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1043029), // Rule ID 15121 //
     /* 1042954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1042957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1042962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1042974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1042977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042993 */     // MIs[0] round
     /* 1042993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1042996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1043006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043028 */     // GIR_Coverage, 15121,
     /* 1043028 */     GIR_EraseRootFromParent_Done,
     /* 1043029 */   // Label 15475: @1043029
     /* 1043029 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1043109), // Rule ID 15124 //
     /* 1043034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1043037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1043042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1043051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1043054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043073 */     // MIs[0] round
     /* 1043073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1043086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043108 */     // GIR_Coverage, 15124,
     /* 1043108 */     GIR_EraseRootFromParent_Done,
     /* 1043109 */   // Label 15476: @1043109
     /* 1043109 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1043189), // Rule ID 15125 //
     /* 1043114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1043117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1043122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1043131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1043134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043153 */     // MIs[0] round
     /* 1043153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043163 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1043166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043188 */     // GIR_Coverage, 15125,
     /* 1043188 */     GIR_EraseRootFromParent_Done,
     /* 1043189 */   // Label 15477: @1043189
     /* 1043189 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1043269), // Rule ID 15128 //
     /* 1043194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1043197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1043202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1043211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1043214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043233 */     // MIs[0] round
     /* 1043233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1043246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043268 */     // GIR_Coverage, 15128,
     /* 1043268 */     GIR_EraseRootFromParent_Done,
     /* 1043269 */   // Label 15478: @1043269
     /* 1043269 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1043349), // Rule ID 15129 //
     /* 1043274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1043277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1043282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1043291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1043294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043313 */     // MIs[0] round
     /* 1043313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1043326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043348 */     // GIR_Coverage, 15129,
     /* 1043348 */     GIR_EraseRootFromParent_Done,
     /* 1043349 */   // Label 15479: @1043349
     /* 1043349 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1043429), // Rule ID 15132 //
     /* 1043354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1043365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1043368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1043371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043393 */     // MIs[0] round
     /* 1043393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1043406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043428 */     // GIR_Coverage, 15132,
     /* 1043428 */     GIR_EraseRootFromParent_Done,
     /* 1043429 */   // Label 15480: @1043429
     /* 1043429 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1043509), // Rule ID 15133 //
     /* 1043434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1043445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1043448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1043451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043473 */     // MIs[0] round
     /* 1043473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1043486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043508 */     // GIR_Coverage, 15133,
     /* 1043508 */     GIR_EraseRootFromParent_Done,
     /* 1043509 */   // Label 15481: @1043509
     /* 1043509 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1043589), // Rule ID 15136 //
     /* 1043514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1043525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1043528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1043531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043553 */     // MIs[0] round
     /* 1043553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1043566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043588 */     // GIR_Coverage, 15136,
     /* 1043588 */     GIR_EraseRootFromParent_Done,
     /* 1043589 */   // Label 15482: @1043589
     /* 1043589 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1043669), // Rule ID 15137 //
     /* 1043594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1043605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1043608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1043611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043633 */     // MIs[0] round
     /* 1043633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043643 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1043646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043668 */     // GIR_Coverage, 15137,
     /* 1043668 */     GIR_EraseRootFromParent_Done,
     /* 1043669 */   // Label 15483: @1043669
     /* 1043669 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1043749), // Rule ID 15140 //
     /* 1043674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1043685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1043688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1043691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043713 */     // MIs[0] round
     /* 1043713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1043726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043748 */     // GIR_Coverage, 15140,
     /* 1043748 */     GIR_EraseRootFromParent_Done,
     /* 1043749 */   // Label 15484: @1043749
     /* 1043749 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1043829), // Rule ID 15141 //
     /* 1043754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1043765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1043768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1043771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043793 */     // MIs[0] round
     /* 1043793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1043806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043828 */     // GIR_Coverage, 15141,
     /* 1043828 */     GIR_EraseRootFromParent_Done,
     /* 1043829 */   // Label 15485: @1043829
     /* 1043829 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1043909), // Rule ID 15144 //
     /* 1043834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1043851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1043857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043873 */     // MIs[0] round
     /* 1043873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043883 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1043883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1043886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043908 */     // GIR_Coverage, 15144,
     /* 1043908 */     GIR_EraseRootFromParent_Done,
     /* 1043909 */   // Label 15486: @1043909
     /* 1043909 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1043989), // Rule ID 15145 //
     /* 1043914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1043922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1043931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1043937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043953 */     // MIs[0] round
     /* 1043953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1043956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1043963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1043966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1043976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1043987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043988 */     // GIR_Coverage, 15145,
     /* 1043988 */     GIR_EraseRootFromParent_Done,
     /* 1043989 */   // Label 15487: @1043989
     /* 1043989 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1044069), // Rule ID 15148 //
     /* 1043994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1044011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044033 */     // MIs[0] round
     /* 1044033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1044046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044068 */     // GIR_Coverage, 15148,
     /* 1044068 */     GIR_EraseRootFromParent_Done,
     /* 1044069 */   // Label 15488: @1044069
     /* 1044069 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1044149), // Rule ID 15149 //
     /* 1044074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1044085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1044088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1044091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044113 */     // MIs[0] round
     /* 1044113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1044126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044148 */     // GIR_Coverage, 15149,
     /* 1044148 */     GIR_EraseRootFromParent_Done,
     /* 1044149 */   // Label 15489: @1044149
     /* 1044149 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1044229), // Rule ID 15152 //
     /* 1044154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1044171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044193 */     // MIs[0] round
     /* 1044193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1044206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044228 */     // GIR_Coverage, 15152,
     /* 1044228 */     GIR_EraseRootFromParent_Done,
     /* 1044229 */   // Label 15490: @1044229
     /* 1044229 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1044309), // Rule ID 15153 //
     /* 1044234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1044251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044273 */     // MIs[0] round
     /* 1044273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1044286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044308 */     // GIR_Coverage, 15153,
     /* 1044308 */     GIR_EraseRootFromParent_Done,
     /* 1044309 */   // Label 15491: @1044309
     /* 1044309 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1044389), // Rule ID 15156 //
     /* 1044314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1044325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1044328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1044331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1044334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044353 */     // MIs[0] round
     /* 1044353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044388 */     // GIR_Coverage, 15156,
     /* 1044388 */     GIR_EraseRootFromParent_Done,
     /* 1044389 */   // Label 15492: @1044389
     /* 1044389 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1044469), // Rule ID 15157 //
     /* 1044394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1044405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1044408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1044411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1044414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044433 */     // MIs[0] round
     /* 1044433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044443 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044468 */     // GIR_Coverage, 15157,
     /* 1044468 */     GIR_EraseRootFromParent_Done,
     /* 1044469 */   // Label 15493: @1044469
     /* 1044469 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1044549), // Rule ID 15160 //
     /* 1044474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1044485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1044488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1044491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044513 */     // MIs[0] round
     /* 1044513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044548 */     // GIR_Coverage, 15160,
     /* 1044548 */     GIR_EraseRootFromParent_Done,
     /* 1044549 */   // Label 15494: @1044549
     /* 1044549 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1044629), // Rule ID 15161 //
     /* 1044554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1044565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1044568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1044571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044593 */     // MIs[0] round
     /* 1044593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044628 */     // GIR_Coverage, 15161,
     /* 1044628 */     GIR_EraseRootFromParent_Done,
     /* 1044629 */   // Label 15495: @1044629
     /* 1044629 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1044709), // Rule ID 15164 //
     /* 1044634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1044651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044673 */     // MIs[0] round
     /* 1044673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044708 */     // GIR_Coverage, 15164,
     /* 1044708 */     GIR_EraseRootFromParent_Done,
     /* 1044709 */   // Label 15496: @1044709
     /* 1044709 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1044789), // Rule ID 15165 //
     /* 1044714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1044731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044753 */     // MIs[0] round
     /* 1044753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044763 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044788 */     // GIR_Coverage, 15165,
     /* 1044788 */     GIR_EraseRootFromParent_Done,
     /* 1044789 */   // Label 15497: @1044789
     /* 1044789 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1044869), // Rule ID 15168 //
     /* 1044794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1044797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1044811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1044814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044833 */     // MIs[0] round
     /* 1044833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1044843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1044864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044868 */     // GIR_Coverage, 15168,
     /* 1044868 */     GIR_EraseRootFromParent_Done,
     /* 1044869 */   // Label 15498: @1044869
     /* 1044869 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1044949), // Rule ID 15169 //
     /* 1044874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1044877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1044891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1044894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1044897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044913 */     // MIs[0] round
     /* 1044913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1044923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1044926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1044936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1044944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1044947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044948 */     // GIR_Coverage, 15169,
     /* 1044948 */     GIR_EraseRootFromParent_Done,
     /* 1044949 */   // Label 15499: @1044949
     /* 1044949 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1045029), // Rule ID 15172 //
     /* 1044954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1044962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1044965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1044968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1044971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1044977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044993 */     // MIs[0] round
     /* 1044993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1044996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1045006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045028 */     // GIR_Coverage, 15172,
     /* 1045028 */     GIR_EraseRootFromParent_Done,
     /* 1045029 */   // Label 15500: @1045029
     /* 1045029 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1045109), // Rule ID 15173 //
     /* 1045034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1045045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1045048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045073 */     // MIs[0] round
     /* 1045073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1045086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045108 */     // GIR_Coverage, 15173,
     /* 1045108 */     GIR_EraseRootFromParent_Done,
     /* 1045109 */   // Label 15501: @1045109
     /* 1045109 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1045189), // Rule ID 15176 //
     /* 1045114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1045125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1045128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045153 */     // MIs[0] round
     /* 1045153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1045166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045188 */     // GIR_Coverage, 15176,
     /* 1045188 */     GIR_EraseRootFromParent_Done,
     /* 1045189 */   // Label 15502: @1045189
     /* 1045189 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1045269), // Rule ID 15177 //
     /* 1045194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1045205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1045208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1045211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045233 */     // MIs[0] round
     /* 1045233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1045246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045268 */     // GIR_Coverage, 15177,
     /* 1045268 */     GIR_EraseRootFromParent_Done,
     /* 1045269 */   // Label 15503: @1045269
     /* 1045269 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1045349), // Rule ID 15180 //
     /* 1045274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1045285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1045288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1045291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1045294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045313 */     // MIs[0] round
     /* 1045313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1045326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045348 */     // GIR_Coverage, 15180,
     /* 1045348 */     GIR_EraseRootFromParent_Done,
     /* 1045349 */   // Label 15504: @1045349
     /* 1045349 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1045429), // Rule ID 15181 //
     /* 1045354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1045365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1045368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1045371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1045374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045393 */     // MIs[0] round
     /* 1045393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1045406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045428 */     // GIR_Coverage, 15181,
     /* 1045428 */     GIR_EraseRootFromParent_Done,
     /* 1045429 */   // Label 15505: @1045429
     /* 1045429 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1045509), // Rule ID 15184 //
     /* 1045434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1045451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1045454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045473 */     // MIs[0] round
     /* 1045473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1045486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045508 */     // GIR_Coverage, 15184,
     /* 1045508 */     GIR_EraseRootFromParent_Done,
     /* 1045509 */   // Label 15506: @1045509
     /* 1045509 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1045589), // Rule ID 15185 //
     /* 1045514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1045531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1045534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045553 */     // MIs[0] round
     /* 1045553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1045566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045588 */     // GIR_Coverage, 15185,
     /* 1045588 */     GIR_EraseRootFromParent_Done,
     /* 1045589 */   // Label 15507: @1045589
     /* 1045589 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1045669), // Rule ID 15188 //
     /* 1045594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1045611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1045614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045633 */     // MIs[0] round
     /* 1045633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1045646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045668 */     // GIR_Coverage, 15188,
     /* 1045668 */     GIR_EraseRootFromParent_Done,
     /* 1045669 */   // Label 15508: @1045669
     /* 1045669 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1045749), // Rule ID 15189 //
     /* 1045674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1045691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1045694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045713 */     // MIs[0] round
     /* 1045713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1045726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045748 */     // GIR_Coverage, 15189,
     /* 1045748 */     GIR_EraseRootFromParent_Done,
     /* 1045749 */   // Label 15509: @1045749
     /* 1045749 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1045829), // Rule ID 15192 //
     /* 1045754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1045771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1045774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045793 */     // MIs[0] round
     /* 1045793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1045806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045828 */     // GIR_Coverage, 15192,
     /* 1045828 */     GIR_EraseRootFromParent_Done,
     /* 1045829 */   // Label 15510: @1045829
     /* 1045829 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1045909), // Rule ID 15193 //
     /* 1045834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1045845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1045848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1045851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1045854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1045857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045873 */     // MIs[0] round
     /* 1045873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045883 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1045883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1045886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045908 */     // GIR_Coverage, 15193,
     /* 1045908 */     GIR_EraseRootFromParent_Done,
     /* 1045909 */   // Label 15511: @1045909
     /* 1045909 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1045989), // Rule ID 15196 //
     /* 1045914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1045922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1045931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1045937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045953 */     // MIs[0] round
     /* 1045953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1045956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1045963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1045966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1045976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1045987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045988 */     // GIR_Coverage, 15196,
     /* 1045988 */     GIR_EraseRootFromParent_Done,
     /* 1045989 */   // Label 15512: @1045989
     /* 1045989 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1046069), // Rule ID 15197 //
     /* 1045994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1046014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046033 */     // MIs[0] round
     /* 1046033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1046046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046068 */     // GIR_Coverage, 15197,
     /* 1046068 */     GIR_EraseRootFromParent_Done,
     /* 1046069 */   // Label 15513: @1046069
     /* 1046069 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1046149), // Rule ID 15200 //
     /* 1046074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046113 */     // MIs[0] round
     /* 1046113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1046126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046148 */     // GIR_Coverage, 15200,
     /* 1046148 */     GIR_EraseRootFromParent_Done,
     /* 1046149 */   // Label 15514: @1046149
     /* 1046149 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1046229), // Rule ID 15201 //
     /* 1046154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1046174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046193 */     // MIs[0] round
     /* 1046193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1046206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046228 */     // GIR_Coverage, 15201,
     /* 1046228 */     GIR_EraseRootFromParent_Done,
     /* 1046229 */   // Label 15515: @1046229
     /* 1046229 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1046309), // Rule ID 15204 //
     /* 1046234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1046251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1046254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046273 */     // MIs[0] round
     /* 1046273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1046286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046308 */     // GIR_Coverage, 15204,
     /* 1046308 */     GIR_EraseRootFromParent_Done,
     /* 1046309 */   // Label 15516: @1046309
     /* 1046309 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1046389), // Rule ID 15205 //
     /* 1046314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1046331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1046334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046353 */     // MIs[0] round
     /* 1046353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1046366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046388 */     // GIR_Coverage, 15205,
     /* 1046388 */     GIR_EraseRootFromParent_Done,
     /* 1046389 */   // Label 15517: @1046389
     /* 1046389 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1046469), // Rule ID 15208 //
     /* 1046394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1046397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1046411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1046414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046433 */     // MIs[0] round
     /* 1046433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1046446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046468 */     // GIR_Coverage, 15208,
     /* 1046468 */     GIR_EraseRootFromParent_Done,
     /* 1046469 */   // Label 15518: @1046469
     /* 1046469 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1046549), // Rule ID 15209 //
     /* 1046474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1046477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1046485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1046488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1046491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1046494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046513 */     // MIs[0] round
     /* 1046513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1046526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046548 */     // GIR_Coverage, 15209,
     /* 1046548 */     GIR_EraseRootFromParent_Done,
     /* 1046549 */   // Label 15519: @1046549
     /* 1046549 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1046629), // Rule ID 15212 //
     /* 1046554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1046557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1046571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1046574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046593 */     // MIs[0] round
     /* 1046593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1046606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046628 */     // GIR_Coverage, 15212,
     /* 1046628 */     GIR_EraseRootFromParent_Done,
     /* 1046629 */   // Label 15520: @1046629
     /* 1046629 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1046709), // Rule ID 15213 //
     /* 1046634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1046637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1046645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1046648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1046651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1046654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046673 */     // MIs[0] round
     /* 1046673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1046686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046708 */     // GIR_Coverage, 15213,
     /* 1046708 */     GIR_EraseRootFromParent_Done,
     /* 1046709 */   // Label 15521: @1046709
     /* 1046709 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1046789), // Rule ID 15216 //
     /* 1046714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1046717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1046731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1046734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046753 */     // MIs[0] round
     /* 1046753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046763 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1046766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046788 */     // GIR_Coverage, 15216,
     /* 1046788 */     GIR_EraseRootFromParent_Done,
     /* 1046789 */   // Label 15522: @1046789
     /* 1046789 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1046869), // Rule ID 15217 //
     /* 1046794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1046797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1046805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1046808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1046811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1046814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046833 */     // MIs[0] round
     /* 1046833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1046843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1046846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046868 */     // GIR_Coverage, 15217,
     /* 1046868 */     GIR_EraseRootFromParent_Done,
     /* 1046869 */   // Label 15523: @1046869
     /* 1046869 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1046949), // Rule ID 15220 //
     /* 1046874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1046885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1046888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1046891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1046894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1046897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046913 */     // MIs[0] round
     /* 1046913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046923 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1046923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1046926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1046936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1046947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046948 */     // GIR_Coverage, 15220,
     /* 1046948 */     GIR_EraseRootFromParent_Done,
     /* 1046949 */   // Label 15524: @1046949
     /* 1046949 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1047029), // Rule ID 15221 //
     /* 1046954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1046962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1046965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1046968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1046971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1046974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1046977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046993 */     // MIs[0] round
     /* 1046993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1046996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1047006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047028 */     // GIR_Coverage, 15221,
     /* 1047028 */     GIR_EraseRootFromParent_Done,
     /* 1047029 */   // Label 15525: @1047029
     /* 1047029 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1047109), // Rule ID 15224 //
     /* 1047034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1047045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1047048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1047051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047073 */     // MIs[0] round
     /* 1047073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047083 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1047086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047108 */     // GIR_Coverage, 15224,
     /* 1047108 */     GIR_EraseRootFromParent_Done,
     /* 1047109 */   // Label 15526: @1047109
     /* 1047109 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1047189), // Rule ID 15225 //
     /* 1047114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1047125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1047128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1047131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047153 */     // MIs[0] round
     /* 1047153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047163 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1047166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047188 */     // GIR_Coverage, 15225,
     /* 1047188 */     GIR_EraseRootFromParent_Done,
     /* 1047189 */   // Label 15527: @1047189
     /* 1047189 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1047269), // Rule ID 15228 //
     /* 1047194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1047205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1047208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1047211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047233 */     // MIs[0] round
     /* 1047233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047268 */     // GIR_Coverage, 15228,
     /* 1047268 */     GIR_EraseRootFromParent_Done,
     /* 1047269 */   // Label 15528: @1047269
     /* 1047269 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1047349), // Rule ID 15229 //
     /* 1047274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1047285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1047288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1047291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047313 */     // MIs[0] round
     /* 1047313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047348 */     // GIR_Coverage, 15229,
     /* 1047348 */     GIR_EraseRootFromParent_Done,
     /* 1047349 */   // Label 15529: @1047349
     /* 1047349 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1047429), // Rule ID 15232 //
     /* 1047354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1047371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047393 */     // MIs[0] round
     /* 1047393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1047406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047428 */     // GIR_Coverage, 15232,
     /* 1047428 */     GIR_EraseRootFromParent_Done,
     /* 1047429 */   // Label 15530: @1047429
     /* 1047429 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1047509), // Rule ID 15233 //
     /* 1047434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1047451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047473 */     // MIs[0] round
     /* 1047473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1047486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047508 */     // GIR_Coverage, 15233,
     /* 1047508 */     GIR_EraseRootFromParent_Done,
     /* 1047509 */   // Label 15531: @1047509
     /* 1047509 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1047589), // Rule ID 15236 //
     /* 1047514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047553 */     // MIs[0] round
     /* 1047553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047588 */     // GIR_Coverage, 15236,
     /* 1047588 */     GIR_EraseRootFromParent_Done,
     /* 1047589 */   // Label 15532: @1047589
     /* 1047589 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1047669), // Rule ID 15237 //
     /* 1047594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047633 */     // MIs[0] round
     /* 1047633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047668 */     // GIR_Coverage, 15237,
     /* 1047668 */     GIR_EraseRootFromParent_Done,
     /* 1047669 */   // Label 15533: @1047669
     /* 1047669 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1047749), // Rule ID 15240 //
     /* 1047674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047713 */     // MIs[0] round
     /* 1047713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047748 */     // GIR_Coverage, 15240,
     /* 1047748 */     GIR_EraseRootFromParent_Done,
     /* 1047749 */   // Label 15534: @1047749
     /* 1047749 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1047829), // Rule ID 15241 //
     /* 1047754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047793 */     // MIs[0] round
     /* 1047793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1047806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047828 */     // GIR_Coverage, 15241,
     /* 1047828 */     GIR_EraseRootFromParent_Done,
     /* 1047829 */   // Label 15535: @1047829
     /* 1047829 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1047909), // Rule ID 15244 //
     /* 1047834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1047845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1047848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1047851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1047854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1047857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047873 */     // MIs[0] round
     /* 1047873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1047883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1047886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047908 */     // GIR_Coverage, 15244,
     /* 1047908 */     GIR_EraseRootFromParent_Done,
     /* 1047909 */   // Label 15536: @1047909
     /* 1047909 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1047989), // Rule ID 15245 //
     /* 1047914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1047922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1047925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1047928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1047931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1047934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1047937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047953 */     // MIs[0] round
     /* 1047953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1047956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047963 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1047963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1047966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1047976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1047987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047988 */     // GIR_Coverage, 15245,
     /* 1047988 */     GIR_EraseRootFromParent_Done,
     /* 1047989 */   // Label 15537: @1047989
     /* 1047989 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1048069), // Rule ID 15248 //
     /* 1047994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048033 */     // MIs[0] round
     /* 1048033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048068 */     // GIR_Coverage, 15248,
     /* 1048068 */     GIR_EraseRootFromParent_Done,
     /* 1048069 */   // Label 15538: @1048069
     /* 1048069 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1048149), // Rule ID 15249 //
     /* 1048074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048113 */     // MIs[0] round
     /* 1048113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048148 */     // GIR_Coverage, 15249,
     /* 1048148 */     GIR_EraseRootFromParent_Done,
     /* 1048149 */   // Label 15539: @1048149
     /* 1048149 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1048229), // Rule ID 15252 //
     /* 1048154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048193 */     // MIs[0] round
     /* 1048193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048228 */     // GIR_Coverage, 15252,
     /* 1048228 */     GIR_EraseRootFromParent_Done,
     /* 1048229 */   // Label 15540: @1048229
     /* 1048229 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1048309), // Rule ID 15253 //
     /* 1048234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048273 */     // MIs[0] round
     /* 1048273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048308 */     // GIR_Coverage, 15253,
     /* 1048308 */     GIR_EraseRootFromParent_Done,
     /* 1048309 */   // Label 15541: @1048309
     /* 1048309 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1048389), // Rule ID 15256 //
     /* 1048314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1048317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048353 */     // MIs[0] round
     /* 1048353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048388 */     // GIR_Coverage, 15256,
     /* 1048388 */     GIR_EraseRootFromParent_Done,
     /* 1048389 */   // Label 15542: @1048389
     /* 1048389 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1048469), // Rule ID 15257 //
     /* 1048394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1048397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048433 */     // MIs[0] round
     /* 1048433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1048446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048468 */     // GIR_Coverage, 15257,
     /* 1048468 */     GIR_EraseRootFromParent_Done,
     /* 1048469 */   // Label 15543: @1048469
     /* 1048469 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1048549), // Rule ID 15260 //
     /* 1048474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1048485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1048488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1048491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048513 */     // MIs[0] round
     /* 1048513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1048526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048548 */     // GIR_Coverage, 15260,
     /* 1048548 */     GIR_EraseRootFromParent_Done,
     /* 1048549 */   // Label 15544: @1048549
     /* 1048549 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1048629), // Rule ID 15261 //
     /* 1048554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1048565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1048568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1048571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048593 */     // MIs[0] round
     /* 1048593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1048606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048628 */     // GIR_Coverage, 15261,
     /* 1048628 */     GIR_EraseRootFromParent_Done,
     /* 1048629 */   // Label 15545: @1048629
     /* 1048629 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1048709), // Rule ID 15264 //
     /* 1048634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1048645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1048648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1048651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048673 */     // MIs[0] round
     /* 1048673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1048686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048708 */     // GIR_Coverage, 15264,
     /* 1048708 */     GIR_EraseRootFromParent_Done,
     /* 1048709 */   // Label 15546: @1048709
     /* 1048709 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1048789), // Rule ID 15265 //
     /* 1048714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1048725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1048728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1048731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048753 */     // MIs[0] round
     /* 1048753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1048766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048788 */     // GIR_Coverage, 15265,
     /* 1048788 */     GIR_EraseRootFromParent_Done,
     /* 1048789 */   // Label 15547: @1048789
     /* 1048789 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1048869), // Rule ID 15268 //
     /* 1048794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1048805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1048808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1048811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048833 */     // MIs[0] round
     /* 1048833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1048843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1048846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048868 */     // GIR_Coverage, 15268,
     /* 1048868 */     GIR_EraseRootFromParent_Done,
     /* 1048869 */   // Label 15548: @1048869
     /* 1048869 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1048949), // Rule ID 15269 //
     /* 1048874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1048885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1048888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1048891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1048894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1048897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048913 */     // MIs[0] round
     /* 1048913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048923 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1048923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1048926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1048936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1048947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048948 */     // GIR_Coverage, 15269,
     /* 1048948 */     GIR_EraseRootFromParent_Done,
     /* 1048949 */   // Label 15549: @1048949
     /* 1048949 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1049029), // Rule ID 15272 //
     /* 1048954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1048962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1048974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1048977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048993 */     // MIs[0] round
     /* 1048993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1048996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1049006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049028 */     // GIR_Coverage, 15272,
     /* 1049028 */     GIR_EraseRootFromParent_Done,
     /* 1049029 */   // Label 15550: @1049029
     /* 1049029 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1049109), // Rule ID 15273 //
     /* 1049034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1049045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1049048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1049051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049073 */     // MIs[0] round
     /* 1049073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1049086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049108 */     // GIR_Coverage, 15273,
     /* 1049108 */     GIR_EraseRootFromParent_Done,
     /* 1049109 */   // Label 15551: @1049109
     /* 1049109 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1049189), // Rule ID 15276 //
     /* 1049114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1049125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1049128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1049131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049153 */     // MIs[0] round
     /* 1049153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1049166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049188 */     // GIR_Coverage, 15276,
     /* 1049188 */     GIR_EraseRootFromParent_Done,
     /* 1049189 */   // Label 15552: @1049189
     /* 1049189 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1049269), // Rule ID 15277 //
     /* 1049194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1049205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1049208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1049211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049233 */     // MIs[0] round
     /* 1049233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1049246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049268 */     // GIR_Coverage, 15277,
     /* 1049268 */     GIR_EraseRootFromParent_Done,
     /* 1049269 */   // Label 15553: @1049269
     /* 1049269 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1049349), // Rule ID 15280 //
     /* 1049274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049313 */     // MIs[0] round
     /* 1049313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1049326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049348 */     // GIR_Coverage, 15280,
     /* 1049348 */     GIR_EraseRootFromParent_Done,
     /* 1049349 */   // Label 15554: @1049349
     /* 1049349 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1049429), // Rule ID 15281 //
     /* 1049354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049393 */     // MIs[0] round
     /* 1049393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1049406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049428 */     // GIR_Coverage, 15281,
     /* 1049428 */     GIR_EraseRootFromParent_Done,
     /* 1049429 */   // Label 15555: @1049429
     /* 1049429 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1049509), // Rule ID 15284 //
     /* 1049434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049473 */     // MIs[0] round
     /* 1049473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1049486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049508 */     // GIR_Coverage, 15284,
     /* 1049508 */     GIR_EraseRootFromParent_Done,
     /* 1049509 */   // Label 15556: @1049509
     /* 1049509 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1049589), // Rule ID 15285 //
     /* 1049514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049553 */     // MIs[0] round
     /* 1049553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1049566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049588 */     // GIR_Coverage, 15285,
     /* 1049588 */     GIR_EraseRootFromParent_Done,
     /* 1049589 */   // Label 15557: @1049589
     /* 1049589 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1049669), // Rule ID 15288 //
     /* 1049594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049633 */     // MIs[0] round
     /* 1049633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1049646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049668 */     // GIR_Coverage, 15288,
     /* 1049668 */     GIR_EraseRootFromParent_Done,
     /* 1049669 */   // Label 15558: @1049669
     /* 1049669 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1049749), // Rule ID 15289 //
     /* 1049674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049713 */     // MIs[0] round
     /* 1049713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049723 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1049726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049748 */     // GIR_Coverage, 15289,
     /* 1049748 */     GIR_EraseRootFromParent_Done,
     /* 1049749 */   // Label 15559: @1049749
     /* 1049749 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1049829), // Rule ID 15292 //
     /* 1049754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049793 */     // MIs[0] round
     /* 1049793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1049806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049828 */     // GIR_Coverage, 15292,
     /* 1049828 */     GIR_EraseRootFromParent_Done,
     /* 1049829 */   // Label 15560: @1049829
     /* 1049829 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1049909), // Rule ID 15293 //
     /* 1049834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1049854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1049857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049873 */     // MIs[0] round
     /* 1049873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1049883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1049886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049908 */     // GIR_Coverage, 15293,
     /* 1049908 */     GIR_EraseRootFromParent_Done,
     /* 1049909 */   // Label 15561: @1049909
     /* 1049909 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1049989), // Rule ID 15296 //
     /* 1049914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1049917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1049922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1049934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1049937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049953 */     // MIs[0] round
     /* 1049953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1049956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1049963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1049966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1049976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1049987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049988 */     // GIR_Coverage, 15296,
     /* 1049988 */     GIR_EraseRootFromParent_Done,
     /* 1049989 */   // Label 15562: @1049989
     /* 1049989 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1050069), // Rule ID 15297 //
     /* 1049994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1049997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1050002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1050011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1050014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050033 */     // MIs[0] round
     /* 1050033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1050046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050068 */     // GIR_Coverage, 15297,
     /* 1050068 */     GIR_EraseRootFromParent_Done,
     /* 1050069 */   // Label 15563: @1050069
     /* 1050069 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1050149), // Rule ID 15300 //
     /* 1050074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1050077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1050082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1050085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1050088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1050091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1050094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050113 */     // MIs[0] round
     /* 1050113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1050126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050148 */     // GIR_Coverage, 15300,
     /* 1050148 */     GIR_EraseRootFromParent_Done,
     /* 1050149 */   // Label 15564: @1050149
     /* 1050149 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1050229), // Rule ID 15301 //
     /* 1050154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1050157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1050162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1050165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1050168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1050171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1050174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050193 */     // MIs[0] round
     /* 1050193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1050206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050228 */     // GIR_Coverage, 15301,
     /* 1050228 */     GIR_EraseRootFromParent_Done,
     /* 1050229 */   // Label 15565: @1050229
     /* 1050229 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1050309), // Rule ID 15304 //
     /* 1050234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1050237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1050242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1050245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1050248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1050251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1050254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050273 */     // MIs[0] round
     /* 1050273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1050286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050308 */     // GIR_Coverage, 15304,
     /* 1050308 */     GIR_EraseRootFromParent_Done,
     /* 1050309 */   // Label 15566: @1050309
     /* 1050309 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1050389), // Rule ID 15305 //
     /* 1050314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1050317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1050322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1050325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1050328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1050331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1050334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050353 */     // MIs[0] round
     /* 1050353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050363 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1050366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050388 */     // GIR_Coverage, 15305,
     /* 1050388 */     GIR_EraseRootFromParent_Done,
     /* 1050389 */   // Label 15567: @1050389
     /* 1050389 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1050469), // Rule ID 15308 //
     /* 1050394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1050405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1050408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1050411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1050414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050433 */     // MIs[0] round
     /* 1050433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1050446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050468 */     // GIR_Coverage, 15308,
     /* 1050468 */     GIR_EraseRootFromParent_Done,
     /* 1050469 */   // Label 15568: @1050469
     /* 1050469 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1050549), // Rule ID 15309 //
     /* 1050474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1050485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1050488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1050491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1050494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050513 */     // MIs[0] round
     /* 1050513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1050526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050548 */     // GIR_Coverage, 15309,
     /* 1050548 */     GIR_EraseRootFromParent_Done,
     /* 1050549 */   // Label 15569: @1050549
     /* 1050549 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1050629), // Rule ID 15312 //
     /* 1050554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1050565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1050568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1050571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1050574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050593 */     // MIs[0] round
     /* 1050593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1050606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050628 */     // GIR_Coverage, 15312,
     /* 1050628 */     GIR_EraseRootFromParent_Done,
     /* 1050629 */   // Label 15570: @1050629
     /* 1050629 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1050709), // Rule ID 15313 //
     /* 1050634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1050645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1050648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1050651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1050654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050673 */     // MIs[0] round
     /* 1050673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1050686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050708 */     // GIR_Coverage, 15313,
     /* 1050708 */     GIR_EraseRootFromParent_Done,
     /* 1050709 */   // Label 15571: @1050709
     /* 1050709 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1050789), // Rule ID 15316 //
     /* 1050714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1050725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1050728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1050731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1050734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050753 */     // MIs[0] round
     /* 1050753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050763 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1050766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050788 */     // GIR_Coverage, 15316,
     /* 1050788 */     GIR_EraseRootFromParent_Done,
     /* 1050789 */   // Label 15572: @1050789
     /* 1050789 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1050869), // Rule ID 15317 //
     /* 1050794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1050805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1050808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1050811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1050814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050833 */     // MIs[0] round
     /* 1050833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050843 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1050843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1050846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050868 */     // GIR_Coverage, 15317,
     /* 1050868 */     GIR_EraseRootFromParent_Done,
     /* 1050869 */   // Label 15573: @1050869
     /* 1050869 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1050949), // Rule ID 15320 //
     /* 1050874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1050885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1050888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1050897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050913 */     // MIs[0] round
     /* 1050913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1050923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1050926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1050936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1050947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050948 */     // GIR_Coverage, 15320,
     /* 1050948 */     GIR_EraseRootFromParent_Done,
     /* 1050949 */   // Label 15574: @1050949
     /* 1050949 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1051029), // Rule ID 15321 //
     /* 1050954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1050962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1050965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1050968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1050977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050993 */     // MIs[0] round
     /* 1050993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1050996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051003 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1051006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051028 */     // GIR_Coverage, 15321,
     /* 1051028 */     GIR_EraseRootFromParent_Done,
     /* 1051029 */   // Label 15575: @1051029
     /* 1051029 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1051109), // Rule ID 15324 //
     /* 1051034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1051054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051073 */     // MIs[0] round
     /* 1051073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1051086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051108 */     // GIR_Coverage, 15324,
     /* 1051108 */     GIR_EraseRootFromParent_Done,
     /* 1051109 */   // Label 15576: @1051109
     /* 1051109 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1051189), // Rule ID 15325 //
     /* 1051114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1051125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1051128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1051134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051153 */     // MIs[0] round
     /* 1051153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1051166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051188 */     // GIR_Coverage, 15325,
     /* 1051188 */     GIR_EraseRootFromParent_Done,
     /* 1051189 */   // Label 15577: @1051189
     /* 1051189 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1051269), // Rule ID 15328 //
     /* 1051194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051233 */     // MIs[0] round
     /* 1051233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1051246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051268 */     // GIR_Coverage, 15328,
     /* 1051268 */     GIR_EraseRootFromParent_Done,
     /* 1051269 */   // Label 15578: @1051269
     /* 1051269 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1051349), // Rule ID 15329 //
     /* 1051274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1051291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051313 */     // MIs[0] round
     /* 1051313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1051326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051348 */     // GIR_Coverage, 15329,
     /* 1051348 */     GIR_EraseRootFromParent_Done,
     /* 1051349 */   // Label 15579: @1051349
     /* 1051349 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1051429), // Rule ID 15332 //
     /* 1051354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1051365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1051368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1051374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051393 */     // MIs[0] round
     /* 1051393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051428 */     // GIR_Coverage, 15332,
     /* 1051428 */     GIR_EraseRootFromParent_Done,
     /* 1051429 */   // Label 15580: @1051429
     /* 1051429 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1051509), // Rule ID 15333 //
     /* 1051434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1051445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1051448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1051454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051473 */     // MIs[0] round
     /* 1051473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051508 */     // GIR_Coverage, 15333,
     /* 1051508 */     GIR_EraseRootFromParent_Done,
     /* 1051509 */   // Label 15581: @1051509
     /* 1051509 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1051589), // Rule ID 15336 //
     /* 1051514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1051534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051553 */     // MIs[0] round
     /* 1051553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051588 */     // GIR_Coverage, 15336,
     /* 1051588 */     GIR_EraseRootFromParent_Done,
     /* 1051589 */   // Label 15582: @1051589
     /* 1051589 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1051669), // Rule ID 15337 //
     /* 1051594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1051605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1051608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1051614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051633 */     // MIs[0] round
     /* 1051633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051668 */     // GIR_Coverage, 15337,
     /* 1051668 */     GIR_EraseRootFromParent_Done,
     /* 1051669 */   // Label 15583: @1051669
     /* 1051669 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1051749), // Rule ID 15340 //
     /* 1051674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051713 */     // MIs[0] round
     /* 1051713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051748 */     // GIR_Coverage, 15340,
     /* 1051748 */     GIR_EraseRootFromParent_Done,
     /* 1051749 */   // Label 15584: @1051749
     /* 1051749 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1051829), // Rule ID 15341 //
     /* 1051754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051793 */     // MIs[0] round
     /* 1051793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051828 */     // GIR_Coverage, 15341,
     /* 1051828 */     GIR_EraseRootFromParent_Done,
     /* 1051829 */   // Label 15585: @1051829
     /* 1051829 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1051909), // Rule ID 15344 //
     /* 1051834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1051837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1051851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1051854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1051857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051873 */     // MIs[0] round
     /* 1051873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1051883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051908 */     // GIR_Coverage, 15344,
     /* 1051908 */     GIR_EraseRootFromParent_Done,
     /* 1051909 */   // Label 15586: @1051909
     /* 1051909 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1051989), // Rule ID 15345 //
     /* 1051914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1051917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1051922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1051931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1051934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1051937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051953 */     // MIs[0] round
     /* 1051953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1051956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051963 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1051963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1051966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1051976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1051987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051988 */     // GIR_Coverage, 15345,
     /* 1051988 */     GIR_EraseRootFromParent_Done,
     /* 1051989 */   // Label 15587: @1051989
     /* 1051989 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1052069), // Rule ID 15348 //
     /* 1051994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1052005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1052008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1052011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1052014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052033 */     // MIs[0] round
     /* 1052033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1052046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052068 */     // GIR_Coverage, 15348,
     /* 1052068 */     GIR_EraseRootFromParent_Done,
     /* 1052069 */   // Label 15588: @1052069
     /* 1052069 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1052149), // Rule ID 15349 //
     /* 1052074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1052085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1052088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1052091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1052094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052113 */     // MIs[0] round
     /* 1052113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1052126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052148 */     // GIR_Coverage, 15349,
     /* 1052148 */     GIR_EraseRootFromParent_Done,
     /* 1052149 */   // Label 15589: @1052149
     /* 1052149 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1052229), // Rule ID 15352 //
     /* 1052154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1052165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1052168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1052171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1052174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052193 */     // MIs[0] round
     /* 1052193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1052206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052228 */     // GIR_Coverage, 15352,
     /* 1052228 */     GIR_EraseRootFromParent_Done,
     /* 1052229 */   // Label 15590: @1052229
     /* 1052229 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1052309), // Rule ID 15353 //
     /* 1052234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1052245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1052248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1052251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1052254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052273 */     // MIs[0] round
     /* 1052273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1052286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052308 */     // GIR_Coverage, 15353,
     /* 1052308 */     GIR_EraseRootFromParent_Done,
     /* 1052309 */   // Label 15591: @1052309
     /* 1052309 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1052389), // Rule ID 15356 //
     /* 1052314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1052325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1052328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1052331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1052334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052353 */     // MIs[0] round
     /* 1052353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1052366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052388 */     // GIR_Coverage, 15356,
     /* 1052388 */     GIR_EraseRootFromParent_Done,
     /* 1052389 */   // Label 15592: @1052389
     /* 1052389 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1052469), // Rule ID 15357 //
     /* 1052394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1052405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1052408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1052411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1052414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052433 */     // MIs[0] round
     /* 1052433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1052446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052468 */     // GIR_Coverage, 15357,
     /* 1052468 */     GIR_EraseRootFromParent_Done,
     /* 1052469 */   // Label 15593: @1052469
     /* 1052469 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1052549), // Rule ID 15360 //
     /* 1052474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1052494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052513 */     // MIs[0] round
     /* 1052513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1052526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052548 */     // GIR_Coverage, 15360,
     /* 1052548 */     GIR_EraseRootFromParent_Done,
     /* 1052549 */   // Label 15594: @1052549
     /* 1052549 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1052629), // Rule ID 15361 //
     /* 1052554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1052565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1052568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1052571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1052574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052593 */     // MIs[0] round
     /* 1052593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1052606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052628 */     // GIR_Coverage, 15361,
     /* 1052628 */     GIR_EraseRootFromParent_Done,
     /* 1052629 */   // Label 15595: @1052629
     /* 1052629 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1052709), // Rule ID 15364 //
     /* 1052634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1052654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052673 */     // MIs[0] round
     /* 1052673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1052686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052708 */     // GIR_Coverage, 15364,
     /* 1052708 */     GIR_EraseRootFromParent_Done,
     /* 1052709 */   // Label 15596: @1052709
     /* 1052709 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1052789), // Rule ID 15365 //
     /* 1052714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1052725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1052728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1052734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052753 */     // MIs[0] round
     /* 1052753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1052766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052788 */     // GIR_Coverage, 15365,
     /* 1052788 */     GIR_EraseRootFromParent_Done,
     /* 1052789 */   // Label 15597: @1052789
     /* 1052789 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1052869), // Rule ID 15368 //
     /* 1052794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1052814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052833 */     // MIs[0] round
     /* 1052833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1052843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1052846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052868 */     // GIR_Coverage, 15368,
     /* 1052868 */     GIR_EraseRootFromParent_Done,
     /* 1052869 */   // Label 15598: @1052869
     /* 1052869 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1052949), // Rule ID 15369 //
     /* 1052874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1052877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1052885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1052888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1052891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1052894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1052897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052913 */     // MIs[0] round
     /* 1052913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052923 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1052923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1052926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1052936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1052947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052948 */     // GIR_Coverage, 15369,
     /* 1052948 */     GIR_EraseRootFromParent_Done,
     /* 1052949 */   // Label 15599: @1052949
     /* 1052949 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1053029), // Rule ID 15372 //
     /* 1052954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1052957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1052962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1052974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1052977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052993 */     // MIs[0] round
     /* 1052993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1052996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1053006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053028 */     // GIR_Coverage, 15372,
     /* 1053028 */     GIR_EraseRootFromParent_Done,
     /* 1053029 */   // Label 15600: @1053029
     /* 1053029 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1053109), // Rule ID 15373 //
     /* 1053034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1053037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1053054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053073 */     // MIs[0] round
     /* 1053073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1053086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053108 */     // GIR_Coverage, 15373,
     /* 1053108 */     GIR_EraseRootFromParent_Done,
     /* 1053109 */   // Label 15601: @1053109
     /* 1053109 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1053189), // Rule ID 15376 //
     /* 1053114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1053117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1053134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053153 */     // MIs[0] round
     /* 1053153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1053166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053188 */     // GIR_Coverage, 15376,
     /* 1053188 */     GIR_EraseRootFromParent_Done,
     /* 1053189 */   // Label 15602: @1053189
     /* 1053189 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1053269), // Rule ID 15377 //
     /* 1053194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1053197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1053214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053233 */     // MIs[0] round
     /* 1053233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1053246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053268 */     // GIR_Coverage, 15377,
     /* 1053268 */     GIR_EraseRootFromParent_Done,
     /* 1053269 */   // Label 15603: @1053269
     /* 1053269 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1053349), // Rule ID 15380 //
     /* 1053274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1053277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1053294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053313 */     // MIs[0] round
     /* 1053313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053323 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1053326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053348 */     // GIR_Coverage, 15380,
     /* 1053348 */     GIR_EraseRootFromParent_Done,
     /* 1053349 */   // Label 15604: @1053349
     /* 1053349 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1053429), // Rule ID 15381 //
     /* 1053354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1053357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1053374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053393 */     // MIs[0] round
     /* 1053393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1053406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053428 */     // GIR_Coverage, 15381,
     /* 1053428 */     GIR_EraseRootFromParent_Done,
     /* 1053429 */   // Label 15605: @1053429
     /* 1053429 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1053509), // Rule ID 15384 //
     /* 1053434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1053437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1053454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053473 */     // MIs[0] round
     /* 1053473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1053486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053508 */     // GIR_Coverage, 15384,
     /* 1053508 */     GIR_EraseRootFromParent_Done,
     /* 1053509 */   // Label 15606: @1053509
     /* 1053509 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1053589), // Rule ID 15385 //
     /* 1053514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1053517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1053534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053553 */     // MIs[0] round
     /* 1053553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053563 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1053566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053588 */     // GIR_Coverage, 15385,
     /* 1053588 */     GIR_EraseRootFromParent_Done,
     /* 1053589 */   // Label 15607: @1053589
     /* 1053589 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1053669), // Rule ID 15388 //
     /* 1053594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1053597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1053614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053633 */     // MIs[0] round
     /* 1053633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1053646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053668 */     // GIR_Coverage, 15388,
     /* 1053668 */     GIR_EraseRootFromParent_Done,
     /* 1053669 */   // Label 15608: @1053669
     /* 1053669 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1053749), // Rule ID 15389 //
     /* 1053674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1053677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1053685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1053688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1053691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1053694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053713 */     // MIs[0] round
     /* 1053713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1053726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053748 */     // GIR_Coverage, 15389,
     /* 1053748 */     GIR_EraseRootFromParent_Done,
     /* 1053749 */   // Label 15609: @1053749
     /* 1053749 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1053829), // Rule ID 15392 //
     /* 1053754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1053757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1053774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053793 */     // MIs[0] round
     /* 1053793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1053806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053828 */     // GIR_Coverage, 15392,
     /* 1053828 */     GIR_EraseRootFromParent_Done,
     /* 1053829 */   // Label 15610: @1053829
     /* 1053829 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1053909), // Rule ID 15393 //
     /* 1053834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1053837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1053845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1053848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1053851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1053854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1053857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053873 */     // MIs[0] round
     /* 1053873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1053883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1053886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053908 */     // GIR_Coverage, 15393,
     /* 1053908 */     GIR_EraseRootFromParent_Done,
     /* 1053909 */   // Label 15611: @1053909
     /* 1053909 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1053989), // Rule ID 15396 //
     /* 1053914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1053917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1053922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1053925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1053928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1053931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1053934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1053937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1053953 */     // MIs[0] round
     /* 1053953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1053956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1053963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1053966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1053976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1053987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053988 */     // GIR_Coverage, 15396,
     /* 1053988 */     GIR_EraseRootFromParent_Done,
     /* 1053989 */   // Label 15612: @1053989
     /* 1053989 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1054069), // Rule ID 15397 //
     /* 1053994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1053997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1054005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1054008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1054011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054033 */     // MIs[0] round
     /* 1054033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1054046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054068 */     // GIR_Coverage, 15397,
     /* 1054068 */     GIR_EraseRootFromParent_Done,
     /* 1054069 */   // Label 15613: @1054069
     /* 1054069 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1054149), // Rule ID 15400 //
     /* 1054074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1054085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1054088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1054091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054113 */     // MIs[0] round
     /* 1054113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054123 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1054126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054148 */     // GIR_Coverage, 15400,
     /* 1054148 */     GIR_EraseRootFromParent_Done,
     /* 1054149 */   // Label 15614: @1054149
     /* 1054149 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1054229), // Rule ID 15401 //
     /* 1054154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1054165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1054168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1054171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054193 */     // MIs[0] round
     /* 1054193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054203 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1054206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054228 */     // GIR_Coverage, 15401,
     /* 1054228 */     GIR_EraseRootFromParent_Done,
     /* 1054229 */   // Label 15615: @1054229
     /* 1054229 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1054309), // Rule ID 15404 //
     /* 1054234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1054245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1054248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1054251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054273 */     // MIs[0] round
     /* 1054273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054308 */     // GIR_Coverage, 15404,
     /* 1054308 */     GIR_EraseRootFromParent_Done,
     /* 1054309 */   // Label 15616: @1054309
     /* 1054309 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1054389), // Rule ID 15405 //
     /* 1054314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1054325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1054328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1054331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054353 */     // MIs[0] round
     /* 1054353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054388 */     // GIR_Coverage, 15405,
     /* 1054388 */     GIR_EraseRootFromParent_Done,
     /* 1054389 */   // Label 15617: @1054389
     /* 1054389 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1054469), // Rule ID 15408 //
     /* 1054394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054433 */     // MIs[0] round
     /* 1054433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1054446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054468 */     // GIR_Coverage, 15408,
     /* 1054468 */     GIR_EraseRootFromParent_Done,
     /* 1054469 */   // Label 15618: @1054469
     /* 1054469 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1054549), // Rule ID 15409 //
     /* 1054474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1054485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1054488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054513 */     // MIs[0] round
     /* 1054513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1054526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054548 */     // GIR_Coverage, 15409,
     /* 1054548 */     GIR_EraseRootFromParent_Done,
     /* 1054549 */   // Label 15619: @1054549
     /* 1054549 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1054629), // Rule ID 15412 //
     /* 1054554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054593 */     // MIs[0] round
     /* 1054593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054628 */     // GIR_Coverage, 15412,
     /* 1054628 */     GIR_EraseRootFromParent_Done,
     /* 1054629 */   // Label 15620: @1054629
     /* 1054629 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1054709), // Rule ID 15413 //
     /* 1054634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054673 */     // MIs[0] round
     /* 1054673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054708 */     // GIR_Coverage, 15413,
     /* 1054708 */     GIR_EraseRootFromParent_Done,
     /* 1054709 */   // Label 15621: @1054709
     /* 1054709 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1054789), // Rule ID 15416 //
     /* 1054714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054753 */     // MIs[0] round
     /* 1054753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054763 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054788 */     // GIR_Coverage, 15416,
     /* 1054788 */     GIR_EraseRootFromParent_Done,
     /* 1054789 */   // Label 15622: @1054789
     /* 1054789 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1054869), // Rule ID 15417 //
     /* 1054794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054833 */     // MIs[0] round
     /* 1054833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1054846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054868 */     // GIR_Coverage, 15417,
     /* 1054868 */     GIR_EraseRootFromParent_Done,
     /* 1054869 */   // Label 15623: @1054869
     /* 1054869 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1054949), // Rule ID 15420 //
     /* 1054874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1054885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1054888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1054894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054913 */     // MIs[0] round
     /* 1054913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1054926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054948 */     // GIR_Coverage, 15420,
     /* 1054948 */     GIR_EraseRootFromParent_Done,
     /* 1054949 */   // Label 15624: @1054949
     /* 1054949 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1055029), // Rule ID 15421 //
     /* 1054954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1054962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1054965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1054968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1054974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1054993 */     // MIs[0] round
     /* 1054993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055028 */     // GIR_Coverage, 15421,
     /* 1055028 */     GIR_EraseRootFromParent_Done,
     /* 1055029 */   // Label 15625: @1055029
     /* 1055029 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1055109), // Rule ID 15424 //
     /* 1055034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055073 */     // MIs[0] round
     /* 1055073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055108 */     // GIR_Coverage, 15424,
     /* 1055108 */     GIR_EraseRootFromParent_Done,
     /* 1055109 */   // Label 15626: @1055109
     /* 1055109 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1055189), // Rule ID 15425 //
     /* 1055114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055153 */     // MIs[0] round
     /* 1055153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055188 */     // GIR_Coverage, 15425,
     /* 1055188 */     GIR_EraseRootFromParent_Done,
     /* 1055189 */   // Label 15627: @1055189
     /* 1055189 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1055269), // Rule ID 15428 //
     /* 1055194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1055205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1055208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055233 */     // MIs[0] round
     /* 1055233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055268 */     // GIR_Coverage, 15428,
     /* 1055268 */     GIR_EraseRootFromParent_Done,
     /* 1055269 */   // Label 15628: @1055269
     /* 1055269 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1055349), // Rule ID 15429 //
     /* 1055274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1055285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1055288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055313 */     // MIs[0] round
     /* 1055313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055348 */     // GIR_Coverage, 15429,
     /* 1055348 */     GIR_EraseRootFromParent_Done,
     /* 1055349 */   // Label 15629: @1055349
     /* 1055349 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1055429), // Rule ID 15432 //
     /* 1055354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1055357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055393 */     // MIs[0] round
     /* 1055393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055428 */     // GIR_Coverage, 15432,
     /* 1055428 */     GIR_EraseRootFromParent_Done,
     /* 1055429 */   // Label 15630: @1055429
     /* 1055429 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1055509), // Rule ID 15433 //
     /* 1055434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1055437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055473 */     // MIs[0] round
     /* 1055473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1055486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055508 */     // GIR_Coverage, 15433,
     /* 1055508 */     GIR_EraseRootFromParent_Done,
     /* 1055509 */   // Label 15631: @1055509
     /* 1055509 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1055589), // Rule ID 15436 //
     /* 1055514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1055525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1055528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1055531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055553 */     // MIs[0] round
     /* 1055553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055563 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1055566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055588 */     // GIR_Coverage, 15436,
     /* 1055588 */     GIR_EraseRootFromParent_Done,
     /* 1055589 */   // Label 15632: @1055589
     /* 1055589 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1055669), // Rule ID 15437 //
     /* 1055594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1055605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1055608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1055611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055633 */     // MIs[0] round
     /* 1055633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1055646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055668 */     // GIR_Coverage, 15437,
     /* 1055668 */     GIR_EraseRootFromParent_Done,
     /* 1055669 */   // Label 15633: @1055669
     /* 1055669 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1055749), // Rule ID 15440 //
     /* 1055674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1055685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1055688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1055691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055713 */     // MIs[0] round
     /* 1055713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1055726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055748 */     // GIR_Coverage, 15440,
     /* 1055748 */     GIR_EraseRootFromParent_Done,
     /* 1055749 */   // Label 15634: @1055749
     /* 1055749 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1055829), // Rule ID 15441 //
     /* 1055754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1055765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1055768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1055771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055793 */     // MIs[0] round
     /* 1055793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1055806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055828 */     // GIR_Coverage, 15441,
     /* 1055828 */     GIR_EraseRootFromParent_Done,
     /* 1055829 */   // Label 15635: @1055829
     /* 1055829 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1055909), // Rule ID 15444 //
     /* 1055834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1055845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1055848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1055851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1055854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055873 */     // MIs[0] round
     /* 1055873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1055886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055908 */     // GIR_Coverage, 15444,
     /* 1055908 */     GIR_EraseRootFromParent_Done,
     /* 1055909 */   // Label 15636: @1055909
     /* 1055909 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1055989), // Rule ID 15445 //
     /* 1055914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1055922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1055925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1055928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1055931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1055934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1055953 */     // MIs[0] round
     /* 1055953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055963 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1055966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055988 */     // GIR_Coverage, 15445,
     /* 1055988 */     GIR_EraseRootFromParent_Done,
     /* 1055989 */   // Label 15637: @1055989
     /* 1055989 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1056069), // Rule ID 15448 //
     /* 1055994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056033 */     // MIs[0] round
     /* 1056033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1056046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056068 */     // GIR_Coverage, 15448,
     /* 1056068 */     GIR_EraseRootFromParent_Done,
     /* 1056069 */   // Label 15638: @1056069
     /* 1056069 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1056149), // Rule ID 15449 //
     /* 1056074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056113 */     // MIs[0] round
     /* 1056113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1056126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056148 */     // GIR_Coverage, 15449,
     /* 1056148 */     GIR_EraseRootFromParent_Done,
     /* 1056149 */   // Label 15639: @1056149
     /* 1056149 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1056229), // Rule ID 15452 //
     /* 1056154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1056165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1056168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056193 */     // MIs[0] round
     /* 1056193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1056206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056228 */     // GIR_Coverage, 15452,
     /* 1056228 */     GIR_EraseRootFromParent_Done,
     /* 1056229 */   // Label 15640: @1056229
     /* 1056229 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1056309), // Rule ID 15453 //
     /* 1056234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1056245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1056248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056273 */     // MIs[0] round
     /* 1056273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1056286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056308 */     // GIR_Coverage, 15453,
     /* 1056308 */     GIR_EraseRootFromParent_Done,
     /* 1056309 */   // Label 15641: @1056309
     /* 1056309 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1056389), // Rule ID 15456 //
     /* 1056314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1056325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1056328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1056331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056353 */     // MIs[0] round
     /* 1056353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056363 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1056366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056388 */     // GIR_Coverage, 15456,
     /* 1056388 */     GIR_EraseRootFromParent_Done,
     /* 1056389 */   // Label 15642: @1056389
     /* 1056389 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1056469), // Rule ID 15457 //
     /* 1056394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1056405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1056408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1056411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056433 */     // MIs[0] round
     /* 1056433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056443 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1056446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056468 */     // GIR_Coverage, 15457,
     /* 1056468 */     GIR_EraseRootFromParent_Done,
     /* 1056469 */   // Label 15643: @1056469
     /* 1056469 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1056549), // Rule ID 15460 //
     /* 1056474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1056491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056513 */     // MIs[0] round
     /* 1056513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1056526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056548 */     // GIR_Coverage, 15460,
     /* 1056548 */     GIR_EraseRootFromParent_Done,
     /* 1056549 */   // Label 15644: @1056549
     /* 1056549 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1056629), // Rule ID 15461 //
     /* 1056554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1056571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056593 */     // MIs[0] round
     /* 1056593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1056606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056628 */     // GIR_Coverage, 15461,
     /* 1056628 */     GIR_EraseRootFromParent_Done,
     /* 1056629 */   // Label 15645: @1056629
     /* 1056629 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1056709), // Rule ID 15464 //
     /* 1056634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1056651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056673 */     // MIs[0] round
     /* 1056673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1056686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056708 */     // GIR_Coverage, 15464,
     /* 1056708 */     GIR_EraseRootFromParent_Done,
     /* 1056709 */   // Label 15646: @1056709
     /* 1056709 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1056789), // Rule ID 15465 //
     /* 1056714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1056731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056753 */     // MIs[0] round
     /* 1056753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056763 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1056766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056788 */     // GIR_Coverage, 15465,
     /* 1056788 */     GIR_EraseRootFromParent_Done,
     /* 1056789 */   // Label 15647: @1056789
     /* 1056789 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1056869), // Rule ID 15468 //
     /* 1056794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1056811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056833 */     // MIs[0] round
     /* 1056833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1056846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056868 */     // GIR_Coverage, 15468,
     /* 1056868 */     GIR_EraseRootFromParent_Done,
     /* 1056869 */   // Label 15648: @1056869
     /* 1056869 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1056949), // Rule ID 15469 //
     /* 1056874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1056891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1056894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056913 */     // MIs[0] round
     /* 1056913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1056926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056948 */     // GIR_Coverage, 15469,
     /* 1056948 */     GIR_EraseRootFromParent_Done,
     /* 1056949 */   // Label 15649: @1056949
     /* 1056949 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1057029), // Rule ID 15472 //
     /* 1056954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1056957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1056962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1056971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1056974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1056993 */     // MIs[0] round
     /* 1056993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1057006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057028 */     // GIR_Coverage, 15472,
     /* 1057028 */     GIR_EraseRootFromParent_Done,
     /* 1057029 */   // Label 15650: @1057029
     /* 1057029 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1057109), // Rule ID 15473 //
     /* 1057034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1057037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1057042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1057054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1057073 */     // MIs[0] round
     /* 1057073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1057086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057108 */     // GIR_Coverage, 15473,
     /* 1057108 */     GIR_EraseRootFromParent_Done,
     /* 1057109 */   // Label 15651: @1057109
     /* 1057109 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1057189), // Rule ID 15476 //
     /* 1057114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1057117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1057122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1057131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1057134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1057153 */     // MIs[0] round
     /* 1057153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057163 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1057166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057188 */     // GIR_Coverage, 15476,
     /* 1057188 */     GIR_EraseRootFromParent_Done,
     /* 1057189 */   // Label 15652: @1057189
     /* 1057189 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1057269), // Rule ID 15477 //
     /* 1057194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1057197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1057202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1057211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1057214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1057233 */     // MIs[0] round
     /* 1057233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1057246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057268 */     // GIR_Coverage, 15477,
     /* 1057268 */     GIR_EraseRootFromParent_Done,
     /* 1057269 */   // Label 15653: @1057269
     /* 1057269 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1057349), // Rule ID 15480 //
     /* 1057274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1057277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1057282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1057291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1057294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1057313 */     // MIs[0] round
     /* 1057313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057323 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1057326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057348 */     // GIR_Coverage, 15480,
     /* 1057348 */     GIR_EraseRootFromParent_Done,
     /* 1057349 */   // Label 15654: @1057349
     /* 1057349 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1057429), // Rule ID 15481 //
     /* 1057354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1057357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1057362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1057371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1057374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1057393 */     // MIs[0] round
     /* 1057393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1057406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057428 */     // GIR_Coverage, 15481,
     /* 1057428 */     GIR_EraseRootFromParent_Done,
     /* 1057429 */   // Label 15655: @1057429
     /* 1057429 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1057512), // Rule ID 15484 //
     /* 1057434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1057445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1057448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1057451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1057454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057473 */     // MIs[0] round
     /* 1057473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1057486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057511 */     // GIR_Coverage, 15484,
     /* 1057511 */     GIR_EraseRootFromParent_Done,
     /* 1057512 */   // Label 15656: @1057512
     /* 1057512 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1057595), // Rule ID 15485 //
     /* 1057517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1057528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1057531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1057534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1057537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057556 */     // MIs[0] round
     /* 1057556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1057569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057594 */     // GIR_Coverage, 15485,
     /* 1057594 */     GIR_EraseRootFromParent_Done,
     /* 1057595 */   // Label 15657: @1057595
     /* 1057595 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1057678), // Rule ID 15488 //
     /* 1057600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1057611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1057614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1057617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1057620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057639 */     // MIs[0] round
     /* 1057639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1057652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057677 */     // GIR_Coverage, 15488,
     /* 1057677 */     GIR_EraseRootFromParent_Done,
     /* 1057678 */   // Label 15658: @1057678
     /* 1057678 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1057761), // Rule ID 15489 //
     /* 1057683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1057694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1057697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1057700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1057703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057722 */     // MIs[0] round
     /* 1057722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057732 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1057735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057760 */     // GIR_Coverage, 15489,
     /* 1057760 */     GIR_EraseRootFromParent_Done,
     /* 1057761 */   // Label 15659: @1057761
     /* 1057761 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1057844), // Rule ID 15492 //
     /* 1057766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1057777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1057780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1057783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1057786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057805 */     // MIs[0] round
     /* 1057805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057815 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1057818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057843 */     // GIR_Coverage, 15492,
     /* 1057843 */     GIR_EraseRootFromParent_Done,
     /* 1057844 */   // Label 15660: @1057844
     /* 1057844 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1057927), // Rule ID 15493 //
     /* 1057849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1057860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1057863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1057866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1057869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057888 */     // MIs[0] round
     /* 1057888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1057901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1057925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057926 */     // GIR_Coverage, 15493,
     /* 1057926 */     GIR_EraseRootFromParent_Done,
     /* 1057927 */   // Label 15661: @1057927
     /* 1057927 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1058010), // Rule ID 15496 //
     /* 1057932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1057940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1057943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1057946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1057952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057971 */     // MIs[0] round
     /* 1057971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057981 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1057984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058009 */     // GIR_Coverage, 15496,
     /* 1058009 */     GIR_EraseRootFromParent_Done,
     /* 1058010 */   // Label 15662: @1058010
     /* 1058010 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1058093), // Rule ID 15497 //
     /* 1058015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1058035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058054 */     // MIs[0] round
     /* 1058054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1058067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058092 */     // GIR_Coverage, 15497,
     /* 1058092 */     GIR_EraseRootFromParent_Done,
     /* 1058093 */   // Label 15663: @1058093
     /* 1058093 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1058176), // Rule ID 15500 //
     /* 1058098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1058118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058137 */     // MIs[0] round
     /* 1058137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1058150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058175 */     // GIR_Coverage, 15500,
     /* 1058175 */     GIR_EraseRootFromParent_Done,
     /* 1058176 */   // Label 15664: @1058176
     /* 1058176 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1058259), // Rule ID 15501 //
     /* 1058181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1058201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058220 */     // MIs[0] round
     /* 1058220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1058233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058258 */     // GIR_Coverage, 15501,
     /* 1058258 */     GIR_EraseRootFromParent_Done,
     /* 1058259 */   // Label 15665: @1058259
     /* 1058259 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1058342), // Rule ID 15504 //
     /* 1058264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1058284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058303 */     // MIs[0] round
     /* 1058303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1058316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058341 */     // GIR_Coverage, 15504,
     /* 1058341 */     GIR_EraseRootFromParent_Done,
     /* 1058342 */   // Label 15666: @1058342
     /* 1058342 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1058425), // Rule ID 15505 //
     /* 1058347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1058367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058386 */     // MIs[0] round
     /* 1058386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1058399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058424 */     // GIR_Coverage, 15505,
     /* 1058424 */     GIR_EraseRootFromParent_Done,
     /* 1058425 */   // Label 15667: @1058425
     /* 1058425 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1058508), // Rule ID 15508 //
     /* 1058430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1058441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1058444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1058447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1058450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058469 */     // MIs[0] round
     /* 1058469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058507 */     // GIR_Coverage, 15508,
     /* 1058507 */     GIR_EraseRootFromParent_Done,
     /* 1058508 */   // Label 15668: @1058508
     /* 1058508 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1058591), // Rule ID 15509 //
     /* 1058513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1058524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1058527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1058530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1058533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058552 */     // MIs[0] round
     /* 1058552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058590 */     // GIR_Coverage, 15509,
     /* 1058590 */     GIR_EraseRootFromParent_Done,
     /* 1058591 */   // Label 15669: @1058591
     /* 1058591 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1058674), // Rule ID 15512 //
     /* 1058596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1058616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058635 */     // MIs[0] round
     /* 1058635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058673 */     // GIR_Coverage, 15512,
     /* 1058673 */     GIR_EraseRootFromParent_Done,
     /* 1058674 */   // Label 15670: @1058674
     /* 1058674 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1058757), // Rule ID 15513 //
     /* 1058679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1058690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1058693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1058699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058718 */     // MIs[0] round
     /* 1058718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058756 */     // GIR_Coverage, 15513,
     /* 1058756 */     GIR_EraseRootFromParent_Done,
     /* 1058757 */   // Label 15671: @1058757
     /* 1058757 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1058840), // Rule ID 15516 //
     /* 1058762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1058782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058801 */     // MIs[0] round
     /* 1058801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058839 */     // GIR_Coverage, 15516,
     /* 1058839 */     GIR_EraseRootFromParent_Done,
     /* 1058840 */   // Label 15672: @1058840
     /* 1058840 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1058923), // Rule ID 15517 //
     /* 1058845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1058865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058884 */     // MIs[0] round
     /* 1058884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1058897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1058921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058922 */     // GIR_Coverage, 15517,
     /* 1058922 */     GIR_EraseRootFromParent_Done,
     /* 1058923 */   // Label 15673: @1058923
     /* 1058923 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1059006), // Rule ID 15520 //
     /* 1058928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1058936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1058939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1058942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1058945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1058948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058967 */     // MIs[0] round
     /* 1058967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1058980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059005 */     // GIR_Coverage, 15520,
     /* 1059005 */     GIR_EraseRootFromParent_Done,
     /* 1059006 */   // Label 15674: @1059006
     /* 1059006 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1059089), // Rule ID 15521 //
     /* 1059011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1059022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1059025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1059031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059050 */     // MIs[0] round
     /* 1059050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1059063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059088 */     // GIR_Coverage, 15521,
     /* 1059088 */     GIR_EraseRootFromParent_Done,
     /* 1059089 */   // Label 15675: @1059089
     /* 1059089 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1059172), // Rule ID 15524 //
     /* 1059094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1059105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1059108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1059114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059133 */     // MIs[0] round
     /* 1059133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059143 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1059146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059171 */     // GIR_Coverage, 15524,
     /* 1059171 */     GIR_EraseRootFromParent_Done,
     /* 1059172 */   // Label 15676: @1059172
     /* 1059172 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1059255), // Rule ID 15525 //
     /* 1059177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1059188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1059191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1059194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1059197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059216 */     // MIs[0] round
     /* 1059216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1059229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059254 */     // GIR_Coverage, 15525,
     /* 1059254 */     GIR_EraseRootFromParent_Done,
     /* 1059255 */   // Label 15677: @1059255
     /* 1059255 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1059338), // Rule ID 15528 //
     /* 1059260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1059271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1059274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1059277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1059280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059299 */     // MIs[0] round
     /* 1059299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1059312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059337 */     // GIR_Coverage, 15528,
     /* 1059337 */     GIR_EraseRootFromParent_Done,
     /* 1059338 */   // Label 15678: @1059338
     /* 1059338 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1059421), // Rule ID 15529 //
     /* 1059343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1059354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1059357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1059360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1059363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059382 */     // MIs[0] round
     /* 1059382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1059395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059420 */     // GIR_Coverage, 15529,
     /* 1059420 */     GIR_EraseRootFromParent_Done,
     /* 1059421 */   // Label 15679: @1059421
     /* 1059421 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1059504), // Rule ID 15532 //
     /* 1059426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1059446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059465 */     // MIs[0] round
     /* 1059465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1059478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059503 */     // GIR_Coverage, 15532,
     /* 1059503 */     GIR_EraseRootFromParent_Done,
     /* 1059504 */   // Label 15680: @1059504
     /* 1059504 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1059587), // Rule ID 15533 //
     /* 1059509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1059529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059548 */     // MIs[0] round
     /* 1059548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1059561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059586 */     // GIR_Coverage, 15533,
     /* 1059586 */     GIR_EraseRootFromParent_Done,
     /* 1059587 */   // Label 15681: @1059587
     /* 1059587 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1059670), // Rule ID 15536 //
     /* 1059592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1059612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059631 */     // MIs[0] round
     /* 1059631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1059644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059669 */     // GIR_Coverage, 15536,
     /* 1059669 */     GIR_EraseRootFromParent_Done,
     /* 1059670 */   // Label 15682: @1059670
     /* 1059670 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1059753), // Rule ID 15537 //
     /* 1059675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1059695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059714 */     // MIs[0] round
     /* 1059714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1059727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059752 */     // GIR_Coverage, 15537,
     /* 1059752 */     GIR_EraseRootFromParent_Done,
     /* 1059753 */   // Label 15683: @1059753
     /* 1059753 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1059836), // Rule ID 15540 //
     /* 1059758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1059778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059797 */     // MIs[0] round
     /* 1059797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1059810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059835 */     // GIR_Coverage, 15540,
     /* 1059835 */     GIR_EraseRootFromParent_Done,
     /* 1059836 */   // Label 15684: @1059836
     /* 1059836 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1059919), // Rule ID 15541 //
     /* 1059841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1059852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1059855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1059861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059880 */     // MIs[0] round
     /* 1059880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1059893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1059917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059918 */     // GIR_Coverage, 15541,
     /* 1059918 */     GIR_EraseRootFromParent_Done,
     /* 1059919 */   // Label 15685: @1059919
     /* 1059919 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1060002), // Rule ID 15544 //
     /* 1059924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1059932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1059935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1059938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1059944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059963 */     // MIs[0] round
     /* 1059963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059973 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1059976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060001 */     // GIR_Coverage, 15544,
     /* 1060001 */     GIR_EraseRootFromParent_Done,
     /* 1060002 */   // Label 15686: @1060002
     /* 1060002 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1060085), // Rule ID 15545 //
     /* 1060007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1060027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060046 */     // MIs[0] round
     /* 1060046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1060059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060084 */     // GIR_Coverage, 15545,
     /* 1060084 */     GIR_EraseRootFromParent_Done,
     /* 1060085 */   // Label 15687: @1060085
     /* 1060085 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1060168), // Rule ID 15548 //
     /* 1060090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1060110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060129 */     // MIs[0] round
     /* 1060129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1060142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060167 */     // GIR_Coverage, 15548,
     /* 1060167 */     GIR_EraseRootFromParent_Done,
     /* 1060168 */   // Label 15688: @1060168
     /* 1060168 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1060251), // Rule ID 15549 //
     /* 1060173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1060193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060212 */     // MIs[0] round
     /* 1060212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1060225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060250 */     // GIR_Coverage, 15549,
     /* 1060250 */     GIR_EraseRootFromParent_Done,
     /* 1060251 */   // Label 15689: @1060251
     /* 1060251 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1060334), // Rule ID 15552 //
     /* 1060256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1060276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060295 */     // MIs[0] round
     /* 1060295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060305 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1060308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060333 */     // GIR_Coverage, 15552,
     /* 1060333 */     GIR_EraseRootFromParent_Done,
     /* 1060334 */   // Label 15690: @1060334
     /* 1060334 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1060417), // Rule ID 15553 //
     /* 1060339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1060359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060378 */     // MIs[0] round
     /* 1060378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1060391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060416 */     // GIR_Coverage, 15553,
     /* 1060416 */     GIR_EraseRootFromParent_Done,
     /* 1060417 */   // Label 15691: @1060417
     /* 1060417 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1060500), // Rule ID 15556 //
     /* 1060422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1060433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1060436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1060439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060461 */     // MIs[0] round
     /* 1060461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1060474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060499 */     // GIR_Coverage, 15556,
     /* 1060499 */     GIR_EraseRootFromParent_Done,
     /* 1060500 */   // Label 15692: @1060500
     /* 1060500 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1060583), // Rule ID 15557 //
     /* 1060505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1060516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1060519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1060522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060544 */     // MIs[0] round
     /* 1060544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1060557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060582 */     // GIR_Coverage, 15557,
     /* 1060582 */     GIR_EraseRootFromParent_Done,
     /* 1060583 */   // Label 15693: @1060583
     /* 1060583 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1060666), // Rule ID 15560 //
     /* 1060588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1060599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1060602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1060605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060627 */     // MIs[0] round
     /* 1060627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060637 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1060640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060665 */     // GIR_Coverage, 15560,
     /* 1060665 */     GIR_EraseRootFromParent_Done,
     /* 1060666 */   // Label 15694: @1060666
     /* 1060666 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1060749), // Rule ID 15561 //
     /* 1060671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1060682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1060685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1060688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060710 */     // MIs[0] round
     /* 1060710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1060723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060748 */     // GIR_Coverage, 15561,
     /* 1060748 */     GIR_EraseRootFromParent_Done,
     /* 1060749 */   // Label 15695: @1060749
     /* 1060749 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1060832), // Rule ID 15564 //
     /* 1060754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1060765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1060768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060793 */     // MIs[0] round
     /* 1060793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1060806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060831 */     // GIR_Coverage, 15564,
     /* 1060831 */     GIR_EraseRootFromParent_Done,
     /* 1060832 */   // Label 15696: @1060832
     /* 1060832 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1060915), // Rule ID 15565 //
     /* 1060837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1060848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1060851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060876 */     // MIs[0] round
     /* 1060876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1060889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060914 */     // GIR_Coverage, 15565,
     /* 1060914 */     GIR_EraseRootFromParent_Done,
     /* 1060915 */   // Label 15697: @1060915
     /* 1060915 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1060998), // Rule ID 15568 //
     /* 1060920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1060928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1060931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1060934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060959 */     // MIs[0] round
     /* 1060959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1060972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1060996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060997 */     // GIR_Coverage, 15568,
     /* 1060997 */     GIR_EraseRootFromParent_Done,
     /* 1060998 */   // Label 15698: @1060998
     /* 1060998 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1061081), // Rule ID 15569 //
     /* 1061003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1061014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1061017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061042 */     // MIs[0] round
     /* 1061042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1061055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061080 */     // GIR_Coverage, 15569,
     /* 1061080 */     GIR_EraseRootFromParent_Done,
     /* 1061081 */   // Label 15699: @1061081
     /* 1061081 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1061164), // Rule ID 15572 //
     /* 1061086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061125 */     // MIs[0] round
     /* 1061125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061135 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1061138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061163 */     // GIR_Coverage, 15572,
     /* 1061163 */     GIR_EraseRootFromParent_Done,
     /* 1061164 */   // Label 15700: @1061164
     /* 1061164 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1061247), // Rule ID 15573 //
     /* 1061169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1061180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1061183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061208 */     // MIs[0] round
     /* 1061208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1061221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061246 */     // GIR_Coverage, 15573,
     /* 1061246 */     GIR_EraseRootFromParent_Done,
     /* 1061247 */   // Label 15701: @1061247
     /* 1061247 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1061330), // Rule ID 15576 //
     /* 1061252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061291 */     // MIs[0] round
     /* 1061291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1061304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061329 */     // GIR_Coverage, 15576,
     /* 1061329 */     GIR_EraseRootFromParent_Done,
     /* 1061330 */   // Label 15702: @1061330
     /* 1061330 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1061413), // Rule ID 15577 //
     /* 1061335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061374 */     // MIs[0] round
     /* 1061374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1061387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061412 */     // GIR_Coverage, 15577,
     /* 1061412 */     GIR_EraseRootFromParent_Done,
     /* 1061413 */   // Label 15703: @1061413
     /* 1061413 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1061496), // Rule ID 15580 //
     /* 1061418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1061429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1061432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061457 */     // MIs[0] round
     /* 1061457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061495 */     // GIR_Coverage, 15580,
     /* 1061495 */     GIR_EraseRootFromParent_Done,
     /* 1061496 */   // Label 15704: @1061496
     /* 1061496 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1061579), // Rule ID 15581 //
     /* 1061501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1061512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1061515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1061518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061540 */     // MIs[0] round
     /* 1061540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061578 */     // GIR_Coverage, 15581,
     /* 1061578 */     GIR_EraseRootFromParent_Done,
     /* 1061579 */   // Label 15705: @1061579
     /* 1061579 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1061662), // Rule ID 15584 //
     /* 1061584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061623 */     // MIs[0] round
     /* 1061623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061661 */     // GIR_Coverage, 15584,
     /* 1061661 */     GIR_EraseRootFromParent_Done,
     /* 1061662 */   // Label 15706: @1061662
     /* 1061662 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1061745), // Rule ID 15585 //
     /* 1061667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1061678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1061681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061706 */     // MIs[0] round
     /* 1061706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061744 */     // GIR_Coverage, 15585,
     /* 1061744 */     GIR_EraseRootFromParent_Done,
     /* 1061745 */   // Label 15707: @1061745
     /* 1061745 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1061828), // Rule ID 15588 //
     /* 1061750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1061761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1061764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061789 */     // MIs[0] round
     /* 1061789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061827 */     // GIR_Coverage, 15588,
     /* 1061827 */     GIR_EraseRootFromParent_Done,
     /* 1061828 */   // Label 15708: @1061828
     /* 1061828 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1061911), // Rule ID 15589 //
     /* 1061833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1061844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1061847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061872 */     // MIs[0] round
     /* 1061872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1061885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061910 */     // GIR_Coverage, 15589,
     /* 1061910 */     GIR_EraseRootFromParent_Done,
     /* 1061911 */   // Label 15709: @1061911
     /* 1061911 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1061994), // Rule ID 15592 //
     /* 1061916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1061924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1061927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1061930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1061933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061955 */     // MIs[0] round
     /* 1061955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061965 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1061968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1061992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061993 */     // GIR_Coverage, 15592,
     /* 1061993 */     GIR_EraseRootFromParent_Done,
     /* 1061994 */   // Label 15710: @1061994
     /* 1061994 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1062077), // Rule ID 15593 //
     /* 1061999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1062010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1062013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1062016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062038 */     // MIs[0] round
     /* 1062038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1062051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062076 */     // GIR_Coverage, 15593,
     /* 1062076 */     GIR_EraseRootFromParent_Done,
     /* 1062077 */   // Label 15711: @1062077
     /* 1062077 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1062160), // Rule ID 15596 //
     /* 1062082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1062093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1062096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062121 */     // MIs[0] round
     /* 1062121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062131 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1062134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062159 */     // GIR_Coverage, 15596,
     /* 1062159 */     GIR_EraseRootFromParent_Done,
     /* 1062160 */   // Label 15712: @1062160
     /* 1062160 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1062243), // Rule ID 15597 //
     /* 1062165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1062176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1062179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1062182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062204 */     // MIs[0] round
     /* 1062204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1062217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062242 */     // GIR_Coverage, 15597,
     /* 1062242 */     GIR_EraseRootFromParent_Done,
     /* 1062243 */   // Label 15713: @1062243
     /* 1062243 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1062326), // Rule ID 15600 //
     /* 1062248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1062259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1062262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1062265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062287 */     // MIs[0] round
     /* 1062287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062297 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1062300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062325 */     // GIR_Coverage, 15600,
     /* 1062325 */     GIR_EraseRootFromParent_Done,
     /* 1062326 */   // Label 15714: @1062326
     /* 1062326 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1062409), // Rule ID 15601 //
     /* 1062331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1062342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1062345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1062348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062370 */     // MIs[0] round
     /* 1062370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062380 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1062383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062408 */     // GIR_Coverage, 15601,
     /* 1062408 */     GIR_EraseRootFromParent_Done,
     /* 1062409 */   // Label 15715: @1062409
     /* 1062409 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1062492), // Rule ID 15604 //
     /* 1062414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062453 */     // MIs[0] round
     /* 1062453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062463 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1062466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062491 */     // GIR_Coverage, 15604,
     /* 1062491 */     GIR_EraseRootFromParent_Done,
     /* 1062492 */   // Label 15716: @1062492
     /* 1062492 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1062575), // Rule ID 15605 //
     /* 1062497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062536 */     // MIs[0] round
     /* 1062536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1062549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062574 */     // GIR_Coverage, 15605,
     /* 1062574 */     GIR_EraseRootFromParent_Done,
     /* 1062575 */   // Label 15717: @1062575
     /* 1062575 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1062658), // Rule ID 15608 //
     /* 1062580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062619 */     // MIs[0] round
     /* 1062619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062629 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1062632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062657 */     // GIR_Coverage, 15608,
     /* 1062657 */     GIR_EraseRootFromParent_Done,
     /* 1062658 */   // Label 15718: @1062658
     /* 1062658 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1062741), // Rule ID 15609 //
     /* 1062663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062702 */     // MIs[0] round
     /* 1062702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1062715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062740 */     // GIR_Coverage, 15609,
     /* 1062740 */     GIR_EraseRootFromParent_Done,
     /* 1062741 */   // Label 15719: @1062741
     /* 1062741 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1062824), // Rule ID 15612 //
     /* 1062746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1062763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062785 */     // MIs[0] round
     /* 1062785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1062798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062823 */     // GIR_Coverage, 15612,
     /* 1062823 */     GIR_EraseRootFromParent_Done,
     /* 1062824 */   // Label 15720: @1062824
     /* 1062824 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1062907), // Rule ID 15613 //
     /* 1062829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1062840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1062843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1062846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1062849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062868 */     // MIs[0] round
     /* 1062868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1062881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062906 */     // GIR_Coverage, 15613,
     /* 1062906 */     GIR_EraseRootFromParent_Done,
     /* 1062907 */   // Label 15721: @1062907
     /* 1062907 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1062990), // Rule ID 15616 //
     /* 1062912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1062920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1062932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1062951 */     // MIs[0] round
     /* 1062951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1062964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1062988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062989 */     // GIR_Coverage, 15616,
     /* 1062989 */     GIR_EraseRootFromParent_Done,
     /* 1062990 */   // Label 15722: @1062990
     /* 1062990 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1063073), // Rule ID 15617 //
     /* 1062995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1063015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1063034 */     // MIs[0] round
     /* 1063034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1063047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063072 */     // GIR_Coverage, 15617,
     /* 1063072 */     GIR_EraseRootFromParent_Done,
     /* 1063073 */   // Label 15723: @1063073
     /* 1063073 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1063156), // Rule ID 15620 //
     /* 1063078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1063098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1063117 */     // MIs[0] round
     /* 1063117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1063130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063155 */     // GIR_Coverage, 15620,
     /* 1063155 */     GIR_EraseRootFromParent_Done,
     /* 1063156 */   // Label 15724: @1063156
     /* 1063156 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1063239), // Rule ID 15621 //
     /* 1063161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1063181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1063200 */     // MIs[0] round
     /* 1063200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1063213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063238 */     // GIR_Coverage, 15621,
     /* 1063238 */     GIR_EraseRootFromParent_Done,
     /* 1063239 */   // Label 15725: @1063239
     /* 1063239 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1063322), // Rule ID 15624 //
     /* 1063244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1063261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1063264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1063283 */     // MIs[0] round
     /* 1063283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1063296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063321 */     // GIR_Coverage, 15624,
     /* 1063321 */     GIR_EraseRootFromParent_Done,
     /* 1063322 */   // Label 15726: @1063322
     /* 1063322 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1063405), // Rule ID 15625 //
     /* 1063327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1063344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1063347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1063366 */     // MIs[0] round
     /* 1063366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1063379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063404 */     // GIR_Coverage, 15625,
     /* 1063404 */     GIR_EraseRootFromParent_Done,
     /* 1063405 */   // Label 15727: @1063405
     /* 1063405 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1063488), // Rule ID 15628 //
     /* 1063410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1063413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1063427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1063430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063449 */     // MIs[0] round
     /* 1063449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1063462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063487 */     // GIR_Coverage, 15628,
     /* 1063487 */     GIR_EraseRootFromParent_Done,
     /* 1063488 */   // Label 15728: @1063488
     /* 1063488 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1063571), // Rule ID 15629 //
     /* 1063493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1063496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1063510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1063513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063532 */     // MIs[0] round
     /* 1063532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1063545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063570 */     // GIR_Coverage, 15629,
     /* 1063570 */     GIR_EraseRootFromParent_Done,
     /* 1063571 */   // Label 15729: @1063571
     /* 1063571 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1063654), // Rule ID 15632 //
     /* 1063576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1063579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1063593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1063596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063615 */     // MIs[0] round
     /* 1063615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1063628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063653 */     // GIR_Coverage, 15632,
     /* 1063653 */     GIR_EraseRootFromParent_Done,
     /* 1063654 */   // Label 15730: @1063654
     /* 1063654 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1063737), // Rule ID 15633 //
     /* 1063659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1063662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1063676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1063679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063698 */     // MIs[0] round
     /* 1063698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1063711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063736 */     // GIR_Coverage, 15633,
     /* 1063736 */     GIR_EraseRootFromParent_Done,
     /* 1063737 */   // Label 15731: @1063737
     /* 1063737 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1063820), // Rule ID 15636 //
     /* 1063742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1063745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1063759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1063762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063781 */     // MIs[0] round
     /* 1063781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063791 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1063794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063819 */     // GIR_Coverage, 15636,
     /* 1063819 */     GIR_EraseRootFromParent_Done,
     /* 1063820 */   // Label 15732: @1063820
     /* 1063820 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1063903), // Rule ID 15637 //
     /* 1063825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1063828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1063842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1063845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063864 */     // MIs[0] round
     /* 1063864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1063877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063902 */     // GIR_Coverage, 15637,
     /* 1063902 */     GIR_EraseRootFromParent_Done,
     /* 1063903 */   // Label 15733: @1063903
     /* 1063903 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1063986), // Rule ID 15640 //
     /* 1063908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1063911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1063925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1063928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063947 */     // MIs[0] round
     /* 1063947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1063960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1063984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063985 */     // GIR_Coverage, 15640,
     /* 1063985 */     GIR_EraseRootFromParent_Done,
     /* 1063986 */   // Label 15734: @1063986
     /* 1063986 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1064069), // Rule ID 15641 //
     /* 1063991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1063994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1063999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1064008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1064011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064030 */     // MIs[0] round
     /* 1064030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1064043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064068 */     // GIR_Coverage, 15641,
     /* 1064068 */     GIR_EraseRootFromParent_Done,
     /* 1064069 */   // Label 15735: @1064069
     /* 1064069 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1064152), // Rule ID 15644 //
     /* 1064074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1064077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1064091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1064094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064113 */     // MIs[0] round
     /* 1064113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1064126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064151 */     // GIR_Coverage, 15644,
     /* 1064151 */     GIR_EraseRootFromParent_Done,
     /* 1064152 */   // Label 15736: @1064152
     /* 1064152 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1064235), // Rule ID 15645 //
     /* 1064157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1064160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1064168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1064171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1064174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1064177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064196 */     // MIs[0] round
     /* 1064196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1064209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064234 */     // GIR_Coverage, 15645,
     /* 1064234 */     GIR_EraseRootFromParent_Done,
     /* 1064235 */   // Label 15737: @1064235
     /* 1064235 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1064318), // Rule ID 15648 //
     /* 1064240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1064243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1064260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064279 */     // MIs[0] round
     /* 1064279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1064292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064317 */     // GIR_Coverage, 15648,
     /* 1064317 */     GIR_EraseRootFromParent_Done,
     /* 1064318 */   // Label 15738: @1064318
     /* 1064318 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1064401), // Rule ID 15649 //
     /* 1064323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1064326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1064343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064362 */     // MIs[0] round
     /* 1064362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064372 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1064375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064400 */     // GIR_Coverage, 15649,
     /* 1064400 */     GIR_EraseRootFromParent_Done,
     /* 1064401 */   // Label 15739: @1064401
     /* 1064401 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1064484), // Rule ID 15652 //
     /* 1064406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1064409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1064423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1064426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064445 */     // MIs[0] round
     /* 1064445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064455 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1064458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064483 */     // GIR_Coverage, 15652,
     /* 1064483 */     GIR_EraseRootFromParent_Done,
     /* 1064484 */   // Label 15740: @1064484
     /* 1064484 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1064567), // Rule ID 15653 //
     /* 1064489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1064492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1064500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1064503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1064506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1064509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064528 */     // MIs[0] round
     /* 1064528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1064541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064566 */     // GIR_Coverage, 15653,
     /* 1064566 */     GIR_EraseRootFromParent_Done,
     /* 1064567 */   // Label 15741: @1064567
     /* 1064567 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1064650), // Rule ID 15656 //
     /* 1064572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1064575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1064589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1064592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064611 */     // MIs[0] round
     /* 1064611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1064624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064649 */     // GIR_Coverage, 15656,
     /* 1064649 */     GIR_EraseRootFromParent_Done,
     /* 1064650 */   // Label 15742: @1064650
     /* 1064650 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1064733), // Rule ID 15657 //
     /* 1064655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1064658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1064663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1064666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1064669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1064672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1064675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1064694 */     // MIs[0] round
     /* 1064694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1064707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1064731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064732 */     // GIR_Coverage, 15657,
     /* 1064732 */     GIR_EraseRootFromParent_Done,
     /* 1064733 */   // Label 15743: @1064733
     /* 1064733 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1064813), // Rule ID 15660 //
     /* 1064738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1064746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1064755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1064758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064777 */     // MIs[0] round
     /* 1064777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1064790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064812 */     // GIR_Coverage, 15660,
     /* 1064812 */     GIR_EraseRootFromParent_Done,
     /* 1064813 */   // Label 15744: @1064813
     /* 1064813 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1064893), // Rule ID 15661 //
     /* 1064818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1064826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1064829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1064832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1064835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1064838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064857 */     // MIs[0] round
     /* 1064857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1064870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064892 */     // GIR_Coverage, 15661,
     /* 1064892 */     GIR_EraseRootFromParent_Done,
     /* 1064893 */   // Label 15745: @1064893
     /* 1064893 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1064973), // Rule ID 15664 //
     /* 1064898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1064906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1064915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1064918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064937 */     // MIs[0] round
     /* 1064937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1064950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064972 */     // GIR_Coverage, 15664,
     /* 1064972 */     GIR_EraseRootFromParent_Done,
     /* 1064973 */   // Label 15746: @1064973
     /* 1064973 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1065053), // Rule ID 15665 //
     /* 1064978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1064986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1064995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1064998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065017 */     // MIs[0] round
     /* 1065017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1065030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065052 */     // GIR_Coverage, 15665,
     /* 1065052 */     GIR_EraseRootFromParent_Done,
     /* 1065053 */   // Label 15747: @1065053
     /* 1065053 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1065133), // Rule ID 15668 //
     /* 1065058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1065078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065097 */     // MIs[0] round
     /* 1065097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065132 */     // GIR_Coverage, 15668,
     /* 1065132 */     GIR_EraseRootFromParent_Done,
     /* 1065133 */   // Label 15748: @1065133
     /* 1065133 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1065213), // Rule ID 15669 //
     /* 1065138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1065158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065177 */     // MIs[0] round
     /* 1065177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065187 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065212 */     // GIR_Coverage, 15669,
     /* 1065212 */     GIR_EraseRootFromParent_Done,
     /* 1065213 */   // Label 15749: @1065213
     /* 1065213 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1065293), // Rule ID 15672 //
     /* 1065218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1065238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065257 */     // MIs[0] round
     /* 1065257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1065270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065292 */     // GIR_Coverage, 15672,
     /* 1065292 */     GIR_EraseRootFromParent_Done,
     /* 1065293 */   // Label 15750: @1065293
     /* 1065293 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1065373), // Rule ID 15673 //
     /* 1065298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1065318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065337 */     // MIs[0] round
     /* 1065337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1065350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065372 */     // GIR_Coverage, 15673,
     /* 1065372 */     GIR_EraseRootFromParent_Done,
     /* 1065373 */   // Label 15751: @1065373
     /* 1065373 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1065453), // Rule ID 15676 //
     /* 1065378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1065398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065417 */     // MIs[0] round
     /* 1065417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065452 */     // GIR_Coverage, 15676,
     /* 1065452 */     GIR_EraseRootFromParent_Done,
     /* 1065453 */   // Label 15752: @1065453
     /* 1065453 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1065533), // Rule ID 15677 //
     /* 1065458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1065478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065497 */     // MIs[0] round
     /* 1065497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065532 */     // GIR_Coverage, 15677,
     /* 1065532 */     GIR_EraseRootFromParent_Done,
     /* 1065533 */   // Label 15753: @1065533
     /* 1065533 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1065613), // Rule ID 15680 //
     /* 1065538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1065558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065577 */     // MIs[0] round
     /* 1065577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065612 */     // GIR_Coverage, 15680,
     /* 1065612 */     GIR_EraseRootFromParent_Done,
     /* 1065613 */   // Label 15754: @1065613
     /* 1065613 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1065693), // Rule ID 15681 //
     /* 1065618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1065638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065657 */     // MIs[0] round
     /* 1065657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1065670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065692 */     // GIR_Coverage, 15681,
     /* 1065692 */     GIR_EraseRootFromParent_Done,
     /* 1065693 */   // Label 15755: @1065693
     /* 1065693 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1065773), // Rule ID 15684 //
     /* 1065698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1065715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1065718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065737 */     // MIs[0] round
     /* 1065737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1065750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065772 */     // GIR_Coverage, 15684,
     /* 1065772 */     GIR_EraseRootFromParent_Done,
     /* 1065773 */   // Label 15756: @1065773
     /* 1065773 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1065853), // Rule ID 15685 //
     /* 1065778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1065795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1065798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065817 */     // MIs[0] round
     /* 1065817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1065830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065852 */     // GIR_Coverage, 15685,
     /* 1065852 */     GIR_EraseRootFromParent_Done,
     /* 1065853 */   // Label 15757: @1065853
     /* 1065853 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1065933), // Rule ID 15688 //
     /* 1065858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1065878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065897 */     // MIs[0] round
     /* 1065897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1065910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065932 */     // GIR_Coverage, 15688,
     /* 1065932 */     GIR_EraseRootFromParent_Done,
     /* 1065933 */   // Label 15758: @1065933
     /* 1065933 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1066013), // Rule ID 15689 //
     /* 1065938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1065946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1065958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065977 */     // MIs[0] round
     /* 1065977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1065990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066012 */     // GIR_Coverage, 15689,
     /* 1066012 */     GIR_EraseRootFromParent_Done,
     /* 1066013 */   // Label 15759: @1066013
     /* 1066013 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1066093), // Rule ID 15692 //
     /* 1066018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1066038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066057 */     // MIs[0] round
     /* 1066057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1066070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066092 */     // GIR_Coverage, 15692,
     /* 1066092 */     GIR_EraseRootFromParent_Done,
     /* 1066093 */   // Label 15760: @1066093
     /* 1066093 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1066173), // Rule ID 15693 //
     /* 1066098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1066118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066137 */     // MIs[0] round
     /* 1066137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1066150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066172 */     // GIR_Coverage, 15693,
     /* 1066172 */     GIR_EraseRootFromParent_Done,
     /* 1066173 */   // Label 15761: @1066173
     /* 1066173 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1066253), // Rule ID 15696 //
     /* 1066178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1066181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1066198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066217 */     // MIs[0] round
     /* 1066217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1066230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066252 */     // GIR_Coverage, 15696,
     /* 1066252 */     GIR_EraseRootFromParent_Done,
     /* 1066253 */   // Label 15762: @1066253
     /* 1066253 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1066333), // Rule ID 15697 //
     /* 1066258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1066261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1066278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066297 */     // MIs[0] round
     /* 1066297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1066310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066332 */     // GIR_Coverage, 15697,
     /* 1066332 */     GIR_EraseRootFromParent_Done,
     /* 1066333 */   // Label 15763: @1066333
     /* 1066333 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1066413), // Rule ID 15700 //
     /* 1066338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1066358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066377 */     // MIs[0] round
     /* 1066377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1066390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066412 */     // GIR_Coverage, 15700,
     /* 1066412 */     GIR_EraseRootFromParent_Done,
     /* 1066413 */   // Label 15764: @1066413
     /* 1066413 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1066493), // Rule ID 15701 //
     /* 1066418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1066438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066457 */     // MIs[0] round
     /* 1066457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1066470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066492 */     // GIR_Coverage, 15701,
     /* 1066492 */     GIR_EraseRootFromParent_Done,
     /* 1066493 */   // Label 15765: @1066493
     /* 1066493 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1066573), // Rule ID 15704 //
     /* 1066498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1066518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066537 */     // MIs[0] round
     /* 1066537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1066550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066572 */     // GIR_Coverage, 15704,
     /* 1066572 */     GIR_EraseRootFromParent_Done,
     /* 1066573 */   // Label 15766: @1066573
     /* 1066573 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1066653), // Rule ID 15705 //
     /* 1066578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1066595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1066598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066617 */     // MIs[0] round
     /* 1066617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1066630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066652 */     // GIR_Coverage, 15705,
     /* 1066652 */     GIR_EraseRootFromParent_Done,
     /* 1066653 */   // Label 15767: @1066653
     /* 1066653 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1066733), // Rule ID 15708 //
     /* 1066658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1066669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1066672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1066675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1066678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066697 */     // MIs[0] round
     /* 1066697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066707 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1066710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066732 */     // GIR_Coverage, 15708,
     /* 1066732 */     GIR_EraseRootFromParent_Done,
     /* 1066733 */   // Label 15768: @1066733
     /* 1066733 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1066813), // Rule ID 15709 //
     /* 1066738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1066749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1066752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1066755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1066758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066777 */     // MIs[0] round
     /* 1066777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066787 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1066790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066812 */     // GIR_Coverage, 15709,
     /* 1066812 */     GIR_EraseRootFromParent_Done,
     /* 1066813 */   // Label 15769: @1066813
     /* 1066813 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1066893), // Rule ID 15712 //
     /* 1066818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1066838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066857 */     // MIs[0] round
     /* 1066857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066867 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1066870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066892 */     // GIR_Coverage, 15712,
     /* 1066892 */     GIR_EraseRootFromParent_Done,
     /* 1066893 */   // Label 15770: @1066893
     /* 1066893 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1066973), // Rule ID 15713 //
     /* 1066898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1066918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066937 */     // MIs[0] round
     /* 1066937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1066950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066972 */     // GIR_Coverage, 15713,
     /* 1066972 */     GIR_EraseRootFromParent_Done,
     /* 1066973 */   // Label 15771: @1066973
     /* 1066973 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1067053), // Rule ID 15716 //
     /* 1066978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1066986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1066995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1066998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067017 */     // MIs[0] round
     /* 1067017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1067030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067052 */     // GIR_Coverage, 15716,
     /* 1067052 */     GIR_EraseRootFromParent_Done,
     /* 1067053 */   // Label 15772: @1067053
     /* 1067053 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1067133), // Rule ID 15717 //
     /* 1067058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1067078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067097 */     // MIs[0] round
     /* 1067097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1067110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067132 */     // GIR_Coverage, 15717,
     /* 1067132 */     GIR_EraseRootFromParent_Done,
     /* 1067133 */   // Label 15773: @1067133
     /* 1067133 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1067213), // Rule ID 15720 //
     /* 1067138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1067158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067177 */     // MIs[0] round
     /* 1067177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1067190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067212 */     // GIR_Coverage, 15720,
     /* 1067212 */     GIR_EraseRootFromParent_Done,
     /* 1067213 */   // Label 15774: @1067213
     /* 1067213 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1067293), // Rule ID 15721 //
     /* 1067218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1067238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067257 */     // MIs[0] round
     /* 1067257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1067270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067292 */     // GIR_Coverage, 15721,
     /* 1067292 */     GIR_EraseRootFromParent_Done,
     /* 1067293 */   // Label 15775: @1067293
     /* 1067293 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1067373), // Rule ID 15724 //
     /* 1067298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1067318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067337 */     // MIs[0] round
     /* 1067337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1067350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067372 */     // GIR_Coverage, 15724,
     /* 1067372 */     GIR_EraseRootFromParent_Done,
     /* 1067373 */   // Label 15776: @1067373
     /* 1067373 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1067453), // Rule ID 15725 //
     /* 1067378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1067398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067417 */     // MIs[0] round
     /* 1067417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1067430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067452 */     // GIR_Coverage, 15725,
     /* 1067452 */     GIR_EraseRootFromParent_Done,
     /* 1067453 */   // Label 15777: @1067453
     /* 1067453 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1067533), // Rule ID 15728 //
     /* 1067458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1067478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067497 */     // MIs[0] round
     /* 1067497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067507 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1067510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067532 */     // GIR_Coverage, 15728,
     /* 1067532 */     GIR_EraseRootFromParent_Done,
     /* 1067533 */   // Label 15778: @1067533
     /* 1067533 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1067613), // Rule ID 15729 //
     /* 1067538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1067558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067577 */     // MIs[0] round
     /* 1067577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1067590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067612 */     // GIR_Coverage, 15729,
     /* 1067612 */     GIR_EraseRootFromParent_Done,
     /* 1067613 */   // Label 15779: @1067613
     /* 1067613 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1067693), // Rule ID 15732 //
     /* 1067618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1067638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067657 */     // MIs[0] round
     /* 1067657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1067670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067692 */     // GIR_Coverage, 15732,
     /* 1067692 */     GIR_EraseRootFromParent_Done,
     /* 1067693 */   // Label 15780: @1067693
     /* 1067693 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1067773), // Rule ID 15733 //
     /* 1067698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1067718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067737 */     // MIs[0] round
     /* 1067737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1067750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067772 */     // GIR_Coverage, 15733,
     /* 1067772 */     GIR_EraseRootFromParent_Done,
     /* 1067773 */   // Label 15781: @1067773
     /* 1067773 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1067853), // Rule ID 15736 //
     /* 1067778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1067781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1067798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067817 */     // MIs[0] round
     /* 1067817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1067830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067852 */     // GIR_Coverage, 15736,
     /* 1067852 */     GIR_EraseRootFromParent_Done,
     /* 1067853 */   // Label 15782: @1067853
     /* 1067853 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1067933), // Rule ID 15737 //
     /* 1067858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1067861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1067878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067897 */     // MIs[0] round
     /* 1067897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067907 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1067910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067932 */     // GIR_Coverage, 15737,
     /* 1067932 */     GIR_EraseRootFromParent_Done,
     /* 1067933 */   // Label 15783: @1067933
     /* 1067933 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1068013), // Rule ID 15740 //
     /* 1067938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1067941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1067946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1067958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067977 */     // MIs[0] round
     /* 1067977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1067990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068012 */     // GIR_Coverage, 15740,
     /* 1068012 */     GIR_EraseRootFromParent_Done,
     /* 1068013 */   // Label 15784: @1068013
     /* 1068013 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1068093), // Rule ID 15741 //
     /* 1068018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1068021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1068035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1068038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068057 */     // MIs[0] round
     /* 1068057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1068070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068092 */     // GIR_Coverage, 15741,
     /* 1068092 */     GIR_EraseRootFromParent_Done,
     /* 1068093 */   // Label 15785: @1068093
     /* 1068093 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1068173), // Rule ID 15744 //
     /* 1068098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1068101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1068118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068137 */     // MIs[0] round
     /* 1068137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1068150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068172 */     // GIR_Coverage, 15744,
     /* 1068172 */     GIR_EraseRootFromParent_Done,
     /* 1068173 */   // Label 15786: @1068173
     /* 1068173 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1068253), // Rule ID 15745 //
     /* 1068178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1068181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1068198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068217 */     // MIs[0] round
     /* 1068217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1068230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068252 */     // GIR_Coverage, 15745,
     /* 1068252 */     GIR_EraseRootFromParent_Done,
     /* 1068253 */   // Label 15787: @1068253
     /* 1068253 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1068333), // Rule ID 15748 //
     /* 1068258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068297 */     // MIs[0] round
     /* 1068297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068307 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1068310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068332 */     // GIR_Coverage, 15748,
     /* 1068332 */     GIR_EraseRootFromParent_Done,
     /* 1068333 */   // Label 15788: @1068333
     /* 1068333 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1068413), // Rule ID 15749 //
     /* 1068338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068377 */     // MIs[0] round
     /* 1068377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1068390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068412 */     // GIR_Coverage, 15749,
     /* 1068412 */     GIR_EraseRootFromParent_Done,
     /* 1068413 */   // Label 15789: @1068413
     /* 1068413 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1068493), // Rule ID 15752 //
     /* 1068418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1068435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068457 */     // MIs[0] round
     /* 1068457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068467 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1068470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068492 */     // GIR_Coverage, 15752,
     /* 1068492 */     GIR_EraseRootFromParent_Done,
     /* 1068493 */   // Label 15790: @1068493
     /* 1068493 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1068573), // Rule ID 15753 //
     /* 1068498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1068515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068537 */     // MIs[0] round
     /* 1068537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1068550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068572 */     // GIR_Coverage, 15753,
     /* 1068572 */     GIR_EraseRootFromParent_Done,
     /* 1068573 */   // Label 15791: @1068573
     /* 1068573 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1068653), // Rule ID 15756 //
     /* 1068578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1068595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068617 */     // MIs[0] round
     /* 1068617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1068630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068652 */     // GIR_Coverage, 15756,
     /* 1068652 */     GIR_EraseRootFromParent_Done,
     /* 1068653 */   // Label 15792: @1068653
     /* 1068653 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1068733), // Rule ID 15757 //
     /* 1068658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1068675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068697 */     // MIs[0] round
     /* 1068697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068707 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1068710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068732 */     // GIR_Coverage, 15757,
     /* 1068732 */     GIR_EraseRootFromParent_Done,
     /* 1068733 */   // Label 15793: @1068733
     /* 1068733 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1068813), // Rule ID 15760 //
     /* 1068738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068777 */     // MIs[0] round
     /* 1068777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1068790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068812 */     // GIR_Coverage, 15760,
     /* 1068812 */     GIR_EraseRootFromParent_Done,
     /* 1068813 */   // Label 15794: @1068813
     /* 1068813 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1068893), // Rule ID 15761 //
     /* 1068818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068857 */     // MIs[0] round
     /* 1068857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1068870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068892 */     // GIR_Coverage, 15761,
     /* 1068892 */     GIR_EraseRootFromParent_Done,
     /* 1068893 */   // Label 15795: @1068893
     /* 1068893 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1068973), // Rule ID 15764 //
     /* 1068898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068937 */     // MIs[0] round
     /* 1068937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1068950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068972 */     // GIR_Coverage, 15764,
     /* 1068972 */     GIR_EraseRootFromParent_Done,
     /* 1068973 */   // Label 15796: @1068973
     /* 1068973 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1069053), // Rule ID 15765 //
     /* 1068978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1068986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069017 */     // MIs[0] round
     /* 1069017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069027 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1069030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069052 */     // GIR_Coverage, 15765,
     /* 1069052 */     GIR_EraseRootFromParent_Done,
     /* 1069053 */   // Label 15797: @1069053
     /* 1069053 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1069133), // Rule ID 15768 //
     /* 1069058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069097 */     // MIs[0] round
     /* 1069097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1069110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069132 */     // GIR_Coverage, 15768,
     /* 1069132 */     GIR_EraseRootFromParent_Done,
     /* 1069133 */   // Label 15798: @1069133
     /* 1069133 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1069213), // Rule ID 15769 //
     /* 1069138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069177 */     // MIs[0] round
     /* 1069177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1069190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069212 */     // GIR_Coverage, 15769,
     /* 1069212 */     GIR_EraseRootFromParent_Done,
     /* 1069213 */   // Label 15799: @1069213
     /* 1069213 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1069293), // Rule ID 15772 //
     /* 1069218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1069235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069257 */     // MIs[0] round
     /* 1069257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069292 */     // GIR_Coverage, 15772,
     /* 1069292 */     GIR_EraseRootFromParent_Done,
     /* 1069293 */   // Label 15800: @1069293
     /* 1069293 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1069373), // Rule ID 15773 //
     /* 1069298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1069315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069337 */     // MIs[0] round
     /* 1069337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069372 */     // GIR_Coverage, 15773,
     /* 1069372 */     GIR_EraseRootFromParent_Done,
     /* 1069373 */   // Label 15801: @1069373
     /* 1069373 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1069453), // Rule ID 15776 //
     /* 1069378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069417 */     // MIs[0] round
     /* 1069417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069452 */     // GIR_Coverage, 15776,
     /* 1069452 */     GIR_EraseRootFromParent_Done,
     /* 1069453 */   // Label 15802: @1069453
     /* 1069453 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1069533), // Rule ID 15777 //
     /* 1069458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069497 */     // MIs[0] round
     /* 1069497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069532 */     // GIR_Coverage, 15777,
     /* 1069532 */     GIR_EraseRootFromParent_Done,
     /* 1069533 */   // Label 15803: @1069533
     /* 1069533 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1069613), // Rule ID 15780 //
     /* 1069538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069577 */     // MIs[0] round
     /* 1069577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069587 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069612 */     // GIR_Coverage, 15780,
     /* 1069612 */     GIR_EraseRootFromParent_Done,
     /* 1069613 */   // Label 15804: @1069613
     /* 1069613 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1069693), // Rule ID 15781 //
     /* 1069618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069657 */     // MIs[0] round
     /* 1069657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069692 */     // GIR_Coverage, 15781,
     /* 1069692 */     GIR_EraseRootFromParent_Done,
     /* 1069693 */   // Label 15805: @1069693
     /* 1069693 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1069773), // Rule ID 15784 //
     /* 1069698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1069701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069737 */     // MIs[0] round
     /* 1069737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1069768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069772 */     // GIR_Coverage, 15784,
     /* 1069772 */     GIR_EraseRootFromParent_Done,
     /* 1069773 */   // Label 15806: @1069773
     /* 1069773 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1069853), // Rule ID 15785 //
     /* 1069778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1069781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069817 */     // MIs[0] round
     /* 1069817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1069830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1069848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069852 */     // GIR_Coverage, 15785,
     /* 1069852 */     GIR_EraseRootFromParent_Done,
     /* 1069853 */   // Label 15807: @1069853
     /* 1069853 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1069933), // Rule ID 15788 //
     /* 1069858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1069875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069897 */     // MIs[0] round
     /* 1069897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069907 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1069910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069932 */     // GIR_Coverage, 15788,
     /* 1069932 */     GIR_EraseRootFromParent_Done,
     /* 1069933 */   // Label 15808: @1069933
     /* 1069933 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1070013), // Rule ID 15789 //
     /* 1069938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1069946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1069955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069977 */     // MIs[0] round
     /* 1069977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1069990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070012 */     // GIR_Coverage, 15789,
     /* 1070012 */     GIR_EraseRootFromParent_Done,
     /* 1070013 */   // Label 15809: @1070013
     /* 1070013 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1070093), // Rule ID 15792 //
     /* 1070018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1070035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070057 */     // MIs[0] round
     /* 1070057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1070070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070092 */     // GIR_Coverage, 15792,
     /* 1070092 */     GIR_EraseRootFromParent_Done,
     /* 1070093 */   // Label 15810: @1070093
     /* 1070093 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1070173), // Rule ID 15793 //
     /* 1070098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1070115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070137 */     // MIs[0] round
     /* 1070137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1070150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070172 */     // GIR_Coverage, 15793,
     /* 1070172 */     GIR_EraseRootFromParent_Done,
     /* 1070173 */   // Label 15811: @1070173
     /* 1070173 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1070253), // Rule ID 15796 //
     /* 1070178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1070189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1070192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1070195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070217 */     // MIs[0] round
     /* 1070217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1070230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070252 */     // GIR_Coverage, 15796,
     /* 1070252 */     GIR_EraseRootFromParent_Done,
     /* 1070253 */   // Label 15812: @1070253
     /* 1070253 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1070333), // Rule ID 15797 //
     /* 1070258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1070269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1070272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1070275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070297 */     // MIs[0] round
     /* 1070297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070307 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1070310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070332 */     // GIR_Coverage, 15797,
     /* 1070332 */     GIR_EraseRootFromParent_Done,
     /* 1070333 */   // Label 15813: @1070333
     /* 1070333 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1070413), // Rule ID 15800 //
     /* 1070338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070377 */     // MIs[0] round
     /* 1070377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1070390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070412 */     // GIR_Coverage, 15800,
     /* 1070412 */     GIR_EraseRootFromParent_Done,
     /* 1070413 */   // Label 15814: @1070413
     /* 1070413 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1070493), // Rule ID 15801 //
     /* 1070418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070457 */     // MIs[0] round
     /* 1070457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1070470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070492 */     // GIR_Coverage, 15801,
     /* 1070492 */     GIR_EraseRootFromParent_Done,
     /* 1070493 */   // Label 15815: @1070493
     /* 1070493 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1070573), // Rule ID 15804 //
     /* 1070498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070537 */     // MIs[0] round
     /* 1070537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1070550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070572 */     // GIR_Coverage, 15804,
     /* 1070572 */     GIR_EraseRootFromParent_Done,
     /* 1070573 */   // Label 15816: @1070573
     /* 1070573 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1070653), // Rule ID 15805 //
     /* 1070578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070617 */     // MIs[0] round
     /* 1070617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1070630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070652 */     // GIR_Coverage, 15805,
     /* 1070652 */     GIR_EraseRootFromParent_Done,
     /* 1070653 */   // Label 15817: @1070653
     /* 1070653 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1070733), // Rule ID 15808 //
     /* 1070658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1070669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1070672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070697 */     // MIs[0] round
     /* 1070697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1070710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070732 */     // GIR_Coverage, 15808,
     /* 1070732 */     GIR_EraseRootFromParent_Done,
     /* 1070733 */   // Label 15818: @1070733
     /* 1070733 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1070813), // Rule ID 15809 //
     /* 1070738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1070749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1070752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070777 */     // MIs[0] round
     /* 1070777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1070790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070812 */     // GIR_Coverage, 15809,
     /* 1070812 */     GIR_EraseRootFromParent_Done,
     /* 1070813 */   // Label 15819: @1070813
     /* 1070813 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1070893), // Rule ID 15812 //
     /* 1070818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070857 */     // MIs[0] round
     /* 1070857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1070870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070892 */     // GIR_Coverage, 15812,
     /* 1070892 */     GIR_EraseRootFromParent_Done,
     /* 1070893 */   // Label 15820: @1070893
     /* 1070893 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1070973), // Rule ID 15813 //
     /* 1070898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070937 */     // MIs[0] round
     /* 1070937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1070950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070972 */     // GIR_Coverage, 15813,
     /* 1070972 */     GIR_EraseRootFromParent_Done,
     /* 1070973 */   // Label 15821: @1070973
     /* 1070973 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1071053), // Rule ID 15816 //
     /* 1070978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1070986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071017 */     // MIs[0] round
     /* 1071017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1071030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071052 */     // GIR_Coverage, 15816,
     /* 1071052 */     GIR_EraseRootFromParent_Done,
     /* 1071053 */   // Label 15822: @1071053
     /* 1071053 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1071133), // Rule ID 15817 //
     /* 1071058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1071075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071097 */     // MIs[0] round
     /* 1071097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1071110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071132 */     // GIR_Coverage, 15817,
     /* 1071132 */     GIR_EraseRootFromParent_Done,
     /* 1071133 */   // Label 15823: @1071133
     /* 1071133 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1071213), // Rule ID 15820 //
     /* 1071138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1071149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1071152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071177 */     // MIs[0] round
     /* 1071177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1071190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071212 */     // GIR_Coverage, 15820,
     /* 1071212 */     GIR_EraseRootFromParent_Done,
     /* 1071213 */   // Label 15824: @1071213
     /* 1071213 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1071293), // Rule ID 15821 //
     /* 1071218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1071229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1071232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071257 */     // MIs[0] round
     /* 1071257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1071270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071292 */     // GIR_Coverage, 15821,
     /* 1071292 */     GIR_EraseRootFromParent_Done,
     /* 1071293 */   // Label 15825: @1071293
     /* 1071293 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1071373), // Rule ID 15824 //
     /* 1071298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1071309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1071312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071337 */     // MIs[0] round
     /* 1071337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1071350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071372 */     // GIR_Coverage, 15824,
     /* 1071372 */     GIR_EraseRootFromParent_Done,
     /* 1071373 */   // Label 15826: @1071373
     /* 1071373 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1071453), // Rule ID 15825 //
     /* 1071378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1071389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1071392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071417 */     // MIs[0] round
     /* 1071417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1071430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071452 */     // GIR_Coverage, 15825,
     /* 1071452 */     GIR_EraseRootFromParent_Done,
     /* 1071453 */   // Label 15827: @1071453
     /* 1071453 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1071533), // Rule ID 15828 //
     /* 1071458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1071469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1071472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071497 */     // MIs[0] round
     /* 1071497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1071510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071532 */     // GIR_Coverage, 15828,
     /* 1071532 */     GIR_EraseRootFromParent_Done,
     /* 1071533 */   // Label 15828: @1071533
     /* 1071533 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1071613), // Rule ID 15829 //
     /* 1071538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1071549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1071552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071577 */     // MIs[0] round
     /* 1071577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1071590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071612 */     // GIR_Coverage, 15829,
     /* 1071612 */     GIR_EraseRootFromParent_Done,
     /* 1071613 */   // Label 15829: @1071613
     /* 1071613 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1071693), // Rule ID 15832 //
     /* 1071618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1071629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1071632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071657 */     // MIs[0] round
     /* 1071657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1071670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071692 */     // GIR_Coverage, 15832,
     /* 1071692 */     GIR_EraseRootFromParent_Done,
     /* 1071693 */   // Label 15830: @1071693
     /* 1071693 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1071773), // Rule ID 15833 //
     /* 1071698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1071706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1071709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1071712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071737 */     // MIs[0] round
     /* 1071737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1071750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071772 */     // GIR_Coverage, 15833,
     /* 1071772 */     GIR_EraseRootFromParent_Done,
     /* 1071773 */   // Label 15831: @1071773
     /* 1071773 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1071853), // Rule ID 15924 //
     /* 1071778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1071786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1071795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1071798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071817 */     // MIs[0] round
     /* 1071817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1071830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071852 */     // GIR_Coverage, 15924,
     /* 1071852 */     GIR_EraseRootFromParent_Done,
     /* 1071853 */   // Label 15832: @1071853
     /* 1071853 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1071933), // Rule ID 15925 //
     /* 1071858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1071866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1071875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1071878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071897 */     // MIs[0] round
     /* 1071897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1071910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071932 */     // GIR_Coverage, 15925,
     /* 1071932 */     GIR_EraseRootFromParent_Done,
     /* 1071933 */   // Label 15833: @1071933
     /* 1071933 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1072013), // Rule ID 15928 //
     /* 1071938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1071946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1071955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1071958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071977 */     // MIs[0] round
     /* 1071977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1071990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072012 */     // GIR_Coverage, 15928,
     /* 1072012 */     GIR_EraseRootFromParent_Done,
     /* 1072013 */   // Label 15834: @1072013
     /* 1072013 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1072093), // Rule ID 15929 //
     /* 1072018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1072035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1072038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072057 */     // MIs[0] round
     /* 1072057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1072070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072092 */     // GIR_Coverage, 15929,
     /* 1072092 */     GIR_EraseRootFromParent_Done,
     /* 1072093 */   // Label 15835: @1072093
     /* 1072093 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1072173), // Rule ID 15932 //
     /* 1072098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1072115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1072118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072137 */     // MIs[0] round
     /* 1072137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072172 */     // GIR_Coverage, 15932,
     /* 1072172 */     GIR_EraseRootFromParent_Done,
     /* 1072173 */   // Label 15836: @1072173
     /* 1072173 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1072253), // Rule ID 15933 //
     /* 1072178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1072195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1072198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072217 */     // MIs[0] round
     /* 1072217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072252 */     // GIR_Coverage, 15933,
     /* 1072252 */     GIR_EraseRootFromParent_Done,
     /* 1072253 */   // Label 15837: @1072253
     /* 1072253 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1072333), // Rule ID 15936 //
     /* 1072258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1072278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072297 */     // MIs[0] round
     /* 1072297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072307 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1072310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072332 */     // GIR_Coverage, 15936,
     /* 1072332 */     GIR_EraseRootFromParent_Done,
     /* 1072333 */   // Label 15838: @1072333
     /* 1072333 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1072413), // Rule ID 15937 //
     /* 1072338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1072358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072377 */     // MIs[0] round
     /* 1072377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1072390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072412 */     // GIR_Coverage, 15937,
     /* 1072412 */     GIR_EraseRootFromParent_Done,
     /* 1072413 */   // Label 15839: @1072413
     /* 1072413 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1072493), // Rule ID 15940 //
     /* 1072418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1072438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072457 */     // MIs[0] round
     /* 1072457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072492 */     // GIR_Coverage, 15940,
     /* 1072492 */     GIR_EraseRootFromParent_Done,
     /* 1072493 */   // Label 15840: @1072493
     /* 1072493 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1072573), // Rule ID 15941 //
     /* 1072498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1072518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072537 */     // MIs[0] round
     /* 1072537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072572 */     // GIR_Coverage, 15941,
     /* 1072572 */     GIR_EraseRootFromParent_Done,
     /* 1072573 */   // Label 15841: @1072573
     /* 1072573 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1072653), // Rule ID 15944 //
     /* 1072578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1072598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072617 */     // MIs[0] round
     /* 1072617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072652 */     // GIR_Coverage, 15944,
     /* 1072652 */     GIR_EraseRootFromParent_Done,
     /* 1072653 */   // Label 15842: @1072653
     /* 1072653 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1072733), // Rule ID 15945 //
     /* 1072658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1072678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072697 */     // MIs[0] round
     /* 1072697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1072710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072732 */     // GIR_Coverage, 15945,
     /* 1072732 */     GIR_EraseRootFromParent_Done,
     /* 1072733 */   // Label 15843: @1072733
     /* 1072733 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1072813), // Rule ID 15948 //
     /* 1072738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1072755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1072758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072777 */     // MIs[0] round
     /* 1072777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1072790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072812 */     // GIR_Coverage, 15948,
     /* 1072812 */     GIR_EraseRootFromParent_Done,
     /* 1072813 */   // Label 15844: @1072813
     /* 1072813 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1072893), // Rule ID 15949 //
     /* 1072818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1072835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1072838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072857 */     // MIs[0] round
     /* 1072857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1072870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072892 */     // GIR_Coverage, 15949,
     /* 1072892 */     GIR_EraseRootFromParent_Done,
     /* 1072893 */   // Label 15845: @1072893
     /* 1072893 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1072973), // Rule ID 15952 //
     /* 1072898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1072918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072937 */     // MIs[0] round
     /* 1072937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1072950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072972 */     // GIR_Coverage, 15952,
     /* 1072972 */     GIR_EraseRootFromParent_Done,
     /* 1072973 */   // Label 15846: @1072973
     /* 1072973 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1073053), // Rule ID 15953 //
     /* 1072978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1072986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1072998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073017 */     // MIs[0] round
     /* 1073017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1073030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073052 */     // GIR_Coverage, 15953,
     /* 1073052 */     GIR_EraseRootFromParent_Done,
     /* 1073053 */   // Label 15847: @1073053
     /* 1073053 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1073133), // Rule ID 15956 //
     /* 1073058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1073078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073097 */     // MIs[0] round
     /* 1073097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1073110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073132 */     // GIR_Coverage, 15956,
     /* 1073132 */     GIR_EraseRootFromParent_Done,
     /* 1073133 */   // Label 15848: @1073133
     /* 1073133 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1073213), // Rule ID 15957 //
     /* 1073138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1073158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073177 */     // MIs[0] round
     /* 1073177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1073190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073212 */     // GIR_Coverage, 15957,
     /* 1073212 */     GIR_EraseRootFromParent_Done,
     /* 1073213 */   // Label 15849: @1073213
     /* 1073213 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1073293), // Rule ID 15960 //
     /* 1073218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1073238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073257 */     // MIs[0] round
     /* 1073257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1073270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073292 */     // GIR_Coverage, 15960,
     /* 1073292 */     GIR_EraseRootFromParent_Done,
     /* 1073293 */   // Label 15850: @1073293
     /* 1073293 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1073373), // Rule ID 15961 //
     /* 1073298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1073318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073337 */     // MIs[0] round
     /* 1073337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1073350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073372 */     // GIR_Coverage, 15961,
     /* 1073372 */     GIR_EraseRootFromParent_Done,
     /* 1073373 */   // Label 15851: @1073373
     /* 1073373 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1073453), // Rule ID 15964 //
     /* 1073378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1073389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1073392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1073395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1073398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073417 */     // MIs[0] round
     /* 1073417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073427 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1073430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073452 */     // GIR_Coverage, 15964,
     /* 1073452 */     GIR_EraseRootFromParent_Done,
     /* 1073453 */   // Label 15852: @1073453
     /* 1073453 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1073533), // Rule ID 15965 //
     /* 1073458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1073469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1073472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1073475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1073478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073497 */     // MIs[0] round
     /* 1073497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1073510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073532 */     // GIR_Coverage, 15965,
     /* 1073532 */     GIR_EraseRootFromParent_Done,
     /* 1073533 */   // Label 15853: @1073533
     /* 1073533 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1073613), // Rule ID 15968 //
     /* 1073538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1073555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1073558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073577 */     // MIs[0] round
     /* 1073577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1073590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073612 */     // GIR_Coverage, 15968,
     /* 1073612 */     GIR_EraseRootFromParent_Done,
     /* 1073613 */   // Label 15854: @1073613
     /* 1073613 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1073693), // Rule ID 15969 //
     /* 1073618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1073635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1073638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073657 */     // MIs[0] round
     /* 1073657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1073670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073692 */     // GIR_Coverage, 15969,
     /* 1073692 */     GIR_EraseRootFromParent_Done,
     /* 1073693 */   // Label 15855: @1073693
     /* 1073693 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1073773), // Rule ID 15972 //
     /* 1073698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1073715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1073718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073737 */     // MIs[0] round
     /* 1073737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1073750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073772 */     // GIR_Coverage, 15972,
     /* 1073772 */     GIR_EraseRootFromParent_Done,
     /* 1073773 */   // Label 15856: @1073773
     /* 1073773 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1073853), // Rule ID 15973 //
     /* 1073778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1073795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1073798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073817 */     // MIs[0] round
     /* 1073817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073827 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1073830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073852 */     // GIR_Coverage, 15973,
     /* 1073852 */     GIR_EraseRootFromParent_Done,
     /* 1073853 */   // Label 15857: @1073853
     /* 1073853 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1073933), // Rule ID 15976 //
     /* 1073858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1073875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1073878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073897 */     // MIs[0] round
     /* 1073897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1073910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073932 */     // GIR_Coverage, 15976,
     /* 1073932 */     GIR_EraseRootFromParent_Done,
     /* 1073933 */   // Label 15858: @1073933
     /* 1073933 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1074013), // Rule ID 15977 //
     /* 1073938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1073946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1073955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1073958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073977 */     // MIs[0] round
     /* 1073977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1073990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074012 */     // GIR_Coverage, 15977,
     /* 1074012 */     GIR_EraseRootFromParent_Done,
     /* 1074013 */   // Label 15859: @1074013
     /* 1074013 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1074093), // Rule ID 15980 //
     /* 1074018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1074038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074057 */     // MIs[0] round
     /* 1074057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1074070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074092 */     // GIR_Coverage, 15980,
     /* 1074092 */     GIR_EraseRootFromParent_Done,
     /* 1074093 */   // Label 15860: @1074093
     /* 1074093 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1074173), // Rule ID 15981 //
     /* 1074098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1074118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074137 */     // MIs[0] round
     /* 1074137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1074150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074172 */     // GIR_Coverage, 15981,
     /* 1074172 */     GIR_EraseRootFromParent_Done,
     /* 1074173 */   // Label 15861: @1074173
     /* 1074173 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1074253), // Rule ID 15984 //
     /* 1074178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1074189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1074192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1074195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1074198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074217 */     // MIs[0] round
     /* 1074217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1074230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074252 */     // GIR_Coverage, 15984,
     /* 1074252 */     GIR_EraseRootFromParent_Done,
     /* 1074253 */   // Label 15862: @1074253
     /* 1074253 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1074333), // Rule ID 15985 //
     /* 1074258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1074269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1074272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1074275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1074278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074297 */     // MIs[0] round
     /* 1074297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074307 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1074310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074332 */     // GIR_Coverage, 15985,
     /* 1074332 */     GIR_EraseRootFromParent_Done,
     /* 1074333 */   // Label 15863: @1074333
     /* 1074333 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1074413), // Rule ID 15988 //
     /* 1074338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1074358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074377 */     // MIs[0] round
     /* 1074377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1074390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074412 */     // GIR_Coverage, 15988,
     /* 1074412 */     GIR_EraseRootFromParent_Done,
     /* 1074413 */   // Label 15864: @1074413
     /* 1074413 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1074493), // Rule ID 15989 //
     /* 1074418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1074438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074457 */     // MIs[0] round
     /* 1074457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1074470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074492 */     // GIR_Coverage, 15989,
     /* 1074492 */     GIR_EraseRootFromParent_Done,
     /* 1074493 */   // Label 15865: @1074493
     /* 1074493 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1074573), // Rule ID 15992 //
     /* 1074498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1074518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074537 */     // MIs[0] round
     /* 1074537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1074550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074572 */     // GIR_Coverage, 15992,
     /* 1074572 */     GIR_EraseRootFromParent_Done,
     /* 1074573 */   // Label 15866: @1074573
     /* 1074573 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1074653), // Rule ID 15993 //
     /* 1074578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1074598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074617 */     // MIs[0] round
     /* 1074617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1074630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074652 */     // GIR_Coverage, 15993,
     /* 1074652 */     GIR_EraseRootFromParent_Done,
     /* 1074653 */   // Label 15867: @1074653
     /* 1074653 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1074733), // Rule ID 15996 //
     /* 1074658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1074678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074697 */     // MIs[0] round
     /* 1074697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1074710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074732 */     // GIR_Coverage, 15996,
     /* 1074732 */     GIR_EraseRootFromParent_Done,
     /* 1074733 */   // Label 15868: @1074733
     /* 1074733 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1074813), // Rule ID 15997 //
     /* 1074738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1074758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074777 */     // MIs[0] round
     /* 1074777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1074790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074812 */     // GIR_Coverage, 15997,
     /* 1074812 */     GIR_EraseRootFromParent_Done,
     /* 1074813 */   // Label 15869: @1074813
     /* 1074813 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1074893), // Rule ID 16000 //
     /* 1074818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1074838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074857 */     // MIs[0] round
     /* 1074857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1074870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074892 */     // GIR_Coverage, 16000,
     /* 1074892 */     GIR_EraseRootFromParent_Done,
     /* 1074893 */   // Label 15870: @1074893
     /* 1074893 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1074973), // Rule ID 16001 //
     /* 1074898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1074918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074937 */     // MIs[0] round
     /* 1074937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1074950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074972 */     // GIR_Coverage, 16001,
     /* 1074972 */     GIR_EraseRootFromParent_Done,
     /* 1074973 */   // Label 15871: @1074973
     /* 1074973 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1075053), // Rule ID 16004 //
     /* 1074978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1074986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1074998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075017 */     // MIs[0] round
     /* 1075017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1075030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075052 */     // GIR_Coverage, 16004,
     /* 1075052 */     GIR_EraseRootFromParent_Done,
     /* 1075053 */   // Label 15872: @1075053
     /* 1075053 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1075133), // Rule ID 16005 //
     /* 1075058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1075069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1075072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1075078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075097 */     // MIs[0] round
     /* 1075097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1075110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075132 */     // GIR_Coverage, 16005,
     /* 1075132 */     GIR_EraseRootFromParent_Done,
     /* 1075133 */   // Label 15873: @1075133
     /* 1075133 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1075213), // Rule ID 16008 //
     /* 1075138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1075149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1075152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1075158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075177 */     // MIs[0] round
     /* 1075177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1075190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075212 */     // GIR_Coverage, 16008,
     /* 1075212 */     GIR_EraseRootFromParent_Done,
     /* 1075213 */   // Label 15874: @1075213
     /* 1075213 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1075293), // Rule ID 16009 //
     /* 1075218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1075229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1075232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1075238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075257 */     // MIs[0] round
     /* 1075257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1075270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075292 */     // GIR_Coverage, 16009,
     /* 1075292 */     GIR_EraseRootFromParent_Done,
     /* 1075293 */   // Label 15875: @1075293
     /* 1075293 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1075373), // Rule ID 16012 //
     /* 1075298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1075309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1075312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1075315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075337 */     // MIs[0] round
     /* 1075337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1075350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075372 */     // GIR_Coverage, 16012,
     /* 1075372 */     GIR_EraseRootFromParent_Done,
     /* 1075373 */   // Label 15876: @1075373
     /* 1075373 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1075453), // Rule ID 16013 //
     /* 1075378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1075389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1075392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1075395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075417 */     // MIs[0] round
     /* 1075417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075427 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1075430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075452 */     // GIR_Coverage, 16013,
     /* 1075452 */     GIR_EraseRootFromParent_Done,
     /* 1075453 */   // Label 15877: @1075453
     /* 1075453 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1075533), // Rule ID 16016 //
     /* 1075458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1075475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075497 */     // MIs[0] round
     /* 1075497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075507 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1075510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075532 */     // GIR_Coverage, 16016,
     /* 1075532 */     GIR_EraseRootFromParent_Done,
     /* 1075533 */   // Label 15878: @1075533
     /* 1075533 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1075613), // Rule ID 16017 //
     /* 1075538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1075555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075577 */     // MIs[0] round
     /* 1075577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1075590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075612 */     // GIR_Coverage, 16017,
     /* 1075612 */     GIR_EraseRootFromParent_Done,
     /* 1075613 */   // Label 15879: @1075613
     /* 1075613 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1075693), // Rule ID 16020 //
     /* 1075618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1075635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075657 */     // MIs[0] round
     /* 1075657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1075670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075692 */     // GIR_Coverage, 16020,
     /* 1075692 */     GIR_EraseRootFromParent_Done,
     /* 1075693 */   // Label 15880: @1075693
     /* 1075693 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1075773), // Rule ID 16021 //
     /* 1075698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1075709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1075712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1075715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075737 */     // MIs[0] round
     /* 1075737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1075750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075772 */     // GIR_Coverage, 16021,
     /* 1075772 */     GIR_EraseRootFromParent_Done,
     /* 1075773 */   // Label 15881: @1075773
     /* 1075773 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1075853), // Rule ID 16024 //
     /* 1075778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1075795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075817 */     // MIs[0] round
     /* 1075817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1075830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075852 */     // GIR_Coverage, 16024,
     /* 1075852 */     GIR_EraseRootFromParent_Done,
     /* 1075853 */   // Label 15882: @1075853
     /* 1075853 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1075933), // Rule ID 16025 //
     /* 1075858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1075869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1075872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1075875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075897 */     // MIs[0] round
     /* 1075897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1075910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075932 */     // GIR_Coverage, 16025,
     /* 1075932 */     GIR_EraseRootFromParent_Done,
     /* 1075933 */   // Label 15883: @1075933
     /* 1075933 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1076013), // Rule ID 16028 //
     /* 1075938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1075946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075977 */     // MIs[0] round
     /* 1075977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075987 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1075990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076012 */     // GIR_Coverage, 16028,
     /* 1076012 */     GIR_EraseRootFromParent_Done,
     /* 1076013 */   // Label 15884: @1076013
     /* 1076013 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1076093), // Rule ID 16029 //
     /* 1076018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1076035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076057 */     // MIs[0] round
     /* 1076057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1076070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076092 */     // GIR_Coverage, 16029,
     /* 1076092 */     GIR_EraseRootFromParent_Done,
     /* 1076093 */   // Label 15885: @1076093
     /* 1076093 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1076173), // Rule ID 16032 //
     /* 1076098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076137 */     // MIs[0] round
     /* 1076137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1076150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076172 */     // GIR_Coverage, 16032,
     /* 1076172 */     GIR_EraseRootFromParent_Done,
     /* 1076173 */   // Label 15886: @1076173
     /* 1076173 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1076253), // Rule ID 16033 //
     /* 1076178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076217 */     // MIs[0] round
     /* 1076217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1076230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076252 */     // GIR_Coverage, 16033,
     /* 1076252 */     GIR_EraseRootFromParent_Done,
     /* 1076253 */   // Label 15887: @1076253
     /* 1076253 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1076333), // Rule ID 16036 //
     /* 1076258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1076275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076297 */     // MIs[0] round
     /* 1076297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076332 */     // GIR_Coverage, 16036,
     /* 1076332 */     GIR_EraseRootFromParent_Done,
     /* 1076333 */   // Label 15888: @1076333
     /* 1076333 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1076413), // Rule ID 16037 //
     /* 1076338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1076355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076377 */     // MIs[0] round
     /* 1076377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076412 */     // GIR_Coverage, 16037,
     /* 1076412 */     GIR_EraseRootFromParent_Done,
     /* 1076413 */   // Label 15889: @1076413
     /* 1076413 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1076493), // Rule ID 16040 //
     /* 1076418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1076435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076457 */     // MIs[0] round
     /* 1076457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076492 */     // GIR_Coverage, 16040,
     /* 1076492 */     GIR_EraseRootFromParent_Done,
     /* 1076493 */   // Label 15890: @1076493
     /* 1076493 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1076573), // Rule ID 16041 //
     /* 1076498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1076515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076537 */     // MIs[0] round
     /* 1076537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076572 */     // GIR_Coverage, 16041,
     /* 1076572 */     GIR_EraseRootFromParent_Done,
     /* 1076573 */   // Label 15891: @1076573
     /* 1076573 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1076653), // Rule ID 16044 //
     /* 1076578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1076595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076617 */     // MIs[0] round
     /* 1076617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076652 */     // GIR_Coverage, 16044,
     /* 1076652 */     GIR_EraseRootFromParent_Done,
     /* 1076653 */   // Label 15892: @1076653
     /* 1076653 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1076733), // Rule ID 16045 //
     /* 1076658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1076669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1076672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1076675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076697 */     // MIs[0] round
     /* 1076697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076732 */     // GIR_Coverage, 16045,
     /* 1076732 */     GIR_EraseRootFromParent_Done,
     /* 1076733 */   // Label 15893: @1076733
     /* 1076733 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1076813), // Rule ID 16048 //
     /* 1076738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1076741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1076755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076777 */     // MIs[0] round
     /* 1076777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076812 */     // GIR_Coverage, 16048,
     /* 1076812 */     GIR_EraseRootFromParent_Done,
     /* 1076813 */   // Label 15894: @1076813
     /* 1076813 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1076893), // Rule ID 16049 //
     /* 1076818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1076829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1076832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1076835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076857 */     // MIs[0] round
     /* 1076857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1076870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076892 */     // GIR_Coverage, 16049,
     /* 1076892 */     GIR_EraseRootFromParent_Done,
     /* 1076893 */   // Label 15895: @1076893
     /* 1076893 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1076973), // Rule ID 16052 //
     /* 1076898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1076915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076937 */     // MIs[0] round
     /* 1076937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1076950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076972 */     // GIR_Coverage, 16052,
     /* 1076972 */     GIR_EraseRootFromParent_Done,
     /* 1076973 */   // Label 15896: @1076973
     /* 1076973 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1077053), // Rule ID 16053 //
     /* 1076978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1076986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1076989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1076992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1076995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077017 */     // MIs[0] round
     /* 1077017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1077030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077052 */     // GIR_Coverage, 16053,
     /* 1077052 */     GIR_EraseRootFromParent_Done,
     /* 1077053 */   // Label 15897: @1077053
     /* 1077053 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1077133), // Rule ID 16056 //
     /* 1077058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077097 */     // MIs[0] round
     /* 1077097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1077110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077132 */     // GIR_Coverage, 16056,
     /* 1077132 */     GIR_EraseRootFromParent_Done,
     /* 1077133 */   // Label 15898: @1077133
     /* 1077133 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1077213), // Rule ID 16057 //
     /* 1077138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077177 */     // MIs[0] round
     /* 1077177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077187 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1077190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077212 */     // GIR_Coverage, 16057,
     /* 1077212 */     GIR_EraseRootFromParent_Done,
     /* 1077213 */   // Label 15899: @1077213
     /* 1077213 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1077293), // Rule ID 16060 //
     /* 1077218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1077235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077257 */     // MIs[0] round
     /* 1077257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1077270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077292 */     // GIR_Coverage, 16060,
     /* 1077292 */     GIR_EraseRootFromParent_Done,
     /* 1077293 */   // Label 15900: @1077293
     /* 1077293 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1077373), // Rule ID 16061 //
     /* 1077298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1077315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077337 */     // MIs[0] round
     /* 1077337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1077350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077372 */     // GIR_Coverage, 16061,
     /* 1077372 */     GIR_EraseRootFromParent_Done,
     /* 1077373 */   // Label 15901: @1077373
     /* 1077373 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1077453), // Rule ID 16064 //
     /* 1077378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1077395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077417 */     // MIs[0] round
     /* 1077417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1077430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077452 */     // GIR_Coverage, 16064,
     /* 1077452 */     GIR_EraseRootFromParent_Done,
     /* 1077453 */   // Label 15902: @1077453
     /* 1077453 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1077533), // Rule ID 16065 //
     /* 1077458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1077475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077497 */     // MIs[0] round
     /* 1077497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1077510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077532 */     // GIR_Coverage, 16065,
     /* 1077532 */     GIR_EraseRootFromParent_Done,
     /* 1077533 */   // Label 15903: @1077533
     /* 1077533 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1077613), // Rule ID 16068 //
     /* 1077538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1077555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077577 */     // MIs[0] round
     /* 1077577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1077590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077612 */     // GIR_Coverage, 16068,
     /* 1077612 */     GIR_EraseRootFromParent_Done,
     /* 1077613 */   // Label 15904: @1077613
     /* 1077613 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1077693), // Rule ID 16069 //
     /* 1077618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1077635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077657 */     // MIs[0] round
     /* 1077657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1077670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077692 */     // GIR_Coverage, 16069,
     /* 1077692 */     GIR_EraseRootFromParent_Done,
     /* 1077693 */   // Label 15905: @1077693
     /* 1077693 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1077773), // Rule ID 16072 //
     /* 1077698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1077715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077737 */     // MIs[0] round
     /* 1077737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1077750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077772 */     // GIR_Coverage, 16072,
     /* 1077772 */     GIR_EraseRootFromParent_Done,
     /* 1077773 */   // Label 15906: @1077773
     /* 1077773 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1077853), // Rule ID 16073 //
     /* 1077778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1077789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1077792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1077795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077817 */     // MIs[0] round
     /* 1077817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1077830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077852 */     // GIR_Coverage, 16073,
     /* 1077852 */     GIR_EraseRootFromParent_Done,
     /* 1077853 */   // Label 15907: @1077853
     /* 1077853 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1077933), // Rule ID 16076 //
     /* 1077858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1077875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077897 */     // MIs[0] round
     /* 1077897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1077910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077932 */     // GIR_Coverage, 16076,
     /* 1077932 */     GIR_EraseRootFromParent_Done,
     /* 1077933 */   // Label 15908: @1077933
     /* 1077933 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1078013), // Rule ID 16077 //
     /* 1077938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1077946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1077949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1077952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1077955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077977 */     // MIs[0] round
     /* 1077977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1077990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078012 */     // GIR_Coverage, 16077,
     /* 1078012 */     GIR_EraseRootFromParent_Done,
     /* 1078013 */   // Label 15909: @1078013
     /* 1078013 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1078093), // Rule ID 16080 //
     /* 1078018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078057 */     // MIs[0] round
     /* 1078057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1078070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078092 */     // GIR_Coverage, 16080,
     /* 1078092 */     GIR_EraseRootFromParent_Done,
     /* 1078093 */   // Label 15910: @1078093
     /* 1078093 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1078173), // Rule ID 16081 //
     /* 1078098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078137 */     // MIs[0] round
     /* 1078137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1078150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078172 */     // GIR_Coverage, 16081,
     /* 1078172 */     GIR_EraseRootFromParent_Done,
     /* 1078173 */   // Label 15911: @1078173
     /* 1078173 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1078253), // Rule ID 16084 //
     /* 1078178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078217 */     // MIs[0] round
     /* 1078217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1078230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078252 */     // GIR_Coverage, 16084,
     /* 1078252 */     GIR_EraseRootFromParent_Done,
     /* 1078253 */   // Label 15912: @1078253
     /* 1078253 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1078333), // Rule ID 16085 //
     /* 1078258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078297 */     // MIs[0] round
     /* 1078297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1078310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078332 */     // GIR_Coverage, 16085,
     /* 1078332 */     GIR_EraseRootFromParent_Done,
     /* 1078333 */   // Label 15913: @1078333
     /* 1078333 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1078413), // Rule ID 16088 //
     /* 1078338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1078355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078377 */     // MIs[0] round
     /* 1078377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1078390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078412 */     // GIR_Coverage, 16088,
     /* 1078412 */     GIR_EraseRootFromParent_Done,
     /* 1078413 */   // Label 15914: @1078413
     /* 1078413 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1078493), // Rule ID 16089 //
     /* 1078418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1078435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078457 */     // MIs[0] round
     /* 1078457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1078470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078492 */     // GIR_Coverage, 16089,
     /* 1078492 */     GIR_EraseRootFromParent_Done,
     /* 1078493 */   // Label 15915: @1078493
     /* 1078493 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1078573), // Rule ID 16092 //
     /* 1078498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1078515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078537 */     // MIs[0] round
     /* 1078537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1078550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078572 */     // GIR_Coverage, 16092,
     /* 1078572 */     GIR_EraseRootFromParent_Done,
     /* 1078573 */   // Label 15916: @1078573
     /* 1078573 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1078653), // Rule ID 16093 //
     /* 1078578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1078595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078617 */     // MIs[0] round
     /* 1078617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1078630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078652 */     // GIR_Coverage, 16093,
     /* 1078652 */     GIR_EraseRootFromParent_Done,
     /* 1078653 */   // Label 15917: @1078653
     /* 1078653 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1078733), // Rule ID 16096 //
     /* 1078658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1078675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078697 */     // MIs[0] round
     /* 1078697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078707 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1078710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078732 */     // GIR_Coverage, 16096,
     /* 1078732 */     GIR_EraseRootFromParent_Done,
     /* 1078733 */   // Label 15918: @1078733
     /* 1078733 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1078813), // Rule ID 16097 //
     /* 1078738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1078746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1078749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1078752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1078755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078777 */     // MIs[0] round
     /* 1078777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1078790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078812 */     // GIR_Coverage, 16097,
     /* 1078812 */     GIR_EraseRootFromParent_Done,
     /* 1078813 */   // Label 15919: @1078813
     /* 1078813 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1078896), // Rule ID 16188 //
     /* 1078818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1078826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1078838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078857 */     // MIs[0] round
     /* 1078857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1078870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1078894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078895 */     // GIR_Coverage, 16188,
     /* 1078895 */     GIR_EraseRootFromParent_Done,
     /* 1078896 */   // Label 15920: @1078896
     /* 1078896 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1078979), // Rule ID 16189 //
     /* 1078901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1078909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1078912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1078915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1078918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1078921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078940 */     // MIs[0] round
     /* 1078940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078950 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1078953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1078977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078978 */     // GIR_Coverage, 16189,
     /* 1078978 */     GIR_EraseRootFromParent_Done,
     /* 1078979 */   // Label 15921: @1078979
     /* 1078979 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1079062), // Rule ID 16192 //
     /* 1078984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1078992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1078995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1078998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1079004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079023 */     // MIs[0] round
     /* 1079023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1079036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079061 */     // GIR_Coverage, 16192,
     /* 1079061 */     GIR_EraseRootFromParent_Done,
     /* 1079062 */   // Label 15922: @1079062
     /* 1079062 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1079145), // Rule ID 16193 //
     /* 1079067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1079087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079106 */     // MIs[0] round
     /* 1079106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079116 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1079119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079144 */     // GIR_Coverage, 16193,
     /* 1079144 */     GIR_EraseRootFromParent_Done,
     /* 1079145 */   // Label 15923: @1079145
     /* 1079145 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1079228), // Rule ID 16196 //
     /* 1079150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1079170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079189 */     // MIs[0] round
     /* 1079189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079199 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1079202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079227 */     // GIR_Coverage, 16196,
     /* 1079227 */     GIR_EraseRootFromParent_Done,
     /* 1079228 */   // Label 15924: @1079228
     /* 1079228 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1079311), // Rule ID 16197 //
     /* 1079233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1079253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079272 */     // MIs[0] round
     /* 1079272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079282 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1079285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079310 */     // GIR_Coverage, 16197,
     /* 1079310 */     GIR_EraseRootFromParent_Done,
     /* 1079311 */   // Label 15925: @1079311
     /* 1079311 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1079394), // Rule ID 16200 //
     /* 1079316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1079336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079355 */     // MIs[0] round
     /* 1079355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1079368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079393 */     // GIR_Coverage, 16200,
     /* 1079393 */     GIR_EraseRootFromParent_Done,
     /* 1079394 */   // Label 15926: @1079394
     /* 1079394 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1079477), // Rule ID 16201 //
     /* 1079399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1079410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1079413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1079416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1079419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079438 */     // MIs[0] round
     /* 1079438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1079451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079476 */     // GIR_Coverage, 16201,
     /* 1079476 */     GIR_EraseRootFromParent_Done,
     /* 1079477 */   // Label 15927: @1079477
     /* 1079477 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1079560), // Rule ID 16204 //
     /* 1079482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1079502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079521 */     // MIs[0] round
     /* 1079521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079531 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1079534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079559 */     // GIR_Coverage, 16204,
     /* 1079559 */     GIR_EraseRootFromParent_Done,
     /* 1079560 */   // Label 15928: @1079560
     /* 1079560 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1079643), // Rule ID 16205 //
     /* 1079565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1079576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1079579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1079582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1079585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079604 */     // MIs[0] round
     /* 1079604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079614 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1079617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079642 */     // GIR_Coverage, 16205,
     /* 1079642 */     GIR_EraseRootFromParent_Done,
     /* 1079643 */   // Label 15929: @1079643
     /* 1079643 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1079726), // Rule ID 16208 //
     /* 1079648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1079668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079687 */     // MIs[0] round
     /* 1079687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1079700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079725 */     // GIR_Coverage, 16208,
     /* 1079725 */     GIR_EraseRootFromParent_Done,
     /* 1079726 */   // Label 15930: @1079726
     /* 1079726 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1079809), // Rule ID 16209 //
     /* 1079731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1079742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1079745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1079748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1079751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079770 */     // MIs[0] round
     /* 1079770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079780 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1079783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079808 */     // GIR_Coverage, 16209,
     /* 1079808 */     GIR_EraseRootFromParent_Done,
     /* 1079809 */   // Label 15931: @1079809
     /* 1079809 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1079892), // Rule ID 16212 //
     /* 1079814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1079834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079853 */     // MIs[0] round
     /* 1079853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079863 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1079866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079891 */     // GIR_Coverage, 16212,
     /* 1079891 */     GIR_EraseRootFromParent_Done,
     /* 1079892 */   // Label 15932: @1079892
     /* 1079892 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1079975), // Rule ID 16213 //
     /* 1079897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1079917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079936 */     // MIs[0] round
     /* 1079936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1079949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1079973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079974 */     // GIR_Coverage, 16213,
     /* 1079974 */     GIR_EraseRootFromParent_Done,
     /* 1079975 */   // Label 15933: @1079975
     /* 1079975 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1080058), // Rule ID 16216 //
     /* 1079980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1079988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1079997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1080000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080019 */     // MIs[0] round
     /* 1080019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080029 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1080032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080057 */     // GIR_Coverage, 16216,
     /* 1080057 */     GIR_EraseRootFromParent_Done,
     /* 1080058 */   // Label 15934: @1080058
     /* 1080058 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1080141), // Rule ID 16217 //
     /* 1080063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1080083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080102 */     // MIs[0] round
     /* 1080102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1080115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080140 */     // GIR_Coverage, 16217,
     /* 1080140 */     GIR_EraseRootFromParent_Done,
     /* 1080141 */   // Label 15935: @1080141
     /* 1080141 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1080224), // Rule ID 16220 //
     /* 1080146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1080166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080185 */     // MIs[0] round
     /* 1080185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1080198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080223 */     // GIR_Coverage, 16220,
     /* 1080223 */     GIR_EraseRootFromParent_Done,
     /* 1080224 */   // Label 15936: @1080224
     /* 1080224 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1080307), // Rule ID 16221 //
     /* 1080229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1080249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080268 */     // MIs[0] round
     /* 1080268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1080281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080306 */     // GIR_Coverage, 16221,
     /* 1080306 */     GIR_EraseRootFromParent_Done,
     /* 1080307 */   // Label 15937: @1080307
     /* 1080307 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1080390), // Rule ID 16224 //
     /* 1080312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1080332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080351 */     // MIs[0] round
     /* 1080351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1080364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080389 */     // GIR_Coverage, 16224,
     /* 1080389 */     GIR_EraseRootFromParent_Done,
     /* 1080390 */   // Label 15938: @1080390
     /* 1080390 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1080473), // Rule ID 16225 //
     /* 1080395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1080412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1080415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080434 */     // MIs[0] round
     /* 1080434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1080447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080472 */     // GIR_Coverage, 16225,
     /* 1080472 */     GIR_EraseRootFromParent_Done,
     /* 1080473 */   // Label 15939: @1080473
     /* 1080473 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1080556), // Rule ID 16228 //
     /* 1080478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1080498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080517 */     // MIs[0] round
     /* 1080517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1080530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080555 */     // GIR_Coverage, 16228,
     /* 1080555 */     GIR_EraseRootFromParent_Done,
     /* 1080556 */   // Label 15940: @1080556
     /* 1080556 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1080639), // Rule ID 16229 //
     /* 1080561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1080578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1080581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080600 */     // MIs[0] round
     /* 1080600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1080613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080638 */     // GIR_Coverage, 16229,
     /* 1080638 */     GIR_EraseRootFromParent_Done,
     /* 1080639 */   // Label 15941: @1080639
     /* 1080639 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1080722), // Rule ID 16232 //
     /* 1080644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1080647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1080664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080683 */     // MIs[0] round
     /* 1080683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1080696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080721 */     // GIR_Coverage, 16232,
     /* 1080721 */     GIR_EraseRootFromParent_Done,
     /* 1080722 */   // Label 15942: @1080722
     /* 1080722 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1080805), // Rule ID 16233 //
     /* 1080727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1080730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1080747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080766 */     // MIs[0] round
     /* 1080766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1080779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080804 */     // GIR_Coverage, 16233,
     /* 1080804 */     GIR_EraseRootFromParent_Done,
     /* 1080805 */   // Label 15943: @1080805
     /* 1080805 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1080888), // Rule ID 16236 //
     /* 1080810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1080813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1080830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080849 */     // MIs[0] round
     /* 1080849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1080862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080887 */     // GIR_Coverage, 16236,
     /* 1080887 */     GIR_EraseRootFromParent_Done,
     /* 1080888 */   // Label 15944: @1080888
     /* 1080888 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1080971), // Rule ID 16237 //
     /* 1080893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1080896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1080910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1080913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080932 */     // MIs[0] round
     /* 1080932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1080945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1080969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080970 */     // GIR_Coverage, 16237,
     /* 1080970 */     GIR_EraseRootFromParent_Done,
     /* 1080971 */   // Label 15945: @1080971
     /* 1080971 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1081054), // Rule ID 16240 //
     /* 1080976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1080979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1080984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1080993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1080996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081015 */     // MIs[0] round
     /* 1081015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1081028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081053 */     // GIR_Coverage, 16240,
     /* 1081053 */     GIR_EraseRootFromParent_Done,
     /* 1081054 */   // Label 15946: @1081054
     /* 1081054 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1081137), // Rule ID 16241 //
     /* 1081059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1081062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1081079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081098 */     // MIs[0] round
     /* 1081098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1081111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081136 */     // GIR_Coverage, 16241,
     /* 1081136 */     GIR_EraseRootFromParent_Done,
     /* 1081137 */   // Label 15947: @1081137
     /* 1081137 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1081220), // Rule ID 16244 //
     /* 1081142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1081145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1081162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081181 */     // MIs[0] round
     /* 1081181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1081194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081219 */     // GIR_Coverage, 16244,
     /* 1081219 */     GIR_EraseRootFromParent_Done,
     /* 1081220 */   // Label 15948: @1081220
     /* 1081220 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1081303), // Rule ID 16245 //
     /* 1081225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1081228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1081245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081264 */     // MIs[0] round
     /* 1081264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1081277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081302 */     // GIR_Coverage, 16245,
     /* 1081302 */     GIR_EraseRootFromParent_Done,
     /* 1081303 */   // Label 15949: @1081303
     /* 1081303 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1081386), // Rule ID 16248 //
     /* 1081308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1081319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1081322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081347 */     // MIs[0] round
     /* 1081347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081357 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1081360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081385 */     // GIR_Coverage, 16248,
     /* 1081385 */     GIR_EraseRootFromParent_Done,
     /* 1081386 */   // Label 15950: @1081386
     /* 1081386 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1081469), // Rule ID 16249 //
     /* 1081391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1081402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1081405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081430 */     // MIs[0] round
     /* 1081430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1081443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081468 */     // GIR_Coverage, 16249,
     /* 1081468 */     GIR_EraseRootFromParent_Done,
     /* 1081469 */   // Label 15951: @1081469
     /* 1081469 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1081552), // Rule ID 16252 //
     /* 1081474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1081485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1081488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081513 */     // MIs[0] round
     /* 1081513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1081526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081551 */     // GIR_Coverage, 16252,
     /* 1081551 */     GIR_EraseRootFromParent_Done,
     /* 1081552 */   // Label 15952: @1081552
     /* 1081552 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1081635), // Rule ID 16253 //
     /* 1081557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1081568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1081571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081596 */     // MIs[0] round
     /* 1081596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1081609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081634 */     // GIR_Coverage, 16253,
     /* 1081634 */     GIR_EraseRootFromParent_Done,
     /* 1081635 */   // Label 15953: @1081635
     /* 1081635 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1081718), // Rule ID 16256 //
     /* 1081640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1081651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1081654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081679 */     // MIs[0] round
     /* 1081679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1081692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081717 */     // GIR_Coverage, 16256,
     /* 1081717 */     GIR_EraseRootFromParent_Done,
     /* 1081718 */   // Label 15954: @1081718
     /* 1081718 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1081801), // Rule ID 16257 //
     /* 1081723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1081734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1081737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1081740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081762 */     // MIs[0] round
     /* 1081762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1081775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081800 */     // GIR_Coverage, 16257,
     /* 1081800 */     GIR_EraseRootFromParent_Done,
     /* 1081801 */   // Label 15955: @1081801
     /* 1081801 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1081884), // Rule ID 16260 //
     /* 1081806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1081817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1081820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081845 */     // MIs[0] round
     /* 1081845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1081858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081883 */     // GIR_Coverage, 16260,
     /* 1081883 */     GIR_EraseRootFromParent_Done,
     /* 1081884 */   // Label 15956: @1081884
     /* 1081884 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1081967), // Rule ID 16261 //
     /* 1081889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1081900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1081903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081928 */     // MIs[0] round
     /* 1081928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1081941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1081965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081966 */     // GIR_Coverage, 16261,
     /* 1081966 */     GIR_EraseRootFromParent_Done,
     /* 1081967 */   // Label 15957: @1081967
     /* 1081967 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1082050), // Rule ID 16264 //
     /* 1081972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1081980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1081983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1081986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082011 */     // MIs[0] round
     /* 1082011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082021 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1082024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082049 */     // GIR_Coverage, 16264,
     /* 1082049 */     GIR_EraseRootFromParent_Done,
     /* 1082050 */   // Label 15958: @1082050
     /* 1082050 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1082133), // Rule ID 16265 //
     /* 1082055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1082066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1082069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082094 */     // MIs[0] round
     /* 1082094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1082107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082132 */     // GIR_Coverage, 16265,
     /* 1082132 */     GIR_EraseRootFromParent_Done,
     /* 1082133 */   // Label 15959: @1082133
     /* 1082133 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1082216), // Rule ID 16268 //
     /* 1082138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1082149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1082152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082177 */     // MIs[0] round
     /* 1082177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082187 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1082190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082215 */     // GIR_Coverage, 16268,
     /* 1082215 */     GIR_EraseRootFromParent_Done,
     /* 1082216 */   // Label 15960: @1082216
     /* 1082216 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1082299), // Rule ID 16269 //
     /* 1082221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1082232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1082235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1082238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082260 */     // MIs[0] round
     /* 1082260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1082273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082298 */     // GIR_Coverage, 16269,
     /* 1082298 */     GIR_EraseRootFromParent_Done,
     /* 1082299 */   // Label 15961: @1082299
     /* 1082299 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1082382), // Rule ID 16272 //
     /* 1082304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082343 */     // MIs[0] round
     /* 1082343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082353 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1082356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082381 */     // GIR_Coverage, 16272,
     /* 1082381 */     GIR_EraseRootFromParent_Done,
     /* 1082382 */   // Label 15962: @1082382
     /* 1082382 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1082465), // Rule ID 16273 //
     /* 1082387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1082398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1082401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082426 */     // MIs[0] round
     /* 1082426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1082439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082464 */     // GIR_Coverage, 16273,
     /* 1082464 */     GIR_EraseRootFromParent_Done,
     /* 1082465 */   // Label 15963: @1082465
     /* 1082465 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1082548), // Rule ID 16276 //
     /* 1082470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082509 */     // MIs[0] round
     /* 1082509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1082522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082547 */     // GIR_Coverage, 16276,
     /* 1082547 */     GIR_EraseRootFromParent_Done,
     /* 1082548 */   // Label 15964: @1082548
     /* 1082548 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1082631), // Rule ID 16277 //
     /* 1082553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082592 */     // MIs[0] round
     /* 1082592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1082605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082630 */     // GIR_Coverage, 16277,
     /* 1082630 */     GIR_EraseRootFromParent_Done,
     /* 1082631 */   // Label 15965: @1082631
     /* 1082631 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1082714), // Rule ID 16280 //
     /* 1082636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082675 */     // MIs[0] round
     /* 1082675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1082688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082713 */     // GIR_Coverage, 16280,
     /* 1082713 */     GIR_EraseRootFromParent_Done,
     /* 1082714 */   // Label 15966: @1082714
     /* 1082714 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1082797), // Rule ID 16281 //
     /* 1082719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082758 */     // MIs[0] round
     /* 1082758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1082771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082796 */     // GIR_Coverage, 16281,
     /* 1082796 */     GIR_EraseRootFromParent_Done,
     /* 1082797 */   // Label 15967: @1082797
     /* 1082797 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1082880), // Rule ID 16284 //
     /* 1082802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082841 */     // MIs[0] round
     /* 1082841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1082854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082879 */     // GIR_Coverage, 16284,
     /* 1082879 */     GIR_EraseRootFromParent_Done,
     /* 1082880 */   // Label 15968: @1082880
     /* 1082880 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1082963), // Rule ID 16285 //
     /* 1082885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082924 */     // MIs[0] round
     /* 1082924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1082937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1082961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082962 */     // GIR_Coverage, 16285,
     /* 1082962 */     GIR_EraseRootFromParent_Done,
     /* 1082963 */   // Label 15969: @1082963
     /* 1082963 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1083046), // Rule ID 16288 //
     /* 1082968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1082976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083007 */     // MIs[0] round
     /* 1083007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083017 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1083020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083045 */     // GIR_Coverage, 16288,
     /* 1083045 */     GIR_EraseRootFromParent_Done,
     /* 1083046 */   // Label 15970: @1083046
     /* 1083046 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1083129), // Rule ID 16289 //
     /* 1083051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1083062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1083065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1083068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083090 */     // MIs[0] round
     /* 1083090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1083103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083128 */     // GIR_Coverage, 16289,
     /* 1083128 */     GIR_EraseRootFromParent_Done,
     /* 1083129 */   // Label 15971: @1083129
     /* 1083129 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1083212), // Rule ID 16292 //
     /* 1083134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1083137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083173 */     // MIs[0] round
     /* 1083173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1083186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083211 */     // GIR_Coverage, 16292,
     /* 1083211 */     GIR_EraseRootFromParent_Done,
     /* 1083212 */   // Label 15972: @1083212
     /* 1083212 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1083295), // Rule ID 16293 //
     /* 1083217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1083220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083256 */     // MIs[0] round
     /* 1083256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1083269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083294 */     // GIR_Coverage, 16293,
     /* 1083294 */     GIR_EraseRootFromParent_Done,
     /* 1083295 */   // Label 15973: @1083295
     /* 1083295 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1083378), // Rule ID 16296 //
     /* 1083300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1083303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083339 */     // MIs[0] round
     /* 1083339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1083352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083377 */     // GIR_Coverage, 16296,
     /* 1083377 */     GIR_EraseRootFromParent_Done,
     /* 1083378 */   // Label 15974: @1083378
     /* 1083378 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1083461), // Rule ID 16297 //
     /* 1083383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1083386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083422 */     // MIs[0] round
     /* 1083422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1083435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083460 */     // GIR_Coverage, 16297,
     /* 1083460 */     GIR_EraseRootFromParent_Done,
     /* 1083461 */   // Label 15975: @1083461
     /* 1083461 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1083544), // Rule ID 16300 //
     /* 1083466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1083469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083505 */     // MIs[0] round
     /* 1083505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1083518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083543 */     // GIR_Coverage, 16300,
     /* 1083543 */     GIR_EraseRootFromParent_Done,
     /* 1083544 */   // Label 15976: @1083544
     /* 1083544 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1083627), // Rule ID 16301 //
     /* 1083549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1083552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083588 */     // MIs[0] round
     /* 1083588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1083601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083626 */     // GIR_Coverage, 16301,
     /* 1083626 */     GIR_EraseRootFromParent_Done,
     /* 1083627 */   // Label 15977: @1083627
     /* 1083627 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1083710), // Rule ID 16304 //
     /* 1083632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1083635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083671 */     // MIs[0] round
     /* 1083671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1083684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083709 */     // GIR_Coverage, 16304,
     /* 1083709 */     GIR_EraseRootFromParent_Done,
     /* 1083710 */   // Label 15978: @1083710
     /* 1083710 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1083793), // Rule ID 16305 //
     /* 1083715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1083718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1083723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083754 */     // MIs[0] round
     /* 1083754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1083767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083792 */     // GIR_Coverage, 16305,
     /* 1083792 */     GIR_EraseRootFromParent_Done,
     /* 1083793 */   // Label 15979: @1083793
     /* 1083793 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1083876), // Rule ID 16368 //
     /* 1083798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1083806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1083809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1083812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1083818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083837 */     // MIs[0] round
     /* 1083837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1083850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083875 */     // GIR_Coverage, 16368,
     /* 1083875 */     GIR_EraseRootFromParent_Done,
     /* 1083876 */   // Label 15980: @1083876
     /* 1083876 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1083959), // Rule ID 16369 //
     /* 1083881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1083889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1083892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1083895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1083901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083920 */     // MIs[0] round
     /* 1083920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1083933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083958 */     // GIR_Coverage, 16369,
     /* 1083958 */     GIR_EraseRootFromParent_Done,
     /* 1083959 */   // Label 15981: @1083959
     /* 1083959 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1084042), // Rule ID 16372 //
     /* 1083964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1083972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1083975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1083978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1083984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084003 */     // MIs[0] round
     /* 1084003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1084016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084041 */     // GIR_Coverage, 16372,
     /* 1084041 */     GIR_EraseRootFromParent_Done,
     /* 1084042 */   // Label 15982: @1084042
     /* 1084042 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1084125), // Rule ID 16373 //
     /* 1084047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1084058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1084061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1084064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1084067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084086 */     // MIs[0] round
     /* 1084086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1084099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084124 */     // GIR_Coverage, 16373,
     /* 1084124 */     GIR_EraseRootFromParent_Done,
     /* 1084125 */   // Label 15983: @1084125
     /* 1084125 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1084208), // Rule ID 16376 //
     /* 1084130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1084141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1084144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1084150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084169 */     // MIs[0] round
     /* 1084169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084179 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1084182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084207 */     // GIR_Coverage, 16376,
     /* 1084207 */     GIR_EraseRootFromParent_Done,
     /* 1084208 */   // Label 15984: @1084208
     /* 1084208 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1084291), // Rule ID 16377 //
     /* 1084213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1084224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1084227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1084233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084252 */     // MIs[0] round
     /* 1084252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084262 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1084265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084290 */     // GIR_Coverage, 16377,
     /* 1084290 */     GIR_EraseRootFromParent_Done,
     /* 1084291 */   // Label 15985: @1084291
     /* 1084291 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1084374), // Rule ID 16380 //
     /* 1084296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1084307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1084310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1084316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084335 */     // MIs[0] round
     /* 1084335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084345 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1084348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084373 */     // GIR_Coverage, 16380,
     /* 1084373 */     GIR_EraseRootFromParent_Done,
     /* 1084374 */   // Label 15986: @1084374
     /* 1084374 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1084457), // Rule ID 16381 //
     /* 1084379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1084390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1084393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1084399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084418 */     // MIs[0] round
     /* 1084418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1084431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084456 */     // GIR_Coverage, 16381,
     /* 1084456 */     GIR_EraseRootFromParent_Done,
     /* 1084457 */   // Label 15987: @1084457
     /* 1084457 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1084540), // Rule ID 16384 //
     /* 1084462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1084482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084501 */     // MIs[0] round
     /* 1084501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1084514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084539 */     // GIR_Coverage, 16384,
     /* 1084539 */     GIR_EraseRootFromParent_Done,
     /* 1084540 */   // Label 15988: @1084540
     /* 1084540 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1084623), // Rule ID 16385 //
     /* 1084545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1084565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084584 */     // MIs[0] round
     /* 1084584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1084597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084622 */     // GIR_Coverage, 16385,
     /* 1084622 */     GIR_EraseRootFromParent_Done,
     /* 1084623 */   // Label 15989: @1084623
     /* 1084623 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1084706), // Rule ID 16388 //
     /* 1084628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1084648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084667 */     // MIs[0] round
     /* 1084667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084677 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1084680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084705 */     // GIR_Coverage, 16388,
     /* 1084705 */     GIR_EraseRootFromParent_Done,
     /* 1084706 */   // Label 15990: @1084706
     /* 1084706 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1084789), // Rule ID 16389 //
     /* 1084711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1084731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084750 */     // MIs[0] round
     /* 1084750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1084763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084788 */     // GIR_Coverage, 16389,
     /* 1084788 */     GIR_EraseRootFromParent_Done,
     /* 1084789 */   // Label 15991: @1084789
     /* 1084789 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1084872), // Rule ID 16392 //
     /* 1084794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1084814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084833 */     // MIs[0] round
     /* 1084833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1084846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084871 */     // GIR_Coverage, 16392,
     /* 1084871 */     GIR_EraseRootFromParent_Done,
     /* 1084872 */   // Label 15992: @1084872
     /* 1084872 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1084955), // Rule ID 16393 //
     /* 1084877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1084897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084916 */     // MIs[0] round
     /* 1084916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1084929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084954 */     // GIR_Coverage, 16393,
     /* 1084954 */     GIR_EraseRootFromParent_Done,
     /* 1084955 */   // Label 15993: @1084955
     /* 1084955 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1085038), // Rule ID 16396 //
     /* 1084960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1084968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1084971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1084974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1084980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084999 */     // MIs[0] round
     /* 1084999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085009 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1085012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085037 */     // GIR_Coverage, 16396,
     /* 1085037 */     GIR_EraseRootFromParent_Done,
     /* 1085038 */   // Label 15994: @1085038
     /* 1085038 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1085121), // Rule ID 16397 //
     /* 1085043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1085054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1085057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1085060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1085063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085082 */     // MIs[0] round
     /* 1085082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1085095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085120 */     // GIR_Coverage, 16397,
     /* 1085120 */     GIR_EraseRootFromParent_Done,
     /* 1085121 */   // Label 15995: @1085121
     /* 1085121 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1085204), // Rule ID 16400 //
     /* 1085126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1085146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085165 */     // MIs[0] round
     /* 1085165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085175 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1085178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085203 */     // GIR_Coverage, 16400,
     /* 1085203 */     GIR_EraseRootFromParent_Done,
     /* 1085204 */   // Label 15996: @1085204
     /* 1085204 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1085287), // Rule ID 16401 //
     /* 1085209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1085229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085248 */     // MIs[0] round
     /* 1085248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1085261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085286 */     // GIR_Coverage, 16401,
     /* 1085286 */     GIR_EraseRootFromParent_Done,
     /* 1085287 */   // Label 15997: @1085287
     /* 1085287 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1085370), // Rule ID 16404 //
     /* 1085292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1085312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085331 */     // MIs[0] round
     /* 1085331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1085344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085369 */     // GIR_Coverage, 16404,
     /* 1085369 */     GIR_EraseRootFromParent_Done,
     /* 1085370 */   // Label 15998: @1085370
     /* 1085370 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1085453), // Rule ID 16405 //
     /* 1085375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1085395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085414 */     // MIs[0] round
     /* 1085414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1085427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085452 */     // GIR_Coverage, 16405,
     /* 1085452 */     GIR_EraseRootFromParent_Done,
     /* 1085453 */   // Label 15999: @1085453
     /* 1085453 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1085536), // Rule ID 16408 //
     /* 1085458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1085478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085497 */     // MIs[0] round
     /* 1085497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1085510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085535 */     // GIR_Coverage, 16408,
     /* 1085535 */     GIR_EraseRootFromParent_Done,
     /* 1085536 */   // Label 16000: @1085536
     /* 1085536 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1085619), // Rule ID 16409 //
     /* 1085541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1085561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085580 */     // MIs[0] round
     /* 1085580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1085593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085618 */     // GIR_Coverage, 16409,
     /* 1085618 */     GIR_EraseRootFromParent_Done,
     /* 1085619 */   // Label 16001: @1085619
     /* 1085619 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1085702), // Rule ID 16412 //
     /* 1085624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1085627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1085641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085663 */     // MIs[0] round
     /* 1085663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1085676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085701 */     // GIR_Coverage, 16412,
     /* 1085701 */     GIR_EraseRootFromParent_Done,
     /* 1085702 */   // Label 16002: @1085702
     /* 1085702 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1085785), // Rule ID 16413 //
     /* 1085707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1085710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1085724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1085727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085746 */     // MIs[0] round
     /* 1085746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1085759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085784 */     // GIR_Coverage, 16413,
     /* 1085784 */     GIR_EraseRootFromParent_Done,
     /* 1085785 */   // Label 16003: @1085785
     /* 1085785 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1085868), // Rule ID 16416 //
     /* 1085790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1085793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1085810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085829 */     // MIs[0] round
     /* 1085829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1085842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085867 */     // GIR_Coverage, 16416,
     /* 1085867 */     GIR_EraseRootFromParent_Done,
     /* 1085868 */   // Label 16004: @1085868
     /* 1085868 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1085951), // Rule ID 16417 //
     /* 1085873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1085876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1085893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085912 */     // MIs[0] round
     /* 1085912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1085925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085950 */     // GIR_Coverage, 16417,
     /* 1085950 */     GIR_EraseRootFromParent_Done,
     /* 1085951 */   // Label 16005: @1085951
     /* 1085951 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1086034), // Rule ID 16420 //
     /* 1085956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1085959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1085964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1085976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085995 */     // MIs[0] round
     /* 1085995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1086008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086033 */     // GIR_Coverage, 16420,
     /* 1086033 */     GIR_EraseRootFromParent_Done,
     /* 1086034 */   // Label 16006: @1086034
     /* 1086034 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1086117), // Rule ID 16421 //
     /* 1086039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1086042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1086056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1086059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086078 */     // MIs[0] round
     /* 1086078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1086091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086116 */     // GIR_Coverage, 16421,
     /* 1086116 */     GIR_EraseRootFromParent_Done,
     /* 1086117 */   // Label 16007: @1086117
     /* 1086117 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1086200), // Rule ID 16424 //
     /* 1086122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1086125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1086142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086161 */     // MIs[0] round
     /* 1086161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1086174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086199 */     // GIR_Coverage, 16424,
     /* 1086199 */     GIR_EraseRootFromParent_Done,
     /* 1086200 */   // Label 16008: @1086200
     /* 1086200 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1086283), // Rule ID 16425 //
     /* 1086205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1086208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1086225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086244 */     // MIs[0] round
     /* 1086244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1086257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086282 */     // GIR_Coverage, 16425,
     /* 1086282 */     GIR_EraseRootFromParent_Done,
     /* 1086283 */   // Label 16009: @1086283
     /* 1086283 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1086366), // Rule ID 16428 //
     /* 1086288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086327 */     // MIs[0] round
     /* 1086327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086337 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1086340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086365 */     // GIR_Coverage, 16428,
     /* 1086365 */     GIR_EraseRootFromParent_Done,
     /* 1086366 */   // Label 16010: @1086366
     /* 1086366 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1086449), // Rule ID 16429 //
     /* 1086371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086410 */     // MIs[0] round
     /* 1086410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1086423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086448 */     // GIR_Coverage, 16429,
     /* 1086448 */     GIR_EraseRootFromParent_Done,
     /* 1086449 */   // Label 16011: @1086449
     /* 1086449 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1086532), // Rule ID 16432 //
     /* 1086454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086493 */     // MIs[0] round
     /* 1086493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086503 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1086506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086531 */     // GIR_Coverage, 16432,
     /* 1086531 */     GIR_EraseRootFromParent_Done,
     /* 1086532 */   // Label 16012: @1086532
     /* 1086532 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1086615), // Rule ID 16433 //
     /* 1086537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086576 */     // MIs[0] round
     /* 1086576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1086589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086614 */     // GIR_Coverage, 16433,
     /* 1086614 */     GIR_EraseRootFromParent_Done,
     /* 1086615 */   // Label 16013: @1086615
     /* 1086615 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1086698), // Rule ID 16436 //
     /* 1086620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086659 */     // MIs[0] round
     /* 1086659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086669 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1086672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086697 */     // GIR_Coverage, 16436,
     /* 1086697 */     GIR_EraseRootFromParent_Done,
     /* 1086698 */   // Label 16014: @1086698
     /* 1086698 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1086781), // Rule ID 16437 //
     /* 1086703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086742 */     // MIs[0] round
     /* 1086742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1086755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086780 */     // GIR_Coverage, 16437,
     /* 1086780 */     GIR_EraseRootFromParent_Done,
     /* 1086781 */   // Label 16015: @1086781
     /* 1086781 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1086864), // Rule ID 16440 //
     /* 1086786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086825 */     // MIs[0] round
     /* 1086825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1086838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086863 */     // GIR_Coverage, 16440,
     /* 1086863 */     GIR_EraseRootFromParent_Done,
     /* 1086864 */   // Label 16016: @1086864
     /* 1086864 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1086947), // Rule ID 16441 //
     /* 1086869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086908 */     // MIs[0] round
     /* 1086908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1086921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086946 */     // GIR_Coverage, 16441,
     /* 1086946 */     GIR_EraseRootFromParent_Done,
     /* 1086947 */   // Label 16017: @1086947
     /* 1086947 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1087030), // Rule ID 16444 //
     /* 1086952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1086960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1086963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1086966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086991 */     // MIs[0] round
     /* 1086991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1087004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087029 */     // GIR_Coverage, 16444,
     /* 1087029 */     GIR_EraseRootFromParent_Done,
     /* 1087030 */   // Label 16018: @1087030
     /* 1087030 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1087113), // Rule ID 16445 //
     /* 1087035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087074 */     // MIs[0] round
     /* 1087074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1087087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087112 */     // GIR_Coverage, 16445,
     /* 1087112 */     GIR_EraseRootFromParent_Done,
     /* 1087113 */   // Label 16019: @1087113
     /* 1087113 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1087196), // Rule ID 16448 //
     /* 1087118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087157 */     // MIs[0] round
     /* 1087157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087167 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1087170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087195 */     // GIR_Coverage, 16448,
     /* 1087195 */     GIR_EraseRootFromParent_Done,
     /* 1087196 */   // Label 16020: @1087196
     /* 1087196 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1087279), // Rule ID 16449 //
     /* 1087201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087240 */     // MIs[0] round
     /* 1087240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1087253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087278 */     // GIR_Coverage, 16449,
     /* 1087278 */     GIR_EraseRootFromParent_Done,
     /* 1087279 */   // Label 16021: @1087279
     /* 1087279 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1087362), // Rule ID 16452 //
     /* 1087284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087323 */     // MIs[0] round
     /* 1087323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1087336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087361 */     // GIR_Coverage, 16452,
     /* 1087361 */     GIR_EraseRootFromParent_Done,
     /* 1087362 */   // Label 16022: @1087362
     /* 1087362 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1087445), // Rule ID 16453 //
     /* 1087367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1087378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1087381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087406 */     // MIs[0] round
     /* 1087406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1087419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087444 */     // GIR_Coverage, 16453,
     /* 1087444 */     GIR_EraseRootFromParent_Done,
     /* 1087445 */   // Label 16023: @1087445
     /* 1087445 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1087528), // Rule ID 16456 //
     /* 1087450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087489 */     // MIs[0] round
     /* 1087489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1087502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087527 */     // GIR_Coverage, 16456,
     /* 1087527 */     GIR_EraseRootFromParent_Done,
     /* 1087528 */   // Label 16024: @1087528
     /* 1087528 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1087611), // Rule ID 16457 //
     /* 1087533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087572 */     // MIs[0] round
     /* 1087572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087582 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1087585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087610 */     // GIR_Coverage, 16457,
     /* 1087610 */     GIR_EraseRootFromParent_Done,
     /* 1087611 */   // Label 16025: @1087611
     /* 1087611 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1087694), // Rule ID 16460 //
     /* 1087616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087655 */     // MIs[0] round
     /* 1087655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1087668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087693 */     // GIR_Coverage, 16460,
     /* 1087693 */     GIR_EraseRootFromParent_Done,
     /* 1087694 */   // Label 16026: @1087694
     /* 1087694 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1087777), // Rule ID 16461 //
     /* 1087699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087738 */     // MIs[0] round
     /* 1087738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1087751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087776 */     // GIR_Coverage, 16461,
     /* 1087776 */     GIR_EraseRootFromParent_Done,
     /* 1087777 */   // Label 16027: @1087777
     /* 1087777 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1087860), // Rule ID 16464 //
     /* 1087782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087821 */     // MIs[0] round
     /* 1087821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1087834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087859 */     // GIR_Coverage, 16464,
     /* 1087859 */     GIR_EraseRootFromParent_Done,
     /* 1087860 */   // Label 16028: @1087860
     /* 1087860 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1087943), // Rule ID 16465 //
     /* 1087865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087904 */     // MIs[0] round
     /* 1087904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1087917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087942 */     // GIR_Coverage, 16465,
     /* 1087942 */     GIR_EraseRootFromParent_Done,
     /* 1087943 */   // Label 16029: @1087943
     /* 1087943 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1088026), // Rule ID 16468 //
     /* 1087948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1087956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087987 */     // MIs[0] round
     /* 1087987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1088000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088025 */     // GIR_Coverage, 16468,
     /* 1088025 */     GIR_EraseRootFromParent_Done,
     /* 1088026 */   // Label 16030: @1088026
     /* 1088026 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1088109), // Rule ID 16469 //
     /* 1088031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088070 */     // MIs[0] round
     /* 1088070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1088083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088108 */     // GIR_Coverage, 16469,
     /* 1088108 */     GIR_EraseRootFromParent_Done,
     /* 1088109 */   // Label 16031: @1088109
     /* 1088109 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1088192), // Rule ID 16472 //
     /* 1088114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1088117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088153 */     // MIs[0] round
     /* 1088153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1088166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088191 */     // GIR_Coverage, 16472,
     /* 1088191 */     GIR_EraseRootFromParent_Done,
     /* 1088192 */   // Label 16032: @1088192
     /* 1088192 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1088275), // Rule ID 16473 //
     /* 1088197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1088200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088236 */     // MIs[0] round
     /* 1088236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1088249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088274 */     // GIR_Coverage, 16473,
     /* 1088274 */     GIR_EraseRootFromParent_Done,
     /* 1088275 */   // Label 16033: @1088275
     /* 1088275 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1088358), // Rule ID 16476 //
     /* 1088280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1088283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088319 */     // MIs[0] round
     /* 1088319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088329 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1088332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088357 */     // GIR_Coverage, 16476,
     /* 1088357 */     GIR_EraseRootFromParent_Done,
     /* 1088358 */   // Label 16034: @1088358
     /* 1088358 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1088441), // Rule ID 16477 //
     /* 1088363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1088366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1088380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088402 */     // MIs[0] round
     /* 1088402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1088415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088440 */     // GIR_Coverage, 16477,
     /* 1088440 */     GIR_EraseRootFromParent_Done,
     /* 1088441 */   // Label 16035: @1088441
     /* 1088441 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1088524), // Rule ID 16480 //
     /* 1088446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1088449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088485 */     // MIs[0] round
     /* 1088485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088495 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1088498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088523 */     // GIR_Coverage, 16480,
     /* 1088523 */     GIR_EraseRootFromParent_Done,
     /* 1088524 */   // Label 16036: @1088524
     /* 1088524 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1088607), // Rule ID 16481 //
     /* 1088529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1088532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088568 */     // MIs[0] round
     /* 1088568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1088581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088606 */     // GIR_Coverage, 16481,
     /* 1088606 */     GIR_EraseRootFromParent_Done,
     /* 1088607 */   // Label 16037: @1088607
     /* 1088607 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1088690), // Rule ID 16484 //
     /* 1088612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1088615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088651 */     // MIs[0] round
     /* 1088651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1088664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088689 */     // GIR_Coverage, 16484,
     /* 1088689 */     GIR_EraseRootFromParent_Done,
     /* 1088690 */   // Label 16038: @1088690
     /* 1088690 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1088773), // Rule ID 16485 //
     /* 1088695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1088698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1088703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088734 */     // MIs[0] round
     /* 1088734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1088747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088772 */     // GIR_Coverage, 16485,
     /* 1088772 */     GIR_EraseRootFromParent_Done,
     /* 1088773 */   // Label 16039: @1088773
     /* 1088773 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1088853), // Rule ID 16548 //
     /* 1088778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1088786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1088798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088817 */     // MIs[0] round
     /* 1088817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1088830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088852 */     // GIR_Coverage, 16548,
     /* 1088852 */     GIR_EraseRootFromParent_Done,
     /* 1088853 */   // Label 16040: @1088853
     /* 1088853 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1088933), // Rule ID 16549 //
     /* 1088858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1088861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1088866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1088878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088897 */     // MIs[0] round
     /* 1088897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088907 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1088910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088932 */     // GIR_Coverage, 16549,
     /* 1088932 */     GIR_EraseRootFromParent_Done,
     /* 1088933 */   // Label 16041: @1088933
     /* 1088933 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1089013), // Rule ID 16552 //
     /* 1088938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1088941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1088946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1088958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088977 */     // MIs[0] round
     /* 1088977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088987 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1088990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089012 */     // GIR_Coverage, 16552,
     /* 1089012 */     GIR_EraseRootFromParent_Done,
     /* 1089013 */   // Label 16042: @1089013
     /* 1089013 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1089093), // Rule ID 16553 //
     /* 1089018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1089021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1089029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1089032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1089035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1089038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089057 */     // MIs[0] round
     /* 1089057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089067 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1089070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089092 */     // GIR_Coverage, 16553,
     /* 1089092 */     GIR_EraseRootFromParent_Done,
     /* 1089093 */   // Label 16043: @1089093
     /* 1089093 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1089173), // Rule ID 16556 //
     /* 1089098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1089118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089137 */     // MIs[0] round
     /* 1089137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089147 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1089150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089172 */     // GIR_Coverage, 16556,
     /* 1089172 */     GIR_EraseRootFromParent_Done,
     /* 1089173 */   // Label 16044: @1089173
     /* 1089173 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1089253), // Rule ID 16557 //
     /* 1089178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1089189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1089192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1089195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1089198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089217 */     // MIs[0] round
     /* 1089217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1089230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089252 */     // GIR_Coverage, 16557,
     /* 1089252 */     GIR_EraseRootFromParent_Done,
     /* 1089253 */   // Label 16045: @1089253
     /* 1089253 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1089333), // Rule ID 16560 //
     /* 1089258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1089261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1089269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1089272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1089275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1089278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089297 */     // MIs[0] round
     /* 1089297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089307 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1089310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089332 */     // GIR_Coverage, 16560,
     /* 1089332 */     GIR_EraseRootFromParent_Done,
     /* 1089333 */   // Label 16046: @1089333
     /* 1089333 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1089413), // Rule ID 16561 //
     /* 1089338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1089341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1089349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1089352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1089355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1089358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089377 */     // MIs[0] round
     /* 1089377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089387 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1089390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089412 */     // GIR_Coverage, 16561,
     /* 1089412 */     GIR_EraseRootFromParent_Done,
     /* 1089413 */   // Label 16047: @1089413
     /* 1089413 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1089493), // Rule ID 16564 //
     /* 1089418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1089429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1089432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1089435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1089438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089457 */     // MIs[0] round
     /* 1089457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1089470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089492 */     // GIR_Coverage, 16564,
     /* 1089492 */     GIR_EraseRootFromParent_Done,
     /* 1089493 */   // Label 16048: @1089493
     /* 1089493 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1089573), // Rule ID 16565 //
     /* 1089498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1089509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1089512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1089515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1089518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089537 */     // MIs[0] round
     /* 1089537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1089550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089572 */     // GIR_Coverage, 16565,
     /* 1089572 */     GIR_EraseRootFromParent_Done,
     /* 1089573 */   // Label 16049: @1089573
     /* 1089573 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1089653), // Rule ID 16568 //
     /* 1089578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1089598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089617 */     // MIs[0] round
     /* 1089617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1089630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089652 */     // GIR_Coverage, 16568,
     /* 1089652 */     GIR_EraseRootFromParent_Done,
     /* 1089653 */   // Label 16050: @1089653
     /* 1089653 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1089733), // Rule ID 16569 //
     /* 1089658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1089678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089697 */     // MIs[0] round
     /* 1089697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1089710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089732 */     // GIR_Coverage, 16569,
     /* 1089732 */     GIR_EraseRootFromParent_Done,
     /* 1089733 */   // Label 16051: @1089733
     /* 1089733 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1089813), // Rule ID 16572 //
     /* 1089738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1089741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1089758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089777 */     // MIs[0] round
     /* 1089777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089787 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1089790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089812 */     // GIR_Coverage, 16572,
     /* 1089812 */     GIR_EraseRootFromParent_Done,
     /* 1089813 */   // Label 16052: @1089813
     /* 1089813 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1089893), // Rule ID 16573 //
     /* 1089818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1089821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1089838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089857 */     // MIs[0] round
     /* 1089857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089867 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1089870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089892 */     // GIR_Coverage, 16573,
     /* 1089892 */     GIR_EraseRootFromParent_Done,
     /* 1089893 */   // Label 16053: @1089893
     /* 1089893 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1089973), // Rule ID 16576 //
     /* 1089898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1089901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1089918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089937 */     // MIs[0] round
     /* 1089937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089947 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1089950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089972 */     // GIR_Coverage, 16576,
     /* 1089972 */     GIR_EraseRootFromParent_Done,
     /* 1089973 */   // Label 16054: @1089973
     /* 1089973 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1090053), // Rule ID 16577 //
     /* 1089978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1089981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1089986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1089998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090017 */     // MIs[0] round
     /* 1090017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090027 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1090030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090052 */     // GIR_Coverage, 16577,
     /* 1090052 */     GIR_EraseRootFromParent_Done,
     /* 1090053 */   // Label 16055: @1090053
     /* 1090053 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1090133), // Rule ID 16580 //
     /* 1090058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1090061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1090069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1090072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1090075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1090078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090097 */     // MIs[0] round
     /* 1090097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090107 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1090110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090132 */     // GIR_Coverage, 16580,
     /* 1090132 */     GIR_EraseRootFromParent_Done,
     /* 1090133 */   // Label 16056: @1090133
     /* 1090133 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1090213), // Rule ID 16581 //
     /* 1090138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1090141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1090149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1090152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1090155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1090158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090177 */     // MIs[0] round
     /* 1090177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090187 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1090190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090212 */     // GIR_Coverage, 16581,
     /* 1090212 */     GIR_EraseRootFromParent_Done,
     /* 1090213 */   // Label 16057: @1090213
     /* 1090213 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1090293), // Rule ID 16584 //
     /* 1090218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1090221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1090229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1090232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1090235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1090238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090257 */     // MIs[0] round
     /* 1090257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090267 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1090270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090292 */     // GIR_Coverage, 16584,
     /* 1090292 */     GIR_EraseRootFromParent_Done,
     /* 1090293 */   // Label 16058: @1090293
     /* 1090293 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1090373), // Rule ID 16585 //
     /* 1090298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1090301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1090309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1090312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1090315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1090318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090337 */     // MIs[0] round
     /* 1090337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090347 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1090350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090372 */     // GIR_Coverage, 16585,
     /* 1090372 */     GIR_EraseRootFromParent_Done,
     /* 1090373 */   // Label 16059: @1090373
     /* 1090373 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1090453), // Rule ID 16588 //
     /* 1090378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1090381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1090389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1090392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1090395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1090398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090417 */     // MIs[0] round
     /* 1090417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090427 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1090430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090452 */     // GIR_Coverage, 16588,
     /* 1090452 */     GIR_EraseRootFromParent_Done,
     /* 1090453 */   // Label 16060: @1090453
     /* 1090453 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1090533), // Rule ID 16589 //
     /* 1090458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1090461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1090469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1090472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1090475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1090478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090497 */     // MIs[0] round
     /* 1090497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090507 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1090510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090532 */     // GIR_Coverage, 16589,
     /* 1090532 */     GIR_EraseRootFromParent_Done,
     /* 1090533 */   // Label 16061: @1090533
     /* 1090533 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1090613), // Rule ID 16592 //
     /* 1090538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1090541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1090549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1090552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1090555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1090558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090577 */     // MIs[0] round
     /* 1090577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1090590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090612 */     // GIR_Coverage, 16592,
     /* 1090612 */     GIR_EraseRootFromParent_Done,
     /* 1090613 */   // Label 16062: @1090613
     /* 1090613 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1090693), // Rule ID 16593 //
     /* 1090618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1090621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1090629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1090632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1090635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1090638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090657 */     // MIs[0] round
     /* 1090657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1090670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090692 */     // GIR_Coverage, 16593,
     /* 1090692 */     GIR_EraseRootFromParent_Done,
     /* 1090693 */   // Label 16063: @1090693
     /* 1090693 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1090773), // Rule ID 16596 //
     /* 1090698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1090701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1090718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090737 */     // MIs[0] round
     /* 1090737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090747 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1090750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090772 */     // GIR_Coverage, 16596,
     /* 1090772 */     GIR_EraseRootFromParent_Done,
     /* 1090773 */   // Label 16064: @1090773
     /* 1090773 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1090853), // Rule ID 16597 //
     /* 1090778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1090798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090817 */     // MIs[0] round
     /* 1090817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1090830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090852 */     // GIR_Coverage, 16597,
     /* 1090852 */     GIR_EraseRootFromParent_Done,
     /* 1090853 */   // Label 16065: @1090853
     /* 1090853 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1090933), // Rule ID 16600 //
     /* 1090858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1090861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1090878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090897 */     // MIs[0] round
     /* 1090897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1090910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090932 */     // GIR_Coverage, 16600,
     /* 1090932 */     GIR_EraseRootFromParent_Done,
     /* 1090933 */   // Label 16066: @1090933
     /* 1090933 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1091013), // Rule ID 16601 //
     /* 1090938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1090946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1090958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090977 */     // MIs[0] round
     /* 1090977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1090990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091012 */     // GIR_Coverage, 16601,
     /* 1091012 */     GIR_EraseRootFromParent_Done,
     /* 1091013 */   // Label 16067: @1091013
     /* 1091013 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1091093), // Rule ID 16604 //
     /* 1091018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1091021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1091029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1091032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1091035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1091038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091057 */     // MIs[0] round
     /* 1091057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1091070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091092 */     // GIR_Coverage, 16604,
     /* 1091092 */     GIR_EraseRootFromParent_Done,
     /* 1091093 */   // Label 16068: @1091093
     /* 1091093 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1091173), // Rule ID 16605 //
     /* 1091098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1091101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1091109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1091112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1091115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1091118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091137 */     // MIs[0] round
     /* 1091137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091147 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1091150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091172 */     // GIR_Coverage, 16605,
     /* 1091172 */     GIR_EraseRootFromParent_Done,
     /* 1091173 */   // Label 16069: @1091173
     /* 1091173 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1091253), // Rule ID 16608 //
     /* 1091178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1091181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091217 */     // MIs[0] round
     /* 1091217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1091230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091252 */     // GIR_Coverage, 16608,
     /* 1091252 */     GIR_EraseRootFromParent_Done,
     /* 1091253 */   // Label 16070: @1091253
     /* 1091253 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1091333), // Rule ID 16609 //
     /* 1091258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1091261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091297 */     // MIs[0] round
     /* 1091297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091307 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1091310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091332 */     // GIR_Coverage, 16609,
     /* 1091332 */     GIR_EraseRootFromParent_Done,
     /* 1091333 */   // Label 16071: @1091333
     /* 1091333 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1091413), // Rule ID 16612 //
     /* 1091338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1091341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091377 */     // MIs[0] round
     /* 1091377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1091390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091412 */     // GIR_Coverage, 16612,
     /* 1091412 */     GIR_EraseRootFromParent_Done,
     /* 1091413 */   // Label 16072: @1091413
     /* 1091413 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1091493), // Rule ID 16613 //
     /* 1091418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1091421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091457 */     // MIs[0] round
     /* 1091457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1091470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091492 */     // GIR_Coverage, 16613,
     /* 1091492 */     GIR_EraseRootFromParent_Done,
     /* 1091493 */   // Label 16073: @1091493
     /* 1091493 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1091573), // Rule ID 16616 //
     /* 1091498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1091501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1091518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1091537 */     // MIs[0] round
     /* 1091537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091547 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1091550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091572 */     // GIR_Coverage, 16616,
     /* 1091572 */     GIR_EraseRootFromParent_Done,
     /* 1091573 */   // Label 16074: @1091573
     /* 1091573 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1091653), // Rule ID 16617 //
     /* 1091578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1091581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1091598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1091617 */     // MIs[0] round
     /* 1091617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091627 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1091630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091652 */     // GIR_Coverage, 16617,
     /* 1091652 */     GIR_EraseRootFromParent_Done,
     /* 1091653 */   // Label 16075: @1091653
     /* 1091653 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1091733), // Rule ID 16620 //
     /* 1091658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1091661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091697 */     // MIs[0] round
     /* 1091697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091707 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1091710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091732 */     // GIR_Coverage, 16620,
     /* 1091732 */     GIR_EraseRootFromParent_Done,
     /* 1091733 */   // Label 16076: @1091733
     /* 1091733 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1091813), // Rule ID 16621 //
     /* 1091738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1091741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1091758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1091777 */     // MIs[0] round
     /* 1091777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1091790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091812 */     // GIR_Coverage, 16621,
     /* 1091812 */     GIR_EraseRootFromParent_Done,
     /* 1091813 */   // Label 16077: @1091813
     /* 1091813 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1091893), // Rule ID 16624 //
     /* 1091818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1091821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1091838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1091857 */     // MIs[0] round
     /* 1091857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1091870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091892 */     // GIR_Coverage, 16624,
     /* 1091892 */     GIR_EraseRootFromParent_Done,
     /* 1091893 */   // Label 16078: @1091893
     /* 1091893 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1091973), // Rule ID 16625 //
     /* 1091898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1091901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1091918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1091937 */     // MIs[0] round
     /* 1091937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1091950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091972 */     // GIR_Coverage, 16625,
     /* 1091972 */     GIR_EraseRootFromParent_Done,
     /* 1091973 */   // Label 16079: @1091973
     /* 1091973 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1092053), // Rule ID 16628 //
     /* 1091978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1091981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1091986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1091998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1092017 */     // MIs[0] round
     /* 1092017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1092030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092052 */     // GIR_Coverage, 16628,
     /* 1092052 */     GIR_EraseRootFromParent_Done,
     /* 1092053 */   // Label 16080: @1092053
     /* 1092053 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1092133), // Rule ID 16629 //
     /* 1092058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1092061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1092069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1092072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1092075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1092078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1092097 */     // MIs[0] round
     /* 1092097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1092110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092132 */     // GIR_Coverage, 16629,
     /* 1092132 */     GIR_EraseRootFromParent_Done,
     /* 1092133 */   // Label 16081: @1092133
     /* 1092133 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1092213), // Rule ID 16632 //
     /* 1092138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1092141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092177 */     // MIs[0] round
     /* 1092177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092187 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1092190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092212 */     // GIR_Coverage, 16632,
     /* 1092212 */     GIR_EraseRootFromParent_Done,
     /* 1092213 */   // Label 16082: @1092213
     /* 1092213 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1092293), // Rule ID 16633 //
     /* 1092218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1092221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092257 */     // MIs[0] round
     /* 1092257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1092270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092292 */     // GIR_Coverage, 16633,
     /* 1092292 */     GIR_EraseRootFromParent_Done,
     /* 1092293 */   // Label 16083: @1092293
     /* 1092293 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1092373), // Rule ID 16636 //
     /* 1092298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1092301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092337 */     // MIs[0] round
     /* 1092337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092347 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1092350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092372 */     // GIR_Coverage, 16636,
     /* 1092372 */     GIR_EraseRootFromParent_Done,
     /* 1092373 */   // Label 16084: @1092373
     /* 1092373 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1092453), // Rule ID 16637 //
     /* 1092378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1092381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092417 */     // MIs[0] round
     /* 1092417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092427 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1092430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092452 */     // GIR_Coverage, 16637,
     /* 1092452 */     GIR_EraseRootFromParent_Done,
     /* 1092453 */   // Label 16085: @1092453
     /* 1092453 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1092533), // Rule ID 16640 //
     /* 1092458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1092461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092497 */     // MIs[0] round
     /* 1092497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092507 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1092510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092532 */     // GIR_Coverage, 16640,
     /* 1092532 */     GIR_EraseRootFromParent_Done,
     /* 1092533 */   // Label 16086: @1092533
     /* 1092533 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1092613), // Rule ID 16641 //
     /* 1092538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1092541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1092558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1092577 */     // MIs[0] round
     /* 1092577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092587 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1092590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092612 */     // GIR_Coverage, 16641,
     /* 1092612 */     GIR_EraseRootFromParent_Done,
     /* 1092613 */   // Label 16087: @1092613
     /* 1092613 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1092693), // Rule ID 16644 //
     /* 1092618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1092621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1092638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1092657 */     // MIs[0] round
     /* 1092657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1092670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092692 */     // GIR_Coverage, 16644,
     /* 1092692 */     GIR_EraseRootFromParent_Done,
     /* 1092693 */   // Label 16088: @1092693
     /* 1092693 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1092773), // Rule ID 16645 //
     /* 1092698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1092701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1092718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1092737 */     // MIs[0] round
     /* 1092737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1092750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092772 */     // GIR_Coverage, 16645,
     /* 1092772 */     GIR_EraseRootFromParent_Done,
     /* 1092773 */   // Label 16089: @1092773
     /* 1092773 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1092853), // Rule ID 16648 //
     /* 1092778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1092781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1092798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1092817 */     // MIs[0] round
     /* 1092817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1092830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092852 */     // GIR_Coverage, 16648,
     /* 1092852 */     GIR_EraseRootFromParent_Done,
     /* 1092853 */   // Label 16090: @1092853
     /* 1092853 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1092933), // Rule ID 16649 //
     /* 1092858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1092861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1092878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1092897 */     // MIs[0] round
     /* 1092897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092907 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1092910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092932 */     // GIR_Coverage, 16649,
     /* 1092932 */     GIR_EraseRootFromParent_Done,
     /* 1092933 */   // Label 16091: @1092933
     /* 1092933 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1093013), // Rule ID 16652 //
     /* 1092938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1092941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1092946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1092958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1092977 */     // MIs[0] round
     /* 1092977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1092990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093012 */     // GIR_Coverage, 16652,
     /* 1093012 */     GIR_EraseRootFromParent_Done,
     /* 1093013 */   // Label 16092: @1093013
     /* 1093013 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1093093), // Rule ID 16653 //
     /* 1093018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1093021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1093038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1093057 */     // MIs[0] round
     /* 1093057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093067 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1093070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093092 */     // GIR_Coverage, 16653,
     /* 1093092 */     GIR_EraseRootFromParent_Done,
     /* 1093093 */   // Label 16093: @1093093
     /* 1093093 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1093173), // Rule ID 16656 //
     /* 1093098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1093101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093137 */     // MIs[0] round
     /* 1093137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093147 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1093150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093172 */     // GIR_Coverage, 16656,
     /* 1093172 */     GIR_EraseRootFromParent_Done,
     /* 1093173 */   // Label 16094: @1093173
     /* 1093173 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1093253), // Rule ID 16657 //
     /* 1093178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1093181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093217 */     // MIs[0] round
     /* 1093217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10837:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1093230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093252 */     // GIR_Coverage, 16657,
     /* 1093252 */     GIR_EraseRootFromParent_Done,
     /* 1093253 */   // Label 16095: @1093253
     /* 1093253 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1093333), // Rule ID 16660 //
     /* 1093258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1093261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093297 */     // MIs[0] round
     /* 1093297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1093310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093332 */     // GIR_Coverage, 16660,
     /* 1093332 */     GIR_EraseRootFromParent_Done,
     /* 1093333 */   // Label 16096: @1093333
     /* 1093333 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1093413), // Rule ID 16661 //
     /* 1093338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1093341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093377 */     // MIs[0] round
     /* 1093377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093387 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10837:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1093390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093412 */     // GIR_Coverage, 16661,
     /* 1093412 */     GIR_EraseRootFromParent_Done,
     /* 1093413 */   // Label 16097: @1093413
     /* 1093413 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1093493), // Rule ID 16664 //
     /* 1093418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1093421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093457 */     // MIs[0] round
     /* 1093457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1093470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093492 */     // GIR_Coverage, 16664,
     /* 1093492 */     GIR_EraseRootFromParent_Done,
     /* 1093493 */   // Label 16098: @1093493
     /* 1093493 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1093573), // Rule ID 16665 //
     /* 1093498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1093501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1093506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1093537 */     // MIs[0] round
     /* 1093537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10837:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1093550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093572 */     // GIR_Coverage, 16665,
     /* 1093572 */     GIR_EraseRootFromParent_Done,
     /* 1093573 */   // Label 16099: @1093573
     /* 1093573 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1093653), // Rule ID 16668 //
     /* 1093578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1093581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1093598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093617 */     // MIs[0] round
     /* 1093617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093627 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1093630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093652 */     // GIR_Coverage, 16668,
     /* 1093652 */     GIR_EraseRootFromParent_Done,
     /* 1093653 */   // Label 16100: @1093653
     /* 1093653 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1093733), // Rule ID 16669 //
     /* 1093658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1093661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1093678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093697 */     // MIs[0] round
     /* 1093697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1093710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093732 */     // GIR_Coverage, 16669,
     /* 1093732 */     GIR_EraseRootFromParent_Done,
     /* 1093733 */   // Label 16101: @1093733
     /* 1093733 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1093813), // Rule ID 16672 //
     /* 1093738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1093741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1093758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093777 */     // MIs[0] round
     /* 1093777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1093790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093812 */     // GIR_Coverage, 16672,
     /* 1093812 */     GIR_EraseRootFromParent_Done,
     /* 1093813 */   // Label 16102: @1093813
     /* 1093813 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1093893), // Rule ID 16673 //
     /* 1093818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1093821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1093838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093857 */     // MIs[0] round
     /* 1093857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093867 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1093870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093892 */     // GIR_Coverage, 16673,
     /* 1093892 */     GIR_EraseRootFromParent_Done,
     /* 1093893 */   // Label 16103: @1093893
     /* 1093893 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1093973), // Rule ID 16676 //
     /* 1093898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1093901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1093918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093937 */     // MIs[0] round
     /* 1093937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093947 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1093950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093972 */     // GIR_Coverage, 16676,
     /* 1093972 */     GIR_EraseRootFromParent_Done,
     /* 1093973 */   // Label 16104: @1093973
     /* 1093973 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1094053), // Rule ID 16677 //
     /* 1093978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1093981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1093986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1093998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094017 */     // MIs[0] round
     /* 1094017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1094030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094052 */     // GIR_Coverage, 16677,
     /* 1094052 */     GIR_EraseRootFromParent_Done,
     /* 1094053 */   // Label 16105: @1094053
     /* 1094053 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1094133), // Rule ID 16680 //
     /* 1094058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1094061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1094078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094097 */     // MIs[0] round
     /* 1094097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1094110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094132 */     // GIR_Coverage, 16680,
     /* 1094132 */     GIR_EraseRootFromParent_Done,
     /* 1094133 */   // Label 16106: @1094133
     /* 1094133 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1094213), // Rule ID 16681 //
     /* 1094138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1094141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1094158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094177 */     // MIs[0] round
     /* 1094177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1094190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094212 */     // GIR_Coverage, 16681,
     /* 1094212 */     GIR_EraseRootFromParent_Done,
     /* 1094213 */   // Label 16107: @1094213
     /* 1094213 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1094293), // Rule ID 16684 //
     /* 1094218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1094221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1094238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094257 */     // MIs[0] round
     /* 1094257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1094270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094292 */     // GIR_Coverage, 16684,
     /* 1094292 */     GIR_EraseRootFromParent_Done,
     /* 1094293 */   // Label 16108: @1094293
     /* 1094293 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1094373), // Rule ID 16685 //
     /* 1094298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1094301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1094318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094337 */     // MIs[0] round
     /* 1094337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1094350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094372 */     // GIR_Coverage, 16685,
     /* 1094372 */     GIR_EraseRootFromParent_Done,
     /* 1094373 */   // Label 16109: @1094373
     /* 1094373 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1094453), // Rule ID 16688 //
     /* 1094378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1094381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1094398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094417 */     // MIs[0] round
     /* 1094417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1094430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094452 */     // GIR_Coverage, 16688,
     /* 1094452 */     GIR_EraseRootFromParent_Done,
     /* 1094453 */   // Label 16110: @1094453
     /* 1094453 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1094533), // Rule ID 16689 //
     /* 1094458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1094461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1094478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094497 */     // MIs[0] round
     /* 1094497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1094510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094532 */     // GIR_Coverage, 16689,
     /* 1094532 */     GIR_EraseRootFromParent_Done,
     /* 1094533 */   // Label 16111: @1094533
     /* 1094533 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1094613), // Rule ID 16692 //
     /* 1094538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1094541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1094558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094577 */     // MIs[0] round
     /* 1094577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1094590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094612 */     // GIR_Coverage, 16692,
     /* 1094612 */     GIR_EraseRootFromParent_Done,
     /* 1094613 */   // Label 16112: @1094613
     /* 1094613 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1094693), // Rule ID 16693 //
     /* 1094618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1094621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1094629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1094632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1094635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1094638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094657 */     // MIs[0] round
     /* 1094657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1094670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094692 */     // GIR_Coverage, 16693,
     /* 1094692 */     GIR_EraseRootFromParent_Done,
     /* 1094693 */   // Label 16113: @1094693
     /* 1094693 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1094773), // Rule ID 16696 //
     /* 1094698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1094701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1094718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094737 */     // MIs[0] round
     /* 1094737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094747 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1094750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094772 */     // GIR_Coverage, 16696,
     /* 1094772 */     GIR_EraseRootFromParent_Done,
     /* 1094773 */   // Label 16114: @1094773
     /* 1094773 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1094853), // Rule ID 16697 //
     /* 1094778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1094781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1094789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1094792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1094795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1094798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094817 */     // MIs[0] round
     /* 1094817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094827 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1094830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094852 */     // GIR_Coverage, 16697,
     /* 1094852 */     GIR_EraseRootFromParent_Done,
     /* 1094853 */   // Label 16115: @1094853
     /* 1094853 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1094933), // Rule ID 16700 //
     /* 1094858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1094861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1094878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094897 */     // MIs[0] round
     /* 1094897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1094910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094932 */     // GIR_Coverage, 16700,
     /* 1094932 */     GIR_EraseRootFromParent_Done,
     /* 1094933 */   // Label 16116: @1094933
     /* 1094933 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1095013), // Rule ID 16701 //
     /* 1094938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1094941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1094946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1094949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1094952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1094955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1094958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094977 */     // MIs[0] round
     /* 1094977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094987 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1094990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095012 */     // GIR_Coverage, 16701,
     /* 1095012 */     GIR_EraseRootFromParent_Done,
     /* 1095013 */   // Label 16117: @1095013
     /* 1095013 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1095093), // Rule ID 16704 //
     /* 1095018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1095021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1095038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095057 */     // MIs[0] round
     /* 1095057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095067 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1095070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095092 */     // GIR_Coverage, 16704,
     /* 1095092 */     GIR_EraseRootFromParent_Done,
     /* 1095093 */   // Label 16118: @1095093
     /* 1095093 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1095173), // Rule ID 16705 //
     /* 1095098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1095101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1095118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095137 */     // MIs[0] round
     /* 1095137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1095150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095172 */     // GIR_Coverage, 16705,
     /* 1095172 */     GIR_EraseRootFromParent_Done,
     /* 1095173 */   // Label 16119: @1095173
     /* 1095173 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1095253), // Rule ID 16708 //
     /* 1095178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1095181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1095198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095217 */     // MIs[0] round
     /* 1095217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1095230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095252 */     // GIR_Coverage, 16708,
     /* 1095252 */     GIR_EraseRootFromParent_Done,
     /* 1095253 */   // Label 16120: @1095253
     /* 1095253 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1095333), // Rule ID 16709 //
     /* 1095258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1095261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1095278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095297 */     // MIs[0] round
     /* 1095297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095307 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1095310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095332 */     // GIR_Coverage, 16709,
     /* 1095332 */     GIR_EraseRootFromParent_Done,
     /* 1095333 */   // Label 16121: @1095333
     /* 1095333 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1095413), // Rule ID 16712 //
     /* 1095338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1095341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1095358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095377 */     // MIs[0] round
     /* 1095377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1095390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095412 */     // GIR_Coverage, 16712,
     /* 1095412 */     GIR_EraseRootFromParent_Done,
     /* 1095413 */   // Label 16122: @1095413
     /* 1095413 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1095493), // Rule ID 16713 //
     /* 1095418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1095421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1095438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095457 */     // MIs[0] round
     /* 1095457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1095470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095492 */     // GIR_Coverage, 16713,
     /* 1095492 */     GIR_EraseRootFromParent_Done,
     /* 1095493 */   // Label 16123: @1095493
     /* 1095493 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1095573), // Rule ID 16716 //
     /* 1095498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1095501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1095518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095537 */     // MIs[0] round
     /* 1095537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095547 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1095550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095572 */     // GIR_Coverage, 16716,
     /* 1095572 */     GIR_EraseRootFromParent_Done,
     /* 1095573 */   // Label 16124: @1095573
     /* 1095573 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1095653), // Rule ID 16717 //
     /* 1095578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1095581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1095589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1095592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1095595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1095598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095617 */     // MIs[0] round
     /* 1095617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095627 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1095630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095652 */     // GIR_Coverage, 16717,
     /* 1095652 */     GIR_EraseRootFromParent_Done,
     /* 1095653 */   // Label 16125: @1095653
     /* 1095653 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1095733), // Rule ID 16720 //
     /* 1095658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1095661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1095678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095697 */     // MIs[0] round
     /* 1095697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095707 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1095710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095732 */     // GIR_Coverage, 16720,
     /* 1095732 */     GIR_EraseRootFromParent_Done,
     /* 1095733 */   // Label 16126: @1095733
     /* 1095733 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1095813), // Rule ID 16721 //
     /* 1095738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1095741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1095749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1095752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1095755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1095758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095777 */     // MIs[0] round
     /* 1095777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095787 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1095790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095812 */     // GIR_Coverage, 16721,
     /* 1095812 */     GIR_EraseRootFromParent_Done,
     /* 1095813 */   // Label 16127: @1095813
     /* 1095813 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1095893), // Rule ID 16724 //
     /* 1095818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1095821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1095838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095857 */     // MIs[0] round
     /* 1095857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1095870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095892 */     // GIR_Coverage, 16724,
     /* 1095892 */     GIR_EraseRootFromParent_Done,
     /* 1095893 */   // Label 16128: @1095893
     /* 1095893 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1095973), // Rule ID 16725 //
     /* 1095898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1095901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1095909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1095912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1095915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1095918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095937 */     // MIs[0] round
     /* 1095937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095947 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1095950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095972 */     // GIR_Coverage, 16725,
     /* 1095972 */     GIR_EraseRootFromParent_Done,
     /* 1095973 */   // Label 16129: @1095973
     /* 1095973 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1096053), // Rule ID 16728 //
     /* 1095978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1095981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1095986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1095989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1095992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1095995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1095998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096017 */     // MIs[0] round
     /* 1096017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096027 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1096030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096052 */     // GIR_Coverage, 16728,
     /* 1096052 */     GIR_EraseRootFromParent_Done,
     /* 1096053 */   // Label 16130: @1096053
     /* 1096053 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1096133), // Rule ID 16729 //
     /* 1096058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1096061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096097 */     // MIs[0] round
     /* 1096097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096107 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1096110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096132 */     // GIR_Coverage, 16729,
     /* 1096132 */     GIR_EraseRootFromParent_Done,
     /* 1096133 */   // Label 16131: @1096133
     /* 1096133 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1096213), // Rule ID 16732 //
     /* 1096138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1096141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096177 */     // MIs[0] round
     /* 1096177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096187 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1096190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096212 */     // GIR_Coverage, 16732,
     /* 1096212 */     GIR_EraseRootFromParent_Done,
     /* 1096213 */   // Label 16132: @1096213
     /* 1096213 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1096293), // Rule ID 16733 //
     /* 1096218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1096221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1096229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1096232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1096235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096257 */     // MIs[0] round
     /* 1096257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096267 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1096270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096292 */     // GIR_Coverage, 16733,
     /* 1096292 */     GIR_EraseRootFromParent_Done,
     /* 1096293 */   // Label 16133: @1096293
     /* 1096293 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1096373), // Rule ID 16736 //
     /* 1096298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1096301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1096337 */     // MIs[0] round
     /* 1096337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096347 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1096350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096372 */     // GIR_Coverage, 16736,
     /* 1096372 */     GIR_EraseRootFromParent_Done,
     /* 1096373 */   // Label 16134: @1096373
     /* 1096373 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1096453), // Rule ID 16737 //
     /* 1096378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1096381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1096389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1096392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1096395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1096417 */     // MIs[0] round
     /* 1096417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096427 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1096430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096452 */     // GIR_Coverage, 16737,
     /* 1096452 */     GIR_EraseRootFromParent_Done,
     /* 1096453 */   // Label 16135: @1096453
     /* 1096453 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1096533), // Rule ID 16740 //
     /* 1096458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1096461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096497 */     // MIs[0] round
     /* 1096497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096507 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1096510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096532 */     // GIR_Coverage, 16740,
     /* 1096532 */     GIR_EraseRootFromParent_Done,
     /* 1096533 */   // Label 16136: @1096533
     /* 1096533 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1096613), // Rule ID 16741 //
     /* 1096538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1096541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1096549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1096552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1096555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096577 */     // MIs[0] round
     /* 1096577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096587 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10929:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1096590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096612 */     // GIR_Coverage, 16741,
     /* 1096612 */     GIR_EraseRootFromParent_Done,
     /* 1096613 */   // Label 16137: @1096613
     /* 1096613 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1096693), // Rule ID 16744 //
     /* 1096618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1096621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1096657 */     // MIs[0] round
     /* 1096657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1096670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096692 */     // GIR_Coverage, 16744,
     /* 1096692 */     GIR_EraseRootFromParent_Done,
     /* 1096693 */   // Label 16138: @1096693
     /* 1096693 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1096773), // Rule ID 16745 //
     /* 1096698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1096701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1096709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1096712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1096715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1096737 */     // MIs[0] round
     /* 1096737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1096750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096772 */     // GIR_Coverage, 16745,
     /* 1096772 */     GIR_EraseRootFromParent_Done,
     /* 1096773 */   // Label 16139: @1096773
     /* 1096773 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1096853), // Rule ID 16748 //
     /* 1096778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1096781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1096789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1096792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1096795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1096817 */     // MIs[0] round
     /* 1096817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1096830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096852 */     // GIR_Coverage, 16748,
     /* 1096852 */     GIR_EraseRootFromParent_Done,
     /* 1096853 */   // Label 16140: @1096853
     /* 1096853 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1096933), // Rule ID 16749 //
     /* 1096858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1096861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1096869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1096872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1096875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1096897 */     // MIs[0] round
     /* 1096897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096907 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1096910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096932 */     // GIR_Coverage, 16749,
     /* 1096932 */     GIR_EraseRootFromParent_Done,
     /* 1096933 */   // Label 16141: @1096933
     /* 1096933 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1097013), // Rule ID 16752 //
     /* 1096938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1096941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1096946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1096949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1096952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1096955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1096958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1096977 */     // MIs[0] round
     /* 1096977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1096990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097012 */     // GIR_Coverage, 16752,
     /* 1097012 */     GIR_EraseRootFromParent_Done,
     /* 1097013 */   // Label 16142: @1097013
     /* 1097013 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1097093), // Rule ID 16753 //
     /* 1097018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1097021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1097029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1097032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1097035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1097038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1097057 */     // MIs[0] round
     /* 1097057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097067 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1097070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097092 */     // GIR_Coverage, 16753,
     /* 1097092 */     GIR_EraseRootFromParent_Done,
     /* 1097093 */   // Label 16143: @1097093
     /* 1097093 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1097173), // Rule ID 16756 //
     /* 1097098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1097101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1097118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1097137 */     // MIs[0] round
     /* 1097137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097147 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1097150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097172 */     // GIR_Coverage, 16756,
     /* 1097172 */     GIR_EraseRootFromParent_Done,
     /* 1097173 */   // Label 16144: @1097173
     /* 1097173 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1097253), // Rule ID 16757 //
     /* 1097178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1097181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1097189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1097192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1097195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1097198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1097217 */     // MIs[0] round
     /* 1097217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097227 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1097230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097252 */     // GIR_Coverage, 16757,
     /* 1097252 */     GIR_EraseRootFromParent_Done,
     /* 1097253 */   // Label 16145: @1097253
     /* 1097253 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1097333), // Rule ID 16760 //
     /* 1097258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1097261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1097269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1097272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1097275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1097278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1097297 */     // MIs[0] round
     /* 1097297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097307 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1097310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097332 */     // GIR_Coverage, 16760,
     /* 1097332 */     GIR_EraseRootFromParent_Done,
     /* 1097333 */   // Label 16146: @1097333
     /* 1097333 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1097413), // Rule ID 16761 //
     /* 1097338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1097341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1097349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1097352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1097355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1097358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1097377 */     // MIs[0] round
     /* 1097377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097387 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1097390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097412 */     // GIR_Coverage, 16761,
     /* 1097412 */     GIR_EraseRootFromParent_Done,
     /* 1097413 */   // Label 16147: @1097413
     /* 1097413 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1097493), // Rule ID 16764 //
     /* 1097418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1097421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1097429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1097432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1097435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097457 */     // MIs[0] round
     /* 1097457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1097470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097492 */     // GIR_Coverage, 16764,
     /* 1097492 */     GIR_EraseRootFromParent_Done,
     /* 1097493 */   // Label 16148: @1097493
     /* 1097493 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1097573), // Rule ID 16765 //
     /* 1097498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1097501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1097509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1097512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1097515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097537 */     // MIs[0] round
     /* 1097537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097547 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1097550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097572 */     // GIR_Coverage, 16765,
     /* 1097572 */     GIR_EraseRootFromParent_Done,
     /* 1097573 */   // Label 16149: @1097573
     /* 1097573 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1097653), // Rule ID 16768 //
     /* 1097578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1097581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1097589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1097592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1097595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097617 */     // MIs[0] round
     /* 1097617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097627 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1097630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097652 */     // GIR_Coverage, 16768,
     /* 1097652 */     GIR_EraseRootFromParent_Done,
     /* 1097653 */   // Label 16150: @1097653
     /* 1097653 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1097733), // Rule ID 16769 //
     /* 1097658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1097661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1097669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1097672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1097675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097697 */     // MIs[0] round
     /* 1097697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1097710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097732 */     // GIR_Coverage, 16769,
     /* 1097732 */     GIR_EraseRootFromParent_Done,
     /* 1097733 */   // Label 16151: @1097733
     /* 1097733 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1097813), // Rule ID 16772 //
     /* 1097738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1097741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1097749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1097752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1097755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097777 */     // MIs[0] round
     /* 1097777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097787 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1097790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097812 */     // GIR_Coverage, 16772,
     /* 1097812 */     GIR_EraseRootFromParent_Done,
     /* 1097813 */   // Label 16152: @1097813
     /* 1097813 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1097893), // Rule ID 16773 //
     /* 1097818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1097821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1097829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1097832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1097835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1097857 */     // MIs[0] round
     /* 1097857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097867 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1097870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097892 */     // GIR_Coverage, 16773,
     /* 1097892 */     GIR_EraseRootFromParent_Done,
     /* 1097893 */   // Label 16153: @1097893
     /* 1097893 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1097973), // Rule ID 16776 //
     /* 1097898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1097901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1097918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1097937 */     // MIs[0] round
     /* 1097937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097947 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1097950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097972 */     // GIR_Coverage, 16776,
     /* 1097972 */     GIR_EraseRootFromParent_Done,
     /* 1097973 */   // Label 16154: @1097973
     /* 1097973 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1098053), // Rule ID 16777 //
     /* 1097978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1097981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1097986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1097998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1098017 */     // MIs[0] round
     /* 1098017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1098030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098052 */     // GIR_Coverage, 16777,
     /* 1098052 */     GIR_EraseRootFromParent_Done,
     /* 1098053 */   // Label 16155: @1098053
     /* 1098053 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1098133), // Rule ID 16780 //
     /* 1098058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1098061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1098066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1098078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1098097 */     // MIs[0] round
     /* 1098097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098107 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1098110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098132 */     // GIR_Coverage, 16780,
     /* 1098132 */     GIR_EraseRootFromParent_Done,
     /* 1098133 */   // Label 16156: @1098133
     /* 1098133 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1098213), // Rule ID 16781 //
     /* 1098138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1098141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1098146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1098149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1098152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1098155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1098158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1098177 */     // MIs[0] round
     /* 1098177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098187 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1098190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098212 */     // GIR_Coverage, 16781,
     /* 1098212 */     GIR_EraseRootFromParent_Done,
     /* 1098213 */   // Label 16157: @1098213
     /* 1098213 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1098293), // Rule ID 16784 //
     /* 1098218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1098221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1098226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1098238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1098257 */     // MIs[0] round
     /* 1098257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098267 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1098270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098292 */     // GIR_Coverage, 16784,
     /* 1098292 */     GIR_EraseRootFromParent_Done,
     /* 1098293 */   // Label 16158: @1098293
     /* 1098293 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1098373), // Rule ID 16785 //
     /* 1098298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1098301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1098306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1098309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1098312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1098315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1098318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1098337 */     // MIs[0] round
     /* 1098337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098347 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1098350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098372 */     // GIR_Coverage, 16785,
     /* 1098372 */     GIR_EraseRootFromParent_Done,
     /* 1098373 */   // Label 16159: @1098373
     /* 1098373 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1098453), // Rule ID 16788 //
     /* 1098378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1098381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1098389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1098392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1098395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098417 */     // MIs[0] round
     /* 1098417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098427 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1098430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098452 */     // GIR_Coverage, 16788,
     /* 1098452 */     GIR_EraseRootFromParent_Done,
     /* 1098453 */   // Label 16160: @1098453
     /* 1098453 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1098533), // Rule ID 16789 //
     /* 1098458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1098461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1098469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1098472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1098475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098497 */     // MIs[0] round
     /* 1098497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098507 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1098510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098532 */     // GIR_Coverage, 16789,
     /* 1098532 */     GIR_EraseRootFromParent_Done,
     /* 1098533 */   // Label 16161: @1098533
     /* 1098533 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1098613), // Rule ID 16792 //
     /* 1098538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1098541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098577 */     // MIs[0] round
     /* 1098577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098587 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1098590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098612 */     // GIR_Coverage, 16792,
     /* 1098612 */     GIR_EraseRootFromParent_Done,
     /* 1098613 */   // Label 16162: @1098613
     /* 1098613 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1098693), // Rule ID 16793 //
     /* 1098618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1098621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098657 */     // MIs[0] round
     /* 1098657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098667 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1098670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098692 */     // GIR_Coverage, 16793,
     /* 1098692 */     GIR_EraseRootFromParent_Done,
     /* 1098693 */   // Label 16163: @1098693
     /* 1098693 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1098773), // Rule ID 16796 //
     /* 1098698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1098701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1098718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1098737 */     // MIs[0] round
     /* 1098737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098747 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1098750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098772 */     // GIR_Coverage, 16796,
     /* 1098772 */     GIR_EraseRootFromParent_Done,
     /* 1098773 */   // Label 16164: @1098773
     /* 1098773 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1098853), // Rule ID 16797 //
     /* 1098778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1098781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1098798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1098817 */     // MIs[0] round
     /* 1098817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1098830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098852 */     // GIR_Coverage, 16797,
     /* 1098852 */     GIR_EraseRootFromParent_Done,
     /* 1098853 */   // Label 16165: @1098853
     /* 1098853 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1098933), // Rule ID 16800 //
     /* 1098858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1098861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098897 */     // MIs[0] round
     /* 1098897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1098910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098932 */     // GIR_Coverage, 16800,
     /* 1098932 */     GIR_EraseRootFromParent_Done,
     /* 1098933 */   // Label 16166: @1098933
     /* 1098933 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1099013), // Rule ID 16801 //
     /* 1098938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1098941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1098946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1098958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1098977 */     // MIs[0] round
     /* 1098977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10915:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1098990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099012 */     // GIR_Coverage, 16801,
     /* 1099012 */     GIR_EraseRootFromParent_Done,
     /* 1099013 */   // Label 16167: @1099013
     /* 1099013 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1099093), // Rule ID 16804 //
     /* 1099018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1099021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1099038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1099057 */     // MIs[0] round
     /* 1099057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1099070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099092 */     // GIR_Coverage, 16804,
     /* 1099092 */     GIR_EraseRootFromParent_Done,
     /* 1099093 */   // Label 16168: @1099093
     /* 1099093 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1099173), // Rule ID 16805 //
     /* 1099098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1099101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1099118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1099137 */     // MIs[0] round
     /* 1099137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1099150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099172 */     // GIR_Coverage, 16805,
     /* 1099172 */     GIR_EraseRootFromParent_Done,
     /* 1099173 */   // Label 16169: @1099173
     /* 1099173 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1099253), // Rule ID 16808 //
     /* 1099178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1099181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1099189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1099192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1099195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1099198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1099217 */     // MIs[0] round
     /* 1099217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1099230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099252 */     // GIR_Coverage, 16808,
     /* 1099252 */     GIR_EraseRootFromParent_Done,
     /* 1099253 */   // Label 16170: @1099253
     /* 1099253 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1099333), // Rule ID 16809 //
     /* 1099258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1099261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1099269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1099272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1099275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1099278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1099297 */     // MIs[0] round
     /* 1099297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1099310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099332 */     // GIR_Coverage, 16809,
     /* 1099332 */     GIR_EraseRootFromParent_Done,
     /* 1099333 */   // Label 16171: @1099333
     /* 1099333 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1099413), // Rule ID 16812 //
     /* 1099338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1099341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099377 */     // MIs[0] round
     /* 1099377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1099390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099412 */     // GIR_Coverage, 16812,
     /* 1099412 */     GIR_EraseRootFromParent_Done,
     /* 1099413 */   // Label 16172: @1099413
     /* 1099413 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1099493), // Rule ID 16813 //
     /* 1099418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1099421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099457 */     // MIs[0] round
     /* 1099457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099467 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1099470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099492 */     // GIR_Coverage, 16813,
     /* 1099492 */     GIR_EraseRootFromParent_Done,
     /* 1099493 */   // Label 16173: @1099493
     /* 1099493 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1099573), // Rule ID 16816 //
     /* 1099498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1099501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099537 */     // MIs[0] round
     /* 1099537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099547 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1099550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099572 */     // GIR_Coverage, 16816,
     /* 1099572 */     GIR_EraseRootFromParent_Done,
     /* 1099573 */   // Label 16174: @1099573
     /* 1099573 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1099653), // Rule ID 16817 //
     /* 1099578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1099581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099617 */     // MIs[0] round
     /* 1099617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099627 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1099630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099652 */     // GIR_Coverage, 16817,
     /* 1099652 */     GIR_EraseRootFromParent_Done,
     /* 1099653 */   // Label 16175: @1099653
     /* 1099653 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1099733), // Rule ID 16820 //
     /* 1099658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1099661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099697 */     // MIs[0] round
     /* 1099697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099707 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1099710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099732 */     // GIR_Coverage, 16820,
     /* 1099732 */     GIR_EraseRootFromParent_Done,
     /* 1099733 */   // Label 16176: @1099733
     /* 1099733 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1099813), // Rule ID 16821 //
     /* 1099738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1099741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1099758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1099777 */     // MIs[0] round
     /* 1099777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1099790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099812 */     // GIR_Coverage, 16821,
     /* 1099812 */     GIR_EraseRootFromParent_Done,
     /* 1099813 */   // Label 16177: @1099813
     /* 1099813 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1099893), // Rule ID 16824 //
     /* 1099818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1099821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1099838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1099857 */     // MIs[0] round
     /* 1099857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099867 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1099870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099892 */     // GIR_Coverage, 16824,
     /* 1099892 */     GIR_EraseRootFromParent_Done,
     /* 1099893 */   // Label 16178: @1099893
     /* 1099893 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1099973), // Rule ID 16825 //
     /* 1099898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1099901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1099918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1099937 */     // MIs[0] round
     /* 1099937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1099950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099972 */     // GIR_Coverage, 16825,
     /* 1099972 */     GIR_EraseRootFromParent_Done,
     /* 1099973 */   // Label 16179: @1099973
     /* 1099973 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1100053), // Rule ID 16828 //
     /* 1099978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1099981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1099986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1099998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1100017 */     // MIs[0] round
     /* 1100017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1100030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100052 */     // GIR_Coverage, 16828,
     /* 1100052 */     GIR_EraseRootFromParent_Done,
     /* 1100053 */   // Label 16180: @1100053
     /* 1100053 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1100133), // Rule ID 16829 //
     /* 1100058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1100061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1100078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1100097 */     // MIs[0] round
     /* 1100097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1100110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100132 */     // GIR_Coverage, 16829,
     /* 1100132 */     GIR_EraseRootFromParent_Done,
     /* 1100133 */   // Label 16181: @1100133
     /* 1100133 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1100213), // Rule ID 16832 //
     /* 1100138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1100141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1100158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1100177 */     // MIs[0] round
     /* 1100177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100187 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1100190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100212 */     // GIR_Coverage, 16832,
     /* 1100212 */     GIR_EraseRootFromParent_Done,
     /* 1100213 */   // Label 16182: @1100213
     /* 1100213 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1100293), // Rule ID 16833 //
     /* 1100218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1100221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1100238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1100257 */     // MIs[0] round
     /* 1100257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1100270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100292 */     // GIR_Coverage, 16833,
     /* 1100292 */     GIR_EraseRootFromParent_Done,
     /* 1100293 */   // Label 16183: @1100293
     /* 1100293 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1100373), // Rule ID 16836 //
     /* 1100298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1100301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100337 */     // MIs[0] round
     /* 1100337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100347 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1100350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100372 */     // GIR_Coverage, 16836,
     /* 1100372 */     GIR_EraseRootFromParent_Done,
     /* 1100373 */   // Label 16184: @1100373
     /* 1100373 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1100453), // Rule ID 16837 //
     /* 1100378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1100381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100417 */     // MIs[0] round
     /* 1100417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1100430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100452 */     // GIR_Coverage, 16837,
     /* 1100452 */     GIR_EraseRootFromParent_Done,
     /* 1100453 */   // Label 16185: @1100453
     /* 1100453 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1100533), // Rule ID 16840 //
     /* 1100458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1100461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100497 */     // MIs[0] round
     /* 1100497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100507 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1100510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100532 */     // GIR_Coverage, 16840,
     /* 1100532 */     GIR_EraseRootFromParent_Done,
     /* 1100533 */   // Label 16186: @1100533
     /* 1100533 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1100613), // Rule ID 16841 //
     /* 1100538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1100541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100577 */     // MIs[0] round
     /* 1100577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100587 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1100590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100612 */     // GIR_Coverage, 16841,
     /* 1100612 */     GIR_EraseRootFromParent_Done,
     /* 1100613 */   // Label 16187: @1100613
     /* 1100613 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1100693), // Rule ID 16844 //
     /* 1100618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1100621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100657 */     // MIs[0] round
     /* 1100657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100667 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1100670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100692 */     // GIR_Coverage, 16844,
     /* 1100692 */     GIR_EraseRootFromParent_Done,
     /* 1100693 */   // Label 16188: @1100693
     /* 1100693 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1100773), // Rule ID 16845 //
     /* 1100698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1100701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1100706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1100737 */     // MIs[0] round
     /* 1100737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100747 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1100750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100772 */     // GIR_Coverage, 16845,
     /* 1100772 */     GIR_EraseRootFromParent_Done,
     /* 1100773 */   // Label 16189: @1100773
     /* 1100773 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1100853), // Rule ID 16848 //
     /* 1100778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1100781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1100786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1100798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100817 */     // MIs[0] round
     /* 1100817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1100830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100852 */     // GIR_Coverage, 16848,
     /* 1100852 */     GIR_EraseRootFromParent_Done,
     /* 1100853 */   // Label 16190: @1100853
     /* 1100853 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1100933), // Rule ID 16849 //
     /* 1100858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1100861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1100866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1100875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1100878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100897 */     // MIs[0] round
     /* 1100897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100907 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1100910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100932 */     // GIR_Coverage, 16849,
     /* 1100932 */     GIR_EraseRootFromParent_Done,
     /* 1100933 */   // Label 16191: @1100933
     /* 1100933 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1101013), // Rule ID 16852 //
     /* 1100938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1100941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1100946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1100955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1100958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100977 */     // MIs[0] round
     /* 1100977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1100990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101012 */     // GIR_Coverage, 16852,
     /* 1101012 */     GIR_EraseRootFromParent_Done,
     /* 1101013 */   // Label 16192: @1101013
     /* 1101013 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1101093), // Rule ID 16853 //
     /* 1101018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1101021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1101038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101057 */     // MIs[0] round
     /* 1101057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1101070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101092 */     // GIR_Coverage, 16853,
     /* 1101092 */     GIR_EraseRootFromParent_Done,
     /* 1101093 */   // Label 16193: @1101093
     /* 1101093 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1101173), // Rule ID 16856 //
     /* 1101098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1101101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1101118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101137 */     // MIs[0] round
     /* 1101137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1101150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101172 */     // GIR_Coverage, 16856,
     /* 1101172 */     GIR_EraseRootFromParent_Done,
     /* 1101173 */   // Label 16194: @1101173
     /* 1101173 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1101253), // Rule ID 16857 //
     /* 1101178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1101181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1101198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101217 */     // MIs[0] round
     /* 1101217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1101230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101252 */     // GIR_Coverage, 16857,
     /* 1101252 */     GIR_EraseRootFromParent_Done,
     /* 1101253 */   // Label 16195: @1101253
     /* 1101253 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1101333), // Rule ID 16860 //
     /* 1101258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1101261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1101278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101297 */     // MIs[0] round
     /* 1101297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101307 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1101310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101332 */     // GIR_Coverage, 16860,
     /* 1101332 */     GIR_EraseRootFromParent_Done,
     /* 1101333 */   // Label 16196: @1101333
     /* 1101333 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1101413), // Rule ID 16861 //
     /* 1101338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1101341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1101355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1101358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101377 */     // MIs[0] round
     /* 1101377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1101390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101412 */     // GIR_Coverage, 16861,
     /* 1101412 */     GIR_EraseRootFromParent_Done,
     /* 1101413 */   // Label 16197: @1101413
     /* 1101413 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1101493), // Rule ID 16864 //
     /* 1101418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1101421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1101438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101457 */     // MIs[0] round
     /* 1101457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1101470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101492 */     // GIR_Coverage, 16864,
     /* 1101492 */     GIR_EraseRootFromParent_Done,
     /* 1101493 */   // Label 16198: @1101493
     /* 1101493 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1101573), // Rule ID 16865 //
     /* 1101498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1101501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1101515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1101518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101537 */     // MIs[0] round
     /* 1101537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101547 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1101550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101572 */     // GIR_Coverage, 16865,
     /* 1101572 */     GIR_EraseRootFromParent_Done,
     /* 1101573 */   // Label 16199: @1101573
     /* 1101573 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1101653), // Rule ID 16868 //
     /* 1101578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1101581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1101598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101617 */     // MIs[0] round
     /* 1101617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1101630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101652 */     // GIR_Coverage, 16868,
     /* 1101652 */     GIR_EraseRootFromParent_Done,
     /* 1101653 */   // Label 16200: @1101653
     /* 1101653 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1101733), // Rule ID 16869 //
     /* 1101658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1101661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1101669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1101672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1101678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101697 */     // MIs[0] round
     /* 1101697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1101710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101732 */     // GIR_Coverage, 16869,
     /* 1101732 */     GIR_EraseRootFromParent_Done,
     /* 1101733 */   // Label 16201: @1101733
     /* 1101733 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1101813), // Rule ID 16872 //
     /* 1101738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1101741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1101749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1101752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1101758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101777 */     // MIs[0] round
     /* 1101777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1101790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101812 */     // GIR_Coverage, 16872,
     /* 1101812 */     GIR_EraseRootFromParent_Done,
     /* 1101813 */   // Label 16202: @1101813
     /* 1101813 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1101893), // Rule ID 16873 //
     /* 1101818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1101821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1101829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1101832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1101838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101857 */     // MIs[0] round
     /* 1101857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101867 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1101870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101892 */     // GIR_Coverage, 16873,
     /* 1101892 */     GIR_EraseRootFromParent_Done,
     /* 1101893 */   // Label 16203: @1101893
     /* 1101893 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1101973), // Rule ID 16876 //
     /* 1101898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1101901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1101909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1101912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1101918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101937 */     // MIs[0] round
     /* 1101937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101947 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1101950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101972 */     // GIR_Coverage, 16876,
     /* 1101972 */     GIR_EraseRootFromParent_Done,
     /* 1101973 */   // Label 16204: @1101973
     /* 1101973 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1102053), // Rule ID 16877 //
     /* 1101978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1101981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1101986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1101989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1101992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1101998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102017 */     // MIs[0] round
     /* 1102017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102027 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1102030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102052 */     // GIR_Coverage, 16877,
     /* 1102052 */     GIR_EraseRootFromParent_Done,
     /* 1102053 */   // Label 16205: @1102053
     /* 1102053 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1102133), // Rule ID 16880 //
     /* 1102058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1102061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1102078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102097 */     // MIs[0] round
     /* 1102097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102107 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1102110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102132 */     // GIR_Coverage, 16880,
     /* 1102132 */     GIR_EraseRootFromParent_Done,
     /* 1102133 */   // Label 16206: @1102133
     /* 1102133 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1102213), // Rule ID 16881 //
     /* 1102138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1102141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1102149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1102152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1102158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102177 */     // MIs[0] round
     /* 1102177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102187 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1102190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102212 */     // GIR_Coverage, 16881,
     /* 1102212 */     GIR_EraseRootFromParent_Done,
     /* 1102213 */   // Label 16207: @1102213
     /* 1102213 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1102293), // Rule ID 16884 //
     /* 1102218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1102221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1102235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102257 */     // MIs[0] round
     /* 1102257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102267 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1102270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102292 */     // GIR_Coverage, 16884,
     /* 1102292 */     GIR_EraseRootFromParent_Done,
     /* 1102293 */   // Label 16208: @1102293
     /* 1102293 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1102373), // Rule ID 16885 //
     /* 1102298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1102301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1102315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102337 */     // MIs[0] round
     /* 1102337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102347 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1102350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102372 */     // GIR_Coverage, 16885,
     /* 1102372 */     GIR_EraseRootFromParent_Done,
     /* 1102373 */   // Label 16209: @1102373
     /* 1102373 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1102453), // Rule ID 16888 //
     /* 1102378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1102381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1102395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102417 */     // MIs[0] round
     /* 1102417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1102430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102452 */     // GIR_Coverage, 16888,
     /* 1102452 */     GIR_EraseRootFromParent_Done,
     /* 1102453 */   // Label 16210: @1102453
     /* 1102453 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1102533), // Rule ID 16889 //
     /* 1102458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1102461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1102475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102497 */     // MIs[0] round
     /* 1102497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10931:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1102510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102532 */     // GIR_Coverage, 16889,
     /* 1102532 */     GIR_EraseRootFromParent_Done,
     /* 1102533 */   // Label 16211: @1102533
     /* 1102533 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1102613), // Rule ID 16892 //
     /* 1102538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1102541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102577 */     // MIs[0] round
     /* 1102577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1102590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102612 */     // GIR_Coverage, 16892,
     /* 1102612 */     GIR_EraseRootFromParent_Done,
     /* 1102613 */   // Label 16212: @1102613
     /* 1102613 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1102693), // Rule ID 16893 //
     /* 1102618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1102621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102657 */     // MIs[0] round
     /* 1102657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1102670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102692 */     // GIR_Coverage, 16893,
     /* 1102692 */     GIR_EraseRootFromParent_Done,
     /* 1102693 */   // Label 16213: @1102693
     /* 1102693 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1102773), // Rule ID 16896 //
     /* 1102698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1102701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102737 */     // MIs[0] round
     /* 1102737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102747 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1102750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102772 */     // GIR_Coverage, 16896,
     /* 1102772 */     GIR_EraseRootFromParent_Done,
     /* 1102773 */   // Label 16214: @1102773
     /* 1102773 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1102853), // Rule ID 16897 //
     /* 1102778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1102781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102817 */     // MIs[0] round
     /* 1102817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1102830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102852 */     // GIR_Coverage, 16897,
     /* 1102852 */     GIR_EraseRootFromParent_Done,
     /* 1102853 */   // Label 16215: @1102853
     /* 1102853 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1102933), // Rule ID 16900 //
     /* 1102858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1102861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102897 */     // MIs[0] round
     /* 1102897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1102910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102932 */     // GIR_Coverage, 16900,
     /* 1102932 */     GIR_EraseRootFromParent_Done,
     /* 1102933 */   // Label 16216: @1102933
     /* 1102933 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1103013), // Rule ID 16901 //
     /* 1102938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1102941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1102946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1102955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1102958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1102977 */     // MIs[0] round
     /* 1102977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1102990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103012 */     // GIR_Coverage, 16901,
     /* 1103012 */     GIR_EraseRootFromParent_Done,
     /* 1103013 */   // Label 16217: @1103013
     /* 1103013 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1103093), // Rule ID 16904 //
     /* 1103018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1103021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103057 */     // MIs[0] round
     /* 1103057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1103070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103092 */     // GIR_Coverage, 16904,
     /* 1103092 */     GIR_EraseRootFromParent_Done,
     /* 1103093 */   // Label 16218: @1103093
     /* 1103093 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1103173), // Rule ID 16905 //
     /* 1103098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1103101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1103115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103137 */     // MIs[0] round
     /* 1103137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10931:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1103150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103172 */     // GIR_Coverage, 16905,
     /* 1103172 */     GIR_EraseRootFromParent_Done,
     /* 1103173 */   // Label 16219: @1103173
     /* 1103173 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1103253), // Rule ID 16908 //
     /* 1103178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1103181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103217 */     // MIs[0] round
     /* 1103217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1103230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103252 */     // GIR_Coverage, 16908,
     /* 1103252 */     GIR_EraseRootFromParent_Done,
     /* 1103253 */   // Label 16220: @1103253
     /* 1103253 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1103333), // Rule ID 16909 //
     /* 1103258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1103261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103297 */     // MIs[0] round
     /* 1103297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103307 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10931:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1103310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103332 */     // GIR_Coverage, 16909,
     /* 1103332 */     GIR_EraseRootFromParent_Done,
     /* 1103333 */   // Label 16221: @1103333
     /* 1103333 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1103413), // Rule ID 16912 //
     /* 1103338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1103341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103377 */     // MIs[0] round
     /* 1103377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103387 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1103390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103412 */     // GIR_Coverage, 16912,
     /* 1103412 */     GIR_EraseRootFromParent_Done,
     /* 1103413 */   // Label 16222: @1103413
     /* 1103413 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1103493), // Rule ID 16913 //
     /* 1103418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1103421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103457 */     // MIs[0] round
     /* 1103457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103467 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10931:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1103470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103492 */     // GIR_Coverage, 16913,
     /* 1103492 */     GIR_EraseRootFromParent_Done,
     /* 1103493 */   // Label 16223: @1103493
     /* 1103493 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1103573), // Rule ID 16916 //
     /* 1103498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1103501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103537 */     // MIs[0] round
     /* 1103537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1103550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103572 */     // GIR_Coverage, 16916,
     /* 1103572 */     GIR_EraseRootFromParent_Done,
     /* 1103573 */   // Label 16224: @1103573
     /* 1103573 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1103653), // Rule ID 16917 //
     /* 1103578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1103581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1103586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1103589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1103592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1103617 */     // MIs[0] round
     /* 1103617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10931:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1103630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103652 */     // GIR_Coverage, 16917,
     /* 1103652 */     GIR_EraseRootFromParent_Done,
     /* 1103653 */   // Label 16225: @1103653
     /* 1103653 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1103733), // Rule ID 16920 //
     /* 1103658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1103661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1103666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1103678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103697 */     // MIs[0] round
     /* 1103697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103707 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1103710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103732 */     // GIR_Coverage, 16920,
     /* 1103732 */     GIR_EraseRootFromParent_Done,
     /* 1103733 */   // Label 16226: @1103733
     /* 1103733 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1103813), // Rule ID 16921 //
     /* 1103738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1103741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1103746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1103749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1103752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1103755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1103758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103777 */     // MIs[0] round
     /* 1103777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1103790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103812 */     // GIR_Coverage, 16921,
     /* 1103812 */     GIR_EraseRootFromParent_Done,
     /* 1103813 */   // Label 16227: @1103813
     /* 1103813 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1103893), // Rule ID 16924 //
     /* 1103818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1103821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1103826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1103838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103857 */     // MIs[0] round
     /* 1103857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1103870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103892 */     // GIR_Coverage, 16924,
     /* 1103892 */     GIR_EraseRootFromParent_Done,
     /* 1103893 */   // Label 16228: @1103893
     /* 1103893 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1103973), // Rule ID 16925 //
     /* 1103898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1103901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1103906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1103915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1103918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103937 */     // MIs[0] round
     /* 1103937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1103950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103972 */     // GIR_Coverage, 16925,
     /* 1103972 */     GIR_EraseRootFromParent_Done,
     /* 1103973 */   // Label 16229: @1103973
     /* 1103973 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1104053), // Rule ID 16928 //
     /* 1103978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1103981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1103986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1103995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1103998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104017 */     // MIs[0] round
     /* 1104017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1104030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104052 */     // GIR_Coverage, 16928,
     /* 1104052 */     GIR_EraseRootFromParent_Done,
     /* 1104053 */   // Label 16230: @1104053
     /* 1104053 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1104133), // Rule ID 16929 //
     /* 1104058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1104061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1104078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104097 */     // MIs[0] round
     /* 1104097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104107 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1104110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104132 */     // GIR_Coverage, 16929,
     /* 1104132 */     GIR_EraseRootFromParent_Done,
     /* 1104133 */   // Label 16231: @1104133
     /* 1104133 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1104213), // Rule ID 16932 //
     /* 1104138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1104141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1104158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104177 */     // MIs[0] round
     /* 1104177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1104190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104212 */     // GIR_Coverage, 16932,
     /* 1104212 */     GIR_EraseRootFromParent_Done,
     /* 1104213 */   // Label 16232: @1104213
     /* 1104213 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1104293), // Rule ID 16933 //
     /* 1104218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1104221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1104238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104257 */     // MIs[0] round
     /* 1104257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104267 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1104270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104292 */     // GIR_Coverage, 16933,
     /* 1104292 */     GIR_EraseRootFromParent_Done,
     /* 1104293 */   // Label 16233: @1104293
     /* 1104293 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1104373), // Rule ID 16936 //
     /* 1104298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1104301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1104309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1104312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1104318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104337 */     // MIs[0] round
     /* 1104337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1104350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104372 */     // GIR_Coverage, 16936,
     /* 1104372 */     GIR_EraseRootFromParent_Done,
     /* 1104373 */   // Label 16234: @1104373
     /* 1104373 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1104453), // Rule ID 16937 //
     /* 1104378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1104381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1104389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1104392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1104395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1104398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104417 */     // MIs[0] round
     /* 1104417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1104430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104452 */     // GIR_Coverage, 16937,
     /* 1104452 */     GIR_EraseRootFromParent_Done,
     /* 1104453 */   // Label 16235: @1104453
     /* 1104453 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1104533), // Rule ID 16940 //
     /* 1104458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1104461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1104478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104497 */     // MIs[0] round
     /* 1104497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1104510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104532 */     // GIR_Coverage, 16940,
     /* 1104532 */     GIR_EraseRootFromParent_Done,
     /* 1104533 */   // Label 16236: @1104533
     /* 1104533 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1104613), // Rule ID 16941 //
     /* 1104538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1104541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1104558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104577 */     // MIs[0] round
     /* 1104577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1104590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104612 */     // GIR_Coverage, 16941,
     /* 1104612 */     GIR_EraseRootFromParent_Done,
     /* 1104613 */   // Label 16237: @1104613
     /* 1104613 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1104693), // Rule ID 16944 //
     /* 1104618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1104621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1104629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1104632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104657 */     // MIs[0] round
     /* 1104657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1104670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104692 */     // GIR_Coverage, 16944,
     /* 1104692 */     GIR_EraseRootFromParent_Done,
     /* 1104693 */   // Label 16238: @1104693
     /* 1104693 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1104773), // Rule ID 16945 //
     /* 1104698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1104701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1104709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1104712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104737 */     // MIs[0] round
     /* 1104737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104747 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1104750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104772 */     // GIR_Coverage, 16945,
     /* 1104772 */     GIR_EraseRootFromParent_Done,
     /* 1104773 */   // Label 16239: @1104773
     /* 1104773 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1104853), // Rule ID 16948 //
     /* 1104778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1104781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104817 */     // MIs[0] round
     /* 1104817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104827 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1104830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104852 */     // GIR_Coverage, 16948,
     /* 1104852 */     GIR_EraseRootFromParent_Done,
     /* 1104853 */   // Label 16240: @1104853
     /* 1104853 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1104933), // Rule ID 16949 //
     /* 1104858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1104861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104897 */     // MIs[0] round
     /* 1104897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1104910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104932 */     // GIR_Coverage, 16949,
     /* 1104932 */     GIR_EraseRootFromParent_Done,
     /* 1104933 */   // Label 16241: @1104933
     /* 1104933 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105013), // Rule ID 16952 //
     /* 1104938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1104941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1104946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1104955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1104958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104977 */     // MIs[0] round
     /* 1104977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104987 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1104990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105012 */     // GIR_Coverage, 16952,
     /* 1105012 */     GIR_EraseRootFromParent_Done,
     /* 1105013 */   // Label 16242: @1105013
     /* 1105013 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1105093), // Rule ID 16953 //
     /* 1105018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1105021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1105038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105057 */     // MIs[0] round
     /* 1105057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105067 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1105070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105092 */     // GIR_Coverage, 16953,
     /* 1105092 */     GIR_EraseRootFromParent_Done,
     /* 1105093 */   // Label 16243: @1105093
     /* 1105093 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1105173), // Rule ID 16956 //
     /* 1105098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1105101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1105115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105137 */     // MIs[0] round
     /* 1105137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105147 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1105150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105172 */     // GIR_Coverage, 16956,
     /* 1105172 */     GIR_EraseRootFromParent_Done,
     /* 1105173 */   // Label 16244: @1105173
     /* 1105173 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1105253), // Rule ID 16957 //
     /* 1105178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1105181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1105195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105217 */     // MIs[0] round
     /* 1105217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1105230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105252 */     // GIR_Coverage, 16957,
     /* 1105252 */     GIR_EraseRootFromParent_Done,
     /* 1105253 */   // Label 16245: @1105253
     /* 1105253 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1105333), // Rule ID 16960 //
     /* 1105258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1105261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1105275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105297 */     // MIs[0] round
     /* 1105297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1105310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105332 */     // GIR_Coverage, 16960,
     /* 1105332 */     GIR_EraseRootFromParent_Done,
     /* 1105333 */   // Label 16246: @1105333
     /* 1105333 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1105413), // Rule ID 16961 //
     /* 1105338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1105341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1105355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105377 */     // MIs[0] round
     /* 1105377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105387 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10967:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1105390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105412 */     // GIR_Coverage, 16961,
     /* 1105412 */     GIR_EraseRootFromParent_Done,
     /* 1105413 */   // Label 16247: @1105413
     /* 1105413 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1105493), // Rule ID 16964 //
     /* 1105418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1105421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1105435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105457 */     // MIs[0] round
     /* 1105457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1105470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105492 */     // GIR_Coverage, 16964,
     /* 1105492 */     GIR_EraseRootFromParent_Done,
     /* 1105493 */   // Label 16248: @1105493
     /* 1105493 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1105573), // Rule ID 16965 //
     /* 1105498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1105501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1105515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105537 */     // MIs[0] round
     /* 1105537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105547 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1105550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105572 */     // GIR_Coverage, 16965,
     /* 1105572 */     GIR_EraseRootFromParent_Done,
     /* 1105573 */   // Label 16249: @1105573
     /* 1105573 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1105653), // Rule ID 16968 //
     /* 1105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1105581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105617 */     // MIs[0] round
     /* 1105617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105627 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1105630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105652 */     // GIR_Coverage, 16968,
     /* 1105652 */     GIR_EraseRootFromParent_Done,
     /* 1105653 */   // Label 16250: @1105653
     /* 1105653 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1105733), // Rule ID 16969 //
     /* 1105658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1105661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1105675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105697 */     // MIs[0] round
     /* 1105697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1105710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105732 */     // GIR_Coverage, 16969,
     /* 1105732 */     GIR_EraseRootFromParent_Done,
     /* 1105733 */   // Label 16251: @1105733
     /* 1105733 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1105813), // Rule ID 16972 //
     /* 1105738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1105741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105777 */     // MIs[0] round
     /* 1105777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105787 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1105790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105812 */     // GIR_Coverage, 16972,
     /* 1105812 */     GIR_EraseRootFromParent_Done,
     /* 1105813 */   // Label 16252: @1105813
     /* 1105813 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1105893), // Rule ID 16973 //
     /* 1105818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1105821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1105838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1105857 */     // MIs[0] round
     /* 1105857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105867 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1105870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105892 */     // GIR_Coverage, 16973,
     /* 1105892 */     GIR_EraseRootFromParent_Done,
     /* 1105893 */   // Label 16253: @1105893
     /* 1105893 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1105973), // Rule ID 16976 //
     /* 1105898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1105901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1105918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1105937 */     // MIs[0] round
     /* 1105937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105947 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1105950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105972 */     // GIR_Coverage, 16976,
     /* 1105972 */     GIR_EraseRootFromParent_Done,
     /* 1105973 */   // Label 16254: @1105973
     /* 1105973 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106053), // Rule ID 16977 //
     /* 1105978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1105981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1105986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1105998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106017 */     // MIs[0] round
     /* 1106017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10967:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1106030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106052 */     // GIR_Coverage, 16977,
     /* 1106052 */     GIR_EraseRootFromParent_Done,
     /* 1106053 */   // Label 16255: @1106053
     /* 1106053 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1106133), // Rule ID 16980 //
     /* 1106058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1106061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106097 */     // MIs[0] round
     /* 1106097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1106110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106132 */     // GIR_Coverage, 16980,
     /* 1106132 */     GIR_EraseRootFromParent_Done,
     /* 1106133 */   // Label 16256: @1106133
     /* 1106133 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1106213), // Rule ID 16981 //
     /* 1106138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1106141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106177 */     // MIs[0] round
     /* 1106177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10967:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1106190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106212 */     // GIR_Coverage, 16981,
     /* 1106212 */     GIR_EraseRootFromParent_Done,
     /* 1106213 */   // Label 16257: @1106213
     /* 1106213 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1106293), // Rule ID 16984 //
     /* 1106218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1106221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106257 */     // MIs[0] round
     /* 1106257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1106270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106292 */     // GIR_Coverage, 16984,
     /* 1106292 */     GIR_EraseRootFromParent_Done,
     /* 1106293 */   // Label 16258: @1106293
     /* 1106293 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1106373), // Rule ID 16985 //
     /* 1106298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1106301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106337 */     // MIs[0] round
     /* 1106337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106347 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10967:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1106350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106372 */     // GIR_Coverage, 16985,
     /* 1106372 */     GIR_EraseRootFromParent_Done,
     /* 1106373 */   // Label 16259: @1106373
     /* 1106373 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1106453), // Rule ID 16988 //
     /* 1106378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1106381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106417 */     // MIs[0] round
     /* 1106417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1106430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106452 */     // GIR_Coverage, 16988,
     /* 1106452 */     GIR_EraseRootFromParent_Done,
     /* 1106453 */   // Label 16260: @1106453
     /* 1106453 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1106533), // Rule ID 16989 //
     /* 1106458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1106461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1106466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1106497 */     // MIs[0] round
     /* 1106497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10967:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1106510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106532 */     // GIR_Coverage, 16989,
     /* 1106532 */     GIR_EraseRootFromParent_Done,
     /* 1106533 */   // Label 16261: @1106533
     /* 1106533 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1106613), // Rule ID 16994 //
     /* 1106538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1106541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1106558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106577 */     // MIs[0] round
     /* 1106577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1106590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106612 */     // GIR_Coverage, 16994,
     /* 1106612 */     GIR_EraseRootFromParent_Done,
     /* 1106613 */   // Label 16262: @1106613
     /* 1106613 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1106693), // Rule ID 16995 //
     /* 1106618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1106621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1106638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106657 */     // MIs[0] round
     /* 1106657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1106670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106692 */     // GIR_Coverage, 16995,
     /* 1106692 */     GIR_EraseRootFromParent_Done,
     /* 1106693 */   // Label 16263: @1106693
     /* 1106693 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1106773), // Rule ID 17004 //
     /* 1106698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1106701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1106718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106737 */     // MIs[0] round
     /* 1106737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1106750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106772 */     // GIR_Coverage, 17004,
     /* 1106772 */     GIR_EraseRootFromParent_Done,
     /* 1106773 */   // Label 16264: @1106773
     /* 1106773 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1106853), // Rule ID 17005 //
     /* 1106778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1106781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1106798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106817 */     // MIs[0] round
     /* 1106817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1106830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106852 */     // GIR_Coverage, 17005,
     /* 1106852 */     GIR_EraseRootFromParent_Done,
     /* 1106853 */   // Label 16265: @1106853
     /* 1106853 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1106933), // Rule ID 17014 //
     /* 1106858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1106861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1106878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106897 */     // MIs[0] round
     /* 1106897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106907 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1106910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106932 */     // GIR_Coverage, 17014,
     /* 1106932 */     GIR_EraseRootFromParent_Done,
     /* 1106933 */   // Label 16266: @1106933
     /* 1106933 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107013), // Rule ID 17015 //
     /* 1106938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1106941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1106946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1106958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106977 */     // MIs[0] round
     /* 1106977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106987 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1106990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107012 */     // GIR_Coverage, 17015,
     /* 1107012 */     GIR_EraseRootFromParent_Done,
     /* 1107013 */   // Label 16267: @1107013
     /* 1107013 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107093), // Rule ID 17024 //
     /* 1107018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1107021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1107038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107057 */     // MIs[0] round
     /* 1107057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107067 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1107070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107092 */     // GIR_Coverage, 17024,
     /* 1107092 */     GIR_EraseRootFromParent_Done,
     /* 1107093 */   // Label 16268: @1107093
     /* 1107093 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1107173), // Rule ID 17025 //
     /* 1107098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1107101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1107118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107137 */     // MIs[0] round
     /* 1107137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107147 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1107150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107172 */     // GIR_Coverage, 17025,
     /* 1107172 */     GIR_EraseRootFromParent_Done,
     /* 1107173 */   // Label 16269: @1107173
     /* 1107173 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1107253), // Rule ID 17034 //
     /* 1107178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1107181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1107189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1107192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1107195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107217 */     // MIs[0] round
     /* 1107217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1107230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107252 */     // GIR_Coverage, 17034,
     /* 1107252 */     GIR_EraseRootFromParent_Done,
     /* 1107253 */   // Label 16270: @1107253
     /* 1107253 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1107333), // Rule ID 17035 //
     /* 1107258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1107261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1107269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1107272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1107275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107297 */     // MIs[0] round
     /* 1107297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1107310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107332 */     // GIR_Coverage, 17035,
     /* 1107332 */     GIR_EraseRootFromParent_Done,
     /* 1107333 */   // Label 16271: @1107333
     /* 1107333 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1107413), // Rule ID 17044 //
     /* 1107338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1107341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1107349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1107352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1107355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107377 */     // MIs[0] round
     /* 1107377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107387 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1107390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107412 */     // GIR_Coverage, 17044,
     /* 1107412 */     GIR_EraseRootFromParent_Done,
     /* 1107413 */   // Label 16272: @1107413
     /* 1107413 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1107493), // Rule ID 17045 //
     /* 1107418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1107421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1107429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1107432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1107435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107457 */     // MIs[0] round
     /* 1107457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107467 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1107470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107492 */     // GIR_Coverage, 17045,
     /* 1107492 */     GIR_EraseRootFromParent_Done,
     /* 1107493 */   // Label 16273: @1107493
     /* 1107493 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1107573), // Rule ID 17054 //
     /* 1107498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1107501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1107509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1107512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1107515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107537 */     // MIs[0] round
     /* 1107537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107547 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1107550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107572 */     // GIR_Coverage, 17054,
     /* 1107572 */     GIR_EraseRootFromParent_Done,
     /* 1107573 */   // Label 16274: @1107573
     /* 1107573 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1107653), // Rule ID 17055 //
     /* 1107578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1107581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1107589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1107592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1107595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107617 */     // MIs[0] round
     /* 1107617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1107630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107652 */     // GIR_Coverage, 17055,
     /* 1107652 */     GIR_EraseRootFromParent_Done,
     /* 1107653 */   // Label 16275: @1107653
     /* 1107653 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1107733), // Rule ID 17064 //
     /* 1107658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1107661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107697 */     // MIs[0] round
     /* 1107697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1107710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107732 */     // GIR_Coverage, 17064,
     /* 1107732 */     GIR_EraseRootFromParent_Done,
     /* 1107733 */   // Label 16276: @1107733
     /* 1107733 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1107813), // Rule ID 17065 //
     /* 1107738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1107741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107777 */     // MIs[0] round
     /* 1107777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1107790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107812 */     // GIR_Coverage, 17065,
     /* 1107812 */     GIR_EraseRootFromParent_Done,
     /* 1107813 */   // Label 16277: @1107813
     /* 1107813 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1107893), // Rule ID 17072 //
     /* 1107818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1107821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1107838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1107857 */     // MIs[0] round
     /* 1107857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107867 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1107870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107892 */     // GIR_Coverage, 17072,
     /* 1107892 */     GIR_EraseRootFromParent_Done,
     /* 1107893 */   // Label 16278: @1107893
     /* 1107893 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1107973), // Rule ID 17073 //
     /* 1107898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1107901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1107918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1107937 */     // MIs[0] round
     /* 1107937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107947 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1107950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107972 */     // GIR_Coverage, 17073,
     /* 1107972 */     GIR_EraseRootFromParent_Done,
     /* 1107973 */   // Label 16279: @1107973
     /* 1107973 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108053), // Rule ID 17076 //
     /* 1107978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1107981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1107986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1107998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108017 */     // MIs[0] round
     /* 1108017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1108030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108052 */     // GIR_Coverage, 17076,
     /* 1108052 */     GIR_EraseRootFromParent_Done,
     /* 1108053 */   // Label 16280: @1108053
     /* 1108053 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108133), // Rule ID 17077 //
     /* 1108058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1108061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108097 */     // MIs[0] round
     /* 1108097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1108110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108132 */     // GIR_Coverage, 17077,
     /* 1108132 */     GIR_EraseRootFromParent_Done,
     /* 1108133 */   // Label 16281: @1108133
     /* 1108133 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1108213), // Rule ID 17080 //
     /* 1108138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1108141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108177 */     // MIs[0] round
     /* 1108177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1108190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108212 */     // GIR_Coverage, 17080,
     /* 1108212 */     GIR_EraseRootFromParent_Done,
     /* 1108213 */   // Label 16282: @1108213
     /* 1108213 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1108293), // Rule ID 17081 //
     /* 1108218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1108221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108257 */     // MIs[0] round
     /* 1108257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108267 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1108270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108292 */     // GIR_Coverage, 17081,
     /* 1108292 */     GIR_EraseRootFromParent_Done,
     /* 1108293 */   // Label 16283: @1108293
     /* 1108293 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1108373), // Rule ID 17084 //
     /* 1108298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1108301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108337 */     // MIs[0] round
     /* 1108337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108347 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1108350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108372 */     // GIR_Coverage, 17084,
     /* 1108372 */     GIR_EraseRootFromParent_Done,
     /* 1108373 */   // Label 16284: @1108373
     /* 1108373 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1108453), // Rule ID 17085 //
     /* 1108378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1108381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108417 */     // MIs[0] round
     /* 1108417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108427 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1108430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108452 */     // GIR_Coverage, 17085,
     /* 1108452 */     GIR_EraseRootFromParent_Done,
     /* 1108453 */   // Label 16285: @1108453
     /* 1108453 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1108533), // Rule ID 17088 //
     /* 1108458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1108461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108497 */     // MIs[0] round
     /* 1108497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108507 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1108510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108532 */     // GIR_Coverage, 17088,
     /* 1108532 */     GIR_EraseRootFromParent_Done,
     /* 1108533 */   // Label 16286: @1108533
     /* 1108533 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1108613), // Rule ID 17089 //
     /* 1108538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1108541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1108558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1108577 */     // MIs[0] round
     /* 1108577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1108590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108612 */     // GIR_Coverage, 17089,
     /* 1108612 */     GIR_EraseRootFromParent_Done,
     /* 1108613 */   // Label 16287: @1108613
     /* 1108613 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1108693), // Rule ID 17092 //
     /* 1108618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1108621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1108657 */     // MIs[0] round
     /* 1108657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108667 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1108670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108692 */     // GIR_Coverage, 17092,
     /* 1108692 */     GIR_EraseRootFromParent_Done,
     /* 1108693 */   // Label 16288: @1108693
     /* 1108693 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1108773), // Rule ID 17093 //
     /* 1108698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1108701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1108709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1108712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1108737 */     // MIs[0] round
     /* 1108737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108747 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1108750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108772 */     // GIR_Coverage, 17093,
     /* 1108772 */     GIR_EraseRootFromParent_Done,
     /* 1108773 */   // Label 16289: @1108773
     /* 1108773 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1108853), // Rule ID 17096 //
     /* 1108778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1108781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1108789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1108792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1108817 */     // MIs[0] round
     /* 1108817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1108830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108852 */     // GIR_Coverage, 17096,
     /* 1108852 */     GIR_EraseRootFromParent_Done,
     /* 1108853 */   // Label 16290: @1108853
     /* 1108853 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1108933), // Rule ID 17097 //
     /* 1108858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1108861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1108869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1108872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1108897 */     // MIs[0] round
     /* 1108897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1108910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108932 */     // GIR_Coverage, 17097,
     /* 1108932 */     GIR_EraseRootFromParent_Done,
     /* 1108933 */   // Label 16291: @1108933
     /* 1108933 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109013), // Rule ID 17100 //
     /* 1108938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1108941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1108946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1108949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1108952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1108955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1108977 */     // MIs[0] round
     /* 1108977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1108990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109012 */     // GIR_Coverage, 17100,
     /* 1109012 */     GIR_EraseRootFromParent_Done,
     /* 1109013 */   // Label 16292: @1109013
     /* 1109013 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109093), // Rule ID 17101 //
     /* 1109018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1109021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1109026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1109038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1109057 */     // MIs[0] round
     /* 1109057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1109070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109092 */     // GIR_Coverage, 17101,
     /* 1109092 */     GIR_EraseRootFromParent_Done,
     /* 1109093 */   // Label 16293: @1109093
     /* 1109093 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109173), // Rule ID 17104 //
     /* 1109098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1109101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1109106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1109109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1109112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1109115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1109118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1109137 */     // MIs[0] round
     /* 1109137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109147 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1109150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109172 */     // GIR_Coverage, 17104,
     /* 1109172 */     GIR_EraseRootFromParent_Done,
     /* 1109173 */   // Label 16294: @1109173
     /* 1109173 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1109253), // Rule ID 17105 //
     /* 1109178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1109181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1109186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1109189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1109192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1109195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1109198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1109217 */     // MIs[0] round
     /* 1109217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109227 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1109230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109252 */     // GIR_Coverage, 17105,
     /* 1109252 */     GIR_EraseRootFromParent_Done,
     /* 1109253 */   // Label 16295: @1109253
     /* 1109253 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1109333), // Rule ID 17110 //
     /* 1109258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1109261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1109278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109297 */     // MIs[0] round
     /* 1109297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109307 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1109310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109332 */     // GIR_Coverage, 17110,
     /* 1109332 */     GIR_EraseRootFromParent_Done,
     /* 1109333 */   // Label 16296: @1109333
     /* 1109333 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1109413), // Rule ID 17111 //
     /* 1109338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1109341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1109355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1109358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109377 */     // MIs[0] round
     /* 1109377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109387 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1109390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109412 */     // GIR_Coverage, 17111,
     /* 1109412 */     GIR_EraseRootFromParent_Done,
     /* 1109413 */   // Label 16297: @1109413
     /* 1109413 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1109493), // Rule ID 17120 //
     /* 1109418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1109421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1109438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109457 */     // MIs[0] round
     /* 1109457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1109470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109492 */     // GIR_Coverage, 17120,
     /* 1109492 */     GIR_EraseRootFromParent_Done,
     /* 1109493 */   // Label 16298: @1109493
     /* 1109493 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1109573), // Rule ID 17121 //
     /* 1109498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1109501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1109518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109537 */     // MIs[0] round
     /* 1109537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1109550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109572 */     // GIR_Coverage, 17121,
     /* 1109572 */     GIR_EraseRootFromParent_Done,
     /* 1109573 */   // Label 16299: @1109573
     /* 1109573 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1109653), // Rule ID 17130 //
     /* 1109578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1109581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1109598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109617 */     // MIs[0] round
     /* 1109617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1109630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109652 */     // GIR_Coverage, 17130,
     /* 1109652 */     GIR_EraseRootFromParent_Done,
     /* 1109653 */   // Label 16300: @1109653
     /* 1109653 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1109733), // Rule ID 17131 //
     /* 1109658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1109661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1109678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109697 */     // MIs[0] round
     /* 1109697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109707 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1109710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109732 */     // GIR_Coverage, 17131,
     /* 1109732 */     GIR_EraseRootFromParent_Done,
     /* 1109733 */   // Label 16301: @1109733
     /* 1109733 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1109813), // Rule ID 17140 //
     /* 1109738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1109741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1109758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109777 */     // MIs[0] round
     /* 1109777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109787 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1109790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109812 */     // GIR_Coverage, 17140,
     /* 1109812 */     GIR_EraseRootFromParent_Done,
     /* 1109813 */   // Label 16302: @1109813
     /* 1109813 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1109893), // Rule ID 17141 //
     /* 1109818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1109821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1109838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109857 */     // MIs[0] round
     /* 1109857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1109870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109892 */     // GIR_Coverage, 17141,
     /* 1109892 */     GIR_EraseRootFromParent_Done,
     /* 1109893 */   // Label 16303: @1109893
     /* 1109893 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1109973), // Rule ID 17150 //
     /* 1109898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1109901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1109918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109937 */     // MIs[0] round
     /* 1109937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109947 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1109950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109972 */     // GIR_Coverage, 17150,
     /* 1109972 */     GIR_EraseRootFromParent_Done,
     /* 1109973 */   // Label 16304: @1109973
     /* 1109973 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110053), // Rule ID 17151 //
     /* 1109978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1109981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1109986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1109998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110017 */     // MIs[0] round
     /* 1110017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1110030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110052 */     // GIR_Coverage, 17151,
     /* 1110052 */     GIR_EraseRootFromParent_Done,
     /* 1110053 */   // Label 16305: @1110053
     /* 1110053 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110133), // Rule ID 17160 //
     /* 1110058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1110061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110097 */     // MIs[0] round
     /* 1110097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1110110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110132 */     // GIR_Coverage, 17160,
     /* 1110132 */     GIR_EraseRootFromParent_Done,
     /* 1110133 */   // Label 16306: @1110133
     /* 1110133 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110213), // Rule ID 17161 //
     /* 1110138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1110141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110177 */     // MIs[0] round
     /* 1110177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1110190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110212 */     // GIR_Coverage, 17161,
     /* 1110212 */     GIR_EraseRootFromParent_Done,
     /* 1110213 */   // Label 16307: @1110213
     /* 1110213 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1110293), // Rule ID 17170 //
     /* 1110218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1110221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110257 */     // MIs[0] round
     /* 1110257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110267 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1110270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110292 */     // GIR_Coverage, 17170,
     /* 1110292 */     GIR_EraseRootFromParent_Done,
     /* 1110293 */   // Label 16308: @1110293
     /* 1110293 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1110373), // Rule ID 17171 //
     /* 1110298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1110301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110337 */     // MIs[0] round
     /* 1110337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110347 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1110350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110372 */     // GIR_Coverage, 17171,
     /* 1110372 */     GIR_EraseRootFromParent_Done,
     /* 1110373 */   // Label 16309: @1110373
     /* 1110373 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1110453), // Rule ID 17180 //
     /* 1110378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1110381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110417 */     // MIs[0] round
     /* 1110417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1110430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110452 */     // GIR_Coverage, 17180,
     /* 1110452 */     GIR_EraseRootFromParent_Done,
     /* 1110453 */   // Label 16310: @1110453
     /* 1110453 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1110533), // Rule ID 17181 //
     /* 1110458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1110461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110497 */     // MIs[0] round
     /* 1110497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110507 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1110510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110532 */     // GIR_Coverage, 17181,
     /* 1110532 */     GIR_EraseRootFromParent_Done,
     /* 1110533 */   // Label 16311: @1110533
     /* 1110533 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1110613), // Rule ID 17190 //
     /* 1110538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1110541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110577 */     // MIs[0] round
     /* 1110577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110587 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1110590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110612 */     // GIR_Coverage, 17190,
     /* 1110612 */     GIR_EraseRootFromParent_Done,
     /* 1110613 */   // Label 16312: @1110613
     /* 1110613 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1110693), // Rule ID 17191 //
     /* 1110618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1110621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110657 */     // MIs[0] round
     /* 1110657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110667 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1110670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110692 */     // GIR_Coverage, 17191,
     /* 1110692 */     GIR_EraseRootFromParent_Done,
     /* 1110693 */   // Label 16313: @1110693
     /* 1110693 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1110773), // Rule ID 17198 //
     /* 1110698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1110701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1110718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1110737 */     // MIs[0] round
     /* 1110737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110747 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1110750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110772 */     // GIR_Coverage, 17198,
     /* 1110772 */     GIR_EraseRootFromParent_Done,
     /* 1110773 */   // Label 16314: @1110773
     /* 1110773 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1110853), // Rule ID 17199 //
     /* 1110778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1110781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1110798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1110817 */     // MIs[0] round
     /* 1110817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1110830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110852 */     // GIR_Coverage, 17199,
     /* 1110852 */     GIR_EraseRootFromParent_Done,
     /* 1110853 */   // Label 16315: @1110853
     /* 1110853 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1110933), // Rule ID 17202 //
     /* 1110858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1110861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1110878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1110897 */     // MIs[0] round
     /* 1110897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1110910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110932 */     // GIR_Coverage, 17202,
     /* 1110932 */     GIR_EraseRootFromParent_Done,
     /* 1110933 */   // Label 16316: @1110933
     /* 1110933 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111013), // Rule ID 17203 //
     /* 1110938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1110941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1110946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1110958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1110977 */     // MIs[0] round
     /* 1110977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10969:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1110990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111012 */     // GIR_Coverage, 17203,
     /* 1111012 */     GIR_EraseRootFromParent_Done,
     /* 1111013 */   // Label 16317: @1111013
     /* 1111013 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111093), // Rule ID 17206 //
     /* 1111018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1111021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111057 */     // MIs[0] round
     /* 1111057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111067 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1111070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111092 */     // GIR_Coverage, 17206,
     /* 1111092 */     GIR_EraseRootFromParent_Done,
     /* 1111093 */   // Label 16318: @1111093
     /* 1111093 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111173), // Rule ID 17207 //
     /* 1111098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1111101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111137 */     // MIs[0] round
     /* 1111137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1111150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111172 */     // GIR_Coverage, 17207,
     /* 1111172 */     GIR_EraseRootFromParent_Done,
     /* 1111173 */   // Label 16319: @1111173
     /* 1111173 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111253), // Rule ID 17210 //
     /* 1111178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1111181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111217 */     // MIs[0] round
     /* 1111217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1111230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111252 */     // GIR_Coverage, 17210,
     /* 1111252 */     GIR_EraseRootFromParent_Done,
     /* 1111253 */   // Label 16320: @1111253
     /* 1111253 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1111333), // Rule ID 17211 //
     /* 1111258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1111261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111297 */     // MIs[0] round
     /* 1111297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111307 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1111310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111332 */     // GIR_Coverage, 17211,
     /* 1111332 */     GIR_EraseRootFromParent_Done,
     /* 1111333 */   // Label 16321: @1111333
     /* 1111333 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1111413), // Rule ID 17214 //
     /* 1111338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1111341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111377 */     // MIs[0] round
     /* 1111377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1111390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111412 */     // GIR_Coverage, 17214,
     /* 1111412 */     GIR_EraseRootFromParent_Done,
     /* 1111413 */   // Label 16322: @1111413
     /* 1111413 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1111493), // Rule ID 17215 //
     /* 1111418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1111421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1111438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1111457 */     // MIs[0] round
     /* 1111457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1111470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111492 */     // GIR_Coverage, 17215,
     /* 1111492 */     GIR_EraseRootFromParent_Done,
     /* 1111493 */   // Label 16323: @1111493
     /* 1111493 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1111573), // Rule ID 17218 //
     /* 1111498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1111501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111537 */     // MIs[0] round
     /* 1111537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111547 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1111550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111572 */     // GIR_Coverage, 17218,
     /* 1111572 */     GIR_EraseRootFromParent_Done,
     /* 1111573 */   // Label 16324: @1111573
     /* 1111573 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1111653), // Rule ID 17219 //
     /* 1111578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1111581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1111589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1111592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111617 */     // MIs[0] round
     /* 1111617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10969:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1111630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111652 */     // GIR_Coverage, 17219,
     /* 1111652 */     GIR_EraseRootFromParent_Done,
     /* 1111653 */   // Label 16325: @1111653
     /* 1111653 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1111733), // Rule ID 17222 //
     /* 1111658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1111661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111697 */     // MIs[0] round
     /* 1111697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111707 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1111710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111732 */     // GIR_Coverage, 17222,
     /* 1111732 */     GIR_EraseRootFromParent_Done,
     /* 1111733 */   // Label 16326: @1111733
     /* 1111733 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1111813), // Rule ID 17223 //
     /* 1111738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1111741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111777 */     // MIs[0] round
     /* 1111777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10969:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1111790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111812 */     // GIR_Coverage, 17223,
     /* 1111812 */     GIR_EraseRootFromParent_Done,
     /* 1111813 */   // Label 16327: @1111813
     /* 1111813 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1111893), // Rule ID 17226 //
     /* 1111818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1111821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111857 */     // MIs[0] round
     /* 1111857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111867 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1111870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111892 */     // GIR_Coverage, 17226,
     /* 1111892 */     GIR_EraseRootFromParent_Done,
     /* 1111893 */   // Label 16328: @1111893
     /* 1111893 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1111973), // Rule ID 17227 //
     /* 1111898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1111901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1111937 */     // MIs[0] round
     /* 1111937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111947 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10969:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1111950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111972 */     // GIR_Coverage, 17227,
     /* 1111972 */     GIR_EraseRootFromParent_Done,
     /* 1111973 */   // Label 16329: @1111973
     /* 1111973 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112053), // Rule ID 17230 //
     /* 1111978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1111981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1111986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1112017 */     // MIs[0] round
     /* 1112017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112027 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1112030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112052 */     // GIR_Coverage, 17230,
     /* 1112052 */     GIR_EraseRootFromParent_Done,
     /* 1112053 */   // Label 16330: @1112053
     /* 1112053 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112133), // Rule ID 17231 //
     /* 1112058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1112061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1112066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1112069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1112072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1112075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1112097 */     // MIs[0] round
     /* 1112097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112107 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10969:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1112110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112132 */     // GIR_Coverage, 17231,
     /* 1112132 */     GIR_EraseRootFromParent_Done,
     /* 1112133 */   // Label 16331: @1112133
     /* 1112133 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112213), // Rule ID 17234 //
     /* 1112138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1112141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1112149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1112152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1112155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1112158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112177 */     // MIs[0] round
     /* 1112177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112187 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1112190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112212 */     // GIR_Coverage, 17234,
     /* 1112212 */     GIR_EraseRootFromParent_Done,
     /* 1112213 */   // Label 16332: @1112213
     /* 1112213 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112293), // Rule ID 17235 //
     /* 1112218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1112221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1112229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1112232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1112235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1112238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112257 */     // MIs[0] round
     /* 1112257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112267 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1112270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112292 */     // GIR_Coverage, 17235,
     /* 1112292 */     GIR_EraseRootFromParent_Done,
     /* 1112293 */   // Label 16333: @1112293
     /* 1112293 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1112373), // Rule ID 17238 //
     /* 1112298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1112301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1112309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1112312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1112315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1112318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112337 */     // MIs[0] round
     /* 1112337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112347 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112372 */     // GIR_Coverage, 17238,
     /* 1112372 */     GIR_EraseRootFromParent_Done,
     /* 1112373 */   // Label 16334: @1112373
     /* 1112373 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1112453), // Rule ID 17239 //
     /* 1112378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1112381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1112389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1112392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1112395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1112398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112417 */     // MIs[0] round
     /* 1112417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1112430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112452 */     // GIR_Coverage, 17239,
     /* 1112452 */     GIR_EraseRootFromParent_Done,
     /* 1112453 */   // Label 16335: @1112453
     /* 1112453 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1112533), // Rule ID 17242 //
     /* 1112458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1112461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112497 */     // MIs[0] round
     /* 1112497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1112510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112532 */     // GIR_Coverage, 17242,
     /* 1112532 */     GIR_EraseRootFromParent_Done,
     /* 1112533 */   // Label 16336: @1112533
     /* 1112533 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1112613), // Rule ID 17243 //
     /* 1112538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1112541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112577 */     // MIs[0] round
     /* 1112577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1112590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112612 */     // GIR_Coverage, 17243,
     /* 1112612 */     GIR_EraseRootFromParent_Done,
     /* 1112613 */   // Label 16337: @1112613
     /* 1112613 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1112693), // Rule ID 17246 //
     /* 1112618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1112621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1112629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1112632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1112635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1112638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112657 */     // MIs[0] round
     /* 1112657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112667 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1112670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112692 */     // GIR_Coverage, 17246,
     /* 1112692 */     GIR_EraseRootFromParent_Done,
     /* 1112693 */   // Label 16338: @1112693
     /* 1112693 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1112773), // Rule ID 17247 //
     /* 1112698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1112701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1112709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1112712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1112715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1112718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112737 */     // MIs[0] round
     /* 1112737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112747 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1112750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112772 */     // GIR_Coverage, 17247,
     /* 1112772 */     GIR_EraseRootFromParent_Done,
     /* 1112773 */   // Label 16339: @1112773
     /* 1112773 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1112853), // Rule ID 17250 //
     /* 1112778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1112781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112817 */     // MIs[0] round
     /* 1112817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1112830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112852 */     // GIR_Coverage, 17250,
     /* 1112852 */     GIR_EraseRootFromParent_Done,
     /* 1112853 */   // Label 16340: @1112853
     /* 1112853 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1112933), // Rule ID 17251 //
     /* 1112858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1112861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112897 */     // MIs[0] round
     /* 1112897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1112910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112932 */     // GIR_Coverage, 17251,
     /* 1112932 */     GIR_EraseRootFromParent_Done,
     /* 1112933 */   // Label 16341: @1112933
     /* 1112933 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113013), // Rule ID 17254 //
     /* 1112938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1112941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1112946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1112949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1112952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1112955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1112958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112977 */     // MIs[0] round
     /* 1112977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1112990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113012 */     // GIR_Coverage, 17254,
     /* 1113012 */     GIR_EraseRootFromParent_Done,
     /* 1113013 */   // Label 16342: @1113013
     /* 1113013 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113093), // Rule ID 17255 //
     /* 1113018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1113021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1113029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1113032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1113038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113057 */     // MIs[0] round
     /* 1113057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1113070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1113088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113092 */     // GIR_Coverage, 17255,
     /* 1113092 */     GIR_EraseRootFromParent_Done,
     /* 1113093 */   // Label 16343: @1113093
     /* 1113093 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113173), // Rule ID 17258 //
     /* 1113098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1113101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1113109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1113112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1113115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1113118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113137 */     // MIs[0] round
     /* 1113137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113147 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1113150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113172 */     // GIR_Coverage, 17258,
     /* 1113172 */     GIR_EraseRootFromParent_Done,
     /* 1113173 */   // Label 16344: @1113173
     /* 1113173 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113253), // Rule ID 17259 //
     /* 1113178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1113181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1113189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1113192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1113195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1113198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113217 */     // MIs[0] round
     /* 1113217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113227 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1113230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113252 */     // GIR_Coverage, 17259,
     /* 1113252 */     GIR_EraseRootFromParent_Done,
     /* 1113253 */   // Label 16345: @1113253
     /* 1113253 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113333), // Rule ID 17262 //
     /* 1113258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1113261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1113269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1113272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1113275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1113278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113297 */     // MIs[0] round
     /* 1113297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113307 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1113310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113332 */     // GIR_Coverage, 17262,
     /* 1113332 */     GIR_EraseRootFromParent_Done,
     /* 1113333 */   // Label 16346: @1113333
     /* 1113333 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1113413), // Rule ID 17263 //
     /* 1113338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1113341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1113349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1113352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1113355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1113358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113377 */     // MIs[0] round
     /* 1113377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113387 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1113390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113412 */     // GIR_Coverage, 17263,
     /* 1113412 */     GIR_EraseRootFromParent_Done,
     /* 1113413 */   // Label 16347: @1113413
     /* 1113413 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1113493), // Rule ID 17266 //
     /* 1113418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1113421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1113429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1113432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1113435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1113438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113457 */     // MIs[0] round
     /* 1113457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113467 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1113470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113492 */     // GIR_Coverage, 17266,
     /* 1113492 */     GIR_EraseRootFromParent_Done,
     /* 1113493 */   // Label 16348: @1113493
     /* 1113493 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1113573), // Rule ID 17267 //
     /* 1113498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1113501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1113509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1113512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1113515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1113518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113537 */     // MIs[0] round
     /* 1113537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113547 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1113550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113572 */     // GIR_Coverage, 17267,
     /* 1113572 */     GIR_EraseRootFromParent_Done,
     /* 1113573 */   // Label 16349: @1113573
     /* 1113573 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1113653), // Rule ID 17270 //
     /* 1113578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1113581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113617 */     // MIs[0] round
     /* 1113617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1113630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113652 */     // GIR_Coverage, 17270,
     /* 1113652 */     GIR_EraseRootFromParent_Done,
     /* 1113653 */   // Label 16350: @1113653
     /* 1113653 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1113733), // Rule ID 17271 //
     /* 1113658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1113661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113697 */     // MIs[0] round
     /* 1113697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113707 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1113710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113732 */     // GIR_Coverage, 17271,
     /* 1113732 */     GIR_EraseRootFromParent_Done,
     /* 1113733 */   // Label 16351: @1113733
     /* 1113733 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1113813), // Rule ID 17274 //
     /* 1113738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1113741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113777 */     // MIs[0] round
     /* 1113777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113787 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1113790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113812 */     // GIR_Coverage, 17274,
     /* 1113812 */     GIR_EraseRootFromParent_Done,
     /* 1113813 */   // Label 16352: @1113813
     /* 1113813 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1113893), // Rule ID 17275 //
     /* 1113818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1113821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113857 */     // MIs[0] round
     /* 1113857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1113870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113892 */     // GIR_Coverage, 17275,
     /* 1113892 */     GIR_EraseRootFromParent_Done,
     /* 1113893 */   // Label 16353: @1113893
     /* 1113893 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1113973), // Rule ID 17278 //
     /* 1113898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1113901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113937 */     // MIs[0] round
     /* 1113937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113947 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1113950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113972 */     // GIR_Coverage, 17278,
     /* 1113972 */     GIR_EraseRootFromParent_Done,
     /* 1113973 */   // Label 16354: @1113973
     /* 1113973 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114053), // Rule ID 17279 //
     /* 1113978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1113981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1113986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114017 */     // MIs[0] round
     /* 1114017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1114030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114052 */     // GIR_Coverage, 17279,
     /* 1114052 */     GIR_EraseRootFromParent_Done,
     /* 1114053 */   // Label 16355: @1114053
     /* 1114053 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114133), // Rule ID 17282 //
     /* 1114058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1114061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114097 */     // MIs[0] round
     /* 1114097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1114110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114132 */     // GIR_Coverage, 17282,
     /* 1114132 */     GIR_EraseRootFromParent_Done,
     /* 1114133 */   // Label 16356: @1114133
     /* 1114133 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114213), // Rule ID 17283 //
     /* 1114138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1114141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114177 */     // MIs[0] round
     /* 1114177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114212 */     // GIR_Coverage, 17283,
     /* 1114212 */     GIR_EraseRootFromParent_Done,
     /* 1114213 */   // Label 16357: @1114213
     /* 1114213 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114293), // Rule ID 17286 //
     /* 1114218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1114221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114257 */     // MIs[0] round
     /* 1114257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114267 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1114270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114292 */     // GIR_Coverage, 17286,
     /* 1114292 */     GIR_EraseRootFromParent_Done,
     /* 1114293 */   // Label 16358: @1114293
     /* 1114293 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114373), // Rule ID 17287 //
     /* 1114298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1114301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1114309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1114312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1114318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114337 */     // MIs[0] round
     /* 1114337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114347 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1114350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114372 */     // GIR_Coverage, 17287,
     /* 1114372 */     GIR_EraseRootFromParent_Done,
     /* 1114373 */   // Label 16359: @1114373
     /* 1114373 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1114453), // Rule ID 17290 //
     /* 1114378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1114381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114417 */     // MIs[0] round
     /* 1114417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1114430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114452 */     // GIR_Coverage, 17290,
     /* 1114452 */     GIR_EraseRootFromParent_Done,
     /* 1114453 */   // Label 16360: @1114453
     /* 1114453 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1114533), // Rule ID 17291 //
     /* 1114458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1114461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1114469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1114472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1114478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114497 */     // MIs[0] round
     /* 1114497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1114510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114532 */     // GIR_Coverage, 17291,
     /* 1114532 */     GIR_EraseRootFromParent_Done,
     /* 1114533 */   // Label 16361: @1114533
     /* 1114533 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1114613), // Rule ID 17294 //
     /* 1114538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1114541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1114549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1114552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1114555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1114558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1114577 */     // MIs[0] round
     /* 1114577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114587 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1114590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114612 */     // GIR_Coverage, 17294,
     /* 1114612 */     GIR_EraseRootFromParent_Done,
     /* 1114613 */   // Label 16362: @1114613
     /* 1114613 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1114693), // Rule ID 17295 //
     /* 1114618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1114621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1114629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1114632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1114635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1114638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1114657 */     // MIs[0] round
     /* 1114657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114667 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1114670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114692 */     // GIR_Coverage, 17295,
     /* 1114692 */     GIR_EraseRootFromParent_Done,
     /* 1114693 */   // Label 16363: @1114693
     /* 1114693 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1114773), // Rule ID 17298 //
     /* 1114698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1114701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1114709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1114712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1114715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1114718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1114737 */     // MIs[0] round
     /* 1114737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114747 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1114750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114772 */     // GIR_Coverage, 17298,
     /* 1114772 */     GIR_EraseRootFromParent_Done,
     /* 1114773 */   // Label 16364: @1114773
     /* 1114773 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1114853), // Rule ID 17299 //
     /* 1114778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1114781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1114789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1114792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1114795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1114798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1114817 */     // MIs[0] round
     /* 1114817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114827 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1114830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114852 */     // GIR_Coverage, 17299,
     /* 1114852 */     GIR_EraseRootFromParent_Done,
     /* 1114853 */   // Label 16365: @1114853
     /* 1114853 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1114933), // Rule ID 17302 //
     /* 1114858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1114861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1114878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1114897 */     // MIs[0] round
     /* 1114897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114907 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1114910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114932 */     // GIR_Coverage, 17302,
     /* 1114932 */     GIR_EraseRootFromParent_Done,
     /* 1114933 */   // Label 16366: @1114933
     /* 1114933 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115013), // Rule ID 17303 //
     /* 1114938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1114941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1114946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1114958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1114977 */     // MIs[0] round
     /* 1114977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114987 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1114990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115012 */     // GIR_Coverage, 17303,
     /* 1115012 */     GIR_EraseRootFromParent_Done,
     /* 1115013 */   // Label 16367: @1115013
     /* 1115013 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115093), // Rule ID 17306 //
     /* 1115018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1115029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1115032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1115035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115057 */     // MIs[0] round
     /* 1115057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1115070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115092 */     // GIR_Coverage, 17306,
     /* 1115092 */     GIR_EraseRootFromParent_Done,
     /* 1115093 */   // Label 16368: @1115093
     /* 1115093 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115173), // Rule ID 17307 //
     /* 1115098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1115109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1115112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1115115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115137 */     // MIs[0] round
     /* 1115137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115147 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1115150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115172 */     // GIR_Coverage, 17307,
     /* 1115172 */     GIR_EraseRootFromParent_Done,
     /* 1115173 */   // Label 16369: @1115173
     /* 1115173 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115253), // Rule ID 17310 //
     /* 1115178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1115181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1115198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1115217 */     // MIs[0] round
     /* 1115217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1115230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115252 */     // GIR_Coverage, 17310,
     /* 1115252 */     GIR_EraseRootFromParent_Done,
     /* 1115253 */   // Label 16370: @1115253
     /* 1115253 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115333), // Rule ID 17311 //
     /* 1115258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1115261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1115278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1115297 */     // MIs[0] round
     /* 1115297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1115310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115332 */     // GIR_Coverage, 17311,
     /* 1115332 */     GIR_EraseRootFromParent_Done,
     /* 1115333 */   // Label 16371: @1115333
     /* 1115333 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115413), // Rule ID 17314 //
     /* 1115338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1115341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1115358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1115377 */     // MIs[0] round
     /* 1115377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1115390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115412 */     // GIR_Coverage, 17314,
     /* 1115412 */     GIR_EraseRootFromParent_Done,
     /* 1115413 */   // Label 16372: @1115413
     /* 1115413 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1115493), // Rule ID 17315 //
     /* 1115418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1115421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1115438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1115457 */     // MIs[0] round
     /* 1115457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1115470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115492 */     // GIR_Coverage, 17315,
     /* 1115492 */     GIR_EraseRootFromParent_Done,
     /* 1115493 */   // Label 16373: @1115493
     /* 1115493 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1115573), // Rule ID 17318 //
     /* 1115498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1115509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1115512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1115515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115537 */     // MIs[0] round
     /* 1115537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115547 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1115550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115572 */     // GIR_Coverage, 17318,
     /* 1115572 */     GIR_EraseRootFromParent_Done,
     /* 1115573 */   // Label 16374: @1115573
     /* 1115573 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1115653), // Rule ID 17319 //
     /* 1115578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1115589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1115592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1115595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115617 */     // MIs[0] round
     /* 1115617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1115630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115652 */     // GIR_Coverage, 17319,
     /* 1115652 */     GIR_EraseRootFromParent_Done,
     /* 1115653 */   // Label 16375: @1115653
     /* 1115653 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1115733), // Rule ID 17322 //
     /* 1115658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1115669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1115672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1115675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115697 */     // MIs[0] round
     /* 1115697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115707 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1115710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115732 */     // GIR_Coverage, 17322,
     /* 1115732 */     GIR_EraseRootFromParent_Done,
     /* 1115733 */   // Label 16376: @1115733
     /* 1115733 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1115813), // Rule ID 17323 //
     /* 1115738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1115749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1115752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1115755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115777 */     // MIs[0] round
     /* 1115777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115787 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1115790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115812 */     // GIR_Coverage, 17323,
     /* 1115812 */     GIR_EraseRootFromParent_Done,
     /* 1115813 */   // Label 16377: @1115813
     /* 1115813 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1115893), // Rule ID 17326 //
     /* 1115818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1115829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1115832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1115835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115857 */     // MIs[0] round
     /* 1115857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115867 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1115870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115892 */     // GIR_Coverage, 17326,
     /* 1115892 */     GIR_EraseRootFromParent_Done,
     /* 1115893 */   // Label 16378: @1115893
     /* 1115893 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1115973), // Rule ID 17327 //
     /* 1115898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1115909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1115912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1115915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1115918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1115937 */     // MIs[0] round
     /* 1115937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115947 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1115950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115972 */     // GIR_Coverage, 17327,
     /* 1115972 */     GIR_EraseRootFromParent_Done,
     /* 1115973 */   // Label 16379: @1115973
     /* 1115973 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116053), // Rule ID 17330 //
     /* 1115978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1115981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1115986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1115998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116017 */     // MIs[0] round
     /* 1116017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1116030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116052 */     // GIR_Coverage, 17330,
     /* 1116052 */     GIR_EraseRootFromParent_Done,
     /* 1116053 */   // Label 16380: @1116053
     /* 1116053 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116133), // Rule ID 17331 //
     /* 1116058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1116061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1116075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1116078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116097 */     // MIs[0] round
     /* 1116097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116107 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1116110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116132 */     // GIR_Coverage, 17331,
     /* 1116132 */     GIR_EraseRootFromParent_Done,
     /* 1116133 */   // Label 16381: @1116133
     /* 1116133 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116213), // Rule ID 17334 //
     /* 1116138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1116141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1116158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116177 */     // MIs[0] round
     /* 1116177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1116190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116212 */     // GIR_Coverage, 17334,
     /* 1116212 */     GIR_EraseRootFromParent_Done,
     /* 1116213 */   // Label 16382: @1116213
     /* 1116213 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116293), // Rule ID 17335 //
     /* 1116218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1116221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1116238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116257 */     // MIs[0] round
     /* 1116257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116267 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1116270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116292 */     // GIR_Coverage, 17335,
     /* 1116292 */     GIR_EraseRootFromParent_Done,
     /* 1116293 */   // Label 16383: @1116293
     /* 1116293 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116373), // Rule ID 17338 //
     /* 1116298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1116301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1116318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116337 */     // MIs[0] round
     /* 1116337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1116350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116372 */     // GIR_Coverage, 17338,
     /* 1116372 */     GIR_EraseRootFromParent_Done,
     /* 1116373 */   // Label 16384: @1116373
     /* 1116373 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116453), // Rule ID 17339 //
     /* 1116378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1116381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1116398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1116417 */     // MIs[0] round
     /* 1116417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1116430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116452 */     // GIR_Coverage, 17339,
     /* 1116452 */     GIR_EraseRootFromParent_Done,
     /* 1116453 */   // Label 16385: @1116453
     /* 1116453 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1116533), // Rule ID 17342 //
     /* 1116458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116497 */     // MIs[0] round
     /* 1116497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116507 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1116510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116532 */     // GIR_Coverage, 17342,
     /* 1116532 */     GIR_EraseRootFromParent_Done,
     /* 1116533 */   // Label 16386: @1116533
     /* 1116533 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1116613), // Rule ID 17343 //
     /* 1116538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116577 */     // MIs[0] round
     /* 1116577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1116590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116612 */     // GIR_Coverage, 17343,
     /* 1116612 */     GIR_EraseRootFromParent_Done,
     /* 1116613 */   // Label 16387: @1116613
     /* 1116613 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1116693), // Rule ID 17346 //
     /* 1116618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116657 */     // MIs[0] round
     /* 1116657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116667 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1116670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116692 */     // GIR_Coverage, 17346,
     /* 1116692 */     GIR_EraseRootFromParent_Done,
     /* 1116693 */   // Label 16388: @1116693
     /* 1116693 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1116773), // Rule ID 17347 //
     /* 1116698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116737 */     // MIs[0] round
     /* 1116737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116747 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1116750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116772 */     // GIR_Coverage, 17347,
     /* 1116772 */     GIR_EraseRootFromParent_Done,
     /* 1116773 */   // Label 16389: @1116773
     /* 1116773 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1116853), // Rule ID 17350 //
     /* 1116778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116817 */     // MIs[0] round
     /* 1116817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116827 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1116830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116852 */     // GIR_Coverage, 17350,
     /* 1116852 */     GIR_EraseRootFromParent_Done,
     /* 1116853 */   // Label 16390: @1116853
     /* 1116853 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1116933), // Rule ID 17351 //
     /* 1116858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1116866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1116878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1116897 */     // MIs[0] round
     /* 1116897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116907 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10870:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1116910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116932 */     // GIR_Coverage, 17351,
     /* 1116932 */     GIR_EraseRootFromParent_Done,
     /* 1116933 */   // Label 16391: @1116933
     /* 1116933 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117013), // Rule ID 17354 //
     /* 1116938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1116941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1116946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1116949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1116952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1116955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1116958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116977 */     // MIs[0] round
     /* 1116977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116987 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1116990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117012 */     // GIR_Coverage, 17354,
     /* 1117012 */     GIR_EraseRootFromParent_Done,
     /* 1117013 */   // Label 16392: @1117013
     /* 1117013 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117093), // Rule ID 17355 //
     /* 1117018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1117029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1117032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1117035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1117038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117057 */     // MIs[0] round
     /* 1117057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117067 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1117070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117092 */     // GIR_Coverage, 17355,
     /* 1117092 */     GIR_EraseRootFromParent_Done,
     /* 1117093 */   // Label 16393: @1117093
     /* 1117093 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117173), // Rule ID 17358 //
     /* 1117098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1117109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1117112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1117115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1117118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117137 */     // MIs[0] round
     /* 1117137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117147 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1117150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117172 */     // GIR_Coverage, 17358,
     /* 1117172 */     GIR_EraseRootFromParent_Done,
     /* 1117173 */   // Label 16394: @1117173
     /* 1117173 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117253), // Rule ID 17359 //
     /* 1117178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1117189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1117192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1117195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1117198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117217 */     // MIs[0] round
     /* 1117217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117227 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1117230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117252 */     // GIR_Coverage, 17359,
     /* 1117252 */     GIR_EraseRootFromParent_Done,
     /* 1117253 */   // Label 16395: @1117253
     /* 1117253 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117333), // Rule ID 17362 //
     /* 1117258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1117261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1117278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117297 */     // MIs[0] round
     /* 1117297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117307 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1117310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117332 */     // GIR_Coverage, 17362,
     /* 1117332 */     GIR_EraseRootFromParent_Done,
     /* 1117333 */   // Label 16396: @1117333
     /* 1117333 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117413), // Rule ID 17363 //
     /* 1117338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1117341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1117358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117377 */     // MIs[0] round
     /* 1117377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117387 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1117390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117412 */     // GIR_Coverage, 17363,
     /* 1117412 */     GIR_EraseRootFromParent_Done,
     /* 1117413 */   // Label 16397: @1117413
     /* 1117413 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117493), // Rule ID 17366 //
     /* 1117418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1117435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1117438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117457 */     // MIs[0] round
     /* 1117457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117467 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1117470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117492 */     // GIR_Coverage, 17366,
     /* 1117492 */     GIR_EraseRootFromParent_Done,
     /* 1117493 */   // Label 16398: @1117493
     /* 1117493 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1117573), // Rule ID 17367 //
     /* 1117498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1117515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1117518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117537 */     // MIs[0] round
     /* 1117537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117547 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1117550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117572 */     // GIR_Coverage, 17367,
     /* 1117572 */     GIR_EraseRootFromParent_Done,
     /* 1117573 */   // Label 16399: @1117573
     /* 1117573 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1117653), // Rule ID 17370 //
     /* 1117578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1117581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1117595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1117598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117617 */     // MIs[0] round
     /* 1117617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1117630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117652 */     // GIR_Coverage, 17370,
     /* 1117652 */     GIR_EraseRootFromParent_Done,
     /* 1117653 */   // Label 16400: @1117653
     /* 1117653 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1117733), // Rule ID 17371 //
     /* 1117658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1117661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1117675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1117678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117697 */     // MIs[0] round
     /* 1117697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1117710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117732 */     // GIR_Coverage, 17371,
     /* 1117732 */     GIR_EraseRootFromParent_Done,
     /* 1117733 */   // Label 16401: @1117733
     /* 1117733 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1117813), // Rule ID 17374 //
     /* 1117738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1117741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1117758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117777 */     // MIs[0] round
     /* 1117777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117787 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1117790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117812 */     // GIR_Coverage, 17374,
     /* 1117812 */     GIR_EraseRootFromParent_Done,
     /* 1117813 */   // Label 16402: @1117813
     /* 1117813 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1117893), // Rule ID 17375 //
     /* 1117818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1117821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1117838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117857 */     // MIs[0] round
     /* 1117857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1117870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117892 */     // GIR_Coverage, 17375,
     /* 1117892 */     GIR_EraseRootFromParent_Done,
     /* 1117893 */   // Label 16403: @1117893
     /* 1117893 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1117973), // Rule ID 17378 //
     /* 1117898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1117909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1117912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1117915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1117918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117937 */     // MIs[0] round
     /* 1117937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1117950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117972 */     // GIR_Coverage, 17378,
     /* 1117972 */     GIR_EraseRootFromParent_Done,
     /* 1117973 */   // Label 16404: @1117973
     /* 1117973 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118053), // Rule ID 17379 //
     /* 1117978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1117986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1117989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1117992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1117995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1117998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118017 */     // MIs[0] round
     /* 1118017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118027 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1118030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118052 */     // GIR_Coverage, 17379,
     /* 1118052 */     GIR_EraseRootFromParent_Done,
     /* 1118053 */   // Label 16405: @1118053
     /* 1118053 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118133), // Rule ID 17382 //
     /* 1118058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1118061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1118069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1118072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1118075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1118078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118097 */     // MIs[0] round
     /* 1118097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118107 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1118110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118132 */     // GIR_Coverage, 17382,
     /* 1118132 */     GIR_EraseRootFromParent_Done,
     /* 1118133 */   // Label 16406: @1118133
     /* 1118133 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118213), // Rule ID 17383 //
     /* 1118138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1118141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1118149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1118152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1118155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1118158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118177 */     // MIs[0] round
     /* 1118177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118187 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1118190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118212 */     // GIR_Coverage, 17383,
     /* 1118212 */     GIR_EraseRootFromParent_Done,
     /* 1118213 */   // Label 16407: @1118213
     /* 1118213 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118293), // Rule ID 17386 //
     /* 1118218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1118221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1118229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1118232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1118235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1118238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118257 */     // MIs[0] round
     /* 1118257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118267 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1118270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118292 */     // GIR_Coverage, 17386,
     /* 1118292 */     GIR_EraseRootFromParent_Done,
     /* 1118293 */   // Label 16408: @1118293
     /* 1118293 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118373), // Rule ID 17387 //
     /* 1118298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1118301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1118309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1118312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1118315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1118318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118337 */     // MIs[0] round
     /* 1118337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118347 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1118350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118372 */     // GIR_Coverage, 17387,
     /* 1118372 */     GIR_EraseRootFromParent_Done,
     /* 1118373 */   // Label 16409: @1118373
     /* 1118373 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118453), // Rule ID 17390 //
     /* 1118378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1118395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1118398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118417 */     // MIs[0] round
     /* 1118417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118427 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1118430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118452 */     // GIR_Coverage, 17390,
     /* 1118452 */     GIR_EraseRootFromParent_Done,
     /* 1118453 */   // Label 16410: @1118453
     /* 1118453 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118533), // Rule ID 17391 //
     /* 1118458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1118475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1118478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118497 */     // MIs[0] round
     /* 1118497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118507 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1118510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118532 */     // GIR_Coverage, 17391,
     /* 1118532 */     GIR_EraseRootFromParent_Done,
     /* 1118533 */   // Label 16411: @1118533
     /* 1118533 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1118613), // Rule ID 17394 //
     /* 1118538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1118555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1118558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118577 */     // MIs[0] round
     /* 1118577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118587 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1118590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118612 */     // GIR_Coverage, 17394,
     /* 1118612 */     GIR_EraseRootFromParent_Done,
     /* 1118613 */   // Label 16412: @1118613
     /* 1118613 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1118693), // Rule ID 17395 //
     /* 1118618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1118635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1118638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118657 */     // MIs[0] round
     /* 1118657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118667 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1118670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118692 */     // GIR_Coverage, 17395,
     /* 1118692 */     GIR_EraseRootFromParent_Done,
     /* 1118693 */   // Label 16413: @1118693
     /* 1118693 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1118773), // Rule ID 17398 //
     /* 1118698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1118715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1118718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118737 */     // MIs[0] round
     /* 1118737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118747 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1118750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118772 */     // GIR_Coverage, 17398,
     /* 1118772 */     GIR_EraseRootFromParent_Done,
     /* 1118773 */   // Label 16414: @1118773
     /* 1118773 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1118853), // Rule ID 17399 //
     /* 1118778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1118795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1118798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118817 */     // MIs[0] round
     /* 1118817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118827 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1118830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118852 */     // GIR_Coverage, 17399,
     /* 1118852 */     GIR_EraseRootFromParent_Done,
     /* 1118853 */   // Label 16415: @1118853
     /* 1118853 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1118933), // Rule ID 17402 //
     /* 1118858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1118861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1118869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1118872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1118875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1118878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118897 */     // MIs[0] round
     /* 1118897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1118910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118932 */     // GIR_Coverage, 17402,
     /* 1118932 */     GIR_EraseRootFromParent_Done,
     /* 1118933 */   // Label 16416: @1118933
     /* 1118933 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119013), // Rule ID 17403 //
     /* 1118938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1118941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1118946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1118949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1118952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1118955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1118958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118977 */     // MIs[0] round
     /* 1118977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118987 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1118990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119012 */     // GIR_Coverage, 17403,
     /* 1119012 */     GIR_EraseRootFromParent_Done,
     /* 1119013 */   // Label 16417: @1119013
     /* 1119013 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119093), // Rule ID 17406 //
     /* 1119018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1119021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1119029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1119032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1119035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1119038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119057 */     // MIs[0] round
     /* 1119057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1119070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119092 */     // GIR_Coverage, 17406,
     /* 1119092 */     GIR_EraseRootFromParent_Done,
     /* 1119093 */   // Label 16418: @1119093
     /* 1119093 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119173), // Rule ID 17407 //
     /* 1119098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1119101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1119109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1119112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1119115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1119118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119137 */     // MIs[0] round
     /* 1119137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119147 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1119150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119172 */     // GIR_Coverage, 17407,
     /* 1119172 */     GIR_EraseRootFromParent_Done,
     /* 1119173 */   // Label 16419: @1119173
     /* 1119173 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119253), // Rule ID 17410 //
     /* 1119178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1119181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1119189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1119192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1119195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1119198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119217 */     // MIs[0] round
     /* 1119217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119227 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1119230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119252 */     // GIR_Coverage, 17410,
     /* 1119252 */     GIR_EraseRootFromParent_Done,
     /* 1119253 */   // Label 16420: @1119253
     /* 1119253 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119333), // Rule ID 17411 //
     /* 1119258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1119261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1119269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1119272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1119275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1119278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119297 */     // MIs[0] round
     /* 1119297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119307 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1119310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119332 */     // GIR_Coverage, 17411,
     /* 1119332 */     GIR_EraseRootFromParent_Done,
     /* 1119333 */   // Label 16421: @1119333
     /* 1119333 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119413), // Rule ID 17414 //
     /* 1119338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1119349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1119352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1119355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119377 */     // MIs[0] round
     /* 1119377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119387 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1119390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119412 */     // GIR_Coverage, 17414,
     /* 1119412 */     GIR_EraseRootFromParent_Done,
     /* 1119413 */   // Label 16422: @1119413
     /* 1119413 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119493), // Rule ID 17415 //
     /* 1119418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1119429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1119432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1119435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119457 */     // MIs[0] round
     /* 1119457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119467 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1119470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119492 */     // GIR_Coverage, 17415,
     /* 1119492 */     GIR_EraseRootFromParent_Done,
     /* 1119493 */   // Label 16423: @1119493
     /* 1119493 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119573), // Rule ID 17418 //
     /* 1119498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1119509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1119512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1119515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119537 */     // MIs[0] round
     /* 1119537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119547 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1119550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119572 */     // GIR_Coverage, 17418,
     /* 1119572 */     GIR_EraseRootFromParent_Done,
     /* 1119573 */   // Label 16424: @1119573
     /* 1119573 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1119653), // Rule ID 17419 //
     /* 1119578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1119589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1119592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1119595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119617 */     // MIs[0] round
     /* 1119617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119627 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1119630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119652 */     // GIR_Coverage, 17419,
     /* 1119652 */     GIR_EraseRootFromParent_Done,
     /* 1119653 */   // Label 16425: @1119653
     /* 1119653 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1119733), // Rule ID 17422 //
     /* 1119658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1119661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1119675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1119678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1119697 */     // MIs[0] round
     /* 1119697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119707 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1119710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119732 */     // GIR_Coverage, 17422,
     /* 1119732 */     GIR_EraseRootFromParent_Done,
     /* 1119733 */   // Label 16426: @1119733
     /* 1119733 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1119813), // Rule ID 17423 //
     /* 1119738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1119741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1119755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1119758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1119777 */     // MIs[0] round
     /* 1119777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1119790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119812 */     // GIR_Coverage, 17423,
     /* 1119812 */     GIR_EraseRootFromParent_Done,
     /* 1119813 */   // Label 16427: @1119813
     /* 1119813 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1119893), // Rule ID 17426 //
     /* 1119818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1119829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1119832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1119835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119857 */     // MIs[0] round
     /* 1119857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1119870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119892 */     // GIR_Coverage, 17426,
     /* 1119892 */     GIR_EraseRootFromParent_Done,
     /* 1119893 */   // Label 16428: @1119893
     /* 1119893 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1119973), // Rule ID 17427 //
     /* 1119898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1119909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1119912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1119915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1119918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1119937 */     // MIs[0] round
     /* 1119937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1119950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119972 */     // GIR_Coverage, 17427,
     /* 1119972 */     GIR_EraseRootFromParent_Done,
     /* 1119973 */   // Label 16429: @1119973
     /* 1119973 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120053), // Rule ID 17430 //
     /* 1119978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1119981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1119986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1119995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1119998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1120017 */     // MIs[0] round
     /* 1120017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1120030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120052 */     // GIR_Coverage, 17430,
     /* 1120052 */     GIR_EraseRootFromParent_Done,
     /* 1120053 */   // Label 16430: @1120053
     /* 1120053 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120133), // Rule ID 17431 //
     /* 1120058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1120061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1120075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1120078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1120097 */     // MIs[0] round
     /* 1120097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1120110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120132 */     // GIR_Coverage, 17431,
     /* 1120132 */     GIR_EraseRootFromParent_Done,
     /* 1120133 */   // Label 16431: @1120133
     /* 1120133 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120213), // Rule ID 17434 //
     /* 1120138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1120141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1120149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1120152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1120155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1120158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1120177 */     // MIs[0] round
     /* 1120177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1120190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120212 */     // GIR_Coverage, 17434,
     /* 1120212 */     GIR_EraseRootFromParent_Done,
     /* 1120213 */   // Label 16432: @1120213
     /* 1120213 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120293), // Rule ID 17435 //
     /* 1120218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1120221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1120229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1120232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1120235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1120238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1120257 */     // MIs[0] round
     /* 1120257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120267 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1120270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120292 */     // GIR_Coverage, 17435,
     /* 1120292 */     GIR_EraseRootFromParent_Done,
     /* 1120293 */   // Label 16433: @1120293
     /* 1120293 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120373), // Rule ID 17438 //
     /* 1120298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1120309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1120312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1120315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120337 */     // MIs[0] round
     /* 1120337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120347 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1120350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120372 */     // GIR_Coverage, 17438,
     /* 1120372 */     GIR_EraseRootFromParent_Done,
     /* 1120373 */   // Label 16434: @1120373
     /* 1120373 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120453), // Rule ID 17439 //
     /* 1120378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1120389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1120392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1120395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120417 */     // MIs[0] round
     /* 1120417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1120430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120452 */     // GIR_Coverage, 17439,
     /* 1120452 */     GIR_EraseRootFromParent_Done,
     /* 1120453 */   // Label 16435: @1120453
     /* 1120453 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120533), // Rule ID 17442 //
     /* 1120458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1120469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1120472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1120475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120497 */     // MIs[0] round
     /* 1120497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120507 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1120510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120532 */     // GIR_Coverage, 17442,
     /* 1120532 */     GIR_EraseRootFromParent_Done,
     /* 1120533 */   // Label 16436: @1120533
     /* 1120533 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120613), // Rule ID 17443 //
     /* 1120538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1120549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1120552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1120555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120577 */     // MIs[0] round
     /* 1120577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120587 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1120590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120612 */     // GIR_Coverage, 17443,
     /* 1120612 */     GIR_EraseRootFromParent_Done,
     /* 1120613 */   // Label 16437: @1120613
     /* 1120613 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1120693), // Rule ID 17446 //
     /* 1120618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120657 */     // MIs[0] round
     /* 1120657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120667 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120692 */     // GIR_Coverage, 17446,
     /* 1120692 */     GIR_EraseRootFromParent_Done,
     /* 1120693 */   // Label 16438: @1120693
     /* 1120693 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1120773), // Rule ID 17447 //
     /* 1120698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1120718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1120737 */     // MIs[0] round
     /* 1120737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120747 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1120750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120772 */     // GIR_Coverage, 17447,
     /* 1120772 */     GIR_EraseRootFromParent_Done,
     /* 1120773 */   // Label 16439: @1120773
     /* 1120773 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1120853), // Rule ID 17450 //
     /* 1120778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1120781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1120798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1120817 */     // MIs[0] round
     /* 1120817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1120830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120852 */     // GIR_Coverage, 17450,
     /* 1120852 */     GIR_EraseRootFromParent_Done,
     /* 1120853 */   // Label 16440: @1120853
     /* 1120853 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1120933), // Rule ID 17451 //
     /* 1120858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1120861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1120878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1120897 */     // MIs[0] round
     /* 1120897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120907 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1120910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120932 */     // GIR_Coverage, 17451,
     /* 1120932 */     GIR_EraseRootFromParent_Done,
     /* 1120933 */   // Label 16441: @1120933
     /* 1120933 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121013), // Rule ID 17454 //
     /* 1120938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1120941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1120946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1120955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1120958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1120977 */     // MIs[0] round
     /* 1120977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120987 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1120990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121012 */     // GIR_Coverage, 17454,
     /* 1121012 */     GIR_EraseRootFromParent_Done,
     /* 1121013 */   // Label 16442: @1121013
     /* 1121013 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121093), // Rule ID 17455 //
     /* 1121018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1121021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1121035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1121057 */     // MIs[0] round
     /* 1121057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121067 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1121070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121092 */     // GIR_Coverage, 17455,
     /* 1121092 */     GIR_EraseRootFromParent_Done,
     /* 1121093 */   // Label 16443: @1121093
     /* 1121093 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121173), // Rule ID 17458 //
     /* 1121098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1121101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1121115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1121137 */     // MIs[0] round
     /* 1121137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121147 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1121150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121172 */     // GIR_Coverage, 17458,
     /* 1121172 */     GIR_EraseRootFromParent_Done,
     /* 1121173 */   // Label 16444: @1121173
     /* 1121173 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121253), // Rule ID 17459 //
     /* 1121178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1121181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1121195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1121217 */     // MIs[0] round
     /* 1121217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121227 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1121230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121252 */     // GIR_Coverage, 17459,
     /* 1121252 */     GIR_EraseRootFromParent_Done,
     /* 1121253 */   // Label 16445: @1121253
     /* 1121253 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121333), // Rule ID 17462 //
     /* 1121258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1121269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1121272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1121275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121297 */     // MIs[0] round
     /* 1121297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121307 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1121310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121332 */     // GIR_Coverage, 17462,
     /* 1121332 */     GIR_EraseRootFromParent_Done,
     /* 1121333 */   // Label 16446: @1121333
     /* 1121333 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121413), // Rule ID 17463 //
     /* 1121338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1121349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1121352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1121355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121377 */     // MIs[0] round
     /* 1121377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121387 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1121390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121412 */     // GIR_Coverage, 17463,
     /* 1121412 */     GIR_EraseRootFromParent_Done,
     /* 1121413 */   // Label 16447: @1121413
     /* 1121413 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121493), // Rule ID 17466 //
     /* 1121418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1121429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1121432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1121435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121457 */     // MIs[0] round
     /* 1121457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121467 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1121470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121492 */     // GIR_Coverage, 17466,
     /* 1121492 */     GIR_EraseRootFromParent_Done,
     /* 1121493 */   // Label 16448: @1121493
     /* 1121493 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121573), // Rule ID 17467 //
     /* 1121498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1121509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1121512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1121515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121537 */     // MIs[0] round
     /* 1121537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121547 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1121550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121572 */     // GIR_Coverage, 17467,
     /* 1121572 */     GIR_EraseRootFromParent_Done,
     /* 1121573 */   // Label 16449: @1121573
     /* 1121573 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121653), // Rule ID 17470 //
     /* 1121578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1121589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1121592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1121595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121617 */     // MIs[0] round
     /* 1121617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1121630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121652 */     // GIR_Coverage, 17470,
     /* 1121652 */     GIR_EraseRootFromParent_Done,
     /* 1121653 */   // Label 16450: @1121653
     /* 1121653 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1121733), // Rule ID 17471 //
     /* 1121658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1121666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1121669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1121672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1121675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1121697 */     // MIs[0] round
     /* 1121697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1121710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121732 */     // GIR_Coverage, 17471,
     /* 1121732 */     GIR_EraseRootFromParent_Done,
     /* 1121733 */   // Label 16451: @1121733
     /* 1121733 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1121813), // Rule ID 17474 //
     /* 1121738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1121741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1121746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121777 */     // MIs[0] round
     /* 1121777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121787 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1121790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121812 */     // GIR_Coverage, 17474,
     /* 1121812 */     GIR_EraseRootFromParent_Done,
     /* 1121813 */   // Label 16452: @1121813
     /* 1121813 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1121893), // Rule ID 17475 //
     /* 1121818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1121821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1121826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121857 */     // MIs[0] round
     /* 1121857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1121870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121892 */     // GIR_Coverage, 17475,
     /* 1121892 */     GIR_EraseRootFromParent_Done,
     /* 1121893 */   // Label 16453: @1121893
     /* 1121893 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1121973), // Rule ID 17478 //
     /* 1121898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1121901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1121906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121937 */     // MIs[0] round
     /* 1121937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1121950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121972 */     // GIR_Coverage, 17478,
     /* 1121972 */     GIR_EraseRootFromParent_Done,
     /* 1121973 */   // Label 16454: @1121973
     /* 1121973 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122053), // Rule ID 17479 //
     /* 1121978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1121981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1121986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122017 */     // MIs[0] round
     /* 1122017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1122030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122052 */     // GIR_Coverage, 17479,
     /* 1122052 */     GIR_EraseRootFromParent_Done,
     /* 1122053 */   // Label 16455: @1122053
     /* 1122053 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122133), // Rule ID 17482 //
     /* 1122058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1122061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1122075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122097 */     // MIs[0] round
     /* 1122097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122107 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1122110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122132 */     // GIR_Coverage, 17482,
     /* 1122132 */     GIR_EraseRootFromParent_Done,
     /* 1122133 */   // Label 16456: @1122133
     /* 1122133 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122213), // Rule ID 17483 //
     /* 1122138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1122141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1122155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122177 */     // MIs[0] round
     /* 1122177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122187 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1122190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122212 */     // GIR_Coverage, 17483,
     /* 1122212 */     GIR_EraseRootFromParent_Done,
     /* 1122213 */   // Label 16457: @1122213
     /* 1122213 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122293), // Rule ID 17486 //
     /* 1122218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1122235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122257 */     // MIs[0] round
     /* 1122257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122267 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1122270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122292 */     // GIR_Coverage, 17486,
     /* 1122292 */     GIR_EraseRootFromParent_Done,
     /* 1122293 */   // Label 16458: @1122293
     /* 1122293 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122373), // Rule ID 17487 //
     /* 1122298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1122315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122337 */     // MIs[0] round
     /* 1122337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122347 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1122350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122372 */     // GIR_Coverage, 17487,
     /* 1122372 */     GIR_EraseRootFromParent_Done,
     /* 1122373 */   // Label 16459: @1122373
     /* 1122373 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122453), // Rule ID 17490 //
     /* 1122378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1122381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122417 */     // MIs[0] round
     /* 1122417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1122430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122452 */     // GIR_Coverage, 17490,
     /* 1122452 */     GIR_EraseRootFromParent_Done,
     /* 1122453 */   // Label 16460: @1122453
     /* 1122453 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122533), // Rule ID 17491 //
     /* 1122458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1122461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122497 */     // MIs[0] round
     /* 1122497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1122510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122532 */     // GIR_Coverage, 17491,
     /* 1122532 */     GIR_EraseRootFromParent_Done,
     /* 1122533 */   // Label 16461: @1122533
     /* 1122533 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122613), // Rule ID 17494 //
     /* 1122538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1122541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1122577 */     // MIs[0] round
     /* 1122577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1122590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122612 */     // GIR_Coverage, 17494,
     /* 1122612 */     GIR_EraseRootFromParent_Done,
     /* 1122613 */   // Label 16462: @1122613
     /* 1122613 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122693), // Rule ID 17495 //
     /* 1122618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1122621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1122657 */     // MIs[0] round
     /* 1122657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122667 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1122670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122692 */     // GIR_Coverage, 17495,
     /* 1122692 */     GIR_EraseRootFromParent_Done,
     /* 1122693 */   // Label 16463: @1122693
     /* 1122693 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1122773), // Rule ID 17498 //
     /* 1122698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1122709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1122712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1122715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122737 */     // MIs[0] round
     /* 1122737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122747 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1122750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122772 */     // GIR_Coverage, 17498,
     /* 1122772 */     GIR_EraseRootFromParent_Done,
     /* 1122773 */   // Label 16464: @1122773
     /* 1122773 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1122853), // Rule ID 17499 //
     /* 1122778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1122789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1122792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1122795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122817 */     // MIs[0] round
     /* 1122817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1122830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122852 */     // GIR_Coverage, 17499,
     /* 1122852 */     GIR_EraseRootFromParent_Done,
     /* 1122853 */   // Label 16465: @1122853
     /* 1122853 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1122933), // Rule ID 17502 //
     /* 1122858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1122869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1122872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1122875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122897 */     // MIs[0] round
     /* 1122897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122907 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1122910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122932 */     // GIR_Coverage, 17502,
     /* 1122932 */     GIR_EraseRootFromParent_Done,
     /* 1122933 */   // Label 16466: @1122933
     /* 1122933 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123013), // Rule ID 17503 //
     /* 1122938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1122946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1122949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1122952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1122955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122977 */     // MIs[0] round
     /* 1122977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122987 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1122990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123012 */     // GIR_Coverage, 17503,
     /* 1123012 */     GIR_EraseRootFromParent_Done,
     /* 1123013 */   // Label 16467: @1123013
     /* 1123013 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123093), // Rule ID 17506 //
     /* 1123018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1123029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1123032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1123035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1123038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1123057 */     // MIs[0] round
     /* 1123057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123067 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1123070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123092 */     // GIR_Coverage, 17506,
     /* 1123092 */     GIR_EraseRootFromParent_Done,
     /* 1123093 */   // Label 16468: @1123093
     /* 1123093 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123173), // Rule ID 17507 //
     /* 1123098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1123101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1123109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1123112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1123115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1123118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1123137 */     // MIs[0] round
     /* 1123137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123147 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1123150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123172 */     // GIR_Coverage, 17507,
     /* 1123172 */     GIR_EraseRootFromParent_Done,
     /* 1123173 */   // Label 16469: @1123173
     /* 1123173 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123253), // Rule ID 17510 //
     /* 1123178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1123181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1123195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123217 */     // MIs[0] round
     /* 1123217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1123230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123252 */     // GIR_Coverage, 17510,
     /* 1123252 */     GIR_EraseRootFromParent_Done,
     /* 1123253 */   // Label 16470: @1123253
     /* 1123253 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123333), // Rule ID 17511 //
     /* 1123258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1123275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123297 */     // MIs[0] round
     /* 1123297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1123310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123332 */     // GIR_Coverage, 17511,
     /* 1123332 */     GIR_EraseRootFromParent_Done,
     /* 1123333 */   // Label 16471: @1123333
     /* 1123333 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123413), // Rule ID 17514 //
     /* 1123338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1123341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123377 */     // MIs[0] round
     /* 1123377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1123390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123412 */     // GIR_Coverage, 17514,
     /* 1123412 */     GIR_EraseRootFromParent_Done,
     /* 1123413 */   // Label 16472: @1123413
     /* 1123413 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123493), // Rule ID 17515 //
     /* 1123418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123457 */     // MIs[0] round
     /* 1123457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123467 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1123470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123492 */     // GIR_Coverage, 17515,
     /* 1123492 */     GIR_EraseRootFromParent_Done,
     /* 1123493 */   // Label 16473: @1123493
     /* 1123493 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123573), // Rule ID 17518 //
     /* 1123498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1123501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1123515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123537 */     // MIs[0] round
     /* 1123537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123547 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1123550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123572 */     // GIR_Coverage, 17518,
     /* 1123572 */     GIR_EraseRootFromParent_Done,
     /* 1123573 */   // Label 16474: @1123573
     /* 1123573 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123653), // Rule ID 17519 //
     /* 1123578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1123595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123617 */     // MIs[0] round
     /* 1123617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1123630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123652 */     // GIR_Coverage, 17519,
     /* 1123652 */     GIR_EraseRootFromParent_Done,
     /* 1123653 */   // Label 16475: @1123653
     /* 1123653 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123733), // Rule ID 17522 //
     /* 1123658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1123669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1123672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1123675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123697 */     // MIs[0] round
     /* 1123697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123707 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1123710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123732 */     // GIR_Coverage, 17522,
     /* 1123732 */     GIR_EraseRootFromParent_Done,
     /* 1123733 */   // Label 16476: @1123733
     /* 1123733 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1123813), // Rule ID 17523 //
     /* 1123738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1123741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1123749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1123752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1123755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123777 */     // MIs[0] round
     /* 1123777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1123790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123812 */     // GIR_Coverage, 17523,
     /* 1123812 */     GIR_EraseRootFromParent_Done,
     /* 1123813 */   // Label 16477: @1123813
     /* 1123813 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1123893), // Rule ID 17526 //
     /* 1123818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1123829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1123832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1123835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123857 */     // MIs[0] round
     /* 1123857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123867 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1123870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123892 */     // GIR_Coverage, 17526,
     /* 1123892 */     GIR_EraseRootFromParent_Done,
     /* 1123893 */   // Label 16478: @1123893
     /* 1123893 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1123973), // Rule ID 17527 //
     /* 1123898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1123901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1123909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1123912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1123915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123937 */     // MIs[0] round
     /* 1123937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123947 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1123950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123972 */     // GIR_Coverage, 17527,
     /* 1123972 */     GIR_EraseRootFromParent_Done,
     /* 1123973 */   // Label 16479: @1123973
     /* 1123973 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124053), // Rule ID 17530 //
     /* 1123978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1123986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1123989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1123992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1123995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1124017 */     // MIs[0] round
     /* 1124017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124027 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1124030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124052 */     // GIR_Coverage, 17530,
     /* 1124052 */     GIR_EraseRootFromParent_Done,
     /* 1124053 */   // Label 16480: @1124053
     /* 1124053 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124133), // Rule ID 17531 //
     /* 1124058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1124061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1124066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1124069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1124072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1124075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1124097 */     // MIs[0] round
     /* 1124097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124107 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1124110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124132 */     // GIR_Coverage, 17531,
     /* 1124132 */     GIR_EraseRootFromParent_Done,
     /* 1124133 */   // Label 16481: @1124133
     /* 1124133 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124213), // Rule ID 17534 //
     /* 1124138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1124141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124177 */     // MIs[0] round
     /* 1124177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124187 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1124190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124212 */     // GIR_Coverage, 17534,
     /* 1124212 */     GIR_EraseRootFromParent_Done,
     /* 1124213 */   // Label 16482: @1124213
     /* 1124213 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124293), // Rule ID 17535 //
     /* 1124218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1124221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1124235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1124238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124257 */     // MIs[0] round
     /* 1124257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124267 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1124270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124292 */     // GIR_Coverage, 17535,
     /* 1124292 */     GIR_EraseRootFromParent_Done,
     /* 1124293 */   // Label 16483: @1124293
     /* 1124293 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124373), // Rule ID 17538 //
     /* 1124298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1124301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124337 */     // MIs[0] round
     /* 1124337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1124350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124372 */     // GIR_Coverage, 17538,
     /* 1124372 */     GIR_EraseRootFromParent_Done,
     /* 1124373 */   // Label 16484: @1124373
     /* 1124373 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124453), // Rule ID 17539 //
     /* 1124378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1124381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1124398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124417 */     // MIs[0] round
     /* 1124417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1124430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124452 */     // GIR_Coverage, 17539,
     /* 1124452 */     GIR_EraseRootFromParent_Done,
     /* 1124453 */   // Label 16485: @1124453
     /* 1124453 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124533), // Rule ID 17542 //
     /* 1124458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1124461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124497 */     // MIs[0] round
     /* 1124497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124507 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1124510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124532 */     // GIR_Coverage, 17542,
     /* 1124532 */     GIR_EraseRootFromParent_Done,
     /* 1124533 */   // Label 16486: @1124533
     /* 1124533 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124613), // Rule ID 17543 //
     /* 1124538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1124541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1124558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124577 */     // MIs[0] round
     /* 1124577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1124590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124612 */     // GIR_Coverage, 17543,
     /* 1124612 */     GIR_EraseRootFromParent_Done,
     /* 1124613 */   // Label 16487: @1124613
     /* 1124613 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124693), // Rule ID 17546 //
     /* 1124618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1124621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1124638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124657 */     // MIs[0] round
     /* 1124657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124667 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1124670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124692 */     // GIR_Coverage, 17546,
     /* 1124692 */     GIR_EraseRootFromParent_Done,
     /* 1124693 */   // Label 16488: @1124693
     /* 1124693 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1124773), // Rule ID 17547 //
     /* 1124698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1124701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1124718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124737 */     // MIs[0] round
     /* 1124737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124747 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1124750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124772 */     // GIR_Coverage, 17547,
     /* 1124772 */     GIR_EraseRootFromParent_Done,
     /* 1124773 */   // Label 16489: @1124773
     /* 1124773 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1124853), // Rule ID 17550 //
     /* 1124778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1124781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1124795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1124798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124817 */     // MIs[0] round
     /* 1124817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124827 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1124830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124852 */     // GIR_Coverage, 17550,
     /* 1124852 */     GIR_EraseRootFromParent_Done,
     /* 1124853 */   // Label 16490: @1124853
     /* 1124853 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1124933), // Rule ID 17551 //
     /* 1124858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1124861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1124875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1124878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124897 */     // MIs[0] round
     /* 1124897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1124910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124932 */     // GIR_Coverage, 17551,
     /* 1124932 */     GIR_EraseRootFromParent_Done,
     /* 1124933 */   // Label 16491: @1124933
     /* 1124933 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125013), // Rule ID 17554 //
     /* 1124938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1124941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1124946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1124949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1124952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1124958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124977 */     // MIs[0] round
     /* 1124977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1124990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125012 */     // GIR_Coverage, 17554,
     /* 1125012 */     GIR_EraseRootFromParent_Done,
     /* 1125013 */   // Label 16492: @1125013
     /* 1125013 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125093), // Rule ID 17555 //
     /* 1125018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1125021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1125029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1125032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1125035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1125038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125057 */     // MIs[0] round
     /* 1125057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1125070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125092 */     // GIR_Coverage, 17555,
     /* 1125092 */     GIR_EraseRootFromParent_Done,
     /* 1125093 */   // Label 16493: @1125093
     /* 1125093 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125173), // Rule ID 17558 //
     /* 1125098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1125101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125137 */     // MIs[0] round
     /* 1125137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125147 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1125150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125172 */     // GIR_Coverage, 17558,
     /* 1125172 */     GIR_EraseRootFromParent_Done,
     /* 1125173 */   // Label 16494: @1125173
     /* 1125173 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125253), // Rule ID 17559 //
     /* 1125178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1125181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125217 */     // MIs[0] round
     /* 1125217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1125230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125252 */     // GIR_Coverage, 17559,
     /* 1125252 */     GIR_EraseRootFromParent_Done,
     /* 1125253 */   // Label 16495: @1125253
     /* 1125253 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125333), // Rule ID 17562 //
     /* 1125258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1125261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1125275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1125278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125297 */     // MIs[0] round
     /* 1125297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1125310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125332 */     // GIR_Coverage, 17562,
     /* 1125332 */     GIR_EraseRootFromParent_Done,
     /* 1125333 */   // Label 16496: @1125333
     /* 1125333 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125413), // Rule ID 17563 //
     /* 1125338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1125341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1125355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1125358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125377 */     // MIs[0] round
     /* 1125377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125387 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1125390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125412 */     // GIR_Coverage, 17563,
     /* 1125412 */     GIR_EraseRootFromParent_Done,
     /* 1125413 */   // Label 16497: @1125413
     /* 1125413 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125493), // Rule ID 17566 //
     /* 1125418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1125421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1125438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125457 */     // MIs[0] round
     /* 1125457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1125470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125492 */     // GIR_Coverage, 17566,
     /* 1125492 */     GIR_EraseRootFromParent_Done,
     /* 1125493 */   // Label 16498: @1125493
     /* 1125493 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125573), // Rule ID 17567 //
     /* 1125498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1125501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1125518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125537 */     // MIs[0] round
     /* 1125537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1125550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125572 */     // GIR_Coverage, 17567,
     /* 1125572 */     GIR_EraseRootFromParent_Done,
     /* 1125573 */   // Label 16499: @1125573
     /* 1125573 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125653), // Rule ID 17570 //
     /* 1125578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1125581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1125595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125617 */     // MIs[0] round
     /* 1125617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125627 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1125630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125652 */     // GIR_Coverage, 17570,
     /* 1125652 */     GIR_EraseRootFromParent_Done,
     /* 1125653 */   // Label 16500: @1125653
     /* 1125653 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125733), // Rule ID 17571 //
     /* 1125658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1125661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1125675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125697 */     // MIs[0] round
     /* 1125697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125707 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1125710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125732 */     // GIR_Coverage, 17571,
     /* 1125732 */     GIR_EraseRootFromParent_Done,
     /* 1125733 */   // Label 16501: @1125733
     /* 1125733 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1125813), // Rule ID 17574 //
     /* 1125738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1125741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1125755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125777 */     // MIs[0] round
     /* 1125777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125787 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1125790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125812 */     // GIR_Coverage, 17574,
     /* 1125812 */     GIR_EraseRootFromParent_Done,
     /* 1125813 */   // Label 16502: @1125813
     /* 1125813 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1125893), // Rule ID 17575 //
     /* 1125818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1125821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1125835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125857 */     // MIs[0] round
     /* 1125857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1125870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125892 */     // GIR_Coverage, 17575,
     /* 1125892 */     GIR_EraseRootFromParent_Done,
     /* 1125893 */   // Label 16503: @1125893
     /* 1125893 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1125973), // Rule ID 17578 //
     /* 1125898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1125901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125937 */     // MIs[0] round
     /* 1125937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1125950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125972 */     // GIR_Coverage, 17578,
     /* 1125972 */     GIR_EraseRootFromParent_Done,
     /* 1125973 */   // Label 16504: @1125973
     /* 1125973 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126053), // Rule ID 17579 //
     /* 1125978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1125981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1125986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1126017 */     // MIs[0] round
     /* 1126017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1126030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126052 */     // GIR_Coverage, 17579,
     /* 1126052 */     GIR_EraseRootFromParent_Done,
     /* 1126053 */   // Label 16505: @1126053
     /* 1126053 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126133), // Rule ID 17582 //
     /* 1126058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1126078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1126097 */     // MIs[0] round
     /* 1126097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126107 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1126110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126132 */     // GIR_Coverage, 17582,
     /* 1126132 */     GIR_EraseRootFromParent_Done,
     /* 1126133 */   // Label 16506: @1126133
     /* 1126133 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126213), // Rule ID 17583 //
     /* 1126138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1126158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1126177 */     // MIs[0] round
     /* 1126177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1126190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126212 */     // GIR_Coverage, 17583,
     /* 1126212 */     GIR_EraseRootFromParent_Done,
     /* 1126213 */   // Label 16507: @1126213
     /* 1126213 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126293), // Rule ID 17586 //
     /* 1126218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1126238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1126257 */     // MIs[0] round
     /* 1126257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1126270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126292 */     // GIR_Coverage, 17586,
     /* 1126292 */     GIR_EraseRootFromParent_Done,
     /* 1126293 */   // Label 16508: @1126293
     /* 1126293 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126373), // Rule ID 17587 //
     /* 1126298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1126318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1126337 */     // MIs[0] round
     /* 1126337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1126350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126372 */     // GIR_Coverage, 17587,
     /* 1126372 */     GIR_EraseRootFromParent_Done,
     /* 1126373 */   // Label 16509: @1126373
     /* 1126373 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126453), // Rule ID 17590 //
     /* 1126378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1126381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1126395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126417 */     // MIs[0] round
     /* 1126417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1126430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126452 */     // GIR_Coverage, 17590,
     /* 1126452 */     GIR_EraseRootFromParent_Done,
     /* 1126453 */   // Label 16510: @1126453
     /* 1126453 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126533), // Rule ID 17591 //
     /* 1126458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1126461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1126475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126497 */     // MIs[0] round
     /* 1126497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1126510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126532 */     // GIR_Coverage, 17591,
     /* 1126532 */     GIR_EraseRootFromParent_Done,
     /* 1126533 */   // Label 16511: @1126533
     /* 1126533 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126613), // Rule ID 17594 //
     /* 1126538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1126541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1126555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126577 */     // MIs[0] round
     /* 1126577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1126590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126612 */     // GIR_Coverage, 17594,
     /* 1126612 */     GIR_EraseRootFromParent_Done,
     /* 1126613 */   // Label 16512: @1126613
     /* 1126613 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126693), // Rule ID 17595 //
     /* 1126618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1126621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1126629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1126632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1126635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126657 */     // MIs[0] round
     /* 1126657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1126670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126692 */     // GIR_Coverage, 17595,
     /* 1126692 */     GIR_EraseRootFromParent_Done,
     /* 1126693 */   // Label 16513: @1126693
     /* 1126693 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1126773), // Rule ID 17598 //
     /* 1126698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1126701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126737 */     // MIs[0] round
     /* 1126737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126747 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1126750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126772 */     // GIR_Coverage, 17598,
     /* 1126772 */     GIR_EraseRootFromParent_Done,
     /* 1126773 */   // Label 16514: @1126773
     /* 1126773 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1126853), // Rule ID 17599 //
     /* 1126778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1126781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1126795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126817 */     // MIs[0] round
     /* 1126817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126827 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1126830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126852 */     // GIR_Coverage, 17599,
     /* 1126852 */     GIR_EraseRootFromParent_Done,
     /* 1126853 */   // Label 16515: @1126853
     /* 1126853 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1126933), // Rule ID 17602 //
     /* 1126858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1126861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126897 */     // MIs[0] round
     /* 1126897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126907 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1126910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126932 */     // GIR_Coverage, 17602,
     /* 1126932 */     GIR_EraseRootFromParent_Done,
     /* 1126933 */   // Label 16516: @1126933
     /* 1126933 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127013), // Rule ID 17603 //
     /* 1126938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1126941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1126946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1126955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1126977 */     // MIs[0] round
     /* 1126977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126987 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1126990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127012 */     // GIR_Coverage, 17603,
     /* 1127012 */     GIR_EraseRootFromParent_Done,
     /* 1127013 */   // Label 16517: @1127013
     /* 1127013 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127093), // Rule ID 22680 //
     /* 1127018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1127021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127057 */     // MIs[0] round
     /* 1127057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1127070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127092 */     // GIR_Coverage, 22680,
     /* 1127092 */     GIR_EraseRootFromParent_Done,
     /* 1127093 */   // Label 16518: @1127093
     /* 1127093 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127173), // Rule ID 22681 //
     /* 1127098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1127101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127137 */     // MIs[0] round
     /* 1127137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127147 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1127150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127172 */     // GIR_Coverage, 22681,
     /* 1127172 */     GIR_EraseRootFromParent_Done,
     /* 1127173 */   // Label 16519: @1127173
     /* 1127173 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127253), // Rule ID 22684 //
     /* 1127178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1127181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127217 */     // MIs[0] round
     /* 1127217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1127230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127252 */     // GIR_Coverage, 22684,
     /* 1127252 */     GIR_EraseRootFromParent_Done,
     /* 1127253 */   // Label 16520: @1127253
     /* 1127253 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127333), // Rule ID 22685 //
     /* 1127258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1127261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127297 */     // MIs[0] round
     /* 1127297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1127310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127332 */     // GIR_Coverage, 22685,
     /* 1127332 */     GIR_EraseRootFromParent_Done,
     /* 1127333 */   // Label 16521: @1127333
     /* 1127333 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127413), // Rule ID 22688 //
     /* 1127338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1127341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1127355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127377 */     // MIs[0] round
     /* 1127377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127387 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1127390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127412 */     // GIR_Coverage, 22688,
     /* 1127412 */     GIR_EraseRootFromParent_Done,
     /* 1127413 */   // Label 16522: @1127413
     /* 1127413 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127493), // Rule ID 22689 //
     /* 1127418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1127421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1127435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127457 */     // MIs[0] round
     /* 1127457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127467 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1127470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127492 */     // GIR_Coverage, 22689,
     /* 1127492 */     GIR_EraseRootFromParent_Done,
     /* 1127493 */   // Label 16523: @1127493
     /* 1127493 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127573), // Rule ID 22692 //
     /* 1127498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1127501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127537 */     // MIs[0] round
     /* 1127537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1127550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127572 */     // GIR_Coverage, 22692,
     /* 1127572 */     GIR_EraseRootFromParent_Done,
     /* 1127573 */   // Label 16524: @1127573
     /* 1127573 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127653), // Rule ID 22693 //
     /* 1127578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1127581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127617 */     // MIs[0] round
     /* 1127617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1127630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127652 */     // GIR_Coverage, 22693,
     /* 1127652 */     GIR_EraseRootFromParent_Done,
     /* 1127653 */   // Label 16525: @1127653
     /* 1127653 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1127733), // Rule ID 22696 //
     /* 1127658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1127661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1127675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1127678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127697 */     // MIs[0] round
     /* 1127697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1127710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127732 */     // GIR_Coverage, 22696,
     /* 1127732 */     GIR_EraseRootFromParent_Done,
     /* 1127733 */   // Label 16526: @1127733
     /* 1127733 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1127813), // Rule ID 22697 //
     /* 1127738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1127741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1127755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1127758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127777 */     // MIs[0] round
     /* 1127777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127787 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1127790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127812 */     // GIR_Coverage, 22697,
     /* 1127812 */     GIR_EraseRootFromParent_Done,
     /* 1127813 */   // Label 16527: @1127813
     /* 1127813 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1127893), // Rule ID 22700 //
     /* 1127818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1127821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1127835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127857 */     // MIs[0] round
     /* 1127857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1127870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127892 */     // GIR_Coverage, 22700,
     /* 1127892 */     GIR_EraseRootFromParent_Done,
     /* 1127893 */   // Label 16528: @1127893
     /* 1127893 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1127973), // Rule ID 22701 //
     /* 1127898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1127901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1127915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127937 */     // MIs[0] round
     /* 1127937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1127950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127972 */     // GIR_Coverage, 22701,
     /* 1127972 */     GIR_EraseRootFromParent_Done,
     /* 1127973 */   // Label 16529: @1127973
     /* 1127973 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128053), // Rule ID 22704 //
     /* 1127978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1127981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1127986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1127995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1127998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128017 */     // MIs[0] round
     /* 1128017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1128030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128052 */     // GIR_Coverage, 22704,
     /* 1128052 */     GIR_EraseRootFromParent_Done,
     /* 1128053 */   // Label 16530: @1128053
     /* 1128053 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128133), // Rule ID 22705 //
     /* 1128058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1128061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128097 */     // MIs[0] round
     /* 1128097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1128110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128132 */     // GIR_Coverage, 22705,
     /* 1128132 */     GIR_EraseRootFromParent_Done,
     /* 1128133 */   // Label 16531: @1128133
     /* 1128133 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128213), // Rule ID 22708 //
     /* 1128138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1128141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128177 */     // MIs[0] round
     /* 1128177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1128190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128212 */     // GIR_Coverage, 22708,
     /* 1128212 */     GIR_EraseRootFromParent_Done,
     /* 1128213 */   // Label 16532: @1128213
     /* 1128213 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128293), // Rule ID 22709 //
     /* 1128218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1128221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1128229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1128232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1128238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128257 */     // MIs[0] round
     /* 1128257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128267 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1128270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128292 */     // GIR_Coverage, 22709,
     /* 1128292 */     GIR_EraseRootFromParent_Done,
     /* 1128293 */   // Label 16533: @1128293
     /* 1128293 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128373), // Rule ID 22712 //
     /* 1128298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1128301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128337 */     // MIs[0] round
     /* 1128337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1128350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128372 */     // GIR_Coverage, 22712,
     /* 1128372 */     GIR_EraseRootFromParent_Done,
     /* 1128373 */   // Label 16534: @1128373
     /* 1128373 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128453), // Rule ID 22713 //
     /* 1128378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1128381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128417 */     // MIs[0] round
     /* 1128417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1128430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128452 */     // GIR_Coverage, 22713,
     /* 1128452 */     GIR_EraseRootFromParent_Done,
     /* 1128453 */   // Label 16535: @1128453
     /* 1128453 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128533), // Rule ID 22716 //
     /* 1128458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1128461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1128475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128497 */     // MIs[0] round
     /* 1128497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1128510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128532 */     // GIR_Coverage, 22716,
     /* 1128532 */     GIR_EraseRootFromParent_Done,
     /* 1128533 */   // Label 16536: @1128533
     /* 1128533 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128613), // Rule ID 22717 //
     /* 1128538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1128541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1128555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128577 */     // MIs[0] round
     /* 1128577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1128590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128612 */     // GIR_Coverage, 22717,
     /* 1128612 */     GIR_EraseRootFromParent_Done,
     /* 1128613 */   // Label 16537: @1128613
     /* 1128613 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128693), // Rule ID 22720 //
     /* 1128618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1128621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1128635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128657 */     // MIs[0] round
     /* 1128657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1128670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128692 */     // GIR_Coverage, 22720,
     /* 1128692 */     GIR_EraseRootFromParent_Done,
     /* 1128693 */   // Label 16538: @1128693
     /* 1128693 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1128773), // Rule ID 22721 //
     /* 1128698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1128701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1128715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1128718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128737 */     // MIs[0] round
     /* 1128737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1128750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128772 */     // GIR_Coverage, 22721,
     /* 1128772 */     GIR_EraseRootFromParent_Done,
     /* 1128773 */   // Label 16539: @1128773
     /* 1128773 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1128853), // Rule ID 22724 //
     /* 1128778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1128781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1128795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1128798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128817 */     // MIs[0] round
     /* 1128817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1128830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128852 */     // GIR_Coverage, 22724,
     /* 1128852 */     GIR_EraseRootFromParent_Done,
     /* 1128853 */   // Label 16540: @1128853
     /* 1128853 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1128933), // Rule ID 22725 //
     /* 1128858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1128861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1128875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1128878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128897 */     // MIs[0] round
     /* 1128897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128907 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1128910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128932 */     // GIR_Coverage, 22725,
     /* 1128932 */     GIR_EraseRootFromParent_Done,
     /* 1128933 */   // Label 16541: @1128933
     /* 1128933 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129013), // Rule ID 22728 //
     /* 1128938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1128941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1128946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1128955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1128958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128977 */     // MIs[0] round
     /* 1128977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1128990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129012 */     // GIR_Coverage, 22728,
     /* 1129012 */     GIR_EraseRootFromParent_Done,
     /* 1129013 */   // Label 16542: @1129013
     /* 1129013 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129093), // Rule ID 22729 //
     /* 1129018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1129021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1129026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1129035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129057 */     // MIs[0] round
     /* 1129057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1129070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129092 */     // GIR_Coverage, 22729,
     /* 1129092 */     GIR_EraseRootFromParent_Done,
     /* 1129093 */   // Label 16543: @1129093
     /* 1129093 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129173), // Rule ID 22732 //
     /* 1129098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1129101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1129106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1129115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129137 */     // MIs[0] round
     /* 1129137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1129150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129172 */     // GIR_Coverage, 22732,
     /* 1129172 */     GIR_EraseRootFromParent_Done,
     /* 1129173 */   // Label 16544: @1129173
     /* 1129173 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129253), // Rule ID 22733 //
     /* 1129178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1129181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1129186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1129195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1129198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129217 */     // MIs[0] round
     /* 1129217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1129230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129252 */     // GIR_Coverage, 22733,
     /* 1129252 */     GIR_EraseRootFromParent_Done,
     /* 1129253 */   // Label 16545: @1129253
     /* 1129253 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129333), // Rule ID 22736 //
     /* 1129258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1129261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129297 */     // MIs[0] round
     /* 1129297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129307 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1129310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129332 */     // GIR_Coverage, 22736,
     /* 1129332 */     GIR_EraseRootFromParent_Done,
     /* 1129333 */   // Label 16546: @1129333
     /* 1129333 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129413), // Rule ID 22737 //
     /* 1129338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1129341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129377 */     // MIs[0] round
     /* 1129377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129387 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1129390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129412 */     // GIR_Coverage, 22737,
     /* 1129412 */     GIR_EraseRootFromParent_Done,
     /* 1129413 */   // Label 16547: @1129413
     /* 1129413 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129493), // Rule ID 22740 //
     /* 1129418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1129421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129457 */     // MIs[0] round
     /* 1129457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129467 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1129470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129492 */     // GIR_Coverage, 22740,
     /* 1129492 */     GIR_EraseRootFromParent_Done,
     /* 1129493 */   // Label 16548: @1129493
     /* 1129493 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129573), // Rule ID 22741 //
     /* 1129498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1129501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129537 */     // MIs[0] round
     /* 1129537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129547 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1129550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129572 */     // GIR_Coverage, 22741,
     /* 1129572 */     GIR_EraseRootFromParent_Done,
     /* 1129573 */   // Label 16549: @1129573
     /* 1129573 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129653), // Rule ID 22744 //
     /* 1129578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1129581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129617 */     // MIs[0] round
     /* 1129617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1129630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129652 */     // GIR_Coverage, 22744,
     /* 1129652 */     GIR_EraseRootFromParent_Done,
     /* 1129653 */   // Label 16550: @1129653
     /* 1129653 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1129733), // Rule ID 22745 //
     /* 1129658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1129661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129697 */     // MIs[0] round
     /* 1129697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1129710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129732 */     // GIR_Coverage, 22745,
     /* 1129732 */     GIR_EraseRootFromParent_Done,
     /* 1129733 */   // Label 16551: @1129733
     /* 1129733 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1129813), // Rule ID 22748 //
     /* 1129738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1129741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129777 */     // MIs[0] round
     /* 1129777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1129790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129812 */     // GIR_Coverage, 22748,
     /* 1129812 */     GIR_EraseRootFromParent_Done,
     /* 1129813 */   // Label 16552: @1129813
     /* 1129813 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1129893), // Rule ID 22749 //
     /* 1129818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1129821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129857 */     // MIs[0] round
     /* 1129857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1129870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129892 */     // GIR_Coverage, 22749,
     /* 1129892 */     GIR_EraseRootFromParent_Done,
     /* 1129893 */   // Label 16553: @1129893
     /* 1129893 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1129973), // Rule ID 22752 //
     /* 1129898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1129901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129937 */     // MIs[0] round
     /* 1129937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1129950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129972 */     // GIR_Coverage, 22752,
     /* 1129972 */     GIR_EraseRootFromParent_Done,
     /* 1129973 */   // Label 16554: @1129973
     /* 1129973 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130053), // Rule ID 22753 //
     /* 1129978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1129981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1129986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1129998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130017 */     // MIs[0] round
     /* 1130017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1130030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130052 */     // GIR_Coverage, 22753,
     /* 1130052 */     GIR_EraseRootFromParent_Done,
     /* 1130053 */   // Label 16555: @1130053
     /* 1130053 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130133), // Rule ID 22756 //
     /* 1130058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1130061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130097 */     // MIs[0] round
     /* 1130097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1130110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130132 */     // GIR_Coverage, 22756,
     /* 1130132 */     GIR_EraseRootFromParent_Done,
     /* 1130133 */   // Label 16556: @1130133
     /* 1130133 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130213), // Rule ID 22757 //
     /* 1130138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1130141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130177 */     // MIs[0] round
     /* 1130177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1130190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130212 */     // GIR_Coverage, 22757,
     /* 1130212 */     GIR_EraseRootFromParent_Done,
     /* 1130213 */   // Label 16557: @1130213
     /* 1130213 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130293), // Rule ID 22760 //
     /* 1130218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1130221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130257 */     // MIs[0] round
     /* 1130257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130267 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1130270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130292 */     // GIR_Coverage, 22760,
     /* 1130292 */     GIR_EraseRootFromParent_Done,
     /* 1130293 */   // Label 16558: @1130293
     /* 1130293 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130373), // Rule ID 22761 //
     /* 1130298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1130301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130337 */     // MIs[0] round
     /* 1130337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130347 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1130350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130372 */     // GIR_Coverage, 22761,
     /* 1130372 */     GIR_EraseRootFromParent_Done,
     /* 1130373 */   // Label 16559: @1130373
     /* 1130373 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130453), // Rule ID 22764 //
     /* 1130378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1130381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130417 */     // MIs[0] round
     /* 1130417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1130430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130452 */     // GIR_Coverage, 22764,
     /* 1130452 */     GIR_EraseRootFromParent_Done,
     /* 1130453 */   // Label 16560: @1130453
     /* 1130453 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130533), // Rule ID 22765 //
     /* 1130458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1130461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130497 */     // MIs[0] round
     /* 1130497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130507 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1130510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130532 */     // GIR_Coverage, 22765,
     /* 1130532 */     GIR_EraseRootFromParent_Done,
     /* 1130533 */   // Label 16561: @1130533
     /* 1130533 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130613), // Rule ID 22768 //
     /* 1130538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1130541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130577 */     // MIs[0] round
     /* 1130577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130587 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1130590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130612 */     // GIR_Coverage, 22768,
     /* 1130612 */     GIR_EraseRootFromParent_Done,
     /* 1130613 */   // Label 16562: @1130613
     /* 1130613 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130693), // Rule ID 22769 //
     /* 1130618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1130621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130657 */     // MIs[0] round
     /* 1130657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130667 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1130670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130692 */     // GIR_Coverage, 22769,
     /* 1130692 */     GIR_EraseRootFromParent_Done,
     /* 1130693 */   // Label 16563: @1130693
     /* 1130693 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1130773), // Rule ID 22772 //
     /* 1130698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1130701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130737 */     // MIs[0] round
     /* 1130737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1130750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130772 */     // GIR_Coverage, 22772,
     /* 1130772 */     GIR_EraseRootFromParent_Done,
     /* 1130773 */   // Label 16564: @1130773
     /* 1130773 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1130853), // Rule ID 22773 //
     /* 1130778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1130781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130817 */     // MIs[0] round
     /* 1130817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1130830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130852 */     // GIR_Coverage, 22773,
     /* 1130852 */     GIR_EraseRootFromParent_Done,
     /* 1130853 */   // Label 16565: @1130853
     /* 1130853 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1130933), // Rule ID 22776 //
     /* 1130858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1130861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130897 */     // MIs[0] round
     /* 1130897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1130910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130932 */     // GIR_Coverage, 22776,
     /* 1130932 */     GIR_EraseRootFromParent_Done,
     /* 1130933 */   // Label 16566: @1130933
     /* 1130933 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131013), // Rule ID 22777 //
     /* 1130938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1130941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1130946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130977 */     // MIs[0] round
     /* 1130977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1130990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131012 */     // GIR_Coverage, 22777,
     /* 1131012 */     GIR_EraseRootFromParent_Done,
     /* 1131013 */   // Label 16567: @1131013
     /* 1131013 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131093), // Rule ID 22780 //
     /* 1131018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1131021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131057 */     // MIs[0] round
     /* 1131057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1131070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131092 */     // GIR_Coverage, 22780,
     /* 1131092 */     GIR_EraseRootFromParent_Done,
     /* 1131093 */   // Label 16568: @1131093
     /* 1131093 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131173), // Rule ID 22781 //
     /* 1131098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1131101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131137 */     // MIs[0] round
     /* 1131137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131147 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1131150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131172 */     // GIR_Coverage, 22781,
     /* 1131172 */     GIR_EraseRootFromParent_Done,
     /* 1131173 */   // Label 16569: @1131173
     /* 1131173 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131253), // Rule ID 22784 //
     /* 1131178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1131181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131217 */     // MIs[0] round
     /* 1131217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1131230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131252 */     // GIR_Coverage, 22784,
     /* 1131252 */     GIR_EraseRootFromParent_Done,
     /* 1131253 */   // Label 16570: @1131253
     /* 1131253 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131333), // Rule ID 22785 //
     /* 1131258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1131261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131297 */     // MIs[0] round
     /* 1131297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1131310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131332 */     // GIR_Coverage, 22785,
     /* 1131332 */     GIR_EraseRootFromParent_Done,
     /* 1131333 */   // Label 16571: @1131333
     /* 1131333 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131413), // Rule ID 22788 //
     /* 1131338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1131341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131377 */     // MIs[0] round
     /* 1131377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1131390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131412 */     // GIR_Coverage, 22788,
     /* 1131412 */     GIR_EraseRootFromParent_Done,
     /* 1131413 */   // Label 16572: @1131413
     /* 1131413 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131493), // Rule ID 22789 //
     /* 1131418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1131421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131457 */     // MIs[0] round
     /* 1131457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131467 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1131470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131492 */     // GIR_Coverage, 22789,
     /* 1131492 */     GIR_EraseRootFromParent_Done,
     /* 1131493 */   // Label 16573: @1131493
     /* 1131493 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131573), // Rule ID 22792 //
     /* 1131498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1131501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131537 */     // MIs[0] round
     /* 1131537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131547 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1131550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131572 */     // GIR_Coverage, 22792,
     /* 1131572 */     GIR_EraseRootFromParent_Done,
     /* 1131573 */   // Label 16574: @1131573
     /* 1131573 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131653), // Rule ID 22793 //
     /* 1131578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1131581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1131586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131617 */     // MIs[0] round
     /* 1131617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1131630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131652 */     // GIR_Coverage, 22793,
     /* 1131652 */     GIR_EraseRootFromParent_Done,
     /* 1131653 */   // Label 16575: @1131653
     /* 1131653 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1131733), // Rule ID 22916 //
     /* 1131658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1131661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1131666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131697 */     // MIs[0] round
     /* 1131697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1131710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131732 */     // GIR_Coverage, 22916,
     /* 1131732 */     GIR_EraseRootFromParent_Done,
     /* 1131733 */   // Label 16576: @1131733
     /* 1131733 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1131813), // Rule ID 22917 //
     /* 1131738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1131741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1131746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1131755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131777 */     // MIs[0] round
     /* 1131777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131787 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1131790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131812 */     // GIR_Coverage, 22917,
     /* 1131812 */     GIR_EraseRootFromParent_Done,
     /* 1131813 */   // Label 16577: @1131813
     /* 1131813 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1131893), // Rule ID 22920 //
     /* 1131818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1131821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1131826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131857 */     // MIs[0] round
     /* 1131857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1131870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131892 */     // GIR_Coverage, 22920,
     /* 1131892 */     GIR_EraseRootFromParent_Done,
     /* 1131893 */   // Label 16578: @1131893
     /* 1131893 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1131973), // Rule ID 22921 //
     /* 1131898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1131901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1131906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1131915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1131918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131937 */     // MIs[0] round
     /* 1131937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1131950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131972 */     // GIR_Coverage, 22921,
     /* 1131972 */     GIR_EraseRootFromParent_Done,
     /* 1131973 */   // Label 16579: @1131973
     /* 1131973 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132053), // Rule ID 22924 //
     /* 1131978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1131981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1131986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1131998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132017 */     // MIs[0] round
     /* 1132017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1132030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132052 */     // GIR_Coverage, 22924,
     /* 1132052 */     GIR_EraseRootFromParent_Done,
     /* 1132053 */   // Label 16580: @1132053
     /* 1132053 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132133), // Rule ID 22925 //
     /* 1132058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1132061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132097 */     // MIs[0] round
     /* 1132097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1132110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132132 */     // GIR_Coverage, 22925,
     /* 1132132 */     GIR_EraseRootFromParent_Done,
     /* 1132133 */   // Label 16581: @1132133
     /* 1132133 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132213), // Rule ID 22928 //
     /* 1132138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1132141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132177 */     // MIs[0] round
     /* 1132177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1132190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132212 */     // GIR_Coverage, 22928,
     /* 1132212 */     GIR_EraseRootFromParent_Done,
     /* 1132213 */   // Label 16582: @1132213
     /* 1132213 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132293), // Rule ID 22929 //
     /* 1132218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1132221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132257 */     // MIs[0] round
     /* 1132257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1132270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132292 */     // GIR_Coverage, 22929,
     /* 1132292 */     GIR_EraseRootFromParent_Done,
     /* 1132293 */   // Label 16583: @1132293
     /* 1132293 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132373), // Rule ID 22932 //
     /* 1132298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1132301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132337 */     // MIs[0] round
     /* 1132337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132347 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1132350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132372 */     // GIR_Coverage, 22932,
     /* 1132372 */     GIR_EraseRootFromParent_Done,
     /* 1132373 */   // Label 16584: @1132373
     /* 1132373 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132453), // Rule ID 22933 //
     /* 1132378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1132381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132417 */     // MIs[0] round
     /* 1132417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1132430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132452 */     // GIR_Coverage, 22933,
     /* 1132452 */     GIR_EraseRootFromParent_Done,
     /* 1132453 */   // Label 16585: @1132453
     /* 1132453 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132533), // Rule ID 22936 //
     /* 1132458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1132461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132497 */     // MIs[0] round
     /* 1132497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1132510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132532 */     // GIR_Coverage, 22936,
     /* 1132532 */     GIR_EraseRootFromParent_Done,
     /* 1132533 */   // Label 16586: @1132533
     /* 1132533 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132613), // Rule ID 22937 //
     /* 1132538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1132541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132577 */     // MIs[0] round
     /* 1132577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1132590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132612 */     // GIR_Coverage, 22937,
     /* 1132612 */     GIR_EraseRootFromParent_Done,
     /* 1132613 */   // Label 16587: @1132613
     /* 1132613 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132693), // Rule ID 22940 //
     /* 1132618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1132621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132657 */     // MIs[0] round
     /* 1132657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1132670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132692 */     // GIR_Coverage, 22940,
     /* 1132692 */     GIR_EraseRootFromParent_Done,
     /* 1132693 */   // Label 16588: @1132693
     /* 1132693 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1132773), // Rule ID 22941 //
     /* 1132698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1132701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132737 */     // MIs[0] round
     /* 1132737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1132750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132772 */     // GIR_Coverage, 22941,
     /* 1132772 */     GIR_EraseRootFromParent_Done,
     /* 1132773 */   // Label 16589: @1132773
     /* 1132773 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1132853), // Rule ID 22944 //
     /* 1132778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1132781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1132795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132817 */     // MIs[0] round
     /* 1132817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1132830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132852 */     // GIR_Coverage, 22944,
     /* 1132852 */     GIR_EraseRootFromParent_Done,
     /* 1132853 */   // Label 16590: @1132853
     /* 1132853 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1132933), // Rule ID 22945 //
     /* 1132858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1132861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1132875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132897 */     // MIs[0] round
     /* 1132897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10965:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1132910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132932 */     // GIR_Coverage, 22945,
     /* 1132932 */     GIR_EraseRootFromParent_Done,
     /* 1132933 */   // Label 16591: @1132933
     /* 1132933 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133013), // Rule ID 22948 //
     /* 1132938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1132941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1132946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1132955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1132958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132977 */     // MIs[0] round
     /* 1132977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1132990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133012 */     // GIR_Coverage, 22948,
     /* 1133012 */     GIR_EraseRootFromParent_Done,
     /* 1133013 */   // Label 16592: @1133013
     /* 1133013 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133093), // Rule ID 22949 //
     /* 1133018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1133021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1133026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133057 */     // MIs[0] round
     /* 1133057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1133070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133092 */     // GIR_Coverage, 22949,
     /* 1133092 */     GIR_EraseRootFromParent_Done,
     /* 1133093 */   // Label 16593: @1133093
     /* 1133093 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133173), // Rule ID 22952 //
     /* 1133098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1133101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1133106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133137 */     // MIs[0] round
     /* 1133137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1133150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133172 */     // GIR_Coverage, 22952,
     /* 1133172 */     GIR_EraseRootFromParent_Done,
     /* 1133173 */   // Label 16594: @1133173
     /* 1133173 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133253), // Rule ID 22953 //
     /* 1133178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1133181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1133186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133217 */     // MIs[0] round
     /* 1133217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1133230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133252 */     // GIR_Coverage, 22953,
     /* 1133252 */     GIR_EraseRootFromParent_Done,
     /* 1133253 */   // Label 16595: @1133253
     /* 1133253 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133333), // Rule ID 22956 //
     /* 1133258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1133261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1133266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133297 */     // MIs[0] round
     /* 1133297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1133310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133332 */     // GIR_Coverage, 22956,
     /* 1133332 */     GIR_EraseRootFromParent_Done,
     /* 1133333 */   // Label 16596: @1133333
     /* 1133333 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133413), // Rule ID 22957 //
     /* 1133338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1133341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1133346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133377 */     // MIs[0] round
     /* 1133377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10965:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1133390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133412 */     // GIR_Coverage, 22957,
     /* 1133412 */     GIR_EraseRootFromParent_Done,
     /* 1133413 */   // Label 16597: @1133413
     /* 1133413 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133493), // Rule ID 22960 //
     /* 1133418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1133421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133457 */     // MIs[0] round
     /* 1133457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1133470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133492 */     // GIR_Coverage, 22960,
     /* 1133492 */     GIR_EraseRootFromParent_Done,
     /* 1133493 */   // Label 16598: @1133493
     /* 1133493 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133573), // Rule ID 22961 //
     /* 1133498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1133501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133537 */     // MIs[0] round
     /* 1133537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133547 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1133550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133572 */     // GIR_Coverage, 22961,
     /* 1133572 */     GIR_EraseRootFromParent_Done,
     /* 1133573 */   // Label 16599: @1133573
     /* 1133573 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133653), // Rule ID 22964 //
     /* 1133578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1133581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133617 */     // MIs[0] round
     /* 1133617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1133630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133652 */     // GIR_Coverage, 22964,
     /* 1133652 */     GIR_EraseRootFromParent_Done,
     /* 1133653 */   // Label 16600: @1133653
     /* 1133653 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1133733), // Rule ID 22965 //
     /* 1133658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1133661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133697 */     // MIs[0] round
     /* 1133697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1133710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133732 */     // GIR_Coverage, 22965,
     /* 1133732 */     GIR_EraseRootFromParent_Done,
     /* 1133733 */   // Label 16601: @1133733
     /* 1133733 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1133813), // Rule ID 22968 //
     /* 1133738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1133741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133777 */     // MIs[0] round
     /* 1133777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133787 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1133790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133812 */     // GIR_Coverage, 22968,
     /* 1133812 */     GIR_EraseRootFromParent_Done,
     /* 1133813 */   // Label 16602: @1133813
     /* 1133813 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1133893), // Rule ID 22969 //
     /* 1133818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1133821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133857 */     // MIs[0] round
     /* 1133857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133867 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1133870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133892 */     // GIR_Coverage, 22969,
     /* 1133892 */     GIR_EraseRootFromParent_Done,
     /* 1133893 */   // Label 16603: @1133893
     /* 1133893 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1133973), // Rule ID 22972 //
     /* 1133898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1133901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1133915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133937 */     // MIs[0] round
     /* 1133937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1133950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133972 */     // GIR_Coverage, 22972,
     /* 1133972 */     GIR_EraseRootFromParent_Done,
     /* 1133973 */   // Label 16604: @1133973
     /* 1133973 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134053), // Rule ID 22973 //
     /* 1133978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1133981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1133986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1133995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134017 */     // MIs[0] round
     /* 1134017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1134030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134052 */     // GIR_Coverage, 22973,
     /* 1134052 */     GIR_EraseRootFromParent_Done,
     /* 1134053 */   // Label 16605: @1134053
     /* 1134053 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134133), // Rule ID 22976 //
     /* 1134058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1134061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134097 */     // MIs[0] round
     /* 1134097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1134110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134132 */     // GIR_Coverage, 22976,
     /* 1134132 */     GIR_EraseRootFromParent_Done,
     /* 1134133 */   // Label 16606: @1134133
     /* 1134133 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134213), // Rule ID 22977 //
     /* 1134138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1134141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134177 */     // MIs[0] round
     /* 1134177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1134190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134212 */     // GIR_Coverage, 22977,
     /* 1134212 */     GIR_EraseRootFromParent_Done,
     /* 1134213 */   // Label 16607: @1134213
     /* 1134213 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134293), // Rule ID 22980 //
     /* 1134218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1134221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134257 */     // MIs[0] round
     /* 1134257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1134270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134292 */     // GIR_Coverage, 22980,
     /* 1134292 */     GIR_EraseRootFromParent_Done,
     /* 1134293 */   // Label 16608: @1134293
     /* 1134293 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134373), // Rule ID 22981 //
     /* 1134298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1134301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134337 */     // MIs[0] round
     /* 1134337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1134350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134372 */     // GIR_Coverage, 22981,
     /* 1134372 */     GIR_EraseRootFromParent_Done,
     /* 1134373 */   // Label 16609: @1134373
     /* 1134373 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134453), // Rule ID 22984 //
     /* 1134378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1134381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134417 */     // MIs[0] round
     /* 1134417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1134430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134452 */     // GIR_Coverage, 22984,
     /* 1134452 */     GIR_EraseRootFromParent_Done,
     /* 1134453 */   // Label 16610: @1134453
     /* 1134453 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134533), // Rule ID 22985 //
     /* 1134458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1134461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134497 */     // MIs[0] round
     /* 1134497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1134510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134532 */     // GIR_Coverage, 22985,
     /* 1134532 */     GIR_EraseRootFromParent_Done,
     /* 1134533 */   // Label 16611: @1134533
     /* 1134533 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134613), // Rule ID 22988 //
     /* 1134538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1134541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134577 */     // MIs[0] round
     /* 1134577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1134590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134612 */     // GIR_Coverage, 22988,
     /* 1134612 */     GIR_EraseRootFromParent_Done,
     /* 1134613 */   // Label 16612: @1134613
     /* 1134613 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134693), // Rule ID 22989 //
     /* 1134618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1134621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134657 */     // MIs[0] round
     /* 1134657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134667 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10963:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1134670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134692 */     // GIR_Coverage, 22989,
     /* 1134692 */     GIR_EraseRootFromParent_Done,
     /* 1134693 */   // Label 16613: @1134693
     /* 1134693 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1134773), // Rule ID 22992 //
     /* 1134698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1134701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134737 */     // MIs[0] round
     /* 1134737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134747 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1134750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134772 */     // GIR_Coverage, 22992,
     /* 1134772 */     GIR_EraseRootFromParent_Done,
     /* 1134773 */   // Label 16614: @1134773
     /* 1134773 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1134853), // Rule ID 22993 //
     /* 1134778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1134781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134817 */     // MIs[0] round
     /* 1134817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1134830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134852 */     // GIR_Coverage, 22993,
     /* 1134852 */     GIR_EraseRootFromParent_Done,
     /* 1134853 */   // Label 16615: @1134853
     /* 1134853 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1134933), // Rule ID 22996 //
     /* 1134858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1134861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134897 */     // MIs[0] round
     /* 1134897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134907 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1134910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134932 */     // GIR_Coverage, 22996,
     /* 1134932 */     GIR_EraseRootFromParent_Done,
     /* 1134933 */   // Label 16616: @1134933
     /* 1134933 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135013), // Rule ID 22997 //
     /* 1134938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1134941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1134946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134977 */     // MIs[0] round
     /* 1134977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134987 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1134990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1134994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135012 */     // GIR_Coverage, 22997,
     /* 1135012 */     GIR_EraseRootFromParent_Done,
     /* 1135013 */   // Label 16617: @1135013
     /* 1135013 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135093), // Rule ID 23000 //
     /* 1135018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1135021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1135026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1135038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135057 */     // MIs[0] round
     /* 1135057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1135070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1135074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135092 */     // GIR_Coverage, 23000,
     /* 1135092 */     GIR_EraseRootFromParent_Done,
     /* 1135093 */   // Label 16618: @1135093
     /* 1135093 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135173), // Rule ID 23001 //
     /* 1135098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1135101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1135106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1135118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135137 */     // MIs[0] round
     /* 1135137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10963:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1135150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1135154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135172 */     // GIR_Coverage, 23001,
     /* 1135172 */     GIR_EraseRootFromParent_Done,
     /* 1135173 */   // Label 16619: @1135173
     /* 1135173 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135253), // Rule ID 63665 //
     /* 1135178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135217 */     // MIs[0] round
     /* 1135217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135227 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1135230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135252 */     // GIR_Coverage, 63665,
     /* 1135252 */     GIR_EraseRootFromParent_Done,
     /* 1135253 */   // Label 16620: @1135253
     /* 1135253 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135333), // Rule ID 63666 //
     /* 1135258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1135261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135297 */     // MIs[0] round
     /* 1135297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135307 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1135310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135332 */     // GIR_Coverage, 63666,
     /* 1135332 */     GIR_EraseRootFromParent_Done,
     /* 1135333 */   // Label 16621: @1135333
     /* 1135333 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135413), // Rule ID 63669 //
     /* 1135338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135377 */     // MIs[0] round
     /* 1135377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1135390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135412 */     // GIR_Coverage, 63669,
     /* 1135412 */     GIR_EraseRootFromParent_Done,
     /* 1135413 */   // Label 16622: @1135413
     /* 1135413 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135493), // Rule ID 63670 //
     /* 1135418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1135421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135457 */     // MIs[0] round
     /* 1135457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135467 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1135470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135492 */     // GIR_Coverage, 63670,
     /* 1135492 */     GIR_EraseRootFromParent_Done,
     /* 1135493 */   // Label 16623: @1135493
     /* 1135493 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135573), // Rule ID 63673 //
     /* 1135498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135537 */     // MIs[0] round
     /* 1135537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1135550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135572 */     // GIR_Coverage, 63673,
     /* 1135572 */     GIR_EraseRootFromParent_Done,
     /* 1135573 */   // Label 16624: @1135573
     /* 1135573 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135653), // Rule ID 63674 //
     /* 1135578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1135581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135617 */     // MIs[0] round
     /* 1135617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1135630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135652 */     // GIR_Coverage, 63674,
     /* 1135652 */     GIR_EraseRootFromParent_Done,
     /* 1135653 */   // Label 16625: @1135653
     /* 1135653 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1135733), // Rule ID 63677 //
     /* 1135658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135697 */     // MIs[0] round
     /* 1135697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1135710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135732 */     // GIR_Coverage, 63677,
     /* 1135732 */     GIR_EraseRootFromParent_Done,
     /* 1135733 */   // Label 16626: @1135733
     /* 1135733 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1135813), // Rule ID 63678 //
     /* 1135738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1135741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1135749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1135752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135777 */     // MIs[0] round
     /* 1135777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10750:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1135790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135812 */     // GIR_Coverage, 63678,
     /* 1135812 */     GIR_EraseRootFromParent_Done,
     /* 1135813 */   // Label 16627: @1135813
     /* 1135813 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1135893), // Rule ID 63681 //
     /* 1135818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135857 */     // MIs[0] round
     /* 1135857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10750:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1135870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135892 */     // GIR_Coverage, 63681,
     /* 1135892 */     GIR_EraseRootFromParent_Done,
     /* 1135893 */   // Label 16628: @1135893
     /* 1135893 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1135973), // Rule ID 63682 //
     /* 1135898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1135901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1135906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1135909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1135912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1135937 */     // MIs[0] round
     /* 1135937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10750:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1135950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135972 */     // GIR_Coverage, 63682,
     /* 1135972 */     GIR_EraseRootFromParent_Done,
     /* 1135973 */   // Label 16629: @1135973
     /* 1135973 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136053), // Rule ID 63685 //
     /* 1135978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1135981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1135986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1135995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136017 */     // MIs[0] round
     /* 1136017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136027 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1136030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136052 */     // GIR_Coverage, 63685,
     /* 1136052 */     GIR_EraseRootFromParent_Done,
     /* 1136053 */   // Label 16630: @1136053
     /* 1136053 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136133), // Rule ID 63686 //
     /* 1136058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1136061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1136069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1136072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136097 */     // MIs[0] round
     /* 1136097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136107 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1136110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136132 */     // GIR_Coverage, 63686,
     /* 1136132 */     GIR_EraseRootFromParent_Done,
     /* 1136133 */   // Label 16631: @1136133
     /* 1136133 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136213), // Rule ID 63689 //
     /* 1136138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1136141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136177 */     // MIs[0] round
     /* 1136177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1136190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136212 */     // GIR_Coverage, 63689,
     /* 1136212 */     GIR_EraseRootFromParent_Done,
     /* 1136213 */   // Label 16632: @1136213
     /* 1136213 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136293), // Rule ID 63690 //
     /* 1136218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1136221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136257 */     // MIs[0] round
     /* 1136257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1136270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136292 */     // GIR_Coverage, 63690,
     /* 1136292 */     GIR_EraseRootFromParent_Done,
     /* 1136293 */   // Label 16633: @1136293
     /* 1136293 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136373), // Rule ID 63693 //
     /* 1136298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1136301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136337 */     // MIs[0] round
     /* 1136337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1136350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136372 */     // GIR_Coverage, 63693,
     /* 1136372 */     GIR_EraseRootFromParent_Done,
     /* 1136373 */   // Label 16634: @1136373
     /* 1136373 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136453), // Rule ID 63694 //
     /* 1136378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1136381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136417 */     // MIs[0] round
     /* 1136417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1136430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136452 */     // GIR_Coverage, 63694,
     /* 1136452 */     GIR_EraseRootFromParent_Done,
     /* 1136453 */   // Label 16635: @1136453
     /* 1136453 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136533), // Rule ID 63697 //
     /* 1136458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1136461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136497 */     // MIs[0] round
     /* 1136497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1136510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136532 */     // GIR_Coverage, 63697,
     /* 1136532 */     GIR_EraseRootFromParent_Done,
     /* 1136533 */   // Label 16636: @1136533
     /* 1136533 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136613), // Rule ID 63698 //
     /* 1136538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1136541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136577 */     // MIs[0] round
     /* 1136577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10748:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1136590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136612 */     // GIR_Coverage, 63698,
     /* 1136612 */     GIR_EraseRootFromParent_Done,
     /* 1136613 */   // Label 16637: @1136613
     /* 1136613 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136693), // Rule ID 63701 //
     /* 1136618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1136621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1136635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136657 */     // MIs[0] round
     /* 1136657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10748:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1136670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136692 */     // GIR_Coverage, 63701,
     /* 1136692 */     GIR_EraseRootFromParent_Done,
     /* 1136693 */   // Label 16638: @1136693
     /* 1136693 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1136773), // Rule ID 63702 //
     /* 1136698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1136701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1136706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1136715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1136737 */     // MIs[0] round
     /* 1136737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10748:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1136750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136772 */     // GIR_Coverage, 63702,
     /* 1136772 */     GIR_EraseRootFromParent_Done,
     /* 1136773 */   // Label 16639: @1136773
     /* 1136773 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1136854), // Rule ID 2576 //
     /* 1136778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1136786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1136789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1136792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1136798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1136801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1136824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1136831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1136834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1136844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136853 */     // GIR_Coverage, 2576,
     /* 1136853 */     GIR_EraseRootFromParent_Done,
     /* 1136854 */   // Label 16640: @1136854
     /* 1136854 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1136935), // Rule ID 2577 //
     /* 1136859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1136867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1136870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1136873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1136879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1136882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1136905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1136912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1136915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1136925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136934 */     // GIR_Coverage, 2577,
     /* 1136934 */     GIR_EraseRootFromParent_Done,
     /* 1136935 */   // Label 16641: @1136935
     /* 1136935 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137016), // Rule ID 2588 //
     /* 1136940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1136948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1136951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1136954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1136960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1136963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1136986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1136993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1136996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1137002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1137004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137015 */     // GIR_Coverage, 2588,
     /* 1137015 */     GIR_EraseRootFromParent_Done,
     /* 1137016 */   // Label 16642: @1137016
     /* 1137016 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137097), // Rule ID 2589 //
     /* 1137021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1137029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1137032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1137035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1137074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1137077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1137083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1137085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137096 */     // GIR_Coverage, 2589,
     /* 1137096 */     GIR_EraseRootFromParent_Done,
     /* 1137097 */   // Label 16643: @1137097
     /* 1137097 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137178), // Rule ID 2590 //
     /* 1137102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1137155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1137158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137177 */     // GIR_Coverage, 2590,
     /* 1137177 */     GIR_EraseRootFromParent_Done,
     /* 1137178 */   // Label 16644: @1137178
     /* 1137178 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137259), // Rule ID 2591 //
     /* 1137183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1137194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1137197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1137203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1137236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1137239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137258 */     // GIR_Coverage, 2591,
     /* 1137258 */     GIR_EraseRootFromParent_Done,
     /* 1137259 */   // Label 16645: @1137259
     /* 1137259 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137343), // Rule ID 2640 //
     /* 1137264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1137272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1137284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1137320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1137324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137342 */     // GIR_Coverage, 2640,
     /* 1137342 */     GIR_EraseRootFromParent_Done,
     /* 1137343 */   // Label 16646: @1137343
     /* 1137343 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137427), // Rule ID 2641 //
     /* 1137348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1137356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1137365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1137368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137401 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1137404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1137408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137426 */     // GIR_Coverage, 2641,
     /* 1137426 */     GIR_EraseRootFromParent_Done,
     /* 1137427 */   // Label 16647: @1137427
     /* 1137427 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137508), // Rule ID 4968 //
     /* 1137432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1137455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1137485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1137488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137507 */     // GIR_Coverage, 4968,
     /* 1137507 */     GIR_EraseRootFromParent_Done,
     /* 1137508 */   // Label 16648: @1137508
     /* 1137508 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137589), // Rule ID 4969 //
     /* 1137513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1137524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1137527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1137530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1137533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1137536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1137566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1137569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137588 */     // GIR_Coverage, 4969,
     /* 1137588 */     GIR_EraseRootFromParent_Done,
     /* 1137589 */   // Label 16649: @1137589
     /* 1137589 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137670), // Rule ID 4970 //
     /* 1137594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1137605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1137608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1137611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1137614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1137617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1137647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1137650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137669 */     // GIR_Coverage, 4970,
     /* 1137669 */     GIR_EraseRootFromParent_Done,
     /* 1137670 */   // Label 16650: @1137670
     /* 1137670 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1137751), // Rule ID 4971 //
     /* 1137675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1137686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1137689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1137692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1137695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1137698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1137728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1137731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137750 */     // GIR_Coverage, 4971,
     /* 1137750 */     GIR_EraseRootFromParent_Done,
     /* 1137751 */   // Label 16651: @1137751
     /* 1137751 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1137832), // Rule ID 4972 //
     /* 1137756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1137767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1137770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1137773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1137776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1137809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1137812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137831 */     // GIR_Coverage, 4972,
     /* 1137831 */     GIR_EraseRootFromParent_Done,
     /* 1137832 */   // Label 16652: @1137832
     /* 1137832 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1137913), // Rule ID 4973 //
     /* 1137837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1137848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1137851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1137854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1137857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1137860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1137890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1137893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137912 */     // GIR_Coverage, 4973,
     /* 1137912 */     GIR_EraseRootFromParent_Done,
     /* 1137913 */   // Label 16653: @1137913
     /* 1137913 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1137994), // Rule ID 4974 //
     /* 1137918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1137926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1137938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1137941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1137948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1137964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1137971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1137974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1137984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137993 */     // GIR_Coverage, 4974,
     /* 1137993 */     GIR_EraseRootFromParent_Done,
     /* 1137994 */   // Label 16654: @1137994
     /* 1137994 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138075), // Rule ID 4975 //
     /* 1137999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1138010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1138013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1138016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1138019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1138022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1138052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1138055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138074 */     // GIR_Coverage, 4975,
     /* 1138074 */     GIR_EraseRootFromParent_Done,
     /* 1138075 */   // Label 16655: @1138075
     /* 1138075 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138156), // Rule ID 4976 //
     /* 1138080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1138103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1138133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1138136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138155 */     // GIR_Coverage, 4976,
     /* 1138155 */     GIR_EraseRootFromParent_Done,
     /* 1138156 */   // Label 16656: @1138156
     /* 1138156 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138237), // Rule ID 4977 //
     /* 1138161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1138184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1138214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1138217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138236 */     // GIR_Coverage, 4977,
     /* 1138236 */     GIR_EraseRootFromParent_Done,
     /* 1138237 */   // Label 16657: @1138237
     /* 1138237 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138318), // Rule ID 4978 //
     /* 1138242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1138265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138295 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1138295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138317 */     // GIR_Coverage, 4978,
     /* 1138317 */     GIR_EraseRootFromParent_Done,
     /* 1138318 */   // Label 16658: @1138318
     /* 1138318 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138399), // Rule ID 4979 //
     /* 1138323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1138334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1138337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1138340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1138343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1138346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1138376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138398 */     // GIR_Coverage, 4979,
     /* 1138398 */     GIR_EraseRootFromParent_Done,
     /* 1138399 */   // Label 16659: @1138399
     /* 1138399 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138480), // Rule ID 4980 //
     /* 1138404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1138427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1138457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138479 */     // GIR_Coverage, 4980,
     /* 1138479 */     GIR_EraseRootFromParent_Done,
     /* 1138480 */   // Label 16660: @1138480
     /* 1138480 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138561), // Rule ID 4981 //
     /* 1138485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1138508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1138538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138560 */     // GIR_Coverage, 4981,
     /* 1138560 */     GIR_EraseRootFromParent_Done,
     /* 1138561 */   // Label 16661: @1138561
     /* 1138561 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138642), // Rule ID 4982 //
     /* 1138566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1138589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1138619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138641 */     // GIR_Coverage, 4982,
     /* 1138641 */     GIR_EraseRootFromParent_Done,
     /* 1138642 */   // Label 16662: @1138642
     /* 1138642 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138723), // Rule ID 4983 //
     /* 1138647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1138670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1138700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138722 */     // GIR_Coverage, 4983,
     /* 1138722 */     GIR_EraseRootFromParent_Done,
     /* 1138723 */   // Label 16663: @1138723
     /* 1138723 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1138804), // Rule ID 4984 //
     /* 1138728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1138739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1138742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1138745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1138748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1138751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1138781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138803 */     // GIR_Coverage, 4984,
     /* 1138803 */     GIR_EraseRootFromParent_Done,
     /* 1138804 */   // Label 16664: @1138804
     /* 1138804 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1138885), // Rule ID 4985 //
     /* 1138809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1138820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1138823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1138826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1138829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1138832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1138839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1138862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1138865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138884 */     // GIR_Coverage, 4985,
     /* 1138884 */     GIR_EraseRootFromParent_Done,
     /* 1138885 */   // Label 16665: @1138885
     /* 1138885 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1138966), // Rule ID 4986 //
     /* 1138890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1138910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1138913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1138920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1138936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138943 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1138943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1138946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1138956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138965 */     // GIR_Coverage, 4986,
     /* 1138965 */     GIR_EraseRootFromParent_Done,
     /* 1138966 */   // Label 16666: @1138966
     /* 1138966 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139047), // Rule ID 4987 //
     /* 1138971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1138979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1138991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1138994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1139001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1139024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1139027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139046 */     // GIR_Coverage, 4987,
     /* 1139046 */     GIR_EraseRootFromParent_Done,
     /* 1139047 */   // Label 16667: @1139047
     /* 1139047 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139128), // Rule ID 4988 //
     /* 1139052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1139075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1139082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1139105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1139108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139127 */     // GIR_Coverage, 4988,
     /* 1139127 */     GIR_EraseRootFromParent_Done,
     /* 1139128 */   // Label 16668: @1139128
     /* 1139128 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139209), // Rule ID 4989 //
     /* 1139133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1139144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1139147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1139150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1139153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1139156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1139163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1139186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1139189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139208 */     // GIR_Coverage, 4989,
     /* 1139208 */     GIR_EraseRootFromParent_Done,
     /* 1139209 */   // Label 16669: @1139209
     /* 1139209 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139290), // Rule ID 4990 //
     /* 1139214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1139237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1139244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1139267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1139270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139289 */     // GIR_Coverage, 4990,
     /* 1139289 */     GIR_EraseRootFromParent_Done,
     /* 1139290 */   // Label 16670: @1139290
     /* 1139290 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139371), // Rule ID 4991 //
     /* 1139295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1139306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1139309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1139312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1139315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1139318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1139325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139348 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1139348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1139351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139370 */     // GIR_Coverage, 4991,
     /* 1139370 */     GIR_EraseRootFromParent_Done,
     /* 1139371 */   // Label 16671: @1139371
     /* 1139371 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139452), // Rule ID 4992 //
     /* 1139376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1139399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1139406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1139429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1139432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139451 */     // GIR_Coverage, 4992,
     /* 1139451 */     GIR_EraseRootFromParent_Done,
     /* 1139452 */   // Label 16672: @1139452
     /* 1139452 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139533), // Rule ID 4993 //
     /* 1139457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1139468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1139471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1139474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1139477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1139480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1139487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1139510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1139513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139532 */     // GIR_Coverage, 4993,
     /* 1139532 */     GIR_EraseRootFromParent_Done,
     /* 1139533 */   // Label 16673: @1139533
     /* 1139533 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139614), // Rule ID 4994 //
     /* 1139538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1139561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1139568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1139591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1139594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139613 */     // GIR_Coverage, 4994,
     /* 1139613 */     GIR_EraseRootFromParent_Done,
     /* 1139614 */   // Label 16674: @1139614
     /* 1139614 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139695), // Rule ID 4995 //
     /* 1139619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1139630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1139633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1139636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1139639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1139642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1139649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1139672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1139675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139694 */     // GIR_Coverage, 4995,
     /* 1139694 */     GIR_EraseRootFromParent_Done,
     /* 1139695 */   // Label 16675: @1139695
     /* 1139695 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1139776), // Rule ID 4996 //
     /* 1139700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1139711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1139714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1139717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1139720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1139723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1139730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139753 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1139753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1139756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139775 */     // GIR_Coverage, 4996,
     /* 1139775 */     GIR_EraseRootFromParent_Done,
     /* 1139776 */   // Label 16676: @1139776
     /* 1139776 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1139857), // Rule ID 4997 //
     /* 1139781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1139792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1139795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1139798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1139801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1139804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1139811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1139834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1139837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139856 */     // GIR_Coverage, 4997,
     /* 1139856 */     GIR_EraseRootFromParent_Done,
     /* 1139857 */   // Label 16677: @1139857
     /* 1139857 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1139938), // Rule ID 4998 //
     /* 1139862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1139882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1139885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1139892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1139915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1139918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1139928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139937 */     // GIR_Coverage, 4998,
     /* 1139937 */     GIR_EraseRootFromParent_Done,
     /* 1139938 */   // Label 16678: @1139938
     /* 1139938 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140019), // Rule ID 4999 //
     /* 1139943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1139951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1139963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1139966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1139973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1139989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1139996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1139999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140018 */     // GIR_Coverage, 4999,
     /* 1140018 */     GIR_EraseRootFromParent_Done,
     /* 1140019 */   // Label 16679: @1140019
     /* 1140019 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140100), // Rule ID 5000 //
     /* 1140024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1140047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1140054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140077 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1140077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1140080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140099 */     // GIR_Coverage, 5000,
     /* 1140099 */     GIR_EraseRootFromParent_Done,
     /* 1140100 */   // Label 16680: @1140100
     /* 1140100 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140181), // Rule ID 5001 //
     /* 1140105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1140116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1140119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1140122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1140125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1140128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1140135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1140158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1140161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140180 */     // GIR_Coverage, 5001,
     /* 1140180 */     GIR_EraseRootFromParent_Done,
     /* 1140181 */   // Label 16681: @1140181
     /* 1140181 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140262), // Rule ID 5002 //
     /* 1140186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1140209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1140216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1140239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1140242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140261 */     // GIR_Coverage, 5002,
     /* 1140261 */     GIR_EraseRootFromParent_Done,
     /* 1140262 */   // Label 16682: @1140262
     /* 1140262 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140343), // Rule ID 5003 //
     /* 1140267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1140278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1140281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1140284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1140287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1140290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1140297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1140320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1140323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140342 */     // GIR_Coverage, 5003,
     /* 1140342 */     GIR_EraseRootFromParent_Done,
     /* 1140343 */   // Label 16683: @1140343
     /* 1140343 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140424), // Rule ID 5004 //
     /* 1140348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1140371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1140378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1140401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1140404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140423 */     // GIR_Coverage, 5004,
     /* 1140423 */     GIR_EraseRootFromParent_Done,
     /* 1140424 */   // Label 16684: @1140424
     /* 1140424 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140505), // Rule ID 5005 //
     /* 1140429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1140440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1140443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1140446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1140449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1140452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1140459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1140482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1140485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140504 */     // GIR_Coverage, 5005,
     /* 1140504 */     GIR_EraseRootFromParent_Done,
     /* 1140505 */   // Label 16685: @1140505
     /* 1140505 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140586), // Rule ID 5006 //
     /* 1140510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1140533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1140540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1140563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1140566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140585 */     // GIR_Coverage, 5006,
     /* 1140585 */     GIR_EraseRootFromParent_Done,
     /* 1140586 */   // Label 16686: @1140586
     /* 1140586 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140667), // Rule ID 5007 //
     /* 1140591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1140602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1140605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1140608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1140611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1140614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1140621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140644 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1140644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1140647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140666 */     // GIR_Coverage, 5007,
     /* 1140666 */     GIR_EraseRootFromParent_Done,
     /* 1140667 */   // Label 16687: @1140667
     /* 1140667 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140748), // Rule ID 5008 //
     /* 1140672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1140683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1140686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1140689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1140692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1140695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1140702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1140725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1140728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140747 */     // GIR_Coverage, 5008,
     /* 1140747 */     GIR_EraseRootFromParent_Done,
     /* 1140748 */   // Label 16688: @1140748
     /* 1140748 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1140829), // Rule ID 5009 //
     /* 1140753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1140764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1140767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1140770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1140773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1140776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1140783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1140806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1140809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140828 */     // GIR_Coverage, 5009,
     /* 1140828 */     GIR_EraseRootFromParent_Done,
     /* 1140829 */   // Label 16689: @1140829
     /* 1140829 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1140910), // Rule ID 5010 //
     /* 1140834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1140845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1140848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1140851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1140857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1140864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1140887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1140890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140909 */     // GIR_Coverage, 5010,
     /* 1140909 */     GIR_EraseRootFromParent_Done,
     /* 1140910 */   // Label 16690: @1140910
     /* 1140910 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1140991), // Rule ID 5011 //
     /* 1140915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1140923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1140926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1140929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1140932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1140938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1140945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1140961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1140968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1140971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1140981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140990 */     // GIR_Coverage, 5011,
     /* 1140990 */     GIR_EraseRootFromParent_Done,
     /* 1140991 */   // Label 16691: @1140991
     /* 1140991 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141072), // Rule ID 5012 //
     /* 1140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1141019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1141049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1141052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141071 */     // GIR_Coverage, 5012,
     /* 1141071 */     GIR_EraseRootFromParent_Done,
     /* 1141072 */   // Label 16692: @1141072
     /* 1141072 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141153), // Rule ID 5013 //
     /* 1141077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1141088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1141091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1141094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1141100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1141130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1141133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141152 */     // GIR_Coverage, 5013,
     /* 1141152 */     GIR_EraseRootFromParent_Done,
     /* 1141153 */   // Label 16693: @1141153
     /* 1141153 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141234), // Rule ID 5014 //
     /* 1141158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1141181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1141211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141233 */     // GIR_Coverage, 5014,
     /* 1141233 */     GIR_EraseRootFromParent_Done,
     /* 1141234 */   // Label 16694: @1141234
     /* 1141234 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141315), // Rule ID 5015 //
     /* 1141239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1141250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1141253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1141256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1141262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1141292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141314 */     // GIR_Coverage, 5015,
     /* 1141314 */     GIR_EraseRootFromParent_Done,
     /* 1141315 */   // Label 16695: @1141315
     /* 1141315 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141396), // Rule ID 5016 //
     /* 1141320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1141343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1141373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1141376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141395 */     // GIR_Coverage, 5016,
     /* 1141395 */     GIR_EraseRootFromParent_Done,
     /* 1141396 */   // Label 16696: @1141396
     /* 1141396 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141477), // Rule ID 5017 //
     /* 1141401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1141412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1141415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1141418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1141424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1141454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1141457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141476 */     // GIR_Coverage, 5017,
     /* 1141476 */     GIR_EraseRootFromParent_Done,
     /* 1141477 */   // Label 16697: @1141477
     /* 1141477 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141558), // Rule ID 5018 //
     /* 1141482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1141505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141535 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1141535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141557 */     // GIR_Coverage, 5018,
     /* 1141557 */     GIR_EraseRootFromParent_Done,
     /* 1141558 */   // Label 16698: @1141558
     /* 1141558 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141639), // Rule ID 5019 //
     /* 1141563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1141574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1141577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1141580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1141586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1141616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141638 */     // GIR_Coverage, 5019,
     /* 1141638 */     GIR_EraseRootFromParent_Done,
     /* 1141639 */   // Label 16699: @1141639
     /* 1141639 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141720), // Rule ID 5020 //
     /* 1141644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1141655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1141658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1141661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1141667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1141697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141719 */     // GIR_Coverage, 5020,
     /* 1141719 */     GIR_EraseRootFromParent_Done,
     /* 1141720 */   // Label 16700: @1141720
     /* 1141720 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1141801), // Rule ID 5021 //
     /* 1141725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1141736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1141739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1141742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1141748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1141778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1141781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141800 */     // GIR_Coverage, 5021,
     /* 1141800 */     GIR_EraseRootFromParent_Done,
     /* 1141801 */   // Label 16701: @1141801
     /* 1141801 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1141882), // Rule ID 5022 //
     /* 1141806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1141817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1141820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1141823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1141829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1141859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1141862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141881 */     // GIR_Coverage, 5022,
     /* 1141881 */     GIR_EraseRootFromParent_Done,
     /* 1141882 */   // Label 16702: @1141882
     /* 1141882 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1141963), // Rule ID 5023 //
     /* 1141887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1141898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1141901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1141904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1141910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1141933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1141940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1141943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1141953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141962 */     // GIR_Coverage, 5023,
     /* 1141962 */     GIR_EraseRootFromParent_Done,
     /* 1141963 */   // Label 16703: @1141963
     /* 1141963 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142044), // Rule ID 5024 //
     /* 1141968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1141976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1141979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1141982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1141985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1141991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1141998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1142021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142043 */     // GIR_Coverage, 5024,
     /* 1142043 */     GIR_EraseRootFromParent_Done,
     /* 1142044 */   // Label 16704: @1142044
     /* 1142044 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142125), // Rule ID 5025 //
     /* 1142049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1142072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1142079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1142102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142124 */     // GIR_Coverage, 5025,
     /* 1142124 */     GIR_EraseRootFromParent_Done,
     /* 1142125 */   // Label 16705: @1142125
     /* 1142125 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142206), // Rule ID 5026 //
     /* 1142130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1142153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1142160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1142183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142205 */     // GIR_Coverage, 5026,
     /* 1142205 */     GIR_EraseRootFromParent_Done,
     /* 1142206 */   // Label 16706: @1142206
     /* 1142206 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142287), // Rule ID 5027 //
     /* 1142211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1142222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1142225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1142228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1142234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1142241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1142264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142286 */     // GIR_Coverage, 5027,
     /* 1142286 */     GIR_EraseRootFromParent_Done,
     /* 1142287 */   // Label 16707: @1142287
     /* 1142287 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142368), // Rule ID 5028 //
     /* 1142292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1142315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1142322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1142345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142367 */     // GIR_Coverage, 5028,
     /* 1142367 */     GIR_EraseRootFromParent_Done,
     /* 1142368 */   // Label 16708: @1142368
     /* 1142368 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142449), // Rule ID 5029 //
     /* 1142373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1142384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1142387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1142390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1142396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1142403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1142426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1142429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142448 */     // GIR_Coverage, 5029,
     /* 1142448 */     GIR_EraseRootFromParent_Done,
     /* 1142449 */   // Label 16709: @1142449
     /* 1142449 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142530), // Rule ID 5030 //
     /* 1142454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1142477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1142484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1142507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1142510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142529 */     // GIR_Coverage, 5030,
     /* 1142529 */     GIR_EraseRootFromParent_Done,
     /* 1142530 */   // Label 16710: @1142530
     /* 1142530 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142611), // Rule ID 5031 //
     /* 1142535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1142546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1142549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1142552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1142558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1142565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1142588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1142591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142610 */     // GIR_Coverage, 5031,
     /* 1142610 */     GIR_EraseRootFromParent_Done,
     /* 1142611 */   // Label 16711: @1142611
     /* 1142611 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142692), // Rule ID 5032 //
     /* 1142616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1142627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1142630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1142633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1142639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1142646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142669 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1142669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1142672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142691 */     // GIR_Coverage, 5032,
     /* 1142691 */     GIR_EraseRootFromParent_Done,
     /* 1142692 */   // Label 16712: @1142692
     /* 1142692 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142773), // Rule ID 5033 //
     /* 1142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1142708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1142711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1142714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1142720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1142727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1142750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1142753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142772 */     // GIR_Coverage, 5033,
     /* 1142772 */     GIR_EraseRootFromParent_Done,
     /* 1142773 */   // Label 16713: @1142773
     /* 1142773 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1142854), // Rule ID 5034 //
     /* 1142778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1142789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1142792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1142795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1142801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1142808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142831 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1142831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1142834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142853 */     // GIR_Coverage, 5034,
     /* 1142853 */     GIR_EraseRootFromParent_Done,
     /* 1142854 */   // Label 16714: @1142854
     /* 1142854 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1142935), // Rule ID 5035 //
     /* 1142859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1142870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1142873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1142876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1142882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1142889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1142912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1142915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1142925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142934 */     // GIR_Coverage, 5035,
     /* 1142934 */     GIR_EraseRootFromParent_Done,
     /* 1142935 */   // Label 16715: @1142935
     /* 1142935 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143016), // Rule ID 5036 //
     /* 1142940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1142948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1142951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1142954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1142957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1142963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1142970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1142986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142993 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1142993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1142996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143015 */     // GIR_Coverage, 5036,
     /* 1143015 */     GIR_EraseRootFromParent_Done,
     /* 1143016 */   // Label 16716: @1143016
     /* 1143016 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143097), // Rule ID 5037 //
     /* 1143021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1143044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1143051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1143074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1143077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143096 */     // GIR_Coverage, 5037,
     /* 1143096 */     GIR_EraseRootFromParent_Done,
     /* 1143097 */   // Label 16717: @1143097
     /* 1143097 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143178), // Rule ID 5038 //
     /* 1143102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1143125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1143132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1143155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1143158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143177 */     // GIR_Coverage, 5038,
     /* 1143177 */     GIR_EraseRootFromParent_Done,
     /* 1143178 */   // Label 16718: @1143178
     /* 1143178 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143259), // Rule ID 5039 //
     /* 1143183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1143206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1143213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1143236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1143239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143258 */     // GIR_Coverage, 5039,
     /* 1143258 */     GIR_EraseRootFromParent_Done,
     /* 1143259 */   // Label 16719: @1143259
     /* 1143259 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143340), // Rule ID 5040 //
     /* 1143264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1143287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1143294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1143317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1143320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143339 */     // GIR_Coverage, 5040,
     /* 1143339 */     GIR_EraseRootFromParent_Done,
     /* 1143340 */   // Label 16720: @1143340
     /* 1143340 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143421), // Rule ID 5041 //
     /* 1143345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1143368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1143375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1143398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1143401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143420 */     // GIR_Coverage, 5041,
     /* 1143420 */     GIR_EraseRootFromParent_Done,
     /* 1143421 */   // Label 16721: @1143421
     /* 1143421 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143502), // Rule ID 5042 //
     /* 1143426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1143449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1143456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1143479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1143482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143501 */     // GIR_Coverage, 5042,
     /* 1143501 */     GIR_EraseRootFromParent_Done,
     /* 1143502 */   // Label 16722: @1143502
     /* 1143502 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143583), // Rule ID 5043 //
     /* 1143507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1143530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1143537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1143560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1143563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143582 */     // GIR_Coverage, 5043,
     /* 1143582 */     GIR_EraseRootFromParent_Done,
     /* 1143583 */   // Label 16723: @1143583
     /* 1143583 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143664), // Rule ID 5044 //
     /* 1143588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1143611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1143618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1143641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1143644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143663 */     // GIR_Coverage, 5044,
     /* 1143663 */     GIR_EraseRootFromParent_Done,
     /* 1143664 */   // Label 16724: @1143664
     /* 1143664 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143745), // Rule ID 5045 //
     /* 1143669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1143680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1143683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1143686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1143692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1143699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1143722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1143725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143744 */     // GIR_Coverage, 5045,
     /* 1143744 */     GIR_EraseRootFromParent_Done,
     /* 1143745 */   // Label 16725: @1143745
     /* 1143745 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1143826), // Rule ID 5046 //
     /* 1143750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1143761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1143764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1143767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1143773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1143780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1143803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1143806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143825 */     // GIR_Coverage, 5046,
     /* 1143825 */     GIR_EraseRootFromParent_Done,
     /* 1143826 */   // Label 16726: @1143826
     /* 1143826 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1143907), // Rule ID 5047 //
     /* 1143831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1143842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1143845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1143848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1143854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1143861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1143884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1143887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143906 */     // GIR_Coverage, 5047,
     /* 1143906 */     GIR_EraseRootFromParent_Done,
     /* 1143907 */   // Label 16727: @1143907
     /* 1143907 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1143988), // Rule ID 5048 //
     /* 1143912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1143920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1143923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1143926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1143929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1143935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1143942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1143958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1143965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1143968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1143978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143987 */     // GIR_Coverage, 5048,
     /* 1143987 */     GIR_EraseRootFromParent_Done,
     /* 1143988 */   // Label 16728: @1143988
     /* 1143988 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144069), // Rule ID 5049 //
     /* 1143993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1144001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1144016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1144023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1144046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1144049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144068 */     // GIR_Coverage, 5049,
     /* 1144068 */     GIR_EraseRootFromParent_Done,
     /* 1144069 */   // Label 16729: @1144069
     /* 1144069 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144150), // Rule ID 5050 //
     /* 1144074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1144082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1144097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1144104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1144127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1144130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144149 */     // GIR_Coverage, 5050,
     /* 1144149 */     GIR_EraseRootFromParent_Done,
     /* 1144150 */   // Label 16730: @1144150
     /* 1144150 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144231), // Rule ID 5051 //
     /* 1144155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1144163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1144178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1144185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1144208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1144211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144230 */     // GIR_Coverage, 5051,
     /* 1144230 */     GIR_EraseRootFromParent_Done,
     /* 1144231 */   // Label 16731: @1144231
     /* 1144231 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144312), // Rule ID 5052 //
     /* 1144236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1144244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1144259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1144266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1144289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1144292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144311 */     // GIR_Coverage, 5052,
     /* 1144311 */     GIR_EraseRootFromParent_Done,
     /* 1144312 */   // Label 16732: @1144312
     /* 1144312 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144393), // Rule ID 5053 //
     /* 1144317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1144325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1144340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1144347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1144370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1144373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144392 */     // GIR_Coverage, 5053,
     /* 1144392 */     GIR_EraseRootFromParent_Done,
     /* 1144393 */   // Label 16733: @1144393
     /* 1144393 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144474), // Rule ID 5358 //
     /* 1144398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1144421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1144451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1144454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144473 */     // GIR_Coverage, 5358,
     /* 1144473 */     GIR_EraseRootFromParent_Done,
     /* 1144474 */   // Label 16734: @1144474
     /* 1144474 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144555), // Rule ID 5359 //
     /* 1144479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1144490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1144493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1144496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1144499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1144502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1144532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1144535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144554 */     // GIR_Coverage, 5359,
     /* 1144554 */     GIR_EraseRootFromParent_Done,
     /* 1144555 */   // Label 16735: @1144555
     /* 1144555 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144636), // Rule ID 5360 //
     /* 1144560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1144583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144613 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1144613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1144616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144635 */     // GIR_Coverage, 5360,
     /* 1144635 */     GIR_EraseRootFromParent_Done,
     /* 1144636 */   // Label 16736: @1144636
     /* 1144636 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144717), // Rule ID 5361 //
     /* 1144641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1144652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1144655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1144658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1144661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1144664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1144694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1144697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144716 */     // GIR_Coverage, 5361,
     /* 1144716 */     GIR_EraseRootFromParent_Done,
     /* 1144717 */   // Label 16737: @1144717
     /* 1144717 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144798), // Rule ID 5362 //
     /* 1144722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1144733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1144736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1144739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1144742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1144745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144775 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1144775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1144778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144797 */     // GIR_Coverage, 5362,
     /* 1144797 */     GIR_EraseRootFromParent_Done,
     /* 1144798 */   // Label 16738: @1144798
     /* 1144798 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1144879), // Rule ID 5363 //
     /* 1144803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1144814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1144817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1144820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1144823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1144826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1144856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1144859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144878 */     // GIR_Coverage, 5363,
     /* 1144878 */     GIR_EraseRootFromParent_Done,
     /* 1144879 */   // Label 16739: @1144879
     /* 1144879 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1144960), // Rule ID 5364 //
     /* 1144884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1144904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1144907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1144930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144937 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1144937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1144940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1144950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144959 */     // GIR_Coverage, 5364,
     /* 1144959 */     GIR_EraseRootFromParent_Done,
     /* 1144960 */   // Label 16740: @1144960
     /* 1144960 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145041), // Rule ID 5365 //
     /* 1144965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1144973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1144985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1144988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1144995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1145018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1145021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145040 */     // GIR_Coverage, 5365,
     /* 1145040 */     GIR_EraseRootFromParent_Done,
     /* 1145041 */   // Label 16741: @1145041
     /* 1145041 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145122), // Rule ID 5366 //
     /* 1145046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1145069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1145099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1145102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145121 */     // GIR_Coverage, 5366,
     /* 1145121 */     GIR_EraseRootFromParent_Done,
     /* 1145122 */   // Label 16742: @1145122
     /* 1145122 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145203), // Rule ID 5367 //
     /* 1145127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1145147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1145150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1145180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1145183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145202 */     // GIR_Coverage, 5367,
     /* 1145202 */     GIR_EraseRootFromParent_Done,
     /* 1145203 */   // Label 16743: @1145203
     /* 1145203 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145284), // Rule ID 5368 //
     /* 1145208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1145231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1145261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1145264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145283 */     // GIR_Coverage, 5368,
     /* 1145283 */     GIR_EraseRootFromParent_Done,
     /* 1145284 */   // Label 16744: @1145284
     /* 1145284 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145365), // Rule ID 5369 //
     /* 1145289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1145309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1145312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1145342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1145345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145364 */     // GIR_Coverage, 5369,
     /* 1145364 */     GIR_EraseRootFromParent_Done,
     /* 1145365 */   // Label 16745: @1145365
     /* 1145365 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145446), // Rule ID 5370 //
     /* 1145370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1145393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1145423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145445 */     // GIR_Coverage, 5370,
     /* 1145445 */     GIR_EraseRootFromParent_Done,
     /* 1145446 */   // Label 16746: @1145446
     /* 1145446 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145527), // Rule ID 5371 //
     /* 1145451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1145462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1145465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1145468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1145471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1145474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1145504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145526 */     // GIR_Coverage, 5371,
     /* 1145526 */     GIR_EraseRootFromParent_Done,
     /* 1145527 */   // Label 16747: @1145527
     /* 1145527 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145608), // Rule ID 5372 //
     /* 1145532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1145555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145585 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1145585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145607 */     // GIR_Coverage, 5372,
     /* 1145607 */     GIR_EraseRootFromParent_Done,
     /* 1145608 */   // Label 16748: @1145608
     /* 1145608 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145689), // Rule ID 5373 //
     /* 1145613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1145633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1145636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1145666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145688 */     // GIR_Coverage, 5373,
     /* 1145688 */     GIR_EraseRootFromParent_Done,
     /* 1145689 */   // Label 16749: @1145689
     /* 1145689 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145770), // Rule ID 5374 //
     /* 1145694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1145714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1145717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1145747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145769 */     // GIR_Coverage, 5374,
     /* 1145769 */     GIR_EraseRootFromParent_Done,
     /* 1145770 */   // Label 16750: @1145770
     /* 1145770 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1145851), // Rule ID 5375 //
     /* 1145775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1145795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1145798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1145828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145850 */     // GIR_Coverage, 5375,
     /* 1145850 */     GIR_EraseRootFromParent_Done,
     /* 1145851 */   // Label 16751: @1145851
     /* 1145851 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1145932), // Rule ID 5376 //
     /* 1145856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1145867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1145870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1145873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1145876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1145879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1145909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1145922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145931 */     // GIR_Coverage, 5376,
     /* 1145931 */     GIR_EraseRootFromParent_Done,
     /* 1145932 */   // Label 16752: @1145932
     /* 1145932 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146013), // Rule ID 5377 //
     /* 1145937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1145945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1145948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1145951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1145954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1145957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1145960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1145967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1145983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1145990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1145993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146012 */     // GIR_Coverage, 5377,
     /* 1146012 */     GIR_EraseRootFromParent_Done,
     /* 1146013 */   // Label 16753: @1146013
     /* 1146013 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146094), // Rule ID 5378 //
     /* 1146018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1146041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1146048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1146071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1146074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146093 */     // GIR_Coverage, 5378,
     /* 1146093 */     GIR_EraseRootFromParent_Done,
     /* 1146094 */   // Label 16754: @1146094
     /* 1146094 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146175), // Rule ID 5379 //
     /* 1146099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1146110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1146113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1146116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1146119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1146122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1146129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1146152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1146155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146174 */     // GIR_Coverage, 5379,
     /* 1146174 */     GIR_EraseRootFromParent_Done,
     /* 1146175 */   // Label 16755: @1146175
     /* 1146175 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146256), // Rule ID 5380 //
     /* 1146180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1146203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1146210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1146233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1146236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146255 */     // GIR_Coverage, 5380,
     /* 1146255 */     GIR_EraseRootFromParent_Done,
     /* 1146256 */   // Label 16756: @1146256
     /* 1146256 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146337), // Rule ID 5381 //
     /* 1146261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1146272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1146275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1146278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1146281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1146284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1146291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1146314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1146317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146336 */     // GIR_Coverage, 5381,
     /* 1146336 */     GIR_EraseRootFromParent_Done,
     /* 1146337 */   // Label 16757: @1146337
     /* 1146337 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146418), // Rule ID 5382 //
     /* 1146342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1146365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1146372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1146395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1146398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146417 */     // GIR_Coverage, 5382,
     /* 1146417 */     GIR_EraseRootFromParent_Done,
     /* 1146418 */   // Label 16758: @1146418
     /* 1146418 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146499), // Rule ID 5383 //
     /* 1146423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1146434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1146437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1146440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1146443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1146446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1146453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1146476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1146479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146498 */     // GIR_Coverage, 5383,
     /* 1146498 */     GIR_EraseRootFromParent_Done,
     /* 1146499 */   // Label 16759: @1146499
     /* 1146499 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146580), // Rule ID 5384 //
     /* 1146504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1146527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1146534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1146557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1146560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146579 */     // GIR_Coverage, 5384,
     /* 1146579 */     GIR_EraseRootFromParent_Done,
     /* 1146580 */   // Label 16760: @1146580
     /* 1146580 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146661), // Rule ID 5385 //
     /* 1146585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1146596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1146599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1146602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1146605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1146608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1146615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1146638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1146641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146660 */     // GIR_Coverage, 5385,
     /* 1146660 */     GIR_EraseRootFromParent_Done,
     /* 1146661 */   // Label 16761: @1146661
     /* 1146661 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146742), // Rule ID 5386 //
     /* 1146666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1146686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1146689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1146696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1146719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1146722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146741 */     // GIR_Coverage, 5386,
     /* 1146741 */     GIR_EraseRootFromParent_Done,
     /* 1146742 */   // Label 16762: @1146742
     /* 1146742 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146823), // Rule ID 5387 //
     /* 1146747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1146767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1146770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1146777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1146800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1146803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146822 */     // GIR_Coverage, 5387,
     /* 1146822 */     GIR_EraseRootFromParent_Done,
     /* 1146823 */   // Label 16763: @1146823
     /* 1146823 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1146904), // Rule ID 5388 //
     /* 1146828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1146839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1146842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1146845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1146848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1146851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1146858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1146881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1146884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146903 */     // GIR_Coverage, 5388,
     /* 1146903 */     GIR_EraseRootFromParent_Done,
     /* 1146904 */   // Label 16764: @1146904
     /* 1146904 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1146985), // Rule ID 5389 //
     /* 1146909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1146920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1146923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1146926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1146929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1146932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1146939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1146955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146962 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1146962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1146965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1146975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146984 */     // GIR_Coverage, 5389,
     /* 1146984 */     GIR_EraseRootFromParent_Done,
     /* 1146985 */   // Label 16765: @1146985
     /* 1146985 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147066), // Rule ID 5390 //
     /* 1146990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1146998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1147013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1147020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1147043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1147046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147065 */     // GIR_Coverage, 5390,
     /* 1147065 */     GIR_EraseRootFromParent_Done,
     /* 1147066 */   // Label 16766: @1147066
     /* 1147066 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147147), // Rule ID 5391 //
     /* 1147071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1147082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1147085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1147088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1147091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1147094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1147101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1147124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1147127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147146 */     // GIR_Coverage, 5391,
     /* 1147146 */     GIR_EraseRootFromParent_Done,
     /* 1147147 */   // Label 16767: @1147147
     /* 1147147 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147228), // Rule ID 5392 //
     /* 1147152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1147175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1147182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1147205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1147208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147227 */     // GIR_Coverage, 5392,
     /* 1147227 */     GIR_EraseRootFromParent_Done,
     /* 1147228 */   // Label 16768: @1147228
     /* 1147228 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147309), // Rule ID 5393 //
     /* 1147233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1147244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1147247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1147250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1147253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1147256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1147263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1147286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1147289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147308 */     // GIR_Coverage, 5393,
     /* 1147308 */     GIR_EraseRootFromParent_Done,
     /* 1147309 */   // Label 16769: @1147309
     /* 1147309 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147390), // Rule ID 5394 //
     /* 1147314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1147337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1147344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1147367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1147370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147389 */     // GIR_Coverage, 5394,
     /* 1147389 */     GIR_EraseRootFromParent_Done,
     /* 1147390 */   // Label 16770: @1147390
     /* 1147390 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147471), // Rule ID 5395 //
     /* 1147395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1147406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1147409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1147412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1147415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1147418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1147425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1147448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1147451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147470 */     // GIR_Coverage, 5395,
     /* 1147470 */     GIR_EraseRootFromParent_Done,
     /* 1147471 */   // Label 16771: @1147471
     /* 1147471 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147552), // Rule ID 5396 //
     /* 1147476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1147499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1147506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1147529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1147532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147551 */     // GIR_Coverage, 5396,
     /* 1147551 */     GIR_EraseRootFromParent_Done,
     /* 1147552 */   // Label 16772: @1147552
     /* 1147552 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147633), // Rule ID 5397 //
     /* 1147557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1147568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1147571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1147574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1147577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1147580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1147587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1147610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1147613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147632 */     // GIR_Coverage, 5397,
     /* 1147632 */     GIR_EraseRootFromParent_Done,
     /* 1147633 */   // Label 16773: @1147633
     /* 1147633 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147714), // Rule ID 5398 //
     /* 1147638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1147661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1147668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147691 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1147691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1147694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147713 */     // GIR_Coverage, 5398,
     /* 1147713 */     GIR_EraseRootFromParent_Done,
     /* 1147714 */   // Label 16774: @1147714
     /* 1147714 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147795), // Rule ID 5399 //
     /* 1147719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1147739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1147742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1147749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1147772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1147775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147794 */     // GIR_Coverage, 5399,
     /* 1147794 */     GIR_EraseRootFromParent_Done,
     /* 1147795 */   // Label 16775: @1147795
     /* 1147795 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1147876), // Rule ID 5400 //
     /* 1147800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1147803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1147811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1147814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1147817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1147820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1147823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1147830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1147853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1147856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147875 */     // GIR_Coverage, 5400,
     /* 1147875 */     GIR_EraseRootFromParent_Done,
     /* 1147876 */   // Label 16776: @1147876
     /* 1147876 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1147957), // Rule ID 5401 //
     /* 1147881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1147884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1147892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1147895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1147898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1147901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1147904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1147911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1147927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1147934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1147937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1147947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147956 */     // GIR_Coverage, 5401,
     /* 1147956 */     GIR_EraseRootFromParent_Done,
     /* 1147957 */   // Label 16777: @1147957
     /* 1147957 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148038), // Rule ID 5402 //
     /* 1147962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1147970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1147973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1147976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1147979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1147985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1147992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1148015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1148018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148037 */     // GIR_Coverage, 5402,
     /* 1148037 */     GIR_EraseRootFromParent_Done,
     /* 1148038 */   // Label 16778: @1148038
     /* 1148038 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148119), // Rule ID 5403 //
     /* 1148043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1148066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1148096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1148099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148118 */     // GIR_Coverage, 5403,
     /* 1148118 */     GIR_EraseRootFromParent_Done,
     /* 1148119 */   // Label 16779: @1148119
     /* 1148119 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148200), // Rule ID 5404 //
     /* 1148124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1148147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1148177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1148180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148199 */     // GIR_Coverage, 5404,
     /* 1148199 */     GIR_EraseRootFromParent_Done,
     /* 1148200 */   // Label 16780: @1148200
     /* 1148200 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148281), // Rule ID 5405 //
     /* 1148205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1148228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1148258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1148261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148280 */     // GIR_Coverage, 5405,
     /* 1148280 */     GIR_EraseRootFromParent_Done,
     /* 1148281 */   // Label 16781: @1148281
     /* 1148281 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148362), // Rule ID 5406 //
     /* 1148286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1148309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148339 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1148339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148361 */     // GIR_Coverage, 5406,
     /* 1148361 */     GIR_EraseRootFromParent_Done,
     /* 1148362 */   // Label 16782: @1148362
     /* 1148362 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148443), // Rule ID 5407 //
     /* 1148367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1148378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1148381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1148384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1148390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1148420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148442 */     // GIR_Coverage, 5407,
     /* 1148442 */     GIR_EraseRootFromParent_Done,
     /* 1148443 */   // Label 16783: @1148443
     /* 1148443 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148524), // Rule ID 5408 //
     /* 1148448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1148471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1148501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1148504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148523 */     // GIR_Coverage, 5408,
     /* 1148523 */     GIR_EraseRootFromParent_Done,
     /* 1148524 */   // Label 16784: @1148524
     /* 1148524 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148605), // Rule ID 5409 //
     /* 1148529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1148540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1148543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1148546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1148552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1148582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1148585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148604 */     // GIR_Coverage, 5409,
     /* 1148604 */     GIR_EraseRootFromParent_Done,
     /* 1148605 */   // Label 16785: @1148605
     /* 1148605 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148686), // Rule ID 5410 //
     /* 1148610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1148633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148663 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1148663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148685 */     // GIR_Coverage, 5410,
     /* 1148685 */     GIR_EraseRootFromParent_Done,
     /* 1148686 */   // Label 16786: @1148686
     /* 1148686 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148767), // Rule ID 5411 //
     /* 1148691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1148702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1148705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1148708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1148714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1148744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148766 */     // GIR_Coverage, 5411,
     /* 1148766 */     GIR_EraseRootFromParent_Done,
     /* 1148767 */   // Label 16787: @1148767
     /* 1148767 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148848), // Rule ID 5412 //
     /* 1148772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1148783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1148786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1148789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1148795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148825 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1148825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148847 */     // GIR_Coverage, 5412,
     /* 1148847 */     GIR_EraseRootFromParent_Done,
     /* 1148848 */   // Label 16788: @1148848
     /* 1148848 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1148929), // Rule ID 5413 //
     /* 1148853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1148864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1148867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1148870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1148876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1148906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1148909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1148919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148928 */     // GIR_Coverage, 5413,
     /* 1148928 */     GIR_EraseRootFromParent_Done,
     /* 1148929 */   // Label 16789: @1148929
     /* 1148929 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149010), // Rule ID 5414 //
     /* 1148934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1148942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1148945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1148948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1148951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1148957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1148964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1148980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148987 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1148987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1148990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149009 */     // GIR_Coverage, 5414,
     /* 1149009 */     GIR_EraseRootFromParent_Done,
     /* 1149010 */   // Label 16790: @1149010
     /* 1149010 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149091), // Rule ID 5415 //
     /* 1149015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1149038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1149068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149090 */     // GIR_Coverage, 5415,
     /* 1149090 */     GIR_EraseRootFromParent_Done,
     /* 1149091 */   // Label 16791: @1149091
     /* 1149091 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149172), // Rule ID 5416 //
     /* 1149096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1149119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1149149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149171 */     // GIR_Coverage, 5416,
     /* 1149171 */     GIR_EraseRootFromParent_Done,
     /* 1149172 */   // Label 16792: @1149172
     /* 1149172 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149253), // Rule ID 5417 //
     /* 1149177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1149200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1149230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149252 */     // GIR_Coverage, 5417,
     /* 1149252 */     GIR_EraseRootFromParent_Done,
     /* 1149253 */   // Label 16793: @1149253
     /* 1149253 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149334), // Rule ID 5418 //
     /* 1149258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1149281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1149311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149333 */     // GIR_Coverage, 5418,
     /* 1149333 */     GIR_EraseRootFromParent_Done,
     /* 1149334 */   // Label 16794: @1149334
     /* 1149334 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149415), // Rule ID 5419 //
     /* 1149339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1149356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1149362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1149392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149414 */     // GIR_Coverage, 5419,
     /* 1149414 */     GIR_EraseRootFromParent_Done,
     /* 1149415 */   // Label 16795: @1149415
     /* 1149415 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149496), // Rule ID 5420 //
     /* 1149420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1149443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1149473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149495 */     // GIR_Coverage, 5420,
     /* 1149495 */     GIR_EraseRootFromParent_Done,
     /* 1149496 */   // Label 16796: @1149496
     /* 1149496 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149577), // Rule ID 5421 //
     /* 1149501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1149504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1149512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1149515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1149518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1149524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1149531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1149554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1149557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149576 */     // GIR_Coverage, 5421,
     /* 1149576 */     GIR_EraseRootFromParent_Done,
     /* 1149577 */   // Label 16797: @1149577
     /* 1149577 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149658), // Rule ID 5422 //
     /* 1149582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1149605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1149612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1149635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1149638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149657 */     // GIR_Coverage, 5422,
     /* 1149657 */     GIR_EraseRootFromParent_Done,
     /* 1149658 */   // Label 16798: @1149658
     /* 1149658 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149739), // Rule ID 5423 //
     /* 1149663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1149674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1149677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1149680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1149686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1149693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1149716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1149719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149738 */     // GIR_Coverage, 5423,
     /* 1149738 */     GIR_EraseRootFromParent_Done,
     /* 1149739 */   // Label 16799: @1149739
     /* 1149739 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149820), // Rule ID 5424 //
     /* 1149744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1149755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1149758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1149761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1149767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1149774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1149797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1149800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149819 */     // GIR_Coverage, 5424,
     /* 1149819 */     GIR_EraseRootFromParent_Done,
     /* 1149820 */   // Label 16800: @1149820
     /* 1149820 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1149901), // Rule ID 5425 //
     /* 1149825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1149836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1149839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1149842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1149848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1149855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1149878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1149881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149900 */     // GIR_Coverage, 5425,
     /* 1149900 */     GIR_EraseRootFromParent_Done,
     /* 1149901 */   // Label 16801: @1149901
     /* 1149901 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1149982), // Rule ID 5426 //
     /* 1149906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1149917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1149920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1149923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1149929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1149936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1149952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1149959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1149962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1149972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149981 */     // GIR_Coverage, 5426,
     /* 1149981 */     GIR_EraseRootFromParent_Done,
     /* 1149982 */   // Label 16802: @1149982
     /* 1149982 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150063), // Rule ID 5427 //
     /* 1149987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1149995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1149998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1150010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1150017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150040 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1150040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1150043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150062 */     // GIR_Coverage, 5427,
     /* 1150062 */     GIR_EraseRootFromParent_Done,
     /* 1150063 */   // Label 16803: @1150063
     /* 1150063 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150144), // Rule ID 5428 //
     /* 1150068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1150091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1150098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1150121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1150124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150143 */     // GIR_Coverage, 5428,
     /* 1150143 */     GIR_EraseRootFromParent_Done,
     /* 1150144 */   // Label 16804: @1150144
     /* 1150144 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150225), // Rule ID 5429 //
     /* 1150149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1150172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1150179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1150202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1150205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150224 */     // GIR_Coverage, 5429,
     /* 1150224 */     GIR_EraseRootFromParent_Done,
     /* 1150225 */   // Label 16805: @1150225
     /* 1150225 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150306), // Rule ID 5430 //
     /* 1150230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1150253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1150260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1150283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1150286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150305 */     // GIR_Coverage, 5430,
     /* 1150305 */     GIR_EraseRootFromParent_Done,
     /* 1150306 */   // Label 16806: @1150306
     /* 1150306 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150387), // Rule ID 5431 //
     /* 1150311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1150334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1150341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1150364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1150367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150386 */     // GIR_Coverage, 5431,
     /* 1150386 */     GIR_EraseRootFromParent_Done,
     /* 1150387 */   // Label 16807: @1150387
     /* 1150387 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150468), // Rule ID 5432 //
     /* 1150392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1150415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1150422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150445 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1150445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1150448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150467 */     // GIR_Coverage, 5432,
     /* 1150467 */     GIR_EraseRootFromParent_Done,
     /* 1150468 */   // Label 16808: @1150468
     /* 1150468 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150549), // Rule ID 5433 //
     /* 1150473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1150484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1150487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1150490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1150496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1150503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1150526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1150529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150548 */     // GIR_Coverage, 5433,
     /* 1150548 */     GIR_EraseRootFromParent_Done,
     /* 1150549 */   // Label 16809: @1150549
     /* 1150549 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150630), // Rule ID 5434 //
     /* 1150554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1150577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1150584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1150607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1150610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150629 */     // GIR_Coverage, 5434,
     /* 1150629 */     GIR_EraseRootFromParent_Done,
     /* 1150630 */   // Label 16810: @1150630
     /* 1150630 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150711), // Rule ID 5435 //
     /* 1150635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1150658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1150665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1150688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1150691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150710 */     // GIR_Coverage, 5435,
     /* 1150710 */     GIR_EraseRootFromParent_Done,
     /* 1150711 */   // Label 16811: @1150711
     /* 1150711 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150792), // Rule ID 5436 //
     /* 1150716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1150739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1150746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1150769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1150772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150791 */     // GIR_Coverage, 5436,
     /* 1150791 */     GIR_EraseRootFromParent_Done,
     /* 1150792 */   // Label 16812: @1150792
     /* 1150792 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150873), // Rule ID 5437 //
     /* 1150797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1150820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1150827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1150850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1150853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150872 */     // GIR_Coverage, 5437,
     /* 1150872 */     GIR_EraseRootFromParent_Done,
     /* 1150873 */   // Label 16813: @1150873
     /* 1150873 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1150954), // Rule ID 5438 //
     /* 1150878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1150889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1150892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1150895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1150901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1150908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1150924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150931 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1150931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1150934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1150944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150953 */     // GIR_Coverage, 5438,
     /* 1150953 */     GIR_EraseRootFromParent_Done,
     /* 1150954 */   // Label 16814: @1150954
     /* 1150954 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151035), // Rule ID 5439 //
     /* 1150959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1150967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1150970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1150973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1150976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1150982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1150989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1151012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1151015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151034 */     // GIR_Coverage, 5439,
     /* 1151034 */     GIR_EraseRootFromParent_Done,
     /* 1151035 */   // Label 16815: @1151035
     /* 1151035 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151116), // Rule ID 5440 //
     /* 1151040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1151063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1151070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1151093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1151096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151115 */     // GIR_Coverage, 5440,
     /* 1151115 */     GIR_EraseRootFromParent_Done,
     /* 1151116 */   // Label 16816: @1151116
     /* 1151116 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151197), // Rule ID 5441 //
     /* 1151121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1151144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1151151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1151174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1151177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151196 */     // GIR_Coverage, 5441,
     /* 1151196 */     GIR_EraseRootFromParent_Done,
     /* 1151197 */   // Label 16817: @1151197
     /* 1151197 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151278), // Rule ID 5442 //
     /* 1151202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1151225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1151232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1151255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1151258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151277 */     // GIR_Coverage, 5442,
     /* 1151277 */     GIR_EraseRootFromParent_Done,
     /* 1151278 */   // Label 16818: @1151278
     /* 1151278 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151359), // Rule ID 5443 //
     /* 1151283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1151294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1151297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1151300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1151306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1151313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1151336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1151339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151358 */     // GIR_Coverage, 5443,
     /* 1151358 */     GIR_EraseRootFromParent_Done,
     /* 1151359 */   // Label 16819: @1151359
     /* 1151359 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151440), // Rule ID 5444 //
     /* 1151364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1151387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1151394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1151417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1151420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151439 */     // GIR_Coverage, 5444,
     /* 1151439 */     GIR_EraseRootFromParent_Done,
     /* 1151440 */   // Label 16820: @1151440
     /* 1151440 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151521), // Rule ID 5445 //
     /* 1151445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1151448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1151453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1151462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1151468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1151475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1151498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1151501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151520 */     // GIR_Coverage, 5445,
     /* 1151520 */     GIR_EraseRootFromParent_Done,
     /* 1151521 */   // Label 16821: @1151521
     /* 1151521 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151602), // Rule ID 7656 //
     /* 1151526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1151537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1151540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1151549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1151579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1151582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151601 */     // GIR_Coverage, 7656,
     /* 1151601 */     GIR_EraseRootFromParent_Done,
     /* 1151602 */   // Label 16822: @1151602
     /* 1151602 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151683), // Rule ID 7657 //
     /* 1151607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1151618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1151621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1151624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1151627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1151630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1151660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1151663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151682 */     // GIR_Coverage, 7657,
     /* 1151682 */     GIR_EraseRootFromParent_Done,
     /* 1151683 */   // Label 16823: @1151683
     /* 1151683 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151764), // Rule ID 7660 //
     /* 1151688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1151699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1151702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1151705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1151708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1151711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1151741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1151744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151763 */     // GIR_Coverage, 7660,
     /* 1151763 */     GIR_EraseRootFromParent_Done,
     /* 1151764 */   // Label 16824: @1151764
     /* 1151764 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151845), // Rule ID 7661 //
     /* 1151769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1151780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1151783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1151786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1151789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1151792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1151822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1151825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151844 */     // GIR_Coverage, 7661,
     /* 1151844 */     GIR_EraseRootFromParent_Done,
     /* 1151845 */   // Label 16825: @1151845
     /* 1151845 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1151926), // Rule ID 7664 //
     /* 1151850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1151861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1151864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1151870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1151873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151903 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1151903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1151906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151925 */     // GIR_Coverage, 7664,
     /* 1151925 */     GIR_EraseRootFromParent_Done,
     /* 1151926 */   // Label 16826: @1151926
     /* 1151926 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152007), // Rule ID 7665 //
     /* 1151931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1151939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1151942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1151945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1151951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1151954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1151977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1151984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1151987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1151997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152006 */     // GIR_Coverage, 7665,
     /* 1152006 */     GIR_EraseRootFromParent_Done,
     /* 1152007 */   // Label 16827: @1152007
     /* 1152007 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152088), // Rule ID 7668 //
     /* 1152012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1152023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1152026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1152035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1152065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1152068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152087 */     // GIR_Coverage, 7668,
     /* 1152087 */     GIR_EraseRootFromParent_Done,
     /* 1152088 */   // Label 16828: @1152088
     /* 1152088 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152169), // Rule ID 7669 //
     /* 1152093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1152104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1152107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1152113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1152116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152146 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1152146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1152149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152168 */     // GIR_Coverage, 7669,
     /* 1152168 */     GIR_EraseRootFromParent_Done,
     /* 1152169 */   // Label 16829: @1152169
     /* 1152169 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152250), // Rule ID 7672 //
     /* 1152174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1152185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1152188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1152197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1152227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1152230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152249 */     // GIR_Coverage, 7672,
     /* 1152249 */     GIR_EraseRootFromParent_Done,
     /* 1152250 */   // Label 16830: @1152250
     /* 1152250 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152331), // Rule ID 7673 //
     /* 1152255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1152266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1152269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1152275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1152278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1152308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1152311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152330 */     // GIR_Coverage, 7673,
     /* 1152330 */     GIR_EraseRootFromParent_Done,
     /* 1152331 */   // Label 16831: @1152331
     /* 1152331 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152412), // Rule ID 7676 //
     /* 1152336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1152347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1152350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1152359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152389 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1152389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152411 */     // GIR_Coverage, 7676,
     /* 1152411 */     GIR_EraseRootFromParent_Done,
     /* 1152412 */   // Label 16832: @1152412
     /* 1152412 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152493), // Rule ID 7677 //
     /* 1152417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1152428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1152431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1152434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1152437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1152440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1152470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152492 */     // GIR_Coverage, 7677,
     /* 1152492 */     GIR_EraseRootFromParent_Done,
     /* 1152493 */   // Label 16833: @1152493
     /* 1152493 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152574), // Rule ID 7680 //
     /* 1152498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1152509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1152512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1152521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152551 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1152551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152573 */     // GIR_Coverage, 7680,
     /* 1152573 */     GIR_EraseRootFromParent_Done,
     /* 1152574 */   // Label 16834: @1152574
     /* 1152574 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152655), // Rule ID 7681 //
     /* 1152579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1152590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1152593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1152602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1152632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152654 */     // GIR_Coverage, 7681,
     /* 1152654 */     GIR_EraseRootFromParent_Done,
     /* 1152655 */   // Label 16835: @1152655
     /* 1152655 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152736), // Rule ID 7684 //
     /* 1152660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1152671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1152674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1152677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1152680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1152683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1152713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152735 */     // GIR_Coverage, 7684,
     /* 1152735 */     GIR_EraseRootFromParent_Done,
     /* 1152736 */   // Label 16836: @1152736
     /* 1152736 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152817), // Rule ID 7685 //
     /* 1152741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1152752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1152755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1152758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1152761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1152764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1152794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152816 */     // GIR_Coverage, 7685,
     /* 1152816 */     GIR_EraseRootFromParent_Done,
     /* 1152817 */   // Label 16837: @1152817
     /* 1152817 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1152898), // Rule ID 7688 //
     /* 1152822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1152825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1152833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1152836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1152839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1152842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1152845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152875 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1152875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152897 */     // GIR_Coverage, 7688,
     /* 1152897 */     GIR_EraseRootFromParent_Done,
     /* 1152898 */   // Label 16838: @1152898
     /* 1152898 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1152979), // Rule ID 7689 //
     /* 1152903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1152914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1152917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1152920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1152923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1152926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1152949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1152956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1152959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1152969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152978 */     // GIR_Coverage, 7689,
     /* 1152978 */     GIR_EraseRootFromParent_Done,
     /* 1152979 */   // Label 16839: @1152979
     /* 1152979 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153060), // Rule ID 7692 //
     /* 1152984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1152992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1152995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1152998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1153007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1153037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1153040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153059 */     // GIR_Coverage, 7692,
     /* 1153059 */     GIR_EraseRootFromParent_Done,
     /* 1153060 */   // Label 16840: @1153060
     /* 1153060 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153141), // Rule ID 7693 //
     /* 1153065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1153076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1153079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1153082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1153085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1153088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1153118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1153121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153140 */     // GIR_Coverage, 7693,
     /* 1153140 */     GIR_EraseRootFromParent_Done,
     /* 1153141 */   // Label 16841: @1153141
     /* 1153141 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153222), // Rule ID 7696 //
     /* 1153146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1153157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1153160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1153169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153199 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1153199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1153202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153221 */     // GIR_Coverage, 7696,
     /* 1153221 */     GIR_EraseRootFromParent_Done,
     /* 1153222 */   // Label 16842: @1153222
     /* 1153222 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153303), // Rule ID 7697 //
     /* 1153227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1153238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1153241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1153244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1153247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1153250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1153280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1153283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153302 */     // GIR_Coverage, 7697,
     /* 1153302 */     GIR_EraseRootFromParent_Done,
     /* 1153303 */   // Label 16843: @1153303
     /* 1153303 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153384), // Rule ID 7700 //
     /* 1153308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1153319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1153322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1153331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153361 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1153361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1153364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153383 */     // GIR_Coverage, 7700,
     /* 1153383 */     GIR_EraseRootFromParent_Done,
     /* 1153384 */   // Label 16844: @1153384
     /* 1153384 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153465), // Rule ID 7701 //
     /* 1153389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1153400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1153403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1153406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1153409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1153412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153442 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1153442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1153445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153464 */     // GIR_Coverage, 7701,
     /* 1153464 */     GIR_EraseRootFromParent_Done,
     /* 1153465 */   // Label 16845: @1153465
     /* 1153465 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153546), // Rule ID 7704 //
     /* 1153470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1153481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1153484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1153493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1153523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1153526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153545 */     // GIR_Coverage, 7704,
     /* 1153545 */     GIR_EraseRootFromParent_Done,
     /* 1153546 */   // Label 16846: @1153546
     /* 1153546 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153627), // Rule ID 7705 //
     /* 1153551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1153562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1153565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1153571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1153574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1153604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1153607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153626 */     // GIR_Coverage, 7705,
     /* 1153626 */     GIR_EraseRootFromParent_Done,
     /* 1153627 */   // Label 16847: @1153627
     /* 1153627 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153708), // Rule ID 7708 //
     /* 1153632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1153643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1153646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1153655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1153685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1153688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153707 */     // GIR_Coverage, 7708,
     /* 1153707 */     GIR_EraseRootFromParent_Done,
     /* 1153708 */   // Label 16848: @1153708
     /* 1153708 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153789), // Rule ID 7709 //
     /* 1153713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1153724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1153727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1153733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1153736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1153766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1153769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153788 */     // GIR_Coverage, 7709,
     /* 1153788 */     GIR_EraseRootFromParent_Done,
     /* 1153789 */   // Label 16849: @1153789
     /* 1153789 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1153870), // Rule ID 7712 //
     /* 1153794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1153805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1153808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1153811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1153814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1153817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153847 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1153847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1153850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153869 */     // GIR_Coverage, 7712,
     /* 1153869 */     GIR_EraseRootFromParent_Done,
     /* 1153870 */   // Label 16850: @1153870
     /* 1153870 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1153951), // Rule ID 7713 //
     /* 1153875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1153886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1153889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1153892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1153895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1153898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1153921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1153928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1153931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1153941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153950 */     // GIR_Coverage, 7713,
     /* 1153950 */     GIR_EraseRootFromParent_Done,
     /* 1153951 */   // Label 16851: @1153951
     /* 1153951 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154032), // Rule ID 7716 //
     /* 1153956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1153964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1153967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1153970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1153976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1153979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1154009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1154012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154031 */     // GIR_Coverage, 7716,
     /* 1154031 */     GIR_EraseRootFromParent_Done,
     /* 1154032 */   // Label 16852: @1154032
     /* 1154032 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154113), // Rule ID 7717 //
     /* 1154037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1154048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1154051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1154054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1154057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1154060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154090 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1154090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1154093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154112 */     // GIR_Coverage, 7717,
     /* 1154112 */     GIR_EraseRootFromParent_Done,
     /* 1154113 */   // Label 16853: @1154113
     /* 1154113 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154194), // Rule ID 7720 //
     /* 1154118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1154129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1154132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1154141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1154171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1154174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154193 */     // GIR_Coverage, 7720,
     /* 1154193 */     GIR_EraseRootFromParent_Done,
     /* 1154194 */   // Label 16854: @1154194
     /* 1154194 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154275), // Rule ID 7721 //
     /* 1154199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1154210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1154213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1154219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1154222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1154252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1154255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154274 */     // GIR_Coverage, 7721,
     /* 1154274 */     GIR_EraseRootFromParent_Done,
     /* 1154275 */   // Label 16855: @1154275
     /* 1154275 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154356), // Rule ID 7724 //
     /* 1154280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1154291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1154294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1154303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1154333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1154336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154355 */     // GIR_Coverage, 7724,
     /* 1154355 */     GIR_EraseRootFromParent_Done,
     /* 1154356 */   // Label 16856: @1154356
     /* 1154356 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154437), // Rule ID 7725 //
     /* 1154361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1154372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1154375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1154381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1154384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1154414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1154417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154436 */     // GIR_Coverage, 7725,
     /* 1154436 */     GIR_EraseRootFromParent_Done,
     /* 1154437 */   // Label 16857: @1154437
     /* 1154437 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154518), // Rule ID 7728 //
     /* 1154442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1154453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1154456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1154459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1154462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1154465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154495 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1154495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1154498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154517 */     // GIR_Coverage, 7728,
     /* 1154517 */     GIR_EraseRootFromParent_Done,
     /* 1154518 */   // Label 16858: @1154518
     /* 1154518 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154599), // Rule ID 7729 //
     /* 1154523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1154534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1154537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1154540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1154543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1154546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1154576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1154579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154598 */     // GIR_Coverage, 7729,
     /* 1154598 */     GIR_EraseRootFromParent_Done,
     /* 1154599 */   // Label 16859: @1154599
     /* 1154599 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154680), // Rule ID 7732 //
     /* 1154604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1154615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1154618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1154621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1154624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1154627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1154657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1154660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154679 */     // GIR_Coverage, 7732,
     /* 1154679 */     GIR_EraseRootFromParent_Done,
     /* 1154680 */   // Label 16860: @1154680
     /* 1154680 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154761), // Rule ID 7733 //
     /* 1154685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1154696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1154699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1154702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1154705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1154708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1154738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1154741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154760 */     // GIR_Coverage, 7733,
     /* 1154760 */     GIR_EraseRootFromParent_Done,
     /* 1154761 */   // Label 16861: @1154761
     /* 1154761 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1154842), // Rule ID 7736 //
     /* 1154766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1154777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1154780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1154783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1154786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1154789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1154819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1154822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154841 */     // GIR_Coverage, 7736,
     /* 1154841 */     GIR_EraseRootFromParent_Done,
     /* 1154842 */   // Label 16862: @1154842
     /* 1154842 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1154923), // Rule ID 7737 //
     /* 1154847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1154858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1154861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1154864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1154867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1154870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1154900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1154903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154922 */     // GIR_Coverage, 7737,
     /* 1154922 */     GIR_EraseRootFromParent_Done,
     /* 1154923 */   // Label 16863: @1154923
     /* 1154923 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155004), // Rule ID 7740 //
     /* 1154928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1154936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1154939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1154942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1154951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1154974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1154981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1154984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1154994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155003 */     // GIR_Coverage, 7740,
     /* 1155003 */     GIR_EraseRootFromParent_Done,
     /* 1155004 */   // Label 16864: @1155004
     /* 1155004 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155085), // Rule ID 7741 //
     /* 1155009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1155020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1155023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1155026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1155032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1155062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1155065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155084 */     // GIR_Coverage, 7741,
     /* 1155084 */     GIR_EraseRootFromParent_Done,
     /* 1155085 */   // Label 16865: @1155085
     /* 1155085 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155166), // Rule ID 7744 //
     /* 1155090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1155101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1155104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1155113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155143 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1155143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1155146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155165 */     // GIR_Coverage, 7744,
     /* 1155165 */     GIR_EraseRootFromParent_Done,
     /* 1155166 */   // Label 16866: @1155166
     /* 1155166 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155247), // Rule ID 7745 //
     /* 1155171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1155182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1155185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1155188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1155194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1155224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1155227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155246 */     // GIR_Coverage, 7745,
     /* 1155246 */     GIR_EraseRootFromParent_Done,
     /* 1155247 */   // Label 16867: @1155247
     /* 1155247 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155328), // Rule ID 7748 //
     /* 1155252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1155263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1155266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1155275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155305 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1155305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155327 */     // GIR_Coverage, 7748,
     /* 1155327 */     GIR_EraseRootFromParent_Done,
     /* 1155328 */   // Label 16868: @1155328
     /* 1155328 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155409), // Rule ID 7749 //
     /* 1155333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1155344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1155347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1155350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1155356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155386 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1155386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155408 */     // GIR_Coverage, 7749,
     /* 1155408 */     GIR_EraseRootFromParent_Done,
     /* 1155409 */   // Label 16869: @1155409
     /* 1155409 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155490), // Rule ID 7752 //
     /* 1155414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1155425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1155428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1155437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1155467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1155470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155489 */     // GIR_Coverage, 7752,
     /* 1155489 */     GIR_EraseRootFromParent_Done,
     /* 1155490 */   // Label 16870: @1155490
     /* 1155490 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155571), // Rule ID 7753 //
     /* 1155495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1155506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1155509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1155512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1155518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1155548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1155551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155570 */     // GIR_Coverage, 7753,
     /* 1155570 */     GIR_EraseRootFromParent_Done,
     /* 1155571 */   // Label 16871: @1155571
     /* 1155571 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155652), // Rule ID 7756 //
     /* 1155576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1155587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1155590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1155599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1155629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155651 */     // GIR_Coverage, 7756,
     /* 1155651 */     GIR_EraseRootFromParent_Done,
     /* 1155652 */   // Label 16872: @1155652
     /* 1155652 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155733), // Rule ID 7757 //
     /* 1155657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1155668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1155671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1155680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155710 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1155710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155732 */     // GIR_Coverage, 7757,
     /* 1155732 */     GIR_EraseRootFromParent_Done,
     /* 1155733 */   // Label 16873: @1155733
     /* 1155733 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1155814), // Rule ID 7760 //
     /* 1155738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1155749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1155752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1155761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1155791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155813 */     // GIR_Coverage, 7760,
     /* 1155813 */     GIR_EraseRootFromParent_Done,
     /* 1155814 */   // Label 16874: @1155814
     /* 1155814 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1155895), // Rule ID 7761 //
     /* 1155819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1155830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1155833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1155842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1155872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1155875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155894 */     // GIR_Coverage, 7761,
     /* 1155894 */     GIR_EraseRootFromParent_Done,
     /* 1155895 */   // Label 16875: @1155895
     /* 1155895 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1155976), // Rule ID 7764 //
     /* 1155900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1155911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1155914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1155923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1155946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1155953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1155956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1155966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155975 */     // GIR_Coverage, 7764,
     /* 1155975 */     GIR_EraseRootFromParent_Done,
     /* 1155976 */   // Label 16876: @1155976
     /* 1155976 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156057), // Rule ID 7765 //
     /* 1155981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1155989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1155992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1155995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1156004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1156034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156056 */     // GIR_Coverage, 7765,
     /* 1156056 */     GIR_EraseRootFromParent_Done,
     /* 1156057 */   // Label 16877: @1156057
     /* 1156057 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156138), // Rule ID 7768 //
     /* 1156062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1156073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1156076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1156085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156115 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1156115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156137 */     // GIR_Coverage, 7768,
     /* 1156137 */     GIR_EraseRootFromParent_Done,
     /* 1156138 */   // Label 16878: @1156138
     /* 1156138 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156219), // Rule ID 7769 //
     /* 1156143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1156154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1156157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1156160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1156166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1156196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156218 */     // GIR_Coverage, 7769,
     /* 1156218 */     GIR_EraseRootFromParent_Done,
     /* 1156219 */   // Label 16879: @1156219
     /* 1156219 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156300), // Rule ID 7772 //
     /* 1156224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1156235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1156238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1156247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1156277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156299 */     // GIR_Coverage, 7772,
     /* 1156299 */     GIR_EraseRootFromParent_Done,
     /* 1156300 */   // Label 16880: @1156300
     /* 1156300 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156381), // Rule ID 7773 //
     /* 1156305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1156316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1156319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1156322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1156328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1156358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156380 */     // GIR_Coverage, 7773,
     /* 1156380 */     GIR_EraseRootFromParent_Done,
     /* 1156381 */   // Label 16881: @1156381
     /* 1156381 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156462), // Rule ID 7776 //
     /* 1156386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1156397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1156400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1156403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1156409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1156439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156461 */     // GIR_Coverage, 7776,
     /* 1156461 */     GIR_EraseRootFromParent_Done,
     /* 1156462 */   // Label 16882: @1156462
     /* 1156462 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156543), // Rule ID 7777 //
     /* 1156467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1156478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1156481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1156484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1156490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1156520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1156523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156542 */     // GIR_Coverage, 7777,
     /* 1156542 */     GIR_EraseRootFromParent_Done,
     /* 1156543 */   // Label 16883: @1156543
     /* 1156543 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156624), // Rule ID 7780 //
     /* 1156548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1156559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1156562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1156571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1156601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1156604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156623 */     // GIR_Coverage, 7780,
     /* 1156623 */     GIR_EraseRootFromParent_Done,
     /* 1156624 */   // Label 16884: @1156624
     /* 1156624 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156705), // Rule ID 7781 //
     /* 1156629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1156640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1156643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1156646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1156652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156682 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1156682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1156685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156704 */     // GIR_Coverage, 7781,
     /* 1156704 */     GIR_EraseRootFromParent_Done,
     /* 1156705 */   // Label 16885: @1156705
     /* 1156705 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1156786), // Rule ID 7784 //
     /* 1156710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1156721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1156724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1156733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156763 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1156763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1156766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156785 */     // GIR_Coverage, 7784,
     /* 1156785 */     GIR_EraseRootFromParent_Done,
     /* 1156786 */   // Label 16886: @1156786
     /* 1156786 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1156867), // Rule ID 7785 //
     /* 1156791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1156802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1156805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1156808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1156814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156844 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1156844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1156847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156866 */     // GIR_Coverage, 7785,
     /* 1156866 */     GIR_EraseRootFromParent_Done,
     /* 1156867 */   // Label 16887: @1156867
     /* 1156867 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1156948), // Rule ID 7788 //
     /* 1156872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1156883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1156886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1156895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156925 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1156925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1156928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1156938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156947 */     // GIR_Coverage, 7788,
     /* 1156947 */     GIR_EraseRootFromParent_Done,
     /* 1156948 */   // Label 16888: @1156948
     /* 1156948 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157029), // Rule ID 7789 //
     /* 1156953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1156961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1156964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1156967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1156976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1156999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157006 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1157006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1157009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157028 */     // GIR_Coverage, 7789,
     /* 1157028 */     GIR_EraseRootFromParent_Done,
     /* 1157029 */   // Label 16889: @1157029
     /* 1157029 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157110), // Rule ID 7792 //
     /* 1157034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1157045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1157048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1157057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1157087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1157090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157109 */     // GIR_Coverage, 7792,
     /* 1157109 */     GIR_EraseRootFromParent_Done,
     /* 1157110 */   // Label 16890: @1157110
     /* 1157110 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157191), // Rule ID 7793 //
     /* 1157115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1157126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1157129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1157138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1157168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1157171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157190 */     // GIR_Coverage, 7793,
     /* 1157190 */     GIR_EraseRootFromParent_Done,
     /* 1157191 */   // Label 16891: @1157191
     /* 1157191 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157272), // Rule ID 7796 //
     /* 1157196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1157207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1157210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1157219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157249 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1157249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1157252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157271 */     // GIR_Coverage, 7796,
     /* 1157271 */     GIR_EraseRootFromParent_Done,
     /* 1157272 */   // Label 16892: @1157272
     /* 1157272 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157353), // Rule ID 7797 //
     /* 1157277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1157288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1157291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1157294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1157300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157330 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1157330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1157333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157352 */     // GIR_Coverage, 7797,
     /* 1157352 */     GIR_EraseRootFromParent_Done,
     /* 1157353 */   // Label 16893: @1157353
     /* 1157353 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157434), // Rule ID 7800 //
     /* 1157358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1157369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1157372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1157381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1157411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1157414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157433 */     // GIR_Coverage, 7800,
     /* 1157433 */     GIR_EraseRootFromParent_Done,
     /* 1157434 */   // Label 16894: @1157434
     /* 1157434 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157515), // Rule ID 7801 //
     /* 1157439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1157450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1157453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1157456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1157462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1157492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1157495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157514 */     // GIR_Coverage, 7801,
     /* 1157514 */     GIR_EraseRootFromParent_Done,
     /* 1157515 */   // Label 16895: @1157515
     /* 1157515 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157596), // Rule ID 7804 //
     /* 1157520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1157531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1157534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1157543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1157573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1157576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157595 */     // GIR_Coverage, 7804,
     /* 1157595 */     GIR_EraseRootFromParent_Done,
     /* 1157596 */   // Label 16896: @1157596
     /* 1157596 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157677), // Rule ID 7805 //
     /* 1157601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1157612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1157615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1157618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1157624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1157654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1157657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157676 */     // GIR_Coverage, 7805,
     /* 1157676 */     GIR_EraseRootFromParent_Done,
     /* 1157677 */   // Label 16897: @1157677
     /* 1157677 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1157758), // Rule ID 7808 //
     /* 1157682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1157693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1157696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1157705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1157735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1157738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157757 */     // GIR_Coverage, 7808,
     /* 1157757 */     GIR_EraseRootFromParent_Done,
     /* 1157758 */   // Label 16898: @1157758
     /* 1157758 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1157839), // Rule ID 7809 //
     /* 1157763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1157774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1157777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1157780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1157786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1157816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1157819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157838 */     // GIR_Coverage, 7809,
     /* 1157838 */     GIR_EraseRootFromParent_Done,
     /* 1157839 */   // Label 16899: @1157839
     /* 1157839 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1157920), // Rule ID 7812 //
     /* 1157844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1157855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1157858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1157867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1157897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1157900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157919 */     // GIR_Coverage, 7812,
     /* 1157919 */     GIR_EraseRootFromParent_Done,
     /* 1157920 */   // Label 16900: @1157920
     /* 1157920 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158001), // Rule ID 7813 //
     /* 1157925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1157933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1157936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1157939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1157948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1157971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1157978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1157981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1157991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158000 */     // GIR_Coverage, 7813,
     /* 1158000 */     GIR_EraseRootFromParent_Done,
     /* 1158001 */   // Label 16901: @1158001
     /* 1158001 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158082), // Rule ID 7816 //
     /* 1158006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1158009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1158017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1158020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1158029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1158059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1158062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158081 */     // GIR_Coverage, 7816,
     /* 1158081 */     GIR_EraseRootFromParent_Done,
     /* 1158082 */   // Label 16902: @1158082
     /* 1158082 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158163), // Rule ID 7817 //
     /* 1158087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1158090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1158098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1158101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1158104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1158110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1158140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1158143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158162 */     // GIR_Coverage, 7817,
     /* 1158162 */     GIR_EraseRootFromParent_Done,
     /* 1158163 */   // Label 16903: @1158163
     /* 1158163 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158244), // Rule ID 7820 //
     /* 1158168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1158171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1158179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1158182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1158191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158221 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1158221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1158224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158243 */     // GIR_Coverage, 7820,
     /* 1158243 */     GIR_EraseRootFromParent_Done,
     /* 1158244 */   // Label 16904: @1158244
     /* 1158244 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158325), // Rule ID 7821 //
     /* 1158249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1158252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1158260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1158263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1158266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1158272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1158302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1158305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158324 */     // GIR_Coverage, 7821,
     /* 1158324 */     GIR_EraseRootFromParent_Done,
     /* 1158325 */   // Label 16905: @1158325
     /* 1158325 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158406), // Rule ID 7824 //
     /* 1158330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1158333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1158341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1158344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1158353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1158383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1158386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158405 */     // GIR_Coverage, 7824,
     /* 1158405 */     GIR_EraseRootFromParent_Done,
     /* 1158406 */   // Label 16906: @1158406
     /* 1158406 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158487), // Rule ID 7825 //
     /* 1158411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1158414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1158419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1158422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1158425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1158428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1158434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1158464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1158467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158486 */     // GIR_Coverage, 7825,
     /* 1158486 */     GIR_EraseRootFromParent_Done,
     /* 1158487 */   // Label 16907: @1158487
     /* 1158487 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158568), // Rule ID 7916 //
     /* 1158492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1158503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1158506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1158509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1158512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1158515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1158545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1158548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158567 */     // GIR_Coverage, 7916,
     /* 1158567 */     GIR_EraseRootFromParent_Done,
     /* 1158568 */   // Label 16908: @1158568
     /* 1158568 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158649), // Rule ID 7917 //
     /* 1158573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1158584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1158587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1158590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1158593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1158596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1158626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1158629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158648 */     // GIR_Coverage, 7917,
     /* 1158648 */     GIR_EraseRootFromParent_Done,
     /* 1158649 */   // Label 16909: @1158649
     /* 1158649 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1158730), // Rule ID 7920 //
     /* 1158654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1158665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1158668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1158671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1158674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1158677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1158707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1158710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158729 */     // GIR_Coverage, 7920,
     /* 1158729 */     GIR_EraseRootFromParent_Done,
     /* 1158730 */   // Label 16910: @1158730
     /* 1158730 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1158811), // Rule ID 7921 //
     /* 1158735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1158746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1158749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1158752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1158755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1158758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1158788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1158791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158810 */     // GIR_Coverage, 7921,
     /* 1158810 */     GIR_EraseRootFromParent_Done,
     /* 1158811 */   // Label 16911: @1158811
     /* 1158811 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1158892), // Rule ID 7924 //
     /* 1158816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1158827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1158830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1158833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1158836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1158839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1158869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1158872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158891 */     // GIR_Coverage, 7924,
     /* 1158891 */     GIR_EraseRootFromParent_Done,
     /* 1158892 */   // Label 16912: @1158892
     /* 1158892 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1158973), // Rule ID 7925 //
     /* 1158897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1158908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1158911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1158914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1158917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1158920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1158943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158950 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1158950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1158953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1158963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158972 */     // GIR_Coverage, 7925,
     /* 1158972 */     GIR_EraseRootFromParent_Done,
     /* 1158973 */   // Label 16913: @1158973
     /* 1158973 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159054), // Rule ID 7928 //
     /* 1158978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1158986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1158989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1158992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1158998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1159001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1159031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1159034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159053 */     // GIR_Coverage, 7928,
     /* 1159053 */     GIR_EraseRootFromParent_Done,
     /* 1159054 */   // Label 16914: @1159054
     /* 1159054 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159135), // Rule ID 7929 //
     /* 1159059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1159070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1159073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1159079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1159082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1159112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1159115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159134 */     // GIR_Coverage, 7929,
     /* 1159134 */     GIR_EraseRootFromParent_Done,
     /* 1159135 */   // Label 16915: @1159135
     /* 1159135 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159216), // Rule ID 7932 //
     /* 1159140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1159151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1159154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1159163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1159193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1159196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159215 */     // GIR_Coverage, 7932,
     /* 1159215 */     GIR_EraseRootFromParent_Done,
     /* 1159216 */   // Label 16916: @1159216
     /* 1159216 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159297), // Rule ID 7933 //
     /* 1159221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1159232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1159235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1159241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1159244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1159274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1159277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159296 */     // GIR_Coverage, 7933,
     /* 1159296 */     GIR_EraseRootFromParent_Done,
     /* 1159297 */   // Label 16917: @1159297
     /* 1159297 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159378), // Rule ID 7936 //
     /* 1159302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1159313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1159316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1159325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1159355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1159358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159377 */     // GIR_Coverage, 7936,
     /* 1159377 */     GIR_EraseRootFromParent_Done,
     /* 1159378 */   // Label 16918: @1159378
     /* 1159378 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159459), // Rule ID 7937 //
     /* 1159383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1159394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1159397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1159403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1159406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1159436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1159439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159458 */     // GIR_Coverage, 7937,
     /* 1159458 */     GIR_EraseRootFromParent_Done,
     /* 1159459 */   // Label 16919: @1159459
     /* 1159459 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159540), // Rule ID 7940 //
     /* 1159464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1159475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1159478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1159481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1159484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1159487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1159517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159539 */     // GIR_Coverage, 7940,
     /* 1159539 */     GIR_EraseRootFromParent_Done,
     /* 1159540 */   // Label 16920: @1159540
     /* 1159540 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159621), // Rule ID 7941 //
     /* 1159545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1159556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1159559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1159562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1159565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1159568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1159598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159620 */     // GIR_Coverage, 7941,
     /* 1159620 */     GIR_EraseRootFromParent_Done,
     /* 1159621 */   // Label 16921: @1159621
     /* 1159621 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159702), // Rule ID 7944 //
     /* 1159626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1159637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1159640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1159643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1159646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1159649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1159679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159701 */     // GIR_Coverage, 7944,
     /* 1159701 */     GIR_EraseRootFromParent_Done,
     /* 1159702 */   // Label 16922: @1159702
     /* 1159702 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1159783), // Rule ID 7945 //
     /* 1159707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1159718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1159721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1159724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1159727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1159730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1159760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159782 */     // GIR_Coverage, 7945,
     /* 1159782 */     GIR_EraseRootFromParent_Done,
     /* 1159783 */   // Label 16923: @1159783
     /* 1159783 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1159864), // Rule ID 7948 //
     /* 1159788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1159799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1159802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1159811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1159841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159863 */     // GIR_Coverage, 7948,
     /* 1159863 */     GIR_EraseRootFromParent_Done,
     /* 1159864 */   // Label 16924: @1159864
     /* 1159864 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1159945), // Rule ID 7949 //
     /* 1159869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1159880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1159883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1159892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1159922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1159925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1159935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159944 */     // GIR_Coverage, 7949,
     /* 1159944 */     GIR_EraseRootFromParent_Done,
     /* 1159945 */   // Label 16925: @1159945
     /* 1159945 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160026), // Rule ID 7952 //
     /* 1159950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1159958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1159961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1159964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1159967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1159973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1159996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160003 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1160003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1160006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160025 */     // GIR_Coverage, 7952,
     /* 1160025 */     GIR_EraseRootFromParent_Done,
     /* 1160026 */   // Label 16926: @1160026
     /* 1160026 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160107), // Rule ID 7953 //
     /* 1160031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1160042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1160045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1160048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1160054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1160084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1160087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160106 */     // GIR_Coverage, 7953,
     /* 1160106 */     GIR_EraseRootFromParent_Done,
     /* 1160107 */   // Label 16927: @1160107
     /* 1160107 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160188), // Rule ID 7956 //
     /* 1160112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1160123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1160126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1160135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1160165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1160168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160187 */     // GIR_Coverage, 7956,
     /* 1160187 */     GIR_EraseRootFromParent_Done,
     /* 1160188 */   // Label 16928: @1160188
     /* 1160188 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160269), // Rule ID 7957 //
     /* 1160193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1160204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1160207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1160210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1160213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1160216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160246 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1160246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1160249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160268 */     // GIR_Coverage, 7957,
     /* 1160268 */     GIR_EraseRootFromParent_Done,
     /* 1160269 */   // Label 16929: @1160269
     /* 1160269 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160350), // Rule ID 7960 //
     /* 1160274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1160285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1160288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1160297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160327 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1160327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1160330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160349 */     // GIR_Coverage, 7960,
     /* 1160349 */     GIR_EraseRootFromParent_Done,
     /* 1160350 */   // Label 16930: @1160350
     /* 1160350 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160431), // Rule ID 7961 //
     /* 1160355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1160366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1160369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1160372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1160375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1160378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160408 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1160408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1160411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160430 */     // GIR_Coverage, 7961,
     /* 1160430 */     GIR_EraseRootFromParent_Done,
     /* 1160431 */   // Label 16931: @1160431
     /* 1160431 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160512), // Rule ID 7964 //
     /* 1160436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1160447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1160450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1160453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1160456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1160459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160489 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1160489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1160492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160511 */     // GIR_Coverage, 7964,
     /* 1160511 */     GIR_EraseRootFromParent_Done,
     /* 1160512 */   // Label 16932: @1160512
     /* 1160512 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160593), // Rule ID 7965 //
     /* 1160517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1160528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1160531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1160534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1160537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1160540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160570 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1160570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1160573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160592 */     // GIR_Coverage, 7965,
     /* 1160592 */     GIR_EraseRootFromParent_Done,
     /* 1160593 */   // Label 16933: @1160593
     /* 1160593 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160674), // Rule ID 7968 //
     /* 1160598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1160609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1160612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1160615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1160618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1160621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1160651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1160654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160673 */     // GIR_Coverage, 7968,
     /* 1160673 */     GIR_EraseRootFromParent_Done,
     /* 1160674 */   // Label 16934: @1160674
     /* 1160674 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1160755), // Rule ID 7969 //
     /* 1160679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1160690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1160693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1160696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1160699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1160702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1160732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1160735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160754 */     // GIR_Coverage, 7969,
     /* 1160754 */     GIR_EraseRootFromParent_Done,
     /* 1160755 */   // Label 16935: @1160755
     /* 1160755 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1160836), // Rule ID 7972 //
     /* 1160760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1160771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1160774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1160777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1160780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1160783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1160813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1160816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160835 */     // GIR_Coverage, 7972,
     /* 1160835 */     GIR_EraseRootFromParent_Done,
     /* 1160836 */   // Label 16936: @1160836
     /* 1160836 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1160917), // Rule ID 7973 //
     /* 1160841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1160852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1160855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1160858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1160861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1160864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1160894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1160897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160916 */     // GIR_Coverage, 7973,
     /* 1160916 */     GIR_EraseRootFromParent_Done,
     /* 1160917 */   // Label 16937: @1160917
     /* 1160917 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1160998), // Rule ID 7976 //
     /* 1160922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1160930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1160933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1160936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1160942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1160945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1160968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160975 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1160975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1160978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1160988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160997 */     // GIR_Coverage, 7976,
     /* 1160997 */     GIR_EraseRootFromParent_Done,
     /* 1160998 */   // Label 16938: @1160998
     /* 1160998 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161079), // Rule ID 7977 //
     /* 1161003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1161014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1161017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1161020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1161023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1161026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1161056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1161059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161078 */     // GIR_Coverage, 7977,
     /* 1161078 */     GIR_EraseRootFromParent_Done,
     /* 1161079 */   // Label 16939: @1161079
     /* 1161079 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161160), // Rule ID 7980 //
     /* 1161084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1161095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1161098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1161107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161137 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1161137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1161140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161159 */     // GIR_Coverage, 7980,
     /* 1161159 */     GIR_EraseRootFromParent_Done,
     /* 1161160 */   // Label 16940: @1161160
     /* 1161160 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161241), // Rule ID 7981 //
     /* 1161165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1161176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1161179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1161185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1161188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161218 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1161218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1161221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161240 */     // GIR_Coverage, 7981,
     /* 1161240 */     GIR_EraseRootFromParent_Done,
     /* 1161241 */   // Label 16941: @1161241
     /* 1161241 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161322), // Rule ID 7984 //
     /* 1161246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1161257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1161260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1161269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161299 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1161299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1161302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161321 */     // GIR_Coverage, 7984,
     /* 1161321 */     GIR_EraseRootFromParent_Done,
     /* 1161322 */   // Label 16942: @1161322
     /* 1161322 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161403), // Rule ID 7985 //
     /* 1161327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1161338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1161341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1161347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1161350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1161380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1161383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161402 */     // GIR_Coverage, 7985,
     /* 1161402 */     GIR_EraseRootFromParent_Done,
     /* 1161403 */   // Label 16943: @1161403
     /* 1161403 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161484), // Rule ID 7988 //
     /* 1161408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1161419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1161422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1161428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1161431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161461 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1161461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1161464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161483 */     // GIR_Coverage, 7988,
     /* 1161483 */     GIR_EraseRootFromParent_Done,
     /* 1161484 */   // Label 16944: @1161484
     /* 1161484 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161565), // Rule ID 7989 //
     /* 1161489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1161500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1161503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1161509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1161512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161542 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1161542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1161545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161564 */     // GIR_Coverage, 7989,
     /* 1161564 */     GIR_EraseRootFromParent_Done,
     /* 1161565 */   // Label 16945: @1161565
     /* 1161565 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161646), // Rule ID 7992 //
     /* 1161570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1161573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1161581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1161584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1161587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1161590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1161593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161623 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1161623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1161626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161645 */     // GIR_Coverage, 7992,
     /* 1161645 */     GIR_EraseRootFromParent_Done,
     /* 1161646 */   // Label 16946: @1161646
     /* 1161646 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161727), // Rule ID 7993 //
     /* 1161651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1161662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1161665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1161668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1161671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1161674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1161704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1161707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161726 */     // GIR_Coverage, 7993,
     /* 1161726 */     GIR_EraseRootFromParent_Done,
     /* 1161727 */   // Label 16947: @1161727
     /* 1161727 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1161808), // Rule ID 7996 //
     /* 1161732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1161735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1161743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1161746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1161749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1161752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1161755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1161785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1161788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161807 */     // GIR_Coverage, 7996,
     /* 1161807 */     GIR_EraseRootFromParent_Done,
     /* 1161808 */   // Label 16948: @1161808
     /* 1161808 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1161889), // Rule ID 7997 //
     /* 1161813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1161824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1161827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1161830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1161833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1161836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1161866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1161869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161888 */     // GIR_Coverage, 7997,
     /* 1161888 */     GIR_EraseRootFromParent_Done,
     /* 1161889 */   // Label 16949: @1161889
     /* 1161889 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1161970), // Rule ID 8000 //
     /* 1161894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1161897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1161905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1161908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1161911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1161914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1161917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1161940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161947 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1161947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1161950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1161960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161969 */     // GIR_Coverage, 8000,
     /* 1161969 */     GIR_EraseRootFromParent_Done,
     /* 1161970 */   // Label 16950: @1161970
     /* 1161970 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162051), // Rule ID 8001 //
     /* 1161975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1161983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1161986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1161989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1161992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1161995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1161998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1162028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1162031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162050 */     // GIR_Coverage, 8001,
     /* 1162050 */     GIR_EraseRootFromParent_Done,
     /* 1162051 */   // Label 16951: @1162051
     /* 1162051 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162132), // Rule ID 8004 //
     /* 1162056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162109 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1162112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162131 */     // GIR_Coverage, 8004,
     /* 1162131 */     GIR_EraseRootFromParent_Done,
     /* 1162132 */   // Label 16952: @1162132
     /* 1162132 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162213), // Rule ID 8005 //
     /* 1162137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1162193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162212 */     // GIR_Coverage, 8005,
     /* 1162212 */     GIR_EraseRootFromParent_Done,
     /* 1162213 */   // Label 16953: @1162213
     /* 1162213 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162294), // Rule ID 8008 //
     /* 1162218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1162229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1162232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1162241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162271 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1162274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162293 */     // GIR_Coverage, 8008,
     /* 1162293 */     GIR_EraseRootFromParent_Done,
     /* 1162294 */   // Label 16954: @1162294
     /* 1162294 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162375), // Rule ID 8009 //
     /* 1162299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1162310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1162313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1162316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1162322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1162355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162374 */     // GIR_Coverage, 8009,
     /* 1162374 */     GIR_EraseRootFromParent_Done,
     /* 1162375 */   // Label 16955: @1162375
     /* 1162375 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162456), // Rule ID 8012 //
     /* 1162380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1162391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1162394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1162403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1162436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162455 */     // GIR_Coverage, 8012,
     /* 1162455 */     GIR_EraseRootFromParent_Done,
     /* 1162456 */   // Label 16956: @1162456
     /* 1162456 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162537), // Rule ID 8013 //
     /* 1162461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1162472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1162475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1162478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1162484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1162517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162536 */     // GIR_Coverage, 8013,
     /* 1162536 */     GIR_EraseRootFromParent_Done,
     /* 1162537 */   // Label 16957: @1162537
     /* 1162537 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162618), // Rule ID 8016 //
     /* 1162542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1162559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1162595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1162598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162617 */     // GIR_Coverage, 8016,
     /* 1162617 */     GIR_EraseRootFromParent_Done,
     /* 1162618 */   // Label 16958: @1162618
     /* 1162618 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162699), // Rule ID 8017 //
     /* 1162623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1162640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1162676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1162679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162698 */     // GIR_Coverage, 8017,
     /* 1162698 */     GIR_EraseRootFromParent_Done,
     /* 1162699 */   // Label 16959: @1162699
     /* 1162699 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1162780), // Rule ID 8020 //
     /* 1162704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1162715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1162718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1162721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1162727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1162757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1162760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162779 */     // GIR_Coverage, 8020,
     /* 1162779 */     GIR_EraseRootFromParent_Done,
     /* 1162780 */   // Label 16960: @1162780
     /* 1162780 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1162861), // Rule ID 8021 //
     /* 1162785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1162796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1162799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1162802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1162808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162838 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1162838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1162841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162860 */     // GIR_Coverage, 8021,
     /* 1162860 */     GIR_EraseRootFromParent_Done,
     /* 1162861 */   // Label 16961: @1162861
     /* 1162861 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1162942), // Rule ID 8024 //
     /* 1162866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1162883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162919 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1162919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1162922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1162932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162941 */     // GIR_Coverage, 8024,
     /* 1162941 */     GIR_EraseRootFromParent_Done,
     /* 1162942 */   // Label 16962: @1162942
     /* 1162942 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163023), // Rule ID 8025 //
     /* 1162947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1162955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1162964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1163000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1163003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163022 */     // GIR_Coverage, 8025,
     /* 1163022 */     GIR_EraseRootFromParent_Done,
     /* 1163023 */   // Label 16963: @1163023
     /* 1163023 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163104), // Rule ID 8028 //
     /* 1163028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1163039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1163042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1163051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1163081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163103 */     // GIR_Coverage, 8028,
     /* 1163103 */     GIR_EraseRootFromParent_Done,
     /* 1163104 */   // Label 16964: @1163104
     /* 1163104 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163185), // Rule ID 8029 //
     /* 1163109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1163120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1163123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1163126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1163132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163162 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1163162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163184 */     // GIR_Coverage, 8029,
     /* 1163184 */     GIR_EraseRootFromParent_Done,
     /* 1163185 */   // Label 16965: @1163185
     /* 1163185 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163266), // Rule ID 8032 //
     /* 1163190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1163201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1163204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1163213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1163243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163265 */     // GIR_Coverage, 8032,
     /* 1163265 */     GIR_EraseRootFromParent_Done,
     /* 1163266 */   // Label 16966: @1163266
     /* 1163266 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163347), // Rule ID 8033 //
     /* 1163271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1163282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1163285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1163288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1163294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1163324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163346 */     // GIR_Coverage, 8033,
     /* 1163346 */     GIR_EraseRootFromParent_Done,
     /* 1163347 */   // Label 16967: @1163347
     /* 1163347 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163428), // Rule ID 8036 //
     /* 1163352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1163363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1163366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163405 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1163405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163427 */     // GIR_Coverage, 8036,
     /* 1163427 */     GIR_EraseRootFromParent_Done,
     /* 1163428 */   // Label 16968: @1163428
     /* 1163428 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163509), // Rule ID 8037 //
     /* 1163433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1163444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1163447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1163450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163486 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1163486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163508 */     // GIR_Coverage, 8037,
     /* 1163508 */     GIR_EraseRootFromParent_Done,
     /* 1163509 */   // Label 16969: @1163509
     /* 1163509 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163590), // Rule ID 8040 //
     /* 1163514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1163525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1163528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1163567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163589 */     // GIR_Coverage, 8040,
     /* 1163589 */     GIR_EraseRootFromParent_Done,
     /* 1163590 */   // Label 16970: @1163590
     /* 1163590 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163671), // Rule ID 8041 //
     /* 1163595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1163598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1163606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1163609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1163612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1163648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1163651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163670 */     // GIR_Coverage, 8041,
     /* 1163670 */     GIR_EraseRootFromParent_Done,
     /* 1163671 */   // Label 16971: @1163671
     /* 1163671 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163752), // Rule ID 8044 //
     /* 1163676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1163687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1163690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1163693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1163699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163729 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1163729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1163732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163751 */     // GIR_Coverage, 8044,
     /* 1163751 */     GIR_EraseRootFromParent_Done,
     /* 1163752 */   // Label 16972: @1163752
     /* 1163752 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1163833), // Rule ID 8045 //
     /* 1163757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1163768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1163771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1163774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1163780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163810 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1163810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1163813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163832 */     // GIR_Coverage, 8045,
     /* 1163832 */     GIR_EraseRootFromParent_Done,
     /* 1163833 */   // Label 16973: @1163833
     /* 1163833 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1163914), // Rule ID 8048 //
     /* 1163838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1163849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1163852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1163855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1163861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163891 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1163891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1163894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163913 */     // GIR_Coverage, 8048,
     /* 1163913 */     GIR_EraseRootFromParent_Done,
     /* 1163914 */   // Label 16974: @1163914
     /* 1163914 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1163995), // Rule ID 8049 //
     /* 1163919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1163927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1163930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1163933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1163936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1163942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163972 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1163972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1163975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1163985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163994 */     // GIR_Coverage, 8049,
     /* 1163994 */     GIR_EraseRootFromParent_Done,
     /* 1163995 */   // Label 16975: @1163995
     /* 1163995 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164076), // Rule ID 8052 //
     /* 1164000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1164011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1164014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1164023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164053 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1164053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1164056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164075 */     // GIR_Coverage, 8052,
     /* 1164075 */     GIR_EraseRootFromParent_Done,
     /* 1164076 */   // Label 16976: @1164076
     /* 1164076 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164157), // Rule ID 8053 //
     /* 1164081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1164092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1164095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1164098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1164104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164134 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1164134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1164137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164156 */     // GIR_Coverage, 8053,
     /* 1164156 */     GIR_EraseRootFromParent_Done,
     /* 1164157 */   // Label 16977: @1164157
     /* 1164157 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164238), // Rule ID 8056 //
     /* 1164162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1164173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1164176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1164215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1164218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164237 */     // GIR_Coverage, 8056,
     /* 1164237 */     GIR_EraseRootFromParent_Done,
     /* 1164238 */   // Label 16978: @1164238
     /* 1164238 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164319), // Rule ID 8057 //
     /* 1164243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1164254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1164257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1164260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1164296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1164299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164318 */     // GIR_Coverage, 8057,
     /* 1164318 */     GIR_EraseRootFromParent_Done,
     /* 1164319 */   // Label 16979: @1164319
     /* 1164319 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164400), // Rule ID 8060 //
     /* 1164324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1164335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1164338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1164347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164377 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1164377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1164380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164399 */     // GIR_Coverage, 8060,
     /* 1164399 */     GIR_EraseRootFromParent_Done,
     /* 1164400 */   // Label 16980: @1164400
     /* 1164400 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164481), // Rule ID 8061 //
     /* 1164405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1164416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1164419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1164422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1164428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164458 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1164458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1164461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164480 */     // GIR_Coverage, 8061,
     /* 1164480 */     GIR_EraseRootFromParent_Done,
     /* 1164481 */   // Label 16981: @1164481
     /* 1164481 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164562), // Rule ID 8064 //
     /* 1164486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1164497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1164500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1164503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1164509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164539 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1164539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1164542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164561 */     // GIR_Coverage, 8064,
     /* 1164561 */     GIR_EraseRootFromParent_Done,
     /* 1164562 */   // Label 16982: @1164562
     /* 1164562 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164643), // Rule ID 8065 //
     /* 1164567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1164578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1164581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1164584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1164590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1164620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1164623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164642 */     // GIR_Coverage, 8065,
     /* 1164642 */     GIR_EraseRootFromParent_Done,
     /* 1164643 */   // Label 16983: @1164643
     /* 1164643 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164724), // Rule ID 8068 //
     /* 1164648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1164659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1164662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1164665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1164671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1164701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1164704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164723 */     // GIR_Coverage, 8068,
     /* 1164723 */     GIR_EraseRootFromParent_Done,
     /* 1164724 */   // Label 16984: @1164724
     /* 1164724 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1164805), // Rule ID 8069 //
     /* 1164729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1164740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1164743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1164746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1164752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1164782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1164785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164804 */     // GIR_Coverage, 8069,
     /* 1164804 */     GIR_EraseRootFromParent_Done,
     /* 1164805 */   // Label 16985: @1164805
     /* 1164805 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1164886), // Rule ID 8072 //
     /* 1164810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1164821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1164824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1164827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1164863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1164866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164885 */     // GIR_Coverage, 8072,
     /* 1164885 */     GIR_EraseRootFromParent_Done,
     /* 1164886 */   // Label 16986: @1164886
     /* 1164886 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1164967), // Rule ID 8073 //
     /* 1164891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1164902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1164905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1164908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1164944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1164947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1164957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164966 */     // GIR_Coverage, 8073,
     /* 1164966 */     GIR_EraseRootFromParent_Done,
     /* 1164967 */   // Label 16987: @1164967
     /* 1164967 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165048), // Rule ID 8076 //
     /* 1164972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1164980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1164983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1164986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1164989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1164995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165025 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1165025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1165028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165047 */     // GIR_Coverage, 8076,
     /* 1165047 */     GIR_EraseRootFromParent_Done,
     /* 1165048 */   // Label 16988: @1165048
     /* 1165048 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165129), // Rule ID 8077 //
     /* 1165053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1165064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1165067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1165070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1165076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165106 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1165106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1165109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165128 */     // GIR_Coverage, 8077,
     /* 1165128 */     GIR_EraseRootFromParent_Done,
     /* 1165129 */   // Label 16989: @1165129
     /* 1165129 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165210), // Rule ID 8080 //
     /* 1165134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1165145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1165148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1165157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1165187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1165190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165209 */     // GIR_Coverage, 8080,
     /* 1165209 */     GIR_EraseRootFromParent_Done,
     /* 1165210 */   // Label 16990: @1165210
     /* 1165210 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165291), // Rule ID 8081 //
     /* 1165215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1165226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1165229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1165232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1165238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1165268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1165271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165290 */     // GIR_Coverage, 8081,
     /* 1165290 */     GIR_EraseRootFromParent_Done,
     /* 1165291 */   // Label 16991: @1165291
     /* 1165291 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165372), // Rule ID 8084 //
     /* 1165296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1165307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1165310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1165319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1165349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1165352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165371 */     // GIR_Coverage, 8084,
     /* 1165371 */     GIR_EraseRootFromParent_Done,
     /* 1165372 */   // Label 16992: @1165372
     /* 1165372 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165453), // Rule ID 8085 //
     /* 1165377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1165388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1165391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1165394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1165400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1165430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1165433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165452 */     // GIR_Coverage, 8085,
     /* 1165452 */     GIR_EraseRootFromParent_Done,
     /* 1165453 */   // Label 16993: @1165453
     /* 1165453 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165534), // Rule ID 8088 //
     /* 1165458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1165469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1165472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1165481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1165511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1165514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165533 */     // GIR_Coverage, 8088,
     /* 1165533 */     GIR_EraseRootFromParent_Done,
     /* 1165534 */   // Label 16994: @1165534
     /* 1165534 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165615), // Rule ID 8089 //
     /* 1165539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1165547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1165550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1165553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1165556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1165562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1165592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1165595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165614 */     // GIR_Coverage, 8089,
     /* 1165614 */     GIR_EraseRootFromParent_Done,
     /* 1165615 */   // Label 16995: @1165615
     /* 1165615 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165696), // Rule ID 8180 //
     /* 1165620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1165628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1165631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1165634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1165637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1165640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1165643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1165673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1165676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165695 */     // GIR_Coverage, 8180,
     /* 1165695 */     GIR_EraseRootFromParent_Done,
     /* 1165696 */   // Label 16996: @1165696
     /* 1165696 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165777), // Rule ID 8181 //
     /* 1165701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1165709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1165712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1165715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1165718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1165721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1165724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1165754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1165757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165776 */     // GIR_Coverage, 8181,
     /* 1165776 */     GIR_EraseRootFromParent_Done,
     /* 1165777 */   // Label 16997: @1165777
     /* 1165777 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1165858), // Rule ID 8184 //
     /* 1165782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1165790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1165793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1165796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1165799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1165802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1165805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1165835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1165838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165857 */     // GIR_Coverage, 8184,
     /* 1165857 */     GIR_EraseRootFromParent_Done,
     /* 1165858 */   // Label 16998: @1165858
     /* 1165858 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1165939), // Rule ID 8185 //
     /* 1165863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1165871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1165874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1165877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1165880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1165883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1165886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1165916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1165919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1165929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165938 */     // GIR_Coverage, 8185,
     /* 1165938 */     GIR_EraseRootFromParent_Done,
     /* 1165939 */   // Label 16999: @1165939
     /* 1165939 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166020), // Rule ID 8188 //
     /* 1165944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1165952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1165955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1165958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1165961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1165964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1165967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165997 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1165997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166019 */     // GIR_Coverage, 8188,
     /* 1166019 */     GIR_EraseRootFromParent_Done,
     /* 1166020 */   // Label 17000: @1166020
     /* 1166020 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166101), // Rule ID 8189 //
     /* 1166025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1166036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1166039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1166042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1166045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1166078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166100 */     // GIR_Coverage, 8189,
     /* 1166100 */     GIR_EraseRootFromParent_Done,
     /* 1166101 */   // Label 17001: @1166101
     /* 1166101 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166182), // Rule ID 8192 //
     /* 1166106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1166117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1166120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1166129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1166159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1166162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166181 */     // GIR_Coverage, 8192,
     /* 1166181 */     GIR_EraseRootFromParent_Done,
     /* 1166182 */   // Label 17002: @1166182
     /* 1166182 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166263), // Rule ID 8193 //
     /* 1166187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1166198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1166201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1166204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1166207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1166210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1166240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1166243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166262 */     // GIR_Coverage, 8193,
     /* 1166262 */     GIR_EraseRootFromParent_Done,
     /* 1166263 */   // Label 17003: @1166263
     /* 1166263 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166344), // Rule ID 8196 //
     /* 1166268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1166279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1166282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1166291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166321 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1166321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166343 */     // GIR_Coverage, 8196,
     /* 1166343 */     GIR_EraseRootFromParent_Done,
     /* 1166344 */   // Label 17004: @1166344
     /* 1166344 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166425), // Rule ID 8197 //
     /* 1166349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1166360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1166363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1166366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1166369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1166372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1166402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166424 */     // GIR_Coverage, 8197,
     /* 1166424 */     GIR_EraseRootFromParent_Done,
     /* 1166425 */   // Label 17005: @1166425
     /* 1166425 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166506), // Rule ID 8200 //
     /* 1166430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1166441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1166444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1166453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166483 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1166483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166505 */     // GIR_Coverage, 8200,
     /* 1166505 */     GIR_EraseRootFromParent_Done,
     /* 1166506 */   // Label 17006: @1166506
     /* 1166506 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166587), // Rule ID 8201 //
     /* 1166511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1166522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1166525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1166528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1166531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1166534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1166564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1166567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166586 */     // GIR_Coverage, 8201,
     /* 1166586 */     GIR_EraseRootFromParent_Done,
     /* 1166587 */   // Label 17007: @1166587
     /* 1166587 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166668), // Rule ID 8204 //
     /* 1166592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1166603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1166606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1166609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1166612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1166615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166645 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1166645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1166648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166667 */     // GIR_Coverage, 8204,
     /* 1166667 */     GIR_EraseRootFromParent_Done,
     /* 1166668 */   // Label 17008: @1166668
     /* 1166668 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166749), // Rule ID 8205 //
     /* 1166673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1166684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1166687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1166690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1166693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1166696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166726 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1166726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1166729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166748 */     // GIR_Coverage, 8205,
     /* 1166748 */     GIR_EraseRootFromParent_Done,
     /* 1166749 */   // Label 17009: @1166749
     /* 1166749 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1166830), // Rule ID 8208 //
     /* 1166754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1166765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1166768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1166771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1166774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166807 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1166807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1166810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166829 */     // GIR_Coverage, 8208,
     /* 1166829 */     GIR_EraseRootFromParent_Done,
     /* 1166830 */   // Label 17010: @1166830
     /* 1166830 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1166911), // Rule ID 8209 //
     /* 1166835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1166846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1166849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1166852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1166855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1166888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1166891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166910 */     // GIR_Coverage, 8209,
     /* 1166910 */     GIR_EraseRootFromParent_Done,
     /* 1166911 */   // Label 17011: @1166911
     /* 1166911 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1166992), // Rule ID 8212 //
     /* 1166916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1166924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1166927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1166930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1166933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1166936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1166939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1166969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1166972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1166982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166991 */     // GIR_Coverage, 8212,
     /* 1166991 */     GIR_EraseRootFromParent_Done,
     /* 1166992 */   // Label 17012: @1166992
     /* 1166992 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167073), // Rule ID 8213 //
     /* 1166997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1167008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1167011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1167014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1167017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1167020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167050 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1167050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1167053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167072 */     // GIR_Coverage, 8213,
     /* 1167072 */     GIR_EraseRootFromParent_Done,
     /* 1167073 */   // Label 17013: @1167073
     /* 1167073 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167154), // Rule ID 8216 //
     /* 1167078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1167089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1167092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167131 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1167131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1167134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167153 */     // GIR_Coverage, 8216,
     /* 1167153 */     GIR_EraseRootFromParent_Done,
     /* 1167154 */   // Label 17014: @1167154
     /* 1167154 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167235), // Rule ID 8217 //
     /* 1167159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1167170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1167173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1167212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1167215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167234 */     // GIR_Coverage, 8217,
     /* 1167234 */     GIR_EraseRootFromParent_Done,
     /* 1167235 */   // Label 17015: @1167235
     /* 1167235 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167316), // Rule ID 8220 //
     /* 1167240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1167251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1167254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1167263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1167296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167315 */     // GIR_Coverage, 8220,
     /* 1167315 */     GIR_EraseRootFromParent_Done,
     /* 1167316 */   // Label 17016: @1167316
     /* 1167316 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167397), // Rule ID 8221 //
     /* 1167321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1167332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1167335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1167338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1167344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167374 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1167377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167396 */     // GIR_Coverage, 8221,
     /* 1167396 */     GIR_EraseRootFromParent_Done,
     /* 1167397 */   // Label 17017: @1167397
     /* 1167397 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167478), // Rule ID 8224 //
     /* 1167402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1167413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1167416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1167425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167455 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1167458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167477 */     // GIR_Coverage, 8224,
     /* 1167477 */     GIR_EraseRootFromParent_Done,
     /* 1167478 */   // Label 17018: @1167478
     /* 1167478 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167559), // Rule ID 8225 //
     /* 1167483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1167494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1167497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1167500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1167506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167536 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1167539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167558 */     // GIR_Coverage, 8225,
     /* 1167558 */     GIR_EraseRootFromParent_Done,
     /* 1167559 */   // Label 17019: @1167559
     /* 1167559 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167640), // Rule ID 8228 //
     /* 1167564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1167575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1167578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1167581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1167584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1167587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167617 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1167620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167639 */     // GIR_Coverage, 8228,
     /* 1167639 */     GIR_EraseRootFromParent_Done,
     /* 1167640 */   // Label 17020: @1167640
     /* 1167640 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167721), // Rule ID 8229 //
     /* 1167645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1167656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1167659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1167662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1167665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1167668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167698 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1167701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167720 */     // GIR_Coverage, 8229,
     /* 1167720 */     GIR_EraseRootFromParent_Done,
     /* 1167721 */   // Label 17021: @1167721
     /* 1167721 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167802), // Rule ID 8232 //
     /* 1167726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1167737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1167740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1167743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1167746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1167749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1167779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1167782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167801 */     // GIR_Coverage, 8232,
     /* 1167801 */     GIR_EraseRootFromParent_Done,
     /* 1167802 */   // Label 17022: @1167802
     /* 1167802 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1167883), // Rule ID 8233 //
     /* 1167807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1167818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1167821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1167824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1167827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1167830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1167860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1167863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167882 */     // GIR_Coverage, 8233,
     /* 1167882 */     GIR_EraseRootFromParent_Done,
     /* 1167883 */   // Label 17023: @1167883
     /* 1167883 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1167964), // Rule ID 8236 //
     /* 1167888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1167899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1167902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1167908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1167911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1167941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1167944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1167954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167963 */     // GIR_Coverage, 8236,
     /* 1167963 */     GIR_EraseRootFromParent_Done,
     /* 1167964 */   // Label 17024: @1167964
     /* 1167964 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168045), // Rule ID 8237 //
     /* 1167969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1167977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1167980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1167983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1167989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1167992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168022 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1168022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1168025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168044 */     // GIR_Coverage, 8237,
     /* 1168044 */     GIR_EraseRootFromParent_Done,
     /* 1168045 */   // Label 17025: @1168045
     /* 1168045 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168126), // Rule ID 8240 //
     /* 1168050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1168061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1168064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1168073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168103 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1168103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1168106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168125 */     // GIR_Coverage, 8240,
     /* 1168125 */     GIR_EraseRootFromParent_Done,
     /* 1168126 */   // Label 17026: @1168126
     /* 1168126 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168207), // Rule ID 8241 //
     /* 1168131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1168142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1168145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1168151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1168154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1168184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1168187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168206 */     // GIR_Coverage, 8241,
     /* 1168206 */     GIR_EraseRootFromParent_Done,
     /* 1168207 */   // Label 17027: @1168207
     /* 1168207 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168288), // Rule ID 8244 //
     /* 1168212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1168223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1168226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1168265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1168268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168287 */     // GIR_Coverage, 8244,
     /* 1168287 */     GIR_EraseRootFromParent_Done,
     /* 1168288 */   // Label 17028: @1168288
     /* 1168288 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168369), // Rule ID 8245 //
     /* 1168293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1168304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1168307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1168313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1168346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1168349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168368 */     // GIR_Coverage, 8245,
     /* 1168368 */     GIR_EraseRootFromParent_Done,
     /* 1168369 */   // Label 17029: @1168369
     /* 1168369 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168450), // Rule ID 8248 //
     /* 1168374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1168385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1168388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1168397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1168427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1168430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168449 */     // GIR_Coverage, 8248,
     /* 1168449 */     GIR_EraseRootFromParent_Done,
     /* 1168450 */   // Label 17030: @1168450
     /* 1168450 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168531), // Rule ID 8249 //
     /* 1168455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1168466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1168469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1168475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1168478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1168508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1168511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168530 */     // GIR_Coverage, 8249,
     /* 1168530 */     GIR_EraseRootFromParent_Done,
     /* 1168531 */   // Label 17031: @1168531
     /* 1168531 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168612), // Rule ID 8252 //
     /* 1168536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1168547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1168550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1168556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1168559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168589 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1168589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1168592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168611 */     // GIR_Coverage, 8252,
     /* 1168611 */     GIR_EraseRootFromParent_Done,
     /* 1168612 */   // Label 17032: @1168612
     /* 1168612 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168693), // Rule ID 8253 //
     /* 1168617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1168628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1168631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1168637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1168640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1168670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1168673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168692 */     // GIR_Coverage, 8253,
     /* 1168692 */     GIR_EraseRootFromParent_Done,
     /* 1168693 */   // Label 17033: @1168693
     /* 1168693 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168774), // Rule ID 8256 //
     /* 1168698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1168709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1168712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1168715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1168718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1168751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1168754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168773 */     // GIR_Coverage, 8256,
     /* 1168773 */     GIR_EraseRootFromParent_Done,
     /* 1168774 */   // Label 17034: @1168774
     /* 1168774 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1168855), // Rule ID 8257 //
     /* 1168779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1168790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1168793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1168796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1168799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1168832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1168835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168854 */     // GIR_Coverage, 8257,
     /* 1168854 */     GIR_EraseRootFromParent_Done,
     /* 1168855 */   // Label 17035: @1168855
     /* 1168855 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1168936), // Rule ID 8260 //
     /* 1168860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1168871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1168874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1168880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1168913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1168916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1168926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168935 */     // GIR_Coverage, 8260,
     /* 1168935 */     GIR_EraseRootFromParent_Done,
     /* 1168936 */   // Label 17036: @1168936
     /* 1168936 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169017), // Rule ID 8261 //
     /* 1168941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1168949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1168952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1168955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1168961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1168994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1168997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169016 */     // GIR_Coverage, 8261,
     /* 1169016 */     GIR_EraseRootFromParent_Done,
     /* 1169017 */   // Label 17037: @1169017
     /* 1169017 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169098), // Rule ID 8264 //
     /* 1169022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1169033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1169036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1169045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1169075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1169078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169097 */     // GIR_Coverage, 8264,
     /* 1169097 */     GIR_EraseRootFromParent_Done,
     /* 1169098 */   // Label 17038: @1169098
     /* 1169098 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169179), // Rule ID 8265 //
     /* 1169103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1169114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1169117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1169123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1169126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1169156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1169159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169178 */     // GIR_Coverage, 8265,
     /* 1169178 */     GIR_EraseRootFromParent_Done,
     /* 1169179 */   // Label 17039: @1169179
     /* 1169179 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169260), // Rule ID 8268 //
     /* 1169184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1169195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1169198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1169240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169259 */     // GIR_Coverage, 8268,
     /* 1169259 */     GIR_EraseRootFromParent_Done,
     /* 1169260 */   // Label 17040: @1169260
     /* 1169260 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169341), // Rule ID 8269 //
     /* 1169265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1169276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1169279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1169282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1169321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169340 */     // GIR_Coverage, 8269,
     /* 1169340 */     GIR_EraseRootFromParent_Done,
     /* 1169341 */   // Label 17041: @1169341
     /* 1169341 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169422), // Rule ID 8272 //
     /* 1169346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1169357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1169360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1169369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1169402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169421 */     // GIR_Coverage, 8272,
     /* 1169421 */     GIR_EraseRootFromParent_Done,
     /* 1169422 */   // Label 17042: @1169422
     /* 1169422 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169503), // Rule ID 8273 //
     /* 1169427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1169438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1169441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1169444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1169450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1169483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169502 */     // GIR_Coverage, 8273,
     /* 1169502 */     GIR_EraseRootFromParent_Done,
     /* 1169503 */   // Label 17043: @1169503
     /* 1169503 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169584), // Rule ID 8276 //
     /* 1169508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1169519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1169522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1169531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1169564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169583 */     // GIR_Coverage, 8276,
     /* 1169583 */     GIR_EraseRootFromParent_Done,
     /* 1169584 */   // Label 17044: @1169584
     /* 1169584 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169665), // Rule ID 8277 //
     /* 1169589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1169600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1169603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1169606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1169612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1169645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169664 */     // GIR_Coverage, 8277,
     /* 1169664 */     GIR_EraseRootFromParent_Done,
     /* 1169665 */   // Label 17045: @1169665
     /* 1169665 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169746), // Rule ID 8280 //
     /* 1169670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1169681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1169684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1169687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1169723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1169726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169745 */     // GIR_Coverage, 8280,
     /* 1169745 */     GIR_EraseRootFromParent_Done,
     /* 1169746 */   // Label 17046: @1169746
     /* 1169746 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169827), // Rule ID 8281 //
     /* 1169751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1169762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1169765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1169768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1169804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1169807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169826 */     // GIR_Coverage, 8281,
     /* 1169826 */     GIR_EraseRootFromParent_Done,
     /* 1169827 */   // Label 17047: @1169827
     /* 1169827 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1169908), // Rule ID 8284 //
     /* 1169832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1169843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1169846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1169855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169885 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1169885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1169888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169907 */     // GIR_Coverage, 8284,
     /* 1169907 */     GIR_EraseRootFromParent_Done,
     /* 1169908 */   // Label 17048: @1169908
     /* 1169908 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1169989), // Rule ID 8285 //
     /* 1169913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1169921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1169924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1169927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1169936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169966 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1169966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1169969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1169979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169988 */     // GIR_Coverage, 8285,
     /* 1169988 */     GIR_EraseRootFromParent_Done,
     /* 1169989 */   // Label 17049: @1169989
     /* 1169989 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170070), // Rule ID 8288 //
     /* 1169994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1170005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1170008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1170017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1170047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1170050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170069 */     // GIR_Coverage, 8288,
     /* 1170069 */     GIR_EraseRootFromParent_Done,
     /* 1170070 */   // Label 17050: @1170070
     /* 1170070 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170151), // Rule ID 8289 //
     /* 1170075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1170086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1170089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1170098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1170128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1170131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170150 */     // GIR_Coverage, 8289,
     /* 1170150 */     GIR_EraseRootFromParent_Done,
     /* 1170151 */   // Label 17051: @1170151
     /* 1170151 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170232), // Rule ID 8292 //
     /* 1170156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1170167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1170170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1170179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1170209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170231 */     // GIR_Coverage, 8292,
     /* 1170231 */     GIR_EraseRootFromParent_Done,
     /* 1170232 */   // Label 17052: @1170232
     /* 1170232 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170313), // Rule ID 8293 //
     /* 1170237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1170248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1170251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1170254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1170260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170290 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1170290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170312 */     // GIR_Coverage, 8293,
     /* 1170312 */     GIR_EraseRootFromParent_Done,
     /* 1170313 */   // Label 17053: @1170313
     /* 1170313 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170394), // Rule ID 8296 //
     /* 1170318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1170329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1170332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1170341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1170371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170393 */     // GIR_Coverage, 8296,
     /* 1170393 */     GIR_EraseRootFromParent_Done,
     /* 1170394 */   // Label 17054: @1170394
     /* 1170394 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170475), // Rule ID 8297 //
     /* 1170399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1170410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1170413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1170422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1170452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170474 */     // GIR_Coverage, 8297,
     /* 1170474 */     GIR_EraseRootFromParent_Done,
     /* 1170475 */   // Label 17055: @1170475
     /* 1170475 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170556), // Rule ID 8300 //
     /* 1170480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1170491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1170494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1170503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1170533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170555 */     // GIR_Coverage, 8300,
     /* 1170555 */     GIR_EraseRootFromParent_Done,
     /* 1170556 */   // Label 17056: @1170556
     /* 1170556 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170637), // Rule ID 8301 //
     /* 1170561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1170572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1170575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1170584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170614 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1170614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170636 */     // GIR_Coverage, 8301,
     /* 1170636 */     GIR_EraseRootFromParent_Done,
     /* 1170637 */   // Label 17057: @1170637
     /* 1170637 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170718), // Rule ID 8304 //
     /* 1170642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1170645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1170653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1170656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1170659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1170665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170695 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1170695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170717 */     // GIR_Coverage, 8304,
     /* 1170717 */     GIR_EraseRootFromParent_Done,
     /* 1170718 */   // Label 17058: @1170718
     /* 1170718 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170799), // Rule ID 8305 //
     /* 1170723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1170726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1170734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1170737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1170740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1170746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1170776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1170779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1170797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170798 */     // GIR_Coverage, 8305,
     /* 1170798 */     GIR_EraseRootFromParent_Done,
     /* 1170799 */   // Label 17059: @1170799
     /* 1170799 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1170880), // Rule ID 8308 //
     /* 1170804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1170815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1170818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1170821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170857 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1170857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1170860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170879 */     // GIR_Coverage, 8308,
     /* 1170879 */     GIR_EraseRootFromParent_Done,
     /* 1170880 */   // Label 17060: @1170880
     /* 1170880 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1170961), // Rule ID 8309 //
     /* 1170885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1170896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1170899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1170902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170938 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1170938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1170941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1170951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170960 */     // GIR_Coverage, 8309,
     /* 1170960 */     GIR_EraseRootFromParent_Done,
     /* 1170961 */   // Label 17061: @1170961
     /* 1170961 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171042), // Rule ID 8312 //
     /* 1170966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1170974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1170977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1170980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1170983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1170989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171019 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1171019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1171022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171041 */     // GIR_Coverage, 8312,
     /* 1171041 */     GIR_EraseRootFromParent_Done,
     /* 1171042 */   // Label 17062: @1171042
     /* 1171042 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171123), // Rule ID 8313 //
     /* 1171047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1171058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1171061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1171064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1171070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171100 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1171100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1171103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171122 */     // GIR_Coverage, 8313,
     /* 1171122 */     GIR_EraseRootFromParent_Done,
     /* 1171123 */   // Label 17063: @1171123
     /* 1171123 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171204), // Rule ID 8316 //
     /* 1171128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1171139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1171142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1171151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171181 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1171181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1171184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171203 */     // GIR_Coverage, 8316,
     /* 1171203 */     GIR_EraseRootFromParent_Done,
     /* 1171204 */   // Label 17064: @1171204
     /* 1171204 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171285), // Rule ID 8317 //
     /* 1171209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1171220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1171223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1171226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1171232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171262 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1171262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1171265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171284 */     // GIR_Coverage, 8317,
     /* 1171284 */     GIR_EraseRootFromParent_Done,
     /* 1171285 */   // Label 17065: @1171285
     /* 1171285 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171366), // Rule ID 8320 //
     /* 1171290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1171301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1171304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1171313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171343 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1171343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1171346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171365 */     // GIR_Coverage, 8320,
     /* 1171365 */     GIR_EraseRootFromParent_Done,
     /* 1171366 */   // Label 17066: @1171366
     /* 1171366 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171447), // Rule ID 8321 //
     /* 1171371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1171382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1171385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1171388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1171394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1171424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1171427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171446 */     // GIR_Coverage, 8321,
     /* 1171446 */     GIR_EraseRootFromParent_Done,
     /* 1171447 */   // Label 17067: @1171447
     /* 1171447 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171528), // Rule ID 8324 //
     /* 1171452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1171463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1171466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1171475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1171505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1171508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171527 */     // GIR_Coverage, 8324,
     /* 1171527 */     GIR_EraseRootFromParent_Done,
     /* 1171528 */   // Label 17068: @1171528
     /* 1171528 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171609), // Rule ID 8325 //
     /* 1171533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1171544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1171547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1171550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1171556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171586 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1171586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1171589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171608 */     // GIR_Coverage, 8325,
     /* 1171608 */     GIR_EraseRootFromParent_Done,
     /* 1171609 */   // Label 17069: @1171609
     /* 1171609 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171690), // Rule ID 8328 //
     /* 1171614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1171625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1171628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1171631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1171637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171667 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1171667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1171670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171689 */     // GIR_Coverage, 8328,
     /* 1171689 */     GIR_EraseRootFromParent_Done,
     /* 1171690 */   // Label 17070: @1171690
     /* 1171690 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171771), // Rule ID 8329 //
     /* 1171695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1171706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1171709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1171712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1171718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1171748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1171751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171770 */     // GIR_Coverage, 8329,
     /* 1171770 */     GIR_EraseRootFromParent_Done,
     /* 1171771 */   // Label 17071: @1171771
     /* 1171771 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171852), // Rule ID 8332 //
     /* 1171776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1171787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1171790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1171793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1171799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1171829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1171832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171851 */     // GIR_Coverage, 8332,
     /* 1171851 */     GIR_EraseRootFromParent_Done,
     /* 1171852 */   // Label 17072: @1171852
     /* 1171852 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1171933), // Rule ID 8333 //
     /* 1171857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1171868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1171871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1171874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1171880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1171910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1171913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1171923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171932 */     // GIR_Coverage, 8333,
     /* 1171932 */     GIR_EraseRootFromParent_Done,
     /* 1171933 */   // Label 17073: @1171933
     /* 1171933 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172014), // Rule ID 8336 //
     /* 1171938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1171946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1171949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1171952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1171961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1171991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1171994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172013 */     // GIR_Coverage, 8336,
     /* 1172013 */     GIR_EraseRootFromParent_Done,
     /* 1172014 */   // Label 17074: @1172014
     /* 1172014 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172095), // Rule ID 8337 //
     /* 1172019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1172030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1172033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1172036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1172042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1172072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1172075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172094 */     // GIR_Coverage, 8337,
     /* 1172094 */     GIR_EraseRootFromParent_Done,
     /* 1172095 */   // Label 17075: @1172095
     /* 1172095 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172176), // Rule ID 8340 //
     /* 1172100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1172111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1172114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1172123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172153 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1172153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1172156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172175 */     // GIR_Coverage, 8340,
     /* 1172175 */     GIR_EraseRootFromParent_Done,
     /* 1172176 */   // Label 17076: @1172176
     /* 1172176 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172257), // Rule ID 8341 //
     /* 1172181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1172192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1172195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1172198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1172204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172234 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1172234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1172237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172256 */     // GIR_Coverage, 8341,
     /* 1172256 */     GIR_EraseRootFromParent_Done,
     /* 1172257 */   // Label 17077: @1172257
     /* 1172257 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172338), // Rule ID 8344 //
     /* 1172262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1172273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1172276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1172285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1172315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1172318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172337 */     // GIR_Coverage, 8344,
     /* 1172337 */     GIR_EraseRootFromParent_Done,
     /* 1172338 */   // Label 17078: @1172338
     /* 1172338 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172419), // Rule ID 8345 //
     /* 1172343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1172354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1172357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1172360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1172366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1172396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1172399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172418 */     // GIR_Coverage, 8345,
     /* 1172418 */     GIR_EraseRootFromParent_Done,
     /* 1172419 */   // Label 17079: @1172419
     /* 1172419 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172500), // Rule ID 8348 //
     /* 1172424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1172435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1172438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1172447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172477 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1172477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1172480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172499 */     // GIR_Coverage, 8348,
     /* 1172499 */     GIR_EraseRootFromParent_Done,
     /* 1172500 */   // Label 17080: @1172500
     /* 1172500 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172581), // Rule ID 8349 //
     /* 1172505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1172516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1172519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1172522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1172528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1172558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1172561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172580 */     // GIR_Coverage, 8349,
     /* 1172580 */     GIR_EraseRootFromParent_Done,
     /* 1172581 */   // Label 17081: @1172581
     /* 1172581 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172662), // Rule ID 8352 //
     /* 1172586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1172589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1172597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1172600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1172609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172639 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1172639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1172642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172661 */     // GIR_Coverage, 8352,
     /* 1172661 */     GIR_EraseRootFromParent_Done,
     /* 1172662 */   // Label 17082: @1172662
     /* 1172662 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172743), // Rule ID 8353 //
     /* 1172667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1172670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1172675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1172678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1172681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1172690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1172720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1172723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1172741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172742 */     // GIR_Coverage, 8353,
     /* 1172742 */     GIR_EraseRootFromParent_Done,
     /* 1172743 */   // Label 17083: @1172743
     /* 1172743 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172824), // Rule ID 8356 //
     /* 1172748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1172756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1172759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1172762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1172765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1172768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172801 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1172801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1172804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172823 */     // GIR_Coverage, 8356,
     /* 1172823 */     GIR_EraseRootFromParent_Done,
     /* 1172824 */   // Label 17084: @1172824
     /* 1172824 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1172905), // Rule ID 8357 //
     /* 1172829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1172837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1172840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1172843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1172846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1172849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172882 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1172882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1172885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172904 */     // GIR_Coverage, 8357,
     /* 1172904 */     GIR_EraseRootFromParent_Done,
     /* 1172905 */   // Label 17085: @1172905
     /* 1172905 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1172986), // Rule ID 8360 //
     /* 1172910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1172918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1172921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1172924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1172927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1172930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1172933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1172963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1172966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1172976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172985 */     // GIR_Coverage, 8360,
     /* 1172985 */     GIR_EraseRootFromParent_Done,
     /* 1172986 */   // Label 17086: @1172986
     /* 1172986 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173067), // Rule ID 8361 //
     /* 1172991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1172999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1173002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1173005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1173008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1173011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1173014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1173044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1173047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173066 */     // GIR_Coverage, 8361,
     /* 1173066 */     GIR_EraseRootFromParent_Done,
     /* 1173067 */   // Label 17087: @1173067
     /* 1173067 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173148), // Rule ID 8364 //
     /* 1173072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1173083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1173086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1173089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1173125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173147 */     // GIR_Coverage, 8364,
     /* 1173147 */     GIR_EraseRootFromParent_Done,
     /* 1173148 */   // Label 17088: @1173148
     /* 1173148 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173229), // Rule ID 8365 //
     /* 1173153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1173164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1173167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1173170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1173173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1173206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173228 */     // GIR_Coverage, 8365,
     /* 1173228 */     GIR_EraseRootFromParent_Done,
     /* 1173229 */   // Label 17089: @1173229
     /* 1173229 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173310), // Rule ID 8368 //
     /* 1173234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1173245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1173248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1173254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173287 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1173287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1173290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173309 */     // GIR_Coverage, 8368,
     /* 1173309 */     GIR_EraseRootFromParent_Done,
     /* 1173310 */   // Label 17090: @1173310
     /* 1173310 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173391), // Rule ID 8369 //
     /* 1173315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1173326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1173329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1173332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1173335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1173368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1173371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173390 */     // GIR_Coverage, 8369,
     /* 1173390 */     GIR_EraseRootFromParent_Done,
     /* 1173391 */   // Label 17091: @1173391
     /* 1173391 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173472), // Rule ID 8372 //
     /* 1173396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1173407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1173410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1173419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1173449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173471 */     // GIR_Coverage, 8372,
     /* 1173471 */     GIR_EraseRootFromParent_Done,
     /* 1173472 */   // Label 17092: @1173472
     /* 1173472 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173553), // Rule ID 8373 //
     /* 1173477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1173488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1173491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1173494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1173500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1173530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173552 */     // GIR_Coverage, 8373,
     /* 1173552 */     GIR_EraseRootFromParent_Done,
     /* 1173553 */   // Label 17093: @1173553
     /* 1173553 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173634), // Rule ID 8376 //
     /* 1173558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1173569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1173572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1173575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1173578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1173611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173633 */     // GIR_Coverage, 8376,
     /* 1173633 */     GIR_EraseRootFromParent_Done,
     /* 1173634 */   // Label 17094: @1173634
     /* 1173634 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173715), // Rule ID 8377 //
     /* 1173639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1173650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1173653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1173656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1173659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1173692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1173695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173714 */     // GIR_Coverage, 8377,
     /* 1173714 */     GIR_EraseRootFromParent_Done,
     /* 1173715 */   // Label 17095: @1173715
     /* 1173715 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173796), // Rule ID 8380 //
     /* 1173720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1173731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1173734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1173737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1173743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173773 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1173773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1173776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173795 */     // GIR_Coverage, 8380,
     /* 1173795 */     GIR_EraseRootFromParent_Done,
     /* 1173796 */   // Label 17096: @1173796
     /* 1173796 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1173877), // Rule ID 8381 //
     /* 1173801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1173812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1173815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1173818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1173821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1173824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173854 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1173854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1173857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173876 */     // GIR_Coverage, 8381,
     /* 1173876 */     GIR_EraseRootFromParent_Done,
     /* 1173877 */   // Label 17097: @1173877
     /* 1173877 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1173958), // Rule ID 8384 //
     /* 1173882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1173893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1173896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173935 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1173935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1173938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1173948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173957 */     // GIR_Coverage, 8384,
     /* 1173957 */     GIR_EraseRootFromParent_Done,
     /* 1173958 */   // Label 17098: @1173958
     /* 1173958 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174039), // Rule ID 8385 //
     /* 1173963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1173971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1173974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1173977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1174016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1174019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174038 */     // GIR_Coverage, 8385,
     /* 1174038 */     GIR_EraseRootFromParent_Done,
     /* 1174039 */   // Label 17099: @1174039
     /* 1174039 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174120), // Rule ID 8388 //
     /* 1174044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1174055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1174058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1174064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1174067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1174097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1174100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174119 */     // GIR_Coverage, 8388,
     /* 1174119 */     GIR_EraseRootFromParent_Done,
     /* 1174120 */   // Label 17100: @1174120
     /* 1174120 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174201), // Rule ID 8389 //
     /* 1174125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1174136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1174139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1174142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1174145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1174148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1174178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1174181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174200 */     // GIR_Coverage, 8389,
     /* 1174200 */     GIR_EraseRootFromParent_Done,
     /* 1174201 */   // Label 17101: @1174201
     /* 1174201 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174282), // Rule ID 8392 //
     /* 1174206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1174217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1174220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1174226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1174229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1174259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1174262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174281 */     // GIR_Coverage, 8392,
     /* 1174281 */     GIR_EraseRootFromParent_Done,
     /* 1174282 */   // Label 17102: @1174282
     /* 1174282 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174363), // Rule ID 8393 //
     /* 1174287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1174290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1174298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1174301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1174307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1174310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1174340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1174343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1174361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174362 */     // GIR_Coverage, 8393,
     /* 1174362 */     GIR_EraseRootFromParent_Done,
     /* 1174363 */   // Label 17103: @1174363
     /* 1174363 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174444), // Rule ID 8396 //
     /* 1174368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1174379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1174382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1174385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1174391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174421 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1174421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1174424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174443 */     // GIR_Coverage, 8396,
     /* 1174443 */     GIR_EraseRootFromParent_Done,
     /* 1174444 */   // Label 17104: @1174444
     /* 1174444 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174525), // Rule ID 8397 //
     /* 1174449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1174460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1174463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1174466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1174469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1174472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174502 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1174502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1174505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174524 */     // GIR_Coverage, 8397,
     /* 1174524 */     GIR_EraseRootFromParent_Done,
     /* 1174525 */   // Label 17105: @1174525
     /* 1174525 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174606), // Rule ID 8400 //
     /* 1174530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1174541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1174544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1174547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1174553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174583 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1174583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1174586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174605 */     // GIR_Coverage, 8400,
     /* 1174605 */     GIR_EraseRootFromParent_Done,
     /* 1174606 */   // Label 17106: @1174606
     /* 1174606 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174687), // Rule ID 8401 //
     /* 1174611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1174622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1174625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1174628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1174631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1174634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1174664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1174667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174686 */     // GIR_Coverage, 8401,
     /* 1174686 */     GIR_EraseRootFromParent_Done,
     /* 1174687 */   // Label 17107: @1174687
     /* 1174687 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174768), // Rule ID 8404 //
     /* 1174692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1174703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1174706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1174709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1174712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1174715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174745 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1174745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1174748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174767 */     // GIR_Coverage, 8404,
     /* 1174767 */     GIR_EraseRootFromParent_Done,
     /* 1174768 */   // Label 17108: @1174768
     /* 1174768 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1174849), // Rule ID 8405 //
     /* 1174773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1174784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1174787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1174790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1174793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1174796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174826 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1174826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1174829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174848 */     // GIR_Coverage, 8405,
     /* 1174848 */     GIR_EraseRootFromParent_Done,
     /* 1174849 */   // Label 17109: @1174849
     /* 1174849 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1174930), // Rule ID 8408 //
     /* 1174854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1174865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1174868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1174877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1174907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1174910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1174920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174929 */     // GIR_Coverage, 8408,
     /* 1174929 */     GIR_EraseRootFromParent_Done,
     /* 1174930 */   // Label 17110: @1174930
     /* 1174930 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175011), // Rule ID 8409 //
     /* 1174935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1174943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1174946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1174949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1174958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1174988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1174991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175010 */     // GIR_Coverage, 8409,
     /* 1175010 */     GIR_EraseRootFromParent_Done,
     /* 1175011 */   // Label 17111: @1175011
     /* 1175011 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175092), // Rule ID 8412 //
     /* 1175016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1175027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1175030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1175069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1175072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175091 */     // GIR_Coverage, 8412,
     /* 1175091 */     GIR_EraseRootFromParent_Done,
     /* 1175092 */   // Label 17112: @1175092
     /* 1175092 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175173), // Rule ID 8413 //
     /* 1175097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1175108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1175111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1175117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1175150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1175153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175172 */     // GIR_Coverage, 8413,
     /* 1175172 */     GIR_EraseRootFromParent_Done,
     /* 1175173 */   // Label 17113: @1175173
     /* 1175173 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175254), // Rule ID 8416 //
     /* 1175178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1175189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1175192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1175198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1175201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175231 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1175231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1175234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175253 */     // GIR_Coverage, 8416,
     /* 1175253 */     GIR_EraseRootFromParent_Done,
     /* 1175254 */   // Label 17114: @1175254
     /* 1175254 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175335), // Rule ID 8417 //
     /* 1175259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1175270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1175273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1175279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1175282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1175312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1175315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175334 */     // GIR_Coverage, 8417,
     /* 1175334 */     GIR_EraseRootFromParent_Done,
     /* 1175335 */   // Label 17115: @1175335
     /* 1175335 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175416), // Rule ID 8420 //
     /* 1175340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1175351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1175354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1175357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1175363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1175393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1175396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175415 */     // GIR_Coverage, 8420,
     /* 1175415 */     GIR_EraseRootFromParent_Done,
     /* 1175416 */   // Label 17116: @1175416
     /* 1175416 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175497), // Rule ID 8421 //
     /* 1175421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1175432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1175435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1175438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1175441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1175444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1175474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1175477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175496 */     // GIR_Coverage, 8421,
     /* 1175496 */     GIR_EraseRootFromParent_Done,
     /* 1175497 */   // Label 17117: @1175497
     /* 1175497 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175578), // Rule ID 8424 //
     /* 1175502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1175513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1175516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1175555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1175558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175577 */     // GIR_Coverage, 8424,
     /* 1175577 */     GIR_EraseRootFromParent_Done,
     /* 1175578 */   // Label 17118: @1175578
     /* 1175578 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175659), // Rule ID 8425 //
     /* 1175583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1175594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1175597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1175636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1175639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175658 */     // GIR_Coverage, 8425,
     /* 1175658 */     GIR_EraseRootFromParent_Done,
     /* 1175659 */   // Label 17119: @1175659
     /* 1175659 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175740), // Rule ID 8428 //
     /* 1175664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1175675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1175678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1175684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1175717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1175720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175739 */     // GIR_Coverage, 8428,
     /* 1175739 */     GIR_EraseRootFromParent_Done,
     /* 1175740 */   // Label 17120: @1175740
     /* 1175740 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1175821), // Rule ID 8429 //
     /* 1175745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1175756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1175759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1175765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1175798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1175801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175820 */     // GIR_Coverage, 8429,
     /* 1175820 */     GIR_EraseRootFromParent_Done,
     /* 1175821 */   // Label 17121: @1175821
     /* 1175821 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1175902), // Rule ID 8432 //
     /* 1175826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1175837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1175840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1175846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1175849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175879 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1175879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1175882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175901 */     // GIR_Coverage, 8432,
     /* 1175901 */     GIR_EraseRootFromParent_Done,
     /* 1175902 */   // Label 17122: @1175902
     /* 1175902 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1175983), // Rule ID 8433 //
     /* 1175907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1175918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1175921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1175927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1175930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1175960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1175963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1175973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175982 */     // GIR_Coverage, 8433,
     /* 1175982 */     GIR_EraseRootFromParent_Done,
     /* 1175983 */   // Label 17123: @1175983
     /* 1175983 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176064), // Rule ID 8436 //
     /* 1175988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1175996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1175999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1176002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1176008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1176041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1176044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176063 */     // GIR_Coverage, 8436,
     /* 1176063 */     GIR_EraseRootFromParent_Done,
     /* 1176064 */   // Label 17124: @1176064
     /* 1176064 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176145), // Rule ID 8437 //
     /* 1176069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1176072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1176080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1176083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1176089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1176122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1176125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176144 */     // GIR_Coverage, 8437,
     /* 1176144 */     GIR_EraseRootFromParent_Done,
     /* 1176145 */   // Label 17125: @1176145
     /* 1176145 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176226), // Rule ID 8440 //
     /* 1176150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1176153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1176161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1176164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1176167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1176170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1176173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176203 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1176203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1176206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176225 */     // GIR_Coverage, 8440,
     /* 1176225 */     GIR_EraseRootFromParent_Done,
     /* 1176226 */   // Label 17126: @1176226
     /* 1176226 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176307), // Rule ID 8441 //
     /* 1176231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1176234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1176242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1176245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1176248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1176251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1176254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1176284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1176287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176306 */     // GIR_Coverage, 8441,
     /* 1176306 */     GIR_EraseRootFromParent_Done,
     /* 1176307 */   // Label 17127: @1176307
     /* 1176307 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176388), // Rule ID 8444 //
     /* 1176312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1176323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1176326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1176329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176365 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1176368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176387 */     // GIR_Coverage, 8444,
     /* 1176387 */     GIR_EraseRootFromParent_Done,
     /* 1176388 */   // Label 17128: @1176388
     /* 1176388 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176469), // Rule ID 8445 //
     /* 1176393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1176404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1176407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1176410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176446 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1176449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176468 */     // GIR_Coverage, 8445,
     /* 1176468 */     GIR_EraseRootFromParent_Done,
     /* 1176469 */   // Label 17129: @1176469
     /* 1176469 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176550), // Rule ID 8448 //
     /* 1176474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1176485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1176488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1176491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176527 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1176530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176549 */     // GIR_Coverage, 8448,
     /* 1176549 */     GIR_EraseRootFromParent_Done,
     /* 1176550 */   // Label 17130: @1176550
     /* 1176550 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176631), // Rule ID 8449 //
     /* 1176555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1176566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1176569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1176572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1176611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176630 */     // GIR_Coverage, 8449,
     /* 1176630 */     GIR_EraseRootFromParent_Done,
     /* 1176631 */   // Label 17131: @1176631
     /* 1176631 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176712), // Rule ID 8452 //
     /* 1176636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1176647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1176650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1176653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1176692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176711 */     // GIR_Coverage, 8452,
     /* 1176711 */     GIR_EraseRootFromParent_Done,
     /* 1176712 */   // Label 17132: @1176712
     /* 1176712 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1176793), // Rule ID 8453 //
     /* 1176717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1176728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1176731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1176734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1176773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176792 */     // GIR_Coverage, 8453,
     /* 1176792 */     GIR_EraseRootFromParent_Done,
     /* 1176793 */   // Label 17133: @1176793
     /* 1176793 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1176874), // Rule ID 8456 //
     /* 1176798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1176809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1176812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1176851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1176854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176873 */     // GIR_Coverage, 8456,
     /* 1176873 */     GIR_EraseRootFromParent_Done,
     /* 1176874 */   // Label 17134: @1176874
     /* 1176874 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1176955), // Rule ID 8457 //
     /* 1176879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1176890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1176893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1176932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1176935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1176945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176954 */     // GIR_Coverage, 8457,
     /* 1176954 */     GIR_EraseRootFromParent_Done,
     /* 1176955 */   // Label 17135: @1176955
     /* 1176955 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177036), // Rule ID 8460 //
     /* 1176960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1176968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1176971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1176974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1177013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1177016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177035 */     // GIR_Coverage, 8460,
     /* 1177035 */     GIR_EraseRootFromParent_Done,
     /* 1177036 */   // Label 17136: @1177036
     /* 1177036 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177117), // Rule ID 8461 //
     /* 1177041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1177052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1177055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1177064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177094 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1177094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1177097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177116 */     // GIR_Coverage, 8461,
     /* 1177116 */     GIR_EraseRootFromParent_Done,
     /* 1177117 */   // Label 17137: @1177117
     /* 1177117 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177198), // Rule ID 8464 //
     /* 1177122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1177133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1177136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177175 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1177175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1177178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177197 */     // GIR_Coverage, 8464,
     /* 1177197 */     GIR_EraseRootFromParent_Done,
     /* 1177198 */   // Label 17138: @1177198
     /* 1177198 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177279), // Rule ID 8465 //
     /* 1177203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1177214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1177217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1177256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1177259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177278 */     // GIR_Coverage, 8465,
     /* 1177278 */     GIR_EraseRootFromParent_Done,
     /* 1177279 */   // Label 17139: @1177279
     /* 1177279 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177360), // Rule ID 8468 //
     /* 1177284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1177295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1177298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1177301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1177307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1177337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177359 */     // GIR_Coverage, 8468,
     /* 1177359 */     GIR_EraseRootFromParent_Done,
     /* 1177360 */   // Label 17140: @1177360
     /* 1177360 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177441), // Rule ID 8469 //
     /* 1177365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1177376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1177379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1177382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1177388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1177418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177440 */     // GIR_Coverage, 8469,
     /* 1177440 */     GIR_EraseRootFromParent_Done,
     /* 1177441 */   // Label 17141: @1177441
     /* 1177441 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177522), // Rule ID 8472 //
     /* 1177446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1177457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1177460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1177469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177499 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1177499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177521 */     // GIR_Coverage, 8472,
     /* 1177521 */     GIR_EraseRootFromParent_Done,
     /* 1177522 */   // Label 17142: @1177522
     /* 1177522 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177603), // Rule ID 8473 //
     /* 1177527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1177538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1177541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1177550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1177580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177602 */     // GIR_Coverage, 8473,
     /* 1177602 */     GIR_EraseRootFromParent_Done,
     /* 1177603 */   // Label 17143: @1177603
     /* 1177603 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177684), // Rule ID 8476 //
     /* 1177608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1177619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1177622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1177631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177661 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1177661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177683 */     // GIR_Coverage, 8476,
     /* 1177683 */     GIR_EraseRootFromParent_Done,
     /* 1177684 */   // Label 17144: @1177684
     /* 1177684 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177765), // Rule ID 8477 //
     /* 1177689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1177700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1177703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1177712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1177742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177764 */     // GIR_Coverage, 8477,
     /* 1177764 */     GIR_EraseRootFromParent_Done,
     /* 1177765 */   // Label 17145: @1177765
     /* 1177765 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1177846), // Rule ID 8480 //
     /* 1177770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1177781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1177784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177823 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1177823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177845 */     // GIR_Coverage, 8480,
     /* 1177845 */     GIR_EraseRootFromParent_Done,
     /* 1177846 */   // Label 17146: @1177846
     /* 1177846 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1177927), // Rule ID 8481 //
     /* 1177851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1177862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1177865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1177904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1177907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177926 */     // GIR_Coverage, 8481,
     /* 1177926 */     GIR_EraseRootFromParent_Done,
     /* 1177927 */   // Label 17147: @1177927
     /* 1177927 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178008), // Rule ID 8484 //
     /* 1177932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1177940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1177943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1177946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1177949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1177955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1177985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1177988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1177998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178007 */     // GIR_Coverage, 8484,
     /* 1178007 */     GIR_EraseRootFromParent_Done,
     /* 1178008 */   // Label 17148: @1178008
     /* 1178008 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178089), // Rule ID 8485 //
     /* 1178013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1178024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1178027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1178030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1178069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178088 */     // GIR_Coverage, 8485,
     /* 1178088 */     GIR_EraseRootFromParent_Done,
     /* 1178089 */   // Label 17149: @1178089
     /* 1178089 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178170), // Rule ID 8488 //
     /* 1178094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1178105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1178108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1178111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178147 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1178147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1178150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178169 */     // GIR_Coverage, 8488,
     /* 1178169 */     GIR_EraseRootFromParent_Done,
     /* 1178170 */   // Label 17150: @1178170
     /* 1178170 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178251), // Rule ID 8489 //
     /* 1178175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1178186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1178189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1178192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1178231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178250 */     // GIR_Coverage, 8489,
     /* 1178250 */     GIR_EraseRootFromParent_Done,
     /* 1178251 */   // Label 17151: @1178251
     /* 1178251 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178332), // Rule ID 8492 //
     /* 1178256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1178267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1178270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1178273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1178279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178309 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1178309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1178312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178331 */     // GIR_Coverage, 8492,
     /* 1178331 */     GIR_EraseRootFromParent_Done,
     /* 1178332 */   // Label 17152: @1178332
     /* 1178332 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178413), // Rule ID 8493 //
     /* 1178337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1178348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1178351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1178354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1178360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178390 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1178393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178412 */     // GIR_Coverage, 8493,
     /* 1178412 */     GIR_EraseRootFromParent_Done,
     /* 1178413 */   // Label 17153: @1178413
     /* 1178413 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178494), // Rule ID 8496 //
     /* 1178418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1178429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1178432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1178441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178471 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1178474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178493 */     // GIR_Coverage, 8496,
     /* 1178493 */     GIR_EraseRootFromParent_Done,
     /* 1178494 */   // Label 17154: @1178494
     /* 1178494 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178575), // Rule ID 8497 //
     /* 1178499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1178510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1178513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1178522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1178552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1178555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178574 */     // GIR_Coverage, 8497,
     /* 1178574 */     GIR_EraseRootFromParent_Done,
     /* 1178575 */   // Label 17155: @1178575
     /* 1178575 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178656), // Rule ID 8500 //
     /* 1178580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1178591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1178594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1178636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178655 */     // GIR_Coverage, 8500,
     /* 1178655 */     GIR_EraseRootFromParent_Done,
     /* 1178656 */   // Label 17156: @1178656
     /* 1178656 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178737), // Rule ID 8501 //
     /* 1178661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1178672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1178675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1178714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1178717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178736 */     // GIR_Coverage, 8501,
     /* 1178736 */     GIR_EraseRootFromParent_Done,
     /* 1178737 */   // Label 17157: @1178737
     /* 1178737 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1178818), // Rule ID 8504 //
     /* 1178742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1178753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1178756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178795 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1178798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178817 */     // GIR_Coverage, 8504,
     /* 1178817 */     GIR_EraseRootFromParent_Done,
     /* 1178818 */   // Label 17158: @1178818
     /* 1178818 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1178899), // Rule ID 8505 //
     /* 1178823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1178834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1178837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1178876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1178879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178898 */     // GIR_Coverage, 8505,
     /* 1178898 */     GIR_EraseRootFromParent_Done,
     /* 1178899 */   // Label 17159: @1178899
     /* 1178899 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1178980), // Rule ID 8508 //
     /* 1178904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1178915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1178918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1178927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1178957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1178960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1178970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178979 */     // GIR_Coverage, 8508,
     /* 1178979 */     GIR_EraseRootFromParent_Done,
     /* 1178980 */   // Label 17160: @1178980
     /* 1178980 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179061), // Rule ID 8509 //
     /* 1178985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1178993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1178996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1178999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1179041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179060 */     // GIR_Coverage, 8509,
     /* 1179060 */     GIR_EraseRootFromParent_Done,
     /* 1179061 */   // Label 17161: @1179061
     /* 1179061 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179142), // Rule ID 8512 //
     /* 1179066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1179077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1179080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1179119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1179122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179141 */     // GIR_Coverage, 8512,
     /* 1179141 */     GIR_EraseRootFromParent_Done,
     /* 1179142 */   // Label 17162: @1179142
     /* 1179142 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179223), // Rule ID 8513 //
     /* 1179147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1179158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1179161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1179203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179222 */     // GIR_Coverage, 8513,
     /* 1179222 */     GIR_EraseRootFromParent_Done,
     /* 1179223 */   // Label 17163: @1179223
     /* 1179223 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179304), // Rule ID 8516 //
     /* 1179228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1179239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1179242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1179251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179281 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1179281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1179284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179303 */     // GIR_Coverage, 8516,
     /* 1179303 */     GIR_EraseRootFromParent_Done,
     /* 1179304 */   // Label 17164: @1179304
     /* 1179304 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179385), // Rule ID 8517 //
     /* 1179309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1179320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1179323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1179332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179362 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1179365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179384 */     // GIR_Coverage, 8517,
     /* 1179384 */     GIR_EraseRootFromParent_Done,
     /* 1179385 */   // Label 17165: @1179385
     /* 1179385 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179466), // Rule ID 8520 //
     /* 1179390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1179393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1179401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1179404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1179413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179443 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1179443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1179446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179465 */     // GIR_Coverage, 8520,
     /* 1179465 */     GIR_EraseRootFromParent_Done,
     /* 1179466 */   // Label 17166: @1179466
     /* 1179466 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179547), // Rule ID 8521 //
     /* 1179471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1179474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1179482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1179485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1179494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1179524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1179527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179546 */     // GIR_Coverage, 8521,
     /* 1179546 */     GIR_EraseRootFromParent_Done,
     /* 1179547 */   // Label 17167: @1179547
     /* 1179547 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179628), // Rule ID 8524 //
     /* 1179552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1179555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1179563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1179566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1179605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1179608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179627 */     // GIR_Coverage, 8524,
     /* 1179627 */     GIR_EraseRootFromParent_Done,
     /* 1179628 */   // Label 17168: @1179628
     /* 1179628 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179709), // Rule ID 8525 //
     /* 1179633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1179636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1179644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1179647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1179686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1179689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179708 */     // GIR_Coverage, 8525,
     /* 1179708 */     GIR_EraseRootFromParent_Done,
     /* 1179709 */   // Label 17169: @1179709
     /* 1179709 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1179790), // Rule ID 8528 //
     /* 1179714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1179717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1179725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1179728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1179767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1179770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179789 */     // GIR_Coverage, 8528,
     /* 1179789 */     GIR_EraseRootFromParent_Done,
     /* 1179790 */   // Label 17170: @1179790
     /* 1179790 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1179871), // Rule ID 8529 //
     /* 1179795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1179798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1179803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1179806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1179809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1179848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1179851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179870 */     // GIR_Coverage, 8529,
     /* 1179870 */     GIR_EraseRootFromParent_Done,
     /* 1179871 */   // Label 17171: @1179871
     /* 1179871 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1179952), // Rule ID 8532 //
     /* 1179876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1179884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1179887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1179890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1179893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1179896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1179899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1179929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1179932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1179942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179951 */     // GIR_Coverage, 8532,
     /* 1179951 */     GIR_EraseRootFromParent_Done,
     /* 1179952 */   // Label 17172: @1179952
     /* 1179952 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180033), // Rule ID 8533 //
     /* 1179957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1179965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1179968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1179971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1179974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1179977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1179980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1180013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180032 */     // GIR_Coverage, 8533,
     /* 1180032 */     GIR_EraseRootFromParent_Done,
     /* 1180033 */   // Label 17173: @1180033
     /* 1180033 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180114), // Rule ID 8536 //
     /* 1180038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1180055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1180058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1180091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1180094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180113 */     // GIR_Coverage, 8536,
     /* 1180113 */     GIR_EraseRootFromParent_Done,
     /* 1180114 */   // Label 17174: @1180114
     /* 1180114 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180195), // Rule ID 8537 //
     /* 1180119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1180136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1180139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1180175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180194 */     // GIR_Coverage, 8537,
     /* 1180194 */     GIR_EraseRootFromParent_Done,
     /* 1180195 */   // Label 17175: @1180195
     /* 1180195 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180276), // Rule ID 8540 //
     /* 1180200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1180211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1180214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1180217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1180220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1180223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1180253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180275 */     // GIR_Coverage, 8540,
     /* 1180275 */     GIR_EraseRootFromParent_Done,
     /* 1180276 */   // Label 17176: @1180276
     /* 1180276 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180357), // Rule ID 8541 //
     /* 1180281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1180292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1180295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1180298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1180301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1180304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180356 */     // GIR_Coverage, 8541,
     /* 1180356 */     GIR_EraseRootFromParent_Done,
     /* 1180357 */   // Label 17177: @1180357
     /* 1180357 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180438), // Rule ID 8544 //
     /* 1180362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1180382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1180415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1180418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180437 */     // GIR_Coverage, 8544,
     /* 1180437 */     GIR_EraseRootFromParent_Done,
     /* 1180438 */   // Label 17178: @1180438
     /* 1180438 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180519), // Rule ID 8545 //
     /* 1180443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1180463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180496 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1180496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1180499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180518 */     // GIR_Coverage, 8545,
     /* 1180518 */     GIR_EraseRootFromParent_Done,
     /* 1180519 */   // Label 17179: @1180519
     /* 1180519 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180600), // Rule ID 8548 //
     /* 1180524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1180544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1180577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180599 */     // GIR_Coverage, 8548,
     /* 1180599 */     GIR_EraseRootFromParent_Done,
     /* 1180600 */   // Label 17180: @1180600
     /* 1180600 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180681), // Rule ID 8549 //
     /* 1180605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1180625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1180658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180680 */     // GIR_Coverage, 8549,
     /* 1180680 */     GIR_EraseRootFromParent_Done,
     /* 1180681 */   // Label 17181: @1180681
     /* 1180681 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1180762), // Rule ID 8552 //
     /* 1180686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1180703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180739 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1180739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180761 */     // GIR_Coverage, 8552,
     /* 1180761 */     GIR_EraseRootFromParent_Done,
     /* 1180762 */   // Label 17182: @1180762
     /* 1180762 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1180843), // Rule ID 8553 //
     /* 1180767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1180784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1180787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1180820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1180823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180842 */     // GIR_Coverage, 8553,
     /* 1180842 */     GIR_EraseRootFromParent_Done,
     /* 1180843 */   // Label 17183: @1180843
     /* 1180843 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1180924), // Rule ID 8556 //
     /* 1180848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1180859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1180862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1180865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1180868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1180871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1180901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1180904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180923 */     // GIR_Coverage, 8556,
     /* 1180923 */     GIR_EraseRootFromParent_Done,
     /* 1180924 */   // Label 17184: @1180924
     /* 1180924 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181005), // Rule ID 8557 //
     /* 1180929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1180937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1180940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1180943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1180946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1180949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1180952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1180985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1180995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181004 */     // GIR_Coverage, 8557,
     /* 1181004 */     GIR_EraseRootFromParent_Done,
     /* 1181005 */   // Label 17185: @1181005
     /* 1181005 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181086), // Rule ID 8560 //
     /* 1181010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1181021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1181024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1181030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1181033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1181063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181085 */     // GIR_Coverage, 8560,
     /* 1181085 */     GIR_EraseRootFromParent_Done,
     /* 1181086 */   // Label 17186: @1181086
     /* 1181086 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181167), // Rule ID 8561 //
     /* 1181091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1181102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1181105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1181111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1181114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1181144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181166 */     // GIR_Coverage, 8561,
     /* 1181166 */     GIR_EraseRootFromParent_Done,
     /* 1181167 */   // Label 17187: @1181167
     /* 1181167 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181248), // Rule ID 8564 //
     /* 1181172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1181183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1181186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1181192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1181195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1181225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181247 */     // GIR_Coverage, 8564,
     /* 1181247 */     GIR_EraseRootFromParent_Done,
     /* 1181248 */   // Label 17188: @1181248
     /* 1181248 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181329), // Rule ID 8565 //
     /* 1181253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1181264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1181267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1181273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1181276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1181306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181328 */     // GIR_Coverage, 8565,
     /* 1181328 */     GIR_EraseRootFromParent_Done,
     /* 1181329 */   // Label 17189: @1181329
     /* 1181329 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181410), // Rule ID 8568 //
     /* 1181334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1181337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1181345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1181348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1181354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1181357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1181387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181409 */     // GIR_Coverage, 8568,
     /* 1181409 */     GIR_EraseRootFromParent_Done,
     /* 1181410 */   // Label 17190: @1181410
     /* 1181410 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181491), // Rule ID 8569 //
     /* 1181415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1181418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1181426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1181429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1181435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1181438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1181468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1181471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181490 */     // GIR_Coverage, 8569,
     /* 1181490 */     GIR_EraseRootFromParent_Done,
     /* 1181491 */   // Label 17191: @1181491
     /* 1181491 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181572), // Rule ID 8572 //
     /* 1181496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1181507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1181510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1181513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1181516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1181519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181549 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1181549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1181552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181571 */     // GIR_Coverage, 8572,
     /* 1181571 */     GIR_EraseRootFromParent_Done,
     /* 1181572 */   // Label 17192: @1181572
     /* 1181572 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181653), // Rule ID 8573 //
     /* 1181577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1181588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1181591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1181594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1181597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1181600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181630 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1181630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1181633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181652 */     // GIR_Coverage, 8573,
     /* 1181652 */     GIR_EraseRootFromParent_Done,
     /* 1181653 */   // Label 17193: @1181653
     /* 1181653 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1181734), // Rule ID 8576 //
     /* 1181658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1181669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1181672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1181675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1181678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1181681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1181711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1181714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181733 */     // GIR_Coverage, 8576,
     /* 1181733 */     GIR_EraseRootFromParent_Done,
     /* 1181734 */   // Label 17194: @1181734
     /* 1181734 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1181815), // Rule ID 8577 //
     /* 1181739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1181750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1181753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1181756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1181759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1181762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1181792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1181795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181814 */     // GIR_Coverage, 8577,
     /* 1181814 */     GIR_EraseRootFromParent_Done,
     /* 1181815 */   // Label 17195: @1181815
     /* 1181815 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1181896), // Rule ID 8580 //
     /* 1181820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1181831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1181834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1181837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1181840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1181843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181873 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1181873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1181876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181895 */     // GIR_Coverage, 8580,
     /* 1181895 */     GIR_EraseRootFromParent_Done,
     /* 1181896 */   // Label 17196: @1181896
     /* 1181896 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1181977), // Rule ID 8581 //
     /* 1181901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1181912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1181915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1181918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1181921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1181924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181954 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1181954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1181957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1181967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181976 */     // GIR_Coverage, 8581,
     /* 1181976 */     GIR_EraseRootFromParent_Done,
     /* 1181977 */   // Label 17197: @1181977
     /* 1181977 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182058), // Rule ID 8584 //
     /* 1181982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1181990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1181993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1181996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182035 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1182035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1182038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182057 */     // GIR_Coverage, 8584,
     /* 1182057 */     GIR_EraseRootFromParent_Done,
     /* 1182058 */   // Label 17198: @1182058
     /* 1182058 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182139), // Rule ID 8585 //
     /* 1182063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1182074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1182077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1182116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1182119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182138 */     // GIR_Coverage, 8585,
     /* 1182138 */     GIR_EraseRootFromParent_Done,
     /* 1182139 */   // Label 17199: @1182139
     /* 1182139 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182220), // Rule ID 8588 //
     /* 1182144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1182161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1182164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182197 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1182197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1182200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182219 */     // GIR_Coverage, 8588,
     /* 1182219 */     GIR_EraseRootFromParent_Done,
     /* 1182220 */   // Label 17200: @1182220
     /* 1182220 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182301), // Rule ID 8589 //
     /* 1182225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1182242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1182245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182278 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1182278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1182281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182300 */     // GIR_Coverage, 8589,
     /* 1182300 */     GIR_EraseRootFromParent_Done,
     /* 1182301 */   // Label 17201: @1182301
     /* 1182301 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182382), // Rule ID 8592 //
     /* 1182306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1182317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1182320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1182323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1182326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1182329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182359 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1182359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1182362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182381 */     // GIR_Coverage, 8592,
     /* 1182381 */     GIR_EraseRootFromParent_Done,
     /* 1182382 */   // Label 17202: @1182382
     /* 1182382 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182463), // Rule ID 8593 //
     /* 1182387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1182398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1182401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1182404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1182407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1182410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182440 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1182440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1182443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182462 */     // GIR_Coverage, 8593,
     /* 1182462 */     GIR_EraseRootFromParent_Done,
     /* 1182463 */   // Label 17203: @1182463
     /* 1182463 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182544), // Rule ID 8596 //
     /* 1182468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1182479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1182482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1182488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1182491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1182521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1182524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182543 */     // GIR_Coverage, 8596,
     /* 1182543 */     GIR_EraseRootFromParent_Done,
     /* 1182544 */   // Label 17204: @1182544
     /* 1182544 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182625), // Rule ID 8597 //
     /* 1182549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1182560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1182563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1182566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1182569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1182572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1182602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1182605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182624 */     // GIR_Coverage, 8597,
     /* 1182624 */     GIR_EraseRootFromParent_Done,
     /* 1182625 */   // Label 17205: @1182625
     /* 1182625 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1182706), // Rule ID 8600 //
     /* 1182630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1182641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1182644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1182650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1182683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1182686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182705 */     // GIR_Coverage, 8600,
     /* 1182705 */     GIR_EraseRootFromParent_Done,
     /* 1182706 */   // Label 17206: @1182706
     /* 1182706 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1182787), // Rule ID 8601 //
     /* 1182711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1182722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1182725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1182728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1182731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1182764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1182767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182786 */     // GIR_Coverage, 8601,
     /* 1182786 */     GIR_EraseRootFromParent_Done,
     /* 1182787 */   // Label 17207: @1182787
     /* 1182787 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1182868), // Rule ID 8604 //
     /* 1182792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1182812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182845 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1182845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1182848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182867 */     // GIR_Coverage, 8604,
     /* 1182867 */     GIR_EraseRootFromParent_Done,
     /* 1182868 */   // Label 17208: @1182868
     /* 1182868 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1182949), // Rule ID 8605 //
     /* 1182873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1182890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1182893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1182926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1182929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1182939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182948 */     // GIR_Coverage, 8605,
     /* 1182948 */     GIR_EraseRootFromParent_Done,
     /* 1182949 */   // Label 17209: @1182949
     /* 1182949 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183030), // Rule ID 8608 //
     /* 1182954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1182957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1182962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1182965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1182968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1182974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1182977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183007 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1183007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1183010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183029 */     // GIR_Coverage, 8608,
     /* 1183029 */     GIR_EraseRootFromParent_Done,
     /* 1183030 */   // Label 17210: @1183030
     /* 1183030 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183111), // Rule ID 8609 //
     /* 1183035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1183038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1183046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1183049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1183058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1183088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1183091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183110 */     // GIR_Coverage, 8609,
     /* 1183110 */     GIR_EraseRootFromParent_Done,
     /* 1183111 */   // Label 17211: @1183111
     /* 1183111 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183192), // Rule ID 8612 //
     /* 1183116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1183119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1183136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1183169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1183172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183191 */     // GIR_Coverage, 8612,
     /* 1183191 */     GIR_EraseRootFromParent_Done,
     /* 1183192 */   // Label 17212: @1183192
     /* 1183192 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183273), // Rule ID 8613 //
     /* 1183197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1183200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1183217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1183250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1183253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183272 */     // GIR_Coverage, 8613,
     /* 1183272 */     GIR_EraseRootFromParent_Done,
     /* 1183273 */   // Label 17213: @1183273
     /* 1183273 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183354), // Rule ID 8616 //
     /* 1183278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1183281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1183289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1183292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1183298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1183301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1183331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1183334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183353 */     // GIR_Coverage, 8616,
     /* 1183353 */     GIR_EraseRootFromParent_Done,
     /* 1183354 */   // Label 17214: @1183354
     /* 1183354 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183435), // Rule ID 8617 //
     /* 1183359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1183362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1183370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1183373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1183376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1183379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1183382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1183412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1183415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183434 */     // GIR_Coverage, 8617,
     /* 1183434 */     GIR_EraseRootFromParent_Done,
     /* 1183435 */   // Label 17215: @1183435
     /* 1183435 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183516), // Rule ID 8620 //
     /* 1183440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1183451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1183454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1183457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1183463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183493 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1183493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1183496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183515 */     // GIR_Coverage, 8620,
     /* 1183515 */     GIR_EraseRootFromParent_Done,
     /* 1183516 */   // Label 17216: @1183516
     /* 1183516 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183597), // Rule ID 8621 //
     /* 1183521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1183532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1183535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1183538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1183544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183574 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1183574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1183577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183596 */     // GIR_Coverage, 8621,
     /* 1183596 */     GIR_EraseRootFromParent_Done,
     /* 1183597 */   // Label 17217: @1183597
     /* 1183597 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1183678), // Rule ID 8624 //
     /* 1183602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1183613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1183616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1183619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1183625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1183655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1183658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183677 */     // GIR_Coverage, 8624,
     /* 1183677 */     GIR_EraseRootFromParent_Done,
     /* 1183678 */   // Label 17218: @1183678
     /* 1183678 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1183759), // Rule ID 8625 //
     /* 1183683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1183694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1183697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1183700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1183706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1183736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1183739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183758 */     // GIR_Coverage, 8625,
     /* 1183758 */     GIR_EraseRootFromParent_Done,
     /* 1183759 */   // Label 17219: @1183759
     /* 1183759 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1183840), // Rule ID 8628 //
     /* 1183764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1183781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183817 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1183817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1183820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183839 */     // GIR_Coverage, 8628,
     /* 1183839 */     GIR_EraseRootFromParent_Done,
     /* 1183840 */   // Label 17220: @1183840
     /* 1183840 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1183921), // Rule ID 8629 //
     /* 1183845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1183862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1183865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1183898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1183901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183920 */     // GIR_Coverage, 8629,
     /* 1183920 */     GIR_EraseRootFromParent_Done,
     /* 1183921 */   // Label 17221: @1183921
     /* 1183921 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184002), // Rule ID 8632 //
     /* 1183926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1183934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1183937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1183940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1183943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1183946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1183949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1183968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1183979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1183982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1183992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184001 */     // GIR_Coverage, 8632,
     /* 1184001 */     GIR_EraseRootFromParent_Done,
     /* 1184002 */   // Label 17222: @1184002
     /* 1184002 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184083), // Rule ID 8633 //
     /* 1184007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1184060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1184063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184082 */     // GIR_Coverage, 8633,
     /* 1184082 */     GIR_EraseRootFromParent_Done,
     /* 1184083 */   // Label 17223: @1184083
     /* 1184083 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184164), // Rule ID 8636 //
     /* 1184088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1184141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1184144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184163 */     // GIR_Coverage, 8636,
     /* 1184163 */     GIR_EraseRootFromParent_Done,
     /* 1184164 */   // Label 17224: @1184164
     /* 1184164 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184245), // Rule ID 8637 //
     /* 1184169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1184222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1184225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184244 */     // GIR_Coverage, 8637,
     /* 1184244 */     GIR_EraseRootFromParent_Done,
     /* 1184245 */   // Label 17225: @1184245
     /* 1184245 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184326), // Rule ID 8640 //
     /* 1184250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184303 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1184303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1184306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184325 */     // GIR_Coverage, 8640,
     /* 1184325 */     GIR_EraseRootFromParent_Done,
     /* 1184326 */   // Label 17226: @1184326
     /* 1184326 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184407), // Rule ID 8641 //
     /* 1184331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184384 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1184384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1184387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184406 */     // GIR_Coverage, 8641,
     /* 1184406 */     GIR_EraseRootFromParent_Done,
     /* 1184407 */   // Label 17227: @1184407
     /* 1184407 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184488), // Rule ID 8644 //
     /* 1184412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1184423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1184426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1184429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1184435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1184465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184487 */     // GIR_Coverage, 8644,
     /* 1184487 */     GIR_EraseRootFromParent_Done,
     /* 1184488 */   // Label 17228: @1184488
     /* 1184488 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184569), // Rule ID 8645 //
     /* 1184493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1184504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1184507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1184510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1184516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184546 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1184546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184568 */     // GIR_Coverage, 8645,
     /* 1184568 */     GIR_EraseRootFromParent_Done,
     /* 1184569 */   // Label 17229: @1184569
     /* 1184569 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184650), // Rule ID 8648 //
     /* 1184574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1184597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184627 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1184627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184649 */     // GIR_Coverage, 8648,
     /* 1184649 */     GIR_EraseRootFromParent_Done,
     /* 1184650 */   // Label 17230: @1184650
     /* 1184650 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1184731), // Rule ID 8649 //
     /* 1184655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1184678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1184708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184730 */     // GIR_Coverage, 8649,
     /* 1184730 */     GIR_EraseRootFromParent_Done,
     /* 1184731 */   // Label 17231: @1184731
     /* 1184731 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1184812), // Rule ID 8652 //
     /* 1184736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1184789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184811 */     // GIR_Coverage, 8652,
     /* 1184811 */     GIR_EraseRootFromParent_Done,
     /* 1184812 */   // Label 17232: @1184812
     /* 1184812 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1184893), // Rule ID 8653 //
     /* 1184817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1184870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184892 */     // GIR_Coverage, 8653,
     /* 1184892 */     GIR_EraseRootFromParent_Done,
     /* 1184893 */   // Label 17233: @1184893
     /* 1184893 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1184974), // Rule ID 8656 //
     /* 1184898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1184901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1184951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1184954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1184964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184973 */     // GIR_Coverage, 8656,
     /* 1184973 */     GIR_EraseRootFromParent_Done,
     /* 1184974 */   // Label 17234: @1184974
     /* 1184974 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185055), // Rule ID 8657 //
     /* 1184979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1184982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1184987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1185002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1185032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1185035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185054 */     // GIR_Coverage, 8657,
     /* 1185054 */     GIR_EraseRootFromParent_Done,
     /* 1185055 */   // Label 17235: @1185055
     /* 1185055 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185136), // Rule ID 8660 //
     /* 1185060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1185071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1185074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1185077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1185083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1185113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1185116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185135 */     // GIR_Coverage, 8660,
     /* 1185135 */     GIR_EraseRootFromParent_Done,
     /* 1185136 */   // Label 17236: @1185136
     /* 1185136 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185217), // Rule ID 8661 //
     /* 1185141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1185152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1185155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1185158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1185164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1185194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1185197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185216 */     // GIR_Coverage, 8661,
     /* 1185216 */     GIR_EraseRootFromParent_Done,
     /* 1185217 */   // Label 17237: @1185217
     /* 1185217 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185298), // Rule ID 8664 //
     /* 1185222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1185233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1185236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1185239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1185245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185275 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1185275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1185278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185297 */     // GIR_Coverage, 8664,
     /* 1185297 */     GIR_EraseRootFromParent_Done,
     /* 1185298 */   // Label 17238: @1185298
     /* 1185298 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185379), // Rule ID 8665 //
     /* 1185303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1185314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1185317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1185320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1185326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1185356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1185359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185378 */     // GIR_Coverage, 8665,
     /* 1185378 */     GIR_EraseRootFromParent_Done,
     /* 1185379 */   // Label 17239: @1185379
     /* 1185379 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185460), // Rule ID 8668 //
     /* 1185384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1185395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1185398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1185401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1185407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185437 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1185437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1185440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185459 */     // GIR_Coverage, 8668,
     /* 1185459 */     GIR_EraseRootFromParent_Done,
     /* 1185460 */   // Label 17240: @1185460
     /* 1185460 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185541), // Rule ID 8669 //
     /* 1185465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1185476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1185479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1185482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1185488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185518 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1185518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1185521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185540 */     // GIR_Coverage, 8669,
     /* 1185540 */     GIR_EraseRootFromParent_Done,
     /* 1185541 */   // Label 17241: @1185541
     /* 1185541 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185622), // Rule ID 8672 //
     /* 1185546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1185557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1185560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1185569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185599 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1185602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185621 */     // GIR_Coverage, 8672,
     /* 1185621 */     GIR_EraseRootFromParent_Done,
     /* 1185622 */   // Label 17242: @1185622
     /* 1185622 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1185703), // Rule ID 8673 //
     /* 1185627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1185638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1185641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1185650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1185680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1185683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185702 */     // GIR_Coverage, 8673,
     /* 1185702 */     GIR_EraseRootFromParent_Done,
     /* 1185703 */   // Label 17243: @1185703
     /* 1185703 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1185784), // Rule ID 8676 //
     /* 1185708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1185719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1185722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1185731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1185764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185783 */     // GIR_Coverage, 8676,
     /* 1185783 */     GIR_EraseRootFromParent_Done,
     /* 1185784 */   // Label 17244: @1185784
     /* 1185784 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1185865), // Rule ID 8677 //
     /* 1185789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1185800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1185803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1185812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185842 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1185842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1185845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185864 */     // GIR_Coverage, 8677,
     /* 1185864 */     GIR_EraseRootFromParent_Done,
     /* 1185865 */   // Label 17245: @1185865
     /* 1185865 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1185946), // Rule ID 8680 //
     /* 1185870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1185881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1185884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1185893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185923 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1185926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1185936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185945 */     // GIR_Coverage, 8680,
     /* 1185945 */     GIR_EraseRootFromParent_Done,
     /* 1185946 */   // Label 17246: @1185946
     /* 1185946 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186027), // Rule ID 8681 //
     /* 1185951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1185959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1185962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1185965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1185974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1186004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1186007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186026 */     // GIR_Coverage, 8681,
     /* 1186026 */     GIR_EraseRootFromParent_Done,
     /* 1186027 */   // Label 17247: @1186027
     /* 1186027 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186108), // Rule ID 8684 //
     /* 1186032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1186043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1186046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1186055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1186085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1186088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186107 */     // GIR_Coverage, 8684,
     /* 1186107 */     GIR_EraseRootFromParent_Done,
     /* 1186108 */   // Label 17248: @1186108
     /* 1186108 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186189), // Rule ID 8685 //
     /* 1186113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1186124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1186127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1186136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1186166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1186169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186188 */     // GIR_Coverage, 8685,
     /* 1186188 */     GIR_EraseRootFromParent_Done,
     /* 1186189 */   // Label 17249: @1186189
     /* 1186189 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186270), // Rule ID 8688 //
     /* 1186194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1186205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1186208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1186217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186247 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1186247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1186250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186269 */     // GIR_Coverage, 8688,
     /* 1186269 */     GIR_EraseRootFromParent_Done,
     /* 1186270 */   // Label 17250: @1186270
     /* 1186270 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186351), // Rule ID 8689 //
     /* 1186275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1186286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1186289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1186298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1186328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1186331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186350 */     // GIR_Coverage, 8689,
     /* 1186350 */     GIR_EraseRootFromParent_Done,
     /* 1186351 */   // Label 17251: @1186351
     /* 1186351 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186432), // Rule ID 8692 //
     /* 1186356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1186367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1186370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1186379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1186409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1186412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186431 */     // GIR_Coverage, 8692,
     /* 1186431 */     GIR_EraseRootFromParent_Done,
     /* 1186432 */   // Label 17252: @1186432
     /* 1186432 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186513), // Rule ID 8693 //
     /* 1186437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1186448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1186451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1186460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186490 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1186490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1186493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186512 */     // GIR_Coverage, 8693,
     /* 1186512 */     GIR_EraseRootFromParent_Done,
     /* 1186513 */   // Label 17253: @1186513
     /* 1186513 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186594), // Rule ID 8696 //
     /* 1186518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1186521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1186529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1186532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1186541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1186571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1186574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186593 */     // GIR_Coverage, 8696,
     /* 1186593 */     GIR_EraseRootFromParent_Done,
     /* 1186594 */   // Label 17254: @1186594
     /* 1186594 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186675), // Rule ID 8697 //
     /* 1186599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1186602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1186610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1186613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1186622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1186652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1186655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186674 */     // GIR_Coverage, 8697,
     /* 1186674 */     GIR_EraseRootFromParent_Done,
     /* 1186675 */   // Label 17255: @1186675
     /* 1186675 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1186756), // Rule ID 8700 //
     /* 1186680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1186683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1186691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1186694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1186703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1186733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1186736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186755 */     // GIR_Coverage, 8700,
     /* 1186755 */     GIR_EraseRootFromParent_Done,
     /* 1186756 */   // Label 17256: @1186756
     /* 1186756 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1186837), // Rule ID 8701 //
     /* 1186761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1186764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1186772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1186775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1186784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1186814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1186817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186836 */     // GIR_Coverage, 8701,
     /* 1186836 */     GIR_EraseRootFromParent_Done,
     /* 1186837 */   // Label 17257: @1186837
     /* 1186837 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1186918), // Rule ID 8704 //
     /* 1186842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1186845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1186853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1186856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1186865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186895 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1186895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1186898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186917 */     // GIR_Coverage, 8704,
     /* 1186917 */     GIR_EraseRootFromParent_Done,
     /* 1186918 */   // Label 17258: @1186918
     /* 1186918 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1186999), // Rule ID 8705 //
     /* 1186923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1186926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1186931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1186934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1186937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1186946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1186976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1186979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1186989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186998 */     // GIR_Coverage, 8705,
     /* 1186998 */     GIR_EraseRootFromParent_Done,
     /* 1186999 */   // Label 17259: @1186999
     /* 1186999 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187080), // Rule ID 8796 //
     /* 1187004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1187021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1187024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1187057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1187060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187079 */     // GIR_Coverage, 8796,
     /* 1187079 */     GIR_EraseRootFromParent_Done,
     /* 1187080 */   // Label 17260: @1187080
     /* 1187080 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187161), // Rule ID 8797 //
     /* 1187085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1187102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1187105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1187138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1187141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187160 */     // GIR_Coverage, 8797,
     /* 1187160 */     GIR_EraseRootFromParent_Done,
     /* 1187161 */   // Label 17261: @1187161
     /* 1187161 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187242), // Rule ID 8800 //
     /* 1187166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1187177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1187180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1187183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1187186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1187189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187219 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1187219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1187222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187241 */     // GIR_Coverage, 8800,
     /* 1187241 */     GIR_EraseRootFromParent_Done,
     /* 1187242 */   // Label 17262: @1187242
     /* 1187242 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187323), // Rule ID 8801 //
     /* 1187247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1187258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1187261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1187264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1187267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1187270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1187300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1187303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187322 */     // GIR_Coverage, 8801,
     /* 1187322 */     GIR_EraseRootFromParent_Done,
     /* 1187323 */   // Label 17263: @1187323
     /* 1187323 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187404), // Rule ID 8804 //
     /* 1187328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1187339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1187342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1187345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1187348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1187351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1187381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187403 */     // GIR_Coverage, 8804,
     /* 1187403 */     GIR_EraseRootFromParent_Done,
     /* 1187404 */   // Label 17264: @1187404
     /* 1187404 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187485), // Rule ID 8805 //
     /* 1187409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1187420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1187423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1187426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1187429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1187432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1187462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187484 */     // GIR_Coverage, 8805,
     /* 1187484 */     GIR_EraseRootFromParent_Done,
     /* 1187485 */   // Label 17265: @1187485
     /* 1187485 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187566), // Rule ID 8808 //
     /* 1187490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1187543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1187546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187565 */     // GIR_Coverage, 8808,
     /* 1187565 */     GIR_EraseRootFromParent_Done,
     /* 1187566 */   // Label 17266: @1187566
     /* 1187566 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187647), // Rule ID 8809 //
     /* 1187571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1187591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1187624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1187627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187646 */     // GIR_Coverage, 8809,
     /* 1187646 */     GIR_EraseRootFromParent_Done,
     /* 1187647 */   // Label 17267: @1187647
     /* 1187647 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1187728), // Rule ID 8812 //
     /* 1187652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1187663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1187666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1187675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187705 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1187705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187727 */     // GIR_Coverage, 8812,
     /* 1187727 */     GIR_EraseRootFromParent_Done,
     /* 1187728 */   // Label 17268: @1187728
     /* 1187728 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1187809), // Rule ID 8813 //
     /* 1187733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1187744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1187747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1187753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1187756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1187786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187808 */     // GIR_Coverage, 8813,
     /* 1187808 */     GIR_EraseRootFromParent_Done,
     /* 1187809 */   // Label 17269: @1187809
     /* 1187809 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1187890), // Rule ID 8816 //
     /* 1187814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1187834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1187867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187889 */     // GIR_Coverage, 8816,
     /* 1187889 */     GIR_EraseRootFromParent_Done,
     /* 1187890 */   // Label 17270: @1187890
     /* 1187890 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1187971), // Rule ID 8817 //
     /* 1187895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1187906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1187909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1187915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1187918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1187948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1187951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1187961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187970 */     // GIR_Coverage, 8817,
     /* 1187970 */     GIR_EraseRootFromParent_Done,
     /* 1187971 */   // Label 17271: @1187971
     /* 1187971 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188052), // Rule ID 8820 //
     /* 1187976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1187984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1187987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1187990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1187993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1187996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1187999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1188029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188051 */     // GIR_Coverage, 8820,
     /* 1188051 */     GIR_EraseRootFromParent_Done,
     /* 1188052 */   // Label 17272: @1188052
     /* 1188052 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188133), // Rule ID 8821 //
     /* 1188057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1188068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1188071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1188074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1188077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1188080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1188110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188132 */     // GIR_Coverage, 8821,
     /* 1188132 */     GIR_EraseRootFromParent_Done,
     /* 1188133 */   // Label 17273: @1188133
     /* 1188133 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188214), // Rule ID 8824 //
     /* 1188138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1188149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1188152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1188161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188191 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1188191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188213 */     // GIR_Coverage, 8824,
     /* 1188213 */     GIR_EraseRootFromParent_Done,
     /* 1188214 */   // Label 17274: @1188214
     /* 1188214 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188295), // Rule ID 8825 //
     /* 1188219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1188230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1188233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1188236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1188242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1188272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188294 */     // GIR_Coverage, 8825,
     /* 1188294 */     GIR_EraseRootFromParent_Done,
     /* 1188295 */   // Label 17275: @1188295
     /* 1188295 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188376), // Rule ID 8828 //
     /* 1188300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1188311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1188314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1188323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1188353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188375 */     // GIR_Coverage, 8828,
     /* 1188375 */     GIR_EraseRootFromParent_Done,
     /* 1188376 */   // Label 17276: @1188376
     /* 1188376 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188457), // Rule ID 8829 //
     /* 1188381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1188392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1188395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1188401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1188404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1188434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188456 */     // GIR_Coverage, 8829,
     /* 1188456 */     GIR_EraseRootFromParent_Done,
     /* 1188457 */   // Label 17277: @1188457
     /* 1188457 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188538), // Rule ID 8832 //
     /* 1188462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1188465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1188473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1188476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1188485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188515 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1188515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188537 */     // GIR_Coverage, 8832,
     /* 1188537 */     GIR_EraseRootFromParent_Done,
     /* 1188538 */   // Label 17278: @1188538
     /* 1188538 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188619), // Rule ID 8833 //
     /* 1188543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1188546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1188554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1188557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1188560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1188563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1188566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1188596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1188599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188618 */     // GIR_Coverage, 8833,
     /* 1188618 */     GIR_EraseRootFromParent_Done,
     /* 1188619 */   // Label 17279: @1188619
     /* 1188619 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188700), // Rule ID 8836 //
     /* 1188624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1188635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1188638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1188641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1188644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1188647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1188677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1188680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188699 */     // GIR_Coverage, 8836,
     /* 1188699 */     GIR_EraseRootFromParent_Done,
     /* 1188700 */   // Label 17280: @1188700
     /* 1188700 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1188781), // Rule ID 8837 //
     /* 1188705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1188716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1188719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1188722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1188725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1188728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188758 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1188758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1188761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188780 */     // GIR_Coverage, 8837,
     /* 1188780 */     GIR_EraseRootFromParent_Done,
     /* 1188781 */   // Label 17281: @1188781
     /* 1188781 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1188862), // Rule ID 8840 //
     /* 1188786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1188797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1188800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1188803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1188806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1188809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1188839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1188842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188861 */     // GIR_Coverage, 8840,
     /* 1188861 */     GIR_EraseRootFromParent_Done,
     /* 1188862 */   // Label 17282: @1188862
     /* 1188862 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1188943), // Rule ID 8841 //
     /* 1188867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1188878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1188881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1188884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1188887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1188890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188920 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1188920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1188923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1188933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188942 */     // GIR_Coverage, 8841,
     /* 1188942 */     GIR_EraseRootFromParent_Done,
     /* 1188943 */   // Label 17283: @1188943
     /* 1188943 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189024), // Rule ID 8844 //
     /* 1188948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1188956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1188959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1188962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1188965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1188968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1188971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189001 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1189001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1189004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189023 */     // GIR_Coverage, 8844,
     /* 1189023 */     GIR_EraseRootFromParent_Done,
     /* 1189024 */   // Label 17284: @1189024
     /* 1189024 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189105), // Rule ID 8845 //
     /* 1189029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1189040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1189043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1189046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1189049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1189052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189082 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1189082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1189085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189104 */     // GIR_Coverage, 8845,
     /* 1189104 */     GIR_EraseRootFromParent_Done,
     /* 1189105 */   // Label 17285: @1189105
     /* 1189105 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189186), // Rule ID 8848 //
     /* 1189110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1189121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1189124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1189133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1189163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1189166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189185 */     // GIR_Coverage, 8848,
     /* 1189185 */     GIR_EraseRootFromParent_Done,
     /* 1189186 */   // Label 17286: @1189186
     /* 1189186 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189267), // Rule ID 8849 //
     /* 1189191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1189202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1189205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1189214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1189244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1189247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189266 */     // GIR_Coverage, 8849,
     /* 1189266 */     GIR_EraseRootFromParent_Done,
     /* 1189267 */   // Label 17287: @1189267
     /* 1189267 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189348), // Rule ID 8852 //
     /* 1189272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1189283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1189286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1189295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189325 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1189325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1189328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189347 */     // GIR_Coverage, 8852,
     /* 1189347 */     GIR_EraseRootFromParent_Done,
     /* 1189348 */   // Label 17288: @1189348
     /* 1189348 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189429), // Rule ID 8853 //
     /* 1189353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1189364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1189367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1189376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1189406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1189409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189428 */     // GIR_Coverage, 8853,
     /* 1189428 */     GIR_EraseRootFromParent_Done,
     /* 1189429 */   // Label 17289: @1189429
     /* 1189429 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189510), // Rule ID 8856 //
     /* 1189434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1189445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1189448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1189457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189487 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1189487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1189490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189509 */     // GIR_Coverage, 8856,
     /* 1189509 */     GIR_EraseRootFromParent_Done,
     /* 1189510 */   // Label 17290: @1189510
     /* 1189510 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189591), // Rule ID 8857 //
     /* 1189515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1189526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1189529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1189532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1189535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1189538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1189568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1189571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189590 */     // GIR_Coverage, 8857,
     /* 1189590 */     GIR_EraseRootFromParent_Done,
     /* 1189591 */   // Label 17291: @1189591
     /* 1189591 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189672), // Rule ID 8860 //
     /* 1189596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1189607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1189610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1189619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1189649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1189652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189671 */     // GIR_Coverage, 8860,
     /* 1189671 */     GIR_EraseRootFromParent_Done,
     /* 1189672 */   // Label 17292: @1189672
     /* 1189672 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1189753), // Rule ID 8861 //
     /* 1189677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1189688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1189691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1189694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1189700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1189730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1189733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189752 */     // GIR_Coverage, 8861,
     /* 1189752 */     GIR_EraseRootFromParent_Done,
     /* 1189753 */   // Label 17293: @1189753
     /* 1189753 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1189834), // Rule ID 8864 //
     /* 1189758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1189769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1189772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1189781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1189811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1189814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189833 */     // GIR_Coverage, 8864,
     /* 1189833 */     GIR_EraseRootFromParent_Done,
     /* 1189834 */   // Label 17294: @1189834
     /* 1189834 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1189915), // Rule ID 8865 //
     /* 1189839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1189850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1189853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1189862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1189892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1189895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189914 */     // GIR_Coverage, 8865,
     /* 1189914 */     GIR_EraseRootFromParent_Done,
     /* 1189915 */   // Label 17295: @1189915
     /* 1189915 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1189996), // Rule ID 8868 //
     /* 1189920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1189928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1189931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1189934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1189940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1189943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189973 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1189973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1189976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1189986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189995 */     // GIR_Coverage, 8868,
     /* 1189995 */     GIR_EraseRootFromParent_Done,
     /* 1189996 */   // Label 17296: @1189996
     /* 1189996 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190077), // Rule ID 8869 //
     /* 1190001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1190012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1190015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1190021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1190024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1190054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1190057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190076 */     // GIR_Coverage, 8869,
     /* 1190076 */     GIR_EraseRootFromParent_Done,
     /* 1190077 */   // Label 17297: @1190077
     /* 1190077 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190158), // Rule ID 8872 //
     /* 1190082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1190085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1190135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1190138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190157 */     // GIR_Coverage, 8872,
     /* 1190157 */     GIR_EraseRootFromParent_Done,
     /* 1190158 */   // Label 17298: @1190158
     /* 1190158 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190239), // Rule ID 8873 //
     /* 1190163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1190166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1190183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1190216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1190219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190238 */     // GIR_Coverage, 8873,
     /* 1190238 */     GIR_EraseRootFromParent_Done,
     /* 1190239 */   // Label 17299: @1190239
     /* 1190239 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190320), // Rule ID 8876 //
     /* 1190244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1190247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1190297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1190300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190319 */     // GIR_Coverage, 8876,
     /* 1190319 */     GIR_EraseRootFromParent_Done,
     /* 1190320 */   // Label 17300: @1190320
     /* 1190320 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190401), // Rule ID 8877 //
     /* 1190325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1190328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1190342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1190345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1190378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1190381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190400 */     // GIR_Coverage, 8877,
     /* 1190400 */     GIR_EraseRootFromParent_Done,
     /* 1190401 */   // Label 17301: @1190401
     /* 1190401 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190482), // Rule ID 8880 //
     /* 1190406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1190409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1190417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1190420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1190429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1190459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1190462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190481 */     // GIR_Coverage, 8880,
     /* 1190481 */     GIR_EraseRootFromParent_Done,
     /* 1190482 */   // Label 17302: @1190482
     /* 1190482 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190563), // Rule ID 8881 //
     /* 1190487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1190490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1190498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1190501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1190504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1190507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1190510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1190540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1190543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190562 */     // GIR_Coverage, 8881,
     /* 1190562 */     GIR_EraseRootFromParent_Done,
     /* 1190563 */   // Label 17303: @1190563
     /* 1190563 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190644), // Rule ID 8884 //
     /* 1190568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1190579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1190582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1190585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1190591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1190621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1190624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190643 */     // GIR_Coverage, 8884,
     /* 1190643 */     GIR_EraseRootFromParent_Done,
     /* 1190644 */   // Label 17304: @1190644
     /* 1190644 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190725), // Rule ID 8885 //
     /* 1190649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1190660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1190663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1190666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1190672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190702 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1190702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1190705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190724 */     // GIR_Coverage, 8885,
     /* 1190724 */     GIR_EraseRootFromParent_Done,
     /* 1190725 */   // Label 17305: @1190725
     /* 1190725 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1190806), // Rule ID 8888 //
     /* 1190730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1190747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190783 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1190783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1190786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190805 */     // GIR_Coverage, 8888,
     /* 1190805 */     GIR_EraseRootFromParent_Done,
     /* 1190806 */   // Label 17306: @1190806
     /* 1190806 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1190887), // Rule ID 8889 //
     /* 1190811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1190828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1190864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1190867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190886 */     // GIR_Coverage, 8889,
     /* 1190886 */     GIR_EraseRootFromParent_Done,
     /* 1190887 */   // Label 17307: @1190887
     /* 1190887 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1190968), // Rule ID 8892 //
     /* 1190892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1190909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1190945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1190948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1190958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190967 */     // GIR_Coverage, 8892,
     /* 1190967 */     GIR_EraseRootFromParent_Done,
     /* 1190968 */   // Label 17308: @1190968
     /* 1190968 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191049), // Rule ID 8893 //
     /* 1190973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1190981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1190990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1191026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1191029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191048 */     // GIR_Coverage, 8893,
     /* 1191048 */     GIR_EraseRootFromParent_Done,
     /* 1191049 */   // Label 17309: @1191049
     /* 1191049 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191130), // Rule ID 8896 //
     /* 1191054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1191065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1191068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1191071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1191077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1191110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191129 */     // GIR_Coverage, 8896,
     /* 1191129 */     GIR_EraseRootFromParent_Done,
     /* 1191130 */   // Label 17310: @1191130
     /* 1191130 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191211), // Rule ID 8897 //
     /* 1191135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1191146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1191149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1191152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1191158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1191191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191210 */     // GIR_Coverage, 8897,
     /* 1191210 */     GIR_EraseRootFromParent_Done,
     /* 1191211 */   // Label 17311: @1191211
     /* 1191211 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191292), // Rule ID 8900 //
     /* 1191216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1191227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1191230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1191233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1191239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1191272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191291 */     // GIR_Coverage, 8900,
     /* 1191291 */     GIR_EraseRootFromParent_Done,
     /* 1191292 */   // Label 17312: @1191292
     /* 1191292 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191373), // Rule ID 8901 //
     /* 1191297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1191308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1191311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1191314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1191320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1191353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191372 */     // GIR_Coverage, 8901,
     /* 1191372 */     GIR_EraseRootFromParent_Done,
     /* 1191373 */   // Label 17313: @1191373
     /* 1191373 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191454), // Rule ID 8904 //
     /* 1191378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1191389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1191392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1191401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191431 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1191431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1191434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191453 */     // GIR_Coverage, 8904,
     /* 1191453 */     GIR_EraseRootFromParent_Done,
     /* 1191454 */   // Label 17314: @1191454
     /* 1191454 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191535), // Rule ID 8905 //
     /* 1191459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1191470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1191473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1191482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1191512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1191515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191534 */     // GIR_Coverage, 8905,
     /* 1191534 */     GIR_EraseRootFromParent_Done,
     /* 1191535 */   // Label 17315: @1191535
     /* 1191535 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191616), // Rule ID 8908 //
     /* 1191540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1191551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1191554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1191557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1191563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1191593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1191596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191615 */     // GIR_Coverage, 8908,
     /* 1191615 */     GIR_EraseRootFromParent_Done,
     /* 1191616 */   // Label 17316: @1191616
     /* 1191616 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191697), // Rule ID 8909 //
     /* 1191621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1191632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1191635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1191638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1191644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1191674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1191677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191696 */     // GIR_Coverage, 8909,
     /* 1191696 */     GIR_EraseRootFromParent_Done,
     /* 1191697 */   // Label 17317: @1191697
     /* 1191697 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1191778), // Rule ID 8912 //
     /* 1191702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1191713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1191716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1191725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1191758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191777 */     // GIR_Coverage, 8912,
     /* 1191777 */     GIR_EraseRootFromParent_Done,
     /* 1191778 */   // Label 17318: @1191778
     /* 1191778 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1191859), // Rule ID 8913 //
     /* 1191783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1191794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1191797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1191806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1191839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191858 */     // GIR_Coverage, 8913,
     /* 1191858 */     GIR_EraseRootFromParent_Done,
     /* 1191859 */   // Label 17319: @1191859
     /* 1191859 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1191940), // Rule ID 8916 //
     /* 1191864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1191875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1191878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1191887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1191917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1191920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1191930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191939 */     // GIR_Coverage, 8916,
     /* 1191939 */     GIR_EraseRootFromParent_Done,
     /* 1191940 */   // Label 17320: @1191940
     /* 1191940 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192021), // Rule ID 8917 //
     /* 1191945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1191953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1191956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1191959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1191968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191998 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1191998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1192001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192020 */     // GIR_Coverage, 8917,
     /* 1192020 */     GIR_EraseRootFromParent_Done,
     /* 1192021 */   // Label 17321: @1192021
     /* 1192021 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192102), // Rule ID 8920 //
     /* 1192026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1192029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1192037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1192040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1192043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1192049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192079 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1192079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1192082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192101 */     // GIR_Coverage, 8920,
     /* 1192101 */     GIR_EraseRootFromParent_Done,
     /* 1192102 */   // Label 17322: @1192102
     /* 1192102 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192183), // Rule ID 8921 //
     /* 1192107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1192110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1192118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1192121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1192124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1192130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1192160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1192163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192182 */     // GIR_Coverage, 8921,
     /* 1192182 */     GIR_EraseRootFromParent_Done,
     /* 1192183 */   // Label 17323: @1192183
     /* 1192183 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192264), // Rule ID 8924 //
     /* 1192188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1192205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1192241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1192244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192263 */     // GIR_Coverage, 8924,
     /* 1192263 */     GIR_EraseRootFromParent_Done,
     /* 1192264 */   // Label 17324: @1192264
     /* 1192264 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192345), // Rule ID 8925 //
     /* 1192269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1192286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1192322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1192325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192344 */     // GIR_Coverage, 8925,
     /* 1192344 */     GIR_EraseRootFromParent_Done,
     /* 1192345 */   // Label 17325: @1192345
     /* 1192345 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192426), // Rule ID 8928 //
     /* 1192350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1192361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1192364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1192367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1192373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192403 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1192403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1192406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192425 */     // GIR_Coverage, 8928,
     /* 1192425 */     GIR_EraseRootFromParent_Done,
     /* 1192426 */   // Label 17326: @1192426
     /* 1192426 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192507), // Rule ID 8929 //
     /* 1192431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1192442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1192445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1192448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1192454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1192484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1192487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192506 */     // GIR_Coverage, 8929,
     /* 1192506 */     GIR_EraseRootFromParent_Done,
     /* 1192507 */   // Label 17327: @1192507
     /* 1192507 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192588), // Rule ID 8932 //
     /* 1192512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1192523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1192526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1192529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1192535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192565 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1192565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1192568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192587 */     // GIR_Coverage, 8932,
     /* 1192587 */     GIR_EraseRootFromParent_Done,
     /* 1192588 */   // Label 17328: @1192588
     /* 1192588 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192669), // Rule ID 8933 //
     /* 1192593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1192604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1192607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1192610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1192616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192646 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1192646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1192649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1192667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192668 */     // GIR_Coverage, 8933,
     /* 1192668 */     GIR_EraseRootFromParent_Done,
     /* 1192669 */   // Label 17329: @1192669
     /* 1192669 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192750), // Rule ID 8936 //
     /* 1192674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1192685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1192688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1192697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1192727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1192730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192749 */     // GIR_Coverage, 8936,
     /* 1192749 */     GIR_EraseRootFromParent_Done,
     /* 1192750 */   // Label 17330: @1192750
     /* 1192750 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1192831), // Rule ID 8937 //
     /* 1192755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1192766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1192769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1192778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1192808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1192811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192830 */     // GIR_Coverage, 8937,
     /* 1192830 */     GIR_EraseRootFromParent_Done,
     /* 1192831 */   // Label 17331: @1192831
     /* 1192831 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1192912), // Rule ID 8940 //
     /* 1192836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1192889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1192892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192911 */     // GIR_Coverage, 8940,
     /* 1192911 */     GIR_EraseRootFromParent_Done,
     /* 1192912 */   // Label 17332: @1192912
     /* 1192912 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1192993), // Rule ID 8941 //
     /* 1192917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1192925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192970 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1192970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1192973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1192983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192992 */     // GIR_Coverage, 8941,
     /* 1192992 */     GIR_EraseRootFromParent_Done,
     /* 1192993 */   // Label 17333: @1192993
     /* 1192993 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193074), // Rule ID 8944 //
     /* 1192998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1193009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1193012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1193021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193051 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1193051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1193054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193073 */     // GIR_Coverage, 8944,
     /* 1193073 */     GIR_EraseRootFromParent_Done,
     /* 1193074 */   // Label 17334: @1193074
     /* 1193074 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193155), // Rule ID 8945 //
     /* 1193079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1193090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1193093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1193102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193132 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1193132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1193135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193154 */     // GIR_Coverage, 8945,
     /* 1193154 */     GIR_EraseRootFromParent_Done,
     /* 1193155 */   // Label 17335: @1193155
     /* 1193155 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193236), // Rule ID 8948 //
     /* 1193160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1193213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1193216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193235 */     // GIR_Coverage, 8948,
     /* 1193235 */     GIR_EraseRootFromParent_Done,
     /* 1193236 */   // Label 17336: @1193236
     /* 1193236 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193317), // Rule ID 8949 //
     /* 1193241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1193294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1193297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193316 */     // GIR_Coverage, 8949,
     /* 1193316 */     GIR_EraseRootFromParent_Done,
     /* 1193317 */   // Label 17337: @1193317
     /* 1193317 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193398), // Rule ID 8952 //
     /* 1193322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1193333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1193336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1193345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1193375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1193378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193397 */     // GIR_Coverage, 8952,
     /* 1193397 */     GIR_EraseRootFromParent_Done,
     /* 1193398 */   // Label 17338: @1193398
     /* 1193398 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193479), // Rule ID 8953 //
     /* 1193403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1193414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1193417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1193426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1193456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1193459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193478 */     // GIR_Coverage, 8953,
     /* 1193478 */     GIR_EraseRootFromParent_Done,
     /* 1193479 */   // Label 17339: @1193479
     /* 1193479 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193560), // Rule ID 8956 //
     /* 1193484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1193495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1193498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1193501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1193507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193537 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1193537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1193540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193559 */     // GIR_Coverage, 8956,
     /* 1193559 */     GIR_EraseRootFromParent_Done,
     /* 1193560 */   // Label 17340: @1193560
     /* 1193560 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193641), // Rule ID 8957 //
     /* 1193565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1193576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1193579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1193582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1193588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1193618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1193621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193640 */     // GIR_Coverage, 8957,
     /* 1193640 */     GIR_EraseRootFromParent_Done,
     /* 1193641 */   // Label 17341: @1193641
     /* 1193641 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193722), // Rule ID 8960 //
     /* 1193646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1193649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1193657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1193660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1193663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1193669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1193699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1193702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193721 */     // GIR_Coverage, 8960,
     /* 1193721 */     GIR_EraseRootFromParent_Done,
     /* 1193722 */   // Label 17342: @1193722
     /* 1193722 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1193803), // Rule ID 8961 //
     /* 1193727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1193730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1193738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1193741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1193744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1193750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1193780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1193783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193802 */     // GIR_Coverage, 8961,
     /* 1193802 */     GIR_EraseRootFromParent_Done,
     /* 1193803 */   // Label 17343: @1193803
     /* 1193803 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1193884), // Rule ID 8964 //
     /* 1193808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1193811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1193825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1193861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1193864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193883 */     // GIR_Coverage, 8964,
     /* 1193883 */     GIR_EraseRootFromParent_Done,
     /* 1193884 */   // Label 17344: @1193884
     /* 1193884 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1193965), // Rule ID 8965 //
     /* 1193889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1193892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1193906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193942 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1193942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1193945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1193955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193964 */     // GIR_Coverage, 8965,
     /* 1193964 */     GIR_EraseRootFromParent_Done,
     /* 1193965 */   // Label 17345: @1193965
     /* 1193965 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194046), // Rule ID 8968 //
     /* 1193970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1193973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1193978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1193981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1193984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1193993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1194023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1194026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194045 */     // GIR_Coverage, 8968,
     /* 1194045 */     GIR_EraseRootFromParent_Done,
     /* 1194046 */   // Label 17346: @1194046
     /* 1194046 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194127), // Rule ID 8969 //
     /* 1194051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1194054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1194059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1194062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1194065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1194074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1194104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1194107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194126 */     // GIR_Coverage, 8969,
     /* 1194126 */     GIR_EraseRootFromParent_Done,
     /* 1194127 */   // Label 17347: @1194127
     /* 1194127 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194208), // Rule ID 9060 //
     /* 1194132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1194149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1194185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1194188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194207 */     // GIR_Coverage, 9060,
     /* 1194207 */     GIR_EraseRootFromParent_Done,
     /* 1194208 */   // Label 17348: @1194208
     /* 1194208 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194289), // Rule ID 9061 //
     /* 1194213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1194230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1194266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1194269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194288 */     // GIR_Coverage, 9061,
     /* 1194288 */     GIR_EraseRootFromParent_Done,
     /* 1194289 */   // Label 17349: @1194289
     /* 1194289 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194370), // Rule ID 9064 //
     /* 1194294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1194311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194347 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1194347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1194350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194369 */     // GIR_Coverage, 9064,
     /* 1194369 */     GIR_EraseRootFromParent_Done,
     /* 1194370 */   // Label 17350: @1194370
     /* 1194370 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194451), // Rule ID 9065 //
     /* 1194375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1194392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1194428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1194431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194450 */     // GIR_Coverage, 9065,
     /* 1194450 */     GIR_EraseRootFromParent_Done,
     /* 1194451 */   // Label 17351: @1194451
     /* 1194451 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194532), // Rule ID 9068 //
     /* 1194456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1194467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1194470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1194473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1194479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1194509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1194512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194531 */     // GIR_Coverage, 9068,
     /* 1194531 */     GIR_EraseRootFromParent_Done,
     /* 1194532 */   // Label 17352: @1194532
     /* 1194532 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194613), // Rule ID 9069 //
     /* 1194537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1194548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1194551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1194554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1194560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1194590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1194593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194612 */     // GIR_Coverage, 9069,
     /* 1194612 */     GIR_EraseRootFromParent_Done,
     /* 1194613 */   // Label 17353: @1194613
     /* 1194613 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194694), // Rule ID 9072 //
     /* 1194618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194671 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1194671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1194674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194693 */     // GIR_Coverage, 9072,
     /* 1194693 */     GIR_EraseRootFromParent_Done,
     /* 1194694 */   // Label 17354: @1194694
     /* 1194694 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194775), // Rule ID 9073 //
     /* 1194699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1194752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1194755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194774 */     // GIR_Coverage, 9073,
     /* 1194774 */     GIR_EraseRootFromParent_Done,
     /* 1194775 */   // Label 17355: @1194775
     /* 1194775 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1194856), // Rule ID 9076 //
     /* 1194780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1194833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1194836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194855 */     // GIR_Coverage, 9076,
     /* 1194855 */     GIR_EraseRootFromParent_Done,
     /* 1194856 */   // Label 17356: @1194856
     /* 1194856 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1194937), // Rule ID 9077 //
     /* 1194861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1194914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1194917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1194927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194936 */     // GIR_Coverage, 9077,
     /* 1194936 */     GIR_EraseRootFromParent_Done,
     /* 1194937 */   // Label 17357: @1194937
     /* 1194937 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195018), // Rule ID 9080 //
     /* 1194942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1194950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194995 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1194995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1194998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195017 */     // GIR_Coverage, 9080,
     /* 1195017 */     GIR_EraseRootFromParent_Done,
     /* 1195018 */   // Label 17358: @1195018
     /* 1195018 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195099), // Rule ID 9081 //
     /* 1195023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1195034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1195037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1195046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1195076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1195079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195098 */     // GIR_Coverage, 9081,
     /* 1195098 */     GIR_EraseRootFromParent_Done,
     /* 1195099 */   // Label 17359: @1195099
     /* 1195099 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195180), // Rule ID 9084 //
     /* 1195104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1195115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1195118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1195121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1195127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195179 */     // GIR_Coverage, 9084,
     /* 1195179 */     GIR_EraseRootFromParent_Done,
     /* 1195180 */   // Label 17360: @1195180
     /* 1195180 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195261), // Rule ID 9085 //
     /* 1195185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1195196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1195199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1195202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1195208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195238 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1195238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195260 */     // GIR_Coverage, 9085,
     /* 1195260 */     GIR_EraseRootFromParent_Done,
     /* 1195261 */   // Label 17361: @1195261
     /* 1195261 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195342), // Rule ID 9088 //
     /* 1195266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1195277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1195280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1195289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195319 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1195319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195341 */     // GIR_Coverage, 9088,
     /* 1195341 */     GIR_EraseRootFromParent_Done,
     /* 1195342 */   // Label 17362: @1195342
     /* 1195342 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195423), // Rule ID 9089 //
     /* 1195347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1195358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1195361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1195370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1195400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195422 */     // GIR_Coverage, 9089,
     /* 1195422 */     GIR_EraseRootFromParent_Done,
     /* 1195423 */   // Label 17363: @1195423
     /* 1195423 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195504), // Rule ID 9092 //
     /* 1195428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1195439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1195442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1195451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1195481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195503 */     // GIR_Coverage, 9092,
     /* 1195503 */     GIR_EraseRootFromParent_Done,
     /* 1195504 */   // Label 17364: @1195504
     /* 1195504 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195585), // Rule ID 9093 //
     /* 1195509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1195520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1195523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1195532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1195562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195584 */     // GIR_Coverage, 9093,
     /* 1195584 */     GIR_EraseRootFromParent_Done,
     /* 1195585 */   // Label 17365: @1195585
     /* 1195585 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195666), // Rule ID 9096 //
     /* 1195590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1195593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1195601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1195604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1195613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195643 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1195643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195665 */     // GIR_Coverage, 9096,
     /* 1195665 */     GIR_EraseRootFromParent_Done,
     /* 1195666 */   // Label 17366: @1195666
     /* 1195666 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195747), // Rule ID 9097 //
     /* 1195671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1195674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1195682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1195685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1195694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1195724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1195727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195746 */     // GIR_Coverage, 9097,
     /* 1195746 */     GIR_EraseRootFromParent_Done,
     /* 1195747 */   // Label 17367: @1195747
     /* 1195747 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1195828), // Rule ID 9100 //
     /* 1195752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1195763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1195766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1195769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1195775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1195808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195827 */     // GIR_Coverage, 9100,
     /* 1195827 */     GIR_EraseRootFromParent_Done,
     /* 1195828 */   // Label 17368: @1195828
     /* 1195828 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1195909), // Rule ID 9101 //
     /* 1195833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1195844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1195847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1195850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1195856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195886 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1195886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1195889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195908 */     // GIR_Coverage, 9101,
     /* 1195908 */     GIR_EraseRootFromParent_Done,
     /* 1195909 */   // Label 17369: @1195909
     /* 1195909 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1195990), // Rule ID 9104 //
     /* 1195914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1195922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1195925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1195928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1195931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1195937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195967 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1195970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1195980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195989 */     // GIR_Coverage, 9104,
     /* 1195989 */     GIR_EraseRootFromParent_Done,
     /* 1195990 */   // Label 17370: @1195990
     /* 1195990 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196071), // Rule ID 9105 //
     /* 1195995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1196006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1196009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1196012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1196018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196048 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1196048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1196051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1196069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196070 */     // GIR_Coverage, 9105,
     /* 1196070 */     GIR_EraseRootFromParent_Done,
     /* 1196071 */   // Label 17371: @1196071
     /* 1196071 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196152), // Rule ID 9108 //
     /* 1196076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1196087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1196090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1196093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1196099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196129 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1196129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1196132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1196150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196151 */     // GIR_Coverage, 9108,
     /* 1196151 */     GIR_EraseRootFromParent_Done,
     /* 1196152 */   // Label 17372: @1196152
     /* 1196152 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196233), // Rule ID 9109 //
     /* 1196157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1196168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1196171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1196174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1196180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196210 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1196210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1196213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1196231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196232 */     // GIR_Coverage, 9109,
     /* 1196232 */     GIR_EraseRootFromParent_Done,
     /* 1196233 */   // Label 17373: @1196233
     /* 1196233 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196314), // Rule ID 9112 //
     /* 1196238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196291 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1196291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1196294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196313 */     // GIR_Coverage, 9112,
     /* 1196313 */     GIR_EraseRootFromParent_Done,
     /* 1196314 */   // Label 17374: @1196314
     /* 1196314 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196395), // Rule ID 9113 //
     /* 1196319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1196336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1196372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1196375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196394 */     // GIR_Coverage, 9113,
     /* 1196394 */     GIR_EraseRootFromParent_Done,
     /* 1196395 */   // Label 17375: @1196395
     /* 1196395 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196476), // Rule ID 9116 //
     /* 1196400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1196411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1196414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1196423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1196453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1196456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196475 */     // GIR_Coverage, 9116,
     /* 1196475 */     GIR_EraseRootFromParent_Done,
     /* 1196476 */   // Label 17376: @1196476
     /* 1196476 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196557), // Rule ID 9117 //
     /* 1196481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1196492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1196495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1196504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1196534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1196537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196556 */     // GIR_Coverage, 9117,
     /* 1196556 */     GIR_EraseRootFromParent_Done,
     /* 1196557 */   // Label 17377: @1196557
     /* 1196557 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196638), // Rule ID 9120 //
     /* 1196562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1196573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1196576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1196585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196615 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1196615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1196618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196637 */     // GIR_Coverage, 9120,
     /* 1196637 */     GIR_EraseRootFromParent_Done,
     /* 1196638 */   // Label 17378: @1196638
     /* 1196638 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196719), // Rule ID 9121 //
     /* 1196643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1196654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1196657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1196666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1196696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1196699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196718 */     // GIR_Coverage, 9121,
     /* 1196718 */     GIR_EraseRootFromParent_Done,
     /* 1196719 */   // Label 17379: @1196719
     /* 1196719 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196800), // Rule ID 9124 //
     /* 1196724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1196735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1196738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1196747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1196777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1196780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196799 */     // GIR_Coverage, 9124,
     /* 1196799 */     GIR_EraseRootFromParent_Done,
     /* 1196800 */   // Label 17380: @1196800
     /* 1196800 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1196881), // Rule ID 9125 //
     /* 1196805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1196816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1196819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1196828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196858 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1196858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1196861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196880 */     // GIR_Coverage, 9125,
     /* 1196880 */     GIR_EraseRootFromParent_Done,
     /* 1196881 */   // Label 17381: @1196881
     /* 1196881 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1196962), // Rule ID 9128 //
     /* 1196886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196939 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1196939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1196942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1196952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196961 */     // GIR_Coverage, 9128,
     /* 1196961 */     GIR_EraseRootFromParent_Done,
     /* 1196962 */   // Label 17382: @1196962
     /* 1196962 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197043), // Rule ID 9129 //
     /* 1196967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1196975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1197020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1197023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197042 */     // GIR_Coverage, 9129,
     /* 1197042 */     GIR_EraseRootFromParent_Done,
     /* 1197043 */   // Label 17383: @1197043
     /* 1197043 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197124), // Rule ID 9132 //
     /* 1197048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1197059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1197062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1197065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1197071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1197101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1197104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197123 */     // GIR_Coverage, 9132,
     /* 1197123 */     GIR_EraseRootFromParent_Done,
     /* 1197124 */   // Label 17384: @1197124
     /* 1197124 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197205), // Rule ID 9133 //
     /* 1197129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1197132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1197140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1197143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1197146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1197152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1197182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1197185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197204 */     // GIR_Coverage, 9133,
     /* 1197204 */     GIR_EraseRootFromParent_Done,
     /* 1197205 */   // Label 17385: @1197205
     /* 1197205 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197286), // Rule ID 9136 //
     /* 1197210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1197213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1197266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197285 */     // GIR_Coverage, 9136,
     /* 1197285 */     GIR_EraseRootFromParent_Done,
     /* 1197286 */   // Label 17386: @1197286
     /* 1197286 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197367), // Rule ID 9137 //
     /* 1197291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1197347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197366 */     // GIR_Coverage, 9137,
     /* 1197366 */     GIR_EraseRootFromParent_Done,
     /* 1197367 */   // Label 17387: @1197367
     /* 1197367 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197448), // Rule ID 9140 //
     /* 1197372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1197375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1197383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1197386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1197395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1197428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197447 */     // GIR_Coverage, 9140,
     /* 1197447 */     GIR_EraseRootFromParent_Done,
     /* 1197448 */   // Label 17388: @1197448
     /* 1197448 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197529), // Rule ID 9141 //
     /* 1197453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1197464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1197467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1197476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1197509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197528 */     // GIR_Coverage, 9141,
     /* 1197528 */     GIR_EraseRootFromParent_Done,
     /* 1197529 */   // Label 17389: @1197529
     /* 1197529 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197610), // Rule ID 9144 //
     /* 1197534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1197537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1197545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1197548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1197557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1197590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197609 */     // GIR_Coverage, 9144,
     /* 1197609 */     GIR_EraseRootFromParent_Done,
     /* 1197610 */   // Label 17390: @1197610
     /* 1197610 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197691), // Rule ID 9145 //
     /* 1197615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1197623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1197626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1197629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1197638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1197671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197690 */     // GIR_Coverage, 9145,
     /* 1197690 */     GIR_EraseRootFromParent_Done,
     /* 1197691 */   // Label 17391: @1197691
     /* 1197691 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197772), // Rule ID 9236 //
     /* 1197696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1197704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1197707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1197710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1197713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1197719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1197749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1197752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197771 */     // GIR_Coverage, 9236,
     /* 1197771 */     GIR_EraseRootFromParent_Done,
     /* 1197772 */   // Label 17392: @1197772
     /* 1197772 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1197853), // Rule ID 9237 //
     /* 1197777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1197780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1197785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1197788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1197791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1197794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1197800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1197830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1197833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197852 */     // GIR_Coverage, 9237,
     /* 1197852 */     GIR_EraseRootFromParent_Done,
     /* 1197853 */   // Label 17393: @1197853
     /* 1197853 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1197934), // Rule ID 9240 //
     /* 1197858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1197866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1197875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1197911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1197914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1197924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197933 */     // GIR_Coverage, 9240,
     /* 1197933 */     GIR_EraseRootFromParent_Done,
     /* 1197934 */   // Label 17394: @1197934
     /* 1197934 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198015), // Rule ID 9241 //
     /* 1197939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1197942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1197947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1197956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1197992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1197995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198014 */     // GIR_Coverage, 9241,
     /* 1198014 */     GIR_EraseRootFromParent_Done,
     /* 1198015 */   // Label 17395: @1198015
     /* 1198015 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198096), // Rule ID 9244 //
     /* 1198020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1198037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1198073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198095 */     // GIR_Coverage, 9244,
     /* 1198095 */     GIR_EraseRootFromParent_Done,
     /* 1198096 */   // Label 17396: @1198096
     /* 1198096 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198177), // Rule ID 9245 //
     /* 1198101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1198118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1198154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198176 */     // GIR_Coverage, 9245,
     /* 1198176 */     GIR_EraseRootFromParent_Done,
     /* 1198177 */   // Label 17397: @1198177
     /* 1198177 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198258), // Rule ID 9248 //
     /* 1198182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1198238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198257 */     // GIR_Coverage, 9248,
     /* 1198257 */     GIR_EraseRootFromParent_Done,
     /* 1198258 */   // Label 17398: @1198258
     /* 1198258 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198339), // Rule ID 9249 //
     /* 1198263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1198316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1198319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198338 */     // GIR_Coverage, 9249,
     /* 1198338 */     GIR_EraseRootFromParent_Done,
     /* 1198339 */   // Label 17399: @1198339
     /* 1198339 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198420), // Rule ID 9252 //
     /* 1198344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1198355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1198358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1198367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198419 */     // GIR_Coverage, 9252,
     /* 1198419 */     GIR_EraseRootFromParent_Done,
     /* 1198420 */   // Label 17400: @1198420
     /* 1198420 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198501), // Rule ID 9253 //
     /* 1198425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1198436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1198439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1198448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1198478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198500 */     // GIR_Coverage, 9253,
     /* 1198500 */     GIR_EraseRootFromParent_Done,
     /* 1198501 */   // Label 17401: @1198501
     /* 1198501 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198582), // Rule ID 9256 //
     /* 1198506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198559 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1198559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198581 */     // GIR_Coverage, 9256,
     /* 1198581 */     GIR_EraseRootFromParent_Done,
     /* 1198582 */   // Label 17402: @1198582
     /* 1198582 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198663), // Rule ID 9257 //
     /* 1198587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1198640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1198643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198662 */     // GIR_Coverage, 9257,
     /* 1198662 */     GIR_EraseRootFromParent_Done,
     /* 1198663 */   // Label 17403: @1198663
     /* 1198663 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198744), // Rule ID 9260 //
     /* 1198668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1198679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1198682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1198685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1198691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198721 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1198721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1198724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198743 */     // GIR_Coverage, 9260,
     /* 1198743 */     GIR_EraseRootFromParent_Done,
     /* 1198744 */   // Label 17404: @1198744
     /* 1198744 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198825), // Rule ID 9261 //
     /* 1198749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1198760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1198763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1198766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1198772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1198802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1198805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198824 */     // GIR_Coverage, 9261,
     /* 1198824 */     GIR_EraseRootFromParent_Done,
     /* 1198825 */   // Label 17405: @1198825
     /* 1198825 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1198906), // Rule ID 9264 //
     /* 1198830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1198850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198883 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1198886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198905 */     // GIR_Coverage, 9264,
     /* 1198905 */     GIR_EraseRootFromParent_Done,
     /* 1198906 */   // Label 17406: @1198906
     /* 1198906 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1198987), // Rule ID 9265 //
     /* 1198911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1198919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1198953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1198964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1198967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1198977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198986 */     // GIR_Coverage, 9265,
     /* 1198986 */     GIR_EraseRootFromParent_Done,
     /* 1198987 */   // Label 17407: @1198987
     /* 1198987 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199068), // Rule ID 9268 //
     /* 1198992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1199003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1199006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1199015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1199045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1199048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199067 */     // GIR_Coverage, 9268,
     /* 1199067 */     GIR_EraseRootFromParent_Done,
     /* 1199068 */   // Label 17408: @1199068
     /* 1199068 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199149), // Rule ID 9269 //
     /* 1199073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1199084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1199087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1199096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1199126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1199129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199148 */     // GIR_Coverage, 9269,
     /* 1199148 */     GIR_EraseRootFromParent_Done,
     /* 1199149 */   // Label 17409: @1199149
     /* 1199149 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199230), // Rule ID 9272 //
     /* 1199154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1199157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1199165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1199168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1199177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199207 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1199207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1199210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199229 */     // GIR_Coverage, 9272,
     /* 1199229 */     GIR_EraseRootFromParent_Done,
     /* 1199230 */   // Label 17410: @1199230
     /* 1199230 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199311), // Rule ID 9273 //
     /* 1199235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1199238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1199246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1199249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1199258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1199288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1199291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199310 */     // GIR_Coverage, 9273,
     /* 1199310 */     GIR_EraseRootFromParent_Done,
     /* 1199311 */   // Label 17411: @1199311
     /* 1199311 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199392), // Rule ID 9276 //
     /* 1199316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1199327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1199330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1199333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1199339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1199372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199391 */     // GIR_Coverage, 9276,
     /* 1199391 */     GIR_EraseRootFromParent_Done,
     /* 1199392 */   // Label 17412: @1199392
     /* 1199392 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199473), // Rule ID 9277 //
     /* 1199397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1199408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1199411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1199414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1199420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1199450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1199453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199472 */     // GIR_Coverage, 9277,
     /* 1199472 */     GIR_EraseRootFromParent_Done,
     /* 1199473 */   // Label 17413: @1199473
     /* 1199473 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199554), // Rule ID 9280 //
     /* 1199478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1199489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1199492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1199495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1199501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199531 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1199534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199553 */     // GIR_Coverage, 9280,
     /* 1199553 */     GIR_EraseRootFromParent_Done,
     /* 1199554 */   // Label 17414: @1199554
     /* 1199554 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199635), // Rule ID 9281 //
     /* 1199559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1199570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1199573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1199576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1199582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1199612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1199615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199634 */     // GIR_Coverage, 9281,
     /* 1199634 */     GIR_EraseRootFromParent_Done,
     /* 1199635 */   // Label 17415: @1199635
     /* 1199635 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199716), // Rule ID 9284 //
     /* 1199640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1199651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1199654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1199657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1199663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199693 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1199696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199715 */     // GIR_Coverage, 9284,
     /* 1199715 */     GIR_EraseRootFromParent_Done,
     /* 1199716 */   // Label 17416: @1199716
     /* 1199716 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199797), // Rule ID 9285 //
     /* 1199721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1199732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1199735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1199738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1199744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199774 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1199774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1199777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199796 */     // GIR_Coverage, 9285,
     /* 1199796 */     GIR_EraseRootFromParent_Done,
     /* 1199797 */   // Label 17417: @1199797
     /* 1199797 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1199878), // Rule ID 9288 //
     /* 1199802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1199813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1199816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1199825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1199855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1199858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199877 */     // GIR_Coverage, 9288,
     /* 1199877 */     GIR_EraseRootFromParent_Done,
     /* 1199878 */   // Label 17418: @1199878
     /* 1199878 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1199959), // Rule ID 9289 //
     /* 1199883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1199894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1199897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1199900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1199906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1199925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1199936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1199939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1199949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199958 */     // GIR_Coverage, 9289,
     /* 1199958 */     GIR_EraseRootFromParent_Done,
     /* 1199959 */   // Label 17419: @1199959
     /* 1199959 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200040), // Rule ID 9292 //
     /* 1199964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1199972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1199975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1199978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1199981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1199984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1199987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1200017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1200020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200039 */     // GIR_Coverage, 9292,
     /* 1200039 */     GIR_EraseRootFromParent_Done,
     /* 1200040 */   // Label 17420: @1200040
     /* 1200040 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200121), // Rule ID 9293 //
     /* 1200045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1200056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1200059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1200068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200098 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1200098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1200101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200120 */     // GIR_Coverage, 9293,
     /* 1200120 */     GIR_EraseRootFromParent_Done,
     /* 1200121 */   // Label 17421: @1200121
     /* 1200121 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200202), // Rule ID 9296 //
     /* 1200126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1200137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1200140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1200143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1200149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200179 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1200179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1200182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200201 */     // GIR_Coverage, 9296,
     /* 1200201 */     GIR_EraseRootFromParent_Done,
     /* 1200202 */   // Label 17422: @1200202
     /* 1200202 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200283), // Rule ID 9297 //
     /* 1200207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1200218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1200221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1200224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1200230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1200260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1200263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200282 */     // GIR_Coverage, 9297,
     /* 1200282 */     GIR_EraseRootFromParent_Done,
     /* 1200283 */   // Label 17423: @1200283
     /* 1200283 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200364), // Rule ID 9300 //
     /* 1200288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1200299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1200302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1200311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1200341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1200344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200363 */     // GIR_Coverage, 9300,
     /* 1200363 */     GIR_EraseRootFromParent_Done,
     /* 1200364 */   // Label 17424: @1200364
     /* 1200364 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200445), // Rule ID 9301 //
     /* 1200369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1200380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1200383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1200392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200422 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1200422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1200425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200444 */     // GIR_Coverage, 9301,
     /* 1200444 */     GIR_EraseRootFromParent_Done,
     /* 1200445 */   // Label 17425: @1200445
     /* 1200445 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200526), // Rule ID 9304 //
     /* 1200450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1200461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1200464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1200473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200503 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1200503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1200506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200525 */     // GIR_Coverage, 9304,
     /* 1200525 */     GIR_EraseRootFromParent_Done,
     /* 1200526 */   // Label 17426: @1200526
     /* 1200526 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200607), // Rule ID 9305 //
     /* 1200531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1200542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1200545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1200554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1200584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1200587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200606 */     // GIR_Coverage, 9305,
     /* 1200606 */     GIR_EraseRootFromParent_Done,
     /* 1200607 */   // Label 17427: @1200607
     /* 1200607 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200688), // Rule ID 9308 //
     /* 1200612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1200623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1200626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1200629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1200635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1200665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1200668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200687 */     // GIR_Coverage, 9308,
     /* 1200687 */     GIR_EraseRootFromParent_Done,
     /* 1200688 */   // Label 17428: @1200688
     /* 1200688 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200769), // Rule ID 9309 //
     /* 1200693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1200704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1200707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1200710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1200716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200746 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1200746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1200749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200768 */     // GIR_Coverage, 9309,
     /* 1200768 */     GIR_EraseRootFromParent_Done,
     /* 1200769 */   // Label 17429: @1200769
     /* 1200769 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200850), // Rule ID 9312 //
     /* 1200774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1200777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1200785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1200788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1200797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200827 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1200827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1200830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200849 */     // GIR_Coverage, 9312,
     /* 1200849 */     GIR_EraseRootFromParent_Done,
     /* 1200850 */   // Label 17430: @1200850
     /* 1200850 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1200931), // Rule ID 9313 //
     /* 1200855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1200858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1200866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1200869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1200878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1200908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1200911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1200921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200930 */     // GIR_Coverage, 9313,
     /* 1200930 */     GIR_EraseRootFromParent_Done,
     /* 1200931 */   // Label 17431: @1200931
     /* 1200931 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201012), // Rule ID 9316 //
     /* 1200936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1200939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1200944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1200947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1200950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1200959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1200978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1200989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1200992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201011 */     // GIR_Coverage, 9316,
     /* 1201011 */     GIR_EraseRootFromParent_Done,
     /* 1201012 */   // Label 17432: @1201012
     /* 1201012 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201093), // Rule ID 9317 //
     /* 1201017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1201020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1201025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1201028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1201031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1201040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1201059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201070 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1201070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1201073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201092 */     // GIR_Coverage, 9317,
     /* 1201092 */     GIR_EraseRootFromParent_Done,
     /* 1201093 */   // Label 17433: @1201093
     /* 1201093 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201174), // Rule ID 9320 //
     /* 1201098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1201101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1201106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1201109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1201112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1201121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1201140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1201151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1201154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201173 */     // GIR_Coverage, 9320,
     /* 1201173 */     GIR_EraseRootFromParent_Done,
     /* 1201174 */   // Label 17434: @1201174
     /* 1201174 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201255), // Rule ID 9321 //
     /* 1201179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1201182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1201187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1201190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1201193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1201202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1201221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1201232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1201235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201254 */     // GIR_Coverage, 9321,
     /* 1201254 */     GIR_EraseRootFromParent_Done,
     /* 1201255 */   // Label 17435: @1201255
     /* 1201255 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201336), // Rule ID 9412 //
     /* 1201260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1201277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1201280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1201313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1201316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1201334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201335 */     // GIR_Coverage, 9412,
     /* 1201335 */     GIR_EraseRootFromParent_Done,
     /* 1201336 */   // Label 17436: @1201336
     /* 1201336 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201417), // Rule ID 9413 //
     /* 1201341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1201358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1201361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201394 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1201394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1201397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1201415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201416 */     // GIR_Coverage, 9413,
     /* 1201416 */     GIR_EraseRootFromParent_Done,
     /* 1201417 */   // Label 17437: @1201417
     /* 1201417 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201498), // Rule ID 9416 //
     /* 1201422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1201433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1201436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1201439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1201442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1201445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201475 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1201475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1201478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1201496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201497 */     // GIR_Coverage, 9416,
     /* 1201497 */     GIR_EraseRootFromParent_Done,
     /* 1201498 */   // Label 17438: @1201498
     /* 1201498 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201579), // Rule ID 9417 //
     /* 1201503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1201514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1201517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1201520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1201523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1201526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1201556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1201559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1201577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201578 */     // GIR_Coverage, 9417,
     /* 1201578 */     GIR_EraseRootFromParent_Done,
     /* 1201579 */   // Label 17439: @1201579
     /* 1201579 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201660), // Rule ID 9420 //
     /* 1201584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1201595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1201598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1201604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1201607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1201637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1201640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201659 */     // GIR_Coverage, 9420,
     /* 1201659 */     GIR_EraseRootFromParent_Done,
     /* 1201660 */   // Label 17440: @1201660
     /* 1201660 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201741), // Rule ID 9421 //
     /* 1201665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1201676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1201679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1201682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1201685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1201688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1201718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1201721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201740 */     // GIR_Coverage, 9421,
     /* 1201740 */     GIR_EraseRootFromParent_Done,
     /* 1201741 */   // Label 17441: @1201741
     /* 1201741 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201822), // Rule ID 9424 //
     /* 1201746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1201799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1201802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201821 */     // GIR_Coverage, 9424,
     /* 1201821 */     GIR_EraseRootFromParent_Done,
     /* 1201822 */   // Label 17442: @1201822
     /* 1201822 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1201903), // Rule ID 9425 //
     /* 1201827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1201844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1201847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1201880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1201883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201902 */     // GIR_Coverage, 9425,
     /* 1201902 */     GIR_EraseRootFromParent_Done,
     /* 1201903 */   // Label 17443: @1201903
     /* 1201903 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1201984), // Rule ID 9428 //
     /* 1201908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1201919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1201922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1201925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1201928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1201931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1201961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1201964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1201970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1201972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1201974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201983 */     // GIR_Coverage, 9428,
     /* 1201983 */     GIR_EraseRootFromParent_Done,
     /* 1201984 */   // Label 17444: @1201984
     /* 1201984 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202065), // Rule ID 9429 //
     /* 1201989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1201997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1202009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202042 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1202042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1202045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202064 */     // GIR_Coverage, 9429,
     /* 1202064 */     GIR_EraseRootFromParent_Done,
     /* 1202065 */   // Label 17445: @1202065
     /* 1202065 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202146), // Rule ID 9432 //
     /* 1202070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1202081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1202084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1202087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1202090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1202093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202123 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1202123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202145 */     // GIR_Coverage, 9432,
     /* 1202145 */     GIR_EraseRootFromParent_Done,
     /* 1202146 */   // Label 17446: @1202146
     /* 1202146 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202227), // Rule ID 9433 //
     /* 1202151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1202162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1202165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1202168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1202171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1202174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1202204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202226 */     // GIR_Coverage, 9433,
     /* 1202226 */     GIR_EraseRootFromParent_Done,
     /* 1202227 */   // Label 17447: @1202227
     /* 1202227 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202308), // Rule ID 9436 //
     /* 1202232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1202243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1202246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1202255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1202285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202307 */     // GIR_Coverage, 9436,
     /* 1202307 */     GIR_EraseRootFromParent_Done,
     /* 1202308 */   // Label 17448: @1202308
     /* 1202308 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202389), // Rule ID 9437 //
     /* 1202313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1202324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1202327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1202336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202366 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1202366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202388 */     // GIR_Coverage, 9437,
     /* 1202388 */     GIR_EraseRootFromParent_Done,
     /* 1202389 */   // Label 17449: @1202389
     /* 1202389 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202470), // Rule ID 9440 //
     /* 1202394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1202447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202469 */     // GIR_Coverage, 9440,
     /* 1202469 */     GIR_EraseRootFromParent_Done,
     /* 1202470 */   // Label 17450: @1202470
     /* 1202470 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202551), // Rule ID 9441 //
     /* 1202475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1202495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1202528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202550 */     // GIR_Coverage, 9441,
     /* 1202550 */     GIR_EraseRootFromParent_Done,
     /* 1202551 */   // Label 17451: @1202551
     /* 1202551 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202632), // Rule ID 9444 //
     /* 1202556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1202559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1202576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1202609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202631 */     // GIR_Coverage, 9444,
     /* 1202631 */     GIR_EraseRootFromParent_Done,
     /* 1202632 */   // Label 17452: @1202632
     /* 1202632 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202713), // Rule ID 9445 //
     /* 1202637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1202640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1202657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1202690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1202693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202712 */     // GIR_Coverage, 9445,
     /* 1202712 */     GIR_EraseRootFromParent_Done,
     /* 1202713 */   // Label 17453: @1202713
     /* 1202713 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202794), // Rule ID 9448 //
     /* 1202718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1202729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1202732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1202735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1202738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1202741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202771 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1202771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1202774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202793 */     // GIR_Coverage, 9448,
     /* 1202793 */     GIR_EraseRootFromParent_Done,
     /* 1202794 */   // Label 17454: @1202794
     /* 1202794 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202875), // Rule ID 9449 //
     /* 1202799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1202810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1202813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1202816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1202819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1202822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1202852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1202855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202874 */     // GIR_Coverage, 9449,
     /* 1202874 */     GIR_EraseRootFromParent_Done,
     /* 1202875 */   // Label 17455: @1202875
     /* 1202875 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1202956), // Rule ID 9452 //
     /* 1202880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1202891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1202894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1202897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1202900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1202903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202933 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1202933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1202936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1202942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1202944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1202946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202955 */     // GIR_Coverage, 9452,
     /* 1202955 */     GIR_EraseRootFromParent_Done,
     /* 1202956 */   // Label 17456: @1202956
     /* 1202956 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203037), // Rule ID 9453 //
     /* 1202961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1202969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1202972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1202975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1202978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1202981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1202984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203014 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1203014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1203017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203036 */     // GIR_Coverage, 9453,
     /* 1203036 */     GIR_EraseRootFromParent_Done,
     /* 1203037 */   // Label 17457: @1203037
     /* 1203037 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203118), // Rule ID 9456 //
     /* 1203042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1203053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1203056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1203059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1203062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1203065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203095 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1203095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1203098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203117 */     // GIR_Coverage, 9456,
     /* 1203117 */     GIR_EraseRootFromParent_Done,
     /* 1203118 */   // Label 17458: @1203118
     /* 1203118 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203199), // Rule ID 9457 //
     /* 1203123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1203134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1203137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1203140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1203143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1203146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203176 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1203176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1203179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203198 */     // GIR_Coverage, 9457,
     /* 1203198 */     GIR_EraseRootFromParent_Done,
     /* 1203199 */   // Label 17459: @1203199
     /* 1203199 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203280), // Rule ID 9460 //
     /* 1203204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1203257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1203260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203279 */     // GIR_Coverage, 9460,
     /* 1203279 */     GIR_EraseRootFromParent_Done,
     /* 1203280 */   // Label 17460: @1203280
     /* 1203280 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203361), // Rule ID 9461 //
     /* 1203285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1203305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1203338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1203341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203360 */     // GIR_Coverage, 9461,
     /* 1203360 */     GIR_EraseRootFromParent_Done,
     /* 1203361 */   // Label 17461: @1203361
     /* 1203361 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203442), // Rule ID 9464 //
     /* 1203366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1203377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1203380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1203389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203419 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1203419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1203422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203441 */     // GIR_Coverage, 9464,
     /* 1203441 */     GIR_EraseRootFromParent_Done,
     /* 1203442 */   // Label 17462: @1203442
     /* 1203442 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203523), // Rule ID 9465 //
     /* 1203447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1203458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1203461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1203470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1203500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1203503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203522 */     // GIR_Coverage, 9465,
     /* 1203522 */     GIR_EraseRootFromParent_Done,
     /* 1203523 */   // Label 17463: @1203523
     /* 1203523 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203604), // Rule ID 9468 //
     /* 1203528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1203539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1203542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1203545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1203548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1203551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203581 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1203581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1203584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203603 */     // GIR_Coverage, 9468,
     /* 1203603 */     GIR_EraseRootFromParent_Done,
     /* 1203604 */   // Label 17464: @1203604
     /* 1203604 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203685), // Rule ID 9469 //
     /* 1203609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1203620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1203623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1203626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1203629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1203632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203662 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1203662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1203665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203684 */     // GIR_Coverage, 9469,
     /* 1203684 */     GIR_EraseRootFromParent_Done,
     /* 1203685 */   // Label 17465: @1203685
     /* 1203685 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203766), // Rule ID 9472 //
     /* 1203690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1203701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1203704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1203713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1203743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1203746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203765 */     // GIR_Coverage, 9472,
     /* 1203765 */     GIR_EraseRootFromParent_Done,
     /* 1203766 */   // Label 17466: @1203766
     /* 1203766 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203847), // Rule ID 9473 //
     /* 1203771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1203782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1203785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1203794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1203824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1203827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203846 */     // GIR_Coverage, 9473,
     /* 1203846 */     GIR_EraseRootFromParent_Done,
     /* 1203847 */   // Label 17467: @1203847
     /* 1203847 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1203928), // Rule ID 9476 //
     /* 1203852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1203905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1203908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203927 */     // GIR_Coverage, 9476,
     /* 1203927 */     GIR_EraseRootFromParent_Done,
     /* 1203928 */   // Label 17468: @1203928
     /* 1203928 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204009), // Rule ID 9477 //
     /* 1203933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1203941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203986 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1203986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1203989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1203995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1203997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1203999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204008 */     // GIR_Coverage, 9477,
     /* 1204008 */     GIR_EraseRootFromParent_Done,
     /* 1204009 */   // Label 17469: @1204009
     /* 1204009 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204090), // Rule ID 9480 //
     /* 1204014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1204025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1204028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1204034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1204037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1204067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1204070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204089 */     // GIR_Coverage, 9480,
     /* 1204089 */     GIR_EraseRootFromParent_Done,
     /* 1204090 */   // Label 17470: @1204090
     /* 1204090 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204171), // Rule ID 9481 //
     /* 1204095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1204106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1204109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1204115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1204118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1204148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1204151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204170 */     // GIR_Coverage, 9481,
     /* 1204170 */     GIR_EraseRootFromParent_Done,
     /* 1204171 */   // Label 17471: @1204171
     /* 1204171 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204252), // Rule ID 9484 //
     /* 1204176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1204179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1204187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1204190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1204196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1204199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1204229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1204232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204251 */     // GIR_Coverage, 9484,
     /* 1204251 */     GIR_EraseRootFromParent_Done,
     /* 1204252 */   // Label 17472: @1204252
     /* 1204252 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204333), // Rule ID 9485 //
     /* 1204257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1204260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1204268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1204271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1204277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1204280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1204310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1204313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204332 */     // GIR_Coverage, 9485,
     /* 1204332 */     GIR_EraseRootFromParent_Done,
     /* 1204333 */   // Label 17473: @1204333
     /* 1204333 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204414), // Rule ID 9488 //
     /* 1204338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1204341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1204349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1204352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1204358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1204361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1204391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1204394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204413 */     // GIR_Coverage, 9488,
     /* 1204413 */     GIR_EraseRootFromParent_Done,
     /* 1204414 */   // Label 17474: @1204414
     /* 1204414 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204495), // Rule ID 9489 //
     /* 1204419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1204422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1204430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1204433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1204439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1204442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1204472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1204475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204494 */     // GIR_Coverage, 9489,
     /* 1204494 */     GIR_EraseRootFromParent_Done,
     /* 1204495 */   // Label 17475: @1204495
     /* 1204495 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204576), // Rule ID 9492 //
     /* 1204500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1204503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1204511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1204514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1204520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1204523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1204553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1204556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204575 */     // GIR_Coverage, 9492,
     /* 1204575 */     GIR_EraseRootFromParent_Done,
     /* 1204576 */   // Label 17476: @1204576
     /* 1204576 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204657), // Rule ID 9493 //
     /* 1204581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1204584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1204589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1204592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1204595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1204601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1204604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1204634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1204637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204656 */     // GIR_Coverage, 9493,
     /* 1204656 */     GIR_EraseRootFromParent_Done,
     /* 1204657 */   // Label 17477: @1204657
     /* 1204657 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204738), // Rule ID 9496 //
     /* 1204662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1204670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1204673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1204676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1204679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1204682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1204685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204715 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1204715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1204718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204737 */     // GIR_Coverage, 9496,
     /* 1204737 */     GIR_EraseRootFromParent_Done,
     /* 1204738 */   // Label 17478: @1204738
     /* 1204738 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204819), // Rule ID 9497 //
     /* 1204743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1204751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1204754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1204757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1204760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1204763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1204766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1204796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1204799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204818 */     // GIR_Coverage, 9497,
     /* 1204818 */     GIR_EraseRootFromParent_Done,
     /* 1204819 */   // Label 17479: @1204819
     /* 1204819 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204900), // Rule ID 9500 //
     /* 1204824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1204832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1204835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1204838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1204841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1204844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1204847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1204877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1204880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204899 */     // GIR_Coverage, 9500,
     /* 1204899 */     GIR_EraseRootFromParent_Done,
     /* 1204900 */   // Label 17480: @1204900
     /* 1204900 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1204981), // Rule ID 9501 //
     /* 1204905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1204913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1204916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1204919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1204922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1204925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1204928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1204958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1204961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1204967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1204969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1204971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204980 */     // GIR_Coverage, 9501,
     /* 1204980 */     GIR_EraseRootFromParent_Done,
     /* 1204981 */   // Label 17481: @1204981
     /* 1204981 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205062), // Rule ID 9504 //
     /* 1204986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1204994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1204997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1205003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1205006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1205039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1205060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205061 */     // GIR_Coverage, 9504,
     /* 1205061 */     GIR_EraseRootFromParent_Done,
     /* 1205062 */   // Label 17482: @1205062
     /* 1205062 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205143), // Rule ID 9505 //
     /* 1205067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1205084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1205087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1205120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1205141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205142 */     // GIR_Coverage, 9505,
     /* 1205142 */     GIR_EraseRootFromParent_Done,
     /* 1205143 */   // Label 17483: @1205143
     /* 1205143 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205224), // Rule ID 9508 //
     /* 1205148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1205159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1205162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1205171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1205201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1205204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205223 */     // GIR_Coverage, 9508,
     /* 1205223 */     GIR_EraseRootFromParent_Done,
     /* 1205224 */   // Label 17484: @1205224
     /* 1205224 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205305), // Rule ID 9509 //
     /* 1205229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1205240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1205243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1205252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205282 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1205282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1205285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205304 */     // GIR_Coverage, 9509,
     /* 1205304 */     GIR_EraseRootFromParent_Done,
     /* 1205305 */   // Label 17485: @1205305
     /* 1205305 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205386), // Rule ID 9512 //
     /* 1205310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1205321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1205324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1205333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1205363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205385 */     // GIR_Coverage, 9512,
     /* 1205385 */     GIR_EraseRootFromParent_Done,
     /* 1205386 */   // Label 17486: @1205386
     /* 1205386 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205467), // Rule ID 9513 //
     /* 1205391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1205402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1205405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1205414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1205444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205466 */     // GIR_Coverage, 9513,
     /* 1205466 */     GIR_EraseRootFromParent_Done,
     /* 1205467 */   // Label 17487: @1205467
     /* 1205467 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205548), // Rule ID 9516 //
     /* 1205472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1205483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1205486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1205495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1205525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205547 */     // GIR_Coverage, 9516,
     /* 1205547 */     GIR_EraseRootFromParent_Done,
     /* 1205548 */   // Label 17488: @1205548
     /* 1205548 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205629), // Rule ID 9517 //
     /* 1205553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1205564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1205567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1205576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205606 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1205606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1205609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205628 */     // GIR_Coverage, 9517,
     /* 1205628 */     GIR_EraseRootFromParent_Done,
     /* 1205629 */   // Label 17489: @1205629
     /* 1205629 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205710), // Rule ID 9520 //
     /* 1205634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1205645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1205648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1205651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1205654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1205657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1205687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1205690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1205708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205709 */     // GIR_Coverage, 9520,
     /* 1205709 */     GIR_EraseRootFromParent_Done,
     /* 1205710 */   // Label 17490: @1205710
     /* 1205710 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205791), // Rule ID 9521 //
     /* 1205715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1205726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1205729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1205732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1205735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1205738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1205768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1205771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1205789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205790 */     // GIR_Coverage, 9521,
     /* 1205790 */     GIR_EraseRootFromParent_Done,
     /* 1205791 */   // Label 17491: @1205791
     /* 1205791 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205872), // Rule ID 9524 //
     /* 1205796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1205849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1205852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205871 */     // GIR_Coverage, 9524,
     /* 1205871 */     GIR_EraseRootFromParent_Done,
     /* 1205872 */   // Label 17492: @1205872
     /* 1205872 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1205953), // Rule ID 9525 //
     /* 1205877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1205930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1205933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1205939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1205941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1205943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205952 */     // GIR_Coverage, 9525,
     /* 1205952 */     GIR_EraseRootFromParent_Done,
     /* 1205953 */   // Label 17493: @1205953
     /* 1205953 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206034), // Rule ID 9528 //
     /* 1205958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1205966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1205969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1205972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1205981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206011 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1206011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1206014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206033 */     // GIR_Coverage, 9528,
     /* 1206033 */     GIR_EraseRootFromParent_Done,
     /* 1206034 */   // Label 17494: @1206034
     /* 1206034 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206115), // Rule ID 9529 //
     /* 1206039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1206050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1206053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1206062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1206092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1206095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206114 */     // GIR_Coverage, 9529,
     /* 1206114 */     GIR_EraseRootFromParent_Done,
     /* 1206115 */   // Label 17495: @1206115
     /* 1206115 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206196), // Rule ID 9532 //
     /* 1206120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1206123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1206140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1206173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1206176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206195 */     // GIR_Coverage, 9532,
     /* 1206195 */     GIR_EraseRootFromParent_Done,
     /* 1206196 */   // Label 17496: @1206196
     /* 1206196 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206277), // Rule ID 9533 //
     /* 1206201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1206204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1206221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206254 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1206254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1206257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206276 */     // GIR_Coverage, 9533,
     /* 1206276 */     GIR_EraseRootFromParent_Done,
     /* 1206277 */   // Label 17497: @1206277
     /* 1206277 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206358), // Rule ID 9536 //
     /* 1206282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1206293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1206296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1206299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1206302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1206305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206335 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1206338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206357 */     // GIR_Coverage, 9536,
     /* 1206357 */     GIR_EraseRootFromParent_Done,
     /* 1206358 */   // Label 17498: @1206358
     /* 1206358 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206439), // Rule ID 9537 //
     /* 1206363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1206374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1206377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1206380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1206383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1206386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1206419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206438 */     // GIR_Coverage, 9537,
     /* 1206438 */     GIR_EraseRootFromParent_Done,
     /* 1206439 */   // Label 17499: @1206439
     /* 1206439 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206520), // Rule ID 9540 //
     /* 1206444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1206455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1206458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1206461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1206464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1206467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206497 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1206500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206519 */     // GIR_Coverage, 9540,
     /* 1206519 */     GIR_EraseRootFromParent_Done,
     /* 1206520 */   // Label 17500: @1206520
     /* 1206520 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206601), // Rule ID 9541 //
     /* 1206525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1206536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1206539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1206542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1206545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1206548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206578 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1206581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206600 */     // GIR_Coverage, 9541,
     /* 1206600 */     GIR_EraseRootFromParent_Done,
     /* 1206601 */   // Label 17501: @1206601
     /* 1206601 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206682), // Rule ID 9544 //
     /* 1206606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1206617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1206620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1206623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1206626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1206629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206659 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1206662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206681 */     // GIR_Coverage, 9544,
     /* 1206681 */     GIR_EraseRootFromParent_Done,
     /* 1206682 */   // Label 17502: @1206682
     /* 1206682 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206763), // Rule ID 9545 //
     /* 1206687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1206698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1206701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1206704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1206707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1206710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1206743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206762 */     // GIR_Coverage, 9545,
     /* 1206762 */     GIR_EraseRootFromParent_Done,
     /* 1206763 */   // Label 17503: @1206763
     /* 1206763 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206844), // Rule ID 9548 //
     /* 1206768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1206779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1206782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1206791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1206821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1206824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206843 */     // GIR_Coverage, 9548,
     /* 1206843 */     GIR_EraseRootFromParent_Done,
     /* 1206844 */   // Label 17504: @1206844
     /* 1206844 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206925), // Rule ID 9549 //
     /* 1206849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1206860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1206863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1206872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1206902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1206905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206924 */     // GIR_Coverage, 9549,
     /* 1206924 */     GIR_EraseRootFromParent_Done,
     /* 1206925 */   // Label 17505: @1206925
     /* 1206925 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207006), // Rule ID 9552 //
     /* 1206930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1206938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1206941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1206944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1206953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206983 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1206983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1206986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1206992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1206994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1206996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207005 */     // GIR_Coverage, 9552,
     /* 1207005 */     GIR_EraseRootFromParent_Done,
     /* 1207006 */   // Label 17506: @1207006
     /* 1207006 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207087), // Rule ID 9553 //
     /* 1207011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1207022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1207025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1207034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1207064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1207067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207086 */     // GIR_Coverage, 9553,
     /* 1207086 */     GIR_EraseRootFromParent_Done,
     /* 1207087 */   // Label 17507: @1207087
     /* 1207087 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207168), // Rule ID 9556 //
     /* 1207092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1207103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1207106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1207115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207145 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1207145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1207148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207167 */     // GIR_Coverage, 9556,
     /* 1207167 */     GIR_EraseRootFromParent_Done,
     /* 1207168 */   // Label 17508: @1207168
     /* 1207168 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207249), // Rule ID 9557 //
     /* 1207173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1207184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1207187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1207190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1207193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1207196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207226 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1207226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1207229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207248 */     // GIR_Coverage, 9557,
     /* 1207248 */     GIR_EraseRootFromParent_Done,
     /* 1207249 */   // Label 17509: @1207249
     /* 1207249 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207330), // Rule ID 9560 //
     /* 1207254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1207277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207307 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1207307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1207310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207329 */     // GIR_Coverage, 9560,
     /* 1207329 */     GIR_EraseRootFromParent_Done,
     /* 1207330 */   // Label 17510: @1207330
     /* 1207330 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207411), // Rule ID 9561 //
     /* 1207335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1207355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1207358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1207388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1207391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207410 */     // GIR_Coverage, 9561,
     /* 1207410 */     GIR_EraseRootFromParent_Done,
     /* 1207411 */   // Label 17511: @1207411
     /* 1207411 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207492), // Rule ID 9564 //
     /* 1207416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1207427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1207430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1207436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1207439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1207469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1207472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207491 */     // GIR_Coverage, 9564,
     /* 1207491 */     GIR_EraseRootFromParent_Done,
     /* 1207492 */   // Label 17512: @1207492
     /* 1207492 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207573), // Rule ID 9565 //
     /* 1207497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1207508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1207511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1207517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1207520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207550 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1207550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1207553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207572 */     // GIR_Coverage, 9565,
     /* 1207572 */     GIR_EraseRootFromParent_Done,
     /* 1207573 */   // Label 17513: @1207573
     /* 1207573 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207654), // Rule ID 9568 //
     /* 1207578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1207589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1207592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1207598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1207601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207631 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1207631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1207634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207653 */     // GIR_Coverage, 9568,
     /* 1207653 */     GIR_EraseRootFromParent_Done,
     /* 1207654 */   // Label 17514: @1207654
     /* 1207654 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207735), // Rule ID 9569 //
     /* 1207659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1207670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1207673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1207679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1207682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1207712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1207715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207734 */     // GIR_Coverage, 9569,
     /* 1207734 */     GIR_EraseRootFromParent_Done,
     /* 1207735 */   // Label 17515: @1207735
     /* 1207735 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207816), // Rule ID 9572 //
     /* 1207740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1207743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207793 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1207793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1207796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207815 */     // GIR_Coverage, 9572,
     /* 1207815 */     GIR_EraseRootFromParent_Done,
     /* 1207816 */   // Label 17516: @1207816
     /* 1207816 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207897), // Rule ID 9573 //
     /* 1207821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1207824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207874 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1207874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1207877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207896 */     // GIR_Coverage, 9573,
     /* 1207896 */     GIR_EraseRootFromParent_Done,
     /* 1207897 */   // Label 17517: @1207897
     /* 1207897 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1207978), // Rule ID 9576 //
     /* 1207902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1207905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1207922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1207925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207955 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1207955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1207958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1207964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1207966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1207968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207977 */     // GIR_Coverage, 9576,
     /* 1207977 */     GIR_EraseRootFromParent_Done,
     /* 1207978 */   // Label 17518: @1207978
     /* 1207978 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208059), // Rule ID 9577 //
     /* 1207983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1207986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1207991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1208000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1208003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1208006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1208036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1208039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208058 */     // GIR_Coverage, 9577,
     /* 1208058 */     GIR_EraseRootFromParent_Done,
     /* 1208059 */   // Label 17519: @1208059
     /* 1208059 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208140), // Rule ID 9580 //
     /* 1208064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1208067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1208072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1208075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1208078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1208087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208117 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1208117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1208120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208139 */     // GIR_Coverage, 9580,
     /* 1208139 */     GIR_EraseRootFromParent_Done,
     /* 1208140 */   // Label 17520: @1208140
     /* 1208140 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208221), // Rule ID 9581 //
     /* 1208145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1208148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1208153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1208156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1208159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1208162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1208165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1208168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1208198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1208201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208220 */     // GIR_Coverage, 9581,
     /* 1208220 */     GIR_EraseRootFromParent_Done,
     /* 1208221 */   // Label 17521: @1208221
     /* 1208221 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208302), // Rule ID 9584 //
     /* 1208226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1208243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1208246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208279 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1208282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208301 */     // GIR_Coverage, 9584,
     /* 1208301 */     GIR_EraseRootFromParent_Done,
     /* 1208302 */   // Label 17522: @1208302
     /* 1208302 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208383), // Rule ID 9585 //
     /* 1208307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1208324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1208327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1208363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208382 */     // GIR_Coverage, 9585,
     /* 1208382 */     GIR_EraseRootFromParent_Done,
     /* 1208383 */   // Label 17523: @1208383
     /* 1208383 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208464), // Rule ID 9588 //
     /* 1208388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1208399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1208402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1208405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1208408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1208411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1208444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208463 */     // GIR_Coverage, 9588,
     /* 1208463 */     GIR_EraseRootFromParent_Done,
     /* 1208464 */   // Label 17524: @1208464
     /* 1208464 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208545), // Rule ID 9589 //
     /* 1208469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1208480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1208483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1208486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1208489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1208492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1208525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208544 */     // GIR_Coverage, 9589,
     /* 1208544 */     GIR_EraseRootFromParent_Done,
     /* 1208545 */   // Label 17525: @1208545
     /* 1208545 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208626), // Rule ID 9592 //
     /* 1208550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1208561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1208564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1208567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1208570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1208573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1208606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208625 */     // GIR_Coverage, 9592,
     /* 1208625 */     GIR_EraseRootFromParent_Done,
     /* 1208626 */   // Label 17526: @1208626
     /* 1208626 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208707), // Rule ID 9593 //
     /* 1208631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1208642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1208645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1208648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1208651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1208654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1208687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208706 */     // GIR_Coverage, 9593,
     /* 1208706 */     GIR_EraseRootFromParent_Done,
     /* 1208707 */   // Label 17527: @1208707
     /* 1208707 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208788), // Rule ID 9596 //
     /* 1208712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208765 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1208765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1208768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208787 */     // GIR_Coverage, 9596,
     /* 1208787 */     GIR_EraseRootFromParent_Done,
     /* 1208788 */   // Label 17528: @1208788
     /* 1208788 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208869), // Rule ID 9597 //
     /* 1208793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1208813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208846 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1208846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1208849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208868 */     // GIR_Coverage, 9597,
     /* 1208868 */     GIR_EraseRootFromParent_Done,
     /* 1208869 */   // Label 17529: @1208869
     /* 1208869 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208950), // Rule ID 9600 //
     /* 1208874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1208885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1208888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1208891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1208897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1208927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1208930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1208936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1208938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1208940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208949 */     // GIR_Coverage, 9600,
     /* 1208949 */     GIR_EraseRootFromParent_Done,
     /* 1208950 */   // Label 17530: @1208950
     /* 1208950 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209031), // Rule ID 9601 //
     /* 1208955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1208963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1208966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1208969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1208972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1208975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1208978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1209008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1209011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209030 */     // GIR_Coverage, 9601,
     /* 1209030 */     GIR_EraseRootFromParent_Done,
     /* 1209031 */   // Label 17531: @1209031
     /* 1209031 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209112), // Rule ID 9604 //
     /* 1209036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1209047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1209050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1209059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209111 */     // GIR_Coverage, 9604,
     /* 1209111 */     GIR_EraseRootFromParent_Done,
     /* 1209112 */   // Label 17532: @1209112
     /* 1209112 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209193), // Rule ID 9605 //
     /* 1209117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1209128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1209131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1209137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1209140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1209170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1209173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209192 */     // GIR_Coverage, 9605,
     /* 1209192 */     GIR_EraseRootFromParent_Done,
     /* 1209193 */   // Label 17533: @1209193
     /* 1209193 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209274), // Rule ID 9608 //
     /* 1209198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1209209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1209212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1209215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1209218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1209221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1209251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1209272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209273 */     // GIR_Coverage, 9608,
     /* 1209273 */     GIR_EraseRootFromParent_Done,
     /* 1209274 */   // Label 17534: @1209274
     /* 1209274 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209355), // Rule ID 9609 //
     /* 1209279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1209290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1209293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1209296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1209299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1209302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1209332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1209353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209354 */     // GIR_Coverage, 9609,
     /* 1209354 */     GIR_EraseRootFromParent_Done,
     /* 1209355 */   // Label 17535: @1209355
     /* 1209355 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209436), // Rule ID 9612 //
     /* 1209360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1209371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1209374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1209380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1209383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1209413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209435 */     // GIR_Coverage, 9612,
     /* 1209435 */     GIR_EraseRootFromParent_Done,
     /* 1209436 */   // Label 17536: @1209436
     /* 1209436 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209517), // Rule ID 9613 //
     /* 1209441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1209452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1209455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1209461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1209464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1209494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209516 */     // GIR_Coverage, 9613,
     /* 1209516 */     GIR_EraseRootFromParent_Done,
     /* 1209517 */   // Label 17537: @1209517
     /* 1209517 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209598), // Rule ID 9616 //
     /* 1209522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1209533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1209536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1209545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1209575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209597 */     // GIR_Coverage, 9616,
     /* 1209597 */     GIR_EraseRootFromParent_Done,
     /* 1209598 */   // Label 17538: @1209598
     /* 1209598 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209679), // Rule ID 9617 //
     /* 1209603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1209614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1209617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1209623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1209626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1209656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209678 */     // GIR_Coverage, 9617,
     /* 1209678 */     GIR_EraseRootFromParent_Done,
     /* 1209679 */   // Label 17539: @1209679
     /* 1209679 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209760), // Rule ID 9620 //
     /* 1209684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1209687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1209695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1209698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1209704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1209707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209737 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1209737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209759 */     // GIR_Coverage, 9620,
     /* 1209759 */     GIR_EraseRootFromParent_Done,
     /* 1209760 */   // Label 17540: @1209760
     /* 1209760 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209841), // Rule ID 9621 //
     /* 1209765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1209768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1209776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1209779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1209782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1209785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1209788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1209818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1209821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209840 */     // GIR_Coverage, 9621,
     /* 1209840 */     GIR_EraseRootFromParent_Done,
     /* 1209841 */   // Label 17541: @1209841
     /* 1209841 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209922), // Rule ID 9624 //
     /* 1209846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1209863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1209866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209899 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1209899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1209902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1209920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209921 */     // GIR_Coverage, 9624,
     /* 1209921 */     GIR_EraseRootFromParent_Done,
     /* 1209922 */   // Label 17542: @1209922
     /* 1209922 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1210003), // Rule ID 9625 //
     /* 1209927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1209935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1209944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1209947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1209980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1209983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1209989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1209991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1209993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210002 */     // GIR_Coverage, 9625,
     /* 1210002 */     GIR_EraseRootFromParent_Done,
     /* 1210003 */   // Label 17543: @1210003
     /* 1210003 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210084), // Rule ID 9628 //
     /* 1210008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1210019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1210022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1210025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1210028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1210031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210061 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1210061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1210064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210083 */     // GIR_Coverage, 9628,
     /* 1210083 */     GIR_EraseRootFromParent_Done,
     /* 1210084 */   // Label 17544: @1210084
     /* 1210084 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210165), // Rule ID 9629 //
     /* 1210089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1210100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1210103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1210106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1210109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1210112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210142 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1210142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1210145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210164 */     // GIR_Coverage, 9629,
     /* 1210164 */     GIR_EraseRootFromParent_Done,
     /* 1210165 */   // Label 17545: @1210165
     /* 1210165 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210246), // Rule ID 9632 //
     /* 1210170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1210181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1210184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1210187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1210190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1210193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210223 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1210223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1210226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210245 */     // GIR_Coverage, 9632,
     /* 1210245 */     GIR_EraseRootFromParent_Done,
     /* 1210246 */   // Label 17546: @1210246
     /* 1210246 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210327), // Rule ID 9633 //
     /* 1210251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1210262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1210265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1210268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1210271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1210274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210304 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1210304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1210307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210326 */     // GIR_Coverage, 9633,
     /* 1210326 */     GIR_EraseRootFromParent_Done,
     /* 1210327 */   // Label 17547: @1210327
     /* 1210327 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210408), // Rule ID 9636 //
     /* 1210332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1210343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1210346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1210352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1210355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1210385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1210388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210407 */     // GIR_Coverage, 9636,
     /* 1210407 */     GIR_EraseRootFromParent_Done,
     /* 1210408 */   // Label 17548: @1210408
     /* 1210408 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210489), // Rule ID 9637 //
     /* 1210413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1210424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1210427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1210433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1210436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210466 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1210466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1210469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210488 */     // GIR_Coverage, 9637,
     /* 1210488 */     GIR_EraseRootFromParent_Done,
     /* 1210489 */   // Label 17549: @1210489
     /* 1210489 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210570), // Rule ID 9640 //
     /* 1210494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1210505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1210508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1210514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1210517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210547 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1210547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1210550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210569 */     // GIR_Coverage, 9640,
     /* 1210569 */     GIR_EraseRootFromParent_Done,
     /* 1210570 */   // Label 17550: @1210570
     /* 1210570 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210651), // Rule ID 9641 //
     /* 1210575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1210586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1210589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1210592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1210595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1210598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1210628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1210631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210650 */     // GIR_Coverage, 9641,
     /* 1210650 */     GIR_EraseRootFromParent_Done,
     /* 1210651 */   // Label 17551: @1210651
     /* 1210651 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210732), // Rule ID 9644 //
     /* 1210656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1210667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1210670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1210676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1210679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210709 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1210709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1210712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210731 */     // GIR_Coverage, 9644,
     /* 1210731 */     GIR_EraseRootFromParent_Done,
     /* 1210732 */   // Label 17552: @1210732
     /* 1210732 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210813), // Rule ID 9645 //
     /* 1210737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1210748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1210751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1210754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1210757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1210760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210790 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1210790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1210793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210812 */     // GIR_Coverage, 9645,
     /* 1210812 */     GIR_EraseRootFromParent_Done,
     /* 1210813 */   // Label 17553: @1210813
     /* 1210813 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210894), // Rule ID 9648 //
     /* 1210818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1210829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1210832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1210838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1210841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1210871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1210874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210893 */     // GIR_Coverage, 9648,
     /* 1210893 */     GIR_EraseRootFromParent_Done,
     /* 1210894 */   // Label 17554: @1210894
     /* 1210894 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210975), // Rule ID 9649 //
     /* 1210899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1210910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1210913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1210919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1210922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1210952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1210955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1210961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1210963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1210965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210974 */     // GIR_Coverage, 9649,
     /* 1210974 */     GIR_EraseRootFromParent_Done,
     /* 1210975 */   // Label 17555: @1210975
     /* 1210975 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211056), // Rule ID 9652 //
     /* 1210980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1210988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1210991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1210994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1211033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1211036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211055 */     // GIR_Coverage, 9652,
     /* 1211055 */     GIR_EraseRootFromParent_Done,
     /* 1211056 */   // Label 17556: @1211056
     /* 1211056 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211137), // Rule ID 9653 //
     /* 1211061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1211072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1211075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1211114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1211117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211136 */     // GIR_Coverage, 9653,
     /* 1211136 */     GIR_EraseRootFromParent_Done,
     /* 1211137 */   // Label 17557: @1211137
     /* 1211137 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211218), // Rule ID 9656 //
     /* 1211142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1211153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1211156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1211162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1211165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211195 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1211195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1211198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211217 */     // GIR_Coverage, 9656,
     /* 1211217 */     GIR_EraseRootFromParent_Done,
     /* 1211218 */   // Label 17558: @1211218
     /* 1211218 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211299), // Rule ID 9657 //
     /* 1211223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1211234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1211237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1211243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1211246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1211276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1211279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211298 */     // GIR_Coverage, 9657,
     /* 1211298 */     GIR_EraseRootFromParent_Done,
     /* 1211299 */   // Label 17559: @1211299
     /* 1211299 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211380), // Rule ID 9660 //
     /* 1211304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1211307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1211315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1211318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1211324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1211327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1211357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1211360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211379 */     // GIR_Coverage, 9660,
     /* 1211379 */     GIR_EraseRootFromParent_Done,
     /* 1211380 */   // Label 17560: @1211380
     /* 1211380 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211461), // Rule ID 9661 //
     /* 1211385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1211388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1211396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1211399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1211405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1211408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1211438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1211441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211460 */     // GIR_Coverage, 9661,
     /* 1211460 */     GIR_EraseRootFromParent_Done,
     /* 1211461 */   // Label 17561: @1211461
     /* 1211461 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211542), // Rule ID 9664 //
     /* 1211466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1211469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1211477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1211480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1211486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1211489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1211519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1211522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211541 */     // GIR_Coverage, 9664,
     /* 1211541 */     GIR_EraseRootFromParent_Done,
     /* 1211542 */   // Label 17562: @1211542
     /* 1211542 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211623), // Rule ID 9665 //
     /* 1211547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1211550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1211558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1211561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1211567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1211570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1211600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1211603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211622 */     // GIR_Coverage, 9665,
     /* 1211622 */     GIR_EraseRootFromParent_Done,
     /* 1211623 */   // Label 17563: @1211623
     /* 1211623 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211704), // Rule ID 9668 //
     /* 1211628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1211631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1211639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1211642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1211648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1211681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1211684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211703 */     // GIR_Coverage, 9668,
     /* 1211703 */     GIR_EraseRootFromParent_Done,
     /* 1211704 */   // Label 17564: @1211704
     /* 1211704 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211785), // Rule ID 9669 //
     /* 1211709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1211712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1211717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1211720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1211723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1211729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1211762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1211765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211784 */     // GIR_Coverage, 9669,
     /* 1211784 */     GIR_EraseRootFromParent_Done,
     /* 1211785 */   // Label 17565: @1211785
     /* 1211785 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211866), // Rule ID 9672 //
     /* 1211790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1211798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1211807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1211810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1211843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1211846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211865 */     // GIR_Coverage, 9672,
     /* 1211865 */     GIR_EraseRootFromParent_Done,
     /* 1211866 */   // Label 17566: @1211866
     /* 1211866 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211947), // Rule ID 9673 //
     /* 1211871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1211879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1211888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1211891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1211924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1211927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1211933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1211935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1211937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211946 */     // GIR_Coverage, 9673,
     /* 1211946 */     GIR_EraseRootFromParent_Done,
     /* 1211947 */   // Label 17567: @1211947
     /* 1211947 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1212028), // Rule ID 9676 //
     /* 1211952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1211960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1211963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1211966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1211969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1211972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1211975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1212005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1212008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212027 */     // GIR_Coverage, 9676,
     /* 1212027 */     GIR_EraseRootFromParent_Done,
     /* 1212028 */   // Label 17568: @1212028
     /* 1212028 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212109), // Rule ID 9677 //
     /* 1212033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1212044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1212047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1212050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1212053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1212056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1212086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1212089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212108 */     // GIR_Coverage, 9677,
     /* 1212108 */     GIR_EraseRootFromParent_Done,
     /* 1212109 */   // Label 17569: @1212109
     /* 1212109 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212190), // Rule ID 9680 //
     /* 1212114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1212125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1212128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1212131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1212134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1212137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212167 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1212167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212189 */     // GIR_Coverage, 9680,
     /* 1212189 */     GIR_EraseRootFromParent_Done,
     /* 1212190 */   // Label 17570: @1212190
     /* 1212190 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212271), // Rule ID 9681 //
     /* 1212195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1212206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1212209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1212212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1212215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1212218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1212248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212270 */     // GIR_Coverage, 9681,
     /* 1212270 */     GIR_EraseRootFromParent_Done,
     /* 1212271 */   // Label 17571: @1212271
     /* 1212271 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212352), // Rule ID 9684 //
     /* 1212276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1212296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212329 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1212329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1212332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212351 */     // GIR_Coverage, 9684,
     /* 1212351 */     GIR_EraseRootFromParent_Done,
     /* 1212352 */   // Label 17572: @1212352
     /* 1212352 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212433), // Rule ID 9685 //
     /* 1212357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1212377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212410 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1212410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1212413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212432 */     // GIR_Coverage, 9685,
     /* 1212432 */     GIR_EraseRootFromParent_Done,
     /* 1212433 */   // Label 17573: @1212433
     /* 1212433 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212514), // Rule ID 9688 //
     /* 1212438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1212449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1212452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1212458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1212461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1212491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212513 */     // GIR_Coverage, 9688,
     /* 1212513 */     GIR_EraseRootFromParent_Done,
     /* 1212514 */   // Label 17574: @1212514
     /* 1212514 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212595), // Rule ID 9689 //
     /* 1212519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1212530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1212533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1212539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1212542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1212572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212594 */     // GIR_Coverage, 9689,
     /* 1212594 */     GIR_EraseRootFromParent_Done,
     /* 1212595 */   // Label 17575: @1212595
     /* 1212595 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212676), // Rule ID 9692 //
     /* 1212600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1212620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1212653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212675 */     // GIR_Coverage, 9692,
     /* 1212675 */     GIR_EraseRootFromParent_Done,
     /* 1212676 */   // Label 17576: @1212676
     /* 1212676 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212757), // Rule ID 9693 //
     /* 1212681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1212701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1212734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1212737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212756 */     // GIR_Coverage, 9693,
     /* 1212756 */     GIR_EraseRootFromParent_Done,
     /* 1212757 */   // Label 17577: @1212757
     /* 1212757 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212838), // Rule ID 9696 //
     /* 1212762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1212773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1212776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1212779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1212782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1212785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1212815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1212818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212837 */     // GIR_Coverage, 9696,
     /* 1212837 */     GIR_EraseRootFromParent_Done,
     /* 1212838 */   // Label 17578: @1212838
     /* 1212838 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212919), // Rule ID 9697 //
     /* 1212843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1212854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1212857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1212860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1212863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1212866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1212896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1212899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212918 */     // GIR_Coverage, 9697,
     /* 1212918 */     GIR_EraseRootFromParent_Done,
     /* 1212919 */   // Label 17579: @1212919
     /* 1212919 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1213000), // Rule ID 9700 //
     /* 1212924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1212932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1212935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1212938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1212947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1212977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1212980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1212986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1212988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1212990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212999 */     // GIR_Coverage, 9700,
     /* 1212999 */     GIR_EraseRootFromParent_Done,
     /* 1213000 */   // Label 17580: @1213000
     /* 1213000 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213081), // Rule ID 9701 //
     /* 1213005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1213016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1213019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1213022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1213025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1213028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213058 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1213058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1213061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213080 */     // GIR_Coverage, 9701,
     /* 1213080 */     GIR_EraseRootFromParent_Done,
     /* 1213081 */   // Label 17581: @1213081
     /* 1213081 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213162), // Rule ID 9704 //
     /* 1213086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1213097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1213100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1213109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213139 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1213139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1213142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213161 */     // GIR_Coverage, 9704,
     /* 1213161 */     GIR_EraseRootFromParent_Done,
     /* 1213162 */   // Label 17582: @1213162
     /* 1213162 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213243), // Rule ID 9705 //
     /* 1213167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1213178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1213181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1213190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1213220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1213223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213242 */     // GIR_Coverage, 9705,
     /* 1213242 */     GIR_EraseRootFromParent_Done,
     /* 1213243 */   // Label 17583: @1213243
     /* 1213243 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213324), // Rule ID 9708 //
     /* 1213248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1213251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1213259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1213262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1213268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1213271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1213301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1213304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213323 */     // GIR_Coverage, 9708,
     /* 1213323 */     GIR_EraseRootFromParent_Done,
     /* 1213324 */   // Label 17584: @1213324
     /* 1213324 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213405), // Rule ID 9709 //
     /* 1213329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1213332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1213340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1213343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1213349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1213352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213382 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1213382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1213385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213404 */     // GIR_Coverage, 9709,
     /* 1213404 */     GIR_EraseRootFromParent_Done,
     /* 1213405 */   // Label 17585: @1213405
     /* 1213405 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213486), // Rule ID 9712 //
     /* 1213410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1213421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1213424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1213427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1213430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1213433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213463 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1213463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1213466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213485 */     // GIR_Coverage, 9712,
     /* 1213485 */     GIR_EraseRootFromParent_Done,
     /* 1213486 */   // Label 17586: @1213486
     /* 1213486 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213567), // Rule ID 9713 //
     /* 1213491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1213502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1213505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1213508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1213511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1213514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1213544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1213547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213566 */     // GIR_Coverage, 9713,
     /* 1213566 */     GIR_EraseRootFromParent_Done,
     /* 1213567 */   // Label 17587: @1213567
     /* 1213567 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213648), // Rule ID 9716 //
     /* 1213572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1213583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1213586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1213589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1213592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1213595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213625 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1213625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1213628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213647 */     // GIR_Coverage, 9716,
     /* 1213647 */     GIR_EraseRootFromParent_Done,
     /* 1213648 */   // Label 17588: @1213648
     /* 1213648 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213729), // Rule ID 9717 //
     /* 1213653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1213664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1213667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1213670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1213673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1213676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213706 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1213706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1213709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213728 */     // GIR_Coverage, 9717,
     /* 1213728 */     GIR_EraseRootFromParent_Done,
     /* 1213729 */   // Label 17589: @1213729
     /* 1213729 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213810), // Rule ID 9720 //
     /* 1213734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1213745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1213748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1213751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1213754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1213757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213787 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1213787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1213790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213809 */     // GIR_Coverage, 9720,
     /* 1213809 */     GIR_EraseRootFromParent_Done,
     /* 1213810 */   // Label 17590: @1213810
     /* 1213810 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213891), // Rule ID 9721 //
     /* 1213815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1213826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1213829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1213832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1213835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1213838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213868 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1213868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1213871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213890 */     // GIR_Coverage, 9721,
     /* 1213890 */     GIR_EraseRootFromParent_Done,
     /* 1213891 */   // Label 17591: @1213891
     /* 1213891 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213972), // Rule ID 9724 //
     /* 1213896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1213907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1213910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1213916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1213919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1213949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1213952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1213958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1213960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1213962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213971 */     // GIR_Coverage, 9724,
     /* 1213971 */     GIR_EraseRootFromParent_Done,
     /* 1213972 */   // Label 17592: @1213972
     /* 1213972 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1214053), // Rule ID 9725 //
     /* 1213977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1213985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1213988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1213991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1213997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214030 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1214030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1214033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214052 */     // GIR_Coverage, 9725,
     /* 1214052 */     GIR_EraseRootFromParent_Done,
     /* 1214053 */   // Label 17593: @1214053
     /* 1214053 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214134), // Rule ID 9728 //
     /* 1214058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1214078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214111 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1214111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1214114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214133 */     // GIR_Coverage, 9728,
     /* 1214133 */     GIR_EraseRootFromParent_Done,
     /* 1214134 */   // Label 17594: @1214134
     /* 1214134 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214215), // Rule ID 9729 //
     /* 1214139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1214159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1214192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1214195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214214 */     // GIR_Coverage, 9729,
     /* 1214214 */     GIR_EraseRootFromParent_Done,
     /* 1214215 */   // Label 17595: @1214215
     /* 1214215 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214296), // Rule ID 9732 //
     /* 1214220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1214231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1214234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1214240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1214243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214273 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1214273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1214276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214295 */     // GIR_Coverage, 9732,
     /* 1214295 */     GIR_EraseRootFromParent_Done,
     /* 1214296 */   // Label 17596: @1214296
     /* 1214296 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214377), // Rule ID 9733 //
     /* 1214301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1214312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1214315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1214318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1214321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1214324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214354 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1214354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1214357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214376 */     // GIR_Coverage, 9733,
     /* 1214376 */     GIR_EraseRootFromParent_Done,
     /* 1214377 */   // Label 17597: @1214377
     /* 1214377 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214458), // Rule ID 9736 //
     /* 1214382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1214393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1214396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1214402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1214405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1214435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1214438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214457 */     // GIR_Coverage, 9736,
     /* 1214457 */     GIR_EraseRootFromParent_Done,
     /* 1214458 */   // Label 17598: @1214458
     /* 1214458 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214539), // Rule ID 9737 //
     /* 1214463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1214474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1214477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1214483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1214486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1214516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1214519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214538 */     // GIR_Coverage, 9737,
     /* 1214538 */     GIR_EraseRootFromParent_Done,
     /* 1214539 */   // Label 17599: @1214539
     /* 1214539 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214620), // Rule ID 9740 //
     /* 1214544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1214555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1214564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1214597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1214600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214619 */     // GIR_Coverage, 9740,
     /* 1214619 */     GIR_EraseRootFromParent_Done,
     /* 1214620 */   // Label 17600: @1214620
     /* 1214620 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214701), // Rule ID 9741 //
     /* 1214625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1214636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1214645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214678 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1214678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1214681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214700 */     // GIR_Coverage, 9741,
     /* 1214700 */     GIR_EraseRootFromParent_Done,
     /* 1214701 */   // Label 17601: @1214701
     /* 1214701 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214782), // Rule ID 9744 //
     /* 1214706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1214726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1214759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1214762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214781 */     // GIR_Coverage, 9744,
     /* 1214781 */     GIR_EraseRootFromParent_Done,
     /* 1214782 */   // Label 17602: @1214782
     /* 1214782 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214863), // Rule ID 9745 //
     /* 1214787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1214807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1214840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1214843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214862 */     // GIR_Coverage, 9745,
     /* 1214862 */     GIR_EraseRootFromParent_Done,
     /* 1214863 */   // Label 17603: @1214863
     /* 1214863 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214944), // Rule ID 9748 //
     /* 1214868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1214871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1214879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1214882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1214888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1214891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1214921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1214924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1214930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1214932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1214934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214943 */     // GIR_Coverage, 9748,
     /* 1214943 */     GIR_EraseRootFromParent_Done,
     /* 1214944 */   // Label 17604: @1214944
     /* 1214944 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1215025), // Rule ID 9749 //
     /* 1214949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1214952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1214957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1214960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1214963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1214969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1214972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215002 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1215002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1215005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1215011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1215013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215024 */     // GIR_Coverage, 9749,
     /* 1215024 */     GIR_EraseRootFromParent_Done,
     /* 1215025 */   // Label 17605: @1215025
     /* 1215025 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215106), // Rule ID 9752 //
     /* 1215030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1215033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1215038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1215041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1215044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1215050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1215083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1215086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1215092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1215094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215105 */     // GIR_Coverage, 9752,
     /* 1215105 */     GIR_EraseRootFromParent_Done,
     /* 1215106 */   // Label 17606: @1215106
     /* 1215106 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215187), // Rule ID 9753 //
     /* 1215111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1215114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1215119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1215122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1215125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1215131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1215164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1215167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1215173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1215175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215186 */     // GIR_Coverage, 9753,
     /* 1215186 */     GIR_EraseRootFromParent_Done,
     /* 1215187 */   // Label 17607: @1215187
     /* 1215187 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215268), // Rule ID 9756 //
     /* 1215192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1215195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1215200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1215203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1215206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1215212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1215215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215245 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1215245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1215248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1215254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1215256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215267 */     // GIR_Coverage, 9756,
     /* 1215267 */     GIR_EraseRootFromParent_Done,
     /* 1215268 */   // Label 17608: @1215268
     /* 1215268 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215349), // Rule ID 9757 //
     /* 1215273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1215276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1215281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1215284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1215287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1215293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1215296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215326 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1215326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1215329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1215335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1215337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215348 */     // GIR_Coverage, 9757,
     /* 1215348 */     GIR_EraseRootFromParent_Done,
     /* 1215349 */   // Label 17609: @1215349
     /* 1215349 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215430), // Rule ID 13698 //
     /* 1215354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1215365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1215368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1215371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1215374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1215410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215429 */     // GIR_Coverage, 13698,
     /* 1215429 */     GIR_EraseRootFromParent_Done,
     /* 1215430 */   // Label 17610: @1215430
     /* 1215430 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215511), // Rule ID 13699 //
     /* 1215435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1215446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1215449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1215452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1215455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1215491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215510 */     // GIR_Coverage, 13699,
     /* 1215510 */     GIR_EraseRootFromParent_Done,
     /* 1215511 */   // Label 17611: @1215511
     /* 1215511 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215592), // Rule ID 13700 //
     /* 1215516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1215527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1215530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1215533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1215536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215569 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1215572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215591 */     // GIR_Coverage, 13700,
     /* 1215591 */     GIR_EraseRootFromParent_Done,
     /* 1215592 */   // Label 17612: @1215592
     /* 1215592 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215673), // Rule ID 13701 //
     /* 1215597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1215608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1215611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1215614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1215617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1215653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215672 */     // GIR_Coverage, 13701,
     /* 1215672 */     GIR_EraseRootFromParent_Done,
     /* 1215673 */   // Label 17613: @1215673
     /* 1215673 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215754), // Rule ID 13702 //
     /* 1215678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1215689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1215692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1215695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1215698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1215734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215753 */     // GIR_Coverage, 13702,
     /* 1215753 */     GIR_EraseRootFromParent_Done,
     /* 1215754 */   // Label 17614: @1215754
     /* 1215754 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215835), // Rule ID 13703 //
     /* 1215759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1215770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1215773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1215776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1215779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1215815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215834 */     // GIR_Coverage, 13703,
     /* 1215834 */     GIR_EraseRootFromParent_Done,
     /* 1215835 */   // Label 17615: @1215835
     /* 1215835 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215916), // Rule ID 13704 //
     /* 1215840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1215893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1215896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215915 */     // GIR_Coverage, 13704,
     /* 1215915 */     GIR_EraseRootFromParent_Done,
     /* 1215916 */   // Label 17616: @1215916
     /* 1215916 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215997), // Rule ID 13705 //
     /* 1215921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1215929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1215951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1215974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1215977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1215987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215996 */     // GIR_Coverage, 13705,
     /* 1215996 */     GIR_EraseRootFromParent_Done,
     /* 1215997 */   // Label 17617: @1215997
     /* 1215997 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1216078), // Rule ID 13706 //
     /* 1216002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1216055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1216058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216077 */     // GIR_Coverage, 13706,
     /* 1216077 */     GIR_EraseRootFromParent_Done,
     /* 1216078 */   // Label 17618: @1216078
     /* 1216078 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216159), // Rule ID 13707 //
     /* 1216083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1216136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1216139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216158 */     // GIR_Coverage, 13707,
     /* 1216158 */     GIR_EraseRootFromParent_Done,
     /* 1216159 */   // Label 17619: @1216159
     /* 1216159 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216240), // Rule ID 13708 //
     /* 1216164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1216217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1216220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216239 */     // GIR_Coverage, 13708,
     /* 1216239 */     GIR_EraseRootFromParent_Done,
     /* 1216240 */   // Label 17620: @1216240
     /* 1216240 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216321), // Rule ID 13709 //
     /* 1216245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1216298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1216301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216320 */     // GIR_Coverage, 13709,
     /* 1216320 */     GIR_EraseRootFromParent_Done,
     /* 1216321 */   // Label 17621: @1216321
     /* 1216321 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216402), // Rule ID 13710 //
     /* 1216326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1216337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1216340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1216343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1216346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1216349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1216379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1216400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216401 */     // GIR_Coverage, 13710,
     /* 1216401 */     GIR_EraseRootFromParent_Done,
     /* 1216402 */   // Label 17622: @1216402
     /* 1216402 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216483), // Rule ID 13711 //
     /* 1216407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1216418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1216421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1216424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1216427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1216430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1216460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1216481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216482 */     // GIR_Coverage, 13711,
     /* 1216482 */     GIR_EraseRootFromParent_Done,
     /* 1216483 */   // Label 17623: @1216483
     /* 1216483 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216564), // Rule ID 13712 //
     /* 1216488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1216511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1216541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216563 */     // GIR_Coverage, 13712,
     /* 1216563 */     GIR_EraseRootFromParent_Done,
     /* 1216564 */   // Label 17624: @1216564
     /* 1216564 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216645), // Rule ID 13713 //
     /* 1216569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1216592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1216622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216644 */     // GIR_Coverage, 13713,
     /* 1216644 */     GIR_EraseRootFromParent_Done,
     /* 1216645 */   // Label 17625: @1216645
     /* 1216645 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216726), // Rule ID 13714 //
     /* 1216650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1216703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216725 */     // GIR_Coverage, 13714,
     /* 1216725 */     GIR_EraseRootFromParent_Done,
     /* 1216726 */   // Label 17626: @1216726
     /* 1216726 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216807), // Rule ID 13715 //
     /* 1216731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1216784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216806 */     // GIR_Coverage, 13715,
     /* 1216806 */     GIR_EraseRootFromParent_Done,
     /* 1216807 */   // Label 17627: @1216807
     /* 1216807 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216888), // Rule ID 13716 //
     /* 1216812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1216815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216865 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1216865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216887 */     // GIR_Coverage, 13716,
     /* 1216887 */     GIR_EraseRootFromParent_Done,
     /* 1216888 */   // Label 17628: @1216888
     /* 1216888 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216969), // Rule ID 13717 //
     /* 1216893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1216896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1216923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1216946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1216949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1216959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216968 */     // GIR_Coverage, 13717,
     /* 1216968 */     GIR_EraseRootFromParent_Done,
     /* 1216969 */   // Label 17629: @1216969
     /* 1216969 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1217050), // Rule ID 13718 //
     /* 1216974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1216982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1216985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1216988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1216991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1216994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1216997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1217004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1217030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217049 */     // GIR_Coverage, 13718,
     /* 1217049 */     GIR_EraseRootFromParent_Done,
     /* 1217050 */   // Label 17630: @1217050
     /* 1217050 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217131), // Rule ID 13719 //
     /* 1217055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1217066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1217069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1217072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1217075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1217085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1217111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217130 */     // GIR_Coverage, 13719,
     /* 1217130 */     GIR_EraseRootFromParent_Done,
     /* 1217131 */   // Label 17631: @1217131
     /* 1217131 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217212), // Rule ID 13720 //
     /* 1217136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1217147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1217150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1217153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1217156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1217166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1217192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217211 */     // GIR_Coverage, 13720,
     /* 1217211 */     GIR_EraseRootFromParent_Done,
     /* 1217212 */   // Label 17632: @1217212
     /* 1217212 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217293), // Rule ID 13721 //
     /* 1217217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1217228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1217231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1217234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1217237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1217247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1217273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217292 */     // GIR_Coverage, 13721,
     /* 1217292 */     GIR_EraseRootFromParent_Done,
     /* 1217293 */   // Label 17633: @1217293
     /* 1217293 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217374), // Rule ID 13722 //
     /* 1217298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1217309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1217312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1217315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1217318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1217321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1217328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1217354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217373 */     // GIR_Coverage, 13722,
     /* 1217373 */     GIR_EraseRootFromParent_Done,
     /* 1217374 */   // Label 17634: @1217374
     /* 1217374 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217455), // Rule ID 13723 //
     /* 1217379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1217390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1217393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1217396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1217399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1217402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1217409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217432 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1217435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217454 */     // GIR_Coverage, 13723,
     /* 1217454 */     GIR_EraseRootFromParent_Done,
     /* 1217455 */   // Label 17635: @1217455
     /* 1217455 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217536), // Rule ID 13724 //
     /* 1217460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1217483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1217490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1217516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217535 */     // GIR_Coverage, 13724,
     /* 1217535 */     GIR_EraseRootFromParent_Done,
     /* 1217536 */   // Label 17636: @1217536
     /* 1217536 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217617), // Rule ID 13725 //
     /* 1217541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1217552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1217555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1217564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1217571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1217594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1217597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217616 */     // GIR_Coverage, 13725,
     /* 1217616 */     GIR_EraseRootFromParent_Done,
     /* 1217617 */   // Label 17637: @1217617
     /* 1217617 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217698), // Rule ID 13726 //
     /* 1217622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1217652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1217678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217697 */     // GIR_Coverage, 13726,
     /* 1217697 */     GIR_EraseRootFromParent_Done,
     /* 1217698 */   // Label 17638: @1217698
     /* 1217698 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217779), // Rule ID 13727 //
     /* 1217703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1217733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1217756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1217759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217778 */     // GIR_Coverage, 13727,
     /* 1217778 */     GIR_EraseRootFromParent_Done,
     /* 1217779 */   // Label 17639: @1217779
     /* 1217779 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217860), // Rule ID 13728 //
     /* 1217784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1217814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217837 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1217840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217859 */     // GIR_Coverage, 13728,
     /* 1217859 */     GIR_EraseRootFromParent_Done,
     /* 1217860 */   // Label 17640: @1217860
     /* 1217860 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217941), // Rule ID 13729 //
     /* 1217865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1217895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1217918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1217921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1217931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217940 */     // GIR_Coverage, 13729,
     /* 1217940 */     GIR_EraseRootFromParent_Done,
     /* 1217941 */   // Label 17641: @1217941
     /* 1217941 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1218022), // Rule ID 13730 //
     /* 1217946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1217954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1217969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1217976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1217999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1218002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218021 */     // GIR_Coverage, 13730,
     /* 1218021 */     GIR_EraseRootFromParent_Done,
     /* 1218022 */   // Label 17642: @1218022
     /* 1218022 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1218103), // Rule ID 13731 //
     /* 1218027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1218044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1218047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1218057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1218083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218102 */     // GIR_Coverage, 13731,
     /* 1218102 */     GIR_EraseRootFromParent_Done,
     /* 1218103 */   // Label 17643: @1218103
     /* 1218103 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218184), // Rule ID 13732 //
     /* 1218108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1218138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218161 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1218161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1218164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218183 */     // GIR_Coverage, 13732,
     /* 1218183 */     GIR_EraseRootFromParent_Done,
     /* 1218184 */   // Label 17644: @1218184
     /* 1218184 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218265), // Rule ID 13733 //
     /* 1218189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1218200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1218203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1218219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1218245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218264 */     // GIR_Coverage, 13733,
     /* 1218264 */     GIR_EraseRootFromParent_Done,
     /* 1218265 */   // Label 17645: @1218265
     /* 1218265 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218346), // Rule ID 13734 //
     /* 1218270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1218293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1218300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218323 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1218323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1218326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218345 */     // GIR_Coverage, 13734,
     /* 1218345 */     GIR_EraseRootFromParent_Done,
     /* 1218346 */   // Label 17646: @1218346
     /* 1218346 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218427), // Rule ID 13735 //
     /* 1218351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1218362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1218365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1218374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1218381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1218407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218426 */     // GIR_Coverage, 13735,
     /* 1218426 */     GIR_EraseRootFromParent_Done,
     /* 1218427 */   // Label 17647: @1218427
     /* 1218427 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218508), // Rule ID 13736 //
     /* 1218432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1218435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1218455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1218462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218485 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1218485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1218488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218507 */     // GIR_Coverage, 13736,
     /* 1218507 */     GIR_EraseRootFromParent_Done,
     /* 1218508 */   // Label 17648: @1218508
     /* 1218508 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218589), // Rule ID 13737 //
     /* 1218513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1218516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1218536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1218543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1218566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1218569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218588 */     // GIR_Coverage, 13737,
     /* 1218588 */     GIR_EraseRootFromParent_Done,
     /* 1218589 */   // Label 17649: @1218589
     /* 1218589 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218670), // Rule ID 13738 //
     /* 1218594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1218597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1218624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1218647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1218650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218669 */     // GIR_Coverage, 13738,
     /* 1218669 */     GIR_EraseRootFromParent_Done,
     /* 1218670 */   // Label 17650: @1218670
     /* 1218670 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218751), // Rule ID 13739 //
     /* 1218675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1218678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1218705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1218728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1218731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218750 */     // GIR_Coverage, 13739,
     /* 1218750 */     GIR_EraseRootFromParent_Done,
     /* 1218751 */   // Label 17651: @1218751
     /* 1218751 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218832), // Rule ID 13740 //
     /* 1218756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1218759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1218786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1218809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1218812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218831 */     // GIR_Coverage, 13740,
     /* 1218831 */     GIR_EraseRootFromParent_Done,
     /* 1218832 */   // Label 17652: @1218832
     /* 1218832 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218913), // Rule ID 13741 //
     /* 1218837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1218840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1218867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1218890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1218893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218912 */     // GIR_Coverage, 13741,
     /* 1218912 */     GIR_EraseRootFromParent_Done,
     /* 1218913 */   // Label 17653: @1218913
     /* 1218913 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218994), // Rule ID 13742 //
     /* 1218918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1218926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1218929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1218932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1218935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1218938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1218941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1218948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1218960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1218971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1218974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1218984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1218992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218993 */     // GIR_Coverage, 13742,
     /* 1218993 */     GIR_EraseRootFromParent_Done,
     /* 1218994 */   // Label 17654: @1218994
     /* 1218994 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1219075), // Rule ID 13743 //
     /* 1218999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1219010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1219013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1219016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1219055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219074 */     // GIR_Coverage, 13743,
     /* 1219074 */     GIR_EraseRootFromParent_Done,
     /* 1219075 */   // Label 17655: @1219075
     /* 1219075 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219156), // Rule ID 13744 //
     /* 1219080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1219091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1219094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1219097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1219136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219155 */     // GIR_Coverage, 13744,
     /* 1219155 */     GIR_EraseRootFromParent_Done,
     /* 1219156 */   // Label 17656: @1219156
     /* 1219156 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219237), // Rule ID 13745 //
     /* 1219161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1219172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1219175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1219178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1219217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219236 */     // GIR_Coverage, 13745,
     /* 1219236 */     GIR_EraseRootFromParent_Done,
     /* 1219237 */   // Label 17657: @1219237
     /* 1219237 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219318), // Rule ID 13746 //
     /* 1219242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1219253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1219256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1219259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1219265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219317 */     // GIR_Coverage, 13746,
     /* 1219317 */     GIR_EraseRootFromParent_Done,
     /* 1219318 */   // Label 17658: @1219318
     /* 1219318 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219399), // Rule ID 13747 //
     /* 1219323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1219334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1219337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1219340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1219346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219398 */     // GIR_Coverage, 13747,
     /* 1219398 */     GIR_EraseRootFromParent_Done,
     /* 1219399 */   // Label 17659: @1219399
     /* 1219399 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219480), // Rule ID 13748 //
     /* 1219404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1219415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1219418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1219457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1219460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219479 */     // GIR_Coverage, 13748,
     /* 1219479 */     GIR_EraseRootFromParent_Done,
     /* 1219480 */   // Label 17660: @1219480
     /* 1219480 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219561), // Rule ID 13749 //
     /* 1219485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1219496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1219499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1219538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1219541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219560 */     // GIR_Coverage, 13749,
     /* 1219560 */     GIR_EraseRootFromParent_Done,
     /* 1219561 */   // Label 17661: @1219561
     /* 1219561 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219642), // Rule ID 13750 //
     /* 1219566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1219577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1219580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1219619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219641 */     // GIR_Coverage, 13750,
     /* 1219641 */     GIR_EraseRootFromParent_Done,
     /* 1219642 */   // Label 17662: @1219642
     /* 1219642 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219723), // Rule ID 13751 //
     /* 1219647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1219658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1219661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1219664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1219700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219722 */     // GIR_Coverage, 13751,
     /* 1219722 */     GIR_EraseRootFromParent_Done,
     /* 1219723 */   // Label 17663: @1219723
     /* 1219723 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219804), // Rule ID 13752 //
     /* 1219728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1219781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219803 */     // GIR_Coverage, 13752,
     /* 1219803 */     GIR_EraseRootFromParent_Done,
     /* 1219804 */   // Label 17664: @1219804
     /* 1219804 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219885), // Rule ID 13753 //
     /* 1219809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1219820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1219823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1219862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1219865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219884 */     // GIR_Coverage, 13753,
     /* 1219884 */     GIR_EraseRootFromParent_Done,
     /* 1219885 */   // Label 17665: @1219885
     /* 1219885 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219966), // Rule ID 13754 //
     /* 1219890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1219901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1219904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1219907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1219913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1219920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1219946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1219956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219965 */     // GIR_Coverage, 13754,
     /* 1219965 */     GIR_EraseRootFromParent_Done,
     /* 1219966 */   // Label 17666: @1219966
     /* 1219966 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1220047), // Rule ID 13755 //
     /* 1219971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1219979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1219982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1219985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1219988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1219994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1220024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220046 */     // GIR_Coverage, 13755,
     /* 1220046 */     GIR_EraseRootFromParent_Done,
     /* 1220047 */   // Label 17667: @1220047
     /* 1220047 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1220128), // Rule ID 13756 //
     /* 1220052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1220075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1220105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220127 */     // GIR_Coverage, 13756,
     /* 1220127 */     GIR_EraseRootFromParent_Done,
     /* 1220128 */   // Label 17668: @1220128
     /* 1220128 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220209), // Rule ID 13757 //
     /* 1220133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1220156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1220186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220208 */     // GIR_Coverage, 13757,
     /* 1220208 */     GIR_EraseRootFromParent_Done,
     /* 1220209 */   // Label 17669: @1220209
     /* 1220209 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220290), // Rule ID 13758 //
     /* 1220214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1220237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1220267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220289 */     // GIR_Coverage, 13758,
     /* 1220289 */     GIR_EraseRootFromParent_Done,
     /* 1220290 */   // Label 17670: @1220290
     /* 1220290 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220371), // Rule ID 13759 //
     /* 1220295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1220318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1220348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220370 */     // GIR_Coverage, 13759,
     /* 1220370 */     GIR_EraseRootFromParent_Done,
     /* 1220371 */   // Label 17671: @1220371
     /* 1220371 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220452), // Rule ID 13760 //
     /* 1220376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1220379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1220393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1220399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1220429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220451 */     // GIR_Coverage, 13760,
     /* 1220451 */     GIR_EraseRootFromParent_Done,
     /* 1220452 */   // Label 17672: @1220452
     /* 1220452 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220533), // Rule ID 13761 //
     /* 1220457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1220460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1220474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1220480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1220487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1220510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1220513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220532 */     // GIR_Coverage, 13761,
     /* 1220532 */     GIR_EraseRootFromParent_Done,
     /* 1220533 */   // Label 17673: @1220533
     /* 1220533 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220614), // Rule ID 13762 //
     /* 1220538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1220549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1220552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1220555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1220561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1220568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220591 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1220591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1220594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220613 */     // GIR_Coverage, 13762,
     /* 1220613 */     GIR_EraseRootFromParent_Done,
     /* 1220614 */   // Label 17674: @1220614
     /* 1220614 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220695), // Rule ID 13763 //
     /* 1220619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1220630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1220633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1220636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1220642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1220649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1220672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1220675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220694 */     // GIR_Coverage, 13763,
     /* 1220694 */     GIR_EraseRootFromParent_Done,
     /* 1220695 */   // Label 17675: @1220695
     /* 1220695 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220776), // Rule ID 13764 //
     /* 1220700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1220711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1220714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1220717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1220723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1220730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1220753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1220756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220775 */     // GIR_Coverage, 13764,
     /* 1220775 */     GIR_EraseRootFromParent_Done,
     /* 1220776 */   // Label 17676: @1220776
     /* 1220776 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220857), // Rule ID 13765 //
     /* 1220781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1220792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1220795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1220798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1220804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1220811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1220834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1220837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220856 */     // GIR_Coverage, 13765,
     /* 1220856 */     GIR_EraseRootFromParent_Done,
     /* 1220857 */   // Label 17677: @1220857
     /* 1220857 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220938), // Rule ID 13766 //
     /* 1220862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1220873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1220876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1220879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1220885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1220892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220915 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1220915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1220918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1220928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220937 */     // GIR_Coverage, 13766,
     /* 1220937 */     GIR_EraseRootFromParent_Done,
     /* 1220938 */   // Label 17678: @1220938
     /* 1220938 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1221019), // Rule ID 13767 //
     /* 1220943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1220951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1220954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1220957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1220960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1220966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1220973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1220996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1220999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221018 */     // GIR_Coverage, 13767,
     /* 1221018 */     GIR_EraseRootFromParent_Done,
     /* 1221019 */   // Label 17679: @1221019
     /* 1221019 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1221100), // Rule ID 13768 //
     /* 1221024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1221047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1221054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221077 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1221077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1221080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221099 */     // GIR_Coverage, 13768,
     /* 1221099 */     GIR_EraseRootFromParent_Done,
     /* 1221100 */   // Label 17680: @1221100
     /* 1221100 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221181), // Rule ID 13769 //
     /* 1221105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1221128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1221135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1221158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1221161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221180 */     // GIR_Coverage, 13769,
     /* 1221180 */     GIR_EraseRootFromParent_Done,
     /* 1221181 */   // Label 17681: @1221181
     /* 1221181 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221262), // Rule ID 13770 //
     /* 1221186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1221216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1221239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1221242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221261 */     // GIR_Coverage, 13770,
     /* 1221261 */     GIR_EraseRootFromParent_Done,
     /* 1221262 */   // Label 17682: @1221262
     /* 1221262 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221343), // Rule ID 13771 //
     /* 1221267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1221297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1221320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1221323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221342 */     // GIR_Coverage, 13771,
     /* 1221342 */     GIR_EraseRootFromParent_Done,
     /* 1221343 */   // Label 17683: @1221343
     /* 1221343 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221424), // Rule ID 13772 //
     /* 1221348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1221371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1221378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1221401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1221404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221423 */     // GIR_Coverage, 13772,
     /* 1221423 */     GIR_EraseRootFromParent_Done,
     /* 1221424 */   // Label 17684: @1221424
     /* 1221424 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221505), // Rule ID 13773 //
     /* 1221429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1221452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1221459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1221482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1221485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221504 */     // GIR_Coverage, 13773,
     /* 1221504 */     GIR_EraseRootFromParent_Done,
     /* 1221505 */   // Label 17685: @1221505
     /* 1221505 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221586), // Rule ID 13774 //
     /* 1221510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1221521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1221524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1221533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1221540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1221563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1221566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221585 */     // GIR_Coverage, 13774,
     /* 1221585 */     GIR_EraseRootFromParent_Done,
     /* 1221586 */   // Label 17686: @1221586
     /* 1221586 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221667), // Rule ID 13775 //
     /* 1221591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1221602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1221605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1221614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1221621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1221644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1221647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221666 */     // GIR_Coverage, 13775,
     /* 1221666 */     GIR_EraseRootFromParent_Done,
     /* 1221667 */   // Label 17687: @1221667
     /* 1221667 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221748), // Rule ID 13776 //
     /* 1221672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1221683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1221686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1221695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1221702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221725 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1221725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1221728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221747 */     // GIR_Coverage, 13776,
     /* 1221747 */     GIR_EraseRootFromParent_Done,
     /* 1221748 */   // Label 17688: @1221748
     /* 1221748 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221829), // Rule ID 13777 //
     /* 1221753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1221764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1221767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1221776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1221783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1221806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1221809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221828 */     // GIR_Coverage, 13777,
     /* 1221828 */     GIR_EraseRootFromParent_Done,
     /* 1221829 */   // Label 17689: @1221829
     /* 1221829 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221910), // Rule ID 13778 //
     /* 1221834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1221845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1221848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1221864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1221887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1221890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221909 */     // GIR_Coverage, 13778,
     /* 1221909 */     GIR_EraseRootFromParent_Done,
     /* 1221910 */   // Label 17690: @1221910
     /* 1221910 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221991), // Rule ID 13779 //
     /* 1221915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1221923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1221926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1221929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1221945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1221968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1221971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1221981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221990 */     // GIR_Coverage, 13779,
     /* 1221990 */     GIR_EraseRootFromParent_Done,
     /* 1221991 */   // Label 17691: @1221991
     /* 1221991 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1222072), // Rule ID 13780 //
     /* 1221996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1221999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1222019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1222026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1222049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1222052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222071 */     // GIR_Coverage, 13780,
     /* 1222071 */     GIR_EraseRootFromParent_Done,
     /* 1222072 */   // Label 17692: @1222072
     /* 1222072 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1222153), // Rule ID 13781 //
     /* 1222077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1222080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1222100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1222107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1222130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1222133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222152 */     // GIR_Coverage, 13781,
     /* 1222152 */     GIR_EraseRootFromParent_Done,
     /* 1222153 */   // Label 17693: @1222153
     /* 1222153 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222234), // Rule ID 13782 //
     /* 1222158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1222161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1222181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1222188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1222211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1222214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222233 */     // GIR_Coverage, 13782,
     /* 1222233 */     GIR_EraseRootFromParent_Done,
     /* 1222234 */   // Label 17694: @1222234
     /* 1222234 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222315), // Rule ID 13783 //
     /* 1222239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1222242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1222262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1222269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1222292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1222295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222314 */     // GIR_Coverage, 13783,
     /* 1222314 */     GIR_EraseRootFromParent_Done,
     /* 1222315 */   // Label 17695: @1222315
     /* 1222315 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222396), // Rule ID 13784 //
     /* 1222320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1222323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1222343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1222350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1222373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1222376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222395 */     // GIR_Coverage, 13784,
     /* 1222395 */     GIR_EraseRootFromParent_Done,
     /* 1222396 */   // Label 17696: @1222396
     /* 1222396 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222477), // Rule ID 13785 //
     /* 1222401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1222404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1222409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1222424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1222431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1222454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1222457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222476 */     // GIR_Coverage, 13785,
     /* 1222476 */     GIR_EraseRootFromParent_Done,
     /* 1222477 */   // Label 17697: @1222477
     /* 1222477 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222558), // Rule ID 19624 //
     /* 1222482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1222493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1222496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1222499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1222502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1222505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222535 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1222535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1222538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222557 */     // GIR_Coverage, 19624,
     /* 1222557 */     GIR_EraseRootFromParent_Done,
     /* 1222558 */   // Label 17698: @1222558
     /* 1222558 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222639), // Rule ID 19625 //
     /* 1222563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1222574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1222577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1222580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1222583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1222586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1222616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1222619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222638 */     // GIR_Coverage, 19625,
     /* 1222638 */     GIR_EraseRootFromParent_Done,
     /* 1222639 */   // Label 17699: @1222639
     /* 1222639 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222720), // Rule ID 19628 //
     /* 1222644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1222655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1222658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1222661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1222664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1222667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222697 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1222697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1222700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222719 */     // GIR_Coverage, 19628,
     /* 1222719 */     GIR_EraseRootFromParent_Done,
     /* 1222720 */   // Label 17700: @1222720
     /* 1222720 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222801), // Rule ID 19629 //
     /* 1222725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1222736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1222739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1222742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1222745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1222748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1222778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1222781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222800 */     // GIR_Coverage, 19629,
     /* 1222800 */     GIR_EraseRootFromParent_Done,
     /* 1222801 */   // Label 17701: @1222801
     /* 1222801 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222882), // Rule ID 19632 //
     /* 1222806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1222817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1222820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1222826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1222829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1222859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1222862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222881 */     // GIR_Coverage, 19632,
     /* 1222881 */     GIR_EraseRootFromParent_Done,
     /* 1222882 */   // Label 17702: @1222882
     /* 1222882 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222963), // Rule ID 19633 //
     /* 1222887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1222898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1222901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1222907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1222910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1222940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1222943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1222953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222962 */     // GIR_Coverage, 19633,
     /* 1222962 */     GIR_EraseRootFromParent_Done,
     /* 1222963 */   // Label 17703: @1222963
     /* 1222963 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1223044), // Rule ID 19636 //
     /* 1222968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1222976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1222979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1222982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1222991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1223021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223043 */     // GIR_Coverage, 19636,
     /* 1223043 */     GIR_EraseRootFromParent_Done,
     /* 1223044 */   // Label 17704: @1223044
     /* 1223044 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1223125), // Rule ID 19637 //
     /* 1223049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1223060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1223063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1223072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1223102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223124 */     // GIR_Coverage, 19637,
     /* 1223124 */     GIR_EraseRootFromParent_Done,
     /* 1223125 */   // Label 17705: @1223125
     /* 1223125 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223206), // Rule ID 19640 //
     /* 1223130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1223153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1223183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223205 */     // GIR_Coverage, 19640,
     /* 1223205 */     GIR_EraseRootFromParent_Done,
     /* 1223206 */   // Label 17706: @1223206
     /* 1223206 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223287), // Rule ID 19641 //
     /* 1223211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1223234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1223264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223286 */     // GIR_Coverage, 19641,
     /* 1223286 */     GIR_EraseRootFromParent_Done,
     /* 1223287 */   // Label 17707: @1223287
     /* 1223287 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223368), // Rule ID 19644 //
     /* 1223292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1223303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1223306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1223315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1223345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223367 */     // GIR_Coverage, 19644,
     /* 1223367 */     GIR_EraseRootFromParent_Done,
     /* 1223368 */   // Label 17708: @1223368
     /* 1223368 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223449), // Rule ID 19645 //
     /* 1223373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1223384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1223387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1223396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1223426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1223429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223448 */     // GIR_Coverage, 19645,
     /* 1223448 */     GIR_EraseRootFromParent_Done,
     /* 1223449 */   // Label 17709: @1223449
     /* 1223449 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223530), // Rule ID 19648 //
     /* 1223454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1223465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1223468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1223477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1223507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1223510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223529 */     // GIR_Coverage, 19648,
     /* 1223529 */     GIR_EraseRootFromParent_Done,
     /* 1223530 */   // Label 17710: @1223530
     /* 1223530 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223611), // Rule ID 19649 //
     /* 1223535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1223546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1223549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1223555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1223558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1223588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1223591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223610 */     // GIR_Coverage, 19649,
     /* 1223610 */     GIR_EraseRootFromParent_Done,
     /* 1223611 */   // Label 17711: @1223611
     /* 1223611 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223692), // Rule ID 19652 //
     /* 1223616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1223627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1223630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1223639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1223669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1223672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223691 */     // GIR_Coverage, 19652,
     /* 1223691 */     GIR_EraseRootFromParent_Done,
     /* 1223692 */   // Label 17712: @1223692
     /* 1223692 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223773), // Rule ID 19653 //
     /* 1223697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1223708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1223711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1223717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1223720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1223750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1223753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223772 */     // GIR_Coverage, 19653,
     /* 1223772 */     GIR_EraseRootFromParent_Done,
     /* 1223773 */   // Label 17713: @1223773
     /* 1223773 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223854), // Rule ID 19656 //
     /* 1223778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1223789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1223792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1223795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1223798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1223801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223831 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1223831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1223834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223853 */     // GIR_Coverage, 19656,
     /* 1223853 */     GIR_EraseRootFromParent_Done,
     /* 1223854 */   // Label 17714: @1223854
     /* 1223854 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223935), // Rule ID 19657 //
     /* 1223859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1223870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1223873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1223876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1223879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1223882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223912 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1223912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1223915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1223925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223934 */     // GIR_Coverage, 19657,
     /* 1223934 */     GIR_EraseRootFromParent_Done,
     /* 1223935 */   // Label 17715: @1223935
     /* 1223935 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1224016), // Rule ID 19660 //
     /* 1223940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1223948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1223951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1223954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1223960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1223963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223993 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1223993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1223996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224015 */     // GIR_Coverage, 19660,
     /* 1224015 */     GIR_EraseRootFromParent_Done,
     /* 1224016 */   // Label 17716: @1224016
     /* 1224016 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1224097), // Rule ID 19661 //
     /* 1224021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1224032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1224035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1224041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1224044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1224074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1224077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224096 */     // GIR_Coverage, 19661,
     /* 1224096 */     GIR_EraseRootFromParent_Done,
     /* 1224097 */   // Label 17717: @1224097
     /* 1224097 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1224178), // Rule ID 19664 //
     /* 1224102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1224155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1224158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224177 */     // GIR_Coverage, 19664,
     /* 1224177 */     GIR_EraseRootFromParent_Done,
     /* 1224178 */   // Label 17718: @1224178
     /* 1224178 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224259), // Rule ID 19665 //
     /* 1224183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1224203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1224236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1224239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224258 */     // GIR_Coverage, 19665,
     /* 1224258 */     GIR_EraseRootFromParent_Done,
     /* 1224259 */   // Label 17719: @1224259
     /* 1224259 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224340), // Rule ID 19668 //
     /* 1224264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1224275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1224278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1224284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1224287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1224317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1224320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224339 */     // GIR_Coverage, 19668,
     /* 1224339 */     GIR_EraseRootFromParent_Done,
     /* 1224340 */   // Label 17720: @1224340
     /* 1224340 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224421), // Rule ID 19669 //
     /* 1224345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1224356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1224359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1224365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1224368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224398 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1224398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1224401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224420 */     // GIR_Coverage, 19669,
     /* 1224420 */     GIR_EraseRootFromParent_Done,
     /* 1224421 */   // Label 17721: @1224421
     /* 1224421 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224502), // Rule ID 19672 //
     /* 1224426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1224437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1224440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1224443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1224446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1224449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1224479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1224482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224501 */     // GIR_Coverage, 19672,
     /* 1224501 */     GIR_EraseRootFromParent_Done,
     /* 1224502 */   // Label 17722: @1224502
     /* 1224502 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224583), // Rule ID 19673 //
     /* 1224507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1224518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1224521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1224524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1224527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1224530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1224560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1224563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224582 */     // GIR_Coverage, 19673,
     /* 1224582 */     GIR_EraseRootFromParent_Done,
     /* 1224583 */   // Label 17723: @1224583
     /* 1224583 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224664), // Rule ID 19676 //
     /* 1224588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1224599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1224602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1224605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1224608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1224611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224641 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1224641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1224644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224663 */     // GIR_Coverage, 19676,
     /* 1224663 */     GIR_EraseRootFromParent_Done,
     /* 1224664 */   // Label 17724: @1224664
     /* 1224664 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224745), // Rule ID 19677 //
     /* 1224669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1224680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1224683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1224686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1224689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1224692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1224722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1224725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224744 */     // GIR_Coverage, 19677,
     /* 1224744 */     GIR_EraseRootFromParent_Done,
     /* 1224745 */   // Label 17725: @1224745
     /* 1224745 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224826), // Rule ID 19680 //
     /* 1224750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1224767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1224770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1224803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1224806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224825 */     // GIR_Coverage, 19680,
     /* 1224825 */     GIR_EraseRootFromParent_Done,
     /* 1224826 */   // Label 17726: @1224826
     /* 1224826 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224907), // Rule ID 19681 //
     /* 1224831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1224848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1224851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1224884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1224887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224906 */     // GIR_Coverage, 19681,
     /* 1224906 */     GIR_EraseRootFromParent_Done,
     /* 1224907 */   // Label 17727: @1224907
     /* 1224907 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224988), // Rule ID 19684 //
     /* 1224912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1224920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1224923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1224926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1224935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1224965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1224968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1224978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224987 */     // GIR_Coverage, 19684,
     /* 1224987 */     GIR_EraseRootFromParent_Done,
     /* 1224988 */   // Label 17728: @1224988
     /* 1224988 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1225069), // Rule ID 19685 //
     /* 1224993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225046 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1225046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1225049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225068 */     // GIR_Coverage, 19685,
     /* 1225068 */     GIR_EraseRootFromParent_Done,
     /* 1225069 */   // Label 17729: @1225069
     /* 1225069 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1225150), // Rule ID 19688 //
     /* 1225074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1225127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1225130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225149 */     // GIR_Coverage, 19688,
     /* 1225149 */     GIR_EraseRootFromParent_Done,
     /* 1225150 */   // Label 17730: @1225150
     /* 1225150 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225231), // Rule ID 19689 //
     /* 1225155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1225208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1225211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225230 */     // GIR_Coverage, 19689,
     /* 1225230 */     GIR_EraseRootFromParent_Done,
     /* 1225231 */   // Label 17731: @1225231
     /* 1225231 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225312), // Rule ID 19692 //
     /* 1225236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1225289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1225292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225311 */     // GIR_Coverage, 19692,
     /* 1225311 */     GIR_EraseRootFromParent_Done,
     /* 1225312 */   // Label 17732: @1225312
     /* 1225312 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225393), // Rule ID 19693 //
     /* 1225317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1225370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1225373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225392 */     // GIR_Coverage, 19693,
     /* 1225392 */     GIR_EraseRootFromParent_Done,
     /* 1225393 */   // Label 17733: @1225393
     /* 1225393 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225474), // Rule ID 19696 //
     /* 1225398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1225409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1225412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1225421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225451 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1225451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1225454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225473 */     // GIR_Coverage, 19696,
     /* 1225473 */     GIR_EraseRootFromParent_Done,
     /* 1225474 */   // Label 17734: @1225474
     /* 1225474 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225555), // Rule ID 19697 //
     /* 1225479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1225490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1225493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1225502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1225532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1225535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225554 */     // GIR_Coverage, 19697,
     /* 1225554 */     GIR_EraseRootFromParent_Done,
     /* 1225555 */   // Label 17735: @1225555
     /* 1225555 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225636), // Rule ID 19700 //
     /* 1225560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225613 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1225613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1225616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225635 */     // GIR_Coverage, 19700,
     /* 1225635 */     GIR_EraseRootFromParent_Done,
     /* 1225636 */   // Label 17736: @1225636
     /* 1225636 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225717), // Rule ID 19701 //
     /* 1225641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1225694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1225697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225716 */     // GIR_Coverage, 19701,
     /* 1225716 */     GIR_EraseRootFromParent_Done,
     /* 1225717 */   // Label 17737: @1225717
     /* 1225717 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225798), // Rule ID 19704 //
     /* 1225722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1225739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1225775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1225778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225797 */     // GIR_Coverage, 19704,
     /* 1225797 */     GIR_EraseRootFromParent_Done,
     /* 1225798 */   // Label 17738: @1225798
     /* 1225798 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225879), // Rule ID 19705 //
     /* 1225803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1225820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1225856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1225859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225878 */     // GIR_Coverage, 19705,
     /* 1225878 */     GIR_EraseRootFromParent_Done,
     /* 1225879 */   // Label 17739: @1225879
     /* 1225879 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225960), // Rule ID 19708 //
     /* 1225884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1225895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1225898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1225907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1225937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1225940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225959 */     // GIR_Coverage, 19708,
     /* 1225959 */     GIR_EraseRootFromParent_Done,
     /* 1225960 */   // Label 17740: @1225960
     /* 1225960 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1226041), // Rule ID 19709 //
     /* 1225965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1225973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1225976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1225979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1225988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1226021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226040 */     // GIR_Coverage, 19709,
     /* 1226040 */     GIR_EraseRootFromParent_Done,
     /* 1226041 */   // Label 17741: @1226041
     /* 1226041 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1226122), // Rule ID 19712 //
     /* 1226046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1226102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226121 */     // GIR_Coverage, 19712,
     /* 1226121 */     GIR_EraseRootFromParent_Done,
     /* 1226122 */   // Label 17742: @1226122
     /* 1226122 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1226203), // Rule ID 19713 //
     /* 1226127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1226183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226202 */     // GIR_Coverage, 19713,
     /* 1226202 */     GIR_EraseRootFromParent_Done,
     /* 1226203 */   // Label 17743: @1226203
     /* 1226203 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226284), // Rule ID 19716 //
     /* 1226208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1226219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1226222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1226231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226261 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1226264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226283 */     // GIR_Coverage, 19716,
     /* 1226283 */     GIR_EraseRootFromParent_Done,
     /* 1226284 */   // Label 17744: @1226284
     /* 1226284 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226365), // Rule ID 19717 //
     /* 1226289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1226300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1226303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1226312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226342 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1226345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226364 */     // GIR_Coverage, 19717,
     /* 1226364 */     GIR_EraseRootFromParent_Done,
     /* 1226365 */   // Label 17745: @1226365
     /* 1226365 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226446), // Rule ID 19720 //
     /* 1226370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1226381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1226384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1226426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226445 */     // GIR_Coverage, 19720,
     /* 1226445 */     GIR_EraseRootFromParent_Done,
     /* 1226446 */   // Label 17746: @1226446
     /* 1226446 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226527), // Rule ID 19721 //
     /* 1226451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1226462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1226465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1226504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1226507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226526 */     // GIR_Coverage, 19721,
     /* 1226526 */     GIR_EraseRootFromParent_Done,
     /* 1226527 */   // Label 17747: @1226527
     /* 1226527 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226608), // Rule ID 19724 //
     /* 1226532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1226543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1226546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226585 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1226588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226607 */     // GIR_Coverage, 19724,
     /* 1226607 */     GIR_EraseRootFromParent_Done,
     /* 1226608 */   // Label 17748: @1226608
     /* 1226608 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226689), // Rule ID 19725 //
     /* 1226613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1226624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1226627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1226666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1226669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226688 */     // GIR_Coverage, 19725,
     /* 1226688 */     GIR_EraseRootFromParent_Done,
     /* 1226689 */   // Label 17749: @1226689
     /* 1226689 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226770), // Rule ID 19728 //
     /* 1226694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1226711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226747 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1226750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226769 */     // GIR_Coverage, 19728,
     /* 1226769 */     GIR_EraseRootFromParent_Done,
     /* 1226770 */   // Label 17750: @1226770
     /* 1226770 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226851), // Rule ID 19729 //
     /* 1226775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1226792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1226828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1226831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226850 */     // GIR_Coverage, 19729,
     /* 1226850 */     GIR_EraseRootFromParent_Done,
     /* 1226851 */   // Label 17751: @1226851
     /* 1226851 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226932), // Rule ID 19732 //
     /* 1226856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1226867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1226870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1226873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1226876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1226879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1226898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1226909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1226912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226931 */     // GIR_Coverage, 19732,
     /* 1226931 */     GIR_EraseRootFromParent_Done,
     /* 1226932 */   // Label 17752: @1226932
     /* 1226932 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1227013), // Rule ID 19733 //
     /* 1226937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1226945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1226948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1226951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1226954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1226957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1226960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1226979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1226990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1226993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227012 */     // GIR_Coverage, 19733,
     /* 1227012 */     GIR_EraseRootFromParent_Done,
     /* 1227013 */   // Label 17753: @1227013
     /* 1227013 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1227094), // Rule ID 19736 //
     /* 1227018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1227026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1227074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227093 */     // GIR_Coverage, 19736,
     /* 1227093 */     GIR_EraseRootFromParent_Done,
     /* 1227094 */   // Label 17754: @1227094
     /* 1227094 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1227175), // Rule ID 19737 //
     /* 1227099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1227107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1227155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227174 */     // GIR_Coverage, 19737,
     /* 1227174 */     GIR_EraseRootFromParent_Done,
     /* 1227175 */   // Label 17755: @1227175
     /* 1227175 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227256), // Rule ID 19740 //
     /* 1227180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1227188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1227236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227255 */     // GIR_Coverage, 19740,
     /* 1227255 */     GIR_EraseRootFromParent_Done,
     /* 1227256 */   // Label 17756: @1227256
     /* 1227256 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227337), // Rule ID 19741 //
     /* 1227261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1227269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1227317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227336 */     // GIR_Coverage, 19741,
     /* 1227336 */     GIR_EraseRootFromParent_Done,
     /* 1227337 */   // Label 17757: @1227337
     /* 1227337 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227418), // Rule ID 19744 //
     /* 1227342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1227353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1227356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1227362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227395 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1227395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1227398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227417 */     // GIR_Coverage, 19744,
     /* 1227417 */     GIR_EraseRootFromParent_Done,
     /* 1227418 */   // Label 17758: @1227418
     /* 1227418 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227499), // Rule ID 19745 //
     /* 1227423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1227434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1227437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1227443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1227476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1227479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227498 */     // GIR_Coverage, 19745,
     /* 1227498 */     GIR_EraseRootFromParent_Done,
     /* 1227499 */   // Label 17759: @1227499
     /* 1227499 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227580), // Rule ID 19748 //
     /* 1227504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1227515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1227518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1227524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1227527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227557 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1227557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1227560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227579 */     // GIR_Coverage, 19748,
     /* 1227579 */     GIR_EraseRootFromParent_Done,
     /* 1227580 */   // Label 17760: @1227580
     /* 1227580 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227661), // Rule ID 19749 //
     /* 1227585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1227596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1227599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1227605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1227608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1227638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1227641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227660 */     // GIR_Coverage, 19749,
     /* 1227660 */     GIR_EraseRootFromParent_Done,
     /* 1227661 */   // Label 17761: @1227661
     /* 1227661 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227742), // Rule ID 19752 //
     /* 1227666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1227677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1227680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1227683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1227686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227719 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1227719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1227722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227741 */     // GIR_Coverage, 19752,
     /* 1227741 */     GIR_EraseRootFromParent_Done,
     /* 1227742 */   // Label 17762: @1227742
     /* 1227742 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227823), // Rule ID 19753 //
     /* 1227747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1227758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1227761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1227764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1227767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1227800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1227803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227822 */     // GIR_Coverage, 19753,
     /* 1227822 */     GIR_EraseRootFromParent_Done,
     /* 1227823 */   // Label 17763: @1227823
     /* 1227823 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227904), // Rule ID 19756 //
     /* 1227828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1227845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1227881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1227884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227903 */     // GIR_Coverage, 19756,
     /* 1227903 */     GIR_EraseRootFromParent_Done,
     /* 1227904 */   // Label 17764: @1227904
     /* 1227904 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227985), // Rule ID 19757 //
     /* 1227909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1227926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1227929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1227962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1227965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227984 */     // GIR_Coverage, 19757,
     /* 1227984 */     GIR_EraseRootFromParent_Done,
     /* 1227985 */   // Label 17765: @1227985
     /* 1227985 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1228066), // Rule ID 19760 //
     /* 1227990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1227998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228043 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1228043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1228046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228065 */     // GIR_Coverage, 19760,
     /* 1228065 */     GIR_EraseRootFromParent_Done,
     /* 1228066 */   // Label 17766: @1228066
     /* 1228066 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1228147), // Rule ID 19761 //
     /* 1228071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1228124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1228127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228146 */     // GIR_Coverage, 19761,
     /* 1228146 */     GIR_EraseRootFromParent_Done,
     /* 1228147 */   // Label 17767: @1228147
     /* 1228147 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1228228), // Rule ID 19764 //
     /* 1228152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1228155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1228169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228205 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1228205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1228208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228227 */     // GIR_Coverage, 19764,
     /* 1228227 */     GIR_EraseRootFromParent_Done,
     /* 1228228 */   // Label 17768: @1228228
     /* 1228228 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228309), // Rule ID 19765 //
     /* 1228233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1228236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1228250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228286 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1228286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1228289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228308 */     // GIR_Coverage, 19765,
     /* 1228308 */     GIR_EraseRootFromParent_Done,
     /* 1228309 */   // Label 17769: @1228309
     /* 1228309 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228390), // Rule ID 19768 //
     /* 1228314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1228325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1228328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1228334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1228337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1228370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228389 */     // GIR_Coverage, 19768,
     /* 1228389 */     GIR_EraseRootFromParent_Done,
     /* 1228390 */   // Label 17770: @1228390
     /* 1228390 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228471), // Rule ID 19769 //
     /* 1228395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1228406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1228409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1228415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1228418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1228451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228470 */     // GIR_Coverage, 19769,
     /* 1228470 */     GIR_EraseRootFromParent_Done,
     /* 1228471 */   // Label 17771: @1228471
     /* 1228471 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228552), // Rule ID 19772 //
     /* 1228476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1228487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1228490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1228496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1228499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228529 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1228532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228551 */     // GIR_Coverage, 19772,
     /* 1228551 */     GIR_EraseRootFromParent_Done,
     /* 1228552 */   // Label 17772: @1228552
     /* 1228552 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228633), // Rule ID 19773 //
     /* 1228557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1228568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1228571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1228577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1228580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228610 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1228613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228632 */     // GIR_Coverage, 19773,
     /* 1228632 */     GIR_EraseRootFromParent_Done,
     /* 1228633 */   // Label 17773: @1228633
     /* 1228633 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228714), // Rule ID 19776 //
     /* 1228638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1228641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1228649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1228652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1228658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1228661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1228694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228713 */     // GIR_Coverage, 19776,
     /* 1228713 */     GIR_EraseRootFromParent_Done,
     /* 1228714 */   // Label 17774: @1228714
     /* 1228714 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228795), // Rule ID 19777 //
     /* 1228719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1228722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1228730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1228733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1228739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1228742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1228775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228794 */     // GIR_Coverage, 19777,
     /* 1228794 */     GIR_EraseRootFromParent_Done,
     /* 1228795 */   // Label 17775: @1228795
     /* 1228795 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228876), // Rule ID 19780 //
     /* 1228800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1228811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1228814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1228820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1228853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1228856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228875 */     // GIR_Coverage, 19780,
     /* 1228875 */     GIR_EraseRootFromParent_Done,
     /* 1228876 */   // Label 17776: @1228876
     /* 1228876 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228957), // Rule ID 19781 //
     /* 1228881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1228892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1228895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1228901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1228934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1228937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228956 */     // GIR_Coverage, 19781,
     /* 1228956 */     GIR_EraseRootFromParent_Done,
     /* 1228957 */   // Label 17777: @1228957
     /* 1228957 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1229038), // Rule ID 19784 //
     /* 1228962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1228970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1228973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1228976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1228982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1228985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229015 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1229015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1229018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229037 */     // GIR_Coverage, 19784,
     /* 1229037 */     GIR_EraseRootFromParent_Done,
     /* 1229038 */   // Label 17778: @1229038
     /* 1229038 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1229119), // Rule ID 19785 //
     /* 1229043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1229054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1229057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1229063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1229096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1229099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229118 */     // GIR_Coverage, 19785,
     /* 1229118 */     GIR_EraseRootFromParent_Done,
     /* 1229119 */   // Label 17779: @1229119
     /* 1229119 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1229200), // Rule ID 19788 //
     /* 1229124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1229127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1229135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1229138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1229144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1229147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1229177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1229180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229199 */     // GIR_Coverage, 19788,
     /* 1229199 */     GIR_EraseRootFromParent_Done,
     /* 1229200 */   // Label 17780: @1229200
     /* 1229200 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229281), // Rule ID 19789 //
     /* 1229205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1229208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1229216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1229219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1229225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1229228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1229258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1229261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229280 */     // GIR_Coverage, 19789,
     /* 1229280 */     GIR_EraseRootFromParent_Done,
     /* 1229281 */   // Label 17781: @1229281
     /* 1229281 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229362), // Rule ID 19792 //
     /* 1229286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1229289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1229297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1229300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1229303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1229306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229339 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1229339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1229342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229361 */     // GIR_Coverage, 19792,
     /* 1229361 */     GIR_EraseRootFromParent_Done,
     /* 1229362 */   // Label 17782: @1229362
     /* 1229362 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229443), // Rule ID 19793 //
     /* 1229367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1229370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1229378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1229381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1229384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1229387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1229420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1229423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229442 */     // GIR_Coverage, 19793,
     /* 1229442 */     GIR_EraseRootFromParent_Done,
     /* 1229443 */   // Label 17783: @1229443
     /* 1229443 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229524), // Rule ID 19796 //
     /* 1229448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1229451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1229459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1229462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1229465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1229468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229501 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1229501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1229504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229523 */     // GIR_Coverage, 19796,
     /* 1229523 */     GIR_EraseRootFromParent_Done,
     /* 1229524 */   // Label 17784: @1229524
     /* 1229524 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229605), // Rule ID 19797 //
     /* 1229529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1229532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1229540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1229543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1229546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1229549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1229582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1229585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229604 */     // GIR_Coverage, 19797,
     /* 1229604 */     GIR_EraseRootFromParent_Done,
     /* 1229605 */   // Label 17785: @1229605
     /* 1229605 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229686), // Rule ID 19800 //
     /* 1229610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1229613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1229621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1229624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1229627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1229630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1229663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1229666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229685 */     // GIR_Coverage, 19800,
     /* 1229685 */     GIR_EraseRootFromParent_Done,
     /* 1229686 */   // Label 17786: @1229686
     /* 1229686 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229767), // Rule ID 19801 //
     /* 1229691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1229694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1229702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1229705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1229708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1229711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1229744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1229747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229766 */     // GIR_Coverage, 19801,
     /* 1229766 */     GIR_EraseRootFromParent_Done,
     /* 1229767 */   // Label 17787: @1229767
     /* 1229767 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229848), // Rule ID 19804 //
     /* 1229772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1229825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1229828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229847 */     // GIR_Coverage, 19804,
     /* 1229847 */     GIR_EraseRootFromParent_Done,
     /* 1229848 */   // Label 17788: @1229848
     /* 1229848 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229929), // Rule ID 19805 //
     /* 1229853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1229856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229906 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1229906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1229909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229928 */     // GIR_Coverage, 19805,
     /* 1229928 */     GIR_EraseRootFromParent_Done,
     /* 1229929 */   // Label 17789: @1229929
     /* 1229929 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1230010), // Rule ID 19808 //
     /* 1229934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1229937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1229942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1229945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1229948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229987 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1229987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1229990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230009 */     // GIR_Coverage, 19808,
     /* 1230009 */     GIR_EraseRootFromParent_Done,
     /* 1230010 */   // Label 17790: @1230010
     /* 1230010 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1230091), // Rule ID 19809 //
     /* 1230015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1230026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1230029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1230071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230090 */     // GIR_Coverage, 19809,
     /* 1230090 */     GIR_EraseRootFromParent_Done,
     /* 1230091 */   // Label 17791: @1230091
     /* 1230091 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1230172), // Rule ID 19812 //
     /* 1230096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1230107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1230149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1230152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230171 */     // GIR_Coverage, 19812,
     /* 1230171 */     GIR_EraseRootFromParent_Done,
     /* 1230172 */   // Label 17792: @1230172
     /* 1230172 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1230253), // Rule ID 19813 //
     /* 1230177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1230188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230230 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1230230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1230233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230252 */     // GIR_Coverage, 19813,
     /* 1230252 */     GIR_EraseRootFromParent_Done,
     /* 1230253 */   // Label 17793: @1230253
     /* 1230253 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230334), // Rule ID 19816 //
     /* 1230258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1230269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1230272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1230275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230311 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1230314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230333 */     // GIR_Coverage, 19816,
     /* 1230333 */     GIR_EraseRootFromParent_Done,
     /* 1230334 */   // Label 17794: @1230334
     /* 1230334 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230415), // Rule ID 19817 //
     /* 1230339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1230350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1230353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1230356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1230395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230414 */     // GIR_Coverage, 19817,
     /* 1230414 */     GIR_EraseRootFromParent_Done,
     /* 1230415 */   // Label 17795: @1230415
     /* 1230415 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230496), // Rule ID 19820 //
     /* 1230420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1230431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1230434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1230473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1230476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230495 */     // GIR_Coverage, 19820,
     /* 1230495 */     GIR_EraseRootFromParent_Done,
     /* 1230496 */   // Label 17796: @1230496
     /* 1230496 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230577), // Rule ID 19821 //
     /* 1230501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1230512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1230515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1230554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1230557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230576 */     // GIR_Coverage, 19821,
     /* 1230576 */     GIR_EraseRootFromParent_Done,
     /* 1230577 */   // Label 17797: @1230577
     /* 1230577 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230658), // Rule ID 19824 //
     /* 1230582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1230585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1230593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1230599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1230624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1230635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1230638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230657 */     // GIR_Coverage, 19824,
     /* 1230657 */     GIR_EraseRootFromParent_Done,
     /* 1230658 */   // Label 17798: @1230658
     /* 1230658 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230739), // Rule ID 19825 //
     /* 1230663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1230666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1230674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1230680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1230705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1230716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1230719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230738 */     // GIR_Coverage, 19825,
     /* 1230738 */     GIR_EraseRootFromParent_Done,
     /* 1230739 */   // Label 17799: @1230739
     /* 1230739 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230820), // Rule ID 19828 //
     /* 1230744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1230755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1230758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1230761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1230800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230819 */     // GIR_Coverage, 19828,
     /* 1230819 */     GIR_EraseRootFromParent_Done,
     /* 1230820 */   // Label 17800: @1230820
     /* 1230820 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230901), // Rule ID 19829 //
     /* 1230825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1230836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1230839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1230842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1230881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230900 */     // GIR_Coverage, 19829,
     /* 1230900 */     GIR_EraseRootFromParent_Done,
     /* 1230901 */   // Label 17801: @1230901
     /* 1230901 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230982), // Rule ID 19832 //
     /* 1230906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1230920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1230923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1230926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1230962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230981 */     // GIR_Coverage, 19832,
     /* 1230981 */     GIR_EraseRootFromParent_Done,
     /* 1230982 */   // Label 17802: @1230982
     /* 1230982 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1231063), // Rule ID 19833 //
     /* 1230987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1230995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1231001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1231007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1231029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231062 */     // GIR_Coverage, 19833,
     /* 1231062 */     GIR_EraseRootFromParent_Done,
     /* 1231063 */   // Label 17803: @1231063
     /* 1231063 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1231144), // Rule ID 19836 //
     /* 1231068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1231079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1231082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1231088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1231110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231121 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1231124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231143 */     // GIR_Coverage, 19836,
     /* 1231143 */     GIR_EraseRootFromParent_Done,
     /* 1231144 */   // Label 17804: @1231144
     /* 1231144 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1231225), // Rule ID 19837 //
     /* 1231149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1231160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1231163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1231169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1231191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231202 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1231205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231224 */     // GIR_Coverage, 19837,
     /* 1231224 */     GIR_EraseRootFromParent_Done,
     /* 1231225 */   // Label 17805: @1231225
     /* 1231225 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231306), // Rule ID 19840 //
     /* 1231230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1231286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231305 */     // GIR_Coverage, 19840,
     /* 1231305 */     GIR_EraseRootFromParent_Done,
     /* 1231306 */   // Label 17806: @1231306
     /* 1231306 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231387), // Rule ID 19841 //
     /* 1231311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1231367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231386 */     // GIR_Coverage, 19841,
     /* 1231386 */     GIR_EraseRootFromParent_Done,
     /* 1231387 */   // Label 17807: @1231387
     /* 1231387 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231468), // Rule ID 19844 //
     /* 1231392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1231403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1231406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231445 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1231448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231467 */     // GIR_Coverage, 19844,
     /* 1231467 */     GIR_EraseRootFromParent_Done,
     /* 1231468 */   // Label 17808: @1231468
     /* 1231468 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231549), // Rule ID 19845 //
     /* 1231473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1231484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1231487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1231529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231548 */     // GIR_Coverage, 19845,
     /* 1231548 */     GIR_EraseRootFromParent_Done,
     /* 1231549 */   // Label 17809: @1231549
     /* 1231549 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231630), // Rule ID 19848 //
     /* 1231554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1231565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1231568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231607 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1231610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231629 */     // GIR_Coverage, 19848,
     /* 1231629 */     GIR_EraseRootFromParent_Done,
     /* 1231630 */   // Label 17810: @1231630
     /* 1231630 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231711), // Rule ID 19849 //
     /* 1231635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1231646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1231649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1231677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1231691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231710 */     // GIR_Coverage, 19849,
     /* 1231710 */     GIR_EraseRootFromParent_Done,
     /* 1231711 */   // Label 17811: @1231711
     /* 1231711 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231792), // Rule ID 19852 //
     /* 1231716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1231719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1231727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1231730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1231733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1231758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1231769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1231772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231791 */     // GIR_Coverage, 19852,
     /* 1231791 */     GIR_EraseRootFromParent_Done,
     /* 1231792 */   // Label 17812: @1231792
     /* 1231792 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231873), // Rule ID 19853 //
     /* 1231797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1231800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1231808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1231811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1231814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1231839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1231850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1231853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231872 */     // GIR_Coverage, 19853,
     /* 1231872 */     GIR_EraseRootFromParent_Done,
     /* 1231873 */   // Label 17813: @1231873
     /* 1231873 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231954), // Rule ID 19856 //
     /* 1231878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1231881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1231895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1231920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231931 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1231931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1231934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231953 */     // GIR_Coverage, 19856,
     /* 1231953 */     GIR_EraseRootFromParent_Done,
     /* 1231954 */   // Label 17814: @1231954
     /* 1231954 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1232035), // Rule ID 19857 //
     /* 1231959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1231962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1231967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1231976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1232001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1232015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232034 */     // GIR_Coverage, 19857,
     /* 1232034 */     GIR_EraseRootFromParent_Done,
     /* 1232035 */   // Label 17815: @1232035
     /* 1232035 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1232116), // Rule ID 19860 //
     /* 1232040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1232043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1232048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1232051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1232054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1232082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1232096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232115 */     // GIR_Coverage, 19860,
     /* 1232115 */     GIR_EraseRootFromParent_Done,
     /* 1232116 */   // Label 17816: @1232116
     /* 1232116 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1232197), // Rule ID 19861 //
     /* 1232121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1232124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1232129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1232132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1232135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1232163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1232177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232196 */     // GIR_Coverage, 19861,
     /* 1232196 */     GIR_EraseRootFromParent_Done,
     /* 1232197 */   // Label 17817: @1232197
     /* 1232197 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1232278), // Rule ID 19864 //
     /* 1232202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232255 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1232258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232277 */     // GIR_Coverage, 19864,
     /* 1232277 */     GIR_EraseRootFromParent_Done,
     /* 1232278 */   // Label 17818: @1232278
     /* 1232278 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232359), // Rule ID 19865 //
     /* 1232283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1232303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1232339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232358 */     // GIR_Coverage, 19865,
     /* 1232358 */     GIR_EraseRootFromParent_Done,
     /* 1232359 */   // Label 17819: @1232359
     /* 1232359 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232440), // Rule ID 19868 //
     /* 1232364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1232420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232439 */     // GIR_Coverage, 19868,
     /* 1232439 */     GIR_EraseRootFromParent_Done,
     /* 1232440 */   // Label 17820: @1232440
     /* 1232440 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232521), // Rule ID 19869 //
     /* 1232445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1232462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1232465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1232501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232520 */     // GIR_Coverage, 19869,
     /* 1232520 */     GIR_EraseRootFromParent_Done,
     /* 1232521 */   // Label 17821: @1232521
     /* 1232521 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232602), // Rule ID 19872 //
     /* 1232526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1232582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232601 */     // GIR_Coverage, 19872,
     /* 1232601 */     GIR_EraseRootFromParent_Done,
     /* 1232602 */   // Label 17822: @1232602
     /* 1232602 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232683), // Rule ID 19873 //
     /* 1232607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1232624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1232627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1232663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232682 */     // GIR_Coverage, 19873,
     /* 1232682 */     GIR_EraseRootFromParent_Done,
     /* 1232683 */   // Label 17823: @1232683
     /* 1232683 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232764), // Rule ID 19876 //
     /* 1232688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1232744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232763 */     // GIR_Coverage, 19876,
     /* 1232763 */     GIR_EraseRootFromParent_Done,
     /* 1232764 */   // Label 17824: @1232764
     /* 1232764 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232845), // Rule ID 19877 //
     /* 1232769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1232772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1232786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1232825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232844 */     // GIR_Coverage, 19877,
     /* 1232844 */     GIR_EraseRootFromParent_Done,
     /* 1232845 */   // Label 17825: @1232845
     /* 1232845 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232926), // Rule ID 19880 //
     /* 1232850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1232906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232925 */     // GIR_Coverage, 19880,
     /* 1232925 */     GIR_EraseRootFromParent_Done,
     /* 1232926 */   // Label 17826: @1232926
     /* 1232926 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1233007), // Rule ID 19881 //
     /* 1232931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1232939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1232948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1232987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233006 */     // GIR_Coverage, 19881,
     /* 1233006 */     GIR_EraseRootFromParent_Done,
     /* 1233007 */   // Label 17827: @1233007
     /* 1233007 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1233088), // Rule ID 19884 //
     /* 1233012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1233015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1233068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233087 */     // GIR_Coverage, 19884,
     /* 1233087 */     GIR_EraseRootFromParent_Done,
     /* 1233088 */   // Label 17828: @1233088
     /* 1233088 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1233169), // Rule ID 19885 //
     /* 1233093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1233096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1233149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233168 */     // GIR_Coverage, 19885,
     /* 1233168 */     GIR_EraseRootFromParent_Done,
     /* 1233169 */   // Label 17829: @1233169
     /* 1233169 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1233250), // Rule ID 19888 //
     /* 1233174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233227 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1233230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233249 */     // GIR_Coverage, 19888,
     /* 1233249 */     GIR_EraseRootFromParent_Done,
     /* 1233250 */   // Label 17830: @1233250
     /* 1233250 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233331), // Rule ID 19889 //
     /* 1233255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1233275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1233311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233330 */     // GIR_Coverage, 19889,
     /* 1233330 */     GIR_EraseRootFromParent_Done,
     /* 1233331 */   // Label 17831: @1233331
     /* 1233331 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233412), // Rule ID 19892 //
     /* 1233336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1233347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1233350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1233392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233411 */     // GIR_Coverage, 19892,
     /* 1233411 */     GIR_EraseRootFromParent_Done,
     /* 1233412 */   // Label 17832: @1233412
     /* 1233412 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233493), // Rule ID 19893 //
     /* 1233417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1233428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1233431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1233434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1233437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233470 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1233473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233492 */     // GIR_Coverage, 19893,
     /* 1233492 */     GIR_EraseRootFromParent_Done,
     /* 1233493 */   // Label 17833: @1233493
     /* 1233493 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233574), // Rule ID 19896 //
     /* 1233498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1233509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1233512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1233518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233551 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1233554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233573 */     // GIR_Coverage, 19896,
     /* 1233573 */     GIR_EraseRootFromParent_Done,
     /* 1233574 */   // Label 17834: @1233574
     /* 1233574 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233655), // Rule ID 19897 //
     /* 1233579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1233590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1233593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1233596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1233599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1233602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233632 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1233635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233654 */     // GIR_Coverage, 19897,
     /* 1233654 */     GIR_EraseRootFromParent_Done,
     /* 1233655 */   // Label 17835: @1233655
     /* 1233655 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233736), // Rule ID 19900 //
     /* 1233660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1233671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1233674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1233680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1233716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233735 */     // GIR_Coverage, 19900,
     /* 1233735 */     GIR_EraseRootFromParent_Done,
     /* 1233736 */   // Label 17836: @1233736
     /* 1233736 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233817), // Rule ID 19901 //
     /* 1233741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1233752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1233755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1233761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233794 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1233797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233816 */     // GIR_Coverage, 19901,
     /* 1233816 */     GIR_EraseRootFromParent_Done,
     /* 1233817 */   // Label 17837: @1233817
     /* 1233817 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233898), // Rule ID 19904 //
     /* 1233822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1233842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233875 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1233878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233897 */     // GIR_Coverage, 19904,
     /* 1233897 */     GIR_EraseRootFromParent_Done,
     /* 1233898 */   // Label 17838: @1233898
     /* 1233898 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233979), // Rule ID 19905 //
     /* 1233903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1233923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1233959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233978 */     // GIR_Coverage, 19905,
     /* 1233978 */     GIR_EraseRootFromParent_Done,
     /* 1233979 */   // Label 17839: @1233979
     /* 1233979 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1234060), // Rule ID 19908 //
     /* 1233984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1233992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1233995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1233998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1234040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234059 */     // GIR_Coverage, 19908,
     /* 1234059 */     GIR_EraseRootFromParent_Done,
     /* 1234060 */   // Label 17840: @1234060
     /* 1234060 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1234141), // Rule ID 19909 //
     /* 1234065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1234076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1234079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1234085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1234121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234140 */     // GIR_Coverage, 19909,
     /* 1234140 */     GIR_EraseRootFromParent_Done,
     /* 1234141 */   // Label 17841: @1234141
     /* 1234141 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1234222), // Rule ID 19912 //
     /* 1234146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1234149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1234157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1234160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234199 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1234202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234221 */     // GIR_Coverage, 19912,
     /* 1234221 */     GIR_EraseRootFromParent_Done,
     /* 1234222 */   // Label 17842: @1234222
     /* 1234222 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234303), // Rule ID 19913 //
     /* 1234227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1234230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1234238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1234241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1234247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1234283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234302 */     // GIR_Coverage, 19913,
     /* 1234302 */     GIR_EraseRootFromParent_Done,
     /* 1234303 */   // Label 17843: @1234303
     /* 1234303 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234384), // Rule ID 19916 //
     /* 1234308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1234311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1234319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1234322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234361 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1234364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234383 */     // GIR_Coverage, 19916,
     /* 1234383 */     GIR_EraseRootFromParent_Done,
     /* 1234384 */   // Label 17844: @1234384
     /* 1234384 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234465), // Rule ID 19917 //
     /* 1234389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1234392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1234400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1234403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1234406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1234409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1234445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234464 */     // GIR_Coverage, 19917,
     /* 1234464 */     GIR_EraseRootFromParent_Done,
     /* 1234465 */   // Label 17845: @1234465
     /* 1234465 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234546), // Rule ID 19920 //
     /* 1234470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1234473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1234481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1234484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1234487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1234490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234523 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1234526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234545 */     // GIR_Coverage, 19920,
     /* 1234545 */     GIR_EraseRootFromParent_Done,
     /* 1234546 */   // Label 17846: @1234546
     /* 1234546 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234627), // Rule ID 19921 //
     /* 1234551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1234554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1234562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1234565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1234568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1234571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1234607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234626 */     // GIR_Coverage, 19921,
     /* 1234626 */     GIR_EraseRootFromParent_Done,
     /* 1234627 */   // Label 17847: @1234627
     /* 1234627 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234708), // Rule ID 19924 //
     /* 1234632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1234635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1234643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1234646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1234649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1234652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1234674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1234688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234707 */     // GIR_Coverage, 19924,
     /* 1234707 */     GIR_EraseRootFromParent_Done,
     /* 1234708 */   // Label 17848: @1234708
     /* 1234708 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234789), // Rule ID 19925 //
     /* 1234713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1234716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1234724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1234727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1234730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1234733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1234755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234766 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1234769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234788 */     // GIR_Coverage, 19925,
     /* 1234788 */     GIR_EraseRootFromParent_Done,
     /* 1234789 */   // Label 17849: @1234789
     /* 1234789 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234870), // Rule ID 19928 //
     /* 1234794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1234797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1234805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1234808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1234811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1234814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1234836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1234850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234869 */     // GIR_Coverage, 19928,
     /* 1234869 */     GIR_EraseRootFromParent_Done,
     /* 1234870 */   // Label 17850: @1234870
     /* 1234870 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234951), // Rule ID 19929 //
     /* 1234875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1234878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1234886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1234889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1234892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1234895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1234917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1234931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234950 */     // GIR_Coverage, 19929,
     /* 1234950 */     GIR_EraseRootFromParent_Done,
     /* 1234951 */   // Label 17851: @1234951
     /* 1234951 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1235032), // Rule ID 19932 //
     /* 1234956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1234964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1234967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1234970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1234998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1235012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235031 */     // GIR_Coverage, 19932,
     /* 1235031 */     GIR_EraseRootFromParent_Done,
     /* 1235032 */   // Label 17852: @1235032
     /* 1235032 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1235113), // Rule ID 19933 //
     /* 1235037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1235040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235090 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1235093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235112 */     // GIR_Coverage, 19933,
     /* 1235112 */     GIR_EraseRootFromParent_Done,
     /* 1235113 */   // Label 17853: @1235113
     /* 1235113 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1235194), // Rule ID 19936 //
     /* 1235118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1235129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1235132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235171 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1235174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235193 */     // GIR_Coverage, 19936,
     /* 1235193 */     GIR_EraseRootFromParent_Done,
     /* 1235194 */   // Label 17854: @1235194
     /* 1235194 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1235275), // Rule ID 19937 //
     /* 1235199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1235210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1235213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1235255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235274 */     // GIR_Coverage, 19937,
     /* 1235274 */     GIR_EraseRootFromParent_Done,
     /* 1235275 */   // Label 17855: @1235275
     /* 1235275 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235356), // Rule ID 19940 //
     /* 1235280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1235283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1235291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1235294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1235336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235355 */     // GIR_Coverage, 19940,
     /* 1235355 */     GIR_EraseRootFromParent_Done,
     /* 1235356 */   // Label 17856: @1235356
     /* 1235356 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235437), // Rule ID 19941 //
     /* 1235361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1235364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1235372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1235375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1235403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1235417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235436 */     // GIR_Coverage, 19941,
     /* 1235436 */     GIR_EraseRootFromParent_Done,
     /* 1235437 */   // Label 17857: @1235437
     /* 1235437 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235518), // Rule ID 19944 //
     /* 1235442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1235445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1235459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1235484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1235498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235517 */     // GIR_Coverage, 19944,
     /* 1235517 */     GIR_EraseRootFromParent_Done,
     /* 1235518 */   // Label 17858: @1235518
     /* 1235518 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235599), // Rule ID 19945 //
     /* 1235523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1235526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1235534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1235537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1235540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1235565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1235579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235598 */     // GIR_Coverage, 19945,
     /* 1235598 */     GIR_EraseRootFromParent_Done,
     /* 1235599 */   // Label 17859: @1235599
     /* 1235599 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235680), // Rule ID 19948 //
     /* 1235604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1235615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1235618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1235621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1235660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235679 */     // GIR_Coverage, 19948,
     /* 1235679 */     GIR_EraseRootFromParent_Done,
     /* 1235680 */   // Label 17860: @1235680
     /* 1235680 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235761), // Rule ID 19949 //
     /* 1235685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1235696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1235699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1235702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1235741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235760 */     // GIR_Coverage, 19949,
     /* 1235760 */     GIR_EraseRootFromParent_Done,
     /* 1235761 */   // Label 17861: @1235761
     /* 1235761 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235842), // Rule ID 19952 //
     /* 1235766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1235777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1235780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235819 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1235822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235841 */     // GIR_Coverage, 19952,
     /* 1235841 */     GIR_EraseRootFromParent_Done,
     /* 1235842 */   // Label 17862: @1235842
     /* 1235842 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235923), // Rule ID 19953 //
     /* 1235847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1235858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1235861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1235903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235922 */     // GIR_Coverage, 19953,
     /* 1235922 */     GIR_EraseRootFromParent_Done,
     /* 1235923 */   // Label 17863: @1235923
     /* 1235923 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1236004), // Rule ID 19956 //
     /* 1235928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1235936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1235939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1235942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1235945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1235948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1235970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235981 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1235984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236003 */     // GIR_Coverage, 19956,
     /* 1236003 */     GIR_EraseRootFromParent_Done,
     /* 1236004 */   // Label 17864: @1236004
     /* 1236004 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1236085), // Rule ID 19957 //
     /* 1236009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1236012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1236020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1236023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1236029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1236051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236062 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1236065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236084 */     // GIR_Coverage, 19957,
     /* 1236084 */     GIR_EraseRootFromParent_Done,
     /* 1236085 */   // Label 17865: @1236085
     /* 1236085 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1236166), // Rule ID 19960 //
     /* 1236090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1236146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236165 */     // GIR_Coverage, 19960,
     /* 1236165 */     GIR_EraseRootFromParent_Done,
     /* 1236166 */   // Label 17866: @1236166
     /* 1236166 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1236247), // Rule ID 19961 //
     /* 1236171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1236227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236246 */     // GIR_Coverage, 19961,
     /* 1236246 */     GIR_EraseRootFromParent_Done,
     /* 1236247 */   // Label 17867: @1236247
     /* 1236247 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236328), // Rule ID 19964 //
     /* 1236252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236305 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1236308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236327 */     // GIR_Coverage, 19964,
     /* 1236327 */     GIR_EraseRootFromParent_Done,
     /* 1236328 */   // Label 17868: @1236328
     /* 1236328 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236409), // Rule ID 19965 //
     /* 1236333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1236389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236408 */     // GIR_Coverage, 19965,
     /* 1236408 */     GIR_EraseRootFromParent_Done,
     /* 1236409 */   // Label 17869: @1236409
     /* 1236409 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236490), // Rule ID 19968 //
     /* 1236414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1236425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1236428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236467 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1236470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236489 */     // GIR_Coverage, 19968,
     /* 1236489 */     GIR_EraseRootFromParent_Done,
     /* 1236490 */   // Label 17870: @1236490
     /* 1236490 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236571), // Rule ID 19969 //
     /* 1236495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1236506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1236509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1236537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1236551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236570 */     // GIR_Coverage, 19969,
     /* 1236570 */     GIR_EraseRootFromParent_Done,
     /* 1236571 */   // Label 17871: @1236571
     /* 1236571 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236652), // Rule ID 19972 //
     /* 1236576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1236579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1236587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1236590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1236593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1236618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1236632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236651 */     // GIR_Coverage, 19972,
     /* 1236651 */     GIR_EraseRootFromParent_Done,
     /* 1236652 */   // Label 17872: @1236652
     /* 1236652 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236733), // Rule ID 19973 //
     /* 1236657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1236660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1236668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1236671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1236674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1236699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236710 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1236713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236732 */     // GIR_Coverage, 19973,
     /* 1236732 */     GIR_EraseRootFromParent_Done,
     /* 1236733 */   // Label 17873: @1236733
     /* 1236733 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236814), // Rule ID 19976 //
     /* 1236738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1236741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1236755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1236780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236791 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1236794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236813 */     // GIR_Coverage, 19976,
     /* 1236813 */     GIR_EraseRootFromParent_Done,
     /* 1236814 */   // Label 17874: @1236814
     /* 1236814 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236895), // Rule ID 19977 //
     /* 1236819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1236822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1236836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1236861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1236875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236894 */     // GIR_Coverage, 19977,
     /* 1236894 */     GIR_EraseRootFromParent_Done,
     /* 1236895 */   // Label 17875: @1236895
     /* 1236895 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236976), // Rule ID 19980 //
     /* 1236900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1236903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1236942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1236956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236975 */     // GIR_Coverage, 19980,
     /* 1236975 */     GIR_EraseRootFromParent_Done,
     /* 1236976 */   // Label 17876: @1236976
     /* 1236976 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1237057), // Rule ID 19981 //
     /* 1236981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1236984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1236989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1237023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1237037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237056 */     // GIR_Coverage, 19981,
     /* 1237056 */     GIR_EraseRootFromParent_Done,
     /* 1237057 */   // Label 17877: @1237057
     /* 1237057 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1237138), // Rule ID 19984 //
     /* 1237062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1237082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1237118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237137 */     // GIR_Coverage, 19984,
     /* 1237137 */     GIR_EraseRootFromParent_Done,
     /* 1237138 */   // Label 17878: @1237138
     /* 1237138 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1237219), // Rule ID 19985 //
     /* 1237143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1237163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1237199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237218 */     // GIR_Coverage, 19985,
     /* 1237218 */     GIR_EraseRootFromParent_Done,
     /* 1237219 */   // Label 17879: @1237219
     /* 1237219 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237300), // Rule ID 19988 //
     /* 1237224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1237244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1237280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237299 */     // GIR_Coverage, 19988,
     /* 1237299 */     GIR_EraseRootFromParent_Done,
     /* 1237300 */   // Label 17880: @1237300
     /* 1237300 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237381), // Rule ID 19989 //
     /* 1237305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1237325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1237361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237380 */     // GIR_Coverage, 19989,
     /* 1237380 */     GIR_EraseRootFromParent_Done,
     /* 1237381 */   // Label 17881: @1237381
     /* 1237381 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237462), // Rule ID 19992 //
     /* 1237386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1237389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1237406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1237442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237461 */     // GIR_Coverage, 19992,
     /* 1237461 */     GIR_EraseRootFromParent_Done,
     /* 1237462 */   // Label 17882: @1237462
     /* 1237462 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237543), // Rule ID 19993 //
     /* 1237467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1237470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1237487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1237523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237542 */     // GIR_Coverage, 19993,
     /* 1237542 */     GIR_EraseRootFromParent_Done,
     /* 1237543 */   // Label 17883: @1237543
     /* 1237543 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237624), // Rule ID 19996 //
     /* 1237548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1237559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1237562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1237568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1237604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237623 */     // GIR_Coverage, 19996,
     /* 1237623 */     GIR_EraseRootFromParent_Done,
     /* 1237624 */   // Label 17884: @1237624
     /* 1237624 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237705), // Rule ID 19997 //
     /* 1237629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1237640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1237643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1237649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1237685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237704 */     // GIR_Coverage, 19997,
     /* 1237704 */     GIR_EraseRootFromParent_Done,
     /* 1237705 */   // Label 17885: @1237705
     /* 1237705 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237786), // Rule ID 20000 //
     /* 1237710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1237713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237763 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1237766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237785 */     // GIR_Coverage, 20000,
     /* 1237785 */     GIR_EraseRootFromParent_Done,
     /* 1237786 */   // Label 17886: @1237786
     /* 1237786 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237867), // Rule ID 20001 //
     /* 1237791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1237794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1237847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237866 */     // GIR_Coverage, 20001,
     /* 1237866 */     GIR_EraseRootFromParent_Done,
     /* 1237867 */   // Label 17887: @1237867
     /* 1237867 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237948), // Rule ID 20004 //
     /* 1237872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1237875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237925 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1237928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237947 */     // GIR_Coverage, 20004,
     /* 1237947 */     GIR_EraseRootFromParent_Done,
     /* 1237948 */   // Label 17888: @1237948
     /* 1237948 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1238029), // Rule ID 20005 //
     /* 1237953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1237956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1237961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238006 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1238009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238028 */     // GIR_Coverage, 20005,
     /* 1238028 */     GIR_EraseRootFromParent_Done,
     /* 1238029 */   // Label 17889: @1238029
     /* 1238029 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1238110), // Rule ID 20008 //
     /* 1238034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1238037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1238045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1238048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1238054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1238090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238109 */     // GIR_Coverage, 20008,
     /* 1238109 */     GIR_EraseRootFromParent_Done,
     /* 1238110 */   // Label 17890: @1238110
     /* 1238110 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1238191), // Rule ID 20009 //
     /* 1238115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1238118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1238126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1238129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1238135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1238171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238190 */     // GIR_Coverage, 20009,
     /* 1238190 */     GIR_EraseRootFromParent_Done,
     /* 1238191 */   // Label 17891: @1238191
     /* 1238191 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1238272), // Rule ID 20012 //
     /* 1238196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1238199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1238216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238249 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1238252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238271 */     // GIR_Coverage, 20012,
     /* 1238271 */     GIR_EraseRootFromParent_Done,
     /* 1238272 */   // Label 17892: @1238272
     /* 1238272 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238353), // Rule ID 20013 //
     /* 1238277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1238280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1238297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238330 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1238333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238352 */     // GIR_Coverage, 20013,
     /* 1238352 */     GIR_EraseRootFromParent_Done,
     /* 1238353 */   // Label 17893: @1238353
     /* 1238353 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238434), // Rule ID 20016 //
     /* 1238358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1238361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1238369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1238372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1238378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238411 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1238414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238433 */     // GIR_Coverage, 20016,
     /* 1238433 */     GIR_EraseRootFromParent_Done,
     /* 1238434 */   // Label 17894: @1238434
     /* 1238434 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238515), // Rule ID 20017 //
     /* 1238439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1238442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1238450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1238453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1238459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238492 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1238495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238514 */     // GIR_Coverage, 20017,
     /* 1238514 */     GIR_EraseRootFromParent_Done,
     /* 1238515 */   // Label 17895: @1238515
     /* 1238515 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238596), // Rule ID 20020 //
     /* 1238520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1238531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1238534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1238540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1238576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238595 */     // GIR_Coverage, 20020,
     /* 1238595 */     GIR_EraseRootFromParent_Done,
     /* 1238596 */   // Label 17896: @1238596
     /* 1238596 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238677), // Rule ID 20021 //
     /* 1238601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1238612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1238615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1238621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1238657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238676 */     // GIR_Coverage, 20021,
     /* 1238676 */     GIR_EraseRootFromParent_Done,
     /* 1238677 */   // Label 17897: @1238677
     /* 1238677 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238758), // Rule ID 20024 //
     /* 1238682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1238693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1238696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1238702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1238738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238757 */     // GIR_Coverage, 20024,
     /* 1238757 */     GIR_EraseRootFromParent_Done,
     /* 1238758 */   // Label 17898: @1238758
     /* 1238758 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238839), // Rule ID 20025 //
     /* 1238763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1238774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1238777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1238783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1238819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238838 */     // GIR_Coverage, 20025,
     /* 1238838 */     GIR_EraseRootFromParent_Done,
     /* 1238839 */   // Label 17899: @1238839
     /* 1238839 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238920), // Rule ID 20028 //
     /* 1238844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1238864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1238900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238919 */     // GIR_Coverage, 20028,
     /* 1238919 */     GIR_EraseRootFromParent_Done,
     /* 1238920 */   // Label 17900: @1238920
     /* 1238920 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1239001), // Rule ID 20029 //
     /* 1238925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1238933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1238945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1238981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239000 */     // GIR_Coverage, 20029,
     /* 1239000 */     GIR_EraseRootFromParent_Done,
     /* 1239001 */   // Label 17901: @1239001
     /* 1239001 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1239082), // Rule ID 20032 //
     /* 1239006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1239009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1239026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1239062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239081 */     // GIR_Coverage, 20032,
     /* 1239081 */     GIR_EraseRootFromParent_Done,
     /* 1239082 */   // Label 17902: @1239082
     /* 1239082 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1239163), // Rule ID 20033 //
     /* 1239087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1239090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1239107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1239143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239162 */     // GIR_Coverage, 20033,
     /* 1239162 */     GIR_EraseRootFromParent_Done,
     /* 1239163 */   // Label 17903: @1239163
     /* 1239163 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1239244), // Rule ID 20036 //
     /* 1239168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1239171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1239179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1239182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1239188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239221 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1239224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239243 */     // GIR_Coverage, 20036,
     /* 1239243 */     GIR_EraseRootFromParent_Done,
     /* 1239244 */   // Label 17904: @1239244
     /* 1239244 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239325), // Rule ID 20037 //
     /* 1239249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1239252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1239260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1239263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1239269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1239305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239324 */     // GIR_Coverage, 20037,
     /* 1239324 */     GIR_EraseRootFromParent_Done,
     /* 1239325 */   // Label 17905: @1239325
     /* 1239325 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239406), // Rule ID 20040 //
     /* 1239330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1239333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1239341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1239344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1239350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1239386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239405 */     // GIR_Coverage, 20040,
     /* 1239405 */     GIR_EraseRootFromParent_Done,
     /* 1239406 */   // Label 17906: @1239406
     /* 1239406 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239487), // Rule ID 20041 //
     /* 1239411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1239414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1239422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1239425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1239431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1239467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239486 */     // GIR_Coverage, 20041,
     /* 1239486 */     GIR_EraseRootFromParent_Done,
     /* 1239487 */   // Label 17907: @1239487
     /* 1239487 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239568), // Rule ID 20044 //
     /* 1239492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1239495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1239503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1239506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1239512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1239534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239545 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1239548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239567 */     // GIR_Coverage, 20044,
     /* 1239567 */     GIR_EraseRootFromParent_Done,
     /* 1239568 */   // Label 17908: @1239568
     /* 1239568 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239649), // Rule ID 20045 //
     /* 1239573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1239576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1239584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1239587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1239590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1239593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1239615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1239629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239648 */     // GIR_Coverage, 20045,
     /* 1239648 */     GIR_EraseRootFromParent_Done,
     /* 1239649 */   // Label 17909: @1239649
     /* 1239649 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239730), // Rule ID 20048 //
     /* 1239654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1239657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1239674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1239696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1239710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239729 */     // GIR_Coverage, 20048,
     /* 1239729 */     GIR_EraseRootFromParent_Done,
     /* 1239730 */   // Label 17910: @1239730
     /* 1239730 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239811), // Rule ID 20049 //
     /* 1239735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1239738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1239752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1239755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1239777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1239791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239810 */     // GIR_Coverage, 20049,
     /* 1239810 */     GIR_EraseRootFromParent_Done,
     /* 1239811 */   // Label 17911: @1239811
     /* 1239811 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239892), // Rule ID 20052 //
     /* 1239816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1239819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1239827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1239830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239869 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1239872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239891 */     // GIR_Coverage, 20052,
     /* 1239891 */     GIR_EraseRootFromParent_Done,
     /* 1239892 */   // Label 17912: @1239892
     /* 1239892 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239973), // Rule ID 20053 //
     /* 1239897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1239900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1239908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1239911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239950 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1239953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239972 */     // GIR_Coverage, 20053,
     /* 1239972 */     GIR_EraseRootFromParent_Done,
     /* 1239973 */   // Label 17913: @1239973
     /* 1239973 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1240054), // Rule ID 20056 //
     /* 1239978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1239981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1239986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1239989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1239992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1239995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1239998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1240034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240053 */     // GIR_Coverage, 20056,
     /* 1240053 */     GIR_EraseRootFromParent_Done,
     /* 1240054 */   // Label 17914: @1240054
     /* 1240054 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1240135), // Rule ID 20057 //
     /* 1240059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1240062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1240115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240134 */     // GIR_Coverage, 20057,
     /* 1240134 */     GIR_EraseRootFromParent_Done,
     /* 1240135 */   // Label 17915: @1240135
     /* 1240135 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1240216), // Rule ID 20060 //
     /* 1240140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1240143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1240196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240215 */     // GIR_Coverage, 20060,
     /* 1240215 */     GIR_EraseRootFromParent_Done,
     /* 1240216 */   // Label 17916: @1240216
     /* 1240216 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240297), // Rule ID 20061 //
     /* 1240221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1240224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1240238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1240277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240296 */     // GIR_Coverage, 20061,
     /* 1240296 */     GIR_EraseRootFromParent_Done,
     /* 1240297 */   // Label 17917: @1240297
     /* 1240297 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240378), // Rule ID 20064 //
     /* 1240302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1240305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1240344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1240358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240377 */     // GIR_Coverage, 20064,
     /* 1240377 */     GIR_EraseRootFromParent_Done,
     /* 1240378 */   // Label 17918: @1240378
     /* 1240378 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240459), // Rule ID 20065 //
     /* 1240383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1240386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1240400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1240425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1240439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240458 */     // GIR_Coverage, 20065,
     /* 1240458 */     GIR_EraseRootFromParent_Done,
     /* 1240459 */   // Label 17919: @1240459
     /* 1240459 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240540), // Rule ID 20068 //
     /* 1240464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1240467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1240520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240539 */     // GIR_Coverage, 20068,
     /* 1240539 */     GIR_EraseRootFromParent_Done,
     /* 1240540 */   // Label 17920: @1240540
     /* 1240540 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240621), // Rule ID 20069 //
     /* 1240545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1240548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1240601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240620 */     // GIR_Coverage, 20069,
     /* 1240620 */     GIR_EraseRootFromParent_Done,
     /* 1240621 */   // Label 17921: @1240621
     /* 1240621 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240702), // Rule ID 20072 //
     /* 1240626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1240629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1240637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1240640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240679 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1240682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240701 */     // GIR_Coverage, 20072,
     /* 1240701 */     GIR_EraseRootFromParent_Done,
     /* 1240702 */   // Label 17922: @1240702
     /* 1240702 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240783), // Rule ID 20073 //
     /* 1240707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1240710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1240718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1240721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1240724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1240763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240782 */     // GIR_Coverage, 20073,
     /* 1240782 */     GIR_EraseRootFromParent_Done,
     /* 1240783 */   // Label 17923: @1240783
     /* 1240783 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240864), // Rule ID 20076 //
     /* 1240788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1240791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1240799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1240802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1240805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240841 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1240841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1240844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240863 */     // GIR_Coverage, 20076,
     /* 1240863 */     GIR_EraseRootFromParent_Done,
     /* 1240864 */   // Label 17924: @1240864
     /* 1240864 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240945), // Rule ID 20077 //
     /* 1240869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1240872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1240880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1240883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1240886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1240889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1240892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1240911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1240925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240944 */     // GIR_Coverage, 20077,
     /* 1240944 */     GIR_EraseRootFromParent_Done,
     /* 1240945 */   // Label 17925: @1240945
     /* 1240945 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1241026), // Rule ID 20080 //
     /* 1240950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1240953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1240958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1241006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241025 */     // GIR_Coverage, 20080,
     /* 1241025 */     GIR_EraseRootFromParent_Done,
     /* 1241026 */   // Label 17926: @1241026
     /* 1241026 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1241107), // Rule ID 20081 //
     /* 1241031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1241034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1241042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1241045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1241048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1241087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241106 */     // GIR_Coverage, 20081,
     /* 1241106 */     GIR_EraseRootFromParent_Done,
     /* 1241107 */   // Label 17927: @1241107
     /* 1241107 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1241188), // Rule ID 20084 //
     /* 1241112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1241115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1241168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241187 */     // GIR_Coverage, 20084,
     /* 1241187 */     GIR_EraseRootFromParent_Done,
     /* 1241188 */   // Label 17928: @1241188
     /* 1241188 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1241269), // Rule ID 20085 //
     /* 1241193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1241196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1241210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241246 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1241249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241268 */     // GIR_Coverage, 20085,
     /* 1241268 */     GIR_EraseRootFromParent_Done,
     /* 1241269 */   // Label 17929: @1241269
     /* 1241269 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241350), // Rule ID 20088 //
     /* 1241274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1241277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1241285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1241288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241327 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1241330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241349 */     // GIR_Coverage, 20088,
     /* 1241349 */     GIR_EraseRootFromParent_Done,
     /* 1241350 */   // Label 17930: @1241350
     /* 1241350 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241431), // Rule ID 20089 //
     /* 1241355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1241358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1241366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1241369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1241372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1241411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241430 */     // GIR_Coverage, 20089,
     /* 1241430 */     GIR_EraseRootFromParent_Done,
     /* 1241431 */   // Label 17931: @1241431
     /* 1241431 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241512), // Rule ID 20092 //
     /* 1241436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1241439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1241492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241511 */     // GIR_Coverage, 20092,
     /* 1241511 */     GIR_EraseRootFromParent_Done,
     /* 1241512 */   // Label 17932: @1241512
     /* 1241512 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241593), // Rule ID 20093 //
     /* 1241517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1241520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1241534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1241573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241592 */     // GIR_Coverage, 20093,
     /* 1241592 */     GIR_EraseRootFromParent_Done,
     /* 1241593 */   // Label 17933: @1241593
     /* 1241593 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241674), // Rule ID 20096 //
     /* 1241598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1241601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1241609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1241612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241651 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1241654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241673 */     // GIR_Coverage, 20096,
     /* 1241673 */     GIR_EraseRootFromParent_Done,
     /* 1241674 */   // Label 17934: @1241674
     /* 1241674 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241755), // Rule ID 20097 //
     /* 1241679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1241682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1241690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1241693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1241696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1241735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241754 */     // GIR_Coverage, 20097,
     /* 1241754 */     GIR_EraseRootFromParent_Done,
     /* 1241755 */   // Label 17935: @1241755
     /* 1241755 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241836), // Rule ID 20100 //
     /* 1241760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1241763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1241777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1241813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1241816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241835 */     // GIR_Coverage, 20100,
     /* 1241835 */     GIR_EraseRootFromParent_Done,
     /* 1241836 */   // Label 17936: @1241836
     /* 1241836 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241917), // Rule ID 20101 //
     /* 1241841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1241844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1241849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1241858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1241883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1241897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241916 */     // GIR_Coverage, 20101,
     /* 1241916 */     GIR_EraseRootFromParent_Done,
     /* 1241917 */   // Label 17937: @1241917
     /* 1241917 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241998), // Rule ID 20104 //
     /* 1241922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1241925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1241930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1241942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1241964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1241978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241997 */     // GIR_Coverage, 20104,
     /* 1241997 */     GIR_EraseRootFromParent_Done,
     /* 1241998 */   // Label 17938: @1241998
     /* 1241998 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1242079), // Rule ID 20105 //
     /* 1242003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1242006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1242020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1242059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242078 */     // GIR_Coverage, 20105,
     /* 1242078 */     GIR_EraseRootFromParent_Done,
     /* 1242079 */   // Label 17939: @1242079
     /* 1242079 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1242160), // Rule ID 20108 //
     /* 1242084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1242087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1242140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242159 */     // GIR_Coverage, 20108,
     /* 1242159 */     GIR_EraseRootFromParent_Done,
     /* 1242160 */   // Label 17940: @1242160
     /* 1242160 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1242241), // Rule ID 20109 //
     /* 1242165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1242168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1242182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1242221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242240 */     // GIR_Coverage, 20109,
     /* 1242240 */     GIR_EraseRootFromParent_Done,
     /* 1242241 */   // Label 17941: @1242241
     /* 1242241 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242322), // Rule ID 20112 //
     /* 1242246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1242249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1242263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1242302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242321 */     // GIR_Coverage, 20112,
     /* 1242321 */     GIR_EraseRootFromParent_Done,
     /* 1242322 */   // Label 17942: @1242322
     /* 1242322 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242403), // Rule ID 20113 //
     /* 1242327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1242330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1242344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1242383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242402 */     // GIR_Coverage, 20113,
     /* 1242402 */     GIR_EraseRootFromParent_Done,
     /* 1242403 */   // Label 17943: @1242403
     /* 1242403 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242484), // Rule ID 20116 //
     /* 1242408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1242411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1242464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242483 */     // GIR_Coverage, 20116,
     /* 1242483 */     GIR_EraseRootFromParent_Done,
     /* 1242484 */   // Label 17944: @1242484
     /* 1242484 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242565), // Rule ID 20117 //
     /* 1242489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1242492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242542 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1242545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242564 */     // GIR_Coverage, 20117,
     /* 1242564 */     GIR_EraseRootFromParent_Done,
     /* 1242565 */   // Label 17945: @1242565
     /* 1242565 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242646), // Rule ID 20120 //
     /* 1242570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1242573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242623 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1242626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242645 */     // GIR_Coverage, 20120,
     /* 1242645 */     GIR_EraseRootFromParent_Done,
     /* 1242646 */   // Label 17946: @1242646
     /* 1242646 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242727), // Rule ID 20121 //
     /* 1242651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1242654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1242707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242726 */     // GIR_Coverage, 20121,
     /* 1242726 */     GIR_EraseRootFromParent_Done,
     /* 1242727 */   // Label 17947: @1242727
     /* 1242727 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242808), // Rule ID 20124 //
     /* 1242732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1242735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1242774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1242788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242807 */     // GIR_Coverage, 20124,
     /* 1242807 */     GIR_EraseRootFromParent_Done,
     /* 1242808 */   // Label 17948: @1242808
     /* 1242808 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242889), // Rule ID 20125 //
     /* 1242813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1242816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1242855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1242869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242888 */     // GIR_Coverage, 20125,
     /* 1242888 */     GIR_EraseRootFromParent_Done,
     /* 1242889 */   // Label 17949: @1242889
     /* 1242889 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242970), // Rule ID 20128 //
     /* 1242894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1242897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1242911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1242936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242947 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1242950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242969 */     // GIR_Coverage, 20128,
     /* 1242969 */     GIR_EraseRootFromParent_Done,
     /* 1242970 */   // Label 17950: @1242970
     /* 1242970 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1243051), // Rule ID 20129 //
     /* 1242975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1242978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1242983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1242992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1242995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1243017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1243031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243050 */     // GIR_Coverage, 20129,
     /* 1243050 */     GIR_EraseRootFromParent_Done,
     /* 1243051 */   // Label 17951: @1243051
     /* 1243051 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1243132), // Rule ID 20132 //
     /* 1243056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1243059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1243076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1243098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243109 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1243112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243131 */     // GIR_Coverage, 20132,
     /* 1243131 */     GIR_EraseRootFromParent_Done,
     /* 1243132 */   // Label 17952: @1243132
     /* 1243132 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1243213), // Rule ID 20133 //
     /* 1243137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1243140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1243157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1243179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243190 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1243193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243212 */     // GIR_Coverage, 20133,
     /* 1243212 */     GIR_EraseRootFromParent_Done,
     /* 1243213 */   // Label 17953: @1243213
     /* 1243213 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243294), // Rule ID 20136 //
     /* 1243218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1243221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1243235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1243238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1243260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243271 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1243274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243293 */     // GIR_Coverage, 20136,
     /* 1243293 */     GIR_EraseRootFromParent_Done,
     /* 1243294 */   // Label 17954: @1243294
     /* 1243294 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243375), // Rule ID 20137 //
     /* 1243299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1243302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1243316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1243319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1243341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243352 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1243355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243374 */     // GIR_Coverage, 20137,
     /* 1243374 */     GIR_EraseRootFromParent_Done,
     /* 1243375 */   // Label 17955: @1243375
     /* 1243375 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243456), // Rule ID 20140 //
     /* 1243380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1243383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1243397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1243436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243455 */     // GIR_Coverage, 20140,
     /* 1243455 */     GIR_EraseRootFromParent_Done,
     /* 1243456 */   // Label 17956: @1243456
     /* 1243456 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243537), // Rule ID 20141 //
     /* 1243461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1243464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1243478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1243517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243536 */     // GIR_Coverage, 20141,
     /* 1243536 */     GIR_EraseRootFromParent_Done,
     /* 1243537 */   // Label 17957: @1243537
     /* 1243537 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243618), // Rule ID 20144 //
     /* 1243542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1243545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1243559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1243598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243617 */     // GIR_Coverage, 20144,
     /* 1243617 */     GIR_EraseRootFromParent_Done,
     /* 1243618 */   // Label 17958: @1243618
     /* 1243618 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243699), // Rule ID 20145 //
     /* 1243623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1243626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1243640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1243679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243698 */     // GIR_Coverage, 20145,
     /* 1243698 */     GIR_EraseRootFromParent_Done,
     /* 1243699 */   // Label 17959: @1243699
     /* 1243699 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243780), // Rule ID 20148 //
     /* 1243704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1243707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1243721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243757 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1243760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243779 */     // GIR_Coverage, 20148,
     /* 1243779 */     GIR_EraseRootFromParent_Done,
     /* 1243780 */   // Label 17960: @1243780
     /* 1243780 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243861), // Rule ID 20149 //
     /* 1243785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1243788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1243802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1243827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1243841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243860 */     // GIR_Coverage, 20149,
     /* 1243860 */     GIR_EraseRootFromParent_Done,
     /* 1243861 */   // Label 17961: @1243861
     /* 1243861 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243942), // Rule ID 20152 //
     /* 1243866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1243869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1243877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1243880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1243883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1243908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243919 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1243919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1243922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243941 */     // GIR_Coverage, 20152,
     /* 1243941 */     GIR_EraseRootFromParent_Done,
     /* 1243942 */   // Label 17962: @1243942
     /* 1243942 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1244023), // Rule ID 20153 //
     /* 1243947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1243950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1243955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1243958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1243961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1243964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1243989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1244003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244022 */     // GIR_Coverage, 20153,
     /* 1244022 */     GIR_EraseRootFromParent_Done,
     /* 1244023 */   // Label 17963: @1244023
     /* 1244023 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1244104), // Rule ID 20156 //
     /* 1244028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1244031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1244036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1244070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1244084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244103 */     // GIR_Coverage, 20156,
     /* 1244103 */     GIR_EraseRootFromParent_Done,
     /* 1244104 */   // Label 17964: @1244104
     /* 1244104 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1244185), // Rule ID 20157 //
     /* 1244109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1244112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1244117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1244151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1244165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244184 */     // GIR_Coverage, 20157,
     /* 1244184 */     GIR_EraseRootFromParent_Done,
     /* 1244185 */   // Label 17965: @1244185
     /* 1244185 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244266), // Rule ID 20160 //
     /* 1244190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1244193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1244198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1244207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1244232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1244246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244265 */     // GIR_Coverage, 20160,
     /* 1244265 */     GIR_EraseRootFromParent_Done,
     /* 1244266 */   // Label 17966: @1244266
     /* 1244266 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244347), // Rule ID 20161 //
     /* 1244271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1244274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1244279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1244288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1244313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1244327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244346 */     // GIR_Coverage, 20161,
     /* 1244346 */     GIR_EraseRootFromParent_Done,
     /* 1244347 */   // Label 17967: @1244347
     /* 1244347 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244428), // Rule ID 20164 //
     /* 1244352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1244355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1244369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1244408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244427 */     // GIR_Coverage, 20164,
     /* 1244427 */     GIR_EraseRootFromParent_Done,
     /* 1244428 */   // Label 17968: @1244428
     /* 1244428 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244509), // Rule ID 20165 //
     /* 1244433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1244436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1244450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1244489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244508 */     // GIR_Coverage, 20165,
     /* 1244508 */     GIR_EraseRootFromParent_Done,
     /* 1244509 */   // Label 17969: @1244509
     /* 1244509 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244590), // Rule ID 20168 //
     /* 1244514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1244517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1244531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1244570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244589 */     // GIR_Coverage, 20168,
     /* 1244589 */     GIR_EraseRootFromParent_Done,
     /* 1244590 */   // Label 17970: @1244590
     /* 1244590 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244671), // Rule ID 20169 //
     /* 1244595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1244598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1244612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1244651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244670 */     // GIR_Coverage, 20169,
     /* 1244670 */     GIR_EraseRootFromParent_Done,
     /* 1244671 */   // Label 17971: @1244671
     /* 1244671 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244752), // Rule ID 20172 //
     /* 1244676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1244679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1244718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1244732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244751 */     // GIR_Coverage, 20172,
     /* 1244751 */     GIR_EraseRootFromParent_Done,
     /* 1244752 */   // Label 17972: @1244752
     /* 1244752 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244833), // Rule ID 20173 //
     /* 1244757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1244760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1244799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1244813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244832 */     // GIR_Coverage, 20173,
     /* 1244832 */     GIR_EraseRootFromParent_Done,
     /* 1244833 */   // Label 17973: @1244833
     /* 1244833 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244914), // Rule ID 20176 //
     /* 1244838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1244841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244891 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1244894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244913 */     // GIR_Coverage, 20176,
     /* 1244913 */     GIR_EraseRootFromParent_Done,
     /* 1244914 */   // Label 17974: @1244914
     /* 1244914 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244995), // Rule ID 20177 //
     /* 1244919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1244922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1244927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1244939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1244961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1244975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244994 */     // GIR_Coverage, 20177,
     /* 1244994 */     GIR_EraseRootFromParent_Done,
     /* 1244995 */   // Label 17975: @1244995
     /* 1244995 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1245076), // Rule ID 20180 //
     /* 1245000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1245003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1245017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1245042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1245056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245075 */     // GIR_Coverage, 20180,
     /* 1245075 */     GIR_EraseRootFromParent_Done,
     /* 1245076 */   // Label 17976: @1245076
     /* 1245076 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1245157), // Rule ID 20181 //
     /* 1245081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1245084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1245098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1245123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1245137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245156 */     // GIR_Coverage, 20181,
     /* 1245156 */     GIR_EraseRootFromParent_Done,
     /* 1245157 */   // Label 17977: @1245157
     /* 1245157 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245238), // Rule ID 20184 //
     /* 1245162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1245165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1245179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1245204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1245218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245237 */     // GIR_Coverage, 20184,
     /* 1245237 */     GIR_EraseRootFromParent_Done,
     /* 1245238 */   // Label 17978: @1245238
     /* 1245238 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245319), // Rule ID 20185 //
     /* 1245243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1245246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1245260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1245285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1245299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245318 */     // GIR_Coverage, 20185,
     /* 1245318 */     GIR_EraseRootFromParent_Done,
     /* 1245319 */   // Label 17979: @1245319
     /* 1245319 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245400), // Rule ID 20188 //
     /* 1245324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1245327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1245380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245399 */     // GIR_Coverage, 20188,
     /* 1245399 */     GIR_EraseRootFromParent_Done,
     /* 1245400 */   // Label 17980: @1245400
     /* 1245400 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245481), // Rule ID 20189 //
     /* 1245405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1245408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245458 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1245461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245480 */     // GIR_Coverage, 20189,
     /* 1245480 */     GIR_EraseRootFromParent_Done,
     /* 1245481 */   // Label 17981: @1245481
     /* 1245481 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245562), // Rule ID 20192 //
     /* 1245486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1245489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245539 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1245542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245561 */     // GIR_Coverage, 20192,
     /* 1245561 */     GIR_EraseRootFromParent_Done,
     /* 1245562 */   // Label 17982: @1245562
     /* 1245562 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245643), // Rule ID 20193 //
     /* 1245567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1245570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1245623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245642 */     // GIR_Coverage, 20193,
     /* 1245642 */     GIR_EraseRootFromParent_Done,
     /* 1245643 */   // Label 17983: @1245643
     /* 1245643 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245724), // Rule ID 20196 //
     /* 1245648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1245651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1245659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1245662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245701 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1245704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245723 */     // GIR_Coverage, 20196,
     /* 1245723 */     GIR_EraseRootFromParent_Done,
     /* 1245724 */   // Label 17984: @1245724
     /* 1245724 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245805), // Rule ID 20197 //
     /* 1245729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1245732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1245740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1245743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1245749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1245771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245782 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1245785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245804 */     // GIR_Coverage, 20197,
     /* 1245804 */     GIR_EraseRootFromParent_Done,
     /* 1245805 */   // Label 17985: @1245805
     /* 1245805 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245886), // Rule ID 20200 //
     /* 1245810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1245813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1245852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1245866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245885 */     // GIR_Coverage, 20200,
     /* 1245885 */     GIR_EraseRootFromParent_Done,
     /* 1245886 */   // Label 17986: @1245886
     /* 1245886 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245967), // Rule ID 20201 //
     /* 1245891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1245894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1245933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1245947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245966 */     // GIR_Coverage, 20201,
     /* 1245966 */     GIR_EraseRootFromParent_Done,
     /* 1245967 */   // Label 17987: @1245967
     /* 1245967 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1246048), // Rule ID 20204 //
     /* 1245972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1245975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1245980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1246014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246025 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1246028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246047 */     // GIR_Coverage, 20204,
     /* 1246047 */     GIR_EraseRootFromParent_Done,
     /* 1246048 */   // Label 17988: @1246048
     /* 1246048 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1246129), // Rule ID 20205 //
     /* 1246053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1246056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1246070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1246095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1246109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246128 */     // GIR_Coverage, 20205,
     /* 1246128 */     GIR_EraseRootFromParent_Done,
     /* 1246129 */   // Label 17989: @1246129
     /* 1246129 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1246210), // Rule ID 20208 //
     /* 1246134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1246137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1246176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1246190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246209 */     // GIR_Coverage, 20208,
     /* 1246209 */     GIR_EraseRootFromParent_Done,
     /* 1246210 */   // Label 17990: @1246210
     /* 1246210 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246291), // Rule ID 20209 //
     /* 1246215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1246218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1246257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1246271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246290 */     // GIR_Coverage, 20209,
     /* 1246290 */     GIR_EraseRootFromParent_Done,
     /* 1246291 */   // Label 17991: @1246291
     /* 1246291 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246372), // Rule ID 20212 //
     /* 1246296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1246299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1246352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246371 */     // GIR_Coverage, 20212,
     /* 1246371 */     GIR_EraseRootFromParent_Done,
     /* 1246372 */   // Label 17992: @1246372
     /* 1246372 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246453), // Rule ID 20213 //
     /* 1246377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1246380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246430 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1246433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246452 */     // GIR_Coverage, 20213,
     /* 1246452 */     GIR_EraseRootFromParent_Done,
     /* 1246453 */   // Label 17993: @1246453
     /* 1246453 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246534), // Rule ID 20216 //
     /* 1246458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1246461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1246514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246533 */     // GIR_Coverage, 20216,
     /* 1246533 */     GIR_EraseRootFromParent_Done,
     /* 1246534 */   // Label 17994: @1246534
     /* 1246534 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246615), // Rule ID 20217 //
     /* 1246539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1246542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1246595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246614 */     // GIR_Coverage, 20217,
     /* 1246614 */     GIR_EraseRootFromParent_Done,
     /* 1246615 */   // Label 17995: @1246615
     /* 1246615 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246696), // Rule ID 20220 //
     /* 1246620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1246623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246673 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1246676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246695 */     // GIR_Coverage, 20220,
     /* 1246695 */     GIR_EraseRootFromParent_Done,
     /* 1246696 */   // Label 17996: @1246696
     /* 1246696 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246777), // Rule ID 20221 //
     /* 1246701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1246704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1246709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1246743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1246757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246776 */     // GIR_Coverage, 20221,
     /* 1246776 */     GIR_EraseRootFromParent_Done,
     /* 1246777 */   // Label 17997: @1246777
     /* 1246777 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246858), // Rule ID 20224 //
     /* 1246782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1246785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1246790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246835 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1246838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246857 */     // GIR_Coverage, 20224,
     /* 1246857 */     GIR_EraseRootFromParent_Done,
     /* 1246858 */   // Label 17998: @1246858
     /* 1246858 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246939), // Rule ID 20225 //
     /* 1246863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1246866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1246871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1246883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1246919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246938 */     // GIR_Coverage, 20225,
     /* 1246938 */     GIR_EraseRootFromParent_Done,
     /* 1246939 */   // Label 17999: @1246939
     /* 1246939 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1247020), // Rule ID 20228 //
     /* 1246944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1246947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1246952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1247000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247019 */     // GIR_Coverage, 20228,
     /* 1247019 */     GIR_EraseRootFromParent_Done,
     /* 1247020 */   // Label 18000: @1247020
     /* 1247020 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1247101), // Rule ID 20229 //
     /* 1247025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1247028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1247045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1247081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247100 */     // GIR_Coverage, 20229,
     /* 1247100 */     GIR_EraseRootFromParent_Done,
     /* 1247101 */   // Label 18001: @1247101
     /* 1247101 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1247182), // Rule ID 20232 //
     /* 1247106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1247109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1247126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1247162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247181 */     // GIR_Coverage, 20232,
     /* 1247181 */     GIR_EraseRootFromParent_Done,
     /* 1247182 */   // Label 18002: @1247182
     /* 1247182 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247263), // Rule ID 20233 //
     /* 1247187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1247190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1247207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1247243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247262 */     // GIR_Coverage, 20233,
     /* 1247262 */     GIR_EraseRootFromParent_Done,
     /* 1247263 */   // Label 18003: @1247263
     /* 1247263 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247344), // Rule ID 20236 //
     /* 1247268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1247271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247321 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247343 */     // GIR_Coverage, 20236,
     /* 1247343 */     GIR_EraseRootFromParent_Done,
     /* 1247344 */   // Label 18004: @1247344
     /* 1247344 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247425), // Rule ID 20237 //
     /* 1247349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1247352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1247369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247424 */     // GIR_Coverage, 20237,
     /* 1247424 */     GIR_EraseRootFromParent_Done,
     /* 1247425 */   // Label 18005: @1247425
     /* 1247425 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247506), // Rule ID 20240 //
     /* 1247430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1247433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247483 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247505 */     // GIR_Coverage, 20240,
     /* 1247505 */     GIR_EraseRootFromParent_Done,
     /* 1247506 */   // Label 18006: @1247506
     /* 1247506 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247587), // Rule ID 20241 //
     /* 1247511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1247514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1247531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247586 */     // GIR_Coverage, 20241,
     /* 1247586 */     GIR_EraseRootFromParent_Done,
     /* 1247587 */   // Label 18007: @1247587
     /* 1247587 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247668), // Rule ID 20244 //
     /* 1247592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1247595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1247645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247667 */     // GIR_Coverage, 20244,
     /* 1247667 */     GIR_EraseRootFromParent_Done,
     /* 1247668 */   // Label 18008: @1247668
     /* 1247668 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247749), // Rule ID 20245 //
     /* 1247673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1247676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247726 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1247726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1247729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247748 */     // GIR_Coverage, 20245,
     /* 1247748 */     GIR_EraseRootFromParent_Done,
     /* 1247749 */   // Label 18009: @1247749
     /* 1247749 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247830), // Rule ID 20248 //
     /* 1247754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1247757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247807 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1247810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247829 */     // GIR_Coverage, 20248,
     /* 1247829 */     GIR_EraseRootFromParent_Done,
     /* 1247830 */   // Label 18010: @1247830
     /* 1247830 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247911), // Rule ID 20249 //
     /* 1247835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1247838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1247891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247910 */     // GIR_Coverage, 20249,
     /* 1247910 */     GIR_EraseRootFromParent_Done,
     /* 1247911 */   // Label 18011: @1247911
     /* 1247911 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247992), // Rule ID 20252 //
     /* 1247916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1247919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1247924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1247933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1247936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247969 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1247972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247991 */     // GIR_Coverage, 20252,
     /* 1247991 */     GIR_EraseRootFromParent_Done,
     /* 1247992 */   // Label 18012: @1247992
     /* 1247992 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1248073), // Rule ID 20253 //
     /* 1247997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1248000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1248053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248072 */     // GIR_Coverage, 20253,
     /* 1248072 */     GIR_EraseRootFromParent_Done,
     /* 1248073 */   // Label 18013: @1248073
     /* 1248073 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1248154), // Rule ID 20256 //
     /* 1248078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1248081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248131 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1248134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248153 */     // GIR_Coverage, 20256,
     /* 1248153 */     GIR_EraseRootFromParent_Done,
     /* 1248154 */   // Label 18014: @1248154
     /* 1248154 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248235), // Rule ID 20257 //
     /* 1248159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1248162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248212 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1248215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248234 */     // GIR_Coverage, 20257,
     /* 1248234 */     GIR_EraseRootFromParent_Done,
     /* 1248235 */   // Label 18015: @1248235
     /* 1248235 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248316), // Rule ID 20260 //
     /* 1248240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1248243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248293 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1248296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248315 */     // GIR_Coverage, 20260,
     /* 1248315 */     GIR_EraseRootFromParent_Done,
     /* 1248316 */   // Label 18016: @1248316
     /* 1248316 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248397), // Rule ID 20261 //
     /* 1248321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1248324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248374 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1248377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248396 */     // GIR_Coverage, 20261,
     /* 1248396 */     GIR_EraseRootFromParent_Done,
     /* 1248397 */   // Label 18017: @1248397
     /* 1248397 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248478), // Rule ID 20264 //
     /* 1248402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1248405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1248458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248477 */     // GIR_Coverage, 20264,
     /* 1248477 */     GIR_EraseRootFromParent_Done,
     /* 1248478 */   // Label 18018: @1248478
     /* 1248478 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248559), // Rule ID 20265 //
     /* 1248483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1248486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1248539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248558 */     // GIR_Coverage, 20265,
     /* 1248558 */     GIR_EraseRootFromParent_Done,
     /* 1248559 */   // Label 18019: @1248559
     /* 1248559 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248640), // Rule ID 20268 //
     /* 1248564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1248567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1248620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248639 */     // GIR_Coverage, 20268,
     /* 1248639 */     GIR_EraseRootFromParent_Done,
     /* 1248640 */   // Label 18020: @1248640
     /* 1248640 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248721), // Rule ID 20269 //
     /* 1248645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1248648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1248701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248720 */     // GIR_Coverage, 20269,
     /* 1248720 */     GIR_EraseRootFromParent_Done,
     /* 1248721 */   // Label 18021: @1248721
     /* 1248721 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248802), // Rule ID 20272 //
     /* 1248726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1248729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248779 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1248782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248801 */     // GIR_Coverage, 20272,
     /* 1248801 */     GIR_EraseRootFromParent_Done,
     /* 1248802 */   // Label 18022: @1248802
     /* 1248802 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248883), // Rule ID 20273 //
     /* 1248807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1248810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1248824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1248827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1248863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248882 */     // GIR_Coverage, 20273,
     /* 1248882 */     GIR_EraseRootFromParent_Done,
     /* 1248883 */   // Label 18023: @1248883
     /* 1248883 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248964), // Rule ID 20276 //
     /* 1248888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1248891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1248905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1248908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248941 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1248941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1248944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248963 */     // GIR_Coverage, 20276,
     /* 1248963 */     GIR_EraseRootFromParent_Done,
     /* 1248964 */   // Label 18024: @1248964
     /* 1248964 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1249045), // Rule ID 20277 //
     /* 1248969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1248972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1248977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1248986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1248989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1249025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249044 */     // GIR_Coverage, 20277,
     /* 1249044 */     GIR_EraseRootFromParent_Done,
     /* 1249045 */   // Label 18025: @1249045
     /* 1249045 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249126), // Rule ID 20280 //
     /* 1249050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1249053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1249058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1249106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249125 */     // GIR_Coverage, 20280,
     /* 1249125 */     GIR_EraseRootFromParent_Done,
     /* 1249126 */   // Label 18026: @1249126
     /* 1249126 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249207), // Rule ID 20281 //
     /* 1249131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1249134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1249139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1249187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249206 */     // GIR_Coverage, 20281,
     /* 1249206 */     GIR_EraseRootFromParent_Done,
     /* 1249207 */   // Label 18027: @1249207
     /* 1249207 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249288), // Rule ID 20284 //
     /* 1249212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1249215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1249232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1249268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249287 */     // GIR_Coverage, 20284,
     /* 1249287 */     GIR_EraseRootFromParent_Done,
     /* 1249288 */   // Label 18028: @1249288
     /* 1249288 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249369), // Rule ID 20285 //
     /* 1249293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1249296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1249310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1249313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249346 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1249349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249368 */     // GIR_Coverage, 20285,
     /* 1249368 */     GIR_EraseRootFromParent_Done,
     /* 1249369 */   // Label 18029: @1249369
     /* 1249369 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249450), // Rule ID 20288 //
     /* 1249374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1249377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1249391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1249394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249427 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1249430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249449 */     // GIR_Coverage, 20288,
     /* 1249449 */     GIR_EraseRootFromParent_Done,
     /* 1249450 */   // Label 18030: @1249450
     /* 1249450 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249531), // Rule ID 20289 //
     /* 1249455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1249458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1249472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1249475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1249511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249530 */     // GIR_Coverage, 20289,
     /* 1249530 */     GIR_EraseRootFromParent_Done,
     /* 1249531 */   // Label 18031: @1249531
     /* 1249531 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249612), // Rule ID 20292 //
     /* 1249536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1249539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1249553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1249556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249589 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1249592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249611 */     // GIR_Coverage, 20292,
     /* 1249611 */     GIR_EraseRootFromParent_Done,
     /* 1249612 */   // Label 18032: @1249612
     /* 1249612 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249693), // Rule ID 20293 //
     /* 1249617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1249620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1249634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1249637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1249673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249692 */     // GIR_Coverage, 20293,
     /* 1249692 */     GIR_EraseRootFromParent_Done,
     /* 1249693 */   // Label 18033: @1249693
     /* 1249693 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249774), // Rule ID 20296 //
     /* 1249698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1249701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1249715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1249718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249751 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1249751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1249754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249773 */     // GIR_Coverage, 20296,
     /* 1249773 */     GIR_EraseRootFromParent_Done,
     /* 1249774 */   // Label 18034: @1249774
     /* 1249774 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249855), // Rule ID 20297 //
     /* 1249779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1249782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1249796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1249799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1249832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1249835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249854 */     // GIR_Coverage, 20297,
     /* 1249854 */     GIR_EraseRootFromParent_Done,
     /* 1249855 */   // Label 18035: @1249855
     /* 1249855 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249936), // Rule ID 20300 //
     /* 1249860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1249863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1249877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1249880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1249916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249935 */     // GIR_Coverage, 20300,
     /* 1249935 */     GIR_EraseRootFromParent_Done,
     /* 1249936 */   // Label 18036: @1249936
     /* 1249936 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1250017), // Rule ID 20301 //
     /* 1249941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1249944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1249949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1249958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1249961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1249997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250016 */     // GIR_Coverage, 20301,
     /* 1250016 */     GIR_EraseRootFromParent_Done,
     /* 1250017 */   // Label 18037: @1250017
     /* 1250017 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250098), // Rule ID 20304 //
     /* 1250022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1250025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1250042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250075 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1250075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1250078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250097 */     // GIR_Coverage, 20304,
     /* 1250097 */     GIR_EraseRootFromParent_Done,
     /* 1250098 */   // Label 18038: @1250098
     /* 1250098 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250179), // Rule ID 20305 //
     /* 1250103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1250106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1250120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1250123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1250156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1250159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250178 */     // GIR_Coverage, 20305,
     /* 1250178 */     GIR_EraseRootFromParent_Done,
     /* 1250179 */   // Label 18039: @1250179
     /* 1250179 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250260), // Rule ID 20308 //
     /* 1250184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1250187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1250201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1250204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1250240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250259 */     // GIR_Coverage, 20308,
     /* 1250259 */     GIR_EraseRootFromParent_Done,
     /* 1250260 */   // Label 18040: @1250260
     /* 1250260 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250341), // Rule ID 20309 //
     /* 1250265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1250268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1250282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1250285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250318 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1250321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250340 */     // GIR_Coverage, 20309,
     /* 1250340 */     GIR_EraseRootFromParent_Done,
     /* 1250341 */   // Label 18041: @1250341
     /* 1250341 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250422), // Rule ID 20312 //
     /* 1250346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1250349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1250363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1250366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1250402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250421 */     // GIR_Coverage, 20312,
     /* 1250421 */     GIR_EraseRootFromParent_Done,
     /* 1250422 */   // Label 18042: @1250422
     /* 1250422 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250503), // Rule ID 20313 //
     /* 1250427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1250430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1250444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1250447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1250483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250502 */     // GIR_Coverage, 20313,
     /* 1250502 */     GIR_EraseRootFromParent_Done,
     /* 1250503 */   // Label 18043: @1250503
     /* 1250503 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250584), // Rule ID 20316 //
     /* 1250508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1250511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1250519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1250522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1250525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1250528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250561 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1250564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250583 */     // GIR_Coverage, 20316,
     /* 1250583 */     GIR_EraseRootFromParent_Done,
     /* 1250584 */   // Label 18044: @1250584
     /* 1250584 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250665), // Rule ID 20317 //
     /* 1250589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1250592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1250600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1250603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1250606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1250609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250642 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1250645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250664 */     // GIR_Coverage, 20317,
     /* 1250664 */     GIR_EraseRootFromParent_Done,
     /* 1250665 */   // Label 18045: @1250665
     /* 1250665 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250746), // Rule ID 20320 //
     /* 1250670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1250673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1250687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1250690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1250726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250745 */     // GIR_Coverage, 20320,
     /* 1250745 */     GIR_EraseRootFromParent_Done,
     /* 1250746 */   // Label 18046: @1250746
     /* 1250746 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250827), // Rule ID 20321 //
     /* 1250751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1250754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1250768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1250771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1250807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250826 */     // GIR_Coverage, 20321,
     /* 1250826 */     GIR_EraseRootFromParent_Done,
     /* 1250827 */   // Label 18047: @1250827
     /* 1250827 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250908), // Rule ID 20324 //
     /* 1250832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1250835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1250849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1250852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1250888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250907 */     // GIR_Coverage, 20324,
     /* 1250907 */     GIR_EraseRootFromParent_Done,
     /* 1250908 */   // Label 18048: @1250908
     /* 1250908 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1250989), // Rule ID 20325 //
     /* 1250913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1250916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1250921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1250930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1250933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1250969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250988 */     // GIR_Coverage, 20325,
     /* 1250988 */     GIR_EraseRootFromParent_Done,
     /* 1250989 */   // Label 18049: @1250989
     /* 1250989 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251070), // Rule ID 20328 //
     /* 1250994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1250997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1251014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251047 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1251050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251069 */     // GIR_Coverage, 20328,
     /* 1251069 */     GIR_EraseRootFromParent_Done,
     /* 1251070 */   // Label 18050: @1251070
     /* 1251070 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251151), // Rule ID 20329 //
     /* 1251075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1251078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1251095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1251131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251150 */     // GIR_Coverage, 20329,
     /* 1251150 */     GIR_EraseRootFromParent_Done,
     /* 1251151 */   // Label 18051: @1251151
     /* 1251151 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251232), // Rule ID 20332 //
     /* 1251156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1251159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1251173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1251176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1251209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1251212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251231 */     // GIR_Coverage, 20332,
     /* 1251231 */     GIR_EraseRootFromParent_Done,
     /* 1251232 */   // Label 18052: @1251232
     /* 1251232 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251313), // Rule ID 20333 //
     /* 1251237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1251240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1251254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1251257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1251290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1251293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251312 */     // GIR_Coverage, 20333,
     /* 1251312 */     GIR_EraseRootFromParent_Done,
     /* 1251313 */   // Label 18053: @1251313
     /* 1251313 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251394), // Rule ID 20336 //
     /* 1251318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1251321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1251335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1251338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1251371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1251374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251393 */     // GIR_Coverage, 20336,
     /* 1251393 */     GIR_EraseRootFromParent_Done,
     /* 1251394 */   // Label 18054: @1251394
     /* 1251394 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251475), // Rule ID 20337 //
     /* 1251399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1251402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1251416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1251419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1251452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1251455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251474 */     // GIR_Coverage, 20337,
     /* 1251474 */     GIR_EraseRootFromParent_Done,
     /* 1251475 */   // Label 18055: @1251475
     /* 1251475 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251556), // Rule ID 20340 //
     /* 1251480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1251483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1251497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1251500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1251533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1251536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251555 */     // GIR_Coverage, 20340,
     /* 1251555 */     GIR_EraseRootFromParent_Done,
     /* 1251556 */   // Label 18056: @1251556
     /* 1251556 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251637), // Rule ID 20341 //
     /* 1251561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1251564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1251569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1251578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1251581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1251614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1251617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251636 */     // GIR_Coverage, 20341,
     /* 1251636 */     GIR_EraseRootFromParent_Done,
     /* 1251637 */   // Label 18057: @1251637
     /* 1251637 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251718), // Rule ID 20398 //
     /* 1251642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1251645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1251650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1251653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1251656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1251662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251695 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1251698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251717 */     // GIR_Coverage, 20398,
     /* 1251717 */     GIR_EraseRootFromParent_Done,
     /* 1251718 */   // Label 18058: @1251718
     /* 1251718 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251799), // Rule ID 20399 //
     /* 1251723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1251726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1251731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1251734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1251737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1251743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1251779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251798 */     // GIR_Coverage, 20399,
     /* 1251798 */     GIR_EraseRootFromParent_Done,
     /* 1251799 */   // Label 18059: @1251799
     /* 1251799 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251880), // Rule ID 20400 //
     /* 1251804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1251807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1251812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1251815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1251818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1251824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1251846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251857 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1251860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251879 */     // GIR_Coverage, 20400,
     /* 1251879 */     GIR_EraseRootFromParent_Done,
     /* 1251880 */   // Label 18060: @1251880
     /* 1251880 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1251961), // Rule ID 20401 //
     /* 1251885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1251888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1251893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1251896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1251899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1251905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1251927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251938 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1251941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251960 */     // GIR_Coverage, 20401,
     /* 1251960 */     GIR_EraseRootFromParent_Done,
     /* 1251961 */   // Label 18061: @1251961
     /* 1251961 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252042), // Rule ID 20402 //
     /* 1251966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1251969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1251974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1251977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1251980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1251983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1251986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252019 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1252022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252041 */     // GIR_Coverage, 20402,
     /* 1252041 */     GIR_EraseRootFromParent_Done,
     /* 1252042 */   // Label 18062: @1252042
     /* 1252042 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252123), // Rule ID 20403 //
     /* 1252047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1252050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1252058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1252061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1252064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1252067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252100 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1252103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252122 */     // GIR_Coverage, 20403,
     /* 1252122 */     GIR_EraseRootFromParent_Done,
     /* 1252123 */   // Label 18063: @1252123
     /* 1252123 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252204), // Rule ID 20404 //
     /* 1252128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1252131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1252139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1252142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1252145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1252148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1252170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252181 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1252184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252203 */     // GIR_Coverage, 20404,
     /* 1252203 */     GIR_EraseRootFromParent_Done,
     /* 1252204 */   // Label 18064: @1252204
     /* 1252204 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252285), // Rule ID 20405 //
     /* 1252209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1252212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1252220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1252223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1252226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1252229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1252251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252262 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1252265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252284 */     // GIR_Coverage, 20405,
     /* 1252284 */     GIR_EraseRootFromParent_Done,
     /* 1252285 */   // Label 18065: @1252285
     /* 1252285 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252366), // Rule ID 20406 //
     /* 1252290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1252293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1252301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1252304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1252310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252343 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1252346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252365 */     // GIR_Coverage, 20406,
     /* 1252365 */     GIR_EraseRootFromParent_Done,
     /* 1252366 */   // Label 18066: @1252366
     /* 1252366 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252447), // Rule ID 20407 //
     /* 1252371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1252374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1252382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1252385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1252391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252424 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1252427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252446 */     // GIR_Coverage, 20407,
     /* 1252446 */     GIR_EraseRootFromParent_Done,
     /* 1252447 */   // Label 18067: @1252447
     /* 1252447 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252528), // Rule ID 20408 //
     /* 1252452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1252455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1252463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1252466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1252494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252505 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1252508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252527 */     // GIR_Coverage, 20408,
     /* 1252527 */     GIR_EraseRootFromParent_Done,
     /* 1252528 */   // Label 18068: @1252528
     /* 1252528 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252609), // Rule ID 20409 //
     /* 1252533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1252536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1252544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1252547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1252575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252586 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1252589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252608 */     // GIR_Coverage, 20409,
     /* 1252608 */     GIR_EraseRootFromParent_Done,
     /* 1252609 */   // Label 18069: @1252609
     /* 1252609 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252690), // Rule ID 20410 //
     /* 1252614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1252617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1252625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1252628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1252634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252667 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1252670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252689 */     // GIR_Coverage, 20410,
     /* 1252689 */     GIR_EraseRootFromParent_Done,
     /* 1252690 */   // Label 18070: @1252690
     /* 1252690 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252771), // Rule ID 20411 //
     /* 1252695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1252698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1252706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1252709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1252715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252748 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1252751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252770 */     // GIR_Coverage, 20411,
     /* 1252770 */     GIR_EraseRootFromParent_Done,
     /* 1252771 */   // Label 18071: @1252771
     /* 1252771 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252852), // Rule ID 20412 //
     /* 1252776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1252779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1252787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1252790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1252796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1252818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252829 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1252832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252851 */     // GIR_Coverage, 20412,
     /* 1252851 */     GIR_EraseRootFromParent_Done,
     /* 1252852 */   // Label 18072: @1252852
     /* 1252852 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1252933), // Rule ID 20413 //
     /* 1252857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1252860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1252865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1252868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1252871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1252877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1252899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252910 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1252913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252932 */     // GIR_Coverage, 20413,
     /* 1252932 */     GIR_EraseRootFromParent_Done,
     /* 1252933 */   // Label 18073: @1252933
     /* 1252933 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253014), // Rule ID 20414 //
     /* 1252938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1252941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1252946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1252949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1252952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1252955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1252958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1252968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1252994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253013 */     // GIR_Coverage, 20414,
     /* 1253013 */     GIR_EraseRootFromParent_Done,
     /* 1253014 */   // Label 18074: @1253014
     /* 1253014 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253095), // Rule ID 20415 //
     /* 1253019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1253022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1253030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1253033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1253039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1253072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1253075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253094 */     // GIR_Coverage, 20415,
     /* 1253094 */     GIR_EraseRootFromParent_Done,
     /* 1253095 */   // Label 18075: @1253095
     /* 1253095 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253176), // Rule ID 20416 //
     /* 1253100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1253103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1253111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1253114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1253142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253153 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1253153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1253156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253175 */     // GIR_Coverage, 20416,
     /* 1253175 */     GIR_EraseRootFromParent_Done,
     /* 1253176 */   // Label 18076: @1253176
     /* 1253176 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253257), // Rule ID 20417 //
     /* 1253181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1253184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1253192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1253195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1253223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1253234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1253237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253256 */     // GIR_Coverage, 20417,
     /* 1253256 */     GIR_EraseRootFromParent_Done,
     /* 1253257 */   // Label 18077: @1253257
     /* 1253257 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253338), // Rule ID 20418 //
     /* 1253262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1253265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1253273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1253276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253315 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1253318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253337 */     // GIR_Coverage, 20418,
     /* 1253337 */     GIR_EraseRootFromParent_Done,
     /* 1253338 */   // Label 18078: @1253338
     /* 1253338 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253419), // Rule ID 20419 //
     /* 1253343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1253346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1253354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1253357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1253399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253418 */     // GIR_Coverage, 20419,
     /* 1253418 */     GIR_EraseRootFromParent_Done,
     /* 1253419 */   // Label 18079: @1253419
     /* 1253419 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253500), // Rule ID 20420 //
     /* 1253424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1253427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1253435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1253438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1253466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253477 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1253480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253499 */     // GIR_Coverage, 20420,
     /* 1253499 */     GIR_EraseRootFromParent_Done,
     /* 1253500 */   // Label 18080: @1253500
     /* 1253500 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253581), // Rule ID 20421 //
     /* 1253505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1253508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1253516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1253519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1253547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253558 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1253561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253580 */     // GIR_Coverage, 20421,
     /* 1253580 */     GIR_EraseRootFromParent_Done,
     /* 1253581 */   // Label 18081: @1253581
     /* 1253581 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253662), // Rule ID 20422 //
     /* 1253586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1253589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1253597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1253600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1253603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1253606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1253639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1253642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253661 */     // GIR_Coverage, 20422,
     /* 1253661 */     GIR_EraseRootFromParent_Done,
     /* 1253662 */   // Label 18082: @1253662
     /* 1253662 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253743), // Rule ID 20423 //
     /* 1253667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1253670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1253678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1253681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1253684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1253687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253720 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1253720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1253723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253742 */     // GIR_Coverage, 20423,
     /* 1253742 */     GIR_EraseRootFromParent_Done,
     /* 1253743 */   // Label 18083: @1253743
     /* 1253743 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253824), // Rule ID 20424 //
     /* 1253748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1253751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1253759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1253762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1253765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1253768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1253790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253801 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1253801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1253804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253823 */     // GIR_Coverage, 20424,
     /* 1253823 */     GIR_EraseRootFromParent_Done,
     /* 1253824 */   // Label 18084: @1253824
     /* 1253824 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1253905), // Rule ID 20425 //
     /* 1253829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1253832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1253837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1253840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1253843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1253846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1253849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1253871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1253882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1253885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253904 */     // GIR_Coverage, 20425,
     /* 1253904 */     GIR_EraseRootFromParent_Done,
     /* 1253905 */   // Label 18085: @1253905
     /* 1253905 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1253986), // Rule ID 20426 //
     /* 1253910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1253913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1253921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1253924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1253927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1253930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1253940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253963 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1253963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1253966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253985 */     // GIR_Coverage, 20426,
     /* 1253985 */     GIR_EraseRootFromParent_Done,
     /* 1253986 */   // Label 18086: @1253986
     /* 1253986 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254067), // Rule ID 20427 //
     /* 1253991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1253994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1253999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1254002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1254005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1254011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1254021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254044 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1254047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254066 */     // GIR_Coverage, 20427,
     /* 1254066 */     GIR_EraseRootFromParent_Done,
     /* 1254067 */   // Label 18087: @1254067
     /* 1254067 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254148), // Rule ID 20428 //
     /* 1254072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1254075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1254083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1254086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1254092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1254102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1254114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254125 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1254128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254147 */     // GIR_Coverage, 20428,
     /* 1254147 */     GIR_EraseRootFromParent_Done,
     /* 1254148 */   // Label 18088: @1254148
     /* 1254148 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254229), // Rule ID 20429 //
     /* 1254153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1254156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1254164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1254167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1254173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1254183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1254195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254206 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1254209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254228 */     // GIR_Coverage, 20429,
     /* 1254228 */     GIR_EraseRootFromParent_Done,
     /* 1254229 */   // Label 18089: @1254229
     /* 1254229 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254310), // Rule ID 20430 //
     /* 1254234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1254237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1254245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1254248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1254264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254287 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1254290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254309 */     // GIR_Coverage, 20430,
     /* 1254309 */     GIR_EraseRootFromParent_Done,
     /* 1254310 */   // Label 18090: @1254310
     /* 1254310 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254391), // Rule ID 20431 //
     /* 1254315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1254318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1254326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1254329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1254345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254368 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1254371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254390 */     // GIR_Coverage, 20431,
     /* 1254390 */     GIR_EraseRootFromParent_Done,
     /* 1254391 */   // Label 18091: @1254391
     /* 1254391 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254472), // Rule ID 20432 //
     /* 1254396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1254399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1254407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1254410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1254416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1254426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1254438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254449 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1254452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254471 */     // GIR_Coverage, 20432,
     /* 1254471 */     GIR_EraseRootFromParent_Done,
     /* 1254472 */   // Label 18092: @1254472
     /* 1254472 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254553), // Rule ID 20433 //
     /* 1254477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1254480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1254488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1254491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1254497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1254507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1254519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254530 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1254533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254552 */     // GIR_Coverage, 20433,
     /* 1254552 */     GIR_EraseRootFromParent_Done,
     /* 1254553 */   // Label 18093: @1254553
     /* 1254553 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254634), // Rule ID 20434 //
     /* 1254558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1254561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1254569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1254572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1254578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1254588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1254611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1254614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254633 */     // GIR_Coverage, 20434,
     /* 1254633 */     GIR_EraseRootFromParent_Done,
     /* 1254634 */   // Label 18094: @1254634
     /* 1254634 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254715), // Rule ID 20435 //
     /* 1254639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1254642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1254650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1254653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1254659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1254669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1254692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1254695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254714 */     // GIR_Coverage, 20435,
     /* 1254714 */     GIR_EraseRootFromParent_Done,
     /* 1254715 */   // Label 18095: @1254715
     /* 1254715 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254796), // Rule ID 20436 //
     /* 1254720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1254723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1254731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1254734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1254750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1254762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254773 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1254773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1254776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254795 */     // GIR_Coverage, 20436,
     /* 1254795 */     GIR_EraseRootFromParent_Done,
     /* 1254796 */   // Label 18096: @1254796
     /* 1254796 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1254877), // Rule ID 20437 //
     /* 1254801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1254804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1254809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1254812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1254815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1254831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1254843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254854 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1254854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1254857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254876 */     // GIR_Coverage, 20437,
     /* 1254876 */     GIR_EraseRootFromParent_Done,
     /* 1254877 */   // Label 18097: @1254877
     /* 1254877 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1254958), // Rule ID 20438 //
     /* 1254882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1254885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1254893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1254896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1254899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1254902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1254912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254935 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1254935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1254938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254957 */     // GIR_Coverage, 20438,
     /* 1254957 */     GIR_EraseRootFromParent_Done,
     /* 1254958 */   // Label 18098: @1254958
     /* 1254958 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255039), // Rule ID 20439 //
     /* 1254963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1254966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1254971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1254974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1254977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1254980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1254983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1254993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1255019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255038 */     // GIR_Coverage, 20439,
     /* 1255038 */     GIR_EraseRootFromParent_Done,
     /* 1255039 */   // Label 18099: @1255039
     /* 1255039 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255120), // Rule ID 20440 //
     /* 1255044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1255047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1255055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1255058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1255086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255097 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1255097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1255100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255119 */     // GIR_Coverage, 20440,
     /* 1255119 */     GIR_EraseRootFromParent_Done,
     /* 1255120 */   // Label 18100: @1255120
     /* 1255120 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255201), // Rule ID 20441 //
     /* 1255125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1255128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1255136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1255139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1255142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1255167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255178 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1255181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255200 */     // GIR_Coverage, 20441,
     /* 1255200 */     GIR_EraseRootFromParent_Done,
     /* 1255201 */   // Label 18101: @1255201
     /* 1255201 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255282), // Rule ID 20442 //
     /* 1255206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1255209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1255217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1255220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255259 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1255259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1255262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255281 */     // GIR_Coverage, 20442,
     /* 1255281 */     GIR_EraseRootFromParent_Done,
     /* 1255282 */   // Label 18102: @1255282
     /* 1255282 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255363), // Rule ID 20443 //
     /* 1255287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1255290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1255298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1255301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1255307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1255343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255362 */     // GIR_Coverage, 20443,
     /* 1255362 */     GIR_EraseRootFromParent_Done,
     /* 1255363 */   // Label 18103: @1255363
     /* 1255363 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255444), // Rule ID 20444 //
     /* 1255368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1255371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1255379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1255382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1255410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255421 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1255421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1255424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255443 */     // GIR_Coverage, 20444,
     /* 1255443 */     GIR_EraseRootFromParent_Done,
     /* 1255444 */   // Label 18104: @1255444
     /* 1255444 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255525), // Rule ID 20445 //
     /* 1255449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1255452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1255460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1255463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1255466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1255491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255502 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1255505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255524 */     // GIR_Coverage, 20445,
     /* 1255524 */     GIR_EraseRootFromParent_Done,
     /* 1255525 */   // Label 18105: @1255525
     /* 1255525 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255606), // Rule ID 20446 //
     /* 1255530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1255533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1255541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1255544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255583 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1255583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1255586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255605 */     // GIR_Coverage, 20446,
     /* 1255605 */     GIR_EraseRootFromParent_Done,
     /* 1255606 */   // Label 18106: @1255606
     /* 1255606 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255687), // Rule ID 20447 //
     /* 1255611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1255614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1255622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1255625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1255664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1255667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255686 */     // GIR_Coverage, 20447,
     /* 1255686 */     GIR_EraseRootFromParent_Done,
     /* 1255687 */   // Label 18107: @1255687
     /* 1255687 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255768), // Rule ID 20448 //
     /* 1255692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1255695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1255703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1255706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1255734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255745 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1255745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1255748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255767 */     // GIR_Coverage, 20448,
     /* 1255767 */     GIR_EraseRootFromParent_Done,
     /* 1255768 */   // Label 18108: @1255768
     /* 1255768 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1255849), // Rule ID 20449 //
     /* 1255773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1255776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1255781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1255784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1255787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1255815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255826 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1255826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1255829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255848 */     // GIR_Coverage, 20449,
     /* 1255848 */     GIR_EraseRootFromParent_Done,
     /* 1255849 */   // Label 18109: @1255849
     /* 1255849 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1255930), // Rule ID 20450 //
     /* 1255854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1255857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1255865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1255868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1255907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1255910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255929 */     // GIR_Coverage, 20450,
     /* 1255929 */     GIR_EraseRootFromParent_Done,
     /* 1255930 */   // Label 18110: @1255930
     /* 1255930 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256011), // Rule ID 20451 //
     /* 1255935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1255938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1255943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1255946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1255949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1255988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1255991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256010 */     // GIR_Coverage, 20451,
     /* 1256010 */     GIR_EraseRootFromParent_Done,
     /* 1256011 */   // Label 18111: @1256011
     /* 1256011 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256092), // Rule ID 20452 //
     /* 1256016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1256019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1256024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1256027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1256030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1256058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256069 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1256069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1256072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256091 */     // GIR_Coverage, 20452,
     /* 1256091 */     GIR_EraseRootFromParent_Done,
     /* 1256092 */   // Label 18112: @1256092
     /* 1256092 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256173), // Rule ID 20453 //
     /* 1256097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1256100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1256105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1256108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1256111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1256139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256150 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1256150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1256153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256172 */     // GIR_Coverage, 20453,
     /* 1256172 */     GIR_EraseRootFromParent_Done,
     /* 1256173 */   // Label 18113: @1256173
     /* 1256173 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256254), // Rule ID 20454 //
     /* 1256178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1256181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1256186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1256189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1256192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256231 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1256231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1256234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256253 */     // GIR_Coverage, 20454,
     /* 1256253 */     GIR_EraseRootFromParent_Done,
     /* 1256254 */   // Label 18114: @1256254
     /* 1256254 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256335), // Rule ID 20455 //
     /* 1256259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1256262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1256267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1256270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1256273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1256279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256312 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1256312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1256315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256334 */     // GIR_Coverage, 20455,
     /* 1256334 */     GIR_EraseRootFromParent_Done,
     /* 1256335 */   // Label 18115: @1256335
     /* 1256335 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256416), // Rule ID 20456 //
     /* 1256340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1256343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1256348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1256351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1256354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1256382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256393 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1256393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1256396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256415 */     // GIR_Coverage, 20456,
     /* 1256415 */     GIR_EraseRootFromParent_Done,
     /* 1256416 */   // Label 18116: @1256416
     /* 1256416 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256497), // Rule ID 20457 //
     /* 1256421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1256424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1256429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1256432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1256435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1256463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256474 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10863:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1256474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1256477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256496 */     // GIR_Coverage, 20457,
     /* 1256496 */     GIR_EraseRootFromParent_Done,
     /* 1256497 */   // Label 18117: @1256497
     /* 1256497 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256581), // Rule ID 21838 //
     /* 1256502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1256513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1256516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1256522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1256555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1256558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256580 */     // GIR_Coverage, 21838,
     /* 1256580 */     GIR_EraseRootFromParent_Done,
     /* 1256581 */   // Label 18118: @1256581
     /* 1256581 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256665), // Rule ID 21839 //
     /* 1256586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1256597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1256600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1256603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1256606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1256639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1256642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256664 */     // GIR_Coverage, 21839,
     /* 1256664 */     GIR_EraseRootFromParent_Done,
     /* 1256665 */   // Label 18119: @1256665
     /* 1256665 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256749), // Rule ID 21842 //
     /* 1256670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1256681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1256684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1256690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1256723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1256726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256748 */     // GIR_Coverage, 21842,
     /* 1256748 */     GIR_EraseRootFromParent_Done,
     /* 1256749 */   // Label 18120: @1256749
     /* 1256749 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1256833), // Rule ID 21843 //
     /* 1256754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1256765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1256768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1256771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1256774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1256807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1256810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256832 */     // GIR_Coverage, 21843,
     /* 1256832 */     GIR_EraseRootFromParent_Done,
     /* 1256833 */   // Label 18121: @1256833
     /* 1256833 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1256917), // Rule ID 21846 //
     /* 1256838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1256849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1256852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1256858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1256891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1256894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256916 */     // GIR_Coverage, 21846,
     /* 1256916 */     GIR_EraseRootFromParent_Done,
     /* 1256917 */   // Label 18122: @1256917
     /* 1256917 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257001), // Rule ID 21847 //
     /* 1256922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1256930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1256933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1256936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1256942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1256952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1256975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1256978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1256982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1256999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257000 */     // GIR_Coverage, 21847,
     /* 1257000 */     GIR_EraseRootFromParent_Done,
     /* 1257001 */   // Label 18123: @1257001
     /* 1257001 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257085), // Rule ID 21850 //
     /* 1257006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1257017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1257020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1257026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1257062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257084 */     // GIR_Coverage, 21850,
     /* 1257084 */     GIR_EraseRootFromParent_Done,
     /* 1257085 */   // Label 18124: @1257085
     /* 1257085 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257169), // Rule ID 21851 //
     /* 1257090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1257101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1257104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1257110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1257146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257168 */     // GIR_Coverage, 21851,
     /* 1257168 */     GIR_EraseRootFromParent_Done,
     /* 1257169 */   // Label 18125: @1257169
     /* 1257169 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257253), // Rule ID 21854 //
     /* 1257174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1257185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1257188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1257194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1257230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257252 */     // GIR_Coverage, 21854,
     /* 1257252 */     GIR_EraseRootFromParent_Done,
     /* 1257253 */   // Label 18126: @1257253
     /* 1257253 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257337), // Rule ID 21855 //
     /* 1257258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1257269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1257272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1257278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1257314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257336 */     // GIR_Coverage, 21855,
     /* 1257336 */     GIR_EraseRootFromParent_Done,
     /* 1257337 */   // Label 18127: @1257337
     /* 1257337 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257421), // Rule ID 21858 //
     /* 1257342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1257353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1257356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1257362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257395 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1257398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257420 */     // GIR_Coverage, 21858,
     /* 1257420 */     GIR_EraseRootFromParent_Done,
     /* 1257421 */   // Label 18128: @1257421
     /* 1257421 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257505), // Rule ID 21859 //
     /* 1257426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1257437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1257440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1257446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1257482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257504 */     // GIR_Coverage, 21859,
     /* 1257504 */     GIR_EraseRootFromParent_Done,
     /* 1257505 */   // Label 18129: @1257505
     /* 1257505 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257589), // Rule ID 21862 //
     /* 1257510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1257521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1257524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1257530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1257566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257588 */     // GIR_Coverage, 21862,
     /* 1257588 */     GIR_EraseRootFromParent_Done,
     /* 1257589 */   // Label 18130: @1257589
     /* 1257589 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257673), // Rule ID 21863 //
     /* 1257594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1257605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1257608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1257611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1257614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1257650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257672 */     // GIR_Coverage, 21863,
     /* 1257672 */     GIR_EraseRootFromParent_Done,
     /* 1257673 */   // Label 18131: @1257673
     /* 1257673 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1257757), // Rule ID 21866 //
     /* 1257678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1257689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1257692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1257698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1257734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257756 */     // GIR_Coverage, 21866,
     /* 1257756 */     GIR_EraseRootFromParent_Done,
     /* 1257757 */   // Label 18132: @1257757
     /* 1257757 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1257841), // Rule ID 21867 //
     /* 1257762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1257773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1257776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1257779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1257782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1257818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257840 */     // GIR_Coverage, 21867,
     /* 1257840 */     GIR_EraseRootFromParent_Done,
     /* 1257841 */   // Label 18133: @1257841
     /* 1257841 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1257925), // Rule ID 21870 //
     /* 1257846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1257857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1257860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1257866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1257899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1257902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1257923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257924 */     // GIR_Coverage, 21870,
     /* 1257924 */     GIR_EraseRootFromParent_Done,
     /* 1257925 */   // Label 18134: @1257925
     /* 1257925 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258009), // Rule ID 21871 //
     /* 1257930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1257938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1257941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1257944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1257950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1257960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1257983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1257986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1257990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258008 */     // GIR_Coverage, 21871,
     /* 1258008 */     GIR_EraseRootFromParent_Done,
     /* 1258009 */   // Label 18135: @1258009
     /* 1258009 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258093), // Rule ID 21874 //
     /* 1258014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1258070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258092 */     // GIR_Coverage, 21874,
     /* 1258092 */     GIR_EraseRootFromParent_Done,
     /* 1258093 */   // Label 18136: @1258093
     /* 1258093 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258177), // Rule ID 21875 //
     /* 1258098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1258154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258176 */     // GIR_Coverage, 21875,
     /* 1258176 */     GIR_EraseRootFromParent_Done,
     /* 1258177 */   // Label 18137: @1258177
     /* 1258177 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258261), // Rule ID 21878 //
     /* 1258182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258235 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1258238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258260 */     // GIR_Coverage, 21878,
     /* 1258260 */     GIR_EraseRootFromParent_Done,
     /* 1258261 */   // Label 18138: @1258261
     /* 1258261 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258345), // Rule ID 21879 //
     /* 1258266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1258322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258344 */     // GIR_Coverage, 21879,
     /* 1258344 */     GIR_EraseRootFromParent_Done,
     /* 1258345 */   // Label 18139: @1258345
     /* 1258345 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258429), // Rule ID 21882 //
     /* 1258350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1258406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258428 */     // GIR_Coverage, 21882,
     /* 1258428 */     GIR_EraseRootFromParent_Done,
     /* 1258429 */   // Label 18140: @1258429
     /* 1258429 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258513), // Rule ID 21883 //
     /* 1258434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1258445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1258448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1258490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258512 */     // GIR_Coverage, 21883,
     /* 1258512 */     GIR_EraseRootFromParent_Done,
     /* 1258513 */   // Label 18141: @1258513
     /* 1258513 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258597), // Rule ID 21886 //
     /* 1258518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1258574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258596 */     // GIR_Coverage, 21886,
     /* 1258596 */     GIR_EraseRootFromParent_Done,
     /* 1258597 */   // Label 18142: @1258597
     /* 1258597 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258681), // Rule ID 21887 //
     /* 1258602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1258619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1258658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258680 */     // GIR_Coverage, 21887,
     /* 1258680 */     GIR_EraseRootFromParent_Done,
     /* 1258681 */   // Label 18143: @1258681
     /* 1258681 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1258765), // Rule ID 21890 //
     /* 1258686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1258742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258764 */     // GIR_Coverage, 21890,
     /* 1258764 */     GIR_EraseRootFromParent_Done,
     /* 1258765 */   // Label 18144: @1258765
     /* 1258765 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1258849), // Rule ID 21891 //
     /* 1258770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1258787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1258826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258848 */     // GIR_Coverage, 21891,
     /* 1258848 */     GIR_EraseRootFromParent_Done,
     /* 1258849 */   // Label 18145: @1258849
     /* 1258849 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1258933), // Rule ID 21894 //
     /* 1258854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1258907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1258910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1258931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258932 */     // GIR_Coverage, 21894,
     /* 1258932 */     GIR_EraseRootFromParent_Done,
     /* 1258933 */   // Label 18146: @1258933
     /* 1258933 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259017), // Rule ID 21895 //
     /* 1258938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1258946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1258949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1258952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1258991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1258994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1258998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259016 */     // GIR_Coverage, 21895,
     /* 1259016 */     GIR_EraseRootFromParent_Done,
     /* 1259017 */   // Label 18147: @1259017
     /* 1259017 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259101), // Rule ID 21898 //
     /* 1259022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1259078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259100 */     // GIR_Coverage, 21898,
     /* 1259100 */     GIR_EraseRootFromParent_Done,
     /* 1259101 */   // Label 18148: @1259101
     /* 1259101 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259185), // Rule ID 21899 //
     /* 1259106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1259162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259184 */     // GIR_Coverage, 21899,
     /* 1259184 */     GIR_EraseRootFromParent_Done,
     /* 1259185 */   // Label 18149: @1259185
     /* 1259185 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259269), // Rule ID 21902 //
     /* 1259190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1259246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259268 */     // GIR_Coverage, 21902,
     /* 1259268 */     GIR_EraseRootFromParent_Done,
     /* 1259269 */   // Label 18150: @1259269
     /* 1259269 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259353), // Rule ID 21903 //
     /* 1259274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1259330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259352 */     // GIR_Coverage, 21903,
     /* 1259352 */     GIR_EraseRootFromParent_Done,
     /* 1259353 */   // Label 18151: @1259353
     /* 1259353 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259437), // Rule ID 21906 //
     /* 1259358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1259414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259436 */     // GIR_Coverage, 21906,
     /* 1259436 */     GIR_EraseRootFromParent_Done,
     /* 1259437 */   // Label 18152: @1259437
     /* 1259437 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259521), // Rule ID 21907 //
     /* 1259442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259495 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1259498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259520 */     // GIR_Coverage, 21907,
     /* 1259520 */     GIR_EraseRootFromParent_Done,
     /* 1259521 */   // Label 18153: @1259521
     /* 1259521 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259605), // Rule ID 21910 //
     /* 1259526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1259582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259604 */     // GIR_Coverage, 21910,
     /* 1259604 */     GIR_EraseRootFromParent_Done,
     /* 1259605 */   // Label 18154: @1259605
     /* 1259605 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259689), // Rule ID 21911 //
     /* 1259610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1259627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1259666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259688 */     // GIR_Coverage, 21911,
     /* 1259688 */     GIR_EraseRootFromParent_Done,
     /* 1259689 */   // Label 18155: @1259689
     /* 1259689 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1259773), // Rule ID 21914 //
     /* 1259694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1259750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259772 */     // GIR_Coverage, 21914,
     /* 1259772 */     GIR_EraseRootFromParent_Done,
     /* 1259773 */   // Label 18156: @1259773
     /* 1259773 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1259857), // Rule ID 21915 //
     /* 1259778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1259795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1259834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259856 */     // GIR_Coverage, 21915,
     /* 1259856 */     GIR_EraseRootFromParent_Done,
     /* 1259857 */   // Label 18157: @1259857
     /* 1259857 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1259941), // Rule ID 21918 //
     /* 1259862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1259915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1259918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1259922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1259939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259940 */     // GIR_Coverage, 21918,
     /* 1259940 */     GIR_EraseRootFromParent_Done,
     /* 1259941 */   // Label 18158: @1259941
     /* 1259941 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260025), // Rule ID 21919 //
     /* 1259946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1259954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1259957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1259960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1259966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1259999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1260002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260024 */     // GIR_Coverage, 21919,
     /* 1260024 */     GIR_EraseRootFromParent_Done,
     /* 1260025 */   // Label 18159: @1260025
     /* 1260025 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260109), // Rule ID 21922 //
     /* 1260030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1260086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260108 */     // GIR_Coverage, 21922,
     /* 1260108 */     GIR_EraseRootFromParent_Done,
     /* 1260109 */   // Label 18160: @1260109
     /* 1260109 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260193), // Rule ID 21923 //
     /* 1260114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1260167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1260170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260192 */     // GIR_Coverage, 21923,
     /* 1260192 */     GIR_EraseRootFromParent_Done,
     /* 1260193 */   // Label 18161: @1260193
     /* 1260193 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260277), // Rule ID 21926 //
     /* 1260198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1260254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260276 */     // GIR_Coverage, 21926,
     /* 1260276 */     GIR_EraseRootFromParent_Done,
     /* 1260277 */   // Label 18162: @1260277
     /* 1260277 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260361), // Rule ID 21927 //
     /* 1260282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260335 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1260335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1260338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260360 */     // GIR_Coverage, 21927,
     /* 1260360 */     GIR_EraseRootFromParent_Done,
     /* 1260361 */   // Label 18163: @1260361
     /* 1260361 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260445), // Rule ID 21930 //
     /* 1260366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1260422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260444 */     // GIR_Coverage, 21930,
     /* 1260444 */     GIR_EraseRootFromParent_Done,
     /* 1260445 */   // Label 18164: @1260445
     /* 1260445 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260529), // Rule ID 21931 //
     /* 1260450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1260461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1260464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1260467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1260503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1260506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260528 */     // GIR_Coverage, 21931,
     /* 1260528 */     GIR_EraseRootFromParent_Done,
     /* 1260529 */   // Label 18165: @1260529
     /* 1260529 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260613), // Rule ID 21934 //
     /* 1260534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1260545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1260548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1260590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260612 */     // GIR_Coverage, 21934,
     /* 1260612 */     GIR_EraseRootFromParent_Done,
     /* 1260613 */   // Label 18166: @1260613
     /* 1260613 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260697), // Rule ID 21935 //
     /* 1260618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1260629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1260632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1260635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1260671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1260674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260696 */     // GIR_Coverage, 21935,
     /* 1260696 */     GIR_EraseRootFromParent_Done,
     /* 1260697 */   // Label 18167: @1260697
     /* 1260697 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1260781), // Rule ID 21938 //
     /* 1260702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1260713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1260716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1260758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260780 */     // GIR_Coverage, 21938,
     /* 1260780 */     GIR_EraseRootFromParent_Done,
     /* 1260781 */   // Label 18168: @1260781
     /* 1260781 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1260865), // Rule ID 21939 //
     /* 1260786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1260797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1260800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1260803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1260839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1260842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260864 */     // GIR_Coverage, 21939,
     /* 1260864 */     GIR_EraseRootFromParent_Done,
     /* 1260865 */   // Label 18169: @1260865
     /* 1260865 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1260949), // Rule ID 21942 //
     /* 1260870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1260881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1260884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1260890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1260923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1260926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1260930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1260947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260948 */     // GIR_Coverage, 21942,
     /* 1260948 */     GIR_EraseRootFromParent_Done,
     /* 1260949 */   // Label 18170: @1260949
     /* 1260949 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261033), // Rule ID 21943 //
     /* 1260954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1260962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1260965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1260968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1260974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261007 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1261010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261032 */     // GIR_Coverage, 21943,
     /* 1261032 */     GIR_EraseRootFromParent_Done,
     /* 1261033 */   // Label 18171: @1261033
     /* 1261033 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261117), // Rule ID 21946 //
     /* 1261038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1261094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261116 */     // GIR_Coverage, 21946,
     /* 1261116 */     GIR_EraseRootFromParent_Done,
     /* 1261117 */   // Label 18172: @1261117
     /* 1261117 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261201), // Rule ID 21947 //
     /* 1261122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261175 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1261178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261200 */     // GIR_Coverage, 21947,
     /* 1261200 */     GIR_EraseRootFromParent_Done,
     /* 1261201 */   // Label 18173: @1261201
     /* 1261201 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261285), // Rule ID 21950 //
     /* 1261206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1261217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1261220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1261262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261284 */     // GIR_Coverage, 21950,
     /* 1261284 */     GIR_EraseRootFromParent_Done,
     /* 1261285 */   // Label 18174: @1261285
     /* 1261285 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261369), // Rule ID 21951 //
     /* 1261290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1261301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1261304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1261310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1261346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261368 */     // GIR_Coverage, 21951,
     /* 1261368 */     GIR_EraseRootFromParent_Done,
     /* 1261369 */   // Label 18175: @1261369
     /* 1261369 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261453), // Rule ID 21954 //
     /* 1261374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1261385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1261388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1261430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261452 */     // GIR_Coverage, 21954,
     /* 1261452 */     GIR_EraseRootFromParent_Done,
     /* 1261453 */   // Label 18176: @1261453
     /* 1261453 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261537), // Rule ID 21955 //
     /* 1261458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1261469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1261472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1261475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1261478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1261514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261536 */     // GIR_Coverage, 21955,
     /* 1261536 */     GIR_EraseRootFromParent_Done,
     /* 1261537 */   // Label 18177: @1261537
     /* 1261537 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261621), // Rule ID 21958 //
     /* 1261542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1261553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1261556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261595 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1261598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261620 */     // GIR_Coverage, 21958,
     /* 1261620 */     GIR_EraseRootFromParent_Done,
     /* 1261621 */   // Label 18178: @1261621
     /* 1261621 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261705), // Rule ID 21959 //
     /* 1261626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1261637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1261640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1261643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1261646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1261682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261704 */     // GIR_Coverage, 21959,
     /* 1261704 */     GIR_EraseRootFromParent_Done,
     /* 1261705 */   // Label 18179: @1261705
     /* 1261705 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1261789), // Rule ID 21962 //
     /* 1261710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1261766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261788 */     // GIR_Coverage, 21962,
     /* 1261788 */     GIR_EraseRootFromParent_Done,
     /* 1261789 */   // Label 18180: @1261789
     /* 1261789 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1261873), // Rule ID 21963 //
     /* 1261794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1261811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1261847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1261850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261872 */     // GIR_Coverage, 21963,
     /* 1261872 */     GIR_EraseRootFromParent_Done,
     /* 1261873 */   // Label 18181: @1261873
     /* 1261873 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1261957), // Rule ID 21966 //
     /* 1261878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261931 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1261931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1261934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1261938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1261955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261956 */     // GIR_Coverage, 21966,
     /* 1261956 */     GIR_EraseRootFromParent_Done,
     /* 1261957 */   // Label 18182: @1261957
     /* 1261957 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262041), // Rule ID 21967 //
     /* 1261962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1261970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1261973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1261976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1261982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1261992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262015 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1262018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262040 */     // GIR_Coverage, 21967,
     /* 1262040 */     GIR_EraseRootFromParent_Done,
     /* 1262041 */   // Label 18183: @1262041
     /* 1262041 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262125), // Rule ID 21970 //
     /* 1262046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1262057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1262060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1262066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1262102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262124 */     // GIR_Coverage, 21970,
     /* 1262124 */     GIR_EraseRootFromParent_Done,
     /* 1262125 */   // Label 18184: @1262125
     /* 1262125 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262209), // Rule ID 21971 //
     /* 1262130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1262141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1262144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1262150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1262186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262208 */     // GIR_Coverage, 21971,
     /* 1262208 */     GIR_EraseRootFromParent_Done,
     /* 1262209 */   // Label 18185: @1262209
     /* 1262209 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262293), // Rule ID 21974 //
     /* 1262214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1262270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262292 */     // GIR_Coverage, 21974,
     /* 1262292 */     GIR_EraseRootFromParent_Done,
     /* 1262293 */   // Label 18186: @1262293
     /* 1262293 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262377), // Rule ID 21975 //
     /* 1262298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262351 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1262354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262376 */     // GIR_Coverage, 21975,
     /* 1262376 */     GIR_EraseRootFromParent_Done,
     /* 1262377 */   // Label 18187: @1262377
     /* 1262377 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262461), // Rule ID 21978 //
     /* 1262382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1262438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262460 */     // GIR_Coverage, 21978,
     /* 1262460 */     GIR_EraseRootFromParent_Done,
     /* 1262461 */   // Label 18188: @1262461
     /* 1262461 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262545), // Rule ID 21979 //
     /* 1262466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1262483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1262522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262544 */     // GIR_Coverage, 21979,
     /* 1262544 */     GIR_EraseRootFromParent_Done,
     /* 1262545 */   // Label 18189: @1262545
     /* 1262545 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262629), // Rule ID 21982 //
     /* 1262550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1262606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262628 */     // GIR_Coverage, 21982,
     /* 1262628 */     GIR_EraseRootFromParent_Done,
     /* 1262629 */   // Label 18190: @1262629
     /* 1262629 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262713), // Rule ID 21983 //
     /* 1262634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1262645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1262648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1262651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1262654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1262690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262712 */     // GIR_Coverage, 21983,
     /* 1262712 */     GIR_EraseRootFromParent_Done,
     /* 1262713 */   // Label 18191: @1262713
     /* 1262713 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1262797), // Rule ID 21986 //
     /* 1262718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1262729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1262732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1262774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262796 */     // GIR_Coverage, 21986,
     /* 1262796 */     GIR_EraseRootFromParent_Done,
     /* 1262797 */   // Label 18192: @1262797
     /* 1262797 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1262881), // Rule ID 21987 //
     /* 1262802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1262813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1262816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1262819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1262855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1262858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262880 */     // GIR_Coverage, 21987,
     /* 1262880 */     GIR_EraseRootFromParent_Done,
     /* 1262881 */   // Label 18193: @1262881
     /* 1262881 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1262965), // Rule ID 21990 //
     /* 1262886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1262897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1262900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1262939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1262942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1262946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1262963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262964 */     // GIR_Coverage, 21990,
     /* 1262964 */     GIR_EraseRootFromParent_Done,
     /* 1262965 */   // Label 18194: @1262965
     /* 1262965 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263049), // Rule ID 21991 //
     /* 1262970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1262978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1262981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1262984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1262990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1263026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263048 */     // GIR_Coverage, 21991,
     /* 1263048 */     GIR_EraseRootFromParent_Done,
     /* 1263049 */   // Label 18195: @1263049
     /* 1263049 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263133), // Rule ID 21994 //
     /* 1263054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1263065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1263068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1263074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1263110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263132 */     // GIR_Coverage, 21994,
     /* 1263132 */     GIR_EraseRootFromParent_Done,
     /* 1263133 */   // Label 18196: @1263133
     /* 1263133 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263217), // Rule ID 21995 //
     /* 1263138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1263149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1263152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1263158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1263194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263216 */     // GIR_Coverage, 21995,
     /* 1263216 */     GIR_EraseRootFromParent_Done,
     /* 1263217 */   // Label 18197: @1263217
     /* 1263217 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263301), // Rule ID 21998 //
     /* 1263222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1263278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263300 */     // GIR_Coverage, 21998,
     /* 1263300 */     GIR_EraseRootFromParent_Done,
     /* 1263301 */   // Label 18198: @1263301
     /* 1263301 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263385), // Rule ID 21999 //
     /* 1263306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1263362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263384 */     // GIR_Coverage, 21999,
     /* 1263384 */     GIR_EraseRootFromParent_Done,
     /* 1263385 */   // Label 18199: @1263385
     /* 1263385 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263469), // Rule ID 22002 //
     /* 1263390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1263446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263468 */     // GIR_Coverage, 22002,
     /* 1263468 */     GIR_EraseRootFromParent_Done,
     /* 1263469 */   // Label 18200: @1263469
     /* 1263469 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263553), // Rule ID 22003 //
     /* 1263474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1263491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1263530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263552 */     // GIR_Coverage, 22003,
     /* 1263552 */     GIR_EraseRootFromParent_Done,
     /* 1263553 */   // Label 18201: @1263553
     /* 1263553 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263637), // Rule ID 22006 //
     /* 1263558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1263614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263636 */     // GIR_Coverage, 22006,
     /* 1263636 */     GIR_EraseRootFromParent_Done,
     /* 1263637 */   // Label 18202: @1263637
     /* 1263637 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263721), // Rule ID 22007 //
     /* 1263642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1263650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1263653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1263656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1263659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1263698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263720 */     // GIR_Coverage, 22007,
     /* 1263720 */     GIR_EraseRootFromParent_Done,
     /* 1263721 */   // Label 18203: @1263721
     /* 1263721 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1263805), // Rule ID 22010 //
     /* 1263726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1263734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1263746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1263782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263804 */     // GIR_Coverage, 22010,
     /* 1263804 */     GIR_EraseRootFromParent_Done,
     /* 1263805 */   // Label 18204: @1263805
     /* 1263805 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1263889), // Rule ID 22011 //
     /* 1263810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1263818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1263827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1263830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263863 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1263863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1263866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263888 */     // GIR_Coverage, 22011,
     /* 1263888 */     GIR_EraseRootFromParent_Done,
     /* 1263889 */   // Label 18205: @1263889
     /* 1263889 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1263973), // Rule ID 22014 //
     /* 1263894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1263902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1263914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1263947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1263950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1263954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1263971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263972 */     // GIR_Coverage, 22014,
     /* 1263972 */     GIR_EraseRootFromParent_Done,
     /* 1263973 */   // Label 18206: @1263973
     /* 1263973 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264057), // Rule ID 22015 //
     /* 1263978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1263986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1263998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264031 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1264034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264056 */     // GIR_Coverage, 22015,
     /* 1264056 */     GIR_EraseRootFromParent_Done,
     /* 1264057 */   // Label 18207: @1264057
     /* 1264057 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264141), // Rule ID 22018 //
     /* 1264062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1264073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1264076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1264082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264115 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1264118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264140 */     // GIR_Coverage, 22018,
     /* 1264140 */     GIR_EraseRootFromParent_Done,
     /* 1264141 */   // Label 18208: @1264141
     /* 1264141 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264225), // Rule ID 22019 //
     /* 1264146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1264157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1264160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1264166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264199 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1264202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264224 */     // GIR_Coverage, 22019,
     /* 1264224 */     GIR_EraseRootFromParent_Done,
     /* 1264225 */   // Label 18209: @1264225
     /* 1264225 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264309), // Rule ID 22022 //
     /* 1264230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1264250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1264286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264308 */     // GIR_Coverage, 22022,
     /* 1264308 */     GIR_EraseRootFromParent_Done,
     /* 1264309 */   // Label 18210: @1264309
     /* 1264309 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264393), // Rule ID 22023 //
     /* 1264314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1264334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1264370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264392 */     // GIR_Coverage, 22023,
     /* 1264392 */     GIR_EraseRootFromParent_Done,
     /* 1264393 */   // Label 18211: @1264393
     /* 1264393 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264477), // Rule ID 22026 //
     /* 1264398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1264418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1264454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264476 */     // GIR_Coverage, 22026,
     /* 1264476 */     GIR_EraseRootFromParent_Done,
     /* 1264477 */   // Label 18212: @1264477
     /* 1264477 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264561), // Rule ID 22027 //
     /* 1264482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1264499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1264502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264535 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1264538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264560 */     // GIR_Coverage, 22027,
     /* 1264560 */     GIR_EraseRootFromParent_Done,
     /* 1264561 */   // Label 18213: @1264561
     /* 1264561 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264645), // Rule ID 22030 //
     /* 1264566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1264577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1264580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1264586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1264622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264644 */     // GIR_Coverage, 22030,
     /* 1264644 */     GIR_EraseRootFromParent_Done,
     /* 1264645 */   // Label 18214: @1264645
     /* 1264645 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264729), // Rule ID 22031 //
     /* 1264650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1264661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1264664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1264667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1264670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1264706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264728 */     // GIR_Coverage, 22031,
     /* 1264728 */     GIR_EraseRootFromParent_Done,
     /* 1264729 */   // Label 18215: @1264729
     /* 1264729 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1264813), // Rule ID 22034 //
     /* 1264734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1264745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1264748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1264754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1264790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264812 */     // GIR_Coverage, 22034,
     /* 1264812 */     GIR_EraseRootFromParent_Done,
     /* 1264813 */   // Label 18216: @1264813
     /* 1264813 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1264897), // Rule ID 22035 //
     /* 1264818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1264829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1264832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1264838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1264871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1264874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264896 */     // GIR_Coverage, 22035,
     /* 1264896 */     GIR_EraseRootFromParent_Done,
     /* 1264897 */   // Label 18217: @1264897
     /* 1264897 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1264981), // Rule ID 22038 //
     /* 1264902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1264922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1264955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1264958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1264962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1264979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264980 */     // GIR_Coverage, 22038,
     /* 1264980 */     GIR_EraseRootFromParent_Done,
     /* 1264981 */   // Label 18218: @1264981
     /* 1264981 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265065), // Rule ID 22039 //
     /* 1264986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1264994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1265000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1265006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1265042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265064 */     // GIR_Coverage, 22039,
     /* 1265064 */     GIR_EraseRootFromParent_Done,
     /* 1265065 */   // Label 18219: @1265065
     /* 1265065 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265149), // Rule ID 22042 //
     /* 1265070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1265081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1265084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1265090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1265126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265148 */     // GIR_Coverage, 22042,
     /* 1265148 */     GIR_EraseRootFromParent_Done,
     /* 1265149 */   // Label 18220: @1265149
     /* 1265149 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265233), // Rule ID 22043 //
     /* 1265154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1265165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1265168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1265174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1265210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265232 */     // GIR_Coverage, 22043,
     /* 1265232 */     GIR_EraseRootFromParent_Done,
     /* 1265233 */   // Label 18221: @1265233
     /* 1265233 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265317), // Rule ID 22046 //
     /* 1265238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1265249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1265252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1265258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1265294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265316 */     // GIR_Coverage, 22046,
     /* 1265316 */     GIR_EraseRootFromParent_Done,
     /* 1265317 */   // Label 18222: @1265317
     /* 1265317 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265401), // Rule ID 22047 //
     /* 1265322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1265333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1265336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1265342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1265378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265400 */     // GIR_Coverage, 22047,
     /* 1265400 */     GIR_EraseRootFromParent_Done,
     /* 1265401 */   // Label 18223: @1265401
     /* 1265401 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265485), // Rule ID 22050 //
     /* 1265406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1265462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265484 */     // GIR_Coverage, 22050,
     /* 1265484 */     GIR_EraseRootFromParent_Done,
     /* 1265485 */   // Label 18224: @1265485
     /* 1265485 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265569), // Rule ID 22051 //
     /* 1265490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1265507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265543 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1265546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265568 */     // GIR_Coverage, 22051,
     /* 1265568 */     GIR_EraseRootFromParent_Done,
     /* 1265569 */   // Label 18225: @1265569
     /* 1265569 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265653), // Rule ID 22054 //
     /* 1265574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1265630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265652 */     // GIR_Coverage, 22054,
     /* 1265652 */     GIR_EraseRootFromParent_Done,
     /* 1265653 */   // Label 18226: @1265653
     /* 1265653 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265737), // Rule ID 22055 //
     /* 1265658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1265675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1265714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265736 */     // GIR_Coverage, 22055,
     /* 1265736 */     GIR_EraseRootFromParent_Done,
     /* 1265737 */   // Label 18227: @1265737
     /* 1265737 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1265821), // Rule ID 22058 //
     /* 1265742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1265798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265820 */     // GIR_Coverage, 22058,
     /* 1265820 */     GIR_EraseRootFromParent_Done,
     /* 1265821 */   // Label 18228: @1265821
     /* 1265821 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1265905), // Rule ID 22059 //
     /* 1265826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1265837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1265840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1265879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1265882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265904 */     // GIR_Coverage, 22059,
     /* 1265904 */     GIR_EraseRootFromParent_Done,
     /* 1265905 */   // Label 18229: @1265905
     /* 1265905 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1265989), // Rule ID 22062 //
     /* 1265910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1265918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1265921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1265924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1265930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1265940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1265963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1265966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1265970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1265987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265988 */     // GIR_Coverage, 22062,
     /* 1265988 */     GIR_EraseRootFromParent_Done,
     /* 1265989 */   // Label 18230: @1265989
     /* 1265989 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266073), // Rule ID 22063 //
     /* 1265994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1266005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1266008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1266050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266072 */     // GIR_Coverage, 22063,
     /* 1266072 */     GIR_EraseRootFromParent_Done,
     /* 1266073 */   // Label 18231: @1266073
     /* 1266073 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266157), // Rule ID 22066 //
     /* 1266078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1266089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1266092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1266134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266156 */     // GIR_Coverage, 22066,
     /* 1266156 */     GIR_EraseRootFromParent_Done,
     /* 1266157 */   // Label 18232: @1266157
     /* 1266157 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266241), // Rule ID 22067 //
     /* 1266162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1266173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1266176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1266218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266240 */     // GIR_Coverage, 22067,
     /* 1266240 */     GIR_EraseRootFromParent_Done,
     /* 1266241 */   // Label 18233: @1266241
     /* 1266241 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266325), // Rule ID 22070 //
     /* 1266246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1266257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1266260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1266302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266324 */     // GIR_Coverage, 22070,
     /* 1266324 */     GIR_EraseRootFromParent_Done,
     /* 1266325 */   // Label 18234: @1266325
     /* 1266325 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266409), // Rule ID 22071 //
     /* 1266330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1266341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1266344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1266350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1266386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266408 */     // GIR_Coverage, 22071,
     /* 1266408 */     GIR_EraseRootFromParent_Done,
     /* 1266409 */   // Label 18235: @1266409
     /* 1266409 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266493), // Rule ID 22074 //
     /* 1266414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1266470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266492 */     // GIR_Coverage, 22074,
     /* 1266492 */     GIR_EraseRootFromParent_Done,
     /* 1266493 */   // Label 18236: @1266493
     /* 1266493 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266577), // Rule ID 22075 //
     /* 1266498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1266515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1266554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266576 */     // GIR_Coverage, 22075,
     /* 1266576 */     GIR_EraseRootFromParent_Done,
     /* 1266577 */   // Label 18237: @1266577
     /* 1266577 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266661), // Rule ID 22078 //
     /* 1266582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1266638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266660 */     // GIR_Coverage, 22078,
     /* 1266660 */     GIR_EraseRootFromParent_Done,
     /* 1266661 */   // Label 18238: @1266661
     /* 1266661 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266745), // Rule ID 22079 //
     /* 1266666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1266722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266744 */     // GIR_Coverage, 22079,
     /* 1266744 */     GIR_EraseRootFromParent_Done,
     /* 1266745 */   // Label 18239: @1266745
     /* 1266745 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1266829), // Rule ID 22082 //
     /* 1266750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1266806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266828 */     // GIR_Coverage, 22082,
     /* 1266828 */     GIR_EraseRootFromParent_Done,
     /* 1266829 */   // Label 18240: @1266829
     /* 1266829 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1266913), // Rule ID 22083 //
     /* 1266834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1266845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1266848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1266854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1266887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1266890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266912 */     // GIR_Coverage, 22083,
     /* 1266912 */     GIR_EraseRootFromParent_Done,
     /* 1266913 */   // Label 18241: @1266913
     /* 1266913 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1266997), // Rule ID 22086 //
     /* 1266918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1266926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1266929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1266932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1266938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1266948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1266971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1266974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1266978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1266995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266996 */     // GIR_Coverage, 22086,
     /* 1266996 */     GIR_EraseRootFromParent_Done,
     /* 1266997 */   // Label 18242: @1266997
     /* 1266997 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267081), // Rule ID 22087 //
     /* 1267002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1267010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1267013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1267016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1267022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1267058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267080 */     // GIR_Coverage, 22087,
     /* 1267080 */     GIR_EraseRootFromParent_Done,
     /* 1267081 */   // Label 18243: @1267081
     /* 1267081 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267165), // Rule ID 22090 //
     /* 1267086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1267094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1267097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1267100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1267106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1267142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267164 */     // GIR_Coverage, 22090,
     /* 1267164 */     GIR_EraseRootFromParent_Done,
     /* 1267165 */   // Label 18244: @1267165
     /* 1267165 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267249), // Rule ID 22091 //
     /* 1267170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1267178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1267181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1267184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1267190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1267226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267248 */     // GIR_Coverage, 22091,
     /* 1267248 */     GIR_EraseRootFromParent_Done,
     /* 1267249 */   // Label 18245: @1267249
     /* 1267249 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267333), // Rule ID 22094 //
     /* 1267254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1267262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1267265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1267268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1267274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1267310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267332 */     // GIR_Coverage, 22094,
     /* 1267332 */     GIR_EraseRootFromParent_Done,
     /* 1267333 */   // Label 18246: @1267333
     /* 1267333 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267417), // Rule ID 22095 //
     /* 1267338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1267346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1267349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1267352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1267358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1267394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267416 */     // GIR_Coverage, 22095,
     /* 1267416 */     GIR_EraseRootFromParent_Done,
     /* 1267417 */   // Label 18247: @1267417
     /* 1267417 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267501), // Rule ID 22098 //
     /* 1267422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1267478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267500 */     // GIR_Coverage, 22098,
     /* 1267500 */     GIR_EraseRootFromParent_Done,
     /* 1267501 */   // Label 18248: @1267501
     /* 1267501 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267585), // Rule ID 22099 //
     /* 1267506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1267523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267559 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1267562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267584 */     // GIR_Coverage, 22099,
     /* 1267584 */     GIR_EraseRootFromParent_Done,
     /* 1267585 */   // Label 18249: @1267585
     /* 1267585 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267669), // Rule ID 22102 //
     /* 1267590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1267646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267668 */     // GIR_Coverage, 22102,
     /* 1267668 */     GIR_EraseRootFromParent_Done,
     /* 1267669 */   // Label 18250: @1267669
     /* 1267669 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1267753), // Rule ID 22103 //
     /* 1267674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1267691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1267730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267752 */     // GIR_Coverage, 22103,
     /* 1267752 */     GIR_EraseRootFromParent_Done,
     /* 1267753 */   // Label 18251: @1267753
     /* 1267753 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1267837), // Rule ID 22106 //
     /* 1267758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1267814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267836 */     // GIR_Coverage, 22106,
     /* 1267836 */     GIR_EraseRootFromParent_Done,
     /* 1267837 */   // Label 18252: @1267837
     /* 1267837 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1267921), // Rule ID 22107 //
     /* 1267842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1267853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1267856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1267895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1267898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1267919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267920 */     // GIR_Coverage, 22107,
     /* 1267920 */     GIR_EraseRootFromParent_Done,
     /* 1267921 */   // Label 18253: @1267921
     /* 1267921 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268005), // Rule ID 22110 //
     /* 1267926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1267934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1267937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1267940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1267946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1267956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1267979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1267982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1267986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268004 */     // GIR_Coverage, 22110,
     /* 1268004 */     GIR_EraseRootFromParent_Done,
     /* 1268005 */   // Label 18254: @1268005
     /* 1268005 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268089), // Rule ID 22111 //
     /* 1268010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1268021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1268024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1268066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268088 */     // GIR_Coverage, 22111,
     /* 1268088 */     GIR_EraseRootFromParent_Done,
     /* 1268089 */   // Label 18255: @1268089
     /* 1268089 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268173), // Rule ID 22114 //
     /* 1268094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1268105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1268108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1268150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268172 */     // GIR_Coverage, 22114,
     /* 1268172 */     GIR_EraseRootFromParent_Done,
     /* 1268173 */   // Label 18256: @1268173
     /* 1268173 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268257), // Rule ID 22115 //
     /* 1268178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1268189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1268192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1268234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268256 */     // GIR_Coverage, 22115,
     /* 1268256 */     GIR_EraseRootFromParent_Done,
     /* 1268257 */   // Label 18257: @1268257
     /* 1268257 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268341), // Rule ID 22118 //
     /* 1268262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1268273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1268276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1268318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268340 */     // GIR_Coverage, 22118,
     /* 1268340 */     GIR_EraseRootFromParent_Done,
     /* 1268341 */   // Label 18258: @1268341
     /* 1268341 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268425), // Rule ID 22119 //
     /* 1268346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1268357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1268360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1268402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268424 */     // GIR_Coverage, 22119,
     /* 1268424 */     GIR_EraseRootFromParent_Done,
     /* 1268425 */   // Label 18259: @1268425
     /* 1268425 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268509), // Rule ID 22122 //
     /* 1268430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1268441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1268444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1268486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268508 */     // GIR_Coverage, 22122,
     /* 1268508 */     GIR_EraseRootFromParent_Done,
     /* 1268509 */   // Label 18260: @1268509
     /* 1268509 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268593), // Rule ID 22123 //
     /* 1268514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1268525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1268528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1268531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1268534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1268570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268592 */     // GIR_Coverage, 22123,
     /* 1268592 */     GIR_EraseRootFromParent_Done,
     /* 1268593 */   // Label 18261: @1268593
     /* 1268593 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268677), // Rule ID 22126 //
     /* 1268598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1268609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1268612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1268654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268676 */     // GIR_Coverage, 22126,
     /* 1268676 */     GIR_EraseRootFromParent_Done,
     /* 1268677 */   // Label 18262: @1268677
     /* 1268677 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1268761), // Rule ID 22127 //
     /* 1268682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1268693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1268696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1268699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1268702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268735 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1268738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268760 */     // GIR_Coverage, 22127,
     /* 1268760 */     GIR_EraseRootFromParent_Done,
     /* 1268761 */   // Label 18263: @1268761
     /* 1268761 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1268845), // Rule ID 22130 //
     /* 1268766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1268777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1268780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1268822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268844 */     // GIR_Coverage, 22130,
     /* 1268844 */     GIR_EraseRootFromParent_Done,
     /* 1268845 */   // Label 18264: @1268845
     /* 1268845 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1268929), // Rule ID 22131 //
     /* 1268850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1268861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1268864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1268903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1268906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1268927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268928 */     // GIR_Coverage, 22131,
     /* 1268928 */     GIR_EraseRootFromParent_Done,
     /* 1268929 */   // Label 18265: @1268929
     /* 1268929 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269013), // Rule ID 22134 //
     /* 1268934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1268942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1268945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1268948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1268964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1268987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1268990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1268994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269012 */     // GIR_Coverage, 22134,
     /* 1269012 */     GIR_EraseRootFromParent_Done,
     /* 1269013 */   // Label 18266: @1269013
     /* 1269013 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269097), // Rule ID 22135 //
     /* 1269018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1269029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1269032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1269038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1269074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269096 */     // GIR_Coverage, 22135,
     /* 1269096 */     GIR_EraseRootFromParent_Done,
     /* 1269097 */   // Label 18267: @1269097
     /* 1269097 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269181), // Rule ID 22138 //
     /* 1269102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1269158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269180 */     // GIR_Coverage, 22138,
     /* 1269180 */     GIR_EraseRootFromParent_Done,
     /* 1269181 */   // Label 18268: @1269181
     /* 1269181 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269265), // Rule ID 22139 //
     /* 1269186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1269242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269264 */     // GIR_Coverage, 22139,
     /* 1269264 */     GIR_EraseRootFromParent_Done,
     /* 1269265 */   // Label 18269: @1269265
     /* 1269265 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269349), // Rule ID 22142 //
     /* 1269270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1269326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269348 */     // GIR_Coverage, 22142,
     /* 1269348 */     GIR_EraseRootFromParent_Done,
     /* 1269349 */   // Label 18270: @1269349
     /* 1269349 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269433), // Rule ID 22143 //
     /* 1269354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1269410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269432 */     // GIR_Coverage, 22143,
     /* 1269432 */     GIR_EraseRootFromParent_Done,
     /* 1269433 */   // Label 18271: @1269433
     /* 1269433 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269517), // Rule ID 22146 //
     /* 1269438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269491 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1269494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269516 */     // GIR_Coverage, 22146,
     /* 1269516 */     GIR_EraseRootFromParent_Done,
     /* 1269517 */   // Label 18272: @1269517
     /* 1269517 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269601), // Rule ID 22147 //
     /* 1269522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1269533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1269536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1269539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1269542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1269545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269575 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1269578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269600 */     // GIR_Coverage, 22147,
     /* 1269600 */     GIR_EraseRootFromParent_Done,
     /* 1269601 */   // Label 18273: @1269601
     /* 1269601 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269685), // Rule ID 22150 //
     /* 1269606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1269617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1269620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1269662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269684 */     // GIR_Coverage, 22150,
     /* 1269684 */     GIR_EraseRootFromParent_Done,
     /* 1269685 */   // Label 18274: @1269685
     /* 1269685 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1269769), // Rule ID 22151 //
     /* 1269690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1269701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1269704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1269707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1269746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269768 */     // GIR_Coverage, 22151,
     /* 1269768 */     GIR_EraseRootFromParent_Done,
     /* 1269769 */   // Label 18275: @1269769
     /* 1269769 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1269853), // Rule ID 22154 //
     /* 1269774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1269785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1269788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1269830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269852 */     // GIR_Coverage, 22154,
     /* 1269852 */     GIR_EraseRootFromParent_Done,
     /* 1269853 */   // Label 18276: @1269853
     /* 1269853 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1269937), // Rule ID 22155 //
     /* 1269858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1269869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1269872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1269911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1269914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1269918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1269935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269936 */     // GIR_Coverage, 22155,
     /* 1269936 */     GIR_EraseRootFromParent_Done,
     /* 1269937 */   // Label 18277: @1269937
     /* 1269937 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270021), // Rule ID 22158 //
     /* 1269942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1269950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1269953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1269956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1269959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1269962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1269972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1269995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1269998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270020 */     // GIR_Coverage, 22158,
     /* 1270020 */     GIR_EraseRootFromParent_Done,
     /* 1270021 */   // Label 18278: @1270021
     /* 1270021 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270105), // Rule ID 22159 //
     /* 1270026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1270037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1270040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1270046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270079 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1270082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270104 */     // GIR_Coverage, 22159,
     /* 1270104 */     GIR_EraseRootFromParent_Done,
     /* 1270105 */   // Label 18279: @1270105
     /* 1270105 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270189), // Rule ID 22162 //
     /* 1270110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1270163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1270166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270188 */     // GIR_Coverage, 22162,
     /* 1270188 */     GIR_EraseRootFromParent_Done,
     /* 1270189 */   // Label 18280: @1270189
     /* 1270189 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270273), // Rule ID 22163 //
     /* 1270194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1270250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270272 */     // GIR_Coverage, 22163,
     /* 1270272 */     GIR_EraseRootFromParent_Done,
     /* 1270273 */   // Label 18281: @1270273
     /* 1270273 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270357), // Rule ID 22166 //
     /* 1270278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1270331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1270334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270356 */     // GIR_Coverage, 22166,
     /* 1270356 */     GIR_EraseRootFromParent_Done,
     /* 1270357 */   // Label 18282: @1270357
     /* 1270357 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270441), // Rule ID 22167 //
     /* 1270362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1270418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270440 */     // GIR_Coverage, 22167,
     /* 1270440 */     GIR_EraseRootFromParent_Done,
     /* 1270441 */   // Label 18283: @1270441
     /* 1270441 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270525), // Rule ID 22170 //
     /* 1270446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1270499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1270502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270524 */     // GIR_Coverage, 22170,
     /* 1270524 */     GIR_EraseRootFromParent_Done,
     /* 1270525 */   // Label 18284: @1270525
     /* 1270525 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270609), // Rule ID 22171 //
     /* 1270530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1270541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1270544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1270547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1270586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270608 */     // GIR_Coverage, 22171,
     /* 1270608 */     GIR_EraseRootFromParent_Done,
     /* 1270609 */   // Label 18285: @1270609
     /* 1270609 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270693), // Rule ID 22174 //
     /* 1270614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1270625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1270628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1270667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1270670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270692 */     // GIR_Coverage, 22174,
     /* 1270692 */     GIR_EraseRootFromParent_Done,
     /* 1270693 */   // Label 18286: @1270693
     /* 1270693 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1270777), // Rule ID 22175 //
     /* 1270698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1270709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1270712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1270715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1270754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270776 */     // GIR_Coverage, 22175,
     /* 1270776 */     GIR_EraseRootFromParent_Done,
     /* 1270777 */   // Label 18287: @1270777
     /* 1270777 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1270861), // Rule ID 22178 //
     /* 1270782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1270793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1270796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1270835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1270838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270860 */     // GIR_Coverage, 22178,
     /* 1270860 */     GIR_EraseRootFromParent_Done,
     /* 1270861 */   // Label 18288: @1270861
     /* 1270861 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1270945), // Rule ID 22179 //
     /* 1270866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1270877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1270880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1270919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1270922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1270926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1270943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270944 */     // GIR_Coverage, 22179,
     /* 1270944 */     GIR_EraseRootFromParent_Done,
     /* 1270945 */   // Label 18289: @1270945
     /* 1270945 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271029), // Rule ID 22182 //
     /* 1270950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1270958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1270961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1270964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1270967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1270980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1271006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271028 */     // GIR_Coverage, 22182,
     /* 1271028 */     GIR_EraseRootFromParent_Done,
     /* 1271029 */   // Label 18290: @1271029
     /* 1271029 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271113), // Rule ID 22183 //
     /* 1271034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1271042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1271045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1271048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1271054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1271090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271112 */     // GIR_Coverage, 22183,
     /* 1271112 */     GIR_EraseRootFromParent_Done,
     /* 1271113 */   // Label 18291: @1271113
     /* 1271113 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271197), // Rule ID 22186 //
     /* 1271118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1271174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271196 */     // GIR_Coverage, 22186,
     /* 1271196 */     GIR_EraseRootFromParent_Done,
     /* 1271197 */   // Label 18292: @1271197
     /* 1271197 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271281), // Rule ID 22187 //
     /* 1271202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1271258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271280 */     // GIR_Coverage, 22187,
     /* 1271280 */     GIR_EraseRootFromParent_Done,
     /* 1271281 */   // Label 18293: @1271281
     /* 1271281 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271365), // Rule ID 22190 //
     /* 1271286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1271342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271364 */     // GIR_Coverage, 22190,
     /* 1271364 */     GIR_EraseRootFromParent_Done,
     /* 1271365 */   // Label 18294: @1271365
     /* 1271365 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271449), // Rule ID 22191 //
     /* 1271370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1271426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271448 */     // GIR_Coverage, 22191,
     /* 1271448 */     GIR_EraseRootFromParent_Done,
     /* 1271449 */   // Label 18295: @1271449
     /* 1271449 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271533), // Rule ID 22194 //
     /* 1271454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1271510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271532 */     // GIR_Coverage, 22194,
     /* 1271532 */     GIR_EraseRootFromParent_Done,
     /* 1271533 */   // Label 18296: @1271533
     /* 1271533 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271617), // Rule ID 22195 //
     /* 1271538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1271549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1271552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1271555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1271558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1271594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271616 */     // GIR_Coverage, 22195,
     /* 1271616 */     GIR_EraseRootFromParent_Done,
     /* 1271617 */   // Label 18297: @1271617
     /* 1271617 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271701), // Rule ID 22198 //
     /* 1271622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1271633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1271636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1271642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1271678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271700 */     // GIR_Coverage, 22198,
     /* 1271700 */     GIR_EraseRootFromParent_Done,
     /* 1271701 */   // Label 18298: @1271701
     /* 1271701 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1271785), // Rule ID 22199 //
     /* 1271706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1271717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1271720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1271723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1271726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1271762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271784 */     // GIR_Coverage, 22199,
     /* 1271784 */     GIR_EraseRootFromParent_Done,
     /* 1271785 */   // Label 18299: @1271785
     /* 1271785 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1271869), // Rule ID 22202 //
     /* 1271790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1271801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1271804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1271810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1271843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1271846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271868 */     // GIR_Coverage, 22202,
     /* 1271868 */     GIR_EraseRootFromParent_Done,
     /* 1271869 */   // Label 18300: @1271869
     /* 1271869 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1271953), // Rule ID 22203 //
     /* 1271874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1271885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1271888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1271894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1271927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1271930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1271934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1271951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271952 */     // GIR_Coverage, 22203,
     /* 1271952 */     GIR_EraseRootFromParent_Done,
     /* 1271953 */   // Label 18301: @1271953
     /* 1271953 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272037), // Rule ID 22206 //
     /* 1271958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1271966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1271969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1271972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1271975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1271978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1271988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1272014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272036 */     // GIR_Coverage, 22206,
     /* 1272036 */     GIR_EraseRootFromParent_Done,
     /* 1272037 */   // Label 18302: @1272037
     /* 1272037 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272121), // Rule ID 22207 //
     /* 1272042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1272053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1272056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1272062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1272098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272120 */     // GIR_Coverage, 22207,
     /* 1272120 */     GIR_EraseRootFromParent_Done,
     /* 1272121 */   // Label 18303: @1272121
     /* 1272121 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272205), // Rule ID 22210 //
     /* 1272126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1272137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1272140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272179 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1272182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272204 */     // GIR_Coverage, 22210,
     /* 1272204 */     GIR_EraseRootFromParent_Done,
     /* 1272205 */   // Label 18304: @1272205
     /* 1272205 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272289), // Rule ID 22211 //
     /* 1272210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1272221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1272224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1272266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272288 */     // GIR_Coverage, 22211,
     /* 1272288 */     GIR_EraseRootFromParent_Done,
     /* 1272289 */   // Label 18305: @1272289
     /* 1272289 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272373), // Rule ID 22214 //
     /* 1272294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1272305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1272308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1272314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1272350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272372 */     // GIR_Coverage, 22214,
     /* 1272372 */     GIR_EraseRootFromParent_Done,
     /* 1272373 */   // Label 18306: @1272373
     /* 1272373 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272457), // Rule ID 22215 //
     /* 1272378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1272389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1272392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1272398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1272434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272456 */     // GIR_Coverage, 22215,
     /* 1272456 */     GIR_EraseRootFromParent_Done,
     /* 1272457 */   // Label 18307: @1272457
     /* 1272457 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272541), // Rule ID 22218 //
     /* 1272462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1272473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1272476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1272482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1272518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272540 */     // GIR_Coverage, 22218,
     /* 1272540 */     GIR_EraseRootFromParent_Done,
     /* 1272541 */   // Label 18308: @1272541
     /* 1272541 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272625), // Rule ID 22219 //
     /* 1272546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1272557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1272560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1272563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1272566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1272602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272624 */     // GIR_Coverage, 22219,
     /* 1272624 */     GIR_EraseRootFromParent_Done,
     /* 1272625 */   // Label 18309: @1272625
     /* 1272625 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272709), // Rule ID 22222 //
     /* 1272630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1272641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1272644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1272650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1272686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272708 */     // GIR_Coverage, 22222,
     /* 1272708 */     GIR_EraseRootFromParent_Done,
     /* 1272709 */   // Label 18310: @1272709
     /* 1272709 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1272793), // Rule ID 22223 //
     /* 1272714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1272725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1272728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1272731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1272734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1272770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272792 */     // GIR_Coverage, 22223,
     /* 1272792 */     GIR_EraseRootFromParent_Done,
     /* 1272793 */   // Label 18311: @1272793
     /* 1272793 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1272877), // Rule ID 22226 //
     /* 1272798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1272809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1272812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1272851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1272854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272876 */     // GIR_Coverage, 22226,
     /* 1272876 */     GIR_EraseRootFromParent_Done,
     /* 1272877 */   // Label 18312: @1272877
     /* 1272877 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1272961), // Rule ID 22227 //
     /* 1272882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1272893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1272896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1272935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1272938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1272942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1272959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272960 */     // GIR_Coverage, 22227,
     /* 1272960 */     GIR_EraseRootFromParent_Done,
     /* 1272961 */   // Label 18313: @1272961
     /* 1272961 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273045), // Rule ID 22230 //
     /* 1272966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1272974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1272977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1272980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1272983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1272996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273019 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1273022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273044 */     // GIR_Coverage, 22230,
     /* 1273044 */     GIR_EraseRootFromParent_Done,
     /* 1273045 */   // Label 18314: @1273045
     /* 1273045 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273129), // Rule ID 22231 //
     /* 1273050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1273061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1273064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1273070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1273106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273128 */     // GIR_Coverage, 22231,
     /* 1273128 */     GIR_EraseRootFromParent_Done,
     /* 1273129 */   // Label 18315: @1273129
     /* 1273129 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273213), // Rule ID 22234 //
     /* 1273134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1273145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1273148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1273154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1273190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273212 */     // GIR_Coverage, 22234,
     /* 1273212 */     GIR_EraseRootFromParent_Done,
     /* 1273213 */   // Label 18316: @1273213
     /* 1273213 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273297), // Rule ID 22235 //
     /* 1273218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1273229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1273232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1273238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1273274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273296 */     // GIR_Coverage, 22235,
     /* 1273296 */     GIR_EraseRootFromParent_Done,
     /* 1273297 */   // Label 18317: @1273297
     /* 1273297 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273381), // Rule ID 22238 //
     /* 1273302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1273358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273380 */     // GIR_Coverage, 22238,
     /* 1273380 */     GIR_EraseRootFromParent_Done,
     /* 1273381 */   // Label 18318: @1273381
     /* 1273381 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273465), // Rule ID 22239 //
     /* 1273386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1273442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273464 */     // GIR_Coverage, 22239,
     /* 1273464 */     GIR_EraseRootFromParent_Done,
     /* 1273465 */   // Label 18319: @1273465
     /* 1273465 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273549), // Rule ID 22242 //
     /* 1273470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1273526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273548 */     // GIR_Coverage, 22242,
     /* 1273548 */     GIR_EraseRootFromParent_Done,
     /* 1273549 */   // Label 18320: @1273549
     /* 1273549 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273633), // Rule ID 22243 //
     /* 1273554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1273571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1273610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273632 */     // GIR_Coverage, 22243,
     /* 1273632 */     GIR_EraseRootFromParent_Done,
     /* 1273633 */   // Label 18321: @1273633
     /* 1273633 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273717), // Rule ID 22246 //
     /* 1273638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1273694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273716 */     // GIR_Coverage, 22246,
     /* 1273716 */     GIR_EraseRootFromParent_Done,
     /* 1273717 */   // Label 18322: @1273717
     /* 1273717 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1273801), // Rule ID 22247 //
     /* 1273722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1273733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1273736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1273739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1273778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273800 */     // GIR_Coverage, 22247,
     /* 1273800 */     GIR_EraseRootFromParent_Done,
     /* 1273801 */   // Label 18323: @1273801
     /* 1273801 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1273885), // Rule ID 22250 //
     /* 1273806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1273817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1273820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1273859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1273862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273884 */     // GIR_Coverage, 22250,
     /* 1273884 */     GIR_EraseRootFromParent_Done,
     /* 1273885 */   // Label 18324: @1273885
     /* 1273885 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1273969), // Rule ID 22251 //
     /* 1273890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1273901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1273904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1273920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1273943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1273946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1273950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1273967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273968 */     // GIR_Coverage, 22251,
     /* 1273968 */     GIR_EraseRootFromParent_Done,
     /* 1273969 */   // Label 18325: @1273969
     /* 1273969 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274053), // Rule ID 22254 //
     /* 1273974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1273982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1273985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1273988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1273991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1274030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274052 */     // GIR_Coverage, 22254,
     /* 1274052 */     GIR_EraseRootFromParent_Done,
     /* 1274053 */   // Label 18326: @1274053
     /* 1274053 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274137), // Rule ID 22255 //
     /* 1274058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1274069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1274072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1274078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1274114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274136 */     // GIR_Coverage, 22255,
     /* 1274136 */     GIR_EraseRootFromParent_Done,
     /* 1274137 */   // Label 18327: @1274137
     /* 1274137 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274221), // Rule ID 22258 //
     /* 1274142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1274153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1274156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1274162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274195 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1274198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274220 */     // GIR_Coverage, 22258,
     /* 1274220 */     GIR_EraseRootFromParent_Done,
     /* 1274221 */   // Label 18328: @1274221
     /* 1274221 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274305), // Rule ID 22259 //
     /* 1274226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1274237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1274240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1274246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1274282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274304 */     // GIR_Coverage, 22259,
     /* 1274304 */     GIR_EraseRootFromParent_Done,
     /* 1274305 */   // Label 18329: @1274305
     /* 1274305 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274389), // Rule ID 22262 //
     /* 1274310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1274366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274388 */     // GIR_Coverage, 22262,
     /* 1274388 */     GIR_EraseRootFromParent_Done,
     /* 1274389 */   // Label 18330: @1274389
     /* 1274389 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274473), // Rule ID 22263 //
     /* 1274394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1274450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274472 */     // GIR_Coverage, 22263,
     /* 1274472 */     GIR_EraseRootFromParent_Done,
     /* 1274473 */   // Label 18331: @1274473
     /* 1274473 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274557), // Rule ID 22266 //
     /* 1274478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1274534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274556 */     // GIR_Coverage, 22266,
     /* 1274556 */     GIR_EraseRootFromParent_Done,
     /* 1274557 */   // Label 18332: @1274557
     /* 1274557 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274641), // Rule ID 22267 //
     /* 1274562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1274579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1274618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274640 */     // GIR_Coverage, 22267,
     /* 1274640 */     GIR_EraseRootFromParent_Done,
     /* 1274641 */   // Label 18333: @1274641
     /* 1274641 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274725), // Rule ID 22270 //
     /* 1274646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1274702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274724 */     // GIR_Coverage, 22270,
     /* 1274724 */     GIR_EraseRootFromParent_Done,
     /* 1274725 */   // Label 18334: @1274725
     /* 1274725 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1274809), // Rule ID 22271 //
     /* 1274730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1274738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1274741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1274744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1274747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1274786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274808 */     // GIR_Coverage, 22271,
     /* 1274808 */     GIR_EraseRootFromParent_Done,
     /* 1274809 */   // Label 18335: @1274809
     /* 1274809 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1274893), // Rule ID 22274 //
     /* 1274814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1274822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1274825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1274828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1274834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1274867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1274870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274892 */     // GIR_Coverage, 22274,
     /* 1274892 */     GIR_EraseRootFromParent_Done,
     /* 1274893 */   // Label 18336: @1274893
     /* 1274893 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1274977), // Rule ID 22275 //
     /* 1274898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1274906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1274909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1274912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1274918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1274928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1274951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1274954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1274958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1274975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274976 */     // GIR_Coverage, 22275,
     /* 1274976 */     GIR_EraseRootFromParent_Done,
     /* 1274977 */   // Label 18337: @1274977
     /* 1274977 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275061), // Rule ID 22278 //
     /* 1274982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1274990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1274993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1274996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1274999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275035 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1275038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275060 */     // GIR_Coverage, 22278,
     /* 1275060 */     GIR_EraseRootFromParent_Done,
     /* 1275061 */   // Label 18338: @1275061
     /* 1275061 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275145), // Rule ID 22279 //
     /* 1275066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1275077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1275080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275119 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1275122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275144 */     // GIR_Coverage, 22279,
     /* 1275144 */     GIR_EraseRootFromParent_Done,
     /* 1275145 */   // Label 18339: @1275145
     /* 1275145 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275229), // Rule ID 22282 //
     /* 1275150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1275161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1275164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1275206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275228 */     // GIR_Coverage, 22282,
     /* 1275228 */     GIR_EraseRootFromParent_Done,
     /* 1275229 */   // Label 18340: @1275229
     /* 1275229 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275313), // Rule ID 22283 //
     /* 1275234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1275245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1275248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1275290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275312 */     // GIR_Coverage, 22283,
     /* 1275312 */     GIR_EraseRootFromParent_Done,
     /* 1275313 */   // Label 18341: @1275313
     /* 1275313 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275397), // Rule ID 22286 //
     /* 1275318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1275329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1275332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1275374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275396 */     // GIR_Coverage, 22286,
     /* 1275396 */     GIR_EraseRootFromParent_Done,
     /* 1275397 */   // Label 18342: @1275397
     /* 1275397 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275481), // Rule ID 22287 //
     /* 1275402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1275413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1275416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1275458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275480 */     // GIR_Coverage, 22287,
     /* 1275480 */     GIR_EraseRootFromParent_Done,
     /* 1275481 */   // Label 18343: @1275481
     /* 1275481 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275565), // Rule ID 22290 //
     /* 1275486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1275497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1275500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1275542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275564 */     // GIR_Coverage, 22290,
     /* 1275564 */     GIR_EraseRootFromParent_Done,
     /* 1275565 */   // Label 18344: @1275565
     /* 1275565 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275649), // Rule ID 22291 //
     /* 1275570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1275581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1275584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1275587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1275626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275648 */     // GIR_Coverage, 22291,
     /* 1275648 */     GIR_EraseRootFromParent_Done,
     /* 1275649 */   // Label 18345: @1275649
     /* 1275649 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275733), // Rule ID 22294 //
     /* 1275654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1275665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1275668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1275710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275732 */     // GIR_Coverage, 22294,
     /* 1275732 */     GIR_EraseRootFromParent_Done,
     /* 1275733 */   // Label 18346: @1275733
     /* 1275733 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1275817), // Rule ID 22295 //
     /* 1275738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1275749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1275752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1275755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275791 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1275794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275816 */     // GIR_Coverage, 22295,
     /* 1275816 */     GIR_EraseRootFromParent_Done,
     /* 1275817 */   // Label 18347: @1275817
     /* 1275817 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1275901), // Rule ID 22298 //
     /* 1275822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1275833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1275836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1275875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1275878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275900 */     // GIR_Coverage, 22298,
     /* 1275900 */     GIR_EraseRootFromParent_Done,
     /* 1275901 */   // Label 18348: @1275901
     /* 1275901 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1275985), // Rule ID 22299 //
     /* 1275906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1275917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1275920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1275936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1275959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1275962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1275966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1275983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275984 */     // GIR_Coverage, 22299,
     /* 1275984 */     GIR_EraseRootFromParent_Done,
     /* 1275985 */   // Label 18349: @1275985
     /* 1275985 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276069), // Rule ID 22302 //
     /* 1275990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1275998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1276001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1276004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1276046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276068 */     // GIR_Coverage, 22302,
     /* 1276068 */     GIR_EraseRootFromParent_Done,
     /* 1276069 */   // Label 18350: @1276069
     /* 1276069 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276153), // Rule ID 22303 //
     /* 1276074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1276085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1276088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1276094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1276130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276152 */     // GIR_Coverage, 22303,
     /* 1276152 */     GIR_EraseRootFromParent_Done,
     /* 1276153 */   // Label 18351: @1276153
     /* 1276153 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276237), // Rule ID 22306 //
     /* 1276158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1276169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1276172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1276214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276236 */     // GIR_Coverage, 22306,
     /* 1276236 */     GIR_EraseRootFromParent_Done,
     /* 1276237 */   // Label 18352: @1276237
     /* 1276237 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276321), // Rule ID 22307 //
     /* 1276242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1276253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1276256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1276262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1276298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276320 */     // GIR_Coverage, 22307,
     /* 1276320 */     GIR_EraseRootFromParent_Done,
     /* 1276321 */   // Label 18353: @1276321
     /* 1276321 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276405), // Rule ID 22310 //
     /* 1276326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1276337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1276340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1276382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276404 */     // GIR_Coverage, 22310,
     /* 1276404 */     GIR_EraseRootFromParent_Done,
     /* 1276405 */   // Label 18354: @1276405
     /* 1276405 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276489), // Rule ID 22311 //
     /* 1276410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1276421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1276424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1276430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1276466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276488 */     // GIR_Coverage, 22311,
     /* 1276488 */     GIR_EraseRootFromParent_Done,
     /* 1276489 */   // Label 18355: @1276489
     /* 1276489 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276573), // Rule ID 22314 //
     /* 1276494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1276550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276572 */     // GIR_Coverage, 22314,
     /* 1276572 */     GIR_EraseRootFromParent_Done,
     /* 1276573 */   // Label 18356: @1276573
     /* 1276573 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276657), // Rule ID 22315 //
     /* 1276578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1276595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1276634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276656 */     // GIR_Coverage, 22315,
     /* 1276656 */     GIR_EraseRootFromParent_Done,
     /* 1276657 */   // Label 18357: @1276657
     /* 1276657 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276741), // Rule ID 22318 //
     /* 1276662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276715 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1276718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276740 */     // GIR_Coverage, 22318,
     /* 1276740 */     GIR_EraseRootFromParent_Done,
     /* 1276741 */   // Label 18358: @1276741
     /* 1276741 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1276825), // Rule ID 22319 //
     /* 1276746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1276763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276799 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1276802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276824 */     // GIR_Coverage, 22319,
     /* 1276824 */     GIR_EraseRootFromParent_Done,
     /* 1276825 */   // Label 18359: @1276825
     /* 1276825 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1276909), // Rule ID 22322 //
     /* 1276830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1276883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1276886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276908 */     // GIR_Coverage, 22322,
     /* 1276908 */     GIR_EraseRootFromParent_Done,
     /* 1276909 */   // Label 18360: @1276909
     /* 1276909 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1276993), // Rule ID 22323 //
     /* 1276914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1276922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1276925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1276928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1276934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1276944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1276967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1276970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1276974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1276991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276992 */     // GIR_Coverage, 22323,
     /* 1276992 */     GIR_EraseRootFromParent_Done,
     /* 1276993 */   // Label 18361: @1276993
     /* 1276993 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277077), // Rule ID 22326 //
     /* 1276998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1277054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277076 */     // GIR_Coverage, 22326,
     /* 1277076 */     GIR_EraseRootFromParent_Done,
     /* 1277077 */   // Label 18362: @1277077
     /* 1277077 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277161), // Rule ID 22327 //
     /* 1277082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277135 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1277138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277160 */     // GIR_Coverage, 22327,
     /* 1277160 */     GIR_EraseRootFromParent_Done,
     /* 1277161 */   // Label 18363: @1277161
     /* 1277161 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277245), // Rule ID 22330 //
     /* 1277166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1277222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277244 */     // GIR_Coverage, 22330,
     /* 1277244 */     GIR_EraseRootFromParent_Done,
     /* 1277245 */   // Label 18364: @1277245
     /* 1277245 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277329), // Rule ID 22331 //
     /* 1277250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1277306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277328 */     // GIR_Coverage, 22331,
     /* 1277328 */     GIR_EraseRootFromParent_Done,
     /* 1277329 */   // Label 18365: @1277329
     /* 1277329 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277413), // Rule ID 22334 //
     /* 1277334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1277390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277412 */     // GIR_Coverage, 22334,
     /* 1277412 */     GIR_EraseRootFromParent_Done,
     /* 1277413 */   // Label 18366: @1277413
     /* 1277413 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277497), // Rule ID 22335 //
     /* 1277418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1277429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1277432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1277474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277496 */     // GIR_Coverage, 22335,
     /* 1277496 */     GIR_EraseRootFromParent_Done,
     /* 1277497 */   // Label 18367: @1277497
     /* 1277497 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277581), // Rule ID 22338 //
     /* 1277502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1277558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277580 */     // GIR_Coverage, 22338,
     /* 1277580 */     GIR_EraseRootFromParent_Done,
     /* 1277581 */   // Label 18368: @1277581
     /* 1277581 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277665), // Rule ID 22339 //
     /* 1277586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1277642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277664 */     // GIR_Coverage, 22339,
     /* 1277664 */     GIR_EraseRootFromParent_Done,
     /* 1277665 */   // Label 18369: @1277665
     /* 1277665 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277749), // Rule ID 22342 //
     /* 1277670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1277726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277748 */     // GIR_Coverage, 22342,
     /* 1277748 */     GIR_EraseRootFromParent_Done,
     /* 1277749 */   // Label 18370: @1277749
     /* 1277749 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1277833), // Rule ID 22343 //
     /* 1277754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1277810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277832 */     // GIR_Coverage, 22343,
     /* 1277832 */     GIR_EraseRootFromParent_Done,
     /* 1277833 */   // Label 18371: @1277833
     /* 1277833 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1277917), // Rule ID 22346 //
     /* 1277838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1277891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1277894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277916 */     // GIR_Coverage, 22346,
     /* 1277916 */     GIR_EraseRootFromParent_Done,
     /* 1277917 */   // Label 18372: @1277917
     /* 1277917 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278001), // Rule ID 22347 //
     /* 1277922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1277930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1277933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1277936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1277942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1277952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1277975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1277978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1277982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1277999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278000 */     // GIR_Coverage, 22347,
     /* 1278000 */     GIR_EraseRootFromParent_Done,
     /* 1278001 */   // Label 18373: @1278001
     /* 1278001 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278085), // Rule ID 22350 //
     /* 1278006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1278062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278084 */     // GIR_Coverage, 22350,
     /* 1278084 */     GIR_EraseRootFromParent_Done,
     /* 1278085 */   // Label 18374: @1278085
     /* 1278085 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278169), // Rule ID 22351 //
     /* 1278090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1278146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278168 */     // GIR_Coverage, 22351,
     /* 1278168 */     GIR_EraseRootFromParent_Done,
     /* 1278169 */   // Label 18375: @1278169
     /* 1278169 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278253), // Rule ID 22354 //
     /* 1278174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1278230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278252 */     // GIR_Coverage, 22354,
     /* 1278252 */     GIR_EraseRootFromParent_Done,
     /* 1278253 */   // Label 18376: @1278253
     /* 1278253 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278337), // Rule ID 22355 //
     /* 1278258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1278314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278336 */     // GIR_Coverage, 22355,
     /* 1278336 */     GIR_EraseRootFromParent_Done,
     /* 1278337 */   // Label 18377: @1278337
     /* 1278337 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278421), // Rule ID 22358 //
     /* 1278342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1278398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278420 */     // GIR_Coverage, 22358,
     /* 1278420 */     GIR_EraseRootFromParent_Done,
     /* 1278421 */   // Label 18378: @1278421
     /* 1278421 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278505), // Rule ID 22359 //
     /* 1278426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1278434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1278437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1278440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278479 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1278482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278504 */     // GIR_Coverage, 22359,
     /* 1278504 */     GIR_EraseRootFromParent_Done,
     /* 1278505 */   // Label 18379: @1278505
     /* 1278505 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278589), // Rule ID 22362 //
     /* 1278510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1278566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278588 */     // GIR_Coverage, 22362,
     /* 1278588 */     GIR_EraseRootFromParent_Done,
     /* 1278589 */   // Label 18380: @1278589
     /* 1278589 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278673), // Rule ID 22363 //
     /* 1278594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1278611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1278650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278672 */     // GIR_Coverage, 22363,
     /* 1278672 */     GIR_EraseRootFromParent_Done,
     /* 1278673 */   // Label 18381: @1278673
     /* 1278673 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1278757), // Rule ID 22366 //
     /* 1278678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278731 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1278734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278756 */     // GIR_Coverage, 22366,
     /* 1278756 */     GIR_EraseRootFromParent_Done,
     /* 1278757 */   // Label 18382: @1278757
     /* 1278757 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1278841), // Rule ID 22367 //
     /* 1278762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1278779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1278818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278840 */     // GIR_Coverage, 22367,
     /* 1278840 */     GIR_EraseRootFromParent_Done,
     /* 1278841 */   // Label 18383: @1278841
     /* 1278841 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1278925), // Rule ID 22370 //
     /* 1278846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1278899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1278902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1278923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278924 */     // GIR_Coverage, 22370,
     /* 1278924 */     GIR_EraseRootFromParent_Done,
     /* 1278925 */   // Label 18384: @1278925
     /* 1278925 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279009), // Rule ID 22371 //
     /* 1278930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1278938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1278941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1278944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1278950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1278960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1278983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1278986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1278990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279008 */     // GIR_Coverage, 22371,
     /* 1279008 */     GIR_EraseRootFromParent_Done,
     /* 1279009 */   // Label 18385: @1279009
     /* 1279009 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279093), // Rule ID 22374 //
     /* 1279014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1279070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279092 */     // GIR_Coverage, 22374,
     /* 1279092 */     GIR_EraseRootFromParent_Done,
     /* 1279093 */   // Label 18386: @1279093
     /* 1279093 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279177), // Rule ID 22375 //
     /* 1279098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1279154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279176 */     // GIR_Coverage, 22375,
     /* 1279176 */     GIR_EraseRootFromParent_Done,
     /* 1279177 */   // Label 18387: @1279177
     /* 1279177 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279261), // Rule ID 22378 //
     /* 1279182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1279238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279260 */     // GIR_Coverage, 22378,
     /* 1279260 */     GIR_EraseRootFromParent_Done,
     /* 1279261 */   // Label 18388: @1279261
     /* 1279261 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279345), // Rule ID 22379 //
     /* 1279266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279319 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1279322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279344 */     // GIR_Coverage, 22379,
     /* 1279344 */     GIR_EraseRootFromParent_Done,
     /* 1279345 */   // Label 18389: @1279345
     /* 1279345 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279429), // Rule ID 22382 //
     /* 1279350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1279361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1279364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1279406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279428 */     // GIR_Coverage, 22382,
     /* 1279428 */     GIR_EraseRootFromParent_Done,
     /* 1279429 */   // Label 18390: @1279429
     /* 1279429 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279513), // Rule ID 22383 //
     /* 1279434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1279445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1279448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1279490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279512 */     // GIR_Coverage, 22383,
     /* 1279512 */     GIR_EraseRootFromParent_Done,
     /* 1279513 */   // Label 18391: @1279513
     /* 1279513 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279597), // Rule ID 22386 //
     /* 1279518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1279529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1279532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1279538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1279574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279596 */     // GIR_Coverage, 22386,
     /* 1279596 */     GIR_EraseRootFromParent_Done,
     /* 1279597 */   // Label 18392: @1279597
     /* 1279597 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279681), // Rule ID 22387 //
     /* 1279602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1279613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1279616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1279619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1279622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1279658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279680 */     // GIR_Coverage, 22387,
     /* 1279680 */     GIR_EraseRootFromParent_Done,
     /* 1279681 */   // Label 18393: @1279681
     /* 1279681 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1279765), // Rule ID 22390 //
     /* 1279686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1279742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279764 */     // GIR_Coverage, 22390,
     /* 1279764 */     GIR_EraseRootFromParent_Done,
     /* 1279765 */   // Label 18394: @1279765
     /* 1279765 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1279849), // Rule ID 22391 //
     /* 1279770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1279781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1279784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1279826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279848 */     // GIR_Coverage, 22391,
     /* 1279848 */     GIR_EraseRootFromParent_Done,
     /* 1279849 */   // Label 18395: @1279849
     /* 1279849 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1279933), // Rule ID 22394 //
     /* 1279854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1279865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1279868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1279907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1279910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1279931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279932 */     // GIR_Coverage, 22394,
     /* 1279932 */     GIR_EraseRootFromParent_Done,
     /* 1279933 */   // Label 18396: @1279933
     /* 1279933 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280017), // Rule ID 22395 //
     /* 1279938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1279946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1279949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1279952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1279968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1279991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1279994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1279998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280016 */     // GIR_Coverage, 22395,
     /* 1280016 */     GIR_EraseRootFromParent_Done,
     /* 1280017 */   // Label 18397: @1280017
     /* 1280017 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280101), // Rule ID 22398 //
     /* 1280022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1280033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1280036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1280042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1280078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280100 */     // GIR_Coverage, 22398,
     /* 1280100 */     GIR_EraseRootFromParent_Done,
     /* 1280101 */   // Label 18398: @1280101
     /* 1280101 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280185), // Rule ID 22399 //
     /* 1280106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1280117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1280120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1280126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1280162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280184 */     // GIR_Coverage, 22399,
     /* 1280184 */     GIR_EraseRootFromParent_Done,
     /* 1280185 */   // Label 18399: @1280185
     /* 1280185 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280269), // Rule ID 22402 //
     /* 1280190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280243 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1280246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280268 */     // GIR_Coverage, 22402,
     /* 1280268 */     GIR_EraseRootFromParent_Done,
     /* 1280269 */   // Label 18400: @1280269
     /* 1280269 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280353), // Rule ID 22403 //
     /* 1280274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1280330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280352 */     // GIR_Coverage, 22403,
     /* 1280352 */     GIR_EraseRootFromParent_Done,
     /* 1280353 */   // Label 18401: @1280353
     /* 1280353 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280437), // Rule ID 22406 //
     /* 1280358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1280414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280436 */     // GIR_Coverage, 22406,
     /* 1280436 */     GIR_EraseRootFromParent_Done,
     /* 1280437 */   // Label 18402: @1280437
     /* 1280437 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280521), // Rule ID 22407 //
     /* 1280442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1280498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280520 */     // GIR_Coverage, 22407,
     /* 1280520 */     GIR_EraseRootFromParent_Done,
     /* 1280521 */   // Label 18403: @1280521
     /* 1280521 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280605), // Rule ID 22410 //
     /* 1280526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1280582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280604 */     // GIR_Coverage, 22410,
     /* 1280604 */     GIR_EraseRootFromParent_Done,
     /* 1280605 */   // Label 18404: @1280605
     /* 1280605 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280689), // Rule ID 22411 //
     /* 1280610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1280621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1280624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1280627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1280633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280663 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1280666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280688 */     // GIR_Coverage, 22411,
     /* 1280688 */     GIR_EraseRootFromParent_Done,
     /* 1280689 */   // Label 18405: @1280689
     /* 1280689 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1280773), // Rule ID 22414 //
     /* 1280694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1280705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1280708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1280750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280772 */     // GIR_Coverage, 22414,
     /* 1280772 */     GIR_EraseRootFromParent_Done,
     /* 1280773 */   // Label 18406: @1280773
     /* 1280773 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1280857), // Rule ID 22415 //
     /* 1280778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1280789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1280792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1280834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280856 */     // GIR_Coverage, 22415,
     /* 1280856 */     GIR_EraseRootFromParent_Done,
     /* 1280857 */   // Label 18407: @1280857
     /* 1280857 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1280941), // Rule ID 22418 //
     /* 1280862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1280873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1280876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1280915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1280918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1280922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1280939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280940 */     // GIR_Coverage, 22418,
     /* 1280940 */     GIR_EraseRootFromParent_Done,
     /* 1280941 */   // Label 18408: @1280941
     /* 1280941 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281025), // Rule ID 22419 //
     /* 1280946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1280954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1280957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1280960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1280976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1280999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1281002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281024 */     // GIR_Coverage, 22419,
     /* 1281024 */     GIR_EraseRootFromParent_Done,
     /* 1281025 */   // Label 18409: @1281025
     /* 1281025 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281109), // Rule ID 22422 //
     /* 1281030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1281041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1281044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1281050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1281086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281108 */     // GIR_Coverage, 22422,
     /* 1281108 */     GIR_EraseRootFromParent_Done,
     /* 1281109 */   // Label 18410: @1281109
     /* 1281109 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281193), // Rule ID 22423 //
     /* 1281114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1281125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1281128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1281134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1281167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1281170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281192 */     // GIR_Coverage, 22423,
     /* 1281192 */     GIR_EraseRootFromParent_Done,
     /* 1281193 */   // Label 18411: @1281193
     /* 1281193 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281277), // Rule ID 22426 //
     /* 1281198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1281254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281276 */     // GIR_Coverage, 22426,
     /* 1281276 */     GIR_EraseRootFromParent_Done,
     /* 1281277 */   // Label 18412: @1281277
     /* 1281277 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281361), // Rule ID 22427 //
     /* 1281282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1281335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1281338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281360 */     // GIR_Coverage, 22427,
     /* 1281360 */     GIR_EraseRootFromParent_Done,
     /* 1281361 */   // Label 18413: @1281361
     /* 1281361 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281445), // Rule ID 22430 //
     /* 1281366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1281422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281444 */     // GIR_Coverage, 22430,
     /* 1281444 */     GIR_EraseRootFromParent_Done,
     /* 1281445 */   // Label 18414: @1281445
     /* 1281445 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281529), // Rule ID 22431 //
     /* 1281450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1281503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1281506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281528 */     // GIR_Coverage, 22431,
     /* 1281528 */     GIR_EraseRootFromParent_Done,
     /* 1281529 */   // Label 18415: @1281529
     /* 1281529 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281613), // Rule ID 22434 //
     /* 1281534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281587 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1281590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281612 */     // GIR_Coverage, 22434,
     /* 1281612 */     GIR_EraseRootFromParent_Done,
     /* 1281613 */   // Label 18416: @1281613
     /* 1281613 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281697), // Rule ID 22435 //
     /* 1281618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1281629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1281632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1281638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1281671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1281674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281696 */     // GIR_Coverage, 22435,
     /* 1281696 */     GIR_EraseRootFromParent_Done,
     /* 1281697 */   // Label 18417: @1281697
     /* 1281697 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1281781), // Rule ID 22438 //
     /* 1281702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1281713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1281716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1281758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281780 */     // GIR_Coverage, 22438,
     /* 1281780 */     GIR_EraseRootFromParent_Done,
     /* 1281781 */   // Label 18418: @1281781
     /* 1281781 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1281865), // Rule ID 22439 //
     /* 1281786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1281797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1281800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1281839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1281842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281864 */     // GIR_Coverage, 22439,
     /* 1281864 */     GIR_EraseRootFromParent_Done,
     /* 1281865 */   // Label 18419: @1281865
     /* 1281865 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1281949), // Rule ID 22442 //
     /* 1281870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1281881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1281884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1281923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1281926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1281930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1281947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281948 */     // GIR_Coverage, 22442,
     /* 1281948 */     GIR_EraseRootFromParent_Done,
     /* 1281949 */   // Label 18420: @1281949
     /* 1281949 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282033), // Rule ID 22443 //
     /* 1281954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1281962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1281965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1281968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1281974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1281984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1282010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282032 */     // GIR_Coverage, 22443,
     /* 1282032 */     GIR_EraseRootFromParent_Done,
     /* 1282033 */   // Label 18421: @1282033
     /* 1282033 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282117), // Rule ID 22446 //
     /* 1282038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1282046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1282049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1282052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1282058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1282094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282116 */     // GIR_Coverage, 22446,
     /* 1282116 */     GIR_EraseRootFromParent_Done,
     /* 1282117 */   // Label 18422: @1282117
     /* 1282117 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282201), // Rule ID 22447 //
     /* 1282122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1282130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1282133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1282136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1282142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282175 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1282178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282200 */     // GIR_Coverage, 22447,
     /* 1282200 */     GIR_EraseRootFromParent_Done,
     /* 1282201 */   // Label 18423: @1282201
     /* 1282201 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282285), // Rule ID 22450 //
     /* 1282206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1282262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282284 */     // GIR_Coverage, 22450,
     /* 1282284 */     GIR_EraseRootFromParent_Done,
     /* 1282285 */   // Label 18424: @1282285
     /* 1282285 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282369), // Rule ID 22451 //
     /* 1282290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1282346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282368 */     // GIR_Coverage, 22451,
     /* 1282368 */     GIR_EraseRootFromParent_Done,
     /* 1282369 */   // Label 18425: @1282369
     /* 1282369 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282453), // Rule ID 22454 //
     /* 1282374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1282430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282452 */     // GIR_Coverage, 22454,
     /* 1282452 */     GIR_EraseRootFromParent_Done,
     /* 1282453 */   // Label 18426: @1282453
     /* 1282453 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282537), // Rule ID 22455 //
     /* 1282458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1282475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1282514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282536 */     // GIR_Coverage, 22455,
     /* 1282536 */     GIR_EraseRootFromParent_Done,
     /* 1282537 */   // Label 18427: @1282537
     /* 1282537 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282621), // Rule ID 22458 //
     /* 1282542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282595 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1282598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282620 */     // GIR_Coverage, 22458,
     /* 1282620 */     GIR_EraseRootFromParent_Done,
     /* 1282621 */   // Label 18428: @1282621
     /* 1282621 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282705), // Rule ID 22459 //
     /* 1282626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1282637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1282640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1282643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1282682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282704 */     // GIR_Coverage, 22459,
     /* 1282704 */     GIR_EraseRootFromParent_Done,
     /* 1282705 */   // Label 18429: @1282705
     /* 1282705 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1282789), // Rule ID 22462 //
     /* 1282710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1282721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1282724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282763 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1282766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282788 */     // GIR_Coverage, 22462,
     /* 1282788 */     GIR_EraseRootFromParent_Done,
     /* 1282789 */   // Label 18430: @1282789
     /* 1282789 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1282873), // Rule ID 22463 //
     /* 1282794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1282805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1282808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1282847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1282850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282872 */     // GIR_Coverage, 22463,
     /* 1282872 */     GIR_EraseRootFromParent_Done,
     /* 1282873 */   // Label 18431: @1282873
     /* 1282873 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1282957), // Rule ID 22466 //
     /* 1282878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1282889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1282892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1282931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1282934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1282938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1282955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282956 */     // GIR_Coverage, 22466,
     /* 1282956 */     GIR_EraseRootFromParent_Done,
     /* 1282957 */   // Label 18432: @1282957
     /* 1282957 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283041), // Rule ID 22467 //
     /* 1282962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1282970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1282973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1282976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1282992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283015 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1283018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283040 */     // GIR_Coverage, 22467,
     /* 1283040 */     GIR_EraseRootFromParent_Done,
     /* 1283041 */   // Label 18433: @1283041
     /* 1283041 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283125), // Rule ID 22470 //
     /* 1283046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1283057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1283060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1283102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283124 */     // GIR_Coverage, 22470,
     /* 1283124 */     GIR_EraseRootFromParent_Done,
     /* 1283125 */   // Label 18434: @1283125
     /* 1283125 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283209), // Rule ID 22471 //
     /* 1283130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1283141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1283144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1283186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283208 */     // GIR_Coverage, 22471,
     /* 1283208 */     GIR_EraseRootFromParent_Done,
     /* 1283209 */   // Label 18435: @1283209
     /* 1283209 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283293), // Rule ID 22474 //
     /* 1283214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1283225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1283228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1283270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283292 */     // GIR_Coverage, 22474,
     /* 1283292 */     GIR_EraseRootFromParent_Done,
     /* 1283293 */   // Label 18436: @1283293
     /* 1283293 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283377), // Rule ID 22475 //
     /* 1283298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1283309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1283312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1283354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283376 */     // GIR_Coverage, 22475,
     /* 1283376 */     GIR_EraseRootFromParent_Done,
     /* 1283377 */   // Label 18437: @1283377
     /* 1283377 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283461), // Rule ID 22478 //
     /* 1283382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1283393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1283396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1283438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283460 */     // GIR_Coverage, 22478,
     /* 1283460 */     GIR_EraseRootFromParent_Done,
     /* 1283461 */   // Label 18438: @1283461
     /* 1283461 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283545), // Rule ID 22479 //
     /* 1283466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1283477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1283480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1283483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1283486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1283522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283544 */     // GIR_Coverage, 22479,
     /* 1283544 */     GIR_EraseRootFromParent_Done,
     /* 1283545 */   // Label 18439: @1283545
     /* 1283545 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283629), // Rule ID 22482 //
     /* 1283550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1283561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1283564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1283606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283628 */     // GIR_Coverage, 22482,
     /* 1283628 */     GIR_EraseRootFromParent_Done,
     /* 1283629 */   // Label 18440: @1283629
     /* 1283629 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283713), // Rule ID 22483 //
     /* 1283634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1283645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1283648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1283651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1283654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1283690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283712 */     // GIR_Coverage, 22483,
     /* 1283712 */     GIR_EraseRootFromParent_Done,
     /* 1283713 */   // Label 18441: @1283713
     /* 1283713 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1283797), // Rule ID 22486 //
     /* 1283718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1283729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1283732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1283774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283796 */     // GIR_Coverage, 22486,
     /* 1283796 */     GIR_EraseRootFromParent_Done,
     /* 1283797 */   // Label 18442: @1283797
     /* 1283797 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1283881), // Rule ID 22487 //
     /* 1283802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1283813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1283816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1283822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1283855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1283858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283880 */     // GIR_Coverage, 22487,
     /* 1283880 */     GIR_EraseRootFromParent_Done,
     /* 1283881 */   // Label 18443: @1283881
     /* 1283881 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1283965), // Rule ID 22490 //
     /* 1283886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1283897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1283900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1283916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1283939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1283942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1283946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1283963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283964 */     // GIR_Coverage, 22490,
     /* 1283964 */     GIR_EraseRootFromParent_Done,
     /* 1283965 */   // Label 18444: @1283965
     /* 1283965 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284049), // Rule ID 22491 //
     /* 1283970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1283978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1283981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1283984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1283990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284023 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1284026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284048 */     // GIR_Coverage, 22491,
     /* 1284048 */     GIR_EraseRootFromParent_Done,
     /* 1284049 */   // Label 18445: @1284049
     /* 1284049 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284133), // Rule ID 22494 //
     /* 1284054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1284065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1284068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1284110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284132 */     // GIR_Coverage, 22494,
     /* 1284132 */     GIR_EraseRootFromParent_Done,
     /* 1284133 */   // Label 18446: @1284133
     /* 1284133 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284217), // Rule ID 22495 //
     /* 1284138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1284149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1284152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284191 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1284194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284216 */     // GIR_Coverage, 22495,
     /* 1284216 */     GIR_EraseRootFromParent_Done,
     /* 1284217 */   // Label 18447: @1284217
     /* 1284217 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284301), // Rule ID 22498 //
     /* 1284222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1284233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1284236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284275 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1284278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284300 */     // GIR_Coverage, 22498,
     /* 1284300 */     GIR_EraseRootFromParent_Done,
     /* 1284301 */   // Label 18448: @1284301
     /* 1284301 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284385), // Rule ID 22499 //
     /* 1284306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1284317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1284320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1284326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1284362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284384 */     // GIR_Coverage, 22499,
     /* 1284384 */     GIR_EraseRootFromParent_Done,
     /* 1284385 */   // Label 18449: @1284385
     /* 1284385 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284469), // Rule ID 22502 //
     /* 1284390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1284446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284468 */     // GIR_Coverage, 22502,
     /* 1284468 */     GIR_EraseRootFromParent_Done,
     /* 1284469 */   // Label 18450: @1284469
     /* 1284469 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284553), // Rule ID 22503 //
     /* 1284474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1284491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1284530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284552 */     // GIR_Coverage, 22503,
     /* 1284552 */     GIR_EraseRootFromParent_Done,
     /* 1284553 */   // Label 18451: @1284553
     /* 1284553 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284637), // Rule ID 22506 //
     /* 1284558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1284614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284636 */     // GIR_Coverage, 22506,
     /* 1284636 */     GIR_EraseRootFromParent_Done,
     /* 1284637 */   // Label 18452: @1284637
     /* 1284637 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284721), // Rule ID 22507 //
     /* 1284642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1284659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1284698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284720 */     // GIR_Coverage, 22507,
     /* 1284720 */     GIR_EraseRootFromParent_Done,
     /* 1284721 */   // Label 18453: @1284721
     /* 1284721 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1284805), // Rule ID 22510 //
     /* 1284726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1284782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284804 */     // GIR_Coverage, 22510,
     /* 1284804 */     GIR_EraseRootFromParent_Done,
     /* 1284805 */   // Label 18454: @1284805
     /* 1284805 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1284889), // Rule ID 22511 //
     /* 1284810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1284821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1284824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1284827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1284830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284863 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1284863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1284866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284888 */     // GIR_Coverage, 22511,
     /* 1284888 */     GIR_EraseRootFromParent_Done,
     /* 1284889 */   // Label 18455: @1284889
     /* 1284889 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1284973), // Rule ID 22514 //
     /* 1284894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1284905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1284908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1284924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1284947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1284950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1284954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1284971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284972 */     // GIR_Coverage, 22514,
     /* 1284972 */     GIR_EraseRootFromParent_Done,
     /* 1284973 */   // Label 18456: @1284973
     /* 1284973 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285057), // Rule ID 22515 //
     /* 1284978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1284986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1284989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1284992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1284998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1285034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285056 */     // GIR_Coverage, 22515,
     /* 1285056 */     GIR_EraseRootFromParent_Done,
     /* 1285057 */   // Label 18457: @1285057
     /* 1285057 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285141), // Rule ID 22518 //
     /* 1285062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1285073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1285076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1285118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285140 */     // GIR_Coverage, 22518,
     /* 1285140 */     GIR_EraseRootFromParent_Done,
     /* 1285141 */   // Label 18458: @1285141
     /* 1285141 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285225), // Rule ID 22519 //
     /* 1285146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1285157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1285160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1285202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285224 */     // GIR_Coverage, 22519,
     /* 1285224 */     GIR_EraseRootFromParent_Done,
     /* 1285225 */   // Label 18459: @1285225
     /* 1285225 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285309), // Rule ID 22522 //
     /* 1285230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1285241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1285244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1285286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285308 */     // GIR_Coverage, 22522,
     /* 1285308 */     GIR_EraseRootFromParent_Done,
     /* 1285309 */   // Label 18460: @1285309
     /* 1285309 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285393), // Rule ID 22523 //
     /* 1285314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1285325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1285328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1285370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285392 */     // GIR_Coverage, 22523,
     /* 1285392 */     GIR_EraseRootFromParent_Done,
     /* 1285393 */   // Label 18461: @1285393
     /* 1285393 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285477), // Rule ID 22526 //
     /* 1285398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1285454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285476 */     // GIR_Coverage, 22526,
     /* 1285476 */     GIR_EraseRootFromParent_Done,
     /* 1285477 */   // Label 18462: @1285477
     /* 1285477 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285561), // Rule ID 22527 //
     /* 1285482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1285499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1285538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285560 */     // GIR_Coverage, 22527,
     /* 1285560 */     GIR_EraseRootFromParent_Done,
     /* 1285561 */   // Label 18463: @1285561
     /* 1285561 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285645), // Rule ID 22530 //
     /* 1285566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1285622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285644 */     // GIR_Coverage, 22530,
     /* 1285644 */     GIR_EraseRootFromParent_Done,
     /* 1285645 */   // Label 18464: @1285645
     /* 1285645 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285729), // Rule ID 22531 //
     /* 1285650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1285667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1285706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285728 */     // GIR_Coverage, 22531,
     /* 1285728 */     GIR_EraseRootFromParent_Done,
     /* 1285729 */   // Label 18465: @1285729
     /* 1285729 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1285813), // Rule ID 22534 //
     /* 1285734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1285790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285812 */     // GIR_Coverage, 22534,
     /* 1285812 */     GIR_EraseRootFromParent_Done,
     /* 1285813 */   // Label 18466: @1285813
     /* 1285813 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1285897), // Rule ID 22535 //
     /* 1285818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1285826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1285829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1285832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1285871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1285874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285896 */     // GIR_Coverage, 22535,
     /* 1285896 */     GIR_EraseRootFromParent_Done,
     /* 1285897 */   // Label 18467: @1285897
     /* 1285897 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1285981), // Rule ID 22538 //
     /* 1285902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1285910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1285913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1285916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1285919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1285922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1285932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1285955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1285958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1285962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1285979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285980 */     // GIR_Coverage, 22538,
     /* 1285980 */     GIR_EraseRootFromParent_Done,
     /* 1285981 */   // Label 18468: @1285981
     /* 1285981 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286065), // Rule ID 22539 //
     /* 1285986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1285994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1285997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1286042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286064 */     // GIR_Coverage, 22539,
     /* 1286064 */     GIR_EraseRootFromParent_Done,
     /* 1286065 */   // Label 18469: @1286065
     /* 1286065 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286149), // Rule ID 22542 //
     /* 1286070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1286081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1286126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286148 */     // GIR_Coverage, 22542,
     /* 1286148 */     GIR_EraseRootFromParent_Done,
     /* 1286149 */   // Label 18470: @1286149
     /* 1286149 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286233), // Rule ID 22543 //
     /* 1286154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1286165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1286210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286232 */     // GIR_Coverage, 22543,
     /* 1286232 */     GIR_EraseRootFromParent_Done,
     /* 1286233 */   // Label 18471: @1286233
     /* 1286233 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286317), // Rule ID 22546 //
     /* 1286238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1286249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1286294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286316 */     // GIR_Coverage, 22546,
     /* 1286316 */     GIR_EraseRootFromParent_Done,
     /* 1286317 */   // Label 18472: @1286317
     /* 1286317 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286401), // Rule ID 22547 //
     /* 1286322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1286333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1286378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286400 */     // GIR_Coverage, 22547,
     /* 1286400 */     GIR_EraseRootFromParent_Done,
     /* 1286401 */   // Label 18473: @1286401
     /* 1286401 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286485), // Rule ID 22550 //
     /* 1286406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1286417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1286420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1286426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1286462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286484 */     // GIR_Coverage, 22550,
     /* 1286484 */     GIR_EraseRootFromParent_Done,
     /* 1286485 */   // Label 18474: @1286485
     /* 1286485 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286569), // Rule ID 22551 //
     /* 1286490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1286501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1286504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1286507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1286510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1286546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286568 */     // GIR_Coverage, 22551,
     /* 1286568 */     GIR_EraseRootFromParent_Done,
     /* 1286569 */   // Label 18475: @1286569
     /* 1286569 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286653), // Rule ID 22554 //
     /* 1286574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1286585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1286588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1286594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1286630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286652 */     // GIR_Coverage, 22554,
     /* 1286652 */     GIR_EraseRootFromParent_Done,
     /* 1286653 */   // Label 18476: @1286653
     /* 1286653 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286737), // Rule ID 22555 //
     /* 1286658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1286669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1286672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1286675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1286678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1286714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286736 */     // GIR_Coverage, 22555,
     /* 1286736 */     GIR_EraseRootFromParent_Done,
     /* 1286737 */   // Label 18477: @1286737
     /* 1286737 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1286821), // Rule ID 22558 //
     /* 1286742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1286753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1286756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1286762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1286798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286820 */     // GIR_Coverage, 22558,
     /* 1286820 */     GIR_EraseRootFromParent_Done,
     /* 1286821 */   // Label 18478: @1286821
     /* 1286821 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1286905), // Rule ID 22559 //
     /* 1286826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1286837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1286840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1286846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1286879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1286882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286904 */     // GIR_Coverage, 22559,
     /* 1286904 */     GIR_EraseRootFromParent_Done,
     /* 1286905 */   // Label 18479: @1286905
     /* 1286905 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1286989), // Rule ID 22562 //
     /* 1286910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1286918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1286921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1286924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1286927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1286930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1286940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1286963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1286966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1286970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1286987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286988 */     // GIR_Coverage, 22562,
     /* 1286988 */     GIR_EraseRootFromParent_Done,
     /* 1286989 */   // Label 18480: @1286989
     /* 1286989 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287073), // Rule ID 22563 //
     /* 1286994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1287050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287072 */     // GIR_Coverage, 22563,
     /* 1287072 */     GIR_EraseRootFromParent_Done,
     /* 1287073 */   // Label 18481: @1287073
     /* 1287073 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287157), // Rule ID 22566 //
     /* 1287078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1287089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1287092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1287098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1287134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287156 */     // GIR_Coverage, 22566,
     /* 1287156 */     GIR_EraseRootFromParent_Done,
     /* 1287157 */   // Label 18482: @1287157
     /* 1287157 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287241), // Rule ID 22567 //
     /* 1287162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1287173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1287176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1287182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1287218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287240 */     // GIR_Coverage, 22567,
     /* 1287240 */     GIR_EraseRootFromParent_Done,
     /* 1287241 */   // Label 18483: @1287241
     /* 1287241 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287325), // Rule ID 22570 //
     /* 1287246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1287257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1287260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1287266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1287302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287324 */     // GIR_Coverage, 22570,
     /* 1287324 */     GIR_EraseRootFromParent_Done,
     /* 1287325 */   // Label 18484: @1287325
     /* 1287325 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287409), // Rule ID 22571 //
     /* 1287330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1287341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1287344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1287350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1287386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287408 */     // GIR_Coverage, 22571,
     /* 1287408 */     GIR_EraseRootFromParent_Done,
     /* 1287409 */   // Label 18485: @1287409
     /* 1287409 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287493), // Rule ID 22574 //
     /* 1287414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1287470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287492 */     // GIR_Coverage, 22574,
     /* 1287492 */     GIR_EraseRootFromParent_Done,
     /* 1287493 */   // Label 18486: @1287493
     /* 1287493 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287577), // Rule ID 22575 //
     /* 1287498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1287515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1287554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287576 */     // GIR_Coverage, 22575,
     /* 1287576 */     GIR_EraseRootFromParent_Done,
     /* 1287577 */   // Label 18487: @1287577
     /* 1287577 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287661), // Rule ID 22578 //
     /* 1287582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1287638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287660 */     // GIR_Coverage, 22578,
     /* 1287660 */     GIR_EraseRootFromParent_Done,
     /* 1287661 */   // Label 18488: @1287661
     /* 1287661 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287745), // Rule ID 22579 //
     /* 1287666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1287722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287744 */     // GIR_Coverage, 22579,
     /* 1287744 */     GIR_EraseRootFromParent_Done,
     /* 1287745 */   // Label 18489: @1287745
     /* 1287745 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1287829), // Rule ID 22582 //
     /* 1287750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1287806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287828 */     // GIR_Coverage, 22582,
     /* 1287828 */     GIR_EraseRootFromParent_Done,
     /* 1287829 */   // Label 18490: @1287829
     /* 1287829 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1287913), // Rule ID 22583 //
     /* 1287834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1287845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1287848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287887 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1287887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1287890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287912 */     // GIR_Coverage, 22583,
     /* 1287912 */     GIR_EraseRootFromParent_Done,
     /* 1287913 */   // Label 18491: @1287913
     /* 1287913 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1287997), // Rule ID 22586 //
     /* 1287918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1287926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1287929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1287932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1287935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1287938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1287948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1287971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1287974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1287978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1287995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287996 */     // GIR_Coverage, 22586,
     /* 1287996 */     GIR_EraseRootFromParent_Done,
     /* 1287997 */   // Label 18492: @1287997
     /* 1287997 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288081), // Rule ID 22587 //
     /* 1288002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1288013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1288016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1288058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288080 */     // GIR_Coverage, 22587,
     /* 1288080 */     GIR_EraseRootFromParent_Done,
     /* 1288081 */   // Label 18493: @1288081
     /* 1288081 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288165), // Rule ID 22590 //
     /* 1288086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1288097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1288100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1288142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288164 */     // GIR_Coverage, 22590,
     /* 1288164 */     GIR_EraseRootFromParent_Done,
     /* 1288165 */   // Label 18494: @1288165
     /* 1288165 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288249), // Rule ID 22591 //
     /* 1288170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1288181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1288184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1288226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288248 */     // GIR_Coverage, 22591,
     /* 1288248 */     GIR_EraseRootFromParent_Done,
     /* 1288249 */   // Label 18495: @1288249
     /* 1288249 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288333), // Rule ID 22594 //
     /* 1288254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1288265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1288268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1288310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288332 */     // GIR_Coverage, 22594,
     /* 1288332 */     GIR_EraseRootFromParent_Done,
     /* 1288333 */   // Label 18496: @1288333
     /* 1288333 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288417), // Rule ID 22595 //
     /* 1288338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1288349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1288352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1288355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1288358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1288394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288416 */     // GIR_Coverage, 22595,
     /* 1288416 */     GIR_EraseRootFromParent_Done,
     /* 1288417 */   // Label 18497: @1288417
     /* 1288417 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288501), // Rule ID 22598 //
     /* 1288422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1288478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288500 */     // GIR_Coverage, 22598,
     /* 1288500 */     GIR_EraseRootFromParent_Done,
     /* 1288501 */   // Label 18498: @1288501
     /* 1288501 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288585), // Rule ID 22599 //
     /* 1288506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1288523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1288562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288584 */     // GIR_Coverage, 22599,
     /* 1288584 */     GIR_EraseRootFromParent_Done,
     /* 1288585 */   // Label 18499: @1288585
     /* 1288585 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288669), // Rule ID 22602 //
     /* 1288590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1288646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288668 */     // GIR_Coverage, 22602,
     /* 1288668 */     GIR_EraseRootFromParent_Done,
     /* 1288669 */   // Label 18500: @1288669
     /* 1288669 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1288753), // Rule ID 22603 //
     /* 1288674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1288730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288752 */     // GIR_Coverage, 22603,
     /* 1288752 */     GIR_EraseRootFromParent_Done,
     /* 1288753 */   // Label 18501: @1288753
     /* 1288753 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1288837), // Rule ID 22606 //
     /* 1288758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1288814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288836 */     // GIR_Coverage, 22606,
     /* 1288836 */     GIR_EraseRootFromParent_Done,
     /* 1288837 */   // Label 18502: @1288837
     /* 1288837 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1288921), // Rule ID 22607 //
     /* 1288842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1288850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1288853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1288856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1288895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1288898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1288919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288920 */     // GIR_Coverage, 22607,
     /* 1288920 */     GIR_EraseRootFromParent_Done,
     /* 1288921 */   // Label 18503: @1288921
     /* 1288921 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289005), // Rule ID 22610 //
     /* 1288926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1288934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1288937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1288940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1288943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1288946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1288956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1288979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1288982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1288986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289004 */     // GIR_Coverage, 22610,
     /* 1289004 */     GIR_EraseRootFromParent_Done,
     /* 1289005 */   // Label 18504: @1289005
     /* 1289005 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289089), // Rule ID 22611 //
     /* 1289010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1289027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1289066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289088 */     // GIR_Coverage, 22611,
     /* 1289088 */     GIR_EraseRootFromParent_Done,
     /* 1289089 */   // Label 18505: @1289089
     /* 1289089 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289173), // Rule ID 22614 //
     /* 1289094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1289150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289172 */     // GIR_Coverage, 22614,
     /* 1289172 */     GIR_EraseRootFromParent_Done,
     /* 1289173 */   // Label 18506: @1289173
     /* 1289173 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289257), // Rule ID 22615 //
     /* 1289178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1289234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289256 */     // GIR_Coverage, 22615,
     /* 1289256 */     GIR_EraseRootFromParent_Done,
     /* 1289257 */   // Label 18507: @1289257
     /* 1289257 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289341), // Rule ID 22618 //
     /* 1289262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1289318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289340 */     // GIR_Coverage, 22618,
     /* 1289340 */     GIR_EraseRootFromParent_Done,
     /* 1289341 */   // Label 18508: @1289341
     /* 1289341 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289425), // Rule ID 22619 //
     /* 1289346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289399 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1289402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289424 */     // GIR_Coverage, 22619,
     /* 1289424 */     GIR_EraseRootFromParent_Done,
     /* 1289425 */   // Label 18509: @1289425
     /* 1289425 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289509), // Rule ID 22622 //
     /* 1289430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1289441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1289444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1289450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1289486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289508 */     // GIR_Coverage, 22622,
     /* 1289508 */     GIR_EraseRootFromParent_Done,
     /* 1289509 */   // Label 18510: @1289509
     /* 1289509 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289593), // Rule ID 22623 //
     /* 1289514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1289525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1289528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1289534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1289570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289592 */     // GIR_Coverage, 22623,
     /* 1289592 */     GIR_EraseRootFromParent_Done,
     /* 1289593 */   // Label 18511: @1289593
     /* 1289593 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289677), // Rule ID 22626 //
     /* 1289598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1289609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1289612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1289615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1289618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1289654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289676 */     // GIR_Coverage, 22626,
     /* 1289676 */     GIR_EraseRootFromParent_Done,
     /* 1289677 */   // Label 18512: @1289677
     /* 1289677 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1289761), // Rule ID 22627 //
     /* 1289682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1289693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1289696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1289699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1289702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1289738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289760 */     // GIR_Coverage, 22627,
     /* 1289760 */     GIR_EraseRootFromParent_Done,
     /* 1289761 */   // Label 18513: @1289761
     /* 1289761 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1289845), // Rule ID 22630 //
     /* 1289766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1289777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1289780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1289783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1289786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1289822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289844 */     // GIR_Coverage, 22630,
     /* 1289844 */     GIR_EraseRootFromParent_Done,
     /* 1289845 */   // Label 18514: @1289845
     /* 1289845 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1289929), // Rule ID 22631 //
     /* 1289850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1289861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1289864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1289867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1289870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1289903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1289906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1289927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289928 */     // GIR_Coverage, 22631,
     /* 1289928 */     GIR_EraseRootFromParent_Done,
     /* 1289929 */   // Label 18515: @1289929
     /* 1289929 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290013), // Rule ID 22634 //
     /* 1289934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1289942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1289945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1289948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1289951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1289954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1289964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1289987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1289990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1289994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290012 */     // GIR_Coverage, 22634,
     /* 1290012 */     GIR_EraseRootFromParent_Done,
     /* 1290013 */   // Label 18516: @1290013
     /* 1290013 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290097), // Rule ID 22635 //
     /* 1290018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1290035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1290074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290096 */     // GIR_Coverage, 22635,
     /* 1290096 */     GIR_EraseRootFromParent_Done,
     /* 1290097 */   // Label 18517: @1290097
     /* 1290097 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290181), // Rule ID 22638 //
     /* 1290102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1290113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1290116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1290122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1290158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290180 */     // GIR_Coverage, 22638,
     /* 1290180 */     GIR_EraseRootFromParent_Done,
     /* 1290181 */   // Label 18518: @1290181
     /* 1290181 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290265), // Rule ID 22639 //
     /* 1290186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1290197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1290200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1290206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1290242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290264 */     // GIR_Coverage, 22639,
     /* 1290264 */     GIR_EraseRootFromParent_Done,
     /* 1290265 */   // Label 18519: @1290265
     /* 1290265 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290349), // Rule ID 22642 //
     /* 1290270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1290281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1290284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1290290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1290326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290348 */     // GIR_Coverage, 22642,
     /* 1290348 */     GIR_EraseRootFromParent_Done,
     /* 1290349 */   // Label 18520: @1290349
     /* 1290349 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290433), // Rule ID 22643 //
     /* 1290354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1290365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1290368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1290374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1290410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290432 */     // GIR_Coverage, 22643,
     /* 1290432 */     GIR_EraseRootFromParent_Done,
     /* 1290433 */   // Label 18521: @1290433
     /* 1290433 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290517), // Rule ID 22646 //
     /* 1290438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1290455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1290494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290516 */     // GIR_Coverage, 22646,
     /* 1290516 */     GIR_EraseRootFromParent_Done,
     /* 1290517 */   // Label 18522: @1290517
     /* 1290517 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290601), // Rule ID 22647 //
     /* 1290522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1290539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290575 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1290578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290600 */     // GIR_Coverage, 22647,
     /* 1290600 */     GIR_EraseRootFromParent_Done,
     /* 1290601 */   // Label 18523: @1290601
     /* 1290601 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290685), // Rule ID 22650 //
     /* 1290606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1290623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1290662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290684 */     // GIR_Coverage, 22650,
     /* 1290684 */     GIR_EraseRootFromParent_Done,
     /* 1290685 */   // Label 18524: @1290685
     /* 1290685 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1290769), // Rule ID 22651 //
     /* 1290690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1290707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1290746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290768 */     // GIR_Coverage, 22651,
     /* 1290768 */     GIR_EraseRootFromParent_Done,
     /* 1290769 */   // Label 18525: @1290769
     /* 1290769 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1290853), // Rule ID 22654 //
     /* 1290774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1290791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1290797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1290830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290852 */     // GIR_Coverage, 22654,
     /* 1290852 */     GIR_EraseRootFromParent_Done,
     /* 1290853 */   // Label 18526: @1290853
     /* 1290853 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1290937), // Rule ID 22655 //
     /* 1290858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1290869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1290872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1290875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1290878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1290881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1290911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1290914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1290918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1290935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290936 */     // GIR_Coverage, 22655,
     /* 1290936 */     GIR_EraseRootFromParent_Done,
     /* 1290937 */   // Label 18527: @1290937
     /* 1290937 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291021), // Rule ID 22658 //
     /* 1290942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1290950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1290953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1290956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1290959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1290962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1290972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1290995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1290998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291020 */     // GIR_Coverage, 22658,
     /* 1291020 */     GIR_EraseRootFromParent_Done,
     /* 1291021 */   // Label 18528: @1291021
     /* 1291021 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291105), // Rule ID 22659 //
     /* 1291026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1291037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1291040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1291043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1291082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291104 */     // GIR_Coverage, 22659,
     /* 1291104 */     GIR_EraseRootFromParent_Done,
     /* 1291105 */   // Label 18529: @1291105
     /* 1291105 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291189), // Rule ID 22662 //
     /* 1291110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1291121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1291124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1291163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1291166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291188 */     // GIR_Coverage, 22662,
     /* 1291188 */     GIR_EraseRootFromParent_Done,
     /* 1291189 */   // Label 18530: @1291189
     /* 1291189 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291273), // Rule ID 22663 //
     /* 1291194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1291205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1291208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1291250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291272 */     // GIR_Coverage, 22663,
     /* 1291272 */     GIR_EraseRootFromParent_Done,
     /* 1291273 */   // Label 18531: @1291273
     /* 1291273 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291357), // Rule ID 22666 //
     /* 1291278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1291289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1291292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1291331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1291334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291356 */     // GIR_Coverage, 22666,
     /* 1291356 */     GIR_EraseRootFromParent_Done,
     /* 1291357 */   // Label 18532: @1291357
     /* 1291357 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291441), // Rule ID 22667 //
     /* 1291362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1291373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1291376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1291382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291415 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1291418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291440 */     // GIR_Coverage, 22667,
     /* 1291440 */     GIR_EraseRootFromParent_Done,
     /* 1291441 */   // Label 18533: @1291441
     /* 1291441 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291525), // Rule ID 22670 //
     /* 1291446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1291463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1291499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1291502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291524 */     // GIR_Coverage, 22670,
     /* 1291524 */     GIR_EraseRootFromParent_Done,
     /* 1291525 */   // Label 18534: @1291525
     /* 1291525 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291609), // Rule ID 22671 //
     /* 1291530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1291547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1291586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291608 */     // GIR_Coverage, 22671,
     /* 1291608 */     GIR_EraseRootFromParent_Done,
     /* 1291609 */   // Label 18535: @1291609
     /* 1291609 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291693), // Rule ID 22674 //
     /* 1291614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1291631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1291667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1291670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291692 */     // GIR_Coverage, 22674,
     /* 1291692 */     GIR_EraseRootFromParent_Done,
     /* 1291693 */   // Label 18536: @1291693
     /* 1291693 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1291777), // Rule ID 22675 //
     /* 1291698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1291715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1291754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291776 */     // GIR_Coverage, 22675,
     /* 1291776 */     GIR_EraseRootFromParent_Done,
     /* 1291777 */   // Label 18537: @1291777
     /* 1291777 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1291861), // Rule ID 22678 //
     /* 1291782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1291799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1291835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1291838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291860 */     // GIR_Coverage, 22678,
     /* 1291860 */     GIR_EraseRootFromParent_Done,
     /* 1291861 */   // Label 18538: @1291861
     /* 1291861 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1291945), // Rule ID 22679 //
     /* 1291866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1291874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1291877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1291880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1291883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1291886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1291919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1291922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1291926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1291943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291944 */     // GIR_Coverage, 22679,
     /* 1291944 */     GIR_EraseRootFromParent_Done,
     /* 1291945 */   // Label 18539: @1291945
     /* 1291945 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292029), // Rule ID 22798 //
     /* 1291950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1291953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1291958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1291961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1291964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1291967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1291970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1291980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292003 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1292006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292028 */     // GIR_Coverage, 22798,
     /* 1292028 */     GIR_EraseRootFromParent_Done,
     /* 1292029 */   // Label 18540: @1292029
     /* 1292029 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292113), // Rule ID 22799 //
     /* 1292034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1292051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292087 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1292090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292112 */     // GIR_Coverage, 22799,
     /* 1292112 */     GIR_EraseRootFromParent_Done,
     /* 1292113 */   // Label 18541: @1292113
     /* 1292113 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292197), // Rule ID 22802 //
     /* 1292118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1292135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292171 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1292174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292196 */     // GIR_Coverage, 22802,
     /* 1292196 */     GIR_EraseRootFromParent_Done,
     /* 1292197 */   // Label 18542: @1292197
     /* 1292197 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292281), // Rule ID 22803 //
     /* 1292202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1292219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1292258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292280 */     // GIR_Coverage, 22803,
     /* 1292280 */     GIR_EraseRootFromParent_Done,
     /* 1292281 */   // Label 18543: @1292281
     /* 1292281 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292365), // Rule ID 22806 //
     /* 1292286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1292289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1292297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1292300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1292303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1292342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292364 */     // GIR_Coverage, 22806,
     /* 1292364 */     GIR_EraseRootFromParent_Done,
     /* 1292365 */   // Label 18544: @1292365
     /* 1292365 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292449), // Rule ID 22807 //
     /* 1292370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1292373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1292381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1292384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1292387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1292426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292448 */     // GIR_Coverage, 22807,
     /* 1292448 */     GIR_EraseRootFromParent_Done,
     /* 1292449 */   // Label 18545: @1292449
     /* 1292449 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292533), // Rule ID 22810 //
     /* 1292454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292507 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1292510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292532 */     // GIR_Coverage, 22810,
     /* 1292532 */     GIR_EraseRootFromParent_Done,
     /* 1292533 */   // Label 18546: @1292533
     /* 1292533 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292617), // Rule ID 22811 //
     /* 1292538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292591 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1292594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292616 */     // GIR_Coverage, 22811,
     /* 1292616 */     GIR_EraseRootFromParent_Done,
     /* 1292617 */   // Label 18547: @1292617
     /* 1292617 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292701), // Rule ID 22814 //
     /* 1292622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1292625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1292633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1292636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292675 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1292678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292700 */     // GIR_Coverage, 22814,
     /* 1292700 */     GIR_EraseRootFromParent_Done,
     /* 1292701 */   // Label 18548: @1292701
     /* 1292701 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1292785), // Rule ID 22815 //
     /* 1292706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1292709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1292717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1292720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292759 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1292762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292784 */     // GIR_Coverage, 22815,
     /* 1292784 */     GIR_EraseRootFromParent_Done,
     /* 1292785 */   // Label 18549: @1292785
     /* 1292785 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1292869), // Rule ID 22818 //
     /* 1292790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1292793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1292801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1292804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1292810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292843 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1292843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1292846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292868 */     // GIR_Coverage, 22818,
     /* 1292868 */     GIR_EraseRootFromParent_Done,
     /* 1292869 */   // Label 18550: @1292869
     /* 1292869 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1292953), // Rule ID 22819 //
     /* 1292874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1292877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1292885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1292888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1292894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1292927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1292930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1292934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1292951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292952 */     // GIR_Coverage, 22819,
     /* 1292952 */     GIR_EraseRootFromParent_Done,
     /* 1292953 */   // Label 18551: @1292953
     /* 1292953 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293037), // Rule ID 22822 //
     /* 1292958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1292966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1292969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1292972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1292988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293011 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1293014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293036 */     // GIR_Coverage, 22822,
     /* 1293036 */     GIR_EraseRootFromParent_Done,
     /* 1293037 */   // Label 18552: @1293037
     /* 1293037 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293121), // Rule ID 22823 //
     /* 1293042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1293045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1293053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1293056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1293059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1293062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293095 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1293098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293120 */     // GIR_Coverage, 22823,
     /* 1293120 */     GIR_EraseRootFromParent_Done,
     /* 1293121 */   // Label 18553: @1293121
     /* 1293121 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293205), // Rule ID 22826 //
     /* 1293126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1293129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1293137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1293140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1293146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293179 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1293182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293204 */     // GIR_Coverage, 22826,
     /* 1293204 */     GIR_EraseRootFromParent_Done,
     /* 1293205 */   // Label 18554: @1293205
     /* 1293205 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293289), // Rule ID 22827 //
     /* 1293210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1293213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1293221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1293224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1293230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293263 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1293266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293288 */     // GIR_Coverage, 22827,
     /* 1293288 */     GIR_EraseRootFromParent_Done,
     /* 1293289 */   // Label 18555: @1293289
     /* 1293289 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293373), // Rule ID 22830 //
     /* 1293294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1293297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1293305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1293308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1293314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293347 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1293350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293372 */     // GIR_Coverage, 22830,
     /* 1293372 */     GIR_EraseRootFromParent_Done,
     /* 1293373 */   // Label 18556: @1293373
     /* 1293373 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293457), // Rule ID 22831 //
     /* 1293378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1293381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1293389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1293392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1293398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293431 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1293434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293456 */     // GIR_Coverage, 22831,
     /* 1293456 */     GIR_EraseRootFromParent_Done,
     /* 1293457 */   // Label 18557: @1293457
     /* 1293457 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293541), // Rule ID 22834 //
     /* 1293462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1293465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1293518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293540 */     // GIR_Coverage, 22834,
     /* 1293540 */     GIR_EraseRootFromParent_Done,
     /* 1293541 */   // Label 18558: @1293541
     /* 1293541 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293625), // Rule ID 22835 //
     /* 1293546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1293549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293599 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1293602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293624 */     // GIR_Coverage, 22835,
     /* 1293624 */     GIR_EraseRootFromParent_Done,
     /* 1293625 */   // Label 18559: @1293625
     /* 1293625 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293709), // Rule ID 22838 //
     /* 1293630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1293633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293683 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1293686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293708 */     // GIR_Coverage, 22838,
     /* 1293708 */     GIR_EraseRootFromParent_Done,
     /* 1293709 */   // Label 18560: @1293709
     /* 1293709 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1293793), // Rule ID 22839 //
     /* 1293714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1293717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293767 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1293770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293792 */     // GIR_Coverage, 22839,
     /* 1293792 */     GIR_EraseRootFromParent_Done,
     /* 1293793 */   // Label 18561: @1293793
     /* 1293793 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1293877), // Rule ID 22842 //
     /* 1293798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1293801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293851 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1293851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1293854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293876 */     // GIR_Coverage, 22842,
     /* 1293876 */     GIR_EraseRootFromParent_Done,
     /* 1293877 */   // Label 18562: @1293877
     /* 1293877 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1293961), // Rule ID 22843 //
     /* 1293882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1293885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1293893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1293896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1293902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293935 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1293935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1293938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1293942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1293959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293960 */     // GIR_Coverage, 22843,
     /* 1293960 */     GIR_EraseRootFromParent_Done,
     /* 1293961 */   // Label 18563: @1293961
     /* 1293961 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294045), // Rule ID 22846 //
     /* 1293966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1293969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1293974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1293977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1293980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1293986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1293996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294019 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1294022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294044 */     // GIR_Coverage, 22846,
     /* 1294044 */     GIR_EraseRootFromParent_Done,
     /* 1294045 */   // Label 18564: @1294045
     /* 1294045 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294129), // Rule ID 22847 //
     /* 1294050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1294053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1294058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1294061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1294064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1294067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1294070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1294106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294128 */     // GIR_Coverage, 22847,
     /* 1294128 */     GIR_EraseRootFromParent_Done,
     /* 1294129 */   // Label 18565: @1294129
     /* 1294129 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294213), // Rule ID 22850 //
     /* 1294134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1294137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1294142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1294145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1294148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1294154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1294190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294212 */     // GIR_Coverage, 22850,
     /* 1294212 */     GIR_EraseRootFromParent_Done,
     /* 1294213 */   // Label 18566: @1294213
     /* 1294213 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294297), // Rule ID 22851 //
     /* 1294218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1294221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1294226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1294229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1294232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1294238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1294274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294296 */     // GIR_Coverage, 22851,
     /* 1294296 */     GIR_EraseRootFromParent_Done,
     /* 1294297 */   // Label 18567: @1294297
     /* 1294297 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294381), // Rule ID 22854 //
     /* 1294302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1294305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1294310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1294313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1294316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1294322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294355 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1294358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294380 */     // GIR_Coverage, 22854,
     /* 1294380 */     GIR_EraseRootFromParent_Done,
     /* 1294381 */   // Label 18568: @1294381
     /* 1294381 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294465), // Rule ID 22855 //
     /* 1294386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1294389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1294394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1294397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1294400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1294406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1294442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294464 */     // GIR_Coverage, 22855,
     /* 1294464 */     GIR_EraseRootFromParent_Done,
     /* 1294465 */   // Label 18569: @1294465
     /* 1294465 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294549), // Rule ID 22858 //
     /* 1294470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1294473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1294481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1294484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1294490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294523 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1294526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294548 */     // GIR_Coverage, 22858,
     /* 1294548 */     GIR_EraseRootFromParent_Done,
     /* 1294549 */   // Label 18570: @1294549
     /* 1294549 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294633), // Rule ID 22859 //
     /* 1294554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1294557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1294565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1294568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1294574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294607 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1294610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294632 */     // GIR_Coverage, 22859,
     /* 1294632 */     GIR_EraseRootFromParent_Done,
     /* 1294633 */   // Label 18571: @1294633
     /* 1294633 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294717), // Rule ID 22862 //
     /* 1294638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1294641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1294649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1294652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1294658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294691 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1294694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294716 */     // GIR_Coverage, 22862,
     /* 1294716 */     GIR_EraseRootFromParent_Done,
     /* 1294717 */   // Label 18572: @1294717
     /* 1294717 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1294801), // Rule ID 22863 //
     /* 1294722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1294725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1294733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1294736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1294742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294775 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1294778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294800 */     // GIR_Coverage, 22863,
     /* 1294800 */     GIR_EraseRootFromParent_Done,
     /* 1294801 */   // Label 18573: @1294801
     /* 1294801 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1294885), // Rule ID 22866 //
     /* 1294806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1294809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1294817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1294820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1294826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294859 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1294859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1294862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294884 */     // GIR_Coverage, 22866,
     /* 1294884 */     GIR_EraseRootFromParent_Done,
     /* 1294885 */   // Label 18574: @1294885
     /* 1294885 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1294969), // Rule ID 22867 //
     /* 1294890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1294893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1294901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1294904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1294910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1294920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294943 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1294943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1294946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1294950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1294967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294968 */     // GIR_Coverage, 22867,
     /* 1294968 */     GIR_EraseRootFromParent_Done,
     /* 1294969 */   // Label 18575: @1294969
     /* 1294969 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295053), // Rule ID 22870 //
     /* 1294974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1294977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1294982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1294985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1294988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1294994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295027 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1295030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295052 */     // GIR_Coverage, 22870,
     /* 1295052 */     GIR_EraseRootFromParent_Done,
     /* 1295053 */   // Label 18576: @1295053
     /* 1295053 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295137), // Rule ID 22871 //
     /* 1295058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1295114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295136 */     // GIR_Coverage, 22871,
     /* 1295136 */     GIR_EraseRootFromParent_Done,
     /* 1295137 */   // Label 18577: @1295137
     /* 1295137 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295221), // Rule ID 22874 //
     /* 1295142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1295145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1295153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1295156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1295162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1295198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295220 */     // GIR_Coverage, 22874,
     /* 1295220 */     GIR_EraseRootFromParent_Done,
     /* 1295221 */   // Label 18578: @1295221
     /* 1295221 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295305), // Rule ID 22875 //
     /* 1295226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1295229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1295237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1295240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1295246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295279 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1295282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295304 */     // GIR_Coverage, 22875,
     /* 1295304 */     GIR_EraseRootFromParent_Done,
     /* 1295305 */   // Label 18579: @1295305
     /* 1295305 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295389), // Rule ID 22878 //
     /* 1295310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1295313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1295321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1295324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1295330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295363 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1295366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295388 */     // GIR_Coverage, 22878,
     /* 1295388 */     GIR_EraseRootFromParent_Done,
     /* 1295389 */   // Label 18580: @1295389
     /* 1295389 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295473), // Rule ID 22879 //
     /* 1295394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1295397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1295405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1295408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1295414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295447 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1295450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295472 */     // GIR_Coverage, 22879,
     /* 1295472 */     GIR_EraseRootFromParent_Done,
     /* 1295473 */   // Label 18581: @1295473
     /* 1295473 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295557), // Rule ID 22882 //
     /* 1295478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1295481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295531 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1295534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295556 */     // GIR_Coverage, 22882,
     /* 1295556 */     GIR_EraseRootFromParent_Done,
     /* 1295557 */   // Label 18582: @1295557
     /* 1295557 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295641), // Rule ID 22883 //
     /* 1295562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295615 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1295618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295640 */     // GIR_Coverage, 22883,
     /* 1295640 */     GIR_EraseRootFromParent_Done,
     /* 1295641 */   // Label 18583: @1295641
     /* 1295641 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295725), // Rule ID 22886 //
     /* 1295646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1295649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295699 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1295702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295724 */     // GIR_Coverage, 22886,
     /* 1295724 */     GIR_EraseRootFromParent_Done,
     /* 1295725 */   // Label 18584: @1295725
     /* 1295725 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1295809), // Rule ID 22887 //
     /* 1295730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295783 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1295786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295808 */     // GIR_Coverage, 22887,
     /* 1295808 */     GIR_EraseRootFromParent_Done,
     /* 1295809 */   // Label 18585: @1295809
     /* 1295809 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1295893), // Rule ID 22890 //
     /* 1295814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1295817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1295867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1295870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295892 */     // GIR_Coverage, 22890,
     /* 1295892 */     GIR_EraseRootFromParent_Done,
     /* 1295893 */   // Label 18586: @1295893
     /* 1295893 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1295977), // Rule ID 22891 //
     /* 1295898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1295909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1295912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1295928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1295951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1295954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1295958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1295975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295976 */     // GIR_Coverage, 22891,
     /* 1295976 */     GIR_EraseRootFromParent_Done,
     /* 1295977 */   // Label 18587: @1295977
     /* 1295977 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296061), // Rule ID 22894 //
     /* 1295982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1295985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1295990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1295993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1295996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296035 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1296038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296060 */     // GIR_Coverage, 22894,
     /* 1296060 */     GIR_EraseRootFromParent_Done,
     /* 1296061 */   // Label 18588: @1296061
     /* 1296061 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296145), // Rule ID 22895 //
     /* 1296066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1296069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1296077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1296080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1296122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296144 */     // GIR_Coverage, 22895,
     /* 1296144 */     GIR_EraseRootFromParent_Done,
     /* 1296145 */   // Label 18589: @1296145
     /* 1296145 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296229), // Rule ID 22898 //
     /* 1296150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1296153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1296161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1296164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1296206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296228 */     // GIR_Coverage, 22898,
     /* 1296228 */     GIR_EraseRootFromParent_Done,
     /* 1296229 */   // Label 18590: @1296229
     /* 1296229 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296313), // Rule ID 22899 //
     /* 1296234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1296237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1296245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1296248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1296290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296312 */     // GIR_Coverage, 22899,
     /* 1296312 */     GIR_EraseRootFromParent_Done,
     /* 1296313 */   // Label 18591: @1296313
     /* 1296313 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296397), // Rule ID 22902 //
     /* 1296318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1296321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1296329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1296332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296371 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1296374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296396 */     // GIR_Coverage, 22902,
     /* 1296396 */     GIR_EraseRootFromParent_Done,
     /* 1296397 */   // Label 18592: @1296397
     /* 1296397 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296481), // Rule ID 22903 //
     /* 1296402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1296405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1296413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1296416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296455 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1296458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296480 */     // GIR_Coverage, 22903,
     /* 1296480 */     GIR_EraseRootFromParent_Done,
     /* 1296481 */   // Label 18593: @1296481
     /* 1296481 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296565), // Rule ID 22906 //
     /* 1296486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296539 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1296542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296564 */     // GIR_Coverage, 22906,
     /* 1296564 */     GIR_EraseRootFromParent_Done,
     /* 1296565 */   // Label 18594: @1296565
     /* 1296565 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296649), // Rule ID 22907 //
     /* 1296570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296623 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1296626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296648 */     // GIR_Coverage, 22907,
     /* 1296648 */     GIR_EraseRootFromParent_Done,
     /* 1296649 */   // Label 18595: @1296649
     /* 1296649 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296733), // Rule ID 22910 //
     /* 1296654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1296710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296732 */     // GIR_Coverage, 22910,
     /* 1296732 */     GIR_EraseRootFromParent_Done,
     /* 1296733 */   // Label 18596: @1296733
     /* 1296733 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1296817), // Rule ID 22911 //
     /* 1296738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296791 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1296794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296816 */     // GIR_Coverage, 22911,
     /* 1296816 */     GIR_EraseRootFromParent_Done,
     /* 1296817 */   // Label 18597: @1296817
     /* 1296817 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1296901), // Rule ID 22914 //
     /* 1296822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296875 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1296875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1296878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296900 */     // GIR_Coverage, 22914,
     /* 1296900 */     GIR_EraseRootFromParent_Done,
     /* 1296901 */   // Label 18598: @1296901
     /* 1296901 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1296985), // Rule ID 22915 //
     /* 1296906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1296914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1296917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1296920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1296936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1296959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1296962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1296966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1296983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296984 */     // GIR_Coverage, 22915,
     /* 1296984 */     GIR_EraseRootFromParent_Done,
     /* 1296985 */   // Label 18599: @1296985
     /* 1296985 */   GIM_Reject,
     /* 1296986 */ // Label 12619: @1296986
     /* 1296986 */ GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1906143),
     /* 1296991 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1296994 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297080), // Rule ID 7208 //
     /* 1296999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1297010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1297013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297037 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297045 */     // MIs[0] policy
     /* 1297045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297055 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1297058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297079 */     // GIR_Coverage, 7208,
     /* 1297079 */     GIR_EraseRootFromParent_Done,
     /* 1297080 */   // Label 18601: @1297080
     /* 1297080 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297166), // Rule ID 7209 //
     /* 1297085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1297096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1297099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297131 */     // MIs[0] policy
     /* 1297131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1297141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1297144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297165 */     // GIR_Coverage, 7209,
     /* 1297165 */     GIR_EraseRootFromParent_Done,
     /* 1297166 */   // Label 18602: @1297166
     /* 1297166 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297252), // Rule ID 7212 //
     /* 1297171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1297182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1297185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297217 */     // MIs[0] policy
     /* 1297217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1297230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297251 */     // GIR_Coverage, 7212,
     /* 1297251 */     GIR_EraseRootFromParent_Done,
     /* 1297252 */   // Label 18603: @1297252
     /* 1297252 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297338), // Rule ID 7213 //
     /* 1297257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1297268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1297271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297295 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297303 */     // MIs[0] policy
     /* 1297303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1297313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1297316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297337 */     // GIR_Coverage, 7213,
     /* 1297337 */     GIR_EraseRootFromParent_Done,
     /* 1297338 */   // Label 18604: @1297338
     /* 1297338 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297424), // Rule ID 7216 //
     /* 1297343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1297354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1297357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297389 */     // MIs[0] policy
     /* 1297389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297399 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1297402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297423 */     // GIR_Coverage, 7216,
     /* 1297423 */     GIR_EraseRootFromParent_Done,
     /* 1297424 */   // Label 18605: @1297424
     /* 1297424 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297510), // Rule ID 7217 //
     /* 1297429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1297440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1297443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297467 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297475 */     // MIs[0] policy
     /* 1297475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297485 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1297485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1297488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297509 */     // GIR_Coverage, 7217,
     /* 1297509 */     GIR_EraseRootFromParent_Done,
     /* 1297510 */   // Label 18606: @1297510
     /* 1297510 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297596), // Rule ID 7220 //
     /* 1297515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1297526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1297529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297553 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297561 */     // MIs[0] policy
     /* 1297561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1297574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297595 */     // GIR_Coverage, 7220,
     /* 1297595 */     GIR_EraseRootFromParent_Done,
     /* 1297596 */   // Label 18607: @1297596
     /* 1297596 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297682), // Rule ID 7221 //
     /* 1297601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1297612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1297615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1297618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297639 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297647 */     // MIs[0] policy
     /* 1297647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297657 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1297657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1297660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297681 */     // GIR_Coverage, 7221,
     /* 1297681 */     GIR_EraseRootFromParent_Done,
     /* 1297682 */   // Label 18608: @1297682
     /* 1297682 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1297768), // Rule ID 7224 //
     /* 1297687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1297698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1297701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297725 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297733 */     // MIs[0] policy
     /* 1297733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1297746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297767 */     // GIR_Coverage, 7224,
     /* 1297767 */     GIR_EraseRootFromParent_Done,
     /* 1297768 */   // Label 18609: @1297768
     /* 1297768 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1297854), // Rule ID 7225 //
     /* 1297773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1297784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1297787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297811 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297819 */     // MIs[0] policy
     /* 1297819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1297829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1297832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297853 */     // GIR_Coverage, 7225,
     /* 1297853 */     GIR_EraseRootFromParent_Done,
     /* 1297854 */   // Label 18610: @1297854
     /* 1297854 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1297940), // Rule ID 7228 //
     /* 1297859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1297870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1297873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297897 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297905 */     // MIs[0] policy
     /* 1297905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1297915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1297918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1297938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297939 */     // GIR_Coverage, 7228,
     /* 1297939 */     GIR_EraseRootFromParent_Done,
     /* 1297940 */   // Label 18611: @1297940
     /* 1297940 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298026), // Rule ID 7229 //
     /* 1297945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1297953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1297956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1297959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1297975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297983 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1297987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297991 */     // MIs[0] policy
     /* 1297991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1297994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1298004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298025 */     // GIR_Coverage, 7229,
     /* 1298025 */     GIR_EraseRootFromParent_Done,
     /* 1298026 */   // Label 18612: @1298026
     /* 1298026 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298112), // Rule ID 7232 //
     /* 1298031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1298042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1298045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298069 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298077 */     // MIs[0] policy
     /* 1298077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298087 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298111 */     // GIR_Coverage, 7232,
     /* 1298111 */     GIR_EraseRootFromParent_Done,
     /* 1298112 */   // Label 18613: @1298112
     /* 1298112 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298198), // Rule ID 7233 //
     /* 1298117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1298128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1298131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298155 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298163 */     // MIs[0] policy
     /* 1298163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298197 */     // GIR_Coverage, 7233,
     /* 1298197 */     GIR_EraseRootFromParent_Done,
     /* 1298198 */   // Label 18614: @1298198
     /* 1298198 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298284), // Rule ID 7236 //
     /* 1298203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1298214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1298217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298249 */     // MIs[0] policy
     /* 1298249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298283 */     // GIR_Coverage, 7236,
     /* 1298283 */     GIR_EraseRootFromParent_Done,
     /* 1298284 */   // Label 18615: @1298284
     /* 1298284 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298370), // Rule ID 7237 //
     /* 1298289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1298300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1298303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298335 */     // MIs[0] policy
     /* 1298335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298369 */     // GIR_Coverage, 7237,
     /* 1298369 */     GIR_EraseRootFromParent_Done,
     /* 1298370 */   // Label 18616: @1298370
     /* 1298370 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298456), // Rule ID 7240 //
     /* 1298375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1298386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1298389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298413 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298421 */     // MIs[0] policy
     /* 1298421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298455 */     // GIR_Coverage, 7240,
     /* 1298455 */     GIR_EraseRootFromParent_Done,
     /* 1298456 */   // Label 18617: @1298456
     /* 1298456 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298542), // Rule ID 7241 //
     /* 1298461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1298472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1298475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298499 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298507 */     // MIs[0] policy
     /* 1298507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298541 */     // GIR_Coverage, 7241,
     /* 1298541 */     GIR_EraseRootFromParent_Done,
     /* 1298542 */   // Label 18618: @1298542
     /* 1298542 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298628), // Rule ID 7244 //
     /* 1298547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1298558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1298561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298585 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298593 */     // MIs[0] policy
     /* 1298593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298627 */     // GIR_Coverage, 7244,
     /* 1298627 */     GIR_EraseRootFromParent_Done,
     /* 1298628 */   // Label 18619: @1298628
     /* 1298628 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298714), // Rule ID 7245 //
     /* 1298633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1298644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1298647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1298650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1298663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298671 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298679 */     // MIs[0] policy
     /* 1298679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1298692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298713 */     // GIR_Coverage, 7245,
     /* 1298713 */     GIR_EraseRootFromParent_Done,
     /* 1298714 */   // Label 18620: @1298714
     /* 1298714 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1298800), // Rule ID 7248 //
     /* 1298719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1298730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1298733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1298749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298757 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298765 */     // MIs[0] policy
     /* 1298765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298775 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1298778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298799 */     // GIR_Coverage, 7248,
     /* 1298799 */     GIR_EraseRootFromParent_Done,
     /* 1298800 */   // Label 18621: @1298800
     /* 1298800 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1298886), // Rule ID 7249 //
     /* 1298805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1298816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1298819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1298822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1298835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298843 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298851 */     // MIs[0] policy
     /* 1298851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1298861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1298864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298885 */     // GIR_Coverage, 7249,
     /* 1298885 */     GIR_EraseRootFromParent_Done,
     /* 1298886 */   // Label 18622: @1298886
     /* 1298886 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1298972), // Rule ID 7252 //
     /* 1298891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1298902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1298905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1298908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1298921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298929 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1298933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298937 */     // MIs[0] policy
     /* 1298937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1298940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1298947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1298950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1298970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298971 */     // GIR_Coverage, 7252,
     /* 1298971 */     GIR_EraseRootFromParent_Done,
     /* 1298972 */   // Label 18623: @1298972
     /* 1298972 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299058), // Rule ID 7253 //
     /* 1298977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1298985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1298988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1298991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1298994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1299007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299015 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299023 */     // MIs[0] policy
     /* 1299023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1299036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299057 */     // GIR_Coverage, 7253,
     /* 1299057 */     GIR_EraseRootFromParent_Done,
     /* 1299058 */   // Label 18624: @1299058
     /* 1299058 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299144), // Rule ID 7256 //
     /* 1299063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1299074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1299077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1299093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299101 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299109 */     // MIs[0] policy
     /* 1299109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299119 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1299122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299143 */     // GIR_Coverage, 7256,
     /* 1299143 */     GIR_EraseRootFromParent_Done,
     /* 1299144 */   // Label 18625: @1299144
     /* 1299144 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299230), // Rule ID 7257 //
     /* 1299149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1299160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1299163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1299179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299187 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299195 */     // MIs[0] policy
     /* 1299195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1299208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299229 */     // GIR_Coverage, 7257,
     /* 1299229 */     GIR_EraseRootFromParent_Done,
     /* 1299230 */   // Label 18626: @1299230
     /* 1299230 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299316), // Rule ID 7260 //
     /* 1299235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1299246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1299249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1299265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299281 */     // MIs[0] policy
     /* 1299281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1299294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299315 */     // GIR_Coverage, 7260,
     /* 1299315 */     GIR_EraseRootFromParent_Done,
     /* 1299316 */   // Label 18627: @1299316
     /* 1299316 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299402), // Rule ID 7261 //
     /* 1299321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1299332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1299335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1299351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299359 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299367 */     // MIs[0] policy
     /* 1299367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1299380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299401 */     // GIR_Coverage, 7261,
     /* 1299401 */     GIR_EraseRootFromParent_Done,
     /* 1299402 */   // Label 18628: @1299402
     /* 1299402 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299488), // Rule ID 7264 //
     /* 1299407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1299418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1299421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1299437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299445 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299453 */     // MIs[0] policy
     /* 1299453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299463 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1299466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299487 */     // GIR_Coverage, 7264,
     /* 1299487 */     GIR_EraseRootFromParent_Done,
     /* 1299488 */   // Label 18629: @1299488
     /* 1299488 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299574), // Rule ID 7265 //
     /* 1299493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1299504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1299507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1299523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299539 */     // MIs[0] policy
     /* 1299539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1299552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299573 */     // GIR_Coverage, 7265,
     /* 1299573 */     GIR_EraseRootFromParent_Done,
     /* 1299574 */   // Label 18630: @1299574
     /* 1299574 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299660), // Rule ID 7268 //
     /* 1299579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1299590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1299593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1299609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299617 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299625 */     // MIs[0] policy
     /* 1299625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1299638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299659 */     // GIR_Coverage, 7268,
     /* 1299659 */     GIR_EraseRootFromParent_Done,
     /* 1299660 */   // Label 18631: @1299660
     /* 1299660 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1299746), // Rule ID 7269 //
     /* 1299665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1299676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1299679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1299682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1299695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299703 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299711 */     // MIs[0] policy
     /* 1299711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1299724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299745 */     // GIR_Coverage, 7269,
     /* 1299745 */     GIR_EraseRootFromParent_Done,
     /* 1299746 */   // Label 18632: @1299746
     /* 1299746 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1299832), // Rule ID 7272 //
     /* 1299751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1299762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1299765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1299781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299789 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299797 */     // MIs[0] policy
     /* 1299797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1299810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299831 */     // GIR_Coverage, 7272,
     /* 1299831 */     GIR_EraseRootFromParent_Done,
     /* 1299832 */   // Label 18633: @1299832
     /* 1299832 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1299918), // Rule ID 7273 //
     /* 1299837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1299848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1299851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1299854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1299867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299875 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299883 */     // MIs[0] policy
     /* 1299883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1299893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1299896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1299916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299917 */     // GIR_Coverage, 7273,
     /* 1299917 */     GIR_EraseRootFromParent_Done,
     /* 1299918 */   // Label 18634: @1299918
     /* 1299918 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300004), // Rule ID 7276 //
     /* 1299923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1299931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1299934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1299937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1299940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1299953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299961 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1299965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299969 */     // MIs[0] policy
     /* 1299969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1299972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1299979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1299982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300003 */     // GIR_Coverage, 7276,
     /* 1300003 */     GIR_EraseRootFromParent_Done,
     /* 1300004 */   // Label 18635: @1300004
     /* 1300004 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300090), // Rule ID 7277 //
     /* 1300009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1300020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1300023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1300039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300047 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300055 */     // MIs[0] policy
     /* 1300055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1300068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300089 */     // GIR_Coverage, 7277,
     /* 1300089 */     GIR_EraseRootFromParent_Done,
     /* 1300090 */   // Label 18636: @1300090
     /* 1300090 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300176), // Rule ID 7280 //
     /* 1300095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1300106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1300109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1300125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300133 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300141 */     // MIs[0] policy
     /* 1300141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1300151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1300154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300175 */     // GIR_Coverage, 7280,
     /* 1300175 */     GIR_EraseRootFromParent_Done,
     /* 1300176 */   // Label 18637: @1300176
     /* 1300176 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300262), // Rule ID 7281 //
     /* 1300181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1300192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1300195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1300211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300219 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300227 */     // MIs[0] policy
     /* 1300227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1300240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300261 */     // GIR_Coverage, 7281,
     /* 1300261 */     GIR_EraseRootFromParent_Done,
     /* 1300262 */   // Label 18638: @1300262
     /* 1300262 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300348), // Rule ID 7284 //
     /* 1300267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1300278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1300281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1300297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300305 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300313 */     // MIs[0] policy
     /* 1300313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1300323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1300326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300347 */     // GIR_Coverage, 7284,
     /* 1300347 */     GIR_EraseRootFromParent_Done,
     /* 1300348 */   // Label 18639: @1300348
     /* 1300348 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300434), // Rule ID 7285 //
     /* 1300353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1300364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1300367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1300383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300391 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300399 */     // MIs[0] policy
     /* 1300399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1300412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300433 */     // GIR_Coverage, 7285,
     /* 1300433 */     GIR_EraseRootFromParent_Done,
     /* 1300434 */   // Label 18640: @1300434
     /* 1300434 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300520), // Rule ID 7288 //
     /* 1300439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1300450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1300453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1300469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300477 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300485 */     // MIs[0] policy
     /* 1300485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1300495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1300498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300519 */     // GIR_Coverage, 7288,
     /* 1300519 */     GIR_EraseRootFromParent_Done,
     /* 1300520 */   // Label 18641: @1300520
     /* 1300520 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300606), // Rule ID 7289 //
     /* 1300525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1300536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1300539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1300555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300571 */     // MIs[0] policy
     /* 1300571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1300584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300605 */     // GIR_Coverage, 7289,
     /* 1300605 */     GIR_EraseRootFromParent_Done,
     /* 1300606 */   // Label 18642: @1300606
     /* 1300606 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300692), // Rule ID 7292 //
     /* 1300611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1300622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1300625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1300641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300649 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300657 */     // MIs[0] policy
     /* 1300657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1300667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1300670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300691 */     // GIR_Coverage, 7292,
     /* 1300691 */     GIR_EraseRootFromParent_Done,
     /* 1300692 */   // Label 18643: @1300692
     /* 1300692 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1300778), // Rule ID 7293 //
     /* 1300697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1300705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1300708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1300711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1300714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1300727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300735 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1300739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300743 */     // MIs[0] policy
     /* 1300743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1300756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300777 */     // GIR_Coverage, 7293,
     /* 1300777 */     GIR_EraseRootFromParent_Done,
     /* 1300778 */   // Label 18644: @1300778
     /* 1300778 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1300866), // Rule ID 2606 //
     /* 1300783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1300786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1300791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1300794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1300797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1300803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1300810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300822 */     // MIs[0] Operand 5
     /* 1300822 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1300833 */     // MIs[0] policy
     /* 1300833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1300843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1300846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1300854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300865 */     // GIR_Coverage, 2606,
     /* 1300865 */     GIR_EraseRootFromParent_Done,
     /* 1300866 */   // Label 18645: @1300866
     /* 1300866 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1300954), // Rule ID 2607 //
     /* 1300871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1300874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1300879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1300882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1300885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1300891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1300898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300910 */     // MIs[0] Operand 5
     /* 1300910 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1300921 */     // MIs[0] policy
     /* 1300921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1300924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300931 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1300931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1300934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1300942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1300952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300953 */     // GIR_Coverage, 2607,
     /* 1300953 */     GIR_EraseRootFromParent_Done,
     /* 1300954 */   // Label 18646: @1300954
     /* 1300954 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301042), // Rule ID 20490 //
     /* 1300959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1300962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1300967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1300970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1300973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1300976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1300979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1300986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300998 */     // MIs[0] Operand 5
     /* 1300998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301009 */     // MIs[0] policy
     /* 1301009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1301022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301041 */     // GIR_Coverage, 20490,
     /* 1301041 */     GIR_EraseRootFromParent_Done,
     /* 1301042 */   // Label 18647: @1301042
     /* 1301042 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301130), // Rule ID 20491 //
     /* 1301047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1301050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1301058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1301061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1301067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301086 */     // MIs[0] Operand 5
     /* 1301086 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301097 */     // MIs[0] policy
     /* 1301097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1301110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301129 */     // GIR_Coverage, 20491,
     /* 1301129 */     GIR_EraseRootFromParent_Done,
     /* 1301130 */   // Label 18648: @1301130
     /* 1301130 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301218), // Rule ID 20494 //
     /* 1301135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1301138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1301146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1301149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1301155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301174 */     // MIs[0] Operand 5
     /* 1301174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301185 */     // MIs[0] policy
     /* 1301185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1301198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301217 */     // GIR_Coverage, 20494,
     /* 1301217 */     GIR_EraseRootFromParent_Done,
     /* 1301218 */   // Label 18649: @1301218
     /* 1301218 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301306), // Rule ID 20495 //
     /* 1301223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1301226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1301234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1301237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1301240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1301243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301262 */     // MIs[0] Operand 5
     /* 1301262 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301273 */     // MIs[0] policy
     /* 1301273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1301286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301305 */     // GIR_Coverage, 20495,
     /* 1301305 */     GIR_EraseRootFromParent_Done,
     /* 1301306 */   // Label 18650: @1301306
     /* 1301306 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301394), // Rule ID 20498 //
     /* 1301311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1301314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1301322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1301325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1301328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1301331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301350 */     // MIs[0] Operand 5
     /* 1301350 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301361 */     // MIs[0] policy
     /* 1301361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301393 */     // GIR_Coverage, 20498,
     /* 1301393 */     GIR_EraseRootFromParent_Done,
     /* 1301394 */   // Label 18651: @1301394
     /* 1301394 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301482), // Rule ID 20499 //
     /* 1301399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1301402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1301410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1301413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1301416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1301419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301438 */     // MIs[0] Operand 5
     /* 1301438 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301449 */     // MIs[0] policy
     /* 1301449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301481 */     // GIR_Coverage, 20499,
     /* 1301481 */     GIR_EraseRootFromParent_Done,
     /* 1301482 */   // Label 18652: @1301482
     /* 1301482 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301570), // Rule ID 20502 //
     /* 1301487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1301490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1301498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1301501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1301507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301526 */     // MIs[0] Operand 5
     /* 1301526 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301537 */     // MIs[0] policy
     /* 1301537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301569 */     // GIR_Coverage, 20502,
     /* 1301569 */     GIR_EraseRootFromParent_Done,
     /* 1301570 */   // Label 18653: @1301570
     /* 1301570 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301658), // Rule ID 20503 //
     /* 1301575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1301578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1301586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1301589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1301595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301614 */     // MIs[0] Operand 5
     /* 1301614 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301625 */     // MIs[0] policy
     /* 1301625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301657 */     // GIR_Coverage, 20503,
     /* 1301657 */     GIR_EraseRootFromParent_Done,
     /* 1301658 */   // Label 18654: @1301658
     /* 1301658 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301746), // Rule ID 20506 //
     /* 1301663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1301666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1301674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1301677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1301683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301702 */     // MIs[0] Operand 5
     /* 1301702 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301713 */     // MIs[0] policy
     /* 1301713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301745 */     // GIR_Coverage, 20506,
     /* 1301745 */     GIR_EraseRootFromParent_Done,
     /* 1301746 */   // Label 18655: @1301746
     /* 1301746 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1301834), // Rule ID 20507 //
     /* 1301751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1301754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1301762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1301765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1301771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1301778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301790 */     // MIs[0] Operand 5
     /* 1301790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301801 */     // MIs[0] policy
     /* 1301801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301811 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1301814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301833 */     // GIR_Coverage, 20507,
     /* 1301833 */     GIR_EraseRootFromParent_Done,
     /* 1301834 */   // Label 18656: @1301834
     /* 1301834 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1301922), // Rule ID 20510 //
     /* 1301839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1301842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1301850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1301853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1301856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1301859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1301866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301878 */     // MIs[0] Operand 5
     /* 1301878 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301889 */     // MIs[0] policy
     /* 1301889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301899 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1301899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1301902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1301920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301921 */     // GIR_Coverage, 20510,
     /* 1301921 */     GIR_EraseRootFromParent_Done,
     /* 1301922 */   // Label 18657: @1301922
     /* 1301922 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302010), // Rule ID 20511 //
     /* 1301927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1301930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1301935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1301938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1301941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1301944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1301947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1301954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301966 */     // MIs[0] Operand 5
     /* 1301966 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1301977 */     // MIs[0] policy
     /* 1301977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1301980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1301987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1301990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1301998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302009 */     // GIR_Coverage, 20511,
     /* 1302009 */     GIR_EraseRootFromParent_Done,
     /* 1302010 */   // Label 18658: @1302010
     /* 1302010 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302098), // Rule ID 20514 //
     /* 1302015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1302018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1302026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1302029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1302035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1302042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302054 */     // MIs[0] Operand 5
     /* 1302054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302065 */     // MIs[0] policy
     /* 1302065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1302078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302097 */     // GIR_Coverage, 20514,
     /* 1302097 */     GIR_EraseRootFromParent_Done,
     /* 1302098 */   // Label 18659: @1302098
     /* 1302098 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302186), // Rule ID 20515 //
     /* 1302103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1302106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1302114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1302117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1302123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1302130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302142 */     // MIs[0] Operand 5
     /* 1302142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302153 */     // MIs[0] policy
     /* 1302153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1302163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1302166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302185 */     // GIR_Coverage, 20515,
     /* 1302185 */     GIR_EraseRootFromParent_Done,
     /* 1302186 */   // Label 18660: @1302186
     /* 1302186 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302274), // Rule ID 20518 //
     /* 1302191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1302194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1302202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1302205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1302211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1302218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302230 */     // MIs[0] Operand 5
     /* 1302230 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302241 */     // MIs[0] policy
     /* 1302241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302251 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1302254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302273 */     // GIR_Coverage, 20518,
     /* 1302273 */     GIR_EraseRootFromParent_Done,
     /* 1302274 */   // Label 18661: @1302274
     /* 1302274 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302362), // Rule ID 20519 //
     /* 1302279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1302282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1302290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1302293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1302299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1302306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302318 */     // MIs[0] Operand 5
     /* 1302318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302329 */     // MIs[0] policy
     /* 1302329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1302339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1302342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302361 */     // GIR_Coverage, 20519,
     /* 1302361 */     GIR_EraseRootFromParent_Done,
     /* 1302362 */   // Label 18662: @1302362
     /* 1302362 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302450), // Rule ID 20522 //
     /* 1302367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1302370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1302378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1302381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1302384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1302387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1302394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302406 */     // MIs[0] Operand 5
     /* 1302406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302417 */     // MIs[0] policy
     /* 1302417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1302430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302449 */     // GIR_Coverage, 20522,
     /* 1302449 */     GIR_EraseRootFromParent_Done,
     /* 1302450 */   // Label 18663: @1302450
     /* 1302450 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302538), // Rule ID 20523 //
     /* 1302455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1302458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1302466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1302469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1302472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1302475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1302482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302494 */     // MIs[0] Operand 5
     /* 1302494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302505 */     // MIs[0] policy
     /* 1302505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1302515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1302518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302537 */     // GIR_Coverage, 20523,
     /* 1302537 */     GIR_EraseRootFromParent_Done,
     /* 1302538 */   // Label 18664: @1302538
     /* 1302538 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302626), // Rule ID 20526 //
     /* 1302543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1302546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1302554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1302557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1302560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1302563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1302570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302582 */     // MIs[0] Operand 5
     /* 1302582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302593 */     // MIs[0] policy
     /* 1302593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1302606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302625 */     // GIR_Coverage, 20526,
     /* 1302625 */     GIR_EraseRootFromParent_Done,
     /* 1302626 */   // Label 18665: @1302626
     /* 1302626 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302714), // Rule ID 20527 //
     /* 1302631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1302634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1302642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1302645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1302648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1302651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1302658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302670 */     // MIs[0] Operand 5
     /* 1302670 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302681 */     // MIs[0] policy
     /* 1302681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1302691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1302694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302713 */     // GIR_Coverage, 20527,
     /* 1302713 */     GIR_EraseRootFromParent_Done,
     /* 1302714 */   // Label 18666: @1302714
     /* 1302714 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302802), // Rule ID 20530 //
     /* 1302719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1302722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1302730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1302733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1302736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1302739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1302746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302758 */     // MIs[0] Operand 5
     /* 1302758 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302769 */     // MIs[0] policy
     /* 1302769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1302782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302801 */     // GIR_Coverage, 20530,
     /* 1302801 */     GIR_EraseRootFromParent_Done,
     /* 1302802 */   // Label 18667: @1302802
     /* 1302802 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1302890), // Rule ID 20531 //
     /* 1302807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1302810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1302818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1302821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1302824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1302827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1302834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302846 */     // MIs[0] Operand 5
     /* 1302846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302857 */     // MIs[0] policy
     /* 1302857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1302867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1302870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302889 */     // GIR_Coverage, 20531,
     /* 1302889 */     GIR_EraseRootFromParent_Done,
     /* 1302890 */   // Label 18668: @1302890
     /* 1302890 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1302978), // Rule ID 20534 //
     /* 1302895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1302898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1302906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1302909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1302912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1302915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1302922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302934 */     // MIs[0] Operand 5
     /* 1302934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1302945 */     // MIs[0] policy
     /* 1302945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1302948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1302955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1302958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1302966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1302976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302977 */     // GIR_Coverage, 20534,
     /* 1302977 */     GIR_EraseRootFromParent_Done,
     /* 1302978 */   // Label 18669: @1302978
     /* 1302978 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303066), // Rule ID 20535 //
     /* 1302983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1302986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1302991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1302994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1302997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1303000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1303003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1303010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303022 */     // MIs[0] Operand 5
     /* 1303022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303033 */     // MIs[0] policy
     /* 1303033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1303046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303065 */     // GIR_Coverage, 20535,
     /* 1303065 */     GIR_EraseRootFromParent_Done,
     /* 1303066 */   // Label 18670: @1303066
     /* 1303066 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303154), // Rule ID 20538 //
     /* 1303071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1303074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1303079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1303082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1303085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1303091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1303098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303110 */     // MIs[0] Operand 5
     /* 1303110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303121 */     // MIs[0] policy
     /* 1303121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1303131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1303134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303153 */     // GIR_Coverage, 20538,
     /* 1303153 */     GIR_EraseRootFromParent_Done,
     /* 1303154 */   // Label 18671: @1303154
     /* 1303154 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303242), // Rule ID 20539 //
     /* 1303159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1303162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1303167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1303170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1303173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1303179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1303186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303198 */     // MIs[0] Operand 5
     /* 1303198 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303209 */     // MIs[0] policy
     /* 1303209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1303222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303241 */     // GIR_Coverage, 20539,
     /* 1303241 */     GIR_EraseRootFromParent_Done,
     /* 1303242 */   // Label 18672: @1303242
     /* 1303242 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303330), // Rule ID 20542 //
     /* 1303247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1303250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1303255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1303258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1303261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1303267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1303274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303286 */     // MIs[0] Operand 5
     /* 1303286 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303297 */     // MIs[0] policy
     /* 1303297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303307 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1303307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1303310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303329 */     // GIR_Coverage, 20542,
     /* 1303329 */     GIR_EraseRootFromParent_Done,
     /* 1303330 */   // Label 18673: @1303330
     /* 1303330 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303418), // Rule ID 20543 //
     /* 1303335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1303338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1303343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1303346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1303349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1303355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1303362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303374 */     // MIs[0] Operand 5
     /* 1303374 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303385 */     // MIs[0] policy
     /* 1303385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1303398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303417 */     // GIR_Coverage, 20543,
     /* 1303417 */     GIR_EraseRootFromParent_Done,
     /* 1303418 */   // Label 18674: @1303418
     /* 1303418 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303506), // Rule ID 20546 //
     /* 1303423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1303426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1303434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1303437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1303440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1303443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303462 */     // MIs[0] Operand 5
     /* 1303462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303473 */     // MIs[0] policy
     /* 1303473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1303483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1303486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303505 */     // GIR_Coverage, 20546,
     /* 1303505 */     GIR_EraseRootFromParent_Done,
     /* 1303506 */   // Label 18675: @1303506
     /* 1303506 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303594), // Rule ID 20547 //
     /* 1303511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1303514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1303522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1303525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1303528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1303531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303550 */     // MIs[0] Operand 5
     /* 1303550 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303561 */     // MIs[0] policy
     /* 1303561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1303574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303593 */     // GIR_Coverage, 20547,
     /* 1303593 */     GIR_EraseRootFromParent_Done,
     /* 1303594 */   // Label 18676: @1303594
     /* 1303594 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303682), // Rule ID 20550 //
     /* 1303599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1303602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1303619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303638 */     // MIs[0] Operand 5
     /* 1303638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303649 */     // MIs[0] policy
     /* 1303649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1303659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1303662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303681 */     // GIR_Coverage, 20550,
     /* 1303681 */     GIR_EraseRootFromParent_Done,
     /* 1303682 */   // Label 18677: @1303682
     /* 1303682 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303770), // Rule ID 20551 //
     /* 1303687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1303690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1303707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303726 */     // MIs[0] Operand 5
     /* 1303726 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303737 */     // MIs[0] policy
     /* 1303737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1303750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303769 */     // GIR_Coverage, 20551,
     /* 1303769 */     GIR_EraseRootFromParent_Done,
     /* 1303770 */   // Label 18678: @1303770
     /* 1303770 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303858), // Rule ID 20554 //
     /* 1303775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1303778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1303795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303814 */     // MIs[0] Operand 5
     /* 1303814 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303825 */     // MIs[0] policy
     /* 1303825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1303835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1303838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303857 */     // GIR_Coverage, 20554,
     /* 1303857 */     GIR_EraseRootFromParent_Done,
     /* 1303858 */   // Label 18679: @1303858
     /* 1303858 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1303946), // Rule ID 20555 //
     /* 1303863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1303866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1303883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303902 */     // MIs[0] Operand 5
     /* 1303902 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1303913 */     // MIs[0] policy
     /* 1303913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1303916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1303923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1303926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1303934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1303944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303945 */     // GIR_Coverage, 20555,
     /* 1303945 */     GIR_EraseRootFromParent_Done,
     /* 1303946 */   // Label 18680: @1303946
     /* 1303946 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304034), // Rule ID 20558 //
     /* 1303951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1303954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1303959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1303962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1303965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1303971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303990 */     // MIs[0] Operand 5
     /* 1303990 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304001 */     // MIs[0] policy
     /* 1304001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304033 */     // GIR_Coverage, 20558,
     /* 1304033 */     GIR_EraseRootFromParent_Done,
     /* 1304034 */   // Label 18681: @1304034
     /* 1304034 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304122), // Rule ID 20559 //
     /* 1304039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1304042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1304050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1304053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1304056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1304059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304078 */     // MIs[0] Operand 5
     /* 1304078 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304089 */     // MIs[0] policy
     /* 1304089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304121 */     // GIR_Coverage, 20559,
     /* 1304121 */     GIR_EraseRootFromParent_Done,
     /* 1304122 */   // Label 18682: @1304122
     /* 1304122 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304210), // Rule ID 20562 //
     /* 1304127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1304130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1304147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304166 */     // MIs[0] Operand 5
     /* 1304166 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304177 */     // MIs[0] policy
     /* 1304177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304209 */     // GIR_Coverage, 20562,
     /* 1304209 */     GIR_EraseRootFromParent_Done,
     /* 1304210 */   // Label 18683: @1304210
     /* 1304210 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304298), // Rule ID 20563 //
     /* 1304215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1304218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1304235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304254 */     // MIs[0] Operand 5
     /* 1304254 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304265 */     // MIs[0] policy
     /* 1304265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304297 */     // GIR_Coverage, 20563,
     /* 1304297 */     GIR_EraseRootFromParent_Done,
     /* 1304298 */   // Label 18684: @1304298
     /* 1304298 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304386), // Rule ID 20566 //
     /* 1304303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1304306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1304323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304342 */     // MIs[0] Operand 5
     /* 1304342 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304353 */     // MIs[0] policy
     /* 1304353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304385 */     // GIR_Coverage, 20566,
     /* 1304385 */     GIR_EraseRootFromParent_Done,
     /* 1304386 */   // Label 18685: @1304386
     /* 1304386 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304474), // Rule ID 20567 //
     /* 1304391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1304394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1304411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304430 */     // MIs[0] Operand 5
     /* 1304430 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304441 */     // MIs[0] policy
     /* 1304441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1304454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304473 */     // GIR_Coverage, 20567,
     /* 1304473 */     GIR_EraseRootFromParent_Done,
     /* 1304474 */   // Label 18686: @1304474
     /* 1304474 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304562), // Rule ID 20570 //
     /* 1304479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1304482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1304490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1304493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1304496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1304499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1304506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304518 */     // MIs[0] Operand 5
     /* 1304518 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304529 */     // MIs[0] policy
     /* 1304529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1304542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304561 */     // GIR_Coverage, 20570,
     /* 1304561 */     GIR_EraseRootFromParent_Done,
     /* 1304562 */   // Label 18687: @1304562
     /* 1304562 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304650), // Rule ID 20571 //
     /* 1304567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1304570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1304578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1304581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1304584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1304587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1304594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304606 */     // MIs[0] Operand 5
     /* 1304606 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304617 */     // MIs[0] policy
     /* 1304617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1304630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304649 */     // GIR_Coverage, 20571,
     /* 1304649 */     GIR_EraseRootFromParent_Done,
     /* 1304650 */   // Label 18688: @1304650
     /* 1304650 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304738), // Rule ID 20574 //
     /* 1304655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1304658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1304666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1304669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1304675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1304682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304694 */     // MIs[0] Operand 5
     /* 1304694 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304705 */     // MIs[0] policy
     /* 1304705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1304718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304737 */     // GIR_Coverage, 20574,
     /* 1304737 */     GIR_EraseRootFromParent_Done,
     /* 1304738 */   // Label 18689: @1304738
     /* 1304738 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304826), // Rule ID 20575 //
     /* 1304743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1304746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1304754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1304757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1304763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1304770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304782 */     // MIs[0] Operand 5
     /* 1304782 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304793 */     // MIs[0] policy
     /* 1304793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1304806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304825 */     // GIR_Coverage, 20575,
     /* 1304825 */     GIR_EraseRootFromParent_Done,
     /* 1304826 */   // Label 18690: @1304826
     /* 1304826 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304914), // Rule ID 20578 //
     /* 1304831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1304834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1304842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1304845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1304851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1304858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304870 */     // MIs[0] Operand 5
     /* 1304870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304881 */     // MIs[0] policy
     /* 1304881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304891 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1304891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1304894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1304912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304913 */     // GIR_Coverage, 20578,
     /* 1304913 */     GIR_EraseRootFromParent_Done,
     /* 1304914 */   // Label 18691: @1304914
     /* 1304914 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1305002), // Rule ID 20579 //
     /* 1304919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1304922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1304927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1304930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1304933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1304939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1304946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304958 */     // MIs[0] Operand 5
     /* 1304958 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1304969 */     // MIs[0] policy
     /* 1304969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1304972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1304979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1304982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1304990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305001 */     // GIR_Coverage, 20579,
     /* 1305001 */     GIR_EraseRootFromParent_Done,
     /* 1305002 */   // Label 18692: @1305002
     /* 1305002 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305090), // Rule ID 20582 //
     /* 1305007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1305010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1305018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1305021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1305024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1305027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305046 */     // MIs[0] Operand 5
     /* 1305046 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305057 */     // MIs[0] policy
     /* 1305057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1305070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305089 */     // GIR_Coverage, 20582,
     /* 1305089 */     GIR_EraseRootFromParent_Done,
     /* 1305090 */   // Label 18693: @1305090
     /* 1305090 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305178), // Rule ID 20583 //
     /* 1305095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1305098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1305106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1305109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1305112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1305115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305134 */     // MIs[0] Operand 5
     /* 1305134 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305145 */     // MIs[0] policy
     /* 1305145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1305155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1305158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305177 */     // GIR_Coverage, 20583,
     /* 1305177 */     GIR_EraseRootFromParent_Done,
     /* 1305178 */   // Label 18694: @1305178
     /* 1305178 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305266), // Rule ID 20586 //
     /* 1305183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1305186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1305194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1305197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1305200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1305203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305222 */     // MIs[0] Operand 5
     /* 1305222 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305233 */     // MIs[0] policy
     /* 1305233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1305246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305265 */     // GIR_Coverage, 20586,
     /* 1305265 */     GIR_EraseRootFromParent_Done,
     /* 1305266 */   // Label 18695: @1305266
     /* 1305266 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305354), // Rule ID 20587 //
     /* 1305271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1305274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1305282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1305285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1305288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1305291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305310 */     // MIs[0] Operand 5
     /* 1305310 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305321 */     // MIs[0] policy
     /* 1305321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1305331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1305334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305353 */     // GIR_Coverage, 20587,
     /* 1305353 */     GIR_EraseRootFromParent_Done,
     /* 1305354 */   // Label 18696: @1305354
     /* 1305354 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305442), // Rule ID 20590 //
     /* 1305359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1305362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1305370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1305373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1305376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1305379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1305386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305398 */     // MIs[0] Operand 5
     /* 1305398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305409 */     // MIs[0] policy
     /* 1305409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1305422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305441 */     // GIR_Coverage, 20590,
     /* 1305441 */     GIR_EraseRootFromParent_Done,
     /* 1305442 */   // Label 18697: @1305442
     /* 1305442 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305530), // Rule ID 20591 //
     /* 1305447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1305450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1305458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1305461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1305464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1305467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1305474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305486 */     // MIs[0] Operand 5
     /* 1305486 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305497 */     // MIs[0] policy
     /* 1305497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1305507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1305510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305529 */     // GIR_Coverage, 20591,
     /* 1305529 */     GIR_EraseRootFromParent_Done,
     /* 1305530 */   // Label 18698: @1305530
     /* 1305530 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305618), // Rule ID 20594 //
     /* 1305535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1305538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1305546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1305549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1305552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1305555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305574 */     // MIs[0] Operand 5
     /* 1305574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305585 */     // MIs[0] policy
     /* 1305585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1305598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305617 */     // GIR_Coverage, 20594,
     /* 1305617 */     GIR_EraseRootFromParent_Done,
     /* 1305618 */   // Label 18699: @1305618
     /* 1305618 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305706), // Rule ID 20595 //
     /* 1305623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1305626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1305634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1305637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1305640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1305643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305662 */     // MIs[0] Operand 5
     /* 1305662 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305673 */     // MIs[0] policy
     /* 1305673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305683 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1305683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1305686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305705 */     // GIR_Coverage, 20595,
     /* 1305705 */     GIR_EraseRootFromParent_Done,
     /* 1305706 */   // Label 18700: @1305706
     /* 1305706 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305794), // Rule ID 20598 //
     /* 1305711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1305714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1305722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1305725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1305731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305750 */     // MIs[0] Operand 5
     /* 1305750 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305761 */     // MIs[0] policy
     /* 1305761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1305774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305793 */     // GIR_Coverage, 20598,
     /* 1305793 */     GIR_EraseRootFromParent_Done,
     /* 1305794 */   // Label 18701: @1305794
     /* 1305794 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305882), // Rule ID 20599 //
     /* 1305799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1305802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1305810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1305813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1305819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305838 */     // MIs[0] Operand 5
     /* 1305838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305849 */     // MIs[0] policy
     /* 1305849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1305859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1305862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305881 */     // GIR_Coverage, 20599,
     /* 1305881 */     GIR_EraseRootFromParent_Done,
     /* 1305882 */   // Label 18702: @1305882
     /* 1305882 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305970), // Rule ID 20602 //
     /* 1305887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1305890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1305898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1305901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1305907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1305914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305926 */     // MIs[0] Operand 5
     /* 1305926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1305937 */     // MIs[0] policy
     /* 1305937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1305940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1305947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1305950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1305958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1305968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305969 */     // GIR_Coverage, 20602,
     /* 1305969 */     GIR_EraseRootFromParent_Done,
     /* 1305970 */   // Label 18703: @1305970
     /* 1305970 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1306058), // Rule ID 20603 //
     /* 1305975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1305978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1305983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1305986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1305989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1305995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1306002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306014 */     // MIs[0] Operand 5
     /* 1306014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306025 */     // MIs[0] policy
     /* 1306025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1306038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306057 */     // GIR_Coverage, 20603,
     /* 1306057 */     GIR_EraseRootFromParent_Done,
     /* 1306058 */   // Label 18704: @1306058
     /* 1306058 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306146), // Rule ID 20962 //
     /* 1306063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1306066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1306074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1306077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1306080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1306083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306102 */     // MIs[0] Operand 5
     /* 1306102 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306113 */     // MIs[0] policy
     /* 1306113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1306123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1306126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306145 */     // GIR_Coverage, 20962,
     /* 1306145 */     GIR_EraseRootFromParent_Done,
     /* 1306146 */   // Label 18705: @1306146
     /* 1306146 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306234), // Rule ID 20963 //
     /* 1306151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1306154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1306162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1306165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1306168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1306171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306190 */     // MIs[0] Operand 5
     /* 1306190 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306201 */     // MIs[0] policy
     /* 1306201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1306214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306233 */     // GIR_Coverage, 20963,
     /* 1306233 */     GIR_EraseRootFromParent_Done,
     /* 1306234 */   // Label 18706: @1306234
     /* 1306234 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306322), // Rule ID 20966 //
     /* 1306239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1306242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1306250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1306253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1306259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306278 */     // MIs[0] Operand 5
     /* 1306278 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306289 */     // MIs[0] policy
     /* 1306289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1306299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1306302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306321 */     // GIR_Coverage, 20966,
     /* 1306321 */     GIR_EraseRootFromParent_Done,
     /* 1306322 */   // Label 18707: @1306322
     /* 1306322 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306410), // Rule ID 20967 //
     /* 1306327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1306330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1306338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1306341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1306347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306366 */     // MIs[0] Operand 5
     /* 1306366 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306377 */     // MIs[0] policy
     /* 1306377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1306390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306409 */     // GIR_Coverage, 20967,
     /* 1306409 */     GIR_EraseRootFromParent_Done,
     /* 1306410 */   // Label 18708: @1306410
     /* 1306410 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306498), // Rule ID 20970 //
     /* 1306415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1306418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1306435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306454 */     // MIs[0] Operand 5
     /* 1306454 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306465 */     // MIs[0] policy
     /* 1306465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1306475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1306478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306497 */     // GIR_Coverage, 20970,
     /* 1306497 */     GIR_EraseRootFromParent_Done,
     /* 1306498 */   // Label 18709: @1306498
     /* 1306498 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306586), // Rule ID 20971 //
     /* 1306503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1306506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1306523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306542 */     // MIs[0] Operand 5
     /* 1306542 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306553 */     // MIs[0] policy
     /* 1306553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1306566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306585 */     // GIR_Coverage, 20971,
     /* 1306585 */     GIR_EraseRootFromParent_Done,
     /* 1306586 */   // Label 18710: @1306586
     /* 1306586 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306674), // Rule ID 20974 //
     /* 1306591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1306594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1306611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306630 */     // MIs[0] Operand 5
     /* 1306630 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306641 */     // MIs[0] policy
     /* 1306641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1306651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1306654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306673 */     // GIR_Coverage, 20974,
     /* 1306673 */     GIR_EraseRootFromParent_Done,
     /* 1306674 */   // Label 18711: @1306674
     /* 1306674 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306762), // Rule ID 20975 //
     /* 1306679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1306682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1306696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1306699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306718 */     // MIs[0] Operand 5
     /* 1306718 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306729 */     // MIs[0] policy
     /* 1306729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1306742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306761 */     // GIR_Coverage, 20975,
     /* 1306761 */     GIR_EraseRootFromParent_Done,
     /* 1306762 */   // Label 18712: @1306762
     /* 1306762 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306850), // Rule ID 20978 //
     /* 1306767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1306770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1306778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1306781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1306787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1306794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306806 */     // MIs[0] Operand 5
     /* 1306806 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306817 */     // MIs[0] policy
     /* 1306817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1306827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1306830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306849 */     // GIR_Coverage, 20978,
     /* 1306849 */     GIR_EraseRootFromParent_Done,
     /* 1306850 */   // Label 18713: @1306850
     /* 1306850 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306938), // Rule ID 20979 //
     /* 1306855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1306858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1306866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1306869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1306872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1306875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1306882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306894 */     // MIs[0] Operand 5
     /* 1306894 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306905 */     // MIs[0] policy
     /* 1306905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1306915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1306918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1306926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1306936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306937 */     // GIR_Coverage, 20979,
     /* 1306937 */     GIR_EraseRootFromParent_Done,
     /* 1306938 */   // Label 18714: @1306938
     /* 1306938 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1307026), // Rule ID 20982 //
     /* 1306943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1306946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1306951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1306954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1306957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1306960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1306963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306982 */     // MIs[0] Operand 5
     /* 1306982 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1306993 */     // MIs[0] policy
     /* 1306993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1306996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1307006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307025 */     // GIR_Coverage, 20982,
     /* 1307025 */     GIR_EraseRootFromParent_Done,
     /* 1307026 */   // Label 18715: @1307026
     /* 1307026 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1307114), // Rule ID 20983 //
     /* 1307031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1307034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1307042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1307045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1307048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1307051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307070 */     // MIs[0] Operand 5
     /* 1307070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307081 */     // MIs[0] policy
     /* 1307081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1307094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307113 */     // GIR_Coverage, 20983,
     /* 1307113 */     GIR_EraseRootFromParent_Done,
     /* 1307114 */   // Label 18716: @1307114
     /* 1307114 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307202), // Rule ID 20986 //
     /* 1307119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1307122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1307136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1307139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307158 */     // MIs[0] Operand 5
     /* 1307158 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307169 */     // MIs[0] policy
     /* 1307169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307179 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1307182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307201 */     // GIR_Coverage, 20986,
     /* 1307201 */     GIR_EraseRootFromParent_Done,
     /* 1307202 */   // Label 18717: @1307202
     /* 1307202 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307290), // Rule ID 20987 //
     /* 1307207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1307210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1307224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1307227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307246 */     // MIs[0] Operand 5
     /* 1307246 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307257 */     // MIs[0] policy
     /* 1307257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1307270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307289 */     // GIR_Coverage, 20987,
     /* 1307289 */     GIR_EraseRootFromParent_Done,
     /* 1307290 */   // Label 18718: @1307290
     /* 1307290 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307378), // Rule ID 20990 //
     /* 1307295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1307298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1307306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1307309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1307315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307334 */     // MIs[0] Operand 5
     /* 1307334 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307345 */     // MIs[0] policy
     /* 1307345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1307358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307377 */     // GIR_Coverage, 20990,
     /* 1307377 */     GIR_EraseRootFromParent_Done,
     /* 1307378 */   // Label 18719: @1307378
     /* 1307378 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307466), // Rule ID 20991 //
     /* 1307383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1307386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1307394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1307397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1307403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307422 */     // MIs[0] Operand 5
     /* 1307422 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307433 */     // MIs[0] policy
     /* 1307433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1307446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307465 */     // GIR_Coverage, 20991,
     /* 1307465 */     GIR_EraseRootFromParent_Done,
     /* 1307466 */   // Label 18720: @1307466
     /* 1307466 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307554), // Rule ID 20994 //
     /* 1307471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1307474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1307482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1307485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1307491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307510 */     // MIs[0] Operand 5
     /* 1307510 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307521 */     // MIs[0] policy
     /* 1307521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1307534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307553 */     // GIR_Coverage, 20994,
     /* 1307553 */     GIR_EraseRootFromParent_Done,
     /* 1307554 */   // Label 18721: @1307554
     /* 1307554 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307642), // Rule ID 20995 //
     /* 1307559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1307562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1307567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1307570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1307573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1307579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307598 */     // MIs[0] Operand 5
     /* 1307598 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307609 */     // MIs[0] policy
     /* 1307609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1307622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307641 */     // GIR_Coverage, 20995,
     /* 1307641 */     GIR_EraseRootFromParent_Done,
     /* 1307642 */   // Label 18722: @1307642
     /* 1307642 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307730), // Rule ID 20998 //
     /* 1307647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1307650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1307655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1307658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1307661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1307664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1307667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307686 */     // MIs[0] Operand 5
     /* 1307686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307697 */     // MIs[0] policy
     /* 1307697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1307710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307729 */     // GIR_Coverage, 20998,
     /* 1307729 */     GIR_EraseRootFromParent_Done,
     /* 1307730 */   // Label 18723: @1307730
     /* 1307730 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307818), // Rule ID 20999 //
     /* 1307735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1307738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1307743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1307746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1307749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1307752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1307755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307774 */     // MIs[0] Operand 5
     /* 1307774 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307785 */     // MIs[0] policy
     /* 1307785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1307798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307817 */     // GIR_Coverage, 20999,
     /* 1307817 */     GIR_EraseRootFromParent_Done,
     /* 1307818 */   // Label 18724: @1307818
     /* 1307818 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307906), // Rule ID 21002 //
     /* 1307823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1307826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1307831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1307834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1307837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1307840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1307843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307862 */     // MIs[0] Operand 5
     /* 1307862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307873 */     // MIs[0] policy
     /* 1307873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1307883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1307886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307905 */     // GIR_Coverage, 21002,
     /* 1307905 */     GIR_EraseRootFromParent_Done,
     /* 1307906 */   // Label 18725: @1307906
     /* 1307906 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307994), // Rule ID 21003 //
     /* 1307911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1307914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1307919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1307922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1307925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1307928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1307931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307950 */     // MIs[0] Operand 5
     /* 1307950 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1307961 */     // MIs[0] policy
     /* 1307961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1307964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1307971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1307974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1307982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1307992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307993 */     // GIR_Coverage, 21003,
     /* 1307993 */     GIR_EraseRootFromParent_Done,
     /* 1307994 */   // Label 18726: @1307994
     /* 1307994 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1308082), // Rule ID 21006 //
     /* 1307999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1308002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1308010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1308013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1308019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308038 */     // MIs[0] Operand 5
     /* 1308038 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308049 */     // MIs[0] policy
     /* 1308049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1308062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308081 */     // GIR_Coverage, 21006,
     /* 1308081 */     GIR_EraseRootFromParent_Done,
     /* 1308082 */   // Label 18727: @1308082
     /* 1308082 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1308170), // Rule ID 21007 //
     /* 1308087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1308090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1308098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1308101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1308107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308126 */     // MIs[0] Operand 5
     /* 1308126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308137 */     // MIs[0] policy
     /* 1308137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1308147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1308150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308169 */     // GIR_Coverage, 21007,
     /* 1308169 */     GIR_EraseRootFromParent_Done,
     /* 1308170 */   // Label 18728: @1308170
     /* 1308170 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308258), // Rule ID 21010 //
     /* 1308175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1308178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1308186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1308189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1308192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1308195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308214 */     // MIs[0] Operand 5
     /* 1308214 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308225 */     // MIs[0] policy
     /* 1308225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1308238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308257 */     // GIR_Coverage, 21010,
     /* 1308257 */     GIR_EraseRootFromParent_Done,
     /* 1308258 */   // Label 18729: @1308258
     /* 1308258 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308346), // Rule ID 21011 //
     /* 1308263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1308266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1308274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1308277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1308280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1308283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308302 */     // MIs[0] Operand 5
     /* 1308302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308313 */     // MIs[0] policy
     /* 1308313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1308323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1308326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308345 */     // GIR_Coverage, 21011,
     /* 1308345 */     GIR_EraseRootFromParent_Done,
     /* 1308346 */   // Label 18730: @1308346
     /* 1308346 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308434), // Rule ID 21014 //
     /* 1308351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1308354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1308362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1308365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1308368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1308371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308390 */     // MIs[0] Operand 5
     /* 1308390 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308401 */     // MIs[0] policy
     /* 1308401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1308414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308433 */     // GIR_Coverage, 21014,
     /* 1308433 */     GIR_EraseRootFromParent_Done,
     /* 1308434 */   // Label 18731: @1308434
     /* 1308434 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308522), // Rule ID 21015 //
     /* 1308439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1308442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1308450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1308453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1308456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1308459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308478 */     // MIs[0] Operand 5
     /* 1308478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308489 */     // MIs[0] policy
     /* 1308489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1308499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1308502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308521 */     // GIR_Coverage, 21015,
     /* 1308521 */     GIR_EraseRootFromParent_Done,
     /* 1308522 */   // Label 18732: @1308522
     /* 1308522 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308610), // Rule ID 21018 //
     /* 1308527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1308530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1308538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1308541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1308547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308566 */     // MIs[0] Operand 5
     /* 1308566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308577 */     // MIs[0] policy
     /* 1308577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1308590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308609 */     // GIR_Coverage, 21018,
     /* 1308609 */     GIR_EraseRootFromParent_Done,
     /* 1308610 */   // Label 18733: @1308610
     /* 1308610 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308698), // Rule ID 21019 //
     /* 1308615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1308618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1308626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1308629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1308635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308654 */     // MIs[0] Operand 5
     /* 1308654 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308665 */     // MIs[0] policy
     /* 1308665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308675 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1308675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1308678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308697 */     // GIR_Coverage, 21019,
     /* 1308697 */     GIR_EraseRootFromParent_Done,
     /* 1308698 */   // Label 18734: @1308698
     /* 1308698 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308786), // Rule ID 21022 //
     /* 1308703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1308706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1308714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1308717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1308720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1308723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308742 */     // MIs[0] Operand 5
     /* 1308742 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308753 */     // MIs[0] policy
     /* 1308753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1308766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308785 */     // GIR_Coverage, 21022,
     /* 1308785 */     GIR_EraseRootFromParent_Done,
     /* 1308786 */   // Label 18735: @1308786
     /* 1308786 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308874), // Rule ID 21023 //
     /* 1308791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1308794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1308802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1308805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1308808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1308811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308830 */     // MIs[0] Operand 5
     /* 1308830 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308841 */     // MIs[0] policy
     /* 1308841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1308851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1308854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308873 */     // GIR_Coverage, 21023,
     /* 1308873 */     GIR_EraseRootFromParent_Done,
     /* 1308874 */   // Label 18736: @1308874
     /* 1308874 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308962), // Rule ID 21026 //
     /* 1308879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1308882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1308890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1308893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1308899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308918 */     // MIs[0] Operand 5
     /* 1308918 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1308929 */     // MIs[0] policy
     /* 1308929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1308932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1308939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1308942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1308950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1308960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308961 */     // GIR_Coverage, 21026,
     /* 1308961 */     GIR_EraseRootFromParent_Done,
     /* 1308962 */   // Label 18737: @1308962
     /* 1308962 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1309050), // Rule ID 21027 //
     /* 1308967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1308970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1308975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1308978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1308981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1308987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309006 */     // MIs[0] Operand 5
     /* 1309006 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309017 */     // MIs[0] policy
     /* 1309017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1309030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309049 */     // GIR_Coverage, 21027,
     /* 1309049 */     GIR_EraseRootFromParent_Done,
     /* 1309050 */   // Label 18738: @1309050
     /* 1309050 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1309138), // Rule ID 21030 //
     /* 1309055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1309058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1309063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1309066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1309069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1309072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1309075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309094 */     // MIs[0] Operand 5
     /* 1309094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309105 */     // MIs[0] policy
     /* 1309105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1309118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309137 */     // GIR_Coverage, 21030,
     /* 1309137 */     GIR_EraseRootFromParent_Done,
     /* 1309138 */   // Label 18739: @1309138
     /* 1309138 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1309226), // Rule ID 21031 //
     /* 1309143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1309146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1309151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1309154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1309157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1309160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1309163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309182 */     // MIs[0] Operand 5
     /* 1309182 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309193 */     // MIs[0] policy
     /* 1309193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1309206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309225 */     // GIR_Coverage, 21031,
     /* 1309225 */     GIR_EraseRootFromParent_Done,
     /* 1309226 */   // Label 18740: @1309226
     /* 1309226 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309314), // Rule ID 21334 //
     /* 1309231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1309234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1309242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1309245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1309251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309270 */     // MIs[0] Operand 5
     /* 1309270 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309281 */     // MIs[0] policy
     /* 1309281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1309294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309313 */     // GIR_Coverage, 21334,
     /* 1309313 */     GIR_EraseRootFromParent_Done,
     /* 1309314 */   // Label 18741: @1309314
     /* 1309314 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309402), // Rule ID 21335 //
     /* 1309319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1309322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1309330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1309333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1309339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309358 */     // MIs[0] Operand 5
     /* 1309358 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309369 */     // MIs[0] policy
     /* 1309369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1309382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309401 */     // GIR_Coverage, 21335,
     /* 1309401 */     GIR_EraseRootFromParent_Done,
     /* 1309402 */   // Label 18742: @1309402
     /* 1309402 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309490), // Rule ID 21338 //
     /* 1309407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1309410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1309418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1309421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1309427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309446 */     // MIs[0] Operand 5
     /* 1309446 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309457 */     // MIs[0] policy
     /* 1309457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309467 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1309470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309489 */     // GIR_Coverage, 21338,
     /* 1309489 */     GIR_EraseRootFromParent_Done,
     /* 1309490 */   // Label 18743: @1309490
     /* 1309490 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309578), // Rule ID 21339 //
     /* 1309495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1309498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1309506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1309509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1309515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309534 */     // MIs[0] Operand 5
     /* 1309534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309545 */     // MIs[0] policy
     /* 1309545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1309558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309577 */     // GIR_Coverage, 21339,
     /* 1309577 */     GIR_EraseRootFromParent_Done,
     /* 1309578 */   // Label 18744: @1309578
     /* 1309578 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309666), // Rule ID 21342 //
     /* 1309583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1309586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1309594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1309597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1309603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309622 */     // MIs[0] Operand 5
     /* 1309622 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309633 */     // MIs[0] policy
     /* 1309633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309643 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1309646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309665 */     // GIR_Coverage, 21342,
     /* 1309665 */     GIR_EraseRootFromParent_Done,
     /* 1309666 */   // Label 18745: @1309666
     /* 1309666 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309754), // Rule ID 21343 //
     /* 1309671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1309674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1309682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1309685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1309691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309710 */     // MIs[0] Operand 5
     /* 1309710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309721 */     // MIs[0] policy
     /* 1309721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1309734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309753 */     // GIR_Coverage, 21343,
     /* 1309753 */     GIR_EraseRootFromParent_Done,
     /* 1309754 */   // Label 18746: @1309754
     /* 1309754 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309842), // Rule ID 21346 //
     /* 1309759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1309762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1309770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1309773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1309779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309798 */     // MIs[0] Operand 5
     /* 1309798 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309809 */     // MIs[0] policy
     /* 1309809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309819 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1309822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309841 */     // GIR_Coverage, 21346,
     /* 1309841 */     GIR_EraseRootFromParent_Done,
     /* 1309842 */   // Label 18747: @1309842
     /* 1309842 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309930), // Rule ID 21347 //
     /* 1309847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1309850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1309858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1309861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1309867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309886 */     // MIs[0] Operand 5
     /* 1309886 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309897 */     // MIs[0] policy
     /* 1309897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1309907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1309910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1309918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1309928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309929 */     // GIR_Coverage, 21347,
     /* 1309929 */     GIR_EraseRootFromParent_Done,
     /* 1309930 */   // Label 18748: @1309930
     /* 1309930 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1310018), // Rule ID 21350 //
     /* 1309935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1309938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1309943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1309946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1309949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1309952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1309955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1309962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309974 */     // MIs[0] Operand 5
     /* 1309974 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1309985 */     // MIs[0] policy
     /* 1309985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1309988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309995 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1309995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1309998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310017 */     // GIR_Coverage, 21350,
     /* 1310017 */     GIR_EraseRootFromParent_Done,
     /* 1310018 */   // Label 18749: @1310018
     /* 1310018 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1310106), // Rule ID 21351 //
     /* 1310023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1310026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1310034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1310037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1310043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1310050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310062 */     // MIs[0] Operand 5
     /* 1310062 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310073 */     // MIs[0] policy
     /* 1310073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1310086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310105 */     // GIR_Coverage, 21351,
     /* 1310105 */     GIR_EraseRootFromParent_Done,
     /* 1310106 */   // Label 18750: @1310106
     /* 1310106 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1310194), // Rule ID 21354 //
     /* 1310111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1310114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1310122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1310125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1310131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1310138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310150 */     // MIs[0] Operand 5
     /* 1310150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310161 */     // MIs[0] policy
     /* 1310161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310171 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1310171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1310174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310193 */     // GIR_Coverage, 21354,
     /* 1310193 */     GIR_EraseRootFromParent_Done,
     /* 1310194 */   // Label 18751: @1310194
     /* 1310194 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1310282), // Rule ID 21355 //
     /* 1310199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1310202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1310210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1310213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1310216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1310219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1310226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310238 */     // MIs[0] Operand 5
     /* 1310238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310249 */     // MIs[0] policy
     /* 1310249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1310262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310281 */     // GIR_Coverage, 21355,
     /* 1310281 */     GIR_EraseRootFromParent_Done,
     /* 1310282 */   // Label 18752: @1310282
     /* 1310282 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310370), // Rule ID 21358 //
     /* 1310287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1310290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1310298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1310301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1310307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310326 */     // MIs[0] Operand 5
     /* 1310326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310337 */     // MIs[0] policy
     /* 1310337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310347 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1310347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1310350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310369 */     // GIR_Coverage, 21358,
     /* 1310369 */     GIR_EraseRootFromParent_Done,
     /* 1310370 */   // Label 18753: @1310370
     /* 1310370 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310458), // Rule ID 21359 //
     /* 1310375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1310378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1310386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1310389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1310395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310414 */     // MIs[0] Operand 5
     /* 1310414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310425 */     // MIs[0] policy
     /* 1310425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1310438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310457 */     // GIR_Coverage, 21359,
     /* 1310457 */     GIR_EraseRootFromParent_Done,
     /* 1310458 */   // Label 18754: @1310458
     /* 1310458 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310546), // Rule ID 21362 //
     /* 1310463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1310466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1310474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1310477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1310483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310502 */     // MIs[0] Operand 5
     /* 1310502 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310513 */     // MIs[0] policy
     /* 1310513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1310523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1310526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310545 */     // GIR_Coverage, 21362,
     /* 1310545 */     GIR_EraseRootFromParent_Done,
     /* 1310546 */   // Label 18755: @1310546
     /* 1310546 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310634), // Rule ID 21363 //
     /* 1310551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1310554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1310562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1310565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1310571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310590 */     // MIs[0] Operand 5
     /* 1310590 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310601 */     // MIs[0] policy
     /* 1310601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1310614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310633 */     // GIR_Coverage, 21363,
     /* 1310633 */     GIR_EraseRootFromParent_Done,
     /* 1310634 */   // Label 18756: @1310634
     /* 1310634 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310722), // Rule ID 21366 //
     /* 1310639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1310642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1310650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1310653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1310659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310678 */     // MIs[0] Operand 5
     /* 1310678 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310689 */     // MIs[0] policy
     /* 1310689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1310699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1310702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310721 */     // GIR_Coverage, 21366,
     /* 1310721 */     GIR_EraseRootFromParent_Done,
     /* 1310722 */   // Label 18757: @1310722
     /* 1310722 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310810), // Rule ID 21367 //
     /* 1310727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1310730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1310738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1310741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1310744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1310747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310766 */     // MIs[0] Operand 5
     /* 1310766 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310777 */     // MIs[0] policy
     /* 1310777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1310790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310809 */     // GIR_Coverage, 21367,
     /* 1310809 */     GIR_EraseRootFromParent_Done,
     /* 1310810 */   // Label 18758: @1310810
     /* 1310810 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310898), // Rule ID 21370 //
     /* 1310815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1310818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1310826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1310829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1310835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1310842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310854 */     // MIs[0] Operand 5
     /* 1310854 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310865 */     // MIs[0] policy
     /* 1310865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1310875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1310878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310897 */     // GIR_Coverage, 21370,
     /* 1310897 */     GIR_EraseRootFromParent_Done,
     /* 1310898 */   // Label 18759: @1310898
     /* 1310898 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310986), // Rule ID 21371 //
     /* 1310903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1310906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1310914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1310917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1310923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1310930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310942 */     // MIs[0] Operand 5
     /* 1310942 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1310953 */     // MIs[0] policy
     /* 1310953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1310956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1310963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1310966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1310974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1310984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310985 */     // GIR_Coverage, 21371,
     /* 1310985 */     GIR_EraseRootFromParent_Done,
     /* 1310986 */   // Label 18760: @1310986
     /* 1310986 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1311074), // Rule ID 21374 //
     /* 1310991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1310994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1310999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1311002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1311005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1311011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311030 */     // MIs[0] Operand 5
     /* 1311030 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311041 */     // MIs[0] policy
     /* 1311041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1311054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311073 */     // GIR_Coverage, 21374,
     /* 1311073 */     GIR_EraseRootFromParent_Done,
     /* 1311074 */   // Label 18761: @1311074
     /* 1311074 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1311162), // Rule ID 21375 //
     /* 1311079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1311082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1311090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1311093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1311099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311118 */     // MIs[0] Operand 5
     /* 1311118 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311129 */     // MIs[0] policy
     /* 1311129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1311139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1311142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311161 */     // GIR_Coverage, 21375,
     /* 1311161 */     GIR_EraseRootFromParent_Done,
     /* 1311162 */   // Label 18762: @1311162
     /* 1311162 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1311250), // Rule ID 21378 //
     /* 1311167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1311170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1311178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1311181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1311184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1311187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311206 */     // MIs[0] Operand 5
     /* 1311206 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311217 */     // MIs[0] policy
     /* 1311217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1311230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311249 */     // GIR_Coverage, 21378,
     /* 1311249 */     GIR_EraseRootFromParent_Done,
     /* 1311250 */   // Label 18763: @1311250
     /* 1311250 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1311338), // Rule ID 21379 //
     /* 1311255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1311258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1311266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1311269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1311272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1311275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311294 */     // MIs[0] Operand 5
     /* 1311294 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311305 */     // MIs[0] policy
     /* 1311305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311315 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1311315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1311318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311337 */     // GIR_Coverage, 21379,
     /* 1311337 */     GIR_EraseRootFromParent_Done,
     /* 1311338 */   // Label 18764: @1311338
     /* 1311338 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311426), // Rule ID 21382 //
     /* 1311343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1311346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1311363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311382 */     // MIs[0] Operand 5
     /* 1311382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311393 */     // MIs[0] policy
     /* 1311393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1311406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311425 */     // GIR_Coverage, 21382,
     /* 1311425 */     GIR_EraseRootFromParent_Done,
     /* 1311426 */   // Label 18765: @1311426
     /* 1311426 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311514), // Rule ID 21383 //
     /* 1311431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1311434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1311451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311470 */     // MIs[0] Operand 5
     /* 1311470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311481 */     // MIs[0] policy
     /* 1311481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1311491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1311494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311513 */     // GIR_Coverage, 21383,
     /* 1311513 */     GIR_EraseRootFromParent_Done,
     /* 1311514 */   // Label 18766: @1311514
     /* 1311514 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311602), // Rule ID 21386 //
     /* 1311519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1311522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1311530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1311533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1311539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311558 */     // MIs[0] Operand 5
     /* 1311558 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311569 */     // MIs[0] policy
     /* 1311569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1311582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311601 */     // GIR_Coverage, 21386,
     /* 1311601 */     GIR_EraseRootFromParent_Done,
     /* 1311602 */   // Label 18767: @1311602
     /* 1311602 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311690), // Rule ID 21387 //
     /* 1311607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1311610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1311618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1311621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1311627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311646 */     // MIs[0] Operand 5
     /* 1311646 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311657 */     // MIs[0] policy
     /* 1311657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1311667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1311670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311689 */     // GIR_Coverage, 21387,
     /* 1311689 */     GIR_EraseRootFromParent_Done,
     /* 1311690 */   // Label 18768: @1311690
     /* 1311690 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311778), // Rule ID 21390 //
     /* 1311695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1311698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1311706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1311709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1311715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311734 */     // MIs[0] Operand 5
     /* 1311734 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311745 */     // MIs[0] policy
     /* 1311745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1311758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311777 */     // GIR_Coverage, 21390,
     /* 1311777 */     GIR_EraseRootFromParent_Done,
     /* 1311778 */   // Label 18769: @1311778
     /* 1311778 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311866), // Rule ID 21391 //
     /* 1311783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1311786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1311791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1311794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1311797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1311800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1311803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311822 */     // MIs[0] Operand 5
     /* 1311822 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311833 */     // MIs[0] policy
     /* 1311833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1311843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1311846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311865 */     // GIR_Coverage, 21391,
     /* 1311865 */     GIR_EraseRootFromParent_Done,
     /* 1311866 */   // Label 18770: @1311866
     /* 1311866 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311954), // Rule ID 21394 //
     /* 1311871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1311874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1311879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1311882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1311885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1311891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311910 */     // MIs[0] Operand 5
     /* 1311910 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1311921 */     // MIs[0] policy
     /* 1311921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1311924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1311931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1311934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1311942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1311952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311953 */     // GIR_Coverage, 21394,
     /* 1311953 */     GIR_EraseRootFromParent_Done,
     /* 1311954 */   // Label 18771: @1311954
     /* 1311954 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1312042), // Rule ID 21395 //
     /* 1311959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1311962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1311967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1311970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1311973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1311979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311998 */     // MIs[0] Operand 5
     /* 1311998 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312009 */     // MIs[0] policy
     /* 1312009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1312022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312041 */     // GIR_Coverage, 21395,
     /* 1312041 */     GIR_EraseRootFromParent_Done,
     /* 1312042 */   // Label 18772: @1312042
     /* 1312042 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1312130), // Rule ID 21398 //
     /* 1312047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1312050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1312067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312086 */     // MIs[0] Operand 5
     /* 1312086 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312097 */     // MIs[0] policy
     /* 1312097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1312110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312129 */     // GIR_Coverage, 21398,
     /* 1312129 */     GIR_EraseRootFromParent_Done,
     /* 1312130 */   // Label 18773: @1312130
     /* 1312130 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1312218), // Rule ID 21399 //
     /* 1312135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1312138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1312146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1312149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1312155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312174 */     // MIs[0] Operand 5
     /* 1312174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312185 */     // MIs[0] policy
     /* 1312185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312195 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1312198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312217 */     // GIR_Coverage, 21399,
     /* 1312217 */     GIR_EraseRootFromParent_Done,
     /* 1312218 */   // Label 18774: @1312218
     /* 1312218 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1312306), // Rule ID 21402 //
     /* 1312223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1312226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1312243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312262 */     // MIs[0] Operand 5
     /* 1312262 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312273 */     // MIs[0] policy
     /* 1312273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1312286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312305 */     // GIR_Coverage, 21402,
     /* 1312305 */     GIR_EraseRootFromParent_Done,
     /* 1312306 */   // Label 18775: @1312306
     /* 1312306 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1312394), // Rule ID 21403 //
     /* 1312311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1312314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1312322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1312325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1312331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312350 */     // MIs[0] Operand 5
     /* 1312350 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312361 */     // MIs[0] policy
     /* 1312361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1312374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312393 */     // GIR_Coverage, 21403,
     /* 1312393 */     GIR_EraseRootFromParent_Done,
     /* 1312394 */   // Label 18776: @1312394
     /* 1312394 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312482), // Rule ID 21406 //
     /* 1312399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1312402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1312410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1312413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1312416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1312419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312438 */     // MIs[0] Operand 5
     /* 1312438 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312449 */     // MIs[0] policy
     /* 1312449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1312462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312481 */     // GIR_Coverage, 21406,
     /* 1312481 */     GIR_EraseRootFromParent_Done,
     /* 1312482 */   // Label 18777: @1312482
     /* 1312482 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312570), // Rule ID 21407 //
     /* 1312487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1312490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1312498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1312501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1312504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1312507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312526 */     // MIs[0] Operand 5
     /* 1312526 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312537 */     // MIs[0] policy
     /* 1312537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1312550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312569 */     // GIR_Coverage, 21407,
     /* 1312569 */     GIR_EraseRootFromParent_Done,
     /* 1312570 */   // Label 18778: @1312570
     /* 1312570 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312658), // Rule ID 21410 //
     /* 1312575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1312578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1312586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1312589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1312592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1312595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312614 */     // MIs[0] Operand 5
     /* 1312614 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312625 */     // MIs[0] policy
     /* 1312625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1312638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312657 */     // GIR_Coverage, 21410,
     /* 1312657 */     GIR_EraseRootFromParent_Done,
     /* 1312658 */   // Label 18779: @1312658
     /* 1312658 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312746), // Rule ID 21411 //
     /* 1312663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1312666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1312674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1312677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1312680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1312683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312702 */     // MIs[0] Operand 5
     /* 1312702 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312713 */     // MIs[0] policy
     /* 1312713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1312726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312745 */     // GIR_Coverage, 21411,
     /* 1312745 */     GIR_EraseRootFromParent_Done,
     /* 1312746 */   // Label 18780: @1312746
     /* 1312746 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312834), // Rule ID 21414 //
     /* 1312751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1312754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1312762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1312765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1312768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1312771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312790 */     // MIs[0] Operand 5
     /* 1312790 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312801 */     // MIs[0] policy
     /* 1312801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1312814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312833 */     // GIR_Coverage, 21414,
     /* 1312833 */     GIR_EraseRootFromParent_Done,
     /* 1312834 */   // Label 18781: @1312834
     /* 1312834 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312922), // Rule ID 21415 //
     /* 1312839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1312842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1312850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1312853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1312856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1312859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312878 */     // MIs[0] Operand 5
     /* 1312878 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312889 */     // MIs[0] policy
     /* 1312889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1312899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1312902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1312920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312921 */     // GIR_Coverage, 21415,
     /* 1312921 */     GIR_EraseRootFromParent_Done,
     /* 1312922 */   // Label 18782: @1312922
     /* 1312922 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1313010), // Rule ID 21418 //
     /* 1312927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1312930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1312935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1312938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1312941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1312944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1312947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312966 */     // MIs[0] Operand 5
     /* 1312966 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1312977 */     // MIs[0] policy
     /* 1312977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1312980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1312987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1312990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1312998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313009 */     // GIR_Coverage, 21418,
     /* 1313009 */     GIR_EraseRootFromParent_Done,
     /* 1313010 */   // Label 18783: @1313010
     /* 1313010 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1313098), // Rule ID 21419 //
     /* 1313015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1313018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1313026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1313029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1313035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313054 */     // MIs[0] Operand 5
     /* 1313054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313065 */     // MIs[0] policy
     /* 1313065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1313078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313097 */     // GIR_Coverage, 21419,
     /* 1313097 */     GIR_EraseRootFromParent_Done,
     /* 1313098 */   // Label 18784: @1313098
     /* 1313098 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1313186), // Rule ID 21422 //
     /* 1313103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1313106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1313123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313142 */     // MIs[0] Operand 5
     /* 1313142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313153 */     // MIs[0] policy
     /* 1313153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1313163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1313166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313185 */     // GIR_Coverage, 21422,
     /* 1313185 */     GIR_EraseRootFromParent_Done,
     /* 1313186 */   // Label 18785: @1313186
     /* 1313186 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1313274), // Rule ID 21423 //
     /* 1313191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1313194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1313202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1313205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1313211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313230 */     // MIs[0] Operand 5
     /* 1313230 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313241 */     // MIs[0] policy
     /* 1313241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1313254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313273 */     // GIR_Coverage, 21423,
     /* 1313273 */     GIR_EraseRootFromParent_Done,
     /* 1313274 */   // Label 18786: @1313274
     /* 1313274 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1313362), // Rule ID 21426 //
     /* 1313279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1313282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1313296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1313299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313318 */     // MIs[0] Operand 5
     /* 1313318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313329 */     // MIs[0] policy
     /* 1313329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1313339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1313342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313361 */     // GIR_Coverage, 21426,
     /* 1313361 */     GIR_EraseRootFromParent_Done,
     /* 1313362 */   // Label 18787: @1313362
     /* 1313362 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1313450), // Rule ID 21427 //
     /* 1313367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1313370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1313384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1313387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313406 */     // MIs[0] Operand 5
     /* 1313406 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313417 */     // MIs[0] policy
     /* 1313417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1313430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313449 */     // GIR_Coverage, 21427,
     /* 1313449 */     GIR_EraseRootFromParent_Done,
     /* 1313450 */   // Label 18788: @1313450
     /* 1313450 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313538), // Rule ID 21430 //
     /* 1313455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1313458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1313466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1313469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1313472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1313475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313494 */     // MIs[0] Operand 5
     /* 1313494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313505 */     // MIs[0] policy
     /* 1313505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1313515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1313518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313537 */     // GIR_Coverage, 21430,
     /* 1313537 */     GIR_EraseRootFromParent_Done,
     /* 1313538 */   // Label 18789: @1313538
     /* 1313538 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313626), // Rule ID 21431 //
     /* 1313543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1313546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1313554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1313557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1313560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1313563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313582 */     // MIs[0] Operand 5
     /* 1313582 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313593 */     // MIs[0] policy
     /* 1313593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1313606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313625 */     // GIR_Coverage, 21431,
     /* 1313625 */     GIR_EraseRootFromParent_Done,
     /* 1313626 */   // Label 18790: @1313626
     /* 1313626 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313714), // Rule ID 21434 //
     /* 1313631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1313634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1313642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1313645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1313648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1313651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313670 */     // MIs[0] Operand 5
     /* 1313670 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313681 */     // MIs[0] policy
     /* 1313681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1313691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1313694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313713 */     // GIR_Coverage, 21434,
     /* 1313713 */     GIR_EraseRootFromParent_Done,
     /* 1313714 */   // Label 18791: @1313714
     /* 1313714 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313802), // Rule ID 21435 //
     /* 1313719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1313722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1313730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1313733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1313736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1313739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313758 */     // MIs[0] Operand 5
     /* 1313758 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313769 */     // MIs[0] policy
     /* 1313769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1313782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313801 */     // GIR_Coverage, 21435,
     /* 1313801 */     GIR_EraseRootFromParent_Done,
     /* 1313802 */   // Label 18792: @1313802
     /* 1313802 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313890), // Rule ID 21438 //
     /* 1313807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1313810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1313827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313846 */     // MIs[0] Operand 5
     /* 1313846 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313857 */     // MIs[0] policy
     /* 1313857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1313867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1313870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313889 */     // GIR_Coverage, 21438,
     /* 1313889 */     GIR_EraseRootFromParent_Done,
     /* 1313890 */   // Label 18793: @1313890
     /* 1313890 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313978), // Rule ID 21439 //
     /* 1313895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1313898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1313906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1313909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1313915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313934 */     // MIs[0] Operand 5
     /* 1313934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1313945 */     // MIs[0] policy
     /* 1313945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1313948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1313955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1313958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1313966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1313976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313977 */     // GIR_Coverage, 21439,
     /* 1313977 */     GIR_EraseRootFromParent_Done,
     /* 1313978 */   // Label 18794: @1313978
     /* 1313978 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1314066), // Rule ID 21442 //
     /* 1313983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1313986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1313991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1314000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1314003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314022 */     // MIs[0] Operand 5
     /* 1314022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314033 */     // MIs[0] policy
     /* 1314033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1314046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314065 */     // GIR_Coverage, 21442,
     /* 1314065 */     GIR_EraseRootFromParent_Done,
     /* 1314066 */   // Label 18795: @1314066
     /* 1314066 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1314154), // Rule ID 21443 //
     /* 1314071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1314074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1314079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1314082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1314085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1314088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1314091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314110 */     // MIs[0] Operand 5
     /* 1314110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314121 */     // MIs[0] policy
     /* 1314121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1314131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1314134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314153 */     // GIR_Coverage, 21443,
     /* 1314153 */     GIR_EraseRootFromParent_Done,
     /* 1314154 */   // Label 18796: @1314154
     /* 1314154 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1314242), // Rule ID 21446 //
     /* 1314159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1314162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1314167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1314179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314198 */     // MIs[0] Operand 5
     /* 1314198 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314209 */     // MIs[0] policy
     /* 1314209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1314222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314241 */     // GIR_Coverage, 21446,
     /* 1314241 */     GIR_EraseRootFromParent_Done,
     /* 1314242 */   // Label 18797: @1314242
     /* 1314242 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1314330), // Rule ID 21447 //
     /* 1314247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1314250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1314255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1314258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1314261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1314267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1314274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314286 */     // MIs[0] Operand 5
     /* 1314286 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314297 */     // MIs[0] policy
     /* 1314297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1314307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1314310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314329 */     // GIR_Coverage, 21447,
     /* 1314329 */     GIR_EraseRootFromParent_Done,
     /* 1314330 */   // Label 18798: @1314330
     /* 1314330 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1314418), // Rule ID 21450 //
     /* 1314335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1314338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1314343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1314355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314374 */     // MIs[0] Operand 5
     /* 1314374 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314385 */     // MIs[0] policy
     /* 1314385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1314398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314417 */     // GIR_Coverage, 21450,
     /* 1314417 */     GIR_EraseRootFromParent_Done,
     /* 1314418 */   // Label 18799: @1314418
     /* 1314418 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1314506), // Rule ID 21451 //
     /* 1314423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1314426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1314431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1314434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1314437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1314443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314462 */     // MIs[0] Operand 5
     /* 1314462 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1314473 */     // MIs[0] policy
     /* 1314473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1314483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1314486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1314494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314505 */     // GIR_Coverage, 21451,
     /* 1314505 */     GIR_EraseRootFromParent_Done,
     /* 1314506 */   // Label 18800: @1314506
     /* 1314506 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1314605), // Rule ID 2656 //
     /* 1314511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1314519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1314522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1314525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1314528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1314553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1314557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1314561 */     // MIs[1] Operand 1
     /* 1314561 */     // No operand predicates
     /* 1314561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314565 */     // MIs[0] policy
     /* 1314565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1314570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1314580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314586 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1314591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314604 */     // GIR_Coverage, 2656,
     /* 1314604 */     GIR_EraseRootFromParent_Done,
     /* 1314605 */   // Label 18801: @1314605
     /* 1314605 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314704), // Rule ID 2657 //
     /* 1314610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1314618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1314621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1314624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1314627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1314652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1314656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1314660 */     // MIs[1] Operand 1
     /* 1314660 */     // No operand predicates
     /* 1314660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314664 */     // MIs[0] policy
     /* 1314664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1314669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1314676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1314679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1314690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314703 */     // GIR_Coverage, 2657,
     /* 1314703 */     GIR_EraseRootFromParent_Done,
     /* 1314704 */   // Label 18802: @1314704
     /* 1314704 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314803), // Rule ID 2664 //
     /* 1314709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1314717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1314720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1314723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1314726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1314751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1314755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1314759 */     // MIs[1] Operand 1
     /* 1314759 */     // No operand predicates
     /* 1314759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314763 */     // MIs[0] policy
     /* 1314763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1314768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1314778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314784 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1314789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314802 */     // GIR_Coverage, 2664,
     /* 1314802 */     GIR_EraseRootFromParent_Done,
     /* 1314803 */   // Label 18803: @1314803
     /* 1314803 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314902), // Rule ID 2665 //
     /* 1314808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1314816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1314819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1314822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1314825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1314850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1314854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1314858 */     // MIs[1] Operand 1
     /* 1314858 */     // No operand predicates
     /* 1314858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314862 */     // MIs[0] policy
     /* 1314862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1314867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1314874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1314877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314883 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1314888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314901 */     // GIR_Coverage, 2665,
     /* 1314901 */     GIR_EraseRootFromParent_Done,
     /* 1314902 */   // Label 18804: @1314902
     /* 1314902 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1315001), // Rule ID 2672 //
     /* 1314907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1314915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1314918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1314921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1314924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1314949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1314953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1314957 */     // MIs[1] Operand 1
     /* 1314957 */     // No operand predicates
     /* 1314957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314961 */     // MIs[0] policy
     /* 1314961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1314964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1314966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314973 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1314973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1314976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314982 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1314987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1314999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315000 */     // GIR_Coverage, 2672,
     /* 1315000 */     GIR_EraseRootFromParent_Done,
     /* 1315001 */   // Label 18805: @1315001
     /* 1315001 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1315100), // Rule ID 2673 //
     /* 1315006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1315017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1315020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1315023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315056 */     // MIs[1] Operand 1
     /* 1315056 */     // No operand predicates
     /* 1315056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315060 */     // MIs[0] policy
     /* 1315060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1315072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1315075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315081 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315099 */     // GIR_Coverage, 2673,
     /* 1315099 */     GIR_EraseRootFromParent_Done,
     /* 1315100 */   // Label 18806: @1315100
     /* 1315100 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1315199), // Rule ID 2680 //
     /* 1315105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1315116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1315119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315155 */     // MIs[1] Operand 1
     /* 1315155 */     // No operand predicates
     /* 1315155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315159 */     // MIs[0] policy
     /* 1315159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315171 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1315171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1315174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315180 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315198 */     // GIR_Coverage, 2680,
     /* 1315198 */     GIR_EraseRootFromParent_Done,
     /* 1315199 */   // Label 18807: @1315199
     /* 1315199 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1315298), // Rule ID 2681 //
     /* 1315204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1315215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1315218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315254 */     // MIs[1] Operand 1
     /* 1315254 */     // No operand predicates
     /* 1315254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315258 */     // MIs[0] policy
     /* 1315258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1315270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1315273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315279 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315297 */     // GIR_Coverage, 2681,
     /* 1315297 */     GIR_EraseRootFromParent_Done,
     /* 1315298 */   // Label 18808: @1315298
     /* 1315298 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1315397), // Rule ID 2688 //
     /* 1315303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1315314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1315317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315353 */     // MIs[1] Operand 1
     /* 1315353 */     // No operand predicates
     /* 1315353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315357 */     // MIs[0] policy
     /* 1315357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1315369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1315372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315378 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315396 */     // GIR_Coverage, 2688,
     /* 1315396 */     GIR_EraseRootFromParent_Done,
     /* 1315397 */   // Label 18809: @1315397
     /* 1315397 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1315496), // Rule ID 2689 //
     /* 1315402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1315413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1315416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315452 */     // MIs[1] Operand 1
     /* 1315452 */     // No operand predicates
     /* 1315452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315456 */     // MIs[0] policy
     /* 1315456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1315468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1315471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315477 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315495 */     // GIR_Coverage, 2689,
     /* 1315495 */     GIR_EraseRootFromParent_Done,
     /* 1315496 */   // Label 18810: @1315496
     /* 1315496 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1315595), // Rule ID 2696 //
     /* 1315501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1315512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1315515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315551 */     // MIs[1] Operand 1
     /* 1315551 */     // No operand predicates
     /* 1315551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315555 */     // MIs[0] policy
     /* 1315555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1315567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1315570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315594 */     // GIR_Coverage, 2696,
     /* 1315594 */     GIR_EraseRootFromParent_Done,
     /* 1315595 */   // Label 18811: @1315595
     /* 1315595 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1315694), // Rule ID 2697 //
     /* 1315600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1315611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1315614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315650 */     // MIs[1] Operand 1
     /* 1315650 */     // No operand predicates
     /* 1315650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315654 */     // MIs[0] policy
     /* 1315654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1315666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1315669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315675 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315693 */     // GIR_Coverage, 2697,
     /* 1315693 */     GIR_EraseRootFromParent_Done,
     /* 1315694 */   // Label 18812: @1315694
     /* 1315694 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1315793), // Rule ID 2704 //
     /* 1315699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1315716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315749 */     // MIs[1] Operand 1
     /* 1315749 */     // No operand predicates
     /* 1315749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315753 */     // MIs[0] policy
     /* 1315753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1315765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1315768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315774 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315792 */     // GIR_Coverage, 2704,
     /* 1315792 */     GIR_EraseRootFromParent_Done,
     /* 1315793 */   // Label 18813: @1315793
     /* 1315793 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315892), // Rule ID 2705 //
     /* 1315798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1315815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315848 */     // MIs[1] Operand 1
     /* 1315848 */     // No operand predicates
     /* 1315848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315852 */     // MIs[0] policy
     /* 1315852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1315864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1315867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315873 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315891 */     // GIR_Coverage, 2705,
     /* 1315891 */     GIR_EraseRootFromParent_Done,
     /* 1315892 */   // Label 18814: @1315892
     /* 1315892 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315991), // Rule ID 2712 //
     /* 1315897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1315905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1315914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1315939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1315943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1315947 */     // MIs[1] Operand 1
     /* 1315947 */     // No operand predicates
     /* 1315947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315951 */     // MIs[0] policy
     /* 1315951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1315954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1315956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1315963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1315966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315972 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1315977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1315989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315990 */     // GIR_Coverage, 2712,
     /* 1315990 */     GIR_EraseRootFromParent_Done,
     /* 1315991 */   // Label 18815: @1315991
     /* 1315991 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1316090), // Rule ID 2713 //
     /* 1315996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316046 */     // MIs[1] Operand 1
     /* 1316046 */     // No operand predicates
     /* 1316046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316050 */     // MIs[0] policy
     /* 1316050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1316062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1316065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316071 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316089 */     // GIR_Coverage, 2713,
     /* 1316089 */     GIR_EraseRootFromParent_Done,
     /* 1316090 */   // Label 18816: @1316090
     /* 1316090 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1316189), // Rule ID 2720 //
     /* 1316095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316145 */     // MIs[1] Operand 1
     /* 1316145 */     // No operand predicates
     /* 1316145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316149 */     // MIs[0] policy
     /* 1316149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316161 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1316161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1316164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316170 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316188 */     // GIR_Coverage, 2720,
     /* 1316188 */     GIR_EraseRootFromParent_Done,
     /* 1316189 */   // Label 18817: @1316189
     /* 1316189 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1316288), // Rule ID 2721 //
     /* 1316194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316244 */     // MIs[1] Operand 1
     /* 1316244 */     // No operand predicates
     /* 1316244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316248 */     // MIs[0] policy
     /* 1316248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1316260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1316263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316269 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316287 */     // GIR_Coverage, 2721,
     /* 1316287 */     GIR_EraseRootFromParent_Done,
     /* 1316288 */   // Label 18818: @1316288
     /* 1316288 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1316387), // Rule ID 2728 //
     /* 1316293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1316304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1316307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316343 */     // MIs[1] Operand 1
     /* 1316343 */     // No operand predicates
     /* 1316343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316347 */     // MIs[0] policy
     /* 1316347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1316359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1316362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316368 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316386 */     // GIR_Coverage, 2728,
     /* 1316386 */     GIR_EraseRootFromParent_Done,
     /* 1316387 */   // Label 18819: @1316387
     /* 1316387 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1316486), // Rule ID 2729 //
     /* 1316392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1316403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1316406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316442 */     // MIs[1] Operand 1
     /* 1316442 */     // No operand predicates
     /* 1316442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316446 */     // MIs[0] policy
     /* 1316446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1316458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1316461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316467 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316485 */     // GIR_Coverage, 2729,
     /* 1316485 */     GIR_EraseRootFromParent_Done,
     /* 1316486 */   // Label 18820: @1316486
     /* 1316486 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1316585), // Rule ID 2736 //
     /* 1316491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1316502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1316505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1316508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316541 */     // MIs[1] Operand 1
     /* 1316541 */     // No operand predicates
     /* 1316541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316545 */     // MIs[0] policy
     /* 1316545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316557 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1316557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1316560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316566 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316584 */     // GIR_Coverage, 2736,
     /* 1316584 */     GIR_EraseRootFromParent_Done,
     /* 1316585 */   // Label 18821: @1316585
     /* 1316585 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1316684), // Rule ID 2737 //
     /* 1316590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1316601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1316604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1316607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316640 */     // MIs[1] Operand 1
     /* 1316640 */     // No operand predicates
     /* 1316640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316644 */     // MIs[0] policy
     /* 1316644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1316656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1316659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316665 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316683 */     // GIR_Coverage, 2737,
     /* 1316683 */     GIR_EraseRootFromParent_Done,
     /* 1316684 */   // Label 18822: @1316684
     /* 1316684 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1316783), // Rule ID 2744 //
     /* 1316689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1316700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1316703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316739 */     // MIs[1] Operand 1
     /* 1316739 */     // No operand predicates
     /* 1316739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316743 */     // MIs[0] policy
     /* 1316743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316755 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1316755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1316758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316764 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316782 */     // GIR_Coverage, 2744,
     /* 1316782 */     GIR_EraseRootFromParent_Done,
     /* 1316783 */   // Label 18823: @1316783
     /* 1316783 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1316882), // Rule ID 2745 //
     /* 1316788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1316799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1316802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316838 */     // MIs[1] Operand 1
     /* 1316838 */     // No operand predicates
     /* 1316838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316842 */     // MIs[0] policy
     /* 1316842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1316854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1316857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316863 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316881 */     // GIR_Coverage, 2745,
     /* 1316881 */     GIR_EraseRootFromParent_Done,
     /* 1316882 */   // Label 18824: @1316882
     /* 1316882 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1316981), // Rule ID 2752 //
     /* 1316887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1316898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1316901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1316904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1316910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1316917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1316929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1316933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1316937 */     // MIs[1] Operand 1
     /* 1316937 */     // No operand predicates
     /* 1316937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316941 */     // MIs[0] policy
     /* 1316941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1316944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1316946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316953 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1316953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1316956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316962 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1316967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1316979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316980 */     // GIR_Coverage, 2752,
     /* 1316980 */     GIR_EraseRootFromParent_Done,
     /* 1316981 */   // Label 18825: @1316981
     /* 1316981 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1317080), // Rule ID 2753 //
     /* 1316986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1316994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1316997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1317000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317036 */     // MIs[1] Operand 1
     /* 1317036 */     // No operand predicates
     /* 1317036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317040 */     // MIs[0] policy
     /* 1317040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1317052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1317055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317061 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317079 */     // GIR_Coverage, 2753,
     /* 1317079 */     GIR_EraseRootFromParent_Done,
     /* 1317080 */   // Label 18826: @1317080
     /* 1317080 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1317179), // Rule ID 2760 //
     /* 1317085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317135 */     // MIs[1] Operand 1
     /* 1317135 */     // No operand predicates
     /* 1317135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317139 */     // MIs[0] policy
     /* 1317139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1317151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1317154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317160 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317178 */     // GIR_Coverage, 2760,
     /* 1317178 */     GIR_EraseRootFromParent_Done,
     /* 1317179 */   // Label 18827: @1317179
     /* 1317179 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1317278), // Rule ID 2761 //
     /* 1317184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1317195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1317198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1317201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317234 */     // MIs[1] Operand 1
     /* 1317234 */     // No operand predicates
     /* 1317234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317238 */     // MIs[0] policy
     /* 1317238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1317250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1317253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317259 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317277 */     // GIR_Coverage, 2761,
     /* 1317277 */     GIR_EraseRootFromParent_Done,
     /* 1317278 */   // Label 18828: @1317278
     /* 1317278 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1317377), // Rule ID 2768 //
     /* 1317283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317333 */     // MIs[1] Operand 1
     /* 1317333 */     // No operand predicates
     /* 1317333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317337 */     // MIs[0] policy
     /* 1317337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1317349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1317352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317358 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317376 */     // GIR_Coverage, 2768,
     /* 1317376 */     GIR_EraseRootFromParent_Done,
     /* 1317377 */   // Label 18829: @1317377
     /* 1317377 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1317476), // Rule ID 2769 //
     /* 1317382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1317393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1317396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1317399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317432 */     // MIs[1] Operand 1
     /* 1317432 */     // No operand predicates
     /* 1317432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317436 */     // MIs[0] policy
     /* 1317436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1317448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1317451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317457 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317475 */     // GIR_Coverage, 2769,
     /* 1317475 */     GIR_EraseRootFromParent_Done,
     /* 1317476 */   // Label 18830: @1317476
     /* 1317476 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1317575), // Rule ID 2776 //
     /* 1317481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1317492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1317495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317531 */     // MIs[1] Operand 1
     /* 1317531 */     // No operand predicates
     /* 1317531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317535 */     // MIs[0] policy
     /* 1317535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1317547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1317550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317556 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317574 */     // GIR_Coverage, 2776,
     /* 1317574 */     GIR_EraseRootFromParent_Done,
     /* 1317575 */   // Label 18831: @1317575
     /* 1317575 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1317674), // Rule ID 2777 //
     /* 1317580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1317591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1317594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317630 */     // MIs[1] Operand 1
     /* 1317630 */     // No operand predicates
     /* 1317630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317634 */     // MIs[0] policy
     /* 1317634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1317646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1317649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317655 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317673 */     // GIR_Coverage, 2777,
     /* 1317673 */     GIR_EraseRootFromParent_Done,
     /* 1317674 */   // Label 18832: @1317674
     /* 1317674 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1317773), // Rule ID 2784 //
     /* 1317679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1317690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1317693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317729 */     // MIs[1] Operand 1
     /* 1317729 */     // No operand predicates
     /* 1317729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317733 */     // MIs[0] policy
     /* 1317733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1317745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1317748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317754 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317772 */     // GIR_Coverage, 2784,
     /* 1317772 */     GIR_EraseRootFromParent_Done,
     /* 1317773 */   // Label 18833: @1317773
     /* 1317773 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1317872), // Rule ID 2785 //
     /* 1317778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1317789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1317792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317828 */     // MIs[1] Operand 1
     /* 1317828 */     // No operand predicates
     /* 1317828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317832 */     // MIs[0] policy
     /* 1317832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1317844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1317847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317853 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317871 */     // GIR_Coverage, 2785,
     /* 1317871 */     GIR_EraseRootFromParent_Done,
     /* 1317872 */   // Label 18834: @1317872
     /* 1317872 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1317971), // Rule ID 2792 //
     /* 1317877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1317888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1317891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1317919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1317923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1317927 */     // MIs[1] Operand 1
     /* 1317927 */     // No operand predicates
     /* 1317927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317931 */     // MIs[0] policy
     /* 1317931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1317934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1317936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1317943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1317946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317952 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1317957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1317969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317970 */     // GIR_Coverage, 2792,
     /* 1317970 */     GIR_EraseRootFromParent_Done,
     /* 1317971 */   // Label 18835: @1317971
     /* 1317971 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1318070), // Rule ID 2793 //
     /* 1317976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1317984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1317987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1317990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318026 */     // MIs[1] Operand 1
     /* 1318026 */     // No operand predicates
     /* 1318026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318030 */     // MIs[0] policy
     /* 1318030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1318042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1318045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318051 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318069 */     // GIR_Coverage, 2793,
     /* 1318069 */     GIR_EraseRootFromParent_Done,
     /* 1318070 */   // Label 18836: @1318070
     /* 1318070 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1318169), // Rule ID 2800 //
     /* 1318075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318125 */     // MIs[1] Operand 1
     /* 1318125 */     // No operand predicates
     /* 1318125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318129 */     // MIs[0] policy
     /* 1318129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1318141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1318144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318150 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318168 */     // GIR_Coverage, 2800,
     /* 1318168 */     GIR_EraseRootFromParent_Done,
     /* 1318169 */   // Label 18837: @1318169
     /* 1318169 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1318268), // Rule ID 2801 //
     /* 1318174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1318185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1318188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318224 */     // MIs[1] Operand 1
     /* 1318224 */     // No operand predicates
     /* 1318224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318228 */     // MIs[0] policy
     /* 1318228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1318240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1318243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318249 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318267 */     // GIR_Coverage, 2801,
     /* 1318267 */     GIR_EraseRootFromParent_Done,
     /* 1318268 */   // Label 18838: @1318268
     /* 1318268 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1318367), // Rule ID 2808 //
     /* 1318273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318323 */     // MIs[1] Operand 1
     /* 1318323 */     // No operand predicates
     /* 1318323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318327 */     // MIs[0] policy
     /* 1318327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1318339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1318342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318348 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318366 */     // GIR_Coverage, 2808,
     /* 1318366 */     GIR_EraseRootFromParent_Done,
     /* 1318367 */   // Label 18839: @1318367
     /* 1318367 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1318466), // Rule ID 2809 //
     /* 1318372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1318383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1318386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1318389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1318402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318422 */     // MIs[1] Operand 1
     /* 1318422 */     // No operand predicates
     /* 1318422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318426 */     // MIs[0] policy
     /* 1318426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1318438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1318441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318447 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318465 */     // GIR_Coverage, 2809,
     /* 1318465 */     GIR_EraseRootFromParent_Done,
     /* 1318466 */   // Label 18840: @1318466
     /* 1318466 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1318565), // Rule ID 2816 //
     /* 1318471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318521 */     // MIs[1] Operand 1
     /* 1318521 */     // No operand predicates
     /* 1318521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318525 */     // MIs[0] policy
     /* 1318525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1318537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1318540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318546 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318564 */     // GIR_Coverage, 2816,
     /* 1318564 */     GIR_EraseRootFromParent_Done,
     /* 1318565 */   // Label 18841: @1318565
     /* 1318565 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1318664), // Rule ID 2817 //
     /* 1318570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1318581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1318584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1318587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1318600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318620 */     // MIs[1] Operand 1
     /* 1318620 */     // No operand predicates
     /* 1318620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318624 */     // MIs[0] policy
     /* 1318624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1318636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1318639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318645 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318663 */     // GIR_Coverage, 2817,
     /* 1318663 */     GIR_EraseRootFromParent_Done,
     /* 1318664 */   // Label 18842: @1318664
     /* 1318664 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1318763), // Rule ID 2824 //
     /* 1318669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1318672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1318680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1318683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318719 */     // MIs[1] Operand 1
     /* 1318719 */     // No operand predicates
     /* 1318719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318723 */     // MIs[0] policy
     /* 1318723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1318735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1318738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318744 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318762 */     // GIR_Coverage, 2824,
     /* 1318762 */     GIR_EraseRootFromParent_Done,
     /* 1318763 */   // Label 18843: @1318763
     /* 1318763 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1318862), // Rule ID 2825 //
     /* 1318768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1318771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1318776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1318779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1318782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1318798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1318818 */     // MIs[1] Operand 1
     /* 1318818 */     // No operand predicates
     /* 1318818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318822 */     // MIs[0] policy
     /* 1318822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1318834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1318837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318843 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1318848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318861 */     // GIR_Coverage, 2825,
     /* 1318861 */     GIR_EraseRootFromParent_Done,
     /* 1318862 */   // Label 18844: @1318862
     /* 1318862 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1318959), // Rule ID 3000 //
     /* 1318867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1318875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1318878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1318881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1318884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1318909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1318913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1318917 */     // MIs[1] Operand 1
     /* 1318917 */     // No operand predicates
     /* 1318917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318921 */     // MIs[0] policy
     /* 1318921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1318924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1318926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318933 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1318933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1318936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1318945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1318957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318958 */     // GIR_Coverage, 3000,
     /* 1318958 */     GIR_EraseRootFromParent_Done,
     /* 1318959 */   // Label 18845: @1318959
     /* 1318959 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1319056), // Rule ID 3001 //
     /* 1318964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1318972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1318975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1318978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1318981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1318984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319014 */     // MIs[1] Operand 1
     /* 1319014 */     // No operand predicates
     /* 1319014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319018 */     // MIs[0] policy
     /* 1319018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319030 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1319030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1319033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319055 */     // GIR_Coverage, 3001,
     /* 1319055 */     GIR_EraseRootFromParent_Done,
     /* 1319056 */   // Label 18846: @1319056
     /* 1319056 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1319153), // Rule ID 3004 //
     /* 1319061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1319072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1319075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319111 */     // MIs[1] Operand 1
     /* 1319111 */     // No operand predicates
     /* 1319111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319115 */     // MIs[0] policy
     /* 1319115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1319127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1319130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319152 */     // GIR_Coverage, 3004,
     /* 1319152 */     GIR_EraseRootFromParent_Done,
     /* 1319153 */   // Label 18847: @1319153
     /* 1319153 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1319250), // Rule ID 3005 //
     /* 1319158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1319169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1319172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319208 */     // MIs[1] Operand 1
     /* 1319208 */     // No operand predicates
     /* 1319208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319212 */     // MIs[0] policy
     /* 1319212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1319224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1319227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319249 */     // GIR_Coverage, 3005,
     /* 1319249 */     GIR_EraseRootFromParent_Done,
     /* 1319250 */   // Label 18848: @1319250
     /* 1319250 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1319347), // Rule ID 3008 //
     /* 1319255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319305 */     // MIs[1] Operand 1
     /* 1319305 */     // No operand predicates
     /* 1319305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319309 */     // MIs[0] policy
     /* 1319309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319321 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1319321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1319324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319346 */     // GIR_Coverage, 3008,
     /* 1319346 */     GIR_EraseRootFromParent_Done,
     /* 1319347 */   // Label 18849: @1319347
     /* 1319347 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1319444), // Rule ID 3009 //
     /* 1319352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1319363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1319366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319402 */     // MIs[1] Operand 1
     /* 1319402 */     // No operand predicates
     /* 1319402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319406 */     // MIs[0] policy
     /* 1319406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1319418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1319421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319443 */     // GIR_Coverage, 3009,
     /* 1319443 */     GIR_EraseRootFromParent_Done,
     /* 1319444 */   // Label 18850: @1319444
     /* 1319444 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1319541), // Rule ID 3012 //
     /* 1319449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319499 */     // MIs[1] Operand 1
     /* 1319499 */     // No operand predicates
     /* 1319499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319503 */     // MIs[0] policy
     /* 1319503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1319515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1319518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319540 */     // GIR_Coverage, 3012,
     /* 1319540 */     GIR_EraseRootFromParent_Done,
     /* 1319541 */   // Label 18851: @1319541
     /* 1319541 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1319638), // Rule ID 3013 //
     /* 1319546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1319557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1319560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1319563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319596 */     // MIs[1] Operand 1
     /* 1319596 */     // No operand predicates
     /* 1319596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319600 */     // MIs[0] policy
     /* 1319600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1319612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1319615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319637 */     // GIR_Coverage, 3013,
     /* 1319637 */     GIR_EraseRootFromParent_Done,
     /* 1319638 */   // Label 18852: @1319638
     /* 1319638 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1319735), // Rule ID 3016 //
     /* 1319643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319693 */     // MIs[1] Operand 1
     /* 1319693 */     // No operand predicates
     /* 1319693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319697 */     // MIs[0] policy
     /* 1319697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1319709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1319712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319734 */     // GIR_Coverage, 3016,
     /* 1319734 */     GIR_EraseRootFromParent_Done,
     /* 1319735 */   // Label 18853: @1319735
     /* 1319735 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1319832), // Rule ID 3017 //
     /* 1319740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1319751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1319754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1319757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319790 */     // MIs[1] Operand 1
     /* 1319790 */     // No operand predicates
     /* 1319790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319794 */     // MIs[0] policy
     /* 1319794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1319806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1319809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319831 */     // GIR_Coverage, 3017,
     /* 1319831 */     GIR_EraseRootFromParent_Done,
     /* 1319832 */   // Label 18854: @1319832
     /* 1319832 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1319929), // Rule ID 3020 //
     /* 1319837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1319848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1319851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1319857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319887 */     // MIs[1] Operand 1
     /* 1319887 */     // No operand predicates
     /* 1319887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319891 */     // MIs[0] policy
     /* 1319891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1319903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1319906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1319915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1319927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319928 */     // GIR_Coverage, 3020,
     /* 1319928 */     GIR_EraseRootFromParent_Done,
     /* 1319929 */   // Label 18855: @1319929
     /* 1319929 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1320026), // Rule ID 3021 //
     /* 1319934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1319942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1319945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1319948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1319951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1319954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1319976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1319980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1319984 */     // MIs[1] Operand 1
     /* 1319984 */     // No operand predicates
     /* 1319984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319988 */     // MIs[0] policy
     /* 1319988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1319991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1319993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1320003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320025 */     // GIR_Coverage, 3021,
     /* 1320025 */     GIR_EraseRootFromParent_Done,
     /* 1320026 */   // Label 18856: @1320026
     /* 1320026 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1320123), // Rule ID 3024 //
     /* 1320031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1320042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1320045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320081 */     // MIs[1] Operand 1
     /* 1320081 */     // No operand predicates
     /* 1320081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320085 */     // MIs[0] policy
     /* 1320085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1320097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320122 */     // GIR_Coverage, 3024,
     /* 1320122 */     GIR_EraseRootFromParent_Done,
     /* 1320123 */   // Label 18857: @1320123
     /* 1320123 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1320220), // Rule ID 3025 //
     /* 1320128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1320139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1320142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320178 */     // MIs[1] Operand 1
     /* 1320178 */     // No operand predicates
     /* 1320178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320182 */     // MIs[0] policy
     /* 1320182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320219 */     // GIR_Coverage, 3025,
     /* 1320219 */     GIR_EraseRootFromParent_Done,
     /* 1320220 */   // Label 18858: @1320220
     /* 1320220 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1320317), // Rule ID 3028 //
     /* 1320225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320275 */     // MIs[1] Operand 1
     /* 1320275 */     // No operand predicates
     /* 1320275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320279 */     // MIs[0] policy
     /* 1320279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1320291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320316 */     // GIR_Coverage, 3028,
     /* 1320316 */     GIR_EraseRootFromParent_Done,
     /* 1320317 */   // Label 18859: @1320317
     /* 1320317 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1320414), // Rule ID 3029 //
     /* 1320322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320372 */     // MIs[1] Operand 1
     /* 1320372 */     // No operand predicates
     /* 1320372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320376 */     // MIs[0] policy
     /* 1320376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320413 */     // GIR_Coverage, 3029,
     /* 1320413 */     GIR_EraseRootFromParent_Done,
     /* 1320414 */   // Label 18860: @1320414
     /* 1320414 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1320511), // Rule ID 3032 //
     /* 1320419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320469 */     // MIs[1] Operand 1
     /* 1320469 */     // No operand predicates
     /* 1320469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320473 */     // MIs[0] policy
     /* 1320473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1320485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320510 */     // GIR_Coverage, 3032,
     /* 1320510 */     GIR_EraseRootFromParent_Done,
     /* 1320511 */   // Label 18861: @1320511
     /* 1320511 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1320608), // Rule ID 3033 //
     /* 1320516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320566 */     // MIs[1] Operand 1
     /* 1320566 */     // No operand predicates
     /* 1320566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320570 */     // MIs[0] policy
     /* 1320570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320607 */     // GIR_Coverage, 3033,
     /* 1320607 */     GIR_EraseRootFromParent_Done,
     /* 1320608 */   // Label 18862: @1320608
     /* 1320608 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1320705), // Rule ID 3036 //
     /* 1320613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1320616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320663 */     // MIs[1] Operand 1
     /* 1320663 */     // No operand predicates
     /* 1320663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320667 */     // MIs[0] policy
     /* 1320667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1320679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320704 */     // GIR_Coverage, 3036,
     /* 1320704 */     GIR_EraseRootFromParent_Done,
     /* 1320705 */   // Label 18863: @1320705
     /* 1320705 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1320802), // Rule ID 3037 //
     /* 1320710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1320713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1320721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1320724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1320727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320760 */     // MIs[1] Operand 1
     /* 1320760 */     // No operand predicates
     /* 1320760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320764 */     // MIs[0] policy
     /* 1320764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1320779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320801 */     // GIR_Coverage, 3037,
     /* 1320801 */     GIR_EraseRootFromParent_Done,
     /* 1320802 */   // Label 18864: @1320802
     /* 1320802 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1320899), // Rule ID 3040 //
     /* 1320807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1320827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320857 */     // MIs[1] Operand 1
     /* 1320857 */     // No operand predicates
     /* 1320857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320861 */     // MIs[0] policy
     /* 1320861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1320873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1320876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320898 */     // GIR_Coverage, 3040,
     /* 1320898 */     GIR_EraseRootFromParent_Done,
     /* 1320899 */   // Label 18865: @1320899
     /* 1320899 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1320996), // Rule ID 3041 //
     /* 1320904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1320912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1320915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1320918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1320921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1320934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1320946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1320950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1320954 */     // MIs[1] Operand 1
     /* 1320954 */     // No operand predicates
     /* 1320954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320958 */     // MIs[0] policy
     /* 1320958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1320961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1320963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1320970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1320973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1320982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1320994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320995 */     // GIR_Coverage, 3041,
     /* 1320995 */     GIR_EraseRootFromParent_Done,
     /* 1320996 */   // Label 18866: @1320996
     /* 1320996 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1321093), // Rule ID 3044 //
     /* 1321001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1321012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1321015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321051 */     // MIs[1] Operand 1
     /* 1321051 */     // No operand predicates
     /* 1321051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321055 */     // MIs[0] policy
     /* 1321055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1321067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1321070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321092 */     // GIR_Coverage, 3044,
     /* 1321092 */     GIR_EraseRootFromParent_Done,
     /* 1321093 */   // Label 18867: @1321093
     /* 1321093 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1321190), // Rule ID 3045 //
     /* 1321098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1321109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1321112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321148 */     // MIs[1] Operand 1
     /* 1321148 */     // No operand predicates
     /* 1321148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321152 */     // MIs[0] policy
     /* 1321152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1321164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1321167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321189 */     // GIR_Coverage, 3045,
     /* 1321189 */     GIR_EraseRootFromParent_Done,
     /* 1321190 */   // Label 18868: @1321190
     /* 1321190 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1321287), // Rule ID 3048 //
     /* 1321195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1321206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1321209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321245 */     // MIs[1] Operand 1
     /* 1321245 */     // No operand predicates
     /* 1321245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321249 */     // MIs[0] policy
     /* 1321249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1321261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1321264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321286 */     // GIR_Coverage, 3048,
     /* 1321286 */     GIR_EraseRootFromParent_Done,
     /* 1321287 */   // Label 18869: @1321287
     /* 1321287 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1321384), // Rule ID 3049 //
     /* 1321292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1321303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1321306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321342 */     // MIs[1] Operand 1
     /* 1321342 */     // No operand predicates
     /* 1321342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321346 */     // MIs[0] policy
     /* 1321346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1321358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1321361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321383 */     // GIR_Coverage, 3049,
     /* 1321383 */     GIR_EraseRootFromParent_Done,
     /* 1321384 */   // Label 18870: @1321384
     /* 1321384 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1321481), // Rule ID 3052 //
     /* 1321389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1321400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1321403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321439 */     // MIs[1] Operand 1
     /* 1321439 */     // No operand predicates
     /* 1321439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321443 */     // MIs[0] policy
     /* 1321443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1321455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1321458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321480 */     // GIR_Coverage, 3052,
     /* 1321480 */     GIR_EraseRootFromParent_Done,
     /* 1321481 */   // Label 18871: @1321481
     /* 1321481 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1321578), // Rule ID 3053 //
     /* 1321486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1321497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1321500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1321516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321536 */     // MIs[1] Operand 1
     /* 1321536 */     // No operand predicates
     /* 1321536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321540 */     // MIs[0] policy
     /* 1321540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1321552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1321555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321577 */     // GIR_Coverage, 3053,
     /* 1321577 */     GIR_EraseRootFromParent_Done,
     /* 1321578 */   // Label 18872: @1321578
     /* 1321578 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1321675), // Rule ID 3056 //
     /* 1321583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1321594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1321597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321633 */     // MIs[1] Operand 1
     /* 1321633 */     // No operand predicates
     /* 1321633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321637 */     // MIs[0] policy
     /* 1321637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1321649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1321652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321674 */     // GIR_Coverage, 3056,
     /* 1321674 */     GIR_EraseRootFromParent_Done,
     /* 1321675 */   // Label 18873: @1321675
     /* 1321675 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1321772), // Rule ID 3057 //
     /* 1321680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1321691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1321694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1321710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321730 */     // MIs[1] Operand 1
     /* 1321730 */     // No operand predicates
     /* 1321730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321734 */     // MIs[0] policy
     /* 1321734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1321746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1321749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321771 */     // GIR_Coverage, 3057,
     /* 1321771 */     GIR_EraseRootFromParent_Done,
     /* 1321772 */   // Label 18874: @1321772
     /* 1321772 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1321869), // Rule ID 3060 //
     /* 1321777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321827 */     // MIs[1] Operand 1
     /* 1321827 */     // No operand predicates
     /* 1321827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321831 */     // MIs[0] policy
     /* 1321831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1321843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1321846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321868 */     // GIR_Coverage, 3060,
     /* 1321868 */     GIR_EraseRootFromParent_Done,
     /* 1321869 */   // Label 18875: @1321869
     /* 1321869 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1321966), // Rule ID 3061 //
     /* 1321874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1321885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1321888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1321904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1321916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1321920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1321924 */     // MIs[1] Operand 1
     /* 1321924 */     // No operand predicates
     /* 1321924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321928 */     // MIs[0] policy
     /* 1321928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1321931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1321933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321940 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1321940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1321943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1321952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1321964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321965 */     // GIR_Coverage, 3061,
     /* 1321965 */     GIR_EraseRootFromParent_Done,
     /* 1321966 */   // Label 18876: @1321966
     /* 1321966 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1322063), // Rule ID 3064 //
     /* 1321971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1321979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1321982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1321985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322021 */     // MIs[1] Operand 1
     /* 1322021 */     // No operand predicates
     /* 1322021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322025 */     // MIs[0] policy
     /* 1322025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1322037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1322040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322062 */     // GIR_Coverage, 3064,
     /* 1322062 */     GIR_EraseRootFromParent_Done,
     /* 1322063 */   // Label 18877: @1322063
     /* 1322063 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1322160), // Rule ID 3065 //
     /* 1322068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1322079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1322082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322118 */     // MIs[1] Operand 1
     /* 1322118 */     // No operand predicates
     /* 1322118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322122 */     // MIs[0] policy
     /* 1322122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1322134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1322137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322159 */     // GIR_Coverage, 3065,
     /* 1322159 */     GIR_EraseRootFromParent_Done,
     /* 1322160 */   // Label 18878: @1322160
     /* 1322160 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1322257), // Rule ID 3068 //
     /* 1322165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1322176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1322179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322215 */     // MIs[1] Operand 1
     /* 1322215 */     // No operand predicates
     /* 1322215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322219 */     // MIs[0] policy
     /* 1322219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1322231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1322234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322256 */     // GIR_Coverage, 3068,
     /* 1322256 */     GIR_EraseRootFromParent_Done,
     /* 1322257 */   // Label 18879: @1322257
     /* 1322257 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1322354), // Rule ID 3069 //
     /* 1322262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1322273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1322276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322312 */     // MIs[1] Operand 1
     /* 1322312 */     // No operand predicates
     /* 1322312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322316 */     // MIs[0] policy
     /* 1322316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1322328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1322331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322353 */     // GIR_Coverage, 3069,
     /* 1322353 */     GIR_EraseRootFromParent_Done,
     /* 1322354 */   // Label 18880: @1322354
     /* 1322354 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1322451), // Rule ID 3072 //
     /* 1322359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1322370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1322373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322409 */     // MIs[1] Operand 1
     /* 1322409 */     // No operand predicates
     /* 1322409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322413 */     // MIs[0] policy
     /* 1322413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322425 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1322425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1322428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322450 */     // GIR_Coverage, 3072,
     /* 1322450 */     GIR_EraseRootFromParent_Done,
     /* 1322451 */   // Label 18881: @1322451
     /* 1322451 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1322548), // Rule ID 3073 //
     /* 1322456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1322467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1322470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322506 */     // MIs[1] Operand 1
     /* 1322506 */     // No operand predicates
     /* 1322506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322510 */     // MIs[0] policy
     /* 1322510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1322522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1322525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322547 */     // GIR_Coverage, 3073,
     /* 1322547 */     GIR_EraseRootFromParent_Done,
     /* 1322548 */   // Label 18882: @1322548
     /* 1322548 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1322645), // Rule ID 3076 //
     /* 1322553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1322564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1322567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322603 */     // MIs[1] Operand 1
     /* 1322603 */     // No operand predicates
     /* 1322603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322607 */     // MIs[0] policy
     /* 1322607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1322619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1322622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322644 */     // GIR_Coverage, 3076,
     /* 1322644 */     GIR_EraseRootFromParent_Done,
     /* 1322645 */   // Label 18883: @1322645
     /* 1322645 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1322742), // Rule ID 3077 //
     /* 1322650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1322661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1322664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1322680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322700 */     // MIs[1] Operand 1
     /* 1322700 */     // No operand predicates
     /* 1322700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322704 */     // MIs[0] policy
     /* 1322704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1322716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1322719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322741 */     // GIR_Coverage, 3077,
     /* 1322741 */     GIR_EraseRootFromParent_Done,
     /* 1322742 */   // Label 18884: @1322742
     /* 1322742 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1322839), // Rule ID 3080 //
     /* 1322747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1322758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1322761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322797 */     // MIs[1] Operand 1
     /* 1322797 */     // No operand predicates
     /* 1322797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322801 */     // MIs[0] policy
     /* 1322801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322813 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1322813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1322816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322838 */     // GIR_Coverage, 3080,
     /* 1322838 */     GIR_EraseRootFromParent_Done,
     /* 1322839 */   // Label 18885: @1322839
     /* 1322839 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1322936), // Rule ID 3081 //
     /* 1322844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1322855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1322858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1322874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322894 */     // MIs[1] Operand 1
     /* 1322894 */     // No operand predicates
     /* 1322894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322898 */     // MIs[0] policy
     /* 1322898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1322903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1322910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1322913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1322922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1322934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322935 */     // GIR_Coverage, 3081,
     /* 1322935 */     GIR_EraseRootFromParent_Done,
     /* 1322936 */   // Label 18886: @1322936
     /* 1322936 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1323033), // Rule ID 3084 //
     /* 1322941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1322949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1322952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1322955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1322971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1322983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1322987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1322991 */     // MIs[1] Operand 1
     /* 1322991 */     // No operand predicates
     /* 1322991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322995 */     // MIs[0] policy
     /* 1322995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1322998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1323010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323032 */     // GIR_Coverage, 3084,
     /* 1323032 */     GIR_EraseRootFromParent_Done,
     /* 1323033 */   // Label 18887: @1323033
     /* 1323033 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1323130), // Rule ID 3085 //
     /* 1323038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1323046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1323049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1323052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1323068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323088 */     // MIs[1] Operand 1
     /* 1323088 */     // No operand predicates
     /* 1323088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323092 */     // MIs[0] policy
     /* 1323092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1323104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1323107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323129 */     // GIR_Coverage, 3085,
     /* 1323129 */     GIR_EraseRootFromParent_Done,
     /* 1323130 */   // Label 18888: @1323130
     /* 1323130 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1323227), // Rule ID 3352 //
     /* 1323135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1323146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1323149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1323152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323185 */     // MIs[1] Operand 1
     /* 1323185 */     // No operand predicates
     /* 1323185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323189 */     // MIs[0] policy
     /* 1323189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1323204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323226 */     // GIR_Coverage, 3352,
     /* 1323226 */     GIR_EraseRootFromParent_Done,
     /* 1323227 */   // Label 18889: @1323227
     /* 1323227 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1323324), // Rule ID 3353 //
     /* 1323232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1323243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1323246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1323249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323282 */     // MIs[1] Operand 1
     /* 1323282 */     // No operand predicates
     /* 1323282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323286 */     // MIs[0] policy
     /* 1323286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1323298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1323301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323323 */     // GIR_Coverage, 3353,
     /* 1323323 */     GIR_EraseRootFromParent_Done,
     /* 1323324 */   // Label 18890: @1323324
     /* 1323324 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1323421), // Rule ID 3356 //
     /* 1323329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1323340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1323343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1323346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323379 */     // MIs[1] Operand 1
     /* 1323379 */     // No operand predicates
     /* 1323379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323383 */     // MIs[0] policy
     /* 1323383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1323398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323420 */     // GIR_Coverage, 3356,
     /* 1323420 */     GIR_EraseRootFromParent_Done,
     /* 1323421 */   // Label 18891: @1323421
     /* 1323421 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1323518), // Rule ID 3357 //
     /* 1323426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1323437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1323440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1323443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323476 */     // MIs[1] Operand 1
     /* 1323476 */     // No operand predicates
     /* 1323476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323480 */     // MIs[0] policy
     /* 1323480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323492 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1323492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1323495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323517 */     // GIR_Coverage, 3357,
     /* 1323517 */     GIR_EraseRootFromParent_Done,
     /* 1323518 */   // Label 18892: @1323518
     /* 1323518 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1323615), // Rule ID 3360 //
     /* 1323523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323573 */     // MIs[1] Operand 1
     /* 1323573 */     // No operand predicates
     /* 1323573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323577 */     // MIs[0] policy
     /* 1323577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1323592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323614 */     // GIR_Coverage, 3360,
     /* 1323614 */     GIR_EraseRootFromParent_Done,
     /* 1323615 */   // Label 18893: @1323615
     /* 1323615 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1323712), // Rule ID 3361 //
     /* 1323620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323670 */     // MIs[1] Operand 1
     /* 1323670 */     // No operand predicates
     /* 1323670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323674 */     // MIs[0] policy
     /* 1323674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1323686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1323689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323711 */     // GIR_Coverage, 3361,
     /* 1323711 */     GIR_EraseRootFromParent_Done,
     /* 1323712 */   // Label 18894: @1323712
     /* 1323712 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1323809), // Rule ID 3364 //
     /* 1323717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323767 */     // MIs[1] Operand 1
     /* 1323767 */     // No operand predicates
     /* 1323767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323771 */     // MIs[0] policy
     /* 1323771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1323786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323808 */     // GIR_Coverage, 3364,
     /* 1323808 */     GIR_EraseRootFromParent_Done,
     /* 1323809 */   // Label 18895: @1323809
     /* 1323809 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1323906), // Rule ID 3365 //
     /* 1323814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1323834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323864 */     // MIs[1] Operand 1
     /* 1323864 */     // No operand predicates
     /* 1323864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323868 */     // MIs[0] policy
     /* 1323868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1323880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1323883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1323904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323905 */     // GIR_Coverage, 3365,
     /* 1323905 */     GIR_EraseRootFromParent_Done,
     /* 1323906 */   // Label 18896: @1323906
     /* 1323906 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1324003), // Rule ID 3368 //
     /* 1323911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1323919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1323922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1323925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1323953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1323957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1323961 */     // MIs[1] Operand 1
     /* 1323961 */     // No operand predicates
     /* 1323961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323965 */     // MIs[0] policy
     /* 1323965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1323968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1323970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1323977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1323980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1323989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324002 */     // GIR_Coverage, 3368,
     /* 1324002 */     GIR_EraseRootFromParent_Done,
     /* 1324003 */   // Label 18897: @1324003
     /* 1324003 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1324100), // Rule ID 3369 //
     /* 1324008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1324019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1324022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324058 */     // MIs[1] Operand 1
     /* 1324058 */     // No operand predicates
     /* 1324058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324062 */     // MIs[0] policy
     /* 1324062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324074 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1324074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1324077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324099 */     // GIR_Coverage, 3369,
     /* 1324099 */     GIR_EraseRootFromParent_Done,
     /* 1324100 */   // Label 18898: @1324100
     /* 1324100 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1324197), // Rule ID 3372 //
     /* 1324105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1324116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1324119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324155 */     // MIs[1] Operand 1
     /* 1324155 */     // No operand predicates
     /* 1324155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324159 */     // MIs[0] policy
     /* 1324159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1324171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1324174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324196 */     // GIR_Coverage, 3372,
     /* 1324196 */     GIR_EraseRootFromParent_Done,
     /* 1324197 */   // Label 18899: @1324197
     /* 1324197 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1324294), // Rule ID 3373 //
     /* 1324202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1324213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1324216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324252 */     // MIs[1] Operand 1
     /* 1324252 */     // No operand predicates
     /* 1324252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324256 */     // MIs[0] policy
     /* 1324256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1324268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1324271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324293 */     // GIR_Coverage, 3373,
     /* 1324293 */     GIR_EraseRootFromParent_Done,
     /* 1324294 */   // Label 18900: @1324294
     /* 1324294 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1324391), // Rule ID 3376 //
     /* 1324299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1324316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324349 */     // MIs[1] Operand 1
     /* 1324349 */     // No operand predicates
     /* 1324349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324353 */     // MIs[0] policy
     /* 1324353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1324365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324390 */     // GIR_Coverage, 3376,
     /* 1324390 */     GIR_EraseRootFromParent_Done,
     /* 1324391 */   // Label 18901: @1324391
     /* 1324391 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1324488), // Rule ID 3377 //
     /* 1324396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1324413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324446 */     // MIs[1] Operand 1
     /* 1324446 */     // No operand predicates
     /* 1324446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324450 */     // MIs[0] policy
     /* 1324450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1324462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324487 */     // GIR_Coverage, 3377,
     /* 1324487 */     GIR_EraseRootFromParent_Done,
     /* 1324488 */   // Label 18902: @1324488
     /* 1324488 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1324585), // Rule ID 3380 //
     /* 1324493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324543 */     // MIs[1] Operand 1
     /* 1324543 */     // No operand predicates
     /* 1324543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324547 */     // MIs[0] policy
     /* 1324547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1324559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324584 */     // GIR_Coverage, 3380,
     /* 1324584 */     GIR_EraseRootFromParent_Done,
     /* 1324585 */   // Label 18903: @1324585
     /* 1324585 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1324682), // Rule ID 3381 //
     /* 1324590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324640 */     // MIs[1] Operand 1
     /* 1324640 */     // No operand predicates
     /* 1324640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324644 */     // MIs[0] policy
     /* 1324644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1324656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324681 */     // GIR_Coverage, 3381,
     /* 1324681 */     GIR_EraseRootFromParent_Done,
     /* 1324682 */   // Label 18904: @1324682
     /* 1324682 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1324779), // Rule ID 3384 //
     /* 1324687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324737 */     // MIs[1] Operand 1
     /* 1324737 */     // No operand predicates
     /* 1324737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324741 */     // MIs[0] policy
     /* 1324741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1324753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324778 */     // GIR_Coverage, 3384,
     /* 1324778 */     GIR_EraseRootFromParent_Done,
     /* 1324779 */   // Label 18905: @1324779
     /* 1324779 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1324876), // Rule ID 3385 //
     /* 1324784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324834 */     // MIs[1] Operand 1
     /* 1324834 */     // No operand predicates
     /* 1324834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324838 */     // MIs[0] policy
     /* 1324838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1324850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324875 */     // GIR_Coverage, 3385,
     /* 1324875 */     GIR_EraseRootFromParent_Done,
     /* 1324876 */   // Label 18906: @1324876
     /* 1324876 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1324973), // Rule ID 3388 //
     /* 1324881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1324884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1324901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1324923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1324927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1324931 */     // MIs[1] Operand 1
     /* 1324931 */     // No operand predicates
     /* 1324931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324935 */     // MIs[0] policy
     /* 1324935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1324938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1324940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1324947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1324950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1324959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1324971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324972 */     // GIR_Coverage, 3388,
     /* 1324972 */     GIR_EraseRootFromParent_Done,
     /* 1324973 */   // Label 18907: @1324973
     /* 1324973 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1325070), // Rule ID 3389 //
     /* 1324978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1324981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1324986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1324998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325028 */     // MIs[1] Operand 1
     /* 1325028 */     // No operand predicates
     /* 1325028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325032 */     // MIs[0] policy
     /* 1325032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1325044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1325047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325069 */     // GIR_Coverage, 3389,
     /* 1325069 */     GIR_EraseRootFromParent_Done,
     /* 1325070 */   // Label 18908: @1325070
     /* 1325070 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1325167), // Rule ID 3392 //
     /* 1325075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1325086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1325089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1325092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325125 */     // MIs[1] Operand 1
     /* 1325125 */     // No operand predicates
     /* 1325125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325129 */     // MIs[0] policy
     /* 1325129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325141 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1325141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1325144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325166 */     // GIR_Coverage, 3392,
     /* 1325166 */     GIR_EraseRootFromParent_Done,
     /* 1325167 */   // Label 18909: @1325167
     /* 1325167 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1325264), // Rule ID 3393 //
     /* 1325172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1325183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1325186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1325189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325222 */     // MIs[1] Operand 1
     /* 1325222 */     // No operand predicates
     /* 1325222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325226 */     // MIs[0] policy
     /* 1325226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325238 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1325238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1325241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325263 */     // GIR_Coverage, 3393,
     /* 1325263 */     GIR_EraseRootFromParent_Done,
     /* 1325264 */   // Label 18910: @1325264
     /* 1325264 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1325361), // Rule ID 3396 //
     /* 1325269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1325280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1325283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1325286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325319 */     // MIs[1] Operand 1
     /* 1325319 */     // No operand predicates
     /* 1325319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325323 */     // MIs[0] policy
     /* 1325323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325335 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1325335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1325338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325360 */     // GIR_Coverage, 3396,
     /* 1325360 */     GIR_EraseRootFromParent_Done,
     /* 1325361 */   // Label 18911: @1325361
     /* 1325361 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1325458), // Rule ID 3397 //
     /* 1325366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1325377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1325380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1325383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325416 */     // MIs[1] Operand 1
     /* 1325416 */     // No operand predicates
     /* 1325416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325420 */     // MIs[0] policy
     /* 1325420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1325432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1325435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325457 */     // GIR_Coverage, 3397,
     /* 1325457 */     GIR_EraseRootFromParent_Done,
     /* 1325458 */   // Label 18912: @1325458
     /* 1325458 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1325555), // Rule ID 3400 //
     /* 1325463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1325474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1325477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1325480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1325486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325513 */     // MIs[1] Operand 1
     /* 1325513 */     // No operand predicates
     /* 1325513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325517 */     // MIs[0] policy
     /* 1325517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325529 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1325529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1325532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325554 */     // GIR_Coverage, 3400,
     /* 1325554 */     GIR_EraseRootFromParent_Done,
     /* 1325555 */   // Label 18913: @1325555
     /* 1325555 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1325652), // Rule ID 3401 //
     /* 1325560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1325571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1325574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1325577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1325583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325610 */     // MIs[1] Operand 1
     /* 1325610 */     // No operand predicates
     /* 1325610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325614 */     // MIs[0] policy
     /* 1325614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1325626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1325629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325651 */     // GIR_Coverage, 3401,
     /* 1325651 */     GIR_EraseRootFromParent_Done,
     /* 1325652 */   // Label 18914: @1325652
     /* 1325652 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1325749), // Rule ID 3404 //
     /* 1325657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1325668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1325671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325707 */     // MIs[1] Operand 1
     /* 1325707 */     // No operand predicates
     /* 1325707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325711 */     // MIs[0] policy
     /* 1325711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1325723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1325726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325748 */     // GIR_Coverage, 3404,
     /* 1325748 */     GIR_EraseRootFromParent_Done,
     /* 1325749 */   // Label 18915: @1325749
     /* 1325749 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1325846), // Rule ID 3405 //
     /* 1325754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1325765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1325768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325804 */     // MIs[1] Operand 1
     /* 1325804 */     // No operand predicates
     /* 1325804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325808 */     // MIs[0] policy
     /* 1325808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1325820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1325823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325845 */     // GIR_Coverage, 3405,
     /* 1325845 */     GIR_EraseRootFromParent_Done,
     /* 1325846 */   // Label 18916: @1325846
     /* 1325846 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1325943), // Rule ID 3408 //
     /* 1325851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1325862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1325865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1325871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325901 */     // MIs[1] Operand 1
     /* 1325901 */     // No operand predicates
     /* 1325901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325905 */     // MIs[0] policy
     /* 1325905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1325908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1325910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1325917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1325920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1325929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1325941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325942 */     // GIR_Coverage, 3408,
     /* 1325942 */     GIR_EraseRootFromParent_Done,
     /* 1325943 */   // Label 18917: @1325943
     /* 1325943 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1326040), // Rule ID 3409 //
     /* 1325948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1325956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1325959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1325962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1325990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1325994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1325998 */     // MIs[1] Operand 1
     /* 1325998 */     // No operand predicates
     /* 1325998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326002 */     // MIs[0] policy
     /* 1326002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1326017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326039 */     // GIR_Coverage, 3409,
     /* 1326039 */     GIR_EraseRootFromParent_Done,
     /* 1326040 */   // Label 18918: @1326040
     /* 1326040 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1326137), // Rule ID 3412 //
     /* 1326045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1326056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1326059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326095 */     // MIs[1] Operand 1
     /* 1326095 */     // No operand predicates
     /* 1326095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326099 */     // MIs[0] policy
     /* 1326099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1326111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1326114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326136 */     // GIR_Coverage, 3412,
     /* 1326136 */     GIR_EraseRootFromParent_Done,
     /* 1326137 */   // Label 18919: @1326137
     /* 1326137 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1326234), // Rule ID 3413 //
     /* 1326142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1326153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1326156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326192 */     // MIs[1] Operand 1
     /* 1326192 */     // No operand predicates
     /* 1326192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326196 */     // MIs[0] policy
     /* 1326196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1326211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326233 */     // GIR_Coverage, 3413,
     /* 1326233 */     GIR_EraseRootFromParent_Done,
     /* 1326234 */   // Label 18920: @1326234
     /* 1326234 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1326331), // Rule ID 3416 //
     /* 1326239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1326250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1326253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326289 */     // MIs[1] Operand 1
     /* 1326289 */     // No operand predicates
     /* 1326289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326293 */     // MIs[0] policy
     /* 1326293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1326305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1326308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326330 */     // GIR_Coverage, 3416,
     /* 1326330 */     GIR_EraseRootFromParent_Done,
     /* 1326331 */   // Label 18921: @1326331
     /* 1326331 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1326428), // Rule ID 3417 //
     /* 1326336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1326347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1326350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326386 */     // MIs[1] Operand 1
     /* 1326386 */     // No operand predicates
     /* 1326386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326390 */     // MIs[0] policy
     /* 1326390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1326405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326427 */     // GIR_Coverage, 3417,
     /* 1326427 */     GIR_EraseRootFromParent_Done,
     /* 1326428 */   // Label 18922: @1326428
     /* 1326428 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1326525), // Rule ID 3420 //
     /* 1326433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1326444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1326447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326483 */     // MIs[1] Operand 1
     /* 1326483 */     // No operand predicates
     /* 1326483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326487 */     // MIs[0] policy
     /* 1326487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1326499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1326502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326524 */     // GIR_Coverage, 3420,
     /* 1326524 */     GIR_EraseRootFromParent_Done,
     /* 1326525 */   // Label 18923: @1326525
     /* 1326525 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1326622), // Rule ID 3421 //
     /* 1326530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1326541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1326544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326580 */     // MIs[1] Operand 1
     /* 1326580 */     // No operand predicates
     /* 1326580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326584 */     // MIs[0] policy
     /* 1326584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1326599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326621 */     // GIR_Coverage, 3421,
     /* 1326621 */     GIR_EraseRootFromParent_Done,
     /* 1326622 */   // Label 18924: @1326622
     /* 1326622 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1326719), // Rule ID 3424 //
     /* 1326627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1326638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1326641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326677 */     // MIs[1] Operand 1
     /* 1326677 */     // No operand predicates
     /* 1326677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326681 */     // MIs[0] policy
     /* 1326681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1326693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1326696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326718 */     // GIR_Coverage, 3424,
     /* 1326718 */     GIR_EraseRootFromParent_Done,
     /* 1326719 */   // Label 18925: @1326719
     /* 1326719 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1326816), // Rule ID 3425 //
     /* 1326724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1326735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1326738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326774 */     // MIs[1] Operand 1
     /* 1326774 */     // No operand predicates
     /* 1326774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326778 */     // MIs[0] policy
     /* 1326778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1326793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326815 */     // GIR_Coverage, 3425,
     /* 1326815 */     GIR_EraseRootFromParent_Done,
     /* 1326816 */   // Label 18926: @1326816
     /* 1326816 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1326913), // Rule ID 3428 //
     /* 1326821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1326832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1326835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326871 */     // MIs[1] Operand 1
     /* 1326871 */     // No operand predicates
     /* 1326871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326875 */     // MIs[0] policy
     /* 1326875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1326887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1326890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1326911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326912 */     // GIR_Coverage, 3428,
     /* 1326912 */     GIR_EraseRootFromParent_Done,
     /* 1326913 */   // Label 18927: @1326913
     /* 1326913 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1327010), // Rule ID 3429 //
     /* 1326918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1326926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1326929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1326932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1326960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1326964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1326968 */     // MIs[1] Operand 1
     /* 1326968 */     // No operand predicates
     /* 1326968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326972 */     // MIs[0] policy
     /* 1326972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1326975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1326977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326984 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1326984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1326987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1326996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327009 */     // GIR_Coverage, 3429,
     /* 1327009 */     GIR_EraseRootFromParent_Done,
     /* 1327010 */   // Label 18928: @1327010
     /* 1327010 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1327107), // Rule ID 3432 //
     /* 1327015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1327018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1327023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1327026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1327029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1327032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1327045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327065 */     // MIs[1] Operand 1
     /* 1327065 */     // No operand predicates
     /* 1327065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327069 */     // MIs[0] policy
     /* 1327069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1327081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1327084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327106 */     // GIR_Coverage, 3432,
     /* 1327106 */     GIR_EraseRootFromParent_Done,
     /* 1327107 */   // Label 18929: @1327107
     /* 1327107 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1327204), // Rule ID 3433 //
     /* 1327112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1327115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1327120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1327123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1327126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1327129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1327142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327162 */     // MIs[1] Operand 1
     /* 1327162 */     // No operand predicates
     /* 1327162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327166 */     // MIs[0] policy
     /* 1327166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1327178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1327181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327203 */     // GIR_Coverage, 3433,
     /* 1327203 */     GIR_EraseRootFromParent_Done,
     /* 1327204 */   // Label 18930: @1327204
     /* 1327204 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1327301), // Rule ID 3436 //
     /* 1327209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1327212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1327217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1327220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1327223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1327239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327259 */     // MIs[1] Operand 1
     /* 1327259 */     // No operand predicates
     /* 1327259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327263 */     // MIs[0] policy
     /* 1327263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1327275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1327278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327300 */     // GIR_Coverage, 3436,
     /* 1327300 */     GIR_EraseRootFromParent_Done,
     /* 1327301 */   // Label 18931: @1327301
     /* 1327301 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1327398), // Rule ID 3437 //
     /* 1327306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1327309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1327314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1327317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1327320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1327336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327356 */     // MIs[1] Operand 1
     /* 1327356 */     // No operand predicates
     /* 1327356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327360 */     // MIs[0] policy
     /* 1327360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1327372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1327375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327397 */     // GIR_Coverage, 3437,
     /* 1327397 */     GIR_EraseRootFromParent_Done,
     /* 1327398 */   // Label 18932: @1327398
     /* 1327398 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1327495), // Rule ID 5800 //
     /* 1327403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1327414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1327417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1327420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327453 */     // MIs[1] Operand 1
     /* 1327453 */     // No operand predicates
     /* 1327453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327457 */     // MIs[0] policy
     /* 1327457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1327469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1327472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327494 */     // GIR_Coverage, 5800,
     /* 1327494 */     GIR_EraseRootFromParent_Done,
     /* 1327495 */   // Label 18933: @1327495
     /* 1327495 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1327592), // Rule ID 5801 //
     /* 1327500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1327511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1327514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1327517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327550 */     // MIs[1] Operand 1
     /* 1327550 */     // No operand predicates
     /* 1327550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327554 */     // MIs[0] policy
     /* 1327554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1327566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1327569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327591 */     // GIR_Coverage, 5801,
     /* 1327591 */     GIR_EraseRootFromParent_Done,
     /* 1327592 */   // Label 18934: @1327592
     /* 1327592 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1327689), // Rule ID 5804 //
     /* 1327597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1327608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1327611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1327614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327647 */     // MIs[1] Operand 1
     /* 1327647 */     // No operand predicates
     /* 1327647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327651 */     // MIs[0] policy
     /* 1327651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327663 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1327663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1327666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327688 */     // GIR_Coverage, 5804,
     /* 1327688 */     GIR_EraseRootFromParent_Done,
     /* 1327689 */   // Label 18935: @1327689
     /* 1327689 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1327786), // Rule ID 5805 //
     /* 1327694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1327705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1327708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1327711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327744 */     // MIs[1] Operand 1
     /* 1327744 */     // No operand predicates
     /* 1327744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327748 */     // MIs[0] policy
     /* 1327748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1327760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1327763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327785 */     // GIR_Coverage, 5805,
     /* 1327785 */     GIR_EraseRootFromParent_Done,
     /* 1327786 */   // Label 18936: @1327786
     /* 1327786 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1327883), // Rule ID 5808 //
     /* 1327791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1327802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1327805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1327808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327841 */     // MIs[1] Operand 1
     /* 1327841 */     // No operand predicates
     /* 1327841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327845 */     // MIs[0] policy
     /* 1327845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1327857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1327860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327882 */     // GIR_Coverage, 5808,
     /* 1327882 */     GIR_EraseRootFromParent_Done,
     /* 1327883 */   // Label 18937: @1327883
     /* 1327883 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1327980), // Rule ID 5809 //
     /* 1327888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1327899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1327902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1327905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1327930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1327934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1327938 */     // MIs[1] Operand 1
     /* 1327938 */     // No operand predicates
     /* 1327938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327942 */     // MIs[0] policy
     /* 1327942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1327945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1327947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327954 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1327954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1327957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1327966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1327978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327979 */     // GIR_Coverage, 5809,
     /* 1327979 */     GIR_EraseRootFromParent_Done,
     /* 1327980 */   // Label 18938: @1327980
     /* 1327980 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1328077), // Rule ID 5812 //
     /* 1327985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1327993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1327996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1327999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328035 */     // MIs[1] Operand 1
     /* 1328035 */     // No operand predicates
     /* 1328035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328039 */     // MIs[0] policy
     /* 1328039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328051 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1328051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1328054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328076 */     // GIR_Coverage, 5812,
     /* 1328076 */     GIR_EraseRootFromParent_Done,
     /* 1328077 */   // Label 18939: @1328077
     /* 1328077 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1328174), // Rule ID 5813 //
     /* 1328082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1328093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1328096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328132 */     // MIs[1] Operand 1
     /* 1328132 */     // No operand predicates
     /* 1328132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328136 */     // MIs[0] policy
     /* 1328136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1328148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1328151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328173 */     // GIR_Coverage, 5813,
     /* 1328173 */     GIR_EraseRootFromParent_Done,
     /* 1328174 */   // Label 18940: @1328174
     /* 1328174 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1328271), // Rule ID 5816 //
     /* 1328179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1328190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1328193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328229 */     // MIs[1] Operand 1
     /* 1328229 */     // No operand predicates
     /* 1328229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328233 */     // MIs[0] policy
     /* 1328233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328245 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1328245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1328248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328270 */     // GIR_Coverage, 5816,
     /* 1328270 */     GIR_EraseRootFromParent_Done,
     /* 1328271 */   // Label 18941: @1328271
     /* 1328271 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1328368), // Rule ID 5817 //
     /* 1328276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1328287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1328290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328326 */     // MIs[1] Operand 1
     /* 1328326 */     // No operand predicates
     /* 1328326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328330 */     // MIs[0] policy
     /* 1328330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1328342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1328345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328367 */     // GIR_Coverage, 5817,
     /* 1328367 */     GIR_EraseRootFromParent_Done,
     /* 1328368 */   // Label 18942: @1328368
     /* 1328368 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1328465), // Rule ID 5820 //
     /* 1328373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1328384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1328387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328423 */     // MIs[1] Operand 1
     /* 1328423 */     // No operand predicates
     /* 1328423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328427 */     // MIs[0] policy
     /* 1328427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1328439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1328442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328464 */     // GIR_Coverage, 5820,
     /* 1328464 */     GIR_EraseRootFromParent_Done,
     /* 1328465 */   // Label 18943: @1328465
     /* 1328465 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1328562), // Rule ID 5821 //
     /* 1328470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1328481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1328484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328520 */     // MIs[1] Operand 1
     /* 1328520 */     // No operand predicates
     /* 1328520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328524 */     // MIs[0] policy
     /* 1328524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1328536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1328539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328561 */     // GIR_Coverage, 5821,
     /* 1328561 */     GIR_EraseRootFromParent_Done,
     /* 1328562 */   // Label 18944: @1328562
     /* 1328562 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1328659), // Rule ID 5824 //
     /* 1328567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1328584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328617 */     // MIs[1] Operand 1
     /* 1328617 */     // No operand predicates
     /* 1328617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328621 */     // MIs[0] policy
     /* 1328621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1328633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1328636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328658 */     // GIR_Coverage, 5824,
     /* 1328658 */     GIR_EraseRootFromParent_Done,
     /* 1328659 */   // Label 18945: @1328659
     /* 1328659 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1328756), // Rule ID 5825 //
     /* 1328664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1328681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328714 */     // MIs[1] Operand 1
     /* 1328714 */     // No operand predicates
     /* 1328714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328718 */     // MIs[0] policy
     /* 1328718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1328730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1328733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328755 */     // GIR_Coverage, 5825,
     /* 1328755 */     GIR_EraseRootFromParent_Done,
     /* 1328756 */   // Label 18946: @1328756
     /* 1328756 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1328853), // Rule ID 5828 //
     /* 1328761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1328772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1328775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328811 */     // MIs[1] Operand 1
     /* 1328811 */     // No operand predicates
     /* 1328811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328815 */     // MIs[0] policy
     /* 1328815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1328827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1328830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328852 */     // GIR_Coverage, 5828,
     /* 1328852 */     GIR_EraseRootFromParent_Done,
     /* 1328853 */   // Label 18947: @1328853
     /* 1328853 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1328950), // Rule ID 5829 //
     /* 1328858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1328869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1328872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1328904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1328908 */     // MIs[1] Operand 1
     /* 1328908 */     // No operand predicates
     /* 1328908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328912 */     // MIs[0] policy
     /* 1328912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1328915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1328917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1328924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1328927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1328936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1328948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328949 */     // GIR_Coverage, 5829,
     /* 1328949 */     GIR_EraseRootFromParent_Done,
     /* 1328950 */   // Label 18948: @1328950
     /* 1328950 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1329047), // Rule ID 5832 //
     /* 1328955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1328963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1328966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1328969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1328997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329005 */     // MIs[1] Operand 1
     /* 1329005 */     // No operand predicates
     /* 1329005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329009 */     // MIs[0] policy
     /* 1329009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1329024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329046 */     // GIR_Coverage, 5832,
     /* 1329046 */     GIR_EraseRootFromParent_Done,
     /* 1329047 */   // Label 18949: @1329047
     /* 1329047 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1329144), // Rule ID 5833 //
     /* 1329052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1329063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1329066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329102 */     // MIs[1] Operand 1
     /* 1329102 */     // No operand predicates
     /* 1329102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329106 */     // MIs[0] policy
     /* 1329106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1329118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1329121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329143 */     // GIR_Coverage, 5833,
     /* 1329143 */     GIR_EraseRootFromParent_Done,
     /* 1329144 */   // Label 18950: @1329144
     /* 1329144 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1329241), // Rule ID 5836 //
     /* 1329149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1329152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1329160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1329163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329199 */     // MIs[1] Operand 1
     /* 1329199 */     // No operand predicates
     /* 1329199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329203 */     // MIs[0] policy
     /* 1329203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1329218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329240 */     // GIR_Coverage, 5836,
     /* 1329240 */     GIR_EraseRootFromParent_Done,
     /* 1329241 */   // Label 18951: @1329241
     /* 1329241 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1329338), // Rule ID 5837 //
     /* 1329246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1329249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1329257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1329260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329296 */     // MIs[1] Operand 1
     /* 1329296 */     // No operand predicates
     /* 1329296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329300 */     // MIs[0] policy
     /* 1329300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1329312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1329315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329337 */     // GIR_Coverage, 5837,
     /* 1329337 */     GIR_EraseRootFromParent_Done,
     /* 1329338 */   // Label 18952: @1329338
     /* 1329338 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1329435), // Rule ID 5840 //
     /* 1329343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1329354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1329357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1329360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329393 */     // MIs[1] Operand 1
     /* 1329393 */     // No operand predicates
     /* 1329393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329397 */     // MIs[0] policy
     /* 1329397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329409 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1329412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329434 */     // GIR_Coverage, 5840,
     /* 1329434 */     GIR_EraseRootFromParent_Done,
     /* 1329435 */   // Label 18953: @1329435
     /* 1329435 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1329532), // Rule ID 5841 //
     /* 1329440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1329451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1329454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1329457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329490 */     // MIs[1] Operand 1
     /* 1329490 */     // No operand predicates
     /* 1329490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329494 */     // MIs[0] policy
     /* 1329494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1329506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1329509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329531 */     // GIR_Coverage, 5841,
     /* 1329531 */     GIR_EraseRootFromParent_Done,
     /* 1329532 */   // Label 18954: @1329532
     /* 1329532 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1329629), // Rule ID 5844 //
     /* 1329537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1329548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1329551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1329554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329587 */     // MIs[1] Operand 1
     /* 1329587 */     // No operand predicates
     /* 1329587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329591 */     // MIs[0] policy
     /* 1329591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329603 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1329606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329628 */     // GIR_Coverage, 5844,
     /* 1329628 */     GIR_EraseRootFromParent_Done,
     /* 1329629 */   // Label 18955: @1329629
     /* 1329629 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1329726), // Rule ID 5845 //
     /* 1329634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1329645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1329648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1329651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329684 */     // MIs[1] Operand 1
     /* 1329684 */     // No operand predicates
     /* 1329684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329688 */     // MIs[0] policy
     /* 1329688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1329700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1329703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329725 */     // GIR_Coverage, 5845,
     /* 1329725 */     GIR_EraseRootFromParent_Done,
     /* 1329726 */   // Label 18956: @1329726
     /* 1329726 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1329823), // Rule ID 5848 //
     /* 1329731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1329742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1329745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1329748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1329754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329781 */     // MIs[1] Operand 1
     /* 1329781 */     // No operand predicates
     /* 1329781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329785 */     // MIs[0] policy
     /* 1329785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1329800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329822 */     // GIR_Coverage, 5848,
     /* 1329822 */     GIR_EraseRootFromParent_Done,
     /* 1329823 */   // Label 18957: @1329823
     /* 1329823 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1329920), // Rule ID 5849 //
     /* 1329828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1329839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1329842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1329845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1329851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329878 */     // MIs[1] Operand 1
     /* 1329878 */     // No operand predicates
     /* 1329878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329882 */     // MIs[0] policy
     /* 1329882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1329894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1329897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1329906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1329918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329919 */     // GIR_Coverage, 5849,
     /* 1329919 */     GIR_EraseRootFromParent_Done,
     /* 1329920 */   // Label 18958: @1329920
     /* 1329920 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1330017), // Rule ID 5852 //
     /* 1329925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1329933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1329936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1329939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1329967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1329971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1329975 */     // MIs[1] Operand 1
     /* 1329975 */     // No operand predicates
     /* 1329975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329979 */     // MIs[0] policy
     /* 1329979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1329982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1329984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1329991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1329994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330016 */     // GIR_Coverage, 5852,
     /* 1330016 */     GIR_EraseRootFromParent_Done,
     /* 1330017 */   // Label 18959: @1330017
     /* 1330017 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1330114), // Rule ID 5853 //
     /* 1330022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1330033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1330036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1330039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1330052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330072 */     // MIs[1] Operand 1
     /* 1330072 */     // No operand predicates
     /* 1330072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330076 */     // MIs[0] policy
     /* 1330076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330088 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1330088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1330091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330113 */     // GIR_Coverage, 5853,
     /* 1330113 */     GIR_EraseRootFromParent_Done,
     /* 1330114 */   // Label 18960: @1330114
     /* 1330114 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1330211), // Rule ID 5856 //
     /* 1330119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1330130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1330133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330169 */     // MIs[1] Operand 1
     /* 1330169 */     // No operand predicates
     /* 1330169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330173 */     // MIs[0] policy
     /* 1330173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330185 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1330185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1330188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330210 */     // GIR_Coverage, 5856,
     /* 1330210 */     GIR_EraseRootFromParent_Done,
     /* 1330211 */   // Label 18961: @1330211
     /* 1330211 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1330308), // Rule ID 5857 //
     /* 1330216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1330227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1330230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1330233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330266 */     // MIs[1] Operand 1
     /* 1330266 */     // No operand predicates
     /* 1330266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330270 */     // MIs[0] policy
     /* 1330270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1330282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1330285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330307 */     // GIR_Coverage, 5857,
     /* 1330307 */     GIR_EraseRootFromParent_Done,
     /* 1330308 */   // Label 18962: @1330308
     /* 1330308 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1330405), // Rule ID 5860 //
     /* 1330313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1330324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1330327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1330343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330363 */     // MIs[1] Operand 1
     /* 1330363 */     // No operand predicates
     /* 1330363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330367 */     // MIs[0] policy
     /* 1330367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330379 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1330379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1330382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330404 */     // GIR_Coverage, 5860,
     /* 1330404 */     GIR_EraseRootFromParent_Done,
     /* 1330405 */   // Label 18963: @1330405
     /* 1330405 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1330502), // Rule ID 5861 //
     /* 1330410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1330421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1330424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1330427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1330433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1330440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330460 */     // MIs[1] Operand 1
     /* 1330460 */     // No operand predicates
     /* 1330460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330464 */     // MIs[0] policy
     /* 1330464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1330476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1330479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330501 */     // GIR_Coverage, 5861,
     /* 1330501 */     GIR_EraseRootFromParent_Done,
     /* 1330502 */   // Label 18964: @1330502
     /* 1330502 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1330599), // Rule ID 5864 //
     /* 1330507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1330518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1330521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1330537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330557 */     // MIs[1] Operand 1
     /* 1330557 */     // No operand predicates
     /* 1330557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330561 */     // MIs[0] policy
     /* 1330561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1330573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1330576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330598 */     // GIR_Coverage, 5864,
     /* 1330598 */     GIR_EraseRootFromParent_Done,
     /* 1330599 */   // Label 18965: @1330599
     /* 1330599 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1330696), // Rule ID 5865 //
     /* 1330604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1330615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1330618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1330621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1330634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330654 */     // MIs[1] Operand 1
     /* 1330654 */     // No operand predicates
     /* 1330654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330658 */     // MIs[0] policy
     /* 1330658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1330670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1330673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330695 */     // GIR_Coverage, 5865,
     /* 1330695 */     GIR_EraseRootFromParent_Done,
     /* 1330696 */   // Label 18966: @1330696
     /* 1330696 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1330793), // Rule ID 5868 //
     /* 1330701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1330712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1330715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330751 */     // MIs[1] Operand 1
     /* 1330751 */     // No operand predicates
     /* 1330751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330755 */     // MIs[0] policy
     /* 1330755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1330767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1330770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330792 */     // GIR_Coverage, 5868,
     /* 1330792 */     GIR_EraseRootFromParent_Done,
     /* 1330793 */   // Label 18967: @1330793
     /* 1330793 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1330890), // Rule ID 5869 //
     /* 1330798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1330809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1330812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330848 */     // MIs[1] Operand 1
     /* 1330848 */     // No operand predicates
     /* 1330848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330852 */     // MIs[0] policy
     /* 1330852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1330864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1330867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330889 */     // GIR_Coverage, 5869,
     /* 1330889 */     GIR_EraseRootFromParent_Done,
     /* 1330890 */   // Label 18968: @1330890
     /* 1330890 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1330987), // Rule ID 5872 //
     /* 1330895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1330903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1330906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1330909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1330925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1330937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1330941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1330945 */     // MIs[1] Operand 1
     /* 1330945 */     // No operand predicates
     /* 1330945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330949 */     // MIs[0] policy
     /* 1330949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1330952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1330954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1330961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1330964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1330973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1330985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330986 */     // GIR_Coverage, 5872,
     /* 1330986 */     GIR_EraseRootFromParent_Done,
     /* 1330987 */   // Label 18969: @1330987
     /* 1330987 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1331084), // Rule ID 5873 //
     /* 1330992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1331003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1331006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1331009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1331022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331042 */     // MIs[1] Operand 1
     /* 1331042 */     // No operand predicates
     /* 1331042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331046 */     // MIs[0] policy
     /* 1331046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1331058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1331061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331083 */     // GIR_Coverage, 5873,
     /* 1331083 */     GIR_EraseRootFromParent_Done,
     /* 1331084 */   // Label 18970: @1331084
     /* 1331084 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1331181), // Rule ID 5876 //
     /* 1331089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1331092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1331100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1331103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1331119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331139 */     // MIs[1] Operand 1
     /* 1331139 */     // No operand predicates
     /* 1331139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331143 */     // MIs[0] policy
     /* 1331143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1331155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1331158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331180 */     // GIR_Coverage, 5876,
     /* 1331180 */     GIR_EraseRootFromParent_Done,
     /* 1331181 */   // Label 18971: @1331181
     /* 1331181 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1331278), // Rule ID 5877 //
     /* 1331186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1331189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1331197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1331200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1331203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1331216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331236 */     // MIs[1] Operand 1
     /* 1331236 */     // No operand predicates
     /* 1331236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331240 */     // MIs[0] policy
     /* 1331240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1331252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1331255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331277 */     // GIR_Coverage, 5877,
     /* 1331277 */     GIR_EraseRootFromParent_Done,
     /* 1331278 */   // Label 18972: @1331278
     /* 1331278 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1331375), // Rule ID 5880 //
     /* 1331283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1331286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1331294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1331297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1331313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331333 */     // MIs[1] Operand 1
     /* 1331333 */     // No operand predicates
     /* 1331333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331337 */     // MIs[0] policy
     /* 1331337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1331349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1331352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331374 */     // GIR_Coverage, 5880,
     /* 1331374 */     GIR_EraseRootFromParent_Done,
     /* 1331375 */   // Label 18973: @1331375
     /* 1331375 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1331472), // Rule ID 5881 //
     /* 1331380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1331383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1331391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1331394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1331397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1331410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331430 */     // MIs[1] Operand 1
     /* 1331430 */     // No operand predicates
     /* 1331430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331434 */     // MIs[0] policy
     /* 1331434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1331446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1331449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331471 */     // GIR_Coverage, 5881,
     /* 1331471 */     GIR_EraseRootFromParent_Done,
     /* 1331472 */   // Label 18974: @1331472
     /* 1331472 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1331569), // Rule ID 5884 //
     /* 1331477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1331480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1331488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1331491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1331507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331527 */     // MIs[1] Operand 1
     /* 1331527 */     // No operand predicates
     /* 1331527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331531 */     // MIs[0] policy
     /* 1331531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1331543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1331546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331568 */     // GIR_Coverage, 5884,
     /* 1331568 */     GIR_EraseRootFromParent_Done,
     /* 1331569 */   // Label 18975: @1331569
     /* 1331569 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1331666), // Rule ID 5885 //
     /* 1331574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1331577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1331582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1331585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1331588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1331591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1331604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331624 */     // MIs[1] Operand 1
     /* 1331624 */     // No operand predicates
     /* 1331624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331628 */     // MIs[0] policy
     /* 1331628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1331640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1331643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331665 */     // GIR_Coverage, 5885,
     /* 1331665 */     GIR_EraseRootFromParent_Done,
     /* 1331666 */   // Label 18976: @1331666
     /* 1331666 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1331763), // Rule ID 6064 //
     /* 1331671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1331679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1331682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1331685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1331688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331721 */     // MIs[1] Operand 1
     /* 1331721 */     // No operand predicates
     /* 1331721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331725 */     // MIs[0] policy
     /* 1331725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331737 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1331737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1331740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331762 */     // GIR_Coverage, 6064,
     /* 1331762 */     GIR_EraseRootFromParent_Done,
     /* 1331763 */   // Label 18977: @1331763
     /* 1331763 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1331860), // Rule ID 6065 //
     /* 1331768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1331776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1331779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1331782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1331785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331818 */     // MIs[1] Operand 1
     /* 1331818 */     // No operand predicates
     /* 1331818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331822 */     // MIs[0] policy
     /* 1331822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1331834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1331837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331859 */     // GIR_Coverage, 6065,
     /* 1331859 */     GIR_EraseRootFromParent_Done,
     /* 1331860 */   // Label 18978: @1331860
     /* 1331860 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1331957), // Rule ID 6068 //
     /* 1331865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1331873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1331876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1331879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1331882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1331907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1331911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1331915 */     // MIs[1] Operand 1
     /* 1331915 */     // No operand predicates
     /* 1331915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331919 */     // MIs[0] policy
     /* 1331919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1331922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1331924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1331931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1331934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1331943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1331955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331956 */     // GIR_Coverage, 6068,
     /* 1331956 */     GIR_EraseRootFromParent_Done,
     /* 1331957 */   // Label 18979: @1331957
     /* 1331957 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1332054), // Rule ID 6069 //
     /* 1331962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1331970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1331973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1331976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1331979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332012 */     // MIs[1] Operand 1
     /* 1332012 */     // No operand predicates
     /* 1332012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332016 */     // MIs[0] policy
     /* 1332016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1332031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332053 */     // GIR_Coverage, 6069,
     /* 1332053 */     GIR_EraseRootFromParent_Done,
     /* 1332054 */   // Label 18980: @1332054
     /* 1332054 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1332151), // Rule ID 6072 //
     /* 1332059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1332070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1332073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1332076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332109 */     // MIs[1] Operand 1
     /* 1332109 */     // No operand predicates
     /* 1332109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332113 */     // MIs[0] policy
     /* 1332113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332125 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1332125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332150 */     // GIR_Coverage, 6072,
     /* 1332150 */     GIR_EraseRootFromParent_Done,
     /* 1332151 */   // Label 18981: @1332151
     /* 1332151 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1332248), // Rule ID 6073 //
     /* 1332156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1332167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1332170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1332173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332206 */     // MIs[1] Operand 1
     /* 1332206 */     // No operand predicates
     /* 1332206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332210 */     // MIs[0] policy
     /* 1332210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332222 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332247 */     // GIR_Coverage, 6073,
     /* 1332247 */     GIR_EraseRootFromParent_Done,
     /* 1332248 */   // Label 18982: @1332248
     /* 1332248 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1332345), // Rule ID 6076 //
     /* 1332253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1332264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1332267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332303 */     // MIs[1] Operand 1
     /* 1332303 */     // No operand predicates
     /* 1332303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332307 */     // MIs[0] policy
     /* 1332307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1332319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1332322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332344 */     // GIR_Coverage, 6076,
     /* 1332344 */     GIR_EraseRootFromParent_Done,
     /* 1332345 */   // Label 18983: @1332345
     /* 1332345 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1332442), // Rule ID 6077 //
     /* 1332350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1332361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1332364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332400 */     // MIs[1] Operand 1
     /* 1332400 */     // No operand predicates
     /* 1332400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332404 */     // MIs[0] policy
     /* 1332404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1332419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332441 */     // GIR_Coverage, 6077,
     /* 1332441 */     GIR_EraseRootFromParent_Done,
     /* 1332442 */   // Label 18984: @1332442
     /* 1332442 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1332539), // Rule ID 6080 //
     /* 1332447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1332458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1332461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332497 */     // MIs[1] Operand 1
     /* 1332497 */     // No operand predicates
     /* 1332497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332501 */     // MIs[0] policy
     /* 1332501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332513 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1332513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332538 */     // GIR_Coverage, 6080,
     /* 1332538 */     GIR_EraseRootFromParent_Done,
     /* 1332539 */   // Label 18985: @1332539
     /* 1332539 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1332636), // Rule ID 6081 //
     /* 1332544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1332555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1332558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1332561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332594 */     // MIs[1] Operand 1
     /* 1332594 */     // No operand predicates
     /* 1332594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332598 */     // MIs[0] policy
     /* 1332598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332635 */     // GIR_Coverage, 6081,
     /* 1332635 */     GIR_EraseRootFromParent_Done,
     /* 1332636 */   // Label 18986: @1332636
     /* 1332636 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1332733), // Rule ID 6084 //
     /* 1332641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1332652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1332655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332691 */     // MIs[1] Operand 1
     /* 1332691 */     // No operand predicates
     /* 1332691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332695 */     // MIs[0] policy
     /* 1332695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1332707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332732 */     // GIR_Coverage, 6084,
     /* 1332732 */     GIR_EraseRootFromParent_Done,
     /* 1332733 */   // Label 18987: @1332733
     /* 1332733 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1332830), // Rule ID 6085 //
     /* 1332738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1332749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1332752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332788 */     // MIs[1] Operand 1
     /* 1332788 */     // No operand predicates
     /* 1332788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332792 */     // MIs[0] policy
     /* 1332792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1332807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332829 */     // GIR_Coverage, 6085,
     /* 1332829 */     GIR_EraseRootFromParent_Done,
     /* 1332830 */   // Label 18988: @1332830
     /* 1332830 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1332927), // Rule ID 6088 //
     /* 1332835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1332846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1332849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1332852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332885 */     // MIs[1] Operand 1
     /* 1332885 */     // No operand predicates
     /* 1332885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332889 */     // MIs[0] policy
     /* 1332889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332901 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1332901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1332904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1332913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1332925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332926 */     // GIR_Coverage, 6088,
     /* 1332926 */     GIR_EraseRootFromParent_Done,
     /* 1332927 */   // Label 18989: @1332927
     /* 1332927 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1333024), // Rule ID 6089 //
     /* 1332932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1332940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1332943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1332946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1332949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1332974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1332978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1332982 */     // MIs[1] Operand 1
     /* 1332982 */     // No operand predicates
     /* 1332982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332986 */     // MIs[0] policy
     /* 1332986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1332989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1332991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1332998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333023 */     // GIR_Coverage, 6089,
     /* 1333023 */     GIR_EraseRootFromParent_Done,
     /* 1333024 */   // Label 18990: @1333024
     /* 1333024 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1333121), // Rule ID 6092 //
     /* 1333029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333079 */     // MIs[1] Operand 1
     /* 1333079 */     // No operand predicates
     /* 1333079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333083 */     // MIs[0] policy
     /* 1333083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1333095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333120 */     // GIR_Coverage, 6092,
     /* 1333120 */     GIR_EraseRootFromParent_Done,
     /* 1333121 */   // Label 18991: @1333121
     /* 1333121 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1333218), // Rule ID 6093 //
     /* 1333126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333176 */     // MIs[1] Operand 1
     /* 1333176 */     // No operand predicates
     /* 1333176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333180 */     // MIs[0] policy
     /* 1333180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1333192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333217 */     // GIR_Coverage, 6093,
     /* 1333217 */     GIR_EraseRootFromParent_Done,
     /* 1333218 */   // Label 18992: @1333218
     /* 1333218 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1333315), // Rule ID 6096 //
     /* 1333223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1333234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1333237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333273 */     // MIs[1] Operand 1
     /* 1333273 */     // No operand predicates
     /* 1333273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333277 */     // MIs[0] policy
     /* 1333277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1333289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333314 */     // GIR_Coverage, 6096,
     /* 1333314 */     GIR_EraseRootFromParent_Done,
     /* 1333315 */   // Label 18993: @1333315
     /* 1333315 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1333412), // Rule ID 6097 //
     /* 1333320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1333331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1333334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333370 */     // MIs[1] Operand 1
     /* 1333370 */     // No operand predicates
     /* 1333370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333374 */     // MIs[0] policy
     /* 1333374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1333386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333411 */     // GIR_Coverage, 6097,
     /* 1333411 */     GIR_EraseRootFromParent_Done,
     /* 1333412 */   // Label 18994: @1333412
     /* 1333412 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1333509), // Rule ID 6100 //
     /* 1333417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1333420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1333428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1333431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333467 */     // MIs[1] Operand 1
     /* 1333467 */     // No operand predicates
     /* 1333467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333471 */     // MIs[0] policy
     /* 1333471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1333483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333508 */     // GIR_Coverage, 6100,
     /* 1333508 */     GIR_EraseRootFromParent_Done,
     /* 1333509 */   // Label 18995: @1333509
     /* 1333509 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1333606), // Rule ID 6101 //
     /* 1333514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1333517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1333525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1333528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333564 */     // MIs[1] Operand 1
     /* 1333564 */     // No operand predicates
     /* 1333564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333568 */     // MIs[0] policy
     /* 1333568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1333580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1333583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333605 */     // GIR_Coverage, 6101,
     /* 1333605 */     GIR_EraseRootFromParent_Done,
     /* 1333606 */   // Label 18996: @1333606
     /* 1333606 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1333703), // Rule ID 6104 //
     /* 1333611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1333622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1333625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1333628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1333641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333661 */     // MIs[1] Operand 1
     /* 1333661 */     // No operand predicates
     /* 1333661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333665 */     // MIs[0] policy
     /* 1333665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1333677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1333680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333702 */     // GIR_Coverage, 6104,
     /* 1333702 */     GIR_EraseRootFromParent_Done,
     /* 1333703 */   // Label 18997: @1333703
     /* 1333703 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1333800), // Rule ID 6105 //
     /* 1333708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1333719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1333722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1333725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1333738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333758 */     // MIs[1] Operand 1
     /* 1333758 */     // No operand predicates
     /* 1333758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333762 */     // MIs[0] policy
     /* 1333762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1333774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1333777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333799 */     // GIR_Coverage, 6105,
     /* 1333799 */     GIR_EraseRootFromParent_Done,
     /* 1333800 */   // Label 18998: @1333800
     /* 1333800 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1333897), // Rule ID 6108 //
     /* 1333805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1333816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1333819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1333822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1333835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333855 */     // MIs[1] Operand 1
     /* 1333855 */     // No operand predicates
     /* 1333855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333859 */     // MIs[0] policy
     /* 1333859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1333871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1333874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333896 */     // GIR_Coverage, 6108,
     /* 1333896 */     GIR_EraseRootFromParent_Done,
     /* 1333897 */   // Label 18999: @1333897
     /* 1333897 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1333994), // Rule ID 6109 //
     /* 1333902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1333910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1333913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1333916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1333919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1333932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1333944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1333948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1333952 */     // MIs[1] Operand 1
     /* 1333952 */     // No operand predicates
     /* 1333952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333956 */     // MIs[0] policy
     /* 1333956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1333959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1333961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1333968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1333971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1333980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1333992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333993 */     // GIR_Coverage, 6109,
     /* 1333993 */     GIR_EraseRootFromParent_Done,
     /* 1333994 */   // Label 19000: @1333994
     /* 1333994 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1334091), // Rule ID 6112 //
     /* 1333999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1334010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1334013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1334016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1334022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1334029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334049 */     // MIs[1] Operand 1
     /* 1334049 */     // No operand predicates
     /* 1334049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334053 */     // MIs[0] policy
     /* 1334053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1334065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1334068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1334087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334090 */     // GIR_Coverage, 6112,
     /* 1334090 */     GIR_EraseRootFromParent_Done,
     /* 1334091 */   // Label 19001: @1334091
     /* 1334091 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1334188), // Rule ID 6113 //
     /* 1334096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1334107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1334110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1334113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1334119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1334126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334146 */     // MIs[1] Operand 1
     /* 1334146 */     // No operand predicates
     /* 1334146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334150 */     // MIs[0] policy
     /* 1334150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1334162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1334165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1334184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334187 */     // GIR_Coverage, 6113,
     /* 1334187 */     GIR_EraseRootFromParent_Done,
     /* 1334188 */   // Label 19002: @1334188
     /* 1334188 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1334285), // Rule ID 6116 //
     /* 1334193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1334204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1334207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1334223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334243 */     // MIs[1] Operand 1
     /* 1334243 */     // No operand predicates
     /* 1334243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334247 */     // MIs[0] policy
     /* 1334247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1334259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1334262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334284 */     // GIR_Coverage, 6116,
     /* 1334284 */     GIR_EraseRootFromParent_Done,
     /* 1334285 */   // Label 19003: @1334285
     /* 1334285 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1334382), // Rule ID 6117 //
     /* 1334290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1334301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1334304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1334320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334340 */     // MIs[1] Operand 1
     /* 1334340 */     // No operand predicates
     /* 1334340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334344 */     // MIs[0] policy
     /* 1334344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1334356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1334359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334381 */     // GIR_Coverage, 6117,
     /* 1334381 */     GIR_EraseRootFromParent_Done,
     /* 1334382 */   // Label 19004: @1334382
     /* 1334382 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1334479), // Rule ID 6120 //
     /* 1334387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1334398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1334401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1334417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334437 */     // MIs[1] Operand 1
     /* 1334437 */     // No operand predicates
     /* 1334437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334441 */     // MIs[0] policy
     /* 1334441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334453 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1334453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1334456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334478 */     // GIR_Coverage, 6120,
     /* 1334478 */     GIR_EraseRootFromParent_Done,
     /* 1334479 */   // Label 19005: @1334479
     /* 1334479 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1334576), // Rule ID 6121 //
     /* 1334484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1334495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1334498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1334514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334534 */     // MIs[1] Operand 1
     /* 1334534 */     // No operand predicates
     /* 1334534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334538 */     // MIs[0] policy
     /* 1334538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1334550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1334553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334575 */     // GIR_Coverage, 6121,
     /* 1334575 */     GIR_EraseRootFromParent_Done,
     /* 1334576 */   // Label 19006: @1334576
     /* 1334576 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1334673), // Rule ID 6124 //
     /* 1334581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1334592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1334595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1334611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334631 */     // MIs[1] Operand 1
     /* 1334631 */     // No operand predicates
     /* 1334631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334635 */     // MIs[0] policy
     /* 1334635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1334647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1334650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334672 */     // GIR_Coverage, 6124,
     /* 1334672 */     GIR_EraseRootFromParent_Done,
     /* 1334673 */   // Label 19007: @1334673
     /* 1334673 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1334770), // Rule ID 6125 //
     /* 1334678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1334689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1334692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1334708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334728 */     // MIs[1] Operand 1
     /* 1334728 */     // No operand predicates
     /* 1334728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334732 */     // MIs[0] policy
     /* 1334732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1334744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1334747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334769 */     // GIR_Coverage, 6125,
     /* 1334769 */     GIR_EraseRootFromParent_Done,
     /* 1334770 */   // Label 19008: @1334770
     /* 1334770 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1334867), // Rule ID 6128 //
     /* 1334775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1334786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1334789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1334805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334825 */     // MIs[1] Operand 1
     /* 1334825 */     // No operand predicates
     /* 1334825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334829 */     // MIs[0] policy
     /* 1334829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334841 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1334841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1334844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334866 */     // GIR_Coverage, 6128,
     /* 1334866 */     GIR_EraseRootFromParent_Done,
     /* 1334867 */   // Label 19009: @1334867
     /* 1334867 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1334964), // Rule ID 6129 //
     /* 1334872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1334883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1334886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1334902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1334914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1334918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1334922 */     // MIs[1] Operand 1
     /* 1334922 */     // No operand predicates
     /* 1334922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334926 */     // MIs[0] policy
     /* 1334926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1334929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1334931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334938 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1334938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1334941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1334950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1334962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334963 */     // GIR_Coverage, 6129,
     /* 1334963 */     GIR_EraseRootFromParent_Done,
     /* 1334964 */   // Label 19010: @1334964
     /* 1334964 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1335061), // Rule ID 6132 //
     /* 1334969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1334977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1334980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1334983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1334999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335019 */     // MIs[1] Operand 1
     /* 1335019 */     // No operand predicates
     /* 1335019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335023 */     // MIs[0] policy
     /* 1335023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1335035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1335038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335060 */     // GIR_Coverage, 6132,
     /* 1335060 */     GIR_EraseRootFromParent_Done,
     /* 1335061 */   // Label 19011: @1335061
     /* 1335061 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1335158), // Rule ID 6133 //
     /* 1335066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1335069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1335077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1335080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1335096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335116 */     // MIs[1] Operand 1
     /* 1335116 */     // No operand predicates
     /* 1335116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335120 */     // MIs[0] policy
     /* 1335120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1335132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1335135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335157 */     // GIR_Coverage, 6133,
     /* 1335157 */     GIR_EraseRootFromParent_Done,
     /* 1335158 */   // Label 19012: @1335158
     /* 1335158 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1335255), // Rule ID 6136 //
     /* 1335163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1335174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1335177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1335193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335213 */     // MIs[1] Operand 1
     /* 1335213 */     // No operand predicates
     /* 1335213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335217 */     // MIs[0] policy
     /* 1335217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1335229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1335232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335254 */     // GIR_Coverage, 6136,
     /* 1335254 */     GIR_EraseRootFromParent_Done,
     /* 1335255 */   // Label 19013: @1335255
     /* 1335255 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1335352), // Rule ID 6137 //
     /* 1335260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1335263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1335271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1335274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1335290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335310 */     // MIs[1] Operand 1
     /* 1335310 */     // No operand predicates
     /* 1335310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335314 */     // MIs[0] policy
     /* 1335314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1335326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1335329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335351 */     // GIR_Coverage, 6137,
     /* 1335351 */     GIR_EraseRootFromParent_Done,
     /* 1335352 */   // Label 19014: @1335352
     /* 1335352 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1335449), // Rule ID 6140 //
     /* 1335357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1335360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1335368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1335371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1335387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335407 */     // MIs[1] Operand 1
     /* 1335407 */     // No operand predicates
     /* 1335407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335411 */     // MIs[0] policy
     /* 1335411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335423 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1335423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1335426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335448 */     // GIR_Coverage, 6140,
     /* 1335448 */     GIR_EraseRootFromParent_Done,
     /* 1335449 */   // Label 19015: @1335449
     /* 1335449 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1335546), // Rule ID 6141 //
     /* 1335454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1335457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1335465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1335468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1335484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335504 */     // MIs[1] Operand 1
     /* 1335504 */     // No operand predicates
     /* 1335504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335508 */     // MIs[0] policy
     /* 1335508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1335520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1335523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335545 */     // GIR_Coverage, 6141,
     /* 1335545 */     GIR_EraseRootFromParent_Done,
     /* 1335546 */   // Label 19016: @1335546
     /* 1335546 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1335643), // Rule ID 6144 //
     /* 1335551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1335554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1335562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1335565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1335581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335601 */     // MIs[1] Operand 1
     /* 1335601 */     // No operand predicates
     /* 1335601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335605 */     // MIs[0] policy
     /* 1335605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1335617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1335620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335642 */     // GIR_Coverage, 6144,
     /* 1335642 */     GIR_EraseRootFromParent_Done,
     /* 1335643 */   // Label 19017: @1335643
     /* 1335643 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1335740), // Rule ID 6145 //
     /* 1335648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1335651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1335659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1335662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1335678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335698 */     // MIs[1] Operand 1
     /* 1335698 */     // No operand predicates
     /* 1335698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335702 */     // MIs[0] policy
     /* 1335702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1335714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1335717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335739 */     // GIR_Coverage, 6145,
     /* 1335739 */     GIR_EraseRootFromParent_Done,
     /* 1335740 */   // Label 19018: @1335740
     /* 1335740 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1335837), // Rule ID 6148 //
     /* 1335745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1335748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1335756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1335759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1335775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335795 */     // MIs[1] Operand 1
     /* 1335795 */     // No operand predicates
     /* 1335795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335799 */     // MIs[0] policy
     /* 1335799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1335811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1335814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335836 */     // GIR_Coverage, 6148,
     /* 1335836 */     GIR_EraseRootFromParent_Done,
     /* 1335837 */   // Label 19019: @1335837
     /* 1335837 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1335934), // Rule ID 6149 //
     /* 1335842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1335845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1335850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1335853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1335856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1335872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335892 */     // MIs[1] Operand 1
     /* 1335892 */     // No operand predicates
     /* 1335892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335896 */     // MIs[0] policy
     /* 1335896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1335908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1335911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1335920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1335932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335933 */     // GIR_Coverage, 6149,
     /* 1335933 */     GIR_EraseRootFromParent_Done,
     /* 1335934 */   // Label 19020: @1335934
     /* 1335934 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1336031), // Rule ID 6328 //
     /* 1335939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1335947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1335950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1335953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1335956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1335981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1335985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1335989 */     // MIs[1] Operand 1
     /* 1335989 */     // No operand predicates
     /* 1335989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335993 */     // MIs[0] policy
     /* 1335993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1335996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1335998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1336008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336030 */     // GIR_Coverage, 6328,
     /* 1336030 */     GIR_EraseRootFromParent_Done,
     /* 1336031 */   // Label 19021: @1336031
     /* 1336031 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1336128), // Rule ID 6329 //
     /* 1336036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1336047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1336050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1336053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336086 */     // MIs[1] Operand 1
     /* 1336086 */     // No operand predicates
     /* 1336086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336090 */     // MIs[0] policy
     /* 1336090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1336102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1336105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336127 */     // GIR_Coverage, 6329,
     /* 1336127 */     GIR_EraseRootFromParent_Done,
     /* 1336128 */   // Label 19022: @1336128
     /* 1336128 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1336225), // Rule ID 6332 //
     /* 1336133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1336144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1336147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1336150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336183 */     // MIs[1] Operand 1
     /* 1336183 */     // No operand predicates
     /* 1336183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336187 */     // MIs[0] policy
     /* 1336187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1336202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336224 */     // GIR_Coverage, 6332,
     /* 1336224 */     GIR_EraseRootFromParent_Done,
     /* 1336225 */   // Label 19023: @1336225
     /* 1336225 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1336322), // Rule ID 6333 //
     /* 1336230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1336241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1336244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1336247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336280 */     // MIs[1] Operand 1
     /* 1336280 */     // No operand predicates
     /* 1336280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336284 */     // MIs[0] policy
     /* 1336284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1336296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1336299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336321 */     // GIR_Coverage, 6333,
     /* 1336321 */     GIR_EraseRootFromParent_Done,
     /* 1336322 */   // Label 19024: @1336322
     /* 1336322 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1336419), // Rule ID 6336 //
     /* 1336327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1336338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1336341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1336344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336377 */     // MIs[1] Operand 1
     /* 1336377 */     // No operand predicates
     /* 1336377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336381 */     // MIs[0] policy
     /* 1336381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336393 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1336396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336418 */     // GIR_Coverage, 6336,
     /* 1336418 */     GIR_EraseRootFromParent_Done,
     /* 1336419 */   // Label 19025: @1336419
     /* 1336419 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1336516), // Rule ID 6337 //
     /* 1336424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1336435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1336438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1336441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336474 */     // MIs[1] Operand 1
     /* 1336474 */     // No operand predicates
     /* 1336474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336478 */     // MIs[0] policy
     /* 1336478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336490 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1336490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1336493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336515 */     // GIR_Coverage, 6337,
     /* 1336515 */     GIR_EraseRootFromParent_Done,
     /* 1336516 */   // Label 19026: @1336516
     /* 1336516 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1336613), // Rule ID 6340 //
     /* 1336521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1336532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1336535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336571 */     // MIs[1] Operand 1
     /* 1336571 */     // No operand predicates
     /* 1336571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336575 */     // MIs[0] policy
     /* 1336575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1336590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336612 */     // GIR_Coverage, 6340,
     /* 1336612 */     GIR_EraseRootFromParent_Done,
     /* 1336613 */   // Label 19027: @1336613
     /* 1336613 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1336710), // Rule ID 6341 //
     /* 1336618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1336629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1336632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336668 */     // MIs[1] Operand 1
     /* 1336668 */     // No operand predicates
     /* 1336668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336672 */     // MIs[0] policy
     /* 1336672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1336684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1336687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336709 */     // GIR_Coverage, 6341,
     /* 1336709 */     GIR_EraseRootFromParent_Done,
     /* 1336710 */   // Label 19028: @1336710
     /* 1336710 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1336807), // Rule ID 6344 //
     /* 1336715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1336726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1336729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336765 */     // MIs[1] Operand 1
     /* 1336765 */     // No operand predicates
     /* 1336765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336769 */     // MIs[0] policy
     /* 1336769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1336784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336806 */     // GIR_Coverage, 6344,
     /* 1336806 */     GIR_EraseRootFromParent_Done,
     /* 1336807 */   // Label 19029: @1336807
     /* 1336807 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1336904), // Rule ID 6345 //
     /* 1336812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1336823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1336826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336862 */     // MIs[1] Operand 1
     /* 1336862 */     // No operand predicates
     /* 1336862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336866 */     // MIs[0] policy
     /* 1336866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1336878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1336881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336903 */     // GIR_Coverage, 6345,
     /* 1336903 */     GIR_EraseRootFromParent_Done,
     /* 1336904 */   // Label 19030: @1336904
     /* 1336904 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1337001), // Rule ID 6348 //
     /* 1336909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1336917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1336920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1336923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1336951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1336955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1336959 */     // MIs[1] Operand 1
     /* 1336959 */     // No operand predicates
     /* 1336959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336963 */     // MIs[0] policy
     /* 1336963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1336966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1336968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1336975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1336978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1336987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1336999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337000 */     // GIR_Coverage, 6348,
     /* 1337000 */     GIR_EraseRootFromParent_Done,
     /* 1337001 */   // Label 19031: @1337001
     /* 1337001 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1337098), // Rule ID 6349 //
     /* 1337006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1337017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1337020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1337023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337056 */     // MIs[1] Operand 1
     /* 1337056 */     // No operand predicates
     /* 1337056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337060 */     // MIs[0] policy
     /* 1337060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1337072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1337075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337097 */     // GIR_Coverage, 6349,
     /* 1337097 */     GIR_EraseRootFromParent_Done,
     /* 1337098 */   // Label 19032: @1337098
     /* 1337098 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1337195), // Rule ID 6352 //
     /* 1337103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1337120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337153 */     // MIs[1] Operand 1
     /* 1337153 */     // No operand predicates
     /* 1337153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337157 */     // MIs[0] policy
     /* 1337157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1337169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337194 */     // GIR_Coverage, 6352,
     /* 1337194 */     GIR_EraseRootFromParent_Done,
     /* 1337195 */   // Label 19033: @1337195
     /* 1337195 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1337292), // Rule ID 6353 //
     /* 1337200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1337217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337250 */     // MIs[1] Operand 1
     /* 1337250 */     // No operand predicates
     /* 1337250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337254 */     // MIs[0] policy
     /* 1337254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337266 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1337266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337291 */     // GIR_Coverage, 6353,
     /* 1337291 */     GIR_EraseRootFromParent_Done,
     /* 1337292 */   // Label 19034: @1337292
     /* 1337292 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1337389), // Rule ID 6356 //
     /* 1337297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1337308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1337311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337347 */     // MIs[1] Operand 1
     /* 1337347 */     // No operand predicates
     /* 1337347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337351 */     // MIs[0] policy
     /* 1337351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337363 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1337363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337388 */     // GIR_Coverage, 6356,
     /* 1337388 */     GIR_EraseRootFromParent_Done,
     /* 1337389 */   // Label 19035: @1337389
     /* 1337389 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1337486), // Rule ID 6357 //
     /* 1337394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1337405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1337408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1337411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337444 */     // MIs[1] Operand 1
     /* 1337444 */     // No operand predicates
     /* 1337444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337448 */     // MIs[0] policy
     /* 1337448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1337460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337485 */     // GIR_Coverage, 6357,
     /* 1337485 */     GIR_EraseRootFromParent_Done,
     /* 1337486 */   // Label 19036: @1337486
     /* 1337486 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1337583), // Rule ID 6360 //
     /* 1337491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1337502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1337505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337541 */     // MIs[1] Operand 1
     /* 1337541 */     // No operand predicates
     /* 1337541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337545 */     // MIs[0] policy
     /* 1337545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1337557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337582 */     // GIR_Coverage, 6360,
     /* 1337582 */     GIR_EraseRootFromParent_Done,
     /* 1337583 */   // Label 19037: @1337583
     /* 1337583 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1337680), // Rule ID 6361 //
     /* 1337588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1337599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1337602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337638 */     // MIs[1] Operand 1
     /* 1337638 */     // No operand predicates
     /* 1337638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337642 */     // MIs[0] policy
     /* 1337642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1337654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337679 */     // GIR_Coverage, 6361,
     /* 1337679 */     GIR_EraseRootFromParent_Done,
     /* 1337680 */   // Label 19038: @1337680
     /* 1337680 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1337777), // Rule ID 6364 //
     /* 1337685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1337688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1337696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1337699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337735 */     // MIs[1] Operand 1
     /* 1337735 */     // No operand predicates
     /* 1337735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337739 */     // MIs[0] policy
     /* 1337739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1337751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337776 */     // GIR_Coverage, 6364,
     /* 1337776 */     GIR_EraseRootFromParent_Done,
     /* 1337777 */   // Label 19039: @1337777
     /* 1337777 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1337874), // Rule ID 6365 //
     /* 1337782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1337785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1337793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1337796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337832 */     // MIs[1] Operand 1
     /* 1337832 */     // No operand predicates
     /* 1337832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337836 */     // MIs[0] policy
     /* 1337836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1337848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1337851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337873 */     // GIR_Coverage, 6365,
     /* 1337873 */     GIR_EraseRootFromParent_Done,
     /* 1337874 */   // Label 19040: @1337874
     /* 1337874 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1337971), // Rule ID 6368 //
     /* 1337879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1337890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1337893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1337896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1337909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1337921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1337925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1337929 */     // MIs[1] Operand 1
     /* 1337929 */     // No operand predicates
     /* 1337929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337933 */     // MIs[0] policy
     /* 1337933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1337936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1337938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337945 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1337945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1337948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1337957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1337969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337970 */     // GIR_Coverage, 6368,
     /* 1337970 */     GIR_EraseRootFromParent_Done,
     /* 1337971 */   // Label 19041: @1337971
     /* 1337971 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1338068), // Rule ID 6369 //
     /* 1337976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1337984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1337987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1337990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1337993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1338006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338026 */     // MIs[1] Operand 1
     /* 1338026 */     // No operand predicates
     /* 1338026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338030 */     // MIs[0] policy
     /* 1338030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1338042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1338045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1338064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338067 */     // GIR_Coverage, 6369,
     /* 1338067 */     GIR_EraseRootFromParent_Done,
     /* 1338068 */   // Label 19042: @1338068
     /* 1338068 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1338165), // Rule ID 6372 //
     /* 1338073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1338084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1338087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1338090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1338103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338123 */     // MIs[1] Operand 1
     /* 1338123 */     // No operand predicates
     /* 1338123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338127 */     // MIs[0] policy
     /* 1338127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1338139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1338142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1338161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338164 */     // GIR_Coverage, 6372,
     /* 1338164 */     GIR_EraseRootFromParent_Done,
     /* 1338165 */   // Label 19043: @1338165
     /* 1338165 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1338262), // Rule ID 6373 //
     /* 1338170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1338181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1338184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1338187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1338200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338220 */     // MIs[1] Operand 1
     /* 1338220 */     // No operand predicates
     /* 1338220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338224 */     // MIs[0] policy
     /* 1338224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1338236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1338239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1338258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338261 */     // GIR_Coverage, 6373,
     /* 1338261 */     GIR_EraseRootFromParent_Done,
     /* 1338262 */   // Label 19044: @1338262
     /* 1338262 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1338359), // Rule ID 6376 //
     /* 1338267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1338278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1338281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1338284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1338290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1338297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338317 */     // MIs[1] Operand 1
     /* 1338317 */     // No operand predicates
     /* 1338317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338321 */     // MIs[0] policy
     /* 1338321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338333 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1338333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1338336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1338355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338358 */     // GIR_Coverage, 6376,
     /* 1338358 */     GIR_EraseRootFromParent_Done,
     /* 1338359 */   // Label 19045: @1338359
     /* 1338359 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1338456), // Rule ID 6377 //
     /* 1338364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1338375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1338378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1338381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1338387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1338394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338414 */     // MIs[1] Operand 1
     /* 1338414 */     // No operand predicates
     /* 1338414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338418 */     // MIs[0] policy
     /* 1338418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1338430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1338433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1338452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338455 */     // GIR_Coverage, 6377,
     /* 1338455 */     GIR_EraseRootFromParent_Done,
     /* 1338456 */   // Label 19046: @1338456
     /* 1338456 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1338553), // Rule ID 6380 //
     /* 1338461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1338472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1338475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1338491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338511 */     // MIs[1] Operand 1
     /* 1338511 */     // No operand predicates
     /* 1338511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338515 */     // MIs[0] policy
     /* 1338515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1338527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1338530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338552 */     // GIR_Coverage, 6380,
     /* 1338552 */     GIR_EraseRootFromParent_Done,
     /* 1338553 */   // Label 19047: @1338553
     /* 1338553 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1338650), // Rule ID 6381 //
     /* 1338558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1338569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1338572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1338588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338608 */     // MIs[1] Operand 1
     /* 1338608 */     // No operand predicates
     /* 1338608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338612 */     // MIs[0] policy
     /* 1338612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1338624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1338627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338649 */     // GIR_Coverage, 6381,
     /* 1338649 */     GIR_EraseRootFromParent_Done,
     /* 1338650 */   // Label 19048: @1338650
     /* 1338650 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1338747), // Rule ID 6384 //
     /* 1338655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1338666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1338669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1338685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338705 */     // MIs[1] Operand 1
     /* 1338705 */     // No operand predicates
     /* 1338705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338709 */     // MIs[0] policy
     /* 1338709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338721 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1338721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1338724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338746 */     // GIR_Coverage, 6384,
     /* 1338746 */     GIR_EraseRootFromParent_Done,
     /* 1338747 */   // Label 19049: @1338747
     /* 1338747 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1338844), // Rule ID 6385 //
     /* 1338752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1338763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1338766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1338782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338802 */     // MIs[1] Operand 1
     /* 1338802 */     // No operand predicates
     /* 1338802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338806 */     // MIs[0] policy
     /* 1338806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1338818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1338821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338843 */     // GIR_Coverage, 6385,
     /* 1338843 */     GIR_EraseRootFromParent_Done,
     /* 1338844 */   // Label 19050: @1338844
     /* 1338844 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1338941), // Rule ID 6388 //
     /* 1338849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1338860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1338863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1338879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338899 */     // MIs[1] Operand 1
     /* 1338899 */     // No operand predicates
     /* 1338899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338903 */     // MIs[0] policy
     /* 1338903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1338906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1338908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338915 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1338915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1338918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1338927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1338939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338940 */     // GIR_Coverage, 6388,
     /* 1338940 */     GIR_EraseRootFromParent_Done,
     /* 1338941 */   // Label 19051: @1338941
     /* 1338941 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1339038), // Rule ID 6389 //
     /* 1338946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1338954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1338957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1338960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1338976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1338988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1338992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1338996 */     // MIs[1] Operand 1
     /* 1338996 */     // No operand predicates
     /* 1338996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339000 */     // MIs[0] policy
     /* 1339000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1339015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339037 */     // GIR_Coverage, 6389,
     /* 1339037 */     GIR_EraseRootFromParent_Done,
     /* 1339038 */   // Label 19052: @1339038
     /* 1339038 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1339135), // Rule ID 6392 //
     /* 1339043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1339046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1339054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1339057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1339073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339093 */     // MIs[1] Operand 1
     /* 1339093 */     // No operand predicates
     /* 1339093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339097 */     // MIs[0] policy
     /* 1339097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1339109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1339112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339134 */     // GIR_Coverage, 6392,
     /* 1339134 */     GIR_EraseRootFromParent_Done,
     /* 1339135 */   // Label 19053: @1339135
     /* 1339135 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1339232), // Rule ID 6393 //
     /* 1339140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1339143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1339151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1339154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1339170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339190 */     // MIs[1] Operand 1
     /* 1339190 */     // No operand predicates
     /* 1339190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339194 */     // MIs[0] policy
     /* 1339194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1339209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339231 */     // GIR_Coverage, 6393,
     /* 1339231 */     GIR_EraseRootFromParent_Done,
     /* 1339232 */   // Label 19054: @1339232
     /* 1339232 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1339329), // Rule ID 6396 //
     /* 1339237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1339240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1339248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1339251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1339267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339287 */     // MIs[1] Operand 1
     /* 1339287 */     // No operand predicates
     /* 1339287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339291 */     // MIs[0] policy
     /* 1339291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1339303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1339306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339328 */     // GIR_Coverage, 6396,
     /* 1339328 */     GIR_EraseRootFromParent_Done,
     /* 1339329 */   // Label 19055: @1339329
     /* 1339329 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1339426), // Rule ID 6397 //
     /* 1339334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1339337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1339345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1339348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1339364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339384 */     // MIs[1] Operand 1
     /* 1339384 */     // No operand predicates
     /* 1339384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339388 */     // MIs[0] policy
     /* 1339388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1339403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339425 */     // GIR_Coverage, 6397,
     /* 1339425 */     GIR_EraseRootFromParent_Done,
     /* 1339426 */   // Label 19056: @1339426
     /* 1339426 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1339523), // Rule ID 6400 //
     /* 1339431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1339434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1339442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1339445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1339461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339481 */     // MIs[1] Operand 1
     /* 1339481 */     // No operand predicates
     /* 1339481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339485 */     // MIs[0] policy
     /* 1339485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1339497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1339500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339522 */     // GIR_Coverage, 6400,
     /* 1339522 */     GIR_EraseRootFromParent_Done,
     /* 1339523 */   // Label 19057: @1339523
     /* 1339523 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1339620), // Rule ID 6401 //
     /* 1339528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1339531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1339539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1339542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1339558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339578 */     // MIs[1] Operand 1
     /* 1339578 */     // No operand predicates
     /* 1339578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339582 */     // MIs[0] policy
     /* 1339582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1339597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339619 */     // GIR_Coverage, 6401,
     /* 1339619 */     GIR_EraseRootFromParent_Done,
     /* 1339620 */   // Label 19058: @1339620
     /* 1339620 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1339717), // Rule ID 6404 //
     /* 1339625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1339628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1339636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1339639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1339655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339675 */     // MIs[1] Operand 1
     /* 1339675 */     // No operand predicates
     /* 1339675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339679 */     // MIs[0] policy
     /* 1339679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1339691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1339694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339716 */     // GIR_Coverage, 6404,
     /* 1339716 */     GIR_EraseRootFromParent_Done,
     /* 1339717 */   // Label 19059: @1339717
     /* 1339717 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1339814), // Rule ID 6405 //
     /* 1339722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1339725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1339733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1339736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1339752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339772 */     // MIs[1] Operand 1
     /* 1339772 */     // No operand predicates
     /* 1339772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339776 */     // MIs[0] policy
     /* 1339776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1339791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339813 */     // GIR_Coverage, 6405,
     /* 1339813 */     GIR_EraseRootFromParent_Done,
     /* 1339814 */   // Label 19060: @1339814
     /* 1339814 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1339911), // Rule ID 6408 //
     /* 1339819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1339822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1339830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1339833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1339849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339869 */     // MIs[1] Operand 1
     /* 1339869 */     // No operand predicates
     /* 1339869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339873 */     // MIs[0] policy
     /* 1339873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1339885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1339888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1339909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339910 */     // GIR_Coverage, 6408,
     /* 1339910 */     GIR_EraseRootFromParent_Done,
     /* 1339911 */   // Label 19061: @1339911
     /* 1339911 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1340008), // Rule ID 6409 //
     /* 1339916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1339919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1339924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1339927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1339930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1339946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1339958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1339962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1339966 */     // MIs[1] Operand 1
     /* 1339966 */     // No operand predicates
     /* 1339966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339970 */     // MIs[0] policy
     /* 1339970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1339973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1339975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1339982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1339985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1339994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340007 */     // GIR_Coverage, 6409,
     /* 1340007 */     GIR_EraseRootFromParent_Done,
     /* 1340008 */   // Label 19062: @1340008
     /* 1340008 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1340105), // Rule ID 6412 //
     /* 1340013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1340016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1340021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1340024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1340027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1340043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1340063 */     // MIs[1] Operand 1
     /* 1340063 */     // No operand predicates
     /* 1340063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340067 */     // MIs[0] policy
     /* 1340067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340079 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1340079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1340082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340104 */     // GIR_Coverage, 6412,
     /* 1340104 */     GIR_EraseRootFromParent_Done,
     /* 1340105 */   // Label 19063: @1340105
     /* 1340105 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1340202), // Rule ID 6413 //
     /* 1340110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1340113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1340118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1340121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1340124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1340140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1340160 */     // MIs[1] Operand 1
     /* 1340160 */     // No operand predicates
     /* 1340160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340164 */     // MIs[0] policy
     /* 1340164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1340176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1340179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340201 */     // GIR_Coverage, 6413,
     /* 1340201 */     GIR_EraseRootFromParent_Done,
     /* 1340202 */   // Label 19064: @1340202
     /* 1340202 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1340299), // Rule ID 6592 //
     /* 1340207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1340218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1340221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1340224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340257 */     // MIs[1] Operand 1
     /* 1340257 */     // No operand predicates
     /* 1340257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340261 */     // MIs[0] policy
     /* 1340261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340273 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1340273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1340276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340298 */     // GIR_Coverage, 6592,
     /* 1340298 */     GIR_EraseRootFromParent_Done,
     /* 1340299 */   // Label 19065: @1340299
     /* 1340299 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1340396), // Rule ID 6593 //
     /* 1340304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1340315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1340318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1340321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340354 */     // MIs[1] Operand 1
     /* 1340354 */     // No operand predicates
     /* 1340354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340358 */     // MIs[0] policy
     /* 1340358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340370 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1340370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1340373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340395 */     // GIR_Coverage, 6593,
     /* 1340395 */     GIR_EraseRootFromParent_Done,
     /* 1340396 */   // Label 19066: @1340396
     /* 1340396 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1340493), // Rule ID 6596 //
     /* 1340401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1340412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1340415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1340418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340451 */     // MIs[1] Operand 1
     /* 1340451 */     // No operand predicates
     /* 1340451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340455 */     // MIs[0] policy
     /* 1340455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340467 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1340467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1340470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340492 */     // GIR_Coverage, 6596,
     /* 1340492 */     GIR_EraseRootFromParent_Done,
     /* 1340493 */   // Label 19067: @1340493
     /* 1340493 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1340590), // Rule ID 6597 //
     /* 1340498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1340509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1340512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1340515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340548 */     // MIs[1] Operand 1
     /* 1340548 */     // No operand predicates
     /* 1340548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340552 */     // MIs[0] policy
     /* 1340552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1340564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1340567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340589 */     // GIR_Coverage, 6597,
     /* 1340589 */     GIR_EraseRootFromParent_Done,
     /* 1340590 */   // Label 19068: @1340590
     /* 1340590 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1340687), // Rule ID 6600 //
     /* 1340595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1340606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1340609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1340612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340645 */     // MIs[1] Operand 1
     /* 1340645 */     // No operand predicates
     /* 1340645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340649 */     // MIs[0] policy
     /* 1340649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340661 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1340661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1340664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340686 */     // GIR_Coverage, 6600,
     /* 1340686 */     GIR_EraseRootFromParent_Done,
     /* 1340687 */   // Label 19069: @1340687
     /* 1340687 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1340784), // Rule ID 6601 //
     /* 1340692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1340703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1340706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1340709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340742 */     // MIs[1] Operand 1
     /* 1340742 */     // No operand predicates
     /* 1340742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340746 */     // MIs[0] policy
     /* 1340746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1340758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1340761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340783 */     // GIR_Coverage, 6601,
     /* 1340783 */     GIR_EraseRootFromParent_Done,
     /* 1340784 */   // Label 19070: @1340784
     /* 1340784 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1340881), // Rule ID 6604 //
     /* 1340789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1340800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1340803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340839 */     // MIs[1] Operand 1
     /* 1340839 */     // No operand predicates
     /* 1340839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340843 */     // MIs[0] policy
     /* 1340843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1340855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1340858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340880 */     // GIR_Coverage, 6604,
     /* 1340880 */     GIR_EraseRootFromParent_Done,
     /* 1340881 */   // Label 19071: @1340881
     /* 1340881 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1340978), // Rule ID 6605 //
     /* 1340886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1340897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1340900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1340928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1340932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1340936 */     // MIs[1] Operand 1
     /* 1340936 */     // No operand predicates
     /* 1340936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340940 */     // MIs[0] policy
     /* 1340940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1340943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1340945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1340952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1340955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1340964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1340976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340977 */     // GIR_Coverage, 6605,
     /* 1340977 */     GIR_EraseRootFromParent_Done,
     /* 1340978 */   // Label 19072: @1340978
     /* 1340978 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1341075), // Rule ID 6608 //
     /* 1340983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1340991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1340994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1340997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341033 */     // MIs[1] Operand 1
     /* 1341033 */     // No operand predicates
     /* 1341033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341037 */     // MIs[0] policy
     /* 1341037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1341049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1341052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341074 */     // GIR_Coverage, 6608,
     /* 1341074 */     GIR_EraseRootFromParent_Done,
     /* 1341075 */   // Label 19073: @1341075
     /* 1341075 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1341172), // Rule ID 6609 //
     /* 1341080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1341091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1341094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341130 */     // MIs[1] Operand 1
     /* 1341130 */     // No operand predicates
     /* 1341130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341134 */     // MIs[0] policy
     /* 1341134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1341146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1341149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341171 */     // GIR_Coverage, 6609,
     /* 1341171 */     GIR_EraseRootFromParent_Done,
     /* 1341172 */   // Label 19074: @1341172
     /* 1341172 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1341269), // Rule ID 6612 //
     /* 1341177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1341188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1341191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341227 */     // MIs[1] Operand 1
     /* 1341227 */     // No operand predicates
     /* 1341227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341231 */     // MIs[0] policy
     /* 1341231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1341243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1341246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341268 */     // GIR_Coverage, 6612,
     /* 1341268 */     GIR_EraseRootFromParent_Done,
     /* 1341269 */   // Label 19075: @1341269
     /* 1341269 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1341366), // Rule ID 6613 //
     /* 1341274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1341285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1341288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341324 */     // MIs[1] Operand 1
     /* 1341324 */     // No operand predicates
     /* 1341324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341328 */     // MIs[0] policy
     /* 1341328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1341340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1341343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341365 */     // GIR_Coverage, 6613,
     /* 1341365 */     GIR_EraseRootFromParent_Done,
     /* 1341366 */   // Label 19076: @1341366
     /* 1341366 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1341463), // Rule ID 6616 //
     /* 1341371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1341388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341421 */     // MIs[1] Operand 1
     /* 1341421 */     // No operand predicates
     /* 1341421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341425 */     // MIs[0] policy
     /* 1341425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341437 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1341437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1341459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341462 */     // GIR_Coverage, 6616,
     /* 1341462 */     GIR_EraseRootFromParent_Done,
     /* 1341463 */   // Label 19077: @1341463
     /* 1341463 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1341560), // Rule ID 6617 //
     /* 1341468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1341485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341518 */     // MIs[1] Operand 1
     /* 1341518 */     // No operand predicates
     /* 1341518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341522 */     // MIs[0] policy
     /* 1341522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1341534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1341556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341559 */     // GIR_Coverage, 6617,
     /* 1341559 */     GIR_EraseRootFromParent_Done,
     /* 1341560 */   // Label 19078: @1341560
     /* 1341560 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1341657), // Rule ID 6620 //
     /* 1341565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1341576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1341579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341615 */     // MIs[1] Operand 1
     /* 1341615 */     // No operand predicates
     /* 1341615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341619 */     // MIs[0] policy
     /* 1341619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341631 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1341631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341656 */     // GIR_Coverage, 6620,
     /* 1341656 */     GIR_EraseRootFromParent_Done,
     /* 1341657 */   // Label 19079: @1341657
     /* 1341657 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1341754), // Rule ID 6621 //
     /* 1341662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1341673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1341676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341712 */     // MIs[1] Operand 1
     /* 1341712 */     // No operand predicates
     /* 1341712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341716 */     // MIs[0] policy
     /* 1341716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1341728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341753 */     // GIR_Coverage, 6621,
     /* 1341753 */     GIR_EraseRootFromParent_Done,
     /* 1341754 */   // Label 19080: @1341754
     /* 1341754 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1341851), // Rule ID 6624 //
     /* 1341759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1341770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1341773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341809 */     // MIs[1] Operand 1
     /* 1341809 */     // No operand predicates
     /* 1341809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341813 */     // MIs[0] policy
     /* 1341813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1341825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341850 */     // GIR_Coverage, 6624,
     /* 1341850 */     GIR_EraseRootFromParent_Done,
     /* 1341851 */   // Label 19081: @1341851
     /* 1341851 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1341948), // Rule ID 6625 //
     /* 1341856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1341867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1341870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1341906 */     // MIs[1] Operand 1
     /* 1341906 */     // No operand predicates
     /* 1341906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341910 */     // MIs[0] policy
     /* 1341910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1341913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1341915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1341922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1341925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1341934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1341946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341947 */     // GIR_Coverage, 6625,
     /* 1341947 */     GIR_EraseRootFromParent_Done,
     /* 1341948 */   // Label 19082: @1341948
     /* 1341948 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1342045), // Rule ID 6628 //
     /* 1341953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1341956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1341961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1341964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1341967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1341995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1341999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342003 */     // MIs[1] Operand 1
     /* 1342003 */     // No operand predicates
     /* 1342003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342007 */     // MIs[0] policy
     /* 1342007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1342022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342044 */     // GIR_Coverage, 6628,
     /* 1342044 */     GIR_EraseRootFromParent_Done,
     /* 1342045 */   // Label 19083: @1342045
     /* 1342045 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1342142), // Rule ID 6629 //
     /* 1342050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1342053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1342061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1342064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1342067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1342073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342100 */     // MIs[1] Operand 1
     /* 1342100 */     // No operand predicates
     /* 1342100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342104 */     // MIs[0] policy
     /* 1342104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1342116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1342119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342141 */     // GIR_Coverage, 6629,
     /* 1342141 */     GIR_EraseRootFromParent_Done,
     /* 1342142 */   // Label 19084: @1342142
     /* 1342142 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1342239), // Rule ID 6632 //
     /* 1342147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1342158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1342161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1342164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1342177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342197 */     // MIs[1] Operand 1
     /* 1342197 */     // No operand predicates
     /* 1342197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342201 */     // MIs[0] policy
     /* 1342201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1342216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342238 */     // GIR_Coverage, 6632,
     /* 1342238 */     GIR_EraseRootFromParent_Done,
     /* 1342239 */   // Label 19085: @1342239
     /* 1342239 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1342336), // Rule ID 6633 //
     /* 1342244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1342255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1342258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1342261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1342274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342294 */     // MIs[1] Operand 1
     /* 1342294 */     // No operand predicates
     /* 1342294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342298 */     // MIs[0] policy
     /* 1342298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1342310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1342313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342335 */     // GIR_Coverage, 6633,
     /* 1342335 */     GIR_EraseRootFromParent_Done,
     /* 1342336 */   // Label 19086: @1342336
     /* 1342336 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1342433), // Rule ID 6636 //
     /* 1342341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1342352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1342355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1342358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1342371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342391 */     // MIs[1] Operand 1
     /* 1342391 */     // No operand predicates
     /* 1342391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342395 */     // MIs[0] policy
     /* 1342395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342407 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1342410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342432 */     // GIR_Coverage, 6636,
     /* 1342432 */     GIR_EraseRootFromParent_Done,
     /* 1342433 */   // Label 19087: @1342433
     /* 1342433 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1342530), // Rule ID 6637 //
     /* 1342438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1342449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1342452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1342455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1342468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342488 */     // MIs[1] Operand 1
     /* 1342488 */     // No operand predicates
     /* 1342488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342492 */     // MIs[0] policy
     /* 1342492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1342504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1342507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342529 */     // GIR_Coverage, 6637,
     /* 1342529 */     GIR_EraseRootFromParent_Done,
     /* 1342530 */   // Label 19088: @1342530
     /* 1342530 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1342627), // Rule ID 6640 //
     /* 1342535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1342546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1342549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1342552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1342558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1342565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342585 */     // MIs[1] Operand 1
     /* 1342585 */     // No operand predicates
     /* 1342585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342589 */     // MIs[0] policy
     /* 1342589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342601 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1342604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342626 */     // GIR_Coverage, 6640,
     /* 1342626 */     GIR_EraseRootFromParent_Done,
     /* 1342627 */   // Label 19089: @1342627
     /* 1342627 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1342724), // Rule ID 6641 //
     /* 1342632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1342643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1342646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1342649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1342655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1342662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342682 */     // MIs[1] Operand 1
     /* 1342682 */     // No operand predicates
     /* 1342682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342686 */     // MIs[0] policy
     /* 1342686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1342698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1342701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342723 */     // GIR_Coverage, 6641,
     /* 1342723 */     GIR_EraseRootFromParent_Done,
     /* 1342724 */   // Label 19090: @1342724
     /* 1342724 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1342821), // Rule ID 6644 //
     /* 1342729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1342740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1342743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1342759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342779 */     // MIs[1] Operand 1
     /* 1342779 */     // No operand predicates
     /* 1342779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342783 */     // MIs[0] policy
     /* 1342783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1342798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342820 */     // GIR_Coverage, 6644,
     /* 1342820 */     GIR_EraseRootFromParent_Done,
     /* 1342821 */   // Label 19091: @1342821
     /* 1342821 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1342918), // Rule ID 6645 //
     /* 1342826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1342837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1342840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1342856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342876 */     // MIs[1] Operand 1
     /* 1342876 */     // No operand predicates
     /* 1342876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342880 */     // MIs[0] policy
     /* 1342880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1342892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1342895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1342904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1342916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342917 */     // GIR_Coverage, 6645,
     /* 1342917 */     GIR_EraseRootFromParent_Done,
     /* 1342918 */   // Label 19092: @1342918
     /* 1342918 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1343015), // Rule ID 6648 //
     /* 1342923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1342931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1342934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1342937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1342953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1342965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1342969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1342973 */     // MIs[1] Operand 1
     /* 1342973 */     // No operand predicates
     /* 1342973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342977 */     // MIs[0] policy
     /* 1342977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1342980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1342982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1342989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1342992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343014 */     // GIR_Coverage, 6648,
     /* 1343014 */     GIR_EraseRootFromParent_Done,
     /* 1343015 */   // Label 19093: @1343015
     /* 1343015 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1343112), // Rule ID 6649 //
     /* 1343020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1343031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1343034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1343037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1343050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343070 */     // MIs[1] Operand 1
     /* 1343070 */     // No operand predicates
     /* 1343070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343074 */     // MIs[0] policy
     /* 1343074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1343086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1343089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343111 */     // GIR_Coverage, 6649,
     /* 1343111 */     GIR_EraseRootFromParent_Done,
     /* 1343112 */   // Label 19094: @1343112
     /* 1343112 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1343209), // Rule ID 6652 //
     /* 1343117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1343128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1343131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1343147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343167 */     // MIs[1] Operand 1
     /* 1343167 */     // No operand predicates
     /* 1343167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343171 */     // MIs[0] policy
     /* 1343171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1343183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1343186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343208 */     // GIR_Coverage, 6652,
     /* 1343208 */     GIR_EraseRootFromParent_Done,
     /* 1343209 */   // Label 19095: @1343209
     /* 1343209 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1343306), // Rule ID 6653 //
     /* 1343214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1343225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1343228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1343244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343264 */     // MIs[1] Operand 1
     /* 1343264 */     // No operand predicates
     /* 1343264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343268 */     // MIs[0] policy
     /* 1343268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1343280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1343283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343305 */     // GIR_Coverage, 6653,
     /* 1343305 */     GIR_EraseRootFromParent_Done,
     /* 1343306 */   // Label 19096: @1343306
     /* 1343306 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1343403), // Rule ID 6656 //
     /* 1343311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1343322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1343325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1343341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343361 */     // MIs[1] Operand 1
     /* 1343361 */     // No operand predicates
     /* 1343361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343365 */     // MIs[0] policy
     /* 1343365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1343377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1343380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343402 */     // GIR_Coverage, 6656,
     /* 1343402 */     GIR_EraseRootFromParent_Done,
     /* 1343403 */   // Label 19097: @1343403
     /* 1343403 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1343500), // Rule ID 6657 //
     /* 1343408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1343419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1343422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1343438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343458 */     // MIs[1] Operand 1
     /* 1343458 */     // No operand predicates
     /* 1343458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343462 */     // MIs[0] policy
     /* 1343462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1343474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1343477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343499 */     // GIR_Coverage, 6657,
     /* 1343499 */     GIR_EraseRootFromParent_Done,
     /* 1343500 */   // Label 19098: @1343500
     /* 1343500 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1343597), // Rule ID 6660 //
     /* 1343505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1343516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1343519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1343535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343555 */     // MIs[1] Operand 1
     /* 1343555 */     // No operand predicates
     /* 1343555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343559 */     // MIs[0] policy
     /* 1343559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1343571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1343574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343596 */     // GIR_Coverage, 6660,
     /* 1343596 */     GIR_EraseRootFromParent_Done,
     /* 1343597 */   // Label 19099: @1343597
     /* 1343597 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1343694), // Rule ID 6661 //
     /* 1343602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1343613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1343616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1343632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343652 */     // MIs[1] Operand 1
     /* 1343652 */     // No operand predicates
     /* 1343652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343656 */     // MIs[0] policy
     /* 1343656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1343668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1343671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343693 */     // GIR_Coverage, 6661,
     /* 1343693 */     GIR_EraseRootFromParent_Done,
     /* 1343694 */   // Label 19100: @1343694
     /* 1343694 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1343791), // Rule ID 6664 //
     /* 1343699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1343710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1343713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1343729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343749 */     // MIs[1] Operand 1
     /* 1343749 */     // No operand predicates
     /* 1343749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343753 */     // MIs[0] policy
     /* 1343753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1343765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1343768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343790 */     // GIR_Coverage, 6664,
     /* 1343790 */     GIR_EraseRootFromParent_Done,
     /* 1343791 */   // Label 19101: @1343791
     /* 1343791 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1343888), // Rule ID 6665 //
     /* 1343796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1343807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1343810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1343826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343846 */     // MIs[1] Operand 1
     /* 1343846 */     // No operand predicates
     /* 1343846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343850 */     // MIs[0] policy
     /* 1343850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1343862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1343865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343887 */     // GIR_Coverage, 6665,
     /* 1343887 */     GIR_EraseRootFromParent_Done,
     /* 1343888 */   // Label 19102: @1343888
     /* 1343888 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1343985), // Rule ID 6668 //
     /* 1343893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1343896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1343904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1343907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1343923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1343935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1343939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1343943 */     // MIs[1] Operand 1
     /* 1343943 */     // No operand predicates
     /* 1343943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343947 */     // MIs[0] policy
     /* 1343947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1343950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1343952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343959 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1343959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1343962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1343971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1343983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343984 */     // GIR_Coverage, 6668,
     /* 1343984 */     GIR_EraseRootFromParent_Done,
     /* 1343985 */   // Label 19103: @1343985
     /* 1343985 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1344082), // Rule ID 6669 //
     /* 1343990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1343993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1343998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1344001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1344004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1344007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1344020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344040 */     // MIs[1] Operand 1
     /* 1344040 */     // No operand predicates
     /* 1344040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344044 */     // MIs[0] policy
     /* 1344044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1344056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1344059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344081 */     // GIR_Coverage, 6669,
     /* 1344081 */     GIR_EraseRootFromParent_Done,
     /* 1344082 */   // Label 19104: @1344082
     /* 1344082 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1344179), // Rule ID 6672 //
     /* 1344087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1344090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1344095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1344098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1344101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1344117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344137 */     // MIs[1] Operand 1
     /* 1344137 */     // No operand predicates
     /* 1344137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344141 */     // MIs[0] policy
     /* 1344141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1344153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1344156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344178 */     // GIR_Coverage, 6672,
     /* 1344178 */     GIR_EraseRootFromParent_Done,
     /* 1344179 */   // Label 19105: @1344179
     /* 1344179 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1344276), // Rule ID 6673 //
     /* 1344184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1344187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1344192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1344195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1344198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1344214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344234 */     // MIs[1] Operand 1
     /* 1344234 */     // No operand predicates
     /* 1344234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344238 */     // MIs[0] policy
     /* 1344238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1344250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1344253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344275 */     // GIR_Coverage, 6673,
     /* 1344275 */     GIR_EraseRootFromParent_Done,
     /* 1344276 */   // Label 19106: @1344276
     /* 1344276 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1344373), // Rule ID 6676 //
     /* 1344281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1344284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1344289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1344292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1344295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1344311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344331 */     // MIs[1] Operand 1
     /* 1344331 */     // No operand predicates
     /* 1344331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344335 */     // MIs[0] policy
     /* 1344335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1344347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1344350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344372 */     // GIR_Coverage, 6676,
     /* 1344372 */     GIR_EraseRootFromParent_Done,
     /* 1344373 */   // Label 19107: @1344373
     /* 1344373 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1344470), // Rule ID 6677 //
     /* 1344378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1344381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1344386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1344389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1344392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1344408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344428 */     // MIs[1] Operand 1
     /* 1344428 */     // No operand predicates
     /* 1344428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344432 */     // MIs[0] policy
     /* 1344432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1344444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1344447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344469 */     // GIR_Coverage, 6677,
     /* 1344469 */     GIR_EraseRootFromParent_Done,
     /* 1344470 */   // Label 19108: @1344470
     /* 1344470 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1344567), // Rule ID 6856 //
     /* 1344475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1344486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1344489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1344492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344525 */     // MIs[1] Operand 1
     /* 1344525 */     // No operand predicates
     /* 1344525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344529 */     // MIs[0] policy
     /* 1344529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344541 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1344541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1344544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344566 */     // GIR_Coverage, 6856,
     /* 1344566 */     GIR_EraseRootFromParent_Done,
     /* 1344567 */   // Label 19109: @1344567
     /* 1344567 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1344664), // Rule ID 6857 //
     /* 1344572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1344583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1344586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1344589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344622 */     // MIs[1] Operand 1
     /* 1344622 */     // No operand predicates
     /* 1344622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344626 */     // MIs[0] policy
     /* 1344626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1344638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1344641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344663 */     // GIR_Coverage, 6857,
     /* 1344663 */     GIR_EraseRootFromParent_Done,
     /* 1344664 */   // Label 19110: @1344664
     /* 1344664 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1344761), // Rule ID 6860 //
     /* 1344669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1344680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1344683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1344686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344719 */     // MIs[1] Operand 1
     /* 1344719 */     // No operand predicates
     /* 1344719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344723 */     // MIs[0] policy
     /* 1344723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344735 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1344735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1344738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344760 */     // GIR_Coverage, 6860,
     /* 1344760 */     GIR_EraseRootFromParent_Done,
     /* 1344761 */   // Label 19111: @1344761
     /* 1344761 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1344858), // Rule ID 6861 //
     /* 1344766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1344777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1344780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1344783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344816 */     // MIs[1] Operand 1
     /* 1344816 */     // No operand predicates
     /* 1344816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344820 */     // MIs[0] policy
     /* 1344820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1344832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1344835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344857 */     // GIR_Coverage, 6861,
     /* 1344857 */     GIR_EraseRootFromParent_Done,
     /* 1344858 */   // Label 19112: @1344858
     /* 1344858 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1344955), // Rule ID 6864 //
     /* 1344863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1344874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1344877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1344880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1344883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1344905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1344909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1344913 */     // MIs[1] Operand 1
     /* 1344913 */     // No operand predicates
     /* 1344913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344917 */     // MIs[0] policy
     /* 1344917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1344920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1344922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344929 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1344929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1344932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1344941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1344953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344954 */     // GIR_Coverage, 6864,
     /* 1344954 */     GIR_EraseRootFromParent_Done,
     /* 1344955 */   // Label 19113: @1344955
     /* 1344955 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1345052), // Rule ID 6865 //
     /* 1344960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1344968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1344971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1344974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1344977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345010 */     // MIs[1] Operand 1
     /* 1345010 */     // No operand predicates
     /* 1345010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345014 */     // MIs[0] policy
     /* 1345014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1345029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1345048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345051 */     // GIR_Coverage, 6865,
     /* 1345051 */     GIR_EraseRootFromParent_Done,
     /* 1345052 */   // Label 19114: @1345052
     /* 1345052 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1345149), // Rule ID 6868 //
     /* 1345057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1345068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1345071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345107 */     // MIs[1] Operand 1
     /* 1345107 */     // No operand predicates
     /* 1345107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345111 */     // MIs[0] policy
     /* 1345111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1345123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1345126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345148 */     // GIR_Coverage, 6868,
     /* 1345148 */     GIR_EraseRootFromParent_Done,
     /* 1345149 */   // Label 19115: @1345149
     /* 1345149 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1345246), // Rule ID 6869 //
     /* 1345154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1345165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1345168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345204 */     // MIs[1] Operand 1
     /* 1345204 */     // No operand predicates
     /* 1345204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345208 */     // MIs[0] policy
     /* 1345208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1345223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345245 */     // GIR_Coverage, 6869,
     /* 1345245 */     GIR_EraseRootFromParent_Done,
     /* 1345246 */   // Label 19116: @1345246
     /* 1345246 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1345343), // Rule ID 6872 //
     /* 1345251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1345262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1345265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345301 */     // MIs[1] Operand 1
     /* 1345301 */     // No operand predicates
     /* 1345301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345305 */     // MIs[0] policy
     /* 1345305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1345317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1345320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345342 */     // GIR_Coverage, 6872,
     /* 1345342 */     GIR_EraseRootFromParent_Done,
     /* 1345343 */   // Label 19117: @1345343
     /* 1345343 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1345440), // Rule ID 6873 //
     /* 1345348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1345359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1345362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345398 */     // MIs[1] Operand 1
     /* 1345398 */     // No operand predicates
     /* 1345398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345402 */     // MIs[0] policy
     /* 1345402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1345417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345439 */     // GIR_Coverage, 6873,
     /* 1345439 */     GIR_EraseRootFromParent_Done,
     /* 1345440 */   // Label 19118: @1345440
     /* 1345440 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1345537), // Rule ID 6876 //
     /* 1345445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1345456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1345459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345495 */     // MIs[1] Operand 1
     /* 1345495 */     // No operand predicates
     /* 1345495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345499 */     // MIs[0] policy
     /* 1345499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1345511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1345514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345536 */     // GIR_Coverage, 6876,
     /* 1345536 */     GIR_EraseRootFromParent_Done,
     /* 1345537 */   // Label 19119: @1345537
     /* 1345537 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1345634), // Rule ID 6877 //
     /* 1345542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1345553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1345556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345592 */     // MIs[1] Operand 1
     /* 1345592 */     // No operand predicates
     /* 1345592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345596 */     // MIs[0] policy
     /* 1345596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1345611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345633 */     // GIR_Coverage, 6877,
     /* 1345633 */     GIR_EraseRootFromParent_Done,
     /* 1345634 */   // Label 19120: @1345634
     /* 1345634 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1345731), // Rule ID 6880 //
     /* 1345639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1345650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1345653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1345656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345689 */     // MIs[1] Operand 1
     /* 1345689 */     // No operand predicates
     /* 1345689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345693 */     // MIs[0] policy
     /* 1345693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1345705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1345708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1345727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345730 */     // GIR_Coverage, 6880,
     /* 1345730 */     GIR_EraseRootFromParent_Done,
     /* 1345731 */   // Label 19121: @1345731
     /* 1345731 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1345828), // Rule ID 6881 //
     /* 1345736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1345747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1345750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1345753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345786 */     // MIs[1] Operand 1
     /* 1345786 */     // No operand predicates
     /* 1345786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345790 */     // MIs[0] policy
     /* 1345790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1345805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1345824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345827 */     // GIR_Coverage, 6881,
     /* 1345827 */     GIR_EraseRootFromParent_Done,
     /* 1345828 */   // Label 19122: @1345828
     /* 1345828 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1345925), // Rule ID 6884 //
     /* 1345833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1345844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1345847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345883 */     // MIs[1] Operand 1
     /* 1345883 */     // No operand predicates
     /* 1345883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345887 */     // MIs[0] policy
     /* 1345887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1345899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1345902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1345911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1345923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345924 */     // GIR_Coverage, 6884,
     /* 1345924 */     GIR_EraseRootFromParent_Done,
     /* 1345925 */   // Label 19123: @1345925
     /* 1345925 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1346022), // Rule ID 6885 //
     /* 1345930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1345938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1345941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1345944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1345950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1345972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1345976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1345980 */     // MIs[1] Operand 1
     /* 1345980 */     // No operand predicates
     /* 1345980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345984 */     // MIs[0] policy
     /* 1345984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1345987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1345989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1345996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1345999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346021 */     // GIR_Coverage, 6885,
     /* 1346021 */     GIR_EraseRootFromParent_Done,
     /* 1346022 */   // Label 19124: @1346022
     /* 1346022 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1346119), // Rule ID 6888 //
     /* 1346027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1346038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1346041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346077 */     // MIs[1] Operand 1
     /* 1346077 */     // No operand predicates
     /* 1346077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346081 */     // MIs[0] policy
     /* 1346081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1346093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1346096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346118 */     // GIR_Coverage, 6888,
     /* 1346118 */     GIR_EraseRootFromParent_Done,
     /* 1346119 */   // Label 19125: @1346119
     /* 1346119 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1346216), // Rule ID 6889 //
     /* 1346124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1346135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1346138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346174 */     // MIs[1] Operand 1
     /* 1346174 */     // No operand predicates
     /* 1346174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346178 */     // MIs[0] policy
     /* 1346178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1346190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1346193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346215 */     // GIR_Coverage, 6889,
     /* 1346215 */     GIR_EraseRootFromParent_Done,
     /* 1346216 */   // Label 19126: @1346216
     /* 1346216 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1346313), // Rule ID 6892 //
     /* 1346221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1346224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1346232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1346235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346271 */     // MIs[1] Operand 1
     /* 1346271 */     // No operand predicates
     /* 1346271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346275 */     // MIs[0] policy
     /* 1346275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1346287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1346290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346312 */     // GIR_Coverage, 6892,
     /* 1346312 */     GIR_EraseRootFromParent_Done,
     /* 1346313 */   // Label 19127: @1346313
     /* 1346313 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1346410), // Rule ID 6893 //
     /* 1346318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1346321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1346329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1346332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346368 */     // MIs[1] Operand 1
     /* 1346368 */     // No operand predicates
     /* 1346368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346372 */     // MIs[0] policy
     /* 1346372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1346384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1346387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346409 */     // GIR_Coverage, 6893,
     /* 1346409 */     GIR_EraseRootFromParent_Done,
     /* 1346410 */   // Label 19128: @1346410
     /* 1346410 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1346507), // Rule ID 6896 //
     /* 1346415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1346426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1346429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1346432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346465 */     // MIs[1] Operand 1
     /* 1346465 */     // No operand predicates
     /* 1346465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346469 */     // MIs[0] policy
     /* 1346469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346481 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1346481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1346484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346506 */     // GIR_Coverage, 6896,
     /* 1346506 */     GIR_EraseRootFromParent_Done,
     /* 1346507 */   // Label 19129: @1346507
     /* 1346507 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1346604), // Rule ID 6897 //
     /* 1346512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1346523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1346526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1346529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346562 */     // MIs[1] Operand 1
     /* 1346562 */     // No operand predicates
     /* 1346562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346566 */     // MIs[0] policy
     /* 1346566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1346578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1346581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346603 */     // GIR_Coverage, 6897,
     /* 1346603 */     GIR_EraseRootFromParent_Done,
     /* 1346604 */   // Label 19130: @1346604
     /* 1346604 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1346701), // Rule ID 6900 //
     /* 1346609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1346620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1346623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1346626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346659 */     // MIs[1] Operand 1
     /* 1346659 */     // No operand predicates
     /* 1346659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346663 */     // MIs[0] policy
     /* 1346663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1346675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1346678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346700 */     // GIR_Coverage, 6900,
     /* 1346700 */     GIR_EraseRootFromParent_Done,
     /* 1346701 */   // Label 19131: @1346701
     /* 1346701 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1346798), // Rule ID 6901 //
     /* 1346706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1346717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1346720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1346723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346756 */     // MIs[1] Operand 1
     /* 1346756 */     // No operand predicates
     /* 1346756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346760 */     // MIs[0] policy
     /* 1346760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1346772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1346775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346797 */     // GIR_Coverage, 6901,
     /* 1346797 */     GIR_EraseRootFromParent_Done,
     /* 1346798 */   // Label 19132: @1346798
     /* 1346798 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1346895), // Rule ID 6904 //
     /* 1346803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1346814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1346817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1346820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1346823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1346826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346853 */     // MIs[1] Operand 1
     /* 1346853 */     // No operand predicates
     /* 1346853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346857 */     // MIs[0] policy
     /* 1346857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1346869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1346872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346894 */     // GIR_Coverage, 6904,
     /* 1346894 */     GIR_EraseRootFromParent_Done,
     /* 1346895 */   // Label 19133: @1346895
     /* 1346895 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1346992), // Rule ID 6905 //
     /* 1346900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1346908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1346911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1346914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1346917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1346923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1346942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1346946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1346950 */     // MIs[1] Operand 1
     /* 1346950 */     // No operand predicates
     /* 1346950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346954 */     // MIs[0] policy
     /* 1346954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1346957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1346959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1346966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1346969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1346978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1346990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346991 */     // GIR_Coverage, 6905,
     /* 1346991 */     GIR_EraseRootFromParent_Done,
     /* 1346992 */   // Label 19134: @1346992
     /* 1346992 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1347089), // Rule ID 6908 //
     /* 1346997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1347008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1347011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347047 */     // MIs[1] Operand 1
     /* 1347047 */     // No operand predicates
     /* 1347047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347051 */     // MIs[0] policy
     /* 1347051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1347063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1347066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347088 */     // GIR_Coverage, 6908,
     /* 1347088 */     GIR_EraseRootFromParent_Done,
     /* 1347089 */   // Label 19135: @1347089
     /* 1347089 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1347186), // Rule ID 6909 //
     /* 1347094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1347105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1347108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1347111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347144 */     // MIs[1] Operand 1
     /* 1347144 */     // No operand predicates
     /* 1347144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347148 */     // MIs[0] policy
     /* 1347148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1347160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1347163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347185 */     // GIR_Coverage, 6909,
     /* 1347185 */     GIR_EraseRootFromParent_Done,
     /* 1347186 */   // Label 19136: @1347186
     /* 1347186 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1347283), // Rule ID 6912 //
     /* 1347191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1347202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1347205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347241 */     // MIs[1] Operand 1
     /* 1347241 */     // No operand predicates
     /* 1347241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347245 */     // MIs[0] policy
     /* 1347245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1347257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1347260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347282 */     // GIR_Coverage, 6912,
     /* 1347282 */     GIR_EraseRootFromParent_Done,
     /* 1347283 */   // Label 19137: @1347283
     /* 1347283 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1347380), // Rule ID 6913 //
     /* 1347288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1347299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1347302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347338 */     // MIs[1] Operand 1
     /* 1347338 */     // No operand predicates
     /* 1347338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347342 */     // MIs[0] policy
     /* 1347342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1347354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1347357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347379 */     // GIR_Coverage, 6913,
     /* 1347379 */     GIR_EraseRootFromParent_Done,
     /* 1347380 */   // Label 19138: @1347380
     /* 1347380 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1347477), // Rule ID 6916 //
     /* 1347385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1347396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1347399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347435 */     // MIs[1] Operand 1
     /* 1347435 */     // No operand predicates
     /* 1347435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347439 */     // MIs[0] policy
     /* 1347439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347451 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1347451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1347454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347476 */     // GIR_Coverage, 6916,
     /* 1347476 */     GIR_EraseRootFromParent_Done,
     /* 1347477 */   // Label 19139: @1347477
     /* 1347477 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1347574), // Rule ID 6917 //
     /* 1347482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1347493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1347496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347532 */     // MIs[1] Operand 1
     /* 1347532 */     // No operand predicates
     /* 1347532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347536 */     // MIs[0] policy
     /* 1347536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1347548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1347551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347573 */     // GIR_Coverage, 6917,
     /* 1347573 */     GIR_EraseRootFromParent_Done,
     /* 1347574 */   // Label 19140: @1347574
     /* 1347574 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1347671), // Rule ID 6920 //
     /* 1347579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1347590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1347593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347629 */     // MIs[1] Operand 1
     /* 1347629 */     // No operand predicates
     /* 1347629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347633 */     // MIs[0] policy
     /* 1347633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1347645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1347648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347670 */     // GIR_Coverage, 6920,
     /* 1347670 */     GIR_EraseRootFromParent_Done,
     /* 1347671 */   // Label 19141: @1347671
     /* 1347671 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1347768), // Rule ID 6921 //
     /* 1347676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1347687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1347690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347726 */     // MIs[1] Operand 1
     /* 1347726 */     // No operand predicates
     /* 1347726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347730 */     // MIs[0] policy
     /* 1347730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1347742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1347745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347767 */     // GIR_Coverage, 6921,
     /* 1347767 */     GIR_EraseRootFromParent_Done,
     /* 1347768 */   // Label 19142: @1347768
     /* 1347768 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1347865), // Rule ID 6924 //
     /* 1347773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1347784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1347787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347823 */     // MIs[1] Operand 1
     /* 1347823 */     // No operand predicates
     /* 1347823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347827 */     // MIs[0] policy
     /* 1347827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1347839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1347842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347864 */     // GIR_Coverage, 6924,
     /* 1347864 */     GIR_EraseRootFromParent_Done,
     /* 1347865 */   // Label 19143: @1347865
     /* 1347865 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1347962), // Rule ID 6925 //
     /* 1347870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1347881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1347884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1347912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1347916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1347920 */     // MIs[1] Operand 1
     /* 1347920 */     // No operand predicates
     /* 1347920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347924 */     // MIs[0] policy
     /* 1347924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1347927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1347929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1347936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1347939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1347948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1347960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347961 */     // GIR_Coverage, 6925,
     /* 1347961 */     GIR_EraseRootFromParent_Done,
     /* 1347962 */   // Label 19144: @1347962
     /* 1347962 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1348059), // Rule ID 6928 //
     /* 1347967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1347975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1347978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1347981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348017 */     // MIs[1] Operand 1
     /* 1348017 */     // No operand predicates
     /* 1348017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348021 */     // MIs[0] policy
     /* 1348021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1348033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1348036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348058 */     // GIR_Coverage, 6928,
     /* 1348058 */     GIR_EraseRootFromParent_Done,
     /* 1348059 */   // Label 19145: @1348059
     /* 1348059 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1348156), // Rule ID 6929 //
     /* 1348064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1348075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1348078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1348081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1348087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348114 */     // MIs[1] Operand 1
     /* 1348114 */     // No operand predicates
     /* 1348114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348118 */     // MIs[0] policy
     /* 1348118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1348130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1348133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348155 */     // GIR_Coverage, 6929,
     /* 1348155 */     GIR_EraseRootFromParent_Done,
     /* 1348156 */   // Label 19146: @1348156
     /* 1348156 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1348253), // Rule ID 6932 //
     /* 1348161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1348164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1348172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1348175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1348191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348211 */     // MIs[1] Operand 1
     /* 1348211 */     // No operand predicates
     /* 1348211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348215 */     // MIs[0] policy
     /* 1348215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1348227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1348230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348252 */     // GIR_Coverage, 6932,
     /* 1348252 */     GIR_EraseRootFromParent_Done,
     /* 1348253 */   // Label 19147: @1348253
     /* 1348253 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1348350), // Rule ID 6933 //
     /* 1348258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1348261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1348269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1348272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1348275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1348288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1348296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348308 */     // MIs[1] Operand 1
     /* 1348308 */     // No operand predicates
     /* 1348308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348312 */     // MIs[0] policy
     /* 1348312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1348324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1348327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348349 */     // GIR_Coverage, 6933,
     /* 1348349 */     GIR_EraseRootFromParent_Done,
     /* 1348350 */   // Label 19148: @1348350
     /* 1348350 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1348447), // Rule ID 6936 //
     /* 1348355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1348358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1348366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1348369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1348385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348405 */     // MIs[1] Operand 1
     /* 1348405 */     // No operand predicates
     /* 1348405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348409 */     // MIs[0] policy
     /* 1348409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1348421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1348424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348446 */     // GIR_Coverage, 6936,
     /* 1348446 */     GIR_EraseRootFromParent_Done,
     /* 1348447 */   // Label 19149: @1348447
     /* 1348447 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1348544), // Rule ID 6937 //
     /* 1348452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1348455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1348463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1348466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1348469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1348482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1348490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348502 */     // MIs[1] Operand 1
     /* 1348502 */     // No operand predicates
     /* 1348502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348506 */     // MIs[0] policy
     /* 1348506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1348518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1348521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348543 */     // GIR_Coverage, 6937,
     /* 1348543 */     GIR_EraseRootFromParent_Done,
     /* 1348544 */   // Label 19150: @1348544
     /* 1348544 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1348641), // Rule ID 6940 //
     /* 1348549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1348552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1348560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1348563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348599 */     // MIs[1] Operand 1
     /* 1348599 */     // No operand predicates
     /* 1348599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348603 */     // MIs[0] policy
     /* 1348603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1348615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1348618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348640 */     // GIR_Coverage, 6940,
     /* 1348640 */     GIR_EraseRootFromParent_Done,
     /* 1348641 */   // Label 19151: @1348641
     /* 1348641 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1348738), // Rule ID 6941 //
     /* 1348646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1348649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1348654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1348657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1348660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348696 */     // MIs[1] Operand 1
     /* 1348696 */     // No operand predicates
     /* 1348696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348700 */     // MIs[0] policy
     /* 1348700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1348712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1348715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348737 */     // GIR_Coverage, 6941,
     /* 1348737 */     GIR_EraseRootFromParent_Done,
     /* 1348738 */   // Label 19152: @1348738
     /* 1348738 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1348835), // Rule ID 7120 //
     /* 1348743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1348751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1348754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1348757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1348760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348793 */     // MIs[1] Operand 1
     /* 1348793 */     // No operand predicates
     /* 1348793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348797 */     // MIs[0] policy
     /* 1348797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348809 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1348809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1348812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348834 */     // GIR_Coverage, 7120,
     /* 1348834 */     GIR_EraseRootFromParent_Done,
     /* 1348835 */   // Label 19153: @1348835
     /* 1348835 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1348932), // Rule ID 7121 //
     /* 1348840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1348848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1348851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1348854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1348857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348890 */     // MIs[1] Operand 1
     /* 1348890 */     // No operand predicates
     /* 1348890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348894 */     // MIs[0] policy
     /* 1348894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348906 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1348906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1348909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1348918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1348930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348931 */     // GIR_Coverage, 7121,
     /* 1348931 */     GIR_EraseRootFromParent_Done,
     /* 1348932 */   // Label 19154: @1348932
     /* 1348932 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1349029), // Rule ID 7124 //
     /* 1348937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1348945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1348948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1348951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1348954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1348979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1348983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1348987 */     // MIs[1] Operand 1
     /* 1348987 */     // No operand predicates
     /* 1348987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348991 */     // MIs[0] policy
     /* 1348991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1348994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1348996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1349006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349028 */     // GIR_Coverage, 7124,
     /* 1349028 */     GIR_EraseRootFromParent_Done,
     /* 1349029 */   // Label 19155: @1349029
     /* 1349029 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1349126), // Rule ID 7125 //
     /* 1349034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1349045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1349048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1349051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349084 */     // MIs[1] Operand 1
     /* 1349084 */     // No operand predicates
     /* 1349084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349088 */     // MIs[0] policy
     /* 1349088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349100 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1349100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1349103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349125 */     // GIR_Coverage, 7125,
     /* 1349125 */     GIR_EraseRootFromParent_Done,
     /* 1349126 */   // Label 19156: @1349126
     /* 1349126 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1349223), // Rule ID 7128 //
     /* 1349131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1349142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1349145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1349148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349181 */     // MIs[1] Operand 1
     /* 1349181 */     // No operand predicates
     /* 1349181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349185 */     // MIs[0] policy
     /* 1349185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349222 */     // GIR_Coverage, 7128,
     /* 1349222 */     GIR_EraseRootFromParent_Done,
     /* 1349223 */   // Label 19157: @1349223
     /* 1349223 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1349320), // Rule ID 7129 //
     /* 1349228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1349239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1349242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1349245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349278 */     // MIs[1] Operand 1
     /* 1349278 */     // No operand predicates
     /* 1349278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349282 */     // MIs[0] policy
     /* 1349282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349294 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1349294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349319 */     // GIR_Coverage, 7129,
     /* 1349319 */     GIR_EraseRootFromParent_Done,
     /* 1349320 */   // Label 19158: @1349320
     /* 1349320 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1349417), // Rule ID 7132 //
     /* 1349325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349375 */     // MIs[1] Operand 1
     /* 1349375 */     // No operand predicates
     /* 1349375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349379 */     // MIs[0] policy
     /* 1349379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349391 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1349394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349416 */     // GIR_Coverage, 7132,
     /* 1349416 */     GIR_EraseRootFromParent_Done,
     /* 1349417 */   // Label 19159: @1349417
     /* 1349417 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1349514), // Rule ID 7133 //
     /* 1349422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1349433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1349436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1349439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349472 */     // MIs[1] Operand 1
     /* 1349472 */     // No operand predicates
     /* 1349472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349476 */     // MIs[0] policy
     /* 1349476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1349488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1349491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349513 */     // GIR_Coverage, 7133,
     /* 1349513 */     GIR_EraseRootFromParent_Done,
     /* 1349514 */   // Label 19160: @1349514
     /* 1349514 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1349611), // Rule ID 7136 //
     /* 1349519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349569 */     // MIs[1] Operand 1
     /* 1349569 */     // No operand predicates
     /* 1349569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349573 */     // MIs[0] policy
     /* 1349573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349610 */     // GIR_Coverage, 7136,
     /* 1349610 */     GIR_EraseRootFromParent_Done,
     /* 1349611 */   // Label 19161: @1349611
     /* 1349611 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1349708), // Rule ID 7137 //
     /* 1349616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1349627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1349630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1349633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349666 */     // MIs[1] Operand 1
     /* 1349666 */     // No operand predicates
     /* 1349666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349670 */     // MIs[0] policy
     /* 1349670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349682 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1349682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349707 */     // GIR_Coverage, 7137,
     /* 1349707 */     GIR_EraseRootFromParent_Done,
     /* 1349708 */   // Label 19162: @1349708
     /* 1349708 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1349805), // Rule ID 7140 //
     /* 1349713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1349724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1349727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349763 */     // MIs[1] Operand 1
     /* 1349763 */     // No operand predicates
     /* 1349763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349767 */     // MIs[0] policy
     /* 1349767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349804 */     // GIR_Coverage, 7140,
     /* 1349804 */     GIR_EraseRootFromParent_Done,
     /* 1349805 */   // Label 19163: @1349805
     /* 1349805 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1349902), // Rule ID 7141 //
     /* 1349810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1349821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1349824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349860 */     // MIs[1] Operand 1
     /* 1349860 */     // No operand predicates
     /* 1349860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349864 */     // MIs[0] policy
     /* 1349864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1349876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1349879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349901 */     // GIR_Coverage, 7141,
     /* 1349901 */     GIR_EraseRootFromParent_Done,
     /* 1349902 */   // Label 19164: @1349902
     /* 1349902 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1349999), // Rule ID 7144 //
     /* 1349907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1349915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1349924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1349949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1349953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1349957 */     // MIs[1] Operand 1
     /* 1349957 */     // No operand predicates
     /* 1349957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349961 */     // MIs[0] policy
     /* 1349961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1349964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1349966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349973 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1349973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1349976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1349985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1349997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349998 */     // GIR_Coverage, 7144,
     /* 1349998 */     GIR_EraseRootFromParent_Done,
     /* 1349999 */   // Label 19165: @1349999
     /* 1349999 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1350096), // Rule ID 7145 //
     /* 1350004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1350015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1350018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1350021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350054 */     // MIs[1] Operand 1
     /* 1350054 */     // No operand predicates
     /* 1350054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350058 */     // MIs[0] policy
     /* 1350058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1350070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350095 */     // GIR_Coverage, 7145,
     /* 1350095 */     GIR_EraseRootFromParent_Done,
     /* 1350096 */   // Label 19166: @1350096
     /* 1350096 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1350193), // Rule ID 7148 //
     /* 1350101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350151 */     // MIs[1] Operand 1
     /* 1350151 */     // No operand predicates
     /* 1350151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350155 */     // MIs[0] policy
     /* 1350155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1350167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350192 */     // GIR_Coverage, 7148,
     /* 1350192 */     GIR_EraseRootFromParent_Done,
     /* 1350193 */   // Label 19167: @1350193
     /* 1350193 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1350290), // Rule ID 7149 //
     /* 1350198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1350215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350248 */     // MIs[1] Operand 1
     /* 1350248 */     // No operand predicates
     /* 1350248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350252 */     // MIs[0] policy
     /* 1350252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1350264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350289 */     // GIR_Coverage, 7149,
     /* 1350289 */     GIR_EraseRootFromParent_Done,
     /* 1350290 */   // Label 19168: @1350290
     /* 1350290 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1350387), // Rule ID 7152 //
     /* 1350295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350345 */     // MIs[1] Operand 1
     /* 1350345 */     // No operand predicates
     /* 1350345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350349 */     // MIs[0] policy
     /* 1350349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1350361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350386 */     // GIR_Coverage, 7152,
     /* 1350386 */     GIR_EraseRootFromParent_Done,
     /* 1350387 */   // Label 19169: @1350387
     /* 1350387 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1350484), // Rule ID 7153 //
     /* 1350392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1350409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350442 */     // MIs[1] Operand 1
     /* 1350442 */     // No operand predicates
     /* 1350442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350446 */     // MIs[0] policy
     /* 1350446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1350458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350483 */     // GIR_Coverage, 7153,
     /* 1350483 */     GIR_EraseRootFromParent_Done,
     /* 1350484 */   // Label 19170: @1350484
     /* 1350484 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1350581), // Rule ID 7156 //
     /* 1350489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1350492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1350500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1350503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1350506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350539 */     // MIs[1] Operand 1
     /* 1350539 */     // No operand predicates
     /* 1350539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350543 */     // MIs[0] policy
     /* 1350543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1350555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350580 */     // GIR_Coverage, 7156,
     /* 1350580 */     GIR_EraseRootFromParent_Done,
     /* 1350581 */   // Label 19171: @1350581
     /* 1350581 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1350678), // Rule ID 7157 //
     /* 1350586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1350589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1350597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1350600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1350603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350636 */     // MIs[1] Operand 1
     /* 1350636 */     // No operand predicates
     /* 1350636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350640 */     // MIs[0] policy
     /* 1350640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1350652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1350655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350677 */     // GIR_Coverage, 7157,
     /* 1350677 */     GIR_EraseRootFromParent_Done,
     /* 1350678 */   // Label 19172: @1350678
     /* 1350678 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1350775), // Rule ID 7160 //
     /* 1350683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1350694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1350697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1350700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350733 */     // MIs[1] Operand 1
     /* 1350733 */     // No operand predicates
     /* 1350733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350737 */     // MIs[0] policy
     /* 1350737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1350749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1350752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350774 */     // GIR_Coverage, 7160,
     /* 1350774 */     GIR_EraseRootFromParent_Done,
     /* 1350775 */   // Label 19173: @1350775
     /* 1350775 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1350872), // Rule ID 7161 //
     /* 1350780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1350791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1350794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1350797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350830 */     // MIs[1] Operand 1
     /* 1350830 */     // No operand predicates
     /* 1350830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350834 */     // MIs[0] policy
     /* 1350834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1350846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1350849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350871 */     // GIR_Coverage, 7161,
     /* 1350871 */     GIR_EraseRootFromParent_Done,
     /* 1350872 */   // Label 19174: @1350872
     /* 1350872 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1350969), // Rule ID 7164 //
     /* 1350877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1350888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1350891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1350894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1350907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1350919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1350923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1350927 */     // MIs[1] Operand 1
     /* 1350927 */     // No operand predicates
     /* 1350927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350931 */     // MIs[0] policy
     /* 1350931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1350934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1350936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1350943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1350946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1350955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1350967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350968 */     // GIR_Coverage, 7164,
     /* 1350968 */     GIR_EraseRootFromParent_Done,
     /* 1350969 */   // Label 19175: @1350969
     /* 1350969 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1351066), // Rule ID 7165 //
     /* 1350974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1350982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1350985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1350988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1350991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351024 */     // MIs[1] Operand 1
     /* 1351024 */     // No operand predicates
     /* 1351024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351028 */     // MIs[0] policy
     /* 1351028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351040 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1351040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1351043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1351062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351065 */     // GIR_Coverage, 7165,
     /* 1351065 */     GIR_EraseRootFromParent_Done,
     /* 1351066 */   // Label 19176: @1351066
     /* 1351066 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1351163), // Rule ID 7168 //
     /* 1351071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1351082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1351085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1351088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1351094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351121 */     // MIs[1] Operand 1
     /* 1351121 */     // No operand predicates
     /* 1351121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351125 */     // MIs[0] policy
     /* 1351125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351137 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1351137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1351140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1351159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351162 */     // GIR_Coverage, 7168,
     /* 1351162 */     GIR_EraseRootFromParent_Done,
     /* 1351163 */   // Label 19177: @1351163
     /* 1351163 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1351260), // Rule ID 7169 //
     /* 1351168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1351179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1351182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1351185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1351191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351218 */     // MIs[1] Operand 1
     /* 1351218 */     // No operand predicates
     /* 1351218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351222 */     // MIs[0] policy
     /* 1351222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1351234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1351237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1351256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351259 */     // GIR_Coverage, 7169,
     /* 1351259 */     GIR_EraseRootFromParent_Done,
     /* 1351260 */   // Label 19178: @1351260
     /* 1351260 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1351357), // Rule ID 7172 //
     /* 1351265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351315 */     // MIs[1] Operand 1
     /* 1351315 */     // No operand predicates
     /* 1351315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351319 */     // MIs[0] policy
     /* 1351319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1351331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1351334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351356 */     // GIR_Coverage, 7172,
     /* 1351356 */     GIR_EraseRootFromParent_Done,
     /* 1351357 */   // Label 19179: @1351357
     /* 1351357 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1351454), // Rule ID 7173 //
     /* 1351362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1351373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1351376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351412 */     // MIs[1] Operand 1
     /* 1351412 */     // No operand predicates
     /* 1351412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351416 */     // MIs[0] policy
     /* 1351416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1351428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1351431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351453 */     // GIR_Coverage, 7173,
     /* 1351453 */     GIR_EraseRootFromParent_Done,
     /* 1351454 */   // Label 19180: @1351454
     /* 1351454 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1351551), // Rule ID 7176 //
     /* 1351459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351509 */     // MIs[1] Operand 1
     /* 1351509 */     // No operand predicates
     /* 1351509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351513 */     // MIs[0] policy
     /* 1351513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1351525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1351528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351550 */     // GIR_Coverage, 7176,
     /* 1351550 */     GIR_EraseRootFromParent_Done,
     /* 1351551 */   // Label 19181: @1351551
     /* 1351551 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1351648), // Rule ID 7177 //
     /* 1351556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1351567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1351570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351606 */     // MIs[1] Operand 1
     /* 1351606 */     // No operand predicates
     /* 1351606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351610 */     // MIs[0] policy
     /* 1351610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1351622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1351625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351647 */     // GIR_Coverage, 7177,
     /* 1351647 */     GIR_EraseRootFromParent_Done,
     /* 1351648 */   // Label 19182: @1351648
     /* 1351648 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1351745), // Rule ID 7180 //
     /* 1351653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1351664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1351667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1351670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1351676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351703 */     // MIs[1] Operand 1
     /* 1351703 */     // No operand predicates
     /* 1351703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351707 */     // MIs[0] policy
     /* 1351707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1351719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1351722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351744 */     // GIR_Coverage, 7180,
     /* 1351744 */     GIR_EraseRootFromParent_Done,
     /* 1351745 */   // Label 19183: @1351745
     /* 1351745 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1351842), // Rule ID 7181 //
     /* 1351750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1351761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1351764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1351767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1351773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351800 */     // MIs[1] Operand 1
     /* 1351800 */     // No operand predicates
     /* 1351800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351804 */     // MIs[0] policy
     /* 1351804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1351816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1351819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351841 */     // GIR_Coverage, 7181,
     /* 1351841 */     GIR_EraseRootFromParent_Done,
     /* 1351842 */   // Label 19184: @1351842
     /* 1351842 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1351939), // Rule ID 7184 //
     /* 1351847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351897 */     // MIs[1] Operand 1
     /* 1351897 */     // No operand predicates
     /* 1351897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351901 */     // MIs[0] policy
     /* 1351901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1351904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1351906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1351913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1351916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1351925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1351937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351938 */     // GIR_Coverage, 7184,
     /* 1351938 */     GIR_EraseRootFromParent_Done,
     /* 1351939 */   // Label 19185: @1351939
     /* 1351939 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1352036), // Rule ID 7185 //
     /* 1351944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1351952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1351986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1351990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1351994 */     // MIs[1] Operand 1
     /* 1351994 */     // No operand predicates
     /* 1351994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351998 */     // MIs[0] policy
     /* 1351998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1352013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352035 */     // GIR_Coverage, 7185,
     /* 1352035 */     GIR_EraseRootFromParent_Done,
     /* 1352036 */   // Label 19186: @1352036
     /* 1352036 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1352133), // Rule ID 7188 //
     /* 1352041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352091 */     // MIs[1] Operand 1
     /* 1352091 */     // No operand predicates
     /* 1352091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352095 */     // MIs[0] policy
     /* 1352095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1352107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1352110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352132 */     // GIR_Coverage, 7188,
     /* 1352132 */     GIR_EraseRootFromParent_Done,
     /* 1352133 */   // Label 19187: @1352133
     /* 1352133 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1352230), // Rule ID 7189 //
     /* 1352138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1352149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1352152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352188 */     // MIs[1] Operand 1
     /* 1352188 */     // No operand predicates
     /* 1352188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352192 */     // MIs[0] policy
     /* 1352192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1352207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352229 */     // GIR_Coverage, 7189,
     /* 1352229 */     GIR_EraseRootFromParent_Done,
     /* 1352230 */   // Label 19188: @1352230
     /* 1352230 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1352327), // Rule ID 7192 //
     /* 1352235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1352246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1352249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352285 */     // MIs[1] Operand 1
     /* 1352285 */     // No operand predicates
     /* 1352285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352289 */     // MIs[0] policy
     /* 1352289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352301 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1352301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1352304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352326 */     // GIR_Coverage, 7192,
     /* 1352326 */     GIR_EraseRootFromParent_Done,
     /* 1352327 */   // Label 19189: @1352327
     /* 1352327 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1352424), // Rule ID 7193 //
     /* 1352332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1352343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1352346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352382 */     // MIs[1] Operand 1
     /* 1352382 */     // No operand predicates
     /* 1352382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352386 */     // MIs[0] policy
     /* 1352386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1352401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352423 */     // GIR_Coverage, 7193,
     /* 1352423 */     GIR_EraseRootFromParent_Done,
     /* 1352424 */   // Label 19190: @1352424
     /* 1352424 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1352521), // Rule ID 7196 //
     /* 1352429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1352432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352479 */     // MIs[1] Operand 1
     /* 1352479 */     // No operand predicates
     /* 1352479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352483 */     // MIs[0] policy
     /* 1352483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352495 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1352495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1352498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352520 */     // GIR_Coverage, 7196,
     /* 1352520 */     GIR_EraseRootFromParent_Done,
     /* 1352521 */   // Label 19191: @1352521
     /* 1352521 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1352618), // Rule ID 7197 //
     /* 1352526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1352529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352576 */     // MIs[1] Operand 1
     /* 1352576 */     // No operand predicates
     /* 1352576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352580 */     // MIs[0] policy
     /* 1352580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1352595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352617 */     // GIR_Coverage, 7197,
     /* 1352617 */     GIR_EraseRootFromParent_Done,
     /* 1352618 */   // Label 19192: @1352618
     /* 1352618 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1352715), // Rule ID 7200 //
     /* 1352623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1352626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352673 */     // MIs[1] Operand 1
     /* 1352673 */     // No operand predicates
     /* 1352673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352677 */     // MIs[0] policy
     /* 1352677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1352689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1352692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352714 */     // GIR_Coverage, 7200,
     /* 1352714 */     GIR_EraseRootFromParent_Done,
     /* 1352715 */   // Label 19193: @1352715
     /* 1352715 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1352812), // Rule ID 7201 //
     /* 1352720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1352723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352770 */     // MIs[1] Operand 1
     /* 1352770 */     // No operand predicates
     /* 1352770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352774 */     // MIs[0] policy
     /* 1352774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1352789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352811 */     // GIR_Coverage, 7201,
     /* 1352811 */     GIR_EraseRootFromParent_Done,
     /* 1352812 */   // Label 19194: @1352812
     /* 1352812 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1352909), // Rule ID 7204 //
     /* 1352817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1352820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352867 */     // MIs[1] Operand 1
     /* 1352867 */     // No operand predicates
     /* 1352867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352871 */     // MIs[0] policy
     /* 1352871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1352883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1352886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1352907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352908 */     // GIR_Coverage, 7204,
     /* 1352908 */     GIR_EraseRootFromParent_Done,
     /* 1352909 */   // Label 19195: @1352909
     /* 1352909 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1353006), // Rule ID 7205 //
     /* 1352914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1352917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1352922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1352956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1352960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1352964 */     // MIs[1] Operand 1
     /* 1352964 */     // No operand predicates
     /* 1352964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352968 */     // MIs[0] policy
     /* 1352968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1352971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1352973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1352980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1352983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1352992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353005 */     // GIR_Coverage, 7205,
     /* 1353005 */     GIR_EraseRootFromParent_Done,
     /* 1353006 */   // Label 19196: @1353006
     /* 1353006 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1353103), // Rule ID 7416 //
     /* 1353011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1353022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1353025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353061 */     // MIs[1] Operand 1
     /* 1353061 */     // No operand predicates
     /* 1353061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353065 */     // MIs[0] policy
     /* 1353065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1353077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1353080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353102 */     // GIR_Coverage, 7416,
     /* 1353102 */     GIR_EraseRootFromParent_Done,
     /* 1353103 */   // Label 19197: @1353103
     /* 1353103 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1353200), // Rule ID 7417 //
     /* 1353108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1353119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1353122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353158 */     // MIs[1] Operand 1
     /* 1353158 */     // No operand predicates
     /* 1353158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353162 */     // MIs[0] policy
     /* 1353162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1353174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1353177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353199 */     // GIR_Coverage, 7417,
     /* 1353199 */     GIR_EraseRootFromParent_Done,
     /* 1353200 */   // Label 19198: @1353200
     /* 1353200 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1353297), // Rule ID 7420 //
     /* 1353205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1353216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1353219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353255 */     // MIs[1] Operand 1
     /* 1353255 */     // No operand predicates
     /* 1353255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353259 */     // MIs[0] policy
     /* 1353259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1353271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1353274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353296 */     // GIR_Coverage, 7420,
     /* 1353296 */     GIR_EraseRootFromParent_Done,
     /* 1353297 */   // Label 19199: @1353297
     /* 1353297 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1353394), // Rule ID 7421 //
     /* 1353302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1353313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1353316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353352 */     // MIs[1] Operand 1
     /* 1353352 */     // No operand predicates
     /* 1353352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353356 */     // MIs[0] policy
     /* 1353356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1353368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1353371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353393 */     // GIR_Coverage, 7421,
     /* 1353393 */     GIR_EraseRootFromParent_Done,
     /* 1353394 */   // Label 19200: @1353394
     /* 1353394 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1353491), // Rule ID 7424 //
     /* 1353399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1353410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1353413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353449 */     // MIs[1] Operand 1
     /* 1353449 */     // No operand predicates
     /* 1353449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353453 */     // MIs[0] policy
     /* 1353453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1353465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1353468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353490 */     // GIR_Coverage, 7424,
     /* 1353490 */     GIR_EraseRootFromParent_Done,
     /* 1353491 */   // Label 19201: @1353491
     /* 1353491 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1353588), // Rule ID 7425 //
     /* 1353496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1353507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1353510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353546 */     // MIs[1] Operand 1
     /* 1353546 */     // No operand predicates
     /* 1353546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353550 */     // MIs[0] policy
     /* 1353550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1353562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1353565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353587 */     // GIR_Coverage, 7425,
     /* 1353587 */     GIR_EraseRootFromParent_Done,
     /* 1353588 */   // Label 19202: @1353588
     /* 1353588 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1353685), // Rule ID 7428 //
     /* 1353593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1353610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353643 */     // MIs[1] Operand 1
     /* 1353643 */     // No operand predicates
     /* 1353643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353647 */     // MIs[0] policy
     /* 1353647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1353659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1353662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353684 */     // GIR_Coverage, 7428,
     /* 1353684 */     GIR_EraseRootFromParent_Done,
     /* 1353685 */   // Label 19203: @1353685
     /* 1353685 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1353782), // Rule ID 7429 //
     /* 1353690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1353707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353740 */     // MIs[1] Operand 1
     /* 1353740 */     // No operand predicates
     /* 1353740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353744 */     // MIs[0] policy
     /* 1353744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1353756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1353759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353781 */     // GIR_Coverage, 7429,
     /* 1353781 */     GIR_EraseRootFromParent_Done,
     /* 1353782 */   // Label 19204: @1353782
     /* 1353782 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1353879), // Rule ID 7432 //
     /* 1353787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1353798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1353801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1353804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353837 */     // MIs[1] Operand 1
     /* 1353837 */     // No operand predicates
     /* 1353837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353841 */     // MIs[0] policy
     /* 1353841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353853 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1353853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1353856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353878 */     // GIR_Coverage, 7432,
     /* 1353878 */     GIR_EraseRootFromParent_Done,
     /* 1353879 */   // Label 19205: @1353879
     /* 1353879 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1353976), // Rule ID 7433 //
     /* 1353884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1353895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1353898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1353901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1353914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1353926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1353930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1353934 */     // MIs[1] Operand 1
     /* 1353934 */     // No operand predicates
     /* 1353934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353938 */     // MIs[0] policy
     /* 1353938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1353941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1353943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1353950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1353953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1353962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1353974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353975 */     // GIR_Coverage, 7433,
     /* 1353975 */     GIR_EraseRootFromParent_Done,
     /* 1353976 */   // Label 19206: @1353976
     /* 1353976 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1354073), // Rule ID 7436 //
     /* 1353981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1353989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1353992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1353995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1353998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354031 */     // MIs[1] Operand 1
     /* 1354031 */     // No operand predicates
     /* 1354031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354035 */     // MIs[0] policy
     /* 1354035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1354047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1354050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354072 */     // GIR_Coverage, 7436,
     /* 1354072 */     GIR_EraseRootFromParent_Done,
     /* 1354073 */   // Label 19207: @1354073
     /* 1354073 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1354170), // Rule ID 7437 //
     /* 1354078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1354089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1354092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354128 */     // MIs[1] Operand 1
     /* 1354128 */     // No operand predicates
     /* 1354128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354132 */     // MIs[0] policy
     /* 1354132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1354144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1354147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354169 */     // GIR_Coverage, 7437,
     /* 1354169 */     GIR_EraseRootFromParent_Done,
     /* 1354170 */   // Label 19208: @1354170
     /* 1354170 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1354267), // Rule ID 7440 //
     /* 1354175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1354186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1354189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354225 */     // MIs[1] Operand 1
     /* 1354225 */     // No operand predicates
     /* 1354225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354229 */     // MIs[0] policy
     /* 1354229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354241 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1354241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1354244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354266 */     // GIR_Coverage, 7440,
     /* 1354266 */     GIR_EraseRootFromParent_Done,
     /* 1354267 */   // Label 19209: @1354267
     /* 1354267 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1354364), // Rule ID 7441 //
     /* 1354272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1354283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1354286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1354289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354322 */     // MIs[1] Operand 1
     /* 1354322 */     // No operand predicates
     /* 1354322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354326 */     // MIs[0] policy
     /* 1354326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1354338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1354341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354363 */     // GIR_Coverage, 7441,
     /* 1354363 */     GIR_EraseRootFromParent_Done,
     /* 1354364 */   // Label 19210: @1354364
     /* 1354364 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1354461), // Rule ID 7444 //
     /* 1354369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354419 */     // MIs[1] Operand 1
     /* 1354419 */     // No operand predicates
     /* 1354419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354423 */     // MIs[0] policy
     /* 1354423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354435 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1354435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1354438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354460 */     // GIR_Coverage, 7444,
     /* 1354460 */     GIR_EraseRootFromParent_Done,
     /* 1354461 */   // Label 19211: @1354461
     /* 1354461 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1354558), // Rule ID 7445 //
     /* 1354466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1354477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1354480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354516 */     // MIs[1] Operand 1
     /* 1354516 */     // No operand predicates
     /* 1354516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354520 */     // MIs[0] policy
     /* 1354520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1354532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1354535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354557 */     // GIR_Coverage, 7445,
     /* 1354557 */     GIR_EraseRootFromParent_Done,
     /* 1354558 */   // Label 19212: @1354558
     /* 1354558 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1354655), // Rule ID 7448 //
     /* 1354563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354613 */     // MIs[1] Operand 1
     /* 1354613 */     // No operand predicates
     /* 1354613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354617 */     // MIs[0] policy
     /* 1354617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354629 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1354629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1354632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354654 */     // GIR_Coverage, 7448,
     /* 1354654 */     GIR_EraseRootFromParent_Done,
     /* 1354655 */   // Label 19213: @1354655
     /* 1354655 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1354752), // Rule ID 7449 //
     /* 1354660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354710 */     // MIs[1] Operand 1
     /* 1354710 */     // No operand predicates
     /* 1354710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354714 */     // MIs[0] policy
     /* 1354714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1354726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1354729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354751 */     // GIR_Coverage, 7449,
     /* 1354751 */     GIR_EraseRootFromParent_Done,
     /* 1354752 */   // Label 19214: @1354752
     /* 1354752 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1354849), // Rule ID 7452 //
     /* 1354757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1354768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1354771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1354787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354807 */     // MIs[1] Operand 1
     /* 1354807 */     // No operand predicates
     /* 1354807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354811 */     // MIs[0] policy
     /* 1354811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354823 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1354823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1354826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354848 */     // GIR_Coverage, 7452,
     /* 1354848 */     GIR_EraseRootFromParent_Done,
     /* 1354849 */   // Label 19215: @1354849
     /* 1354849 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1354946), // Rule ID 7453 //
     /* 1354854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1354865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1354868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1354884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1354904 */     // MIs[1] Operand 1
     /* 1354904 */     // No operand predicates
     /* 1354904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354908 */     // MIs[0] policy
     /* 1354908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1354911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1354913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1354920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1354923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1354932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1354944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354945 */     // GIR_Coverage, 7453,
     /* 1354945 */     GIR_EraseRootFromParent_Done,
     /* 1354946 */   // Label 19216: @1354946
     /* 1354946 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1355043), // Rule ID 7456 //
     /* 1354951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1354959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1354962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1354965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1354968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1354981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1354993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1354997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355001 */     // MIs[1] Operand 1
     /* 1355001 */     // No operand predicates
     /* 1355001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355005 */     // MIs[0] policy
     /* 1355005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355017 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1355020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355042 */     // GIR_Coverage, 7456,
     /* 1355042 */     GIR_EraseRootFromParent_Done,
     /* 1355043 */   // Label 19217: @1355043
     /* 1355043 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1355140), // Rule ID 7457 //
     /* 1355048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1355059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1355062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1355078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355098 */     // MIs[1] Operand 1
     /* 1355098 */     // No operand predicates
     /* 1355098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355102 */     // MIs[0] policy
     /* 1355102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1355114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1355117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355139 */     // GIR_Coverage, 7457,
     /* 1355139 */     GIR_EraseRootFromParent_Done,
     /* 1355140 */   // Label 19218: @1355140
     /* 1355140 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1355237), // Rule ID 7460 //
     /* 1355145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1355148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1355156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1355159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355195 */     // MIs[1] Operand 1
     /* 1355195 */     // No operand predicates
     /* 1355195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355199 */     // MIs[0] policy
     /* 1355199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1355214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355236 */     // GIR_Coverage, 7460,
     /* 1355236 */     GIR_EraseRootFromParent_Done,
     /* 1355237 */   // Label 19219: @1355237
     /* 1355237 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1355334), // Rule ID 7461 //
     /* 1355242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1355245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1355253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1355256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355292 */     // MIs[1] Operand 1
     /* 1355292 */     // No operand predicates
     /* 1355292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355296 */     // MIs[0] policy
     /* 1355296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1355308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1355311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355333 */     // GIR_Coverage, 7461,
     /* 1355333 */     GIR_EraseRootFromParent_Done,
     /* 1355334 */   // Label 19220: @1355334
     /* 1355334 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1355431), // Rule ID 7464 //
     /* 1355339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1355342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355389 */     // MIs[1] Operand 1
     /* 1355389 */     // No operand predicates
     /* 1355389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355393 */     // MIs[0] policy
     /* 1355393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1355408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355430 */     // GIR_Coverage, 7464,
     /* 1355430 */     GIR_EraseRootFromParent_Done,
     /* 1355431 */   // Label 19221: @1355431
     /* 1355431 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1355528), // Rule ID 7465 //
     /* 1355436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1355439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355486 */     // MIs[1] Operand 1
     /* 1355486 */     // No operand predicates
     /* 1355486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355490 */     // MIs[0] policy
     /* 1355490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1355502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1355505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355527 */     // GIR_Coverage, 7465,
     /* 1355527 */     GIR_EraseRootFromParent_Done,
     /* 1355528 */   // Label 19222: @1355528
     /* 1355528 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1355625), // Rule ID 7468 //
     /* 1355533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1355536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1355544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1355547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1355563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355583 */     // MIs[1] Operand 1
     /* 1355583 */     // No operand predicates
     /* 1355583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355587 */     // MIs[0] policy
     /* 1355587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1355602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355624 */     // GIR_Coverage, 7468,
     /* 1355624 */     GIR_EraseRootFromParent_Done,
     /* 1355625 */   // Label 19223: @1355625
     /* 1355625 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1355722), // Rule ID 7469 //
     /* 1355630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1355633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1355641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1355644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1355660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355680 */     // MIs[1] Operand 1
     /* 1355680 */     // No operand predicates
     /* 1355680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355684 */     // MIs[0] policy
     /* 1355684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1355696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1355699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355721 */     // GIR_Coverage, 7469,
     /* 1355721 */     GIR_EraseRootFromParent_Done,
     /* 1355722 */   // Label 19224: @1355722
     /* 1355722 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1355819), // Rule ID 7472 //
     /* 1355727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1355730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1355738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1355741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1355757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355777 */     // MIs[1] Operand 1
     /* 1355777 */     // No operand predicates
     /* 1355777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355781 */     // MIs[0] policy
     /* 1355781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1355796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355818 */     // GIR_Coverage, 7472,
     /* 1355818 */     GIR_EraseRootFromParent_Done,
     /* 1355819 */   // Label 19225: @1355819
     /* 1355819 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1355916), // Rule ID 7473 //
     /* 1355824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1355827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1355832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1355835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1355838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1355854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355874 */     // MIs[1] Operand 1
     /* 1355874 */     // No operand predicates
     /* 1355874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355878 */     // MIs[0] policy
     /* 1355878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1355890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1355893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1355914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355915 */     // GIR_Coverage, 7473,
     /* 1355915 */     GIR_EraseRootFromParent_Done,
     /* 1355916 */   // Label 19226: @1355916
     /* 1355916 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1356013), // Rule ID 7596 //
     /* 1355921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1355929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1355932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1355935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1355938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1355963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1355967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1355971 */     // MIs[1] Operand 1
     /* 1355971 */     // No operand predicates
     /* 1355971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355975 */     // MIs[0] policy
     /* 1355975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1355978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1355980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355987 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1355987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1355990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1355999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356012 */     // GIR_Coverage, 7596,
     /* 1356012 */     GIR_EraseRootFromParent_Done,
     /* 1356013 */   // Label 19227: @1356013
     /* 1356013 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1356110), // Rule ID 7597 //
     /* 1356018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1356029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1356032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356068 */     // MIs[1] Operand 1
     /* 1356068 */     // No operand predicates
     /* 1356068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356072 */     // MIs[0] policy
     /* 1356072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1356084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1356087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356109 */     // GIR_Coverage, 7597,
     /* 1356109 */     GIR_EraseRootFromParent_Done,
     /* 1356110 */   // Label 19228: @1356110
     /* 1356110 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1356207), // Rule ID 7600 //
     /* 1356115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1356126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1356129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1356135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356165 */     // MIs[1] Operand 1
     /* 1356165 */     // No operand predicates
     /* 1356165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356169 */     // MIs[0] policy
     /* 1356169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356181 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1356181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1356184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356206 */     // GIR_Coverage, 7600,
     /* 1356206 */     GIR_EraseRootFromParent_Done,
     /* 1356207 */   // Label 19229: @1356207
     /* 1356207 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1356304), // Rule ID 7601 //
     /* 1356212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1356223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1356226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356262 */     // MIs[1] Operand 1
     /* 1356262 */     // No operand predicates
     /* 1356262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356266 */     // MIs[0] policy
     /* 1356266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1356278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1356281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356303 */     // GIR_Coverage, 7601,
     /* 1356303 */     GIR_EraseRootFromParent_Done,
     /* 1356304 */   // Label 19230: @1356304
     /* 1356304 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1356401), // Rule ID 7604 //
     /* 1356309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1356320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1356323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1356329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356359 */     // MIs[1] Operand 1
     /* 1356359 */     // No operand predicates
     /* 1356359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356363 */     // MIs[0] policy
     /* 1356363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1356375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1356378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356400 */     // GIR_Coverage, 7604,
     /* 1356400 */     GIR_EraseRootFromParent_Done,
     /* 1356401 */   // Label 19231: @1356401
     /* 1356401 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1356498), // Rule ID 7605 //
     /* 1356406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1356417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1356420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356456 */     // MIs[1] Operand 1
     /* 1356456 */     // No operand predicates
     /* 1356456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356460 */     // MIs[0] policy
     /* 1356460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1356472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1356475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356497 */     // GIR_Coverage, 7605,
     /* 1356497 */     GIR_EraseRootFromParent_Done,
     /* 1356498 */   // Label 19232: @1356498
     /* 1356498 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1356595), // Rule ID 7608 //
     /* 1356503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1356523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356553 */     // MIs[1] Operand 1
     /* 1356553 */     // No operand predicates
     /* 1356553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356557 */     // MIs[0] policy
     /* 1356557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1356569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1356572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356594 */     // GIR_Coverage, 7608,
     /* 1356594 */     GIR_EraseRootFromParent_Done,
     /* 1356595 */   // Label 19233: @1356595
     /* 1356595 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1356692), // Rule ID 7609 //
     /* 1356600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356650 */     // MIs[1] Operand 1
     /* 1356650 */     // No operand predicates
     /* 1356650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356654 */     // MIs[0] policy
     /* 1356654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1356666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1356669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356691 */     // GIR_Coverage, 7609,
     /* 1356691 */     GIR_EraseRootFromParent_Done,
     /* 1356692 */   // Label 19234: @1356692
     /* 1356692 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1356789), // Rule ID 7612 //
     /* 1356697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1356708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1356711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1356717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356747 */     // MIs[1] Operand 1
     /* 1356747 */     // No operand predicates
     /* 1356747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356751 */     // MIs[0] policy
     /* 1356751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1356763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1356766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356788 */     // GIR_Coverage, 7612,
     /* 1356788 */     GIR_EraseRootFromParent_Done,
     /* 1356789 */   // Label 19235: @1356789
     /* 1356789 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1356886), // Rule ID 7613 //
     /* 1356794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1356805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1356808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1356814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1356824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356844 */     // MIs[1] Operand 1
     /* 1356844 */     // No operand predicates
     /* 1356844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356848 */     // MIs[0] policy
     /* 1356848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1356860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1356863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356885 */     // GIR_Coverage, 7613,
     /* 1356885 */     GIR_EraseRootFromParent_Done,
     /* 1356886 */   // Label 19236: @1356886
     /* 1356886 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1356983), // Rule ID 7616 //
     /* 1356891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1356902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1356905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1356911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1356921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1356933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1356937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1356941 */     // MIs[1] Operand 1
     /* 1356941 */     // No operand predicates
     /* 1356941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356945 */     // MIs[0] policy
     /* 1356945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1356948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1356950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1356957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1356960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1356969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1356981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356982 */     // GIR_Coverage, 7616,
     /* 1356982 */     GIR_EraseRootFromParent_Done,
     /* 1356983 */   // Label 19237: @1356983
     /* 1356983 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1357080), // Rule ID 7617 //
     /* 1356988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1356996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1356999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1357002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1357005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357038 */     // MIs[1] Operand 1
     /* 1357038 */     // No operand predicates
     /* 1357038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357042 */     // MIs[0] policy
     /* 1357042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1357057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357079 */     // GIR_Coverage, 7617,
     /* 1357079 */     GIR_EraseRootFromParent_Done,
     /* 1357080 */   // Label 19238: @1357080
     /* 1357080 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1357177), // Rule ID 7620 //
     /* 1357085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1357096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1357099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357135 */     // MIs[1] Operand 1
     /* 1357135 */     // No operand predicates
     /* 1357135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357139 */     // MIs[0] policy
     /* 1357139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1357154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357176 */     // GIR_Coverage, 7620,
     /* 1357176 */     GIR_EraseRootFromParent_Done,
     /* 1357177 */   // Label 19239: @1357177
     /* 1357177 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1357274), // Rule ID 7621 //
     /* 1357182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1357193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1357196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357232 */     // MIs[1] Operand 1
     /* 1357232 */     // No operand predicates
     /* 1357232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357236 */     // MIs[0] policy
     /* 1357236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1357251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357273 */     // GIR_Coverage, 7621,
     /* 1357273 */     GIR_EraseRootFromParent_Done,
     /* 1357274 */   // Label 19240: @1357274
     /* 1357274 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1357371), // Rule ID 7624 //
     /* 1357279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1357290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1357293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357329 */     // MIs[1] Operand 1
     /* 1357329 */     // No operand predicates
     /* 1357329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357333 */     // MIs[0] policy
     /* 1357333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1357348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357370 */     // GIR_Coverage, 7624,
     /* 1357370 */     GIR_EraseRootFromParent_Done,
     /* 1357371 */   // Label 19241: @1357371
     /* 1357371 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1357468), // Rule ID 7625 //
     /* 1357376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1357387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1357390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357426 */     // MIs[1] Operand 1
     /* 1357426 */     // No operand predicates
     /* 1357426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357430 */     // MIs[0] policy
     /* 1357430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1357445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357467 */     // GIR_Coverage, 7625,
     /* 1357467 */     GIR_EraseRootFromParent_Done,
     /* 1357468 */   // Label 19242: @1357468
     /* 1357468 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1357565), // Rule ID 7628 //
     /* 1357473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357523 */     // MIs[1] Operand 1
     /* 1357523 */     // No operand predicates
     /* 1357523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357527 */     // MIs[0] policy
     /* 1357527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1357542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357564 */     // GIR_Coverage, 7628,
     /* 1357564 */     GIR_EraseRootFromParent_Done,
     /* 1357565 */   // Label 19243: @1357565
     /* 1357565 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1357662), // Rule ID 7629 //
     /* 1357570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357620 */     // MIs[1] Operand 1
     /* 1357620 */     // No operand predicates
     /* 1357620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357624 */     // MIs[0] policy
     /* 1357624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1357639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357661 */     // GIR_Coverage, 7629,
     /* 1357661 */     GIR_EraseRootFromParent_Done,
     /* 1357662 */   // Label 19244: @1357662
     /* 1357662 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1357759), // Rule ID 7632 //
     /* 1357667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1357678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1357681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357717 */     // MIs[1] Operand 1
     /* 1357717 */     // No operand predicates
     /* 1357717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357721 */     // MIs[0] policy
     /* 1357721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1357736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357758 */     // GIR_Coverage, 7632,
     /* 1357758 */     GIR_EraseRootFromParent_Done,
     /* 1357759 */   // Label 19245: @1357759
     /* 1357759 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1357856), // Rule ID 7633 //
     /* 1357764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1357775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1357778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1357794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357814 */     // MIs[1] Operand 1
     /* 1357814 */     // No operand predicates
     /* 1357814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357818 */     // MIs[0] policy
     /* 1357818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1357833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357855 */     // GIR_Coverage, 7633,
     /* 1357855 */     GIR_EraseRootFromParent_Done,
     /* 1357856 */   // Label 19246: @1357856
     /* 1357856 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1357953), // Rule ID 7636 //
     /* 1357861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1357872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1357875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1357903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1357907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1357911 */     // MIs[1] Operand 1
     /* 1357911 */     // No operand predicates
     /* 1357911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357915 */     // MIs[0] policy
     /* 1357915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1357920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1357930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1357939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357952 */     // GIR_Coverage, 7636,
     /* 1357952 */     GIR_EraseRootFromParent_Done,
     /* 1357953 */   // Label 19247: @1357953
     /* 1357953 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1358050), // Rule ID 7637 //
     /* 1357958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1357966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1357969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1357972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1357988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358008 */     // MIs[1] Operand 1
     /* 1358008 */     // No operand predicates
     /* 1358008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358012 */     // MIs[0] policy
     /* 1358012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1358027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358049 */     // GIR_Coverage, 7637,
     /* 1358049 */     GIR_EraseRootFromParent_Done,
     /* 1358050 */   // Label 19248: @1358050
     /* 1358050 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1358147), // Rule ID 7640 //
     /* 1358055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1358058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1358066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1358069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358105 */     // MIs[1] Operand 1
     /* 1358105 */     // No operand predicates
     /* 1358105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358109 */     // MIs[0] policy
     /* 1358109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1358124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358146 */     // GIR_Coverage, 7640,
     /* 1358146 */     GIR_EraseRootFromParent_Done,
     /* 1358147 */   // Label 19249: @1358147
     /* 1358147 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1358244), // Rule ID 7641 //
     /* 1358152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1358155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1358163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1358166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358202 */     // MIs[1] Operand 1
     /* 1358202 */     // No operand predicates
     /* 1358202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358206 */     // MIs[0] policy
     /* 1358206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1358221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358243 */     // GIR_Coverage, 7641,
     /* 1358243 */     GIR_EraseRootFromParent_Done,
     /* 1358244 */   // Label 19250: @1358244
     /* 1358244 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1358341), // Rule ID 7644 //
     /* 1358249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1358252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1358266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358299 */     // MIs[1] Operand 1
     /* 1358299 */     // No operand predicates
     /* 1358299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358303 */     // MIs[0] policy
     /* 1358303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1358318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358340 */     // GIR_Coverage, 7644,
     /* 1358340 */     GIR_EraseRootFromParent_Done,
     /* 1358341 */   // Label 19251: @1358341
     /* 1358341 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1358438), // Rule ID 7645 //
     /* 1358346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1358349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1358363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358396 */     // MIs[1] Operand 1
     /* 1358396 */     // No operand predicates
     /* 1358396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358400 */     // MIs[0] policy
     /* 1358400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1358415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358437 */     // GIR_Coverage, 7645,
     /* 1358437 */     GIR_EraseRootFromParent_Done,
     /* 1358438 */   // Label 19252: @1358438
     /* 1358438 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1358535), // Rule ID 7648 //
     /* 1358443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1358446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1358454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1358457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358493 */     // MIs[1] Operand 1
     /* 1358493 */     // No operand predicates
     /* 1358493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358497 */     // MIs[0] policy
     /* 1358497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1358512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358534 */     // GIR_Coverage, 7648,
     /* 1358534 */     GIR_EraseRootFromParent_Done,
     /* 1358535 */   // Label 19253: @1358535
     /* 1358535 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1358632), // Rule ID 7649 //
     /* 1358540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1358543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1358551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1358554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1358570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358590 */     // MIs[1] Operand 1
     /* 1358590 */     // No operand predicates
     /* 1358590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358594 */     // MIs[0] policy
     /* 1358594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1358609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358631 */     // GIR_Coverage, 7649,
     /* 1358631 */     GIR_EraseRootFromParent_Done,
     /* 1358632 */   // Label 19254: @1358632
     /* 1358632 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1358729), // Rule ID 7652 //
     /* 1358637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1358640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1358648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1358651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358687 */     // MIs[1] Operand 1
     /* 1358687 */     // No operand predicates
     /* 1358687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358691 */     // MIs[0] policy
     /* 1358691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1358706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358728 */     // GIR_Coverage, 7652,
     /* 1358728 */     GIR_EraseRootFromParent_Done,
     /* 1358729 */   // Label 19255: @1358729
     /* 1358729 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1358826), // Rule ID 7653 //
     /* 1358734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1358737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1358742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1358745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1358748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1358764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1358784 */     // MIs[1] Operand 1
     /* 1358784 */     // No operand predicates
     /* 1358784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358788 */     // MIs[0] policy
     /* 1358788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1358803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358825 */     // GIR_Coverage, 7653,
     /* 1358825 */     GIR_EraseRootFromParent_Done,
     /* 1358826 */   // Label 19256: @1358826
     /* 1358826 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1358926), // Rule ID 14082 //
     /* 1358831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1358839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1358842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1358845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1358881 */     // MIs[1] Operand 1
     /* 1358881 */     // No operand predicates
     /* 1358881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358885 */     // MIs[0] policy
     /* 1358885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358897 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1358900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1358909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1358924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358925 */     // GIR_Coverage, 14082,
     /* 1358925 */     GIR_EraseRootFromParent_Done,
     /* 1358926 */   // Label 19257: @1358926
     /* 1358926 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1359026), // Rule ID 14083 //
     /* 1358931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1358939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1358942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1358945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1358948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1358973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1358977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1358981 */     // MIs[1] Operand 1
     /* 1358981 */     // No operand predicates
     /* 1358981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358985 */     // MIs[0] policy
     /* 1358985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1358990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358997 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1359000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359025 */     // GIR_Coverage, 14083,
     /* 1359025 */     GIR_EraseRootFromParent_Done,
     /* 1359026 */   // Label 19258: @1359026
     /* 1359026 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1359126), // Rule ID 14086 //
     /* 1359031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1359042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1359045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1359048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359081 */     // MIs[1] Operand 1
     /* 1359081 */     // No operand predicates
     /* 1359081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359085 */     // MIs[0] policy
     /* 1359085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1359100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359125 */     // GIR_Coverage, 14086,
     /* 1359125 */     GIR_EraseRootFromParent_Done,
     /* 1359126 */   // Label 19259: @1359126
     /* 1359126 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1359226), // Rule ID 14087 //
     /* 1359131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1359142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1359145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1359148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359181 */     // MIs[1] Operand 1
     /* 1359181 */     // No operand predicates
     /* 1359181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359185 */     // MIs[0] policy
     /* 1359185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1359200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359225 */     // GIR_Coverage, 14087,
     /* 1359225 */     GIR_EraseRootFromParent_Done,
     /* 1359226 */   // Label 19260: @1359226
     /* 1359226 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1359326), // Rule ID 14090 //
     /* 1359231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1359242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1359245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1359248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359281 */     // MIs[1] Operand 1
     /* 1359281 */     // No operand predicates
     /* 1359281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359285 */     // MIs[0] policy
     /* 1359285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359297 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1359300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359325 */     // GIR_Coverage, 14090,
     /* 1359325 */     GIR_EraseRootFromParent_Done,
     /* 1359326 */   // Label 19261: @1359326
     /* 1359326 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1359426), // Rule ID 14091 //
     /* 1359331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1359342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1359345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1359348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359381 */     // MIs[1] Operand 1
     /* 1359381 */     // No operand predicates
     /* 1359381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359385 */     // MIs[0] policy
     /* 1359385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359397 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1359400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359425 */     // GIR_Coverage, 14091,
     /* 1359425 */     GIR_EraseRootFromParent_Done,
     /* 1359426 */   // Label 19262: @1359426
     /* 1359426 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1359526), // Rule ID 14094 //
     /* 1359431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1359442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1359445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359481 */     // MIs[1] Operand 1
     /* 1359481 */     // No operand predicates
     /* 1359481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359485 */     // MIs[0] policy
     /* 1359485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1359500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359525 */     // GIR_Coverage, 14094,
     /* 1359525 */     GIR_EraseRootFromParent_Done,
     /* 1359526 */   // Label 19263: @1359526
     /* 1359526 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1359626), // Rule ID 14095 //
     /* 1359531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1359542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1359545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359581 */     // MIs[1] Operand 1
     /* 1359581 */     // No operand predicates
     /* 1359581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359585 */     // MIs[0] policy
     /* 1359585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1359600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359625 */     // GIR_Coverage, 14095,
     /* 1359625 */     GIR_EraseRootFromParent_Done,
     /* 1359626 */   // Label 19264: @1359626
     /* 1359626 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1359726), // Rule ID 14098 //
     /* 1359631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1359642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1359645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359681 */     // MIs[1] Operand 1
     /* 1359681 */     // No operand predicates
     /* 1359681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359685 */     // MIs[0] policy
     /* 1359685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1359700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359725 */     // GIR_Coverage, 14098,
     /* 1359725 */     GIR_EraseRootFromParent_Done,
     /* 1359726 */   // Label 19265: @1359726
     /* 1359726 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1359826), // Rule ID 14099 //
     /* 1359731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1359742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1359745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359781 */     // MIs[1] Operand 1
     /* 1359781 */     // No operand predicates
     /* 1359781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359785 */     // MIs[0] policy
     /* 1359785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1359800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359825 */     // GIR_Coverage, 14099,
     /* 1359825 */     GIR_EraseRootFromParent_Done,
     /* 1359826 */   // Label 19266: @1359826
     /* 1359826 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1359926), // Rule ID 14102 //
     /* 1359831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1359842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1359845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359881 */     // MIs[1] Operand 1
     /* 1359881 */     // No operand predicates
     /* 1359881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359885 */     // MIs[0] policy
     /* 1359885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1359900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1359909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1359924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359925 */     // GIR_Coverage, 14102,
     /* 1359925 */     GIR_EraseRootFromParent_Done,
     /* 1359926 */   // Label 19267: @1359926
     /* 1359926 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1360026), // Rule ID 14103 //
     /* 1359931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1359939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1359942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1359945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1359948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1359973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1359977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1359981 */     // MIs[1] Operand 1
     /* 1359981 */     // No operand predicates
     /* 1359981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359985 */     // MIs[0] policy
     /* 1359985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1359990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1360000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360025 */     // GIR_Coverage, 14103,
     /* 1360025 */     GIR_EraseRootFromParent_Done,
     /* 1360026 */   // Label 19268: @1360026
     /* 1360026 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1360126), // Rule ID 14106 //
     /* 1360031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1360048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360081 */     // MIs[1] Operand 1
     /* 1360081 */     // No operand predicates
     /* 1360081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360085 */     // MIs[0] policy
     /* 1360085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360097 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360125 */     // GIR_Coverage, 14106,
     /* 1360125 */     GIR_EraseRootFromParent_Done,
     /* 1360126 */   // Label 19269: @1360126
     /* 1360126 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1360226), // Rule ID 14107 //
     /* 1360131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1360148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360181 */     // MIs[1] Operand 1
     /* 1360181 */     // No operand predicates
     /* 1360181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360185 */     // MIs[0] policy
     /* 1360185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360197 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360225 */     // GIR_Coverage, 14107,
     /* 1360225 */     GIR_EraseRootFromParent_Done,
     /* 1360226 */   // Label 19270: @1360226
     /* 1360226 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1360326), // Rule ID 14110 //
     /* 1360231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1360248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360281 */     // MIs[1] Operand 1
     /* 1360281 */     // No operand predicates
     /* 1360281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360285 */     // MIs[0] policy
     /* 1360285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360325 */     // GIR_Coverage, 14110,
     /* 1360325 */     GIR_EraseRootFromParent_Done,
     /* 1360326 */   // Label 19271: @1360326
     /* 1360326 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1360426), // Rule ID 14111 //
     /* 1360331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1360348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360381 */     // MIs[1] Operand 1
     /* 1360381 */     // No operand predicates
     /* 1360381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360385 */     // MIs[0] policy
     /* 1360385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360425 */     // GIR_Coverage, 14111,
     /* 1360425 */     GIR_EraseRootFromParent_Done,
     /* 1360426 */   // Label 19272: @1360426
     /* 1360426 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1360526), // Rule ID 14114 //
     /* 1360431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1360448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360481 */     // MIs[1] Operand 1
     /* 1360481 */     // No operand predicates
     /* 1360481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360485 */     // MIs[0] policy
     /* 1360485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360525 */     // GIR_Coverage, 14114,
     /* 1360525 */     GIR_EraseRootFromParent_Done,
     /* 1360526 */   // Label 19273: @1360526
     /* 1360526 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1360626), // Rule ID 14115 //
     /* 1360531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1360548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360581 */     // MIs[1] Operand 1
     /* 1360581 */     // No operand predicates
     /* 1360581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360585 */     // MIs[0] policy
     /* 1360585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360625 */     // GIR_Coverage, 14115,
     /* 1360625 */     GIR_EraseRootFromParent_Done,
     /* 1360626 */   // Label 19274: @1360626
     /* 1360626 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1360726), // Rule ID 14118 //
     /* 1360631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360681 */     // MIs[1] Operand 1
     /* 1360681 */     // No operand predicates
     /* 1360681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360685 */     // MIs[0] policy
     /* 1360685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360725 */     // GIR_Coverage, 14118,
     /* 1360725 */     GIR_EraseRootFromParent_Done,
     /* 1360726 */   // Label 19275: @1360726
     /* 1360726 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1360826), // Rule ID 14119 //
     /* 1360731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1360734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360781 */     // MIs[1] Operand 1
     /* 1360781 */     // No operand predicates
     /* 1360781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360785 */     // MIs[0] policy
     /* 1360785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1360800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360825 */     // GIR_Coverage, 14119,
     /* 1360825 */     GIR_EraseRootFromParent_Done,
     /* 1360826 */   // Label 19276: @1360826
     /* 1360826 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1360926), // Rule ID 14122 //
     /* 1360831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1360842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1360845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360881 */     // MIs[1] Operand 1
     /* 1360881 */     // No operand predicates
     /* 1360881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360885 */     // MIs[0] policy
     /* 1360885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1360900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1360909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1360924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360925 */     // GIR_Coverage, 14122,
     /* 1360925 */     GIR_EraseRootFromParent_Done,
     /* 1360926 */   // Label 19277: @1360926
     /* 1360926 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1361026), // Rule ID 14123 //
     /* 1360931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1360939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1360942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1360945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1360973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1360977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1360981 */     // MIs[1] Operand 1
     /* 1360981 */     // No operand predicates
     /* 1360981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360985 */     // MIs[0] policy
     /* 1360985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1360990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1361000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361025 */     // GIR_Coverage, 14123,
     /* 1361025 */     GIR_EraseRootFromParent_Done,
     /* 1361026 */   // Label 19278: @1361026
     /* 1361026 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1361126), // Rule ID 14126 //
     /* 1361031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1361042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1361045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1361048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361081 */     // MIs[1] Operand 1
     /* 1361081 */     // No operand predicates
     /* 1361081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361085 */     // MIs[0] policy
     /* 1361085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1361100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361125 */     // GIR_Coverage, 14126,
     /* 1361125 */     GIR_EraseRootFromParent_Done,
     /* 1361126 */   // Label 19279: @1361126
     /* 1361126 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1361226), // Rule ID 14127 //
     /* 1361131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1361142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1361145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1361148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361181 */     // MIs[1] Operand 1
     /* 1361181 */     // No operand predicates
     /* 1361181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361185 */     // MIs[0] policy
     /* 1361185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1361200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361225 */     // GIR_Coverage, 14127,
     /* 1361225 */     GIR_EraseRootFromParent_Done,
     /* 1361226 */   // Label 19280: @1361226
     /* 1361226 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1361326), // Rule ID 14130 //
     /* 1361231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1361242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1361245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1361248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1361254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361281 */     // MIs[1] Operand 1
     /* 1361281 */     // No operand predicates
     /* 1361281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361285 */     // MIs[0] policy
     /* 1361285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361297 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1361300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361325 */     // GIR_Coverage, 14130,
     /* 1361325 */     GIR_EraseRootFromParent_Done,
     /* 1361326 */   // Label 19281: @1361326
     /* 1361326 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1361426), // Rule ID 14131 //
     /* 1361331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1361342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1361345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1361348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1361354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361381 */     // MIs[1] Operand 1
     /* 1361381 */     // No operand predicates
     /* 1361381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361385 */     // MIs[0] policy
     /* 1361385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1361400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361425 */     // GIR_Coverage, 14131,
     /* 1361425 */     GIR_EraseRootFromParent_Done,
     /* 1361426 */   // Label 19282: @1361426
     /* 1361426 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1361526), // Rule ID 14134 //
     /* 1361431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1361442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1361445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1361448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361481 */     // MIs[1] Operand 1
     /* 1361481 */     // No operand predicates
     /* 1361481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361485 */     // MIs[0] policy
     /* 1361485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1361500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361525 */     // GIR_Coverage, 14134,
     /* 1361525 */     GIR_EraseRootFromParent_Done,
     /* 1361526 */   // Label 19283: @1361526
     /* 1361526 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1361626), // Rule ID 14135 //
     /* 1361531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1361542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1361545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1361548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361581 */     // MIs[1] Operand 1
     /* 1361581 */     // No operand predicates
     /* 1361581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361585 */     // MIs[0] policy
     /* 1361585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1361600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361625 */     // GIR_Coverage, 14135,
     /* 1361625 */     GIR_EraseRootFromParent_Done,
     /* 1361626 */   // Label 19284: @1361626
     /* 1361626 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1361726), // Rule ID 14138 //
     /* 1361631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1361642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1361645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1361648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361681 */     // MIs[1] Operand 1
     /* 1361681 */     // No operand predicates
     /* 1361681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361685 */     // MIs[0] policy
     /* 1361685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1361700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361725 */     // GIR_Coverage, 14138,
     /* 1361725 */     GIR_EraseRootFromParent_Done,
     /* 1361726 */   // Label 19285: @1361726
     /* 1361726 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1361826), // Rule ID 14139 //
     /* 1361731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1361742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1361745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1361748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361781 */     // MIs[1] Operand 1
     /* 1361781 */     // No operand predicates
     /* 1361781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361785 */     // MIs[0] policy
     /* 1361785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1361800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361825 */     // GIR_Coverage, 14139,
     /* 1361825 */     GIR_EraseRootFromParent_Done,
     /* 1361826 */   // Label 19286: @1361826
     /* 1361826 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1361926), // Rule ID 14142 //
     /* 1361831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1361842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1361845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361881 */     // MIs[1] Operand 1
     /* 1361881 */     // No operand predicates
     /* 1361881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361885 */     // MIs[0] policy
     /* 1361885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1361900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1361909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1361924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361925 */     // GIR_Coverage, 14142,
     /* 1361925 */     GIR_EraseRootFromParent_Done,
     /* 1361926 */   // Label 19287: @1361926
     /* 1361926 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1362026), // Rule ID 14143 //
     /* 1361931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1361939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1361942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1361945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1361973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1361977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1361981 */     // MIs[1] Operand 1
     /* 1361981 */     // No operand predicates
     /* 1361981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361985 */     // MIs[0] policy
     /* 1361985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1361990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1362000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362025 */     // GIR_Coverage, 14143,
     /* 1362025 */     GIR_EraseRootFromParent_Done,
     /* 1362026 */   // Label 19288: @1362026
     /* 1362026 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1362126), // Rule ID 14146 //
     /* 1362031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1362042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1362045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1362048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362081 */     // MIs[1] Operand 1
     /* 1362081 */     // No operand predicates
     /* 1362081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362085 */     // MIs[0] policy
     /* 1362085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1362100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362125 */     // GIR_Coverage, 14146,
     /* 1362125 */     GIR_EraseRootFromParent_Done,
     /* 1362126 */   // Label 19289: @1362126
     /* 1362126 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1362226), // Rule ID 14147 //
     /* 1362131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1362142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1362145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1362148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362181 */     // MIs[1] Operand 1
     /* 1362181 */     // No operand predicates
     /* 1362181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362185 */     // MIs[0] policy
     /* 1362185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1362200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362225 */     // GIR_Coverage, 14147,
     /* 1362225 */     GIR_EraseRootFromParent_Done,
     /* 1362226 */   // Label 19290: @1362226
     /* 1362226 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1362326), // Rule ID 14150 //
     /* 1362231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1362242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1362245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1362248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362281 */     // MIs[1] Operand 1
     /* 1362281 */     // No operand predicates
     /* 1362281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362285 */     // MIs[0] policy
     /* 1362285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1362300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362325 */     // GIR_Coverage, 14150,
     /* 1362325 */     GIR_EraseRootFromParent_Done,
     /* 1362326 */   // Label 19291: @1362326
     /* 1362326 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1362426), // Rule ID 14151 //
     /* 1362331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1362342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1362345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1362348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362381 */     // MIs[1] Operand 1
     /* 1362381 */     // No operand predicates
     /* 1362381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362385 */     // MIs[0] policy
     /* 1362385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1362400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362425 */     // GIR_Coverage, 14151,
     /* 1362425 */     GIR_EraseRootFromParent_Done,
     /* 1362426 */   // Label 19292: @1362426
     /* 1362426 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1362526), // Rule ID 14154 //
     /* 1362431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1362442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1362445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1362448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1362461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362481 */     // MIs[1] Operand 1
     /* 1362481 */     // No operand predicates
     /* 1362481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362485 */     // MIs[0] policy
     /* 1362485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1362500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362525 */     // GIR_Coverage, 14154,
     /* 1362525 */     GIR_EraseRootFromParent_Done,
     /* 1362526 */   // Label 19293: @1362526
     /* 1362526 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1362626), // Rule ID 14155 //
     /* 1362531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1362542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1362545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1362548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1362561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362581 */     // MIs[1] Operand 1
     /* 1362581 */     // No operand predicates
     /* 1362581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362585 */     // MIs[0] policy
     /* 1362585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1362600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362625 */     // GIR_Coverage, 14155,
     /* 1362625 */     GIR_EraseRootFromParent_Done,
     /* 1362626 */   // Label 19294: @1362626
     /* 1362626 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1362726), // Rule ID 14158 //
     /* 1362631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1362642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1362645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1362648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362681 */     // MIs[1] Operand 1
     /* 1362681 */     // No operand predicates
     /* 1362681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362685 */     // MIs[0] policy
     /* 1362685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1362700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362725 */     // GIR_Coverage, 14158,
     /* 1362725 */     GIR_EraseRootFromParent_Done,
     /* 1362726 */   // Label 19295: @1362726
     /* 1362726 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1362826), // Rule ID 14159 //
     /* 1362731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1362742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1362745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1362748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362781 */     // MIs[1] Operand 1
     /* 1362781 */     // No operand predicates
     /* 1362781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362785 */     // MIs[0] policy
     /* 1362785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1362800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362825 */     // GIR_Coverage, 14159,
     /* 1362825 */     GIR_EraseRootFromParent_Done,
     /* 1362826 */   // Label 19296: @1362826
     /* 1362826 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1362926), // Rule ID 14162 //
     /* 1362831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1362842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1362845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362881 */     // MIs[1] Operand 1
     /* 1362881 */     // No operand predicates
     /* 1362881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362885 */     // MIs[0] policy
     /* 1362885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362897 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1362900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1362909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1362924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362925 */     // GIR_Coverage, 14162,
     /* 1362925 */     GIR_EraseRootFromParent_Done,
     /* 1362926 */   // Label 19297: @1362926
     /* 1362926 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1363026), // Rule ID 14163 //
     /* 1362931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1362939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1362942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1362945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1362973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1362977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1362981 */     // MIs[1] Operand 1
     /* 1362981 */     // No operand predicates
     /* 1362981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362985 */     // MIs[0] policy
     /* 1362985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1362990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1363000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363025 */     // GIR_Coverage, 14163,
     /* 1363025 */     GIR_EraseRootFromParent_Done,
     /* 1363026 */   // Label 19298: @1363026
     /* 1363026 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1363126), // Rule ID 14166 //
     /* 1363031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1363039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1363042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1363045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1363048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1363051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363081 */     // MIs[1] Operand 1
     /* 1363081 */     // No operand predicates
     /* 1363081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363085 */     // MIs[0] policy
     /* 1363085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1363100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363125 */     // GIR_Coverage, 14166,
     /* 1363125 */     GIR_EraseRootFromParent_Done,
     /* 1363126 */   // Label 19299: @1363126
     /* 1363126 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1363226), // Rule ID 14167 //
     /* 1363131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1363139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1363142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1363145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1363148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363181 */     // MIs[1] Operand 1
     /* 1363181 */     // No operand predicates
     /* 1363181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363185 */     // MIs[0] policy
     /* 1363185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1363200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363225 */     // GIR_Coverage, 14167,
     /* 1363225 */     GIR_EraseRootFromParent_Done,
     /* 1363226 */   // Label 19300: @1363226
     /* 1363226 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1363326), // Rule ID 14346 //
     /* 1363231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1363242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1363245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1363248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1363251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363281 */     // MIs[1] Operand 1
     /* 1363281 */     // No operand predicates
     /* 1363281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363285 */     // MIs[0] policy
     /* 1363285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1363300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363325 */     // GIR_Coverage, 14346,
     /* 1363325 */     GIR_EraseRootFromParent_Done,
     /* 1363326 */   // Label 19301: @1363326
     /* 1363326 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1363426), // Rule ID 14347 //
     /* 1363331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1363342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1363345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1363348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363381 */     // MIs[1] Operand 1
     /* 1363381 */     // No operand predicates
     /* 1363381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363385 */     // MIs[0] policy
     /* 1363385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1363400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363425 */     // GIR_Coverage, 14347,
     /* 1363425 */     GIR_EraseRootFromParent_Done,
     /* 1363426 */   // Label 19302: @1363426
     /* 1363426 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1363526), // Rule ID 14350 //
     /* 1363431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1363442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1363445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1363448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1363451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363481 */     // MIs[1] Operand 1
     /* 1363481 */     // No operand predicates
     /* 1363481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363485 */     // MIs[0] policy
     /* 1363485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1363500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363525 */     // GIR_Coverage, 14350,
     /* 1363525 */     GIR_EraseRootFromParent_Done,
     /* 1363526 */   // Label 19303: @1363526
     /* 1363526 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1363626), // Rule ID 14351 //
     /* 1363531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1363542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1363545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1363548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363581 */     // MIs[1] Operand 1
     /* 1363581 */     // No operand predicates
     /* 1363581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363585 */     // MIs[0] policy
     /* 1363585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1363600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363625 */     // GIR_Coverage, 14351,
     /* 1363625 */     GIR_EraseRootFromParent_Done,
     /* 1363626 */   // Label 19304: @1363626
     /* 1363626 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1363726), // Rule ID 14354 //
     /* 1363631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1363642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1363645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1363648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1363651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363681 */     // MIs[1] Operand 1
     /* 1363681 */     // No operand predicates
     /* 1363681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363685 */     // MIs[0] policy
     /* 1363685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1363700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363725 */     // GIR_Coverage, 14354,
     /* 1363725 */     GIR_EraseRootFromParent_Done,
     /* 1363726 */   // Label 19305: @1363726
     /* 1363726 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1363826), // Rule ID 14355 //
     /* 1363731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1363742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1363745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1363748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363781 */     // MIs[1] Operand 1
     /* 1363781 */     // No operand predicates
     /* 1363781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363785 */     // MIs[0] policy
     /* 1363785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1363800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363825 */     // GIR_Coverage, 14355,
     /* 1363825 */     GIR_EraseRootFromParent_Done,
     /* 1363826 */   // Label 19306: @1363826
     /* 1363826 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1363926), // Rule ID 14358 //
     /* 1363831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1363842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1363845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1363848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1363851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363881 */     // MIs[1] Operand 1
     /* 1363881 */     // No operand predicates
     /* 1363881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363885 */     // MIs[0] policy
     /* 1363885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1363900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1363909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1363924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363925 */     // GIR_Coverage, 14358,
     /* 1363925 */     GIR_EraseRootFromParent_Done,
     /* 1363926 */   // Label 19307: @1363926
     /* 1363926 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1364026), // Rule ID 14359 //
     /* 1363931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1363939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1363942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1363945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1363948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1363973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1363977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1363981 */     // MIs[1] Operand 1
     /* 1363981 */     // No operand predicates
     /* 1363981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363985 */     // MIs[0] policy
     /* 1363985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1363990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1364000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364025 */     // GIR_Coverage, 14359,
     /* 1364025 */     GIR_EraseRootFromParent_Done,
     /* 1364026 */   // Label 19308: @1364026
     /* 1364026 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1364126), // Rule ID 14362 //
     /* 1364031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1364042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1364045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1364048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364081 */     // MIs[1] Operand 1
     /* 1364081 */     // No operand predicates
     /* 1364081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364085 */     // MIs[0] policy
     /* 1364085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1364100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364125 */     // GIR_Coverage, 14362,
     /* 1364125 */     GIR_EraseRootFromParent_Done,
     /* 1364126 */   // Label 19309: @1364126
     /* 1364126 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1364226), // Rule ID 14363 //
     /* 1364131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1364142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1364145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1364148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364181 */     // MIs[1] Operand 1
     /* 1364181 */     // No operand predicates
     /* 1364181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364185 */     // MIs[0] policy
     /* 1364185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1364200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364225 */     // GIR_Coverage, 14363,
     /* 1364225 */     GIR_EraseRootFromParent_Done,
     /* 1364226 */   // Label 19310: @1364226
     /* 1364226 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1364326), // Rule ID 14366 //
     /* 1364231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1364242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1364245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1364248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364281 */     // MIs[1] Operand 1
     /* 1364281 */     // No operand predicates
     /* 1364281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364285 */     // MIs[0] policy
     /* 1364285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1364300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364325 */     // GIR_Coverage, 14366,
     /* 1364325 */     GIR_EraseRootFromParent_Done,
     /* 1364326 */   // Label 19311: @1364326
     /* 1364326 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1364426), // Rule ID 14367 //
     /* 1364331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1364342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1364345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1364348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364381 */     // MIs[1] Operand 1
     /* 1364381 */     // No operand predicates
     /* 1364381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364385 */     // MIs[0] policy
     /* 1364385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1364400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364425 */     // GIR_Coverage, 14367,
     /* 1364425 */     GIR_EraseRootFromParent_Done,
     /* 1364426 */   // Label 19312: @1364426
     /* 1364426 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1364526), // Rule ID 14370 //
     /* 1364431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1364448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364481 */     // MIs[1] Operand 1
     /* 1364481 */     // No operand predicates
     /* 1364481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364485 */     // MIs[0] policy
     /* 1364485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1364500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364525 */     // GIR_Coverage, 14370,
     /* 1364525 */     GIR_EraseRootFromParent_Done,
     /* 1364526 */   // Label 19313: @1364526
     /* 1364526 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1364626), // Rule ID 14371 //
     /* 1364531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1364548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364581 */     // MIs[1] Operand 1
     /* 1364581 */     // No operand predicates
     /* 1364581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364585 */     // MIs[0] policy
     /* 1364585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1364600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364625 */     // GIR_Coverage, 14371,
     /* 1364625 */     GIR_EraseRootFromParent_Done,
     /* 1364626 */   // Label 19314: @1364626
     /* 1364626 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1364726), // Rule ID 14374 //
     /* 1364631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1364648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364681 */     // MIs[1] Operand 1
     /* 1364681 */     // No operand predicates
     /* 1364681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364685 */     // MIs[0] policy
     /* 1364685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1364700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364725 */     // GIR_Coverage, 14374,
     /* 1364725 */     GIR_EraseRootFromParent_Done,
     /* 1364726 */   // Label 19315: @1364726
     /* 1364726 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1364826), // Rule ID 14375 //
     /* 1364731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1364748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364781 */     // MIs[1] Operand 1
     /* 1364781 */     // No operand predicates
     /* 1364781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364785 */     // MIs[0] policy
     /* 1364785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1364800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364825 */     // GIR_Coverage, 14375,
     /* 1364825 */     GIR_EraseRootFromParent_Done,
     /* 1364826 */   // Label 19316: @1364826
     /* 1364826 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1364926), // Rule ID 14378 //
     /* 1364831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1364848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364881 */     // MIs[1] Operand 1
     /* 1364881 */     // No operand predicates
     /* 1364881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364885 */     // MIs[0] policy
     /* 1364885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364897 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1364900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1364909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1364924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364925 */     // GIR_Coverage, 14378,
     /* 1364925 */     GIR_EraseRootFromParent_Done,
     /* 1364926 */   // Label 19317: @1364926
     /* 1364926 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1365026), // Rule ID 14379 //
     /* 1364931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1364939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1364948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1364973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1364977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1364981 */     // MIs[1] Operand 1
     /* 1364981 */     // No operand predicates
     /* 1364981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364985 */     // MIs[0] policy
     /* 1364985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1364990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1365000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365025 */     // GIR_Coverage, 14379,
     /* 1365025 */     GIR_EraseRootFromParent_Done,
     /* 1365026 */   // Label 19318: @1365026
     /* 1365026 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1365126), // Rule ID 14382 //
     /* 1365031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1365048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365081 */     // MIs[1] Operand 1
     /* 1365081 */     // No operand predicates
     /* 1365081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365085 */     // MIs[0] policy
     /* 1365085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1365100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365125 */     // GIR_Coverage, 14382,
     /* 1365125 */     GIR_EraseRootFromParent_Done,
     /* 1365126 */   // Label 19319: @1365126
     /* 1365126 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1365226), // Rule ID 14383 //
     /* 1365131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1365148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1365151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365181 */     // MIs[1] Operand 1
     /* 1365181 */     // No operand predicates
     /* 1365181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365185 */     // MIs[0] policy
     /* 1365185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1365200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365225 */     // GIR_Coverage, 14383,
     /* 1365225 */     GIR_EraseRootFromParent_Done,
     /* 1365226 */   // Label 19320: @1365226
     /* 1365226 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1365326), // Rule ID 14386 //
     /* 1365231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1365242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1365245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1365248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1365261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365281 */     // MIs[1] Operand 1
     /* 1365281 */     // No operand predicates
     /* 1365281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365285 */     // MIs[0] policy
     /* 1365285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365297 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1365300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365325 */     // GIR_Coverage, 14386,
     /* 1365325 */     GIR_EraseRootFromParent_Done,
     /* 1365326 */   // Label 19321: @1365326
     /* 1365326 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1365426), // Rule ID 14387 //
     /* 1365331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1365342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1365345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1365348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1365351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1365361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365381 */     // MIs[1] Operand 1
     /* 1365381 */     // No operand predicates
     /* 1365381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365385 */     // MIs[0] policy
     /* 1365385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1365400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365425 */     // GIR_Coverage, 14387,
     /* 1365425 */     GIR_EraseRootFromParent_Done,
     /* 1365426 */   // Label 19322: @1365426
     /* 1365426 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1365526), // Rule ID 14390 //
     /* 1365431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1365442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1365445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1365448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365481 */     // MIs[1] Operand 1
     /* 1365481 */     // No operand predicates
     /* 1365481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365485 */     // MIs[0] policy
     /* 1365485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1365500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365525 */     // GIR_Coverage, 14390,
     /* 1365525 */     GIR_EraseRootFromParent_Done,
     /* 1365526 */   // Label 19323: @1365526
     /* 1365526 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1365626), // Rule ID 14391 //
     /* 1365531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1365542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1365545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1365548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1365551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365581 */     // MIs[1] Operand 1
     /* 1365581 */     // No operand predicates
     /* 1365581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365585 */     // MIs[0] policy
     /* 1365585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1365600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365625 */     // GIR_Coverage, 14391,
     /* 1365625 */     GIR_EraseRootFromParent_Done,
     /* 1365626 */   // Label 19324: @1365626
     /* 1365626 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1365726), // Rule ID 14394 //
     /* 1365631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1365642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1365645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1365648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1365654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365681 */     // MIs[1] Operand 1
     /* 1365681 */     // No operand predicates
     /* 1365681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365685 */     // MIs[0] policy
     /* 1365685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1365700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365725 */     // GIR_Coverage, 14394,
     /* 1365725 */     GIR_EraseRootFromParent_Done,
     /* 1365726 */   // Label 19325: @1365726
     /* 1365726 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1365826), // Rule ID 14395 //
     /* 1365731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1365742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1365745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1365748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1365751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1365754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365781 */     // MIs[1] Operand 1
     /* 1365781 */     // No operand predicates
     /* 1365781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365785 */     // MIs[0] policy
     /* 1365785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1365800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365825 */     // GIR_Coverage, 14395,
     /* 1365825 */     GIR_EraseRootFromParent_Done,
     /* 1365826 */   // Label 19326: @1365826
     /* 1365826 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1365926), // Rule ID 14398 //
     /* 1365831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1365842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1365845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1365848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1365861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365881 */     // MIs[1] Operand 1
     /* 1365881 */     // No operand predicates
     /* 1365881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365885 */     // MIs[0] policy
     /* 1365885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1365900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1365909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1365924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365925 */     // GIR_Coverage, 14398,
     /* 1365925 */     GIR_EraseRootFromParent_Done,
     /* 1365926 */   // Label 19327: @1365926
     /* 1365926 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1366026), // Rule ID 14399 //
     /* 1365931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1365939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1365942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1365945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1365948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1365951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1365961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1365973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1365977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1365981 */     // MIs[1] Operand 1
     /* 1365981 */     // No operand predicates
     /* 1365981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365985 */     // MIs[0] policy
     /* 1365985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1365990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1366000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366025 */     // GIR_Coverage, 14399,
     /* 1366025 */     GIR_EraseRootFromParent_Done,
     /* 1366026 */   // Label 19328: @1366026
     /* 1366026 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1366126), // Rule ID 14402 //
     /* 1366031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1366042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1366045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1366051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1366061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366081 */     // MIs[1] Operand 1
     /* 1366081 */     // No operand predicates
     /* 1366081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366085 */     // MIs[0] policy
     /* 1366085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1366100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366125 */     // GIR_Coverage, 14402,
     /* 1366125 */     GIR_EraseRootFromParent_Done,
     /* 1366126 */   // Label 19329: @1366126
     /* 1366126 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1366226), // Rule ID 14403 //
     /* 1366131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1366142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1366145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1366151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1366161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366181 */     // MIs[1] Operand 1
     /* 1366181 */     // No operand predicates
     /* 1366181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366185 */     // MIs[0] policy
     /* 1366185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1366200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366225 */     // GIR_Coverage, 14403,
     /* 1366225 */     GIR_EraseRootFromParent_Done,
     /* 1366226 */   // Label 19330: @1366226
     /* 1366226 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1366326), // Rule ID 14406 //
     /* 1366231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1366242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1366245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1366248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1366251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1366261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366281 */     // MIs[1] Operand 1
     /* 1366281 */     // No operand predicates
     /* 1366281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366285 */     // MIs[0] policy
     /* 1366285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1366300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366325 */     // GIR_Coverage, 14406,
     /* 1366325 */     GIR_EraseRootFromParent_Done,
     /* 1366326 */   // Label 19331: @1366326
     /* 1366326 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1366426), // Rule ID 14407 //
     /* 1366331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1366342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1366345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1366348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1366351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1366361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366381 */     // MIs[1] Operand 1
     /* 1366381 */     // No operand predicates
     /* 1366381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366385 */     // MIs[0] policy
     /* 1366385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1366400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366425 */     // GIR_Coverage, 14407,
     /* 1366425 */     GIR_EraseRootFromParent_Done,
     /* 1366426 */   // Label 19332: @1366426
     /* 1366426 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1366526), // Rule ID 14410 //
     /* 1366431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1366442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1366445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1366448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1366451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1366461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366481 */     // MIs[1] Operand 1
     /* 1366481 */     // No operand predicates
     /* 1366481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366485 */     // MIs[0] policy
     /* 1366485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1366500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366525 */     // GIR_Coverage, 14410,
     /* 1366525 */     GIR_EraseRootFromParent_Done,
     /* 1366526 */   // Label 19333: @1366526
     /* 1366526 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1366626), // Rule ID 14411 //
     /* 1366531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1366542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1366545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1366548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1366551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1366561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366581 */     // MIs[1] Operand 1
     /* 1366581 */     // No operand predicates
     /* 1366581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366585 */     // MIs[0] policy
     /* 1366585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1366600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366625 */     // GIR_Coverage, 14411,
     /* 1366625 */     GIR_EraseRootFromParent_Done,
     /* 1366626 */   // Label 19334: @1366626
     /* 1366626 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1366726), // Rule ID 14414 //
     /* 1366631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1366642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1366645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1366648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1366651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1366661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366681 */     // MIs[1] Operand 1
     /* 1366681 */     // No operand predicates
     /* 1366681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366685 */     // MIs[0] policy
     /* 1366685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1366700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366725 */     // GIR_Coverage, 14414,
     /* 1366725 */     GIR_EraseRootFromParent_Done,
     /* 1366726 */   // Label 19335: @1366726
     /* 1366726 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1366826), // Rule ID 14415 //
     /* 1366731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1366742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1366745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1366748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1366751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1366761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366781 */     // MIs[1] Operand 1
     /* 1366781 */     // No operand predicates
     /* 1366781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366785 */     // MIs[0] policy
     /* 1366785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1366800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366825 */     // GIR_Coverage, 14415,
     /* 1366825 */     GIR_EraseRootFromParent_Done,
     /* 1366826 */   // Label 19336: @1366826
     /* 1366826 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1366926), // Rule ID 14418 //
     /* 1366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1366842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1366845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1366848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1366851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1366861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366881 */     // MIs[1] Operand 1
     /* 1366881 */     // No operand predicates
     /* 1366881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366885 */     // MIs[0] policy
     /* 1366885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1366900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1366909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1366924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366925 */     // GIR_Coverage, 14418,
     /* 1366925 */     GIR_EraseRootFromParent_Done,
     /* 1366926 */   // Label 19337: @1366926
     /* 1366926 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1367026), // Rule ID 14419 //
     /* 1366931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1366939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1366942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1366945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1366948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1366951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1366961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1366973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1366977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1366981 */     // MIs[1] Operand 1
     /* 1366981 */     // No operand predicates
     /* 1366981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366985 */     // MIs[0] policy
     /* 1366985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1366990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1367000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367025 */     // GIR_Coverage, 14419,
     /* 1367025 */     GIR_EraseRootFromParent_Done,
     /* 1367026 */   // Label 19338: @1367026
     /* 1367026 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1367126), // Rule ID 14422 //
     /* 1367031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1367042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1367045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1367051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1367061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367081 */     // MIs[1] Operand 1
     /* 1367081 */     // No operand predicates
     /* 1367081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367085 */     // MIs[0] policy
     /* 1367085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1367100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367125 */     // GIR_Coverage, 14422,
     /* 1367125 */     GIR_EraseRootFromParent_Done,
     /* 1367126 */   // Label 19339: @1367126
     /* 1367126 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1367226), // Rule ID 14423 //
     /* 1367131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1367142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1367145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1367151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1367161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367181 */     // MIs[1] Operand 1
     /* 1367181 */     // No operand predicates
     /* 1367181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367185 */     // MIs[0] policy
     /* 1367185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1367200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367225 */     // GIR_Coverage, 14423,
     /* 1367225 */     GIR_EraseRootFromParent_Done,
     /* 1367226 */   // Label 19340: @1367226
     /* 1367226 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1367326), // Rule ID 14426 //
     /* 1367231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1367242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1367245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1367251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367281 */     // MIs[1] Operand 1
     /* 1367281 */     // No operand predicates
     /* 1367281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367285 */     // MIs[0] policy
     /* 1367285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1367300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367325 */     // GIR_Coverage, 14426,
     /* 1367325 */     GIR_EraseRootFromParent_Done,
     /* 1367326 */   // Label 19341: @1367326
     /* 1367326 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1367426), // Rule ID 14427 //
     /* 1367331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1367342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1367345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1367351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367381 */     // MIs[1] Operand 1
     /* 1367381 */     // No operand predicates
     /* 1367381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367385 */     // MIs[0] policy
     /* 1367385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1367400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367425 */     // GIR_Coverage, 14427,
     /* 1367425 */     GIR_EraseRootFromParent_Done,
     /* 1367426 */   // Label 19342: @1367426
     /* 1367426 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1367526), // Rule ID 14430 //
     /* 1367431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1367442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1367445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1367448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1367451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1367461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367481 */     // MIs[1] Operand 1
     /* 1367481 */     // No operand predicates
     /* 1367481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367485 */     // MIs[0] policy
     /* 1367485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1367500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367525 */     // GIR_Coverage, 14430,
     /* 1367525 */     GIR_EraseRootFromParent_Done,
     /* 1367526 */   // Label 19343: @1367526
     /* 1367526 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1367626), // Rule ID 14431 //
     /* 1367531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1367539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1367542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1367545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1367548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1367551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1367561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1367581 */     // MIs[1] Operand 1
     /* 1367581 */     // No operand predicates
     /* 1367581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367585 */     // MIs[0] policy
     /* 1367585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1367600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1367624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367625 */     // GIR_Coverage, 14431,
     /* 1367625 */     GIR_EraseRootFromParent_Done,
     /* 1367626 */   // Label 19344: @1367626
     /* 1367626 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1367723), // Rule ID 23550 //
     /* 1367631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1367639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1367642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1367645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1367648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1367651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1367681 */     // MIs[1] Operand 1
     /* 1367681 */     // No operand predicates
     /* 1367681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367685 */     // MIs[0] policy
     /* 1367685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1367700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367722 */     // GIR_Coverage, 23550,
     /* 1367722 */     GIR_EraseRootFromParent_Done,
     /* 1367723 */   // Label 19345: @1367723
     /* 1367723 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1367820), // Rule ID 23551 //
     /* 1367728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1367736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1367739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1367742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1367745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1367748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1367778 */     // MIs[1] Operand 1
     /* 1367778 */     // No operand predicates
     /* 1367778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367782 */     // MIs[0] policy
     /* 1367782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1367797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367819 */     // GIR_Coverage, 23551,
     /* 1367819 */     GIR_EraseRootFromParent_Done,
     /* 1367820 */   // Label 19346: @1367820
     /* 1367820 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1367917), // Rule ID 23554 //
     /* 1367825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1367833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1367836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1367839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1367842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1367845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1367875 */     // MIs[1] Operand 1
     /* 1367875 */     // No operand predicates
     /* 1367875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367879 */     // MIs[0] policy
     /* 1367879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1367894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1367903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367916 */     // GIR_Coverage, 23554,
     /* 1367916 */     GIR_EraseRootFromParent_Done,
     /* 1367917 */   // Label 19347: @1367917
     /* 1367917 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1368014), // Rule ID 23555 //
     /* 1367922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1367930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1367933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1367936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1367939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1367942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1367964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1367968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1367972 */     // MIs[1] Operand 1
     /* 1367972 */     // No operand predicates
     /* 1367972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367976 */     // MIs[0] policy
     /* 1367976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1367981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1367991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368013 */     // GIR_Coverage, 23555,
     /* 1368013 */     GIR_EraseRootFromParent_Done,
     /* 1368014 */   // Label 19348: @1368014
     /* 1368014 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1368111), // Rule ID 23558 //
     /* 1368019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1368030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1368033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1368039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368069 */     // MIs[1] Operand 1
     /* 1368069 */     // No operand predicates
     /* 1368069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368073 */     // MIs[0] policy
     /* 1368073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368085 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368110 */     // GIR_Coverage, 23558,
     /* 1368110 */     GIR_EraseRootFromParent_Done,
     /* 1368111 */   // Label 19349: @1368111
     /* 1368111 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1368208), // Rule ID 23559 //
     /* 1368116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1368127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1368130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1368136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368166 */     // MIs[1] Operand 1
     /* 1368166 */     // No operand predicates
     /* 1368166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368170 */     // MIs[0] policy
     /* 1368170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368207 */     // GIR_Coverage, 23559,
     /* 1368207 */     GIR_EraseRootFromParent_Done,
     /* 1368208 */   // Label 19350: @1368208
     /* 1368208 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1368305), // Rule ID 23562 //
     /* 1368213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1368224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1368227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1368233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368263 */     // MIs[1] Operand 1
     /* 1368263 */     // No operand predicates
     /* 1368263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368267 */     // MIs[0] policy
     /* 1368267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1368282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368304 */     // GIR_Coverage, 23562,
     /* 1368304 */     GIR_EraseRootFromParent_Done,
     /* 1368305 */   // Label 19351: @1368305
     /* 1368305 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1368402), // Rule ID 23563 //
     /* 1368310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1368321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1368324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1368330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368360 */     // MIs[1] Operand 1
     /* 1368360 */     // No operand predicates
     /* 1368360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368364 */     // MIs[0] policy
     /* 1368364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1368379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368401 */     // GIR_Coverage, 23563,
     /* 1368401 */     GIR_EraseRootFromParent_Done,
     /* 1368402 */   // Label 19352: @1368402
     /* 1368402 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1368499), // Rule ID 23566 //
     /* 1368407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1368418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1368421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1368427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368457 */     // MIs[1] Operand 1
     /* 1368457 */     // No operand predicates
     /* 1368457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368461 */     // MIs[0] policy
     /* 1368461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368498 */     // GIR_Coverage, 23566,
     /* 1368498 */     GIR_EraseRootFromParent_Done,
     /* 1368499 */   // Label 19353: @1368499
     /* 1368499 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1368596), // Rule ID 23567 //
     /* 1368504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1368515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1368518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1368524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368554 */     // MIs[1] Operand 1
     /* 1368554 */     // No operand predicates
     /* 1368554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368558 */     // MIs[0] policy
     /* 1368558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368595 */     // GIR_Coverage, 23567,
     /* 1368595 */     GIR_EraseRootFromParent_Done,
     /* 1368596 */   // Label 19354: @1368596
     /* 1368596 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1368693), // Rule ID 23570 //
     /* 1368601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1368612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1368615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1368618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1368621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368651 */     // MIs[1] Operand 1
     /* 1368651 */     // No operand predicates
     /* 1368651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368655 */     // MIs[0] policy
     /* 1368655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368692 */     // GIR_Coverage, 23570,
     /* 1368692 */     GIR_EraseRootFromParent_Done,
     /* 1368693 */   // Label 19355: @1368693
     /* 1368693 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1368790), // Rule ID 23571 //
     /* 1368698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1368709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1368712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1368715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1368718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368748 */     // MIs[1] Operand 1
     /* 1368748 */     // No operand predicates
     /* 1368748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368752 */     // MIs[0] policy
     /* 1368752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1368767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368789 */     // GIR_Coverage, 23571,
     /* 1368789 */     GIR_EraseRootFromParent_Done,
     /* 1368790 */   // Label 19356: @1368790
     /* 1368790 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1368887), // Rule ID 23574 //
     /* 1368795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1368812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1368815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368845 */     // MIs[1] Operand 1
     /* 1368845 */     // No operand predicates
     /* 1368845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368849 */     // MIs[0] policy
     /* 1368849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368861 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1368864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368886 */     // GIR_Coverage, 23574,
     /* 1368886 */     GIR_EraseRootFromParent_Done,
     /* 1368887 */   // Label 19357: @1368887
     /* 1368887 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1368984), // Rule ID 23575 //
     /* 1368892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1368909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1368912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1368934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1368938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1368942 */     // MIs[1] Operand 1
     /* 1368942 */     // No operand predicates
     /* 1368942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368946 */     // MIs[0] policy
     /* 1368946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1368951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1368961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1368970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368983 */     // GIR_Coverage, 23575,
     /* 1368983 */     GIR_EraseRootFromParent_Done,
     /* 1368984 */   // Label 19358: @1368984
     /* 1368984 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1369081), // Rule ID 23578 //
     /* 1368989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1368997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369039 */     // MIs[1] Operand 1
     /* 1369039 */     // No operand predicates
     /* 1369039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369043 */     // MIs[0] policy
     /* 1369043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369080 */     // GIR_Coverage, 23578,
     /* 1369080 */     GIR_EraseRootFromParent_Done,
     /* 1369081 */   // Label 19359: @1369081
     /* 1369081 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1369178), // Rule ID 23579 //
     /* 1369086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1369106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369136 */     // MIs[1] Operand 1
     /* 1369136 */     // No operand predicates
     /* 1369136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369140 */     // MIs[0] policy
     /* 1369140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369177 */     // GIR_Coverage, 23579,
     /* 1369177 */     GIR_EraseRootFromParent_Done,
     /* 1369178 */   // Label 19360: @1369178
     /* 1369178 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1369275), // Rule ID 23582 //
     /* 1369183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369233 */     // MIs[1] Operand 1
     /* 1369233 */     // No operand predicates
     /* 1369233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369237 */     // MIs[0] policy
     /* 1369237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369249 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369274 */     // GIR_Coverage, 23582,
     /* 1369274 */     GIR_EraseRootFromParent_Done,
     /* 1369275 */   // Label 19361: @1369275
     /* 1369275 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1369372), // Rule ID 23583 //
     /* 1369280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1369300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369330 */     // MIs[1] Operand 1
     /* 1369330 */     // No operand predicates
     /* 1369330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369334 */     // MIs[0] policy
     /* 1369334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369371 */     // GIR_Coverage, 23583,
     /* 1369371 */     GIR_EraseRootFromParent_Done,
     /* 1369372 */   // Label 19362: @1369372
     /* 1369372 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1369469), // Rule ID 23586 //
     /* 1369377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369427 */     // MIs[1] Operand 1
     /* 1369427 */     // No operand predicates
     /* 1369427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369431 */     // MIs[0] policy
     /* 1369431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369468 */     // GIR_Coverage, 23586,
     /* 1369468 */     GIR_EraseRootFromParent_Done,
     /* 1369469 */   // Label 19363: @1369469
     /* 1369469 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1369566), // Rule ID 23587 //
     /* 1369474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1369494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369524 */     // MIs[1] Operand 1
     /* 1369524 */     // No operand predicates
     /* 1369524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369528 */     // MIs[0] policy
     /* 1369528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1369543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369565 */     // GIR_Coverage, 23587,
     /* 1369565 */     GIR_EraseRootFromParent_Done,
     /* 1369566 */   // Label 19364: @1369566
     /* 1369566 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1369663), // Rule ID 23590 //
     /* 1369571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1369582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1369585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1369601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369621 */     // MIs[1] Operand 1
     /* 1369621 */     // No operand predicates
     /* 1369621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369625 */     // MIs[0] policy
     /* 1369625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1369640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369662 */     // GIR_Coverage, 23590,
     /* 1369662 */     GIR_EraseRootFromParent_Done,
     /* 1369663 */   // Label 19365: @1369663
     /* 1369663 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1369760), // Rule ID 23591 //
     /* 1369668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1369679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1369682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1369688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1369698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369718 */     // MIs[1] Operand 1
     /* 1369718 */     // No operand predicates
     /* 1369718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369722 */     // MIs[0] policy
     /* 1369722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1369737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369759 */     // GIR_Coverage, 23591,
     /* 1369759 */     GIR_EraseRootFromParent_Done,
     /* 1369760 */   // Label 19366: @1369760
     /* 1369760 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1369857), // Rule ID 23594 //
     /* 1369765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1369776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1369779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1369782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1369795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369815 */     // MIs[1] Operand 1
     /* 1369815 */     // No operand predicates
     /* 1369815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369819 */     // MIs[0] policy
     /* 1369819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369831 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1369834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369856 */     // GIR_Coverage, 23594,
     /* 1369856 */     GIR_EraseRootFromParent_Done,
     /* 1369857 */   // Label 19367: @1369857
     /* 1369857 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1369954), // Rule ID 23595 //
     /* 1369862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1369873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1369876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1369879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1369882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1369892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1369904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1369908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1369912 */     // MIs[1] Operand 1
     /* 1369912 */     // No operand predicates
     /* 1369912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369916 */     // MIs[0] policy
     /* 1369916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1369921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1369931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1369940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369953 */     // GIR_Coverage, 23595,
     /* 1369953 */     GIR_EraseRootFromParent_Done,
     /* 1369954 */   // Label 19368: @1369954
     /* 1369954 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1370051), // Rule ID 23598 //
     /* 1369959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1369967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1369970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1369973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1369976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1369979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1369982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1369989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370009 */     // MIs[1] Operand 1
     /* 1370009 */     // No operand predicates
     /* 1370009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370013 */     // MIs[0] policy
     /* 1370013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1370028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370050 */     // GIR_Coverage, 23598,
     /* 1370050 */     GIR_EraseRootFromParent_Done,
     /* 1370051 */   // Label 19369: @1370051
     /* 1370051 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1370148), // Rule ID 23599 //
     /* 1370056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1370067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1370070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1370073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1370076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1370079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1370086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370106 */     // MIs[1] Operand 1
     /* 1370106 */     // No operand predicates
     /* 1370106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370110 */     // MIs[0] policy
     /* 1370110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1370125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370147 */     // GIR_Coverage, 23599,
     /* 1370147 */     GIR_EraseRootFromParent_Done,
     /* 1370148 */   // Label 19370: @1370148
     /* 1370148 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1370245), // Rule ID 23602 //
     /* 1370153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1370164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1370167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1370173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370203 */     // MIs[1] Operand 1
     /* 1370203 */     // No operand predicates
     /* 1370203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370207 */     // MIs[0] policy
     /* 1370207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1370222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370244 */     // GIR_Coverage, 23602,
     /* 1370244 */     GIR_EraseRootFromParent_Done,
     /* 1370245 */   // Label 19371: @1370245
     /* 1370245 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1370342), // Rule ID 23603 //
     /* 1370250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1370261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1370264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1370267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1370270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370300 */     // MIs[1] Operand 1
     /* 1370300 */     // No operand predicates
     /* 1370300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370304 */     // MIs[0] policy
     /* 1370304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1370319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370341 */     // GIR_Coverage, 23603,
     /* 1370341 */     GIR_EraseRootFromParent_Done,
     /* 1370342 */   // Label 19372: @1370342
     /* 1370342 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1370439), // Rule ID 23606 //
     /* 1370347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1370358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1370361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1370367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1370377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370397 */     // MIs[1] Operand 1
     /* 1370397 */     // No operand predicates
     /* 1370397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370401 */     // MIs[0] policy
     /* 1370401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370413 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1370416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370438 */     // GIR_Coverage, 23606,
     /* 1370438 */     GIR_EraseRootFromParent_Done,
     /* 1370439 */   // Label 19373: @1370439
     /* 1370439 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1370536), // Rule ID 23607 //
     /* 1370444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1370455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1370458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1370464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1370474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370494 */     // MIs[1] Operand 1
     /* 1370494 */     // No operand predicates
     /* 1370494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370498 */     // MIs[0] policy
     /* 1370498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370510 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1370513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370535 */     // GIR_Coverage, 23607,
     /* 1370535 */     GIR_EraseRootFromParent_Done,
     /* 1370536 */   // Label 19374: @1370536
     /* 1370536 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1370633), // Rule ID 23610 //
     /* 1370541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1370552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1370555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1370561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1370571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370591 */     // MIs[1] Operand 1
     /* 1370591 */     // No operand predicates
     /* 1370591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370595 */     // MIs[0] policy
     /* 1370595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370607 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1370610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370632 */     // GIR_Coverage, 23610,
     /* 1370632 */     GIR_EraseRootFromParent_Done,
     /* 1370633 */   // Label 19375: @1370633
     /* 1370633 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1370730), // Rule ID 23611 //
     /* 1370638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1370649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1370652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1370658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1370668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370688 */     // MIs[1] Operand 1
     /* 1370688 */     // No operand predicates
     /* 1370688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370692 */     // MIs[0] policy
     /* 1370692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1370707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370729 */     // GIR_Coverage, 23611,
     /* 1370729 */     GIR_EraseRootFromParent_Done,
     /* 1370730 */   // Label 19376: @1370730
     /* 1370730 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1370827), // Rule ID 23614 //
     /* 1370735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1370746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1370749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1370755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370785 */     // MIs[1] Operand 1
     /* 1370785 */     // No operand predicates
     /* 1370785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370789 */     // MIs[0] policy
     /* 1370789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1370804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370826 */     // GIR_Coverage, 23614,
     /* 1370826 */     GIR_EraseRootFromParent_Done,
     /* 1370827 */   // Label 19377: @1370827
     /* 1370827 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1370924), // Rule ID 23615 //
     /* 1370832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1370843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1370846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1370852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370882 */     // MIs[1] Operand 1
     /* 1370882 */     // No operand predicates
     /* 1370882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370886 */     // MIs[0] policy
     /* 1370886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1370901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1370910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370923 */     // GIR_Coverage, 23615,
     /* 1370923 */     GIR_EraseRootFromParent_Done,
     /* 1370924 */   // Label 19378: @1370924
     /* 1370924 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1371021), // Rule ID 23618 //
     /* 1370929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1370937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1370940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1370943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1370946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1370949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1370959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1370971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1370975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1370979 */     // MIs[1] Operand 1
     /* 1370979 */     // No operand predicates
     /* 1370979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370983 */     // MIs[0] policy
     /* 1370983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1370988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1370998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371020 */     // GIR_Coverage, 23618,
     /* 1371020 */     GIR_EraseRootFromParent_Done,
     /* 1371021 */   // Label 19379: @1371021
     /* 1371021 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1371118), // Rule ID 23619 //
     /* 1371026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1371037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1371040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1371046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1371056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371076 */     // MIs[1] Operand 1
     /* 1371076 */     // No operand predicates
     /* 1371076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371080 */     // MIs[0] policy
     /* 1371080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1371095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371117 */     // GIR_Coverage, 23619,
     /* 1371117 */     GIR_EraseRootFromParent_Done,
     /* 1371118 */   // Label 19380: @1371118
     /* 1371118 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1371215), // Rule ID 23622 //
     /* 1371123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1371134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1371137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1371143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371173 */     // MIs[1] Operand 1
     /* 1371173 */     // No operand predicates
     /* 1371173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371177 */     // MIs[0] policy
     /* 1371177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1371192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371214 */     // GIR_Coverage, 23622,
     /* 1371214 */     GIR_EraseRootFromParent_Done,
     /* 1371215 */   // Label 19381: @1371215
     /* 1371215 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1371312), // Rule ID 23623 //
     /* 1371220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1371231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1371234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1371237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1371240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371270 */     // MIs[1] Operand 1
     /* 1371270 */     // No operand predicates
     /* 1371270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371274 */     // MIs[0] policy
     /* 1371274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1371289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371311 */     // GIR_Coverage, 23623,
     /* 1371311 */     GIR_EraseRootFromParent_Done,
     /* 1371312 */   // Label 19382: @1371312
     /* 1371312 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1371409), // Rule ID 23626 //
     /* 1371317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1371328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1371331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1371337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1371347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371367 */     // MIs[1] Operand 1
     /* 1371367 */     // No operand predicates
     /* 1371367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371371 */     // MIs[0] policy
     /* 1371371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1371386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371408 */     // GIR_Coverage, 23626,
     /* 1371408 */     GIR_EraseRootFromParent_Done,
     /* 1371409 */   // Label 19383: @1371409
     /* 1371409 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1371506), // Rule ID 23627 //
     /* 1371414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1371425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1371428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1371431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1371434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1371444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371464 */     // MIs[1] Operand 1
     /* 1371464 */     // No operand predicates
     /* 1371464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371468 */     // MIs[0] policy
     /* 1371468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1371483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371505 */     // GIR_Coverage, 23627,
     /* 1371505 */     GIR_EraseRootFromParent_Done,
     /* 1371506 */   // Label 19384: @1371506
     /* 1371506 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1371603), // Rule ID 23630 //
     /* 1371511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1371522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1371525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1371531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1371541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371561 */     // MIs[1] Operand 1
     /* 1371561 */     // No operand predicates
     /* 1371561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371565 */     // MIs[0] policy
     /* 1371565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1371580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371602 */     // GIR_Coverage, 23630,
     /* 1371602 */     GIR_EraseRootFromParent_Done,
     /* 1371603 */   // Label 19385: @1371603
     /* 1371603 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1371700), // Rule ID 23631 //
     /* 1371608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1371619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1371622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1371628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1371638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371658 */     // MIs[1] Operand 1
     /* 1371658 */     // No operand predicates
     /* 1371658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371662 */     // MIs[0] policy
     /* 1371662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1371677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371699 */     // GIR_Coverage, 23631,
     /* 1371699 */     GIR_EraseRootFromParent_Done,
     /* 1371700 */   // Label 19386: @1371700
     /* 1371700 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1371797), // Rule ID 23634 //
     /* 1371705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1371716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1371719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1371725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371755 */     // MIs[1] Operand 1
     /* 1371755 */     // No operand predicates
     /* 1371755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371759 */     // MIs[0] policy
     /* 1371759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371771 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1371774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371796 */     // GIR_Coverage, 23634,
     /* 1371796 */     GIR_EraseRootFromParent_Done,
     /* 1371797 */   // Label 19387: @1371797
     /* 1371797 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1371894), // Rule ID 23635 //
     /* 1371802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1371810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1371813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1371816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1371822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371852 */     // MIs[1] Operand 1
     /* 1371852 */     // No operand predicates
     /* 1371852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371856 */     // MIs[0] policy
     /* 1371856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1371871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371893 */     // GIR_Coverage, 23635,
     /* 1371893 */     GIR_EraseRootFromParent_Done,
     /* 1371894 */   // Label 19388: @1371894
     /* 1371894 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1371991), // Rule ID 23726 //
     /* 1371899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1371907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1371910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1371913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1371916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1371919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1371941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1371945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1371949 */     // MIs[1] Operand 1
     /* 1371949 */     // No operand predicates
     /* 1371949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371953 */     // MIs[0] policy
     /* 1371953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1371958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371965 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1371968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1371977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371990 */     // GIR_Coverage, 23726,
     /* 1371990 */     GIR_EraseRootFromParent_Done,
     /* 1371991 */   // Label 19389: @1371991
     /* 1371991 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1372088), // Rule ID 23727 //
     /* 1371996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1372007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1372010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372046 */     // MIs[1] Operand 1
     /* 1372046 */     // No operand predicates
     /* 1372046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372050 */     // MIs[0] policy
     /* 1372050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1372065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372087 */     // GIR_Coverage, 23727,
     /* 1372087 */     GIR_EraseRootFromParent_Done,
     /* 1372088 */   // Label 19390: @1372088
     /* 1372088 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1372185), // Rule ID 23730 //
     /* 1372093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1372104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1372107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1372113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372143 */     // MIs[1] Operand 1
     /* 1372143 */     // No operand predicates
     /* 1372143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372147 */     // MIs[0] policy
     /* 1372147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1372162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372184 */     // GIR_Coverage, 23730,
     /* 1372184 */     GIR_EraseRootFromParent_Done,
     /* 1372185 */   // Label 19391: @1372185
     /* 1372185 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1372282), // Rule ID 23731 //
     /* 1372190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1372201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1372204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372240 */     // MIs[1] Operand 1
     /* 1372240 */     // No operand predicates
     /* 1372240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372244 */     // MIs[0] policy
     /* 1372244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1372259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372281 */     // GIR_Coverage, 23731,
     /* 1372281 */     GIR_EraseRootFromParent_Done,
     /* 1372282 */   // Label 19392: @1372282
     /* 1372282 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1372379), // Rule ID 23734 //
     /* 1372287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1372298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1372301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1372307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372337 */     // MIs[1] Operand 1
     /* 1372337 */     // No operand predicates
     /* 1372337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372341 */     // MIs[0] policy
     /* 1372341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1372356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372378 */     // GIR_Coverage, 23734,
     /* 1372378 */     GIR_EraseRootFromParent_Done,
     /* 1372379 */   // Label 19393: @1372379
     /* 1372379 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1372476), // Rule ID 23735 //
     /* 1372384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1372395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1372398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1372401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372434 */     // MIs[1] Operand 1
     /* 1372434 */     // No operand predicates
     /* 1372434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372438 */     // MIs[0] policy
     /* 1372438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1372453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372475 */     // GIR_Coverage, 23735,
     /* 1372475 */     GIR_EraseRootFromParent_Done,
     /* 1372476 */   // Label 19394: @1372476
     /* 1372476 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1372573), // Rule ID 23738 //
     /* 1372481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1372492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1372495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1372501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372531 */     // MIs[1] Operand 1
     /* 1372531 */     // No operand predicates
     /* 1372531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372535 */     // MIs[0] policy
     /* 1372535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1372550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372572 */     // GIR_Coverage, 23738,
     /* 1372572 */     GIR_EraseRootFromParent_Done,
     /* 1372573 */   // Label 19395: @1372573
     /* 1372573 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1372670), // Rule ID 23739 //
     /* 1372578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1372589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1372592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372628 */     // MIs[1] Operand 1
     /* 1372628 */     // No operand predicates
     /* 1372628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372632 */     // MIs[0] policy
     /* 1372632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1372647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372669 */     // GIR_Coverage, 23739,
     /* 1372669 */     GIR_EraseRootFromParent_Done,
     /* 1372670 */   // Label 19396: @1372670
     /* 1372670 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1372767), // Rule ID 23742 //
     /* 1372675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1372686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1372689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1372695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372725 */     // MIs[1] Operand 1
     /* 1372725 */     // No operand predicates
     /* 1372725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372729 */     // MIs[0] policy
     /* 1372729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372741 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1372744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372766 */     // GIR_Coverage, 23742,
     /* 1372766 */     GIR_EraseRootFromParent_Done,
     /* 1372767 */   // Label 19397: @1372767
     /* 1372767 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1372864), // Rule ID 23743 //
     /* 1372772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1372783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1372786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372822 */     // MIs[1] Operand 1
     /* 1372822 */     // No operand predicates
     /* 1372822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372826 */     // MIs[0] policy
     /* 1372826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1372841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372863 */     // GIR_Coverage, 23743,
     /* 1372863 */     GIR_EraseRootFromParent_Done,
     /* 1372864 */   // Label 19398: @1372864
     /* 1372864 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1372961), // Rule ID 23746 //
     /* 1372869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1372880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1372883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1372889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1372911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1372915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1372919 */     // MIs[1] Operand 1
     /* 1372919 */     // No operand predicates
     /* 1372919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372923 */     // MIs[0] policy
     /* 1372923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1372928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372935 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1372938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1372947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372960 */     // GIR_Coverage, 23746,
     /* 1372960 */     GIR_EraseRootFromParent_Done,
     /* 1372961 */   // Label 19399: @1372961
     /* 1372961 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1373058), // Rule ID 23747 //
     /* 1372966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1372974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1372977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1372980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1372986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373016 */     // MIs[1] Operand 1
     /* 1373016 */     // No operand predicates
     /* 1373016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373020 */     // MIs[0] policy
     /* 1373020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1373035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373057 */     // GIR_Coverage, 23747,
     /* 1373057 */     GIR_EraseRootFromParent_Done,
     /* 1373058 */   // Label 19400: @1373058
     /* 1373058 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1373155), // Rule ID 23750 //
     /* 1373063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1373083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373113 */     // MIs[1] Operand 1
     /* 1373113 */     // No operand predicates
     /* 1373113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373117 */     // MIs[0] policy
     /* 1373117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373129 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373154 */     // GIR_Coverage, 23750,
     /* 1373154 */     GIR_EraseRootFromParent_Done,
     /* 1373155 */   // Label 19401: @1373155
     /* 1373155 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1373252), // Rule ID 23751 //
     /* 1373160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1373180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373210 */     // MIs[1] Operand 1
     /* 1373210 */     // No operand predicates
     /* 1373210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373214 */     // MIs[0] policy
     /* 1373214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373251 */     // GIR_Coverage, 23751,
     /* 1373251 */     GIR_EraseRootFromParent_Done,
     /* 1373252 */   // Label 19402: @1373252
     /* 1373252 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1373349), // Rule ID 23754 //
     /* 1373257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1373277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373307 */     // MIs[1] Operand 1
     /* 1373307 */     // No operand predicates
     /* 1373307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373311 */     // MIs[0] policy
     /* 1373311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373348 */     // GIR_Coverage, 23754,
     /* 1373348 */     GIR_EraseRootFromParent_Done,
     /* 1373349 */   // Label 19403: @1373349
     /* 1373349 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1373446), // Rule ID 23755 //
     /* 1373354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1373374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373404 */     // MIs[1] Operand 1
     /* 1373404 */     // No operand predicates
     /* 1373404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373408 */     // MIs[0] policy
     /* 1373408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373445 */     // GIR_Coverage, 23755,
     /* 1373445 */     GIR_EraseRootFromParent_Done,
     /* 1373446 */   // Label 19404: @1373446
     /* 1373446 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1373543), // Rule ID 23758 //
     /* 1373451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1373471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373501 */     // MIs[1] Operand 1
     /* 1373501 */     // No operand predicates
     /* 1373501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373505 */     // MIs[0] policy
     /* 1373505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373542 */     // GIR_Coverage, 23758,
     /* 1373542 */     GIR_EraseRootFromParent_Done,
     /* 1373543 */   // Label 19405: @1373543
     /* 1373543 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1373640), // Rule ID 23759 //
     /* 1373548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1373565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1373568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373598 */     // MIs[1] Operand 1
     /* 1373598 */     // No operand predicates
     /* 1373598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373602 */     // MIs[0] policy
     /* 1373602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373639 */     // GIR_Coverage, 23759,
     /* 1373639 */     GIR_EraseRootFromParent_Done,
     /* 1373640 */   // Label 19406: @1373640
     /* 1373640 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1373737), // Rule ID 23762 //
     /* 1373645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1373665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373695 */     // MIs[1] Operand 1
     /* 1373695 */     // No operand predicates
     /* 1373695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373699 */     // MIs[0] policy
     /* 1373699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373736 */     // GIR_Coverage, 23762,
     /* 1373736 */     GIR_EraseRootFromParent_Done,
     /* 1373737 */   // Label 19407: @1373737
     /* 1373737 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1373834), // Rule ID 23763 //
     /* 1373742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1373759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1373762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373792 */     // MIs[1] Operand 1
     /* 1373792 */     // No operand predicates
     /* 1373792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373796 */     // MIs[0] policy
     /* 1373796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1373811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373833 */     // GIR_Coverage, 23763,
     /* 1373833 */     GIR_EraseRootFromParent_Done,
     /* 1373834 */   // Label 19408: @1373834
     /* 1373834 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1373931), // Rule ID 23766 //
     /* 1373839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1373850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1373853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1373859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1373869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373889 */     // MIs[1] Operand 1
     /* 1373889 */     // No operand predicates
     /* 1373889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373893 */     // MIs[0] policy
     /* 1373893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1373908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1373917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373930 */     // GIR_Coverage, 23766,
     /* 1373930 */     GIR_EraseRootFromParent_Done,
     /* 1373931 */   // Label 19409: @1373931
     /* 1373931 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1374028), // Rule ID 23767 //
     /* 1373936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1373944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1373947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1373950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1373956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1373966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1373978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1373982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1373986 */     // MIs[1] Operand 1
     /* 1373986 */     // No operand predicates
     /* 1373986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373990 */     // MIs[0] policy
     /* 1373990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1373995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374002 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1374005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374027 */     // GIR_Coverage, 23767,
     /* 1374027 */     GIR_EraseRootFromParent_Done,
     /* 1374028 */   // Label 19410: @1374028
     /* 1374028 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1374125), // Rule ID 23770 //
     /* 1374033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1374044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1374047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1374053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374083 */     // MIs[1] Operand 1
     /* 1374083 */     // No operand predicates
     /* 1374083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374087 */     // MIs[0] policy
     /* 1374087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1374102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374124 */     // GIR_Coverage, 23770,
     /* 1374124 */     GIR_EraseRootFromParent_Done,
     /* 1374125 */   // Label 19411: @1374125
     /* 1374125 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1374222), // Rule ID 23771 //
     /* 1374130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1374141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1374144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1374150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374180 */     // MIs[1] Operand 1
     /* 1374180 */     // No operand predicates
     /* 1374180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374184 */     // MIs[0] policy
     /* 1374184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1374199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374221 */     // GIR_Coverage, 23771,
     /* 1374221 */     GIR_EraseRootFromParent_Done,
     /* 1374222 */   // Label 19412: @1374222
     /* 1374222 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1374319), // Rule ID 23774 //
     /* 1374227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1374238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1374241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1374247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1374257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374277 */     // MIs[1] Operand 1
     /* 1374277 */     // No operand predicates
     /* 1374277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374281 */     // MIs[0] policy
     /* 1374281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1374296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374318 */     // GIR_Coverage, 23774,
     /* 1374318 */     GIR_EraseRootFromParent_Done,
     /* 1374319 */   // Label 19413: @1374319
     /* 1374319 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1374416), // Rule ID 23775 //
     /* 1374324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1374335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1374338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1374344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1374354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374374 */     // MIs[1] Operand 1
     /* 1374374 */     // No operand predicates
     /* 1374374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374378 */     // MIs[0] policy
     /* 1374378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374390 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1374393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374415 */     // GIR_Coverage, 23775,
     /* 1374415 */     GIR_EraseRootFromParent_Done,
     /* 1374416 */   // Label 19414: @1374416
     /* 1374416 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1374513), // Rule ID 23778 //
     /* 1374421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1374432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1374435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1374441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1374451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374471 */     // MIs[1] Operand 1
     /* 1374471 */     // No operand predicates
     /* 1374471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374475 */     // MIs[0] policy
     /* 1374475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1374490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374512 */     // GIR_Coverage, 23778,
     /* 1374512 */     GIR_EraseRootFromParent_Done,
     /* 1374513 */   // Label 19415: @1374513
     /* 1374513 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1374610), // Rule ID 23779 //
     /* 1374518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1374529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1374532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1374538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1374548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374568 */     // MIs[1] Operand 1
     /* 1374568 */     // No operand predicates
     /* 1374568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374572 */     // MIs[0] policy
     /* 1374572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1374587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374609 */     // GIR_Coverage, 23779,
     /* 1374609 */     GIR_EraseRootFromParent_Done,
     /* 1374610 */   // Label 19416: @1374610
     /* 1374610 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1374707), // Rule ID 23782 //
     /* 1374615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1374626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1374629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1374635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374665 */     // MIs[1] Operand 1
     /* 1374665 */     // No operand predicates
     /* 1374665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374669 */     // MIs[0] policy
     /* 1374669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1374684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374706 */     // GIR_Coverage, 23782,
     /* 1374706 */     GIR_EraseRootFromParent_Done,
     /* 1374707 */   // Label 19417: @1374707
     /* 1374707 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1374804), // Rule ID 23783 //
     /* 1374712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1374723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1374726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1374729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1374732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374762 */     // MIs[1] Operand 1
     /* 1374762 */     // No operand predicates
     /* 1374762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374766 */     // MIs[0] policy
     /* 1374766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1374781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374803 */     // GIR_Coverage, 23783,
     /* 1374803 */     GIR_EraseRootFromParent_Done,
     /* 1374804 */   // Label 19418: @1374804
     /* 1374804 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1374901), // Rule ID 23786 //
     /* 1374809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1374820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1374823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1374829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1374839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374859 */     // MIs[1] Operand 1
     /* 1374859 */     // No operand predicates
     /* 1374859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374863 */     // MIs[0] policy
     /* 1374863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1374878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374900 */     // GIR_Coverage, 23786,
     /* 1374900 */     GIR_EraseRootFromParent_Done,
     /* 1374901 */   // Label 19419: @1374901
     /* 1374901 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1374998), // Rule ID 23787 //
     /* 1374906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1374914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1374917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1374920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1374923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1374926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1374936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1374948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1374952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1374956 */     // MIs[1] Operand 1
     /* 1374956 */     // No operand predicates
     /* 1374956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374960 */     // MIs[0] policy
     /* 1374960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1374965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1374975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1374984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374997 */     // GIR_Coverage, 23787,
     /* 1374997 */     GIR_EraseRootFromParent_Done,
     /* 1374998 */   // Label 19420: @1374998
     /* 1374998 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1375095), // Rule ID 23790 //
     /* 1375003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1375014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1375017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375053 */     // MIs[1] Operand 1
     /* 1375053 */     // No operand predicates
     /* 1375053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375057 */     // MIs[0] policy
     /* 1375057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375069 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1375072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375094 */     // GIR_Coverage, 23790,
     /* 1375094 */     GIR_EraseRootFromParent_Done,
     /* 1375095 */   // Label 19421: @1375095
     /* 1375095 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1375192), // Rule ID 23791 //
     /* 1375100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1375111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1375114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1375120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375150 */     // MIs[1] Operand 1
     /* 1375150 */     // No operand predicates
     /* 1375150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375154 */     // MIs[0] policy
     /* 1375154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1375169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375191 */     // GIR_Coverage, 23791,
     /* 1375191 */     GIR_EraseRootFromParent_Done,
     /* 1375192 */   // Label 19422: @1375192
     /* 1375192 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1375289), // Rule ID 23794 //
     /* 1375197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1375208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1375211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375247 */     // MIs[1] Operand 1
     /* 1375247 */     // No operand predicates
     /* 1375247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375251 */     // MIs[0] policy
     /* 1375251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1375266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375288 */     // GIR_Coverage, 23794,
     /* 1375288 */     GIR_EraseRootFromParent_Done,
     /* 1375289 */   // Label 19423: @1375289
     /* 1375289 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1375386), // Rule ID 23795 //
     /* 1375294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1375305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1375308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1375314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375344 */     // MIs[1] Operand 1
     /* 1375344 */     // No operand predicates
     /* 1375344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375348 */     // MIs[0] policy
     /* 1375348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1375363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375385 */     // GIR_Coverage, 23795,
     /* 1375385 */     GIR_EraseRootFromParent_Done,
     /* 1375386 */   // Label 19424: @1375386
     /* 1375386 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1375483), // Rule ID 23798 //
     /* 1375391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1375402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1375405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1375421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375441 */     // MIs[1] Operand 1
     /* 1375441 */     // No operand predicates
     /* 1375441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375445 */     // MIs[0] policy
     /* 1375445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1375460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375482 */     // GIR_Coverage, 23798,
     /* 1375482 */     GIR_EraseRootFromParent_Done,
     /* 1375483 */   // Label 19425: @1375483
     /* 1375483 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1375580), // Rule ID 23799 //
     /* 1375488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1375499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1375502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1375508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1375518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375538 */     // MIs[1] Operand 1
     /* 1375538 */     // No operand predicates
     /* 1375538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375542 */     // MIs[0] policy
     /* 1375542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1375557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375579 */     // GIR_Coverage, 23799,
     /* 1375579 */     GIR_EraseRootFromParent_Done,
     /* 1375580 */   // Label 19426: @1375580
     /* 1375580 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1375677), // Rule ID 23802 //
     /* 1375585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1375596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1375599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375635 */     // MIs[1] Operand 1
     /* 1375635 */     // No operand predicates
     /* 1375635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375639 */     // MIs[0] policy
     /* 1375639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1375654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375676 */     // GIR_Coverage, 23802,
     /* 1375676 */     GIR_EraseRootFromParent_Done,
     /* 1375677 */   // Label 19427: @1375677
     /* 1375677 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1375774), // Rule ID 23803 //
     /* 1375682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1375693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1375696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1375702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375732 */     // MIs[1] Operand 1
     /* 1375732 */     // No operand predicates
     /* 1375732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375736 */     // MIs[0] policy
     /* 1375736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1375751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375773 */     // GIR_Coverage, 23803,
     /* 1375773 */     GIR_EraseRootFromParent_Done,
     /* 1375774 */   // Label 19428: @1375774
     /* 1375774 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1375871), // Rule ID 23806 //
     /* 1375779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1375790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1375793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375829 */     // MIs[1] Operand 1
     /* 1375829 */     // No operand predicates
     /* 1375829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375833 */     // MIs[0] policy
     /* 1375833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1375848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375870 */     // GIR_Coverage, 23806,
     /* 1375870 */     GIR_EraseRootFromParent_Done,
     /* 1375871 */   // Label 19429: @1375871
     /* 1375871 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1375968), // Rule ID 23807 //
     /* 1375876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1375887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1375890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1375896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1375918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1375922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1375926 */     // MIs[1] Operand 1
     /* 1375926 */     // No operand predicates
     /* 1375926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375930 */     // MIs[0] policy
     /* 1375930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1375935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1375945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1375954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375967 */     // GIR_Coverage, 23807,
     /* 1375967 */     GIR_EraseRootFromParent_Done,
     /* 1375968 */   // Label 19430: @1375968
     /* 1375968 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1376065), // Rule ID 23810 //
     /* 1375973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1375981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1375984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1375987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1375993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1376003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376023 */     // MIs[1] Operand 1
     /* 1376023 */     // No operand predicates
     /* 1376023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376027 */     // MIs[0] policy
     /* 1376027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376039 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1376042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376064 */     // GIR_Coverage, 23810,
     /* 1376064 */     GIR_EraseRootFromParent_Done,
     /* 1376065 */   // Label 19431: @1376065
     /* 1376065 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1376162), // Rule ID 23811 //
     /* 1376070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1376078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1376081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1376084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1376090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1376100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376120 */     // MIs[1] Operand 1
     /* 1376120 */     // No operand predicates
     /* 1376120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376124 */     // MIs[0] policy
     /* 1376124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1376139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376161 */     // GIR_Coverage, 23811,
     /* 1376161 */     GIR_EraseRootFromParent_Done,
     /* 1376162 */   // Label 19432: @1376162
     /* 1376162 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1376259), // Rule ID 24050 //
     /* 1376167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1376170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1376178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1376181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1376187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376217 */     // MIs[1] Operand 1
     /* 1376217 */     // No operand predicates
     /* 1376217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376221 */     // MIs[0] policy
     /* 1376221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376233 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1376236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376258 */     // GIR_Coverage, 24050,
     /* 1376258 */     GIR_EraseRootFromParent_Done,
     /* 1376259 */   // Label 19433: @1376259
     /* 1376259 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1376356), // Rule ID 24051 //
     /* 1376264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1376267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1376275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1376278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1376284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376314 */     // MIs[1] Operand 1
     /* 1376314 */     // No operand predicates
     /* 1376314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376318 */     // MIs[0] policy
     /* 1376318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376330 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1376333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376355 */     // GIR_Coverage, 24051,
     /* 1376355 */     GIR_EraseRootFromParent_Done,
     /* 1376356 */   // Label 19434: @1376356
     /* 1376356 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1376453), // Rule ID 24054 //
     /* 1376361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1376364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1376372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1376375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1376381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376411 */     // MIs[1] Operand 1
     /* 1376411 */     // No operand predicates
     /* 1376411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376415 */     // MIs[0] policy
     /* 1376415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1376430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376452 */     // GIR_Coverage, 24054,
     /* 1376452 */     GIR_EraseRootFromParent_Done,
     /* 1376453 */   // Label 19435: @1376453
     /* 1376453 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1376550), // Rule ID 24055 //
     /* 1376458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1376461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1376469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1376472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1376478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376508 */     // MIs[1] Operand 1
     /* 1376508 */     // No operand predicates
     /* 1376508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376512 */     // MIs[0] policy
     /* 1376512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376524 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1376527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376549 */     // GIR_Coverage, 24055,
     /* 1376549 */     GIR_EraseRootFromParent_Done,
     /* 1376550 */   // Label 19436: @1376550
     /* 1376550 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1376647), // Rule ID 24058 //
     /* 1376555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1376558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1376566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1376569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1376575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376605 */     // MIs[1] Operand 1
     /* 1376605 */     // No operand predicates
     /* 1376605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376609 */     // MIs[0] policy
     /* 1376609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376621 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1376624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376646 */     // GIR_Coverage, 24058,
     /* 1376646 */     GIR_EraseRootFromParent_Done,
     /* 1376647 */   // Label 19437: @1376647
     /* 1376647 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1376744), // Rule ID 24059 //
     /* 1376652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1376655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1376663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1376666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1376669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1376672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376702 */     // MIs[1] Operand 1
     /* 1376702 */     // No operand predicates
     /* 1376702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376706 */     // MIs[0] policy
     /* 1376706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376718 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1376721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376743 */     // GIR_Coverage, 24059,
     /* 1376743 */     GIR_EraseRootFromParent_Done,
     /* 1376744 */   // Label 19438: @1376744
     /* 1376744 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1376841), // Rule ID 24062 //
     /* 1376749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1376752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1376769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376799 */     // MIs[1] Operand 1
     /* 1376799 */     // No operand predicates
     /* 1376799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376803 */     // MIs[0] policy
     /* 1376803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1376818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376840 */     // GIR_Coverage, 24062,
     /* 1376840 */     GIR_EraseRootFromParent_Done,
     /* 1376841 */   // Label 19439: @1376841
     /* 1376841 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1376938), // Rule ID 24063 //
     /* 1376846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1376849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1376866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376896 */     // MIs[1] Operand 1
     /* 1376896 */     // No operand predicates
     /* 1376896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376900 */     // MIs[0] policy
     /* 1376900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1376905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376912 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1376915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1376924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376937 */     // GIR_Coverage, 24063,
     /* 1376937 */     GIR_EraseRootFromParent_Done,
     /* 1376938 */   // Label 19440: @1376938
     /* 1376938 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1377035), // Rule ID 24066 //
     /* 1376943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1376946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1376951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1376960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1376963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1376985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1376989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1376993 */     // MIs[1] Operand 1
     /* 1376993 */     // No operand predicates
     /* 1376993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376997 */     // MIs[0] policy
     /* 1376997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1377012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377034 */     // GIR_Coverage, 24066,
     /* 1377034 */     GIR_EraseRootFromParent_Done,
     /* 1377035 */   // Label 19441: @1377035
     /* 1377035 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1377132), // Rule ID 24067 //
     /* 1377040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1377043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1377060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377090 */     // MIs[1] Operand 1
     /* 1377090 */     // No operand predicates
     /* 1377090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377094 */     // MIs[0] policy
     /* 1377094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1377109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377131 */     // GIR_Coverage, 24067,
     /* 1377131 */     GIR_EraseRootFromParent_Done,
     /* 1377132 */   // Label 19442: @1377132
     /* 1377132 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1377229), // Rule ID 24070 //
     /* 1377137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1377140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1377157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377187 */     // MIs[1] Operand 1
     /* 1377187 */     // No operand predicates
     /* 1377187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377191 */     // MIs[0] policy
     /* 1377191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1377206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377228 */     // GIR_Coverage, 24070,
     /* 1377228 */     GIR_EraseRootFromParent_Done,
     /* 1377229 */   // Label 19443: @1377229
     /* 1377229 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1377326), // Rule ID 24071 //
     /* 1377234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1377237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1377254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377284 */     // MIs[1] Operand 1
     /* 1377284 */     // No operand predicates
     /* 1377284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377288 */     // MIs[0] policy
     /* 1377288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1377303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377325 */     // GIR_Coverage, 24071,
     /* 1377325 */     GIR_EraseRootFromParent_Done,
     /* 1377326 */   // Label 19444: @1377326
     /* 1377326 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1377423), // Rule ID 24074 //
     /* 1377331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1377334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1377342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1377345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1377351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1377361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377381 */     // MIs[1] Operand 1
     /* 1377381 */     // No operand predicates
     /* 1377381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377385 */     // MIs[0] policy
     /* 1377385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377397 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1377400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377422 */     // GIR_Coverage, 24074,
     /* 1377422 */     GIR_EraseRootFromParent_Done,
     /* 1377423 */   // Label 19445: @1377423
     /* 1377423 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1377520), // Rule ID 24075 //
     /* 1377428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1377431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1377439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1377442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1377448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1377458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377478 */     // MIs[1] Operand 1
     /* 1377478 */     // No operand predicates
     /* 1377478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377482 */     // MIs[0] policy
     /* 1377482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377494 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1377497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377519 */     // GIR_Coverage, 24075,
     /* 1377519 */     GIR_EraseRootFromParent_Done,
     /* 1377520 */   // Label 19446: @1377520
     /* 1377520 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1377617), // Rule ID 24078 //
     /* 1377525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1377528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1377536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1377539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1377545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1377555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377575 */     // MIs[1] Operand 1
     /* 1377575 */     // No operand predicates
     /* 1377575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377579 */     // MIs[0] policy
     /* 1377579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377591 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1377594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377616 */     // GIR_Coverage, 24078,
     /* 1377616 */     GIR_EraseRootFromParent_Done,
     /* 1377617 */   // Label 19447: @1377617
     /* 1377617 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1377714), // Rule ID 24079 //
     /* 1377622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1377625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1377633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1377636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1377642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1377652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377672 */     // MIs[1] Operand 1
     /* 1377672 */     // No operand predicates
     /* 1377672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377676 */     // MIs[0] policy
     /* 1377676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377688 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1377691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377713 */     // GIR_Coverage, 24079,
     /* 1377713 */     GIR_EraseRootFromParent_Done,
     /* 1377714 */   // Label 19448: @1377714
     /* 1377714 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1377811), // Rule ID 24082 //
     /* 1377719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1377722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1377730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1377733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1377736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1377739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1377749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377769 */     // MIs[1] Operand 1
     /* 1377769 */     // No operand predicates
     /* 1377769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377773 */     // MIs[0] policy
     /* 1377773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377785 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1377788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377810 */     // GIR_Coverage, 24082,
     /* 1377810 */     GIR_EraseRootFromParent_Done,
     /* 1377811 */   // Label 19449: @1377811
     /* 1377811 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1377908), // Rule ID 24083 //
     /* 1377816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1377819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1377827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1377830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1377833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1377836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1377846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377866 */     // MIs[1] Operand 1
     /* 1377866 */     // No operand predicates
     /* 1377866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377870 */     // MIs[0] policy
     /* 1377870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377882 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1377885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377907 */     // GIR_Coverage, 24083,
     /* 1377907 */     GIR_EraseRootFromParent_Done,
     /* 1377908 */   // Label 19450: @1377908
     /* 1377908 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1378005), // Rule ID 24086 //
     /* 1377913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1377916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1377921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1377924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1377927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1377930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1377933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1377943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1377955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1377959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1377963 */     // MIs[1] Operand 1
     /* 1377963 */     // No operand predicates
     /* 1377963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377967 */     // MIs[0] policy
     /* 1377967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1377972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377979 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1377982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1377991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378004 */     // GIR_Coverage, 24086,
     /* 1378004 */     GIR_EraseRootFromParent_Done,
     /* 1378005 */   // Label 19451: @1378005
     /* 1378005 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1378102), // Rule ID 24087 //
     /* 1378010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1378013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1378021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1378024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1378027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1378030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1378040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378060 */     // MIs[1] Operand 1
     /* 1378060 */     // No operand predicates
     /* 1378060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378064 */     // MIs[0] policy
     /* 1378064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1378079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378101 */     // GIR_Coverage, 24087,
     /* 1378101 */     GIR_EraseRootFromParent_Done,
     /* 1378102 */   // Label 19452: @1378102
     /* 1378102 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1378199), // Rule ID 24090 //
     /* 1378107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1378110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1378118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1378121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378157 */     // MIs[1] Operand 1
     /* 1378157 */     // No operand predicates
     /* 1378157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378161 */     // MIs[0] policy
     /* 1378161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378173 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1378176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378198 */     // GIR_Coverage, 24090,
     /* 1378198 */     GIR_EraseRootFromParent_Done,
     /* 1378199 */   // Label 19453: @1378199
     /* 1378199 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1378296), // Rule ID 24091 //
     /* 1378204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1378207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1378215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1378218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1378221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1378224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378254 */     // MIs[1] Operand 1
     /* 1378254 */     // No operand predicates
     /* 1378254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378258 */     // MIs[0] policy
     /* 1378258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378270 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1378273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378295 */     // GIR_Coverage, 24091,
     /* 1378295 */     GIR_EraseRootFromParent_Done,
     /* 1378296 */   // Label 19454: @1378296
     /* 1378296 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1378393), // Rule ID 24094 //
     /* 1378301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1378304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1378312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1378315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1378331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378351 */     // MIs[1] Operand 1
     /* 1378351 */     // No operand predicates
     /* 1378351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378355 */     // MIs[0] policy
     /* 1378355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378367 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1378370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378392 */     // GIR_Coverage, 24094,
     /* 1378392 */     GIR_EraseRootFromParent_Done,
     /* 1378393 */   // Label 19455: @1378393
     /* 1378393 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1378490), // Rule ID 24095 //
     /* 1378398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1378401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1378409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1378412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1378418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1378428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378448 */     // MIs[1] Operand 1
     /* 1378448 */     // No operand predicates
     /* 1378448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378452 */     // MIs[0] policy
     /* 1378452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1378467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378489 */     // GIR_Coverage, 24095,
     /* 1378489 */     GIR_EraseRootFromParent_Done,
     /* 1378490 */   // Label 19456: @1378490
     /* 1378490 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1378587), // Rule ID 24098 //
     /* 1378495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1378498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1378506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1378509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1378525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378545 */     // MIs[1] Operand 1
     /* 1378545 */     // No operand predicates
     /* 1378545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378549 */     // MIs[0] policy
     /* 1378549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378561 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1378564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378586 */     // GIR_Coverage, 24098,
     /* 1378586 */     GIR_EraseRootFromParent_Done,
     /* 1378587 */   // Label 19457: @1378587
     /* 1378587 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1378684), // Rule ID 24099 //
     /* 1378592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1378595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1378603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1378606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1378612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1378622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378642 */     // MIs[1] Operand 1
     /* 1378642 */     // No operand predicates
     /* 1378642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378646 */     // MIs[0] policy
     /* 1378646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1378661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378683 */     // GIR_Coverage, 24099,
     /* 1378683 */     GIR_EraseRootFromParent_Done,
     /* 1378684 */   // Label 19458: @1378684
     /* 1378684 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1378781), // Rule ID 24102 //
     /* 1378689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1378692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1378700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1378703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378739 */     // MIs[1] Operand 1
     /* 1378739 */     // No operand predicates
     /* 1378739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378743 */     // MIs[0] policy
     /* 1378743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378755 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1378758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378780 */     // GIR_Coverage, 24102,
     /* 1378780 */     GIR_EraseRootFromParent_Done,
     /* 1378781 */   // Label 19459: @1378781
     /* 1378781 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1378878), // Rule ID 24103 //
     /* 1378786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1378789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1378797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1378800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1378806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378836 */     // MIs[1] Operand 1
     /* 1378836 */     // No operand predicates
     /* 1378836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378840 */     // MIs[0] policy
     /* 1378840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1378855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378877 */     // GIR_Coverage, 24103,
     /* 1378877 */     GIR_EraseRootFromParent_Done,
     /* 1378878 */   // Label 19460: @1378878
     /* 1378878 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1378975), // Rule ID 24106 //
     /* 1378883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1378886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1378894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1378897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1378913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1378933 */     // MIs[1] Operand 1
     /* 1378933 */     // No operand predicates
     /* 1378933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378937 */     // MIs[0] policy
     /* 1378937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378949 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1378952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1378961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378974 */     // GIR_Coverage, 24106,
     /* 1378974 */     GIR_EraseRootFromParent_Done,
     /* 1378975 */   // Label 19461: @1378975
     /* 1378975 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1379072), // Rule ID 24107 //
     /* 1378980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1378983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1378988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1378991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1378994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1379010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379030 */     // MIs[1] Operand 1
     /* 1379030 */     // No operand predicates
     /* 1379030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379034 */     // MIs[0] policy
     /* 1379034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379046 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1379049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379071 */     // GIR_Coverage, 24107,
     /* 1379071 */     GIR_EraseRootFromParent_Done,
     /* 1379072 */   // Label 19462: @1379072
     /* 1379072 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1379169), // Rule ID 24170 //
     /* 1379077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1379080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1379088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1379091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379127 */     // MIs[1] Operand 1
     /* 1379127 */     // No operand predicates
     /* 1379127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379131 */     // MIs[0] policy
     /* 1379131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379143 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1379146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379168 */     // GIR_Coverage, 24170,
     /* 1379168 */     GIR_EraseRootFromParent_Done,
     /* 1379169 */   // Label 19463: @1379169
     /* 1379169 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1379266), // Rule ID 24171 //
     /* 1379174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1379177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1379185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1379188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379224 */     // MIs[1] Operand 1
     /* 1379224 */     // No operand predicates
     /* 1379224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379228 */     // MIs[0] policy
     /* 1379228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1379243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379265 */     // GIR_Coverage, 24171,
     /* 1379265 */     GIR_EraseRootFromParent_Done,
     /* 1379266 */   // Label 19464: @1379266
     /* 1379266 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1379363), // Rule ID 24174 //
     /* 1379271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1379274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1379282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1379285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379321 */     // MIs[1] Operand 1
     /* 1379321 */     // No operand predicates
     /* 1379321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379325 */     // MIs[0] policy
     /* 1379325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379337 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1379340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379362 */     // GIR_Coverage, 24174,
     /* 1379362 */     GIR_EraseRootFromParent_Done,
     /* 1379363 */   // Label 19465: @1379363
     /* 1379363 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1379460), // Rule ID 24175 //
     /* 1379368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1379371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1379379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1379382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379418 */     // MIs[1] Operand 1
     /* 1379418 */     // No operand predicates
     /* 1379418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379422 */     // MIs[0] policy
     /* 1379422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1379437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379459 */     // GIR_Coverage, 24175,
     /* 1379459 */     GIR_EraseRootFromParent_Done,
     /* 1379460 */   // Label 19466: @1379460
     /* 1379460 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1379557), // Rule ID 24178 //
     /* 1379465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1379468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1379476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1379479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1379482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379515 */     // MIs[1] Operand 1
     /* 1379515 */     // No operand predicates
     /* 1379515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379519 */     // MIs[0] policy
     /* 1379519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379531 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1379534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379556 */     // GIR_Coverage, 24178,
     /* 1379556 */     GIR_EraseRootFromParent_Done,
     /* 1379557 */   // Label 19467: @1379557
     /* 1379557 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1379654), // Rule ID 24179 //
     /* 1379562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1379565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1379573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1379576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1379579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379612 */     // MIs[1] Operand 1
     /* 1379612 */     // No operand predicates
     /* 1379612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379616 */     // MIs[0] policy
     /* 1379616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1379631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379653 */     // GIR_Coverage, 24179,
     /* 1379653 */     GIR_EraseRootFromParent_Done,
     /* 1379654 */   // Label 19468: @1379654
     /* 1379654 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1379751), // Rule ID 24182 //
     /* 1379659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1379662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1379676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379709 */     // MIs[1] Operand 1
     /* 1379709 */     // No operand predicates
     /* 1379709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379713 */     // MIs[0] policy
     /* 1379713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379725 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1379728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379750 */     // GIR_Coverage, 24182,
     /* 1379750 */     GIR_EraseRootFromParent_Done,
     /* 1379751 */   // Label 19469: @1379751
     /* 1379751 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1379848), // Rule ID 24183 //
     /* 1379756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1379759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1379773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379806 */     // MIs[1] Operand 1
     /* 1379806 */     // No operand predicates
     /* 1379806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379810 */     // MIs[0] policy
     /* 1379810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379822 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1379825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379847 */     // GIR_Coverage, 24183,
     /* 1379847 */     GIR_EraseRootFromParent_Done,
     /* 1379848 */   // Label 19470: @1379848
     /* 1379848 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1379945), // Rule ID 24186 //
     /* 1379853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1379856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1379870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1379903 */     // MIs[1] Operand 1
     /* 1379903 */     // No operand predicates
     /* 1379903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379907 */     // MIs[0] policy
     /* 1379907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1379922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1379931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379944 */     // GIR_Coverage, 24186,
     /* 1379944 */     GIR_EraseRootFromParent_Done,
     /* 1379945 */   // Label 19471: @1379945
     /* 1379945 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1380042), // Rule ID 24187 //
     /* 1379950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1379953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1379958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1379967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380000 */     // MIs[1] Operand 1
     /* 1380000 */     // No operand predicates
     /* 1380000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380004 */     // MIs[0] policy
     /* 1380004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1380019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380041 */     // GIR_Coverage, 24187,
     /* 1380041 */     GIR_EraseRootFromParent_Done,
     /* 1380042 */   // Label 19472: @1380042
     /* 1380042 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1380139), // Rule ID 24190 //
     /* 1380047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1380050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380097 */     // MIs[1] Operand 1
     /* 1380097 */     // No operand predicates
     /* 1380097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380101 */     // MIs[0] policy
     /* 1380101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380113 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1380116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380138 */     // GIR_Coverage, 24190,
     /* 1380138 */     GIR_EraseRootFromParent_Done,
     /* 1380139 */   // Label 19473: @1380139
     /* 1380139 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1380236), // Rule ID 24191 //
     /* 1380144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1380147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380194 */     // MIs[1] Operand 1
     /* 1380194 */     // No operand predicates
     /* 1380194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380198 */     // MIs[0] policy
     /* 1380198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380210 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1380213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380235 */     // GIR_Coverage, 24191,
     /* 1380235 */     GIR_EraseRootFromParent_Done,
     /* 1380236 */   // Label 19474: @1380236
     /* 1380236 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1380333), // Rule ID 24194 //
     /* 1380241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1380244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1380252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1380255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1380258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1380271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380291 */     // MIs[1] Operand 1
     /* 1380291 */     // No operand predicates
     /* 1380291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380295 */     // MIs[0] policy
     /* 1380295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380307 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1380310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380332 */     // GIR_Coverage, 24194,
     /* 1380332 */     GIR_EraseRootFromParent_Done,
     /* 1380333 */   // Label 19475: @1380333
     /* 1380333 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1380430), // Rule ID 24195 //
     /* 1380338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1380341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1380349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1380352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1380355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1380368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380388 */     // MIs[1] Operand 1
     /* 1380388 */     // No operand predicates
     /* 1380388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380392 */     // MIs[0] policy
     /* 1380392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380404 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1380407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380429 */     // GIR_Coverage, 24195,
     /* 1380429 */     GIR_EraseRootFromParent_Done,
     /* 1380430 */   // Label 19476: @1380430
     /* 1380430 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1380527), // Rule ID 24198 //
     /* 1380435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1380438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1380446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1380449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1380452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1380465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380485 */     // MIs[1] Operand 1
     /* 1380485 */     // No operand predicates
     /* 1380485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380489 */     // MIs[0] policy
     /* 1380489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380501 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1380504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380526 */     // GIR_Coverage, 24198,
     /* 1380526 */     GIR_EraseRootFromParent_Done,
     /* 1380527 */   // Label 19477: @1380527
     /* 1380527 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1380624), // Rule ID 24199 //
     /* 1380532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1380535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1380543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1380546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1380549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1380562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380582 */     // MIs[1] Operand 1
     /* 1380582 */     // No operand predicates
     /* 1380582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380586 */     // MIs[0] policy
     /* 1380586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1380601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380623 */     // GIR_Coverage, 24199,
     /* 1380623 */     GIR_EraseRootFromParent_Done,
     /* 1380624 */   // Label 19478: @1380624
     /* 1380624 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1380721), // Rule ID 24202 //
     /* 1380629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1380632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1380640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1380643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1380646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1380659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380679 */     // MIs[1] Operand 1
     /* 1380679 */     // No operand predicates
     /* 1380679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380683 */     // MIs[0] policy
     /* 1380683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1380698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380720 */     // GIR_Coverage, 24202,
     /* 1380720 */     GIR_EraseRootFromParent_Done,
     /* 1380721 */   // Label 19479: @1380721
     /* 1380721 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1380818), // Rule ID 24203 //
     /* 1380726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1380729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1380737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1380740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1380743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1380756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380776 */     // MIs[1] Operand 1
     /* 1380776 */     // No operand predicates
     /* 1380776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380780 */     // MIs[0] policy
     /* 1380780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380792 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1380795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380817 */     // GIR_Coverage, 24203,
     /* 1380817 */     GIR_EraseRootFromParent_Done,
     /* 1380818 */   // Label 19480: @1380818
     /* 1380818 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1380915), // Rule ID 24206 //
     /* 1380823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1380826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1380834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1380837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1380840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1380853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380873 */     // MIs[1] Operand 1
     /* 1380873 */     // No operand predicates
     /* 1380873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380877 */     // MIs[0] policy
     /* 1380877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1380892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380914 */     // GIR_Coverage, 24206,
     /* 1380914 */     GIR_EraseRootFromParent_Done,
     /* 1380915 */   // Label 19481: @1380915
     /* 1380915 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1381012), // Rule ID 24207 //
     /* 1380920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1380923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1380928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1380931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1380934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1380937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1380950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1380970 */     // MIs[1] Operand 1
     /* 1380970 */     // No operand predicates
     /* 1380970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380974 */     // MIs[0] policy
     /* 1380974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380986 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1380989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1380998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381011 */     // GIR_Coverage, 24207,
     /* 1381011 */     GIR_EraseRootFromParent_Done,
     /* 1381012 */   // Label 19482: @1381012
     /* 1381012 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1381109), // Rule ID 24210 //
     /* 1381017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1381020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1381028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1381031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1381034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381067 */     // MIs[1] Operand 1
     /* 1381067 */     // No operand predicates
     /* 1381067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381071 */     // MIs[0] policy
     /* 1381071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381083 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1381086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381108 */     // GIR_Coverage, 24210,
     /* 1381108 */     GIR_EraseRootFromParent_Done,
     /* 1381109 */   // Label 19483: @1381109
     /* 1381109 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1381206), // Rule ID 24211 //
     /* 1381114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1381117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1381125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1381128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1381131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381164 */     // MIs[1] Operand 1
     /* 1381164 */     // No operand predicates
     /* 1381164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381168 */     // MIs[0] policy
     /* 1381168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381180 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1381183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381205 */     // GIR_Coverage, 24211,
     /* 1381205 */     GIR_EraseRootFromParent_Done,
     /* 1381206 */   // Label 19484: @1381206
     /* 1381206 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1381303), // Rule ID 24214 //
     /* 1381211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1381214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1381222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1381225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1381228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381261 */     // MIs[1] Operand 1
     /* 1381261 */     // No operand predicates
     /* 1381261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381265 */     // MIs[0] policy
     /* 1381265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381277 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1381280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381302 */     // GIR_Coverage, 24214,
     /* 1381302 */     GIR_EraseRootFromParent_Done,
     /* 1381303 */   // Label 19485: @1381303
     /* 1381303 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1381400), // Rule ID 24215 //
     /* 1381308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1381311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1381319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1381322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1381325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381358 */     // MIs[1] Operand 1
     /* 1381358 */     // No operand predicates
     /* 1381358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381362 */     // MIs[0] policy
     /* 1381362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1381377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381399 */     // GIR_Coverage, 24215,
     /* 1381399 */     GIR_EraseRootFromParent_Done,
     /* 1381400 */   // Label 19486: @1381400
     /* 1381400 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1381497), // Rule ID 24218 //
     /* 1381405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1381408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1381416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1381419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1381422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1381435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381455 */     // MIs[1] Operand 1
     /* 1381455 */     // No operand predicates
     /* 1381455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381459 */     // MIs[0] policy
     /* 1381459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381471 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1381474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381496 */     // GIR_Coverage, 24218,
     /* 1381496 */     GIR_EraseRootFromParent_Done,
     /* 1381497 */   // Label 19487: @1381497
     /* 1381497 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1381594), // Rule ID 24219 //
     /* 1381502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1381505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1381513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1381516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1381519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1381532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381552 */     // MIs[1] Operand 1
     /* 1381552 */     // No operand predicates
     /* 1381552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381556 */     // MIs[0] policy
     /* 1381556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1381571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381593 */     // GIR_Coverage, 24219,
     /* 1381593 */     GIR_EraseRootFromParent_Done,
     /* 1381594 */   // Label 19488: @1381594
     /* 1381594 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1381691), // Rule ID 24222 //
     /* 1381599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1381602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1381610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1381613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1381616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381649 */     // MIs[1] Operand 1
     /* 1381649 */     // No operand predicates
     /* 1381649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381653 */     // MIs[0] policy
     /* 1381653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381665 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1381668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381690 */     // GIR_Coverage, 24222,
     /* 1381690 */     GIR_EraseRootFromParent_Done,
     /* 1381691 */   // Label 19489: @1381691
     /* 1381691 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1381788), // Rule ID 24223 //
     /* 1381696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1381699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1381707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1381710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1381713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381746 */     // MIs[1] Operand 1
     /* 1381746 */     // No operand predicates
     /* 1381746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381750 */     // MIs[0] policy
     /* 1381750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1381765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381787 */     // GIR_Coverage, 24223,
     /* 1381787 */     GIR_EraseRootFromParent_Done,
     /* 1381788 */   // Label 19490: @1381788
     /* 1381788 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1381885), // Rule ID 24226 //
     /* 1381793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1381796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1381804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1381807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1381810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381843 */     // MIs[1] Operand 1
     /* 1381843 */     // No operand predicates
     /* 1381843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381847 */     // MIs[0] policy
     /* 1381847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381859 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1381862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381884 */     // GIR_Coverage, 24226,
     /* 1381884 */     GIR_EraseRootFromParent_Done,
     /* 1381885 */   // Label 19491: @1381885
     /* 1381885 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1381982), // Rule ID 24227 //
     /* 1381890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1381893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1381898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1381901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1381904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1381907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1381940 */     // MIs[1] Operand 1
     /* 1381940 */     // No operand predicates
     /* 1381940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381944 */     // MIs[0] policy
     /* 1381944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1381959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1381968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381981 */     // GIR_Coverage, 24227,
     /* 1381981 */     GIR_EraseRootFromParent_Done,
     /* 1381982 */   // Label 19492: @1381982
     /* 1381982 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1382079), // Rule ID 24526 //
     /* 1381987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1381995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1381998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1382001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1382004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382037 */     // MIs[1] Operand 1
     /* 1382037 */     // No operand predicates
     /* 1382037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382041 */     // MIs[0] policy
     /* 1382041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382053 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1382056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382078 */     // GIR_Coverage, 24526,
     /* 1382078 */     GIR_EraseRootFromParent_Done,
     /* 1382079 */   // Label 19493: @1382079
     /* 1382079 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1382176), // Rule ID 24527 //
     /* 1382084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1382095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1382098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1382101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382134 */     // MIs[1] Operand 1
     /* 1382134 */     // No operand predicates
     /* 1382134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382138 */     // MIs[0] policy
     /* 1382138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382150 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1382153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382175 */     // GIR_Coverage, 24527,
     /* 1382175 */     GIR_EraseRootFromParent_Done,
     /* 1382176 */   // Label 19494: @1382176
     /* 1382176 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1382273), // Rule ID 24530 //
     /* 1382181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1382192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1382195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1382198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382231 */     // MIs[1] Operand 1
     /* 1382231 */     // No operand predicates
     /* 1382231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382235 */     // MIs[0] policy
     /* 1382235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1382250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382272 */     // GIR_Coverage, 24530,
     /* 1382272 */     GIR_EraseRootFromParent_Done,
     /* 1382273 */   // Label 19495: @1382273
     /* 1382273 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1382370), // Rule ID 24531 //
     /* 1382278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1382289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1382292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1382295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382328 */     // MIs[1] Operand 1
     /* 1382328 */     // No operand predicates
     /* 1382328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382332 */     // MIs[0] policy
     /* 1382332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382344 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1382347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382369 */     // GIR_Coverage, 24531,
     /* 1382369 */     GIR_EraseRootFromParent_Done,
     /* 1382370 */   // Label 19496: @1382370
     /* 1382370 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1382467), // Rule ID 24534 //
     /* 1382375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1382386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1382389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1382392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382425 */     // MIs[1] Operand 1
     /* 1382425 */     // No operand predicates
     /* 1382425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382429 */     // MIs[0] policy
     /* 1382429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1382444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382466 */     // GIR_Coverage, 24534,
     /* 1382466 */     GIR_EraseRootFromParent_Done,
     /* 1382467 */   // Label 19497: @1382467
     /* 1382467 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1382564), // Rule ID 24535 //
     /* 1382472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1382483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1382486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1382489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382522 */     // MIs[1] Operand 1
     /* 1382522 */     // No operand predicates
     /* 1382522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382526 */     // MIs[0] policy
     /* 1382526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1382541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382563 */     // GIR_Coverage, 24535,
     /* 1382563 */     GIR_EraseRootFromParent_Done,
     /* 1382564 */   // Label 19498: @1382564
     /* 1382564 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1382661), // Rule ID 24538 //
     /* 1382569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1382580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1382583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1382586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382619 */     // MIs[1] Operand 1
     /* 1382619 */     // No operand predicates
     /* 1382619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382623 */     // MIs[0] policy
     /* 1382623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1382638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382660 */     // GIR_Coverage, 24538,
     /* 1382660 */     GIR_EraseRootFromParent_Done,
     /* 1382661 */   // Label 19499: @1382661
     /* 1382661 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1382758), // Rule ID 24539 //
     /* 1382666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1382677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1382680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1382683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382716 */     // MIs[1] Operand 1
     /* 1382716 */     // No operand predicates
     /* 1382716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382720 */     // MIs[0] policy
     /* 1382720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1382735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382757 */     // GIR_Coverage, 24539,
     /* 1382757 */     GIR_EraseRootFromParent_Done,
     /* 1382758 */   // Label 19500: @1382758
     /* 1382758 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1382855), // Rule ID 24542 //
     /* 1382763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1382774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1382777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1382780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382813 */     // MIs[1] Operand 1
     /* 1382813 */     // No operand predicates
     /* 1382813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382817 */     // MIs[0] policy
     /* 1382817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1382832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382854 */     // GIR_Coverage, 24542,
     /* 1382854 */     GIR_EraseRootFromParent_Done,
     /* 1382855 */   // Label 19501: @1382855
     /* 1382855 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1382952), // Rule ID 24543 //
     /* 1382860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1382871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1382874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1382877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1382910 */     // MIs[1] Operand 1
     /* 1382910 */     // No operand predicates
     /* 1382910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382914 */     // MIs[0] policy
     /* 1382914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1382929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1382938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382951 */     // GIR_Coverage, 24543,
     /* 1382951 */     GIR_EraseRootFromParent_Done,
     /* 1382952 */   // Label 19502: @1382952
     /* 1382952 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1383049), // Rule ID 24546 //
     /* 1382957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1382965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1382968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1382971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1382974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383007 */     // MIs[1] Operand 1
     /* 1383007 */     // No operand predicates
     /* 1383007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383011 */     // MIs[0] policy
     /* 1383011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1383026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383048 */     // GIR_Coverage, 24546,
     /* 1383048 */     GIR_EraseRootFromParent_Done,
     /* 1383049 */   // Label 19503: @1383049
     /* 1383049 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1383146), // Rule ID 24547 //
     /* 1383054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1383065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1383068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1383071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383104 */     // MIs[1] Operand 1
     /* 1383104 */     // No operand predicates
     /* 1383104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383108 */     // MIs[0] policy
     /* 1383108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1383123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383145 */     // GIR_Coverage, 24547,
     /* 1383145 */     GIR_EraseRootFromParent_Done,
     /* 1383146 */   // Label 19504: @1383146
     /* 1383146 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1383243), // Rule ID 24550 //
     /* 1383151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1383168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383201 */     // MIs[1] Operand 1
     /* 1383201 */     // No operand predicates
     /* 1383201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383205 */     // MIs[0] policy
     /* 1383205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383242 */     // GIR_Coverage, 24550,
     /* 1383242 */     GIR_EraseRootFromParent_Done,
     /* 1383243 */   // Label 19505: @1383243
     /* 1383243 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1383340), // Rule ID 24551 //
     /* 1383248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1383265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383298 */     // MIs[1] Operand 1
     /* 1383298 */     // No operand predicates
     /* 1383298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383302 */     // MIs[0] policy
     /* 1383302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383339 */     // GIR_Coverage, 24551,
     /* 1383339 */     GIR_EraseRootFromParent_Done,
     /* 1383340 */   // Label 19506: @1383340
     /* 1383340 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1383437), // Rule ID 24554 //
     /* 1383345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1383362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383395 */     // MIs[1] Operand 1
     /* 1383395 */     // No operand predicates
     /* 1383395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383399 */     // MIs[0] policy
     /* 1383399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383436 */     // GIR_Coverage, 24554,
     /* 1383436 */     GIR_EraseRootFromParent_Done,
     /* 1383437 */   // Label 19507: @1383437
     /* 1383437 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1383534), // Rule ID 24555 //
     /* 1383442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1383459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383492 */     // MIs[1] Operand 1
     /* 1383492 */     // No operand predicates
     /* 1383492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383496 */     // MIs[0] policy
     /* 1383496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383533 */     // GIR_Coverage, 24555,
     /* 1383533 */     GIR_EraseRootFromParent_Done,
     /* 1383534 */   // Label 19508: @1383534
     /* 1383534 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1383631), // Rule ID 24558 //
     /* 1383539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1383556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383589 */     // MIs[1] Operand 1
     /* 1383589 */     // No operand predicates
     /* 1383589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383593 */     // MIs[0] policy
     /* 1383593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383630 */     // GIR_Coverage, 24558,
     /* 1383630 */     GIR_EraseRootFromParent_Done,
     /* 1383631 */   // Label 19509: @1383631
     /* 1383631 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1383728), // Rule ID 24559 //
     /* 1383636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1383653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383686 */     // MIs[1] Operand 1
     /* 1383686 */     // No operand predicates
     /* 1383686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383690 */     // MIs[0] policy
     /* 1383690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383727 */     // GIR_Coverage, 24559,
     /* 1383727 */     GIR_EraseRootFromParent_Done,
     /* 1383728 */   // Label 19510: @1383728
     /* 1383728 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1383825), // Rule ID 24562 //
     /* 1383733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1383750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383783 */     // MIs[1] Operand 1
     /* 1383783 */     // No operand predicates
     /* 1383783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383787 */     // MIs[0] policy
     /* 1383787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383824 */     // GIR_Coverage, 24562,
     /* 1383824 */     GIR_EraseRootFromParent_Done,
     /* 1383825 */   // Label 19511: @1383825
     /* 1383825 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1383922), // Rule ID 24563 //
     /* 1383830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1383847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383880 */     // MIs[1] Operand 1
     /* 1383880 */     // No operand predicates
     /* 1383880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383884 */     // MIs[0] policy
     /* 1383884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1383899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1383908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383921 */     // GIR_Coverage, 24563,
     /* 1383921 */     GIR_EraseRootFromParent_Done,
     /* 1383922 */   // Label 19512: @1383922
     /* 1383922 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1384019), // Rule ID 24566 //
     /* 1383927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1383935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1383938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1383941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1383944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1383957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1383977 */     // MIs[1] Operand 1
     /* 1383977 */     // No operand predicates
     /* 1383977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383981 */     // MIs[0] policy
     /* 1383981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1383996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384018 */     // GIR_Coverage, 24566,
     /* 1384018 */     GIR_EraseRootFromParent_Done,
     /* 1384019 */   // Label 19513: @1384019
     /* 1384019 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1384116), // Rule ID 24567 //
     /* 1384024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1384035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1384038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1384041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1384054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384074 */     // MIs[1] Operand 1
     /* 1384074 */     // No operand predicates
     /* 1384074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384078 */     // MIs[0] policy
     /* 1384078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1384093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384115 */     // GIR_Coverage, 24567,
     /* 1384115 */     GIR_EraseRootFromParent_Done,
     /* 1384116 */   // Label 19514: @1384116
     /* 1384116 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1384213), // Rule ID 24570 //
     /* 1384121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1384132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1384135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1384151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384171 */     // MIs[1] Operand 1
     /* 1384171 */     // No operand predicates
     /* 1384171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384175 */     // MIs[0] policy
     /* 1384175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384187 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1384190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384212 */     // GIR_Coverage, 24570,
     /* 1384212 */     GIR_EraseRootFromParent_Done,
     /* 1384213 */   // Label 19515: @1384213
     /* 1384213 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1384310), // Rule ID 24571 //
     /* 1384218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1384229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1384232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1384248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384268 */     // MIs[1] Operand 1
     /* 1384268 */     // No operand predicates
     /* 1384268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384272 */     // MIs[0] policy
     /* 1384272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1384287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384309 */     // GIR_Coverage, 24571,
     /* 1384309 */     GIR_EraseRootFromParent_Done,
     /* 1384310 */   // Label 19516: @1384310
     /* 1384310 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1384407), // Rule ID 24574 //
     /* 1384315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1384326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1384329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1384332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1384338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1384345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384365 */     // MIs[1] Operand 1
     /* 1384365 */     // No operand predicates
     /* 1384365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384369 */     // MIs[0] policy
     /* 1384369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384381 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1384384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384406 */     // GIR_Coverage, 24574,
     /* 1384406 */     GIR_EraseRootFromParent_Done,
     /* 1384407 */   // Label 19517: @1384407
     /* 1384407 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1384504), // Rule ID 24575 //
     /* 1384412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1384423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1384426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1384429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1384435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1384442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384462 */     // MIs[1] Operand 1
     /* 1384462 */     // No operand predicates
     /* 1384462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384466 */     // MIs[0] policy
     /* 1384466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1384481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384503 */     // GIR_Coverage, 24575,
     /* 1384503 */     GIR_EraseRootFromParent_Done,
     /* 1384504 */   // Label 19518: @1384504
     /* 1384504 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1384601), // Rule ID 24578 //
     /* 1384509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1384520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1384523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1384539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384559 */     // MIs[1] Operand 1
     /* 1384559 */     // No operand predicates
     /* 1384559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384563 */     // MIs[0] policy
     /* 1384563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1384578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384600 */     // GIR_Coverage, 24578,
     /* 1384600 */     GIR_EraseRootFromParent_Done,
     /* 1384601 */   // Label 19519: @1384601
     /* 1384601 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1384698), // Rule ID 24579 //
     /* 1384606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1384617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1384620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1384636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384656 */     // MIs[1] Operand 1
     /* 1384656 */     // No operand predicates
     /* 1384656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384660 */     // MIs[0] policy
     /* 1384660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1384675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384697 */     // GIR_Coverage, 24579,
     /* 1384697 */     GIR_EraseRootFromParent_Done,
     /* 1384698 */   // Label 19520: @1384698
     /* 1384698 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1384795), // Rule ID 24582 //
     /* 1384703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1384714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1384717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1384720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1384733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384753 */     // MIs[1] Operand 1
     /* 1384753 */     // No operand predicates
     /* 1384753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384757 */     // MIs[0] policy
     /* 1384757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1384772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384794 */     // GIR_Coverage, 24582,
     /* 1384794 */     GIR_EraseRootFromParent_Done,
     /* 1384795 */   // Label 19521: @1384795
     /* 1384795 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1384892), // Rule ID 24583 //
     /* 1384800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1384811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1384814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1384817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1384830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384850 */     // MIs[1] Operand 1
     /* 1384850 */     // No operand predicates
     /* 1384850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384854 */     // MIs[0] policy
     /* 1384854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1384869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384891 */     // GIR_Coverage, 24583,
     /* 1384891 */     GIR_EraseRootFromParent_Done,
     /* 1384892 */   // Label 19522: @1384892
     /* 1384892 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1384989), // Rule ID 24586 //
     /* 1384897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1384905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1384908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1384911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1384914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1384927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1384947 */     // MIs[1] Operand 1
     /* 1384947 */     // No operand predicates
     /* 1384947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384951 */     // MIs[0] policy
     /* 1384951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1384966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384988 */     // GIR_Coverage, 24586,
     /* 1384988 */     GIR_EraseRootFromParent_Done,
     /* 1384989 */   // Label 19523: @1384989
     /* 1384989 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1385086), // Rule ID 24587 //
     /* 1384994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1385005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1385008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1385024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385044 */     // MIs[1] Operand 1
     /* 1385044 */     // No operand predicates
     /* 1385044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385048 */     // MIs[0] policy
     /* 1385048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1385063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385085 */     // GIR_Coverage, 24587,
     /* 1385085 */     GIR_EraseRootFromParent_Done,
     /* 1385086 */   // Label 19524: @1385086
     /* 1385086 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1385183), // Rule ID 24590 //
     /* 1385091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1385102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1385105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1385121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385141 */     // MIs[1] Operand 1
     /* 1385141 */     // No operand predicates
     /* 1385141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385145 */     // MIs[0] policy
     /* 1385145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1385160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385182 */     // GIR_Coverage, 24590,
     /* 1385182 */     GIR_EraseRootFromParent_Done,
     /* 1385183 */   // Label 19525: @1385183
     /* 1385183 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1385280), // Rule ID 24591 //
     /* 1385188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1385199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1385202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1385218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385238 */     // MIs[1] Operand 1
     /* 1385238 */     // No operand predicates
     /* 1385238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385242 */     // MIs[0] policy
     /* 1385242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1385257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385279 */     // GIR_Coverage, 24591,
     /* 1385279 */     GIR_EraseRootFromParent_Done,
     /* 1385280 */   // Label 19526: @1385280
     /* 1385280 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1385377), // Rule ID 24594 //
     /* 1385285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1385296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1385299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1385315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385335 */     // MIs[1] Operand 1
     /* 1385335 */     // No operand predicates
     /* 1385335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385339 */     // MIs[0] policy
     /* 1385339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1385354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385376 */     // GIR_Coverage, 24594,
     /* 1385376 */     GIR_EraseRootFromParent_Done,
     /* 1385377 */   // Label 19527: @1385377
     /* 1385377 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1385474), // Rule ID 24595 //
     /* 1385382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1385393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1385396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1385412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385432 */     // MIs[1] Operand 1
     /* 1385432 */     // No operand predicates
     /* 1385432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385436 */     // MIs[0] policy
     /* 1385436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1385451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385473 */     // GIR_Coverage, 24595,
     /* 1385473 */     GIR_EraseRootFromParent_Done,
     /* 1385474 */   // Label 19528: @1385474
     /* 1385474 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1385571), // Rule ID 24598 //
     /* 1385479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1385490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1385493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1385509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385529 */     // MIs[1] Operand 1
     /* 1385529 */     // No operand predicates
     /* 1385529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385533 */     // MIs[0] policy
     /* 1385533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1385548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385570 */     // GIR_Coverage, 24598,
     /* 1385570 */     GIR_EraseRootFromParent_Done,
     /* 1385571 */   // Label 19529: @1385571
     /* 1385571 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1385668), // Rule ID 24599 //
     /* 1385576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1385587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1385590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1385606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385626 */     // MIs[1] Operand 1
     /* 1385626 */     // No operand predicates
     /* 1385626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385630 */     // MIs[0] policy
     /* 1385630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1385645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385667 */     // GIR_Coverage, 24599,
     /* 1385667 */     GIR_EraseRootFromParent_Done,
     /* 1385668 */   // Label 19530: @1385668
     /* 1385668 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1385765), // Rule ID 24602 //
     /* 1385673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1385676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1385684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1385687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1385690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1385703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385723 */     // MIs[1] Operand 1
     /* 1385723 */     // No operand predicates
     /* 1385723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385727 */     // MIs[0] policy
     /* 1385727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1385742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385764 */     // GIR_Coverage, 24602,
     /* 1385764 */     GIR_EraseRootFromParent_Done,
     /* 1385765 */   // Label 19531: @1385765
     /* 1385765 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1385862), // Rule ID 24603 //
     /* 1385770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1385773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1385781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1385784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1385787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1385800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385820 */     // MIs[1] Operand 1
     /* 1385820 */     // No operand predicates
     /* 1385820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385824 */     // MIs[0] policy
     /* 1385824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1385839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385861 */     // GIR_Coverage, 24603,
     /* 1385861 */     GIR_EraseRootFromParent_Done,
     /* 1385862 */   // Label 19532: @1385862
     /* 1385862 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1385959), // Rule ID 24606 //
     /* 1385867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1385870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1385878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1385881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1385884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1385897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1385917 */     // MIs[1] Operand 1
     /* 1385917 */     // No operand predicates
     /* 1385917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385921 */     // MIs[0] policy
     /* 1385921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1385936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385958 */     // GIR_Coverage, 24606,
     /* 1385958 */     GIR_EraseRootFromParent_Done,
     /* 1385959 */   // Label 19533: @1385959
     /* 1385959 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1386056), // Rule ID 24607 //
     /* 1385964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1385967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1385972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1385975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1385978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1385981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1385994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386014 */     // MIs[1] Operand 1
     /* 1386014 */     // No operand predicates
     /* 1386014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386018 */     // MIs[0] policy
     /* 1386018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1386033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386055 */     // GIR_Coverage, 24607,
     /* 1386055 */     GIR_EraseRootFromParent_Done,
     /* 1386056 */   // Label 19534: @1386056
     /* 1386056 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1386153), // Rule ID 24610 //
     /* 1386061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1386072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1386075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1386091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386111 */     // MIs[1] Operand 1
     /* 1386111 */     // No operand predicates
     /* 1386111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386115 */     // MIs[0] policy
     /* 1386115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1386130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386152 */     // GIR_Coverage, 24610,
     /* 1386152 */     GIR_EraseRootFromParent_Done,
     /* 1386153 */   // Label 19535: @1386153
     /* 1386153 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1386250), // Rule ID 24611 //
     /* 1386158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1386169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1386172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1386188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386208 */     // MIs[1] Operand 1
     /* 1386208 */     // No operand predicates
     /* 1386208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386212 */     // MIs[0] policy
     /* 1386212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1386227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386249 */     // GIR_Coverage, 24611,
     /* 1386249 */     GIR_EraseRootFromParent_Done,
     /* 1386250 */   // Label 19536: @1386250
     /* 1386250 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1386347), // Rule ID 24770 //
     /* 1386255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1386258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1386266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1386269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386305 */     // MIs[1] Operand 1
     /* 1386305 */     // No operand predicates
     /* 1386305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386309 */     // MIs[0] policy
     /* 1386309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386321 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1386324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386346 */     // GIR_Coverage, 24770,
     /* 1386346 */     GIR_EraseRootFromParent_Done,
     /* 1386347 */   // Label 19537: @1386347
     /* 1386347 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1386444), // Rule ID 24771 //
     /* 1386352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1386355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1386363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1386366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386402 */     // MIs[1] Operand 1
     /* 1386402 */     // No operand predicates
     /* 1386402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386406 */     // MIs[0] policy
     /* 1386406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386418 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1386421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386443 */     // GIR_Coverage, 24771,
     /* 1386443 */     GIR_EraseRootFromParent_Done,
     /* 1386444 */   // Label 19538: @1386444
     /* 1386444 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1386541), // Rule ID 24774 //
     /* 1386449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1386452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386499 */     // MIs[1] Operand 1
     /* 1386499 */     // No operand predicates
     /* 1386499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386503 */     // MIs[0] policy
     /* 1386503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1386518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386540 */     // GIR_Coverage, 24774,
     /* 1386540 */     GIR_EraseRootFromParent_Done,
     /* 1386541 */   // Label 19539: @1386541
     /* 1386541 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1386638), // Rule ID 24775 //
     /* 1386546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1386549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386596 */     // MIs[1] Operand 1
     /* 1386596 */     // No operand predicates
     /* 1386596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386600 */     // MIs[0] policy
     /* 1386600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386612 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1386615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386637 */     // GIR_Coverage, 24775,
     /* 1386637 */     GIR_EraseRootFromParent_Done,
     /* 1386638 */   // Label 19540: @1386638
     /* 1386638 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1386735), // Rule ID 24778 //
     /* 1386643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1386646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386693 */     // MIs[1] Operand 1
     /* 1386693 */     // No operand predicates
     /* 1386693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386697 */     // MIs[0] policy
     /* 1386697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386709 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1386712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386734 */     // GIR_Coverage, 24778,
     /* 1386734 */     GIR_EraseRootFromParent_Done,
     /* 1386735 */   // Label 19541: @1386735
     /* 1386735 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1386832), // Rule ID 24779 //
     /* 1386740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1386743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386790 */     // MIs[1] Operand 1
     /* 1386790 */     // No operand predicates
     /* 1386790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386794 */     // MIs[0] policy
     /* 1386794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386806 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1386809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386831 */     // GIR_Coverage, 24779,
     /* 1386831 */     GIR_EraseRootFromParent_Done,
     /* 1386832 */   // Label 19542: @1386832
     /* 1386832 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1386929), // Rule ID 24782 //
     /* 1386837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1386840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1386848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1386851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1386867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386887 */     // MIs[1] Operand 1
     /* 1386887 */     // No operand predicates
     /* 1386887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386891 */     // MIs[0] policy
     /* 1386891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386903 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1386906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386928 */     // GIR_Coverage, 24782,
     /* 1386928 */     GIR_EraseRootFromParent_Done,
     /* 1386929 */   // Label 19543: @1386929
     /* 1386929 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1387026), // Rule ID 24783 //
     /* 1386934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1386937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1386942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1386945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1386948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1386964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1386984 */     // MIs[1] Operand 1
     /* 1386984 */     // No operand predicates
     /* 1386984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386988 */     // MIs[0] policy
     /* 1386988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1387003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387025 */     // GIR_Coverage, 24783,
     /* 1387025 */     GIR_EraseRootFromParent_Done,
     /* 1387026 */   // Label 19544: @1387026
     /* 1387026 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1387123), // Rule ID 24786 //
     /* 1387031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1387034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1387042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1387045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387081 */     // MIs[1] Operand 1
     /* 1387081 */     // No operand predicates
     /* 1387081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387085 */     // MIs[0] policy
     /* 1387085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387097 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1387100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387122 */     // GIR_Coverage, 24786,
     /* 1387122 */     GIR_EraseRootFromParent_Done,
     /* 1387123 */   // Label 19545: @1387123
     /* 1387123 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1387220), // Rule ID 24787 //
     /* 1387128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1387131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1387139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1387142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387178 */     // MIs[1] Operand 1
     /* 1387178 */     // No operand predicates
     /* 1387178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387182 */     // MIs[0] policy
     /* 1387182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1387197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387219 */     // GIR_Coverage, 24787,
     /* 1387219 */     GIR_EraseRootFromParent_Done,
     /* 1387220 */   // Label 19546: @1387220
     /* 1387220 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1387317), // Rule ID 24790 //
     /* 1387225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1387228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1387236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1387239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1387242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387275 */     // MIs[1] Operand 1
     /* 1387275 */     // No operand predicates
     /* 1387275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387279 */     // MIs[0] policy
     /* 1387279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387291 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1387294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387316 */     // GIR_Coverage, 24790,
     /* 1387316 */     GIR_EraseRootFromParent_Done,
     /* 1387317 */   // Label 19547: @1387317
     /* 1387317 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1387414), // Rule ID 24791 //
     /* 1387322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1387325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1387333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1387336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1387339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387372 */     // MIs[1] Operand 1
     /* 1387372 */     // No operand predicates
     /* 1387372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387376 */     // MIs[0] policy
     /* 1387376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1387391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387413 */     // GIR_Coverage, 24791,
     /* 1387413 */     GIR_EraseRootFromParent_Done,
     /* 1387414 */   // Label 19548: @1387414
     /* 1387414 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1387511), // Rule ID 24794 //
     /* 1387419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1387422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1387430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1387433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387469 */     // MIs[1] Operand 1
     /* 1387469 */     // No operand predicates
     /* 1387469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387473 */     // MIs[0] policy
     /* 1387473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387485 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1387488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387510 */     // GIR_Coverage, 24794,
     /* 1387510 */     GIR_EraseRootFromParent_Done,
     /* 1387511 */   // Label 19549: @1387511
     /* 1387511 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1387608), // Rule ID 24795 //
     /* 1387516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1387519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1387527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1387530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387566 */     // MIs[1] Operand 1
     /* 1387566 */     // No operand predicates
     /* 1387566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387570 */     // MIs[0] policy
     /* 1387570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1387585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387607 */     // GIR_Coverage, 24795,
     /* 1387607 */     GIR_EraseRootFromParent_Done,
     /* 1387608 */   // Label 19550: @1387608
     /* 1387608 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1387705), // Rule ID 24798 //
     /* 1387613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1387616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1387624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1387627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387663 */     // MIs[1] Operand 1
     /* 1387663 */     // No operand predicates
     /* 1387663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387667 */     // MIs[0] policy
     /* 1387667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387679 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1387682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387704 */     // GIR_Coverage, 24798,
     /* 1387704 */     GIR_EraseRootFromParent_Done,
     /* 1387705 */   // Label 19551: @1387705
     /* 1387705 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1387802), // Rule ID 24799 //
     /* 1387710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1387713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1387721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1387724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387760 */     // MIs[1] Operand 1
     /* 1387760 */     // No operand predicates
     /* 1387760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387764 */     // MIs[0] policy
     /* 1387764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1387779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387801 */     // GIR_Coverage, 24799,
     /* 1387801 */     GIR_EraseRootFromParent_Done,
     /* 1387802 */   // Label 19552: @1387802
     /* 1387802 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1387899), // Rule ID 24802 //
     /* 1387807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1387810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1387818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1387821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1387824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387857 */     // MIs[1] Operand 1
     /* 1387857 */     // No operand predicates
     /* 1387857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387861 */     // MIs[0] policy
     /* 1387861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387873 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1387876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387898 */     // GIR_Coverage, 24802,
     /* 1387898 */     GIR_EraseRootFromParent_Done,
     /* 1387899 */   // Label 19553: @1387899
     /* 1387899 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1387996), // Rule ID 24803 //
     /* 1387904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1387907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1387912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1387915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1387918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1387921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1387954 */     // MIs[1] Operand 1
     /* 1387954 */     // No operand predicates
     /* 1387954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387958 */     // MIs[0] policy
     /* 1387958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1387973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387995 */     // GIR_Coverage, 24803,
     /* 1387995 */     GIR_EraseRootFromParent_Done,
     /* 1387996 */   // Label 19554: @1387996
     /* 1387996 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1388093), // Rule ID 24854 //
     /* 1388001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1388012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1388015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388051 */     // MIs[1] Operand 1
     /* 1388051 */     // No operand predicates
     /* 1388051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388055 */     // MIs[0] policy
     /* 1388055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388067 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1388070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388092 */     // GIR_Coverage, 24854,
     /* 1388092 */     GIR_EraseRootFromParent_Done,
     /* 1388093 */   // Label 19555: @1388093
     /* 1388093 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1388190), // Rule ID 24855 //
     /* 1388098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1388101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1388109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1388112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388148 */     // MIs[1] Operand 1
     /* 1388148 */     // No operand predicates
     /* 1388148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388152 */     // MIs[0] policy
     /* 1388152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1388167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388189 */     // GIR_Coverage, 24855,
     /* 1388189 */     GIR_EraseRootFromParent_Done,
     /* 1388190 */   // Label 19556: @1388190
     /* 1388190 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1388287), // Rule ID 24858 //
     /* 1388195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1388206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1388209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388245 */     // MIs[1] Operand 1
     /* 1388245 */     // No operand predicates
     /* 1388245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388249 */     // MIs[0] policy
     /* 1388249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388261 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1388264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388286 */     // GIR_Coverage, 24858,
     /* 1388286 */     GIR_EraseRootFromParent_Done,
     /* 1388287 */   // Label 19557: @1388287
     /* 1388287 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1388384), // Rule ID 24859 //
     /* 1388292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1388295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1388303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1388306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388342 */     // MIs[1] Operand 1
     /* 1388342 */     // No operand predicates
     /* 1388342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388346 */     // MIs[0] policy
     /* 1388346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1388361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388383 */     // GIR_Coverage, 24859,
     /* 1388383 */     GIR_EraseRootFromParent_Done,
     /* 1388384 */   // Label 19558: @1388384
     /* 1388384 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1388481), // Rule ID 24862 //
     /* 1388389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388439 */     // MIs[1] Operand 1
     /* 1388439 */     // No operand predicates
     /* 1388439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388443 */     // MIs[0] policy
     /* 1388443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388455 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1388458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388480 */     // GIR_Coverage, 24862,
     /* 1388480 */     GIR_EraseRootFromParent_Done,
     /* 1388481 */   // Label 19559: @1388481
     /* 1388481 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1388578), // Rule ID 24863 //
     /* 1388486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1388489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388536 */     // MIs[1] Operand 1
     /* 1388536 */     // No operand predicates
     /* 1388536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388540 */     // MIs[0] policy
     /* 1388540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1388555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388577 */     // GIR_Coverage, 24863,
     /* 1388577 */     GIR_EraseRootFromParent_Done,
     /* 1388578 */   // Label 19560: @1388578
     /* 1388578 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1388675), // Rule ID 24866 //
     /* 1388583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1388594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1388597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1388613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388633 */     // MIs[1] Operand 1
     /* 1388633 */     // No operand predicates
     /* 1388633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388637 */     // MIs[0] policy
     /* 1388637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388649 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1388652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388674 */     // GIR_Coverage, 24866,
     /* 1388674 */     GIR_EraseRootFromParent_Done,
     /* 1388675 */   // Label 19561: @1388675
     /* 1388675 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1388772), // Rule ID 24867 //
     /* 1388680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1388683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1388691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1388694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1388697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1388710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388730 */     // MIs[1] Operand 1
     /* 1388730 */     // No operand predicates
     /* 1388730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388734 */     // MIs[0] policy
     /* 1388734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388746 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1388749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388771 */     // GIR_Coverage, 24867,
     /* 1388771 */     GIR_EraseRootFromParent_Done,
     /* 1388772 */   // Label 19562: @1388772
     /* 1388772 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1388869), // Rule ID 24870 //
     /* 1388777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1388788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1388791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388827 */     // MIs[1] Operand 1
     /* 1388827 */     // No operand predicates
     /* 1388827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388831 */     // MIs[0] policy
     /* 1388831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388843 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1388846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388868 */     // GIR_Coverage, 24870,
     /* 1388868 */     GIR_EraseRootFromParent_Done,
     /* 1388869 */   // Label 19563: @1388869
     /* 1388869 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1388966), // Rule ID 24871 //
     /* 1388874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1388877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1388885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1388888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1388891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1388924 */     // MIs[1] Operand 1
     /* 1388924 */     // No operand predicates
     /* 1388924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388928 */     // MIs[0] policy
     /* 1388928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388940 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1388943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388965 */     // GIR_Coverage, 24871,
     /* 1388965 */     GIR_EraseRootFromParent_Done,
     /* 1388966 */   // Label 19564: @1388966
     /* 1388966 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1389063), // Rule ID 24874 //
     /* 1388971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1388974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1388979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1388982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1388985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1388988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1388994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1389001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389021 */     // MIs[1] Operand 1
     /* 1389021 */     // No operand predicates
     /* 1389021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389025 */     // MIs[0] policy
     /* 1389025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389037 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1389040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389062 */     // GIR_Coverage, 24874,
     /* 1389062 */     GIR_EraseRootFromParent_Done,
     /* 1389063 */   // Label 19565: @1389063
     /* 1389063 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1389160), // Rule ID 24875 //
     /* 1389068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1389071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1389076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1389079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1389082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1389098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389118 */     // MIs[1] Operand 1
     /* 1389118 */     // No operand predicates
     /* 1389118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389122 */     // MIs[0] policy
     /* 1389122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1389137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389159 */     // GIR_Coverage, 24875,
     /* 1389159 */     GIR_EraseRootFromParent_Done,
     /* 1389160 */   // Label 19566: @1389160
     /* 1389160 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1389257), // Rule ID 60310 //
     /* 1389165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1389168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1389182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389215 */     // MIs[1] Operand 1
     /* 1389215 */     // No operand predicates
     /* 1389215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389219 */     // MIs[0] policy
     /* 1389219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1389234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389256 */     // GIR_Coverage, 60310,
     /* 1389256 */     GIR_EraseRootFromParent_Done,
     /* 1389257 */   // Label 19567: @1389257
     /* 1389257 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1389354), // Rule ID 60311 //
     /* 1389262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1389265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1389279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389312 */     // MIs[1] Operand 1
     /* 1389312 */     // No operand predicates
     /* 1389312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389316 */     // MIs[0] policy
     /* 1389316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1389331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389353 */     // GIR_Coverage, 60311,
     /* 1389353 */     GIR_EraseRootFromParent_Done,
     /* 1389354 */   // Label 19568: @1389354
     /* 1389354 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1389451), // Rule ID 60318 //
     /* 1389359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1389362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1389370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1389373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1389376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389409 */     // MIs[1] Operand 1
     /* 1389409 */     // No operand predicates
     /* 1389409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389413 */     // MIs[0] policy
     /* 1389413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1389428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389450 */     // GIR_Coverage, 60318,
     /* 1389450 */     GIR_EraseRootFromParent_Done,
     /* 1389451 */   // Label 19569: @1389451
     /* 1389451 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1389548), // Rule ID 60319 //
     /* 1389456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1389459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1389467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1389470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1389473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389506 */     // MIs[1] Operand 1
     /* 1389506 */     // No operand predicates
     /* 1389506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389510 */     // MIs[0] policy
     /* 1389510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1389525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389547 */     // GIR_Coverage, 60319,
     /* 1389547 */     GIR_EraseRootFromParent_Done,
     /* 1389548 */   // Label 19570: @1389548
     /* 1389548 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1389645), // Rule ID 60326 //
     /* 1389553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1389556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389603 */     // MIs[1] Operand 1
     /* 1389603 */     // No operand predicates
     /* 1389603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389607 */     // MIs[0] policy
     /* 1389607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1389622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389644 */     // GIR_Coverage, 60326,
     /* 1389644 */     GIR_EraseRootFromParent_Done,
     /* 1389645 */   // Label 19571: @1389645
     /* 1389645 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1389742), // Rule ID 60327 //
     /* 1389650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1389653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389700 */     // MIs[1] Operand 1
     /* 1389700 */     // No operand predicates
     /* 1389700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389704 */     // MIs[0] policy
     /* 1389704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1389719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389741 */     // GIR_Coverage, 60327,
     /* 1389741 */     GIR_EraseRootFromParent_Done,
     /* 1389742 */   // Label 19572: @1389742
     /* 1389742 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1389839), // Rule ID 60334 //
     /* 1389747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1389750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1389758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1389761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1389777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389797 */     // MIs[1] Operand 1
     /* 1389797 */     // No operand predicates
     /* 1389797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389801 */     // MIs[0] policy
     /* 1389801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1389816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389838 */     // GIR_Coverage, 60334,
     /* 1389838 */     GIR_EraseRootFromParent_Done,
     /* 1389839 */   // Label 19573: @1389839
     /* 1389839 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1389936), // Rule ID 60335 //
     /* 1389844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1389847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1389855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1389858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1389874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389894 */     // MIs[1] Operand 1
     /* 1389894 */     // No operand predicates
     /* 1389894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389898 */     // MIs[0] policy
     /* 1389898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1389913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389935 */     // GIR_Coverage, 60335,
     /* 1389935 */     GIR_EraseRootFromParent_Done,
     /* 1389936 */   // Label 19574: @1389936
     /* 1389936 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1390033), // Rule ID 60342 //
     /* 1389941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1389944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1389949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1389952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1389955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1389958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1389971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1389991 */     // MIs[1] Operand 1
     /* 1389991 */     // No operand predicates
     /* 1389991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389995 */     // MIs[0] policy
     /* 1389995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1390010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390032 */     // GIR_Coverage, 60342,
     /* 1390032 */     GIR_EraseRootFromParent_Done,
     /* 1390033 */   // Label 19575: @1390033
     /* 1390033 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1390130), // Rule ID 60343 //
     /* 1390038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1390041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1390049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1390052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1390055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1390068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390088 */     // MIs[1] Operand 1
     /* 1390088 */     // No operand predicates
     /* 1390088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390092 */     // MIs[0] policy
     /* 1390092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390104 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1390107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390129 */     // GIR_Coverage, 60343,
     /* 1390129 */     GIR_EraseRootFromParent_Done,
     /* 1390130 */   // Label 19576: @1390130
     /* 1390130 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1390227), // Rule ID 60350 //
     /* 1390135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1390138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1390146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1390149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1390152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1390165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390185 */     // MIs[1] Operand 1
     /* 1390185 */     // No operand predicates
     /* 1390185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390189 */     // MIs[0] policy
     /* 1390189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1390204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390226 */     // GIR_Coverage, 60350,
     /* 1390226 */     GIR_EraseRootFromParent_Done,
     /* 1390227 */   // Label 19577: @1390227
     /* 1390227 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1390324), // Rule ID 60351 //
     /* 1390232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1390235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1390243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1390246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1390249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1390262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390282 */     // MIs[1] Operand 1
     /* 1390282 */     // No operand predicates
     /* 1390282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390286 */     // MIs[0] policy
     /* 1390286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1390301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390323 */     // GIR_Coverage, 60351,
     /* 1390323 */     GIR_EraseRootFromParent_Done,
     /* 1390324 */   // Label 19578: @1390324
     /* 1390324 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1390421), // Rule ID 60358 //
     /* 1390329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1390332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1390340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1390343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390379 */     // MIs[1] Operand 1
     /* 1390379 */     // No operand predicates
     /* 1390379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390383 */     // MIs[0] policy
     /* 1390383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1390398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390420 */     // GIR_Coverage, 60358,
     /* 1390420 */     GIR_EraseRootFromParent_Done,
     /* 1390421 */   // Label 19579: @1390421
     /* 1390421 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1390518), // Rule ID 60359 //
     /* 1390426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1390429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1390437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1390440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390476 */     // MIs[1] Operand 1
     /* 1390476 */     // No operand predicates
     /* 1390476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390480 */     // MIs[0] policy
     /* 1390480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1390495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390517 */     // GIR_Coverage, 60359,
     /* 1390517 */     GIR_EraseRootFromParent_Done,
     /* 1390518 */   // Label 19580: @1390518
     /* 1390518 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1390615), // Rule ID 60366 //
     /* 1390523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1390526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390573 */     // MIs[1] Operand 1
     /* 1390573 */     // No operand predicates
     /* 1390573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390577 */     // MIs[0] policy
     /* 1390577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1390592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390614 */     // GIR_Coverage, 60366,
     /* 1390614 */     GIR_EraseRootFromParent_Done,
     /* 1390615 */   // Label 19581: @1390615
     /* 1390615 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1390712), // Rule ID 60367 //
     /* 1390620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1390623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390670 */     // MIs[1] Operand 1
     /* 1390670 */     // No operand predicates
     /* 1390670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390674 */     // MIs[0] policy
     /* 1390674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1390689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390711 */     // GIR_Coverage, 60367,
     /* 1390711 */     GIR_EraseRootFromParent_Done,
     /* 1390712 */   // Label 19582: @1390712
     /* 1390712 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1390809), // Rule ID 60374 //
     /* 1390717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1390720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1390728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1390731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1390747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390767 */     // MIs[1] Operand 1
     /* 1390767 */     // No operand predicates
     /* 1390767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390771 */     // MIs[0] policy
     /* 1390771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1390786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390808 */     // GIR_Coverage, 60374,
     /* 1390808 */     GIR_EraseRootFromParent_Done,
     /* 1390809 */   // Label 19583: @1390809
     /* 1390809 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1390906), // Rule ID 60375 //
     /* 1390814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1390817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1390825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1390828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1390844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390864 */     // MIs[1] Operand 1
     /* 1390864 */     // No operand predicates
     /* 1390864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390868 */     // MIs[0] policy
     /* 1390868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1390883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390905 */     // GIR_Coverage, 60375,
     /* 1390905 */     GIR_EraseRootFromParent_Done,
     /* 1390906 */   // Label 19584: @1390906
     /* 1390906 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1391003), // Rule ID 60382 //
     /* 1390911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1390914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1390919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1390922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1390925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1390928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1390941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1390961 */     // MIs[1] Operand 1
     /* 1390961 */     // No operand predicates
     /* 1390961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390965 */     // MIs[0] policy
     /* 1390965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1390980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391002 */     // GIR_Coverage, 60382,
     /* 1391002 */     GIR_EraseRootFromParent_Done,
     /* 1391003 */   // Label 19585: @1391003
     /* 1391003 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1391100), // Rule ID 60383 //
     /* 1391008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1391019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1391022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391058 */     // MIs[1] Operand 1
     /* 1391058 */     // No operand predicates
     /* 1391058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391062 */     // MIs[0] policy
     /* 1391062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1391077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391099 */     // GIR_Coverage, 60383,
     /* 1391099 */     GIR_EraseRootFromParent_Done,
     /* 1391100 */   // Label 19586: @1391100
     /* 1391100 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1391197), // Rule ID 60390 //
     /* 1391105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1391108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1391116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1391119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391155 */     // MIs[1] Operand 1
     /* 1391155 */     // No operand predicates
     /* 1391155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391159 */     // MIs[0] policy
     /* 1391159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1391174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391196 */     // GIR_Coverage, 60390,
     /* 1391196 */     GIR_EraseRootFromParent_Done,
     /* 1391197 */   // Label 19587: @1391197
     /* 1391197 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1391294), // Rule ID 60391 //
     /* 1391202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1391213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1391216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391252 */     // MIs[1] Operand 1
     /* 1391252 */     // No operand predicates
     /* 1391252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391256 */     // MIs[0] policy
     /* 1391256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1391271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391293 */     // GIR_Coverage, 60391,
     /* 1391293 */     GIR_EraseRootFromParent_Done,
     /* 1391294 */   // Label 19588: @1391294
     /* 1391294 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1391391), // Rule ID 60398 //
     /* 1391299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1391302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391349 */     // MIs[1] Operand 1
     /* 1391349 */     // No operand predicates
     /* 1391349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391353 */     // MIs[0] policy
     /* 1391353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1391368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391390 */     // GIR_Coverage, 60398,
     /* 1391390 */     GIR_EraseRootFromParent_Done,
     /* 1391391 */   // Label 19589: @1391391
     /* 1391391 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1391488), // Rule ID 60399 //
     /* 1391396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391446 */     // MIs[1] Operand 1
     /* 1391446 */     // No operand predicates
     /* 1391446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391450 */     // MIs[0] policy
     /* 1391450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1391465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391487 */     // GIR_Coverage, 60399,
     /* 1391487 */     GIR_EraseRootFromParent_Done,
     /* 1391488 */   // Label 19590: @1391488
     /* 1391488 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1391585), // Rule ID 60406 //
     /* 1391493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1391496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1391504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1391507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391543 */     // MIs[1] Operand 1
     /* 1391543 */     // No operand predicates
     /* 1391543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391547 */     // MIs[0] policy
     /* 1391547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1391562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391584 */     // GIR_Coverage, 60406,
     /* 1391584 */     GIR_EraseRootFromParent_Done,
     /* 1391585 */   // Label 19591: @1391585
     /* 1391585 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1391682), // Rule ID 60407 //
     /* 1391590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1391601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1391604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391640 */     // MIs[1] Operand 1
     /* 1391640 */     // No operand predicates
     /* 1391640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391644 */     // MIs[0] policy
     /* 1391644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1391659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391681 */     // GIR_Coverage, 60407,
     /* 1391681 */     GIR_EraseRootFromParent_Done,
     /* 1391682 */   // Label 19592: @1391682
     /* 1391682 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1391779), // Rule ID 60414 //
     /* 1391687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1391690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1391698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1391701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391737 */     // MIs[1] Operand 1
     /* 1391737 */     // No operand predicates
     /* 1391737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391741 */     // MIs[0] policy
     /* 1391741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1391756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391778 */     // GIR_Coverage, 60414,
     /* 1391778 */     GIR_EraseRootFromParent_Done,
     /* 1391779 */   // Label 19593: @1391779
     /* 1391779 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1391876), // Rule ID 60415 //
     /* 1391784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1391795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1391798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391834 */     // MIs[1] Operand 1
     /* 1391834 */     // No operand predicates
     /* 1391834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391838 */     // MIs[0] policy
     /* 1391838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391875 */     // GIR_Coverage, 60415,
     /* 1391875 */     GIR_EraseRootFromParent_Done,
     /* 1391876 */   // Label 19594: @1391876
     /* 1391876 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1391973), // Rule ID 60422 //
     /* 1391881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1391884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1391892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1391895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1391931 */     // MIs[1] Operand 1
     /* 1391931 */     // No operand predicates
     /* 1391931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391935 */     // MIs[0] policy
     /* 1391935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1391950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391972 */     // GIR_Coverage, 60422,
     /* 1391972 */     GIR_EraseRootFromParent_Done,
     /* 1391973 */   // Label 19595: @1391973
     /* 1391973 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1392070), // Rule ID 60423 //
     /* 1391978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1391981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1391986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1391989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1391992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1392028 */     // MIs[1] Operand 1
     /* 1392028 */     // No operand predicates
     /* 1392028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392032 */     // MIs[0] policy
     /* 1392032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1392047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392069 */     // GIR_Coverage, 60423,
     /* 1392069 */     GIR_EraseRootFromParent_Done,
     /* 1392070 */   // Label 19596: @1392070
     /* 1392070 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1392167), // Rule ID 61278 //
     /* 1392075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1392078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1392086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1392089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1392092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392125 */     // MIs[1] Operand 1
     /* 1392125 */     // No operand predicates
     /* 1392125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392129 */     // MIs[0] policy
     /* 1392129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1392144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392166 */     // GIR_Coverage, 61278,
     /* 1392166 */     GIR_EraseRootFromParent_Done,
     /* 1392167 */   // Label 19597: @1392167
     /* 1392167 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1392264), // Rule ID 61279 //
     /* 1392172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1392175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1392183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1392186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1392189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392222 */     // MIs[1] Operand 1
     /* 1392222 */     // No operand predicates
     /* 1392222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392226 */     // MIs[0] policy
     /* 1392226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1392241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392263 */     // GIR_Coverage, 61279,
     /* 1392263 */     GIR_EraseRootFromParent_Done,
     /* 1392264 */   // Label 19598: @1392264
     /* 1392264 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1392361), // Rule ID 61282 //
     /* 1392269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1392272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1392280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1392283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1392286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392319 */     // MIs[1] Operand 1
     /* 1392319 */     // No operand predicates
     /* 1392319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392323 */     // MIs[0] policy
     /* 1392323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1392338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392360 */     // GIR_Coverage, 61282,
     /* 1392360 */     GIR_EraseRootFromParent_Done,
     /* 1392361 */   // Label 19599: @1392361
     /* 1392361 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1392458), // Rule ID 61283 //
     /* 1392366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1392369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1392377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1392380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1392383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392416 */     // MIs[1] Operand 1
     /* 1392416 */     // No operand predicates
     /* 1392416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392420 */     // MIs[0] policy
     /* 1392420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1392435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392457 */     // GIR_Coverage, 61283,
     /* 1392457 */     GIR_EraseRootFromParent_Done,
     /* 1392458 */   // Label 19600: @1392458
     /* 1392458 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1392555), // Rule ID 61286 //
     /* 1392463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1392466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1392474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1392477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1392480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392513 */     // MIs[1] Operand 1
     /* 1392513 */     // No operand predicates
     /* 1392513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392517 */     // MIs[0] policy
     /* 1392517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392529 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1392532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392554 */     // GIR_Coverage, 61286,
     /* 1392554 */     GIR_EraseRootFromParent_Done,
     /* 1392555 */   // Label 19601: @1392555
     /* 1392555 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1392652), // Rule ID 61287 //
     /* 1392560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1392563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1392571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1392574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1392577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392610 */     // MIs[1] Operand 1
     /* 1392610 */     // No operand predicates
     /* 1392610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392614 */     // MIs[0] policy
     /* 1392614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1392629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392651 */     // GIR_Coverage, 61287,
     /* 1392651 */     GIR_EraseRootFromParent_Done,
     /* 1392652 */   // Label 19602: @1392652
     /* 1392652 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1392749), // Rule ID 61290 //
     /* 1392657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1392660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1392668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1392671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392707 */     // MIs[1] Operand 1
     /* 1392707 */     // No operand predicates
     /* 1392707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392711 */     // MIs[0] policy
     /* 1392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1392726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392748 */     // GIR_Coverage, 61290,
     /* 1392748 */     GIR_EraseRootFromParent_Done,
     /* 1392749 */   // Label 19603: @1392749
     /* 1392749 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1392846), // Rule ID 61291 //
     /* 1392754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1392757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1392765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1392768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392804 */     // MIs[1] Operand 1
     /* 1392804 */     // No operand predicates
     /* 1392804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392808 */     // MIs[0] policy
     /* 1392808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1392823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392845 */     // GIR_Coverage, 61291,
     /* 1392845 */     GIR_EraseRootFromParent_Done,
     /* 1392846 */   // Label 19604: @1392846
     /* 1392846 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1392943), // Rule ID 61294 //
     /* 1392851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1392854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1392862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1392865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392901 */     // MIs[1] Operand 1
     /* 1392901 */     // No operand predicates
     /* 1392901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392905 */     // MIs[0] policy
     /* 1392905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1392920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392942 */     // GIR_Coverage, 61294,
     /* 1392942 */     GIR_EraseRootFromParent_Done,
     /* 1392943 */   // Label 19605: @1392943
     /* 1392943 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1393040), // Rule ID 61295 //
     /* 1392948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1392951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1392956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1392959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1392962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1392998 */     // MIs[1] Operand 1
     /* 1392998 */     // No operand predicates
     /* 1392998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393002 */     // MIs[0] policy
     /* 1393002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1393017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393039 */     // GIR_Coverage, 61295,
     /* 1393039 */     GIR_EraseRootFromParent_Done,
     /* 1393040 */   // Label 19606: @1393040
     /* 1393040 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1393137), // Rule ID 61298 //
     /* 1393045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1393048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1393056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1393059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1393062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393095 */     // MIs[1] Operand 1
     /* 1393095 */     // No operand predicates
     /* 1393095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393099 */     // MIs[0] policy
     /* 1393099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1393114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393136 */     // GIR_Coverage, 61298,
     /* 1393136 */     GIR_EraseRootFromParent_Done,
     /* 1393137 */   // Label 19607: @1393137
     /* 1393137 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1393234), // Rule ID 61299 //
     /* 1393142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1393145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1393153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1393156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1393159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393192 */     // MIs[1] Operand 1
     /* 1393192 */     // No operand predicates
     /* 1393192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393196 */     // MIs[0] policy
     /* 1393196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1393211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393233 */     // GIR_Coverage, 61299,
     /* 1393233 */     GIR_EraseRootFromParent_Done,
     /* 1393234 */   // Label 19608: @1393234
     /* 1393234 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1393331), // Rule ID 61302 //
     /* 1393239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1393242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1393256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393289 */     // MIs[1] Operand 1
     /* 1393289 */     // No operand predicates
     /* 1393289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393293 */     // MIs[0] policy
     /* 1393293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393330 */     // GIR_Coverage, 61302,
     /* 1393330 */     GIR_EraseRootFromParent_Done,
     /* 1393331 */   // Label 19609: @1393331
     /* 1393331 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1393428), // Rule ID 61303 //
     /* 1393336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1393339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1393353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393386 */     // MIs[1] Operand 1
     /* 1393386 */     // No operand predicates
     /* 1393386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393390 */     // MIs[0] policy
     /* 1393390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393427 */     // GIR_Coverage, 61303,
     /* 1393427 */     GIR_EraseRootFromParent_Done,
     /* 1393428 */   // Label 19610: @1393428
     /* 1393428 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1393525), // Rule ID 61306 //
     /* 1393433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1393436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393483 */     // MIs[1] Operand 1
     /* 1393483 */     // No operand predicates
     /* 1393483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393487 */     // MIs[0] policy
     /* 1393487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393524 */     // GIR_Coverage, 61306,
     /* 1393524 */     GIR_EraseRootFromParent_Done,
     /* 1393525 */   // Label 19611: @1393525
     /* 1393525 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1393622), // Rule ID 61307 //
     /* 1393530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1393533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393580 */     // MIs[1] Operand 1
     /* 1393580 */     // No operand predicates
     /* 1393580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393584 */     // MIs[0] policy
     /* 1393584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393621 */     // GIR_Coverage, 61307,
     /* 1393621 */     GIR_EraseRootFromParent_Done,
     /* 1393622 */   // Label 19612: @1393622
     /* 1393622 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1393719), // Rule ID 61310 //
     /* 1393627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1393630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393677 */     // MIs[1] Operand 1
     /* 1393677 */     // No operand predicates
     /* 1393677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393681 */     // MIs[0] policy
     /* 1393681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393718 */     // GIR_Coverage, 61310,
     /* 1393718 */     GIR_EraseRootFromParent_Done,
     /* 1393719 */   // Label 19613: @1393719
     /* 1393719 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1393816), // Rule ID 61311 //
     /* 1393724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1393727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393774 */     // MIs[1] Operand 1
     /* 1393774 */     // No operand predicates
     /* 1393774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393778 */     // MIs[0] policy
     /* 1393778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393815 */     // GIR_Coverage, 61311,
     /* 1393815 */     GIR_EraseRootFromParent_Done,
     /* 1393816 */   // Label 19614: @1393816
     /* 1393816 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1393913), // Rule ID 61314 //
     /* 1393821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1393824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393871 */     // MIs[1] Operand 1
     /* 1393871 */     // No operand predicates
     /* 1393871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393875 */     // MIs[0] policy
     /* 1393875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393912 */     // GIR_Coverage, 61314,
     /* 1393912 */     GIR_EraseRootFromParent_Done,
     /* 1393913 */   // Label 19615: @1393913
     /* 1393913 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1394010), // Rule ID 61315 //
     /* 1393918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1393921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1393926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1393968 */     // MIs[1] Operand 1
     /* 1393968 */     // No operand predicates
     /* 1393968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393972 */     // MIs[0] policy
     /* 1393972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1393987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394009 */     // GIR_Coverage, 61315,
     /* 1394009 */     GIR_EraseRootFromParent_Done,
     /* 1394010 */   // Label 19616: @1394010
     /* 1394010 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1394107), // Rule ID 61318 //
     /* 1394015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1394026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1394029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1394032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394065 */     // MIs[1] Operand 1
     /* 1394065 */     // No operand predicates
     /* 1394065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394069 */     // MIs[0] policy
     /* 1394069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1394084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394106 */     // GIR_Coverage, 61318,
     /* 1394106 */     GIR_EraseRootFromParent_Done,
     /* 1394107 */   // Label 19617: @1394107
     /* 1394107 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1394204), // Rule ID 61319 //
     /* 1394112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1394115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1394123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1394126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1394129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394162 */     // MIs[1] Operand 1
     /* 1394162 */     // No operand predicates
     /* 1394162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394166 */     // MIs[0] policy
     /* 1394166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1394181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394203 */     // GIR_Coverage, 61319,
     /* 1394203 */     GIR_EraseRootFromParent_Done,
     /* 1394204 */   // Label 19618: @1394204
     /* 1394204 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1394301), // Rule ID 61322 //
     /* 1394209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1394220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1394223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1394226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1394232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394259 */     // MIs[1] Operand 1
     /* 1394259 */     // No operand predicates
     /* 1394259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394263 */     // MIs[0] policy
     /* 1394263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1394278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394300 */     // GIR_Coverage, 61322,
     /* 1394300 */     GIR_EraseRootFromParent_Done,
     /* 1394301 */   // Label 19619: @1394301
     /* 1394301 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1394398), // Rule ID 61323 //
     /* 1394306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1394309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1394317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1394320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1394323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1394329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394356 */     // MIs[1] Operand 1
     /* 1394356 */     // No operand predicates
     /* 1394356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394360 */     // MIs[0] policy
     /* 1394360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1394375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394397 */     // GIR_Coverage, 61323,
     /* 1394397 */     GIR_EraseRootFromParent_Done,
     /* 1394398 */   // Label 19620: @1394398
     /* 1394398 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1394495), // Rule ID 61326 //
     /* 1394403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1394414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1394417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1394420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1394426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394453 */     // MIs[1] Operand 1
     /* 1394453 */     // No operand predicates
     /* 1394453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394457 */     // MIs[0] policy
     /* 1394457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394469 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1394472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394494 */     // GIR_Coverage, 61326,
     /* 1394494 */     GIR_EraseRootFromParent_Done,
     /* 1394495 */   // Label 19621: @1394495
     /* 1394495 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1394592), // Rule ID 61327 //
     /* 1394500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1394503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1394511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1394514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1394517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1394523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394550 */     // MIs[1] Operand 1
     /* 1394550 */     // No operand predicates
     /* 1394550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394554 */     // MIs[0] policy
     /* 1394554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1394569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394591 */     // GIR_Coverage, 61327,
     /* 1394591 */     GIR_EraseRootFromParent_Done,
     /* 1394592 */   // Label 19622: @1394592
     /* 1394592 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1394689), // Rule ID 61330 //
     /* 1394597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1394608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1394611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1394614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394647 */     // MIs[1] Operand 1
     /* 1394647 */     // No operand predicates
     /* 1394647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394651 */     // MIs[0] policy
     /* 1394651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1394666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394688 */     // GIR_Coverage, 61330,
     /* 1394688 */     GIR_EraseRootFromParent_Done,
     /* 1394689 */   // Label 19623: @1394689
     /* 1394689 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1394786), // Rule ID 61331 //
     /* 1394694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1394697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1394705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1394708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1394711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394744 */     // MIs[1] Operand 1
     /* 1394744 */     // No operand predicates
     /* 1394744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394748 */     // MIs[0] policy
     /* 1394748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1394763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394785 */     // GIR_Coverage, 61331,
     /* 1394785 */     GIR_EraseRootFromParent_Done,
     /* 1394786 */   // Label 19624: @1394786
     /* 1394786 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1394883), // Rule ID 61334 //
     /* 1394791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1394802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1394805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1394808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394841 */     // MIs[1] Operand 1
     /* 1394841 */     // No operand predicates
     /* 1394841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394845 */     // MIs[0] policy
     /* 1394845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394857 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1394860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394882 */     // GIR_Coverage, 61334,
     /* 1394882 */     GIR_EraseRootFromParent_Done,
     /* 1394883 */   // Label 19625: @1394883
     /* 1394883 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1394980), // Rule ID 61335 //
     /* 1394888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1394891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1394899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1394902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1394905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1394938 */     // MIs[1] Operand 1
     /* 1394938 */     // No operand predicates
     /* 1394938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394942 */     // MIs[0] policy
     /* 1394942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1394957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394979 */     // GIR_Coverage, 61335,
     /* 1394979 */     GIR_EraseRootFromParent_Done,
     /* 1394980 */   // Label 19626: @1394980
     /* 1394980 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1395077), // Rule ID 61338 //
     /* 1394985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1394988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1394993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1394996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1394999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395035 */     // MIs[1] Operand 1
     /* 1395035 */     // No operand predicates
     /* 1395035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395039 */     // MIs[0] policy
     /* 1395039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1395054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395076 */     // GIR_Coverage, 61338,
     /* 1395076 */     GIR_EraseRootFromParent_Done,
     /* 1395077 */   // Label 19627: @1395077
     /* 1395077 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1395174), // Rule ID 61339 //
     /* 1395082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1395085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1395093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1395096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1395099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395132 */     // MIs[1] Operand 1
     /* 1395132 */     // No operand predicates
     /* 1395132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395136 */     // MIs[0] policy
     /* 1395136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1395151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395173 */     // GIR_Coverage, 61339,
     /* 1395173 */     GIR_EraseRootFromParent_Done,
     /* 1395174 */   // Label 19628: @1395174
     /* 1395174 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1395271), // Rule ID 61342 //
     /* 1395179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1395182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1395190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1395193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395229 */     // MIs[1] Operand 1
     /* 1395229 */     // No operand predicates
     /* 1395229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395233 */     // MIs[0] policy
     /* 1395233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1395248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395270 */     // GIR_Coverage, 61342,
     /* 1395270 */     GIR_EraseRootFromParent_Done,
     /* 1395271 */   // Label 19629: @1395271
     /* 1395271 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1395368), // Rule ID 61343 //
     /* 1395276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1395279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1395287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1395290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1395293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395326 */     // MIs[1] Operand 1
     /* 1395326 */     // No operand predicates
     /* 1395326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395330 */     // MIs[0] policy
     /* 1395330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1395345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395367 */     // GIR_Coverage, 61343,
     /* 1395367 */     GIR_EraseRootFromParent_Done,
     /* 1395368 */   // Label 19630: @1395368
     /* 1395368 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1395465), // Rule ID 61346 //
     /* 1395373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1395376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1395384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1395387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1395390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395423 */     // MIs[1] Operand 1
     /* 1395423 */     // No operand predicates
     /* 1395423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395427 */     // MIs[0] policy
     /* 1395427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1395442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395464 */     // GIR_Coverage, 61346,
     /* 1395464 */     GIR_EraseRootFromParent_Done,
     /* 1395465 */   // Label 19631: @1395465
     /* 1395465 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1395562), // Rule ID 61347 //
     /* 1395470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1395473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1395481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1395484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1395487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395520 */     // MIs[1] Operand 1
     /* 1395520 */     // No operand predicates
     /* 1395520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395524 */     // MIs[0] policy
     /* 1395524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1395539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395561 */     // GIR_Coverage, 61347,
     /* 1395561 */     GIR_EraseRootFromParent_Done,
     /* 1395562 */   // Label 19632: @1395562
     /* 1395562 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1395659), // Rule ID 61350 //
     /* 1395567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1395570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1395578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1395581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1395584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395617 */     // MIs[1] Operand 1
     /* 1395617 */     // No operand predicates
     /* 1395617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395621 */     // MIs[0] policy
     /* 1395621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1395636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395658 */     // GIR_Coverage, 61350,
     /* 1395658 */     GIR_EraseRootFromParent_Done,
     /* 1395659 */   // Label 19633: @1395659
     /* 1395659 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1395756), // Rule ID 61351 //
     /* 1395664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1395667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1395675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1395678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1395681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395714 */     // MIs[1] Operand 1
     /* 1395714 */     // No operand predicates
     /* 1395714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395718 */     // MIs[0] policy
     /* 1395718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1395733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395755 */     // GIR_Coverage, 61351,
     /* 1395755 */     GIR_EraseRootFromParent_Done,
     /* 1395756 */   // Label 19634: @1395756
     /* 1395756 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1395853), // Rule ID 61354 //
     /* 1395761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1395764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1395772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1395775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1395778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395811 */     // MIs[1] Operand 1
     /* 1395811 */     // No operand predicates
     /* 1395811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395815 */     // MIs[0] policy
     /* 1395815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1395830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395852 */     // GIR_Coverage, 61354,
     /* 1395852 */     GIR_EraseRootFromParent_Done,
     /* 1395853 */   // Label 19635: @1395853
     /* 1395853 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1395950), // Rule ID 61355 //
     /* 1395858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1395861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1395869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1395872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1395875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1395908 */     // MIs[1] Operand 1
     /* 1395908 */     // No operand predicates
     /* 1395908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395912 */     // MIs[0] policy
     /* 1395912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1395927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395949 */     // GIR_Coverage, 61355,
     /* 1395949 */     GIR_EraseRootFromParent_Done,
     /* 1395950 */   // Label 19636: @1395950
     /* 1395950 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1396047), // Rule ID 61358 //
     /* 1395955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1395958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1395963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1395966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1395969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1395972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1396005 */     // MIs[1] Operand 1
     /* 1396005 */     // No operand predicates
     /* 1396005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396009 */     // MIs[0] policy
     /* 1396009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1396024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396046 */     // GIR_Coverage, 61358,
     /* 1396046 */     GIR_EraseRootFromParent_Done,
     /* 1396047 */   // Label 19637: @1396047
     /* 1396047 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1396144), // Rule ID 61359 //
     /* 1396052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1396055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1396060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1396063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1396066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1396069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1396102 */     // MIs[1] Operand 1
     /* 1396102 */     // No operand predicates
     /* 1396102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396106 */     // MIs[0] policy
     /* 1396106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1396121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396143 */     // GIR_Coverage, 61359,
     /* 1396143 */     GIR_EraseRootFromParent_Done,
     /* 1396144 */   // Label 19638: @1396144
     /* 1396144 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1396241), // Rule ID 61362 //
     /* 1396149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1396152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1396157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1396160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1396163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1396166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1396199 */     // MIs[1] Operand 1
     /* 1396199 */     // No operand predicates
     /* 1396199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396203 */     // MIs[0] policy
     /* 1396203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1396218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396240 */     // GIR_Coverage, 61362,
     /* 1396240 */     GIR_EraseRootFromParent_Done,
     /* 1396241 */   // Label 19639: @1396241
     /* 1396241 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1396338), // Rule ID 61363 //
     /* 1396246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1396249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1396254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1396257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1396260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1396263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1396296 */     // MIs[1] Operand 1
     /* 1396296 */     // No operand predicates
     /* 1396296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396300 */     // MIs[0] policy
     /* 1396300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1396315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396337 */     // GIR_Coverage, 61363,
     /* 1396337 */     GIR_EraseRootFromParent_Done,
     /* 1396338 */   // Label 19640: @1396338
     /* 1396338 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1396420), // Rule ID 2566 //
     /* 1396343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1396351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396382 */     // MIs[0] round
     /* 1396382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396385 */     // MIs[0] policy
     /* 1396385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396395 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1396398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396419 */     // GIR_Coverage, 2566,
     /* 1396419 */     GIR_EraseRootFromParent_Done,
     /* 1396420 */   // Label 19641: @1396420
     /* 1396420 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1396502), // Rule ID 2567 //
     /* 1396425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1396433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396464 */     // MIs[0] round
     /* 1396464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396467 */     // MIs[0] policy
     /* 1396467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396477 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1396480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396501 */     // GIR_Coverage, 2567,
     /* 1396501 */     GIR_EraseRootFromParent_Done,
     /* 1396502 */   // Label 19642: @1396502
     /* 1396502 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1396584), // Rule ID 2602 //
     /* 1396507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1396510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1396515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396546 */     // MIs[0] round
     /* 1396546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396549 */     // MIs[0] policy
     /* 1396549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1396562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396583 */     // GIR_Coverage, 2602,
     /* 1396583 */     GIR_EraseRootFromParent_Done,
     /* 1396584 */   // Label 19643: @1396584
     /* 1396584 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1396666), // Rule ID 2603 //
     /* 1396589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1396592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1396597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396628 */     // MIs[0] round
     /* 1396628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396631 */     // MIs[0] policy
     /* 1396631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396641 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1396644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396665 */     // GIR_Coverage, 2603,
     /* 1396665 */     GIR_EraseRootFromParent_Done,
     /* 1396666 */   // Label 19644: @1396666
     /* 1396666 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1396748), // Rule ID 2634 //
     /* 1396671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1396679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1396691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396710 */     // MIs[0] round
     /* 1396710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396713 */     // MIs[0] policy
     /* 1396713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396723 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1396726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396747 */     // GIR_Coverage, 2634,
     /* 1396747 */     GIR_EraseRootFromParent_Done,
     /* 1396748 */   // Label 19645: @1396748
     /* 1396748 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1396830), // Rule ID 2635 //
     /* 1396753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1396761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1396764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1396767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1396770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1396773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396792 */     // MIs[0] round
     /* 1396792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396795 */     // MIs[0] policy
     /* 1396795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396805 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1396808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396829 */     // GIR_Coverage, 2635,
     /* 1396829 */     GIR_EraseRootFromParent_Done,
     /* 1396830 */   // Label 19646: @1396830
     /* 1396830 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1396912), // Rule ID 17606 //
     /* 1396835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1396838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1396843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1396846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1396849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1396852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1396855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396874 */     // MIs[0] round
     /* 1396874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396877 */     // MIs[0] policy
     /* 1396877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396887 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1396890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396911 */     // GIR_Coverage, 17606,
     /* 1396911 */     GIR_EraseRootFromParent_Done,
     /* 1396912 */   // Label 19647: @1396912
     /* 1396912 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1396994), // Rule ID 17607 //
     /* 1396917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1396920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1396925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1396928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1396931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1396934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1396937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396956 */     // MIs[0] round
     /* 1396956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1396959 */     // MIs[0] policy
     /* 1396959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396969 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1396972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1396982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396993 */     // GIR_Coverage, 17607,
     /* 1396993 */     GIR_EraseRootFromParent_Done,
     /* 1396994 */   // Label 19648: @1396994
     /* 1396994 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1397076), // Rule ID 17610 //
     /* 1396999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1397019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397038 */     // MIs[0] round
     /* 1397038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397041 */     // MIs[0] policy
     /* 1397041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397051 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1397054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397075 */     // GIR_Coverage, 17610,
     /* 1397075 */     GIR_EraseRootFromParent_Done,
     /* 1397076 */   // Label 19649: @1397076
     /* 1397076 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1397158), // Rule ID 17611 //
     /* 1397081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1397101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397120 */     // MIs[0] round
     /* 1397120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397123 */     // MIs[0] policy
     /* 1397123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397133 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1397136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397157 */     // GIR_Coverage, 17611,
     /* 1397157 */     GIR_EraseRootFromParent_Done,
     /* 1397158 */   // Label 19650: @1397158
     /* 1397158 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1397240), // Rule ID 17614 //
     /* 1397163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397202 */     // MIs[0] round
     /* 1397202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397205 */     // MIs[0] policy
     /* 1397205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397215 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1397218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397239 */     // GIR_Coverage, 17614,
     /* 1397239 */     GIR_EraseRootFromParent_Done,
     /* 1397240 */   // Label 19651: @1397240
     /* 1397240 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1397322), // Rule ID 17615 //
     /* 1397245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397284 */     // MIs[0] round
     /* 1397284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397287 */     // MIs[0] policy
     /* 1397287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397297 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1397300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397321 */     // GIR_Coverage, 17615,
     /* 1397321 */     GIR_EraseRootFromParent_Done,
     /* 1397322 */   // Label 19652: @1397322
     /* 1397322 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1397404), // Rule ID 17618 //
     /* 1397327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1397330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397366 */     // MIs[0] round
     /* 1397366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397369 */     // MIs[0] policy
     /* 1397369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397379 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1397382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397403 */     // GIR_Coverage, 17618,
     /* 1397403 */     GIR_EraseRootFromParent_Done,
     /* 1397404 */   // Label 19653: @1397404
     /* 1397404 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1397486), // Rule ID 17619 //
     /* 1397409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1397412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1397426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397448 */     // MIs[0] round
     /* 1397448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397451 */     // MIs[0] policy
     /* 1397451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397461 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1397464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397485 */     // GIR_Coverage, 17619,
     /* 1397485 */     GIR_EraseRootFromParent_Done,
     /* 1397486 */   // Label 19654: @1397486
     /* 1397486 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1397568), // Rule ID 17622 //
     /* 1397491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1397494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397530 */     // MIs[0] round
     /* 1397530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397533 */     // MIs[0] policy
     /* 1397533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397543 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1397546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397567 */     // GIR_Coverage, 17622,
     /* 1397567 */     GIR_EraseRootFromParent_Done,
     /* 1397568 */   // Label 19655: @1397568
     /* 1397568 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1397650), // Rule ID 17623 //
     /* 1397573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1397576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1397590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397612 */     // MIs[0] round
     /* 1397612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397615 */     // MIs[0] policy
     /* 1397615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397625 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1397628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397649 */     // GIR_Coverage, 17623,
     /* 1397649 */     GIR_EraseRootFromParent_Done,
     /* 1397650 */   // Label 19656: @1397650
     /* 1397650 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1397732), // Rule ID 17626 //
     /* 1397655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1397675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397694 */     // MIs[0] round
     /* 1397694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397697 */     // MIs[0] policy
     /* 1397697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397707 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1397710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397731 */     // GIR_Coverage, 17626,
     /* 1397731 */     GIR_EraseRootFromParent_Done,
     /* 1397732 */   // Label 19657: @1397732
     /* 1397732 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1397814), // Rule ID 17627 //
     /* 1397737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1397757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397776 */     // MIs[0] round
     /* 1397776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397779 */     // MIs[0] policy
     /* 1397779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397789 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1397792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397813 */     // GIR_Coverage, 17627,
     /* 1397813 */     GIR_EraseRootFromParent_Done,
     /* 1397814 */   // Label 19658: @1397814
     /* 1397814 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1397896), // Rule ID 17630 //
     /* 1397819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1397839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397858 */     // MIs[0] round
     /* 1397858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397861 */     // MIs[0] policy
     /* 1397861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397871 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1397874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397895 */     // GIR_Coverage, 17630,
     /* 1397895 */     GIR_EraseRootFromParent_Done,
     /* 1397896 */   // Label 19659: @1397896
     /* 1397896 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1397978), // Rule ID 17631 //
     /* 1397901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1397904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1397921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397940 */     // MIs[0] round
     /* 1397940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1397943 */     // MIs[0] policy
     /* 1397943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397953 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1397956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1397966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397977 */     // GIR_Coverage, 17631,
     /* 1397977 */     GIR_EraseRootFromParent_Done,
     /* 1397978 */   // Label 19660: @1397978
     /* 1397978 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1398060), // Rule ID 17634 //
     /* 1397983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1397986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1397991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1398003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398022 */     // MIs[0] round
     /* 1398022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398025 */     // MIs[0] policy
     /* 1398025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398035 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1398038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398059 */     // GIR_Coverage, 17634,
     /* 1398059 */     GIR_EraseRootFromParent_Done,
     /* 1398060 */   // Label 19661: @1398060
     /* 1398060 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1398142), // Rule ID 17635 //
     /* 1398065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1398068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1398076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1398079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1398085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398104 */     // MIs[0] round
     /* 1398104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398107 */     // MIs[0] policy
     /* 1398107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398117 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1398120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398141 */     // GIR_Coverage, 17635,
     /* 1398141 */     GIR_EraseRootFromParent_Done,
     /* 1398142 */   // Label 19662: @1398142
     /* 1398142 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1398224), // Rule ID 17638 //
     /* 1398147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1398167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398186 */     // MIs[0] round
     /* 1398186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398189 */     // MIs[0] policy
     /* 1398189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398199 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1398202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398223 */     // GIR_Coverage, 17638,
     /* 1398223 */     GIR_EraseRootFromParent_Done,
     /* 1398224 */   // Label 19663: @1398224
     /* 1398224 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1398306), // Rule ID 17639 //
     /* 1398229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1398249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398268 */     // MIs[0] round
     /* 1398268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398271 */     // MIs[0] policy
     /* 1398271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398281 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1398284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398305 */     // GIR_Coverage, 17639,
     /* 1398305 */     GIR_EraseRootFromParent_Done,
     /* 1398306 */   // Label 19664: @1398306
     /* 1398306 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1398388), // Rule ID 17642 //
     /* 1398311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1398331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398350 */     // MIs[0] round
     /* 1398350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398353 */     // MIs[0] policy
     /* 1398353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398363 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1398366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398387 */     // GIR_Coverage, 17642,
     /* 1398387 */     GIR_EraseRootFromParent_Done,
     /* 1398388 */   // Label 19665: @1398388
     /* 1398388 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1398470), // Rule ID 17643 //
     /* 1398393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1398413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398432 */     // MIs[0] round
     /* 1398432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398435 */     // MIs[0] policy
     /* 1398435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398445 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1398448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398469 */     // GIR_Coverage, 17643,
     /* 1398469 */     GIR_EraseRootFromParent_Done,
     /* 1398470 */   // Label 19666: @1398470
     /* 1398470 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1398552), // Rule ID 17646 //
     /* 1398475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1398478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1398495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398514 */     // MIs[0] round
     /* 1398514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398517 */     // MIs[0] policy
     /* 1398517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398527 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1398530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398551 */     // GIR_Coverage, 17646,
     /* 1398551 */     GIR_EraseRootFromParent_Done,
     /* 1398552 */   // Label 19667: @1398552
     /* 1398552 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1398634), // Rule ID 17647 //
     /* 1398557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1398560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1398577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398596 */     // MIs[0] round
     /* 1398596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398599 */     // MIs[0] policy
     /* 1398599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398609 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1398612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398633 */     // GIR_Coverage, 17647,
     /* 1398633 */     GIR_EraseRootFromParent_Done,
     /* 1398634 */   // Label 19668: @1398634
     /* 1398634 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1398716), // Rule ID 17650 //
     /* 1398639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1398659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398678 */     // MIs[0] round
     /* 1398678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398681 */     // MIs[0] policy
     /* 1398681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398691 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1398694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398715 */     // GIR_Coverage, 17650,
     /* 1398715 */     GIR_EraseRootFromParent_Done,
     /* 1398716 */   // Label 19669: @1398716
     /* 1398716 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1398798), // Rule ID 17651 //
     /* 1398721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1398741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398760 */     // MIs[0] round
     /* 1398760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398763 */     // MIs[0] policy
     /* 1398763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398773 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1398776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398797 */     // GIR_Coverage, 17651,
     /* 1398797 */     GIR_EraseRootFromParent_Done,
     /* 1398798 */   // Label 19670: @1398798
     /* 1398798 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1398880), // Rule ID 17654 //
     /* 1398803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1398823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398842 */     // MIs[0] round
     /* 1398842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398845 */     // MIs[0] policy
     /* 1398845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398855 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1398858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398879 */     // GIR_Coverage, 17654,
     /* 1398879 */     GIR_EraseRootFromParent_Done,
     /* 1398880 */   // Label 19671: @1398880
     /* 1398880 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1398962), // Rule ID 17655 //
     /* 1398885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1398888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1398905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398924 */     // MIs[0] round
     /* 1398924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1398927 */     // MIs[0] policy
     /* 1398927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398937 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1398940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1398950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398961 */     // GIR_Coverage, 17655,
     /* 1398961 */     GIR_EraseRootFromParent_Done,
     /* 1398962 */   // Label 19672: @1398962
     /* 1398962 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1399044), // Rule ID 17658 //
     /* 1398967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1398970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1398975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1398978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1398981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1398984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1398987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399006 */     // MIs[0] round
     /* 1399006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399009 */     // MIs[0] policy
     /* 1399009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399019 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1399022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399043 */     // GIR_Coverage, 17658,
     /* 1399043 */     GIR_EraseRootFromParent_Done,
     /* 1399044 */   // Label 19673: @1399044
     /* 1399044 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1399126), // Rule ID 17659 //
     /* 1399049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1399052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1399069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399088 */     // MIs[0] round
     /* 1399088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399091 */     // MIs[0] policy
     /* 1399091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399101 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1399104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399125 */     // GIR_Coverage, 17659,
     /* 1399125 */     GIR_EraseRootFromParent_Done,
     /* 1399126 */   // Label 19674: @1399126
     /* 1399126 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1399208), // Rule ID 17662 //
     /* 1399131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1399151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399170 */     // MIs[0] round
     /* 1399170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399173 */     // MIs[0] policy
     /* 1399173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399183 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1399186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399207 */     // GIR_Coverage, 17662,
     /* 1399207 */     GIR_EraseRootFromParent_Done,
     /* 1399208 */   // Label 19675: @1399208
     /* 1399208 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1399290), // Rule ID 17663 //
     /* 1399213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1399233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399252 */     // MIs[0] round
     /* 1399252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399255 */     // MIs[0] policy
     /* 1399255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399265 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1399268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399289 */     // GIR_Coverage, 17663,
     /* 1399289 */     GIR_EraseRootFromParent_Done,
     /* 1399290 */   // Label 19676: @1399290
     /* 1399290 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1399372), // Rule ID 17666 //
     /* 1399295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1399315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399334 */     // MIs[0] round
     /* 1399334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399337 */     // MIs[0] policy
     /* 1399337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399347 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1399350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399371 */     // GIR_Coverage, 17666,
     /* 1399371 */     GIR_EraseRootFromParent_Done,
     /* 1399372 */   // Label 19677: @1399372
     /* 1399372 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1399454), // Rule ID 17667 //
     /* 1399377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1399388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1399391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1399397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399416 */     // MIs[0] round
     /* 1399416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399419 */     // MIs[0] policy
     /* 1399419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399429 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1399432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399453 */     // GIR_Coverage, 17667,
     /* 1399453 */     GIR_EraseRootFromParent_Done,
     /* 1399454 */   // Label 19678: @1399454
     /* 1399454 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1399536), // Rule ID 17670 //
     /* 1399459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1399462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1399476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1399479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1399494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399498 */     // MIs[0] round
     /* 1399498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399501 */     // MIs[0] policy
     /* 1399501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399511 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1399514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399535 */     // GIR_Coverage, 17670,
     /* 1399535 */     GIR_EraseRootFromParent_Done,
     /* 1399536 */   // Label 19679: @1399536
     /* 1399536 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1399618), // Rule ID 17671 //
     /* 1399541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1399544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1399558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1399561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1399576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399580 */     // MIs[0] round
     /* 1399580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399583 */     // MIs[0] policy
     /* 1399583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399593 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1399596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399617 */     // GIR_Coverage, 17671,
     /* 1399617 */     GIR_EraseRootFromParent_Done,
     /* 1399618 */   // Label 19680: @1399618
     /* 1399618 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1399700), // Rule ID 17674 //
     /* 1399623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1399626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399662 */     // MIs[0] round
     /* 1399662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399665 */     // MIs[0] policy
     /* 1399665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399675 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1399678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399699 */     // GIR_Coverage, 17674,
     /* 1399699 */     GIR_EraseRootFromParent_Done,
     /* 1399700 */   // Label 19681: @1399700
     /* 1399700 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1399782), // Rule ID 17675 //
     /* 1399705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1399708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1399722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1399740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399744 */     // MIs[0] round
     /* 1399744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399747 */     // MIs[0] policy
     /* 1399747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399757 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1399760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399781 */     // GIR_Coverage, 17675,
     /* 1399781 */     GIR_EraseRootFromParent_Done,
     /* 1399782 */   // Label 19682: @1399782
     /* 1399782 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1399864), // Rule ID 17678 //
     /* 1399787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1399790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1399804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1399822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399826 */     // MIs[0] round
     /* 1399826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399829 */     // MIs[0] policy
     /* 1399829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1399842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399863 */     // GIR_Coverage, 17678,
     /* 1399863 */     GIR_EraseRootFromParent_Done,
     /* 1399864 */   // Label 19683: @1399864
     /* 1399864 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1399946), // Rule ID 17679 //
     /* 1399869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1399872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1399886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1399904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399908 */     // MIs[0] round
     /* 1399908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399911 */     // MIs[0] policy
     /* 1399911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399921 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1399924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1399934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399945 */     // GIR_Coverage, 17679,
     /* 1399945 */     GIR_EraseRootFromParent_Done,
     /* 1399946 */   // Label 19684: @1399946
     /* 1399946 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1400028), // Rule ID 17682 //
     /* 1399951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1399954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1399959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1399968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1399986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399990 */     // MIs[0] round
     /* 1399990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1399993 */     // MIs[0] policy
     /* 1399993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400003 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1400006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400027 */     // GIR_Coverage, 17682,
     /* 1400027 */     GIR_EraseRootFromParent_Done,
     /* 1400028 */   // Label 19685: @1400028
     /* 1400028 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1400110), // Rule ID 17683 //
     /* 1400033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1400036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1400050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1400068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400072 */     // MIs[0] round
     /* 1400072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400075 */     // MIs[0] policy
     /* 1400075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400085 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1400088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400109 */     // GIR_Coverage, 17683,
     /* 1400109 */     GIR_EraseRootFromParent_Done,
     /* 1400110 */   // Label 19686: @1400110
     /* 1400110 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1400192), // Rule ID 17686 //
     /* 1400115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1400126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1400129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1400135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400154 */     // MIs[0] round
     /* 1400154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400157 */     // MIs[0] policy
     /* 1400157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400167 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1400170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400191 */     // GIR_Coverage, 17686,
     /* 1400191 */     GIR_EraseRootFromParent_Done,
     /* 1400192 */   // Label 19687: @1400192
     /* 1400192 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1400274), // Rule ID 17687 //
     /* 1400197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1400208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1400211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1400217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400236 */     // MIs[0] round
     /* 1400236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400239 */     // MIs[0] policy
     /* 1400239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400249 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1400252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400273 */     // GIR_Coverage, 17687,
     /* 1400273 */     GIR_EraseRootFromParent_Done,
     /* 1400274 */   // Label 19688: @1400274
     /* 1400274 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1400356), // Rule ID 17690 //
     /* 1400279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1400299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400318 */     // MIs[0] round
     /* 1400318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400321 */     // MIs[0] policy
     /* 1400321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400331 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1400334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400355 */     // GIR_Coverage, 17690,
     /* 1400355 */     GIR_EraseRootFromParent_Done,
     /* 1400356 */   // Label 19689: @1400356
     /* 1400356 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1400438), // Rule ID 17691 //
     /* 1400361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1400372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1400375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1400381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400400 */     // MIs[0] round
     /* 1400400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400403 */     // MIs[0] policy
     /* 1400403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400413 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1400416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400437 */     // GIR_Coverage, 17691,
     /* 1400437 */     GIR_EraseRootFromParent_Done,
     /* 1400438 */   // Label 19690: @1400438
     /* 1400438 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1400520), // Rule ID 17694 //
     /* 1400443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1400463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400482 */     // MIs[0] round
     /* 1400482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400485 */     // MIs[0] policy
     /* 1400485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400495 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1400498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400519 */     // GIR_Coverage, 17694,
     /* 1400519 */     GIR_EraseRootFromParent_Done,
     /* 1400520 */   // Label 19691: @1400520
     /* 1400520 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1400602), // Rule ID 17695 //
     /* 1400525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1400528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1400536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1400539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1400542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1400545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1400560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400564 */     // MIs[0] round
     /* 1400564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400567 */     // MIs[0] policy
     /* 1400567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400577 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1400580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400601 */     // GIR_Coverage, 17695,
     /* 1400601 */     GIR_EraseRootFromParent_Done,
     /* 1400602 */   // Label 19692: @1400602
     /* 1400602 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1400684), // Rule ID 17698 //
     /* 1400607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1400624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1400627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1400642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400646 */     // MIs[0] round
     /* 1400646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400649 */     // MIs[0] policy
     /* 1400649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1400662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400683 */     // GIR_Coverage, 17698,
     /* 1400683 */     GIR_EraseRootFromParent_Done,
     /* 1400684 */   // Label 19693: @1400684
     /* 1400684 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1400766), // Rule ID 17699 //
     /* 1400689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1400700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1400703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1400706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1400709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1400724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400728 */     // MIs[0] round
     /* 1400728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400731 */     // MIs[0] policy
     /* 1400731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400741 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1400744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400765 */     // GIR_Coverage, 17699,
     /* 1400765 */     GIR_EraseRootFromParent_Done,
     /* 1400766 */   // Label 19694: @1400766
     /* 1400766 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1400848), // Rule ID 17702 //
     /* 1400771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1400788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1400791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1400806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400810 */     // MIs[0] round
     /* 1400810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400813 */     // MIs[0] policy
     /* 1400813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400823 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1400826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400847 */     // GIR_Coverage, 17702,
     /* 1400847 */     GIR_EraseRootFromParent_Done,
     /* 1400848 */   // Label 19695: @1400848
     /* 1400848 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1400930), // Rule ID 17703 //
     /* 1400853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1400856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1400870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1400873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1400888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400892 */     // MIs[0] round
     /* 1400892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400895 */     // MIs[0] policy
     /* 1400895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400905 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1400908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1400918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400929 */     // GIR_Coverage, 17703,
     /* 1400929 */     GIR_EraseRootFromParent_Done,
     /* 1400930 */   // Label 19696: @1400930
     /* 1400930 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1401012), // Rule ID 17706 //
     /* 1400935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1400938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1400943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1400952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1400955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1400970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400974 */     // MIs[0] round
     /* 1400974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1400977 */     // MIs[0] policy
     /* 1400977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1400990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401011 */     // GIR_Coverage, 17706,
     /* 1401011 */     GIR_EraseRootFromParent_Done,
     /* 1401012 */   // Label 19697: @1401012
     /* 1401012 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1401094), // Rule ID 17707 //
     /* 1401017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1401020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1401028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1401031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1401034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1401037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1401052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401056 */     // MIs[0] round
     /* 1401056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401059 */     // MIs[0] policy
     /* 1401059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401069 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1401072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401093 */     // GIR_Coverage, 17707,
     /* 1401093 */     GIR_EraseRootFromParent_Done,
     /* 1401094 */   // Label 19698: @1401094
     /* 1401094 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1401176), // Rule ID 17710 //
     /* 1401099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1401119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401138 */     // MIs[0] round
     /* 1401138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401141 */     // MIs[0] policy
     /* 1401141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401151 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1401154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401175 */     // GIR_Coverage, 17710,
     /* 1401175 */     GIR_EraseRootFromParent_Done,
     /* 1401176 */   // Label 19699: @1401176
     /* 1401176 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1401258), // Rule ID 17711 //
     /* 1401181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1401192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1401195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1401201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401220 */     // MIs[0] round
     /* 1401220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401223 */     // MIs[0] policy
     /* 1401223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401233 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1401236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401257 */     // GIR_Coverage, 17711,
     /* 1401257 */     GIR_EraseRootFromParent_Done,
     /* 1401258 */   // Label 19700: @1401258
     /* 1401258 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1401340), // Rule ID 17714 //
     /* 1401263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1401283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401302 */     // MIs[0] round
     /* 1401302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401305 */     // MIs[0] policy
     /* 1401305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401315 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1401318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401339 */     // GIR_Coverage, 17714,
     /* 1401339 */     GIR_EraseRootFromParent_Done,
     /* 1401340 */   // Label 19701: @1401340
     /* 1401340 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1401422), // Rule ID 17715 //
     /* 1401345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1401356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1401359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1401365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401384 */     // MIs[0] round
     /* 1401384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401387 */     // MIs[0] policy
     /* 1401387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401397 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1401400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401421 */     // GIR_Coverage, 17715,
     /* 1401421 */     GIR_EraseRootFromParent_Done,
     /* 1401422 */   // Label 19702: @1401422
     /* 1401422 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1401504), // Rule ID 17718 //
     /* 1401427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1401447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401466 */     // MIs[0] round
     /* 1401466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401469 */     // MIs[0] policy
     /* 1401469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401479 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1401482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401503 */     // GIR_Coverage, 17718,
     /* 1401503 */     GIR_EraseRootFromParent_Done,
     /* 1401504 */   // Label 19703: @1401504
     /* 1401504 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1401586), // Rule ID 17719 //
     /* 1401509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1401517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1401520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1401523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1401526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1401529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1401544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401548 */     // MIs[0] round
     /* 1401548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401551 */     // MIs[0] policy
     /* 1401551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401561 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10857:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1401564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401585 */     // GIR_Coverage, 17719,
     /* 1401585 */     GIR_EraseRootFromParent_Done,
     /* 1401586 */   // Label 19704: @1401586
     /* 1401586 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1401668), // Rule ID 17722 //
     /* 1401591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1401594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1401599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1401611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401630 */     // MIs[0] round
     /* 1401630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401633 */     // MIs[0] policy
     /* 1401633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401643 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1401646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401667 */     // GIR_Coverage, 17722,
     /* 1401667 */     GIR_EraseRootFromParent_Done,
     /* 1401668 */   // Label 19705: @1401668
     /* 1401668 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1401750), // Rule ID 17723 //
     /* 1401673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1401676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1401681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1401684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1401687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1401693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401712 */     // MIs[0] round
     /* 1401712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401715 */     // MIs[0] policy
     /* 1401715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401725 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1401728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401749 */     // GIR_Coverage, 17723,
     /* 1401749 */     GIR_EraseRootFromParent_Done,
     /* 1401750 */   // Label 19706: @1401750
     /* 1401750 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1401832), // Rule ID 17726 //
     /* 1401755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1401758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1401763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1401775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401794 */     // MIs[0] round
     /* 1401794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401797 */     // MIs[0] policy
     /* 1401797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401807 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1401810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401831 */     // GIR_Coverage, 17726,
     /* 1401831 */     GIR_EraseRootFromParent_Done,
     /* 1401832 */   // Label 19707: @1401832
     /* 1401832 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1401914), // Rule ID 17727 //
     /* 1401837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1401840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1401845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1401848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1401851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1401857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401876 */     // MIs[0] round
     /* 1401876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401879 */     // MIs[0] policy
     /* 1401879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1401892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401913 */     // GIR_Coverage, 17727,
     /* 1401913 */     GIR_EraseRootFromParent_Done,
     /* 1401914 */   // Label 19708: @1401914
     /* 1401914 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1401996), // Rule ID 17730 //
     /* 1401919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1401922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1401927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1401930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1401933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1401939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401958 */     // MIs[0] round
     /* 1401958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1401961 */     // MIs[0] policy
     /* 1401961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401971 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1401974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1401984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401995 */     // GIR_Coverage, 17730,
     /* 1401995 */     GIR_EraseRootFromParent_Done,
     /* 1401996 */   // Label 19709: @1401996
     /* 1401996 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1402078), // Rule ID 17731 //
     /* 1402001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1402004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1402021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402040 */     // MIs[0] round
     /* 1402040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402043 */     // MIs[0] policy
     /* 1402043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402053 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1402056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402077 */     // GIR_Coverage, 17731,
     /* 1402077 */     GIR_EraseRootFromParent_Done,
     /* 1402078 */   // Label 19710: @1402078
     /* 1402078 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1402160), // Rule ID 17734 //
     /* 1402083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402122 */     // MIs[0] round
     /* 1402122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402125 */     // MIs[0] policy
     /* 1402125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402135 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1402138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402159 */     // GIR_Coverage, 17734,
     /* 1402159 */     GIR_EraseRootFromParent_Done,
     /* 1402160 */   // Label 19711: @1402160
     /* 1402160 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1402242), // Rule ID 17735 //
     /* 1402165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402204 */     // MIs[0] round
     /* 1402204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402207 */     // MIs[0] policy
     /* 1402207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1402220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402241 */     // GIR_Coverage, 17735,
     /* 1402241 */     GIR_EraseRootFromParent_Done,
     /* 1402242 */   // Label 19712: @1402242
     /* 1402242 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1402324), // Rule ID 17738 //
     /* 1402247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1402250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402286 */     // MIs[0] round
     /* 1402286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402289 */     // MIs[0] policy
     /* 1402289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402299 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1402302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402323 */     // GIR_Coverage, 17738,
     /* 1402323 */     GIR_EraseRootFromParent_Done,
     /* 1402324 */   // Label 19713: @1402324
     /* 1402324 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1402406), // Rule ID 17739 //
     /* 1402329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1402332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402368 */     // MIs[0] round
     /* 1402368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402371 */     // MIs[0] policy
     /* 1402371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402381 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1402384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402405 */     // GIR_Coverage, 17739,
     /* 1402405 */     GIR_EraseRootFromParent_Done,
     /* 1402406 */   // Label 19714: @1402406
     /* 1402406 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1402488), // Rule ID 17742 //
     /* 1402411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1402414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1402431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402450 */     // MIs[0] round
     /* 1402450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402453 */     // MIs[0] policy
     /* 1402453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402463 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1402466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402487 */     // GIR_Coverage, 17742,
     /* 1402487 */     GIR_EraseRootFromParent_Done,
     /* 1402488 */   // Label 19715: @1402488
     /* 1402488 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1402570), // Rule ID 17743 //
     /* 1402493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1402496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1402504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1402507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1402513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402532 */     // MIs[0] round
     /* 1402532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402535 */     // MIs[0] policy
     /* 1402535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402545 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1402548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402569 */     // GIR_Coverage, 17743,
     /* 1402569 */     GIR_EraseRootFromParent_Done,
     /* 1402570 */   // Label 19716: @1402570
     /* 1402570 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1402652), // Rule ID 17746 //
     /* 1402575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1402595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402614 */     // MIs[0] round
     /* 1402614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402617 */     // MIs[0] policy
     /* 1402617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1402630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402651 */     // GIR_Coverage, 17746,
     /* 1402651 */     GIR_EraseRootFromParent_Done,
     /* 1402652 */   // Label 19717: @1402652
     /* 1402652 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1402734), // Rule ID 17747 //
     /* 1402657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1402677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402696 */     // MIs[0] round
     /* 1402696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402699 */     // MIs[0] policy
     /* 1402699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402709 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1402712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402733 */     // GIR_Coverage, 17747,
     /* 1402733 */     GIR_EraseRootFromParent_Done,
     /* 1402734 */   // Label 19718: @1402734
     /* 1402734 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1402816), // Rule ID 17750 //
     /* 1402739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1402759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402778 */     // MIs[0] round
     /* 1402778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402781 */     // MIs[0] policy
     /* 1402781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402791 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1402794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402815 */     // GIR_Coverage, 17750,
     /* 1402815 */     GIR_EraseRootFromParent_Done,
     /* 1402816 */   // Label 19719: @1402816
     /* 1402816 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1402898), // Rule ID 17751 //
     /* 1402821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1402841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402860 */     // MIs[0] round
     /* 1402860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402863 */     // MIs[0] policy
     /* 1402863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402873 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1402876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402897 */     // GIR_Coverage, 17751,
     /* 1402897 */     GIR_EraseRootFromParent_Done,
     /* 1402898 */   // Label 19720: @1402898
     /* 1402898 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1402980), // Rule ID 17754 //
     /* 1402903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1402923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402942 */     // MIs[0] round
     /* 1402942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1402945 */     // MIs[0] policy
     /* 1402945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402955 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1402958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1402968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402979 */     // GIR_Coverage, 17754,
     /* 1402979 */     GIR_EraseRootFromParent_Done,
     /* 1402980 */   // Label 19721: @1402980
     /* 1402980 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1403062), // Rule ID 17755 //
     /* 1402985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1402993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1403002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1403005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403024 */     // MIs[0] round
     /* 1403024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403027 */     // MIs[0] policy
     /* 1403027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403037 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1403040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403061 */     // GIR_Coverage, 17755,
     /* 1403061 */     GIR_EraseRootFromParent_Done,
     /* 1403062 */   // Label 19722: @1403062
     /* 1403062 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1403144), // Rule ID 17758 //
     /* 1403067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1403070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1403087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403106 */     // MIs[0] round
     /* 1403106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403109 */     // MIs[0] policy
     /* 1403109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403119 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1403122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403143 */     // GIR_Coverage, 17758,
     /* 1403143 */     GIR_EraseRootFromParent_Done,
     /* 1403144 */   // Label 19723: @1403144
     /* 1403144 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1403226), // Rule ID 17759 //
     /* 1403149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1403152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1403169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403188 */     // MIs[0] round
     /* 1403188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403191 */     // MIs[0] policy
     /* 1403191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403201 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1403204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403225 */     // GIR_Coverage, 17759,
     /* 1403225 */     GIR_EraseRootFromParent_Done,
     /* 1403226 */   // Label 19724: @1403226
     /* 1403226 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1403308), // Rule ID 17762 //
     /* 1403231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1403234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1403251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403270 */     // MIs[0] round
     /* 1403270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403273 */     // MIs[0] policy
     /* 1403273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1403286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403307 */     // GIR_Coverage, 17762,
     /* 1403307 */     GIR_EraseRootFromParent_Done,
     /* 1403308 */   // Label 19725: @1403308
     /* 1403308 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1403390), // Rule ID 17763 //
     /* 1403313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1403316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1403333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403352 */     // MIs[0] round
     /* 1403352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403355 */     // MIs[0] policy
     /* 1403355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403365 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1403368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403389 */     // GIR_Coverage, 17763,
     /* 1403389 */     GIR_EraseRootFromParent_Done,
     /* 1403390 */   // Label 19726: @1403390
     /* 1403390 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1403472), // Rule ID 17766 //
     /* 1403395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1403398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1403415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403434 */     // MIs[0] round
     /* 1403434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403437 */     // MIs[0] policy
     /* 1403437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403447 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1403450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403471 */     // GIR_Coverage, 17766,
     /* 1403471 */     GIR_EraseRootFromParent_Done,
     /* 1403472 */   // Label 19727: @1403472
     /* 1403472 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1403554), // Rule ID 17767 //
     /* 1403477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1403480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1403497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403516 */     // MIs[0] round
     /* 1403516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403519 */     // MIs[0] policy
     /* 1403519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403529 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1403532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403553 */     // GIR_Coverage, 17767,
     /* 1403553 */     GIR_EraseRootFromParent_Done,
     /* 1403554 */   // Label 19728: @1403554
     /* 1403554 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1403636), // Rule ID 17770 //
     /* 1403559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1403579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403598 */     // MIs[0] round
     /* 1403598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403601 */     // MIs[0] policy
     /* 1403601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1403614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403635 */     // GIR_Coverage, 17770,
     /* 1403635 */     GIR_EraseRootFromParent_Done,
     /* 1403636 */   // Label 19729: @1403636
     /* 1403636 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1403718), // Rule ID 17771 //
     /* 1403641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1403661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403680 */     // MIs[0] round
     /* 1403680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403683 */     // MIs[0] policy
     /* 1403683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1403696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403717 */     // GIR_Coverage, 17771,
     /* 1403717 */     GIR_EraseRootFromParent_Done,
     /* 1403718 */   // Label 19730: @1403718
     /* 1403718 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1403800), // Rule ID 17774 //
     /* 1403723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1403743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403762 */     // MIs[0] round
     /* 1403762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403765 */     // MIs[0] policy
     /* 1403765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403775 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1403778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403799 */     // GIR_Coverage, 17774,
     /* 1403799 */     GIR_EraseRootFromParent_Done,
     /* 1403800 */   // Label 19731: @1403800
     /* 1403800 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1403882), // Rule ID 17775 //
     /* 1403805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1403825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403844 */     // MIs[0] round
     /* 1403844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403847 */     // MIs[0] policy
     /* 1403847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1403860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403881 */     // GIR_Coverage, 17775,
     /* 1403881 */     GIR_EraseRootFromParent_Done,
     /* 1403882 */   // Label 19732: @1403882
     /* 1403882 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1403964), // Rule ID 17778 //
     /* 1403887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1403907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403926 */     // MIs[0] round
     /* 1403926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1403929 */     // MIs[0] policy
     /* 1403929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403939 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1403942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1403952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403963 */     // GIR_Coverage, 17778,
     /* 1403963 */     GIR_EraseRootFromParent_Done,
     /* 1403964 */   // Label 19733: @1403964
     /* 1403964 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1404046), // Rule ID 17779 //
     /* 1403969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1403977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1403989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404008 */     // MIs[0] round
     /* 1404008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404011 */     // MIs[0] policy
     /* 1404011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404021 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1404024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404045 */     // GIR_Coverage, 17779,
     /* 1404045 */     GIR_EraseRootFromParent_Done,
     /* 1404046 */   // Label 19734: @1404046
     /* 1404046 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1404128), // Rule ID 17782 //
     /* 1404051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1404062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1404065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1404071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404090 */     // MIs[0] round
     /* 1404090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404093 */     // MIs[0] policy
     /* 1404093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404103 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1404106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404127 */     // GIR_Coverage, 17782,
     /* 1404127 */     GIR_EraseRootFromParent_Done,
     /* 1404128 */   // Label 19735: @1404128
     /* 1404128 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1404210), // Rule ID 17783 //
     /* 1404133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1404144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1404147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1404153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404172 */     // MIs[0] round
     /* 1404172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404175 */     // MIs[0] policy
     /* 1404175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404185 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1404188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404209 */     // GIR_Coverage, 17783,
     /* 1404209 */     GIR_EraseRootFromParent_Done,
     /* 1404210 */   // Label 19736: @1404210
     /* 1404210 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1404292), // Rule ID 17786 //
     /* 1404215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1404226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1404229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1404235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404254 */     // MIs[0] round
     /* 1404254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404257 */     // MIs[0] policy
     /* 1404257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404267 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1404270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404291 */     // GIR_Coverage, 17786,
     /* 1404291 */     GIR_EraseRootFromParent_Done,
     /* 1404292 */   // Label 19737: @1404292
     /* 1404292 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1404374), // Rule ID 17787 //
     /* 1404297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1404308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1404311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1404317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404336 */     // MIs[0] round
     /* 1404336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404339 */     // MIs[0] policy
     /* 1404339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404349 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1404352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404373 */     // GIR_Coverage, 17787,
     /* 1404373 */     GIR_EraseRootFromParent_Done,
     /* 1404374 */   // Label 19738: @1404374
     /* 1404374 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1404456), // Rule ID 17790 //
     /* 1404379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1404382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1404396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1404399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1404414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404418 */     // MIs[0] round
     /* 1404418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404421 */     // MIs[0] policy
     /* 1404421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404431 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1404434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404455 */     // GIR_Coverage, 17790,
     /* 1404455 */     GIR_EraseRootFromParent_Done,
     /* 1404456 */   // Label 19739: @1404456
     /* 1404456 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1404538), // Rule ID 17791 //
     /* 1404461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1404464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1404478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1404481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1404496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404500 */     // MIs[0] round
     /* 1404500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404503 */     // MIs[0] policy
     /* 1404503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404513 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1404516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404537 */     // GIR_Coverage, 17791,
     /* 1404537 */     GIR_EraseRootFromParent_Done,
     /* 1404538 */   // Label 19740: @1404538
     /* 1404538 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1404620), // Rule ID 17794 //
     /* 1404543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404582 */     // MIs[0] round
     /* 1404582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404585 */     // MIs[0] policy
     /* 1404585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404595 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1404598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404619 */     // GIR_Coverage, 17794,
     /* 1404619 */     GIR_EraseRootFromParent_Done,
     /* 1404620 */   // Label 19741: @1404620
     /* 1404620 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1404702), // Rule ID 17795 //
     /* 1404625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1404642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1404660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404664 */     // MIs[0] round
     /* 1404664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404667 */     // MIs[0] policy
     /* 1404667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1404680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404701 */     // GIR_Coverage, 17795,
     /* 1404701 */     GIR_EraseRootFromParent_Done,
     /* 1404702 */   // Label 19742: @1404702
     /* 1404702 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1404784), // Rule ID 17798 //
     /* 1404707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1404710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1404724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1404727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1404742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404746 */     // MIs[0] round
     /* 1404746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404749 */     // MIs[0] policy
     /* 1404749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404759 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1404762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404783 */     // GIR_Coverage, 17798,
     /* 1404783 */     GIR_EraseRootFromParent_Done,
     /* 1404784 */   // Label 19743: @1404784
     /* 1404784 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1404866), // Rule ID 17799 //
     /* 1404789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1404792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1404806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1404809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1404824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404828 */     // MIs[0] round
     /* 1404828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404831 */     // MIs[0] policy
     /* 1404831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404841 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1404844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404865 */     // GIR_Coverage, 17799,
     /* 1404865 */     GIR_EraseRootFromParent_Done,
     /* 1404866 */   // Label 19744: @1404866
     /* 1404866 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1404948), // Rule ID 17802 //
     /* 1404871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1404874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1404888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1404891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1404906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404910 */     // MIs[0] round
     /* 1404910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404913 */     // MIs[0] policy
     /* 1404913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404923 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1404926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1404936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404947 */     // GIR_Coverage, 17802,
     /* 1404947 */     GIR_EraseRootFromParent_Done,
     /* 1404948 */   // Label 19745: @1404948
     /* 1404948 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1405030), // Rule ID 17803 //
     /* 1404953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1404956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1404961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1404970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1404973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1404988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404992 */     // MIs[0] round
     /* 1404992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1404995 */     // MIs[0] policy
     /* 1404995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405005 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1405008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405029 */     // GIR_Coverage, 17803,
     /* 1405029 */     GIR_EraseRootFromParent_Done,
     /* 1405030 */   // Label 19746: @1405030
     /* 1405030 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1405112), // Rule ID 17806 //
     /* 1405035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1405038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1405046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1405049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1405055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405074 */     // MIs[0] round
     /* 1405074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405077 */     // MIs[0] policy
     /* 1405077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405087 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1405090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405111 */     // GIR_Coverage, 17806,
     /* 1405111 */     GIR_EraseRootFromParent_Done,
     /* 1405112 */   // Label 19747: @1405112
     /* 1405112 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1405194), // Rule ID 17807 //
     /* 1405117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1405120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1405128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1405131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1405137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405156 */     // MIs[0] round
     /* 1405156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405159 */     // MIs[0] policy
     /* 1405159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405169 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1405172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405193 */     // GIR_Coverage, 17807,
     /* 1405193 */     GIR_EraseRootFromParent_Done,
     /* 1405194 */   // Label 19748: @1405194
     /* 1405194 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1405276), // Rule ID 17810 //
     /* 1405199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1405202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1405210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1405213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1405219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405238 */     // MIs[0] round
     /* 1405238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405241 */     // MIs[0] policy
     /* 1405241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405251 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1405254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405275 */     // GIR_Coverage, 17810,
     /* 1405275 */     GIR_EraseRootFromParent_Done,
     /* 1405276 */   // Label 19749: @1405276
     /* 1405276 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1405358), // Rule ID 17811 //
     /* 1405281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1405284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1405292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1405295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1405301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405320 */     // MIs[0] round
     /* 1405320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405323 */     // MIs[0] policy
     /* 1405323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405333 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1405336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405357 */     // GIR_Coverage, 17811,
     /* 1405357 */     GIR_EraseRootFromParent_Done,
     /* 1405358 */   // Label 19750: @1405358
     /* 1405358 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1405440), // Rule ID 17814 //
     /* 1405363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1405366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1405374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1405377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1405383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405402 */     // MIs[0] round
     /* 1405402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405405 */     // MIs[0] policy
     /* 1405405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405415 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1405418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405439 */     // GIR_Coverage, 17814,
     /* 1405439 */     GIR_EraseRootFromParent_Done,
     /* 1405440 */   // Label 19751: @1405440
     /* 1405440 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1405522), // Rule ID 17815 //
     /* 1405445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1405448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1405456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1405459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1405462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1405465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1405480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405484 */     // MIs[0] round
     /* 1405484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405487 */     // MIs[0] policy
     /* 1405487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405497 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1405500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405521 */     // GIR_Coverage, 17815,
     /* 1405521 */     GIR_EraseRootFromParent_Done,
     /* 1405522 */   // Label 19752: @1405522
     /* 1405522 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1405604), // Rule ID 17818 //
     /* 1405527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1405547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405566 */     // MIs[0] round
     /* 1405566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405569 */     // MIs[0] policy
     /* 1405569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405579 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1405582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405603 */     // GIR_Coverage, 17818,
     /* 1405603 */     GIR_EraseRootFromParent_Done,
     /* 1405604 */   // Label 19753: @1405604
     /* 1405604 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1405686), // Rule ID 17819 //
     /* 1405609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1405629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405648 */     // MIs[0] round
     /* 1405648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405651 */     // MIs[0] policy
     /* 1405651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405661 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1405664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405685 */     // GIR_Coverage, 17819,
     /* 1405685 */     GIR_EraseRootFromParent_Done,
     /* 1405686 */   // Label 19754: @1405686
     /* 1405686 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1405768), // Rule ID 17822 //
     /* 1405691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1405702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1405705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1405711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405730 */     // MIs[0] round
     /* 1405730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405733 */     // MIs[0] policy
     /* 1405733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405743 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1405746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405767 */     // GIR_Coverage, 17822,
     /* 1405767 */     GIR_EraseRootFromParent_Done,
     /* 1405768 */   // Label 19755: @1405768
     /* 1405768 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1405850), // Rule ID 17823 //
     /* 1405773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1405784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1405787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1405793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405812 */     // MIs[0] round
     /* 1405812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405815 */     // MIs[0] policy
     /* 1405815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405825 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1405828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405849 */     // GIR_Coverage, 17823,
     /* 1405849 */     GIR_EraseRootFromParent_Done,
     /* 1405850 */   // Label 19756: @1405850
     /* 1405850 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1405932), // Rule ID 17826 //
     /* 1405855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1405866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1405869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1405875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405894 */     // MIs[0] round
     /* 1405894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405897 */     // MIs[0] policy
     /* 1405897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1405910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1405920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405931 */     // GIR_Coverage, 17826,
     /* 1405931 */     GIR_EraseRootFromParent_Done,
     /* 1405932 */   // Label 19757: @1405932
     /* 1405932 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1406014), // Rule ID 17827 //
     /* 1405937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1405945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1405948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1405951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1405954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1405957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1405972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405976 */     // MIs[0] round
     /* 1405976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1405979 */     // MIs[0] policy
     /* 1405979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405989 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1405992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406013 */     // GIR_Coverage, 17827,
     /* 1406013 */     GIR_EraseRootFromParent_Done,
     /* 1406014 */   // Label 19758: @1406014
     /* 1406014 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1406096), // Rule ID 17830 //
     /* 1406019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1406022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1406039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406058 */     // MIs[0] round
     /* 1406058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406061 */     // MIs[0] policy
     /* 1406061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406071 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1406074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406095 */     // GIR_Coverage, 17830,
     /* 1406095 */     GIR_EraseRootFromParent_Done,
     /* 1406096 */   // Label 19759: @1406096
     /* 1406096 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1406178), // Rule ID 17831 //
     /* 1406101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1406104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1406112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1406115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1406121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406140 */     // MIs[0] round
     /* 1406140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406143 */     // MIs[0] policy
     /* 1406143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10893:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1406156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406177 */     // GIR_Coverage, 17831,
     /* 1406177 */     GIR_EraseRootFromParent_Done,
     /* 1406178 */   // Label 19760: @1406178
     /* 1406178 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1406260), // Rule ID 17834 //
     /* 1406183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1406186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1406203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406222 */     // MIs[0] round
     /* 1406222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406225 */     // MIs[0] policy
     /* 1406225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406235 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1406238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406259 */     // GIR_Coverage, 17834,
     /* 1406259 */     GIR_EraseRootFromParent_Done,
     /* 1406260 */   // Label 19761: @1406260
     /* 1406260 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1406342), // Rule ID 17835 //
     /* 1406265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1406268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1406276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1406279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1406285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406304 */     // MIs[0] round
     /* 1406304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406307 */     // MIs[0] policy
     /* 1406307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10893:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1406320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406341 */     // GIR_Coverage, 17835,
     /* 1406341 */     GIR_EraseRootFromParent_Done,
     /* 1406342 */   // Label 19762: @1406342
     /* 1406342 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1406424), // Rule ID 17838 //
     /* 1406347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1406350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1406367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406386 */     // MIs[0] round
     /* 1406386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406389 */     // MIs[0] policy
     /* 1406389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406399 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1406402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406423 */     // GIR_Coverage, 17838,
     /* 1406423 */     GIR_EraseRootFromParent_Done,
     /* 1406424 */   // Label 19763: @1406424
     /* 1406424 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1406506), // Rule ID 17839 //
     /* 1406429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1406432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1406437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1406440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1406443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1406446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1406449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1406464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406468 */     // MIs[0] round
     /* 1406468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406471 */     // MIs[0] policy
     /* 1406471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406481 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10893:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1406484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406505 */     // GIR_Coverage, 17839,
     /* 1406505 */     GIR_EraseRootFromParent_Done,
     /* 1406506 */   // Label 19764: @1406506
     /* 1406506 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1406588), // Rule ID 17842 //
     /* 1406511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1406514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1406531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406550 */     // MIs[0] round
     /* 1406550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406553 */     // MIs[0] policy
     /* 1406553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406563 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1406566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406587 */     // GIR_Coverage, 17842,
     /* 1406587 */     GIR_EraseRootFromParent_Done,
     /* 1406588 */   // Label 19765: @1406588
     /* 1406588 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1406670), // Rule ID 17843 //
     /* 1406593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1406596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1406613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406632 */     // MIs[0] round
     /* 1406632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406635 */     // MIs[0] policy
     /* 1406635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406645 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1406648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406669 */     // GIR_Coverage, 17843,
     /* 1406669 */     GIR_EraseRootFromParent_Done,
     /* 1406670 */   // Label 19766: @1406670
     /* 1406670 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1406752), // Rule ID 17846 //
     /* 1406675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1406678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1406686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1406689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1406695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406714 */     // MIs[0] round
     /* 1406714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406717 */     // MIs[0] policy
     /* 1406717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406727 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1406730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406751 */     // GIR_Coverage, 17846,
     /* 1406751 */     GIR_EraseRootFromParent_Done,
     /* 1406752 */   // Label 19767: @1406752
     /* 1406752 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1406834), // Rule ID 17847 //
     /* 1406757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1406760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1406768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1406771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1406777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406796 */     // MIs[0] round
     /* 1406796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406799 */     // MIs[0] policy
     /* 1406799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406809 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1406812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406833 */     // GIR_Coverage, 17847,
     /* 1406833 */     GIR_EraseRootFromParent_Done,
     /* 1406834 */   // Label 19768: @1406834
     /* 1406834 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1406916), // Rule ID 17850 //
     /* 1406839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1406842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1406859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406878 */     // MIs[0] round
     /* 1406878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406881 */     // MIs[0] policy
     /* 1406881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406891 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1406894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406915 */     // GIR_Coverage, 17850,
     /* 1406915 */     GIR_EraseRootFromParent_Done,
     /* 1406916 */   // Label 19769: @1406916
     /* 1406916 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1406998), // Rule ID 17851 //
     /* 1406921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1406924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1406929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1406941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406960 */     // MIs[0] round
     /* 1406960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1406963 */     // MIs[0] policy
     /* 1406963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406973 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1406976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1406986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406997 */     // GIR_Coverage, 17851,
     /* 1406997 */     GIR_EraseRootFromParent_Done,
     /* 1406998 */   // Label 19770: @1406998
     /* 1406998 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1407080), // Rule ID 17854 //
     /* 1407003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1407006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1407023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407042 */     // MIs[0] round
     /* 1407042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407045 */     // MIs[0] policy
     /* 1407045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1407058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407079 */     // GIR_Coverage, 17854,
     /* 1407079 */     GIR_EraseRootFromParent_Done,
     /* 1407080 */   // Label 19771: @1407080
     /* 1407080 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1407162), // Rule ID 17855 //
     /* 1407085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1407088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1407105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407124 */     // MIs[0] round
     /* 1407124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407127 */     // MIs[0] policy
     /* 1407127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407137 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1407140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407161 */     // GIR_Coverage, 17855,
     /* 1407161 */     GIR_EraseRootFromParent_Done,
     /* 1407162 */   // Label 19772: @1407162
     /* 1407162 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1407244), // Rule ID 17858 //
     /* 1407167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1407170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1407187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407206 */     // MIs[0] round
     /* 1407206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407209 */     // MIs[0] policy
     /* 1407209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407219 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1407222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407243 */     // GIR_Coverage, 17858,
     /* 1407243 */     GIR_EraseRootFromParent_Done,
     /* 1407244 */   // Label 19773: @1407244
     /* 1407244 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1407326), // Rule ID 17859 //
     /* 1407249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1407252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1407269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407288 */     // MIs[0] round
     /* 1407288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407291 */     // MIs[0] policy
     /* 1407291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407301 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1407304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407325 */     // GIR_Coverage, 17859,
     /* 1407325 */     GIR_EraseRootFromParent_Done,
     /* 1407326 */   // Label 19774: @1407326
     /* 1407326 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1407408), // Rule ID 17862 //
     /* 1407331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1407334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1407342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1407345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1407351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407370 */     // MIs[0] round
     /* 1407370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407373 */     // MIs[0] policy
     /* 1407373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1407386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407407 */     // GIR_Coverage, 17862,
     /* 1407407 */     GIR_EraseRootFromParent_Done,
     /* 1407408 */   // Label 19775: @1407408
     /* 1407408 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1407490), // Rule ID 17863 //
     /* 1407413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1407416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1407424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1407427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1407433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407452 */     // MIs[0] round
     /* 1407452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407455 */     // MIs[0] policy
     /* 1407455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407465 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1407468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407489 */     // GIR_Coverage, 17863,
     /* 1407489 */     GIR_EraseRootFromParent_Done,
     /* 1407490 */   // Label 19776: @1407490
     /* 1407490 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1407572), // Rule ID 17866 //
     /* 1407495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1407498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1407515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407534 */     // MIs[0] round
     /* 1407534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407537 */     // MIs[0] policy
     /* 1407537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407547 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1407550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407571 */     // GIR_Coverage, 17866,
     /* 1407571 */     GIR_EraseRootFromParent_Done,
     /* 1407572 */   // Label 19777: @1407572
     /* 1407572 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1407654), // Rule ID 17867 //
     /* 1407577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1407580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1407597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407616 */     // MIs[0] round
     /* 1407616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407619 */     // MIs[0] policy
     /* 1407619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407629 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1407632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407653 */     // GIR_Coverage, 17867,
     /* 1407653 */     GIR_EraseRootFromParent_Done,
     /* 1407654 */   // Label 19778: @1407654
     /* 1407654 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1407736), // Rule ID 17870 //
     /* 1407659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1407662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1407679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407698 */     // MIs[0] round
     /* 1407698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407701 */     // MIs[0] policy
     /* 1407701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407711 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1407714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407735 */     // GIR_Coverage, 17870,
     /* 1407735 */     GIR_EraseRootFromParent_Done,
     /* 1407736 */   // Label 19779: @1407736
     /* 1407736 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1407818), // Rule ID 17871 //
     /* 1407741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1407744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1407761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407780 */     // MIs[0] round
     /* 1407780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407783 */     // MIs[0] policy
     /* 1407783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407793 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1407796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407817 */     // GIR_Coverage, 17871,
     /* 1407817 */     GIR_EraseRootFromParent_Done,
     /* 1407818 */   // Label 19780: @1407818
     /* 1407818 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1407900), // Rule ID 17874 //
     /* 1407823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1407826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1407843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407862 */     // MIs[0] round
     /* 1407862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407865 */     // MIs[0] policy
     /* 1407865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407875 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1407878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407899 */     // GIR_Coverage, 17874,
     /* 1407899 */     GIR_EraseRootFromParent_Done,
     /* 1407900 */   // Label 19781: @1407900
     /* 1407900 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1407982), // Rule ID 17875 //
     /* 1407905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1407908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1407925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407944 */     // MIs[0] round
     /* 1407944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1407947 */     // MIs[0] policy
     /* 1407947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407957 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1407960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1407964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1407968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1407970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407981 */     // GIR_Coverage, 17875,
     /* 1407981 */     GIR_EraseRootFromParent_Done,
     /* 1407982 */   // Label 19782: @1407982
     /* 1407982 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1408064), // Rule ID 17878 //
     /* 1407987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1407990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1407995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1408007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408026 */     // MIs[0] round
     /* 1408026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408029 */     // MIs[0] policy
     /* 1408029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408039 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1408042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408063 */     // GIR_Coverage, 17878,
     /* 1408063 */     GIR_EraseRootFromParent_Done,
     /* 1408064 */   // Label 19783: @1408064
     /* 1408064 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1408146), // Rule ID 17879 //
     /* 1408069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1408072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1408089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408108 */     // MIs[0] round
     /* 1408108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408111 */     // MIs[0] policy
     /* 1408111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408121 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1408124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408145 */     // GIR_Coverage, 17879,
     /* 1408145 */     GIR_EraseRootFromParent_Done,
     /* 1408146 */   // Label 19784: @1408146
     /* 1408146 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1408228), // Rule ID 17882 //
     /* 1408151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1408154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1408171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408190 */     // MIs[0] round
     /* 1408190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408193 */     // MIs[0] policy
     /* 1408193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1408206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408227 */     // GIR_Coverage, 17882,
     /* 1408227 */     GIR_EraseRootFromParent_Done,
     /* 1408228 */   // Label 19785: @1408228
     /* 1408228 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1408310), // Rule ID 17883 //
     /* 1408233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1408236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1408253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408272 */     // MIs[0] round
     /* 1408272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408275 */     // MIs[0] policy
     /* 1408275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408285 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1408288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408309 */     // GIR_Coverage, 17883,
     /* 1408309 */     GIR_EraseRootFromParent_Done,
     /* 1408310 */   // Label 19786: @1408310
     /* 1408310 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1408392), // Rule ID 17886 //
     /* 1408315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1408318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1408326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1408329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1408335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408354 */     // MIs[0] round
     /* 1408354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408357 */     // MIs[0] policy
     /* 1408357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408367 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1408370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408391 */     // GIR_Coverage, 17886,
     /* 1408391 */     GIR_EraseRootFromParent_Done,
     /* 1408392 */   // Label 19787: @1408392
     /* 1408392 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1408474), // Rule ID 17887 //
     /* 1408397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1408400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1408408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1408411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1408417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408436 */     // MIs[0] round
     /* 1408436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408439 */     // MIs[0] policy
     /* 1408439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408449 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1408452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408473 */     // GIR_Coverage, 17887,
     /* 1408473 */     GIR_EraseRootFromParent_Done,
     /* 1408474 */   // Label 19788: @1408474
     /* 1408474 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1408556), // Rule ID 17890 //
     /* 1408479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1408482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1408490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1408493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1408496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1408499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408518 */     // MIs[0] round
     /* 1408518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408521 */     // MIs[0] policy
     /* 1408521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408531 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1408534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408555 */     // GIR_Coverage, 17890,
     /* 1408555 */     GIR_EraseRootFromParent_Done,
     /* 1408556 */   // Label 19789: @1408556
     /* 1408556 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1408638), // Rule ID 17891 //
     /* 1408561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1408564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1408572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1408575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1408578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1408581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408600 */     // MIs[0] round
     /* 1408600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408603 */     // MIs[0] policy
     /* 1408603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1408616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408637 */     // GIR_Coverage, 17891,
     /* 1408637 */     GIR_EraseRootFromParent_Done,
     /* 1408638 */   // Label 19790: @1408638
     /* 1408638 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1408720), // Rule ID 17894 //
     /* 1408643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1408646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1408663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408682 */     // MIs[0] round
     /* 1408682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408685 */     // MIs[0] policy
     /* 1408685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408695 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1408698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408719 */     // GIR_Coverage, 17894,
     /* 1408719 */     GIR_EraseRootFromParent_Done,
     /* 1408720 */   // Label 19791: @1408720
     /* 1408720 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1408802), // Rule ID 17895 //
     /* 1408725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1408728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1408745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408764 */     // MIs[0] round
     /* 1408764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408767 */     // MIs[0] policy
     /* 1408767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1408780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408801 */     // GIR_Coverage, 17895,
     /* 1408801 */     GIR_EraseRootFromParent_Done,
     /* 1408802 */   // Label 19792: @1408802
     /* 1408802 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1408884), // Rule ID 17898 //
     /* 1408807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1408810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1408827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408846 */     // MIs[0] round
     /* 1408846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408849 */     // MIs[0] policy
     /* 1408849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408859 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1408862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408883 */     // GIR_Coverage, 17898,
     /* 1408883 */     GIR_EraseRootFromParent_Done,
     /* 1408884 */   // Label 19793: @1408884
     /* 1408884 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1408966), // Rule ID 17899 //
     /* 1408889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1408892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1408900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1408903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1408909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408928 */     // MIs[0] round
     /* 1408928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1408931 */     // MIs[0] policy
     /* 1408931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408941 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1408944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1408948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1408952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1408954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408965 */     // GIR_Coverage, 17899,
     /* 1408965 */     GIR_EraseRootFromParent_Done,
     /* 1408966 */   // Label 19794: @1408966
     /* 1408966 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1409048), // Rule ID 17902 //
     /* 1408971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1408974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1408979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1408982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1408985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1408988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1408991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409010 */     // MIs[0] round
     /* 1409010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409013 */     // MIs[0] policy
     /* 1409013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409023 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1409026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409047 */     // GIR_Coverage, 17902,
     /* 1409047 */     GIR_EraseRootFromParent_Done,
     /* 1409048 */   // Label 19795: @1409048
     /* 1409048 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1409130), // Rule ID 17903 //
     /* 1409053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1409056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1409064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1409067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1409073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409092 */     // MIs[0] round
     /* 1409092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409095 */     // MIs[0] policy
     /* 1409095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409105 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1409108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409129 */     // GIR_Coverage, 17903,
     /* 1409129 */     GIR_EraseRootFromParent_Done,
     /* 1409130 */   // Label 19796: @1409130
     /* 1409130 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1409212), // Rule ID 17906 //
     /* 1409135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1409138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1409146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1409149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1409155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409174 */     // MIs[0] round
     /* 1409174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409177 */     // MIs[0] policy
     /* 1409177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409187 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1409190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409211 */     // GIR_Coverage, 17906,
     /* 1409211 */     GIR_EraseRootFromParent_Done,
     /* 1409212 */   // Label 19797: @1409212
     /* 1409212 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1409294), // Rule ID 17907 //
     /* 1409217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1409220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1409228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1409231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1409237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409256 */     // MIs[0] round
     /* 1409256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409259 */     // MIs[0] policy
     /* 1409259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409269 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1409272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409293 */     // GIR_Coverage, 17907,
     /* 1409293 */     GIR_EraseRootFromParent_Done,
     /* 1409294 */   // Label 19798: @1409294
     /* 1409294 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1409376), // Rule ID 17910 //
     /* 1409299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1409302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1409316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1409319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1409334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409338 */     // MIs[0] round
     /* 1409338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409341 */     // MIs[0] policy
     /* 1409341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409351 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1409354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409375 */     // GIR_Coverage, 17910,
     /* 1409375 */     GIR_EraseRootFromParent_Done,
     /* 1409376 */   // Label 19799: @1409376
     /* 1409376 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1409458), // Rule ID 17911 //
     /* 1409381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1409384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1409392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1409395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1409398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1409401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1409416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409420 */     // MIs[0] round
     /* 1409420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409423 */     // MIs[0] policy
     /* 1409423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409433 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1409436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409457 */     // GIR_Coverage, 17911,
     /* 1409457 */     GIR_EraseRootFromParent_Done,
     /* 1409458 */   // Label 19800: @1409458
     /* 1409458 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1409540), // Rule ID 17914 //
     /* 1409463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1409466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1409474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1409477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1409483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409502 */     // MIs[0] round
     /* 1409502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409505 */     // MIs[0] policy
     /* 1409505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409515 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1409518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409539 */     // GIR_Coverage, 17914,
     /* 1409539 */     GIR_EraseRootFromParent_Done,
     /* 1409540 */   // Label 19801: @1409540
     /* 1409540 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1409622), // Rule ID 17915 //
     /* 1409545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1409548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1409556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1409559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1409565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409584 */     // MIs[0] round
     /* 1409584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409587 */     // MIs[0] policy
     /* 1409587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409597 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1409600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409621 */     // GIR_Coverage, 17915,
     /* 1409621 */     GIR_EraseRootFromParent_Done,
     /* 1409622 */   // Label 19802: @1409622
     /* 1409622 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1409704), // Rule ID 17918 //
     /* 1409627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1409630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1409644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1409647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1409662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409666 */     // MIs[0] round
     /* 1409666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409669 */     // MIs[0] policy
     /* 1409669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409679 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1409682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409703 */     // GIR_Coverage, 17918,
     /* 1409703 */     GIR_EraseRootFromParent_Done,
     /* 1409704 */   // Label 19803: @1409704
     /* 1409704 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1409786), // Rule ID 17919 //
     /* 1409709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1409712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1409720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1409723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1409726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1409729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1409744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409748 */     // MIs[0] round
     /* 1409748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409751 */     // MIs[0] policy
     /* 1409751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409761 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1409764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409785 */     // GIR_Coverage, 17919,
     /* 1409785 */     GIR_EraseRootFromParent_Done,
     /* 1409786 */   // Label 19804: @1409786
     /* 1409786 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1409868), // Rule ID 17922 //
     /* 1409791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1409794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1409808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1409811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1409826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409830 */     // MIs[0] round
     /* 1409830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409833 */     // MIs[0] policy
     /* 1409833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409843 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1409846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409867 */     // GIR_Coverage, 17922,
     /* 1409867 */     GIR_EraseRootFromParent_Done,
     /* 1409868 */   // Label 19805: @1409868
     /* 1409868 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1409950), // Rule ID 17923 //
     /* 1409873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1409876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1409884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1409887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1409890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1409893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1409908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409912 */     // MIs[0] round
     /* 1409912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409915 */     // MIs[0] policy
     /* 1409915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409925 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1409928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1409932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1409936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1409938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409949 */     // GIR_Coverage, 17923,
     /* 1409949 */     GIR_EraseRootFromParent_Done,
     /* 1409950 */   // Label 19806: @1409950
     /* 1409950 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1410032), // Rule ID 17926 //
     /* 1409955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1409958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1409963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1409972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1409975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1409990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409994 */     // MIs[0] round
     /* 1409994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1409997 */     // MIs[0] policy
     /* 1409997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410007 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1410010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410031 */     // GIR_Coverage, 17926,
     /* 1410031 */     GIR_EraseRootFromParent_Done,
     /* 1410032 */   // Label 19807: @1410032
     /* 1410032 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1410114), // Rule ID 17927 //
     /* 1410037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1410040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1410048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1410051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1410054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1410057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1410072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410076 */     // MIs[0] round
     /* 1410076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410079 */     // MIs[0] policy
     /* 1410079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410089 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1410092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410113 */     // GIR_Coverage, 17927,
     /* 1410113 */     GIR_EraseRootFromParent_Done,
     /* 1410114 */   // Label 19808: @1410114
     /* 1410114 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1410196), // Rule ID 17930 //
     /* 1410119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1410122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1410130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1410133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1410136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1410139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1410154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410158 */     // MIs[0] round
     /* 1410158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410161 */     // MIs[0] policy
     /* 1410161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410171 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1410174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410195 */     // GIR_Coverage, 17930,
     /* 1410195 */     GIR_EraseRootFromParent_Done,
     /* 1410196 */   // Label 19809: @1410196
     /* 1410196 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1410278), // Rule ID 17931 //
     /* 1410201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1410204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1410212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1410215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1410218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1410221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1410236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410240 */     // MIs[0] round
     /* 1410240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410243 */     // MIs[0] policy
     /* 1410243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410253 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1410256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410277 */     // GIR_Coverage, 17931,
     /* 1410277 */     GIR_EraseRootFromParent_Done,
     /* 1410278 */   // Label 19810: @1410278
     /* 1410278 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1410360), // Rule ID 17934 //
     /* 1410283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1410286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1410294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1410297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1410300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1410303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1410318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410322 */     // MIs[0] round
     /* 1410322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410325 */     // MIs[0] policy
     /* 1410325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410335 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1410338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410359 */     // GIR_Coverage, 17934,
     /* 1410359 */     GIR_EraseRootFromParent_Done,
     /* 1410360 */   // Label 19811: @1410360
     /* 1410360 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1410442), // Rule ID 17935 //
     /* 1410365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1410368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1410376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1410379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1410382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1410385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1410400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410404 */     // MIs[0] round
     /* 1410404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410407 */     // MIs[0] policy
     /* 1410407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410417 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1410420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410441 */     // GIR_Coverage, 17935,
     /* 1410441 */     GIR_EraseRootFromParent_Done,
     /* 1410442 */   // Label 19812: @1410442
     /* 1410442 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1410524), // Rule ID 17938 //
     /* 1410447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1410450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1410467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410486 */     // MIs[0] round
     /* 1410486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410489 */     // MIs[0] policy
     /* 1410489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410499 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1410502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410523 */     // GIR_Coverage, 17938,
     /* 1410523 */     GIR_EraseRootFromParent_Done,
     /* 1410524 */   // Label 19813: @1410524
     /* 1410524 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1410606), // Rule ID 17939 //
     /* 1410529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1410532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1410549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410568 */     // MIs[0] round
     /* 1410568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410571 */     // MIs[0] policy
     /* 1410571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410581 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1410584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410605 */     // GIR_Coverage, 17939,
     /* 1410605 */     GIR_EraseRootFromParent_Done,
     /* 1410606 */   // Label 19814: @1410606
     /* 1410606 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1410688), // Rule ID 17942 //
     /* 1410611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1410614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1410631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410650 */     // MIs[0] round
     /* 1410650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410653 */     // MIs[0] policy
     /* 1410653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410663 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1410666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410687 */     // GIR_Coverage, 17942,
     /* 1410687 */     GIR_EraseRootFromParent_Done,
     /* 1410688 */   // Label 19815: @1410688
     /* 1410688 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1410770), // Rule ID 17943 //
     /* 1410693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1410696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1410713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410732 */     // MIs[0] round
     /* 1410732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410735 */     // MIs[0] policy
     /* 1410735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410745 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1410748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410769 */     // GIR_Coverage, 17943,
     /* 1410769 */     GIR_EraseRootFromParent_Done,
     /* 1410770 */   // Label 19816: @1410770
     /* 1410770 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1410852), // Rule ID 17946 //
     /* 1410775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1410778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1410795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410814 */     // MIs[0] round
     /* 1410814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410817 */     // MIs[0] policy
     /* 1410817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410827 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1410830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410851 */     // GIR_Coverage, 17946,
     /* 1410851 */     GIR_EraseRootFromParent_Done,
     /* 1410852 */   // Label 19817: @1410852
     /* 1410852 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1410934), // Rule ID 17947 //
     /* 1410857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1410860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1410868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1410871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1410874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1410877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1410892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410896 */     // MIs[0] round
     /* 1410896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410899 */     // MIs[0] policy
     /* 1410899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1410912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1410920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1410922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410933 */     // GIR_Coverage, 17947,
     /* 1410933 */     GIR_EraseRootFromParent_Done,
     /* 1410934 */   // Label 19818: @1410934
     /* 1410934 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1411016), // Rule ID 17950 //
     /* 1410939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1410942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1410947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1410956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1410959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1410974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410978 */     // MIs[0] round
     /* 1410978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1410981 */     // MIs[0] policy
     /* 1410981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1410994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1410998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411015 */     // GIR_Coverage, 17950,
     /* 1411015 */     GIR_EraseRootFromParent_Done,
     /* 1411016 */   // Label 19819: @1411016
     /* 1411016 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1411098), // Rule ID 17951 //
     /* 1411021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1411024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1411029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1411035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1411038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1411041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1411056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411060 */     // MIs[0] round
     /* 1411060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411063 */     // MIs[0] policy
     /* 1411063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1411076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411097 */     // GIR_Coverage, 17951,
     /* 1411097 */     GIR_EraseRootFromParent_Done,
     /* 1411098 */   // Label 19820: @1411098
     /* 1411098 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1411180), // Rule ID 17954 //
     /* 1411103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1411106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1411111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1411120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1411123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1411138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411142 */     // MIs[0] round
     /* 1411142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411145 */     // MIs[0] policy
     /* 1411145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411155 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1411158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411179 */     // GIR_Coverage, 17954,
     /* 1411179 */     GIR_EraseRootFromParent_Done,
     /* 1411180 */   // Label 19821: @1411180
     /* 1411180 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1411262), // Rule ID 17955 //
     /* 1411185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1411188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1411193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1411196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1411199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1411202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1411205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1411220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411224 */     // MIs[0] round
     /* 1411224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411227 */     // MIs[0] policy
     /* 1411227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411237 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1411240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411261 */     // GIR_Coverage, 17955,
     /* 1411261 */     GIR_EraseRootFromParent_Done,
     /* 1411262 */   // Label 19822: @1411262
     /* 1411262 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1411344), // Rule ID 17958 //
     /* 1411267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1411270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1411275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1411284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1411287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1411302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411306 */     // MIs[0] round
     /* 1411306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411309 */     // MIs[0] policy
     /* 1411309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411319 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1411322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411343 */     // GIR_Coverage, 17958,
     /* 1411343 */     GIR_EraseRootFromParent_Done,
     /* 1411344 */   // Label 19823: @1411344
     /* 1411344 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1411426), // Rule ID 17959 //
     /* 1411349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1411352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1411357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1411360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1411363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1411366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1411369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1411384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411388 */     // MIs[0] round
     /* 1411388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411391 */     // MIs[0] policy
     /* 1411391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411401 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10866:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1411404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411425 */     // GIR_Coverage, 17959,
     /* 1411425 */     GIR_EraseRootFromParent_Done,
     /* 1411426 */   // Label 19824: @1411426
     /* 1411426 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1411508), // Rule ID 17962 //
     /* 1411431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1411434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1411451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411470 */     // MIs[0] round
     /* 1411470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411473 */     // MIs[0] policy
     /* 1411473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411483 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1411486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411507 */     // GIR_Coverage, 17962,
     /* 1411507 */     GIR_EraseRootFromParent_Done,
     /* 1411508 */   // Label 19825: @1411508
     /* 1411508 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1411590), // Rule ID 17963 //
     /* 1411513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1411516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1411533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411552 */     // MIs[0] round
     /* 1411552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411555 */     // MIs[0] policy
     /* 1411555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411565 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1411568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411589 */     // GIR_Coverage, 17963,
     /* 1411589 */     GIR_EraseRootFromParent_Done,
     /* 1411590 */   // Label 19826: @1411590
     /* 1411590 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1411672), // Rule ID 17966 //
     /* 1411595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1411598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1411615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411634 */     // MIs[0] round
     /* 1411634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411637 */     // MIs[0] policy
     /* 1411637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411647 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1411650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411671 */     // GIR_Coverage, 17966,
     /* 1411671 */     GIR_EraseRootFromParent_Done,
     /* 1411672 */   // Label 19827: @1411672
     /* 1411672 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1411754), // Rule ID 17967 //
     /* 1411677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1411680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1411697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411716 */     // MIs[0] round
     /* 1411716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411719 */     // MIs[0] policy
     /* 1411719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411729 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1411732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411753 */     // GIR_Coverage, 17967,
     /* 1411753 */     GIR_EraseRootFromParent_Done,
     /* 1411754 */   // Label 19828: @1411754
     /* 1411754 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1411836), // Rule ID 17970 //
     /* 1411759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1411762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1411779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411798 */     // MIs[0] round
     /* 1411798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411801 */     // MIs[0] policy
     /* 1411801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411811 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1411814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411835 */     // GIR_Coverage, 17970,
     /* 1411835 */     GIR_EraseRootFromParent_Done,
     /* 1411836 */   // Label 19829: @1411836
     /* 1411836 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1411918), // Rule ID 17971 //
     /* 1411841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1411844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1411861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411880 */     // MIs[0] round
     /* 1411880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411883 */     // MIs[0] policy
     /* 1411883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411893 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1411896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411917 */     // GIR_Coverage, 17971,
     /* 1411917 */     GIR_EraseRootFromParent_Done,
     /* 1411918 */   // Label 19830: @1411918
     /* 1411918 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1412000), // Rule ID 17974 //
     /* 1411923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1411926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1411931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1411943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411962 */     // MIs[0] round
     /* 1411962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1411965 */     // MIs[0] policy
     /* 1411965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411975 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1411978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1411982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1411986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1411988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411999 */     // GIR_Coverage, 17974,
     /* 1411999 */     GIR_EraseRootFromParent_Done,
     /* 1412000 */   // Label 19831: @1412000
     /* 1412000 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1412082), // Rule ID 17975 //
     /* 1412005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1412008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1412025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412044 */     // MIs[0] round
     /* 1412044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412047 */     // MIs[0] policy
     /* 1412047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412057 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1412060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412081 */     // GIR_Coverage, 17975,
     /* 1412081 */     GIR_EraseRootFromParent_Done,
     /* 1412082 */   // Label 19832: @1412082
     /* 1412082 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1412164), // Rule ID 17978 //
     /* 1412087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1412090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1412107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412126 */     // MIs[0] round
     /* 1412126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412129 */     // MIs[0] policy
     /* 1412129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412139 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1412142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412163 */     // GIR_Coverage, 17978,
     /* 1412163 */     GIR_EraseRootFromParent_Done,
     /* 1412164 */   // Label 19833: @1412164
     /* 1412164 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1412246), // Rule ID 17979 //
     /* 1412169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1412172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1412189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412208 */     // MIs[0] round
     /* 1412208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412211 */     // MIs[0] policy
     /* 1412211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412221 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1412224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412245 */     // GIR_Coverage, 17979,
     /* 1412245 */     GIR_EraseRootFromParent_Done,
     /* 1412246 */   // Label 19834: @1412246
     /* 1412246 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1412328), // Rule ID 17982 //
     /* 1412251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1412254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1412271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412290 */     // MIs[0] round
     /* 1412290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412293 */     // MIs[0] policy
     /* 1412293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412303 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1412306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412327 */     // GIR_Coverage, 17982,
     /* 1412327 */     GIR_EraseRootFromParent_Done,
     /* 1412328 */   // Label 19835: @1412328
     /* 1412328 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1412410), // Rule ID 17983 //
     /* 1412333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1412336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1412353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412372 */     // MIs[0] round
     /* 1412372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412375 */     // MIs[0] policy
     /* 1412375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412385 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1412388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412409 */     // GIR_Coverage, 17983,
     /* 1412409 */     GIR_EraseRootFromParent_Done,
     /* 1412410 */   // Label 19836: @1412410
     /* 1412410 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1412492), // Rule ID 17986 //
     /* 1412415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1412418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1412426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1412429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1412435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412454 */     // MIs[0] round
     /* 1412454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412457 */     // MIs[0] policy
     /* 1412457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412467 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1412470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412491 */     // GIR_Coverage, 17986,
     /* 1412491 */     GIR_EraseRootFromParent_Done,
     /* 1412492 */   // Label 19837: @1412492
     /* 1412492 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1412574), // Rule ID 17987 //
     /* 1412497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1412500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1412508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1412511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1412517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412536 */     // MIs[0] round
     /* 1412536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412539 */     // MIs[0] policy
     /* 1412539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412549 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1412552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412573 */     // GIR_Coverage, 17987,
     /* 1412573 */     GIR_EraseRootFromParent_Done,
     /* 1412574 */   // Label 19838: @1412574
     /* 1412574 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1412656), // Rule ID 17990 //
     /* 1412579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1412582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1412590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1412593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1412599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412618 */     // MIs[0] round
     /* 1412618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412621 */     // MIs[0] policy
     /* 1412621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412631 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1412634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412655 */     // GIR_Coverage, 17990,
     /* 1412655 */     GIR_EraseRootFromParent_Done,
     /* 1412656 */   // Label 19839: @1412656
     /* 1412656 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1412738), // Rule ID 17991 //
     /* 1412661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1412664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1412672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1412675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1412681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412700 */     // MIs[0] round
     /* 1412700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412703 */     // MIs[0] policy
     /* 1412703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412713 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1412716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412737 */     // GIR_Coverage, 17991,
     /* 1412737 */     GIR_EraseRootFromParent_Done,
     /* 1412738 */   // Label 19840: @1412738
     /* 1412738 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1412820), // Rule ID 17994 //
     /* 1412743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1412746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1412754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1412757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1412763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412782 */     // MIs[0] round
     /* 1412782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412785 */     // MIs[0] policy
     /* 1412785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412795 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1412798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412819 */     // GIR_Coverage, 17994,
     /* 1412819 */     GIR_EraseRootFromParent_Done,
     /* 1412820 */   // Label 19841: @1412820
     /* 1412820 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1412902), // Rule ID 17995 //
     /* 1412825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1412828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1412836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1412839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1412845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412864 */     // MIs[0] round
     /* 1412864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412867 */     // MIs[0] policy
     /* 1412867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412877 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1412880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412901 */     // GIR_Coverage, 17995,
     /* 1412901 */     GIR_EraseRootFromParent_Done,
     /* 1412902 */   // Label 19842: @1412902
     /* 1412902 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1412984), // Rule ID 17998 //
     /* 1412907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1412910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1412918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1412921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1412924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1412927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412946 */     // MIs[0] round
     /* 1412946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1412949 */     // MIs[0] policy
     /* 1412949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1412962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1412966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1412970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1412972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412983 */     // GIR_Coverage, 17998,
     /* 1412983 */     GIR_EraseRootFromParent_Done,
     /* 1412984 */   // Label 19843: @1412984
     /* 1412984 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1413066), // Rule ID 17999 //
     /* 1412989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1412992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1412997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1413009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413028 */     // MIs[0] round
     /* 1413028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413031 */     // MIs[0] policy
     /* 1413031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413041 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1413044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413065 */     // GIR_Coverage, 17999,
     /* 1413065 */     GIR_EraseRootFromParent_Done,
     /* 1413066 */   // Label 19844: @1413066
     /* 1413066 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1413148), // Rule ID 18002 //
     /* 1413071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1413074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1413091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413110 */     // MIs[0] round
     /* 1413110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413113 */     // MIs[0] policy
     /* 1413113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413123 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1413126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413147 */     // GIR_Coverage, 18002,
     /* 1413147 */     GIR_EraseRootFromParent_Done,
     /* 1413148 */   // Label 19845: @1413148
     /* 1413148 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1413230), // Rule ID 18003 //
     /* 1413153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1413156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1413173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413192 */     // MIs[0] round
     /* 1413192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413195 */     // MIs[0] policy
     /* 1413195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1413208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413229 */     // GIR_Coverage, 18003,
     /* 1413229 */     GIR_EraseRootFromParent_Done,
     /* 1413230 */   // Label 19846: @1413230
     /* 1413230 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1413312), // Rule ID 18006 //
     /* 1413235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1413238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1413255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413274 */     // MIs[0] round
     /* 1413274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413277 */     // MIs[0] policy
     /* 1413277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413287 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1413290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413311 */     // GIR_Coverage, 18006,
     /* 1413311 */     GIR_EraseRootFromParent_Done,
     /* 1413312 */   // Label 19847: @1413312
     /* 1413312 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1413394), // Rule ID 18007 //
     /* 1413317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1413320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1413337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413356 */     // MIs[0] round
     /* 1413356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413359 */     // MIs[0] policy
     /* 1413359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413369 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1413372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413393 */     // GIR_Coverage, 18007,
     /* 1413393 */     GIR_EraseRootFromParent_Done,
     /* 1413394 */   // Label 19848: @1413394
     /* 1413394 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1413476), // Rule ID 18010 //
     /* 1413399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1413402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1413419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413438 */     // MIs[0] round
     /* 1413438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413441 */     // MIs[0] policy
     /* 1413441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413451 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1413454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413475 */     // GIR_Coverage, 18010,
     /* 1413475 */     GIR_EraseRootFromParent_Done,
     /* 1413476 */   // Label 19849: @1413476
     /* 1413476 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1413558), // Rule ID 18011 //
     /* 1413481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1413484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1413501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413520 */     // MIs[0] round
     /* 1413520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413523 */     // MIs[0] policy
     /* 1413523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1413536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413557 */     // GIR_Coverage, 18011,
     /* 1413557 */     GIR_EraseRootFromParent_Done,
     /* 1413558 */   // Label 19850: @1413558
     /* 1413558 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1413640), // Rule ID 18014 //
     /* 1413563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1413566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1413580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1413583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413602 */     // MIs[0] round
     /* 1413602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413605 */     // MIs[0] policy
     /* 1413605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413615 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1413618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413639 */     // GIR_Coverage, 18014,
     /* 1413639 */     GIR_EraseRootFromParent_Done,
     /* 1413640 */   // Label 19851: @1413640
     /* 1413640 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1413722), // Rule ID 18015 //
     /* 1413645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1413648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1413662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1413665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413684 */     // MIs[0] round
     /* 1413684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413687 */     // MIs[0] policy
     /* 1413687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1413700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413721 */     // GIR_Coverage, 18015,
     /* 1413721 */     GIR_EraseRootFromParent_Done,
     /* 1413722 */   // Label 19852: @1413722
     /* 1413722 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1413804), // Rule ID 18018 //
     /* 1413727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1413730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1413738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1413741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1413744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1413747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413766 */     // MIs[0] round
     /* 1413766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413769 */     // MIs[0] policy
     /* 1413769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413779 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1413782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413803 */     // GIR_Coverage, 18018,
     /* 1413803 */     GIR_EraseRootFromParent_Done,
     /* 1413804 */   // Label 19853: @1413804
     /* 1413804 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1413886), // Rule ID 18019 //
     /* 1413809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1413812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1413820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1413823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1413826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1413829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413848 */     // MIs[0] round
     /* 1413848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413851 */     // MIs[0] policy
     /* 1413851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413861 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1413864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413885 */     // GIR_Coverage, 18019,
     /* 1413885 */     GIR_EraseRootFromParent_Done,
     /* 1413886 */   // Label 19854: @1413886
     /* 1413886 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1413968), // Rule ID 18022 //
     /* 1413891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1413894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1413908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1413911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1413926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413930 */     // MIs[0] round
     /* 1413930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1413933 */     // MIs[0] policy
     /* 1413933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413943 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1413946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1413950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1413954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1413956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413967 */     // GIR_Coverage, 18022,
     /* 1413967 */     GIR_EraseRootFromParent_Done,
     /* 1413968 */   // Label 19855: @1413968
     /* 1413968 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1414050), // Rule ID 18023 //
     /* 1413973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1413976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1413981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1413984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1413987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1413990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1413993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414012 */     // MIs[0] round
     /* 1414012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414015 */     // MIs[0] policy
     /* 1414015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414025 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1414028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414049 */     // GIR_Coverage, 18023,
     /* 1414049 */     GIR_EraseRootFromParent_Done,
     /* 1414050 */   // Label 19856: @1414050
     /* 1414050 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1414132), // Rule ID 18026 //
     /* 1414055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1414058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1414066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1414069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1414075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414094 */     // MIs[0] round
     /* 1414094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414097 */     // MIs[0] policy
     /* 1414097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1414110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414131 */     // GIR_Coverage, 18026,
     /* 1414131 */     GIR_EraseRootFromParent_Done,
     /* 1414132 */   // Label 19857: @1414132
     /* 1414132 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1414214), // Rule ID 18027 //
     /* 1414137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1414140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1414148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1414151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1414157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414176 */     // MIs[0] round
     /* 1414176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414179 */     // MIs[0] policy
     /* 1414179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414189 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1414192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414213 */     // GIR_Coverage, 18027,
     /* 1414213 */     GIR_EraseRootFromParent_Done,
     /* 1414214 */   // Label 19858: @1414214
     /* 1414214 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1414296), // Rule ID 18030 //
     /* 1414219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1414222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1414230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1414233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1414236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1414239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1414254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414258 */     // MIs[0] round
     /* 1414258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414261 */     // MIs[0] policy
     /* 1414261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414271 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1414274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414295 */     // GIR_Coverage, 18030,
     /* 1414295 */     GIR_EraseRootFromParent_Done,
     /* 1414296 */   // Label 19859: @1414296
     /* 1414296 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1414378), // Rule ID 18031 //
     /* 1414301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1414304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1414312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1414315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1414318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1414321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1414336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414340 */     // MIs[0] round
     /* 1414340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414343 */     // MIs[0] policy
     /* 1414343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414353 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1414356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414377 */     // GIR_Coverage, 18031,
     /* 1414377 */     GIR_EraseRootFromParent_Done,
     /* 1414378 */   // Label 19860: @1414378
     /* 1414378 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1414460), // Rule ID 18034 //
     /* 1414383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1414386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1414403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414422 */     // MIs[0] round
     /* 1414422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414425 */     // MIs[0] policy
     /* 1414425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1414438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414459 */     // GIR_Coverage, 18034,
     /* 1414459 */     GIR_EraseRootFromParent_Done,
     /* 1414460 */   // Label 19861: @1414460
     /* 1414460 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1414542), // Rule ID 18035 //
     /* 1414465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1414468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1414476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1414479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1414485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414504 */     // MIs[0] round
     /* 1414504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414507 */     // MIs[0] policy
     /* 1414507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414517 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1414520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414541 */     // GIR_Coverage, 18035,
     /* 1414541 */     GIR_EraseRootFromParent_Done,
     /* 1414542 */   // Label 19862: @1414542
     /* 1414542 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1414624), // Rule ID 18038 //
     /* 1414547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1414550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1414564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1414567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1414582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414586 */     // MIs[0] round
     /* 1414586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414589 */     // MIs[0] policy
     /* 1414589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414599 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1414602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414623 */     // GIR_Coverage, 18038,
     /* 1414623 */     GIR_EraseRootFromParent_Done,
     /* 1414624 */   // Label 19863: @1414624
     /* 1414624 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1414706), // Rule ID 18039 //
     /* 1414629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1414632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1414640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1414643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1414646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1414649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1414664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414668 */     // MIs[0] round
     /* 1414668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414671 */     // MIs[0] policy
     /* 1414671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414681 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1414684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414705 */     // GIR_Coverage, 18039,
     /* 1414705 */     GIR_EraseRootFromParent_Done,
     /* 1414706 */   // Label 19864: @1414706
     /* 1414706 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1414788), // Rule ID 18042 //
     /* 1414711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1414714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1414728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1414731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1414746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414750 */     // MIs[0] round
     /* 1414750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414753 */     // MIs[0] policy
     /* 1414753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1414766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414787 */     // GIR_Coverage, 18042,
     /* 1414787 */     GIR_EraseRootFromParent_Done,
     /* 1414788 */   // Label 19865: @1414788
     /* 1414788 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1414870), // Rule ID 18043 //
     /* 1414793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1414796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1414804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1414807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1414810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1414813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1414828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414832 */     // MIs[0] round
     /* 1414832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414835 */     // MIs[0] policy
     /* 1414835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414845 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1414848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414869 */     // GIR_Coverage, 18043,
     /* 1414869 */     GIR_EraseRootFromParent_Done,
     /* 1414870 */   // Label 19866: @1414870
     /* 1414870 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1414952), // Rule ID 18046 //
     /* 1414875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1414878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1414895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414914 */     // MIs[0] round
     /* 1414914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414917 */     // MIs[0] policy
     /* 1414917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1414930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1414934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1414938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1414940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414951 */     // GIR_Coverage, 18046,
     /* 1414951 */     GIR_EraseRootFromParent_Done,
     /* 1414952 */   // Label 19867: @1414952
     /* 1414952 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1415034), // Rule ID 18047 //
     /* 1414957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1414960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1414965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1414968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1414971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1414974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1414977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1414992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414996 */     // MIs[0] round
     /* 1414996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1414999 */     // MIs[0] policy
     /* 1414999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415009 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1415012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415033 */     // GIR_Coverage, 18047,
     /* 1415033 */     GIR_EraseRootFromParent_Done,
     /* 1415034 */   // Label 19868: @1415034
     /* 1415034 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1415116), // Rule ID 18050 //
     /* 1415039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1415042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1415056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1415059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1415074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415078 */     // MIs[0] round
     /* 1415078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415081 */     // MIs[0] policy
     /* 1415081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415091 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1415094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415115 */     // GIR_Coverage, 18050,
     /* 1415115 */     GIR_EraseRootFromParent_Done,
     /* 1415116 */   // Label 19869: @1415116
     /* 1415116 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1415198), // Rule ID 18051 //
     /* 1415121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1415124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1415132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1415135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1415138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1415141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1415156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415160 */     // MIs[0] round
     /* 1415160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415163 */     // MIs[0] policy
     /* 1415163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415173 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1415176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415197 */     // GIR_Coverage, 18051,
     /* 1415197 */     GIR_EraseRootFromParent_Done,
     /* 1415198 */   // Label 19870: @1415198
     /* 1415198 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1415280), // Rule ID 18054 //
     /* 1415203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1415206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1415220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1415223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1415238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415242 */     // MIs[0] round
     /* 1415242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415245 */     // MIs[0] policy
     /* 1415245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415255 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1415258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415279 */     // GIR_Coverage, 18054,
     /* 1415279 */     GIR_EraseRootFromParent_Done,
     /* 1415280 */   // Label 19871: @1415280
     /* 1415280 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1415362), // Rule ID 18055 //
     /* 1415285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1415288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1415296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1415299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1415302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1415305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1415320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415324 */     // MIs[0] round
     /* 1415324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415327 */     // MIs[0] policy
     /* 1415327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415337 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1415340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415361 */     // GIR_Coverage, 18055,
     /* 1415361 */     GIR_EraseRootFromParent_Done,
     /* 1415362 */   // Label 19872: @1415362
     /* 1415362 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1415444), // Rule ID 18058 //
     /* 1415367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1415370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1415387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415406 */     // MIs[0] round
     /* 1415406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415409 */     // MIs[0] policy
     /* 1415409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415419 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1415422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415443 */     // GIR_Coverage, 18058,
     /* 1415443 */     GIR_EraseRootFromParent_Done,
     /* 1415444 */   // Label 19873: @1415444
     /* 1415444 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1415526), // Rule ID 18059 //
     /* 1415449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1415452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1415469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415488 */     // MIs[0] round
     /* 1415488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415491 */     // MIs[0] policy
     /* 1415491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415501 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1415504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415525 */     // GIR_Coverage, 18059,
     /* 1415525 */     GIR_EraseRootFromParent_Done,
     /* 1415526 */   // Label 19874: @1415526
     /* 1415526 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1415608), // Rule ID 18062 //
     /* 1415531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1415534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1415551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415570 */     // MIs[0] round
     /* 1415570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415573 */     // MIs[0] policy
     /* 1415573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415583 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1415586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415607 */     // GIR_Coverage, 18062,
     /* 1415607 */     GIR_EraseRootFromParent_Done,
     /* 1415608 */   // Label 19875: @1415608
     /* 1415608 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1415690), // Rule ID 18063 //
     /* 1415613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1415616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1415633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415652 */     // MIs[0] round
     /* 1415652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415655 */     // MIs[0] policy
     /* 1415655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415665 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1415668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415689 */     // GIR_Coverage, 18063,
     /* 1415689 */     GIR_EraseRootFromParent_Done,
     /* 1415690 */   // Label 19876: @1415690
     /* 1415690 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1415772), // Rule ID 18066 //
     /* 1415695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1415698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1415715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415734 */     // MIs[0] round
     /* 1415734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415737 */     // MIs[0] policy
     /* 1415737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415747 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1415750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415771 */     // GIR_Coverage, 18066,
     /* 1415771 */     GIR_EraseRootFromParent_Done,
     /* 1415772 */   // Label 19877: @1415772
     /* 1415772 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1415854), // Rule ID 18067 //
     /* 1415777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1415780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1415794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1415797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1415812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415816 */     // MIs[0] round
     /* 1415816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415819 */     // MIs[0] policy
     /* 1415819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1415832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415853 */     // GIR_Coverage, 18067,
     /* 1415853 */     GIR_EraseRootFromParent_Done,
     /* 1415854 */   // Label 19878: @1415854
     /* 1415854 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1415936), // Rule ID 18070 //
     /* 1415859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1415862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1415870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1415873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1415876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1415879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1415894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415898 */     // MIs[0] round
     /* 1415898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415901 */     // MIs[0] policy
     /* 1415901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1415914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1415918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1415922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1415924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415935 */     // GIR_Coverage, 18070,
     /* 1415935 */     GIR_EraseRootFromParent_Done,
     /* 1415936 */   // Label 19879: @1415936
     /* 1415936 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1416018), // Rule ID 18071 //
     /* 1415941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1415944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1415949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1415952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1415955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1415958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1415961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1415976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415980 */     // MIs[0] round
     /* 1415980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1415983 */     // MIs[0] policy
     /* 1415983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415993 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1415996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416017 */     // GIR_Coverage, 18071,
     /* 1416017 */     GIR_EraseRootFromParent_Done,
     /* 1416018 */   // Label 19880: @1416018
     /* 1416018 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1416100), // Rule ID 18074 //
     /* 1416023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1416026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1416031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1416040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1416043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1416058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416062 */     // MIs[0] round
     /* 1416062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416065 */     // MIs[0] policy
     /* 1416065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416075 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1416078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416099 */     // GIR_Coverage, 18074,
     /* 1416099 */     GIR_EraseRootFromParent_Done,
     /* 1416100 */   // Label 19881: @1416100
     /* 1416100 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1416182), // Rule ID 18075 //
     /* 1416105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1416108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1416113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1416122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1416125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1416140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416144 */     // MIs[0] round
     /* 1416144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416147 */     // MIs[0] policy
     /* 1416147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416157 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1416160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416181 */     // GIR_Coverage, 18075,
     /* 1416181 */     GIR_EraseRootFromParent_Done,
     /* 1416182 */   // Label 19882: @1416182
     /* 1416182 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1416264), // Rule ID 18078 //
     /* 1416187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1416190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1416195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1416204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1416207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1416222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416226 */     // MIs[0] round
     /* 1416226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416229 */     // MIs[0] policy
     /* 1416229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416239 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1416242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416263 */     // GIR_Coverage, 18078,
     /* 1416263 */     GIR_EraseRootFromParent_Done,
     /* 1416264 */   // Label 19883: @1416264
     /* 1416264 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1416346), // Rule ID 18079 //
     /* 1416269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1416272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1416277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1416286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1416289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1416304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416308 */     // MIs[0] round
     /* 1416308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416311 */     // MIs[0] policy
     /* 1416311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416321 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1416324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416345 */     // GIR_Coverage, 18079,
     /* 1416345 */     GIR_EraseRootFromParent_Done,
     /* 1416346 */   // Label 19884: @1416346
     /* 1416346 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1416428), // Rule ID 18082 //
     /* 1416351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1416354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1416362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1416365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1416371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416390 */     // MIs[0] round
     /* 1416390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416393 */     // MIs[0] policy
     /* 1416393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416403 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1416406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416427 */     // GIR_Coverage, 18082,
     /* 1416427 */     GIR_EraseRootFromParent_Done,
     /* 1416428 */   // Label 19885: @1416428
     /* 1416428 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1416510), // Rule ID 18083 //
     /* 1416433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1416436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1416444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1416447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1416453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416472 */     // MIs[0] round
     /* 1416472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416475 */     // MIs[0] policy
     /* 1416475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416485 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1416488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416509 */     // GIR_Coverage, 18083,
     /* 1416509 */     GIR_EraseRootFromParent_Done,
     /* 1416510 */   // Label 19886: @1416510
     /* 1416510 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1416592), // Rule ID 18086 //
     /* 1416515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1416518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1416526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1416529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1416535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416554 */     // MIs[0] round
     /* 1416554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416557 */     // MIs[0] policy
     /* 1416557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416567 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1416570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416591 */     // GIR_Coverage, 18086,
     /* 1416591 */     GIR_EraseRootFromParent_Done,
     /* 1416592 */   // Label 19887: @1416592
     /* 1416592 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1416674), // Rule ID 18087 //
     /* 1416597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1416600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1416608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1416611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1416617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416636 */     // MIs[0] round
     /* 1416636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416639 */     // MIs[0] policy
     /* 1416639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416649 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1416652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416673 */     // GIR_Coverage, 18087,
     /* 1416673 */     GIR_EraseRootFromParent_Done,
     /* 1416674 */   // Label 19888: @1416674
     /* 1416674 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1416756), // Rule ID 18090 //
     /* 1416679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1416682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1416699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416718 */     // MIs[0] round
     /* 1416718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416721 */     // MIs[0] policy
     /* 1416721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1416734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416755 */     // GIR_Coverage, 18090,
     /* 1416755 */     GIR_EraseRootFromParent_Done,
     /* 1416756 */   // Label 19889: @1416756
     /* 1416756 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1416838), // Rule ID 18091 //
     /* 1416761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1416764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1416781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416800 */     // MIs[0] round
     /* 1416800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416803 */     // MIs[0] policy
     /* 1416803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416813 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1416816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416837 */     // GIR_Coverage, 18091,
     /* 1416837 */     GIR_EraseRootFromParent_Done,
     /* 1416838 */   // Label 19890: @1416838
     /* 1416838 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1416920), // Rule ID 18094 //
     /* 1416843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1416846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1416863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416882 */     // MIs[0] round
     /* 1416882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416885 */     // MIs[0] policy
     /* 1416885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1416898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416919 */     // GIR_Coverage, 18094,
     /* 1416919 */     GIR_EraseRootFromParent_Done,
     /* 1416920 */   // Label 19891: @1416920
     /* 1416920 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1417002), // Rule ID 18095 //
     /* 1416925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1416928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1416933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1416945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416964 */     // MIs[0] round
     /* 1416964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1416967 */     // MIs[0] policy
     /* 1416967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1416980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1416984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1416988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1416990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417001 */     // GIR_Coverage, 18095,
     /* 1417001 */     GIR_EraseRootFromParent_Done,
     /* 1417002 */   // Label 19892: @1417002
     /* 1417002 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1417084), // Rule ID 18098 //
     /* 1417007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1417010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1417018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1417021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1417027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417046 */     // MIs[0] round
     /* 1417046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417049 */     // MIs[0] policy
     /* 1417049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1417062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417083 */     // GIR_Coverage, 18098,
     /* 1417083 */     GIR_EraseRootFromParent_Done,
     /* 1417084 */   // Label 19893: @1417084
     /* 1417084 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1417166), // Rule ID 18099 //
     /* 1417089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1417092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1417100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1417103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1417109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417128 */     // MIs[0] round
     /* 1417128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417131 */     // MIs[0] policy
     /* 1417131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1417144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417165 */     // GIR_Coverage, 18099,
     /* 1417165 */     GIR_EraseRootFromParent_Done,
     /* 1417166 */   // Label 19894: @1417166
     /* 1417166 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1417248), // Rule ID 18102 //
     /* 1417171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1417174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1417188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1417191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417210 */     // MIs[0] round
     /* 1417210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417213 */     // MIs[0] policy
     /* 1417213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417223 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1417226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1417244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417247 */     // GIR_Coverage, 18102,
     /* 1417247 */     GIR_EraseRootFromParent_Done,
     /* 1417248 */   // Label 19895: @1417248
     /* 1417248 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1417330), // Rule ID 18103 //
     /* 1417253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1417256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1417270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1417273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417292 */     // MIs[0] round
     /* 1417292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417295 */     // MIs[0] policy
     /* 1417295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417305 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1417308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1417326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417329 */     // GIR_Coverage, 18103,
     /* 1417329 */     GIR_EraseRootFromParent_Done,
     /* 1417330 */   // Label 19896: @1417330
     /* 1417330 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1417412), // Rule ID 18106 //
     /* 1417335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1417338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1417355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417374 */     // MIs[0] round
     /* 1417374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417377 */     // MIs[0] policy
     /* 1417377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1417390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417411 */     // GIR_Coverage, 18106,
     /* 1417411 */     GIR_EraseRootFromParent_Done,
     /* 1417412 */   // Label 19897: @1417412
     /* 1417412 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1417494), // Rule ID 18107 //
     /* 1417417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1417420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1417437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417456 */     // MIs[0] round
     /* 1417456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417459 */     // MIs[0] policy
     /* 1417459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417469 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1417472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417493 */     // GIR_Coverage, 18107,
     /* 1417493 */     GIR_EraseRootFromParent_Done,
     /* 1417494 */   // Label 19898: @1417494
     /* 1417494 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1417576), // Rule ID 18110 //
     /* 1417499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1417502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1417519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417538 */     // MIs[0] round
     /* 1417538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417541 */     // MIs[0] policy
     /* 1417541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417551 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1417554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417575 */     // GIR_Coverage, 18110,
     /* 1417575 */     GIR_EraseRootFromParent_Done,
     /* 1417576 */   // Label 19899: @1417576
     /* 1417576 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1417658), // Rule ID 18111 //
     /* 1417581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1417584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1417601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417620 */     // MIs[0] round
     /* 1417620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417623 */     // MIs[0] policy
     /* 1417623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417633 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1417636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417657 */     // GIR_Coverage, 18111,
     /* 1417657 */     GIR_EraseRootFromParent_Done,
     /* 1417658 */   // Label 19900: @1417658
     /* 1417658 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1417740), // Rule ID 18114 //
     /* 1417663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1417666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1417677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1417683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417702 */     // MIs[0] round
     /* 1417702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417705 */     // MIs[0] policy
     /* 1417705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417715 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1417718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417739 */     // GIR_Coverage, 18114,
     /* 1417739 */     GIR_EraseRootFromParent_Done,
     /* 1417740 */   // Label 19901: @1417740
     /* 1417740 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1417822), // Rule ID 18115 //
     /* 1417745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1417748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1417759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1417765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417784 */     // MIs[0] round
     /* 1417784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417787 */     // MIs[0] policy
     /* 1417787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417797 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1417800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417821 */     // GIR_Coverage, 18115,
     /* 1417821 */     GIR_EraseRootFromParent_Done,
     /* 1417822 */   // Label 19902: @1417822
     /* 1417822 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1417904), // Rule ID 18118 //
     /* 1417827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1417830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1417838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1417841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1417844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1417847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417866 */     // MIs[0] round
     /* 1417866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417869 */     // MIs[0] policy
     /* 1417869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417879 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1417882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417903 */     // GIR_Coverage, 18118,
     /* 1417903 */     GIR_EraseRootFromParent_Done,
     /* 1417904 */   // Label 19903: @1417904
     /* 1417904 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1417986), // Rule ID 18119 //
     /* 1417909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1417912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1417920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1417923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1417926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1417929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417948 */     // MIs[0] round
     /* 1417948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1417951 */     // MIs[0] policy
     /* 1417951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417961 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1417964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1417968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1417972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1417974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417985 */     // GIR_Coverage, 18119,
     /* 1417985 */     GIR_EraseRootFromParent_Done,
     /* 1417986 */   // Label 19904: @1417986
     /* 1417986 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1418068), // Rule ID 18122 //
     /* 1417991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1417994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1417999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1418011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418030 */     // MIs[0] round
     /* 1418030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418033 */     // MIs[0] policy
     /* 1418033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418043 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1418046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418067 */     // GIR_Coverage, 18122,
     /* 1418067 */     GIR_EraseRootFromParent_Done,
     /* 1418068 */   // Label 19905: @1418068
     /* 1418068 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1418150), // Rule ID 18123 //
     /* 1418073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1418076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1418093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418112 */     // MIs[0] round
     /* 1418112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418115 */     // MIs[0] policy
     /* 1418115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418125 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1418128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418149 */     // GIR_Coverage, 18123,
     /* 1418149 */     GIR_EraseRootFromParent_Done,
     /* 1418150 */   // Label 19906: @1418150
     /* 1418150 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1418232), // Rule ID 18126 //
     /* 1418155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1418158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1418175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418194 */     // MIs[0] round
     /* 1418194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418197 */     // MIs[0] policy
     /* 1418197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418207 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1418210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418231 */     // GIR_Coverage, 18126,
     /* 1418231 */     GIR_EraseRootFromParent_Done,
     /* 1418232 */   // Label 19907: @1418232
     /* 1418232 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1418314), // Rule ID 18127 //
     /* 1418237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1418240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1418257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418276 */     // MIs[0] round
     /* 1418276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418279 */     // MIs[0] policy
     /* 1418279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418289 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1418292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418313 */     // GIR_Coverage, 18127,
     /* 1418313 */     GIR_EraseRootFromParent_Done,
     /* 1418314 */   // Label 19908: @1418314
     /* 1418314 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1418396), // Rule ID 18130 //
     /* 1418319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1418322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1418339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418358 */     // MIs[0] round
     /* 1418358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418361 */     // MIs[0] policy
     /* 1418361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418371 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1418374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418395 */     // GIR_Coverage, 18130,
     /* 1418395 */     GIR_EraseRootFromParent_Done,
     /* 1418396 */   // Label 19909: @1418396
     /* 1418396 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1418478), // Rule ID 18131 //
     /* 1418401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1418404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1418421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418440 */     // MIs[0] round
     /* 1418440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418443 */     // MIs[0] policy
     /* 1418443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1418456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418477 */     // GIR_Coverage, 18131,
     /* 1418477 */     GIR_EraseRootFromParent_Done,
     /* 1418478 */   // Label 19910: @1418478
     /* 1418478 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1418560), // Rule ID 18134 //
     /* 1418483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1418486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1418494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1418497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1418503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418522 */     // MIs[0] round
     /* 1418522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418525 */     // MIs[0] policy
     /* 1418525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418535 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1418538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418559 */     // GIR_Coverage, 18134,
     /* 1418559 */     GIR_EraseRootFromParent_Done,
     /* 1418560 */   // Label 19911: @1418560
     /* 1418560 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1418642), // Rule ID 18135 //
     /* 1418565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1418568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1418576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1418579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1418585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418604 */     // MIs[0] round
     /* 1418604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418607 */     // MIs[0] policy
     /* 1418607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1418620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418641 */     // GIR_Coverage, 18135,
     /* 1418641 */     GIR_EraseRootFromParent_Done,
     /* 1418642 */   // Label 19912: @1418642
     /* 1418642 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1418724), // Rule ID 18138 //
     /* 1418647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1418650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1418658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1418661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1418664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1418667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418686 */     // MIs[0] round
     /* 1418686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418689 */     // MIs[0] policy
     /* 1418689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418699 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1418702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418723 */     // GIR_Coverage, 18138,
     /* 1418723 */     GIR_EraseRootFromParent_Done,
     /* 1418724 */   // Label 19913: @1418724
     /* 1418724 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1418806), // Rule ID 18139 //
     /* 1418729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1418732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1418740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1418743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1418746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1418749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418768 */     // MIs[0] round
     /* 1418768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418771 */     // MIs[0] policy
     /* 1418771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418781 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1418784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418805 */     // GIR_Coverage, 18139,
     /* 1418805 */     GIR_EraseRootFromParent_Done,
     /* 1418806 */   // Label 19914: @1418806
     /* 1418806 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1418888), // Rule ID 18142 //
     /* 1418811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1418814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1418822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1418825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1418828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1418831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1418846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418850 */     // MIs[0] round
     /* 1418850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418853 */     // MIs[0] policy
     /* 1418853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418863 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1418866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418887 */     // GIR_Coverage, 18142,
     /* 1418887 */     GIR_EraseRootFromParent_Done,
     /* 1418888 */   // Label 19915: @1418888
     /* 1418888 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1418970), // Rule ID 18143 //
     /* 1418893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1418896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1418904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1418907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1418910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1418913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1418928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418932 */     // MIs[0] round
     /* 1418932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1418935 */     // MIs[0] policy
     /* 1418935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418945 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1418948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1418952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1418956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1418958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418969 */     // GIR_Coverage, 18143,
     /* 1418969 */     GIR_EraseRootFromParent_Done,
     /* 1418970 */   // Label 19916: @1418970
     /* 1418970 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1419052), // Rule ID 18146 //
     /* 1418975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1418978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1418983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1418986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1418989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1418992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1418995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419014 */     // MIs[0] round
     /* 1419014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419017 */     // MIs[0] policy
     /* 1419017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1419030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419051 */     // GIR_Coverage, 18146,
     /* 1419051 */     GIR_EraseRootFromParent_Done,
     /* 1419052 */   // Label 19917: @1419052
     /* 1419052 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1419134), // Rule ID 18147 //
     /* 1419057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1419060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1419077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419096 */     // MIs[0] round
     /* 1419096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419099 */     // MIs[0] policy
     /* 1419099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419109 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1419112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419133 */     // GIR_Coverage, 18147,
     /* 1419133 */     GIR_EraseRootFromParent_Done,
     /* 1419134 */   // Label 19918: @1419134
     /* 1419134 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1419216), // Rule ID 18150 //
     /* 1419139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1419142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1419150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1419153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1419156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1419159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1419174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419178 */     // MIs[0] round
     /* 1419178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419181 */     // MIs[0] policy
     /* 1419181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419191 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1419194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419215 */     // GIR_Coverage, 18150,
     /* 1419215 */     GIR_EraseRootFromParent_Done,
     /* 1419216 */   // Label 19919: @1419216
     /* 1419216 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1419298), // Rule ID 18151 //
     /* 1419221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1419224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1419232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1419235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1419238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1419241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1419256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419260 */     // MIs[0] round
     /* 1419260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419263 */     // MIs[0] policy
     /* 1419263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419273 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1419276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419297 */     // GIR_Coverage, 18151,
     /* 1419297 */     GIR_EraseRootFromParent_Done,
     /* 1419298 */   // Label 19920: @1419298
     /* 1419298 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1419380), // Rule ID 18154 //
     /* 1419303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1419306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1419314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1419317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1419323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419342 */     // MIs[0] round
     /* 1419342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419345 */     // MIs[0] policy
     /* 1419345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1419358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419379 */     // GIR_Coverage, 18154,
     /* 1419379 */     GIR_EraseRootFromParent_Done,
     /* 1419380 */   // Label 19921: @1419380
     /* 1419380 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1419462), // Rule ID 18155 //
     /* 1419385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1419388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1419396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1419399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1419405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419424 */     // MIs[0] round
     /* 1419424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419427 */     // MIs[0] policy
     /* 1419427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419437 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1419440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419461 */     // GIR_Coverage, 18155,
     /* 1419461 */     GIR_EraseRootFromParent_Done,
     /* 1419462 */   // Label 19922: @1419462
     /* 1419462 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1419544), // Rule ID 18158 //
     /* 1419467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1419470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1419478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1419481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1419484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1419487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1419502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419506 */     // MIs[0] round
     /* 1419506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419509 */     // MIs[0] policy
     /* 1419509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419519 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1419522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419543 */     // GIR_Coverage, 18158,
     /* 1419543 */     GIR_EraseRootFromParent_Done,
     /* 1419544 */   // Label 19923: @1419544
     /* 1419544 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1419626), // Rule ID 18159 //
     /* 1419549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1419552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1419560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1419563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1419566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1419569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1419584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419588 */     // MIs[0] round
     /* 1419588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419591 */     // MIs[0] policy
     /* 1419591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419601 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1419604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419625 */     // GIR_Coverage, 18159,
     /* 1419625 */     GIR_EraseRootFromParent_Done,
     /* 1419626 */   // Label 19924: @1419626
     /* 1419626 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1419708), // Rule ID 18162 //
     /* 1419631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1419634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1419642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1419645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1419648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1419651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1419666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419670 */     // MIs[0] round
     /* 1419670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419673 */     // MIs[0] policy
     /* 1419673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419683 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1419686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419707 */     // GIR_Coverage, 18162,
     /* 1419707 */     GIR_EraseRootFromParent_Done,
     /* 1419708 */   // Label 19925: @1419708
     /* 1419708 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1419790), // Rule ID 18163 //
     /* 1419713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1419716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1419724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1419727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1419730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1419733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1419748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419752 */     // MIs[0] round
     /* 1419752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419755 */     // MIs[0] policy
     /* 1419755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419765 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1419768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419789 */     // GIR_Coverage, 18163,
     /* 1419789 */     GIR_EraseRootFromParent_Done,
     /* 1419790 */   // Label 19926: @1419790
     /* 1419790 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1419872), // Rule ID 18166 //
     /* 1419795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1419798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1419815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419834 */     // MIs[0] round
     /* 1419834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419837 */     // MIs[0] policy
     /* 1419837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419847 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1419850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419871 */     // GIR_Coverage, 18166,
     /* 1419871 */     GIR_EraseRootFromParent_Done,
     /* 1419872 */   // Label 19927: @1419872
     /* 1419872 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1419954), // Rule ID 18167 //
     /* 1419877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1419880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1419897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419916 */     // MIs[0] round
     /* 1419916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1419919 */     // MIs[0] policy
     /* 1419919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419929 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1419932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1419936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1419940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1419942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419953 */     // GIR_Coverage, 18167,
     /* 1419953 */     GIR_EraseRootFromParent_Done,
     /* 1419954 */   // Label 19928: @1419954
     /* 1419954 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1420036), // Rule ID 18170 //
     /* 1419959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1419962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1419967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1419970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1419973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1419976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1419979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1419994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419998 */     // MIs[0] round
     /* 1419998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420001 */     // MIs[0] policy
     /* 1420001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420011 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1420014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420035 */     // GIR_Coverage, 18170,
     /* 1420035 */     GIR_EraseRootFromParent_Done,
     /* 1420036 */   // Label 19929: @1420036
     /* 1420036 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1420118), // Rule ID 18171 //
     /* 1420041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1420044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1420052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1420055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1420058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1420061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1420076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420080 */     // MIs[0] round
     /* 1420080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420083 */     // MIs[0] policy
     /* 1420083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420093 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1420096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420117 */     // GIR_Coverage, 18171,
     /* 1420117 */     GIR_EraseRootFromParent_Done,
     /* 1420118 */   // Label 19930: @1420118
     /* 1420118 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1420200), // Rule ID 18174 //
     /* 1420123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1420126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1420134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1420137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1420140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1420143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1420158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420162 */     // MIs[0] round
     /* 1420162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420165 */     // MIs[0] policy
     /* 1420165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420175 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1420178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420199 */     // GIR_Coverage, 18174,
     /* 1420199 */     GIR_EraseRootFromParent_Done,
     /* 1420200 */   // Label 19931: @1420200
     /* 1420200 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1420282), // Rule ID 18175 //
     /* 1420205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1420208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1420216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1420219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1420222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1420225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1420240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420244 */     // MIs[0] round
     /* 1420244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420247 */     // MIs[0] policy
     /* 1420247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420257 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1420260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420281 */     // GIR_Coverage, 18175,
     /* 1420281 */     GIR_EraseRootFromParent_Done,
     /* 1420282 */   // Label 19932: @1420282
     /* 1420282 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1420364), // Rule ID 18178 //
     /* 1420287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1420290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1420307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420326 */     // MIs[0] round
     /* 1420326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420329 */     // MIs[0] policy
     /* 1420329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1420342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420363 */     // GIR_Coverage, 18178,
     /* 1420363 */     GIR_EraseRootFromParent_Done,
     /* 1420364 */   // Label 19933: @1420364
     /* 1420364 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1420446), // Rule ID 18179 //
     /* 1420369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1420372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1420389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420408 */     // MIs[0] round
     /* 1420408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420411 */     // MIs[0] policy
     /* 1420411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1420424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420445 */     // GIR_Coverage, 18179,
     /* 1420445 */     GIR_EraseRootFromParent_Done,
     /* 1420446 */   // Label 19934: @1420446
     /* 1420446 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1420528), // Rule ID 18182 //
     /* 1420451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1420454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1420471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420490 */     // MIs[0] round
     /* 1420490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420493 */     // MIs[0] policy
     /* 1420493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420503 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1420506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420527 */     // GIR_Coverage, 18182,
     /* 1420527 */     GIR_EraseRootFromParent_Done,
     /* 1420528 */   // Label 19935: @1420528
     /* 1420528 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1420610), // Rule ID 18183 //
     /* 1420533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1420536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1420553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420572 */     // MIs[0] round
     /* 1420572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420575 */     // MIs[0] policy
     /* 1420575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1420588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420609 */     // GIR_Coverage, 18183,
     /* 1420609 */     GIR_EraseRootFromParent_Done,
     /* 1420610 */   // Label 19936: @1420610
     /* 1420610 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1420692), // Rule ID 18186 //
     /* 1420615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1420618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1420635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420654 */     // MIs[0] round
     /* 1420654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420657 */     // MIs[0] policy
     /* 1420657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1420670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420691 */     // GIR_Coverage, 18186,
     /* 1420691 */     GIR_EraseRootFromParent_Done,
     /* 1420692 */   // Label 19937: @1420692
     /* 1420692 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1420774), // Rule ID 18187 //
     /* 1420697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1420700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1420708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1420711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1420714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1420717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1420732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420736 */     // MIs[0] round
     /* 1420736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420739 */     // MIs[0] policy
     /* 1420739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1420752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420773 */     // GIR_Coverage, 18187,
     /* 1420773 */     GIR_EraseRootFromParent_Done,
     /* 1420774 */   // Label 19938: @1420774
     /* 1420774 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1420856), // Rule ID 18190 //
     /* 1420779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1420782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1420796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1420799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1420814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420818 */     // MIs[0] round
     /* 1420818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420821 */     // MIs[0] policy
     /* 1420821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1420834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420855 */     // GIR_Coverage, 18190,
     /* 1420855 */     GIR_EraseRootFromParent_Done,
     /* 1420856 */   // Label 19939: @1420856
     /* 1420856 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1420938), // Rule ID 18191 //
     /* 1420861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1420864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1420872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1420875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1420878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1420881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1420896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420900 */     // MIs[0] round
     /* 1420900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420903 */     // MIs[0] policy
     /* 1420903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420913 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1420916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1420920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1420924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1420926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1420934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420937 */     // GIR_Coverage, 18191,
     /* 1420937 */     GIR_EraseRootFromParent_Done,
     /* 1420938 */   // Label 19940: @1420938
     /* 1420938 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1421020), // Rule ID 18194 //
     /* 1420943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1420946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1420951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1420954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1420957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1420960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1420963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1420978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420982 */     // MIs[0] round
     /* 1420982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1420985 */     // MIs[0] policy
     /* 1420985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420995 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1420998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421019 */     // GIR_Coverage, 18194,
     /* 1421019 */     GIR_EraseRootFromParent_Done,
     /* 1421020 */   // Label 19941: @1421020
     /* 1421020 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1421102), // Rule ID 18195 //
     /* 1421025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1421028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1421033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1421036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1421039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1421042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1421045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1421060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421064 */     // MIs[0] round
     /* 1421064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421067 */     // MIs[0] policy
     /* 1421067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421077 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1421080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421101 */     // GIR_Coverage, 18195,
     /* 1421101 */     GIR_EraseRootFromParent_Done,
     /* 1421102 */   // Label 19942: @1421102
     /* 1421102 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1421184), // Rule ID 18198 //
     /* 1421107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1421110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1421115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1421124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1421127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1421142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421146 */     // MIs[0] round
     /* 1421146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421149 */     // MIs[0] policy
     /* 1421149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421159 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1421162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421183 */     // GIR_Coverage, 18198,
     /* 1421183 */     GIR_EraseRootFromParent_Done,
     /* 1421184 */   // Label 19943: @1421184
     /* 1421184 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1421266), // Rule ID 18199 //
     /* 1421189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1421192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1421197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1421200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1421203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1421206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1421209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1421224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421228 */     // MIs[0] round
     /* 1421228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421231 */     // MIs[0] policy
     /* 1421231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421241 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10859:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1421244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421265 */     // GIR_Coverage, 18199,
     /* 1421265 */     GIR_EraseRootFromParent_Done,
     /* 1421266 */   // Label 19944: @1421266
     /* 1421266 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1421348), // Rule ID 18202 //
     /* 1421271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1421274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1421291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421310 */     // MIs[0] round
     /* 1421310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421313 */     // MIs[0] policy
     /* 1421313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421323 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1421326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421347 */     // GIR_Coverage, 18202,
     /* 1421347 */     GIR_EraseRootFromParent_Done,
     /* 1421348 */   // Label 19945: @1421348
     /* 1421348 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1421430), // Rule ID 18203 //
     /* 1421353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1421356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1421373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421392 */     // MIs[0] round
     /* 1421392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421395 */     // MIs[0] policy
     /* 1421395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1421408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421429 */     // GIR_Coverage, 18203,
     /* 1421429 */     GIR_EraseRootFromParent_Done,
     /* 1421430 */   // Label 19946: @1421430
     /* 1421430 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1421512), // Rule ID 18206 //
     /* 1421435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1421438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1421455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421474 */     // MIs[0] round
     /* 1421474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421477 */     // MIs[0] policy
     /* 1421477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1421490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421511 */     // GIR_Coverage, 18206,
     /* 1421511 */     GIR_EraseRootFromParent_Done,
     /* 1421512 */   // Label 19947: @1421512
     /* 1421512 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1421594), // Rule ID 18207 //
     /* 1421517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1421520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1421528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1421531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1421537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421556 */     // MIs[0] round
     /* 1421556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421559 */     // MIs[0] policy
     /* 1421559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421569 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1421572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421593 */     // GIR_Coverage, 18207,
     /* 1421593 */     GIR_EraseRootFromParent_Done,
     /* 1421594 */   // Label 19948: @1421594
     /* 1421594 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1421676), // Rule ID 18210 //
     /* 1421599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1421602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1421619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421638 */     // MIs[0] round
     /* 1421638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421641 */     // MIs[0] policy
     /* 1421641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421651 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1421654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421675 */     // GIR_Coverage, 18210,
     /* 1421675 */     GIR_EraseRootFromParent_Done,
     /* 1421676 */   // Label 19949: @1421676
     /* 1421676 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1421758), // Rule ID 18211 //
     /* 1421681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1421684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1421692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1421695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1421701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421720 */     // MIs[0] round
     /* 1421720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421723 */     // MIs[0] policy
     /* 1421723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421733 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1421736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421757 */     // GIR_Coverage, 18211,
     /* 1421757 */     GIR_EraseRootFromParent_Done,
     /* 1421758 */   // Label 19950: @1421758
     /* 1421758 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1421840), // Rule ID 18214 //
     /* 1421763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1421766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1421783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421802 */     // MIs[0] round
     /* 1421802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421805 */     // MIs[0] policy
     /* 1421805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1421818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421839 */     // GIR_Coverage, 18214,
     /* 1421839 */     GIR_EraseRootFromParent_Done,
     /* 1421840 */   // Label 19951: @1421840
     /* 1421840 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1421922), // Rule ID 18215 //
     /* 1421845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1421848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1421865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421884 */     // MIs[0] round
     /* 1421884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421887 */     // MIs[0] policy
     /* 1421887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1421900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421921 */     // GIR_Coverage, 18215,
     /* 1421921 */     GIR_EraseRootFromParent_Done,
     /* 1421922 */   // Label 19952: @1421922
     /* 1421922 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1422004), // Rule ID 18218 //
     /* 1421927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1421930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1421935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1421947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421966 */     // MIs[0] round
     /* 1421966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1421969 */     // MIs[0] policy
     /* 1421969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421979 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1421982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1421986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1421990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1421992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422003 */     // GIR_Coverage, 18218,
     /* 1422003 */     GIR_EraseRootFromParent_Done,
     /* 1422004 */   // Label 19953: @1422004
     /* 1422004 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1422086), // Rule ID 18219 //
     /* 1422009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1422012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1422020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1422023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1422029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422048 */     // MIs[0] round
     /* 1422048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422051 */     // MIs[0] policy
     /* 1422051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422061 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1422064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422085 */     // GIR_Coverage, 18219,
     /* 1422085 */     GIR_EraseRootFromParent_Done,
     /* 1422086 */   // Label 19954: @1422086
     /* 1422086 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1422168), // Rule ID 18222 //
     /* 1422091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1422094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1422111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422130 */     // MIs[0] round
     /* 1422130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422133 */     // MIs[0] policy
     /* 1422133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422143 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1422146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422167 */     // GIR_Coverage, 18222,
     /* 1422167 */     GIR_EraseRootFromParent_Done,
     /* 1422168 */   // Label 19955: @1422168
     /* 1422168 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1422250), // Rule ID 18223 //
     /* 1422173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1422176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1422184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1422187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1422193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422212 */     // MIs[0] round
     /* 1422212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422215 */     // MIs[0] policy
     /* 1422215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422225 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1422228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422249 */     // GIR_Coverage, 18223,
     /* 1422249 */     GIR_EraseRootFromParent_Done,
     /* 1422250 */   // Label 19956: @1422250
     /* 1422250 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1422332), // Rule ID 18226 //
     /* 1422255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1422258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1422275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422294 */     // MIs[0] round
     /* 1422294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422297 */     // MIs[0] policy
     /* 1422297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422307 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1422310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422331 */     // GIR_Coverage, 18226,
     /* 1422331 */     GIR_EraseRootFromParent_Done,
     /* 1422332 */   // Label 19957: @1422332
     /* 1422332 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1422414), // Rule ID 18227 //
     /* 1422337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1422340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1422357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422376 */     // MIs[0] round
     /* 1422376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422379 */     // MIs[0] policy
     /* 1422379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422389 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1422392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422413 */     // GIR_Coverage, 18227,
     /* 1422413 */     GIR_EraseRootFromParent_Done,
     /* 1422414 */   // Label 19958: @1422414
     /* 1422414 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1422496), // Rule ID 18230 //
     /* 1422419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1422422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1422439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422458 */     // MIs[0] round
     /* 1422458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422461 */     // MIs[0] policy
     /* 1422461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422471 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1422474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422495 */     // GIR_Coverage, 18230,
     /* 1422495 */     GIR_EraseRootFromParent_Done,
     /* 1422496 */   // Label 19959: @1422496
     /* 1422496 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1422578), // Rule ID 18231 //
     /* 1422501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1422504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1422521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422540 */     // MIs[0] round
     /* 1422540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422543 */     // MIs[0] policy
     /* 1422543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422553 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1422556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422577 */     // GIR_Coverage, 18231,
     /* 1422577 */     GIR_EraseRootFromParent_Done,
     /* 1422578 */   // Label 19960: @1422578
     /* 1422578 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1422660), // Rule ID 18234 //
     /* 1422583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1422586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1422603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422622 */     // MIs[0] round
     /* 1422622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422625 */     // MIs[0] policy
     /* 1422625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422635 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1422638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422659 */     // GIR_Coverage, 18234,
     /* 1422659 */     GIR_EraseRootFromParent_Done,
     /* 1422660 */   // Label 19961: @1422660
     /* 1422660 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1422742), // Rule ID 18235 //
     /* 1422665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1422668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1422685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422704 */     // MIs[0] round
     /* 1422704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422707 */     // MIs[0] policy
     /* 1422707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422717 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1422720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422741 */     // GIR_Coverage, 18235,
     /* 1422741 */     GIR_EraseRootFromParent_Done,
     /* 1422742 */   // Label 19962: @1422742
     /* 1422742 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1422824), // Rule ID 18238 //
     /* 1422747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1422750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1422767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422786 */     // MIs[0] round
     /* 1422786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422789 */     // MIs[0] policy
     /* 1422789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422799 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1422802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422823 */     // GIR_Coverage, 18238,
     /* 1422823 */     GIR_EraseRootFromParent_Done,
     /* 1422824 */   // Label 19963: @1422824
     /* 1422824 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1422906), // Rule ID 18239 //
     /* 1422829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1422832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1422849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422868 */     // MIs[0] round
     /* 1422868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422871 */     // MIs[0] policy
     /* 1422871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422881 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1422884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422905 */     // GIR_Coverage, 18239,
     /* 1422905 */     GIR_EraseRootFromParent_Done,
     /* 1422906 */   // Label 19964: @1422906
     /* 1422906 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1422988), // Rule ID 18242 //
     /* 1422911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1422914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1422919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1422931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422950 */     // MIs[0] round
     /* 1422950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1422953 */     // MIs[0] policy
     /* 1422953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422963 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1422966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1422970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1422974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1422976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422987 */     // GIR_Coverage, 18242,
     /* 1422987 */     GIR_EraseRootFromParent_Done,
     /* 1422988 */   // Label 19965: @1422988
     /* 1422988 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1423070), // Rule ID 18243 //
     /* 1422993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1422996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1423010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1423013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423032 */     // MIs[0] round
     /* 1423032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423035 */     // MIs[0] policy
     /* 1423035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423045 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1423048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423069 */     // GIR_Coverage, 18243,
     /* 1423069 */     GIR_EraseRootFromParent_Done,
     /* 1423070 */   // Label 19966: @1423070
     /* 1423070 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1423152), // Rule ID 18246 //
     /* 1423075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1423078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1423095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423114 */     // MIs[0] round
     /* 1423114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423117 */     // MIs[0] policy
     /* 1423117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423127 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1423130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423151 */     // GIR_Coverage, 18246,
     /* 1423151 */     GIR_EraseRootFromParent_Done,
     /* 1423152 */   // Label 19967: @1423152
     /* 1423152 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1423234), // Rule ID 18247 //
     /* 1423157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1423160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1423177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423196 */     // MIs[0] round
     /* 1423196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423199 */     // MIs[0] policy
     /* 1423199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423209 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1423212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423233 */     // GIR_Coverage, 18247,
     /* 1423233 */     GIR_EraseRootFromParent_Done,
     /* 1423234 */   // Label 19968: @1423234
     /* 1423234 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1423316), // Rule ID 18250 //
     /* 1423239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1423242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1423259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423278 */     // MIs[0] round
     /* 1423278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423281 */     // MIs[0] policy
     /* 1423281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423291 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1423294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423315 */     // GIR_Coverage, 18250,
     /* 1423315 */     GIR_EraseRootFromParent_Done,
     /* 1423316 */   // Label 19969: @1423316
     /* 1423316 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1423398), // Rule ID 18251 //
     /* 1423321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1423324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1423341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423360 */     // MIs[0] round
     /* 1423360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423363 */     // MIs[0] policy
     /* 1423363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423373 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1423376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423397 */     // GIR_Coverage, 18251,
     /* 1423397 */     GIR_EraseRootFromParent_Done,
     /* 1423398 */   // Label 19970: @1423398
     /* 1423398 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1423480), // Rule ID 18254 //
     /* 1423403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1423406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1423423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423442 */     // MIs[0] round
     /* 1423442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423445 */     // MIs[0] policy
     /* 1423445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423455 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1423458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423479 */     // GIR_Coverage, 18254,
     /* 1423479 */     GIR_EraseRootFromParent_Done,
     /* 1423480 */   // Label 19971: @1423480
     /* 1423480 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1423562), // Rule ID 18255 //
     /* 1423485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1423488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1423505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423524 */     // MIs[0] round
     /* 1423524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423527 */     // MIs[0] policy
     /* 1423527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423537 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1423540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423561 */     // GIR_Coverage, 18255,
     /* 1423561 */     GIR_EraseRootFromParent_Done,
     /* 1423562 */   // Label 19972: @1423562
     /* 1423562 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1423644), // Rule ID 18258 //
     /* 1423567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1423570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1423587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423606 */     // MIs[0] round
     /* 1423606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423609 */     // MIs[0] policy
     /* 1423609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423619 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1423622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423643 */     // GIR_Coverage, 18258,
     /* 1423643 */     GIR_EraseRootFromParent_Done,
     /* 1423644 */   // Label 19973: @1423644
     /* 1423644 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1423726), // Rule ID 18259 //
     /* 1423649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1423652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1423669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423688 */     // MIs[0] round
     /* 1423688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423691 */     // MIs[0] policy
     /* 1423691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423701 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1423704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423725 */     // GIR_Coverage, 18259,
     /* 1423725 */     GIR_EraseRootFromParent_Done,
     /* 1423726 */   // Label 19974: @1423726
     /* 1423726 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1423808), // Rule ID 18262 //
     /* 1423731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1423734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1423742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1423745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1423748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1423751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1423766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423770 */     // MIs[0] round
     /* 1423770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423773 */     // MIs[0] policy
     /* 1423773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423783 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1423786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423807 */     // GIR_Coverage, 18262,
     /* 1423807 */     GIR_EraseRootFromParent_Done,
     /* 1423808 */   // Label 19975: @1423808
     /* 1423808 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1423890), // Rule ID 18263 //
     /* 1423813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1423816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1423824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1423827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1423830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1423833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1423848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423852 */     // MIs[0] round
     /* 1423852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423855 */     // MIs[0] policy
     /* 1423855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423865 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1423868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423889 */     // GIR_Coverage, 18263,
     /* 1423889 */     GIR_EraseRootFromParent_Done,
     /* 1423890 */   // Label 19976: @1423890
     /* 1423890 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1423972), // Rule ID 18266 //
     /* 1423895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1423898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1423906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1423909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1423912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1423915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1423930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423934 */     // MIs[0] round
     /* 1423934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1423937 */     // MIs[0] policy
     /* 1423937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1423950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1423954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1423958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1423960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423971 */     // GIR_Coverage, 18266,
     /* 1423971 */     GIR_EraseRootFromParent_Done,
     /* 1423972 */   // Label 19977: @1423972
     /* 1423972 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1424054), // Rule ID 18267 //
     /* 1423977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1423980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1423985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1423988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1423991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1423994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1423997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424016 */     // MIs[0] round
     /* 1424016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424019 */     // MIs[0] policy
     /* 1424019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424029 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1424032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424053 */     // GIR_Coverage, 18267,
     /* 1424053 */     GIR_EraseRootFromParent_Done,
     /* 1424054 */   // Label 19978: @1424054
     /* 1424054 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1424136), // Rule ID 18270 //
     /* 1424059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1424062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1424076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1424079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1424094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424098 */     // MIs[0] round
     /* 1424098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424101 */     // MIs[0] policy
     /* 1424101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424111 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1424114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424135 */     // GIR_Coverage, 18270,
     /* 1424135 */     GIR_EraseRootFromParent_Done,
     /* 1424136 */   // Label 19979: @1424136
     /* 1424136 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1424218), // Rule ID 18271 //
     /* 1424141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1424144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1424158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1424161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1424176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424180 */     // MIs[0] round
     /* 1424180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424183 */     // MIs[0] policy
     /* 1424183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424193 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1424196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424217 */     // GIR_Coverage, 18271,
     /* 1424217 */     GIR_EraseRootFromParent_Done,
     /* 1424218 */   // Label 19980: @1424218
     /* 1424218 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1424300), // Rule ID 18274 //
     /* 1424223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1424226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1424243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424262 */     // MIs[0] round
     /* 1424262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424265 */     // MIs[0] policy
     /* 1424265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424275 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1424278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424299 */     // GIR_Coverage, 18274,
     /* 1424299 */     GIR_EraseRootFromParent_Done,
     /* 1424300 */   // Label 19981: @1424300
     /* 1424300 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1424382), // Rule ID 18275 //
     /* 1424305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1424308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1424325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424344 */     // MIs[0] round
     /* 1424344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424347 */     // MIs[0] policy
     /* 1424347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424357 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1424360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424381 */     // GIR_Coverage, 18275,
     /* 1424381 */     GIR_EraseRootFromParent_Done,
     /* 1424382 */   // Label 19982: @1424382
     /* 1424382 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1424464), // Rule ID 18278 //
     /* 1424387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1424390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1424398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1424401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1424404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1424407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1424422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424426 */     // MIs[0] round
     /* 1424426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424429 */     // MIs[0] policy
     /* 1424429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1424442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424463 */     // GIR_Coverage, 18278,
     /* 1424463 */     GIR_EraseRootFromParent_Done,
     /* 1424464 */   // Label 19983: @1424464
     /* 1424464 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1424546), // Rule ID 18279 //
     /* 1424469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1424472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1424480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1424483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1424486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1424489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1424504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424508 */     // MIs[0] round
     /* 1424508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424511 */     // MIs[0] policy
     /* 1424511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424521 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1424524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424545 */     // GIR_Coverage, 18279,
     /* 1424545 */     GIR_EraseRootFromParent_Done,
     /* 1424546 */   // Label 19984: @1424546
     /* 1424546 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1424628), // Rule ID 18282 //
     /* 1424551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1424554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1424562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1424565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1424568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1424571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1424586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424590 */     // MIs[0] round
     /* 1424590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424593 */     // MIs[0] policy
     /* 1424593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1424606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424627 */     // GIR_Coverage, 18282,
     /* 1424627 */     GIR_EraseRootFromParent_Done,
     /* 1424628 */   // Label 19985: @1424628
     /* 1424628 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1424710), // Rule ID 18283 //
     /* 1424633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1424636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1424644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1424647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1424650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1424653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1424668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424672 */     // MIs[0] round
     /* 1424672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424675 */     // MIs[0] policy
     /* 1424675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1424688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424709 */     // GIR_Coverage, 18283,
     /* 1424709 */     GIR_EraseRootFromParent_Done,
     /* 1424710 */   // Label 19986: @1424710
     /* 1424710 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1424792), // Rule ID 18286 //
     /* 1424715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1424718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1424726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1424729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1424735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424754 */     // MIs[0] round
     /* 1424754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424757 */     // MIs[0] policy
     /* 1424757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424767 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1424770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424791 */     // GIR_Coverage, 18286,
     /* 1424791 */     GIR_EraseRootFromParent_Done,
     /* 1424792 */   // Label 19987: @1424792
     /* 1424792 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1424874), // Rule ID 18287 //
     /* 1424797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1424800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1424808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1424811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1424817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424836 */     // MIs[0] round
     /* 1424836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424839 */     // MIs[0] policy
     /* 1424839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424849 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1424852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424873 */     // GIR_Coverage, 18287,
     /* 1424873 */     GIR_EraseRootFromParent_Done,
     /* 1424874 */   // Label 19988: @1424874
     /* 1424874 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1424956), // Rule ID 18290 //
     /* 1424879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1424882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1424890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1424893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1424899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424918 */     // MIs[0] round
     /* 1424918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1424921 */     // MIs[0] policy
     /* 1424921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424931 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1424934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1424938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1424942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1424944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424955 */     // GIR_Coverage, 18290,
     /* 1424955 */     GIR_EraseRootFromParent_Done,
     /* 1424956 */   // Label 19989: @1424956
     /* 1424956 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1425038), // Rule ID 18291 //
     /* 1424961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1424964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1424969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1424972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1424975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1424978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1424981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1424996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425000 */     // MIs[0] round
     /* 1425000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425003 */     // MIs[0] policy
     /* 1425003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425013 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1425016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425037 */     // GIR_Coverage, 18291,
     /* 1425037 */     GIR_EraseRootFromParent_Done,
     /* 1425038 */   // Label 19990: @1425038
     /* 1425038 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1425120), // Rule ID 18294 //
     /* 1425043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1425046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1425054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1425057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1425060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1425063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1425078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425082 */     // MIs[0] round
     /* 1425082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425085 */     // MIs[0] policy
     /* 1425085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425095 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1425098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425119 */     // GIR_Coverage, 18294,
     /* 1425119 */     GIR_EraseRootFromParent_Done,
     /* 1425120 */   // Label 19991: @1425120
     /* 1425120 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1425202), // Rule ID 18295 //
     /* 1425125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1425128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1425136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1425139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1425142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1425145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1425160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425164 */     // MIs[0] round
     /* 1425164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425167 */     // MIs[0] policy
     /* 1425167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1425180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425201 */     // GIR_Coverage, 18295,
     /* 1425201 */     GIR_EraseRootFromParent_Done,
     /* 1425202 */   // Label 19992: @1425202
     /* 1425202 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1425284), // Rule ID 18298 //
     /* 1425207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1425210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1425218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1425221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1425227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425246 */     // MIs[0] round
     /* 1425246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425249 */     // MIs[0] policy
     /* 1425249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425259 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1425262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425283 */     // GIR_Coverage, 18298,
     /* 1425283 */     GIR_EraseRootFromParent_Done,
     /* 1425284 */   // Label 19993: @1425284
     /* 1425284 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1425366), // Rule ID 18299 //
     /* 1425289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1425292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1425300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1425303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1425309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425328 */     // MIs[0] round
     /* 1425328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425331 */     // MIs[0] policy
     /* 1425331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425341 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1425344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425365 */     // GIR_Coverage, 18299,
     /* 1425365 */     GIR_EraseRootFromParent_Done,
     /* 1425366 */   // Label 19994: @1425366
     /* 1425366 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1425448), // Rule ID 18302 //
     /* 1425371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1425374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1425382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1425385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1425391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425410 */     // MIs[0] round
     /* 1425410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425413 */     // MIs[0] policy
     /* 1425413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425423 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1425426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425447 */     // GIR_Coverage, 18302,
     /* 1425447 */     GIR_EraseRootFromParent_Done,
     /* 1425448 */   // Label 19995: @1425448
     /* 1425448 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1425530), // Rule ID 18303 //
     /* 1425453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1425456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1425464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1425467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1425473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425492 */     // MIs[0] round
     /* 1425492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425495 */     // MIs[0] policy
     /* 1425495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425505 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1425508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425529 */     // GIR_Coverage, 18303,
     /* 1425529 */     GIR_EraseRootFromParent_Done,
     /* 1425530 */   // Label 19996: @1425530
     /* 1425530 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1425612), // Rule ID 18306 //
     /* 1425535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1425538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1425546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1425549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1425555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425574 */     // MIs[0] round
     /* 1425574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425577 */     // MIs[0] policy
     /* 1425577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1425590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425611 */     // GIR_Coverage, 18306,
     /* 1425611 */     GIR_EraseRootFromParent_Done,
     /* 1425612 */   // Label 19997: @1425612
     /* 1425612 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1425694), // Rule ID 18307 //
     /* 1425617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1425620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1425628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1425631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1425634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1425637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1425652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425656 */     // MIs[0] round
     /* 1425656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425659 */     // MIs[0] policy
     /* 1425659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425669 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1425672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425693 */     // GIR_Coverage, 18307,
     /* 1425693 */     GIR_EraseRootFromParent_Done,
     /* 1425694 */   // Label 19998: @1425694
     /* 1425694 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1425776), // Rule ID 18310 //
     /* 1425699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1425702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1425710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1425713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1425716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1425719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1425734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425738 */     // MIs[0] round
     /* 1425738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425741 */     // MIs[0] policy
     /* 1425741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1425754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425775 */     // GIR_Coverage, 18310,
     /* 1425775 */     GIR_EraseRootFromParent_Done,
     /* 1425776 */   // Label 19999: @1425776
     /* 1425776 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1425858), // Rule ID 18311 //
     /* 1425781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1425784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1425792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1425795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1425798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1425801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1425816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425820 */     // MIs[0] round
     /* 1425820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425823 */     // MIs[0] policy
     /* 1425823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425833 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1425836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425857 */     // GIR_Coverage, 18311,
     /* 1425857 */     GIR_EraseRootFromParent_Done,
     /* 1425858 */   // Label 20000: @1425858
     /* 1425858 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1425940), // Rule ID 18314 //
     /* 1425863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1425866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1425880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1425883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1425898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425902 */     // MIs[0] round
     /* 1425902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425905 */     // MIs[0] policy
     /* 1425905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425915 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1425918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1425922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1425926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1425928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425939 */     // GIR_Coverage, 18314,
     /* 1425939 */     GIR_EraseRootFromParent_Done,
     /* 1425940 */   // Label 20001: @1425940
     /* 1425940 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1426022), // Rule ID 18315 //
     /* 1425945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1425948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1425953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1425956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1425959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1425962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1425965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1425980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425984 */     // MIs[0] round
     /* 1425984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1425987 */     // MIs[0] policy
     /* 1425987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425997 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1426000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1426018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426021 */     // GIR_Coverage, 18315,
     /* 1426021 */     GIR_EraseRootFromParent_Done,
     /* 1426022 */   // Label 20002: @1426022
     /* 1426022 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1426104), // Rule ID 18318 //
     /* 1426027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1426030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1426035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1426038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1426041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1426044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1426047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1426062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426066 */     // MIs[0] round
     /* 1426066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426069 */     // MIs[0] policy
     /* 1426069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426079 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1426082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1426100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426103 */     // GIR_Coverage, 18318,
     /* 1426103 */     GIR_EraseRootFromParent_Done,
     /* 1426104 */   // Label 20003: @1426104
     /* 1426104 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1426186), // Rule ID 18319 //
     /* 1426109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1426112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1426117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1426120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1426123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1426126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1426129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1426144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426148 */     // MIs[0] round
     /* 1426148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426151 */     // MIs[0] policy
     /* 1426151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426161 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1426164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1426182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426185 */     // GIR_Coverage, 18319,
     /* 1426185 */     GIR_EraseRootFromParent_Done,
     /* 1426186 */   // Label 20004: @1426186
     /* 1426186 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1426268), // Rule ID 18322 //
     /* 1426191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1426194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1426211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426230 */     // MIs[0] round
     /* 1426230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426233 */     // MIs[0] policy
     /* 1426233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426243 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1426246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426267 */     // GIR_Coverage, 18322,
     /* 1426267 */     GIR_EraseRootFromParent_Done,
     /* 1426268 */   // Label 20005: @1426268
     /* 1426268 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1426350), // Rule ID 18323 //
     /* 1426273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1426276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1426290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1426293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426312 */     // MIs[0] round
     /* 1426312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426315 */     // MIs[0] policy
     /* 1426315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426325 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1426328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426349 */     // GIR_Coverage, 18323,
     /* 1426349 */     GIR_EraseRootFromParent_Done,
     /* 1426350 */   // Label 20006: @1426350
     /* 1426350 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1426432), // Rule ID 18326 //
     /* 1426355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1426358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1426375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426394 */     // MIs[0] round
     /* 1426394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426397 */     // MIs[0] policy
     /* 1426397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426407 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1426410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426431 */     // GIR_Coverage, 18326,
     /* 1426431 */     GIR_EraseRootFromParent_Done,
     /* 1426432 */   // Label 20007: @1426432
     /* 1426432 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1426514), // Rule ID 18327 //
     /* 1426437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1426440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1426454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1426457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426476 */     // MIs[0] round
     /* 1426476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426479 */     // MIs[0] policy
     /* 1426479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426489 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1426492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426513 */     // GIR_Coverage, 18327,
     /* 1426513 */     GIR_EraseRootFromParent_Done,
     /* 1426514 */   // Label 20008: @1426514
     /* 1426514 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1426596), // Rule ID 18330 //
     /* 1426519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1426522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1426539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426558 */     // MIs[0] round
     /* 1426558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426561 */     // MIs[0] policy
     /* 1426561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426571 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1426574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426595 */     // GIR_Coverage, 18330,
     /* 1426595 */     GIR_EraseRootFromParent_Done,
     /* 1426596 */   // Label 20009: @1426596
     /* 1426596 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1426678), // Rule ID 18331 //
     /* 1426601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1426604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1426612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1426615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1426621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426640 */     // MIs[0] round
     /* 1426640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426643 */     // MIs[0] policy
     /* 1426643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426653 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1426656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426677 */     // GIR_Coverage, 18331,
     /* 1426677 */     GIR_EraseRootFromParent_Done,
     /* 1426678 */   // Label 20010: @1426678
     /* 1426678 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1426760), // Rule ID 18334 //
     /* 1426683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1426686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1426703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426722 */     // MIs[0] round
     /* 1426722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426725 */     // MIs[0] policy
     /* 1426725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426735 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1426738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426759 */     // GIR_Coverage, 18334,
     /* 1426759 */     GIR_EraseRootFromParent_Done,
     /* 1426760 */   // Label 20011: @1426760
     /* 1426760 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1426842), // Rule ID 18335 //
     /* 1426765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1426768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1426782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1426785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426804 */     // MIs[0] round
     /* 1426804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426807 */     // MIs[0] policy
     /* 1426807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1426820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426841 */     // GIR_Coverage, 18335,
     /* 1426841 */     GIR_EraseRootFromParent_Done,
     /* 1426842 */   // Label 20012: @1426842
     /* 1426842 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1426924), // Rule ID 18338 //
     /* 1426847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1426850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1426867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426886 */     // MIs[0] round
     /* 1426886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426889 */     // MIs[0] policy
     /* 1426889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426899 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1426902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426923 */     // GIR_Coverage, 18338,
     /* 1426923 */     GIR_EraseRootFromParent_Done,
     /* 1426924 */   // Label 20013: @1426924
     /* 1426924 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1427006), // Rule ID 18339 //
     /* 1426929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1426932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1426937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1426940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1426943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1426949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426968 */     // MIs[0] round
     /* 1426968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1426971 */     // MIs[0] policy
     /* 1426971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426981 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1426984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1426988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1426992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1426994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427005 */     // GIR_Coverage, 18339,
     /* 1427005 */     GIR_EraseRootFromParent_Done,
     /* 1427006 */   // Label 20014: @1427006
     /* 1427006 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1427088), // Rule ID 18342 //
     /* 1427011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1427014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1427031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427050 */     // MIs[0] round
     /* 1427050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427053 */     // MIs[0] policy
     /* 1427053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427063 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1427066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427087 */     // GIR_Coverage, 18342,
     /* 1427087 */     GIR_EraseRootFromParent_Done,
     /* 1427088 */   // Label 20015: @1427088
     /* 1427088 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1427170), // Rule ID 18343 //
     /* 1427093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1427096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1427104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1427107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1427113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427132 */     // MIs[0] round
     /* 1427132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427135 */     // MIs[0] policy
     /* 1427135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427145 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1427148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427169 */     // GIR_Coverage, 18343,
     /* 1427169 */     GIR_EraseRootFromParent_Done,
     /* 1427170 */   // Label 20016: @1427170
     /* 1427170 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1427252), // Rule ID 18346 //
     /* 1427175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1427178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1427195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427214 */     // MIs[0] round
     /* 1427214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427217 */     // MIs[0] policy
     /* 1427217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427227 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1427230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427251 */     // GIR_Coverage, 18346,
     /* 1427251 */     GIR_EraseRootFromParent_Done,
     /* 1427252 */   // Label 20017: @1427252
     /* 1427252 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1427334), // Rule ID 18347 //
     /* 1427257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1427260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1427268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1427271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1427274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1427277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427296 */     // MIs[0] round
     /* 1427296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427299 */     // MIs[0] policy
     /* 1427299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427309 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1427312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427333 */     // GIR_Coverage, 18347,
     /* 1427333 */     GIR_EraseRootFromParent_Done,
     /* 1427334 */   // Label 20018: @1427334
     /* 1427334 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1427416), // Rule ID 18350 //
     /* 1427339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1427342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1427359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427378 */     // MIs[0] round
     /* 1427378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427381 */     // MIs[0] policy
     /* 1427381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427391 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1427394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427415 */     // GIR_Coverage, 18350,
     /* 1427415 */     GIR_EraseRootFromParent_Done,
     /* 1427416 */   // Label 20019: @1427416
     /* 1427416 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1427498), // Rule ID 18351 //
     /* 1427421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1427424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1427432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1427435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1427438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1427441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427460 */     // MIs[0] round
     /* 1427460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427463 */     // MIs[0] policy
     /* 1427463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427473 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1427476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427497 */     // GIR_Coverage, 18351,
     /* 1427497 */     GIR_EraseRootFromParent_Done,
     /* 1427498 */   // Label 20020: @1427498
     /* 1427498 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1427580), // Rule ID 18354 //
     /* 1427503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1427506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1427514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1427517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1427520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1427523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427542 */     // MIs[0] round
     /* 1427542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427545 */     // MIs[0] policy
     /* 1427545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427555 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1427558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427579 */     // GIR_Coverage, 18354,
     /* 1427579 */     GIR_EraseRootFromParent_Done,
     /* 1427580 */   // Label 20021: @1427580
     /* 1427580 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1427662), // Rule ID 18355 //
     /* 1427585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1427588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1427596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1427599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1427602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1427605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427624 */     // MIs[0] round
     /* 1427624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427627 */     // MIs[0] policy
     /* 1427627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427637 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1427640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427661 */     // GIR_Coverage, 18355,
     /* 1427661 */     GIR_EraseRootFromParent_Done,
     /* 1427662 */   // Label 20022: @1427662
     /* 1427662 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1427744), // Rule ID 18358 //
     /* 1427667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1427670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1427684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1427687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427706 */     // MIs[0] round
     /* 1427706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427709 */     // MIs[0] policy
     /* 1427709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427719 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1427722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427743 */     // GIR_Coverage, 18358,
     /* 1427743 */     GIR_EraseRootFromParent_Done,
     /* 1427744 */   // Label 20023: @1427744
     /* 1427744 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1427826), // Rule ID 18359 //
     /* 1427749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1427752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1427766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1427769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427788 */     // MIs[0] round
     /* 1427788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427791 */     // MIs[0] policy
     /* 1427791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427801 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1427804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427825 */     // GIR_Coverage, 18359,
     /* 1427825 */     GIR_EraseRootFromParent_Done,
     /* 1427826 */   // Label 20024: @1427826
     /* 1427826 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1427908), // Rule ID 18362 //
     /* 1427831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1427834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1427851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427870 */     // MIs[0] round
     /* 1427870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427873 */     // MIs[0] policy
     /* 1427873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427883 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1427886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427907 */     // GIR_Coverage, 18362,
     /* 1427907 */     GIR_EraseRootFromParent_Done,
     /* 1427908 */   // Label 20025: @1427908
     /* 1427908 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1427990), // Rule ID 18363 //
     /* 1427913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1427916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1427921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1427933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427952 */     // MIs[0] round
     /* 1427952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1427955 */     // MIs[0] policy
     /* 1427955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427965 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1427968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1427972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1427976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1427978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427989 */     // GIR_Coverage, 18363,
     /* 1427989 */     GIR_EraseRootFromParent_Done,
     /* 1427990 */   // Label 20026: @1427990
     /* 1427990 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1428072), // Rule ID 18366 //
     /* 1427995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1427998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1428015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428034 */     // MIs[0] round
     /* 1428034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428037 */     // MIs[0] policy
     /* 1428037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428047 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1428050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428071 */     // GIR_Coverage, 18366,
     /* 1428071 */     GIR_EraseRootFromParent_Done,
     /* 1428072 */   // Label 20027: @1428072
     /* 1428072 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1428154), // Rule ID 18367 //
     /* 1428077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1428080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1428088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1428091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1428094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1428097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428116 */     // MIs[0] round
     /* 1428116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428119 */     // MIs[0] policy
     /* 1428119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428129 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1428132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428153 */     // GIR_Coverage, 18367,
     /* 1428153 */     GIR_EraseRootFromParent_Done,
     /* 1428154 */   // Label 20028: @1428154
     /* 1428154 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1428236), // Rule ID 18370 //
     /* 1428159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1428162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1428179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428198 */     // MIs[0] round
     /* 1428198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428201 */     // MIs[0] policy
     /* 1428201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428211 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1428214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428235 */     // GIR_Coverage, 18370,
     /* 1428235 */     GIR_EraseRootFromParent_Done,
     /* 1428236 */   // Label 20029: @1428236
     /* 1428236 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1428318), // Rule ID 18371 //
     /* 1428241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1428244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1428252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1428255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1428258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1428261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428280 */     // MIs[0] round
     /* 1428280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428283 */     // MIs[0] policy
     /* 1428283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428293 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1428296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428317 */     // GIR_Coverage, 18371,
     /* 1428317 */     GIR_EraseRootFromParent_Done,
     /* 1428318 */   // Label 20030: @1428318
     /* 1428318 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1428400), // Rule ID 18374 //
     /* 1428323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1428326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1428334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1428337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1428340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1428343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428362 */     // MIs[0] round
     /* 1428362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428365 */     // MIs[0] policy
     /* 1428365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428375 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1428378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428399 */     // GIR_Coverage, 18374,
     /* 1428399 */     GIR_EraseRootFromParent_Done,
     /* 1428400 */   // Label 20031: @1428400
     /* 1428400 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1428482), // Rule ID 18375 //
     /* 1428405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1428408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1428416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1428419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1428422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1428425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428444 */     // MIs[0] round
     /* 1428444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428447 */     // MIs[0] policy
     /* 1428447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428457 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1428460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428481 */     // GIR_Coverage, 18375,
     /* 1428481 */     GIR_EraseRootFromParent_Done,
     /* 1428482 */   // Label 20032: @1428482
     /* 1428482 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1428564), // Rule ID 18378 //
     /* 1428487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1428490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1428498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1428501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1428504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1428507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428526 */     // MIs[0] round
     /* 1428526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428529 */     // MIs[0] policy
     /* 1428529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428539 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1428542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428563 */     // GIR_Coverage, 18378,
     /* 1428563 */     GIR_EraseRootFromParent_Done,
     /* 1428564 */   // Label 20033: @1428564
     /* 1428564 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1428646), // Rule ID 18379 //
     /* 1428569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1428572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1428580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1428583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1428586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1428589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428608 */     // MIs[0] round
     /* 1428608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428611 */     // MIs[0] policy
     /* 1428611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428621 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1428624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428645 */     // GIR_Coverage, 18379,
     /* 1428645 */     GIR_EraseRootFromParent_Done,
     /* 1428646 */   // Label 20034: @1428646
     /* 1428646 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1428728), // Rule ID 18382 //
     /* 1428651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1428654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1428668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1428671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1428686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428690 */     // MIs[0] round
     /* 1428690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428693 */     // MIs[0] policy
     /* 1428693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428703 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1428706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428727 */     // GIR_Coverage, 18382,
     /* 1428727 */     GIR_EraseRootFromParent_Done,
     /* 1428728 */   // Label 20035: @1428728
     /* 1428728 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1428810), // Rule ID 18383 //
     /* 1428733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1428736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1428750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1428753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1428768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428772 */     // MIs[0] round
     /* 1428772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428775 */     // MIs[0] policy
     /* 1428775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428785 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1428788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428809 */     // GIR_Coverage, 18383,
     /* 1428809 */     GIR_EraseRootFromParent_Done,
     /* 1428810 */   // Label 20036: @1428810
     /* 1428810 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1428892), // Rule ID 18386 //
     /* 1428815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1428818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1428832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1428835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1428850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428854 */     // MIs[0] round
     /* 1428854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428857 */     // MIs[0] policy
     /* 1428857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428867 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1428870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428891 */     // GIR_Coverage, 18386,
     /* 1428891 */     GIR_EraseRootFromParent_Done,
     /* 1428892 */   // Label 20037: @1428892
     /* 1428892 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1428974), // Rule ID 18387 //
     /* 1428897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1428900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1428914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1428917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1428932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428936 */     // MIs[0] round
     /* 1428936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1428939 */     // MIs[0] policy
     /* 1428939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428949 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1428952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1428956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1428960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1428962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428973 */     // GIR_Coverage, 18387,
     /* 1428973 */     GIR_EraseRootFromParent_Done,
     /* 1428974 */   // Label 20038: @1428974
     /* 1428974 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1429056), // Rule ID 18390 //
     /* 1428979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1428982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1428987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1428996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1428999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1429014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429018 */     // MIs[0] round
     /* 1429018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429021 */     // MIs[0] policy
     /* 1429021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1429034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429055 */     // GIR_Coverage, 18390,
     /* 1429055 */     GIR_EraseRootFromParent_Done,
     /* 1429056 */   // Label 20039: @1429056
     /* 1429056 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1429138), // Rule ID 18391 //
     /* 1429061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1429064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1429072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1429075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1429078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1429081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1429096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429100 */     // MIs[0] round
     /* 1429100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429103 */     // MIs[0] policy
     /* 1429103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429113 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1429116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429137 */     // GIR_Coverage, 18391,
     /* 1429137 */     GIR_EraseRootFromParent_Done,
     /* 1429138 */   // Label 20040: @1429138
     /* 1429138 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1429220), // Rule ID 18394 //
     /* 1429143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1429146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1429163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429182 */     // MIs[0] round
     /* 1429182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429185 */     // MIs[0] policy
     /* 1429185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429195 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1429198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429219 */     // GIR_Coverage, 18394,
     /* 1429219 */     GIR_EraseRootFromParent_Done,
     /* 1429220 */   // Label 20041: @1429220
     /* 1429220 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1429302), // Rule ID 18395 //
     /* 1429225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1429228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1429245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429264 */     // MIs[0] round
     /* 1429264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429267 */     // MIs[0] policy
     /* 1429267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429277 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1429280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429301 */     // GIR_Coverage, 18395,
     /* 1429301 */     GIR_EraseRootFromParent_Done,
     /* 1429302 */   // Label 20042: @1429302
     /* 1429302 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1429384), // Rule ID 18398 //
     /* 1429307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1429310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1429324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1429327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1429342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429346 */     // MIs[0] round
     /* 1429346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429349 */     // MIs[0] policy
     /* 1429349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429359 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1429362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429383 */     // GIR_Coverage, 18398,
     /* 1429383 */     GIR_EraseRootFromParent_Done,
     /* 1429384 */   // Label 20043: @1429384
     /* 1429384 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1429466), // Rule ID 18399 //
     /* 1429389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1429392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1429406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1429409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1429424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429428 */     // MIs[0] round
     /* 1429428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429431 */     // MIs[0] policy
     /* 1429431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429441 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1429444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429465 */     // GIR_Coverage, 18399,
     /* 1429465 */     GIR_EraseRootFromParent_Done,
     /* 1429466 */   // Label 20044: @1429466
     /* 1429466 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1429548), // Rule ID 18402 //
     /* 1429471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1429474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1429488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1429491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1429506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429510 */     // MIs[0] round
     /* 1429510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429513 */     // MIs[0] policy
     /* 1429513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1429526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429547 */     // GIR_Coverage, 18402,
     /* 1429547 */     GIR_EraseRootFromParent_Done,
     /* 1429548 */   // Label 20045: @1429548
     /* 1429548 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1429630), // Rule ID 18403 //
     /* 1429553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1429556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1429570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1429573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1429588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429592 */     // MIs[0] round
     /* 1429592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429595 */     // MIs[0] policy
     /* 1429595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429605 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1429608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429629 */     // GIR_Coverage, 18403,
     /* 1429629 */     GIR_EraseRootFromParent_Done,
     /* 1429630 */   // Label 20046: @1429630
     /* 1429630 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1429712), // Rule ID 18406 //
     /* 1429635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1429638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1429646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1429649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1429655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429674 */     // MIs[0] round
     /* 1429674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429677 */     // MIs[0] policy
     /* 1429677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429687 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1429690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429711 */     // GIR_Coverage, 18406,
     /* 1429711 */     GIR_EraseRootFromParent_Done,
     /* 1429712 */   // Label 20047: @1429712
     /* 1429712 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1429794), // Rule ID 18407 //
     /* 1429717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1429720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1429728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1429731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1429737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429756 */     // MIs[0] round
     /* 1429756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429759 */     // MIs[0] policy
     /* 1429759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429769 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1429772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429793 */     // GIR_Coverage, 18407,
     /* 1429793 */     GIR_EraseRootFromParent_Done,
     /* 1429794 */   // Label 20048: @1429794
     /* 1429794 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1429876), // Rule ID 18410 //
     /* 1429799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1429802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1429810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1429813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1429819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429838 */     // MIs[0] round
     /* 1429838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429841 */     // MIs[0] policy
     /* 1429841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429851 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1429854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429875 */     // GIR_Coverage, 18410,
     /* 1429875 */     GIR_EraseRootFromParent_Done,
     /* 1429876 */   // Label 20049: @1429876
     /* 1429876 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1429958), // Rule ID 18411 //
     /* 1429881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1429884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1429892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1429895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1429901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429920 */     // MIs[0] round
     /* 1429920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1429923 */     // MIs[0] policy
     /* 1429923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429933 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1429936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1429940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1429944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1429946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429957 */     // GIR_Coverage, 18411,
     /* 1429957 */     GIR_EraseRootFromParent_Done,
     /* 1429958 */   // Label 20050: @1429958
     /* 1429958 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1430040), // Rule ID 18414 //
     /* 1429963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1429966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1429971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1429974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1429977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1429980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1429983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1429998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430002 */     // MIs[0] round
     /* 1430002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430005 */     // MIs[0] policy
     /* 1430005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430015 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1430018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430039 */     // GIR_Coverage, 18414,
     /* 1430039 */     GIR_EraseRootFromParent_Done,
     /* 1430040 */   // Label 20051: @1430040
     /* 1430040 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1430122), // Rule ID 18415 //
     /* 1430045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1430048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1430062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1430065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1430080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430084 */     // MIs[0] round
     /* 1430084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430087 */     // MIs[0] policy
     /* 1430087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430097 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1430100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430121 */     // GIR_Coverage, 18415,
     /* 1430121 */     GIR_EraseRootFromParent_Done,
     /* 1430122 */   // Label 20052: @1430122
     /* 1430122 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1430204), // Rule ID 18418 //
     /* 1430127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1430130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1430147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430166 */     // MIs[0] round
     /* 1430166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430169 */     // MIs[0] policy
     /* 1430169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430179 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1430182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430203 */     // GIR_Coverage, 18418,
     /* 1430203 */     GIR_EraseRootFromParent_Done,
     /* 1430204 */   // Label 20053: @1430204
     /* 1430204 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1430286), // Rule ID 18419 //
     /* 1430209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1430212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1430229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430248 */     // MIs[0] round
     /* 1430248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430251 */     // MIs[0] policy
     /* 1430251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430261 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1430264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430285 */     // GIR_Coverage, 18419,
     /* 1430285 */     GIR_EraseRootFromParent_Done,
     /* 1430286 */   // Label 20054: @1430286
     /* 1430286 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1430368), // Rule ID 18422 //
     /* 1430291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1430294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1430302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1430305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1430311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430330 */     // MIs[0] round
     /* 1430330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430333 */     // MIs[0] policy
     /* 1430333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430343 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1430346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430367 */     // GIR_Coverage, 18422,
     /* 1430367 */     GIR_EraseRootFromParent_Done,
     /* 1430368 */   // Label 20055: @1430368
     /* 1430368 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1430450), // Rule ID 18423 //
     /* 1430373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1430376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1430384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1430387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1430393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430412 */     // MIs[0] round
     /* 1430412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430415 */     // MIs[0] policy
     /* 1430415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430425 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1430428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430449 */     // GIR_Coverage, 18423,
     /* 1430449 */     GIR_EraseRootFromParent_Done,
     /* 1430450 */   // Label 20056: @1430450
     /* 1430450 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1430532), // Rule ID 18426 //
     /* 1430455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1430458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1430466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1430469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1430475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430494 */     // MIs[0] round
     /* 1430494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430497 */     // MIs[0] policy
     /* 1430497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430507 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1430510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430531 */     // GIR_Coverage, 18426,
     /* 1430531 */     GIR_EraseRootFromParent_Done,
     /* 1430532 */   // Label 20057: @1430532
     /* 1430532 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1430614), // Rule ID 18427 //
     /* 1430537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1430540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1430548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1430551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1430554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1430557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1430572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430576 */     // MIs[0] round
     /* 1430576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430579 */     // MIs[0] policy
     /* 1430579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430589 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1430592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430613 */     // GIR_Coverage, 18427,
     /* 1430613 */     GIR_EraseRootFromParent_Done,
     /* 1430614 */   // Label 20058: @1430614
     /* 1430614 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1430696), // Rule ID 18430 //
     /* 1430619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1430622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1430630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1430633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1430636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1430639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1430654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430658 */     // MIs[0] round
     /* 1430658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430661 */     // MIs[0] policy
     /* 1430661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430671 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1430674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430695 */     // GIR_Coverage, 18430,
     /* 1430695 */     GIR_EraseRootFromParent_Done,
     /* 1430696 */   // Label 20059: @1430696
     /* 1430696 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1430778), // Rule ID 18431 //
     /* 1430701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1430704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1430712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1430715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1430718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1430721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1430736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430740 */     // MIs[0] round
     /* 1430740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430743 */     // MIs[0] policy
     /* 1430743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1430756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430777 */     // GIR_Coverage, 18431,
     /* 1430777 */     GIR_EraseRootFromParent_Done,
     /* 1430778 */   // Label 20060: @1430778
     /* 1430778 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1430860), // Rule ID 18434 //
     /* 1430783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1430786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1430794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1430797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1430800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1430803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1430818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430822 */     // MIs[0] round
     /* 1430822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430825 */     // MIs[0] policy
     /* 1430825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430835 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1430838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430859 */     // GIR_Coverage, 18434,
     /* 1430859 */     GIR_EraseRootFromParent_Done,
     /* 1430860 */   // Label 20061: @1430860
     /* 1430860 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1430942), // Rule ID 18435 //
     /* 1430865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1430868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1430876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1430879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1430882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1430885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1430900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430904 */     // MIs[0] round
     /* 1430904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430907 */     // MIs[0] policy
     /* 1430907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430917 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1430920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1430924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1430928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1430930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430941 */     // GIR_Coverage, 18435,
     /* 1430941 */     GIR_EraseRootFromParent_Done,
     /* 1430942 */   // Label 20062: @1430942
     /* 1430942 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1431024), // Rule ID 18438 //
     /* 1430947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1430950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1430955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1430958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1430961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1430964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1430967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1430982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430986 */     // MIs[0] round
     /* 1430986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1430989 */     // MIs[0] policy
     /* 1430989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430999 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1431002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431023 */     // GIR_Coverage, 18438,
     /* 1431023 */     GIR_EraseRootFromParent_Done,
     /* 1431024 */   // Label 20063: @1431024
     /* 1431024 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1431106), // Rule ID 18439 //
     /* 1431029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1431032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1431037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1431046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1431049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1431064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431068 */     // MIs[0] round
     /* 1431068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431071 */     // MIs[0] policy
     /* 1431071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431081 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10868:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1431084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431105 */     // GIR_Coverage, 18439,
     /* 1431105 */     GIR_EraseRootFromParent_Done,
     /* 1431106 */   // Label 20064: @1431106
     /* 1431106 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1431188), // Rule ID 18442 //
     /* 1431111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1431114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1431122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1431125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1431128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1431131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431150 */     // MIs[0] round
     /* 1431150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431153 */     // MIs[0] policy
     /* 1431153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431163 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1431166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431187 */     // GIR_Coverage, 18442,
     /* 1431187 */     GIR_EraseRootFromParent_Done,
     /* 1431188 */   // Label 20065: @1431188
     /* 1431188 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1431270), // Rule ID 18443 //
     /* 1431193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1431196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1431204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1431207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1431210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1431213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431232 */     // MIs[0] round
     /* 1431232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431235 */     // MIs[0] policy
     /* 1431235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431245 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1431248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431269 */     // GIR_Coverage, 18443,
     /* 1431269 */     GIR_EraseRootFromParent_Done,
     /* 1431270 */   // Label 20066: @1431270
     /* 1431270 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1431352), // Rule ID 18446 //
     /* 1431275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1431278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1431286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1431289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1431292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1431295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431314 */     // MIs[0] round
     /* 1431314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431317 */     // MIs[0] policy
     /* 1431317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431327 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1431330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431351 */     // GIR_Coverage, 18446,
     /* 1431351 */     GIR_EraseRootFromParent_Done,
     /* 1431352 */   // Label 20067: @1431352
     /* 1431352 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1431434), // Rule ID 18447 //
     /* 1431357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1431360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1431368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1431371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1431374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1431377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431396 */     // MIs[0] round
     /* 1431396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431399 */     // MIs[0] policy
     /* 1431399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431409 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1431412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431433 */     // GIR_Coverage, 18447,
     /* 1431433 */     GIR_EraseRootFromParent_Done,
     /* 1431434 */   // Label 20068: @1431434
     /* 1431434 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1431516), // Rule ID 18450 //
     /* 1431439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1431442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1431450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1431453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1431456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1431459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431478 */     // MIs[0] round
     /* 1431478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431481 */     // MIs[0] policy
     /* 1431481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431491 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1431494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431515 */     // GIR_Coverage, 18450,
     /* 1431515 */     GIR_EraseRootFromParent_Done,
     /* 1431516 */   // Label 20069: @1431516
     /* 1431516 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1431598), // Rule ID 18451 //
     /* 1431521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1431524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1431532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1431535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1431538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1431541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431560 */     // MIs[0] round
     /* 1431560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431563 */     // MIs[0] policy
     /* 1431563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431573 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1431576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431597 */     // GIR_Coverage, 18451,
     /* 1431597 */     GIR_EraseRootFromParent_Done,
     /* 1431598 */   // Label 20070: @1431598
     /* 1431598 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1431680), // Rule ID 18454 //
     /* 1431603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1431606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1431623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431642 */     // MIs[0] round
     /* 1431642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431645 */     // MIs[0] policy
     /* 1431645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431655 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1431658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431679 */     // GIR_Coverage, 18454,
     /* 1431679 */     GIR_EraseRootFromParent_Done,
     /* 1431680 */   // Label 20071: @1431680
     /* 1431680 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1431762), // Rule ID 18455 //
     /* 1431685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1431688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1431696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1431699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1431702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1431705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431724 */     // MIs[0] round
     /* 1431724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431727 */     // MIs[0] policy
     /* 1431727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1431740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431761 */     // GIR_Coverage, 18455,
     /* 1431761 */     GIR_EraseRootFromParent_Done,
     /* 1431762 */   // Label 20072: @1431762
     /* 1431762 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1431844), // Rule ID 18458 //
     /* 1431767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1431770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1431787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431806 */     // MIs[0] round
     /* 1431806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431809 */     // MIs[0] policy
     /* 1431809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431819 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1431822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431843 */     // GIR_Coverage, 18458,
     /* 1431843 */     GIR_EraseRootFromParent_Done,
     /* 1431844 */   // Label 20073: @1431844
     /* 1431844 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1431926), // Rule ID 18459 //
     /* 1431849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1431852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1431860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1431863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1431866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1431869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431888 */     // MIs[0] round
     /* 1431888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431891 */     // MIs[0] policy
     /* 1431891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431901 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1431904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431925 */     // GIR_Coverage, 18459,
     /* 1431925 */     GIR_EraseRootFromParent_Done,
     /* 1431926 */   // Label 20074: @1431926
     /* 1431926 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1432008), // Rule ID 18462 //
     /* 1431931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1431934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1431939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1431942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1431945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1431948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1431951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431970 */     // MIs[0] round
     /* 1431970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1431973 */     // MIs[0] policy
     /* 1431973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431983 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1431986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1431990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1431994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1431996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432007 */     // GIR_Coverage, 18462,
     /* 1432007 */     GIR_EraseRootFromParent_Done,
     /* 1432008 */   // Label 20075: @1432008
     /* 1432008 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1432090), // Rule ID 18463 //
     /* 1432013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1432016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1432024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1432027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1432030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1432033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432052 */     // MIs[0] round
     /* 1432052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432055 */     // MIs[0] policy
     /* 1432055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432065 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1432068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432089 */     // GIR_Coverage, 18463,
     /* 1432089 */     GIR_EraseRootFromParent_Done,
     /* 1432090 */   // Label 20076: @1432090
     /* 1432090 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1432172), // Rule ID 18466 //
     /* 1432095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1432098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1432115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432134 */     // MIs[0] round
     /* 1432134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432137 */     // MIs[0] policy
     /* 1432137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432147 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1432150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432171 */     // GIR_Coverage, 18466,
     /* 1432171 */     GIR_EraseRootFromParent_Done,
     /* 1432172 */   // Label 20077: @1432172
     /* 1432172 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1432254), // Rule ID 18467 //
     /* 1432177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1432180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1432188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1432191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1432194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1432197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432216 */     // MIs[0] round
     /* 1432216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432219 */     // MIs[0] policy
     /* 1432219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1432232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432253 */     // GIR_Coverage, 18467,
     /* 1432253 */     GIR_EraseRootFromParent_Done,
     /* 1432254 */   // Label 20078: @1432254
     /* 1432254 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1432336), // Rule ID 18470 //
     /* 1432259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1432262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1432279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432298 */     // MIs[0] round
     /* 1432298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432301 */     // MIs[0] policy
     /* 1432301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432311 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1432314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432335 */     // GIR_Coverage, 18470,
     /* 1432335 */     GIR_EraseRootFromParent_Done,
     /* 1432336 */   // Label 20079: @1432336
     /* 1432336 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1432418), // Rule ID 18471 //
     /* 1432341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1432344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1432352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1432355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1432358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1432361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432380 */     // MIs[0] round
     /* 1432380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432383 */     // MIs[0] policy
     /* 1432383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432393 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1432396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432417 */     // GIR_Coverage, 18471,
     /* 1432417 */     GIR_EraseRootFromParent_Done,
     /* 1432418 */   // Label 20080: @1432418
     /* 1432418 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1432500), // Rule ID 18474 //
     /* 1432423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1432426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1432443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432462 */     // MIs[0] round
     /* 1432462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432465 */     // MIs[0] policy
     /* 1432465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432475 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1432478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432499 */     // GIR_Coverage, 18474,
     /* 1432499 */     GIR_EraseRootFromParent_Done,
     /* 1432500 */   // Label 20081: @1432500
     /* 1432500 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1432582), // Rule ID 18475 //
     /* 1432505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1432508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1432516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1432519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1432522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1432525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432544 */     // MIs[0] round
     /* 1432544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432547 */     // MIs[0] policy
     /* 1432547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432557 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1432560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432581 */     // GIR_Coverage, 18475,
     /* 1432581 */     GIR_EraseRootFromParent_Done,
     /* 1432582 */   // Label 20082: @1432582
     /* 1432582 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1432664), // Rule ID 18478 //
     /* 1432587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1432590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1432607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432626 */     // MIs[0] round
     /* 1432626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432629 */     // MIs[0] policy
     /* 1432629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432639 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1432642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432663 */     // GIR_Coverage, 18478,
     /* 1432663 */     GIR_EraseRootFromParent_Done,
     /* 1432664 */   // Label 20083: @1432664
     /* 1432664 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1432746), // Rule ID 18479 //
     /* 1432669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1432672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1432680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1432683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1432686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1432689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1432708 */     // MIs[0] round
     /* 1432708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432711 */     // MIs[0] policy
     /* 1432711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1432724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432745 */     // GIR_Coverage, 18479,
     /* 1432745 */     GIR_EraseRootFromParent_Done,
     /* 1432746 */   // Label 20084: @1432746
     /* 1432746 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1432828), // Rule ID 18482 //
     /* 1432751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1432754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1432771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432790 */     // MIs[0] round
     /* 1432790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432793 */     // MIs[0] policy
     /* 1432793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432803 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1432806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432827 */     // GIR_Coverage, 18482,
     /* 1432827 */     GIR_EraseRootFromParent_Done,
     /* 1432828 */   // Label 20085: @1432828
     /* 1432828 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1432910), // Rule ID 18483 //
     /* 1432833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1432836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1432844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1432847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1432850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1432853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432872 */     // MIs[0] round
     /* 1432872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432875 */     // MIs[0] policy
     /* 1432875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432885 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1432888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432909 */     // GIR_Coverage, 18483,
     /* 1432909 */     GIR_EraseRootFromParent_Done,
     /* 1432910 */   // Label 20086: @1432910
     /* 1432910 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1432992), // Rule ID 18486 //
     /* 1432915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1432918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1432923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1432926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1432929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1432932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1432935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432954 */     // MIs[0] round
     /* 1432954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1432957 */     // MIs[0] policy
     /* 1432957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432967 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1432970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1432974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1432978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1432980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432991 */     // GIR_Coverage, 18486,
     /* 1432991 */     GIR_EraseRootFromParent_Done,
     /* 1432992 */   // Label 20087: @1432992
     /* 1432992 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1433074), // Rule ID 18487 //
     /* 1432997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1433000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1433008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1433011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1433014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1433017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433036 */     // MIs[0] round
     /* 1433036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433039 */     // MIs[0] policy
     /* 1433039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433049 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1433052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433073 */     // GIR_Coverage, 18487,
     /* 1433073 */     GIR_EraseRootFromParent_Done,
     /* 1433074 */   // Label 20088: @1433074
     /* 1433074 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1433156), // Rule ID 18490 //
     /* 1433079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1433082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1433099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433118 */     // MIs[0] round
     /* 1433118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433121 */     // MIs[0] policy
     /* 1433121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433131 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1433134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433155 */     // GIR_Coverage, 18490,
     /* 1433155 */     GIR_EraseRootFromParent_Done,
     /* 1433156 */   // Label 20089: @1433156
     /* 1433156 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1433238), // Rule ID 18491 //
     /* 1433161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1433164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1433172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1433175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1433178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1433181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433200 */     // MIs[0] round
     /* 1433200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433203 */     // MIs[0] policy
     /* 1433203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433213 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1433216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433237 */     // GIR_Coverage, 18491,
     /* 1433237 */     GIR_EraseRootFromParent_Done,
     /* 1433238 */   // Label 20090: @1433238
     /* 1433238 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1433320), // Rule ID 18494 //
     /* 1433243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1433246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1433263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433282 */     // MIs[0] round
     /* 1433282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433285 */     // MIs[0] policy
     /* 1433285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433295 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1433298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433319 */     // GIR_Coverage, 18494,
     /* 1433319 */     GIR_EraseRootFromParent_Done,
     /* 1433320 */   // Label 20091: @1433320
     /* 1433320 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1433402), // Rule ID 18495 //
     /* 1433325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1433328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1433336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1433339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1433342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1433345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1433364 */     // MIs[0] round
     /* 1433364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433367 */     // MIs[0] policy
     /* 1433367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433377 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1433380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433401 */     // GIR_Coverage, 18495,
     /* 1433401 */     GIR_EraseRootFromParent_Done,
     /* 1433402 */   // Label 20092: @1433402
     /* 1433402 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1433484), // Rule ID 18498 //
     /* 1433407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1433410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1433427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433446 */     // MIs[0] round
     /* 1433446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433449 */     // MIs[0] policy
     /* 1433449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433459 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1433462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433483 */     // GIR_Coverage, 18498,
     /* 1433483 */     GIR_EraseRootFromParent_Done,
     /* 1433484 */   // Label 20093: @1433484
     /* 1433484 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1433566), // Rule ID 18499 //
     /* 1433489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1433492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1433500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1433503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1433506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1433509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1433528 */     // MIs[0] round
     /* 1433528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433531 */     // MIs[0] policy
     /* 1433531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433541 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1433544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433565 */     // GIR_Coverage, 18499,
     /* 1433565 */     GIR_EraseRootFromParent_Done,
     /* 1433566 */   // Label 20094: @1433566
     /* 1433566 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1433648), // Rule ID 18502 //
     /* 1433571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1433574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1433582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1433585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1433588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1433591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1433606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433610 */     // MIs[0] round
     /* 1433610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433613 */     // MIs[0] policy
     /* 1433613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433623 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1433626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433647 */     // GIR_Coverage, 18502,
     /* 1433647 */     GIR_EraseRootFromParent_Done,
     /* 1433648 */   // Label 20095: @1433648
     /* 1433648 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1433730), // Rule ID 18503 //
     /* 1433653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1433656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1433664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1433667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1433670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1433673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1433688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433692 */     // MIs[0] round
     /* 1433692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433695 */     // MIs[0] policy
     /* 1433695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433705 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1433708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433729 */     // GIR_Coverage, 18503,
     /* 1433729 */     GIR_EraseRootFromParent_Done,
     /* 1433730 */   // Label 20096: @1433730
     /* 1433730 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1433812), // Rule ID 18506 //
     /* 1433735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1433738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1433752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1433755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1433770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433774 */     // MIs[0] round
     /* 1433774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433777 */     // MIs[0] policy
     /* 1433777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1433790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433811 */     // GIR_Coverage, 18506,
     /* 1433811 */     GIR_EraseRootFromParent_Done,
     /* 1433812 */   // Label 20097: @1433812
     /* 1433812 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1433894), // Rule ID 18507 //
     /* 1433817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1433820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1433834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1433837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1433852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433856 */     // MIs[0] round
     /* 1433856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433859 */     // MIs[0] policy
     /* 1433859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433869 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1433872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433893 */     // GIR_Coverage, 18507,
     /* 1433893 */     GIR_EraseRootFromParent_Done,
     /* 1433894 */   // Label 20098: @1433894
     /* 1433894 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1433976), // Rule ID 18510 //
     /* 1433899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1433902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1433916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1433919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1433934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433938 */     // MIs[0] round
     /* 1433938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1433941 */     // MIs[0] policy
     /* 1433941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433951 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1433954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1433958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1433962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1433964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433975 */     // GIR_Coverage, 18510,
     /* 1433975 */     GIR_EraseRootFromParent_Done,
     /* 1433976 */   // Label 20099: @1433976
     /* 1433976 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1434058), // Rule ID 18511 //
     /* 1433981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1433984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1433989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1433998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1434001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1434016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434020 */     // MIs[0] round
     /* 1434020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434023 */     // MIs[0] policy
     /* 1434023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434033 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1434036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434057 */     // GIR_Coverage, 18511,
     /* 1434057 */     GIR_EraseRootFromParent_Done,
     /* 1434058 */   // Label 20100: @1434058
     /* 1434058 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1434140), // Rule ID 18514 //
     /* 1434063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1434066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1434074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1434077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1434083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434102 */     // MIs[0] round
     /* 1434102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434105 */     // MIs[0] policy
     /* 1434105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434115 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1434118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434139 */     // GIR_Coverage, 18514,
     /* 1434139 */     GIR_EraseRootFromParent_Done,
     /* 1434140 */   // Label 20101: @1434140
     /* 1434140 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1434222), // Rule ID 18515 //
     /* 1434145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1434148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1434156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1434159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1434165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434184 */     // MIs[0] round
     /* 1434184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434187 */     // MIs[0] policy
     /* 1434187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434197 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1434200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434221 */     // GIR_Coverage, 18515,
     /* 1434221 */     GIR_EraseRootFromParent_Done,
     /* 1434222 */   // Label 20102: @1434222
     /* 1434222 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1434304), // Rule ID 18518 //
     /* 1434227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1434230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1434238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1434241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1434244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1434247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1434262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434266 */     // MIs[0] round
     /* 1434266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434269 */     // MIs[0] policy
     /* 1434269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434279 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1434282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434303 */     // GIR_Coverage, 18518,
     /* 1434303 */     GIR_EraseRootFromParent_Done,
     /* 1434304 */   // Label 20103: @1434304
     /* 1434304 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1434386), // Rule ID 18519 //
     /* 1434309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1434312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1434320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1434323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1434326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1434329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1434344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434348 */     // MIs[0] round
     /* 1434348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434351 */     // MIs[0] policy
     /* 1434351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434361 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1434364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434385 */     // GIR_Coverage, 18519,
     /* 1434385 */     GIR_EraseRootFromParent_Done,
     /* 1434386 */   // Label 20104: @1434386
     /* 1434386 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1434468), // Rule ID 18522 //
     /* 1434391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1434394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1434408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1434411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1434426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434430 */     // MIs[0] round
     /* 1434430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434433 */     // MIs[0] policy
     /* 1434433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434443 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1434446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434467 */     // GIR_Coverage, 18522,
     /* 1434467 */     GIR_EraseRootFromParent_Done,
     /* 1434468 */   // Label 20105: @1434468
     /* 1434468 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1434550), // Rule ID 18523 //
     /* 1434473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1434476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1434490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1434493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1434508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434512 */     // MIs[0] round
     /* 1434512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434515 */     // MIs[0] policy
     /* 1434515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434525 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1434528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434549 */     // GIR_Coverage, 18523,
     /* 1434549 */     GIR_EraseRootFromParent_Done,
     /* 1434550 */   // Label 20106: @1434550
     /* 1434550 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1434632), // Rule ID 18526 //
     /* 1434555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1434558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1434575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434594 */     // MIs[0] round
     /* 1434594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434597 */     // MIs[0] policy
     /* 1434597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1434610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434631 */     // GIR_Coverage, 18526,
     /* 1434631 */     GIR_EraseRootFromParent_Done,
     /* 1434632 */   // Label 20107: @1434632
     /* 1434632 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1434714), // Rule ID 18527 //
     /* 1434637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1434640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1434657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434676 */     // MIs[0] round
     /* 1434676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434679 */     // MIs[0] policy
     /* 1434679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434689 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1434692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434713 */     // GIR_Coverage, 18527,
     /* 1434713 */     GIR_EraseRootFromParent_Done,
     /* 1434714 */   // Label 20108: @1434714
     /* 1434714 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1434796), // Rule ID 18530 //
     /* 1434719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1434722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1434739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434758 */     // MIs[0] round
     /* 1434758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434761 */     // MIs[0] policy
     /* 1434761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434771 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1434774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434795 */     // GIR_Coverage, 18530,
     /* 1434795 */     GIR_EraseRootFromParent_Done,
     /* 1434796 */   // Label 20109: @1434796
     /* 1434796 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1434878), // Rule ID 18531 //
     /* 1434801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1434804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1434821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434840 */     // MIs[0] round
     /* 1434840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434843 */     // MIs[0] policy
     /* 1434843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434853 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1434856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434877 */     // GIR_Coverage, 18531,
     /* 1434877 */     GIR_EraseRootFromParent_Done,
     /* 1434878 */   // Label 20110: @1434878
     /* 1434878 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1434960), // Rule ID 18534 //
     /* 1434883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1434886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1434903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1434918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434922 */     // MIs[0] round
     /* 1434922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1434925 */     // MIs[0] policy
     /* 1434925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434935 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1434938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1434942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1434946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1434948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434959 */     // GIR_Coverage, 18534,
     /* 1434959 */     GIR_EraseRootFromParent_Done,
     /* 1434960 */   // Label 20111: @1434960
     /* 1434960 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1435042), // Rule ID 18535 //
     /* 1434965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1434968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1434973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1434982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1434985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1435000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435004 */     // MIs[0] round
     /* 1435004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435007 */     // MIs[0] policy
     /* 1435007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435017 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1435020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435041 */     // GIR_Coverage, 18535,
     /* 1435041 */     GIR_EraseRootFromParent_Done,
     /* 1435042 */   // Label 20112: @1435042
     /* 1435042 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1435124), // Rule ID 18538 //
     /* 1435047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1435050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1435067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435086 */     // MIs[0] round
     /* 1435086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435089 */     // MIs[0] policy
     /* 1435089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435099 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1435102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435123 */     // GIR_Coverage, 18538,
     /* 1435123 */     GIR_EraseRootFromParent_Done,
     /* 1435124 */   // Label 20113: @1435124
     /* 1435124 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1435206), // Rule ID 18539 //
     /* 1435129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1435132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1435149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435168 */     // MIs[0] round
     /* 1435168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435171 */     // MIs[0] policy
     /* 1435171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435181 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1435184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435205 */     // GIR_Coverage, 18539,
     /* 1435205 */     GIR_EraseRootFromParent_Done,
     /* 1435206 */   // Label 20114: @1435206
     /* 1435206 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1435288), // Rule ID 18542 //
     /* 1435211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1435214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1435231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435250 */     // MIs[0] round
     /* 1435250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435253 */     // MIs[0] policy
     /* 1435253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435263 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1435266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435287 */     // GIR_Coverage, 18542,
     /* 1435287 */     GIR_EraseRootFromParent_Done,
     /* 1435288 */   // Label 20115: @1435288
     /* 1435288 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1435370), // Rule ID 18543 //
     /* 1435293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1435296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1435313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435332 */     // MIs[0] round
     /* 1435332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435335 */     // MIs[0] policy
     /* 1435335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435345 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1435348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435369 */     // GIR_Coverage, 18543,
     /* 1435369 */     GIR_EraseRootFromParent_Done,
     /* 1435370 */   // Label 20116: @1435370
     /* 1435370 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1435452), // Rule ID 18546 //
     /* 1435375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1435378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1435395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435414 */     // MIs[0] round
     /* 1435414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435417 */     // MIs[0] policy
     /* 1435417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1435430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435451 */     // GIR_Coverage, 18546,
     /* 1435451 */     GIR_EraseRootFromParent_Done,
     /* 1435452 */   // Label 20117: @1435452
     /* 1435452 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1435534), // Rule ID 18547 //
     /* 1435457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1435460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1435474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1435477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1435492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435496 */     // MIs[0] round
     /* 1435496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435499 */     // MIs[0] policy
     /* 1435499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1435512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435533 */     // GIR_Coverage, 18547,
     /* 1435533 */     GIR_EraseRootFromParent_Done,
     /* 1435534 */   // Label 20118: @1435534
     /* 1435534 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1435616), // Rule ID 18550 //
     /* 1435539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1435542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1435559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435578 */     // MIs[0] round
     /* 1435578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435581 */     // MIs[0] policy
     /* 1435581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435591 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1435594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435615 */     // GIR_Coverage, 18550,
     /* 1435615 */     GIR_EraseRootFromParent_Done,
     /* 1435616 */   // Label 20119: @1435616
     /* 1435616 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1435698), // Rule ID 18551 //
     /* 1435621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1435624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1435641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435660 */     // MIs[0] round
     /* 1435660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435663 */     // MIs[0] policy
     /* 1435663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435673 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1435676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435697 */     // GIR_Coverage, 18551,
     /* 1435697 */     GIR_EraseRootFromParent_Done,
     /* 1435698 */   // Label 20120: @1435698
     /* 1435698 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1435780), // Rule ID 18554 //
     /* 1435703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1435706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1435723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435742 */     // MIs[0] round
     /* 1435742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435745 */     // MIs[0] policy
     /* 1435745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435755 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1435758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435779 */     // GIR_Coverage, 18554,
     /* 1435779 */     GIR_EraseRootFromParent_Done,
     /* 1435780 */   // Label 20121: @1435780
     /* 1435780 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1435862), // Rule ID 18555 //
     /* 1435785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1435788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1435805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435824 */     // MIs[0] round
     /* 1435824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435827 */     // MIs[0] policy
     /* 1435827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435837 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1435840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435861 */     // GIR_Coverage, 18555,
     /* 1435861 */     GIR_EraseRootFromParent_Done,
     /* 1435862 */   // Label 20122: @1435862
     /* 1435862 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1435944), // Rule ID 18558 //
     /* 1435867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1435870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1435878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1435881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1435887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435906 */     // MIs[0] round
     /* 1435906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435909 */     // MIs[0] policy
     /* 1435909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435919 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1435922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1435926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1435930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1435932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435943 */     // GIR_Coverage, 18558,
     /* 1435943 */     GIR_EraseRootFromParent_Done,
     /* 1435944 */   // Label 20123: @1435944
     /* 1435944 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1436026), // Rule ID 18559 //
     /* 1435949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1435952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1435957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1435960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1435963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1435966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1435969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1435984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435988 */     // MIs[0] round
     /* 1435988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1435991 */     // MIs[0] policy
     /* 1435991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436001 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1436004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436025 */     // GIR_Coverage, 18559,
     /* 1436025 */     GIR_EraseRootFromParent_Done,
     /* 1436026 */   // Label 20124: @1436026
     /* 1436026 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1436108), // Rule ID 18562 //
     /* 1436031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1436034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1436042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1436045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1436051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436070 */     // MIs[0] round
     /* 1436070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436073 */     // MIs[0] policy
     /* 1436073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1436086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436107 */     // GIR_Coverage, 18562,
     /* 1436107 */     GIR_EraseRootFromParent_Done,
     /* 1436108 */   // Label 20125: @1436108
     /* 1436108 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1436190), // Rule ID 18563 //
     /* 1436113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1436116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1436124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1436127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1436133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436152 */     // MIs[0] round
     /* 1436152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436155 */     // MIs[0] policy
     /* 1436155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436165 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1436168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436189 */     // GIR_Coverage, 18563,
     /* 1436189 */     GIR_EraseRootFromParent_Done,
     /* 1436190 */   // Label 20126: @1436190
     /* 1436190 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1436272), // Rule ID 18566 //
     /* 1436195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1436198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1436206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1436209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1436212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1436215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436234 */     // MIs[0] round
     /* 1436234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436237 */     // MIs[0] policy
     /* 1436237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436247 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1436250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436271 */     // GIR_Coverage, 18566,
     /* 1436271 */     GIR_EraseRootFromParent_Done,
     /* 1436272 */   // Label 20127: @1436272
     /* 1436272 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1436354), // Rule ID 18567 //
     /* 1436277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1436280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1436288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1436291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1436294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1436297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436316 */     // MIs[0] round
     /* 1436316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436319 */     // MIs[0] policy
     /* 1436319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436329 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1436332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436353 */     // GIR_Coverage, 18567,
     /* 1436353 */     GIR_EraseRootFromParent_Done,
     /* 1436354 */   // Label 20128: @1436354
     /* 1436354 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1436436), // Rule ID 18570 //
     /* 1436359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1436362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1436376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1436379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436398 */     // MIs[0] round
     /* 1436398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436401 */     // MIs[0] policy
     /* 1436401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436411 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1436414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436435 */     // GIR_Coverage, 18570,
     /* 1436435 */     GIR_EraseRootFromParent_Done,
     /* 1436436 */   // Label 20129: @1436436
     /* 1436436 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1436518), // Rule ID 18571 //
     /* 1436441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1436444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1436452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1436455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1436458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1436461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436480 */     // MIs[0] round
     /* 1436480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436483 */     // MIs[0] policy
     /* 1436483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436493 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1436496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436517 */     // GIR_Coverage, 18571,
     /* 1436517 */     GIR_EraseRootFromParent_Done,
     /* 1436518 */   // Label 20130: @1436518
     /* 1436518 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1436600), // Rule ID 18574 //
     /* 1436523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1436526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1436534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1436537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1436543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436562 */     // MIs[0] round
     /* 1436562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436565 */     // MIs[0] policy
     /* 1436565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436575 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1436578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436599 */     // GIR_Coverage, 18574,
     /* 1436599 */     GIR_EraseRootFromParent_Done,
     /* 1436600 */   // Label 20131: @1436600
     /* 1436600 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1436682), // Rule ID 18575 //
     /* 1436605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1436608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1436616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1436619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1436622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1436625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436644 */     // MIs[0] round
     /* 1436644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436647 */     // MIs[0] policy
     /* 1436647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436657 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1436660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436681 */     // GIR_Coverage, 18575,
     /* 1436681 */     GIR_EraseRootFromParent_Done,
     /* 1436682 */   // Label 20132: @1436682
     /* 1436682 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1436764), // Rule ID 18578 //
     /* 1436687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1436690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1436698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1436701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1436707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436726 */     // MIs[0] round
     /* 1436726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436729 */     // MIs[0] policy
     /* 1436729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436739 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1436742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436763 */     // GIR_Coverage, 18578,
     /* 1436763 */     GIR_EraseRootFromParent_Done,
     /* 1436764 */   // Label 20133: @1436764
     /* 1436764 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1436846), // Rule ID 18579 //
     /* 1436769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1436772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1436780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1436783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1436786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1436789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436808 */     // MIs[0] round
     /* 1436808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436811 */     // MIs[0] policy
     /* 1436811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436821 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1436824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436845 */     // GIR_Coverage, 18579,
     /* 1436845 */     GIR_EraseRootFromParent_Done,
     /* 1436846 */   // Label 20134: @1436846
     /* 1436846 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1436928), // Rule ID 18582 //
     /* 1436851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1436854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1436862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1436865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1436868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1436871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436890 */     // MIs[0] round
     /* 1436890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436893 */     // MIs[0] policy
     /* 1436893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436903 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1436906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436927 */     // GIR_Coverage, 18582,
     /* 1436927 */     GIR_EraseRootFromParent_Done,
     /* 1436928 */   // Label 20135: @1436928
     /* 1436928 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1437010), // Rule ID 18583 //
     /* 1436933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1436936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1436941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1436944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1436947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1436950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1436953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436972 */     // MIs[0] round
     /* 1436972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1436975 */     // MIs[0] policy
     /* 1436975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436985 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1436988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1436992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1436996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1436998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437009 */     // GIR_Coverage, 18583,
     /* 1437009 */     GIR_EraseRootFromParent_Done,
     /* 1437010 */   // Label 20136: @1437010
     /* 1437010 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1437092), // Rule ID 18586 //
     /* 1437015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1437018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1437035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437054 */     // MIs[0] round
     /* 1437054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437057 */     // MIs[0] policy
     /* 1437057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437067 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1437070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437091 */     // GIR_Coverage, 18586,
     /* 1437091 */     GIR_EraseRootFromParent_Done,
     /* 1437092 */   // Label 20137: @1437092
     /* 1437092 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1437174), // Rule ID 18587 //
     /* 1437097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1437100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1437108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1437111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1437117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437136 */     // MIs[0] round
     /* 1437136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437139 */     // MIs[0] policy
     /* 1437139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437149 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1437152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437173 */     // GIR_Coverage, 18587,
     /* 1437173 */     GIR_EraseRootFromParent_Done,
     /* 1437174 */   // Label 20138: @1437174
     /* 1437174 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1437256), // Rule ID 18590 //
     /* 1437179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1437182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1437199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437218 */     // MIs[0] round
     /* 1437218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437221 */     // MIs[0] policy
     /* 1437221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437231 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1437234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437255 */     // GIR_Coverage, 18590,
     /* 1437255 */     GIR_EraseRootFromParent_Done,
     /* 1437256 */   // Label 20139: @1437256
     /* 1437256 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1437338), // Rule ID 18591 //
     /* 1437261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1437264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1437272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1437275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1437278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1437281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437300 */     // MIs[0] round
     /* 1437300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437303 */     // MIs[0] policy
     /* 1437303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437313 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1437316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437337 */     // GIR_Coverage, 18591,
     /* 1437337 */     GIR_EraseRootFromParent_Done,
     /* 1437338 */   // Label 20140: @1437338
     /* 1437338 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1437420), // Rule ID 18594 //
     /* 1437343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1437346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1437363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437382 */     // MIs[0] round
     /* 1437382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437385 */     // MIs[0] policy
     /* 1437385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437395 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1437398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437419 */     // GIR_Coverage, 18594,
     /* 1437419 */     GIR_EraseRootFromParent_Done,
     /* 1437420 */   // Label 20141: @1437420
     /* 1437420 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1437502), // Rule ID 18595 //
     /* 1437425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1437428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1437436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1437439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1437442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1437445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1437456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1437464 */     // MIs[0] round
     /* 1437464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437467 */     // MIs[0] policy
     /* 1437467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437477 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1437480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437501 */     // GIR_Coverage, 18595,
     /* 1437501 */     GIR_EraseRootFromParent_Done,
     /* 1437502 */   // Label 20142: @1437502
     /* 1437502 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1437584), // Rule ID 18598 //
     /* 1437507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1437510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1437527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437546 */     // MIs[0] round
     /* 1437546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437549 */     // MIs[0] policy
     /* 1437549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437559 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1437562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437583 */     // GIR_Coverage, 18598,
     /* 1437583 */     GIR_EraseRootFromParent_Done,
     /* 1437584 */   // Label 20143: @1437584
     /* 1437584 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1437666), // Rule ID 18599 //
     /* 1437589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1437592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1437609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437628 */     // MIs[0] round
     /* 1437628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437631 */     // MIs[0] policy
     /* 1437631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437641 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1437644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437665 */     // GIR_Coverage, 18599,
     /* 1437665 */     GIR_EraseRootFromParent_Done,
     /* 1437666 */   // Label 20144: @1437666
     /* 1437666 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1437748), // Rule ID 18602 //
     /* 1437671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1437674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1437691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437710 */     // MIs[0] round
     /* 1437710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437713 */     // MIs[0] policy
     /* 1437713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437723 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1437726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437747 */     // GIR_Coverage, 18602,
     /* 1437747 */     GIR_EraseRootFromParent_Done,
     /* 1437748 */   // Label 20145: @1437748
     /* 1437748 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1437830), // Rule ID 18603 //
     /* 1437753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1437756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1437773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437792 */     // MIs[0] round
     /* 1437792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437795 */     // MIs[0] policy
     /* 1437795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437805 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1437808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437829 */     // GIR_Coverage, 18603,
     /* 1437829 */     GIR_EraseRootFromParent_Done,
     /* 1437830 */   // Label 20146: @1437830
     /* 1437830 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1437912), // Rule ID 18606 //
     /* 1437835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1437838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1437855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437874 */     // MIs[0] round
     /* 1437874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437877 */     // MIs[0] policy
     /* 1437877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1437890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437911 */     // GIR_Coverage, 18606,
     /* 1437911 */     GIR_EraseRootFromParent_Done,
     /* 1437912 */   // Label 20147: @1437912
     /* 1437912 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1437994), // Rule ID 18607 //
     /* 1437917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1437920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1437925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1437928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1437931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1437934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1437937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1437948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1437952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437956 */     // MIs[0] round
     /* 1437956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1437959 */     // MIs[0] policy
     /* 1437959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437969 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1437972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1437976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1437980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1437982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437993 */     // GIR_Coverage, 18607,
     /* 1437993 */     GIR_EraseRootFromParent_Done,
     /* 1437994 */   // Label 20148: @1437994
     /* 1437994 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1438076), // Rule ID 18610 //
     /* 1437999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1438002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1438010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1438013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1438016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1438019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1438034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438038 */     // MIs[0] round
     /* 1438038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438041 */     // MIs[0] policy
     /* 1438041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438051 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1438054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438075 */     // GIR_Coverage, 18610,
     /* 1438075 */     GIR_EraseRootFromParent_Done,
     /* 1438076 */   // Label 20149: @1438076
     /* 1438076 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1438158), // Rule ID 18611 //
     /* 1438081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1438084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1438092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1438095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1438098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1438101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1438116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438120 */     // MIs[0] round
     /* 1438120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438123 */     // MIs[0] policy
     /* 1438123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438133 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1438136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438157 */     // GIR_Coverage, 18611,
     /* 1438157 */     GIR_EraseRootFromParent_Done,
     /* 1438158 */   // Label 20150: @1438158
     /* 1438158 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1438240), // Rule ID 18614 //
     /* 1438163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1438166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1438174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1438177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1438180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1438183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1438198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438202 */     // MIs[0] round
     /* 1438202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438205 */     // MIs[0] policy
     /* 1438205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438215 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1438218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438239 */     // GIR_Coverage, 18614,
     /* 1438239 */     GIR_EraseRootFromParent_Done,
     /* 1438240 */   // Label 20151: @1438240
     /* 1438240 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1438322), // Rule ID 18615 //
     /* 1438245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1438248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1438256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1438259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1438262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1438265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1438280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438284 */     // MIs[0] round
     /* 1438284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438287 */     // MIs[0] policy
     /* 1438287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1438300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438321 */     // GIR_Coverage, 18615,
     /* 1438321 */     GIR_EraseRootFromParent_Done,
     /* 1438322 */   // Label 20152: @1438322
     /* 1438322 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1438404), // Rule ID 18618 //
     /* 1438327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1438330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1438347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438366 */     // MIs[0] round
     /* 1438366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438369 */     // MIs[0] policy
     /* 1438369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438379 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1438382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438403 */     // GIR_Coverage, 18618,
     /* 1438403 */     GIR_EraseRootFromParent_Done,
     /* 1438404 */   // Label 20153: @1438404
     /* 1438404 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1438486), // Rule ID 18619 //
     /* 1438409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1438412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1438429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438448 */     // MIs[0] round
     /* 1438448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438451 */     // MIs[0] policy
     /* 1438451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438461 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1438464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438485 */     // GIR_Coverage, 18619,
     /* 1438485 */     GIR_EraseRootFromParent_Done,
     /* 1438486 */   // Label 20154: @1438486
     /* 1438486 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1438568), // Rule ID 18622 //
     /* 1438491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1438494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1438502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1438505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1438511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438530 */     // MIs[0] round
     /* 1438530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438533 */     // MIs[0] policy
     /* 1438533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438543 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1438546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438567 */     // GIR_Coverage, 18622,
     /* 1438567 */     GIR_EraseRootFromParent_Done,
     /* 1438568 */   // Label 20155: @1438568
     /* 1438568 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1438650), // Rule ID 18623 //
     /* 1438573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1438576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1438584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1438587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1438593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438612 */     // MIs[0] round
     /* 1438612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438615 */     // MIs[0] policy
     /* 1438615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1438628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438649 */     // GIR_Coverage, 18623,
     /* 1438649 */     GIR_EraseRootFromParent_Done,
     /* 1438650 */   // Label 20156: @1438650
     /* 1438650 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1438732), // Rule ID 18626 //
     /* 1438655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1438658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1438666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1438669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1438675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438694 */     // MIs[0] round
     /* 1438694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438697 */     // MIs[0] policy
     /* 1438697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438707 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1438710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438731 */     // GIR_Coverage, 18626,
     /* 1438731 */     GIR_EraseRootFromParent_Done,
     /* 1438732 */   // Label 20157: @1438732
     /* 1438732 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1438814), // Rule ID 18627 //
     /* 1438737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1438740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1438748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1438751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1438757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438776 */     // MIs[0] round
     /* 1438776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438779 */     // MIs[0] policy
     /* 1438779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438789 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1438792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438813 */     // GIR_Coverage, 18627,
     /* 1438813 */     GIR_EraseRootFromParent_Done,
     /* 1438814 */   // Label 20158: @1438814
     /* 1438814 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1438896), // Rule ID 18630 //
     /* 1438819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1438822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1438839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438858 */     // MIs[0] round
     /* 1438858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438861 */     // MIs[0] policy
     /* 1438861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438871 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1438874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438895 */     // GIR_Coverage, 18630,
     /* 1438895 */     GIR_EraseRootFromParent_Done,
     /* 1438896 */   // Label 20159: @1438896
     /* 1438896 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1438978), // Rule ID 18631 //
     /* 1438901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1438904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1438909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1438912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1438915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1438918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1438921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1438936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438940 */     // MIs[0] round
     /* 1438940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1438943 */     // MIs[0] policy
     /* 1438943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1438956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1438960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1438964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1438966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438977 */     // GIR_Coverage, 18631,
     /* 1438977 */     GIR_EraseRootFromParent_Done,
     /* 1438978 */   // Label 20160: @1438978
     /* 1438978 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1439060), // Rule ID 18634 //
     /* 1438983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1438986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1438991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1438994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1438997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1439000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1439003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439022 */     // MIs[0] round
     /* 1439022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439025 */     // MIs[0] policy
     /* 1439025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439035 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1439038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439059 */     // GIR_Coverage, 18634,
     /* 1439059 */     GIR_EraseRootFromParent_Done,
     /* 1439060 */   // Label 20161: @1439060
     /* 1439060 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1439142), // Rule ID 18635 //
     /* 1439065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1439068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1439076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1439079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1439082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1439085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439104 */     // MIs[0] round
     /* 1439104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439107 */     // MIs[0] policy
     /* 1439107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1439120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439141 */     // GIR_Coverage, 18635,
     /* 1439141 */     GIR_EraseRootFromParent_Done,
     /* 1439142 */   // Label 20162: @1439142
     /* 1439142 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1439224), // Rule ID 18638 //
     /* 1439147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1439150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1439167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439186 */     // MIs[0] round
     /* 1439186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439189 */     // MIs[0] policy
     /* 1439189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439199 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1439202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439223 */     // GIR_Coverage, 18638,
     /* 1439223 */     GIR_EraseRootFromParent_Done,
     /* 1439224 */   // Label 20163: @1439224
     /* 1439224 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1439306), // Rule ID 18639 //
     /* 1439229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1439232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1439240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1439243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1439246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1439249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439268 */     // MIs[0] round
     /* 1439268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439271 */     // MIs[0] policy
     /* 1439271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439281 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1439284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439305 */     // GIR_Coverage, 18639,
     /* 1439305 */     GIR_EraseRootFromParent_Done,
     /* 1439306 */   // Label 20164: @1439306
     /* 1439306 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1439388), // Rule ID 18642 //
     /* 1439311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1439314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1439331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439350 */     // MIs[0] round
     /* 1439350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439353 */     // MIs[0] policy
     /* 1439353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439363 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1439366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439387 */     // GIR_Coverage, 18642,
     /* 1439387 */     GIR_EraseRootFromParent_Done,
     /* 1439388 */   // Label 20165: @1439388
     /* 1439388 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1439470), // Rule ID 18643 //
     /* 1439393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1439396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1439410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1439413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439432 */     // MIs[0] round
     /* 1439432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439435 */     // MIs[0] policy
     /* 1439435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439445 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1439448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439469 */     // GIR_Coverage, 18643,
     /* 1439469 */     GIR_EraseRootFromParent_Done,
     /* 1439470 */   // Label 20166: @1439470
     /* 1439470 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1439552), // Rule ID 18646 //
     /* 1439475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1439478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1439495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439514 */     // MIs[0] round
     /* 1439514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439517 */     // MIs[0] policy
     /* 1439517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1439530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439551 */     // GIR_Coverage, 18646,
     /* 1439551 */     GIR_EraseRootFromParent_Done,
     /* 1439552 */   // Label 20167: @1439552
     /* 1439552 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1439634), // Rule ID 18647 //
     /* 1439557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1439560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1439577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439596 */     // MIs[0] round
     /* 1439596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439599 */     // MIs[0] policy
     /* 1439599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1439612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439633 */     // GIR_Coverage, 18647,
     /* 1439633 */     GIR_EraseRootFromParent_Done,
     /* 1439634 */   // Label 20168: @1439634
     /* 1439634 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1439716), // Rule ID 18650 //
     /* 1439639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1439642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1439659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439678 */     // MIs[0] round
     /* 1439678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439681 */     // MIs[0] policy
     /* 1439681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439691 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1439694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439715 */     // GIR_Coverage, 18650,
     /* 1439715 */     GIR_EraseRootFromParent_Done,
     /* 1439716 */   // Label 20169: @1439716
     /* 1439716 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1439798), // Rule ID 18651 //
     /* 1439721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1439724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1439741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439760 */     // MIs[0] round
     /* 1439760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439763 */     // MIs[0] policy
     /* 1439763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439773 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1439776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439797 */     // GIR_Coverage, 18651,
     /* 1439797 */     GIR_EraseRootFromParent_Done,
     /* 1439798 */   // Label 20170: @1439798
     /* 1439798 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1439880), // Rule ID 18654 //
     /* 1439803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1439806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1439823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439842 */     // MIs[0] round
     /* 1439842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439845 */     // MIs[0] policy
     /* 1439845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439855 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1439858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439879 */     // GIR_Coverage, 18654,
     /* 1439879 */     GIR_EraseRootFromParent_Done,
     /* 1439880 */   // Label 20171: @1439880
     /* 1439880 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1439962), // Rule ID 18655 //
     /* 1439885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1439888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1439896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1439899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1439902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1439905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1439924 */     // MIs[0] round
     /* 1439924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1439927 */     // MIs[0] policy
     /* 1439927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439937 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1439940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1439944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1439948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1439950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439961 */     // GIR_Coverage, 18655,
     /* 1439961 */     GIR_EraseRootFromParent_Done,
     /* 1439962 */   // Label 20172: @1439962
     /* 1439962 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1440044), // Rule ID 18658 //
     /* 1439967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1439970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1439975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1439978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1439981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1439984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1439987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440006 */     // MIs[0] round
     /* 1440006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440009 */     // MIs[0] policy
     /* 1440009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440019 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1440022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440043 */     // GIR_Coverage, 18658,
     /* 1440043 */     GIR_EraseRootFromParent_Done,
     /* 1440044 */   // Label 20173: @1440044
     /* 1440044 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1440126), // Rule ID 18659 //
     /* 1440049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1440052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1440066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1440069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440088 */     // MIs[0] round
     /* 1440088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440091 */     // MIs[0] policy
     /* 1440091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440101 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1440104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440125 */     // GIR_Coverage, 18659,
     /* 1440125 */     GIR_EraseRootFromParent_Done,
     /* 1440126 */   // Label 20174: @1440126
     /* 1440126 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1440208), // Rule ID 18662 //
     /* 1440131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1440134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1440148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1440151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440170 */     // MIs[0] round
     /* 1440170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440173 */     // MIs[0] policy
     /* 1440173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440183 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1440186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440207 */     // GIR_Coverage, 18662,
     /* 1440207 */     GIR_EraseRootFromParent_Done,
     /* 1440208 */   // Label 20175: @1440208
     /* 1440208 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1440290), // Rule ID 18663 //
     /* 1440213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1440216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1440230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1440233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440252 */     // MIs[0] round
     /* 1440252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440255 */     // MIs[0] policy
     /* 1440255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440265 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1440268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440289 */     // GIR_Coverage, 18663,
     /* 1440289 */     GIR_EraseRootFromParent_Done,
     /* 1440290 */   // Label 20176: @1440290
     /* 1440290 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1440372), // Rule ID 18666 //
     /* 1440295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1440298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1440315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440334 */     // MIs[0] round
     /* 1440334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440337 */     // MIs[0] policy
     /* 1440337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440347 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1440350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440371 */     // GIR_Coverage, 18666,
     /* 1440371 */     GIR_EraseRootFromParent_Done,
     /* 1440372 */   // Label 20177: @1440372
     /* 1440372 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1440454), // Rule ID 18667 //
     /* 1440377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1440380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1440397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440416 */     // MIs[0] round
     /* 1440416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440419 */     // MIs[0] policy
     /* 1440419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440429 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1440432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440453 */     // GIR_Coverage, 18667,
     /* 1440453 */     GIR_EraseRootFromParent_Done,
     /* 1440454 */   // Label 20178: @1440454
     /* 1440454 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1440536), // Rule ID 18670 //
     /* 1440459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1440462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1440470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1440473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1440479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440498 */     // MIs[0] round
     /* 1440498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440501 */     // MIs[0] policy
     /* 1440501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440511 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1440514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440535 */     // GIR_Coverage, 18670,
     /* 1440535 */     GIR_EraseRootFromParent_Done,
     /* 1440536 */   // Label 20179: @1440536
     /* 1440536 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1440618), // Rule ID 18671 //
     /* 1440541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1440544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1440552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1440555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1440561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440580 */     // MIs[0] round
     /* 1440580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440583 */     // MIs[0] policy
     /* 1440583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440593 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1440596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440617 */     // GIR_Coverage, 18671,
     /* 1440617 */     GIR_EraseRootFromParent_Done,
     /* 1440618 */   // Label 20180: @1440618
     /* 1440618 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1440700), // Rule ID 18674 //
     /* 1440623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1440626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1440634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1440637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1440643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440662 */     // MIs[0] round
     /* 1440662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440665 */     // MIs[0] policy
     /* 1440665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440675 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1440678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440699 */     // GIR_Coverage, 18674,
     /* 1440699 */     GIR_EraseRootFromParent_Done,
     /* 1440700 */   // Label 20181: @1440700
     /* 1440700 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1440782), // Rule ID 18675 //
     /* 1440705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1440708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1440716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1440719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1440725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440744 */     // MIs[0] round
     /* 1440744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440747 */     // MIs[0] policy
     /* 1440747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440757 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10959:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1440760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440781 */     // GIR_Coverage, 18675,
     /* 1440781 */     GIR_EraseRootFromParent_Done,
     /* 1440782 */   // Label 20182: @1440782
     /* 1440782 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1440864), // Rule ID 18678 //
     /* 1440787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1440790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1440798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1440801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1440807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440826 */     // MIs[0] round
     /* 1440826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440829 */     // MIs[0] policy
     /* 1440829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440839 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1440842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440863 */     // GIR_Coverage, 18678,
     /* 1440863 */     GIR_EraseRootFromParent_Done,
     /* 1440864 */   // Label 20183: @1440864
     /* 1440864 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1440946), // Rule ID 18679 //
     /* 1440869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1440872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1440880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1440883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1440889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440908 */     // MIs[0] round
     /* 1440908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440911 */     // MIs[0] policy
     /* 1440911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440921 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1440924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1440928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1440932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1440934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440945 */     // GIR_Coverage, 18679,
     /* 1440945 */     GIR_EraseRootFromParent_Done,
     /* 1440946 */   // Label 20184: @1440946
     /* 1440946 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1441028), // Rule ID 18682 //
     /* 1440951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1440954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1440959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1440962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1440965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1440968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1440971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1440986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440990 */     // MIs[0] round
     /* 1440990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1440993 */     // MIs[0] policy
     /* 1440993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441003 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1441006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441027 */     // GIR_Coverage, 18682,
     /* 1441027 */     GIR_EraseRootFromParent_Done,
     /* 1441028 */   // Label 20185: @1441028
     /* 1441028 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1441110), // Rule ID 18683 //
     /* 1441033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1441036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1441044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1441047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1441050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1441053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1441068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441072 */     // MIs[0] round
     /* 1441072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441075 */     // MIs[0] policy
     /* 1441075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441085 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1441088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441109 */     // GIR_Coverage, 18683,
     /* 1441109 */     GIR_EraseRootFromParent_Done,
     /* 1441110 */   // Label 20186: @1441110
     /* 1441110 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1441192), // Rule ID 18686 //
     /* 1441115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1441118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1441132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1441135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1441150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441154 */     // MIs[0] round
     /* 1441154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441157 */     // MIs[0] policy
     /* 1441157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441167 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1441170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441191 */     // GIR_Coverage, 18686,
     /* 1441191 */     GIR_EraseRootFromParent_Done,
     /* 1441192 */   // Label 20187: @1441192
     /* 1441192 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1441274), // Rule ID 18687 //
     /* 1441197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1441200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1441214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1441217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1441232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441236 */     // MIs[0] round
     /* 1441236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441239 */     // MIs[0] policy
     /* 1441239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441249 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1441252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441273 */     // GIR_Coverage, 18687,
     /* 1441273 */     GIR_EraseRootFromParent_Done,
     /* 1441274 */   // Label 20188: @1441274
     /* 1441274 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1441356), // Rule ID 18690 //
     /* 1441279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1441282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1441290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1441293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1441299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441318 */     // MIs[0] round
     /* 1441318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441321 */     // MIs[0] policy
     /* 1441321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441331 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1441334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441355 */     // GIR_Coverage, 18690,
     /* 1441355 */     GIR_EraseRootFromParent_Done,
     /* 1441356 */   // Label 20189: @1441356
     /* 1441356 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1441438), // Rule ID 18691 //
     /* 1441361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1441364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1441372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1441375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1441381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441400 */     // MIs[0] round
     /* 1441400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441403 */     // MIs[0] policy
     /* 1441403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441413 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10959:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1441416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441437 */     // GIR_Coverage, 18691,
     /* 1441437 */     GIR_EraseRootFromParent_Done,
     /* 1441438 */   // Label 20190: @1441438
     /* 1441438 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1441520), // Rule ID 18694 //
     /* 1441443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1441446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1441463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441482 */     // MIs[0] round
     /* 1441482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441485 */     // MIs[0] policy
     /* 1441485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441495 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1441498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441519 */     // GIR_Coverage, 18694,
     /* 1441519 */     GIR_EraseRootFromParent_Done,
     /* 1441520 */   // Label 20191: @1441520
     /* 1441520 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1441602), // Rule ID 18695 //
     /* 1441525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1441528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1441545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441564 */     // MIs[0] round
     /* 1441564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441567 */     // MIs[0] policy
     /* 1441567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10959:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1441580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441601 */     // GIR_Coverage, 18695,
     /* 1441601 */     GIR_EraseRootFromParent_Done,
     /* 1441602 */   // Label 20192: @1441602
     /* 1441602 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1441684), // Rule ID 18698 //
     /* 1441607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1441610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1441627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441646 */     // MIs[0] round
     /* 1441646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441649 */     // MIs[0] policy
     /* 1441649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441659 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1441662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441683 */     // GIR_Coverage, 18698,
     /* 1441683 */     GIR_EraseRootFromParent_Done,
     /* 1441684 */   // Label 20193: @1441684
     /* 1441684 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1441766), // Rule ID 18699 //
     /* 1441689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1441692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1441709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441728 */     // MIs[0] round
     /* 1441728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441731 */     // MIs[0] policy
     /* 1441731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441741 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10959:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1441744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441765 */     // GIR_Coverage, 18699,
     /* 1441765 */     GIR_EraseRootFromParent_Done,
     /* 1441766 */   // Label 20194: @1441766
     /* 1441766 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1441848), // Rule ID 18702 //
     /* 1441771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1441774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1441782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1441785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1441791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441810 */     // MIs[0] round
     /* 1441810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441813 */     // MIs[0] policy
     /* 1441813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441823 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1441826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441847 */     // GIR_Coverage, 18702,
     /* 1441847 */     GIR_EraseRootFromParent_Done,
     /* 1441848 */   // Label 20195: @1441848
     /* 1441848 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1441930), // Rule ID 18703 //
     /* 1441853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1441856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1441861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1441864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1441867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1441870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1441873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1441888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441892 */     // MIs[0] round
     /* 1441892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441895 */     // MIs[0] policy
     /* 1441895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441905 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10959:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1441908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1441918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441929 */     // GIR_Coverage, 18703,
     /* 1441929 */     GIR_EraseRootFromParent_Done,
     /* 1441930 */   // Label 20196: @1441930
     /* 1441930 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1442012), // Rule ID 18706 //
     /* 1441935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1441938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1441943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1441955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441974 */     // MIs[0] round
     /* 1441974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1441977 */     // MIs[0] policy
     /* 1441977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441987 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1441990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1441998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442011 */     // GIR_Coverage, 18706,
     /* 1442011 */     GIR_EraseRootFromParent_Done,
     /* 1442012 */   // Label 20197: @1442012
     /* 1442012 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1442094), // Rule ID 18707 //
     /* 1442017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1442020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1442028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1442031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1442037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442056 */     // MIs[0] round
     /* 1442056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442059 */     // MIs[0] policy
     /* 1442059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442069 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1442072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442093 */     // GIR_Coverage, 18707,
     /* 1442093 */     GIR_EraseRootFromParent_Done,
     /* 1442094 */   // Label 20198: @1442094
     /* 1442094 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1442176), // Rule ID 18710 //
     /* 1442099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1442102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1442116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1442119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442138 */     // MIs[0] round
     /* 1442138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442141 */     // MIs[0] policy
     /* 1442141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1442154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442175 */     // GIR_Coverage, 18710,
     /* 1442175 */     GIR_EraseRootFromParent_Done,
     /* 1442176 */   // Label 20199: @1442176
     /* 1442176 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1442258), // Rule ID 18711 //
     /* 1442181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1442184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1442198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1442201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442220 */     // MIs[0] round
     /* 1442220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442223 */     // MIs[0] policy
     /* 1442223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442233 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1442236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442257 */     // GIR_Coverage, 18711,
     /* 1442257 */     GIR_EraseRootFromParent_Done,
     /* 1442258 */   // Label 20200: @1442258
     /* 1442258 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1442340), // Rule ID 18714 //
     /* 1442263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1442266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1442274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1442277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1442283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442302 */     // MIs[0] round
     /* 1442302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442305 */     // MIs[0] policy
     /* 1442305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442315 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1442318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442339 */     // GIR_Coverage, 18714,
     /* 1442339 */     GIR_EraseRootFromParent_Done,
     /* 1442340 */   // Label 20201: @1442340
     /* 1442340 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1442422), // Rule ID 18715 //
     /* 1442345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1442348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1442356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1442359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1442365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442384 */     // MIs[0] round
     /* 1442384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442387 */     // MIs[0] policy
     /* 1442387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442397 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1442400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442421 */     // GIR_Coverage, 18715,
     /* 1442421 */     GIR_EraseRootFromParent_Done,
     /* 1442422 */   // Label 20202: @1442422
     /* 1442422 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1442504), // Rule ID 18718 //
     /* 1442427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1442430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1442438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1442441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1442444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1442447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442466 */     // MIs[0] round
     /* 1442466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442469 */     // MIs[0] policy
     /* 1442469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442479 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1442482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442503 */     // GIR_Coverage, 18718,
     /* 1442503 */     GIR_EraseRootFromParent_Done,
     /* 1442504 */   // Label 20203: @1442504
     /* 1442504 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1442586), // Rule ID 18719 //
     /* 1442509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1442512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1442520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1442523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1442526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1442529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442548 */     // MIs[0] round
     /* 1442548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442551 */     // MIs[0] policy
     /* 1442551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442561 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1442564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442585 */     // GIR_Coverage, 18719,
     /* 1442585 */     GIR_EraseRootFromParent_Done,
     /* 1442586 */   // Label 20204: @1442586
     /* 1442586 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1442668), // Rule ID 18722 //
     /* 1442591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1442594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1442602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1442605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1442608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1442611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442630 */     // MIs[0] round
     /* 1442630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442633 */     // MIs[0] policy
     /* 1442633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442643 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1442646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442667 */     // GIR_Coverage, 18722,
     /* 1442667 */     GIR_EraseRootFromParent_Done,
     /* 1442668 */   // Label 20205: @1442668
     /* 1442668 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1442750), // Rule ID 18723 //
     /* 1442673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1442676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1442684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1442687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1442690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1442693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442712 */     // MIs[0] round
     /* 1442712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442715 */     // MIs[0] policy
     /* 1442715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442725 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1442728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442749 */     // GIR_Coverage, 18723,
     /* 1442749 */     GIR_EraseRootFromParent_Done,
     /* 1442750 */   // Label 20206: @1442750
     /* 1442750 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1442832), // Rule ID 18726 //
     /* 1442755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1442758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1442772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1442775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442794 */     // MIs[0] round
     /* 1442794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442797 */     // MIs[0] policy
     /* 1442797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1442810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442831 */     // GIR_Coverage, 18726,
     /* 1442831 */     GIR_EraseRootFromParent_Done,
     /* 1442832 */   // Label 20207: @1442832
     /* 1442832 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1442914), // Rule ID 18727 //
     /* 1442837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1442840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1442854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1442857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442876 */     // MIs[0] round
     /* 1442876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442879 */     // MIs[0] policy
     /* 1442879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1442892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442913 */     // GIR_Coverage, 18727,
     /* 1442913 */     GIR_EraseRootFromParent_Done,
     /* 1442914 */   // Label 20208: @1442914
     /* 1442914 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1442996), // Rule ID 18730 //
     /* 1442919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1442922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1442927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1442930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1442933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1442939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442958 */     // MIs[0] round
     /* 1442958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1442961 */     // MIs[0] policy
     /* 1442961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1442974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1442982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1442984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442995 */     // GIR_Coverage, 18730,
     /* 1442995 */     GIR_EraseRootFromParent_Done,
     /* 1442996 */   // Label 20209: @1442996
     /* 1442996 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1443078), // Rule ID 18731 //
     /* 1443001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1443004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1443012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1443015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1443021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443040 */     // MIs[0] round
     /* 1443040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443043 */     // MIs[0] policy
     /* 1443043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443053 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1443056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443077 */     // GIR_Coverage, 18731,
     /* 1443077 */     GIR_EraseRootFromParent_Done,
     /* 1443078 */   // Label 20210: @1443078
     /* 1443078 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1443160), // Rule ID 18734 //
     /* 1443083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1443086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1443094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1443097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1443103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443122 */     // MIs[0] round
     /* 1443122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443125 */     // MIs[0] policy
     /* 1443125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443135 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1443138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443159 */     // GIR_Coverage, 18734,
     /* 1443159 */     GIR_EraseRootFromParent_Done,
     /* 1443160 */   // Label 20211: @1443160
     /* 1443160 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1443242), // Rule ID 18735 //
     /* 1443165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1443168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1443176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1443179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1443185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443204 */     // MIs[0] round
     /* 1443204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443207 */     // MIs[0] policy
     /* 1443207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1443220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443241 */     // GIR_Coverage, 18735,
     /* 1443241 */     GIR_EraseRootFromParent_Done,
     /* 1443242 */   // Label 20212: @1443242
     /* 1443242 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1443324), // Rule ID 18738 //
     /* 1443247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1443250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1443258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1443261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1443267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443286 */     // MIs[0] round
     /* 1443286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443289 */     // MIs[0] policy
     /* 1443289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443299 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1443302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443323 */     // GIR_Coverage, 18738,
     /* 1443323 */     GIR_EraseRootFromParent_Done,
     /* 1443324 */   // Label 20213: @1443324
     /* 1443324 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1443406), // Rule ID 18739 //
     /* 1443329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1443332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1443340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1443343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1443349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443368 */     // MIs[0] round
     /* 1443368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443371 */     // MIs[0] policy
     /* 1443371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443381 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1443384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443405 */     // GIR_Coverage, 18739,
     /* 1443405 */     GIR_EraseRootFromParent_Done,
     /* 1443406 */   // Label 20214: @1443406
     /* 1443406 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1443488), // Rule ID 18742 //
     /* 1443411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1443414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1443431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443450 */     // MIs[0] round
     /* 1443450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443453 */     // MIs[0] policy
     /* 1443453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443463 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1443466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443487 */     // GIR_Coverage, 18742,
     /* 1443487 */     GIR_EraseRootFromParent_Done,
     /* 1443488 */   // Label 20215: @1443488
     /* 1443488 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1443570), // Rule ID 18743 //
     /* 1443493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1443496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1443513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443532 */     // MIs[0] round
     /* 1443532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443535 */     // MIs[0] policy
     /* 1443535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443545 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1443548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443569 */     // GIR_Coverage, 18743,
     /* 1443569 */     GIR_EraseRootFromParent_Done,
     /* 1443570 */   // Label 20216: @1443570
     /* 1443570 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1443652), // Rule ID 18746 //
     /* 1443575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1443578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1443595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443614 */     // MIs[0] round
     /* 1443614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443617 */     // MIs[0] policy
     /* 1443617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1443630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443651 */     // GIR_Coverage, 18746,
     /* 1443651 */     GIR_EraseRootFromParent_Done,
     /* 1443652 */   // Label 20217: @1443652
     /* 1443652 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1443734), // Rule ID 18747 //
     /* 1443657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1443660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1443677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443696 */     // MIs[0] round
     /* 1443696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443699 */     // MIs[0] policy
     /* 1443699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1443712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443733 */     // GIR_Coverage, 18747,
     /* 1443733 */     GIR_EraseRootFromParent_Done,
     /* 1443734 */   // Label 20218: @1443734
     /* 1443734 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1443816), // Rule ID 18750 //
     /* 1443739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1443742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1443759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443778 */     // MIs[0] round
     /* 1443778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443781 */     // MIs[0] policy
     /* 1443781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443791 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1443794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443815 */     // GIR_Coverage, 18750,
     /* 1443815 */     GIR_EraseRootFromParent_Done,
     /* 1443816 */   // Label 20219: @1443816
     /* 1443816 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1443898), // Rule ID 18751 //
     /* 1443821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1443824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1443841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443860 */     // MIs[0] round
     /* 1443860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443863 */     // MIs[0] policy
     /* 1443863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1443876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443897 */     // GIR_Coverage, 18751,
     /* 1443897 */     GIR_EraseRootFromParent_Done,
     /* 1443898 */   // Label 20220: @1443898
     /* 1443898 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1443980), // Rule ID 18754 //
     /* 1443903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1443906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1443920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1443923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1443938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443942 */     // MIs[0] round
     /* 1443942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1443945 */     // MIs[0] policy
     /* 1443945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1443958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1443966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1443968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443979 */     // GIR_Coverage, 18754,
     /* 1443979 */     GIR_EraseRootFromParent_Done,
     /* 1443980 */   // Label 20221: @1443980
     /* 1443980 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1444062), // Rule ID 18755 //
     /* 1443985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1443988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1443993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1444002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1444005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1444020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444024 */     // MIs[0] round
     /* 1444024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444027 */     // MIs[0] policy
     /* 1444027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444037 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1444040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444061 */     // GIR_Coverage, 18755,
     /* 1444061 */     GIR_EraseRootFromParent_Done,
     /* 1444062 */   // Label 20222: @1444062
     /* 1444062 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1444144), // Rule ID 18758 //
     /* 1444067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1444070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1444084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1444087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1444102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444106 */     // MIs[0] round
     /* 1444106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444109 */     // MIs[0] policy
     /* 1444109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444119 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1444122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444143 */     // GIR_Coverage, 18758,
     /* 1444143 */     GIR_EraseRootFromParent_Done,
     /* 1444144 */   // Label 20223: @1444144
     /* 1444144 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1444226), // Rule ID 18759 //
     /* 1444149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1444152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1444166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1444169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1444184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444188 */     // MIs[0] round
     /* 1444188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444191 */     // MIs[0] policy
     /* 1444191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444201 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1444204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444225 */     // GIR_Coverage, 18759,
     /* 1444225 */     GIR_EraseRootFromParent_Done,
     /* 1444226 */   // Label 20224: @1444226
     /* 1444226 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1444308), // Rule ID 18762 //
     /* 1444231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1444234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1444251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444270 */     // MIs[0] round
     /* 1444270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444273 */     // MIs[0] policy
     /* 1444273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1444286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444307 */     // GIR_Coverage, 18762,
     /* 1444307 */     GIR_EraseRootFromParent_Done,
     /* 1444308 */   // Label 20225: @1444308
     /* 1444308 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1444390), // Rule ID 18763 //
     /* 1444313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1444316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1444333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444352 */     // MIs[0] round
     /* 1444352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444355 */     // MIs[0] policy
     /* 1444355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444365 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1444368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444389 */     // GIR_Coverage, 18763,
     /* 1444389 */     GIR_EraseRootFromParent_Done,
     /* 1444390 */   // Label 20226: @1444390
     /* 1444390 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1444472), // Rule ID 18766 //
     /* 1444395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1444398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1444415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444434 */     // MIs[0] round
     /* 1444434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444437 */     // MIs[0] policy
     /* 1444437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444447 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1444450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444471 */     // GIR_Coverage, 18766,
     /* 1444471 */     GIR_EraseRootFromParent_Done,
     /* 1444472 */   // Label 20227: @1444472
     /* 1444472 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1444554), // Rule ID 18767 //
     /* 1444477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1444480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1444497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444516 */     // MIs[0] round
     /* 1444516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444519 */     // MIs[0] policy
     /* 1444519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444529 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1444532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444553 */     // GIR_Coverage, 18767,
     /* 1444553 */     GIR_EraseRootFromParent_Done,
     /* 1444554 */   // Label 20228: @1444554
     /* 1444554 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1444636), // Rule ID 18770 //
     /* 1444559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1444562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1444579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444598 */     // MIs[0] round
     /* 1444598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444601 */     // MIs[0] policy
     /* 1444601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444611 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1444614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444635 */     // GIR_Coverage, 18770,
     /* 1444635 */     GIR_EraseRootFromParent_Done,
     /* 1444636 */   // Label 20229: @1444636
     /* 1444636 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1444718), // Rule ID 18771 //
     /* 1444641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1444644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1444661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444680 */     // MIs[0] round
     /* 1444680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444683 */     // MIs[0] policy
     /* 1444683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444693 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1444696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444717 */     // GIR_Coverage, 18771,
     /* 1444717 */     GIR_EraseRootFromParent_Done,
     /* 1444718 */   // Label 20230: @1444718
     /* 1444718 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1444800), // Rule ID 18774 //
     /* 1444723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1444726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1444743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444762 */     // MIs[0] round
     /* 1444762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444765 */     // MIs[0] policy
     /* 1444765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444775 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1444778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444799 */     // GIR_Coverage, 18774,
     /* 1444799 */     GIR_EraseRootFromParent_Done,
     /* 1444800 */   // Label 20231: @1444800
     /* 1444800 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1444882), // Rule ID 18775 //
     /* 1444805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1444808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1444813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1444822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1444825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1444840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444844 */     // MIs[0] round
     /* 1444844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444847 */     // MIs[0] policy
     /* 1444847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444857 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1444860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444881 */     // GIR_Coverage, 18775,
     /* 1444881 */     GIR_EraseRootFromParent_Done,
     /* 1444882 */   // Label 20232: @1444882
     /* 1444882 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1444964), // Rule ID 18778 //
     /* 1444887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1444890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1444895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1444898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1444901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1444904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1444907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444926 */     // MIs[0] round
     /* 1444926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1444929 */     // MIs[0] policy
     /* 1444929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444939 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1444942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1444950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1444952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444963 */     // GIR_Coverage, 18778,
     /* 1444963 */     GIR_EraseRootFromParent_Done,
     /* 1444964 */   // Label 20233: @1444964
     /* 1444964 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1445046), // Rule ID 18779 //
     /* 1444969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1444972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1444977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1444980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1444983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1444986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1444989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445008 */     // MIs[0] round
     /* 1445008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445011 */     // MIs[0] policy
     /* 1445011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445021 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1445024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445045 */     // GIR_Coverage, 18779,
     /* 1445045 */     GIR_EraseRootFromParent_Done,
     /* 1445046 */   // Label 20234: @1445046
     /* 1445046 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1445128), // Rule ID 18782 //
     /* 1445051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1445054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1445062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1445065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1445071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445090 */     // MIs[0] round
     /* 1445090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445093 */     // MIs[0] policy
     /* 1445093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445103 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1445106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445127 */     // GIR_Coverage, 18782,
     /* 1445127 */     GIR_EraseRootFromParent_Done,
     /* 1445128 */   // Label 20235: @1445128
     /* 1445128 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1445210), // Rule ID 18783 //
     /* 1445133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1445136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1445144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1445147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1445153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445172 */     // MIs[0] round
     /* 1445172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445175 */     // MIs[0] policy
     /* 1445175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1445188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445209 */     // GIR_Coverage, 18783,
     /* 1445209 */     GIR_EraseRootFromParent_Done,
     /* 1445210 */   // Label 20236: @1445210
     /* 1445210 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1445292), // Rule ID 18786 //
     /* 1445215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1445218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1445232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1445235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445254 */     // MIs[0] round
     /* 1445254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445257 */     // MIs[0] policy
     /* 1445257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445267 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1445270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445291 */     // GIR_Coverage, 18786,
     /* 1445291 */     GIR_EraseRootFromParent_Done,
     /* 1445292 */   // Label 20237: @1445292
     /* 1445292 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1445374), // Rule ID 18787 //
     /* 1445297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1445300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1445314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1445317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445336 */     // MIs[0] round
     /* 1445336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445339 */     // MIs[0] policy
     /* 1445339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1445352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445373 */     // GIR_Coverage, 18787,
     /* 1445373 */     GIR_EraseRootFromParent_Done,
     /* 1445374 */   // Label 20238: @1445374
     /* 1445374 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1445456), // Rule ID 18790 //
     /* 1445379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1445382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1445399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445418 */     // MIs[0] round
     /* 1445418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445421 */     // MIs[0] policy
     /* 1445421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1445434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445455 */     // GIR_Coverage, 18790,
     /* 1445455 */     GIR_EraseRootFromParent_Done,
     /* 1445456 */   // Label 20239: @1445456
     /* 1445456 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1445538), // Rule ID 18791 //
     /* 1445461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1445464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1445481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445500 */     // MIs[0] round
     /* 1445500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445503 */     // MIs[0] policy
     /* 1445503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445513 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1445516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445537 */     // GIR_Coverage, 18791,
     /* 1445537 */     GIR_EraseRootFromParent_Done,
     /* 1445538 */   // Label 20240: @1445538
     /* 1445538 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1445620), // Rule ID 18794 //
     /* 1445543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1445546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1445563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445582 */     // MIs[0] round
     /* 1445582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445585 */     // MIs[0] policy
     /* 1445585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445595 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1445598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445619 */     // GIR_Coverage, 18794,
     /* 1445619 */     GIR_EraseRootFromParent_Done,
     /* 1445620 */   // Label 20241: @1445620
     /* 1445620 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1445702), // Rule ID 18795 //
     /* 1445625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1445628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1445645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445664 */     // MIs[0] round
     /* 1445664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445667 */     // MIs[0] policy
     /* 1445667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1445680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445701 */     // GIR_Coverage, 18795,
     /* 1445701 */     GIR_EraseRootFromParent_Done,
     /* 1445702 */   // Label 20242: @1445702
     /* 1445702 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1445784), // Rule ID 18798 //
     /* 1445707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1445710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1445718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1445721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1445727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445746 */     // MIs[0] round
     /* 1445746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445749 */     // MIs[0] policy
     /* 1445749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445759 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1445762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445783 */     // GIR_Coverage, 18798,
     /* 1445783 */     GIR_EraseRootFromParent_Done,
     /* 1445784 */   // Label 20243: @1445784
     /* 1445784 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1445866), // Rule ID 18799 //
     /* 1445789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1445792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1445800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1445803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1445809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445828 */     // MIs[0] round
     /* 1445828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445831 */     // MIs[0] policy
     /* 1445831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445841 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1445844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445865 */     // GIR_Coverage, 18799,
     /* 1445865 */     GIR_EraseRootFromParent_Done,
     /* 1445866 */   // Label 20244: @1445866
     /* 1445866 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1445948), // Rule ID 18802 //
     /* 1445871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1445874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1445882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1445885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1445888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1445891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445910 */     // MIs[0] round
     /* 1445910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445913 */     // MIs[0] policy
     /* 1445913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1445926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1445934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1445936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445947 */     // GIR_Coverage, 18802,
     /* 1445947 */     GIR_EraseRootFromParent_Done,
     /* 1445948 */   // Label 20245: @1445948
     /* 1445948 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1446030), // Rule ID 18803 //
     /* 1445953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1445956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1445961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1445964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1445967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1445970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1445973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445992 */     // MIs[0] round
     /* 1445992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1445995 */     // MIs[0] policy
     /* 1445995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446005 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1446008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446029 */     // GIR_Coverage, 18803,
     /* 1446029 */     GIR_EraseRootFromParent_Done,
     /* 1446030 */   // Label 20246: @1446030
     /* 1446030 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1446112), // Rule ID 18806 //
     /* 1446035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1446038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1446052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1446055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446074 */     // MIs[0] round
     /* 1446074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446077 */     // MIs[0] policy
     /* 1446077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446087 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1446090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446111 */     // GIR_Coverage, 18806,
     /* 1446111 */     GIR_EraseRootFromParent_Done,
     /* 1446112 */   // Label 20247: @1446112
     /* 1446112 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1446194), // Rule ID 18807 //
     /* 1446117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1446120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1446134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1446137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446156 */     // MIs[0] round
     /* 1446156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446159 */     // MIs[0] policy
     /* 1446159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446169 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1446172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446193 */     // GIR_Coverage, 18807,
     /* 1446193 */     GIR_EraseRootFromParent_Done,
     /* 1446194 */   // Label 20248: @1446194
     /* 1446194 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1446276), // Rule ID 18810 //
     /* 1446199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1446202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1446219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446238 */     // MIs[0] round
     /* 1446238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446241 */     // MIs[0] policy
     /* 1446241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446251 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1446254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446275 */     // GIR_Coverage, 18810,
     /* 1446275 */     GIR_EraseRootFromParent_Done,
     /* 1446276 */   // Label 20249: @1446276
     /* 1446276 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1446358), // Rule ID 18811 //
     /* 1446281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1446284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1446301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446320 */     // MIs[0] round
     /* 1446320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446323 */     // MIs[0] policy
     /* 1446323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446333 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1446336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446357 */     // GIR_Coverage, 18811,
     /* 1446357 */     GIR_EraseRootFromParent_Done,
     /* 1446358 */   // Label 20250: @1446358
     /* 1446358 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1446440), // Rule ID 18814 //
     /* 1446363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1446366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1446383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446402 */     // MIs[0] round
     /* 1446402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446405 */     // MIs[0] policy
     /* 1446405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446415 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1446418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446439 */     // GIR_Coverage, 18814,
     /* 1446439 */     GIR_EraseRootFromParent_Done,
     /* 1446440 */   // Label 20251: @1446440
     /* 1446440 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1446522), // Rule ID 18815 //
     /* 1446445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1446448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1446465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446484 */     // MIs[0] round
     /* 1446484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446487 */     // MIs[0] policy
     /* 1446487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1446500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446521 */     // GIR_Coverage, 18815,
     /* 1446521 */     GIR_EraseRootFromParent_Done,
     /* 1446522 */   // Label 20252: @1446522
     /* 1446522 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1446604), // Rule ID 18818 //
     /* 1446527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1446530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1446547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446566 */     // MIs[0] round
     /* 1446566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446569 */     // MIs[0] policy
     /* 1446569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1446582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446603 */     // GIR_Coverage, 18818,
     /* 1446603 */     GIR_EraseRootFromParent_Done,
     /* 1446604 */   // Label 20253: @1446604
     /* 1446604 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1446686), // Rule ID 18819 //
     /* 1446609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1446612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1446629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446648 */     // MIs[0] round
     /* 1446648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446651 */     // MIs[0] policy
     /* 1446651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10961:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1446664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446685 */     // GIR_Coverage, 18819,
     /* 1446685 */     GIR_EraseRootFromParent_Done,
     /* 1446686 */   // Label 20254: @1446686
     /* 1446686 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1446768), // Rule ID 18822 //
     /* 1446691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1446694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1446702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1446705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1446711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446730 */     // MIs[0] round
     /* 1446730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446733 */     // MIs[0] policy
     /* 1446733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446743 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1446746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446767 */     // GIR_Coverage, 18822,
     /* 1446767 */     GIR_EraseRootFromParent_Done,
     /* 1446768 */   // Label 20255: @1446768
     /* 1446768 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1446850), // Rule ID 18823 //
     /* 1446773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1446776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1446784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1446787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1446793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446812 */     // MIs[0] round
     /* 1446812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446815 */     // MIs[0] policy
     /* 1446815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446825 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1446828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446849 */     // GIR_Coverage, 18823,
     /* 1446849 */     GIR_EraseRootFromParent_Done,
     /* 1446850 */   // Label 20256: @1446850
     /* 1446850 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1446932), // Rule ID 18826 //
     /* 1446855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1446858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1446866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1446869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1446875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446894 */     // MIs[0] round
     /* 1446894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446897 */     // MIs[0] policy
     /* 1446897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446907 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1446910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1446918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1446920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446931 */     // GIR_Coverage, 18826,
     /* 1446931 */     GIR_EraseRootFromParent_Done,
     /* 1446932 */   // Label 20257: @1446932
     /* 1446932 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1447014), // Rule ID 18827 //
     /* 1446937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1446940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1446945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1446948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1446951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1446954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1446957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1446972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446976 */     // MIs[0] round
     /* 1446976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1446979 */     // MIs[0] policy
     /* 1446979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446989 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1446992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447013 */     // GIR_Coverage, 18827,
     /* 1447013 */     GIR_EraseRootFromParent_Done,
     /* 1447014 */   // Label 20258: @1447014
     /* 1447014 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1447096), // Rule ID 18830 //
     /* 1447019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1447022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1447030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1447033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1447036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1447039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1447054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447058 */     // MIs[0] round
     /* 1447058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447061 */     // MIs[0] policy
     /* 1447061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1447074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447095 */     // GIR_Coverage, 18830,
     /* 1447095 */     GIR_EraseRootFromParent_Done,
     /* 1447096 */   // Label 20259: @1447096
     /* 1447096 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1447178), // Rule ID 18831 //
     /* 1447101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1447104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1447112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1447115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1447118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1447121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1447136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447140 */     // MIs[0] round
     /* 1447140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447143 */     // MIs[0] policy
     /* 1447143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447153 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1447156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447177 */     // GIR_Coverage, 18831,
     /* 1447177 */     GIR_EraseRootFromParent_Done,
     /* 1447178 */   // Label 20260: @1447178
     /* 1447178 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1447260), // Rule ID 18834 //
     /* 1447183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1447186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1447194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1447197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1447203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447222 */     // MIs[0] round
     /* 1447222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447225 */     // MIs[0] policy
     /* 1447225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447235 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1447238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447259 */     // GIR_Coverage, 18834,
     /* 1447259 */     GIR_EraseRootFromParent_Done,
     /* 1447260 */   // Label 20261: @1447260
     /* 1447260 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1447342), // Rule ID 18835 //
     /* 1447265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1447268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1447276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1447279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1447285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447304 */     // MIs[0] round
     /* 1447304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447307 */     // MIs[0] policy
     /* 1447307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447317 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10961:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1447320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447341 */     // GIR_Coverage, 18835,
     /* 1447341 */     GIR_EraseRootFromParent_Done,
     /* 1447342 */   // Label 20262: @1447342
     /* 1447342 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1447424), // Rule ID 18838 //
     /* 1447347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1447350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1447358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1447361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1447367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447386 */     // MIs[0] round
     /* 1447386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447389 */     // MIs[0] policy
     /* 1447389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447399 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1447402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447423 */     // GIR_Coverage, 18838,
     /* 1447423 */     GIR_EraseRootFromParent_Done,
     /* 1447424 */   // Label 20263: @1447424
     /* 1447424 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1447506), // Rule ID 18839 //
     /* 1447429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1447432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1447440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1447443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1447449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447468 */     // MIs[0] round
     /* 1447468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447471 */     // MIs[0] policy
     /* 1447471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447481 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10961:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1447484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447505 */     // GIR_Coverage, 18839,
     /* 1447505 */     GIR_EraseRootFromParent_Done,
     /* 1447506 */   // Label 20264: @1447506
     /* 1447506 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1447588), // Rule ID 18842 //
     /* 1447511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1447514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1447522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1447525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1447531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447550 */     // MIs[0] round
     /* 1447550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447553 */     // MIs[0] policy
     /* 1447553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447563 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1447566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447587 */     // GIR_Coverage, 18842,
     /* 1447587 */     GIR_EraseRootFromParent_Done,
     /* 1447588 */   // Label 20265: @1447588
     /* 1447588 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1447670), // Rule ID 18843 //
     /* 1447593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1447596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1447604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1447607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1447613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447632 */     // MIs[0] round
     /* 1447632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447635 */     // MIs[0] policy
     /* 1447635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447645 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10961:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1447648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447669 */     // GIR_Coverage, 18843,
     /* 1447669 */     GIR_EraseRootFromParent_Done,
     /* 1447670 */   // Label 20266: @1447670
     /* 1447670 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1447752), // Rule ID 18846 //
     /* 1447675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1447678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1447686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1447689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1447695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447714 */     // MIs[0] round
     /* 1447714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447717 */     // MIs[0] policy
     /* 1447717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447727 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1447730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447751 */     // GIR_Coverage, 18846,
     /* 1447751 */     GIR_EraseRootFromParent_Done,
     /* 1447752 */   // Label 20267: @1447752
     /* 1447752 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1447834), // Rule ID 18847 //
     /* 1447757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1447760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1447765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1447768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1447771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1447774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1447777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1447792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447796 */     // MIs[0] round
     /* 1447796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447799 */     // MIs[0] policy
     /* 1447799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447809 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10961:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1447812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1447820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447833 */     // GIR_Coverage, 18847,
     /* 1447833 */     GIR_EraseRootFromParent_Done,
     /* 1447834 */   // Label 20268: @1447834
     /* 1447834 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1447916), // Rule ID 18852 //
     /* 1447839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1447842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1447847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1447859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447878 */     // MIs[0] round
     /* 1447878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447881 */     // MIs[0] policy
     /* 1447881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447891 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1447894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1447900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1447902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447915 */     // GIR_Coverage, 18852,
     /* 1447915 */     GIR_EraseRootFromParent_Done,
     /* 1447916 */   // Label 20269: @1447916
     /* 1447916 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1447998), // Rule ID 18853 //
     /* 1447921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1447924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1447929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1447941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447960 */     // MIs[0] round
     /* 1447960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1447963 */     // MIs[0] policy
     /* 1447963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447973 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1447976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1447982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1447984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1447986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447997 */     // GIR_Coverage, 18853,
     /* 1447997 */     GIR_EraseRootFromParent_Done,
     /* 1447998 */   // Label 20270: @1447998
     /* 1447998 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1448080), // Rule ID 18856 //
     /* 1448003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1448006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1448014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1448017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1448023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448042 */     // MIs[0] round
     /* 1448042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448045 */     // MIs[0] policy
     /* 1448045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448055 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1448058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448079 */     // GIR_Coverage, 18856,
     /* 1448079 */     GIR_EraseRootFromParent_Done,
     /* 1448080 */   // Label 20271: @1448080
     /* 1448080 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1448162), // Rule ID 18857 //
     /* 1448085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1448088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1448096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1448099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1448105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448124 */     // MIs[0] round
     /* 1448124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448127 */     // MIs[0] policy
     /* 1448127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448137 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1448140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448161 */     // GIR_Coverage, 18857,
     /* 1448161 */     GIR_EraseRootFromParent_Done,
     /* 1448162 */   // Label 20272: @1448162
     /* 1448162 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1448244), // Rule ID 18860 //
     /* 1448167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1448170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1448187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448206 */     // MIs[0] round
     /* 1448206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448209 */     // MIs[0] policy
     /* 1448209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448219 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1448222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448243 */     // GIR_Coverage, 18860,
     /* 1448243 */     GIR_EraseRootFromParent_Done,
     /* 1448244 */   // Label 20273: @1448244
     /* 1448244 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1448326), // Rule ID 18861 //
     /* 1448249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1448252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1448269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448288 */     // MIs[0] round
     /* 1448288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448291 */     // MIs[0] policy
     /* 1448291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448301 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10928:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1448304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448325 */     // GIR_Coverage, 18861,
     /* 1448325 */     GIR_EraseRootFromParent_Done,
     /* 1448326 */   // Label 20274: @1448326
     /* 1448326 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1448408), // Rule ID 18864 //
     /* 1448331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1448334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1448351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448370 */     // MIs[0] round
     /* 1448370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448373 */     // MIs[0] policy
     /* 1448373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1448386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448407 */     // GIR_Coverage, 18864,
     /* 1448407 */     GIR_EraseRootFromParent_Done,
     /* 1448408 */   // Label 20275: @1448408
     /* 1448408 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1448490), // Rule ID 18865 //
     /* 1448413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1448416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1448433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448452 */     // MIs[0] round
     /* 1448452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448455 */     // MIs[0] policy
     /* 1448455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1448468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448489 */     // GIR_Coverage, 18865,
     /* 1448489 */     GIR_EraseRootFromParent_Done,
     /* 1448490 */   // Label 20276: @1448490
     /* 1448490 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1448572), // Rule ID 18868 //
     /* 1448495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1448498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1448515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448534 */     // MIs[0] round
     /* 1448534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448537 */     // MIs[0] policy
     /* 1448537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448547 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1448550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448571 */     // GIR_Coverage, 18868,
     /* 1448571 */     GIR_EraseRootFromParent_Done,
     /* 1448572 */   // Label 20277: @1448572
     /* 1448572 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1448654), // Rule ID 18869 //
     /* 1448577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1448580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1448597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448616 */     // MIs[0] round
     /* 1448616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448619 */     // MIs[0] policy
     /* 1448619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448629 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1448632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448653 */     // GIR_Coverage, 18869,
     /* 1448653 */     GIR_EraseRootFromParent_Done,
     /* 1448654 */   // Label 20278: @1448654
     /* 1448654 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1448736), // Rule ID 18872 //
     /* 1448659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1448662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1448670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1448673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1448676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1448679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448698 */     // MIs[0] round
     /* 1448698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448701 */     // MIs[0] policy
     /* 1448701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1448714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448735 */     // GIR_Coverage, 18872,
     /* 1448735 */     GIR_EraseRootFromParent_Done,
     /* 1448736 */   // Label 20279: @1448736
     /* 1448736 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1448818), // Rule ID 18873 //
     /* 1448741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1448744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1448752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1448755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1448758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1448761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448780 */     // MIs[0] round
     /* 1448780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448783 */     // MIs[0] policy
     /* 1448783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448793 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1448796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448817 */     // GIR_Coverage, 18873,
     /* 1448817 */     GIR_EraseRootFromParent_Done,
     /* 1448818 */   // Label 20280: @1448818
     /* 1448818 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1448900), // Rule ID 18876 //
     /* 1448823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1448826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1448834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1448837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1448840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1448843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448862 */     // MIs[0] round
     /* 1448862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448865 */     // MIs[0] policy
     /* 1448865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448875 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1448878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448899 */     // GIR_Coverage, 18876,
     /* 1448899 */     GIR_EraseRootFromParent_Done,
     /* 1448900 */   // Label 20281: @1448900
     /* 1448900 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1448982), // Rule ID 18877 //
     /* 1448905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1448908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1448916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1448919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1448922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1448925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448944 */     // MIs[0] round
     /* 1448944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1448947 */     // MIs[0] policy
     /* 1448947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448957 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1448960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1448966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1448968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1448970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448981 */     // GIR_Coverage, 18877,
     /* 1448981 */     GIR_EraseRootFromParent_Done,
     /* 1448982 */   // Label 20282: @1448982
     /* 1448982 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1449064), // Rule ID 18880 //
     /* 1448987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1448990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1448995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1448998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1449007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449026 */     // MIs[0] round
     /* 1449026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449029 */     // MIs[0] policy
     /* 1449029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449039 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1449042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449063 */     // GIR_Coverage, 18880,
     /* 1449063 */     GIR_EraseRootFromParent_Done,
     /* 1449064 */   // Label 20283: @1449064
     /* 1449064 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1449146), // Rule ID 18881 //
     /* 1449069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1449072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1449080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1449083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1449086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1449089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449108 */     // MIs[0] round
     /* 1449108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449111 */     // MIs[0] policy
     /* 1449111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449121 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1449124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449145 */     // GIR_Coverage, 18881,
     /* 1449145 */     GIR_EraseRootFromParent_Done,
     /* 1449146 */   // Label 20284: @1449146
     /* 1449146 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1449228), // Rule ID 18884 //
     /* 1449151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1449154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1449171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449190 */     // MIs[0] round
     /* 1449190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449193 */     // MIs[0] policy
     /* 1449193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1449206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449227 */     // GIR_Coverage, 18884,
     /* 1449227 */     GIR_EraseRootFromParent_Done,
     /* 1449228 */   // Label 20285: @1449228
     /* 1449228 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1449310), // Rule ID 18885 //
     /* 1449233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1449236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1449244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1449247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1449253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449272 */     // MIs[0] round
     /* 1449272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449275 */     // MIs[0] policy
     /* 1449275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449285 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1449288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449309 */     // GIR_Coverage, 18885,
     /* 1449309 */     GIR_EraseRootFromParent_Done,
     /* 1449310 */   // Label 20286: @1449310
     /* 1449310 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1449392), // Rule ID 18888 //
     /* 1449315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1449318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1449335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449354 */     // MIs[0] round
     /* 1449354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449357 */     // MIs[0] policy
     /* 1449357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449367 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1449370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449391 */     // GIR_Coverage, 18888,
     /* 1449391 */     GIR_EraseRootFromParent_Done,
     /* 1449392 */   // Label 20287: @1449392
     /* 1449392 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1449474), // Rule ID 18889 //
     /* 1449397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1449400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1449408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1449411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1449417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449436 */     // MIs[0] round
     /* 1449436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449439 */     // MIs[0] policy
     /* 1449439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449449 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1449452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449473 */     // GIR_Coverage, 18889,
     /* 1449473 */     GIR_EraseRootFromParent_Done,
     /* 1449474 */   // Label 20288: @1449474
     /* 1449474 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1449556), // Rule ID 18892 //
     /* 1449479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1449482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1449490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1449493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1449499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449518 */     // MIs[0] round
     /* 1449518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449521 */     // MIs[0] policy
     /* 1449521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449531 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1449534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449555 */     // GIR_Coverage, 18892,
     /* 1449555 */     GIR_EraseRootFromParent_Done,
     /* 1449556 */   // Label 20289: @1449556
     /* 1449556 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1449638), // Rule ID 18893 //
     /* 1449561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1449564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1449572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1449575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1449581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449600 */     // MIs[0] round
     /* 1449600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449603 */     // MIs[0] policy
     /* 1449603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449613 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1449616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449637 */     // GIR_Coverage, 18893,
     /* 1449637 */     GIR_EraseRootFromParent_Done,
     /* 1449638 */   // Label 20290: @1449638
     /* 1449638 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1449720), // Rule ID 18896 //
     /* 1449643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1449646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1449654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1449657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1449660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1449663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449682 */     // MIs[0] round
     /* 1449682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449685 */     // MIs[0] policy
     /* 1449685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449695 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1449698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449719 */     // GIR_Coverage, 18896,
     /* 1449719 */     GIR_EraseRootFromParent_Done,
     /* 1449720 */   // Label 20291: @1449720
     /* 1449720 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1449802), // Rule ID 18897 //
     /* 1449725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1449728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1449736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1449739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1449742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1449745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449764 */     // MIs[0] round
     /* 1449764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449767 */     // MIs[0] policy
     /* 1449767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1449780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449801 */     // GIR_Coverage, 18897,
     /* 1449801 */     GIR_EraseRootFromParent_Done,
     /* 1449802 */   // Label 20292: @1449802
     /* 1449802 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1449884), // Rule ID 18900 //
     /* 1449807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1449810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1449818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1449821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1449824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1449827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449846 */     // MIs[0] round
     /* 1449846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449849 */     // MIs[0] policy
     /* 1449849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449859 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1449862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449883 */     // GIR_Coverage, 18900,
     /* 1449883 */     GIR_EraseRootFromParent_Done,
     /* 1449884 */   // Label 20293: @1449884
     /* 1449884 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1449966), // Rule ID 18901 //
     /* 1449889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1449892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1449900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1449903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1449906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1449909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449928 */     // MIs[0] round
     /* 1449928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1449931 */     // MIs[0] policy
     /* 1449931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449941 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1449944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1449950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1449952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1449954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449965 */     // GIR_Coverage, 18901,
     /* 1449965 */     GIR_EraseRootFromParent_Done,
     /* 1449966 */   // Label 20294: @1449966
     /* 1449966 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1450048), // Rule ID 18904 //
     /* 1449971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1449974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1449979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1449991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450010 */     // MIs[0] round
     /* 1450010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450013 */     // MIs[0] policy
     /* 1450013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450023 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1450026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450047 */     // GIR_Coverage, 18904,
     /* 1450047 */     GIR_EraseRootFromParent_Done,
     /* 1450048 */   // Label 20295: @1450048
     /* 1450048 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1450130), // Rule ID 18905 //
     /* 1450053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1450056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1450061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1450064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1450067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1450073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450092 */     // MIs[0] round
     /* 1450092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450095 */     // MIs[0] policy
     /* 1450095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450105 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1450108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1450126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450129 */     // GIR_Coverage, 18905,
     /* 1450129 */     GIR_EraseRootFromParent_Done,
     /* 1450130 */   // Label 20296: @1450130
     /* 1450130 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1450212), // Rule ID 18964 //
     /* 1450135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1450138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1450146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1450149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1450155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450174 */     // MIs[0] round
     /* 1450174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450177 */     // MIs[0] policy
     /* 1450177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450187 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1450190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450211 */     // GIR_Coverage, 18964,
     /* 1450211 */     GIR_EraseRootFromParent_Done,
     /* 1450212 */   // Label 20297: @1450212
     /* 1450212 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1450294), // Rule ID 18965 //
     /* 1450217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1450220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1450228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1450231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1450234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1450237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450256 */     // MIs[0] round
     /* 1450256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450259 */     // MIs[0] policy
     /* 1450259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450269 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1450272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450293 */     // GIR_Coverage, 18965,
     /* 1450293 */     GIR_EraseRootFromParent_Done,
     /* 1450294 */   // Label 20298: @1450294
     /* 1450294 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1450376), // Rule ID 18968 //
     /* 1450299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1450302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1450319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450338 */     // MIs[0] round
     /* 1450338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450341 */     // MIs[0] policy
     /* 1450341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450351 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1450354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450375 */     // GIR_Coverage, 18968,
     /* 1450375 */     GIR_EraseRootFromParent_Done,
     /* 1450376 */   // Label 20299: @1450376
     /* 1450376 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1450458), // Rule ID 18969 //
     /* 1450381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1450384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1450401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450420 */     // MIs[0] round
     /* 1450420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450423 */     // MIs[0] policy
     /* 1450423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1450436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450457 */     // GIR_Coverage, 18969,
     /* 1450457 */     GIR_EraseRootFromParent_Done,
     /* 1450458 */   // Label 20300: @1450458
     /* 1450458 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1450540), // Rule ID 18972 //
     /* 1450463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1450466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1450483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450502 */     // MIs[0] round
     /* 1450502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450505 */     // MIs[0] policy
     /* 1450505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450515 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1450518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450539 */     // GIR_Coverage, 18972,
     /* 1450539 */     GIR_EraseRootFromParent_Done,
     /* 1450540 */   // Label 20301: @1450540
     /* 1450540 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1450622), // Rule ID 18973 //
     /* 1450545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1450548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1450565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450584 */     // MIs[0] round
     /* 1450584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450587 */     // MIs[0] policy
     /* 1450587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450597 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1450600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450621 */     // GIR_Coverage, 18973,
     /* 1450621 */     GIR_EraseRootFromParent_Done,
     /* 1450622 */   // Label 20302: @1450622
     /* 1450622 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1450704), // Rule ID 18976 //
     /* 1450627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1450630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1450647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450666 */     // MIs[0] round
     /* 1450666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450669 */     // MIs[0] policy
     /* 1450669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450679 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1450682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450703 */     // GIR_Coverage, 18976,
     /* 1450703 */     GIR_EraseRootFromParent_Done,
     /* 1450704 */   // Label 20303: @1450704
     /* 1450704 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1450786), // Rule ID 18977 //
     /* 1450709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1450712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1450729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450748 */     // MIs[0] round
     /* 1450748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450751 */     // MIs[0] policy
     /* 1450751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450761 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1450764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450785 */     // GIR_Coverage, 18977,
     /* 1450785 */     GIR_EraseRootFromParent_Done,
     /* 1450786 */   // Label 20304: @1450786
     /* 1450786 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1450868), // Rule ID 18980 //
     /* 1450791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1450794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1450811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450830 */     // MIs[0] round
     /* 1450830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450833 */     // MIs[0] policy
     /* 1450833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450843 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1450846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450867 */     // GIR_Coverage, 18980,
     /* 1450867 */     GIR_EraseRootFromParent_Done,
     /* 1450868 */   // Label 20305: @1450868
     /* 1450868 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1450950), // Rule ID 18981 //
     /* 1450873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1450876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1450893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450912 */     // MIs[0] round
     /* 1450912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450915 */     // MIs[0] policy
     /* 1450915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450925 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1450928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1450934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1450936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1450938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450949 */     // GIR_Coverage, 18981,
     /* 1450949 */     GIR_EraseRootFromParent_Done,
     /* 1450950 */   // Label 20306: @1450950
     /* 1450950 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1451032), // Rule ID 18984 //
     /* 1450955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1450958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1450963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1450966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1450969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1450972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1450975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450994 */     // MIs[0] round
     /* 1450994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1450997 */     // MIs[0] policy
     /* 1450997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1451010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451031 */     // GIR_Coverage, 18984,
     /* 1451031 */     GIR_EraseRootFromParent_Done,
     /* 1451032 */   // Label 20307: @1451032
     /* 1451032 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1451114), // Rule ID 18985 //
     /* 1451037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1451040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1451048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1451051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1451057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451076 */     // MIs[0] round
     /* 1451076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451079 */     // MIs[0] policy
     /* 1451079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451089 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1451092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451113 */     // GIR_Coverage, 18985,
     /* 1451113 */     GIR_EraseRootFromParent_Done,
     /* 1451114 */   // Label 20308: @1451114
     /* 1451114 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1451196), // Rule ID 18988 //
     /* 1451119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1451122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1451139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451158 */     // MIs[0] round
     /* 1451158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451161 */     // MIs[0] policy
     /* 1451161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451171 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1451174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451195 */     // GIR_Coverage, 18988,
     /* 1451195 */     GIR_EraseRootFromParent_Done,
     /* 1451196 */   // Label 20309: @1451196
     /* 1451196 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1451278), // Rule ID 18989 //
     /* 1451201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1451204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1451221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451240 */     // MIs[0] round
     /* 1451240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451243 */     // MIs[0] policy
     /* 1451243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1451256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451277 */     // GIR_Coverage, 18989,
     /* 1451277 */     GIR_EraseRootFromParent_Done,
     /* 1451278 */   // Label 20310: @1451278
     /* 1451278 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1451360), // Rule ID 18992 //
     /* 1451283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1451286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1451303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451322 */     // MIs[0] round
     /* 1451322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451325 */     // MIs[0] policy
     /* 1451325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451335 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1451338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451359 */     // GIR_Coverage, 18992,
     /* 1451359 */     GIR_EraseRootFromParent_Done,
     /* 1451360 */   // Label 20311: @1451360
     /* 1451360 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1451442), // Rule ID 18993 //
     /* 1451365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1451368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1451385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451404 */     // MIs[0] round
     /* 1451404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451407 */     // MIs[0] policy
     /* 1451407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451417 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1451420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451441 */     // GIR_Coverage, 18993,
     /* 1451441 */     GIR_EraseRootFromParent_Done,
     /* 1451442 */   // Label 20312: @1451442
     /* 1451442 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1451524), // Rule ID 18996 //
     /* 1451447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1451450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1451458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1451461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1451467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451486 */     // MIs[0] round
     /* 1451486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451489 */     // MIs[0] policy
     /* 1451489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451499 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1451502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451523 */     // GIR_Coverage, 18996,
     /* 1451523 */     GIR_EraseRootFromParent_Done,
     /* 1451524 */   // Label 20313: @1451524
     /* 1451524 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1451606), // Rule ID 18997 //
     /* 1451529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1451532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1451540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1451543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1451546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1451549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451568 */     // MIs[0] round
     /* 1451568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451571 */     // MIs[0] policy
     /* 1451571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451581 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1451584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451605 */     // GIR_Coverage, 18997,
     /* 1451605 */     GIR_EraseRootFromParent_Done,
     /* 1451606 */   // Label 20314: @1451606
     /* 1451606 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1451688), // Rule ID 19000 //
     /* 1451611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1451614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1451622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1451625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1451628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1451631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451650 */     // MIs[0] round
     /* 1451650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451653 */     // MIs[0] policy
     /* 1451653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451663 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1451666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451687 */     // GIR_Coverage, 19000,
     /* 1451687 */     GIR_EraseRootFromParent_Done,
     /* 1451688 */   // Label 20315: @1451688
     /* 1451688 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1451770), // Rule ID 19001 //
     /* 1451693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1451696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1451704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1451707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1451710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1451713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451732 */     // MIs[0] round
     /* 1451732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451735 */     // MIs[0] policy
     /* 1451735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451745 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1451748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451769 */     // GIR_Coverage, 19001,
     /* 1451769 */     GIR_EraseRootFromParent_Done,
     /* 1451770 */   // Label 20316: @1451770
     /* 1451770 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1451852), // Rule ID 19004 //
     /* 1451775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1451778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1451786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1451789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1451792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1451795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451814 */     // MIs[0] round
     /* 1451814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451817 */     // MIs[0] policy
     /* 1451817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1451830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451851 */     // GIR_Coverage, 19004,
     /* 1451851 */     GIR_EraseRootFromParent_Done,
     /* 1451852 */   // Label 20317: @1451852
     /* 1451852 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1451934), // Rule ID 19005 //
     /* 1451857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1451860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1451868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1451871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1451874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1451877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451896 */     // MIs[0] round
     /* 1451896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451899 */     // MIs[0] policy
     /* 1451899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451909 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1451912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1451918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1451920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1451922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451933 */     // GIR_Coverage, 19005,
     /* 1451933 */     GIR_EraseRootFromParent_Done,
     /* 1451934 */   // Label 20318: @1451934
     /* 1451934 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1452016), // Rule ID 19008 //
     /* 1451939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1451942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1451947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1451950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1451953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1451956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1451959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451978 */     // MIs[0] round
     /* 1451978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1451981 */     // MIs[0] policy
     /* 1451981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451991 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1451994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452015 */     // GIR_Coverage, 19008,
     /* 1452015 */     GIR_EraseRootFromParent_Done,
     /* 1452016 */   // Label 20319: @1452016
     /* 1452016 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1452098), // Rule ID 19009 //
     /* 1452021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1452024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1452041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452060 */     // MIs[0] round
     /* 1452060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452063 */     // MIs[0] policy
     /* 1452063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452073 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1452076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452097 */     // GIR_Coverage, 19009,
     /* 1452097 */     GIR_EraseRootFromParent_Done,
     /* 1452098 */   // Label 20320: @1452098
     /* 1452098 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1452180), // Rule ID 19012 //
     /* 1452103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1452106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1452114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1452117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1452120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1452123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452142 */     // MIs[0] round
     /* 1452142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452145 */     // MIs[0] policy
     /* 1452145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452155 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1452158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452179 */     // GIR_Coverage, 19012,
     /* 1452179 */     GIR_EraseRootFromParent_Done,
     /* 1452180 */   // Label 20321: @1452180
     /* 1452180 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1452262), // Rule ID 19013 //
     /* 1452185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1452188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1452196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1452199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1452202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1452205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452224 */     // MIs[0] round
     /* 1452224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452227 */     // MIs[0] policy
     /* 1452227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452237 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1452240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452261 */     // GIR_Coverage, 19013,
     /* 1452261 */     GIR_EraseRootFromParent_Done,
     /* 1452262 */   // Label 20322: @1452262
     /* 1452262 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1452344), // Rule ID 19016 //
     /* 1452267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1452270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1452278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1452281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1452287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452306 */     // MIs[0] round
     /* 1452306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452309 */     // MIs[0] policy
     /* 1452309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452319 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1452322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452343 */     // GIR_Coverage, 19016,
     /* 1452343 */     GIR_EraseRootFromParent_Done,
     /* 1452344 */   // Label 20323: @1452344
     /* 1452344 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1452426), // Rule ID 19017 //
     /* 1452349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1452352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1452360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1452363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1452369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452388 */     // MIs[0] round
     /* 1452388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452391 */     // MIs[0] policy
     /* 1452391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452401 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1452404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452425 */     // GIR_Coverage, 19017,
     /* 1452425 */     GIR_EraseRootFromParent_Done,
     /* 1452426 */   // Label 20324: @1452426
     /* 1452426 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1452508), // Rule ID 19020 //
     /* 1452431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1452434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1452442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1452445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1452448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1452451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452470 */     // MIs[0] round
     /* 1452470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452473 */     // MIs[0] policy
     /* 1452473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452483 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1452486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452507 */     // GIR_Coverage, 19020,
     /* 1452507 */     GIR_EraseRootFromParent_Done,
     /* 1452508 */   // Label 20325: @1452508
     /* 1452508 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1452590), // Rule ID 19021 //
     /* 1452513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1452516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1452521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1452524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1452527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1452530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1452533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452552 */     // MIs[0] round
     /* 1452552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452555 */     // MIs[0] policy
     /* 1452555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452565 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1452568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452589 */     // GIR_Coverage, 19021,
     /* 1452589 */     GIR_EraseRootFromParent_Done,
     /* 1452590 */   // Label 20326: @1452590
     /* 1452590 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1452672), // Rule ID 20606 //
     /* 1452595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1452598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1452603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1452615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452634 */     // MIs[0] round
     /* 1452634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452637 */     // MIs[0] policy
     /* 1452637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1452650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452671 */     // GIR_Coverage, 20606,
     /* 1452671 */     GIR_EraseRootFromParent_Done,
     /* 1452672 */   // Label 20327: @1452672
     /* 1452672 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1452754), // Rule ID 20607 //
     /* 1452677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1452680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1452685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1452697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452716 */     // MIs[0] round
     /* 1452716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452719 */     // MIs[0] policy
     /* 1452719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452729 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1452732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452753 */     // GIR_Coverage, 20607,
     /* 1452753 */     GIR_EraseRootFromParent_Done,
     /* 1452754 */   // Label 20328: @1452754
     /* 1452754 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1452836), // Rule ID 20610 //
     /* 1452759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1452762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1452767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1452779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452798 */     // MIs[0] round
     /* 1452798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452801 */     // MIs[0] policy
     /* 1452801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1452814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452835 */     // GIR_Coverage, 20610,
     /* 1452835 */     GIR_EraseRootFromParent_Done,
     /* 1452836 */   // Label 20329: @1452836
     /* 1452836 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1452918), // Rule ID 20611 //
     /* 1452841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1452844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1452849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1452861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452880 */     // MIs[0] round
     /* 1452880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452883 */     // MIs[0] policy
     /* 1452883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1452896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452917 */     // GIR_Coverage, 20611,
     /* 1452917 */     GIR_EraseRootFromParent_Done,
     /* 1452918 */   // Label 20330: @1452918
     /* 1452918 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1453000), // Rule ID 20614 //
     /* 1452923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1452926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1452931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1452943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452962 */     // MIs[0] round
     /* 1452962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1452965 */     // MIs[0] policy
     /* 1452965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1452978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1452984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1452986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1452988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452999 */     // GIR_Coverage, 20614,
     /* 1452999 */     GIR_EraseRootFromParent_Done,
     /* 1453000 */   // Label 20331: @1453000
     /* 1453000 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1453082), // Rule ID 20615 //
     /* 1453005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1453008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1453016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1453019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1453022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1453025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453044 */     // MIs[0] round
     /* 1453044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453047 */     // MIs[0] policy
     /* 1453047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1453060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453081 */     // GIR_Coverage, 20615,
     /* 1453081 */     GIR_EraseRootFromParent_Done,
     /* 1453082 */   // Label 20332: @1453082
     /* 1453082 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1453164), // Rule ID 20618 //
     /* 1453087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1453090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1453104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1453107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453126 */     // MIs[0] round
     /* 1453126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453129 */     // MIs[0] policy
     /* 1453129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1453142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453163 */     // GIR_Coverage, 20618,
     /* 1453163 */     GIR_EraseRootFromParent_Done,
     /* 1453164 */   // Label 20333: @1453164
     /* 1453164 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1453246), // Rule ID 20619 //
     /* 1453169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1453172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1453180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1453183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1453186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1453189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453208 */     // MIs[0] round
     /* 1453208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453211 */     // MIs[0] policy
     /* 1453211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1453224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453245 */     // GIR_Coverage, 20619,
     /* 1453245 */     GIR_EraseRootFromParent_Done,
     /* 1453246 */   // Label 20334: @1453246
     /* 1453246 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1453328), // Rule ID 20622 //
     /* 1453251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1453254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1453262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1453265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1453271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453290 */     // MIs[0] round
     /* 1453290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453293 */     // MIs[0] policy
     /* 1453293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1453306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453327 */     // GIR_Coverage, 20622,
     /* 1453327 */     GIR_EraseRootFromParent_Done,
     /* 1453328 */   // Label 20335: @1453328
     /* 1453328 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1453410), // Rule ID 20623 //
     /* 1453333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1453336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1453344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1453347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1453353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453372 */     // MIs[0] round
     /* 1453372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453375 */     // MIs[0] policy
     /* 1453375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453385 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1453388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453409 */     // GIR_Coverage, 20623,
     /* 1453409 */     GIR_EraseRootFromParent_Done,
     /* 1453410 */   // Label 20336: @1453410
     /* 1453410 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1453492), // Rule ID 20626 //
     /* 1453415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1453418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1453435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453454 */     // MIs[0] round
     /* 1453454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453457 */     // MIs[0] policy
     /* 1453457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1453470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453491 */     // GIR_Coverage, 20626,
     /* 1453491 */     GIR_EraseRootFromParent_Done,
     /* 1453492 */   // Label 20337: @1453492
     /* 1453492 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1453574), // Rule ID 20627 //
     /* 1453497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1453500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1453517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453536 */     // MIs[0] round
     /* 1453536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453539 */     // MIs[0] policy
     /* 1453539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453549 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1453552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453573 */     // GIR_Coverage, 20627,
     /* 1453573 */     GIR_EraseRootFromParent_Done,
     /* 1453574 */   // Label 20338: @1453574
     /* 1453574 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1453656), // Rule ID 20630 //
     /* 1453579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1453582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1453599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453618 */     // MIs[0] round
     /* 1453618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453621 */     // MIs[0] policy
     /* 1453621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1453634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453655 */     // GIR_Coverage, 20630,
     /* 1453655 */     GIR_EraseRootFromParent_Done,
     /* 1453656 */   // Label 20339: @1453656
     /* 1453656 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1453738), // Rule ID 20631 //
     /* 1453661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1453664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1453681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453700 */     // MIs[0] round
     /* 1453700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453703 */     // MIs[0] policy
     /* 1453703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453713 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1453716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453737 */     // GIR_Coverage, 20631,
     /* 1453737 */     GIR_EraseRootFromParent_Done,
     /* 1453738 */   // Label 20340: @1453738
     /* 1453738 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1453820), // Rule ID 20634 //
     /* 1453743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1453746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1453763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453782 */     // MIs[0] round
     /* 1453782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453785 */     // MIs[0] policy
     /* 1453785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1453798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453819 */     // GIR_Coverage, 20634,
     /* 1453819 */     GIR_EraseRootFromParent_Done,
     /* 1453820 */   // Label 20341: @1453820
     /* 1453820 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1453902), // Rule ID 20635 //
     /* 1453825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1453828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1453845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453864 */     // MIs[0] round
     /* 1453864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453867 */     // MIs[0] policy
     /* 1453867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1453880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453901 */     // GIR_Coverage, 20635,
     /* 1453901 */     GIR_EraseRootFromParent_Done,
     /* 1453902 */   // Label 20342: @1453902
     /* 1453902 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1453984), // Rule ID 20638 //
     /* 1453907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1453910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1453924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1453927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453946 */     // MIs[0] round
     /* 1453946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1453949 */     // MIs[0] policy
     /* 1453949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1453962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1453968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1453970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1453972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453983 */     // GIR_Coverage, 20638,
     /* 1453983 */     GIR_EraseRootFromParent_Done,
     /* 1453984 */   // Label 20343: @1453984
     /* 1453984 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1454066), // Rule ID 20639 //
     /* 1453989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1453992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1453997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1454009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454028 */     // MIs[0] round
     /* 1454028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454031 */     // MIs[0] policy
     /* 1454031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454041 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1454044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454065 */     // GIR_Coverage, 20639,
     /* 1454065 */     GIR_EraseRootFromParent_Done,
     /* 1454066 */   // Label 20344: @1454066
     /* 1454066 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1454148), // Rule ID 20642 //
     /* 1454071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1454074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1454091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454110 */     // MIs[0] round
     /* 1454110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454113 */     // MIs[0] policy
     /* 1454113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1454126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454147 */     // GIR_Coverage, 20642,
     /* 1454147 */     GIR_EraseRootFromParent_Done,
     /* 1454148 */   // Label 20345: @1454148
     /* 1454148 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1454230), // Rule ID 20643 //
     /* 1454153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1454156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1454173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454192 */     // MIs[0] round
     /* 1454192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454195 */     // MIs[0] policy
     /* 1454195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1454208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454229 */     // GIR_Coverage, 20643,
     /* 1454229 */     GIR_EraseRootFromParent_Done,
     /* 1454230 */   // Label 20346: @1454230
     /* 1454230 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1454312), // Rule ID 20646 //
     /* 1454235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1454238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1454255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454274 */     // MIs[0] round
     /* 1454274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454277 */     // MIs[0] policy
     /* 1454277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1454290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454311 */     // GIR_Coverage, 20646,
     /* 1454311 */     GIR_EraseRootFromParent_Done,
     /* 1454312 */   // Label 20347: @1454312
     /* 1454312 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1454394), // Rule ID 20647 //
     /* 1454317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1454320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1454337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454356 */     // MIs[0] round
     /* 1454356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454359 */     // MIs[0] policy
     /* 1454359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454369 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1454372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454393 */     // GIR_Coverage, 20647,
     /* 1454393 */     GIR_EraseRootFromParent_Done,
     /* 1454394 */   // Label 20348: @1454394
     /* 1454394 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1454476), // Rule ID 20650 //
     /* 1454399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1454402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1454419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454438 */     // MIs[0] round
     /* 1454438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454441 */     // MIs[0] policy
     /* 1454441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1454454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454475 */     // GIR_Coverage, 20650,
     /* 1454475 */     GIR_EraseRootFromParent_Done,
     /* 1454476 */   // Label 20349: @1454476
     /* 1454476 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1454558), // Rule ID 20651 //
     /* 1454481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1454484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1454501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454520 */     // MIs[0] round
     /* 1454520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454523 */     // MIs[0] policy
     /* 1454523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1454536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454557 */     // GIR_Coverage, 20651,
     /* 1454557 */     GIR_EraseRootFromParent_Done,
     /* 1454558 */   // Label 20350: @1454558
     /* 1454558 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1454640), // Rule ID 20654 //
     /* 1454563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1454566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1454583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454602 */     // MIs[0] round
     /* 1454602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454605 */     // MIs[0] policy
     /* 1454605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1454618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454639 */     // GIR_Coverage, 20654,
     /* 1454639 */     GIR_EraseRootFromParent_Done,
     /* 1454640 */   // Label 20351: @1454640
     /* 1454640 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1454722), // Rule ID 20655 //
     /* 1454645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1454648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1454665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454684 */     // MIs[0] round
     /* 1454684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454687 */     // MIs[0] policy
     /* 1454687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1454700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454721 */     // GIR_Coverage, 20655,
     /* 1454721 */     GIR_EraseRootFromParent_Done,
     /* 1454722 */   // Label 20352: @1454722
     /* 1454722 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1454804), // Rule ID 20658 //
     /* 1454727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1454730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1454738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1454741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1454744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1454747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454766 */     // MIs[0] round
     /* 1454766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454769 */     // MIs[0] policy
     /* 1454769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454779 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1454782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454803 */     // GIR_Coverage, 20658,
     /* 1454803 */     GIR_EraseRootFromParent_Done,
     /* 1454804 */   // Label 20353: @1454804
     /* 1454804 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1454886), // Rule ID 20659 //
     /* 1454809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1454812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1454817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1454820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1454823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1454826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1454829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454848 */     // MIs[0] round
     /* 1454848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454851 */     // MIs[0] policy
     /* 1454851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1454864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454885 */     // GIR_Coverage, 20659,
     /* 1454885 */     GIR_EraseRootFromParent_Done,
     /* 1454886 */   // Label 20354: @1454886
     /* 1454886 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1454968), // Rule ID 20662 //
     /* 1454891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1454894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1454899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1454911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454930 */     // MIs[0] round
     /* 1454930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1454933 */     // MIs[0] policy
     /* 1454933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1454946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1454952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1454954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1454956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454967 */     // GIR_Coverage, 20662,
     /* 1454967 */     GIR_EraseRootFromParent_Done,
     /* 1454968 */   // Label 20355: @1454968
     /* 1454968 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1455050), // Rule ID 20663 //
     /* 1454973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1454976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1454981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1454993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455012 */     // MIs[0] round
     /* 1455012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455015 */     // MIs[0] policy
     /* 1455015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455025 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1455028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455049 */     // GIR_Coverage, 20663,
     /* 1455049 */     GIR_EraseRootFromParent_Done,
     /* 1455050 */   // Label 20356: @1455050
     /* 1455050 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1455132), // Rule ID 20666 //
     /* 1455055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1455058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1455075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455094 */     // MIs[0] round
     /* 1455094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455097 */     // MIs[0] policy
     /* 1455097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1455110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455131 */     // GIR_Coverage, 20666,
     /* 1455131 */     GIR_EraseRootFromParent_Done,
     /* 1455132 */   // Label 20357: @1455132
     /* 1455132 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1455214), // Rule ID 20667 //
     /* 1455137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1455140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1455157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455176 */     // MIs[0] round
     /* 1455176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455179 */     // MIs[0] policy
     /* 1455179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1455192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455213 */     // GIR_Coverage, 20667,
     /* 1455213 */     GIR_EraseRootFromParent_Done,
     /* 1455214 */   // Label 20358: @1455214
     /* 1455214 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1455296), // Rule ID 20670 //
     /* 1455219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1455222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1455239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455258 */     // MIs[0] round
     /* 1455258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455261 */     // MIs[0] policy
     /* 1455261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1455274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455295 */     // GIR_Coverage, 20670,
     /* 1455295 */     GIR_EraseRootFromParent_Done,
     /* 1455296 */   // Label 20359: @1455296
     /* 1455296 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1455378), // Rule ID 20671 //
     /* 1455301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1455304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1455321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455340 */     // MIs[0] round
     /* 1455340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455343 */     // MIs[0] policy
     /* 1455343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1455356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455377 */     // GIR_Coverage, 20671,
     /* 1455377 */     GIR_EraseRootFromParent_Done,
     /* 1455378 */   // Label 20360: @1455378
     /* 1455378 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1455460), // Rule ID 20674 //
     /* 1455383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1455386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1455400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1455403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455422 */     // MIs[0] round
     /* 1455422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455425 */     // MIs[0] policy
     /* 1455425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455459 */     // GIR_Coverage, 20674,
     /* 1455459 */     GIR_EraseRootFromParent_Done,
     /* 1455460 */   // Label 20361: @1455460
     /* 1455460 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1455542), // Rule ID 20675 //
     /* 1455465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1455468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1455476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1455479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1455482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1455485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455504 */     // MIs[0] round
     /* 1455504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455507 */     // MIs[0] policy
     /* 1455507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455541 */     // GIR_Coverage, 20675,
     /* 1455541 */     GIR_EraseRootFromParent_Done,
     /* 1455542 */   // Label 20362: @1455542
     /* 1455542 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1455624), // Rule ID 20678 //
     /* 1455547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1455550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1455567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455586 */     // MIs[0] round
     /* 1455586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455589 */     // MIs[0] policy
     /* 1455589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455623 */     // GIR_Coverage, 20678,
     /* 1455623 */     GIR_EraseRootFromParent_Done,
     /* 1455624 */   // Label 20363: @1455624
     /* 1455624 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1455706), // Rule ID 20679 //
     /* 1455629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1455632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1455649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455668 */     // MIs[0] round
     /* 1455668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455671 */     // MIs[0] policy
     /* 1455671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455681 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455705 */     // GIR_Coverage, 20679,
     /* 1455705 */     GIR_EraseRootFromParent_Done,
     /* 1455706 */   // Label 20364: @1455706
     /* 1455706 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1455788), // Rule ID 20682 //
     /* 1455711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1455714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1455731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455750 */     // MIs[0] round
     /* 1455750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455753 */     // MIs[0] policy
     /* 1455753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455787 */     // GIR_Coverage, 20682,
     /* 1455787 */     GIR_EraseRootFromParent_Done,
     /* 1455788 */   // Label 20365: @1455788
     /* 1455788 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1455870), // Rule ID 20683 //
     /* 1455793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1455796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1455813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455832 */     // MIs[0] round
     /* 1455832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455835 */     // MIs[0] policy
     /* 1455835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455845 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1455848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455869 */     // GIR_Coverage, 20683,
     /* 1455869 */     GIR_EraseRootFromParent_Done,
     /* 1455870 */   // Label 20366: @1455870
     /* 1455870 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1455952), // Rule ID 20686 //
     /* 1455875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1455878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1455895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455914 */     // MIs[0] round
     /* 1455914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455917 */     // MIs[0] policy
     /* 1455917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1455930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1455936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1455938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1455940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455951 */     // GIR_Coverage, 20686,
     /* 1455951 */     GIR_EraseRootFromParent_Done,
     /* 1455952 */   // Label 20367: @1455952
     /* 1455952 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1456034), // Rule ID 20687 //
     /* 1455957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1455960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1455965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1455968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1455971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1455974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1455977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455996 */     // MIs[0] round
     /* 1455996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1455999 */     // MIs[0] policy
     /* 1455999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456009 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1456012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456033 */     // GIR_Coverage, 20687,
     /* 1456033 */     GIR_EraseRootFromParent_Done,
     /* 1456034 */   // Label 20368: @1456034
     /* 1456034 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1456116), // Rule ID 20690 //
     /* 1456039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1456042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1456059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456078 */     // MIs[0] round
     /* 1456078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456081 */     // MIs[0] policy
     /* 1456081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1456094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456115 */     // GIR_Coverage, 20690,
     /* 1456115 */     GIR_EraseRootFromParent_Done,
     /* 1456116 */   // Label 20369: @1456116
     /* 1456116 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1456198), // Rule ID 20691 //
     /* 1456121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1456124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1456141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456160 */     // MIs[0] round
     /* 1456160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456163 */     // MIs[0] policy
     /* 1456163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1456176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456197 */     // GIR_Coverage, 20691,
     /* 1456197 */     GIR_EraseRootFromParent_Done,
     /* 1456198 */   // Label 20370: @1456198
     /* 1456198 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1456280), // Rule ID 20694 //
     /* 1456203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1456206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1456223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456242 */     // MIs[0] round
     /* 1456242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456245 */     // MIs[0] policy
     /* 1456245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1456258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456279 */     // GIR_Coverage, 20694,
     /* 1456279 */     GIR_EraseRootFromParent_Done,
     /* 1456280 */   // Label 20371: @1456280
     /* 1456280 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1456362), // Rule ID 20695 //
     /* 1456285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1456288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1456305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456324 */     // MIs[0] round
     /* 1456324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456327 */     // MIs[0] policy
     /* 1456327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1456340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456361 */     // GIR_Coverage, 20695,
     /* 1456361 */     GIR_EraseRootFromParent_Done,
     /* 1456362 */   // Label 20372: @1456362
     /* 1456362 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1456444), // Rule ID 20698 //
     /* 1456367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1456370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1456387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456406 */     // MIs[0] round
     /* 1456406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456409 */     // MIs[0] policy
     /* 1456409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1456422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456443 */     // GIR_Coverage, 20698,
     /* 1456443 */     GIR_EraseRootFromParent_Done,
     /* 1456444 */   // Label 20373: @1456444
     /* 1456444 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1456526), // Rule ID 20699 //
     /* 1456449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1456452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1456469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456488 */     // MIs[0] round
     /* 1456488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456491 */     // MIs[0] policy
     /* 1456491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1456504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456525 */     // GIR_Coverage, 20699,
     /* 1456525 */     GIR_EraseRootFromParent_Done,
     /* 1456526 */   // Label 20374: @1456526
     /* 1456526 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1456608), // Rule ID 20702 //
     /* 1456531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1456534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1456551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456570 */     // MIs[0] round
     /* 1456570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456573 */     // MIs[0] policy
     /* 1456573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1456586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456607 */     // GIR_Coverage, 20702,
     /* 1456607 */     GIR_EraseRootFromParent_Done,
     /* 1456608 */   // Label 20375: @1456608
     /* 1456608 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1456690), // Rule ID 20703 //
     /* 1456613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1456616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1456633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456652 */     // MIs[0] round
     /* 1456652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456655 */     // MIs[0] policy
     /* 1456655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1456668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456689 */     // GIR_Coverage, 20703,
     /* 1456689 */     GIR_EraseRootFromParent_Done,
     /* 1456690 */   // Label 20376: @1456690
     /* 1456690 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1456772), // Rule ID 20706 //
     /* 1456695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1456698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1456706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1456709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1456715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456734 */     // MIs[0] round
     /* 1456734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456737 */     // MIs[0] policy
     /* 1456737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1456750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456771 */     // GIR_Coverage, 20706,
     /* 1456771 */     GIR_EraseRootFromParent_Done,
     /* 1456772 */   // Label 20377: @1456772
     /* 1456772 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1456854), // Rule ID 20707 //
     /* 1456777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1456780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1456788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1456791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1456794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1456797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456816 */     // MIs[0] round
     /* 1456816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456819 */     // MIs[0] policy
     /* 1456819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1456832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456853 */     // GIR_Coverage, 20707,
     /* 1456853 */     GIR_EraseRootFromParent_Done,
     /* 1456854 */   // Label 20378: @1456854
     /* 1456854 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1456936), // Rule ID 20710 //
     /* 1456859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1456862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1456870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1456873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1456879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456898 */     // MIs[0] round
     /* 1456898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456901 */     // MIs[0] policy
     /* 1456901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1456914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1456920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1456922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1456924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1456932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456935 */     // GIR_Coverage, 20710,
     /* 1456935 */     GIR_EraseRootFromParent_Done,
     /* 1456936 */   // Label 20379: @1456936
     /* 1456936 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1457018), // Rule ID 20711 //
     /* 1456941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1456944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1456949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1456952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1456955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1456958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1456961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456980 */     // MIs[0] round
     /* 1456980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1456983 */     // MIs[0] policy
     /* 1456983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1456996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457017 */     // GIR_Coverage, 20711,
     /* 1457017 */     GIR_EraseRootFromParent_Done,
     /* 1457018 */   // Label 20380: @1457018
     /* 1457018 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1457100), // Rule ID 20714 //
     /* 1457023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1457026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1457031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1457043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457062 */     // MIs[0] round
     /* 1457062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457065 */     // MIs[0] policy
     /* 1457065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1457078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457099 */     // GIR_Coverage, 20714,
     /* 1457099 */     GIR_EraseRootFromParent_Done,
     /* 1457100 */   // Label 20381: @1457100
     /* 1457100 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1457182), // Rule ID 20715 //
     /* 1457105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1457108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1457113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1457125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457144 */     // MIs[0] round
     /* 1457144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457147 */     // MIs[0] policy
     /* 1457147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1457160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457181 */     // GIR_Coverage, 20715,
     /* 1457181 */     GIR_EraseRootFromParent_Done,
     /* 1457182 */   // Label 20382: @1457182
     /* 1457182 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1457264), // Rule ID 20718 //
     /* 1457187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1457190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1457195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1457207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457226 */     // MIs[0] round
     /* 1457226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457229 */     // MIs[0] policy
     /* 1457229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1457242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457263 */     // GIR_Coverage, 20718,
     /* 1457263 */     GIR_EraseRootFromParent_Done,
     /* 1457264 */   // Label 20383: @1457264
     /* 1457264 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1457346), // Rule ID 20719 //
     /* 1457269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1457272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1457277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1457289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457308 */     // MIs[0] round
     /* 1457308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457311 */     // MIs[0] policy
     /* 1457311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1457324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457345 */     // GIR_Coverage, 20719,
     /* 1457345 */     GIR_EraseRootFromParent_Done,
     /* 1457346 */   // Label 20384: @1457346
     /* 1457346 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1457428), // Rule ID 20842 //
     /* 1457351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1457354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1457371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457390 */     // MIs[0] round
     /* 1457390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457393 */     // MIs[0] policy
     /* 1457393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457403 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1457406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457427 */     // GIR_Coverage, 20842,
     /* 1457427 */     GIR_EraseRootFromParent_Done,
     /* 1457428 */   // Label 20385: @1457428
     /* 1457428 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1457510), // Rule ID 20843 //
     /* 1457433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1457436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1457444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1457447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1457450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1457453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457472 */     // MIs[0] round
     /* 1457472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457475 */     // MIs[0] policy
     /* 1457475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457485 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1457488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457509 */     // GIR_Coverage, 20843,
     /* 1457509 */     GIR_EraseRootFromParent_Done,
     /* 1457510 */   // Label 20386: @1457510
     /* 1457510 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1457592), // Rule ID 20846 //
     /* 1457515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1457518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1457535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457554 */     // MIs[0] round
     /* 1457554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457557 */     // MIs[0] policy
     /* 1457557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457567 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1457570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457591 */     // GIR_Coverage, 20846,
     /* 1457591 */     GIR_EraseRootFromParent_Done,
     /* 1457592 */   // Label 20387: @1457592
     /* 1457592 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1457674), // Rule ID 20847 //
     /* 1457597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1457600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1457608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1457611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1457614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1457617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457636 */     // MIs[0] round
     /* 1457636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457639 */     // MIs[0] policy
     /* 1457639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457649 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1457652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457673 */     // GIR_Coverage, 20847,
     /* 1457673 */     GIR_EraseRootFromParent_Done,
     /* 1457674 */   // Label 20388: @1457674
     /* 1457674 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1457756), // Rule ID 20850 //
     /* 1457679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1457682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1457699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457718 */     // MIs[0] round
     /* 1457718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457721 */     // MIs[0] policy
     /* 1457721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1457734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457755 */     // GIR_Coverage, 20850,
     /* 1457755 */     GIR_EraseRootFromParent_Done,
     /* 1457756 */   // Label 20389: @1457756
     /* 1457756 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1457838), // Rule ID 20851 //
     /* 1457761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1457764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1457772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1457775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1457778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1457781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457800 */     // MIs[0] round
     /* 1457800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457803 */     // MIs[0] policy
     /* 1457803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457813 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1457816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457837 */     // GIR_Coverage, 20851,
     /* 1457837 */     GIR_EraseRootFromParent_Done,
     /* 1457838 */   // Label 20390: @1457838
     /* 1457838 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1457920), // Rule ID 20854 //
     /* 1457843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1457846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1457854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1457857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1457863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457882 */     // MIs[0] round
     /* 1457882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457885 */     // MIs[0] policy
     /* 1457885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1457898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457919 */     // GIR_Coverage, 20854,
     /* 1457919 */     GIR_EraseRootFromParent_Done,
     /* 1457920 */   // Label 20391: @1457920
     /* 1457920 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1458002), // Rule ID 20855 //
     /* 1457925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1457928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1457933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1457936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1457939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1457942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1457945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457964 */     // MIs[0] round
     /* 1457964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1457967 */     // MIs[0] policy
     /* 1457967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1457980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1457986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1457988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1457990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458001 */     // GIR_Coverage, 20855,
     /* 1458001 */     GIR_EraseRootFromParent_Done,
     /* 1458002 */   // Label 20392: @1458002
     /* 1458002 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1458084), // Rule ID 20858 //
     /* 1458007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1458010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1458027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458046 */     // MIs[0] round
     /* 1458046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458049 */     // MIs[0] policy
     /* 1458049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1458062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458083 */     // GIR_Coverage, 20858,
     /* 1458083 */     GIR_EraseRootFromParent_Done,
     /* 1458084 */   // Label 20393: @1458084
     /* 1458084 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1458166), // Rule ID 20859 //
     /* 1458089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1458092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1458100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1458103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1458106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1458109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458128 */     // MIs[0] round
     /* 1458128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458131 */     // MIs[0] policy
     /* 1458131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458141 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1458144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458165 */     // GIR_Coverage, 20859,
     /* 1458165 */     GIR_EraseRootFromParent_Done,
     /* 1458166 */   // Label 20394: @1458166
     /* 1458166 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1458248), // Rule ID 20862 //
     /* 1458171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1458174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1458191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458210 */     // MIs[0] round
     /* 1458210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458213 */     // MIs[0] policy
     /* 1458213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458223 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1458226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458247 */     // GIR_Coverage, 20862,
     /* 1458247 */     GIR_EraseRootFromParent_Done,
     /* 1458248 */   // Label 20395: @1458248
     /* 1458248 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1458330), // Rule ID 20863 //
     /* 1458253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1458256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1458264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1458267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1458270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1458273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458292 */     // MIs[0] round
     /* 1458292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458295 */     // MIs[0] policy
     /* 1458295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458305 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1458308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458329 */     // GIR_Coverage, 20863,
     /* 1458329 */     GIR_EraseRootFromParent_Done,
     /* 1458330 */   // Label 20396: @1458330
     /* 1458330 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1458412), // Rule ID 20866 //
     /* 1458335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1458338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1458346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1458349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1458355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458374 */     // MIs[0] round
     /* 1458374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458377 */     // MIs[0] policy
     /* 1458377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1458390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458411 */     // GIR_Coverage, 20866,
     /* 1458411 */     GIR_EraseRootFromParent_Done,
     /* 1458412 */   // Label 20397: @1458412
     /* 1458412 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1458494), // Rule ID 20867 //
     /* 1458417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1458420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1458428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1458431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1458437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458456 */     // MIs[0] round
     /* 1458456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458459 */     // MIs[0] policy
     /* 1458459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458469 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1458472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458493 */     // GIR_Coverage, 20867,
     /* 1458493 */     GIR_EraseRootFromParent_Done,
     /* 1458494 */   // Label 20398: @1458494
     /* 1458494 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1458576), // Rule ID 20870 //
     /* 1458499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1458502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1458510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1458513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1458519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458538 */     // MIs[0] round
     /* 1458538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458541 */     // MIs[0] policy
     /* 1458541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458551 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1458554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458575 */     // GIR_Coverage, 20870,
     /* 1458575 */     GIR_EraseRootFromParent_Done,
     /* 1458576 */   // Label 20399: @1458576
     /* 1458576 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1458658), // Rule ID 20871 //
     /* 1458581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1458584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1458592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1458595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1458601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458620 */     // MIs[0] round
     /* 1458620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458623 */     // MIs[0] policy
     /* 1458623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458633 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1458636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458657 */     // GIR_Coverage, 20871,
     /* 1458657 */     GIR_EraseRootFromParent_Done,
     /* 1458658 */   // Label 20400: @1458658
     /* 1458658 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1458740), // Rule ID 20874 //
     /* 1458663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1458666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1458683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458702 */     // MIs[0] round
     /* 1458702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458705 */     // MIs[0] policy
     /* 1458705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458715 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1458718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458739 */     // GIR_Coverage, 20874,
     /* 1458739 */     GIR_EraseRootFromParent_Done,
     /* 1458740 */   // Label 20401: @1458740
     /* 1458740 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1458822), // Rule ID 20875 //
     /* 1458745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1458748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1458765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458784 */     // MIs[0] round
     /* 1458784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458787 */     // MIs[0] policy
     /* 1458787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458797 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1458800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458821 */     // GIR_Coverage, 20875,
     /* 1458821 */     GIR_EraseRootFromParent_Done,
     /* 1458822 */   // Label 20402: @1458822
     /* 1458822 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1458904), // Rule ID 20878 //
     /* 1458827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1458830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1458847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458866 */     // MIs[0] round
     /* 1458866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458869 */     // MIs[0] policy
     /* 1458869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458879 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1458882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458903 */     // GIR_Coverage, 20878,
     /* 1458903 */     GIR_EraseRootFromParent_Done,
     /* 1458904 */   // Label 20403: @1458904
     /* 1458904 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1458986), // Rule ID 20879 //
     /* 1458909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1458912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1458929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458948 */     // MIs[0] round
     /* 1458948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1458951 */     // MIs[0] policy
     /* 1458951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458961 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1458964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1458970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1458972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1458974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458985 */     // GIR_Coverage, 20879,
     /* 1458985 */     GIR_EraseRootFromParent_Done,
     /* 1458986 */   // Label 20404: @1458986
     /* 1458986 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1459068), // Rule ID 20882 //
     /* 1458991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1458994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1458999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1459002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1459005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1459011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459030 */     // MIs[0] round
     /* 1459030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459033 */     // MIs[0] policy
     /* 1459033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459043 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1459046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459067 */     // GIR_Coverage, 20882,
     /* 1459067 */     GIR_EraseRootFromParent_Done,
     /* 1459068 */   // Label 20405: @1459068
     /* 1459068 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1459150), // Rule ID 20883 //
     /* 1459073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1459076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1459084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1459087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1459090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1459093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459112 */     // MIs[0] round
     /* 1459112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459115 */     // MIs[0] policy
     /* 1459115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459125 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1459128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459149 */     // GIR_Coverage, 20883,
     /* 1459149 */     GIR_EraseRootFromParent_Done,
     /* 1459150 */   // Label 20406: @1459150
     /* 1459150 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1459232), // Rule ID 20886 //
     /* 1459155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1459158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1459166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1459169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1459175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459194 */     // MIs[0] round
     /* 1459194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459197 */     // MIs[0] policy
     /* 1459197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459207 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1459210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459231 */     // GIR_Coverage, 20886,
     /* 1459231 */     GIR_EraseRootFromParent_Done,
     /* 1459232 */   // Label 20407: @1459232
     /* 1459232 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1459314), // Rule ID 20887 //
     /* 1459237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1459240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1459248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1459251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1459257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459276 */     // MIs[0] round
     /* 1459276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459279 */     // MIs[0] policy
     /* 1459279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459289 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1459292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459313 */     // GIR_Coverage, 20887,
     /* 1459313 */     GIR_EraseRootFromParent_Done,
     /* 1459314 */   // Label 20408: @1459314
     /* 1459314 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1459396), // Rule ID 20890 //
     /* 1459319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1459322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1459330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1459333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1459339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459358 */     // MIs[0] round
     /* 1459358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459361 */     // MIs[0] policy
     /* 1459361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459371 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1459374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459395 */     // GIR_Coverage, 20890,
     /* 1459395 */     GIR_EraseRootFromParent_Done,
     /* 1459396 */   // Label 20409: @1459396
     /* 1459396 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1459478), // Rule ID 20891 //
     /* 1459401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1459404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1459412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1459415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1459421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459440 */     // MIs[0] round
     /* 1459440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459443 */     // MIs[0] policy
     /* 1459443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1459456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459477 */     // GIR_Coverage, 20891,
     /* 1459477 */     GIR_EraseRootFromParent_Done,
     /* 1459478 */   // Label 20410: @1459478
     /* 1459478 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1459560), // Rule ID 20894 //
     /* 1459483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1459486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1459503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459522 */     // MIs[0] round
     /* 1459522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459525 */     // MIs[0] policy
     /* 1459525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459535 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1459538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459559 */     // GIR_Coverage, 20894,
     /* 1459559 */     GIR_EraseRootFromParent_Done,
     /* 1459560 */   // Label 20411: @1459560
     /* 1459560 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1459642), // Rule ID 20895 //
     /* 1459565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1459568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1459585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459604 */     // MIs[0] round
     /* 1459604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459607 */     // MIs[0] policy
     /* 1459607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1459620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459641 */     // GIR_Coverage, 20895,
     /* 1459641 */     GIR_EraseRootFromParent_Done,
     /* 1459642 */   // Label 20412: @1459642
     /* 1459642 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1459724), // Rule ID 20898 //
     /* 1459647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1459650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1459667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459686 */     // MIs[0] round
     /* 1459686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459689 */     // MIs[0] policy
     /* 1459689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459699 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1459702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459723 */     // GIR_Coverage, 20898,
     /* 1459723 */     GIR_EraseRootFromParent_Done,
     /* 1459724 */   // Label 20413: @1459724
     /* 1459724 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1459806), // Rule ID 20899 //
     /* 1459729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1459732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1459737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1459749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459768 */     // MIs[0] round
     /* 1459768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459771 */     // MIs[0] policy
     /* 1459771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459781 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1459784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459805 */     // GIR_Coverage, 20899,
     /* 1459805 */     GIR_EraseRootFromParent_Done,
     /* 1459806 */   // Label 20414: @1459806
     /* 1459806 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1459888), // Rule ID 20902 //
     /* 1459811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1459814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1459819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1459828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1459831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459850 */     // MIs[0] round
     /* 1459850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459853 */     // MIs[0] policy
     /* 1459853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459863 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1459866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459887 */     // GIR_Coverage, 20902,
     /* 1459887 */     GIR_EraseRootFromParent_Done,
     /* 1459888 */   // Label 20415: @1459888
     /* 1459888 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1459970), // Rule ID 20903 //
     /* 1459893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1459896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1459901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1459910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1459913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459932 */     // MIs[0] round
     /* 1459932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1459935 */     // MIs[0] policy
     /* 1459935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459945 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1459948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1459954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1459956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1459958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459969 */     // GIR_Coverage, 20903,
     /* 1459969 */     GIR_EraseRootFromParent_Done,
     /* 1459970 */   // Label 20416: @1459970
     /* 1459970 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1460052), // Rule ID 20906 //
     /* 1459975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1459978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1459983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1459992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1459995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460014 */     // MIs[0] round
     /* 1460014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460017 */     // MIs[0] policy
     /* 1460017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460027 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1460030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460051 */     // GIR_Coverage, 20906,
     /* 1460051 */     GIR_EraseRootFromParent_Done,
     /* 1460052 */   // Label 20417: @1460052
     /* 1460052 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1460134), // Rule ID 20907 //
     /* 1460057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1460060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1460068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1460071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1460077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460096 */     // MIs[0] round
     /* 1460096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460099 */     // MIs[0] policy
     /* 1460099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460109 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1460112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460133 */     // GIR_Coverage, 20907,
     /* 1460133 */     GIR_EraseRootFromParent_Done,
     /* 1460134 */   // Label 20418: @1460134
     /* 1460134 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1460216), // Rule ID 20910 //
     /* 1460139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1460142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1460159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460178 */     // MIs[0] round
     /* 1460178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460181 */     // MIs[0] policy
     /* 1460181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460191 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1460194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460215 */     // GIR_Coverage, 20910,
     /* 1460215 */     GIR_EraseRootFromParent_Done,
     /* 1460216 */   // Label 20419: @1460216
     /* 1460216 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1460298), // Rule ID 20911 //
     /* 1460221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1460224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1460241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460260 */     // MIs[0] round
     /* 1460260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460263 */     // MIs[0] policy
     /* 1460263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460273 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1460276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460297 */     // GIR_Coverage, 20911,
     /* 1460297 */     GIR_EraseRootFromParent_Done,
     /* 1460298 */   // Label 20420: @1460298
     /* 1460298 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1460380), // Rule ID 20914 //
     /* 1460303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1460306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1460323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460342 */     // MIs[0] round
     /* 1460342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460345 */     // MIs[0] policy
     /* 1460345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1460358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460379 */     // GIR_Coverage, 20914,
     /* 1460379 */     GIR_EraseRootFromParent_Done,
     /* 1460380 */   // Label 20421: @1460380
     /* 1460380 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1460462), // Rule ID 20915 //
     /* 1460385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1460388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1460405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460424 */     // MIs[0] round
     /* 1460424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460427 */     // MIs[0] policy
     /* 1460427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460437 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1460440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460461 */     // GIR_Coverage, 20915,
     /* 1460461 */     GIR_EraseRootFromParent_Done,
     /* 1460462 */   // Label 20422: @1460462
     /* 1460462 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1460544), // Rule ID 20918 //
     /* 1460467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1460470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1460484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1460487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460506 */     // MIs[0] round
     /* 1460506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460509 */     // MIs[0] policy
     /* 1460509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460519 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1460522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460543 */     // GIR_Coverage, 20918,
     /* 1460543 */     GIR_EraseRootFromParent_Done,
     /* 1460544 */   // Label 20423: @1460544
     /* 1460544 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1460626), // Rule ID 20919 //
     /* 1460549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1460552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1460566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1460569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460588 */     // MIs[0] round
     /* 1460588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460591 */     // MIs[0] policy
     /* 1460591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460601 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1460604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460625 */     // GIR_Coverage, 20919,
     /* 1460625 */     GIR_EraseRootFromParent_Done,
     /* 1460626 */   // Label 20424: @1460626
     /* 1460626 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1460708), // Rule ID 20922 //
     /* 1460631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1460634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1460642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1460645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1460651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460670 */     // MIs[0] round
     /* 1460670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460673 */     // MIs[0] policy
     /* 1460673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460683 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1460686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460707 */     // GIR_Coverage, 20922,
     /* 1460707 */     GIR_EraseRootFromParent_Done,
     /* 1460708 */   // Label 20425: @1460708
     /* 1460708 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1460790), // Rule ID 20923 //
     /* 1460713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1460716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1460724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1460727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1460733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460752 */     // MIs[0] round
     /* 1460752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460755 */     // MIs[0] policy
     /* 1460755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460765 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1460768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1460786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460789 */     // GIR_Coverage, 20923,
     /* 1460789 */     GIR_EraseRootFromParent_Done,
     /* 1460790 */   // Label 20426: @1460790
     /* 1460790 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1460872), // Rule ID 20926 //
     /* 1460795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1460798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1460806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1460809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1460812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1460815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460834 */     // MIs[0] round
     /* 1460834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460837 */     // MIs[0] policy
     /* 1460837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460847 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1460850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460871 */     // GIR_Coverage, 20926,
     /* 1460871 */     GIR_EraseRootFromParent_Done,
     /* 1460872 */   // Label 20427: @1460872
     /* 1460872 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1460954), // Rule ID 20927 //
     /* 1460877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1460880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1460888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1460891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1460894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1460897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460916 */     // MIs[0] round
     /* 1460916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1460919 */     // MIs[0] policy
     /* 1460919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460929 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1460932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1460938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1460940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1460942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460953 */     // GIR_Coverage, 20927,
     /* 1460953 */     GIR_EraseRootFromParent_Done,
     /* 1460954 */   // Label 20428: @1460954
     /* 1460954 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1461036), // Rule ID 20930 //
     /* 1460959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1460962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1460967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1460970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1460973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1460976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1460979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460998 */     // MIs[0] round
     /* 1460998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461001 */     // MIs[0] policy
     /* 1461001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461011 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1461014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461035 */     // GIR_Coverage, 20930,
     /* 1461035 */     GIR_EraseRootFromParent_Done,
     /* 1461036 */   // Label 20429: @1461036
     /* 1461036 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1461118), // Rule ID 20931 //
     /* 1461041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1461044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1461052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1461055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1461058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1461061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461080 */     // MIs[0] round
     /* 1461080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461083 */     // MIs[0] policy
     /* 1461083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461093 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1461096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461117 */     // GIR_Coverage, 20931,
     /* 1461117 */     GIR_EraseRootFromParent_Done,
     /* 1461118 */   // Label 20430: @1461118
     /* 1461118 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1461200), // Rule ID 20934 //
     /* 1461123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1461126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1461134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1461137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1461143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461162 */     // MIs[0] round
     /* 1461162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461165 */     // MIs[0] policy
     /* 1461165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461175 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1461178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461199 */     // GIR_Coverage, 20934,
     /* 1461199 */     GIR_EraseRootFromParent_Done,
     /* 1461200 */   // Label 20431: @1461200
     /* 1461200 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1461282), // Rule ID 20935 //
     /* 1461205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1461208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1461216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1461219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1461222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1461225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461244 */     // MIs[0] round
     /* 1461244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461247 */     // MIs[0] policy
     /* 1461247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461257 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1461260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461281 */     // GIR_Coverage, 20935,
     /* 1461281 */     GIR_EraseRootFromParent_Done,
     /* 1461282 */   // Label 20432: @1461282
     /* 1461282 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1461364), // Rule ID 20938 //
     /* 1461287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1461290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1461298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1461301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1461304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1461307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461326 */     // MIs[0] round
     /* 1461326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461329 */     // MIs[0] policy
     /* 1461329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1461342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461363 */     // GIR_Coverage, 20938,
     /* 1461363 */     GIR_EraseRootFromParent_Done,
     /* 1461364 */   // Label 20433: @1461364
     /* 1461364 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1461446), // Rule ID 20939 //
     /* 1461369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1461372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1461380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1461383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1461386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1461389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461408 */     // MIs[0] round
     /* 1461408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461411 */     // MIs[0] policy
     /* 1461411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1461424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461445 */     // GIR_Coverage, 20939,
     /* 1461445 */     GIR_EraseRootFromParent_Done,
     /* 1461446 */   // Label 20434: @1461446
     /* 1461446 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1461528), // Rule ID 20942 //
     /* 1461451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1461454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1461462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1461465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1461468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1461471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461490 */     // MIs[0] round
     /* 1461490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461493 */     // MIs[0] policy
     /* 1461493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461503 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1461506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461527 */     // GIR_Coverage, 20942,
     /* 1461527 */     GIR_EraseRootFromParent_Done,
     /* 1461528 */   // Label 20435: @1461528
     /* 1461528 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1461610), // Rule ID 20943 //
     /* 1461533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1461536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1461544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1461547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1461550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1461553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461572 */     // MIs[0] round
     /* 1461572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461575 */     // MIs[0] policy
     /* 1461575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1461588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461609 */     // GIR_Coverage, 20943,
     /* 1461609 */     GIR_EraseRootFromParent_Done,
     /* 1461610 */   // Label 20436: @1461610
     /* 1461610 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1461692), // Rule ID 20946 //
     /* 1461615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1461618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1461626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1461629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1461632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1461635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461654 */     // MIs[0] round
     /* 1461654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461657 */     // MIs[0] policy
     /* 1461657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1461670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461691 */     // GIR_Coverage, 20946,
     /* 1461691 */     GIR_EraseRootFromParent_Done,
     /* 1461692 */   // Label 20437: @1461692
     /* 1461692 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1461774), // Rule ID 20947 //
     /* 1461697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1461700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1461708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1461711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1461714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1461717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461736 */     // MIs[0] round
     /* 1461736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461739 */     // MIs[0] policy
     /* 1461739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1461752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461773 */     // GIR_Coverage, 20947,
     /* 1461773 */     GIR_EraseRootFromParent_Done,
     /* 1461774 */   // Label 20438: @1461774
     /* 1461774 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1461856), // Rule ID 20950 //
     /* 1461779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1461782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1461790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1461793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1461796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1461799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461818 */     // MIs[0] round
     /* 1461818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461821 */     // MIs[0] policy
     /* 1461821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1461834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461855 */     // GIR_Coverage, 20950,
     /* 1461855 */     GIR_EraseRootFromParent_Done,
     /* 1461856 */   // Label 20439: @1461856
     /* 1461856 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1461938), // Rule ID 20951 //
     /* 1461861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1461864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1461872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1461875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1461878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1461881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461900 */     // MIs[0] round
     /* 1461900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461903 */     // MIs[0] policy
     /* 1461903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461913 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1461916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1461922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1461924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1461926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461937 */     // GIR_Coverage, 20951,
     /* 1461937 */     GIR_EraseRootFromParent_Done,
     /* 1461938 */   // Label 20440: @1461938
     /* 1461938 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1462020), // Rule ID 20954 //
     /* 1461943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1461946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1461951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1461954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1461957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1461960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1461963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461982 */     // MIs[0] round
     /* 1461982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1461985 */     // MIs[0] policy
     /* 1461985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461995 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1461998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462019 */     // GIR_Coverage, 20954,
     /* 1462019 */     GIR_EraseRootFromParent_Done,
     /* 1462020 */   // Label 20441: @1462020
     /* 1462020 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1462102), // Rule ID 20955 //
     /* 1462025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1462028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1462033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1462036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1462039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1462042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1462045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462064 */     // MIs[0] round
     /* 1462064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462067 */     // MIs[0] policy
     /* 1462067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462077 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1462080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462101 */     // GIR_Coverage, 20955,
     /* 1462101 */     GIR_EraseRootFromParent_Done,
     /* 1462102 */   // Label 20442: @1462102
     /* 1462102 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1462184), // Rule ID 20958 //
     /* 1462107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1462110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1462115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1462118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1462121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1462124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1462127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462146 */     // MIs[0] round
     /* 1462146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462149 */     // MIs[0] policy
     /* 1462149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462159 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1462162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462183 */     // GIR_Coverage, 20958,
     /* 1462183 */     GIR_EraseRootFromParent_Done,
     /* 1462184 */   // Label 20443: @1462184
     /* 1462184 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1462266), // Rule ID 20959 //
     /* 1462189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1462192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1462197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1462200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1462203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1462206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1462209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462228 */     // MIs[0] round
     /* 1462228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462231 */     // MIs[0] policy
     /* 1462231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462241 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1462244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462265 */     // GIR_Coverage, 20959,
     /* 1462265 */     GIR_EraseRootFromParent_Done,
     /* 1462266 */   // Label 20444: @1462266
     /* 1462266 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1462348), // Rule ID 21034 //
     /* 1462271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1462274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1462291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462310 */     // MIs[0] round
     /* 1462310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462313 */     // MIs[0] policy
     /* 1462313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1462326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462347 */     // GIR_Coverage, 21034,
     /* 1462347 */     GIR_EraseRootFromParent_Done,
     /* 1462348 */   // Label 20445: @1462348
     /* 1462348 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1462430), // Rule ID 21035 //
     /* 1462353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1462356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1462364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1462367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1462373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462392 */     // MIs[0] round
     /* 1462392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462395 */     // MIs[0] policy
     /* 1462395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1462408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462429 */     // GIR_Coverage, 21035,
     /* 1462429 */     GIR_EraseRootFromParent_Done,
     /* 1462430 */   // Label 20446: @1462430
     /* 1462430 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1462512), // Rule ID 21038 //
     /* 1462435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1462438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1462455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462474 */     // MIs[0] round
     /* 1462474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462477 */     // MIs[0] policy
     /* 1462477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1462490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462511 */     // GIR_Coverage, 21038,
     /* 1462511 */     GIR_EraseRootFromParent_Done,
     /* 1462512 */   // Label 20447: @1462512
     /* 1462512 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1462594), // Rule ID 21039 //
     /* 1462517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1462520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1462528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1462531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1462537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462556 */     // MIs[0] round
     /* 1462556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462559 */     // MIs[0] policy
     /* 1462559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462569 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1462572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462593 */     // GIR_Coverage, 21039,
     /* 1462593 */     GIR_EraseRootFromParent_Done,
     /* 1462594 */   // Label 20448: @1462594
     /* 1462594 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1462676), // Rule ID 21042 //
     /* 1462599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1462602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1462619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462638 */     // MIs[0] round
     /* 1462638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462641 */     // MIs[0] policy
     /* 1462641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1462654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462675 */     // GIR_Coverage, 21042,
     /* 1462675 */     GIR_EraseRootFromParent_Done,
     /* 1462676 */   // Label 20449: @1462676
     /* 1462676 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1462758), // Rule ID 21043 //
     /* 1462681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1462684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1462701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462720 */     // MIs[0] round
     /* 1462720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462723 */     // MIs[0] policy
     /* 1462723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1462736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462757 */     // GIR_Coverage, 21043,
     /* 1462757 */     GIR_EraseRootFromParent_Done,
     /* 1462758 */   // Label 20450: @1462758
     /* 1462758 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1462840), // Rule ID 21046 //
     /* 1462763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1462766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1462783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462802 */     // MIs[0] round
     /* 1462802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462805 */     // MIs[0] policy
     /* 1462805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462815 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1462818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462839 */     // GIR_Coverage, 21046,
     /* 1462839 */     GIR_EraseRootFromParent_Done,
     /* 1462840 */   // Label 20451: @1462840
     /* 1462840 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1462922), // Rule ID 21047 //
     /* 1462845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1462848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1462865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462884 */     // MIs[0] round
     /* 1462884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462887 */     // MIs[0] policy
     /* 1462887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1462900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462921 */     // GIR_Coverage, 21047,
     /* 1462921 */     GIR_EraseRootFromParent_Done,
     /* 1462922 */   // Label 20452: @1462922
     /* 1462922 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1463004), // Rule ID 21050 //
     /* 1462927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1462930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1462935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1462938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1462941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1462947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462966 */     // MIs[0] round
     /* 1462966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1462969 */     // MIs[0] policy
     /* 1462969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1462982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1462988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1462990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1462992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463003 */     // GIR_Coverage, 21050,
     /* 1463003 */     GIR_EraseRootFromParent_Done,
     /* 1463004 */   // Label 20453: @1463004
     /* 1463004 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1463086), // Rule ID 21051 //
     /* 1463009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1463012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1463020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1463026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1463029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463048 */     // MIs[0] round
     /* 1463048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463051 */     // MIs[0] policy
     /* 1463051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1463064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463085 */     // GIR_Coverage, 21051,
     /* 1463085 */     GIR_EraseRootFromParent_Done,
     /* 1463086 */   // Label 20454: @1463086
     /* 1463086 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1463168), // Rule ID 21054 //
     /* 1463091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1463094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1463108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1463111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463130 */     // MIs[0] round
     /* 1463130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463133 */     // MIs[0] policy
     /* 1463133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1463146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463167 */     // GIR_Coverage, 21054,
     /* 1463167 */     GIR_EraseRootFromParent_Done,
     /* 1463168 */   // Label 20455: @1463168
     /* 1463168 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1463250), // Rule ID 21055 //
     /* 1463173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1463176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1463184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1463187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1463190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1463193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463212 */     // MIs[0] round
     /* 1463212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463215 */     // MIs[0] policy
     /* 1463215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1463228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463249 */     // GIR_Coverage, 21055,
     /* 1463249 */     GIR_EraseRootFromParent_Done,
     /* 1463250 */   // Label 20456: @1463250
     /* 1463250 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1463332), // Rule ID 21058 //
     /* 1463255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1463258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1463275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463294 */     // MIs[0] round
     /* 1463294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463297 */     // MIs[0] policy
     /* 1463297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1463310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463331 */     // GIR_Coverage, 21058,
     /* 1463331 */     GIR_EraseRootFromParent_Done,
     /* 1463332 */   // Label 20457: @1463332
     /* 1463332 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1463414), // Rule ID 21059 //
     /* 1463337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1463340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1463357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463376 */     // MIs[0] round
     /* 1463376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463379 */     // MIs[0] policy
     /* 1463379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463389 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10948:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1463392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463413 */     // GIR_Coverage, 21059,
     /* 1463413 */     GIR_EraseRootFromParent_Done,
     /* 1463414 */   // Label 20458: @1463414
     /* 1463414 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1463496), // Rule ID 21062 //
     /* 1463419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1463422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1463436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1463439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463458 */     // MIs[0] round
     /* 1463458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463461 */     // MIs[0] policy
     /* 1463461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1463474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463495 */     // GIR_Coverage, 21062,
     /* 1463495 */     GIR_EraseRootFromParent_Done,
     /* 1463496 */   // Label 20459: @1463496
     /* 1463496 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1463578), // Rule ID 21063 //
     /* 1463501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1463504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1463518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1463521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463540 */     // MIs[0] round
     /* 1463540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463543 */     // MIs[0] policy
     /* 1463543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463553 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10948:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1463556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463577 */     // GIR_Coverage, 21063,
     /* 1463577 */     GIR_EraseRootFromParent_Done,
     /* 1463578 */   // Label 20460: @1463578
     /* 1463578 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1463660), // Rule ID 21066 //
     /* 1463583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1463586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1463603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463622 */     // MIs[0] round
     /* 1463622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463625 */     // MIs[0] policy
     /* 1463625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1463638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463659 */     // GIR_Coverage, 21066,
     /* 1463659 */     GIR_EraseRootFromParent_Done,
     /* 1463660 */   // Label 20461: @1463660
     /* 1463660 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1463742), // Rule ID 21067 //
     /* 1463665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1463668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1463673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1463685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463704 */     // MIs[0] round
     /* 1463704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463707 */     // MIs[0] policy
     /* 1463707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463717 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10948:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1463720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463741 */     // GIR_Coverage, 21067,
     /* 1463741 */     GIR_EraseRootFromParent_Done,
     /* 1463742 */   // Label 20462: @1463742
     /* 1463742 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1463824), // Rule ID 21070 //
     /* 1463747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1463750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1463755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1463758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1463761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1463764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1463767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463786 */     // MIs[0] round
     /* 1463786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463789 */     // MIs[0] policy
     /* 1463789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1463802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463823 */     // GIR_Coverage, 21070,
     /* 1463823 */     GIR_EraseRootFromParent_Done,
     /* 1463824 */   // Label 20463: @1463824
     /* 1463824 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1463906), // Rule ID 21071 //
     /* 1463829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1463832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1463837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1463840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1463843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1463846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1463849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463868 */     // MIs[0] round
     /* 1463868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463871 */     // MIs[0] policy
     /* 1463871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1463884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463905 */     // GIR_Coverage, 21071,
     /* 1463905 */     GIR_EraseRootFromParent_Done,
     /* 1463906 */   // Label 20464: @1463906
     /* 1463906 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1463988), // Rule ID 21074 //
     /* 1463911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1463914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1463919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1463922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1463925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1463928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1463931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463950 */     // MIs[0] round
     /* 1463950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1463953 */     // MIs[0] policy
     /* 1463953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1463966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1463972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1463974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1463976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463987 */     // GIR_Coverage, 21074,
     /* 1463987 */     GIR_EraseRootFromParent_Done,
     /* 1463988 */   // Label 20465: @1463988
     /* 1463988 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1464070), // Rule ID 21075 //
     /* 1463993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1463996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1464013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464032 */     // MIs[0] round
     /* 1464032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464035 */     // MIs[0] policy
     /* 1464035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1464048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464069 */     // GIR_Coverage, 21075,
     /* 1464069 */     GIR_EraseRootFromParent_Done,
     /* 1464070 */   // Label 20466: @1464070
     /* 1464070 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1464152), // Rule ID 21078 //
     /* 1464075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1464078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1464092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1464095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464114 */     // MIs[0] round
     /* 1464114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464117 */     // MIs[0] policy
     /* 1464117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1464130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464151 */     // GIR_Coverage, 21078,
     /* 1464151 */     GIR_EraseRootFromParent_Done,
     /* 1464152 */   // Label 20467: @1464152
     /* 1464152 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1464234), // Rule ID 21079 //
     /* 1464157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1464160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1464174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1464177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464196 */     // MIs[0] round
     /* 1464196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464199 */     // MIs[0] policy
     /* 1464199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1464212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464233 */     // GIR_Coverage, 21079,
     /* 1464233 */     GIR_EraseRootFromParent_Done,
     /* 1464234 */   // Label 20468: @1464234
     /* 1464234 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1464316), // Rule ID 21082 //
     /* 1464239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1464242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1464256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1464259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464278 */     // MIs[0] round
     /* 1464278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464281 */     // MIs[0] policy
     /* 1464281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1464294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464315 */     // GIR_Coverage, 21082,
     /* 1464315 */     GIR_EraseRootFromParent_Done,
     /* 1464316 */   // Label 20469: @1464316
     /* 1464316 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1464398), // Rule ID 21083 //
     /* 1464321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1464324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1464338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1464341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464360 */     // MIs[0] round
     /* 1464360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464363 */     // MIs[0] policy
     /* 1464363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1464376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464397 */     // GIR_Coverage, 21083,
     /* 1464397 */     GIR_EraseRootFromParent_Done,
     /* 1464398 */   // Label 20470: @1464398
     /* 1464398 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1464480), // Rule ID 21086 //
     /* 1464403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1464406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1464423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464442 */     // MIs[0] round
     /* 1464442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464445 */     // MIs[0] policy
     /* 1464445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1464458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464479 */     // GIR_Coverage, 21086,
     /* 1464479 */     GIR_EraseRootFromParent_Done,
     /* 1464480 */   // Label 20471: @1464480
     /* 1464480 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1464562), // Rule ID 21087 //
     /* 1464485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1464488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1464496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1464499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1464502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1464505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464524 */     // MIs[0] round
     /* 1464524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464527 */     // MIs[0] policy
     /* 1464527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1464540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464561 */     // GIR_Coverage, 21087,
     /* 1464561 */     GIR_EraseRootFromParent_Done,
     /* 1464562 */   // Label 20472: @1464562
     /* 1464562 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1464644), // Rule ID 21090 //
     /* 1464567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1464570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1464578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1464581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1464587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464606 */     // MIs[0] round
     /* 1464606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464609 */     // MIs[0] policy
     /* 1464609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1464622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464643 */     // GIR_Coverage, 21090,
     /* 1464643 */     GIR_EraseRootFromParent_Done,
     /* 1464644 */   // Label 20473: @1464644
     /* 1464644 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1464726), // Rule ID 21091 //
     /* 1464649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1464652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1464660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1464663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1464669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464688 */     // MIs[0] round
     /* 1464688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464691 */     // MIs[0] policy
     /* 1464691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1464704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464725 */     // GIR_Coverage, 21091,
     /* 1464725 */     GIR_EraseRootFromParent_Done,
     /* 1464726 */   // Label 20474: @1464726
     /* 1464726 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1464808), // Rule ID 21094 //
     /* 1464731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1464734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1464751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464770 */     // MIs[0] round
     /* 1464770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464773 */     // MIs[0] policy
     /* 1464773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1464786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464807 */     // GIR_Coverage, 21094,
     /* 1464807 */     GIR_EraseRootFromParent_Done,
     /* 1464808 */   // Label 20475: @1464808
     /* 1464808 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1464890), // Rule ID 21095 //
     /* 1464813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1464816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1464824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1464827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1464833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464852 */     // MIs[0] round
     /* 1464852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464855 */     // MIs[0] policy
     /* 1464855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10946:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1464868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464889 */     // GIR_Coverage, 21095,
     /* 1464889 */     GIR_EraseRootFromParent_Done,
     /* 1464890 */   // Label 20476: @1464890
     /* 1464890 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1464972), // Rule ID 21098 //
     /* 1464895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1464898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1464906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1464909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1464915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464934 */     // MIs[0] round
     /* 1464934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1464937 */     // MIs[0] policy
     /* 1464937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1464950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1464956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1464958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1464960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464971 */     // GIR_Coverage, 21098,
     /* 1464971 */     GIR_EraseRootFromParent_Done,
     /* 1464972 */   // Label 20477: @1464972
     /* 1464972 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1465054), // Rule ID 21099 //
     /* 1464977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1464980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1464985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1464988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1464991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1464997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465016 */     // MIs[0] round
     /* 1465016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465019 */     // MIs[0] policy
     /* 1465019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465029 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10946:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1465032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465053 */     // GIR_Coverage, 21099,
     /* 1465053 */     GIR_EraseRootFromParent_Done,
     /* 1465054 */   // Label 20478: @1465054
     /* 1465054 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1465136), // Rule ID 21102 //
     /* 1465059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1465062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1465067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1465076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1465079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465098 */     // MIs[0] round
     /* 1465098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465101 */     // MIs[0] policy
     /* 1465101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465111 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1465114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465135 */     // GIR_Coverage, 21102,
     /* 1465135 */     GIR_EraseRootFromParent_Done,
     /* 1465136 */   // Label 20479: @1465136
     /* 1465136 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1465218), // Rule ID 21103 //
     /* 1465141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1465144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1465149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1465158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1465161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465180 */     // MIs[0] round
     /* 1465180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465183 */     // MIs[0] policy
     /* 1465183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10946:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1465196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465217 */     // GIR_Coverage, 21103,
     /* 1465217 */     GIR_EraseRootFromParent_Done,
     /* 1465218 */   // Label 20480: @1465218
     /* 1465218 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1465300), // Rule ID 21454 //
     /* 1465223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1465226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1465243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465262 */     // MIs[0] round
     /* 1465262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465265 */     // MIs[0] policy
     /* 1465265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1465278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465299 */     // GIR_Coverage, 21454,
     /* 1465299 */     GIR_EraseRootFromParent_Done,
     /* 1465300 */   // Label 20481: @1465300
     /* 1465300 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1465382), // Rule ID 21455 //
     /* 1465305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1465308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1465325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465344 */     // MIs[0] round
     /* 1465344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465347 */     // MIs[0] policy
     /* 1465347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465357 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1465360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465381 */     // GIR_Coverage, 21455,
     /* 1465381 */     GIR_EraseRootFromParent_Done,
     /* 1465382 */   // Label 20482: @1465382
     /* 1465382 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1465464), // Rule ID 21458 //
     /* 1465387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1465390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1465404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1465407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465426 */     // MIs[0] round
     /* 1465426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465429 */     // MIs[0] policy
     /* 1465429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1465442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465463 */     // GIR_Coverage, 21458,
     /* 1465463 */     GIR_EraseRootFromParent_Done,
     /* 1465464 */   // Label 20483: @1465464
     /* 1465464 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1465546), // Rule ID 21459 //
     /* 1465469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1465472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1465486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1465489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465508 */     // MIs[0] round
     /* 1465508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465511 */     // MIs[0] policy
     /* 1465511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1465524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465545 */     // GIR_Coverage, 21459,
     /* 1465545 */     GIR_EraseRootFromParent_Done,
     /* 1465546 */   // Label 20484: @1465546
     /* 1465546 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1465628), // Rule ID 21462 //
     /* 1465551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1465554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1465571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465590 */     // MIs[0] round
     /* 1465590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465593 */     // MIs[0] policy
     /* 1465593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1465606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465627 */     // GIR_Coverage, 21462,
     /* 1465627 */     GIR_EraseRootFromParent_Done,
     /* 1465628 */   // Label 20485: @1465628
     /* 1465628 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1465710), // Rule ID 21463 //
     /* 1465633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1465636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1465653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465672 */     // MIs[0] round
     /* 1465672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465675 */     // MIs[0] policy
     /* 1465675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465685 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1465688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465709 */     // GIR_Coverage, 21463,
     /* 1465709 */     GIR_EraseRootFromParent_Done,
     /* 1465710 */   // Label 20486: @1465710
     /* 1465710 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1465792), // Rule ID 21466 //
     /* 1465715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1465718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1465735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465754 */     // MIs[0] round
     /* 1465754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465757 */     // MIs[0] policy
     /* 1465757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1465770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465791 */     // GIR_Coverage, 21466,
     /* 1465791 */     GIR_EraseRootFromParent_Done,
     /* 1465792 */   // Label 20487: @1465792
     /* 1465792 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1465874), // Rule ID 21467 //
     /* 1465797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1465800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1465817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465836 */     // MIs[0] round
     /* 1465836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465839 */     // MIs[0] policy
     /* 1465839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465849 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10890:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1465852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465873 */     // GIR_Coverage, 21467,
     /* 1465873 */     GIR_EraseRootFromParent_Done,
     /* 1465874 */   // Label 20488: @1465874
     /* 1465874 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1465956), // Rule ID 21470 //
     /* 1465879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1465882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1465896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1465899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465918 */     // MIs[0] round
     /* 1465918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1465921 */     // MIs[0] policy
     /* 1465921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1465934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1465940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1465942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1465944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465955 */     // GIR_Coverage, 21470,
     /* 1465955 */     GIR_EraseRootFromParent_Done,
     /* 1465956 */   // Label 20489: @1465956
     /* 1465956 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1466038), // Rule ID 21471 //
     /* 1465961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1465964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1465969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1465978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1465981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466000 */     // MIs[0] round
     /* 1466000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466003 */     // MIs[0] policy
     /* 1466003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466013 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1466016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466037 */     // GIR_Coverage, 21471,
     /* 1466037 */     GIR_EraseRootFromParent_Done,
     /* 1466038 */   // Label 20490: @1466038
     /* 1466038 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1466120), // Rule ID 21474 //
     /* 1466043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1466046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1466063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466082 */     // MIs[0] round
     /* 1466082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466085 */     // MIs[0] policy
     /* 1466085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1466098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466119 */     // GIR_Coverage, 21474,
     /* 1466119 */     GIR_EraseRootFromParent_Done,
     /* 1466120 */   // Label 20491: @1466120
     /* 1466120 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1466202), // Rule ID 21475 //
     /* 1466125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1466128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1466145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466164 */     // MIs[0] round
     /* 1466164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466167 */     // MIs[0] policy
     /* 1466167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1466180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466201 */     // GIR_Coverage, 21475,
     /* 1466201 */     GIR_EraseRootFromParent_Done,
     /* 1466202 */   // Label 20492: @1466202
     /* 1466202 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1466284), // Rule ID 21478 //
     /* 1466207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1466210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1466227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466246 */     // MIs[0] round
     /* 1466246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466249 */     // MIs[0] policy
     /* 1466249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1466262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466283 */     // GIR_Coverage, 21478,
     /* 1466283 */     GIR_EraseRootFromParent_Done,
     /* 1466284 */   // Label 20493: @1466284
     /* 1466284 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1466366), // Rule ID 21479 //
     /* 1466289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1466292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1466309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466328 */     // MIs[0] round
     /* 1466328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466331 */     // MIs[0] policy
     /* 1466331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1466344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466365 */     // GIR_Coverage, 21479,
     /* 1466365 */     GIR_EraseRootFromParent_Done,
     /* 1466366 */   // Label 20494: @1466366
     /* 1466366 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1466448), // Rule ID 21482 //
     /* 1466371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1466374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1466391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466410 */     // MIs[0] round
     /* 1466410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466413 */     // MIs[0] policy
     /* 1466413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1466426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466447 */     // GIR_Coverage, 21482,
     /* 1466447 */     GIR_EraseRootFromParent_Done,
     /* 1466448 */   // Label 20495: @1466448
     /* 1466448 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1466530), // Rule ID 21483 //
     /* 1466453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1466456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1466473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466492 */     // MIs[0] round
     /* 1466492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466495 */     // MIs[0] policy
     /* 1466495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1466508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466529 */     // GIR_Coverage, 21483,
     /* 1466529 */     GIR_EraseRootFromParent_Done,
     /* 1466530 */   // Label 20496: @1466530
     /* 1466530 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1466612), // Rule ID 21486 //
     /* 1466535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1466538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1466555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466574 */     // MIs[0] round
     /* 1466574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466577 */     // MIs[0] policy
     /* 1466577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1466590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466611 */     // GIR_Coverage, 21486,
     /* 1466611 */     GIR_EraseRootFromParent_Done,
     /* 1466612 */   // Label 20497: @1466612
     /* 1466612 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1466694), // Rule ID 21487 //
     /* 1466617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1466620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1466637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466656 */     // MIs[0] round
     /* 1466656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466659 */     // MIs[0] policy
     /* 1466659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1466672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466693 */     // GIR_Coverage, 21487,
     /* 1466693 */     GIR_EraseRootFromParent_Done,
     /* 1466694 */   // Label 20498: @1466694
     /* 1466694 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1466776), // Rule ID 21490 //
     /* 1466699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1466702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1466719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466738 */     // MIs[0] round
     /* 1466738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466741 */     // MIs[0] policy
     /* 1466741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1466754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466775 */     // GIR_Coverage, 21490,
     /* 1466775 */     GIR_EraseRootFromParent_Done,
     /* 1466776 */   // Label 20499: @1466776
     /* 1466776 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1466858), // Rule ID 21491 //
     /* 1466781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1466784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1466801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466820 */     // MIs[0] round
     /* 1466820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466823 */     // MIs[0] policy
     /* 1466823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1466836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466857 */     // GIR_Coverage, 21491,
     /* 1466857 */     GIR_EraseRootFromParent_Done,
     /* 1466858 */   // Label 20500: @1466858
     /* 1466858 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1466940), // Rule ID 21494 //
     /* 1466863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1466866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1466880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1466883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466902 */     // MIs[0] round
     /* 1466902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466905 */     // MIs[0] policy
     /* 1466905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1466918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1466924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1466926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1466928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466939 */     // GIR_Coverage, 21494,
     /* 1466939 */     GIR_EraseRootFromParent_Done,
     /* 1466940 */   // Label 20501: @1466940
     /* 1466940 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1467022), // Rule ID 21495 //
     /* 1466945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1466948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1466953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1466962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1466965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466984 */     // MIs[0] round
     /* 1466984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1466987 */     // MIs[0] policy
     /* 1466987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1467000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467021 */     // GIR_Coverage, 21495,
     /* 1467021 */     GIR_EraseRootFromParent_Done,
     /* 1467022 */   // Label 20502: @1467022
     /* 1467022 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1467104), // Rule ID 21498 //
     /* 1467027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1467030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1467038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1467041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1467047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467066 */     // MIs[0] round
     /* 1467066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467069 */     // MIs[0] policy
     /* 1467069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467079 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1467082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467103 */     // GIR_Coverage, 21498,
     /* 1467103 */     GIR_EraseRootFromParent_Done,
     /* 1467104 */   // Label 20503: @1467104
     /* 1467104 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1467186), // Rule ID 21499 //
     /* 1467109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1467112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1467120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1467123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1467129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467148 */     // MIs[0] round
     /* 1467148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467151 */     // MIs[0] policy
     /* 1467151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1467164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467185 */     // GIR_Coverage, 21499,
     /* 1467185 */     GIR_EraseRootFromParent_Done,
     /* 1467186 */   // Label 20504: @1467186
     /* 1467186 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1467268), // Rule ID 21502 //
     /* 1467191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1467194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1467211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467230 */     // MIs[0] round
     /* 1467230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467233 */     // MIs[0] policy
     /* 1467233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1467246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467267 */     // GIR_Coverage, 21502,
     /* 1467267 */     GIR_EraseRootFromParent_Done,
     /* 1467268 */   // Label 20505: @1467268
     /* 1467268 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1467350), // Rule ID 21503 //
     /* 1467273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1467276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1467293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467312 */     // MIs[0] round
     /* 1467312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467315 */     // MIs[0] policy
     /* 1467315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1467328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467349 */     // GIR_Coverage, 21503,
     /* 1467349 */     GIR_EraseRootFromParent_Done,
     /* 1467350 */   // Label 20506: @1467350
     /* 1467350 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1467432), // Rule ID 21506 //
     /* 1467355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1467358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1467375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467394 */     // MIs[0] round
     /* 1467394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467397 */     // MIs[0] policy
     /* 1467397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1467410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467431 */     // GIR_Coverage, 21506,
     /* 1467431 */     GIR_EraseRootFromParent_Done,
     /* 1467432 */   // Label 20507: @1467432
     /* 1467432 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1467514), // Rule ID 21507 //
     /* 1467437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1467440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1467457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467476 */     // MIs[0] round
     /* 1467476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467479 */     // MIs[0] policy
     /* 1467479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10890:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1467492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467513 */     // GIR_Coverage, 21507,
     /* 1467513 */     GIR_EraseRootFromParent_Done,
     /* 1467514 */   // Label 20508: @1467514
     /* 1467514 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1467596), // Rule ID 21510 //
     /* 1467519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1467522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1467539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467558 */     // MIs[0] round
     /* 1467558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467561 */     // MIs[0] policy
     /* 1467561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1467574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467595 */     // GIR_Coverage, 21510,
     /* 1467595 */     GIR_EraseRootFromParent_Done,
     /* 1467596 */   // Label 20509: @1467596
     /* 1467596 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1467678), // Rule ID 21511 //
     /* 1467601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1467604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1467609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1467621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467640 */     // MIs[0] round
     /* 1467640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467643 */     // MIs[0] policy
     /* 1467643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467653 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10890:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1467656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467677 */     // GIR_Coverage, 21511,
     /* 1467677 */     GIR_EraseRootFromParent_Done,
     /* 1467678 */   // Label 20510: @1467678
     /* 1467678 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1467760), // Rule ID 21514 //
     /* 1467683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1467686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1467691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1467700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1467703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467722 */     // MIs[0] round
     /* 1467722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467725 */     // MIs[0] policy
     /* 1467725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467735 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1467738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467759 */     // GIR_Coverage, 21514,
     /* 1467759 */     GIR_EraseRootFromParent_Done,
     /* 1467760 */   // Label 20511: @1467760
     /* 1467760 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1467842), // Rule ID 21515 //
     /* 1467765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1467768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1467773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1467782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1467785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467804 */     // MIs[0] round
     /* 1467804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467807 */     // MIs[0] policy
     /* 1467807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467817 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1467820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467841 */     // GIR_Coverage, 21515,
     /* 1467841 */     GIR_EraseRootFromParent_Done,
     /* 1467842 */   // Label 20512: @1467842
     /* 1467842 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1467924), // Rule ID 21518 //
     /* 1467847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1467850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1467855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1467858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1467861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1467864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1467867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467886 */     // MIs[0] round
     /* 1467886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467889 */     // MIs[0] policy
     /* 1467889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1467902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467923 */     // GIR_Coverage, 21518,
     /* 1467923 */     GIR_EraseRootFromParent_Done,
     /* 1467924 */   // Label 20513: @1467924
     /* 1467924 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1468006), // Rule ID 21519 //
     /* 1467929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1467932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1467937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1467940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1467943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1467946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1467949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467968 */     // MIs[0] round
     /* 1467968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1467971 */     // MIs[0] policy
     /* 1467971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467981 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1467984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1467990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1467992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1467994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468005 */     // GIR_Coverage, 21519,
     /* 1468005 */     GIR_EraseRootFromParent_Done,
     /* 1468006 */   // Label 20514: @1468006
     /* 1468006 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1468088), // Rule ID 21522 //
     /* 1468011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1468014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1468028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1468031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468050 */     // MIs[0] round
     /* 1468050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468053 */     // MIs[0] policy
     /* 1468053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1468066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468087 */     // GIR_Coverage, 21522,
     /* 1468087 */     GIR_EraseRootFromParent_Done,
     /* 1468088 */   // Label 20515: @1468088
     /* 1468088 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1468170), // Rule ID 21523 //
     /* 1468093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1468096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1468110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1468113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468132 */     // MIs[0] round
     /* 1468132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468135 */     // MIs[0] policy
     /* 1468135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468145 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1468148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468169 */     // GIR_Coverage, 21523,
     /* 1468169 */     GIR_EraseRootFromParent_Done,
     /* 1468170 */   // Label 20516: @1468170
     /* 1468170 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1468252), // Rule ID 21526 //
     /* 1468175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1468178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1468186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1468189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1468195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468214 */     // MIs[0] round
     /* 1468214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468217 */     // MIs[0] policy
     /* 1468217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1468230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468251 */     // GIR_Coverage, 21526,
     /* 1468251 */     GIR_EraseRootFromParent_Done,
     /* 1468252 */   // Label 20517: @1468252
     /* 1468252 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1468334), // Rule ID 21527 //
     /* 1468257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1468260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1468268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1468271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1468274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1468277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468296 */     // MIs[0] round
     /* 1468296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468299 */     // MIs[0] policy
     /* 1468299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10888:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1468312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468333 */     // GIR_Coverage, 21527,
     /* 1468333 */     GIR_EraseRootFromParent_Done,
     /* 1468334 */   // Label 20518: @1468334
     /* 1468334 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1468416), // Rule ID 21530 //
     /* 1468339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1468342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1468350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1468353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1468359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468378 */     // MIs[0] round
     /* 1468378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468381 */     // MIs[0] policy
     /* 1468381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1468394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468415 */     // GIR_Coverage, 21530,
     /* 1468415 */     GIR_EraseRootFromParent_Done,
     /* 1468416 */   // Label 20519: @1468416
     /* 1468416 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1468498), // Rule ID 21531 //
     /* 1468421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1468424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1468432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1468435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1468438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1468441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468460 */     // MIs[0] round
     /* 1468460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468463 */     // MIs[0] policy
     /* 1468463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468473 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1468476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468497 */     // GIR_Coverage, 21531,
     /* 1468497 */     GIR_EraseRootFromParent_Done,
     /* 1468498 */   // Label 20520: @1468498
     /* 1468498 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1468580), // Rule ID 21534 //
     /* 1468503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1468506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1468514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1468517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1468523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468542 */     // MIs[0] round
     /* 1468542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468545 */     // MIs[0] policy
     /* 1468545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1468558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468579 */     // GIR_Coverage, 21534,
     /* 1468579 */     GIR_EraseRootFromParent_Done,
     /* 1468580 */   // Label 20521: @1468580
     /* 1468580 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1468662), // Rule ID 21535 //
     /* 1468585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1468588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1468596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1468599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1468602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1468605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468624 */     // MIs[0] round
     /* 1468624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468627 */     // MIs[0] policy
     /* 1468627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1468640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468661 */     // GIR_Coverage, 21535,
     /* 1468661 */     GIR_EraseRootFromParent_Done,
     /* 1468662 */   // Label 20522: @1468662
     /* 1468662 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1468744), // Rule ID 21538 //
     /* 1468667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1468670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1468687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468706 */     // MIs[0] round
     /* 1468706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468709 */     // MIs[0] policy
     /* 1468709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1468722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468743 */     // GIR_Coverage, 21538,
     /* 1468743 */     GIR_EraseRootFromParent_Done,
     /* 1468744 */   // Label 20523: @1468744
     /* 1468744 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1468826), // Rule ID 21539 //
     /* 1468749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1468752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1468769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468788 */     // MIs[0] round
     /* 1468788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468791 */     // MIs[0] policy
     /* 1468791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1468804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468825 */     // GIR_Coverage, 21539,
     /* 1468825 */     GIR_EraseRootFromParent_Done,
     /* 1468826 */   // Label 20524: @1468826
     /* 1468826 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1468908), // Rule ID 21542 //
     /* 1468831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1468834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1468848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1468851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468870 */     // MIs[0] round
     /* 1468870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468873 */     // MIs[0] policy
     /* 1468873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1468886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468907 */     // GIR_Coverage, 21542,
     /* 1468907 */     GIR_EraseRootFromParent_Done,
     /* 1468908 */   // Label 20525: @1468908
     /* 1468908 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1468990), // Rule ID 21543 //
     /* 1468913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1468916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1468921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1468930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1468933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468952 */     // MIs[0] round
     /* 1468952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1468955 */     // MIs[0] policy
     /* 1468955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1468968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1468974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1468976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1468978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468989 */     // GIR_Coverage, 21543,
     /* 1468989 */     GIR_EraseRootFromParent_Done,
     /* 1468990 */   // Label 20526: @1468990
     /* 1468990 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1469072), // Rule ID 21546 //
     /* 1468995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1468998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1469012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1469015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469034 */     // MIs[0] round
     /* 1469034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469037 */     // MIs[0] policy
     /* 1469037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1469050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469071 */     // GIR_Coverage, 21546,
     /* 1469071 */     GIR_EraseRootFromParent_Done,
     /* 1469072 */   // Label 20527: @1469072
     /* 1469072 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1469154), // Rule ID 21547 //
     /* 1469077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1469080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1469094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1469097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469116 */     // MIs[0] round
     /* 1469116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469119 */     // MIs[0] policy
     /* 1469119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1469132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469153 */     // GIR_Coverage, 21547,
     /* 1469153 */     GIR_EraseRootFromParent_Done,
     /* 1469154 */   // Label 20528: @1469154
     /* 1469154 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1469236), // Rule ID 21550 //
     /* 1469159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1469162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1469170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1469173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1469179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469198 */     // MIs[0] round
     /* 1469198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469201 */     // MIs[0] policy
     /* 1469201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469211 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1469214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469235 */     // GIR_Coverage, 21550,
     /* 1469235 */     GIR_EraseRootFromParent_Done,
     /* 1469236 */   // Label 20529: @1469236
     /* 1469236 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1469318), // Rule ID 21551 //
     /* 1469241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1469244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1469252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1469255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1469261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469280 */     // MIs[0] round
     /* 1469280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469283 */     // MIs[0] policy
     /* 1469283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469293 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1469296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469317 */     // GIR_Coverage, 21551,
     /* 1469317 */     GIR_EraseRootFromParent_Done,
     /* 1469318 */   // Label 20530: @1469318
     /* 1469318 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1469400), // Rule ID 21554 //
     /* 1469323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1469326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1469334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1469337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1469343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469362 */     // MIs[0] round
     /* 1469362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469365 */     // MIs[0] policy
     /* 1469365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469375 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1469378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469399 */     // GIR_Coverage, 21554,
     /* 1469399 */     GIR_EraseRootFromParent_Done,
     /* 1469400 */   // Label 20531: @1469400
     /* 1469400 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1469482), // Rule ID 21555 //
     /* 1469405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1469408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1469416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1469419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1469422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1469425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469444 */     // MIs[0] round
     /* 1469444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469447 */     // MIs[0] policy
     /* 1469447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469457 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1469460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469481 */     // GIR_Coverage, 21555,
     /* 1469481 */     GIR_EraseRootFromParent_Done,
     /* 1469482 */   // Label 20532: @1469482
     /* 1469482 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1469564), // Rule ID 21558 //
     /* 1469487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1469490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1469507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469526 */     // MIs[0] round
     /* 1469526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469529 */     // MIs[0] policy
     /* 1469529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1469542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469563 */     // GIR_Coverage, 21558,
     /* 1469563 */     GIR_EraseRootFromParent_Done,
     /* 1469564 */   // Label 20533: @1469564
     /* 1469564 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1469646), // Rule ID 21559 //
     /* 1469569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1469572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1469589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469608 */     // MIs[0] round
     /* 1469608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469611 */     // MIs[0] policy
     /* 1469611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1469624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469645 */     // GIR_Coverage, 21559,
     /* 1469645 */     GIR_EraseRootFromParent_Done,
     /* 1469646 */   // Label 20534: @1469646
     /* 1469646 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1469728), // Rule ID 21562 //
     /* 1469651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1469654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1469671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469690 */     // MIs[0] round
     /* 1469690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469693 */     // MIs[0] policy
     /* 1469693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1469706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469727 */     // GIR_Coverage, 21562,
     /* 1469727 */     GIR_EraseRootFromParent_Done,
     /* 1469728 */   // Label 20535: @1469728
     /* 1469728 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1469810), // Rule ID 21563 //
     /* 1469733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1469736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1469750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1469753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469772 */     // MIs[0] round
     /* 1469772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469775 */     // MIs[0] policy
     /* 1469775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1469788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469809 */     // GIR_Coverage, 21563,
     /* 1469809 */     GIR_EraseRootFromParent_Done,
     /* 1469810 */   // Label 20536: @1469810
     /* 1469810 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1469892), // Rule ID 21566 //
     /* 1469815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1469818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1469835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469854 */     // MIs[0] round
     /* 1469854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469857 */     // MIs[0] policy
     /* 1469857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1469870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469891 */     // GIR_Coverage, 21566,
     /* 1469891 */     GIR_EraseRootFromParent_Done,
     /* 1469892 */   // Label 20537: @1469892
     /* 1469892 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1469974), // Rule ID 21567 //
     /* 1469897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1469900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1469914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1469917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469936 */     // MIs[0] round
     /* 1469936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1469939 */     // MIs[0] policy
     /* 1469939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10888:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1469952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1469958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1469960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1469962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469973 */     // GIR_Coverage, 21567,
     /* 1469973 */     GIR_EraseRootFromParent_Done,
     /* 1469974 */   // Label 20538: @1469974
     /* 1469974 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1470056), // Rule ID 21570 //
     /* 1469979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1469982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1469987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1469996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1469999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470018 */     // MIs[0] round
     /* 1470018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470021 */     // MIs[0] policy
     /* 1470021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1470034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470055 */     // GIR_Coverage, 21570,
     /* 1470055 */     GIR_EraseRootFromParent_Done,
     /* 1470056 */   // Label 20539: @1470056
     /* 1470056 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1470138), // Rule ID 21571 //
     /* 1470061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1470064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1470069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1470072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1470075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1470078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1470081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470100 */     // MIs[0] round
     /* 1470100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470103 */     // MIs[0] policy
     /* 1470103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10888:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1470116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470137 */     // GIR_Coverage, 21571,
     /* 1470137 */     GIR_EraseRootFromParent_Done,
     /* 1470138 */   // Label 20540: @1470138
     /* 1470138 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1470220), // Rule ID 21694 //
     /* 1470143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1470146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1470163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470182 */     // MIs[0] round
     /* 1470182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470185 */     // MIs[0] policy
     /* 1470185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470195 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1470198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470219 */     // GIR_Coverage, 21694,
     /* 1470219 */     GIR_EraseRootFromParent_Done,
     /* 1470220 */   // Label 20541: @1470220
     /* 1470220 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1470302), // Rule ID 21695 //
     /* 1470225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1470228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1470245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470264 */     // MIs[0] round
     /* 1470264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470267 */     // MIs[0] policy
     /* 1470267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1470280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470301 */     // GIR_Coverage, 21695,
     /* 1470301 */     GIR_EraseRootFromParent_Done,
     /* 1470302 */   // Label 20542: @1470302
     /* 1470302 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1470384), // Rule ID 21698 //
     /* 1470307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1470310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1470324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1470327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470346 */     // MIs[0] round
     /* 1470346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470349 */     // MIs[0] policy
     /* 1470349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470359 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1470362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470383 */     // GIR_Coverage, 21698,
     /* 1470383 */     GIR_EraseRootFromParent_Done,
     /* 1470384 */   // Label 20543: @1470384
     /* 1470384 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1470466), // Rule ID 21699 //
     /* 1470389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1470392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1470400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1470403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1470406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1470409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470428 */     // MIs[0] round
     /* 1470428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470431 */     // MIs[0] policy
     /* 1470431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470441 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1470444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470465 */     // GIR_Coverage, 21699,
     /* 1470465 */     GIR_EraseRootFromParent_Done,
     /* 1470466 */   // Label 20544: @1470466
     /* 1470466 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1470548), // Rule ID 21702 //
     /* 1470471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1470474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1470482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1470485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1470491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470510 */     // MIs[0] round
     /* 1470510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470513 */     // MIs[0] policy
     /* 1470513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470523 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1470526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470547 */     // GIR_Coverage, 21702,
     /* 1470547 */     GIR_EraseRootFromParent_Done,
     /* 1470548 */   // Label 20545: @1470548
     /* 1470548 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1470630), // Rule ID 21703 //
     /* 1470553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1470556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1470564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1470567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1470573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470592 */     // MIs[0] round
     /* 1470592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470595 */     // MIs[0] policy
     /* 1470595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1470608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470629 */     // GIR_Coverage, 21703,
     /* 1470629 */     GIR_EraseRootFromParent_Done,
     /* 1470630 */   // Label 20546: @1470630
     /* 1470630 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1470712), // Rule ID 21706 //
     /* 1470635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1470638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1470652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1470655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470674 */     // MIs[0] round
     /* 1470674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470677 */     // MIs[0] policy
     /* 1470677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470687 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1470690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470711 */     // GIR_Coverage, 21706,
     /* 1470711 */     GIR_EraseRootFromParent_Done,
     /* 1470712 */   // Label 20547: @1470712
     /* 1470712 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1470794), // Rule ID 21707 //
     /* 1470717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1470720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1470734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1470737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470756 */     // MIs[0] round
     /* 1470756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470759 */     // MIs[0] policy
     /* 1470759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470769 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1470772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470793 */     // GIR_Coverage, 21707,
     /* 1470793 */     GIR_EraseRootFromParent_Done,
     /* 1470794 */   // Label 20548: @1470794
     /* 1470794 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1470876), // Rule ID 21710 //
     /* 1470799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1470802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1470816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1470819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470838 */     // MIs[0] round
     /* 1470838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470841 */     // MIs[0] policy
     /* 1470841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470851 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1470854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470875 */     // GIR_Coverage, 21710,
     /* 1470875 */     GIR_EraseRootFromParent_Done,
     /* 1470876 */   // Label 20549: @1470876
     /* 1470876 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1470958), // Rule ID 21711 //
     /* 1470881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1470884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1470898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1470901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470920 */     // MIs[0] round
     /* 1470920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1470923 */     // MIs[0] policy
     /* 1470923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470933 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1470936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1470942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1470944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1470946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470957 */     // GIR_Coverage, 21711,
     /* 1470957 */     GIR_EraseRootFromParent_Done,
     /* 1470958 */   // Label 20550: @1470958
     /* 1470958 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1471040), // Rule ID 21714 //
     /* 1470963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1470966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1470971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1470974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1470977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1470980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1470983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471002 */     // MIs[0] round
     /* 1471002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471005 */     // MIs[0] policy
     /* 1471005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471015 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1471018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471039 */     // GIR_Coverage, 21714,
     /* 1471039 */     GIR_EraseRootFromParent_Done,
     /* 1471040 */   // Label 20551: @1471040
     /* 1471040 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1471122), // Rule ID 21715 //
     /* 1471045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1471048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1471065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471084 */     // MIs[0] round
     /* 1471084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471087 */     // MIs[0] policy
     /* 1471087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1471100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471121 */     // GIR_Coverage, 21715,
     /* 1471121 */     GIR_EraseRootFromParent_Done,
     /* 1471122 */   // Label 20552: @1471122
     /* 1471122 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1471204), // Rule ID 21718 //
     /* 1471127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1471130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1471147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471166 */     // MIs[0] round
     /* 1471166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471169 */     // MIs[0] policy
     /* 1471169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471179 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1471182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471203 */     // GIR_Coverage, 21718,
     /* 1471203 */     GIR_EraseRootFromParent_Done,
     /* 1471204 */   // Label 20553: @1471204
     /* 1471204 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1471286), // Rule ID 21719 //
     /* 1471209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1471212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1471229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471248 */     // MIs[0] round
     /* 1471248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471251 */     // MIs[0] policy
     /* 1471251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471261 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1471264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471285 */     // GIR_Coverage, 21719,
     /* 1471285 */     GIR_EraseRootFromParent_Done,
     /* 1471286 */   // Label 20554: @1471286
     /* 1471286 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1471368), // Rule ID 21722 //
     /* 1471291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1471294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1471311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471330 */     // MIs[0] round
     /* 1471330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471333 */     // MIs[0] policy
     /* 1471333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471343 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1471346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471367 */     // GIR_Coverage, 21722,
     /* 1471367 */     GIR_EraseRootFromParent_Done,
     /* 1471368 */   // Label 20555: @1471368
     /* 1471368 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1471450), // Rule ID 21723 //
     /* 1471373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1471376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1471393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471412 */     // MIs[0] round
     /* 1471412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471415 */     // MIs[0] policy
     /* 1471415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471425 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1471428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471449 */     // GIR_Coverage, 21723,
     /* 1471449 */     GIR_EraseRootFromParent_Done,
     /* 1471450 */   // Label 20556: @1471450
     /* 1471450 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1471532), // Rule ID 21726 //
     /* 1471455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1471458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1471472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1471475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471494 */     // MIs[0] round
     /* 1471494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471497 */     // MIs[0] policy
     /* 1471497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471507 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1471510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471531 */     // GIR_Coverage, 21726,
     /* 1471531 */     GIR_EraseRootFromParent_Done,
     /* 1471532 */   // Label 20557: @1471532
     /* 1471532 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1471614), // Rule ID 21727 //
     /* 1471537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1471540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1471545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1471554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1471557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471576 */     // MIs[0] round
     /* 1471576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471579 */     // MIs[0] policy
     /* 1471579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471589 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1471592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471613 */     // GIR_Coverage, 21727,
     /* 1471613 */     GIR_EraseRootFromParent_Done,
     /* 1471614 */   // Label 20558: @1471614
     /* 1471614 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1471696), // Rule ID 21730 //
     /* 1471619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1471622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1471627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1471630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1471633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1471639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471658 */     // MIs[0] round
     /* 1471658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471661 */     // MIs[0] policy
     /* 1471661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471671 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1471674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471695 */     // GIR_Coverage, 21730,
     /* 1471695 */     GIR_EraseRootFromParent_Done,
     /* 1471696 */   // Label 20559: @1471696
     /* 1471696 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1471778), // Rule ID 21731 //
     /* 1471701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1471704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1471709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1471712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1471715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1471721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471740 */     // MIs[0] round
     /* 1471740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471743 */     // MIs[0] policy
     /* 1471743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471753 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1471756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471777 */     // GIR_Coverage, 21731,
     /* 1471777 */     GIR_EraseRootFromParent_Done,
     /* 1471778 */   // Label 20560: @1471778
     /* 1471778 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1471860), // Rule ID 21734 //
     /* 1471783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1471786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1471791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1471803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471822 */     // MIs[0] round
     /* 1471822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471825 */     // MIs[0] policy
     /* 1471825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471835 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1471838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471859 */     // GIR_Coverage, 21734,
     /* 1471859 */     GIR_EraseRootFromParent_Done,
     /* 1471860 */   // Label 20561: @1471860
     /* 1471860 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1471942), // Rule ID 21735 //
     /* 1471865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1471868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1471873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1471885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471904 */     // MIs[0] round
     /* 1471904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471907 */     // MIs[0] policy
     /* 1471907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471917 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1471920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1471926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1471928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1471930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471941 */     // GIR_Coverage, 21735,
     /* 1471941 */     GIR_EraseRootFromParent_Done,
     /* 1471942 */   // Label 20562: @1471942
     /* 1471942 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1472024), // Rule ID 21738 //
     /* 1471947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1471950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1471955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1471967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471986 */     // MIs[0] round
     /* 1471986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1471989 */     // MIs[0] policy
     /* 1471989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471999 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1472002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472023 */     // GIR_Coverage, 21738,
     /* 1472023 */     GIR_EraseRootFromParent_Done,
     /* 1472024 */   // Label 20563: @1472024
     /* 1472024 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1472106), // Rule ID 21739 //
     /* 1472029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1472032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1472040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1472043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1472049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472068 */     // MIs[0] round
     /* 1472068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472071 */     // MIs[0] policy
     /* 1472071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472081 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1472084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472105 */     // GIR_Coverage, 21739,
     /* 1472105 */     GIR_EraseRootFromParent_Done,
     /* 1472106 */   // Label 20564: @1472106
     /* 1472106 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1472188), // Rule ID 21742 //
     /* 1472111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1472114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1472131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472150 */     // MIs[0] round
     /* 1472150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472153 */     // MIs[0] policy
     /* 1472153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472163 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1472166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472187 */     // GIR_Coverage, 21742,
     /* 1472187 */     GIR_EraseRootFromParent_Done,
     /* 1472188 */   // Label 20565: @1472188
     /* 1472188 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1472270), // Rule ID 21743 //
     /* 1472193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1472196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1472213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472232 */     // MIs[0] round
     /* 1472232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472235 */     // MIs[0] policy
     /* 1472235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472245 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1472248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472269 */     // GIR_Coverage, 21743,
     /* 1472269 */     GIR_EraseRootFromParent_Done,
     /* 1472270 */   // Label 20566: @1472270
     /* 1472270 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1472352), // Rule ID 21746 //
     /* 1472275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1472278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1472292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1472295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472314 */     // MIs[0] round
     /* 1472314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472317 */     // MIs[0] policy
     /* 1472317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472327 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1472330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472351 */     // GIR_Coverage, 21746,
     /* 1472351 */     GIR_EraseRootFromParent_Done,
     /* 1472352 */   // Label 20567: @1472352
     /* 1472352 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1472434), // Rule ID 21747 //
     /* 1472357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1472360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1472374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1472377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472396 */     // MIs[0] round
     /* 1472396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472399 */     // MIs[0] policy
     /* 1472399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472409 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1472412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472433 */     // GIR_Coverage, 21747,
     /* 1472433 */     GIR_EraseRootFromParent_Done,
     /* 1472434 */   // Label 20568: @1472434
     /* 1472434 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1472516), // Rule ID 21750 //
     /* 1472439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1472442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1472450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1472453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1472456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1472459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472478 */     // MIs[0] round
     /* 1472478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472481 */     // MIs[0] policy
     /* 1472481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472491 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1472494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472515 */     // GIR_Coverage, 21750,
     /* 1472515 */     GIR_EraseRootFromParent_Done,
     /* 1472516 */   // Label 20569: @1472516
     /* 1472516 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1472598), // Rule ID 21751 //
     /* 1472521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1472524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1472532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1472535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1472538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1472541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472560 */     // MIs[0] round
     /* 1472560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472563 */     // MIs[0] policy
     /* 1472563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472573 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1472576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472597 */     // GIR_Coverage, 21751,
     /* 1472597 */     GIR_EraseRootFromParent_Done,
     /* 1472598 */   // Label 20570: @1472598
     /* 1472598 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1472680), // Rule ID 21754 //
     /* 1472603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1472606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1472614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1472617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1472620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1472623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472642 */     // MIs[0] round
     /* 1472642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472645 */     // MIs[0] policy
     /* 1472645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1472658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472679 */     // GIR_Coverage, 21754,
     /* 1472679 */     GIR_EraseRootFromParent_Done,
     /* 1472680 */   // Label 20571: @1472680
     /* 1472680 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1472762), // Rule ID 21755 //
     /* 1472685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1472688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1472696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1472699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1472702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1472705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472724 */     // MIs[0] round
     /* 1472724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472727 */     // MIs[0] policy
     /* 1472727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1472740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472761 */     // GIR_Coverage, 21755,
     /* 1472761 */     GIR_EraseRootFromParent_Done,
     /* 1472762 */   // Label 20572: @1472762
     /* 1472762 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1472844), // Rule ID 21758 //
     /* 1472767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1472770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1472787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472806 */     // MIs[0] round
     /* 1472806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472809 */     // MIs[0] policy
     /* 1472809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472819 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1472822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472843 */     // GIR_Coverage, 21758,
     /* 1472843 */     GIR_EraseRootFromParent_Done,
     /* 1472844 */   // Label 20573: @1472844
     /* 1472844 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1472926), // Rule ID 21759 //
     /* 1472849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1472852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1472869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472888 */     // MIs[0] round
     /* 1472888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472891 */     // MIs[0] policy
     /* 1472891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472901 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1472904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472925 */     // GIR_Coverage, 21759,
     /* 1472925 */     GIR_EraseRootFromParent_Done,
     /* 1472926 */   // Label 20574: @1472926
     /* 1472926 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1473008), // Rule ID 21762 //
     /* 1472931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1472934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1472939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1472951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472970 */     // MIs[0] round
     /* 1472970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1472973 */     // MIs[0] policy
     /* 1472973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472983 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1472986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1472992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1472994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1472996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473007 */     // GIR_Coverage, 21762,
     /* 1473007 */     GIR_EraseRootFromParent_Done,
     /* 1473008 */   // Label 20575: @1473008
     /* 1473008 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1473090), // Rule ID 21763 //
     /* 1473013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1473016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1473021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1473033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473052 */     // MIs[0] round
     /* 1473052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473055 */     // MIs[0] policy
     /* 1473055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473065 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1473068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473089 */     // GIR_Coverage, 21763,
     /* 1473089 */     GIR_EraseRootFromParent_Done,
     /* 1473090 */   // Label 20576: @1473090
     /* 1473090 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1473172), // Rule ID 21766 //
     /* 1473095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1473098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1473115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473134 */     // MIs[0] round
     /* 1473134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473137 */     // MIs[0] policy
     /* 1473137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473147 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1473150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473171 */     // GIR_Coverage, 21766,
     /* 1473171 */     GIR_EraseRootFromParent_Done,
     /* 1473172 */   // Label 20577: @1473172
     /* 1473172 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1473254), // Rule ID 21767 //
     /* 1473177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1473180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1473197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473216 */     // MIs[0] round
     /* 1473216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473219 */     // MIs[0] policy
     /* 1473219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473229 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1473232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473253 */     // GIR_Coverage, 21767,
     /* 1473253 */     GIR_EraseRootFromParent_Done,
     /* 1473254 */   // Label 20578: @1473254
     /* 1473254 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1473336), // Rule ID 21770 //
     /* 1473259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1473262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1473279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473298 */     // MIs[0] round
     /* 1473298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473301 */     // MIs[0] policy
     /* 1473301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473311 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1473314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473335 */     // GIR_Coverage, 21770,
     /* 1473335 */     GIR_EraseRootFromParent_Done,
     /* 1473336 */   // Label 20579: @1473336
     /* 1473336 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1473418), // Rule ID 21771 //
     /* 1473341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1473344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1473361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473380 */     // MIs[0] round
     /* 1473380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473383 */     // MIs[0] policy
     /* 1473383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473393 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1473396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473417 */     // GIR_Coverage, 21771,
     /* 1473417 */     GIR_EraseRootFromParent_Done,
     /* 1473418 */   // Label 20580: @1473418
     /* 1473418 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1473500), // Rule ID 21774 //
     /* 1473423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1473426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1473443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473462 */     // MIs[0] round
     /* 1473462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473465 */     // MIs[0] policy
     /* 1473465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473475 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1473478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473499 */     // GIR_Coverage, 21774,
     /* 1473499 */     GIR_EraseRootFromParent_Done,
     /* 1473500 */   // Label 20581: @1473500
     /* 1473500 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1473582), // Rule ID 21775 //
     /* 1473505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1473508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1473516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1473519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1473525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473544 */     // MIs[0] round
     /* 1473544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473547 */     // MIs[0] policy
     /* 1473547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473557 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1473560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473581 */     // GIR_Coverage, 21775,
     /* 1473581 */     GIR_EraseRootFromParent_Done,
     /* 1473582 */   // Label 20582: @1473582
     /* 1473582 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1473664), // Rule ID 21778 //
     /* 1473587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1473590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1473607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473626 */     // MIs[0] round
     /* 1473626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473629 */     // MIs[0] policy
     /* 1473629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473639 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1473642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473663 */     // GIR_Coverage, 21778,
     /* 1473663 */     GIR_EraseRootFromParent_Done,
     /* 1473664 */   // Label 20583: @1473664
     /* 1473664 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1473746), // Rule ID 21779 //
     /* 1473669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1473672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1473680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1473683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1473689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473708 */     // MIs[0] round
     /* 1473708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473711 */     // MIs[0] policy
     /* 1473711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473721 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1473724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473745 */     // GIR_Coverage, 21779,
     /* 1473745 */     GIR_EraseRootFromParent_Done,
     /* 1473746 */   // Label 20584: @1473746
     /* 1473746 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1473828), // Rule ID 21782 //
     /* 1473751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1473754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1473771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473790 */     // MIs[0] round
     /* 1473790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473793 */     // MIs[0] policy
     /* 1473793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473803 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1473806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473827 */     // GIR_Coverage, 21782,
     /* 1473827 */     GIR_EraseRootFromParent_Done,
     /* 1473828 */   // Label 20585: @1473828
     /* 1473828 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1473910), // Rule ID 21783 //
     /* 1473833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1473836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1473844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1473847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1473853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473872 */     // MIs[0] round
     /* 1473872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473875 */     // MIs[0] policy
     /* 1473875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473885 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1473888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473909 */     // GIR_Coverage, 21783,
     /* 1473909 */     GIR_EraseRootFromParent_Done,
     /* 1473910 */   // Label 20586: @1473910
     /* 1473910 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1473992), // Rule ID 21786 //
     /* 1473915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1473918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1473923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1473926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1473929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1473935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473954 */     // MIs[0] round
     /* 1473954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1473957 */     // MIs[0] policy
     /* 1473957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473967 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1473970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1473976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1473978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1473980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473991 */     // GIR_Coverage, 21786,
     /* 1473991 */     GIR_EraseRootFromParent_Done,
     /* 1473992 */   // Label 20587: @1473992
     /* 1473992 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1474074), // Rule ID 21787 //
     /* 1473997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1474000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1474014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1474017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474036 */     // MIs[0] round
     /* 1474036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474039 */     // MIs[0] policy
     /* 1474039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474049 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1474052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474073 */     // GIR_Coverage, 21787,
     /* 1474073 */     GIR_EraseRootFromParent_Done,
     /* 1474074 */   // Label 20588: @1474074
     /* 1474074 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1474156), // Rule ID 21790 //
     /* 1474079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1474082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1474099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474118 */     // MIs[0] round
     /* 1474118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474121 */     // MIs[0] policy
     /* 1474121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474131 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1474134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474155 */     // GIR_Coverage, 21790,
     /* 1474155 */     GIR_EraseRootFromParent_Done,
     /* 1474156 */   // Label 20589: @1474156
     /* 1474156 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1474238), // Rule ID 21791 //
     /* 1474161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1474164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1474181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474200 */     // MIs[0] round
     /* 1474200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474203 */     // MIs[0] policy
     /* 1474203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474213 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1474216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474237 */     // GIR_Coverage, 21791,
     /* 1474237 */     GIR_EraseRootFromParent_Done,
     /* 1474238 */   // Label 20590: @1474238
     /* 1474238 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1474320), // Rule ID 21794 //
     /* 1474243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1474246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1474263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474282 */     // MIs[0] round
     /* 1474282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474285 */     // MIs[0] policy
     /* 1474285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474295 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1474298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474319 */     // GIR_Coverage, 21794,
     /* 1474319 */     GIR_EraseRootFromParent_Done,
     /* 1474320 */   // Label 20591: @1474320
     /* 1474320 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1474402), // Rule ID 21795 //
     /* 1474325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1474328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1474345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474364 */     // MIs[0] round
     /* 1474364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474367 */     // MIs[0] policy
     /* 1474367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474377 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1474380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474401 */     // GIR_Coverage, 21795,
     /* 1474401 */     GIR_EraseRootFromParent_Done,
     /* 1474402 */   // Label 20592: @1474402
     /* 1474402 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1474484), // Rule ID 21798 //
     /* 1474407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1474410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1474424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1474427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474446 */     // MIs[0] round
     /* 1474446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474449 */     // MIs[0] policy
     /* 1474449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474459 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1474462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474483 */     // GIR_Coverage, 21798,
     /* 1474483 */     GIR_EraseRootFromParent_Done,
     /* 1474484 */   // Label 20593: @1474484
     /* 1474484 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1474566), // Rule ID 21799 //
     /* 1474489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1474492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1474497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1474506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1474509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474528 */     // MIs[0] round
     /* 1474528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1474531 */     // MIs[0] policy
     /* 1474531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474541 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1474544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1474550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1474552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1474554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474565 */     // GIR_Coverage, 21799,
     /* 1474565 */     GIR_EraseRootFromParent_Done,
     /* 1474566 */   // Label 20594: @1474566
     /* 1474566 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1474648), // Rule ID 2616 //
     /* 1474571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1474588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474602 */     // MIs[0] passthru
     /* 1474602 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1474607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474615 */     // MIs[0] policy
     /* 1474615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1474628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1474634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474647 */     // GIR_Coverage, 2616,
     /* 1474647 */     GIR_EraseRootFromParent_Done,
     /* 1474648 */   // Label 20595: @1474648
     /* 1474648 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1474730), // Rule ID 2617 //
     /* 1474653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1474670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474684 */     // MIs[0] passthru
     /* 1474684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1474689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474697 */     // MIs[0] policy
     /* 1474697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1474710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1474716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474729 */     // GIR_Coverage, 2617,
     /* 1474729 */     GIR_EraseRootFromParent_Done,
     /* 1474730 */   // Label 20596: @1474730
     /* 1474730 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1474812), // Rule ID 3924 //
     /* 1474735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1474752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474766 */     // MIs[0] passthru
     /* 1474766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1474771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474779 */     // MIs[0] policy
     /* 1474779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474789 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1474792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1474798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474811 */     // GIR_Coverage, 3924,
     /* 1474811 */     GIR_EraseRootFromParent_Done,
     /* 1474812 */   // Label 20597: @1474812
     /* 1474812 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1474894), // Rule ID 3925 //
     /* 1474817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1474834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474848 */     // MIs[0] passthru
     /* 1474848 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1474853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474861 */     // MIs[0] policy
     /* 1474861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1474874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1474880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474893 */     // GIR_Coverage, 3925,
     /* 1474893 */     GIR_EraseRootFromParent_Done,
     /* 1474894 */   // Label 20598: @1474894
     /* 1474894 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1474976), // Rule ID 3934 //
     /* 1474899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1474916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474930 */     // MIs[0] passthru
     /* 1474930 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1474935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474943 */     // MIs[0] policy
     /* 1474943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1474956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1474962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474975 */     // GIR_Coverage, 3934,
     /* 1474975 */     GIR_EraseRootFromParent_Done,
     /* 1474976 */   // Label 20599: @1474976
     /* 1474976 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1475058), // Rule ID 3935 //
     /* 1474981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1474989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1474992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1474995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1474998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475012 */     // MIs[0] passthru
     /* 1475012 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475025 */     // MIs[0] policy
     /* 1475025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475035 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1475038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475057 */     // GIR_Coverage, 3935,
     /* 1475057 */     GIR_EraseRootFromParent_Done,
     /* 1475058 */   // Label 20600: @1475058
     /* 1475058 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1475140), // Rule ID 3944 //
     /* 1475063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1475080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475094 */     // MIs[0] passthru
     /* 1475094 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475107 */     // MIs[0] policy
     /* 1475107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1475120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475139 */     // GIR_Coverage, 3944,
     /* 1475139 */     GIR_EraseRootFromParent_Done,
     /* 1475140 */   // Label 20601: @1475140
     /* 1475140 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1475222), // Rule ID 3945 //
     /* 1475145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1475156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1475159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1475162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475176 */     // MIs[0] passthru
     /* 1475176 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475189 */     // MIs[0] policy
     /* 1475189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1475202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475221 */     // GIR_Coverage, 3945,
     /* 1475221 */     GIR_EraseRootFromParent_Done,
     /* 1475222 */   // Label 20602: @1475222
     /* 1475222 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1475304), // Rule ID 3954 //
     /* 1475227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1475244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475258 */     // MIs[0] passthru
     /* 1475258 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475271 */     // MIs[0] policy
     /* 1475271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1475284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475303 */     // GIR_Coverage, 3954,
     /* 1475303 */     GIR_EraseRootFromParent_Done,
     /* 1475304 */   // Label 20603: @1475304
     /* 1475304 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1475386), // Rule ID 3955 //
     /* 1475309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1475326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475340 */     // MIs[0] passthru
     /* 1475340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475353 */     // MIs[0] policy
     /* 1475353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475363 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1475366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475385 */     // GIR_Coverage, 3955,
     /* 1475385 */     GIR_EraseRootFromParent_Done,
     /* 1475386 */   // Label 20604: @1475386
     /* 1475386 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1475468), // Rule ID 3964 //
     /* 1475391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1475408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475422 */     // MIs[0] passthru
     /* 1475422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475435 */     // MIs[0] policy
     /* 1475435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475445 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1475448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475467 */     // GIR_Coverage, 3964,
     /* 1475467 */     GIR_EraseRootFromParent_Done,
     /* 1475468 */   // Label 20605: @1475468
     /* 1475468 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1475550), // Rule ID 3965 //
     /* 1475473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1475490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475504 */     // MIs[0] passthru
     /* 1475504 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475517 */     // MIs[0] policy
     /* 1475517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1475530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475549 */     // GIR_Coverage, 3965,
     /* 1475549 */     GIR_EraseRootFromParent_Done,
     /* 1475550 */   // Label 20606: @1475550
     /* 1475550 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1475632), // Rule ID 3974 //
     /* 1475555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1475566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1475569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1475572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475586 */     // MIs[0] passthru
     /* 1475586 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475599 */     // MIs[0] policy
     /* 1475599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1475612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475631 */     // GIR_Coverage, 3974,
     /* 1475631 */     GIR_EraseRootFromParent_Done,
     /* 1475632 */   // Label 20607: @1475632
     /* 1475632 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1475714), // Rule ID 3975 //
     /* 1475637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1475648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1475651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1475654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475668 */     // MIs[0] passthru
     /* 1475668 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475681 */     // MIs[0] policy
     /* 1475681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1475694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475713 */     // GIR_Coverage, 3975,
     /* 1475713 */     GIR_EraseRootFromParent_Done,
     /* 1475714 */   // Label 20608: @1475714
     /* 1475714 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1475796), // Rule ID 3984 //
     /* 1475719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1475736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475750 */     // MIs[0] passthru
     /* 1475750 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475763 */     // MIs[0] policy
     /* 1475763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1475776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475795 */     // GIR_Coverage, 3984,
     /* 1475795 */     GIR_EraseRootFromParent_Done,
     /* 1475796 */   // Label 20609: @1475796
     /* 1475796 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1475878), // Rule ID 3985 //
     /* 1475801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1475818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475832 */     // MIs[0] passthru
     /* 1475832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475845 */     // MIs[0] policy
     /* 1475845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1475858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475877 */     // GIR_Coverage, 3985,
     /* 1475877 */     GIR_EraseRootFromParent_Done,
     /* 1475878 */   // Label 20610: @1475878
     /* 1475878 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1475960), // Rule ID 3994 //
     /* 1475883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1475900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475914 */     // MIs[0] passthru
     /* 1475914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1475919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475927 */     // MIs[0] policy
     /* 1475927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1475940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1475946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475959 */     // GIR_Coverage, 3994,
     /* 1475959 */     GIR_EraseRootFromParent_Done,
     /* 1475960 */   // Label 20611: @1475960
     /* 1475960 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1476042), // Rule ID 3995 //
     /* 1475965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1475973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1475982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475996 */     // MIs[0] passthru
     /* 1475996 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476009 */     // MIs[0] policy
     /* 1476009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1476022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476041 */     // GIR_Coverage, 3995,
     /* 1476041 */     GIR_EraseRootFromParent_Done,
     /* 1476042 */   // Label 20612: @1476042
     /* 1476042 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1476124), // Rule ID 4004 //
     /* 1476047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1476064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476078 */     // MIs[0] passthru
     /* 1476078 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476091 */     // MIs[0] policy
     /* 1476091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1476104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476123 */     // GIR_Coverage, 4004,
     /* 1476123 */     GIR_EraseRootFromParent_Done,
     /* 1476124 */   // Label 20613: @1476124
     /* 1476124 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1476206), // Rule ID 4005 //
     /* 1476129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1476140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1476143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1476146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476160 */     // MIs[0] passthru
     /* 1476160 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476173 */     // MIs[0] policy
     /* 1476173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1476186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476205 */     // GIR_Coverage, 4005,
     /* 1476205 */     GIR_EraseRootFromParent_Done,
     /* 1476206 */   // Label 20614: @1476206
     /* 1476206 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1476288), // Rule ID 4014 //
     /* 1476211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1476228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476242 */     // MIs[0] passthru
     /* 1476242 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476255 */     // MIs[0] policy
     /* 1476255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476265 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1476268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476287 */     // GIR_Coverage, 4014,
     /* 1476287 */     GIR_EraseRootFromParent_Done,
     /* 1476288 */   // Label 20615: @1476288
     /* 1476288 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1476370), // Rule ID 4015 //
     /* 1476293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1476304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1476307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1476310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476324 */     // MIs[0] passthru
     /* 1476324 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476337 */     // MIs[0] policy
     /* 1476337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1476350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476369 */     // GIR_Coverage, 4015,
     /* 1476369 */     GIR_EraseRootFromParent_Done,
     /* 1476370 */   // Label 20616: @1476370
     /* 1476370 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1476452), // Rule ID 4024 //
     /* 1476375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1476378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1476386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1476389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1476392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476406 */     // MIs[0] passthru
     /* 1476406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476419 */     // MIs[0] policy
     /* 1476419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1476432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476451 */     // GIR_Coverage, 4024,
     /* 1476451 */     GIR_EraseRootFromParent_Done,
     /* 1476452 */   // Label 20617: @1476452
     /* 1476452 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1476534), // Rule ID 4025 //
     /* 1476457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1476460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1476468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1476471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1476474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476488 */     // MIs[0] passthru
     /* 1476488 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476501 */     // MIs[0] policy
     /* 1476501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1476514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476533 */     // GIR_Coverage, 4025,
     /* 1476533 */     GIR_EraseRootFromParent_Done,
     /* 1476534 */   // Label 20618: @1476534
     /* 1476534 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1476616), // Rule ID 4034 //
     /* 1476539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1476542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1476556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476570 */     // MIs[0] passthru
     /* 1476570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476583 */     // MIs[0] policy
     /* 1476583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1476596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476615 */     // GIR_Coverage, 4034,
     /* 1476615 */     GIR_EraseRootFromParent_Done,
     /* 1476616 */   // Label 20619: @1476616
     /* 1476616 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1476698), // Rule ID 4035 //
     /* 1476621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1476624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1476638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476652 */     // MIs[0] passthru
     /* 1476652 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476665 */     // MIs[0] policy
     /* 1476665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1476678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476697 */     // GIR_Coverage, 4035,
     /* 1476697 */     GIR_EraseRootFromParent_Done,
     /* 1476698 */   // Label 20620: @1476698
     /* 1476698 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1476780), // Rule ID 4044 //
     /* 1476703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1476706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1476720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476734 */     // MIs[0] passthru
     /* 1476734 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476747 */     // MIs[0] policy
     /* 1476747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476757 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1476760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476779 */     // GIR_Coverage, 4044,
     /* 1476779 */     GIR_EraseRootFromParent_Done,
     /* 1476780 */   // Label 20621: @1476780
     /* 1476780 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1476862), // Rule ID 4045 //
     /* 1476785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1476788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1476802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476816 */     // MIs[0] passthru
     /* 1476816 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476829 */     // MIs[0] policy
     /* 1476829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1476842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476861 */     // GIR_Coverage, 4045,
     /* 1476861 */     GIR_EraseRootFromParent_Done,
     /* 1476862 */   // Label 20622: @1476862
     /* 1476862 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1476944), // Rule ID 4054 //
     /* 1476867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1476870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1476884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476898 */     // MIs[0] passthru
     /* 1476898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476911 */     // MIs[0] policy
     /* 1476911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1476924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476943 */     // GIR_Coverage, 4054,
     /* 1476943 */     GIR_EraseRootFromParent_Done,
     /* 1476944 */   // Label 20623: @1476944
     /* 1476944 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1477026), // Rule ID 4055 //
     /* 1476949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1476952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1476957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1476966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476980 */     // MIs[0] passthru
     /* 1476980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1476985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476993 */     // MIs[0] policy
     /* 1476993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1477006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477025 */     // GIR_Coverage, 4055,
     /* 1477025 */     GIR_EraseRootFromParent_Done,
     /* 1477026 */   // Label 20624: @1477026
     /* 1477026 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1477108), // Rule ID 4124 //
     /* 1477031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1477048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477062 */     // MIs[0] passthru
     /* 1477062 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477075 */     // MIs[0] policy
     /* 1477075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1477088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477107 */     // GIR_Coverage, 4124,
     /* 1477107 */     GIR_EraseRootFromParent_Done,
     /* 1477108 */   // Label 20625: @1477108
     /* 1477108 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1477190), // Rule ID 4125 //
     /* 1477113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1477130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477144 */     // MIs[0] passthru
     /* 1477144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477157 */     // MIs[0] policy
     /* 1477157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477167 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1477170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477189 */     // GIR_Coverage, 4125,
     /* 1477189 */     GIR_EraseRootFromParent_Done,
     /* 1477190 */   // Label 20626: @1477190
     /* 1477190 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1477272), // Rule ID 4134 //
     /* 1477195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1477212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477226 */     // MIs[0] passthru
     /* 1477226 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477239 */     // MIs[0] policy
     /* 1477239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1477252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477271 */     // GIR_Coverage, 4134,
     /* 1477271 */     GIR_EraseRootFromParent_Done,
     /* 1477272 */   // Label 20627: @1477272
     /* 1477272 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1477354), // Rule ID 4135 //
     /* 1477277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1477294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477308 */     // MIs[0] passthru
     /* 1477308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477321 */     // MIs[0] policy
     /* 1477321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1477334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477353 */     // GIR_Coverage, 4135,
     /* 1477353 */     GIR_EraseRootFromParent_Done,
     /* 1477354 */   // Label 20628: @1477354
     /* 1477354 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1477436), // Rule ID 4144 //
     /* 1477359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1477376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477390 */     // MIs[0] passthru
     /* 1477390 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477403 */     // MIs[0] policy
     /* 1477403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477413 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1477416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477435 */     // GIR_Coverage, 4144,
     /* 1477435 */     GIR_EraseRootFromParent_Done,
     /* 1477436 */   // Label 20629: @1477436
     /* 1477436 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1477518), // Rule ID 4145 //
     /* 1477441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1477452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1477455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1477458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477472 */     // MIs[0] passthru
     /* 1477472 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477485 */     // MIs[0] policy
     /* 1477485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477495 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1477498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477517 */     // GIR_Coverage, 4145,
     /* 1477517 */     GIR_EraseRootFromParent_Done,
     /* 1477518 */   // Label 20630: @1477518
     /* 1477518 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1477600), // Rule ID 4154 //
     /* 1477523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1477540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477554 */     // MIs[0] passthru
     /* 1477554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477567 */     // MIs[0] policy
     /* 1477567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1477580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477599 */     // GIR_Coverage, 4154,
     /* 1477599 */     GIR_EraseRootFromParent_Done,
     /* 1477600 */   // Label 20631: @1477600
     /* 1477600 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1477682), // Rule ID 4155 //
     /* 1477605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1477622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477636 */     // MIs[0] passthru
     /* 1477636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477649 */     // MIs[0] policy
     /* 1477649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1477662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477681 */     // GIR_Coverage, 4155,
     /* 1477681 */     GIR_EraseRootFromParent_Done,
     /* 1477682 */   // Label 20632: @1477682
     /* 1477682 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1477764), // Rule ID 4164 //
     /* 1477687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1477704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477718 */     // MIs[0] passthru
     /* 1477718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477731 */     // MIs[0] policy
     /* 1477731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1477744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477763 */     // GIR_Coverage, 4164,
     /* 1477763 */     GIR_EraseRootFromParent_Done,
     /* 1477764 */   // Label 20633: @1477764
     /* 1477764 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1477846), // Rule ID 4165 //
     /* 1477769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1477786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477800 */     // MIs[0] passthru
     /* 1477800 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477813 */     // MIs[0] policy
     /* 1477813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1477826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477845 */     // GIR_Coverage, 4165,
     /* 1477845 */     GIR_EraseRootFromParent_Done,
     /* 1477846 */   // Label 20634: @1477846
     /* 1477846 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1477928), // Rule ID 4174 //
     /* 1477851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1477868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477882 */     // MIs[0] passthru
     /* 1477882 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477895 */     // MIs[0] policy
     /* 1477895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477905 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1477908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477927 */     // GIR_Coverage, 4174,
     /* 1477927 */     GIR_EraseRootFromParent_Done,
     /* 1477928 */   // Label 20635: @1477928
     /* 1477928 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1478010), // Rule ID 4175 //
     /* 1477933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1477941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1477950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477964 */     // MIs[0] passthru
     /* 1477964 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1477969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477977 */     // MIs[0] policy
     /* 1477977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1477990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478009 */     // GIR_Coverage, 4175,
     /* 1478009 */     GIR_EraseRootFromParent_Done,
     /* 1478010 */   // Label 20636: @1478010
     /* 1478010 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1478092), // Rule ID 4184 //
     /* 1478015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1478032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478046 */     // MIs[0] passthru
     /* 1478046 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478059 */     // MIs[0] policy
     /* 1478059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1478072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478091 */     // GIR_Coverage, 4184,
     /* 1478091 */     GIR_EraseRootFromParent_Done,
     /* 1478092 */   // Label 20637: @1478092
     /* 1478092 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1478174), // Rule ID 4185 //
     /* 1478097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1478114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478128 */     // MIs[0] passthru
     /* 1478128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478141 */     // MIs[0] policy
     /* 1478141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1478154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478173 */     // GIR_Coverage, 4185,
     /* 1478173 */     GIR_EraseRootFromParent_Done,
     /* 1478174 */   // Label 20638: @1478174
     /* 1478174 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1478256), // Rule ID 4194 //
     /* 1478179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1478196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478210 */     // MIs[0] passthru
     /* 1478210 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478223 */     // MIs[0] policy
     /* 1478223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1478236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478255 */     // GIR_Coverage, 4194,
     /* 1478255 */     GIR_EraseRootFromParent_Done,
     /* 1478256 */   // Label 20639: @1478256
     /* 1478256 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1478338), // Rule ID 4195 //
     /* 1478261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1478278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478292 */     // MIs[0] passthru
     /* 1478292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478305 */     // MIs[0] policy
     /* 1478305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1478318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478337 */     // GIR_Coverage, 4195,
     /* 1478337 */     GIR_EraseRootFromParent_Done,
     /* 1478338 */   // Label 20640: @1478338
     /* 1478338 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1478420), // Rule ID 4204 //
     /* 1478343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1478360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478374 */     // MIs[0] passthru
     /* 1478374 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478387 */     // MIs[0] policy
     /* 1478387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1478400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478419 */     // GIR_Coverage, 4204,
     /* 1478419 */     GIR_EraseRootFromParent_Done,
     /* 1478420 */   // Label 20641: @1478420
     /* 1478420 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1478502), // Rule ID 4205 //
     /* 1478425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1478442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478456 */     // MIs[0] passthru
     /* 1478456 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478469 */     // MIs[0] policy
     /* 1478469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1478482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478501 */     // GIR_Coverage, 4205,
     /* 1478501 */     GIR_EraseRootFromParent_Done,
     /* 1478502 */   // Label 20642: @1478502
     /* 1478502 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1478584), // Rule ID 4214 //
     /* 1478507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1478524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478538 */     // MIs[0] passthru
     /* 1478538 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478551 */     // MIs[0] policy
     /* 1478551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1478564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478583 */     // GIR_Coverage, 4214,
     /* 1478583 */     GIR_EraseRootFromParent_Done,
     /* 1478584 */   // Label 20643: @1478584
     /* 1478584 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1478666), // Rule ID 4215 //
     /* 1478589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1478606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478620 */     // MIs[0] passthru
     /* 1478620 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478633 */     // MIs[0] policy
     /* 1478633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1478646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478665 */     // GIR_Coverage, 4215,
     /* 1478665 */     GIR_EraseRootFromParent_Done,
     /* 1478666 */   // Label 20644: @1478666
     /* 1478666 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1478748), // Rule ID 4224 //
     /* 1478671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1478688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478702 */     // MIs[0] passthru
     /* 1478702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478715 */     // MIs[0] policy
     /* 1478715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1478728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478747 */     // GIR_Coverage, 4224,
     /* 1478747 */     GIR_EraseRootFromParent_Done,
     /* 1478748 */   // Label 20645: @1478748
     /* 1478748 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1478830), // Rule ID 4225 //
     /* 1478753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1478770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478784 */     // MIs[0] passthru
     /* 1478784 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478797 */     // MIs[0] policy
     /* 1478797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1478810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478829 */     // GIR_Coverage, 4225,
     /* 1478829 */     GIR_EraseRootFromParent_Done,
     /* 1478830 */   // Label 20646: @1478830
     /* 1478830 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1478912), // Rule ID 4234 //
     /* 1478835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1478838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1478852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478866 */     // MIs[0] passthru
     /* 1478866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478879 */     // MIs[0] policy
     /* 1478879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1478892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478911 */     // GIR_Coverage, 4234,
     /* 1478911 */     GIR_EraseRootFromParent_Done,
     /* 1478912 */   // Label 20647: @1478912
     /* 1478912 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1478994), // Rule ID 4235 //
     /* 1478917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1478920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1478925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1478934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478948 */     // MIs[0] passthru
     /* 1478948 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1478953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478961 */     // MIs[0] policy
     /* 1478961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1478974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478993 */     // GIR_Coverage, 4235,
     /* 1478993 */     GIR_EraseRootFromParent_Done,
     /* 1478994 */   // Label 20648: @1478994
     /* 1478994 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1479076), // Rule ID 4244 //
     /* 1478999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1479002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1479016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479030 */     // MIs[0] passthru
     /* 1479030 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479043 */     // MIs[0] policy
     /* 1479043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1479056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479075 */     // GIR_Coverage, 4244,
     /* 1479075 */     GIR_EraseRootFromParent_Done,
     /* 1479076 */   // Label 20649: @1479076
     /* 1479076 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1479158), // Rule ID 4245 //
     /* 1479081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1479084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1479098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479112 */     // MIs[0] passthru
     /* 1479112 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479125 */     // MIs[0] policy
     /* 1479125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479135 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1479138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479157 */     // GIR_Coverage, 4245,
     /* 1479157 */     GIR_EraseRootFromParent_Done,
     /* 1479158 */   // Label 20650: @1479158
     /* 1479158 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1479240), // Rule ID 4254 //
     /* 1479163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1479166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1479180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479194 */     // MIs[0] passthru
     /* 1479194 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479207 */     // MIs[0] policy
     /* 1479207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479217 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1479220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479239 */     // GIR_Coverage, 4254,
     /* 1479239 */     GIR_EraseRootFromParent_Done,
     /* 1479240 */   // Label 20651: @1479240
     /* 1479240 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1479322), // Rule ID 4255 //
     /* 1479245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1479248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1479262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479276 */     // MIs[0] passthru
     /* 1479276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479289 */     // MIs[0] policy
     /* 1479289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479299 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1479302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479321 */     // GIR_Coverage, 4255,
     /* 1479321 */     GIR_EraseRootFromParent_Done,
     /* 1479322 */   // Label 20652: @1479322
     /* 1479322 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1479404), // Rule ID 4264 //
     /* 1479327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1479330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1479344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479358 */     // MIs[0] passthru
     /* 1479358 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479371 */     // MIs[0] policy
     /* 1479371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1479384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479403 */     // GIR_Coverage, 4264,
     /* 1479403 */     GIR_EraseRootFromParent_Done,
     /* 1479404 */   // Label 20653: @1479404
     /* 1479404 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1479486), // Rule ID 4265 //
     /* 1479409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1479412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1479417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1479426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479440 */     // MIs[0] passthru
     /* 1479440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479453 */     // MIs[0] policy
     /* 1479453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479463 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1479466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479485 */     // GIR_Coverage, 4265,
     /* 1479485 */     GIR_EraseRootFromParent_Done,
     /* 1479486 */   // Label 20654: @1479486
     /* 1479486 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1479568), // Rule ID 4334 //
     /* 1479491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1479508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479522 */     // MIs[0] passthru
     /* 1479522 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479535 */     // MIs[0] policy
     /* 1479535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1479548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479567 */     // GIR_Coverage, 4334,
     /* 1479567 */     GIR_EraseRootFromParent_Done,
     /* 1479568 */   // Label 20655: @1479568
     /* 1479568 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1479650), // Rule ID 4335 //
     /* 1479573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1479590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479604 */     // MIs[0] passthru
     /* 1479604 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479617 */     // MIs[0] policy
     /* 1479617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1479630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479649 */     // GIR_Coverage, 4335,
     /* 1479649 */     GIR_EraseRootFromParent_Done,
     /* 1479650 */   // Label 20656: @1479650
     /* 1479650 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1479732), // Rule ID 4344 //
     /* 1479655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1479666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1479669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1479672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479686 */     // MIs[0] passthru
     /* 1479686 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479699 */     // MIs[0] policy
     /* 1479699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1479712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479731 */     // GIR_Coverage, 4344,
     /* 1479731 */     GIR_EraseRootFromParent_Done,
     /* 1479732 */   // Label 20657: @1479732
     /* 1479732 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1479814), // Rule ID 4345 //
     /* 1479737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1479748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1479751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1479754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479768 */     // MIs[0] passthru
     /* 1479768 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479781 */     // MIs[0] policy
     /* 1479781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479791 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1479794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479813 */     // GIR_Coverage, 4345,
     /* 1479813 */     GIR_EraseRootFromParent_Done,
     /* 1479814 */   // Label 20658: @1479814
     /* 1479814 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1479896), // Rule ID 4354 //
     /* 1479819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1479836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479850 */     // MIs[0] passthru
     /* 1479850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479863 */     // MIs[0] policy
     /* 1479863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1479876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479895 */     // GIR_Coverage, 4354,
     /* 1479895 */     GIR_EraseRootFromParent_Done,
     /* 1479896 */   // Label 20659: @1479896
     /* 1479896 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1479978), // Rule ID 4355 //
     /* 1479901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1479918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479932 */     // MIs[0] passthru
     /* 1479932 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1479937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479945 */     // MIs[0] policy
     /* 1479945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1479958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479977 */     // GIR_Coverage, 4355,
     /* 1479977 */     GIR_EraseRootFromParent_Done,
     /* 1479978 */   // Label 20660: @1479978
     /* 1479978 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1480060), // Rule ID 4364 //
     /* 1479983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1479991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1480000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480014 */     // MIs[0] passthru
     /* 1480014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480027 */     // MIs[0] policy
     /* 1480027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1480040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480059 */     // GIR_Coverage, 4364,
     /* 1480059 */     GIR_EraseRootFromParent_Done,
     /* 1480060 */   // Label 20661: @1480060
     /* 1480060 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1480142), // Rule ID 4365 //
     /* 1480065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1480076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1480079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1480082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480096 */     // MIs[0] passthru
     /* 1480096 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480109 */     // MIs[0] policy
     /* 1480109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1480122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480141 */     // GIR_Coverage, 4365,
     /* 1480141 */     GIR_EraseRootFromParent_Done,
     /* 1480142 */   // Label 20662: @1480142
     /* 1480142 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1480224), // Rule ID 4374 //
     /* 1480147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1480158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1480161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1480164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480178 */     // MIs[0] passthru
     /* 1480178 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480191 */     // MIs[0] policy
     /* 1480191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1480204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480223 */     // GIR_Coverage, 4374,
     /* 1480223 */     GIR_EraseRootFromParent_Done,
     /* 1480224 */   // Label 20663: @1480224
     /* 1480224 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1480306), // Rule ID 4375 //
     /* 1480229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1480240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1480243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1480246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480260 */     // MIs[0] passthru
     /* 1480260 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480273 */     // MIs[0] policy
     /* 1480273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1480286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480305 */     // GIR_Coverage, 4375,
     /* 1480305 */     GIR_EraseRootFromParent_Done,
     /* 1480306 */   // Label 20664: @1480306
     /* 1480306 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1480388), // Rule ID 4384 //
     /* 1480311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1480328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480342 */     // MIs[0] passthru
     /* 1480342 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480355 */     // MIs[0] policy
     /* 1480355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1480368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480387 */     // GIR_Coverage, 4384,
     /* 1480387 */     GIR_EraseRootFromParent_Done,
     /* 1480388 */   // Label 20665: @1480388
     /* 1480388 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1480470), // Rule ID 4385 //
     /* 1480393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1480410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480424 */     // MIs[0] passthru
     /* 1480424 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480437 */     // MIs[0] policy
     /* 1480437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480447 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1480450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480469 */     // GIR_Coverage, 4385,
     /* 1480469 */     GIR_EraseRootFromParent_Done,
     /* 1480470 */   // Label 20666: @1480470
     /* 1480470 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1480552), // Rule ID 4394 //
     /* 1480475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1480492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480506 */     // MIs[0] passthru
     /* 1480506 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480519 */     // MIs[0] policy
     /* 1480519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1480532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480551 */     // GIR_Coverage, 4394,
     /* 1480551 */     GIR_EraseRootFromParent_Done,
     /* 1480552 */   // Label 20667: @1480552
     /* 1480552 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1480634), // Rule ID 4395 //
     /* 1480557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1480568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1480571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1480574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480588 */     // MIs[0] passthru
     /* 1480588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480601 */     // MIs[0] policy
     /* 1480601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1480614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480633 */     // GIR_Coverage, 4395,
     /* 1480633 */     GIR_EraseRootFromParent_Done,
     /* 1480634 */   // Label 20668: @1480634
     /* 1480634 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1480716), // Rule ID 4404 //
     /* 1480639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1480650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1480653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1480656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480670 */     // MIs[0] passthru
     /* 1480670 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480683 */     // MIs[0] policy
     /* 1480683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1480696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480715 */     // GIR_Coverage, 4404,
     /* 1480715 */     GIR_EraseRootFromParent_Done,
     /* 1480716 */   // Label 20669: @1480716
     /* 1480716 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1480798), // Rule ID 4405 //
     /* 1480721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1480732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1480735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1480738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480752 */     // MIs[0] passthru
     /* 1480752 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480765 */     // MIs[0] policy
     /* 1480765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1480778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480797 */     // GIR_Coverage, 4405,
     /* 1480797 */     GIR_EraseRootFromParent_Done,
     /* 1480798 */   // Label 20670: @1480798
     /* 1480798 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1480880), // Rule ID 4414 //
     /* 1480803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1480820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480834 */     // MIs[0] passthru
     /* 1480834 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480847 */     // MIs[0] policy
     /* 1480847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1480860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480879 */     // GIR_Coverage, 4414,
     /* 1480879 */     GIR_EraseRootFromParent_Done,
     /* 1480880 */   // Label 20671: @1480880
     /* 1480880 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1480962), // Rule ID 4415 //
     /* 1480885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1480902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480916 */     // MIs[0] passthru
     /* 1480916 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1480921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480929 */     // MIs[0] policy
     /* 1480929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1480942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480961 */     // GIR_Coverage, 4415,
     /* 1480961 */     GIR_EraseRootFromParent_Done,
     /* 1480962 */   // Label 20672: @1480962
     /* 1480962 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1481044), // Rule ID 4424 //
     /* 1480967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1480975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1480984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480998 */     // MIs[0] passthru
     /* 1480998 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481011 */     // MIs[0] policy
     /* 1481011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1481024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481043 */     // GIR_Coverage, 4424,
     /* 1481043 */     GIR_EraseRootFromParent_Done,
     /* 1481044 */   // Label 20673: @1481044
     /* 1481044 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1481126), // Rule ID 4425 //
     /* 1481049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1481060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1481063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1481066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481080 */     // MIs[0] passthru
     /* 1481080 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481093 */     // MIs[0] policy
     /* 1481093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1481106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481125 */     // GIR_Coverage, 4425,
     /* 1481125 */     GIR_EraseRootFromParent_Done,
     /* 1481126 */   // Label 20674: @1481126
     /* 1481126 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1481208), // Rule ID 4434 //
     /* 1481131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1481142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1481145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1481148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481162 */     // MIs[0] passthru
     /* 1481162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481175 */     // MIs[0] policy
     /* 1481175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1481188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481207 */     // GIR_Coverage, 4434,
     /* 1481207 */     GIR_EraseRootFromParent_Done,
     /* 1481208 */   // Label 20675: @1481208
     /* 1481208 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1481290), // Rule ID 4435 //
     /* 1481213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1481224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1481227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1481230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481244 */     // MIs[0] passthru
     /* 1481244 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481257 */     // MIs[0] policy
     /* 1481257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1481270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481289 */     // GIR_Coverage, 4435,
     /* 1481289 */     GIR_EraseRootFromParent_Done,
     /* 1481290 */   // Label 20676: @1481290
     /* 1481290 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1481372), // Rule ID 4444 //
     /* 1481295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1481298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1481312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481326 */     // MIs[0] passthru
     /* 1481326 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481339 */     // MIs[0] policy
     /* 1481339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481349 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1481352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481371 */     // GIR_Coverage, 4444,
     /* 1481371 */     GIR_EraseRootFromParent_Done,
     /* 1481372 */   // Label 20677: @1481372
     /* 1481372 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1481454), // Rule ID 4445 //
     /* 1481377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1481380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1481388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1481391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1481394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481408 */     // MIs[0] passthru
     /* 1481408 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481421 */     // MIs[0] policy
     /* 1481421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481431 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1481434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481453 */     // GIR_Coverage, 4445,
     /* 1481453 */     GIR_EraseRootFromParent_Done,
     /* 1481454 */   // Label 20678: @1481454
     /* 1481454 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1481536), // Rule ID 4454 //
     /* 1481459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1481462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1481470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1481473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1481476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481490 */     // MIs[0] passthru
     /* 1481490 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481503 */     // MIs[0] policy
     /* 1481503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1481516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481535 */     // GIR_Coverage, 4454,
     /* 1481535 */     GIR_EraseRootFromParent_Done,
     /* 1481536 */   // Label 20679: @1481536
     /* 1481536 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1481618), // Rule ID 4455 //
     /* 1481541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1481544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1481552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1481555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1481558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481572 */     // MIs[0] passthru
     /* 1481572 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481585 */     // MIs[0] policy
     /* 1481585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1481598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481617 */     // GIR_Coverage, 4455,
     /* 1481617 */     GIR_EraseRootFromParent_Done,
     /* 1481618 */   // Label 20680: @1481618
     /* 1481618 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1481700), // Rule ID 4464 //
     /* 1481623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1481626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1481634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1481637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1481640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481654 */     // MIs[0] passthru
     /* 1481654 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481667 */     // MIs[0] policy
     /* 1481667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1481680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481699 */     // GIR_Coverage, 4464,
     /* 1481699 */     GIR_EraseRootFromParent_Done,
     /* 1481700 */   // Label 20681: @1481700
     /* 1481700 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1481782), // Rule ID 4465 //
     /* 1481705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1481708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1481716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1481719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1481722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481736 */     // MIs[0] passthru
     /* 1481736 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481749 */     // MIs[0] policy
     /* 1481749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1481762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481781 */     // GIR_Coverage, 4465,
     /* 1481781 */     GIR_EraseRootFromParent_Done,
     /* 1481782 */   // Label 20682: @1481782
     /* 1481782 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1481864), // Rule ID 4474 //
     /* 1481787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1481790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1481804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481818 */     // MIs[0] passthru
     /* 1481818 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481831 */     // MIs[0] policy
     /* 1481831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1481844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481863 */     // GIR_Coverage, 4474,
     /* 1481863 */     GIR_EraseRootFromParent_Done,
     /* 1481864 */   // Label 20683: @1481864
     /* 1481864 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1481946), // Rule ID 4475 //
     /* 1481869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1481872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1481877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1481886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481900 */     // MIs[0] passthru
     /* 1481900 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481913 */     // MIs[0] policy
     /* 1481913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1481926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481945 */     // GIR_Coverage, 4475,
     /* 1481945 */     GIR_EraseRootFromParent_Done,
     /* 1481946 */   // Label 20684: @1481946
     /* 1481946 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1482028), // Rule ID 4544 //
     /* 1481951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1481959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1481968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481982 */     // MIs[0] passthru
     /* 1481982 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1481987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481995 */     // MIs[0] policy
     /* 1481995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1482008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482027 */     // GIR_Coverage, 4544,
     /* 1482027 */     GIR_EraseRootFromParent_Done,
     /* 1482028 */   // Label 20685: @1482028
     /* 1482028 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1482110), // Rule ID 4545 //
     /* 1482033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1482044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1482047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1482050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482064 */     // MIs[0] passthru
     /* 1482064 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482077 */     // MIs[0] policy
     /* 1482077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1482090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482109 */     // GIR_Coverage, 4545,
     /* 1482109 */     GIR_EraseRootFromParent_Done,
     /* 1482110 */   // Label 20686: @1482110
     /* 1482110 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1482192), // Rule ID 4554 //
     /* 1482115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1482126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1482129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1482132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482146 */     // MIs[0] passthru
     /* 1482146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482159 */     // MIs[0] policy
     /* 1482159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1482172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482191 */     // GIR_Coverage, 4554,
     /* 1482191 */     GIR_EraseRootFromParent_Done,
     /* 1482192 */   // Label 20687: @1482192
     /* 1482192 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1482274), // Rule ID 4555 //
     /* 1482197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1482208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1482211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1482214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482228 */     // MIs[0] passthru
     /* 1482228 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482241 */     // MIs[0] policy
     /* 1482241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1482254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482273 */     // GIR_Coverage, 4555,
     /* 1482273 */     GIR_EraseRootFromParent_Done,
     /* 1482274 */   // Label 20688: @1482274
     /* 1482274 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1482356), // Rule ID 4564 //
     /* 1482279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1482290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1482293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1482296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482310 */     // MIs[0] passthru
     /* 1482310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482323 */     // MIs[0] policy
     /* 1482323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1482336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482355 */     // GIR_Coverage, 4564,
     /* 1482355 */     GIR_EraseRootFromParent_Done,
     /* 1482356 */   // Label 20689: @1482356
     /* 1482356 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1482438), // Rule ID 4565 //
     /* 1482361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1482372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1482375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1482378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482392 */     // MIs[0] passthru
     /* 1482392 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482405 */     // MIs[0] policy
     /* 1482405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482415 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1482418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482437 */     // GIR_Coverage, 4565,
     /* 1482437 */     GIR_EraseRootFromParent_Done,
     /* 1482438 */   // Label 20690: @1482438
     /* 1482438 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1482520), // Rule ID 4574 //
     /* 1482443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1482460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482474 */     // MIs[0] passthru
     /* 1482474 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482487 */     // MIs[0] policy
     /* 1482487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1482500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482519 */     // GIR_Coverage, 4574,
     /* 1482519 */     GIR_EraseRootFromParent_Done,
     /* 1482520 */   // Label 20691: @1482520
     /* 1482520 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1482602), // Rule ID 4575 //
     /* 1482525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1482542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482556 */     // MIs[0] passthru
     /* 1482556 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482569 */     // MIs[0] policy
     /* 1482569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1482582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482601 */     // GIR_Coverage, 4575,
     /* 1482601 */     GIR_EraseRootFromParent_Done,
     /* 1482602 */   // Label 20692: @1482602
     /* 1482602 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1482684), // Rule ID 4584 //
     /* 1482607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1482624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482638 */     // MIs[0] passthru
     /* 1482638 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482651 */     // MIs[0] policy
     /* 1482651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1482664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482683 */     // GIR_Coverage, 4584,
     /* 1482683 */     GIR_EraseRootFromParent_Done,
     /* 1482684 */   // Label 20693: @1482684
     /* 1482684 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1482766), // Rule ID 4585 //
     /* 1482689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1482706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482720 */     // MIs[0] passthru
     /* 1482720 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482733 */     // MIs[0] policy
     /* 1482733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1482746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482765 */     // GIR_Coverage, 4585,
     /* 1482765 */     GIR_EraseRootFromParent_Done,
     /* 1482766 */   // Label 20694: @1482766
     /* 1482766 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1482848), // Rule ID 4594 //
     /* 1482771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1482788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482802 */     // MIs[0] passthru
     /* 1482802 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482815 */     // MIs[0] policy
     /* 1482815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482825 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1482828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482847 */     // GIR_Coverage, 4594,
     /* 1482847 */     GIR_EraseRootFromParent_Done,
     /* 1482848 */   // Label 20695: @1482848
     /* 1482848 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1482930), // Rule ID 4595 //
     /* 1482853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1482870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482884 */     // MIs[0] passthru
     /* 1482884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482897 */     // MIs[0] policy
     /* 1482897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482907 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1482910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482929 */     // GIR_Coverage, 4595,
     /* 1482929 */     GIR_EraseRootFromParent_Done,
     /* 1482930 */   // Label 20696: @1482930
     /* 1482930 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1483012), // Rule ID 4604 //
     /* 1482935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1482943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1482952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482966 */     // MIs[0] passthru
     /* 1482966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1482971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482979 */     // MIs[0] policy
     /* 1482979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1482992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483011 */     // GIR_Coverage, 4604,
     /* 1483011 */     GIR_EraseRootFromParent_Done,
     /* 1483012 */   // Label 20697: @1483012
     /* 1483012 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1483094), // Rule ID 4605 //
     /* 1483017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1483028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1483031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1483034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483048 */     // MIs[0] passthru
     /* 1483048 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483061 */     // MIs[0] policy
     /* 1483061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1483074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483093 */     // GIR_Coverage, 4605,
     /* 1483093 */     GIR_EraseRootFromParent_Done,
     /* 1483094 */   // Label 20698: @1483094
     /* 1483094 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1483176), // Rule ID 4614 //
     /* 1483099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1483110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1483113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1483116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483130 */     // MIs[0] passthru
     /* 1483130 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483143 */     // MIs[0] policy
     /* 1483143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1483156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483175 */     // GIR_Coverage, 4614,
     /* 1483175 */     GIR_EraseRootFromParent_Done,
     /* 1483176 */   // Label 20699: @1483176
     /* 1483176 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1483258), // Rule ID 4615 //
     /* 1483181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1483192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1483195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1483198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483212 */     // MIs[0] passthru
     /* 1483212 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483225 */     // MIs[0] policy
     /* 1483225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483235 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1483238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483257 */     // GIR_Coverage, 4615,
     /* 1483257 */     GIR_EraseRootFromParent_Done,
     /* 1483258 */   // Label 20700: @1483258
     /* 1483258 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1483340), // Rule ID 4624 //
     /* 1483263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1483280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483294 */     // MIs[0] passthru
     /* 1483294 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483307 */     // MIs[0] policy
     /* 1483307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1483320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483339 */     // GIR_Coverage, 4624,
     /* 1483339 */     GIR_EraseRootFromParent_Done,
     /* 1483340 */   // Label 20701: @1483340
     /* 1483340 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1483422), // Rule ID 4625 //
     /* 1483345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1483362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483376 */     // MIs[0] passthru
     /* 1483376 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483389 */     // MIs[0] policy
     /* 1483389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1483402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483421 */     // GIR_Coverage, 4625,
     /* 1483421 */     GIR_EraseRootFromParent_Done,
     /* 1483422 */   // Label 20702: @1483422
     /* 1483422 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1483504), // Rule ID 4634 //
     /* 1483427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1483444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483458 */     // MIs[0] passthru
     /* 1483458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483471 */     // MIs[0] policy
     /* 1483471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1483484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483503 */     // GIR_Coverage, 4634,
     /* 1483503 */     GIR_EraseRootFromParent_Done,
     /* 1483504 */   // Label 20703: @1483504
     /* 1483504 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1483586), // Rule ID 4635 //
     /* 1483509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1483526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483540 */     // MIs[0] passthru
     /* 1483540 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483553 */     // MIs[0] policy
     /* 1483553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1483566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483585 */     // GIR_Coverage, 4635,
     /* 1483585 */     GIR_EraseRootFromParent_Done,
     /* 1483586 */   // Label 20704: @1483586
     /* 1483586 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1483668), // Rule ID 4644 //
     /* 1483591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1483608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483622 */     // MIs[0] passthru
     /* 1483622 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483635 */     // MIs[0] policy
     /* 1483635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1483648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483667 */     // GIR_Coverage, 4644,
     /* 1483667 */     GIR_EraseRootFromParent_Done,
     /* 1483668 */   // Label 20705: @1483668
     /* 1483668 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1483750), // Rule ID 4645 //
     /* 1483673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1483690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483704 */     // MIs[0] passthru
     /* 1483704 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483717 */     // MIs[0] policy
     /* 1483717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483727 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1483730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483749 */     // GIR_Coverage, 4645,
     /* 1483749 */     GIR_EraseRootFromParent_Done,
     /* 1483750 */   // Label 20706: @1483750
     /* 1483750 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1483832), // Rule ID 4654 //
     /* 1483755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1483758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1483772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483786 */     // MIs[0] passthru
     /* 1483786 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483799 */     // MIs[0] policy
     /* 1483799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1483812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483831 */     // GIR_Coverage, 4654,
     /* 1483831 */     GIR_EraseRootFromParent_Done,
     /* 1483832 */   // Label 20707: @1483832
     /* 1483832 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1483914), // Rule ID 4655 //
     /* 1483837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1483840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1483854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483868 */     // MIs[0] passthru
     /* 1483868 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483881 */     // MIs[0] policy
     /* 1483881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1483894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483913 */     // GIR_Coverage, 4655,
     /* 1483913 */     GIR_EraseRootFromParent_Done,
     /* 1483914 */   // Label 20708: @1483914
     /* 1483914 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1483996), // Rule ID 4664 //
     /* 1483919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1483922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1483927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1483936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483950 */     // MIs[0] passthru
     /* 1483950 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1483955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483963 */     // MIs[0] policy
     /* 1483963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1483976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483995 */     // GIR_Coverage, 4664,
     /* 1483995 */     GIR_EraseRootFromParent_Done,
     /* 1483996 */   // Label 20709: @1483996
     /* 1483996 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1484078), // Rule ID 4665 //
     /* 1484001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1484004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1484009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1484012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1484015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1484018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484032 */     // MIs[0] passthru
     /* 1484032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1484037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484045 */     // MIs[0] policy
     /* 1484045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1484058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484077 */     // GIR_Coverage, 4665,
     /* 1484077 */     GIR_EraseRootFromParent_Done,
     /* 1484078 */   // Label 20710: @1484078
     /* 1484078 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1484160), // Rule ID 4674 //
     /* 1484083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1484086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1484091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1484100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484114 */     // MIs[0] passthru
     /* 1484114 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1484119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484127 */     // MIs[0] policy
     /* 1484127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1484140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484159 */     // GIR_Coverage, 4674,
     /* 1484159 */     GIR_EraseRootFromParent_Done,
     /* 1484160 */   // Label 20711: @1484160
     /* 1484160 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1484242), // Rule ID 4675 //
     /* 1484165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1484168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1484173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1484182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484196 */     // MIs[0] passthru
     /* 1484196 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1484201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484209 */     // MIs[0] policy
     /* 1484209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1484222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484241 */     // GIR_Coverage, 4675,
     /* 1484241 */     GIR_EraseRootFromParent_Done,
     /* 1484242 */   // Label 20712: @1484242
     /* 1484242 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1484324), // Rule ID 4684 //
     /* 1484247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1484250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1484255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1484264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484278 */     // MIs[0] passthru
     /* 1484278 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1484283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484291 */     // MIs[0] policy
     /* 1484291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1484304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484323 */     // GIR_Coverage, 4684,
     /* 1484323 */     GIR_EraseRootFromParent_Done,
     /* 1484324 */   // Label 20713: @1484324
     /* 1484324 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1484406), // Rule ID 4685 //
     /* 1484329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1484332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1484337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1484346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484360 */     // MIs[0] passthru
     /* 1484360 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1484365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484373 */     // MIs[0] policy
     /* 1484373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1484386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484405 */     // GIR_Coverage, 4685,
     /* 1484405 */     GIR_EraseRootFromParent_Done,
     /* 1484406 */   // Label 20714: @1484406
     /* 1484406 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1484492), // Rule ID 2580 //
     /* 1484411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1484419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484457 */     // MIs[0] policy
     /* 1484457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1484470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484491 */     // GIR_Coverage, 2580,
     /* 1484491 */     GIR_EraseRootFromParent_Done,
     /* 1484492 */   // Label 20715: @1484492
     /* 1484492 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1484578), // Rule ID 2581 //
     /* 1484497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1484505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484543 */     // MIs[0] policy
     /* 1484543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484553 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1484556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484577 */     // GIR_Coverage, 2581,
     /* 1484577 */     GIR_EraseRootFromParent_Done,
     /* 1484578 */   // Label 20716: @1484578
     /* 1484578 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1484664), // Rule ID 2618 //
     /* 1484583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1484591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484629 */     // MIs[0] policy
     /* 1484629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484639 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1484642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484663 */     // GIR_Coverage, 2618,
     /* 1484663 */     GIR_EraseRootFromParent_Done,
     /* 1484664 */   // Label 20717: @1484664
     /* 1484664 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1484750), // Rule ID 2619 //
     /* 1484669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1484677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484715 */     // MIs[0] policy
     /* 1484715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1484728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484749 */     // GIR_Coverage, 2619,
     /* 1484749 */     GIR_EraseRootFromParent_Done,
     /* 1484750 */   // Label 20718: @1484750
     /* 1484750 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1484836), // Rule ID 2632 //
     /* 1484755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1484763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484801 */     // MIs[0] policy
     /* 1484801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1484814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484835 */     // GIR_Coverage, 2632,
     /* 1484835 */     GIR_EraseRootFromParent_Done,
     /* 1484836 */   // Label 20719: @1484836
     /* 1484836 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1484922), // Rule ID 2633 //
     /* 1484841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1484849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484887 */     // MIs[0] policy
     /* 1484887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484897 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1484900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484921 */     // GIR_Coverage, 2633,
     /* 1484921 */     GIR_EraseRootFromParent_Done,
     /* 1484922 */   // Label 20720: @1484922
     /* 1484922 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1485008), // Rule ID 2652 //
     /* 1484927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1484935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1484938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1484941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1484944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1484947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484973 */     // MIs[0] policy
     /* 1484973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1484986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1484992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1484994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485007 */     // GIR_Coverage, 2652,
     /* 1485007 */     GIR_EraseRootFromParent_Done,
     /* 1485008 */   // Label 20721: @1485008
     /* 1485008 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1485094), // Rule ID 2653 //
     /* 1485013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1485024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1485027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1485030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1485033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485059 */     // MIs[0] policy
     /* 1485059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1485072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485093 */     // GIR_Coverage, 2653,
     /* 1485093 */     GIR_EraseRootFromParent_Done,
     /* 1485094 */   // Label 20722: @1485094
     /* 1485094 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1485180), // Rule ID 2660 //
     /* 1485099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1485110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1485113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1485116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1485119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485145 */     // MIs[0] policy
     /* 1485145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1485158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485179 */     // GIR_Coverage, 2660,
     /* 1485179 */     GIR_EraseRootFromParent_Done,
     /* 1485180 */   // Label 20723: @1485180
     /* 1485180 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1485266), // Rule ID 2661 //
     /* 1485185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1485196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1485199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1485202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1485205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485231 */     // MIs[0] policy
     /* 1485231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1485244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485265 */     // GIR_Coverage, 2661,
     /* 1485265 */     GIR_EraseRootFromParent_Done,
     /* 1485266 */   // Label 20724: @1485266
     /* 1485266 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1485352), // Rule ID 2668 //
     /* 1485271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1485282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1485285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1485288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1485291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485317 */     // MIs[0] policy
     /* 1485317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485351 */     // GIR_Coverage, 2668,
     /* 1485351 */     GIR_EraseRootFromParent_Done,
     /* 1485352 */   // Label 20725: @1485352
     /* 1485352 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1485438), // Rule ID 2669 //
     /* 1485357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1485368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1485371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1485374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1485377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485403 */     // MIs[0] policy
     /* 1485403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485437 */     // GIR_Coverage, 2669,
     /* 1485437 */     GIR_EraseRootFromParent_Done,
     /* 1485438 */   // Label 20726: @1485438
     /* 1485438 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1485524), // Rule ID 2676 //
     /* 1485443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1485463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485489 */     // MIs[0] policy
     /* 1485489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1485502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485523 */     // GIR_Coverage, 2676,
     /* 1485523 */     GIR_EraseRootFromParent_Done,
     /* 1485524 */   // Label 20727: @1485524
     /* 1485524 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1485610), // Rule ID 2677 //
     /* 1485529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1485549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485575 */     // MIs[0] policy
     /* 1485575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1485588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485609 */     // GIR_Coverage, 2677,
     /* 1485609 */     GIR_EraseRootFromParent_Done,
     /* 1485610 */   // Label 20728: @1485610
     /* 1485610 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1485696), // Rule ID 2684 //
     /* 1485615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1485635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485661 */     // MIs[0] policy
     /* 1485661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485695 */     // GIR_Coverage, 2684,
     /* 1485695 */     GIR_EraseRootFromParent_Done,
     /* 1485696 */   // Label 20729: @1485696
     /* 1485696 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1485782), // Rule ID 2685 //
     /* 1485701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1485721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485747 */     // MIs[0] policy
     /* 1485747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485781 */     // GIR_Coverage, 2685,
     /* 1485781 */     GIR_EraseRootFromParent_Done,
     /* 1485782 */   // Label 20730: @1485782
     /* 1485782 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1485868), // Rule ID 2692 //
     /* 1485787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1485807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485833 */     // MIs[0] policy
     /* 1485833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485867 */     // GIR_Coverage, 2692,
     /* 1485867 */     GIR_EraseRootFromParent_Done,
     /* 1485868 */   // Label 20731: @1485868
     /* 1485868 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1485954), // Rule ID 2693 //
     /* 1485873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1485876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1485893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485919 */     // MIs[0] policy
     /* 1485919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1485932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1485938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1485940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485953 */     // GIR_Coverage, 2693,
     /* 1485953 */     GIR_EraseRootFromParent_Done,
     /* 1485954 */   // Label 20732: @1485954
     /* 1485954 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1486040), // Rule ID 2700 //
     /* 1485959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1485962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1485967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1485970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1485973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1485976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1485979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486005 */     // MIs[0] policy
     /* 1486005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486015 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486039 */     // GIR_Coverage, 2700,
     /* 1486039 */     GIR_EraseRootFromParent_Done,
     /* 1486040 */   // Label 20733: @1486040
     /* 1486040 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1486126), // Rule ID 2701 //
     /* 1486045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1486056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1486059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1486062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1486065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486091 */     // MIs[0] policy
     /* 1486091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486101 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486125 */     // GIR_Coverage, 2701,
     /* 1486125 */     GIR_EraseRootFromParent_Done,
     /* 1486126 */   // Label 20734: @1486126
     /* 1486126 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1486212), // Rule ID 2708 //
     /* 1486131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1486151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486177 */     // MIs[0] policy
     /* 1486177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486187 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486211 */     // GIR_Coverage, 2708,
     /* 1486211 */     GIR_EraseRootFromParent_Done,
     /* 1486212 */   // Label 20735: @1486212
     /* 1486212 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1486298), // Rule ID 2709 //
     /* 1486217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1486237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486263 */     // MIs[0] policy
     /* 1486263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486297 */     // GIR_Coverage, 2709,
     /* 1486297 */     GIR_EraseRootFromParent_Done,
     /* 1486298 */   // Label 20736: @1486298
     /* 1486298 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1486384), // Rule ID 2716 //
     /* 1486303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1486314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1486317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1486320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1486323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486349 */     // MIs[0] policy
     /* 1486349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486383 */     // GIR_Coverage, 2716,
     /* 1486383 */     GIR_EraseRootFromParent_Done,
     /* 1486384 */   // Label 20737: @1486384
     /* 1486384 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1486470), // Rule ID 2717 //
     /* 1486389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1486400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1486403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1486406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1486409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486435 */     // MIs[0] policy
     /* 1486435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486469 */     // GIR_Coverage, 2717,
     /* 1486469 */     GIR_EraseRootFromParent_Done,
     /* 1486470 */   // Label 20738: @1486470
     /* 1486470 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1486556), // Rule ID 2724 //
     /* 1486475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1486478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1486495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486521 */     // MIs[0] policy
     /* 1486521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486555 */     // GIR_Coverage, 2724,
     /* 1486555 */     GIR_EraseRootFromParent_Done,
     /* 1486556 */   // Label 20739: @1486556
     /* 1486556 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1486642), // Rule ID 2725 //
     /* 1486561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1486564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1486581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486607 */     // MIs[0] policy
     /* 1486607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1486620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486641 */     // GIR_Coverage, 2725,
     /* 1486641 */     GIR_EraseRootFromParent_Done,
     /* 1486642 */   // Label 20740: @1486642
     /* 1486642 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1486728), // Rule ID 2732 //
     /* 1486647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1486658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1486661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1486667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486693 */     // MIs[0] policy
     /* 1486693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1486706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486727 */     // GIR_Coverage, 2732,
     /* 1486727 */     GIR_EraseRootFromParent_Done,
     /* 1486728 */   // Label 20741: @1486728
     /* 1486728 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1486814), // Rule ID 2733 //
     /* 1486733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1486744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1486747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1486753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486779 */     // MIs[0] policy
     /* 1486779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1486792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486813 */     // GIR_Coverage, 2733,
     /* 1486813 */     GIR_EraseRootFromParent_Done,
     /* 1486814 */   // Label 20742: @1486814
     /* 1486814 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1486900), // Rule ID 2740 //
     /* 1486819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1486839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486865 */     // MIs[0] policy
     /* 1486865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486875 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1486878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486899 */     // GIR_Coverage, 2740,
     /* 1486899 */     GIR_EraseRootFromParent_Done,
     /* 1486900 */   // Label 20743: @1486900
     /* 1486900 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1486986), // Rule ID 2741 //
     /* 1486905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1486908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1486925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486951 */     // MIs[0] policy
     /* 1486951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1486964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1486970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1486972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486985 */     // GIR_Coverage, 2741,
     /* 1486985 */     GIR_EraseRootFromParent_Done,
     /* 1486986 */   // Label 20744: @1486986
     /* 1486986 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1487072), // Rule ID 2748 //
     /* 1486991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1486994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1486999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1487002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1487005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1487008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1487011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1487014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487037 */     // MIs[0] policy
     /* 1487037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1487050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487071 */     // GIR_Coverage, 2748,
     /* 1487071 */     GIR_EraseRootFromParent_Done,
     /* 1487072 */   // Label 20745: @1487072
     /* 1487072 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1487158), // Rule ID 2749 //
     /* 1487077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1487088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1487091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1487094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1487097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1487100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487123 */     // MIs[0] policy
     /* 1487123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487133 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1487136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1487154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487157 */     // GIR_Coverage, 2749,
     /* 1487157 */     GIR_EraseRootFromParent_Done,
     /* 1487158 */   // Label 20746: @1487158
     /* 1487158 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1487244), // Rule ID 2756 //
     /* 1487163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1487183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487209 */     // MIs[0] policy
     /* 1487209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1487222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487243 */     // GIR_Coverage, 2756,
     /* 1487243 */     GIR_EraseRootFromParent_Done,
     /* 1487244 */   // Label 20747: @1487244
     /* 1487244 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1487330), // Rule ID 2757 //
     /* 1487249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1487269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487295 */     // MIs[0] policy
     /* 1487295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1487308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487329 */     // GIR_Coverage, 2757,
     /* 1487329 */     GIR_EraseRootFromParent_Done,
     /* 1487330 */   // Label 20748: @1487330
     /* 1487330 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1487416), // Rule ID 2764 //
     /* 1487335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1487355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487381 */     // MIs[0] policy
     /* 1487381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1487394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487415 */     // GIR_Coverage, 2764,
     /* 1487415 */     GIR_EraseRootFromParent_Done,
     /* 1487416 */   // Label 20749: @1487416
     /* 1487416 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1487502), // Rule ID 2765 //
     /* 1487421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1487441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487467 */     // MIs[0] policy
     /* 1487467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1487480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487501 */     // GIR_Coverage, 2765,
     /* 1487501 */     GIR_EraseRootFromParent_Done,
     /* 1487502 */   // Label 20750: @1487502
     /* 1487502 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1487588), // Rule ID 2772 //
     /* 1487507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1487527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487553 */     // MIs[0] policy
     /* 1487553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1487566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487587 */     // GIR_Coverage, 2772,
     /* 1487587 */     GIR_EraseRootFromParent_Done,
     /* 1487588 */   // Label 20751: @1487588
     /* 1487588 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1487674), // Rule ID 2773 //
     /* 1487593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1487613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1487616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487639 */     // MIs[0] policy
     /* 1487639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1487652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487673 */     // GIR_Coverage, 2773,
     /* 1487673 */     GIR_EraseRootFromParent_Done,
     /* 1487674 */   // Label 20752: @1487674
     /* 1487674 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1487760), // Rule ID 2780 //
     /* 1487679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1487699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487725 */     // MIs[0] policy
     /* 1487725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1487738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487759 */     // GIR_Coverage, 2780,
     /* 1487759 */     GIR_EraseRootFromParent_Done,
     /* 1487760 */   // Label 20753: @1487760
     /* 1487760 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1487846), // Rule ID 2781 //
     /* 1487765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1487785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487811 */     // MIs[0] policy
     /* 1487811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1487824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487845 */     // GIR_Coverage, 2781,
     /* 1487845 */     GIR_EraseRootFromParent_Done,
     /* 1487846 */   // Label 20754: @1487846
     /* 1487846 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1487932), // Rule ID 2788 //
     /* 1487851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1487854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1487871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487897 */     // MIs[0] policy
     /* 1487897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1487910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1487916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1487918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487931 */     // GIR_Coverage, 2788,
     /* 1487931 */     GIR_EraseRootFromParent_Done,
     /* 1487932 */   // Label 20755: @1487932
     /* 1487932 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1488018), // Rule ID 2789 //
     /* 1487937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1487940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1487945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1487957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487983 */     // MIs[0] policy
     /* 1487983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1487996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488017 */     // GIR_Coverage, 2789,
     /* 1488017 */     GIR_EraseRootFromParent_Done,
     /* 1488018 */   // Label 20756: @1488018
     /* 1488018 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1488104), // Rule ID 2796 //
     /* 1488023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1488040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1488043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488069 */     // MIs[0] policy
     /* 1488069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488079 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1488082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488103 */     // GIR_Coverage, 2796,
     /* 1488103 */     GIR_EraseRootFromParent_Done,
     /* 1488104 */   // Label 20757: @1488104
     /* 1488104 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1488190), // Rule ID 2797 //
     /* 1488109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1488126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1488129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1488132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488155 */     // MIs[0] policy
     /* 1488155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1488168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488189 */     // GIR_Coverage, 2797,
     /* 1488189 */     GIR_EraseRootFromParent_Done,
     /* 1488190 */   // Label 20758: @1488190
     /* 1488190 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1488276), // Rule ID 2804 //
     /* 1488195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1488212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1488215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488241 */     // MIs[0] policy
     /* 1488241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488251 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1488254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488275 */     // GIR_Coverage, 2804,
     /* 1488275 */     GIR_EraseRootFromParent_Done,
     /* 1488276 */   // Label 20759: @1488276
     /* 1488276 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1488362), // Rule ID 2805 //
     /* 1488281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1488298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1488301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488327 */     // MIs[0] policy
     /* 1488327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1488340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488361 */     // GIR_Coverage, 2805,
     /* 1488361 */     GIR_EraseRootFromParent_Done,
     /* 1488362 */   // Label 20760: @1488362
     /* 1488362 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1488448), // Rule ID 2812 //
     /* 1488367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1488387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488413 */     // MIs[0] policy
     /* 1488413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488423 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1488426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488447 */     // GIR_Coverage, 2812,
     /* 1488447 */     GIR_EraseRootFromParent_Done,
     /* 1488448 */   // Label 20761: @1488448
     /* 1488448 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1488534), // Rule ID 2813 //
     /* 1488453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1488473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488499 */     // MIs[0] policy
     /* 1488499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488509 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1488512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488533 */     // GIR_Coverage, 2813,
     /* 1488533 */     GIR_EraseRootFromParent_Done,
     /* 1488534 */   // Label 20762: @1488534
     /* 1488534 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1488620), // Rule ID 2820 //
     /* 1488539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1488542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1488559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488585 */     // MIs[0] policy
     /* 1488585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1488598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488619 */     // GIR_Coverage, 2820,
     /* 1488619 */     GIR_EraseRootFromParent_Done,
     /* 1488620 */   // Label 20763: @1488620
     /* 1488620 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1488706), // Rule ID 2821 //
     /* 1488625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1488628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1488633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1488645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488671 */     // MIs[0] policy
     /* 1488671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488681 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1488684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1488690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488705 */     // GIR_Coverage, 2821,
     /* 1488705 */     GIR_EraseRootFromParent_Done,
     /* 1488706 */   // Label 20764: @1488706
     /* 1488706 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1488792), // Rule ID 2828 //
     /* 1488711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1488719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1488722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1488725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1488728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1488731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488757 */     // MIs[0] policy
     /* 1488757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488767 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1488770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488791 */     // GIR_Coverage, 2828,
     /* 1488791 */     GIR_EraseRootFromParent_Done,
     /* 1488792 */   // Label 20765: @1488792
     /* 1488792 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1488878), // Rule ID 2829 //
     /* 1488797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1488805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1488808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1488811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1488814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1488817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488843 */     // MIs[0] policy
     /* 1488843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1488856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488877 */     // GIR_Coverage, 2829,
     /* 1488877 */     GIR_EraseRootFromParent_Done,
     /* 1488878 */   // Label 20766: @1488878
     /* 1488878 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1488964), // Rule ID 2832 //
     /* 1488883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1488886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1488891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1488894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1488897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1488900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1488903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488929 */     // MIs[0] policy
     /* 1488929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1488942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488963 */     // GIR_Coverage, 2832,
     /* 1488963 */     GIR_EraseRootFromParent_Done,
     /* 1488964 */   // Label 20767: @1488964
     /* 1488964 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1489050), // Rule ID 2833 //
     /* 1488969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1488972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1488977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1488980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1488983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1488986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1488989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489015 */     // MIs[0] policy
     /* 1489015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489025 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1489028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489049 */     // GIR_Coverage, 2833,
     /* 1489049 */     GIR_EraseRootFromParent_Done,
     /* 1489050 */   // Label 20768: @1489050
     /* 1489050 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1489136), // Rule ID 2836 //
     /* 1489055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1489066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1489069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1489072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1489075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489101 */     // MIs[0] policy
     /* 1489101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489111 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1489114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489135 */     // GIR_Coverage, 2836,
     /* 1489135 */     GIR_EraseRootFromParent_Done,
     /* 1489136 */   // Label 20769: @1489136
     /* 1489136 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1489222), // Rule ID 2837 //
     /* 1489141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1489152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1489155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1489158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1489161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489187 */     // MIs[0] policy
     /* 1489187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1489200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489221 */     // GIR_Coverage, 2837,
     /* 1489221 */     GIR_EraseRootFromParent_Done,
     /* 1489222 */   // Label 20770: @1489222
     /* 1489222 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1489308), // Rule ID 2840 //
     /* 1489227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1489238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1489241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1489244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1489247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489273 */     // MIs[0] policy
     /* 1489273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1489286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489307 */     // GIR_Coverage, 2840,
     /* 1489307 */     GIR_EraseRootFromParent_Done,
     /* 1489308 */   // Label 20771: @1489308
     /* 1489308 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1489394), // Rule ID 2841 //
     /* 1489313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1489324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1489327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1489330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1489333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489359 */     // MIs[0] policy
     /* 1489359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1489372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489393 */     // GIR_Coverage, 2841,
     /* 1489393 */     GIR_EraseRootFromParent_Done,
     /* 1489394 */   // Label 20772: @1489394
     /* 1489394 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1489480), // Rule ID 2844 //
     /* 1489399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1489410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1489413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1489419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489445 */     // MIs[0] policy
     /* 1489445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1489458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489479 */     // GIR_Coverage, 2844,
     /* 1489479 */     GIR_EraseRootFromParent_Done,
     /* 1489480 */   // Label 20773: @1489480
     /* 1489480 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1489566), // Rule ID 2845 //
     /* 1489485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1489496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1489499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1489505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489531 */     // MIs[0] policy
     /* 1489531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489541 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1489544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489565 */     // GIR_Coverage, 2845,
     /* 1489565 */     GIR_EraseRootFromParent_Done,
     /* 1489566 */   // Label 20774: @1489566
     /* 1489566 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1489652), // Rule ID 2848 //
     /* 1489571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1489582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1489585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1489588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1489591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489617 */     // MIs[0] policy
     /* 1489617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1489630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489651 */     // GIR_Coverage, 2848,
     /* 1489651 */     GIR_EraseRootFromParent_Done,
     /* 1489652 */   // Label 20775: @1489652
     /* 1489652 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1489738), // Rule ID 2849 //
     /* 1489657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1489668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1489671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1489674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1489677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489703 */     // MIs[0] policy
     /* 1489703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489713 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1489716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489737 */     // GIR_Coverage, 2849,
     /* 1489737 */     GIR_EraseRootFromParent_Done,
     /* 1489738 */   // Label 20776: @1489738
     /* 1489738 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1489824), // Rule ID 2852 //
     /* 1489743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1489760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1489763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489789 */     // MIs[0] policy
     /* 1489789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1489802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489823 */     // GIR_Coverage, 2852,
     /* 1489823 */     GIR_EraseRootFromParent_Done,
     /* 1489824 */   // Label 20777: @1489824
     /* 1489824 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1489910), // Rule ID 2853 //
     /* 1489829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1489832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1489846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1489849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489875 */     // MIs[0] policy
     /* 1489875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1489888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489909 */     // GIR_Coverage, 2853,
     /* 1489909 */     GIR_EraseRootFromParent_Done,
     /* 1489910 */   // Label 20778: @1489910
     /* 1489910 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1489996), // Rule ID 2856 //
     /* 1489915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1489918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1489923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1489935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489961 */     // MIs[0] policy
     /* 1489961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1489974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489995 */     // GIR_Coverage, 2856,
     /* 1489995 */     GIR_EraseRootFromParent_Done,
     /* 1489996 */   // Label 20779: @1489996
     /* 1489996 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1490082), // Rule ID 2857 //
     /* 1490001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1490012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1490015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1490018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1490021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490047 */     // MIs[0] policy
     /* 1490047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1490060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490081 */     // GIR_Coverage, 2857,
     /* 1490081 */     GIR_EraseRootFromParent_Done,
     /* 1490082 */   // Label 20780: @1490082
     /* 1490082 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1490168), // Rule ID 2860 //
     /* 1490087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1490090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1490098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1490101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1490104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1490107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490133 */     // MIs[0] policy
     /* 1490133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1490146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490167 */     // GIR_Coverage, 2860,
     /* 1490167 */     GIR_EraseRootFromParent_Done,
     /* 1490168 */   // Label 20781: @1490168
     /* 1490168 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1490254), // Rule ID 2861 //
     /* 1490173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1490176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1490184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1490187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1490190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1490193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490219 */     // MIs[0] policy
     /* 1490219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490229 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1490232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490253 */     // GIR_Coverage, 2861,
     /* 1490253 */     GIR_EraseRootFromParent_Done,
     /* 1490254 */   // Label 20782: @1490254
     /* 1490254 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1490340), // Rule ID 2864 //
     /* 1490259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1490270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1490273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1490276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1490279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490305 */     // MIs[0] policy
     /* 1490305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1490318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490339 */     // GIR_Coverage, 2864,
     /* 1490339 */     GIR_EraseRootFromParent_Done,
     /* 1490340 */   // Label 20783: @1490340
     /* 1490340 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1490426), // Rule ID 2865 //
     /* 1490345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1490356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1490359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1490362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1490365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490391 */     // MIs[0] policy
     /* 1490391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490401 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1490404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490425 */     // GIR_Coverage, 2865,
     /* 1490425 */     GIR_EraseRootFromParent_Done,
     /* 1490426 */   // Label 20784: @1490426
     /* 1490426 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1490512), // Rule ID 2868 //
     /* 1490431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1490442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1490445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1490448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1490451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1490454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490477 */     // MIs[0] policy
     /* 1490477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490487 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1490490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490511 */     // GIR_Coverage, 2868,
     /* 1490511 */     GIR_EraseRootFromParent_Done,
     /* 1490512 */   // Label 20785: @1490512
     /* 1490512 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1490598), // Rule ID 2869 //
     /* 1490517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1490528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1490531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1490534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1490537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1490540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490563 */     // MIs[0] policy
     /* 1490563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490573 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1490576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490597 */     // GIR_Coverage, 2869,
     /* 1490597 */     GIR_EraseRootFromParent_Done,
     /* 1490598 */   // Label 20786: @1490598
     /* 1490598 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1490684), // Rule ID 2872 //
     /* 1490603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1490614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1490617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1490620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1490623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1490626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490649 */     // MIs[0] policy
     /* 1490649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1490662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490683 */     // GIR_Coverage, 2872,
     /* 1490683 */     GIR_EraseRootFromParent_Done,
     /* 1490684 */   // Label 20787: @1490684
     /* 1490684 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1490770), // Rule ID 2873 //
     /* 1490689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1490700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1490703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1490706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1490709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1490712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490735 */     // MIs[0] policy
     /* 1490735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490745 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1490748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490769 */     // GIR_Coverage, 2873,
     /* 1490769 */     GIR_EraseRootFromParent_Done,
     /* 1490770 */   // Label 20788: @1490770
     /* 1490770 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1490856), // Rule ID 2876 //
     /* 1490775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1490786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1490789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1490792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1490795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490821 */     // MIs[0] policy
     /* 1490821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490831 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1490834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490855 */     // GIR_Coverage, 2876,
     /* 1490855 */     GIR_EraseRootFromParent_Done,
     /* 1490856 */   // Label 20789: @1490856
     /* 1490856 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1490942), // Rule ID 2877 //
     /* 1490861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1490864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1490872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1490875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1490878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1490881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490907 */     // MIs[0] policy
     /* 1490907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490917 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1490920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490941 */     // GIR_Coverage, 2877,
     /* 1490941 */     GIR_EraseRootFromParent_Done,
     /* 1490942 */   // Label 20790: @1490942
     /* 1490942 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1491028), // Rule ID 2880 //
     /* 1490947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1490950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1490955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1490958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1490961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1490964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1490967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490993 */     // MIs[0] policy
     /* 1490993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491003 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1491006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491027 */     // GIR_Coverage, 2880,
     /* 1491027 */     GIR_EraseRootFromParent_Done,
     /* 1491028 */   // Label 20791: @1491028
     /* 1491028 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1491114), // Rule ID 2881 //
     /* 1491033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1491044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1491047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1491050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1491053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491079 */     // MIs[0] policy
     /* 1491079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1491092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491113 */     // GIR_Coverage, 2881,
     /* 1491113 */     GIR_EraseRootFromParent_Done,
     /* 1491114 */   // Label 20792: @1491114
     /* 1491114 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1491200), // Rule ID 2884 //
     /* 1491119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1491139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491165 */     // MIs[0] policy
     /* 1491165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491175 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1491178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491199 */     // GIR_Coverage, 2884,
     /* 1491199 */     GIR_EraseRootFromParent_Done,
     /* 1491200 */   // Label 20793: @1491200
     /* 1491200 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1491286), // Rule ID 2885 //
     /* 1491205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1491225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491251 */     // MIs[0] policy
     /* 1491251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1491264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491285 */     // GIR_Coverage, 2885,
     /* 1491285 */     GIR_EraseRootFromParent_Done,
     /* 1491286 */   // Label 20794: @1491286
     /* 1491286 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1491372), // Rule ID 2888 //
     /* 1491291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1491311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491337 */     // MIs[0] policy
     /* 1491337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1491350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491371 */     // GIR_Coverage, 2888,
     /* 1491371 */     GIR_EraseRootFromParent_Done,
     /* 1491372 */   // Label 20795: @1491372
     /* 1491372 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1491458), // Rule ID 2889 //
     /* 1491377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1491397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491423 */     // MIs[0] policy
     /* 1491423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491433 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1491436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491457 */     // GIR_Coverage, 2889,
     /* 1491457 */     GIR_EraseRootFromParent_Done,
     /* 1491458 */   // Label 20796: @1491458
     /* 1491458 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1491544), // Rule ID 2892 //
     /* 1491463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1491483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491509 */     // MIs[0] policy
     /* 1491509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1491522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491543 */     // GIR_Coverage, 2892,
     /* 1491543 */     GIR_EraseRootFromParent_Done,
     /* 1491544 */   // Label 20797: @1491544
     /* 1491544 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1491630), // Rule ID 2893 //
     /* 1491549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1491569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491595 */     // MIs[0] policy
     /* 1491595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1491608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491629 */     // GIR_Coverage, 2893,
     /* 1491629 */     GIR_EraseRootFromParent_Done,
     /* 1491630 */   // Label 20798: @1491630
     /* 1491630 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1491716), // Rule ID 2896 //
     /* 1491635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1491646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1491649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1491652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1491655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491681 */     // MIs[0] policy
     /* 1491681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1491694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491715 */     // GIR_Coverage, 2896,
     /* 1491715 */     GIR_EraseRootFromParent_Done,
     /* 1491716 */   // Label 20799: @1491716
     /* 1491716 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1491802), // Rule ID 2897 //
     /* 1491721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1491732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1491735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1491738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1491741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491767 */     // MIs[0] policy
     /* 1491767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1491780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491801 */     // GIR_Coverage, 2897,
     /* 1491801 */     GIR_EraseRootFromParent_Done,
     /* 1491802 */   // Label 20800: @1491802
     /* 1491802 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1491888), // Rule ID 2900 //
     /* 1491807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1491810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1491818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1491821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1491824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1491827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491853 */     // MIs[0] policy
     /* 1491853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1491866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491887 */     // GIR_Coverage, 2900,
     /* 1491887 */     GIR_EraseRootFromParent_Done,
     /* 1491888 */   // Label 20801: @1491888
     /* 1491888 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1491974), // Rule ID 2901 //
     /* 1491893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1491896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1491904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1491907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1491910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1491913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491939 */     // MIs[0] policy
     /* 1491939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1491952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491973 */     // GIR_Coverage, 2901,
     /* 1491973 */     GIR_EraseRootFromParent_Done,
     /* 1491974 */   // Label 20802: @1491974
     /* 1491974 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1492060), // Rule ID 2904 //
     /* 1491979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1491982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1491987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1491990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1491993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1491996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1491999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492025 */     // MIs[0] policy
     /* 1492025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1492038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492059 */     // GIR_Coverage, 2904,
     /* 1492059 */     GIR_EraseRootFromParent_Done,
     /* 1492060 */   // Label 20803: @1492060
     /* 1492060 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1492146), // Rule ID 2905 //
     /* 1492065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1492068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1492076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1492079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1492082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1492085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492111 */     // MIs[0] policy
     /* 1492111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492121 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1492124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492145 */     // GIR_Coverage, 2905,
     /* 1492145 */     GIR_EraseRootFromParent_Done,
     /* 1492146 */   // Label 20804: @1492146
     /* 1492146 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1492232), // Rule ID 2908 //
     /* 1492151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1492154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1492171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492197 */     // MIs[0] policy
     /* 1492197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1492210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492231 */     // GIR_Coverage, 2908,
     /* 1492231 */     GIR_EraseRootFromParent_Done,
     /* 1492232 */   // Label 20805: @1492232
     /* 1492232 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1492318), // Rule ID 2909 //
     /* 1492237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1492240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1492257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492283 */     // MIs[0] policy
     /* 1492283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1492296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492317 */     // GIR_Coverage, 2909,
     /* 1492317 */     GIR_EraseRootFromParent_Done,
     /* 1492318 */   // Label 20806: @1492318
     /* 1492318 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1492404), // Rule ID 2912 //
     /* 1492323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1492334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1492337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1492340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492369 */     // MIs[0] policy
     /* 1492369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1492382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492403 */     // GIR_Coverage, 2912,
     /* 1492403 */     GIR_EraseRootFromParent_Done,
     /* 1492404 */   // Label 20807: @1492404
     /* 1492404 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1492490), // Rule ID 2913 //
     /* 1492409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1492420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1492423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1492426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492455 */     // MIs[0] policy
     /* 1492455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492465 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1492468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492489 */     // GIR_Coverage, 2913,
     /* 1492489 */     GIR_EraseRootFromParent_Done,
     /* 1492490 */   // Label 20808: @1492490
     /* 1492490 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1492576), // Rule ID 2916 //
     /* 1492495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1492506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1492509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1492512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492541 */     // MIs[0] policy
     /* 1492541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492551 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1492554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492575 */     // GIR_Coverage, 2916,
     /* 1492575 */     GIR_EraseRootFromParent_Done,
     /* 1492576 */   // Label 20809: @1492576
     /* 1492576 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1492662), // Rule ID 2917 //
     /* 1492581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1492592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1492595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1492598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492627 */     // MIs[0] policy
     /* 1492627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492637 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1492640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492661 */     // GIR_Coverage, 2917,
     /* 1492661 */     GIR_EraseRootFromParent_Done,
     /* 1492662 */   // Label 20810: @1492662
     /* 1492662 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1492748), // Rule ID 2920 //
     /* 1492667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1492678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1492681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1492684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492713 */     // MIs[0] policy
     /* 1492713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1492726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492747 */     // GIR_Coverage, 2920,
     /* 1492747 */     GIR_EraseRootFromParent_Done,
     /* 1492748 */   // Label 20811: @1492748
     /* 1492748 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1492834), // Rule ID 2921 //
     /* 1492753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1492764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1492767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1492770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492799 */     // MIs[0] policy
     /* 1492799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492809 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1492812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492833 */     // GIR_Coverage, 2921,
     /* 1492833 */     GIR_EraseRootFromParent_Done,
     /* 1492834 */   // Label 20812: @1492834
     /* 1492834 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1492920), // Rule ID 2924 //
     /* 1492839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492885 */     // MIs[0] policy
     /* 1492885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492895 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1492898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492919 */     // GIR_Coverage, 2924,
     /* 1492919 */     GIR_EraseRootFromParent_Done,
     /* 1492920 */   // Label 20813: @1492920
     /* 1492920 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1493006), // Rule ID 2925 //
     /* 1492925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1492933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1492967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492971 */     // MIs[0] policy
     /* 1492971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492981 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1492984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493005 */     // GIR_Coverage, 2925,
     /* 1493005 */     GIR_EraseRootFromParent_Done,
     /* 1493006 */   // Label 20814: @1493006
     /* 1493006 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1493092), // Rule ID 2928 //
     /* 1493011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493057 */     // MIs[0] policy
     /* 1493057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1493070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493091 */     // GIR_Coverage, 2928,
     /* 1493091 */     GIR_EraseRootFromParent_Done,
     /* 1493092 */   // Label 20815: @1493092
     /* 1493092 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1493178), // Rule ID 2929 //
     /* 1493097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493143 */     // MIs[0] policy
     /* 1493143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493153 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1493156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493177 */     // GIR_Coverage, 2929,
     /* 1493177 */     GIR_EraseRootFromParent_Done,
     /* 1493178 */   // Label 20816: @1493178
     /* 1493178 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1493264), // Rule ID 2932 //
     /* 1493183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493229 */     // MIs[0] policy
     /* 1493229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1493242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493263 */     // GIR_Coverage, 2932,
     /* 1493263 */     GIR_EraseRootFromParent_Done,
     /* 1493264 */   // Label 20817: @1493264
     /* 1493264 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1493350), // Rule ID 2933 //
     /* 1493269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493315 */     // MIs[0] policy
     /* 1493315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1493328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493349 */     // GIR_Coverage, 2933,
     /* 1493349 */     GIR_EraseRootFromParent_Done,
     /* 1493350 */   // Label 20818: @1493350
     /* 1493350 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1493436), // Rule ID 2936 //
     /* 1493355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1493366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1493369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1493372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493401 */     // MIs[0] policy
     /* 1493401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493435 */     // GIR_Coverage, 2936,
     /* 1493435 */     GIR_EraseRootFromParent_Done,
     /* 1493436 */   // Label 20819: @1493436
     /* 1493436 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1493522), // Rule ID 2937 //
     /* 1493441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1493452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1493455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1493458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493487 */     // MIs[0] policy
     /* 1493487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493521 */     // GIR_Coverage, 2937,
     /* 1493521 */     GIR_EraseRootFromParent_Done,
     /* 1493522 */   // Label 20820: @1493522
     /* 1493522 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1493608), // Rule ID 2940 //
     /* 1493527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493573 */     // MIs[0] policy
     /* 1493573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493607 */     // GIR_Coverage, 2940,
     /* 1493607 */     GIR_EraseRootFromParent_Done,
     /* 1493608 */   // Label 20821: @1493608
     /* 1493608 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1493694), // Rule ID 2941 //
     /* 1493613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1493636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493659 */     // MIs[0] policy
     /* 1493659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493693 */     // GIR_Coverage, 2941,
     /* 1493693 */     GIR_EraseRootFromParent_Done,
     /* 1493694 */   // Label 20822: @1493694
     /* 1493694 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1493780), // Rule ID 2944 //
     /* 1493699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1493710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1493713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493745 */     // MIs[0] policy
     /* 1493745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493779 */     // GIR_Coverage, 2944,
     /* 1493779 */     GIR_EraseRootFromParent_Done,
     /* 1493780 */   // Label 20823: @1493780
     /* 1493780 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1493866), // Rule ID 2945 //
     /* 1493785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1493796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1493799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1493808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493831 */     // MIs[0] policy
     /* 1493831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493865 */     // GIR_Coverage, 2945,
     /* 1493865 */     GIR_EraseRootFromParent_Done,
     /* 1493866 */   // Label 20824: @1493866
     /* 1493866 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1493952), // Rule ID 2948 //
     /* 1493871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1493874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1493882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1493885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1493888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493917 */     // MIs[0] policy
     /* 1493917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1493930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493951 */     // GIR_Coverage, 2948,
     /* 1493951 */     GIR_EraseRootFromParent_Done,
     /* 1493952 */   // Label 20825: @1493952
     /* 1493952 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1494038), // Rule ID 2949 //
     /* 1493957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1493960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1493965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1493968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1493971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1493974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1493980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1493999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494003 */     // MIs[0] policy
     /* 1494003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1494016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494037 */     // GIR_Coverage, 2949,
     /* 1494037 */     GIR_EraseRootFromParent_Done,
     /* 1494038 */   // Label 20826: @1494038
     /* 1494038 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1494124), // Rule ID 2952 //
     /* 1494043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1494054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1494057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494089 */     // MIs[0] policy
     /* 1494089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1494102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494123 */     // GIR_Coverage, 2952,
     /* 1494123 */     GIR_EraseRootFromParent_Done,
     /* 1494124 */   // Label 20827: @1494124
     /* 1494124 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1494210), // Rule ID 2953 //
     /* 1494129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1494140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1494143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1494146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494175 */     // MIs[0] policy
     /* 1494175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494185 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1494188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494209 */     // GIR_Coverage, 2953,
     /* 1494209 */     GIR_EraseRootFromParent_Done,
     /* 1494210 */   // Label 20828: @1494210
     /* 1494210 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1494296), // Rule ID 2956 //
     /* 1494215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1494226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1494229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1494232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494261 */     // MIs[0] policy
     /* 1494261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494271 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1494274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494295 */     // GIR_Coverage, 2956,
     /* 1494295 */     GIR_EraseRootFromParent_Done,
     /* 1494296 */   // Label 20829: @1494296
     /* 1494296 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1494382), // Rule ID 2957 //
     /* 1494301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1494312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1494315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1494318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494347 */     // MIs[0] policy
     /* 1494347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494357 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1494360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494381 */     // GIR_Coverage, 2957,
     /* 1494381 */     GIR_EraseRootFromParent_Done,
     /* 1494382 */   // Label 20830: @1494382
     /* 1494382 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1494468), // Rule ID 2960 //
     /* 1494387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1494398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1494401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1494404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1494410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494433 */     // MIs[0] policy
     /* 1494433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1494446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494467 */     // GIR_Coverage, 2960,
     /* 1494467 */     GIR_EraseRootFromParent_Done,
     /* 1494468 */   // Label 20831: @1494468
     /* 1494468 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1494554), // Rule ID 2961 //
     /* 1494473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1494484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1494487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1494490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1494496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494519 */     // MIs[0] policy
     /* 1494519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494529 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1494532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1494550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494553 */     // GIR_Coverage, 2961,
     /* 1494553 */     GIR_EraseRootFromParent_Done,
     /* 1494554 */   // Label 20832: @1494554
     /* 1494554 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1494640), // Rule ID 2964 //
     /* 1494559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494605 */     // MIs[0] policy
     /* 1494605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1494618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494639 */     // GIR_Coverage, 2964,
     /* 1494639 */     GIR_EraseRootFromParent_Done,
     /* 1494640 */   // Label 20833: @1494640
     /* 1494640 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1494726), // Rule ID 2965 //
     /* 1494645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494691 */     // MIs[0] policy
     /* 1494691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1494704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494725 */     // GIR_Coverage, 2965,
     /* 1494725 */     GIR_EraseRootFromParent_Done,
     /* 1494726 */   // Label 20834: @1494726
     /* 1494726 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1494812), // Rule ID 2968 //
     /* 1494731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494777 */     // MIs[0] policy
     /* 1494777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1494790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494811 */     // GIR_Coverage, 2968,
     /* 1494811 */     GIR_EraseRootFromParent_Done,
     /* 1494812 */   // Label 20835: @1494812
     /* 1494812 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1494898), // Rule ID 2969 //
     /* 1494817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494863 */     // MIs[0] policy
     /* 1494863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494873 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1494876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494897 */     // GIR_Coverage, 2969,
     /* 1494897 */     GIR_EraseRootFromParent_Done,
     /* 1494898 */   // Label 20836: @1494898
     /* 1494898 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1494984), // Rule ID 2972 //
     /* 1494903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1494945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494949 */     // MIs[0] policy
     /* 1494949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494959 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1494962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494983 */     // GIR_Coverage, 2972,
     /* 1494983 */     GIR_EraseRootFromParent_Done,
     /* 1494984 */   // Label 20837: @1494984
     /* 1494984 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1495070), // Rule ID 2973 //
     /* 1494989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1494997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1495000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1495003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1495006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1495012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495035 */     // MIs[0] policy
     /* 1495035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495045 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1495048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495069 */     // GIR_Coverage, 2973,
     /* 1495069 */     GIR_EraseRootFromParent_Done,
     /* 1495070 */   // Label 20838: @1495070
     /* 1495070 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1495156), // Rule ID 2976 //
     /* 1495075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1495078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495121 */     // MIs[0] policy
     /* 1495121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1495134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495155 */     // GIR_Coverage, 2976,
     /* 1495155 */     GIR_EraseRootFromParent_Done,
     /* 1495156 */   // Label 20839: @1495156
     /* 1495156 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1495242), // Rule ID 2977 //
     /* 1495161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1495164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1495178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495207 */     // MIs[0] policy
     /* 1495207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1495220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495241 */     // GIR_Coverage, 2977,
     /* 1495241 */     GIR_EraseRootFromParent_Done,
     /* 1495242 */   // Label 20840: @1495242
     /* 1495242 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1495328), // Rule ID 2980 //
     /* 1495247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1495250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1495264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495293 */     // MIs[0] policy
     /* 1495293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1495306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495327 */     // GIR_Coverage, 2980,
     /* 1495327 */     GIR_EraseRootFromParent_Done,
     /* 1495328 */   // Label 20841: @1495328
     /* 1495328 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1495414), // Rule ID 2981 //
     /* 1495333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1495336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1495350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495379 */     // MIs[0] policy
     /* 1495379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1495392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495413 */     // GIR_Coverage, 2981,
     /* 1495413 */     GIR_EraseRootFromParent_Done,
     /* 1495414 */   // Label 20842: @1495414
     /* 1495414 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1495500), // Rule ID 2984 //
     /* 1495419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1495422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1495436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1495442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495465 */     // MIs[0] policy
     /* 1495465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1495478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495499 */     // GIR_Coverage, 2984,
     /* 1495499 */     GIR_EraseRootFromParent_Done,
     /* 1495500 */   // Label 20843: @1495500
     /* 1495500 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1495586), // Rule ID 2985 //
     /* 1495505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1495508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1495522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1495528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495551 */     // MIs[0] policy
     /* 1495551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1495564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495585 */     // GIR_Coverage, 2985,
     /* 1495585 */     GIR_EraseRootFromParent_Done,
     /* 1495586 */   // Label 20844: @1495586
     /* 1495586 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1495672), // Rule ID 2988 //
     /* 1495591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1495594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495637 */     // MIs[0] policy
     /* 1495637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1495650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495671 */     // GIR_Coverage, 2988,
     /* 1495671 */     GIR_EraseRootFromParent_Done,
     /* 1495672 */   // Label 20845: @1495672
     /* 1495672 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1495758), // Rule ID 2989 //
     /* 1495677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1495680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1495707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495723 */     // MIs[0] policy
     /* 1495723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1495736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495757 */     // GIR_Coverage, 2989,
     /* 1495757 */     GIR_EraseRootFromParent_Done,
     /* 1495758 */   // Label 20846: @1495758
     /* 1495758 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1495844), // Rule ID 2992 //
     /* 1495763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1495766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495809 */     // MIs[0] policy
     /* 1495809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1495822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495843 */     // GIR_Coverage, 2992,
     /* 1495843 */     GIR_EraseRootFromParent_Done,
     /* 1495844 */   // Label 20847: @1495844
     /* 1495844 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1495930), // Rule ID 2993 //
     /* 1495849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1495852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495895 */     // MIs[0] policy
     /* 1495895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1495908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495929 */     // GIR_Coverage, 2993,
     /* 1495929 */     GIR_EraseRootFromParent_Done,
     /* 1495930 */   // Label 20848: @1495930
     /* 1495930 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1496016), // Rule ID 2996 //
     /* 1495935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1495938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1495943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1495977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495981 */     // MIs[0] policy
     /* 1495981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495991 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1495994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496015 */     // GIR_Coverage, 2996,
     /* 1496015 */     GIR_EraseRootFromParent_Done,
     /* 1496016 */   // Label 20849: @1496016
     /* 1496016 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1496102), // Rule ID 2997 //
     /* 1496021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1496024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1496029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1496032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1496035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1496038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1496063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496067 */     // MIs[0] policy
     /* 1496067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1496080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496101 */     // GIR_Coverage, 2997,
     /* 1496101 */     GIR_EraseRootFromParent_Done,
     /* 1496102 */   // Label 20850: @1496102
     /* 1496102 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1496188), // Rule ID 3088 //
     /* 1496107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1496118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1496121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1496124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1496127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496153 */     // MIs[0] policy
     /* 1496153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496163 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1496166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496187 */     // GIR_Coverage, 3088,
     /* 1496187 */     GIR_EraseRootFromParent_Done,
     /* 1496188 */   // Label 20851: @1496188
     /* 1496188 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1496274), // Rule ID 3089 //
     /* 1496193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1496196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1496204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1496207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1496210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1496213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496239 */     // MIs[0] policy
     /* 1496239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1496252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496273 */     // GIR_Coverage, 3089,
     /* 1496273 */     GIR_EraseRootFromParent_Done,
     /* 1496274 */   // Label 20852: @1496274
     /* 1496274 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1496360), // Rule ID 3092 //
     /* 1496279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1496290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1496293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1496296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1496299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496325 */     // MIs[0] policy
     /* 1496325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1496338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496359 */     // GIR_Coverage, 3092,
     /* 1496359 */     GIR_EraseRootFromParent_Done,
     /* 1496360 */   // Label 20853: @1496360
     /* 1496360 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1496446), // Rule ID 3093 //
     /* 1496365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1496368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1496376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1496379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1496382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1496385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496411 */     // MIs[0] policy
     /* 1496411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1496424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496445 */     // GIR_Coverage, 3093,
     /* 1496445 */     GIR_EraseRootFromParent_Done,
     /* 1496446 */   // Label 20854: @1496446
     /* 1496446 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1496532), // Rule ID 3096 //
     /* 1496451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1496462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1496465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1496468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1496471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496497 */     // MIs[0] policy
     /* 1496497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496507 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1496510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496531 */     // GIR_Coverage, 3096,
     /* 1496531 */     GIR_EraseRootFromParent_Done,
     /* 1496532 */   // Label 20855: @1496532
     /* 1496532 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1496618), // Rule ID 3097 //
     /* 1496537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1496540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1496548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1496551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1496554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1496557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1496560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496583 */     // MIs[0] policy
     /* 1496583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1496596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1496614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496617 */     // GIR_Coverage, 3097,
     /* 1496617 */     GIR_EraseRootFromParent_Done,
     /* 1496618 */   // Label 20856: @1496618
     /* 1496618 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1496704), // Rule ID 3100 //
     /* 1496623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1496640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496669 */     // MIs[0] policy
     /* 1496669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1496682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496703 */     // GIR_Coverage, 3100,
     /* 1496703 */     GIR_EraseRootFromParent_Done,
     /* 1496704 */   // Label 20857: @1496704
     /* 1496704 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1496790), // Rule ID 3101 //
     /* 1496709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1496712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1496726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496755 */     // MIs[0] policy
     /* 1496755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1496768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496789 */     // GIR_Coverage, 3101,
     /* 1496789 */     GIR_EraseRootFromParent_Done,
     /* 1496790 */   // Label 20858: @1496790
     /* 1496790 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1496876), // Rule ID 3104 //
     /* 1496795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1496812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496841 */     // MIs[0] policy
     /* 1496841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1496854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496875 */     // GIR_Coverage, 3104,
     /* 1496875 */     GIR_EraseRootFromParent_Done,
     /* 1496876 */   // Label 20859: @1496876
     /* 1496876 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1496962), // Rule ID 3105 //
     /* 1496881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1496884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1496898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496927 */     // MIs[0] policy
     /* 1496927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1496940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496961 */     // GIR_Coverage, 3105,
     /* 1496961 */     GIR_EraseRootFromParent_Done,
     /* 1496962 */   // Label 20860: @1496962
     /* 1496962 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1497048), // Rule ID 3108 //
     /* 1496967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1496970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1496975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1496984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497013 */     // MIs[0] policy
     /* 1497013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1497026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497047 */     // GIR_Coverage, 3108,
     /* 1497047 */     GIR_EraseRootFromParent_Done,
     /* 1497048 */   // Label 20861: @1497048
     /* 1497048 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1497134), // Rule ID 3109 //
     /* 1497053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1497056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1497064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1497067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1497070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1497073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497099 */     // MIs[0] policy
     /* 1497099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1497112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497133 */     // GIR_Coverage, 3109,
     /* 1497133 */     GIR_EraseRootFromParent_Done,
     /* 1497134 */   // Label 20862: @1497134
     /* 1497134 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1497220), // Rule ID 3112 //
     /* 1497139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1497142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1497150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1497153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1497156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1497159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497185 */     // MIs[0] policy
     /* 1497185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497219 */     // GIR_Coverage, 3112,
     /* 1497219 */     GIR_EraseRootFromParent_Done,
     /* 1497220 */   // Label 20863: @1497220
     /* 1497220 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1497306), // Rule ID 3113 //
     /* 1497225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1497228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1497236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1497239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1497242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1497245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497271 */     // MIs[0] policy
     /* 1497271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497305 */     // GIR_Coverage, 3113,
     /* 1497305 */     GIR_EraseRootFromParent_Done,
     /* 1497306 */   // Label 20864: @1497306
     /* 1497306 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1497392), // Rule ID 3116 //
     /* 1497311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1497314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1497328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497357 */     // MIs[0] policy
     /* 1497357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497391 */     // GIR_Coverage, 3116,
     /* 1497391 */     GIR_EraseRootFromParent_Done,
     /* 1497392 */   // Label 20865: @1497392
     /* 1497392 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1497478), // Rule ID 3117 //
     /* 1497397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1497400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1497408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1497411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1497414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1497417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497443 */     // MIs[0] policy
     /* 1497443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497477 */     // GIR_Coverage, 3117,
     /* 1497477 */     GIR_EraseRootFromParent_Done,
     /* 1497478 */   // Label 20866: @1497478
     /* 1497478 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1497564), // Rule ID 3120 //
     /* 1497483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1497486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1497500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497529 */     // MIs[0] policy
     /* 1497529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497563 */     // GIR_Coverage, 3120,
     /* 1497563 */     GIR_EraseRootFromParent_Done,
     /* 1497564 */   // Label 20867: @1497564
     /* 1497564 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1497650), // Rule ID 3121 //
     /* 1497569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1497572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1497580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1497583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1497586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1497589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497615 */     // MIs[0] policy
     /* 1497615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497649 */     // GIR_Coverage, 3121,
     /* 1497649 */     GIR_EraseRootFromParent_Done,
     /* 1497650 */   // Label 20868: @1497650
     /* 1497650 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1497736), // Rule ID 3124 //
     /* 1497655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1497658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1497672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497701 */     // MIs[0] policy
     /* 1497701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497735 */     // GIR_Coverage, 3124,
     /* 1497735 */     GIR_EraseRootFromParent_Done,
     /* 1497736 */   // Label 20869: @1497736
     /* 1497736 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1497822), // Rule ID 3125 //
     /* 1497741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1497744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1497752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1497755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1497758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1497761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1497764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1497771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1497783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497787 */     // MIs[0] policy
     /* 1497787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1497800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497821 */     // GIR_Coverage, 3125,
     /* 1497821 */     GIR_EraseRootFromParent_Done,
     /* 1497822 */   // Label 20870: @1497822
     /* 1497822 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1497908), // Rule ID 3128 //
     /* 1497827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1497830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1497838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1497841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1497844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1497847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497873 */     // MIs[0] policy
     /* 1497873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1497886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497907 */     // GIR_Coverage, 3128,
     /* 1497907 */     GIR_EraseRootFromParent_Done,
     /* 1497908 */   // Label 20871: @1497908
     /* 1497908 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1497994), // Rule ID 3129 //
     /* 1497913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1497916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1497921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1497924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1497927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1497930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1497933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497959 */     // MIs[0] policy
     /* 1497959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497969 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1497972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1497990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497993 */     // GIR_Coverage, 3129,
     /* 1497993 */     GIR_EraseRootFromParent_Done,
     /* 1497994 */   // Label 20872: @1497994
     /* 1497994 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1498080), // Rule ID 3132 //
     /* 1497999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1498010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1498013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1498016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1498019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498045 */     // MIs[0] policy
     /* 1498045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1498058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498079 */     // GIR_Coverage, 3132,
     /* 1498079 */     GIR_EraseRootFromParent_Done,
     /* 1498080 */   // Label 20873: @1498080
     /* 1498080 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1498166), // Rule ID 3133 //
     /* 1498085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1498096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1498099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1498102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1498105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498131 */     // MIs[0] policy
     /* 1498131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498141 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1498144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498165 */     // GIR_Coverage, 3133,
     /* 1498165 */     GIR_EraseRootFromParent_Done,
     /* 1498166 */   // Label 20874: @1498166
     /* 1498166 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1498252), // Rule ID 3136 //
     /* 1498171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1498182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1498185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1498188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1498191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1498194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498217 */     // MIs[0] policy
     /* 1498217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1498230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498251 */     // GIR_Coverage, 3136,
     /* 1498251 */     GIR_EraseRootFromParent_Done,
     /* 1498252 */   // Label 20875: @1498252
     /* 1498252 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1498338), // Rule ID 3137 //
     /* 1498257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1498268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1498271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1498274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1498277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1498280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498303 */     // MIs[0] policy
     /* 1498303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498313 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1498316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498337 */     // GIR_Coverage, 3137,
     /* 1498337 */     GIR_EraseRootFromParent_Done,
     /* 1498338 */   // Label 20876: @1498338
     /* 1498338 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1498424), // Rule ID 3140 //
     /* 1498343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1498360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498389 */     // MIs[0] policy
     /* 1498389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1498402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498423 */     // GIR_Coverage, 3140,
     /* 1498423 */     GIR_EraseRootFromParent_Done,
     /* 1498424 */   // Label 20877: @1498424
     /* 1498424 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1498510), // Rule ID 3141 //
     /* 1498429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1498446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1498449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498475 */     // MIs[0] policy
     /* 1498475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1498488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498509 */     // GIR_Coverage, 3141,
     /* 1498509 */     GIR_EraseRootFromParent_Done,
     /* 1498510 */   // Label 20878: @1498510
     /* 1498510 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1498596), // Rule ID 3144 //
     /* 1498515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1498532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1498538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498561 */     // MIs[0] policy
     /* 1498561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1498574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498595 */     // GIR_Coverage, 3144,
     /* 1498595 */     GIR_EraseRootFromParent_Done,
     /* 1498596 */   // Label 20879: @1498596
     /* 1498596 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1498682), // Rule ID 3145 //
     /* 1498601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1498618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1498621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1498624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1498631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498647 */     // MIs[0] policy
     /* 1498647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1498660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498681 */     // GIR_Coverage, 3145,
     /* 1498681 */     GIR_EraseRootFromParent_Done,
     /* 1498682 */   // Label 20880: @1498682
     /* 1498682 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1498768), // Rule ID 3148 //
     /* 1498687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1498704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498733 */     // MIs[0] policy
     /* 1498733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1498746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498767 */     // GIR_Coverage, 3148,
     /* 1498767 */     GIR_EraseRootFromParent_Done,
     /* 1498768 */   // Label 20881: @1498768
     /* 1498768 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1498854), // Rule ID 3149 //
     /* 1498773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1498784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1498787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1498790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1498793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1498796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498819 */     // MIs[0] policy
     /* 1498819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1498832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498853 */     // GIR_Coverage, 3149,
     /* 1498853 */     GIR_EraseRootFromParent_Done,
     /* 1498854 */   // Label 20882: @1498854
     /* 1498854 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1498940), // Rule ID 3152 //
     /* 1498859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1498862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1498876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498905 */     // MIs[0] policy
     /* 1498905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1498918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498939 */     // GIR_Coverage, 3152,
     /* 1498939 */     GIR_EraseRootFromParent_Done,
     /* 1498940 */   // Label 20883: @1498940
     /* 1498940 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1499026), // Rule ID 3153 //
     /* 1498945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1498948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1498953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1498956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1498959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1498962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1498965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498991 */     // MIs[0] policy
     /* 1498991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499001 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1499004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499025 */     // GIR_Coverage, 3153,
     /* 1499025 */     GIR_EraseRootFromParent_Done,
     /* 1499026 */   // Label 20884: @1499026
     /* 1499026 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1499112), // Rule ID 3156 //
     /* 1499031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1499034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1499051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499077 */     // MIs[0] policy
     /* 1499077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1499090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499111 */     // GIR_Coverage, 3156,
     /* 1499111 */     GIR_EraseRootFromParent_Done,
     /* 1499112 */   // Label 20885: @1499112
     /* 1499112 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1499198), // Rule ID 3157 //
     /* 1499117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1499120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1499137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499163 */     // MIs[0] policy
     /* 1499163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499173 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1499176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499197 */     // GIR_Coverage, 3157,
     /* 1499197 */     GIR_EraseRootFromParent_Done,
     /* 1499198 */   // Label 20886: @1499198
     /* 1499198 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1499284), // Rule ID 3160 //
     /* 1499203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1499206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1499220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499249 */     // MIs[0] policy
     /* 1499249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1499262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499283 */     // GIR_Coverage, 3160,
     /* 1499283 */     GIR_EraseRootFromParent_Done,
     /* 1499284 */   // Label 20887: @1499284
     /* 1499284 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1499370), // Rule ID 3161 //
     /* 1499289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1499292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1499306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499335 */     // MIs[0] policy
     /* 1499335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1499348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499369 */     // GIR_Coverage, 3161,
     /* 1499369 */     GIR_EraseRootFromParent_Done,
     /* 1499370 */   // Label 20888: @1499370
     /* 1499370 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1499456), // Rule ID 3164 //
     /* 1499375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1499378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1499392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1499398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499421 */     // MIs[0] policy
     /* 1499421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1499434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499455 */     // GIR_Coverage, 3164,
     /* 1499455 */     GIR_EraseRootFromParent_Done,
     /* 1499456 */   // Label 20889: @1499456
     /* 1499456 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1499542), // Rule ID 3165 //
     /* 1499461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1499464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1499472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1499475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1499478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1499481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1499484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499507 */     // MIs[0] policy
     /* 1499507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1499520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499541 */     // GIR_Coverage, 3165,
     /* 1499541 */     GIR_EraseRootFromParent_Done,
     /* 1499542 */   // Label 20890: @1499542
     /* 1499542 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1499628), // Rule ID 3168 //
     /* 1499547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1499550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1499564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499593 */     // MIs[0] policy
     /* 1499593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1499606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499627 */     // GIR_Coverage, 3168,
     /* 1499627 */     GIR_EraseRootFromParent_Done,
     /* 1499628 */   // Label 20891: @1499628
     /* 1499628 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1499714), // Rule ID 3169 //
     /* 1499633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1499636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1499644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1499647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1499650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1499653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499679 */     // MIs[0] policy
     /* 1499679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1499692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499713 */     // GIR_Coverage, 3169,
     /* 1499713 */     GIR_EraseRootFromParent_Done,
     /* 1499714 */   // Label 20892: @1499714
     /* 1499714 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1499800), // Rule ID 3172 //
     /* 1499719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1499722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1499736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499765 */     // MIs[0] policy
     /* 1499765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1499778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499799 */     // GIR_Coverage, 3172,
     /* 1499799 */     GIR_EraseRootFromParent_Done,
     /* 1499800 */   // Label 20893: @1499800
     /* 1499800 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1499886), // Rule ID 3173 //
     /* 1499805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1499808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1499816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1499819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1499822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1499825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499851 */     // MIs[0] policy
     /* 1499851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1499864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499885 */     // GIR_Coverage, 3173,
     /* 1499885 */     GIR_EraseRootFromParent_Done,
     /* 1499886 */   // Label 20894: @1499886
     /* 1499886 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1499972), // Rule ID 3176 //
     /* 1499891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1499894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1499902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1499905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1499908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1499914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1499921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1499933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499937 */     // MIs[0] policy
     /* 1499937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1499950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499971 */     // GIR_Coverage, 3176,
     /* 1499971 */     GIR_EraseRootFromParent_Done,
     /* 1499972 */   // Label 20895: @1499972
     /* 1499972 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1500058), // Rule ID 3177 //
     /* 1499977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1499980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1499985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1499988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1499991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1499994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500023 */     // MIs[0] policy
     /* 1500023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500033 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1500036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1500054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500057 */     // GIR_Coverage, 3177,
     /* 1500057 */     GIR_EraseRootFromParent_Done,
     /* 1500058 */   // Label 20896: @1500058
     /* 1500058 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1500144), // Rule ID 3180 //
     /* 1500063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1500074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1500077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1500080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500109 */     // MIs[0] policy
     /* 1500109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500119 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1500122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1500140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500143 */     // GIR_Coverage, 3180,
     /* 1500143 */     GIR_EraseRootFromParent_Done,
     /* 1500144 */   // Label 20897: @1500144
     /* 1500144 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1500230), // Rule ID 3181 //
     /* 1500149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1500152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1500160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1500163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1500166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500195 */     // MIs[0] policy
     /* 1500195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500205 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1500208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1500226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500229 */     // GIR_Coverage, 3181,
     /* 1500229 */     GIR_EraseRootFromParent_Done,
     /* 1500230 */   // Label 20898: @1500230
     /* 1500230 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1500316), // Rule ID 3184 //
     /* 1500235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1500246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1500249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1500252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500281 */     // MIs[0] policy
     /* 1500281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1500312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500315 */     // GIR_Coverage, 3184,
     /* 1500315 */     GIR_EraseRootFromParent_Done,
     /* 1500316 */   // Label 20899: @1500316
     /* 1500316 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1500402), // Rule ID 3185 //
     /* 1500321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1500324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1500332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1500335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1500338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500367 */     // MIs[0] policy
     /* 1500367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1500398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500401 */     // GIR_Coverage, 3185,
     /* 1500401 */     GIR_EraseRootFromParent_Done,
     /* 1500402 */   // Label 20900: @1500402
     /* 1500402 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1500488), // Rule ID 3188 //
     /* 1500407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500453 */     // MIs[0] policy
     /* 1500453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1500466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500487 */     // GIR_Coverage, 3188,
     /* 1500487 */     GIR_EraseRootFromParent_Done,
     /* 1500488 */   // Label 20901: @1500488
     /* 1500488 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1500574), // Rule ID 3189 //
     /* 1500493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1500496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500539 */     // MIs[0] policy
     /* 1500539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1500552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500573 */     // GIR_Coverage, 3189,
     /* 1500573 */     GIR_EraseRootFromParent_Done,
     /* 1500574 */   // Label 20902: @1500574
     /* 1500574 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1500660), // Rule ID 3192 //
     /* 1500579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1500590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1500593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1500596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500625 */     // MIs[0] policy
     /* 1500625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500659 */     // GIR_Coverage, 3192,
     /* 1500659 */     GIR_EraseRootFromParent_Done,
     /* 1500660 */   // Label 20903: @1500660
     /* 1500660 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1500746), // Rule ID 3193 //
     /* 1500665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1500668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1500676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1500679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1500682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500711 */     // MIs[0] policy
     /* 1500711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500745 */     // GIR_Coverage, 3193,
     /* 1500745 */     GIR_EraseRootFromParent_Done,
     /* 1500746 */   // Label 20904: @1500746
     /* 1500746 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1500832), // Rule ID 3196 //
     /* 1500751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500797 */     // MIs[0] policy
     /* 1500797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500831 */     // GIR_Coverage, 3196,
     /* 1500831 */     GIR_EraseRootFromParent_Done,
     /* 1500832 */   // Label 20905: @1500832
     /* 1500832 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1500918), // Rule ID 3197 //
     /* 1500837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1500840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500883 */     // MIs[0] policy
     /* 1500883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1500896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500917 */     // GIR_Coverage, 3197,
     /* 1500917 */     GIR_EraseRootFromParent_Done,
     /* 1500918 */   // Label 20906: @1500918
     /* 1500918 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1501004), // Rule ID 3200 //
     /* 1500923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1500926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1500931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1500934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1500937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1500940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1500965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500969 */     // MIs[0] policy
     /* 1500969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1500982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501003 */     // GIR_Coverage, 3200,
     /* 1501003 */     GIR_EraseRootFromParent_Done,
     /* 1501004 */   // Label 20907: @1501004
     /* 1501004 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1501090), // Rule ID 3201 //
     /* 1501009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1501012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1501020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1501023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1501026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1501032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501055 */     // MIs[0] policy
     /* 1501055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501065 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11274:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501089 */     // GIR_Coverage, 3201,
     /* 1501089 */     GIR_EraseRootFromParent_Done,
     /* 1501090 */   // Label 20908: @1501090
     /* 1501090 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1501176), // Rule ID 3204 //
     /* 1501095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1501098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1501118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501141 */     // MIs[0] policy
     /* 1501141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501151 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501175 */     // GIR_Coverage, 3204,
     /* 1501175 */     GIR_EraseRootFromParent_Done,
     /* 1501176 */   // Label 20909: @1501176
     /* 1501176 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1501262), // Rule ID 3205 //
     /* 1501181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1501184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1501204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501227 */     // MIs[0] policy
     /* 1501227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501237 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501261 */     // GIR_Coverage, 3205,
     /* 1501261 */     GIR_EraseRootFromParent_Done,
     /* 1501262 */   // Label 20910: @1501262
     /* 1501262 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1501348), // Rule ID 3208 //
     /* 1501267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1501270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1501290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501313 */     // MIs[0] policy
     /* 1501313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501347 */     // GIR_Coverage, 3208,
     /* 1501347 */     GIR_EraseRootFromParent_Done,
     /* 1501348 */   // Label 20911: @1501348
     /* 1501348 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1501434), // Rule ID 3209 //
     /* 1501353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1501356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1501376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501399 */     // MIs[0] policy
     /* 1501399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501433 */     // GIR_Coverage, 3209,
     /* 1501433 */     GIR_EraseRootFromParent_Done,
     /* 1501434 */   // Label 20912: @1501434
     /* 1501434 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1501520), // Rule ID 3212 //
     /* 1501439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1501442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501485 */     // MIs[0] policy
     /* 1501485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501519 */     // GIR_Coverage, 3212,
     /* 1501519 */     GIR_EraseRootFromParent_Done,
     /* 1501520 */   // Label 20913: @1501520
     /* 1501520 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1501606), // Rule ID 3213 //
     /* 1501525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1501528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501571 */     // MIs[0] policy
     /* 1501571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501581 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1501584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501605 */     // GIR_Coverage, 3213,
     /* 1501605 */     GIR_EraseRootFromParent_Done,
     /* 1501606 */   // Label 20914: @1501606
     /* 1501606 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1501692), // Rule ID 3216 //
     /* 1501611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1501614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1501622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1501625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1501628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1501634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1501641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501657 */     // MIs[0] policy
     /* 1501657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1501670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501691 */     // GIR_Coverage, 3216,
     /* 1501691 */     GIR_EraseRootFromParent_Done,
     /* 1501692 */   // Label 20915: @1501692
     /* 1501692 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1501778), // Rule ID 3217 //
     /* 1501697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1501700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1501708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1501711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1501714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1501720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1501727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501743 */     // MIs[0] policy
     /* 1501743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1501756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501777 */     // GIR_Coverage, 3217,
     /* 1501777 */     GIR_EraseRootFromParent_Done,
     /* 1501778 */   // Label 20916: @1501778
     /* 1501778 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1501864), // Rule ID 3220 //
     /* 1501783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1501786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1501794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1501797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1501800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1501806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1501813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501829 */     // MIs[0] policy
     /* 1501829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1501842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501863 */     // GIR_Coverage, 3220,
     /* 1501863 */     GIR_EraseRootFromParent_Done,
     /* 1501864 */   // Label 20917: @1501864
     /* 1501864 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1501950), // Rule ID 3221 //
     /* 1501869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1501872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1501880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1501883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1501886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1501892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1501899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501915 */     // MIs[0] policy
     /* 1501915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501925 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1501928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501949 */     // GIR_Coverage, 3221,
     /* 1501949 */     GIR_EraseRootFromParent_Done,
     /* 1501950 */   // Label 20918: @1501950
     /* 1501950 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1502036), // Rule ID 3224 //
     /* 1501955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1501958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1501963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1501966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1501969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1501972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1501978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1501985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1501997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502001 */     // MIs[0] policy
     /* 1502001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1502014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1502032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502035 */     // GIR_Coverage, 3224,
     /* 1502035 */     GIR_EraseRootFromParent_Done,
     /* 1502036 */   // Label 20919: @1502036
     /* 1502036 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1502122), // Rule ID 3225 //
     /* 1502041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1502052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1502055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1502058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1502064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1502071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502087 */     // MIs[0] policy
     /* 1502087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1502100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1502118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502121 */     // GIR_Coverage, 3225,
     /* 1502121 */     GIR_EraseRootFromParent_Done,
     /* 1502122 */   // Label 20920: @1502122
     /* 1502122 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1502208), // Rule ID 3228 //
     /* 1502127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1502157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502173 */     // MIs[0] policy
     /* 1502173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1502186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502207 */     // GIR_Coverage, 3228,
     /* 1502207 */     GIR_EraseRootFromParent_Done,
     /* 1502208 */   // Label 20921: @1502208
     /* 1502208 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1502294), // Rule ID 3229 //
     /* 1502213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1502224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1502227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1502230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1502243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502259 */     // MIs[0] policy
     /* 1502259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1502272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502293 */     // GIR_Coverage, 3229,
     /* 1502293 */     GIR_EraseRootFromParent_Done,
     /* 1502294 */   // Label 20922: @1502294
     /* 1502294 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1502380), // Rule ID 3232 //
     /* 1502299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1502322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1502329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502345 */     // MIs[0] policy
     /* 1502345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1502358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502379 */     // GIR_Coverage, 3232,
     /* 1502379 */     GIR_EraseRootFromParent_Done,
     /* 1502380 */   // Label 20923: @1502380
     /* 1502380 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1502466), // Rule ID 3233 //
     /* 1502385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1502408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1502415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502431 */     // MIs[0] policy
     /* 1502431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502441 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1502444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502465 */     // GIR_Coverage, 3233,
     /* 1502465 */     GIR_EraseRootFromParent_Done,
     /* 1502466 */   // Label 20924: @1502466
     /* 1502466 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1502552), // Rule ID 3236 //
     /* 1502471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1502494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1502501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502517 */     // MIs[0] policy
     /* 1502517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1502530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502551 */     // GIR_Coverage, 3236,
     /* 1502551 */     GIR_EraseRootFromParent_Done,
     /* 1502552 */   // Label 20925: @1502552
     /* 1502552 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1502638), // Rule ID 3237 //
     /* 1502557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1502580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1502587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502603 */     // MIs[0] policy
     /* 1502603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1502616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502637 */     // GIR_Coverage, 3237,
     /* 1502637 */     GIR_EraseRootFromParent_Done,
     /* 1502638 */   // Label 20926: @1502638
     /* 1502638 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1502724), // Rule ID 3240 //
     /* 1502643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1502666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1502673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502689 */     // MIs[0] policy
     /* 1502689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1502702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502723 */     // GIR_Coverage, 3240,
     /* 1502723 */     GIR_EraseRootFromParent_Done,
     /* 1502724 */   // Label 20927: @1502724
     /* 1502724 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1502810), // Rule ID 3241 //
     /* 1502729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1502752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1502759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502775 */     // MIs[0] policy
     /* 1502775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1502788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502809 */     // GIR_Coverage, 3241,
     /* 1502809 */     GIR_EraseRootFromParent_Done,
     /* 1502810 */   // Label 20928: @1502810
     /* 1502810 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1502896), // Rule ID 3244 //
     /* 1502815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1502845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502861 */     // MIs[0] policy
     /* 1502861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1502874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502895 */     // GIR_Coverage, 3244,
     /* 1502895 */     GIR_EraseRootFromParent_Done,
     /* 1502896 */   // Label 20929: @1502896
     /* 1502896 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1502982), // Rule ID 3245 //
     /* 1502901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1502904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1502931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1502943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502947 */     // MIs[0] policy
     /* 1502947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1502960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502981 */     // GIR_Coverage, 3245,
     /* 1502981 */     GIR_EraseRootFromParent_Done,
     /* 1502982 */   // Label 20930: @1502982
     /* 1502982 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1503068), // Rule ID 3248 //
     /* 1502987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1502990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1502995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1503004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503033 */     // MIs[0] policy
     /* 1503033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1503046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503067 */     // GIR_Coverage, 3248,
     /* 1503067 */     GIR_EraseRootFromParent_Done,
     /* 1503068 */   // Label 20931: @1503068
     /* 1503068 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1503154), // Rule ID 3249 //
     /* 1503073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1503076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1503084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1503087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1503090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503119 */     // MIs[0] policy
     /* 1503119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1503132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503153 */     // GIR_Coverage, 3249,
     /* 1503153 */     GIR_EraseRootFromParent_Done,
     /* 1503154 */   // Label 20932: @1503154
     /* 1503154 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1503240), // Rule ID 3252 //
     /* 1503159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1503162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1503182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503205 */     // MIs[0] policy
     /* 1503205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1503218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503239 */     // GIR_Coverage, 3252,
     /* 1503239 */     GIR_EraseRootFromParent_Done,
     /* 1503240 */   // Label 20933: @1503240
     /* 1503240 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1503326), // Rule ID 3253 //
     /* 1503245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1503248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1503256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1503259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1503262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1503268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503291 */     // MIs[0] policy
     /* 1503291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1503304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503325 */     // GIR_Coverage, 3253,
     /* 1503325 */     GIR_EraseRootFromParent_Done,
     /* 1503326 */   // Label 20934: @1503326
     /* 1503326 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1503412), // Rule ID 3256 //
     /* 1503331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1503334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1503354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503377 */     // MIs[0] policy
     /* 1503377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1503390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503411 */     // GIR_Coverage, 3256,
     /* 1503411 */     GIR_EraseRootFromParent_Done,
     /* 1503412 */   // Label 20935: @1503412
     /* 1503412 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1503498), // Rule ID 3257 //
     /* 1503417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1503420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1503440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503463 */     // MIs[0] policy
     /* 1503463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1503476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503497 */     // GIR_Coverage, 3257,
     /* 1503497 */     GIR_EraseRootFromParent_Done,
     /* 1503498 */   // Label 20936: @1503498
     /* 1503498 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1503584), // Rule ID 3260 //
     /* 1503503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1503506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1503526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503549 */     // MIs[0] policy
     /* 1503549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503559 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1503562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503583 */     // GIR_Coverage, 3260,
     /* 1503583 */     GIR_EraseRootFromParent_Done,
     /* 1503584 */   // Label 20937: @1503584
     /* 1503584 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1503670), // Rule ID 3261 //
     /* 1503589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1503592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1503597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1503612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503635 */     // MIs[0] policy
     /* 1503635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503645 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1503648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503669 */     // GIR_Coverage, 3261,
     /* 1503669 */     GIR_EraseRootFromParent_Done,
     /* 1503670 */   // Label 20938: @1503670
     /* 1503670 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1503756), // Rule ID 3264 //
     /* 1503675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1503678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1503683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1503686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1503689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1503692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1503698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1503705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503721 */     // MIs[0] policy
     /* 1503721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503731 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1503734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503755 */     // GIR_Coverage, 3264,
     /* 1503755 */     GIR_EraseRootFromParent_Done,
     /* 1503756 */   // Label 20939: @1503756
     /* 1503756 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1503842), // Rule ID 3265 //
     /* 1503761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1503764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1503769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1503772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1503775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1503778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1503784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1503791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503807 */     // MIs[0] policy
     /* 1503807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503817 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1503820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503841 */     // GIR_Coverage, 3265,
     /* 1503841 */     GIR_EraseRootFromParent_Done,
     /* 1503842 */   // Label 20940: @1503842
     /* 1503842 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1503928), // Rule ID 3268 //
     /* 1503847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1503850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1503855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1503858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1503861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1503864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1503870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1503877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503893 */     // MIs[0] policy
     /* 1503893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503903 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1503906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503927 */     // GIR_Coverage, 3268,
     /* 1503927 */     GIR_EraseRootFromParent_Done,
     /* 1503928 */   // Label 20941: @1503928
     /* 1503928 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1504014), // Rule ID 3269 //
     /* 1503933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1503936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1503941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1503944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1503947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1503950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1503956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1503963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1503975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503979 */     // MIs[0] policy
     /* 1503979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503989 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1503992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1504010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504013 */     // GIR_Coverage, 3269,
     /* 1504013 */     GIR_EraseRootFromParent_Done,
     /* 1504014 */   // Label 20942: @1504014
     /* 1504014 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1504100), // Rule ID 3272 //
     /* 1504019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1504030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1504033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1504036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504065 */     // MIs[0] policy
     /* 1504065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1504096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504099 */     // GIR_Coverage, 3272,
     /* 1504099 */     GIR_EraseRootFromParent_Done,
     /* 1504100 */   // Label 20943: @1504100
     /* 1504100 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1504186), // Rule ID 3273 //
     /* 1504105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1504116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1504119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1504122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504151 */     // MIs[0] policy
     /* 1504151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504161 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1504182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504185 */     // GIR_Coverage, 3273,
     /* 1504185 */     GIR_EraseRootFromParent_Done,
     /* 1504186 */   // Label 20944: @1504186
     /* 1504186 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1504272), // Rule ID 3276 //
     /* 1504191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1504214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504237 */     // MIs[0] policy
     /* 1504237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1504250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504271 */     // GIR_Coverage, 3276,
     /* 1504271 */     GIR_EraseRootFromParent_Done,
     /* 1504272 */   // Label 20945: @1504272
     /* 1504272 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1504358), // Rule ID 3277 //
     /* 1504277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1504288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1504291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1504294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1504300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504323 */     // MIs[0] policy
     /* 1504323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1504336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504357 */     // GIR_Coverage, 3277,
     /* 1504357 */     GIR_EraseRootFromParent_Done,
     /* 1504358 */   // Label 20946: @1504358
     /* 1504358 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1504444), // Rule ID 3280 //
     /* 1504363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1504386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504409 */     // MIs[0] policy
     /* 1504409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504443 */     // GIR_Coverage, 3280,
     /* 1504443 */     GIR_EraseRootFromParent_Done,
     /* 1504444 */   // Label 20947: @1504444
     /* 1504444 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1504530), // Rule ID 3281 //
     /* 1504449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1504460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1504463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1504466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1504472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504495 */     // MIs[0] policy
     /* 1504495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504529 */     // GIR_Coverage, 3281,
     /* 1504529 */     GIR_EraseRootFromParent_Done,
     /* 1504530 */   // Label 20948: @1504530
     /* 1504530 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1504616), // Rule ID 3284 //
     /* 1504535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1504558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504581 */     // MIs[0] policy
     /* 1504581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504615 */     // GIR_Coverage, 3284,
     /* 1504615 */     GIR_EraseRootFromParent_Done,
     /* 1504616 */   // Label 20949: @1504616
     /* 1504616 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1504702), // Rule ID 3285 //
     /* 1504621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1504632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1504635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1504638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1504644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504667 */     // MIs[0] policy
     /* 1504667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504677 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1504680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504701 */     // GIR_Coverage, 3285,
     /* 1504701 */     GIR_EraseRootFromParent_Done,
     /* 1504702 */   // Label 20950: @1504702
     /* 1504702 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1504788), // Rule ID 3288 //
     /* 1504707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1504718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1504721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1504724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1504730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504753 */     // MIs[0] policy
     /* 1504753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1504766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1504784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504787 */     // GIR_Coverage, 3288,
     /* 1504787 */     GIR_EraseRootFromParent_Done,
     /* 1504788 */   // Label 20951: @1504788
     /* 1504788 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1504874), // Rule ID 3289 //
     /* 1504793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1504804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1504807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1504810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1504816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504839 */     // MIs[0] policy
     /* 1504839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504849 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1504852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1504870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504873 */     // GIR_Coverage, 3289,
     /* 1504873 */     GIR_EraseRootFromParent_Done,
     /* 1504874 */   // Label 20952: @1504874
     /* 1504874 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1504960), // Rule ID 3292 //
     /* 1504879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1504882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1504921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504925 */     // MIs[0] policy
     /* 1504925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1504938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504959 */     // GIR_Coverage, 3292,
     /* 1504959 */     GIR_EraseRootFromParent_Done,
     /* 1504960 */   // Label 20953: @1504960
     /* 1504960 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1505046), // Rule ID 3293 //
     /* 1504965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1504968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1504973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1504976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1504979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1504982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1504995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505011 */     // MIs[0] policy
     /* 1505011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1505024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505045 */     // GIR_Coverage, 3293,
     /* 1505045 */     GIR_EraseRootFromParent_Done,
     /* 1505046 */   // Label 20954: @1505046
     /* 1505046 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1505132), // Rule ID 3296 //
     /* 1505051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1505054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1505074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505097 */     // MIs[0] policy
     /* 1505097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1505110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505131 */     // GIR_Coverage, 3296,
     /* 1505131 */     GIR_EraseRootFromParent_Done,
     /* 1505132 */   // Label 20955: @1505132
     /* 1505132 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1505218), // Rule ID 3297 //
     /* 1505137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1505140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1505148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1505151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1505154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1505160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505183 */     // MIs[0] policy
     /* 1505183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1505196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505217 */     // GIR_Coverage, 3297,
     /* 1505217 */     GIR_EraseRootFromParent_Done,
     /* 1505218 */   // Label 20956: @1505218
     /* 1505218 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1505304), // Rule ID 3300 //
     /* 1505223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1505226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1505246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505269 */     // MIs[0] policy
     /* 1505269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505279 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1505282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505303 */     // GIR_Coverage, 3300,
     /* 1505303 */     GIR_EraseRootFromParent_Done,
     /* 1505304 */   // Label 20957: @1505304
     /* 1505304 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1505390), // Rule ID 3301 //
     /* 1505309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1505312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1505320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1505323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1505326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1505332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505355 */     // MIs[0] policy
     /* 1505355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1505368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505389 */     // GIR_Coverage, 3301,
     /* 1505389 */     GIR_EraseRootFromParent_Done,
     /* 1505390 */   // Label 20958: @1505390
     /* 1505390 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1505476), // Rule ID 3304 //
     /* 1505395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1505398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1505406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1505409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1505412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1505418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1505425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505441 */     // MIs[0] policy
     /* 1505441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1505454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505475 */     // GIR_Coverage, 3304,
     /* 1505475 */     GIR_EraseRootFromParent_Done,
     /* 1505476 */   // Label 20959: @1505476
     /* 1505476 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1505562), // Rule ID 3305 //
     /* 1505481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1505484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1505492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1505495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1505498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1505504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1505511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505527 */     // MIs[0] policy
     /* 1505527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505537 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1505540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505561 */     // GIR_Coverage, 3305,
     /* 1505561 */     GIR_EraseRootFromParent_Done,
     /* 1505562 */   // Label 20960: @1505562
     /* 1505562 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1505648), // Rule ID 3308 //
     /* 1505567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1505570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1505578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1505581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1505584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1505590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1505597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505613 */     // MIs[0] policy
     /* 1505613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1505626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505647 */     // GIR_Coverage, 3308,
     /* 1505647 */     GIR_EraseRootFromParent_Done,
     /* 1505648 */   // Label 20961: @1505648
     /* 1505648 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1505734), // Rule ID 3309 //
     /* 1505653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1505656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1505664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1505667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1505670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1505676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1505683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505699 */     // MIs[0] policy
     /* 1505699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505709 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1505712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505733 */     // GIR_Coverage, 3309,
     /* 1505733 */     GIR_EraseRootFromParent_Done,
     /* 1505734 */   // Label 20962: @1505734
     /* 1505734 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1505820), // Rule ID 3312 //
     /* 1505739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1505742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1505750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1505753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1505756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1505762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1505769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505785 */     // MIs[0] policy
     /* 1505785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505795 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1505798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505819 */     // GIR_Coverage, 3312,
     /* 1505819 */     GIR_EraseRootFromParent_Done,
     /* 1505820 */   // Label 20963: @1505820
     /* 1505820 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1505906), // Rule ID 3313 //
     /* 1505825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1505828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1505836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1505839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1505842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1505848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1505855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505871 */     // MIs[0] policy
     /* 1505871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505881 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1505884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1505902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505905 */     // GIR_Coverage, 3313,
     /* 1505905 */     GIR_EraseRootFromParent_Done,
     /* 1505906 */   // Label 20964: @1505906
     /* 1505906 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1505992), // Rule ID 3316 //
     /* 1505911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1505914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1505919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1505922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1505925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1505928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1505934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1505941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1505953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505957 */     // MIs[0] policy
     /* 1505957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1505970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505991 */     // GIR_Coverage, 3316,
     /* 1505991 */     GIR_EraseRootFromParent_Done,
     /* 1505992 */   // Label 20965: @1505992
     /* 1505992 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1506078), // Rule ID 3317 //
     /* 1505997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1506020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1506027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506043 */     // MIs[0] policy
     /* 1506043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506053 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1506056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506077 */     // GIR_Coverage, 3317,
     /* 1506077 */     GIR_EraseRootFromParent_Done,
     /* 1506078 */   // Label 20966: @1506078
     /* 1506078 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1506164), // Rule ID 3320 //
     /* 1506083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1506086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1506100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1506106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1506113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506129 */     // MIs[0] policy
     /* 1506129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1506142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506163 */     // GIR_Coverage, 3320,
     /* 1506163 */     GIR_EraseRootFromParent_Done,
     /* 1506164 */   // Label 20967: @1506164
     /* 1506164 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1506250), // Rule ID 3321 //
     /* 1506169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1506186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1506192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1506199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506215 */     // MIs[0] policy
     /* 1506215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506225 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1506228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506249 */     // GIR_Coverage, 3321,
     /* 1506249 */     GIR_EraseRootFromParent_Done,
     /* 1506250 */   // Label 20968: @1506250
     /* 1506250 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1506336), // Rule ID 3324 //
     /* 1506255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1506258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1506272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1506278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1506285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506301 */     // MIs[0] policy
     /* 1506301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1506314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506335 */     // GIR_Coverage, 3324,
     /* 1506335 */     GIR_EraseRootFromParent_Done,
     /* 1506336 */   // Label 20969: @1506336
     /* 1506336 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1506422), // Rule ID 3325 //
     /* 1506341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1506358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1506364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1506371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506387 */     // MIs[0] policy
     /* 1506387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1506400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506421 */     // GIR_Coverage, 3325,
     /* 1506421 */     GIR_EraseRootFromParent_Done,
     /* 1506422 */   // Label 20970: @1506422
     /* 1506422 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1506508), // Rule ID 3328 //
     /* 1506427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1506430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1506450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1506457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506473 */     // MIs[0] policy
     /* 1506473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1506486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506507 */     // GIR_Coverage, 3328,
     /* 1506507 */     GIR_EraseRootFromParent_Done,
     /* 1506508 */   // Label 20971: @1506508
     /* 1506508 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1506594), // Rule ID 3329 //
     /* 1506513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1506530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1506536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1506543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506559 */     // MIs[0] policy
     /* 1506559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1506572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506593 */     // GIR_Coverage, 3329,
     /* 1506593 */     GIR_EraseRootFromParent_Done,
     /* 1506594 */   // Label 20972: @1506594
     /* 1506594 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1506680), // Rule ID 3332 //
     /* 1506599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1506602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1506622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1506629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506645 */     // MIs[0] policy
     /* 1506645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1506658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506679 */     // GIR_Coverage, 3332,
     /* 1506679 */     GIR_EraseRootFromParent_Done,
     /* 1506680 */   // Label 20973: @1506680
     /* 1506680 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1506766), // Rule ID 3333 //
     /* 1506685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1506696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1506699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1506702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1506708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1506715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506731 */     // MIs[0] policy
     /* 1506731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506741 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1506744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506765 */     // GIR_Coverage, 3333,
     /* 1506765 */     GIR_EraseRootFromParent_Done,
     /* 1506766 */   // Label 20974: @1506766
     /* 1506766 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1506852), // Rule ID 3336 //
     /* 1506771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1506774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1506794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1506801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506817 */     // MIs[0] policy
     /* 1506817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1506830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506851 */     // GIR_Coverage, 3336,
     /* 1506851 */     GIR_EraseRootFromParent_Done,
     /* 1506852 */   // Label 20975: @1506852
     /* 1506852 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1506938), // Rule ID 3337 //
     /* 1506857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1506860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1506868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1506871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1506874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1506877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1506880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1506887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506903 */     // MIs[0] policy
     /* 1506903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506913 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1506916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1506920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1506926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506937 */     // GIR_Coverage, 3337,
     /* 1506937 */     GIR_EraseRootFromParent_Done,
     /* 1506938 */   // Label 20976: @1506938
     /* 1506938 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1507024), // Rule ID 3340 //
     /* 1506943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1506946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1506951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1506954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1506957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1506960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1506963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1506966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1506973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1506985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1506989 */     // MIs[0] policy
     /* 1506989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1507002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507023 */     // GIR_Coverage, 3340,
     /* 1507023 */     GIR_EraseRootFromParent_Done,
     /* 1507024 */   // Label 20977: @1507024
     /* 1507024 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1507110), // Rule ID 3341 //
     /* 1507029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1507032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1507037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1507049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1507052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1507059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1507071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507075 */     // MIs[0] policy
     /* 1507075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507085 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1507088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507109 */     // GIR_Coverage, 3341,
     /* 1507109 */     GIR_EraseRootFromParent_Done,
     /* 1507110 */   // Label 20978: @1507110
     /* 1507110 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1507196), // Rule ID 3344 //
     /* 1507115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1507118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1507123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1507132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1507135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1507138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1507145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1507157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507161 */     // MIs[0] policy
     /* 1507161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1507174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507195 */     // GIR_Coverage, 3344,
     /* 1507195 */     GIR_EraseRootFromParent_Done,
     /* 1507196 */   // Label 20979: @1507196
     /* 1507196 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1507282), // Rule ID 3345 //
     /* 1507201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1507204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1507209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1507218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1507221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1507224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1507231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1507243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507247 */     // MIs[0] policy
     /* 1507247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1507260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507281 */     // GIR_Coverage, 3345,
     /* 1507281 */     GIR_EraseRootFromParent_Done,
     /* 1507282 */   // Label 20980: @1507282
     /* 1507282 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1507368), // Rule ID 3348 //
     /* 1507287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1507290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1507295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1507304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1507307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1507310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1507317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1507329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507333 */     // MIs[0] policy
     /* 1507333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1507346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507367 */     // GIR_Coverage, 3348,
     /* 1507367 */     GIR_EraseRootFromParent_Done,
     /* 1507368 */   // Label 20981: @1507368
     /* 1507368 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1507454), // Rule ID 3349 //
     /* 1507373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1507376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1507381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1507390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1507393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1507396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1507403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1507415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507419 */     // MIs[0] policy
     /* 1507419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507429 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1507432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507453 */     // GIR_Coverage, 3349,
     /* 1507453 */     GIR_EraseRootFromParent_Done,
     /* 1507454 */   // Label 20982: @1507454
     /* 1507454 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1507540), // Rule ID 3440 //
     /* 1507459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1507462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1507476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1507479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1507482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507505 */     // MIs[0] policy
     /* 1507505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1507518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507539 */     // GIR_Coverage, 3440,
     /* 1507539 */     GIR_EraseRootFromParent_Done,
     /* 1507540 */   // Label 20983: @1507540
     /* 1507540 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1507626), // Rule ID 3441 //
     /* 1507545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1507548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1507562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1507565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1507568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507591 */     // MIs[0] policy
     /* 1507591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1507604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507625 */     // GIR_Coverage, 3441,
     /* 1507625 */     GIR_EraseRootFromParent_Done,
     /* 1507626 */   // Label 20984: @1507626
     /* 1507626 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1507712), // Rule ID 3444 //
     /* 1507631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1507634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1507648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1507651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1507654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507677 */     // MIs[0] policy
     /* 1507677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1507690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507711 */     // GIR_Coverage, 3444,
     /* 1507711 */     GIR_EraseRootFromParent_Done,
     /* 1507712 */   // Label 20985: @1507712
     /* 1507712 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1507798), // Rule ID 3445 //
     /* 1507717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1507720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1507728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1507731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1507734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1507737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1507740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507763 */     // MIs[0] policy
     /* 1507763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1507776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507797 */     // GIR_Coverage, 3445,
     /* 1507797 */     GIR_EraseRootFromParent_Done,
     /* 1507798 */   // Label 20986: @1507798
     /* 1507798 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1507884), // Rule ID 3448 //
     /* 1507803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1507806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1507820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1507823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1507826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507849 */     // MIs[0] policy
     /* 1507849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1507862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507883 */     // GIR_Coverage, 3448,
     /* 1507883 */     GIR_EraseRootFromParent_Done,
     /* 1507884 */   // Label 20987: @1507884
     /* 1507884 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1507970), // Rule ID 3449 //
     /* 1507889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1507892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1507900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1507903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1507906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1507909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1507912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1507919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1507935 */     // MIs[0] policy
     /* 1507935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507945 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1507948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1507952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1507958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1507966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507969 */     // GIR_Coverage, 3449,
     /* 1507969 */     GIR_EraseRootFromParent_Done,
     /* 1507970 */   // Label 20988: @1507970
     /* 1507970 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1508056), // Rule ID 3452 //
     /* 1507975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1507978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1507983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1507986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1507989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1507992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1507995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1507998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1508005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508021 */     // MIs[0] policy
     /* 1508021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1508034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508055 */     // GIR_Coverage, 3452,
     /* 1508055 */     GIR_EraseRootFromParent_Done,
     /* 1508056 */   // Label 20989: @1508056
     /* 1508056 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1508142), // Rule ID 3453 //
     /* 1508061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1508078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1508081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1508084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1508091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508107 */     // MIs[0] policy
     /* 1508107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1508120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508141 */     // GIR_Coverage, 3453,
     /* 1508141 */     GIR_EraseRootFromParent_Done,
     /* 1508142 */   // Label 20990: @1508142
     /* 1508142 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1508228), // Rule ID 3456 //
     /* 1508147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1508150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1508164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1508167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1508170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1508177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508193 */     // MIs[0] policy
     /* 1508193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1508206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508227 */     // GIR_Coverage, 3456,
     /* 1508227 */     GIR_EraseRootFromParent_Done,
     /* 1508228 */   // Label 20991: @1508228
     /* 1508228 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1508314), // Rule ID 3457 //
     /* 1508233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1508244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1508247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1508250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1508253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1508256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1508263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508279 */     // MIs[0] policy
     /* 1508279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1508292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508313 */     // GIR_Coverage, 3457,
     /* 1508313 */     GIR_EraseRootFromParent_Done,
     /* 1508314 */   // Label 20992: @1508314
     /* 1508314 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1508400), // Rule ID 3460 //
     /* 1508319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1508322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1508336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1508339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1508342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1508349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508365 */     // MIs[0] policy
     /* 1508365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508375 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1508378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508399 */     // GIR_Coverage, 3460,
     /* 1508399 */     GIR_EraseRootFromParent_Done,
     /* 1508400 */   // Label 20993: @1508400
     /* 1508400 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1508486), // Rule ID 3461 //
     /* 1508405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1508416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1508419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1508422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1508425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1508428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1508435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508451 */     // MIs[0] policy
     /* 1508451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1508464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1508482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508485 */     // GIR_Coverage, 3461,
     /* 1508485 */     GIR_EraseRootFromParent_Done,
     /* 1508486 */   // Label 20994: @1508486
     /* 1508486 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1508572), // Rule ID 3464 //
     /* 1508491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1508494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1508514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1508521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508537 */     // MIs[0] policy
     /* 1508537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1508550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508571 */     // GIR_Coverage, 3464,
     /* 1508571 */     GIR_EraseRootFromParent_Done,
     /* 1508572 */   // Label 20995: @1508572
     /* 1508572 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1508658), // Rule ID 3465 //
     /* 1508577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1508600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1508607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508623 */     // MIs[0] policy
     /* 1508623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1508636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508657 */     // GIR_Coverage, 3465,
     /* 1508657 */     GIR_EraseRootFromParent_Done,
     /* 1508658 */   // Label 20996: @1508658
     /* 1508658 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1508744), // Rule ID 3468 //
     /* 1508663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1508666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1508686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1508693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508709 */     // MIs[0] policy
     /* 1508709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1508722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508743 */     // GIR_Coverage, 3468,
     /* 1508743 */     GIR_EraseRootFromParent_Done,
     /* 1508744 */   // Label 20997: @1508744
     /* 1508744 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1508830), // Rule ID 3469 //
     /* 1508749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1508772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1508779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508795 */     // MIs[0] policy
     /* 1508795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508805 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1508808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508829 */     // GIR_Coverage, 3469,
     /* 1508829 */     GIR_EraseRootFromParent_Done,
     /* 1508830 */   // Label 20998: @1508830
     /* 1508830 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1508916), // Rule ID 3472 //
     /* 1508835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1508838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1508858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1508865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508881 */     // MIs[0] policy
     /* 1508881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1508894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508915 */     // GIR_Coverage, 3472,
     /* 1508915 */     GIR_EraseRootFromParent_Done,
     /* 1508916 */   // Label 20999: @1508916
     /* 1508916 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509002), // Rule ID 3473 //
     /* 1508921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1508924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1508929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1508932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1508935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1508944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1508951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1508967 */     // MIs[0] policy
     /* 1508967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1508980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1508984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1508990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509001 */     // GIR_Coverage, 3473,
     /* 1509001 */     GIR_EraseRootFromParent_Done,
     /* 1509002 */   // Label 21000: @1509002
     /* 1509002 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509088), // Rule ID 3476 //
     /* 1509007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1509010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1509030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1509037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509053 */     // MIs[0] policy
     /* 1509053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509063 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1509066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509087 */     // GIR_Coverage, 3476,
     /* 1509087 */     GIR_EraseRootFromParent_Done,
     /* 1509088 */   // Label 21001: @1509088
     /* 1509088 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1509174), // Rule ID 3477 //
     /* 1509093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1509096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1509116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1509123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509139 */     // MIs[0] policy
     /* 1509139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509149 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1509152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509173 */     // GIR_Coverage, 3477,
     /* 1509173 */     GIR_EraseRootFromParent_Done,
     /* 1509174 */   // Label 21002: @1509174
     /* 1509174 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1509260), // Rule ID 3480 //
     /* 1509179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1509182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1509202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1509209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509225 */     // MIs[0] policy
     /* 1509225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1509238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509259 */     // GIR_Coverage, 3480,
     /* 1509259 */     GIR_EraseRootFromParent_Done,
     /* 1509260 */   // Label 21003: @1509260
     /* 1509260 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1509346), // Rule ID 3481 //
     /* 1509265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1509268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1509288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1509295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509311 */     // MIs[0] policy
     /* 1509311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1509324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509345 */     // GIR_Coverage, 3481,
     /* 1509345 */     GIR_EraseRootFromParent_Done,
     /* 1509346 */   // Label 21004: @1509346
     /* 1509346 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1509432), // Rule ID 3484 //
     /* 1509351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1509354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1509374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1509381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509397 */     // MIs[0] policy
     /* 1509397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1509410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509431 */     // GIR_Coverage, 3484,
     /* 1509431 */     GIR_EraseRootFromParent_Done,
     /* 1509432 */   // Label 21005: @1509432
     /* 1509432 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1509518), // Rule ID 3485 //
     /* 1509437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1509440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1509454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1509457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1509460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1509467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509483 */     // MIs[0] policy
     /* 1509483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1509496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509517 */     // GIR_Coverage, 3485,
     /* 1509517 */     GIR_EraseRootFromParent_Done,
     /* 1509518 */   // Label 21006: @1509518
     /* 1509518 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1509604), // Rule ID 3488 //
     /* 1509523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1509526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1509546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1509553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509569 */     // MIs[0] policy
     /* 1509569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1509582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509603 */     // GIR_Coverage, 3488,
     /* 1509603 */     GIR_EraseRootFromParent_Done,
     /* 1509604 */   // Label 21007: @1509604
     /* 1509604 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1509690), // Rule ID 3489 //
     /* 1509609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1509612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1509626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1509632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1509639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509655 */     // MIs[0] policy
     /* 1509655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509665 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1509668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509689 */     // GIR_Coverage, 3489,
     /* 1509689 */     GIR_EraseRootFromParent_Done,
     /* 1509690 */   // Label 21008: @1509690
     /* 1509690 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1509776), // Rule ID 3492 //
     /* 1509695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1509698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1509718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1509725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509741 */     // MIs[0] policy
     /* 1509741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1509754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509775 */     // GIR_Coverage, 3492,
     /* 1509775 */     GIR_EraseRootFromParent_Done,
     /* 1509776 */   // Label 21009: @1509776
     /* 1509776 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1509862), // Rule ID 3493 //
     /* 1509781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1509784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1509792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1509795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1509804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1509811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509827 */     // MIs[0] policy
     /* 1509827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509837 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1509840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509861 */     // GIR_Coverage, 3493,
     /* 1509861 */     GIR_EraseRootFromParent_Done,
     /* 1509862 */   // Label 21010: @1509862
     /* 1509862 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1509948), // Rule ID 3496 //
     /* 1509867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1509870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1509890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1509897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509913 */     // MIs[0] policy
     /* 1509913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1509926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1509930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1509936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509947 */     // GIR_Coverage, 3496,
     /* 1509947 */     GIR_EraseRootFromParent_Done,
     /* 1509948 */   // Label 21011: @1509948
     /* 1509948 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510034), // Rule ID 3497 //
     /* 1509953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1509956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1509961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1509964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1509967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1509976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1509983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1509999 */     // MIs[0] policy
     /* 1509999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1510012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510033 */     // GIR_Coverage, 3497,
     /* 1510033 */     GIR_EraseRootFromParent_Done,
     /* 1510034 */   // Label 21012: @1510034
     /* 1510034 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510120), // Rule ID 3500 //
     /* 1510039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1510056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1510062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510085 */     // MIs[0] policy
     /* 1510085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1510098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510119 */     // GIR_Coverage, 3500,
     /* 1510119 */     GIR_EraseRootFromParent_Done,
     /* 1510120 */   // Label 21013: @1510120
     /* 1510120 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1510206), // Rule ID 3501 //
     /* 1510125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1510142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1510145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1510148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510171 */     // MIs[0] policy
     /* 1510171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510181 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1510184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510205 */     // GIR_Coverage, 3501,
     /* 1510205 */     GIR_EraseRootFromParent_Done,
     /* 1510206 */   // Label 21014: @1510206
     /* 1510206 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1510292), // Rule ID 3504 //
     /* 1510211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1510228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1510234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510257 */     // MIs[0] policy
     /* 1510257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1510270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510291 */     // GIR_Coverage, 3504,
     /* 1510291 */     GIR_EraseRootFromParent_Done,
     /* 1510292 */   // Label 21015: @1510292
     /* 1510292 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1510378), // Rule ID 3505 //
     /* 1510297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1510314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1510317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1510320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510343 */     // MIs[0] policy
     /* 1510343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510353 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1510356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510377 */     // GIR_Coverage, 3505,
     /* 1510377 */     GIR_EraseRootFromParent_Done,
     /* 1510378 */   // Label 21016: @1510378
     /* 1510378 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1510464), // Rule ID 3508 //
     /* 1510383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1510400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1510406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510429 */     // MIs[0] policy
     /* 1510429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1510442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510463 */     // GIR_Coverage, 3508,
     /* 1510463 */     GIR_EraseRootFromParent_Done,
     /* 1510464 */   // Label 21017: @1510464
     /* 1510464 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1510550), // Rule ID 3509 //
     /* 1510469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1510486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1510489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1510492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1510499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510515 */     // MIs[0] policy
     /* 1510515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1510528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510549 */     // GIR_Coverage, 3509,
     /* 1510549 */     GIR_EraseRootFromParent_Done,
     /* 1510550 */   // Label 21018: @1510550
     /* 1510550 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1510636), // Rule ID 3512 //
     /* 1510555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1510572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1510578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1510585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510601 */     // MIs[0] policy
     /* 1510601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510611 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1510614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510635 */     // GIR_Coverage, 3512,
     /* 1510635 */     GIR_EraseRootFromParent_Done,
     /* 1510636 */   // Label 21019: @1510636
     /* 1510636 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1510722), // Rule ID 3513 //
     /* 1510641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1510652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1510655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1510658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1510661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1510664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1510671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510687 */     // MIs[0] policy
     /* 1510687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1510700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510721 */     // GIR_Coverage, 3513,
     /* 1510721 */     GIR_EraseRootFromParent_Done,
     /* 1510722 */   // Label 21020: @1510722
     /* 1510722 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1510808), // Rule ID 3516 //
     /* 1510727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1510744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1510750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1510757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510773 */     // MIs[0] policy
     /* 1510773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1510786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510807 */     // GIR_Coverage, 3516,
     /* 1510807 */     GIR_EraseRootFromParent_Done,
     /* 1510808 */   // Label 21021: @1510808
     /* 1510808 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1510894), // Rule ID 3517 //
     /* 1510813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1510824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1510827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1510830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1510833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1510836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1510843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510859 */     // MIs[0] policy
     /* 1510859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1510872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510893 */     // GIR_Coverage, 3517,
     /* 1510893 */     GIR_EraseRootFromParent_Done,
     /* 1510894 */   // Label 21022: @1510894
     /* 1510894 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1510980), // Rule ID 3520 //
     /* 1510899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1510902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1510916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1510919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1510922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1510929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1510941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1510945 */     // MIs[0] policy
     /* 1510945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1510958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1510962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1510968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1510976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510979 */     // GIR_Coverage, 3520,
     /* 1510979 */     GIR_EraseRootFromParent_Done,
     /* 1510980 */   // Label 21023: @1510980
     /* 1510980 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511066), // Rule ID 3521 //
     /* 1510985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1510988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1510993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1510996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1510999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1511002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1511008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1511015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511031 */     // MIs[0] policy
     /* 1511031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1511044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1511062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511065 */     // GIR_Coverage, 3521,
     /* 1511065 */     GIR_EraseRootFromParent_Done,
     /* 1511066 */   // Label 21024: @1511066
     /* 1511066 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511152), // Rule ID 3524 //
     /* 1511071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1511074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1511088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1511094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1511101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511117 */     // MIs[0] policy
     /* 1511117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1511130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511151 */     // GIR_Coverage, 3524,
     /* 1511151 */     GIR_EraseRootFromParent_Done,
     /* 1511152 */   // Label 21025: @1511152
     /* 1511152 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1511238), // Rule ID 3525 //
     /* 1511157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1511160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1511174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1511180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1511187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511203 */     // MIs[0] policy
     /* 1511203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511213 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1511216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511237 */     // GIR_Coverage, 3525,
     /* 1511237 */     GIR_EraseRootFromParent_Done,
     /* 1511238 */   // Label 21026: @1511238
     /* 1511238 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1511324), // Rule ID 3528 //
     /* 1511243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1511246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1511266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1511273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511289 */     // MIs[0] policy
     /* 1511289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1511302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511323 */     // GIR_Coverage, 3528,
     /* 1511323 */     GIR_EraseRootFromParent_Done,
     /* 1511324 */   // Label 21027: @1511324
     /* 1511324 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1511410), // Rule ID 3529 //
     /* 1511329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1511332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1511346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1511352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1511359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511375 */     // MIs[0] policy
     /* 1511375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1511388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511409 */     // GIR_Coverage, 3529,
     /* 1511409 */     GIR_EraseRootFromParent_Done,
     /* 1511410 */   // Label 21028: @1511410
     /* 1511410 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1511496), // Rule ID 3532 //
     /* 1511415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1511418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1511438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1511445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511461 */     // MIs[0] policy
     /* 1511461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1511474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511495 */     // GIR_Coverage, 3532,
     /* 1511495 */     GIR_EraseRootFromParent_Done,
     /* 1511496 */   // Label 21029: @1511496
     /* 1511496 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1511582), // Rule ID 3533 //
     /* 1511501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1511504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1511524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1511531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511547 */     // MIs[0] policy
     /* 1511547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1511560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511581 */     // GIR_Coverage, 3533,
     /* 1511581 */     GIR_EraseRootFromParent_Done,
     /* 1511582 */   // Label 21030: @1511582
     /* 1511582 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1511668), // Rule ID 3536 //
     /* 1511587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1511590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1511610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1511617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511633 */     // MIs[0] policy
     /* 1511633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1511646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511667 */     // GIR_Coverage, 3536,
     /* 1511667 */     GIR_EraseRootFromParent_Done,
     /* 1511668 */   // Label 21031: @1511668
     /* 1511668 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1511754), // Rule ID 3537 //
     /* 1511673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1511676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1511684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1511687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1511696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1511703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511719 */     // MIs[0] policy
     /* 1511719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1511732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511753 */     // GIR_Coverage, 3537,
     /* 1511753 */     GIR_EraseRootFromParent_Done,
     /* 1511754 */   // Label 21032: @1511754
     /* 1511754 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1511840), // Rule ID 3540 //
     /* 1511759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1511762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1511782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1511789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511805 */     // MIs[0] policy
     /* 1511805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1511818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511839 */     // GIR_Coverage, 3540,
     /* 1511839 */     GIR_EraseRootFromParent_Done,
     /* 1511840 */   // Label 21033: @1511840
     /* 1511840 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1511926), // Rule ID 3541 //
     /* 1511845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1511848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1511856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1511859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1511865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1511868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1511875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511891 */     // MIs[0] policy
     /* 1511891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1511904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1511914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511925 */     // GIR_Coverage, 3541,
     /* 1511925 */     GIR_EraseRootFromParent_Done,
     /* 1511926 */   // Label 21034: @1511926
     /* 1511926 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512012), // Rule ID 3544 //
     /* 1511931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1511934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1511939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1511951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1511954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1511961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1511973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1511977 */     // MIs[0] policy
     /* 1511977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1511990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1511994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512011 */     // GIR_Coverage, 3544,
     /* 1512011 */     GIR_EraseRootFromParent_Done,
     /* 1512012 */   // Label 21035: @1512012
     /* 1512012 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512098), // Rule ID 3545 //
     /* 1512017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1512020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1512028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1512031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1512034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1512037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1512040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512063 */     // MIs[0] policy
     /* 1512063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1512076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512097 */     // GIR_Coverage, 3545,
     /* 1512097 */     GIR_EraseRootFromParent_Done,
     /* 1512098 */   // Label 21036: @1512098
     /* 1512098 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512184), // Rule ID 3548 //
     /* 1512103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1512106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1512120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1512123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1512126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1512133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512149 */     // MIs[0] policy
     /* 1512149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1512162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512183 */     // GIR_Coverage, 3548,
     /* 1512183 */     GIR_EraseRootFromParent_Done,
     /* 1512184 */   // Label 21037: @1512184
     /* 1512184 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1512270), // Rule ID 3549 //
     /* 1512189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1512192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1512206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1512209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1512212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1512219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512235 */     // MIs[0] policy
     /* 1512235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1512248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512269 */     // GIR_Coverage, 3549,
     /* 1512269 */     GIR_EraseRootFromParent_Done,
     /* 1512270 */   // Label 21038: @1512270
     /* 1512270 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1512356), // Rule ID 3552 //
     /* 1512275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1512278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1512295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1512298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1512305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512321 */     // MIs[0] policy
     /* 1512321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1512334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512355 */     // GIR_Coverage, 3552,
     /* 1512355 */     GIR_EraseRootFromParent_Done,
     /* 1512356 */   // Label 21039: @1512356
     /* 1512356 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1512442), // Rule ID 3553 //
     /* 1512361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1512364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1512381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1512384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1512391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512407 */     // MIs[0] policy
     /* 1512407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1512420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512441 */     // GIR_Coverage, 3553,
     /* 1512441 */     GIR_EraseRootFromParent_Done,
     /* 1512442 */   // Label 21040: @1512442
     /* 1512442 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1512528), // Rule ID 3556 //
     /* 1512447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1512450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1512467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1512470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1512477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512493 */     // MIs[0] policy
     /* 1512493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1512506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512527 */     // GIR_Coverage, 3556,
     /* 1512527 */     GIR_EraseRootFromParent_Done,
     /* 1512528 */   // Label 21041: @1512528
     /* 1512528 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1512614), // Rule ID 3557 //
     /* 1512533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1512536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1512541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1512553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1512556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1512563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1512575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512579 */     // MIs[0] policy
     /* 1512579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1512592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512613 */     // GIR_Coverage, 3557,
     /* 1512613 */     GIR_EraseRootFromParent_Done,
     /* 1512614 */   // Label 21042: @1512614
     /* 1512614 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1512700), // Rule ID 3560 //
     /* 1512619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1512622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1512627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1512636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1512639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1512642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512665 */     // MIs[0] policy
     /* 1512665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1512678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1512696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512699 */     // GIR_Coverage, 3560,
     /* 1512699 */     GIR_EraseRootFromParent_Done,
     /* 1512700 */   // Label 21043: @1512700
     /* 1512700 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1512786), // Rule ID 3561 //
     /* 1512705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1512708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1512713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1512722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1512725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1512728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512751 */     // MIs[0] policy
     /* 1512751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1512764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1512782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512785 */     // GIR_Coverage, 3561,
     /* 1512785 */     GIR_EraseRootFromParent_Done,
     /* 1512786 */   // Label 21044: @1512786
     /* 1512786 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1512872), // Rule ID 3564 //
     /* 1512791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1512794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1512799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1512808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1512811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1512814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512837 */     // MIs[0] policy
     /* 1512837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1512850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1512868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512871 */     // GIR_Coverage, 3564,
     /* 1512871 */     GIR_EraseRootFromParent_Done,
     /* 1512872 */   // Label 21045: @1512872
     /* 1512872 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1512958), // Rule ID 3565 //
     /* 1512877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1512880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1512885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1512888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1512891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1512894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1512897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1512900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1512923 */     // MIs[0] policy
     /* 1512923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1512936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1512940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1512946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1512954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512957 */     // GIR_Coverage, 3565,
     /* 1512957 */     GIR_EraseRootFromParent_Done,
     /* 1512958 */   // Label 21046: @1512958
     /* 1512958 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513044), // Rule ID 3568 //
     /* 1512963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1512966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1512971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1512974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1512977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1512980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1512983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1512986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1512993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513009 */     // MIs[0] policy
     /* 1513009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1513022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513043 */     // GIR_Coverage, 3568,
     /* 1513043 */     GIR_EraseRootFromParent_Done,
     /* 1513044 */   // Label 21047: @1513044
     /* 1513044 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513130), // Rule ID 3569 //
     /* 1513049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1513066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1513069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1513072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1513079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513095 */     // MIs[0] policy
     /* 1513095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1513108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513129 */     // GIR_Coverage, 3569,
     /* 1513129 */     GIR_EraseRootFromParent_Done,
     /* 1513130 */   // Label 21048: @1513130
     /* 1513130 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513216), // Rule ID 3572 //
     /* 1513135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1513152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1513155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1513158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1513165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513181 */     // MIs[0] policy
     /* 1513181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1513194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513215 */     // GIR_Coverage, 3572,
     /* 1513215 */     GIR_EraseRootFromParent_Done,
     /* 1513216 */   // Label 21049: @1513216
     /* 1513216 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1513302), // Rule ID 3573 //
     /* 1513221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1513238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1513241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1513244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1513251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513267 */     // MIs[0] policy
     /* 1513267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513277 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1513280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513301 */     // GIR_Coverage, 3573,
     /* 1513301 */     GIR_EraseRootFromParent_Done,
     /* 1513302 */   // Label 21050: @1513302
     /* 1513302 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1513388), // Rule ID 3576 //
     /* 1513307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1513324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1513327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1513330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1513337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513353 */     // MIs[0] policy
     /* 1513353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513363 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1513366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513387 */     // GIR_Coverage, 3576,
     /* 1513387 */     GIR_EraseRootFromParent_Done,
     /* 1513388 */   // Label 21051: @1513388
     /* 1513388 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1513474), // Rule ID 3577 //
     /* 1513393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1513404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1513407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1513410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1513413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1513416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1513423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513439 */     // MIs[0] policy
     /* 1513439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1513452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513473 */     // GIR_Coverage, 3577,
     /* 1513473 */     GIR_EraseRootFromParent_Done,
     /* 1513474 */   // Label 21052: @1513474
     /* 1513474 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1513560), // Rule ID 3580 //
     /* 1513479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1513496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1513499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1513502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1513509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513525 */     // MIs[0] policy
     /* 1513525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513535 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1513538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513559 */     // GIR_Coverage, 3580,
     /* 1513559 */     GIR_EraseRootFromParent_Done,
     /* 1513560 */   // Label 21053: @1513560
     /* 1513560 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1513646), // Rule ID 3581 //
     /* 1513565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1513576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1513579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1513582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1513585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1513588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1513595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1513607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513611 */     // MIs[0] policy
     /* 1513611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1513624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1513642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513645 */     // GIR_Coverage, 3581,
     /* 1513645 */     GIR_EraseRootFromParent_Done,
     /* 1513646 */   // Label 21054: @1513646
     /* 1513646 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1513732), // Rule ID 3584 //
     /* 1513651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1513674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1513681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513697 */     // MIs[0] policy
     /* 1513697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1513710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513731 */     // GIR_Coverage, 3584,
     /* 1513731 */     GIR_EraseRootFromParent_Done,
     /* 1513732 */   // Label 21055: @1513732
     /* 1513732 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1513818), // Rule ID 3585 //
     /* 1513737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1513760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1513767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513783 */     // MIs[0] policy
     /* 1513783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1513796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513817 */     // GIR_Coverage, 3585,
     /* 1513817 */     GIR_EraseRootFromParent_Done,
     /* 1513818 */   // Label 21056: @1513818
     /* 1513818 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1513904), // Rule ID 3588 //
     /* 1513823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1513846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1513853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513869 */     // MIs[0] policy
     /* 1513869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1513882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513903 */     // GIR_Coverage, 3588,
     /* 1513903 */     GIR_EraseRootFromParent_Done,
     /* 1513904 */   // Label 21057: @1513904
     /* 1513904 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1513990), // Rule ID 3589 //
     /* 1513909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1513912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1513917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1513932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1513939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1513955 */     // MIs[0] policy
     /* 1513955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1513968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1513972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1513978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513989 */     // GIR_Coverage, 3589,
     /* 1513989 */     GIR_EraseRootFromParent_Done,
     /* 1513990 */   // Label 21058: @1513990
     /* 1513990 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514076), // Rule ID 3592 //
     /* 1513995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1513998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1514018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1514025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514041 */     // MIs[0] policy
     /* 1514041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1514054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514075 */     // GIR_Coverage, 3592,
     /* 1514075 */     GIR_EraseRootFromParent_Done,
     /* 1514076 */   // Label 21059: @1514076
     /* 1514076 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514162), // Rule ID 3593 //
     /* 1514081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1514084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1514098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1514101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1514104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1514111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514127 */     // MIs[0] policy
     /* 1514127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1514140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514161 */     // GIR_Coverage, 3593,
     /* 1514161 */     GIR_EraseRootFromParent_Done,
     /* 1514162 */   // Label 21060: @1514162
     /* 1514162 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514248), // Rule ID 3596 //
     /* 1514167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1514170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1514190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1514197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514213 */     // MIs[0] policy
     /* 1514213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1514226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514247 */     // GIR_Coverage, 3596,
     /* 1514247 */     GIR_EraseRootFromParent_Done,
     /* 1514248 */   // Label 21061: @1514248
     /* 1514248 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514334), // Rule ID 3597 //
     /* 1514253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1514256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1514276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1514283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514299 */     // MIs[0] policy
     /* 1514299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1514312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514333 */     // GIR_Coverage, 3597,
     /* 1514333 */     GIR_EraseRootFromParent_Done,
     /* 1514334 */   // Label 21062: @1514334
     /* 1514334 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1514420), // Rule ID 3600 //
     /* 1514339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1514342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1514362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1514369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514385 */     // MIs[0] policy
     /* 1514385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1514398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514419 */     // GIR_Coverage, 3600,
     /* 1514419 */     GIR_EraseRootFromParent_Done,
     /* 1514420 */   // Label 21063: @1514420
     /* 1514420 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1514506), // Rule ID 3601 //
     /* 1514425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1514428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1514448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1514455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514471 */     // MIs[0] policy
     /* 1514471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1514484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514505 */     // GIR_Coverage, 3601,
     /* 1514505 */     GIR_EraseRootFromParent_Done,
     /* 1514506 */   // Label 21064: @1514506
     /* 1514506 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1514592), // Rule ID 3604 //
     /* 1514511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1514514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1514534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1514541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514557 */     // MIs[0] policy
     /* 1514557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1514570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514591 */     // GIR_Coverage, 3604,
     /* 1514591 */     GIR_EraseRootFromParent_Done,
     /* 1514592 */   // Label 21065: @1514592
     /* 1514592 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1514678), // Rule ID 3605 //
     /* 1514597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1514600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1514614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1514617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1514620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1514627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514643 */     // MIs[0] policy
     /* 1514643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1514656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514677 */     // GIR_Coverage, 3605,
     /* 1514677 */     GIR_EraseRootFromParent_Done,
     /* 1514678 */   // Label 21066: @1514678
     /* 1514678 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1514764), // Rule ID 3608 //
     /* 1514683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1514686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1514706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1514713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514729 */     // MIs[0] policy
     /* 1514729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1514742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514763 */     // GIR_Coverage, 3608,
     /* 1514763 */     GIR_EraseRootFromParent_Done,
     /* 1514764 */   // Label 21067: @1514764
     /* 1514764 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1514850), // Rule ID 3609 //
     /* 1514769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1514772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1514786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1514789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1514792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1514799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514815 */     // MIs[0] policy
     /* 1514815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1514828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514849 */     // GIR_Coverage, 3609,
     /* 1514849 */     GIR_EraseRootFromParent_Done,
     /* 1514850 */   // Label 21068: @1514850
     /* 1514850 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1514936), // Rule ID 3612 //
     /* 1514855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1514858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1514878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1514885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514901 */     // MIs[0] policy
     /* 1514901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1514914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1514918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1514924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514935 */     // GIR_Coverage, 3612,
     /* 1514935 */     GIR_EraseRootFromParent_Done,
     /* 1514936 */   // Label 21069: @1514936
     /* 1514936 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515022), // Rule ID 3613 //
     /* 1514941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1514944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1514949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1514964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1514971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1514987 */     // MIs[0] policy
     /* 1514987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1515000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515021 */     // GIR_Coverage, 3613,
     /* 1515021 */     GIR_EraseRootFromParent_Done,
     /* 1515022 */   // Label 21070: @1515022
     /* 1515022 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515108), // Rule ID 3616 //
     /* 1515027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1515030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1515050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1515057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515073 */     // MIs[0] policy
     /* 1515073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1515086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515107 */     // GIR_Coverage, 3616,
     /* 1515107 */     GIR_EraseRootFromParent_Done,
     /* 1515108 */   // Label 21071: @1515108
     /* 1515108 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515194), // Rule ID 3617 //
     /* 1515113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1515116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1515130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1515133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1515136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1515143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515159 */     // MIs[0] policy
     /* 1515159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1515172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515193 */     // GIR_Coverage, 3617,
     /* 1515193 */     GIR_EraseRootFromParent_Done,
     /* 1515194 */   // Label 21072: @1515194
     /* 1515194 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515280), // Rule ID 3620 //
     /* 1515199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1515202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1515216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1515219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1515222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515245 */     // MIs[0] policy
     /* 1515245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515255 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1515258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515279 */     // GIR_Coverage, 3620,
     /* 1515279 */     GIR_EraseRootFromParent_Done,
     /* 1515280 */   // Label 21073: @1515280
     /* 1515280 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515366), // Rule ID 3621 //
     /* 1515285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1515288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1515302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1515305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1515308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515331 */     // MIs[0] policy
     /* 1515331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1515344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515365 */     // GIR_Coverage, 3621,
     /* 1515365 */     GIR_EraseRootFromParent_Done,
     /* 1515366 */   // Label 21074: @1515366
     /* 1515366 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1515452), // Rule ID 3624 //
     /* 1515371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1515374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1515388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1515391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1515394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515417 */     // MIs[0] policy
     /* 1515417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1515430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515451 */     // GIR_Coverage, 3624,
     /* 1515451 */     GIR_EraseRootFromParent_Done,
     /* 1515452 */   // Label 21075: @1515452
     /* 1515452 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1515538), // Rule ID 3625 //
     /* 1515457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1515460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1515474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1515477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1515480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515503 */     // MIs[0] policy
     /* 1515503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515513 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1515516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515537 */     // GIR_Coverage, 3625,
     /* 1515537 */     GIR_EraseRootFromParent_Done,
     /* 1515538 */   // Label 21076: @1515538
     /* 1515538 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1515624), // Rule ID 3628 //
     /* 1515543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1515546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1515560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1515563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1515566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515589 */     // MIs[0] policy
     /* 1515589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1515602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515623 */     // GIR_Coverage, 3628,
     /* 1515623 */     GIR_EraseRootFromParent_Done,
     /* 1515624 */   // Label 21077: @1515624
     /* 1515624 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1515710), // Rule ID 3629 //
     /* 1515629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1515632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1515646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1515649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1515652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1515659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515675 */     // MIs[0] policy
     /* 1515675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1515688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515709 */     // GIR_Coverage, 3629,
     /* 1515709 */     GIR_EraseRootFromParent_Done,
     /* 1515710 */   // Label 21078: @1515710
     /* 1515710 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1515796), // Rule ID 3632 //
     /* 1515715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1515718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1515732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1515735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1515738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1515745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515761 */     // MIs[0] policy
     /* 1515761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1515774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515795 */     // GIR_Coverage, 3632,
     /* 1515795 */     GIR_EraseRootFromParent_Done,
     /* 1515796 */   // Label 21079: @1515796
     /* 1515796 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1515882), // Rule ID 3633 //
     /* 1515801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1515804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1515812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1515815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1515818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1515821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1515824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1515831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515847 */     // MIs[0] policy
     /* 1515847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1515860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515881 */     // GIR_Coverage, 3633,
     /* 1515881 */     GIR_EraseRootFromParent_Done,
     /* 1515882 */   // Label 21080: @1515882
     /* 1515882 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1515968), // Rule ID 3636 //
     /* 1515887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1515890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1515904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1515907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1515910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1515917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1515929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1515933 */     // MIs[0] policy
     /* 1515933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515943 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1515946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1515950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1515956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1515964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515967 */     // GIR_Coverage, 3636,
     /* 1515967 */     GIR_EraseRootFromParent_Done,
     /* 1515968 */   // Label 21081: @1515968
     /* 1515968 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516054), // Rule ID 3637 //
     /* 1515973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1515976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1515981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1515984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1515987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1515990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1515993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1515996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1516003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516019 */     // MIs[0] policy
     /* 1516019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516029 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1516032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1516050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516053 */     // GIR_Coverage, 3637,
     /* 1516053 */     GIR_EraseRootFromParent_Done,
     /* 1516054 */   // Label 21082: @1516054
     /* 1516054 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516140), // Rule ID 3640 //
     /* 1516059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1516076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1516082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1516089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516105 */     // MIs[0] policy
     /* 1516105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516115 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1516118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1516136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516139 */     // GIR_Coverage, 3640,
     /* 1516139 */     GIR_EraseRootFromParent_Done,
     /* 1516140 */   // Label 21083: @1516140
     /* 1516140 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516226), // Rule ID 3641 //
     /* 1516145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1516148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1516162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1516165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1516168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1516175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516191 */     // MIs[0] policy
     /* 1516191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1516204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1516222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516225 */     // GIR_Coverage, 3641,
     /* 1516225 */     GIR_EraseRootFromParent_Done,
     /* 1516226 */   // Label 21084: @1516226
     /* 1516226 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516312), // Rule ID 3644 //
     /* 1516231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1516248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1516254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1516261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516277 */     // MIs[0] policy
     /* 1516277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1516290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516311 */     // GIR_Coverage, 3644,
     /* 1516311 */     GIR_EraseRootFromParent_Done,
     /* 1516312 */   // Label 21085: @1516312
     /* 1516312 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516398), // Rule ID 3645 //
     /* 1516317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1516320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1516328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1516331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1516334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1516337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1516340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1516347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516363 */     // MIs[0] policy
     /* 1516363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1516376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516397 */     // GIR_Coverage, 3645,
     /* 1516397 */     GIR_EraseRootFromParent_Done,
     /* 1516398 */   // Label 21086: @1516398
     /* 1516398 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1516484), // Rule ID 3648 //
     /* 1516403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1516426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1516433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516449 */     // MIs[0] policy
     /* 1516449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1516462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516483 */     // GIR_Coverage, 3648,
     /* 1516483 */     GIR_EraseRootFromParent_Done,
     /* 1516484 */   // Label 21087: @1516484
     /* 1516484 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1516570), // Rule ID 3649 //
     /* 1516489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1516492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1516506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1516509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1516512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1516519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516535 */     // MIs[0] policy
     /* 1516535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1516548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516569 */     // GIR_Coverage, 3649,
     /* 1516569 */     GIR_EraseRootFromParent_Done,
     /* 1516570 */   // Label 21088: @1516570
     /* 1516570 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1516656), // Rule ID 3652 //
     /* 1516575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1516598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1516605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516621 */     // MIs[0] policy
     /* 1516621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1516634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516655 */     // GIR_Coverage, 3652,
     /* 1516655 */     GIR_EraseRootFromParent_Done,
     /* 1516656 */   // Label 21089: @1516656
     /* 1516656 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1516742), // Rule ID 3653 //
     /* 1516661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1516664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1516681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1516684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1516691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516707 */     // MIs[0] policy
     /* 1516707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516717 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1516720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516741 */     // GIR_Coverage, 3653,
     /* 1516741 */     GIR_EraseRootFromParent_Done,
     /* 1516742 */   // Label 21090: @1516742
     /* 1516742 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1516828), // Rule ID 3656 //
     /* 1516747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1516770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1516777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516793 */     // MIs[0] policy
     /* 1516793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1516806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516827 */     // GIR_Coverage, 3656,
     /* 1516827 */     GIR_EraseRootFromParent_Done,
     /* 1516828 */   // Label 21091: @1516828
     /* 1516828 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1516914), // Rule ID 3657 //
     /* 1516833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1516836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1516853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1516856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1516863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516879 */     // MIs[0] policy
     /* 1516879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1516892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516913 */     // GIR_Coverage, 3657,
     /* 1516913 */     GIR_EraseRootFromParent_Done,
     /* 1516914 */   // Label 21092: @1516914
     /* 1516914 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517000), // Rule ID 3660 //
     /* 1516919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1516922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1516927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1516936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1516939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1516942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1516949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1516961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1516965 */     // MIs[0] policy
     /* 1516965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1516978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1516982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1516988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516999 */     // GIR_Coverage, 3660,
     /* 1516999 */     GIR_EraseRootFromParent_Done,
     /* 1517000 */   // Label 21093: @1517000
     /* 1517000 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517086), // Rule ID 3661 //
     /* 1517005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1517008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1517022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1517025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1517028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1517035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517051 */     // MIs[0] policy
     /* 1517051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1517064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517085 */     // GIR_Coverage, 3661,
     /* 1517085 */     GIR_EraseRootFromParent_Done,
     /* 1517086 */   // Label 21094: @1517086
     /* 1517086 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517172), // Rule ID 3664 //
     /* 1517091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1517094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1517108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1517111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1517114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1517121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517137 */     // MIs[0] policy
     /* 1517137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1517150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517171 */     // GIR_Coverage, 3664,
     /* 1517171 */     GIR_EraseRootFromParent_Done,
     /* 1517172 */   // Label 21095: @1517172
     /* 1517172 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517258), // Rule ID 3665 //
     /* 1517177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1517180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1517194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1517197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1517200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1517207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517223 */     // MIs[0] policy
     /* 1517223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1517236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517257 */     // GIR_Coverage, 3665,
     /* 1517257 */     GIR_EraseRootFromParent_Done,
     /* 1517258 */   // Label 21096: @1517258
     /* 1517258 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517344), // Rule ID 3668 //
     /* 1517263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1517266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1517280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1517283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1517286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1517293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517309 */     // MIs[0] policy
     /* 1517309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1517322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517343 */     // GIR_Coverage, 3668,
     /* 1517343 */     GIR_EraseRootFromParent_Done,
     /* 1517344 */   // Label 21097: @1517344
     /* 1517344 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517430), // Rule ID 3669 //
     /* 1517349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1517352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1517366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1517369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1517372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1517379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517395 */     // MIs[0] policy
     /* 1517395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1517408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517429 */     // GIR_Coverage, 3669,
     /* 1517429 */     GIR_EraseRootFromParent_Done,
     /* 1517430 */   // Label 21098: @1517430
     /* 1517430 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1517516), // Rule ID 3672 //
     /* 1517435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1517438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1517455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1517458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1517465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517481 */     // MIs[0] policy
     /* 1517481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1517494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517515 */     // GIR_Coverage, 3672,
     /* 1517515 */     GIR_EraseRootFromParent_Done,
     /* 1517516 */   // Label 21099: @1517516
     /* 1517516 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1517602), // Rule ID 3673 //
     /* 1517521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1517524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1517541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1517544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1517551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517567 */     // MIs[0] policy
     /* 1517567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1517580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517601 */     // GIR_Coverage, 3673,
     /* 1517601 */     GIR_EraseRootFromParent_Done,
     /* 1517602 */   // Label 21100: @1517602
     /* 1517602 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1517688), // Rule ID 3676 //
     /* 1517607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1517610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1517627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1517630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1517637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517653 */     // MIs[0] policy
     /* 1517653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517663 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1517666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517687 */     // GIR_Coverage, 3676,
     /* 1517687 */     GIR_EraseRootFromParent_Done,
     /* 1517688 */   // Label 21101: @1517688
     /* 1517688 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1517774), // Rule ID 3677 //
     /* 1517693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1517696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1517701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1517713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1517716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1517723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1517735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517739 */     // MIs[0] policy
     /* 1517739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1517752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517773 */     // GIR_Coverage, 3677,
     /* 1517773 */     GIR_EraseRootFromParent_Done,
     /* 1517774 */   // Label 21102: @1517774
     /* 1517774 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1517860), // Rule ID 3680 //
     /* 1517779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1517782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1517787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1517796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1517799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1517802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1517809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517825 */     // MIs[0] policy
     /* 1517825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1517838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1517856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517859 */     // GIR_Coverage, 3680,
     /* 1517859 */     GIR_EraseRootFromParent_Done,
     /* 1517860 */   // Label 21103: @1517860
     /* 1517860 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1517946), // Rule ID 3681 //
     /* 1517865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1517868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1517873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1517882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1517885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1517888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1517895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517911 */     // MIs[0] policy
     /* 1517911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1517924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1517928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1517934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1517942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517945 */     // GIR_Coverage, 3681,
     /* 1517945 */     GIR_EraseRootFromParent_Done,
     /* 1517946 */   // Label 21104: @1517946
     /* 1517946 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518032), // Rule ID 3684 //
     /* 1517951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1517954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1517959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1517968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1517971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1517974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1517981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1517997 */     // MIs[0] policy
     /* 1517997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518007 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1518010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518031 */     // GIR_Coverage, 3684,
     /* 1518031 */     GIR_EraseRootFromParent_Done,
     /* 1518032 */   // Label 21105: @1518032
     /* 1518032 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518118), // Rule ID 3685 //
     /* 1518037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1518054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1518057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1518060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1518067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518083 */     // MIs[0] policy
     /* 1518083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1518096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518117 */     // GIR_Coverage, 3685,
     /* 1518117 */     GIR_EraseRootFromParent_Done,
     /* 1518118 */   // Label 21106: @1518118
     /* 1518118 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518204), // Rule ID 3688 //
     /* 1518123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1518140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1518143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1518146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1518153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518169 */     // MIs[0] policy
     /* 1518169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1518182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518203 */     // GIR_Coverage, 3688,
     /* 1518203 */     GIR_EraseRootFromParent_Done,
     /* 1518204 */   // Label 21107: @1518204
     /* 1518204 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518290), // Rule ID 3689 //
     /* 1518209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1518226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1518229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1518232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1518239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518255 */     // MIs[0] policy
     /* 1518255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1518268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518289 */     // GIR_Coverage, 3689,
     /* 1518289 */     GIR_EraseRootFromParent_Done,
     /* 1518290 */   // Label 21108: @1518290
     /* 1518290 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518376), // Rule ID 3692 //
     /* 1518295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1518312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1518315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1518318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1518325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518341 */     // MIs[0] policy
     /* 1518341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1518354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518375 */     // GIR_Coverage, 3692,
     /* 1518375 */     GIR_EraseRootFromParent_Done,
     /* 1518376 */   // Label 21109: @1518376
     /* 1518376 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518462), // Rule ID 3693 //
     /* 1518381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1518398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1518401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1518404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1518411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518427 */     // MIs[0] policy
     /* 1518427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1518440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518461 */     // GIR_Coverage, 3693,
     /* 1518461 */     GIR_EraseRootFromParent_Done,
     /* 1518462 */   // Label 21110: @1518462
     /* 1518462 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1518548), // Rule ID 3696 //
     /* 1518467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1518484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1518487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1518490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1518497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518513 */     // MIs[0] policy
     /* 1518513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1518526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518547 */     // GIR_Coverage, 3696,
     /* 1518547 */     GIR_EraseRootFromParent_Done,
     /* 1518548 */   // Label 21111: @1518548
     /* 1518548 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1518634), // Rule ID 3697 //
     /* 1518553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1518570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1518573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1518576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1518583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518599 */     // MIs[0] policy
     /* 1518599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1518612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518633 */     // GIR_Coverage, 3697,
     /* 1518633 */     GIR_EraseRootFromParent_Done,
     /* 1518634 */   // Label 21112: @1518634
     /* 1518634 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1518720), // Rule ID 3700 //
     /* 1518639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1518656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1518659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1518662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1518669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518685 */     // MIs[0] policy
     /* 1518685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518695 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1518698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518719 */     // GIR_Coverage, 3700,
     /* 1518719 */     GIR_EraseRootFromParent_Done,
     /* 1518720 */   // Label 21113: @1518720
     /* 1518720 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1518806), // Rule ID 3701 //
     /* 1518725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1518736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1518739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1518742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1518745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1518748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1518755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518771 */     // MIs[0] policy
     /* 1518771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1518784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1518802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518805 */     // GIR_Coverage, 3701,
     /* 1518805 */     GIR_EraseRootFromParent_Done,
     /* 1518806 */   // Label 21114: @1518806
     /* 1518806 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1518892), // Rule ID 3704 //
     /* 1518811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1518834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1518841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518857 */     // MIs[0] policy
     /* 1518857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1518870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518891 */     // GIR_Coverage, 3704,
     /* 1518891 */     GIR_EraseRootFromParent_Done,
     /* 1518892 */   // Label 21115: @1518892
     /* 1518892 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1518978), // Rule ID 3705 //
     /* 1518897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1518900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1518920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1518927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1518943 */     // MIs[0] policy
     /* 1518943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1518956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1518960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1518966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518977 */     // GIR_Coverage, 3705,
     /* 1518977 */     GIR_EraseRootFromParent_Done,
     /* 1518978 */   // Label 21116: @1518978
     /* 1518978 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519064), // Rule ID 3708 //
     /* 1518983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1518986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1518991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1519006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1519013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519029 */     // MIs[0] policy
     /* 1519029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1519042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519063 */     // GIR_Coverage, 3708,
     /* 1519063 */     GIR_EraseRootFromParent_Done,
     /* 1519064 */   // Label 21117: @1519064
     /* 1519064 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519150), // Rule ID 3709 //
     /* 1519069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1519072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1519080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1519083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1519086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1519089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1519092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1519099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519115 */     // MIs[0] policy
     /* 1519115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1519128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519149 */     // GIR_Coverage, 3709,
     /* 1519149 */     GIR_EraseRootFromParent_Done,
     /* 1519150 */   // Label 21118: @1519150
     /* 1519150 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519236), // Rule ID 3712 //
     /* 1519155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1519158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1519178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1519185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519201 */     // MIs[0] policy
     /* 1519201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1519214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519235 */     // GIR_Coverage, 3712,
     /* 1519235 */     GIR_EraseRootFromParent_Done,
     /* 1519236 */   // Label 21119: @1519236
     /* 1519236 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519322), // Rule ID 3713 //
     /* 1519241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1519244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1519264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1519271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519287 */     // MIs[0] policy
     /* 1519287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1519300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519321 */     // GIR_Coverage, 3713,
     /* 1519321 */     GIR_EraseRootFromParent_Done,
     /* 1519322 */   // Label 21120: @1519322
     /* 1519322 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519408), // Rule ID 3716 //
     /* 1519327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1519330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1519350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1519357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519373 */     // MIs[0] policy
     /* 1519373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1519386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519407 */     // GIR_Coverage, 3716,
     /* 1519407 */     GIR_EraseRootFromParent_Done,
     /* 1519408 */   // Label 21121: @1519408
     /* 1519408 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519494), // Rule ID 3717 //
     /* 1519413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1519416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1519436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1519443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519459 */     // MIs[0] policy
     /* 1519459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1519472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519493 */     // GIR_Coverage, 3717,
     /* 1519493 */     GIR_EraseRootFromParent_Done,
     /* 1519494 */   // Label 21122: @1519494
     /* 1519494 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519580), // Rule ID 3720 //
     /* 1519499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1519502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1519522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1519529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519545 */     // MIs[0] policy
     /* 1519545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1519558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519579 */     // GIR_Coverage, 3720,
     /* 1519579 */     GIR_EraseRootFromParent_Done,
     /* 1519580 */   // Label 21123: @1519580
     /* 1519580 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1519666), // Rule ID 3721 //
     /* 1519585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1519588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1519608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1519615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519631 */     // MIs[0] policy
     /* 1519631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519641 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1519644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519665 */     // GIR_Coverage, 3721,
     /* 1519665 */     GIR_EraseRootFromParent_Done,
     /* 1519666 */   // Label 21124: @1519666
     /* 1519666 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1519752), // Rule ID 3724 //
     /* 1519671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1519674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1519694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1519701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519717 */     // MIs[0] policy
     /* 1519717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1519730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519751 */     // GIR_Coverage, 3724,
     /* 1519751 */     GIR_EraseRootFromParent_Done,
     /* 1519752 */   // Label 21125: @1519752
     /* 1519752 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1519838), // Rule ID 3725 //
     /* 1519757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1519760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1519780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1519787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519803 */     // MIs[0] policy
     /* 1519803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1519816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519837 */     // GIR_Coverage, 3725,
     /* 1519837 */     GIR_EraseRootFromParent_Done,
     /* 1519838 */   // Label 21126: @1519838
     /* 1519838 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1519924), // Rule ID 3728 //
     /* 1519843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1519846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1519866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1519873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519889 */     // MIs[0] policy
     /* 1519889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1519902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519923 */     // GIR_Coverage, 3728,
     /* 1519923 */     GIR_EraseRootFromParent_Done,
     /* 1519924 */   // Label 21127: @1519924
     /* 1519924 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520010), // Rule ID 3729 //
     /* 1519929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1519932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1519937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1519952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1519959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1519975 */     // MIs[0] policy
     /* 1519975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519985 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1519988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1519992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1519998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520009 */     // GIR_Coverage, 3729,
     /* 1520009 */     GIR_EraseRootFromParent_Done,
     /* 1520010 */   // Label 21128: @1520010
     /* 1520010 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520096), // Rule ID 3732 //
     /* 1520015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1520018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1520038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1520045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520061 */     // MIs[0] policy
     /* 1520061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1520074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520095 */     // GIR_Coverage, 3732,
     /* 1520095 */     GIR_EraseRootFromParent_Done,
     /* 1520096 */   // Label 21129: @1520096
     /* 1520096 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520182), // Rule ID 3733 //
     /* 1520101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1520104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1520118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1520121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1520124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1520131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520147 */     // MIs[0] policy
     /* 1520147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1520160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520181 */     // GIR_Coverage, 3733,
     /* 1520181 */     GIR_EraseRootFromParent_Done,
     /* 1520182 */   // Label 21130: @1520182
     /* 1520182 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520268), // Rule ID 3736 //
     /* 1520187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1520190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1520210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1520217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520233 */     // MIs[0] policy
     /* 1520233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1520246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520267 */     // GIR_Coverage, 3736,
     /* 1520267 */     GIR_EraseRootFromParent_Done,
     /* 1520268 */   // Label 21131: @1520268
     /* 1520268 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520354), // Rule ID 3737 //
     /* 1520273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1520276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1520290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1520293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1520296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1520303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520319 */     // MIs[0] policy
     /* 1520319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1520332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520353 */     // GIR_Coverage, 3737,
     /* 1520353 */     GIR_EraseRootFromParent_Done,
     /* 1520354 */   // Label 21132: @1520354
     /* 1520354 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520440), // Rule ID 3740 //
     /* 1520359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1520362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1520376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1520379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1520382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520405 */     // MIs[0] policy
     /* 1520405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1520418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520439 */     // GIR_Coverage, 3740,
     /* 1520439 */     GIR_EraseRootFromParent_Done,
     /* 1520440 */   // Label 21133: @1520440
     /* 1520440 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520526), // Rule ID 3741 //
     /* 1520445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1520448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1520462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1520465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1520468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520491 */     // MIs[0] policy
     /* 1520491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1520504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520525 */     // GIR_Coverage, 3741,
     /* 1520525 */     GIR_EraseRootFromParent_Done,
     /* 1520526 */   // Label 21134: @1520526
     /* 1520526 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520612), // Rule ID 3744 //
     /* 1520531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1520534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1520548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1520551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1520554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520577 */     // MIs[0] policy
     /* 1520577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1520590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520611 */     // GIR_Coverage, 3744,
     /* 1520611 */     GIR_EraseRootFromParent_Done,
     /* 1520612 */   // Label 21135: @1520612
     /* 1520612 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1520698), // Rule ID 3745 //
     /* 1520617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1520620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1520634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1520637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1520640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520663 */     // MIs[0] policy
     /* 1520663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520673 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1520676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520697 */     // GIR_Coverage, 3745,
     /* 1520697 */     GIR_EraseRootFromParent_Done,
     /* 1520698 */   // Label 21136: @1520698
     /* 1520698 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1520784), // Rule ID 3748 //
     /* 1520703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1520706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1520720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1520723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1520726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520749 */     // MIs[0] policy
     /* 1520749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1520762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520783 */     // GIR_Coverage, 3748,
     /* 1520783 */     GIR_EraseRootFromParent_Done,
     /* 1520784 */   // Label 21137: @1520784
     /* 1520784 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1520870), // Rule ID 3749 //
     /* 1520789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1520792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1520806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1520809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1520812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1520819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520835 */     // MIs[0] policy
     /* 1520835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1520848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520869 */     // GIR_Coverage, 3749,
     /* 1520869 */     GIR_EraseRootFromParent_Done,
     /* 1520870 */   // Label 21138: @1520870
     /* 1520870 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1520956), // Rule ID 3752 //
     /* 1520875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1520878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1520892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1520895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1520898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1520905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1520917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1520921 */     // MIs[0] policy
     /* 1520921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1520934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1520938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1520944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1520952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520955 */     // GIR_Coverage, 3752,
     /* 1520955 */     GIR_EraseRootFromParent_Done,
     /* 1520956 */   // Label 21139: @1520956
     /* 1520956 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521042), // Rule ID 3753 //
     /* 1520961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1520964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1520969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1520972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1520975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1520978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1520981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1520984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1520991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521007 */     // MIs[0] policy
     /* 1521007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1521020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1521038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521041 */     // GIR_Coverage, 3753,
     /* 1521041 */     GIR_EraseRootFromParent_Done,
     /* 1521042 */   // Label 21140: @1521042
     /* 1521042 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521128), // Rule ID 3756 //
     /* 1521047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1521064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1521070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1521077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521093 */     // MIs[0] policy
     /* 1521093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1521106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1521124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521127 */     // GIR_Coverage, 3756,
     /* 1521127 */     GIR_EraseRootFromParent_Done,
     /* 1521128 */   // Label 21141: @1521128
     /* 1521128 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521214), // Rule ID 3757 //
     /* 1521133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1521150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1521153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1521156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1521163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521179 */     // MIs[0] policy
     /* 1521179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521189 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1521192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1521210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521213 */     // GIR_Coverage, 3757,
     /* 1521213 */     GIR_EraseRootFromParent_Done,
     /* 1521214 */   // Label 21142: @1521214
     /* 1521214 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521300), // Rule ID 3760 //
     /* 1521219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1521236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1521242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1521249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521265 */     // MIs[0] policy
     /* 1521265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1521278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1521296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521299 */     // GIR_Coverage, 3760,
     /* 1521299 */     GIR_EraseRootFromParent_Done,
     /* 1521300 */   // Label 21143: @1521300
     /* 1521300 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521386), // Rule ID 3761 //
     /* 1521305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1521322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1521325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1521328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1521335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521351 */     // MIs[0] policy
     /* 1521351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1521364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1521382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521385 */     // GIR_Coverage, 3761,
     /* 1521385 */     GIR_EraseRootFromParent_Done,
     /* 1521386 */   // Label 21144: @1521386
     /* 1521386 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521472), // Rule ID 3764 //
     /* 1521391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1521414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1521421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521437 */     // MIs[0] policy
     /* 1521437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1521450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521471 */     // GIR_Coverage, 3764,
     /* 1521471 */     GIR_EraseRootFromParent_Done,
     /* 1521472 */   // Label 21145: @1521472
     /* 1521472 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521558), // Rule ID 3765 //
     /* 1521477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1521497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1521500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1521507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521523 */     // MIs[0] policy
     /* 1521523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1521536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521557 */     // GIR_Coverage, 3765,
     /* 1521557 */     GIR_EraseRootFromParent_Done,
     /* 1521558 */   // Label 21146: @1521558
     /* 1521558 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521644), // Rule ID 3768 //
     /* 1521563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1521586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1521593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521609 */     // MIs[0] policy
     /* 1521609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1521622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521643 */     // GIR_Coverage, 3768,
     /* 1521643 */     GIR_EraseRootFromParent_Done,
     /* 1521644 */   // Label 21147: @1521644
     /* 1521644 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1521730), // Rule ID 3769 //
     /* 1521649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1521669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1521672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1521679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521695 */     // MIs[0] policy
     /* 1521695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1521708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521729 */     // GIR_Coverage, 3769,
     /* 1521729 */     GIR_EraseRootFromParent_Done,
     /* 1521730 */   // Label 21148: @1521730
     /* 1521730 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1521816), // Rule ID 3772 //
     /* 1521735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1521758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1521765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521781 */     // MIs[0] policy
     /* 1521781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521791 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1521794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521815 */     // GIR_Coverage, 3772,
     /* 1521815 */     GIR_EraseRootFromParent_Done,
     /* 1521816 */   // Label 21149: @1521816
     /* 1521816 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1521902), // Rule ID 3773 //
     /* 1521821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1521841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1521844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1521851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521867 */     // MIs[0] policy
     /* 1521867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1521880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521901 */     // GIR_Coverage, 3773,
     /* 1521901 */     GIR_EraseRootFromParent_Done,
     /* 1521902 */   // Label 21150: @1521902
     /* 1521902 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1521988), // Rule ID 3776 //
     /* 1521907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1521910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1521915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1521924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1521927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1521930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1521937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1521949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1521953 */     // MIs[0] policy
     /* 1521953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1521966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1521970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1521976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521987 */     // GIR_Coverage, 3776,
     /* 1521987 */     GIR_EraseRootFromParent_Done,
     /* 1521988 */   // Label 21151: @1521988
     /* 1521988 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522074), // Rule ID 3777 //
     /* 1521993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1521996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1522010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1522016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1522023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522039 */     // MIs[0] policy
     /* 1522039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1522052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522073 */     // GIR_Coverage, 3777,
     /* 1522073 */     GIR_EraseRootFromParent_Done,
     /* 1522074 */   // Label 21152: @1522074
     /* 1522074 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522160), // Rule ID 3780 //
     /* 1522079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1522082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1522099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1522102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1522109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522125 */     // MIs[0] policy
     /* 1522125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1522138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522159 */     // GIR_Coverage, 3780,
     /* 1522159 */     GIR_EraseRootFromParent_Done,
     /* 1522160 */   // Label 21153: @1522160
     /* 1522160 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522246), // Rule ID 3781 //
     /* 1522165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1522168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1522188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1522195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522211 */     // MIs[0] policy
     /* 1522211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522221 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1522224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522245 */     // GIR_Coverage, 3781,
     /* 1522245 */     GIR_EraseRootFromParent_Done,
     /* 1522246 */   // Label 21154: @1522246
     /* 1522246 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522332), // Rule ID 3784 //
     /* 1522251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1522254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1522268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1522271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1522274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1522281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522297 */     // MIs[0] policy
     /* 1522297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1522310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522331 */     // GIR_Coverage, 3784,
     /* 1522331 */     GIR_EraseRootFromParent_Done,
     /* 1522332 */   // Label 21155: @1522332
     /* 1522332 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522418), // Rule ID 3785 //
     /* 1522337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1522340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1522354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1522360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1522367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522383 */     // MIs[0] policy
     /* 1522383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1522396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522417 */     // GIR_Coverage, 3785,
     /* 1522417 */     GIR_EraseRootFromParent_Done,
     /* 1522418 */   // Label 21156: @1522418
     /* 1522418 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522504), // Rule ID 3788 //
     /* 1522423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1522426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1522440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1522443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1522446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1522453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522469 */     // MIs[0] policy
     /* 1522469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522479 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1522482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522503 */     // GIR_Coverage, 3788,
     /* 1522503 */     GIR_EraseRootFromParent_Done,
     /* 1522504 */   // Label 21157: @1522504
     /* 1522504 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522590), // Rule ID 3789 //
     /* 1522509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1522512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1522526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1522532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1522539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522555 */     // MIs[0] policy
     /* 1522555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522565 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1522568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522589 */     // GIR_Coverage, 3789,
     /* 1522589 */     GIR_EraseRootFromParent_Done,
     /* 1522590 */   // Label 21158: @1522590
     /* 1522590 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522676), // Rule ID 3792 //
     /* 1522595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1522598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1522615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1522618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1522625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522641 */     // MIs[0] policy
     /* 1522641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1522654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522675 */     // GIR_Coverage, 3792,
     /* 1522675 */     GIR_EraseRootFromParent_Done,
     /* 1522676 */   // Label 21159: @1522676
     /* 1522676 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1522762), // Rule ID 3793 //
     /* 1522681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1522684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1522704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1522711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522727 */     // MIs[0] policy
     /* 1522727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1522740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522761 */     // GIR_Coverage, 3793,
     /* 1522761 */     GIR_EraseRootFromParent_Done,
     /* 1522762 */   // Label 21160: @1522762
     /* 1522762 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1522848), // Rule ID 3796 //
     /* 1522767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1522770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1522787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1522790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1522797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522813 */     // MIs[0] policy
     /* 1522813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1522826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522847 */     // GIR_Coverage, 3796,
     /* 1522847 */     GIR_EraseRootFromParent_Done,
     /* 1522848 */   // Label 21161: @1522848
     /* 1522848 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1522934), // Rule ID 3797 //
     /* 1522853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1522856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1522861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1522873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1522876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1522883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1522895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522899 */     // MIs[0] policy
     /* 1522899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1522912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1522916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1522922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522933 */     // GIR_Coverage, 3797,
     /* 1522933 */     GIR_EraseRootFromParent_Done,
     /* 1522934 */   // Label 21162: @1522934
     /* 1522934 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523020), // Rule ID 3800 //
     /* 1522939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1522942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1522947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1522956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1522959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1522962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1522969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1522985 */     // MIs[0] policy
     /* 1522985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1522998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523019 */     // GIR_Coverage, 3800,
     /* 1523019 */     GIR_EraseRootFromParent_Done,
     /* 1523020 */   // Label 21163: @1523020
     /* 1523020 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523106), // Rule ID 3801 //
     /* 1523025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1523042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1523045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1523048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1523055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523071 */     // MIs[0] policy
     /* 1523071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1523084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523105 */     // GIR_Coverage, 3801,
     /* 1523105 */     GIR_EraseRootFromParent_Done,
     /* 1523106 */   // Label 21164: @1523106
     /* 1523106 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523192), // Rule ID 3804 //
     /* 1523111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1523128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1523131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1523134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1523141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523157 */     // MIs[0] policy
     /* 1523157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1523170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523191 */     // GIR_Coverage, 3804,
     /* 1523191 */     GIR_EraseRootFromParent_Done,
     /* 1523192 */   // Label 21165: @1523192
     /* 1523192 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523278), // Rule ID 3805 //
     /* 1523197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1523214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1523217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1523220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1523227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523243 */     // MIs[0] policy
     /* 1523243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1523256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523277 */     // GIR_Coverage, 3805,
     /* 1523277 */     GIR_EraseRootFromParent_Done,
     /* 1523278 */   // Label 21166: @1523278
     /* 1523278 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523364), // Rule ID 3808 //
     /* 1523283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1523300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1523303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1523306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1523313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523329 */     // MIs[0] policy
     /* 1523329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1523342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523363 */     // GIR_Coverage, 3808,
     /* 1523363 */     GIR_EraseRootFromParent_Done,
     /* 1523364 */   // Label 21167: @1523364
     /* 1523364 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523450), // Rule ID 3809 //
     /* 1523369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1523386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1523389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1523392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1523399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523415 */     // MIs[0] policy
     /* 1523415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1523428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523449 */     // GIR_Coverage, 3809,
     /* 1523449 */     GIR_EraseRootFromParent_Done,
     /* 1523450 */   // Label 21168: @1523450
     /* 1523450 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523536), // Rule ID 3812 //
     /* 1523455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1523472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1523475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1523478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1523485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523501 */     // MIs[0] policy
     /* 1523501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1523514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523535 */     // GIR_Coverage, 3812,
     /* 1523535 */     GIR_EraseRootFromParent_Done,
     /* 1523536 */   // Label 21169: @1523536
     /* 1523536 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523622), // Rule ID 3813 //
     /* 1523541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1523558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1523561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1523564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1523571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523587 */     // MIs[0] policy
     /* 1523587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1523600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523621 */     // GIR_Coverage, 3813,
     /* 1523621 */     GIR_EraseRootFromParent_Done,
     /* 1523622 */   // Label 21170: @1523622
     /* 1523622 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523708), // Rule ID 3816 //
     /* 1523627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1523644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1523647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1523650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1523657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523673 */     // MIs[0] policy
     /* 1523673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1523686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523707 */     // GIR_Coverage, 3816,
     /* 1523707 */     GIR_EraseRootFromParent_Done,
     /* 1523708 */   // Label 21171: @1523708
     /* 1523708 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1523794), // Rule ID 3817 //
     /* 1523713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1523730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1523733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1523736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1523743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523759 */     // MIs[0] policy
     /* 1523759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1523772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523793 */     // GIR_Coverage, 3817,
     /* 1523793 */     GIR_EraseRootFromParent_Done,
     /* 1523794 */   // Label 21172: @1523794
     /* 1523794 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1523880), // Rule ID 3820 //
     /* 1523799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1523816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1523819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1523822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1523829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523845 */     // MIs[0] policy
     /* 1523845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1523858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523879 */     // GIR_Coverage, 3820,
     /* 1523879 */     GIR_EraseRootFromParent_Done,
     /* 1523880 */   // Label 21173: @1523880
     /* 1523880 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1523966), // Rule ID 3821 //
     /* 1523885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1523888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1523896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1523899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1523902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1523905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1523908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1523915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1523931 */     // MIs[0] policy
     /* 1523931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1523944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1523948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1523954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1523962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523965 */     // GIR_Coverage, 3821,
     /* 1523965 */     GIR_EraseRootFromParent_Done,
     /* 1523966 */   // Label 21174: @1523966
     /* 1523966 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524052), // Rule ID 3824 //
     /* 1523971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1523974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1523979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1523988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1523994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524017 */     // MIs[0] policy
     /* 1524017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524027 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1524030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524051 */     // GIR_Coverage, 3824,
     /* 1524051 */     GIR_EraseRootFromParent_Done,
     /* 1524052 */   // Label 21175: @1524052
     /* 1524052 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524138), // Rule ID 3825 //
     /* 1524057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1524060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1524080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524103 */     // MIs[0] policy
     /* 1524103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1524116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524137 */     // GIR_Coverage, 3825,
     /* 1524137 */     GIR_EraseRootFromParent_Done,
     /* 1524138 */   // Label 21176: @1524138
     /* 1524138 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524224), // Rule ID 3828 //
     /* 1524143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1524146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1524166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524189 */     // MIs[0] policy
     /* 1524189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1524202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524223 */     // GIR_Coverage, 3828,
     /* 1524223 */     GIR_EraseRootFromParent_Done,
     /* 1524224 */   // Label 21177: @1524224
     /* 1524224 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524310), // Rule ID 3829 //
     /* 1524229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1524232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1524252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524275 */     // MIs[0] policy
     /* 1524275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1524288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524309 */     // GIR_Coverage, 3829,
     /* 1524309 */     GIR_EraseRootFromParent_Done,
     /* 1524310 */   // Label 21178: @1524310
     /* 1524310 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524396), // Rule ID 3832 //
     /* 1524315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1524318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1524338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1524345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524361 */     // MIs[0] policy
     /* 1524361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1524374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524395 */     // GIR_Coverage, 3832,
     /* 1524395 */     GIR_EraseRootFromParent_Done,
     /* 1524396 */   // Label 21179: @1524396
     /* 1524396 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524482), // Rule ID 3833 //
     /* 1524401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1524404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1524424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1524431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524447 */     // MIs[0] policy
     /* 1524447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1524460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524481 */     // GIR_Coverage, 3833,
     /* 1524481 */     GIR_EraseRootFromParent_Done,
     /* 1524482 */   // Label 21180: @1524482
     /* 1524482 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524568), // Rule ID 3836 //
     /* 1524487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1524490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1524510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1524517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524533 */     // MIs[0] policy
     /* 1524533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1524546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524567 */     // GIR_Coverage, 3836,
     /* 1524567 */     GIR_EraseRootFromParent_Done,
     /* 1524568 */   // Label 21181: @1524568
     /* 1524568 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524654), // Rule ID 3837 //
     /* 1524573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1524576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1524596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1524603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524619 */     // MIs[0] policy
     /* 1524619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1524632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524653 */     // GIR_Coverage, 3837,
     /* 1524653 */     GIR_EraseRootFromParent_Done,
     /* 1524654 */   // Label 21182: @1524654
     /* 1524654 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524740), // Rule ID 3840 //
     /* 1524659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1524662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1524682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1524689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524705 */     // MIs[0] policy
     /* 1524705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1524718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524739 */     // GIR_Coverage, 3840,
     /* 1524739 */     GIR_EraseRootFromParent_Done,
     /* 1524740 */   // Label 21183: @1524740
     /* 1524740 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524826), // Rule ID 3841 //
     /* 1524745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1524748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1524768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1524775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524791 */     // MIs[0] policy
     /* 1524791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1524804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524825 */     // GIR_Coverage, 3841,
     /* 1524825 */     GIR_EraseRootFromParent_Done,
     /* 1524826 */   // Label 21184: @1524826
     /* 1524826 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1524912), // Rule ID 3844 //
     /* 1524831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1524834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1524854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524877 */     // MIs[0] policy
     /* 1524877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1524890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524911 */     // GIR_Coverage, 3844,
     /* 1524911 */     GIR_EraseRootFromParent_Done,
     /* 1524912 */   // Label 21185: @1524912
     /* 1524912 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1524998), // Rule ID 3845 //
     /* 1524917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1524920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1524925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1524928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1524931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1524934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1524937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1524940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1524947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1524963 */     // MIs[0] policy
     /* 1524963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1524976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1524980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1524986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524997 */     // GIR_Coverage, 3845,
     /* 1524997 */     GIR_EraseRootFromParent_Done,
     /* 1524998 */   // Label 21186: @1524998
     /* 1524998 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525084), // Rule ID 3848 //
     /* 1525003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1525006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1525026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1525033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525049 */     // MIs[0] policy
     /* 1525049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1525062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525083 */     // GIR_Coverage, 3848,
     /* 1525083 */     GIR_EraseRootFromParent_Done,
     /* 1525084 */   // Label 21187: @1525084
     /* 1525084 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525170), // Rule ID 3849 //
     /* 1525089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1525092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1525112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1525119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525135 */     // MIs[0] policy
     /* 1525135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1525148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525169 */     // GIR_Coverage, 3849,
     /* 1525169 */     GIR_EraseRootFromParent_Done,
     /* 1525170 */   // Label 21188: @1525170
     /* 1525170 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525256), // Rule ID 3852 //
     /* 1525175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1525178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1525198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1525205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525221 */     // MIs[0] policy
     /* 1525221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1525234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525255 */     // GIR_Coverage, 3852,
     /* 1525255 */     GIR_EraseRootFromParent_Done,
     /* 1525256 */   // Label 21189: @1525256
     /* 1525256 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525342), // Rule ID 3853 //
     /* 1525261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1525264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1525284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1525291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525307 */     // MIs[0] policy
     /* 1525307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1525320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525341 */     // GIR_Coverage, 3853,
     /* 1525341 */     GIR_EraseRootFromParent_Done,
     /* 1525342 */   // Label 21190: @1525342
     /* 1525342 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525428), // Rule ID 3856 //
     /* 1525347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1525350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1525370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1525377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525393 */     // MIs[0] policy
     /* 1525393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1525406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525427 */     // GIR_Coverage, 3856,
     /* 1525427 */     GIR_EraseRootFromParent_Done,
     /* 1525428 */   // Label 21191: @1525428
     /* 1525428 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525514), // Rule ID 3857 //
     /* 1525433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1525436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1525456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1525463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525479 */     // MIs[0] policy
     /* 1525479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1525492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525513 */     // GIR_Coverage, 3857,
     /* 1525513 */     GIR_EraseRootFromParent_Done,
     /* 1525514 */   // Label 21192: @1525514
     /* 1525514 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525600), // Rule ID 3860 //
     /* 1525519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1525522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1525536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1525539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1525542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525565 */     // MIs[0] policy
     /* 1525565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1525578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1525596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525599 */     // GIR_Coverage, 3860,
     /* 1525599 */     GIR_EraseRootFromParent_Done,
     /* 1525600 */   // Label 21193: @1525600
     /* 1525600 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525686), // Rule ID 3861 //
     /* 1525605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1525608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1525622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1525625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1525628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525651 */     // MIs[0] policy
     /* 1525651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1525664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1525682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525685 */     // GIR_Coverage, 3861,
     /* 1525685 */     GIR_EraseRootFromParent_Done,
     /* 1525686 */   // Label 21194: @1525686
     /* 1525686 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525772), // Rule ID 3864 //
     /* 1525691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1525694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1525708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1525711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1525714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525737 */     // MIs[0] policy
     /* 1525737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1525750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1525768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525771 */     // GIR_Coverage, 3864,
     /* 1525771 */     GIR_EraseRootFromParent_Done,
     /* 1525772 */   // Label 21195: @1525772
     /* 1525772 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525858), // Rule ID 3865 //
     /* 1525777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1525780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1525794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1525797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1525800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525823 */     // MIs[0] policy
     /* 1525823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1525836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1525854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525857 */     // GIR_Coverage, 3865,
     /* 1525857 */     GIR_EraseRootFromParent_Done,
     /* 1525858 */   // Label 21196: @1525858
     /* 1525858 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1525944), // Rule ID 3868 //
     /* 1525863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1525866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1525880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1525883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1525886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525909 */     // MIs[0] policy
     /* 1525909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1525922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1525926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1525932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1525940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525943 */     // GIR_Coverage, 3868,
     /* 1525943 */     GIR_EraseRootFromParent_Done,
     /* 1525944 */   // Label 21197: @1525944
     /* 1525944 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526030), // Rule ID 3869 //
     /* 1525949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1525952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1525957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1525966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1525969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1525972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1525979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1525991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1525995 */     // MIs[0] policy
     /* 1525995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1526008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526029 */     // GIR_Coverage, 3869,
     /* 1526029 */     GIR_EraseRootFromParent_Done,
     /* 1526030 */   // Label 21198: @1526030
     /* 1526030 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526116), // Rule ID 3872 //
     /* 1526035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1526052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1526058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1526065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526081 */     // MIs[0] policy
     /* 1526081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1526094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526115 */     // GIR_Coverage, 3872,
     /* 1526115 */     GIR_EraseRootFromParent_Done,
     /* 1526116 */   // Label 21199: @1526116
     /* 1526116 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526202), // Rule ID 3873 //
     /* 1526121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1526138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1526141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1526144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1526151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526167 */     // MIs[0] policy
     /* 1526167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1526180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526201 */     // GIR_Coverage, 3873,
     /* 1526201 */     GIR_EraseRootFromParent_Done,
     /* 1526202 */   // Label 21200: @1526202
     /* 1526202 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526288), // Rule ID 3876 //
     /* 1526207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1526224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1526230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1526237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526253 */     // MIs[0] policy
     /* 1526253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1526266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526287 */     // GIR_Coverage, 3876,
     /* 1526287 */     GIR_EraseRootFromParent_Done,
     /* 1526288 */   // Label 21201: @1526288
     /* 1526288 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526374), // Rule ID 3877 //
     /* 1526293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1526310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1526313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1526316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1526323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526339 */     // MIs[0] policy
     /* 1526339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1526352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526373 */     // GIR_Coverage, 3877,
     /* 1526373 */     GIR_EraseRootFromParent_Done,
     /* 1526374 */   // Label 21202: @1526374
     /* 1526374 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526460), // Rule ID 3880 //
     /* 1526379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1526396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1526402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1526409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526425 */     // MIs[0] policy
     /* 1526425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1526438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526459 */     // GIR_Coverage, 3880,
     /* 1526459 */     GIR_EraseRootFromParent_Done,
     /* 1526460 */   // Label 21203: @1526460
     /* 1526460 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526546), // Rule ID 3881 //
     /* 1526465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1526482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1526485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1526488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1526495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526511 */     // MIs[0] policy
     /* 1526511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1526524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1526542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526545 */     // GIR_Coverage, 3881,
     /* 1526545 */     GIR_EraseRootFromParent_Done,
     /* 1526546 */   // Label 21204: @1526546
     /* 1526546 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526632), // Rule ID 3884 //
     /* 1526551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1526568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1526574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1526581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526597 */     // MIs[0] policy
     /* 1526597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1526610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526631 */     // GIR_Coverage, 3884,
     /* 1526631 */     GIR_EraseRootFromParent_Done,
     /* 1526632 */   // Label 21205: @1526632
     /* 1526632 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526718), // Rule ID 3885 //
     /* 1526637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1526654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1526657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1526660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1526667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526683 */     // MIs[0] policy
     /* 1526683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526693 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1526696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526717 */     // GIR_Coverage, 3885,
     /* 1526717 */     GIR_EraseRootFromParent_Done,
     /* 1526718 */   // Label 21206: @1526718
     /* 1526718 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526804), // Rule ID 3888 //
     /* 1526723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1526740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1526746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1526753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526769 */     // MIs[0] policy
     /* 1526769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1526782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526803 */     // GIR_Coverage, 3888,
     /* 1526803 */     GIR_EraseRootFromParent_Done,
     /* 1526804 */   // Label 21207: @1526804
     /* 1526804 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526890), // Rule ID 3889 //
     /* 1526809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1526826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1526829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1526832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1526839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526855 */     // MIs[0] policy
     /* 1526855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1526868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526889 */     // GIR_Coverage, 3889,
     /* 1526889 */     GIR_EraseRootFromParent_Done,
     /* 1526890 */   // Label 21208: @1526890
     /* 1526890 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1526976), // Rule ID 3892 //
     /* 1526895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1526898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1526915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1526918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1526925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1526937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1526941 */     // MIs[0] policy
     /* 1526941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1526954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1526958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1526964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526975 */     // GIR_Coverage, 3892,
     /* 1526975 */     GIR_EraseRootFromParent_Done,
     /* 1526976 */   // Label 21209: @1526976
     /* 1526976 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527062), // Rule ID 3893 //
     /* 1526981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1526984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1526989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1526998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1527004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1527011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527027 */     // MIs[0] policy
     /* 1527027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1527040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527061 */     // GIR_Coverage, 3893,
     /* 1527061 */     GIR_EraseRootFromParent_Done,
     /* 1527062 */   // Label 21210: @1527062
     /* 1527062 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527148), // Rule ID 3896 //
     /* 1527067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1527070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1527084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1527090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1527097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527113 */     // MIs[0] policy
     /* 1527113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1527126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527147 */     // GIR_Coverage, 3896,
     /* 1527147 */     GIR_EraseRootFromParent_Done,
     /* 1527148 */   // Label 21211: @1527148
     /* 1527148 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527234), // Rule ID 3897 //
     /* 1527153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1527156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1527170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1527176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1527183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527199 */     // MIs[0] policy
     /* 1527199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1527212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527233 */     // GIR_Coverage, 3897,
     /* 1527233 */     GIR_EraseRootFromParent_Done,
     /* 1527234 */   // Label 21212: @1527234
     /* 1527234 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527320), // Rule ID 3900 //
     /* 1527239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1527242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1527256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1527262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1527269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527285 */     // MIs[0] policy
     /* 1527285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527295 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1527298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527319 */     // GIR_Coverage, 3900,
     /* 1527319 */     GIR_EraseRootFromParent_Done,
     /* 1527320 */   // Label 21213: @1527320
     /* 1527320 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527406), // Rule ID 3901 //
     /* 1527325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1527328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1527342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1527348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1527355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527371 */     // MIs[0] policy
     /* 1527371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1527384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527405 */     // GIR_Coverage, 3901,
     /* 1527405 */     GIR_EraseRootFromParent_Done,
     /* 1527406 */   // Label 21214: @1527406
     /* 1527406 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527492), // Rule ID 3904 //
     /* 1527411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1527414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1527428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1527434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527457 */     // MIs[0] policy
     /* 1527457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1527470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527491 */     // GIR_Coverage, 3904,
     /* 1527491 */     GIR_EraseRootFromParent_Done,
     /* 1527492 */   // Label 21215: @1527492
     /* 1527492 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527578), // Rule ID 3905 //
     /* 1527497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1527500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1527508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1527511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1527514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1527520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527543 */     // MIs[0] policy
     /* 1527543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1527556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527577 */     // GIR_Coverage, 3905,
     /* 1527577 */     GIR_EraseRootFromParent_Done,
     /* 1527578 */   // Label 21216: @1527578
     /* 1527578 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527664), // Rule ID 3908 //
     /* 1527583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1527586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1527600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1527606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1527613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527629 */     // MIs[0] policy
     /* 1527629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527639 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1527642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527663 */     // GIR_Coverage, 3908,
     /* 1527663 */     GIR_EraseRootFromParent_Done,
     /* 1527664 */   // Label 21217: @1527664
     /* 1527664 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527750), // Rule ID 3909 //
     /* 1527669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1527672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1527686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1527692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1527699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527715 */     // MIs[0] policy
     /* 1527715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1527728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527749 */     // GIR_Coverage, 3909,
     /* 1527749 */     GIR_EraseRootFromParent_Done,
     /* 1527750 */   // Label 21218: @1527750
     /* 1527750 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527836), // Rule ID 3912 //
     /* 1527755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1527758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1527778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1527785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527801 */     // MIs[0] policy
     /* 1527801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1527814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527835 */     // GIR_Coverage, 3912,
     /* 1527835 */     GIR_EraseRootFromParent_Done,
     /* 1527836 */   // Label 21219: @1527836
     /* 1527836 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527922), // Rule ID 3913 //
     /* 1527841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1527844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1527858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1527861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1527864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1527871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527887 */     // MIs[0] policy
     /* 1527887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527897 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1527900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527921 */     // GIR_Coverage, 3913,
     /* 1527921 */     GIR_EraseRootFromParent_Done,
     /* 1527922 */   // Label 21220: @1527922
     /* 1527922 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1528008), // Rule ID 3916 //
     /* 1527927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1527930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1527935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1527947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1527950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1527957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1527969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527973 */     // MIs[0] policy
     /* 1527973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527983 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1527986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1527996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528007 */     // GIR_Coverage, 3916,
     /* 1528007 */     GIR_EraseRootFromParent_Done,
     /* 1528008 */   // Label 21221: @1528008
     /* 1528008 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528094), // Rule ID 3917 //
     /* 1528013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1528016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1528021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1528024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1528027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1528030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1528033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1528036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1528043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1528055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528059 */     // MIs[0] policy
     /* 1528059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1528072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528093 */     // GIR_Coverage, 3917,
     /* 1528093 */     GIR_EraseRootFromParent_Done,
     /* 1528094 */   // Label 21222: @1528094
     /* 1528094 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528180), // Rule ID 3926 //
     /* 1528099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1528119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1528122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528145 */     // MIs[0] policy
     /* 1528145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528155 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1528158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528179 */     // GIR_Coverage, 3926,
     /* 1528179 */     GIR_EraseRootFromParent_Done,
     /* 1528180 */   // Label 21223: @1528180
     /* 1528180 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528266), // Rule ID 3927 //
     /* 1528185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1528188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1528205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1528208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528231 */     // MIs[0] policy
     /* 1528231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528241 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1528244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528265 */     // GIR_Coverage, 3927,
     /* 1528265 */     GIR_EraseRootFromParent_Done,
     /* 1528266 */   // Label 21224: @1528266
     /* 1528266 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528352), // Rule ID 3936 //
     /* 1528271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1528291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1528294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528317 */     // MIs[0] policy
     /* 1528317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1528330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528351 */     // GIR_Coverage, 3936,
     /* 1528351 */     GIR_EraseRootFromParent_Done,
     /* 1528352 */   // Label 21225: @1528352
     /* 1528352 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528438), // Rule ID 3937 //
     /* 1528357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1528360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1528377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1528380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528403 */     // MIs[0] policy
     /* 1528403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528413 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1528416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528437 */     // GIR_Coverage, 3937,
     /* 1528437 */     GIR_EraseRootFromParent_Done,
     /* 1528438 */   // Label 21226: @1528438
     /* 1528438 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528524), // Rule ID 3946 //
     /* 1528443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1528463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1528466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1528473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528489 */     // MIs[0] policy
     /* 1528489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1528502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528523 */     // GIR_Coverage, 3946,
     /* 1528523 */     GIR_EraseRootFromParent_Done,
     /* 1528524 */   // Label 21227: @1528524
     /* 1528524 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528610), // Rule ID 3947 //
     /* 1528529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1528532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1528549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1528552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1528559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528575 */     // MIs[0] policy
     /* 1528575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1528588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528609 */     // GIR_Coverage, 3947,
     /* 1528609 */     GIR_EraseRootFromParent_Done,
     /* 1528610 */   // Label 21228: @1528610
     /* 1528610 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528696), // Rule ID 3956 //
     /* 1528615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1528635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1528638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1528645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528661 */     // MIs[0] policy
     /* 1528661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1528674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528695 */     // GIR_Coverage, 3956,
     /* 1528695 */     GIR_EraseRootFromParent_Done,
     /* 1528696 */   // Label 21229: @1528696
     /* 1528696 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528782), // Rule ID 3957 //
     /* 1528701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1528704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1528721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1528724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1528731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528747 */     // MIs[0] policy
     /* 1528747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528757 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1528760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528781 */     // GIR_Coverage, 3957,
     /* 1528781 */     GIR_EraseRootFromParent_Done,
     /* 1528782 */   // Label 21230: @1528782
     /* 1528782 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528868), // Rule ID 3966 //
     /* 1528787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1528804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1528807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1528810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1528817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528833 */     // MIs[0] policy
     /* 1528833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1528846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528867 */     // GIR_Coverage, 3966,
     /* 1528867 */     GIR_EraseRootFromParent_Done,
     /* 1528868 */   // Label 21231: @1528868
     /* 1528868 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528954), // Rule ID 3967 //
     /* 1528873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1528876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1528890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1528893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1528896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1528903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528919 */     // MIs[0] policy
     /* 1528919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1528932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1528942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1528950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528953 */     // GIR_Coverage, 3967,
     /* 1528953 */     GIR_EraseRootFromParent_Done,
     /* 1528954 */   // Label 21232: @1528954
     /* 1528954 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1529040), // Rule ID 3976 //
     /* 1528959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1528962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1528967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1528979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1528982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529005 */     // MIs[0] policy
     /* 1529005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1529018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529039 */     // GIR_Coverage, 3976,
     /* 1529039 */     GIR_EraseRootFromParent_Done,
     /* 1529040 */   // Label 21233: @1529040
     /* 1529040 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529126), // Rule ID 3977 //
     /* 1529045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1529048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1529062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1529068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1529075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529091 */     // MIs[0] policy
     /* 1529091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1529104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529125 */     // GIR_Coverage, 3977,
     /* 1529125 */     GIR_EraseRootFromParent_Done,
     /* 1529126 */   // Label 21234: @1529126
     /* 1529126 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529212), // Rule ID 3986 //
     /* 1529131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1529134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1529154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1529161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529177 */     // MIs[0] policy
     /* 1529177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1529190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529211 */     // GIR_Coverage, 3986,
     /* 1529211 */     GIR_EraseRootFromParent_Done,
     /* 1529212 */   // Label 21235: @1529212
     /* 1529212 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529298), // Rule ID 3987 //
     /* 1529217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1529220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1529234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1529240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1529247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529263 */     // MIs[0] policy
     /* 1529263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1529276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529297 */     // GIR_Coverage, 3987,
     /* 1529297 */     GIR_EraseRootFromParent_Done,
     /* 1529298 */   // Label 21236: @1529298
     /* 1529298 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529384), // Rule ID 3996 //
     /* 1529303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1529306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1529326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529349 */     // MIs[0] policy
     /* 1529349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1529362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529383 */     // GIR_Coverage, 3996,
     /* 1529383 */     GIR_EraseRootFromParent_Done,
     /* 1529384 */   // Label 21237: @1529384
     /* 1529384 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529470), // Rule ID 3997 //
     /* 1529389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1529392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1529412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529435 */     // MIs[0] policy
     /* 1529435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1529448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529469 */     // GIR_Coverage, 3997,
     /* 1529469 */     GIR_EraseRootFromParent_Done,
     /* 1529470 */   // Label 21238: @1529470
     /* 1529470 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529556), // Rule ID 4006 //
     /* 1529475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1529478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1529498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529521 */     // MIs[0] policy
     /* 1529521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1529534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529555 */     // GIR_Coverage, 4006,
     /* 1529555 */     GIR_EraseRootFromParent_Done,
     /* 1529556 */   // Label 21239: @1529556
     /* 1529556 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529642), // Rule ID 4007 //
     /* 1529561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1529564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1529584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529607 */     // MIs[0] policy
     /* 1529607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1529620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529641 */     // GIR_Coverage, 4007,
     /* 1529641 */     GIR_EraseRootFromParent_Done,
     /* 1529642 */   // Label 21240: @1529642
     /* 1529642 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529728), // Rule ID 4016 //
     /* 1529647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1529650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1529670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1529677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529693 */     // MIs[0] policy
     /* 1529693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1529706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529727 */     // GIR_Coverage, 4016,
     /* 1529727 */     GIR_EraseRootFromParent_Done,
     /* 1529728 */   // Label 21241: @1529728
     /* 1529728 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529814), // Rule ID 4017 //
     /* 1529733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1529736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1529756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1529763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529779 */     // MIs[0] policy
     /* 1529779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1529792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529813 */     // GIR_Coverage, 4017,
     /* 1529813 */     GIR_EraseRootFromParent_Done,
     /* 1529814 */   // Label 21242: @1529814
     /* 1529814 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529900), // Rule ID 4026 //
     /* 1529819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1529822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1529842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1529849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529865 */     // MIs[0] policy
     /* 1529865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1529878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529899 */     // GIR_Coverage, 4026,
     /* 1529899 */     GIR_EraseRootFromParent_Done,
     /* 1529900 */   // Label 21243: @1529900
     /* 1529900 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529986), // Rule ID 4027 //
     /* 1529905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1529908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1529916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1529919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1529922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1529925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1529928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1529935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529951 */     // MIs[0] policy
     /* 1529951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1529964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1529974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529985 */     // GIR_Coverage, 4027,
     /* 1529985 */     GIR_EraseRootFromParent_Done,
     /* 1529986 */   // Label 21244: @1529986
     /* 1529986 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1530072), // Rule ID 4036 //
     /* 1529991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1529994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1529999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1530014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1530021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530037 */     // MIs[0] policy
     /* 1530037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1530050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530071 */     // GIR_Coverage, 4036,
     /* 1530071 */     GIR_EraseRootFromParent_Done,
     /* 1530072 */   // Label 21245: @1530072
     /* 1530072 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530158), // Rule ID 4037 //
     /* 1530077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1530080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1530094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1530100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1530107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530123 */     // MIs[0] policy
     /* 1530123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1530136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530157 */     // GIR_Coverage, 4037,
     /* 1530157 */     GIR_EraseRootFromParent_Done,
     /* 1530158 */   // Label 21246: @1530158
     /* 1530158 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530244), // Rule ID 4046 //
     /* 1530163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1530166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1530186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1530193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530209 */     // MIs[0] policy
     /* 1530209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1530222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530243 */     // GIR_Coverage, 4046,
     /* 1530243 */     GIR_EraseRootFromParent_Done,
     /* 1530244 */   // Label 21247: @1530244
     /* 1530244 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530330), // Rule ID 4047 //
     /* 1530249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1530252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1530266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1530272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1530279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530295 */     // MIs[0] policy
     /* 1530295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1530308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530329 */     // GIR_Coverage, 4047,
     /* 1530329 */     GIR_EraseRootFromParent_Done,
     /* 1530330 */   // Label 21248: @1530330
     /* 1530330 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530416), // Rule ID 4056 //
     /* 1530335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1530338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1530358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1530365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530381 */     // MIs[0] policy
     /* 1530381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1530394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530415 */     // GIR_Coverage, 4056,
     /* 1530415 */     GIR_EraseRootFromParent_Done,
     /* 1530416 */   // Label 21249: @1530416
     /* 1530416 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530502), // Rule ID 4057 //
     /* 1530421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1530424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1530444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1530451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530467 */     // MIs[0] policy
     /* 1530467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530477 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1530480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530501 */     // GIR_Coverage, 4057,
     /* 1530501 */     GIR_EraseRootFromParent_Done,
     /* 1530502 */   // Label 21250: @1530502
     /* 1530502 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530588), // Rule ID 4060 //
     /* 1530507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1530510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1530527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1530530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530553 */     // MIs[0] policy
     /* 1530553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1530566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1530584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530587 */     // GIR_Coverage, 4060,
     /* 1530587 */     GIR_EraseRootFromParent_Done,
     /* 1530588 */   // Label 21251: @1530588
     /* 1530588 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530674), // Rule ID 4061 //
     /* 1530593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1530596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1530613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1530616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530639 */     // MIs[0] policy
     /* 1530639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530649 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1530652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1530670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530673 */     // GIR_Coverage, 4061,
     /* 1530673 */     GIR_EraseRootFromParent_Done,
     /* 1530674 */   // Label 21252: @1530674
     /* 1530674 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530760), // Rule ID 4064 //
     /* 1530679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1530682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1530699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1530702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530725 */     // MIs[0] policy
     /* 1530725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1530738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1530756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530759 */     // GIR_Coverage, 4064,
     /* 1530759 */     GIR_EraseRootFromParent_Done,
     /* 1530760 */   // Label 21253: @1530760
     /* 1530760 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530846), // Rule ID 4065 //
     /* 1530765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1530768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1530785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1530788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530811 */     // MIs[0] policy
     /* 1530811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1530824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1530842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530845 */     // GIR_Coverage, 4065,
     /* 1530845 */     GIR_EraseRootFromParent_Done,
     /* 1530846 */   // Label 21254: @1530846
     /* 1530846 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530932), // Rule ID 4068 //
     /* 1530851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1530854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1530871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1530874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530897 */     // MIs[0] policy
     /* 1530897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1530910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1530920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1530928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530931 */     // GIR_Coverage, 4068,
     /* 1530931 */     GIR_EraseRootFromParent_Done,
     /* 1530932 */   // Label 21255: @1530932
     /* 1530932 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1531018), // Rule ID 4069 //
     /* 1530937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1530940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1530945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1530957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1530960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1530979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530983 */     // MIs[0] policy
     /* 1530983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1530996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531017 */     // GIR_Coverage, 4069,
     /* 1531017 */     GIR_EraseRootFromParent_Done,
     /* 1531018 */   // Label 21256: @1531018
     /* 1531018 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1531104), // Rule ID 4072 //
     /* 1531023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1531046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531069 */     // MIs[0] policy
     /* 1531069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1531082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531103 */     // GIR_Coverage, 4072,
     /* 1531103 */     GIR_EraseRootFromParent_Done,
     /* 1531104 */   // Label 21257: @1531104
     /* 1531104 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531190), // Rule ID 4073 //
     /* 1531109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1531132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531155 */     // MIs[0] policy
     /* 1531155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1531168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531189 */     // GIR_Coverage, 4073,
     /* 1531189 */     GIR_EraseRootFromParent_Done,
     /* 1531190 */   // Label 21258: @1531190
     /* 1531190 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531276), // Rule ID 4076 //
     /* 1531195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1531218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1531225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531241 */     // MIs[0] policy
     /* 1531241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1531254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531275 */     // GIR_Coverage, 4076,
     /* 1531275 */     GIR_EraseRootFromParent_Done,
     /* 1531276 */   // Label 21259: @1531276
     /* 1531276 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531362), // Rule ID 4077 //
     /* 1531281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1531304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1531311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531327 */     // MIs[0] policy
     /* 1531327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1531340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531361 */     // GIR_Coverage, 4077,
     /* 1531361 */     GIR_EraseRootFromParent_Done,
     /* 1531362 */   // Label 21260: @1531362
     /* 1531362 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531448), // Rule ID 4080 //
     /* 1531367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1531390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1531397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531413 */     // MIs[0] policy
     /* 1531413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531423 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1531426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531447 */     // GIR_Coverage, 4080,
     /* 1531447 */     GIR_EraseRootFromParent_Done,
     /* 1531448 */   // Label 21261: @1531448
     /* 1531448 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531534), // Rule ID 4081 //
     /* 1531453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1531476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1531483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531499 */     // MIs[0] policy
     /* 1531499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1531512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1531530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531533 */     // GIR_Coverage, 4081,
     /* 1531533 */     GIR_EraseRootFromParent_Done,
     /* 1531534 */   // Label 21262: @1531534
     /* 1531534 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531620), // Rule ID 4084 //
     /* 1531539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1531562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531585 */     // MIs[0] policy
     /* 1531585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1531598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531619 */     // GIR_Coverage, 4084,
     /* 1531619 */     GIR_EraseRootFromParent_Done,
     /* 1531620 */   // Label 21263: @1531620
     /* 1531620 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531706), // Rule ID 4085 //
     /* 1531625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1531636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1531639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1531648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531671 */     // MIs[0] policy
     /* 1531671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1531684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531705 */     // GIR_Coverage, 4085,
     /* 1531705 */     GIR_EraseRootFromParent_Done,
     /* 1531706 */   // Label 21264: @1531706
     /* 1531706 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531792), // Rule ID 4088 //
     /* 1531711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1531734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531757 */     // MIs[0] policy
     /* 1531757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1531770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531791 */     // GIR_Coverage, 4088,
     /* 1531791 */     GIR_EraseRootFromParent_Done,
     /* 1531792 */   // Label 21265: @1531792
     /* 1531792 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531878), // Rule ID 4089 //
     /* 1531797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1531820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531843 */     // MIs[0] policy
     /* 1531843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1531856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531877 */     // GIR_Coverage, 4089,
     /* 1531877 */     GIR_EraseRootFromParent_Done,
     /* 1531878 */   // Label 21266: @1531878
     /* 1531878 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531964), // Rule ID 4092 //
     /* 1531883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1531886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1531900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1531903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1531906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1531925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531929 */     // MIs[0] policy
     /* 1531929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1531942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1531952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531963 */     // GIR_Coverage, 4092,
     /* 1531963 */     GIR_EraseRootFromParent_Done,
     /* 1531964 */   // Label 21267: @1531964
     /* 1531964 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1532050), // Rule ID 4093 //
     /* 1531969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1531972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1531977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1531986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1531989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1531992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532015 */     // MIs[0] policy
     /* 1532015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1532028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532049 */     // GIR_Coverage, 4093,
     /* 1532049 */     GIR_EraseRootFromParent_Done,
     /* 1532050 */   // Label 21268: @1532050
     /* 1532050 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1532136), // Rule ID 4096 //
     /* 1532055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1532058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1532078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532101 */     // MIs[0] policy
     /* 1532101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1532114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532135 */     // GIR_Coverage, 4096,
     /* 1532135 */     GIR_EraseRootFromParent_Done,
     /* 1532136 */   // Label 21269: @1532136
     /* 1532136 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1532222), // Rule ID 4097 //
     /* 1532141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1532144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1532161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1532164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532187 */     // MIs[0] policy
     /* 1532187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1532200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532221 */     // GIR_Coverage, 4097,
     /* 1532221 */     GIR_EraseRootFromParent_Done,
     /* 1532222 */   // Label 21270: @1532222
     /* 1532222 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532308), // Rule ID 4100 //
     /* 1532227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1532230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1532250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1532257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532273 */     // MIs[0] policy
     /* 1532273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1532286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532307 */     // GIR_Coverage, 4100,
     /* 1532307 */     GIR_EraseRootFromParent_Done,
     /* 1532308 */   // Label 21271: @1532308
     /* 1532308 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532394), // Rule ID 4101 //
     /* 1532313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1532316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1532333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1532336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1532343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532359 */     // MIs[0] policy
     /* 1532359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532369 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1532372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532393 */     // GIR_Coverage, 4101,
     /* 1532393 */     GIR_EraseRootFromParent_Done,
     /* 1532394 */   // Label 21272: @1532394
     /* 1532394 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532480), // Rule ID 4104 //
     /* 1532399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1532402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1532416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1532422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1532429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532445 */     // MIs[0] policy
     /* 1532445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1532458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532479 */     // GIR_Coverage, 4104,
     /* 1532479 */     GIR_EraseRootFromParent_Done,
     /* 1532480 */   // Label 21273: @1532480
     /* 1532480 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532566), // Rule ID 4105 //
     /* 1532485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1532488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1532496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1532499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1532502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1532505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1532508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1532515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532531 */     // MIs[0] policy
     /* 1532531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1532544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532565 */     // GIR_Coverage, 4105,
     /* 1532565 */     GIR_EraseRootFromParent_Done,
     /* 1532566 */   // Label 21274: @1532566
     /* 1532566 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532652), // Rule ID 4108 //
     /* 1532571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1532574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1532594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532617 */     // MIs[0] policy
     /* 1532617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1532630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532651 */     // GIR_Coverage, 4108,
     /* 1532651 */     GIR_EraseRootFromParent_Done,
     /* 1532652 */   // Label 21275: @1532652
     /* 1532652 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532738), // Rule ID 4109 //
     /* 1532657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1532660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1532677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1532680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532703 */     // MIs[0] policy
     /* 1532703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1532716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532737 */     // GIR_Coverage, 4109,
     /* 1532737 */     GIR_EraseRootFromParent_Done,
     /* 1532738 */   // Label 21276: @1532738
     /* 1532738 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532824), // Rule ID 4112 //
     /* 1532743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1532746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1532766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532789 */     // MIs[0] policy
     /* 1532789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1532802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532823 */     // GIR_Coverage, 4112,
     /* 1532823 */     GIR_EraseRootFromParent_Done,
     /* 1532824 */   // Label 21277: @1532824
     /* 1532824 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532910), // Rule ID 4113 //
     /* 1532829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1532832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1532849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1532852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532875 */     // MIs[0] policy
     /* 1532875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1532888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532909 */     // GIR_Coverage, 4113,
     /* 1532909 */     GIR_EraseRootFromParent_Done,
     /* 1532910 */   // Label 21278: @1532910
     /* 1532910 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532996), // Rule ID 4116 //
     /* 1532915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1532918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1532923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1532932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1532935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1532938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1532945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1532957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532961 */     // MIs[0] policy
     /* 1532961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1532974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1532984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532995 */     // GIR_Coverage, 4116,
     /* 1532995 */     GIR_EraseRootFromParent_Done,
     /* 1532996 */   // Label 21279: @1532996
     /* 1532996 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1533082), // Rule ID 4117 //
     /* 1533001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1533004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1533009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1533018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1533021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1533024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1533031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1533043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533047 */     // MIs[0] policy
     /* 1533047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1533060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533081 */     // GIR_Coverage, 4117,
     /* 1533081 */     GIR_EraseRootFromParent_Done,
     /* 1533082 */   // Label 21280: @1533082
     /* 1533082 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1533168), // Rule ID 4126 //
     /* 1533087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1533107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1533110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533133 */     // MIs[0] policy
     /* 1533133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1533146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533167 */     // GIR_Coverage, 4126,
     /* 1533167 */     GIR_EraseRootFromParent_Done,
     /* 1533168 */   // Label 21281: @1533168
     /* 1533168 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1533254), // Rule ID 4127 //
     /* 1533173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1533176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1533184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1533187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1533193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1533196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533219 */     // MIs[0] policy
     /* 1533219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1533232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533253 */     // GIR_Coverage, 4127,
     /* 1533253 */     GIR_EraseRootFromParent_Done,
     /* 1533254 */   // Label 21282: @1533254
     /* 1533254 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533340), // Rule ID 4136 //
     /* 1533259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1533279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1533282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533305 */     // MIs[0] policy
     /* 1533305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533315 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1533318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533339 */     // GIR_Coverage, 4136,
     /* 1533339 */     GIR_EraseRootFromParent_Done,
     /* 1533340 */   // Label 21283: @1533340
     /* 1533340 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533426), // Rule ID 4137 //
     /* 1533345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1533348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1533365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1533368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533391 */     // MIs[0] policy
     /* 1533391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533401 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1533404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533425 */     // GIR_Coverage, 4137,
     /* 1533425 */     GIR_EraseRootFromParent_Done,
     /* 1533426 */   // Label 21284: @1533426
     /* 1533426 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533512), // Rule ID 4146 //
     /* 1533431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1533451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1533454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533477 */     // MIs[0] policy
     /* 1533477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533487 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1533490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533511 */     // GIR_Coverage, 4146,
     /* 1533511 */     GIR_EraseRootFromParent_Done,
     /* 1533512 */   // Label 21285: @1533512
     /* 1533512 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533598), // Rule ID 4147 //
     /* 1533517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1533520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1533537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1533540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533563 */     // MIs[0] policy
     /* 1533563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1533576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533597 */     // GIR_Coverage, 4147,
     /* 1533597 */     GIR_EraseRootFromParent_Done,
     /* 1533598 */   // Label 21286: @1533598
     /* 1533598 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533684), // Rule ID 4156 //
     /* 1533603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1533614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1533617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1533620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1533623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1533626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1533633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533649 */     // MIs[0] policy
     /* 1533649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1533662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533683 */     // GIR_Coverage, 4156,
     /* 1533683 */     GIR_EraseRootFromParent_Done,
     /* 1533684 */   // Label 21287: @1533684
     /* 1533684 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533770), // Rule ID 4157 //
     /* 1533689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1533692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1533700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1533703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1533706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1533709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1533712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1533719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533735 */     // MIs[0] policy
     /* 1533735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533745 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1533748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533769 */     // GIR_Coverage, 4157,
     /* 1533769 */     GIR_EraseRootFromParent_Done,
     /* 1533770 */   // Label 21288: @1533770
     /* 1533770 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533856), // Rule ID 4166 //
     /* 1533775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1533786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1533789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1533792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1533795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1533798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1533805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533821 */     // MIs[0] policy
     /* 1533821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533831 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1533834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533855 */     // GIR_Coverage, 4166,
     /* 1533855 */     GIR_EraseRootFromParent_Done,
     /* 1533856 */   // Label 21289: @1533856
     /* 1533856 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533942), // Rule ID 4167 //
     /* 1533861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1533864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1533872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1533875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1533878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1533881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1533884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1533891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533907 */     // MIs[0] policy
     /* 1533907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533917 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1533920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1533930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1533938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533941 */     // GIR_Coverage, 4167,
     /* 1533941 */     GIR_EraseRootFromParent_Done,
     /* 1533942 */   // Label 21290: @1533942
     /* 1533942 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1534028), // Rule ID 4176 //
     /* 1533947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1533950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1533955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1533958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1533961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1533964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1533967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1533970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1533977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533993 */     // MIs[0] policy
     /* 1533993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1534006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1534024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534027 */     // GIR_Coverage, 4176,
     /* 1534027 */     GIR_EraseRootFromParent_Done,
     /* 1534028 */   // Label 21291: @1534028
     /* 1534028 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1534114), // Rule ID 4177 //
     /* 1534033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1534050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1534053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1534056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1534063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534079 */     // MIs[0] policy
     /* 1534079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1534092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1534110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534113 */     // GIR_Coverage, 4177,
     /* 1534113 */     GIR_EraseRootFromParent_Done,
     /* 1534114 */   // Label 21292: @1534114
     /* 1534114 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1534200), // Rule ID 4186 //
     /* 1534119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1534122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1534142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534165 */     // MIs[0] policy
     /* 1534165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1534178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534199 */     // GIR_Coverage, 4186,
     /* 1534199 */     GIR_EraseRootFromParent_Done,
     /* 1534200 */   // Label 21293: @1534200
     /* 1534200 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1534286), // Rule ID 4187 //
     /* 1534205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1534228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534251 */     // MIs[0] policy
     /* 1534251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1534264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534285 */     // GIR_Coverage, 4187,
     /* 1534285 */     GIR_EraseRootFromParent_Done,
     /* 1534286 */   // Label 21294: @1534286
     /* 1534286 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534372), // Rule ID 4196 //
     /* 1534291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1534294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1534314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534337 */     // MIs[0] policy
     /* 1534337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1534350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534371 */     // GIR_Coverage, 4196,
     /* 1534371 */     GIR_EraseRootFromParent_Done,
     /* 1534372 */   // Label 21295: @1534372
     /* 1534372 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534458), // Rule ID 4197 //
     /* 1534377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1534400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534423 */     // MIs[0] policy
     /* 1534423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1534436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534457 */     // GIR_Coverage, 4197,
     /* 1534457 */     GIR_EraseRootFromParent_Done,
     /* 1534458 */   // Label 21296: @1534458
     /* 1534458 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534544), // Rule ID 4206 //
     /* 1534463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1534466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1534486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534509 */     // MIs[0] policy
     /* 1534509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1534522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534543 */     // GIR_Coverage, 4206,
     /* 1534543 */     GIR_EraseRootFromParent_Done,
     /* 1534544 */   // Label 21297: @1534544
     /* 1534544 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534630), // Rule ID 4207 //
     /* 1534549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1534572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534595 */     // MIs[0] policy
     /* 1534595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1534608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534629 */     // GIR_Coverage, 4207,
     /* 1534629 */     GIR_EraseRootFromParent_Done,
     /* 1534630 */   // Label 21298: @1534630
     /* 1534630 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534716), // Rule ID 4216 //
     /* 1534635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1534638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1534652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1534658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1534665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534681 */     // MIs[0] policy
     /* 1534681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1534694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534715 */     // GIR_Coverage, 4216,
     /* 1534715 */     GIR_EraseRootFromParent_Done,
     /* 1534716 */   // Label 21299: @1534716
     /* 1534716 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534802), // Rule ID 4217 //
     /* 1534721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1534738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1534744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1534751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534767 */     // MIs[0] policy
     /* 1534767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1534780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534801 */     // GIR_Coverage, 4217,
     /* 1534801 */     GIR_EraseRootFromParent_Done,
     /* 1534802 */   // Label 21300: @1534802
     /* 1534802 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534888), // Rule ID 4226 //
     /* 1534807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1534810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1534824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1534830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1534837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534853 */     // MIs[0] policy
     /* 1534853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534863 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1534866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534887 */     // GIR_Coverage, 4226,
     /* 1534887 */     GIR_EraseRootFromParent_Done,
     /* 1534888 */   // Label 21301: @1534888
     /* 1534888 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534974), // Rule ID 4227 //
     /* 1534893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1534896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1534910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1534916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1534923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534939 */     // MIs[0] policy
     /* 1534939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1534952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1534962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534973 */     // GIR_Coverage, 4227,
     /* 1534973 */     GIR_EraseRootFromParent_Done,
     /* 1534974 */   // Label 21302: @1534974
     /* 1534974 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1535060), // Rule ID 4236 //
     /* 1534979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1534982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1534987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1534996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1535002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535025 */     // MIs[0] policy
     /* 1535025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1535038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535059 */     // GIR_Coverage, 4236,
     /* 1535059 */     GIR_EraseRootFromParent_Done,
     /* 1535060 */   // Label 21303: @1535060
     /* 1535060 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1535146), // Rule ID 4237 //
     /* 1535065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1535068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1535076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1535079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1535082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1535088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535111 */     // MIs[0] policy
     /* 1535111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1535124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535145 */     // GIR_Coverage, 4237,
     /* 1535145 */     GIR_EraseRootFromParent_Done,
     /* 1535146 */   // Label 21304: @1535146
     /* 1535146 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1535232), // Rule ID 4246 //
     /* 1535151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1535154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1535174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1535181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535197 */     // MIs[0] policy
     /* 1535197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535207 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1535210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535231 */     // GIR_Coverage, 4246,
     /* 1535231 */     GIR_EraseRootFromParent_Done,
     /* 1535232 */   // Label 21305: @1535232
     /* 1535232 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1535318), // Rule ID 4247 //
     /* 1535237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1535240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1535260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1535267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535283 */     // MIs[0] policy
     /* 1535283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1535296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535317 */     // GIR_Coverage, 4247,
     /* 1535317 */     GIR_EraseRootFromParent_Done,
     /* 1535318 */   // Label 21306: @1535318
     /* 1535318 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535404), // Rule ID 4256 //
     /* 1535323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1535326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1535346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535369 */     // MIs[0] policy
     /* 1535369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1535382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535403 */     // GIR_Coverage, 4256,
     /* 1535403 */     GIR_EraseRootFromParent_Done,
     /* 1535404 */   // Label 21307: @1535404
     /* 1535404 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535490), // Rule ID 4257 //
     /* 1535409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1535412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1535432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535455 */     // MIs[0] policy
     /* 1535455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535465 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1535468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535489 */     // GIR_Coverage, 4257,
     /* 1535489 */     GIR_EraseRootFromParent_Done,
     /* 1535490 */   // Label 21308: @1535490
     /* 1535490 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535576), // Rule ID 4266 //
     /* 1535495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1535498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1535518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535541 */     // MIs[0] policy
     /* 1535541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1535554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535575 */     // GIR_Coverage, 4266,
     /* 1535575 */     GIR_EraseRootFromParent_Done,
     /* 1535576 */   // Label 21309: @1535576
     /* 1535576 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535662), // Rule ID 4267 //
     /* 1535581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1535584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1535604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535627 */     // MIs[0] policy
     /* 1535627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535637 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1535640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535661 */     // GIR_Coverage, 4267,
     /* 1535661 */     GIR_EraseRootFromParent_Done,
     /* 1535662 */   // Label 21310: @1535662
     /* 1535662 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535748), // Rule ID 4270 //
     /* 1535667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1535670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1535687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1535690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1535709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535713 */     // MIs[0] policy
     /* 1535713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1535726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1535744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535747 */     // GIR_Coverage, 4270,
     /* 1535747 */     GIR_EraseRootFromParent_Done,
     /* 1535748 */   // Label 21311: @1535748
     /* 1535748 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535834), // Rule ID 4271 //
     /* 1535753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1535756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1535773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1535776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1535795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535799 */     // MIs[0] policy
     /* 1535799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1535812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1535830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535833 */     // GIR_Coverage, 4271,
     /* 1535833 */     GIR_EraseRootFromParent_Done,
     /* 1535834 */   // Label 21312: @1535834
     /* 1535834 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535920), // Rule ID 4274 //
     /* 1535839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1535842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1535859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1535862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1535881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535885 */     // MIs[0] policy
     /* 1535885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1535898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1535916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535919 */     // GIR_Coverage, 4274,
     /* 1535919 */     GIR_EraseRootFromParent_Done,
     /* 1535920 */   // Label 21313: @1535920
     /* 1535920 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1536006), // Rule ID 4275 //
     /* 1535925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1535928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1535933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1535945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1535948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1535955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1535967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535971 */     // MIs[0] policy
     /* 1535971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535981 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1535984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1535994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536005 */     // GIR_Coverage, 4275,
     /* 1536005 */     GIR_EraseRootFromParent_Done,
     /* 1536006 */   // Label 21314: @1536006
     /* 1536006 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1536092), // Rule ID 4278 //
     /* 1536011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1536034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536057 */     // MIs[0] policy
     /* 1536057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1536070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536091 */     // GIR_Coverage, 4278,
     /* 1536091 */     GIR_EraseRootFromParent_Done,
     /* 1536092 */   // Label 21315: @1536092
     /* 1536092 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1536178), // Rule ID 4279 //
     /* 1536097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1536120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536143 */     // MIs[0] policy
     /* 1536143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1536156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536177 */     // GIR_Coverage, 4279,
     /* 1536177 */     GIR_EraseRootFromParent_Done,
     /* 1536178 */   // Label 21316: @1536178
     /* 1536178 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1536264), // Rule ID 4282 //
     /* 1536183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1536206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1536213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536229 */     // MIs[0] policy
     /* 1536229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1536242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536263 */     // GIR_Coverage, 4282,
     /* 1536263 */     GIR_EraseRootFromParent_Done,
     /* 1536264 */   // Label 21317: @1536264
     /* 1536264 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1536350), // Rule ID 4283 //
     /* 1536269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1536292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1536299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536315 */     // MIs[0] policy
     /* 1536315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536325 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1536328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536349 */     // GIR_Coverage, 4283,
     /* 1536349 */     GIR_EraseRootFromParent_Done,
     /* 1536350 */   // Label 21318: @1536350
     /* 1536350 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536436), // Rule ID 4286 //
     /* 1536355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1536378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1536385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536401 */     // MIs[0] policy
     /* 1536401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1536414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536435 */     // GIR_Coverage, 4286,
     /* 1536435 */     GIR_EraseRootFromParent_Done,
     /* 1536436 */   // Label 21319: @1536436
     /* 1536436 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536522), // Rule ID 4287 //
     /* 1536441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1536464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1536471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536487 */     // MIs[0] policy
     /* 1536487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1536500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536521 */     // GIR_Coverage, 4287,
     /* 1536521 */     GIR_EraseRootFromParent_Done,
     /* 1536522 */   // Label 21320: @1536522
     /* 1536522 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536608), // Rule ID 4290 //
     /* 1536527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1536550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1536557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536573 */     // MIs[0] policy
     /* 1536573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536583 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1536586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536607 */     // GIR_Coverage, 4290,
     /* 1536607 */     GIR_EraseRootFromParent_Done,
     /* 1536608 */   // Label 21321: @1536608
     /* 1536608 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536694), // Rule ID 4291 //
     /* 1536613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1536636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1536643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536659 */     // MIs[0] policy
     /* 1536659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1536672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1536690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536693 */     // GIR_Coverage, 4291,
     /* 1536693 */     GIR_EraseRootFromParent_Done,
     /* 1536694 */   // Label 21322: @1536694
     /* 1536694 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536780), // Rule ID 4294 //
     /* 1536699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1536722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536745 */     // MIs[0] policy
     /* 1536745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1536758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536779 */     // GIR_Coverage, 4294,
     /* 1536779 */     GIR_EraseRootFromParent_Done,
     /* 1536780 */   // Label 21323: @1536780
     /* 1536780 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536866), // Rule ID 4295 //
     /* 1536785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1536808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536831 */     // MIs[0] policy
     /* 1536831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1536844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536865 */     // GIR_Coverage, 4295,
     /* 1536865 */     GIR_EraseRootFromParent_Done,
     /* 1536866 */   // Label 21324: @1536866
     /* 1536866 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536952), // Rule ID 4298 //
     /* 1536871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1536874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1536891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1536894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536917 */     // MIs[0] policy
     /* 1536917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1536930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1536940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536951 */     // GIR_Coverage, 4298,
     /* 1536951 */     GIR_EraseRootFromParent_Done,
     /* 1536952 */   // Label 21325: @1536952
     /* 1536952 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1537038), // Rule ID 4299 //
     /* 1536957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1536960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1536965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1536977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1536980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1536999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537003 */     // MIs[0] policy
     /* 1537003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1537016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537037 */     // GIR_Coverage, 4299,
     /* 1537037 */     GIR_EraseRootFromParent_Done,
     /* 1537038 */   // Label 21326: @1537038
     /* 1537038 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1537124), // Rule ID 4302 //
     /* 1537043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1537046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1537066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537089 */     // MIs[0] policy
     /* 1537089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1537102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537123 */     // GIR_Coverage, 4302,
     /* 1537123 */     GIR_EraseRootFromParent_Done,
     /* 1537124 */   // Label 21327: @1537124
     /* 1537124 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1537210), // Rule ID 4303 //
     /* 1537129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1537132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1537149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1537152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537175 */     // MIs[0] policy
     /* 1537175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537185 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1537188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537209 */     // GIR_Coverage, 4303,
     /* 1537209 */     GIR_EraseRootFromParent_Done,
     /* 1537210 */   // Label 21328: @1537210
     /* 1537210 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1537296), // Rule ID 4306 //
     /* 1537215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1537218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1537238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1537245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537261 */     // MIs[0] policy
     /* 1537261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1537274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537295 */     // GIR_Coverage, 4306,
     /* 1537295 */     GIR_EraseRootFromParent_Done,
     /* 1537296 */   // Label 21329: @1537296
     /* 1537296 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1537382), // Rule ID 4307 //
     /* 1537301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1537304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1537318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1537321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1537324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1537331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537347 */     // MIs[0] policy
     /* 1537347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537357 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1537360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537381 */     // GIR_Coverage, 4307,
     /* 1537381 */     GIR_EraseRootFromParent_Done,
     /* 1537382 */   // Label 21330: @1537382
     /* 1537382 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1537468), // Rule ID 4310 //
     /* 1537387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1537390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1537410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1537417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537433 */     // MIs[0] policy
     /* 1537433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1537446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537467 */     // GIR_Coverage, 4310,
     /* 1537467 */     GIR_EraseRootFromParent_Done,
     /* 1537468 */   // Label 21331: @1537468
     /* 1537468 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537554), // Rule ID 4311 //
     /* 1537473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1537476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1537493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1537496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1537503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537519 */     // MIs[0] policy
     /* 1537519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537529 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1537532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537553 */     // GIR_Coverage, 4311,
     /* 1537553 */     GIR_EraseRootFromParent_Done,
     /* 1537554 */   // Label 21332: @1537554
     /* 1537554 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537640), // Rule ID 4314 //
     /* 1537559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1537562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1537576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1537582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1537589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537605 */     // MIs[0] policy
     /* 1537605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1537618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537639 */     // GIR_Coverage, 4314,
     /* 1537639 */     GIR_EraseRootFromParent_Done,
     /* 1537640 */   // Label 21333: @1537640
     /* 1537640 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537726), // Rule ID 4315 //
     /* 1537645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1537648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1537662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1537665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1537668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1537675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537691 */     // MIs[0] policy
     /* 1537691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1537704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537725 */     // GIR_Coverage, 4315,
     /* 1537725 */     GIR_EraseRootFromParent_Done,
     /* 1537726 */   // Label 21334: @1537726
     /* 1537726 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537812), // Rule ID 4318 //
     /* 1537731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1537734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1537754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537777 */     // MIs[0] policy
     /* 1537777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1537790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537811 */     // GIR_Coverage, 4318,
     /* 1537811 */     GIR_EraseRootFromParent_Done,
     /* 1537812 */   // Label 21335: @1537812
     /* 1537812 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537898), // Rule ID 4319 //
     /* 1537817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1537820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1537837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1537840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537863 */     // MIs[0] policy
     /* 1537863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11326:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1537876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537897 */     // GIR_Coverage, 4319,
     /* 1537897 */     GIR_EraseRootFromParent_Done,
     /* 1537898 */   // Label 21336: @1537898
     /* 1537898 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537984), // Rule ID 4322 //
     /* 1537903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1537906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1537920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1537923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1537926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1537933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1537945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537949 */     // MIs[0] policy
     /* 1537949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1537962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1537972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537983 */     // GIR_Coverage, 4322,
     /* 1537983 */     GIR_EraseRootFromParent_Done,
     /* 1537984 */   // Label 21337: @1537984
     /* 1537984 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1538070), // Rule ID 4323 //
     /* 1537989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1537992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1537997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1538006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1538009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1538012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1538031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538035 */     // MIs[0] policy
     /* 1538035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538045 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11326:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1538048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538069 */     // GIR_Coverage, 4323,
     /* 1538069 */     GIR_EraseRootFromParent_Done,
     /* 1538070 */   // Label 21338: @1538070
     /* 1538070 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1538156), // Rule ID 4326 //
     /* 1538075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1538078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1538083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1538095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1538098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1538117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538121 */     // MIs[0] policy
     /* 1538121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1538134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538155 */     // GIR_Coverage, 4326,
     /* 1538155 */     GIR_EraseRootFromParent_Done,
     /* 1538156 */   // Label 21339: @1538156
     /* 1538156 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1538242), // Rule ID 4327 //
     /* 1538161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1538164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1538169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1538181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1538184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1538203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538207 */     // MIs[0] policy
     /* 1538207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11326:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1538220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538241 */     // GIR_Coverage, 4327,
     /* 1538241 */     GIR_EraseRootFromParent_Done,
     /* 1538242 */   // Label 21340: @1538242
     /* 1538242 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1538328), // Rule ID 4336 //
     /* 1538247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1538250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1538258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1538261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1538267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1538270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538293 */     // MIs[0] policy
     /* 1538293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1538306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538327 */     // GIR_Coverage, 4336,
     /* 1538327 */     GIR_EraseRootFromParent_Done,
     /* 1538328 */   // Label 21341: @1538328
     /* 1538328 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1538414), // Rule ID 4337 //
     /* 1538333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1538336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1538344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1538347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1538353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1538356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538379 */     // MIs[0] policy
     /* 1538379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1538392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538413 */     // GIR_Coverage, 4337,
     /* 1538413 */     GIR_EraseRootFromParent_Done,
     /* 1538414 */   // Label 21342: @1538414
     /* 1538414 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1538500), // Rule ID 4346 //
     /* 1538419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1538422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1538439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1538442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538465 */     // MIs[0] policy
     /* 1538465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1538478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538499 */     // GIR_Coverage, 4346,
     /* 1538499 */     GIR_EraseRootFromParent_Done,
     /* 1538500 */   // Label 21343: @1538500
     /* 1538500 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538586), // Rule ID 4347 //
     /* 1538505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1538508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1538516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1538519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1538525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1538528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538551 */     // MIs[0] policy
     /* 1538551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1538564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538585 */     // GIR_Coverage, 4347,
     /* 1538585 */     GIR_EraseRootFromParent_Done,
     /* 1538586 */   // Label 21344: @1538586
     /* 1538586 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538672), // Rule ID 4356 //
     /* 1538591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1538594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1538611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1538614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538637 */     // MIs[0] policy
     /* 1538637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1538650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538671 */     // GIR_Coverage, 4356,
     /* 1538671 */     GIR_EraseRootFromParent_Done,
     /* 1538672 */   // Label 21345: @1538672
     /* 1538672 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538758), // Rule ID 4357 //
     /* 1538677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1538680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1538697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1538700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1538707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538723 */     // MIs[0] policy
     /* 1538723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1538736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538757 */     // GIR_Coverage, 4357,
     /* 1538757 */     GIR_EraseRootFromParent_Done,
     /* 1538758 */   // Label 21346: @1538758
     /* 1538758 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538844), // Rule ID 4366 //
     /* 1538763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1538766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1538774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1538777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1538780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1538783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1538786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1538793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538809 */     // MIs[0] policy
     /* 1538809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1538822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538843 */     // GIR_Coverage, 4366,
     /* 1538843 */     GIR_EraseRootFromParent_Done,
     /* 1538844 */   // Label 21347: @1538844
     /* 1538844 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538930), // Rule ID 4367 //
     /* 1538849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1538852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1538860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1538863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1538866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1538869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1538872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1538879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538895 */     // MIs[0] policy
     /* 1538895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1538908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1538918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1538926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538929 */     // GIR_Coverage, 4367,
     /* 1538929 */     GIR_EraseRootFromParent_Done,
     /* 1538930 */   // Label 21348: @1538930
     /* 1538930 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1539016), // Rule ID 4376 //
     /* 1538935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1538938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1538943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1538946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1538949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1538952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1538955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1538958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538981 */     // MIs[0] policy
     /* 1538981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538991 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1538994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1539012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539015 */     // GIR_Coverage, 4376,
     /* 1539015 */     GIR_EraseRootFromParent_Done,
     /* 1539016 */   // Label 21349: @1539016
     /* 1539016 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1539102), // Rule ID 4377 //
     /* 1539021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1539032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1539035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1539038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1539041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1539044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1539051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539067 */     // MIs[0] policy
     /* 1539067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1539080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1539098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539101 */     // GIR_Coverage, 4377,
     /* 1539101 */     GIR_EraseRootFromParent_Done,
     /* 1539102 */   // Label 21350: @1539102
     /* 1539102 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1539188), // Rule ID 4386 //
     /* 1539107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1539124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1539127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1539130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1539137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539153 */     // MIs[0] policy
     /* 1539153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539163 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1539166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1539184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539187 */     // GIR_Coverage, 4386,
     /* 1539187 */     GIR_EraseRootFromParent_Done,
     /* 1539188 */   // Label 21351: @1539188
     /* 1539188 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1539274), // Rule ID 4387 //
     /* 1539193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1539210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1539213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1539216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1539223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539239 */     // MIs[0] policy
     /* 1539239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1539252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1539270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539273 */     // GIR_Coverage, 4387,
     /* 1539273 */     GIR_EraseRootFromParent_Done,
     /* 1539274 */   // Label 21352: @1539274
     /* 1539274 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1539360), // Rule ID 4396 //
     /* 1539279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1539302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539325 */     // MIs[0] policy
     /* 1539325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1539338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539359 */     // GIR_Coverage, 4396,
     /* 1539359 */     GIR_EraseRootFromParent_Done,
     /* 1539360 */   // Label 21353: @1539360
     /* 1539360 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1539446), // Rule ID 4397 //
     /* 1539365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1539388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539411 */     // MIs[0] policy
     /* 1539411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1539424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539445 */     // GIR_Coverage, 4397,
     /* 1539445 */     GIR_EraseRootFromParent_Done,
     /* 1539446 */   // Label 21354: @1539446
     /* 1539446 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1539532), // Rule ID 4406 //
     /* 1539451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1539474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539497 */     // MIs[0] policy
     /* 1539497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1539510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539531 */     // GIR_Coverage, 4406,
     /* 1539531 */     GIR_EraseRootFromParent_Done,
     /* 1539532 */   // Label 21355: @1539532
     /* 1539532 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539618), // Rule ID 4407 //
     /* 1539537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1539557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1539560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539583 */     // MIs[0] policy
     /* 1539583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1539596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539617 */     // GIR_Coverage, 4407,
     /* 1539617 */     GIR_EraseRootFromParent_Done,
     /* 1539618 */   // Label 21356: @1539618
     /* 1539618 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539704), // Rule ID 4416 //
     /* 1539623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1539646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1539653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539669 */     // MIs[0] policy
     /* 1539669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539679 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1539682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539703 */     // GIR_Coverage, 4416,
     /* 1539703 */     GIR_EraseRootFromParent_Done,
     /* 1539704 */   // Label 21357: @1539704
     /* 1539704 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539790), // Rule ID 4417 //
     /* 1539709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1539729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1539732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1539739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539755 */     // MIs[0] policy
     /* 1539755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1539768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539789 */     // GIR_Coverage, 4417,
     /* 1539789 */     GIR_EraseRootFromParent_Done,
     /* 1539790 */   // Label 21358: @1539790
     /* 1539790 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539876), // Rule ID 4426 //
     /* 1539795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1539818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1539825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539841 */     // MIs[0] policy
     /* 1539841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1539854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539875 */     // GIR_Coverage, 4426,
     /* 1539875 */     GIR_EraseRootFromParent_Done,
     /* 1539876 */   // Label 21359: @1539876
     /* 1539876 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539962), // Rule ID 4427 //
     /* 1539881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1539884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1539904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1539911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539927 */     // MIs[0] policy
     /* 1539927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1539940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1539950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539961 */     // GIR_Coverage, 4427,
     /* 1539961 */     GIR_EraseRootFromParent_Done,
     /* 1539962 */   // Label 21360: @1539962
     /* 1539962 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1540048), // Rule ID 4436 //
     /* 1539967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1539970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1539975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1539984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1539990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1539997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540013 */     // MIs[0] policy
     /* 1540013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1540026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540047 */     // GIR_Coverage, 4436,
     /* 1540047 */     GIR_EraseRootFromParent_Done,
     /* 1540048 */   // Label 21361: @1540048
     /* 1540048 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1540134), // Rule ID 4437 //
     /* 1540053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1540056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1540070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1540076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540099 */     // MIs[0] policy
     /* 1540099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1540112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540133 */     // GIR_Coverage, 4437,
     /* 1540133 */     GIR_EraseRootFromParent_Done,
     /* 1540134 */   // Label 21362: @1540134
     /* 1540134 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1540220), // Rule ID 4446 //
     /* 1540139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1540142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1540162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540185 */     // MIs[0] policy
     /* 1540185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1540198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540219 */     // GIR_Coverage, 4446,
     /* 1540219 */     GIR_EraseRootFromParent_Done,
     /* 1540220 */   // Label 21363: @1540220
     /* 1540220 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1540306), // Rule ID 4447 //
     /* 1540225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1540228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1540248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540271 */     // MIs[0] policy
     /* 1540271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1540284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540305 */     // GIR_Coverage, 4447,
     /* 1540305 */     GIR_EraseRootFromParent_Done,
     /* 1540306 */   // Label 21364: @1540306
     /* 1540306 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1540392), // Rule ID 4456 //
     /* 1540311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1540314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1540328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1540334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540357 */     // MIs[0] policy
     /* 1540357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1540370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540391 */     // GIR_Coverage, 4456,
     /* 1540391 */     GIR_EraseRootFromParent_Done,
     /* 1540392 */   // Label 21365: @1540392
     /* 1540392 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1540478), // Rule ID 4457 //
     /* 1540397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1540400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1540414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1540420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540443 */     // MIs[0] policy
     /* 1540443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1540456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540477 */     // GIR_Coverage, 4457,
     /* 1540477 */     GIR_EraseRootFromParent_Done,
     /* 1540478 */   // Label 21366: @1540478
     /* 1540478 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1540564), // Rule ID 4466 //
     /* 1540483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1540486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1540500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1540506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540529 */     // MIs[0] policy
     /* 1540529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1540542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540563 */     // GIR_Coverage, 4466,
     /* 1540563 */     GIR_EraseRootFromParent_Done,
     /* 1540564 */   // Label 21367: @1540564
     /* 1540564 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540650), // Rule ID 4467 //
     /* 1540569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1540572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1540580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1540583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1540586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1540589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1540592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540615 */     // MIs[0] policy
     /* 1540615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1540628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540649 */     // GIR_Coverage, 4467,
     /* 1540649 */     GIR_EraseRootFromParent_Done,
     /* 1540650 */   // Label 21368: @1540650
     /* 1540650 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540736), // Rule ID 4476 //
     /* 1540655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1540658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1540672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1540675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1540678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540701 */     // MIs[0] policy
     /* 1540701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1540714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540735 */     // GIR_Coverage, 4476,
     /* 1540735 */     GIR_EraseRootFromParent_Done,
     /* 1540736 */   // Label 21369: @1540736
     /* 1540736 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540822), // Rule ID 4477 //
     /* 1540741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1540744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1540758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1540761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1540764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540787 */     // MIs[0] policy
     /* 1540787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1540800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540821 */     // GIR_Coverage, 4477,
     /* 1540821 */     GIR_EraseRootFromParent_Done,
     /* 1540822 */   // Label 21370: @1540822
     /* 1540822 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540908), // Rule ID 4480 //
     /* 1540827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1540830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1540838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1540841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1540847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1540850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1540869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540873 */     // MIs[0] policy
     /* 1540873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540883 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1540886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1540904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540907 */     // GIR_Coverage, 4480,
     /* 1540907 */     GIR_EraseRootFromParent_Done,
     /* 1540908 */   // Label 21371: @1540908
     /* 1540908 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540994), // Rule ID 4481 //
     /* 1540913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1540916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1540921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1540924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1540927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1540933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1540936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1540955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540959 */     // MIs[0] policy
     /* 1540959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1540972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1540982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1540990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540993 */     // GIR_Coverage, 4481,
     /* 1540993 */     GIR_EraseRootFromParent_Done,
     /* 1540994 */   // Label 21372: @1540994
     /* 1540994 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1541080), // Rule ID 4484 //
     /* 1540999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1541010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1541013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1541022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541045 */     // MIs[0] policy
     /* 1541045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541055 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1541058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541079 */     // GIR_Coverage, 4484,
     /* 1541079 */     GIR_EraseRootFromParent_Done,
     /* 1541080 */   // Label 21373: @1541080
     /* 1541080 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1541166), // Rule ID 4485 //
     /* 1541085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1541096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1541099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1541108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541131 */     // MIs[0] policy
     /* 1541131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1541144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541165 */     // GIR_Coverage, 4485,
     /* 1541165 */     GIR_EraseRootFromParent_Done,
     /* 1541166 */   // Label 21374: @1541166
     /* 1541166 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1541252), // Rule ID 4488 //
     /* 1541171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1541182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1541185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1541194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541217 */     // MIs[0] policy
     /* 1541217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1541230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541251 */     // GIR_Coverage, 4488,
     /* 1541251 */     GIR_EraseRootFromParent_Done,
     /* 1541252 */   // Label 21375: @1541252
     /* 1541252 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1541338), // Rule ID 4489 //
     /* 1541257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1541268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1541271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1541280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541303 */     // MIs[0] policy
     /* 1541303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1541316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541337 */     // GIR_Coverage, 4489,
     /* 1541337 */     GIR_EraseRootFromParent_Done,
     /* 1541338 */   // Label 21376: @1541338
     /* 1541338 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1541424), // Rule ID 4492 //
     /* 1541343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1541354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1541357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1541366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541389 */     // MIs[0] policy
     /* 1541389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541399 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1541402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541423 */     // GIR_Coverage, 4492,
     /* 1541423 */     GIR_EraseRootFromParent_Done,
     /* 1541424 */   // Label 21377: @1541424
     /* 1541424 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1541510), // Rule ID 4493 //
     /* 1541429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1541440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1541443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1541452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541475 */     // MIs[0] policy
     /* 1541475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1541488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541509 */     // GIR_Coverage, 4493,
     /* 1541509 */     GIR_EraseRootFromParent_Done,
     /* 1541510 */   // Label 21378: @1541510
     /* 1541510 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1541596), // Rule ID 4496 //
     /* 1541515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1541526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1541529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1541538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541561 */     // MIs[0] policy
     /* 1541561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1541574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541595 */     // GIR_Coverage, 4496,
     /* 1541595 */     GIR_EraseRootFromParent_Done,
     /* 1541596 */   // Label 21379: @1541596
     /* 1541596 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541682), // Rule ID 4497 //
     /* 1541601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1541612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1541615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1541624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541647 */     // MIs[0] policy
     /* 1541647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1541660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541681 */     // GIR_Coverage, 4497,
     /* 1541681 */     GIR_EraseRootFromParent_Done,
     /* 1541682 */   // Label 21380: @1541682
     /* 1541682 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541768), // Rule ID 4500 //
     /* 1541687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1541698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1541701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1541704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1541710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541733 */     // MIs[0] policy
     /* 1541733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1541746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541767 */     // GIR_Coverage, 4500,
     /* 1541767 */     GIR_EraseRootFromParent_Done,
     /* 1541768 */   // Label 21381: @1541768
     /* 1541768 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541854), // Rule ID 4501 //
     /* 1541773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1541784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1541787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1541790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1541796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541819 */     // MIs[0] policy
     /* 1541819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1541832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1541850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541853 */     // GIR_Coverage, 4501,
     /* 1541853 */     GIR_EraseRootFromParent_Done,
     /* 1541854 */   // Label 21382: @1541854
     /* 1541854 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541940), // Rule ID 4504 //
     /* 1541859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1541862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1541879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1541882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541905 */     // MIs[0] policy
     /* 1541905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1541918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1541928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541939 */     // GIR_Coverage, 4504,
     /* 1541939 */     GIR_EraseRootFromParent_Done,
     /* 1541940 */   // Label 21383: @1541940
     /* 1541940 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1542026), // Rule ID 4505 //
     /* 1541945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1541948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1541953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1541962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1541965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1541968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1541987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541991 */     // MIs[0] policy
     /* 1541991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1542004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542025 */     // GIR_Coverage, 4505,
     /* 1542025 */     GIR_EraseRootFromParent_Done,
     /* 1542026 */   // Label 21384: @1542026
     /* 1542026 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1542112), // Rule ID 4508 //
     /* 1542031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1542034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1542054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542077 */     // MIs[0] policy
     /* 1542077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1542090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542111 */     // GIR_Coverage, 4508,
     /* 1542111 */     GIR_EraseRootFromParent_Done,
     /* 1542112 */   // Label 21385: @1542112
     /* 1542112 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1542198), // Rule ID 4509 //
     /* 1542117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1542120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1542140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542163 */     // MIs[0] policy
     /* 1542163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1542176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542197 */     // GIR_Coverage, 4509,
     /* 1542197 */     GIR_EraseRootFromParent_Done,
     /* 1542198 */   // Label 21386: @1542198
     /* 1542198 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1542284), // Rule ID 4512 //
     /* 1542203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1542206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1542226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1542233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542249 */     // MIs[0] policy
     /* 1542249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1542262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542283 */     // GIR_Coverage, 4512,
     /* 1542283 */     GIR_EraseRootFromParent_Done,
     /* 1542284 */   // Label 21387: @1542284
     /* 1542284 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1542370), // Rule ID 4513 //
     /* 1542289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1542292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1542300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1542303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1542312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1542319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542335 */     // MIs[0] policy
     /* 1542335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1542348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542369 */     // GIR_Coverage, 4513,
     /* 1542369 */     GIR_EraseRootFromParent_Done,
     /* 1542370 */   // Label 21388: @1542370
     /* 1542370 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1542456), // Rule ID 4516 //
     /* 1542375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1542378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1542398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1542405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542421 */     // MIs[0] policy
     /* 1542421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542431 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1542434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542455 */     // GIR_Coverage, 4516,
     /* 1542455 */     GIR_EraseRootFromParent_Done,
     /* 1542456 */   // Label 21389: @1542456
     /* 1542456 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1542542), // Rule ID 4517 //
     /* 1542461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1542464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1542472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1542475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1542484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1542491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542507 */     // MIs[0] policy
     /* 1542507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1542520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542541 */     // GIR_Coverage, 4517,
     /* 1542541 */     GIR_EraseRootFromParent_Done,
     /* 1542542 */   // Label 21390: @1542542
     /* 1542542 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1542628), // Rule ID 4520 //
     /* 1542547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1542550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1542564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1542570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1542577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542593 */     // MIs[0] policy
     /* 1542593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1542606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542627 */     // GIR_Coverage, 4520,
     /* 1542627 */     GIR_EraseRootFromParent_Done,
     /* 1542628 */   // Label 21391: @1542628
     /* 1542628 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1542714), // Rule ID 4521 //
     /* 1542633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1542636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1542650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1542656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1542663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542679 */     // MIs[0] policy
     /* 1542679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1542692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542713 */     // GIR_Coverage, 4521,
     /* 1542713 */     GIR_EraseRootFromParent_Done,
     /* 1542714 */   // Label 21392: @1542714
     /* 1542714 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542800), // Rule ID 4524 //
     /* 1542719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1542722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1542736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1542742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542765 */     // MIs[0] policy
     /* 1542765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542775 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1542778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542799 */     // GIR_Coverage, 4524,
     /* 1542799 */     GIR_EraseRootFromParent_Done,
     /* 1542800 */   // Label 21393: @1542800
     /* 1542800 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542886), // Rule ID 4525 //
     /* 1542805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1542808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1542822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1542828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542851 */     // MIs[0] policy
     /* 1542851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1542864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542885 */     // GIR_Coverage, 4525,
     /* 1542885 */     GIR_EraseRootFromParent_Done,
     /* 1542886 */   // Label 21394: @1542886
     /* 1542886 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542972), // Rule ID 4528 //
     /* 1542891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1542894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1542908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1542911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1542914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1542921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1542933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542937 */     // MIs[0] policy
     /* 1542937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1542950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1542960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542971 */     // GIR_Coverage, 4528,
     /* 1542971 */     GIR_EraseRootFromParent_Done,
     /* 1542972 */   // Label 21395: @1542972
     /* 1542972 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1543058), // Rule ID 4529 //
     /* 1542977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1542980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1542985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1542994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1542997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1543000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1543019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543023 */     // MIs[0] policy
     /* 1543023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1543036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543057 */     // GIR_Coverage, 4529,
     /* 1543057 */     GIR_EraseRootFromParent_Done,
     /* 1543058 */   // Label 21396: @1543058
     /* 1543058 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1543144), // Rule ID 4532 //
     /* 1543063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1543066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1543071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1543080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1543083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1543086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1543105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543109 */     // MIs[0] policy
     /* 1543109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1543122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543143 */     // GIR_Coverage, 4532,
     /* 1543143 */     GIR_EraseRootFromParent_Done,
     /* 1543144 */   // Label 21397: @1543144
     /* 1543144 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1543230), // Rule ID 4533 //
     /* 1543149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1543152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1543157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1543160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1543163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1543166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1543169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1543172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1543191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543195 */     // MIs[0] policy
     /* 1543195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1543208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543229 */     // GIR_Coverage, 4533,
     /* 1543229 */     GIR_EraseRootFromParent_Done,
     /* 1543230 */   // Label 21398: @1543230
     /* 1543230 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1543316), // Rule ID 4536 //
     /* 1543235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1543238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1543243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1543252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1543255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1543258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1543277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543281 */     // MIs[0] policy
     /* 1543281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1543294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543315 */     // GIR_Coverage, 4536,
     /* 1543315 */     GIR_EraseRootFromParent_Done,
     /* 1543316 */   // Label 21399: @1543316
     /* 1543316 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1543402), // Rule ID 4537 //
     /* 1543321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1543324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1543329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1543332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1543335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1543338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1543341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1543344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1543363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543367 */     // MIs[0] policy
     /* 1543367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1543380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543401 */     // GIR_Coverage, 4537,
     /* 1543401 */     GIR_EraseRootFromParent_Done,
     /* 1543402 */   // Label 21400: @1543402
     /* 1543402 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1543488), // Rule ID 4546 //
     /* 1543407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1543410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1543418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1543421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1543427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1543430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543453 */     // MIs[0] policy
     /* 1543453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543463 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1543466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543487 */     // GIR_Coverage, 4546,
     /* 1543487 */     GIR_EraseRootFromParent_Done,
     /* 1543488 */   // Label 21401: @1543488
     /* 1543488 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1543574), // Rule ID 4547 //
     /* 1543493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1543496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1543504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1543507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1543510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1543513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1543516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543539 */     // MIs[0] policy
     /* 1543539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1543552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543573 */     // GIR_Coverage, 4547,
     /* 1543573 */     GIR_EraseRootFromParent_Done,
     /* 1543574 */   // Label 21402: @1543574
     /* 1543574 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1543660), // Rule ID 4556 //
     /* 1543579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1543582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1543590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1543593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1543599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1543602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543625 */     // MIs[0] policy
     /* 1543625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1543638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543659 */     // GIR_Coverage, 4556,
     /* 1543659 */     GIR_EraseRootFromParent_Done,
     /* 1543660 */   // Label 21403: @1543660
     /* 1543660 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1543746), // Rule ID 4557 //
     /* 1543665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1543668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1543676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1543679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1543682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1543685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1543688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543711 */     // MIs[0] policy
     /* 1543711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1543724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543745 */     // GIR_Coverage, 4557,
     /* 1543745 */     GIR_EraseRootFromParent_Done,
     /* 1543746 */   // Label 21404: @1543746
     /* 1543746 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543832), // Rule ID 4566 //
     /* 1543751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1543754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1543762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1543765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1543771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1543774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543797 */     // MIs[0] policy
     /* 1543797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1543810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543831 */     // GIR_Coverage, 4566,
     /* 1543831 */     GIR_EraseRootFromParent_Done,
     /* 1543832 */   // Label 21405: @1543832
     /* 1543832 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543918), // Rule ID 4567 //
     /* 1543837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1543840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1543848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1543851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1543854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1543857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1543860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543883 */     // MIs[0] policy
     /* 1543883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1543896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1543914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543917 */     // GIR_Coverage, 4567,
     /* 1543917 */     GIR_EraseRootFromParent_Done,
     /* 1543918 */   // Label 21406: @1543918
     /* 1543918 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1544004), // Rule ID 4576 //
     /* 1543923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1543926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1543931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1543934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1543943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1543946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543969 */     // MIs[0] policy
     /* 1543969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1543982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1543992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544003 */     // GIR_Coverage, 4576,
     /* 1544003 */     GIR_EraseRootFromParent_Done,
     /* 1544004 */   // Label 21407: @1544004
     /* 1544004 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1544090), // Rule ID 4577 //
     /* 1544009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1544020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1544023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1544026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1544029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1544032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1544039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544055 */     // MIs[0] policy
     /* 1544055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544065 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1544068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544089 */     // GIR_Coverage, 4577,
     /* 1544089 */     GIR_EraseRootFromParent_Done,
     /* 1544090 */   // Label 21408: @1544090
     /* 1544090 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1544176), // Rule ID 4586 //
     /* 1544095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1544106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1544109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1544115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1544118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544141 */     // MIs[0] policy
     /* 1544141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1544154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544175 */     // GIR_Coverage, 4586,
     /* 1544175 */     GIR_EraseRootFromParent_Done,
     /* 1544176 */   // Label 21409: @1544176
     /* 1544176 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1544262), // Rule ID 4587 //
     /* 1544181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1544192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1544195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1544198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1544201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1544204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544227 */     // MIs[0] policy
     /* 1544227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1544240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544261 */     // GIR_Coverage, 4587,
     /* 1544261 */     GIR_EraseRootFromParent_Done,
     /* 1544262 */   // Label 21410: @1544262
     /* 1544262 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1544348), // Rule ID 4596 //
     /* 1544267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1544278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1544281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1544284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1544287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1544290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544313 */     // MIs[0] policy
     /* 1544313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1544326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544347 */     // GIR_Coverage, 4596,
     /* 1544347 */     GIR_EraseRootFromParent_Done,
     /* 1544348 */   // Label 21411: @1544348
     /* 1544348 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1544434), // Rule ID 4597 //
     /* 1544353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1544364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1544367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1544370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1544373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1544376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544399 */     // MIs[0] policy
     /* 1544399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1544412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1544430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544433 */     // GIR_Coverage, 4597,
     /* 1544433 */     GIR_EraseRootFromParent_Done,
     /* 1544434 */   // Label 21412: @1544434
     /* 1544434 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1544520), // Rule ID 4606 //
     /* 1544439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1544462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544485 */     // MIs[0] policy
     /* 1544485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1544498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544519 */     // GIR_Coverage, 4606,
     /* 1544519 */     GIR_EraseRootFromParent_Done,
     /* 1544520 */   // Label 21413: @1544520
     /* 1544520 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1544606), // Rule ID 4607 //
     /* 1544525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1544545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1544548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544571 */     // MIs[0] policy
     /* 1544571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1544584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544605 */     // GIR_Coverage, 4607,
     /* 1544605 */     GIR_EraseRootFromParent_Done,
     /* 1544606 */   // Label 21414: @1544606
     /* 1544606 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1544692), // Rule ID 4616 //
     /* 1544611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1544634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544657 */     // MIs[0] policy
     /* 1544657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1544670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544691 */     // GIR_Coverage, 4616,
     /* 1544691 */     GIR_EraseRootFromParent_Done,
     /* 1544692 */   // Label 21415: @1544692
     /* 1544692 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1544778), // Rule ID 4617 //
     /* 1544697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1544717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1544720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544743 */     // MIs[0] policy
     /* 1544743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1544756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544777 */     // GIR_Coverage, 4617,
     /* 1544777 */     GIR_EraseRootFromParent_Done,
     /* 1544778 */   // Label 21416: @1544778
     /* 1544778 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544864), // Rule ID 4626 //
     /* 1544783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1544806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1544813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544829 */     // MIs[0] policy
     /* 1544829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1544842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544863 */     // GIR_Coverage, 4626,
     /* 1544863 */     GIR_EraseRootFromParent_Done,
     /* 1544864 */   // Label 21417: @1544864
     /* 1544864 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544950), // Rule ID 4627 //
     /* 1544869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1544872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1544886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1544889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1544892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1544899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544915 */     // MIs[0] policy
     /* 1544915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544925 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1544928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1544938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544949 */     // GIR_Coverage, 4627,
     /* 1544949 */     GIR_EraseRootFromParent_Done,
     /* 1544950 */   // Label 21418: @1544950
     /* 1544950 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1545036), // Rule ID 4636 //
     /* 1544955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1544958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1544963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1544975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1544978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545001 */     // MIs[0] policy
     /* 1545001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1545014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545035 */     // GIR_Coverage, 4636,
     /* 1545035 */     GIR_EraseRootFromParent_Done,
     /* 1545036 */   // Label 21419: @1545036
     /* 1545036 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1545122), // Rule ID 4637 //
     /* 1545041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1545044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1545064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545087 */     // MIs[0] policy
     /* 1545087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1545100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545121 */     // GIR_Coverage, 4637,
     /* 1545121 */     GIR_EraseRootFromParent_Done,
     /* 1545122 */   // Label 21420: @1545122
     /* 1545122 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1545208), // Rule ID 4646 //
     /* 1545127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1545130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1545144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1545150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545173 */     // MIs[0] policy
     /* 1545173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1545186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545207 */     // GIR_Coverage, 4646,
     /* 1545207 */     GIR_EraseRootFromParent_Done,
     /* 1545208 */   // Label 21421: @1545208
     /* 1545208 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1545294), // Rule ID 4647 //
     /* 1545213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1545216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1545230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1545236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545259 */     // MIs[0] policy
     /* 1545259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1545272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545293 */     // GIR_Coverage, 4647,
     /* 1545293 */     GIR_EraseRootFromParent_Done,
     /* 1545294 */   // Label 21422: @1545294
     /* 1545294 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1545380), // Rule ID 4656 //
     /* 1545299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1545302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1545322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545345 */     // MIs[0] policy
     /* 1545345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1545358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545379 */     // GIR_Coverage, 4656,
     /* 1545379 */     GIR_EraseRootFromParent_Done,
     /* 1545380 */   // Label 21423: @1545380
     /* 1545380 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1545466), // Rule ID 4657 //
     /* 1545385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1545388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1545408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545431 */     // MIs[0] policy
     /* 1545431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1545444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545465 */     // GIR_Coverage, 4657,
     /* 1545465 */     GIR_EraseRootFromParent_Done,
     /* 1545466 */   // Label 21424: @1545466
     /* 1545466 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1545552), // Rule ID 4666 //
     /* 1545471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1545474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1545488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1545494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545517 */     // MIs[0] policy
     /* 1545517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1545530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545551 */     // GIR_Coverage, 4666,
     /* 1545551 */     GIR_EraseRootFromParent_Done,
     /* 1545552 */   // Label 21425: @1545552
     /* 1545552 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1545638), // Rule ID 4667 //
     /* 1545557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1545560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1545568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1545571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1545574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1545577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1545580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545603 */     // MIs[0] policy
     /* 1545603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1545616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545637 */     // GIR_Coverage, 4667,
     /* 1545637 */     GIR_EraseRootFromParent_Done,
     /* 1545638 */   // Label 21426: @1545638
     /* 1545638 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1545724), // Rule ID 4676 //
     /* 1545643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1545646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1545660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1545666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545689 */     // MIs[0] policy
     /* 1545689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1545702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545723 */     // GIR_Coverage, 4676,
     /* 1545723 */     GIR_EraseRootFromParent_Done,
     /* 1545724 */   // Label 21427: @1545724
     /* 1545724 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1545810), // Rule ID 4677 //
     /* 1545729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1545732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1545740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1545743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1545746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1545749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1545752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545775 */     // MIs[0] policy
     /* 1545775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1545788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545809 */     // GIR_Coverage, 4677,
     /* 1545809 */     GIR_EraseRootFromParent_Done,
     /* 1545810 */   // Label 21428: @1545810
     /* 1545810 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545896), // Rule ID 4686 //
     /* 1545815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1545818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1545832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1545838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545861 */     // MIs[0] policy
     /* 1545861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1545874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545895 */     // GIR_Coverage, 4686,
     /* 1545895 */     GIR_EraseRootFromParent_Done,
     /* 1545896 */   // Label 21429: @1545896
     /* 1545896 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545982), // Rule ID 4687 //
     /* 1545901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1545904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1545912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1545918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1545921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1545924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545947 */     // MIs[0] policy
     /* 1545947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1545960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1545970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545981 */     // GIR_Coverage, 4687,
     /* 1545981 */     GIR_EraseRootFromParent_Done,
     /* 1545982 */   // Label 21430: @1545982
     /* 1545982 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1546068), // Rule ID 4690 //
     /* 1545987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1545990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1545995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1545998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1546010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546033 */     // MIs[0] policy
     /* 1546033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1546046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546067 */     // GIR_Coverage, 4690,
     /* 1546067 */     GIR_EraseRootFromParent_Done,
     /* 1546068 */   // Label 21431: @1546068
     /* 1546068 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1546154), // Rule ID 4691 //
     /* 1546073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1546084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1546096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546119 */     // MIs[0] policy
     /* 1546119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546129 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1546132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546153 */     // GIR_Coverage, 4691,
     /* 1546153 */     GIR_EraseRootFromParent_Done,
     /* 1546154 */   // Label 21432: @1546154
     /* 1546154 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1546240), // Rule ID 4694 //
     /* 1546159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1546162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1546182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546205 */     // MIs[0] policy
     /* 1546205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546215 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1546218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546239 */     // GIR_Coverage, 4694,
     /* 1546239 */     GIR_EraseRootFromParent_Done,
     /* 1546240 */   // Label 21433: @1546240
     /* 1546240 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1546326), // Rule ID 4695 //
     /* 1546245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1546268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546291 */     // MIs[0] policy
     /* 1546291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546301 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1546304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546325 */     // GIR_Coverage, 4695,
     /* 1546325 */     GIR_EraseRootFromParent_Done,
     /* 1546326 */   // Label 21434: @1546326
     /* 1546326 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1546412), // Rule ID 4698 //
     /* 1546331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1546334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1546354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546377 */     // MIs[0] policy
     /* 1546377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1546390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546411 */     // GIR_Coverage, 4698,
     /* 1546411 */     GIR_EraseRootFromParent_Done,
     /* 1546412 */   // Label 21435: @1546412
     /* 1546412 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1546498), // Rule ID 4699 //
     /* 1546417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1546428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1546431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1546434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1546440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546463 */     // MIs[0] policy
     /* 1546463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1546476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546497 */     // GIR_Coverage, 4699,
     /* 1546497 */     GIR_EraseRootFromParent_Done,
     /* 1546498 */   // Label 21436: @1546498
     /* 1546498 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1546584), // Rule ID 4702 //
     /* 1546503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1546506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1546526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546549 */     // MIs[0] policy
     /* 1546549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1546562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546583 */     // GIR_Coverage, 4702,
     /* 1546583 */     GIR_EraseRootFromParent_Done,
     /* 1546584 */   // Label 21437: @1546584
     /* 1546584 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1546670), // Rule ID 4703 //
     /* 1546589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1546600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1546603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1546606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1546612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546635 */     // MIs[0] policy
     /* 1546635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1546648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546669 */     // GIR_Coverage, 4703,
     /* 1546669 */     GIR_EraseRootFromParent_Done,
     /* 1546670 */   // Label 21438: @1546670
     /* 1546670 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1546756), // Rule ID 4706 //
     /* 1546675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1546678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1546698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546721 */     // MIs[0] policy
     /* 1546721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1546734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546755 */     // GIR_Coverage, 4706,
     /* 1546755 */     GIR_EraseRootFromParent_Done,
     /* 1546756 */   // Label 21439: @1546756
     /* 1546756 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1546842), // Rule ID 4707 //
     /* 1546761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1546772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1546775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1546778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1546784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546807 */     // MIs[0] policy
     /* 1546807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1546820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546841 */     // GIR_Coverage, 4707,
     /* 1546841 */     GIR_EraseRootFromParent_Done,
     /* 1546842 */   // Label 21440: @1546842
     /* 1546842 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546928), // Rule ID 4710 //
     /* 1546847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1546850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1546867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1546870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546893 */     // MIs[0] policy
     /* 1546893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546903 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1546906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1546916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1546924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546927 */     // GIR_Coverage, 4710,
     /* 1546927 */     GIR_EraseRootFromParent_Done,
     /* 1546928 */   // Label 21441: @1546928
     /* 1546928 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1547014), // Rule ID 4711 //
     /* 1546933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1546936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1546941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1546944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1546947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1546950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1546953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1546956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1546975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546979 */     // MIs[0] policy
     /* 1546979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1546992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1547010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547013 */     // GIR_Coverage, 4711,
     /* 1547013 */     GIR_EraseRootFromParent_Done,
     /* 1547014 */   // Label 21442: @1547014
     /* 1547014 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1547100), // Rule ID 4714 //
     /* 1547019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1547022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1547042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547065 */     // MIs[0] policy
     /* 1547065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547075 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1547078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547099 */     // GIR_Coverage, 4714,
     /* 1547099 */     GIR_EraseRootFromParent_Done,
     /* 1547100 */   // Label 21443: @1547100
     /* 1547100 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1547186), // Rule ID 4715 //
     /* 1547105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1547108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1547128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547151 */     // MIs[0] policy
     /* 1547151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1547164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547185 */     // GIR_Coverage, 4715,
     /* 1547185 */     GIR_EraseRootFromParent_Done,
     /* 1547186 */   // Label 21444: @1547186
     /* 1547186 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1547272), // Rule ID 4718 //
     /* 1547191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1547194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1547214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547237 */     // MIs[0] policy
     /* 1547237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1547250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547271 */     // GIR_Coverage, 4718,
     /* 1547271 */     GIR_EraseRootFromParent_Done,
     /* 1547272 */   // Label 21445: @1547272
     /* 1547272 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1547358), // Rule ID 4719 //
     /* 1547277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1547280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1547300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547323 */     // MIs[0] policy
     /* 1547323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1547336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547357 */     // GIR_Coverage, 4719,
     /* 1547357 */     GIR_EraseRootFromParent_Done,
     /* 1547358 */   // Label 21446: @1547358
     /* 1547358 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1547444), // Rule ID 4722 //
     /* 1547363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1547366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1547386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547409 */     // MIs[0] policy
     /* 1547409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1547422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547443 */     // GIR_Coverage, 4722,
     /* 1547443 */     GIR_EraseRootFromParent_Done,
     /* 1547444 */   // Label 21447: @1547444
     /* 1547444 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1547530), // Rule ID 4723 //
     /* 1547449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1547452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1547466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1547472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547495 */     // MIs[0] policy
     /* 1547495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1547508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547529 */     // GIR_Coverage, 4723,
     /* 1547529 */     GIR_EraseRootFromParent_Done,
     /* 1547530 */   // Label 21448: @1547530
     /* 1547530 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1547616), // Rule ID 4726 //
     /* 1547535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1547538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1547558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547581 */     // MIs[0] policy
     /* 1547581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547591 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1547594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547615 */     // GIR_Coverage, 4726,
     /* 1547615 */     GIR_EraseRootFromParent_Done,
     /* 1547616 */   // Label 21449: @1547616
     /* 1547616 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1547702), // Rule ID 4727 //
     /* 1547621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1547624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1547638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1547644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547667 */     // MIs[0] policy
     /* 1547667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1547680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547701 */     // GIR_Coverage, 4727,
     /* 1547701 */     GIR_EraseRootFromParent_Done,
     /* 1547702 */   // Label 21450: @1547702
     /* 1547702 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1547788), // Rule ID 4730 //
     /* 1547707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1547710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1547730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547753 */     // MIs[0] policy
     /* 1547753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1547766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547787 */     // GIR_Coverage, 4730,
     /* 1547787 */     GIR_EraseRootFromParent_Done,
     /* 1547788 */   // Label 21451: @1547788
     /* 1547788 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1547874), // Rule ID 4731 //
     /* 1547793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1547796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1547810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1547816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547839 */     // MIs[0] policy
     /* 1547839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1547852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547873 */     // GIR_Coverage, 4731,
     /* 1547873 */     GIR_EraseRootFromParent_Done,
     /* 1547874 */   // Label 21452: @1547874
     /* 1547874 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1547960), // Rule ID 4734 //
     /* 1547879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1547882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1547899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1547902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1547921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547925 */     // MIs[0] policy
     /* 1547925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1547938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1547948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547959 */     // GIR_Coverage, 4734,
     /* 1547959 */     GIR_EraseRootFromParent_Done,
     /* 1547960 */   // Label 21453: @1547960
     /* 1547960 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1548046), // Rule ID 4735 //
     /* 1547965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1547968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1547973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1547985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1547988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548011 */     // MIs[0] policy
     /* 1548011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1548024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548045 */     // GIR_Coverage, 4735,
     /* 1548045 */     GIR_EraseRootFromParent_Done,
     /* 1548046 */   // Label 21454: @1548046
     /* 1548046 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1548132), // Rule ID 4738 //
     /* 1548051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1548054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1548071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1548074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548097 */     // MIs[0] policy
     /* 1548097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1548110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548131 */     // GIR_Coverage, 4738,
     /* 1548131 */     GIR_EraseRootFromParent_Done,
     /* 1548132 */   // Label 21455: @1548132
     /* 1548132 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1548218), // Rule ID 4739 //
     /* 1548137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1548140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1548157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1548160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548183 */     // MIs[0] policy
     /* 1548183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1548196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548217 */     // GIR_Coverage, 4739,
     /* 1548217 */     GIR_EraseRootFromParent_Done,
     /* 1548218 */   // Label 21456: @1548218
     /* 1548218 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1548304), // Rule ID 4742 //
     /* 1548223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1548226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1548243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1548246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548269 */     // MIs[0] policy
     /* 1548269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548279 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1548282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548303 */     // GIR_Coverage, 4742,
     /* 1548303 */     GIR_EraseRootFromParent_Done,
     /* 1548304 */   // Label 21457: @1548304
     /* 1548304 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1548390), // Rule ID 4743 //
     /* 1548309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1548312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1548329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1548332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548355 */     // MIs[0] policy
     /* 1548355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1548368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548389 */     // GIR_Coverage, 4743,
     /* 1548389 */     GIR_EraseRootFromParent_Done,
     /* 1548390 */   // Label 21458: @1548390
     /* 1548390 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1548476), // Rule ID 4746 //
     /* 1548395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1548398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1548415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1548418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548441 */     // MIs[0] policy
     /* 1548441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1548454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548475 */     // GIR_Coverage, 4746,
     /* 1548475 */     GIR_EraseRootFromParent_Done,
     /* 1548476 */   // Label 21459: @1548476
     /* 1548476 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1548562), // Rule ID 4747 //
     /* 1548481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1548484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1548489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1548501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1548504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1548523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548527 */     // MIs[0] policy
     /* 1548527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1548540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548561 */     // GIR_Coverage, 4747,
     /* 1548561 */     GIR_EraseRootFromParent_Done,
     /* 1548562 */   // Label 21460: @1548562
     /* 1548562 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1548648), // Rule ID 5624 //
     /* 1548567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1548570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1548575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1548578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1548581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1548584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1548587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1548590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548613 */     // MIs[0] policy
     /* 1548613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548623 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1548626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548647 */     // GIR_Coverage, 5624,
     /* 1548647 */     GIR_EraseRootFromParent_Done,
     /* 1548648 */   // Label 21461: @1548648
     /* 1548648 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1548734), // Rule ID 5625 //
     /* 1548653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1548656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1548661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1548664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1548667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1548670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1548673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1548676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548699 */     // MIs[0] policy
     /* 1548699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1548712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548733 */     // GIR_Coverage, 5625,
     /* 1548733 */     GIR_EraseRootFromParent_Done,
     /* 1548734 */   // Label 21462: @1548734
     /* 1548734 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1548820), // Rule ID 5628 //
     /* 1548739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1548742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1548747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1548750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1548753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1548756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1548759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1548762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548785 */     // MIs[0] policy
     /* 1548785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548795 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1548798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548819 */     // GIR_Coverage, 5628,
     /* 1548819 */     GIR_EraseRootFromParent_Done,
     /* 1548820 */   // Label 21463: @1548820
     /* 1548820 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1548906), // Rule ID 5629 //
     /* 1548825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1548828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1548833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1548836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1548839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1548842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1548845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1548848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548871 */     // MIs[0] policy
     /* 1548871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548881 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1548884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548905 */     // GIR_Coverage, 5629,
     /* 1548905 */     GIR_EraseRootFromParent_Done,
     /* 1548906 */   // Label 21464: @1548906
     /* 1548906 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1548992), // Rule ID 5632 //
     /* 1548911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1548914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1548919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1548922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1548925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1548928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1548931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1548934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548957 */     // MIs[0] policy
     /* 1548957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1548970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1548980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548991 */     // GIR_Coverage, 5632,
     /* 1548991 */     GIR_EraseRootFromParent_Done,
     /* 1548992 */   // Label 21465: @1548992
     /* 1548992 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1549078), // Rule ID 5633 //
     /* 1548997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1549008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1549011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1549014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1549017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1549020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549043 */     // MIs[0] policy
     /* 1549043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549053 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1549056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549077 */     // GIR_Coverage, 5633,
     /* 1549077 */     GIR_EraseRootFromParent_Done,
     /* 1549078 */   // Label 21466: @1549078
     /* 1549078 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1549164), // Rule ID 5636 //
     /* 1549083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1549106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549129 */     // MIs[0] policy
     /* 1549129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1549142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549163 */     // GIR_Coverage, 5636,
     /* 1549163 */     GIR_EraseRootFromParent_Done,
     /* 1549164 */   // Label 21467: @1549164
     /* 1549164 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1549250), // Rule ID 5637 //
     /* 1549169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1549192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549215 */     // MIs[0] policy
     /* 1549215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1549228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549249 */     // GIR_Coverage, 5637,
     /* 1549249 */     GIR_EraseRootFromParent_Done,
     /* 1549250 */   // Label 21468: @1549250
     /* 1549250 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1549336), // Rule ID 5640 //
     /* 1549255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1549278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549301 */     // MIs[0] policy
     /* 1549301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1549314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549335 */     // GIR_Coverage, 5640,
     /* 1549335 */     GIR_EraseRootFromParent_Done,
     /* 1549336 */   // Label 21469: @1549336
     /* 1549336 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1549422), // Rule ID 5641 //
     /* 1549341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1549364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549387 */     // MIs[0] policy
     /* 1549387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1549400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549421 */     // GIR_Coverage, 5641,
     /* 1549421 */     GIR_EraseRootFromParent_Done,
     /* 1549422 */   // Label 21470: @1549422
     /* 1549422 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1549508), // Rule ID 5644 //
     /* 1549427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1549450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549473 */     // MIs[0] policy
     /* 1549473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1549486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549507 */     // GIR_Coverage, 5644,
     /* 1549507 */     GIR_EraseRootFromParent_Done,
     /* 1549508 */   // Label 21471: @1549508
     /* 1549508 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1549594), // Rule ID 5645 //
     /* 1549513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1549533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1549536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549559 */     // MIs[0] policy
     /* 1549559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1549572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549593 */     // GIR_Coverage, 5645,
     /* 1549593 */     GIR_EraseRootFromParent_Done,
     /* 1549594 */   // Label 21472: @1549594
     /* 1549594 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1549680), // Rule ID 5648 //
     /* 1549599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1549610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1549613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1549616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1549619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1549622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549645 */     // MIs[0] policy
     /* 1549645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1549658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549679 */     // GIR_Coverage, 5648,
     /* 1549679 */     GIR_EraseRootFromParent_Done,
     /* 1549680 */   // Label 21473: @1549680
     /* 1549680 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1549766), // Rule ID 5649 //
     /* 1549685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1549696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1549699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1549702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1549705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1549708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549731 */     // MIs[0] policy
     /* 1549731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1549744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549765 */     // GIR_Coverage, 5649,
     /* 1549765 */     GIR_EraseRootFromParent_Done,
     /* 1549766 */   // Label 21474: @1549766
     /* 1549766 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1549852), // Rule ID 5652 //
     /* 1549771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1549794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549817 */     // MIs[0] policy
     /* 1549817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1549830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549851 */     // GIR_Coverage, 5652,
     /* 1549851 */     GIR_EraseRootFromParent_Done,
     /* 1549852 */   // Label 21475: @1549852
     /* 1549852 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1549938), // Rule ID 5653 //
     /* 1549857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1549860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1549880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549903 */     // MIs[0] policy
     /* 1549903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1549916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1549926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549937 */     // GIR_Coverage, 5653,
     /* 1549937 */     GIR_EraseRootFromParent_Done,
     /* 1549938 */   // Label 21476: @1549938
     /* 1549938 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1550024), // Rule ID 5656 //
     /* 1549943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1549946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1549951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1549966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549989 */     // MIs[0] policy
     /* 1549989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1550002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550023 */     // GIR_Coverage, 5656,
     /* 1550023 */     GIR_EraseRootFromParent_Done,
     /* 1550024 */   // Label 21477: @1550024
     /* 1550024 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1550110), // Rule ID 5657 //
     /* 1550029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1550032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1550040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1550043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1550052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550075 */     // MIs[0] policy
     /* 1550075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1550088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550109 */     // GIR_Coverage, 5657,
     /* 1550109 */     GIR_EraseRootFromParent_Done,
     /* 1550110 */   // Label 21478: @1550110
     /* 1550110 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1550196), // Rule ID 5660 //
     /* 1550115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1550118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1550135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1550138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550161 */     // MIs[0] policy
     /* 1550161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1550174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550195 */     // GIR_Coverage, 5660,
     /* 1550195 */     GIR_EraseRootFromParent_Done,
     /* 1550196 */   // Label 21479: @1550196
     /* 1550196 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1550282), // Rule ID 5661 //
     /* 1550201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1550204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1550221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1550224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550247 */     // MIs[0] policy
     /* 1550247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1550260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550281 */     // GIR_Coverage, 5661,
     /* 1550281 */     GIR_EraseRootFromParent_Done,
     /* 1550282 */   // Label 21480: @1550282
     /* 1550282 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1550368), // Rule ID 5664 //
     /* 1550287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1550290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1550298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1550301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1550304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1550307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1550310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550333 */     // MIs[0] policy
     /* 1550333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1550346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550367 */     // GIR_Coverage, 5664,
     /* 1550367 */     GIR_EraseRootFromParent_Done,
     /* 1550368 */   // Label 21481: @1550368
     /* 1550368 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1550454), // Rule ID 5665 //
     /* 1550373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1550376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1550384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1550387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1550390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1550393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1550396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550419 */     // MIs[0] policy
     /* 1550419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550429 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1550432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550453 */     // GIR_Coverage, 5665,
     /* 1550453 */     GIR_EraseRootFromParent_Done,
     /* 1550454 */   // Label 21482: @1550454
     /* 1550454 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1550540), // Rule ID 5668 //
     /* 1550459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1550462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1550470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1550473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1550476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1550479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1550482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550505 */     // MIs[0] policy
     /* 1550505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550515 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1550518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550539 */     // GIR_Coverage, 5668,
     /* 1550539 */     GIR_EraseRootFromParent_Done,
     /* 1550540 */   // Label 21483: @1550540
     /* 1550540 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1550626), // Rule ID 5669 //
     /* 1550545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1550548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1550556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1550559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1550562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1550565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1550568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550591 */     // MIs[0] policy
     /* 1550591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1550604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550625 */     // GIR_Coverage, 5669,
     /* 1550625 */     GIR_EraseRootFromParent_Done,
     /* 1550626 */   // Label 21484: @1550626
     /* 1550626 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1550712), // Rule ID 5672 //
     /* 1550631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1550634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1550642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1550645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1550648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1550651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1550654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550677 */     // MIs[0] policy
     /* 1550677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1550690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550711 */     // GIR_Coverage, 5672,
     /* 1550711 */     GIR_EraseRootFromParent_Done,
     /* 1550712 */   // Label 21485: @1550712
     /* 1550712 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1550798), // Rule ID 5673 //
     /* 1550717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1550720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1550728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1550731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1550734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1550737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1550740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550763 */     // MIs[0] policy
     /* 1550763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1550776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1550794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550797 */     // GIR_Coverage, 5673,
     /* 1550797 */     GIR_EraseRootFromParent_Done,
     /* 1550798 */   // Label 21486: @1550798
     /* 1550798 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1550884), // Rule ID 5676 //
     /* 1550803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1550806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1550826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550849 */     // MIs[0] policy
     /* 1550849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1550862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550883 */     // GIR_Coverage, 5676,
     /* 1550883 */     GIR_EraseRootFromParent_Done,
     /* 1550884 */   // Label 21487: @1550884
     /* 1550884 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1550970), // Rule ID 5677 //
     /* 1550889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1550892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1550912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550935 */     // MIs[0] policy
     /* 1550935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1550948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1550958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550969 */     // GIR_Coverage, 5677,
     /* 1550969 */     GIR_EraseRootFromParent_Done,
     /* 1550970 */   // Label 21488: @1550970
     /* 1550970 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1551056), // Rule ID 5680 //
     /* 1550975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1550978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1550983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1550998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551021 */     // MIs[0] policy
     /* 1551021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1551034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551055 */     // GIR_Coverage, 5680,
     /* 1551055 */     GIR_EraseRootFromParent_Done,
     /* 1551056 */   // Label 21489: @1551056
     /* 1551056 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1551142), // Rule ID 5681 //
     /* 1551061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1551064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1551072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1551075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1551084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551107 */     // MIs[0] policy
     /* 1551107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1551120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551141 */     // GIR_Coverage, 5681,
     /* 1551141 */     GIR_EraseRootFromParent_Done,
     /* 1551142 */   // Label 21490: @1551142
     /* 1551142 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1551228), // Rule ID 5684 //
     /* 1551147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1551150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1551167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1551170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551193 */     // MIs[0] policy
     /* 1551193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1551206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551227 */     // GIR_Coverage, 5684,
     /* 1551227 */     GIR_EraseRootFromParent_Done,
     /* 1551228 */   // Label 21491: @1551228
     /* 1551228 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1551314), // Rule ID 5685 //
     /* 1551233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1551236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1551244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1551247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1551250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1551253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1551256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551279 */     // MIs[0] policy
     /* 1551279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551289 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1551292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551313 */     // GIR_Coverage, 5685,
     /* 1551313 */     GIR_EraseRootFromParent_Done,
     /* 1551314 */   // Label 21492: @1551314
     /* 1551314 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1551400), // Rule ID 5688 //
     /* 1551319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1551322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1551339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1551342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551365 */     // MIs[0] policy
     /* 1551365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1551378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551399 */     // GIR_Coverage, 5688,
     /* 1551399 */     GIR_EraseRootFromParent_Done,
     /* 1551400 */   // Label 21493: @1551400
     /* 1551400 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1551486), // Rule ID 5689 //
     /* 1551405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1551408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1551422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1551425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1551428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551451 */     // MIs[0] policy
     /* 1551451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1551464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551485 */     // GIR_Coverage, 5689,
     /* 1551485 */     GIR_EraseRootFromParent_Done,
     /* 1551486 */   // Label 21494: @1551486
     /* 1551486 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1551572), // Rule ID 5692 //
     /* 1551491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1551494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1551511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1551514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551537 */     // MIs[0] policy
     /* 1551537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1551550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551571 */     // GIR_Coverage, 5692,
     /* 1551571 */     GIR_EraseRootFromParent_Done,
     /* 1551572 */   // Label 21495: @1551572
     /* 1551572 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1551658), // Rule ID 5693 //
     /* 1551577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1551580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1551594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1551597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1551600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551623 */     // MIs[0] policy
     /* 1551623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1551636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551657 */     // GIR_Coverage, 5693,
     /* 1551657 */     GIR_EraseRootFromParent_Done,
     /* 1551658 */   // Label 21496: @1551658
     /* 1551658 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1551744), // Rule ID 5696 //
     /* 1551663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1551666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1551683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1551686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551709 */     // MIs[0] policy
     /* 1551709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1551722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551743 */     // GIR_Coverage, 5696,
     /* 1551743 */     GIR_EraseRootFromParent_Done,
     /* 1551744 */   // Label 21497: @1551744
     /* 1551744 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1551830), // Rule ID 5697 //
     /* 1551749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1551752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1551769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1551772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551795 */     // MIs[0] policy
     /* 1551795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1551808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551829 */     // GIR_Coverage, 5697,
     /* 1551829 */     GIR_EraseRootFromParent_Done,
     /* 1551830 */   // Label 21498: @1551830
     /* 1551830 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1551916), // Rule ID 5700 //
     /* 1551835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1551838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1551855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1551858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551881 */     // MIs[0] policy
     /* 1551881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1551894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551915 */     // GIR_Coverage, 5700,
     /* 1551915 */     GIR_EraseRootFromParent_Done,
     /* 1551916 */   // Label 21499: @1551916
     /* 1551916 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1552002), // Rule ID 5701 //
     /* 1551921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1551924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1551929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1551941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1551944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551967 */     // MIs[0] policy
     /* 1551967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1551980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1551990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552001 */     // GIR_Coverage, 5701,
     /* 1552001 */     GIR_EraseRootFromParent_Done,
     /* 1552002 */   // Label 21500: @1552002
     /* 1552002 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1552088), // Rule ID 5704 //
     /* 1552007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1552010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1552027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1552030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552053 */     // MIs[0] policy
     /* 1552053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552063 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1552066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552087 */     // GIR_Coverage, 5704,
     /* 1552087 */     GIR_EraseRootFromParent_Done,
     /* 1552088 */   // Label 21501: @1552088
     /* 1552088 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1552174), // Rule ID 5705 //
     /* 1552093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1552096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1552110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1552113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1552116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552139 */     // MIs[0] policy
     /* 1552139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1552152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552173 */     // GIR_Coverage, 5705,
     /* 1552173 */     GIR_EraseRootFromParent_Done,
     /* 1552174 */   // Label 21502: @1552174
     /* 1552174 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1552260), // Rule ID 5708 //
     /* 1552179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1552182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1552199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1552202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552225 */     // MIs[0] policy
     /* 1552225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1552238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552259 */     // GIR_Coverage, 5708,
     /* 1552259 */     GIR_EraseRootFromParent_Done,
     /* 1552260 */   // Label 21503: @1552260
     /* 1552260 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1552346), // Rule ID 5709 //
     /* 1552265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1552268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1552282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1552285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1552288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552311 */     // MIs[0] policy
     /* 1552311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1552324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552345 */     // GIR_Coverage, 5709,
     /* 1552345 */     GIR_EraseRootFromParent_Done,
     /* 1552346 */   // Label 21504: @1552346
     /* 1552346 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1552432), // Rule ID 5712 //
     /* 1552351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1552354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1552362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1552365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1552368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1552371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1552374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552397 */     // MIs[0] policy
     /* 1552397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1552410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552431 */     // GIR_Coverage, 5712,
     /* 1552431 */     GIR_EraseRootFromParent_Done,
     /* 1552432 */   // Label 21505: @1552432
     /* 1552432 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1552518), // Rule ID 5713 //
     /* 1552437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1552440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1552448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1552451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1552454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1552457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1552460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552483 */     // MIs[0] policy
     /* 1552483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1552496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552517 */     // GIR_Coverage, 5713,
     /* 1552517 */     GIR_EraseRootFromParent_Done,
     /* 1552518 */   // Label 21506: @1552518
     /* 1552518 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1552604), // Rule ID 5716 //
     /* 1552523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1552526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1552534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1552537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1552540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1552543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1552546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552569 */     // MIs[0] policy
     /* 1552569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552579 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1552582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552603 */     // GIR_Coverage, 5716,
     /* 1552603 */     GIR_EraseRootFromParent_Done,
     /* 1552604 */   // Label 21507: @1552604
     /* 1552604 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1552690), // Rule ID 5717 //
     /* 1552609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1552612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1552620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1552623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1552626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1552629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1552632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552655 */     // MIs[0] policy
     /* 1552655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1552668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552689 */     // GIR_Coverage, 5717,
     /* 1552689 */     GIR_EraseRootFromParent_Done,
     /* 1552690 */   // Label 21508: @1552690
     /* 1552690 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1552776), // Rule ID 5720 //
     /* 1552695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1552698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1552706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1552709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1552712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1552715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1552718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552741 */     // MIs[0] policy
     /* 1552741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1552754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552775 */     // GIR_Coverage, 5720,
     /* 1552775 */     GIR_EraseRootFromParent_Done,
     /* 1552776 */   // Label 21509: @1552776
     /* 1552776 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1552862), // Rule ID 5721 //
     /* 1552781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1552784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1552792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1552795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1552798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1552801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1552804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552827 */     // MIs[0] policy
     /* 1552827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552837 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1552840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552861 */     // GIR_Coverage, 5721,
     /* 1552861 */     GIR_EraseRootFromParent_Done,
     /* 1552862 */   // Label 21510: @1552862
     /* 1552862 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1552948), // Rule ID 5724 //
     /* 1552867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1552870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1552887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1552890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552913 */     // MIs[0] policy
     /* 1552913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1552926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1552936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552947 */     // GIR_Coverage, 5724,
     /* 1552947 */     GIR_EraseRootFromParent_Done,
     /* 1552948 */   // Label 21511: @1552948
     /* 1552948 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1553034), // Rule ID 5725 //
     /* 1552953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1552956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1552961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1552970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1552973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1552976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1552995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552999 */     // MIs[0] policy
     /* 1552999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1553012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553033 */     // GIR_Coverage, 5725,
     /* 1553033 */     GIR_EraseRootFromParent_Done,
     /* 1553034 */   // Label 21512: @1553034
     /* 1553034 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1553120), // Rule ID 5728 //
     /* 1553039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1553042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1553062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553085 */     // MIs[0] policy
     /* 1553085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1553098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553119 */     // GIR_Coverage, 5728,
     /* 1553119 */     GIR_EraseRootFromParent_Done,
     /* 1553120 */   // Label 21513: @1553120
     /* 1553120 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1553206), // Rule ID 5729 //
     /* 1553125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1553128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1553142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1553145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1553148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553171 */     // MIs[0] policy
     /* 1553171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1553184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553205 */     // GIR_Coverage, 5729,
     /* 1553205 */     GIR_EraseRootFromParent_Done,
     /* 1553206 */   // Label 21514: @1553206
     /* 1553206 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1553292), // Rule ID 5732 //
     /* 1553211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1553214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1553234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553257 */     // MIs[0] policy
     /* 1553257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1553270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553291 */     // GIR_Coverage, 5732,
     /* 1553291 */     GIR_EraseRootFromParent_Done,
     /* 1553292 */   // Label 21515: @1553292
     /* 1553292 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1553378), // Rule ID 5733 //
     /* 1553297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1553300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1553314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1553317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1553320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553343 */     // MIs[0] policy
     /* 1553343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1553356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553377 */     // GIR_Coverage, 5733,
     /* 1553377 */     GIR_EraseRootFromParent_Done,
     /* 1553378 */   // Label 21516: @1553378
     /* 1553378 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1553464), // Rule ID 5736 //
     /* 1553383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1553386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1553394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1553397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1553400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1553406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553429 */     // MIs[0] policy
     /* 1553429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553439 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1553460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553463 */     // GIR_Coverage, 5736,
     /* 1553463 */     GIR_EraseRootFromParent_Done,
     /* 1553464 */   // Label 21517: @1553464
     /* 1553464 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1553550), // Rule ID 5737 //
     /* 1553469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1553472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1553480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1553483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1553486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1553489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1553492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553515 */     // MIs[0] policy
     /* 1553515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553525 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1553546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553549 */     // GIR_Coverage, 5737,
     /* 1553549 */     GIR_EraseRootFromParent_Done,
     /* 1553550 */   // Label 21518: @1553550
     /* 1553550 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1553636), // Rule ID 5740 //
     /* 1553555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1553558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1553578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553601 */     // MIs[0] policy
     /* 1553601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553635 */     // GIR_Coverage, 5740,
     /* 1553635 */     GIR_EraseRootFromParent_Done,
     /* 1553636 */   // Label 21519: @1553636
     /* 1553636 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1553722), // Rule ID 5741 //
     /* 1553641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1553644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1553658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1553661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1553664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553687 */     // MIs[0] policy
     /* 1553687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553721 */     // GIR_Coverage, 5741,
     /* 1553721 */     GIR_EraseRootFromParent_Done,
     /* 1553722 */   // Label 21520: @1553722
     /* 1553722 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1553808), // Rule ID 5744 //
     /* 1553727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1553730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1553750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553773 */     // MIs[0] policy
     /* 1553773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553807 */     // GIR_Coverage, 5744,
     /* 1553807 */     GIR_EraseRootFromParent_Done,
     /* 1553808 */   // Label 21521: @1553808
     /* 1553808 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1553894), // Rule ID 5745 //
     /* 1553813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1553816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1553824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1553827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1553833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1553836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553859 */     // MIs[0] policy
     /* 1553859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553893 */     // GIR_Coverage, 5745,
     /* 1553893 */     GIR_EraseRootFromParent_Done,
     /* 1553894 */   // Label 21522: @1553894
     /* 1553894 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1553980), // Rule ID 5748 //
     /* 1553899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1553902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1553919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1553922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1553941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553945 */     // MIs[0] policy
     /* 1553945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1553958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1553968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553979 */     // GIR_Coverage, 5748,
     /* 1553979 */     GIR_EraseRootFromParent_Done,
     /* 1553980 */   // Label 21523: @1553980
     /* 1553980 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1554066), // Rule ID 5749 //
     /* 1553985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1553988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1553993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1554002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1554008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554031 */     // MIs[0] policy
     /* 1554031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554041 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1554044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554065 */     // GIR_Coverage, 5749,
     /* 1554065 */     GIR_EraseRootFromParent_Done,
     /* 1554066 */   // Label 21524: @1554066
     /* 1554066 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1554152), // Rule ID 5752 //
     /* 1554071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1554082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1554085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1554088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1554094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554117 */     // MIs[0] policy
     /* 1554117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1554130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554151 */     // GIR_Coverage, 5752,
     /* 1554151 */     GIR_EraseRootFromParent_Done,
     /* 1554152 */   // Label 21525: @1554152
     /* 1554152 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1554238), // Rule ID 5753 //
     /* 1554157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1554160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1554168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1554171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1554174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1554180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554203 */     // MIs[0] policy
     /* 1554203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1554216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554237 */     // GIR_Coverage, 5753,
     /* 1554237 */     GIR_EraseRootFromParent_Done,
     /* 1554238 */   // Label 21526: @1554238
     /* 1554238 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1554324), // Rule ID 5756 //
     /* 1554243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1554254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1554257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1554260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1554266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554289 */     // MIs[0] policy
     /* 1554289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1554302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554323 */     // GIR_Coverage, 5756,
     /* 1554323 */     GIR_EraseRootFromParent_Done,
     /* 1554324 */   // Label 21527: @1554324
     /* 1554324 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1554410), // Rule ID 5757 //
     /* 1554329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1554332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1554340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1554343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1554346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1554352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554375 */     // MIs[0] policy
     /* 1554375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554385 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1554388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554409 */     // GIR_Coverage, 5757,
     /* 1554409 */     GIR_EraseRootFromParent_Done,
     /* 1554410 */   // Label 21528: @1554410
     /* 1554410 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1554496), // Rule ID 5760 //
     /* 1554415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1554426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1554429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1554432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1554438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554461 */     // MIs[0] policy
     /* 1554461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1554474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554495 */     // GIR_Coverage, 5760,
     /* 1554495 */     GIR_EraseRootFromParent_Done,
     /* 1554496 */   // Label 21529: @1554496
     /* 1554496 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1554582), // Rule ID 5761 //
     /* 1554501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1554504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1554512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1554515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1554518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1554524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554547 */     // MIs[0] policy
     /* 1554547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554557 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1554560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1554578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554581 */     // GIR_Coverage, 5761,
     /* 1554581 */     GIR_EraseRootFromParent_Done,
     /* 1554582 */   // Label 21530: @1554582
     /* 1554582 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1554668), // Rule ID 5764 //
     /* 1554587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1554610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554633 */     // MIs[0] policy
     /* 1554633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1554646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554667 */     // GIR_Coverage, 5764,
     /* 1554667 */     GIR_EraseRootFromParent_Done,
     /* 1554668 */   // Label 21531: @1554668
     /* 1554668 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1554754), // Rule ID 5765 //
     /* 1554673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1554676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1554696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554719 */     // MIs[0] policy
     /* 1554719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1554732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554753 */     // GIR_Coverage, 5765,
     /* 1554753 */     GIR_EraseRootFromParent_Done,
     /* 1554754 */   // Label 21532: @1554754
     /* 1554754 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1554840), // Rule ID 5768 //
     /* 1554759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1554782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554805 */     // MIs[0] policy
     /* 1554805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554815 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1554818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554839 */     // GIR_Coverage, 5768,
     /* 1554839 */     GIR_EraseRootFromParent_Done,
     /* 1554840 */   // Label 21533: @1554840
     /* 1554840 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1554926), // Rule ID 5769 //
     /* 1554845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1554848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1554856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1554859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1554865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1554868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554891 */     // MIs[0] policy
     /* 1554891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1554904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1554914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554925 */     // GIR_Coverage, 5769,
     /* 1554925 */     GIR_EraseRootFromParent_Done,
     /* 1554926 */   // Label 21534: @1554926
     /* 1554926 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1555012), // Rule ID 5772 //
     /* 1554931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1554934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1554939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1554942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1554945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1554948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1554951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1554954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1554973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554977 */     // MIs[0] policy
     /* 1554977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1554990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555011 */     // GIR_Coverage, 5772,
     /* 1555011 */     GIR_EraseRootFromParent_Done,
     /* 1555012 */   // Label 21535: @1555012
     /* 1555012 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1555098), // Rule ID 5773 //
     /* 1555017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1555020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1555028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1555031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1555034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1555040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555063 */     // MIs[0] policy
     /* 1555063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1555076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555097 */     // GIR_Coverage, 5773,
     /* 1555097 */     GIR_EraseRootFromParent_Done,
     /* 1555098 */   // Label 21536: @1555098
     /* 1555098 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1555184), // Rule ID 5776 //
     /* 1555103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1555106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1555126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555149 */     // MIs[0] policy
     /* 1555149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1555162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555183 */     // GIR_Coverage, 5776,
     /* 1555183 */     GIR_EraseRootFromParent_Done,
     /* 1555184 */   // Label 21537: @1555184
     /* 1555184 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1555270), // Rule ID 5777 //
     /* 1555189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1555192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1555212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555235 */     // MIs[0] policy
     /* 1555235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1555248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555269 */     // GIR_Coverage, 5777,
     /* 1555269 */     GIR_EraseRootFromParent_Done,
     /* 1555270 */   // Label 21538: @1555270
     /* 1555270 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1555356), // Rule ID 5780 //
     /* 1555275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1555278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1555298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555321 */     // MIs[0] policy
     /* 1555321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1555334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555355 */     // GIR_Coverage, 5780,
     /* 1555355 */     GIR_EraseRootFromParent_Done,
     /* 1555356 */   // Label 21539: @1555356
     /* 1555356 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1555442), // Rule ID 5781 //
     /* 1555361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1555364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1555384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555407 */     // MIs[0] policy
     /* 1555407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1555420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555441 */     // GIR_Coverage, 5781,
     /* 1555441 */     GIR_EraseRootFromParent_Done,
     /* 1555442 */   // Label 21540: @1555442
     /* 1555442 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1555528), // Rule ID 5784 //
     /* 1555447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1555450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1555458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1555461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1555470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555493 */     // MIs[0] policy
     /* 1555493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1555506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555527 */     // GIR_Coverage, 5784,
     /* 1555527 */     GIR_EraseRootFromParent_Done,
     /* 1555528 */   // Label 21541: @1555528
     /* 1555528 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1555614), // Rule ID 5785 //
     /* 1555533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1555536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1555544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1555547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1555556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555579 */     // MIs[0] policy
     /* 1555579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1555592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555613 */     // GIR_Coverage, 5785,
     /* 1555613 */     GIR_EraseRootFromParent_Done,
     /* 1555614 */   // Label 21542: @1555614
     /* 1555614 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1555700), // Rule ID 5788 //
     /* 1555619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1555622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1555642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555665 */     // MIs[0] policy
     /* 1555665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1555678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555699 */     // GIR_Coverage, 5788,
     /* 1555699 */     GIR_EraseRootFromParent_Done,
     /* 1555700 */   // Label 21543: @1555700
     /* 1555700 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1555786), // Rule ID 5789 //
     /* 1555705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1555708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1555728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555751 */     // MIs[0] policy
     /* 1555751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10809:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1555764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555785 */     // GIR_Coverage, 5789,
     /* 1555785 */     GIR_EraseRootFromParent_Done,
     /* 1555786 */   // Label 21544: @1555786
     /* 1555786 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1555872), // Rule ID 5792 //
     /* 1555791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1555794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1555814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555837 */     // MIs[0] policy
     /* 1555837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1555850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555871 */     // GIR_Coverage, 5792,
     /* 1555871 */     GIR_EraseRootFromParent_Done,
     /* 1555872 */   // Label 21545: @1555872
     /* 1555872 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1555958), // Rule ID 5793 //
     /* 1555877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1555880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1555897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1555900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1555919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555923 */     // MIs[0] policy
     /* 1555923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10809:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1555936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1555946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555957 */     // GIR_Coverage, 5793,
     /* 1555957 */     GIR_EraseRootFromParent_Done,
     /* 1555958 */   // Label 21546: @1555958
     /* 1555958 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1556044), // Rule ID 5796 //
     /* 1555963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1555966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1555971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1555980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1555983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1555986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1556005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556009 */     // MIs[0] policy
     /* 1556009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1556022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556043 */     // GIR_Coverage, 5796,
     /* 1556043 */     GIR_EraseRootFromParent_Done,
     /* 1556044 */   // Label 21547: @1556044
     /* 1556044 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1556130), // Rule ID 5797 //
     /* 1556049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1556052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1556057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1556069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1556072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1556091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556095 */     // MIs[0] policy
     /* 1556095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10809:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1556108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556129 */     // GIR_Coverage, 5797,
     /* 1556129 */     GIR_EraseRootFromParent_Done,
     /* 1556130 */   // Label 21548: @1556130
     /* 1556130 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1556216), // Rule ID 5888 //
     /* 1556135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1556146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1556149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1556152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1556155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1556158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556181 */     // MIs[0] policy
     /* 1556181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556191 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1556194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556215 */     // GIR_Coverage, 5888,
     /* 1556215 */     GIR_EraseRootFromParent_Done,
     /* 1556216 */   // Label 21549: @1556216
     /* 1556216 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1556302), // Rule ID 5889 //
     /* 1556221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1556224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1556232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1556235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1556238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1556241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1556244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556267 */     // MIs[0] policy
     /* 1556267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1556280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556301 */     // GIR_Coverage, 5889,
     /* 1556301 */     GIR_EraseRootFromParent_Done,
     /* 1556302 */   // Label 21550: @1556302
     /* 1556302 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1556388), // Rule ID 5892 //
     /* 1556307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1556318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1556321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1556324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1556327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1556330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556353 */     // MIs[0] policy
     /* 1556353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556363 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1556366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556387 */     // GIR_Coverage, 5892,
     /* 1556387 */     GIR_EraseRootFromParent_Done,
     /* 1556388 */   // Label 21551: @1556388
     /* 1556388 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1556474), // Rule ID 5893 //
     /* 1556393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1556396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1556404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1556407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1556410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1556413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1556416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556439 */     // MIs[0] policy
     /* 1556439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556449 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1556452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556473 */     // GIR_Coverage, 5893,
     /* 1556473 */     GIR_EraseRootFromParent_Done,
     /* 1556474 */   // Label 21552: @1556474
     /* 1556474 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1556560), // Rule ID 5896 //
     /* 1556479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1556490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1556493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1556496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1556499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1556502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556525 */     // MIs[0] policy
     /* 1556525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1556538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556559 */     // GIR_Coverage, 5896,
     /* 1556559 */     GIR_EraseRootFromParent_Done,
     /* 1556560 */   // Label 21553: @1556560
     /* 1556560 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1556646), // Rule ID 5897 //
     /* 1556565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1556568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1556576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1556579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1556582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1556585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1556588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556611 */     // MIs[0] policy
     /* 1556611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1556624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1556642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556645 */     // GIR_Coverage, 5897,
     /* 1556645 */     GIR_EraseRootFromParent_Done,
     /* 1556646 */   // Label 21554: @1556646
     /* 1556646 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1556732), // Rule ID 5900 //
     /* 1556651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1556668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1556671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1556674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556697 */     // MIs[0] policy
     /* 1556697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1556710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556731 */     // GIR_Coverage, 5900,
     /* 1556731 */     GIR_EraseRootFromParent_Done,
     /* 1556732 */   // Label 21555: @1556732
     /* 1556732 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1556818), // Rule ID 5901 //
     /* 1556737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1556740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1556754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1556757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1556760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556783 */     // MIs[0] policy
     /* 1556783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1556796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556817 */     // GIR_Coverage, 5901,
     /* 1556817 */     GIR_EraseRootFromParent_Done,
     /* 1556818 */   // Label 21556: @1556818
     /* 1556818 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1556904), // Rule ID 5904 //
     /* 1556823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1556843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1556846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556869 */     // MIs[0] policy
     /* 1556869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1556882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556903 */     // GIR_Coverage, 5904,
     /* 1556903 */     GIR_EraseRootFromParent_Done,
     /* 1556904 */   // Label 21557: @1556904
     /* 1556904 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1556990), // Rule ID 5905 //
     /* 1556909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1556912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1556917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1556929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1556932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556955 */     // MIs[0] policy
     /* 1556955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1556968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1556978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556989 */     // GIR_Coverage, 5905,
     /* 1556989 */     GIR_EraseRootFromParent_Done,
     /* 1556990 */   // Label 21558: @1556990
     /* 1556990 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1557076), // Rule ID 5908 //
     /* 1556995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1556998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1557015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1557018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557041 */     // MIs[0] policy
     /* 1557041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1557054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557075 */     // GIR_Coverage, 5908,
     /* 1557075 */     GIR_EraseRootFromParent_Done,
     /* 1557076 */   // Label 21559: @1557076
     /* 1557076 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1557162), // Rule ID 5909 //
     /* 1557081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1557084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1557101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1557104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557127 */     // MIs[0] policy
     /* 1557127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557137 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1557140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557161 */     // GIR_Coverage, 5909,
     /* 1557161 */     GIR_EraseRootFromParent_Done,
     /* 1557162 */   // Label 21560: @1557162
     /* 1557162 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1557248), // Rule ID 5912 //
     /* 1557167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1557170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1557178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1557181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1557184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1557187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1557190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557213 */     // MIs[0] policy
     /* 1557213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557247 */     // GIR_Coverage, 5912,
     /* 1557247 */     GIR_EraseRootFromParent_Done,
     /* 1557248 */   // Label 21561: @1557248
     /* 1557248 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1557334), // Rule ID 5913 //
     /* 1557253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1557256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1557264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1557267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1557270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1557273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1557276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557299 */     // MIs[0] policy
     /* 1557299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557333 */     // GIR_Coverage, 5913,
     /* 1557333 */     GIR_EraseRootFromParent_Done,
     /* 1557334 */   // Label 21562: @1557334
     /* 1557334 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1557420), // Rule ID 5916 //
     /* 1557339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1557342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1557359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1557362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557385 */     // MIs[0] policy
     /* 1557385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557419 */     // GIR_Coverage, 5916,
     /* 1557419 */     GIR_EraseRootFromParent_Done,
     /* 1557420 */   // Label 21563: @1557420
     /* 1557420 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1557506), // Rule ID 5917 //
     /* 1557425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1557428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1557445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1557448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557471 */     // MIs[0] policy
     /* 1557471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557505 */     // GIR_Coverage, 5917,
     /* 1557505 */     GIR_EraseRootFromParent_Done,
     /* 1557506 */   // Label 21564: @1557506
     /* 1557506 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1557592), // Rule ID 5920 //
     /* 1557511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1557514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1557531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1557534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557557 */     // MIs[0] policy
     /* 1557557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557591 */     // GIR_Coverage, 5920,
     /* 1557591 */     GIR_EraseRootFromParent_Done,
     /* 1557592 */   // Label 21565: @1557592
     /* 1557592 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1557678), // Rule ID 5921 //
     /* 1557597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1557600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1557617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1557620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557643 */     // MIs[0] policy
     /* 1557643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557677 */     // GIR_Coverage, 5921,
     /* 1557677 */     GIR_EraseRootFromParent_Done,
     /* 1557678 */   // Label 21566: @1557678
     /* 1557678 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1557764), // Rule ID 5924 //
     /* 1557683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1557686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1557703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1557706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557729 */     // MIs[0] policy
     /* 1557729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557763 */     // GIR_Coverage, 5924,
     /* 1557763 */     GIR_EraseRootFromParent_Done,
     /* 1557764 */   // Label 21567: @1557764
     /* 1557764 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1557850), // Rule ID 5925 //
     /* 1557769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1557772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1557789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1557792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557815 */     // MIs[0] policy
     /* 1557815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1557828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557849 */     // GIR_Coverage, 5925,
     /* 1557849 */     GIR_EraseRootFromParent_Done,
     /* 1557850 */   // Label 21568: @1557850
     /* 1557850 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1557936), // Rule ID 5928 //
     /* 1557855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1557858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1557866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1557869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1557872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1557875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1557878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557901 */     // MIs[0] policy
     /* 1557901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1557914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1557920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1557922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1557924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557935 */     // GIR_Coverage, 5928,
     /* 1557935 */     GIR_EraseRootFromParent_Done,
     /* 1557936 */   // Label 21569: @1557936
     /* 1557936 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1558022), // Rule ID 5929 //
     /* 1557941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1557944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1557949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1557952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1557955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1557958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1557961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1557964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557987 */     // MIs[0] policy
     /* 1557987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1558000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1558018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558021 */     // GIR_Coverage, 5929,
     /* 1558021 */     GIR_EraseRootFromParent_Done,
     /* 1558022 */   // Label 21570: @1558022
     /* 1558022 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1558108), // Rule ID 5932 //
     /* 1558027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1558038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1558041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1558044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1558047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1558050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558073 */     // MIs[0] policy
     /* 1558073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1558086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1558104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558107 */     // GIR_Coverage, 5932,
     /* 1558107 */     GIR_EraseRootFromParent_Done,
     /* 1558108 */   // Label 21571: @1558108
     /* 1558108 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1558194), // Rule ID 5933 //
     /* 1558113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1558124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1558127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1558130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1558133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1558136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558159 */     // MIs[0] policy
     /* 1558159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558169 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1558172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1558190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558193 */     // GIR_Coverage, 5933,
     /* 1558193 */     GIR_EraseRootFromParent_Done,
     /* 1558194 */   // Label 21572: @1558194
     /* 1558194 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1558280), // Rule ID 5936 //
     /* 1558199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1558210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1558213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1558216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1558219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1558222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558245 */     // MIs[0] policy
     /* 1558245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558255 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1558258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1558276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558279 */     // GIR_Coverage, 5936,
     /* 1558279 */     GIR_EraseRootFromParent_Done,
     /* 1558280 */   // Label 21573: @1558280
     /* 1558280 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1558366), // Rule ID 5937 //
     /* 1558285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1558296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1558299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1558302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1558305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1558308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558331 */     // MIs[0] policy
     /* 1558331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558341 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1558344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1558362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558365 */     // GIR_Coverage, 5937,
     /* 1558365 */     GIR_EraseRootFromParent_Done,
     /* 1558366 */   // Label 21574: @1558366
     /* 1558366 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1558452), // Rule ID 5940 //
     /* 1558371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1558391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1558394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558417 */     // MIs[0] policy
     /* 1558417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1558430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558451 */     // GIR_Coverage, 5940,
     /* 1558451 */     GIR_EraseRootFromParent_Done,
     /* 1558452 */   // Label 21575: @1558452
     /* 1558452 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1558538), // Rule ID 5941 //
     /* 1558457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1558474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1558477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1558480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558503 */     // MIs[0] policy
     /* 1558503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1558516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558537 */     // GIR_Coverage, 5941,
     /* 1558537 */     GIR_EraseRootFromParent_Done,
     /* 1558538 */   // Label 21576: @1558538
     /* 1558538 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1558624), // Rule ID 5944 //
     /* 1558543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1558563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1558566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558589 */     // MIs[0] policy
     /* 1558589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558599 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1558602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558623 */     // GIR_Coverage, 5944,
     /* 1558623 */     GIR_EraseRootFromParent_Done,
     /* 1558624 */   // Label 21577: @1558624
     /* 1558624 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1558710), // Rule ID 5945 //
     /* 1558629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1558646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1558649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1558652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558675 */     // MIs[0] policy
     /* 1558675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558685 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1558688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558709 */     // GIR_Coverage, 5945,
     /* 1558709 */     GIR_EraseRootFromParent_Done,
     /* 1558710 */   // Label 21578: @1558710
     /* 1558710 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1558796), // Rule ID 5948 //
     /* 1558715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1558735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1558738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558761 */     // MIs[0] policy
     /* 1558761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1558774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558795 */     // GIR_Coverage, 5948,
     /* 1558795 */     GIR_EraseRootFromParent_Done,
     /* 1558796 */   // Label 21579: @1558796
     /* 1558796 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1558882), // Rule ID 5949 //
     /* 1558801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1558821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1558824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558847 */     // MIs[0] policy
     /* 1558847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558857 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1558860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558881 */     // GIR_Coverage, 5949,
     /* 1558881 */     GIR_EraseRootFromParent_Done,
     /* 1558882 */   // Label 21580: @1558882
     /* 1558882 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1558968), // Rule ID 5952 //
     /* 1558887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1558890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1558907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1558910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558933 */     // MIs[0] policy
     /* 1558933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558943 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1558946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1558952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1558954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1558956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558967 */     // GIR_Coverage, 5952,
     /* 1558967 */     GIR_EraseRootFromParent_Done,
     /* 1558968 */   // Label 21581: @1558968
     /* 1558968 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1559054), // Rule ID 5953 //
     /* 1558973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1558976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1558981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1558993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1558996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559019 */     // MIs[0] policy
     /* 1559019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1559032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559053 */     // GIR_Coverage, 5953,
     /* 1559053 */     GIR_EraseRootFromParent_Done,
     /* 1559054 */   // Label 21582: @1559054
     /* 1559054 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1559140), // Rule ID 5956 //
     /* 1559059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1559062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1559079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1559082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559105 */     // MIs[0] policy
     /* 1559105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559115 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1559118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559139 */     // GIR_Coverage, 5956,
     /* 1559139 */     GIR_EraseRootFromParent_Done,
     /* 1559140 */   // Label 21583: @1559140
     /* 1559140 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1559226), // Rule ID 5957 //
     /* 1559145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1559148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1559165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1559168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559191 */     // MIs[0] policy
     /* 1559191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1559204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559225 */     // GIR_Coverage, 5957,
     /* 1559225 */     GIR_EraseRootFromParent_Done,
     /* 1559226 */   // Label 21584: @1559226
     /* 1559226 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1559312), // Rule ID 5960 //
     /* 1559231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1559234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1559251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1559254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559277 */     // MIs[0] policy
     /* 1559277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1559290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559311 */     // GIR_Coverage, 5960,
     /* 1559311 */     GIR_EraseRootFromParent_Done,
     /* 1559312 */   // Label 21585: @1559312
     /* 1559312 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1559398), // Rule ID 5961 //
     /* 1559317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1559320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1559337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1559340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559363 */     // MIs[0] policy
     /* 1559363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1559376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559397 */     // GIR_Coverage, 5961,
     /* 1559397 */     GIR_EraseRootFromParent_Done,
     /* 1559398 */   // Label 21586: @1559398
     /* 1559398 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1559484), // Rule ID 5964 //
     /* 1559403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1559406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1559423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1559426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559449 */     // MIs[0] policy
     /* 1559449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1559462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559483 */     // GIR_Coverage, 5964,
     /* 1559483 */     GIR_EraseRootFromParent_Done,
     /* 1559484 */   // Label 21587: @1559484
     /* 1559484 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1559570), // Rule ID 5965 //
     /* 1559489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1559492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1559509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1559512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559535 */     // MIs[0] policy
     /* 1559535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559545 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1559548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559569 */     // GIR_Coverage, 5965,
     /* 1559569 */     GIR_EraseRootFromParent_Done,
     /* 1559570 */   // Label 21588: @1559570
     /* 1559570 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1559656), // Rule ID 5968 //
     /* 1559575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1559578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1559595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1559598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559621 */     // MIs[0] policy
     /* 1559621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1559634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559655 */     // GIR_Coverage, 5968,
     /* 1559655 */     GIR_EraseRootFromParent_Done,
     /* 1559656 */   // Label 21589: @1559656
     /* 1559656 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1559742), // Rule ID 5969 //
     /* 1559661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1559664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1559681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1559684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559707 */     // MIs[0] policy
     /* 1559707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559717 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1559720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559741 */     // GIR_Coverage, 5969,
     /* 1559741 */     GIR_EraseRootFromParent_Done,
     /* 1559742 */   // Label 21590: @1559742
     /* 1559742 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1559828), // Rule ID 5972 //
     /* 1559747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1559750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1559767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1559770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559793 */     // MIs[0] policy
     /* 1559793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1559806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559827 */     // GIR_Coverage, 5972,
     /* 1559827 */     GIR_EraseRootFromParent_Done,
     /* 1559828 */   // Label 21591: @1559828
     /* 1559828 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1559914), // Rule ID 5973 //
     /* 1559833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1559836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1559853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1559856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559879 */     // MIs[0] policy
     /* 1559879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1559892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559913 */     // GIR_Coverage, 5973,
     /* 1559913 */     GIR_EraseRootFromParent_Done,
     /* 1559914 */   // Label 21592: @1559914
     /* 1559914 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1560000), // Rule ID 5976 //
     /* 1559919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1559922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1559927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1559930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1559933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1559936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1559939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1559942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1559961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559965 */     // MIs[0] policy
     /* 1559965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559975 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1559978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1559984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1559986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1559988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559999 */     // GIR_Coverage, 5976,
     /* 1559999 */     GIR_EraseRootFromParent_Done,
     /* 1560000 */   // Label 21593: @1560000
     /* 1560000 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1560086), // Rule ID 5977 //
     /* 1560005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1560016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1560019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1560022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560051 */     // MIs[0] policy
     /* 1560051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560061 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1560064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560085 */     // GIR_Coverage, 5977,
     /* 1560085 */     GIR_EraseRootFromParent_Done,
     /* 1560086 */   // Label 21594: @1560086
     /* 1560086 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1560172), // Rule ID 5980 //
     /* 1560091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1560102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1560105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1560108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560137 */     // MIs[0] policy
     /* 1560137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560147 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1560150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560171 */     // GIR_Coverage, 5980,
     /* 1560171 */     GIR_EraseRootFromParent_Done,
     /* 1560172 */   // Label 21595: @1560172
     /* 1560172 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1560258), // Rule ID 5981 //
     /* 1560177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1560188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1560191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1560194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560223 */     // MIs[0] policy
     /* 1560223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1560236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560257 */     // GIR_Coverage, 5981,
     /* 1560257 */     GIR_EraseRootFromParent_Done,
     /* 1560258 */   // Label 21596: @1560258
     /* 1560258 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1560344), // Rule ID 5984 //
     /* 1560263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1560274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1560277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1560280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1560286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560309 */     // MIs[0] policy
     /* 1560309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560319 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560343 */     // GIR_Coverage, 5984,
     /* 1560343 */     GIR_EraseRootFromParent_Done,
     /* 1560344 */   // Label 21597: @1560344
     /* 1560344 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1560430), // Rule ID 5985 //
     /* 1560349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1560360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1560363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1560366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1560372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560395 */     // MIs[0] policy
     /* 1560395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560405 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560429 */     // GIR_Coverage, 5985,
     /* 1560429 */     GIR_EraseRootFromParent_Done,
     /* 1560430 */   // Label 21598: @1560430
     /* 1560430 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1560516), // Rule ID 5988 //
     /* 1560435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560481 */     // MIs[0] policy
     /* 1560481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1560494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560515 */     // GIR_Coverage, 5988,
     /* 1560515 */     GIR_EraseRootFromParent_Done,
     /* 1560516 */   // Label 21599: @1560516
     /* 1560516 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1560602), // Rule ID 5989 //
     /* 1560521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560567 */     // MIs[0] policy
     /* 1560567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560577 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1560580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560601 */     // GIR_Coverage, 5989,
     /* 1560601 */     GIR_EraseRootFromParent_Done,
     /* 1560602 */   // Label 21600: @1560602
     /* 1560602 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1560688), // Rule ID 5992 //
     /* 1560607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560653 */     // MIs[0] policy
     /* 1560653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560663 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560687 */     // GIR_Coverage, 5992,
     /* 1560687 */     GIR_EraseRootFromParent_Done,
     /* 1560688 */   // Label 21601: @1560688
     /* 1560688 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1560774), // Rule ID 5993 //
     /* 1560693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560739 */     // MIs[0] policy
     /* 1560739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560749 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560773 */     // GIR_Coverage, 5993,
     /* 1560773 */     GIR_EraseRootFromParent_Done,
     /* 1560774 */   // Label 21602: @1560774
     /* 1560774 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1560860), // Rule ID 5996 //
     /* 1560779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560825 */     // MIs[0] policy
     /* 1560825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560859 */     // GIR_Coverage, 5996,
     /* 1560859 */     GIR_EraseRootFromParent_Done,
     /* 1560860 */   // Label 21603: @1560860
     /* 1560860 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1560946), // Rule ID 5997 //
     /* 1560865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1560885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560911 */     // MIs[0] policy
     /* 1560911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1560924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1560930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1560934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560945 */     // GIR_Coverage, 5997,
     /* 1560945 */     GIR_EraseRootFromParent_Done,
     /* 1560946 */   // Label 21604: @1560946
     /* 1560946 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1561032), // Rule ID 6000 //
     /* 1560951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1560959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1560962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1560965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1560968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1560971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1560974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1560993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560997 */     // MIs[0] policy
     /* 1560997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561031 */     // GIR_Coverage, 6000,
     /* 1561031 */     GIR_EraseRootFromParent_Done,
     /* 1561032 */   // Label 21605: @1561032
     /* 1561032 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1561118), // Rule ID 6001 //
     /* 1561037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1561048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1561051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1561054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1561060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561083 */     // MIs[0] policy
     /* 1561083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561117 */     // GIR_Coverage, 6001,
     /* 1561117 */     GIR_EraseRootFromParent_Done,
     /* 1561118 */   // Label 21606: @1561118
     /* 1561118 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1561204), // Rule ID 6004 //
     /* 1561123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1561134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1561137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1561143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1561146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561169 */     // MIs[0] policy
     /* 1561169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561203 */     // GIR_Coverage, 6004,
     /* 1561203 */     GIR_EraseRootFromParent_Done,
     /* 1561204 */   // Label 21607: @1561204
     /* 1561204 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1561290), // Rule ID 6005 //
     /* 1561209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1561220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1561223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1561232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561255 */     // MIs[0] policy
     /* 1561255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561289 */     // GIR_Coverage, 6005,
     /* 1561289 */     GIR_EraseRootFromParent_Done,
     /* 1561290 */   // Label 21608: @1561290
     /* 1561290 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1561376), // Rule ID 6008 //
     /* 1561295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1561315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1561318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561341 */     // MIs[0] policy
     /* 1561341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561375 */     // GIR_Coverage, 6008,
     /* 1561375 */     GIR_EraseRootFromParent_Done,
     /* 1561376 */   // Label 21609: @1561376
     /* 1561376 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1561462), // Rule ID 6009 //
     /* 1561381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1561404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561427 */     // MIs[0] policy
     /* 1561427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561461 */     // GIR_Coverage, 6009,
     /* 1561461 */     GIR_EraseRootFromParent_Done,
     /* 1561462 */   // Label 21610: @1561462
     /* 1561462 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1561548), // Rule ID 6012 //
     /* 1561467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1561470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1561484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1561487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1561490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561513 */     // MIs[0] policy
     /* 1561513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561547 */     // GIR_Coverage, 6012,
     /* 1561547 */     GIR_EraseRootFromParent_Done,
     /* 1561548 */   // Label 21611: @1561548
     /* 1561548 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1561634), // Rule ID 6013 //
     /* 1561553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1561556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1561570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1561576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561599 */     // MIs[0] policy
     /* 1561599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1561612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561633 */     // GIR_Coverage, 6013,
     /* 1561633 */     GIR_EraseRootFromParent_Done,
     /* 1561634 */   // Label 21612: @1561634
     /* 1561634 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1561720), // Rule ID 6016 //
     /* 1561639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1561650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1561653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1561656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1561659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1561662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561685 */     // MIs[0] policy
     /* 1561685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1561698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561719 */     // GIR_Coverage, 6016,
     /* 1561719 */     GIR_EraseRootFromParent_Done,
     /* 1561720 */   // Label 21613: @1561720
     /* 1561720 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1561806), // Rule ID 6017 //
     /* 1561725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1561736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1561739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1561742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1561748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561771 */     // MIs[0] policy
     /* 1561771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561781 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1561784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561805 */     // GIR_Coverage, 6017,
     /* 1561805 */     GIR_EraseRootFromParent_Done,
     /* 1561806 */   // Label 21614: @1561806
     /* 1561806 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1561892), // Rule ID 6020 //
     /* 1561811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1561822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1561825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1561828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1561831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1561834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561857 */     // MIs[0] policy
     /* 1561857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1561870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561891 */     // GIR_Coverage, 6020,
     /* 1561891 */     GIR_EraseRootFromParent_Done,
     /* 1561892 */   // Label 21615: @1561892
     /* 1561892 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1561978), // Rule ID 6021 //
     /* 1561897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1561908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1561911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1561914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1561917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1561920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1561939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561943 */     // MIs[0] policy
     /* 1561943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561953 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1561956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1561962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1561966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561977 */     // GIR_Coverage, 6021,
     /* 1561977 */     GIR_EraseRootFromParent_Done,
     /* 1561978 */   // Label 21616: @1561978
     /* 1561978 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1562064), // Rule ID 6024 //
     /* 1561983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1561991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1561994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1561997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1562000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1562006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562029 */     // MIs[0] policy
     /* 1562029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562039 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1562042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562063 */     // GIR_Coverage, 6024,
     /* 1562063 */     GIR_EraseRootFromParent_Done,
     /* 1562064 */   // Label 21617: @1562064
     /* 1562064 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1562150), // Rule ID 6025 //
     /* 1562069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1562080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1562083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1562086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1562092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562115 */     // MIs[0] policy
     /* 1562115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1562128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562149 */     // GIR_Coverage, 6025,
     /* 1562149 */     GIR_EraseRootFromParent_Done,
     /* 1562150 */   // Label 21618: @1562150
     /* 1562150 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1562236), // Rule ID 6028 //
     /* 1562155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562201 */     // MIs[0] policy
     /* 1562201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562211 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1562214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562235 */     // GIR_Coverage, 6028,
     /* 1562235 */     GIR_EraseRootFromParent_Done,
     /* 1562236 */   // Label 21619: @1562236
     /* 1562236 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1562322), // Rule ID 6029 //
     /* 1562241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562287 */     // MIs[0] policy
     /* 1562287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1562300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562321 */     // GIR_Coverage, 6029,
     /* 1562321 */     GIR_EraseRootFromParent_Done,
     /* 1562322 */   // Label 21620: @1562322
     /* 1562322 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1562408), // Rule ID 6032 //
     /* 1562327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1562350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562373 */     // MIs[0] policy
     /* 1562373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1562386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562407 */     // GIR_Coverage, 6032,
     /* 1562407 */     GIR_EraseRootFromParent_Done,
     /* 1562408 */   // Label 21621: @1562408
     /* 1562408 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1562494), // Rule ID 6033 //
     /* 1562413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1562436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562459 */     // MIs[0] policy
     /* 1562459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562469 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1562472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562493 */     // GIR_Coverage, 6033,
     /* 1562493 */     GIR_EraseRootFromParent_Done,
     /* 1562494 */   // Label 21622: @1562494
     /* 1562494 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1562580), // Rule ID 6036 //
     /* 1562499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1562510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1562513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1562522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562545 */     // MIs[0] policy
     /* 1562545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1562558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562579 */     // GIR_Coverage, 6036,
     /* 1562579 */     GIR_EraseRootFromParent_Done,
     /* 1562580 */   // Label 21623: @1562580
     /* 1562580 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1562666), // Rule ID 6037 //
     /* 1562585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1562596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1562599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1562608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562631 */     // MIs[0] policy
     /* 1562631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1562644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562665 */     // GIR_Coverage, 6037,
     /* 1562665 */     GIR_EraseRootFromParent_Done,
     /* 1562666 */   // Label 21624: @1562666
     /* 1562666 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1562752), // Rule ID 6040 //
     /* 1562671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1562694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562717 */     // MIs[0] policy
     /* 1562717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1562730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562751 */     // GIR_Coverage, 6040,
     /* 1562751 */     GIR_EraseRootFromParent_Done,
     /* 1562752 */   // Label 21625: @1562752
     /* 1562752 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1562838), // Rule ID 6041 //
     /* 1562757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1562780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562803 */     // MIs[0] policy
     /* 1562803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1562816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562837 */     // GIR_Coverage, 6041,
     /* 1562837 */     GIR_EraseRootFromParent_Done,
     /* 1562838 */   // Label 21626: @1562838
     /* 1562838 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1562924), // Rule ID 6044 //
     /* 1562843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1562863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562889 */     // MIs[0] policy
     /* 1562889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1562902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562923 */     // GIR_Coverage, 6044,
     /* 1562923 */     GIR_EraseRootFromParent_Done,
     /* 1562924 */   // Label 21627: @1562924
     /* 1562924 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1563010), // Rule ID 6045 //
     /* 1562929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1562937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1562940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1562943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1562949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1562971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562975 */     // MIs[0] policy
     /* 1562975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1562988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1562994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1562998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563009 */     // GIR_Coverage, 6045,
     /* 1563009 */     GIR_EraseRootFromParent_Done,
     /* 1563010 */   // Label 21628: @1563010
     /* 1563010 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1563096), // Rule ID 6048 //
     /* 1563015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1563035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1563038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563061 */     // MIs[0] policy
     /* 1563061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1563074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563095 */     // GIR_Coverage, 6048,
     /* 1563095 */     GIR_EraseRootFromParent_Done,
     /* 1563096 */   // Label 21629: @1563096
     /* 1563096 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1563182), // Rule ID 6049 //
     /* 1563101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1563121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1563124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563147 */     // MIs[0] policy
     /* 1563147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563157 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1563160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563181 */     // GIR_Coverage, 6049,
     /* 1563181 */     GIR_EraseRootFromParent_Done,
     /* 1563182 */   // Label 21630: @1563182
     /* 1563182 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1563268), // Rule ID 6052 //
     /* 1563187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1563190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1563207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563233 */     // MIs[0] policy
     /* 1563233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1563246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563267 */     // GIR_Coverage, 6052,
     /* 1563267 */     GIR_EraseRootFromParent_Done,
     /* 1563268 */   // Label 21631: @1563268
     /* 1563268 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1563354), // Rule ID 6053 //
     /* 1563273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1563276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1563293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563319 */     // MIs[0] policy
     /* 1563319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1563332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563353 */     // GIR_Coverage, 6053,
     /* 1563353 */     GIR_EraseRootFromParent_Done,
     /* 1563354 */   // Label 21632: @1563354
     /* 1563354 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1563440), // Rule ID 6056 //
     /* 1563359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1563362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1563379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1563382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563405 */     // MIs[0] policy
     /* 1563405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563415 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1563418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563439 */     // GIR_Coverage, 6056,
     /* 1563439 */     GIR_EraseRootFromParent_Done,
     /* 1563440 */   // Label 21633: @1563440
     /* 1563440 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1563526), // Rule ID 6057 //
     /* 1563445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1563448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1563465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1563468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563491 */     // MIs[0] policy
     /* 1563491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563501 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1563504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563525 */     // GIR_Coverage, 6057,
     /* 1563525 */     GIR_EraseRootFromParent_Done,
     /* 1563526 */   // Label 21634: @1563526
     /* 1563526 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1563612), // Rule ID 6060 //
     /* 1563531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1563534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1563551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1563554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563577 */     // MIs[0] policy
     /* 1563577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1563590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563611 */     // GIR_Coverage, 6060,
     /* 1563611 */     GIR_EraseRootFromParent_Done,
     /* 1563612 */   // Label 21635: @1563612
     /* 1563612 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1563698), // Rule ID 6061 //
     /* 1563617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1563620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1563625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1563637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1563640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1563659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563663 */     // MIs[0] policy
     /* 1563663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1563676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563697 */     // GIR_Coverage, 6061,
     /* 1563697 */     GIR_EraseRootFromParent_Done,
     /* 1563698 */   // Label 21636: @1563698
     /* 1563698 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1563784), // Rule ID 6152 //
     /* 1563703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1563711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1563720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1563723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1563726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563749 */     // MIs[0] policy
     /* 1563749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1563762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563783 */     // GIR_Coverage, 6152,
     /* 1563783 */     GIR_EraseRootFromParent_Done,
     /* 1563784 */   // Label 21637: @1563784
     /* 1563784 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1563870), // Rule ID 6153 //
     /* 1563789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1563797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1563800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1563803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1563806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1563809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1563812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563835 */     // MIs[0] policy
     /* 1563835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563845 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1563848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563869 */     // GIR_Coverage, 6153,
     /* 1563869 */     GIR_EraseRootFromParent_Done,
     /* 1563870 */   // Label 21638: @1563870
     /* 1563870 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1563956), // Rule ID 6156 //
     /* 1563875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1563883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1563892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1563895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563921 */     // MIs[0] policy
     /* 1563921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563931 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1563934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1563940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1563944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563955 */     // GIR_Coverage, 6156,
     /* 1563955 */     GIR_EraseRootFromParent_Done,
     /* 1563956 */   // Label 21639: @1563956
     /* 1563956 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1564042), // Rule ID 6157 //
     /* 1563961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1563969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1563972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1563975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1563978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1563981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564007 */     // MIs[0] policy
     /* 1564007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564017 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1564020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564041 */     // GIR_Coverage, 6157,
     /* 1564041 */     GIR_EraseRootFromParent_Done,
     /* 1564042 */   // Label 21640: @1564042
     /* 1564042 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1564128), // Rule ID 6160 //
     /* 1564047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1564058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1564061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1564064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1564067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1564070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564093 */     // MIs[0] policy
     /* 1564093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564127 */     // GIR_Coverage, 6160,
     /* 1564127 */     GIR_EraseRootFromParent_Done,
     /* 1564128 */   // Label 21641: @1564128
     /* 1564128 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1564214), // Rule ID 6161 //
     /* 1564133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1564144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1564147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1564150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1564153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1564156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564179 */     // MIs[0] policy
     /* 1564179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564189 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564213 */     // GIR_Coverage, 6161,
     /* 1564213 */     GIR_EraseRootFromParent_Done,
     /* 1564214 */   // Label 21642: @1564214
     /* 1564214 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1564300), // Rule ID 6164 //
     /* 1564219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1564239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564265 */     // MIs[0] policy
     /* 1564265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1564278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564299 */     // GIR_Coverage, 6164,
     /* 1564299 */     GIR_EraseRootFromParent_Done,
     /* 1564300 */   // Label 21643: @1564300
     /* 1564300 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1564386), // Rule ID 6165 //
     /* 1564305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1564325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564351 */     // MIs[0] policy
     /* 1564351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1564364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564385 */     // GIR_Coverage, 6165,
     /* 1564385 */     GIR_EraseRootFromParent_Done,
     /* 1564386 */   // Label 21644: @1564386
     /* 1564386 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1564472), // Rule ID 6168 //
     /* 1564391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1564411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1564414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564437 */     // MIs[0] policy
     /* 1564437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564471 */     // GIR_Coverage, 6168,
     /* 1564471 */     GIR_EraseRootFromParent_Done,
     /* 1564472 */   // Label 21645: @1564472
     /* 1564472 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1564558), // Rule ID 6169 //
     /* 1564477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1564497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1564500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564523 */     // MIs[0] policy
     /* 1564523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564557 */     // GIR_Coverage, 6169,
     /* 1564557 */     GIR_EraseRootFromParent_Done,
     /* 1564558 */   // Label 21646: @1564558
     /* 1564558 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1564644), // Rule ID 6172 //
     /* 1564563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1564583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564609 */     // MIs[0] policy
     /* 1564609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564643 */     // GIR_Coverage, 6172,
     /* 1564643 */     GIR_EraseRootFromParent_Done,
     /* 1564644 */   // Label 21647: @1564644
     /* 1564644 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1564730), // Rule ID 6173 //
     /* 1564649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1564669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564695 */     // MIs[0] policy
     /* 1564695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1564708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564729 */     // GIR_Coverage, 6173,
     /* 1564729 */     GIR_EraseRootFromParent_Done,
     /* 1564730 */   // Label 21648: @1564730
     /* 1564730 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1564816), // Rule ID 6176 //
     /* 1564735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1564746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1564749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1564752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1564755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1564758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564781 */     // MIs[0] policy
     /* 1564781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564791 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1564794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564815 */     // GIR_Coverage, 6176,
     /* 1564815 */     GIR_EraseRootFromParent_Done,
     /* 1564816 */   // Label 21649: @1564816
     /* 1564816 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1564902), // Rule ID 6177 //
     /* 1564821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1564832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1564835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1564838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1564841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1564844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564867 */     // MIs[0] policy
     /* 1564867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1564880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564901 */     // GIR_Coverage, 6177,
     /* 1564901 */     GIR_EraseRootFromParent_Done,
     /* 1564902 */   // Label 21650: @1564902
     /* 1564902 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1564988), // Rule ID 6180 //
     /* 1564907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1564915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1564927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1564930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564953 */     // MIs[0] policy
     /* 1564953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1564966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1564972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1564976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564987 */     // GIR_Coverage, 6180,
     /* 1564987 */     GIR_EraseRootFromParent_Done,
     /* 1564988 */   // Label 21651: @1564988
     /* 1564988 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1565074), // Rule ID 6181 //
     /* 1564993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1565010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1565013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1565016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565039 */     // MIs[0] policy
     /* 1565039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1565052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565073 */     // GIR_Coverage, 6181,
     /* 1565073 */     GIR_EraseRootFromParent_Done,
     /* 1565074 */   // Label 21652: @1565074
     /* 1565074 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1565160), // Rule ID 6184 //
     /* 1565079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1565099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1565102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565125 */     // MIs[0] policy
     /* 1565125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565135 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1565138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565159 */     // GIR_Coverage, 6184,
     /* 1565159 */     GIR_EraseRootFromParent_Done,
     /* 1565160 */   // Label 21653: @1565160
     /* 1565160 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1565246), // Rule ID 6185 //
     /* 1565165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1565168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1565185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1565188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565211 */     // MIs[0] policy
     /* 1565211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1565224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565245 */     // GIR_Coverage, 6185,
     /* 1565245 */     GIR_EraseRootFromParent_Done,
     /* 1565246 */   // Label 21654: @1565246
     /* 1565246 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1565332), // Rule ID 6188 //
     /* 1565251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1565254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1565271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1565274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565297 */     // MIs[0] policy
     /* 1565297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1565310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565331 */     // GIR_Coverage, 6188,
     /* 1565331 */     GIR_EraseRootFromParent_Done,
     /* 1565332 */   // Label 21655: @1565332
     /* 1565332 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1565418), // Rule ID 6189 //
     /* 1565337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1565340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1565354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1565357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1565360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565383 */     // MIs[0] policy
     /* 1565383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1565396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565417 */     // GIR_Coverage, 6189,
     /* 1565417 */     GIR_EraseRootFromParent_Done,
     /* 1565418 */   // Label 21656: @1565418
     /* 1565418 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1565504), // Rule ID 6192 //
     /* 1565423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1565434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1565437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1565440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1565443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1565446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565469 */     // MIs[0] policy
     /* 1565469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565479 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1565482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565503 */     // GIR_Coverage, 6192,
     /* 1565503 */     GIR_EraseRootFromParent_Done,
     /* 1565504 */   // Label 21657: @1565504
     /* 1565504 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1565590), // Rule ID 6193 //
     /* 1565509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1565512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1565520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1565523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1565526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1565529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1565532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565555 */     // MIs[0] policy
     /* 1565555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565565 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1565568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565589 */     // GIR_Coverage, 6193,
     /* 1565589 */     GIR_EraseRootFromParent_Done,
     /* 1565590 */   // Label 21658: @1565590
     /* 1565590 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1565676), // Rule ID 6196 //
     /* 1565595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1565606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1565609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1565612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1565615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1565618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565641 */     // MIs[0] policy
     /* 1565641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565651 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1565654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565675 */     // GIR_Coverage, 6196,
     /* 1565675 */     GIR_EraseRootFromParent_Done,
     /* 1565676 */   // Label 21659: @1565676
     /* 1565676 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1565762), // Rule ID 6197 //
     /* 1565681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1565684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1565692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1565695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1565698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1565701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1565704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565727 */     // MIs[0] policy
     /* 1565727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565737 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1565740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565761 */     // GIR_Coverage, 6197,
     /* 1565761 */     GIR_EraseRootFromParent_Done,
     /* 1565762 */   // Label 21660: @1565762
     /* 1565762 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1565848), // Rule ID 6200 //
     /* 1565767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1565778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1565781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1565784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1565787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1565790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565813 */     // MIs[0] policy
     /* 1565813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565823 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1565826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565847 */     // GIR_Coverage, 6200,
     /* 1565847 */     GIR_EraseRootFromParent_Done,
     /* 1565848 */   // Label 21661: @1565848
     /* 1565848 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1565934), // Rule ID 6201 //
     /* 1565853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1565856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1565864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1565867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1565870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1565873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1565876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565899 */     // MIs[0] policy
     /* 1565899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1565912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1565918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1565922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565933 */     // GIR_Coverage, 6201,
     /* 1565933 */     GIR_EraseRootFromParent_Done,
     /* 1565934 */   // Label 21662: @1565934
     /* 1565934 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1566020), // Rule ID 6204 //
     /* 1565939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1565947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1565959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1565962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565985 */     // MIs[0] policy
     /* 1565985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1565998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566019 */     // GIR_Coverage, 6204,
     /* 1566019 */     GIR_EraseRootFromParent_Done,
     /* 1566020 */   // Label 21663: @1566020
     /* 1566020 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1566106), // Rule ID 6205 //
     /* 1566025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1566042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1566045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566071 */     // MIs[0] policy
     /* 1566071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1566084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566105 */     // GIR_Coverage, 6205,
     /* 1566105 */     GIR_EraseRootFromParent_Done,
     /* 1566106 */   // Label 21664: @1566106
     /* 1566106 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1566192), // Rule ID 6208 //
     /* 1566111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1566131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566157 */     // MIs[0] policy
     /* 1566157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1566170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566191 */     // GIR_Coverage, 6208,
     /* 1566191 */     GIR_EraseRootFromParent_Done,
     /* 1566192 */   // Label 21665: @1566192
     /* 1566192 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1566278), // Rule ID 6209 //
     /* 1566197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1566214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1566217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566243 */     // MIs[0] policy
     /* 1566243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1566256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566277 */     // GIR_Coverage, 6209,
     /* 1566277 */     GIR_EraseRootFromParent_Done,
     /* 1566278 */   // Label 21666: @1566278
     /* 1566278 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1566364), // Rule ID 6212 //
     /* 1566283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1566294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1566297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1566303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1566306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566329 */     // MIs[0] policy
     /* 1566329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1566342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566363 */     // GIR_Coverage, 6212,
     /* 1566363 */     GIR_EraseRootFromParent_Done,
     /* 1566364 */   // Label 21667: @1566364
     /* 1566364 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1566450), // Rule ID 6213 //
     /* 1566369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1566380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1566383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1566386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1566389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1566392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566415 */     // MIs[0] policy
     /* 1566415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566425 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1566428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566449 */     // GIR_Coverage, 6213,
     /* 1566449 */     GIR_EraseRootFromParent_Done,
     /* 1566450 */   // Label 21668: @1566450
     /* 1566450 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1566536), // Rule ID 6216 //
     /* 1566455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1566475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566501 */     // MIs[0] policy
     /* 1566501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1566514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566535 */     // GIR_Coverage, 6216,
     /* 1566535 */     GIR_EraseRootFromParent_Done,
     /* 1566536 */   // Label 21669: @1566536
     /* 1566536 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1566622), // Rule ID 6217 //
     /* 1566541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1566561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566587 */     // MIs[0] policy
     /* 1566587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1566600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566621 */     // GIR_Coverage, 6217,
     /* 1566621 */     GIR_EraseRootFromParent_Done,
     /* 1566622 */   // Label 21670: @1566622
     /* 1566622 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1566708), // Rule ID 6220 //
     /* 1566627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1566647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566673 */     // MIs[0] policy
     /* 1566673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1566686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566707 */     // GIR_Coverage, 6220,
     /* 1566707 */     GIR_EraseRootFromParent_Done,
     /* 1566708 */   // Label 21671: @1566708
     /* 1566708 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1566794), // Rule ID 6221 //
     /* 1566713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1566733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566759 */     // MIs[0] policy
     /* 1566759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1566772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566793 */     // GIR_Coverage, 6221,
     /* 1566793 */     GIR_EraseRootFromParent_Done,
     /* 1566794 */   // Label 21672: @1566794
     /* 1566794 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1566880), // Rule ID 6224 //
     /* 1566799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1566819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566845 */     // MIs[0] policy
     /* 1566845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1566858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566879 */     // GIR_Coverage, 6224,
     /* 1566879 */     GIR_EraseRootFromParent_Done,
     /* 1566880 */   // Label 21673: @1566880
     /* 1566880 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1566966), // Rule ID 6225 //
     /* 1566885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1566896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1566899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1566905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566931 */     // MIs[0] policy
     /* 1566931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1566944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1566950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566965 */     // GIR_Coverage, 6225,
     /* 1566965 */     GIR_EraseRootFromParent_Done,
     /* 1566966 */   // Label 21674: @1566966
     /* 1566966 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1567052), // Rule ID 6228 //
     /* 1566971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1566974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1566979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1566982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1566985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1566991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1566994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567017 */     // MIs[0] policy
     /* 1567017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1567030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567051 */     // GIR_Coverage, 6228,
     /* 1567051 */     GIR_EraseRootFromParent_Done,
     /* 1567052 */   // Label 21675: @1567052
     /* 1567052 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1567138), // Rule ID 6229 //
     /* 1567057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1567060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1567068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1567071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1567077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567103 */     // MIs[0] policy
     /* 1567103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1567116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567137 */     // GIR_Coverage, 6229,
     /* 1567137 */     GIR_EraseRootFromParent_Done,
     /* 1567138 */   // Label 21676: @1567138
     /* 1567138 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1567224), // Rule ID 6232 //
     /* 1567143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1567146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1567163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567189 */     // MIs[0] policy
     /* 1567189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1567202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567223 */     // GIR_Coverage, 6232,
     /* 1567223 */     GIR_EraseRootFromParent_Done,
     /* 1567224 */   // Label 21677: @1567224
     /* 1567224 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1567310), // Rule ID 6233 //
     /* 1567229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1567232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1567240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1567243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1567249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567275 */     // MIs[0] policy
     /* 1567275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567285 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1567288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567309 */     // GIR_Coverage, 6233,
     /* 1567309 */     GIR_EraseRootFromParent_Done,
     /* 1567310 */   // Label 21678: @1567310
     /* 1567310 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1567396), // Rule ID 6236 //
     /* 1567315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1567318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1567329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1567335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567361 */     // MIs[0] policy
     /* 1567361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567371 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1567374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567395 */     // GIR_Coverage, 6236,
     /* 1567395 */     GIR_EraseRootFromParent_Done,
     /* 1567396 */   // Label 21679: @1567396
     /* 1567396 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1567482), // Rule ID 6237 //
     /* 1567401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1567404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1567412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1567415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1567421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567447 */     // MIs[0] policy
     /* 1567447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567457 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1567460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567481 */     // GIR_Coverage, 6237,
     /* 1567481 */     GIR_EraseRootFromParent_Done,
     /* 1567482 */   // Label 21680: @1567482
     /* 1567482 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1567568), // Rule ID 6240 //
     /* 1567487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1567498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1567501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1567504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1567507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567533 */     // MIs[0] policy
     /* 1567533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1567546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567567 */     // GIR_Coverage, 6240,
     /* 1567567 */     GIR_EraseRootFromParent_Done,
     /* 1567568 */   // Label 21681: @1567568
     /* 1567568 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1567654), // Rule ID 6241 //
     /* 1567573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1567584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1567587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1567590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1567593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567619 */     // MIs[0] policy
     /* 1567619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567629 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1567632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567653 */     // GIR_Coverage, 6241,
     /* 1567653 */     GIR_EraseRootFromParent_Done,
     /* 1567654 */   // Label 21682: @1567654
     /* 1567654 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1567740), // Rule ID 6244 //
     /* 1567659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1567670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1567673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1567676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1567679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567705 */     // MIs[0] policy
     /* 1567705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1567718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567739 */     // GIR_Coverage, 6244,
     /* 1567739 */     GIR_EraseRootFromParent_Done,
     /* 1567740 */   // Label 21683: @1567740
     /* 1567740 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1567826), // Rule ID 6245 //
     /* 1567745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1567756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1567759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1567762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1567765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567791 */     // MIs[0] policy
     /* 1567791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1567804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567825 */     // GIR_Coverage, 6245,
     /* 1567825 */     GIR_EraseRootFromParent_Done,
     /* 1567826 */   // Label 21684: @1567826
     /* 1567826 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1567912), // Rule ID 6248 //
     /* 1567831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1567842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1567845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1567848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1567851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567877 */     // MIs[0] policy
     /* 1567877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1567890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567911 */     // GIR_Coverage, 6248,
     /* 1567911 */     GIR_EraseRootFromParent_Done,
     /* 1567912 */   // Label 21685: @1567912
     /* 1567912 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1567998), // Rule ID 6249 //
     /* 1567917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1567925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1567928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1567931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1567934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1567937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1567959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567963 */     // MIs[0] policy
     /* 1567963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567973 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1567976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1567982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567997 */     // GIR_Coverage, 6249,
     /* 1567997 */     GIR_EraseRootFromParent_Done,
     /* 1567998 */   // Label 21686: @1567998
     /* 1567998 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1568084), // Rule ID 6252 //
     /* 1568003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568049 */     // MIs[0] policy
     /* 1568049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1568062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568083 */     // GIR_Coverage, 6252,
     /* 1568083 */     GIR_EraseRootFromParent_Done,
     /* 1568084 */   // Label 21687: @1568084
     /* 1568084 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1568170), // Rule ID 6253 //
     /* 1568089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568135 */     // MIs[0] policy
     /* 1568135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568145 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1568148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568169 */     // GIR_Coverage, 6253,
     /* 1568169 */     GIR_EraseRootFromParent_Done,
     /* 1568170 */   // Label 21688: @1568170
     /* 1568170 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1568256), // Rule ID 6256 //
     /* 1568175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568221 */     // MIs[0] policy
     /* 1568221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1568234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568255 */     // GIR_Coverage, 6256,
     /* 1568255 */     GIR_EraseRootFromParent_Done,
     /* 1568256 */   // Label 21689: @1568256
     /* 1568256 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1568342), // Rule ID 6257 //
     /* 1568261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1568278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568307 */     // MIs[0] policy
     /* 1568307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1568320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568341 */     // GIR_Coverage, 6257,
     /* 1568341 */     GIR_EraseRootFromParent_Done,
     /* 1568342 */   // Label 21690: @1568342
     /* 1568342 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1568428), // Rule ID 6260 //
     /* 1568347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568393 */     // MIs[0] policy
     /* 1568393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1568406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568427 */     // GIR_Coverage, 6260,
     /* 1568427 */     GIR_EraseRootFromParent_Done,
     /* 1568428 */   // Label 21691: @1568428
     /* 1568428 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1568514), // Rule ID 6261 //
     /* 1568433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568479 */     // MIs[0] policy
     /* 1568479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1568492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568513 */     // GIR_Coverage, 6261,
     /* 1568513 */     GIR_EraseRootFromParent_Done,
     /* 1568514 */   // Label 21692: @1568514
     /* 1568514 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1568600), // Rule ID 6264 //
     /* 1568519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1568530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1568533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1568536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568565 */     // MIs[0] policy
     /* 1568565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568575 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1568578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568599 */     // GIR_Coverage, 6264,
     /* 1568599 */     GIR_EraseRootFromParent_Done,
     /* 1568600 */   // Label 21693: @1568600
     /* 1568600 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1568686), // Rule ID 6265 //
     /* 1568605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1568616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1568619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1568622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568651 */     // MIs[0] policy
     /* 1568651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1568664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568685 */     // GIR_Coverage, 6265,
     /* 1568685 */     GIR_EraseRootFromParent_Done,
     /* 1568686 */   // Label 21694: @1568686
     /* 1568686 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1568772), // Rule ID 6268 //
     /* 1568691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1568708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568737 */     // MIs[0] policy
     /* 1568737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1568750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568771 */     // GIR_Coverage, 6268,
     /* 1568771 */     GIR_EraseRootFromParent_Done,
     /* 1568772 */   // Label 21695: @1568772
     /* 1568772 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1568858), // Rule ID 6269 //
     /* 1568777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1568794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568823 */     // MIs[0] policy
     /* 1568823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1568836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568857 */     // GIR_Coverage, 6269,
     /* 1568857 */     GIR_EraseRootFromParent_Done,
     /* 1568858 */   // Label 21696: @1568858
     /* 1568858 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1568944), // Rule ID 6272 //
     /* 1568863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1568883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568909 */     // MIs[0] policy
     /* 1568909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1568922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1568928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568943 */     // GIR_Coverage, 6272,
     /* 1568943 */     GIR_EraseRootFromParent_Done,
     /* 1568944 */   // Label 21697: @1568944
     /* 1568944 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1569030), // Rule ID 6273 //
     /* 1568949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1568957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1568960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1568963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1568969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1568991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568995 */     // MIs[0] policy
     /* 1568995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1569008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569029 */     // GIR_Coverage, 6273,
     /* 1569029 */     GIR_EraseRootFromParent_Done,
     /* 1569030 */   // Label 21698: @1569030
     /* 1569030 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1569116), // Rule ID 6276 //
     /* 1569035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1569038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569081 */     // MIs[0] policy
     /* 1569081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1569094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1569112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569115 */     // GIR_Coverage, 6276,
     /* 1569115 */     GIR_EraseRootFromParent_Done,
     /* 1569116 */   // Label 21699: @1569116
     /* 1569116 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1569202), // Rule ID 6277 //
     /* 1569121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1569124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1569141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569167 */     // MIs[0] policy
     /* 1569167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1569180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1569198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569201 */     // GIR_Coverage, 6277,
     /* 1569201 */     GIR_EraseRootFromParent_Done,
     /* 1569202 */   // Label 21700: @1569202
     /* 1569202 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1569288), // Rule ID 6280 //
     /* 1569207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1569218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1569221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1569224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569253 */     // MIs[0] policy
     /* 1569253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569263 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1569266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569287 */     // GIR_Coverage, 6280,
     /* 1569287 */     GIR_EraseRootFromParent_Done,
     /* 1569288 */   // Label 21701: @1569288
     /* 1569288 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1569374), // Rule ID 6281 //
     /* 1569293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1569304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1569307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1569310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1569313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569339 */     // MIs[0] policy
     /* 1569339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1569352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569373 */     // GIR_Coverage, 6281,
     /* 1569373 */     GIR_EraseRootFromParent_Done,
     /* 1569374 */   // Label 21702: @1569374
     /* 1569374 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1569460), // Rule ID 6284 //
     /* 1569379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1569390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1569393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1569396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1569402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569425 */     // MIs[0] policy
     /* 1569425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569435 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1569438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569459 */     // GIR_Coverage, 6284,
     /* 1569459 */     GIR_EraseRootFromParent_Done,
     /* 1569460 */   // Label 21703: @1569460
     /* 1569460 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1569546), // Rule ID 6285 //
     /* 1569465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1569476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1569479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1569482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1569485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1569488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569511 */     // MIs[0] policy
     /* 1569511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1569524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569545 */     // GIR_Coverage, 6285,
     /* 1569545 */     GIR_EraseRootFromParent_Done,
     /* 1569546 */   // Label 21704: @1569546
     /* 1569546 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1569632), // Rule ID 6288 //
     /* 1569551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1569562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1569565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1569568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1569574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569597 */     // MIs[0] policy
     /* 1569597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1569610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569631 */     // GIR_Coverage, 6288,
     /* 1569631 */     GIR_EraseRootFromParent_Done,
     /* 1569632 */   // Label 21705: @1569632
     /* 1569632 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1569718), // Rule ID 6289 //
     /* 1569637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1569648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1569651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1569654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1569657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1569660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569683 */     // MIs[0] policy
     /* 1569683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569693 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1569696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569717 */     // GIR_Coverage, 6289,
     /* 1569717 */     GIR_EraseRootFromParent_Done,
     /* 1569718 */   // Label 21706: @1569718
     /* 1569718 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1569804), // Rule ID 6292 //
     /* 1569723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569769 */     // MIs[0] policy
     /* 1569769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1569782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569803 */     // GIR_Coverage, 6292,
     /* 1569803 */     GIR_EraseRootFromParent_Done,
     /* 1569804 */   // Label 21707: @1569804
     /* 1569804 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1569890), // Rule ID 6293 //
     /* 1569809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1569829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569855 */     // MIs[0] policy
     /* 1569855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1569868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569889 */     // GIR_Coverage, 6293,
     /* 1569889 */     GIR_EraseRootFromParent_Done,
     /* 1569890 */   // Label 21708: @1569890
     /* 1569890 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1569976), // Rule ID 6296 //
     /* 1569895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1569912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1569915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1569937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569941 */     // MIs[0] policy
     /* 1569941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1569954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1569960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569975 */     // GIR_Coverage, 6296,
     /* 1569975 */     GIR_EraseRootFromParent_Done,
     /* 1569976 */   // Label 21709: @1569976
     /* 1569976 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1570062), // Rule ID 6297 //
     /* 1569981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1569989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1569998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1570004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570027 */     // MIs[0] policy
     /* 1570027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570037 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1570040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570061 */     // GIR_Coverage, 6297,
     /* 1570061 */     GIR_EraseRootFromParent_Done,
     /* 1570062 */   // Label 21710: @1570062
     /* 1570062 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1570148), // Rule ID 6300 //
     /* 1570067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1570090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570113 */     // MIs[0] policy
     /* 1570113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570123 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1570126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570147 */     // GIR_Coverage, 6300,
     /* 1570147 */     GIR_EraseRootFromParent_Done,
     /* 1570148 */   // Label 21711: @1570148
     /* 1570148 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1570234), // Rule ID 6301 //
     /* 1570153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1570176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570199 */     // MIs[0] policy
     /* 1570199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1570212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570233 */     // GIR_Coverage, 6301,
     /* 1570233 */     GIR_EraseRootFromParent_Done,
     /* 1570234 */   // Label 21712: @1570234
     /* 1570234 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1570320), // Rule ID 6304 //
     /* 1570239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570285 */     // MIs[0] policy
     /* 1570285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570295 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1570298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570319 */     // GIR_Coverage, 6304,
     /* 1570319 */     GIR_EraseRootFromParent_Done,
     /* 1570320 */   // Label 21713: @1570320
     /* 1570320 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1570406), // Rule ID 6305 //
     /* 1570325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570371 */     // MIs[0] policy
     /* 1570371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1570384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570405 */     // GIR_Coverage, 6305,
     /* 1570405 */     GIR_EraseRootFromParent_Done,
     /* 1570406 */   // Label 21714: @1570406
     /* 1570406 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1570492), // Rule ID 6308 //
     /* 1570411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570457 */     // MIs[0] policy
     /* 1570457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1570470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570491 */     // GIR_Coverage, 6308,
     /* 1570491 */     GIR_EraseRootFromParent_Done,
     /* 1570492 */   // Label 21715: @1570492
     /* 1570492 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1570578), // Rule ID 6309 //
     /* 1570497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570543 */     // MIs[0] policy
     /* 1570543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1570556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570577 */     // GIR_Coverage, 6309,
     /* 1570577 */     GIR_EraseRootFromParent_Done,
     /* 1570578 */   // Label 21716: @1570578
     /* 1570578 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1570664), // Rule ID 6312 //
     /* 1570583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1570606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570629 */     // MIs[0] policy
     /* 1570629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1570642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570663 */     // GIR_Coverage, 6312,
     /* 1570663 */     GIR_EraseRootFromParent_Done,
     /* 1570664 */   // Label 21717: @1570664
     /* 1570664 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1570750), // Rule ID 6313 //
     /* 1570669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1570692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570715 */     // MIs[0] policy
     /* 1570715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1570728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570749 */     // GIR_Coverage, 6313,
     /* 1570749 */     GIR_EraseRootFromParent_Done,
     /* 1570750 */   // Label 21718: @1570750
     /* 1570750 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1570836), // Rule ID 6316 //
     /* 1570755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1570758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570801 */     // MIs[0] policy
     /* 1570801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1570814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1570832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570835 */     // GIR_Coverage, 6316,
     /* 1570835 */     GIR_EraseRootFromParent_Done,
     /* 1570836 */   // Label 21719: @1570836
     /* 1570836 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1570922), // Rule ID 6317 //
     /* 1570841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1570844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1570861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570887 */     // MIs[0] policy
     /* 1570887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11328:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1570900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1570918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570921 */     // GIR_Coverage, 6317,
     /* 1570921 */     GIR_EraseRootFromParent_Done,
     /* 1570922 */   // Label 21720: @1570922
     /* 1570922 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1571008), // Rule ID 6320 //
     /* 1570927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1570930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1570935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1570938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1570941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1570947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1570969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570973 */     // MIs[0] policy
     /* 1570973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1570986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1570992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571007 */     // GIR_Coverage, 6320,
     /* 1571007 */     GIR_EraseRootFromParent_Done,
     /* 1571008 */   // Label 21721: @1571008
     /* 1571008 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1571094), // Rule ID 6321 //
     /* 1571013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1571016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1571021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1571024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1571027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1571033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1571055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571059 */     // MIs[0] policy
     /* 1571059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11328:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1571072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571093 */     // GIR_Coverage, 6321,
     /* 1571093 */     GIR_EraseRootFromParent_Done,
     /* 1571094 */   // Label 21722: @1571094
     /* 1571094 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1571180), // Rule ID 6324 //
     /* 1571099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1571102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1571107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1571119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1571141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571145 */     // MIs[0] policy
     /* 1571145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571155 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1571158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571179 */     // GIR_Coverage, 6324,
     /* 1571179 */     GIR_EraseRootFromParent_Done,
     /* 1571180 */   // Label 21723: @1571180
     /* 1571180 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1571266), // Rule ID 6325 //
     /* 1571185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1571188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1571193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1571205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1571227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571231 */     // MIs[0] policy
     /* 1571231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11328:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1571244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571265 */     // GIR_Coverage, 6325,
     /* 1571265 */     GIR_EraseRootFromParent_Done,
     /* 1571266 */   // Label 21724: @1571266
     /* 1571266 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1571352), // Rule ID 6416 //
     /* 1571271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1571282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1571285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1571288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571317 */     // MIs[0] policy
     /* 1571317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571327 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1571330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571351 */     // GIR_Coverage, 6416,
     /* 1571351 */     GIR_EraseRootFromParent_Done,
     /* 1571352 */   // Label 21725: @1571352
     /* 1571352 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1571438), // Rule ID 6417 //
     /* 1571357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1571368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1571371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1571374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571403 */     // MIs[0] policy
     /* 1571403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571413 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1571416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571437 */     // GIR_Coverage, 6417,
     /* 1571437 */     GIR_EraseRootFromParent_Done,
     /* 1571438 */   // Label 21726: @1571438
     /* 1571438 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1571524), // Rule ID 6420 //
     /* 1571443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1571454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1571457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1571460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571489 */     // MIs[0] policy
     /* 1571489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1571502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571523 */     // GIR_Coverage, 6420,
     /* 1571523 */     GIR_EraseRootFromParent_Done,
     /* 1571524 */   // Label 21727: @1571524
     /* 1571524 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1571610), // Rule ID 6421 //
     /* 1571529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1571540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1571543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1571546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571575 */     // MIs[0] policy
     /* 1571575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571585 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1571588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571609 */     // GIR_Coverage, 6421,
     /* 1571609 */     GIR_EraseRootFromParent_Done,
     /* 1571610 */   // Label 21728: @1571610
     /* 1571610 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1571696), // Rule ID 6424 //
     /* 1571615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1571626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1571629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1571632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571661 */     // MIs[0] policy
     /* 1571661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1571674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571695 */     // GIR_Coverage, 6424,
     /* 1571695 */     GIR_EraseRootFromParent_Done,
     /* 1571696 */   // Label 21729: @1571696
     /* 1571696 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1571782), // Rule ID 6425 //
     /* 1571701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1571712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1571715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1571718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571747 */     // MIs[0] policy
     /* 1571747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571757 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1571760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571781 */     // GIR_Coverage, 6425,
     /* 1571781 */     GIR_EraseRootFromParent_Done,
     /* 1571782 */   // Label 21730: @1571782
     /* 1571782 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1571868), // Rule ID 6428 //
     /* 1571787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1571804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1571807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571833 */     // MIs[0] policy
     /* 1571833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1571846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571867 */     // GIR_Coverage, 6428,
     /* 1571867 */     GIR_EraseRootFromParent_Done,
     /* 1571868 */   // Label 21731: @1571868
     /* 1571868 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1571954), // Rule ID 6429 //
     /* 1571873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1571890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1571893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571919 */     // MIs[0] policy
     /* 1571919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571929 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1571932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1571938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571953 */     // GIR_Coverage, 6429,
     /* 1571953 */     GIR_EraseRootFromParent_Done,
     /* 1571954 */   // Label 21732: @1571954
     /* 1571954 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1572040), // Rule ID 6432 //
     /* 1571959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1571967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1571976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1571979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572005 */     // MIs[0] policy
     /* 1572005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1572018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572039 */     // GIR_Coverage, 6432,
     /* 1572039 */     GIR_EraseRootFromParent_Done,
     /* 1572040 */   // Label 21733: @1572040
     /* 1572040 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1572126), // Rule ID 6433 //
     /* 1572045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1572056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1572059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1572065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572091 */     // MIs[0] policy
     /* 1572091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1572104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572125 */     // GIR_Coverage, 6433,
     /* 1572125 */     GIR_EraseRootFromParent_Done,
     /* 1572126 */   // Label 21734: @1572126
     /* 1572126 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1572212), // Rule ID 6436 //
     /* 1572131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1572151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572177 */     // MIs[0] policy
     /* 1572177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1572190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572211 */     // GIR_Coverage, 6436,
     /* 1572211 */     GIR_EraseRootFromParent_Done,
     /* 1572212 */   // Label 21735: @1572212
     /* 1572212 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1572298), // Rule ID 6437 //
     /* 1572217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1572237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572263 */     // MIs[0] policy
     /* 1572263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1572276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572297 */     // GIR_Coverage, 6437,
     /* 1572297 */     GIR_EraseRootFromParent_Done,
     /* 1572298 */   // Label 21736: @1572298
     /* 1572298 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1572384), // Rule ID 6440 //
     /* 1572303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1572314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1572317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1572320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572349 */     // MIs[0] policy
     /* 1572349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572383 */     // GIR_Coverage, 6440,
     /* 1572383 */     GIR_EraseRootFromParent_Done,
     /* 1572384 */   // Label 21737: @1572384
     /* 1572384 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1572470), // Rule ID 6441 //
     /* 1572389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1572400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1572403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1572406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1572409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572435 */     // MIs[0] policy
     /* 1572435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572445 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572469 */     // GIR_Coverage, 6441,
     /* 1572469 */     GIR_EraseRootFromParent_Done,
     /* 1572470 */   // Label 21738: @1572470
     /* 1572470 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1572556), // Rule ID 6444 //
     /* 1572475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572521 */     // MIs[0] policy
     /* 1572521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572555 */     // GIR_Coverage, 6444,
     /* 1572555 */     GIR_EraseRootFromParent_Done,
     /* 1572556 */   // Label 21739: @1572556
     /* 1572556 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1572642), // Rule ID 6445 //
     /* 1572561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1572572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1572575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1572578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572607 */     // MIs[0] policy
     /* 1572607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572641 */     // GIR_Coverage, 6445,
     /* 1572641 */     GIR_EraseRootFromParent_Done,
     /* 1572642 */   // Label 21740: @1572642
     /* 1572642 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1572728), // Rule ID 6448 //
     /* 1572647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1572667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572693 */     // MIs[0] policy
     /* 1572693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572727 */     // GIR_Coverage, 6448,
     /* 1572727 */     GIR_EraseRootFromParent_Done,
     /* 1572728 */   // Label 21741: @1572728
     /* 1572728 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1572814), // Rule ID 6449 //
     /* 1572733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1572753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572779 */     // MIs[0] policy
     /* 1572779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572813 */     // GIR_Coverage, 6449,
     /* 1572813 */     GIR_EraseRootFromParent_Done,
     /* 1572814 */   // Label 21742: @1572814
     /* 1572814 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1572900), // Rule ID 6452 //
     /* 1572819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1572822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1572836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1572839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572865 */     // MIs[0] policy
     /* 1572865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1572896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572899 */     // GIR_Coverage, 6452,
     /* 1572899 */     GIR_EraseRootFromParent_Done,
     /* 1572900 */   // Label 21743: @1572900
     /* 1572900 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1572986), // Rule ID 6453 //
     /* 1572905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1572908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1572922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1572925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572951 */     // MIs[0] policy
     /* 1572951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1572964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1572982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572985 */     // GIR_Coverage, 6453,
     /* 1572985 */     GIR_EraseRootFromParent_Done,
     /* 1572986 */   // Label 21744: @1572986
     /* 1572986 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1573072), // Rule ID 6456 //
     /* 1572991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1572999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1573002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1573005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1573008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573037 */     // MIs[0] policy
     /* 1573037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1573050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573071 */     // GIR_Coverage, 6456,
     /* 1573071 */     GIR_EraseRootFromParent_Done,
     /* 1573072 */   // Label 21745: @1573072
     /* 1573072 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1573158), // Rule ID 6457 //
     /* 1573077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1573088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1573091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1573094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1573097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573123 */     // MIs[0] policy
     /* 1573123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573133 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1573136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573157 */     // GIR_Coverage, 6457,
     /* 1573157 */     GIR_EraseRootFromParent_Done,
     /* 1573158 */   // Label 21746: @1573158
     /* 1573158 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1573244), // Rule ID 6460 //
     /* 1573163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1573174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1573177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1573180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573209 */     // MIs[0] policy
     /* 1573209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1573222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573243 */     // GIR_Coverage, 6460,
     /* 1573243 */     GIR_EraseRootFromParent_Done,
     /* 1573244 */   // Label 21747: @1573244
     /* 1573244 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1573330), // Rule ID 6461 //
     /* 1573249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1573260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1573263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1573266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1573269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573295 */     // MIs[0] policy
     /* 1573295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573305 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1573308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573329 */     // GIR_Coverage, 6461,
     /* 1573329 */     GIR_EraseRootFromParent_Done,
     /* 1573330 */   // Label 21748: @1573330
     /* 1573330 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1573416), // Rule ID 6464 //
     /* 1573335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1573346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1573349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1573352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1573355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1573358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573381 */     // MIs[0] policy
     /* 1573381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1573394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573415 */     // GIR_Coverage, 6464,
     /* 1573415 */     GIR_EraseRootFromParent_Done,
     /* 1573416 */   // Label 21749: @1573416
     /* 1573416 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1573502), // Rule ID 6465 //
     /* 1573421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1573432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1573435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1573438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1573441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1573444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573467 */     // MIs[0] policy
     /* 1573467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1573480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573501 */     // GIR_Coverage, 6465,
     /* 1573501 */     GIR_EraseRootFromParent_Done,
     /* 1573502 */   // Label 21750: @1573502
     /* 1573502 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1573588), // Rule ID 6468 //
     /* 1573507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573553 */     // MIs[0] policy
     /* 1573553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1573566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573587 */     // GIR_Coverage, 6468,
     /* 1573587 */     GIR_EraseRootFromParent_Done,
     /* 1573588 */   // Label 21751: @1573588
     /* 1573588 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1573674), // Rule ID 6469 //
     /* 1573593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1573604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1573607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1573613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573639 */     // MIs[0] policy
     /* 1573639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573649 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1573652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573673 */     // GIR_Coverage, 6469,
     /* 1573673 */     GIR_EraseRootFromParent_Done,
     /* 1573674 */   // Label 21752: @1573674
     /* 1573674 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1573760), // Rule ID 6472 //
     /* 1573679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573725 */     // MIs[0] policy
     /* 1573725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1573738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573759 */     // GIR_Coverage, 6472,
     /* 1573759 */     GIR_EraseRootFromParent_Done,
     /* 1573760 */   // Label 21753: @1573760
     /* 1573760 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1573846), // Rule ID 6473 //
     /* 1573765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1573776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1573779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573811 */     // MIs[0] policy
     /* 1573811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573821 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1573824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573845 */     // GIR_Coverage, 6473,
     /* 1573845 */     GIR_EraseRootFromParent_Done,
     /* 1573846 */   // Label 21754: @1573846
     /* 1573846 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1573932), // Rule ID 6476 //
     /* 1573851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1573868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1573871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573897 */     // MIs[0] policy
     /* 1573897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573907 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1573910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1573916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573931 */     // GIR_Coverage, 6476,
     /* 1573931 */     GIR_EraseRootFromParent_Done,
     /* 1573932 */   // Label 21755: @1573932
     /* 1573932 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1574018), // Rule ID 6477 //
     /* 1573937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1573945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1573948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1573951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1573954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1573957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1573960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573983 */     // MIs[0] policy
     /* 1573983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1573996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574017 */     // GIR_Coverage, 6477,
     /* 1574017 */     GIR_EraseRootFromParent_Done,
     /* 1574018 */   // Label 21756: @1574018
     /* 1574018 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1574104), // Rule ID 6480 //
     /* 1574023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574069 */     // MIs[0] policy
     /* 1574069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1574082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574103 */     // GIR_Coverage, 6480,
     /* 1574103 */     GIR_EraseRootFromParent_Done,
     /* 1574104 */   // Label 21757: @1574104
     /* 1574104 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1574190), // Rule ID 6481 //
     /* 1574109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1574129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574155 */     // MIs[0] policy
     /* 1574155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1574168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574189 */     // GIR_Coverage, 6481,
     /* 1574189 */     GIR_EraseRootFromParent_Done,
     /* 1574190 */   // Label 21758: @1574190
     /* 1574190 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1574276), // Rule ID 6484 //
     /* 1574195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574241 */     // MIs[0] policy
     /* 1574241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1574254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574275 */     // GIR_Coverage, 6484,
     /* 1574275 */     GIR_EraseRootFromParent_Done,
     /* 1574276 */   // Label 21759: @1574276
     /* 1574276 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1574362), // Rule ID 6485 //
     /* 1574281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1574292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1574295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1574301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574327 */     // MIs[0] policy
     /* 1574327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1574340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574361 */     // GIR_Coverage, 6485,
     /* 1574361 */     GIR_EraseRootFromParent_Done,
     /* 1574362 */   // Label 21760: @1574362
     /* 1574362 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1574448), // Rule ID 6488 //
     /* 1574367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1574387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574413 */     // MIs[0] policy
     /* 1574413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1574426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574447 */     // GIR_Coverage, 6488,
     /* 1574447 */     GIR_EraseRootFromParent_Done,
     /* 1574448 */   // Label 21761: @1574448
     /* 1574448 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1574534), // Rule ID 6489 //
     /* 1574453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1574464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1574467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1574470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1574473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574499 */     // MIs[0] policy
     /* 1574499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1574512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574533 */     // GIR_Coverage, 6489,
     /* 1574533 */     GIR_EraseRootFromParent_Done,
     /* 1574534 */   // Label 21762: @1574534
     /* 1574534 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1574620), // Rule ID 6492 //
     /* 1574539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1574542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1574559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574585 */     // MIs[0] policy
     /* 1574585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1574598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574619 */     // GIR_Coverage, 6492,
     /* 1574619 */     GIR_EraseRootFromParent_Done,
     /* 1574620 */   // Label 21763: @1574620
     /* 1574620 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1574706), // Rule ID 6493 //
     /* 1574625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1574628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1574636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1574639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1574642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1574645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574671 */     // MIs[0] policy
     /* 1574671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574681 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1574684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574705 */     // GIR_Coverage, 6493,
     /* 1574705 */     GIR_EraseRootFromParent_Done,
     /* 1574706 */   // Label 21764: @1574706
     /* 1574706 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1574792), // Rule ID 6496 //
     /* 1574711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1574714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1574731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574757 */     // MIs[0] policy
     /* 1574757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1574770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574791 */     // GIR_Coverage, 6496,
     /* 1574791 */     GIR_EraseRootFromParent_Done,
     /* 1574792 */   // Label 21765: @1574792
     /* 1574792 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1574878), // Rule ID 6497 //
     /* 1574797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1574800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1574814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1574817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574843 */     // MIs[0] policy
     /* 1574843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574853 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1574856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574877 */     // GIR_Coverage, 6497,
     /* 1574877 */     GIR_EraseRootFromParent_Done,
     /* 1574878 */   // Label 21766: @1574878
     /* 1574878 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1574964), // Rule ID 6500 //
     /* 1574883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1574886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1574903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574929 */     // MIs[0] policy
     /* 1574929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1574942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1574948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574963 */     // GIR_Coverage, 6500,
     /* 1574963 */     GIR_EraseRootFromParent_Done,
     /* 1574964 */   // Label 21767: @1574964
     /* 1574964 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1575050), // Rule ID 6501 //
     /* 1574969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1574972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1574977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1574986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1574989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575015 */     // MIs[0] policy
     /* 1575015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1575028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1575046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575049 */     // GIR_Coverage, 6501,
     /* 1575049 */     GIR_EraseRootFromParent_Done,
     /* 1575050 */   // Label 21768: @1575050
     /* 1575050 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1575136), // Rule ID 6504 //
     /* 1575055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1575066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1575069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1575072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575101 */     // MIs[0] policy
     /* 1575101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1575114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575135 */     // GIR_Coverage, 6504,
     /* 1575135 */     GIR_EraseRootFromParent_Done,
     /* 1575136 */   // Label 21769: @1575136
     /* 1575136 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1575222), // Rule ID 6505 //
     /* 1575141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1575152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1575155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1575158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1575161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575187 */     // MIs[0] policy
     /* 1575187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575197 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1575200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575221 */     // GIR_Coverage, 6505,
     /* 1575221 */     GIR_EraseRootFromParent_Done,
     /* 1575222 */   // Label 21770: @1575222
     /* 1575222 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1575308), // Rule ID 6508 //
     /* 1575227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1575238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1575241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1575244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575273 */     // MIs[0] policy
     /* 1575273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1575286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575307 */     // GIR_Coverage, 6508,
     /* 1575307 */     GIR_EraseRootFromParent_Done,
     /* 1575308 */   // Label 21771: @1575308
     /* 1575308 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1575394), // Rule ID 6509 //
     /* 1575313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1575324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1575327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1575330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1575333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575359 */     // MIs[0] policy
     /* 1575359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575369 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1575372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575393 */     // GIR_Coverage, 6509,
     /* 1575393 */     GIR_EraseRootFromParent_Done,
     /* 1575394 */   // Label 21772: @1575394
     /* 1575394 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1575480), // Rule ID 6512 //
     /* 1575399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1575410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1575413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1575416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575445 */     // MIs[0] policy
     /* 1575445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575455 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1575458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575479 */     // GIR_Coverage, 6512,
     /* 1575479 */     GIR_EraseRootFromParent_Done,
     /* 1575480 */   // Label 21773: @1575480
     /* 1575480 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1575566), // Rule ID 6513 //
     /* 1575485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1575496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1575499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1575502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1575505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575531 */     // MIs[0] policy
     /* 1575531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575541 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1575544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575565 */     // GIR_Coverage, 6513,
     /* 1575565 */     GIR_EraseRootFromParent_Done,
     /* 1575566 */   // Label 21774: @1575566
     /* 1575566 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1575652), // Rule ID 6516 //
     /* 1575571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1575588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575617 */     // MIs[0] policy
     /* 1575617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1575630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575651 */     // GIR_Coverage, 6516,
     /* 1575651 */     GIR_EraseRootFromParent_Done,
     /* 1575652 */   // Label 21775: @1575652
     /* 1575652 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1575738), // Rule ID 6517 //
     /* 1575657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1575674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1575677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575703 */     // MIs[0] policy
     /* 1575703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575713 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1575716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575737 */     // GIR_Coverage, 6517,
     /* 1575737 */     GIR_EraseRootFromParent_Done,
     /* 1575738 */   // Label 21776: @1575738
     /* 1575738 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1575824), // Rule ID 6520 //
     /* 1575743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1575760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575789 */     // MIs[0] policy
     /* 1575789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1575802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575823 */     // GIR_Coverage, 6520,
     /* 1575823 */     GIR_EraseRootFromParent_Done,
     /* 1575824 */   // Label 21777: @1575824
     /* 1575824 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1575910), // Rule ID 6521 //
     /* 1575829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1575846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1575849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575875 */     // MIs[0] policy
     /* 1575875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575885 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1575888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575909 */     // GIR_Coverage, 6521,
     /* 1575909 */     GIR_EraseRootFromParent_Done,
     /* 1575910 */   // Label 21778: @1575910
     /* 1575910 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1575996), // Rule ID 6524 //
     /* 1575915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1575923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1575926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1575929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1575932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1575935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1575957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575961 */     // MIs[0] policy
     /* 1575961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1575974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1575980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575995 */     // GIR_Coverage, 6524,
     /* 1575995 */     GIR_EraseRootFromParent_Done,
     /* 1575996 */   // Label 21779: @1575996
     /* 1575996 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1576082), // Rule ID 6525 //
     /* 1576001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1576018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576047 */     // MIs[0] policy
     /* 1576047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576057 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1576060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576081 */     // GIR_Coverage, 6525,
     /* 1576081 */     GIR_EraseRootFromParent_Done,
     /* 1576082 */   // Label 21780: @1576082
     /* 1576082 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1576168), // Rule ID 6528 //
     /* 1576087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1576098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1576101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1576104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576133 */     // MIs[0] policy
     /* 1576133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576167 */     // GIR_Coverage, 6528,
     /* 1576167 */     GIR_EraseRootFromParent_Done,
     /* 1576168 */   // Label 21781: @1576168
     /* 1576168 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1576254), // Rule ID 6529 //
     /* 1576173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1576184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1576187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1576190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576219 */     // MIs[0] policy
     /* 1576219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11206:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576253 */     // GIR_Coverage, 6529,
     /* 1576253 */     GIR_EraseRootFromParent_Done,
     /* 1576254 */   // Label 21782: @1576254
     /* 1576254 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1576340), // Rule ID 6532 //
     /* 1576259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1576276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576305 */     // MIs[0] policy
     /* 1576305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576339 */     // GIR_Coverage, 6532,
     /* 1576339 */     GIR_EraseRootFromParent_Done,
     /* 1576340 */   // Label 21783: @1576340
     /* 1576340 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1576426), // Rule ID 6533 //
     /* 1576345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1576362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576391 */     // MIs[0] policy
     /* 1576391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576425 */     // GIR_Coverage, 6533,
     /* 1576425 */     GIR_EraseRootFromParent_Done,
     /* 1576426 */   // Label 21784: @1576426
     /* 1576426 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1576512), // Rule ID 6536 //
     /* 1576431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576477 */     // MIs[0] policy
     /* 1576477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576511 */     // GIR_Coverage, 6536,
     /* 1576511 */     GIR_EraseRootFromParent_Done,
     /* 1576512 */   // Label 21785: @1576512
     /* 1576512 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1576598), // Rule ID 6537 //
     /* 1576517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1576534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576563 */     // MIs[0] policy
     /* 1576563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576597 */     // GIR_Coverage, 6537,
     /* 1576597 */     GIR_EraseRootFromParent_Done,
     /* 1576598 */   // Label 21786: @1576598
     /* 1576598 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1576684), // Rule ID 6540 //
     /* 1576603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1576606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576649 */     // MIs[0] policy
     /* 1576649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1576680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576683 */     // GIR_Coverage, 6540,
     /* 1576683 */     GIR_EraseRootFromParent_Done,
     /* 1576684 */   // Label 21787: @1576684
     /* 1576684 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1576770), // Rule ID 6541 //
     /* 1576689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1576692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1576700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1576703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576735 */     // MIs[0] policy
     /* 1576735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1576748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1576766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576769 */     // GIR_Coverage, 6541,
     /* 1576769 */     GIR_EraseRootFromParent_Done,
     /* 1576770 */   // Label 21788: @1576770
     /* 1576770 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1576856), // Rule ID 6544 //
     /* 1576775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1576786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1576789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1576792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576821 */     // MIs[0] policy
     /* 1576821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576831 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1576834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576855 */     // GIR_Coverage, 6544,
     /* 1576855 */     GIR_EraseRootFromParent_Done,
     /* 1576856 */   // Label 21789: @1576856
     /* 1576856 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1576942), // Rule ID 6545 //
     /* 1576861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1576872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1576875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1576878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1576881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576907 */     // MIs[0] policy
     /* 1576907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576917 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1576920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576941 */     // GIR_Coverage, 6545,
     /* 1576941 */     GIR_EraseRootFromParent_Done,
     /* 1576942 */   // Label 21790: @1576942
     /* 1576942 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1577028), // Rule ID 6548 //
     /* 1576947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1576955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1576958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1576961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1576964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1576967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1576970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1576989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576993 */     // MIs[0] policy
     /* 1576993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1577006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577027 */     // GIR_Coverage, 6548,
     /* 1577027 */     GIR_EraseRootFromParent_Done,
     /* 1577028 */   // Label 21791: @1577028
     /* 1577028 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1577114), // Rule ID 6549 //
     /* 1577033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1577044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1577047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1577050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1577056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577079 */     // MIs[0] policy
     /* 1577079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577089 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1577092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577113 */     // GIR_Coverage, 6549,
     /* 1577113 */     GIR_EraseRootFromParent_Done,
     /* 1577114 */   // Label 21792: @1577114
     /* 1577114 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1577200), // Rule ID 6552 //
     /* 1577119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1577130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1577133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1577136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1577142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577165 */     // MIs[0] policy
     /* 1577165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577175 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1577178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577199 */     // GIR_Coverage, 6552,
     /* 1577199 */     GIR_EraseRootFromParent_Done,
     /* 1577200 */   // Label 21793: @1577200
     /* 1577200 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1577286), // Rule ID 6553 //
     /* 1577205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1577216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1577219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1577222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1577228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577251 */     // MIs[0] policy
     /* 1577251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1577264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577285 */     // GIR_Coverage, 6553,
     /* 1577285 */     GIR_EraseRootFromParent_Done,
     /* 1577286 */   // Label 21794: @1577286
     /* 1577286 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1577372), // Rule ID 6556 //
     /* 1577291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1577308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577337 */     // MIs[0] policy
     /* 1577337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1577350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577371 */     // GIR_Coverage, 6556,
     /* 1577371 */     GIR_EraseRootFromParent_Done,
     /* 1577372 */   // Label 21795: @1577372
     /* 1577372 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1577458), // Rule ID 6557 //
     /* 1577377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1577388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1577391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1577394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577423 */     // MIs[0] policy
     /* 1577423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1577436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577457 */     // GIR_Coverage, 6557,
     /* 1577457 */     GIR_EraseRootFromParent_Done,
     /* 1577458 */   // Label 21796: @1577458
     /* 1577458 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1577544), // Rule ID 6560 //
     /* 1577463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1577480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577509 */     // MIs[0] policy
     /* 1577509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1577522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577543 */     // GIR_Coverage, 6560,
     /* 1577543 */     GIR_EraseRootFromParent_Done,
     /* 1577544 */   // Label 21797: @1577544
     /* 1577544 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1577630), // Rule ID 6561 //
     /* 1577549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1577560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1577563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1577566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577595 */     // MIs[0] policy
     /* 1577595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577605 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1577608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577629 */     // GIR_Coverage, 6561,
     /* 1577629 */     GIR_EraseRootFromParent_Done,
     /* 1577630 */   // Label 21798: @1577630
     /* 1577630 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1577716), // Rule ID 6564 //
     /* 1577635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1577646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1577649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1577652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1577658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577681 */     // MIs[0] policy
     /* 1577681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1577694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577715 */     // GIR_Coverage, 6564,
     /* 1577715 */     GIR_EraseRootFromParent_Done,
     /* 1577716 */   // Label 21799: @1577716
     /* 1577716 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1577802), // Rule ID 6565 //
     /* 1577721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1577732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1577735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1577738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1577744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577767 */     // MIs[0] policy
     /* 1577767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1577780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577801 */     // GIR_Coverage, 6565,
     /* 1577801 */     GIR_EraseRootFromParent_Done,
     /* 1577802 */   // Label 21800: @1577802
     /* 1577802 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1577888), // Rule ID 6568 //
     /* 1577807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1577824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577853 */     // MIs[0] policy
     /* 1577853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1577866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577887 */     // GIR_Coverage, 6568,
     /* 1577887 */     GIR_EraseRootFromParent_Done,
     /* 1577888 */   // Label 21801: @1577888
     /* 1577888 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1577974), // Rule ID 6569 //
     /* 1577893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1577910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1577913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1577935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577939 */     // MIs[0] policy
     /* 1577939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1577952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577973 */     // GIR_Coverage, 6569,
     /* 1577973 */     GIR_EraseRootFromParent_Done,
     /* 1577974 */   // Label 21802: @1577974
     /* 1577974 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1578060), // Rule ID 6572 //
     /* 1577979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1577987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1577996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1577999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578025 */     // MIs[0] policy
     /* 1578025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1578038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578059 */     // GIR_Coverage, 6572,
     /* 1578059 */     GIR_EraseRootFromParent_Done,
     /* 1578060 */   // Label 21803: @1578060
     /* 1578060 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1578146), // Rule ID 6573 //
     /* 1578065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1578076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1578079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1578085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578111 */     // MIs[0] policy
     /* 1578111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1578124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578145 */     // GIR_Coverage, 6573,
     /* 1578145 */     GIR_EraseRootFromParent_Done,
     /* 1578146 */   // Label 21804: @1578146
     /* 1578146 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1578232), // Rule ID 6576 //
     /* 1578151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1578171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578197 */     // MIs[0] policy
     /* 1578197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1578210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578231 */     // GIR_Coverage, 6576,
     /* 1578231 */     GIR_EraseRootFromParent_Done,
     /* 1578232 */   // Label 21805: @1578232
     /* 1578232 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1578318), // Rule ID 6577 //
     /* 1578237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1578248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1578251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1578257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578283 */     // MIs[0] policy
     /* 1578283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1578296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578317 */     // GIR_Coverage, 6577,
     /* 1578317 */     GIR_EraseRootFromParent_Done,
     /* 1578318 */   // Label 21806: @1578318
     /* 1578318 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1578404), // Rule ID 6580 //
     /* 1578323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1578326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1578334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1578337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1578340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1578343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578369 */     // MIs[0] policy
     /* 1578369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1578382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578403 */     // GIR_Coverage, 6580,
     /* 1578403 */     GIR_EraseRootFromParent_Done,
     /* 1578404 */   // Label 21807: @1578404
     /* 1578404 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1578490), // Rule ID 6581 //
     /* 1578409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1578412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1578420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1578423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1578426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1578429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578455 */     // MIs[0] policy
     /* 1578455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578465 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1578468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578489 */     // GIR_Coverage, 6581,
     /* 1578489 */     GIR_EraseRootFromParent_Done,
     /* 1578490 */   // Label 21808: @1578490
     /* 1578490 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1578576), // Rule ID 6584 //
     /* 1578495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1578498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1578506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1578509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1578512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1578515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578541 */     // MIs[0] policy
     /* 1578541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1578554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578575 */     // GIR_Coverage, 6584,
     /* 1578575 */     GIR_EraseRootFromParent_Done,
     /* 1578576 */   // Label 21809: @1578576
     /* 1578576 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1578662), // Rule ID 6585 //
     /* 1578581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1578584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1578592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1578595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1578598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1578601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578627 */     // MIs[0] policy
     /* 1578627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1578640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578661 */     // GIR_Coverage, 6585,
     /* 1578661 */     GIR_EraseRootFromParent_Done,
     /* 1578662 */   // Label 21810: @1578662
     /* 1578662 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1578748), // Rule ID 6588 //
     /* 1578667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1578670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1578678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1578681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1578684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1578687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578713 */     // MIs[0] policy
     /* 1578713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1578726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578747 */     // GIR_Coverage, 6588,
     /* 1578747 */     GIR_EraseRootFromParent_Done,
     /* 1578748 */   // Label 21811: @1578748
     /* 1578748 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1578834), // Rule ID 6589 //
     /* 1578753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1578756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1578761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1578764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1578767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1578770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1578773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1578795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578799 */     // MIs[0] policy
     /* 1578799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1578812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578833 */     // GIR_Coverage, 6589,
     /* 1578833 */     GIR_EraseRootFromParent_Done,
     /* 1578834 */   // Label 21812: @1578834
     /* 1578834 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1578920), // Rule ID 6680 //
     /* 1578839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1578847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1578850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1578853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1578856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1578859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578885 */     // MIs[0] policy
     /* 1578885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1578898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578919 */     // GIR_Coverage, 6680,
     /* 1578919 */     GIR_EraseRootFromParent_Done,
     /* 1578920 */   // Label 21813: @1578920
     /* 1578920 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1579006), // Rule ID 6681 //
     /* 1578925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1578933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1578936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1578939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1578942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1578945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578971 */     // MIs[0] policy
     /* 1578971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1578984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579005 */     // GIR_Coverage, 6681,
     /* 1579005 */     GIR_EraseRootFromParent_Done,
     /* 1579006 */   // Label 21814: @1579006
     /* 1579006 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1579092), // Rule ID 6684 //
     /* 1579011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1579022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1579025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1579028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579057 */     // MIs[0] policy
     /* 1579057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1579070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579091 */     // GIR_Coverage, 6684,
     /* 1579091 */     GIR_EraseRootFromParent_Done,
     /* 1579092 */   // Label 21815: @1579092
     /* 1579092 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1579178), // Rule ID 6685 //
     /* 1579097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1579108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1579111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1579114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1579117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579143 */     // MIs[0] policy
     /* 1579143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1579156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579177 */     // GIR_Coverage, 6685,
     /* 1579177 */     GIR_EraseRootFromParent_Done,
     /* 1579178 */   // Label 21816: @1579178
     /* 1579178 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1579264), // Rule ID 6688 //
     /* 1579183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1579194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1579197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1579200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579229 */     // MIs[0] policy
     /* 1579229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579239 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579263 */     // GIR_Coverage, 6688,
     /* 1579263 */     GIR_EraseRootFromParent_Done,
     /* 1579264 */   // Label 21817: @1579264
     /* 1579264 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1579350), // Rule ID 6689 //
     /* 1579269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1579280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1579283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1579286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1579289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579315 */     // MIs[0] policy
     /* 1579315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579349 */     // GIR_Coverage, 6689,
     /* 1579349 */     GIR_EraseRootFromParent_Done,
     /* 1579350 */   // Label 21818: @1579350
     /* 1579350 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1579436), // Rule ID 6692 //
     /* 1579355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1579372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1579375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579401 */     // MIs[0] policy
     /* 1579401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579411 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1579414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579435 */     // GIR_Coverage, 6692,
     /* 1579435 */     GIR_EraseRootFromParent_Done,
     /* 1579436 */   // Label 21819: @1579436
     /* 1579436 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1579522), // Rule ID 6693 //
     /* 1579441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1579458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1579461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579487 */     // MIs[0] policy
     /* 1579487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1579500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579521 */     // GIR_Coverage, 6693,
     /* 1579521 */     GIR_EraseRootFromParent_Done,
     /* 1579522 */   // Label 21820: @1579522
     /* 1579522 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1579608), // Rule ID 6696 //
     /* 1579527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1579544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1579547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579573 */     // MIs[0] policy
     /* 1579573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579607 */     // GIR_Coverage, 6696,
     /* 1579607 */     GIR_EraseRootFromParent_Done,
     /* 1579608 */   // Label 21821: @1579608
     /* 1579608 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1579694), // Rule ID 6697 //
     /* 1579613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1579630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1579633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579659 */     // MIs[0] policy
     /* 1579659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579693 */     // GIR_Coverage, 6697,
     /* 1579693 */     GIR_EraseRootFromParent_Done,
     /* 1579694 */   // Label 21822: @1579694
     /* 1579694 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1579780), // Rule ID 6700 //
     /* 1579699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1579710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1579713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1579716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579745 */     // MIs[0] policy
     /* 1579745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579779 */     // GIR_Coverage, 6700,
     /* 1579779 */     GIR_EraseRootFromParent_Done,
     /* 1579780 */   // Label 21823: @1579780
     /* 1579780 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1579866), // Rule ID 6701 //
     /* 1579785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1579796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1579799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1579802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1579805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579831 */     // MIs[0] policy
     /* 1579831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1579844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579865 */     // GIR_Coverage, 6701,
     /* 1579865 */     GIR_EraseRootFromParent_Done,
     /* 1579866 */   // Label 21824: @1579866
     /* 1579866 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1579952), // Rule ID 6704 //
     /* 1579871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1579882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1579885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1579888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579917 */     // MIs[0] policy
     /* 1579917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1579930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579951 */     // GIR_Coverage, 6704,
     /* 1579951 */     GIR_EraseRootFromParent_Done,
     /* 1579952 */   // Label 21825: @1579952
     /* 1579952 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1580038), // Rule ID 6705 //
     /* 1579957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1579965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1579968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1579971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1579974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580003 */     // MIs[0] policy
     /* 1580003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580037 */     // GIR_Coverage, 6705,
     /* 1580037 */     GIR_EraseRootFromParent_Done,
     /* 1580038 */   // Label 21826: @1580038
     /* 1580038 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1580124), // Rule ID 6708 //
     /* 1580043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1580060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580089 */     // MIs[0] policy
     /* 1580089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580123 */     // GIR_Coverage, 6708,
     /* 1580123 */     GIR_EraseRootFromParent_Done,
     /* 1580124 */   // Label 21827: @1580124
     /* 1580124 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1580210), // Rule ID 6709 //
     /* 1580129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1580143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1580146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1580149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580175 */     // MIs[0] policy
     /* 1580175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580209 */     // GIR_Coverage, 6709,
     /* 1580209 */     GIR_EraseRootFromParent_Done,
     /* 1580210 */   // Label 21828: @1580210
     /* 1580210 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1580296), // Rule ID 6712 //
     /* 1580215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1580232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1580235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580261 */     // MIs[0] policy
     /* 1580261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580295 */     // GIR_Coverage, 6712,
     /* 1580295 */     GIR_EraseRootFromParent_Done,
     /* 1580296 */   // Label 21829: @1580296
     /* 1580296 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1580382), // Rule ID 6713 //
     /* 1580301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1580318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1580321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580347 */     // MIs[0] policy
     /* 1580347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580381 */     // GIR_Coverage, 6713,
     /* 1580381 */     GIR_EraseRootFromParent_Done,
     /* 1580382 */   // Label 21830: @1580382
     /* 1580382 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1580468), // Rule ID 6716 //
     /* 1580387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1580390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1580404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1580407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580433 */     // MIs[0] policy
     /* 1580433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580467 */     // GIR_Coverage, 6716,
     /* 1580467 */     GIR_EraseRootFromParent_Done,
     /* 1580468 */   // Label 21831: @1580468
     /* 1580468 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1580554), // Rule ID 6717 //
     /* 1580473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1580476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1580490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1580493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580519 */     // MIs[0] policy
     /* 1580519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1580532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580553 */     // GIR_Coverage, 6717,
     /* 1580553 */     GIR_EraseRootFromParent_Done,
     /* 1580554 */   // Label 21832: @1580554
     /* 1580554 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1580640), // Rule ID 6720 //
     /* 1580559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1580570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1580573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1580576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580605 */     // MIs[0] policy
     /* 1580605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580615 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1580618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580639 */     // GIR_Coverage, 6720,
     /* 1580639 */     GIR_EraseRootFromParent_Done,
     /* 1580640 */   // Label 21833: @1580640
     /* 1580640 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1580726), // Rule ID 6721 //
     /* 1580645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1580656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1580659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1580662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1580665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580691 */     // MIs[0] policy
     /* 1580691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1580704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580725 */     // GIR_Coverage, 6721,
     /* 1580725 */     GIR_EraseRootFromParent_Done,
     /* 1580726 */   // Label 21834: @1580726
     /* 1580726 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1580812), // Rule ID 6724 //
     /* 1580731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1580742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1580745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1580748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580777 */     // MIs[0] policy
     /* 1580777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1580790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580811 */     // GIR_Coverage, 6724,
     /* 1580811 */     GIR_EraseRootFromParent_Done,
     /* 1580812 */   // Label 21835: @1580812
     /* 1580812 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1580898), // Rule ID 6725 //
     /* 1580817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1580828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1580831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1580834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1580837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580863 */     // MIs[0] policy
     /* 1580863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1580876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580897 */     // GIR_Coverage, 6725,
     /* 1580897 */     GIR_EraseRootFromParent_Done,
     /* 1580898 */   // Label 21836: @1580898
     /* 1580898 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1580984), // Rule ID 6728 //
     /* 1580903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1580914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1580917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1580920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1580923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1580926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580949 */     // MIs[0] policy
     /* 1580949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1580962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580983 */     // GIR_Coverage, 6728,
     /* 1580983 */     GIR_EraseRootFromParent_Done,
     /* 1580984 */   // Label 21837: @1580984
     /* 1580984 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1581070), // Rule ID 6729 //
     /* 1580989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1580997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1581000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1581003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1581006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1581009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1581012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581035 */     // MIs[0] policy
     /* 1581035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1581048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581069 */     // GIR_Coverage, 6729,
     /* 1581069 */     GIR_EraseRootFromParent_Done,
     /* 1581070 */   // Label 21838: @1581070
     /* 1581070 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1581156), // Rule ID 6732 //
     /* 1581075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1581086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1581089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1581092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581121 */     // MIs[0] policy
     /* 1581121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1581134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581155 */     // GIR_Coverage, 6732,
     /* 1581155 */     GIR_EraseRootFromParent_Done,
     /* 1581156 */   // Label 21839: @1581156
     /* 1581156 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1581242), // Rule ID 6733 //
     /* 1581161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1581172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1581175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1581178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1581181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581207 */     // MIs[0] policy
     /* 1581207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1581220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581241 */     // GIR_Coverage, 6733,
     /* 1581241 */     GIR_EraseRootFromParent_Done,
     /* 1581242 */   // Label 21840: @1581242
     /* 1581242 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1581328), // Rule ID 6736 //
     /* 1581247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1581258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1581261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1581264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581293 */     // MIs[0] policy
     /* 1581293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1581306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581327 */     // GIR_Coverage, 6736,
     /* 1581327 */     GIR_EraseRootFromParent_Done,
     /* 1581328 */   // Label 21841: @1581328
     /* 1581328 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1581414), // Rule ID 6737 //
     /* 1581333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1581344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1581347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1581350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1581353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581379 */     // MIs[0] policy
     /* 1581379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1581392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581413 */     // GIR_Coverage, 6737,
     /* 1581413 */     GIR_EraseRootFromParent_Done,
     /* 1581414 */   // Label 21842: @1581414
     /* 1581414 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1581500), // Rule ID 6740 //
     /* 1581419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1581430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1581433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1581436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1581439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1581442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581465 */     // MIs[0] policy
     /* 1581465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1581478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581499 */     // GIR_Coverage, 6740,
     /* 1581499 */     GIR_EraseRootFromParent_Done,
     /* 1581500 */   // Label 21843: @1581500
     /* 1581500 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1581586), // Rule ID 6741 //
     /* 1581505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1581516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1581519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1581522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1581525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1581528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581551 */     // MIs[0] policy
     /* 1581551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1581564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581585 */     // GIR_Coverage, 6741,
     /* 1581585 */     GIR_EraseRootFromParent_Done,
     /* 1581586 */   // Label 21844: @1581586
     /* 1581586 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1581672), // Rule ID 6744 //
     /* 1581591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1581608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581637 */     // MIs[0] policy
     /* 1581637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1581650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581671 */     // GIR_Coverage, 6744,
     /* 1581671 */     GIR_EraseRootFromParent_Done,
     /* 1581672 */   // Label 21845: @1581672
     /* 1581672 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1581758), // Rule ID 6745 //
     /* 1581677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1581694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1581697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581723 */     // MIs[0] policy
     /* 1581723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1581736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581757 */     // GIR_Coverage, 6745,
     /* 1581757 */     GIR_EraseRootFromParent_Done,
     /* 1581758 */   // Label 21846: @1581758
     /* 1581758 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1581844), // Rule ID 6748 //
     /* 1581763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1581780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581809 */     // MIs[0] policy
     /* 1581809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1581822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581843 */     // GIR_Coverage, 6748,
     /* 1581843 */     GIR_EraseRootFromParent_Done,
     /* 1581844 */   // Label 21847: @1581844
     /* 1581844 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1581930), // Rule ID 6749 //
     /* 1581849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1581866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1581869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581895 */     // MIs[0] policy
     /* 1581895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1581908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581929 */     // GIR_Coverage, 6749,
     /* 1581929 */     GIR_EraseRootFromParent_Done,
     /* 1581930 */   // Label 21848: @1581930
     /* 1581930 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1582016), // Rule ID 6752 //
     /* 1581935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1581943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1581946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1581949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1581952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1581955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1581958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581981 */     // MIs[0] policy
     /* 1581981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581991 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1581994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582015 */     // GIR_Coverage, 6752,
     /* 1582015 */     GIR_EraseRootFromParent_Done,
     /* 1582016 */   // Label 21849: @1582016
     /* 1582016 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1582102), // Rule ID 6753 //
     /* 1582021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1582032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1582035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1582038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1582041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582067 */     // MIs[0] policy
     /* 1582067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1582080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582101 */     // GIR_Coverage, 6753,
     /* 1582101 */     GIR_EraseRootFromParent_Done,
     /* 1582102 */   // Label 21850: @1582102
     /* 1582102 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1582188), // Rule ID 6756 //
     /* 1582107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1582110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1582124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1582127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582153 */     // MIs[0] policy
     /* 1582153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1582166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582187 */     // GIR_Coverage, 6756,
     /* 1582187 */     GIR_EraseRootFromParent_Done,
     /* 1582188 */   // Label 21851: @1582188
     /* 1582188 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1582274), // Rule ID 6757 //
     /* 1582193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1582196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1582204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1582207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1582210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1582213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582239 */     // MIs[0] policy
     /* 1582239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1582252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582273 */     // GIR_Coverage, 6757,
     /* 1582273 */     GIR_EraseRootFromParent_Done,
     /* 1582274 */   // Label 21852: @1582274
     /* 1582274 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1582360), // Rule ID 6760 //
     /* 1582279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1582282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1582296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1582299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582325 */     // MIs[0] policy
     /* 1582325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1582338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582359 */     // GIR_Coverage, 6760,
     /* 1582359 */     GIR_EraseRootFromParent_Done,
     /* 1582360 */   // Label 21853: @1582360
     /* 1582360 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1582446), // Rule ID 6761 //
     /* 1582365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1582368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1582376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1582379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1582382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1582385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582411 */     // MIs[0] policy
     /* 1582411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1582424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582445 */     // GIR_Coverage, 6761,
     /* 1582445 */     GIR_EraseRootFromParent_Done,
     /* 1582446 */   // Label 21854: @1582446
     /* 1582446 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1582532), // Rule ID 6764 //
     /* 1582451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1582454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1582468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1582471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582497 */     // MIs[0] policy
     /* 1582497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1582510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582531 */     // GIR_Coverage, 6764,
     /* 1582531 */     GIR_EraseRootFromParent_Done,
     /* 1582532 */   // Label 21855: @1582532
     /* 1582532 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1582618), // Rule ID 6765 //
     /* 1582537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1582540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1582548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1582551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1582554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1582557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582583 */     // MIs[0] policy
     /* 1582583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1582596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582617 */     // GIR_Coverage, 6765,
     /* 1582617 */     GIR_EraseRootFromParent_Done,
     /* 1582618 */   // Label 21856: @1582618
     /* 1582618 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1582704), // Rule ID 6768 //
     /* 1582623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582669 */     // MIs[0] policy
     /* 1582669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582679 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1582682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582703 */     // GIR_Coverage, 6768,
     /* 1582703 */     GIR_EraseRootFromParent_Done,
     /* 1582704 */   // Label 21857: @1582704
     /* 1582704 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1582790), // Rule ID 6769 //
     /* 1582709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1582720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1582723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1582726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582755 */     // MIs[0] policy
     /* 1582755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1582768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582789 */     // GIR_Coverage, 6769,
     /* 1582789 */     GIR_EraseRootFromParent_Done,
     /* 1582790 */   // Label 21858: @1582790
     /* 1582790 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1582876), // Rule ID 6772 //
     /* 1582795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582841 */     // MIs[0] policy
     /* 1582841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1582854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582875 */     // GIR_Coverage, 6772,
     /* 1582875 */     GIR_EraseRootFromParent_Done,
     /* 1582876 */   // Label 21859: @1582876
     /* 1582876 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1582962), // Rule ID 6773 //
     /* 1582881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1582892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1582895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1582898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582927 */     // MIs[0] policy
     /* 1582927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582937 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1582940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582961 */     // GIR_Coverage, 6773,
     /* 1582961 */     GIR_EraseRootFromParent_Done,
     /* 1582962 */   // Label 21860: @1582962
     /* 1582962 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1583048), // Rule ID 6776 //
     /* 1582967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1582975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1582978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1582981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1582984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583013 */     // MIs[0] policy
     /* 1583013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583023 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583047 */     // GIR_Coverage, 6776,
     /* 1583047 */     GIR_EraseRootFromParent_Done,
     /* 1583048 */   // Label 21861: @1583048
     /* 1583048 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1583134), // Rule ID 6777 //
     /* 1583053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1583064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1583067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1583070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583099 */     // MIs[0] policy
     /* 1583099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583109 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583133 */     // GIR_Coverage, 6777,
     /* 1583133 */     GIR_EraseRootFromParent_Done,
     /* 1583134 */   // Label 21862: @1583134
     /* 1583134 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1583220), // Rule ID 6780 //
     /* 1583139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583185 */     // MIs[0] policy
     /* 1583185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1583198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583219 */     // GIR_Coverage, 6780,
     /* 1583219 */     GIR_EraseRootFromParent_Done,
     /* 1583220 */   // Label 21863: @1583220
     /* 1583220 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1583306), // Rule ID 6781 //
     /* 1583225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1583242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583271 */     // MIs[0] policy
     /* 1583271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1583284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583305 */     // GIR_Coverage, 6781,
     /* 1583305 */     GIR_EraseRootFromParent_Done,
     /* 1583306 */   // Label 21864: @1583306
     /* 1583306 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1583392), // Rule ID 6784 //
     /* 1583311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583357 */     // MIs[0] policy
     /* 1583357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583391 */     // GIR_Coverage, 6784,
     /* 1583391 */     GIR_EraseRootFromParent_Done,
     /* 1583392 */   // Label 21865: @1583392
     /* 1583392 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1583478), // Rule ID 6785 //
     /* 1583397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1583414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583443 */     // MIs[0] policy
     /* 1583443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583477 */     // GIR_Coverage, 6785,
     /* 1583477 */     GIR_EraseRootFromParent_Done,
     /* 1583478 */   // Label 21866: @1583478
     /* 1583478 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1583564), // Rule ID 6788 //
     /* 1583483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583529 */     // MIs[0] policy
     /* 1583529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583563 */     // GIR_Coverage, 6788,
     /* 1583563 */     GIR_EraseRootFromParent_Done,
     /* 1583564 */   // Label 21867: @1583564
     /* 1583564 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1583650), // Rule ID 6789 //
     /* 1583569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1583586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583615 */     // MIs[0] policy
     /* 1583615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1583628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583649 */     // GIR_Coverage, 6789,
     /* 1583649 */     GIR_EraseRootFromParent_Done,
     /* 1583650 */   // Label 21868: @1583650
     /* 1583650 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1583736), // Rule ID 6792 //
     /* 1583655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583701 */     // MIs[0] policy
     /* 1583701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1583714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583735 */     // GIR_Coverage, 6792,
     /* 1583735 */     GIR_EraseRootFromParent_Done,
     /* 1583736 */   // Label 21869: @1583736
     /* 1583736 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1583822), // Rule ID 6793 //
     /* 1583741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1583752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1583755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1583758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583787 */     // MIs[0] policy
     /* 1583787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583797 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1583800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583821 */     // GIR_Coverage, 6793,
     /* 1583821 */     GIR_EraseRootFromParent_Done,
     /* 1583822 */   // Label 21870: @1583822
     /* 1583822 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1583908), // Rule ID 6796 //
     /* 1583827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583873 */     // MIs[0] policy
     /* 1583873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1583886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583907 */     // GIR_Coverage, 6796,
     /* 1583907 */     GIR_EraseRootFromParent_Done,
     /* 1583908 */   // Label 21871: @1583908
     /* 1583908 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1583994), // Rule ID 6797 //
     /* 1583913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1583921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583959 */     // MIs[0] policy
     /* 1583959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1583972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583993 */     // GIR_Coverage, 6797,
     /* 1583993 */     GIR_EraseRootFromParent_Done,
     /* 1583994 */   // Label 21872: @1583994
     /* 1583994 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1584080), // Rule ID 6800 //
     /* 1583999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584045 */     // MIs[0] policy
     /* 1584045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1584058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584079 */     // GIR_Coverage, 6800,
     /* 1584079 */     GIR_EraseRootFromParent_Done,
     /* 1584080 */   // Label 21873: @1584080
     /* 1584080 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1584166), // Rule ID 6801 //
     /* 1584085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1584102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584131 */     // MIs[0] policy
     /* 1584131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1584144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584165 */     // GIR_Coverage, 6801,
     /* 1584165 */     GIR_EraseRootFromParent_Done,
     /* 1584166 */   // Label 21874: @1584166
     /* 1584166 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1584252), // Rule ID 6804 //
     /* 1584171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584217 */     // MIs[0] policy
     /* 1584217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1584230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584251 */     // GIR_Coverage, 6804,
     /* 1584251 */     GIR_EraseRootFromParent_Done,
     /* 1584252 */   // Label 21875: @1584252
     /* 1584252 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1584338), // Rule ID 6805 //
     /* 1584257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1584268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1584271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1584274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584303 */     // MIs[0] policy
     /* 1584303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584313 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1584316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584337 */     // GIR_Coverage, 6805,
     /* 1584337 */     GIR_EraseRootFromParent_Done,
     /* 1584338 */   // Label 21876: @1584338
     /* 1584338 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1584424), // Rule ID 6808 //
     /* 1584343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584389 */     // MIs[0] policy
     /* 1584389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1584402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584423 */     // GIR_Coverage, 6808,
     /* 1584423 */     GIR_EraseRootFromParent_Done,
     /* 1584424 */   // Label 21877: @1584424
     /* 1584424 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1584510), // Rule ID 6809 //
     /* 1584429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1584440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1584443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1584446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584475 */     // MIs[0] policy
     /* 1584475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1584488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584509 */     // GIR_Coverage, 6809,
     /* 1584509 */     GIR_EraseRootFromParent_Done,
     /* 1584510 */   // Label 21878: @1584510
     /* 1584510 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1584596), // Rule ID 6812 //
     /* 1584515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584561 */     // MIs[0] policy
     /* 1584561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1584574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584595 */     // GIR_Coverage, 6812,
     /* 1584595 */     GIR_EraseRootFromParent_Done,
     /* 1584596 */   // Label 21879: @1584596
     /* 1584596 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1584682), // Rule ID 6813 //
     /* 1584601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584647 */     // MIs[0] policy
     /* 1584647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584657 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1584660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584681 */     // GIR_Coverage, 6813,
     /* 1584681 */     GIR_EraseRootFromParent_Done,
     /* 1584682 */   // Label 21880: @1584682
     /* 1584682 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1584768), // Rule ID 6816 //
     /* 1584687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584733 */     // MIs[0] policy
     /* 1584733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584743 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1584746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584767 */     // GIR_Coverage, 6816,
     /* 1584767 */     GIR_EraseRootFromParent_Done,
     /* 1584768 */   // Label 21881: @1584768
     /* 1584768 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1584854), // Rule ID 6817 //
     /* 1584773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584819 */     // MIs[0] policy
     /* 1584819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584829 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1584832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584853 */     // GIR_Coverage, 6817,
     /* 1584853 */     GIR_EraseRootFromParent_Done,
     /* 1584854 */   // Label 21882: @1584854
     /* 1584854 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1584940), // Rule ID 6820 //
     /* 1584859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584905 */     // MIs[0] policy
     /* 1584905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1584918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584939 */     // GIR_Coverage, 6820,
     /* 1584939 */     GIR_EraseRootFromParent_Done,
     /* 1584940 */   // Label 21883: @1584940
     /* 1584940 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1585026), // Rule ID 6821 //
     /* 1584945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1584953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584991 */     // MIs[0] policy
     /* 1584991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1585004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585025 */     // GIR_Coverage, 6821,
     /* 1585025 */     GIR_EraseRootFromParent_Done,
     /* 1585026 */   // Label 21884: @1585026
     /* 1585026 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1585112), // Rule ID 6824 //
     /* 1585031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585077 */     // MIs[0] policy
     /* 1585077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1585090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585111 */     // GIR_Coverage, 6824,
     /* 1585111 */     GIR_EraseRootFromParent_Done,
     /* 1585112 */   // Label 21885: @1585112
     /* 1585112 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1585198), // Rule ID 6825 //
     /* 1585117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1585128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1585131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1585134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585163 */     // MIs[0] policy
     /* 1585163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1585176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585197 */     // GIR_Coverage, 6825,
     /* 1585197 */     GIR_EraseRootFromParent_Done,
     /* 1585198 */   // Label 21886: @1585198
     /* 1585198 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1585284), // Rule ID 6828 //
     /* 1585203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585249 */     // MIs[0] policy
     /* 1585249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1585262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585283 */     // GIR_Coverage, 6828,
     /* 1585283 */     GIR_EraseRootFromParent_Done,
     /* 1585284 */   // Label 21887: @1585284
     /* 1585284 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1585370), // Rule ID 6829 //
     /* 1585289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1585300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1585303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1585306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1585312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585335 */     // MIs[0] policy
     /* 1585335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1585348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585369 */     // GIR_Coverage, 6829,
     /* 1585369 */     GIR_EraseRootFromParent_Done,
     /* 1585370 */   // Label 21888: @1585370
     /* 1585370 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1585456), // Rule ID 6832 //
     /* 1585375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585421 */     // MIs[0] policy
     /* 1585421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1585434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585455 */     // GIR_Coverage, 6832,
     /* 1585455 */     GIR_EraseRootFromParent_Done,
     /* 1585456 */   // Label 21889: @1585456
     /* 1585456 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1585542), // Rule ID 6833 //
     /* 1585461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585507 */     // MIs[0] policy
     /* 1585507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1585520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585541 */     // GIR_Coverage, 6833,
     /* 1585541 */     GIR_EraseRootFromParent_Done,
     /* 1585542 */   // Label 21890: @1585542
     /* 1585542 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1585628), // Rule ID 6836 //
     /* 1585547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585593 */     // MIs[0] policy
     /* 1585593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1585606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585627 */     // GIR_Coverage, 6836,
     /* 1585627 */     GIR_EraseRootFromParent_Done,
     /* 1585628 */   // Label 21891: @1585628
     /* 1585628 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1585714), // Rule ID 6837 //
     /* 1585633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585679 */     // MIs[0] policy
     /* 1585679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1585692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585713 */     // GIR_Coverage, 6837,
     /* 1585713 */     GIR_EraseRootFromParent_Done,
     /* 1585714 */   // Label 21892: @1585714
     /* 1585714 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1585800), // Rule ID 6840 //
     /* 1585719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585765 */     // MIs[0] policy
     /* 1585765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585775 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1585778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585799 */     // GIR_Coverage, 6840,
     /* 1585799 */     GIR_EraseRootFromParent_Done,
     /* 1585800 */   // Label 21893: @1585800
     /* 1585800 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1585886), // Rule ID 6841 //
     /* 1585805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585851 */     // MIs[0] policy
     /* 1585851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585861 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1585864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585885 */     // GIR_Coverage, 6841,
     /* 1585885 */     GIR_EraseRootFromParent_Done,
     /* 1585886 */   // Label 21894: @1585886
     /* 1585886 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1585972), // Rule ID 6844 //
     /* 1585891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585937 */     // MIs[0] policy
     /* 1585937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1585950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585971 */     // GIR_Coverage, 6844,
     /* 1585971 */     GIR_EraseRootFromParent_Done,
     /* 1585972 */   // Label 21895: @1585972
     /* 1585972 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1586058), // Rule ID 6845 //
     /* 1585977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1585985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586023 */     // MIs[0] policy
     /* 1586023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1586036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586057 */     // GIR_Coverage, 6845,
     /* 1586057 */     GIR_EraseRootFromParent_Done,
     /* 1586058 */   // Label 21896: @1586058
     /* 1586058 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1586144), // Rule ID 6848 //
     /* 1586063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1586071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586109 */     // MIs[0] policy
     /* 1586109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1586122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586143 */     // GIR_Coverage, 6848,
     /* 1586143 */     GIR_EraseRootFromParent_Done,
     /* 1586144 */   // Label 21897: @1586144
     /* 1586144 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1586230), // Rule ID 6849 //
     /* 1586149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1586157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1586160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1586163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1586166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586195 */     // MIs[0] policy
     /* 1586195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1586208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586229 */     // GIR_Coverage, 6849,
     /* 1586229 */     GIR_EraseRootFromParent_Done,
     /* 1586230 */   // Label 21898: @1586230
     /* 1586230 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1586316), // Rule ID 6852 //
     /* 1586235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1586243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586281 */     // MIs[0] policy
     /* 1586281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1586294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586315 */     // GIR_Coverage, 6852,
     /* 1586315 */     GIR_EraseRootFromParent_Done,
     /* 1586316 */   // Label 21899: @1586316
     /* 1586316 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1586402), // Rule ID 6853 //
     /* 1586321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1586329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586367 */     // MIs[0] policy
     /* 1586367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1586380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586401 */     // GIR_Coverage, 6853,
     /* 1586401 */     GIR_EraseRootFromParent_Done,
     /* 1586402 */   // Label 21900: @1586402
     /* 1586402 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1586488), // Rule ID 6944 //
     /* 1586407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586453 */     // MIs[0] policy
     /* 1586453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586463 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1586466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586487 */     // GIR_Coverage, 6944,
     /* 1586487 */     GIR_EraseRootFromParent_Done,
     /* 1586488 */   // Label 21901: @1586488
     /* 1586488 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1586574), // Rule ID 6945 //
     /* 1586493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586539 */     // MIs[0] policy
     /* 1586539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1586552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586573 */     // GIR_Coverage, 6945,
     /* 1586573 */     GIR_EraseRootFromParent_Done,
     /* 1586574 */   // Label 21902: @1586574
     /* 1586574 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1586660), // Rule ID 6948 //
     /* 1586579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586625 */     // MIs[0] policy
     /* 1586625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586635 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1586638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586659 */     // GIR_Coverage, 6948,
     /* 1586659 */     GIR_EraseRootFromParent_Done,
     /* 1586660 */   // Label 21903: @1586660
     /* 1586660 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1586746), // Rule ID 6949 //
     /* 1586665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586711 */     // MIs[0] policy
     /* 1586711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1586724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586745 */     // GIR_Coverage, 6949,
     /* 1586745 */     GIR_EraseRootFromParent_Done,
     /* 1586746 */   // Label 21904: @1586746
     /* 1586746 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1586832), // Rule ID 6952 //
     /* 1586751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586797 */     // MIs[0] policy
     /* 1586797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1586810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586831 */     // GIR_Coverage, 6952,
     /* 1586831 */     GIR_EraseRootFromParent_Done,
     /* 1586832 */   // Label 21905: @1586832
     /* 1586832 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1586918), // Rule ID 6953 //
     /* 1586837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586883 */     // MIs[0] policy
     /* 1586883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1586896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586917 */     // GIR_Coverage, 6953,
     /* 1586917 */     GIR_EraseRootFromParent_Done,
     /* 1586918 */   // Label 21906: @1586918
     /* 1586918 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1587004), // Rule ID 6956 //
     /* 1586923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1586931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586969 */     // MIs[0] policy
     /* 1586969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1586982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587003 */     // GIR_Coverage, 6956,
     /* 1587003 */     GIR_EraseRootFromParent_Done,
     /* 1587004 */   // Label 21907: @1587004
     /* 1587004 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1587090), // Rule ID 6957 //
     /* 1587009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1587020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1587023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1587026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587055 */     // MIs[0] policy
     /* 1587055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1587068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587089 */     // GIR_Coverage, 6957,
     /* 1587089 */     GIR_EraseRootFromParent_Done,
     /* 1587090 */   // Label 21908: @1587090
     /* 1587090 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1587176), // Rule ID 6960 //
     /* 1587095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587141 */     // MIs[0] policy
     /* 1587141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1587154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587175 */     // GIR_Coverage, 6960,
     /* 1587175 */     GIR_EraseRootFromParent_Done,
     /* 1587176 */   // Label 21909: @1587176
     /* 1587176 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1587262), // Rule ID 6961 //
     /* 1587181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587227 */     // MIs[0] policy
     /* 1587227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1587240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587261 */     // GIR_Coverage, 6961,
     /* 1587261 */     GIR_EraseRootFromParent_Done,
     /* 1587262 */   // Label 21910: @1587262
     /* 1587262 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1587348), // Rule ID 6964 //
     /* 1587267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587313 */     // MIs[0] policy
     /* 1587313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1587326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587347 */     // GIR_Coverage, 6964,
     /* 1587347 */     GIR_EraseRootFromParent_Done,
     /* 1587348 */   // Label 21911: @1587348
     /* 1587348 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1587434), // Rule ID 6965 //
     /* 1587353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587399 */     // MIs[0] policy
     /* 1587399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1587412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587433 */     // GIR_Coverage, 6965,
     /* 1587433 */     GIR_EraseRootFromParent_Done,
     /* 1587434 */   // Label 21912: @1587434
     /* 1587434 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1587520), // Rule ID 6968 //
     /* 1587439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587485 */     // MIs[0] policy
     /* 1587485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587519 */     // GIR_Coverage, 6968,
     /* 1587519 */     GIR_EraseRootFromParent_Done,
     /* 1587520 */   // Label 21913: @1587520
     /* 1587520 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1587606), // Rule ID 6969 //
     /* 1587525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587571 */     // MIs[0] policy
     /* 1587571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587605 */     // GIR_Coverage, 6969,
     /* 1587605 */     GIR_EraseRootFromParent_Done,
     /* 1587606 */   // Label 21914: @1587606
     /* 1587606 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1587692), // Rule ID 6972 //
     /* 1587611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587657 */     // MIs[0] policy
     /* 1587657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587691 */     // GIR_Coverage, 6972,
     /* 1587691 */     GIR_EraseRootFromParent_Done,
     /* 1587692 */   // Label 21915: @1587692
     /* 1587692 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1587778), // Rule ID 6973 //
     /* 1587697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587743 */     // MIs[0] policy
     /* 1587743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587777 */     // GIR_Coverage, 6973,
     /* 1587777 */     GIR_EraseRootFromParent_Done,
     /* 1587778 */   // Label 21916: @1587778
     /* 1587778 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1587864), // Rule ID 6976 //
     /* 1587783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587829 */     // MIs[0] policy
     /* 1587829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587863 */     // GIR_Coverage, 6976,
     /* 1587863 */     GIR_EraseRootFromParent_Done,
     /* 1587864 */   // Label 21917: @1587864
     /* 1587864 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1587950), // Rule ID 6977 //
     /* 1587869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587915 */     // MIs[0] policy
     /* 1587915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1587928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587949 */     // GIR_Coverage, 6977,
     /* 1587949 */     GIR_EraseRootFromParent_Done,
     /* 1587950 */   // Label 21918: @1587950
     /* 1587950 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1588036), // Rule ID 6980 //
     /* 1587955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1587963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1587972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1587975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588001 */     // MIs[0] policy
     /* 1588001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1588014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588035 */     // GIR_Coverage, 6980,
     /* 1588035 */     GIR_EraseRootFromParent_Done,
     /* 1588036 */   // Label 21919: @1588036
     /* 1588036 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1588122), // Rule ID 6981 //
     /* 1588041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588087 */     // MIs[0] policy
     /* 1588087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1588100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588121 */     // GIR_Coverage, 6981,
     /* 1588121 */     GIR_EraseRootFromParent_Done,
     /* 1588122 */   // Label 21920: @1588122
     /* 1588122 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1588208), // Rule ID 6984 //
     /* 1588127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588173 */     // MIs[0] policy
     /* 1588173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1588186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588207 */     // GIR_Coverage, 6984,
     /* 1588207 */     GIR_EraseRootFromParent_Done,
     /* 1588208 */   // Label 21921: @1588208
     /* 1588208 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1588294), // Rule ID 6985 //
     /* 1588213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588259 */     // MIs[0] policy
     /* 1588259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1588272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588293 */     // GIR_Coverage, 6985,
     /* 1588293 */     GIR_EraseRootFromParent_Done,
     /* 1588294 */   // Label 21922: @1588294
     /* 1588294 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1588380), // Rule ID 6988 //
     /* 1588299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588345 */     // MIs[0] policy
     /* 1588345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1588358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588379 */     // GIR_Coverage, 6988,
     /* 1588379 */     GIR_EraseRootFromParent_Done,
     /* 1588380 */   // Label 21923: @1588380
     /* 1588380 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1588466), // Rule ID 6989 //
     /* 1588385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588431 */     // MIs[0] policy
     /* 1588431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1588444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588465 */     // GIR_Coverage, 6989,
     /* 1588465 */     GIR_EraseRootFromParent_Done,
     /* 1588466 */   // Label 21924: @1588466
     /* 1588466 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1588552), // Rule ID 6992 //
     /* 1588471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588517 */     // MIs[0] policy
     /* 1588517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1588530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588551 */     // GIR_Coverage, 6992,
     /* 1588551 */     GIR_EraseRootFromParent_Done,
     /* 1588552 */   // Label 21925: @1588552
     /* 1588552 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1588638), // Rule ID 6993 //
     /* 1588557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588603 */     // MIs[0] policy
     /* 1588603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588613 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1588616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588637 */     // GIR_Coverage, 6993,
     /* 1588637 */     GIR_EraseRootFromParent_Done,
     /* 1588638 */   // Label 21926: @1588638
     /* 1588638 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1588724), // Rule ID 6996 //
     /* 1588643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588689 */     // MIs[0] policy
     /* 1588689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1588702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588723 */     // GIR_Coverage, 6996,
     /* 1588723 */     GIR_EraseRootFromParent_Done,
     /* 1588724 */   // Label 21927: @1588724
     /* 1588724 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1588810), // Rule ID 6997 //
     /* 1588729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588775 */     // MIs[0] policy
     /* 1588775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1588788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588809 */     // GIR_Coverage, 6997,
     /* 1588809 */     GIR_EraseRootFromParent_Done,
     /* 1588810 */   // Label 21928: @1588810
     /* 1588810 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1588896), // Rule ID 7000 //
     /* 1588815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588861 */     // MIs[0] policy
     /* 1588861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1588874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588895 */     // GIR_Coverage, 7000,
     /* 1588895 */     GIR_EraseRootFromParent_Done,
     /* 1588896 */   // Label 21929: @1588896
     /* 1588896 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1588982), // Rule ID 7001 //
     /* 1588901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1588912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1588915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1588918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1588921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588947 */     // MIs[0] policy
     /* 1588947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1588960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588981 */     // GIR_Coverage, 7001,
     /* 1588981 */     GIR_EraseRootFromParent_Done,
     /* 1588982 */   // Label 21930: @1588982
     /* 1588982 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1589068), // Rule ID 7004 //
     /* 1588987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1588995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1588998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589033 */     // MIs[0] policy
     /* 1589033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589043 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1589046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589067 */     // GIR_Coverage, 7004,
     /* 1589067 */     GIR_EraseRootFromParent_Done,
     /* 1589068 */   // Label 21931: @1589068
     /* 1589068 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1589154), // Rule ID 7005 //
     /* 1589073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589119 */     // MIs[0] policy
     /* 1589119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1589132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589153 */     // GIR_Coverage, 7005,
     /* 1589153 */     GIR_EraseRootFromParent_Done,
     /* 1589154 */   // Label 21932: @1589154
     /* 1589154 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1589240), // Rule ID 7008 //
     /* 1589159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589205 */     // MIs[0] policy
     /* 1589205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1589218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589239 */     // GIR_Coverage, 7008,
     /* 1589239 */     GIR_EraseRootFromParent_Done,
     /* 1589240 */   // Label 21933: @1589240
     /* 1589240 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1589326), // Rule ID 7009 //
     /* 1589245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589291 */     // MIs[0] policy
     /* 1589291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1589304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589325 */     // GIR_Coverage, 7009,
     /* 1589325 */     GIR_EraseRootFromParent_Done,
     /* 1589326 */   // Label 21934: @1589326
     /* 1589326 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1589412), // Rule ID 7012 //
     /* 1589331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589377 */     // MIs[0] policy
     /* 1589377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1589390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589411 */     // GIR_Coverage, 7012,
     /* 1589411 */     GIR_EraseRootFromParent_Done,
     /* 1589412 */   // Label 21935: @1589412
     /* 1589412 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1589498), // Rule ID 7013 //
     /* 1589417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589463 */     // MIs[0] policy
     /* 1589463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1589476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589497 */     // GIR_Coverage, 7013,
     /* 1589497 */     GIR_EraseRootFromParent_Done,
     /* 1589498 */   // Label 21936: @1589498
     /* 1589498 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1589584), // Rule ID 7016 //
     /* 1589503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589549 */     // MIs[0] policy
     /* 1589549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1589562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589583 */     // GIR_Coverage, 7016,
     /* 1589583 */     GIR_EraseRootFromParent_Done,
     /* 1589584 */   // Label 21937: @1589584
     /* 1589584 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1589670), // Rule ID 7017 //
     /* 1589589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589635 */     // MIs[0] policy
     /* 1589635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1589648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589669 */     // GIR_Coverage, 7017,
     /* 1589669 */     GIR_EraseRootFromParent_Done,
     /* 1589670 */   // Label 21938: @1589670
     /* 1589670 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1589756), // Rule ID 7020 //
     /* 1589675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589721 */     // MIs[0] policy
     /* 1589721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1589734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589755 */     // GIR_Coverage, 7020,
     /* 1589755 */     GIR_EraseRootFromParent_Done,
     /* 1589756 */   // Label 21939: @1589756
     /* 1589756 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1589842), // Rule ID 7021 //
     /* 1589761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1589772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1589775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1589778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1589781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589807 */     // MIs[0] policy
     /* 1589807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1589820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589841 */     // GIR_Coverage, 7021,
     /* 1589841 */     GIR_EraseRootFromParent_Done,
     /* 1589842 */   // Label 21940: @1589842
     /* 1589842 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1589928), // Rule ID 7024 //
     /* 1589847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589893 */     // MIs[0] policy
     /* 1589893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1589906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589927 */     // GIR_Coverage, 7024,
     /* 1589927 */     GIR_EraseRootFromParent_Done,
     /* 1589928 */   // Label 21941: @1589928
     /* 1589928 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1590014), // Rule ID 7025 //
     /* 1589933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1589941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1589944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1589947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1589950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1589953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589979 */     // MIs[0] policy
     /* 1589979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1589992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590013 */     // GIR_Coverage, 7025,
     /* 1590013 */     GIR_EraseRootFromParent_Done,
     /* 1590014 */   // Label 21942: @1590014
     /* 1590014 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1590100), // Rule ID 7028 //
     /* 1590019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590065 */     // MIs[0] policy
     /* 1590065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1590078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590099 */     // GIR_Coverage, 7028,
     /* 1590099 */     GIR_EraseRootFromParent_Done,
     /* 1590100 */   // Label 21943: @1590100
     /* 1590100 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1590186), // Rule ID 7029 //
     /* 1590105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590151 */     // MIs[0] policy
     /* 1590151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1590164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590185 */     // GIR_Coverage, 7029,
     /* 1590185 */     GIR_EraseRootFromParent_Done,
     /* 1590186 */   // Label 21944: @1590186
     /* 1590186 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1590272), // Rule ID 7032 //
     /* 1590191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590237 */     // MIs[0] policy
     /* 1590237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590247 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1590250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590271 */     // GIR_Coverage, 7032,
     /* 1590271 */     GIR_EraseRootFromParent_Done,
     /* 1590272 */   // Label 21945: @1590272
     /* 1590272 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1590358), // Rule ID 7033 //
     /* 1590277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590323 */     // MIs[0] policy
     /* 1590323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1590336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590357 */     // GIR_Coverage, 7033,
     /* 1590357 */     GIR_EraseRootFromParent_Done,
     /* 1590358 */   // Label 21946: @1590358
     /* 1590358 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1590444), // Rule ID 7036 //
     /* 1590363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590409 */     // MIs[0] policy
     /* 1590409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1590422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590443 */     // GIR_Coverage, 7036,
     /* 1590443 */     GIR_EraseRootFromParent_Done,
     /* 1590444 */   // Label 21947: @1590444
     /* 1590444 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1590530), // Rule ID 7037 //
     /* 1590449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590495 */     // MIs[0] policy
     /* 1590495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1590508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590529 */     // GIR_Coverage, 7037,
     /* 1590529 */     GIR_EraseRootFromParent_Done,
     /* 1590530 */   // Label 21948: @1590530
     /* 1590530 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1590616), // Rule ID 7040 //
     /* 1590535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590581 */     // MIs[0] policy
     /* 1590581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590591 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1590594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590615 */     // GIR_Coverage, 7040,
     /* 1590615 */     GIR_EraseRootFromParent_Done,
     /* 1590616 */   // Label 21949: @1590616
     /* 1590616 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1590702), // Rule ID 7041 //
     /* 1590621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1590632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1590635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1590638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590667 */     // MIs[0] policy
     /* 1590667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1590680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590701 */     // GIR_Coverage, 7041,
     /* 1590701 */     GIR_EraseRootFromParent_Done,
     /* 1590702 */   // Label 21950: @1590702
     /* 1590702 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1590788), // Rule ID 7044 //
     /* 1590707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590753 */     // MIs[0] policy
     /* 1590753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1590766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590787 */     // GIR_Coverage, 7044,
     /* 1590787 */     GIR_EraseRootFromParent_Done,
     /* 1590788 */   // Label 21951: @1590788
     /* 1590788 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1590874), // Rule ID 7045 //
     /* 1590793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1590804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1590807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1590810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590839 */     // MIs[0] policy
     /* 1590839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1590852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590873 */     // GIR_Coverage, 7045,
     /* 1590873 */     GIR_EraseRootFromParent_Done,
     /* 1590874 */   // Label 21952: @1590874
     /* 1590874 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1590960), // Rule ID 7048 //
     /* 1590879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590925 */     // MIs[0] policy
     /* 1590925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1590938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590959 */     // GIR_Coverage, 7048,
     /* 1590959 */     GIR_EraseRootFromParent_Done,
     /* 1590960 */   // Label 21953: @1590960
     /* 1590960 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1591046), // Rule ID 7049 //
     /* 1590965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1590973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1590976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1590979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1590982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591011 */     // MIs[0] policy
     /* 1591011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1591024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591045 */     // GIR_Coverage, 7049,
     /* 1591045 */     GIR_EraseRootFromParent_Done,
     /* 1591046 */   // Label 21954: @1591046
     /* 1591046 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1591132), // Rule ID 7052 //
     /* 1591051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591097 */     // MIs[0] policy
     /* 1591097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1591110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591131 */     // GIR_Coverage, 7052,
     /* 1591131 */     GIR_EraseRootFromParent_Done,
     /* 1591132 */   // Label 21955: @1591132
     /* 1591132 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1591218), // Rule ID 7053 //
     /* 1591137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591183 */     // MIs[0] policy
     /* 1591183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1591196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591217 */     // GIR_Coverage, 7053,
     /* 1591217 */     GIR_EraseRootFromParent_Done,
     /* 1591218 */   // Label 21956: @1591218
     /* 1591218 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1591304), // Rule ID 7056 //
     /* 1591223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591269 */     // MIs[0] policy
     /* 1591269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591279 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591303 */     // GIR_Coverage, 7056,
     /* 1591303 */     GIR_EraseRootFromParent_Done,
     /* 1591304 */   // Label 21957: @1591304
     /* 1591304 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1591390), // Rule ID 7057 //
     /* 1591309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1591320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1591323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1591326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591355 */     // MIs[0] policy
     /* 1591355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591389 */     // GIR_Coverage, 7057,
     /* 1591389 */     GIR_EraseRootFromParent_Done,
     /* 1591390 */   // Label 21958: @1591390
     /* 1591390 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1591476), // Rule ID 7060 //
     /* 1591395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591441 */     // MIs[0] policy
     /* 1591441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591475 */     // GIR_Coverage, 7060,
     /* 1591475 */     GIR_EraseRootFromParent_Done,
     /* 1591476 */   // Label 21959: @1591476
     /* 1591476 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1591562), // Rule ID 7061 //
     /* 1591481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1591498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591527 */     // MIs[0] policy
     /* 1591527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591537 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591561 */     // GIR_Coverage, 7061,
     /* 1591561 */     GIR_EraseRootFromParent_Done,
     /* 1591562 */   // Label 21960: @1591562
     /* 1591562 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1591648), // Rule ID 7064 //
     /* 1591567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591613 */     // MIs[0] policy
     /* 1591613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591647 */     // GIR_Coverage, 7064,
     /* 1591647 */     GIR_EraseRootFromParent_Done,
     /* 1591648 */   // Label 21961: @1591648
     /* 1591648 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1591734), // Rule ID 7065 //
     /* 1591653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1591664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1591667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1591670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591699 */     // MIs[0] policy
     /* 1591699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591733 */     // GIR_Coverage, 7065,
     /* 1591733 */     GIR_EraseRootFromParent_Done,
     /* 1591734 */   // Label 21962: @1591734
     /* 1591734 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1591820), // Rule ID 7068 //
     /* 1591739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591785 */     // MIs[0] policy
     /* 1591785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591819 */     // GIR_Coverage, 7068,
     /* 1591819 */     GIR_EraseRootFromParent_Done,
     /* 1591820 */   // Label 21963: @1591820
     /* 1591820 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1591906), // Rule ID 7069 //
     /* 1591825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1591836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1591839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1591842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591871 */     // MIs[0] policy
     /* 1591871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1591884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591905 */     // GIR_Coverage, 7069,
     /* 1591905 */     GIR_EraseRootFromParent_Done,
     /* 1591906 */   // Label 21964: @1591906
     /* 1591906 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1591992), // Rule ID 7072 //
     /* 1591911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1591919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1591922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1591925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1591928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591957 */     // MIs[0] policy
     /* 1591957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1591970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591991 */     // GIR_Coverage, 7072,
     /* 1591991 */     GIR_EraseRootFromParent_Done,
     /* 1591992 */   // Label 21965: @1591992
     /* 1591992 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1592078), // Rule ID 7073 //
     /* 1591997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592043 */     // MIs[0] policy
     /* 1592043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1592056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592077 */     // GIR_Coverage, 7073,
     /* 1592077 */     GIR_EraseRootFromParent_Done,
     /* 1592078 */   // Label 21966: @1592078
     /* 1592078 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1592164), // Rule ID 7076 //
     /* 1592083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592129 */     // MIs[0] policy
     /* 1592129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1592142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592163 */     // GIR_Coverage, 7076,
     /* 1592163 */     GIR_EraseRootFromParent_Done,
     /* 1592164 */   // Label 21967: @1592164
     /* 1592164 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1592250), // Rule ID 7077 //
     /* 1592169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1592180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1592183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1592186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592215 */     // MIs[0] policy
     /* 1592215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1592228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592249 */     // GIR_Coverage, 7077,
     /* 1592249 */     GIR_EraseRootFromParent_Done,
     /* 1592250 */   // Label 21968: @1592250
     /* 1592250 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1592336), // Rule ID 7080 //
     /* 1592255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592301 */     // MIs[0] policy
     /* 1592301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1592314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592335 */     // GIR_Coverage, 7080,
     /* 1592335 */     GIR_EraseRootFromParent_Done,
     /* 1592336 */   // Label 21969: @1592336
     /* 1592336 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1592422), // Rule ID 7081 //
     /* 1592341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1592352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1592355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1592358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1592364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592387 */     // MIs[0] policy
     /* 1592387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1592400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592421 */     // GIR_Coverage, 7081,
     /* 1592421 */     GIR_EraseRootFromParent_Done,
     /* 1592422 */   // Label 21970: @1592422
     /* 1592422 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1592508), // Rule ID 7084 //
     /* 1592427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592473 */     // MIs[0] policy
     /* 1592473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1592486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592507 */     // GIR_Coverage, 7084,
     /* 1592507 */     GIR_EraseRootFromParent_Done,
     /* 1592508 */   // Label 21971: @1592508
     /* 1592508 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1592594), // Rule ID 7085 //
     /* 1592513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1592524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1592527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1592530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592559 */     // MIs[0] policy
     /* 1592559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1592572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592593 */     // GIR_Coverage, 7085,
     /* 1592593 */     GIR_EraseRootFromParent_Done,
     /* 1592594 */   // Label 21972: @1592594
     /* 1592594 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1592680), // Rule ID 7088 //
     /* 1592599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592645 */     // MIs[0] policy
     /* 1592645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1592658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592679 */     // GIR_Coverage, 7088,
     /* 1592679 */     GIR_EraseRootFromParent_Done,
     /* 1592680 */   // Label 21973: @1592680
     /* 1592680 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1592766), // Rule ID 7089 //
     /* 1592685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1592696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1592699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1592702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592731 */     // MIs[0] policy
     /* 1592731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1592744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592765 */     // GIR_Coverage, 7089,
     /* 1592765 */     GIR_EraseRootFromParent_Done,
     /* 1592766 */   // Label 21974: @1592766
     /* 1592766 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1592852), // Rule ID 7092 //
     /* 1592771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592817 */     // MIs[0] policy
     /* 1592817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1592830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592851 */     // GIR_Coverage, 7092,
     /* 1592851 */     GIR_EraseRootFromParent_Done,
     /* 1592852 */   // Label 21975: @1592852
     /* 1592852 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1592938), // Rule ID 7093 //
     /* 1592857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1592868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1592871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1592874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1592880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592903 */     // MIs[0] policy
     /* 1592903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592913 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1592916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592937 */     // GIR_Coverage, 7093,
     /* 1592937 */     GIR_EraseRootFromParent_Done,
     /* 1592938 */   // Label 21976: @1592938
     /* 1592938 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1593024), // Rule ID 7096 //
     /* 1592943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1592951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1592960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592989 */     // MIs[0] policy
     /* 1592989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1593002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593023 */     // GIR_Coverage, 7096,
     /* 1593023 */     GIR_EraseRootFromParent_Done,
     /* 1593024 */   // Label 21977: @1593024
     /* 1593024 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1593110), // Rule ID 7097 //
     /* 1593029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1593040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1593043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1593046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593075 */     // MIs[0] policy
     /* 1593075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1593088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593109 */     // GIR_Coverage, 7097,
     /* 1593109 */     GIR_EraseRootFromParent_Done,
     /* 1593110 */   // Label 21978: @1593110
     /* 1593110 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1593196), // Rule ID 7100 //
     /* 1593115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593161 */     // MIs[0] policy
     /* 1593161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1593174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593195 */     // GIR_Coverage, 7100,
     /* 1593195 */     GIR_EraseRootFromParent_Done,
     /* 1593196 */   // Label 21979: @1593196
     /* 1593196 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1593282), // Rule ID 7101 //
     /* 1593201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1593212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1593215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1593218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593247 */     // MIs[0] policy
     /* 1593247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1593260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593281 */     // GIR_Coverage, 7101,
     /* 1593281 */     GIR_EraseRootFromParent_Done,
     /* 1593282 */   // Label 21980: @1593282
     /* 1593282 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1593368), // Rule ID 7104 //
     /* 1593287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593333 */     // MIs[0] policy
     /* 1593333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1593346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593367 */     // GIR_Coverage, 7104,
     /* 1593367 */     GIR_EraseRootFromParent_Done,
     /* 1593368 */   // Label 21981: @1593368
     /* 1593368 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1593454), // Rule ID 7105 //
     /* 1593373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1593384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1593387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1593390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593419 */     // MIs[0] policy
     /* 1593419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1593432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593453 */     // GIR_Coverage, 7105,
     /* 1593453 */     GIR_EraseRootFromParent_Done,
     /* 1593454 */   // Label 21982: @1593454
     /* 1593454 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1593540), // Rule ID 7108 //
     /* 1593459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593505 */     // MIs[0] policy
     /* 1593505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1593518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593539 */     // GIR_Coverage, 7108,
     /* 1593539 */     GIR_EraseRootFromParent_Done,
     /* 1593540 */   // Label 21983: @1593540
     /* 1593540 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1593626), // Rule ID 7109 //
     /* 1593545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1593562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593591 */     // MIs[0] policy
     /* 1593591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1593604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593625 */     // GIR_Coverage, 7109,
     /* 1593625 */     GIR_EraseRootFromParent_Done,
     /* 1593626 */   // Label 21984: @1593626
     /* 1593626 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1593712), // Rule ID 7112 //
     /* 1593631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593677 */     // MIs[0] policy
     /* 1593677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1593690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593711 */     // GIR_Coverage, 7112,
     /* 1593711 */     GIR_EraseRootFromParent_Done,
     /* 1593712 */   // Label 21985: @1593712
     /* 1593712 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1593798), // Rule ID 7113 //
     /* 1593717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1593734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593763 */     // MIs[0] policy
     /* 1593763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1593776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593797 */     // GIR_Coverage, 7113,
     /* 1593797 */     GIR_EraseRootFromParent_Done,
     /* 1593798 */   // Label 21986: @1593798
     /* 1593798 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1593884), // Rule ID 7116 //
     /* 1593803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593849 */     // MIs[0] policy
     /* 1593849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1593862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593883 */     // GIR_Coverage, 7116,
     /* 1593883 */     GIR_EraseRootFromParent_Done,
     /* 1593884 */   // Label 21987: @1593884
     /* 1593884 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1593970), // Rule ID 7117 //
     /* 1593889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1593897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1593906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593935 */     // MIs[0] policy
     /* 1593935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593945 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11232:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1593948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593969 */     // GIR_Coverage, 7117,
     /* 1593969 */     GIR_EraseRootFromParent_Done,
     /* 1593970 */   // Label 21988: @1593970
     /* 1593970 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1594056), // Rule ID 7296 //
     /* 1593975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1593983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594021 */     // MIs[0] policy
     /* 1594021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594031 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1594034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594055 */     // GIR_Coverage, 7296,
     /* 1594055 */     GIR_EraseRootFromParent_Done,
     /* 1594056 */   // Label 21989: @1594056
     /* 1594056 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1594142), // Rule ID 7297 //
     /* 1594061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594107 */     // MIs[0] policy
     /* 1594107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1594120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594141 */     // GIR_Coverage, 7297,
     /* 1594141 */     GIR_EraseRootFromParent_Done,
     /* 1594142 */   // Label 21990: @1594142
     /* 1594142 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1594228), // Rule ID 7300 //
     /* 1594147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594193 */     // MIs[0] policy
     /* 1594193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594203 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1594206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594227 */     // GIR_Coverage, 7300,
     /* 1594227 */     GIR_EraseRootFromParent_Done,
     /* 1594228 */   // Label 21991: @1594228
     /* 1594228 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1594314), // Rule ID 7301 //
     /* 1594233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594279 */     // MIs[0] policy
     /* 1594279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1594292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594313 */     // GIR_Coverage, 7301,
     /* 1594313 */     GIR_EraseRootFromParent_Done,
     /* 1594314 */   // Label 21992: @1594314
     /* 1594314 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1594400), // Rule ID 7304 //
     /* 1594319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594365 */     // MIs[0] policy
     /* 1594365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1594378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594399 */     // GIR_Coverage, 7304,
     /* 1594399 */     GIR_EraseRootFromParent_Done,
     /* 1594400 */   // Label 21993: @1594400
     /* 1594400 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1594486), // Rule ID 7305 //
     /* 1594405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1594422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594451 */     // MIs[0] policy
     /* 1594451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1594464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594485 */     // GIR_Coverage, 7305,
     /* 1594485 */     GIR_EraseRootFromParent_Done,
     /* 1594486 */   // Label 21994: @1594486
     /* 1594486 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1594572), // Rule ID 7308 //
     /* 1594491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1594508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594537 */     // MIs[0] policy
     /* 1594537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1594550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594571 */     // GIR_Coverage, 7308,
     /* 1594571 */     GIR_EraseRootFromParent_Done,
     /* 1594572 */   // Label 21995: @1594572
     /* 1594572 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1594658), // Rule ID 7309 //
     /* 1594577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1594588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1594591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1594594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1594597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594623 */     // MIs[0] policy
     /* 1594623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594633 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1594636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594657 */     // GIR_Coverage, 7309,
     /* 1594657 */     GIR_EraseRootFromParent_Done,
     /* 1594658 */   // Label 21996: @1594658
     /* 1594658 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1594744), // Rule ID 7312 //
     /* 1594663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1594680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594709 */     // MIs[0] policy
     /* 1594709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594719 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1594722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594743 */     // GIR_Coverage, 7312,
     /* 1594743 */     GIR_EraseRootFromParent_Done,
     /* 1594744 */   // Label 21997: @1594744
     /* 1594744 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1594830), // Rule ID 7313 //
     /* 1594749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1594766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594795 */     // MIs[0] policy
     /* 1594795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1594808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594829 */     // GIR_Coverage, 7313,
     /* 1594829 */     GIR_EraseRootFromParent_Done,
     /* 1594830 */   // Label 21998: @1594830
     /* 1594830 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1594916), // Rule ID 7316 //
     /* 1594835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1594852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594881 */     // MIs[0] policy
     /* 1594881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594891 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1594894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594915 */     // GIR_Coverage, 7316,
     /* 1594915 */     GIR_EraseRootFromParent_Done,
     /* 1594916 */   // Label 21999: @1594916
     /* 1594916 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1595002), // Rule ID 7317 //
     /* 1594921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1594929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1594938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594967 */     // MIs[0] policy
     /* 1594967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594977 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1594980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595001 */     // GIR_Coverage, 7317,
     /* 1595001 */     GIR_EraseRootFromParent_Done,
     /* 1595002 */   // Label 22000: @1595002
     /* 1595002 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1595088), // Rule ID 7320 //
     /* 1595007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1595027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595053 */     // MIs[0] policy
     /* 1595053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1595066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595087 */     // GIR_Coverage, 7320,
     /* 1595087 */     GIR_EraseRootFromParent_Done,
     /* 1595088 */   // Label 22001: @1595088
     /* 1595088 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1595174), // Rule ID 7321 //
     /* 1595093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1595110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1595113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595139 */     // MIs[0] policy
     /* 1595139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1595152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595173 */     // GIR_Coverage, 7321,
     /* 1595173 */     GIR_EraseRootFromParent_Done,
     /* 1595174 */   // Label 22002: @1595174
     /* 1595174 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1595260), // Rule ID 7324 //
     /* 1595179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1595199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595225 */     // MIs[0] policy
     /* 1595225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1595238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595259 */     // GIR_Coverage, 7324,
     /* 1595259 */     GIR_EraseRootFromParent_Done,
     /* 1595260 */   // Label 22003: @1595260
     /* 1595260 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1595346), // Rule ID 7325 //
     /* 1595265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1595276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1595279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1595285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595311 */     // MIs[0] policy
     /* 1595311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1595324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595345 */     // GIR_Coverage, 7325,
     /* 1595345 */     GIR_EraseRootFromParent_Done,
     /* 1595346 */   // Label 22004: @1595346
     /* 1595346 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1595432), // Rule ID 7328 //
     /* 1595351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595397 */     // MIs[0] policy
     /* 1595397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1595410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595431 */     // GIR_Coverage, 7328,
     /* 1595431 */     GIR_EraseRootFromParent_Done,
     /* 1595432 */   // Label 22005: @1595432
     /* 1595432 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1595518), // Rule ID 7329 //
     /* 1595437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595483 */     // MIs[0] policy
     /* 1595483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1595496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595517 */     // GIR_Coverage, 7329,
     /* 1595517 */     GIR_EraseRootFromParent_Done,
     /* 1595518 */   // Label 22006: @1595518
     /* 1595518 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1595604), // Rule ID 7332 //
     /* 1595523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595569 */     // MIs[0] policy
     /* 1595569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1595582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595603 */     // GIR_Coverage, 7332,
     /* 1595603 */     GIR_EraseRootFromParent_Done,
     /* 1595604 */   // Label 22007: @1595604
     /* 1595604 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1595690), // Rule ID 7333 //
     /* 1595609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1595620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1595623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1595629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595655 */     // MIs[0] policy
     /* 1595655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1595668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595689 */     // GIR_Coverage, 7333,
     /* 1595689 */     GIR_EraseRootFromParent_Done,
     /* 1595690 */   // Label 22008: @1595690
     /* 1595690 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1595776), // Rule ID 7336 //
     /* 1595695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1595712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595741 */     // MIs[0] policy
     /* 1595741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1595754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595775 */     // GIR_Coverage, 7336,
     /* 1595775 */     GIR_EraseRootFromParent_Done,
     /* 1595776 */   // Label 22009: @1595776
     /* 1595776 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1595862), // Rule ID 7337 //
     /* 1595781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1595798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595827 */     // MIs[0] policy
     /* 1595827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1595840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595861 */     // GIR_Coverage, 7337,
     /* 1595861 */     GIR_EraseRootFromParent_Done,
     /* 1595862 */   // Label 22010: @1595862
     /* 1595862 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1595948), // Rule ID 7340 //
     /* 1595867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1595870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595913 */     // MIs[0] policy
     /* 1595913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1595926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595947 */     // GIR_Coverage, 7340,
     /* 1595947 */     GIR_EraseRootFromParent_Done,
     /* 1595948 */   // Label 22011: @1595948
     /* 1595948 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1596034), // Rule ID 7341 //
     /* 1595953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1595956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1595961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1595964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1595967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1595973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595999 */     // MIs[0] policy
     /* 1595999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1596012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596033 */     // GIR_Coverage, 7341,
     /* 1596033 */     GIR_EraseRootFromParent_Done,
     /* 1596034 */   // Label 22012: @1596034
     /* 1596034 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1596120), // Rule ID 7344 //
     /* 1596039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1596042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1596050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1596053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1596059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596085 */     // MIs[0] policy
     /* 1596085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1596098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596119 */     // GIR_Coverage, 7344,
     /* 1596119 */     GIR_EraseRootFromParent_Done,
     /* 1596120 */   // Label 22013: @1596120
     /* 1596120 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1596206), // Rule ID 7345 //
     /* 1596125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1596128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1596136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1596139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1596142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1596145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596171 */     // MIs[0] policy
     /* 1596171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1596184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596205 */     // GIR_Coverage, 7345,
     /* 1596205 */     GIR_EraseRootFromParent_Done,
     /* 1596206 */   // Label 22014: @1596206
     /* 1596206 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1596292), // Rule ID 7348 //
     /* 1596211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1596214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596257 */     // MIs[0] policy
     /* 1596257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1596270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596291 */     // GIR_Coverage, 7348,
     /* 1596291 */     GIR_EraseRootFromParent_Done,
     /* 1596292 */   // Label 22015: @1596292
     /* 1596292 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1596378), // Rule ID 7349 //
     /* 1596297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1596300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596343 */     // MIs[0] policy
     /* 1596343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1596356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596377 */     // GIR_Coverage, 7349,
     /* 1596377 */     GIR_EraseRootFromParent_Done,
     /* 1596378 */   // Label 22016: @1596378
     /* 1596378 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1596464), // Rule ID 7352 //
     /* 1596383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1596386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596429 */     // MIs[0] policy
     /* 1596429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1596442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596463 */     // GIR_Coverage, 7352,
     /* 1596463 */     GIR_EraseRootFromParent_Done,
     /* 1596464 */   // Label 22017: @1596464
     /* 1596464 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1596550), // Rule ID 7353 //
     /* 1596469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1596472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596515 */     // MIs[0] policy
     /* 1596515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1596528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596549 */     // GIR_Coverage, 7353,
     /* 1596549 */     GIR_EraseRootFromParent_Done,
     /* 1596550 */   // Label 22018: @1596550
     /* 1596550 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1596636), // Rule ID 7356 //
     /* 1596555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1596572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596601 */     // MIs[0] policy
     /* 1596601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1596614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596635 */     // GIR_Coverage, 7356,
     /* 1596635 */     GIR_EraseRootFromParent_Done,
     /* 1596636 */   // Label 22019: @1596636
     /* 1596636 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1596722), // Rule ID 7357 //
     /* 1596641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1596658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596687 */     // MIs[0] policy
     /* 1596687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1596700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596721 */     // GIR_Coverage, 7357,
     /* 1596721 */     GIR_EraseRootFromParent_Done,
     /* 1596722 */   // Label 22020: @1596722
     /* 1596722 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1596808), // Rule ID 7360 //
     /* 1596727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1596741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596773 */     // MIs[0] policy
     /* 1596773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1596786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596807 */     // GIR_Coverage, 7360,
     /* 1596807 */     GIR_EraseRootFromParent_Done,
     /* 1596808 */   // Label 22021: @1596808
     /* 1596808 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1596894), // Rule ID 7361 //
     /* 1596813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1596827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596859 */     // MIs[0] policy
     /* 1596859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1596872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596893 */     // GIR_Coverage, 7361,
     /* 1596893 */     GIR_EraseRootFromParent_Done,
     /* 1596894 */   // Label 22022: @1596894
     /* 1596894 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1596980), // Rule ID 7364 //
     /* 1596899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1596910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1596913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1596916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596945 */     // MIs[0] policy
     /* 1596945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1596958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596979 */     // GIR_Coverage, 7364,
     /* 1596979 */     GIR_EraseRootFromParent_Done,
     /* 1596980 */   // Label 22023: @1596980
     /* 1596980 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1597066), // Rule ID 7365 //
     /* 1596985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1596993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1596996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1596999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1597002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597031 */     // MIs[0] policy
     /* 1597031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597041 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1597044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597065 */     // GIR_Coverage, 7365,
     /* 1597065 */     GIR_EraseRootFromParent_Done,
     /* 1597066 */   // Label 22024: @1597066
     /* 1597066 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1597152), // Rule ID 7368 //
     /* 1597071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1597088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597117 */     // MIs[0] policy
     /* 1597117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597127 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1597130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597151 */     // GIR_Coverage, 7368,
     /* 1597151 */     GIR_EraseRootFromParent_Done,
     /* 1597152 */   // Label 22025: @1597152
     /* 1597152 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1597238), // Rule ID 7369 //
     /* 1597157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1597174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597203 */     // MIs[0] policy
     /* 1597203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597213 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1597216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597237 */     // GIR_Coverage, 7369,
     /* 1597237 */     GIR_EraseRootFromParent_Done,
     /* 1597238 */   // Label 22026: @1597238
     /* 1597238 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1597324), // Rule ID 7372 //
     /* 1597243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597289 */     // MIs[0] policy
     /* 1597289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1597302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597323 */     // GIR_Coverage, 7372,
     /* 1597323 */     GIR_EraseRootFromParent_Done,
     /* 1597324 */   // Label 22027: @1597324
     /* 1597324 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1597410), // Rule ID 7373 //
     /* 1597329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597375 */     // MIs[0] policy
     /* 1597375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1597388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597409 */     // GIR_Coverage, 7373,
     /* 1597409 */     GIR_EraseRootFromParent_Done,
     /* 1597410 */   // Label 22028: @1597410
     /* 1597410 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1597496), // Rule ID 7376 //
     /* 1597415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1597432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597461 */     // MIs[0] policy
     /* 1597461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1597474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597495 */     // GIR_Coverage, 7376,
     /* 1597495 */     GIR_EraseRootFromParent_Done,
     /* 1597496 */   // Label 22029: @1597496
     /* 1597496 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1597582), // Rule ID 7377 //
     /* 1597501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1597518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597547 */     // MIs[0] policy
     /* 1597547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1597560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597581 */     // GIR_Coverage, 7377,
     /* 1597581 */     GIR_EraseRootFromParent_Done,
     /* 1597582 */   // Label 22030: @1597582
     /* 1597582 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1597668), // Rule ID 7380 //
     /* 1597587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597633 */     // MIs[0] policy
     /* 1597633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597643 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1597646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597667 */     // GIR_Coverage, 7380,
     /* 1597667 */     GIR_EraseRootFromParent_Done,
     /* 1597668 */   // Label 22031: @1597668
     /* 1597668 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1597754), // Rule ID 7381 //
     /* 1597673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597719 */     // MIs[0] policy
     /* 1597719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597729 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1597732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597753 */     // GIR_Coverage, 7381,
     /* 1597753 */     GIR_EraseRootFromParent_Done,
     /* 1597754 */   // Label 22032: @1597754
     /* 1597754 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1597840), // Rule ID 7384 //
     /* 1597759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597805 */     // MIs[0] policy
     /* 1597805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597815 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1597818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597839 */     // GIR_Coverage, 7384,
     /* 1597839 */     GIR_EraseRootFromParent_Done,
     /* 1597840 */   // Label 22033: @1597840
     /* 1597840 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1597926), // Rule ID 7385 //
     /* 1597845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597891 */     // MIs[0] policy
     /* 1597891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1597904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597925 */     // GIR_Coverage, 7385,
     /* 1597925 */     GIR_EraseRootFromParent_Done,
     /* 1597926 */   // Label 22034: @1597926
     /* 1597926 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1598012), // Rule ID 7388 //
     /* 1597931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1597939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1597942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1597945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1597948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597977 */     // MIs[0] policy
     /* 1597977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597987 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1597990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598011 */     // GIR_Coverage, 7388,
     /* 1598011 */     GIR_EraseRootFromParent_Done,
     /* 1598012 */   // Label 22035: @1598012
     /* 1598012 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1598098), // Rule ID 7389 //
     /* 1598017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1598034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598063 */     // MIs[0] policy
     /* 1598063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598073 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1598076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598097 */     // GIR_Coverage, 7389,
     /* 1598097 */     GIR_EraseRootFromParent_Done,
     /* 1598098 */   // Label 22036: @1598098
     /* 1598098 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1598184), // Rule ID 7392 //
     /* 1598103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598149 */     // MIs[0] policy
     /* 1598149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598159 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1598162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598183 */     // GIR_Coverage, 7392,
     /* 1598183 */     GIR_EraseRootFromParent_Done,
     /* 1598184 */   // Label 22037: @1598184
     /* 1598184 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1598270), // Rule ID 7393 //
     /* 1598189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598235 */     // MIs[0] policy
     /* 1598235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1598248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598269 */     // GIR_Coverage, 7393,
     /* 1598269 */     GIR_EraseRootFromParent_Done,
     /* 1598270 */   // Label 22038: @1598270
     /* 1598270 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1598356), // Rule ID 7396 //
     /* 1598275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1598292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598321 */     // MIs[0] policy
     /* 1598321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1598334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598355 */     // GIR_Coverage, 7396,
     /* 1598355 */     GIR_EraseRootFromParent_Done,
     /* 1598356 */   // Label 22039: @1598356
     /* 1598356 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1598442), // Rule ID 7397 //
     /* 1598361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1598378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598407 */     // MIs[0] policy
     /* 1598407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1598420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598441 */     // GIR_Coverage, 7397,
     /* 1598441 */     GIR_EraseRootFromParent_Done,
     /* 1598442 */   // Label 22040: @1598442
     /* 1598442 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1598528), // Rule ID 7400 //
     /* 1598447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1598450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598493 */     // MIs[0] policy
     /* 1598493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1598506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598527 */     // GIR_Coverage, 7400,
     /* 1598527 */     GIR_EraseRootFromParent_Done,
     /* 1598528 */   // Label 22041: @1598528
     /* 1598528 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1598614), // Rule ID 7401 //
     /* 1598533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1598536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598579 */     // MIs[0] policy
     /* 1598579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1598592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598613 */     // GIR_Coverage, 7401,
     /* 1598613 */     GIR_EraseRootFromParent_Done,
     /* 1598614 */   // Label 22042: @1598614
     /* 1598614 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1598700), // Rule ID 7404 //
     /* 1598619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1598622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1598636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598665 */     // MIs[0] policy
     /* 1598665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1598678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598699 */     // GIR_Coverage, 7404,
     /* 1598699 */     GIR_EraseRootFromParent_Done,
     /* 1598700 */   // Label 22043: @1598700
     /* 1598700 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1598786), // Rule ID 7405 //
     /* 1598705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1598708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1598722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598751 */     // MIs[0] policy
     /* 1598751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1598764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598785 */     // GIR_Coverage, 7405,
     /* 1598785 */     GIR_EraseRootFromParent_Done,
     /* 1598786 */   // Label 22044: @1598786
     /* 1598786 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1598872), // Rule ID 7408 //
     /* 1598791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1598794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1598808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598837 */     // MIs[0] policy
     /* 1598837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1598850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598871 */     // GIR_Coverage, 7408,
     /* 1598871 */     GIR_EraseRootFromParent_Done,
     /* 1598872 */   // Label 22045: @1598872
     /* 1598872 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1598958), // Rule ID 7409 //
     /* 1598877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1598880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1598894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598923 */     // MIs[0] policy
     /* 1598923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1598936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598957 */     // GIR_Coverage, 7409,
     /* 1598957 */     GIR_EraseRootFromParent_Done,
     /* 1598958 */   // Label 22046: @1598958
     /* 1598958 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1599044), // Rule ID 7412 //
     /* 1598963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1598966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1598971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1598974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1598977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1598980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599009 */     // MIs[0] policy
     /* 1599009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1599022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599043 */     // GIR_Coverage, 7412,
     /* 1599043 */     GIR_EraseRootFromParent_Done,
     /* 1599044 */   // Label 22047: @1599044
     /* 1599044 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1599130), // Rule ID 7413 //
     /* 1599049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1599052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1599057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1599060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1599063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1599066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599095 */     // MIs[0] policy
     /* 1599095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1599108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599129 */     // GIR_Coverage, 7413,
     /* 1599129 */     GIR_EraseRootFromParent_Done,
     /* 1599130 */   // Label 22048: @1599130
     /* 1599130 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1599216), // Rule ID 7476 //
     /* 1599135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1599146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1599149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1599152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1599155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599181 */     // MIs[0] policy
     /* 1599181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599191 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1599194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599215 */     // GIR_Coverage, 7476,
     /* 1599215 */     GIR_EraseRootFromParent_Done,
     /* 1599216 */   // Label 22049: @1599216
     /* 1599216 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1599302), // Rule ID 7477 //
     /* 1599221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1599232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1599235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1599238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1599241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599267 */     // MIs[0] policy
     /* 1599267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1599280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599301 */     // GIR_Coverage, 7477,
     /* 1599301 */     GIR_EraseRootFromParent_Done,
     /* 1599302 */   // Label 22050: @1599302
     /* 1599302 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1599388), // Rule ID 7480 //
     /* 1599307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1599318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1599321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1599324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1599327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599353 */     // MIs[0] policy
     /* 1599353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599363 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1599366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599387 */     // GIR_Coverage, 7480,
     /* 1599387 */     GIR_EraseRootFromParent_Done,
     /* 1599388 */   // Label 22051: @1599388
     /* 1599388 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1599474), // Rule ID 7481 //
     /* 1599393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1599404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1599407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1599410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1599413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599439 */     // MIs[0] policy
     /* 1599439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599449 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1599452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599473 */     // GIR_Coverage, 7481,
     /* 1599473 */     GIR_EraseRootFromParent_Done,
     /* 1599474 */   // Label 22052: @1599474
     /* 1599474 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1599560), // Rule ID 7484 //
     /* 1599479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1599490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1599493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1599499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599525 */     // MIs[0] policy
     /* 1599525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1599538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599559 */     // GIR_Coverage, 7484,
     /* 1599559 */     GIR_EraseRootFromParent_Done,
     /* 1599560 */   // Label 22053: @1599560
     /* 1599560 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1599646), // Rule ID 7485 //
     /* 1599565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1599576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1599579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1599582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1599585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599611 */     // MIs[0] policy
     /* 1599611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1599624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599645 */     // GIR_Coverage, 7485,
     /* 1599645 */     GIR_EraseRootFromParent_Done,
     /* 1599646 */   // Label 22054: @1599646
     /* 1599646 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1599732), // Rule ID 7488 //
     /* 1599651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599697 */     // MIs[0] policy
     /* 1599697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1599710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599731 */     // GIR_Coverage, 7488,
     /* 1599731 */     GIR_EraseRootFromParent_Done,
     /* 1599732 */   // Label 22055: @1599732
     /* 1599732 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1599818), // Rule ID 7489 //
     /* 1599737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1599748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1599751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599783 */     // MIs[0] policy
     /* 1599783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599793 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1599796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599817 */     // GIR_Coverage, 7489,
     /* 1599817 */     GIR_EraseRootFromParent_Done,
     /* 1599818 */   // Label 22056: @1599818
     /* 1599818 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1599904), // Rule ID 7492 //
     /* 1599823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1599843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599869 */     // MIs[0] policy
     /* 1599869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599879 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1599882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599903 */     // GIR_Coverage, 7492,
     /* 1599903 */     GIR_EraseRootFromParent_Done,
     /* 1599904 */   // Label 22057: @1599904
     /* 1599904 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1599990), // Rule ID 7493 //
     /* 1599909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1599917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1599926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1599929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599955 */     // MIs[0] policy
     /* 1599955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599965 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1599968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599989 */     // GIR_Coverage, 7493,
     /* 1599989 */     GIR_EraseRootFromParent_Done,
     /* 1599990 */   // Label 22058: @1599990
     /* 1599990 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1600076), // Rule ID 7496 //
     /* 1599995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1600006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600041 */     // MIs[0] policy
     /* 1600041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1600054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600075 */     // GIR_Coverage, 7496,
     /* 1600075 */     GIR_EraseRootFromParent_Done,
     /* 1600076 */   // Label 22059: @1600076
     /* 1600076 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1600162), // Rule ID 7497 //
     /* 1600081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1600092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1600095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600127 */     // MIs[0] policy
     /* 1600127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600137 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1600140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600161 */     // GIR_Coverage, 7497,
     /* 1600161 */     GIR_EraseRootFromParent_Done,
     /* 1600162 */   // Label 22060: @1600162
     /* 1600162 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1600248), // Rule ID 7500 //
     /* 1600167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1600178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1600181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1600184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1600187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600213 */     // MIs[0] policy
     /* 1600213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600223 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1600226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600247 */     // GIR_Coverage, 7500,
     /* 1600247 */     GIR_EraseRootFromParent_Done,
     /* 1600248 */   // Label 22061: @1600248
     /* 1600248 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1600334), // Rule ID 7501 //
     /* 1600253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1600264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1600267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1600270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1600273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600299 */     // MIs[0] policy
     /* 1600299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1600312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600333 */     // GIR_Coverage, 7501,
     /* 1600333 */     GIR_EraseRootFromParent_Done,
     /* 1600334 */   // Label 22062: @1600334
     /* 1600334 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1600420), // Rule ID 7504 //
     /* 1600339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1600356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1600359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600385 */     // MIs[0] policy
     /* 1600385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1600398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600419 */     // GIR_Coverage, 7504,
     /* 1600419 */     GIR_EraseRootFromParent_Done,
     /* 1600420 */   // Label 22063: @1600420
     /* 1600420 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1600506), // Rule ID 7505 //
     /* 1600425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1600442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1600445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600471 */     // MIs[0] policy
     /* 1600471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1600484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600505 */     // GIR_Coverage, 7505,
     /* 1600505 */     GIR_EraseRootFromParent_Done,
     /* 1600506 */   // Label 22064: @1600506
     /* 1600506 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1600592), // Rule ID 7508 //
     /* 1600511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1600522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1600525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1600531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600557 */     // MIs[0] policy
     /* 1600557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1600570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600591 */     // GIR_Coverage, 7508,
     /* 1600591 */     GIR_EraseRootFromParent_Done,
     /* 1600592 */   // Label 22065: @1600592
     /* 1600592 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1600678), // Rule ID 7509 //
     /* 1600597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1600608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1600611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1600617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600643 */     // MIs[0] policy
     /* 1600643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1600656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600677 */     // GIR_Coverage, 7509,
     /* 1600677 */     GIR_EraseRootFromParent_Done,
     /* 1600678 */   // Label 22066: @1600678
     /* 1600678 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1600764), // Rule ID 7512 //
     /* 1600683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600729 */     // MIs[0] policy
     /* 1600729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1600742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600763 */     // GIR_Coverage, 7512,
     /* 1600763 */     GIR_EraseRootFromParent_Done,
     /* 1600764 */   // Label 22067: @1600764
     /* 1600764 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1600850), // Rule ID 7513 //
     /* 1600769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600815 */     // MIs[0] policy
     /* 1600815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600825 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1600828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600849 */     // GIR_Coverage, 7513,
     /* 1600849 */     GIR_EraseRootFromParent_Done,
     /* 1600850 */   // Label 22068: @1600850
     /* 1600850 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1600936), // Rule ID 7516 //
     /* 1600855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600901 */     // MIs[0] policy
     /* 1600901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1600914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600935 */     // GIR_Coverage, 7516,
     /* 1600935 */     GIR_EraseRootFromParent_Done,
     /* 1600936 */   // Label 22069: @1600936
     /* 1600936 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1601022), // Rule ID 7517 //
     /* 1600941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1600949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600987 */     // MIs[0] policy
     /* 1600987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1601000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601021 */     // GIR_Coverage, 7517,
     /* 1601021 */     GIR_EraseRootFromParent_Done,
     /* 1601022 */   // Label 22070: @1601022
     /* 1601022 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1601108), // Rule ID 7520 //
     /* 1601027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1601044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601073 */     // MIs[0] policy
     /* 1601073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1601086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601107 */     // GIR_Coverage, 7520,
     /* 1601107 */     GIR_EraseRootFromParent_Done,
     /* 1601108 */   // Label 22071: @1601108
     /* 1601108 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1601194), // Rule ID 7521 //
     /* 1601113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1601130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601159 */     // MIs[0] policy
     /* 1601159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1601172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601193 */     // GIR_Coverage, 7521,
     /* 1601193 */     GIR_EraseRootFromParent_Done,
     /* 1601194 */   // Label 22072: @1601194
     /* 1601194 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1601280), // Rule ID 7524 //
     /* 1601199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601245 */     // MIs[0] policy
     /* 1601245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1601258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601279 */     // GIR_Coverage, 7524,
     /* 1601279 */     GIR_EraseRootFromParent_Done,
     /* 1601280 */   // Label 22073: @1601280
     /* 1601280 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1601366), // Rule ID 7525 //
     /* 1601285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1601302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601331 */     // MIs[0] policy
     /* 1601331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1601344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601365 */     // GIR_Coverage, 7525,
     /* 1601365 */     GIR_EraseRootFromParent_Done,
     /* 1601366 */   // Label 22074: @1601366
     /* 1601366 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1601452), // Rule ID 7528 //
     /* 1601371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601417 */     // MIs[0] policy
     /* 1601417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1601430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601451 */     // GIR_Coverage, 7528,
     /* 1601451 */     GIR_EraseRootFromParent_Done,
     /* 1601452 */   // Label 22075: @1601452
     /* 1601452 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1601538), // Rule ID 7529 //
     /* 1601457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601503 */     // MIs[0] policy
     /* 1601503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1601516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601537 */     // GIR_Coverage, 7529,
     /* 1601537 */     GIR_EraseRootFromParent_Done,
     /* 1601538 */   // Label 22076: @1601538
     /* 1601538 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1601624), // Rule ID 7532 //
     /* 1601543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601589 */     // MIs[0] policy
     /* 1601589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1601602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601623 */     // GIR_Coverage, 7532,
     /* 1601623 */     GIR_EraseRootFromParent_Done,
     /* 1601624 */   // Label 22077: @1601624
     /* 1601624 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1601710), // Rule ID 7533 //
     /* 1601629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601675 */     // MIs[0] policy
     /* 1601675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1601688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601709 */     // GIR_Coverage, 7533,
     /* 1601709 */     GIR_EraseRootFromParent_Done,
     /* 1601710 */   // Label 22078: @1601710
     /* 1601710 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1601796), // Rule ID 7536 //
     /* 1601715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601761 */     // MIs[0] policy
     /* 1601761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1601774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601795 */     // GIR_Coverage, 7536,
     /* 1601795 */     GIR_EraseRootFromParent_Done,
     /* 1601796 */   // Label 22079: @1601796
     /* 1601796 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1601882), // Rule ID 7537 //
     /* 1601801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601847 */     // MIs[0] policy
     /* 1601847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601857 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1601860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601881 */     // GIR_Coverage, 7537,
     /* 1601881 */     GIR_EraseRootFromParent_Done,
     /* 1601882 */   // Label 22080: @1601882
     /* 1601882 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1601968), // Rule ID 7540 //
     /* 1601887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601933 */     // MIs[0] policy
     /* 1601933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1601946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601967 */     // GIR_Coverage, 7540,
     /* 1601967 */     GIR_EraseRootFromParent_Done,
     /* 1601968 */   // Label 22081: @1601968
     /* 1601968 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1602054), // Rule ID 7541 //
     /* 1601973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1601981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602019 */     // MIs[0] policy
     /* 1602019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602029 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1602032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602053 */     // GIR_Coverage, 7541,
     /* 1602053 */     GIR_EraseRootFromParent_Done,
     /* 1602054 */   // Label 22082: @1602054
     /* 1602054 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1602140), // Rule ID 7544 //
     /* 1602059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602105 */     // MIs[0] policy
     /* 1602105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602115 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1602118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602139 */     // GIR_Coverage, 7544,
     /* 1602139 */     GIR_EraseRootFromParent_Done,
     /* 1602140 */   // Label 22083: @1602140
     /* 1602140 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1602226), // Rule ID 7545 //
     /* 1602145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1602156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1602159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602191 */     // MIs[0] policy
     /* 1602191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602201 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1602204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602225 */     // GIR_Coverage, 7545,
     /* 1602225 */     GIR_EraseRootFromParent_Done,
     /* 1602226 */   // Label 22084: @1602226
     /* 1602226 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1602312), // Rule ID 7548 //
     /* 1602231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602277 */     // MIs[0] policy
     /* 1602277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1602290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602311 */     // GIR_Coverage, 7548,
     /* 1602311 */     GIR_EraseRootFromParent_Done,
     /* 1602312 */   // Label 22085: @1602312
     /* 1602312 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1602398), // Rule ID 7549 //
     /* 1602317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602363 */     // MIs[0] policy
     /* 1602363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1602376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602397 */     // GIR_Coverage, 7549,
     /* 1602397 */     GIR_EraseRootFromParent_Done,
     /* 1602398 */   // Label 22086: @1602398
     /* 1602398 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1602484), // Rule ID 7552 //
     /* 1602403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602449 */     // MIs[0] policy
     /* 1602449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602459 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1602462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602483 */     // GIR_Coverage, 7552,
     /* 1602483 */     GIR_EraseRootFromParent_Done,
     /* 1602484 */   // Label 22087: @1602484
     /* 1602484 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1602570), // Rule ID 7553 //
     /* 1602489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1602500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1602503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602535 */     // MIs[0] policy
     /* 1602535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1602548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602569 */     // GIR_Coverage, 7553,
     /* 1602569 */     GIR_EraseRootFromParent_Done,
     /* 1602570 */   // Label 22088: @1602570
     /* 1602570 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1602656), // Rule ID 7556 //
     /* 1602575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1602592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602621 */     // MIs[0] policy
     /* 1602621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1602634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602655 */     // GIR_Coverage, 7556,
     /* 1602655 */     GIR_EraseRootFromParent_Done,
     /* 1602656 */   // Label 22089: @1602656
     /* 1602656 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1602742), // Rule ID 7557 //
     /* 1602661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1602678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602707 */     // MIs[0] policy
     /* 1602707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602717 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1602720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602741 */     // GIR_Coverage, 7557,
     /* 1602741 */     GIR_EraseRootFromParent_Done,
     /* 1602742 */   // Label 22090: @1602742
     /* 1602742 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1602828), // Rule ID 7560 //
     /* 1602747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602793 */     // MIs[0] policy
     /* 1602793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1602806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602827 */     // GIR_Coverage, 7560,
     /* 1602827 */     GIR_EraseRootFromParent_Done,
     /* 1602828 */   // Label 22091: @1602828
     /* 1602828 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1602914), // Rule ID 7561 //
     /* 1602833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1602844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1602847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602879 */     // MIs[0] policy
     /* 1602879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1602892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602913 */     // GIR_Coverage, 7561,
     /* 1602913 */     GIR_EraseRootFromParent_Done,
     /* 1602914 */   // Label 22092: @1602914
     /* 1602914 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1603000), // Rule ID 7564 //
     /* 1602919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1602927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602965 */     // MIs[0] policy
     /* 1602965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1602978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602999 */     // GIR_Coverage, 7564,
     /* 1602999 */     GIR_EraseRootFromParent_Done,
     /* 1603000 */   // Label 22093: @1603000
     /* 1603000 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1603086), // Rule ID 7565 //
     /* 1603005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1603016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1603019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603051 */     // MIs[0] policy
     /* 1603051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1603064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603085 */     // GIR_Coverage, 7565,
     /* 1603085 */     GIR_EraseRootFromParent_Done,
     /* 1603086 */   // Label 22094: @1603086
     /* 1603086 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1603172), // Rule ID 7568 //
     /* 1603091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603137 */     // MIs[0] policy
     /* 1603137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1603150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603171 */     // GIR_Coverage, 7568,
     /* 1603171 */     GIR_EraseRootFromParent_Done,
     /* 1603172 */   // Label 22095: @1603172
     /* 1603172 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1603258), // Rule ID 7569 //
     /* 1603177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603223 */     // MIs[0] policy
     /* 1603223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1603236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603257 */     // GIR_Coverage, 7569,
     /* 1603257 */     GIR_EraseRootFromParent_Done,
     /* 1603258 */   // Label 22096: @1603258
     /* 1603258 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1603344), // Rule ID 7572 //
     /* 1603263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603309 */     // MIs[0] policy
     /* 1603309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1603322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603343 */     // GIR_Coverage, 7572,
     /* 1603343 */     GIR_EraseRootFromParent_Done,
     /* 1603344 */   // Label 22097: @1603344
     /* 1603344 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1603430), // Rule ID 7573 //
     /* 1603349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603395 */     // MIs[0] policy
     /* 1603395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1603408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603429 */     // GIR_Coverage, 7573,
     /* 1603429 */     GIR_EraseRootFromParent_Done,
     /* 1603430 */   // Label 22098: @1603430
     /* 1603430 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1603516), // Rule ID 7576 //
     /* 1603435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603481 */     // MIs[0] policy
     /* 1603481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1603494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603515 */     // GIR_Coverage, 7576,
     /* 1603515 */     GIR_EraseRootFromParent_Done,
     /* 1603516 */   // Label 22099: @1603516
     /* 1603516 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1603602), // Rule ID 7577 //
     /* 1603521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603567 */     // MIs[0] policy
     /* 1603567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1603580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603601 */     // GIR_Coverage, 7577,
     /* 1603601 */     GIR_EraseRootFromParent_Done,
     /* 1603602 */   // Label 22100: @1603602
     /* 1603602 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1603688), // Rule ID 7580 //
     /* 1603607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1603610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1603618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1603621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603653 */     // MIs[0] policy
     /* 1603653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1603666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603687 */     // GIR_Coverage, 7580,
     /* 1603687 */     GIR_EraseRootFromParent_Done,
     /* 1603688 */   // Label 22101: @1603688
     /* 1603688 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1603774), // Rule ID 7581 //
     /* 1603693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1603696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1603704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1603707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603739 */     // MIs[0] policy
     /* 1603739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603749 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1603752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603773 */     // GIR_Coverage, 7581,
     /* 1603773 */     GIR_EraseRootFromParent_Done,
     /* 1603774 */   // Label 22102: @1603774
     /* 1603774 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1603860), // Rule ID 7584 //
     /* 1603779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1603782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603825 */     // MIs[0] policy
     /* 1603825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1603838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603859 */     // GIR_Coverage, 7584,
     /* 1603859 */     GIR_EraseRootFromParent_Done,
     /* 1603860 */   // Label 22103: @1603860
     /* 1603860 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1603946), // Rule ID 7585 //
     /* 1603865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1603868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603911 */     // MIs[0] policy
     /* 1603911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1603924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603945 */     // GIR_Coverage, 7585,
     /* 1603945 */     GIR_EraseRootFromParent_Done,
     /* 1603946 */   // Label 22104: @1603946
     /* 1603946 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1604032), // Rule ID 7588 //
     /* 1603951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1603954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1603959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1603968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603997 */     // MIs[0] policy
     /* 1603997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1604010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604031 */     // GIR_Coverage, 7588,
     /* 1604031 */     GIR_EraseRootFromParent_Done,
     /* 1604032 */   // Label 22105: @1604032
     /* 1604032 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1604118), // Rule ID 7589 //
     /* 1604037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1604040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1604045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604083 */     // MIs[0] policy
     /* 1604083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1604096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604117 */     // GIR_Coverage, 7589,
     /* 1604117 */     GIR_EraseRootFromParent_Done,
     /* 1604118 */   // Label 22106: @1604118
     /* 1604118 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1604204), // Rule ID 7592 //
     /* 1604123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1604126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1604131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604169 */     // MIs[0] policy
     /* 1604169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1604182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604203 */     // GIR_Coverage, 7592,
     /* 1604203 */     GIR_EraseRootFromParent_Done,
     /* 1604204 */   // Label 22107: @1604204
     /* 1604204 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1604290), // Rule ID 7593 //
     /* 1604209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1604212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1604217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604255 */     // MIs[0] policy
     /* 1604255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604265 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1604268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604289 */     // GIR_Coverage, 7593,
     /* 1604289 */     GIR_EraseRootFromParent_Done,
     /* 1604290 */   // Label 22108: @1604290
     /* 1604290 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1604376), // Rule ID 10108 //
     /* 1604295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1604315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604341 */     // MIs[0] policy
     /* 1604341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1604354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604375 */     // GIR_Coverage, 10108,
     /* 1604375 */     GIR_EraseRootFromParent_Done,
     /* 1604376 */   // Label 22109: @1604376
     /* 1604376 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1604462), // Rule ID 10109 //
     /* 1604381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1604392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1604395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1604401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604427 */     // MIs[0] policy
     /* 1604427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604437 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1604440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604461 */     // GIR_Coverage, 10109,
     /* 1604461 */     GIR_EraseRootFromParent_Done,
     /* 1604462 */   // Label 22110: @1604462
     /* 1604462 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1604548), // Rule ID 10112 //
     /* 1604467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1604478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1604481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604513 */     // MIs[0] policy
     /* 1604513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1604526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604547 */     // GIR_Coverage, 10112,
     /* 1604547 */     GIR_EraseRootFromParent_Done,
     /* 1604548 */   // Label 22111: @1604548
     /* 1604548 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1604634), // Rule ID 10113 //
     /* 1604553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1604564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1604567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604599 */     // MIs[0] policy
     /* 1604599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1604612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604633 */     // GIR_Coverage, 10113,
     /* 1604633 */     GIR_EraseRootFromParent_Done,
     /* 1604634 */   // Label 22112: @1604634
     /* 1604634 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1604720), // Rule ID 10116 //
     /* 1604639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1604650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1604653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604685 */     // MIs[0] policy
     /* 1604685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604695 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1604698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604719 */     // GIR_Coverage, 10116,
     /* 1604719 */     GIR_EraseRootFromParent_Done,
     /* 1604720 */   // Label 22113: @1604720
     /* 1604720 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1604806), // Rule ID 10117 //
     /* 1604725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1604736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1604739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604771 */     // MIs[0] policy
     /* 1604771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1604784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604805 */     // GIR_Coverage, 10117,
     /* 1604805 */     GIR_EraseRootFromParent_Done,
     /* 1604806 */   // Label 22114: @1604806
     /* 1604806 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1604892), // Rule ID 10120 //
     /* 1604811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1604831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604857 */     // MIs[0] policy
     /* 1604857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604867 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1604870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604891 */     // GIR_Coverage, 10120,
     /* 1604891 */     GIR_EraseRootFromParent_Done,
     /* 1604892 */   // Label 22115: @1604892
     /* 1604892 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1604978), // Rule ID 10121 //
     /* 1604897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1604917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604943 */     // MIs[0] policy
     /* 1604943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1604956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604977 */     // GIR_Coverage, 10121,
     /* 1604977 */     GIR_EraseRootFromParent_Done,
     /* 1604978 */   // Label 22116: @1604978
     /* 1604978 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1605064), // Rule ID 10124 //
     /* 1604983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1604991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605029 */     // MIs[0] policy
     /* 1605029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605039 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1605042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605063 */     // GIR_Coverage, 10124,
     /* 1605063 */     GIR_EraseRootFromParent_Done,
     /* 1605064 */   // Label 22117: @1605064
     /* 1605064 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1605150), // Rule ID 10125 //
     /* 1605069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605115 */     // MIs[0] policy
     /* 1605115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605125 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1605128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605149 */     // GIR_Coverage, 10125,
     /* 1605149 */     GIR_EraseRootFromParent_Done,
     /* 1605150 */   // Label 22118: @1605150
     /* 1605150 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1605236), // Rule ID 10128 //
     /* 1605155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1605175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605201 */     // MIs[0] policy
     /* 1605201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1605214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605235 */     // GIR_Coverage, 10128,
     /* 1605235 */     GIR_EraseRootFromParent_Done,
     /* 1605236 */   // Label 22119: @1605236
     /* 1605236 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1605322), // Rule ID 10129 //
     /* 1605241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1605261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605287 */     // MIs[0] policy
     /* 1605287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1605300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605321 */     // GIR_Coverage, 10129,
     /* 1605321 */     GIR_EraseRootFromParent_Done,
     /* 1605322 */   // Label 22120: @1605322
     /* 1605322 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1605408), // Rule ID 10132 //
     /* 1605327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605373 */     // MIs[0] policy
     /* 1605373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605407 */     // GIR_Coverage, 10132,
     /* 1605407 */     GIR_EraseRootFromParent_Done,
     /* 1605408 */   // Label 22121: @1605408
     /* 1605408 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1605494), // Rule ID 10133 //
     /* 1605413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1605424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1605427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605459 */     // MIs[0] policy
     /* 1605459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605493 */     // GIR_Coverage, 10133,
     /* 1605493 */     GIR_EraseRootFromParent_Done,
     /* 1605494 */   // Label 22122: @1605494
     /* 1605494 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1605580), // Rule ID 10136 //
     /* 1605499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605545 */     // MIs[0] policy
     /* 1605545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605579 */     // GIR_Coverage, 10136,
     /* 1605579 */     GIR_EraseRootFromParent_Done,
     /* 1605580 */   // Label 22123: @1605580
     /* 1605580 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1605666), // Rule ID 10137 //
     /* 1605585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1605596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1605599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605631 */     // MIs[0] policy
     /* 1605631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605665 */     // GIR_Coverage, 10137,
     /* 1605665 */     GIR_EraseRootFromParent_Done,
     /* 1605666 */   // Label 22124: @1605666
     /* 1605666 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1605752), // Rule ID 10140 //
     /* 1605671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1605691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605717 */     // MIs[0] policy
     /* 1605717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605751 */     // GIR_Coverage, 10140,
     /* 1605751 */     GIR_EraseRootFromParent_Done,
     /* 1605752 */   // Label 22125: @1605752
     /* 1605752 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1605838), // Rule ID 10141 //
     /* 1605757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1605777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605803 */     // MIs[0] policy
     /* 1605803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605837 */     // GIR_Coverage, 10141,
     /* 1605837 */     GIR_EraseRootFromParent_Done,
     /* 1605838 */   // Label 22126: @1605838
     /* 1605838 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1605924), // Rule ID 10144 //
     /* 1605843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1605846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1605860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1605863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605889 */     // MIs[0] policy
     /* 1605889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605923 */     // GIR_Coverage, 10144,
     /* 1605923 */     GIR_EraseRootFromParent_Done,
     /* 1605924 */   // Label 22127: @1605924
     /* 1605924 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1606010), // Rule ID 10145 //
     /* 1605929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1605937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1605946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1605949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605975 */     // MIs[0] policy
     /* 1605975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1605988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606009 */     // GIR_Coverage, 10145,
     /* 1606009 */     GIR_EraseRootFromParent_Done,
     /* 1606010 */   // Label 22128: @1606010
     /* 1606010 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1606096), // Rule ID 10148 //
     /* 1606015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606061 */     // MIs[0] policy
     /* 1606061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1606074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606095 */     // GIR_Coverage, 10148,
     /* 1606095 */     GIR_EraseRootFromParent_Done,
     /* 1606096 */   // Label 22129: @1606096
     /* 1606096 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1606182), // Rule ID 10149 //
     /* 1606101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606147 */     // MIs[0] policy
     /* 1606147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606157 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1606160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606181 */     // GIR_Coverage, 10149,
     /* 1606181 */     GIR_EraseRootFromParent_Done,
     /* 1606182 */   // Label 22130: @1606182
     /* 1606182 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1606268), // Rule ID 10152 //
     /* 1606187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606233 */     // MIs[0] policy
     /* 1606233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1606246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606267 */     // GIR_Coverage, 10152,
     /* 1606267 */     GIR_EraseRootFromParent_Done,
     /* 1606268 */   // Label 22131: @1606268
     /* 1606268 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1606354), // Rule ID 10153 //
     /* 1606273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1606284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1606287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1606290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1606293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606319 */     // MIs[0] policy
     /* 1606319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606329 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1606332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606353 */     // GIR_Coverage, 10153,
     /* 1606353 */     GIR_EraseRootFromParent_Done,
     /* 1606354 */   // Label 22132: @1606354
     /* 1606354 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1606440), // Rule ID 10156 //
     /* 1606359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1606379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606405 */     // MIs[0] policy
     /* 1606405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606415 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1606418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606439 */     // GIR_Coverage, 10156,
     /* 1606439 */     GIR_EraseRootFromParent_Done,
     /* 1606440 */   // Label 22133: @1606440
     /* 1606440 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1606526), // Rule ID 10157 //
     /* 1606445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1606456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1606459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1606462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1606465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1606468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606491 */     // MIs[0] policy
     /* 1606491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606501 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1606504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606525 */     // GIR_Coverage, 10157,
     /* 1606525 */     GIR_EraseRootFromParent_Done,
     /* 1606526 */   // Label 22134: @1606526
     /* 1606526 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1606612), // Rule ID 10160 //
     /* 1606531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606577 */     // MIs[0] policy
     /* 1606577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1606590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606611 */     // GIR_Coverage, 10160,
     /* 1606611 */     GIR_EraseRootFromParent_Done,
     /* 1606612 */   // Label 22135: @1606612
     /* 1606612 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1606698), // Rule ID 10161 //
     /* 1606617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606663 */     // MIs[0] policy
     /* 1606663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1606676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606697 */     // GIR_Coverage, 10161,
     /* 1606697 */     GIR_EraseRootFromParent_Done,
     /* 1606698 */   // Label 22136: @1606698
     /* 1606698 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1606784), // Rule ID 10164 //
     /* 1606703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606749 */     // MIs[0] policy
     /* 1606749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606759 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1606762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606783 */     // GIR_Coverage, 10164,
     /* 1606783 */     GIR_EraseRootFromParent_Done,
     /* 1606784 */   // Label 22137: @1606784
     /* 1606784 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1606870), // Rule ID 10165 //
     /* 1606789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606835 */     // MIs[0] policy
     /* 1606835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606845 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1606848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606869 */     // GIR_Coverage, 10165,
     /* 1606869 */     GIR_EraseRootFromParent_Done,
     /* 1606870 */   // Label 22138: @1606870
     /* 1606870 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1606956), // Rule ID 10168 //
     /* 1606875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1606892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1606895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606921 */     // MIs[0] policy
     /* 1606921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1606934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606955 */     // GIR_Coverage, 10168,
     /* 1606955 */     GIR_EraseRootFromParent_Done,
     /* 1606956 */   // Label 22139: @1606956
     /* 1606956 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1607042), // Rule ID 10169 //
     /* 1606961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1606969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1606972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1606975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1606978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1606981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1606984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607007 */     // MIs[0] policy
     /* 1607007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1607020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607041 */     // GIR_Coverage, 10169,
     /* 1607041 */     GIR_EraseRootFromParent_Done,
     /* 1607042 */   // Label 22140: @1607042
     /* 1607042 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1607128), // Rule ID 10172 //
     /* 1607047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607093 */     // MIs[0] policy
     /* 1607093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1607106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607127 */     // GIR_Coverage, 10172,
     /* 1607127 */     GIR_EraseRootFromParent_Done,
     /* 1607128 */   // Label 22141: @1607128
     /* 1607128 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1607214), // Rule ID 10173 //
     /* 1607133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607179 */     // MIs[0] policy
     /* 1607179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1607192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607213 */     // GIR_Coverage, 10173,
     /* 1607213 */     GIR_EraseRootFromParent_Done,
     /* 1607214 */   // Label 22142: @1607214
     /* 1607214 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1607300), // Rule ID 10176 //
     /* 1607219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607265 */     // MIs[0] policy
     /* 1607265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1607278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607299 */     // GIR_Coverage, 10176,
     /* 1607299 */     GIR_EraseRootFromParent_Done,
     /* 1607300 */   // Label 22143: @1607300
     /* 1607300 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1607386), // Rule ID 10177 //
     /* 1607305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1607316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1607319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1607322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1607325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607351 */     // MIs[0] policy
     /* 1607351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1607364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607385 */     // GIR_Coverage, 10177,
     /* 1607385 */     GIR_EraseRootFromParent_Done,
     /* 1607386 */   // Label 22144: @1607386
     /* 1607386 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1607472), // Rule ID 10180 //
     /* 1607391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1607411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607437 */     // MIs[0] policy
     /* 1607437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1607450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607471 */     // GIR_Coverage, 10180,
     /* 1607471 */     GIR_EraseRootFromParent_Done,
     /* 1607472 */   // Label 22145: @1607472
     /* 1607472 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1607558), // Rule ID 10181 //
     /* 1607477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1607488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1607491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1607494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1607497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607523 */     // MIs[0] policy
     /* 1607523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1607536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607557 */     // GIR_Coverage, 10181,
     /* 1607557 */     GIR_EraseRootFromParent_Done,
     /* 1607558 */   // Label 22146: @1607558
     /* 1607558 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1607644), // Rule ID 10184 //
     /* 1607563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1607580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1607583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607609 */     // MIs[0] policy
     /* 1607609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1607622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607643 */     // GIR_Coverage, 10184,
     /* 1607643 */     GIR_EraseRootFromParent_Done,
     /* 1607644 */   // Label 22147: @1607644
     /* 1607644 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1607730), // Rule ID 10185 //
     /* 1607649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1607660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1607663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1607666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1607669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607695 */     // MIs[0] policy
     /* 1607695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1607708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607729 */     // GIR_Coverage, 10185,
     /* 1607729 */     GIR_EraseRootFromParent_Done,
     /* 1607730 */   // Label 22148: @1607730
     /* 1607730 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1607816), // Rule ID 10188 //
     /* 1607735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1607752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1607755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607781 */     // MIs[0] policy
     /* 1607781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607791 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1607794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607815 */     // GIR_Coverage, 10188,
     /* 1607815 */     GIR_EraseRootFromParent_Done,
     /* 1607816 */   // Label 22149: @1607816
     /* 1607816 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1607902), // Rule ID 10189 //
     /* 1607821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1607832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1607835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1607838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1607841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607867 */     // MIs[0] policy
     /* 1607867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1607880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607901 */     // GIR_Coverage, 10189,
     /* 1607901 */     GIR_EraseRootFromParent_Done,
     /* 1607902 */   // Label 22150: @1607902
     /* 1607902 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1607988), // Rule ID 10192 //
     /* 1607907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1607910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1607915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1607918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1607921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1607924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1607927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607953 */     // MIs[0] policy
     /* 1607953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1607966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1607984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607987 */     // GIR_Coverage, 10192,
     /* 1607987 */     GIR_EraseRootFromParent_Done,
     /* 1607988 */   // Label 22151: @1607988
     /* 1607988 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1608074), // Rule ID 10193 //
     /* 1607993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1607996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1608013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608039 */     // MIs[0] policy
     /* 1608039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1608052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608073 */     // GIR_Coverage, 10193,
     /* 1608073 */     GIR_EraseRootFromParent_Done,
     /* 1608074 */   // Label 22152: @1608074
     /* 1608074 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1608160), // Rule ID 10196 //
     /* 1608079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608125 */     // MIs[0] policy
     /* 1608125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1608138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608159 */     // GIR_Coverage, 10196,
     /* 1608159 */     GIR_EraseRootFromParent_Done,
     /* 1608160 */   // Label 22153: @1608160
     /* 1608160 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1608246), // Rule ID 10197 //
     /* 1608165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608211 */     // MIs[0] policy
     /* 1608211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608221 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1608224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608245 */     // GIR_Coverage, 10197,
     /* 1608245 */     GIR_EraseRootFromParent_Done,
     /* 1608246 */   // Label 22154: @1608246
     /* 1608246 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1608332), // Rule ID 10200 //
     /* 1608251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608297 */     // MIs[0] policy
     /* 1608297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608307 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1608310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608331 */     // GIR_Coverage, 10200,
     /* 1608331 */     GIR_EraseRootFromParent_Done,
     /* 1608332 */   // Label 22155: @1608332
     /* 1608332 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1608418), // Rule ID 10201 //
     /* 1608337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1608348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1608351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1608354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608383 */     // MIs[0] policy
     /* 1608383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1608396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608417 */     // GIR_Coverage, 10201,
     /* 1608417 */     GIR_EraseRootFromParent_Done,
     /* 1608418 */   // Label 22156: @1608418
     /* 1608418 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1608504), // Rule ID 10204 //
     /* 1608423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608469 */     // MIs[0] policy
     /* 1608469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608479 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1608482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608503 */     // GIR_Coverage, 10204,
     /* 1608503 */     GIR_EraseRootFromParent_Done,
     /* 1608504 */   // Label 22157: @1608504
     /* 1608504 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1608590), // Rule ID 10205 //
     /* 1608509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1608520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1608523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1608526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608555 */     // MIs[0] policy
     /* 1608555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608565 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1608568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608589 */     // GIR_Coverage, 10205,
     /* 1608589 */     GIR_EraseRootFromParent_Done,
     /* 1608590 */   // Label 22158: @1608590
     /* 1608590 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1608676), // Rule ID 10208 //
     /* 1608595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608641 */     // MIs[0] policy
     /* 1608641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608651 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1608654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608675 */     // GIR_Coverage, 10208,
     /* 1608675 */     GIR_EraseRootFromParent_Done,
     /* 1608676 */   // Label 22159: @1608676
     /* 1608676 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1608762), // Rule ID 10209 //
     /* 1608681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1608692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1608695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608727 */     // MIs[0] policy
     /* 1608727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1608740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608761 */     // GIR_Coverage, 10209,
     /* 1608761 */     GIR_EraseRootFromParent_Done,
     /* 1608762 */   // Label 22160: @1608762
     /* 1608762 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1608848), // Rule ID 10212 //
     /* 1608767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608813 */     // MIs[0] policy
     /* 1608813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608823 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1608826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608847 */     // GIR_Coverage, 10212,
     /* 1608847 */     GIR_EraseRootFromParent_Done,
     /* 1608848 */   // Label 22161: @1608848
     /* 1608848 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1608934), // Rule ID 10213 //
     /* 1608853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1608864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1608867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608899 */     // MIs[0] policy
     /* 1608899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608909 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1608912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608933 */     // GIR_Coverage, 10213,
     /* 1608933 */     GIR_EraseRootFromParent_Done,
     /* 1608934 */   // Label 22162: @1608934
     /* 1608934 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1609020), // Rule ID 10216 //
     /* 1608939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1608947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608985 */     // MIs[0] policy
     /* 1608985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1608998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609019 */     // GIR_Coverage, 10216,
     /* 1609019 */     GIR_EraseRootFromParent_Done,
     /* 1609020 */   // Label 22163: @1609020
     /* 1609020 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1609106), // Rule ID 10217 //
     /* 1609025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609071 */     // MIs[0] policy
     /* 1609071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1609084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609105 */     // GIR_Coverage, 10217,
     /* 1609105 */     GIR_EraseRootFromParent_Done,
     /* 1609106 */   // Label 22164: @1609106
     /* 1609106 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1609192), // Rule ID 10220 //
     /* 1609111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609157 */     // MIs[0] policy
     /* 1609157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609191 */     // GIR_Coverage, 10220,
     /* 1609191 */     GIR_EraseRootFromParent_Done,
     /* 1609192 */   // Label 22165: @1609192
     /* 1609192 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1609278), // Rule ID 10221 //
     /* 1609197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609243 */     // MIs[0] policy
     /* 1609243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609277 */     // GIR_Coverage, 10221,
     /* 1609277 */     GIR_EraseRootFromParent_Done,
     /* 1609278 */   // Label 22166: @1609278
     /* 1609278 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1609364), // Rule ID 10224 //
     /* 1609283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609329 */     // MIs[0] policy
     /* 1609329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609363 */     // GIR_Coverage, 10224,
     /* 1609363 */     GIR_EraseRootFromParent_Done,
     /* 1609364 */   // Label 22167: @1609364
     /* 1609364 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1609450), // Rule ID 10225 //
     /* 1609369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1609386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609415 */     // MIs[0] policy
     /* 1609415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609449 */     // GIR_Coverage, 10225,
     /* 1609449 */     GIR_EraseRootFromParent_Done,
     /* 1609450 */   // Label 22168: @1609450
     /* 1609450 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1609536), // Rule ID 10228 //
     /* 1609455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609501 */     // MIs[0] policy
     /* 1609501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609535 */     // GIR_Coverage, 10228,
     /* 1609535 */     GIR_EraseRootFromParent_Done,
     /* 1609536 */   // Label 22169: @1609536
     /* 1609536 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1609622), // Rule ID 10229 //
     /* 1609541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1609552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1609555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609587 */     // MIs[0] policy
     /* 1609587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609621 */     // GIR_Coverage, 10229,
     /* 1609621 */     GIR_EraseRootFromParent_Done,
     /* 1609622 */   // Label 22170: @1609622
     /* 1609622 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1609708), // Rule ID 10232 //
     /* 1609627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1609630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1609644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609673 */     // MIs[0] policy
     /* 1609673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609707 */     // GIR_Coverage, 10232,
     /* 1609707 */     GIR_EraseRootFromParent_Done,
     /* 1609708 */   // Label 22171: @1609708
     /* 1609708 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1609794), // Rule ID 10233 //
     /* 1609713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1609716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1609724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1609727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1609730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609759 */     // MIs[0] policy
     /* 1609759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1609772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1609790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609793 */     // GIR_Coverage, 10233,
     /* 1609793 */     GIR_EraseRootFromParent_Done,
     /* 1609794 */   // Label 22172: @1609794
     /* 1609794 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1609880), // Rule ID 10236 //
     /* 1609799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1609810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1609813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609845 */     // MIs[0] policy
     /* 1609845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609855 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1609858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609879 */     // GIR_Coverage, 10236,
     /* 1609879 */     GIR_EraseRootFromParent_Done,
     /* 1609880 */   // Label 22173: @1609880
     /* 1609880 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1609966), // Rule ID 10237 //
     /* 1609885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1609896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1609899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609931 */     // MIs[0] policy
     /* 1609931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609941 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1609944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609965 */     // GIR_Coverage, 10237,
     /* 1609965 */     GIR_EraseRootFromParent_Done,
     /* 1609966 */   // Label 22174: @1609966
     /* 1609966 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1610052), // Rule ID 10240 //
     /* 1609971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1609979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1609982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1609985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610017 */     // MIs[0] policy
     /* 1610017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1610030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610051 */     // GIR_Coverage, 10240,
     /* 1610051 */     GIR_EraseRootFromParent_Done,
     /* 1610052 */   // Label 22175: @1610052
     /* 1610052 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1610138), // Rule ID 10241 //
     /* 1610057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610103 */     // MIs[0] policy
     /* 1610103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610113 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1610116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610137 */     // GIR_Coverage, 10241,
     /* 1610137 */     GIR_EraseRootFromParent_Done,
     /* 1610138 */   // Label 22176: @1610138
     /* 1610138 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1610224), // Rule ID 10244 //
     /* 1610143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610189 */     // MIs[0] policy
     /* 1610189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610199 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1610202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610223 */     // GIR_Coverage, 10244,
     /* 1610223 */     GIR_EraseRootFromParent_Done,
     /* 1610224 */   // Label 22177: @1610224
     /* 1610224 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1610310), // Rule ID 10245 //
     /* 1610229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1610240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1610243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1610246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1610252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610275 */     // MIs[0] policy
     /* 1610275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610285 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1610288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610309 */     // GIR_Coverage, 10245,
     /* 1610309 */     GIR_EraseRootFromParent_Done,
     /* 1610310 */   // Label 22178: @1610310
     /* 1610310 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1610396), // Rule ID 10248 //
     /* 1610315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610361 */     // MIs[0] policy
     /* 1610361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610371 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1610374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610395 */     // GIR_Coverage, 10248,
     /* 1610395 */     GIR_EraseRootFromParent_Done,
     /* 1610396 */   // Label 22179: @1610396
     /* 1610396 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1610482), // Rule ID 10249 //
     /* 1610401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610447 */     // MIs[0] policy
     /* 1610447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1610460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610481 */     // GIR_Coverage, 10249,
     /* 1610481 */     GIR_EraseRootFromParent_Done,
     /* 1610482 */   // Label 22180: @1610482
     /* 1610482 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1610568), // Rule ID 10252 //
     /* 1610487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610533 */     // MIs[0] policy
     /* 1610533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1610546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610567 */     // GIR_Coverage, 10252,
     /* 1610567 */     GIR_EraseRootFromParent_Done,
     /* 1610568 */   // Label 22181: @1610568
     /* 1610568 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1610654), // Rule ID 10253 //
     /* 1610573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610619 */     // MIs[0] policy
     /* 1610619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610629 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1610632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610653 */     // GIR_Coverage, 10253,
     /* 1610653 */     GIR_EraseRootFromParent_Done,
     /* 1610654 */   // Label 22182: @1610654
     /* 1610654 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1610740), // Rule ID 10256 //
     /* 1610659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1610676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610705 */     // MIs[0] policy
     /* 1610705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1610718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610739 */     // GIR_Coverage, 10256,
     /* 1610739 */     GIR_EraseRootFromParent_Done,
     /* 1610740 */   // Label 22183: @1610740
     /* 1610740 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1610826), // Rule ID 10257 //
     /* 1610745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1610762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610791 */     // MIs[0] policy
     /* 1610791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1610804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610825 */     // GIR_Coverage, 10257,
     /* 1610825 */     GIR_EraseRootFromParent_Done,
     /* 1610826 */   // Label 22184: @1610826
     /* 1610826 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1610912), // Rule ID 10260 //
     /* 1610831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610877 */     // MIs[0] policy
     /* 1610877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1610890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610911 */     // GIR_Coverage, 10260,
     /* 1610911 */     GIR_EraseRootFromParent_Done,
     /* 1610912 */   // Label 22185: @1610912
     /* 1610912 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1610998), // Rule ID 10261 //
     /* 1610917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1610925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1610934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610963 */     // MIs[0] policy
     /* 1610963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610973 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1610976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610997 */     // GIR_Coverage, 10261,
     /* 1610997 */     GIR_EraseRootFromParent_Done,
     /* 1610998 */   // Label 22186: @1610998
     /* 1610998 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1611084), // Rule ID 10264 //
     /* 1611003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611049 */     // MIs[0] policy
     /* 1611049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1611062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611083 */     // GIR_Coverage, 10264,
     /* 1611083 */     GIR_EraseRootFromParent_Done,
     /* 1611084 */   // Label 22187: @1611084
     /* 1611084 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1611170), // Rule ID 10265 //
     /* 1611089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611135 */     // MIs[0] policy
     /* 1611135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1611148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611169 */     // GIR_Coverage, 10265,
     /* 1611169 */     GIR_EraseRootFromParent_Done,
     /* 1611170 */   // Label 22188: @1611170
     /* 1611170 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1611256), // Rule ID 10268 //
     /* 1611175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611221 */     // MIs[0] policy
     /* 1611221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1611234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611255 */     // GIR_Coverage, 10268,
     /* 1611255 */     GIR_EraseRootFromParent_Done,
     /* 1611256 */   // Label 22189: @1611256
     /* 1611256 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1611342), // Rule ID 10269 //
     /* 1611261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1611278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611307 */     // MIs[0] policy
     /* 1611307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611317 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1611320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611341 */     // GIR_Coverage, 10269,
     /* 1611341 */     GIR_EraseRootFromParent_Done,
     /* 1611342 */   // Label 22190: @1611342
     /* 1611342 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1611428), // Rule ID 10272 //
     /* 1611347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611393 */     // MIs[0] policy
     /* 1611393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1611406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611427 */     // GIR_Coverage, 10272,
     /* 1611427 */     GIR_EraseRootFromParent_Done,
     /* 1611428 */   // Label 22191: @1611428
     /* 1611428 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1611514), // Rule ID 10273 //
     /* 1611433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1611450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611479 */     // MIs[0] policy
     /* 1611479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1611492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611513 */     // GIR_Coverage, 10273,
     /* 1611513 */     GIR_EraseRootFromParent_Done,
     /* 1611514 */   // Label 22192: @1611514
     /* 1611514 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1611600), // Rule ID 10276 //
     /* 1611519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1611536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611565 */     // MIs[0] policy
     /* 1611565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1611578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611599 */     // GIR_Coverage, 10276,
     /* 1611599 */     GIR_EraseRootFromParent_Done,
     /* 1611600 */   // Label 22193: @1611600
     /* 1611600 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1611686), // Rule ID 10277 //
     /* 1611605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1611622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611651 */     // MIs[0] policy
     /* 1611651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611661 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1611664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611685 */     // GIR_Coverage, 10277,
     /* 1611685 */     GIR_EraseRootFromParent_Done,
     /* 1611686 */   // Label 22194: @1611686
     /* 1611686 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1611772), // Rule ID 10280 //
     /* 1611691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1611694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1611708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611737 */     // MIs[0] policy
     /* 1611737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1611750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611771 */     // GIR_Coverage, 10280,
     /* 1611771 */     GIR_EraseRootFromParent_Done,
     /* 1611772 */   // Label 22195: @1611772
     /* 1611772 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1611858), // Rule ID 10281 //
     /* 1611777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1611780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1611785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1611794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611823 */     // MIs[0] policy
     /* 1611823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1611836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1611854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611857 */     // GIR_Coverage, 10281,
     /* 1611857 */     GIR_EraseRootFromParent_Done,
     /* 1611858 */   // Label 22196: @1611858
     /* 1611858 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1611944), // Rule ID 10284 //
     /* 1611863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1611871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1611874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1611877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1611883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611909 */     // MIs[0] policy
     /* 1611909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611919 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1611922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611943 */     // GIR_Coverage, 10284,
     /* 1611943 */     GIR_EraseRootFromParent_Done,
     /* 1611944 */   // Label 22197: @1611944
     /* 1611944 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1612030), // Rule ID 10285 //
     /* 1611949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1611957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1611960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1611963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1611969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611995 */     // MIs[0] policy
     /* 1611995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1612008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612029 */     // GIR_Coverage, 10285,
     /* 1612029 */     GIR_EraseRootFromParent_Done,
     /* 1612030 */   // Label 22198: @1612030
     /* 1612030 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1612116), // Rule ID 10288 //
     /* 1612035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1612046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1612049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612081 */     // MIs[0] policy
     /* 1612081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612091 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1612094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612115 */     // GIR_Coverage, 10288,
     /* 1612115 */     GIR_EraseRootFromParent_Done,
     /* 1612116 */   // Label 22199: @1612116
     /* 1612116 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1612202), // Rule ID 10289 //
     /* 1612121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1612132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1612135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612167 */     // MIs[0] policy
     /* 1612167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1612180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612201 */     // GIR_Coverage, 10289,
     /* 1612201 */     GIR_EraseRootFromParent_Done,
     /* 1612202 */   // Label 22200: @1612202
     /* 1612202 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1612288), // Rule ID 10292 //
     /* 1612207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1612218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1612221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612253 */     // MIs[0] policy
     /* 1612253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612263 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612287 */     // GIR_Coverage, 10292,
     /* 1612287 */     GIR_EraseRootFromParent_Done,
     /* 1612288 */   // Label 22201: @1612288
     /* 1612288 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1612374), // Rule ID 10293 //
     /* 1612293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1612304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1612307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612339 */     // MIs[0] policy
     /* 1612339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612349 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612373 */     // GIR_Coverage, 10293,
     /* 1612373 */     GIR_EraseRootFromParent_Done,
     /* 1612374 */   // Label 22202: @1612374
     /* 1612374 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1612460), // Rule ID 10296 //
     /* 1612379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1612399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612425 */     // MIs[0] policy
     /* 1612425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1612438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612459 */     // GIR_Coverage, 10296,
     /* 1612459 */     GIR_EraseRootFromParent_Done,
     /* 1612460 */   // Label 22203: @1612460
     /* 1612460 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1612546), // Rule ID 10297 //
     /* 1612465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1612485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612511 */     // MIs[0] policy
     /* 1612511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1612524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612545 */     // GIR_Coverage, 10297,
     /* 1612545 */     GIR_EraseRootFromParent_Done,
     /* 1612546 */   // Label 22204: @1612546
     /* 1612546 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1612632), // Rule ID 10300 //
     /* 1612551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1612568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1612571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612597 */     // MIs[0] policy
     /* 1612597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612631 */     // GIR_Coverage, 10300,
     /* 1612631 */     GIR_EraseRootFromParent_Done,
     /* 1612632 */   // Label 22205: @1612632
     /* 1612632 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1612718), // Rule ID 10301 //
     /* 1612637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1612654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1612657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612683 */     // MIs[0] policy
     /* 1612683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612717 */     // GIR_Coverage, 10301,
     /* 1612717 */     GIR_EraseRootFromParent_Done,
     /* 1612718 */   // Label 22206: @1612718
     /* 1612718 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1612804), // Rule ID 10304 //
     /* 1612723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612769 */     // MIs[0] policy
     /* 1612769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612803 */     // GIR_Coverage, 10304,
     /* 1612803 */     GIR_EraseRootFromParent_Done,
     /* 1612804 */   // Label 22207: @1612804
     /* 1612804 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1612890), // Rule ID 10305 //
     /* 1612809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1612826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1612829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612855 */     // MIs[0] policy
     /* 1612855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1612868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612889 */     // GIR_Coverage, 10305,
     /* 1612889 */     GIR_EraseRootFromParent_Done,
     /* 1612890 */   // Label 22208: @1612890
     /* 1612890 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1612976), // Rule ID 10308 //
     /* 1612895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1612906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1612909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1612915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612941 */     // MIs[0] policy
     /* 1612941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1612954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612975 */     // GIR_Coverage, 10308,
     /* 1612975 */     GIR_EraseRootFromParent_Done,
     /* 1612976 */   // Label 22209: @1612976
     /* 1612976 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1613062), // Rule ID 10309 //
     /* 1612981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1612989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1612992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1612995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1613001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613027 */     // MIs[0] policy
     /* 1613027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613061 */     // GIR_Coverage, 10309,
     /* 1613061 */     GIR_EraseRootFromParent_Done,
     /* 1613062 */   // Label 22210: @1613062
     /* 1613062 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1613148), // Rule ID 10312 //
     /* 1613067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613113 */     // MIs[0] policy
     /* 1613113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613123 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613147 */     // GIR_Coverage, 10312,
     /* 1613147 */     GIR_EraseRootFromParent_Done,
     /* 1613148 */   // Label 22211: @1613148
     /* 1613148 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1613234), // Rule ID 10313 //
     /* 1613153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1613173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613199 */     // MIs[0] policy
     /* 1613199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613233 */     // GIR_Coverage, 10313,
     /* 1613233 */     GIR_EraseRootFromParent_Done,
     /* 1613234 */   // Label 22212: @1613234
     /* 1613234 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1613320), // Rule ID 10316 //
     /* 1613239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1613256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1613259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613285 */     // MIs[0] policy
     /* 1613285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613319 */     // GIR_Coverage, 10316,
     /* 1613319 */     GIR_EraseRootFromParent_Done,
     /* 1613320 */   // Label 22213: @1613320
     /* 1613320 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1613406), // Rule ID 10317 //
     /* 1613325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1613342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1613345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613371 */     // MIs[0] policy
     /* 1613371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613405 */     // GIR_Coverage, 10317,
     /* 1613405 */     GIR_EraseRootFromParent_Done,
     /* 1613406 */   // Label 22214: @1613406
     /* 1613406 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1613492), // Rule ID 10320 //
     /* 1613411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1613414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1613428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1613431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613457 */     // MIs[0] policy
     /* 1613457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1613488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613491 */     // GIR_Coverage, 10320,
     /* 1613491 */     GIR_EraseRootFromParent_Done,
     /* 1613492 */   // Label 22215: @1613492
     /* 1613492 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1613578), // Rule ID 10321 //
     /* 1613497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1613500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1613514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1613517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613543 */     // MIs[0] policy
     /* 1613543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1613556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1613574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613577 */     // GIR_Coverage, 10321,
     /* 1613577 */     GIR_EraseRootFromParent_Done,
     /* 1613578 */   // Label 22216: @1613578
     /* 1613578 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1613664), // Rule ID 10324 //
     /* 1613583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1613594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1613597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613629 */     // MIs[0] policy
     /* 1613629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613639 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1613642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613663 */     // GIR_Coverage, 10324,
     /* 1613663 */     GIR_EraseRootFromParent_Done,
     /* 1613664 */   // Label 22217: @1613664
     /* 1613664 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1613750), // Rule ID 10325 //
     /* 1613669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1613680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1613683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613715 */     // MIs[0] policy
     /* 1613715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613725 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1613728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613749 */     // GIR_Coverage, 10325,
     /* 1613749 */     GIR_EraseRootFromParent_Done,
     /* 1613750 */   // Label 22218: @1613750
     /* 1613750 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1613836), // Rule ID 10328 //
     /* 1613755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1613766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1613769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613801 */     // MIs[0] policy
     /* 1613801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1613814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613835 */     // GIR_Coverage, 10328,
     /* 1613835 */     GIR_EraseRootFromParent_Done,
     /* 1613836 */   // Label 22219: @1613836
     /* 1613836 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1613922), // Rule ID 10329 //
     /* 1613841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1613852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1613855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613887 */     // MIs[0] policy
     /* 1613887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1613900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613921 */     // GIR_Coverage, 10329,
     /* 1613921 */     GIR_EraseRootFromParent_Done,
     /* 1613922 */   // Label 22220: @1613922
     /* 1613922 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1614008), // Rule ID 10332 //
     /* 1613927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1613935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1613938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1613941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1613944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1613947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1613950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613973 */     // MIs[0] policy
     /* 1613973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1613986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614007 */     // GIR_Coverage, 10332,
     /* 1614007 */     GIR_EraseRootFromParent_Done,
     /* 1614008 */   // Label 22221: @1614008
     /* 1614008 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1614094), // Rule ID 10333 //
     /* 1614013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1614024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1614027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1614030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1614033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1614036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614059 */     // MIs[0] policy
     /* 1614059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614069 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1614072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614093 */     // GIR_Coverage, 10333,
     /* 1614093 */     GIR_EraseRootFromParent_Done,
     /* 1614094 */   // Label 22222: @1614094
     /* 1614094 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1614180), // Rule ID 10336 //
     /* 1614099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1614119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614145 */     // MIs[0] policy
     /* 1614145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1614158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614179 */     // GIR_Coverage, 10336,
     /* 1614179 */     GIR_EraseRootFromParent_Done,
     /* 1614180 */   // Label 22223: @1614180
     /* 1614180 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1614266), // Rule ID 10337 //
     /* 1614185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1614205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614231 */     // MIs[0] policy
     /* 1614231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1614244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614265 */     // GIR_Coverage, 10337,
     /* 1614265 */     GIR_EraseRootFromParent_Done,
     /* 1614266 */   // Label 22224: @1614266
     /* 1614266 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1614352), // Rule ID 10340 //
     /* 1614271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614317 */     // MIs[0] policy
     /* 1614317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614327 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1614330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614351 */     // GIR_Coverage, 10340,
     /* 1614351 */     GIR_EraseRootFromParent_Done,
     /* 1614352 */   // Label 22225: @1614352
     /* 1614352 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1614438), // Rule ID 10341 //
     /* 1614357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614403 */     // MIs[0] policy
     /* 1614403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614413 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1614416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614437 */     // GIR_Coverage, 10341,
     /* 1614437 */     GIR_EraseRootFromParent_Done,
     /* 1614438 */   // Label 22226: @1614438
     /* 1614438 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1614524), // Rule ID 10344 //
     /* 1614443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1614460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1614463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614489 */     // MIs[0] policy
     /* 1614489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1614502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614523 */     // GIR_Coverage, 10344,
     /* 1614523 */     GIR_EraseRootFromParent_Done,
     /* 1614524 */   // Label 22227: @1614524
     /* 1614524 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1614610), // Rule ID 10345 //
     /* 1614529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1614540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1614543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1614546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1614549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614575 */     // MIs[0] policy
     /* 1614575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1614588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614609 */     // GIR_Coverage, 10345,
     /* 1614609 */     GIR_EraseRootFromParent_Done,
     /* 1614610 */   // Label 22228: @1614610
     /* 1614610 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1614696), // Rule ID 10348 //
     /* 1614615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614661 */     // MIs[0] policy
     /* 1614661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1614674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614695 */     // GIR_Coverage, 10348,
     /* 1614695 */     GIR_EraseRootFromParent_Done,
     /* 1614696 */   // Label 22229: @1614696
     /* 1614696 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1614782), // Rule ID 10349 //
     /* 1614701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1614721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614747 */     // MIs[0] policy
     /* 1614747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1614760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614781 */     // GIR_Coverage, 10349,
     /* 1614781 */     GIR_EraseRootFromParent_Done,
     /* 1614782 */   // Label 22230: @1614782
     /* 1614782 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1614868), // Rule ID 10352 //
     /* 1614787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614833 */     // MIs[0] policy
     /* 1614833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1614846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614867 */     // GIR_Coverage, 10352,
     /* 1614867 */     GIR_EraseRootFromParent_Done,
     /* 1614868 */   // Label 22231: @1614868
     /* 1614868 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1614954), // Rule ID 10353 //
     /* 1614873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1614893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614919 */     // MIs[0] policy
     /* 1614919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614929 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1614932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614953 */     // GIR_Coverage, 10353,
     /* 1614953 */     GIR_EraseRootFromParent_Done,
     /* 1614954 */   // Label 22232: @1614954
     /* 1614954 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1615040), // Rule ID 10356 //
     /* 1614959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1614967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1614976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1614979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615005 */     // MIs[0] policy
     /* 1615005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615015 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1615018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615039 */     // GIR_Coverage, 10356,
     /* 1615039 */     GIR_EraseRootFromParent_Done,
     /* 1615040 */   // Label 22233: @1615040
     /* 1615040 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1615126), // Rule ID 10357 //
     /* 1615045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1615062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1615065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615091 */     // MIs[0] policy
     /* 1615091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1615104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615125 */     // GIR_Coverage, 10357,
     /* 1615125 */     GIR_EraseRootFromParent_Done,
     /* 1615126 */   // Label 22234: @1615126
     /* 1615126 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1615212), // Rule ID 10360 //
     /* 1615131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1615134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1615148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1615151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615177 */     // MIs[0] policy
     /* 1615177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1615190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615211 */     // GIR_Coverage, 10360,
     /* 1615211 */     GIR_EraseRootFromParent_Done,
     /* 1615212 */   // Label 22235: @1615212
     /* 1615212 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1615298), // Rule ID 10361 //
     /* 1615217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1615220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1615234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1615237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615263 */     // MIs[0] policy
     /* 1615263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1615276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615297 */     // GIR_Coverage, 10361,
     /* 1615297 */     GIR_EraseRootFromParent_Done,
     /* 1615298 */   // Label 22236: @1615298
     /* 1615298 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1615384), // Rule ID 10364 //
     /* 1615303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1615306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1615320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1615323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615349 */     // MIs[0] policy
     /* 1615349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1615362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615383 */     // GIR_Coverage, 10364,
     /* 1615383 */     GIR_EraseRootFromParent_Done,
     /* 1615384 */   // Label 22237: @1615384
     /* 1615384 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1615470), // Rule ID 10365 //
     /* 1615389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1615392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1615406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1615409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615435 */     // MIs[0] policy
     /* 1615435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1615448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615469 */     // GIR_Coverage, 10365,
     /* 1615469 */     GIR_EraseRootFromParent_Done,
     /* 1615470 */   // Label 22238: @1615470
     /* 1615470 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1615556), // Rule ID 10368 //
     /* 1615475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1615478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1615492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1615495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615521 */     // MIs[0] policy
     /* 1615521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1615534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615555 */     // GIR_Coverage, 10368,
     /* 1615555 */     GIR_EraseRootFromParent_Done,
     /* 1615556 */   // Label 22239: @1615556
     /* 1615556 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1615642), // Rule ID 10369 //
     /* 1615561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1615564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1615578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1615581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615607 */     // MIs[0] policy
     /* 1615607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1615620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1615638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615641 */     // GIR_Coverage, 10369,
     /* 1615641 */     GIR_EraseRootFromParent_Done,
     /* 1615642 */   // Label 22240: @1615642
     /* 1615642 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1615728), // Rule ID 10372 //
     /* 1615647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1615658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1615661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615693 */     // MIs[0] policy
     /* 1615693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615703 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1615706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615727 */     // GIR_Coverage, 10372,
     /* 1615727 */     GIR_EraseRootFromParent_Done,
     /* 1615728 */   // Label 22241: @1615728
     /* 1615728 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1615814), // Rule ID 10373 //
     /* 1615733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1615744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1615747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615779 */     // MIs[0] policy
     /* 1615779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1615792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615813 */     // GIR_Coverage, 10373,
     /* 1615813 */     GIR_EraseRootFromParent_Done,
     /* 1615814 */   // Label 22242: @1615814
     /* 1615814 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1615900), // Rule ID 10376 //
     /* 1615819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1615830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1615833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615865 */     // MIs[0] policy
     /* 1615865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615875 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1615878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615899 */     // GIR_Coverage, 10376,
     /* 1615899 */     GIR_EraseRootFromParent_Done,
     /* 1615900 */   // Label 22243: @1615900
     /* 1615900 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1615986), // Rule ID 10377 //
     /* 1615905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1615916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1615919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615951 */     // MIs[0] policy
     /* 1615951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1615964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615985 */     // GIR_Coverage, 10377,
     /* 1615985 */     GIR_EraseRootFromParent_Done,
     /* 1615986 */   // Label 22244: @1615986
     /* 1615986 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1616072), // Rule ID 10380 //
     /* 1615991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1615999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1616002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1616005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616037 */     // MIs[0] policy
     /* 1616037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616071 */     // GIR_Coverage, 10380,
     /* 1616071 */     GIR_EraseRootFromParent_Done,
     /* 1616072 */   // Label 22245: @1616072
     /* 1616072 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1616158), // Rule ID 10381 //
     /* 1616077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1616088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1616091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616123 */     // MIs[0] policy
     /* 1616123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616133 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616157 */     // GIR_Coverage, 10381,
     /* 1616157 */     GIR_EraseRootFromParent_Done,
     /* 1616158 */   // Label 22246: @1616158
     /* 1616158 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1616244), // Rule ID 10384 //
     /* 1616163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616209 */     // MIs[0] policy
     /* 1616209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1616222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616243 */     // GIR_Coverage, 10384,
     /* 1616243 */     GIR_EraseRootFromParent_Done,
     /* 1616244 */   // Label 22247: @1616244
     /* 1616244 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1616330), // Rule ID 10385 //
     /* 1616249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616295 */     // MIs[0] policy
     /* 1616295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1616308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616329 */     // GIR_Coverage, 10385,
     /* 1616329 */     GIR_EraseRootFromParent_Done,
     /* 1616330 */   // Label 22248: @1616330
     /* 1616330 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1616416), // Rule ID 10388 //
     /* 1616335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616381 */     // MIs[0] policy
     /* 1616381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616391 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616415 */     // GIR_Coverage, 10388,
     /* 1616415 */     GIR_EraseRootFromParent_Done,
     /* 1616416 */   // Label 22249: @1616416
     /* 1616416 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1616502), // Rule ID 10389 //
     /* 1616421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616467 */     // MIs[0] policy
     /* 1616467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616501 */     // GIR_Coverage, 10389,
     /* 1616501 */     GIR_EraseRootFromParent_Done,
     /* 1616502 */   // Label 22250: @1616502
     /* 1616502 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1616588), // Rule ID 10392 //
     /* 1616507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616553 */     // MIs[0] policy
     /* 1616553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616587 */     // GIR_Coverage, 10392,
     /* 1616587 */     GIR_EraseRootFromParent_Done,
     /* 1616588 */   // Label 22251: @1616588
     /* 1616588 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1616674), // Rule ID 10393 //
     /* 1616593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616639 */     // MIs[0] policy
     /* 1616639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1616652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616673 */     // GIR_Coverage, 10393,
     /* 1616673 */     GIR_EraseRootFromParent_Done,
     /* 1616674 */   // Label 22252: @1616674
     /* 1616674 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1616760), // Rule ID 10396 //
     /* 1616679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1616690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1616693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616725 */     // MIs[0] policy
     /* 1616725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616735 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1616738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616759 */     // GIR_Coverage, 10396,
     /* 1616759 */     GIR_EraseRootFromParent_Done,
     /* 1616760 */   // Label 22253: @1616760
     /* 1616760 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1616846), // Rule ID 10397 //
     /* 1616765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1616776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1616779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616811 */     // MIs[0] policy
     /* 1616811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1616824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616845 */     // GIR_Coverage, 10397,
     /* 1616845 */     GIR_EraseRootFromParent_Done,
     /* 1616846 */   // Label 22254: @1616846
     /* 1616846 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1616932), // Rule ID 10400 //
     /* 1616851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616897 */     // MIs[0] policy
     /* 1616897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1616910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616931 */     // GIR_Coverage, 10400,
     /* 1616931 */     GIR_EraseRootFromParent_Done,
     /* 1616932 */   // Label 22255: @1616932
     /* 1616932 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1617018), // Rule ID 10401 //
     /* 1616937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1616945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616983 */     // MIs[0] policy
     /* 1616983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1616996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617017 */     // GIR_Coverage, 10401,
     /* 1617017 */     GIR_EraseRootFromParent_Done,
     /* 1617018 */   // Label 22256: @1617018
     /* 1617018 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1617104), // Rule ID 10404 //
     /* 1617023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617069 */     // MIs[0] policy
     /* 1617069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1617082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617103 */     // GIR_Coverage, 10404,
     /* 1617103 */     GIR_EraseRootFromParent_Done,
     /* 1617104 */   // Label 22257: @1617104
     /* 1617104 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1617190), // Rule ID 10405 //
     /* 1617109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1617126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617155 */     // MIs[0] policy
     /* 1617155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1617168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617189 */     // GIR_Coverage, 10405,
     /* 1617189 */     GIR_EraseRootFromParent_Done,
     /* 1617190 */   // Label 22258: @1617190
     /* 1617190 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1617276), // Rule ID 10408 //
     /* 1617195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1617198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1617212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617241 */     // MIs[0] policy
     /* 1617241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617251 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1617254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1617272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617275 */     // GIR_Coverage, 10408,
     /* 1617275 */     GIR_EraseRootFromParent_Done,
     /* 1617276 */   // Label 22259: @1617276
     /* 1617276 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1617362), // Rule ID 10409 //
     /* 1617281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1617284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1617298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617327 */     // MIs[0] policy
     /* 1617327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1617340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1617358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617361 */     // GIR_Coverage, 10409,
     /* 1617361 */     GIR_EraseRootFromParent_Done,
     /* 1617362 */   // Label 22260: @1617362
     /* 1617362 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1617448), // Rule ID 10412 //
     /* 1617367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1617378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1617381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617413 */     // MIs[0] policy
     /* 1617413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1617426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617447 */     // GIR_Coverage, 10412,
     /* 1617447 */     GIR_EraseRootFromParent_Done,
     /* 1617448 */   // Label 22261: @1617448
     /* 1617448 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1617534), // Rule ID 10413 //
     /* 1617453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1617464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1617467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617499 */     // MIs[0] policy
     /* 1617499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617509 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1617512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617533 */     // GIR_Coverage, 10413,
     /* 1617533 */     GIR_EraseRootFromParent_Done,
     /* 1617534 */   // Label 22262: @1617534
     /* 1617534 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1617620), // Rule ID 10416 //
     /* 1617539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1617550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1617553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617585 */     // MIs[0] policy
     /* 1617585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617595 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1617598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617619 */     // GIR_Coverage, 10416,
     /* 1617619 */     GIR_EraseRootFromParent_Done,
     /* 1617620 */   // Label 22263: @1617620
     /* 1617620 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1617706), // Rule ID 10417 //
     /* 1617625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1617636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1617639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617671 */     // MIs[0] policy
     /* 1617671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617681 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1617684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617705 */     // GIR_Coverage, 10417,
     /* 1617705 */     GIR_EraseRootFromParent_Done,
     /* 1617706 */   // Label 22264: @1617706
     /* 1617706 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1617792), // Rule ID 10420 //
     /* 1617711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1617722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1617725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1617728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1617734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617757 */     // MIs[0] policy
     /* 1617757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1617770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617791 */     // GIR_Coverage, 10420,
     /* 1617791 */     GIR_EraseRootFromParent_Done,
     /* 1617792 */   // Label 22265: @1617792
     /* 1617792 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1617878), // Rule ID 10421 //
     /* 1617797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1617808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1617811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1617814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1617820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617843 */     // MIs[0] policy
     /* 1617843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1617856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617877 */     // GIR_Coverage, 10421,
     /* 1617877 */     GIR_EraseRootFromParent_Done,
     /* 1617878 */   // Label 22266: @1617878
     /* 1617878 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1617964), // Rule ID 10424 //
     /* 1617883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617929 */     // MIs[0] policy
     /* 1617929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1617942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617963 */     // GIR_Coverage, 10424,
     /* 1617963 */     GIR_EraseRootFromParent_Done,
     /* 1617964 */   // Label 22267: @1617964
     /* 1617964 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1618050), // Rule ID 10425 //
     /* 1617969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1617977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618015 */     // MIs[0] policy
     /* 1618015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618025 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1618028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618049 */     // GIR_Coverage, 10425,
     /* 1618049 */     GIR_EraseRootFromParent_Done,
     /* 1618050 */   // Label 22268: @1618050
     /* 1618050 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1618136), // Rule ID 10428 //
     /* 1618055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618101 */     // MIs[0] policy
     /* 1618101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1618114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618135 */     // GIR_Coverage, 10428,
     /* 1618135 */     GIR_EraseRootFromParent_Done,
     /* 1618136 */   // Label 22269: @1618136
     /* 1618136 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1618222), // Rule ID 10429 //
     /* 1618141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618187 */     // MIs[0] policy
     /* 1618187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1618200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618221 */     // GIR_Coverage, 10429,
     /* 1618221 */     GIR_EraseRootFromParent_Done,
     /* 1618222 */   // Label 22270: @1618222
     /* 1618222 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1618308), // Rule ID 10432 //
     /* 1618227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1618244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618273 */     // MIs[0] policy
     /* 1618273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618283 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1618286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618307 */     // GIR_Coverage, 10432,
     /* 1618307 */     GIR_EraseRootFromParent_Done,
     /* 1618308 */   // Label 22271: @1618308
     /* 1618308 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1618394), // Rule ID 10433 //
     /* 1618313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1618330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618359 */     // MIs[0] policy
     /* 1618359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618369 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1618372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618393 */     // GIR_Coverage, 10433,
     /* 1618393 */     GIR_EraseRootFromParent_Done,
     /* 1618394 */   // Label 22272: @1618394
     /* 1618394 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1618480), // Rule ID 10436 //
     /* 1618399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618445 */     // MIs[0] policy
     /* 1618445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1618458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618479 */     // GIR_Coverage, 10436,
     /* 1618479 */     GIR_EraseRootFromParent_Done,
     /* 1618480 */   // Label 22273: @1618480
     /* 1618480 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1618566), // Rule ID 10437 //
     /* 1618485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618531 */     // MIs[0] policy
     /* 1618531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1618544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618565 */     // GIR_Coverage, 10437,
     /* 1618565 */     GIR_EraseRootFromParent_Done,
     /* 1618566 */   // Label 22274: @1618566
     /* 1618566 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1618652), // Rule ID 10440 //
     /* 1618571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618617 */     // MIs[0] policy
     /* 1618617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1618630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618651 */     // GIR_Coverage, 10440,
     /* 1618651 */     GIR_EraseRootFromParent_Done,
     /* 1618652 */   // Label 22275: @1618652
     /* 1618652 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1618738), // Rule ID 10441 //
     /* 1618657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618703 */     // MIs[0] policy
     /* 1618703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1618716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618737 */     // GIR_Coverage, 10441,
     /* 1618737 */     GIR_EraseRootFromParent_Done,
     /* 1618738 */   // Label 22276: @1618738
     /* 1618738 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1618824), // Rule ID 10444 //
     /* 1618743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1618760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618789 */     // MIs[0] policy
     /* 1618789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1618802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618823 */     // GIR_Coverage, 10444,
     /* 1618823 */     GIR_EraseRootFromParent_Done,
     /* 1618824 */   // Label 22277: @1618824
     /* 1618824 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1618910), // Rule ID 10445 //
     /* 1618829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1618846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618875 */     // MIs[0] policy
     /* 1618875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1618888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618909 */     // GIR_Coverage, 10445,
     /* 1618909 */     GIR_EraseRootFromParent_Done,
     /* 1618910 */   // Label 22278: @1618910
     /* 1618910 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1618996), // Rule ID 10448 //
     /* 1618915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1618918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1618923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1618932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618961 */     // MIs[0] policy
     /* 1618961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1618974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1618992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618995 */     // GIR_Coverage, 10448,
     /* 1618995 */     GIR_EraseRootFromParent_Done,
     /* 1618996 */   // Label 22279: @1618996
     /* 1618996 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1619082), // Rule ID 10449 //
     /* 1619001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1619004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1619009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1619018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619047 */     // MIs[0] policy
     /* 1619047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1619060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1619078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619081 */     // GIR_Coverage, 10449,
     /* 1619081 */     GIR_EraseRootFromParent_Done,
     /* 1619082 */   // Label 22280: @1619082
     /* 1619082 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1619168), // Rule ID 10452 //
     /* 1619087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1619090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1619095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1619104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619133 */     // MIs[0] policy
     /* 1619133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1619146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1619164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619167 */     // GIR_Coverage, 10452,
     /* 1619167 */     GIR_EraseRootFromParent_Done,
     /* 1619168 */   // Label 22281: @1619168
     /* 1619168 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1619254), // Rule ID 10453 //
     /* 1619173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1619176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1619181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1619190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619219 */     // MIs[0] policy
     /* 1619219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619229 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1619232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1619250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619253 */     // GIR_Coverage, 10453,
     /* 1619253 */     GIR_EraseRootFromParent_Done,
     /* 1619254 */   // Label 22282: @1619254
     /* 1619254 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1619340), // Rule ID 10456 //
     /* 1619259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1619262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1619267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1619276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619305 */     // MIs[0] policy
     /* 1619305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1619318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1619336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619339 */     // GIR_Coverage, 10456,
     /* 1619339 */     GIR_EraseRootFromParent_Done,
     /* 1619340 */   // Label 22283: @1619340
     /* 1619340 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1619426), // Rule ID 10457 //
     /* 1619345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1619348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1619353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1619362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619391 */     // MIs[0] policy
     /* 1619391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1619404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1619422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619425 */     // GIR_Coverage, 10457,
     /* 1619425 */     GIR_EraseRootFromParent_Done,
     /* 1619426 */   // Label 22284: @1619426
     /* 1619426 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1619512), // Rule ID 10460 //
     /* 1619431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1619442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1619445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1619451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619477 */     // MIs[0] policy
     /* 1619477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619487 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1619490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619511 */     // GIR_Coverage, 10460,
     /* 1619511 */     GIR_EraseRootFromParent_Done,
     /* 1619512 */   // Label 22285: @1619512
     /* 1619512 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1619598), // Rule ID 10461 //
     /* 1619517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1619528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1619531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1619537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619563 */     // MIs[0] policy
     /* 1619563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619573 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1619576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619597 */     // GIR_Coverage, 10461,
     /* 1619597 */     GIR_EraseRootFromParent_Done,
     /* 1619598 */   // Label 22286: @1619598
     /* 1619598 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1619684), // Rule ID 10464 //
     /* 1619603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1619614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1619617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619649 */     // MIs[0] policy
     /* 1619649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1619662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619683 */     // GIR_Coverage, 10464,
     /* 1619683 */     GIR_EraseRootFromParent_Done,
     /* 1619684 */   // Label 22287: @1619684
     /* 1619684 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1619770), // Rule ID 10465 //
     /* 1619689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1619700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1619703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619735 */     // MIs[0] policy
     /* 1619735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619745 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1619748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619769 */     // GIR_Coverage, 10465,
     /* 1619769 */     GIR_EraseRootFromParent_Done,
     /* 1619770 */   // Label 22288: @1619770
     /* 1619770 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1619856), // Rule ID 10468 //
     /* 1619775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1619786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1619789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619821 */     // MIs[0] policy
     /* 1619821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619831 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1619834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619855 */     // GIR_Coverage, 10468,
     /* 1619855 */     GIR_EraseRootFromParent_Done,
     /* 1619856 */   // Label 22289: @1619856
     /* 1619856 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1619942), // Rule ID 10469 //
     /* 1619861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1619872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1619875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619907 */     // MIs[0] policy
     /* 1619907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619917 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1619920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619941 */     // GIR_Coverage, 10469,
     /* 1619941 */     GIR_EraseRootFromParent_Done,
     /* 1619942 */   // Label 22290: @1619942
     /* 1619942 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1620028), // Rule ID 10472 //
     /* 1619947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1619955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1619967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619993 */     // MIs[0] policy
     /* 1619993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620003 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1620006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620027 */     // GIR_Coverage, 10472,
     /* 1620027 */     GIR_EraseRootFromParent_Done,
     /* 1620028 */   // Label 22291: @1620028
     /* 1620028 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1620114), // Rule ID 10473 //
     /* 1620033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1620044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1620047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1620053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620079 */     // MIs[0] policy
     /* 1620079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1620092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620113 */     // GIR_Coverage, 10473,
     /* 1620113 */     GIR_EraseRootFromParent_Done,
     /* 1620114 */   // Label 22292: @1620114
     /* 1620114 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1620200), // Rule ID 10476 //
     /* 1620119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620165 */     // MIs[0] policy
     /* 1620165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620175 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1620178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620199 */     // GIR_Coverage, 10476,
     /* 1620199 */     GIR_EraseRootFromParent_Done,
     /* 1620200 */   // Label 22293: @1620200
     /* 1620200 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1620286), // Rule ID 10477 //
     /* 1620205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1620216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1620219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620251 */     // MIs[0] policy
     /* 1620251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620261 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1620264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620285 */     // GIR_Coverage, 10477,
     /* 1620285 */     GIR_EraseRootFromParent_Done,
     /* 1620286 */   // Label 22294: @1620286
     /* 1620286 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1620372), // Rule ID 10480 //
     /* 1620291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1620311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620337 */     // MIs[0] policy
     /* 1620337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1620350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620371 */     // GIR_Coverage, 10480,
     /* 1620371 */     GIR_EraseRootFromParent_Done,
     /* 1620372 */   // Label 22295: @1620372
     /* 1620372 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1620458), // Rule ID 10481 //
     /* 1620377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1620397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620423 */     // MIs[0] policy
     /* 1620423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1620436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620457 */     // GIR_Coverage, 10481,
     /* 1620457 */     GIR_EraseRootFromParent_Done,
     /* 1620458 */   // Label 22296: @1620458
     /* 1620458 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1620544), // Rule ID 10484 //
     /* 1620463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1620474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1620477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620509 */     // MIs[0] policy
     /* 1620509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620519 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620543 */     // GIR_Coverage, 10484,
     /* 1620543 */     GIR_EraseRootFromParent_Done,
     /* 1620544 */   // Label 22297: @1620544
     /* 1620544 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1620630), // Rule ID 10485 //
     /* 1620549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1620560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1620563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620595 */     // MIs[0] policy
     /* 1620595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620629 */     // GIR_Coverage, 10485,
     /* 1620629 */     GIR_EraseRootFromParent_Done,
     /* 1620630 */   // Label 22298: @1620630
     /* 1620630 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1620716), // Rule ID 10488 //
     /* 1620635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620681 */     // MIs[0] policy
     /* 1620681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620715 */     // GIR_Coverage, 10488,
     /* 1620715 */     GIR_EraseRootFromParent_Done,
     /* 1620716 */   // Label 22299: @1620716
     /* 1620716 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1620802), // Rule ID 10489 //
     /* 1620721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620767 */     // MIs[0] policy
     /* 1620767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620801 */     // GIR_Coverage, 10489,
     /* 1620801 */     GIR_EraseRootFromParent_Done,
     /* 1620802 */   // Label 22300: @1620802
     /* 1620802 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1620888), // Rule ID 10492 //
     /* 1620807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1620827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620853 */     // MIs[0] policy
     /* 1620853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620863 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620887 */     // GIR_Coverage, 10492,
     /* 1620887 */     GIR_EraseRootFromParent_Done,
     /* 1620888 */   // Label 22301: @1620888
     /* 1620888 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1620974), // Rule ID 10493 //
     /* 1620893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1620913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620939 */     // MIs[0] policy
     /* 1620939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620949 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1620952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1620970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620973 */     // GIR_Coverage, 10493,
     /* 1620973 */     GIR_EraseRootFromParent_Done,
     /* 1620974 */   // Label 22302: @1620974
     /* 1620974 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1621060), // Rule ID 10496 //
     /* 1620979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1620982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1620987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1620996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1620999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621025 */     // MIs[0] policy
     /* 1621025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1621038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1621056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621059 */     // GIR_Coverage, 10496,
     /* 1621059 */     GIR_EraseRootFromParent_Done,
     /* 1621060 */   // Label 22303: @1621060
     /* 1621060 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1621146), // Rule ID 10497 //
     /* 1621065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1621068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1621082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1621085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621111 */     // MIs[0] policy
     /* 1621111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1621124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1621142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621145 */     // GIR_Coverage, 10497,
     /* 1621145 */     GIR_EraseRootFromParent_Done,
     /* 1621146 */   // Label 22304: @1621146
     /* 1621146 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1621232), // Rule ID 10500 //
     /* 1621151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1621162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1621165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621197 */     // MIs[0] policy
     /* 1621197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1621210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621231 */     // GIR_Coverage, 10500,
     /* 1621231 */     GIR_EraseRootFromParent_Done,
     /* 1621232 */   // Label 22305: @1621232
     /* 1621232 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1621318), // Rule ID 10501 //
     /* 1621237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1621248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1621251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1621254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1621257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621283 */     // MIs[0] policy
     /* 1621283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621293 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1621296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621317 */     // GIR_Coverage, 10501,
     /* 1621317 */     GIR_EraseRootFromParent_Done,
     /* 1621318 */   // Label 22306: @1621318
     /* 1621318 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1621404), // Rule ID 10504 //
     /* 1621323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1621334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1621337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621369 */     // MIs[0] policy
     /* 1621369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621379 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1621382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621403 */     // GIR_Coverage, 10504,
     /* 1621403 */     GIR_EraseRootFromParent_Done,
     /* 1621404 */   // Label 22307: @1621404
     /* 1621404 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1621490), // Rule ID 10505 //
     /* 1621409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1621420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1621423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1621426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1621429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1621432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621455 */     // MIs[0] policy
     /* 1621455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621465 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1621468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621489 */     // GIR_Coverage, 10505,
     /* 1621489 */     GIR_EraseRootFromParent_Done,
     /* 1621490 */   // Label 22308: @1621490
     /* 1621490 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1621576), // Rule ID 10508 //
     /* 1621495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1621506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1621509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1621512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1621515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1621518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621541 */     // MIs[0] policy
     /* 1621541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1621554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621575 */     // GIR_Coverage, 10508,
     /* 1621575 */     GIR_EraseRootFromParent_Done,
     /* 1621576 */   // Label 22309: @1621576
     /* 1621576 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1621662), // Rule ID 10509 //
     /* 1621581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1621592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1621595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1621598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1621601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1621604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621627 */     // MIs[0] policy
     /* 1621627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621637 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1621640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621661 */     // GIR_Coverage, 10509,
     /* 1621661 */     GIR_EraseRootFromParent_Done,
     /* 1621662 */   // Label 22310: @1621662
     /* 1621662 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1621748), // Rule ID 10512 //
     /* 1621667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621713 */     // MIs[0] policy
     /* 1621713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1621726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621747 */     // GIR_Coverage, 10512,
     /* 1621747 */     GIR_EraseRootFromParent_Done,
     /* 1621748 */   // Label 22311: @1621748
     /* 1621748 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1621834), // Rule ID 10513 //
     /* 1621753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1621764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1621767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621799 */     // MIs[0] policy
     /* 1621799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1621812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621833 */     // GIR_Coverage, 10513,
     /* 1621833 */     GIR_EraseRootFromParent_Done,
     /* 1621834 */   // Label 22312: @1621834
     /* 1621834 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1621920), // Rule ID 10516 //
     /* 1621839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621885 */     // MIs[0] policy
     /* 1621885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621895 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1621898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621919 */     // GIR_Coverage, 10516,
     /* 1621919 */     GIR_EraseRootFromParent_Done,
     /* 1621920 */   // Label 22313: @1621920
     /* 1621920 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1622006), // Rule ID 10517 //
     /* 1621925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1621933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1621936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1621939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621971 */     // MIs[0] policy
     /* 1621971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621981 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1621984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622005 */     // GIR_Coverage, 10517,
     /* 1622005 */     GIR_EraseRootFromParent_Done,
     /* 1622006 */   // Label 22314: @1622006
     /* 1622006 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1622092), // Rule ID 10520 //
     /* 1622011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1622028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1622031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622057 */     // MIs[0] policy
     /* 1622057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1622070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622091 */     // GIR_Coverage, 10520,
     /* 1622091 */     GIR_EraseRootFromParent_Done,
     /* 1622092 */   // Label 22315: @1622092
     /* 1622092 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1622178), // Rule ID 10521 //
     /* 1622097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1622114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1622117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622143 */     // MIs[0] policy
     /* 1622143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1622156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622177 */     // GIR_Coverage, 10521,
     /* 1622177 */     GIR_EraseRootFromParent_Done,
     /* 1622178 */   // Label 22316: @1622178
     /* 1622178 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1622264), // Rule ID 10524 //
     /* 1622183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622229 */     // MIs[0] policy
     /* 1622229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1622242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622263 */     // GIR_Coverage, 10524,
     /* 1622263 */     GIR_EraseRootFromParent_Done,
     /* 1622264 */   // Label 22317: @1622264
     /* 1622264 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1622350), // Rule ID 10525 //
     /* 1622269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1622280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1622283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1622286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622315 */     // MIs[0] policy
     /* 1622315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1622328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622349 */     // GIR_Coverage, 10525,
     /* 1622349 */     GIR_EraseRootFromParent_Done,
     /* 1622350 */   // Label 22318: @1622350
     /* 1622350 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1622436), // Rule ID 10528 //
     /* 1622355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622401 */     // MIs[0] policy
     /* 1622401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1622414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622435 */     // GIR_Coverage, 10528,
     /* 1622435 */     GIR_EraseRootFromParent_Done,
     /* 1622436 */   // Label 22319: @1622436
     /* 1622436 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1622522), // Rule ID 10529 //
     /* 1622441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1622452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1622455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1622458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622487 */     // MIs[0] policy
     /* 1622487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1622500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622521 */     // GIR_Coverage, 10529,
     /* 1622521 */     GIR_EraseRootFromParent_Done,
     /* 1622522 */   // Label 22320: @1622522
     /* 1622522 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1622608), // Rule ID 10532 //
     /* 1622527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1622544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1622547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622573 */     // MIs[0] policy
     /* 1622573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1622586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622607 */     // GIR_Coverage, 10532,
     /* 1622607 */     GIR_EraseRootFromParent_Done,
     /* 1622608 */   // Label 22321: @1622608
     /* 1622608 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1622694), // Rule ID 10533 //
     /* 1622613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1622624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1622627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1622630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1622633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622659 */     // MIs[0] policy
     /* 1622659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622669 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1622672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622693 */     // GIR_Coverage, 10533,
     /* 1622693 */     GIR_EraseRootFromParent_Done,
     /* 1622694 */   // Label 22322: @1622694
     /* 1622694 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1622780), // Rule ID 10536 //
     /* 1622699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1622702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1622716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1622719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622745 */     // MIs[0] policy
     /* 1622745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1622758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1622776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622779 */     // GIR_Coverage, 10536,
     /* 1622779 */     GIR_EraseRootFromParent_Done,
     /* 1622780 */   // Label 22323: @1622780
     /* 1622780 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1622866), // Rule ID 10537 //
     /* 1622785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1622788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1622796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1622799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1622802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1622805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622831 */     // MIs[0] policy
     /* 1622831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1622844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1622862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622865 */     // GIR_Coverage, 10537,
     /* 1622865 */     GIR_EraseRootFromParent_Done,
     /* 1622866 */   // Label 22324: @1622866
     /* 1622866 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1622952), // Rule ID 10540 //
     /* 1622871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1622874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1622888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1622891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622917 */     // MIs[0] policy
     /* 1622917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622927 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1622930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1622948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622951 */     // GIR_Coverage, 10540,
     /* 1622951 */     GIR_EraseRootFromParent_Done,
     /* 1622952 */   // Label 22325: @1622952
     /* 1622952 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1623038), // Rule ID 10541 //
     /* 1622957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1622960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1622965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1622974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1622977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623003 */     // MIs[0] policy
     /* 1623003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623013 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1623016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1623034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623037 */     // GIR_Coverage, 10541,
     /* 1623037 */     GIR_EraseRootFromParent_Done,
     /* 1623038 */   // Label 22326: @1623038
     /* 1623038 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1623124), // Rule ID 10544 //
     /* 1623043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1623046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1623060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1623063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623089 */     // MIs[0] policy
     /* 1623089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1623102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1623120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623123 */     // GIR_Coverage, 10544,
     /* 1623123 */     GIR_EraseRootFromParent_Done,
     /* 1623124 */   // Label 22327: @1623124
     /* 1623124 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1623210), // Rule ID 10545 //
     /* 1623129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1623132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1623140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1623143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1623146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1623149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623175 */     // MIs[0] policy
     /* 1623175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1623188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1623206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623209 */     // GIR_Coverage, 10545,
     /* 1623209 */     GIR_EraseRootFromParent_Done,
     /* 1623210 */   // Label 22328: @1623210
     /* 1623210 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1623296), // Rule ID 10548 //
     /* 1623215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1623226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1623229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623261 */     // MIs[0] policy
     /* 1623261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1623274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623295 */     // GIR_Coverage, 10548,
     /* 1623295 */     GIR_EraseRootFromParent_Done,
     /* 1623296 */   // Label 22329: @1623296
     /* 1623296 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1623382), // Rule ID 10549 //
     /* 1623301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1623312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1623315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1623318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623347 */     // MIs[0] policy
     /* 1623347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623357 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1623360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623381 */     // GIR_Coverage, 10549,
     /* 1623381 */     GIR_EraseRootFromParent_Done,
     /* 1623382 */   // Label 22330: @1623382
     /* 1623382 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1623468), // Rule ID 10552 //
     /* 1623387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1623398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1623401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623433 */     // MIs[0] policy
     /* 1623433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1623446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623467 */     // GIR_Coverage, 10552,
     /* 1623467 */     GIR_EraseRootFromParent_Done,
     /* 1623468 */   // Label 22331: @1623468
     /* 1623468 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1623554), // Rule ID 10553 //
     /* 1623473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1623484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1623487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1623490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623519 */     // MIs[0] policy
     /* 1623519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623529 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1623532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623553 */     // GIR_Coverage, 10553,
     /* 1623553 */     GIR_EraseRootFromParent_Done,
     /* 1623554 */   // Label 22332: @1623554
     /* 1623554 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1623640), // Rule ID 10556 //
     /* 1623559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1623570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1623573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623605 */     // MIs[0] policy
     /* 1623605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623615 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1623618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623639 */     // GIR_Coverage, 10556,
     /* 1623639 */     GIR_EraseRootFromParent_Done,
     /* 1623640 */   // Label 22333: @1623640
     /* 1623640 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1623726), // Rule ID 10557 //
     /* 1623645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1623656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1623659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1623662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623691 */     // MIs[0] policy
     /* 1623691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1623704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623725 */     // GIR_Coverage, 10557,
     /* 1623725 */     GIR_EraseRootFromParent_Done,
     /* 1623726 */   // Label 22334: @1623726
     /* 1623726 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1623812), // Rule ID 10560 //
     /* 1623731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623777 */     // MIs[0] policy
     /* 1623777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1623790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623811 */     // GIR_Coverage, 10560,
     /* 1623811 */     GIR_EraseRootFromParent_Done,
     /* 1623812 */   // Label 22335: @1623812
     /* 1623812 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1623898), // Rule ID 10561 //
     /* 1623817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1623828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1623831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623863 */     // MIs[0] policy
     /* 1623863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623873 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1623876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623897 */     // GIR_Coverage, 10561,
     /* 1623897 */     GIR_EraseRootFromParent_Done,
     /* 1623898 */   // Label 22336: @1623898
     /* 1623898 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1623984), // Rule ID 10564 //
     /* 1623903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1623914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1623917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623949 */     // MIs[0] policy
     /* 1623949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1623962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623983 */     // GIR_Coverage, 10564,
     /* 1623983 */     GIR_EraseRootFromParent_Done,
     /* 1623984 */   // Label 22337: @1623984
     /* 1623984 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1624070), // Rule ID 10565 //
     /* 1623989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1623997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624035 */     // MIs[0] policy
     /* 1624035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1624048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624069 */     // GIR_Coverage, 10565,
     /* 1624069 */     GIR_EraseRootFromParent_Done,
     /* 1624070 */   // Label 22338: @1624070
     /* 1624070 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1624156), // Rule ID 10568 //
     /* 1624075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624121 */     // MIs[0] policy
     /* 1624121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624131 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1624134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624155 */     // GIR_Coverage, 10568,
     /* 1624155 */     GIR_EraseRootFromParent_Done,
     /* 1624156 */   // Label 22339: @1624156
     /* 1624156 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1624242), // Rule ID 10569 //
     /* 1624161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1624172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1624175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624207 */     // MIs[0] policy
     /* 1624207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1624220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624241 */     // GIR_Coverage, 10569,
     /* 1624241 */     GIR_EraseRootFromParent_Done,
     /* 1624242 */   // Label 22340: @1624242
     /* 1624242 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1624328), // Rule ID 10572 //
     /* 1624247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1624258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1624261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624293 */     // MIs[0] policy
     /* 1624293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624327 */     // GIR_Coverage, 10572,
     /* 1624327 */     GIR_EraseRootFromParent_Done,
     /* 1624328 */   // Label 22341: @1624328
     /* 1624328 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1624414), // Rule ID 10573 //
     /* 1624333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1624344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1624347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624379 */     // MIs[0] policy
     /* 1624379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624413 */     // GIR_Coverage, 10573,
     /* 1624413 */     GIR_EraseRootFromParent_Done,
     /* 1624414 */   // Label 22342: @1624414
     /* 1624414 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1624500), // Rule ID 10576 //
     /* 1624419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624465 */     // MIs[0] policy
     /* 1624465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624475 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624499 */     // GIR_Coverage, 10576,
     /* 1624499 */     GIR_EraseRootFromParent_Done,
     /* 1624500 */   // Label 22343: @1624500
     /* 1624500 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1624586), // Rule ID 10577 //
     /* 1624505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624551 */     // MIs[0] policy
     /* 1624551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624585 */     // GIR_Coverage, 10577,
     /* 1624585 */     GIR_EraseRootFromParent_Done,
     /* 1624586 */   // Label 22344: @1624586
     /* 1624586 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1624672), // Rule ID 10580 //
     /* 1624591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624637 */     // MIs[0] policy
     /* 1624637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624671 */     // GIR_Coverage, 10580,
     /* 1624671 */     GIR_EraseRootFromParent_Done,
     /* 1624672 */   // Label 22345: @1624672
     /* 1624672 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1624758), // Rule ID 10581 //
     /* 1624677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1624688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1624691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624723 */     // MIs[0] policy
     /* 1624723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624757 */     // GIR_Coverage, 10581,
     /* 1624757 */     GIR_EraseRootFromParent_Done,
     /* 1624758 */   // Label 22346: @1624758
     /* 1624758 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1624844), // Rule ID 10584 //
     /* 1624763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1624766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1624780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624809 */     // MIs[0] policy
     /* 1624809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1624840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624843 */     // GIR_Coverage, 10584,
     /* 1624843 */     GIR_EraseRootFromParent_Done,
     /* 1624844 */   // Label 22347: @1624844
     /* 1624844 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1624930), // Rule ID 10585 //
     /* 1624849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1624852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1624866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624895 */     // MIs[0] policy
     /* 1624895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1624908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1624926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624929 */     // GIR_Coverage, 10585,
     /* 1624929 */     GIR_EraseRootFromParent_Done,
     /* 1624930 */   // Label 22348: @1624930
     /* 1624930 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1625016), // Rule ID 10588 //
     /* 1624935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1624943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1624946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1624949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624981 */     // MIs[0] policy
     /* 1624981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1624994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625015 */     // GIR_Coverage, 10588,
     /* 1625015 */     GIR_EraseRootFromParent_Done,
     /* 1625016 */   // Label 22349: @1625016
     /* 1625016 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1625102), // Rule ID 10589 //
     /* 1625021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1625032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1625035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625067 */     // MIs[0] policy
     /* 1625067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1625080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625101 */     // GIR_Coverage, 10589,
     /* 1625101 */     GIR_EraseRootFromParent_Done,
     /* 1625102 */   // Label 22350: @1625102
     /* 1625102 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1625188), // Rule ID 10592 //
     /* 1625107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1625118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1625121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625153 */     // MIs[0] policy
     /* 1625153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1625166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625187 */     // GIR_Coverage, 10592,
     /* 1625187 */     GIR_EraseRootFromParent_Done,
     /* 1625188 */   // Label 22351: @1625188
     /* 1625188 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1625274), // Rule ID 10593 //
     /* 1625193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1625204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1625207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625239 */     // MIs[0] policy
     /* 1625239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1625252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625273 */     // GIR_Coverage, 10593,
     /* 1625273 */     GIR_EraseRootFromParent_Done,
     /* 1625274 */   // Label 22352: @1625274
     /* 1625274 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1625360), // Rule ID 10596 //
     /* 1625279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1625290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1625293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1625296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1625302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625325 */     // MIs[0] policy
     /* 1625325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625335 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1625338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625359 */     // GIR_Coverage, 10596,
     /* 1625359 */     GIR_EraseRootFromParent_Done,
     /* 1625360 */   // Label 22353: @1625360
     /* 1625360 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1625446), // Rule ID 10597 //
     /* 1625365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1625376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1625379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1625382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1625388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625411 */     // MIs[0] policy
     /* 1625411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625421 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1625424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625445 */     // GIR_Coverage, 10597,
     /* 1625445 */     GIR_EraseRootFromParent_Done,
     /* 1625446 */   // Label 22354: @1625446
     /* 1625446 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1625532), // Rule ID 10600 //
     /* 1625451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625497 */     // MIs[0] policy
     /* 1625497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1625510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625531 */     // GIR_Coverage, 10600,
     /* 1625531 */     GIR_EraseRootFromParent_Done,
     /* 1625532 */   // Label 22355: @1625532
     /* 1625532 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1625618), // Rule ID 10601 //
     /* 1625537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625583 */     // MIs[0] policy
     /* 1625583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1625596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625617 */     // GIR_Coverage, 10601,
     /* 1625617 */     GIR_EraseRootFromParent_Done,
     /* 1625618 */   // Label 22356: @1625618
     /* 1625618 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1625704), // Rule ID 10604 //
     /* 1625623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625669 */     // MIs[0] policy
     /* 1625669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1625682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625703 */     // GIR_Coverage, 10604,
     /* 1625703 */     GIR_EraseRootFromParent_Done,
     /* 1625704 */   // Label 22357: @1625704
     /* 1625704 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1625790), // Rule ID 10605 //
     /* 1625709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625755 */     // MIs[0] policy
     /* 1625755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625765 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1625768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625789 */     // GIR_Coverage, 10605,
     /* 1625789 */     GIR_EraseRootFromParent_Done,
     /* 1625790 */   // Label 22358: @1625790
     /* 1625790 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1625876), // Rule ID 10608 //
     /* 1625795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625841 */     // MIs[0] policy
     /* 1625841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625851 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1625854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625875 */     // GIR_Coverage, 10608,
     /* 1625875 */     GIR_EraseRootFromParent_Done,
     /* 1625876 */   // Label 22359: @1625876
     /* 1625876 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1625962), // Rule ID 10609 //
     /* 1625881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625927 */     // MIs[0] policy
     /* 1625927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1625940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625961 */     // GIR_Coverage, 10609,
     /* 1625961 */     GIR_EraseRootFromParent_Done,
     /* 1625962 */   // Label 22360: @1625962
     /* 1625962 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1626048), // Rule ID 10612 //
     /* 1625967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1625975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626013 */     // MIs[0] policy
     /* 1626013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1626026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626047 */     // GIR_Coverage, 10612,
     /* 1626047 */     GIR_EraseRootFromParent_Done,
     /* 1626048 */   // Label 22361: @1626048
     /* 1626048 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1626134), // Rule ID 10613 //
     /* 1626053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626099 */     // MIs[0] policy
     /* 1626099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1626112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626133 */     // GIR_Coverage, 10613,
     /* 1626133 */     GIR_EraseRootFromParent_Done,
     /* 1626134 */   // Label 22362: @1626134
     /* 1626134 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1626220), // Rule ID 10616 //
     /* 1626139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626185 */     // MIs[0] policy
     /* 1626185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1626198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626219 */     // GIR_Coverage, 10616,
     /* 1626219 */     GIR_EraseRootFromParent_Done,
     /* 1626220 */   // Label 22363: @1626220
     /* 1626220 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1626306), // Rule ID 10617 //
     /* 1626225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626271 */     // MIs[0] policy
     /* 1626271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1626284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626305 */     // GIR_Coverage, 10617,
     /* 1626305 */     GIR_EraseRootFromParent_Done,
     /* 1626306 */   // Label 22364: @1626306
     /* 1626306 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1626392), // Rule ID 10620 //
     /* 1626311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626357 */     // MIs[0] policy
     /* 1626357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1626370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626391 */     // GIR_Coverage, 10620,
     /* 1626391 */     GIR_EraseRootFromParent_Done,
     /* 1626392 */   // Label 22365: @1626392
     /* 1626392 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1626478), // Rule ID 10621 //
     /* 1626397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626443 */     // MIs[0] policy
     /* 1626443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1626456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626477 */     // GIR_Coverage, 10621,
     /* 1626477 */     GIR_EraseRootFromParent_Done,
     /* 1626478 */   // Label 22366: @1626478
     /* 1626478 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1626564), // Rule ID 10624 //
     /* 1626483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1626486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1626500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626529 */     // MIs[0] policy
     /* 1626529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1626542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626563 */     // GIR_Coverage, 10624,
     /* 1626563 */     GIR_EraseRootFromParent_Done,
     /* 1626564 */   // Label 22367: @1626564
     /* 1626564 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1626650), // Rule ID 10625 //
     /* 1626569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1626572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1626586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626615 */     // MIs[0] policy
     /* 1626615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1626628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626649 */     // GIR_Coverage, 10625,
     /* 1626649 */     GIR_EraseRootFromParent_Done,
     /* 1626650 */   // Label 22368: @1626650
     /* 1626650 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1626736), // Rule ID 10628 //
     /* 1626655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1626658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1626672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626701 */     // MIs[0] policy
     /* 1626701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1626714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626735 */     // GIR_Coverage, 10628,
     /* 1626735 */     GIR_EraseRootFromParent_Done,
     /* 1626736 */   // Label 22369: @1626736
     /* 1626736 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1626822), // Rule ID 10629 //
     /* 1626741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1626744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1626758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626787 */     // MIs[0] policy
     /* 1626787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1626800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626821 */     // GIR_Coverage, 10629,
     /* 1626821 */     GIR_EraseRootFromParent_Done,
     /* 1626822 */   // Label 22370: @1626822
     /* 1626822 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1626908), // Rule ID 10632 //
     /* 1626827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1626830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1626844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626873 */     // MIs[0] policy
     /* 1626873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1626886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626907 */     // GIR_Coverage, 10632,
     /* 1626907 */     GIR_EraseRootFromParent_Done,
     /* 1626908 */   // Label 22371: @1626908
     /* 1626908 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1626994), // Rule ID 10633 //
     /* 1626913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1626916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1626921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1626930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626959 */     // MIs[0] policy
     /* 1626959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626969 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1626972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1626990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626993 */     // GIR_Coverage, 10633,
     /* 1626993 */     GIR_EraseRootFromParent_Done,
     /* 1626994 */   // Label 22372: @1626994
     /* 1626994 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1627080), // Rule ID 10636 //
     /* 1626999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1627010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1627013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627045 */     // MIs[0] policy
     /* 1627045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627055 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1627058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627079 */     // GIR_Coverage, 10636,
     /* 1627079 */     GIR_EraseRootFromParent_Done,
     /* 1627080 */   // Label 22373: @1627080
     /* 1627080 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1627166), // Rule ID 10637 //
     /* 1627085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1627096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1627099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1627102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1627105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627131 */     // MIs[0] policy
     /* 1627131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1627144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627165 */     // GIR_Coverage, 10637,
     /* 1627165 */     GIR_EraseRootFromParent_Done,
     /* 1627166 */   // Label 22374: @1627166
     /* 1627166 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1627252), // Rule ID 10640 //
     /* 1627171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1627182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1627185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627217 */     // MIs[0] policy
     /* 1627217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1627230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627251 */     // GIR_Coverage, 10640,
     /* 1627251 */     GIR_EraseRootFromParent_Done,
     /* 1627252 */   // Label 22375: @1627252
     /* 1627252 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1627338), // Rule ID 10641 //
     /* 1627257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1627268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1627271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627303 */     // MIs[0] policy
     /* 1627303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1627316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627337 */     // GIR_Coverage, 10641,
     /* 1627337 */     GIR_EraseRootFromParent_Done,
     /* 1627338 */   // Label 22376: @1627338
     /* 1627338 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1627424), // Rule ID 10644 //
     /* 1627343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1627354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1627357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627389 */     // MIs[0] policy
     /* 1627389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627399 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1627402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627423 */     // GIR_Coverage, 10644,
     /* 1627423 */     GIR_EraseRootFromParent_Done,
     /* 1627424 */   // Label 22377: @1627424
     /* 1627424 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1627510), // Rule ID 10645 //
     /* 1627429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1627440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1627443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627475 */     // MIs[0] policy
     /* 1627475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627485 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1627488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627509 */     // GIR_Coverage, 10645,
     /* 1627509 */     GIR_EraseRootFromParent_Done,
     /* 1627510 */   // Label 22378: @1627510
     /* 1627510 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1627596), // Rule ID 10648 //
     /* 1627515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627561 */     // MIs[0] policy
     /* 1627561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1627574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627595 */     // GIR_Coverage, 10648,
     /* 1627595 */     GIR_EraseRootFromParent_Done,
     /* 1627596 */   // Label 22379: @1627596
     /* 1627596 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1627682), // Rule ID 10649 //
     /* 1627601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627647 */     // MIs[0] policy
     /* 1627647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627657 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1627660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627681 */     // GIR_Coverage, 10649,
     /* 1627681 */     GIR_EraseRootFromParent_Done,
     /* 1627682 */   // Label 22380: @1627682
     /* 1627682 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1627768), // Rule ID 10652 //
     /* 1627687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627733 */     // MIs[0] policy
     /* 1627733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1627746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627767 */     // GIR_Coverage, 10652,
     /* 1627767 */     GIR_EraseRootFromParent_Done,
     /* 1627768 */   // Label 22381: @1627768
     /* 1627768 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1627854), // Rule ID 10653 //
     /* 1627773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1627793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627819 */     // MIs[0] policy
     /* 1627819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627829 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1627832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627853 */     // GIR_Coverage, 10653,
     /* 1627853 */     GIR_EraseRootFromParent_Done,
     /* 1627854 */   // Label 22382: @1627854
     /* 1627854 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1627940), // Rule ID 10656 //
     /* 1627859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627905 */     // MIs[0] policy
     /* 1627905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1627918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627939 */     // GIR_Coverage, 10656,
     /* 1627939 */     GIR_EraseRootFromParent_Done,
     /* 1627940 */   // Label 22383: @1627940
     /* 1627940 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1628026), // Rule ID 10657 //
     /* 1627945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1627953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1627962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627991 */     // MIs[0] policy
     /* 1627991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1628004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628025 */     // GIR_Coverage, 10657,
     /* 1628025 */     GIR_EraseRootFromParent_Done,
     /* 1628026 */   // Label 22384: @1628026
     /* 1628026 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1628112), // Rule ID 10660 //
     /* 1628031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1628042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1628045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1628051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628077 */     // MIs[0] policy
     /* 1628077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628087 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628111 */     // GIR_Coverage, 10660,
     /* 1628111 */     GIR_EraseRootFromParent_Done,
     /* 1628112 */   // Label 22385: @1628112
     /* 1628112 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1628198), // Rule ID 10661 //
     /* 1628117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1628128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1628131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1628134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1628137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628163 */     // MIs[0] policy
     /* 1628163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628173 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628197 */     // GIR_Coverage, 10661,
     /* 1628197 */     GIR_EraseRootFromParent_Done,
     /* 1628198 */   // Label 22386: @1628198
     /* 1628198 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1628284), // Rule ID 10664 //
     /* 1628203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628249 */     // MIs[0] policy
     /* 1628249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628283 */     // GIR_Coverage, 10664,
     /* 1628283 */     GIR_EraseRootFromParent_Done,
     /* 1628284 */   // Label 22387: @1628284
     /* 1628284 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1628370), // Rule ID 10665 //
     /* 1628289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628335 */     // MIs[0] policy
     /* 1628335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628369 */     // GIR_Coverage, 10665,
     /* 1628369 */     GIR_EraseRootFromParent_Done,
     /* 1628370 */   // Label 22388: @1628370
     /* 1628370 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1628456), // Rule ID 10668 //
     /* 1628375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628421 */     // MIs[0] policy
     /* 1628421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628455 */     // GIR_Coverage, 10668,
     /* 1628455 */     GIR_EraseRootFromParent_Done,
     /* 1628456 */   // Label 22389: @1628456
     /* 1628456 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1628542), // Rule ID 10669 //
     /* 1628461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628507 */     // MIs[0] policy
     /* 1628507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628541 */     // GIR_Coverage, 10669,
     /* 1628541 */     GIR_EraseRootFromParent_Done,
     /* 1628542 */   // Label 22390: @1628542
     /* 1628542 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1628628), // Rule ID 10672 //
     /* 1628547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1628550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1628567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628593 */     // MIs[0] policy
     /* 1628593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1628624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628627 */     // GIR_Coverage, 10672,
     /* 1628627 */     GIR_EraseRootFromParent_Done,
     /* 1628628 */   // Label 22391: @1628628
     /* 1628628 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1628714), // Rule ID 10673 //
     /* 1628633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1628636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1628653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628679 */     // MIs[0] policy
     /* 1628679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1628692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1628710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628713 */     // GIR_Coverage, 10673,
     /* 1628713 */     GIR_EraseRootFromParent_Done,
     /* 1628714 */   // Label 22392: @1628714
     /* 1628714 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1628800), // Rule ID 10676 //
     /* 1628719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1628730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1628733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628765 */     // MIs[0] policy
     /* 1628765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628775 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1628778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628799 */     // GIR_Coverage, 10676,
     /* 1628799 */     GIR_EraseRootFromParent_Done,
     /* 1628800 */   // Label 22393: @1628800
     /* 1628800 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1628886), // Rule ID 10677 //
     /* 1628805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1628816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1628819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1628822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1628825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628851 */     // MIs[0] policy
     /* 1628851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1628864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628885 */     // GIR_Coverage, 10677,
     /* 1628885 */     GIR_EraseRootFromParent_Done,
     /* 1628886 */   // Label 22394: @1628886
     /* 1628886 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1628972), // Rule ID 10680 //
     /* 1628891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1628902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1628905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628937 */     // MIs[0] policy
     /* 1628937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1628950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628971 */     // GIR_Coverage, 10680,
     /* 1628971 */     GIR_EraseRootFromParent_Done,
     /* 1628972 */   // Label 22395: @1628972
     /* 1628972 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1629058), // Rule ID 10681 //
     /* 1628977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1628985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1628988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1628991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1628994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1628997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629023 */     // MIs[0] policy
     /* 1629023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1629036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629057 */     // GIR_Coverage, 10681,
     /* 1629057 */     GIR_EraseRootFromParent_Done,
     /* 1629058 */   // Label 22396: @1629058
     /* 1629058 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1629144), // Rule ID 10684 //
     /* 1629063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1629074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1629077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1629080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1629083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1629086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629109 */     // MIs[0] policy
     /* 1629109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629119 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1629122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629143 */     // GIR_Coverage, 10684,
     /* 1629143 */     GIR_EraseRootFromParent_Done,
     /* 1629144 */   // Label 22397: @1629144
     /* 1629144 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1629230), // Rule ID 10685 //
     /* 1629149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1629160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1629163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1629166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1629169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1629172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629195 */     // MIs[0] policy
     /* 1629195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1629208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629229 */     // GIR_Coverage, 10685,
     /* 1629229 */     GIR_EraseRootFromParent_Done,
     /* 1629230 */   // Label 22398: @1629230
     /* 1629230 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1629316), // Rule ID 10688 //
     /* 1629235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1629255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629281 */     // MIs[0] policy
     /* 1629281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1629294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629315 */     // GIR_Coverage, 10688,
     /* 1629315 */     GIR_EraseRootFromParent_Done,
     /* 1629316 */   // Label 22399: @1629316
     /* 1629316 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1629402), // Rule ID 10689 //
     /* 1629321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1629338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1629341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629367 */     // MIs[0] policy
     /* 1629367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1629380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629401 */     // GIR_Coverage, 10689,
     /* 1629401 */     GIR_EraseRootFromParent_Done,
     /* 1629402 */   // Label 22400: @1629402
     /* 1629402 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1629488), // Rule ID 10692 //
     /* 1629407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629453 */     // MIs[0] policy
     /* 1629453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629463 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1629466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629487 */     // GIR_Coverage, 10692,
     /* 1629487 */     GIR_EraseRootFromParent_Done,
     /* 1629488 */   // Label 22401: @1629488
     /* 1629488 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1629574), // Rule ID 10693 //
     /* 1629493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1629504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1629507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1629510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1629513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629539 */     // MIs[0] policy
     /* 1629539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1629552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629573 */     // GIR_Coverage, 10693,
     /* 1629573 */     GIR_EraseRootFromParent_Done,
     /* 1629574 */   // Label 22402: @1629574
     /* 1629574 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1629660), // Rule ID 10696 //
     /* 1629579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1629599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629625 */     // MIs[0] policy
     /* 1629625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1629638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629659 */     // GIR_Coverage, 10696,
     /* 1629659 */     GIR_EraseRootFromParent_Done,
     /* 1629660 */   // Label 22403: @1629660
     /* 1629660 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1629746), // Rule ID 10697 //
     /* 1629665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1629676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1629679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1629682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1629685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1629688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629711 */     // MIs[0] policy
     /* 1629711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1629724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629745 */     // GIR_Coverage, 10697,
     /* 1629745 */     GIR_EraseRootFromParent_Done,
     /* 1629746 */   // Label 22404: @1629746
     /* 1629746 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1629832), // Rule ID 10700 //
     /* 1629751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629797 */     // MIs[0] policy
     /* 1629797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1629810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629831 */     // GIR_Coverage, 10700,
     /* 1629831 */     GIR_EraseRootFromParent_Done,
     /* 1629832 */   // Label 22405: @1629832
     /* 1629832 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1629918), // Rule ID 10701 //
     /* 1629837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629883 */     // MIs[0] policy
     /* 1629883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1629896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629917 */     // GIR_Coverage, 10701,
     /* 1629917 */     GIR_EraseRootFromParent_Done,
     /* 1629918 */   // Label 22406: @1629918
     /* 1629918 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1630004), // Rule ID 10704 //
     /* 1629923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1629931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1629943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629969 */     // MIs[0] policy
     /* 1629969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1629982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630003 */     // GIR_Coverage, 10704,
     /* 1630003 */     GIR_EraseRootFromParent_Done,
     /* 1630004 */   // Label 22407: @1630004
     /* 1630004 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1630090), // Rule ID 10705 //
     /* 1630009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1630026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1630029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630055 */     // MIs[0] policy
     /* 1630055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630065 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1630068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630089 */     // GIR_Coverage, 10705,
     /* 1630089 */     GIR_EraseRootFromParent_Done,
     /* 1630090 */   // Label 22408: @1630090
     /* 1630090 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1630176), // Rule ID 10708 //
     /* 1630095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1630115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630141 */     // MIs[0] policy
     /* 1630141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1630154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630175 */     // GIR_Coverage, 10708,
     /* 1630175 */     GIR_EraseRootFromParent_Done,
     /* 1630176 */   // Label 22409: @1630176
     /* 1630176 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1630262), // Rule ID 10709 //
     /* 1630181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1630192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1630195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1630198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1630201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630227 */     // MIs[0] policy
     /* 1630227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630237 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1630240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630261 */     // GIR_Coverage, 10709,
     /* 1630261 */     GIR_EraseRootFromParent_Done,
     /* 1630262 */   // Label 22410: @1630262
     /* 1630262 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1630348), // Rule ID 10712 //
     /* 1630267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1630270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1630287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630313 */     // MIs[0] policy
     /* 1630313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1630326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630347 */     // GIR_Coverage, 10712,
     /* 1630347 */     GIR_EraseRootFromParent_Done,
     /* 1630348 */   // Label 22411: @1630348
     /* 1630348 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1630434), // Rule ID 10713 //
     /* 1630353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1630356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1630373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630399 */     // MIs[0] policy
     /* 1630399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1630412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630433 */     // GIR_Coverage, 10713,
     /* 1630433 */     GIR_EraseRootFromParent_Done,
     /* 1630434 */   // Label 22412: @1630434
     /* 1630434 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1630520), // Rule ID 10716 //
     /* 1630439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1630442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1630459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630485 */     // MIs[0] policy
     /* 1630485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1630498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630519 */     // GIR_Coverage, 10716,
     /* 1630519 */     GIR_EraseRootFromParent_Done,
     /* 1630520 */   // Label 22413: @1630520
     /* 1630520 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1630606), // Rule ID 10717 //
     /* 1630525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1630528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1630545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630571 */     // MIs[0] policy
     /* 1630571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630581 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1630584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630605 */     // GIR_Coverage, 10717,
     /* 1630605 */     GIR_EraseRootFromParent_Done,
     /* 1630606 */   // Label 22414: @1630606
     /* 1630606 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1630692), // Rule ID 10720 //
     /* 1630611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1630614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1630631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630657 */     // MIs[0] policy
     /* 1630657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630667 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1630670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630691 */     // GIR_Coverage, 10720,
     /* 1630691 */     GIR_EraseRootFromParent_Done,
     /* 1630692 */   // Label 22415: @1630692
     /* 1630692 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1630778), // Rule ID 10721 //
     /* 1630697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1630700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1630717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630743 */     // MIs[0] policy
     /* 1630743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1630756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1630774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630777 */     // GIR_Coverage, 10721,
     /* 1630777 */     GIR_EraseRootFromParent_Done,
     /* 1630778 */   // Label 22416: @1630778
     /* 1630778 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1630864), // Rule ID 10724 //
     /* 1630783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1630794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1630797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1630800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630829 */     // MIs[0] policy
     /* 1630829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630839 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1630842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630863 */     // GIR_Coverage, 10724,
     /* 1630863 */     GIR_EraseRootFromParent_Done,
     /* 1630864 */   // Label 22417: @1630864
     /* 1630864 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1630950), // Rule ID 10725 //
     /* 1630869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1630880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1630883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1630886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630915 */     // MIs[0] policy
     /* 1630915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630925 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1630928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630949 */     // GIR_Coverage, 10725,
     /* 1630949 */     GIR_EraseRootFromParent_Done,
     /* 1630950 */   // Label 22418: @1630950
     /* 1630950 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1631036), // Rule ID 10728 //
     /* 1630955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1630963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1630966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1630969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1630972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631001 */     // MIs[0] policy
     /* 1631001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631011 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1631014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631035 */     // GIR_Coverage, 10728,
     /* 1631035 */     GIR_EraseRootFromParent_Done,
     /* 1631036 */   // Label 22419: @1631036
     /* 1631036 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1631122), // Rule ID 10729 //
     /* 1631041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1631052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1631055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1631058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631087 */     // MIs[0] policy
     /* 1631087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1631100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631121 */     // GIR_Coverage, 10729,
     /* 1631121 */     GIR_EraseRootFromParent_Done,
     /* 1631122 */   // Label 22420: @1631122
     /* 1631122 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1631208), // Rule ID 10732 //
     /* 1631127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1631138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1631141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1631144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631173 */     // MIs[0] policy
     /* 1631173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631183 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631207 */     // GIR_Coverage, 10732,
     /* 1631207 */     GIR_EraseRootFromParent_Done,
     /* 1631208 */   // Label 22421: @1631208
     /* 1631208 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1631294), // Rule ID 10733 //
     /* 1631213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1631224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1631227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1631230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631259 */     // MIs[0] policy
     /* 1631259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631269 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631293 */     // GIR_Coverage, 10733,
     /* 1631293 */     GIR_EraseRootFromParent_Done,
     /* 1631294 */   // Label 22422: @1631294
     /* 1631294 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1631380), // Rule ID 10736 //
     /* 1631299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631345 */     // MIs[0] policy
     /* 1631345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1631358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631379 */     // GIR_Coverage, 10736,
     /* 1631379 */     GIR_EraseRootFromParent_Done,
     /* 1631380 */   // Label 22423: @1631380
     /* 1631380 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1631466), // Rule ID 10737 //
     /* 1631385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631431 */     // MIs[0] policy
     /* 1631431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1631444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631465 */     // GIR_Coverage, 10737,
     /* 1631465 */     GIR_EraseRootFromParent_Done,
     /* 1631466 */   // Label 22424: @1631466
     /* 1631466 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1631552), // Rule ID 10740 //
     /* 1631471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631517 */     // MIs[0] policy
     /* 1631517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631551 */     // GIR_Coverage, 10740,
     /* 1631551 */     GIR_EraseRootFromParent_Done,
     /* 1631552 */   // Label 22425: @1631552
     /* 1631552 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1631638), // Rule ID 10741 //
     /* 1631557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631603 */     // MIs[0] policy
     /* 1631603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631613 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631637 */     // GIR_Coverage, 10741,
     /* 1631637 */     GIR_EraseRootFromParent_Done,
     /* 1631638 */   // Label 22426: @1631638
     /* 1631638 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1631724), // Rule ID 10744 //
     /* 1631643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631689 */     // MIs[0] policy
     /* 1631689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631723 */     // GIR_Coverage, 10744,
     /* 1631723 */     GIR_EraseRootFromParent_Done,
     /* 1631724 */   // Label 22427: @1631724
     /* 1631724 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1631810), // Rule ID 10745 //
     /* 1631729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631775 */     // MIs[0] policy
     /* 1631775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1631788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631809 */     // GIR_Coverage, 10745,
     /* 1631809 */     GIR_EraseRootFromParent_Done,
     /* 1631810 */   // Label 22428: @1631810
     /* 1631810 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1631896), // Rule ID 10748 //
     /* 1631815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1631826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1631829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1631832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631861 */     // MIs[0] policy
     /* 1631861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1631874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631895 */     // GIR_Coverage, 10748,
     /* 1631895 */     GIR_EraseRootFromParent_Done,
     /* 1631896 */   // Label 22429: @1631896
     /* 1631896 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1631982), // Rule ID 10749 //
     /* 1631901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1631912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1631915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1631918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631947 */     // MIs[0] policy
     /* 1631947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1631960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631981 */     // GIR_Coverage, 10749,
     /* 1631981 */     GIR_EraseRootFromParent_Done,
     /* 1631982 */   // Label 22430: @1631982
     /* 1631982 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1632068), // Rule ID 10752 //
     /* 1631987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1631995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632033 */     // MIs[0] policy
     /* 1632033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632067 */     // GIR_Coverage, 10752,
     /* 1632067 */     GIR_EraseRootFromParent_Done,
     /* 1632068 */   // Label 22431: @1632068
     /* 1632068 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1632154), // Rule ID 10753 //
     /* 1632073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632119 */     // MIs[0] policy
     /* 1632119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632153 */     // GIR_Coverage, 10753,
     /* 1632153 */     GIR_EraseRootFromParent_Done,
     /* 1632154 */   // Label 22432: @1632154
     /* 1632154 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1632240), // Rule ID 10756 //
     /* 1632159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632205 */     // MIs[0] policy
     /* 1632205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632239 */     // GIR_Coverage, 10756,
     /* 1632239 */     GIR_EraseRootFromParent_Done,
     /* 1632240 */   // Label 22433: @1632240
     /* 1632240 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1632326), // Rule ID 10757 //
     /* 1632245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632291 */     // MIs[0] policy
     /* 1632291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632325 */     // GIR_Coverage, 10757,
     /* 1632325 */     GIR_EraseRootFromParent_Done,
     /* 1632326 */   // Label 22434: @1632326
     /* 1632326 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1632412), // Rule ID 10760 //
     /* 1632331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1632334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632377 */     // MIs[0] policy
     /* 1632377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1632408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632411 */     // GIR_Coverage, 10760,
     /* 1632411 */     GIR_EraseRootFromParent_Done,
     /* 1632412 */   // Label 22435: @1632412
     /* 1632412 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1632498), // Rule ID 10761 //
     /* 1632417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1632420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632463 */     // MIs[0] policy
     /* 1632463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1632476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1632494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632497 */     // GIR_Coverage, 10761,
     /* 1632497 */     GIR_EraseRootFromParent_Done,
     /* 1632498 */   // Label 22436: @1632498
     /* 1632498 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1632584), // Rule ID 10764 //
     /* 1632503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1632514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1632517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1632520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632549 */     // MIs[0] policy
     /* 1632549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1632562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632583 */     // GIR_Coverage, 10764,
     /* 1632583 */     GIR_EraseRootFromParent_Done,
     /* 1632584 */   // Label 22437: @1632584
     /* 1632584 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1632670), // Rule ID 10765 //
     /* 1632589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1632600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1632603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1632606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632635 */     // MIs[0] policy
     /* 1632635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1632648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632669 */     // GIR_Coverage, 10765,
     /* 1632669 */     GIR_EraseRootFromParent_Done,
     /* 1632670 */   // Label 22438: @1632670
     /* 1632670 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1632756), // Rule ID 10768 //
     /* 1632675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1632686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1632689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1632692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632721 */     // MIs[0] policy
     /* 1632721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1632734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632755 */     // GIR_Coverage, 10768,
     /* 1632755 */     GIR_EraseRootFromParent_Done,
     /* 1632756 */   // Label 22439: @1632756
     /* 1632756 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1632842), // Rule ID 10769 //
     /* 1632761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1632772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1632775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1632778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632807 */     // MIs[0] policy
     /* 1632807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632817 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1632820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632841 */     // GIR_Coverage, 10769,
     /* 1632841 */     GIR_EraseRootFromParent_Done,
     /* 1632842 */   // Label 22440: @1632842
     /* 1632842 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1632928), // Rule ID 10772 //
     /* 1632847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1632858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1632861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1632864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1632870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632893 */     // MIs[0] policy
     /* 1632893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1632906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632927 */     // GIR_Coverage, 10772,
     /* 1632927 */     GIR_EraseRootFromParent_Done,
     /* 1632928 */   // Label 22441: @1632928
     /* 1632928 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1633014), // Rule ID 10773 //
     /* 1632933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1632941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1632944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1632947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1632950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1632956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632979 */     // MIs[0] policy
     /* 1632979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632989 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1632992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633013 */     // GIR_Coverage, 10773,
     /* 1633013 */     GIR_EraseRootFromParent_Done,
     /* 1633014 */   // Label 22442: @1633014
     /* 1633014 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1633100), // Rule ID 10776 //
     /* 1633019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633065 */     // MIs[0] policy
     /* 1633065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1633078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633099 */     // GIR_Coverage, 10776,
     /* 1633099 */     GIR_EraseRootFromParent_Done,
     /* 1633100 */   // Label 22443: @1633100
     /* 1633100 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1633186), // Rule ID 10777 //
     /* 1633105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633151 */     // MIs[0] policy
     /* 1633151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1633164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633185 */     // GIR_Coverage, 10777,
     /* 1633185 */     GIR_EraseRootFromParent_Done,
     /* 1633186 */   // Label 22444: @1633186
     /* 1633186 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1633272), // Rule ID 10780 //
     /* 1633191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633237 */     // MIs[0] policy
     /* 1633237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1633250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633271 */     // GIR_Coverage, 10780,
     /* 1633271 */     GIR_EraseRootFromParent_Done,
     /* 1633272 */   // Label 22445: @1633272
     /* 1633272 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1633358), // Rule ID 10781 //
     /* 1633277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633323 */     // MIs[0] policy
     /* 1633323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1633336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633357 */     // GIR_Coverage, 10781,
     /* 1633357 */     GIR_EraseRootFromParent_Done,
     /* 1633358 */   // Label 22446: @1633358
     /* 1633358 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1633444), // Rule ID 10784 //
     /* 1633363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633409 */     // MIs[0] policy
     /* 1633409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1633422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633443 */     // GIR_Coverage, 10784,
     /* 1633443 */     GIR_EraseRootFromParent_Done,
     /* 1633444 */   // Label 22447: @1633444
     /* 1633444 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1633530), // Rule ID 10785 //
     /* 1633449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633495 */     // MIs[0] policy
     /* 1633495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1633508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633529 */     // GIR_Coverage, 10785,
     /* 1633529 */     GIR_EraseRootFromParent_Done,
     /* 1633530 */   // Label 22448: @1633530
     /* 1633530 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1633616), // Rule ID 10788 //
     /* 1633535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633581 */     // MIs[0] policy
     /* 1633581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1633594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633615 */     // GIR_Coverage, 10788,
     /* 1633615 */     GIR_EraseRootFromParent_Done,
     /* 1633616 */   // Label 22449: @1633616
     /* 1633616 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1633702), // Rule ID 10789 //
     /* 1633621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633667 */     // MIs[0] policy
     /* 1633667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1633680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633701 */     // GIR_Coverage, 10789,
     /* 1633701 */     GIR_EraseRootFromParent_Done,
     /* 1633702 */   // Label 22450: @1633702
     /* 1633702 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1633788), // Rule ID 10792 //
     /* 1633707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633753 */     // MIs[0] policy
     /* 1633753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633763 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1633766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633787 */     // GIR_Coverage, 10792,
     /* 1633787 */     GIR_EraseRootFromParent_Done,
     /* 1633788 */   // Label 22451: @1633788
     /* 1633788 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1633874), // Rule ID 10793 //
     /* 1633793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633839 */     // MIs[0] policy
     /* 1633839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1633852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633873 */     // GIR_Coverage, 10793,
     /* 1633873 */     GIR_EraseRootFromParent_Done,
     /* 1633874 */   // Label 22452: @1633874
     /* 1633874 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1633960), // Rule ID 10796 //
     /* 1633879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633925 */     // MIs[0] policy
     /* 1633925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633935 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1633938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633959 */     // GIR_Coverage, 10796,
     /* 1633959 */     GIR_EraseRootFromParent_Done,
     /* 1633960 */   // Label 22453: @1633960
     /* 1633960 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1634046), // Rule ID 10797 //
     /* 1633965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1633973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634011 */     // MIs[0] policy
     /* 1634011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1634024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634045 */     // GIR_Coverage, 10797,
     /* 1634045 */     GIR_EraseRootFromParent_Done,
     /* 1634046 */   // Label 22454: @1634046
     /* 1634046 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1634132), // Rule ID 10800 //
     /* 1634051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1634054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634097 */     // MIs[0] policy
     /* 1634097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1634110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634131 */     // GIR_Coverage, 10800,
     /* 1634131 */     GIR_EraseRootFromParent_Done,
     /* 1634132 */   // Label 22455: @1634132
     /* 1634132 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1634218), // Rule ID 10801 //
     /* 1634137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1634140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634183 */     // MIs[0] policy
     /* 1634183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1634196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634217 */     // GIR_Coverage, 10801,
     /* 1634217 */     GIR_EraseRootFromParent_Done,
     /* 1634218 */   // Label 22456: @1634218
     /* 1634218 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1634304), // Rule ID 10804 //
     /* 1634223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1634226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634269 */     // MIs[0] policy
     /* 1634269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634279 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1634282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634303 */     // GIR_Coverage, 10804,
     /* 1634303 */     GIR_EraseRootFromParent_Done,
     /* 1634304 */   // Label 22457: @1634304
     /* 1634304 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1634390), // Rule ID 10805 //
     /* 1634309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1634312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634355 */     // MIs[0] policy
     /* 1634355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1634368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634389 */     // GIR_Coverage, 10805,
     /* 1634389 */     GIR_EraseRootFromParent_Done,
     /* 1634390 */   // Label 22458: @1634390
     /* 1634390 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1634476), // Rule ID 10808 //
     /* 1634395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1634398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634441 */     // MIs[0] policy
     /* 1634441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1634454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634475 */     // GIR_Coverage, 10808,
     /* 1634475 */     GIR_EraseRootFromParent_Done,
     /* 1634476 */   // Label 22459: @1634476
     /* 1634476 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1634562), // Rule ID 10809 //
     /* 1634481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1634484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1634489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634527 */     // MIs[0] policy
     /* 1634527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1634540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1634558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634561 */     // GIR_Coverage, 10809,
     /* 1634561 */     GIR_EraseRootFromParent_Done,
     /* 1634562 */   // Label 22460: @1634562
     /* 1634562 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1634648), // Rule ID 10812 //
     /* 1634567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1634575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1634578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1634581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1634584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1634587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634613 */     // MIs[0] policy
     /* 1634613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634623 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1634626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634647 */     // GIR_Coverage, 10812,
     /* 1634647 */     GIR_EraseRootFromParent_Done,
     /* 1634648 */   // Label 22461: @1634648
     /* 1634648 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1634734), // Rule ID 10813 //
     /* 1634653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1634661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1634664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1634667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1634670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1634673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634699 */     // MIs[0] policy
     /* 1634699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1634712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634733 */     // GIR_Coverage, 10813,
     /* 1634733 */     GIR_EraseRootFromParent_Done,
     /* 1634734 */   // Label 22462: @1634734
     /* 1634734 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1634820), // Rule ID 10816 //
     /* 1634739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1634747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1634750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1634753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1634756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1634759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634785 */     // MIs[0] policy
     /* 1634785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634795 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1634798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634819 */     // GIR_Coverage, 10816,
     /* 1634819 */     GIR_EraseRootFromParent_Done,
     /* 1634820 */   // Label 22463: @1634820
     /* 1634820 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1634906), // Rule ID 10817 //
     /* 1634825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1634833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1634836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1634839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1634842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1634845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634871 */     // MIs[0] policy
     /* 1634871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634881 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1634884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634905 */     // GIR_Coverage, 10817,
     /* 1634905 */     GIR_EraseRootFromParent_Done,
     /* 1634906 */   // Label 22464: @1634906
     /* 1634906 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1634992), // Rule ID 10820 //
     /* 1634911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1634919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1634922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1634925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1634928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1634931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634957 */     // MIs[0] policy
     /* 1634957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1634970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634991 */     // GIR_Coverage, 10820,
     /* 1634991 */     GIR_EraseRootFromParent_Done,
     /* 1634992 */   // Label 22465: @1634992
     /* 1634992 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1635078), // Rule ID 10821 //
     /* 1634997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1635008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1635011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1635014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635043 */     // MIs[0] policy
     /* 1635043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635053 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1635056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635077 */     // GIR_Coverage, 10821,
     /* 1635077 */     GIR_EraseRootFromParent_Done,
     /* 1635078 */   // Label 22466: @1635078
     /* 1635078 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1635164), // Rule ID 10824 //
     /* 1635083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1635103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635129 */     // MIs[0] policy
     /* 1635129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1635142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635163 */     // GIR_Coverage, 10824,
     /* 1635163 */     GIR_EraseRootFromParent_Done,
     /* 1635164 */   // Label 22467: @1635164
     /* 1635164 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1635250), // Rule ID 10825 //
     /* 1635169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1635189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635215 */     // MIs[0] policy
     /* 1635215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1635228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635249 */     // GIR_Coverage, 10825,
     /* 1635249 */     GIR_EraseRootFromParent_Done,
     /* 1635250 */   // Label 22468: @1635250
     /* 1635250 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1635336), // Rule ID 10828 //
     /* 1635255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1635275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635301 */     // MIs[0] policy
     /* 1635301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1635314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635335 */     // GIR_Coverage, 10828,
     /* 1635335 */     GIR_EraseRootFromParent_Done,
     /* 1635336 */   // Label 22469: @1635336
     /* 1635336 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1635422), // Rule ID 10829 //
     /* 1635341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1635361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635387 */     // MIs[0] policy
     /* 1635387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1635400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635421 */     // GIR_Coverage, 10829,
     /* 1635421 */     GIR_EraseRootFromParent_Done,
     /* 1635422 */   // Label 22470: @1635422
     /* 1635422 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1635508), // Rule ID 10832 //
     /* 1635427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1635447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635473 */     // MIs[0] policy
     /* 1635473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1635486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635507 */     // GIR_Coverage, 10832,
     /* 1635507 */     GIR_EraseRootFromParent_Done,
     /* 1635508 */   // Label 22471: @1635508
     /* 1635508 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1635594), // Rule ID 10833 //
     /* 1635513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1635533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635559 */     // MIs[0] policy
     /* 1635559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1635572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635593 */     // GIR_Coverage, 10833,
     /* 1635593 */     GIR_EraseRootFromParent_Done,
     /* 1635594 */   // Label 22472: @1635594
     /* 1635594 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1635680), // Rule ID 10836 //
     /* 1635599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1635610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1635613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1635616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635645 */     // MIs[0] policy
     /* 1635645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1635658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635679 */     // GIR_Coverage, 10836,
     /* 1635679 */     GIR_EraseRootFromParent_Done,
     /* 1635680 */   // Label 22473: @1635680
     /* 1635680 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1635766), // Rule ID 10837 //
     /* 1635685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1635696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1635699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1635702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635731 */     // MIs[0] policy
     /* 1635731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1635744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635765 */     // GIR_Coverage, 10837,
     /* 1635765 */     GIR_EraseRootFromParent_Done,
     /* 1635766 */   // Label 22474: @1635766
     /* 1635766 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1635852), // Rule ID 10840 //
     /* 1635771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1635791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635817 */     // MIs[0] policy
     /* 1635817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1635830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635851 */     // GIR_Coverage, 10840,
     /* 1635851 */     GIR_EraseRootFromParent_Done,
     /* 1635852 */   // Label 22475: @1635852
     /* 1635852 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1635938), // Rule ID 10841 //
     /* 1635857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1635877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635903 */     // MIs[0] policy
     /* 1635903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1635916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635937 */     // GIR_Coverage, 10841,
     /* 1635937 */     GIR_EraseRootFromParent_Done,
     /* 1635938 */   // Label 22476: @1635938
     /* 1635938 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1636024), // Rule ID 10844 //
     /* 1635943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1635951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1635963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635989 */     // MIs[0] policy
     /* 1635989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1636002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636023 */     // GIR_Coverage, 10844,
     /* 1636023 */     GIR_EraseRootFromParent_Done,
     /* 1636024 */   // Label 22477: @1636024
     /* 1636024 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1636110), // Rule ID 10845 //
     /* 1636029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1636049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636075 */     // MIs[0] policy
     /* 1636075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636085 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1636088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636109 */     // GIR_Coverage, 10845,
     /* 1636109 */     GIR_EraseRootFromParent_Done,
     /* 1636110 */   // Label 22478: @1636110
     /* 1636110 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1636196), // Rule ID 10848 //
     /* 1636115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1636118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1636135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636161 */     // MIs[0] policy
     /* 1636161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636171 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1636174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1636192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636195 */     // GIR_Coverage, 10848,
     /* 1636195 */     GIR_EraseRootFromParent_Done,
     /* 1636196 */   // Label 22479: @1636196
     /* 1636196 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1636282), // Rule ID 10849 //
     /* 1636201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1636204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1636221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636247 */     // MIs[0] policy
     /* 1636247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1636260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1636278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636281 */     // GIR_Coverage, 10849,
     /* 1636281 */     GIR_EraseRootFromParent_Done,
     /* 1636282 */   // Label 22480: @1636282
     /* 1636282 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1636368), // Rule ID 10852 //
     /* 1636287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1636298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1636301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1636304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636333 */     // MIs[0] policy
     /* 1636333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1636346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636367 */     // GIR_Coverage, 10852,
     /* 1636367 */     GIR_EraseRootFromParent_Done,
     /* 1636368 */   // Label 22481: @1636368
     /* 1636368 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1636454), // Rule ID 10853 //
     /* 1636373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1636384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1636387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1636390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1636393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636419 */     // MIs[0] policy
     /* 1636419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636429 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1636432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636453 */     // GIR_Coverage, 10853,
     /* 1636453 */     GIR_EraseRootFromParent_Done,
     /* 1636454 */   // Label 22482: @1636454
     /* 1636454 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1636540), // Rule ID 10856 //
     /* 1636459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1636470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1636473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1636476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636505 */     // MIs[0] policy
     /* 1636505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636515 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1636518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636539 */     // GIR_Coverage, 10856,
     /* 1636539 */     GIR_EraseRootFromParent_Done,
     /* 1636540 */   // Label 22483: @1636540
     /* 1636540 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1636626), // Rule ID 10857 //
     /* 1636545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1636556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1636559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1636562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636591 */     // MIs[0] policy
     /* 1636591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1636604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636625 */     // GIR_Coverage, 10857,
     /* 1636625 */     GIR_EraseRootFromParent_Done,
     /* 1636626 */   // Label 22484: @1636626
     /* 1636626 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1636712), // Rule ID 10860 //
     /* 1636631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1636642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1636645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1636648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1636651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1636654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636677 */     // MIs[0] policy
     /* 1636677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1636690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636711 */     // GIR_Coverage, 10860,
     /* 1636711 */     GIR_EraseRootFromParent_Done,
     /* 1636712 */   // Label 22485: @1636712
     /* 1636712 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1636798), // Rule ID 10861 //
     /* 1636717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1636728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1636731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1636734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1636737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1636740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636763 */     // MIs[0] policy
     /* 1636763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636773 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1636776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636797 */     // GIR_Coverage, 10861,
     /* 1636797 */     GIR_EraseRootFromParent_Done,
     /* 1636798 */   // Label 22486: @1636798
     /* 1636798 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1636884), // Rule ID 10864 //
     /* 1636803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636849 */     // MIs[0] policy
     /* 1636849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1636862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636883 */     // GIR_Coverage, 10864,
     /* 1636883 */     GIR_EraseRootFromParent_Done,
     /* 1636884 */   // Label 22487: @1636884
     /* 1636884 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1636970), // Rule ID 10865 //
     /* 1636889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1636900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1636903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636935 */     // MIs[0] policy
     /* 1636935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1636948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636969 */     // GIR_Coverage, 10865,
     /* 1636969 */     GIR_EraseRootFromParent_Done,
     /* 1636970 */   // Label 22488: @1636970
     /* 1636970 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1637056), // Rule ID 10868 //
     /* 1636975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1636983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1636986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1636989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1636995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637021 */     // MIs[0] policy
     /* 1637021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1637034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637055 */     // GIR_Coverage, 10868,
     /* 1637055 */     GIR_EraseRootFromParent_Done,
     /* 1637056 */   // Label 22489: @1637056
     /* 1637056 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1637142), // Rule ID 10869 //
     /* 1637061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637107 */     // MIs[0] policy
     /* 1637107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637117 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1637120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637141 */     // GIR_Coverage, 10869,
     /* 1637141 */     GIR_EraseRootFromParent_Done,
     /* 1637142 */   // Label 22490: @1637142
     /* 1637142 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1637228), // Rule ID 10872 //
     /* 1637147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1637167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637193 */     // MIs[0] policy
     /* 1637193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1637206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637227 */     // GIR_Coverage, 10872,
     /* 1637227 */     GIR_EraseRootFromParent_Done,
     /* 1637228 */   // Label 22491: @1637228
     /* 1637228 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1637314), // Rule ID 10873 //
     /* 1637233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1637253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637279 */     // MIs[0] policy
     /* 1637279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637289 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1637292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637313 */     // GIR_Coverage, 10873,
     /* 1637313 */     GIR_EraseRootFromParent_Done,
     /* 1637314 */   // Label 22492: @1637314
     /* 1637314 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1637400), // Rule ID 10876 //
     /* 1637319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637365 */     // MIs[0] policy
     /* 1637365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1637378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637399 */     // GIR_Coverage, 10876,
     /* 1637399 */     GIR_EraseRootFromParent_Done,
     /* 1637400 */   // Label 22493: @1637400
     /* 1637400 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1637486), // Rule ID 10877 //
     /* 1637405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1637416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1637419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1637422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637451 */     // MIs[0] policy
     /* 1637451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1637464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637485 */     // GIR_Coverage, 10877,
     /* 1637485 */     GIR_EraseRootFromParent_Done,
     /* 1637486 */   // Label 22494: @1637486
     /* 1637486 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1637572), // Rule ID 10880 //
     /* 1637491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637537 */     // MIs[0] policy
     /* 1637537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1637550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637571 */     // GIR_Coverage, 10880,
     /* 1637571 */     GIR_EraseRootFromParent_Done,
     /* 1637572 */   // Label 22495: @1637572
     /* 1637572 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1637658), // Rule ID 10881 //
     /* 1637577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1637588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1637591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637623 */     // MIs[0] policy
     /* 1637623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1637636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637657 */     // GIR_Coverage, 10881,
     /* 1637657 */     GIR_EraseRootFromParent_Done,
     /* 1637658 */   // Label 22496: @1637658
     /* 1637658 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1637744), // Rule ID 10884 //
     /* 1637663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1637683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637709 */     // MIs[0] policy
     /* 1637709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1637722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637743 */     // GIR_Coverage, 10884,
     /* 1637743 */     GIR_EraseRootFromParent_Done,
     /* 1637744 */   // Label 22497: @1637744
     /* 1637744 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1637830), // Rule ID 10885 //
     /* 1637749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1637769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637795 */     // MIs[0] policy
     /* 1637795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1637808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637829 */     // GIR_Coverage, 10885,
     /* 1637829 */     GIR_EraseRootFromParent_Done,
     /* 1637830 */   // Label 22498: @1637830
     /* 1637830 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1637916), // Rule ID 10888 //
     /* 1637835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1637838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1637855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637881 */     // MIs[0] policy
     /* 1637881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1637894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1637912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637915 */     // GIR_Coverage, 10888,
     /* 1637915 */     GIR_EraseRootFromParent_Done,
     /* 1637916 */   // Label 22499: @1637916
     /* 1637916 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1638002), // Rule ID 10889 //
     /* 1637921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1637924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1637929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1637941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637967 */     // MIs[0] policy
     /* 1637967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1637980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1637998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638001 */     // GIR_Coverage, 10889,
     /* 1638001 */     GIR_EraseRootFromParent_Done,
     /* 1638002 */   // Label 22500: @1638002
     /* 1638002 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1638088), // Rule ID 10892 //
     /* 1638007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1638010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1638027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638053 */     // MIs[0] policy
     /* 1638053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638063 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1638066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1638084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638087 */     // GIR_Coverage, 10892,
     /* 1638087 */     GIR_EraseRootFromParent_Done,
     /* 1638088 */   // Label 22501: @1638088
     /* 1638088 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1638174), // Rule ID 10893 //
     /* 1638093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1638096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1638104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1638107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1638110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1638113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638139 */     // MIs[0] policy
     /* 1638139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1638152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1638170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638173 */     // GIR_Coverage, 10893,
     /* 1638173 */     GIR_EraseRootFromParent_Done,
     /* 1638174 */   // Label 22502: @1638174
     /* 1638174 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1638260), // Rule ID 10896 //
     /* 1638179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1638182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1638199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638225 */     // MIs[0] policy
     /* 1638225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1638238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1638256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638259 */     // GIR_Coverage, 10896,
     /* 1638259 */     GIR_EraseRootFromParent_Done,
     /* 1638260 */   // Label 22503: @1638260
     /* 1638260 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1638346), // Rule ID 10897 //
     /* 1638265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1638268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1638276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1638279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1638282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1638285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638311 */     // MIs[0] policy
     /* 1638311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1638324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1638342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638345 */     // GIR_Coverage, 10897,
     /* 1638345 */     GIR_EraseRootFromParent_Done,
     /* 1638346 */   // Label 22504: @1638346
     /* 1638346 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1638432), // Rule ID 10900 //
     /* 1638351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1638362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1638365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1638368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638397 */     // MIs[0] policy
     /* 1638397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1638410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638431 */     // GIR_Coverage, 10900,
     /* 1638431 */     GIR_EraseRootFromParent_Done,
     /* 1638432 */   // Label 22505: @1638432
     /* 1638432 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1638518), // Rule ID 10901 //
     /* 1638437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1638448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1638451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1638454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638483 */     // MIs[0] policy
     /* 1638483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1638496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638517 */     // GIR_Coverage, 10901,
     /* 1638517 */     GIR_EraseRootFromParent_Done,
     /* 1638518 */   // Label 22506: @1638518
     /* 1638518 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1638604), // Rule ID 10904 //
     /* 1638523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1638534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1638537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1638540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638569 */     // MIs[0] policy
     /* 1638569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638579 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1638582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638603 */     // GIR_Coverage, 10904,
     /* 1638603 */     GIR_EraseRootFromParent_Done,
     /* 1638604 */   // Label 22507: @1638604
     /* 1638604 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1638690), // Rule ID 10905 //
     /* 1638609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1638620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1638623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1638626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638655 */     // MIs[0] policy
     /* 1638655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638665 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1638668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638689 */     // GIR_Coverage, 10905,
     /* 1638689 */     GIR_EraseRootFromParent_Done,
     /* 1638690 */   // Label 22508: @1638690
     /* 1638690 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1638776), // Rule ID 10908 //
     /* 1638695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1638706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1638709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1638712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638741 */     // MIs[0] policy
     /* 1638741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1638754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638775 */     // GIR_Coverage, 10908,
     /* 1638775 */     GIR_EraseRootFromParent_Done,
     /* 1638776 */   // Label 22509: @1638776
     /* 1638776 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1638862), // Rule ID 10909 //
     /* 1638781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1638792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1638795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1638798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638827 */     // MIs[0] policy
     /* 1638827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638837 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1638840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638861 */     // GIR_Coverage, 10909,
     /* 1638861 */     GIR_EraseRootFromParent_Done,
     /* 1638862 */   // Label 22510: @1638862
     /* 1638862 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1638948), // Rule ID 10912 //
     /* 1638867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638913 */     // MIs[0] policy
     /* 1638913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1638926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638947 */     // GIR_Coverage, 10912,
     /* 1638947 */     GIR_EraseRootFromParent_Done,
     /* 1638948 */   // Label 22511: @1638948
     /* 1638948 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1639034), // Rule ID 10913 //
     /* 1638953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1638961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1638964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1638967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1638970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638999 */     // MIs[0] policy
     /* 1638999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1639012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639033 */     // GIR_Coverage, 10913,
     /* 1639033 */     GIR_EraseRootFromParent_Done,
     /* 1639034 */   // Label 22512: @1639034
     /* 1639034 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1639120), // Rule ID 10916 //
     /* 1639039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639085 */     // MIs[0] policy
     /* 1639085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1639098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639119 */     // GIR_Coverage, 10916,
     /* 1639119 */     GIR_EraseRootFromParent_Done,
     /* 1639120 */   // Label 22513: @1639120
     /* 1639120 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1639206), // Rule ID 10917 //
     /* 1639125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639171 */     // MIs[0] policy
     /* 1639171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1639184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639205 */     // GIR_Coverage, 10917,
     /* 1639205 */     GIR_EraseRootFromParent_Done,
     /* 1639206 */   // Label 22514: @1639206
     /* 1639206 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1639292), // Rule ID 10920 //
     /* 1639211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639257 */     // MIs[0] policy
     /* 1639257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1639270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639291 */     // GIR_Coverage, 10920,
     /* 1639291 */     GIR_EraseRootFromParent_Done,
     /* 1639292 */   // Label 22515: @1639292
     /* 1639292 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1639378), // Rule ID 10921 //
     /* 1639297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1639308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1639311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1639314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639343 */     // MIs[0] policy
     /* 1639343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1639356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639377 */     // GIR_Coverage, 10921,
     /* 1639377 */     GIR_EraseRootFromParent_Done,
     /* 1639378 */   // Label 22516: @1639378
     /* 1639378 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1639464), // Rule ID 10924 //
     /* 1639383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1639394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1639397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1639400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639429 */     // MIs[0] policy
     /* 1639429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639439 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639463 */     // GIR_Coverage, 10924,
     /* 1639463 */     GIR_EraseRootFromParent_Done,
     /* 1639464 */   // Label 22517: @1639464
     /* 1639464 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1639550), // Rule ID 10925 //
     /* 1639469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1639480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1639483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1639486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639515 */     // MIs[0] policy
     /* 1639515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639525 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639549 */     // GIR_Coverage, 10925,
     /* 1639549 */     GIR_EraseRootFromParent_Done,
     /* 1639550 */   // Label 22518: @1639550
     /* 1639550 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1639636), // Rule ID 10928 //
     /* 1639555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639601 */     // MIs[0] policy
     /* 1639601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639635 */     // GIR_Coverage, 10928,
     /* 1639635 */     GIR_EraseRootFromParent_Done,
     /* 1639636 */   // Label 22519: @1639636
     /* 1639636 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1639722), // Rule ID 10929 //
     /* 1639641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639687 */     // MIs[0] policy
     /* 1639687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639721 */     // GIR_Coverage, 10929,
     /* 1639721 */     GIR_EraseRootFromParent_Done,
     /* 1639722 */   // Label 22520: @1639722
     /* 1639722 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1639808), // Rule ID 10932 //
     /* 1639727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639773 */     // MIs[0] policy
     /* 1639773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639807 */     // GIR_Coverage, 10932,
     /* 1639807 */     GIR_EraseRootFromParent_Done,
     /* 1639808 */   // Label 22521: @1639808
     /* 1639808 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1639894), // Rule ID 10933 //
     /* 1639813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639859 */     // MIs[0] policy
     /* 1639859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639893 */     // GIR_Coverage, 10933,
     /* 1639893 */     GIR_EraseRootFromParent_Done,
     /* 1639894 */   // Label 22522: @1639894
     /* 1639894 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1639980), // Rule ID 10936 //
     /* 1639899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1639902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639945 */     // MIs[0] policy
     /* 1639945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1639958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1639976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639979 */     // GIR_Coverage, 10936,
     /* 1639979 */     GIR_EraseRootFromParent_Done,
     /* 1639980 */   // Label 22523: @1639980
     /* 1639980 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1640066), // Rule ID 10937 //
     /* 1639985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1639988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1639993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1640002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640031 */     // MIs[0] policy
     /* 1640031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640041 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1640044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1640062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640065 */     // GIR_Coverage, 10937,
     /* 1640065 */     GIR_EraseRootFromParent_Done,
     /* 1640066 */   // Label 22524: @1640066
     /* 1640066 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1640152), // Rule ID 10940 //
     /* 1640071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1640082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1640085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1640088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640117 */     // MIs[0] policy
     /* 1640117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1640130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640151 */     // GIR_Coverage, 10940,
     /* 1640151 */     GIR_EraseRootFromParent_Done,
     /* 1640152 */   // Label 22525: @1640152
     /* 1640152 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1640238), // Rule ID 10941 //
     /* 1640157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1640168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1640171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1640174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640203 */     // MIs[0] policy
     /* 1640203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1640216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640237 */     // GIR_Coverage, 10941,
     /* 1640237 */     GIR_EraseRootFromParent_Done,
     /* 1640238 */   // Label 22526: @1640238
     /* 1640238 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1640324), // Rule ID 10944 //
     /* 1640243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1640254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1640257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1640260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640289 */     // MIs[0] policy
     /* 1640289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1640302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640323 */     // GIR_Coverage, 10944,
     /* 1640323 */     GIR_EraseRootFromParent_Done,
     /* 1640324 */   // Label 22527: @1640324
     /* 1640324 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1640410), // Rule ID 10945 //
     /* 1640329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1640340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1640343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1640346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640375 */     // MIs[0] policy
     /* 1640375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640385 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1640388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640409 */     // GIR_Coverage, 10945,
     /* 1640409 */     GIR_EraseRootFromParent_Done,
     /* 1640410 */   // Label 22528: @1640410
     /* 1640410 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1640496), // Rule ID 10948 //
     /* 1640415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1640426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1640429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1640432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1640438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640461 */     // MIs[0] policy
     /* 1640461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1640474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640495 */     // GIR_Coverage, 10948,
     /* 1640495 */     GIR_EraseRootFromParent_Done,
     /* 1640496 */   // Label 22529: @1640496
     /* 1640496 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1640582), // Rule ID 10949 //
     /* 1640501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1640512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1640515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1640518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1640524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640547 */     // MIs[0] policy
     /* 1640547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640557 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1640560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640581 */     // GIR_Coverage, 10949,
     /* 1640581 */     GIR_EraseRootFromParent_Done,
     /* 1640582 */   // Label 22530: @1640582
     /* 1640582 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1640668), // Rule ID 10952 //
     /* 1640587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640633 */     // MIs[0] policy
     /* 1640633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1640646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640667 */     // GIR_Coverage, 10952,
     /* 1640667 */     GIR_EraseRootFromParent_Done,
     /* 1640668 */   // Label 22531: @1640668
     /* 1640668 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1640754), // Rule ID 10953 //
     /* 1640673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640719 */     // MIs[0] policy
     /* 1640719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1640732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640753 */     // GIR_Coverage, 10953,
     /* 1640753 */     GIR_EraseRootFromParent_Done,
     /* 1640754 */   // Label 22532: @1640754
     /* 1640754 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1640840), // Rule ID 10956 //
     /* 1640759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640805 */     // MIs[0] policy
     /* 1640805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640815 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1640818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640839 */     // GIR_Coverage, 10956,
     /* 1640839 */     GIR_EraseRootFromParent_Done,
     /* 1640840 */   // Label 22533: @1640840
     /* 1640840 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1640926), // Rule ID 10957 //
     /* 1640845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640891 */     // MIs[0] policy
     /* 1640891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1640904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640925 */     // GIR_Coverage, 10957,
     /* 1640925 */     GIR_EraseRootFromParent_Done,
     /* 1640926 */   // Label 22534: @1640926
     /* 1640926 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1641012), // Rule ID 10960 //
     /* 1640931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1640939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640977 */     // MIs[0] policy
     /* 1640977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1640990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641011 */     // GIR_Coverage, 10960,
     /* 1641011 */     GIR_EraseRootFromParent_Done,
     /* 1641012 */   // Label 22535: @1641012
     /* 1641012 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1641098), // Rule ID 10961 //
     /* 1641017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641063 */     // MIs[0] policy
     /* 1641063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1641076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641097 */     // GIR_Coverage, 10961,
     /* 1641097 */     GIR_EraseRootFromParent_Done,
     /* 1641098 */   // Label 22536: @1641098
     /* 1641098 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1641184), // Rule ID 10964 //
     /* 1641103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641149 */     // MIs[0] policy
     /* 1641149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1641162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641183 */     // GIR_Coverage, 10964,
     /* 1641183 */     GIR_EraseRootFromParent_Done,
     /* 1641184 */   // Label 22537: @1641184
     /* 1641184 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1641270), // Rule ID 10965 //
     /* 1641189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641235 */     // MIs[0] policy
     /* 1641235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1641248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641269 */     // GIR_Coverage, 10965,
     /* 1641269 */     GIR_EraseRootFromParent_Done,
     /* 1641270 */   // Label 22538: @1641270
     /* 1641270 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1641356), // Rule ID 10968 //
     /* 1641275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641321 */     // MIs[0] policy
     /* 1641321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1641334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641355 */     // GIR_Coverage, 10968,
     /* 1641355 */     GIR_EraseRootFromParent_Done,
     /* 1641356 */   // Label 22539: @1641356
     /* 1641356 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1641442), // Rule ID 10969 //
     /* 1641361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641407 */     // MIs[0] policy
     /* 1641407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1641420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641441 */     // GIR_Coverage, 10969,
     /* 1641441 */     GIR_EraseRootFromParent_Done,
     /* 1641442 */   // Label 22540: @1641442
     /* 1641442 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1641528), // Rule ID 10972 //
     /* 1641447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641493 */     // MIs[0] policy
     /* 1641493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1641506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641527 */     // GIR_Coverage, 10972,
     /* 1641527 */     GIR_EraseRootFromParent_Done,
     /* 1641528 */   // Label 22541: @1641528
     /* 1641528 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1641614), // Rule ID 10973 //
     /* 1641533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641579 */     // MIs[0] policy
     /* 1641579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641589 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1641592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641613 */     // GIR_Coverage, 10973,
     /* 1641613 */     GIR_EraseRootFromParent_Done,
     /* 1641614 */   // Label 22542: @1641614
     /* 1641614 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1641700), // Rule ID 10976 //
     /* 1641619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1641622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641665 */     // MIs[0] policy
     /* 1641665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1641678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1641696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641699 */     // GIR_Coverage, 10976,
     /* 1641699 */     GIR_EraseRootFromParent_Done,
     /* 1641700 */   // Label 22543: @1641700
     /* 1641700 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1641786), // Rule ID 10977 //
     /* 1641705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1641708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641751 */     // MIs[0] policy
     /* 1641751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1641764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1641782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641785 */     // GIR_Coverage, 10977,
     /* 1641785 */     GIR_EraseRootFromParent_Done,
     /* 1641786 */   // Label 22544: @1641786
     /* 1641786 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1641872), // Rule ID 10980 //
     /* 1641791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1641794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641837 */     // MIs[0] policy
     /* 1641837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1641850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1641868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641871 */     // GIR_Coverage, 10980,
     /* 1641871 */     GIR_EraseRootFromParent_Done,
     /* 1641872 */   // Label 22545: @1641872
     /* 1641872 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1641958), // Rule ID 10981 //
     /* 1641877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1641880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641923 */     // MIs[0] policy
     /* 1641923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1641936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1641954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641957 */     // GIR_Coverage, 10981,
     /* 1641957 */     GIR_EraseRootFromParent_Done,
     /* 1641958 */   // Label 22546: @1641958
     /* 1641958 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1642044), // Rule ID 10984 //
     /* 1641963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1641966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1641971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642009 */     // MIs[0] policy
     /* 1642009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1642022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1642040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642043 */     // GIR_Coverage, 10984,
     /* 1642043 */     GIR_EraseRootFromParent_Done,
     /* 1642044 */   // Label 22547: @1642044
     /* 1642044 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1642130), // Rule ID 10985 //
     /* 1642049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1642052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1642057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642095 */     // MIs[0] policy
     /* 1642095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1642108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1642126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642129 */     // GIR_Coverage, 10985,
     /* 1642129 */     GIR_EraseRootFromParent_Done,
     /* 1642130 */   // Label 22548: @1642130
     /* 1642130 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1642216), // Rule ID 10988 //
     /* 1642135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1642146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1642149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1642152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642181 */     // MIs[0] policy
     /* 1642181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642191 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1642194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642215 */     // GIR_Coverage, 10988,
     /* 1642215 */     GIR_EraseRootFromParent_Done,
     /* 1642216 */   // Label 22549: @1642216
     /* 1642216 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1642302), // Rule ID 10989 //
     /* 1642221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1642232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1642235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1642238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642267 */     // MIs[0] policy
     /* 1642267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1642280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642301 */     // GIR_Coverage, 10989,
     /* 1642301 */     GIR_EraseRootFromParent_Done,
     /* 1642302 */   // Label 22550: @1642302
     /* 1642302 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1642388), // Rule ID 10992 //
     /* 1642307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1642318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1642321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1642324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642353 */     // MIs[0] policy
     /* 1642353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642363 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1642366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642387 */     // GIR_Coverage, 10992,
     /* 1642387 */     GIR_EraseRootFromParent_Done,
     /* 1642388 */   // Label 22551: @1642388
     /* 1642388 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1642474), // Rule ID 10993 //
     /* 1642393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1642404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1642407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1642410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642439 */     // MIs[0] policy
     /* 1642439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642449 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1642452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642473 */     // GIR_Coverage, 10993,
     /* 1642473 */     GIR_EraseRootFromParent_Done,
     /* 1642474 */   // Label 22552: @1642474
     /* 1642474 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1642560), // Rule ID 10996 //
     /* 1642479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1642490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1642493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1642496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1642499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642525 */     // MIs[0] policy
     /* 1642525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1642538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642559 */     // GIR_Coverage, 10996,
     /* 1642559 */     GIR_EraseRootFromParent_Done,
     /* 1642560 */   // Label 22553: @1642560
     /* 1642560 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1642646), // Rule ID 10997 //
     /* 1642565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1642576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1642579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1642582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1642585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642611 */     // MIs[0] policy
     /* 1642611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1642624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642645 */     // GIR_Coverage, 10997,
     /* 1642645 */     GIR_EraseRootFromParent_Done,
     /* 1642646 */   // Label 22554: @1642646
     /* 1642646 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1642732), // Rule ID 11000 //
     /* 1642651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642697 */     // MIs[0] policy
     /* 1642697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1642710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642731 */     // GIR_Coverage, 11000,
     /* 1642731 */     GIR_EraseRootFromParent_Done,
     /* 1642732 */   // Label 22555: @1642732
     /* 1642732 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1642818), // Rule ID 11001 //
     /* 1642737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1642757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642783 */     // MIs[0] policy
     /* 1642783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1642796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642817 */     // GIR_Coverage, 11001,
     /* 1642817 */     GIR_EraseRootFromParent_Done,
     /* 1642818 */   // Label 22556: @1642818
     /* 1642818 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1642904), // Rule ID 11004 //
     /* 1642823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642869 */     // MIs[0] policy
     /* 1642869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642879 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1642882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642903 */     // GIR_Coverage, 11004,
     /* 1642903 */     GIR_EraseRootFromParent_Done,
     /* 1642904 */   // Label 22557: @1642904
     /* 1642904 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1642990), // Rule ID 11005 //
     /* 1642909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1642917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1642929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642955 */     // MIs[0] policy
     /* 1642955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1642968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642989 */     // GIR_Coverage, 11005,
     /* 1642989 */     GIR_EraseRootFromParent_Done,
     /* 1642990 */   // Label 22558: @1642990
     /* 1642990 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1643076), // Rule ID 11008 //
     /* 1642995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643041 */     // MIs[0] policy
     /* 1643041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1643054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643075 */     // GIR_Coverage, 11008,
     /* 1643075 */     GIR_EraseRootFromParent_Done,
     /* 1643076 */   // Label 22559: @1643076
     /* 1643076 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1643162), // Rule ID 11009 //
     /* 1643081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1643101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643127 */     // MIs[0] policy
     /* 1643127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643137 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1643140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643161 */     // GIR_Coverage, 11009,
     /* 1643161 */     GIR_EraseRootFromParent_Done,
     /* 1643162 */   // Label 22560: @1643162
     /* 1643162 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1643248), // Rule ID 11012 //
     /* 1643167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1643178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1643181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1643184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643213 */     // MIs[0] policy
     /* 1643213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643247 */     // GIR_Coverage, 11012,
     /* 1643247 */     GIR_EraseRootFromParent_Done,
     /* 1643248 */   // Label 22561: @1643248
     /* 1643248 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1643334), // Rule ID 11013 //
     /* 1643253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1643264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1643267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1643270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1643273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643299 */     // MIs[0] policy
     /* 1643299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643333 */     // GIR_Coverage, 11013,
     /* 1643333 */     GIR_EraseRootFromParent_Done,
     /* 1643334 */   // Label 22562: @1643334
     /* 1643334 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1643420), // Rule ID 11016 //
     /* 1643339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643385 */     // MIs[0] policy
     /* 1643385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643419 */     // GIR_Coverage, 11016,
     /* 1643419 */     GIR_EraseRootFromParent_Done,
     /* 1643420 */   // Label 22563: @1643420
     /* 1643420 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1643506), // Rule ID 11017 //
     /* 1643425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643471 */     // MIs[0] policy
     /* 1643471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643481 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643505 */     // GIR_Coverage, 11017,
     /* 1643505 */     GIR_EraseRootFromParent_Done,
     /* 1643506 */   // Label 22564: @1643506
     /* 1643506 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1643592), // Rule ID 11020 //
     /* 1643511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643557 */     // MIs[0] policy
     /* 1643557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643591 */     // GIR_Coverage, 11020,
     /* 1643591 */     GIR_EraseRootFromParent_Done,
     /* 1643592 */   // Label 22565: @1643592
     /* 1643592 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1643678), // Rule ID 11021 //
     /* 1643597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1643617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643643 */     // MIs[0] policy
     /* 1643643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1643656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643677 */     // GIR_Coverage, 11021,
     /* 1643677 */     GIR_EraseRootFromParent_Done,
     /* 1643678 */   // Label 22566: @1643678
     /* 1643678 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1643764), // Rule ID 11024 //
     /* 1643683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1643694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1643697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1643700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643729 */     // MIs[0] policy
     /* 1643729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1643742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643763 */     // GIR_Coverage, 11024,
     /* 1643763 */     GIR_EraseRootFromParent_Done,
     /* 1643764 */   // Label 22567: @1643764
     /* 1643764 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1643850), // Rule ID 11025 //
     /* 1643769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1643780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1643783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1643786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1643789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643815 */     // MIs[0] policy
     /* 1643815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643825 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1643828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643849 */     // GIR_Coverage, 11025,
     /* 1643849 */     GIR_EraseRootFromParent_Done,
     /* 1643850 */   // Label 22568: @1643850
     /* 1643850 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1643936), // Rule ID 11028 //
     /* 1643855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1643866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1643869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1643872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643901 */     // MIs[0] policy
     /* 1643901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643911 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1643914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643935 */     // GIR_Coverage, 11028,
     /* 1643935 */     GIR_EraseRootFromParent_Done,
     /* 1643936 */   // Label 22569: @1643936
     /* 1643936 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1644022), // Rule ID 11029 //
     /* 1643941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1643949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1643952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1643955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1643958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643987 */     // MIs[0] policy
     /* 1643987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1644000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644021 */     // GIR_Coverage, 11029,
     /* 1644021 */     GIR_EraseRootFromParent_Done,
     /* 1644022 */   // Label 22570: @1644022
     /* 1644022 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1644108), // Rule ID 11032 //
     /* 1644027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1644038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1644041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1644044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1644047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1644050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644073 */     // MIs[0] policy
     /* 1644073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1644086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644107 */     // GIR_Coverage, 11032,
     /* 1644107 */     GIR_EraseRootFromParent_Done,
     /* 1644108 */   // Label 22571: @1644108
     /* 1644108 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1644194), // Rule ID 11033 //
     /* 1644113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1644124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1644127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1644130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1644133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1644136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644159 */     // MIs[0] policy
     /* 1644159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644169 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1644172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644193 */     // GIR_Coverage, 11033,
     /* 1644193 */     GIR_EraseRootFromParent_Done,
     /* 1644194 */   // Label 22572: @1644194
     /* 1644194 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1644280), // Rule ID 11036 //
     /* 1644199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644245 */     // MIs[0] policy
     /* 1644245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1644258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644279 */     // GIR_Coverage, 11036,
     /* 1644279 */     GIR_EraseRootFromParent_Done,
     /* 1644280 */   // Label 22573: @1644280
     /* 1644280 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1644366), // Rule ID 11037 //
     /* 1644285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1644305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644331 */     // MIs[0] policy
     /* 1644331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1644344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644365 */     // GIR_Coverage, 11037,
     /* 1644365 */     GIR_EraseRootFromParent_Done,
     /* 1644366 */   // Label 22574: @1644366
     /* 1644366 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1644452), // Rule ID 11040 //
     /* 1644371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644417 */     // MIs[0] policy
     /* 1644417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1644430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644451 */     // GIR_Coverage, 11040,
     /* 1644451 */     GIR_EraseRootFromParent_Done,
     /* 1644452 */   // Label 22575: @1644452
     /* 1644452 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1644538), // Rule ID 11041 //
     /* 1644457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1644477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644503 */     // MIs[0] policy
     /* 1644503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1644516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644537 */     // GIR_Coverage, 11041,
     /* 1644537 */     GIR_EraseRootFromParent_Done,
     /* 1644538 */   // Label 22576: @1644538
     /* 1644538 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1644624), // Rule ID 11044 //
     /* 1644543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1644563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644589 */     // MIs[0] policy
     /* 1644589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1644602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644623 */     // GIR_Coverage, 11044,
     /* 1644623 */     GIR_EraseRootFromParent_Done,
     /* 1644624 */   // Label 22577: @1644624
     /* 1644624 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1644710), // Rule ID 11045 //
     /* 1644629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1644649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644675 */     // MIs[0] policy
     /* 1644675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1644688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644709 */     // GIR_Coverage, 11045,
     /* 1644709 */     GIR_EraseRootFromParent_Done,
     /* 1644710 */   // Label 22578: @1644710
     /* 1644710 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1644796), // Rule ID 11048 //
     /* 1644715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644761 */     // MIs[0] policy
     /* 1644761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1644774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644795 */     // GIR_Coverage, 11048,
     /* 1644795 */     GIR_EraseRootFromParent_Done,
     /* 1644796 */   // Label 22579: @1644796
     /* 1644796 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1644882), // Rule ID 11049 //
     /* 1644801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1644812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1644815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1644818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644847 */     // MIs[0] policy
     /* 1644847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1644860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644881 */     // GIR_Coverage, 11049,
     /* 1644881 */     GIR_EraseRootFromParent_Done,
     /* 1644882 */   // Label 22580: @1644882
     /* 1644882 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1644968), // Rule ID 11052 //
     /* 1644887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644933 */     // MIs[0] policy
     /* 1644933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1644946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644967 */     // GIR_Coverage, 11052,
     /* 1644967 */     GIR_EraseRootFromParent_Done,
     /* 1644968 */   // Label 22581: @1644968
     /* 1644968 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1645054), // Rule ID 11053 //
     /* 1644973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1644981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645019 */     // MIs[0] policy
     /* 1645019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645029 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1645032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645053 */     // GIR_Coverage, 11053,
     /* 1645053 */     GIR_EraseRootFromParent_Done,
     /* 1645054 */   // Label 22582: @1645054
     /* 1645054 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1645140), // Rule ID 11056 //
     /* 1645059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1645079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645105 */     // MIs[0] policy
     /* 1645105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1645118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645139 */     // GIR_Coverage, 11056,
     /* 1645139 */     GIR_EraseRootFromParent_Done,
     /* 1645140 */   // Label 22583: @1645140
     /* 1645140 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1645226), // Rule ID 11057 //
     /* 1645145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1645165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645191 */     // MIs[0] policy
     /* 1645191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645201 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1645204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645225 */     // GIR_Coverage, 11057,
     /* 1645225 */     GIR_EraseRootFromParent_Done,
     /* 1645226 */   // Label 22584: @1645226
     /* 1645226 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1645312), // Rule ID 11060 //
     /* 1645231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1645242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1645245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1645248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645277 */     // MIs[0] policy
     /* 1645277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645287 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1645290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645311 */     // GIR_Coverage, 11060,
     /* 1645311 */     GIR_EraseRootFromParent_Done,
     /* 1645312 */   // Label 22585: @1645312
     /* 1645312 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1645398), // Rule ID 11061 //
     /* 1645317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1645328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1645331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1645334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645363 */     // MIs[0] policy
     /* 1645363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645373 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1645376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645397 */     // GIR_Coverage, 11061,
     /* 1645397 */     GIR_EraseRootFromParent_Done,
     /* 1645398 */   // Label 22586: @1645398
     /* 1645398 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1645484), // Rule ID 11064 //
     /* 1645403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1645414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1645417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1645420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645449 */     // MIs[0] policy
     /* 1645449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1645462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645483 */     // GIR_Coverage, 11064,
     /* 1645483 */     GIR_EraseRootFromParent_Done,
     /* 1645484 */   // Label 22587: @1645484
     /* 1645484 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1645570), // Rule ID 11065 //
     /* 1645489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1645500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1645503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1645506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645535 */     // MIs[0] policy
     /* 1645535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1645548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645569 */     // GIR_Coverage, 11065,
     /* 1645569 */     GIR_EraseRootFromParent_Done,
     /* 1645570 */   // Label 22588: @1645570
     /* 1645570 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1645656), // Rule ID 11068 //
     /* 1645575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1645586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1645589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1645592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645621 */     // MIs[0] policy
     /* 1645621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645631 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1645634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645655 */     // GIR_Coverage, 11068,
     /* 1645655 */     GIR_EraseRootFromParent_Done,
     /* 1645656 */   // Label 22589: @1645656
     /* 1645656 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1645742), // Rule ID 11069 //
     /* 1645661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1645672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1645675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1645678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645707 */     // MIs[0] policy
     /* 1645707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1645720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645741 */     // GIR_Coverage, 11069,
     /* 1645741 */     GIR_EraseRootFromParent_Done,
     /* 1645742 */   // Label 22590: @1645742
     /* 1645742 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1645828), // Rule ID 11072 //
     /* 1645747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645793 */     // MIs[0] policy
     /* 1645793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1645806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645827 */     // GIR_Coverage, 11072,
     /* 1645827 */     GIR_EraseRootFromParent_Done,
     /* 1645828 */   // Label 22591: @1645828
     /* 1645828 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1645914), // Rule ID 11073 //
     /* 1645833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645879 */     // MIs[0] policy
     /* 1645879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1645892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645913 */     // GIR_Coverage, 11073,
     /* 1645913 */     GIR_EraseRootFromParent_Done,
     /* 1645914 */   // Label 22592: @1645914
     /* 1645914 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1646000), // Rule ID 11076 //
     /* 1645919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1645927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645965 */     // MIs[0] policy
     /* 1645965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1645978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645999 */     // GIR_Coverage, 11076,
     /* 1645999 */     GIR_EraseRootFromParent_Done,
     /* 1646000 */   // Label 22593: @1646000
     /* 1646000 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1646086), // Rule ID 11077 //
     /* 1646005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1646016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1646019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1646022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646051 */     // MIs[0] policy
     /* 1646051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1646064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646085 */     // GIR_Coverage, 11077,
     /* 1646085 */     GIR_EraseRootFromParent_Done,
     /* 1646086 */   // Label 22594: @1646086
     /* 1646086 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1646172), // Rule ID 11080 //
     /* 1646091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646137 */     // MIs[0] policy
     /* 1646137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1646150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646171 */     // GIR_Coverage, 11080,
     /* 1646171 */     GIR_EraseRootFromParent_Done,
     /* 1646172 */   // Label 22595: @1646172
     /* 1646172 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1646258), // Rule ID 11081 //
     /* 1646177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646223 */     // MIs[0] policy
     /* 1646223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1646236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646257 */     // GIR_Coverage, 11081,
     /* 1646257 */     GIR_EraseRootFromParent_Done,
     /* 1646258 */   // Label 22596: @1646258
     /* 1646258 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1646344), // Rule ID 11084 //
     /* 1646263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1646274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1646277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1646280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646309 */     // MIs[0] policy
     /* 1646309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646343 */     // GIR_Coverage, 11084,
     /* 1646343 */     GIR_EraseRootFromParent_Done,
     /* 1646344 */   // Label 22597: @1646344
     /* 1646344 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1646430), // Rule ID 11085 //
     /* 1646349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1646360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1646363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1646366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646395 */     // MIs[0] policy
     /* 1646395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646429 */     // GIR_Coverage, 11085,
     /* 1646429 */     GIR_EraseRootFromParent_Done,
     /* 1646430 */   // Label 22598: @1646430
     /* 1646430 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1646516), // Rule ID 11088 //
     /* 1646435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646481 */     // MIs[0] policy
     /* 1646481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646515 */     // GIR_Coverage, 11088,
     /* 1646515 */     GIR_EraseRootFromParent_Done,
     /* 1646516 */   // Label 22599: @1646516
     /* 1646516 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1646602), // Rule ID 11089 //
     /* 1646521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646567 */     // MIs[0] policy
     /* 1646567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646601 */     // GIR_Coverage, 11089,
     /* 1646601 */     GIR_EraseRootFromParent_Done,
     /* 1646602 */   // Label 22600: @1646602
     /* 1646602 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1646688), // Rule ID 11092 //
     /* 1646607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646653 */     // MIs[0] policy
     /* 1646653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646687 */     // GIR_Coverage, 11092,
     /* 1646687 */     GIR_EraseRootFromParent_Done,
     /* 1646688 */   // Label 22601: @1646688
     /* 1646688 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1646774), // Rule ID 11093 //
     /* 1646693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646739 */     // MIs[0] policy
     /* 1646739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1646752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646773 */     // GIR_Coverage, 11093,
     /* 1646773 */     GIR_EraseRootFromParent_Done,
     /* 1646774 */   // Label 22602: @1646774
     /* 1646774 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1646860), // Rule ID 11096 //
     /* 1646779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1646790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1646793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1646796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646825 */     // MIs[0] policy
     /* 1646825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1646838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646859 */     // GIR_Coverage, 11096,
     /* 1646859 */     GIR_EraseRootFromParent_Done,
     /* 1646860 */   // Label 22603: @1646860
     /* 1646860 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1646946), // Rule ID 11097 //
     /* 1646865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1646876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1646879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1646882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646911 */     // MIs[0] policy
     /* 1646911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1646924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646945 */     // GIR_Coverage, 11097,
     /* 1646945 */     GIR_EraseRootFromParent_Done,
     /* 1646946 */   // Label 22604: @1646946
     /* 1646946 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1647032), // Rule ID 11100 //
     /* 1646951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1646959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1646962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1646965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1646968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646997 */     // MIs[0] policy
     /* 1646997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647007 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1647010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647031 */     // GIR_Coverage, 11100,
     /* 1647031 */     GIR_EraseRootFromParent_Done,
     /* 1647032 */   // Label 22605: @1647032
     /* 1647032 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1647118), // Rule ID 11101 //
     /* 1647037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1647048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1647051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1647054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647083 */     // MIs[0] policy
     /* 1647083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1647096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647117 */     // GIR_Coverage, 11101,
     /* 1647117 */     GIR_EraseRootFromParent_Done,
     /* 1647118 */   // Label 22606: @1647118
     /* 1647118 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1647204), // Rule ID 11104 //
     /* 1647123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1647134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1647137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1647140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1647146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647169 */     // MIs[0] policy
     /* 1647169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1647182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647203 */     // GIR_Coverage, 11104,
     /* 1647203 */     GIR_EraseRootFromParent_Done,
     /* 1647204 */   // Label 22607: @1647204
     /* 1647204 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1647290), // Rule ID 11105 //
     /* 1647209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1647220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1647223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1647226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1647232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647255 */     // MIs[0] policy
     /* 1647255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647265 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1647268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647289 */     // GIR_Coverage, 11105,
     /* 1647289 */     GIR_EraseRootFromParent_Done,
     /* 1647290 */   // Label 22608: @1647290
     /* 1647290 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1647376), // Rule ID 11108 //
     /* 1647295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647341 */     // MIs[0] policy
     /* 1647341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1647354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647375 */     // GIR_Coverage, 11108,
     /* 1647375 */     GIR_EraseRootFromParent_Done,
     /* 1647376 */   // Label 22609: @1647376
     /* 1647376 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1647462), // Rule ID 11109 //
     /* 1647381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647427 */     // MIs[0] policy
     /* 1647427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1647440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647461 */     // GIR_Coverage, 11109,
     /* 1647461 */     GIR_EraseRootFromParent_Done,
     /* 1647462 */   // Label 22610: @1647462
     /* 1647462 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1647548), // Rule ID 11112 //
     /* 1647467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647513 */     // MIs[0] policy
     /* 1647513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1647526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647547 */     // GIR_Coverage, 11112,
     /* 1647547 */     GIR_EraseRootFromParent_Done,
     /* 1647548 */   // Label 22611: @1647548
     /* 1647548 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1647634), // Rule ID 11113 //
     /* 1647553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647599 */     // MIs[0] policy
     /* 1647599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1647612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647633 */     // GIR_Coverage, 11113,
     /* 1647633 */     GIR_EraseRootFromParent_Done,
     /* 1647634 */   // Label 22612: @1647634
     /* 1647634 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1647720), // Rule ID 11116 //
     /* 1647639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647685 */     // MIs[0] policy
     /* 1647685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647695 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1647698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647719 */     // GIR_Coverage, 11116,
     /* 1647719 */     GIR_EraseRootFromParent_Done,
     /* 1647720 */   // Label 22613: @1647720
     /* 1647720 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1647806), // Rule ID 11117 //
     /* 1647725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647771 */     // MIs[0] policy
     /* 1647771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647781 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1647784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647805 */     // GIR_Coverage, 11117,
     /* 1647805 */     GIR_EraseRootFromParent_Done,
     /* 1647806 */   // Label 22614: @1647806
     /* 1647806 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1647892), // Rule ID 11120 //
     /* 1647811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647857 */     // MIs[0] policy
     /* 1647857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1647870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647891 */     // GIR_Coverage, 11120,
     /* 1647891 */     GIR_EraseRootFromParent_Done,
     /* 1647892 */   // Label 22615: @1647892
     /* 1647892 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1647978), // Rule ID 11121 //
     /* 1647897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647943 */     // MIs[0] policy
     /* 1647943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1647956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647977 */     // GIR_Coverage, 11121,
     /* 1647977 */     GIR_EraseRootFromParent_Done,
     /* 1647978 */   // Label 22616: @1647978
     /* 1647978 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1648064), // Rule ID 11124 //
     /* 1647983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1647991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648029 */     // MIs[0] policy
     /* 1648029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1648042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648063 */     // GIR_Coverage, 11124,
     /* 1648063 */     GIR_EraseRootFromParent_Done,
     /* 1648064 */   // Label 22617: @1648064
     /* 1648064 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1648150), // Rule ID 11125 //
     /* 1648069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1648077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648115 */     // MIs[0] policy
     /* 1648115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1648128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648149 */     // GIR_Coverage, 11125,
     /* 1648149 */     GIR_EraseRootFromParent_Done,
     /* 1648150 */   // Label 22618: @1648150
     /* 1648150 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1648236), // Rule ID 11128 //
     /* 1648155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1648163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648201 */     // MIs[0] policy
     /* 1648201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1648214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648235 */     // GIR_Coverage, 11128,
     /* 1648235 */     GIR_EraseRootFromParent_Done,
     /* 1648236 */   // Label 22619: @1648236
     /* 1648236 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1648322), // Rule ID 11129 //
     /* 1648241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1648249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648287 */     // MIs[0] policy
     /* 1648287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1648300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648321 */     // GIR_Coverage, 11129,
     /* 1648321 */     GIR_EraseRootFromParent_Done,
     /* 1648322 */   // Label 22620: @1648322
     /* 1648322 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1648408), // Rule ID 11132 //
     /* 1648327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1648338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1648341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1648344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1648347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648373 */     // MIs[0] policy
     /* 1648373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1648386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648407 */     // GIR_Coverage, 11132,
     /* 1648407 */     GIR_EraseRootFromParent_Done,
     /* 1648408 */   // Label 22621: @1648408
     /* 1648408 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1648494), // Rule ID 11133 //
     /* 1648413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1648424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1648427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1648430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1648433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648459 */     // MIs[0] policy
     /* 1648459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1648472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648493 */     // GIR_Coverage, 11133,
     /* 1648493 */     GIR_EraseRootFromParent_Done,
     /* 1648494 */   // Label 22622: @1648494
     /* 1648494 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1648580), // Rule ID 11136 //
     /* 1648499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1648510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1648513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1648516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648545 */     // MIs[0] policy
     /* 1648545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1648558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648579 */     // GIR_Coverage, 11136,
     /* 1648579 */     GIR_EraseRootFromParent_Done,
     /* 1648580 */   // Label 22623: @1648580
     /* 1648580 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1648666), // Rule ID 11137 //
     /* 1648585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1648596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1648599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1648602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648631 */     // MIs[0] policy
     /* 1648631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648641 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1648644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648665 */     // GIR_Coverage, 11137,
     /* 1648665 */     GIR_EraseRootFromParent_Done,
     /* 1648666 */   // Label 22624: @1648666
     /* 1648666 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1648752), // Rule ID 11140 //
     /* 1648671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1648682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1648685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1648688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648717 */     // MIs[0] policy
     /* 1648717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1648730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648751 */     // GIR_Coverage, 11140,
     /* 1648751 */     GIR_EraseRootFromParent_Done,
     /* 1648752 */   // Label 22625: @1648752
     /* 1648752 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1648838), // Rule ID 11141 //
     /* 1648757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1648768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1648771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1648774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648803 */     // MIs[0] policy
     /* 1648803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1648816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648837 */     // GIR_Coverage, 11141,
     /* 1648837 */     GIR_EraseRootFromParent_Done,
     /* 1648838 */   // Label 22626: @1648838
     /* 1648838 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1648924), // Rule ID 11144 //
     /* 1648843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648889 */     // MIs[0] policy
     /* 1648889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1648902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648923 */     // GIR_Coverage, 11144,
     /* 1648923 */     GIR_EraseRootFromParent_Done,
     /* 1648924 */   // Label 22627: @1648924
     /* 1648924 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1649010), // Rule ID 11145 //
     /* 1648929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1648937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648975 */     // MIs[0] policy
     /* 1648975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1648988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649009 */     // GIR_Coverage, 11145,
     /* 1649009 */     GIR_EraseRootFromParent_Done,
     /* 1649010 */   // Label 22628: @1649010
     /* 1649010 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1649096), // Rule ID 11148 //
     /* 1649015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1649026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1649029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1649032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649061 */     // MIs[0] policy
     /* 1649061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1649074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649095 */     // GIR_Coverage, 11148,
     /* 1649095 */     GIR_EraseRootFromParent_Done,
     /* 1649096 */   // Label 22629: @1649096
     /* 1649096 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1649182), // Rule ID 11149 //
     /* 1649101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1649112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1649115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1649118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1649121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649147 */     // MIs[0] policy
     /* 1649147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649157 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1649160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649181 */     // GIR_Coverage, 11149,
     /* 1649181 */     GIR_EraseRootFromParent_Done,
     /* 1649182 */   // Label 22630: @1649182
     /* 1649182 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1649268), // Rule ID 11152 //
     /* 1649187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649233 */     // MIs[0] policy
     /* 1649233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1649246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649267 */     // GIR_Coverage, 11152,
     /* 1649267 */     GIR_EraseRootFromParent_Done,
     /* 1649268 */   // Label 22631: @1649268
     /* 1649268 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1649354), // Rule ID 11153 //
     /* 1649273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649319 */     // MIs[0] policy
     /* 1649319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649329 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1649332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649353 */     // GIR_Coverage, 11153,
     /* 1649353 */     GIR_EraseRootFromParent_Done,
     /* 1649354 */   // Label 22632: @1649354
     /* 1649354 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1649440), // Rule ID 11156 //
     /* 1649359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1649370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1649373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1649376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1649379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649405 */     // MIs[0] policy
     /* 1649405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649439 */     // GIR_Coverage, 11156,
     /* 1649439 */     GIR_EraseRootFromParent_Done,
     /* 1649440 */   // Label 22633: @1649440
     /* 1649440 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1649526), // Rule ID 11157 //
     /* 1649445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1649456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1649459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1649462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1649465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649491 */     // MIs[0] policy
     /* 1649491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649525 */     // GIR_Coverage, 11157,
     /* 1649525 */     GIR_EraseRootFromParent_Done,
     /* 1649526 */   // Label 22634: @1649526
     /* 1649526 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1649612), // Rule ID 11160 //
     /* 1649531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1649542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1649545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1649548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649577 */     // MIs[0] policy
     /* 1649577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649611 */     // GIR_Coverage, 11160,
     /* 1649611 */     GIR_EraseRootFromParent_Done,
     /* 1649612 */   // Label 22635: @1649612
     /* 1649612 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1649698), // Rule ID 11161 //
     /* 1649617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1649628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1649631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1649634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649663 */     // MIs[0] policy
     /* 1649663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649697 */     // GIR_Coverage, 11161,
     /* 1649697 */     GIR_EraseRootFromParent_Done,
     /* 1649698 */   // Label 22636: @1649698
     /* 1649698 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1649784), // Rule ID 11164 //
     /* 1649703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649749 */     // MIs[0] policy
     /* 1649749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649783 */     // GIR_Coverage, 11164,
     /* 1649783 */     GIR_EraseRootFromParent_Done,
     /* 1649784 */   // Label 22637: @1649784
     /* 1649784 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1649870), // Rule ID 11165 //
     /* 1649789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649835 */     // MIs[0] policy
     /* 1649835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1649848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649869 */     // GIR_Coverage, 11165,
     /* 1649869 */     GIR_EraseRootFromParent_Done,
     /* 1649870 */   // Label 22638: @1649870
     /* 1649870 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1649956), // Rule ID 11168 //
     /* 1649875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1649886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1649889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1649892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1649895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649921 */     // MIs[0] policy
     /* 1649921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1649934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649955 */     // GIR_Coverage, 11168,
     /* 1649955 */     GIR_EraseRootFromParent_Done,
     /* 1649956 */   // Label 22639: @1649956
     /* 1649956 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1650042), // Rule ID 11169 //
     /* 1649961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1649969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1649972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1649975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1649978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1649981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650007 */     // MIs[0] policy
     /* 1650007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650017 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1650020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650041 */     // GIR_Coverage, 11169,
     /* 1650041 */     GIR_EraseRootFromParent_Done,
     /* 1650042 */   // Label 22640: @1650042
     /* 1650042 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1650128), // Rule ID 11172 //
     /* 1650047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1650058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1650061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1650064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1650067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650093 */     // MIs[0] policy
     /* 1650093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650103 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1650106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650127 */     // GIR_Coverage, 11172,
     /* 1650127 */     GIR_EraseRootFromParent_Done,
     /* 1650128 */   // Label 22641: @1650128
     /* 1650128 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1650214), // Rule ID 11173 //
     /* 1650133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1650144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1650147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1650150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1650153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650179 */     // MIs[0] policy
     /* 1650179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1650192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650213 */     // GIR_Coverage, 11173,
     /* 1650213 */     GIR_EraseRootFromParent_Done,
     /* 1650214 */   // Label 22642: @1650214
     /* 1650214 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1650300), // Rule ID 11176 //
     /* 1650219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1650230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1650233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1650236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1650239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1650242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650265 */     // MIs[0] policy
     /* 1650265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650275 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1650278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650299 */     // GIR_Coverage, 11176,
     /* 1650299 */     GIR_EraseRootFromParent_Done,
     /* 1650300 */   // Label 22643: @1650300
     /* 1650300 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1650386), // Rule ID 11177 //
     /* 1650305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1650316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1650319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1650322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1650325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1650328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650351 */     // MIs[0] policy
     /* 1650351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1650364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650385 */     // GIR_Coverage, 11177,
     /* 1650385 */     GIR_EraseRootFromParent_Done,
     /* 1650386 */   // Label 22644: @1650386
     /* 1650386 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1650472), // Rule ID 11180 //
     /* 1650391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1650411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650437 */     // MIs[0] policy
     /* 1650437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1650450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650471 */     // GIR_Coverage, 11180,
     /* 1650471 */     GIR_EraseRootFromParent_Done,
     /* 1650472 */   // Label 22645: @1650472
     /* 1650472 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1650558), // Rule ID 11181 //
     /* 1650477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1650497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650523 */     // MIs[0] policy
     /* 1650523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1650536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650557 */     // GIR_Coverage, 11181,
     /* 1650557 */     GIR_EraseRootFromParent_Done,
     /* 1650558 */   // Label 22646: @1650558
     /* 1650558 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1650644), // Rule ID 11184 //
     /* 1650563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650609 */     // MIs[0] policy
     /* 1650609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1650622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650643 */     // GIR_Coverage, 11184,
     /* 1650643 */     GIR_EraseRootFromParent_Done,
     /* 1650644 */   // Label 22647: @1650644
     /* 1650644 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1650730), // Rule ID 11185 //
     /* 1650649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650695 */     // MIs[0] policy
     /* 1650695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1650708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650729 */     // GIR_Coverage, 11185,
     /* 1650729 */     GIR_EraseRootFromParent_Done,
     /* 1650730 */   // Label 22648: @1650730
     /* 1650730 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1650816), // Rule ID 11188 //
     /* 1650735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1650755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650781 */     // MIs[0] policy
     /* 1650781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1650794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650815 */     // GIR_Coverage, 11188,
     /* 1650815 */     GIR_EraseRootFromParent_Done,
     /* 1650816 */   // Label 22649: @1650816
     /* 1650816 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1650902), // Rule ID 11189 //
     /* 1650821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1650841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650867 */     // MIs[0] policy
     /* 1650867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1650880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650901 */     // GIR_Coverage, 11189,
     /* 1650901 */     GIR_EraseRootFromParent_Done,
     /* 1650902 */   // Label 22650: @1650902
     /* 1650902 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1650988), // Rule ID 11192 //
     /* 1650907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1650915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1650918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1650921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1650924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650953 */     // MIs[0] policy
     /* 1650953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1650966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650987 */     // GIR_Coverage, 11192,
     /* 1650987 */     GIR_EraseRootFromParent_Done,
     /* 1650988 */   // Label 22651: @1650988
     /* 1650988 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1651074), // Rule ID 11193 //
     /* 1650993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1651013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651039 */     // MIs[0] policy
     /* 1651039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1651052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651073 */     // GIR_Coverage, 11193,
     /* 1651073 */     GIR_EraseRootFromParent_Done,
     /* 1651074 */   // Label 22652: @1651074
     /* 1651074 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1651160), // Rule ID 11196 //
     /* 1651079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1651099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651125 */     // MIs[0] policy
     /* 1651125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1651138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651159 */     // GIR_Coverage, 11196,
     /* 1651159 */     GIR_EraseRootFromParent_Done,
     /* 1651160 */   // Label 22653: @1651160
     /* 1651160 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1651246), // Rule ID 11197 //
     /* 1651165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1651185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651211 */     // MIs[0] policy
     /* 1651211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1651224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651245 */     // GIR_Coverage, 11197,
     /* 1651245 */     GIR_EraseRootFromParent_Done,
     /* 1651246 */   // Label 22654: @1651246
     /* 1651246 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1651332), // Rule ID 11200 //
     /* 1651251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1651271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651297 */     // MIs[0] policy
     /* 1651297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1651310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651331 */     // GIR_Coverage, 11200,
     /* 1651331 */     GIR_EraseRootFromParent_Done,
     /* 1651332 */   // Label 22655: @1651332
     /* 1651332 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1651418), // Rule ID 11201 //
     /* 1651337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1651357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651383 */     // MIs[0] policy
     /* 1651383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1651396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651417 */     // GIR_Coverage, 11201,
     /* 1651417 */     GIR_EraseRootFromParent_Done,
     /* 1651418 */   // Label 22656: @1651418
     /* 1651418 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1651504), // Rule ID 11204 //
     /* 1651423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1651434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1651437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1651440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651469 */     // MIs[0] policy
     /* 1651469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651479 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1651482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651503 */     // GIR_Coverage, 11204,
     /* 1651503 */     GIR_EraseRootFromParent_Done,
     /* 1651504 */   // Label 22657: @1651504
     /* 1651504 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1651590), // Rule ID 11205 //
     /* 1651509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1651520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1651523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1651526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651555 */     // MIs[0] policy
     /* 1651555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651565 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1651568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651589 */     // GIR_Coverage, 11205,
     /* 1651589 */     GIR_EraseRootFromParent_Done,
     /* 1651590 */   // Label 22658: @1651590
     /* 1651590 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1651676), // Rule ID 11208 //
     /* 1651595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651641 */     // MIs[0] policy
     /* 1651641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651651 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1651654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651675 */     // GIR_Coverage, 11208,
     /* 1651675 */     GIR_EraseRootFromParent_Done,
     /* 1651676 */   // Label 22659: @1651676
     /* 1651676 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1651762), // Rule ID 11209 //
     /* 1651681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651727 */     // MIs[0] policy
     /* 1651727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651737 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1651740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651761 */     // GIR_Coverage, 11209,
     /* 1651761 */     GIR_EraseRootFromParent_Done,
     /* 1651762 */   // Label 22660: @1651762
     /* 1651762 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1651848), // Rule ID 11212 //
     /* 1651767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1651778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1651781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1651784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651813 */     // MIs[0] policy
     /* 1651813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1651826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651847 */     // GIR_Coverage, 11212,
     /* 1651847 */     GIR_EraseRootFromParent_Done,
     /* 1651848 */   // Label 22661: @1651848
     /* 1651848 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1651934), // Rule ID 11213 //
     /* 1651853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1651864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1651867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1651870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651899 */     // MIs[0] policy
     /* 1651899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1651912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651933 */     // GIR_Coverage, 11213,
     /* 1651933 */     GIR_EraseRootFromParent_Done,
     /* 1651934 */   // Label 22662: @1651934
     /* 1651934 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1652020), // Rule ID 11216 //
     /* 1651939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1651947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1651950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1651953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1651956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651985 */     // MIs[0] policy
     /* 1651985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1651998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652019 */     // GIR_Coverage, 11216,
     /* 1652019 */     GIR_EraseRootFromParent_Done,
     /* 1652020 */   // Label 22663: @1652020
     /* 1652020 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1652106), // Rule ID 11217 //
     /* 1652025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1652036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1652039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1652042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652071 */     // MIs[0] policy
     /* 1652071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1652084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652105 */     // GIR_Coverage, 11217,
     /* 1652105 */     GIR_EraseRootFromParent_Done,
     /* 1652106 */   // Label 22664: @1652106
     /* 1652106 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1652192), // Rule ID 11220 //
     /* 1652111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652157 */     // MIs[0] policy
     /* 1652157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1652170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652191 */     // GIR_Coverage, 11220,
     /* 1652191 */     GIR_EraseRootFromParent_Done,
     /* 1652192 */   // Label 22665: @1652192
     /* 1652192 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1652278), // Rule ID 11221 //
     /* 1652197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652243 */     // MIs[0] policy
     /* 1652243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1652256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652277 */     // GIR_Coverage, 11221,
     /* 1652277 */     GIR_EraseRootFromParent_Done,
     /* 1652278 */   // Label 22666: @1652278
     /* 1652278 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1652364), // Rule ID 11224 //
     /* 1652283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1652294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1652297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1652300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652329 */     // MIs[0] policy
     /* 1652329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1652342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652363 */     // GIR_Coverage, 11224,
     /* 1652363 */     GIR_EraseRootFromParent_Done,
     /* 1652364 */   // Label 22667: @1652364
     /* 1652364 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1652450), // Rule ID 11225 //
     /* 1652369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1652380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1652383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1652386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652415 */     // MIs[0] policy
     /* 1652415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1652428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652449 */     // GIR_Coverage, 11225,
     /* 1652449 */     GIR_EraseRootFromParent_Done,
     /* 1652450 */   // Label 22668: @1652450
     /* 1652450 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1652536), // Rule ID 11228 //
     /* 1652455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1652466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1652469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1652472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652501 */     // MIs[0] policy
     /* 1652501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652535 */     // GIR_Coverage, 11228,
     /* 1652535 */     GIR_EraseRootFromParent_Done,
     /* 1652536 */   // Label 22669: @1652536
     /* 1652536 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1652622), // Rule ID 11229 //
     /* 1652541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1652552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1652555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1652558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652587 */     // MIs[0] policy
     /* 1652587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652621 */     // GIR_Coverage, 11229,
     /* 1652621 */     GIR_EraseRootFromParent_Done,
     /* 1652622 */   // Label 22670: @1652622
     /* 1652622 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1652708), // Rule ID 11232 //
     /* 1652627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652673 */     // MIs[0] policy
     /* 1652673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652683 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652707 */     // GIR_Coverage, 11232,
     /* 1652707 */     GIR_EraseRootFromParent_Done,
     /* 1652708 */   // Label 22671: @1652708
     /* 1652708 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1652794), // Rule ID 11233 //
     /* 1652713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652759 */     // MIs[0] policy
     /* 1652759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652793 */     // GIR_Coverage, 11233,
     /* 1652793 */     GIR_EraseRootFromParent_Done,
     /* 1652794 */   // Label 22672: @1652794
     /* 1652794 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1652880), // Rule ID 11236 //
     /* 1652799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652845 */     // MIs[0] policy
     /* 1652845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652879 */     // GIR_Coverage, 11236,
     /* 1652879 */     GIR_EraseRootFromParent_Done,
     /* 1652880 */   // Label 22673: @1652880
     /* 1652880 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1652966), // Rule ID 11237 //
     /* 1652885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1652896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1652899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1652902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652931 */     // MIs[0] policy
     /* 1652931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1652944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652965 */     // GIR_Coverage, 11237,
     /* 1652965 */     GIR_EraseRootFromParent_Done,
     /* 1652966 */   // Label 22674: @1652966
     /* 1652966 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1653052), // Rule ID 11240 //
     /* 1652971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1652979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1652982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1652985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1652988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653017 */     // MIs[0] policy
     /* 1653017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1653030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653051 */     // GIR_Coverage, 11240,
     /* 1653051 */     GIR_EraseRootFromParent_Done,
     /* 1653052 */   // Label 22675: @1653052
     /* 1653052 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1653138), // Rule ID 11241 //
     /* 1653057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1653068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1653071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1653074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653103 */     // MIs[0] policy
     /* 1653103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1653116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653137 */     // GIR_Coverage, 11241,
     /* 1653137 */     GIR_EraseRootFromParent_Done,
     /* 1653138 */   // Label 22676: @1653138
     /* 1653138 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1653224), // Rule ID 11244 //
     /* 1653143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1653154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1653157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1653160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653189 */     // MIs[0] policy
     /* 1653189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653199 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1653202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653223 */     // GIR_Coverage, 11244,
     /* 1653223 */     GIR_EraseRootFromParent_Done,
     /* 1653224 */   // Label 22677: @1653224
     /* 1653224 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1653310), // Rule ID 11245 //
     /* 1653229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1653240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1653243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1653246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653275 */     // MIs[0] policy
     /* 1653275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653285 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1653288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653309 */     // GIR_Coverage, 11245,
     /* 1653309 */     GIR_EraseRootFromParent_Done,
     /* 1653310 */   // Label 22678: @1653310
     /* 1653310 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1653396), // Rule ID 11248 //
     /* 1653315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1653326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1653329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1653332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1653338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653361 */     // MIs[0] policy
     /* 1653361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1653374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653395 */     // GIR_Coverage, 11248,
     /* 1653395 */     GIR_EraseRootFromParent_Done,
     /* 1653396 */   // Label 22679: @1653396
     /* 1653396 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1653482), // Rule ID 11249 //
     /* 1653401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1653412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1653415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1653418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1653424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653447 */     // MIs[0] policy
     /* 1653447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653457 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1653460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653481 */     // GIR_Coverage, 11249,
     /* 1653481 */     GIR_EraseRootFromParent_Done,
     /* 1653482 */   // Label 22680: @1653482
     /* 1653482 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1653568), // Rule ID 11252 //
     /* 1653487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653533 */     // MIs[0] policy
     /* 1653533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1653546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653567 */     // GIR_Coverage, 11252,
     /* 1653567 */     GIR_EraseRootFromParent_Done,
     /* 1653568 */   // Label 22681: @1653568
     /* 1653568 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1653654), // Rule ID 11253 //
     /* 1653573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653619 */     // MIs[0] policy
     /* 1653619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1653632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653653 */     // GIR_Coverage, 11253,
     /* 1653653 */     GIR_EraseRootFromParent_Done,
     /* 1653654 */   // Label 22682: @1653654
     /* 1653654 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1653740), // Rule ID 11256 //
     /* 1653659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653705 */     // MIs[0] policy
     /* 1653705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1653718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653739 */     // GIR_Coverage, 11256,
     /* 1653739 */     GIR_EraseRootFromParent_Done,
     /* 1653740 */   // Label 22683: @1653740
     /* 1653740 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1653826), // Rule ID 11257 //
     /* 1653745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653791 */     // MIs[0] policy
     /* 1653791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1653804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653825 */     // GIR_Coverage, 11257,
     /* 1653825 */     GIR_EraseRootFromParent_Done,
     /* 1653826 */   // Label 22684: @1653826
     /* 1653826 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1653912), // Rule ID 11260 //
     /* 1653831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653877 */     // MIs[0] policy
     /* 1653877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1653890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653911 */     // GIR_Coverage, 11260,
     /* 1653911 */     GIR_EraseRootFromParent_Done,
     /* 1653912 */   // Label 22685: @1653912
     /* 1653912 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1653998), // Rule ID 11261 //
     /* 1653917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1653925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653963 */     // MIs[0] policy
     /* 1653963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1653976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653997 */     // GIR_Coverage, 11261,
     /* 1653997 */     GIR_EraseRootFromParent_Done,
     /* 1653998 */   // Label 22686: @1653998
     /* 1653998 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1654084), // Rule ID 11264 //
     /* 1654003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1654014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1654017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1654020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654049 */     // MIs[0] policy
     /* 1654049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1654062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654083 */     // GIR_Coverage, 11264,
     /* 1654083 */     GIR_EraseRootFromParent_Done,
     /* 1654084 */   // Label 22687: @1654084
     /* 1654084 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1654170), // Rule ID 11265 //
     /* 1654089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1654100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1654103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1654106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654135 */     // MIs[0] policy
     /* 1654135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1654148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654169 */     // GIR_Coverage, 11265,
     /* 1654169 */     GIR_EraseRootFromParent_Done,
     /* 1654170 */   // Label 22688: @1654170
     /* 1654170 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1654256), // Rule ID 11268 //
     /* 1654175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654221 */     // MIs[0] policy
     /* 1654221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1654234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654255 */     // GIR_Coverage, 11268,
     /* 1654255 */     GIR_EraseRootFromParent_Done,
     /* 1654256 */   // Label 22689: @1654256
     /* 1654256 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1654342), // Rule ID 11269 //
     /* 1654261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654307 */     // MIs[0] policy
     /* 1654307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1654320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654341 */     // GIR_Coverage, 11269,
     /* 1654341 */     GIR_EraseRootFromParent_Done,
     /* 1654342 */   // Label 22690: @1654342
     /* 1654342 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1654428), // Rule ID 11272 //
     /* 1654347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654393 */     // MIs[0] policy
     /* 1654393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1654406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654427 */     // GIR_Coverage, 11272,
     /* 1654427 */     GIR_EraseRootFromParent_Done,
     /* 1654428 */   // Label 22691: @1654428
     /* 1654428 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1654514), // Rule ID 11273 //
     /* 1654433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1654441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654479 */     // MIs[0] policy
     /* 1654479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1654492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654513 */     // GIR_Coverage, 11273,
     /* 1654513 */     GIR_EraseRootFromParent_Done,
     /* 1654514 */   // Label 22692: @1654514
     /* 1654514 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1654600), // Rule ID 11276 //
     /* 1654519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654565 */     // MIs[0] policy
     /* 1654565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654575 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1654578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654599 */     // GIR_Coverage, 11276,
     /* 1654599 */     GIR_EraseRootFromParent_Done,
     /* 1654600 */   // Label 22693: @1654600
     /* 1654600 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1654686), // Rule ID 11277 //
     /* 1654605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1654625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654651 */     // MIs[0] policy
     /* 1654651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1654664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654685 */     // GIR_Coverage, 11277,
     /* 1654685 */     GIR_EraseRootFromParent_Done,
     /* 1654686 */   // Label 22694: @1654686
     /* 1654686 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1654772), // Rule ID 11280 //
     /* 1654691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654737 */     // MIs[0] policy
     /* 1654737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1654750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654771 */     // GIR_Coverage, 11280,
     /* 1654771 */     GIR_EraseRootFromParent_Done,
     /* 1654772 */   // Label 22695: @1654772
     /* 1654772 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1654858), // Rule ID 11281 //
     /* 1654777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1654797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654823 */     // MIs[0] policy
     /* 1654823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1654836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654857 */     // GIR_Coverage, 11281,
     /* 1654857 */     GIR_EraseRootFromParent_Done,
     /* 1654858 */   // Label 22696: @1654858
     /* 1654858 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1654944), // Rule ID 11284 //
     /* 1654863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654909 */     // MIs[0] policy
     /* 1654909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654919 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1654922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654943 */     // GIR_Coverage, 11284,
     /* 1654943 */     GIR_EraseRootFromParent_Done,
     /* 1654944 */   // Label 22697: @1654944
     /* 1654944 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1655030), // Rule ID 11285 //
     /* 1654949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1654957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1654969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654995 */     // MIs[0] policy
     /* 1654995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1655008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655029 */     // GIR_Coverage, 11285,
     /* 1655029 */     GIR_EraseRootFromParent_Done,
     /* 1655030 */   // Label 22698: @1655030
     /* 1655030 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1655116), // Rule ID 11288 //
     /* 1655035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1655055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655081 */     // MIs[0] policy
     /* 1655081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655091 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1655094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655115 */     // GIR_Coverage, 11288,
     /* 1655115 */     GIR_EraseRootFromParent_Done,
     /* 1655116 */   // Label 22699: @1655116
     /* 1655116 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1655202), // Rule ID 11289 //
     /* 1655121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1655141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655167 */     // MIs[0] policy
     /* 1655167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655177 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1655180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655201 */     // GIR_Coverage, 11289,
     /* 1655201 */     GIR_EraseRootFromParent_Done,
     /* 1655202 */   // Label 22700: @1655202
     /* 1655202 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1655288), // Rule ID 11292 //
     /* 1655207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1655227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655253 */     // MIs[0] policy
     /* 1655253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1655266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655287 */     // GIR_Coverage, 11292,
     /* 1655287 */     GIR_EraseRootFromParent_Done,
     /* 1655288 */   // Label 22701: @1655288
     /* 1655288 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1655374), // Rule ID 11293 //
     /* 1655293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1655313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655339 */     // MIs[0] policy
     /* 1655339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1655352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655373 */     // GIR_Coverage, 11293,
     /* 1655373 */     GIR_EraseRootFromParent_Done,
     /* 1655374 */   // Label 22702: @1655374
     /* 1655374 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1655460), // Rule ID 11296 //
     /* 1655379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655425 */     // MIs[0] policy
     /* 1655425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1655438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655459 */     // GIR_Coverage, 11296,
     /* 1655459 */     GIR_EraseRootFromParent_Done,
     /* 1655460 */   // Label 22703: @1655460
     /* 1655460 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1655546), // Rule ID 11297 //
     /* 1655465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1655485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655511 */     // MIs[0] policy
     /* 1655511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1655524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655545 */     // GIR_Coverage, 11297,
     /* 1655545 */     GIR_EraseRootFromParent_Done,
     /* 1655546 */   // Label 22704: @1655546
     /* 1655546 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1655632), // Rule ID 11300 //
     /* 1655551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655597 */     // MIs[0] policy
     /* 1655597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1655610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655631 */     // GIR_Coverage, 11300,
     /* 1655631 */     GIR_EraseRootFromParent_Done,
     /* 1655632 */   // Label 22705: @1655632
     /* 1655632 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1655718), // Rule ID 11301 //
     /* 1655637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1655657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655683 */     // MIs[0] policy
     /* 1655683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1655696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655717 */     // GIR_Coverage, 11301,
     /* 1655717 */     GIR_EraseRootFromParent_Done,
     /* 1655718 */   // Label 22706: @1655718
     /* 1655718 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1655804), // Rule ID 11304 //
     /* 1655723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655769 */     // MIs[0] policy
     /* 1655769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1655782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655803 */     // GIR_Coverage, 11304,
     /* 1655803 */     GIR_EraseRootFromParent_Done,
     /* 1655804 */   // Label 22707: @1655804
     /* 1655804 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1655890), // Rule ID 11305 //
     /* 1655809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1655829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655855 */     // MIs[0] policy
     /* 1655855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1655868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655889 */     // GIR_Coverage, 11305,
     /* 1655889 */     GIR_EraseRootFromParent_Done,
     /* 1655890 */   // Label 22708: @1655890
     /* 1655890 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1655976), // Rule ID 11308 //
     /* 1655895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1655915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655941 */     // MIs[0] policy
     /* 1655941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1655954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655975 */     // GIR_Coverage, 11308,
     /* 1655975 */     GIR_EraseRootFromParent_Done,
     /* 1655976 */   // Label 22709: @1655976
     /* 1655976 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1656062), // Rule ID 11309 //
     /* 1655981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1655989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1656001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656027 */     // MIs[0] policy
     /* 1656027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1656040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656061 */     // GIR_Coverage, 11309,
     /* 1656061 */     GIR_EraseRootFromParent_Done,
     /* 1656062 */   // Label 22710: @1656062
     /* 1656062 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1656148), // Rule ID 11312 //
     /* 1656067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1656087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656113 */     // MIs[0] policy
     /* 1656113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1656126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656147 */     // GIR_Coverage, 11312,
     /* 1656147 */     GIR_EraseRootFromParent_Done,
     /* 1656148 */   // Label 22711: @1656148
     /* 1656148 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1656234), // Rule ID 11313 //
     /* 1656153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1656173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656199 */     // MIs[0] policy
     /* 1656199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1656212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656233 */     // GIR_Coverage, 11313,
     /* 1656233 */     GIR_EraseRootFromParent_Done,
     /* 1656234 */   // Label 22712: @1656234
     /* 1656234 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1656320), // Rule ID 11316 //
     /* 1656239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656285 */     // MIs[0] policy
     /* 1656285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656295 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1656298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656319 */     // GIR_Coverage, 11316,
     /* 1656319 */     GIR_EraseRootFromParent_Done,
     /* 1656320 */   // Label 22713: @1656320
     /* 1656320 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1656406), // Rule ID 11317 //
     /* 1656325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1656345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656371 */     // MIs[0] policy
     /* 1656371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656381 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1656384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656405 */     // GIR_Coverage, 11317,
     /* 1656405 */     GIR_EraseRootFromParent_Done,
     /* 1656406 */   // Label 22714: @1656406
     /* 1656406 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1656492), // Rule ID 11320 //
     /* 1656411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656457 */     // MIs[0] policy
     /* 1656457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1656470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656491 */     // GIR_Coverage, 11320,
     /* 1656491 */     GIR_EraseRootFromParent_Done,
     /* 1656492 */   // Label 22715: @1656492
     /* 1656492 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1656578), // Rule ID 11321 //
     /* 1656497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1656517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656543 */     // MIs[0] policy
     /* 1656543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656553 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1656556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656577 */     // GIR_Coverage, 11321,
     /* 1656577 */     GIR_EraseRootFromParent_Done,
     /* 1656578 */   // Label 22716: @1656578
     /* 1656578 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1656664), // Rule ID 11324 //
     /* 1656583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656629 */     // MIs[0] policy
     /* 1656629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1656642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656663 */     // GIR_Coverage, 11324,
     /* 1656663 */     GIR_EraseRootFromParent_Done,
     /* 1656664 */   // Label 22717: @1656664
     /* 1656664 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1656750), // Rule ID 11325 //
     /* 1656669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1656689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656715 */     // MIs[0] policy
     /* 1656715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1656728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656749 */     // GIR_Coverage, 11325,
     /* 1656749 */     GIR_EraseRootFromParent_Done,
     /* 1656750 */   // Label 22718: @1656750
     /* 1656750 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1656836), // Rule ID 11328 //
     /* 1656755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656801 */     // MIs[0] policy
     /* 1656801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1656814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656835 */     // GIR_Coverage, 11328,
     /* 1656835 */     GIR_EraseRootFromParent_Done,
     /* 1656836 */   // Label 22719: @1656836
     /* 1656836 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1656922), // Rule ID 11329 //
     /* 1656841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1656852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1656855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1656858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1656861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656887 */     // MIs[0] policy
     /* 1656887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1656900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656921 */     // GIR_Coverage, 11329,
     /* 1656921 */     GIR_EraseRootFromParent_Done,
     /* 1656922 */   // Label 22720: @1656922
     /* 1656922 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1657008), // Rule ID 11332 //
     /* 1656927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1656935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1656938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1656941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1656944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1656947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656973 */     // MIs[0] policy
     /* 1656973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656983 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1656986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657007 */     // GIR_Coverage, 11332,
     /* 1657007 */     GIR_EraseRootFromParent_Done,
     /* 1657008 */   // Label 22721: @1657008
     /* 1657008 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1657094), // Rule ID 11333 //
     /* 1657013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1657024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1657027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1657030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1657033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657059 */     // MIs[0] policy
     /* 1657059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1657072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657093 */     // GIR_Coverage, 11333,
     /* 1657093 */     GIR_EraseRootFromParent_Done,
     /* 1657094 */   // Label 22722: @1657094
     /* 1657094 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1657180), // Rule ID 11336 //
     /* 1657099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657145 */     // MIs[0] policy
     /* 1657145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1657158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657179 */     // GIR_Coverage, 11336,
     /* 1657179 */     GIR_EraseRootFromParent_Done,
     /* 1657180 */   // Label 22723: @1657180
     /* 1657180 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1657266), // Rule ID 11337 //
     /* 1657185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1657205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657231 */     // MIs[0] policy
     /* 1657231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1657244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657265 */     // GIR_Coverage, 11337,
     /* 1657265 */     GIR_EraseRootFromParent_Done,
     /* 1657266 */   // Label 22724: @1657266
     /* 1657266 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1657352), // Rule ID 11340 //
     /* 1657271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657317 */     // MIs[0] policy
     /* 1657317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1657330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657351 */     // GIR_Coverage, 11340,
     /* 1657351 */     GIR_EraseRootFromParent_Done,
     /* 1657352 */   // Label 22725: @1657352
     /* 1657352 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1657438), // Rule ID 11341 //
     /* 1657357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1657377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657403 */     // MIs[0] policy
     /* 1657403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1657416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657437 */     // GIR_Coverage, 11341,
     /* 1657437 */     GIR_EraseRootFromParent_Done,
     /* 1657438 */   // Label 22726: @1657438
     /* 1657438 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1657524), // Rule ID 11344 //
     /* 1657443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657489 */     // MIs[0] policy
     /* 1657489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1657502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657523 */     // GIR_Coverage, 11344,
     /* 1657523 */     GIR_EraseRootFromParent_Done,
     /* 1657524 */   // Label 22727: @1657524
     /* 1657524 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1657610), // Rule ID 11345 //
     /* 1657529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1657549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657575 */     // MIs[0] policy
     /* 1657575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1657588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657609 */     // GIR_Coverage, 11345,
     /* 1657609 */     GIR_EraseRootFromParent_Done,
     /* 1657610 */   // Label 22728: @1657610
     /* 1657610 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1657696), // Rule ID 11348 //
     /* 1657615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657661 */     // MIs[0] policy
     /* 1657661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1657674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657695 */     // GIR_Coverage, 11348,
     /* 1657695 */     GIR_EraseRootFromParent_Done,
     /* 1657696 */   // Label 22729: @1657696
     /* 1657696 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1657782), // Rule ID 11349 //
     /* 1657701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657747 */     // MIs[0] policy
     /* 1657747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1657760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657781 */     // GIR_Coverage, 11349,
     /* 1657781 */     GIR_EraseRootFromParent_Done,
     /* 1657782 */   // Label 22730: @1657782
     /* 1657782 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1657868), // Rule ID 11352 //
     /* 1657787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657833 */     // MIs[0] policy
     /* 1657833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1657846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657867 */     // GIR_Coverage, 11352,
     /* 1657867 */     GIR_EraseRootFromParent_Done,
     /* 1657868 */   // Label 22731: @1657868
     /* 1657868 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1657954), // Rule ID 11353 //
     /* 1657873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657919 */     // MIs[0] policy
     /* 1657919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657929 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1657932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657953 */     // GIR_Coverage, 11353,
     /* 1657953 */     GIR_EraseRootFromParent_Done,
     /* 1657954 */   // Label 22732: @1657954
     /* 1657954 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1658040), // Rule ID 11356 //
     /* 1657959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1657967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658005 */     // MIs[0] policy
     /* 1658005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658015 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658039 */     // GIR_Coverage, 11356,
     /* 1658039 */     GIR_EraseRootFromParent_Done,
     /* 1658040 */   // Label 22733: @1658040
     /* 1658040 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1658126), // Rule ID 11357 //
     /* 1658045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658091 */     // MIs[0] policy
     /* 1658091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658125 */     // GIR_Coverage, 11357,
     /* 1658125 */     GIR_EraseRootFromParent_Done,
     /* 1658126 */   // Label 22734: @1658126
     /* 1658126 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1658212), // Rule ID 11360 //
     /* 1658131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658177 */     // MIs[0] policy
     /* 1658177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1658190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658211 */     // GIR_Coverage, 11360,
     /* 1658211 */     GIR_EraseRootFromParent_Done,
     /* 1658212 */   // Label 22735: @1658212
     /* 1658212 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1658298), // Rule ID 11361 //
     /* 1658217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658263 */     // MIs[0] policy
     /* 1658263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1658276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658297 */     // GIR_Coverage, 11361,
     /* 1658297 */     GIR_EraseRootFromParent_Done,
     /* 1658298 */   // Label 22736: @1658298
     /* 1658298 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1658384), // Rule ID 11364 //
     /* 1658303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658349 */     // MIs[0] policy
     /* 1658349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658383 */     // GIR_Coverage, 11364,
     /* 1658383 */     GIR_EraseRootFromParent_Done,
     /* 1658384 */   // Label 22737: @1658384
     /* 1658384 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1658470), // Rule ID 11365 //
     /* 1658389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658435 */     // MIs[0] policy
     /* 1658435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658445 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658469 */     // GIR_Coverage, 11365,
     /* 1658469 */     GIR_EraseRootFromParent_Done,
     /* 1658470 */   // Label 22738: @1658470
     /* 1658470 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1658556), // Rule ID 11368 //
     /* 1658475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658521 */     // MIs[0] policy
     /* 1658521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658555 */     // GIR_Coverage, 11368,
     /* 1658555 */     GIR_EraseRootFromParent_Done,
     /* 1658556 */   // Label 22739: @1658556
     /* 1658556 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1658642), // Rule ID 11369 //
     /* 1658561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658607 */     // MIs[0] policy
     /* 1658607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1658620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658641 */     // GIR_Coverage, 11369,
     /* 1658641 */     GIR_EraseRootFromParent_Done,
     /* 1658642 */   // Label 22740: @1658642
     /* 1658642 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1658728), // Rule ID 11372 //
     /* 1658647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658693 */     // MIs[0] policy
     /* 1658693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1658706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658727 */     // GIR_Coverage, 11372,
     /* 1658727 */     GIR_EraseRootFromParent_Done,
     /* 1658728 */   // Label 22741: @1658728
     /* 1658728 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1658814), // Rule ID 11373 //
     /* 1658733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658779 */     // MIs[0] policy
     /* 1658779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1658792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658813 */     // GIR_Coverage, 11373,
     /* 1658813 */     GIR_EraseRootFromParent_Done,
     /* 1658814 */   // Label 22742: @1658814
     /* 1658814 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1658900), // Rule ID 11376 //
     /* 1658819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658865 */     // MIs[0] policy
     /* 1658865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1658878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658899 */     // GIR_Coverage, 11376,
     /* 1658899 */     GIR_EraseRootFromParent_Done,
     /* 1658900 */   // Label 22743: @1658900
     /* 1658900 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1658986), // Rule ID 11377 //
     /* 1658905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658951 */     // MIs[0] policy
     /* 1658951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1658964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658985 */     // GIR_Coverage, 11377,
     /* 1658985 */     GIR_EraseRootFromParent_Done,
     /* 1658986 */   // Label 22744: @1658986
     /* 1658986 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1659072), // Rule ID 11380 //
     /* 1658991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1658999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659037 */     // MIs[0] policy
     /* 1659037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1659050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659071 */     // GIR_Coverage, 11380,
     /* 1659071 */     GIR_EraseRootFromParent_Done,
     /* 1659072 */   // Label 22745: @1659072
     /* 1659072 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1659158), // Rule ID 11381 //
     /* 1659077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659123 */     // MIs[0] policy
     /* 1659123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1659136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659157 */     // GIR_Coverage, 11381,
     /* 1659157 */     GIR_EraseRootFromParent_Done,
     /* 1659158 */   // Label 22746: @1659158
     /* 1659158 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1659244), // Rule ID 11384 //
     /* 1659163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659209 */     // MIs[0] policy
     /* 1659209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659219 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1659222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659243 */     // GIR_Coverage, 11384,
     /* 1659243 */     GIR_EraseRootFromParent_Done,
     /* 1659244 */   // Label 22747: @1659244
     /* 1659244 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1659330), // Rule ID 11385 //
     /* 1659249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659295 */     // MIs[0] policy
     /* 1659295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659305 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1659308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659329 */     // GIR_Coverage, 11385,
     /* 1659329 */     GIR_EraseRootFromParent_Done,
     /* 1659330 */   // Label 22748: @1659330
     /* 1659330 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1659416), // Rule ID 11388 //
     /* 1659335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659381 */     // MIs[0] policy
     /* 1659381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659391 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1659394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659415 */     // GIR_Coverage, 11388,
     /* 1659415 */     GIR_EraseRootFromParent_Done,
     /* 1659416 */   // Label 22749: @1659416
     /* 1659416 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1659502), // Rule ID 11389 //
     /* 1659421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659467 */     // MIs[0] policy
     /* 1659467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1659480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659501 */     // GIR_Coverage, 11389,
     /* 1659501 */     GIR_EraseRootFromParent_Done,
     /* 1659502 */   // Label 22750: @1659502
     /* 1659502 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1659588), // Rule ID 11392 //
     /* 1659507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659553 */     // MIs[0] policy
     /* 1659553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659563 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1659566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659587 */     // GIR_Coverage, 11392,
     /* 1659587 */     GIR_EraseRootFromParent_Done,
     /* 1659588 */   // Label 22751: @1659588
     /* 1659588 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1659674), // Rule ID 11393 //
     /* 1659593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659639 */     // MIs[0] policy
     /* 1659639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1659652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659673 */     // GIR_Coverage, 11393,
     /* 1659673 */     GIR_EraseRootFromParent_Done,
     /* 1659674 */   // Label 22752: @1659674
     /* 1659674 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1659760), // Rule ID 11396 //
     /* 1659679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659725 */     // MIs[0] policy
     /* 1659725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1659738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659759 */     // GIR_Coverage, 11396,
     /* 1659759 */     GIR_EraseRootFromParent_Done,
     /* 1659760 */   // Label 22753: @1659760
     /* 1659760 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1659846), // Rule ID 11397 //
     /* 1659765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659811 */     // MIs[0] policy
     /* 1659811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1659824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659845 */     // GIR_Coverage, 11397,
     /* 1659845 */     GIR_EraseRootFromParent_Done,
     /* 1659846 */   // Label 22754: @1659846
     /* 1659846 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1659932), // Rule ID 11400 //
     /* 1659851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659897 */     // MIs[0] policy
     /* 1659897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1659910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659931 */     // GIR_Coverage, 11400,
     /* 1659931 */     GIR_EraseRootFromParent_Done,
     /* 1659932 */   // Label 22755: @1659932
     /* 1659932 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1660018), // Rule ID 11401 //
     /* 1659937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1659945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1659948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1659951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1659954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659983 */     // MIs[0] policy
     /* 1659983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659993 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1659996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660017 */     // GIR_Coverage, 11401,
     /* 1660017 */     GIR_EraseRootFromParent_Done,
     /* 1660018 */   // Label 22756: @1660018
     /* 1660018 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1660104), // Rule ID 11404 //
     /* 1660023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660069 */     // MIs[0] policy
     /* 1660069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660079 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1660082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660103 */     // GIR_Coverage, 11404,
     /* 1660103 */     GIR_EraseRootFromParent_Done,
     /* 1660104 */   // Label 22757: @1660104
     /* 1660104 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1660190), // Rule ID 11405 //
     /* 1660109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660155 */     // MIs[0] policy
     /* 1660155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1660168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660189 */     // GIR_Coverage, 11405,
     /* 1660189 */     GIR_EraseRootFromParent_Done,
     /* 1660190 */   // Label 22758: @1660190
     /* 1660190 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1660276), // Rule ID 11408 //
     /* 1660195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660241 */     // MIs[0] policy
     /* 1660241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1660254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660275 */     // GIR_Coverage, 11408,
     /* 1660275 */     GIR_EraseRootFromParent_Done,
     /* 1660276 */   // Label 22759: @1660276
     /* 1660276 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1660362), // Rule ID 11409 //
     /* 1660281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660327 */     // MIs[0] policy
     /* 1660327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1660340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660361 */     // GIR_Coverage, 11409,
     /* 1660361 */     GIR_EraseRootFromParent_Done,
     /* 1660362 */   // Label 22760: @1660362
     /* 1660362 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1660448), // Rule ID 11412 //
     /* 1660367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660413 */     // MIs[0] policy
     /* 1660413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660423 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1660426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660447 */     // GIR_Coverage, 11412,
     /* 1660447 */     GIR_EraseRootFromParent_Done,
     /* 1660448 */   // Label 22761: @1660448
     /* 1660448 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1660534), // Rule ID 11413 //
     /* 1660453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660499 */     // MIs[0] policy
     /* 1660499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660509 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1660512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660533 */     // GIR_Coverage, 11413,
     /* 1660533 */     GIR_EraseRootFromParent_Done,
     /* 1660534 */   // Label 22762: @1660534
     /* 1660534 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1660620), // Rule ID 11416 //
     /* 1660539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660585 */     // MIs[0] policy
     /* 1660585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660595 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1660598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660619 */     // GIR_Coverage, 11416,
     /* 1660619 */     GIR_EraseRootFromParent_Done,
     /* 1660620 */   // Label 22763: @1660620
     /* 1660620 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1660706), // Rule ID 11417 //
     /* 1660625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1660633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660671 */     // MIs[0] policy
     /* 1660671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660681 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1660684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660705 */     // GIR_Coverage, 11417,
     /* 1660705 */     GIR_EraseRootFromParent_Done,
     /* 1660706 */   // Label 22764: @1660706
     /* 1660706 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1660792), // Rule ID 11420 //
     /* 1660711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1660714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1660719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1660731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660757 */     // MIs[0] policy
     /* 1660757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1660770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660791 */     // GIR_Coverage, 11420,
     /* 1660791 */     GIR_EraseRootFromParent_Done,
     /* 1660792 */   // Label 22765: @1660792
     /* 1660792 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1660878), // Rule ID 11421 //
     /* 1660797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1660800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1660805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1660817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660843 */     // MIs[0] policy
     /* 1660843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1660856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660877 */     // GIR_Coverage, 11421,
     /* 1660877 */     GIR_EraseRootFromParent_Done,
     /* 1660878 */   // Label 22766: @1660878
     /* 1660878 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1660964), // Rule ID 11424 //
     /* 1660883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1660886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1660891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1660903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660929 */     // MIs[0] policy
     /* 1660929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1660942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660963 */     // GIR_Coverage, 11424,
     /* 1660963 */     GIR_EraseRootFromParent_Done,
     /* 1660964 */   // Label 22767: @1660964
     /* 1660964 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1661050), // Rule ID 11425 //
     /* 1660969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1660972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1660977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1660989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661015 */     // MIs[0] policy
     /* 1661015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1661028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661049 */     // GIR_Coverage, 11425,
     /* 1661049 */     GIR_EraseRootFromParent_Done,
     /* 1661050 */   // Label 22768: @1661050
     /* 1661050 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1661136), // Rule ID 11428 //
     /* 1661055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661101 */     // MIs[0] policy
     /* 1661101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1661114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661135 */     // GIR_Coverage, 11428,
     /* 1661135 */     GIR_EraseRootFromParent_Done,
     /* 1661136 */   // Label 22769: @1661136
     /* 1661136 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1661222), // Rule ID 11429 //
     /* 1661141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1661144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661187 */     // MIs[0] policy
     /* 1661187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1661200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661221 */     // GIR_Coverage, 11429,
     /* 1661221 */     GIR_EraseRootFromParent_Done,
     /* 1661222 */   // Label 22770: @1661222
     /* 1661222 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1661308), // Rule ID 11432 //
     /* 1661227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1661247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661273 */     // MIs[0] policy
     /* 1661273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1661286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661307 */     // GIR_Coverage, 11432,
     /* 1661307 */     GIR_EraseRootFromParent_Done,
     /* 1661308 */   // Label 22771: @1661308
     /* 1661308 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1661394), // Rule ID 11433 //
     /* 1661313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1661316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1661333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661359 */     // MIs[0] policy
     /* 1661359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1661372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661393 */     // GIR_Coverage, 11433,
     /* 1661393 */     GIR_EraseRootFromParent_Done,
     /* 1661394 */   // Label 22772: @1661394
     /* 1661394 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1661480), // Rule ID 11436 //
     /* 1661399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1661410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1661413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1661416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661445 */     // MIs[0] policy
     /* 1661445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1661458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661479 */     // GIR_Coverage, 11436,
     /* 1661479 */     GIR_EraseRootFromParent_Done,
     /* 1661480 */   // Label 22773: @1661480
     /* 1661480 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1661566), // Rule ID 11437 //
     /* 1661485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1661488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1661496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1661499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1661502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661531 */     // MIs[0] policy
     /* 1661531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1661544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661565 */     // GIR_Coverage, 11437,
     /* 1661565 */     GIR_EraseRootFromParent_Done,
     /* 1661566 */   // Label 22774: @1661566
     /* 1661566 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1661652), // Rule ID 11440 //
     /* 1661571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661617 */     // MIs[0] policy
     /* 1661617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1661630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661651 */     // GIR_Coverage, 11440,
     /* 1661651 */     GIR_EraseRootFromParent_Done,
     /* 1661652 */   // Label 22775: @1661652
     /* 1661652 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1661738), // Rule ID 11441 //
     /* 1661657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1661660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1661668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1661671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1661674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661703 */     // MIs[0] policy
     /* 1661703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1661716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661737 */     // GIR_Coverage, 11441,
     /* 1661737 */     GIR_EraseRootFromParent_Done,
     /* 1661738 */   // Label 22776: @1661738
     /* 1661738 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1661824), // Rule ID 11444 //
     /* 1661743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661789 */     // MIs[0] policy
     /* 1661789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1661802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661823 */     // GIR_Coverage, 11444,
     /* 1661823 */     GIR_EraseRootFromParent_Done,
     /* 1661824 */   // Label 22777: @1661824
     /* 1661824 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1661910), // Rule ID 11445 //
     /* 1661829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1661832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661875 */     // MIs[0] policy
     /* 1661875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1661888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661909 */     // GIR_Coverage, 11445,
     /* 1661909 */     GIR_EraseRootFromParent_Done,
     /* 1661910 */   // Label 22778: @1661910
     /* 1661910 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1661996), // Rule ID 11448 //
     /* 1661915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1661918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1661923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661961 */     // MIs[0] policy
     /* 1661961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1661974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661995 */     // GIR_Coverage, 11448,
     /* 1661995 */     GIR_EraseRootFromParent_Done,
     /* 1661996 */   // Label 22779: @1661996
     /* 1661996 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1662082), // Rule ID 11449 //
     /* 1662001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1662009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662047 */     // MIs[0] policy
     /* 1662047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1662060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662081 */     // GIR_Coverage, 11449,
     /* 1662081 */     GIR_EraseRootFromParent_Done,
     /* 1662082 */   // Label 22780: @1662082
     /* 1662082 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1662168), // Rule ID 11452 //
     /* 1662087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662133 */     // MIs[0] policy
     /* 1662133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1662146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662167 */     // GIR_Coverage, 11452,
     /* 1662167 */     GIR_EraseRootFromParent_Done,
     /* 1662168 */   // Label 22781: @1662168
     /* 1662168 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1662254), // Rule ID 11453 //
     /* 1662173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1662193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662219 */     // MIs[0] policy
     /* 1662219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662229 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1662232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662253 */     // GIR_Coverage, 11453,
     /* 1662253 */     GIR_EraseRootFromParent_Done,
     /* 1662254 */   // Label 22782: @1662254
     /* 1662254 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1662340), // Rule ID 11456 //
     /* 1662259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1662279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662305 */     // MIs[0] policy
     /* 1662305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1662318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662339 */     // GIR_Coverage, 11456,
     /* 1662339 */     GIR_EraseRootFromParent_Done,
     /* 1662340 */   // Label 22783: @1662340
     /* 1662340 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1662426), // Rule ID 11457 //
     /* 1662345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1662365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662391 */     // MIs[0] policy
     /* 1662391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1662404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662425 */     // GIR_Coverage, 11457,
     /* 1662425 */     GIR_EraseRootFromParent_Done,
     /* 1662426 */   // Label 22784: @1662426
     /* 1662426 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1662512), // Rule ID 11460 //
     /* 1662431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1662442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1662445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1662448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1662451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662477 */     // MIs[0] policy
     /* 1662477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1662490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662511 */     // GIR_Coverage, 11460,
     /* 1662511 */     GIR_EraseRootFromParent_Done,
     /* 1662512 */   // Label 22785: @1662512
     /* 1662512 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1662598), // Rule ID 11461 //
     /* 1662517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1662528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1662531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1662534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1662537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662563 */     // MIs[0] policy
     /* 1662563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1662576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662597 */     // GIR_Coverage, 11461,
     /* 1662597 */     GIR_EraseRootFromParent_Done,
     /* 1662598 */   // Label 22786: @1662598
     /* 1662598 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1662684), // Rule ID 11464 //
     /* 1662603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1662623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662649 */     // MIs[0] policy
     /* 1662649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1662662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662683 */     // GIR_Coverage, 11464,
     /* 1662683 */     GIR_EraseRootFromParent_Done,
     /* 1662684 */   // Label 22787: @1662684
     /* 1662684 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1662770), // Rule ID 11465 //
     /* 1662689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1662709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662735 */     // MIs[0] policy
     /* 1662735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1662748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662769 */     // GIR_Coverage, 11465,
     /* 1662769 */     GIR_EraseRootFromParent_Done,
     /* 1662770 */   // Label 22788: @1662770
     /* 1662770 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1662856), // Rule ID 11468 //
     /* 1662775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662821 */     // MIs[0] policy
     /* 1662821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1662834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662855 */     // GIR_Coverage, 11468,
     /* 1662855 */     GIR_EraseRootFromParent_Done,
     /* 1662856 */   // Label 22789: @1662856
     /* 1662856 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1662942), // Rule ID 11469 //
     /* 1662861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1662864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662907 */     // MIs[0] policy
     /* 1662907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1662920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662941 */     // GIR_Coverage, 11469,
     /* 1662941 */     GIR_EraseRootFromParent_Done,
     /* 1662942 */   // Label 22790: @1662942
     /* 1662942 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1663028), // Rule ID 11472 //
     /* 1662947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1662950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1662955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662993 */     // MIs[0] policy
     /* 1662993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1663006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663027 */     // GIR_Coverage, 11472,
     /* 1663027 */     GIR_EraseRootFromParent_Done,
     /* 1663028 */   // Label 22791: @1663028
     /* 1663028 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1663114), // Rule ID 11473 //
     /* 1663033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1663041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663079 */     // MIs[0] policy
     /* 1663079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1663092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663113 */     // GIR_Coverage, 11473,
     /* 1663113 */     GIR_EraseRootFromParent_Done,
     /* 1663114 */   // Label 22792: @1663114
     /* 1663114 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1663200), // Rule ID 11476 //
     /* 1663119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1663127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663165 */     // MIs[0] policy
     /* 1663165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663175 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1663178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663199 */     // GIR_Coverage, 11476,
     /* 1663199 */     GIR_EraseRootFromParent_Done,
     /* 1663200 */   // Label 22793: @1663200
     /* 1663200 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1663286), // Rule ID 11477 //
     /* 1663205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1663213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663251 */     // MIs[0] policy
     /* 1663251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1663264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663285 */     // GIR_Coverage, 11477,
     /* 1663285 */     GIR_EraseRootFromParent_Done,
     /* 1663286 */   // Label 22794: @1663286
     /* 1663286 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1663372), // Rule ID 11480 //
     /* 1663291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1663299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663337 */     // MIs[0] policy
     /* 1663337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1663350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663371 */     // GIR_Coverage, 11480,
     /* 1663371 */     GIR_EraseRootFromParent_Done,
     /* 1663372 */   // Label 22795: @1663372
     /* 1663372 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1663458), // Rule ID 11481 //
     /* 1663377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1663385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663423 */     // MIs[0] policy
     /* 1663423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1663436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663457 */     // GIR_Coverage, 11481,
     /* 1663457 */     GIR_EraseRootFromParent_Done,
     /* 1663458 */   // Label 22796: @1663458
     /* 1663458 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1663544), // Rule ID 11484 //
     /* 1663463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663509 */     // MIs[0] policy
     /* 1663509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1663522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663543 */     // GIR_Coverage, 11484,
     /* 1663543 */     GIR_EraseRootFromParent_Done,
     /* 1663544 */   // Label 22797: @1663544
     /* 1663544 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1663630), // Rule ID 11485 //
     /* 1663549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1663569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663595 */     // MIs[0] policy
     /* 1663595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1663608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663629 */     // GIR_Coverage, 11485,
     /* 1663629 */     GIR_EraseRootFromParent_Done,
     /* 1663630 */   // Label 22798: @1663630
     /* 1663630 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1663716), // Rule ID 11488 //
     /* 1663635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663681 */     // MIs[0] policy
     /* 1663681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1663694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663715 */     // GIR_Coverage, 11488,
     /* 1663715 */     GIR_EraseRootFromParent_Done,
     /* 1663716 */   // Label 22799: @1663716
     /* 1663716 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1663802), // Rule ID 11489 //
     /* 1663721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663767 */     // MIs[0] policy
     /* 1663767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663777 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1663780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663801 */     // GIR_Coverage, 11489,
     /* 1663801 */     GIR_EraseRootFromParent_Done,
     /* 1663802 */   // Label 22800: @1663802
     /* 1663802 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1663888), // Rule ID 11492 //
     /* 1663807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1663827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663853 */     // MIs[0] policy
     /* 1663853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1663866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663887 */     // GIR_Coverage, 11492,
     /* 1663887 */     GIR_EraseRootFromParent_Done,
     /* 1663888 */   // Label 22801: @1663888
     /* 1663888 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1663974), // Rule ID 11493 //
     /* 1663893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1663896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1663913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663939 */     // MIs[0] policy
     /* 1663939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1663952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663973 */     // GIR_Coverage, 11493,
     /* 1663973 */     GIR_EraseRootFromParent_Done,
     /* 1663974 */   // Label 22802: @1663974
     /* 1663974 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1664060), // Rule ID 11496 //
     /* 1663979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1663982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1663987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1663999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664025 */     // MIs[0] policy
     /* 1664025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1664038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664059 */     // GIR_Coverage, 11496,
     /* 1664059 */     GIR_EraseRootFromParent_Done,
     /* 1664060 */   // Label 22803: @1664060
     /* 1664060 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1664146), // Rule ID 11497 //
     /* 1664065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1664068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1664085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664111 */     // MIs[0] policy
     /* 1664111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1664124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664145 */     // GIR_Coverage, 11497,
     /* 1664145 */     GIR_EraseRootFromParent_Done,
     /* 1664146 */   // Label 22804: @1664146
     /* 1664146 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1664232), // Rule ID 11500 //
     /* 1664151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1664154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1664162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1664165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1664168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664197 */     // MIs[0] policy
     /* 1664197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1664210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664231 */     // GIR_Coverage, 11500,
     /* 1664231 */     GIR_EraseRootFromParent_Done,
     /* 1664232 */   // Label 22805: @1664232
     /* 1664232 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1664318), // Rule ID 11501 //
     /* 1664237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1664240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1664248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1664251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1664254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664283 */     // MIs[0] policy
     /* 1664283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1664296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664317 */     // GIR_Coverage, 11501,
     /* 1664317 */     GIR_EraseRootFromParent_Done,
     /* 1664318 */   // Label 22806: @1664318
     /* 1664318 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1664404), // Rule ID 11504 //
     /* 1664323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1664326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664369 */     // MIs[0] policy
     /* 1664369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1664382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664403 */     // GIR_Coverage, 11504,
     /* 1664403 */     GIR_EraseRootFromParent_Done,
     /* 1664404 */   // Label 22807: @1664404
     /* 1664404 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1664490), // Rule ID 11505 //
     /* 1664409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1664412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664455 */     // MIs[0] policy
     /* 1664455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664465 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1664468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664489 */     // GIR_Coverage, 11505,
     /* 1664489 */     GIR_EraseRootFromParent_Done,
     /* 1664490 */   // Label 22808: @1664490
     /* 1664490 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1664576), // Rule ID 11508 //
     /* 1664495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1664498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664541 */     // MIs[0] policy
     /* 1664541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1664554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664575 */     // GIR_Coverage, 11508,
     /* 1664575 */     GIR_EraseRootFromParent_Done,
     /* 1664576 */   // Label 22809: @1664576
     /* 1664576 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1664662), // Rule ID 11509 //
     /* 1664581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1664584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664627 */     // MIs[0] policy
     /* 1664627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1664640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664661 */     // GIR_Coverage, 11509,
     /* 1664661 */     GIR_EraseRootFromParent_Done,
     /* 1664662 */   // Label 22810: @1664662
     /* 1664662 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1664748), // Rule ID 11512 //
     /* 1664667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1664670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664713 */     // MIs[0] policy
     /* 1664713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1664726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664747 */     // GIR_Coverage, 11512,
     /* 1664747 */     GIR_EraseRootFromParent_Done,
     /* 1664748 */   // Label 22811: @1664748
     /* 1664748 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1664834), // Rule ID 11513 //
     /* 1664753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1664756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1664761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1664764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1664767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1664770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664799 */     // MIs[0] policy
     /* 1664799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1664812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664833 */     // GIR_Coverage, 11513,
     /* 1664833 */     GIR_EraseRootFromParent_Done,
     /* 1664834 */   // Label 22812: @1664834
     /* 1664834 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1664920), // Rule ID 11516 //
     /* 1664839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1664847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1664859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664885 */     // MIs[0] policy
     /* 1664885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1664898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664919 */     // GIR_Coverage, 11516,
     /* 1664919 */     GIR_EraseRootFromParent_Done,
     /* 1664920 */   // Label 22813: @1664920
     /* 1664920 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1665006), // Rule ID 11517 //
     /* 1664925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1664933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1664945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664971 */     // MIs[0] policy
     /* 1664971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1664984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665005 */     // GIR_Coverage, 11517,
     /* 1665005 */     GIR_EraseRootFromParent_Done,
     /* 1665006 */   // Label 22814: @1665006
     /* 1665006 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1665092), // Rule ID 11520 //
     /* 1665011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1665031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665057 */     // MIs[0] policy
     /* 1665057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1665070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665091 */     // GIR_Coverage, 11520,
     /* 1665091 */     GIR_EraseRootFromParent_Done,
     /* 1665092 */   // Label 22815: @1665092
     /* 1665092 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1665178), // Rule ID 11521 //
     /* 1665097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1665117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665143 */     // MIs[0] policy
     /* 1665143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1665156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665177 */     // GIR_Coverage, 11521,
     /* 1665177 */     GIR_EraseRootFromParent_Done,
     /* 1665178 */   // Label 22816: @1665178
     /* 1665178 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1665264), // Rule ID 11524 //
     /* 1665183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1665203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665229 */     // MIs[0] policy
     /* 1665229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665239 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1665242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665263 */     // GIR_Coverage, 11524,
     /* 1665263 */     GIR_EraseRootFromParent_Done,
     /* 1665264 */   // Label 22817: @1665264
     /* 1665264 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1665350), // Rule ID 11525 //
     /* 1665269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1665289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665315 */     // MIs[0] policy
     /* 1665315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1665328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665349 */     // GIR_Coverage, 11525,
     /* 1665349 */     GIR_EraseRootFromParent_Done,
     /* 1665350 */   // Label 22818: @1665350
     /* 1665350 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1665436), // Rule ID 11528 //
     /* 1665355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1665375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665401 */     // MIs[0] policy
     /* 1665401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665411 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1665414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665435 */     // GIR_Coverage, 11528,
     /* 1665435 */     GIR_EraseRootFromParent_Done,
     /* 1665436 */   // Label 22819: @1665436
     /* 1665436 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1665522), // Rule ID 11529 //
     /* 1665441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1665461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665487 */     // MIs[0] policy
     /* 1665487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1665500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665521 */     // GIR_Coverage, 11529,
     /* 1665521 */     GIR_EraseRootFromParent_Done,
     /* 1665522 */   // Label 22820: @1665522
     /* 1665522 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1665608), // Rule ID 11532 //
     /* 1665527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1665547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665573 */     // MIs[0] policy
     /* 1665573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1665586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665607 */     // GIR_Coverage, 11532,
     /* 1665607 */     GIR_EraseRootFromParent_Done,
     /* 1665608 */   // Label 22821: @1665608
     /* 1665608 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1665694), // Rule ID 11533 //
     /* 1665613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1665633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665659 */     // MIs[0] policy
     /* 1665659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1665672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665693 */     // GIR_Coverage, 11533,
     /* 1665693 */     GIR_EraseRootFromParent_Done,
     /* 1665694 */   // Label 22822: @1665694
     /* 1665694 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1665780), // Rule ID 11536 //
     /* 1665699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1665719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665745 */     // MIs[0] policy
     /* 1665745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1665758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665779 */     // GIR_Coverage, 11536,
     /* 1665779 */     GIR_EraseRootFromParent_Done,
     /* 1665780 */   // Label 22823: @1665780
     /* 1665780 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1665866), // Rule ID 11537 //
     /* 1665785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1665796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1665799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1665802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1665805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665831 */     // MIs[0] policy
     /* 1665831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1665844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665865 */     // GIR_Coverage, 11537,
     /* 1665865 */     GIR_EraseRootFromParent_Done,
     /* 1665866 */   // Label 22824: @1665866
     /* 1665866 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1665952), // Rule ID 11540 //
     /* 1665871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1665891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665917 */     // MIs[0] policy
     /* 1665917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1665930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665951 */     // GIR_Coverage, 11540,
     /* 1665951 */     GIR_EraseRootFromParent_Done,
     /* 1665952 */   // Label 22825: @1665952
     /* 1665952 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1666038), // Rule ID 11541 //
     /* 1665957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1665965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1665977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666003 */     // MIs[0] policy
     /* 1666003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1666016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666037 */     // GIR_Coverage, 11541,
     /* 1666037 */     GIR_EraseRootFromParent_Done,
     /* 1666038 */   // Label 22826: @1666038
     /* 1666038 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1666124), // Rule ID 11544 //
     /* 1666043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1666063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666089 */     // MIs[0] policy
     /* 1666089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1666102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666123 */     // GIR_Coverage, 11544,
     /* 1666123 */     GIR_EraseRootFromParent_Done,
     /* 1666124 */   // Label 22827: @1666124
     /* 1666124 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1666210), // Rule ID 11545 //
     /* 1666129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1666149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666175 */     // MIs[0] policy
     /* 1666175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1666188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666209 */     // GIR_Coverage, 11545,
     /* 1666209 */     GIR_EraseRootFromParent_Done,
     /* 1666210 */   // Label 22828: @1666210
     /* 1666210 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1666296), // Rule ID 11548 //
     /* 1666215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1666235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666261 */     // MIs[0] policy
     /* 1666261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1666274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666295 */     // GIR_Coverage, 11548,
     /* 1666295 */     GIR_EraseRootFromParent_Done,
     /* 1666296 */   // Label 22829: @1666296
     /* 1666296 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1666382), // Rule ID 11549 //
     /* 1666301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1666321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666347 */     // MIs[0] policy
     /* 1666347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1666360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666381 */     // GIR_Coverage, 11549,
     /* 1666381 */     GIR_EraseRootFromParent_Done,
     /* 1666382 */   // Label 22830: @1666382
     /* 1666382 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1666468), // Rule ID 11552 //
     /* 1666387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1666407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666433 */     // MIs[0] policy
     /* 1666433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1666446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666467 */     // GIR_Coverage, 11552,
     /* 1666467 */     GIR_EraseRootFromParent_Done,
     /* 1666468 */   // Label 22831: @1666468
     /* 1666468 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1666554), // Rule ID 11553 //
     /* 1666473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1666493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666519 */     // MIs[0] policy
     /* 1666519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1666532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666553 */     // GIR_Coverage, 11553,
     /* 1666553 */     GIR_EraseRootFromParent_Done,
     /* 1666554 */   // Label 22832: @1666554
     /* 1666554 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1666640), // Rule ID 11556 //
     /* 1666559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1666579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666605 */     // MIs[0] policy
     /* 1666605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666615 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1666618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666639 */     // GIR_Coverage, 11556,
     /* 1666639 */     GIR_EraseRootFromParent_Done,
     /* 1666640 */   // Label 22833: @1666640
     /* 1666640 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1666726), // Rule ID 11557 //
     /* 1666645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1666665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666691 */     // MIs[0] policy
     /* 1666691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1666704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666725 */     // GIR_Coverage, 11557,
     /* 1666725 */     GIR_EraseRootFromParent_Done,
     /* 1666726 */   // Label 22834: @1666726
     /* 1666726 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1666812), // Rule ID 11560 //
     /* 1666731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1666751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666777 */     // MIs[0] policy
     /* 1666777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1666790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666811 */     // GIR_Coverage, 11560,
     /* 1666811 */     GIR_EraseRootFromParent_Done,
     /* 1666812 */   // Label 22835: @1666812
     /* 1666812 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1666898), // Rule ID 11561 //
     /* 1666817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1666828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1666831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1666834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1666837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666863 */     // MIs[0] policy
     /* 1666863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1666876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666897 */     // GIR_Coverage, 11561,
     /* 1666897 */     GIR_EraseRootFromParent_Done,
     /* 1666898 */   // Label 22836: @1666898
     /* 1666898 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1666984), // Rule ID 11564 //
     /* 1666903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1666923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666949 */     // MIs[0] policy
     /* 1666949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1666962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666983 */     // GIR_Coverage, 11564,
     /* 1666983 */     GIR_EraseRootFromParent_Done,
     /* 1666984 */   // Label 22837: @1666984
     /* 1666984 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1667070), // Rule ID 11565 //
     /* 1666989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1666997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1667009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667035 */     // MIs[0] policy
     /* 1667035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1667048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667069 */     // GIR_Coverage, 11565,
     /* 1667069 */     GIR_EraseRootFromParent_Done,
     /* 1667070 */   // Label 22838: @1667070
     /* 1667070 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1667156), // Rule ID 11568 //
     /* 1667075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1667095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667121 */     // MIs[0] policy
     /* 1667121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1667134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667155 */     // GIR_Coverage, 11568,
     /* 1667155 */     GIR_EraseRootFromParent_Done,
     /* 1667156 */   // Label 22839: @1667156
     /* 1667156 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1667242), // Rule ID 11569 //
     /* 1667161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1667181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667207 */     // MIs[0] policy
     /* 1667207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1667220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667241 */     // GIR_Coverage, 11569,
     /* 1667241 */     GIR_EraseRootFromParent_Done,
     /* 1667242 */   // Label 22840: @1667242
     /* 1667242 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1667328), // Rule ID 11572 //
     /* 1667247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1667267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667293 */     // MIs[0] policy
     /* 1667293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667303 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1667306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667327 */     // GIR_Coverage, 11572,
     /* 1667327 */     GIR_EraseRootFromParent_Done,
     /* 1667328 */   // Label 22841: @1667328
     /* 1667328 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1667414), // Rule ID 11573 //
     /* 1667333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1667353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667379 */     // MIs[0] policy
     /* 1667379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1667392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667413 */     // GIR_Coverage, 11573,
     /* 1667413 */     GIR_EraseRootFromParent_Done,
     /* 1667414 */   // Label 22842: @1667414
     /* 1667414 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1667500), // Rule ID 11576 //
     /* 1667419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1667439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667465 */     // MIs[0] policy
     /* 1667465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1667478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667499 */     // GIR_Coverage, 11576,
     /* 1667499 */     GIR_EraseRootFromParent_Done,
     /* 1667500 */   // Label 22843: @1667500
     /* 1667500 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1667586), // Rule ID 11577 //
     /* 1667505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1667525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667551 */     // MIs[0] policy
     /* 1667551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667561 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1667564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667585 */     // GIR_Coverage, 11577,
     /* 1667585 */     GIR_EraseRootFromParent_Done,
     /* 1667586 */   // Label 22844: @1667586
     /* 1667586 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1667672), // Rule ID 11580 //
     /* 1667591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1667611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667637 */     // MIs[0] policy
     /* 1667637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1667650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667671 */     // GIR_Coverage, 11580,
     /* 1667671 */     GIR_EraseRootFromParent_Done,
     /* 1667672 */   // Label 22845: @1667672
     /* 1667672 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1667758), // Rule ID 11581 //
     /* 1667677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1667697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667723 */     // MIs[0] policy
     /* 1667723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1667736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667757 */     // GIR_Coverage, 11581,
     /* 1667757 */     GIR_EraseRootFromParent_Done,
     /* 1667758 */   // Label 22846: @1667758
     /* 1667758 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1667844), // Rule ID 11584 //
     /* 1667763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1667783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667809 */     // MIs[0] policy
     /* 1667809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1667822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667843 */     // GIR_Coverage, 11584,
     /* 1667843 */     GIR_EraseRootFromParent_Done,
     /* 1667844 */   // Label 22847: @1667844
     /* 1667844 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1667930), // Rule ID 11585 //
     /* 1667849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1667869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667895 */     // MIs[0] policy
     /* 1667895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1667908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667929 */     // GIR_Coverage, 11585,
     /* 1667929 */     GIR_EraseRootFromParent_Done,
     /* 1667930 */   // Label 22848: @1667930
     /* 1667930 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1668016), // Rule ID 11588 //
     /* 1667935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1667943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1667955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667981 */     // MIs[0] policy
     /* 1667981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667991 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1667994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668015 */     // GIR_Coverage, 11588,
     /* 1668015 */     GIR_EraseRootFromParent_Done,
     /* 1668016 */   // Label 22849: @1668016
     /* 1668016 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1668102), // Rule ID 11589 //
     /* 1668021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1668041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668067 */     // MIs[0] policy
     /* 1668067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1668080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668101 */     // GIR_Coverage, 11589,
     /* 1668101 */     GIR_EraseRootFromParent_Done,
     /* 1668102 */   // Label 22850: @1668102
     /* 1668102 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1668188), // Rule ID 11592 //
     /* 1668107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1668127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668153 */     // MIs[0] policy
     /* 1668153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1668166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668187 */     // GIR_Coverage, 11592,
     /* 1668187 */     GIR_EraseRootFromParent_Done,
     /* 1668188 */   // Label 22851: @1668188
     /* 1668188 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1668274), // Rule ID 11593 //
     /* 1668193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1668213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668239 */     // MIs[0] policy
     /* 1668239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668249 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1668252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668273 */     // GIR_Coverage, 11593,
     /* 1668273 */     GIR_EraseRootFromParent_Done,
     /* 1668274 */   // Label 22852: @1668274
     /* 1668274 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1668360), // Rule ID 11596 //
     /* 1668279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1668299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668325 */     // MIs[0] policy
     /* 1668325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668335 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1668338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668359 */     // GIR_Coverage, 11596,
     /* 1668359 */     GIR_EraseRootFromParent_Done,
     /* 1668360 */   // Label 22853: @1668360
     /* 1668360 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1668446), // Rule ID 11597 //
     /* 1668365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1668385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668411 */     // MIs[0] policy
     /* 1668411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1668424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668445 */     // GIR_Coverage, 11597,
     /* 1668445 */     GIR_EraseRootFromParent_Done,
     /* 1668446 */   // Label 22854: @1668446
     /* 1668446 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1668532), // Rule ID 11600 //
     /* 1668451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1668471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668497 */     // MIs[0] policy
     /* 1668497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1668510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668531 */     // GIR_Coverage, 11600,
     /* 1668531 */     GIR_EraseRootFromParent_Done,
     /* 1668532 */   // Label 22855: @1668532
     /* 1668532 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1668618), // Rule ID 11601 //
     /* 1668537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1668557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668583 */     // MIs[0] policy
     /* 1668583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1668596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668617 */     // GIR_Coverage, 11601,
     /* 1668617 */     GIR_EraseRootFromParent_Done,
     /* 1668618 */   // Label 22856: @1668618
     /* 1668618 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1668704), // Rule ID 11604 //
     /* 1668623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668669 */     // MIs[0] policy
     /* 1668669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668679 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1668682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668703 */     // GIR_Coverage, 11604,
     /* 1668703 */     GIR_EraseRootFromParent_Done,
     /* 1668704 */   // Label 22857: @1668704
     /* 1668704 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1668790), // Rule ID 11605 //
     /* 1668709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668755 */     // MIs[0] policy
     /* 1668755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1668768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668789 */     // GIR_Coverage, 11605,
     /* 1668789 */     GIR_EraseRootFromParent_Done,
     /* 1668790 */   // Label 22858: @1668790
     /* 1668790 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1668876), // Rule ID 11608 //
     /* 1668795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668841 */     // MIs[0] policy
     /* 1668841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1668854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668875 */     // GIR_Coverage, 11608,
     /* 1668875 */     GIR_EraseRootFromParent_Done,
     /* 1668876 */   // Label 22859: @1668876
     /* 1668876 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1668962), // Rule ID 11609 //
     /* 1668881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668927 */     // MIs[0] policy
     /* 1668927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668937 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1668940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668961 */     // GIR_Coverage, 11609,
     /* 1668961 */     GIR_EraseRootFromParent_Done,
     /* 1668962 */   // Label 22860: @1668962
     /* 1668962 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1669048), // Rule ID 11612 //
     /* 1668967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1668975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669013 */     // MIs[0] policy
     /* 1669013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669023 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1669026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669047 */     // GIR_Coverage, 11612,
     /* 1669047 */     GIR_EraseRootFromParent_Done,
     /* 1669048 */   // Label 22861: @1669048
     /* 1669048 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1669134), // Rule ID 11613 //
     /* 1669053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669099 */     // MIs[0] policy
     /* 1669099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669109 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1669112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669133 */     // GIR_Coverage, 11613,
     /* 1669133 */     GIR_EraseRootFromParent_Done,
     /* 1669134 */   // Label 22862: @1669134
     /* 1669134 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1669220), // Rule ID 11616 //
     /* 1669139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669185 */     // MIs[0] policy
     /* 1669185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1669198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669219 */     // GIR_Coverage, 11616,
     /* 1669219 */     GIR_EraseRootFromParent_Done,
     /* 1669220 */   // Label 22863: @1669220
     /* 1669220 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1669306), // Rule ID 11617 //
     /* 1669225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669271 */     // MIs[0] policy
     /* 1669271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1669284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669305 */     // GIR_Coverage, 11617,
     /* 1669305 */     GIR_EraseRootFromParent_Done,
     /* 1669306 */   // Label 22864: @1669306
     /* 1669306 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1669392), // Rule ID 11620 //
     /* 1669311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669357 */     // MIs[0] policy
     /* 1669357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669367 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1669370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669391 */     // GIR_Coverage, 11620,
     /* 1669391 */     GIR_EraseRootFromParent_Done,
     /* 1669392 */   // Label 22865: @1669392
     /* 1669392 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1669478), // Rule ID 11621 //
     /* 1669397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669443 */     // MIs[0] policy
     /* 1669443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1669456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669477 */     // GIR_Coverage, 11621,
     /* 1669477 */     GIR_EraseRootFromParent_Done,
     /* 1669478 */   // Label 22866: @1669478
     /* 1669478 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1669564), // Rule ID 11624 //
     /* 1669483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669529 */     // MIs[0] policy
     /* 1669529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1669542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669563 */     // GIR_Coverage, 11624,
     /* 1669563 */     GIR_EraseRootFromParent_Done,
     /* 1669564 */   // Label 22867: @1669564
     /* 1669564 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1669650), // Rule ID 11625 //
     /* 1669569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669615 */     // MIs[0] policy
     /* 1669615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1669628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669649 */     // GIR_Coverage, 11625,
     /* 1669649 */     GIR_EraseRootFromParent_Done,
     /* 1669650 */   // Label 22868: @1669650
     /* 1669650 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1669736), // Rule ID 11628 //
     /* 1669655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669701 */     // MIs[0] policy
     /* 1669701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1669714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669735 */     // GIR_Coverage, 11628,
     /* 1669735 */     GIR_EraseRootFromParent_Done,
     /* 1669736 */   // Label 22869: @1669736
     /* 1669736 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1669822), // Rule ID 11629 //
     /* 1669741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669787 */     // MIs[0] policy
     /* 1669787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669797 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10836:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1669800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669821 */     // GIR_Coverage, 11629,
     /* 1669821 */     GIR_EraseRootFromParent_Done,
     /* 1669822 */   // Label 22870: @1669822
     /* 1669822 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1669908), // Rule ID 11632 //
     /* 1669827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669873 */     // MIs[0] policy
     /* 1669873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1669886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669907 */     // GIR_Coverage, 11632,
     /* 1669907 */     GIR_EraseRootFromParent_Done,
     /* 1669908 */   // Label 22871: @1669908
     /* 1669908 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1669994), // Rule ID 11633 //
     /* 1669913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1669921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669959 */     // MIs[0] policy
     /* 1669959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1669972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669993 */     // GIR_Coverage, 11633,
     /* 1669993 */     GIR_EraseRootFromParent_Done,
     /* 1669994 */   // Label 22872: @1669994
     /* 1669994 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1670080), // Rule ID 11636 //
     /* 1669999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670045 */     // MIs[0] policy
     /* 1670045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1670058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670079 */     // GIR_Coverage, 11636,
     /* 1670079 */     GIR_EraseRootFromParent_Done,
     /* 1670080 */   // Label 22873: @1670080
     /* 1670080 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1670166), // Rule ID 11637 //
     /* 1670085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670131 */     // MIs[0] policy
     /* 1670131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1670144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670165 */     // GIR_Coverage, 11637,
     /* 1670165 */     GIR_EraseRootFromParent_Done,
     /* 1670166 */   // Label 22874: @1670166
     /* 1670166 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1670252), // Rule ID 11640 //
     /* 1670171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670217 */     // MIs[0] policy
     /* 1670217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1670230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670251 */     // GIR_Coverage, 11640,
     /* 1670251 */     GIR_EraseRootFromParent_Done,
     /* 1670252 */   // Label 22875: @1670252
     /* 1670252 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1670338), // Rule ID 11641 //
     /* 1670257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670303 */     // MIs[0] policy
     /* 1670303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670313 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1670316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670337 */     // GIR_Coverage, 11641,
     /* 1670337 */     GIR_EraseRootFromParent_Done,
     /* 1670338 */   // Label 22876: @1670338
     /* 1670338 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1670424), // Rule ID 11644 //
     /* 1670343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670389 */     // MIs[0] policy
     /* 1670389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1670402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670423 */     // GIR_Coverage, 11644,
     /* 1670423 */     GIR_EraseRootFromParent_Done,
     /* 1670424 */   // Label 22877: @1670424
     /* 1670424 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1670510), // Rule ID 11645 //
     /* 1670429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670475 */     // MIs[0] policy
     /* 1670475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1670488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670509 */     // GIR_Coverage, 11645,
     /* 1670509 */     GIR_EraseRootFromParent_Done,
     /* 1670510 */   // Label 22878: @1670510
     /* 1670510 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1670596), // Rule ID 11648 //
     /* 1670515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670561 */     // MIs[0] policy
     /* 1670561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1670574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670595 */     // GIR_Coverage, 11648,
     /* 1670595 */     GIR_EraseRootFromParent_Done,
     /* 1670596 */   // Label 22879: @1670596
     /* 1670596 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1670682), // Rule ID 11649 //
     /* 1670601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670647 */     // MIs[0] policy
     /* 1670647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670657 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1670660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670681 */     // GIR_Coverage, 11649,
     /* 1670681 */     GIR_EraseRootFromParent_Done,
     /* 1670682 */   // Label 22880: @1670682
     /* 1670682 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1670768), // Rule ID 11652 //
     /* 1670687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670733 */     // MIs[0] policy
     /* 1670733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670743 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1670746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670767 */     // GIR_Coverage, 11652,
     /* 1670767 */     GIR_EraseRootFromParent_Done,
     /* 1670768 */   // Label 22881: @1670768
     /* 1670768 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1670854), // Rule ID 11653 //
     /* 1670773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670819 */     // MIs[0] policy
     /* 1670819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670829 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1670832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670853 */     // GIR_Coverage, 11653,
     /* 1670853 */     GIR_EraseRootFromParent_Done,
     /* 1670854 */   // Label 22882: @1670854
     /* 1670854 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1670940), // Rule ID 11656 //
     /* 1670859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670905 */     // MIs[0] policy
     /* 1670905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1670918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670939 */     // GIR_Coverage, 11656,
     /* 1670939 */     GIR_EraseRootFromParent_Done,
     /* 1670940 */   // Label 22883: @1670940
     /* 1670940 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1671026), // Rule ID 11657 //
     /* 1670945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1670953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670991 */     // MIs[0] policy
     /* 1670991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1671004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671025 */     // GIR_Coverage, 11657,
     /* 1671025 */     GIR_EraseRootFromParent_Done,
     /* 1671026 */   // Label 22884: @1671026
     /* 1671026 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1671112), // Rule ID 11660 //
     /* 1671031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671077 */     // MIs[0] policy
     /* 1671077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1671090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671111 */     // GIR_Coverage, 11660,
     /* 1671111 */     GIR_EraseRootFromParent_Done,
     /* 1671112 */   // Label 22885: @1671112
     /* 1671112 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1671198), // Rule ID 11661 //
     /* 1671117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671163 */     // MIs[0] policy
     /* 1671163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1671176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671197 */     // GIR_Coverage, 11661,
     /* 1671197 */     GIR_EraseRootFromParent_Done,
     /* 1671198 */   // Label 22886: @1671198
     /* 1671198 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1671284), // Rule ID 11664 //
     /* 1671203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671249 */     // MIs[0] policy
     /* 1671249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671259 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1671262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671283 */     // GIR_Coverage, 11664,
     /* 1671283 */     GIR_EraseRootFromParent_Done,
     /* 1671284 */   // Label 22887: @1671284
     /* 1671284 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1671370), // Rule ID 11665 //
     /* 1671289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671335 */     // MIs[0] policy
     /* 1671335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671345 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1671348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671369 */     // GIR_Coverage, 11665,
     /* 1671369 */     GIR_EraseRootFromParent_Done,
     /* 1671370 */   // Label 22888: @1671370
     /* 1671370 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1671456), // Rule ID 11668 //
     /* 1671375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671421 */     // MIs[0] policy
     /* 1671421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1671434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671455 */     // GIR_Coverage, 11668,
     /* 1671455 */     GIR_EraseRootFromParent_Done,
     /* 1671456 */   // Label 22889: @1671456
     /* 1671456 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1671542), // Rule ID 11669 //
     /* 1671461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671507 */     // MIs[0] policy
     /* 1671507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1671520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671541 */     // GIR_Coverage, 11669,
     /* 1671541 */     GIR_EraseRootFromParent_Done,
     /* 1671542 */   // Label 22890: @1671542
     /* 1671542 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1671628), // Rule ID 11672 //
     /* 1671547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671593 */     // MIs[0] policy
     /* 1671593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1671606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671627 */     // GIR_Coverage, 11672,
     /* 1671627 */     GIR_EraseRootFromParent_Done,
     /* 1671628 */   // Label 22891: @1671628
     /* 1671628 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1671714), // Rule ID 11673 //
     /* 1671633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671679 */     // MIs[0] policy
     /* 1671679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1671692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671713 */     // GIR_Coverage, 11673,
     /* 1671713 */     GIR_EraseRootFromParent_Done,
     /* 1671714 */   // Label 22892: @1671714
     /* 1671714 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1671800), // Rule ID 11676 //
     /* 1671719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671765 */     // MIs[0] policy
     /* 1671765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671775 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1671778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671799 */     // GIR_Coverage, 11676,
     /* 1671799 */     GIR_EraseRootFromParent_Done,
     /* 1671800 */   // Label 22893: @1671800
     /* 1671800 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1671886), // Rule ID 11677 //
     /* 1671805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671851 */     // MIs[0] policy
     /* 1671851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671861 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1671864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671885 */     // GIR_Coverage, 11677,
     /* 1671885 */     GIR_EraseRootFromParent_Done,
     /* 1671886 */   // Label 22894: @1671886
     /* 1671886 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1671972), // Rule ID 11680 //
     /* 1671891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671937 */     // MIs[0] policy
     /* 1671937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1671950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671971 */     // GIR_Coverage, 11680,
     /* 1671971 */     GIR_EraseRootFromParent_Done,
     /* 1671972 */   // Label 22895: @1671972
     /* 1671972 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1672058), // Rule ID 11681 //
     /* 1671977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1671985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672023 */     // MIs[0] policy
     /* 1672023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1672036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672057 */     // GIR_Coverage, 11681,
     /* 1672057 */     GIR_EraseRootFromParent_Done,
     /* 1672058 */   // Label 22896: @1672058
     /* 1672058 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1672144), // Rule ID 11684 //
     /* 1672063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1672071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672109 */     // MIs[0] policy
     /* 1672109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1672122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672143 */     // GIR_Coverage, 11684,
     /* 1672143 */     GIR_EraseRootFromParent_Done,
     /* 1672144 */   // Label 22897: @1672144
     /* 1672144 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1672230), // Rule ID 11685 //
     /* 1672149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1672157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672195 */     // MIs[0] policy
     /* 1672195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1672208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672229 */     // GIR_Coverage, 11685,
     /* 1672229 */     GIR_EraseRootFromParent_Done,
     /* 1672230 */   // Label 22898: @1672230
     /* 1672230 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1672316), // Rule ID 11688 //
     /* 1672235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1672243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672281 */     // MIs[0] policy
     /* 1672281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1672294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672315 */     // GIR_Coverage, 11688,
     /* 1672315 */     GIR_EraseRootFromParent_Done,
     /* 1672316 */   // Label 22899: @1672316
     /* 1672316 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1672402), // Rule ID 11689 //
     /* 1672321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1672329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672367 */     // MIs[0] policy
     /* 1672367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1672380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672401 */     // GIR_Coverage, 11689,
     /* 1672401 */     GIR_EraseRootFromParent_Done,
     /* 1672402 */   // Label 22900: @1672402
     /* 1672402 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1672488), // Rule ID 11692 //
     /* 1672407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1672427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672453 */     // MIs[0] policy
     /* 1672453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672463 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1672466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672487 */     // GIR_Coverage, 11692,
     /* 1672487 */     GIR_EraseRootFromParent_Done,
     /* 1672488 */   // Label 22901: @1672488
     /* 1672488 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1672574), // Rule ID 11693 //
     /* 1672493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1672513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672539 */     // MIs[0] policy
     /* 1672539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1672552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672573 */     // GIR_Coverage, 11693,
     /* 1672573 */     GIR_EraseRootFromParent_Done,
     /* 1672574 */   // Label 22902: @1672574
     /* 1672574 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1672660), // Rule ID 11696 //
     /* 1672579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1672599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672625 */     // MIs[0] policy
     /* 1672625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672635 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1672638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672659 */     // GIR_Coverage, 11696,
     /* 1672659 */     GIR_EraseRootFromParent_Done,
     /* 1672660 */   // Label 22903: @1672660
     /* 1672660 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1672746), // Rule ID 11697 //
     /* 1672665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1672685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672711 */     // MIs[0] policy
     /* 1672711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1672724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672745 */     // GIR_Coverage, 11697,
     /* 1672745 */     GIR_EraseRootFromParent_Done,
     /* 1672746 */   // Label 22904: @1672746
     /* 1672746 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1672832), // Rule ID 11700 //
     /* 1672751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1672771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672797 */     // MIs[0] policy
     /* 1672797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1672810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672831 */     // GIR_Coverage, 11700,
     /* 1672831 */     GIR_EraseRootFromParent_Done,
     /* 1672832 */   // Label 22905: @1672832
     /* 1672832 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1672918), // Rule ID 11701 //
     /* 1672837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1672857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672883 */     // MIs[0] policy
     /* 1672883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1672896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672917 */     // GIR_Coverage, 11701,
     /* 1672917 */     GIR_EraseRootFromParent_Done,
     /* 1672918 */   // Label 22906: @1672918
     /* 1672918 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1673004), // Rule ID 11704 //
     /* 1672923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1672931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1672943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672969 */     // MIs[0] policy
     /* 1672969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1672982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673003 */     // GIR_Coverage, 11704,
     /* 1673003 */     GIR_EraseRootFromParent_Done,
     /* 1673004 */   // Label 22907: @1673004
     /* 1673004 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1673090), // Rule ID 11705 //
     /* 1673009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1673029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673055 */     // MIs[0] policy
     /* 1673055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1673068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673089 */     // GIR_Coverage, 11705,
     /* 1673089 */     GIR_EraseRootFromParent_Done,
     /* 1673090 */   // Label 22908: @1673090
     /* 1673090 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1673176), // Rule ID 11708 //
     /* 1673095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1673115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673141 */     // MIs[0] policy
     /* 1673141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1673154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673175 */     // GIR_Coverage, 11708,
     /* 1673175 */     GIR_EraseRootFromParent_Done,
     /* 1673176 */   // Label 22909: @1673176
     /* 1673176 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1673262), // Rule ID 11709 //
     /* 1673181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1673201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673227 */     // MIs[0] policy
     /* 1673227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1673240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673261 */     // GIR_Coverage, 11709,
     /* 1673261 */     GIR_EraseRootFromParent_Done,
     /* 1673262 */   // Label 22910: @1673262
     /* 1673262 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1673348), // Rule ID 11712 //
     /* 1673267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1673287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673313 */     // MIs[0] policy
     /* 1673313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1673326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673347 */     // GIR_Coverage, 11712,
     /* 1673347 */     GIR_EraseRootFromParent_Done,
     /* 1673348 */   // Label 22911: @1673348
     /* 1673348 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1673434), // Rule ID 11713 //
     /* 1673353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1673373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673399 */     // MIs[0] policy
     /* 1673399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1673412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673433 */     // GIR_Coverage, 11713,
     /* 1673433 */     GIR_EraseRootFromParent_Done,
     /* 1673434 */   // Label 22912: @1673434
     /* 1673434 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1673520), // Rule ID 11716 //
     /* 1673439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1673459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673485 */     // MIs[0] policy
     /* 1673485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1673498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673519 */     // GIR_Coverage, 11716,
     /* 1673519 */     GIR_EraseRootFromParent_Done,
     /* 1673520 */   // Label 22913: @1673520
     /* 1673520 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1673606), // Rule ID 11717 //
     /* 1673525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1673545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673571 */     // MIs[0] policy
     /* 1673571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1673584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673605 */     // GIR_Coverage, 11717,
     /* 1673605 */     GIR_EraseRootFromParent_Done,
     /* 1673606 */   // Label 22914: @1673606
     /* 1673606 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1673692), // Rule ID 11720 //
     /* 1673611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1673631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673657 */     // MIs[0] policy
     /* 1673657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1673670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673691 */     // GIR_Coverage, 11720,
     /* 1673691 */     GIR_EraseRootFromParent_Done,
     /* 1673692 */   // Label 22915: @1673692
     /* 1673692 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1673778), // Rule ID 11721 //
     /* 1673697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1673717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673743 */     // MIs[0] policy
     /* 1673743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1673756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673777 */     // GIR_Coverage, 11721,
     /* 1673777 */     GIR_EraseRootFromParent_Done,
     /* 1673778 */   // Label 22916: @1673778
     /* 1673778 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1673864), // Rule ID 11724 //
     /* 1673783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1673803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673829 */     // MIs[0] policy
     /* 1673829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1673842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673863 */     // GIR_Coverage, 11724,
     /* 1673863 */     GIR_EraseRootFromParent_Done,
     /* 1673864 */   // Label 22917: @1673864
     /* 1673864 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1673950), // Rule ID 11725 //
     /* 1673869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1673889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673915 */     // MIs[0] policy
     /* 1673915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1673928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673949 */     // GIR_Coverage, 11725,
     /* 1673949 */     GIR_EraseRootFromParent_Done,
     /* 1673950 */   // Label 22918: @1673950
     /* 1673950 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1674036), // Rule ID 11728 //
     /* 1673955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1673963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1673975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674001 */     // MIs[0] policy
     /* 1674001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674011 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1674014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674035 */     // GIR_Coverage, 11728,
     /* 1674035 */     GIR_EraseRootFromParent_Done,
     /* 1674036 */   // Label 22919: @1674036
     /* 1674036 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1674122), // Rule ID 11729 //
     /* 1674041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1674061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674087 */     // MIs[0] policy
     /* 1674087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1674100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674121 */     // GIR_Coverage, 11729,
     /* 1674121 */     GIR_EraseRootFromParent_Done,
     /* 1674122 */   // Label 22920: @1674122
     /* 1674122 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1674208), // Rule ID 11732 //
     /* 1674127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1674147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674173 */     // MIs[0] policy
     /* 1674173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1674186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674207 */     // GIR_Coverage, 11732,
     /* 1674207 */     GIR_EraseRootFromParent_Done,
     /* 1674208 */   // Label 22921: @1674208
     /* 1674208 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1674294), // Rule ID 11733 //
     /* 1674213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1674233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674259 */     // MIs[0] policy
     /* 1674259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1674272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674293 */     // GIR_Coverage, 11733,
     /* 1674293 */     GIR_EraseRootFromParent_Done,
     /* 1674294 */   // Label 22922: @1674294
     /* 1674294 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1674380), // Rule ID 11736 //
     /* 1674299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1674319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674345 */     // MIs[0] policy
     /* 1674345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1674358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674379 */     // GIR_Coverage, 11736,
     /* 1674379 */     GIR_EraseRootFromParent_Done,
     /* 1674380 */   // Label 22923: @1674380
     /* 1674380 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1674466), // Rule ID 11737 //
     /* 1674385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1674405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674431 */     // MIs[0] policy
     /* 1674431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1674444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674465 */     // GIR_Coverage, 11737,
     /* 1674465 */     GIR_EraseRootFromParent_Done,
     /* 1674466 */   // Label 22924: @1674466
     /* 1674466 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1674552), // Rule ID 11740 //
     /* 1674471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1674491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674517 */     // MIs[0] policy
     /* 1674517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1674530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674551 */     // GIR_Coverage, 11740,
     /* 1674551 */     GIR_EraseRootFromParent_Done,
     /* 1674552 */   // Label 22925: @1674552
     /* 1674552 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1674638), // Rule ID 11741 //
     /* 1674557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1674577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674603 */     // MIs[0] policy
     /* 1674603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674613 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1674616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674637 */     // GIR_Coverage, 11741,
     /* 1674637 */     GIR_EraseRootFromParent_Done,
     /* 1674638 */   // Label 22926: @1674638
     /* 1674638 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1674724), // Rule ID 11744 //
     /* 1674643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1674663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674689 */     // MIs[0] policy
     /* 1674689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1674702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674723 */     // GIR_Coverage, 11744,
     /* 1674723 */     GIR_EraseRootFromParent_Done,
     /* 1674724 */   // Label 22927: @1674724
     /* 1674724 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1674810), // Rule ID 11745 //
     /* 1674729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1674749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674775 */     // MIs[0] policy
     /* 1674775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1674788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674809 */     // GIR_Coverage, 11745,
     /* 1674809 */     GIR_EraseRootFromParent_Done,
     /* 1674810 */   // Label 22928: @1674810
     /* 1674810 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1674896), // Rule ID 11748 //
     /* 1674815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1674835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674861 */     // MIs[0] policy
     /* 1674861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1674874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674895 */     // GIR_Coverage, 11748,
     /* 1674895 */     GIR_EraseRootFromParent_Done,
     /* 1674896 */   // Label 22929: @1674896
     /* 1674896 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1674982), // Rule ID 11749 //
     /* 1674901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1674921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674947 */     // MIs[0] policy
     /* 1674947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1674960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674981 */     // GIR_Coverage, 11749,
     /* 1674981 */     GIR_EraseRootFromParent_Done,
     /* 1674982 */   // Label 22930: @1674982
     /* 1674982 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1675068), // Rule ID 11752 //
     /* 1674987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1674995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1675007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675033 */     // MIs[0] policy
     /* 1675033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675043 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1675046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675067 */     // GIR_Coverage, 11752,
     /* 1675067 */     GIR_EraseRootFromParent_Done,
     /* 1675068 */   // Label 22931: @1675068
     /* 1675068 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1675154), // Rule ID 11753 //
     /* 1675073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1675093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675119 */     // MIs[0] policy
     /* 1675119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1675132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675153 */     // GIR_Coverage, 11753,
     /* 1675153 */     GIR_EraseRootFromParent_Done,
     /* 1675154 */   // Label 22932: @1675154
     /* 1675154 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1675240), // Rule ID 11756 //
     /* 1675159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1675179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675205 */     // MIs[0] policy
     /* 1675205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1675218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675239 */     // GIR_Coverage, 11756,
     /* 1675239 */     GIR_EraseRootFromParent_Done,
     /* 1675240 */   // Label 22933: @1675240
     /* 1675240 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1675326), // Rule ID 11757 //
     /* 1675245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1675265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675291 */     // MIs[0] policy
     /* 1675291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1675304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675325 */     // GIR_Coverage, 11757,
     /* 1675325 */     GIR_EraseRootFromParent_Done,
     /* 1675326 */   // Label 22934: @1675326
     /* 1675326 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1675412), // Rule ID 11760 //
     /* 1675331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1675351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675377 */     // MIs[0] policy
     /* 1675377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1675390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675411 */     // GIR_Coverage, 11760,
     /* 1675411 */     GIR_EraseRootFromParent_Done,
     /* 1675412 */   // Label 22935: @1675412
     /* 1675412 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1675498), // Rule ID 11761 //
     /* 1675417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1675437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675463 */     // MIs[0] policy
     /* 1675463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1675476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675497 */     // GIR_Coverage, 11761,
     /* 1675497 */     GIR_EraseRootFromParent_Done,
     /* 1675498 */   // Label 22936: @1675498
     /* 1675498 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1675584), // Rule ID 11764 //
     /* 1675503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1675523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675549 */     // MIs[0] policy
     /* 1675549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1675562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675583 */     // GIR_Coverage, 11764,
     /* 1675583 */     GIR_EraseRootFromParent_Done,
     /* 1675584 */   // Label 22937: @1675584
     /* 1675584 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1675670), // Rule ID 11765 //
     /* 1675589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1675609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675635 */     // MIs[0] policy
     /* 1675635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1675648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675669 */     // GIR_Coverage, 11765,
     /* 1675669 */     GIR_EraseRootFromParent_Done,
     /* 1675670 */   // Label 22938: @1675670
     /* 1675670 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1675756), // Rule ID 11768 //
     /* 1675675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1675695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675721 */     // MIs[0] policy
     /* 1675721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1675734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675755 */     // GIR_Coverage, 11768,
     /* 1675755 */     GIR_EraseRootFromParent_Done,
     /* 1675756 */   // Label 22939: @1675756
     /* 1675756 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1675842), // Rule ID 11769 //
     /* 1675761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1675772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1675775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1675778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1675781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675807 */     // MIs[0] policy
     /* 1675807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675817 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1675820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675841 */     // GIR_Coverage, 11769,
     /* 1675841 */     GIR_EraseRootFromParent_Done,
     /* 1675842 */   // Label 22940: @1675842
     /* 1675842 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1675928), // Rule ID 11772 //
     /* 1675847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1675867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675893 */     // MIs[0] policy
     /* 1675893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1675906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675927 */     // GIR_Coverage, 11772,
     /* 1675927 */     GIR_EraseRootFromParent_Done,
     /* 1675928 */   // Label 22941: @1675928
     /* 1675928 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1676014), // Rule ID 11773 //
     /* 1675933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1675941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1675953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675979 */     // MIs[0] policy
     /* 1675979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1675992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676013 */     // GIR_Coverage, 11773,
     /* 1676013 */     GIR_EraseRootFromParent_Done,
     /* 1676014 */   // Label 22942: @1676014
     /* 1676014 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1676100), // Rule ID 11776 //
     /* 1676019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1676039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676065 */     // MIs[0] policy
     /* 1676065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1676078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676099 */     // GIR_Coverage, 11776,
     /* 1676099 */     GIR_EraseRootFromParent_Done,
     /* 1676100 */   // Label 22943: @1676100
     /* 1676100 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1676186), // Rule ID 11777 //
     /* 1676105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1676125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676151 */     // MIs[0] policy
     /* 1676151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1676164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676185 */     // GIR_Coverage, 11777,
     /* 1676185 */     GIR_EraseRootFromParent_Done,
     /* 1676186 */   // Label 22944: @1676186
     /* 1676186 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1676272), // Rule ID 11780 //
     /* 1676191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676237 */     // MIs[0] policy
     /* 1676237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676247 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1676250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676271 */     // GIR_Coverage, 11780,
     /* 1676271 */     GIR_EraseRootFromParent_Done,
     /* 1676272 */   // Label 22945: @1676272
     /* 1676272 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1676358), // Rule ID 11781 //
     /* 1676277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676323 */     // MIs[0] policy
     /* 1676323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1676336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676357 */     // GIR_Coverage, 11781,
     /* 1676357 */     GIR_EraseRootFromParent_Done,
     /* 1676358 */   // Label 22946: @1676358
     /* 1676358 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1676444), // Rule ID 11784 //
     /* 1676363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676409 */     // MIs[0] policy
     /* 1676409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1676422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676443 */     // GIR_Coverage, 11784,
     /* 1676443 */     GIR_EraseRootFromParent_Done,
     /* 1676444 */   // Label 22947: @1676444
     /* 1676444 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1676530), // Rule ID 11785 //
     /* 1676449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676495 */     // MIs[0] policy
     /* 1676495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1676508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676529 */     // GIR_Coverage, 11785,
     /* 1676529 */     GIR_EraseRootFromParent_Done,
     /* 1676530 */   // Label 22948: @1676530
     /* 1676530 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1676616), // Rule ID 11788 //
     /* 1676535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676581 */     // MIs[0] policy
     /* 1676581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676591 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1676594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676615 */     // GIR_Coverage, 11788,
     /* 1676615 */     GIR_EraseRootFromParent_Done,
     /* 1676616 */   // Label 22949: @1676616
     /* 1676616 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1676702), // Rule ID 11789 //
     /* 1676621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676667 */     // MIs[0] policy
     /* 1676667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1676680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676701 */     // GIR_Coverage, 11789,
     /* 1676701 */     GIR_EraseRootFromParent_Done,
     /* 1676702 */   // Label 22950: @1676702
     /* 1676702 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1676788), // Rule ID 11792 //
     /* 1676707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676753 */     // MIs[0] policy
     /* 1676753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676763 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1676766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676787 */     // GIR_Coverage, 11792,
     /* 1676787 */     GIR_EraseRootFromParent_Done,
     /* 1676788 */   // Label 22951: @1676788
     /* 1676788 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1676874), // Rule ID 11793 //
     /* 1676793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1676804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1676807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1676810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676839 */     // MIs[0] policy
     /* 1676839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1676852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676873 */     // GIR_Coverage, 11793,
     /* 1676873 */     GIR_EraseRootFromParent_Done,
     /* 1676874 */   // Label 22952: @1676874
     /* 1676874 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1676960), // Rule ID 11796 //
     /* 1676879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676925 */     // MIs[0] policy
     /* 1676925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1676938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676959 */     // GIR_Coverage, 11796,
     /* 1676959 */     GIR_EraseRootFromParent_Done,
     /* 1676960 */   // Label 22953: @1676960
     /* 1676960 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1677046), // Rule ID 11797 //
     /* 1676965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1676973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677011 */     // MIs[0] policy
     /* 1677011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1677024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677045 */     // GIR_Coverage, 11797,
     /* 1677045 */     GIR_EraseRootFromParent_Done,
     /* 1677046 */   // Label 22954: @1677046
     /* 1677046 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1677132), // Rule ID 11800 //
     /* 1677051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677097 */     // MIs[0] policy
     /* 1677097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1677110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677131 */     // GIR_Coverage, 11800,
     /* 1677131 */     GIR_EraseRootFromParent_Done,
     /* 1677132 */   // Label 22955: @1677132
     /* 1677132 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1677218), // Rule ID 11801 //
     /* 1677137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677183 */     // MIs[0] policy
     /* 1677183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1677196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677217 */     // GIR_Coverage, 11801,
     /* 1677217 */     GIR_EraseRootFromParent_Done,
     /* 1677218 */   // Label 22956: @1677218
     /* 1677218 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1677304), // Rule ID 11804 //
     /* 1677223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677269 */     // MIs[0] policy
     /* 1677269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677279 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1677282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677303 */     // GIR_Coverage, 11804,
     /* 1677303 */     GIR_EraseRootFromParent_Done,
     /* 1677304 */   // Label 22957: @1677304
     /* 1677304 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1677390), // Rule ID 11805 //
     /* 1677309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677355 */     // MIs[0] policy
     /* 1677355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10834:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1677368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677389 */     // GIR_Coverage, 11805,
     /* 1677389 */     GIR_EraseRootFromParent_Done,
     /* 1677390 */   // Label 22958: @1677390
     /* 1677390 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1677476), // Rule ID 11808 //
     /* 1677395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677441 */     // MIs[0] policy
     /* 1677441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1677454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677475 */     // GIR_Coverage, 11808,
     /* 1677475 */     GIR_EraseRootFromParent_Done,
     /* 1677476 */   // Label 22959: @1677476
     /* 1677476 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1677562), // Rule ID 11809 //
     /* 1677481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677527 */     // MIs[0] policy
     /* 1677527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677537 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1677540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677561 */     // GIR_Coverage, 11809,
     /* 1677561 */     GIR_EraseRootFromParent_Done,
     /* 1677562 */   // Label 22960: @1677562
     /* 1677562 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1677648), // Rule ID 11812 //
     /* 1677567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677613 */     // MIs[0] policy
     /* 1677613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1677626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677647 */     // GIR_Coverage, 11812,
     /* 1677647 */     GIR_EraseRootFromParent_Done,
     /* 1677648 */   // Label 22961: @1677648
     /* 1677648 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1677734), // Rule ID 11813 //
     /* 1677653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677699 */     // MIs[0] policy
     /* 1677699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677709 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1677712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677733 */     // GIR_Coverage, 11813,
     /* 1677733 */     GIR_EraseRootFromParent_Done,
     /* 1677734 */   // Label 22962: @1677734
     /* 1677734 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1677820), // Rule ID 11816 //
     /* 1677739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677785 */     // MIs[0] policy
     /* 1677785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1677798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677819 */     // GIR_Coverage, 11816,
     /* 1677819 */     GIR_EraseRootFromParent_Done,
     /* 1677820 */   // Label 22963: @1677820
     /* 1677820 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1677906), // Rule ID 11817 //
     /* 1677825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1677836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1677839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1677842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677871 */     // MIs[0] policy
     /* 1677871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1677884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677905 */     // GIR_Coverage, 11817,
     /* 1677905 */     GIR_EraseRootFromParent_Done,
     /* 1677906 */   // Label 22964: @1677906
     /* 1677906 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1677992), // Rule ID 11820 //
     /* 1677911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1677919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677957 */     // MIs[0] policy
     /* 1677957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1677970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677991 */     // GIR_Coverage, 11820,
     /* 1677991 */     GIR_EraseRootFromParent_Done,
     /* 1677992 */   // Label 22965: @1677992
     /* 1677992 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1678078), // Rule ID 11821 //
     /* 1677997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678043 */     // MIs[0] policy
     /* 1678043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1678056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678077 */     // GIR_Coverage, 11821,
     /* 1678077 */     GIR_EraseRootFromParent_Done,
     /* 1678078 */   // Label 22966: @1678078
     /* 1678078 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1678164), // Rule ID 11824 //
     /* 1678083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678129 */     // MIs[0] policy
     /* 1678129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1678142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678163 */     // GIR_Coverage, 11824,
     /* 1678163 */     GIR_EraseRootFromParent_Done,
     /* 1678164 */   // Label 22967: @1678164
     /* 1678164 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1678250), // Rule ID 11825 //
     /* 1678169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678215 */     // MIs[0] policy
     /* 1678215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678225 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1678228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678249 */     // GIR_Coverage, 11825,
     /* 1678249 */     GIR_EraseRootFromParent_Done,
     /* 1678250 */   // Label 22968: @1678250
     /* 1678250 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1678336), // Rule ID 11828 //
     /* 1678255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678301 */     // MIs[0] policy
     /* 1678301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1678314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678335 */     // GIR_Coverage, 11828,
     /* 1678335 */     GIR_EraseRootFromParent_Done,
     /* 1678336 */   // Label 22969: @1678336
     /* 1678336 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1678422), // Rule ID 11829 //
     /* 1678341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678387 */     // MIs[0] policy
     /* 1678387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1678400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678421 */     // GIR_Coverage, 11829,
     /* 1678421 */     GIR_EraseRootFromParent_Done,
     /* 1678422 */   // Label 22970: @1678422
     /* 1678422 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1678508), // Rule ID 11832 //
     /* 1678427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678473 */     // MIs[0] policy
     /* 1678473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1678486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678507 */     // GIR_Coverage, 11832,
     /* 1678507 */     GIR_EraseRootFromParent_Done,
     /* 1678508 */   // Label 22971: @1678508
     /* 1678508 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1678594), // Rule ID 11833 //
     /* 1678513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678559 */     // MIs[0] policy
     /* 1678559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678569 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1678572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678593 */     // GIR_Coverage, 11833,
     /* 1678593 */     GIR_EraseRootFromParent_Done,
     /* 1678594 */   // Label 22972: @1678594
     /* 1678594 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1678680), // Rule ID 11836 //
     /* 1678599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678645 */     // MIs[0] policy
     /* 1678645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678655 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1678658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678679 */     // GIR_Coverage, 11836,
     /* 1678679 */     GIR_EraseRootFromParent_Done,
     /* 1678680 */   // Label 22973: @1678680
     /* 1678680 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1678766), // Rule ID 11837 //
     /* 1678685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678731 */     // MIs[0] policy
     /* 1678731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1678744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678765 */     // GIR_Coverage, 11837,
     /* 1678765 */     GIR_EraseRootFromParent_Done,
     /* 1678766 */   // Label 22974: @1678766
     /* 1678766 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1678852), // Rule ID 11840 //
     /* 1678771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678817 */     // MIs[0] policy
     /* 1678817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1678830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678851 */     // GIR_Coverage, 11840,
     /* 1678851 */     GIR_EraseRootFromParent_Done,
     /* 1678852 */   // Label 22975: @1678852
     /* 1678852 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1678938), // Rule ID 11841 //
     /* 1678857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678903 */     // MIs[0] policy
     /* 1678903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678913 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1678916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678937 */     // GIR_Coverage, 11841,
     /* 1678937 */     GIR_EraseRootFromParent_Done,
     /* 1678938 */   // Label 22976: @1678938
     /* 1678938 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1679024), // Rule ID 11844 //
     /* 1678943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1678951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678989 */     // MIs[0] policy
     /* 1678989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678999 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1679002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679023 */     // GIR_Coverage, 11844,
     /* 1679023 */     GIR_EraseRootFromParent_Done,
     /* 1679024 */   // Label 22977: @1679024
     /* 1679024 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1679110), // Rule ID 11845 //
     /* 1679029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679075 */     // MIs[0] policy
     /* 1679075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1679088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679109 */     // GIR_Coverage, 11845,
     /* 1679109 */     GIR_EraseRootFromParent_Done,
     /* 1679110 */   // Label 22978: @1679110
     /* 1679110 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1679196), // Rule ID 11848 //
     /* 1679115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679161 */     // MIs[0] policy
     /* 1679161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1679174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679195 */     // GIR_Coverage, 11848,
     /* 1679195 */     GIR_EraseRootFromParent_Done,
     /* 1679196 */   // Label 22979: @1679196
     /* 1679196 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1679282), // Rule ID 11849 //
     /* 1679201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679247 */     // MIs[0] policy
     /* 1679247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1679260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679281 */     // GIR_Coverage, 11849,
     /* 1679281 */     GIR_EraseRootFromParent_Done,
     /* 1679282 */   // Label 22980: @1679282
     /* 1679282 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1679368), // Rule ID 11852 //
     /* 1679287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679333 */     // MIs[0] policy
     /* 1679333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1679346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679367 */     // GIR_Coverage, 11852,
     /* 1679367 */     GIR_EraseRootFromParent_Done,
     /* 1679368 */   // Label 22981: @1679368
     /* 1679368 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1679454), // Rule ID 11853 //
     /* 1679373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679419 */     // MIs[0] policy
     /* 1679419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1679432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679453 */     // GIR_Coverage, 11853,
     /* 1679453 */     GIR_EraseRootFromParent_Done,
     /* 1679454 */   // Label 22982: @1679454
     /* 1679454 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1679540), // Rule ID 11856 //
     /* 1679459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679505 */     // MIs[0] policy
     /* 1679505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1679518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679539 */     // GIR_Coverage, 11856,
     /* 1679539 */     GIR_EraseRootFromParent_Done,
     /* 1679540 */   // Label 22983: @1679540
     /* 1679540 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1679626), // Rule ID 11857 //
     /* 1679545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679591 */     // MIs[0] policy
     /* 1679591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1679604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679625 */     // GIR_Coverage, 11857,
     /* 1679625 */     GIR_EraseRootFromParent_Done,
     /* 1679626 */   // Label 22984: @1679626
     /* 1679626 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1679712), // Rule ID 11860 //
     /* 1679631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679677 */     // MIs[0] policy
     /* 1679677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1679690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679711 */     // GIR_Coverage, 11860,
     /* 1679711 */     GIR_EraseRootFromParent_Done,
     /* 1679712 */   // Label 22985: @1679712
     /* 1679712 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1679798), // Rule ID 11861 //
     /* 1679717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679763 */     // MIs[0] policy
     /* 1679763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1679776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679797 */     // GIR_Coverage, 11861,
     /* 1679797 */     GIR_EraseRootFromParent_Done,
     /* 1679798 */   // Label 22986: @1679798
     /* 1679798 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1679884), // Rule ID 11864 //
     /* 1679803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679849 */     // MIs[0] policy
     /* 1679849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1679862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679883 */     // GIR_Coverage, 11864,
     /* 1679883 */     GIR_EraseRootFromParent_Done,
     /* 1679884 */   // Label 22987: @1679884
     /* 1679884 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1679970), // Rule ID 11865 //
     /* 1679889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1679897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679935 */     // MIs[0] policy
     /* 1679935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679945 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1679948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679969 */     // GIR_Coverage, 11865,
     /* 1679969 */     GIR_EraseRootFromParent_Done,
     /* 1679970 */   // Label 22988: @1679970
     /* 1679970 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1680056), // Rule ID 11868 //
     /* 1679975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1679983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1679995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680021 */     // MIs[0] policy
     /* 1680021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680031 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1680034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680055 */     // GIR_Coverage, 11868,
     /* 1680055 */     GIR_EraseRootFromParent_Done,
     /* 1680056 */   // Label 22989: @1680056
     /* 1680056 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1680142), // Rule ID 11869 //
     /* 1680061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1680081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680107 */     // MIs[0] policy
     /* 1680107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680117 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1680120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680141 */     // GIR_Coverage, 11869,
     /* 1680141 */     GIR_EraseRootFromParent_Done,
     /* 1680142 */   // Label 22990: @1680142
     /* 1680142 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1680228), // Rule ID 11872 //
     /* 1680147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1680167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680193 */     // MIs[0] policy
     /* 1680193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680203 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1680206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680227 */     // GIR_Coverage, 11872,
     /* 1680227 */     GIR_EraseRootFromParent_Done,
     /* 1680228 */   // Label 22991: @1680228
     /* 1680228 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1680314), // Rule ID 11873 //
     /* 1680233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1680253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680279 */     // MIs[0] policy
     /* 1680279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1680292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680313 */     // GIR_Coverage, 11873,
     /* 1680313 */     GIR_EraseRootFromParent_Done,
     /* 1680314 */   // Label 22992: @1680314
     /* 1680314 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1680400), // Rule ID 11876 //
     /* 1680319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1680339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680365 */     // MIs[0] policy
     /* 1680365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1680378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680399 */     // GIR_Coverage, 11876,
     /* 1680399 */     GIR_EraseRootFromParent_Done,
     /* 1680400 */   // Label 22993: @1680400
     /* 1680400 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1680486), // Rule ID 11877 //
     /* 1680405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1680425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680451 */     // MIs[0] policy
     /* 1680451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680461 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1680464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680485 */     // GIR_Coverage, 11877,
     /* 1680485 */     GIR_EraseRootFromParent_Done,
     /* 1680486 */   // Label 22994: @1680486
     /* 1680486 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1680572), // Rule ID 11880 //
     /* 1680491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1680511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680537 */     // MIs[0] policy
     /* 1680537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1680550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680571 */     // GIR_Coverage, 11880,
     /* 1680571 */     GIR_EraseRootFromParent_Done,
     /* 1680572 */   // Label 22995: @1680572
     /* 1680572 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1680658), // Rule ID 11881 //
     /* 1680577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1680597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680623 */     // MIs[0] policy
     /* 1680623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1680636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680657 */     // GIR_Coverage, 11881,
     /* 1680657 */     GIR_EraseRootFromParent_Done,
     /* 1680658 */   // Label 22996: @1680658
     /* 1680658 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1680744), // Rule ID 11884 //
     /* 1680663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1680683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680709 */     // MIs[0] policy
     /* 1680709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1680722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680743 */     // GIR_Coverage, 11884,
     /* 1680743 */     GIR_EraseRootFromParent_Done,
     /* 1680744 */   // Label 22997: @1680744
     /* 1680744 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1680830), // Rule ID 11885 //
     /* 1680749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1680760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1680763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1680766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1680769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680795 */     // MIs[0] policy
     /* 1680795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1680808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680829 */     // GIR_Coverage, 11885,
     /* 1680829 */     GIR_EraseRootFromParent_Done,
     /* 1680830 */   // Label 22998: @1680830
     /* 1680830 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1680916), // Rule ID 11888 //
     /* 1680835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1680855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680881 */     // MIs[0] policy
     /* 1680881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1680894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680915 */     // GIR_Coverage, 11888,
     /* 1680915 */     GIR_EraseRootFromParent_Done,
     /* 1680916 */   // Label 22999: @1680916
     /* 1680916 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1681002), // Rule ID 11889 //
     /* 1680921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1680929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1680941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680967 */     // MIs[0] policy
     /* 1680967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1680980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681001 */     // GIR_Coverage, 11889,
     /* 1681001 */     GIR_EraseRootFromParent_Done,
     /* 1681002 */   // Label 23000: @1681002
     /* 1681002 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1681088), // Rule ID 11892 //
     /* 1681007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1681027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681053 */     // MIs[0] policy
     /* 1681053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681063 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1681066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681087 */     // GIR_Coverage, 11892,
     /* 1681087 */     GIR_EraseRootFromParent_Done,
     /* 1681088 */   // Label 23001: @1681088
     /* 1681088 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1681174), // Rule ID 11893 //
     /* 1681093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1681113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681139 */     // MIs[0] policy
     /* 1681139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681149 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1681152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681173 */     // GIR_Coverage, 11893,
     /* 1681173 */     GIR_EraseRootFromParent_Done,
     /* 1681174 */   // Label 23002: @1681174
     /* 1681174 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1681260), // Rule ID 11896 //
     /* 1681179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1681199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681225 */     // MIs[0] policy
     /* 1681225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1681238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681259 */     // GIR_Coverage, 11896,
     /* 1681259 */     GIR_EraseRootFromParent_Done,
     /* 1681260 */   // Label 23003: @1681260
     /* 1681260 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1681346), // Rule ID 11897 //
     /* 1681265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1681285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681311 */     // MIs[0] policy
     /* 1681311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1681324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681345 */     // GIR_Coverage, 11897,
     /* 1681345 */     GIR_EraseRootFromParent_Done,
     /* 1681346 */   // Label 23004: @1681346
     /* 1681346 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1681432), // Rule ID 11900 //
     /* 1681351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1681371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681397 */     // MIs[0] policy
     /* 1681397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1681410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681431 */     // GIR_Coverage, 11900,
     /* 1681431 */     GIR_EraseRootFromParent_Done,
     /* 1681432 */   // Label 23005: @1681432
     /* 1681432 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1681518), // Rule ID 11901 //
     /* 1681437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1681457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681483 */     // MIs[0] policy
     /* 1681483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1681496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681517 */     // GIR_Coverage, 11901,
     /* 1681517 */     GIR_EraseRootFromParent_Done,
     /* 1681518 */   // Label 23006: @1681518
     /* 1681518 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1681604), // Rule ID 11904 //
     /* 1681523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1681543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681569 */     // MIs[0] policy
     /* 1681569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1681582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681603 */     // GIR_Coverage, 11904,
     /* 1681603 */     GIR_EraseRootFromParent_Done,
     /* 1681604 */   // Label 23007: @1681604
     /* 1681604 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1681690), // Rule ID 11905 //
     /* 1681609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1681629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681655 */     // MIs[0] policy
     /* 1681655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1681668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681689 */     // GIR_Coverage, 11905,
     /* 1681689 */     GIR_EraseRootFromParent_Done,
     /* 1681690 */   // Label 23008: @1681690
     /* 1681690 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1681776), // Rule ID 11908 //
     /* 1681695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1681715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681741 */     // MIs[0] policy
     /* 1681741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1681754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681775 */     // GIR_Coverage, 11908,
     /* 1681775 */     GIR_EraseRootFromParent_Done,
     /* 1681776 */   // Label 23009: @1681776
     /* 1681776 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1681862), // Rule ID 11909 //
     /* 1681781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1681792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1681795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1681798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1681801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681827 */     // MIs[0] policy
     /* 1681827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1681840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681861 */     // GIR_Coverage, 11909,
     /* 1681861 */     GIR_EraseRootFromParent_Done,
     /* 1681862 */   // Label 23010: @1681862
     /* 1681862 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1681948), // Rule ID 11912 //
     /* 1681867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1681887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681913 */     // MIs[0] policy
     /* 1681913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1681926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681947 */     // GIR_Coverage, 11912,
     /* 1681947 */     GIR_EraseRootFromParent_Done,
     /* 1681948 */   // Label 23011: @1681948
     /* 1681948 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1682034), // Rule ID 11913 //
     /* 1681953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1681961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1681973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681999 */     // MIs[0] policy
     /* 1681999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1682012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682033 */     // GIR_Coverage, 11913,
     /* 1682033 */     GIR_EraseRootFromParent_Done,
     /* 1682034 */   // Label 23012: @1682034
     /* 1682034 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1682120), // Rule ID 11916 //
     /* 1682039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1682059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682085 */     // MIs[0] policy
     /* 1682085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682095 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1682098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682119 */     // GIR_Coverage, 11916,
     /* 1682119 */     GIR_EraseRootFromParent_Done,
     /* 1682120 */   // Label 23013: @1682120
     /* 1682120 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1682206), // Rule ID 11917 //
     /* 1682125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1682145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682171 */     // MIs[0] policy
     /* 1682171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1682184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682205 */     // GIR_Coverage, 11917,
     /* 1682205 */     GIR_EraseRootFromParent_Done,
     /* 1682206 */   // Label 23014: @1682206
     /* 1682206 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1682292), // Rule ID 11920 //
     /* 1682211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1682231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682257 */     // MIs[0] policy
     /* 1682257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1682270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682291 */     // GIR_Coverage, 11920,
     /* 1682291 */     GIR_EraseRootFromParent_Done,
     /* 1682292 */   // Label 23015: @1682292
     /* 1682292 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1682378), // Rule ID 11921 //
     /* 1682297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1682317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682343 */     // MIs[0] policy
     /* 1682343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1682356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682377 */     // GIR_Coverage, 11921,
     /* 1682377 */     GIR_EraseRootFromParent_Done,
     /* 1682378 */   // Label 23016: @1682378
     /* 1682378 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1682464), // Rule ID 11924 //
     /* 1682383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1682403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682429 */     // MIs[0] policy
     /* 1682429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1682442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682463 */     // GIR_Coverage, 11924,
     /* 1682463 */     GIR_EraseRootFromParent_Done,
     /* 1682464 */   // Label 23017: @1682464
     /* 1682464 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1682550), // Rule ID 11925 //
     /* 1682469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1682489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682515 */     // MIs[0] policy
     /* 1682515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682525 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1682528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682549 */     // GIR_Coverage, 11925,
     /* 1682549 */     GIR_EraseRootFromParent_Done,
     /* 1682550 */   // Label 23018: @1682550
     /* 1682550 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1682636), // Rule ID 11928 //
     /* 1682555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1682575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682601 */     // MIs[0] policy
     /* 1682601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682611 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1682614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682635 */     // GIR_Coverage, 11928,
     /* 1682635 */     GIR_EraseRootFromParent_Done,
     /* 1682636 */   // Label 23019: @1682636
     /* 1682636 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1682722), // Rule ID 11929 //
     /* 1682641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1682661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682687 */     // MIs[0] policy
     /* 1682687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1682700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682721 */     // GIR_Coverage, 11929,
     /* 1682721 */     GIR_EraseRootFromParent_Done,
     /* 1682722 */   // Label 23020: @1682722
     /* 1682722 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1682808), // Rule ID 11932 //
     /* 1682727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1682747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682773 */     // MIs[0] policy
     /* 1682773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1682786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682807 */     // GIR_Coverage, 11932,
     /* 1682807 */     GIR_EraseRootFromParent_Done,
     /* 1682808 */   // Label 23021: @1682808
     /* 1682808 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1682894), // Rule ID 11933 //
     /* 1682813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1682824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1682827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1682830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1682833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682859 */     // MIs[0] policy
     /* 1682859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1682872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682893 */     // GIR_Coverage, 11933,
     /* 1682893 */     GIR_EraseRootFromParent_Done,
     /* 1682894 */   // Label 23022: @1682894
     /* 1682894 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1682980), // Rule ID 11936 //
     /* 1682899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1682919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682945 */     // MIs[0] policy
     /* 1682945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1682958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682979 */     // GIR_Coverage, 11936,
     /* 1682979 */     GIR_EraseRootFromParent_Done,
     /* 1682980 */   // Label 23023: @1682980
     /* 1682980 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1683066), // Rule ID 11937 //
     /* 1682985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1682993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1683005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683031 */     // MIs[0] policy
     /* 1683031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1683044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683065 */     // GIR_Coverage, 11937,
     /* 1683065 */     GIR_EraseRootFromParent_Done,
     /* 1683066 */   // Label 23024: @1683066
     /* 1683066 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1683152), // Rule ID 11940 //
     /* 1683071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1683091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683117 */     // MIs[0] policy
     /* 1683117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1683130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683151 */     // GIR_Coverage, 11940,
     /* 1683151 */     GIR_EraseRootFromParent_Done,
     /* 1683152 */   // Label 23025: @1683152
     /* 1683152 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1683238), // Rule ID 11941 //
     /* 1683157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1683177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683203 */     // MIs[0] policy
     /* 1683203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683213 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1683216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683237 */     // GIR_Coverage, 11941,
     /* 1683237 */     GIR_EraseRootFromParent_Done,
     /* 1683238 */   // Label 23026: @1683238
     /* 1683238 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1683324), // Rule ID 11944 //
     /* 1683243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1683263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683289 */     // MIs[0] policy
     /* 1683289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1683302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683323 */     // GIR_Coverage, 11944,
     /* 1683323 */     GIR_EraseRootFromParent_Done,
     /* 1683324 */   // Label 23027: @1683324
     /* 1683324 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1683410), // Rule ID 11945 //
     /* 1683329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1683349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683375 */     // MIs[0] policy
     /* 1683375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1683388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683409 */     // GIR_Coverage, 11945,
     /* 1683409 */     GIR_EraseRootFromParent_Done,
     /* 1683410 */   // Label 23028: @1683410
     /* 1683410 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1683496), // Rule ID 11948 //
     /* 1683415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1683435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683461 */     // MIs[0] policy
     /* 1683461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1683474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683495 */     // GIR_Coverage, 11948,
     /* 1683495 */     GIR_EraseRootFromParent_Done,
     /* 1683496 */   // Label 23029: @1683496
     /* 1683496 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1683582), // Rule ID 11949 //
     /* 1683501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1683521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683547 */     // MIs[0] policy
     /* 1683547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1683560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683581 */     // GIR_Coverage, 11949,
     /* 1683581 */     GIR_EraseRootFromParent_Done,
     /* 1683582 */   // Label 23030: @1683582
     /* 1683582 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1683668), // Rule ID 11952 //
     /* 1683587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1683607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683633 */     // MIs[0] policy
     /* 1683633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1683646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683667 */     // GIR_Coverage, 11952,
     /* 1683667 */     GIR_EraseRootFromParent_Done,
     /* 1683668 */   // Label 23031: @1683668
     /* 1683668 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1683754), // Rule ID 11953 //
     /* 1683673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1683693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683719 */     // MIs[0] policy
     /* 1683719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1683732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683753 */     // GIR_Coverage, 11953,
     /* 1683753 */     GIR_EraseRootFromParent_Done,
     /* 1683754 */   // Label 23032: @1683754
     /* 1683754 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1683840), // Rule ID 11956 //
     /* 1683759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683805 */     // MIs[0] policy
     /* 1683805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1683818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683839 */     // GIR_Coverage, 11956,
     /* 1683839 */     GIR_EraseRootFromParent_Done,
     /* 1683840 */   // Label 23033: @1683840
     /* 1683840 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1683926), // Rule ID 11957 //
     /* 1683845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683891 */     // MIs[0] policy
     /* 1683891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683901 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1683904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683925 */     // GIR_Coverage, 11957,
     /* 1683925 */     GIR_EraseRootFromParent_Done,
     /* 1683926 */   // Label 23034: @1683926
     /* 1683926 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1684012), // Rule ID 11960 //
     /* 1683931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1683939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683977 */     // MIs[0] policy
     /* 1683977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1683990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684011 */     // GIR_Coverage, 11960,
     /* 1684011 */     GIR_EraseRootFromParent_Done,
     /* 1684012 */   // Label 23035: @1684012
     /* 1684012 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1684098), // Rule ID 11961 //
     /* 1684017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684063 */     // MIs[0] policy
     /* 1684063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1684076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684097 */     // GIR_Coverage, 11961,
     /* 1684097 */     GIR_EraseRootFromParent_Done,
     /* 1684098 */   // Label 23036: @1684098
     /* 1684098 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1684184), // Rule ID 11964 //
     /* 1684103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684149 */     // MIs[0] policy
     /* 1684149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684159 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1684162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684183 */     // GIR_Coverage, 11964,
     /* 1684183 */     GIR_EraseRootFromParent_Done,
     /* 1684184 */   // Label 23037: @1684184
     /* 1684184 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1684270), // Rule ID 11965 //
     /* 1684189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684235 */     // MIs[0] policy
     /* 1684235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684245 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1684248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684269 */     // GIR_Coverage, 11965,
     /* 1684269 */     GIR_EraseRootFromParent_Done,
     /* 1684270 */   // Label 23038: @1684270
     /* 1684270 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1684356), // Rule ID 11968 //
     /* 1684275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684321 */     // MIs[0] policy
     /* 1684321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1684334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684355 */     // GIR_Coverage, 11968,
     /* 1684355 */     GIR_EraseRootFromParent_Done,
     /* 1684356 */   // Label 23039: @1684356
     /* 1684356 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1684442), // Rule ID 11969 //
     /* 1684361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684407 */     // MIs[0] policy
     /* 1684407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1684420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684441 */     // GIR_Coverage, 11969,
     /* 1684441 */     GIR_EraseRootFromParent_Done,
     /* 1684442 */   // Label 23040: @1684442
     /* 1684442 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1684528), // Rule ID 11972 //
     /* 1684447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684493 */     // MIs[0] policy
     /* 1684493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684503 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1684506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684527 */     // GIR_Coverage, 11972,
     /* 1684527 */     GIR_EraseRootFromParent_Done,
     /* 1684528 */   // Label 23041: @1684528
     /* 1684528 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1684614), // Rule ID 11973 //
     /* 1684533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684579 */     // MIs[0] policy
     /* 1684579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1684592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684613 */     // GIR_Coverage, 11973,
     /* 1684613 */     GIR_EraseRootFromParent_Done,
     /* 1684614 */   // Label 23042: @1684614
     /* 1684614 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1684700), // Rule ID 11976 //
     /* 1684619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684665 */     // MIs[0] policy
     /* 1684665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1684678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684699 */     // GIR_Coverage, 11976,
     /* 1684699 */     GIR_EraseRootFromParent_Done,
     /* 1684700 */   // Label 23043: @1684700
     /* 1684700 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1684786), // Rule ID 11977 //
     /* 1684705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684751 */     // MIs[0] policy
     /* 1684751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1684764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684785 */     // GIR_Coverage, 11977,
     /* 1684785 */     GIR_EraseRootFromParent_Done,
     /* 1684786 */   // Label 23044: @1684786
     /* 1684786 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1684872), // Rule ID 11980 //
     /* 1684791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684837 */     // MIs[0] policy
     /* 1684837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1684850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684871 */     // GIR_Coverage, 11980,
     /* 1684871 */     GIR_EraseRootFromParent_Done,
     /* 1684872 */   // Label 23045: @1684872
     /* 1684872 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1684958), // Rule ID 11981 //
     /* 1684877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684923 */     // MIs[0] policy
     /* 1684923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684933 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1684936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684957 */     // GIR_Coverage, 11981,
     /* 1684957 */     GIR_EraseRootFromParent_Done,
     /* 1684958 */   // Label 23046: @1684958
     /* 1684958 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1685044), // Rule ID 11984 //
     /* 1684963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1684971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685009 */     // MIs[0] policy
     /* 1685009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1685022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685043 */     // GIR_Coverage, 11984,
     /* 1685043 */     GIR_EraseRootFromParent_Done,
     /* 1685044 */   // Label 23047: @1685044
     /* 1685044 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1685130), // Rule ID 11985 //
     /* 1685049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685095 */     // MIs[0] policy
     /* 1685095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1685108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685129 */     // GIR_Coverage, 11985,
     /* 1685129 */     GIR_EraseRootFromParent_Done,
     /* 1685130 */   // Label 23048: @1685130
     /* 1685130 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1685216), // Rule ID 11988 //
     /* 1685135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685181 */     // MIs[0] policy
     /* 1685181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1685194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685215 */     // GIR_Coverage, 11988,
     /* 1685215 */     GIR_EraseRootFromParent_Done,
     /* 1685216 */   // Label 23049: @1685216
     /* 1685216 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1685302), // Rule ID 11989 //
     /* 1685221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685267 */     // MIs[0] policy
     /* 1685267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1685280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685301 */     // GIR_Coverage, 11989,
     /* 1685301 */     GIR_EraseRootFromParent_Done,
     /* 1685302 */   // Label 23050: @1685302
     /* 1685302 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1685388), // Rule ID 11992 //
     /* 1685307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685353 */     // MIs[0] policy
     /* 1685353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1685366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685387 */     // GIR_Coverage, 11992,
     /* 1685387 */     GIR_EraseRootFromParent_Done,
     /* 1685388 */   // Label 23051: @1685388
     /* 1685388 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1685474), // Rule ID 11993 //
     /* 1685393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685439 */     // MIs[0] policy
     /* 1685439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1685452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685473 */     // GIR_Coverage, 11993,
     /* 1685473 */     GIR_EraseRootFromParent_Done,
     /* 1685474 */   // Label 23052: @1685474
     /* 1685474 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1685560), // Rule ID 11996 //
     /* 1685479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685525 */     // MIs[0] policy
     /* 1685525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685535 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1685538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685559 */     // GIR_Coverage, 11996,
     /* 1685559 */     GIR_EraseRootFromParent_Done,
     /* 1685560 */   // Label 23053: @1685560
     /* 1685560 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1685646), // Rule ID 11997 //
     /* 1685565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685611 */     // MIs[0] policy
     /* 1685611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1685624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685645 */     // GIR_Coverage, 11997,
     /* 1685645 */     GIR_EraseRootFromParent_Done,
     /* 1685646 */   // Label 23054: @1685646
     /* 1685646 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1685732), // Rule ID 12000 //
     /* 1685651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685697 */     // MIs[0] policy
     /* 1685697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1685710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685731 */     // GIR_Coverage, 12000,
     /* 1685731 */     GIR_EraseRootFromParent_Done,
     /* 1685732 */   // Label 23055: @1685732
     /* 1685732 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1685818), // Rule ID 12001 //
     /* 1685737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1685751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1685754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685783 */     // MIs[0] policy
     /* 1685783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1685796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685817 */     // GIR_Coverage, 12001,
     /* 1685817 */     GIR_EraseRootFromParent_Done,
     /* 1685818 */   // Label 23056: @1685818
     /* 1685818 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1685904), // Rule ID 12004 //
     /* 1685823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685869 */     // MIs[0] policy
     /* 1685869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685879 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1685882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685903 */     // GIR_Coverage, 12004,
     /* 1685903 */     GIR_EraseRootFromParent_Done,
     /* 1685904 */   // Label 23057: @1685904
     /* 1685904 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1685990), // Rule ID 12005 //
     /* 1685909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1685917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685955 */     // MIs[0] policy
     /* 1685955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1685968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685989 */     // GIR_Coverage, 12005,
     /* 1685989 */     GIR_EraseRootFromParent_Done,
     /* 1685990 */   // Label 23058: @1685990
     /* 1685990 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1686076), // Rule ID 12008 //
     /* 1685995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686041 */     // MIs[0] policy
     /* 1686041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1686054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686075 */     // GIR_Coverage, 12008,
     /* 1686075 */     GIR_EraseRootFromParent_Done,
     /* 1686076 */   // Label 23059: @1686076
     /* 1686076 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1686162), // Rule ID 12009 //
     /* 1686081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686127 */     // MIs[0] policy
     /* 1686127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1686140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686161 */     // GIR_Coverage, 12009,
     /* 1686161 */     GIR_EraseRootFromParent_Done,
     /* 1686162 */   // Label 23060: @1686162
     /* 1686162 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1686248), // Rule ID 12012 //
     /* 1686167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686213 */     // MIs[0] policy
     /* 1686213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1686226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686247 */     // GIR_Coverage, 12012,
     /* 1686247 */     GIR_EraseRootFromParent_Done,
     /* 1686248 */   // Label 23061: @1686248
     /* 1686248 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1686334), // Rule ID 12013 //
     /* 1686253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686299 */     // MIs[0] policy
     /* 1686299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1686312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686333 */     // GIR_Coverage, 12013,
     /* 1686333 */     GIR_EraseRootFromParent_Done,
     /* 1686334 */   // Label 23062: @1686334
     /* 1686334 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1686420), // Rule ID 12016 //
     /* 1686339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686385 */     // MIs[0] policy
     /* 1686385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686395 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1686398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686419 */     // GIR_Coverage, 12016,
     /* 1686419 */     GIR_EraseRootFromParent_Done,
     /* 1686420 */   // Label 23063: @1686420
     /* 1686420 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1686506), // Rule ID 12017 //
     /* 1686425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686471 */     // MIs[0] policy
     /* 1686471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686481 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1686484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686505 */     // GIR_Coverage, 12017,
     /* 1686505 */     GIR_EraseRootFromParent_Done,
     /* 1686506 */   // Label 23064: @1686506
     /* 1686506 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1686592), // Rule ID 12020 //
     /* 1686511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686557 */     // MIs[0] policy
     /* 1686557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1686570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686591 */     // GIR_Coverage, 12020,
     /* 1686591 */     GIR_EraseRootFromParent_Done,
     /* 1686592 */   // Label 23065: @1686592
     /* 1686592 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1686678), // Rule ID 12021 //
     /* 1686597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686643 */     // MIs[0] policy
     /* 1686643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1686656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686677 */     // GIR_Coverage, 12021,
     /* 1686677 */     GIR_EraseRootFromParent_Done,
     /* 1686678 */   // Label 23066: @1686678
     /* 1686678 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1686764), // Rule ID 12024 //
     /* 1686683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686729 */     // MIs[0] policy
     /* 1686729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1686742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686763 */     // GIR_Coverage, 12024,
     /* 1686763 */     GIR_EraseRootFromParent_Done,
     /* 1686764 */   // Label 23067: @1686764
     /* 1686764 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1686850), // Rule ID 12025 //
     /* 1686769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1686780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1686783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1686786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686815 */     // MIs[0] policy
     /* 1686815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1686828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686849 */     // GIR_Coverage, 12025,
     /* 1686849 */     GIR_EraseRootFromParent_Done,
     /* 1686850 */   // Label 23068: @1686850
     /* 1686850 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1686936), // Rule ID 12028 //
     /* 1686855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686901 */     // MIs[0] policy
     /* 1686901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1686914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686935 */     // GIR_Coverage, 12028,
     /* 1686935 */     GIR_EraseRootFromParent_Done,
     /* 1686936 */   // Label 23069: @1686936
     /* 1686936 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1687022), // Rule ID 12029 //
     /* 1686941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1686949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686987 */     // MIs[0] policy
     /* 1686987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1687000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687021 */     // GIR_Coverage, 12029,
     /* 1687021 */     GIR_EraseRootFromParent_Done,
     /* 1687022 */   // Label 23070: @1687022
     /* 1687022 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1687108), // Rule ID 12032 //
     /* 1687027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687073 */     // MIs[0] policy
     /* 1687073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1687086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687107 */     // GIR_Coverage, 12032,
     /* 1687107 */     GIR_EraseRootFromParent_Done,
     /* 1687108 */   // Label 23071: @1687108
     /* 1687108 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1687194), // Rule ID 12033 //
     /* 1687113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687159 */     // MIs[0] policy
     /* 1687159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687169 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1687172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687193 */     // GIR_Coverage, 12033,
     /* 1687193 */     GIR_EraseRootFromParent_Done,
     /* 1687194 */   // Label 23072: @1687194
     /* 1687194 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1687280), // Rule ID 12036 //
     /* 1687199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687245 */     // MIs[0] policy
     /* 1687245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1687258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687279 */     // GIR_Coverage, 12036,
     /* 1687279 */     GIR_EraseRootFromParent_Done,
     /* 1687280 */   // Label 23073: @1687280
     /* 1687280 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1687366), // Rule ID 12037 //
     /* 1687285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687331 */     // MIs[0] policy
     /* 1687331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687341 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1687344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687365 */     // GIR_Coverage, 12037,
     /* 1687365 */     GIR_EraseRootFromParent_Done,
     /* 1687366 */   // Label 23074: @1687366
     /* 1687366 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1687452), // Rule ID 12040 //
     /* 1687371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687417 */     // MIs[0] policy
     /* 1687417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1687430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687451 */     // GIR_Coverage, 12040,
     /* 1687451 */     GIR_EraseRootFromParent_Done,
     /* 1687452 */   // Label 23075: @1687452
     /* 1687452 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1687538), // Rule ID 12041 //
     /* 1687457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1687465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687503 */     // MIs[0] policy
     /* 1687503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1687516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687537 */     // GIR_Coverage, 12041,
     /* 1687537 */     GIR_EraseRootFromParent_Done,
     /* 1687538 */   // Label 23076: @1687538
     /* 1687538 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1687624), // Rule ID 12044 //
     /* 1687543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1687563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687589 */     // MIs[0] policy
     /* 1687589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1687602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687623 */     // GIR_Coverage, 12044,
     /* 1687623 */     GIR_EraseRootFromParent_Done,
     /* 1687624 */   // Label 23077: @1687624
     /* 1687624 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1687710), // Rule ID 12045 //
     /* 1687629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1687649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687675 */     // MIs[0] policy
     /* 1687675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687685 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1687688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687709 */     // GIR_Coverage, 12045,
     /* 1687709 */     GIR_EraseRootFromParent_Done,
     /* 1687710 */   // Label 23078: @1687710
     /* 1687710 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1687796), // Rule ID 12048 //
     /* 1687715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1687735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687761 */     // MIs[0] policy
     /* 1687761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1687774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687795 */     // GIR_Coverage, 12048,
     /* 1687795 */     GIR_EraseRootFromParent_Done,
     /* 1687796 */   // Label 23079: @1687796
     /* 1687796 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1687882), // Rule ID 12049 //
     /* 1687801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1687812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1687815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1687818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1687821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687847 */     // MIs[0] policy
     /* 1687847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687857 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1687860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687881 */     // GIR_Coverage, 12049,
     /* 1687881 */     GIR_EraseRootFromParent_Done,
     /* 1687882 */   // Label 23080: @1687882
     /* 1687882 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1687968), // Rule ID 12052 //
     /* 1687887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1687907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687933 */     // MIs[0] policy
     /* 1687933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1687946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687967 */     // GIR_Coverage, 12052,
     /* 1687967 */     GIR_EraseRootFromParent_Done,
     /* 1687968 */   // Label 23081: @1687968
     /* 1687968 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1688054), // Rule ID 12053 //
     /* 1687973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1687981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1687993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688019 */     // MIs[0] policy
     /* 1688019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688029 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1688032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688053 */     // GIR_Coverage, 12053,
     /* 1688053 */     GIR_EraseRootFromParent_Done,
     /* 1688054 */   // Label 23082: @1688054
     /* 1688054 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1688140), // Rule ID 12056 //
     /* 1688059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1688079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688105 */     // MIs[0] policy
     /* 1688105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1688118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688139 */     // GIR_Coverage, 12056,
     /* 1688139 */     GIR_EraseRootFromParent_Done,
     /* 1688140 */   // Label 23083: @1688140
     /* 1688140 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1688226), // Rule ID 12057 //
     /* 1688145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1688165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688191 */     // MIs[0] policy
     /* 1688191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1688204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688225 */     // GIR_Coverage, 12057,
     /* 1688225 */     GIR_EraseRootFromParent_Done,
     /* 1688226 */   // Label 23084: @1688226
     /* 1688226 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1688312), // Rule ID 12060 //
     /* 1688231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1688251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688277 */     // MIs[0] policy
     /* 1688277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1688290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688311 */     // GIR_Coverage, 12060,
     /* 1688311 */     GIR_EraseRootFromParent_Done,
     /* 1688312 */   // Label 23085: @1688312
     /* 1688312 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1688398), // Rule ID 12061 //
     /* 1688317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1688337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688363 */     // MIs[0] policy
     /* 1688363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688373 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1688376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688397 */     // GIR_Coverage, 12061,
     /* 1688397 */     GIR_EraseRootFromParent_Done,
     /* 1688398 */   // Label 23086: @1688398
     /* 1688398 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1688484), // Rule ID 12064 //
     /* 1688403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1688423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688449 */     // MIs[0] policy
     /* 1688449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1688462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688483 */     // GIR_Coverage, 12064,
     /* 1688483 */     GIR_EraseRootFromParent_Done,
     /* 1688484 */   // Label 23087: @1688484
     /* 1688484 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1688570), // Rule ID 12065 //
     /* 1688489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1688509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688535 */     // MIs[0] policy
     /* 1688535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688545 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1688548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688569 */     // GIR_Coverage, 12065,
     /* 1688569 */     GIR_EraseRootFromParent_Done,
     /* 1688570 */   // Label 23088: @1688570
     /* 1688570 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1688656), // Rule ID 12068 //
     /* 1688575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1688595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688621 */     // MIs[0] policy
     /* 1688621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1688634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688655 */     // GIR_Coverage, 12068,
     /* 1688655 */     GIR_EraseRootFromParent_Done,
     /* 1688656 */   // Label 23089: @1688656
     /* 1688656 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1688742), // Rule ID 12069 //
     /* 1688661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1688681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688707 */     // MIs[0] policy
     /* 1688707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1688720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688741 */     // GIR_Coverage, 12069,
     /* 1688741 */     GIR_EraseRootFromParent_Done,
     /* 1688742 */   // Label 23090: @1688742
     /* 1688742 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1688828), // Rule ID 12072 //
     /* 1688747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1688767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688793 */     // MIs[0] policy
     /* 1688793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1688806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688827 */     // GIR_Coverage, 12072,
     /* 1688827 */     GIR_EraseRootFromParent_Done,
     /* 1688828 */   // Label 23091: @1688828
     /* 1688828 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1688914), // Rule ID 12073 //
     /* 1688833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1688844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1688847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1688853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688879 */     // MIs[0] policy
     /* 1688879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1688892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688913 */     // GIR_Coverage, 12073,
     /* 1688913 */     GIR_EraseRootFromParent_Done,
     /* 1688914 */   // Label 23092: @1688914
     /* 1688914 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1689000), // Rule ID 12076 //
     /* 1688919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1688927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1688939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688965 */     // MIs[0] policy
     /* 1688965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1688978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688999 */     // GIR_Coverage, 12076,
     /* 1688999 */     GIR_EraseRootFromParent_Done,
     /* 1689000 */   // Label 23093: @1689000
     /* 1689000 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1689086), // Rule ID 12077 //
     /* 1689005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1689025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689051 */     // MIs[0] policy
     /* 1689051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689061 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1689064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689085 */     // GIR_Coverage, 12077,
     /* 1689085 */     GIR_EraseRootFromParent_Done,
     /* 1689086 */   // Label 23094: @1689086
     /* 1689086 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1689172), // Rule ID 12080 //
     /* 1689091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1689111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689137 */     // MIs[0] policy
     /* 1689137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1689150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689171 */     // GIR_Coverage, 12080,
     /* 1689171 */     GIR_EraseRootFromParent_Done,
     /* 1689172 */   // Label 23095: @1689172
     /* 1689172 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1689258), // Rule ID 12081 //
     /* 1689177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1689197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689223 */     // MIs[0] policy
     /* 1689223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1689236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689257 */     // GIR_Coverage, 12081,
     /* 1689257 */     GIR_EraseRootFromParent_Done,
     /* 1689258 */   // Label 23096: @1689258
     /* 1689258 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1689344), // Rule ID 12084 //
     /* 1689263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1689283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689309 */     // MIs[0] policy
     /* 1689309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1689322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689343 */     // GIR_Coverage, 12084,
     /* 1689343 */     GIR_EraseRootFromParent_Done,
     /* 1689344 */   // Label 23097: @1689344
     /* 1689344 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1689430), // Rule ID 12085 //
     /* 1689349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1689369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689395 */     // MIs[0] policy
     /* 1689395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689405 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1689408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689429 */     // GIR_Coverage, 12085,
     /* 1689429 */     GIR_EraseRootFromParent_Done,
     /* 1689430 */   // Label 23098: @1689430
     /* 1689430 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1689516), // Rule ID 12088 //
     /* 1689435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1689455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689481 */     // MIs[0] policy
     /* 1689481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1689494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689515 */     // GIR_Coverage, 12088,
     /* 1689515 */     GIR_EraseRootFromParent_Done,
     /* 1689516 */   // Label 23099: @1689516
     /* 1689516 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1689602), // Rule ID 12089 //
     /* 1689521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1689541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689567 */     // MIs[0] policy
     /* 1689567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1689580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689601 */     // GIR_Coverage, 12089,
     /* 1689601 */     GIR_EraseRootFromParent_Done,
     /* 1689602 */   // Label 23100: @1689602
     /* 1689602 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1689688), // Rule ID 12092 //
     /* 1689607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1689627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689653 */     // MIs[0] policy
     /* 1689653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689663 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1689666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689687 */     // GIR_Coverage, 12092,
     /* 1689687 */     GIR_EraseRootFromParent_Done,
     /* 1689688 */   // Label 23101: @1689688
     /* 1689688 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1689774), // Rule ID 12093 //
     /* 1689693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1689713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689739 */     // MIs[0] policy
     /* 1689739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689749 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1689752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689773 */     // GIR_Coverage, 12093,
     /* 1689773 */     GIR_EraseRootFromParent_Done,
     /* 1689774 */   // Label 23102: @1689774
     /* 1689774 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1689860), // Rule ID 12096 //
     /* 1689779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1689799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689825 */     // MIs[0] policy
     /* 1689825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1689838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689859 */     // GIR_Coverage, 12096,
     /* 1689859 */     GIR_EraseRootFromParent_Done,
     /* 1689860 */   // Label 23103: @1689860
     /* 1689860 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1689946), // Rule ID 12097 //
     /* 1689865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1689885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689911 */     // MIs[0] policy
     /* 1689911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1689924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689945 */     // GIR_Coverage, 12097,
     /* 1689945 */     GIR_EraseRootFromParent_Done,
     /* 1689946 */   // Label 23104: @1689946
     /* 1689946 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1690032), // Rule ID 12100 //
     /* 1689951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1689959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1689971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689997 */     // MIs[0] policy
     /* 1689997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1690010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690031 */     // GIR_Coverage, 12100,
     /* 1690031 */     GIR_EraseRootFromParent_Done,
     /* 1690032 */   // Label 23105: @1690032
     /* 1690032 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1690118), // Rule ID 12101 //
     /* 1690037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1690057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690083 */     // MIs[0] policy
     /* 1690083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1690096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690117 */     // GIR_Coverage, 12101,
     /* 1690117 */     GIR_EraseRootFromParent_Done,
     /* 1690118 */   // Label 23106: @1690118
     /* 1690118 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1690204), // Rule ID 12104 //
     /* 1690123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1690143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690169 */     // MIs[0] policy
     /* 1690169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690179 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1690182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690203 */     // GIR_Coverage, 12104,
     /* 1690203 */     GIR_EraseRootFromParent_Done,
     /* 1690204 */   // Label 23107: @1690204
     /* 1690204 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1690290), // Rule ID 12105 //
     /* 1690209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1690229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690255 */     // MIs[0] policy
     /* 1690255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690265 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1690268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690289 */     // GIR_Coverage, 12105,
     /* 1690289 */     GIR_EraseRootFromParent_Done,
     /* 1690290 */   // Label 23108: @1690290
     /* 1690290 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1690376), // Rule ID 12108 //
     /* 1690295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1690315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690341 */     // MIs[0] policy
     /* 1690341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1690354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690375 */     // GIR_Coverage, 12108,
     /* 1690375 */     GIR_EraseRootFromParent_Done,
     /* 1690376 */   // Label 23109: @1690376
     /* 1690376 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1690462), // Rule ID 12109 //
     /* 1690381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1690401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690427 */     // MIs[0] policy
     /* 1690427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1690440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690461 */     // GIR_Coverage, 12109,
     /* 1690461 */     GIR_EraseRootFromParent_Done,
     /* 1690462 */   // Label 23110: @1690462
     /* 1690462 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1690548), // Rule ID 12112 //
     /* 1690467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1690487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690513 */     // MIs[0] policy
     /* 1690513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1690526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690547 */     // GIR_Coverage, 12112,
     /* 1690547 */     GIR_EraseRootFromParent_Done,
     /* 1690548 */   // Label 23111: @1690548
     /* 1690548 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1690634), // Rule ID 12113 //
     /* 1690553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1690573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690599 */     // MIs[0] policy
     /* 1690599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1690612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690633 */     // GIR_Coverage, 12113,
     /* 1690633 */     GIR_EraseRootFromParent_Done,
     /* 1690634 */   // Label 23112: @1690634
     /* 1690634 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1690720), // Rule ID 12116 //
     /* 1690639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1690659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690685 */     // MIs[0] policy
     /* 1690685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690695 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1690698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690719 */     // GIR_Coverage, 12116,
     /* 1690719 */     GIR_EraseRootFromParent_Done,
     /* 1690720 */   // Label 23113: @1690720
     /* 1690720 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1690806), // Rule ID 12117 //
     /* 1690725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1690745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690771 */     // MIs[0] policy
     /* 1690771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690781 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1690784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690805 */     // GIR_Coverage, 12117,
     /* 1690805 */     GIR_EraseRootFromParent_Done,
     /* 1690806 */   // Label 23114: @1690806
     /* 1690806 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1690892), // Rule ID 12120 //
     /* 1690811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1690831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690857 */     // MIs[0] policy
     /* 1690857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1690870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690891 */     // GIR_Coverage, 12120,
     /* 1690891 */     GIR_EraseRootFromParent_Done,
     /* 1690892 */   // Label 23115: @1690892
     /* 1690892 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1690978), // Rule ID 12121 //
     /* 1690897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1690917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690943 */     // MIs[0] policy
     /* 1690943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690953 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1690956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690977 */     // GIR_Coverage, 12121,
     /* 1690977 */     GIR_EraseRootFromParent_Done,
     /* 1690978 */   // Label 23116: @1690978
     /* 1690978 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1691064), // Rule ID 12124 //
     /* 1690983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1690991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1691003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691029 */     // MIs[0] policy
     /* 1691029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691039 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1691042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691063 */     // GIR_Coverage, 12124,
     /* 1691063 */     GIR_EraseRootFromParent_Done,
     /* 1691064 */   // Label 23117: @1691064
     /* 1691064 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1691150), // Rule ID 12125 //
     /* 1691069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1691089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691115 */     // MIs[0] policy
     /* 1691115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691125 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1691128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691149 */     // GIR_Coverage, 12125,
     /* 1691149 */     GIR_EraseRootFromParent_Done,
     /* 1691150 */   // Label 23118: @1691150
     /* 1691150 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1691236), // Rule ID 12128 //
     /* 1691155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1691175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691201 */     // MIs[0] policy
     /* 1691201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691211 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1691214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691235 */     // GIR_Coverage, 12128,
     /* 1691235 */     GIR_EraseRootFromParent_Done,
     /* 1691236 */   // Label 23119: @1691236
     /* 1691236 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1691322), // Rule ID 12129 //
     /* 1691241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1691261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691287 */     // MIs[0] policy
     /* 1691287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1691300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691321 */     // GIR_Coverage, 12129,
     /* 1691321 */     GIR_EraseRootFromParent_Done,
     /* 1691322 */   // Label 23120: @1691322
     /* 1691322 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1691408), // Rule ID 12132 //
     /* 1691327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691373 */     // MIs[0] policy
     /* 1691373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1691386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691407 */     // GIR_Coverage, 12132,
     /* 1691407 */     GIR_EraseRootFromParent_Done,
     /* 1691408 */   // Label 23121: @1691408
     /* 1691408 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1691494), // Rule ID 12133 //
     /* 1691413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691459 */     // MIs[0] policy
     /* 1691459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1691472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691493 */     // GIR_Coverage, 12133,
     /* 1691493 */     GIR_EraseRootFromParent_Done,
     /* 1691494 */   // Label 23122: @1691494
     /* 1691494 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1691580), // Rule ID 12136 //
     /* 1691499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691545 */     // MIs[0] policy
     /* 1691545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1691558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691579 */     // GIR_Coverage, 12136,
     /* 1691579 */     GIR_EraseRootFromParent_Done,
     /* 1691580 */   // Label 23123: @1691580
     /* 1691580 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1691666), // Rule ID 12137 //
     /* 1691585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691631 */     // MIs[0] policy
     /* 1691631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691641 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1691644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691665 */     // GIR_Coverage, 12137,
     /* 1691665 */     GIR_EraseRootFromParent_Done,
     /* 1691666 */   // Label 23124: @1691666
     /* 1691666 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1691752), // Rule ID 12140 //
     /* 1691671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691717 */     // MIs[0] policy
     /* 1691717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1691730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691751 */     // GIR_Coverage, 12140,
     /* 1691751 */     GIR_EraseRootFromParent_Done,
     /* 1691752 */   // Label 23125: @1691752
     /* 1691752 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1691838), // Rule ID 12141 //
     /* 1691757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691803 */     // MIs[0] policy
     /* 1691803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1691816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691837 */     // GIR_Coverage, 12141,
     /* 1691837 */     GIR_EraseRootFromParent_Done,
     /* 1691838 */   // Label 23126: @1691838
     /* 1691838 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1691924), // Rule ID 12144 //
     /* 1691843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691889 */     // MIs[0] policy
     /* 1691889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691899 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1691902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691923 */     // GIR_Coverage, 12144,
     /* 1691923 */     GIR_EraseRootFromParent_Done,
     /* 1691924 */   // Label 23127: @1691924
     /* 1691924 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1692010), // Rule ID 12145 //
     /* 1691929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1691937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691975 */     // MIs[0] policy
     /* 1691975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1691988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692009 */     // GIR_Coverage, 12145,
     /* 1692009 */     GIR_EraseRootFromParent_Done,
     /* 1692010 */   // Label 23128: @1692010
     /* 1692010 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1692096), // Rule ID 12148 //
     /* 1692015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692061 */     // MIs[0] policy
     /* 1692061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1692074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692095 */     // GIR_Coverage, 12148,
     /* 1692095 */     GIR_EraseRootFromParent_Done,
     /* 1692096 */   // Label 23129: @1692096
     /* 1692096 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1692182), // Rule ID 12149 //
     /* 1692101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692147 */     // MIs[0] policy
     /* 1692147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692157 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1692160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692181 */     // GIR_Coverage, 12149,
     /* 1692181 */     GIR_EraseRootFromParent_Done,
     /* 1692182 */   // Label 23130: @1692182
     /* 1692182 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1692268), // Rule ID 12152 //
     /* 1692187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692233 */     // MIs[0] policy
     /* 1692233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1692246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692267 */     // GIR_Coverage, 12152,
     /* 1692267 */     GIR_EraseRootFromParent_Done,
     /* 1692268 */   // Label 23131: @1692268
     /* 1692268 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1692354), // Rule ID 12153 //
     /* 1692273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692319 */     // MIs[0] policy
     /* 1692319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692329 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1692332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692353 */     // GIR_Coverage, 12153,
     /* 1692353 */     GIR_EraseRootFromParent_Done,
     /* 1692354 */   // Label 23132: @1692354
     /* 1692354 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1692440), // Rule ID 12156 //
     /* 1692359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692405 */     // MIs[0] policy
     /* 1692405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1692418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692439 */     // GIR_Coverage, 12156,
     /* 1692439 */     GIR_EraseRootFromParent_Done,
     /* 1692440 */   // Label 23133: @1692440
     /* 1692440 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1692526), // Rule ID 12157 //
     /* 1692445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692491 */     // MIs[0] policy
     /* 1692491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1692504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692525 */     // GIR_Coverage, 12157,
     /* 1692525 */     GIR_EraseRootFromParent_Done,
     /* 1692526 */   // Label 23134: @1692526
     /* 1692526 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1692612), // Rule ID 12160 //
     /* 1692531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692577 */     // MIs[0] policy
     /* 1692577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1692590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692611 */     // GIR_Coverage, 12160,
     /* 1692611 */     GIR_EraseRootFromParent_Done,
     /* 1692612 */   // Label 23135: @1692612
     /* 1692612 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1692698), // Rule ID 12161 //
     /* 1692617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692663 */     // MIs[0] policy
     /* 1692663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1692676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692697 */     // GIR_Coverage, 12161,
     /* 1692697 */     GIR_EraseRootFromParent_Done,
     /* 1692698 */   // Label 23136: @1692698
     /* 1692698 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1692784), // Rule ID 12164 //
     /* 1692703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692749 */     // MIs[0] policy
     /* 1692749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1692762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692783 */     // GIR_Coverage, 12164,
     /* 1692783 */     GIR_EraseRootFromParent_Done,
     /* 1692784 */   // Label 23137: @1692784
     /* 1692784 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1692870), // Rule ID 12165 //
     /* 1692789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692835 */     // MIs[0] policy
     /* 1692835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1692848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692869 */     // GIR_Coverage, 12165,
     /* 1692869 */     GIR_EraseRootFromParent_Done,
     /* 1692870 */   // Label 23138: @1692870
     /* 1692870 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1692956), // Rule ID 12168 //
     /* 1692875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692921 */     // MIs[0] policy
     /* 1692921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1692934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692955 */     // GIR_Coverage, 12168,
     /* 1692955 */     GIR_EraseRootFromParent_Done,
     /* 1692956 */   // Label 23139: @1692956
     /* 1692956 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1693042), // Rule ID 12169 //
     /* 1692961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1692969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693007 */     // MIs[0] policy
     /* 1693007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1693020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1693038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693041 */     // GIR_Coverage, 12169,
     /* 1693041 */     GIR_EraseRootFromParent_Done,
     /* 1693042 */   // Label 23140: @1693042
     /* 1693042 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1693128), // Rule ID 12172 //
     /* 1693047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693093 */     // MIs[0] policy
     /* 1693093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693103 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1693106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693127 */     // GIR_Coverage, 12172,
     /* 1693127 */     GIR_EraseRootFromParent_Done,
     /* 1693128 */   // Label 23141: @1693128
     /* 1693128 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1693214), // Rule ID 12173 //
     /* 1693133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693179 */     // MIs[0] policy
     /* 1693179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1693192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693213 */     // GIR_Coverage, 12173,
     /* 1693213 */     GIR_EraseRootFromParent_Done,
     /* 1693214 */   // Label 23142: @1693214
     /* 1693214 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1693300), // Rule ID 12176 //
     /* 1693219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693265 */     // MIs[0] policy
     /* 1693265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1693278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693299 */     // GIR_Coverage, 12176,
     /* 1693299 */     GIR_EraseRootFromParent_Done,
     /* 1693300 */   // Label 23143: @1693300
     /* 1693300 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1693386), // Rule ID 12177 //
     /* 1693305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693351 */     // MIs[0] policy
     /* 1693351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1693364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693385 */     // GIR_Coverage, 12177,
     /* 1693385 */     GIR_EraseRootFromParent_Done,
     /* 1693386 */   // Label 23144: @1693386
     /* 1693386 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1693472), // Rule ID 12180 //
     /* 1693391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693437 */     // MIs[0] policy
     /* 1693437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1693450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693471 */     // GIR_Coverage, 12180,
     /* 1693471 */     GIR_EraseRootFromParent_Done,
     /* 1693472 */   // Label 23145: @1693472
     /* 1693472 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1693558), // Rule ID 12181 //
     /* 1693477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693523 */     // MIs[0] policy
     /* 1693523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693533 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1693536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693557 */     // GIR_Coverage, 12181,
     /* 1693557 */     GIR_EraseRootFromParent_Done,
     /* 1693558 */   // Label 23146: @1693558
     /* 1693558 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1693644), // Rule ID 12184 //
     /* 1693563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693609 */     // MIs[0] policy
     /* 1693609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1693622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693643 */     // GIR_Coverage, 12184,
     /* 1693643 */     GIR_EraseRootFromParent_Done,
     /* 1693644 */   // Label 23147: @1693644
     /* 1693644 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1693730), // Rule ID 12185 //
     /* 1693649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693695 */     // MIs[0] policy
     /* 1693695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1693708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693729 */     // GIR_Coverage, 12185,
     /* 1693729 */     GIR_EraseRootFromParent_Done,
     /* 1693730 */   // Label 23148: @1693730
     /* 1693730 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1693816), // Rule ID 12188 //
     /* 1693735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693781 */     // MIs[0] policy
     /* 1693781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693791 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1693794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693815 */     // GIR_Coverage, 12188,
     /* 1693815 */     GIR_EraseRootFromParent_Done,
     /* 1693816 */   // Label 23149: @1693816
     /* 1693816 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1693902), // Rule ID 12189 //
     /* 1693821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693867 */     // MIs[0] policy
     /* 1693867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1693880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693901 */     // GIR_Coverage, 12189,
     /* 1693901 */     GIR_EraseRootFromParent_Done,
     /* 1693902 */   // Label 23150: @1693902
     /* 1693902 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1693988), // Rule ID 12192 //
     /* 1693907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1693915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693953 */     // MIs[0] policy
     /* 1693953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1693966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693987 */     // GIR_Coverage, 12192,
     /* 1693987 */     GIR_EraseRootFromParent_Done,
     /* 1693988 */   // Label 23151: @1693988
     /* 1693988 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1694074), // Rule ID 12193 //
     /* 1693993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1694004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1694007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694039 */     // MIs[0] policy
     /* 1694039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1694052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694073 */     // GIR_Coverage, 12193,
     /* 1694073 */     GIR_EraseRootFromParent_Done,
     /* 1694074 */   // Label 23152: @1694074
     /* 1694074 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1694160), // Rule ID 12196 //
     /* 1694079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694125 */     // MIs[0] policy
     /* 1694125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1694138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694159 */     // GIR_Coverage, 12196,
     /* 1694159 */     GIR_EraseRootFromParent_Done,
     /* 1694160 */   // Label 23153: @1694160
     /* 1694160 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1694246), // Rule ID 12197 //
     /* 1694165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694211 */     // MIs[0] policy
     /* 1694211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1694224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694245 */     // GIR_Coverage, 12197,
     /* 1694245 */     GIR_EraseRootFromParent_Done,
     /* 1694246 */   // Label 23154: @1694246
     /* 1694246 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1694332), // Rule ID 12200 //
     /* 1694251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694297 */     // MIs[0] policy
     /* 1694297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1694310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694331 */     // GIR_Coverage, 12200,
     /* 1694331 */     GIR_EraseRootFromParent_Done,
     /* 1694332 */   // Label 23155: @1694332
     /* 1694332 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1694418), // Rule ID 12201 //
     /* 1694337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694383 */     // MIs[0] policy
     /* 1694383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1694396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694417 */     // GIR_Coverage, 12201,
     /* 1694417 */     GIR_EraseRootFromParent_Done,
     /* 1694418 */   // Label 23156: @1694418
     /* 1694418 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1694504), // Rule ID 12204 //
     /* 1694423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694469 */     // MIs[0] policy
     /* 1694469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1694482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694503 */     // GIR_Coverage, 12204,
     /* 1694503 */     GIR_EraseRootFromParent_Done,
     /* 1694504 */   // Label 23157: @1694504
     /* 1694504 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1694590), // Rule ID 12205 //
     /* 1694509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694555 */     // MIs[0] policy
     /* 1694555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1694568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694589 */     // GIR_Coverage, 12205,
     /* 1694589 */     GIR_EraseRootFromParent_Done,
     /* 1694590 */   // Label 23158: @1694590
     /* 1694590 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1694676), // Rule ID 12208 //
     /* 1694595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694641 */     // MIs[0] policy
     /* 1694641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694651 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1694654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694675 */     // GIR_Coverage, 12208,
     /* 1694675 */     GIR_EraseRootFromParent_Done,
     /* 1694676 */   // Label 23159: @1694676
     /* 1694676 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1694762), // Rule ID 12209 //
     /* 1694681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694727 */     // MIs[0] policy
     /* 1694727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694737 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1694740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694761 */     // GIR_Coverage, 12209,
     /* 1694761 */     GIR_EraseRootFromParent_Done,
     /* 1694762 */   // Label 23160: @1694762
     /* 1694762 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1694848), // Rule ID 12212 //
     /* 1694767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694813 */     // MIs[0] policy
     /* 1694813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1694826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694847 */     // GIR_Coverage, 12212,
     /* 1694847 */     GIR_EraseRootFromParent_Done,
     /* 1694848 */   // Label 23161: @1694848
     /* 1694848 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1694934), // Rule ID 12213 //
     /* 1694853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694899 */     // MIs[0] policy
     /* 1694899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1694912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694933 */     // GIR_Coverage, 12213,
     /* 1694933 */     GIR_EraseRootFromParent_Done,
     /* 1694934 */   // Label 23162: @1694934
     /* 1694934 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1695020), // Rule ID 12216 //
     /* 1694939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1694947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1694950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1694953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1694956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694985 */     // MIs[0] policy
     /* 1694985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694995 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1694998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695019 */     // GIR_Coverage, 12216,
     /* 1695019 */     GIR_EraseRootFromParent_Done,
     /* 1695020 */   // Label 23163: @1695020
     /* 1695020 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1695106), // Rule ID 12217 //
     /* 1695025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1695033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1695036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1695039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695071 */     // MIs[0] policy
     /* 1695071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695081 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1695084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695105 */     // GIR_Coverage, 12217,
     /* 1695105 */     GIR_EraseRootFromParent_Done,
     /* 1695106 */   // Label 23164: @1695106
     /* 1695106 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1695192), // Rule ID 12220 //
     /* 1695111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695157 */     // MIs[0] policy
     /* 1695157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695167 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1695170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695191 */     // GIR_Coverage, 12220,
     /* 1695191 */     GIR_EraseRootFromParent_Done,
     /* 1695192 */   // Label 23165: @1695192
     /* 1695192 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1695278), // Rule ID 12221 //
     /* 1695197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695243 */     // MIs[0] policy
     /* 1695243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695253 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1695256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695277 */     // GIR_Coverage, 12221,
     /* 1695277 */     GIR_EraseRootFromParent_Done,
     /* 1695278 */   // Label 23166: @1695278
     /* 1695278 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1695364), // Rule ID 12224 //
     /* 1695283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695329 */     // MIs[0] policy
     /* 1695329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1695342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695363 */     // GIR_Coverage, 12224,
     /* 1695363 */     GIR_EraseRootFromParent_Done,
     /* 1695364 */   // Label 23167: @1695364
     /* 1695364 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1695450), // Rule ID 12225 //
     /* 1695369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1695380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1695383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695415 */     // MIs[0] policy
     /* 1695415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1695428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695449 */     // GIR_Coverage, 12225,
     /* 1695449 */     GIR_EraseRootFromParent_Done,
     /* 1695450 */   // Label 23168: @1695450
     /* 1695450 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1695536), // Rule ID 12228 //
     /* 1695455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695501 */     // MIs[0] policy
     /* 1695501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695511 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1695514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695535 */     // GIR_Coverage, 12228,
     /* 1695535 */     GIR_EraseRootFromParent_Done,
     /* 1695536 */   // Label 23169: @1695536
     /* 1695536 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1695622), // Rule ID 12229 //
     /* 1695541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1695552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1695555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695587 */     // MIs[0] policy
     /* 1695587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1695600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695621 */     // GIR_Coverage, 12229,
     /* 1695621 */     GIR_EraseRootFromParent_Done,
     /* 1695622 */   // Label 23170: @1695622
     /* 1695622 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1695708), // Rule ID 12232 //
     /* 1695627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1695644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1695647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695673 */     // MIs[0] policy
     /* 1695673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1695686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695707 */     // GIR_Coverage, 12232,
     /* 1695707 */     GIR_EraseRootFromParent_Done,
     /* 1695708 */   // Label 23171: @1695708
     /* 1695708 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1695794), // Rule ID 12233 //
     /* 1695713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1695730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1695733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695759 */     // MIs[0] policy
     /* 1695759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1695772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695793 */     // GIR_Coverage, 12233,
     /* 1695793 */     GIR_EraseRootFromParent_Done,
     /* 1695794 */   // Label 23172: @1695794
     /* 1695794 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1695880), // Rule ID 12236 //
     /* 1695799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1695810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1695813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1695816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1695819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695845 */     // MIs[0] policy
     /* 1695845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695855 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1695858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695879 */     // GIR_Coverage, 12236,
     /* 1695879 */     GIR_EraseRootFromParent_Done,
     /* 1695880 */   // Label 23173: @1695880
     /* 1695880 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1695966), // Rule ID 12237 //
     /* 1695885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1695896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1695899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1695902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1695905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695931 */     // MIs[0] policy
     /* 1695931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1695944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695965 */     // GIR_Coverage, 12237,
     /* 1695965 */     GIR_EraseRootFromParent_Done,
     /* 1695966 */   // Label 23174: @1695966
     /* 1695966 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1696052), // Rule ID 12240 //
     /* 1695971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1695979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1695982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1695985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1695988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1695991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1695994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696017 */     // MIs[0] policy
     /* 1696017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1696030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696051 */     // GIR_Coverage, 12240,
     /* 1696051 */     GIR_EraseRootFromParent_Done,
     /* 1696052 */   // Label 23175: @1696052
     /* 1696052 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1696138), // Rule ID 12241 //
     /* 1696057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1696068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1696071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1696074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1696077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696103 */     // MIs[0] policy
     /* 1696103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696113 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1696116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696137 */     // GIR_Coverage, 12241,
     /* 1696137 */     GIR_EraseRootFromParent_Done,
     /* 1696138 */   // Label 23176: @1696138
     /* 1696138 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1696224), // Rule ID 12244 //
     /* 1696143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696189 */     // MIs[0] policy
     /* 1696189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1696202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696223 */     // GIR_Coverage, 12244,
     /* 1696223 */     GIR_EraseRootFromParent_Done,
     /* 1696224 */   // Label 23177: @1696224
     /* 1696224 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1696310), // Rule ID 12245 //
     /* 1696229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696275 */     // MIs[0] policy
     /* 1696275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1696288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696309 */     // GIR_Coverage, 12245,
     /* 1696309 */     GIR_EraseRootFromParent_Done,
     /* 1696310 */   // Label 23178: @1696310
     /* 1696310 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1696396), // Rule ID 12248 //
     /* 1696315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696361 */     // MIs[0] policy
     /* 1696361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1696374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696395 */     // GIR_Coverage, 12248,
     /* 1696395 */     GIR_EraseRootFromParent_Done,
     /* 1696396 */   // Label 23179: @1696396
     /* 1696396 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1696482), // Rule ID 12249 //
     /* 1696401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696447 */     // MIs[0] policy
     /* 1696447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1696460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696481 */     // GIR_Coverage, 12249,
     /* 1696481 */     GIR_EraseRootFromParent_Done,
     /* 1696482 */   // Label 23180: @1696482
     /* 1696482 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1696568), // Rule ID 12252 //
     /* 1696487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696533 */     // MIs[0] policy
     /* 1696533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1696546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696567 */     // GIR_Coverage, 12252,
     /* 1696567 */     GIR_EraseRootFromParent_Done,
     /* 1696568 */   // Label 23181: @1696568
     /* 1696568 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1696654), // Rule ID 12253 //
     /* 1696573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1696584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1696587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696619 */     // MIs[0] policy
     /* 1696619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1696632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696653 */     // GIR_Coverage, 12253,
     /* 1696653 */     GIR_EraseRootFromParent_Done,
     /* 1696654 */   // Label 23182: @1696654
     /* 1696654 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1696740), // Rule ID 12256 //
     /* 1696659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1696679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696705 */     // MIs[0] policy
     /* 1696705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1696718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696739 */     // GIR_Coverage, 12256,
     /* 1696739 */     GIR_EraseRootFromParent_Done,
     /* 1696740 */   // Label 23183: @1696740
     /* 1696740 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1696826), // Rule ID 12257 //
     /* 1696745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1696765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696791 */     // MIs[0] policy
     /* 1696791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1696804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696825 */     // GIR_Coverage, 12257,
     /* 1696825 */     GIR_EraseRootFromParent_Done,
     /* 1696826 */   // Label 23184: @1696826
     /* 1696826 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1696912), // Rule ID 12260 //
     /* 1696831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1696842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1696845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1696848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1696851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696877 */     // MIs[0] policy
     /* 1696877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1696890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696911 */     // GIR_Coverage, 12260,
     /* 1696911 */     GIR_EraseRootFromParent_Done,
     /* 1696912 */   // Label 23185: @1696912
     /* 1696912 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1696998), // Rule ID 12261 //
     /* 1696917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1696925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1696928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1696931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1696934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1696937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1696947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696963 */     // MIs[0] policy
     /* 1696963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1696976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696997 */     // GIR_Coverage, 12261,
     /* 1696997 */     GIR_EraseRootFromParent_Done,
     /* 1696998 */   // Label 23186: @1696998
     /* 1696998 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1697084), // Rule ID 12264 //
     /* 1697003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1697023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697049 */     // MIs[0] policy
     /* 1697049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1697062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697083 */     // GIR_Coverage, 12264,
     /* 1697083 */     GIR_EraseRootFromParent_Done,
     /* 1697084 */   // Label 23187: @1697084
     /* 1697084 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1697170), // Rule ID 12265 //
     /* 1697089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1697109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697135 */     // MIs[0] policy
     /* 1697135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697145 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1697148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697169 */     // GIR_Coverage, 12265,
     /* 1697169 */     GIR_EraseRootFromParent_Done,
     /* 1697170 */   // Label 23188: @1697170
     /* 1697170 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1697256), // Rule ID 12268 //
     /* 1697175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1697186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1697189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697221 */     // MIs[0] policy
     /* 1697221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1697234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697255 */     // GIR_Coverage, 12268,
     /* 1697255 */     GIR_EraseRootFromParent_Done,
     /* 1697256 */   // Label 23189: @1697256
     /* 1697256 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1697342), // Rule ID 12269 //
     /* 1697261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1697272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1697275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697307 */     // MIs[0] policy
     /* 1697307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1697320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697341 */     // GIR_Coverage, 12269,
     /* 1697341 */     GIR_EraseRootFromParent_Done,
     /* 1697342 */   // Label 23190: @1697342
     /* 1697342 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1697428), // Rule ID 12272 //
     /* 1697347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1697358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1697361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1697367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697393 */     // MIs[0] policy
     /* 1697393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1697406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697427 */     // GIR_Coverage, 12272,
     /* 1697427 */     GIR_EraseRootFromParent_Done,
     /* 1697428 */   // Label 23191: @1697428
     /* 1697428 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1697514), // Rule ID 12273 //
     /* 1697433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1697444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1697447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1697453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697479 */     // MIs[0] policy
     /* 1697479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1697492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697513 */     // GIR_Coverage, 12273,
     /* 1697513 */     GIR_EraseRootFromParent_Done,
     /* 1697514 */   // Label 23192: @1697514
     /* 1697514 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1697600), // Rule ID 12276 //
     /* 1697519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1697530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1697533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1697539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697565 */     // MIs[0] policy
     /* 1697565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1697578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697599 */     // GIR_Coverage, 12276,
     /* 1697599 */     GIR_EraseRootFromParent_Done,
     /* 1697600 */   // Label 23193: @1697600
     /* 1697600 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1697686), // Rule ID 12277 //
     /* 1697605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1697616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1697619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1697625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697651 */     // MIs[0] policy
     /* 1697651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1697664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697685 */     // GIR_Coverage, 12277,
     /* 1697685 */     GIR_EraseRootFromParent_Done,
     /* 1697686 */   // Label 23194: @1697686
     /* 1697686 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1697772), // Rule ID 12280 //
     /* 1697691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1697708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697737 */     // MIs[0] policy
     /* 1697737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1697750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697771 */     // GIR_Coverage, 12280,
     /* 1697771 */     GIR_EraseRootFromParent_Done,
     /* 1697772 */   // Label 23195: @1697772
     /* 1697772 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1697858), // Rule ID 12281 //
     /* 1697777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1697788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1697791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1697794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697823 */     // MIs[0] policy
     /* 1697823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1697836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697857 */     // GIR_Coverage, 12281,
     /* 1697857 */     GIR_EraseRootFromParent_Done,
     /* 1697858 */   // Label 23196: @1697858
     /* 1697858 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1697944), // Rule ID 12284 //
     /* 1697863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1697874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1697877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1697880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1697883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697909 */     // MIs[0] policy
     /* 1697909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1697922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697943 */     // GIR_Coverage, 12284,
     /* 1697943 */     GIR_EraseRootFromParent_Done,
     /* 1697944 */   // Label 23197: @1697944
     /* 1697944 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1698030), // Rule ID 12285 //
     /* 1697949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1697957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1697960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1697963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1697966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1697969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1697991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697995 */     // MIs[0] policy
     /* 1697995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1698008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698029 */     // GIR_Coverage, 12285,
     /* 1698029 */     GIR_EraseRootFromParent_Done,
     /* 1698030 */   // Label 23198: @1698030
     /* 1698030 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1698116), // Rule ID 12288 //
     /* 1698035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1698052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698081 */     // MIs[0] policy
     /* 1698081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1698094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698115 */     // GIR_Coverage, 12288,
     /* 1698115 */     GIR_EraseRootFromParent_Done,
     /* 1698116 */   // Label 23199: @1698116
     /* 1698116 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1698202), // Rule ID 12289 //
     /* 1698121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1698132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1698135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1698138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698167 */     // MIs[0] policy
     /* 1698167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1698180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698201 */     // GIR_Coverage, 12289,
     /* 1698201 */     GIR_EraseRootFromParent_Done,
     /* 1698202 */   // Label 23200: @1698202
     /* 1698202 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1698288), // Rule ID 12292 //
     /* 1698207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1698224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698253 */     // MIs[0] policy
     /* 1698253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1698266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698287 */     // GIR_Coverage, 12292,
     /* 1698287 */     GIR_EraseRootFromParent_Done,
     /* 1698288 */   // Label 23201: @1698288
     /* 1698288 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1698374), // Rule ID 12293 //
     /* 1698293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1698310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698339 */     // MIs[0] policy
     /* 1698339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1698352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698373 */     // GIR_Coverage, 12293,
     /* 1698373 */     GIR_EraseRootFromParent_Done,
     /* 1698374 */   // Label 23202: @1698374
     /* 1698374 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1698460), // Rule ID 12296 //
     /* 1698379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1698396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698425 */     // MIs[0] policy
     /* 1698425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1698438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698459 */     // GIR_Coverage, 12296,
     /* 1698459 */     GIR_EraseRootFromParent_Done,
     /* 1698460 */   // Label 23203: @1698460
     /* 1698460 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1698546), // Rule ID 12297 //
     /* 1698465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1698482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698511 */     // MIs[0] policy
     /* 1698511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1698524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698545 */     // GIR_Coverage, 12297,
     /* 1698545 */     GIR_EraseRootFromParent_Done,
     /* 1698546 */   // Label 23204: @1698546
     /* 1698546 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1698632), // Rule ID 12300 //
     /* 1698551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1698568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698597 */     // MIs[0] policy
     /* 1698597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698607 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1698610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698631 */     // GIR_Coverage, 12300,
     /* 1698631 */     GIR_EraseRootFromParent_Done,
     /* 1698632 */   // Label 23205: @1698632
     /* 1698632 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1698718), // Rule ID 12301 //
     /* 1698637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1698654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698683 */     // MIs[0] policy
     /* 1698683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1698696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698717 */     // GIR_Coverage, 12301,
     /* 1698717 */     GIR_EraseRootFromParent_Done,
     /* 1698718 */   // Label 23206: @1698718
     /* 1698718 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1698804), // Rule ID 12304 //
     /* 1698723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698769 */     // MIs[0] policy
     /* 1698769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1698782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698803 */     // GIR_Coverage, 12304,
     /* 1698803 */     GIR_EraseRootFromParent_Done,
     /* 1698804 */   // Label 23207: @1698804
     /* 1698804 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1698890), // Rule ID 12305 //
     /* 1698809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1698820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1698823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698855 */     // MIs[0] policy
     /* 1698855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1698868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698889 */     // GIR_Coverage, 12305,
     /* 1698889 */     GIR_EraseRootFromParent_Done,
     /* 1698890 */   // Label 23208: @1698890
     /* 1698890 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1698976), // Rule ID 12308 //
     /* 1698895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698941 */     // MIs[0] policy
     /* 1698941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1698954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698975 */     // GIR_Coverage, 12308,
     /* 1698975 */     GIR_EraseRootFromParent_Done,
     /* 1698976 */   // Label 23209: @1698976
     /* 1698976 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1699062), // Rule ID 12309 //
     /* 1698981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1698989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1698992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1698995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699027 */     // MIs[0] policy
     /* 1699027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1699040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699061 */     // GIR_Coverage, 12309,
     /* 1699061 */     GIR_EraseRootFromParent_Done,
     /* 1699062 */   // Label 23210: @1699062
     /* 1699062 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1699148), // Rule ID 12312 //
     /* 1699067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699113 */     // MIs[0] policy
     /* 1699113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1699126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699147 */     // GIR_Coverage, 12312,
     /* 1699147 */     GIR_EraseRootFromParent_Done,
     /* 1699148 */   // Label 23211: @1699148
     /* 1699148 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1699234), // Rule ID 12313 //
     /* 1699153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1699164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1699167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1699170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699199 */     // MIs[0] policy
     /* 1699199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1699212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699233 */     // GIR_Coverage, 12313,
     /* 1699233 */     GIR_EraseRootFromParent_Done,
     /* 1699234 */   // Label 23212: @1699234
     /* 1699234 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1699320), // Rule ID 12316 //
     /* 1699239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699285 */     // MIs[0] policy
     /* 1699285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1699298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699319 */     // GIR_Coverage, 12316,
     /* 1699319 */     GIR_EraseRootFromParent_Done,
     /* 1699320 */   // Label 23213: @1699320
     /* 1699320 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1699406), // Rule ID 12317 //
     /* 1699325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1699342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699371 */     // MIs[0] policy
     /* 1699371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1699384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699405 */     // GIR_Coverage, 12317,
     /* 1699405 */     GIR_EraseRootFromParent_Done,
     /* 1699406 */   // Label 23214: @1699406
     /* 1699406 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1699492), // Rule ID 12320 //
     /* 1699411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699457 */     // MIs[0] policy
     /* 1699457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1699470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699491 */     // GIR_Coverage, 12320,
     /* 1699491 */     GIR_EraseRootFromParent_Done,
     /* 1699492 */   // Label 23215: @1699492
     /* 1699492 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1699578), // Rule ID 12321 //
     /* 1699497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699543 */     // MIs[0] policy
     /* 1699543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1699556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699577 */     // GIR_Coverage, 12321,
     /* 1699577 */     GIR_EraseRootFromParent_Done,
     /* 1699578 */   // Label 23216: @1699578
     /* 1699578 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1699664), // Rule ID 12324 //
     /* 1699583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1699594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1699597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699629 */     // MIs[0] policy
     /* 1699629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1699642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699663 */     // GIR_Coverage, 12324,
     /* 1699663 */     GIR_EraseRootFromParent_Done,
     /* 1699664 */   // Label 23217: @1699664
     /* 1699664 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1699750), // Rule ID 12325 //
     /* 1699669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1699680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1699683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699715 */     // MIs[0] policy
     /* 1699715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1699728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699749 */     // GIR_Coverage, 12325,
     /* 1699749 */     GIR_EraseRootFromParent_Done,
     /* 1699750 */   // Label 23218: @1699750
     /* 1699750 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1699836), // Rule ID 12328 //
     /* 1699755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699801 */     // MIs[0] policy
     /* 1699801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1699814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699835 */     // GIR_Coverage, 12328,
     /* 1699835 */     GIR_EraseRootFromParent_Done,
     /* 1699836 */   // Label 23219: @1699836
     /* 1699836 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1699922), // Rule ID 12329 //
     /* 1699841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1699844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699887 */     // MIs[0] policy
     /* 1699887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1699900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699921 */     // GIR_Coverage, 12329,
     /* 1699921 */     GIR_EraseRootFromParent_Done,
     /* 1699922 */   // Label 23220: @1699922
     /* 1699922 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1700008), // Rule ID 12332 //
     /* 1699927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1699930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1699935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1699938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1699941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1699944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699973 */     // MIs[0] policy
     /* 1699973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1699986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700007 */     // GIR_Coverage, 12332,
     /* 1700007 */     GIR_EraseRootFromParent_Done,
     /* 1700008 */   // Label 23221: @1700008
     /* 1700008 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1700094), // Rule ID 12333 //
     /* 1700013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1700021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1700024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1700027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1700030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700059 */     // MIs[0] policy
     /* 1700059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1700072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700093 */     // GIR_Coverage, 12333,
     /* 1700093 */     GIR_EraseRootFromParent_Done,
     /* 1700094 */   // Label 23222: @1700094
     /* 1700094 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1700180), // Rule ID 12336 //
     /* 1700099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1700107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1700110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1700113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1700129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700145 */     // MIs[0] policy
     /* 1700145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700155 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1700158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700179 */     // GIR_Coverage, 12336,
     /* 1700179 */     GIR_EraseRootFromParent_Done,
     /* 1700180 */   // Label 23223: @1700180
     /* 1700180 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1700266), // Rule ID 12337 //
     /* 1700185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1700193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1700196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1700199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1700202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1700215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700231 */     // MIs[0] policy
     /* 1700231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1700244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700265 */     // GIR_Coverage, 12337,
     /* 1700265 */     GIR_EraseRootFromParent_Done,
     /* 1700266 */   // Label 23224: @1700266
     /* 1700266 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1700352), // Rule ID 12340 //
     /* 1700271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1700288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1700291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700317 */     // MIs[0] policy
     /* 1700317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1700330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700351 */     // GIR_Coverage, 12340,
     /* 1700351 */     GIR_EraseRootFromParent_Done,
     /* 1700352 */   // Label 23225: @1700352
     /* 1700352 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1700438), // Rule ID 12341 //
     /* 1700357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1700374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1700377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700403 */     // MIs[0] policy
     /* 1700403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1700416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700437 */     // GIR_Coverage, 12341,
     /* 1700437 */     GIR_EraseRootFromParent_Done,
     /* 1700438 */   // Label 23226: @1700438
     /* 1700438 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1700524), // Rule ID 12344 //
     /* 1700443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1700463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700489 */     // MIs[0] policy
     /* 1700489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1700502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700523 */     // GIR_Coverage, 12344,
     /* 1700523 */     GIR_EraseRootFromParent_Done,
     /* 1700524 */   // Label 23227: @1700524
     /* 1700524 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1700610), // Rule ID 12345 //
     /* 1700529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1700549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700575 */     // MIs[0] policy
     /* 1700575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1700588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700609 */     // GIR_Coverage, 12345,
     /* 1700609 */     GIR_EraseRootFromParent_Done,
     /* 1700610 */   // Label 23228: @1700610
     /* 1700610 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1700696), // Rule ID 12348 //
     /* 1700615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1700635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700661 */     // MIs[0] policy
     /* 1700661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1700674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700695 */     // GIR_Coverage, 12348,
     /* 1700695 */     GIR_EraseRootFromParent_Done,
     /* 1700696 */   // Label 23229: @1700696
     /* 1700696 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1700782), // Rule ID 12349 //
     /* 1700701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1700721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700747 */     // MIs[0] policy
     /* 1700747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1700760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700781 */     // GIR_Coverage, 12349,
     /* 1700781 */     GIR_EraseRootFromParent_Done,
     /* 1700782 */   // Label 23230: @1700782
     /* 1700782 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1700868), // Rule ID 12352 //
     /* 1700787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1700807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700833 */     // MIs[0] policy
     /* 1700833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1700846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700867 */     // GIR_Coverage, 12352,
     /* 1700867 */     GIR_EraseRootFromParent_Done,
     /* 1700868 */   // Label 23231: @1700868
     /* 1700868 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1700954), // Rule ID 12353 //
     /* 1700873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1700884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1700887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1700893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700919 */     // MIs[0] policy
     /* 1700919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1700932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700953 */     // GIR_Coverage, 12353,
     /* 1700953 */     GIR_EraseRootFromParent_Done,
     /* 1700954 */   // Label 23232: @1700954
     /* 1700954 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1701040), // Rule ID 12356 //
     /* 1700959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1700967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1700976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1700979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701005 */     // MIs[0] policy
     /* 1701005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701015 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1701018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701039 */     // GIR_Coverage, 12356,
     /* 1701039 */     GIR_EraseRootFromParent_Done,
     /* 1701040 */   // Label 23233: @1701040
     /* 1701040 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1701126), // Rule ID 12357 //
     /* 1701045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1701062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1701065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701091 */     // MIs[0] policy
     /* 1701091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1701104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701125 */     // GIR_Coverage, 12357,
     /* 1701125 */     GIR_EraseRootFromParent_Done,
     /* 1701126 */   // Label 23234: @1701126
     /* 1701126 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1701212), // Rule ID 12360 //
     /* 1701131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1701142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1701145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1701151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701177 */     // MIs[0] policy
     /* 1701177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1701190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701211 */     // GIR_Coverage, 12360,
     /* 1701211 */     GIR_EraseRootFromParent_Done,
     /* 1701212 */   // Label 23235: @1701212
     /* 1701212 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1701298), // Rule ID 12361 //
     /* 1701217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1701228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1701231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1701237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701263 */     // MIs[0] policy
     /* 1701263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1701276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701297 */     // GIR_Coverage, 12361,
     /* 1701297 */     GIR_EraseRootFromParent_Done,
     /* 1701298 */   // Label 23236: @1701298
     /* 1701298 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1701384), // Rule ID 12364 //
     /* 1701303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1701323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701349 */     // MIs[0] policy
     /* 1701349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1701362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701383 */     // GIR_Coverage, 12364,
     /* 1701383 */     GIR_EraseRootFromParent_Done,
     /* 1701384 */   // Label 23237: @1701384
     /* 1701384 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1701470), // Rule ID 12365 //
     /* 1701389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1701409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701435 */     // MIs[0] policy
     /* 1701435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1701448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701469 */     // GIR_Coverage, 12365,
     /* 1701469 */     GIR_EraseRootFromParent_Done,
     /* 1701470 */   // Label 23238: @1701470
     /* 1701470 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1701556), // Rule ID 12368 //
     /* 1701475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1701495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701521 */     // MIs[0] policy
     /* 1701521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1701534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701555 */     // GIR_Coverage, 12368,
     /* 1701555 */     GIR_EraseRootFromParent_Done,
     /* 1701556 */   // Label 23239: @1701556
     /* 1701556 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1701642), // Rule ID 12369 //
     /* 1701561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1701581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701607 */     // MIs[0] policy
     /* 1701607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1701620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701641 */     // GIR_Coverage, 12369,
     /* 1701641 */     GIR_EraseRootFromParent_Done,
     /* 1701642 */   // Label 23240: @1701642
     /* 1701642 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1701728), // Rule ID 12372 //
     /* 1701647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1701667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701693 */     // MIs[0] policy
     /* 1701693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1701706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701727 */     // GIR_Coverage, 12372,
     /* 1701727 */     GIR_EraseRootFromParent_Done,
     /* 1701728 */   // Label 23241: @1701728
     /* 1701728 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1701814), // Rule ID 12373 //
     /* 1701733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1701753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701779 */     // MIs[0] policy
     /* 1701779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1701792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701813 */     // GIR_Coverage, 12373,
     /* 1701813 */     GIR_EraseRootFromParent_Done,
     /* 1701814 */   // Label 23242: @1701814
     /* 1701814 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1701900), // Rule ID 12376 //
     /* 1701819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1701839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701865 */     // MIs[0] policy
     /* 1701865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1701878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701899 */     // GIR_Coverage, 12376,
     /* 1701899 */     GIR_EraseRootFromParent_Done,
     /* 1701900 */   // Label 23243: @1701900
     /* 1701900 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1701986), // Rule ID 12377 //
     /* 1701905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1701916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1701919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1701925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701951 */     // MIs[0] policy
     /* 1701951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1701964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701985 */     // GIR_Coverage, 12377,
     /* 1701985 */     GIR_EraseRootFromParent_Done,
     /* 1701986 */   // Label 23244: @1701986
     /* 1701986 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1702072), // Rule ID 12380 //
     /* 1701991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1701999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1702002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1702005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1702011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702037 */     // MIs[0] policy
     /* 1702037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1702050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702071 */     // GIR_Coverage, 12380,
     /* 1702071 */     GIR_EraseRootFromParent_Done,
     /* 1702072 */   // Label 23245: @1702072
     /* 1702072 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1702158), // Rule ID 12381 //
     /* 1702077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1702088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1702091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1702097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702123 */     // MIs[0] policy
     /* 1702123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1702136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702157 */     // GIR_Coverage, 12381,
     /* 1702157 */     GIR_EraseRootFromParent_Done,
     /* 1702158 */   // Label 23246: @1702158
     /* 1702158 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1702244), // Rule ID 12384 //
     /* 1702163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1702174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1702177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702209 */     // MIs[0] policy
     /* 1702209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1702222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702243 */     // GIR_Coverage, 12384,
     /* 1702243 */     GIR_EraseRootFromParent_Done,
     /* 1702244 */   // Label 23247: @1702244
     /* 1702244 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1702330), // Rule ID 12385 //
     /* 1702249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1702260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1702263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1702266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1702269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702295 */     // MIs[0] policy
     /* 1702295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1702308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702329 */     // GIR_Coverage, 12385,
     /* 1702329 */     GIR_EraseRootFromParent_Done,
     /* 1702330 */   // Label 23248: @1702330
     /* 1702330 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1702416), // Rule ID 12388 //
     /* 1702335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1702346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1702349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1702355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702381 */     // MIs[0] policy
     /* 1702381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1702394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702415 */     // GIR_Coverage, 12388,
     /* 1702415 */     GIR_EraseRootFromParent_Done,
     /* 1702416 */   // Label 23249: @1702416
     /* 1702416 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1702502), // Rule ID 12389 //
     /* 1702421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1702432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1702435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1702441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702467 */     // MIs[0] policy
     /* 1702467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1702480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702501 */     // GIR_Coverage, 12389,
     /* 1702501 */     GIR_EraseRootFromParent_Done,
     /* 1702502 */   // Label 23250: @1702502
     /* 1702502 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1702588), // Rule ID 12392 //
     /* 1702507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1702518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1702521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1702527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702553 */     // MIs[0] policy
     /* 1702553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1702566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702587 */     // GIR_Coverage, 12392,
     /* 1702587 */     GIR_EraseRootFromParent_Done,
     /* 1702588 */   // Label 23251: @1702588
     /* 1702588 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1702674), // Rule ID 12393 //
     /* 1702593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1702604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1702607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1702613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702639 */     // MIs[0] policy
     /* 1702639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1702652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702673 */     // GIR_Coverage, 12393,
     /* 1702673 */     GIR_EraseRootFromParent_Done,
     /* 1702674 */   // Label 23252: @1702674
     /* 1702674 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1702760), // Rule ID 12396 //
     /* 1702679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1702682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1702690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1702693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1702699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702725 */     // MIs[0] policy
     /* 1702725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1702738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702759 */     // GIR_Coverage, 12396,
     /* 1702759 */     GIR_EraseRootFromParent_Done,
     /* 1702760 */   // Label 23253: @1702760
     /* 1702760 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1702846), // Rule ID 12397 //
     /* 1702765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1702768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1702776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1702779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1702785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702811 */     // MIs[0] policy
     /* 1702811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1702824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702845 */     // GIR_Coverage, 12397,
     /* 1702845 */     GIR_EraseRootFromParent_Done,
     /* 1702846 */   // Label 23254: @1702846
     /* 1702846 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1702932), // Rule ID 12400 //
     /* 1702851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702897 */     // MIs[0] policy
     /* 1702897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1702910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702931 */     // GIR_Coverage, 12400,
     /* 1702931 */     GIR_EraseRootFromParent_Done,
     /* 1702932 */   // Label 23255: @1702932
     /* 1702932 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1703018), // Rule ID 12401 //
     /* 1702937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1702945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1702948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1702951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1702954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702983 */     // MIs[0] policy
     /* 1702983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1702996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703017 */     // GIR_Coverage, 12401,
     /* 1703017 */     GIR_EraseRootFromParent_Done,
     /* 1703018 */   // Label 23256: @1703018
     /* 1703018 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1703104), // Rule ID 12404 //
     /* 1703023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1703040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703069 */     // MIs[0] policy
     /* 1703069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703079 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1703082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703103 */     // GIR_Coverage, 12404,
     /* 1703103 */     GIR_EraseRootFromParent_Done,
     /* 1703104 */   // Label 23257: @1703104
     /* 1703104 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1703190), // Rule ID 12405 //
     /* 1703109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1703120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1703123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1703126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703155 */     // MIs[0] policy
     /* 1703155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1703168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703189 */     // GIR_Coverage, 12405,
     /* 1703189 */     GIR_EraseRootFromParent_Done,
     /* 1703190 */   // Label 23258: @1703190
     /* 1703190 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1703276), // Rule ID 12408 //
     /* 1703195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1703212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703241 */     // MIs[0] policy
     /* 1703241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1703254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703275 */     // GIR_Coverage, 12408,
     /* 1703275 */     GIR_EraseRootFromParent_Done,
     /* 1703276 */   // Label 23259: @1703276
     /* 1703276 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1703362), // Rule ID 12409 //
     /* 1703281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1703292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1703295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1703298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703327 */     // MIs[0] policy
     /* 1703327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1703340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703361 */     // GIR_Coverage, 12409,
     /* 1703361 */     GIR_EraseRootFromParent_Done,
     /* 1703362 */   // Label 23260: @1703362
     /* 1703362 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1703448), // Rule ID 12412 //
     /* 1703367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703413 */     // MIs[0] policy
     /* 1703413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1703426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703447 */     // GIR_Coverage, 12412,
     /* 1703447 */     GIR_EraseRootFromParent_Done,
     /* 1703448 */   // Label 23261: @1703448
     /* 1703448 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1703534), // Rule ID 12413 //
     /* 1703453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1703470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703499 */     // MIs[0] policy
     /* 1703499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1703512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703533 */     // GIR_Coverage, 12413,
     /* 1703533 */     GIR_EraseRootFromParent_Done,
     /* 1703534 */   // Label 23262: @1703534
     /* 1703534 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1703620), // Rule ID 12416 //
     /* 1703539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703585 */     // MIs[0] policy
     /* 1703585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1703598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703619 */     // GIR_Coverage, 12416,
     /* 1703619 */     GIR_EraseRootFromParent_Done,
     /* 1703620 */   // Label 23263: @1703620
     /* 1703620 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1703706), // Rule ID 12417 //
     /* 1703625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1703642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703671 */     // MIs[0] policy
     /* 1703671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1703684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703705 */     // GIR_Coverage, 12417,
     /* 1703705 */     GIR_EraseRootFromParent_Done,
     /* 1703706 */   // Label 23264: @1703706
     /* 1703706 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1703792), // Rule ID 12420 //
     /* 1703711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1703728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703757 */     // MIs[0] policy
     /* 1703757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1703770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703791 */     // GIR_Coverage, 12420,
     /* 1703791 */     GIR_EraseRootFromParent_Done,
     /* 1703792 */   // Label 23265: @1703792
     /* 1703792 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1703878), // Rule ID 12421 //
     /* 1703797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1703814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703843 */     // MIs[0] policy
     /* 1703843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1703856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703877 */     // GIR_Coverage, 12421,
     /* 1703877 */     GIR_EraseRootFromParent_Done,
     /* 1703878 */   // Label 23266: @1703878
     /* 1703878 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1703964), // Rule ID 12424 //
     /* 1703883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703929 */     // MIs[0] policy
     /* 1703929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1703942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703963 */     // GIR_Coverage, 12424,
     /* 1703963 */     GIR_EraseRootFromParent_Done,
     /* 1703964 */   // Label 23267: @1703964
     /* 1703964 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1704050), // Rule ID 12425 //
     /* 1703969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1703977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1703980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1703983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704015 */     // MIs[0] policy
     /* 1704015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704025 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1704028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704049 */     // GIR_Coverage, 12425,
     /* 1704049 */     GIR_EraseRootFromParent_Done,
     /* 1704050 */   // Label 23268: @1704050
     /* 1704050 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1704136), // Rule ID 12428 //
     /* 1704055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1704066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1704069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704101 */     // MIs[0] policy
     /* 1704101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1704114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704135 */     // GIR_Coverage, 12428,
     /* 1704135 */     GIR_EraseRootFromParent_Done,
     /* 1704136 */   // Label 23269: @1704136
     /* 1704136 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1704222), // Rule ID 12429 //
     /* 1704141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1704152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1704155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704187 */     // MIs[0] policy
     /* 1704187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1704200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704221 */     // GIR_Coverage, 12429,
     /* 1704221 */     GIR_EraseRootFromParent_Done,
     /* 1704222 */   // Label 23270: @1704222
     /* 1704222 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1704308), // Rule ID 12432 //
     /* 1704227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704273 */     // MIs[0] policy
     /* 1704273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1704286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704307 */     // GIR_Coverage, 12432,
     /* 1704307 */     GIR_EraseRootFromParent_Done,
     /* 1704308 */   // Label 23271: @1704308
     /* 1704308 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1704394), // Rule ID 12433 //
     /* 1704313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1704324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1704327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704359 */     // MIs[0] policy
     /* 1704359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1704372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704393 */     // GIR_Coverage, 12433,
     /* 1704393 */     GIR_EraseRootFromParent_Done,
     /* 1704394 */   // Label 23272: @1704394
     /* 1704394 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1704480), // Rule ID 12436 //
     /* 1704399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1704410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1704413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704445 */     // MIs[0] policy
     /* 1704445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1704458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704479 */     // GIR_Coverage, 12436,
     /* 1704479 */     GIR_EraseRootFromParent_Done,
     /* 1704480 */   // Label 23273: @1704480
     /* 1704480 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1704566), // Rule ID 12437 //
     /* 1704485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1704496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1704499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1704502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704531 */     // MIs[0] policy
     /* 1704531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1704544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704565 */     // GIR_Coverage, 12437,
     /* 1704565 */     GIR_EraseRootFromParent_Done,
     /* 1704566 */   // Label 23274: @1704566
     /* 1704566 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1704652), // Rule ID 12440 //
     /* 1704571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1704582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1704585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704617 */     // MIs[0] policy
     /* 1704617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1704630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704651 */     // GIR_Coverage, 12440,
     /* 1704651 */     GIR_EraseRootFromParent_Done,
     /* 1704652 */   // Label 23275: @1704652
     /* 1704652 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1704738), // Rule ID 12441 //
     /* 1704657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1704668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1704671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1704674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704703 */     // MIs[0] policy
     /* 1704703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1704716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704737 */     // GIR_Coverage, 12441,
     /* 1704737 */     GIR_EraseRootFromParent_Done,
     /* 1704738 */   // Label 23276: @1704738
     /* 1704738 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1704824), // Rule ID 12444 //
     /* 1704743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1704746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1704754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1704757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704789 */     // MIs[0] policy
     /* 1704789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1704802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704823 */     // GIR_Coverage, 12444,
     /* 1704823 */     GIR_EraseRootFromParent_Done,
     /* 1704824 */   // Label 23277: @1704824
     /* 1704824 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1704910), // Rule ID 12445 //
     /* 1704829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1704832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1704840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1704843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704875 */     // MIs[0] policy
     /* 1704875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704885 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1704888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704909 */     // GIR_Coverage, 12445,
     /* 1704909 */     GIR_EraseRootFromParent_Done,
     /* 1704910 */   // Label 23278: @1704910
     /* 1704910 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1704996), // Rule ID 12448 //
     /* 1704915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1704918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1704923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1704926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1704929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1704932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704961 */     // MIs[0] policy
     /* 1704961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1704974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704995 */     // GIR_Coverage, 12448,
     /* 1704995 */     GIR_EraseRootFromParent_Done,
     /* 1704996 */   // Label 23279: @1704996
     /* 1704996 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1705082), // Rule ID 12449 //
     /* 1705001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1705009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1705012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1705015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705047 */     // MIs[0] policy
     /* 1705047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1705060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705081 */     // GIR_Coverage, 12449,
     /* 1705081 */     GIR_EraseRootFromParent_Done,
     /* 1705082 */   // Label 23280: @1705082
     /* 1705082 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1705168), // Rule ID 12452 //
     /* 1705087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1705095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705133 */     // MIs[0] policy
     /* 1705133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1705146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705167 */     // GIR_Coverage, 12452,
     /* 1705167 */     GIR_EraseRootFromParent_Done,
     /* 1705168 */   // Label 23281: @1705168
     /* 1705168 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1705254), // Rule ID 12453 //
     /* 1705173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1705181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1705184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1705187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1705190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705219 */     // MIs[0] policy
     /* 1705219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705229 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1705232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705253 */     // GIR_Coverage, 12453,
     /* 1705253 */     GIR_EraseRootFromParent_Done,
     /* 1705254 */   // Label 23282: @1705254
     /* 1705254 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1705340), // Rule ID 12456 //
     /* 1705259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1705267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705305 */     // MIs[0] policy
     /* 1705305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1705318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705339 */     // GIR_Coverage, 12456,
     /* 1705339 */     GIR_EraseRootFromParent_Done,
     /* 1705340 */   // Label 23283: @1705340
     /* 1705340 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1705426), // Rule ID 12457 //
     /* 1705345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1705353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1705356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1705359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1705362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705391 */     // MIs[0] policy
     /* 1705391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1705404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705425 */     // GIR_Coverage, 12457,
     /* 1705425 */     GIR_EraseRootFromParent_Done,
     /* 1705426 */   // Label 23284: @1705426
     /* 1705426 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1705512), // Rule ID 12460 //
     /* 1705431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1705451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705477 */     // MIs[0] policy
     /* 1705477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1705490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705511 */     // GIR_Coverage, 12460,
     /* 1705511 */     GIR_EraseRootFromParent_Done,
     /* 1705512 */   // Label 23285: @1705512
     /* 1705512 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1705598), // Rule ID 12461 //
     /* 1705517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1705534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1705537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705563 */     // MIs[0] policy
     /* 1705563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1705576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705597 */     // GIR_Coverage, 12461,
     /* 1705597 */     GIR_EraseRootFromParent_Done,
     /* 1705598 */   // Label 23286: @1705598
     /* 1705598 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1705684), // Rule ID 12464 //
     /* 1705603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1705620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1705623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705649 */     // MIs[0] policy
     /* 1705649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1705662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705683 */     // GIR_Coverage, 12464,
     /* 1705683 */     GIR_EraseRootFromParent_Done,
     /* 1705684 */   // Label 23287: @1705684
     /* 1705684 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1705770), // Rule ID 12465 //
     /* 1705689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1705706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1705709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705735 */     // MIs[0] policy
     /* 1705735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1705748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705769 */     // GIR_Coverage, 12465,
     /* 1705769 */     GIR_EraseRootFromParent_Done,
     /* 1705770 */   // Label 23288: @1705770
     /* 1705770 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1705856), // Rule ID 12468 //
     /* 1705775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1705792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1705795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705821 */     // MIs[0] policy
     /* 1705821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1705834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705855 */     // GIR_Coverage, 12468,
     /* 1705855 */     GIR_EraseRootFromParent_Done,
     /* 1705856 */   // Label 23289: @1705856
     /* 1705856 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1705942), // Rule ID 12469 //
     /* 1705861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1705878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1705881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705907 */     // MIs[0] policy
     /* 1705907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1705920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705941 */     // GIR_Coverage, 12469,
     /* 1705941 */     GIR_EraseRootFromParent_Done,
     /* 1705942 */   // Label 23290: @1705942
     /* 1705942 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1706028), // Rule ID 12472 //
     /* 1705947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1705955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1705964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1705967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705993 */     // MIs[0] policy
     /* 1705993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1706006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706027 */     // GIR_Coverage, 12472,
     /* 1706027 */     GIR_EraseRootFromParent_Done,
     /* 1706028 */   // Label 23291: @1706028
     /* 1706028 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1706114), // Rule ID 12473 //
     /* 1706033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1706044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1706047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1706050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1706053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706079 */     // MIs[0] policy
     /* 1706079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1706092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706113 */     // GIR_Coverage, 12473,
     /* 1706113 */     GIR_EraseRootFromParent_Done,
     /* 1706114 */   // Label 23292: @1706114
     /* 1706114 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1706200), // Rule ID 12476 //
     /* 1706119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1706136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1706139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706165 */     // MIs[0] policy
     /* 1706165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1706178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706199 */     // GIR_Coverage, 12476,
     /* 1706199 */     GIR_EraseRootFromParent_Done,
     /* 1706200 */   // Label 23293: @1706200
     /* 1706200 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1706286), // Rule ID 12477 //
     /* 1706205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1706222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1706225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706251 */     // MIs[0] policy
     /* 1706251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1706264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706285 */     // GIR_Coverage, 12477,
     /* 1706285 */     GIR_EraseRootFromParent_Done,
     /* 1706286 */   // Label 23294: @1706286
     /* 1706286 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1706372), // Rule ID 12480 //
     /* 1706291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1706302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1706305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1706308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1706311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706337 */     // MIs[0] policy
     /* 1706337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1706350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706371 */     // GIR_Coverage, 12480,
     /* 1706371 */     GIR_EraseRootFromParent_Done,
     /* 1706372 */   // Label 23295: @1706372
     /* 1706372 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1706458), // Rule ID 12481 //
     /* 1706377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1706388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1706391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1706394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1706397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706423 */     // MIs[0] policy
     /* 1706423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1706436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706457 */     // GIR_Coverage, 12481,
     /* 1706457 */     GIR_EraseRootFromParent_Done,
     /* 1706458 */   // Label 23296: @1706458
     /* 1706458 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1706544), // Rule ID 12484 //
     /* 1706463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1706483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706509 */     // MIs[0] policy
     /* 1706509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1706522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706543 */     // GIR_Coverage, 12484,
     /* 1706543 */     GIR_EraseRootFromParent_Done,
     /* 1706544 */   // Label 23297: @1706544
     /* 1706544 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1706630), // Rule ID 12485 //
     /* 1706549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1706566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1706569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706595 */     // MIs[0] policy
     /* 1706595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1706608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706629 */     // GIR_Coverage, 12485,
     /* 1706629 */     GIR_EraseRootFromParent_Done,
     /* 1706630 */   // Label 23298: @1706630
     /* 1706630 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1706716), // Rule ID 12488 //
     /* 1706635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1706655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706681 */     // MIs[0] policy
     /* 1706681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1706694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706715 */     // GIR_Coverage, 12488,
     /* 1706715 */     GIR_EraseRootFromParent_Done,
     /* 1706716 */   // Label 23299: @1706716
     /* 1706716 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1706802), // Rule ID 12489 //
     /* 1706721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1706738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1706741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706767 */     // MIs[0] policy
     /* 1706767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1706780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706801 */     // GIR_Coverage, 12489,
     /* 1706801 */     GIR_EraseRootFromParent_Done,
     /* 1706802 */   // Label 23300: @1706802
     /* 1706802 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1706888), // Rule ID 12492 //
     /* 1706807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1706827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706853 */     // MIs[0] policy
     /* 1706853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1706866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706887 */     // GIR_Coverage, 12492,
     /* 1706887 */     GIR_EraseRootFromParent_Done,
     /* 1706888 */   // Label 23301: @1706888
     /* 1706888 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1706974), // Rule ID 12493 //
     /* 1706893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1706913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706939 */     // MIs[0] policy
     /* 1706939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1706952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706973 */     // GIR_Coverage, 12493,
     /* 1706973 */     GIR_EraseRootFromParent_Done,
     /* 1706974 */   // Label 23302: @1706974
     /* 1706974 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1707060), // Rule ID 12496 //
     /* 1706979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1706987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1706999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707025 */     // MIs[0] policy
     /* 1707025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1707038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707059 */     // GIR_Coverage, 12496,
     /* 1707059 */     GIR_EraseRootFromParent_Done,
     /* 1707060 */   // Label 23303: @1707060
     /* 1707060 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1707146), // Rule ID 12497 //
     /* 1707065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1707076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1707079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1707082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1707085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707111 */     // MIs[0] policy
     /* 1707111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1707124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707145 */     // GIR_Coverage, 12497,
     /* 1707145 */     GIR_EraseRootFromParent_Done,
     /* 1707146 */   // Label 23304: @1707146
     /* 1707146 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1707232), // Rule ID 12500 //
     /* 1707151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1707162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1707165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1707171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707197 */     // MIs[0] policy
     /* 1707197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1707210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707231 */     // GIR_Coverage, 12500,
     /* 1707231 */     GIR_EraseRootFromParent_Done,
     /* 1707232 */   // Label 23305: @1707232
     /* 1707232 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1707318), // Rule ID 12501 //
     /* 1707237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1707248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1707251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1707257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707283 */     // MIs[0] policy
     /* 1707283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1707296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707317 */     // GIR_Coverage, 12501,
     /* 1707317 */     GIR_EraseRootFromParent_Done,
     /* 1707318 */   // Label 23306: @1707318
     /* 1707318 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1707404), // Rule ID 12504 //
     /* 1707323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1707343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707369 */     // MIs[0] policy
     /* 1707369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1707382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707403 */     // GIR_Coverage, 12504,
     /* 1707403 */     GIR_EraseRootFromParent_Done,
     /* 1707404 */   // Label 23307: @1707404
     /* 1707404 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1707490), // Rule ID 12505 //
     /* 1707409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1707420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1707423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1707426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1707429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707455 */     // MIs[0] policy
     /* 1707455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1707468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707489 */     // GIR_Coverage, 12505,
     /* 1707489 */     GIR_EraseRootFromParent_Done,
     /* 1707490 */   // Label 23308: @1707490
     /* 1707490 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1707576), // Rule ID 12508 //
     /* 1707495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1707506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1707509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1707515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707541 */     // MIs[0] policy
     /* 1707541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1707554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707575 */     // GIR_Coverage, 12508,
     /* 1707575 */     GIR_EraseRootFromParent_Done,
     /* 1707576 */   // Label 23309: @1707576
     /* 1707576 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1707662), // Rule ID 12509 //
     /* 1707581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1707592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1707595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1707598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1707601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707627 */     // MIs[0] policy
     /* 1707627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1707640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707661 */     // GIR_Coverage, 12509,
     /* 1707661 */     GIR_EraseRootFromParent_Done,
     /* 1707662 */   // Label 23310: @1707662
     /* 1707662 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1707748), // Rule ID 12512 //
     /* 1707667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1707678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1707681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1707687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707713 */     // MIs[0] policy
     /* 1707713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1707726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707747 */     // GIR_Coverage, 12512,
     /* 1707747 */     GIR_EraseRootFromParent_Done,
     /* 1707748 */   // Label 23311: @1707748
     /* 1707748 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1707834), // Rule ID 12513 //
     /* 1707753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1707764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1707767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1707773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707799 */     // MIs[0] policy
     /* 1707799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1707812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707833 */     // GIR_Coverage, 12513,
     /* 1707833 */     GIR_EraseRootFromParent_Done,
     /* 1707834 */   // Label 23312: @1707834
     /* 1707834 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1707920), // Rule ID 12516 //
     /* 1707839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1707850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1707853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1707859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707885 */     // MIs[0] policy
     /* 1707885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1707898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707919 */     // GIR_Coverage, 12516,
     /* 1707919 */     GIR_EraseRootFromParent_Done,
     /* 1707920 */   // Label 23313: @1707920
     /* 1707920 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1708006), // Rule ID 12517 //
     /* 1707925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1707933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1707936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1707939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1707945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707971 */     // MIs[0] policy
     /* 1707971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1707984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708005 */     // GIR_Coverage, 12517,
     /* 1708005 */     GIR_EraseRootFromParent_Done,
     /* 1708006 */   // Label 23314: @1708006
     /* 1708006 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1708092), // Rule ID 12520 //
     /* 1708011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708057 */     // MIs[0] policy
     /* 1708057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1708070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708091 */     // GIR_Coverage, 12520,
     /* 1708091 */     GIR_EraseRootFromParent_Done,
     /* 1708092 */   // Label 23315: @1708092
     /* 1708092 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1708178), // Rule ID 12521 //
     /* 1708097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708143 */     // MIs[0] policy
     /* 1708143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1708156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708177 */     // GIR_Coverage, 12521,
     /* 1708177 */     GIR_EraseRootFromParent_Done,
     /* 1708178 */   // Label 23316: @1708178
     /* 1708178 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1708264), // Rule ID 12524 //
     /* 1708183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1708194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1708197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708229 */     // MIs[0] policy
     /* 1708229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1708242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708263 */     // GIR_Coverage, 12524,
     /* 1708263 */     GIR_EraseRootFromParent_Done,
     /* 1708264 */   // Label 23317: @1708264
     /* 1708264 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1708350), // Rule ID 12525 //
     /* 1708269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1708280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1708283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708315 */     // MIs[0] policy
     /* 1708315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1708328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708349 */     // GIR_Coverage, 12525,
     /* 1708349 */     GIR_EraseRootFromParent_Done,
     /* 1708350 */   // Label 23318: @1708350
     /* 1708350 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1708436), // Rule ID 12528 //
     /* 1708355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1708366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1708369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1708372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708401 */     // MIs[0] policy
     /* 1708401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1708414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708435 */     // GIR_Coverage, 12528,
     /* 1708435 */     GIR_EraseRootFromParent_Done,
     /* 1708436 */   // Label 23319: @1708436
     /* 1708436 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1708522), // Rule ID 12529 //
     /* 1708441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1708452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1708455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1708458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708487 */     // MIs[0] policy
     /* 1708487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1708500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708521 */     // GIR_Coverage, 12529,
     /* 1708521 */     GIR_EraseRootFromParent_Done,
     /* 1708522 */   // Label 23320: @1708522
     /* 1708522 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1708608), // Rule ID 12532 //
     /* 1708527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1708544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708573 */     // MIs[0] policy
     /* 1708573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1708586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708607 */     // GIR_Coverage, 12532,
     /* 1708607 */     GIR_EraseRootFromParent_Done,
     /* 1708608 */   // Label 23321: @1708608
     /* 1708608 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1708694), // Rule ID 12533 //
     /* 1708613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1708624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1708627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1708630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708659 */     // MIs[0] policy
     /* 1708659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1708672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708693 */     // GIR_Coverage, 12533,
     /* 1708693 */     GIR_EraseRootFromParent_Done,
     /* 1708694 */   // Label 23322: @1708694
     /* 1708694 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1708780), // Rule ID 12536 //
     /* 1708699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708745 */     // MIs[0] policy
     /* 1708745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1708758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708779 */     // GIR_Coverage, 12536,
     /* 1708779 */     GIR_EraseRootFromParent_Done,
     /* 1708780 */   // Label 23323: @1708780
     /* 1708780 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1708866), // Rule ID 12537 //
     /* 1708785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1708796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1708799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1708802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708831 */     // MIs[0] policy
     /* 1708831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1708844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708865 */     // GIR_Coverage, 12537,
     /* 1708865 */     GIR_EraseRootFromParent_Done,
     /* 1708866 */   // Label 23324: @1708866
     /* 1708866 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1708952), // Rule ID 12540 //
     /* 1708871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708917 */     // MIs[0] policy
     /* 1708917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1708930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708951 */     // GIR_Coverage, 12540,
     /* 1708951 */     GIR_EraseRootFromParent_Done,
     /* 1708952 */   // Label 23325: @1708952
     /* 1708952 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1709038), // Rule ID 12541 //
     /* 1708957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1708965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1708968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1708971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1708974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709003 */     // MIs[0] policy
     /* 1709003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709013 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1709016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709037 */     // GIR_Coverage, 12541,
     /* 1709037 */     GIR_EraseRootFromParent_Done,
     /* 1709038 */   // Label 23326: @1709038
     /* 1709038 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1709124), // Rule ID 12544 //
     /* 1709043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709089 */     // MIs[0] policy
     /* 1709089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1709102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709123 */     // GIR_Coverage, 12544,
     /* 1709123 */     GIR_EraseRootFromParent_Done,
     /* 1709124 */   // Label 23327: @1709124
     /* 1709124 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1709210), // Rule ID 12545 //
     /* 1709129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1709146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709175 */     // MIs[0] policy
     /* 1709175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1709188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709209 */     // GIR_Coverage, 12545,
     /* 1709209 */     GIR_EraseRootFromParent_Done,
     /* 1709210 */   // Label 23328: @1709210
     /* 1709210 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1709296), // Rule ID 12548 //
     /* 1709215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1709226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1709229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709261 */     // MIs[0] policy
     /* 1709261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1709274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709295 */     // GIR_Coverage, 12548,
     /* 1709295 */     GIR_EraseRootFromParent_Done,
     /* 1709296 */   // Label 23329: @1709296
     /* 1709296 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1709382), // Rule ID 12549 //
     /* 1709301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1709312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1709315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709347 */     // MIs[0] policy
     /* 1709347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1709360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709381 */     // GIR_Coverage, 12549,
     /* 1709381 */     GIR_EraseRootFromParent_Done,
     /* 1709382 */   // Label 23330: @1709382
     /* 1709382 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1709468), // Rule ID 12552 //
     /* 1709387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1709404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709433 */     // MIs[0] policy
     /* 1709433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1709446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709467 */     // GIR_Coverage, 12552,
     /* 1709467 */     GIR_EraseRootFromParent_Done,
     /* 1709468 */   // Label 23331: @1709468
     /* 1709468 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1709554), // Rule ID 12553 //
     /* 1709473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1709484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1709487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1709490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709519 */     // MIs[0] policy
     /* 1709519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1709532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709553 */     // GIR_Coverage, 12553,
     /* 1709553 */     GIR_EraseRootFromParent_Done,
     /* 1709554 */   // Label 23332: @1709554
     /* 1709554 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1709640), // Rule ID 12556 //
     /* 1709559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1709576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709605 */     // MIs[0] policy
     /* 1709605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1709618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709639 */     // GIR_Coverage, 12556,
     /* 1709639 */     GIR_EraseRootFromParent_Done,
     /* 1709640 */   // Label 23333: @1709640
     /* 1709640 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1709726), // Rule ID 12557 //
     /* 1709645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1709656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1709659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1709662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709691 */     // MIs[0] policy
     /* 1709691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1709704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709725 */     // GIR_Coverage, 12557,
     /* 1709725 */     GIR_EraseRootFromParent_Done,
     /* 1709726 */   // Label 23334: @1709726
     /* 1709726 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1709812), // Rule ID 12560 //
     /* 1709731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709777 */     // MIs[0] policy
     /* 1709777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1709790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709811 */     // GIR_Coverage, 12560,
     /* 1709811 */     GIR_EraseRootFromParent_Done,
     /* 1709812 */   // Label 23335: @1709812
     /* 1709812 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1709898), // Rule ID 12561 //
     /* 1709817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1709828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1709831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709863 */     // MIs[0] policy
     /* 1709863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709873 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1709876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709897 */     // GIR_Coverage, 12561,
     /* 1709897 */     GIR_EraseRootFromParent_Done,
     /* 1709898 */   // Label 23336: @1709898
     /* 1709898 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1709984), // Rule ID 12564 //
     /* 1709903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1709906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1709914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1709917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709949 */     // MIs[0] policy
     /* 1709949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1709962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709983 */     // GIR_Coverage, 12564,
     /* 1709983 */     GIR_EraseRootFromParent_Done,
     /* 1709984 */   // Label 23337: @1709984
     /* 1709984 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1710070), // Rule ID 12565 //
     /* 1709989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1709992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1709997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1710006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710035 */     // MIs[0] policy
     /* 1710035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1710048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710069 */     // GIR_Coverage, 12565,
     /* 1710069 */     GIR_EraseRootFromParent_Done,
     /* 1710070 */   // Label 23338: @1710070
     /* 1710070 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1710156), // Rule ID 12568 //
     /* 1710075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1710086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1710089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710121 */     // MIs[0] policy
     /* 1710121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710131 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1710134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710155 */     // GIR_Coverage, 12568,
     /* 1710155 */     GIR_EraseRootFromParent_Done,
     /* 1710156 */   // Label 23339: @1710156
     /* 1710156 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1710242), // Rule ID 12569 //
     /* 1710161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1710172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1710175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1710178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710207 */     // MIs[0] policy
     /* 1710207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1710220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710241 */     // GIR_Coverage, 12569,
     /* 1710241 */     GIR_EraseRootFromParent_Done,
     /* 1710242 */   // Label 23340: @1710242
     /* 1710242 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1710328), // Rule ID 12572 //
     /* 1710247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1710264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710293 */     // MIs[0] policy
     /* 1710293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1710306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710327 */     // GIR_Coverage, 12572,
     /* 1710327 */     GIR_EraseRootFromParent_Done,
     /* 1710328 */   // Label 23341: @1710328
     /* 1710328 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1710414), // Rule ID 12573 //
     /* 1710333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1710350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710379 */     // MIs[0] policy
     /* 1710379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1710392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710413 */     // GIR_Coverage, 12573,
     /* 1710413 */     GIR_EraseRootFromParent_Done,
     /* 1710414 */   // Label 23342: @1710414
     /* 1710414 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1710500), // Rule ID 12576 //
     /* 1710419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1710430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1710433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1710436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710465 */     // MIs[0] policy
     /* 1710465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1710478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710499 */     // GIR_Coverage, 12576,
     /* 1710499 */     GIR_EraseRootFromParent_Done,
     /* 1710500 */   // Label 23343: @1710500
     /* 1710500 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1710586), // Rule ID 12577 //
     /* 1710505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1710513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1710516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1710519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1710522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710551 */     // MIs[0] policy
     /* 1710551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1710564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710585 */     // GIR_Coverage, 12577,
     /* 1710585 */     GIR_EraseRootFromParent_Done,
     /* 1710586 */   // Label 23344: @1710586
     /* 1710586 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1710672), // Rule ID 12580 //
     /* 1710591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1710599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710637 */     // MIs[0] policy
     /* 1710637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1710650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1710654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710671 */     // GIR_Coverage, 12580,
     /* 1710671 */     GIR_EraseRootFromParent_Done,
     /* 1710672 */   // Label 23345: @1710672
     /* 1710672 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1710758), // Rule ID 12581 //
     /* 1710677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1710685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1710694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710723 */     // MIs[0] policy
     /* 1710723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1710736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1710740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710757 */     // GIR_Coverage, 12581,
     /* 1710757 */     GIR_EraseRootFromParent_Done,
     /* 1710758 */   // Label 23346: @1710758
     /* 1710758 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1710844), // Rule ID 12584 //
     /* 1710763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1710771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710809 */     // MIs[0] policy
     /* 1710809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1710822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1710826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710843 */     // GIR_Coverage, 12584,
     /* 1710843 */     GIR_EraseRootFromParent_Done,
     /* 1710844 */   // Label 23347: @1710844
     /* 1710844 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1710930), // Rule ID 12585 //
     /* 1710849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1710857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1710860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1710863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1710866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1710869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710895 */     // MIs[0] policy
     /* 1710895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710905 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1710908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1710912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710929 */     // GIR_Coverage, 12585,
     /* 1710929 */     GIR_EraseRootFromParent_Done,
     /* 1710930 */   // Label 23348: @1710930
     /* 1710930 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1711016), // Rule ID 12588 //
     /* 1710935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1710943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1710946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1710949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1710955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710981 */     // MIs[0] policy
     /* 1710981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1710994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1710998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711015 */     // GIR_Coverage, 12588,
     /* 1711015 */     GIR_EraseRootFromParent_Done,
     /* 1711016 */   // Label 23349: @1711016
     /* 1711016 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1711102), // Rule ID 12589 //
     /* 1711021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1711032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1711035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1711038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1711041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711067 */     // MIs[0] policy
     /* 1711067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711077 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1711080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711101 */     // GIR_Coverage, 12589,
     /* 1711101 */     GIR_EraseRootFromParent_Done,
     /* 1711102 */   // Label 23350: @1711102
     /* 1711102 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1711188), // Rule ID 12592 //
     /* 1711107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1711127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711153 */     // MIs[0] policy
     /* 1711153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1711166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711187 */     // GIR_Coverage, 12592,
     /* 1711187 */     GIR_EraseRootFromParent_Done,
     /* 1711188 */   // Label 23351: @1711188
     /* 1711188 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1711274), // Rule ID 12593 //
     /* 1711193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1711213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711239 */     // MIs[0] policy
     /* 1711239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1711252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711273 */     // GIR_Coverage, 12593,
     /* 1711273 */     GIR_EraseRootFromParent_Done,
     /* 1711274 */   // Label 23352: @1711274
     /* 1711274 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1711360), // Rule ID 12596 //
     /* 1711279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1711290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1711293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1711299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711325 */     // MIs[0] policy
     /* 1711325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1711338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711359 */     // GIR_Coverage, 12596,
     /* 1711359 */     GIR_EraseRootFromParent_Done,
     /* 1711360 */   // Label 23353: @1711360
     /* 1711360 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1711446), // Rule ID 12597 //
     /* 1711365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1711376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1711379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1711385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711411 */     // MIs[0] policy
     /* 1711411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1711424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711445 */     // GIR_Coverage, 12597,
     /* 1711445 */     GIR_EraseRootFromParent_Done,
     /* 1711446 */   // Label 23354: @1711446
     /* 1711446 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1711532), // Rule ID 12600 //
     /* 1711451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711497 */     // MIs[0] policy
     /* 1711497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711531 */     // GIR_Coverage, 12600,
     /* 1711531 */     GIR_EraseRootFromParent_Done,
     /* 1711532 */   // Label 23355: @1711532
     /* 1711532 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1711618), // Rule ID 12601 //
     /* 1711537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1711554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711583 */     // MIs[0] policy
     /* 1711583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711617 */     // GIR_Coverage, 12601,
     /* 1711617 */     GIR_EraseRootFromParent_Done,
     /* 1711618 */   // Label 23356: @1711618
     /* 1711618 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1711704), // Rule ID 12604 //
     /* 1711623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711669 */     // MIs[0] policy
     /* 1711669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711703 */     // GIR_Coverage, 12604,
     /* 1711703 */     GIR_EraseRootFromParent_Done,
     /* 1711704 */   // Label 23357: @1711704
     /* 1711704 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1711790), // Rule ID 12605 //
     /* 1711709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1711720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1711723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1711729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711755 */     // MIs[0] policy
     /* 1711755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711789 */     // GIR_Coverage, 12605,
     /* 1711789 */     GIR_EraseRootFromParent_Done,
     /* 1711790 */   // Label 23358: @1711790
     /* 1711790 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1711876), // Rule ID 12608 //
     /* 1711795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711841 */     // MIs[0] policy
     /* 1711841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711875 */     // GIR_Coverage, 12608,
     /* 1711875 */     GIR_EraseRootFromParent_Done,
     /* 1711876 */   // Label 23359: @1711876
     /* 1711876 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1711962), // Rule ID 12609 //
     /* 1711881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1711892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1711895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1711901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711927 */     // MIs[0] policy
     /* 1711927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1711940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1711944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711961 */     // GIR_Coverage, 12609,
     /* 1711961 */     GIR_EraseRootFromParent_Done,
     /* 1711962 */   // Label 23360: @1711962
     /* 1711962 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1712048), // Rule ID 12612 //
     /* 1711967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1711975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1711978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1711981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1711984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1711987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712013 */     // MIs[0] policy
     /* 1712013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1712026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712047 */     // GIR_Coverage, 12612,
     /* 1712047 */     GIR_EraseRootFromParent_Done,
     /* 1712048 */   // Label 23361: @1712048
     /* 1712048 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1712134), // Rule ID 12613 //
     /* 1712053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1712064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1712067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1712073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712099 */     // MIs[0] policy
     /* 1712099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1712112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712133 */     // GIR_Coverage, 12613,
     /* 1712133 */     GIR_EraseRootFromParent_Done,
     /* 1712134 */   // Label 23362: @1712134
     /* 1712134 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1712220), // Rule ID 12616 //
     /* 1712139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1712150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1712153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1712156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1712159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712185 */     // MIs[0] policy
     /* 1712185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1712198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712219 */     // GIR_Coverage, 12616,
     /* 1712219 */     GIR_EraseRootFromParent_Done,
     /* 1712220 */   // Label 23363: @1712220
     /* 1712220 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1712306), // Rule ID 12617 //
     /* 1712225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1712236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1712239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1712242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1712245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712271 */     // MIs[0] policy
     /* 1712271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712281 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1712284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712305 */     // GIR_Coverage, 12617,
     /* 1712305 */     GIR_EraseRootFromParent_Done,
     /* 1712306 */   // Label 23364: @1712306
     /* 1712306 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1712392), // Rule ID 12620 //
     /* 1712311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1712322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1712325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1712328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1712331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712357 */     // MIs[0] policy
     /* 1712357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1712370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712391 */     // GIR_Coverage, 12620,
     /* 1712391 */     GIR_EraseRootFromParent_Done,
     /* 1712392 */   // Label 23365: @1712392
     /* 1712392 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1712478), // Rule ID 12621 //
     /* 1712397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1712408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1712411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1712414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1712417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1712420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712443 */     // MIs[0] policy
     /* 1712443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1712456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712477 */     // GIR_Coverage, 12621,
     /* 1712477 */     GIR_EraseRootFromParent_Done,
     /* 1712478 */   // Label 23366: @1712478
     /* 1712478 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1712564), // Rule ID 12624 //
     /* 1712483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712529 */     // MIs[0] policy
     /* 1712529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712539 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1712542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712563 */     // GIR_Coverage, 12624,
     /* 1712563 */     GIR_EraseRootFromParent_Done,
     /* 1712564 */   // Label 23367: @1712564
     /* 1712564 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1712650), // Rule ID 12625 //
     /* 1712569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1712580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1712583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1712586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1712589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1712592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712615 */     // MIs[0] policy
     /* 1712615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712625 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1712628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712649 */     // GIR_Coverage, 12625,
     /* 1712649 */     GIR_EraseRootFromParent_Done,
     /* 1712650 */   // Label 23368: @1712650
     /* 1712650 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1712736), // Rule ID 12628 //
     /* 1712655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712701 */     // MIs[0] policy
     /* 1712701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1712714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712735 */     // GIR_Coverage, 12628,
     /* 1712735 */     GIR_EraseRootFromParent_Done,
     /* 1712736 */   // Label 23369: @1712736
     /* 1712736 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1712822), // Rule ID 12629 //
     /* 1712741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1712758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712787 */     // MIs[0] policy
     /* 1712787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1712800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712821 */     // GIR_Coverage, 12629,
     /* 1712821 */     GIR_EraseRootFromParent_Done,
     /* 1712822 */   // Label 23370: @1712822
     /* 1712822 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1712908), // Rule ID 12632 //
     /* 1712827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712873 */     // MIs[0] policy
     /* 1712873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1712886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712907 */     // GIR_Coverage, 12632,
     /* 1712907 */     GIR_EraseRootFromParent_Done,
     /* 1712908 */   // Label 23371: @1712908
     /* 1712908 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1712994), // Rule ID 12633 //
     /* 1712913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1712921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1712930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712959 */     // MIs[0] policy
     /* 1712959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712969 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1712972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1712976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712993 */     // GIR_Coverage, 12633,
     /* 1712993 */     GIR_EraseRootFromParent_Done,
     /* 1712994 */   // Label 23372: @1712994
     /* 1712994 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1713080), // Rule ID 12636 //
     /* 1712999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1713010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1713013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1713016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1713019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713045 */     // MIs[0] policy
     /* 1713045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713055 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1713058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713079 */     // GIR_Coverage, 12636,
     /* 1713079 */     GIR_EraseRootFromParent_Done,
     /* 1713080 */   // Label 23373: @1713080
     /* 1713080 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1713166), // Rule ID 12637 //
     /* 1713085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1713096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1713099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1713102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1713105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713131 */     // MIs[0] policy
     /* 1713131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713141 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1713144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713165 */     // GIR_Coverage, 12637,
     /* 1713165 */     GIR_EraseRootFromParent_Done,
     /* 1713166 */   // Label 23374: @1713166
     /* 1713166 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1713252), // Rule ID 12640 //
     /* 1713171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1713188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1713191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713217 */     // MIs[0] policy
     /* 1713217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1713230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713251 */     // GIR_Coverage, 12640,
     /* 1713251 */     GIR_EraseRootFromParent_Done,
     /* 1713252 */   // Label 23375: @1713252
     /* 1713252 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1713338), // Rule ID 12641 //
     /* 1713257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1713274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1713277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713303 */     // MIs[0] policy
     /* 1713303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1713316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713337 */     // GIR_Coverage, 12641,
     /* 1713337 */     GIR_EraseRootFromParent_Done,
     /* 1713338 */   // Label 23376: @1713338
     /* 1713338 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1713424), // Rule ID 12644 //
     /* 1713343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713389 */     // MIs[0] policy
     /* 1713389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1713402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713423 */     // GIR_Coverage, 12644,
     /* 1713423 */     GIR_EraseRootFromParent_Done,
     /* 1713424 */   // Label 23377: @1713424
     /* 1713424 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1713510), // Rule ID 12645 //
     /* 1713429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1713446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713475 */     // MIs[0] policy
     /* 1713475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1713488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713509 */     // GIR_Coverage, 12645,
     /* 1713509 */     GIR_EraseRootFromParent_Done,
     /* 1713510 */   // Label 23378: @1713510
     /* 1713510 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1713596), // Rule ID 12648 //
     /* 1713515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713561 */     // MIs[0] policy
     /* 1713561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1713574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713595 */     // GIR_Coverage, 12648,
     /* 1713595 */     GIR_EraseRootFromParent_Done,
     /* 1713596 */   // Label 23379: @1713596
     /* 1713596 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1713682), // Rule ID 12649 //
     /* 1713601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1713612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1713615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1713618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1713621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713647 */     // MIs[0] policy
     /* 1713647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713657 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1713660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713681 */     // GIR_Coverage, 12649,
     /* 1713681 */     GIR_EraseRootFromParent_Done,
     /* 1713682 */   // Label 23380: @1713682
     /* 1713682 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1713768), // Rule ID 12652 //
     /* 1713687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713733 */     // MIs[0] policy
     /* 1713733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713743 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1713746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713767 */     // GIR_Coverage, 12652,
     /* 1713767 */     GIR_EraseRootFromParent_Done,
     /* 1713768 */   // Label 23381: @1713768
     /* 1713768 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1713854), // Rule ID 12653 //
     /* 1713773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1713784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1713787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1713793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713819 */     // MIs[0] policy
     /* 1713819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713829 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1713832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713853 */     // GIR_Coverage, 12653,
     /* 1713853 */     GIR_EraseRootFromParent_Done,
     /* 1713854 */   // Label 23382: @1713854
     /* 1713854 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1713940), // Rule ID 12656 //
     /* 1713859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713905 */     // MIs[0] policy
     /* 1713905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1713918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1713922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713939 */     // GIR_Coverage, 12656,
     /* 1713939 */     GIR_EraseRootFromParent_Done,
     /* 1713940 */   // Label 23383: @1713940
     /* 1713940 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1714026), // Rule ID 12657 //
     /* 1713945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1713953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1713956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1713959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1713965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713991 */     // MIs[0] policy
     /* 1713991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714001 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1714004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714025 */     // GIR_Coverage, 12657,
     /* 1714025 */     GIR_EraseRootFromParent_Done,
     /* 1714026 */   // Label 23384: @1714026
     /* 1714026 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1714112), // Rule ID 12660 //
     /* 1714031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1714042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1714045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1714048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1714051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714077 */     // MIs[0] policy
     /* 1714077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714087 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1714090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714111 */     // GIR_Coverage, 12660,
     /* 1714111 */     GIR_EraseRootFromParent_Done,
     /* 1714112 */   // Label 23385: @1714112
     /* 1714112 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1714198), // Rule ID 12661 //
     /* 1714117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1714128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1714131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1714134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1714137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714163 */     // MIs[0] policy
     /* 1714163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714173 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1714176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714197 */     // GIR_Coverage, 12661,
     /* 1714197 */     GIR_EraseRootFromParent_Done,
     /* 1714198 */   // Label 23386: @1714198
     /* 1714198 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1714284), // Rule ID 12664 //
     /* 1714203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1714214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1714217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1714220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1714223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714249 */     // MIs[0] policy
     /* 1714249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1714262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714283 */     // GIR_Coverage, 12664,
     /* 1714283 */     GIR_EraseRootFromParent_Done,
     /* 1714284 */   // Label 23387: @1714284
     /* 1714284 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1714370), // Rule ID 12665 //
     /* 1714289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1714300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1714303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1714306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1714309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714335 */     // MIs[0] policy
     /* 1714335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714345 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1714348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714369 */     // GIR_Coverage, 12665,
     /* 1714369 */     GIR_EraseRootFromParent_Done,
     /* 1714370 */   // Label 23388: @1714370
     /* 1714370 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1714456), // Rule ID 12668 //
     /* 1714375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1714392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1714395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714421 */     // MIs[0] policy
     /* 1714421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1714434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714455 */     // GIR_Coverage, 12668,
     /* 1714455 */     GIR_EraseRootFromParent_Done,
     /* 1714456 */   // Label 23389: @1714456
     /* 1714456 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1714542), // Rule ID 12669 //
     /* 1714461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1714478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1714481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714507 */     // MIs[0] policy
     /* 1714507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714517 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1714520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714541 */     // GIR_Coverage, 12669,
     /* 1714541 */     GIR_EraseRootFromParent_Done,
     /* 1714542 */   // Label 23390: @1714542
     /* 1714542 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1714628), // Rule ID 12672 //
     /* 1714547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1714564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1714567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714593 */     // MIs[0] policy
     /* 1714593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1714606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714627 */     // GIR_Coverage, 12672,
     /* 1714627 */     GIR_EraseRootFromParent_Done,
     /* 1714628 */   // Label 23391: @1714628
     /* 1714628 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1714714), // Rule ID 12673 //
     /* 1714633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1714650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1714653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714679 */     // MIs[0] policy
     /* 1714679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1714692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714713 */     // GIR_Coverage, 12673,
     /* 1714713 */     GIR_EraseRootFromParent_Done,
     /* 1714714 */   // Label 23392: @1714714
     /* 1714714 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1714800), // Rule ID 12676 //
     /* 1714719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1714736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1714739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714765 */     // MIs[0] policy
     /* 1714765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714775 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1714778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714799 */     // GIR_Coverage, 12676,
     /* 1714799 */     GIR_EraseRootFromParent_Done,
     /* 1714800 */   // Label 23393: @1714800
     /* 1714800 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1714886), // Rule ID 12677 //
     /* 1714805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1714816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1714819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1714822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1714825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714851 */     // MIs[0] policy
     /* 1714851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1714864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714885 */     // GIR_Coverage, 12677,
     /* 1714885 */     GIR_EraseRootFromParent_Done,
     /* 1714886 */   // Label 23394: @1714886
     /* 1714886 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1714972), // Rule ID 12680 //
     /* 1714891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1714908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714937 */     // MIs[0] policy
     /* 1714937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1714950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1714954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714971 */     // GIR_Coverage, 12680,
     /* 1714971 */     GIR_EraseRootFromParent_Done,
     /* 1714972 */   // Label 23395: @1714972
     /* 1714972 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1715058), // Rule ID 12681 //
     /* 1714977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1714985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1714994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715023 */     // MIs[0] policy
     /* 1715023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715033 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1715036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715057 */     // GIR_Coverage, 12681,
     /* 1715057 */     GIR_EraseRootFromParent_Done,
     /* 1715058 */   // Label 23396: @1715058
     /* 1715058 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1715144), // Rule ID 12684 //
     /* 1715063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1715083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715109 */     // MIs[0] policy
     /* 1715109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1715122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715143 */     // GIR_Coverage, 12684,
     /* 1715143 */     GIR_EraseRootFromParent_Done,
     /* 1715144 */   // Label 23397: @1715144
     /* 1715144 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1715230), // Rule ID 12685 //
     /* 1715149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1715166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1715169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715195 */     // MIs[0] policy
     /* 1715195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715205 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1715208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715229 */     // GIR_Coverage, 12685,
     /* 1715229 */     GIR_EraseRootFromParent_Done,
     /* 1715230 */   // Label 23398: @1715230
     /* 1715230 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1715316), // Rule ID 12688 //
     /* 1715235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1715246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1715249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1715255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715281 */     // MIs[0] policy
     /* 1715281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715291 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715315 */     // GIR_Coverage, 12688,
     /* 1715315 */     GIR_EraseRootFromParent_Done,
     /* 1715316 */   // Label 23399: @1715316
     /* 1715316 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1715402), // Rule ID 12689 //
     /* 1715321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1715332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1715335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1715338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1715341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715367 */     // MIs[0] policy
     /* 1715367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715401 */     // GIR_Coverage, 12689,
     /* 1715401 */     GIR_EraseRootFromParent_Done,
     /* 1715402 */   // Label 23400: @1715402
     /* 1715402 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1715488), // Rule ID 12692 //
     /* 1715407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1715427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715453 */     // MIs[0] policy
     /* 1715453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715463 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715487 */     // GIR_Coverage, 12692,
     /* 1715487 */     GIR_EraseRootFromParent_Done,
     /* 1715488 */   // Label 23401: @1715488
     /* 1715488 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1715574), // Rule ID 12693 //
     /* 1715493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1715510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1715513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715539 */     // MIs[0] policy
     /* 1715539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715573 */     // GIR_Coverage, 12693,
     /* 1715573 */     GIR_EraseRootFromParent_Done,
     /* 1715574 */   // Label 23402: @1715574
     /* 1715574 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1715660), // Rule ID 12696 //
     /* 1715579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1715599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715625 */     // MIs[0] policy
     /* 1715625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715659 */     // GIR_Coverage, 12696,
     /* 1715659 */     GIR_EraseRootFromParent_Done,
     /* 1715660 */   // Label 23403: @1715660
     /* 1715660 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1715746), // Rule ID 12697 //
     /* 1715665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1715676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1715679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1715682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1715685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715711 */     // MIs[0] policy
     /* 1715711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715745 */     // GIR_Coverage, 12697,
     /* 1715745 */     GIR_EraseRootFromParent_Done,
     /* 1715746 */   // Label 23404: @1715746
     /* 1715746 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1715832), // Rule ID 12700 //
     /* 1715751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1715771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715797 */     // MIs[0] policy
     /* 1715797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715831 */     // GIR_Coverage, 12700,
     /* 1715831 */     GIR_EraseRootFromParent_Done,
     /* 1715832 */   // Label 23405: @1715832
     /* 1715832 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1715918), // Rule ID 12701 //
     /* 1715837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1715848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1715851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1715854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1715857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715883 */     // MIs[0] policy
     /* 1715883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1715896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715917 */     // GIR_Coverage, 12701,
     /* 1715917 */     GIR_EraseRootFromParent_Done,
     /* 1715918 */   // Label 23406: @1715918
     /* 1715918 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1716004), // Rule ID 12704 //
     /* 1715923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1715931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1715940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1715943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715969 */     // MIs[0] policy
     /* 1715969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1715982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1715986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716003 */     // GIR_Coverage, 12704,
     /* 1716003 */     GIR_EraseRootFromParent_Done,
     /* 1716004 */   // Label 23407: @1716004
     /* 1716004 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1716090), // Rule ID 12705 //
     /* 1716009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1716020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1716023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1716029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716055 */     // MIs[0] policy
     /* 1716055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716065 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1716068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716089 */     // GIR_Coverage, 12705,
     /* 1716089 */     GIR_EraseRootFromParent_Done,
     /* 1716090 */   // Label 23408: @1716090
     /* 1716090 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1716176), // Rule ID 12708 //
     /* 1716095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1716115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716141 */     // MIs[0] policy
     /* 1716141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1716154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716175 */     // GIR_Coverage, 12708,
     /* 1716175 */     GIR_EraseRootFromParent_Done,
     /* 1716176 */   // Label 23409: @1716176
     /* 1716176 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1716262), // Rule ID 12709 //
     /* 1716181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1716201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716227 */     // MIs[0] policy
     /* 1716227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716237 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1716240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716261 */     // GIR_Coverage, 12709,
     /* 1716261 */     GIR_EraseRootFromParent_Done,
     /* 1716262 */   // Label 23410: @1716262
     /* 1716262 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1716348), // Rule ID 12712 //
     /* 1716267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1716278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1716281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1716287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1716290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716313 */     // MIs[0] policy
     /* 1716313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1716326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716347 */     // GIR_Coverage, 12712,
     /* 1716347 */     GIR_EraseRootFromParent_Done,
     /* 1716348 */   // Label 23411: @1716348
     /* 1716348 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1716434), // Rule ID 12713 //
     /* 1716353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1716364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1716367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1716373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1716376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716399 */     // MIs[0] policy
     /* 1716399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716409 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1716412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716433 */     // GIR_Coverage, 12713,
     /* 1716433 */     GIR_EraseRootFromParent_Done,
     /* 1716434 */   // Label 23412: @1716434
     /* 1716434 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1716520), // Rule ID 12716 //
     /* 1716439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1716459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716485 */     // MIs[0] policy
     /* 1716485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716495 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1716498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716519 */     // GIR_Coverage, 12716,
     /* 1716519 */     GIR_EraseRootFromParent_Done,
     /* 1716520 */   // Label 23413: @1716520
     /* 1716520 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1716606), // Rule ID 12717 //
     /* 1716525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1716536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1716539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1716545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716571 */     // MIs[0] policy
     /* 1716571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1716584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716605 */     // GIR_Coverage, 12717,
     /* 1716605 */     GIR_EraseRootFromParent_Done,
     /* 1716606 */   // Label 23414: @1716606
     /* 1716606 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1716692), // Rule ID 12720 //
     /* 1716611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1716631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716657 */     // MIs[0] policy
     /* 1716657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1716670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716691 */     // GIR_Coverage, 12720,
     /* 1716691 */     GIR_EraseRootFromParent_Done,
     /* 1716692 */   // Label 23415: @1716692
     /* 1716692 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1716778), // Rule ID 12721 //
     /* 1716697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1716717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716743 */     // MIs[0] policy
     /* 1716743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1716756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716777 */     // GIR_Coverage, 12721,
     /* 1716777 */     GIR_EraseRootFromParent_Done,
     /* 1716778 */   // Label 23416: @1716778
     /* 1716778 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1716864), // Rule ID 12724 //
     /* 1716783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1716803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716829 */     // MIs[0] policy
     /* 1716829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716839 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1716842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716863 */     // GIR_Coverage, 12724,
     /* 1716863 */     GIR_EraseRootFromParent_Done,
     /* 1716864 */   // Label 23417: @1716864
     /* 1716864 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1716950), // Rule ID 12725 //
     /* 1716869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1716886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1716889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716915 */     // MIs[0] policy
     /* 1716915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716925 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1716928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1716932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716949 */     // GIR_Coverage, 12725,
     /* 1716949 */     GIR_EraseRootFromParent_Done,
     /* 1716950 */   // Label 23418: @1716950
     /* 1716950 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1717036), // Rule ID 12728 //
     /* 1716955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1716963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1716972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1716975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717001 */     // MIs[0] policy
     /* 1717001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717011 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1717014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717035 */     // GIR_Coverage, 12728,
     /* 1717035 */     GIR_EraseRootFromParent_Done,
     /* 1717036 */   // Label 23419: @1717036
     /* 1717036 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1717122), // Rule ID 12729 //
     /* 1717041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1717052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1717055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1717061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717087 */     // MIs[0] policy
     /* 1717087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1717100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717121 */     // GIR_Coverage, 12729,
     /* 1717121 */     GIR_EraseRootFromParent_Done,
     /* 1717122 */   // Label 23420: @1717122
     /* 1717122 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1717208), // Rule ID 12732 //
     /* 1717127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1717138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1717141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1717144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1717147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717173 */     // MIs[0] policy
     /* 1717173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1717186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717207 */     // GIR_Coverage, 12732,
     /* 1717207 */     GIR_EraseRootFromParent_Done,
     /* 1717208 */   // Label 23421: @1717208
     /* 1717208 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1717294), // Rule ID 12733 //
     /* 1717213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1717224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1717227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1717233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717259 */     // MIs[0] policy
     /* 1717259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1717272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717293 */     // GIR_Coverage, 12733,
     /* 1717293 */     GIR_EraseRootFromParent_Done,
     /* 1717294 */   // Label 23422: @1717294
     /* 1717294 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1717380), // Rule ID 12736 //
     /* 1717299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1717310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1717313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1717316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1717319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717345 */     // MIs[0] policy
     /* 1717345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1717358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717379 */     // GIR_Coverage, 12736,
     /* 1717379 */     GIR_EraseRootFromParent_Done,
     /* 1717380 */   // Label 23423: @1717380
     /* 1717380 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1717466), // Rule ID 12737 //
     /* 1717385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1717396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1717399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1717405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717431 */     // MIs[0] policy
     /* 1717431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1717444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717465 */     // GIR_Coverage, 12737,
     /* 1717465 */     GIR_EraseRootFromParent_Done,
     /* 1717466 */   // Label 23424: @1717466
     /* 1717466 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1717552), // Rule ID 12740 //
     /* 1717471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1717488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1717491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717517 */     // MIs[0] policy
     /* 1717517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1717530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717551 */     // GIR_Coverage, 12740,
     /* 1717551 */     GIR_EraseRootFromParent_Done,
     /* 1717552 */   // Label 23425: @1717552
     /* 1717552 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1717638), // Rule ID 12741 //
     /* 1717557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1717568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1717571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1717577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717603 */     // MIs[0] policy
     /* 1717603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1717616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717637 */     // GIR_Coverage, 12741,
     /* 1717637 */     GIR_EraseRootFromParent_Done,
     /* 1717638 */   // Label 23426: @1717638
     /* 1717638 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1717724), // Rule ID 12744 //
     /* 1717643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1717660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1717663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717689 */     // MIs[0] policy
     /* 1717689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1717702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717723 */     // GIR_Coverage, 12744,
     /* 1717723 */     GIR_EraseRootFromParent_Done,
     /* 1717724 */   // Label 23427: @1717724
     /* 1717724 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1717810), // Rule ID 12745 //
     /* 1717729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1717740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1717743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1717749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717775 */     // MIs[0] policy
     /* 1717775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1717788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717809 */     // GIR_Coverage, 12745,
     /* 1717809 */     GIR_EraseRootFromParent_Done,
     /* 1717810 */   // Label 23428: @1717810
     /* 1717810 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1717896), // Rule ID 12748 //
     /* 1717815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1717832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1717835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717861 */     // MIs[0] policy
     /* 1717861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1717874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717895 */     // GIR_Coverage, 12748,
     /* 1717895 */     GIR_EraseRootFromParent_Done,
     /* 1717896 */   // Label 23429: @1717896
     /* 1717896 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1717982), // Rule ID 12749 //
     /* 1717901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1717909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1717918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1717921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717947 */     // MIs[0] policy
     /* 1717947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1717960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1717964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717981 */     // GIR_Coverage, 12749,
     /* 1717981 */     GIR_EraseRootFromParent_Done,
     /* 1717982 */   // Label 23430: @1717982
     /* 1717982 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1718068), // Rule ID 12752 //
     /* 1717987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1717995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1718001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1718004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1718007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718033 */     // MIs[0] policy
     /* 1718033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718043 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1718046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718067 */     // GIR_Coverage, 12752,
     /* 1718067 */     GIR_EraseRootFromParent_Done,
     /* 1718068 */   // Label 23431: @1718068
     /* 1718068 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1718154), // Rule ID 12753 //
     /* 1718073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1718084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1718087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1718090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1718093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718119 */     // MIs[0] policy
     /* 1718119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1718132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718153 */     // GIR_Coverage, 12753,
     /* 1718153 */     GIR_EraseRootFromParent_Done,
     /* 1718154 */   // Label 23432: @1718154
     /* 1718154 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1718240), // Rule ID 12756 //
     /* 1718159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1718170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1718173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1718176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1718179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718205 */     // MIs[0] policy
     /* 1718205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1718218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718239 */     // GIR_Coverage, 12756,
     /* 1718239 */     GIR_EraseRootFromParent_Done,
     /* 1718240 */   // Label 23433: @1718240
     /* 1718240 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1718326), // Rule ID 12757 //
     /* 1718245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1718256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1718259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1718262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1718265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718291 */     // MIs[0] policy
     /* 1718291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1718304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718325 */     // GIR_Coverage, 12757,
     /* 1718325 */     GIR_EraseRootFromParent_Done,
     /* 1718326 */   // Label 23434: @1718326
     /* 1718326 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1718412), // Rule ID 12760 //
     /* 1718331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1718342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1718345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1718348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1718351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718377 */     // MIs[0] policy
     /* 1718377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718411 */     // GIR_Coverage, 12760,
     /* 1718411 */     GIR_EraseRootFromParent_Done,
     /* 1718412 */   // Label 23435: @1718412
     /* 1718412 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1718498), // Rule ID 12761 //
     /* 1718417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1718428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1718431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1718434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1718437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718463 */     // MIs[0] policy
     /* 1718463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718497 */     // GIR_Coverage, 12761,
     /* 1718497 */     GIR_EraseRootFromParent_Done,
     /* 1718498 */   // Label 23436: @1718498
     /* 1718498 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1718584), // Rule ID 12764 //
     /* 1718503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718549 */     // MIs[0] policy
     /* 1718549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1718562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718583 */     // GIR_Coverage, 12764,
     /* 1718583 */     GIR_EraseRootFromParent_Done,
     /* 1718584 */   // Label 23437: @1718584
     /* 1718584 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1718670), // Rule ID 12765 //
     /* 1718589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1718600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1718603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1718606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1718609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718635 */     // MIs[0] policy
     /* 1718635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1718648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718669 */     // GIR_Coverage, 12765,
     /* 1718669 */     GIR_EraseRootFromParent_Done,
     /* 1718670 */   // Label 23438: @1718670
     /* 1718670 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1718756), // Rule ID 12768 //
     /* 1718675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718721 */     // MIs[0] policy
     /* 1718721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718755 */     // GIR_Coverage, 12768,
     /* 1718755 */     GIR_EraseRootFromParent_Done,
     /* 1718756 */   // Label 23439: @1718756
     /* 1718756 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1718842), // Rule ID 12769 //
     /* 1718761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1718772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1718775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1718778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1718781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718807 */     // MIs[0] policy
     /* 1718807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718841 */     // GIR_Coverage, 12769,
     /* 1718841 */     GIR_EraseRootFromParent_Done,
     /* 1718842 */   // Label 23440: @1718842
     /* 1718842 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1718928), // Rule ID 12772 //
     /* 1718847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718893 */     // MIs[0] policy
     /* 1718893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718927 */     // GIR_Coverage, 12772,
     /* 1718927 */     GIR_EraseRootFromParent_Done,
     /* 1718928 */   // Label 23441: @1718928
     /* 1718928 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1719014), // Rule ID 12773 //
     /* 1718933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1718941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718979 */     // MIs[0] policy
     /* 1718979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1718992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1718996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719013 */     // GIR_Coverage, 12773,
     /* 1719013 */     GIR_EraseRootFromParent_Done,
     /* 1719014 */   // Label 23442: @1719014
     /* 1719014 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1719100), // Rule ID 12776 //
     /* 1719019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1719030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1719033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1719036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1719039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719065 */     // MIs[0] policy
     /* 1719065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719099 */     // GIR_Coverage, 12776,
     /* 1719099 */     GIR_EraseRootFromParent_Done,
     /* 1719100 */   // Label 23443: @1719100
     /* 1719100 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1719186), // Rule ID 12777 //
     /* 1719105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1719116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1719119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1719122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1719125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719151 */     // MIs[0] policy
     /* 1719151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719185 */     // GIR_Coverage, 12777,
     /* 1719185 */     GIR_EraseRootFromParent_Done,
     /* 1719186 */   // Label 23444: @1719186
     /* 1719186 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1719272), // Rule ID 12780 //
     /* 1719191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1719202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1719205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1719208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1719211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719237 */     // MIs[0] policy
     /* 1719237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719271 */     // GIR_Coverage, 12780,
     /* 1719271 */     GIR_EraseRootFromParent_Done,
     /* 1719272 */   // Label 23445: @1719272
     /* 1719272 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1719358), // Rule ID 12781 //
     /* 1719277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1719288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1719291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1719294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1719297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719323 */     // MIs[0] policy
     /* 1719323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719357 */     // GIR_Coverage, 12781,
     /* 1719357 */     GIR_EraseRootFromParent_Done,
     /* 1719358 */   // Label 23446: @1719358
     /* 1719358 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1719444), // Rule ID 12784 //
     /* 1719363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1719383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719409 */     // MIs[0] policy
     /* 1719409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719443 */     // GIR_Coverage, 12784,
     /* 1719443 */     GIR_EraseRootFromParent_Done,
     /* 1719444 */   // Label 23447: @1719444
     /* 1719444 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1719530), // Rule ID 12785 //
     /* 1719449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1719460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1719463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1719466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1719469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719495 */     // MIs[0] policy
     /* 1719495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719529 */     // GIR_Coverage, 12785,
     /* 1719529 */     GIR_EraseRootFromParent_Done,
     /* 1719530 */   // Label 23448: @1719530
     /* 1719530 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1719616), // Rule ID 12788 //
     /* 1719535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719581 */     // MIs[0] policy
     /* 1719581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719615 */     // GIR_Coverage, 12788,
     /* 1719615 */     GIR_EraseRootFromParent_Done,
     /* 1719616 */   // Label 23449: @1719616
     /* 1719616 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1719702), // Rule ID 12789 //
     /* 1719621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1719632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719667 */     // MIs[0] policy
     /* 1719667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1719680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719701 */     // GIR_Coverage, 12789,
     /* 1719701 */     GIR_EraseRootFromParent_Done,
     /* 1719702 */   // Label 23450: @1719702
     /* 1719702 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1719788), // Rule ID 12792 //
     /* 1719707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719753 */     // MIs[0] policy
     /* 1719753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1719766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719787 */     // GIR_Coverage, 12792,
     /* 1719787 */     GIR_EraseRootFromParent_Done,
     /* 1719788 */   // Label 23451: @1719788
     /* 1719788 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1719874), // Rule ID 12793 //
     /* 1719793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719839 */     // MIs[0] policy
     /* 1719839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1719852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719873 */     // GIR_Coverage, 12793,
     /* 1719873 */     GIR_EraseRootFromParent_Done,
     /* 1719874 */   // Label 23452: @1719874
     /* 1719874 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1719960), // Rule ID 12796 //
     /* 1719879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719925 */     // MIs[0] policy
     /* 1719925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719935 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1719938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1719942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719959 */     // GIR_Coverage, 12796,
     /* 1719959 */     GIR_EraseRootFromParent_Done,
     /* 1719960 */   // Label 23453: @1719960
     /* 1719960 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1720046), // Rule ID 12797 //
     /* 1719965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1719973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720011 */     // MIs[0] policy
     /* 1720011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1720024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720045 */     // GIR_Coverage, 12797,
     /* 1720045 */     GIR_EraseRootFromParent_Done,
     /* 1720046 */   // Label 23454: @1720046
     /* 1720046 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1720132), // Rule ID 12800 //
     /* 1720051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1720071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720097 */     // MIs[0] policy
     /* 1720097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720107 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1720110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720131 */     // GIR_Coverage, 12800,
     /* 1720131 */     GIR_EraseRootFromParent_Done,
     /* 1720132 */   // Label 23455: @1720132
     /* 1720132 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1720218), // Rule ID 12801 //
     /* 1720137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1720157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720183 */     // MIs[0] policy
     /* 1720183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1720196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720217 */     // GIR_Coverage, 12801,
     /* 1720217 */     GIR_EraseRootFromParent_Done,
     /* 1720218 */   // Label 23456: @1720218
     /* 1720218 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1720304), // Rule ID 12804 //
     /* 1720223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1720234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1720237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1720240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1720243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720269 */     // MIs[0] policy
     /* 1720269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720279 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1720282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720303 */     // GIR_Coverage, 12804,
     /* 1720303 */     GIR_EraseRootFromParent_Done,
     /* 1720304 */   // Label 23457: @1720304
     /* 1720304 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1720390), // Rule ID 12805 //
     /* 1720309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1720320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1720323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1720326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1720329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720355 */     // MIs[0] policy
     /* 1720355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1720368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720389 */     // GIR_Coverage, 12805,
     /* 1720389 */     GIR_EraseRootFromParent_Done,
     /* 1720390 */   // Label 23458: @1720390
     /* 1720390 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1720476), // Rule ID 12808 //
     /* 1720395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1720415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720441 */     // MIs[0] policy
     /* 1720441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1720454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720475 */     // GIR_Coverage, 12808,
     /* 1720475 */     GIR_EraseRootFromParent_Done,
     /* 1720476 */   // Label 23459: @1720476
     /* 1720476 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1720562), // Rule ID 12809 //
     /* 1720481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1720501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720527 */     // MIs[0] policy
     /* 1720527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1720540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720561 */     // GIR_Coverage, 12809,
     /* 1720561 */     GIR_EraseRootFromParent_Done,
     /* 1720562 */   // Label 23460: @1720562
     /* 1720562 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1720648), // Rule ID 12812 //
     /* 1720567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720613 */     // MIs[0] policy
     /* 1720613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1720626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720647 */     // GIR_Coverage, 12812,
     /* 1720647 */     GIR_EraseRootFromParent_Done,
     /* 1720648 */   // Label 23461: @1720648
     /* 1720648 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1720734), // Rule ID 12813 //
     /* 1720653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720699 */     // MIs[0] policy
     /* 1720699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1720712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720733 */     // GIR_Coverage, 12813,
     /* 1720733 */     GIR_EraseRootFromParent_Done,
     /* 1720734 */   // Label 23462: @1720734
     /* 1720734 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1720820), // Rule ID 12816 //
     /* 1720739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720785 */     // MIs[0] policy
     /* 1720785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1720798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720819 */     // GIR_Coverage, 12816,
     /* 1720819 */     GIR_EraseRootFromParent_Done,
     /* 1720820 */   // Label 23463: @1720820
     /* 1720820 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1720906), // Rule ID 12817 //
     /* 1720825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720871 */     // MIs[0] policy
     /* 1720871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1720884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720905 */     // GIR_Coverage, 12817,
     /* 1720905 */     GIR_EraseRootFromParent_Done,
     /* 1720906 */   // Label 23464: @1720906
     /* 1720906 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1720992), // Rule ID 12820 //
     /* 1720911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1720919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720957 */     // MIs[0] policy
     /* 1720957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1720970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1720974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720991 */     // GIR_Coverage, 12820,
     /* 1720991 */     GIR_EraseRootFromParent_Done,
     /* 1720992 */   // Label 23465: @1720992
     /* 1720992 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1721078), // Rule ID 12821 //
     /* 1720997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1721008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1721011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1721014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1721017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721043 */     // MIs[0] policy
     /* 1721043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1721056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721077 */     // GIR_Coverage, 12821,
     /* 1721077 */     GIR_EraseRootFromParent_Done,
     /* 1721078 */   // Label 23466: @1721078
     /* 1721078 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1721164), // Rule ID 12824 //
     /* 1721083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1721103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721129 */     // MIs[0] policy
     /* 1721129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1721142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721163 */     // GIR_Coverage, 12824,
     /* 1721163 */     GIR_EraseRootFromParent_Done,
     /* 1721164 */   // Label 23467: @1721164
     /* 1721164 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1721250), // Rule ID 12825 //
     /* 1721169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1721189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721215 */     // MIs[0] policy
     /* 1721215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1721228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721249 */     // GIR_Coverage, 12825,
     /* 1721249 */     GIR_EraseRootFromParent_Done,
     /* 1721250 */   // Label 23468: @1721250
     /* 1721250 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1721336), // Rule ID 12828 //
     /* 1721255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1721266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1721269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1721272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1721275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721301 */     // MIs[0] policy
     /* 1721301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721311 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1721314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721335 */     // GIR_Coverage, 12828,
     /* 1721335 */     GIR_EraseRootFromParent_Done,
     /* 1721336 */   // Label 23469: @1721336
     /* 1721336 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1721422), // Rule ID 12829 //
     /* 1721341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1721352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1721355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1721358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1721361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721387 */     // MIs[0] policy
     /* 1721387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1721400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721421 */     // GIR_Coverage, 12829,
     /* 1721421 */     GIR_EraseRootFromParent_Done,
     /* 1721422 */   // Label 23470: @1721422
     /* 1721422 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1721508), // Rule ID 12832 //
     /* 1721427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721473 */     // MIs[0] policy
     /* 1721473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1721486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721507 */     // GIR_Coverage, 12832,
     /* 1721507 */     GIR_EraseRootFromParent_Done,
     /* 1721508 */   // Label 23471: @1721508
     /* 1721508 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1721594), // Rule ID 12833 //
     /* 1721513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721559 */     // MIs[0] policy
     /* 1721559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1721572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721593 */     // GIR_Coverage, 12833,
     /* 1721593 */     GIR_EraseRootFromParent_Done,
     /* 1721594 */   // Label 23472: @1721594
     /* 1721594 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1721680), // Rule ID 12836 //
     /* 1721599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721645 */     // MIs[0] policy
     /* 1721645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721655 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1721658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721679 */     // GIR_Coverage, 12836,
     /* 1721679 */     GIR_EraseRootFromParent_Done,
     /* 1721680 */   // Label 23473: @1721680
     /* 1721680 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1721766), // Rule ID 12837 //
     /* 1721685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721731 */     // MIs[0] policy
     /* 1721731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1721744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721765 */     // GIR_Coverage, 12837,
     /* 1721765 */     GIR_EraseRootFromParent_Done,
     /* 1721766 */   // Label 23474: @1721766
     /* 1721766 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1721852), // Rule ID 12840 //
     /* 1721771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1721788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1721791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721817 */     // MIs[0] policy
     /* 1721817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1721830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721851 */     // GIR_Coverage, 12840,
     /* 1721851 */     GIR_EraseRootFromParent_Done,
     /* 1721852 */   // Label 23475: @1721852
     /* 1721852 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1721938), // Rule ID 12841 //
     /* 1721857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1721874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1721877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721903 */     // MIs[0] policy
     /* 1721903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721913 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1721916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1721920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721937 */     // GIR_Coverage, 12841,
     /* 1721937 */     GIR_EraseRootFromParent_Done,
     /* 1721938 */   // Label 23476: @1721938
     /* 1721938 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1722024), // Rule ID 12844 //
     /* 1721943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1721951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1721960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1721963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721989 */     // MIs[0] policy
     /* 1721989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1722002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722023 */     // GIR_Coverage, 12844,
     /* 1722023 */     GIR_EraseRootFromParent_Done,
     /* 1722024 */   // Label 23477: @1722024
     /* 1722024 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1722110), // Rule ID 12845 //
     /* 1722029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1722040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1722043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1722049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722075 */     // MIs[0] policy
     /* 1722075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1722088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722109 */     // GIR_Coverage, 12845,
     /* 1722109 */     GIR_EraseRootFromParent_Done,
     /* 1722110 */   // Label 23478: @1722110
     /* 1722110 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1722196), // Rule ID 12848 //
     /* 1722115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1722135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722161 */     // MIs[0] policy
     /* 1722161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722195 */     // GIR_Coverage, 12848,
     /* 1722195 */     GIR_EraseRootFromParent_Done,
     /* 1722196 */   // Label 23479: @1722196
     /* 1722196 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1722282), // Rule ID 12849 //
     /* 1722201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1722221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722247 */     // MIs[0] policy
     /* 1722247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722257 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722281 */     // GIR_Coverage, 12849,
     /* 1722281 */     GIR_EraseRootFromParent_Done,
     /* 1722282 */   // Label 23480: @1722282
     /* 1722282 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1722368), // Rule ID 12852 //
     /* 1722287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1722307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722333 */     // MIs[0] policy
     /* 1722333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1722346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722367 */     // GIR_Coverage, 12852,
     /* 1722367 */     GIR_EraseRootFromParent_Done,
     /* 1722368 */   // Label 23481: @1722368
     /* 1722368 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1722454), // Rule ID 12853 //
     /* 1722373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1722393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722419 */     // MIs[0] policy
     /* 1722419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1722432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722453 */     // GIR_Coverage, 12853,
     /* 1722453 */     GIR_EraseRootFromParent_Done,
     /* 1722454 */   // Label 23482: @1722454
     /* 1722454 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1722540), // Rule ID 12856 //
     /* 1722459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1722479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722505 */     // MIs[0] policy
     /* 1722505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722539 */     // GIR_Coverage, 12856,
     /* 1722539 */     GIR_EraseRootFromParent_Done,
     /* 1722540 */   // Label 23483: @1722540
     /* 1722540 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1722626), // Rule ID 12857 //
     /* 1722545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1722565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722591 */     // MIs[0] policy
     /* 1722591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722625 */     // GIR_Coverage, 12857,
     /* 1722625 */     GIR_EraseRootFromParent_Done,
     /* 1722626 */   // Label 23484: @1722626
     /* 1722626 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1722712), // Rule ID 12860 //
     /* 1722631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1722651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722677 */     // MIs[0] policy
     /* 1722677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722711 */     // GIR_Coverage, 12860,
     /* 1722711 */     GIR_EraseRootFromParent_Done,
     /* 1722712 */   // Label 23485: @1722712
     /* 1722712 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1722798), // Rule ID 12861 //
     /* 1722717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1722737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722763 */     // MIs[0] policy
     /* 1722763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722773 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1722776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722797 */     // GIR_Coverage, 12861,
     /* 1722797 */     GIR_EraseRootFromParent_Done,
     /* 1722798 */   // Label 23486: @1722798
     /* 1722798 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1722884), // Rule ID 12864 //
     /* 1722803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1722823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722849 */     // MIs[0] policy
     /* 1722849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1722862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722883 */     // GIR_Coverage, 12864,
     /* 1722883 */     GIR_EraseRootFromParent_Done,
     /* 1722884 */   // Label 23487: @1722884
     /* 1722884 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1722970), // Rule ID 12865 //
     /* 1722889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1722906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1722909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722935 */     // MIs[0] policy
     /* 1722935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1722948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1722952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722969 */     // GIR_Coverage, 12865,
     /* 1722969 */     GIR_EraseRootFromParent_Done,
     /* 1722970 */   // Label 23488: @1722970
     /* 1722970 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1723056), // Rule ID 12868 //
     /* 1722975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1722983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1722992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1722995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723021 */     // MIs[0] policy
     /* 1723021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723055 */     // GIR_Coverage, 12868,
     /* 1723055 */     GIR_EraseRootFromParent_Done,
     /* 1723056 */   // Label 23489: @1723056
     /* 1723056 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1723142), // Rule ID 12869 //
     /* 1723061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1723081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723107 */     // MIs[0] policy
     /* 1723107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723141 */     // GIR_Coverage, 12869,
     /* 1723141 */     GIR_EraseRootFromParent_Done,
     /* 1723142 */   // Label 23490: @1723142
     /* 1723142 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1723228), // Rule ID 12872 //
     /* 1723147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1723164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1723167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723193 */     // MIs[0] policy
     /* 1723193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723227 */     // GIR_Coverage, 12872,
     /* 1723227 */     GIR_EraseRootFromParent_Done,
     /* 1723228 */   // Label 23491: @1723228
     /* 1723228 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1723314), // Rule ID 12873 //
     /* 1723233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1723253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723279 */     // MIs[0] policy
     /* 1723279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723313 */     // GIR_Coverage, 12873,
     /* 1723313 */     GIR_EraseRootFromParent_Done,
     /* 1723314 */   // Label 23492: @1723314
     /* 1723314 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1723400), // Rule ID 12876 //
     /* 1723319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1723336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1723339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723365 */     // MIs[0] policy
     /* 1723365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723375 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723399 */     // GIR_Coverage, 12876,
     /* 1723399 */     GIR_EraseRootFromParent_Done,
     /* 1723400 */   // Label 23493: @1723400
     /* 1723400 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1723486), // Rule ID 12877 //
     /* 1723405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1723425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723451 */     // MIs[0] policy
     /* 1723451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1723464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723485 */     // GIR_Coverage, 12877,
     /* 1723485 */     GIR_EraseRootFromParent_Done,
     /* 1723486 */   // Label 23494: @1723486
     /* 1723486 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1723572), // Rule ID 12880 //
     /* 1723491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1723508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1723511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723537 */     // MIs[0] policy
     /* 1723537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1723550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723571 */     // GIR_Coverage, 12880,
     /* 1723571 */     GIR_EraseRootFromParent_Done,
     /* 1723572 */   // Label 23495: @1723572
     /* 1723572 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1723658), // Rule ID 12881 //
     /* 1723577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1723597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723623 */     // MIs[0] policy
     /* 1723623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1723636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723657 */     // GIR_Coverage, 12881,
     /* 1723657 */     GIR_EraseRootFromParent_Done,
     /* 1723658 */   // Label 23496: @1723658
     /* 1723658 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1723744), // Rule ID 12884 //
     /* 1723663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1723680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1723683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723709 */     // MIs[0] policy
     /* 1723709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1723722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723743 */     // GIR_Coverage, 12884,
     /* 1723743 */     GIR_EraseRootFromParent_Done,
     /* 1723744 */   // Label 23497: @1723744
     /* 1723744 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1723830), // Rule ID 12885 //
     /* 1723749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1723769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723795 */     // MIs[0] policy
     /* 1723795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723805 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1723808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723829 */     // GIR_Coverage, 12885,
     /* 1723829 */     GIR_EraseRootFromParent_Done,
     /* 1723830 */   // Label 23498: @1723830
     /* 1723830 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1723916), // Rule ID 12888 //
     /* 1723835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1723852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1723855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723881 */     // MIs[0] policy
     /* 1723881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723891 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1723894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723915 */     // GIR_Coverage, 12888,
     /* 1723915 */     GIR_EraseRootFromParent_Done,
     /* 1723916 */   // Label 23499: @1723916
     /* 1723916 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1724002), // Rule ID 12889 //
     /* 1723921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1723929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1723938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1723941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723967 */     // MIs[0] policy
     /* 1723967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1723980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1723984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724001 */     // GIR_Coverage, 12889,
     /* 1724001 */     GIR_EraseRootFromParent_Done,
     /* 1724002 */   // Label 23500: @1724002
     /* 1724002 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1724088), // Rule ID 12892 //
     /* 1724007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1724027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724053 */     // MIs[0] policy
     /* 1724053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724063 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1724066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724087 */     // GIR_Coverage, 12892,
     /* 1724087 */     GIR_EraseRootFromParent_Done,
     /* 1724088 */   // Label 23501: @1724088
     /* 1724088 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1724174), // Rule ID 12893 //
     /* 1724093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1724113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724139 */     // MIs[0] policy
     /* 1724139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724149 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1724152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724173 */     // GIR_Coverage, 12893,
     /* 1724173 */     GIR_EraseRootFromParent_Done,
     /* 1724174 */   // Label 23502: @1724174
     /* 1724174 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1724260), // Rule ID 12896 //
     /* 1724179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1724199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724225 */     // MIs[0] policy
     /* 1724225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1724238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724259 */     // GIR_Coverage, 12896,
     /* 1724259 */     GIR_EraseRootFromParent_Done,
     /* 1724260 */   // Label 23503: @1724260
     /* 1724260 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1724346), // Rule ID 12897 //
     /* 1724265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1724285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724311 */     // MIs[0] policy
     /* 1724311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1724324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724345 */     // GIR_Coverage, 12897,
     /* 1724345 */     GIR_EraseRootFromParent_Done,
     /* 1724346 */   // Label 23504: @1724346
     /* 1724346 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1724432), // Rule ID 12900 //
     /* 1724351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1724371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724397 */     // MIs[0] policy
     /* 1724397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1724410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724431 */     // GIR_Coverage, 12900,
     /* 1724431 */     GIR_EraseRootFromParent_Done,
     /* 1724432 */   // Label 23505: @1724432
     /* 1724432 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1724518), // Rule ID 12901 //
     /* 1724437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1724457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724483 */     // MIs[0] policy
     /* 1724483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1724496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724517 */     // GIR_Coverage, 12901,
     /* 1724517 */     GIR_EraseRootFromParent_Done,
     /* 1724518 */   // Label 23506: @1724518
     /* 1724518 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1724604), // Rule ID 12904 //
     /* 1724523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1724543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724569 */     // MIs[0] policy
     /* 1724569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1724582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724603 */     // GIR_Coverage, 12904,
     /* 1724603 */     GIR_EraseRootFromParent_Done,
     /* 1724604 */   // Label 23507: @1724604
     /* 1724604 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1724690), // Rule ID 12905 //
     /* 1724609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1724629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724655 */     // MIs[0] policy
     /* 1724655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1724668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724689 */     // GIR_Coverage, 12905,
     /* 1724689 */     GIR_EraseRootFromParent_Done,
     /* 1724690 */   // Label 23508: @1724690
     /* 1724690 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1724776), // Rule ID 12908 //
     /* 1724695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1724715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724741 */     // MIs[0] policy
     /* 1724741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1724754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724775 */     // GIR_Coverage, 12908,
     /* 1724775 */     GIR_EraseRootFromParent_Done,
     /* 1724776 */   // Label 23509: @1724776
     /* 1724776 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1724862), // Rule ID 12909 //
     /* 1724781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1724792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1724795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1724801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724827 */     // MIs[0] policy
     /* 1724827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1724840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724861 */     // GIR_Coverage, 12909,
     /* 1724861 */     GIR_EraseRootFromParent_Done,
     /* 1724862 */   // Label 23510: @1724862
     /* 1724862 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1724948), // Rule ID 12912 //
     /* 1724867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1724884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724913 */     // MIs[0] policy
     /* 1724913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1724926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1724930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724947 */     // GIR_Coverage, 12912,
     /* 1724947 */     GIR_EraseRootFromParent_Done,
     /* 1724948 */   // Label 23511: @1724948
     /* 1724948 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1725034), // Rule ID 12913 //
     /* 1724953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1724961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1724970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724999 */     // MIs[0] policy
     /* 1724999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1725012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725033 */     // GIR_Coverage, 12913,
     /* 1725033 */     GIR_EraseRootFromParent_Done,
     /* 1725034 */   // Label 23512: @1725034
     /* 1725034 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1725120), // Rule ID 12916 //
     /* 1725039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1725056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1725059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725085 */     // MIs[0] policy
     /* 1725085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1725098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725119 */     // GIR_Coverage, 12916,
     /* 1725119 */     GIR_EraseRootFromParent_Done,
     /* 1725120 */   // Label 23513: @1725120
     /* 1725120 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1725206), // Rule ID 12917 //
     /* 1725125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1725142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1725145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725171 */     // MIs[0] policy
     /* 1725171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1725184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725205 */     // GIR_Coverage, 12917,
     /* 1725205 */     GIR_EraseRootFromParent_Done,
     /* 1725206 */   // Label 23514: @1725206
     /* 1725206 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1725292), // Rule ID 12920 //
     /* 1725211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1725228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1725231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725257 */     // MIs[0] policy
     /* 1725257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1725270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725291 */     // GIR_Coverage, 12920,
     /* 1725291 */     GIR_EraseRootFromParent_Done,
     /* 1725292 */   // Label 23515: @1725292
     /* 1725292 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1725378), // Rule ID 12921 //
     /* 1725297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1725314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1725317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725343 */     // MIs[0] policy
     /* 1725343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725353 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1725356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725377 */     // GIR_Coverage, 12921,
     /* 1725377 */     GIR_EraseRootFromParent_Done,
     /* 1725378 */   // Label 23516: @1725378
     /* 1725378 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1725464), // Rule ID 12924 //
     /* 1725383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1725400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1725403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725429 */     // MIs[0] policy
     /* 1725429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725439 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1725442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725463 */     // GIR_Coverage, 12924,
     /* 1725463 */     GIR_EraseRootFromParent_Done,
     /* 1725464 */   // Label 23517: @1725464
     /* 1725464 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1725550), // Rule ID 12925 //
     /* 1725469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1725477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1725486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1725489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725515 */     // MIs[0] policy
     /* 1725515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725525 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1725528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725549 */     // GIR_Coverage, 12925,
     /* 1725549 */     GIR_EraseRootFromParent_Done,
     /* 1725550 */   // Label 23518: @1725550
     /* 1725550 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1725636), // Rule ID 12928 //
     /* 1725555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725601 */     // MIs[0] policy
     /* 1725601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1725614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725635 */     // GIR_Coverage, 12928,
     /* 1725635 */     GIR_EraseRootFromParent_Done,
     /* 1725636 */   // Label 23519: @1725636
     /* 1725636 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1725722), // Rule ID 12929 //
     /* 1725641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1725652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1725655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1725658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1725661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725687 */     // MIs[0] policy
     /* 1725687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725697 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1725700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725721 */     // GIR_Coverage, 12929,
     /* 1725721 */     GIR_EraseRootFromParent_Done,
     /* 1725722 */   // Label 23520: @1725722
     /* 1725722 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1725808), // Rule ID 12932 //
     /* 1725727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725773 */     // MIs[0] policy
     /* 1725773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1725786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725807 */     // GIR_Coverage, 12932,
     /* 1725807 */     GIR_EraseRootFromParent_Done,
     /* 1725808 */   // Label 23521: @1725808
     /* 1725808 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1725894), // Rule ID 12933 //
     /* 1725813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1725824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1725827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1725830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1725833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725859 */     // MIs[0] policy
     /* 1725859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1725872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725893 */     // GIR_Coverage, 12933,
     /* 1725893 */     GIR_EraseRootFromParent_Done,
     /* 1725894 */   // Label 23522: @1725894
     /* 1725894 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1725980), // Rule ID 12936 //
     /* 1725899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1725919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725945 */     // MIs[0] policy
     /* 1725945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1725958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1725962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725979 */     // GIR_Coverage, 12936,
     /* 1725979 */     GIR_EraseRootFromParent_Done,
     /* 1725980 */   // Label 23523: @1725980
     /* 1725980 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1726066), // Rule ID 12937 //
     /* 1725985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1725993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1726002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1726005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726031 */     // MIs[0] policy
     /* 1726031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726041 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1726044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726065 */     // GIR_Coverage, 12937,
     /* 1726065 */     GIR_EraseRootFromParent_Done,
     /* 1726066 */   // Label 23524: @1726066
     /* 1726066 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1726152), // Rule ID 12940 //
     /* 1726071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726117 */     // MIs[0] policy
     /* 1726117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1726130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726151 */     // GIR_Coverage, 12940,
     /* 1726151 */     GIR_EraseRootFromParent_Done,
     /* 1726152 */   // Label 23525: @1726152
     /* 1726152 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1726238), // Rule ID 12941 //
     /* 1726157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726203 */     // MIs[0] policy
     /* 1726203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1726216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726237 */     // GIR_Coverage, 12941,
     /* 1726237 */     GIR_EraseRootFromParent_Done,
     /* 1726238 */   // Label 23526: @1726238
     /* 1726238 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1726324), // Rule ID 12944 //
     /* 1726243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1726254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1726257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1726260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1726263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726289 */     // MIs[0] policy
     /* 1726289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1726302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726323 */     // GIR_Coverage, 12944,
     /* 1726323 */     GIR_EraseRootFromParent_Done,
     /* 1726324 */   // Label 23527: @1726324
     /* 1726324 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1726410), // Rule ID 12945 //
     /* 1726329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1726340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1726343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1726346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1726349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726375 */     // MIs[0] policy
     /* 1726375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1726388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726409 */     // GIR_Coverage, 12945,
     /* 1726409 */     GIR_EraseRootFromParent_Done,
     /* 1726410 */   // Label 23528: @1726410
     /* 1726410 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1726496), // Rule ID 12948 //
     /* 1726415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1726435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726461 */     // MIs[0] policy
     /* 1726461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1726474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726495 */     // GIR_Coverage, 12948,
     /* 1726495 */     GIR_EraseRootFromParent_Done,
     /* 1726496 */   // Label 23529: @1726496
     /* 1726496 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1726582), // Rule ID 12949 //
     /* 1726501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1726512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1726515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1726518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1726521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726547 */     // MIs[0] policy
     /* 1726547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726557 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1726560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726581 */     // GIR_Coverage, 12949,
     /* 1726581 */     GIR_EraseRootFromParent_Done,
     /* 1726582 */   // Label 23530: @1726582
     /* 1726582 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1726668), // Rule ID 12952 //
     /* 1726587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726633 */     // MIs[0] policy
     /* 1726633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1726646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726667 */     // GIR_Coverage, 12952,
     /* 1726667 */     GIR_EraseRootFromParent_Done,
     /* 1726668 */   // Label 23531: @1726668
     /* 1726668 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1726754), // Rule ID 12953 //
     /* 1726673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1726684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1726687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1726690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1726693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726719 */     // MIs[0] policy
     /* 1726719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726729 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1726732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726753 */     // GIR_Coverage, 12953,
     /* 1726753 */     GIR_EraseRootFromParent_Done,
     /* 1726754 */   // Label 23532: @1726754
     /* 1726754 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1726840), // Rule ID 12956 //
     /* 1726759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726805 */     // MIs[0] policy
     /* 1726805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726815 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1726818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726839 */     // GIR_Coverage, 12956,
     /* 1726839 */     GIR_EraseRootFromParent_Done,
     /* 1726840 */   // Label 23533: @1726840
     /* 1726840 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1726926), // Rule ID 12957 //
     /* 1726845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1726856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1726859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1726862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1726865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726891 */     // MIs[0] policy
     /* 1726891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1726904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726925 */     // GIR_Coverage, 12957,
     /* 1726925 */     GIR_EraseRootFromParent_Done,
     /* 1726926 */   // Label 23534: @1726926
     /* 1726926 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1727012), // Rule ID 12960 //
     /* 1726931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1726939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1726951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726977 */     // MIs[0] policy
     /* 1726977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1726990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1726994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727011 */     // GIR_Coverage, 12960,
     /* 1727011 */     GIR_EraseRootFromParent_Done,
     /* 1727012 */   // Label 23535: @1727012
     /* 1727012 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1727098), // Rule ID 12961 //
     /* 1727017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1727028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1727031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1727034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1727037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727063 */     // MIs[0] policy
     /* 1727063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1727076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727097 */     // GIR_Coverage, 12961,
     /* 1727097 */     GIR_EraseRootFromParent_Done,
     /* 1727098 */   // Label 23536: @1727098
     /* 1727098 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1727184), // Rule ID 12964 //
     /* 1727103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1727117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1727120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1727123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727149 */     // MIs[0] policy
     /* 1727149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1727162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727183 */     // GIR_Coverage, 12964,
     /* 1727183 */     GIR_EraseRootFromParent_Done,
     /* 1727184 */   // Label 23537: @1727184
     /* 1727184 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1727270), // Rule ID 12965 //
     /* 1727189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1727203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1727206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1727209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727235 */     // MIs[0] policy
     /* 1727235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1727248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727269 */     // GIR_Coverage, 12965,
     /* 1727269 */     GIR_EraseRootFromParent_Done,
     /* 1727270 */   // Label 23538: @1727270
     /* 1727270 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1727356), // Rule ID 12968 //
     /* 1727275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1727286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1727289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1727292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1727295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727321 */     // MIs[0] policy
     /* 1727321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1727334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727355 */     // GIR_Coverage, 12968,
     /* 1727355 */     GIR_EraseRootFromParent_Done,
     /* 1727356 */   // Label 23539: @1727356
     /* 1727356 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1727442), // Rule ID 12969 //
     /* 1727361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1727372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1727375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1727378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1727381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727407 */     // MIs[0] policy
     /* 1727407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727417 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1727420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727441 */     // GIR_Coverage, 12969,
     /* 1727441 */     GIR_EraseRootFromParent_Done,
     /* 1727442 */   // Label 23540: @1727442
     /* 1727442 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1727528), // Rule ID 12972 //
     /* 1727447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727493 */     // MIs[0] policy
     /* 1727493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727503 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1727506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727527 */     // GIR_Coverage, 12972,
     /* 1727527 */     GIR_EraseRootFromParent_Done,
     /* 1727528 */   // Label 23541: @1727528
     /* 1727528 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1727614), // Rule ID 12973 //
     /* 1727533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1727544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1727547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1727550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1727553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727579 */     // MIs[0] policy
     /* 1727579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727589 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1727592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727613 */     // GIR_Coverage, 12973,
     /* 1727613 */     GIR_EraseRootFromParent_Done,
     /* 1727614 */   // Label 23542: @1727614
     /* 1727614 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1727700), // Rule ID 12976 //
     /* 1727619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727665 */     // MIs[0] policy
     /* 1727665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727675 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1727678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727699 */     // GIR_Coverage, 12976,
     /* 1727699 */     GIR_EraseRootFromParent_Done,
     /* 1727700 */   // Label 23543: @1727700
     /* 1727700 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1727786), // Rule ID 12977 //
     /* 1727705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1727716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1727719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1727722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1727725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1727728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727751 */     // MIs[0] policy
     /* 1727751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727761 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1727764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727785 */     // GIR_Coverage, 12977,
     /* 1727785 */     GIR_EraseRootFromParent_Done,
     /* 1727786 */   // Label 23544: @1727786
     /* 1727786 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1727872), // Rule ID 12980 //
     /* 1727791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727837 */     // MIs[0] policy
     /* 1727837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1727850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727871 */     // GIR_Coverage, 12980,
     /* 1727871 */     GIR_EraseRootFromParent_Done,
     /* 1727872 */   // Label 23545: @1727872
     /* 1727872 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1727958), // Rule ID 12981 //
     /* 1727877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1727897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727923 */     // MIs[0] policy
     /* 1727923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1727936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1727940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727957 */     // GIR_Coverage, 12981,
     /* 1727957 */     GIR_EraseRootFromParent_Done,
     /* 1727958 */   // Label 23546: @1727958
     /* 1727958 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1728044), // Rule ID 12984 //
     /* 1727963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1727971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1727983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728009 */     // MIs[0] policy
     /* 1728009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1728022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728043 */     // GIR_Coverage, 12984,
     /* 1728043 */     GIR_EraseRootFromParent_Done,
     /* 1728044 */   // Label 23547: @1728044
     /* 1728044 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1728130), // Rule ID 12985 //
     /* 1728049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1728060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1728063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1728066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1728069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728095 */     // MIs[0] policy
     /* 1728095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728105 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1728108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728129 */     // GIR_Coverage, 12985,
     /* 1728129 */     GIR_EraseRootFromParent_Done,
     /* 1728130 */   // Label 23548: @1728130
     /* 1728130 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1728216), // Rule ID 12988 //
     /* 1728135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1728146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1728149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1728152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1728155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728181 */     // MIs[0] policy
     /* 1728181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1728194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728215 */     // GIR_Coverage, 12988,
     /* 1728215 */     GIR_EraseRootFromParent_Done,
     /* 1728216 */   // Label 23549: @1728216
     /* 1728216 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1728302), // Rule ID 12989 //
     /* 1728221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1728232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1728235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1728238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1728241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728267 */     // MIs[0] policy
     /* 1728267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728277 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1728280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728301 */     // GIR_Coverage, 12989,
     /* 1728301 */     GIR_EraseRootFromParent_Done,
     /* 1728302 */   // Label 23550: @1728302
     /* 1728302 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1728388), // Rule ID 12992 //
     /* 1728307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1728318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1728321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1728324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1728327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728353 */     // MIs[0] policy
     /* 1728353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1728366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728387 */     // GIR_Coverage, 12992,
     /* 1728387 */     GIR_EraseRootFromParent_Done,
     /* 1728388 */   // Label 23551: @1728388
     /* 1728388 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1728474), // Rule ID 12993 //
     /* 1728393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1728404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1728407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1728410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1728413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728439 */     // MIs[0] policy
     /* 1728439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1728452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728473 */     // GIR_Coverage, 12993,
     /* 1728473 */     GIR_EraseRootFromParent_Done,
     /* 1728474 */   // Label 23552: @1728474
     /* 1728474 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1728560), // Rule ID 12996 //
     /* 1728479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728525 */     // MIs[0] policy
     /* 1728525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1728538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728559 */     // GIR_Coverage, 12996,
     /* 1728559 */     GIR_EraseRootFromParent_Done,
     /* 1728560 */   // Label 23553: @1728560
     /* 1728560 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1728646), // Rule ID 12997 //
     /* 1728565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1728576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1728579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1728582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1728585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728611 */     // MIs[0] policy
     /* 1728611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1728624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728645 */     // GIR_Coverage, 12997,
     /* 1728645 */     GIR_EraseRootFromParent_Done,
     /* 1728646 */   // Label 23554: @1728646
     /* 1728646 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1728732), // Rule ID 13000 //
     /* 1728651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728697 */     // MIs[0] policy
     /* 1728697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1728710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728731 */     // GIR_Coverage, 13000,
     /* 1728731 */     GIR_EraseRootFromParent_Done,
     /* 1728732 */   // Label 23555: @1728732
     /* 1728732 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1728818), // Rule ID 13001 //
     /* 1728737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1728748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1728751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1728754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1728757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728783 */     // MIs[0] policy
     /* 1728783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1728796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728817 */     // GIR_Coverage, 13001,
     /* 1728817 */     GIR_EraseRootFromParent_Done,
     /* 1728818 */   // Label 23556: @1728818
     /* 1728818 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1728904), // Rule ID 13004 //
     /* 1728823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728869 */     // MIs[0] policy
     /* 1728869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1728882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728903 */     // GIR_Coverage, 13004,
     /* 1728903 */     GIR_EraseRootFromParent_Done,
     /* 1728904 */   // Label 23557: @1728904
     /* 1728904 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1728990), // Rule ID 13005 //
     /* 1728909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1728917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1728929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728955 */     // MIs[0] policy
     /* 1728955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728965 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1728968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1728972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728989 */     // GIR_Coverage, 13005,
     /* 1728989 */     GIR_EraseRootFromParent_Done,
     /* 1728990 */   // Label 23558: @1728990
     /* 1728990 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1729076), // Rule ID 13008 //
     /* 1728995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1729006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1729009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1729012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1729015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729041 */     // MIs[0] policy
     /* 1729041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1729054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729075 */     // GIR_Coverage, 13008,
     /* 1729075 */     GIR_EraseRootFromParent_Done,
     /* 1729076 */   // Label 23559: @1729076
     /* 1729076 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1729162), // Rule ID 13009 //
     /* 1729081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1729092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1729095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1729098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1729101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729127 */     // MIs[0] policy
     /* 1729127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729137 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1729140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729161 */     // GIR_Coverage, 13009,
     /* 1729161 */     GIR_EraseRootFromParent_Done,
     /* 1729162 */   // Label 23560: @1729162
     /* 1729162 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1729248), // Rule ID 13012 //
     /* 1729167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1729178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1729181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1729184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1729187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729213 */     // MIs[0] policy
     /* 1729213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1729226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729247 */     // GIR_Coverage, 13012,
     /* 1729247 */     GIR_EraseRootFromParent_Done,
     /* 1729248 */   // Label 23561: @1729248
     /* 1729248 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1729334), // Rule ID 13013 //
     /* 1729253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1729264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1729267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1729270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1729273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729299 */     // MIs[0] policy
     /* 1729299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729309 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1729312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729333 */     // GIR_Coverage, 13013,
     /* 1729333 */     GIR_EraseRootFromParent_Done,
     /* 1729334 */   // Label 23562: @1729334
     /* 1729334 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1729420), // Rule ID 13016 //
     /* 1729339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1729350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1729356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1729359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729385 */     // MIs[0] policy
     /* 1729385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729395 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1729398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729419 */     // GIR_Coverage, 13016,
     /* 1729419 */     GIR_EraseRootFromParent_Done,
     /* 1729420 */   // Label 23563: @1729420
     /* 1729420 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1729506), // Rule ID 13017 //
     /* 1729425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1729436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1729439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1729442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1729445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729471 */     // MIs[0] policy
     /* 1729471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1729484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729505 */     // GIR_Coverage, 13017,
     /* 1729505 */     GIR_EraseRootFromParent_Done,
     /* 1729506 */   // Label 23564: @1729506
     /* 1729506 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1729592), // Rule ID 13020 //
     /* 1729511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1729528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1729531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729557 */     // MIs[0] policy
     /* 1729557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1729570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729591 */     // GIR_Coverage, 13020,
     /* 1729591 */     GIR_EraseRootFromParent_Done,
     /* 1729592 */   // Label 23565: @1729592
     /* 1729592 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1729678), // Rule ID 13021 //
     /* 1729597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1729608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1729611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1729614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1729617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729643 */     // MIs[0] policy
     /* 1729643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1729656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729677 */     // GIR_Coverage, 13021,
     /* 1729677 */     GIR_EraseRootFromParent_Done,
     /* 1729678 */   // Label 23566: @1729678
     /* 1729678 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1729764), // Rule ID 13024 //
     /* 1729683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1729700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1729703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729729 */     // MIs[0] policy
     /* 1729729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1729742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729763 */     // GIR_Coverage, 13024,
     /* 1729763 */     GIR_EraseRootFromParent_Done,
     /* 1729764 */   // Label 23567: @1729764
     /* 1729764 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1729850), // Rule ID 13025 //
     /* 1729769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1729780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1729783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1729786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1729789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729815 */     // MIs[0] policy
     /* 1729815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1729828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729849 */     // GIR_Coverage, 13025,
     /* 1729849 */     GIR_EraseRootFromParent_Done,
     /* 1729850 */   // Label 23568: @1729850
     /* 1729850 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1729936), // Rule ID 13028 //
     /* 1729855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1729872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729901 */     // MIs[0] policy
     /* 1729901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1729914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1729918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729935 */     // GIR_Coverage, 13028,
     /* 1729935 */     GIR_EraseRootFromParent_Done,
     /* 1729936 */   // Label 23569: @1729936
     /* 1729936 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1730022), // Rule ID 13029 //
     /* 1729941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1729949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1729958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729987 */     // MIs[0] policy
     /* 1729987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1730000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730021 */     // GIR_Coverage, 13029,
     /* 1730021 */     GIR_EraseRootFromParent_Done,
     /* 1730022 */   // Label 23570: @1730022
     /* 1730022 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1730108), // Rule ID 13032 //
     /* 1730027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1730038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1730041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1730047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730073 */     // MIs[0] policy
     /* 1730073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1730086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730107 */     // GIR_Coverage, 13032,
     /* 1730107 */     GIR_EraseRootFromParent_Done,
     /* 1730108 */   // Label 23571: @1730108
     /* 1730108 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1730194), // Rule ID 13033 //
     /* 1730113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1730124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1730127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1730133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730159 */     // MIs[0] policy
     /* 1730159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1730172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730193 */     // GIR_Coverage, 13033,
     /* 1730193 */     GIR_EraseRootFromParent_Done,
     /* 1730194 */   // Label 23572: @1730194
     /* 1730194 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1730280), // Rule ID 13036 //
     /* 1730199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1730210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1730213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1730219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730245 */     // MIs[0] policy
     /* 1730245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1730258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730279 */     // GIR_Coverage, 13036,
     /* 1730279 */     GIR_EraseRootFromParent_Done,
     /* 1730280 */   // Label 23573: @1730280
     /* 1730280 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1730366), // Rule ID 13037 //
     /* 1730285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1730296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1730299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1730305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730331 */     // MIs[0] policy
     /* 1730331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1730344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730365 */     // GIR_Coverage, 13037,
     /* 1730365 */     GIR_EraseRootFromParent_Done,
     /* 1730366 */   // Label 23574: @1730366
     /* 1730366 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1730452), // Rule ID 13040 //
     /* 1730371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1730391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730417 */     // MIs[0] policy
     /* 1730417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730451 */     // GIR_Coverage, 13040,
     /* 1730451 */     GIR_EraseRootFromParent_Done,
     /* 1730452 */   // Label 23575: @1730452
     /* 1730452 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1730538), // Rule ID 13041 //
     /* 1730457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1730468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1730471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1730477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730503 */     // MIs[0] policy
     /* 1730503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730513 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730537 */     // GIR_Coverage, 13041,
     /* 1730537 */     GIR_EraseRootFromParent_Done,
     /* 1730538 */   // Label 23576: @1730538
     /* 1730538 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1730624), // Rule ID 13044 //
     /* 1730543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1730563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730589 */     // MIs[0] policy
     /* 1730589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730623 */     // GIR_Coverage, 13044,
     /* 1730623 */     GIR_EraseRootFromParent_Done,
     /* 1730624 */   // Label 23577: @1730624
     /* 1730624 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1730710), // Rule ID 13045 //
     /* 1730629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1730640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1730643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1730649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730675 */     // MIs[0] policy
     /* 1730675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730709 */     // GIR_Coverage, 13045,
     /* 1730709 */     GIR_EraseRootFromParent_Done,
     /* 1730710 */   // Label 23578: @1730710
     /* 1730710 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1730796), // Rule ID 13048 //
     /* 1730715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1730735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730761 */     // MIs[0] policy
     /* 1730761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730795 */     // GIR_Coverage, 13048,
     /* 1730795 */     GIR_EraseRootFromParent_Done,
     /* 1730796 */   // Label 23579: @1730796
     /* 1730796 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1730882), // Rule ID 13049 //
     /* 1730801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1730812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1730815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1730821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730847 */     // MIs[0] policy
     /* 1730847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730881 */     // GIR_Coverage, 13049,
     /* 1730881 */     GIR_EraseRootFromParent_Done,
     /* 1730882 */   // Label 23580: @1730882
     /* 1730882 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1730968), // Rule ID 13052 //
     /* 1730887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1730904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730933 */     // MIs[0] policy
     /* 1730933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1730946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1730950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730967 */     // GIR_Coverage, 13052,
     /* 1730967 */     GIR_EraseRootFromParent_Done,
     /* 1730968 */   // Label 23581: @1730968
     /* 1730968 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1731054), // Rule ID 13053 //
     /* 1730973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1730981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1730990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731019 */     // MIs[0] policy
     /* 1731019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1731032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731053 */     // GIR_Coverage, 13053,
     /* 1731053 */     GIR_EraseRootFromParent_Done,
     /* 1731054 */   // Label 23582: @1731054
     /* 1731054 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1731140), // Rule ID 13056 //
     /* 1731059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1731079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731105 */     // MIs[0] policy
     /* 1731105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1731118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731139 */     // GIR_Coverage, 13056,
     /* 1731139 */     GIR_EraseRootFromParent_Done,
     /* 1731140 */   // Label 23583: @1731140
     /* 1731140 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1731226), // Rule ID 13057 //
     /* 1731145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1731162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1731165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731191 */     // MIs[0] policy
     /* 1731191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1731204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731225 */     // GIR_Coverage, 13057,
     /* 1731225 */     GIR_EraseRootFromParent_Done,
     /* 1731226 */   // Label 23584: @1731226
     /* 1731226 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1731312), // Rule ID 13060 //
     /* 1731231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1731242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1731245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1731251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731277 */     // MIs[0] policy
     /* 1731277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1731290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731311 */     // GIR_Coverage, 13060,
     /* 1731311 */     GIR_EraseRootFromParent_Done,
     /* 1731312 */   // Label 23585: @1731312
     /* 1731312 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1731398), // Rule ID 13061 //
     /* 1731317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1731328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1731331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1731334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1731337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731363 */     // MIs[0] policy
     /* 1731363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1731376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731397 */     // GIR_Coverage, 13061,
     /* 1731397 */     GIR_EraseRootFromParent_Done,
     /* 1731398 */   // Label 23586: @1731398
     /* 1731398 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1731484), // Rule ID 13064 //
     /* 1731403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1731423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731449 */     // MIs[0] policy
     /* 1731449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1731462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731483 */     // GIR_Coverage, 13064,
     /* 1731483 */     GIR_EraseRootFromParent_Done,
     /* 1731484 */   // Label 23587: @1731484
     /* 1731484 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1731570), // Rule ID 13065 //
     /* 1731489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1731500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1731503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1731506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1731509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1731512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731535 */     // MIs[0] policy
     /* 1731535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731545 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1731548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731569 */     // GIR_Coverage, 13065,
     /* 1731569 */     GIR_EraseRootFromParent_Done,
     /* 1731570 */   // Label 23588: @1731570
     /* 1731570 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1731656), // Rule ID 13068 //
     /* 1731575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1731595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731621 */     // MIs[0] policy
     /* 1731621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1731634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731655 */     // GIR_Coverage, 13068,
     /* 1731655 */     GIR_EraseRootFromParent_Done,
     /* 1731656 */   // Label 23589: @1731656
     /* 1731656 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1731742), // Rule ID 13069 //
     /* 1731661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1731672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1731675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1731678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1731681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731707 */     // MIs[0] policy
     /* 1731707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1731720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731741 */     // GIR_Coverage, 13069,
     /* 1731741 */     GIR_EraseRootFromParent_Done,
     /* 1731742 */   // Label 23590: @1731742
     /* 1731742 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1731828), // Rule ID 13072 //
     /* 1731747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1731767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731793 */     // MIs[0] policy
     /* 1731793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1731806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731827 */     // GIR_Coverage, 13072,
     /* 1731827 */     GIR_EraseRootFromParent_Done,
     /* 1731828 */   // Label 23591: @1731828
     /* 1731828 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1731914), // Rule ID 13073 //
     /* 1731833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1731844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1731847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1731850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1731853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731879 */     // MIs[0] policy
     /* 1731879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1731892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731913 */     // GIR_Coverage, 13073,
     /* 1731913 */     GIR_EraseRootFromParent_Done,
     /* 1731914 */   // Label 23592: @1731914
     /* 1731914 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1732000), // Rule ID 13076 //
     /* 1731919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1731927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1731936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1731939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731965 */     // MIs[0] policy
     /* 1731965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1731978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1731982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731999 */     // GIR_Coverage, 13076,
     /* 1731999 */     GIR_EraseRootFromParent_Done,
     /* 1732000 */   // Label 23593: @1732000
     /* 1732000 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1732086), // Rule ID 13077 //
     /* 1732005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1732016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1732019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1732025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732051 */     // MIs[0] policy
     /* 1732051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1732064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732085 */     // GIR_Coverage, 13077,
     /* 1732085 */     GIR_EraseRootFromParent_Done,
     /* 1732086 */   // Label 23594: @1732086
     /* 1732086 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1732172), // Rule ID 13080 //
     /* 1732091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1732111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732137 */     // MIs[0] policy
     /* 1732137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1732150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732171 */     // GIR_Coverage, 13080,
     /* 1732171 */     GIR_EraseRootFromParent_Done,
     /* 1732172 */   // Label 23595: @1732172
     /* 1732172 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1732258), // Rule ID 13081 //
     /* 1732177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1732197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732223 */     // MIs[0] policy
     /* 1732223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1732236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732257 */     // GIR_Coverage, 13081,
     /* 1732257 */     GIR_EraseRootFromParent_Done,
     /* 1732258 */   // Label 23596: @1732258
     /* 1732258 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1732344), // Rule ID 13084 //
     /* 1732263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1732274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1732277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1732283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732309 */     // MIs[0] policy
     /* 1732309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1732322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732343 */     // GIR_Coverage, 13084,
     /* 1732343 */     GIR_EraseRootFromParent_Done,
     /* 1732344 */   // Label 23597: @1732344
     /* 1732344 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1732430), // Rule ID 13085 //
     /* 1732349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1732360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1732363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1732369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732395 */     // MIs[0] policy
     /* 1732395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1732408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732429 */     // GIR_Coverage, 13085,
     /* 1732429 */     GIR_EraseRootFromParent_Done,
     /* 1732430 */   // Label 23598: @1732430
     /* 1732430 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1732516), // Rule ID 13088 //
     /* 1732435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1732455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732481 */     // MIs[0] policy
     /* 1732481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1732494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732515 */     // GIR_Coverage, 13088,
     /* 1732515 */     GIR_EraseRootFromParent_Done,
     /* 1732516 */   // Label 23599: @1732516
     /* 1732516 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1732602), // Rule ID 13089 //
     /* 1732521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1732532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1732535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1732541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732567 */     // MIs[0] policy
     /* 1732567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1732580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732601 */     // GIR_Coverage, 13089,
     /* 1732601 */     GIR_EraseRootFromParent_Done,
     /* 1732602 */   // Label 23600: @1732602
     /* 1732602 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1732688), // Rule ID 13092 //
     /* 1732607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1732627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732653 */     // MIs[0] policy
     /* 1732653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1732666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732687 */     // GIR_Coverage, 13092,
     /* 1732687 */     GIR_EraseRootFromParent_Done,
     /* 1732688 */   // Label 23601: @1732688
     /* 1732688 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1732774), // Rule ID 13093 //
     /* 1732693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1732704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1732707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1732713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732739 */     // MIs[0] policy
     /* 1732739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1732752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732773 */     // GIR_Coverage, 13093,
     /* 1732773 */     GIR_EraseRootFromParent_Done,
     /* 1732774 */   // Label 23602: @1732774
     /* 1732774 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1732860), // Rule ID 13096 //
     /* 1732779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1732799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732825 */     // MIs[0] policy
     /* 1732825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1732838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732859 */     // GIR_Coverage, 13096,
     /* 1732859 */     GIR_EraseRootFromParent_Done,
     /* 1732860 */   // Label 23603: @1732860
     /* 1732860 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1732946), // Rule ID 13097 //
     /* 1732865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1732882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1732885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732911 */     // MIs[0] policy
     /* 1732911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1732924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1732928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732945 */     // GIR_Coverage, 13097,
     /* 1732945 */     GIR_EraseRootFromParent_Done,
     /* 1732946 */   // Label 23604: @1732946
     /* 1732946 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1733032), // Rule ID 13100 //
     /* 1732951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1732959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1732968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1732971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732997 */     // MIs[0] policy
     /* 1732997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1733010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733031 */     // GIR_Coverage, 13100,
     /* 1733031 */     GIR_EraseRootFromParent_Done,
     /* 1733032 */   // Label 23605: @1733032
     /* 1733032 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1733118), // Rule ID 13101 //
     /* 1733037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1733045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1733048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1733051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1733054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1733057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733083 */     // MIs[0] policy
     /* 1733083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1733096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733117 */     // GIR_Coverage, 13101,
     /* 1733117 */     GIR_EraseRootFromParent_Done,
     /* 1733118 */   // Label 23606: @1733118
     /* 1733118 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1733204), // Rule ID 13104 //
     /* 1733123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1733134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1733137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1733140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1733143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733169 */     // MIs[0] policy
     /* 1733169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1733182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733203 */     // GIR_Coverage, 13104,
     /* 1733203 */     GIR_EraseRootFromParent_Done,
     /* 1733204 */   // Label 23607: @1733204
     /* 1733204 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1733290), // Rule ID 13105 //
     /* 1733209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1733220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1733223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1733226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1733229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733255 */     // MIs[0] policy
     /* 1733255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733265 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1733268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733289 */     // GIR_Coverage, 13105,
     /* 1733289 */     GIR_EraseRootFromParent_Done,
     /* 1733290 */   // Label 23608: @1733290
     /* 1733290 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1733376), // Rule ID 13108 //
     /* 1733295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1733306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1733309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1733312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1733315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733341 */     // MIs[0] policy
     /* 1733341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733351 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1733354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733375 */     // GIR_Coverage, 13108,
     /* 1733375 */     GIR_EraseRootFromParent_Done,
     /* 1733376 */   // Label 23609: @1733376
     /* 1733376 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1733462), // Rule ID 13109 //
     /* 1733381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1733392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1733395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1733398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1733401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733427 */     // MIs[0] policy
     /* 1733427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733437 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1733440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733461 */     // GIR_Coverage, 13109,
     /* 1733461 */     GIR_EraseRootFromParent_Done,
     /* 1733462 */   // Label 23610: @1733462
     /* 1733462 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1733548), // Rule ID 13112 //
     /* 1733467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733513 */     // MIs[0] policy
     /* 1733513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1733526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733547 */     // GIR_Coverage, 13112,
     /* 1733547 */     GIR_EraseRootFromParent_Done,
     /* 1733548 */   // Label 23611: @1733548
     /* 1733548 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1733634), // Rule ID 13113 //
     /* 1733553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1733564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1733567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1733570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1733573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733599 */     // MIs[0] policy
     /* 1733599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733609 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1733612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733633 */     // GIR_Coverage, 13113,
     /* 1733633 */     GIR_EraseRootFromParent_Done,
     /* 1733634 */   // Label 23612: @1733634
     /* 1733634 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1733720), // Rule ID 13116 //
     /* 1733639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733685 */     // MIs[0] policy
     /* 1733685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1733698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733719 */     // GIR_Coverage, 13116,
     /* 1733719 */     GIR_EraseRootFromParent_Done,
     /* 1733720 */   // Label 23613: @1733720
     /* 1733720 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1733806), // Rule ID 13117 //
     /* 1733725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1733736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1733739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1733742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1733745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733771 */     // MIs[0] policy
     /* 1733771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733781 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1733784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733805 */     // GIR_Coverage, 13117,
     /* 1733805 */     GIR_EraseRootFromParent_Done,
     /* 1733806 */   // Label 23614: @1733806
     /* 1733806 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1733892), // Rule ID 13120 //
     /* 1733811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733857 */     // MIs[0] policy
     /* 1733857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1733870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733891 */     // GIR_Coverage, 13120,
     /* 1733891 */     GIR_EraseRootFromParent_Done,
     /* 1733892 */   // Label 23615: @1733892
     /* 1733892 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1733978), // Rule ID 13121 //
     /* 1733897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1733917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733943 */     // MIs[0] policy
     /* 1733943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733953 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1733956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1733960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733977 */     // GIR_Coverage, 13121,
     /* 1733977 */     GIR_EraseRootFromParent_Done,
     /* 1733978 */   // Label 23616: @1733978
     /* 1733978 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1734064), // Rule ID 13124 //
     /* 1733983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1733991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1734000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1734003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734029 */     // MIs[0] policy
     /* 1734029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1734042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734063 */     // GIR_Coverage, 13124,
     /* 1734063 */     GIR_EraseRootFromParent_Done,
     /* 1734064 */   // Label 23617: @1734064
     /* 1734064 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1734150), // Rule ID 13125 //
     /* 1734069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1734080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1734083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1734086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1734089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734115 */     // MIs[0] policy
     /* 1734115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1734128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734149 */     // GIR_Coverage, 13125,
     /* 1734149 */     GIR_EraseRootFromParent_Done,
     /* 1734150 */   // Label 23618: @1734150
     /* 1734150 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1734236), // Rule ID 13128 //
     /* 1734155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1734166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1734169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1734172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1734175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734201 */     // MIs[0] policy
     /* 1734201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734235 */     // GIR_Coverage, 13128,
     /* 1734235 */     GIR_EraseRootFromParent_Done,
     /* 1734236 */   // Label 23619: @1734236
     /* 1734236 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1734322), // Rule ID 13129 //
     /* 1734241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1734252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1734255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1734258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1734261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734287 */     // MIs[0] policy
     /* 1734287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734297 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734321 */     // GIR_Coverage, 13129,
     /* 1734321 */     GIR_EraseRootFromParent_Done,
     /* 1734322 */   // Label 23620: @1734322
     /* 1734322 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1734408), // Rule ID 13132 //
     /* 1734327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1734338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1734341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1734344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1734347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734373 */     // MIs[0] policy
     /* 1734373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734407 */     // GIR_Coverage, 13132,
     /* 1734407 */     GIR_EraseRootFromParent_Done,
     /* 1734408 */   // Label 23621: @1734408
     /* 1734408 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1734494), // Rule ID 13133 //
     /* 1734413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1734424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1734427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1734430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1734433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734459 */     // MIs[0] policy
     /* 1734459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734493 */     // GIR_Coverage, 13133,
     /* 1734493 */     GIR_EraseRootFromParent_Done,
     /* 1734494 */   // Label 23622: @1734494
     /* 1734494 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1734580), // Rule ID 13136 //
     /* 1734499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734545 */     // MIs[0] policy
     /* 1734545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734579 */     // GIR_Coverage, 13136,
     /* 1734579 */     GIR_EraseRootFromParent_Done,
     /* 1734580 */   // Label 23623: @1734580
     /* 1734580 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1734666), // Rule ID 13137 //
     /* 1734585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1734596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1734599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1734602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1734605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734631 */     // MIs[0] policy
     /* 1734631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734665 */     // GIR_Coverage, 13137,
     /* 1734665 */     GIR_EraseRootFromParent_Done,
     /* 1734666 */   // Label 23624: @1734666
     /* 1734666 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1734752), // Rule ID 13140 //
     /* 1734671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734717 */     // MIs[0] policy
     /* 1734717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734751 */     // GIR_Coverage, 13140,
     /* 1734751 */     GIR_EraseRootFromParent_Done,
     /* 1734752 */   // Label 23625: @1734752
     /* 1734752 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1734838), // Rule ID 13141 //
     /* 1734757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1734768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1734771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1734774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1734777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734803 */     // MIs[0] policy
     /* 1734803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1734816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734837 */     // GIR_Coverage, 13141,
     /* 1734837 */     GIR_EraseRootFromParent_Done,
     /* 1734838 */   // Label 23626: @1734838
     /* 1734838 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1734924), // Rule ID 13144 //
     /* 1734843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734889 */     // MIs[0] policy
     /* 1734889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1734902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734923 */     // GIR_Coverage, 13144,
     /* 1734923 */     GIR_EraseRootFromParent_Done,
     /* 1734924 */   // Label 23627: @1734924
     /* 1734924 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1735010), // Rule ID 13145 //
     /* 1734929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1734937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1734949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734975 */     // MIs[0] policy
     /* 1734975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1734988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1734992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735009 */     // GIR_Coverage, 13145,
     /* 1735009 */     GIR_EraseRootFromParent_Done,
     /* 1735010 */   // Label 23628: @1735010
     /* 1735010 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1735096), // Rule ID 13148 //
     /* 1735015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1735026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1735029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1735032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1735035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735061 */     // MIs[0] policy
     /* 1735061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1735074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735095 */     // GIR_Coverage, 13148,
     /* 1735095 */     GIR_EraseRootFromParent_Done,
     /* 1735096 */   // Label 23629: @1735096
     /* 1735096 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1735182), // Rule ID 13149 //
     /* 1735101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1735112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1735115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1735118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1735121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735147 */     // MIs[0] policy
     /* 1735147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1735160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735181 */     // GIR_Coverage, 13149,
     /* 1735181 */     GIR_EraseRootFromParent_Done,
     /* 1735182 */   // Label 23630: @1735182
     /* 1735182 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1735268), // Rule ID 13152 //
     /* 1735187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1735207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735233 */     // MIs[0] policy
     /* 1735233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1735246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735267 */     // GIR_Coverage, 13152,
     /* 1735267 */     GIR_EraseRootFromParent_Done,
     /* 1735268 */   // Label 23631: @1735268
     /* 1735268 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1735354), // Rule ID 13153 //
     /* 1735273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1735293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735319 */     // MIs[0] policy
     /* 1735319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735329 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1735332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735353 */     // GIR_Coverage, 13153,
     /* 1735353 */     GIR_EraseRootFromParent_Done,
     /* 1735354 */   // Label 23632: @1735354
     /* 1735354 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1735440), // Rule ID 13156 //
     /* 1735359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1735379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735405 */     // MIs[0] policy
     /* 1735405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1735418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735439 */     // GIR_Coverage, 13156,
     /* 1735439 */     GIR_EraseRootFromParent_Done,
     /* 1735440 */   // Label 23633: @1735440
     /* 1735440 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1735526), // Rule ID 13157 //
     /* 1735445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1735462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1735465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735491 */     // MIs[0] policy
     /* 1735491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1735504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735525 */     // GIR_Coverage, 13157,
     /* 1735525 */     GIR_EraseRootFromParent_Done,
     /* 1735526 */   // Label 23634: @1735526
     /* 1735526 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1735612), // Rule ID 13160 //
     /* 1735531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735577 */     // MIs[0] policy
     /* 1735577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1735590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735611 */     // GIR_Coverage, 13160,
     /* 1735611 */     GIR_EraseRootFromParent_Done,
     /* 1735612 */   // Label 23635: @1735612
     /* 1735612 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1735698), // Rule ID 13161 //
     /* 1735617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1735628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1735631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1735634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1735637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735663 */     // MIs[0] policy
     /* 1735663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1735676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735697 */     // GIR_Coverage, 13161,
     /* 1735697 */     GIR_EraseRootFromParent_Done,
     /* 1735698 */   // Label 23636: @1735698
     /* 1735698 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1735784), // Rule ID 13164 //
     /* 1735703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735749 */     // MIs[0] policy
     /* 1735749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1735762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735783 */     // GIR_Coverage, 13164,
     /* 1735783 */     GIR_EraseRootFromParent_Done,
     /* 1735784 */   // Label 23637: @1735784
     /* 1735784 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1735870), // Rule ID 13165 //
     /* 1735789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1735800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1735803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1735806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1735809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735835 */     // MIs[0] policy
     /* 1735835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735845 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1735848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735869 */     // GIR_Coverage, 13165,
     /* 1735869 */     GIR_EraseRootFromParent_Done,
     /* 1735870 */   // Label 23638: @1735870
     /* 1735870 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1735956), // Rule ID 13168 //
     /* 1735875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735921 */     // MIs[0] policy
     /* 1735921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1735934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1735938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735955 */     // GIR_Coverage, 13168,
     /* 1735955 */     GIR_EraseRootFromParent_Done,
     /* 1735956 */   // Label 23639: @1735956
     /* 1735956 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1736042), // Rule ID 13169 //
     /* 1735961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1735969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1735981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736007 */     // MIs[0] policy
     /* 1736007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1736020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736041 */     // GIR_Coverage, 13169,
     /* 1736041 */     GIR_EraseRootFromParent_Done,
     /* 1736042 */   // Label 23640: @1736042
     /* 1736042 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1736128), // Rule ID 13172 //
     /* 1736047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1736058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1736067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736093 */     // MIs[0] policy
     /* 1736093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736103 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1736106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736127 */     // GIR_Coverage, 13172,
     /* 1736127 */     GIR_EraseRootFromParent_Done,
     /* 1736128 */   // Label 23641: @1736128
     /* 1736128 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1736214), // Rule ID 13173 //
     /* 1736133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1736144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1736153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736179 */     // MIs[0] policy
     /* 1736179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736189 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1736192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736213 */     // GIR_Coverage, 13173,
     /* 1736213 */     GIR_EraseRootFromParent_Done,
     /* 1736214 */   // Label 23642: @1736214
     /* 1736214 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1736300), // Rule ID 13176 //
     /* 1736219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1736239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736265 */     // MIs[0] policy
     /* 1736265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1736278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736299 */     // GIR_Coverage, 13176,
     /* 1736299 */     GIR_EraseRootFromParent_Done,
     /* 1736300 */   // Label 23643: @1736300
     /* 1736300 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1736386), // Rule ID 13177 //
     /* 1736305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1736325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736351 */     // MIs[0] policy
     /* 1736351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1736364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736385 */     // GIR_Coverage, 13177,
     /* 1736385 */     GIR_EraseRootFromParent_Done,
     /* 1736386 */   // Label 23644: @1736386
     /* 1736386 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1736472), // Rule ID 13180 //
     /* 1736391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1736411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736437 */     // MIs[0] policy
     /* 1736437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1736450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736471 */     // GIR_Coverage, 13180,
     /* 1736471 */     GIR_EraseRootFromParent_Done,
     /* 1736472 */   // Label 23645: @1736472
     /* 1736472 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1736558), // Rule ID 13181 //
     /* 1736477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1736488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1736491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1736494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1736497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736523 */     // MIs[0] policy
     /* 1736523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1736536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736557 */     // GIR_Coverage, 13181,
     /* 1736557 */     GIR_EraseRootFromParent_Done,
     /* 1736558 */   // Label 23646: @1736558
     /* 1736558 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1736644), // Rule ID 13184 //
     /* 1736563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736609 */     // MIs[0] policy
     /* 1736609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1736622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736643 */     // GIR_Coverage, 13184,
     /* 1736643 */     GIR_EraseRootFromParent_Done,
     /* 1736644 */   // Label 23647: @1736644
     /* 1736644 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1736730), // Rule ID 13185 //
     /* 1736649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1736660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1736663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1736666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1736669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736695 */     // MIs[0] policy
     /* 1736695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1736708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736729 */     // GIR_Coverage, 13185,
     /* 1736729 */     GIR_EraseRootFromParent_Done,
     /* 1736730 */   // Label 23648: @1736730
     /* 1736730 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1736816), // Rule ID 13188 //
     /* 1736735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736781 */     // MIs[0] policy
     /* 1736781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1736794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736815 */     // GIR_Coverage, 13188,
     /* 1736815 */     GIR_EraseRootFromParent_Done,
     /* 1736816 */   // Label 23649: @1736816
     /* 1736816 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1736902), // Rule ID 13189 //
     /* 1736821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1736832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1736835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1736838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1736841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736867 */     // MIs[0] policy
     /* 1736867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736877 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1736880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736901 */     // GIR_Coverage, 13189,
     /* 1736901 */     GIR_EraseRootFromParent_Done,
     /* 1736902 */   // Label 23650: @1736902
     /* 1736902 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1736988), // Rule ID 13192 //
     /* 1736907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1736915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1736924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1736927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736953 */     // MIs[0] policy
     /* 1736953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1736966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1736970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736987 */     // GIR_Coverage, 13192,
     /* 1736987 */     GIR_EraseRootFromParent_Done,
     /* 1736988 */   // Label 23651: @1736988
     /* 1736988 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1737074), // Rule ID 13193 //
     /* 1736993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1737004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1737007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1737013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737039 */     // MIs[0] policy
     /* 1737039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737049 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1737052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737073 */     // GIR_Coverage, 13193,
     /* 1737073 */     GIR_EraseRootFromParent_Done,
     /* 1737074 */   // Label 23652: @1737074
     /* 1737074 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1737160), // Rule ID 13196 //
     /* 1737079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1737099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737125 */     // MIs[0] policy
     /* 1737125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1737138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737159 */     // GIR_Coverage, 13196,
     /* 1737159 */     GIR_EraseRootFromParent_Done,
     /* 1737160 */   // Label 23653: @1737160
     /* 1737160 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1737246), // Rule ID 13197 //
     /* 1737165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1737185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737211 */     // MIs[0] policy
     /* 1737211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1737224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737245 */     // GIR_Coverage, 13197,
     /* 1737245 */     GIR_EraseRootFromParent_Done,
     /* 1737246 */   // Label 23654: @1737246
     /* 1737246 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1737332), // Rule ID 13200 //
     /* 1737251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1737271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737297 */     // MIs[0] policy
     /* 1737297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737331 */     // GIR_Coverage, 13200,
     /* 1737331 */     GIR_EraseRootFromParent_Done,
     /* 1737332 */   // Label 23655: @1737332
     /* 1737332 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1737418), // Rule ID 13201 //
     /* 1737337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1737357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737383 */     // MIs[0] policy
     /* 1737383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737393 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737417 */     // GIR_Coverage, 13201,
     /* 1737417 */     GIR_EraseRootFromParent_Done,
     /* 1737418 */   // Label 23656: @1737418
     /* 1737418 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1737504), // Rule ID 13204 //
     /* 1737423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1737443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737469 */     // MIs[0] policy
     /* 1737469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737479 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1737482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737503 */     // GIR_Coverage, 13204,
     /* 1737503 */     GIR_EraseRootFromParent_Done,
     /* 1737504 */   // Label 23657: @1737504
     /* 1737504 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1737590), // Rule ID 13205 //
     /* 1737509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1737529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737555 */     // MIs[0] policy
     /* 1737555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737565 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1737568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737589 */     // GIR_Coverage, 13205,
     /* 1737589 */     GIR_EraseRootFromParent_Done,
     /* 1737590 */   // Label 23658: @1737590
     /* 1737590 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1737676), // Rule ID 13208 //
     /* 1737595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1737615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737641 */     // MIs[0] policy
     /* 1737641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737675 */     // GIR_Coverage, 13208,
     /* 1737675 */     GIR_EraseRootFromParent_Done,
     /* 1737676 */   // Label 23659: @1737676
     /* 1737676 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1737762), // Rule ID 13209 //
     /* 1737681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1737701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737727 */     // MIs[0] policy
     /* 1737727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737737 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737761 */     // GIR_Coverage, 13209,
     /* 1737761 */     GIR_EraseRootFromParent_Done,
     /* 1737762 */   // Label 23660: @1737762
     /* 1737762 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1737848), // Rule ID 13212 //
     /* 1737767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1737787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737813 */     // MIs[0] policy
     /* 1737813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737847 */     // GIR_Coverage, 13212,
     /* 1737847 */     GIR_EraseRootFromParent_Done,
     /* 1737848 */   // Label 23661: @1737848
     /* 1737848 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1737934), // Rule ID 13213 //
     /* 1737853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1737870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1737873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737899 */     // MIs[0] policy
     /* 1737899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1737912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1737916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737933 */     // GIR_Coverage, 13213,
     /* 1737933 */     GIR_EraseRootFromParent_Done,
     /* 1737934 */   // Label 23662: @1737934
     /* 1737934 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1738020), // Rule ID 13216 //
     /* 1737939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1737947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1737956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1737959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737985 */     // MIs[0] policy
     /* 1737985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1737998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738019 */     // GIR_Coverage, 13216,
     /* 1738019 */     GIR_EraseRootFromParent_Done,
     /* 1738020 */   // Label 23663: @1738020
     /* 1738020 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1738106), // Rule ID 13217 //
     /* 1738025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1738036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1738039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1738045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738071 */     // MIs[0] policy
     /* 1738071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738105 */     // GIR_Coverage, 13217,
     /* 1738105 */     GIR_EraseRootFromParent_Done,
     /* 1738106 */   // Label 23664: @1738106
     /* 1738106 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1738192), // Rule ID 13220 //
     /* 1738111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1738131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738157 */     // MIs[0] policy
     /* 1738157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738191 */     // GIR_Coverage, 13220,
     /* 1738191 */     GIR_EraseRootFromParent_Done,
     /* 1738192 */   // Label 23665: @1738192
     /* 1738192 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1738278), // Rule ID 13221 //
     /* 1738197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1738217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738243 */     // MIs[0] policy
     /* 1738243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738277 */     // GIR_Coverage, 13221,
     /* 1738277 */     GIR_EraseRootFromParent_Done,
     /* 1738278 */   // Label 23666: @1738278
     /* 1738278 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1738364), // Rule ID 13224 //
     /* 1738283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1738303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738329 */     // MIs[0] policy
     /* 1738329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738363 */     // GIR_Coverage, 13224,
     /* 1738363 */     GIR_EraseRootFromParent_Done,
     /* 1738364 */   // Label 23667: @1738364
     /* 1738364 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1738450), // Rule ID 13225 //
     /* 1738369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1738389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738415 */     // MIs[0] policy
     /* 1738415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738449 */     // GIR_Coverage, 13225,
     /* 1738449 */     GIR_EraseRootFromParent_Done,
     /* 1738450 */   // Label 23668: @1738450
     /* 1738450 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1738536), // Rule ID 13228 //
     /* 1738455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1738475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738501 */     // MIs[0] policy
     /* 1738501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738535 */     // GIR_Coverage, 13228,
     /* 1738535 */     GIR_EraseRootFromParent_Done,
     /* 1738536 */   // Label 23669: @1738536
     /* 1738536 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1738622), // Rule ID 13229 //
     /* 1738541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1738552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1738555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1738561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738587 */     // MIs[0] policy
     /* 1738587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738597 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1738600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738621 */     // GIR_Coverage, 13229,
     /* 1738621 */     GIR_EraseRootFromParent_Done,
     /* 1738622 */   // Label 23670: @1738622
     /* 1738622 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1738708), // Rule ID 13232 //
     /* 1738627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1738647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738673 */     // MIs[0] policy
     /* 1738673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1738686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738707 */     // GIR_Coverage, 13232,
     /* 1738707 */     GIR_EraseRootFromParent_Done,
     /* 1738708 */   // Label 23671: @1738708
     /* 1738708 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1738794), // Rule ID 13233 //
     /* 1738713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1738733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738759 */     // MIs[0] policy
     /* 1738759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1738772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738793 */     // GIR_Coverage, 13233,
     /* 1738793 */     GIR_EraseRootFromParent_Done,
     /* 1738794 */   // Label 23672: @1738794
     /* 1738794 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1738880), // Rule ID 13236 //
     /* 1738799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1738819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738845 */     // MIs[0] policy
     /* 1738845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738855 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1738858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738879 */     // GIR_Coverage, 13236,
     /* 1738879 */     GIR_EraseRootFromParent_Done,
     /* 1738880 */   // Label 23673: @1738880
     /* 1738880 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1738966), // Rule ID 13237 //
     /* 1738885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1738902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1738905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738931 */     // MIs[0] policy
     /* 1738931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738941 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1738944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1738948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738965 */     // GIR_Coverage, 13237,
     /* 1738965 */     GIR_EraseRootFromParent_Done,
     /* 1738966 */   // Label 23674: @1738966
     /* 1738966 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1739052), // Rule ID 13240 //
     /* 1738971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1738979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1738988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1738991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739017 */     // MIs[0] policy
     /* 1739017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739027 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1739030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739051 */     // GIR_Coverage, 13240,
     /* 1739051 */     GIR_EraseRootFromParent_Done,
     /* 1739052 */   // Label 23675: @1739052
     /* 1739052 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1739138), // Rule ID 13241 //
     /* 1739057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1739068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1739071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1739077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1739080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739103 */     // MIs[0] policy
     /* 1739103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739113 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1739116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739137 */     // GIR_Coverage, 13241,
     /* 1739137 */     GIR_EraseRootFromParent_Done,
     /* 1739138 */   // Label 23676: @1739138
     /* 1739138 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1739224), // Rule ID 13244 //
     /* 1739143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1739160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1739163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739189 */     // MIs[0] policy
     /* 1739189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1739202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739223 */     // GIR_Coverage, 13244,
     /* 1739223 */     GIR_EraseRootFromParent_Done,
     /* 1739224 */   // Label 23677: @1739224
     /* 1739224 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1739310), // Rule ID 13245 //
     /* 1739229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1739249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739275 */     // MIs[0] policy
     /* 1739275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739285 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1739288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739309 */     // GIR_Coverage, 13245,
     /* 1739309 */     GIR_EraseRootFromParent_Done,
     /* 1739310 */   // Label 23678: @1739310
     /* 1739310 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1739396), // Rule ID 13248 //
     /* 1739315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1739332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1739335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739361 */     // MIs[0] policy
     /* 1739361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1739374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739395 */     // GIR_Coverage, 13248,
     /* 1739395 */     GIR_EraseRootFromParent_Done,
     /* 1739396 */   // Label 23679: @1739396
     /* 1739396 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1739482), // Rule ID 13249 //
     /* 1739401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1739421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739447 */     // MIs[0] policy
     /* 1739447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739457 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1739460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739481 */     // GIR_Coverage, 13249,
     /* 1739481 */     GIR_EraseRootFromParent_Done,
     /* 1739482 */   // Label 23680: @1739482
     /* 1739482 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1739568), // Rule ID 13252 //
     /* 1739487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1739504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1739507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739533 */     // MIs[0] policy
     /* 1739533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1739546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739567 */     // GIR_Coverage, 13252,
     /* 1739567 */     GIR_EraseRootFromParent_Done,
     /* 1739568 */   // Label 23681: @1739568
     /* 1739568 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1739654), // Rule ID 13253 //
     /* 1739573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1739593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739619 */     // MIs[0] policy
     /* 1739619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1739632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739653 */     // GIR_Coverage, 13253,
     /* 1739653 */     GIR_EraseRootFromParent_Done,
     /* 1739654 */   // Label 23682: @1739654
     /* 1739654 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1739740), // Rule ID 13256 //
     /* 1739659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1739676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1739679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739705 */     // MIs[0] policy
     /* 1739705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1739718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739739 */     // GIR_Coverage, 13256,
     /* 1739739 */     GIR_EraseRootFromParent_Done,
     /* 1739740 */   // Label 23683: @1739740
     /* 1739740 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1739826), // Rule ID 13257 //
     /* 1739745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1739765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739791 */     // MIs[0] policy
     /* 1739791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1739804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739825 */     // GIR_Coverage, 13257,
     /* 1739825 */     GIR_EraseRootFromParent_Done,
     /* 1739826 */   // Label 23684: @1739826
     /* 1739826 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1739912), // Rule ID 13260 //
     /* 1739831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1739848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1739851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739877 */     // MIs[0] policy
     /* 1739877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1739890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739911 */     // GIR_Coverage, 13260,
     /* 1739911 */     GIR_EraseRootFromParent_Done,
     /* 1739912 */   // Label 23685: @1739912
     /* 1739912 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1739998), // Rule ID 13261 //
     /* 1739917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1739925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1739934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1739937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739963 */     // MIs[0] policy
     /* 1739963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1739976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1739980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739997 */     // GIR_Coverage, 13261,
     /* 1739997 */     GIR_EraseRootFromParent_Done,
     /* 1739998 */   // Label 23686: @1739998
     /* 1739998 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1740084), // Rule ID 13264 //
     /* 1740003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1740014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1740017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1740020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1740023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740049 */     // MIs[0] policy
     /* 1740049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1740062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740083 */     // GIR_Coverage, 13264,
     /* 1740083 */     GIR_EraseRootFromParent_Done,
     /* 1740084 */   // Label 23687: @1740084
     /* 1740084 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1740170), // Rule ID 13265 //
     /* 1740089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1740100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1740103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1740106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1740109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740135 */     // MIs[0] policy
     /* 1740135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740145 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1740148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740169 */     // GIR_Coverage, 13265,
     /* 1740169 */     GIR_EraseRootFromParent_Done,
     /* 1740170 */   // Label 23688: @1740170
     /* 1740170 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1740256), // Rule ID 13268 //
     /* 1740175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1740186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1740189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1740192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1740195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740221 */     // MIs[0] policy
     /* 1740221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1740234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740255 */     // GIR_Coverage, 13268,
     /* 1740255 */     GIR_EraseRootFromParent_Done,
     /* 1740256 */   // Label 23689: @1740256
     /* 1740256 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1740342), // Rule ID 13269 //
     /* 1740261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1740272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1740275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1740278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1740281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740307 */     // MIs[0] policy
     /* 1740307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1740320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740341 */     // GIR_Coverage, 13269,
     /* 1740341 */     GIR_EraseRootFromParent_Done,
     /* 1740342 */   // Label 23690: @1740342
     /* 1740342 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1740428), // Rule ID 13272 //
     /* 1740347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1740364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1740367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740393 */     // MIs[0] policy
     /* 1740393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1740406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740427 */     // GIR_Coverage, 13272,
     /* 1740427 */     GIR_EraseRootFromParent_Done,
     /* 1740428 */   // Label 23691: @1740428
     /* 1740428 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1740514), // Rule ID 13273 //
     /* 1740433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1740444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1740447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1740450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1740453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740479 */     // MIs[0] policy
     /* 1740479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1740492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740513 */     // GIR_Coverage, 13273,
     /* 1740513 */     GIR_EraseRootFromParent_Done,
     /* 1740514 */   // Label 23692: @1740514
     /* 1740514 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1740600), // Rule ID 13276 //
     /* 1740519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1740522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1740536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1740539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740565 */     // MIs[0] policy
     /* 1740565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1740578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740599 */     // GIR_Coverage, 13276,
     /* 1740599 */     GIR_EraseRootFromParent_Done,
     /* 1740600 */   // Label 23693: @1740600
     /* 1740600 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1740686), // Rule ID 13277 //
     /* 1740605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1740608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1740613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1740616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1740619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1740622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1740625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740651 */     // MIs[0] policy
     /* 1740651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1740664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1740682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740685 */     // GIR_Coverage, 13277,
     /* 1740685 */     GIR_EraseRootFromParent_Done,
     /* 1740686 */   // Label 23694: @1740686
     /* 1740686 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1740772), // Rule ID 13280 //
     /* 1740691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1740699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740737 */     // MIs[0] policy
     /* 1740737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1740750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740771 */     // GIR_Coverage, 13280,
     /* 1740771 */     GIR_EraseRootFromParent_Done,
     /* 1740772 */   // Label 23695: @1740772
     /* 1740772 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1740858), // Rule ID 13281 //
     /* 1740777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1740785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740823 */     // MIs[0] policy
     /* 1740823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1740836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740857 */     // GIR_Coverage, 13281,
     /* 1740857 */     GIR_EraseRootFromParent_Done,
     /* 1740858 */   // Label 23696: @1740858
     /* 1740858 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1740944), // Rule ID 13284 //
     /* 1740863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1740871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740909 */     // MIs[0] policy
     /* 1740909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1740922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1740926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740943 */     // GIR_Coverage, 13284,
     /* 1740943 */     GIR_EraseRootFromParent_Done,
     /* 1740944 */   // Label 23697: @1740944
     /* 1740944 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1741030), // Rule ID 13285 //
     /* 1740949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1740957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740995 */     // MIs[0] policy
     /* 1740995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1741008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741029 */     // GIR_Coverage, 13285,
     /* 1741029 */     GIR_EraseRootFromParent_Done,
     /* 1741030 */   // Label 23698: @1741030
     /* 1741030 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1741116), // Rule ID 13288 //
     /* 1741035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1741052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1741055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741081 */     // MIs[0] policy
     /* 1741081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1741094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741115 */     // GIR_Coverage, 13288,
     /* 1741115 */     GIR_EraseRootFromParent_Done,
     /* 1741116 */   // Label 23699: @1741116
     /* 1741116 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1741202), // Rule ID 13289 //
     /* 1741121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1741138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1741141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741167 */     // MIs[0] policy
     /* 1741167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1741180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741201 */     // GIR_Coverage, 13289,
     /* 1741201 */     GIR_EraseRootFromParent_Done,
     /* 1741202 */   // Label 23700: @1741202
     /* 1741202 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1741288), // Rule ID 13292 //
     /* 1741207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741253 */     // MIs[0] policy
     /* 1741253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1741266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741287 */     // GIR_Coverage, 13292,
     /* 1741287 */     GIR_EraseRootFromParent_Done,
     /* 1741288 */   // Label 23701: @1741288
     /* 1741288 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1741374), // Rule ID 13293 //
     /* 1741293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1741304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1741307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741339 */     // MIs[0] policy
     /* 1741339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741349 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1741352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741373 */     // GIR_Coverage, 13293,
     /* 1741373 */     GIR_EraseRootFromParent_Done,
     /* 1741374 */   // Label 23702: @1741374
     /* 1741374 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1741460), // Rule ID 13296 //
     /* 1741379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741425 */     // MIs[0] policy
     /* 1741425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1741438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741459 */     // GIR_Coverage, 13296,
     /* 1741459 */     GIR_EraseRootFromParent_Done,
     /* 1741460 */   // Label 23703: @1741460
     /* 1741460 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1741546), // Rule ID 13297 //
     /* 1741465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1741476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1741479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741511 */     // MIs[0] policy
     /* 1741511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1741524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741545 */     // GIR_Coverage, 13297,
     /* 1741545 */     GIR_EraseRootFromParent_Done,
     /* 1741546 */   // Label 23704: @1741546
     /* 1741546 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1741632), // Rule ID 13300 //
     /* 1741551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741597 */     // MIs[0] policy
     /* 1741597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741607 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1741610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741631 */     // GIR_Coverage, 13300,
     /* 1741631 */     GIR_EraseRootFromParent_Done,
     /* 1741632 */   // Label 23705: @1741632
     /* 1741632 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1741718), // Rule ID 13301 //
     /* 1741637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741683 */     // MIs[0] policy
     /* 1741683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1741696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741717 */     // GIR_Coverage, 13301,
     /* 1741717 */     GIR_EraseRootFromParent_Done,
     /* 1741718 */   // Label 23706: @1741718
     /* 1741718 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1741804), // Rule ID 13304 //
     /* 1741723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1741740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1741743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741769 */     // MIs[0] policy
     /* 1741769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1741782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741803 */     // GIR_Coverage, 13304,
     /* 1741803 */     GIR_EraseRootFromParent_Done,
     /* 1741804 */   // Label 23707: @1741804
     /* 1741804 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1741890), // Rule ID 13305 //
     /* 1741809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1741826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1741829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741855 */     // MIs[0] policy
     /* 1741855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1741868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741889 */     // GIR_Coverage, 13305,
     /* 1741889 */     GIR_EraseRootFromParent_Done,
     /* 1741890 */   // Label 23708: @1741890
     /* 1741890 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1741976), // Rule ID 13308 //
     /* 1741895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1741915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741941 */     // MIs[0] policy
     /* 1741941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1741954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1741958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741975 */     // GIR_Coverage, 13308,
     /* 1741975 */     GIR_EraseRootFromParent_Done,
     /* 1741976 */   // Label 23709: @1741976
     /* 1741976 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1742062), // Rule ID 13309 //
     /* 1741981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1741989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1741998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1742001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742027 */     // MIs[0] policy
     /* 1742027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1742040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742061 */     // GIR_Coverage, 13309,
     /* 1742061 */     GIR_EraseRootFromParent_Done,
     /* 1742062 */   // Label 23710: @1742062
     /* 1742062 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1742148), // Rule ID 13312 //
     /* 1742067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1742084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1742087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742113 */     // MIs[0] policy
     /* 1742113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1742126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742147 */     // GIR_Coverage, 13312,
     /* 1742147 */     GIR_EraseRootFromParent_Done,
     /* 1742148 */   // Label 23711: @1742148
     /* 1742148 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1742234), // Rule ID 13313 //
     /* 1742153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1742170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1742173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742199 */     // MIs[0] policy
     /* 1742199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1742212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742233 */     // GIR_Coverage, 13313,
     /* 1742233 */     GIR_EraseRootFromParent_Done,
     /* 1742234 */   // Label 23712: @1742234
     /* 1742234 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1742320), // Rule ID 13316 //
     /* 1742239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742285 */     // MIs[0] policy
     /* 1742285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1742298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742319 */     // GIR_Coverage, 13316,
     /* 1742319 */     GIR_EraseRootFromParent_Done,
     /* 1742320 */   // Label 23713: @1742320
     /* 1742320 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1742406), // Rule ID 13317 //
     /* 1742325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742371 */     // MIs[0] policy
     /* 1742371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1742384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742405 */     // GIR_Coverage, 13317,
     /* 1742405 */     GIR_EraseRootFromParent_Done,
     /* 1742406 */   // Label 23714: @1742406
     /* 1742406 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1742492), // Rule ID 13320 //
     /* 1742411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742457 */     // MIs[0] policy
     /* 1742457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1742470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742491 */     // GIR_Coverage, 13320,
     /* 1742491 */     GIR_EraseRootFromParent_Done,
     /* 1742492 */   // Label 23715: @1742492
     /* 1742492 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1742578), // Rule ID 13321 //
     /* 1742497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742543 */     // MIs[0] policy
     /* 1742543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1742556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742577 */     // GIR_Coverage, 13321,
     /* 1742577 */     GIR_EraseRootFromParent_Done,
     /* 1742578 */   // Label 23716: @1742578
     /* 1742578 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1742664), // Rule ID 13324 //
     /* 1742583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1742586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1742594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1742597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1742600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1742603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742629 */     // MIs[0] policy
     /* 1742629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1742642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742663 */     // GIR_Coverage, 13324,
     /* 1742663 */     GIR_EraseRootFromParent_Done,
     /* 1742664 */   // Label 23717: @1742664
     /* 1742664 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1742750), // Rule ID 13325 //
     /* 1742669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1742672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1742680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1742683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1742686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1742689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742715 */     // MIs[0] policy
     /* 1742715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1742728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742749 */     // GIR_Coverage, 13325,
     /* 1742749 */     GIR_EraseRootFromParent_Done,
     /* 1742750 */   // Label 23718: @1742750
     /* 1742750 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1742836), // Rule ID 13328 //
     /* 1742755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1742758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1742772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1742775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742801 */     // MIs[0] policy
     /* 1742801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1742814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742835 */     // GIR_Coverage, 13328,
     /* 1742835 */     GIR_EraseRootFromParent_Done,
     /* 1742836 */   // Label 23719: @1742836
     /* 1742836 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1742922), // Rule ID 13329 //
     /* 1742841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1742844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1742852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1742855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1742858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1742861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742887 */     // MIs[0] policy
     /* 1742887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1742900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742921 */     // GIR_Coverage, 13329,
     /* 1742921 */     GIR_EraseRootFromParent_Done,
     /* 1742922 */   // Label 23720: @1742922
     /* 1742922 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1743008), // Rule ID 13332 //
     /* 1742927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1742930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1742935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1742938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1742941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742973 */     // MIs[0] policy
     /* 1742973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1742986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1742990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743007 */     // GIR_Coverage, 13332,
     /* 1743007 */     GIR_EraseRootFromParent_Done,
     /* 1743008 */   // Label 23721: @1743008
     /* 1743008 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1743094), // Rule ID 13333 //
     /* 1743013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1743016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1743024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1743027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1743030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1743033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743059 */     // MIs[0] policy
     /* 1743059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1743072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743093 */     // GIR_Coverage, 13333,
     /* 1743093 */     GIR_EraseRootFromParent_Done,
     /* 1743094 */   // Label 23722: @1743094
     /* 1743094 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1743180), // Rule ID 13336 //
     /* 1743099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1743102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743145 */     // MIs[0] policy
     /* 1743145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743155 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1743158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743179 */     // GIR_Coverage, 13336,
     /* 1743179 */     GIR_EraseRootFromParent_Done,
     /* 1743180 */   // Label 23723: @1743180
     /* 1743180 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1743266), // Rule ID 13337 //
     /* 1743185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1743188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1743205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743231 */     // MIs[0] policy
     /* 1743231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743241 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1743244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743265 */     // GIR_Coverage, 13337,
     /* 1743265 */     GIR_EraseRootFromParent_Done,
     /* 1743266 */   // Label 23724: @1743266
     /* 1743266 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1743352), // Rule ID 13340 //
     /* 1743271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1743288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1743291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743317 */     // MIs[0] policy
     /* 1743317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1743330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743351 */     // GIR_Coverage, 13340,
     /* 1743351 */     GIR_EraseRootFromParent_Done,
     /* 1743352 */   // Label 23725: @1743352
     /* 1743352 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1743438), // Rule ID 13341 //
     /* 1743357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1743374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1743377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743403 */     // MIs[0] policy
     /* 1743403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1743416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743437 */     // GIR_Coverage, 13341,
     /* 1743437 */     GIR_EraseRootFromParent_Done,
     /* 1743438 */   // Label 23726: @1743438
     /* 1743438 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1743524), // Rule ID 13344 //
     /* 1743443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1743460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1743463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743489 */     // MIs[0] policy
     /* 1743489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1743502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743523 */     // GIR_Coverage, 13344,
     /* 1743523 */     GIR_EraseRootFromParent_Done,
     /* 1743524 */   // Label 23727: @1743524
     /* 1743524 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1743610), // Rule ID 13345 //
     /* 1743529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1743546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1743549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743575 */     // MIs[0] policy
     /* 1743575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743585 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1743588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743609 */     // GIR_Coverage, 13345,
     /* 1743609 */     GIR_EraseRootFromParent_Done,
     /* 1743610 */   // Label 23728: @1743610
     /* 1743610 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1743696), // Rule ID 13348 //
     /* 1743615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1743626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1743629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1743632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1743635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743661 */     // MIs[0] policy
     /* 1743661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1743674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743695 */     // GIR_Coverage, 13348,
     /* 1743695 */     GIR_EraseRootFromParent_Done,
     /* 1743696 */   // Label 23729: @1743696
     /* 1743696 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1743782), // Rule ID 13349 //
     /* 1743701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1743712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1743715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1743718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1743721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743747 */     // MIs[0] policy
     /* 1743747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1743760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743781 */     // GIR_Coverage, 13349,
     /* 1743781 */     GIR_EraseRootFromParent_Done,
     /* 1743782 */   // Label 23730: @1743782
     /* 1743782 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1743868), // Rule ID 13352 //
     /* 1743787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1743798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1743801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1743804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1743807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743833 */     // MIs[0] policy
     /* 1743833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1743846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743867 */     // GIR_Coverage, 13352,
     /* 1743867 */     GIR_EraseRootFromParent_Done,
     /* 1743868 */   // Label 23731: @1743868
     /* 1743868 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1743954), // Rule ID 13353 //
     /* 1743873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1743884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1743887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1743890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1743893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743919 */     // MIs[0] policy
     /* 1743919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743929 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1743932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1743936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743953 */     // GIR_Coverage, 13353,
     /* 1743953 */     GIR_EraseRootFromParent_Done,
     /* 1743954 */   // Label 23732: @1743954
     /* 1743954 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1744040), // Rule ID 13356 //
     /* 1743959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1743967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1743970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1743973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1743976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1743979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744005 */     // MIs[0] policy
     /* 1744005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744015 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1744018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744039 */     // GIR_Coverage, 13356,
     /* 1744039 */     GIR_EraseRootFromParent_Done,
     /* 1744040 */   // Label 23733: @1744040
     /* 1744040 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1744126), // Rule ID 13357 //
     /* 1744045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1744056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1744059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1744065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744091 */     // MIs[0] policy
     /* 1744091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1744104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744125 */     // GIR_Coverage, 13357,
     /* 1744125 */     GIR_EraseRootFromParent_Done,
     /* 1744126 */   // Label 23734: @1744126
     /* 1744126 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1744212), // Rule ID 13360 //
     /* 1744131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1744142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1744145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1744148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1744151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744177 */     // MIs[0] policy
     /* 1744177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1744190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744211 */     // GIR_Coverage, 13360,
     /* 1744211 */     GIR_EraseRootFromParent_Done,
     /* 1744212 */   // Label 23735: @1744212
     /* 1744212 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1744298), // Rule ID 13361 //
     /* 1744217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1744228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1744231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1744237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744263 */     // MIs[0] policy
     /* 1744263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1744276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744297 */     // GIR_Coverage, 13361,
     /* 1744297 */     GIR_EraseRootFromParent_Done,
     /* 1744298 */   // Label 23736: @1744298
     /* 1744298 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1744384), // Rule ID 13364 //
     /* 1744303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1744320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1744323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744349 */     // MIs[0] policy
     /* 1744349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1744362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744383 */     // GIR_Coverage, 13364,
     /* 1744383 */     GIR_EraseRootFromParent_Done,
     /* 1744384 */   // Label 23737: @1744384
     /* 1744384 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1744470), // Rule ID 13365 //
     /* 1744389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1744409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744435 */     // MIs[0] policy
     /* 1744435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1744448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744469 */     // GIR_Coverage, 13365,
     /* 1744469 */     GIR_EraseRootFromParent_Done,
     /* 1744470 */   // Label 23738: @1744470
     /* 1744470 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1744556), // Rule ID 13368 //
     /* 1744475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1744492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1744495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744521 */     // MIs[0] policy
     /* 1744521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1744534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744555 */     // GIR_Coverage, 13368,
     /* 1744555 */     GIR_EraseRootFromParent_Done,
     /* 1744556 */   // Label 23739: @1744556
     /* 1744556 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1744642), // Rule ID 13369 //
     /* 1744561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1744581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744607 */     // MIs[0] policy
     /* 1744607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1744620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744641 */     // GIR_Coverage, 13369,
     /* 1744641 */     GIR_EraseRootFromParent_Done,
     /* 1744642 */   // Label 23740: @1744642
     /* 1744642 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1744728), // Rule ID 13372 //
     /* 1744647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1744658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1744661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1744664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1744667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744693 */     // MIs[0] policy
     /* 1744693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1744706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744727 */     // GIR_Coverage, 13372,
     /* 1744727 */     GIR_EraseRootFromParent_Done,
     /* 1744728 */   // Label 23741: @1744728
     /* 1744728 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1744814), // Rule ID 13373 //
     /* 1744733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1744744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1744747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1744753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744779 */     // MIs[0] policy
     /* 1744779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1744792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744813 */     // GIR_Coverage, 13373,
     /* 1744813 */     GIR_EraseRootFromParent_Done,
     /* 1744814 */   // Label 23742: @1744814
     /* 1744814 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1744900), // Rule ID 13376 //
     /* 1744819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1744830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1744833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1744836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1744839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744865 */     // MIs[0] policy
     /* 1744865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1744878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744899 */     // GIR_Coverage, 13376,
     /* 1744899 */     GIR_EraseRootFromParent_Done,
     /* 1744900 */   // Label 23743: @1744900
     /* 1744900 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1744986), // Rule ID 13377 //
     /* 1744905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1744916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1744919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1744922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1744925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744951 */     // MIs[0] policy
     /* 1744951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1744964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1744968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744985 */     // GIR_Coverage, 13377,
     /* 1744985 */     GIR_EraseRootFromParent_Done,
     /* 1744986 */   // Label 23744: @1744986
     /* 1744986 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1745072), // Rule ID 13380 //
     /* 1744991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1744999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1745008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1745011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745037 */     // MIs[0] policy
     /* 1745037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1745050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745071 */     // GIR_Coverage, 13380,
     /* 1745071 */     GIR_EraseRootFromParent_Done,
     /* 1745072 */   // Label 23745: @1745072
     /* 1745072 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1745158), // Rule ID 13381 //
     /* 1745077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1745088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1745091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1745094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1745097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745123 */     // MIs[0] policy
     /* 1745123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1745136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745157 */     // GIR_Coverage, 13381,
     /* 1745157 */     GIR_EraseRootFromParent_Done,
     /* 1745158 */   // Label 23746: @1745158
     /* 1745158 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1745244), // Rule ID 13384 //
     /* 1745163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1745166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1745174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1745177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1745180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745209 */     // MIs[0] policy
     /* 1745209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1745222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745243 */     // GIR_Coverage, 13384,
     /* 1745243 */     GIR_EraseRootFromParent_Done,
     /* 1745244 */   // Label 23747: @1745244
     /* 1745244 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1745330), // Rule ID 13385 //
     /* 1745249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1745252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1745260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1745263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1745266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745295 */     // MIs[0] policy
     /* 1745295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1745308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745329 */     // GIR_Coverage, 13385,
     /* 1745329 */     GIR_EraseRootFromParent_Done,
     /* 1745330 */   // Label 23748: @1745330
     /* 1745330 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1745416), // Rule ID 13388 //
     /* 1745335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1745338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1745346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1745349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1745352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745381 */     // MIs[0] policy
     /* 1745381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1745394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745415 */     // GIR_Coverage, 13388,
     /* 1745415 */     GIR_EraseRootFromParent_Done,
     /* 1745416 */   // Label 23749: @1745416
     /* 1745416 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1745502), // Rule ID 13389 //
     /* 1745421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1745424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1745432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1745435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1745438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745467 */     // MIs[0] policy
     /* 1745467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1745480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745501 */     // GIR_Coverage, 13389,
     /* 1745501 */     GIR_EraseRootFromParent_Done,
     /* 1745502 */   // Label 23750: @1745502
     /* 1745502 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1745588), // Rule ID 13392 //
     /* 1745507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1745510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1745518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1745521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1745524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1745527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745553 */     // MIs[0] policy
     /* 1745553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1745566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745587 */     // GIR_Coverage, 13392,
     /* 1745587 */     GIR_EraseRootFromParent_Done,
     /* 1745588 */   // Label 23751: @1745588
     /* 1745588 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1745674), // Rule ID 13393 //
     /* 1745593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1745596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1745604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1745607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1745610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1745613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745639 */     // MIs[0] policy
     /* 1745639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745649 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1745652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745673 */     // GIR_Coverage, 13393,
     /* 1745673 */     GIR_EraseRootFromParent_Done,
     /* 1745674 */   // Label 23752: @1745674
     /* 1745674 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1745760), // Rule ID 13396 //
     /* 1745679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1745682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1745690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1745693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1745696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1745699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745725 */     // MIs[0] policy
     /* 1745725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745735 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1745738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745759 */     // GIR_Coverage, 13396,
     /* 1745759 */     GIR_EraseRootFromParent_Done,
     /* 1745760 */   // Label 23753: @1745760
     /* 1745760 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1745846), // Rule ID 13397 //
     /* 1745765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1745768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1745773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1745776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1745779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1745782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1745785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745811 */     // MIs[0] policy
     /* 1745811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1745824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745845 */     // GIR_Coverage, 13397,
     /* 1745845 */     GIR_EraseRootFromParent_Done,
     /* 1745846 */   // Label 23754: @1745846
     /* 1745846 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1745932), // Rule ID 13400 //
     /* 1745851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1745859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1745868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1745871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745897 */     // MIs[0] policy
     /* 1745897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1745910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1745914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745931 */     // GIR_Coverage, 13400,
     /* 1745931 */     GIR_EraseRootFromParent_Done,
     /* 1745932 */   // Label 23755: @1745932
     /* 1745932 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1746018), // Rule ID 13401 //
     /* 1745937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1745945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1745954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1745957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745983 */     // MIs[0] policy
     /* 1745983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1745996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746017 */     // GIR_Coverage, 13401,
     /* 1746017 */     GIR_EraseRootFromParent_Done,
     /* 1746018 */   // Label 23756: @1746018
     /* 1746018 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1746104), // Rule ID 13404 //
     /* 1746023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746069 */     // MIs[0] policy
     /* 1746069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746079 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1746082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746103 */     // GIR_Coverage, 13404,
     /* 1746103 */     GIR_EraseRootFromParent_Done,
     /* 1746104 */   // Label 23757: @1746104
     /* 1746104 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1746190), // Rule ID 13405 //
     /* 1746109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1746120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1746123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746155 */     // MIs[0] policy
     /* 1746155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1746168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746189 */     // GIR_Coverage, 13405,
     /* 1746189 */     GIR_EraseRootFromParent_Done,
     /* 1746190 */   // Label 23758: @1746190
     /* 1746190 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1746276), // Rule ID 13408 //
     /* 1746195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1746206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1746209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746241 */     // MIs[0] policy
     /* 1746241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1746254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746275 */     // GIR_Coverage, 13408,
     /* 1746275 */     GIR_EraseRootFromParent_Done,
     /* 1746276 */   // Label 23759: @1746276
     /* 1746276 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1746362), // Rule ID 13409 //
     /* 1746281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1746292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1746295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746327 */     // MIs[0] policy
     /* 1746327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1746340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746361 */     // GIR_Coverage, 13409,
     /* 1746361 */     GIR_EraseRootFromParent_Done,
     /* 1746362 */   // Label 23760: @1746362
     /* 1746362 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1746448), // Rule ID 13412 //
     /* 1746367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1746384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1746387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746413 */     // MIs[0] policy
     /* 1746413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1746426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746447 */     // GIR_Coverage, 13412,
     /* 1746447 */     GIR_EraseRootFromParent_Done,
     /* 1746448 */   // Label 23761: @1746448
     /* 1746448 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1746534), // Rule ID 13413 //
     /* 1746453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1746470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1746473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746499 */     // MIs[0] policy
     /* 1746499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1746512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746533 */     // GIR_Coverage, 13413,
     /* 1746533 */     GIR_EraseRootFromParent_Done,
     /* 1746534 */   // Label 23762: @1746534
     /* 1746534 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1746620), // Rule ID 13416 //
     /* 1746539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746585 */     // MIs[0] policy
     /* 1746585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1746598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746619 */     // GIR_Coverage, 13416,
     /* 1746619 */     GIR_EraseRootFromParent_Done,
     /* 1746620 */   // Label 23763: @1746620
     /* 1746620 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1746706), // Rule ID 13417 //
     /* 1746625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746671 */     // MIs[0] policy
     /* 1746671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746681 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1746684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746705 */     // GIR_Coverage, 13417,
     /* 1746705 */     GIR_EraseRootFromParent_Done,
     /* 1746706 */   // Label 23764: @1746706
     /* 1746706 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1746792), // Rule ID 13420 //
     /* 1746711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746757 */     // MIs[0] policy
     /* 1746757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1746770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746791 */     // GIR_Coverage, 13420,
     /* 1746791 */     GIR_EraseRootFromParent_Done,
     /* 1746792 */   // Label 23765: @1746792
     /* 1746792 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1746878), // Rule ID 13421 //
     /* 1746797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746843 */     // MIs[0] policy
     /* 1746843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746853 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1746856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746877 */     // GIR_Coverage, 13421,
     /* 1746877 */     GIR_EraseRootFromParent_Done,
     /* 1746878 */   // Label 23766: @1746878
     /* 1746878 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1746964), // Rule ID 13424 //
     /* 1746883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1746894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1746897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746929 */     // MIs[0] policy
     /* 1746929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1746942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1746946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746963 */     // GIR_Coverage, 13424,
     /* 1746963 */     GIR_EraseRootFromParent_Done,
     /* 1746964 */   // Label 23767: @1746964
     /* 1746964 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1747050), // Rule ID 13425 //
     /* 1746969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1746977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1746980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1746983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747015 */     // MIs[0] policy
     /* 1747015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747025 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1747028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747049 */     // GIR_Coverage, 13425,
     /* 1747049 */     GIR_EraseRootFromParent_Done,
     /* 1747050 */   // Label 23768: @1747050
     /* 1747050 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1747136), // Rule ID 13428 //
     /* 1747055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747101 */     // MIs[0] policy
     /* 1747101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1747114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747135 */     // GIR_Coverage, 13428,
     /* 1747135 */     GIR_EraseRootFromParent_Done,
     /* 1747136 */   // Label 23769: @1747136
     /* 1747136 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1747222), // Rule ID 13429 //
     /* 1747141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747187 */     // MIs[0] policy
     /* 1747187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1747200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747221 */     // GIR_Coverage, 13429,
     /* 1747221 */     GIR_EraseRootFromParent_Done,
     /* 1747222 */   // Label 23770: @1747222
     /* 1747222 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1747308), // Rule ID 13432 //
     /* 1747227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747273 */     // MIs[0] policy
     /* 1747273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1747286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747307 */     // GIR_Coverage, 13432,
     /* 1747307 */     GIR_EraseRootFromParent_Done,
     /* 1747308 */   // Label 23771: @1747308
     /* 1747308 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1747394), // Rule ID 13433 //
     /* 1747313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747359 */     // MIs[0] policy
     /* 1747359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1747372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747393 */     // GIR_Coverage, 13433,
     /* 1747393 */     GIR_EraseRootFromParent_Done,
     /* 1747394 */   // Label 23772: @1747394
     /* 1747394 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1747480), // Rule ID 13436 //
     /* 1747399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1747416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1747419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747445 */     // MIs[0] policy
     /* 1747445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1747458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747479 */     // GIR_Coverage, 13436,
     /* 1747479 */     GIR_EraseRootFromParent_Done,
     /* 1747480 */   // Label 23773: @1747480
     /* 1747480 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1747566), // Rule ID 13437 //
     /* 1747485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1747502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1747505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747531 */     // MIs[0] policy
     /* 1747531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1747544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747565 */     // GIR_Coverage, 13437,
     /* 1747565 */     GIR_EraseRootFromParent_Done,
     /* 1747566 */   // Label 23774: @1747566
     /* 1747566 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1747652), // Rule ID 13440 //
     /* 1747571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747617 */     // MIs[0] policy
     /* 1747617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1747630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747651 */     // GIR_Coverage, 13440,
     /* 1747651 */     GIR_EraseRootFromParent_Done,
     /* 1747652 */   // Label 23775: @1747652
     /* 1747652 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1747738), // Rule ID 13441 //
     /* 1747657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747703 */     // MIs[0] policy
     /* 1747703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1747716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747737 */     // GIR_Coverage, 13441,
     /* 1747737 */     GIR_EraseRootFromParent_Done,
     /* 1747738 */   // Label 23776: @1747738
     /* 1747738 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1747824), // Rule ID 13444 //
     /* 1747743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1747746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1747754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1747757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747789 */     // MIs[0] policy
     /* 1747789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747799 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1747802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747823 */     // GIR_Coverage, 13444,
     /* 1747823 */     GIR_EraseRootFromParent_Done,
     /* 1747824 */   // Label 23777: @1747824
     /* 1747824 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1747910), // Rule ID 13445 //
     /* 1747829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1747832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1747840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1747843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747875 */     // MIs[0] policy
     /* 1747875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747885 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1747888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747909 */     // GIR_Coverage, 13445,
     /* 1747909 */     GIR_EraseRootFromParent_Done,
     /* 1747910 */   // Label 23778: @1747910
     /* 1747910 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1747996), // Rule ID 13448 //
     /* 1747915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1747918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1747923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1747926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1747929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747961 */     // MIs[0] policy
     /* 1747961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1747974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1747978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747995 */     // GIR_Coverage, 13448,
     /* 1747995 */     GIR_EraseRootFromParent_Done,
     /* 1747996 */   // Label 23779: @1747996
     /* 1747996 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1748082), // Rule ID 13449 //
     /* 1748001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1748004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1748012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1748015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1748021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748047 */     // MIs[0] policy
     /* 1748047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1748060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748081 */     // GIR_Coverage, 13449,
     /* 1748081 */     GIR_EraseRootFromParent_Done,
     /* 1748082 */   // Label 23780: @1748082
     /* 1748082 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1748168), // Rule ID 13452 //
     /* 1748087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1748090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1748098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1748101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748133 */     // MIs[0] policy
     /* 1748133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748143 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1748146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748167 */     // GIR_Coverage, 13452,
     /* 1748167 */     GIR_EraseRootFromParent_Done,
     /* 1748168 */   // Label 23781: @1748168
     /* 1748168 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1748254), // Rule ID 13453 //
     /* 1748173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1748176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1748184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1748187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748219 */     // MIs[0] policy
     /* 1748219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748229 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1748232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748253 */     // GIR_Coverage, 13453,
     /* 1748253 */     GIR_EraseRootFromParent_Done,
     /* 1748254 */   // Label 23782: @1748254
     /* 1748254 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1748340), // Rule ID 13456 //
     /* 1748259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1748262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1748270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1748273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748305 */     // MIs[0] policy
     /* 1748305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1748318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748339 */     // GIR_Coverage, 13456,
     /* 1748339 */     GIR_EraseRootFromParent_Done,
     /* 1748340 */   // Label 23783: @1748340
     /* 1748340 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1748426), // Rule ID 13457 //
     /* 1748345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1748348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1748356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1748359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748391 */     // MIs[0] policy
     /* 1748391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1748404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748425 */     // GIR_Coverage, 13457,
     /* 1748425 */     GIR_EraseRootFromParent_Done,
     /* 1748426 */   // Label 23784: @1748426
     /* 1748426 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1748512), // Rule ID 13460 //
     /* 1748431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1748448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1748451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748477 */     // MIs[0] policy
     /* 1748477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1748490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748511 */     // GIR_Coverage, 13460,
     /* 1748511 */     GIR_EraseRootFromParent_Done,
     /* 1748512 */   // Label 23785: @1748512
     /* 1748512 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1748598), // Rule ID 13461 //
     /* 1748517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1748534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1748537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748563 */     // MIs[0] policy
     /* 1748563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1748576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748597 */     // GIR_Coverage, 13461,
     /* 1748597 */     GIR_EraseRootFromParent_Done,
     /* 1748598 */   // Label 23786: @1748598
     /* 1748598 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1748684), // Rule ID 13464 //
     /* 1748603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1748620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1748623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748649 */     // MIs[0] policy
     /* 1748649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1748662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748683 */     // GIR_Coverage, 13464,
     /* 1748683 */     GIR_EraseRootFromParent_Done,
     /* 1748684 */   // Label 23787: @1748684
     /* 1748684 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1748770), // Rule ID 13465 //
     /* 1748689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1748706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1748709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748735 */     // MIs[0] policy
     /* 1748735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1748748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748769 */     // GIR_Coverage, 13465,
     /* 1748769 */     GIR_EraseRootFromParent_Done,
     /* 1748770 */   // Label 23788: @1748770
     /* 1748770 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1748856), // Rule ID 13468 //
     /* 1748775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1748792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1748795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748821 */     // MIs[0] policy
     /* 1748821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748831 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1748834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748855 */     // GIR_Coverage, 13468,
     /* 1748855 */     GIR_EraseRootFromParent_Done,
     /* 1748856 */   // Label 23789: @1748856
     /* 1748856 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1748942), // Rule ID 13469 //
     /* 1748861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1748878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1748881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748907 */     // MIs[0] policy
     /* 1748907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1748920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1748924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748941 */     // GIR_Coverage, 13469,
     /* 1748941 */     GIR_EraseRootFromParent_Done,
     /* 1748942 */   // Label 23790: @1748942
     /* 1748942 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1749028), // Rule ID 13472 //
     /* 1748947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1748955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1748964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1748967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748993 */     // MIs[0] policy
     /* 1748993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1749006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749027 */     // GIR_Coverage, 13472,
     /* 1749027 */     GIR_EraseRootFromParent_Done,
     /* 1749028 */   // Label 23791: @1749028
     /* 1749028 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1749114), // Rule ID 13473 //
     /* 1749033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1749053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749079 */     // MIs[0] policy
     /* 1749079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1749092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749113 */     // GIR_Coverage, 13473,
     /* 1749113 */     GIR_EraseRootFromParent_Done,
     /* 1749114 */   // Label 23792: @1749114
     /* 1749114 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1749200), // Rule ID 13476 //
     /* 1749119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1749139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749165 */     // MIs[0] policy
     /* 1749165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1749178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749199 */     // GIR_Coverage, 13476,
     /* 1749199 */     GIR_EraseRootFromParent_Done,
     /* 1749200 */   // Label 23793: @1749200
     /* 1749200 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1749286), // Rule ID 13477 //
     /* 1749205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1749225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749251 */     // MIs[0] policy
     /* 1749251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1749264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749285 */     // GIR_Coverage, 13477,
     /* 1749285 */     GIR_EraseRootFromParent_Done,
     /* 1749286 */   // Label 23794: @1749286
     /* 1749286 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1749372), // Rule ID 13480 //
     /* 1749291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1749311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749337 */     // MIs[0] policy
     /* 1749337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1749350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749371 */     // GIR_Coverage, 13480,
     /* 1749371 */     GIR_EraseRootFromParent_Done,
     /* 1749372 */   // Label 23795: @1749372
     /* 1749372 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1749458), // Rule ID 13481 //
     /* 1749377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1749397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749423 */     // MIs[0] policy
     /* 1749423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1749436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749457 */     // GIR_Coverage, 13481,
     /* 1749457 */     GIR_EraseRootFromParent_Done,
     /* 1749458 */   // Label 23796: @1749458
     /* 1749458 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1749544), // Rule ID 13484 //
     /* 1749463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1749474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1749477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1749483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749509 */     // MIs[0] policy
     /* 1749509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1749522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749543 */     // GIR_Coverage, 13484,
     /* 1749543 */     GIR_EraseRootFromParent_Done,
     /* 1749544 */   // Label 23797: @1749544
     /* 1749544 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1749630), // Rule ID 13485 //
     /* 1749549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1749560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1749563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1749569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749595 */     // MIs[0] policy
     /* 1749595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1749608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749629 */     // GIR_Coverage, 13485,
     /* 1749629 */     GIR_EraseRootFromParent_Done,
     /* 1749630 */   // Label 23798: @1749630
     /* 1749630 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1749716), // Rule ID 13488 //
     /* 1749635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1749646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1749649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1749655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749681 */     // MIs[0] policy
     /* 1749681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1749694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749715 */     // GIR_Coverage, 13488,
     /* 1749715 */     GIR_EraseRootFromParent_Done,
     /* 1749716 */   // Label 23799: @1749716
     /* 1749716 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1749802), // Rule ID 13489 //
     /* 1749721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1749732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1749735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1749741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749767 */     // MIs[0] policy
     /* 1749767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1749780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749801 */     // GIR_Coverage, 13489,
     /* 1749801 */     GIR_EraseRootFromParent_Done,
     /* 1749802 */   // Label 23800: @1749802
     /* 1749802 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1749888), // Rule ID 13492 //
     /* 1749807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1749827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749853 */     // MIs[0] policy
     /* 1749853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749863 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1749866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749887 */     // GIR_Coverage, 13492,
     /* 1749887 */     GIR_EraseRootFromParent_Done,
     /* 1749888 */   // Label 23801: @1749888
     /* 1749888 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1749974), // Rule ID 13493 //
     /* 1749893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1749904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1749907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1749910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1749913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749939 */     // MIs[0] policy
     /* 1749939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1749952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1749956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749973 */     // GIR_Coverage, 13493,
     /* 1749973 */     GIR_EraseRootFromParent_Done,
     /* 1749974 */   // Label 23802: @1749974
     /* 1749974 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1750060), // Rule ID 13496 //
     /* 1749979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1749987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1749996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1749999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750025 */     // MIs[0] policy
     /* 1750025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1750038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750059 */     // GIR_Coverage, 13496,
     /* 1750059 */     GIR_EraseRootFromParent_Done,
     /* 1750060 */   // Label 23803: @1750060
     /* 1750060 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1750146), // Rule ID 13497 //
     /* 1750065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1750085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750111 */     // MIs[0] policy
     /* 1750111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1750124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750145 */     // GIR_Coverage, 13497,
     /* 1750145 */     GIR_EraseRootFromParent_Done,
     /* 1750146 */   // Label 23804: @1750146
     /* 1750146 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1750232), // Rule ID 13500 //
     /* 1750151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1750168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1750171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750197 */     // MIs[0] policy
     /* 1750197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1750210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750231 */     // GIR_Coverage, 13500,
     /* 1750231 */     GIR_EraseRootFromParent_Done,
     /* 1750232 */   // Label 23805: @1750232
     /* 1750232 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1750318), // Rule ID 13501 //
     /* 1750237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1750257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750283 */     // MIs[0] policy
     /* 1750283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1750296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750317 */     // GIR_Coverage, 13501,
     /* 1750317 */     GIR_EraseRootFromParent_Done,
     /* 1750318 */   // Label 23806: @1750318
     /* 1750318 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1750404), // Rule ID 13504 //
     /* 1750323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1750326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1750334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1750337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1750340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1750343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750369 */     // MIs[0] policy
     /* 1750369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1750382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750403 */     // GIR_Coverage, 13504,
     /* 1750403 */     GIR_EraseRootFromParent_Done,
     /* 1750404 */   // Label 23807: @1750404
     /* 1750404 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1750490), // Rule ID 13505 //
     /* 1750409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1750412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1750420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1750423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1750429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750455 */     // MIs[0] policy
     /* 1750455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750465 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1750468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750489 */     // GIR_Coverage, 13505,
     /* 1750489 */     GIR_EraseRootFromParent_Done,
     /* 1750490 */   // Label 23808: @1750490
     /* 1750490 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1750576), // Rule ID 13508 //
     /* 1750495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1750498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1750506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1750509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1750512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1750515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750541 */     // MIs[0] policy
     /* 1750541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1750554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750575 */     // GIR_Coverage, 13508,
     /* 1750575 */     GIR_EraseRootFromParent_Done,
     /* 1750576 */   // Label 23809: @1750576
     /* 1750576 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1750662), // Rule ID 13509 //
     /* 1750581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1750584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1750592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1750595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1750601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750627 */     // MIs[0] policy
     /* 1750627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1750640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750661 */     // GIR_Coverage, 13509,
     /* 1750661 */     GIR_EraseRootFromParent_Done,
     /* 1750662 */   // Label 23810: @1750662
     /* 1750662 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1750748), // Rule ID 13512 //
     /* 1750667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1750670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1750678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1750681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1750684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1750687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750713 */     // MIs[0] policy
     /* 1750713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1750726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750747 */     // GIR_Coverage, 13512,
     /* 1750747 */     GIR_EraseRootFromParent_Done,
     /* 1750748 */   // Label 23811: @1750748
     /* 1750748 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1750834), // Rule ID 13513 //
     /* 1750753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1750756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1750764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1750767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1750773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750799 */     // MIs[0] policy
     /* 1750799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1750812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750833 */     // GIR_Coverage, 13513,
     /* 1750833 */     GIR_EraseRootFromParent_Done,
     /* 1750834 */   // Label 23812: @1750834
     /* 1750834 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1750920), // Rule ID 13516 //
     /* 1750839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1750842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1750850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1750853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1750856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1750859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750885 */     // MIs[0] policy
     /* 1750885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1750898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750919 */     // GIR_Coverage, 13516,
     /* 1750919 */     GIR_EraseRootFromParent_Done,
     /* 1750920 */   // Label 23813: @1750920
     /* 1750920 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1751006), // Rule ID 13517 //
     /* 1750925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1750928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1750933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1750936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1750939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1750942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1750945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750971 */     // MIs[0] policy
     /* 1750971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1750984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1750988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751005 */     // GIR_Coverage, 13517,
     /* 1751005 */     GIR_EraseRootFromParent_Done,
     /* 1751006 */   // Label 23814: @1751006
     /* 1751006 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1751092), // Rule ID 13520 //
     /* 1751011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751057 */     // MIs[0] policy
     /* 1751057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1751070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751091 */     // GIR_Coverage, 13520,
     /* 1751091 */     GIR_EraseRootFromParent_Done,
     /* 1751092 */   // Label 23815: @1751092
     /* 1751092 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1751178), // Rule ID 13521 //
     /* 1751097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751143 */     // MIs[0] policy
     /* 1751143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751153 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1751156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751177 */     // GIR_Coverage, 13521,
     /* 1751177 */     GIR_EraseRootFromParent_Done,
     /* 1751178 */   // Label 23816: @1751178
     /* 1751178 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1751264), // Rule ID 13524 //
     /* 1751183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751229 */     // MIs[0] policy
     /* 1751229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1751242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751263 */     // GIR_Coverage, 13524,
     /* 1751263 */     GIR_EraseRootFromParent_Done,
     /* 1751264 */   // Label 23817: @1751264
     /* 1751264 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1751350), // Rule ID 13525 //
     /* 1751269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751315 */     // MIs[0] policy
     /* 1751315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751325 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1751328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751349 */     // GIR_Coverage, 13525,
     /* 1751349 */     GIR_EraseRootFromParent_Done,
     /* 1751350 */   // Label 23818: @1751350
     /* 1751350 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1751436), // Rule ID 13528 //
     /* 1751355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751401 */     // MIs[0] policy
     /* 1751401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1751414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751435 */     // GIR_Coverage, 13528,
     /* 1751435 */     GIR_EraseRootFromParent_Done,
     /* 1751436 */   // Label 23819: @1751436
     /* 1751436 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1751522), // Rule ID 13529 //
     /* 1751441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1751452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1751455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751487 */     // MIs[0] policy
     /* 1751487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1751500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751521 */     // GIR_Coverage, 13529,
     /* 1751521 */     GIR_EraseRootFromParent_Done,
     /* 1751522 */   // Label 23820: @1751522
     /* 1751522 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1751608), // Rule ID 13532 //
     /* 1751527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1751547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751573 */     // MIs[0] policy
     /* 1751573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1751586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751607 */     // GIR_Coverage, 13532,
     /* 1751607 */     GIR_EraseRootFromParent_Done,
     /* 1751608 */   // Label 23821: @1751608
     /* 1751608 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1751694), // Rule ID 13533 //
     /* 1751613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1751630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1751633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751659 */     // MIs[0] policy
     /* 1751659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1751672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751693 */     // GIR_Coverage, 13533,
     /* 1751693 */     GIR_EraseRootFromParent_Done,
     /* 1751694 */   // Label 23822: @1751694
     /* 1751694 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1751780), // Rule ID 13536 //
     /* 1751699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1751719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751745 */     // MIs[0] policy
     /* 1751745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1751758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751779 */     // GIR_Coverage, 13536,
     /* 1751779 */     GIR_EraseRootFromParent_Done,
     /* 1751780 */   // Label 23823: @1751780
     /* 1751780 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1751866), // Rule ID 13537 //
     /* 1751785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1751805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751831 */     // MIs[0] policy
     /* 1751831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1751844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751865 */     // GIR_Coverage, 13537,
     /* 1751865 */     GIR_EraseRootFromParent_Done,
     /* 1751866 */   // Label 23824: @1751866
     /* 1751866 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1751952), // Rule ID 13540 //
     /* 1751871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1751891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751917 */     // MIs[0] policy
     /* 1751917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1751930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1751934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751951 */     // GIR_Coverage, 13540,
     /* 1751951 */     GIR_EraseRootFromParent_Done,
     /* 1751952 */   // Label 23825: @1751952
     /* 1751952 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1752038), // Rule ID 13541 //
     /* 1751957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1751965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1751977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752003 */     // MIs[0] policy
     /* 1752003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752013 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1752016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752037 */     // GIR_Coverage, 13541,
     /* 1752037 */     GIR_EraseRootFromParent_Done,
     /* 1752038 */   // Label 23826: @1752038
     /* 1752038 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1752124), // Rule ID 13544 //
     /* 1752043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1752054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1752057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752089 */     // MIs[0] policy
     /* 1752089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1752102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752123 */     // GIR_Coverage, 13544,
     /* 1752123 */     GIR_EraseRootFromParent_Done,
     /* 1752124 */   // Label 23827: @1752124
     /* 1752124 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1752210), // Rule ID 13545 //
     /* 1752129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1752140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1752143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1752146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1752149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752175 */     // MIs[0] policy
     /* 1752175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1752188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752209 */     // GIR_Coverage, 13545,
     /* 1752209 */     GIR_EraseRootFromParent_Done,
     /* 1752210 */   // Label 23828: @1752210
     /* 1752210 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1752296), // Rule ID 13548 //
     /* 1752215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1752232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1752235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752261 */     // MIs[0] policy
     /* 1752261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1752274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752295 */     // GIR_Coverage, 13548,
     /* 1752295 */     GIR_EraseRootFromParent_Done,
     /* 1752296 */   // Label 23829: @1752296
     /* 1752296 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1752382), // Rule ID 13549 //
     /* 1752301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1752318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1752321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752347 */     // MIs[0] policy
     /* 1752347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1752360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752381 */     // GIR_Coverage, 13549,
     /* 1752381 */     GIR_EraseRootFromParent_Done,
     /* 1752382 */   // Label 23830: @1752382
     /* 1752382 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1752468), // Rule ID 13552 //
     /* 1752387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752433 */     // MIs[0] policy
     /* 1752433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1752446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752467 */     // GIR_Coverage, 13552,
     /* 1752467 */     GIR_EraseRootFromParent_Done,
     /* 1752468 */   // Label 23831: @1752468
     /* 1752468 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1752554), // Rule ID 13553 //
     /* 1752473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752519 */     // MIs[0] policy
     /* 1752519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1752532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752553 */     // GIR_Coverage, 13553,
     /* 1752553 */     GIR_EraseRootFromParent_Done,
     /* 1752554 */   // Label 23832: @1752554
     /* 1752554 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1752640), // Rule ID 13556 //
     /* 1752559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1752579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752605 */     // MIs[0] policy
     /* 1752605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1752618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752639 */     // GIR_Coverage, 13556,
     /* 1752639 */     GIR_EraseRootFromParent_Done,
     /* 1752640 */   // Label 23833: @1752640
     /* 1752640 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1752726), // Rule ID 13557 //
     /* 1752645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1752662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1752665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752691 */     // MIs[0] policy
     /* 1752691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1752704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752725 */     // GIR_Coverage, 13557,
     /* 1752725 */     GIR_EraseRootFromParent_Done,
     /* 1752726 */   // Label 23834: @1752726
     /* 1752726 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1752812), // Rule ID 13560 //
     /* 1752731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1752751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752777 */     // MIs[0] policy
     /* 1752777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1752790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752811 */     // GIR_Coverage, 13560,
     /* 1752811 */     GIR_EraseRootFromParent_Done,
     /* 1752812 */   // Label 23835: @1752812
     /* 1752812 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1752898), // Rule ID 13561 //
     /* 1752817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1752837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752863 */     // MIs[0] policy
     /* 1752863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752873 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1752876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752897 */     // GIR_Coverage, 13561,
     /* 1752897 */     GIR_EraseRootFromParent_Done,
     /* 1752898 */   // Label 23836: @1752898
     /* 1752898 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1752984), // Rule ID 13564 //
     /* 1752903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1752906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1752914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1752917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1752920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1752923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752949 */     // MIs[0] policy
     /* 1752949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1752962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1752966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752983 */     // GIR_Coverage, 13564,
     /* 1752983 */     GIR_EraseRootFromParent_Done,
     /* 1752984 */   // Label 23837: @1752984
     /* 1752984 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1753070), // Rule ID 13565 //
     /* 1752989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1752992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1752997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1753000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1753003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1753006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1753009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753035 */     // MIs[0] policy
     /* 1753035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1753048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753069 */     // GIR_Coverage, 13565,
     /* 1753069 */     GIR_EraseRootFromParent_Done,
     /* 1753070 */   // Label 23838: @1753070
     /* 1753070 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1753156), // Rule ID 13568 //
     /* 1753075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1753078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753121 */     // MIs[0] policy
     /* 1753121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753131 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1753134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753155 */     // GIR_Coverage, 13568,
     /* 1753155 */     GIR_EraseRootFromParent_Done,
     /* 1753156 */   // Label 23839: @1753156
     /* 1753156 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1753242), // Rule ID 13569 //
     /* 1753161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1753164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1753178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1753181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753207 */     // MIs[0] policy
     /* 1753207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1753220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753241 */     // GIR_Coverage, 13569,
     /* 1753241 */     GIR_EraseRootFromParent_Done,
     /* 1753242 */   // Label 23840: @1753242
     /* 1753242 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1753328), // Rule ID 13572 //
     /* 1753247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1753250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753293 */     // MIs[0] policy
     /* 1753293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1753306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753327 */     // GIR_Coverage, 13572,
     /* 1753327 */     GIR_EraseRootFromParent_Done,
     /* 1753328 */   // Label 23841: @1753328
     /* 1753328 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1753414), // Rule ID 13573 //
     /* 1753333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1753336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753379 */     // MIs[0] policy
     /* 1753379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1753392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753413 */     // GIR_Coverage, 13573,
     /* 1753413 */     GIR_EraseRootFromParent_Done,
     /* 1753414 */   // Label 23842: @1753414
     /* 1753414 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1753500), // Rule ID 13576 //
     /* 1753419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1753422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753465 */     // MIs[0] policy
     /* 1753465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1753478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753499 */     // GIR_Coverage, 13576,
     /* 1753499 */     GIR_EraseRootFromParent_Done,
     /* 1753500 */   // Label 23843: @1753500
     /* 1753500 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1753586), // Rule ID 13577 //
     /* 1753505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1753508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753551 */     // MIs[0] policy
     /* 1753551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1753564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753585 */     // GIR_Coverage, 13577,
     /* 1753585 */     GIR_EraseRootFromParent_Done,
     /* 1753586 */   // Label 23844: @1753586
     /* 1753586 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1753672), // Rule ID 13580 //
     /* 1753591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1753608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753637 */     // MIs[0] policy
     /* 1753637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1753650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753671 */     // GIR_Coverage, 13580,
     /* 1753671 */     GIR_EraseRootFromParent_Done,
     /* 1753672 */   // Label 23845: @1753672
     /* 1753672 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1753758), // Rule ID 13581 //
     /* 1753677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1753688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1753691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1753694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753723 */     // MIs[0] policy
     /* 1753723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1753736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753757 */     // GIR_Coverage, 13581,
     /* 1753757 */     GIR_EraseRootFromParent_Done,
     /* 1753758 */   // Label 23846: @1753758
     /* 1753758 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1753844), // Rule ID 13584 //
     /* 1753763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1753780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753809 */     // MIs[0] policy
     /* 1753809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1753822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753843 */     // GIR_Coverage, 13584,
     /* 1753843 */     GIR_EraseRootFromParent_Done,
     /* 1753844 */   // Label 23847: @1753844
     /* 1753844 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1753930), // Rule ID 13585 //
     /* 1753849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1753860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1753863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1753866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753895 */     // MIs[0] policy
     /* 1753895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1753908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753929 */     // GIR_Coverage, 13585,
     /* 1753929 */     GIR_EraseRootFromParent_Done,
     /* 1753930 */   // Label 23848: @1753930
     /* 1753930 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1754016), // Rule ID 13588 //
     /* 1753935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1753943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1753946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1753949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1753952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1753955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753981 */     // MIs[0] policy
     /* 1753981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1753994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1753998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754015 */     // GIR_Coverage, 13588,
     /* 1754015 */     GIR_EraseRootFromParent_Done,
     /* 1754016 */   // Label 23849: @1754016
     /* 1754016 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1754102), // Rule ID 13589 //
     /* 1754021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1754032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1754035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1754041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754067 */     // MIs[0] policy
     /* 1754067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1754080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754101 */     // GIR_Coverage, 13589,
     /* 1754101 */     GIR_EraseRootFromParent_Done,
     /* 1754102 */   // Label 23850: @1754102
     /* 1754102 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1754188), // Rule ID 13592 //
     /* 1754107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754153 */     // MIs[0] policy
     /* 1754153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1754166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754187 */     // GIR_Coverage, 13592,
     /* 1754187 */     GIR_EraseRootFromParent_Done,
     /* 1754188 */   // Label 23851: @1754188
     /* 1754188 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1754274), // Rule ID 13593 //
     /* 1754193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1754204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1754207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754239 */     // MIs[0] policy
     /* 1754239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1754252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754273 */     // GIR_Coverage, 13593,
     /* 1754273 */     GIR_EraseRootFromParent_Done,
     /* 1754274 */   // Label 23852: @1754274
     /* 1754274 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1754360), // Rule ID 13596 //
     /* 1754279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754325 */     // MIs[0] policy
     /* 1754325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754335 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1754338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754359 */     // GIR_Coverage, 13596,
     /* 1754359 */     GIR_EraseRootFromParent_Done,
     /* 1754360 */   // Label 23853: @1754360
     /* 1754360 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1754446), // Rule ID 13597 //
     /* 1754365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1754376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1754379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1754385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754411 */     // MIs[0] policy
     /* 1754411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1754424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754445 */     // GIR_Coverage, 13597,
     /* 1754445 */     GIR_EraseRootFromParent_Done,
     /* 1754446 */   // Label 23854: @1754446
     /* 1754446 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1754532), // Rule ID 13600 //
     /* 1754451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754497 */     // MIs[0] policy
     /* 1754497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1754510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754531 */     // GIR_Coverage, 13600,
     /* 1754531 */     GIR_EraseRootFromParent_Done,
     /* 1754532 */   // Label 23855: @1754532
     /* 1754532 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1754618), // Rule ID 13601 //
     /* 1754537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1754548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1754551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1754557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1754560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754583 */     // MIs[0] policy
     /* 1754583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1754596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754617 */     // GIR_Coverage, 13601,
     /* 1754617 */     GIR_EraseRootFromParent_Done,
     /* 1754618 */   // Label 23856: @1754618
     /* 1754618 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1754704), // Rule ID 13604 //
     /* 1754623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1754643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754669 */     // MIs[0] policy
     /* 1754669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754679 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1754682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754703 */     // GIR_Coverage, 13604,
     /* 1754703 */     GIR_EraseRootFromParent_Done,
     /* 1754704 */   // Label 23857: @1754704
     /* 1754704 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1754790), // Rule ID 13605 //
     /* 1754709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1754729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754755 */     // MIs[0] policy
     /* 1754755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1754768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754789 */     // GIR_Coverage, 13605,
     /* 1754789 */     GIR_EraseRootFromParent_Done,
     /* 1754790 */   // Label 23858: @1754790
     /* 1754790 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1754876), // Rule ID 13608 //
     /* 1754795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1754815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754841 */     // MIs[0] policy
     /* 1754841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1754854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754875 */     // GIR_Coverage, 13608,
     /* 1754875 */     GIR_EraseRootFromParent_Done,
     /* 1754876 */   // Label 23859: @1754876
     /* 1754876 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1754962), // Rule ID 13609 //
     /* 1754881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1754892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1754895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1754898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1754901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754927 */     // MIs[0] policy
     /* 1754927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1754940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1754944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754961 */     // GIR_Coverage, 13609,
     /* 1754961 */     GIR_EraseRootFromParent_Done,
     /* 1754962 */   // Label 23860: @1754962
     /* 1754962 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1755048), // Rule ID 13612 //
     /* 1754967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1754975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1754978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1754981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1754984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1754987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755013 */     // MIs[0] policy
     /* 1755013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1755026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755047 */     // GIR_Coverage, 13612,
     /* 1755047 */     GIR_EraseRootFromParent_Done,
     /* 1755048 */   // Label 23861: @1755048
     /* 1755048 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1755134), // Rule ID 13613 //
     /* 1755053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1755064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1755067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1755073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755099 */     // MIs[0] policy
     /* 1755099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1755112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755133 */     // GIR_Coverage, 13613,
     /* 1755133 */     GIR_EraseRootFromParent_Done,
     /* 1755134 */   // Label 23862: @1755134
     /* 1755134 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1755220), // Rule ID 13616 //
     /* 1755139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1755156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1755159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755185 */     // MIs[0] policy
     /* 1755185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1755198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755219 */     // GIR_Coverage, 13616,
     /* 1755219 */     GIR_EraseRootFromParent_Done,
     /* 1755220 */   // Label 23863: @1755220
     /* 1755220 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1755306), // Rule ID 13617 //
     /* 1755225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1755236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1755239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1755245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755271 */     // MIs[0] policy
     /* 1755271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1755284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755305 */     // GIR_Coverage, 13617,
     /* 1755305 */     GIR_EraseRootFromParent_Done,
     /* 1755306 */   // Label 23864: @1755306
     /* 1755306 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1755392), // Rule ID 13620 //
     /* 1755311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1755328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1755331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755357 */     // MIs[0] policy
     /* 1755357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1755370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755391 */     // GIR_Coverage, 13620,
     /* 1755391 */     GIR_EraseRootFromParent_Done,
     /* 1755392 */   // Label 23865: @1755392
     /* 1755392 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1755478), // Rule ID 13621 //
     /* 1755397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1755408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1755411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1755417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755443 */     // MIs[0] policy
     /* 1755443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1755456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755477 */     // GIR_Coverage, 13621,
     /* 1755477 */     GIR_EraseRootFromParent_Done,
     /* 1755478 */   // Label 23866: @1755478
     /* 1755478 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1755564), // Rule ID 13624 //
     /* 1755483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1755486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1755500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1755503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755529 */     // MIs[0] policy
     /* 1755529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1755542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755563 */     // GIR_Coverage, 13624,
     /* 1755563 */     GIR_EraseRootFromParent_Done,
     /* 1755564 */   // Label 23867: @1755564
     /* 1755564 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1755650), // Rule ID 13625 //
     /* 1755569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1755572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1755589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755615 */     // MIs[0] policy
     /* 1755615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1755628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755649 */     // GIR_Coverage, 13625,
     /* 1755649 */     GIR_EraseRootFromParent_Done,
     /* 1755650 */   // Label 23868: @1755650
     /* 1755650 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1755736), // Rule ID 13628 //
     /* 1755655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1755658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1755666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1755669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1755672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1755675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755701 */     // MIs[0] policy
     /* 1755701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755711 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1755714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755735 */     // GIR_Coverage, 13628,
     /* 1755735 */     GIR_EraseRootFromParent_Done,
     /* 1755736 */   // Label 23869: @1755736
     /* 1755736 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1755822), // Rule ID 13629 //
     /* 1755741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1755744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1755752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1755755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1755761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755787 */     // MIs[0] policy
     /* 1755787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1755800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755821 */     // GIR_Coverage, 13629,
     /* 1755821 */     GIR_EraseRootFromParent_Done,
     /* 1755822 */   // Label 23870: @1755822
     /* 1755822 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1755908), // Rule ID 13632 //
     /* 1755827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1755830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1755838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1755841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1755844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755873 */     // MIs[0] policy
     /* 1755873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1755886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755907 */     // GIR_Coverage, 13632,
     /* 1755907 */     GIR_EraseRootFromParent_Done,
     /* 1755908 */   // Label 23871: @1755908
     /* 1755908 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1755994), // Rule ID 13633 //
     /* 1755913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1755916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1755921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1755924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1755927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1755930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1755933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755959 */     // MIs[0] policy
     /* 1755959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755969 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1755972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1755976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755993 */     // GIR_Coverage, 13633,
     /* 1755993 */     GIR_EraseRootFromParent_Done,
     /* 1755994 */   // Label 23872: @1755994
     /* 1755994 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1756080), // Rule ID 13636 //
     /* 1755999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1756002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1756007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1756010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1756013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1756019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756045 */     // MIs[0] policy
     /* 1756045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1756058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756079 */     // GIR_Coverage, 13636,
     /* 1756079 */     GIR_EraseRootFromParent_Done,
     /* 1756080 */   // Label 23873: @1756080
     /* 1756080 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1756166), // Rule ID 13637 //
     /* 1756085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1756088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1756093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1756096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1756099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1756105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756131 */     // MIs[0] policy
     /* 1756131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1756144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756165 */     // GIR_Coverage, 13637,
     /* 1756165 */     GIR_EraseRootFromParent_Done,
     /* 1756166 */   // Label 23874: @1756166
     /* 1756166 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1756252), // Rule ID 13640 //
     /* 1756171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756217 */     // MIs[0] policy
     /* 1756217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1756230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756251 */     // GIR_Coverage, 13640,
     /* 1756251 */     GIR_EraseRootFromParent_Done,
     /* 1756252 */   // Label 23875: @1756252
     /* 1756252 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1756338), // Rule ID 13641 //
     /* 1756257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1756268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1756271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756303 */     // MIs[0] policy
     /* 1756303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756313 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1756316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756337 */     // GIR_Coverage, 13641,
     /* 1756337 */     GIR_EraseRootFromParent_Done,
     /* 1756338 */   // Label 23876: @1756338
     /* 1756338 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1756424), // Rule ID 13644 //
     /* 1756343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1756363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756389 */     // MIs[0] policy
     /* 1756389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756399 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1756402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756423 */     // GIR_Coverage, 13644,
     /* 1756423 */     GIR_EraseRootFromParent_Done,
     /* 1756424 */   // Label 23877: @1756424
     /* 1756424 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1756510), // Rule ID 13645 //
     /* 1756429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1756440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1756443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1756449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756475 */     // MIs[0] policy
     /* 1756475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756485 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1756488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756509 */     // GIR_Coverage, 13645,
     /* 1756509 */     GIR_EraseRootFromParent_Done,
     /* 1756510 */   // Label 23878: @1756510
     /* 1756510 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1756596), // Rule ID 13648 //
     /* 1756515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1756535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756561 */     // MIs[0] policy
     /* 1756561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1756574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756595 */     // GIR_Coverage, 13648,
     /* 1756595 */     GIR_EraseRootFromParent_Done,
     /* 1756596 */   // Label 23879: @1756596
     /* 1756596 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1756682), // Rule ID 13649 //
     /* 1756601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1756612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1756615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1756621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756647 */     // MIs[0] policy
     /* 1756647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1756660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756681 */     // GIR_Coverage, 13649,
     /* 1756681 */     GIR_EraseRootFromParent_Done,
     /* 1756682 */   // Label 23880: @1756682
     /* 1756682 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1756768), // Rule ID 13652 //
     /* 1756687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1756707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756733 */     // MIs[0] policy
     /* 1756733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756743 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1756746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756767 */     // GIR_Coverage, 13652,
     /* 1756767 */     GIR_EraseRootFromParent_Done,
     /* 1756768 */   // Label 23881: @1756768
     /* 1756768 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1756854), // Rule ID 13653 //
     /* 1756773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1756793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756819 */     // MIs[0] policy
     /* 1756819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1756832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756853 */     // GIR_Coverage, 13653,
     /* 1756853 */     GIR_EraseRootFromParent_Done,
     /* 1756854 */   // Label 23882: @1756854
     /* 1756854 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1756940), // Rule ID 13656 //
     /* 1756859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1756876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1756879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756905 */     // MIs[0] policy
     /* 1756905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1756918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1756922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756939 */     // GIR_Coverage, 13656,
     /* 1756939 */     GIR_EraseRootFromParent_Done,
     /* 1756940 */   // Label 23883: @1756940
     /* 1756940 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1757026), // Rule ID 13657 //
     /* 1756945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1756953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1756962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1756965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756991 */     // MIs[0] policy
     /* 1756991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1757004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757025 */     // GIR_Coverage, 13657,
     /* 1757025 */     GIR_EraseRootFromParent_Done,
     /* 1757026 */   // Label 23884: @1757026
     /* 1757026 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1757112), // Rule ID 13660 //
     /* 1757031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1757051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757077 */     // MIs[0] policy
     /* 1757077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757087 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1757090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757111 */     // GIR_Coverage, 13660,
     /* 1757111 */     GIR_EraseRootFromParent_Done,
     /* 1757112 */   // Label 23885: @1757112
     /* 1757112 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1757198), // Rule ID 13661 //
     /* 1757117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1757128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1757131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1757137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1757140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757163 */     // MIs[0] policy
     /* 1757163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757173 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1757176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757197 */     // GIR_Coverage, 13661,
     /* 1757197 */     GIR_EraseRootFromParent_Done,
     /* 1757198 */   // Label 23886: @1757198
     /* 1757198 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1757284), // Rule ID 13664 //
     /* 1757203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757249 */     // MIs[0] policy
     /* 1757249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1757262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757283 */     // GIR_Coverage, 13664,
     /* 1757283 */     GIR_EraseRootFromParent_Done,
     /* 1757284 */   // Label 23887: @1757284
     /* 1757284 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1757370), // Rule ID 13665 //
     /* 1757289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757335 */     // MIs[0] policy
     /* 1757335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757345 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1757348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757369 */     // GIR_Coverage, 13665,
     /* 1757369 */     GIR_EraseRootFromParent_Done,
     /* 1757370 */   // Label 23888: @1757370
     /* 1757370 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1757456), // Rule ID 13668 //
     /* 1757375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757421 */     // MIs[0] policy
     /* 1757421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757431 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1757434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757455 */     // GIR_Coverage, 13668,
     /* 1757455 */     GIR_EraseRootFromParent_Done,
     /* 1757456 */   // Label 23889: @1757456
     /* 1757456 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1757542), // Rule ID 13669 //
     /* 1757461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1757472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1757475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757507 */     // MIs[0] policy
     /* 1757507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1757520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757541 */     // GIR_Coverage, 13669,
     /* 1757541 */     GIR_EraseRootFromParent_Done,
     /* 1757542 */   // Label 23890: @1757542
     /* 1757542 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1757628), // Rule ID 13672 //
     /* 1757547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1757567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757593 */     // MIs[0] policy
     /* 1757593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1757606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757627 */     // GIR_Coverage, 13672,
     /* 1757627 */     GIR_EraseRootFromParent_Done,
     /* 1757628 */   // Label 23891: @1757628
     /* 1757628 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1757714), // Rule ID 13673 //
     /* 1757633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1757653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757679 */     // MIs[0] policy
     /* 1757679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1757692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757713 */     // GIR_Coverage, 13673,
     /* 1757713 */     GIR_EraseRootFromParent_Done,
     /* 1757714 */   // Label 23892: @1757714
     /* 1757714 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1757800), // Rule ID 13676 //
     /* 1757719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1757739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757765 */     // MIs[0] policy
     /* 1757765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757775 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1757778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757799 */     // GIR_Coverage, 13676,
     /* 1757799 */     GIR_EraseRootFromParent_Done,
     /* 1757800 */   // Label 23893: @1757800
     /* 1757800 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1757886), // Rule ID 13677 //
     /* 1757805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1757825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757851 */     // MIs[0] policy
     /* 1757851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1757864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757885 */     // GIR_Coverage, 13677,
     /* 1757885 */     GIR_EraseRootFromParent_Done,
     /* 1757886 */   // Label 23894: @1757886
     /* 1757886 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1757972), // Rule ID 13680 //
     /* 1757891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1757908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1757911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757937 */     // MIs[0] policy
     /* 1757937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1757950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1757954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757971 */     // GIR_Coverage, 13680,
     /* 1757971 */     GIR_EraseRootFromParent_Done,
     /* 1757972 */   // Label 23895: @1757972
     /* 1757972 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1758058), // Rule ID 13681 //
     /* 1757977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1757985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1757994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1757997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758023 */     // MIs[0] policy
     /* 1758023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1758036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758057 */     // GIR_Coverage, 13681,
     /* 1758057 */     GIR_EraseRootFromParent_Done,
     /* 1758058 */   // Label 23896: @1758058
     /* 1758058 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1758144), // Rule ID 13684 //
     /* 1758063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1758066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1758080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1758083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758109 */     // MIs[0] policy
     /* 1758109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1758122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758143 */     // GIR_Coverage, 13684,
     /* 1758143 */     GIR_EraseRootFromParent_Done,
     /* 1758144 */   // Label 23897: @1758144
     /* 1758144 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1758230), // Rule ID 13685 //
     /* 1758149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1758152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1758166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1758169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758195 */     // MIs[0] policy
     /* 1758195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1758208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758229 */     // GIR_Coverage, 13685,
     /* 1758229 */     GIR_EraseRootFromParent_Done,
     /* 1758230 */   // Label 23898: @1758230
     /* 1758230 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1758316), // Rule ID 13688 //
     /* 1758235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1758238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1758252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758281 */     // MIs[0] policy
     /* 1758281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1758294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758315 */     // GIR_Coverage, 13688,
     /* 1758315 */     GIR_EraseRootFromParent_Done,
     /* 1758316 */   // Label 23899: @1758316
     /* 1758316 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1758402), // Rule ID 13689 //
     /* 1758321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1758324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1758338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758367 */     // MIs[0] policy
     /* 1758367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1758380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758401 */     // GIR_Coverage, 13689,
     /* 1758401 */     GIR_EraseRootFromParent_Done,
     /* 1758402 */   // Label 23900: @1758402
     /* 1758402 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1758488), // Rule ID 13692 //
     /* 1758407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1758410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1758424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1758427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758453 */     // MIs[0] policy
     /* 1758453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758463 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1758466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758487 */     // GIR_Coverage, 13692,
     /* 1758487 */     GIR_EraseRootFromParent_Done,
     /* 1758488 */   // Label 23901: @1758488
     /* 1758488 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1758574), // Rule ID 13693 //
     /* 1758493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1758496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1758510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1758513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758539 */     // MIs[0] policy
     /* 1758539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1758552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758573 */     // GIR_Coverage, 13693,
     /* 1758573 */     GIR_EraseRootFromParent_Done,
     /* 1758574 */   // Label 23902: @1758574
     /* 1758574 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1758660), // Rule ID 13696 //
     /* 1758579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1758582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1758596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1758599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758625 */     // MIs[0] policy
     /* 1758625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1758638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758659 */     // GIR_Coverage, 13696,
     /* 1758659 */     GIR_EraseRootFromParent_Done,
     /* 1758660 */   // Label 23903: @1758660
     /* 1758660 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1758746), // Rule ID 13697 //
     /* 1758665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1758668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1758673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1758682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1758685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758711 */     // MIs[0] policy
     /* 1758711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1758724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1758728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758745 */     // GIR_Coverage, 13697,
     /* 1758745 */     GIR_EraseRootFromParent_Done,
     /* 1758746 */   // Label 23904: @1758746
     /* 1758746 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1758835), // Rule ID 13906 //
     /* 1758751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1758759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1758762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1758765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1758768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1758771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758797 */     // MIs[0] policy
     /* 1758797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758807 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1758810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1758833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758834 */     // GIR_Coverage, 13906,
     /* 1758834 */     GIR_EraseRootFromParent_Done,
     /* 1758835 */   // Label 23905: @1758835
     /* 1758835 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1758924), // Rule ID 13907 //
     /* 1758840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1758848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1758851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1758854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1758857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1758860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758886 */     // MIs[0] policy
     /* 1758886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1758899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1758922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758923 */     // GIR_Coverage, 13907,
     /* 1758923 */     GIR_EraseRootFromParent_Done,
     /* 1758924 */   // Label 23906: @1758924
     /* 1758924 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1759013), // Rule ID 13910 //
     /* 1758929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1758937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1758940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1758943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1758946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1758949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758975 */     // MIs[0] policy
     /* 1758975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758985 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1758988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759012 */     // GIR_Coverage, 13910,
     /* 1759012 */     GIR_EraseRootFromParent_Done,
     /* 1759013 */   // Label 23907: @1759013
     /* 1759013 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1759102), // Rule ID 13911 //
     /* 1759018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1759029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1759032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1759035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1759038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759064 */     // MIs[0] policy
     /* 1759064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1759077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759101 */     // GIR_Coverage, 13911,
     /* 1759101 */     GIR_EraseRootFromParent_Done,
     /* 1759102 */   // Label 23908: @1759102
     /* 1759102 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1759191), // Rule ID 13914 //
     /* 1759107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759153 */     // MIs[0] policy
     /* 1759153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759190 */     // GIR_Coverage, 13914,
     /* 1759190 */     GIR_EraseRootFromParent_Done,
     /* 1759191 */   // Label 23909: @1759191
     /* 1759191 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1759280), // Rule ID 13915 //
     /* 1759196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1759207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1759210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1759213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1759216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759242 */     // MIs[0] policy
     /* 1759242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759279 */     // GIR_Coverage, 13915,
     /* 1759279 */     GIR_EraseRootFromParent_Done,
     /* 1759280 */   // Label 23910: @1759280
     /* 1759280 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1759369), // Rule ID 13918 //
     /* 1759285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1759296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1759299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1759302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1759305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759331 */     // MIs[0] policy
     /* 1759331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1759344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759368 */     // GIR_Coverage, 13918,
     /* 1759368 */     GIR_EraseRootFromParent_Done,
     /* 1759369 */   // Label 23911: @1759369
     /* 1759369 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1759458), // Rule ID 13919 //
     /* 1759374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1759385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1759388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1759391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1759394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759420 */     // MIs[0] policy
     /* 1759420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1759433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759457 */     // GIR_Coverage, 13919,
     /* 1759457 */     GIR_EraseRootFromParent_Done,
     /* 1759458 */   // Label 23912: @1759458
     /* 1759458 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1759547), // Rule ID 13922 //
     /* 1759463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1759483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759509 */     // MIs[0] policy
     /* 1759509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759519 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759546 */     // GIR_Coverage, 13922,
     /* 1759546 */     GIR_EraseRootFromParent_Done,
     /* 1759547 */   // Label 23913: @1759547
     /* 1759547 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1759636), // Rule ID 13923 //
     /* 1759552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1759572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759598 */     // MIs[0] policy
     /* 1759598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759635 */     // GIR_Coverage, 13923,
     /* 1759635 */     GIR_EraseRootFromParent_Done,
     /* 1759636 */   // Label 23914: @1759636
     /* 1759636 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1759725), // Rule ID 13926 //
     /* 1759641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1759661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759687 */     // MIs[0] policy
     /* 1759687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759724 */     // GIR_Coverage, 13926,
     /* 1759724 */     GIR_EraseRootFromParent_Done,
     /* 1759725 */   // Label 23915: @1759725
     /* 1759725 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1759814), // Rule ID 13927 //
     /* 1759730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1759750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759776 */     // MIs[0] policy
     /* 1759776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1759789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759813 */     // GIR_Coverage, 13927,
     /* 1759813 */     GIR_EraseRootFromParent_Done,
     /* 1759814 */   // Label 23916: @1759814
     /* 1759814 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1759903), // Rule ID 13930 //
     /* 1759819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1759830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1759833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1759836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1759839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759865 */     // MIs[0] policy
     /* 1759865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1759878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759902 */     // GIR_Coverage, 13930,
     /* 1759902 */     GIR_EraseRootFromParent_Done,
     /* 1759903 */   // Label 23917: @1759903
     /* 1759903 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1759992), // Rule ID 13931 //
     /* 1759908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1759916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1759919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1759922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1759925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1759928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759954 */     // MIs[0] policy
     /* 1759954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1759967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1759990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759991 */     // GIR_Coverage, 13931,
     /* 1759991 */     GIR_EraseRootFromParent_Done,
     /* 1759992 */   // Label 23918: @1759992
     /* 1759992 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1760081), // Rule ID 13934 //
     /* 1759997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760043 */     // MIs[0] policy
     /* 1760043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760080 */     // GIR_Coverage, 13934,
     /* 1760080 */     GIR_EraseRootFromParent_Done,
     /* 1760081 */   // Label 23919: @1760081
     /* 1760081 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1760170), // Rule ID 13935 //
     /* 1760086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1760097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1760100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1760103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1760106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760132 */     // MIs[0] policy
     /* 1760132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760169 */     // GIR_Coverage, 13935,
     /* 1760169 */     GIR_EraseRootFromParent_Done,
     /* 1760170 */   // Label 23920: @1760170
     /* 1760170 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1760259), // Rule ID 13938 //
     /* 1760175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760221 */     // MIs[0] policy
     /* 1760221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760258 */     // GIR_Coverage, 13938,
     /* 1760258 */     GIR_EraseRootFromParent_Done,
     /* 1760259 */   // Label 23921: @1760259
     /* 1760259 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1760348), // Rule ID 13939 //
     /* 1760264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1760275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1760278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1760281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1760284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760310 */     // MIs[0] policy
     /* 1760310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760347 */     // GIR_Coverage, 13939,
     /* 1760347 */     GIR_EraseRootFromParent_Done,
     /* 1760348 */   // Label 23922: @1760348
     /* 1760348 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1760437), // Rule ID 13942 //
     /* 1760353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1760356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760399 */     // MIs[0] policy
     /* 1760399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760436 */     // GIR_Coverage, 13942,
     /* 1760436 */     GIR_EraseRootFromParent_Done,
     /* 1760437 */   // Label 23923: @1760437
     /* 1760437 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1760526), // Rule ID 13943 //
     /* 1760442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1760445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760488 */     // MIs[0] policy
     /* 1760488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1760501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760525 */     // GIR_Coverage, 13943,
     /* 1760525 */     GIR_EraseRootFromParent_Done,
     /* 1760526 */   // Label 23924: @1760526
     /* 1760526 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1760615), // Rule ID 13946 //
     /* 1760531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1760551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760577 */     // MIs[0] policy
     /* 1760577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1760590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760614 */     // GIR_Coverage, 13946,
     /* 1760614 */     GIR_EraseRootFromParent_Done,
     /* 1760615 */   // Label 23925: @1760615
     /* 1760615 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1760704), // Rule ID 13947 //
     /* 1760620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1760640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760666 */     // MIs[0] policy
     /* 1760666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1760679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760703 */     // GIR_Coverage, 13947,
     /* 1760703 */     GIR_EraseRootFromParent_Done,
     /* 1760704 */   // Label 23926: @1760704
     /* 1760704 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1760793), // Rule ID 13950 //
     /* 1760709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1760729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760755 */     // MIs[0] policy
     /* 1760755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760765 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1760768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760792 */     // GIR_Coverage, 13950,
     /* 1760792 */     GIR_EraseRootFromParent_Done,
     /* 1760793 */   // Label 23927: @1760793
     /* 1760793 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1760882), // Rule ID 13951 //
     /* 1760798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1760818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760844 */     // MIs[0] policy
     /* 1760844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1760857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760881 */     // GIR_Coverage, 13951,
     /* 1760881 */     GIR_EraseRootFromParent_Done,
     /* 1760882 */   // Label 23928: @1760882
     /* 1760882 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1760971), // Rule ID 13954 //
     /* 1760887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1760907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760933 */     // MIs[0] policy
     /* 1760933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1760946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1760969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760970 */     // GIR_Coverage, 13954,
     /* 1760970 */     GIR_EraseRootFromParent_Done,
     /* 1760971 */   // Label 23929: @1760971
     /* 1760971 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1761060), // Rule ID 13955 //
     /* 1760976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1760984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1760996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761022 */     // MIs[0] policy
     /* 1761022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1761035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761059 */     // GIR_Coverage, 13955,
     /* 1761059 */     GIR_EraseRootFromParent_Done,
     /* 1761060 */   // Label 23930: @1761060
     /* 1761060 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1761149), // Rule ID 13958 //
     /* 1761065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761111 */     // MIs[0] policy
     /* 1761111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1761124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761148 */     // GIR_Coverage, 13958,
     /* 1761148 */     GIR_EraseRootFromParent_Done,
     /* 1761149 */   // Label 23931: @1761149
     /* 1761149 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1761238), // Rule ID 13959 //
     /* 1761154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1761174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761200 */     // MIs[0] policy
     /* 1761200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1761213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761237 */     // GIR_Coverage, 13959,
     /* 1761237 */     GIR_EraseRootFromParent_Done,
     /* 1761238 */   // Label 23932: @1761238
     /* 1761238 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1761327), // Rule ID 13962 //
     /* 1761243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761289 */     // MIs[0] policy
     /* 1761289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1761302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761326 */     // GIR_Coverage, 13962,
     /* 1761326 */     GIR_EraseRootFromParent_Done,
     /* 1761327 */   // Label 23933: @1761327
     /* 1761327 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1761416), // Rule ID 13963 //
     /* 1761332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1761352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761378 */     // MIs[0] policy
     /* 1761378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1761391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761415 */     // GIR_Coverage, 13963,
     /* 1761415 */     GIR_EraseRootFromParent_Done,
     /* 1761416 */   // Label 23934: @1761416
     /* 1761416 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1761505), // Rule ID 13966 //
     /* 1761421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761467 */     // MIs[0] policy
     /* 1761467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1761480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761504 */     // GIR_Coverage, 13966,
     /* 1761504 */     GIR_EraseRootFromParent_Done,
     /* 1761505 */   // Label 23935: @1761505
     /* 1761505 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1761594), // Rule ID 13967 //
     /* 1761510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1761530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761556 */     // MIs[0] policy
     /* 1761556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1761569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761593 */     // GIR_Coverage, 13967,
     /* 1761593 */     GIR_EraseRootFromParent_Done,
     /* 1761594 */   // Label 23936: @1761594
     /* 1761594 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1761683), // Rule ID 13970 //
     /* 1761599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1761619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761645 */     // MIs[0] policy
     /* 1761645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1761658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761682 */     // GIR_Coverage, 13970,
     /* 1761682 */     GIR_EraseRootFromParent_Done,
     /* 1761683 */   // Label 23937: @1761683
     /* 1761683 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1761772), // Rule ID 13971 //
     /* 1761688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1761708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761734 */     // MIs[0] policy
     /* 1761734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1761747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761771 */     // GIR_Coverage, 13971,
     /* 1761771 */     GIR_EraseRootFromParent_Done,
     /* 1761772 */   // Label 23938: @1761772
     /* 1761772 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1761861), // Rule ID 13974 //
     /* 1761777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1761797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761823 */     // MIs[0] policy
     /* 1761823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1761836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761860 */     // GIR_Coverage, 13974,
     /* 1761860 */     GIR_EraseRootFromParent_Done,
     /* 1761861 */   // Label 23939: @1761861
     /* 1761861 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1761950), // Rule ID 13975 //
     /* 1761866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1761886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761912 */     // MIs[0] policy
     /* 1761912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1761925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1761948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761949 */     // GIR_Coverage, 13975,
     /* 1761949 */     GIR_EraseRootFromParent_Done,
     /* 1761950 */   // Label 23940: @1761950
     /* 1761950 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1762039), // Rule ID 13978 //
     /* 1761955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1761963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1761966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1761969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1761972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1761975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762001 */     // MIs[0] policy
     /* 1762001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1762014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762038 */     // GIR_Coverage, 13978,
     /* 1762038 */     GIR_EraseRootFromParent_Done,
     /* 1762039 */   // Label 23941: @1762039
     /* 1762039 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1762128), // Rule ID 13979 //
     /* 1762044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1762064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762090 */     // MIs[0] policy
     /* 1762090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1762103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762127 */     // GIR_Coverage, 13979,
     /* 1762127 */     GIR_EraseRootFromParent_Done,
     /* 1762128 */   // Label 23942: @1762128
     /* 1762128 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1762217), // Rule ID 13982 //
     /* 1762133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1762153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762179 */     // MIs[0] policy
     /* 1762179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1762192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762216 */     // GIR_Coverage, 13982,
     /* 1762216 */     GIR_EraseRootFromParent_Done,
     /* 1762217 */   // Label 23943: @1762217
     /* 1762217 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1762306), // Rule ID 13983 //
     /* 1762222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1762242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762268 */     // MIs[0] policy
     /* 1762268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1762281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762305 */     // GIR_Coverage, 13983,
     /* 1762305 */     GIR_EraseRootFromParent_Done,
     /* 1762306 */   // Label 23944: @1762306
     /* 1762306 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1762395), // Rule ID 13986 //
     /* 1762311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1762331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762357 */     // MIs[0] policy
     /* 1762357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1762370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762394 */     // GIR_Coverage, 13986,
     /* 1762394 */     GIR_EraseRootFromParent_Done,
     /* 1762395 */   // Label 23945: @1762395
     /* 1762395 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1762484), // Rule ID 13987 //
     /* 1762400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1762420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762446 */     // MIs[0] policy
     /* 1762446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1762459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762483 */     // GIR_Coverage, 13987,
     /* 1762483 */     GIR_EraseRootFromParent_Done,
     /* 1762484 */   // Label 23946: @1762484
     /* 1762484 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1762573), // Rule ID 13990 //
     /* 1762489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762535 */     // MIs[0] policy
     /* 1762535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762545 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1762548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762572 */     // GIR_Coverage, 13990,
     /* 1762572 */     GIR_EraseRootFromParent_Done,
     /* 1762573 */   // Label 23947: @1762573
     /* 1762573 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1762662), // Rule ID 13991 //
     /* 1762578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1762598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762624 */     // MIs[0] policy
     /* 1762624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1762637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762661 */     // GIR_Coverage, 13991,
     /* 1762661 */     GIR_EraseRootFromParent_Done,
     /* 1762662 */   // Label 23948: @1762662
     /* 1762662 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1762751), // Rule ID 13994 //
     /* 1762667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762713 */     // MIs[0] policy
     /* 1762713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762723 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1762726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762750 */     // GIR_Coverage, 13994,
     /* 1762750 */     GIR_EraseRootFromParent_Done,
     /* 1762751 */   // Label 23949: @1762751
     /* 1762751 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1762840), // Rule ID 13995 //
     /* 1762756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762802 */     // MIs[0] policy
     /* 1762802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1762815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762839 */     // GIR_Coverage, 13995,
     /* 1762839 */     GIR_EraseRootFromParent_Done,
     /* 1762840 */   // Label 23950: @1762840
     /* 1762840 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1762929), // Rule ID 13998 //
     /* 1762845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762891 */     // MIs[0] policy
     /* 1762891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1762904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1762927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762928 */     // GIR_Coverage, 13998,
     /* 1762928 */     GIR_EraseRootFromParent_Done,
     /* 1762929 */   // Label 23951: @1762929
     /* 1762929 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1763018), // Rule ID 13999 //
     /* 1762934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1762942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762980 */     // MIs[0] policy
     /* 1762980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1762993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763017 */     // GIR_Coverage, 13999,
     /* 1763017 */     GIR_EraseRootFromParent_Done,
     /* 1763018 */   // Label 23952: @1763018
     /* 1763018 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1763107), // Rule ID 14002 //
     /* 1763023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763069 */     // MIs[0] policy
     /* 1763069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763106 */     // GIR_Coverage, 14002,
     /* 1763106 */     GIR_EraseRootFromParent_Done,
     /* 1763107 */   // Label 23953: @1763107
     /* 1763107 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1763196), // Rule ID 14003 //
     /* 1763112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763158 */     // MIs[0] policy
     /* 1763158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763195 */     // GIR_Coverage, 14003,
     /* 1763195 */     GIR_EraseRootFromParent_Done,
     /* 1763196 */   // Label 23954: @1763196
     /* 1763196 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1763285), // Rule ID 14006 //
     /* 1763201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763247 */     // MIs[0] policy
     /* 1763247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1763260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763284 */     // GIR_Coverage, 14006,
     /* 1763284 */     GIR_EraseRootFromParent_Done,
     /* 1763285 */   // Label 23955: @1763285
     /* 1763285 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1763374), // Rule ID 14007 //
     /* 1763290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763336 */     // MIs[0] policy
     /* 1763336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1763349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763373 */     // GIR_Coverage, 14007,
     /* 1763373 */     GIR_EraseRootFromParent_Done,
     /* 1763374 */   // Label 23956: @1763374
     /* 1763374 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1763463), // Rule ID 14010 //
     /* 1763379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763425 */     // MIs[0] policy
     /* 1763425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763435 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763462 */     // GIR_Coverage, 14010,
     /* 1763462 */     GIR_EraseRootFromParent_Done,
     /* 1763463 */   // Label 23957: @1763463
     /* 1763463 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1763552), // Rule ID 14011 //
     /* 1763468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763514 */     // MIs[0] policy
     /* 1763514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763551 */     // GIR_Coverage, 14011,
     /* 1763551 */     GIR_EraseRootFromParent_Done,
     /* 1763552 */   // Label 23958: @1763552
     /* 1763552 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1763641), // Rule ID 14014 //
     /* 1763557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763603 */     // MIs[0] policy
     /* 1763603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763613 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763640 */     // GIR_Coverage, 14014,
     /* 1763640 */     GIR_EraseRootFromParent_Done,
     /* 1763641 */   // Label 23959: @1763641
     /* 1763641 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1763730), // Rule ID 14015 //
     /* 1763646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763692 */     // MIs[0] policy
     /* 1763692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1763705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763729 */     // GIR_Coverage, 14015,
     /* 1763729 */     GIR_EraseRootFromParent_Done,
     /* 1763730 */   // Label 23960: @1763730
     /* 1763730 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1763819), // Rule ID 14018 //
     /* 1763735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763781 */     // MIs[0] policy
     /* 1763781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763791 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1763794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763818 */     // GIR_Coverage, 14018,
     /* 1763818 */     GIR_EraseRootFromParent_Done,
     /* 1763819 */   // Label 23961: @1763819
     /* 1763819 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1763908), // Rule ID 14019 //
     /* 1763824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1763835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1763838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1763841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763870 */     // MIs[0] policy
     /* 1763870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1763883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763907 */     // GIR_Coverage, 14019,
     /* 1763907 */     GIR_EraseRootFromParent_Done,
     /* 1763908 */   // Label 23962: @1763908
     /* 1763908 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1763997), // Rule ID 14022 //
     /* 1763913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1763921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1763924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1763927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1763930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763959 */     // MIs[0] policy
     /* 1763959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1763972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1763995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763996 */     // GIR_Coverage, 14022,
     /* 1763996 */     GIR_EraseRootFromParent_Done,
     /* 1763997 */   // Label 23963: @1763997
     /* 1763997 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1764086), // Rule ID 14023 //
     /* 1764002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764048 */     // MIs[0] policy
     /* 1764048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1764061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764085 */     // GIR_Coverage, 14023,
     /* 1764085 */     GIR_EraseRootFromParent_Done,
     /* 1764086 */   // Label 23964: @1764086
     /* 1764086 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1764175), // Rule ID 14026 //
     /* 1764091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764137 */     // MIs[0] policy
     /* 1764137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1764150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764174 */     // GIR_Coverage, 14026,
     /* 1764174 */     GIR_EraseRootFromParent_Done,
     /* 1764175 */   // Label 23965: @1764175
     /* 1764175 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1764264), // Rule ID 14027 //
     /* 1764180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764226 */     // MIs[0] policy
     /* 1764226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1764239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764263 */     // GIR_Coverage, 14027,
     /* 1764263 */     GIR_EraseRootFromParent_Done,
     /* 1764264 */   // Label 23966: @1764264
     /* 1764264 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1764353), // Rule ID 14030 //
     /* 1764269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764315 */     // MIs[0] policy
     /* 1764315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1764328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764352 */     // GIR_Coverage, 14030,
     /* 1764352 */     GIR_EraseRootFromParent_Done,
     /* 1764353 */   // Label 23967: @1764353
     /* 1764353 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1764442), // Rule ID 14031 //
     /* 1764358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1764369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1764372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1764375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764404 */     // MIs[0] policy
     /* 1764404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1764417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764441 */     // GIR_Coverage, 14031,
     /* 1764441 */     GIR_EraseRootFromParent_Done,
     /* 1764442 */   // Label 23968: @1764442
     /* 1764442 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1764531), // Rule ID 14034 //
     /* 1764447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764493 */     // MIs[0] policy
     /* 1764493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1764506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764530 */     // GIR_Coverage, 14034,
     /* 1764530 */     GIR_EraseRootFromParent_Done,
     /* 1764531 */   // Label 23969: @1764531
     /* 1764531 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1764620), // Rule ID 14035 //
     /* 1764536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764582 */     // MIs[0] policy
     /* 1764582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1764595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764619 */     // GIR_Coverage, 14035,
     /* 1764619 */     GIR_EraseRootFromParent_Done,
     /* 1764620 */   // Label 23970: @1764620
     /* 1764620 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1764709), // Rule ID 14038 //
     /* 1764625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764671 */     // MIs[0] policy
     /* 1764671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764681 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1764684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764708 */     // GIR_Coverage, 14038,
     /* 1764708 */     GIR_EraseRootFromParent_Done,
     /* 1764709 */   // Label 23971: @1764709
     /* 1764709 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1764798), // Rule ID 14039 //
     /* 1764714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764760 */     // MIs[0] policy
     /* 1764760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1764773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764797 */     // GIR_Coverage, 14039,
     /* 1764797 */     GIR_EraseRootFromParent_Done,
     /* 1764798 */   // Label 23972: @1764798
     /* 1764798 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1764887), // Rule ID 14042 //
     /* 1764803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764849 */     // MIs[0] policy
     /* 1764849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1764862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764886 */     // GIR_Coverage, 14042,
     /* 1764886 */     GIR_EraseRootFromParent_Done,
     /* 1764887 */   // Label 23973: @1764887
     /* 1764887 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1764976), // Rule ID 14043 //
     /* 1764892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1764903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1764906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1764909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1764915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764938 */     // MIs[0] policy
     /* 1764938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1764951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1764974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764975 */     // GIR_Coverage, 14043,
     /* 1764975 */     GIR_EraseRootFromParent_Done,
     /* 1764976 */   // Label 23974: @1764976
     /* 1764976 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1765065), // Rule ID 14046 //
     /* 1764981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1764989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1764992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1764995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1764998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765027 */     // MIs[0] policy
     /* 1765027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1765040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765064 */     // GIR_Coverage, 14046,
     /* 1765064 */     GIR_EraseRootFromParent_Done,
     /* 1765065 */   // Label 23975: @1765065
     /* 1765065 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1765154), // Rule ID 14047 //
     /* 1765070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765116 */     // MIs[0] policy
     /* 1765116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1765129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765153 */     // GIR_Coverage, 14047,
     /* 1765153 */     GIR_EraseRootFromParent_Done,
     /* 1765154 */   // Label 23976: @1765154
     /* 1765154 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1765243), // Rule ID 14050 //
     /* 1765159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765205 */     // MIs[0] policy
     /* 1765205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765215 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1765218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765242 */     // GIR_Coverage, 14050,
     /* 1765242 */     GIR_EraseRootFromParent_Done,
     /* 1765243 */   // Label 23977: @1765243
     /* 1765243 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1765332), // Rule ID 14051 //
     /* 1765248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765294 */     // MIs[0] policy
     /* 1765294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1765307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765331 */     // GIR_Coverage, 14051,
     /* 1765331 */     GIR_EraseRootFromParent_Done,
     /* 1765332 */   // Label 23978: @1765332
     /* 1765332 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1765421), // Rule ID 14054 //
     /* 1765337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765383 */     // MIs[0] policy
     /* 1765383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1765396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765420 */     // GIR_Coverage, 14054,
     /* 1765420 */     GIR_EraseRootFromParent_Done,
     /* 1765421 */   // Label 23979: @1765421
     /* 1765421 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1765510), // Rule ID 14055 //
     /* 1765426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765472 */     // MIs[0] policy
     /* 1765472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1765485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765509 */     // GIR_Coverage, 14055,
     /* 1765509 */     GIR_EraseRootFromParent_Done,
     /* 1765510 */   // Label 23980: @1765510
     /* 1765510 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1765599), // Rule ID 14058 //
     /* 1765515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765561 */     // MIs[0] policy
     /* 1765561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1765574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765598 */     // GIR_Coverage, 14058,
     /* 1765598 */     GIR_EraseRootFromParent_Done,
     /* 1765599 */   // Label 23981: @1765599
     /* 1765599 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1765688), // Rule ID 14059 //
     /* 1765604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765650 */     // MIs[0] policy
     /* 1765650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1765663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765687 */     // GIR_Coverage, 14059,
     /* 1765687 */     GIR_EraseRootFromParent_Done,
     /* 1765688 */   // Label 23982: @1765688
     /* 1765688 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1765777), // Rule ID 14062 //
     /* 1765693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765739 */     // MIs[0] policy
     /* 1765739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1765752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765776 */     // GIR_Coverage, 14062,
     /* 1765776 */     GIR_EraseRootFromParent_Done,
     /* 1765777 */   // Label 23983: @1765777
     /* 1765777 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1765866), // Rule ID 14063 //
     /* 1765782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1765793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1765796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1765799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765828 */     // MIs[0] policy
     /* 1765828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1765841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765865 */     // GIR_Coverage, 14063,
     /* 1765865 */     GIR_EraseRootFromParent_Done,
     /* 1765866 */   // Label 23984: @1765866
     /* 1765866 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1765955), // Rule ID 14066 //
     /* 1765871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765917 */     // MIs[0] policy
     /* 1765917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1765930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1765953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765954 */     // GIR_Coverage, 14066,
     /* 1765954 */     GIR_EraseRootFromParent_Done,
     /* 1765955 */   // Label 23985: @1765955
     /* 1765955 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1766044), // Rule ID 14067 //
     /* 1765960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1765968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1765971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1765974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1765977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766006 */     // MIs[0] policy
     /* 1766006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1766019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766043 */     // GIR_Coverage, 14067,
     /* 1766043 */     GIR_EraseRootFromParent_Done,
     /* 1766044 */   // Label 23986: @1766044
     /* 1766044 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1766133), // Rule ID 14070 //
     /* 1766049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766095 */     // MIs[0] policy
     /* 1766095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766105 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1766108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766132 */     // GIR_Coverage, 14070,
     /* 1766132 */     GIR_EraseRootFromParent_Done,
     /* 1766133 */   // Label 23987: @1766133
     /* 1766133 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1766222), // Rule ID 14071 //
     /* 1766138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1766149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1766152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1766155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766184 */     // MIs[0] policy
     /* 1766184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1766197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766221 */     // GIR_Coverage, 14071,
     /* 1766221 */     GIR_EraseRootFromParent_Done,
     /* 1766222 */   // Label 23988: @1766222
     /* 1766222 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1766311), // Rule ID 14074 //
     /* 1766227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766273 */     // MIs[0] policy
     /* 1766273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1766286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766310 */     // GIR_Coverage, 14074,
     /* 1766310 */     GIR_EraseRootFromParent_Done,
     /* 1766311 */   // Label 23989: @1766311
     /* 1766311 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1766400), // Rule ID 14075 //
     /* 1766316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1766327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1766330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1766333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766362 */     // MIs[0] policy
     /* 1766362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1766375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766399 */     // GIR_Coverage, 14075,
     /* 1766399 */     GIR_EraseRootFromParent_Done,
     /* 1766400 */   // Label 23990: @1766400
     /* 1766400 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1766489), // Rule ID 14078 //
     /* 1766405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766451 */     // MIs[0] policy
     /* 1766451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766461 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1766464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766488 */     // GIR_Coverage, 14078,
     /* 1766488 */     GIR_EraseRootFromParent_Done,
     /* 1766489 */   // Label 23991: @1766489
     /* 1766489 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1766578), // Rule ID 14079 //
     /* 1766494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1766502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1766505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1766508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1766511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766540 */     // MIs[0] policy
     /* 1766540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1766553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766577 */     // GIR_Coverage, 14079,
     /* 1766577 */     GIR_EraseRootFromParent_Done,
     /* 1766578 */   // Label 23992: @1766578
     /* 1766578 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1766667), // Rule ID 14170 //
     /* 1766583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1766591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1766603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766629 */     // MIs[0] policy
     /* 1766629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766639 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1766642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766666 */     // GIR_Coverage, 14170,
     /* 1766666 */     GIR_EraseRootFromParent_Done,
     /* 1766667 */   // Label 23993: @1766667
     /* 1766667 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1766756), // Rule ID 14171 //
     /* 1766672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1766680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1766692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766718 */     // MIs[0] policy
     /* 1766718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766728 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1766731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766755 */     // GIR_Coverage, 14171,
     /* 1766755 */     GIR_EraseRootFromParent_Done,
     /* 1766756 */   // Label 23994: @1766756
     /* 1766756 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1766845), // Rule ID 14174 //
     /* 1766761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1766769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1766781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766807 */     // MIs[0] policy
     /* 1766807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766817 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1766820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766844 */     // GIR_Coverage, 14174,
     /* 1766844 */     GIR_EraseRootFromParent_Done,
     /* 1766845 */   // Label 23995: @1766845
     /* 1766845 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1766934), // Rule ID 14175 //
     /* 1766850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1766858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1766870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766896 */     // MIs[0] policy
     /* 1766896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1766909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1766932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766933 */     // GIR_Coverage, 14175,
     /* 1766933 */     GIR_EraseRootFromParent_Done,
     /* 1766934 */   // Label 23996: @1766934
     /* 1766934 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1767023), // Rule ID 14178 //
     /* 1766939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1766947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1766959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766985 */     // MIs[0] policy
     /* 1766985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766995 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1766998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767022 */     // GIR_Coverage, 14178,
     /* 1767022 */     GIR_EraseRootFromParent_Done,
     /* 1767023 */   // Label 23997: @1767023
     /* 1767023 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1767112), // Rule ID 14179 //
     /* 1767028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1767048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767074 */     // MIs[0] policy
     /* 1767074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767084 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1767087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767111 */     // GIR_Coverage, 14179,
     /* 1767111 */     GIR_EraseRootFromParent_Done,
     /* 1767112 */   // Label 23998: @1767112
     /* 1767112 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1767201), // Rule ID 14182 //
     /* 1767117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1767137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767163 */     // MIs[0] policy
     /* 1767163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1767176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767200 */     // GIR_Coverage, 14182,
     /* 1767200 */     GIR_EraseRootFromParent_Done,
     /* 1767201 */   // Label 23999: @1767201
     /* 1767201 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1767290), // Rule ID 14183 //
     /* 1767206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1767226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767252 */     // MIs[0] policy
     /* 1767252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1767265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767289 */     // GIR_Coverage, 14183,
     /* 1767289 */     GIR_EraseRootFromParent_Done,
     /* 1767290 */   // Label 24000: @1767290
     /* 1767290 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1767379), // Rule ID 14186 //
     /* 1767295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1767315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767341 */     // MIs[0] policy
     /* 1767341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1767354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767378 */     // GIR_Coverage, 14186,
     /* 1767378 */     GIR_EraseRootFromParent_Done,
     /* 1767379 */   // Label 24001: @1767379
     /* 1767379 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1767468), // Rule ID 14187 //
     /* 1767384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1767404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767430 */     // MIs[0] policy
     /* 1767430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1767443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767467 */     // GIR_Coverage, 14187,
     /* 1767467 */     GIR_EraseRootFromParent_Done,
     /* 1767468 */   // Label 24002: @1767468
     /* 1767468 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1767557), // Rule ID 14190 //
     /* 1767473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1767493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767519 */     // MIs[0] policy
     /* 1767519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1767532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767556 */     // GIR_Coverage, 14190,
     /* 1767556 */     GIR_EraseRootFromParent_Done,
     /* 1767557 */   // Label 24003: @1767557
     /* 1767557 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1767646), // Rule ID 14191 //
     /* 1767562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1767582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767608 */     // MIs[0] policy
     /* 1767608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1767621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767645 */     // GIR_Coverage, 14191,
     /* 1767645 */     GIR_EraseRootFromParent_Done,
     /* 1767646 */   // Label 24004: @1767646
     /* 1767646 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1767735), // Rule ID 14194 //
     /* 1767651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1767671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767697 */     // MIs[0] policy
     /* 1767697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1767710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767734 */     // GIR_Coverage, 14194,
     /* 1767734 */     GIR_EraseRootFromParent_Done,
     /* 1767735 */   // Label 24005: @1767735
     /* 1767735 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1767824), // Rule ID 14195 //
     /* 1767740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1767760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767786 */     // MIs[0] policy
     /* 1767786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1767799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767823 */     // GIR_Coverage, 14195,
     /* 1767823 */     GIR_EraseRootFromParent_Done,
     /* 1767824 */   // Label 24006: @1767824
     /* 1767824 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1767913), // Rule ID 14198 //
     /* 1767829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1767849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767875 */     // MIs[0] policy
     /* 1767875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1767888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1767911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767912 */     // GIR_Coverage, 14198,
     /* 1767912 */     GIR_EraseRootFromParent_Done,
     /* 1767913 */   // Label 24007: @1767913
     /* 1767913 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1768002), // Rule ID 14199 //
     /* 1767918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1767926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1767938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767964 */     // MIs[0] policy
     /* 1767964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1767977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768001 */     // GIR_Coverage, 14199,
     /* 1768001 */     GIR_EraseRootFromParent_Done,
     /* 1768002 */   // Label 24008: @1768002
     /* 1768002 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1768091), // Rule ID 14202 //
     /* 1768007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1768027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768053 */     // MIs[0] policy
     /* 1768053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1768066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768090 */     // GIR_Coverage, 14202,
     /* 1768090 */     GIR_EraseRootFromParent_Done,
     /* 1768091 */   // Label 24009: @1768091
     /* 1768091 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1768180), // Rule ID 14203 //
     /* 1768096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1768116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768142 */     // MIs[0] policy
     /* 1768142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1768155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768179 */     // GIR_Coverage, 14203,
     /* 1768179 */     GIR_EraseRootFromParent_Done,
     /* 1768180 */   // Label 24010: @1768180
     /* 1768180 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1768269), // Rule ID 14206 //
     /* 1768185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768231 */     // MIs[0] policy
     /* 1768231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1768244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768268 */     // GIR_Coverage, 14206,
     /* 1768268 */     GIR_EraseRootFromParent_Done,
     /* 1768269 */   // Label 24011: @1768269
     /* 1768269 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1768358), // Rule ID 14207 //
     /* 1768274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1768285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1768288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1768291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1768294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768320 */     // MIs[0] policy
     /* 1768320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1768333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768357 */     // GIR_Coverage, 14207,
     /* 1768357 */     GIR_EraseRootFromParent_Done,
     /* 1768358 */   // Label 24012: @1768358
     /* 1768358 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1768447), // Rule ID 14210 //
     /* 1768363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1768383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768409 */     // MIs[0] policy
     /* 1768409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1768422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768446 */     // GIR_Coverage, 14210,
     /* 1768446 */     GIR_EraseRootFromParent_Done,
     /* 1768447 */   // Label 24013: @1768447
     /* 1768447 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1768536), // Rule ID 14211 //
     /* 1768452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1768472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768498 */     // MIs[0] policy
     /* 1768498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1768511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768535 */     // GIR_Coverage, 14211,
     /* 1768535 */     GIR_EraseRootFromParent_Done,
     /* 1768536 */   // Label 24014: @1768536
     /* 1768536 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1768625), // Rule ID 14214 //
     /* 1768541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1768561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768587 */     // MIs[0] policy
     /* 1768587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1768600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768624 */     // GIR_Coverage, 14214,
     /* 1768624 */     GIR_EraseRootFromParent_Done,
     /* 1768625 */   // Label 24015: @1768625
     /* 1768625 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1768714), // Rule ID 14215 //
     /* 1768630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1768650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768676 */     // MIs[0] policy
     /* 1768676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1768689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768713 */     // GIR_Coverage, 14215,
     /* 1768713 */     GIR_EraseRootFromParent_Done,
     /* 1768714 */   // Label 24016: @1768714
     /* 1768714 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1768803), // Rule ID 14218 //
     /* 1768719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1768739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768765 */     // MIs[0] policy
     /* 1768765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768775 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1768778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768802 */     // GIR_Coverage, 14218,
     /* 1768802 */     GIR_EraseRootFromParent_Done,
     /* 1768803 */   // Label 24017: @1768803
     /* 1768803 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1768892), // Rule ID 14219 //
     /* 1768808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1768828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768854 */     // MIs[0] policy
     /* 1768854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1768867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768891 */     // GIR_Coverage, 14219,
     /* 1768891 */     GIR_EraseRootFromParent_Done,
     /* 1768892 */   // Label 24018: @1768892
     /* 1768892 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1768981), // Rule ID 14222 //
     /* 1768897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1768917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768943 */     // MIs[0] policy
     /* 1768943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1768956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1768979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768980 */     // GIR_Coverage, 14222,
     /* 1768980 */     GIR_EraseRootFromParent_Done,
     /* 1768981 */   // Label 24019: @1768981
     /* 1768981 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1769070), // Rule ID 14223 //
     /* 1768986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1768994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1769006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769032 */     // MIs[0] policy
     /* 1769032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1769045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769069 */     // GIR_Coverage, 14223,
     /* 1769069 */     GIR_EraseRootFromParent_Done,
     /* 1769070 */   // Label 24020: @1769070
     /* 1769070 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1769159), // Rule ID 14226 //
     /* 1769075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1769095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769121 */     // MIs[0] policy
     /* 1769121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1769134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769158 */     // GIR_Coverage, 14226,
     /* 1769158 */     GIR_EraseRootFromParent_Done,
     /* 1769159 */   // Label 24021: @1769159
     /* 1769159 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1769248), // Rule ID 14227 //
     /* 1769164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1769184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769210 */     // MIs[0] policy
     /* 1769210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1769223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769247 */     // GIR_Coverage, 14227,
     /* 1769247 */     GIR_EraseRootFromParent_Done,
     /* 1769248 */   // Label 24022: @1769248
     /* 1769248 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1769337), // Rule ID 14230 //
     /* 1769253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1769273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769299 */     // MIs[0] policy
     /* 1769299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1769312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769336 */     // GIR_Coverage, 14230,
     /* 1769336 */     GIR_EraseRootFromParent_Done,
     /* 1769337 */   // Label 24023: @1769337
     /* 1769337 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1769426), // Rule ID 14231 //
     /* 1769342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1769362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769388 */     // MIs[0] policy
     /* 1769388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1769401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769425 */     // GIR_Coverage, 14231,
     /* 1769425 */     GIR_EraseRootFromParent_Done,
     /* 1769426 */   // Label 24024: @1769426
     /* 1769426 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1769515), // Rule ID 14234 //
     /* 1769431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1769451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769477 */     // MIs[0] policy
     /* 1769477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1769490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769514 */     // GIR_Coverage, 14234,
     /* 1769514 */     GIR_EraseRootFromParent_Done,
     /* 1769515 */   // Label 24025: @1769515
     /* 1769515 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1769604), // Rule ID 14235 //
     /* 1769520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1769540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769566 */     // MIs[0] policy
     /* 1769566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1769579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769603 */     // GIR_Coverage, 14235,
     /* 1769603 */     GIR_EraseRootFromParent_Done,
     /* 1769604 */   // Label 24026: @1769604
     /* 1769604 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1769693), // Rule ID 14238 //
     /* 1769609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1769629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769655 */     // MIs[0] policy
     /* 1769655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1769668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769692 */     // GIR_Coverage, 14238,
     /* 1769692 */     GIR_EraseRootFromParent_Done,
     /* 1769693 */   // Label 24027: @1769693
     /* 1769693 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1769782), // Rule ID 14239 //
     /* 1769698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1769718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769744 */     // MIs[0] policy
     /* 1769744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1769757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769781 */     // GIR_Coverage, 14239,
     /* 1769781 */     GIR_EraseRootFromParent_Done,
     /* 1769782 */   // Label 24028: @1769782
     /* 1769782 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1769871), // Rule ID 14242 //
     /* 1769787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1769807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769833 */     // MIs[0] policy
     /* 1769833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1769846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769870 */     // GIR_Coverage, 14242,
     /* 1769870 */     GIR_EraseRootFromParent_Done,
     /* 1769871 */   // Label 24029: @1769871
     /* 1769871 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1769960), // Rule ID 14243 //
     /* 1769876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1769896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769922 */     // MIs[0] policy
     /* 1769922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1769935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1769958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769959 */     // GIR_Coverage, 14243,
     /* 1769959 */     GIR_EraseRootFromParent_Done,
     /* 1769960 */   // Label 24030: @1769960
     /* 1769960 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1770049), // Rule ID 14246 //
     /* 1769965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1769973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1769985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770011 */     // MIs[0] policy
     /* 1770011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1770024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770048 */     // GIR_Coverage, 14246,
     /* 1770048 */     GIR_EraseRootFromParent_Done,
     /* 1770049 */   // Label 24031: @1770049
     /* 1770049 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1770138), // Rule ID 14247 //
     /* 1770054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1770074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770100 */     // MIs[0] policy
     /* 1770100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1770113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770137 */     // GIR_Coverage, 14247,
     /* 1770137 */     GIR_EraseRootFromParent_Done,
     /* 1770138 */   // Label 24032: @1770138
     /* 1770138 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1770227), // Rule ID 14250 //
     /* 1770143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770189 */     // MIs[0] policy
     /* 1770189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770199 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1770202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770226 */     // GIR_Coverage, 14250,
     /* 1770226 */     GIR_EraseRootFromParent_Done,
     /* 1770227 */   // Label 24033: @1770227
     /* 1770227 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1770316), // Rule ID 14251 //
     /* 1770232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770278 */     // MIs[0] policy
     /* 1770278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1770291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770315 */     // GIR_Coverage, 14251,
     /* 1770315 */     GIR_EraseRootFromParent_Done,
     /* 1770316 */   // Label 24034: @1770316
     /* 1770316 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1770405), // Rule ID 14254 //
     /* 1770321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770367 */     // MIs[0] policy
     /* 1770367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1770380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770404 */     // GIR_Coverage, 14254,
     /* 1770404 */     GIR_EraseRootFromParent_Done,
     /* 1770405 */   // Label 24035: @1770405
     /* 1770405 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1770494), // Rule ID 14255 //
     /* 1770410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770456 */     // MIs[0] policy
     /* 1770456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1770469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770493 */     // GIR_Coverage, 14255,
     /* 1770493 */     GIR_EraseRootFromParent_Done,
     /* 1770494 */   // Label 24036: @1770494
     /* 1770494 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1770583), // Rule ID 14258 //
     /* 1770499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770545 */     // MIs[0] policy
     /* 1770545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1770558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770582 */     // GIR_Coverage, 14258,
     /* 1770582 */     GIR_EraseRootFromParent_Done,
     /* 1770583 */   // Label 24037: @1770583
     /* 1770583 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1770672), // Rule ID 14259 //
     /* 1770588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770634 */     // MIs[0] policy
     /* 1770634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770644 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1770647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770671 */     // GIR_Coverage, 14259,
     /* 1770671 */     GIR_EraseRootFromParent_Done,
     /* 1770672 */   // Label 24038: @1770672
     /* 1770672 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1770761), // Rule ID 14262 //
     /* 1770677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770723 */     // MIs[0] policy
     /* 1770723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1770736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770760 */     // GIR_Coverage, 14262,
     /* 1770760 */     GIR_EraseRootFromParent_Done,
     /* 1770761 */   // Label 24039: @1770761
     /* 1770761 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1770850), // Rule ID 14263 //
     /* 1770766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770812 */     // MIs[0] policy
     /* 1770812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1770825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770849 */     // GIR_Coverage, 14263,
     /* 1770849 */     GIR_EraseRootFromParent_Done,
     /* 1770850 */   // Label 24040: @1770850
     /* 1770850 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1770939), // Rule ID 14266 //
     /* 1770855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770901 */     // MIs[0] policy
     /* 1770901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770911 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1770914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1770937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770938 */     // GIR_Coverage, 14266,
     /* 1770938 */     GIR_EraseRootFromParent_Done,
     /* 1770939 */   // Label 24041: @1770939
     /* 1770939 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1771028), // Rule ID 14267 //
     /* 1770944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1770952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770990 */     // MIs[0] policy
     /* 1770990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771000 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1771003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771027 */     // GIR_Coverage, 14267,
     /* 1771027 */     GIR_EraseRootFromParent_Done,
     /* 1771028 */   // Label 24042: @1771028
     /* 1771028 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1771117), // Rule ID 14270 //
     /* 1771033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771079 */     // MIs[0] policy
     /* 1771079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1771092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771116 */     // GIR_Coverage, 14270,
     /* 1771116 */     GIR_EraseRootFromParent_Done,
     /* 1771117 */   // Label 24043: @1771117
     /* 1771117 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1771206), // Rule ID 14271 //
     /* 1771122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1771133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771168 */     // MIs[0] policy
     /* 1771168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1771181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771205 */     // GIR_Coverage, 14271,
     /* 1771205 */     GIR_EraseRootFromParent_Done,
     /* 1771206 */   // Label 24044: @1771206
     /* 1771206 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1771295), // Rule ID 14274 //
     /* 1771211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771257 */     // MIs[0] policy
     /* 1771257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1771270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771294 */     // GIR_Coverage, 14274,
     /* 1771294 */     GIR_EraseRootFromParent_Done,
     /* 1771295 */   // Label 24045: @1771295
     /* 1771295 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1771384), // Rule ID 14275 //
     /* 1771300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771346 */     // MIs[0] policy
     /* 1771346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1771359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771383 */     // GIR_Coverage, 14275,
     /* 1771383 */     GIR_EraseRootFromParent_Done,
     /* 1771384 */   // Label 24046: @1771384
     /* 1771384 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1771473), // Rule ID 14278 //
     /* 1771389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771435 */     // MIs[0] policy
     /* 1771435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771445 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1771448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771472 */     // GIR_Coverage, 14278,
     /* 1771472 */     GIR_EraseRootFromParent_Done,
     /* 1771473 */   // Label 24047: @1771473
     /* 1771473 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1771562), // Rule ID 14279 //
     /* 1771478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771524 */     // MIs[0] policy
     /* 1771524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1771537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771561 */     // GIR_Coverage, 14279,
     /* 1771561 */     GIR_EraseRootFromParent_Done,
     /* 1771562 */   // Label 24048: @1771562
     /* 1771562 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1771651), // Rule ID 14282 //
     /* 1771567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771613 */     // MIs[0] policy
     /* 1771613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1771626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771650 */     // GIR_Coverage, 14282,
     /* 1771650 */     GIR_EraseRootFromParent_Done,
     /* 1771651 */   // Label 24049: @1771651
     /* 1771651 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1771740), // Rule ID 14283 //
     /* 1771656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771702 */     // MIs[0] policy
     /* 1771702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1771715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771739 */     // GIR_Coverage, 14283,
     /* 1771739 */     GIR_EraseRootFromParent_Done,
     /* 1771740 */   // Label 24050: @1771740
     /* 1771740 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1771829), // Rule ID 14286 //
     /* 1771745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771791 */     // MIs[0] policy
     /* 1771791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1771804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771828 */     // GIR_Coverage, 14286,
     /* 1771828 */     GIR_EraseRootFromParent_Done,
     /* 1771829 */   // Label 24051: @1771829
     /* 1771829 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1771918), // Rule ID 14287 //
     /* 1771834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771880 */     // MIs[0] policy
     /* 1771880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1771893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1771916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771917 */     // GIR_Coverage, 14287,
     /* 1771917 */     GIR_EraseRootFromParent_Done,
     /* 1771918 */   // Label 24052: @1771918
     /* 1771918 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1772007), // Rule ID 14290 //
     /* 1771923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1771931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771969 */     // MIs[0] policy
     /* 1771969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1771982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772006 */     // GIR_Coverage, 14290,
     /* 1772006 */     GIR_EraseRootFromParent_Done,
     /* 1772007 */   // Label 24053: @1772007
     /* 1772007 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1772096), // Rule ID 14291 //
     /* 1772012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1772023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772058 */     // MIs[0] policy
     /* 1772058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1772071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772095 */     // GIR_Coverage, 14291,
     /* 1772095 */     GIR_EraseRootFromParent_Done,
     /* 1772096 */   // Label 24054: @1772096
     /* 1772096 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1772185), // Rule ID 14294 //
     /* 1772101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772147 */     // MIs[0] policy
     /* 1772147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1772160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772184 */     // GIR_Coverage, 14294,
     /* 1772184 */     GIR_EraseRootFromParent_Done,
     /* 1772185 */   // Label 24055: @1772185
     /* 1772185 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1772274), // Rule ID 14295 //
     /* 1772190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772236 */     // MIs[0] policy
     /* 1772236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1772249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772273 */     // GIR_Coverage, 14295,
     /* 1772273 */     GIR_EraseRootFromParent_Done,
     /* 1772274 */   // Label 24056: @1772274
     /* 1772274 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1772363), // Rule ID 14298 //
     /* 1772279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772325 */     // MIs[0] policy
     /* 1772325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1772338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772362 */     // GIR_Coverage, 14298,
     /* 1772362 */     GIR_EraseRootFromParent_Done,
     /* 1772363 */   // Label 24057: @1772363
     /* 1772363 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1772452), // Rule ID 14299 //
     /* 1772368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772414 */     // MIs[0] policy
     /* 1772414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1772427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772451 */     // GIR_Coverage, 14299,
     /* 1772451 */     GIR_EraseRootFromParent_Done,
     /* 1772452 */   // Label 24058: @1772452
     /* 1772452 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1772541), // Rule ID 14302 //
     /* 1772457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772503 */     // MIs[0] policy
     /* 1772503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772513 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1772516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772540 */     // GIR_Coverage, 14302,
     /* 1772540 */     GIR_EraseRootFromParent_Done,
     /* 1772541 */   // Label 24059: @1772541
     /* 1772541 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1772630), // Rule ID 14303 //
     /* 1772546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772592 */     // MIs[0] policy
     /* 1772592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772602 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1772605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772629 */     // GIR_Coverage, 14303,
     /* 1772629 */     GIR_EraseRootFromParent_Done,
     /* 1772630 */   // Label 24060: @1772630
     /* 1772630 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1772719), // Rule ID 14306 //
     /* 1772635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772681 */     // MIs[0] policy
     /* 1772681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1772694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772718 */     // GIR_Coverage, 14306,
     /* 1772718 */     GIR_EraseRootFromParent_Done,
     /* 1772719 */   // Label 24061: @1772719
     /* 1772719 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1772808), // Rule ID 14307 //
     /* 1772724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772770 */     // MIs[0] policy
     /* 1772770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772780 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1772783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772807 */     // GIR_Coverage, 14307,
     /* 1772807 */     GIR_EraseRootFromParent_Done,
     /* 1772808 */   // Label 24062: @1772808
     /* 1772808 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1772897), // Rule ID 14310 //
     /* 1772813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772859 */     // MIs[0] policy
     /* 1772859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1772872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772896 */     // GIR_Coverage, 14310,
     /* 1772896 */     GIR_EraseRootFromParent_Done,
     /* 1772897 */   // Label 24063: @1772897
     /* 1772897 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1772986), // Rule ID 14311 //
     /* 1772902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772948 */     // MIs[0] policy
     /* 1772948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1772961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1772984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772985 */     // GIR_Coverage, 14311,
     /* 1772985 */     GIR_EraseRootFromParent_Done,
     /* 1772986 */   // Label 24064: @1772986
     /* 1772986 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1773075), // Rule ID 14314 //
     /* 1772991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1772999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773037 */     // MIs[0] policy
     /* 1773037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1773050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773074 */     // GIR_Coverage, 14314,
     /* 1773074 */     GIR_EraseRootFromParent_Done,
     /* 1773075 */   // Label 24065: @1773075
     /* 1773075 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1773164), // Rule ID 14315 //
     /* 1773080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773126 */     // MIs[0] policy
     /* 1773126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1773139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773163 */     // GIR_Coverage, 14315,
     /* 1773163 */     GIR_EraseRootFromParent_Done,
     /* 1773164 */   // Label 24066: @1773164
     /* 1773164 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1773253), // Rule ID 14318 //
     /* 1773169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773215 */     // MIs[0] policy
     /* 1773215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773225 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1773228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773252 */     // GIR_Coverage, 14318,
     /* 1773252 */     GIR_EraseRootFromParent_Done,
     /* 1773253 */   // Label 24067: @1773253
     /* 1773253 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1773342), // Rule ID 14319 //
     /* 1773258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773304 */     // MIs[0] policy
     /* 1773304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1773317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773341 */     // GIR_Coverage, 14319,
     /* 1773341 */     GIR_EraseRootFromParent_Done,
     /* 1773342 */   // Label 24068: @1773342
     /* 1773342 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1773431), // Rule ID 14322 //
     /* 1773347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773393 */     // MIs[0] policy
     /* 1773393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1773406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773430 */     // GIR_Coverage, 14322,
     /* 1773430 */     GIR_EraseRootFromParent_Done,
     /* 1773431 */   // Label 24069: @1773431
     /* 1773431 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1773520), // Rule ID 14323 //
     /* 1773436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773482 */     // MIs[0] policy
     /* 1773482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1773495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773519 */     // GIR_Coverage, 14323,
     /* 1773519 */     GIR_EraseRootFromParent_Done,
     /* 1773520 */   // Label 24070: @1773520
     /* 1773520 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1773609), // Rule ID 14326 //
     /* 1773525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773571 */     // MIs[0] policy
     /* 1773571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1773584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773608 */     // GIR_Coverage, 14326,
     /* 1773608 */     GIR_EraseRootFromParent_Done,
     /* 1773609 */   // Label 24071: @1773609
     /* 1773609 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1773698), // Rule ID 14327 //
     /* 1773614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773660 */     // MIs[0] policy
     /* 1773660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1773673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773697 */     // GIR_Coverage, 14327,
     /* 1773697 */     GIR_EraseRootFromParent_Done,
     /* 1773698 */   // Label 24072: @1773698
     /* 1773698 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1773787), // Rule ID 14330 //
     /* 1773703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773749 */     // MIs[0] policy
     /* 1773749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1773762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773786 */     // GIR_Coverage, 14330,
     /* 1773786 */     GIR_EraseRootFromParent_Done,
     /* 1773787 */   // Label 24073: @1773787
     /* 1773787 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1773876), // Rule ID 14331 //
     /* 1773792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773838 */     // MIs[0] policy
     /* 1773838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1773851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773875 */     // GIR_Coverage, 14331,
     /* 1773875 */     GIR_EraseRootFromParent_Done,
     /* 1773876 */   // Label 24074: @1773876
     /* 1773876 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1773965), // Rule ID 14334 //
     /* 1773881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773927 */     // MIs[0] policy
     /* 1773927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1773940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1773963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773964 */     // GIR_Coverage, 14334,
     /* 1773964 */     GIR_EraseRootFromParent_Done,
     /* 1773965 */   // Label 24075: @1773965
     /* 1773965 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1774054), // Rule ID 14335 //
     /* 1773970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1773978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774016 */     // MIs[0] policy
     /* 1774016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1774029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774053 */     // GIR_Coverage, 14335,
     /* 1774053 */     GIR_EraseRootFromParent_Done,
     /* 1774054 */   // Label 24076: @1774054
     /* 1774054 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1774143), // Rule ID 14338 //
     /* 1774059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1774067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774105 */     // MIs[0] policy
     /* 1774105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1774118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774142 */     // GIR_Coverage, 14338,
     /* 1774142 */     GIR_EraseRootFromParent_Done,
     /* 1774143 */   // Label 24077: @1774143
     /* 1774143 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1774232), // Rule ID 14339 //
     /* 1774148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1774156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1774159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1774162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1774165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774194 */     // MIs[0] policy
     /* 1774194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1774207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774231 */     // GIR_Coverage, 14339,
     /* 1774231 */     GIR_EraseRootFromParent_Done,
     /* 1774232 */   // Label 24078: @1774232
     /* 1774232 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1774321), // Rule ID 14342 //
     /* 1774237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1774245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774283 */     // MIs[0] policy
     /* 1774283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774293 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1774296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774320 */     // GIR_Coverage, 14342,
     /* 1774320 */     GIR_EraseRootFromParent_Done,
     /* 1774321 */   // Label 24079: @1774321
     /* 1774321 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1774410), // Rule ID 14343 //
     /* 1774326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1774334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1774337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1774340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1774343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774372 */     // MIs[0] policy
     /* 1774372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1774385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774409 */     // GIR_Coverage, 14343,
     /* 1774409 */     GIR_EraseRootFromParent_Done,
     /* 1774410 */   // Label 24080: @1774410
     /* 1774410 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1774499), // Rule ID 14434 //
     /* 1774415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1774435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774461 */     // MIs[0] policy
     /* 1774461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1774474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774498 */     // GIR_Coverage, 14434,
     /* 1774498 */     GIR_EraseRootFromParent_Done,
     /* 1774499 */   // Label 24081: @1774499
     /* 1774499 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1774588), // Rule ID 14435 //
     /* 1774504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1774524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774550 */     // MIs[0] policy
     /* 1774550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774560 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1774563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774587 */     // GIR_Coverage, 14435,
     /* 1774587 */     GIR_EraseRootFromParent_Done,
     /* 1774588 */   // Label 24082: @1774588
     /* 1774588 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1774677), // Rule ID 14438 //
     /* 1774593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774639 */     // MIs[0] policy
     /* 1774639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1774652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774676 */     // GIR_Coverage, 14438,
     /* 1774676 */     GIR_EraseRootFromParent_Done,
     /* 1774677 */   // Label 24083: @1774677
     /* 1774677 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1774766), // Rule ID 14439 //
     /* 1774682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774728 */     // MIs[0] policy
     /* 1774728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1774741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774765 */     // GIR_Coverage, 14439,
     /* 1774765 */     GIR_EraseRootFromParent_Done,
     /* 1774766 */   // Label 24084: @1774766
     /* 1774766 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1774855), // Rule ID 14442 //
     /* 1774771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1774791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774817 */     // MIs[0] policy
     /* 1774817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774827 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1774830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774854 */     // GIR_Coverage, 14442,
     /* 1774854 */     GIR_EraseRootFromParent_Done,
     /* 1774855 */   // Label 24085: @1774855
     /* 1774855 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1774944), // Rule ID 14443 //
     /* 1774860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1774880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774906 */     // MIs[0] policy
     /* 1774906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1774919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1774942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774943 */     // GIR_Coverage, 14443,
     /* 1774943 */     GIR_EraseRootFromParent_Done,
     /* 1774944 */   // Label 24086: @1774944
     /* 1774944 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1775033), // Rule ID 14446 //
     /* 1774949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1774957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1774969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774995 */     // MIs[0] policy
     /* 1774995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1775008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775032 */     // GIR_Coverage, 14446,
     /* 1775032 */     GIR_EraseRootFromParent_Done,
     /* 1775033 */   // Label 24087: @1775033
     /* 1775033 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1775122), // Rule ID 14447 //
     /* 1775038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1775049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1775052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1775055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1775058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775084 */     // MIs[0] policy
     /* 1775084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1775097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775121 */     // GIR_Coverage, 14447,
     /* 1775121 */     GIR_EraseRootFromParent_Done,
     /* 1775122 */   // Label 24088: @1775122
     /* 1775122 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1775211), // Rule ID 14450 //
     /* 1775127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1775147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775173 */     // MIs[0] policy
     /* 1775173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1775186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775210 */     // GIR_Coverage, 14450,
     /* 1775210 */     GIR_EraseRootFromParent_Done,
     /* 1775211 */   // Label 24089: @1775211
     /* 1775211 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1775300), // Rule ID 14451 //
     /* 1775216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1775227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1775230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1775233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1775236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775262 */     // MIs[0] policy
     /* 1775262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1775275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775299 */     // GIR_Coverage, 14451,
     /* 1775299 */     GIR_EraseRootFromParent_Done,
     /* 1775300 */   // Label 24090: @1775300
     /* 1775300 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1775389), // Rule ID 14454 //
     /* 1775305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1775325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775351 */     // MIs[0] policy
     /* 1775351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1775364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775388 */     // GIR_Coverage, 14454,
     /* 1775388 */     GIR_EraseRootFromParent_Done,
     /* 1775389 */   // Label 24091: @1775389
     /* 1775389 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1775478), // Rule ID 14455 //
     /* 1775394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1775414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775440 */     // MIs[0] policy
     /* 1775440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1775453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775477 */     // GIR_Coverage, 14455,
     /* 1775477 */     GIR_EraseRootFromParent_Done,
     /* 1775478 */   // Label 24092: @1775478
     /* 1775478 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1775567), // Rule ID 14458 //
     /* 1775483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1775503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775529 */     // MIs[0] policy
     /* 1775529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775539 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775566 */     // GIR_Coverage, 14458,
     /* 1775566 */     GIR_EraseRootFromParent_Done,
     /* 1775567 */   // Label 24093: @1775567
     /* 1775567 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1775656), // Rule ID 14459 //
     /* 1775572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1775592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775618 */     // MIs[0] policy
     /* 1775618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775655 */     // GIR_Coverage, 14459,
     /* 1775655 */     GIR_EraseRootFromParent_Done,
     /* 1775656 */   // Label 24094: @1775656
     /* 1775656 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1775745), // Rule ID 14462 //
     /* 1775661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775707 */     // MIs[0] policy
     /* 1775707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775744 */     // GIR_Coverage, 14462,
     /* 1775744 */     GIR_EraseRootFromParent_Done,
     /* 1775745 */   // Label 24095: @1775745
     /* 1775745 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1775834), // Rule ID 14463 //
     /* 1775750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775796 */     // MIs[0] policy
     /* 1775796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775833 */     // GIR_Coverage, 14463,
     /* 1775833 */     GIR_EraseRootFromParent_Done,
     /* 1775834 */   // Label 24096: @1775834
     /* 1775834 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1775923), // Rule ID 14466 //
     /* 1775839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1775859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775885 */     // MIs[0] policy
     /* 1775885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1775921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775922 */     // GIR_Coverage, 14466,
     /* 1775922 */     GIR_EraseRootFromParent_Done,
     /* 1775923 */   // Label 24097: @1775923
     /* 1775923 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1776012), // Rule ID 14467 //
     /* 1775928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1775936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1775948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775974 */     // MIs[0] policy
     /* 1775974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1775987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776011 */     // GIR_Coverage, 14467,
     /* 1776011 */     GIR_EraseRootFromParent_Done,
     /* 1776012 */   // Label 24098: @1776012
     /* 1776012 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1776101), // Rule ID 14470 //
     /* 1776017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1776028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1776031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1776034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1776037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776063 */     // MIs[0] policy
     /* 1776063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1776076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776100 */     // GIR_Coverage, 14470,
     /* 1776100 */     GIR_EraseRootFromParent_Done,
     /* 1776101 */   // Label 24099: @1776101
     /* 1776101 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1776190), // Rule ID 14471 //
     /* 1776106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1776117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1776120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1776123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1776126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776152 */     // MIs[0] policy
     /* 1776152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1776165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776189 */     // GIR_Coverage, 14471,
     /* 1776189 */     GIR_EraseRootFromParent_Done,
     /* 1776190 */   // Label 24100: @1776190
     /* 1776190 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1776279), // Rule ID 14474 //
     /* 1776195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1776215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776241 */     // MIs[0] policy
     /* 1776241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1776254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776278 */     // GIR_Coverage, 14474,
     /* 1776278 */     GIR_EraseRootFromParent_Done,
     /* 1776279 */   // Label 24101: @1776279
     /* 1776279 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1776368), // Rule ID 14475 //
     /* 1776284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1776295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1776298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1776301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1776304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776330 */     // MIs[0] policy
     /* 1776330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776340 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1776343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776367 */     // GIR_Coverage, 14475,
     /* 1776367 */     GIR_EraseRootFromParent_Done,
     /* 1776368 */   // Label 24102: @1776368
     /* 1776368 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1776457), // Rule ID 14478 //
     /* 1776373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1776393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776419 */     // MIs[0] policy
     /* 1776419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776429 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1776432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776456 */     // GIR_Coverage, 14478,
     /* 1776456 */     GIR_EraseRootFromParent_Done,
     /* 1776457 */   // Label 24103: @1776457
     /* 1776457 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1776546), // Rule ID 14479 //
     /* 1776462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1776482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776508 */     // MIs[0] policy
     /* 1776508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1776521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776545 */     // GIR_Coverage, 14479,
     /* 1776545 */     GIR_EraseRootFromParent_Done,
     /* 1776546 */   // Label 24104: @1776546
     /* 1776546 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1776635), // Rule ID 14482 //
     /* 1776551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1776571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776597 */     // MIs[0] policy
     /* 1776597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776607 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1776610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776634 */     // GIR_Coverage, 14482,
     /* 1776634 */     GIR_EraseRootFromParent_Done,
     /* 1776635 */   // Label 24105: @1776635
     /* 1776635 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1776724), // Rule ID 14483 //
     /* 1776640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1776660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776686 */     // MIs[0] policy
     /* 1776686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1776699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776723 */     // GIR_Coverage, 14483,
     /* 1776723 */     GIR_EraseRootFromParent_Done,
     /* 1776724 */   // Label 24106: @1776724
     /* 1776724 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1776813), // Rule ID 14486 //
     /* 1776729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1776749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776775 */     // MIs[0] policy
     /* 1776775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1776788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776812 */     // GIR_Coverage, 14486,
     /* 1776812 */     GIR_EraseRootFromParent_Done,
     /* 1776813 */   // Label 24107: @1776813
     /* 1776813 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1776902), // Rule ID 14487 //
     /* 1776818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1776838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776864 */     // MIs[0] policy
     /* 1776864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1776877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776901 */     // GIR_Coverage, 14487,
     /* 1776901 */     GIR_EraseRootFromParent_Done,
     /* 1776902 */   // Label 24108: @1776902
     /* 1776902 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1776991), // Rule ID 14490 //
     /* 1776907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1776915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1776927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776953 */     // MIs[0] policy
     /* 1776953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1776966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1776989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776990 */     // GIR_Coverage, 14490,
     /* 1776990 */     GIR_EraseRootFromParent_Done,
     /* 1776991 */   // Label 24109: @1776991
     /* 1776991 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1777080), // Rule ID 14491 //
     /* 1776996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1777007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1777010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1777013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1777016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777042 */     // MIs[0] policy
     /* 1777042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1777055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777079 */     // GIR_Coverage, 14491,
     /* 1777079 */     GIR_EraseRootFromParent_Done,
     /* 1777080 */   // Label 24110: @1777080
     /* 1777080 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1777169), // Rule ID 14494 //
     /* 1777085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1777096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1777099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1777102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1777105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777131 */     // MIs[0] policy
     /* 1777131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777141 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1777144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777168 */     // GIR_Coverage, 14494,
     /* 1777168 */     GIR_EraseRootFromParent_Done,
     /* 1777169 */   // Label 24111: @1777169
     /* 1777169 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1777258), // Rule ID 14495 //
     /* 1777174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1777185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1777188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1777191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1777194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777220 */     // MIs[0] policy
     /* 1777220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1777233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777257 */     // GIR_Coverage, 14495,
     /* 1777257 */     GIR_EraseRootFromParent_Done,
     /* 1777258 */   // Label 24112: @1777258
     /* 1777258 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1777347), // Rule ID 14498 //
     /* 1777263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1777283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777309 */     // MIs[0] policy
     /* 1777309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1777322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777346 */     // GIR_Coverage, 14498,
     /* 1777346 */     GIR_EraseRootFromParent_Done,
     /* 1777347 */   // Label 24113: @1777347
     /* 1777347 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1777436), // Rule ID 14499 //
     /* 1777352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1777372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777398 */     // MIs[0] policy
     /* 1777398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1777411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777435 */     // GIR_Coverage, 14499,
     /* 1777435 */     GIR_EraseRootFromParent_Done,
     /* 1777436 */   // Label 24114: @1777436
     /* 1777436 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1777525), // Rule ID 14502 //
     /* 1777441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1777461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777487 */     // MIs[0] policy
     /* 1777487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1777500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777524 */     // GIR_Coverage, 14502,
     /* 1777524 */     GIR_EraseRootFromParent_Done,
     /* 1777525 */   // Label 24115: @1777525
     /* 1777525 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1777614), // Rule ID 14503 //
     /* 1777530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1777550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777576 */     // MIs[0] policy
     /* 1777576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1777589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777613 */     // GIR_Coverage, 14503,
     /* 1777613 */     GIR_EraseRootFromParent_Done,
     /* 1777614 */   // Label 24116: @1777614
     /* 1777614 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1777703), // Rule ID 14506 //
     /* 1777619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1777639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777665 */     // MIs[0] policy
     /* 1777665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1777678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777702 */     // GIR_Coverage, 14506,
     /* 1777702 */     GIR_EraseRootFromParent_Done,
     /* 1777703 */   // Label 24117: @1777703
     /* 1777703 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1777792), // Rule ID 14507 //
     /* 1777708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1777728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777754 */     // MIs[0] policy
     /* 1777754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1777767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777791 */     // GIR_Coverage, 14507,
     /* 1777791 */     GIR_EraseRootFromParent_Done,
     /* 1777792 */   // Label 24118: @1777792
     /* 1777792 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1777881), // Rule ID 14510 //
     /* 1777797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1777817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777843 */     // MIs[0] policy
     /* 1777843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1777856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777880 */     // GIR_Coverage, 14510,
     /* 1777880 */     GIR_EraseRootFromParent_Done,
     /* 1777881 */   // Label 24119: @1777881
     /* 1777881 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1777970), // Rule ID 14511 //
     /* 1777886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1777906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777932 */     // MIs[0] policy
     /* 1777932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1777945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1777968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777969 */     // GIR_Coverage, 14511,
     /* 1777969 */     GIR_EraseRootFromParent_Done,
     /* 1777970 */   // Label 24120: @1777970
     /* 1777970 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1778059), // Rule ID 14514 //
     /* 1777975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1777983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1777995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778021 */     // MIs[0] policy
     /* 1778021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1778034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778058 */     // GIR_Coverage, 14514,
     /* 1778058 */     GIR_EraseRootFromParent_Done,
     /* 1778059 */   // Label 24121: @1778059
     /* 1778059 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1778148), // Rule ID 14515 //
     /* 1778064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1778075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1778078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1778081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1778084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778110 */     // MIs[0] policy
     /* 1778110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1778123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778147 */     // GIR_Coverage, 14515,
     /* 1778147 */     GIR_EraseRootFromParent_Done,
     /* 1778148 */   // Label 24122: @1778148
     /* 1778148 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1778237), // Rule ID 14518 //
     /* 1778153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1778173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778199 */     // MIs[0] policy
     /* 1778199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1778212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778236 */     // GIR_Coverage, 14518,
     /* 1778236 */     GIR_EraseRootFromParent_Done,
     /* 1778237 */   // Label 24123: @1778237
     /* 1778237 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1778326), // Rule ID 14519 //
     /* 1778242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1778253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1778256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1778259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1778262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778288 */     // MIs[0] policy
     /* 1778288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1778301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778325 */     // GIR_Coverage, 14519,
     /* 1778325 */     GIR_EraseRootFromParent_Done,
     /* 1778326 */   // Label 24124: @1778326
     /* 1778326 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1778415), // Rule ID 14522 //
     /* 1778331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778377 */     // MIs[0] policy
     /* 1778377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1778390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778414 */     // GIR_Coverage, 14522,
     /* 1778414 */     GIR_EraseRootFromParent_Done,
     /* 1778415 */   // Label 24125: @1778415
     /* 1778415 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1778504), // Rule ID 14523 //
     /* 1778420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1778431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1778434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1778437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778466 */     // MIs[0] policy
     /* 1778466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1778479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778503 */     // GIR_Coverage, 14523,
     /* 1778503 */     GIR_EraseRootFromParent_Done,
     /* 1778504 */   // Label 24126: @1778504
     /* 1778504 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1778593), // Rule ID 14526 //
     /* 1778509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778555 */     // MIs[0] policy
     /* 1778555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778565 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1778568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778592 */     // GIR_Coverage, 14526,
     /* 1778592 */     GIR_EraseRootFromParent_Done,
     /* 1778593 */   // Label 24127: @1778593
     /* 1778593 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1778682), // Rule ID 14527 //
     /* 1778598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778644 */     // MIs[0] policy
     /* 1778644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1778657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778681 */     // GIR_Coverage, 14527,
     /* 1778681 */     GIR_EraseRootFromParent_Done,
     /* 1778682 */   // Label 24128: @1778682
     /* 1778682 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1778771), // Rule ID 14530 //
     /* 1778687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778733 */     // MIs[0] policy
     /* 1778733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778743 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1778746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778770 */     // GIR_Coverage, 14530,
     /* 1778770 */     GIR_EraseRootFromParent_Done,
     /* 1778771 */   // Label 24129: @1778771
     /* 1778771 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1778860), // Rule ID 14531 //
     /* 1778776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778822 */     // MIs[0] policy
     /* 1778822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1778835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778859 */     // GIR_Coverage, 14531,
     /* 1778859 */     GIR_EraseRootFromParent_Done,
     /* 1778860 */   // Label 24130: @1778860
     /* 1778860 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1778949), // Rule ID 14534 //
     /* 1778865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778911 */     // MIs[0] policy
     /* 1778911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1778924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1778947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778948 */     // GIR_Coverage, 14534,
     /* 1778948 */     GIR_EraseRootFromParent_Done,
     /* 1778949 */   // Label 24131: @1778949
     /* 1778949 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1779038), // Rule ID 14535 //
     /* 1778954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1778962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779000 */     // MIs[0] policy
     /* 1779000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1779013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779037 */     // GIR_Coverage, 14535,
     /* 1779037 */     GIR_EraseRootFromParent_Done,
     /* 1779038 */   // Label 24132: @1779038
     /* 1779038 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1779127), // Rule ID 14538 //
     /* 1779043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1779054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1779057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1779060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779089 */     // MIs[0] policy
     /* 1779089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1779102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779126 */     // GIR_Coverage, 14538,
     /* 1779126 */     GIR_EraseRootFromParent_Done,
     /* 1779127 */   // Label 24133: @1779127
     /* 1779127 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1779216), // Rule ID 14539 //
     /* 1779132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1779143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1779146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1779149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779178 */     // MIs[0] policy
     /* 1779178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1779191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779215 */     // GIR_Coverage, 14539,
     /* 1779215 */     GIR_EraseRootFromParent_Done,
     /* 1779216 */   // Label 24134: @1779216
     /* 1779216 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1779305), // Rule ID 14542 //
     /* 1779221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779267 */     // MIs[0] policy
     /* 1779267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1779280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779304 */     // GIR_Coverage, 14542,
     /* 1779304 */     GIR_EraseRootFromParent_Done,
     /* 1779305 */   // Label 24135: @1779305
     /* 1779305 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1779394), // Rule ID 14543 //
     /* 1779310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1779321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1779324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1779327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779356 */     // MIs[0] policy
     /* 1779356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1779369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779393 */     // GIR_Coverage, 14543,
     /* 1779393 */     GIR_EraseRootFromParent_Done,
     /* 1779394 */   // Label 24136: @1779394
     /* 1779394 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1779483), // Rule ID 14546 //
     /* 1779399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779445 */     // MIs[0] policy
     /* 1779445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779482 */     // GIR_Coverage, 14546,
     /* 1779482 */     GIR_EraseRootFromParent_Done,
     /* 1779483 */   // Label 24137: @1779483
     /* 1779483 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1779572), // Rule ID 14547 //
     /* 1779488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779534 */     // MIs[0] policy
     /* 1779534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779544 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11272:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779571 */     // GIR_Coverage, 14547,
     /* 1779571 */     GIR_EraseRootFromParent_Done,
     /* 1779572 */   // Label 24138: @1779572
     /* 1779572 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1779661), // Rule ID 14550 //
     /* 1779577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779623 */     // MIs[0] policy
     /* 1779623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779660 */     // GIR_Coverage, 14550,
     /* 1779660 */     GIR_EraseRootFromParent_Done,
     /* 1779661 */   // Label 24139: @1779661
     /* 1779661 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1779750), // Rule ID 14551 //
     /* 1779666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779712 */     // MIs[0] policy
     /* 1779712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779749 */     // GIR_Coverage, 14551,
     /* 1779749 */     GIR_EraseRootFromParent_Done,
     /* 1779750 */   // Label 24140: @1779750
     /* 1779750 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1779839), // Rule ID 14554 //
     /* 1779755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779801 */     // MIs[0] policy
     /* 1779801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779838 */     // GIR_Coverage, 14554,
     /* 1779838 */     GIR_EraseRootFromParent_Done,
     /* 1779839 */   // Label 24141: @1779839
     /* 1779839 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1779928), // Rule ID 14555 //
     /* 1779844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779890 */     // MIs[0] policy
     /* 1779890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1779926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779927 */     // GIR_Coverage, 14555,
     /* 1779927 */     GIR_EraseRootFromParent_Done,
     /* 1779928 */   // Label 24142: @1779928
     /* 1779928 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1780017), // Rule ID 14558 //
     /* 1779933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1779941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779979 */     // MIs[0] policy
     /* 1779979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1779992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780016 */     // GIR_Coverage, 14558,
     /* 1780016 */     GIR_EraseRootFromParent_Done,
     /* 1780017 */   // Label 24143: @1780017
     /* 1780017 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1780106), // Rule ID 14559 //
     /* 1780022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1780033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1780036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1780039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780068 */     // MIs[0] policy
     /* 1780068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1780081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780105 */     // GIR_Coverage, 14559,
     /* 1780105 */     GIR_EraseRootFromParent_Done,
     /* 1780106 */   // Label 24144: @1780106
     /* 1780106 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1780195), // Rule ID 14562 //
     /* 1780111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1780122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1780125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1780128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780157 */     // MIs[0] policy
     /* 1780157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1780170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780194 */     // GIR_Coverage, 14562,
     /* 1780194 */     GIR_EraseRootFromParent_Done,
     /* 1780195 */   // Label 24145: @1780195
     /* 1780195 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1780284), // Rule ID 14563 //
     /* 1780200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1780211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1780214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1780217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780246 */     // MIs[0] policy
     /* 1780246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780256 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1780259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780283 */     // GIR_Coverage, 14563,
     /* 1780283 */     GIR_EraseRootFromParent_Done,
     /* 1780284 */   // Label 24146: @1780284
     /* 1780284 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1780373), // Rule ID 14566 //
     /* 1780289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780335 */     // MIs[0] policy
     /* 1780335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780345 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1780348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780372 */     // GIR_Coverage, 14566,
     /* 1780372 */     GIR_EraseRootFromParent_Done,
     /* 1780373 */   // Label 24147: @1780373
     /* 1780373 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1780462), // Rule ID 14567 //
     /* 1780378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1780389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1780392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1780395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780424 */     // MIs[0] policy
     /* 1780424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1780437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780461 */     // GIR_Coverage, 14567,
     /* 1780461 */     GIR_EraseRootFromParent_Done,
     /* 1780462 */   // Label 24148: @1780462
     /* 1780462 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1780551), // Rule ID 14570 //
     /* 1780467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780513 */     // MIs[0] policy
     /* 1780513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780523 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1780526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780550 */     // GIR_Coverage, 14570,
     /* 1780550 */     GIR_EraseRootFromParent_Done,
     /* 1780551 */   // Label 24149: @1780551
     /* 1780551 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1780640), // Rule ID 14571 //
     /* 1780556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780602 */     // MIs[0] policy
     /* 1780602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1780615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780639 */     // GIR_Coverage, 14571,
     /* 1780639 */     GIR_EraseRootFromParent_Done,
     /* 1780640 */   // Label 24150: @1780640
     /* 1780640 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1780729), // Rule ID 14574 //
     /* 1780645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780691 */     // MIs[0] policy
     /* 1780691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1780704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780728 */     // GIR_Coverage, 14574,
     /* 1780728 */     GIR_EraseRootFromParent_Done,
     /* 1780729 */   // Label 24151: @1780729
     /* 1780729 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1780818), // Rule ID 14575 //
     /* 1780734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780780 */     // MIs[0] policy
     /* 1780780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1780793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780817 */     // GIR_Coverage, 14575,
     /* 1780817 */     GIR_EraseRootFromParent_Done,
     /* 1780818 */   // Label 24152: @1780818
     /* 1780818 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1780907), // Rule ID 14578 //
     /* 1780823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780869 */     // MIs[0] policy
     /* 1780869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780879 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1780882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780906 */     // GIR_Coverage, 14578,
     /* 1780906 */     GIR_EraseRootFromParent_Done,
     /* 1780907 */   // Label 24153: @1780907
     /* 1780907 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1780996), // Rule ID 14579 //
     /* 1780912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1780920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780958 */     // MIs[0] policy
     /* 1780958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1780971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1780994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780995 */     // GIR_Coverage, 14579,
     /* 1780995 */     GIR_EraseRootFromParent_Done,
     /* 1780996 */   // Label 24154: @1780996
     /* 1780996 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1781085), // Rule ID 14582 //
     /* 1781001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1781012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1781015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1781018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781047 */     // MIs[0] policy
     /* 1781047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1781060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781084 */     // GIR_Coverage, 14582,
     /* 1781084 */     GIR_EraseRootFromParent_Done,
     /* 1781085 */   // Label 24155: @1781085
     /* 1781085 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1781174), // Rule ID 14583 //
     /* 1781090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1781101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1781104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1781107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781136 */     // MIs[0] policy
     /* 1781136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1781149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781173 */     // GIR_Coverage, 14583,
     /* 1781173 */     GIR_EraseRootFromParent_Done,
     /* 1781174 */   // Label 24156: @1781174
     /* 1781174 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1781263), // Rule ID 14586 //
     /* 1781179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1781190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1781193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1781196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781225 */     // MIs[0] policy
     /* 1781225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1781238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781262 */     // GIR_Coverage, 14586,
     /* 1781262 */     GIR_EraseRootFromParent_Done,
     /* 1781263 */   // Label 24157: @1781263
     /* 1781263 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1781352), // Rule ID 14587 //
     /* 1781268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1781279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1781282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1781285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781314 */     // MIs[0] policy
     /* 1781314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1781327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781351 */     // GIR_Coverage, 14587,
     /* 1781351 */     GIR_EraseRootFromParent_Done,
     /* 1781352 */   // Label 24158: @1781352
     /* 1781352 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1781441), // Rule ID 14590 //
     /* 1781357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781403 */     // MIs[0] policy
     /* 1781403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1781416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781440 */     // GIR_Coverage, 14590,
     /* 1781440 */     GIR_EraseRootFromParent_Done,
     /* 1781441 */   // Label 24159: @1781441
     /* 1781441 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1781530), // Rule ID 14591 //
     /* 1781446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781492 */     // MIs[0] policy
     /* 1781492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1781505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781529 */     // GIR_Coverage, 14591,
     /* 1781529 */     GIR_EraseRootFromParent_Done,
     /* 1781530 */   // Label 24160: @1781530
     /* 1781530 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1781619), // Rule ID 14594 //
     /* 1781535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781581 */     // MIs[0] policy
     /* 1781581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781591 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1781594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781618 */     // GIR_Coverage, 14594,
     /* 1781618 */     GIR_EraseRootFromParent_Done,
     /* 1781619 */   // Label 24161: @1781619
     /* 1781619 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1781708), // Rule ID 14595 //
     /* 1781624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781670 */     // MIs[0] policy
     /* 1781670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1781683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781707 */     // GIR_Coverage, 14595,
     /* 1781707 */     GIR_EraseRootFromParent_Done,
     /* 1781708 */   // Label 24162: @1781708
     /* 1781708 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1781797), // Rule ID 14598 //
     /* 1781713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781759 */     // MIs[0] policy
     /* 1781759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1781772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781796 */     // GIR_Coverage, 14598,
     /* 1781796 */     GIR_EraseRootFromParent_Done,
     /* 1781797 */   // Label 24163: @1781797
     /* 1781797 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1781886), // Rule ID 14599 //
     /* 1781802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781848 */     // MIs[0] policy
     /* 1781848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1781861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781885 */     // GIR_Coverage, 14599,
     /* 1781885 */     GIR_EraseRootFromParent_Done,
     /* 1781886 */   // Label 24164: @1781886
     /* 1781886 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1781975), // Rule ID 14602 //
     /* 1781891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781937 */     // MIs[0] policy
     /* 1781937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1781950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1781973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781974 */     // GIR_Coverage, 14602,
     /* 1781974 */     GIR_EraseRootFromParent_Done,
     /* 1781975 */   // Label 24165: @1781975
     /* 1781975 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1782064), // Rule ID 14603 //
     /* 1781980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1781988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782026 */     // MIs[0] policy
     /* 1782026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1782039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782063 */     // GIR_Coverage, 14603,
     /* 1782063 */     GIR_EraseRootFromParent_Done,
     /* 1782064 */   // Label 24166: @1782064
     /* 1782064 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1782153), // Rule ID 14606 //
     /* 1782069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1782077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1782080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1782083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1782086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782115 */     // MIs[0] policy
     /* 1782115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1782128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782152 */     // GIR_Coverage, 14606,
     /* 1782152 */     GIR_EraseRootFromParent_Done,
     /* 1782153 */   // Label 24167: @1782153
     /* 1782153 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1782242), // Rule ID 14607 //
     /* 1782158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1782166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1782169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1782172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1782175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782204 */     // MIs[0] policy
     /* 1782204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1782217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782241 */     // GIR_Coverage, 14607,
     /* 1782241 */     GIR_EraseRootFromParent_Done,
     /* 1782242 */   // Label 24168: @1782242
     /* 1782242 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1782331), // Rule ID 14610 //
     /* 1782247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1782258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1782261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1782264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1782267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782293 */     // MIs[0] policy
     /* 1782293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1782306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782330 */     // GIR_Coverage, 14610,
     /* 1782330 */     GIR_EraseRootFromParent_Done,
     /* 1782331 */   // Label 24169: @1782331
     /* 1782331 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1782420), // Rule ID 14611 //
     /* 1782336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1782347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1782350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1782353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1782356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782382 */     // MIs[0] policy
     /* 1782382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1782395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782419 */     // GIR_Coverage, 14611,
     /* 1782419 */     GIR_EraseRootFromParent_Done,
     /* 1782420 */   // Label 24170: @1782420
     /* 1782420 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1782509), // Rule ID 14614 //
     /* 1782425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1782445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782471 */     // MIs[0] policy
     /* 1782471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1782484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782508 */     // GIR_Coverage, 14614,
     /* 1782508 */     GIR_EraseRootFromParent_Done,
     /* 1782509 */   // Label 24171: @1782509
     /* 1782509 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1782598), // Rule ID 14615 //
     /* 1782514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1782525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1782528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1782531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1782534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782560 */     // MIs[0] policy
     /* 1782560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1782573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782597 */     // GIR_Coverage, 14615,
     /* 1782597 */     GIR_EraseRootFromParent_Done,
     /* 1782598 */   // Label 24172: @1782598
     /* 1782598 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1782687), // Rule ID 14618 //
     /* 1782603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1782623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782649 */     // MIs[0] policy
     /* 1782649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1782662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782686 */     // GIR_Coverage, 14618,
     /* 1782686 */     GIR_EraseRootFromParent_Done,
     /* 1782687 */   // Label 24173: @1782687
     /* 1782687 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1782776), // Rule ID 14619 //
     /* 1782692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1782712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782738 */     // MIs[0] policy
     /* 1782738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1782751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782775 */     // GIR_Coverage, 14619,
     /* 1782775 */     GIR_EraseRootFromParent_Done,
     /* 1782776 */   // Label 24174: @1782776
     /* 1782776 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1782865), // Rule ID 14622 //
     /* 1782781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1782801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782827 */     // MIs[0] policy
     /* 1782827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782837 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1782840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782864 */     // GIR_Coverage, 14622,
     /* 1782864 */     GIR_EraseRootFromParent_Done,
     /* 1782865 */   // Label 24175: @1782865
     /* 1782865 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1782954), // Rule ID 14623 //
     /* 1782870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1782890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782916 */     // MIs[0] policy
     /* 1782916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1782929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1782952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782953 */     // GIR_Coverage, 14623,
     /* 1782953 */     GIR_EraseRootFromParent_Done,
     /* 1782954 */   // Label 24176: @1782954
     /* 1782954 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1783043), // Rule ID 14626 //
     /* 1782959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1782967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1782979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783005 */     // MIs[0] policy
     /* 1783005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783015 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1783018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783042 */     // GIR_Coverage, 14626,
     /* 1783042 */     GIR_EraseRootFromParent_Done,
     /* 1783043 */   // Label 24177: @1783043
     /* 1783043 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1783132), // Rule ID 14627 //
     /* 1783048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1783059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1783062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1783065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1783068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783094 */     // MIs[0] policy
     /* 1783094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1783107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783131 */     // GIR_Coverage, 14627,
     /* 1783131 */     GIR_EraseRootFromParent_Done,
     /* 1783132 */   // Label 24178: @1783132
     /* 1783132 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1783221), // Rule ID 14630 //
     /* 1783137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1783148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1783151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1783154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1783157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783183 */     // MIs[0] policy
     /* 1783183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783193 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1783196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783220 */     // GIR_Coverage, 14630,
     /* 1783220 */     GIR_EraseRootFromParent_Done,
     /* 1783221 */   // Label 24179: @1783221
     /* 1783221 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1783310), // Rule ID 14631 //
     /* 1783226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1783237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1783240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1783243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1783246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783272 */     // MIs[0] policy
     /* 1783272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1783285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783309 */     // GIR_Coverage, 14631,
     /* 1783309 */     GIR_EraseRootFromParent_Done,
     /* 1783310 */   // Label 24180: @1783310
     /* 1783310 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1783399), // Rule ID 14634 //
     /* 1783315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1783335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783361 */     // MIs[0] policy
     /* 1783361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783398 */     // GIR_Coverage, 14634,
     /* 1783398 */     GIR_EraseRootFromParent_Done,
     /* 1783399 */   // Label 24181: @1783399
     /* 1783399 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1783488), // Rule ID 14635 //
     /* 1783404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1783415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1783418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1783421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1783424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783450 */     // MIs[0] policy
     /* 1783450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783487 */     // GIR_Coverage, 14635,
     /* 1783487 */     GIR_EraseRootFromParent_Done,
     /* 1783488 */   // Label 24182: @1783488
     /* 1783488 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1783577), // Rule ID 14638 //
     /* 1783493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1783513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783539 */     // MIs[0] policy
     /* 1783539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783576 */     // GIR_Coverage, 14638,
     /* 1783576 */     GIR_EraseRootFromParent_Done,
     /* 1783577 */   // Label 24183: @1783577
     /* 1783577 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1783666), // Rule ID 14639 //
     /* 1783582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1783602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783628 */     // MIs[0] policy
     /* 1783628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783665 */     // GIR_Coverage, 14639,
     /* 1783665 */     GIR_EraseRootFromParent_Done,
     /* 1783666 */   // Label 24184: @1783666
     /* 1783666 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1783755), // Rule ID 14642 //
     /* 1783671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1783691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783717 */     // MIs[0] policy
     /* 1783717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783754 */     // GIR_Coverage, 14642,
     /* 1783754 */     GIR_EraseRootFromParent_Done,
     /* 1783755 */   // Label 24185: @1783755
     /* 1783755 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1783844), // Rule ID 14643 //
     /* 1783760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1783780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783806 */     // MIs[0] policy
     /* 1783806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783843 */     // GIR_Coverage, 14643,
     /* 1783843 */     GIR_EraseRootFromParent_Done,
     /* 1783844 */   // Label 24186: @1783844
     /* 1783844 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1783933), // Rule ID 14646 //
     /* 1783849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783895 */     // MIs[0] policy
     /* 1783895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1783931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783932 */     // GIR_Coverage, 14646,
     /* 1783932 */     GIR_EraseRootFromParent_Done,
     /* 1783933 */   // Label 24187: @1783933
     /* 1783933 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1784022), // Rule ID 14647 //
     /* 1783938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1783946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783984 */     // MIs[0] policy
     /* 1783984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1783997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784021 */     // GIR_Coverage, 14647,
     /* 1784021 */     GIR_EraseRootFromParent_Done,
     /* 1784022 */   // Label 24188: @1784022
     /* 1784022 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1784111), // Rule ID 14650 //
     /* 1784027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1784038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1784041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1784044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1784047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784073 */     // MIs[0] policy
     /* 1784073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1784086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784110 */     // GIR_Coverage, 14650,
     /* 1784110 */     GIR_EraseRootFromParent_Done,
     /* 1784111 */   // Label 24189: @1784111
     /* 1784111 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1784200), // Rule ID 14651 //
     /* 1784116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1784127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1784130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1784133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1784136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784162 */     // MIs[0] policy
     /* 1784162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1784175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784199 */     // GIR_Coverage, 14651,
     /* 1784199 */     GIR_EraseRootFromParent_Done,
     /* 1784200 */   // Label 24190: @1784200
     /* 1784200 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1784289), // Rule ID 14654 //
     /* 1784205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1784216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1784219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1784222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1784225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784251 */     // MIs[0] policy
     /* 1784251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784261 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1784264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784288 */     // GIR_Coverage, 14654,
     /* 1784288 */     GIR_EraseRootFromParent_Done,
     /* 1784289 */   // Label 24191: @1784289
     /* 1784289 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1784378), // Rule ID 14655 //
     /* 1784294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1784305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1784308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1784311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1784314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784340 */     // MIs[0] policy
     /* 1784340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1784353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784377 */     // GIR_Coverage, 14655,
     /* 1784377 */     GIR_EraseRootFromParent_Done,
     /* 1784378 */   // Label 24192: @1784378
     /* 1784378 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1784467), // Rule ID 14658 //
     /* 1784383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1784403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784429 */     // MIs[0] policy
     /* 1784429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784439 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1784442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784466 */     // GIR_Coverage, 14658,
     /* 1784466 */     GIR_EraseRootFromParent_Done,
     /* 1784467 */   // Label 24193: @1784467
     /* 1784467 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1784556), // Rule ID 14659 //
     /* 1784472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1784483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1784486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1784489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1784492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1784495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784518 */     // MIs[0] policy
     /* 1784518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1784531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784555 */     // GIR_Coverage, 14659,
     /* 1784555 */     GIR_EraseRootFromParent_Done,
     /* 1784556 */   // Label 24194: @1784556
     /* 1784556 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1784645), // Rule ID 14662 //
     /* 1784561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1784581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784607 */     // MIs[0] policy
     /* 1784607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1784620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784644 */     // GIR_Coverage, 14662,
     /* 1784644 */     GIR_EraseRootFromParent_Done,
     /* 1784645 */   // Label 24195: @1784645
     /* 1784645 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1784734), // Rule ID 14663 //
     /* 1784650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1784670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784696 */     // MIs[0] policy
     /* 1784696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1784709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784733 */     // GIR_Coverage, 14663,
     /* 1784733 */     GIR_EraseRootFromParent_Done,
     /* 1784734 */   // Label 24196: @1784734
     /* 1784734 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1784823), // Rule ID 14666 //
     /* 1784739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1784759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784785 */     // MIs[0] policy
     /* 1784785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784795 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1784798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784822 */     // GIR_Coverage, 14666,
     /* 1784822 */     GIR_EraseRootFromParent_Done,
     /* 1784823 */   // Label 24197: @1784823
     /* 1784823 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1784912), // Rule ID 14667 //
     /* 1784828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1784848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784874 */     // MIs[0] policy
     /* 1784874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1784887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784911 */     // GIR_Coverage, 14667,
     /* 1784911 */     GIR_EraseRootFromParent_Done,
     /* 1784912 */   // Label 24198: @1784912
     /* 1784912 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1785001), // Rule ID 14670 //
     /* 1784917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1784925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1784937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784963 */     // MIs[0] policy
     /* 1784963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1784976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1784999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785000 */     // GIR_Coverage, 14670,
     /* 1785000 */     GIR_EraseRootFromParent_Done,
     /* 1785001 */   // Label 24199: @1785001
     /* 1785001 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1785090), // Rule ID 14671 //
     /* 1785006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1785017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1785020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1785023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1785026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785052 */     // MIs[0] policy
     /* 1785052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1785065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785089 */     // GIR_Coverage, 14671,
     /* 1785089 */     GIR_EraseRootFromParent_Done,
     /* 1785090 */   // Label 24200: @1785090
     /* 1785090 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1785179), // Rule ID 14674 //
     /* 1785095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1785115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785141 */     // MIs[0] policy
     /* 1785141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1785154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785178 */     // GIR_Coverage, 14674,
     /* 1785178 */     GIR_EraseRootFromParent_Done,
     /* 1785179 */   // Label 24201: @1785179
     /* 1785179 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1785268), // Rule ID 14675 //
     /* 1785184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1785204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785230 */     // MIs[0] policy
     /* 1785230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1785243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785267 */     // GIR_Coverage, 14675,
     /* 1785267 */     GIR_EraseRootFromParent_Done,
     /* 1785268 */   // Label 24202: @1785268
     /* 1785268 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1785357), // Rule ID 14678 //
     /* 1785273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1785284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1785287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1785290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1785293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785319 */     // MIs[0] policy
     /* 1785319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785329 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1785332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785356 */     // GIR_Coverage, 14678,
     /* 1785356 */     GIR_EraseRootFromParent_Done,
     /* 1785357 */   // Label 24203: @1785357
     /* 1785357 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1785446), // Rule ID 14679 //
     /* 1785362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1785373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1785376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1785379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1785382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785408 */     // MIs[0] policy
     /* 1785408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1785421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785445 */     // GIR_Coverage, 14679,
     /* 1785445 */     GIR_EraseRootFromParent_Done,
     /* 1785446 */   // Label 24204: @1785446
     /* 1785446 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1785535), // Rule ID 14682 //
     /* 1785451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1785471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785497 */     // MIs[0] policy
     /* 1785497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1785510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785534 */     // GIR_Coverage, 14682,
     /* 1785534 */     GIR_EraseRootFromParent_Done,
     /* 1785535 */   // Label 24205: @1785535
     /* 1785535 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1785624), // Rule ID 14683 //
     /* 1785540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1785560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785586 */     // MIs[0] policy
     /* 1785586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1785599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785623 */     // GIR_Coverage, 14683,
     /* 1785623 */     GIR_EraseRootFromParent_Done,
     /* 1785624 */   // Label 24206: @1785624
     /* 1785624 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1785713), // Rule ID 14686 //
     /* 1785629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785675 */     // MIs[0] policy
     /* 1785675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1785688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785712 */     // GIR_Coverage, 14686,
     /* 1785712 */     GIR_EraseRootFromParent_Done,
     /* 1785713 */   // Label 24207: @1785713
     /* 1785713 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1785802), // Rule ID 14687 //
     /* 1785718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785764 */     // MIs[0] policy
     /* 1785764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785774 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1785777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785801 */     // GIR_Coverage, 14687,
     /* 1785801 */     GIR_EraseRootFromParent_Done,
     /* 1785802 */   // Label 24208: @1785802
     /* 1785802 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1785891), // Rule ID 14690 //
     /* 1785807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785853 */     // MIs[0] policy
     /* 1785853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1785866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785890 */     // GIR_Coverage, 14690,
     /* 1785890 */     GIR_EraseRootFromParent_Done,
     /* 1785891 */   // Label 24209: @1785891
     /* 1785891 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1785980), // Rule ID 14691 //
     /* 1785896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785942 */     // MIs[0] policy
     /* 1785942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1785955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1785978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785979 */     // GIR_Coverage, 14691,
     /* 1785979 */     GIR_EraseRootFromParent_Done,
     /* 1785980 */   // Label 24210: @1785980
     /* 1785980 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1786069), // Rule ID 14694 //
     /* 1785985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1785993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1786005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786031 */     // MIs[0] policy
     /* 1786031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1786044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786068 */     // GIR_Coverage, 14694,
     /* 1786068 */     GIR_EraseRootFromParent_Done,
     /* 1786069 */   // Label 24211: @1786069
     /* 1786069 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1786158), // Rule ID 14695 //
     /* 1786074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1786085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1786088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1786094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786120 */     // MIs[0] policy
     /* 1786120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1786133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786157 */     // GIR_Coverage, 14695,
     /* 1786157 */     GIR_EraseRootFromParent_Done,
     /* 1786158 */   // Label 24212: @1786158
     /* 1786158 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1786247), // Rule ID 14698 //
     /* 1786163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1786174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1786177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786209 */     // MIs[0] policy
     /* 1786209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1786222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786246 */     // GIR_Coverage, 14698,
     /* 1786246 */     GIR_EraseRootFromParent_Done,
     /* 1786247 */   // Label 24213: @1786247
     /* 1786247 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1786336), // Rule ID 14699 //
     /* 1786252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1786263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1786266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786298 */     // MIs[0] policy
     /* 1786298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1786311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786335 */     // GIR_Coverage, 14699,
     /* 1786335 */     GIR_EraseRootFromParent_Done,
     /* 1786336 */   // Label 24214: @1786336
     /* 1786336 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1786425), // Rule ID 14702 //
     /* 1786341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1786352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1786355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1786358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786387 */     // MIs[0] policy
     /* 1786387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1786400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786424 */     // GIR_Coverage, 14702,
     /* 1786424 */     GIR_EraseRootFromParent_Done,
     /* 1786425 */   // Label 24215: @1786425
     /* 1786425 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1786514), // Rule ID 14703 //
     /* 1786430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1786441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1786444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1786447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786476 */     // MIs[0] policy
     /* 1786476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1786489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786513 */     // GIR_Coverage, 14703,
     /* 1786513 */     GIR_EraseRootFromParent_Done,
     /* 1786514 */   // Label 24216: @1786514
     /* 1786514 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1786603), // Rule ID 14706 //
     /* 1786519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786565 */     // MIs[0] policy
     /* 1786565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1786578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786602 */     // GIR_Coverage, 14706,
     /* 1786602 */     GIR_EraseRootFromParent_Done,
     /* 1786603 */   // Label 24217: @1786603
     /* 1786603 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1786692), // Rule ID 14707 //
     /* 1786608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1786619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1786622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1786625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786654 */     // MIs[0] policy
     /* 1786654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786664 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1786667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786691 */     // GIR_Coverage, 14707,
     /* 1786691 */     GIR_EraseRootFromParent_Done,
     /* 1786692 */   // Label 24218: @1786692
     /* 1786692 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1786781), // Rule ID 14710 //
     /* 1786697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786743 */     // MIs[0] policy
     /* 1786743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786753 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1786756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786780 */     // GIR_Coverage, 14710,
     /* 1786780 */     GIR_EraseRootFromParent_Done,
     /* 1786781 */   // Label 24219: @1786781
     /* 1786781 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1786870), // Rule ID 14711 //
     /* 1786786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1786803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786832 */     // MIs[0] policy
     /* 1786832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1786845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786869 */     // GIR_Coverage, 14711,
     /* 1786869 */     GIR_EraseRootFromParent_Done,
     /* 1786870 */   // Label 24220: @1786870
     /* 1786870 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1786959), // Rule ID 14714 //
     /* 1786875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786921 */     // MIs[0] policy
     /* 1786921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1786934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1786957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786958 */     // GIR_Coverage, 14714,
     /* 1786958 */     GIR_EraseRootFromParent_Done,
     /* 1786959 */   // Label 24221: @1786959
     /* 1786959 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1787048), // Rule ID 14715 //
     /* 1786964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1786972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787010 */     // MIs[0] policy
     /* 1787010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1787023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787047 */     // GIR_Coverage, 14715,
     /* 1787047 */     GIR_EraseRootFromParent_Done,
     /* 1787048 */   // Label 24222: @1787048
     /* 1787048 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1787137), // Rule ID 14718 //
     /* 1787053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1787064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1787067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1787070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787099 */     // MIs[0] policy
     /* 1787099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1787112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787136 */     // GIR_Coverage, 14718,
     /* 1787136 */     GIR_EraseRootFromParent_Done,
     /* 1787137 */   // Label 24223: @1787137
     /* 1787137 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1787226), // Rule ID 14719 //
     /* 1787142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1787153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1787156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1787159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787188 */     // MIs[0] policy
     /* 1787188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1787201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787225 */     // GIR_Coverage, 14719,
     /* 1787225 */     GIR_EraseRootFromParent_Done,
     /* 1787226 */   // Label 24224: @1787226
     /* 1787226 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1787315), // Rule ID 14722 //
     /* 1787231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1787242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1787245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787277 */     // MIs[0] policy
     /* 1787277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787314 */     // GIR_Coverage, 14722,
     /* 1787314 */     GIR_EraseRootFromParent_Done,
     /* 1787315 */   // Label 24225: @1787315
     /* 1787315 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1787404), // Rule ID 14723 //
     /* 1787320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1787331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1787334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787366 */     // MIs[0] policy
     /* 1787366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11270:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787403 */     // GIR_Coverage, 14723,
     /* 1787403 */     GIR_EraseRootFromParent_Done,
     /* 1787404 */   // Label 24226: @1787404
     /* 1787404 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1787493), // Rule ID 14726 //
     /* 1787409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1787426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787455 */     // MIs[0] policy
     /* 1787455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787492 */     // GIR_Coverage, 14726,
     /* 1787492 */     GIR_EraseRootFromParent_Done,
     /* 1787493 */   // Label 24227: @1787493
     /* 1787493 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1787582), // Rule ID 14727 //
     /* 1787498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1787515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787544 */     // MIs[0] policy
     /* 1787544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787581 */     // GIR_Coverage, 14727,
     /* 1787581 */     GIR_EraseRootFromParent_Done,
     /* 1787582 */   // Label 24228: @1787582
     /* 1787582 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1787671), // Rule ID 14730 //
     /* 1787587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787633 */     // MIs[0] policy
     /* 1787633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787670 */     // GIR_Coverage, 14730,
     /* 1787670 */     GIR_EraseRootFromParent_Done,
     /* 1787671 */   // Label 24229: @1787671
     /* 1787671 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1787760), // Rule ID 14731 //
     /* 1787676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1787687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1787690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1787693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787722 */     // MIs[0] policy
     /* 1787722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787759 */     // GIR_Coverage, 14731,
     /* 1787759 */     GIR_EraseRootFromParent_Done,
     /* 1787760 */   // Label 24230: @1787760
     /* 1787760 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1787849), // Rule ID 14734 //
     /* 1787765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787811 */     // MIs[0] policy
     /* 1787811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787848 */     // GIR_Coverage, 14734,
     /* 1787848 */     GIR_EraseRootFromParent_Done,
     /* 1787849 */   // Label 24231: @1787849
     /* 1787849 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1787938), // Rule ID 14735 //
     /* 1787854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787900 */     // MIs[0] policy
     /* 1787900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1787913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1787936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787937 */     // GIR_Coverage, 14735,
     /* 1787937 */     GIR_EraseRootFromParent_Done,
     /* 1787938 */   // Label 24232: @1787938
     /* 1787938 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1788027), // Rule ID 14738 //
     /* 1787943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1787951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787989 */     // MIs[0] policy
     /* 1787989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787999 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1788002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788026 */     // GIR_Coverage, 14738,
     /* 1788026 */     GIR_EraseRootFromParent_Done,
     /* 1788027 */   // Label 24233: @1788027
     /* 1788027 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1788116), // Rule ID 14739 //
     /* 1788032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1788043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1788046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1788049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788078 */     // MIs[0] policy
     /* 1788078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1788091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788115 */     // GIR_Coverage, 14739,
     /* 1788115 */     GIR_EraseRootFromParent_Done,
     /* 1788116 */   // Label 24234: @1788116
     /* 1788116 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1788205), // Rule ID 14742 //
     /* 1788121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1788132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1788135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1788138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788167 */     // MIs[0] policy
     /* 1788167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1788180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788204 */     // GIR_Coverage, 14742,
     /* 1788204 */     GIR_EraseRootFromParent_Done,
     /* 1788205 */   // Label 24235: @1788205
     /* 1788205 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1788294), // Rule ID 14743 //
     /* 1788210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1788221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1788224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1788227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788256 */     // MIs[0] policy
     /* 1788256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1788269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788293 */     // GIR_Coverage, 14743,
     /* 1788293 */     GIR_EraseRootFromParent_Done,
     /* 1788294 */   // Label 24236: @1788294
     /* 1788294 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1788383), // Rule ID 14746 //
     /* 1788299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1788310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1788313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1788316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1788322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788345 */     // MIs[0] policy
     /* 1788345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1788358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788382 */     // GIR_Coverage, 14746,
     /* 1788382 */     GIR_EraseRootFromParent_Done,
     /* 1788383 */   // Label 24237: @1788383
     /* 1788383 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1788472), // Rule ID 14747 //
     /* 1788388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1788399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1788402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1788405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1788411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788434 */     // MIs[0] policy
     /* 1788434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788444 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1788447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788471 */     // GIR_Coverage, 14747,
     /* 1788471 */     GIR_EraseRootFromParent_Done,
     /* 1788472 */   // Label 24238: @1788472
     /* 1788472 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1788561), // Rule ID 14750 //
     /* 1788477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1788488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1788491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788523 */     // MIs[0] policy
     /* 1788523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1788536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788560 */     // GIR_Coverage, 14750,
     /* 1788560 */     GIR_EraseRootFromParent_Done,
     /* 1788561 */   // Label 24239: @1788561
     /* 1788561 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1788650), // Rule ID 14751 //
     /* 1788566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1788577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1788580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788612 */     // MIs[0] policy
     /* 1788612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1788625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788649 */     // GIR_Coverage, 14751,
     /* 1788649 */     GIR_EraseRootFromParent_Done,
     /* 1788650 */   // Label 24240: @1788650
     /* 1788650 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1788739), // Rule ID 14754 //
     /* 1788655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788701 */     // MIs[0] policy
     /* 1788701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1788714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788738 */     // GIR_Coverage, 14754,
     /* 1788738 */     GIR_EraseRootFromParent_Done,
     /* 1788739 */   // Label 24241: @1788739
     /* 1788739 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1788828), // Rule ID 14755 //
     /* 1788744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1788755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1788758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788790 */     // MIs[0] policy
     /* 1788790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1788803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788827 */     // GIR_Coverage, 14755,
     /* 1788827 */     GIR_EraseRootFromParent_Done,
     /* 1788828 */   // Label 24242: @1788828
     /* 1788828 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1788917), // Rule ID 14758 //
     /* 1788833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788879 */     // MIs[0] policy
     /* 1788879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1788892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1788915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788916 */     // GIR_Coverage, 14758,
     /* 1788916 */     GIR_EraseRootFromParent_Done,
     /* 1788917 */   // Label 24243: @1788917
     /* 1788917 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1789006), // Rule ID 14759 //
     /* 1788922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1788930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1788933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1788936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1788939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1788945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788968 */     // MIs[0] policy
     /* 1788968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1788981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789005 */     // GIR_Coverage, 14759,
     /* 1789005 */     GIR_EraseRootFromParent_Done,
     /* 1789006 */   // Label 24244: @1789006
     /* 1789006 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1789095), // Rule ID 14762 //
     /* 1789011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1789022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1789025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1789028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789057 */     // MIs[0] policy
     /* 1789057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1789070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789094 */     // GIR_Coverage, 14762,
     /* 1789094 */     GIR_EraseRootFromParent_Done,
     /* 1789095 */   // Label 24245: @1789095
     /* 1789095 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1789184), // Rule ID 14763 //
     /* 1789100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1789111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1789114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1789117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789146 */     // MIs[0] policy
     /* 1789146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1789159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789183 */     // GIR_Coverage, 14763,
     /* 1789183 */     GIR_EraseRootFromParent_Done,
     /* 1789184 */   // Label 24246: @1789184
     /* 1789184 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1789273), // Rule ID 14766 //
     /* 1789189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1789200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1789203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1789206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789235 */     // MIs[0] policy
     /* 1789235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789245 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1789248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789272 */     // GIR_Coverage, 14766,
     /* 1789272 */     GIR_EraseRootFromParent_Done,
     /* 1789273 */   // Label 24247: @1789273
     /* 1789273 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1789362), // Rule ID 14767 //
     /* 1789278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1789289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1789292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1789295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789324 */     // MIs[0] policy
     /* 1789324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1789337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789361 */     // GIR_Coverage, 14767,
     /* 1789361 */     GIR_EraseRootFromParent_Done,
     /* 1789362 */   // Label 24248: @1789362
     /* 1789362 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1789451), // Rule ID 14770 //
     /* 1789367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1789378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1789381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1789384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789413 */     // MIs[0] policy
     /* 1789413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1789426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789450 */     // GIR_Coverage, 14770,
     /* 1789450 */     GIR_EraseRootFromParent_Done,
     /* 1789451 */   // Label 24249: @1789451
     /* 1789451 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1789540), // Rule ID 14771 //
     /* 1789456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1789467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1789470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1789473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789502 */     // MIs[0] policy
     /* 1789502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1789515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789539 */     // GIR_Coverage, 14771,
     /* 1789539 */     GIR_EraseRootFromParent_Done,
     /* 1789540 */   // Label 24250: @1789540
     /* 1789540 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1789629), // Rule ID 14774 //
     /* 1789545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789591 */     // MIs[0] policy
     /* 1789591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1789604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789628 */     // GIR_Coverage, 14774,
     /* 1789628 */     GIR_EraseRootFromParent_Done,
     /* 1789629 */   // Label 24251: @1789629
     /* 1789629 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1789718), // Rule ID 14775 //
     /* 1789634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789680 */     // MIs[0] policy
     /* 1789680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1789693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789717 */     // GIR_Coverage, 14775,
     /* 1789717 */     GIR_EraseRootFromParent_Done,
     /* 1789718 */   // Label 24252: @1789718
     /* 1789718 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1789807), // Rule ID 14778 //
     /* 1789723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789769 */     // MIs[0] policy
     /* 1789769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1789782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789806 */     // GIR_Coverage, 14778,
     /* 1789806 */     GIR_EraseRootFromParent_Done,
     /* 1789807 */   // Label 24253: @1789807
     /* 1789807 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1789896), // Rule ID 14779 //
     /* 1789812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789858 */     // MIs[0] policy
     /* 1789858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1789871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789895 */     // GIR_Coverage, 14779,
     /* 1789895 */     GIR_EraseRootFromParent_Done,
     /* 1789896 */   // Label 24254: @1789896
     /* 1789896 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1789985), // Rule ID 14782 //
     /* 1789901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789947 */     // MIs[0] policy
     /* 1789947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1789960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1789983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789984 */     // GIR_Coverage, 14782,
     /* 1789984 */     GIR_EraseRootFromParent_Done,
     /* 1789985 */   // Label 24255: @1789985
     /* 1789985 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1790074), // Rule ID 14783 //
     /* 1789990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1789998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1790001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1790004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1790007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790036 */     // MIs[0] policy
     /* 1790036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1790049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1790072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790073 */     // GIR_Coverage, 14783,
     /* 1790073 */     GIR_EraseRootFromParent_Done,
     /* 1790074 */   // Label 24256: @1790074
     /* 1790074 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1790160), // Rule ID 19024 //
     /* 1790079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1790082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790125 */     // MIs[0] policy
     /* 1790125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790135 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1790138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790159 */     // GIR_Coverage, 19024,
     /* 1790159 */     GIR_EraseRootFromParent_Done,
     /* 1790160 */   // Label 24257: @1790160
     /* 1790160 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1790246), // Rule ID 19025 //
     /* 1790165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1790168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790211 */     // MIs[0] policy
     /* 1790211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1790224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790245 */     // GIR_Coverage, 19025,
     /* 1790245 */     GIR_EraseRootFromParent_Done,
     /* 1790246 */   // Label 24258: @1790246
     /* 1790246 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1790332), // Rule ID 19028 //
     /* 1790251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1790254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1790271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790297 */     // MIs[0] policy
     /* 1790297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790307 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1790310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790331 */     // GIR_Coverage, 19028,
     /* 1790331 */     GIR_EraseRootFromParent_Done,
     /* 1790332 */   // Label 24259: @1790332
     /* 1790332 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1790418), // Rule ID 19029 //
     /* 1790337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1790340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1790348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1790351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1790357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790383 */     // MIs[0] policy
     /* 1790383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790393 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1790396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790417 */     // GIR_Coverage, 19029,
     /* 1790417 */     GIR_EraseRootFromParent_Done,
     /* 1790418 */   // Label 24260: @1790418
     /* 1790418 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1790504), // Rule ID 19032 //
     /* 1790423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1790426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1790443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790469 */     // MIs[0] policy
     /* 1790469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790479 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1790482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790503 */     // GIR_Coverage, 19032,
     /* 1790503 */     GIR_EraseRootFromParent_Done,
     /* 1790504 */   // Label 24261: @1790504
     /* 1790504 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1790590), // Rule ID 19033 //
     /* 1790509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1790512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1790526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1790529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790555 */     // MIs[0] policy
     /* 1790555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790565 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1790568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790589 */     // GIR_Coverage, 19033,
     /* 1790589 */     GIR_EraseRootFromParent_Done,
     /* 1790590 */   // Label 24262: @1790590
     /* 1790590 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1790676), // Rule ID 19036 //
     /* 1790595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1790598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1790615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790641 */     // MIs[0] policy
     /* 1790641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790651 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1790654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790675 */     // GIR_Coverage, 19036,
     /* 1790675 */     GIR_EraseRootFromParent_Done,
     /* 1790676 */   // Label 24263: @1790676
     /* 1790676 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1790762), // Rule ID 19037 //
     /* 1790681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1790684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1790701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790727 */     // MIs[0] policy
     /* 1790727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1790740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790761 */     // GIR_Coverage, 19037,
     /* 1790761 */     GIR_EraseRootFromParent_Done,
     /* 1790762 */   // Label 24264: @1790762
     /* 1790762 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1790848), // Rule ID 19040 //
     /* 1790767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1790770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1790787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790813 */     // MIs[0] policy
     /* 1790813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1790826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790847 */     // GIR_Coverage, 19040,
     /* 1790847 */     GIR_EraseRootFromParent_Done,
     /* 1790848 */   // Label 24265: @1790848
     /* 1790848 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1790934), // Rule ID 19041 //
     /* 1790853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1790856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1790873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790899 */     // MIs[0] policy
     /* 1790899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790909 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1790912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790933 */     // GIR_Coverage, 19041,
     /* 1790933 */     GIR_EraseRootFromParent_Done,
     /* 1790934 */   // Label 24266: @1790934
     /* 1790934 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1791020), // Rule ID 19044 //
     /* 1790939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1790942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1790947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1790959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790985 */     // MIs[0] policy
     /* 1790985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790995 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1790998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791019 */     // GIR_Coverage, 19044,
     /* 1791019 */     GIR_EraseRootFromParent_Done,
     /* 1791020 */   // Label 24267: @1791020
     /* 1791020 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1791106), // Rule ID 19045 //
     /* 1791025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1791028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1791042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1791045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791071 */     // MIs[0] policy
     /* 1791071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791081 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1791084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791105 */     // GIR_Coverage, 19045,
     /* 1791105 */     GIR_EraseRootFromParent_Done,
     /* 1791106 */   // Label 24268: @1791106
     /* 1791106 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1791192), // Rule ID 19048 //
     /* 1791111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1791114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1791131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791157 */     // MIs[0] policy
     /* 1791157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791167 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1791170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791191 */     // GIR_Coverage, 19048,
     /* 1791191 */     GIR_EraseRootFromParent_Done,
     /* 1791192 */   // Label 24269: @1791192
     /* 1791192 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1791278), // Rule ID 19049 //
     /* 1791197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1791200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1791217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791243 */     // MIs[0] policy
     /* 1791243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1791256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791277 */     // GIR_Coverage, 19049,
     /* 1791277 */     GIR_EraseRootFromParent_Done,
     /* 1791278 */   // Label 24270: @1791278
     /* 1791278 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1791364), // Rule ID 19052 //
     /* 1791283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1791286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1791303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791329 */     // MIs[0] policy
     /* 1791329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791339 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1791342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791363 */     // GIR_Coverage, 19052,
     /* 1791363 */     GIR_EraseRootFromParent_Done,
     /* 1791364 */   // Label 24271: @1791364
     /* 1791364 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1791450), // Rule ID 19053 //
     /* 1791369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1791372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1791389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791415 */     // MIs[0] policy
     /* 1791415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791425 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1791428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791449 */     // GIR_Coverage, 19053,
     /* 1791449 */     GIR_EraseRootFromParent_Done,
     /* 1791450 */   // Label 24272: @1791450
     /* 1791450 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1791536), // Rule ID 19056 //
     /* 1791455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1791458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1791475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791501 */     // MIs[0] policy
     /* 1791501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791511 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1791514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791535 */     // GIR_Coverage, 19056,
     /* 1791535 */     GIR_EraseRootFromParent_Done,
     /* 1791536 */   // Label 24273: @1791536
     /* 1791536 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1791622), // Rule ID 19057 //
     /* 1791541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1791544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1791561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791587 */     // MIs[0] policy
     /* 1791587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791597 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1791600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791621 */     // GIR_Coverage, 19057,
     /* 1791621 */     GIR_EraseRootFromParent_Done,
     /* 1791622 */   // Label 24274: @1791622
     /* 1791622 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1791708), // Rule ID 19060 //
     /* 1791627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1791630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1791647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791673 */     // MIs[0] policy
     /* 1791673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791683 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1791686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791707 */     // GIR_Coverage, 19060,
     /* 1791707 */     GIR_EraseRootFromParent_Done,
     /* 1791708 */   // Label 24275: @1791708
     /* 1791708 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1791794), // Rule ID 19061 //
     /* 1791713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1791716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1791733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791759 */     // MIs[0] policy
     /* 1791759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791769 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1791772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791793 */     // GIR_Coverage, 19061,
     /* 1791793 */     GIR_EraseRootFromParent_Done,
     /* 1791794 */   // Label 24276: @1791794
     /* 1791794 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1791880), // Rule ID 19064 //
     /* 1791799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1791802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1791819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791845 */     // MIs[0] policy
     /* 1791845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791855 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1791858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791879 */     // GIR_Coverage, 19064,
     /* 1791879 */     GIR_EraseRootFromParent_Done,
     /* 1791880 */   // Label 24277: @1791880
     /* 1791880 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1791966), // Rule ID 19065 //
     /* 1791885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1791888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1791905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791931 */     // MIs[0] policy
     /* 1791931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791941 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1791944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791965 */     // GIR_Coverage, 19065,
     /* 1791965 */     GIR_EraseRootFromParent_Done,
     /* 1791966 */   // Label 24278: @1791966
     /* 1791966 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1792052), // Rule ID 19068 //
     /* 1791971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1791974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1791979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1791991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792017 */     // MIs[0] policy
     /* 1792017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1792030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792051 */     // GIR_Coverage, 19068,
     /* 1792051 */     GIR_EraseRootFromParent_Done,
     /* 1792052 */   // Label 24279: @1792052
     /* 1792052 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1792138), // Rule ID 19069 //
     /* 1792057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1792060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1792077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792103 */     // MIs[0] policy
     /* 1792103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792113 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1792116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792137 */     // GIR_Coverage, 19069,
     /* 1792137 */     GIR_EraseRootFromParent_Done,
     /* 1792138 */   // Label 24280: @1792138
     /* 1792138 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1792224), // Rule ID 19072 //
     /* 1792143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1792146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1792163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792189 */     // MIs[0] policy
     /* 1792189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792199 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1792202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792223 */     // GIR_Coverage, 19072,
     /* 1792223 */     GIR_EraseRootFromParent_Done,
     /* 1792224 */   // Label 24281: @1792224
     /* 1792224 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1792310), // Rule ID 19073 //
     /* 1792229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1792232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1792249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792275 */     // MIs[0] policy
     /* 1792275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792285 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1792288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792309 */     // GIR_Coverage, 19073,
     /* 1792309 */     GIR_EraseRootFromParent_Done,
     /* 1792310 */   // Label 24282: @1792310
     /* 1792310 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1792396), // Rule ID 19076 //
     /* 1792315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1792318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1792335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792361 */     // MIs[0] policy
     /* 1792361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1792374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792395 */     // GIR_Coverage, 19076,
     /* 1792395 */     GIR_EraseRootFromParent_Done,
     /* 1792396 */   // Label 24283: @1792396
     /* 1792396 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1792482), // Rule ID 19077 //
     /* 1792401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1792404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1792421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792447 */     // MIs[0] policy
     /* 1792447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792457 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1792460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792481 */     // GIR_Coverage, 19077,
     /* 1792481 */     GIR_EraseRootFromParent_Done,
     /* 1792482 */   // Label 24284: @1792482
     /* 1792482 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1792568), // Rule ID 19080 //
     /* 1792487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1792490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1792507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792533 */     // MIs[0] policy
     /* 1792533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792543 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1792546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792567 */     // GIR_Coverage, 19080,
     /* 1792567 */     GIR_EraseRootFromParent_Done,
     /* 1792568 */   // Label 24285: @1792568
     /* 1792568 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1792654), // Rule ID 19081 //
     /* 1792573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1792576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1792593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792619 */     // MIs[0] policy
     /* 1792619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792629 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1792632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792653 */     // GIR_Coverage, 19081,
     /* 1792653 */     GIR_EraseRootFromParent_Done,
     /* 1792654 */   // Label 24286: @1792654
     /* 1792654 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1792740), // Rule ID 19084 //
     /* 1792659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1792662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1792679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1792701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792705 */     // MIs[0] policy
     /* 1792705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792715 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1792718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792739 */     // GIR_Coverage, 19084,
     /* 1792739 */     GIR_EraseRootFromParent_Done,
     /* 1792740 */   // Label 24287: @1792740
     /* 1792740 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1792826), // Rule ID 19085 //
     /* 1792745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1792748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1792765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1792787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792791 */     // MIs[0] policy
     /* 1792791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792801 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1792804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792825 */     // GIR_Coverage, 19085,
     /* 1792825 */     GIR_EraseRootFromParent_Done,
     /* 1792826 */   // Label 24288: @1792826
     /* 1792826 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1792912), // Rule ID 19088 //
     /* 1792831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1792834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1792851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1792873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792877 */     // MIs[0] policy
     /* 1792877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792887 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1792890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792911 */     // GIR_Coverage, 19088,
     /* 1792911 */     GIR_EraseRootFromParent_Done,
     /* 1792912 */   // Label 24289: @1792912
     /* 1792912 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1792998), // Rule ID 19089 //
     /* 1792917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1792920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1792925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1792937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1792959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792963 */     // MIs[0] policy
     /* 1792963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792973 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1792976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792997 */     // GIR_Coverage, 19089,
     /* 1792997 */     GIR_EraseRootFromParent_Done,
     /* 1792998 */   // Label 24290: @1792998
     /* 1792998 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1793084), // Rule ID 19092 //
     /* 1793003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1793006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1793045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793049 */     // MIs[0] policy
     /* 1793049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793059 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1793062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793083 */     // GIR_Coverage, 19092,
     /* 1793083 */     GIR_EraseRootFromParent_Done,
     /* 1793084 */   // Label 24291: @1793084
     /* 1793084 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1793170), // Rule ID 19093 //
     /* 1793089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1793092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1793131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793135 */     // MIs[0] policy
     /* 1793135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793145 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1793148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793169 */     // GIR_Coverage, 19093,
     /* 1793169 */     GIR_EraseRootFromParent_Done,
     /* 1793170 */   // Label 24292: @1793170
     /* 1793170 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1793256), // Rule ID 19096 //
     /* 1793175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1793178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793221 */     // MIs[0] policy
     /* 1793221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793231 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1793234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793255 */     // GIR_Coverage, 19096,
     /* 1793255 */     GIR_EraseRootFromParent_Done,
     /* 1793256 */   // Label 24293: @1793256
     /* 1793256 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1793342), // Rule ID 19097 //
     /* 1793261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1793264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1793272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1793275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793307 */     // MIs[0] policy
     /* 1793307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1793320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793341 */     // GIR_Coverage, 19097,
     /* 1793341 */     GIR_EraseRootFromParent_Done,
     /* 1793342 */   // Label 24294: @1793342
     /* 1793342 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1793428), // Rule ID 19100 //
     /* 1793347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1793350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1793389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793393 */     // MIs[0] policy
     /* 1793393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793403 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1793406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793427 */     // GIR_Coverage, 19100,
     /* 1793427 */     GIR_EraseRootFromParent_Done,
     /* 1793428 */   // Label 24295: @1793428
     /* 1793428 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1793514), // Rule ID 19101 //
     /* 1793433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1793436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1793475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793479 */     // MIs[0] policy
     /* 1793479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793489 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1793492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793513 */     // GIR_Coverage, 19101,
     /* 1793513 */     GIR_EraseRootFromParent_Done,
     /* 1793514 */   // Label 24296: @1793514
     /* 1793514 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1793600), // Rule ID 19104 //
     /* 1793519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1793522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1793536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1793561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793565 */     // MIs[0] policy
     /* 1793565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793575 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1793578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793599 */     // GIR_Coverage, 19104,
     /* 1793599 */     GIR_EraseRootFromParent_Done,
     /* 1793600 */   // Label 24297: @1793600
     /* 1793600 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1793686), // Rule ID 19105 //
     /* 1793605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1793608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1793622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1793647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793651 */     // MIs[0] policy
     /* 1793651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1793664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1793682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793685 */     // GIR_Coverage, 19105,
     /* 1793685 */     GIR_EraseRootFromParent_Done,
     /* 1793686 */   // Label 24298: @1793686
     /* 1793686 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1793772), // Rule ID 19108 //
     /* 1793691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1793694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793737 */     // MIs[0] policy
     /* 1793737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793747 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1793750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793771 */     // GIR_Coverage, 19108,
     /* 1793771 */     GIR_EraseRootFromParent_Done,
     /* 1793772 */   // Label 24299: @1793772
     /* 1793772 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1793858), // Rule ID 19109 //
     /* 1793777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1793780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793823 */     // MIs[0] policy
     /* 1793823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793833 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1793836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793857 */     // GIR_Coverage, 19109,
     /* 1793857 */     GIR_EraseRootFromParent_Done,
     /* 1793858 */   // Label 24300: @1793858
     /* 1793858 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1793944), // Rule ID 19112 //
     /* 1793863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1793866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793909 */     // MIs[0] policy
     /* 1793909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793919 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1793922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793943 */     // GIR_Coverage, 19112,
     /* 1793943 */     GIR_EraseRootFromParent_Done,
     /* 1793944 */   // Label 24301: @1793944
     /* 1793944 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1794030), // Rule ID 19113 //
     /* 1793949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1793952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1793957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1793969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1793991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793995 */     // MIs[0] policy
     /* 1793995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794005 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1794008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794029 */     // GIR_Coverage, 19113,
     /* 1794029 */     GIR_EraseRootFromParent_Done,
     /* 1794030 */   // Label 24302: @1794030
     /* 1794030 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1794116), // Rule ID 19116 //
     /* 1794035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1794038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1794052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1794055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1794077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794081 */     // MIs[0] policy
     /* 1794081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794091 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1794094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794115 */     // GIR_Coverage, 19116,
     /* 1794115 */     GIR_EraseRootFromParent_Done,
     /* 1794116 */   // Label 24303: @1794116
     /* 1794116 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1794202), // Rule ID 19117 //
     /* 1794121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1794124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1794132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1794135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1794138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1794141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1794163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794167 */     // MIs[0] policy
     /* 1794167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794177 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1794180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794201 */     // GIR_Coverage, 19117,
     /* 1794201 */     GIR_EraseRootFromParent_Done,
     /* 1794202 */   // Label 24304: @1794202
     /* 1794202 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1794288), // Rule ID 19120 //
     /* 1794207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1794210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794253 */     // MIs[0] policy
     /* 1794253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794263 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1794266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794287 */     // GIR_Coverage, 19120,
     /* 1794287 */     GIR_EraseRootFromParent_Done,
     /* 1794288 */   // Label 24305: @1794288
     /* 1794288 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1794374), // Rule ID 19121 //
     /* 1794293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1794296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1794304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1794307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794339 */     // MIs[0] policy
     /* 1794339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1794352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794373 */     // GIR_Coverage, 19121,
     /* 1794373 */     GIR_EraseRootFromParent_Done,
     /* 1794374 */   // Label 24306: @1794374
     /* 1794374 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1794460), // Rule ID 19124 //
     /* 1794379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1794382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794425 */     // MIs[0] policy
     /* 1794425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794435 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1794438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794459 */     // GIR_Coverage, 19124,
     /* 1794459 */     GIR_EraseRootFromParent_Done,
     /* 1794460 */   // Label 24307: @1794460
     /* 1794460 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1794546), // Rule ID 19125 //
     /* 1794465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1794468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1794476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1794479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794511 */     // MIs[0] policy
     /* 1794511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794521 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1794524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794545 */     // GIR_Coverage, 19125,
     /* 1794545 */     GIR_EraseRootFromParent_Done,
     /* 1794546 */   // Label 24308: @1794546
     /* 1794546 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1794632), // Rule ID 19128 //
     /* 1794551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1794554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1794568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794597 */     // MIs[0] policy
     /* 1794597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794607 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1794610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794631 */     // GIR_Coverage, 19128,
     /* 1794631 */     GIR_EraseRootFromParent_Done,
     /* 1794632 */   // Label 24309: @1794632
     /* 1794632 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1794718), // Rule ID 19129 //
     /* 1794637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1794640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1794654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1794679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794683 */     // MIs[0] policy
     /* 1794683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794693 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1794696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794717 */     // GIR_Coverage, 19129,
     /* 1794717 */     GIR_EraseRootFromParent_Done,
     /* 1794718 */   // Label 24310: @1794718
     /* 1794718 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1794804), // Rule ID 19132 //
     /* 1794723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1794726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1794740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1794765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794769 */     // MIs[0] policy
     /* 1794769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794779 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1794782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794803 */     // GIR_Coverage, 19132,
     /* 1794803 */     GIR_EraseRootFromParent_Done,
     /* 1794804 */   // Label 24311: @1794804
     /* 1794804 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1794890), // Rule ID 19133 //
     /* 1794809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1794812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1794826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1794851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794855 */     // MIs[0] policy
     /* 1794855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1794868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794889 */     // GIR_Coverage, 19133,
     /* 1794889 */     GIR_EraseRootFromParent_Done,
     /* 1794890 */   // Label 24312: @1794890
     /* 1794890 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1794976), // Rule ID 19136 //
     /* 1794895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1794898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1794912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1794937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794941 */     // MIs[0] policy
     /* 1794941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794951 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1794954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794975 */     // GIR_Coverage, 19136,
     /* 1794975 */     GIR_EraseRootFromParent_Done,
     /* 1794976 */   // Label 24313: @1794976
     /* 1794976 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1795062), // Rule ID 19137 //
     /* 1794981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1794984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1794989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1794998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1795023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795027 */     // MIs[0] policy
     /* 1795027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795037 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1795040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795061 */     // GIR_Coverage, 19137,
     /* 1795061 */     GIR_EraseRootFromParent_Done,
     /* 1795062 */   // Label 24314: @1795062
     /* 1795062 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1795148), // Rule ID 19140 //
     /* 1795067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1795070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1795075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1795084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1795109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795113 */     // MIs[0] policy
     /* 1795113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795123 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1795126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795147 */     // GIR_Coverage, 19140,
     /* 1795147 */     GIR_EraseRootFromParent_Done,
     /* 1795148 */   // Label 24315: @1795148
     /* 1795148 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1795234), // Rule ID 19141 //
     /* 1795153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1795156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1795161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1795164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1795167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1795170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1795195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795199 */     // MIs[0] policy
     /* 1795199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795209 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10865:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1795212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1795230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795233 */     // GIR_Coverage, 19141,
     /* 1795233 */     GIR_EraseRootFromParent_Done,
     /* 1795234 */   // Label 24316: @1795234
     /* 1795234 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1795320), // Rule ID 19144 //
     /* 1795239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1795242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1795259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795285 */     // MIs[0] policy
     /* 1795285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795295 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1795298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795319 */     // GIR_Coverage, 19144,
     /* 1795319 */     GIR_EraseRootFromParent_Done,
     /* 1795320 */   // Label 24317: @1795320
     /* 1795320 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1795406), // Rule ID 19145 //
     /* 1795325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1795328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1795345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795371 */     // MIs[0] policy
     /* 1795371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1795384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795405 */     // GIR_Coverage, 19145,
     /* 1795405 */     GIR_EraseRootFromParent_Done,
     /* 1795406 */   // Label 24318: @1795406
     /* 1795406 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1795492), // Rule ID 19148 //
     /* 1795411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1795414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1795431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795457 */     // MIs[0] policy
     /* 1795457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1795470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795491 */     // GIR_Coverage, 19148,
     /* 1795491 */     GIR_EraseRootFromParent_Done,
     /* 1795492 */   // Label 24319: @1795492
     /* 1795492 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1795578), // Rule ID 19149 //
     /* 1795497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1795500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1795517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795543 */     // MIs[0] policy
     /* 1795543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795553 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1795556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795577 */     // GIR_Coverage, 19149,
     /* 1795577 */     GIR_EraseRootFromParent_Done,
     /* 1795578 */   // Label 24320: @1795578
     /* 1795578 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1795664), // Rule ID 19152 //
     /* 1795583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1795586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795629 */     // MIs[0] policy
     /* 1795629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795639 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1795642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795663 */     // GIR_Coverage, 19152,
     /* 1795663 */     GIR_EraseRootFromParent_Done,
     /* 1795664 */   // Label 24321: @1795664
     /* 1795664 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1795750), // Rule ID 19153 //
     /* 1795669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1795672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1795689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795715 */     // MIs[0] policy
     /* 1795715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795725 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1795728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795749 */     // GIR_Coverage, 19153,
     /* 1795749 */     GIR_EraseRootFromParent_Done,
     /* 1795750 */   // Label 24322: @1795750
     /* 1795750 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1795836), // Rule ID 19156 //
     /* 1795755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1795758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1795772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1795775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795801 */     // MIs[0] policy
     /* 1795801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795811 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1795814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795835 */     // GIR_Coverage, 19156,
     /* 1795835 */     GIR_EraseRootFromParent_Done,
     /* 1795836 */   // Label 24323: @1795836
     /* 1795836 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1795922), // Rule ID 19157 //
     /* 1795841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1795844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1795858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1795861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795887 */     // MIs[0] policy
     /* 1795887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1795900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795921 */     // GIR_Coverage, 19157,
     /* 1795921 */     GIR_EraseRootFromParent_Done,
     /* 1795922 */   // Label 24324: @1795922
     /* 1795922 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1796008), // Rule ID 19160 //
     /* 1795927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1795930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1795935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1795944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1795947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795973 */     // MIs[0] policy
     /* 1795973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1795986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796007 */     // GIR_Coverage, 19160,
     /* 1796007 */     GIR_EraseRootFromParent_Done,
     /* 1796008 */   // Label 24325: @1796008
     /* 1796008 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1796094), // Rule ID 19161 //
     /* 1796013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1796016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1796033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796059 */     // MIs[0] policy
     /* 1796059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796069 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1796072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796093 */     // GIR_Coverage, 19161,
     /* 1796093 */     GIR_EraseRootFromParent_Done,
     /* 1796094 */   // Label 24326: @1796094
     /* 1796094 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1796180), // Rule ID 19164 //
     /* 1796099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1796102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1796116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1796119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796145 */     // MIs[0] policy
     /* 1796145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1796158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796179 */     // GIR_Coverage, 19164,
     /* 1796179 */     GIR_EraseRootFromParent_Done,
     /* 1796180 */   // Label 24327: @1796180
     /* 1796180 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1796266), // Rule ID 19165 //
     /* 1796185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1796188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1796202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1796205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796231 */     // MIs[0] policy
     /* 1796231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796241 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1796244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796265 */     // GIR_Coverage, 19165,
     /* 1796265 */     GIR_EraseRootFromParent_Done,
     /* 1796266 */   // Label 24328: @1796266
     /* 1796266 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1796352), // Rule ID 19168 //
     /* 1796271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1796274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1796291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796317 */     // MIs[0] policy
     /* 1796317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796327 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1796330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796351 */     // GIR_Coverage, 19168,
     /* 1796351 */     GIR_EraseRootFromParent_Done,
     /* 1796352 */   // Label 24329: @1796352
     /* 1796352 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1796438), // Rule ID 19169 //
     /* 1796357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1796360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1796368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1796371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1796377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796403 */     // MIs[0] policy
     /* 1796403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796413 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1796416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796437 */     // GIR_Coverage, 19169,
     /* 1796437 */     GIR_EraseRootFromParent_Done,
     /* 1796438 */   // Label 24330: @1796438
     /* 1796438 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1796524), // Rule ID 19172 //
     /* 1796443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1796446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1796463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796489 */     // MIs[0] policy
     /* 1796489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796499 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1796502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796523 */     // GIR_Coverage, 19172,
     /* 1796523 */     GIR_EraseRootFromParent_Done,
     /* 1796524 */   // Label 24331: @1796524
     /* 1796524 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1796610), // Rule ID 19173 //
     /* 1796529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1796532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1796540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1796543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1796549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796575 */     // MIs[0] policy
     /* 1796575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796585 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1796588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796609 */     // GIR_Coverage, 19173,
     /* 1796609 */     GIR_EraseRootFromParent_Done,
     /* 1796610 */   // Label 24332: @1796610
     /* 1796610 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1796696), // Rule ID 19176 //
     /* 1796615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1796618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1796632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1796635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796661 */     // MIs[0] policy
     /* 1796661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796671 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1796674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796695 */     // GIR_Coverage, 19176,
     /* 1796695 */     GIR_EraseRootFromParent_Done,
     /* 1796696 */   // Label 24333: @1796696
     /* 1796696 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1796782), // Rule ID 19177 //
     /* 1796701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1796704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1796712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1796715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1796718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1796721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1796724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796747 */     // MIs[0] policy
     /* 1796747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796757 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1796760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796781 */     // GIR_Coverage, 19177,
     /* 1796781 */     GIR_EraseRootFromParent_Done,
     /* 1796782 */   // Label 24334: @1796782
     /* 1796782 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1796868), // Rule ID 19180 //
     /* 1796787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1796790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1796807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796833 */     // MIs[0] policy
     /* 1796833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796843 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1796846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796867 */     // GIR_Coverage, 19180,
     /* 1796867 */     GIR_EraseRootFromParent_Done,
     /* 1796868 */   // Label 24335: @1796868
     /* 1796868 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1796954), // Rule ID 19181 //
     /* 1796873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1796876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1796893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796919 */     // MIs[0] policy
     /* 1796919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796929 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1796932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796953 */     // GIR_Coverage, 19181,
     /* 1796953 */     GIR_EraseRootFromParent_Done,
     /* 1796954 */   // Label 24336: @1796954
     /* 1796954 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1797040), // Rule ID 19184 //
     /* 1796959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1796962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1796967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1796976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1796979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797005 */     // MIs[0] policy
     /* 1797005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797015 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1797018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797039 */     // GIR_Coverage, 19184,
     /* 1797039 */     GIR_EraseRootFromParent_Done,
     /* 1797040 */   // Label 24337: @1797040
     /* 1797040 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1797126), // Rule ID 19185 //
     /* 1797045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1797048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1797056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1797059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1797065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797091 */     // MIs[0] policy
     /* 1797091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797101 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1797104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797125 */     // GIR_Coverage, 19185,
     /* 1797125 */     GIR_EraseRootFromParent_Done,
     /* 1797126 */   // Label 24338: @1797126
     /* 1797126 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1797212), // Rule ID 19188 //
     /* 1797131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1797134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1797148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1797151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797177 */     // MIs[0] policy
     /* 1797177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797187 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1797190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797211 */     // GIR_Coverage, 19188,
     /* 1797211 */     GIR_EraseRootFromParent_Done,
     /* 1797212 */   // Label 24339: @1797212
     /* 1797212 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1797298), // Rule ID 19189 //
     /* 1797217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1797220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1797228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1797231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1797234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1797237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797263 */     // MIs[0] policy
     /* 1797263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1797276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797297 */     // GIR_Coverage, 19189,
     /* 1797297 */     GIR_EraseRootFromParent_Done,
     /* 1797298 */   // Label 24340: @1797298
     /* 1797298 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1797384), // Rule ID 19192 //
     /* 1797303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1797306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1797320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1797323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797349 */     // MIs[0] policy
     /* 1797349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797359 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1797362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797383 */     // GIR_Coverage, 19192,
     /* 1797383 */     GIR_EraseRootFromParent_Done,
     /* 1797384 */   // Label 24341: @1797384
     /* 1797384 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1797470), // Rule ID 19193 //
     /* 1797389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1797392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1797400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1797403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1797406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1797409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797435 */     // MIs[0] policy
     /* 1797435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797445 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1797448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797469 */     // GIR_Coverage, 19193,
     /* 1797469 */     GIR_EraseRootFromParent_Done,
     /* 1797470 */   // Label 24342: @1797470
     /* 1797470 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1797556), // Rule ID 19196 //
     /* 1797475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1797478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1797492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1797495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797521 */     // MIs[0] policy
     /* 1797521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797531 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1797534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797555 */     // GIR_Coverage, 19196,
     /* 1797555 */     GIR_EraseRootFromParent_Done,
     /* 1797556 */   // Label 24343: @1797556
     /* 1797556 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1797642), // Rule ID 19197 //
     /* 1797561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1797564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1797572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1797575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1797578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1797581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797607 */     // MIs[0] policy
     /* 1797607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1797620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797641 */     // GIR_Coverage, 19197,
     /* 1797641 */     GIR_EraseRootFromParent_Done,
     /* 1797642 */   // Label 24344: @1797642
     /* 1797642 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1797728), // Rule ID 19200 //
     /* 1797647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1797650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1797664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1797667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797693 */     // MIs[0] policy
     /* 1797693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1797706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797727 */     // GIR_Coverage, 19200,
     /* 1797727 */     GIR_EraseRootFromParent_Done,
     /* 1797728 */   // Label 24345: @1797728
     /* 1797728 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1797814), // Rule ID 19201 //
     /* 1797733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1797736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1797750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1797753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797779 */     // MIs[0] policy
     /* 1797779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797789 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1797792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1797810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797813 */     // GIR_Coverage, 19201,
     /* 1797813 */     GIR_EraseRootFromParent_Done,
     /* 1797814 */   // Label 24346: @1797814
     /* 1797814 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1797900), // Rule ID 19204 //
     /* 1797819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1797822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1797839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1797861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797865 */     // MIs[0] policy
     /* 1797865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797875 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1797878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797899 */     // GIR_Coverage, 19204,
     /* 1797899 */     GIR_EraseRootFromParent_Done,
     /* 1797900 */   // Label 24347: @1797900
     /* 1797900 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1797986), // Rule ID 19205 //
     /* 1797905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1797908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1797925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1797947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797951 */     // MIs[0] policy
     /* 1797951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797961 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1797964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797985 */     // GIR_Coverage, 19205,
     /* 1797985 */     GIR_EraseRootFromParent_Done,
     /* 1797986 */   // Label 24348: @1797986
     /* 1797986 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1798072), // Rule ID 19208 //
     /* 1797991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1797994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1797999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798037 */     // MIs[0] policy
     /* 1798037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798047 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1798050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798071 */     // GIR_Coverage, 19208,
     /* 1798071 */     GIR_EraseRootFromParent_Done,
     /* 1798072 */   // Label 24349: @1798072
     /* 1798072 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1798158), // Rule ID 19209 //
     /* 1798077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1798080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1798088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1798091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798123 */     // MIs[0] policy
     /* 1798123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798133 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1798136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798157 */     // GIR_Coverage, 19209,
     /* 1798157 */     GIR_EraseRootFromParent_Done,
     /* 1798158 */   // Label 24350: @1798158
     /* 1798158 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1798244), // Rule ID 19212 //
     /* 1798163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1798166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1798180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1798205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798209 */     // MIs[0] policy
     /* 1798209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798219 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1798222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798243 */     // GIR_Coverage, 19212,
     /* 1798243 */     GIR_EraseRootFromParent_Done,
     /* 1798244 */   // Label 24351: @1798244
     /* 1798244 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1798330), // Rule ID 19213 //
     /* 1798249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1798252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1798266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1798291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798295 */     // MIs[0] policy
     /* 1798295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798305 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1798308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798329 */     // GIR_Coverage, 19213,
     /* 1798329 */     GIR_EraseRootFromParent_Done,
     /* 1798330 */   // Label 24352: @1798330
     /* 1798330 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1798416), // Rule ID 19216 //
     /* 1798335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1798338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798381 */     // MIs[0] policy
     /* 1798381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1798394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798415 */     // GIR_Coverage, 19216,
     /* 1798415 */     GIR_EraseRootFromParent_Done,
     /* 1798416 */   // Label 24353: @1798416
     /* 1798416 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1798502), // Rule ID 19217 //
     /* 1798421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1798424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1798432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1798435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798467 */     // MIs[0] policy
     /* 1798467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1798480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798501 */     // GIR_Coverage, 19217,
     /* 1798501 */     GIR_EraseRootFromParent_Done,
     /* 1798502 */   // Label 24354: @1798502
     /* 1798502 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1798588), // Rule ID 19220 //
     /* 1798507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1798510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1798524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1798549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798553 */     // MIs[0] policy
     /* 1798553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798563 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1798566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798587 */     // GIR_Coverage, 19220,
     /* 1798587 */     GIR_EraseRootFromParent_Done,
     /* 1798588 */   // Label 24355: @1798588
     /* 1798588 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1798674), // Rule ID 19221 //
     /* 1798593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1798596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1798610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1798635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798639 */     // MIs[0] policy
     /* 1798639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798649 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1798652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798673 */     // GIR_Coverage, 19221,
     /* 1798673 */     GIR_EraseRootFromParent_Done,
     /* 1798674 */   // Label 24356: @1798674
     /* 1798674 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1798760), // Rule ID 19224 //
     /* 1798679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1798682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1798696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1798721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798725 */     // MIs[0] policy
     /* 1798725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798735 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1798738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798759 */     // GIR_Coverage, 19224,
     /* 1798759 */     GIR_EraseRootFromParent_Done,
     /* 1798760 */   // Label 24357: @1798760
     /* 1798760 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1798846), // Rule ID 19225 //
     /* 1798765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1798768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1798782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1798807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798811 */     // MIs[0] policy
     /* 1798811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798821 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1798824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798845 */     // GIR_Coverage, 19225,
     /* 1798845 */     GIR_EraseRootFromParent_Done,
     /* 1798846 */   // Label 24358: @1798846
     /* 1798846 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1798932), // Rule ID 19228 //
     /* 1798851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1798854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798897 */     // MIs[0] policy
     /* 1798897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798907 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1798910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798931 */     // GIR_Coverage, 19228,
     /* 1798931 */     GIR_EraseRootFromParent_Done,
     /* 1798932 */   // Label 24359: @1798932
     /* 1798932 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1799018), // Rule ID 19229 //
     /* 1798937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1798940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1798945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1798957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1798979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798983 */     // MIs[0] policy
     /* 1798983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798993 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1798996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799017 */     // GIR_Coverage, 19229,
     /* 1799017 */     GIR_EraseRootFromParent_Done,
     /* 1799018 */   // Label 24360: @1799018
     /* 1799018 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1799104), // Rule ID 19232 //
     /* 1799023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1799026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1799043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1799065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799069 */     // MIs[0] policy
     /* 1799069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799079 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1799082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799103 */     // GIR_Coverage, 19232,
     /* 1799103 */     GIR_EraseRootFromParent_Done,
     /* 1799104 */   // Label 24361: @1799104
     /* 1799104 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1799190), // Rule ID 19233 //
     /* 1799109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1799112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1799129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1799151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799155 */     // MIs[0] policy
     /* 1799155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799165 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1799168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799189 */     // GIR_Coverage, 19233,
     /* 1799189 */     GIR_EraseRootFromParent_Done,
     /* 1799190 */   // Label 24362: @1799190
     /* 1799190 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1799276), // Rule ID 19236 //
     /* 1799195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1799198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1799212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1799215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1799237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799241 */     // MIs[0] policy
     /* 1799241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799251 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1799254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799275 */     // GIR_Coverage, 19236,
     /* 1799275 */     GIR_EraseRootFromParent_Done,
     /* 1799276 */   // Label 24363: @1799276
     /* 1799276 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1799362), // Rule ID 19237 //
     /* 1799281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1799284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1799298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1799301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1799323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799327 */     // MIs[0] policy
     /* 1799327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799337 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1799340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799361 */     // GIR_Coverage, 19237,
     /* 1799361 */     GIR_EraseRootFromParent_Done,
     /* 1799362 */   // Label 24364: @1799362
     /* 1799362 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1799448), // Rule ID 19240 //
     /* 1799367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1799370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799413 */     // MIs[0] policy
     /* 1799413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799423 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1799426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799447 */     // GIR_Coverage, 19240,
     /* 1799447 */     GIR_EraseRootFromParent_Done,
     /* 1799448 */   // Label 24365: @1799448
     /* 1799448 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1799534), // Rule ID 19241 //
     /* 1799453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1799456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799499 */     // MIs[0] policy
     /* 1799499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1799512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799533 */     // GIR_Coverage, 19241,
     /* 1799533 */     GIR_EraseRootFromParent_Done,
     /* 1799534 */   // Label 24366: @1799534
     /* 1799534 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1799620), // Rule ID 19244 //
     /* 1799539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1799542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799585 */     // MIs[0] policy
     /* 1799585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799595 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1799598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799619 */     // GIR_Coverage, 19244,
     /* 1799619 */     GIR_EraseRootFromParent_Done,
     /* 1799620 */   // Label 24367: @1799620
     /* 1799620 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1799706), // Rule ID 19245 //
     /* 1799625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1799628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799671 */     // MIs[0] policy
     /* 1799671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799681 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1799684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799705 */     // GIR_Coverage, 19245,
     /* 1799705 */     GIR_EraseRootFromParent_Done,
     /* 1799706 */   // Label 24368: @1799706
     /* 1799706 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1799792), // Rule ID 19248 //
     /* 1799711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1799714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799757 */     // MIs[0] policy
     /* 1799757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1799770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799791 */     // GIR_Coverage, 19248,
     /* 1799791 */     GIR_EraseRootFromParent_Done,
     /* 1799792 */   // Label 24369: @1799792
     /* 1799792 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1799878), // Rule ID 19249 //
     /* 1799797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1799800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1799839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799843 */     // MIs[0] policy
     /* 1799843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1799856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799877 */     // GIR_Coverage, 19249,
     /* 1799877 */     GIR_EraseRootFromParent_Done,
     /* 1799878 */   // Label 24370: @1799878
     /* 1799878 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1799964), // Rule ID 19252 //
     /* 1799883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1799886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1799925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799929 */     // MIs[0] policy
     /* 1799929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799939 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1799942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799963 */     // GIR_Coverage, 19252,
     /* 1799963 */     GIR_EraseRootFromParent_Done,
     /* 1799964 */   // Label 24371: @1799964
     /* 1799964 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1800050), // Rule ID 19253 //
     /* 1799969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1799972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1799977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1800011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800015 */     // MIs[0] policy
     /* 1800015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800025 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1800028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800049 */     // GIR_Coverage, 19253,
     /* 1800049 */     GIR_EraseRootFromParent_Done,
     /* 1800050 */   // Label 24372: @1800050
     /* 1800050 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1800136), // Rule ID 19256 //
     /* 1800055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1800058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1800063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1800072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1800097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800101 */     // MIs[0] policy
     /* 1800101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800111 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1800114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800135 */     // GIR_Coverage, 19256,
     /* 1800135 */     GIR_EraseRootFromParent_Done,
     /* 1800136 */   // Label 24373: @1800136
     /* 1800136 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1800222), // Rule ID 19257 //
     /* 1800141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1800144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1800149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1800158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1800183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800187 */     // MIs[0] policy
     /* 1800187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800197 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1800200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800221 */     // GIR_Coverage, 19257,
     /* 1800221 */     GIR_EraseRootFromParent_Done,
     /* 1800222 */   // Label 24374: @1800222
     /* 1800222 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1800308), // Rule ID 19260 //
     /* 1800227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1800230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1800235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1800244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1800269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800273 */     // MIs[0] policy
     /* 1800273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800283 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1800286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800307 */     // GIR_Coverage, 19260,
     /* 1800307 */     GIR_EraseRootFromParent_Done,
     /* 1800308 */   // Label 24375: @1800308
     /* 1800308 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1800394), // Rule ID 19261 //
     /* 1800313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1800316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1800321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1800330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1800355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800359 */     // MIs[0] policy
     /* 1800359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800369 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10862:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1800372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800393 */     // GIR_Coverage, 19261,
     /* 1800393 */     GIR_EraseRootFromParent_Done,
     /* 1800394 */   // Label 24376: @1800394
     /* 1800394 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1800480), // Rule ID 19264 //
     /* 1800399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1800402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800445 */     // MIs[0] policy
     /* 1800445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800455 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1800458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800479 */     // GIR_Coverage, 19264,
     /* 1800479 */     GIR_EraseRootFromParent_Done,
     /* 1800480 */   // Label 24377: @1800480
     /* 1800480 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1800566), // Rule ID 19265 //
     /* 1800485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1800488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800531 */     // MIs[0] policy
     /* 1800531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800541 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1800544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800565 */     // GIR_Coverage, 19265,
     /* 1800565 */     GIR_EraseRootFromParent_Done,
     /* 1800566 */   // Label 24378: @1800566
     /* 1800566 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1800652), // Rule ID 19268 //
     /* 1800571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1800574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800617 */     // MIs[0] policy
     /* 1800617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800627 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1800630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800651 */     // GIR_Coverage, 19268,
     /* 1800651 */     GIR_EraseRootFromParent_Done,
     /* 1800652 */   // Label 24379: @1800652
     /* 1800652 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1800738), // Rule ID 19269 //
     /* 1800657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1800660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800703 */     // MIs[0] policy
     /* 1800703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800713 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1800716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800737 */     // GIR_Coverage, 19269,
     /* 1800737 */     GIR_EraseRootFromParent_Done,
     /* 1800738 */   // Label 24380: @1800738
     /* 1800738 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1800824), // Rule ID 19272 //
     /* 1800743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1800746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800789 */     // MIs[0] policy
     /* 1800789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800799 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1800802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800823 */     // GIR_Coverage, 19272,
     /* 1800823 */     GIR_EraseRootFromParent_Done,
     /* 1800824 */   // Label 24381: @1800824
     /* 1800824 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1800910), // Rule ID 19273 //
     /* 1800829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1800832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800875 */     // MIs[0] policy
     /* 1800875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800885 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1800888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800909 */     // GIR_Coverage, 19273,
     /* 1800909 */     GIR_EraseRootFromParent_Done,
     /* 1800910 */   // Label 24382: @1800910
     /* 1800910 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1800996), // Rule ID 19276 //
     /* 1800915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1800918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1800923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1800935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800961 */     // MIs[0] policy
     /* 1800961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800971 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1800974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800995 */     // GIR_Coverage, 19276,
     /* 1800995 */     GIR_EraseRootFromParent_Done,
     /* 1800996 */   // Label 24383: @1800996
     /* 1800996 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1801082), // Rule ID 19277 //
     /* 1801001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1801004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1801021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801047 */     // MIs[0] policy
     /* 1801047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801057 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1801060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801081 */     // GIR_Coverage, 19277,
     /* 1801081 */     GIR_EraseRootFromParent_Done,
     /* 1801082 */   // Label 24384: @1801082
     /* 1801082 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1801168), // Rule ID 19280 //
     /* 1801087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1801090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801133 */     // MIs[0] policy
     /* 1801133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801143 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1801146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801167 */     // GIR_Coverage, 19280,
     /* 1801167 */     GIR_EraseRootFromParent_Done,
     /* 1801168 */   // Label 24385: @1801168
     /* 1801168 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1801254), // Rule ID 19281 //
     /* 1801173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1801176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801219 */     // MIs[0] policy
     /* 1801219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1801232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801253 */     // GIR_Coverage, 19281,
     /* 1801253 */     GIR_EraseRootFromParent_Done,
     /* 1801254 */   // Label 24386: @1801254
     /* 1801254 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1801340), // Rule ID 19284 //
     /* 1801259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1801262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1801276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1801279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801305 */     // MIs[0] policy
     /* 1801305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801315 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1801318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1801336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801339 */     // GIR_Coverage, 19284,
     /* 1801339 */     GIR_EraseRootFromParent_Done,
     /* 1801340 */   // Label 24387: @1801340
     /* 1801340 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1801426), // Rule ID 19285 //
     /* 1801345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1801348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1801362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1801365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801391 */     // MIs[0] policy
     /* 1801391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801401 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1801404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1801422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801425 */     // GIR_Coverage, 19285,
     /* 1801425 */     GIR_EraseRootFromParent_Done,
     /* 1801426 */   // Label 24388: @1801426
     /* 1801426 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1801512), // Rule ID 19288 //
     /* 1801431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1801434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801477 */     // MIs[0] policy
     /* 1801477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801487 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1801490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801511 */     // GIR_Coverage, 19288,
     /* 1801511 */     GIR_EraseRootFromParent_Done,
     /* 1801512 */   // Label 24389: @1801512
     /* 1801512 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1801598), // Rule ID 19289 //
     /* 1801517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1801520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1801528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1801531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1801537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801563 */     // MIs[0] policy
     /* 1801563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801573 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1801576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801597 */     // GIR_Coverage, 19289,
     /* 1801597 */     GIR_EraseRootFromParent_Done,
     /* 1801598 */   // Label 24390: @1801598
     /* 1801598 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1801684), // Rule ID 19292 //
     /* 1801603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1801606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801649 */     // MIs[0] policy
     /* 1801649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1801662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801683 */     // GIR_Coverage, 19292,
     /* 1801683 */     GIR_EraseRootFromParent_Done,
     /* 1801684 */   // Label 24391: @1801684
     /* 1801684 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1801770), // Rule ID 19293 //
     /* 1801689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1801692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1801700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1801703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1801709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801735 */     // MIs[0] policy
     /* 1801735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801745 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1801748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801769 */     // GIR_Coverage, 19293,
     /* 1801769 */     GIR_EraseRootFromParent_Done,
     /* 1801770 */   // Label 24392: @1801770
     /* 1801770 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1801856), // Rule ID 19296 //
     /* 1801775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1801778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1801792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1801795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801821 */     // MIs[0] policy
     /* 1801821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801831 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1801834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801855 */     // GIR_Coverage, 19296,
     /* 1801855 */     GIR_EraseRootFromParent_Done,
     /* 1801856 */   // Label 24393: @1801856
     /* 1801856 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1801942), // Rule ID 19297 //
     /* 1801861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1801864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1801872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1801875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1801878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1801881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801907 */     // MIs[0] policy
     /* 1801907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801917 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1801920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801941 */     // GIR_Coverage, 19297,
     /* 1801941 */     GIR_EraseRootFromParent_Done,
     /* 1801942 */   // Label 24394: @1801942
     /* 1801942 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1802028), // Rule ID 19300 //
     /* 1801947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1801950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1801955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1801964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1801967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801993 */     // MIs[0] policy
     /* 1801993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802003 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1802006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802027 */     // GIR_Coverage, 19300,
     /* 1802027 */     GIR_EraseRootFromParent_Done,
     /* 1802028 */   // Label 24395: @1802028
     /* 1802028 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1802114), // Rule ID 19301 //
     /* 1802033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1802036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1802053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802079 */     // MIs[0] policy
     /* 1802079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1802092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802113 */     // GIR_Coverage, 19301,
     /* 1802113 */     GIR_EraseRootFromParent_Done,
     /* 1802114 */   // Label 24396: @1802114
     /* 1802114 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1802200), // Rule ID 19304 //
     /* 1802119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1802122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802165 */     // MIs[0] policy
     /* 1802165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802175 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1802178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802199 */     // GIR_Coverage, 19304,
     /* 1802199 */     GIR_EraseRootFromParent_Done,
     /* 1802200 */   // Label 24397: @1802200
     /* 1802200 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1802286), // Rule ID 19305 //
     /* 1802205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1802208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802251 */     // MIs[0] policy
     /* 1802251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802261 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1802264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802285 */     // GIR_Coverage, 19305,
     /* 1802285 */     GIR_EraseRootFromParent_Done,
     /* 1802286 */   // Label 24398: @1802286
     /* 1802286 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1802372), // Rule ID 19308 //
     /* 1802291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1802294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1802308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1802311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802337 */     // MIs[0] policy
     /* 1802337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802347 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1802350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802371 */     // GIR_Coverage, 19308,
     /* 1802371 */     GIR_EraseRootFromParent_Done,
     /* 1802372 */   // Label 24399: @1802372
     /* 1802372 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1802458), // Rule ID 19309 //
     /* 1802377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1802380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1802388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1802391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1802394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1802397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802423 */     // MIs[0] policy
     /* 1802423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802433 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1802436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802457 */     // GIR_Coverage, 19309,
     /* 1802457 */     GIR_EraseRootFromParent_Done,
     /* 1802458 */   // Label 24400: @1802458
     /* 1802458 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1802544), // Rule ID 19312 //
     /* 1802463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1802466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1802480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1802483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802509 */     // MIs[0] policy
     /* 1802509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802519 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1802522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802543 */     // GIR_Coverage, 19312,
     /* 1802543 */     GIR_EraseRootFromParent_Done,
     /* 1802544 */   // Label 24401: @1802544
     /* 1802544 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1802630), // Rule ID 19313 //
     /* 1802549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1802552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1802560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1802563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1802566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1802569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802595 */     // MIs[0] policy
     /* 1802595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802605 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1802608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802629 */     // GIR_Coverage, 19313,
     /* 1802629 */     GIR_EraseRootFromParent_Done,
     /* 1802630 */   // Label 24402: @1802630
     /* 1802630 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1802716), // Rule ID 19316 //
     /* 1802635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1802638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1802652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1802655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802681 */     // MIs[0] policy
     /* 1802681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802691 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1802694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802715 */     // GIR_Coverage, 19316,
     /* 1802715 */     GIR_EraseRootFromParent_Done,
     /* 1802716 */   // Label 24403: @1802716
     /* 1802716 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1802802), // Rule ID 19317 //
     /* 1802721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1802724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1802738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1802741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802767 */     // MIs[0] policy
     /* 1802767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1802780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802801 */     // GIR_Coverage, 19317,
     /* 1802801 */     GIR_EraseRootFromParent_Done,
     /* 1802802 */   // Label 24404: @1802802
     /* 1802802 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1802888), // Rule ID 19320 //
     /* 1802807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1802810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1802824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1802827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802853 */     // MIs[0] policy
     /* 1802853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802863 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1802866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802887 */     // GIR_Coverage, 19320,
     /* 1802887 */     GIR_EraseRootFromParent_Done,
     /* 1802888 */   // Label 24405: @1802888
     /* 1802888 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1802974), // Rule ID 19321 //
     /* 1802893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1802896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1802910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1802913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802939 */     // MIs[0] policy
     /* 1802939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802949 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1802952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802973 */     // GIR_Coverage, 19321,
     /* 1802973 */     GIR_EraseRootFromParent_Done,
     /* 1802974 */   // Label 24406: @1802974
     /* 1802974 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1803060), // Rule ID 19324 //
     /* 1802979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1802982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1802987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1802999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803025 */     // MIs[0] policy
     /* 1803025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803035 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1803038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803059 */     // GIR_Coverage, 19324,
     /* 1803059 */     GIR_EraseRootFromParent_Done,
     /* 1803060 */   // Label 24407: @1803060
     /* 1803060 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1803146), // Rule ID 19325 //
     /* 1803065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1803068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1803076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1803079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1803085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803111 */     // MIs[0] policy
     /* 1803111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803121 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1803124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803145 */     // GIR_Coverage, 19325,
     /* 1803145 */     GIR_EraseRootFromParent_Done,
     /* 1803146 */   // Label 24408: @1803146
     /* 1803146 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1803232), // Rule ID 19328 //
     /* 1803151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1803154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1803171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803197 */     // MIs[0] policy
     /* 1803197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803207 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1803210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803231 */     // GIR_Coverage, 19328,
     /* 1803231 */     GIR_EraseRootFromParent_Done,
     /* 1803232 */   // Label 24409: @1803232
     /* 1803232 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1803318), // Rule ID 19329 //
     /* 1803237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1803240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1803248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1803251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1803257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803283 */     // MIs[0] policy
     /* 1803283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803293 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1803296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803317 */     // GIR_Coverage, 19329,
     /* 1803317 */     GIR_EraseRootFromParent_Done,
     /* 1803318 */   // Label 24410: @1803318
     /* 1803318 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1803404), // Rule ID 19332 //
     /* 1803323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1803326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1803365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803369 */     // MIs[0] policy
     /* 1803369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803379 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1803382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803403 */     // GIR_Coverage, 19332,
     /* 1803403 */     GIR_EraseRootFromParent_Done,
     /* 1803404 */   // Label 24411: @1803404
     /* 1803404 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1803490), // Rule ID 19333 //
     /* 1803409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1803412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1803451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803455 */     // MIs[0] policy
     /* 1803455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803465 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1803468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803489 */     // GIR_Coverage, 19333,
     /* 1803489 */     GIR_EraseRootFromParent_Done,
     /* 1803490 */   // Label 24412: @1803490
     /* 1803490 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1803576), // Rule ID 19336 //
     /* 1803495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1803498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1803515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803541 */     // MIs[0] policy
     /* 1803541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803551 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1803554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803575 */     // GIR_Coverage, 19336,
     /* 1803575 */     GIR_EraseRootFromParent_Done,
     /* 1803576 */   // Label 24413: @1803576
     /* 1803576 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1803662), // Rule ID 19337 //
     /* 1803581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1803584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1803601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1803623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803627 */     // MIs[0] policy
     /* 1803627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803637 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10918:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1803640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803661 */     // GIR_Coverage, 19337,
     /* 1803661 */     GIR_EraseRootFromParent_Done,
     /* 1803662 */   // Label 24414: @1803662
     /* 1803662 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1803748), // Rule ID 19340 //
     /* 1803667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1803670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1803709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803713 */     // MIs[0] policy
     /* 1803713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803723 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1803726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803747 */     // GIR_Coverage, 19340,
     /* 1803747 */     GIR_EraseRootFromParent_Done,
     /* 1803748 */   // Label 24415: @1803748
     /* 1803748 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1803834), // Rule ID 19341 //
     /* 1803753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1803756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1803795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803799 */     // MIs[0] policy
     /* 1803799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803809 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1803812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803833 */     // GIR_Coverage, 19341,
     /* 1803833 */     GIR_EraseRootFromParent_Done,
     /* 1803834 */   // Label 24416: @1803834
     /* 1803834 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1803920), // Rule ID 19344 //
     /* 1803839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1803842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1803856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1803881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803885 */     // MIs[0] policy
     /* 1803885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803895 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1803898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803919 */     // GIR_Coverage, 19344,
     /* 1803919 */     GIR_EraseRootFromParent_Done,
     /* 1803920 */   // Label 24417: @1803920
     /* 1803920 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1804006), // Rule ID 19345 //
     /* 1803925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1803928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1803933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1803942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1803967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803971 */     // MIs[0] policy
     /* 1803971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803981 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1803984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1804002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804005 */     // GIR_Coverage, 19345,
     /* 1804005 */     GIR_EraseRootFromParent_Done,
     /* 1804006 */   // Label 24418: @1804006
     /* 1804006 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1804092), // Rule ID 19348 //
     /* 1804011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1804014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804057 */     // MIs[0] policy
     /* 1804057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804067 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1804070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804091 */     // GIR_Coverage, 19348,
     /* 1804091 */     GIR_EraseRootFromParent_Done,
     /* 1804092 */   // Label 24419: @1804092
     /* 1804092 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1804178), // Rule ID 19349 //
     /* 1804097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1804100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804143 */     // MIs[0] policy
     /* 1804143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804153 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1804156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804177 */     // GIR_Coverage, 19349,
     /* 1804177 */     GIR_EraseRootFromParent_Done,
     /* 1804178 */   // Label 24420: @1804178
     /* 1804178 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1804264), // Rule ID 19352 //
     /* 1804183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1804186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804229 */     // MIs[0] policy
     /* 1804229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804239 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1804242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804263 */     // GIR_Coverage, 19352,
     /* 1804263 */     GIR_EraseRootFromParent_Done,
     /* 1804264 */   // Label 24421: @1804264
     /* 1804264 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1804350), // Rule ID 19353 //
     /* 1804269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1804272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804315 */     // MIs[0] policy
     /* 1804315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804325 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1804328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804349 */     // GIR_Coverage, 19353,
     /* 1804349 */     GIR_EraseRootFromParent_Done,
     /* 1804350 */   // Label 24422: @1804350
     /* 1804350 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1804436), // Rule ID 19356 //
     /* 1804355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1804358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1804372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804401 */     // MIs[0] policy
     /* 1804401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804411 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1804414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804435 */     // GIR_Coverage, 19356,
     /* 1804435 */     GIR_EraseRootFromParent_Done,
     /* 1804436 */   // Label 24423: @1804436
     /* 1804436 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1804522), // Rule ID 19357 //
     /* 1804441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1804444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1804458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1804461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1804483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804487 */     // MIs[0] policy
     /* 1804487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804497 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1804500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804521 */     // GIR_Coverage, 19357,
     /* 1804521 */     GIR_EraseRootFromParent_Done,
     /* 1804522 */   // Label 24424: @1804522
     /* 1804522 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1804608), // Rule ID 19360 //
     /* 1804527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1804530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804573 */     // MIs[0] policy
     /* 1804573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804583 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1804586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804607 */     // GIR_Coverage, 19360,
     /* 1804607 */     GIR_EraseRootFromParent_Done,
     /* 1804608 */   // Label 24425: @1804608
     /* 1804608 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1804694), // Rule ID 19361 //
     /* 1804613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1804616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804659 */     // MIs[0] policy
     /* 1804659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804669 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1804672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804693 */     // GIR_Coverage, 19361,
     /* 1804693 */     GIR_EraseRootFromParent_Done,
     /* 1804694 */   // Label 24426: @1804694
     /* 1804694 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1804780), // Rule ID 19364 //
     /* 1804699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1804702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804745 */     // MIs[0] policy
     /* 1804745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804755 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1804758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804779 */     // GIR_Coverage, 19364,
     /* 1804779 */     GIR_EraseRootFromParent_Done,
     /* 1804780 */   // Label 24427: @1804780
     /* 1804780 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1804866), // Rule ID 19365 //
     /* 1804785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1804788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1804796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1804799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804831 */     // MIs[0] policy
     /* 1804831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1804844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804865 */     // GIR_Coverage, 19365,
     /* 1804865 */     GIR_EraseRootFromParent_Done,
     /* 1804866 */   // Label 24428: @1804866
     /* 1804866 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1804952), // Rule ID 19368 //
     /* 1804871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1804874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1804888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804917 */     // MIs[0] policy
     /* 1804917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1804930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804951 */     // GIR_Coverage, 19368,
     /* 1804951 */     GIR_EraseRootFromParent_Done,
     /* 1804952 */   // Label 24429: @1804952
     /* 1804952 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1805038), // Rule ID 19369 //
     /* 1804957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1804960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1804965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1804968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1804971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1804974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1804999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805003 */     // MIs[0] policy
     /* 1805003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805013 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1805016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805037 */     // GIR_Coverage, 19369,
     /* 1805037 */     GIR_EraseRootFromParent_Done,
     /* 1805038 */   // Label 24430: @1805038
     /* 1805038 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1805124), // Rule ID 19372 //
     /* 1805043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1805046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1805060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805089 */     // MIs[0] policy
     /* 1805089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805099 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1805102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805123 */     // GIR_Coverage, 19372,
     /* 1805123 */     GIR_EraseRootFromParent_Done,
     /* 1805124 */   // Label 24431: @1805124
     /* 1805124 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1805210), // Rule ID 19373 //
     /* 1805129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1805132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1805146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805175 */     // MIs[0] policy
     /* 1805175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805185 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1805188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805209 */     // GIR_Coverage, 19373,
     /* 1805209 */     GIR_EraseRootFromParent_Done,
     /* 1805210 */   // Label 24432: @1805210
     /* 1805210 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1805296), // Rule ID 19376 //
     /* 1805215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1805218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1805232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805261 */     // MIs[0] policy
     /* 1805261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805271 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1805274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805295 */     // GIR_Coverage, 19376,
     /* 1805295 */     GIR_EraseRootFromParent_Done,
     /* 1805296 */   // Label 24433: @1805296
     /* 1805296 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1805382), // Rule ID 19377 //
     /* 1805301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1805304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1805318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805347 */     // MIs[0] policy
     /* 1805347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805357 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1805360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805381 */     // GIR_Coverage, 19377,
     /* 1805381 */     GIR_EraseRootFromParent_Done,
     /* 1805382 */   // Label 24434: @1805382
     /* 1805382 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1805468), // Rule ID 19380 //
     /* 1805387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1805390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1805404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805433 */     // MIs[0] policy
     /* 1805433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805443 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1805446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805467 */     // GIR_Coverage, 19380,
     /* 1805467 */     GIR_EraseRootFromParent_Done,
     /* 1805468 */   // Label 24435: @1805468
     /* 1805468 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1805554), // Rule ID 19381 //
     /* 1805473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1805476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1805481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1805490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1805515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805519 */     // MIs[0] policy
     /* 1805519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805529 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1805532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805553 */     // GIR_Coverage, 19381,
     /* 1805553 */     GIR_EraseRootFromParent_Done,
     /* 1805554 */   // Label 24436: @1805554
     /* 1805554 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1805640), // Rule ID 19384 //
     /* 1805559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1805562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805605 */     // MIs[0] policy
     /* 1805605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805615 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1805618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805639 */     // GIR_Coverage, 19384,
     /* 1805639 */     GIR_EraseRootFromParent_Done,
     /* 1805640 */   // Label 24437: @1805640
     /* 1805640 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1805726), // Rule ID 19385 //
     /* 1805645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1805648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1805656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1805659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805691 */     // MIs[0] policy
     /* 1805691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805701 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1805704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805725 */     // GIR_Coverage, 19385,
     /* 1805725 */     GIR_EraseRootFromParent_Done,
     /* 1805726 */   // Label 24438: @1805726
     /* 1805726 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1805812), // Rule ID 19388 //
     /* 1805731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1805734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805777 */     // MIs[0] policy
     /* 1805777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1805790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805811 */     // GIR_Coverage, 19388,
     /* 1805811 */     GIR_EraseRootFromParent_Done,
     /* 1805812 */   // Label 24439: @1805812
     /* 1805812 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1805898), // Rule ID 19389 //
     /* 1805817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1805820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1805828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1805831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805863 */     // MIs[0] policy
     /* 1805863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805873 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1805876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805897 */     // GIR_Coverage, 19389,
     /* 1805897 */     GIR_EraseRootFromParent_Done,
     /* 1805898 */   // Label 24440: @1805898
     /* 1805898 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1805984), // Rule ID 19392 //
     /* 1805903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1805906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1805923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805949 */     // MIs[0] policy
     /* 1805949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805959 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1805962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805983 */     // GIR_Coverage, 19392,
     /* 1805983 */     GIR_EraseRootFromParent_Done,
     /* 1805984 */   // Label 24441: @1805984
     /* 1805984 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1806070), // Rule ID 19393 //
     /* 1805989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1805992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1805997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806035 */     // MIs[0] policy
     /* 1806035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806045 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1806048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806069 */     // GIR_Coverage, 19393,
     /* 1806069 */     GIR_EraseRootFromParent_Done,
     /* 1806070 */   // Label 24442: @1806070
     /* 1806070 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1806156), // Rule ID 19396 //
     /* 1806075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1806078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806121 */     // MIs[0] policy
     /* 1806121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806131 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1806134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806155 */     // GIR_Coverage, 19396,
     /* 1806155 */     GIR_EraseRootFromParent_Done,
     /* 1806156 */   // Label 24443: @1806156
     /* 1806156 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1806242), // Rule ID 19397 //
     /* 1806161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1806164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1806172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1806175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1806178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1806181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806207 */     // MIs[0] policy
     /* 1806207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806217 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1806220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806241 */     // GIR_Coverage, 19397,
     /* 1806241 */     GIR_EraseRootFromParent_Done,
     /* 1806242 */   // Label 24444: @1806242
     /* 1806242 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1806328), // Rule ID 19400 //
     /* 1806247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1806250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806293 */     // MIs[0] policy
     /* 1806293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1806306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806327 */     // GIR_Coverage, 19400,
     /* 1806327 */     GIR_EraseRootFromParent_Done,
     /* 1806328 */   // Label 24445: @1806328
     /* 1806328 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1806414), // Rule ID 19401 //
     /* 1806333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1806336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1806344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1806347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806379 */     // MIs[0] policy
     /* 1806379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1806392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806413 */     // GIR_Coverage, 19401,
     /* 1806413 */     GIR_EraseRootFromParent_Done,
     /* 1806414 */   // Label 24446: @1806414
     /* 1806414 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1806500), // Rule ID 19404 //
     /* 1806419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1806422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1806436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1806439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806465 */     // MIs[0] policy
     /* 1806465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806475 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1806478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1806496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806499 */     // GIR_Coverage, 19404,
     /* 1806499 */     GIR_EraseRootFromParent_Done,
     /* 1806500 */   // Label 24447: @1806500
     /* 1806500 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1806586), // Rule ID 19405 //
     /* 1806505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1806508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1806522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1806525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806551 */     // MIs[0] policy
     /* 1806551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806561 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1806564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1806582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806585 */     // GIR_Coverage, 19405,
     /* 1806585 */     GIR_EraseRootFromParent_Done,
     /* 1806586 */   // Label 24448: @1806586
     /* 1806586 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1806672), // Rule ID 19408 //
     /* 1806591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1806594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806637 */     // MIs[0] policy
     /* 1806637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806647 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1806650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806671 */     // GIR_Coverage, 19408,
     /* 1806671 */     GIR_EraseRootFromParent_Done,
     /* 1806672 */   // Label 24449: @1806672
     /* 1806672 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1806758), // Rule ID 19409 //
     /* 1806677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1806680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1806697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806723 */     // MIs[0] policy
     /* 1806723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806733 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1806736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806757 */     // GIR_Coverage, 19409,
     /* 1806757 */     GIR_EraseRootFromParent_Done,
     /* 1806758 */   // Label 24450: @1806758
     /* 1806758 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1806844), // Rule ID 19412 //
     /* 1806763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1806766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806809 */     // MIs[0] policy
     /* 1806809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806819 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1806822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806843 */     // GIR_Coverage, 19412,
     /* 1806843 */     GIR_EraseRootFromParent_Done,
     /* 1806844 */   // Label 24451: @1806844
     /* 1806844 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1806930), // Rule ID 19413 //
     /* 1806849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1806852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1806869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806895 */     // MIs[0] policy
     /* 1806895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806905 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1806908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806929 */     // GIR_Coverage, 19413,
     /* 1806929 */     GIR_EraseRootFromParent_Done,
     /* 1806930 */   // Label 24452: @1806930
     /* 1806930 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1807016), // Rule ID 19416 //
     /* 1806935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1806938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1806943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1806946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1806949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1806952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1806955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806981 */     // MIs[0] policy
     /* 1806981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806991 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1806994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807015 */     // GIR_Coverage, 19416,
     /* 1807015 */     GIR_EraseRootFromParent_Done,
     /* 1807016 */   // Label 24453: @1807016
     /* 1807016 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1807102), // Rule ID 19417 //
     /* 1807021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1807024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1807038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1807041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807067 */     // MIs[0] policy
     /* 1807067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807077 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1807080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807101 */     // GIR_Coverage, 19417,
     /* 1807101 */     GIR_EraseRootFromParent_Done,
     /* 1807102 */   // Label 24454: @1807102
     /* 1807102 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1807188), // Rule ID 19420 //
     /* 1807107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1807110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1807127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807153 */     // MIs[0] policy
     /* 1807153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807163 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1807166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807187 */     // GIR_Coverage, 19420,
     /* 1807187 */     GIR_EraseRootFromParent_Done,
     /* 1807188 */   // Label 24455: @1807188
     /* 1807188 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1807274), // Rule ID 19421 //
     /* 1807193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1807196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1807213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807239 */     // MIs[0] policy
     /* 1807239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807249 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1807252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807273 */     // GIR_Coverage, 19421,
     /* 1807273 */     GIR_EraseRootFromParent_Done,
     /* 1807274 */   // Label 24456: @1807274
     /* 1807274 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1807360), // Rule ID 19424 //
     /* 1807279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1807282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807325 */     // MIs[0] policy
     /* 1807325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807335 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1807338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807359 */     // GIR_Coverage, 19424,
     /* 1807359 */     GIR_EraseRootFromParent_Done,
     /* 1807360 */   // Label 24457: @1807360
     /* 1807360 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1807446), // Rule ID 19425 //
     /* 1807365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1807368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1807385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807411 */     // MIs[0] policy
     /* 1807411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1807424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807445 */     // GIR_Coverage, 19425,
     /* 1807445 */     GIR_EraseRootFromParent_Done,
     /* 1807446 */   // Label 24458: @1807446
     /* 1807446 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1807532), // Rule ID 19428 //
     /* 1807451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1807454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1807468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1807471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807497 */     // MIs[0] policy
     /* 1807497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807507 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1807510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807531 */     // GIR_Coverage, 19428,
     /* 1807531 */     GIR_EraseRootFromParent_Done,
     /* 1807532 */   // Label 24459: @1807532
     /* 1807532 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1807618), // Rule ID 19429 //
     /* 1807537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1807540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1807554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1807557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807583 */     // MIs[0] policy
     /* 1807583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807593 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1807596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807617 */     // GIR_Coverage, 19429,
     /* 1807617 */     GIR_EraseRootFromParent_Done,
     /* 1807618 */   // Label 24460: @1807618
     /* 1807618 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1807704), // Rule ID 19432 //
     /* 1807623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1807626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1807640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1807643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807669 */     // MIs[0] policy
     /* 1807669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807679 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1807682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807703 */     // GIR_Coverage, 19432,
     /* 1807703 */     GIR_EraseRootFromParent_Done,
     /* 1807704 */   // Label 24461: @1807704
     /* 1807704 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1807790), // Rule ID 19433 //
     /* 1807709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1807712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1807726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1807729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807755 */     // MIs[0] policy
     /* 1807755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807765 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1807768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807789 */     // GIR_Coverage, 19433,
     /* 1807789 */     GIR_EraseRootFromParent_Done,
     /* 1807790 */   // Label 24462: @1807790
     /* 1807790 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1807876), // Rule ID 19436 //
     /* 1807795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1807798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1807812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1807815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807841 */     // MIs[0] policy
     /* 1807841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807851 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1807854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807875 */     // GIR_Coverage, 19436,
     /* 1807875 */     GIR_EraseRootFromParent_Done,
     /* 1807876 */   // Label 24463: @1807876
     /* 1807876 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1807962), // Rule ID 19437 //
     /* 1807881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1807884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1807892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1807895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1807898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1807901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807927 */     // MIs[0] policy
     /* 1807927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807937 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1807940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807961 */     // GIR_Coverage, 19437,
     /* 1807961 */     GIR_EraseRootFromParent_Done,
     /* 1807962 */   // Label 24464: @1807962
     /* 1807962 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1808048), // Rule ID 19440 //
     /* 1807967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1807970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1807975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1807984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1807987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808013 */     // MIs[0] policy
     /* 1808013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808023 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1808026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808047 */     // GIR_Coverage, 19440,
     /* 1808047 */     GIR_EraseRootFromParent_Done,
     /* 1808048 */   // Label 24465: @1808048
     /* 1808048 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1808134), // Rule ID 19441 //
     /* 1808053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1808056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1808070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1808073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808099 */     // MIs[0] policy
     /* 1808099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808109 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1808112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808133 */     // GIR_Coverage, 19441,
     /* 1808133 */     GIR_EraseRootFromParent_Done,
     /* 1808134 */   // Label 24466: @1808134
     /* 1808134 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1808220), // Rule ID 19444 //
     /* 1808139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1808142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808185 */     // MIs[0] policy
     /* 1808185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808195 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1808198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808219 */     // GIR_Coverage, 19444,
     /* 1808219 */     GIR_EraseRootFromParent_Done,
     /* 1808220 */   // Label 24467: @1808220
     /* 1808220 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1808306), // Rule ID 19445 //
     /* 1808225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1808228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1808236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1808239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1808242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808271 */     // MIs[0] policy
     /* 1808271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808281 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1808284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808305 */     // GIR_Coverage, 19445,
     /* 1808305 */     GIR_EraseRootFromParent_Done,
     /* 1808306 */   // Label 24468: @1808306
     /* 1808306 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1808392), // Rule ID 19448 //
     /* 1808311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1808314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808357 */     // MIs[0] policy
     /* 1808357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808367 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1808370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808391 */     // GIR_Coverage, 19448,
     /* 1808391 */     GIR_EraseRootFromParent_Done,
     /* 1808392 */   // Label 24469: @1808392
     /* 1808392 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1808478), // Rule ID 19449 //
     /* 1808397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1808400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1808408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1808411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808443 */     // MIs[0] policy
     /* 1808443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808453 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1808456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808477 */     // GIR_Coverage, 19449,
     /* 1808477 */     GIR_EraseRootFromParent_Done,
     /* 1808478 */   // Label 24470: @1808478
     /* 1808478 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1808564), // Rule ID 19452 //
     /* 1808483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1808486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1808525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808529 */     // MIs[0] policy
     /* 1808529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1808542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808563 */     // GIR_Coverage, 19452,
     /* 1808563 */     GIR_EraseRootFromParent_Done,
     /* 1808564 */   // Label 24471: @1808564
     /* 1808564 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1808650), // Rule ID 19453 //
     /* 1808569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1808572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1808580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1808583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1808611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808615 */     // MIs[0] policy
     /* 1808615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808625 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1808628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808649 */     // GIR_Coverage, 19453,
     /* 1808649 */     GIR_EraseRootFromParent_Done,
     /* 1808650 */   // Label 24472: @1808650
     /* 1808650 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1808736), // Rule ID 19456 //
     /* 1808655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1808658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808701 */     // MIs[0] policy
     /* 1808701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1808714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808735 */     // GIR_Coverage, 19456,
     /* 1808735 */     GIR_EraseRootFromParent_Done,
     /* 1808736 */   // Label 24473: @1808736
     /* 1808736 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1808822), // Rule ID 19457 //
     /* 1808741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1808744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1808761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1808783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808787 */     // MIs[0] policy
     /* 1808787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808797 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1808800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808821 */     // GIR_Coverage, 19457,
     /* 1808821 */     GIR_EraseRootFromParent_Done,
     /* 1808822 */   // Label 24474: @1808822
     /* 1808822 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1808908), // Rule ID 19460 //
     /* 1808827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1808830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1808869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808873 */     // MIs[0] policy
     /* 1808873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808883 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1808886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808907 */     // GIR_Coverage, 19460,
     /* 1808907 */     GIR_EraseRootFromParent_Done,
     /* 1808908 */   // Label 24475: @1808908
     /* 1808908 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1808994), // Rule ID 19461 //
     /* 1808913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1808916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1808921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1808955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808959 */     // MIs[0] policy
     /* 1808959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808969 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1808972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808993 */     // GIR_Coverage, 19461,
     /* 1808993 */     GIR_EraseRootFromParent_Done,
     /* 1808994 */   // Label 24476: @1808994
     /* 1808994 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1809080), // Rule ID 19464 //
     /* 1808999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1809002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1809041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809045 */     // MIs[0] policy
     /* 1809045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1809058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809079 */     // GIR_Coverage, 19464,
     /* 1809079 */     GIR_EraseRootFromParent_Done,
     /* 1809080 */   // Label 24477: @1809080
     /* 1809080 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1809166), // Rule ID 19465 //
     /* 1809085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1809088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1809096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1809099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1809102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1809127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809131 */     // MIs[0] policy
     /* 1809131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809141 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1809144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809165 */     // GIR_Coverage, 19465,
     /* 1809165 */     GIR_EraseRootFromParent_Done,
     /* 1809166 */   // Label 24478: @1809166
     /* 1809166 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1809252), // Rule ID 19468 //
     /* 1809171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1809174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809217 */     // MIs[0] policy
     /* 1809217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809227 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1809230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809251 */     // GIR_Coverage, 19468,
     /* 1809251 */     GIR_EraseRootFromParent_Done,
     /* 1809252 */   // Label 24479: @1809252
     /* 1809252 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1809338), // Rule ID 19469 //
     /* 1809257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1809260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809303 */     // MIs[0] policy
     /* 1809303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809313 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1809316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809337 */     // GIR_Coverage, 19469,
     /* 1809337 */     GIR_EraseRootFromParent_Done,
     /* 1809338 */   // Label 24480: @1809338
     /* 1809338 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1809424), // Rule ID 19472 //
     /* 1809343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1809346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1809354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1809357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809389 */     // MIs[0] policy
     /* 1809389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809399 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1809402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809423 */     // GIR_Coverage, 19472,
     /* 1809423 */     GIR_EraseRootFromParent_Done,
     /* 1809424 */   // Label 24481: @1809424
     /* 1809424 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1809510), // Rule ID 19473 //
     /* 1809429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1809432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1809440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1809443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809475 */     // MIs[0] policy
     /* 1809475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809485 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1809488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809509 */     // GIR_Coverage, 19473,
     /* 1809509 */     GIR_EraseRootFromParent_Done,
     /* 1809510 */   // Label 24482: @1809510
     /* 1809510 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1809596), // Rule ID 19476 //
     /* 1809515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1809518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1809526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1809529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1809532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1809538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809561 */     // MIs[0] policy
     /* 1809561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809571 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1809574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809595 */     // GIR_Coverage, 19476,
     /* 1809595 */     GIR_EraseRootFromParent_Done,
     /* 1809596 */   // Label 24483: @1809596
     /* 1809596 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1809682), // Rule ID 19477 //
     /* 1809601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1809604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1809612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1809615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1809618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1809621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1809624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1809643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809647 */     // MIs[0] policy
     /* 1809647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809657 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1809660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809681 */     // GIR_Coverage, 19477,
     /* 1809681 */     GIR_EraseRootFromParent_Done,
     /* 1809682 */   // Label 24484: @1809682
     /* 1809682 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1809768), // Rule ID 19480 //
     /* 1809687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1809690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1809729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809733 */     // MIs[0] policy
     /* 1809733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809743 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1809746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809767 */     // GIR_Coverage, 19480,
     /* 1809767 */     GIR_EraseRootFromParent_Done,
     /* 1809768 */   // Label 24485: @1809768
     /* 1809768 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1809854), // Rule ID 19481 //
     /* 1809773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1809776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1809815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809819 */     // MIs[0] policy
     /* 1809819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809829 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1809832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809853 */     // GIR_Coverage, 19481,
     /* 1809853 */     GIR_EraseRootFromParent_Done,
     /* 1809854 */   // Label 24486: @1809854
     /* 1809854 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1809940), // Rule ID 19484 //
     /* 1809859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1809862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1809901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809905 */     // MIs[0] policy
     /* 1809905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1809918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809939 */     // GIR_Coverage, 19484,
     /* 1809939 */     GIR_EraseRootFromParent_Done,
     /* 1809940 */   // Label 24487: @1809940
     /* 1809940 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1810026), // Rule ID 19485 //
     /* 1809945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1809948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1809953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1809987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809991 */     // MIs[0] policy
     /* 1809991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810001 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1810004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810025 */     // GIR_Coverage, 19485,
     /* 1810025 */     GIR_EraseRootFromParent_Done,
     /* 1810026 */   // Label 24488: @1810026
     /* 1810026 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1810112), // Rule ID 19488 //
     /* 1810031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1810034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1810042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1810045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1810048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1810073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810077 */     // MIs[0] policy
     /* 1810077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810087 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1810090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810111 */     // GIR_Coverage, 19488,
     /* 1810111 */     GIR_EraseRootFromParent_Done,
     /* 1810112 */   // Label 24489: @1810112
     /* 1810112 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1810198), // Rule ID 19489 //
     /* 1810117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1810120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1810128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1810131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1810134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1810137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1810159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810163 */     // MIs[0] policy
     /* 1810163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1810176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810197 */     // GIR_Coverage, 19489,
     /* 1810197 */     GIR_EraseRootFromParent_Done,
     /* 1810198 */   // Label 24490: @1810198
     /* 1810198 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1810284), // Rule ID 19492 //
     /* 1810203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1810206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1810214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1810217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1810220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810249 */     // MIs[0] policy
     /* 1810249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810259 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1810262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810283 */     // GIR_Coverage, 19492,
     /* 1810283 */     GIR_EraseRootFromParent_Done,
     /* 1810284 */   // Label 24491: @1810284
     /* 1810284 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1810370), // Rule ID 19493 //
     /* 1810289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1810292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1810300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1810303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1810306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810335 */     // MIs[0] policy
     /* 1810335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810345 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1810348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810369 */     // GIR_Coverage, 19493,
     /* 1810369 */     GIR_EraseRootFromParent_Done,
     /* 1810370 */   // Label 24492: @1810370
     /* 1810370 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1810456), // Rule ID 19496 //
     /* 1810375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1810378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1810392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810421 */     // MIs[0] policy
     /* 1810421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1810434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810455 */     // GIR_Coverage, 19496,
     /* 1810455 */     GIR_EraseRootFromParent_Done,
     /* 1810456 */   // Label 24493: @1810456
     /* 1810456 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1810542), // Rule ID 19497 //
     /* 1810461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1810464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1810478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810507 */     // MIs[0] policy
     /* 1810507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810517 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1810520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810541 */     // GIR_Coverage, 19497,
     /* 1810541 */     GIR_EraseRootFromParent_Done,
     /* 1810542 */   // Label 24494: @1810542
     /* 1810542 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1810628), // Rule ID 19500 //
     /* 1810547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1810550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1810564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810593 */     // MIs[0] policy
     /* 1810593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810603 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1810606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810627 */     // GIR_Coverage, 19500,
     /* 1810627 */     GIR_EraseRootFromParent_Done,
     /* 1810628 */   // Label 24495: @1810628
     /* 1810628 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1810714), // Rule ID 19501 //
     /* 1810633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1810636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1810641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1810650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1810653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1810675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810679 */     // MIs[0] policy
     /* 1810679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810689 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1810692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810713 */     // GIR_Coverage, 19501,
     /* 1810713 */     GIR_EraseRootFromParent_Done,
     /* 1810714 */   // Label 24496: @1810714
     /* 1810714 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1810800), // Rule ID 19504 //
     /* 1810719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1810722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1810727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810765 */     // MIs[0] policy
     /* 1810765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810775 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1810778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810799 */     // GIR_Coverage, 19504,
     /* 1810799 */     GIR_EraseRootFromParent_Done,
     /* 1810800 */   // Label 24497: @1810800
     /* 1810800 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1810886), // Rule ID 19505 //
     /* 1810805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1810808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1810813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810851 */     // MIs[0] policy
     /* 1810851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810861 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1810864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810885 */     // GIR_Coverage, 19505,
     /* 1810885 */     GIR_EraseRootFromParent_Done,
     /* 1810886 */   // Label 24498: @1810886
     /* 1810886 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1810972), // Rule ID 19508 //
     /* 1810891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1810894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1810899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810937 */     // MIs[0] policy
     /* 1810937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1810950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810971 */     // GIR_Coverage, 19508,
     /* 1810971 */     GIR_EraseRootFromParent_Done,
     /* 1810972 */   // Label 24499: @1810972
     /* 1810972 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1811058), // Rule ID 19509 //
     /* 1810977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1810980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1810985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811023 */     // MIs[0] policy
     /* 1811023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811033 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1811036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811057 */     // GIR_Coverage, 19509,
     /* 1811057 */     GIR_EraseRootFromParent_Done,
     /* 1811058 */   // Label 24500: @1811058
     /* 1811058 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1811144), // Rule ID 19512 //
     /* 1811063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1811066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811109 */     // MIs[0] policy
     /* 1811109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811119 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1811122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811143 */     // GIR_Coverage, 19512,
     /* 1811143 */     GIR_EraseRootFromParent_Done,
     /* 1811144 */   // Label 24501: @1811144
     /* 1811144 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1811230), // Rule ID 19513 //
     /* 1811149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1811152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811195 */     // MIs[0] policy
     /* 1811195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1811208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811229 */     // GIR_Coverage, 19513,
     /* 1811229 */     GIR_EraseRootFromParent_Done,
     /* 1811230 */   // Label 24502: @1811230
     /* 1811230 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1811316), // Rule ID 19516 //
     /* 1811235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1811238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1811246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1811249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811281 */     // MIs[0] policy
     /* 1811281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811291 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1811294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811315 */     // GIR_Coverage, 19516,
     /* 1811315 */     GIR_EraseRootFromParent_Done,
     /* 1811316 */   // Label 24503: @1811316
     /* 1811316 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1811402), // Rule ID 19517 //
     /* 1811321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1811324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1811332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1811335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811367 */     // MIs[0] policy
     /* 1811367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1811380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811401 */     // GIR_Coverage, 19517,
     /* 1811401 */     GIR_EraseRootFromParent_Done,
     /* 1811402 */   // Label 24504: @1811402
     /* 1811402 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1811488), // Rule ID 19520 //
     /* 1811407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1811410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811453 */     // MIs[0] policy
     /* 1811453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811463 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1811466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811487 */     // GIR_Coverage, 19520,
     /* 1811487 */     GIR_EraseRootFromParent_Done,
     /* 1811488 */   // Label 24505: @1811488
     /* 1811488 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1811574), // Rule ID 19521 //
     /* 1811493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1811496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811539 */     // MIs[0] policy
     /* 1811539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1811552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811573 */     // GIR_Coverage, 19521,
     /* 1811573 */     GIR_EraseRootFromParent_Done,
     /* 1811574 */   // Label 24506: @1811574
     /* 1811574 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1811660), // Rule ID 19524 //
     /* 1811579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1811582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1811596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1811599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811625 */     // MIs[0] policy
     /* 1811625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811635 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1811638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811659 */     // GIR_Coverage, 19524,
     /* 1811659 */     GIR_EraseRootFromParent_Done,
     /* 1811660 */   // Label 24507: @1811660
     /* 1811660 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1811746), // Rule ID 19525 //
     /* 1811665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1811668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1811682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1811685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811711 */     // MIs[0] policy
     /* 1811711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811721 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1811724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811745 */     // GIR_Coverage, 19525,
     /* 1811745 */     GIR_EraseRootFromParent_Done,
     /* 1811746 */   // Label 24508: @1811746
     /* 1811746 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1811832), // Rule ID 19528 //
     /* 1811751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1811754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1811762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1811765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811797 */     // MIs[0] policy
     /* 1811797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811807 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1811810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811831 */     // GIR_Coverage, 19528,
     /* 1811831 */     GIR_EraseRootFromParent_Done,
     /* 1811832 */   // Label 24509: @1811832
     /* 1811832 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1811918), // Rule ID 19529 //
     /* 1811837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1811840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1811848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1811851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811883 */     // MIs[0] policy
     /* 1811883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811893 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1811896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811917 */     // GIR_Coverage, 19529,
     /* 1811917 */     GIR_EraseRootFromParent_Done,
     /* 1811918 */   // Label 24510: @1811918
     /* 1811918 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1812004), // Rule ID 19532 //
     /* 1811923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1811926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1811931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811969 */     // MIs[0] policy
     /* 1811969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811979 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1811982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812003 */     // GIR_Coverage, 19532,
     /* 1812003 */     GIR_EraseRootFromParent_Done,
     /* 1812004 */   // Label 24511: @1812004
     /* 1812004 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1812090), // Rule ID 19533 //
     /* 1812009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1812012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1812020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1812023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1812029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812055 */     // MIs[0] policy
     /* 1812055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812065 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1812068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812089 */     // GIR_Coverage, 19533,
     /* 1812089 */     GIR_EraseRootFromParent_Done,
     /* 1812090 */   // Label 24512: @1812090
     /* 1812090 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1812176), // Rule ID 19536 //
     /* 1812095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1812098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1812112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1812115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812141 */     // MIs[0] policy
     /* 1812141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812151 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1812154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812175 */     // GIR_Coverage, 19536,
     /* 1812175 */     GIR_EraseRootFromParent_Done,
     /* 1812176 */   // Label 24513: @1812176
     /* 1812176 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1812262), // Rule ID 19537 //
     /* 1812181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1812184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1812198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1812201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812227 */     // MIs[0] policy
     /* 1812227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812237 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1812240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812261 */     // GIR_Coverage, 19537,
     /* 1812261 */     GIR_EraseRootFromParent_Done,
     /* 1812262 */   // Label 24514: @1812262
     /* 1812262 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1812348), // Rule ID 19540 //
     /* 1812267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1812270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1812278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1812281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812313 */     // MIs[0] policy
     /* 1812313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812323 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1812326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812347 */     // GIR_Coverage, 19540,
     /* 1812347 */     GIR_EraseRootFromParent_Done,
     /* 1812348 */   // Label 24515: @1812348
     /* 1812348 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1812434), // Rule ID 19541 //
     /* 1812353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1812356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1812364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1812367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812399 */     // MIs[0] policy
     /* 1812399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812409 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1812412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812433 */     // GIR_Coverage, 19541,
     /* 1812433 */     GIR_EraseRootFromParent_Done,
     /* 1812434 */   // Label 24516: @1812434
     /* 1812434 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1812520), // Rule ID 19544 //
     /* 1812439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1812442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812485 */     // MIs[0] policy
     /* 1812485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812495 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1812498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812519 */     // GIR_Coverage, 19544,
     /* 1812519 */     GIR_EraseRootFromParent_Done,
     /* 1812520 */   // Label 24517: @1812520
     /* 1812520 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1812606), // Rule ID 19545 //
     /* 1812525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1812528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812571 */     // MIs[0] policy
     /* 1812571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812581 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1812584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812605 */     // GIR_Coverage, 19545,
     /* 1812605 */     GIR_EraseRootFromParent_Done,
     /* 1812606 */   // Label 24518: @1812606
     /* 1812606 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1812692), // Rule ID 19548 //
     /* 1812611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1812614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812657 */     // MIs[0] policy
     /* 1812657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1812670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812691 */     // GIR_Coverage, 19548,
     /* 1812691 */     GIR_EraseRootFromParent_Done,
     /* 1812692 */   // Label 24519: @1812692
     /* 1812692 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1812778), // Rule ID 19549 //
     /* 1812697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1812700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812743 */     // MIs[0] policy
     /* 1812743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812753 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1812756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812777 */     // GIR_Coverage, 19549,
     /* 1812777 */     GIR_EraseRootFromParent_Done,
     /* 1812778 */   // Label 24520: @1812778
     /* 1812778 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1812864), // Rule ID 19552 //
     /* 1812783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1812786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1812800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1812803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812829 */     // MIs[0] policy
     /* 1812829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812839 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1812842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812863 */     // GIR_Coverage, 19552,
     /* 1812863 */     GIR_EraseRootFromParent_Done,
     /* 1812864 */   // Label 24521: @1812864
     /* 1812864 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1812950), // Rule ID 19553 //
     /* 1812869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1812872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1812886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1812889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812915 */     // MIs[0] policy
     /* 1812915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812925 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1812928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812949 */     // GIR_Coverage, 19553,
     /* 1812949 */     GIR_EraseRootFromParent_Done,
     /* 1812950 */   // Label 24522: @1812950
     /* 1812950 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1813036), // Rule ID 19556 //
     /* 1812955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1812958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1812963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813001 */     // MIs[0] policy
     /* 1813001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813011 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1813014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813035 */     // GIR_Coverage, 19556,
     /* 1813035 */     GIR_EraseRootFromParent_Done,
     /* 1813036 */   // Label 24523: @1813036
     /* 1813036 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1813122), // Rule ID 19557 //
     /* 1813041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1813044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1813052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1813055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1813058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1813061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813087 */     // MIs[0] policy
     /* 1813087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1813100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813121 */     // GIR_Coverage, 19557,
     /* 1813121 */     GIR_EraseRootFromParent_Done,
     /* 1813122 */   // Label 24524: @1813122
     /* 1813122 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1813208), // Rule ID 19560 //
     /* 1813127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1813130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1813138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1813141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1813144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1813147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813173 */     // MIs[0] policy
     /* 1813173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813183 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1813186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813207 */     // GIR_Coverage, 19560,
     /* 1813207 */     GIR_EraseRootFromParent_Done,
     /* 1813208 */   // Label 24525: @1813208
     /* 1813208 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1813294), // Rule ID 19561 //
     /* 1813213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1813216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1813224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1813227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1813230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1813233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813259 */     // MIs[0] policy
     /* 1813259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813269 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1813272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813293 */     // GIR_Coverage, 19561,
     /* 1813293 */     GIR_EraseRootFromParent_Done,
     /* 1813294 */   // Label 24526: @1813294
     /* 1813294 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1813380), // Rule ID 19564 //
     /* 1813299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1813302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813345 */     // MIs[0] policy
     /* 1813345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813355 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1813358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813379 */     // GIR_Coverage, 19564,
     /* 1813379 */     GIR_EraseRootFromParent_Done,
     /* 1813380 */   // Label 24527: @1813380
     /* 1813380 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1813466), // Rule ID 19565 //
     /* 1813385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1813388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813431 */     // MIs[0] policy
     /* 1813431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813441 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1813444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813465 */     // GIR_Coverage, 19565,
     /* 1813465 */     GIR_EraseRootFromParent_Done,
     /* 1813466 */   // Label 24528: @1813466
     /* 1813466 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1813552), // Rule ID 19568 //
     /* 1813471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1813474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813517 */     // MIs[0] policy
     /* 1813517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813527 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1813530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813551 */     // GIR_Coverage, 19568,
     /* 1813551 */     GIR_EraseRootFromParent_Done,
     /* 1813552 */   // Label 24529: @1813552
     /* 1813552 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1813638), // Rule ID 19569 //
     /* 1813557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1813560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813603 */     // MIs[0] policy
     /* 1813603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813613 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1813616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813637 */     // GIR_Coverage, 19569,
     /* 1813637 */     GIR_EraseRootFromParent_Done,
     /* 1813638 */   // Label 24530: @1813638
     /* 1813638 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1813724), // Rule ID 19572 //
     /* 1813643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1813646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1813685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813689 */     // MIs[0] policy
     /* 1813689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813699 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1813702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813723 */     // GIR_Coverage, 19572,
     /* 1813723 */     GIR_EraseRootFromParent_Done,
     /* 1813724 */   // Label 24531: @1813724
     /* 1813724 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1813810), // Rule ID 19573 //
     /* 1813729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1813732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1813771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813775 */     // MIs[0] policy
     /* 1813775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813785 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1813788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813809 */     // GIR_Coverage, 19573,
     /* 1813809 */     GIR_EraseRootFromParent_Done,
     /* 1813810 */   // Label 24532: @1813810
     /* 1813810 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1813896), // Rule ID 19576 //
     /* 1813815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1813818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813861 */     // MIs[0] policy
     /* 1813861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813871 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1813874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813895 */     // GIR_Coverage, 19576,
     /* 1813895 */     GIR_EraseRootFromParent_Done,
     /* 1813896 */   // Label 24533: @1813896
     /* 1813896 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1813982), // Rule ID 19577 //
     /* 1813901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1813904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1813912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1813915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1813921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1813943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813947 */     // MIs[0] policy
     /* 1813947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1813960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813981 */     // GIR_Coverage, 19577,
     /* 1813981 */     GIR_EraseRootFromParent_Done,
     /* 1813982 */   // Label 24534: @1813982
     /* 1813982 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1814068), // Rule ID 19580 //
     /* 1813987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1813990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1813995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1814029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814033 */     // MIs[0] policy
     /* 1814033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814043 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1814046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814067 */     // GIR_Coverage, 19580,
     /* 1814067 */     GIR_EraseRootFromParent_Done,
     /* 1814068 */   // Label 24535: @1814068
     /* 1814068 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1814154), // Rule ID 19581 //
     /* 1814073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1814076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1814115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814119 */     // MIs[0] policy
     /* 1814119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814129 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1814132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814153 */     // GIR_Coverage, 19581,
     /* 1814153 */     GIR_EraseRootFromParent_Done,
     /* 1814154 */   // Label 24536: @1814154
     /* 1814154 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1814240), // Rule ID 19584 //
     /* 1814159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1814162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1814176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1814201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814205 */     // MIs[0] policy
     /* 1814205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814215 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1814218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814239 */     // GIR_Coverage, 19584,
     /* 1814239 */     GIR_EraseRootFromParent_Done,
     /* 1814240 */   // Label 24537: @1814240
     /* 1814240 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1814326), // Rule ID 19585 //
     /* 1814245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1814248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1814262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1814287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814291 */     // MIs[0] policy
     /* 1814291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814301 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1814304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814325 */     // GIR_Coverage, 19585,
     /* 1814325 */     GIR_EraseRootFromParent_Done,
     /* 1814326 */   // Label 24538: @1814326
     /* 1814326 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1814412), // Rule ID 19588 //
     /* 1814331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1814334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814377 */     // MIs[0] policy
     /* 1814377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1814390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814411 */     // GIR_Coverage, 19588,
     /* 1814411 */     GIR_EraseRootFromParent_Done,
     /* 1814412 */   // Label 24539: @1814412
     /* 1814412 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1814498), // Rule ID 19589 //
     /* 1814417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1814420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1814431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1814434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814463 */     // MIs[0] policy
     /* 1814463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814473 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1814476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814497 */     // GIR_Coverage, 19589,
     /* 1814497 */     GIR_EraseRootFromParent_Done,
     /* 1814498 */   // Label 24540: @1814498
     /* 1814498 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1814584), // Rule ID 19592 //
     /* 1814503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1814506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814549 */     // MIs[0] policy
     /* 1814549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814559 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1814562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814583 */     // GIR_Coverage, 19592,
     /* 1814583 */     GIR_EraseRootFromParent_Done,
     /* 1814584 */   // Label 24541: @1814584
     /* 1814584 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1814670), // Rule ID 19593 //
     /* 1814589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1814592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1814600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1814603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1814606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1814612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814635 */     // MIs[0] policy
     /* 1814635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814645 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1814648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814669 */     // GIR_Coverage, 19593,
     /* 1814669 */     GIR_EraseRootFromParent_Done,
     /* 1814670 */   // Label 24542: @1814670
     /* 1814670 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1814756), // Rule ID 19596 //
     /* 1814675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1814678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1814692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814721 */     // MIs[0] policy
     /* 1814721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814731 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1814734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814755 */     // GIR_Coverage, 19596,
     /* 1814755 */     GIR_EraseRootFromParent_Done,
     /* 1814756 */   // Label 24543: @1814756
     /* 1814756 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1814842), // Rule ID 19597 //
     /* 1814761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1814764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1814772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1814775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1814778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1814781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1814784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1814803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814807 */     // MIs[0] policy
     /* 1814807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1814820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814841 */     // GIR_Coverage, 19597,
     /* 1814841 */     GIR_EraseRootFromParent_Done,
     /* 1814842 */   // Label 24544: @1814842
     /* 1814842 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1814928), // Rule ID 19600 //
     /* 1814847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1814850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1814889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814893 */     // MIs[0] policy
     /* 1814893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814903 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1814906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814927 */     // GIR_Coverage, 19600,
     /* 1814927 */     GIR_EraseRootFromParent_Done,
     /* 1814928 */   // Label 24545: @1814928
     /* 1814928 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1815014), // Rule ID 19601 //
     /* 1814933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1814936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1814941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1814944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1814947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1814975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814979 */     // MIs[0] policy
     /* 1814979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814989 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1814992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815013 */     // GIR_Coverage, 19601,
     /* 1815013 */     GIR_EraseRootFromParent_Done,
     /* 1815014 */   // Label 24546: @1815014
     /* 1815014 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1815100), // Rule ID 19604 //
     /* 1815019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1815022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1815061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815065 */     // MIs[0] policy
     /* 1815065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1815078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815099 */     // GIR_Coverage, 19604,
     /* 1815099 */     GIR_EraseRootFromParent_Done,
     /* 1815100 */   // Label 24547: @1815100
     /* 1815100 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1815186), // Rule ID 19605 //
     /* 1815105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1815108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1815116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1815119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1815122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1815147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815151 */     // MIs[0] policy
     /* 1815151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815161 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1815164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815185 */     // GIR_Coverage, 19605,
     /* 1815185 */     GIR_EraseRootFromParent_Done,
     /* 1815186 */   // Label 24548: @1815186
     /* 1815186 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1815272), // Rule ID 19608 //
     /* 1815191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1815194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1815208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1815233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815237 */     // MIs[0] policy
     /* 1815237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815247 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1815250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815271 */     // GIR_Coverage, 19608,
     /* 1815271 */     GIR_EraseRootFromParent_Done,
     /* 1815272 */   // Label 24549: @1815272
     /* 1815272 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1815358), // Rule ID 19609 //
     /* 1815277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1815280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1815288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1815291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1815294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1815319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815323 */     // MIs[0] policy
     /* 1815323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815333 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1815336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815357 */     // GIR_Coverage, 19609,
     /* 1815357 */     GIR_EraseRootFromParent_Done,
     /* 1815358 */   // Label 24550: @1815358
     /* 1815358 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1815444), // Rule ID 19612 //
     /* 1815363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1815366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1815380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815409 */     // MIs[0] policy
     /* 1815409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815419 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1815422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815443 */     // GIR_Coverage, 19612,
     /* 1815443 */     GIR_EraseRootFromParent_Done,
     /* 1815444 */   // Label 24551: @1815444
     /* 1815444 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1815530), // Rule ID 19613 //
     /* 1815449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1815452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1815460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1815463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1815466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815495 */     // MIs[0] policy
     /* 1815495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815505 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1815508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815529 */     // GIR_Coverage, 19613,
     /* 1815529 */     GIR_EraseRootFromParent_Done,
     /* 1815530 */   // Label 24552: @1815530
     /* 1815530 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1815616), // Rule ID 19616 //
     /* 1815535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1815538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1815552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815581 */     // MIs[0] policy
     /* 1815581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1815594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815615 */     // GIR_Coverage, 19616,
     /* 1815615 */     GIR_EraseRootFromParent_Done,
     /* 1815616 */   // Label 24553: @1815616
     /* 1815616 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1815702), // Rule ID 19617 //
     /* 1815621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1815624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1815632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1815635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1815638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815667 */     // MIs[0] policy
     /* 1815667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815677 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1815680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815701 */     // GIR_Coverage, 19617,
     /* 1815701 */     GIR_EraseRootFromParent_Done,
     /* 1815702 */   // Label 24554: @1815702
     /* 1815702 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1815788), // Rule ID 19620 //
     /* 1815707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1815710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1815724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815753 */     // MIs[0] policy
     /* 1815753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815763 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1815766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815787 */     // GIR_Coverage, 19620,
     /* 1815787 */     GIR_EraseRootFromParent_Done,
     /* 1815788 */   // Label 24555: @1815788
     /* 1815788 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1815874), // Rule ID 19621 //
     /* 1815793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1815796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1815801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1815804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1815807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1815810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1815835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815839 */     // MIs[0] policy
     /* 1815839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815849 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1815852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815873 */     // GIR_Coverage, 19621,
     /* 1815873 */     GIR_EraseRootFromParent_Done,
     /* 1815874 */   // Label 24556: @1815874
     /* 1815874 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1815960), // Rule ID 23462 //
     /* 1815879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1815887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815925 */     // MIs[0] policy
     /* 1815925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815935 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1815938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815959 */     // GIR_Coverage, 23462,
     /* 1815959 */     GIR_EraseRootFromParent_Done,
     /* 1815960 */   // Label 24557: @1815960
     /* 1815960 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1816046), // Rule ID 23463 //
     /* 1815965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1815973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1815976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1815979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1815982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816011 */     // MIs[0] policy
     /* 1816011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1816024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816045 */     // GIR_Coverage, 23463,
     /* 1816045 */     GIR_EraseRootFromParent_Done,
     /* 1816046 */   // Label 24558: @1816046
     /* 1816046 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1816132), // Rule ID 23466 //
     /* 1816051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816097 */     // MIs[0] policy
     /* 1816097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1816110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816131 */     // GIR_Coverage, 23466,
     /* 1816131 */     GIR_EraseRootFromParent_Done,
     /* 1816132 */   // Label 24559: @1816132
     /* 1816132 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1816218), // Rule ID 23467 //
     /* 1816137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1816148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1816151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1816154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816183 */     // MIs[0] policy
     /* 1816183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1816196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816217 */     // GIR_Coverage, 23467,
     /* 1816217 */     GIR_EraseRootFromParent_Done,
     /* 1816218 */   // Label 24560: @1816218
     /* 1816218 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1816304), // Rule ID 23470 //
     /* 1816223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816269 */     // MIs[0] policy
     /* 1816269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816303 */     // GIR_Coverage, 23470,
     /* 1816303 */     GIR_EraseRootFromParent_Done,
     /* 1816304 */   // Label 24561: @1816304
     /* 1816304 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1816390), // Rule ID 23471 //
     /* 1816309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1816320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1816323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1816326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816355 */     // MIs[0] policy
     /* 1816355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816365 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816389 */     // GIR_Coverage, 23471,
     /* 1816389 */     GIR_EraseRootFromParent_Done,
     /* 1816390 */   // Label 24562: @1816390
     /* 1816390 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1816476), // Rule ID 23474 //
     /* 1816395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816441 */     // MIs[0] policy
     /* 1816441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1816454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816475 */     // GIR_Coverage, 23474,
     /* 1816475 */     GIR_EraseRootFromParent_Done,
     /* 1816476 */   // Label 24563: @1816476
     /* 1816476 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1816562), // Rule ID 23475 //
     /* 1816481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1816492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1816495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1816498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816527 */     // MIs[0] policy
     /* 1816527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816537 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1816540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816561 */     // GIR_Coverage, 23475,
     /* 1816561 */     GIR_EraseRootFromParent_Done,
     /* 1816562 */   // Label 24564: @1816562
     /* 1816562 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1816648), // Rule ID 23478 //
     /* 1816567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816613 */     // MIs[0] policy
     /* 1816613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816647 */     // GIR_Coverage, 23478,
     /* 1816647 */     GIR_EraseRootFromParent_Done,
     /* 1816648 */   // Label 24565: @1816648
     /* 1816648 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1816734), // Rule ID 23479 //
     /* 1816653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1816664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1816667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1816670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816699 */     // MIs[0] policy
     /* 1816699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816709 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816733 */     // GIR_Coverage, 23479,
     /* 1816733 */     GIR_EraseRootFromParent_Done,
     /* 1816734 */   // Label 24566: @1816734
     /* 1816734 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1816820), // Rule ID 23482 //
     /* 1816739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816785 */     // MIs[0] policy
     /* 1816785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816819 */     // GIR_Coverage, 23482,
     /* 1816819 */     GIR_EraseRootFromParent_Done,
     /* 1816820 */   // Label 24567: @1816820
     /* 1816820 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1816906), // Rule ID 23483 //
     /* 1816825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1816836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1816839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816871 */     // MIs[0] policy
     /* 1816871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1816884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816905 */     // GIR_Coverage, 23483,
     /* 1816905 */     GIR_EraseRootFromParent_Done,
     /* 1816906 */   // Label 24568: @1816906
     /* 1816906 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1816992), // Rule ID 23486 //
     /* 1816911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1816919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1816922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1816925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1816928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816957 */     // MIs[0] policy
     /* 1816957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1816970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816991 */     // GIR_Coverage, 23486,
     /* 1816991 */     GIR_EraseRootFromParent_Done,
     /* 1816992 */   // Label 24569: @1816992
     /* 1816992 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1817078), // Rule ID 23487 //
     /* 1816997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1817008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1817011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817043 */     // MIs[0] policy
     /* 1817043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817077 */     // GIR_Coverage, 23487,
     /* 1817077 */     GIR_EraseRootFromParent_Done,
     /* 1817078 */   // Label 24570: @1817078
     /* 1817078 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1817164), // Rule ID 23490 //
     /* 1817083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817129 */     // MIs[0] policy
     /* 1817129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817163 */     // GIR_Coverage, 23490,
     /* 1817163 */     GIR_EraseRootFromParent_Done,
     /* 1817164 */   // Label 24571: @1817164
     /* 1817164 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1817250), // Rule ID 23491 //
     /* 1817169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1817186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817215 */     // MIs[0] policy
     /* 1817215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817249 */     // GIR_Coverage, 23491,
     /* 1817249 */     GIR_EraseRootFromParent_Done,
     /* 1817250 */   // Label 24572: @1817250
     /* 1817250 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1817336), // Rule ID 23494 //
     /* 1817255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817301 */     // MIs[0] policy
     /* 1817301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817335 */     // GIR_Coverage, 23494,
     /* 1817335 */     GIR_EraseRootFromParent_Done,
     /* 1817336 */   // Label 24573: @1817336
     /* 1817336 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1817422), // Rule ID 23495 //
     /* 1817341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1817352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1817355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1817358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817387 */     // MIs[0] policy
     /* 1817387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817421 */     // GIR_Coverage, 23495,
     /* 1817421 */     GIR_EraseRootFromParent_Done,
     /* 1817422 */   // Label 24574: @1817422
     /* 1817422 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1817508), // Rule ID 23498 //
     /* 1817427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817473 */     // MIs[0] policy
     /* 1817473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817507 */     // GIR_Coverage, 23498,
     /* 1817507 */     GIR_EraseRootFromParent_Done,
     /* 1817508 */   // Label 24575: @1817508
     /* 1817508 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1817594), // Rule ID 23499 //
     /* 1817513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1817524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1817527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1817530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817559 */     // MIs[0] policy
     /* 1817559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1817572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817593 */     // GIR_Coverage, 23499,
     /* 1817593 */     GIR_EraseRootFromParent_Done,
     /* 1817594 */   // Label 24576: @1817594
     /* 1817594 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1817680), // Rule ID 23502 //
     /* 1817599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817645 */     // MIs[0] policy
     /* 1817645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817655 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1817658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817679 */     // GIR_Coverage, 23502,
     /* 1817679 */     GIR_EraseRootFromParent_Done,
     /* 1817680 */   // Label 24577: @1817680
     /* 1817680 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1817766), // Rule ID 23503 //
     /* 1817685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1817696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1817699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817731 */     // MIs[0] policy
     /* 1817731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817741 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1817744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817765 */     // GIR_Coverage, 23503,
     /* 1817765 */     GIR_EraseRootFromParent_Done,
     /* 1817766 */   // Label 24578: @1817766
     /* 1817766 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1817852), // Rule ID 23506 //
     /* 1817771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817817 */     // MIs[0] policy
     /* 1817817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1817830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817851 */     // GIR_Coverage, 23506,
     /* 1817851 */     GIR_EraseRootFromParent_Done,
     /* 1817852 */   // Label 24579: @1817852
     /* 1817852 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1817938), // Rule ID 23507 //
     /* 1817857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1817868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1817871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817903 */     // MIs[0] policy
     /* 1817903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1817916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817937 */     // GIR_Coverage, 23507,
     /* 1817937 */     GIR_EraseRootFromParent_Done,
     /* 1817938 */   // Label 24580: @1817938
     /* 1817938 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1818024), // Rule ID 23510 //
     /* 1817943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1817951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1817954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1817957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1817960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1817966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817989 */     // MIs[0] policy
     /* 1817989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817999 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1818002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818023 */     // GIR_Coverage, 23510,
     /* 1818023 */     GIR_EraseRootFromParent_Done,
     /* 1818024 */   // Label 24581: @1818024
     /* 1818024 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1818110), // Rule ID 23511 //
     /* 1818029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1818040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1818043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1818046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1818052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818075 */     // MIs[0] policy
     /* 1818075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1818088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818109 */     // GIR_Coverage, 23511,
     /* 1818109 */     GIR_EraseRootFromParent_Done,
     /* 1818110 */   // Label 24582: @1818110
     /* 1818110 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1818196), // Rule ID 23514 //
     /* 1818115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818161 */     // MIs[0] policy
     /* 1818161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1818174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818195 */     // GIR_Coverage, 23514,
     /* 1818195 */     GIR_EraseRootFromParent_Done,
     /* 1818196 */   // Label 24583: @1818196
     /* 1818196 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1818282), // Rule ID 23515 //
     /* 1818201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1818212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1818215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818247 */     // MIs[0] policy
     /* 1818247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1818260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818281 */     // GIR_Coverage, 23515,
     /* 1818281 */     GIR_EraseRootFromParent_Done,
     /* 1818282 */   // Label 24584: @1818282
     /* 1818282 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1818368), // Rule ID 23518 //
     /* 1818287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818333 */     // MIs[0] policy
     /* 1818333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1818346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818367 */     // GIR_Coverage, 23518,
     /* 1818367 */     GIR_EraseRootFromParent_Done,
     /* 1818368 */   // Label 24585: @1818368
     /* 1818368 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1818454), // Rule ID 23519 //
     /* 1818373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1818384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1818387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818419 */     // MIs[0] policy
     /* 1818419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1818432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818453 */     // GIR_Coverage, 23519,
     /* 1818453 */     GIR_EraseRootFromParent_Done,
     /* 1818454 */   // Label 24586: @1818454
     /* 1818454 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1818540), // Rule ID 23522 //
     /* 1818459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818505 */     // MIs[0] policy
     /* 1818505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1818518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818539 */     // GIR_Coverage, 23522,
     /* 1818539 */     GIR_EraseRootFromParent_Done,
     /* 1818540 */   // Label 24587: @1818540
     /* 1818540 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1818626), // Rule ID 23523 //
     /* 1818545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1818562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818591 */     // MIs[0] policy
     /* 1818591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1818604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818625 */     // GIR_Coverage, 23523,
     /* 1818625 */     GIR_EraseRootFromParent_Done,
     /* 1818626 */   // Label 24588: @1818626
     /* 1818626 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1818712), // Rule ID 23526 //
     /* 1818631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818677 */     // MIs[0] policy
     /* 1818677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1818690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818711 */     // GIR_Coverage, 23526,
     /* 1818711 */     GIR_EraseRootFromParent_Done,
     /* 1818712 */   // Label 24589: @1818712
     /* 1818712 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1818798), // Rule ID 23527 //
     /* 1818717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1818734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818763 */     // MIs[0] policy
     /* 1818763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1818776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818797 */     // GIR_Coverage, 23527,
     /* 1818797 */     GIR_EraseRootFromParent_Done,
     /* 1818798 */   // Label 24590: @1818798
     /* 1818798 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1818884), // Rule ID 23530 //
     /* 1818803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818849 */     // MIs[0] policy
     /* 1818849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1818862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818883 */     // GIR_Coverage, 23530,
     /* 1818883 */     GIR_EraseRootFromParent_Done,
     /* 1818884 */   // Label 24591: @1818884
     /* 1818884 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1818970), // Rule ID 23531 //
     /* 1818889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1818906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818935 */     // MIs[0] policy
     /* 1818935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818945 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1818948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818969 */     // GIR_Coverage, 23531,
     /* 1818969 */     GIR_EraseRootFromParent_Done,
     /* 1818970 */   // Label 24592: @1818970
     /* 1818970 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1819056), // Rule ID 23534 //
     /* 1818975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1818983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1818992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819021 */     // MIs[0] policy
     /* 1819021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1819034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819055 */     // GIR_Coverage, 23534,
     /* 1819055 */     GIR_EraseRootFromParent_Done,
     /* 1819056 */   // Label 24593: @1819056
     /* 1819056 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1819142), // Rule ID 23535 //
     /* 1819061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1819072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1819075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1819078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819107 */     // MIs[0] policy
     /* 1819107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1819120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819141 */     // GIR_Coverage, 23535,
     /* 1819141 */     GIR_EraseRootFromParent_Done,
     /* 1819142 */   // Label 24594: @1819142
     /* 1819142 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1819228), // Rule ID 23538 //
     /* 1819147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819193 */     // MIs[0] policy
     /* 1819193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1819206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819227 */     // GIR_Coverage, 23538,
     /* 1819227 */     GIR_EraseRootFromParent_Done,
     /* 1819228 */   // Label 24595: @1819228
     /* 1819228 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1819314), // Rule ID 23539 //
     /* 1819233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1819250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819279 */     // MIs[0] policy
     /* 1819279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819289 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1819292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819313 */     // GIR_Coverage, 23539,
     /* 1819313 */     GIR_EraseRootFromParent_Done,
     /* 1819314 */   // Label 24596: @1819314
     /* 1819314 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1819400), // Rule ID 23542 //
     /* 1819319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819365 */     // MIs[0] policy
     /* 1819365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1819378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819399 */     // GIR_Coverage, 23542,
     /* 1819399 */     GIR_EraseRootFromParent_Done,
     /* 1819400 */   // Label 24597: @1819400
     /* 1819400 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1819486), // Rule ID 23543 //
     /* 1819405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1819422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819451 */     // MIs[0] policy
     /* 1819451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1819464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819485 */     // GIR_Coverage, 23543,
     /* 1819485 */     GIR_EraseRootFromParent_Done,
     /* 1819486 */   // Label 24598: @1819486
     /* 1819486 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1819572), // Rule ID 23546 //
     /* 1819491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819537 */     // MIs[0] policy
     /* 1819537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1819550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819571 */     // GIR_Coverage, 23546,
     /* 1819571 */     GIR_EraseRootFromParent_Done,
     /* 1819572 */   // Label 24599: @1819572
     /* 1819572 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1819658), // Rule ID 23547 //
     /* 1819577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1819585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1819594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819623 */     // MIs[0] policy
     /* 1819623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1819636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819657 */     // GIR_Coverage, 23547,
     /* 1819657 */     GIR_EraseRootFromParent_Done,
     /* 1819658 */   // Label 24600: @1819658
     /* 1819658 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1819744), // Rule ID 23638 //
     /* 1819663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1819671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1819680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819709 */     // MIs[0] policy
     /* 1819709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819719 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1819722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819743 */     // GIR_Coverage, 23638,
     /* 1819743 */     GIR_EraseRootFromParent_Done,
     /* 1819744 */   // Label 24601: @1819744
     /* 1819744 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1819830), // Rule ID 23639 //
     /* 1819749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1819757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1819760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1819763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1819766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819795 */     // MIs[0] policy
     /* 1819795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1819808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819829 */     // GIR_Coverage, 23639,
     /* 1819829 */     GIR_EraseRootFromParent_Done,
     /* 1819830 */   // Label 24602: @1819830
     /* 1819830 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1819916), // Rule ID 23642 //
     /* 1819835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1819843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1819852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819881 */     // MIs[0] policy
     /* 1819881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819891 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1819894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819915 */     // GIR_Coverage, 23642,
     /* 1819915 */     GIR_EraseRootFromParent_Done,
     /* 1819916 */   // Label 24603: @1819916
     /* 1819916 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1820002), // Rule ID 23643 //
     /* 1819921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1819929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1819938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819967 */     // MIs[0] policy
     /* 1819967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819977 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1819980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820001 */     // GIR_Coverage, 23643,
     /* 1820001 */     GIR_EraseRootFromParent_Done,
     /* 1820002 */   // Label 24604: @1820002
     /* 1820002 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1820088), // Rule ID 23646 //
     /* 1820007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1820024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820053 */     // MIs[0] policy
     /* 1820053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820087 */     // GIR_Coverage, 23646,
     /* 1820087 */     GIR_EraseRootFromParent_Done,
     /* 1820088 */   // Label 24605: @1820088
     /* 1820088 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1820174), // Rule ID 23647 //
     /* 1820093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1820104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1820107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1820110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820139 */     // MIs[0] policy
     /* 1820139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820173 */     // GIR_Coverage, 23647,
     /* 1820173 */     GIR_EraseRootFromParent_Done,
     /* 1820174 */   // Label 24606: @1820174
     /* 1820174 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1820260), // Rule ID 23650 //
     /* 1820179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1820196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820225 */     // MIs[0] policy
     /* 1820225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1820238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820259 */     // GIR_Coverage, 23650,
     /* 1820259 */     GIR_EraseRootFromParent_Done,
     /* 1820260 */   // Label 24607: @1820260
     /* 1820260 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1820346), // Rule ID 23651 //
     /* 1820265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1820282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820311 */     // MIs[0] policy
     /* 1820311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1820324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820345 */     // GIR_Coverage, 23651,
     /* 1820345 */     GIR_EraseRootFromParent_Done,
     /* 1820346 */   // Label 24608: @1820346
     /* 1820346 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1820432), // Rule ID 23654 //
     /* 1820351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1820368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820397 */     // MIs[0] policy
     /* 1820397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820431 */     // GIR_Coverage, 23654,
     /* 1820431 */     GIR_EraseRootFromParent_Done,
     /* 1820432 */   // Label 24609: @1820432
     /* 1820432 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1820518), // Rule ID 23655 //
     /* 1820437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1820454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820483 */     // MIs[0] policy
     /* 1820483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820517 */     // GIR_Coverage, 23655,
     /* 1820517 */     GIR_EraseRootFromParent_Done,
     /* 1820518 */   // Label 24610: @1820518
     /* 1820518 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1820604), // Rule ID 23658 //
     /* 1820523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1820540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820569 */     // MIs[0] policy
     /* 1820569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820603 */     // GIR_Coverage, 23658,
     /* 1820603 */     GIR_EraseRootFromParent_Done,
     /* 1820604 */   // Label 24611: @1820604
     /* 1820604 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1820690), // Rule ID 23659 //
     /* 1820609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1820626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820655 */     // MIs[0] policy
     /* 1820655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1820668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820689 */     // GIR_Coverage, 23659,
     /* 1820689 */     GIR_EraseRootFromParent_Done,
     /* 1820690 */   // Label 24612: @1820690
     /* 1820690 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1820776), // Rule ID 23662 //
     /* 1820695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1820712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820741 */     // MIs[0] policy
     /* 1820741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1820754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820775 */     // GIR_Coverage, 23662,
     /* 1820775 */     GIR_EraseRootFromParent_Done,
     /* 1820776 */   // Label 24613: @1820776
     /* 1820776 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1820862), // Rule ID 23663 //
     /* 1820781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1820798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820827 */     // MIs[0] policy
     /* 1820827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11202:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1820840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820861 */     // GIR_Coverage, 23663,
     /* 1820861 */     GIR_EraseRootFromParent_Done,
     /* 1820862 */   // Label 24614: @1820862
     /* 1820862 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1820948), // Rule ID 23666 //
     /* 1820867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1820884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1820887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820913 */     // MIs[0] policy
     /* 1820913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1820926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820947 */     // GIR_Coverage, 23666,
     /* 1820947 */     GIR_EraseRootFromParent_Done,
     /* 1820948 */   // Label 24615: @1820948
     /* 1820948 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1821034), // Rule ID 23667 //
     /* 1820953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1820961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1820970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1820973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820999 */     // MIs[0] policy
     /* 1820999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1821012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821033 */     // GIR_Coverage, 23667,
     /* 1821033 */     GIR_EraseRootFromParent_Done,
     /* 1821034 */   // Label 24616: @1821034
     /* 1821034 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1821120), // Rule ID 23670 //
     /* 1821039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1821056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821085 */     // MIs[0] policy
     /* 1821085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1821098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821119 */     // GIR_Coverage, 23670,
     /* 1821119 */     GIR_EraseRootFromParent_Done,
     /* 1821120 */   // Label 24617: @1821120
     /* 1821120 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1821206), // Rule ID 23671 //
     /* 1821125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1821136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1821139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1821142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1821145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821171 */     // MIs[0] policy
     /* 1821171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1821184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821205 */     // GIR_Coverage, 23671,
     /* 1821205 */     GIR_EraseRootFromParent_Done,
     /* 1821206 */   // Label 24618: @1821206
     /* 1821206 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1821292), // Rule ID 23674 //
     /* 1821211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821257 */     // MIs[0] policy
     /* 1821257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1821270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821291 */     // GIR_Coverage, 23674,
     /* 1821291 */     GIR_EraseRootFromParent_Done,
     /* 1821292 */   // Label 24619: @1821292
     /* 1821292 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1821378), // Rule ID 23675 //
     /* 1821297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1821317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821343 */     // MIs[0] policy
     /* 1821343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1821356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821377 */     // GIR_Coverage, 23675,
     /* 1821377 */     GIR_EraseRootFromParent_Done,
     /* 1821378 */   // Label 24620: @1821378
     /* 1821378 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1821464), // Rule ID 23678 //
     /* 1821383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1821400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821429 */     // MIs[0] policy
     /* 1821429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821439 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1821442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821463 */     // GIR_Coverage, 23678,
     /* 1821463 */     GIR_EraseRootFromParent_Done,
     /* 1821464 */   // Label 24621: @1821464
     /* 1821464 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1821550), // Rule ID 23679 //
     /* 1821469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1821486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1821489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821515 */     // MIs[0] policy
     /* 1821515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1821528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821549 */     // GIR_Coverage, 23679,
     /* 1821549 */     GIR_EraseRootFromParent_Done,
     /* 1821550 */   // Label 24622: @1821550
     /* 1821550 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1821636), // Rule ID 23682 //
     /* 1821555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1821572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821601 */     // MIs[0] policy
     /* 1821601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1821614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821635 */     // GIR_Coverage, 23682,
     /* 1821635 */     GIR_EraseRootFromParent_Done,
     /* 1821636 */   // Label 24623: @1821636
     /* 1821636 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1821722), // Rule ID 23683 //
     /* 1821641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1821658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1821661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821687 */     // MIs[0] policy
     /* 1821687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1821700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821721 */     // GIR_Coverage, 23683,
     /* 1821721 */     GIR_EraseRootFromParent_Done,
     /* 1821722 */   // Label 24624: @1821722
     /* 1821722 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1821808), // Rule ID 23686 //
     /* 1821727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1821744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821773 */     // MIs[0] policy
     /* 1821773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1821786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821807 */     // GIR_Coverage, 23686,
     /* 1821807 */     GIR_EraseRootFromParent_Done,
     /* 1821808 */   // Label 24625: @1821808
     /* 1821808 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1821894), // Rule ID 23687 //
     /* 1821813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1821830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1821833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821859 */     // MIs[0] policy
     /* 1821859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1821872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821893 */     // GIR_Coverage, 23687,
     /* 1821893 */     GIR_EraseRootFromParent_Done,
     /* 1821894 */   // Label 24626: @1821894
     /* 1821894 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1821980), // Rule ID 23690 //
     /* 1821899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1821916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1821919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821945 */     // MIs[0] policy
     /* 1821945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1821958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821979 */     // GIR_Coverage, 23690,
     /* 1821979 */     GIR_EraseRootFromParent_Done,
     /* 1821980 */   // Label 24627: @1821980
     /* 1821980 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1822066), // Rule ID 23691 //
     /* 1821985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1821993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1822002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822031 */     // MIs[0] policy
     /* 1822031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822041 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1822044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822065 */     // GIR_Coverage, 23691,
     /* 1822065 */     GIR_EraseRootFromParent_Done,
     /* 1822066 */   // Label 24628: @1822066
     /* 1822066 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1822152), // Rule ID 23694 //
     /* 1822071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1822088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822117 */     // MIs[0] policy
     /* 1822117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1822130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822151 */     // GIR_Coverage, 23694,
     /* 1822151 */     GIR_EraseRootFromParent_Done,
     /* 1822152 */   // Label 24629: @1822152
     /* 1822152 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1822238), // Rule ID 23695 //
     /* 1822157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1822168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1822171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1822174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822203 */     // MIs[0] policy
     /* 1822203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822213 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1822216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822237 */     // GIR_Coverage, 23695,
     /* 1822237 */     GIR_EraseRootFromParent_Done,
     /* 1822238 */   // Label 24630: @1822238
     /* 1822238 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1822324), // Rule ID 23698 //
     /* 1822243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822289 */     // MIs[0] policy
     /* 1822289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1822302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822323 */     // GIR_Coverage, 23698,
     /* 1822323 */     GIR_EraseRootFromParent_Done,
     /* 1822324 */   // Label 24631: @1822324
     /* 1822324 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1822410), // Rule ID 23699 //
     /* 1822329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822375 */     // MIs[0] policy
     /* 1822375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822385 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1822388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822409 */     // GIR_Coverage, 23699,
     /* 1822409 */     GIR_EraseRootFromParent_Done,
     /* 1822410 */   // Label 24632: @1822410
     /* 1822410 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1822496), // Rule ID 23702 //
     /* 1822415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1822432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822461 */     // MIs[0] policy
     /* 1822461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1822474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822495 */     // GIR_Coverage, 23702,
     /* 1822495 */     GIR_EraseRootFromParent_Done,
     /* 1822496 */   // Label 24633: @1822496
     /* 1822496 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1822582), // Rule ID 23703 //
     /* 1822501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1822518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822547 */     // MIs[0] policy
     /* 1822547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822557 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1822560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822581 */     // GIR_Coverage, 23703,
     /* 1822581 */     GIR_EraseRootFromParent_Done,
     /* 1822582 */   // Label 24634: @1822582
     /* 1822582 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1822668), // Rule ID 23706 //
     /* 1822587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1822604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822633 */     // MIs[0] policy
     /* 1822633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1822646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822667 */     // GIR_Coverage, 23706,
     /* 1822667 */     GIR_EraseRootFromParent_Done,
     /* 1822668 */   // Label 24635: @1822668
     /* 1822668 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1822754), // Rule ID 23707 //
     /* 1822673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1822690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822719 */     // MIs[0] policy
     /* 1822719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1822732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822753 */     // GIR_Coverage, 23707,
     /* 1822753 */     GIR_EraseRootFromParent_Done,
     /* 1822754 */   // Label 24636: @1822754
     /* 1822754 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1822840), // Rule ID 23710 //
     /* 1822759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1822776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822805 */     // MIs[0] policy
     /* 1822805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1822818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822839 */     // GIR_Coverage, 23710,
     /* 1822839 */     GIR_EraseRootFromParent_Done,
     /* 1822840 */   // Label 24637: @1822840
     /* 1822840 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1822926), // Rule ID 23711 //
     /* 1822845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1822862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822891 */     // MIs[0] policy
     /* 1822891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1822904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822925 */     // GIR_Coverage, 23711,
     /* 1822925 */     GIR_EraseRootFromParent_Done,
     /* 1822926 */   // Label 24638: @1822926
     /* 1822926 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1823012), // Rule ID 23714 //
     /* 1822931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1822939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1822948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822977 */     // MIs[0] policy
     /* 1822977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1822990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823011 */     // GIR_Coverage, 23714,
     /* 1823011 */     GIR_EraseRootFromParent_Done,
     /* 1823012 */   // Label 24639: @1823012
     /* 1823012 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1823098), // Rule ID 23715 //
     /* 1823017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1823025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1823028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1823031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1823034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823063 */     // MIs[0] policy
     /* 1823063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1823076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823097 */     // GIR_Coverage, 23715,
     /* 1823097 */     GIR_EraseRootFromParent_Done,
     /* 1823098 */   // Label 24640: @1823098
     /* 1823098 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1823184), // Rule ID 23718 //
     /* 1823103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1823111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1823120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823149 */     // MIs[0] policy
     /* 1823149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1823162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823183 */     // GIR_Coverage, 23718,
     /* 1823183 */     GIR_EraseRootFromParent_Done,
     /* 1823184 */   // Label 24641: @1823184
     /* 1823184 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1823270), // Rule ID 23719 //
     /* 1823189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1823197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1823200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1823203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1823206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823235 */     // MIs[0] policy
     /* 1823235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823245 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1823248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823269 */     // GIR_Coverage, 23719,
     /* 1823269 */     GIR_EraseRootFromParent_Done,
     /* 1823270 */   // Label 24642: @1823270
     /* 1823270 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1823356), // Rule ID 23722 //
     /* 1823275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1823283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823321 */     // MIs[0] policy
     /* 1823321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1823334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823355 */     // GIR_Coverage, 23722,
     /* 1823355 */     GIR_EraseRootFromParent_Done,
     /* 1823356 */   // Label 24643: @1823356
     /* 1823356 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1823442), // Rule ID 23723 //
     /* 1823361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1823369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823407 */     // MIs[0] policy
     /* 1823407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1823420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823441 */     // GIR_Coverage, 23723,
     /* 1823441 */     GIR_EraseRootFromParent_Done,
     /* 1823442 */   // Label 24644: @1823442
     /* 1823442 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1823528), // Rule ID 23814 //
     /* 1823447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823493 */     // MIs[0] policy
     /* 1823493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823503 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1823506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823527 */     // GIR_Coverage, 23814,
     /* 1823527 */     GIR_EraseRootFromParent_Done,
     /* 1823528 */   // Label 24645: @1823528
     /* 1823528 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1823614), // Rule ID 23815 //
     /* 1823533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1823550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823579 */     // MIs[0] policy
     /* 1823579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1823592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823613 */     // GIR_Coverage, 23815,
     /* 1823613 */     GIR_EraseRootFromParent_Done,
     /* 1823614 */   // Label 24646: @1823614
     /* 1823614 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1823700), // Rule ID 23818 //
     /* 1823619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823665 */     // MIs[0] policy
     /* 1823665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823675 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1823678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823699 */     // GIR_Coverage, 23818,
     /* 1823699 */     GIR_EraseRootFromParent_Done,
     /* 1823700 */   // Label 24647: @1823700
     /* 1823700 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1823786), // Rule ID 23819 //
     /* 1823705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1823722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823751 */     // MIs[0] policy
     /* 1823751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1823764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823785 */     // GIR_Coverage, 23819,
     /* 1823785 */     GIR_EraseRootFromParent_Done,
     /* 1823786 */   // Label 24648: @1823786
     /* 1823786 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1823872), // Rule ID 23822 //
     /* 1823791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823837 */     // MIs[0] policy
     /* 1823837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1823850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823871 */     // GIR_Coverage, 23822,
     /* 1823871 */     GIR_EraseRootFromParent_Done,
     /* 1823872 */   // Label 24649: @1823872
     /* 1823872 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1823958), // Rule ID 23823 //
     /* 1823877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1823894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823923 */     // MIs[0] policy
     /* 1823923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1823936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823957 */     // GIR_Coverage, 23823,
     /* 1823957 */     GIR_EraseRootFromParent_Done,
     /* 1823958 */   // Label 24650: @1823958
     /* 1823958 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1824044), // Rule ID 23826 //
     /* 1823963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1823971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824009 */     // MIs[0] policy
     /* 1824009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1824022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824043 */     // GIR_Coverage, 23826,
     /* 1824043 */     GIR_EraseRootFromParent_Done,
     /* 1824044 */   // Label 24651: @1824044
     /* 1824044 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1824130), // Rule ID 23827 //
     /* 1824049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1824060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1824063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1824066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824095 */     // MIs[0] policy
     /* 1824095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1824108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824129 */     // GIR_Coverage, 23827,
     /* 1824129 */     GIR_EraseRootFromParent_Done,
     /* 1824130 */   // Label 24652: @1824130
     /* 1824130 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1824216), // Rule ID 23830 //
     /* 1824135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824181 */     // MIs[0] policy
     /* 1824181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1824194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824215 */     // GIR_Coverage, 23830,
     /* 1824215 */     GIR_EraseRootFromParent_Done,
     /* 1824216 */   // Label 24653: @1824216
     /* 1824216 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1824302), // Rule ID 23831 //
     /* 1824221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1824238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824267 */     // MIs[0] policy
     /* 1824267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1824280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824301 */     // GIR_Coverage, 23831,
     /* 1824301 */     GIR_EraseRootFromParent_Done,
     /* 1824302 */   // Label 24654: @1824302
     /* 1824302 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1824388), // Rule ID 23834 //
     /* 1824307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824353 */     // MIs[0] policy
     /* 1824353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1824366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824387 */     // GIR_Coverage, 23834,
     /* 1824387 */     GIR_EraseRootFromParent_Done,
     /* 1824388 */   // Label 24655: @1824388
     /* 1824388 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1824474), // Rule ID 23835 //
     /* 1824393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1824410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824439 */     // MIs[0] policy
     /* 1824439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1824452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824473 */     // GIR_Coverage, 23835,
     /* 1824473 */     GIR_EraseRootFromParent_Done,
     /* 1824474 */   // Label 24656: @1824474
     /* 1824474 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1824560), // Rule ID 23838 //
     /* 1824479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824525 */     // MIs[0] policy
     /* 1824525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824559 */     // GIR_Coverage, 23838,
     /* 1824559 */     GIR_EraseRootFromParent_Done,
     /* 1824560 */   // Label 24657: @1824560
     /* 1824560 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1824646), // Rule ID 23839 //
     /* 1824565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1824582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824611 */     // MIs[0] policy
     /* 1824611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824645 */     // GIR_Coverage, 23839,
     /* 1824645 */     GIR_EraseRootFromParent_Done,
     /* 1824646 */   // Label 24658: @1824646
     /* 1824646 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1824732), // Rule ID 23842 //
     /* 1824651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824697 */     // MIs[0] policy
     /* 1824697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824731 */     // GIR_Coverage, 23842,
     /* 1824731 */     GIR_EraseRootFromParent_Done,
     /* 1824732 */   // Label 24659: @1824732
     /* 1824732 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1824818), // Rule ID 23843 //
     /* 1824737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1824754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824783 */     // MIs[0] policy
     /* 1824783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824817 */     // GIR_Coverage, 23843,
     /* 1824817 */     GIR_EraseRootFromParent_Done,
     /* 1824818 */   // Label 24660: @1824818
     /* 1824818 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1824904), // Rule ID 23846 //
     /* 1824823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824869 */     // MIs[0] policy
     /* 1824869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824879 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824903 */     // GIR_Coverage, 23846,
     /* 1824903 */     GIR_EraseRootFromParent_Done,
     /* 1824904 */   // Label 24661: @1824904
     /* 1824904 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1824990), // Rule ID 23847 //
     /* 1824909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1824917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824955 */     // MIs[0] policy
     /* 1824955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1824968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824989 */     // GIR_Coverage, 23847,
     /* 1824989 */     GIR_EraseRootFromParent_Done,
     /* 1824990 */   // Label 24662: @1824990
     /* 1824990 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1825076), // Rule ID 23850 //
     /* 1824995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825041 */     // MIs[0] policy
     /* 1825041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1825054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825075 */     // GIR_Coverage, 23850,
     /* 1825075 */     GIR_EraseRootFromParent_Done,
     /* 1825076 */   // Label 24663: @1825076
     /* 1825076 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1825162), // Rule ID 23851 //
     /* 1825081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1825092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1825095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1825098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825127 */     // MIs[0] policy
     /* 1825127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1825140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825161 */     // GIR_Coverage, 23851,
     /* 1825161 */     GIR_EraseRootFromParent_Done,
     /* 1825162 */   // Label 24664: @1825162
     /* 1825162 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1825248), // Rule ID 23854 //
     /* 1825167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825213 */     // MIs[0] policy
     /* 1825213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1825226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825247 */     // GIR_Coverage, 23854,
     /* 1825247 */     GIR_EraseRootFromParent_Done,
     /* 1825248 */   // Label 24665: @1825248
     /* 1825248 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1825334), // Rule ID 23855 //
     /* 1825253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1825270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825299 */     // MIs[0] policy
     /* 1825299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1825312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825333 */     // GIR_Coverage, 23855,
     /* 1825333 */     GIR_EraseRootFromParent_Done,
     /* 1825334 */   // Label 24666: @1825334
     /* 1825334 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1825420), // Rule ID 23858 //
     /* 1825339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825385 */     // MIs[0] policy
     /* 1825385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825395 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1825398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825419 */     // GIR_Coverage, 23858,
     /* 1825419 */     GIR_EraseRootFromParent_Done,
     /* 1825420 */   // Label 24667: @1825420
     /* 1825420 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1825506), // Rule ID 23859 //
     /* 1825425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1825442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825471 */     // MIs[0] policy
     /* 1825471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1825484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825505 */     // GIR_Coverage, 23859,
     /* 1825505 */     GIR_EraseRootFromParent_Done,
     /* 1825506 */   // Label 24668: @1825506
     /* 1825506 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1825592), // Rule ID 23862 //
     /* 1825511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825557 */     // MIs[0] policy
     /* 1825557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1825570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825591 */     // GIR_Coverage, 23862,
     /* 1825591 */     GIR_EraseRootFromParent_Done,
     /* 1825592 */   // Label 24669: @1825592
     /* 1825592 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1825678), // Rule ID 23863 //
     /* 1825597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1825614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825643 */     // MIs[0] policy
     /* 1825643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1825656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825677 */     // GIR_Coverage, 23863,
     /* 1825677 */     GIR_EraseRootFromParent_Done,
     /* 1825678 */   // Label 24670: @1825678
     /* 1825678 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1825764), // Rule ID 23866 //
     /* 1825683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825729 */     // MIs[0] policy
     /* 1825729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1825742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825763 */     // GIR_Coverage, 23866,
     /* 1825763 */     GIR_EraseRootFromParent_Done,
     /* 1825764 */   // Label 24671: @1825764
     /* 1825764 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1825850), // Rule ID 23867 //
     /* 1825769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825815 */     // MIs[0] policy
     /* 1825815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825825 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1825828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825849 */     // GIR_Coverage, 23867,
     /* 1825849 */     GIR_EraseRootFromParent_Done,
     /* 1825850 */   // Label 24672: @1825850
     /* 1825850 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1825936), // Rule ID 23870 //
     /* 1825855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825901 */     // MIs[0] policy
     /* 1825901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1825914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825935 */     // GIR_Coverage, 23870,
     /* 1825935 */     GIR_EraseRootFromParent_Done,
     /* 1825936 */   // Label 24673: @1825936
     /* 1825936 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1826022), // Rule ID 23871 //
     /* 1825941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1825949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825987 */     // MIs[0] policy
     /* 1825987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1826000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826021 */     // GIR_Coverage, 23871,
     /* 1826021 */     GIR_EraseRootFromParent_Done,
     /* 1826022 */   // Label 24674: @1826022
     /* 1826022 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1826108), // Rule ID 23874 //
     /* 1826027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826073 */     // MIs[0] policy
     /* 1826073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1826086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826107 */     // GIR_Coverage, 23874,
     /* 1826107 */     GIR_EraseRootFromParent_Done,
     /* 1826108 */   // Label 24675: @1826108
     /* 1826108 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1826194), // Rule ID 23875 //
     /* 1826113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1826124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1826127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1826130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826159 */     // MIs[0] policy
     /* 1826159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1826172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826193 */     // GIR_Coverage, 23875,
     /* 1826193 */     GIR_EraseRootFromParent_Done,
     /* 1826194 */   // Label 24676: @1826194
     /* 1826194 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1826280), // Rule ID 23878 //
     /* 1826199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826245 */     // MIs[0] policy
     /* 1826245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826255 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1826258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826279 */     // GIR_Coverage, 23878,
     /* 1826279 */     GIR_EraseRootFromParent_Done,
     /* 1826280 */   // Label 24677: @1826280
     /* 1826280 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1826366), // Rule ID 23879 //
     /* 1826285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1826302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826331 */     // MIs[0] policy
     /* 1826331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1826344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826365 */     // GIR_Coverage, 23879,
     /* 1826365 */     GIR_EraseRootFromParent_Done,
     /* 1826366 */   // Label 24678: @1826366
     /* 1826366 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1826452), // Rule ID 23882 //
     /* 1826371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826417 */     // MIs[0] policy
     /* 1826417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1826430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826451 */     // GIR_Coverage, 23882,
     /* 1826451 */     GIR_EraseRootFromParent_Done,
     /* 1826452 */   // Label 24679: @1826452
     /* 1826452 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1826538), // Rule ID 23883 //
     /* 1826457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1826474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826503 */     // MIs[0] policy
     /* 1826503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1826516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826537 */     // GIR_Coverage, 23883,
     /* 1826537 */     GIR_EraseRootFromParent_Done,
     /* 1826538 */   // Label 24680: @1826538
     /* 1826538 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1826624), // Rule ID 23886 //
     /* 1826543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826589 */     // MIs[0] policy
     /* 1826589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1826602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826623 */     // GIR_Coverage, 23886,
     /* 1826623 */     GIR_EraseRootFromParent_Done,
     /* 1826624 */   // Label 24681: @1826624
     /* 1826624 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1826710), // Rule ID 23887 //
     /* 1826629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826675 */     // MIs[0] policy
     /* 1826675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1826688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826709 */     // GIR_Coverage, 23887,
     /* 1826709 */     GIR_EraseRootFromParent_Done,
     /* 1826710 */   // Label 24682: @1826710
     /* 1826710 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1826796), // Rule ID 23890 //
     /* 1826715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826761 */     // MIs[0] policy
     /* 1826761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1826774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826795 */     // GIR_Coverage, 23890,
     /* 1826795 */     GIR_EraseRootFromParent_Done,
     /* 1826796 */   // Label 24683: @1826796
     /* 1826796 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1826882), // Rule ID 23891 //
     /* 1826801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826847 */     // MIs[0] policy
     /* 1826847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1826860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826881 */     // GIR_Coverage, 23891,
     /* 1826881 */     GIR_EraseRootFromParent_Done,
     /* 1826882 */   // Label 24684: @1826882
     /* 1826882 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1826968), // Rule ID 23894 //
     /* 1826887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826933 */     // MIs[0] policy
     /* 1826933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1826946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826967 */     // GIR_Coverage, 23894,
     /* 1826967 */     GIR_EraseRootFromParent_Done,
     /* 1826968 */   // Label 24685: @1826968
     /* 1826968 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1827054), // Rule ID 23895 //
     /* 1826973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1826981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827019 */     // MIs[0] policy
     /* 1827019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827029 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1827032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827053 */     // GIR_Coverage, 23895,
     /* 1827053 */     GIR_EraseRootFromParent_Done,
     /* 1827054 */   // Label 24686: @1827054
     /* 1827054 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1827140), // Rule ID 23898 //
     /* 1827059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1827067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827105 */     // MIs[0] policy
     /* 1827105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1827118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827139 */     // GIR_Coverage, 23898,
     /* 1827139 */     GIR_EraseRootFromParent_Done,
     /* 1827140 */   // Label 24687: @1827140
     /* 1827140 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1827226), // Rule ID 23899 //
     /* 1827145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1827153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1827156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1827159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1827162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1827165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827191 */     // MIs[0] policy
     /* 1827191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1827204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827225 */     // GIR_Coverage, 23899,
     /* 1827225 */     GIR_EraseRootFromParent_Done,
     /* 1827226 */   // Label 24688: @1827226
     /* 1827226 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1827312), // Rule ID 23902 //
     /* 1827231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827277 */     // MIs[0] policy
     /* 1827277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827287 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1827290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827311 */     // GIR_Coverage, 23902,
     /* 1827311 */     GIR_EraseRootFromParent_Done,
     /* 1827312 */   // Label 24689: @1827312
     /* 1827312 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1827398), // Rule ID 23903 //
     /* 1827317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1827337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827363 */     // MIs[0] policy
     /* 1827363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827373 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1827376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827397 */     // GIR_Coverage, 23903,
     /* 1827397 */     GIR_EraseRootFromParent_Done,
     /* 1827398 */   // Label 24690: @1827398
     /* 1827398 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1827484), // Rule ID 23906 //
     /* 1827403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827449 */     // MIs[0] policy
     /* 1827449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1827462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827483 */     // GIR_Coverage, 23906,
     /* 1827483 */     GIR_EraseRootFromParent_Done,
     /* 1827484 */   // Label 24691: @1827484
     /* 1827484 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1827570), // Rule ID 23907 //
     /* 1827489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1827509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827535 */     // MIs[0] policy
     /* 1827535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1827548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827569 */     // GIR_Coverage, 23907,
     /* 1827569 */     GIR_EraseRootFromParent_Done,
     /* 1827570 */   // Label 24692: @1827570
     /* 1827570 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1827656), // Rule ID 23910 //
     /* 1827575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827621 */     // MIs[0] policy
     /* 1827621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827631 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1827634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827655 */     // GIR_Coverage, 23910,
     /* 1827655 */     GIR_EraseRootFromParent_Done,
     /* 1827656 */   // Label 24693: @1827656
     /* 1827656 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1827742), // Rule ID 23911 //
     /* 1827661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1827681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827707 */     // MIs[0] policy
     /* 1827707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1827720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827741 */     // GIR_Coverage, 23911,
     /* 1827741 */     GIR_EraseRootFromParent_Done,
     /* 1827742 */   // Label 24694: @1827742
     /* 1827742 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1827828), // Rule ID 23914 //
     /* 1827747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1827764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827793 */     // MIs[0] policy
     /* 1827793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1827806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827827 */     // GIR_Coverage, 23914,
     /* 1827827 */     GIR_EraseRootFromParent_Done,
     /* 1827828 */   // Label 24695: @1827828
     /* 1827828 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1827914), // Rule ID 23915 //
     /* 1827833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1827850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1827853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827879 */     // MIs[0] policy
     /* 1827879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827889 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1827892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827913 */     // GIR_Coverage, 23915,
     /* 1827913 */     GIR_EraseRootFromParent_Done,
     /* 1827914 */   // Label 24696: @1827914
     /* 1827914 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1828000), // Rule ID 23918 //
     /* 1827919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1827927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1827936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1827939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827965 */     // MIs[0] policy
     /* 1827965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1827978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827999 */     // GIR_Coverage, 23918,
     /* 1827999 */     GIR_EraseRootFromParent_Done,
     /* 1828000 */   // Label 24697: @1828000
     /* 1828000 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1828086), // Rule ID 23919 //
     /* 1828005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1828016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1828019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1828022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828051 */     // MIs[0] policy
     /* 1828051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828061 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1828064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828085 */     // GIR_Coverage, 23919,
     /* 1828085 */     GIR_EraseRootFromParent_Done,
     /* 1828086 */   // Label 24698: @1828086
     /* 1828086 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1828172), // Rule ID 23922 //
     /* 1828091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1828108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828137 */     // MIs[0] policy
     /* 1828137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1828150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828171 */     // GIR_Coverage, 23922,
     /* 1828171 */     GIR_EraseRootFromParent_Done,
     /* 1828172 */   // Label 24699: @1828172
     /* 1828172 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1828258), // Rule ID 23923 //
     /* 1828177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1828194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828223 */     // MIs[0] policy
     /* 1828223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1828236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828257 */     // GIR_Coverage, 23923,
     /* 1828257 */     GIR_EraseRootFromParent_Done,
     /* 1828258 */   // Label 24700: @1828258
     /* 1828258 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1828344), // Rule ID 23926 //
     /* 1828263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828309 */     // MIs[0] policy
     /* 1828309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828343 */     // GIR_Coverage, 23926,
     /* 1828343 */     GIR_EraseRootFromParent_Done,
     /* 1828344 */   // Label 24701: @1828344
     /* 1828344 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1828430), // Rule ID 23927 //
     /* 1828349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828395 */     // MIs[0] policy
     /* 1828395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828429 */     // GIR_Coverage, 23927,
     /* 1828429 */     GIR_EraseRootFromParent_Done,
     /* 1828430 */   // Label 24702: @1828430
     /* 1828430 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1828516), // Rule ID 23930 //
     /* 1828435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828481 */     // MIs[0] policy
     /* 1828481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828515 */     // GIR_Coverage, 23930,
     /* 1828515 */     GIR_EraseRootFromParent_Done,
     /* 1828516 */   // Label 24703: @1828516
     /* 1828516 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1828602), // Rule ID 23931 //
     /* 1828521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828567 */     // MIs[0] policy
     /* 1828567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828601 */     // GIR_Coverage, 23931,
     /* 1828601 */     GIR_EraseRootFromParent_Done,
     /* 1828602 */   // Label 24704: @1828602
     /* 1828602 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1828688), // Rule ID 23934 //
     /* 1828607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1828624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828653 */     // MIs[0] policy
     /* 1828653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828663 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828687 */     // GIR_Coverage, 23934,
     /* 1828687 */     GIR_EraseRootFromParent_Done,
     /* 1828688 */   // Label 24705: @1828688
     /* 1828688 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1828774), // Rule ID 23935 //
     /* 1828693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1828710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828739 */     // MIs[0] policy
     /* 1828739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828773 */     // GIR_Coverage, 23935,
     /* 1828773 */     GIR_EraseRootFromParent_Done,
     /* 1828774 */   // Label 24706: @1828774
     /* 1828774 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1828860), // Rule ID 23938 //
     /* 1828779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1828796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828825 */     // MIs[0] policy
     /* 1828825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828859 */     // GIR_Coverage, 23938,
     /* 1828859 */     GIR_EraseRootFromParent_Done,
     /* 1828860 */   // Label 24707: @1828860
     /* 1828860 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1828946), // Rule ID 23939 //
     /* 1828865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1828882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1828885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828911 */     // MIs[0] policy
     /* 1828911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1828924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828945 */     // GIR_Coverage, 23939,
     /* 1828945 */     GIR_EraseRootFromParent_Done,
     /* 1828946 */   // Label 24708: @1828946
     /* 1828946 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1829032), // Rule ID 23942 //
     /* 1828951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1828959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1828968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1828971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828997 */     // MIs[0] policy
     /* 1828997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1829010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829031 */     // GIR_Coverage, 23942,
     /* 1829031 */     GIR_EraseRootFromParent_Done,
     /* 1829032 */   // Label 24709: @1829032
     /* 1829032 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1829118), // Rule ID 23943 //
     /* 1829037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1829048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1829051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1829054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829083 */     // MIs[0] policy
     /* 1829083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829093 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1829096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829117 */     // GIR_Coverage, 23943,
     /* 1829117 */     GIR_EraseRootFromParent_Done,
     /* 1829118 */   // Label 24710: @1829118
     /* 1829118 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1829204), // Rule ID 23946 //
     /* 1829123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1829140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829169 */     // MIs[0] policy
     /* 1829169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829179 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1829182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829203 */     // GIR_Coverage, 23946,
     /* 1829203 */     GIR_EraseRootFromParent_Done,
     /* 1829204 */   // Label 24711: @1829204
     /* 1829204 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1829290), // Rule ID 23947 //
     /* 1829209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1829226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829255 */     // MIs[0] policy
     /* 1829255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829265 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1829268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829289 */     // GIR_Coverage, 23947,
     /* 1829289 */     GIR_EraseRootFromParent_Done,
     /* 1829290 */   // Label 24712: @1829290
     /* 1829290 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1829376), // Rule ID 23950 //
     /* 1829295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1829312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829341 */     // MIs[0] policy
     /* 1829341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1829354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829375 */     // GIR_Coverage, 23950,
     /* 1829375 */     GIR_EraseRootFromParent_Done,
     /* 1829376 */   // Label 24713: @1829376
     /* 1829376 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1829462), // Rule ID 23951 //
     /* 1829381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1829398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829427 */     // MIs[0] policy
     /* 1829427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829437 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1829440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829461 */     // GIR_Coverage, 23951,
     /* 1829461 */     GIR_EraseRootFromParent_Done,
     /* 1829462 */   // Label 24714: @1829462
     /* 1829462 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1829548), // Rule ID 23954 //
     /* 1829467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1829484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829513 */     // MIs[0] policy
     /* 1829513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1829526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829547 */     // GIR_Coverage, 23954,
     /* 1829547 */     GIR_EraseRootFromParent_Done,
     /* 1829548 */   // Label 24715: @1829548
     /* 1829548 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1829634), // Rule ID 23955 //
     /* 1829553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1829570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829599 */     // MIs[0] policy
     /* 1829599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1829612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829633 */     // GIR_Coverage, 23955,
     /* 1829633 */     GIR_EraseRootFromParent_Done,
     /* 1829634 */   // Label 24716: @1829634
     /* 1829634 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1829720), // Rule ID 23958 //
     /* 1829639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1829656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829685 */     // MIs[0] policy
     /* 1829685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829695 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1829698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829719 */     // GIR_Coverage, 23958,
     /* 1829719 */     GIR_EraseRootFromParent_Done,
     /* 1829720 */   // Label 24717: @1829720
     /* 1829720 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1829806), // Rule ID 23959 //
     /* 1829725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1829742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829771 */     // MIs[0] policy
     /* 1829771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1829784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829805 */     // GIR_Coverage, 23959,
     /* 1829805 */     GIR_EraseRootFromParent_Done,
     /* 1829806 */   // Label 24718: @1829806
     /* 1829806 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1829892), // Rule ID 23962 //
     /* 1829811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1829828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829857 */     // MIs[0] policy
     /* 1829857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1829870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829891 */     // GIR_Coverage, 23962,
     /* 1829891 */     GIR_EraseRootFromParent_Done,
     /* 1829892 */   // Label 24719: @1829892
     /* 1829892 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1829978), // Rule ID 23963 //
     /* 1829897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1829914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1829917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829943 */     // MIs[0] policy
     /* 1829943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1829956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829977 */     // GIR_Coverage, 23963,
     /* 1829977 */     GIR_EraseRootFromParent_Done,
     /* 1829978 */   // Label 24720: @1829978
     /* 1829978 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1830064), // Rule ID 23966 //
     /* 1829983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1829991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1830000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830029 */     // MIs[0] policy
     /* 1830029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1830042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830063 */     // GIR_Coverage, 23966,
     /* 1830063 */     GIR_EraseRootFromParent_Done,
     /* 1830064 */   // Label 24721: @1830064
     /* 1830064 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1830150), // Rule ID 23967 //
     /* 1830069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1830080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1830083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1830086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830115 */     // MIs[0] policy
     /* 1830115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1830128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830149 */     // GIR_Coverage, 23967,
     /* 1830149 */     GIR_EraseRootFromParent_Done,
     /* 1830150 */   // Label 24722: @1830150
     /* 1830150 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1830236), // Rule ID 23970 //
     /* 1830155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1830172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830201 */     // MIs[0] policy
     /* 1830201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1830214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830235 */     // GIR_Coverage, 23970,
     /* 1830235 */     GIR_EraseRootFromParent_Done,
     /* 1830236 */   // Label 24723: @1830236
     /* 1830236 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1830322), // Rule ID 23971 //
     /* 1830241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1830258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830287 */     // MIs[0] policy
     /* 1830287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1830300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830321 */     // GIR_Coverage, 23971,
     /* 1830321 */     GIR_EraseRootFromParent_Done,
     /* 1830322 */   // Label 24724: @1830322
     /* 1830322 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1830408), // Rule ID 23974 //
     /* 1830327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1830344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830373 */     // MIs[0] policy
     /* 1830373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1830386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830407 */     // GIR_Coverage, 23974,
     /* 1830407 */     GIR_EraseRootFromParent_Done,
     /* 1830408 */   // Label 24725: @1830408
     /* 1830408 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1830494), // Rule ID 23975 //
     /* 1830413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1830430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830459 */     // MIs[0] policy
     /* 1830459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1830472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830493 */     // GIR_Coverage, 23975,
     /* 1830493 */     GIR_EraseRootFromParent_Done,
     /* 1830494 */   // Label 24726: @1830494
     /* 1830494 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1830580), // Rule ID 23978 //
     /* 1830499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1830516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830545 */     // MIs[0] policy
     /* 1830545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1830558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830579 */     // GIR_Coverage, 23978,
     /* 1830579 */     GIR_EraseRootFromParent_Done,
     /* 1830580 */   // Label 24727: @1830580
     /* 1830580 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1830666), // Rule ID 23979 //
     /* 1830585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1830602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830631 */     // MIs[0] policy
     /* 1830631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1830644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830665 */     // GIR_Coverage, 23979,
     /* 1830665 */     GIR_EraseRootFromParent_Done,
     /* 1830666 */   // Label 24728: @1830666
     /* 1830666 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1830752), // Rule ID 23982 //
     /* 1830671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1830688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830717 */     // MIs[0] policy
     /* 1830717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1830730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830751 */     // GIR_Coverage, 23982,
     /* 1830751 */     GIR_EraseRootFromParent_Done,
     /* 1830752 */   // Label 24729: @1830752
     /* 1830752 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1830838), // Rule ID 23983 //
     /* 1830757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1830774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830803 */     // MIs[0] policy
     /* 1830803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830813 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1830816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830837 */     // GIR_Coverage, 23983,
     /* 1830837 */     GIR_EraseRootFromParent_Done,
     /* 1830838 */   // Label 24730: @1830838
     /* 1830838 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1830924), // Rule ID 23986 //
     /* 1830843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1830860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830889 */     // MIs[0] policy
     /* 1830889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1830902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830923 */     // GIR_Coverage, 23986,
     /* 1830923 */     GIR_EraseRootFromParent_Done,
     /* 1830924 */   // Label 24731: @1830924
     /* 1830924 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1831010), // Rule ID 23987 //
     /* 1830929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1830937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1830946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830975 */     // MIs[0] policy
     /* 1830975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830985 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1830988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831009 */     // GIR_Coverage, 23987,
     /* 1831009 */     GIR_EraseRootFromParent_Done,
     /* 1831010 */   // Label 24732: @1831010
     /* 1831010 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1831096), // Rule ID 23990 //
     /* 1831015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1831018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831061 */     // MIs[0] policy
     /* 1831061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831071 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1831074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831095 */     // GIR_Coverage, 23990,
     /* 1831095 */     GIR_EraseRootFromParent_Done,
     /* 1831096 */   // Label 24733: @1831096
     /* 1831096 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1831182), // Rule ID 23991 //
     /* 1831101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1831104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831147 */     // MIs[0] policy
     /* 1831147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831157 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1831160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831181 */     // GIR_Coverage, 23991,
     /* 1831181 */     GIR_EraseRootFromParent_Done,
     /* 1831182 */   // Label 24734: @1831182
     /* 1831182 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1831268), // Rule ID 23994 //
     /* 1831187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1831190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831233 */     // MIs[0] policy
     /* 1831233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1831246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831267 */     // GIR_Coverage, 23994,
     /* 1831267 */     GIR_EraseRootFromParent_Done,
     /* 1831268 */   // Label 24735: @1831268
     /* 1831268 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1831354), // Rule ID 23995 //
     /* 1831273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1831276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831319 */     // MIs[0] policy
     /* 1831319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831329 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1831332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831353 */     // GIR_Coverage, 23995,
     /* 1831353 */     GIR_EraseRootFromParent_Done,
     /* 1831354 */   // Label 24736: @1831354
     /* 1831354 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1831440), // Rule ID 23998 //
     /* 1831359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1831362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831405 */     // MIs[0] policy
     /* 1831405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831415 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1831418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831439 */     // GIR_Coverage, 23998,
     /* 1831439 */     GIR_EraseRootFromParent_Done,
     /* 1831440 */   // Label 24737: @1831440
     /* 1831440 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1831526), // Rule ID 23999 //
     /* 1831445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1831448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1831462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831491 */     // MIs[0] policy
     /* 1831491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831501 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1831504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831525 */     // GIR_Coverage, 23999,
     /* 1831525 */     GIR_EraseRootFromParent_Done,
     /* 1831526 */   // Label 24738: @1831526
     /* 1831526 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1831612), // Rule ID 24002 //
     /* 1831531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1831534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831577 */     // MIs[0] policy
     /* 1831577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831587 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1831590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831611 */     // GIR_Coverage, 24002,
     /* 1831611 */     GIR_EraseRootFromParent_Done,
     /* 1831612 */   // Label 24739: @1831612
     /* 1831612 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1831698), // Rule ID 24003 //
     /* 1831617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1831620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1831628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1831631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831663 */     // MIs[0] policy
     /* 1831663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831673 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1831676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831697 */     // GIR_Coverage, 24003,
     /* 1831697 */     GIR_EraseRootFromParent_Done,
     /* 1831698 */   // Label 24740: @1831698
     /* 1831698 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1831784), // Rule ID 24006 //
     /* 1831703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1831706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831749 */     // MIs[0] policy
     /* 1831749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831759 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1831762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831783 */     // GIR_Coverage, 24006,
     /* 1831783 */     GIR_EraseRootFromParent_Done,
     /* 1831784 */   // Label 24741: @1831784
     /* 1831784 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1831870), // Rule ID 24007 //
     /* 1831789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1831792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831835 */     // MIs[0] policy
     /* 1831835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831845 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1831848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831869 */     // GIR_Coverage, 24007,
     /* 1831869 */     GIR_EraseRootFromParent_Done,
     /* 1831870 */   // Label 24742: @1831870
     /* 1831870 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1831956), // Rule ID 24010 //
     /* 1831875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1831878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831921 */     // MIs[0] policy
     /* 1831921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831931 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1831934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831955 */     // GIR_Coverage, 24010,
     /* 1831955 */     GIR_EraseRootFromParent_Done,
     /* 1831956 */   // Label 24743: @1831956
     /* 1831956 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1832042), // Rule ID 24011 //
     /* 1831961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1831964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1831969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832007 */     // MIs[0] policy
     /* 1832007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832017 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1832020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832041 */     // GIR_Coverage, 24011,
     /* 1832041 */     GIR_EraseRootFromParent_Done,
     /* 1832042 */   // Label 24744: @1832042
     /* 1832042 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1832128), // Rule ID 24014 //
     /* 1832047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1832050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832093 */     // MIs[0] policy
     /* 1832093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1832106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832127 */     // GIR_Coverage, 24014,
     /* 1832127 */     GIR_EraseRootFromParent_Done,
     /* 1832128 */   // Label 24745: @1832128
     /* 1832128 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1832214), // Rule ID 24015 //
     /* 1832133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1832136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1832144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1832147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1832150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832179 */     // MIs[0] policy
     /* 1832179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832189 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1832192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832213 */     // GIR_Coverage, 24015,
     /* 1832213 */     GIR_EraseRootFromParent_Done,
     /* 1832214 */   // Label 24746: @1832214
     /* 1832214 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1832300), // Rule ID 24018 //
     /* 1832219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1832222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832265 */     // MIs[0] policy
     /* 1832265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832275 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1832278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832299 */     // GIR_Coverage, 24018,
     /* 1832299 */     GIR_EraseRootFromParent_Done,
     /* 1832300 */   // Label 24747: @1832300
     /* 1832300 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1832386), // Rule ID 24019 //
     /* 1832305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1832308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832351 */     // MIs[0] policy
     /* 1832351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832361 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1832364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832385 */     // GIR_Coverage, 24019,
     /* 1832385 */     GIR_EraseRootFromParent_Done,
     /* 1832386 */   // Label 24748: @1832386
     /* 1832386 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1832472), // Rule ID 24022 //
     /* 1832391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1832394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832437 */     // MIs[0] policy
     /* 1832437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832447 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1832450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832471 */     // GIR_Coverage, 24022,
     /* 1832471 */     GIR_EraseRootFromParent_Done,
     /* 1832472 */   // Label 24749: @1832472
     /* 1832472 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1832558), // Rule ID 24023 //
     /* 1832477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1832480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832523 */     // MIs[0] policy
     /* 1832523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832533 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1832536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832557 */     // GIR_Coverage, 24023,
     /* 1832557 */     GIR_EraseRootFromParent_Done,
     /* 1832558 */   // Label 24750: @1832558
     /* 1832558 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1832644), // Rule ID 24026 //
     /* 1832563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1832566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832609 */     // MIs[0] policy
     /* 1832609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832619 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1832622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832643 */     // GIR_Coverage, 24026,
     /* 1832643 */     GIR_EraseRootFromParent_Done,
     /* 1832644 */   // Label 24751: @1832644
     /* 1832644 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1832730), // Rule ID 24027 //
     /* 1832649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1832652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832695 */     // MIs[0] policy
     /* 1832695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832705 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1832708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832729 */     // GIR_Coverage, 24027,
     /* 1832729 */     GIR_EraseRootFromParent_Done,
     /* 1832730 */   // Label 24752: @1832730
     /* 1832730 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1832816), // Rule ID 24030 //
     /* 1832735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1832738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832781 */     // MIs[0] policy
     /* 1832781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832791 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1832794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832815 */     // GIR_Coverage, 24030,
     /* 1832815 */     GIR_EraseRootFromParent_Done,
     /* 1832816 */   // Label 24753: @1832816
     /* 1832816 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1832902), // Rule ID 24031 //
     /* 1832821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1832824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832867 */     // MIs[0] policy
     /* 1832867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832877 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1832880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832901 */     // GIR_Coverage, 24031,
     /* 1832901 */     GIR_EraseRootFromParent_Done,
     /* 1832902 */   // Label 24754: @1832902
     /* 1832902 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1832988), // Rule ID 24034 //
     /* 1832907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1832910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1832915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1832918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1832921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1832924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832953 */     // MIs[0] policy
     /* 1832953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832963 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1832966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832987 */     // GIR_Coverage, 24034,
     /* 1832987 */     GIR_EraseRootFromParent_Done,
     /* 1832988 */   // Label 24755: @1832988
     /* 1832988 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1833074), // Rule ID 24035 //
     /* 1832993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1832996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1833010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833039 */     // MIs[0] policy
     /* 1833039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833049 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1833052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833073 */     // GIR_Coverage, 24035,
     /* 1833073 */     GIR_EraseRootFromParent_Done,
     /* 1833074 */   // Label 24756: @1833074
     /* 1833074 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1833160), // Rule ID 24038 //
     /* 1833079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1833082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833125 */     // MIs[0] policy
     /* 1833125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833135 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1833138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833159 */     // GIR_Coverage, 24038,
     /* 1833159 */     GIR_EraseRootFromParent_Done,
     /* 1833160 */   // Label 24757: @1833160
     /* 1833160 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1833246), // Rule ID 24039 //
     /* 1833165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1833168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1833176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1833179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1833182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833211 */     // MIs[0] policy
     /* 1833211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833221 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1833224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833245 */     // GIR_Coverage, 24039,
     /* 1833245 */     GIR_EraseRootFromParent_Done,
     /* 1833246 */   // Label 24758: @1833246
     /* 1833246 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1833332), // Rule ID 24042 //
     /* 1833251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1833254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833297 */     // MIs[0] policy
     /* 1833297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1833310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833331 */     // GIR_Coverage, 24042,
     /* 1833331 */     GIR_EraseRootFromParent_Done,
     /* 1833332 */   // Label 24759: @1833332
     /* 1833332 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1833418), // Rule ID 24043 //
     /* 1833337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1833340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833383 */     // MIs[0] policy
     /* 1833383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833393 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1833396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833417 */     // GIR_Coverage, 24043,
     /* 1833417 */     GIR_EraseRootFromParent_Done,
     /* 1833418 */   // Label 24760: @1833418
     /* 1833418 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1833504), // Rule ID 24046 //
     /* 1833423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1833426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833469 */     // MIs[0] policy
     /* 1833469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833479 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1833482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833503 */     // GIR_Coverage, 24046,
     /* 1833503 */     GIR_EraseRootFromParent_Done,
     /* 1833504 */   // Label 24761: @1833504
     /* 1833504 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1833590), // Rule ID 24047 //
     /* 1833509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1833512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1833517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833555 */     // MIs[0] policy
     /* 1833555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833565 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1833568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833589 */     // GIR_Coverage, 24047,
     /* 1833589 */     GIR_EraseRootFromParent_Done,
     /* 1833590 */   // Label 24762: @1833590
     /* 1833590 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1833676), // Rule ID 24110 //
     /* 1833595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1833598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1833603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1833606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1833609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1833612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833641 */     // MIs[0] policy
     /* 1833641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833651 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1833654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833675 */     // GIR_Coverage, 24110,
     /* 1833675 */     GIR_EraseRootFromParent_Done,
     /* 1833676 */   // Label 24763: @1833676
     /* 1833676 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1833762), // Rule ID 24111 //
     /* 1833681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1833684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1833689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1833692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1833695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1833698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833727 */     // MIs[0] policy
     /* 1833727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833737 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1833740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833761 */     // GIR_Coverage, 24111,
     /* 1833761 */     GIR_EraseRootFromParent_Done,
     /* 1833762 */   // Label 24764: @1833762
     /* 1833762 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1833848), // Rule ID 24114 //
     /* 1833767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1833770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1833775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1833778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1833781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1833784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833813 */     // MIs[0] policy
     /* 1833813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833823 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1833826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833847 */     // GIR_Coverage, 24114,
     /* 1833847 */     GIR_EraseRootFromParent_Done,
     /* 1833848 */   // Label 24765: @1833848
     /* 1833848 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1833934), // Rule ID 24115 //
     /* 1833853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1833856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1833861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1833864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1833867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1833870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1833873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833899 */     // MIs[0] policy
     /* 1833899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833909 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1833912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833933 */     // GIR_Coverage, 24115,
     /* 1833933 */     GIR_EraseRootFromParent_Done,
     /* 1833934 */   // Label 24766: @1833934
     /* 1833934 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1834020), // Rule ID 24118 //
     /* 1833939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1833942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1833947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1833950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1833953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1833956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1833959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833985 */     // MIs[0] policy
     /* 1833985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833995 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1833998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834019 */     // GIR_Coverage, 24118,
     /* 1834019 */     GIR_EraseRootFromParent_Done,
     /* 1834020 */   // Label 24767: @1834020
     /* 1834020 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1834106), // Rule ID 24119 //
     /* 1834025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1834028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1834042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834071 */     // MIs[0] policy
     /* 1834071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834081 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1834084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834105 */     // GIR_Coverage, 24119,
     /* 1834105 */     GIR_EraseRootFromParent_Done,
     /* 1834106 */   // Label 24768: @1834106
     /* 1834106 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1834192), // Rule ID 24122 //
     /* 1834111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1834114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1834122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1834125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1834128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834157 */     // MIs[0] policy
     /* 1834157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834167 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834191 */     // GIR_Coverage, 24122,
     /* 1834191 */     GIR_EraseRootFromParent_Done,
     /* 1834192 */   // Label 24769: @1834192
     /* 1834192 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1834278), // Rule ID 24123 //
     /* 1834197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1834200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1834208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1834211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1834214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834243 */     // MIs[0] policy
     /* 1834243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834277 */     // GIR_Coverage, 24123,
     /* 1834277 */     GIR_EraseRootFromParent_Done,
     /* 1834278 */   // Label 24770: @1834278
     /* 1834278 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1834364), // Rule ID 24126 //
     /* 1834283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1834286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1834300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834329 */     // MIs[0] policy
     /* 1834329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834363 */     // GIR_Coverage, 24126,
     /* 1834363 */     GIR_EraseRootFromParent_Done,
     /* 1834364 */   // Label 24771: @1834364
     /* 1834364 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1834450), // Rule ID 24127 //
     /* 1834369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1834372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1834386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834415 */     // MIs[0] policy
     /* 1834415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834425 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834449 */     // GIR_Coverage, 24127,
     /* 1834449 */     GIR_EraseRootFromParent_Done,
     /* 1834450 */   // Label 24772: @1834450
     /* 1834450 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1834536), // Rule ID 24130 //
     /* 1834455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1834458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1834466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1834469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1834472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834501 */     // MIs[0] policy
     /* 1834501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834535 */     // GIR_Coverage, 24130,
     /* 1834535 */     GIR_EraseRootFromParent_Done,
     /* 1834536 */   // Label 24773: @1834536
     /* 1834536 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1834622), // Rule ID 24131 //
     /* 1834541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1834544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1834552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1834555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1834558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834587 */     // MIs[0] policy
     /* 1834587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834597 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1834600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834621 */     // GIR_Coverage, 24131,
     /* 1834621 */     GIR_EraseRootFromParent_Done,
     /* 1834622 */   // Label 24774: @1834622
     /* 1834622 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1834708), // Rule ID 24134 //
     /* 1834627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1834630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1834638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1834641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1834644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834673 */     // MIs[0] policy
     /* 1834673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1834686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834707 */     // GIR_Coverage, 24134,
     /* 1834707 */     GIR_EraseRootFromParent_Done,
     /* 1834708 */   // Label 24775: @1834708
     /* 1834708 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1834794), // Rule ID 24135 //
     /* 1834713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1834716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1834724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1834727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1834730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834759 */     // MIs[0] policy
     /* 1834759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834769 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1834772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834793 */     // GIR_Coverage, 24135,
     /* 1834793 */     GIR_EraseRootFromParent_Done,
     /* 1834794 */   // Label 24776: @1834794
     /* 1834794 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1834880), // Rule ID 24138 //
     /* 1834799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1834802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1834810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1834813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1834816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834845 */     // MIs[0] policy
     /* 1834845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834855 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1834858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834879 */     // GIR_Coverage, 24138,
     /* 1834879 */     GIR_EraseRootFromParent_Done,
     /* 1834880 */   // Label 24777: @1834880
     /* 1834880 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1834966), // Rule ID 24139 //
     /* 1834885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1834888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1834896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1834899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1834902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1834905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834931 */     // MIs[0] policy
     /* 1834931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834941 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1834944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834965 */     // GIR_Coverage, 24139,
     /* 1834965 */     GIR_EraseRootFromParent_Done,
     /* 1834966 */   // Label 24778: @1834966
     /* 1834966 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1835052), // Rule ID 24142 //
     /* 1834971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1834974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1834979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1834982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1834985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1834988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1834991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1834994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835017 */     // MIs[0] policy
     /* 1835017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835027 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1835030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835051 */     // GIR_Coverage, 24142,
     /* 1835051 */     GIR_EraseRootFromParent_Done,
     /* 1835052 */   // Label 24779: @1835052
     /* 1835052 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1835138), // Rule ID 24143 //
     /* 1835057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1835060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1835068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1835071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1835074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835103 */     // MIs[0] policy
     /* 1835103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835113 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1835116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835137 */     // GIR_Coverage, 24143,
     /* 1835137 */     GIR_EraseRootFromParent_Done,
     /* 1835138 */   // Label 24780: @1835138
     /* 1835138 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1835224), // Rule ID 24146 //
     /* 1835143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1835146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1835154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1835157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1835160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1835163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835189 */     // MIs[0] policy
     /* 1835189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835199 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1835202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835223 */     // GIR_Coverage, 24146,
     /* 1835223 */     GIR_EraseRootFromParent_Done,
     /* 1835224 */   // Label 24781: @1835224
     /* 1835224 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1835310), // Rule ID 24147 //
     /* 1835229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1835232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1835240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1835243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1835246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835275 */     // MIs[0] policy
     /* 1835275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835285 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1835288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835309 */     // GIR_Coverage, 24147,
     /* 1835309 */     GIR_EraseRootFromParent_Done,
     /* 1835310 */   // Label 24782: @1835310
     /* 1835310 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1835396), // Rule ID 24150 //
     /* 1835315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1835318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1835326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1835329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1835332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1835335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835361 */     // MIs[0] policy
     /* 1835361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835371 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1835374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835395 */     // GIR_Coverage, 24150,
     /* 1835395 */     GIR_EraseRootFromParent_Done,
     /* 1835396 */   // Label 24783: @1835396
     /* 1835396 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1835482), // Rule ID 24151 //
     /* 1835401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1835404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1835412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1835415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1835418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835447 */     // MIs[0] policy
     /* 1835447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1835460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835481 */     // GIR_Coverage, 24151,
     /* 1835481 */     GIR_EraseRootFromParent_Done,
     /* 1835482 */   // Label 24784: @1835482
     /* 1835482 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1835568), // Rule ID 24154 //
     /* 1835487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1835490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1835498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1835501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1835504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1835507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835533 */     // MIs[0] policy
     /* 1835533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835543 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1835546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835567 */     // GIR_Coverage, 24154,
     /* 1835567 */     GIR_EraseRootFromParent_Done,
     /* 1835568 */   // Label 24785: @1835568
     /* 1835568 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1835654), // Rule ID 24155 //
     /* 1835573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1835576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1835584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1835587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1835590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835619 */     // MIs[0] policy
     /* 1835619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1835632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835653 */     // GIR_Coverage, 24155,
     /* 1835653 */     GIR_EraseRootFromParent_Done,
     /* 1835654 */   // Label 24786: @1835654
     /* 1835654 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1835740), // Rule ID 24158 //
     /* 1835659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1835662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1835670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1835673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1835676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1835679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835705 */     // MIs[0] policy
     /* 1835705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1835718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835739 */     // GIR_Coverage, 24158,
     /* 1835739 */     GIR_EraseRootFromParent_Done,
     /* 1835740 */   // Label 24787: @1835740
     /* 1835740 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1835826), // Rule ID 24159 //
     /* 1835745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1835748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1835756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1835759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1835762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835791 */     // MIs[0] policy
     /* 1835791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835801 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1835804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835825 */     // GIR_Coverage, 24159,
     /* 1835825 */     GIR_EraseRootFromParent_Done,
     /* 1835826 */   // Label 24788: @1835826
     /* 1835826 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1835912), // Rule ID 24162 //
     /* 1835831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1835834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1835848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1835851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835877 */     // MIs[0] policy
     /* 1835877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1835890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835911 */     // GIR_Coverage, 24162,
     /* 1835911 */     GIR_EraseRootFromParent_Done,
     /* 1835912 */   // Label 24789: @1835912
     /* 1835912 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1835998), // Rule ID 24163 //
     /* 1835917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1835920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1835925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1835934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1835937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835963 */     // MIs[0] policy
     /* 1835963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1835976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835997 */     // GIR_Coverage, 24163,
     /* 1835997 */     GIR_EraseRootFromParent_Done,
     /* 1835998 */   // Label 24790: @1835998
     /* 1835998 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1836084), // Rule ID 24166 //
     /* 1836003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1836006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1836011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1836014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1836017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1836020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1836023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836049 */     // MIs[0] policy
     /* 1836049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836059 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1836062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836083 */     // GIR_Coverage, 24166,
     /* 1836083 */     GIR_EraseRootFromParent_Done,
     /* 1836084 */   // Label 24791: @1836084
     /* 1836084 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1836170), // Rule ID 24167 //
     /* 1836089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1836092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1836097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1836100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1836103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1836106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836135 */     // MIs[0] policy
     /* 1836135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836145 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1836148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836169 */     // GIR_Coverage, 24167,
     /* 1836169 */     GIR_EraseRootFromParent_Done,
     /* 1836170 */   // Label 24792: @1836170
     /* 1836170 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1836256), // Rule ID 24230 //
     /* 1836175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1836178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1836186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1836189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1836192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836221 */     // MIs[0] policy
     /* 1836221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836231 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1836234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836255 */     // GIR_Coverage, 24230,
     /* 1836255 */     GIR_EraseRootFromParent_Done,
     /* 1836256 */   // Label 24793: @1836256
     /* 1836256 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1836342), // Rule ID 24231 //
     /* 1836261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1836264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1836272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1836275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1836278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836307 */     // MIs[0] policy
     /* 1836307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836317 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1836320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836341 */     // GIR_Coverage, 24231,
     /* 1836341 */     GIR_EraseRootFromParent_Done,
     /* 1836342 */   // Label 24794: @1836342
     /* 1836342 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1836428), // Rule ID 24234 //
     /* 1836347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1836350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1836364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836393 */     // MIs[0] policy
     /* 1836393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836403 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1836406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836427 */     // GIR_Coverage, 24234,
     /* 1836427 */     GIR_EraseRootFromParent_Done,
     /* 1836428 */   // Label 24795: @1836428
     /* 1836428 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1836514), // Rule ID 24235 //
     /* 1836433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1836436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1836450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836479 */     // MIs[0] policy
     /* 1836479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836489 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1836492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836513 */     // GIR_Coverage, 24235,
     /* 1836513 */     GIR_EraseRootFromParent_Done,
     /* 1836514 */   // Label 24796: @1836514
     /* 1836514 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1836600), // Rule ID 24238 //
     /* 1836519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1836522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1836536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1836561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836565 */     // MIs[0] policy
     /* 1836565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836575 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1836578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836599 */     // GIR_Coverage, 24238,
     /* 1836599 */     GIR_EraseRootFromParent_Done,
     /* 1836600 */   // Label 24797: @1836600
     /* 1836600 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1836686), // Rule ID 24239 //
     /* 1836605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1836608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1836622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1836647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836651 */     // MIs[0] policy
     /* 1836651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836661 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1836664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836685 */     // GIR_Coverage, 24239,
     /* 1836685 */     GIR_EraseRootFromParent_Done,
     /* 1836686 */   // Label 24798: @1836686
     /* 1836686 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1836772), // Rule ID 24242 //
     /* 1836691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1836694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1836708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836737 */     // MIs[0] policy
     /* 1836737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836747 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1836750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836771 */     // GIR_Coverage, 24242,
     /* 1836771 */     GIR_EraseRootFromParent_Done,
     /* 1836772 */   // Label 24799: @1836772
     /* 1836772 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1836858), // Rule ID 24243 //
     /* 1836777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1836780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1836794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1836797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1836819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836823 */     // MIs[0] policy
     /* 1836823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836833 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10926:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1836836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836857 */     // GIR_Coverage, 24243,
     /* 1836857 */     GIR_EraseRootFromParent_Done,
     /* 1836858 */   // Label 24800: @1836858
     /* 1836858 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1836944), // Rule ID 24246 //
     /* 1836863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1836866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1836880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1836905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836909 */     // MIs[0] policy
     /* 1836909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836919 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1836922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836943 */     // GIR_Coverage, 24246,
     /* 1836943 */     GIR_EraseRootFromParent_Done,
     /* 1836944 */   // Label 24801: @1836944
     /* 1836944 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1837030), // Rule ID 24247 //
     /* 1836949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1836952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1836957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1836966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1836991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836995 */     // MIs[0] policy
     /* 1836995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1837008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837029 */     // GIR_Coverage, 24247,
     /* 1837029 */     GIR_EraseRootFromParent_Done,
     /* 1837030 */   // Label 24802: @1837030
     /* 1837030 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1837116), // Rule ID 24250 //
     /* 1837035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1837038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1837046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1837049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1837052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1837077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837081 */     // MIs[0] policy
     /* 1837081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837091 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1837094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837115 */     // GIR_Coverage, 24250,
     /* 1837115 */     GIR_EraseRootFromParent_Done,
     /* 1837116 */   // Label 24803: @1837116
     /* 1837116 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1837202), // Rule ID 24251 //
     /* 1837121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1837124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1837132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1837135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1837138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1837163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837167 */     // MIs[0] policy
     /* 1837167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1837180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837201 */     // GIR_Coverage, 24251,
     /* 1837201 */     GIR_EraseRootFromParent_Done,
     /* 1837202 */   // Label 24804: @1837202
     /* 1837202 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1837288), // Rule ID 24254 //
     /* 1837207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1837210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1837224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837253 */     // MIs[0] policy
     /* 1837253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837263 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1837266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837287 */     // GIR_Coverage, 24254,
     /* 1837287 */     GIR_EraseRootFromParent_Done,
     /* 1837288 */   // Label 24805: @1837288
     /* 1837288 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1837374), // Rule ID 24255 //
     /* 1837293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1837296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1837310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837339 */     // MIs[0] policy
     /* 1837339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837349 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1837352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837373 */     // GIR_Coverage, 24255,
     /* 1837373 */     GIR_EraseRootFromParent_Done,
     /* 1837374 */   // Label 24806: @1837374
     /* 1837374 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1837460), // Rule ID 24258 //
     /* 1837379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1837382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837425 */     // MIs[0] policy
     /* 1837425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837435 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1837438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837459 */     // GIR_Coverage, 24258,
     /* 1837459 */     GIR_EraseRootFromParent_Done,
     /* 1837460 */   // Label 24807: @1837460
     /* 1837460 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1837546), // Rule ID 24259 //
     /* 1837465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1837468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837511 */     // MIs[0] policy
     /* 1837511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837521 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1837524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837545 */     // GIR_Coverage, 24259,
     /* 1837545 */     GIR_EraseRootFromParent_Done,
     /* 1837546 */   // Label 24808: @1837546
     /* 1837546 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1837632), // Rule ID 24262 //
     /* 1837551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1837554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1837568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837597 */     // MIs[0] policy
     /* 1837597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837607 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1837610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837631 */     // GIR_Coverage, 24262,
     /* 1837631 */     GIR_EraseRootFromParent_Done,
     /* 1837632 */   // Label 24809: @1837632
     /* 1837632 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1837718), // Rule ID 24263 //
     /* 1837637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1837640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1837654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1837657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1837679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837683 */     // MIs[0] policy
     /* 1837683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837693 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1837696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837717 */     // GIR_Coverage, 24263,
     /* 1837717 */     GIR_EraseRootFromParent_Done,
     /* 1837718 */   // Label 24810: @1837718
     /* 1837718 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1837804), // Rule ID 24266 //
     /* 1837723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1837726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1837740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1837765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837769 */     // MIs[0] policy
     /* 1837769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837779 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1837782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837803 */     // GIR_Coverage, 24266,
     /* 1837803 */     GIR_EraseRootFromParent_Done,
     /* 1837804 */   // Label 24811: @1837804
     /* 1837804 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1837890), // Rule ID 24267 //
     /* 1837809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1837812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1837826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1837851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837855 */     // MIs[0] policy
     /* 1837855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837865 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1837868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837889 */     // GIR_Coverage, 24267,
     /* 1837889 */     GIR_EraseRootFromParent_Done,
     /* 1837890 */   // Label 24812: @1837890
     /* 1837890 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1837976), // Rule ID 24270 //
     /* 1837895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1837898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1837912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1837937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837941 */     // MIs[0] policy
     /* 1837941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837951 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1837954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837975 */     // GIR_Coverage, 24270,
     /* 1837975 */     GIR_EraseRootFromParent_Done,
     /* 1837976 */   // Label 24813: @1837976
     /* 1837976 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1838062), // Rule ID 24271 //
     /* 1837981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1837984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1837989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1837998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1838023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838027 */     // MIs[0] policy
     /* 1838027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838037 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1838040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838061 */     // GIR_Coverage, 24271,
     /* 1838061 */     GIR_EraseRootFromParent_Done,
     /* 1838062 */   // Label 24814: @1838062
     /* 1838062 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1838148), // Rule ID 24274 //
     /* 1838067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1838070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1838084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1838109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838113 */     // MIs[0] policy
     /* 1838113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1838126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838147 */     // GIR_Coverage, 24274,
     /* 1838147 */     GIR_EraseRootFromParent_Done,
     /* 1838148 */   // Label 24815: @1838148
     /* 1838148 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1838234), // Rule ID 24275 //
     /* 1838153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1838156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1838170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1838195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838199 */     // MIs[0] policy
     /* 1838199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838209 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1838212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838233 */     // GIR_Coverage, 24275,
     /* 1838233 */     GIR_EraseRootFromParent_Done,
     /* 1838234 */   // Label 24816: @1838234
     /* 1838234 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1838320), // Rule ID 24278 //
     /* 1838239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1838242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1838256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838285 */     // MIs[0] policy
     /* 1838285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838295 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1838298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838319 */     // GIR_Coverage, 24278,
     /* 1838319 */     GIR_EraseRootFromParent_Done,
     /* 1838320 */   // Label 24817: @1838320
     /* 1838320 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1838406), // Rule ID 24279 //
     /* 1838325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1838328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1838342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838371 */     // MIs[0] policy
     /* 1838371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838381 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1838384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838405 */     // GIR_Coverage, 24279,
     /* 1838405 */     GIR_EraseRootFromParent_Done,
     /* 1838406 */   // Label 24818: @1838406
     /* 1838406 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1838492), // Rule ID 24282 //
     /* 1838411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1838414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838457 */     // MIs[0] policy
     /* 1838457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838467 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1838470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838491 */     // GIR_Coverage, 24282,
     /* 1838491 */     GIR_EraseRootFromParent_Done,
     /* 1838492 */   // Label 24819: @1838492
     /* 1838492 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1838578), // Rule ID 24283 //
     /* 1838497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1838500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838543 */     // MIs[0] policy
     /* 1838543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838553 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1838556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838577 */     // GIR_Coverage, 24283,
     /* 1838577 */     GIR_EraseRootFromParent_Done,
     /* 1838578 */   // Label 24820: @1838578
     /* 1838578 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1838664), // Rule ID 24286 //
     /* 1838583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1838586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1838600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838629 */     // MIs[0] policy
     /* 1838629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838639 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1838642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838663 */     // GIR_Coverage, 24286,
     /* 1838663 */     GIR_EraseRootFromParent_Done,
     /* 1838664 */   // Label 24821: @1838664
     /* 1838664 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1838750), // Rule ID 24287 //
     /* 1838669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1838672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1838677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1838686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1838711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838715 */     // MIs[0] policy
     /* 1838715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838725 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1838728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838749 */     // GIR_Coverage, 24287,
     /* 1838749 */     GIR_EraseRootFromParent_Done,
     /* 1838750 */   // Label 24822: @1838750
     /* 1838750 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1838836), // Rule ID 24290 //
     /* 1838755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1838758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1838763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1838775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1838797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838801 */     // MIs[0] policy
     /* 1838801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838811 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1838814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838835 */     // GIR_Coverage, 24290,
     /* 1838835 */     GIR_EraseRootFromParent_Done,
     /* 1838836 */   // Label 24823: @1838836
     /* 1838836 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1838922), // Rule ID 24291 //
     /* 1838841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1838844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1838849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1838861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1838883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838887 */     // MIs[0] policy
     /* 1838887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838897 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1838900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838921 */     // GIR_Coverage, 24291,
     /* 1838921 */     GIR_EraseRootFromParent_Done,
     /* 1838922 */   // Label 24824: @1838922
     /* 1838922 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1839008), // Rule ID 24294 //
     /* 1838927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1838930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1838935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1838938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1838941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1838947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1838969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838973 */     // MIs[0] policy
     /* 1838973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838983 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1838986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839007 */     // GIR_Coverage, 24294,
     /* 1839007 */     GIR_EraseRootFromParent_Done,
     /* 1839008 */   // Label 24825: @1839008
     /* 1839008 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1839094), // Rule ID 24295 //
     /* 1839013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1839016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1839030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1839055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839059 */     // MIs[0] policy
     /* 1839059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839069 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1839072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839093 */     // GIR_Coverage, 24295,
     /* 1839093 */     GIR_EraseRootFromParent_Done,
     /* 1839094 */   // Label 24826: @1839094
     /* 1839094 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1839180), // Rule ID 24298 //
     /* 1839099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1839102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1839141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839145 */     // MIs[0] policy
     /* 1839145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1839158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839179 */     // GIR_Coverage, 24298,
     /* 1839179 */     GIR_EraseRootFromParent_Done,
     /* 1839180 */   // Label 24827: @1839180
     /* 1839180 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1839266), // Rule ID 24299 //
     /* 1839185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1839188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1839227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839231 */     // MIs[0] policy
     /* 1839231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839241 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1839244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839265 */     // GIR_Coverage, 24299,
     /* 1839265 */     GIR_EraseRootFromParent_Done,
     /* 1839266 */   // Label 24828: @1839266
     /* 1839266 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1839352), // Rule ID 24302 //
     /* 1839271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1839274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1839313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839317 */     // MIs[0] policy
     /* 1839317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839327 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1839330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839351 */     // GIR_Coverage, 24302,
     /* 1839351 */     GIR_EraseRootFromParent_Done,
     /* 1839352 */   // Label 24829: @1839352
     /* 1839352 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1839438), // Rule ID 24303 //
     /* 1839357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1839360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1839399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839403 */     // MIs[0] policy
     /* 1839403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839413 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10924:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1839416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839437 */     // GIR_Coverage, 24303,
     /* 1839437 */     GIR_EraseRootFromParent_Done,
     /* 1839438 */   // Label 24830: @1839438
     /* 1839438 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1839524), // Rule ID 24306 //
     /* 1839443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1839446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1839485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839489 */     // MIs[0] policy
     /* 1839489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839499 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1839502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839523 */     // GIR_Coverage, 24306,
     /* 1839523 */     GIR_EraseRootFromParent_Done,
     /* 1839524 */   // Label 24831: @1839524
     /* 1839524 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1839610), // Rule ID 24307 //
     /* 1839529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1839532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1839571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839575 */     // MIs[0] policy
     /* 1839575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839585 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1839588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839609 */     // GIR_Coverage, 24307,
     /* 1839609 */     GIR_EraseRootFromParent_Done,
     /* 1839610 */   // Label 24832: @1839610
     /* 1839610 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1839696), // Rule ID 24310 //
     /* 1839615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1839618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1839635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1839657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839661 */     // MIs[0] policy
     /* 1839661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1839674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839695 */     // GIR_Coverage, 24310,
     /* 1839695 */     GIR_EraseRootFromParent_Done,
     /* 1839696 */   // Label 24833: @1839696
     /* 1839696 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1839782), // Rule ID 24311 //
     /* 1839701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1839704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1839718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1839721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1839743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839747 */     // MIs[0] policy
     /* 1839747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839757 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1839760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1839778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839781 */     // GIR_Coverage, 24311,
     /* 1839781 */     GIR_EraseRootFromParent_Done,
     /* 1839782 */   // Label 24834: @1839782
     /* 1839782 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1839868), // Rule ID 24314 //
     /* 1839787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1839790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1839829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839833 */     // MIs[0] policy
     /* 1839833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839843 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1839846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839867 */     // GIR_Coverage, 24314,
     /* 1839867 */     GIR_EraseRootFromParent_Done,
     /* 1839868 */   // Label 24835: @1839868
     /* 1839868 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1839954), // Rule ID 24315 //
     /* 1839873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1839876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1839915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839919 */     // MIs[0] policy
     /* 1839919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839929 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1839932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839953 */     // GIR_Coverage, 24315,
     /* 1839953 */     GIR_EraseRootFromParent_Done,
     /* 1839954 */   // Label 24836: @1839954
     /* 1839954 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1840040), // Rule ID 24318 //
     /* 1839959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1839962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1839967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1839970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1839973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1839976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1839979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1840001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840005 */     // MIs[0] policy
     /* 1840005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840015 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1840018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840039 */     // GIR_Coverage, 24318,
     /* 1840039 */     GIR_EraseRootFromParent_Done,
     /* 1840040 */   // Label 24837: @1840040
     /* 1840040 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1840126), // Rule ID 24319 //
     /* 1840045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1840048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1840062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1840065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1840087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840091 */     // MIs[0] policy
     /* 1840091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840101 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1840104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840125 */     // GIR_Coverage, 24319,
     /* 1840125 */     GIR_EraseRootFromParent_Done,
     /* 1840126 */   // Label 24838: @1840126
     /* 1840126 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1840212), // Rule ID 24322 //
     /* 1840131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1840134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1840151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1840173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840177 */     // MIs[0] policy
     /* 1840177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840187 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1840190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840211 */     // GIR_Coverage, 24322,
     /* 1840211 */     GIR_EraseRootFromParent_Done,
     /* 1840212 */   // Label 24839: @1840212
     /* 1840212 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1840298), // Rule ID 24323 //
     /* 1840217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1840220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1840234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1840237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1840259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840263 */     // MIs[0] policy
     /* 1840263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840273 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1840276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840297 */     // GIR_Coverage, 24323,
     /* 1840297 */     GIR_EraseRootFromParent_Done,
     /* 1840298 */   // Label 24840: @1840298
     /* 1840298 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1840384), // Rule ID 24326 //
     /* 1840303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1840306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840349 */     // MIs[0] policy
     /* 1840349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840359 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1840362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840383 */     // GIR_Coverage, 24326,
     /* 1840383 */     GIR_EraseRootFromParent_Done,
     /* 1840384 */   // Label 24841: @1840384
     /* 1840384 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1840470), // Rule ID 24327 //
     /* 1840389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1840392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1840406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840435 */     // MIs[0] policy
     /* 1840435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840445 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1840448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840469 */     // GIR_Coverage, 24327,
     /* 1840469 */     GIR_EraseRootFromParent_Done,
     /* 1840470 */   // Label 24842: @1840470
     /* 1840470 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1840556), // Rule ID 24330 //
     /* 1840475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1840478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840521 */     // MIs[0] policy
     /* 1840521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840531 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1840534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840555 */     // GIR_Coverage, 24330,
     /* 1840555 */     GIR_EraseRootFromParent_Done,
     /* 1840556 */   // Label 24843: @1840556
     /* 1840556 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1840642), // Rule ID 24331 //
     /* 1840561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1840564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1840572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1840575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840607 */     // MIs[0] policy
     /* 1840607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840617 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1840620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840641 */     // GIR_Coverage, 24331,
     /* 1840641 */     GIR_EraseRootFromParent_Done,
     /* 1840642 */   // Label 24844: @1840642
     /* 1840642 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1840728), // Rule ID 24334 //
     /* 1840647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1840650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1840664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840693 */     // MIs[0] policy
     /* 1840693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840703 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1840706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840727 */     // GIR_Coverage, 24334,
     /* 1840727 */     GIR_EraseRootFromParent_Done,
     /* 1840728 */   // Label 24845: @1840728
     /* 1840728 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1840814), // Rule ID 24335 //
     /* 1840733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1840736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1840744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1840747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1840750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1840753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1840775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840779 */     // MIs[0] policy
     /* 1840779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840789 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1840792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840813 */     // GIR_Coverage, 24335,
     /* 1840813 */     GIR_EraseRootFromParent_Done,
     /* 1840814 */   // Label 24846: @1840814
     /* 1840814 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1840900), // Rule ID 24338 //
     /* 1840819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1840822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1840836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1840839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1840861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840865 */     // MIs[0] policy
     /* 1840865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840875 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1840878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840899 */     // GIR_Coverage, 24338,
     /* 1840899 */     GIR_EraseRootFromParent_Done,
     /* 1840900 */   // Label 24847: @1840900
     /* 1840900 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1840986), // Rule ID 24339 //
     /* 1840905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1840908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1840916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1840919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1840922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1840925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1840947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840951 */     // MIs[0] policy
     /* 1840951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840961 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1840964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840985 */     // GIR_Coverage, 24339,
     /* 1840985 */     GIR_EraseRootFromParent_Done,
     /* 1840986 */   // Label 24848: @1840986
     /* 1840986 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1841072), // Rule ID 24342 //
     /* 1840991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1840994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1840999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1841008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1841011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1841033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841037 */     // MIs[0] policy
     /* 1841037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841047 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1841050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841071 */     // GIR_Coverage, 24342,
     /* 1841071 */     GIR_EraseRootFromParent_Done,
     /* 1841072 */   // Label 24849: @1841072
     /* 1841072 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1841158), // Rule ID 24343 //
     /* 1841077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1841080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1841085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1841094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1841097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1841119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841123 */     // MIs[0] policy
     /* 1841123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841133 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1841136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841157 */     // GIR_Coverage, 24343,
     /* 1841157 */     GIR_EraseRootFromParent_Done,
     /* 1841158 */   // Label 24850: @1841158
     /* 1841158 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1841244), // Rule ID 24346 //
     /* 1841163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1841166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1841171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1841183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1841205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841209 */     // MIs[0] policy
     /* 1841209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841219 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1841222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841243 */     // GIR_Coverage, 24346,
     /* 1841243 */     GIR_EraseRootFromParent_Done,
     /* 1841244 */   // Label 24851: @1841244
     /* 1841244 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1841330), // Rule ID 24347 //
     /* 1841249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1841252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1841257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1841260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1841263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1841266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1841269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1841291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841295 */     // MIs[0] policy
     /* 1841295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841305 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1841308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841329 */     // GIR_Coverage, 24347,
     /* 1841329 */     GIR_EraseRootFromParent_Done,
     /* 1841330 */   // Label 24852: @1841330
     /* 1841330 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1841416), // Rule ID 24350 //
     /* 1841335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1841352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841381 */     // MIs[0] policy
     /* 1841381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1841394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841415 */     // GIR_Coverage, 24350,
     /* 1841415 */     GIR_EraseRootFromParent_Done,
     /* 1841416 */   // Label 24853: @1841416
     /* 1841416 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1841502), // Rule ID 24351 //
     /* 1841421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1841432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1841435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1841438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1841441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841467 */     // MIs[0] policy
     /* 1841467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1841480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841501 */     // GIR_Coverage, 24351,
     /* 1841501 */     GIR_EraseRootFromParent_Done,
     /* 1841502 */   // Label 24854: @1841502
     /* 1841502 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1841588), // Rule ID 24354 //
     /* 1841507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1841518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1841521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1841524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841553 */     // MIs[0] policy
     /* 1841553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1841566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841587 */     // GIR_Coverage, 24354,
     /* 1841587 */     GIR_EraseRootFromParent_Done,
     /* 1841588 */   // Label 24855: @1841588
     /* 1841588 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1841674), // Rule ID 24355 //
     /* 1841593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1841604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1841607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1841610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1841613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841639 */     // MIs[0] policy
     /* 1841639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1841652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841673 */     // GIR_Coverage, 24355,
     /* 1841673 */     GIR_EraseRootFromParent_Done,
     /* 1841674 */   // Label 24856: @1841674
     /* 1841674 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1841760), // Rule ID 24358 //
     /* 1841679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1841690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1841693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1841696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841725 */     // MIs[0] policy
     /* 1841725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841735 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1841738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841759 */     // GIR_Coverage, 24358,
     /* 1841759 */     GIR_EraseRootFromParent_Done,
     /* 1841760 */   // Label 24857: @1841760
     /* 1841760 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1841846), // Rule ID 24359 //
     /* 1841765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1841776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1841779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1841782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1841785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841811 */     // MIs[0] policy
     /* 1841811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841821 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1841824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841845 */     // GIR_Coverage, 24359,
     /* 1841845 */     GIR_EraseRootFromParent_Done,
     /* 1841846 */   // Label 24858: @1841846
     /* 1841846 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1841932), // Rule ID 24362 //
     /* 1841851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1841868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841897 */     // MIs[0] policy
     /* 1841897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1841910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841931 */     // GIR_Coverage, 24362,
     /* 1841931 */     GIR_EraseRootFromParent_Done,
     /* 1841932 */   // Label 24859: @1841932
     /* 1841932 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1842018), // Rule ID 24363 //
     /* 1841937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1841945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1841948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1841951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1841954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841983 */     // MIs[0] policy
     /* 1841983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1841996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842017 */     // GIR_Coverage, 24363,
     /* 1842017 */     GIR_EraseRootFromParent_Done,
     /* 1842018 */   // Label 24860: @1842018
     /* 1842018 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1842104), // Rule ID 24366 //
     /* 1842023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1842040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842069 */     // MIs[0] policy
     /* 1842069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842079 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1842082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842103 */     // GIR_Coverage, 24366,
     /* 1842103 */     GIR_EraseRootFromParent_Done,
     /* 1842104 */   // Label 24861: @1842104
     /* 1842104 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1842190), // Rule ID 24367 //
     /* 1842109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1842126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842155 */     // MIs[0] policy
     /* 1842155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1842168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842189 */     // GIR_Coverage, 24367,
     /* 1842189 */     GIR_EraseRootFromParent_Done,
     /* 1842190 */   // Label 24862: @1842190
     /* 1842190 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1842276), // Rule ID 24370 //
     /* 1842195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1842212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842241 */     // MIs[0] policy
     /* 1842241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842251 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1842254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842275 */     // GIR_Coverage, 24370,
     /* 1842275 */     GIR_EraseRootFromParent_Done,
     /* 1842276 */   // Label 24863: @1842276
     /* 1842276 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1842362), // Rule ID 24371 //
     /* 1842281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1842292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1842295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1842298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842327 */     // MIs[0] policy
     /* 1842327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1842340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842361 */     // GIR_Coverage, 24371,
     /* 1842361 */     GIR_EraseRootFromParent_Done,
     /* 1842362 */   // Label 24864: @1842362
     /* 1842362 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1842448), // Rule ID 24374 //
     /* 1842367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1842384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842413 */     // MIs[0] policy
     /* 1842413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1842426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842447 */     // GIR_Coverage, 24374,
     /* 1842447 */     GIR_EraseRootFromParent_Done,
     /* 1842448 */   // Label 24865: @1842448
     /* 1842448 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1842534), // Rule ID 24375 //
     /* 1842453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1842464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1842467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1842470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842499 */     // MIs[0] policy
     /* 1842499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1842512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842533 */     // GIR_Coverage, 24375,
     /* 1842533 */     GIR_EraseRootFromParent_Done,
     /* 1842534 */   // Label 24866: @1842534
     /* 1842534 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1842620), // Rule ID 24378 //
     /* 1842539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1842556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842585 */     // MIs[0] policy
     /* 1842585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1842598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842619 */     // GIR_Coverage, 24378,
     /* 1842619 */     GIR_EraseRootFromParent_Done,
     /* 1842620 */   // Label 24867: @1842620
     /* 1842620 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1842706), // Rule ID 24379 //
     /* 1842625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1842642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1842645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842671 */     // MIs[0] policy
     /* 1842671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1842684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842705 */     // GIR_Coverage, 24379,
     /* 1842705 */     GIR_EraseRootFromParent_Done,
     /* 1842706 */   // Label 24868: @1842706
     /* 1842706 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1842792), // Rule ID 24382 //
     /* 1842711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1842728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842757 */     // MIs[0] policy
     /* 1842757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1842770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842791 */     // GIR_Coverage, 24382,
     /* 1842791 */     GIR_EraseRootFromParent_Done,
     /* 1842792 */   // Label 24869: @1842792
     /* 1842792 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1842878), // Rule ID 24383 //
     /* 1842797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1842808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1842811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1842814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842843 */     // MIs[0] policy
     /* 1842843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1842856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842877 */     // GIR_Coverage, 24383,
     /* 1842877 */     GIR_EraseRootFromParent_Done,
     /* 1842878 */   // Label 24870: @1842878
     /* 1842878 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1842964), // Rule ID 24386 //
     /* 1842883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1842886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1842900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1842903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842929 */     // MIs[0] policy
     /* 1842929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1842942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842963 */     // GIR_Coverage, 24386,
     /* 1842963 */     GIR_EraseRootFromParent_Done,
     /* 1842964 */   // Label 24871: @1842964
     /* 1842964 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1843050), // Rule ID 24387 //
     /* 1842969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1842977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1842986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1842989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843015 */     // MIs[0] policy
     /* 1843015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1843028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843049 */     // GIR_Coverage, 24387,
     /* 1843049 */     GIR_EraseRootFromParent_Done,
     /* 1843050 */   // Label 24872: @1843050
     /* 1843050 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1843136), // Rule ID 24390 //
     /* 1843055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843101 */     // MIs[0] policy
     /* 1843101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1843114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843135 */     // GIR_Coverage, 24390,
     /* 1843135 */     GIR_EraseRootFromParent_Done,
     /* 1843136 */   // Label 24873: @1843136
     /* 1843136 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1843222), // Rule ID 24391 //
     /* 1843141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843187 */     // MIs[0] policy
     /* 1843187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1843200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843221 */     // GIR_Coverage, 24391,
     /* 1843221 */     GIR_EraseRootFromParent_Done,
     /* 1843222 */   // Label 24874: @1843222
     /* 1843222 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1843308), // Rule ID 24394 //
     /* 1843227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843273 */     // MIs[0] policy
     /* 1843273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1843286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843307 */     // GIR_Coverage, 24394,
     /* 1843307 */     GIR_EraseRootFromParent_Done,
     /* 1843308 */   // Label 24875: @1843308
     /* 1843308 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1843394), // Rule ID 24395 //
     /* 1843313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1843324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1843327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843359 */     // MIs[0] policy
     /* 1843359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1843372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843393 */     // GIR_Coverage, 24395,
     /* 1843393 */     GIR_EraseRootFromParent_Done,
     /* 1843394 */   // Label 24876: @1843394
     /* 1843394 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1843480), // Rule ID 24398 //
     /* 1843399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1843416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843445 */     // MIs[0] policy
     /* 1843445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843455 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1843458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843479 */     // GIR_Coverage, 24398,
     /* 1843479 */     GIR_EraseRootFromParent_Done,
     /* 1843480 */   // Label 24877: @1843480
     /* 1843480 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1843566), // Rule ID 24399 //
     /* 1843485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1843496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1843499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1843502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1843505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1843508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843531 */     // MIs[0] policy
     /* 1843531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843541 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1843544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843565 */     // GIR_Coverage, 24399,
     /* 1843565 */     GIR_EraseRootFromParent_Done,
     /* 1843566 */   // Label 24878: @1843566
     /* 1843566 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1843652), // Rule ID 24402 //
     /* 1843571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1843588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843617 */     // MIs[0] policy
     /* 1843617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1843630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843651 */     // GIR_Coverage, 24402,
     /* 1843651 */     GIR_EraseRootFromParent_Done,
     /* 1843652 */   // Label 24879: @1843652
     /* 1843652 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1843738), // Rule ID 24403 //
     /* 1843657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1843674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843703 */     // MIs[0] policy
     /* 1843703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843713 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1843716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843737 */     // GIR_Coverage, 24403,
     /* 1843737 */     GIR_EraseRootFromParent_Done,
     /* 1843738 */   // Label 24880: @1843738
     /* 1843738 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1843824), // Rule ID 24406 //
     /* 1843743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1843760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843789 */     // MIs[0] policy
     /* 1843789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1843802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843823 */     // GIR_Coverage, 24406,
     /* 1843823 */     GIR_EraseRootFromParent_Done,
     /* 1843824 */   // Label 24881: @1843824
     /* 1843824 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1843910), // Rule ID 24407 //
     /* 1843829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1843846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1843849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843875 */     // MIs[0] policy
     /* 1843875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1843888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843909 */     // GIR_Coverage, 24407,
     /* 1843909 */     GIR_EraseRootFromParent_Done,
     /* 1843910 */   // Label 24882: @1843910
     /* 1843910 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1843996), // Rule ID 24410 //
     /* 1843915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1843923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1843932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1843935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843961 */     // MIs[0] policy
     /* 1843961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1843974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843995 */     // GIR_Coverage, 24410,
     /* 1843995 */     GIR_EraseRootFromParent_Done,
     /* 1843996 */   // Label 24883: @1843996
     /* 1843996 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1844082), // Rule ID 24411 //
     /* 1844001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1844018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1844021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844047 */     // MIs[0] policy
     /* 1844047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1844060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844081 */     // GIR_Coverage, 24411,
     /* 1844081 */     GIR_EraseRootFromParent_Done,
     /* 1844082 */   // Label 24884: @1844082
     /* 1844082 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1844168), // Rule ID 24414 //
     /* 1844087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1844104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844133 */     // MIs[0] policy
     /* 1844133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1844146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844167 */     // GIR_Coverage, 24414,
     /* 1844167 */     GIR_EraseRootFromParent_Done,
     /* 1844168 */   // Label 24885: @1844168
     /* 1844168 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1844254), // Rule ID 24415 //
     /* 1844173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1844190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844219 */     // MIs[0] policy
     /* 1844219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1844232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844253 */     // GIR_Coverage, 24415,
     /* 1844253 */     GIR_EraseRootFromParent_Done,
     /* 1844254 */   // Label 24886: @1844254
     /* 1844254 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1844340), // Rule ID 24418 //
     /* 1844259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1844276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844305 */     // MIs[0] policy
     /* 1844305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1844318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844339 */     // GIR_Coverage, 24418,
     /* 1844339 */     GIR_EraseRootFromParent_Done,
     /* 1844340 */   // Label 24887: @1844340
     /* 1844340 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1844426), // Rule ID 24419 //
     /* 1844345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1844362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844391 */     // MIs[0] policy
     /* 1844391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1844404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844425 */     // GIR_Coverage, 24419,
     /* 1844425 */     GIR_EraseRootFromParent_Done,
     /* 1844426 */   // Label 24888: @1844426
     /* 1844426 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1844512), // Rule ID 24422 //
     /* 1844431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1844448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844477 */     // MIs[0] policy
     /* 1844477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1844490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844511 */     // GIR_Coverage, 24422,
     /* 1844511 */     GIR_EraseRootFromParent_Done,
     /* 1844512 */   // Label 24889: @1844512
     /* 1844512 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1844598), // Rule ID 24423 //
     /* 1844517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1844534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1844537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844563 */     // MIs[0] policy
     /* 1844563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844573 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1844576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844597 */     // GIR_Coverage, 24423,
     /* 1844597 */     GIR_EraseRootFromParent_Done,
     /* 1844598 */   // Label 24890: @1844598
     /* 1844598 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1844684), // Rule ID 24426 //
     /* 1844603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1844620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1844623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844649 */     // MIs[0] policy
     /* 1844649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1844662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844683 */     // GIR_Coverage, 24426,
     /* 1844683 */     GIR_EraseRootFromParent_Done,
     /* 1844684 */   // Label 24891: @1844684
     /* 1844684 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1844770), // Rule ID 24427 //
     /* 1844689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1844692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1844706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1844709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844735 */     // MIs[0] policy
     /* 1844735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844745 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1844748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844769 */     // GIR_Coverage, 24427,
     /* 1844769 */     GIR_EraseRootFromParent_Done,
     /* 1844770 */   // Label 24892: @1844770
     /* 1844770 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1844856), // Rule ID 24430 //
     /* 1844775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1844792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1844795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844821 */     // MIs[0] policy
     /* 1844821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844831 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1844834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844855 */     // GIR_Coverage, 24430,
     /* 1844855 */     GIR_EraseRootFromParent_Done,
     /* 1844856 */   // Label 24893: @1844856
     /* 1844856 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1844942), // Rule ID 24431 //
     /* 1844861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1844864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1844878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1844881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844907 */     // MIs[0] policy
     /* 1844907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844917 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1844920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1844938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844941 */     // GIR_Coverage, 24431,
     /* 1844941 */     GIR_EraseRootFromParent_Done,
     /* 1844942 */   // Label 24894: @1844942
     /* 1844942 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1845028), // Rule ID 24434 //
     /* 1844947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1844950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1844955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1844958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1844961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1844964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1844967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844993 */     // MIs[0] policy
     /* 1844993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1845006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845027 */     // GIR_Coverage, 24434,
     /* 1845027 */     GIR_EraseRootFromParent_Done,
     /* 1845028 */   // Label 24895: @1845028
     /* 1845028 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1845114), // Rule ID 24435 //
     /* 1845033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1845041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1845050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845079 */     // MIs[0] policy
     /* 1845079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1845092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845113 */     // GIR_Coverage, 24435,
     /* 1845113 */     GIR_EraseRootFromParent_Done,
     /* 1845114 */   // Label 24896: @1845114
     /* 1845114 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1845200), // Rule ID 24438 //
     /* 1845119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1845130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1845133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845165 */     // MIs[0] policy
     /* 1845165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1845178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845199 */     // GIR_Coverage, 24438,
     /* 1845199 */     GIR_EraseRootFromParent_Done,
     /* 1845200 */   // Label 24897: @1845200
     /* 1845200 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1845286), // Rule ID 24439 //
     /* 1845205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1845216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1845219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1845222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845251 */     // MIs[0] policy
     /* 1845251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1845264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845285 */     // GIR_Coverage, 24439,
     /* 1845285 */     GIR_EraseRootFromParent_Done,
     /* 1845286 */   // Label 24898: @1845286
     /* 1845286 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1845372), // Rule ID 24442 //
     /* 1845291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1845302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1845305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845337 */     // MIs[0] policy
     /* 1845337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845347 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1845350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845371 */     // GIR_Coverage, 24442,
     /* 1845371 */     GIR_EraseRootFromParent_Done,
     /* 1845372 */   // Label 24899: @1845372
     /* 1845372 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1845458), // Rule ID 24443 //
     /* 1845377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1845388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1845391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845423 */     // MIs[0] policy
     /* 1845423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1845436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845457 */     // GIR_Coverage, 24443,
     /* 1845457 */     GIR_EraseRootFromParent_Done,
     /* 1845458 */   // Label 24900: @1845458
     /* 1845458 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1845544), // Rule ID 24446 //
     /* 1845463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1845474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1845477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845509 */     // MIs[0] policy
     /* 1845509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845519 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1845522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845543 */     // GIR_Coverage, 24446,
     /* 1845543 */     GIR_EraseRootFromParent_Done,
     /* 1845544 */   // Label 24901: @1845544
     /* 1845544 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1845630), // Rule ID 24447 //
     /* 1845549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1845560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1845563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845595 */     // MIs[0] policy
     /* 1845595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1845608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845629 */     // GIR_Coverage, 24447,
     /* 1845629 */     GIR_EraseRootFromParent_Done,
     /* 1845630 */   // Label 24902: @1845630
     /* 1845630 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1845716), // Rule ID 24450 //
     /* 1845635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845681 */     // MIs[0] policy
     /* 1845681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1845694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845715 */     // GIR_Coverage, 24450,
     /* 1845715 */     GIR_EraseRootFromParent_Done,
     /* 1845716 */   // Label 24903: @1845716
     /* 1845716 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1845802), // Rule ID 24451 //
     /* 1845721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845767 */     // MIs[0] policy
     /* 1845767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845777 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1845780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845801 */     // GIR_Coverage, 24451,
     /* 1845801 */     GIR_EraseRootFromParent_Done,
     /* 1845802 */   // Label 24904: @1845802
     /* 1845802 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1845888), // Rule ID 24454 //
     /* 1845807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845853 */     // MIs[0] policy
     /* 1845853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845863 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1845866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845887 */     // GIR_Coverage, 24454,
     /* 1845887 */     GIR_EraseRootFromParent_Done,
     /* 1845888 */   // Label 24905: @1845888
     /* 1845888 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1845974), // Rule ID 24455 //
     /* 1845893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1845910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845939 */     // MIs[0] policy
     /* 1845939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1845952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1845970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845973 */     // GIR_Coverage, 24455,
     /* 1845973 */     GIR_EraseRootFromParent_Done,
     /* 1845974 */   // Label 24906: @1845974
     /* 1845974 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1846060), // Rule ID 24458 //
     /* 1845979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1845987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1845996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846025 */     // MIs[0] policy
     /* 1846025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1846038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846059 */     // GIR_Coverage, 24458,
     /* 1846059 */     GIR_EraseRootFromParent_Done,
     /* 1846060 */   // Label 24907: @1846060
     /* 1846060 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1846146), // Rule ID 24459 //
     /* 1846065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1846082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846111 */     // MIs[0] policy
     /* 1846111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1846124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846145 */     // GIR_Coverage, 24459,
     /* 1846145 */     GIR_EraseRootFromParent_Done,
     /* 1846146 */   // Label 24908: @1846146
     /* 1846146 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1846232), // Rule ID 24462 //
     /* 1846151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1846162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1846165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1846171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846197 */     // MIs[0] policy
     /* 1846197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846231 */     // GIR_Coverage, 24462,
     /* 1846231 */     GIR_EraseRootFromParent_Done,
     /* 1846232 */   // Label 24909: @1846232
     /* 1846232 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1846318), // Rule ID 24463 //
     /* 1846237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1846248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1846251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846283 */     // MIs[0] policy
     /* 1846283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846317 */     // GIR_Coverage, 24463,
     /* 1846317 */     GIR_EraseRootFromParent_Done,
     /* 1846318 */   // Label 24910: @1846318
     /* 1846318 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1846404), // Rule ID 24466 //
     /* 1846323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1846343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846369 */     // MIs[0] policy
     /* 1846369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846403 */     // GIR_Coverage, 24466,
     /* 1846403 */     GIR_EraseRootFromParent_Done,
     /* 1846404 */   // Label 24911: @1846404
     /* 1846404 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1846490), // Rule ID 24467 //
     /* 1846409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846455 */     // MIs[0] policy
     /* 1846455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846489 */     // GIR_Coverage, 24467,
     /* 1846489 */     GIR_EraseRootFromParent_Done,
     /* 1846490 */   // Label 24912: @1846490
     /* 1846490 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1846576), // Rule ID 24470 //
     /* 1846495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1846515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846541 */     // MIs[0] policy
     /* 1846541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846575 */     // GIR_Coverage, 24470,
     /* 1846575 */     GIR_EraseRootFromParent_Done,
     /* 1846576 */   // Label 24913: @1846576
     /* 1846576 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1846662), // Rule ID 24471 //
     /* 1846581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1846598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846627 */     // MIs[0] policy
     /* 1846627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846661 */     // GIR_Coverage, 24471,
     /* 1846661 */     GIR_EraseRootFromParent_Done,
     /* 1846662 */   // Label 24914: @1846662
     /* 1846662 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1846748), // Rule ID 24474 //
     /* 1846667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1846670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1846678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1846681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1846684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1846687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846713 */     // MIs[0] policy
     /* 1846713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1846744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846747 */     // GIR_Coverage, 24474,
     /* 1846747 */     GIR_EraseRootFromParent_Done,
     /* 1846748 */   // Label 24915: @1846748
     /* 1846748 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1846834), // Rule ID 24475 //
     /* 1846753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1846756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1846764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1846767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1846770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846799 */     // MIs[0] policy
     /* 1846799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1846812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1846830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846833 */     // GIR_Coverage, 24475,
     /* 1846833 */     GIR_EraseRootFromParent_Done,
     /* 1846834 */   // Label 24916: @1846834
     /* 1846834 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1846920), // Rule ID 24478 //
     /* 1846839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1846850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1846853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1846856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1846859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846885 */     // MIs[0] policy
     /* 1846885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846895 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1846898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846919 */     // GIR_Coverage, 24478,
     /* 1846919 */     GIR_EraseRootFromParent_Done,
     /* 1846920 */   // Label 24917: @1846920
     /* 1846920 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1847006), // Rule ID 24479 //
     /* 1846925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1846933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1846936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1846939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1846942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1846945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846971 */     // MIs[0] policy
     /* 1846971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1846984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1846988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847005 */     // GIR_Coverage, 24479,
     /* 1847005 */     GIR_EraseRootFromParent_Done,
     /* 1847006 */   // Label 24918: @1847006
     /* 1847006 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1847092), // Rule ID 24482 //
     /* 1847011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1847028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847057 */     // MIs[0] policy
     /* 1847057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1847070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847091 */     // GIR_Coverage, 24482,
     /* 1847091 */     GIR_EraseRootFromParent_Done,
     /* 1847092 */   // Label 24919: @1847092
     /* 1847092 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1847178), // Rule ID 24483 //
     /* 1847097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1847114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847143 */     // MIs[0] policy
     /* 1847143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1847156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847177 */     // GIR_Coverage, 24483,
     /* 1847177 */     GIR_EraseRootFromParent_Done,
     /* 1847178 */   // Label 24920: @1847178
     /* 1847178 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1847264), // Rule ID 24486 //
     /* 1847183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1847194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1847197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1847200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1847206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847229 */     // MIs[0] policy
     /* 1847229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847239 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1847242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847263 */     // GIR_Coverage, 24486,
     /* 1847263 */     GIR_EraseRootFromParent_Done,
     /* 1847264 */   // Label 24921: @1847264
     /* 1847264 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1847350), // Rule ID 24487 //
     /* 1847269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1847280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1847283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1847286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1847292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847315 */     // MIs[0] policy
     /* 1847315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847325 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1847328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847349 */     // GIR_Coverage, 24487,
     /* 1847349 */     GIR_EraseRootFromParent_Done,
     /* 1847350 */   // Label 24922: @1847350
     /* 1847350 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1847436), // Rule ID 24490 //
     /* 1847355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1847372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847401 */     // MIs[0] policy
     /* 1847401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1847414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847435 */     // GIR_Coverage, 24490,
     /* 1847435 */     GIR_EraseRootFromParent_Done,
     /* 1847436 */   // Label 24923: @1847436
     /* 1847436 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1847522), // Rule ID 24491 //
     /* 1847441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1847452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1847455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1847458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847487 */     // MIs[0] policy
     /* 1847487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1847500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847521 */     // GIR_Coverage, 24491,
     /* 1847521 */     GIR_EraseRootFromParent_Done,
     /* 1847522 */   // Label 24924: @1847522
     /* 1847522 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1847608), // Rule ID 24494 //
     /* 1847527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1847544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847573 */     // MIs[0] policy
     /* 1847573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1847586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847607 */     // GIR_Coverage, 24494,
     /* 1847607 */     GIR_EraseRootFromParent_Done,
     /* 1847608 */   // Label 24925: @1847608
     /* 1847608 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1847694), // Rule ID 24495 //
     /* 1847613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1847624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1847627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1847630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847659 */     // MIs[0] policy
     /* 1847659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1847672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847693 */     // GIR_Coverage, 24495,
     /* 1847693 */     GIR_EraseRootFromParent_Done,
     /* 1847694 */   // Label 24926: @1847694
     /* 1847694 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1847780), // Rule ID 24498 //
     /* 1847699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1847716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847745 */     // MIs[0] policy
     /* 1847745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1847758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847779 */     // GIR_Coverage, 24498,
     /* 1847779 */     GIR_EraseRootFromParent_Done,
     /* 1847780 */   // Label 24927: @1847780
     /* 1847780 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1847866), // Rule ID 24499 //
     /* 1847785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1847796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1847799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1847802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847831 */     // MIs[0] policy
     /* 1847831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847841 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1847844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847865 */     // GIR_Coverage, 24499,
     /* 1847865 */     GIR_EraseRootFromParent_Done,
     /* 1847866 */   // Label 24928: @1847866
     /* 1847866 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1847952), // Rule ID 24502 //
     /* 1847871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1847891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847917 */     // MIs[0] policy
     /* 1847917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1847930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1847934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847951 */     // GIR_Coverage, 24502,
     /* 1847951 */     GIR_EraseRootFromParent_Done,
     /* 1847952 */   // Label 24929: @1847952
     /* 1847952 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1848038), // Rule ID 24503 //
     /* 1847957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1847965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1847968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1847971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1847974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1847977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848003 */     // MIs[0] policy
     /* 1848003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1848016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848037 */     // GIR_Coverage, 24503,
     /* 1848037 */     GIR_EraseRootFromParent_Done,
     /* 1848038 */   // Label 24930: @1848038
     /* 1848038 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1848124), // Rule ID 24506 //
     /* 1848043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1848060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1848063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848089 */     // MIs[0] policy
     /* 1848089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1848102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848123 */     // GIR_Coverage, 24506,
     /* 1848123 */     GIR_EraseRootFromParent_Done,
     /* 1848124 */   // Label 24931: @1848124
     /* 1848124 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1848210), // Rule ID 24507 //
     /* 1848129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1848146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1848149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848175 */     // MIs[0] policy
     /* 1848175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1848188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848209 */     // GIR_Coverage, 24507,
     /* 1848209 */     GIR_EraseRootFromParent_Done,
     /* 1848210 */   // Label 24932: @1848210
     /* 1848210 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1848296), // Rule ID 24510 //
     /* 1848215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1848232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1848235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848261 */     // MIs[0] policy
     /* 1848261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1848274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848295 */     // GIR_Coverage, 24510,
     /* 1848295 */     GIR_EraseRootFromParent_Done,
     /* 1848296 */   // Label 24933: @1848296
     /* 1848296 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1848382), // Rule ID 24511 //
     /* 1848301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1848312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1848315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1848318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1848321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848347 */     // MIs[0] policy
     /* 1848347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1848360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848381 */     // GIR_Coverage, 24511,
     /* 1848381 */     GIR_EraseRootFromParent_Done,
     /* 1848382 */   // Label 24934: @1848382
     /* 1848382 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1848468), // Rule ID 24514 //
     /* 1848387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1848390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1848404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1848407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848433 */     // MIs[0] policy
     /* 1848433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1848446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848467 */     // GIR_Coverage, 24514,
     /* 1848467 */     GIR_EraseRootFromParent_Done,
     /* 1848468 */   // Label 24935: @1848468
     /* 1848468 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1848554), // Rule ID 24515 //
     /* 1848473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1848476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1848484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1848487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1848490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1848493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848519 */     // MIs[0] policy
     /* 1848519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848529 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1848532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848553 */     // GIR_Coverage, 24515,
     /* 1848553 */     GIR_EraseRootFromParent_Done,
     /* 1848554 */   // Label 24936: @1848554
     /* 1848554 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1848640), // Rule ID 24518 //
     /* 1848559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1848562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1848576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1848579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848605 */     // MIs[0] policy
     /* 1848605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1848618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848639 */     // GIR_Coverage, 24518,
     /* 1848639 */     GIR_EraseRootFromParent_Done,
     /* 1848640 */   // Label 24937: @1848640
     /* 1848640 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1848726), // Rule ID 24519 //
     /* 1848645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1848648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1848656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1848659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1848662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1848665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848691 */     // MIs[0] policy
     /* 1848691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1848704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848725 */     // GIR_Coverage, 24519,
     /* 1848725 */     GIR_EraseRootFromParent_Done,
     /* 1848726 */   // Label 24938: @1848726
     /* 1848726 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1848812), // Rule ID 24522 //
     /* 1848731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1848734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1848748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1848751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848777 */     // MIs[0] policy
     /* 1848777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1848790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848811 */     // GIR_Coverage, 24522,
     /* 1848811 */     GIR_EraseRootFromParent_Done,
     /* 1848812 */   // Label 24939: @1848812
     /* 1848812 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1848898), // Rule ID 24523 //
     /* 1848817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1848820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1848825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1848828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1848831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1848834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1848837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848863 */     // MIs[0] policy
     /* 1848863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1848876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1848894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848897 */     // GIR_Coverage, 24523,
     /* 1848897 */     GIR_EraseRootFromParent_Done,
     /* 1848898 */   // Label 24940: @1848898
     /* 1848898 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1848984), // Rule ID 24614 //
     /* 1848903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1848911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1848914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1848917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1848920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1848923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848949 */     // MIs[0] policy
     /* 1848949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1848962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1848966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848983 */     // GIR_Coverage, 24614,
     /* 1848983 */     GIR_EraseRootFromParent_Done,
     /* 1848984 */   // Label 24941: @1848984
     /* 1848984 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1849070), // Rule ID 24615 //
     /* 1848989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1848997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1849000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1849003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849035 */     // MIs[0] policy
     /* 1849035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849045 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1849048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849069 */     // GIR_Coverage, 24615,
     /* 1849069 */     GIR_EraseRootFromParent_Done,
     /* 1849070 */   // Label 24942: @1849070
     /* 1849070 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1849156), // Rule ID 24618 //
     /* 1849075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1849086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1849089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849121 */     // MIs[0] policy
     /* 1849121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849131 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1849134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849155 */     // GIR_Coverage, 24618,
     /* 1849155 */     GIR_EraseRootFromParent_Done,
     /* 1849156 */   // Label 24943: @1849156
     /* 1849156 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1849242), // Rule ID 24619 //
     /* 1849161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1849172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1849175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849207 */     // MIs[0] policy
     /* 1849207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1849220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849241 */     // GIR_Coverage, 24619,
     /* 1849241 */     GIR_EraseRootFromParent_Done,
     /* 1849242 */   // Label 24944: @1849242
     /* 1849242 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1849328), // Rule ID 24622 //
     /* 1849247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1849258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1849261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849293 */     // MIs[0] policy
     /* 1849293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1849306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849327 */     // GIR_Coverage, 24622,
     /* 1849327 */     GIR_EraseRootFromParent_Done,
     /* 1849328 */   // Label 24945: @1849328
     /* 1849328 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1849414), // Rule ID 24623 //
     /* 1849333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1849344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1849347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1849350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849379 */     // MIs[0] policy
     /* 1849379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1849392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849413 */     // GIR_Coverage, 24623,
     /* 1849413 */     GIR_EraseRootFromParent_Done,
     /* 1849414 */   // Label 24946: @1849414
     /* 1849414 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1849500), // Rule ID 24626 //
     /* 1849419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849465 */     // MIs[0] policy
     /* 1849465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1849478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849499 */     // GIR_Coverage, 24626,
     /* 1849499 */     GIR_EraseRootFromParent_Done,
     /* 1849500 */   // Label 24947: @1849500
     /* 1849500 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1849586), // Rule ID 24627 //
     /* 1849505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1849522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849551 */     // MIs[0] policy
     /* 1849551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1849564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849585 */     // GIR_Coverage, 24627,
     /* 1849585 */     GIR_EraseRootFromParent_Done,
     /* 1849586 */   // Label 24948: @1849586
     /* 1849586 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1849672), // Rule ID 24630 //
     /* 1849591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849637 */     // MIs[0] policy
     /* 1849637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1849650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849671 */     // GIR_Coverage, 24630,
     /* 1849671 */     GIR_EraseRootFromParent_Done,
     /* 1849672 */   // Label 24949: @1849672
     /* 1849672 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1849758), // Rule ID 24631 //
     /* 1849677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1849694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849723 */     // MIs[0] policy
     /* 1849723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849733 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1849736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849757 */     // GIR_Coverage, 24631,
     /* 1849757 */     GIR_EraseRootFromParent_Done,
     /* 1849758 */   // Label 24950: @1849758
     /* 1849758 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1849844), // Rule ID 24634 //
     /* 1849763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1849780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849809 */     // MIs[0] policy
     /* 1849809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1849822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849843 */     // GIR_Coverage, 24634,
     /* 1849843 */     GIR_EraseRootFromParent_Done,
     /* 1849844 */   // Label 24951: @1849844
     /* 1849844 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1849930), // Rule ID 24635 //
     /* 1849849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1849866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849895 */     // MIs[0] policy
     /* 1849895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1849908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849929 */     // GIR_Coverage, 24635,
     /* 1849929 */     GIR_EraseRootFromParent_Done,
     /* 1849930 */   // Label 24952: @1849930
     /* 1849930 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1850016), // Rule ID 24638 //
     /* 1849935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1849943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1849946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1849949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1849952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849981 */     // MIs[0] policy
     /* 1849981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1849994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1849998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850015 */     // GIR_Coverage, 24638,
     /* 1850015 */     GIR_EraseRootFromParent_Done,
     /* 1850016 */   // Label 24953: @1850016
     /* 1850016 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1850102), // Rule ID 24639 //
     /* 1850021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1850032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1850035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1850038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850067 */     // MIs[0] policy
     /* 1850067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1850080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850101 */     // GIR_Coverage, 24639,
     /* 1850101 */     GIR_EraseRootFromParent_Done,
     /* 1850102 */   // Label 24954: @1850102
     /* 1850102 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1850188), // Rule ID 24642 //
     /* 1850107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850153 */     // MIs[0] policy
     /* 1850153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1850166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850187 */     // GIR_Coverage, 24642,
     /* 1850187 */     GIR_EraseRootFromParent_Done,
     /* 1850188 */   // Label 24955: @1850188
     /* 1850188 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1850274), // Rule ID 24643 //
     /* 1850193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1850210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1850213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850239 */     // MIs[0] policy
     /* 1850239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1850252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850273 */     // GIR_Coverage, 24643,
     /* 1850273 */     GIR_EraseRootFromParent_Done,
     /* 1850274 */   // Label 24956: @1850274
     /* 1850274 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1850360), // Rule ID 24646 //
     /* 1850279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850325 */     // MIs[0] policy
     /* 1850325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1850338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850359 */     // GIR_Coverage, 24646,
     /* 1850359 */     GIR_EraseRootFromParent_Done,
     /* 1850360 */   // Label 24957: @1850360
     /* 1850360 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1850446), // Rule ID 24647 //
     /* 1850365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1850382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850411 */     // MIs[0] policy
     /* 1850411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1850424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850445 */     // GIR_Coverage, 24647,
     /* 1850445 */     GIR_EraseRootFromParent_Done,
     /* 1850446 */   // Label 24958: @1850446
     /* 1850446 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1850532), // Rule ID 24650 //
     /* 1850451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1850468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850497 */     // MIs[0] policy
     /* 1850497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1850510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1850528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850531 */     // GIR_Coverage, 24650,
     /* 1850531 */     GIR_EraseRootFromParent_Done,
     /* 1850532 */   // Label 24959: @1850532
     /* 1850532 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1850618), // Rule ID 24651 //
     /* 1850537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1850548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1850551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1850554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850583 */     // MIs[0] policy
     /* 1850583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1850596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1850614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850617 */     // GIR_Coverage, 24651,
     /* 1850617 */     GIR_EraseRootFromParent_Done,
     /* 1850618 */   // Label 24960: @1850618
     /* 1850618 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1850704), // Rule ID 24654 //
     /* 1850623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1850634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1850637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1850640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850669 */     // MIs[0] policy
     /* 1850669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1850682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850703 */     // GIR_Coverage, 24654,
     /* 1850703 */     GIR_EraseRootFromParent_Done,
     /* 1850704 */   // Label 24961: @1850704
     /* 1850704 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1850790), // Rule ID 24655 //
     /* 1850709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1850720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1850723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1850726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1850729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850755 */     // MIs[0] policy
     /* 1850755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1850768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850789 */     // GIR_Coverage, 24655,
     /* 1850789 */     GIR_EraseRootFromParent_Done,
     /* 1850790 */   // Label 24962: @1850790
     /* 1850790 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1850876), // Rule ID 24658 //
     /* 1850795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1850806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1850809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1850815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850841 */     // MIs[0] policy
     /* 1850841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1850854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850875 */     // GIR_Coverage, 24658,
     /* 1850875 */     GIR_EraseRootFromParent_Done,
     /* 1850876 */   // Label 24963: @1850876
     /* 1850876 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1850962), // Rule ID 24659 //
     /* 1850881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1850892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1850895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1850901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850927 */     // MIs[0] policy
     /* 1850927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1850940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850961 */     // GIR_Coverage, 24659,
     /* 1850961 */     GIR_EraseRootFromParent_Done,
     /* 1850962 */   // Label 24964: @1850962
     /* 1850962 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1851048), // Rule ID 24662 //
     /* 1850967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1850975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1850984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1850987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851013 */     // MIs[0] policy
     /* 1851013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1851026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851047 */     // GIR_Coverage, 24662,
     /* 1851047 */     GIR_EraseRootFromParent_Done,
     /* 1851048 */   // Label 24965: @1851048
     /* 1851048 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1851134), // Rule ID 24663 //
     /* 1851053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1851064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1851067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1851070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851099 */     // MIs[0] policy
     /* 1851099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851109 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1851112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851133 */     // GIR_Coverage, 24663,
     /* 1851133 */     GIR_EraseRootFromParent_Done,
     /* 1851134 */   // Label 24966: @1851134
     /* 1851134 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1851220), // Rule ID 24666 //
     /* 1851139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1851156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851185 */     // MIs[0] policy
     /* 1851185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1851198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851219 */     // GIR_Coverage, 24666,
     /* 1851219 */     GIR_EraseRootFromParent_Done,
     /* 1851220 */   // Label 24967: @1851220
     /* 1851220 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1851306), // Rule ID 24667 //
     /* 1851225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1851236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1851239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1851242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851271 */     // MIs[0] policy
     /* 1851271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1851284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851305 */     // GIR_Coverage, 24667,
     /* 1851305 */     GIR_EraseRootFromParent_Done,
     /* 1851306 */   // Label 24968: @1851306
     /* 1851306 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1851392), // Rule ID 24670 //
     /* 1851311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1851328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1851331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851357 */     // MIs[0] policy
     /* 1851357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1851370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851391 */     // GIR_Coverage, 24670,
     /* 1851391 */     GIR_EraseRootFromParent_Done,
     /* 1851392 */   // Label 24969: @1851392
     /* 1851392 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1851478), // Rule ID 24671 //
     /* 1851397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1851414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1851417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851443 */     // MIs[0] policy
     /* 1851443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851453 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1851456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851477 */     // GIR_Coverage, 24671,
     /* 1851477 */     GIR_EraseRootFromParent_Done,
     /* 1851478 */   // Label 24970: @1851478
     /* 1851478 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1851564), // Rule ID 24674 //
     /* 1851483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851529 */     // MIs[0] policy
     /* 1851529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1851542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851563 */     // GIR_Coverage, 24674,
     /* 1851563 */     GIR_EraseRootFromParent_Done,
     /* 1851564 */   // Label 24971: @1851564
     /* 1851564 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1851650), // Rule ID 24675 //
     /* 1851569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851615 */     // MIs[0] policy
     /* 1851615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851625 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1851628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851649 */     // GIR_Coverage, 24675,
     /* 1851649 */     GIR_EraseRootFromParent_Done,
     /* 1851650 */   // Label 24972: @1851650
     /* 1851650 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1851736), // Rule ID 24678 //
     /* 1851655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851701 */     // MIs[0] policy
     /* 1851701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851711 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1851714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851735 */     // GIR_Coverage, 24678,
     /* 1851735 */     GIR_EraseRootFromParent_Done,
     /* 1851736 */   // Label 24973: @1851736
     /* 1851736 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1851822), // Rule ID 24679 //
     /* 1851741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1851758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851787 */     // MIs[0] policy
     /* 1851787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1851800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851821 */     // GIR_Coverage, 24679,
     /* 1851821 */     GIR_EraseRootFromParent_Done,
     /* 1851822 */   // Label 24974: @1851822
     /* 1851822 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1851908), // Rule ID 24682 //
     /* 1851827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1851844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851873 */     // MIs[0] policy
     /* 1851873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1851886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851907 */     // GIR_Coverage, 24682,
     /* 1851907 */     GIR_EraseRootFromParent_Done,
     /* 1851908 */   // Label 24975: @1851908
     /* 1851908 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1851994), // Rule ID 24683 //
     /* 1851913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1851921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1851930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851959 */     // MIs[0] policy
     /* 1851959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851969 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1851972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851993 */     // GIR_Coverage, 24683,
     /* 1851993 */     GIR_EraseRootFromParent_Done,
     /* 1851994 */   // Label 24976: @1851994
     /* 1851994 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1852080), // Rule ID 24686 //
     /* 1851999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1852016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852045 */     // MIs[0] policy
     /* 1852045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1852058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852079 */     // GIR_Coverage, 24686,
     /* 1852079 */     GIR_EraseRootFromParent_Done,
     /* 1852080 */   // Label 24977: @1852080
     /* 1852080 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1852166), // Rule ID 24687 //
     /* 1852085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1852102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1852105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852131 */     // MIs[0] policy
     /* 1852131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1852144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852165 */     // GIR_Coverage, 24687,
     /* 1852165 */     GIR_EraseRootFromParent_Done,
     /* 1852166 */   // Label 24978: @1852166
     /* 1852166 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1852252), // Rule ID 24690 //
     /* 1852171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1852188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852217 */     // MIs[0] policy
     /* 1852217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1852230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852251 */     // GIR_Coverage, 24690,
     /* 1852251 */     GIR_EraseRootFromParent_Done,
     /* 1852252 */   // Label 24979: @1852252
     /* 1852252 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1852338), // Rule ID 24691 //
     /* 1852257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1852274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1852277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852303 */     // MIs[0] policy
     /* 1852303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1852316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852337 */     // GIR_Coverage, 24691,
     /* 1852337 */     GIR_EraseRootFromParent_Done,
     /* 1852338 */   // Label 24980: @1852338
     /* 1852338 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1852424), // Rule ID 24694 //
     /* 1852343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1852360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852389 */     // MIs[0] policy
     /* 1852389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852399 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1852402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852423 */     // GIR_Coverage, 24694,
     /* 1852423 */     GIR_EraseRootFromParent_Done,
     /* 1852424 */   // Label 24981: @1852424
     /* 1852424 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1852510), // Rule ID 24695 //
     /* 1852429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1852437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1852446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852475 */     // MIs[0] policy
     /* 1852475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852485 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1852488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852509 */     // GIR_Coverage, 24695,
     /* 1852509 */     GIR_EraseRootFromParent_Done,
     /* 1852510 */   // Label 24982: @1852510
     /* 1852510 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1852596), // Rule ID 24698 //
     /* 1852515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1852518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852561 */     // MIs[0] policy
     /* 1852561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852571 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1852574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852595 */     // GIR_Coverage, 24698,
     /* 1852595 */     GIR_EraseRootFromParent_Done,
     /* 1852596 */   // Label 24983: @1852596
     /* 1852596 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1852682), // Rule ID 24699 //
     /* 1852601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1852604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1852612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1852615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1852618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852647 */     // MIs[0] policy
     /* 1852647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852657 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1852660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852681 */     // GIR_Coverage, 24699,
     /* 1852681 */     GIR_EraseRootFromParent_Done,
     /* 1852682 */   // Label 24984: @1852682
     /* 1852682 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1852768), // Rule ID 24702 //
     /* 1852687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1852690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852733 */     // MIs[0] policy
     /* 1852733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852743 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1852746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852767 */     // GIR_Coverage, 24702,
     /* 1852767 */     GIR_EraseRootFromParent_Done,
     /* 1852768 */   // Label 24985: @1852768
     /* 1852768 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1852854), // Rule ID 24703 //
     /* 1852773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1852776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852819 */     // MIs[0] policy
     /* 1852819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1852832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852853 */     // GIR_Coverage, 24703,
     /* 1852853 */     GIR_EraseRootFromParent_Done,
     /* 1852854 */   // Label 24986: @1852854
     /* 1852854 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1852940), // Rule ID 24706 //
     /* 1852859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1852862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1852876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1852879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852905 */     // MIs[0] policy
     /* 1852905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1852918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852939 */     // GIR_Coverage, 24706,
     /* 1852939 */     GIR_EraseRootFromParent_Done,
     /* 1852940 */   // Label 24987: @1852940
     /* 1852940 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1853026), // Rule ID 24707 //
     /* 1852945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1852948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1852953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1852962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1852965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852991 */     // MIs[0] policy
     /* 1852991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1853004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853025 */     // GIR_Coverage, 24707,
     /* 1853025 */     GIR_EraseRootFromParent_Done,
     /* 1853026 */   // Label 24988: @1853026
     /* 1853026 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1853112), // Rule ID 24710 //
     /* 1853031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1853034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1853048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853077 */     // MIs[0] policy
     /* 1853077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1853090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853111 */     // GIR_Coverage, 24710,
     /* 1853111 */     GIR_EraseRootFromParent_Done,
     /* 1853112 */   // Label 24989: @1853112
     /* 1853112 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1853198), // Rule ID 24711 //
     /* 1853117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1853120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1853134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853163 */     // MIs[0] policy
     /* 1853163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853173 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1853176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853197 */     // GIR_Coverage, 24711,
     /* 1853197 */     GIR_EraseRootFromParent_Done,
     /* 1853198 */   // Label 24990: @1853198
     /* 1853198 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1853284), // Rule ID 24714 //
     /* 1853203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1853206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853249 */     // MIs[0] policy
     /* 1853249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853259 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1853262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853283 */     // GIR_Coverage, 24714,
     /* 1853283 */     GIR_EraseRootFromParent_Done,
     /* 1853284 */   // Label 24991: @1853284
     /* 1853284 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1853370), // Rule ID 24715 //
     /* 1853289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1853292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853335 */     // MIs[0] policy
     /* 1853335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853345 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1853348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853369 */     // GIR_Coverage, 24715,
     /* 1853369 */     GIR_EraseRootFromParent_Done,
     /* 1853370 */   // Label 24992: @1853370
     /* 1853370 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1853456), // Rule ID 24718 //
     /* 1853375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1853378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1853392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853421 */     // MIs[0] policy
     /* 1853421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1853434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853455 */     // GIR_Coverage, 24718,
     /* 1853455 */     GIR_EraseRootFromParent_Done,
     /* 1853456 */   // Label 24993: @1853456
     /* 1853456 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1853542), // Rule ID 24719 //
     /* 1853461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1853464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1853478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853507 */     // MIs[0] policy
     /* 1853507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853517 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1853520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853541 */     // GIR_Coverage, 24719,
     /* 1853541 */     GIR_EraseRootFromParent_Done,
     /* 1853542 */   // Label 24994: @1853542
     /* 1853542 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1853628), // Rule ID 24722 //
     /* 1853547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1853550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1853564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1853567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853593 */     // MIs[0] policy
     /* 1853593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1853606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853627 */     // GIR_Coverage, 24722,
     /* 1853627 */     GIR_EraseRootFromParent_Done,
     /* 1853628 */   // Label 24995: @1853628
     /* 1853628 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1853714), // Rule ID 24723 //
     /* 1853633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1853636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1853650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1853653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853679 */     // MIs[0] policy
     /* 1853679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853689 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1853692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853713 */     // GIR_Coverage, 24723,
     /* 1853713 */     GIR_EraseRootFromParent_Done,
     /* 1853714 */   // Label 24996: @1853714
     /* 1853714 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1853800), // Rule ID 24726 //
     /* 1853719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1853722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1853736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1853739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853765 */     // MIs[0] policy
     /* 1853765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853775 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1853778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853799 */     // GIR_Coverage, 24726,
     /* 1853799 */     GIR_EraseRootFromParent_Done,
     /* 1853800 */   // Label 24997: @1853800
     /* 1853800 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1853886), // Rule ID 24727 //
     /* 1853805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1853808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1853816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1853819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1853822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1853825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853851 */     // MIs[0] policy
     /* 1853851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853861 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1853864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853885 */     // GIR_Coverage, 24727,
     /* 1853885 */     GIR_EraseRootFromParent_Done,
     /* 1853886 */   // Label 24998: @1853886
     /* 1853886 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1853972), // Rule ID 24730 //
     /* 1853891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1853894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1853908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1853911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853937 */     // MIs[0] policy
     /* 1853937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853947 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1853950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853971 */     // GIR_Coverage, 24730,
     /* 1853971 */     GIR_EraseRootFromParent_Done,
     /* 1853972 */   // Label 24999: @1853972
     /* 1853972 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1854058), // Rule ID 24731 //
     /* 1853977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1853980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1853985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1853988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1853991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1853994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1853997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854023 */     // MIs[0] policy
     /* 1854023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854033 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1854036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854057 */     // GIR_Coverage, 24731,
     /* 1854057 */     GIR_EraseRootFromParent_Done,
     /* 1854058 */   // Label 25000: @1854058
     /* 1854058 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1854144), // Rule ID 24734 //
     /* 1854063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1854066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1854080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854109 */     // MIs[0] policy
     /* 1854109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854119 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1854122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854143 */     // GIR_Coverage, 24734,
     /* 1854143 */     GIR_EraseRootFromParent_Done,
     /* 1854144 */   // Label 25001: @1854144
     /* 1854144 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1854230), // Rule ID 24735 //
     /* 1854149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1854152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1854160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1854163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1854166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854195 */     // MIs[0] policy
     /* 1854195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854205 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1854208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854229 */     // GIR_Coverage, 24735,
     /* 1854229 */     GIR_EraseRootFromParent_Done,
     /* 1854230 */   // Label 25002: @1854230
     /* 1854230 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1854316), // Rule ID 24738 //
     /* 1854235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1854238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1854252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854281 */     // MIs[0] policy
     /* 1854281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854291 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1854294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854315 */     // GIR_Coverage, 24738,
     /* 1854315 */     GIR_EraseRootFromParent_Done,
     /* 1854316 */   // Label 25003: @1854316
     /* 1854316 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1854402), // Rule ID 24739 //
     /* 1854321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1854324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1854332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1854335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1854338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854367 */     // MIs[0] policy
     /* 1854367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1854380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854401 */     // GIR_Coverage, 24739,
     /* 1854401 */     GIR_EraseRootFromParent_Done,
     /* 1854402 */   // Label 25004: @1854402
     /* 1854402 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1854488), // Rule ID 24742 //
     /* 1854407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1854410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1854424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854453 */     // MIs[0] policy
     /* 1854453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854463 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1854466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854487 */     // GIR_Coverage, 24742,
     /* 1854487 */     GIR_EraseRootFromParent_Done,
     /* 1854488 */   // Label 25005: @1854488
     /* 1854488 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1854574), // Rule ID 24743 //
     /* 1854493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1854496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1854510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854539 */     // MIs[0] policy
     /* 1854539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854549 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1854552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854573 */     // GIR_Coverage, 24743,
     /* 1854573 */     GIR_EraseRootFromParent_Done,
     /* 1854574 */   // Label 25006: @1854574
     /* 1854574 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1854660), // Rule ID 24746 //
     /* 1854579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1854582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1854596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854625 */     // MIs[0] policy
     /* 1854625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1854638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854659 */     // GIR_Coverage, 24746,
     /* 1854659 */     GIR_EraseRootFromParent_Done,
     /* 1854660 */   // Label 25007: @1854660
     /* 1854660 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1854746), // Rule ID 24747 //
     /* 1854665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1854668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1854682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854711 */     // MIs[0] policy
     /* 1854711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1854724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854745 */     // GIR_Coverage, 24747,
     /* 1854745 */     GIR_EraseRootFromParent_Done,
     /* 1854746 */   // Label 25008: @1854746
     /* 1854746 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1854832), // Rule ID 24750 //
     /* 1854751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1854754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1854768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854797 */     // MIs[0] policy
     /* 1854797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854807 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1854810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854831 */     // GIR_Coverage, 24750,
     /* 1854831 */     GIR_EraseRootFromParent_Done,
     /* 1854832 */   // Label 25009: @1854832
     /* 1854832 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1854918), // Rule ID 24751 //
     /* 1854837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1854840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1854854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854883 */     // MIs[0] policy
     /* 1854883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854893 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1854896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854917 */     // GIR_Coverage, 24751,
     /* 1854917 */     GIR_EraseRootFromParent_Done,
     /* 1854918 */   // Label 25010: @1854918
     /* 1854918 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1855004), // Rule ID 24754 //
     /* 1854923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1854926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1854931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1854940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854969 */     // MIs[0] policy
     /* 1854969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854979 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1854982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855003 */     // GIR_Coverage, 24754,
     /* 1855003 */     GIR_EraseRootFromParent_Done,
     /* 1855004 */   // Label 25011: @1855004
     /* 1855004 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1855090), // Rule ID 24755 //
     /* 1855009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1855012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1855020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1855023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1855026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855055 */     // MIs[0] policy
     /* 1855055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855065 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1855068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855089 */     // GIR_Coverage, 24755,
     /* 1855089 */     GIR_EraseRootFromParent_Done,
     /* 1855090 */   // Label 25012: @1855090
     /* 1855090 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1855176), // Rule ID 24758 //
     /* 1855095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1855098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1855112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855141 */     // MIs[0] policy
     /* 1855141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855151 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1855154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855175 */     // GIR_Coverage, 24758,
     /* 1855175 */     GIR_EraseRootFromParent_Done,
     /* 1855176 */   // Label 25013: @1855176
     /* 1855176 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1855262), // Rule ID 24759 //
     /* 1855181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1855184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1855192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1855195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1855198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855227 */     // MIs[0] policy
     /* 1855227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855237 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1855240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855261 */     // GIR_Coverage, 24759,
     /* 1855261 */     GIR_EraseRootFromParent_Done,
     /* 1855262 */   // Label 25014: @1855262
     /* 1855262 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1855348), // Rule ID 24762 //
     /* 1855267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1855270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1855284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855313 */     // MIs[0] policy
     /* 1855313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855323 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1855326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855347 */     // GIR_Coverage, 24762,
     /* 1855347 */     GIR_EraseRootFromParent_Done,
     /* 1855348 */   // Label 25015: @1855348
     /* 1855348 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1855434), // Rule ID 24763 //
     /* 1855353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1855356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1855370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855399 */     // MIs[0] policy
     /* 1855399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855409 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1855412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855433 */     // GIR_Coverage, 24763,
     /* 1855433 */     GIR_EraseRootFromParent_Done,
     /* 1855434 */   // Label 25016: @1855434
     /* 1855434 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1855520), // Rule ID 24766 //
     /* 1855439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1855442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1855456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855485 */     // MIs[0] policy
     /* 1855485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855495 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1855498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855519 */     // GIR_Coverage, 24766,
     /* 1855519 */     GIR_EraseRootFromParent_Done,
     /* 1855520 */   // Label 25017: @1855520
     /* 1855520 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1855606), // Rule ID 24767 //
     /* 1855525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1855528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1855533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1855542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855571 */     // MIs[0] policy
     /* 1855571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855581 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1855584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1855602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855605 */     // GIR_Coverage, 24767,
     /* 1855605 */     GIR_EraseRootFromParent_Done,
     /* 1855606 */   // Label 25018: @1855606
     /* 1855606 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1855692), // Rule ID 24806 //
     /* 1855611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1855614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1855619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855657 */     // MIs[0] policy
     /* 1855657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855667 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1855670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855691 */     // GIR_Coverage, 24806,
     /* 1855691 */     GIR_EraseRootFromParent_Done,
     /* 1855692 */   // Label 25019: @1855692
     /* 1855692 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1855778), // Rule ID 24807 //
     /* 1855697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1855700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1855705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855743 */     // MIs[0] policy
     /* 1855743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855753 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1855756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855777 */     // GIR_Coverage, 24807,
     /* 1855777 */     GIR_EraseRootFromParent_Done,
     /* 1855778 */   // Label 25020: @1855778
     /* 1855778 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1855864), // Rule ID 24810 //
     /* 1855783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1855786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1855791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855829 */     // MIs[0] policy
     /* 1855829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855839 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1855842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855863 */     // GIR_Coverage, 24810,
     /* 1855863 */     GIR_EraseRootFromParent_Done,
     /* 1855864 */   // Label 25021: @1855864
     /* 1855864 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1855950), // Rule ID 24811 //
     /* 1855869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1855872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1855877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855915 */     // MIs[0] policy
     /* 1855915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855925 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1855928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855949 */     // GIR_Coverage, 24811,
     /* 1855949 */     GIR_EraseRootFromParent_Done,
     /* 1855950 */   // Label 25022: @1855950
     /* 1855950 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1856036), // Rule ID 24814 //
     /* 1855955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1855958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1855963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1855972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856001 */     // MIs[0] policy
     /* 1856001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856011 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1856014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856035 */     // GIR_Coverage, 24814,
     /* 1856035 */     GIR_EraseRootFromParent_Done,
     /* 1856036 */   // Label 25023: @1856036
     /* 1856036 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1856122), // Rule ID 24815 //
     /* 1856041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856087 */     // MIs[0] policy
     /* 1856087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856097 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1856100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856121 */     // GIR_Coverage, 24815,
     /* 1856121 */     GIR_EraseRootFromParent_Done,
     /* 1856122 */   // Label 25024: @1856122
     /* 1856122 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1856208), // Rule ID 24818 //
     /* 1856127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1856147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856173 */     // MIs[0] policy
     /* 1856173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1856186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856207 */     // GIR_Coverage, 24818,
     /* 1856207 */     GIR_EraseRootFromParent_Done,
     /* 1856208 */   // Label 25025: @1856208
     /* 1856208 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1856294), // Rule ID 24819 //
     /* 1856213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1856233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856259 */     // MIs[0] policy
     /* 1856259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856269 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1856272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856293 */     // GIR_Coverage, 24819,
     /* 1856293 */     GIR_EraseRootFromParent_Done,
     /* 1856294 */   // Label 25026: @1856294
     /* 1856294 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1856380), // Rule ID 24822 //
     /* 1856299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1856316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856345 */     // MIs[0] policy
     /* 1856345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856355 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1856358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856379 */     // GIR_Coverage, 24822,
     /* 1856379 */     GIR_EraseRootFromParent_Done,
     /* 1856380 */   // Label 25027: @1856380
     /* 1856380 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1856466), // Rule ID 24823 //
     /* 1856385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1856402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856431 */     // MIs[0] policy
     /* 1856431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856441 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1856444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856465 */     // GIR_Coverage, 24823,
     /* 1856465 */     GIR_EraseRootFromParent_Done,
     /* 1856466 */   // Label 25028: @1856466
     /* 1856466 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1856552), // Rule ID 24826 //
     /* 1856471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1856488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1856491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856517 */     // MIs[0] policy
     /* 1856517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856527 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1856530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856551 */     // GIR_Coverage, 24826,
     /* 1856551 */     GIR_EraseRootFromParent_Done,
     /* 1856552 */   // Label 25029: @1856552
     /* 1856552 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1856638), // Rule ID 24827 //
     /* 1856557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1856565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1856568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1856571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1856574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1856577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856603 */     // MIs[0] policy
     /* 1856603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856613 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1856616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856637 */     // GIR_Coverage, 24827,
     /* 1856637 */     GIR_EraseRootFromParent_Done,
     /* 1856638 */   // Label 25030: @1856638
     /* 1856638 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1856724), // Rule ID 24830 //
     /* 1856643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1856651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1856654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1856657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856689 */     // MIs[0] policy
     /* 1856689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1856702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856723 */     // GIR_Coverage, 24830,
     /* 1856723 */     GIR_EraseRootFromParent_Done,
     /* 1856724 */   // Label 25031: @1856724
     /* 1856724 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1856810), // Rule ID 24831 //
     /* 1856729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1856737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1856740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1856743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856775 */     // MIs[0] policy
     /* 1856775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856785 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1856788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856809 */     // GIR_Coverage, 24831,
     /* 1856809 */     GIR_EraseRootFromParent_Done,
     /* 1856810 */   // Label 25032: @1856810
     /* 1856810 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1856896), // Rule ID 24834 //
     /* 1856815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1856823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856861 */     // MIs[0] policy
     /* 1856861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856871 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1856874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856895 */     // GIR_Coverage, 24834,
     /* 1856895 */     GIR_EraseRootFromParent_Done,
     /* 1856896 */   // Label 25033: @1856896
     /* 1856896 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1856982), // Rule ID 24835 //
     /* 1856901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1856904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1856909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856947 */     // MIs[0] policy
     /* 1856947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856957 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1856960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856981 */     // GIR_Coverage, 24835,
     /* 1856981 */     GIR_EraseRootFromParent_Done,
     /* 1856982 */   // Label 25034: @1856982
     /* 1856982 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1857068), // Rule ID 24838 //
     /* 1856987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1856990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1856995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857033 */     // MIs[0] policy
     /* 1857033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857043 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1857046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857067 */     // GIR_Coverage, 24838,
     /* 1857067 */     GIR_EraseRootFromParent_Done,
     /* 1857068 */   // Label 25035: @1857068
     /* 1857068 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1857154), // Rule ID 24839 //
     /* 1857073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1857076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1857090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857119 */     // MIs[0] policy
     /* 1857119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857129 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1857132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857153 */     // GIR_Coverage, 24839,
     /* 1857153 */     GIR_EraseRootFromParent_Done,
     /* 1857154 */   // Label 25036: @1857154
     /* 1857154 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1857240), // Rule ID 24842 //
     /* 1857159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1857162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857205 */     // MIs[0] policy
     /* 1857205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857215 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1857218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857239 */     // GIR_Coverage, 24842,
     /* 1857239 */     GIR_EraseRootFromParent_Done,
     /* 1857240 */   // Label 25037: @1857240
     /* 1857240 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1857326), // Rule ID 24843 //
     /* 1857245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1857248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857291 */     // MIs[0] policy
     /* 1857291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857301 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1857304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857325 */     // GIR_Coverage, 24843,
     /* 1857325 */     GIR_EraseRootFromParent_Done,
     /* 1857326 */   // Label 25038: @1857326
     /* 1857326 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1857412), // Rule ID 24846 //
     /* 1857331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1857334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857377 */     // MIs[0] policy
     /* 1857377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857387 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1857390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857411 */     // GIR_Coverage, 24846,
     /* 1857411 */     GIR_EraseRootFromParent_Done,
     /* 1857412 */   // Label 25039: @1857412
     /* 1857412 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1857498), // Rule ID 24847 //
     /* 1857417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1857420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857463 */     // MIs[0] policy
     /* 1857463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857473 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1857476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857497 */     // GIR_Coverage, 24847,
     /* 1857497 */     GIR_EraseRootFromParent_Done,
     /* 1857498 */   // Label 25040: @1857498
     /* 1857498 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1857584), // Rule ID 24850 //
     /* 1857503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1857506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857549 */     // MIs[0] policy
     /* 1857549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857559 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1857562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857583 */     // GIR_Coverage, 24850,
     /* 1857583 */     GIR_EraseRootFromParent_Done,
     /* 1857584 */   // Label 25041: @1857584
     /* 1857584 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1857670), // Rule ID 24851 //
     /* 1857589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1857592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1857597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857635 */     // MIs[0] policy
     /* 1857635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857645 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1857648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857669 */     // GIR_Coverage, 24851,
     /* 1857669 */     GIR_EraseRootFromParent_Done,
     /* 1857670 */   // Label 25042: @1857670
     /* 1857670 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1857756), // Rule ID 24878 //
     /* 1857675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1857678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1857683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857721 */     // MIs[0] policy
     /* 1857721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857731 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1857734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857755 */     // GIR_Coverage, 24878,
     /* 1857755 */     GIR_EraseRootFromParent_Done,
     /* 1857756 */   // Label 25043: @1857756
     /* 1857756 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1857842), // Rule ID 24879 //
     /* 1857761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1857764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1857769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1857778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1857781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857807 */     // MIs[0] policy
     /* 1857807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857817 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1857820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857841 */     // GIR_Coverage, 24879,
     /* 1857841 */     GIR_EraseRootFromParent_Done,
     /* 1857842 */   // Label 25044: @1857842
     /* 1857842 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1857928), // Rule ID 24882 //
     /* 1857847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1857850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1857855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857893 */     // MIs[0] policy
     /* 1857893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857903 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1857906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857927 */     // GIR_Coverage, 24882,
     /* 1857927 */     GIR_EraseRootFromParent_Done,
     /* 1857928 */   // Label 25045: @1857928
     /* 1857928 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1858014), // Rule ID 24883 //
     /* 1857933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1857936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1857941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1857950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1857953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857979 */     // MIs[0] policy
     /* 1857979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857989 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1857992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858013 */     // GIR_Coverage, 24883,
     /* 1858013 */     GIR_EraseRootFromParent_Done,
     /* 1858014 */   // Label 25046: @1858014
     /* 1858014 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1858100), // Rule ID 24886 //
     /* 1858019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1858022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1858030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1858033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1858036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858065 */     // MIs[0] policy
     /* 1858065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858075 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1858078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858099 */     // GIR_Coverage, 24886,
     /* 1858099 */     GIR_EraseRootFromParent_Done,
     /* 1858100 */   // Label 25047: @1858100
     /* 1858100 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1858186), // Rule ID 24887 //
     /* 1858105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1858108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1858116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1858119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1858122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858151 */     // MIs[0] policy
     /* 1858151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858161 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1858164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858185 */     // GIR_Coverage, 24887,
     /* 1858185 */     GIR_EraseRootFromParent_Done,
     /* 1858186 */   // Label 25048: @1858186
     /* 1858186 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1858272), // Rule ID 24890 //
     /* 1858191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1858194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858237 */     // MIs[0] policy
     /* 1858237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858247 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1858250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858271 */     // GIR_Coverage, 24890,
     /* 1858271 */     GIR_EraseRootFromParent_Done,
     /* 1858272 */   // Label 25049: @1858272
     /* 1858272 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1858358), // Rule ID 24891 //
     /* 1858277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1858280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1858288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1858291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1858294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858323 */     // MIs[0] policy
     /* 1858323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1858336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858357 */     // GIR_Coverage, 24891,
     /* 1858357 */     GIR_EraseRootFromParent_Done,
     /* 1858358 */   // Label 25050: @1858358
     /* 1858358 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1858444), // Rule ID 24894 //
     /* 1858363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1858366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1858383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858409 */     // MIs[0] policy
     /* 1858409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858419 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1858422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858443 */     // GIR_Coverage, 24894,
     /* 1858443 */     GIR_EraseRootFromParent_Done,
     /* 1858444 */   // Label 25051: @1858444
     /* 1858444 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1858530), // Rule ID 24895 //
     /* 1858449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1858452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1858466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1858469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858495 */     // MIs[0] policy
     /* 1858495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1858508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858529 */     // GIR_Coverage, 24895,
     /* 1858529 */     GIR_EraseRootFromParent_Done,
     /* 1858530 */   // Label 25052: @1858530
     /* 1858530 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1858616), // Rule ID 24898 //
     /* 1858535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1858538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858581 */     // MIs[0] policy
     /* 1858581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1858594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858615 */     // GIR_Coverage, 24898,
     /* 1858615 */     GIR_EraseRootFromParent_Done,
     /* 1858616 */   // Label 25053: @1858616
     /* 1858616 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1858702), // Rule ID 24899 //
     /* 1858621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1858624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1858632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1858635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1858638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858667 */     // MIs[0] policy
     /* 1858667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858677 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1858680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858701 */     // GIR_Coverage, 24899,
     /* 1858701 */     GIR_EraseRootFromParent_Done,
     /* 1858702 */   // Label 25054: @1858702
     /* 1858702 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1858788), // Rule ID 24902 //
     /* 1858707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1858710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858753 */     // MIs[0] policy
     /* 1858753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858763 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1858766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858787 */     // GIR_Coverage, 24902,
     /* 1858787 */     GIR_EraseRootFromParent_Done,
     /* 1858788 */   // Label 25055: @1858788
     /* 1858788 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1858874), // Rule ID 24903 //
     /* 1858793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1858796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1858810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1858813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858839 */     // MIs[0] policy
     /* 1858839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858849 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1858852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858873 */     // GIR_Coverage, 24903,
     /* 1858873 */     GIR_EraseRootFromParent_Done,
     /* 1858874 */   // Label 25056: @1858874
     /* 1858874 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1858960), // Rule ID 24906 //
     /* 1858879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1858882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1858896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1858899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858925 */     // MIs[0] policy
     /* 1858925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858935 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1858938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858959 */     // GIR_Coverage, 24906,
     /* 1858959 */     GIR_EraseRootFromParent_Done,
     /* 1858960 */   // Label 25057: @1858960
     /* 1858960 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1859046), // Rule ID 24907 //
     /* 1858965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1858968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1858973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1858982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1858985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859011 */     // MIs[0] policy
     /* 1859011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859021 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1859024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859045 */     // GIR_Coverage, 24907,
     /* 1859045 */     GIR_EraseRootFromParent_Done,
     /* 1859046 */   // Label 25058: @1859046
     /* 1859046 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1859132), // Rule ID 24910 //
     /* 1859051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1859054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859097 */     // MIs[0] policy
     /* 1859097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859107 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1859110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859131 */     // GIR_Coverage, 24910,
     /* 1859131 */     GIR_EraseRootFromParent_Done,
     /* 1859132 */   // Label 25059: @1859132
     /* 1859132 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1859218), // Rule ID 24911 //
     /* 1859137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1859140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1859148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1859151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1859154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1859157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1859160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859183 */     // MIs[0] policy
     /* 1859183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859193 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1859196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859217 */     // GIR_Coverage, 24911,
     /* 1859217 */     GIR_EraseRootFromParent_Done,
     /* 1859218 */   // Label 25060: @1859218
     /* 1859218 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1859304), // Rule ID 24914 //
     /* 1859223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1859226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859269 */     // MIs[0] policy
     /* 1859269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859279 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1859282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859303 */     // GIR_Coverage, 24914,
     /* 1859303 */     GIR_EraseRootFromParent_Done,
     /* 1859304 */   // Label 25061: @1859304
     /* 1859304 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1859390), // Rule ID 24915 //
     /* 1859309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1859312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1859320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1859323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1859326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859355 */     // MIs[0] policy
     /* 1859355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859365 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1859368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859389 */     // GIR_Coverage, 24915,
     /* 1859389 */     GIR_EraseRootFromParent_Done,
     /* 1859390 */   // Label 25062: @1859390
     /* 1859390 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1859476), // Rule ID 24918 //
     /* 1859395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1859398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859441 */     // MIs[0] policy
     /* 1859441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859451 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1859454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859475 */     // GIR_Coverage, 24918,
     /* 1859475 */     GIR_EraseRootFromParent_Done,
     /* 1859476 */   // Label 25063: @1859476
     /* 1859476 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1859562), // Rule ID 24919 //
     /* 1859481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1859484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1859498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859527 */     // MIs[0] policy
     /* 1859527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859537 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1859540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859561 */     // GIR_Coverage, 24919,
     /* 1859561 */     GIR_EraseRootFromParent_Done,
     /* 1859562 */   // Label 25064: @1859562
     /* 1859562 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1859648), // Rule ID 24922 //
     /* 1859567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1859570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859613 */     // MIs[0] policy
     /* 1859613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859623 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1859626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859647 */     // GIR_Coverage, 24922,
     /* 1859647 */     GIR_EraseRootFromParent_Done,
     /* 1859648 */   // Label 25065: @1859648
     /* 1859648 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1859734), // Rule ID 24923 //
     /* 1859653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1859656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1859670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859699 */     // MIs[0] policy
     /* 1859699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859709 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1859712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859733 */     // GIR_Coverage, 24923,
     /* 1859733 */     GIR_EraseRootFromParent_Done,
     /* 1859734 */   // Label 25066: @1859734
     /* 1859734 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1859820), // Rule ID 24926 //
     /* 1859739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1859742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859785 */     // MIs[0] policy
     /* 1859785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859795 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1859798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859819 */     // GIR_Coverage, 24926,
     /* 1859819 */     GIR_EraseRootFromParent_Done,
     /* 1859820 */   // Label 25067: @1859820
     /* 1859820 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1859906), // Rule ID 24927 //
     /* 1859825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1859828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1859842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859871 */     // MIs[0] policy
     /* 1859871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859881 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1859884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859905 */     // GIR_Coverage, 24927,
     /* 1859905 */     GIR_EraseRootFromParent_Done,
     /* 1859906 */   // Label 25068: @1859906
     /* 1859906 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1859992), // Rule ID 24930 //
     /* 1859911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1859914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1859919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1859922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1859925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1859928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859957 */     // MIs[0] policy
     /* 1859957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859967 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1859970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859991 */     // GIR_Coverage, 24930,
     /* 1859991 */     GIR_EraseRootFromParent_Done,
     /* 1859992 */   // Label 25069: @1859992
     /* 1859992 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1860078), // Rule ID 24931 //
     /* 1859997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1860000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1860005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1860008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1860011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1860014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1860017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860043 */     // MIs[0] policy
     /* 1860043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1860056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860077 */     // GIR_Coverage, 24931,
     /* 1860077 */     GIR_EraseRootFromParent_Done,
     /* 1860078 */   // Label 25070: @1860078
     /* 1860078 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1860164), // Rule ID 24934 //
     /* 1860083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1860086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1860091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860129 */     // MIs[0] policy
     /* 1860129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860139 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1860142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860163 */     // GIR_Coverage, 24934,
     /* 1860163 */     GIR_EraseRootFromParent_Done,
     /* 1860164 */   // Label 25071: @1860164
     /* 1860164 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1860250), // Rule ID 24935 //
     /* 1860169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1860172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1860177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1860180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1860183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1860186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860215 */     // MIs[0] policy
     /* 1860215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860225 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1860228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860249 */     // GIR_Coverage, 24935,
     /* 1860249 */     GIR_EraseRootFromParent_Done,
     /* 1860250 */   // Label 25072: @1860250
     /* 1860250 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1860336), // Rule ID 60246 //
     /* 1860255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1860258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860301 */     // MIs[0] policy
     /* 1860301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1860314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860335 */     // GIR_Coverage, 60246,
     /* 1860335 */     GIR_EraseRootFromParent_Done,
     /* 1860336 */   // Label 25073: @1860336
     /* 1860336 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1860422), // Rule ID 60247 //
     /* 1860341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1860344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860387 */     // MIs[0] policy
     /* 1860387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1860400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860421 */     // GIR_Coverage, 60247,
     /* 1860421 */     GIR_EraseRootFromParent_Done,
     /* 1860422 */   // Label 25074: @1860422
     /* 1860422 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1860508), // Rule ID 60250 //
     /* 1860427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1860430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860473 */     // MIs[0] policy
     /* 1860473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1860486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860507 */     // GIR_Coverage, 60250,
     /* 1860507 */     GIR_EraseRootFromParent_Done,
     /* 1860508 */   // Label 25075: @1860508
     /* 1860508 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1860594), // Rule ID 60251 //
     /* 1860513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1860516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860559 */     // MIs[0] policy
     /* 1860559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1860572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860593 */     // GIR_Coverage, 60251,
     /* 1860593 */     GIR_EraseRootFromParent_Done,
     /* 1860594 */   // Label 25076: @1860594
     /* 1860594 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1860680), // Rule ID 60254 //
     /* 1860599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1860602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1860619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860645 */     // MIs[0] policy
     /* 1860645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1860658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860679 */     // GIR_Coverage, 60254,
     /* 1860679 */     GIR_EraseRootFromParent_Done,
     /* 1860680 */   // Label 25077: @1860680
     /* 1860680 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1860766), // Rule ID 60255 //
     /* 1860685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1860688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1860705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860731 */     // MIs[0] policy
     /* 1860731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1860744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860765 */     // GIR_Coverage, 60255,
     /* 1860765 */     GIR_EraseRootFromParent_Done,
     /* 1860766 */   // Label 25078: @1860766
     /* 1860766 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1860852), // Rule ID 60258 //
     /* 1860771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1860774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860817 */     // MIs[0] policy
     /* 1860817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1860830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860851 */     // GIR_Coverage, 60258,
     /* 1860851 */     GIR_EraseRootFromParent_Done,
     /* 1860852 */   // Label 25079: @1860852
     /* 1860852 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1860938), // Rule ID 60259 //
     /* 1860857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1860860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860903 */     // MIs[0] policy
     /* 1860903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1860916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860937 */     // GIR_Coverage, 60259,
     /* 1860937 */     GIR_EraseRootFromParent_Done,
     /* 1860938 */   // Label 25080: @1860938
     /* 1860938 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1861024), // Rule ID 60262 //
     /* 1860943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1860946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1860951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1860954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1860957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1860963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860989 */     // MIs[0] policy
     /* 1860989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1861002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861023 */     // GIR_Coverage, 60262,
     /* 1861023 */     GIR_EraseRootFromParent_Done,
     /* 1861024 */   // Label 25081: @1861024
     /* 1861024 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1861110), // Rule ID 60263 //
     /* 1861029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1861046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861075 */     // MIs[0] policy
     /* 1861075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861085 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1861088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861109 */     // GIR_Coverage, 60263,
     /* 1861109 */     GIR_EraseRootFromParent_Done,
     /* 1861110 */   // Label 25082: @1861110
     /* 1861110 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1861196), // Rule ID 60266 //
     /* 1861115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1861132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861161 */     // MIs[0] policy
     /* 1861161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1861174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861195 */     // GIR_Coverage, 60266,
     /* 1861195 */     GIR_EraseRootFromParent_Done,
     /* 1861196 */   // Label 25083: @1861196
     /* 1861196 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1861282), // Rule ID 60267 //
     /* 1861201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1861218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861247 */     // MIs[0] policy
     /* 1861247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861257 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1861260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861281 */     // GIR_Coverage, 60267,
     /* 1861281 */     GIR_EraseRootFromParent_Done,
     /* 1861282 */   // Label 25084: @1861282
     /* 1861282 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1861368), // Rule ID 60270 //
     /* 1861287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861333 */     // MIs[0] policy
     /* 1861333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1861346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861367 */     // GIR_Coverage, 60270,
     /* 1861367 */     GIR_EraseRootFromParent_Done,
     /* 1861368 */   // Label 25085: @1861368
     /* 1861368 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1861454), // Rule ID 60271 //
     /* 1861373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861419 */     // MIs[0] policy
     /* 1861419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1861432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861453 */     // GIR_Coverage, 60271,
     /* 1861453 */     GIR_EraseRootFromParent_Done,
     /* 1861454 */   // Label 25086: @1861454
     /* 1861454 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1861540), // Rule ID 60274 //
     /* 1861459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861505 */     // MIs[0] policy
     /* 1861505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1861518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861539 */     // GIR_Coverage, 60274,
     /* 1861539 */     GIR_EraseRootFromParent_Done,
     /* 1861540 */   // Label 25087: @1861540
     /* 1861540 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1861626), // Rule ID 60275 //
     /* 1861545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861591 */     // MIs[0] policy
     /* 1861591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1861604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861625 */     // GIR_Coverage, 60275,
     /* 1861625 */     GIR_EraseRootFromParent_Done,
     /* 1861626 */   // Label 25088: @1861626
     /* 1861626 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1861712), // Rule ID 60278 //
     /* 1861631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1861651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861677 */     // MIs[0] policy
     /* 1861677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1861690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861711 */     // GIR_Coverage, 60278,
     /* 1861711 */     GIR_EraseRootFromParent_Done,
     /* 1861712 */   // Label 25089: @1861712
     /* 1861712 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1861798), // Rule ID 60279 //
     /* 1861717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1861737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861763 */     // MIs[0] policy
     /* 1861763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1861776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861797 */     // GIR_Coverage, 60279,
     /* 1861797 */     GIR_EraseRootFromParent_Done,
     /* 1861798 */   // Label 25090: @1861798
     /* 1861798 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1861884), // Rule ID 60282 //
     /* 1861803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861849 */     // MIs[0] policy
     /* 1861849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1861862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861883 */     // GIR_Coverage, 60282,
     /* 1861883 */     GIR_EraseRootFromParent_Done,
     /* 1861884 */   // Label 25091: @1861884
     /* 1861884 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1861970), // Rule ID 60283 //
     /* 1861889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1861892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861935 */     // MIs[0] policy
     /* 1861935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861945 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1861948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861969 */     // GIR_Coverage, 60283,
     /* 1861969 */     GIR_EraseRootFromParent_Done,
     /* 1861970 */   // Label 25092: @1861970
     /* 1861970 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1862056), // Rule ID 60286 //
     /* 1861975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1861978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1861983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1861986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1861989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1861992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1861995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862021 */     // MIs[0] policy
     /* 1862021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862031 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1862034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862055 */     // GIR_Coverage, 60286,
     /* 1862055 */     GIR_EraseRootFromParent_Done,
     /* 1862056 */   // Label 25093: @1862056
     /* 1862056 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1862142), // Rule ID 60287 //
     /* 1862061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1862078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862107 */     // MIs[0] policy
     /* 1862107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1862120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862141 */     // GIR_Coverage, 60287,
     /* 1862141 */     GIR_EraseRootFromParent_Done,
     /* 1862142 */   // Label 25094: @1862142
     /* 1862142 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1862228), // Rule ID 60290 //
     /* 1862147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1862150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1862164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862193 */     // MIs[0] policy
     /* 1862193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1862206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862227 */     // GIR_Coverage, 60290,
     /* 1862227 */     GIR_EraseRootFromParent_Done,
     /* 1862228 */   // Label 25095: @1862228
     /* 1862228 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1862314), // Rule ID 60291 //
     /* 1862233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1862250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862279 */     // MIs[0] policy
     /* 1862279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1862292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862313 */     // GIR_Coverage, 60291,
     /* 1862313 */     GIR_EraseRootFromParent_Done,
     /* 1862314 */   // Label 25096: @1862314
     /* 1862314 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1862400), // Rule ID 60294 //
     /* 1862319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1862322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862365 */     // MIs[0] policy
     /* 1862365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1862378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862399 */     // GIR_Coverage, 60294,
     /* 1862399 */     GIR_EraseRootFromParent_Done,
     /* 1862400 */   // Label 25097: @1862400
     /* 1862400 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1862486), // Rule ID 60295 //
     /* 1862405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862451 */     // MIs[0] policy
     /* 1862451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1862464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862485 */     // GIR_Coverage, 60295,
     /* 1862485 */     GIR_EraseRootFromParent_Done,
     /* 1862486 */   // Label 25098: @1862486
     /* 1862486 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1862572), // Rule ID 60298 //
     /* 1862491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1862494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862537 */     // MIs[0] policy
     /* 1862537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1862550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862571 */     // GIR_Coverage, 60298,
     /* 1862571 */     GIR_EraseRootFromParent_Done,
     /* 1862572 */   // Label 25099: @1862572
     /* 1862572 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1862658), // Rule ID 60299 //
     /* 1862577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862623 */     // MIs[0] policy
     /* 1862623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1862636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862657 */     // GIR_Coverage, 60299,
     /* 1862657 */     GIR_EraseRootFromParent_Done,
     /* 1862658 */   // Label 25100: @1862658
     /* 1862658 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1862744), // Rule ID 60302 //
     /* 1862663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1862666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862709 */     // MIs[0] policy
     /* 1862709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862719 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1862722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862743 */     // GIR_Coverage, 60302,
     /* 1862743 */     GIR_EraseRootFromParent_Done,
     /* 1862744 */   // Label 25101: @1862744
     /* 1862744 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1862830), // Rule ID 60303 //
     /* 1862749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862795 */     // MIs[0] policy
     /* 1862795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1862808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862829 */     // GIR_Coverage, 60303,
     /* 1862829 */     GIR_EraseRootFromParent_Done,
     /* 1862830 */   // Label 25102: @1862830
     /* 1862830 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1862916), // Rule ID 60306 //
     /* 1862835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1862838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1862852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862881 */     // MIs[0] policy
     /* 1862881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1862894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862915 */     // GIR_Coverage, 60306,
     /* 1862915 */     GIR_EraseRootFromParent_Done,
     /* 1862916 */   // Label 25103: @1862916
     /* 1862916 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1863002), // Rule ID 60307 //
     /* 1862921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1862924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1862929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1862938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862967 */     // MIs[0] policy
     /* 1862967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862977 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1862980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863001 */     // GIR_Coverage, 60307,
     /* 1863001 */     GIR_EraseRootFromParent_Done,
     /* 1863002 */   // Label 25104: @1863002
     /* 1863002 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1863088), // Rule ID 60314 //
     /* 1863007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863053 */     // MIs[0] policy
     /* 1863053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863063 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1863066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863087 */     // GIR_Coverage, 60314,
     /* 1863087 */     GIR_EraseRootFromParent_Done,
     /* 1863088 */   // Label 25105: @1863088
     /* 1863088 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1863174), // Rule ID 60315 //
     /* 1863093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863139 */     // MIs[0] policy
     /* 1863139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863149 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1863152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863173 */     // GIR_Coverage, 60315,
     /* 1863173 */     GIR_EraseRootFromParent_Done,
     /* 1863174 */   // Label 25106: @1863174
     /* 1863174 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1863260), // Rule ID 60322 //
     /* 1863179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1863190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1863193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863225 */     // MIs[0] policy
     /* 1863225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1863238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863259 */     // GIR_Coverage, 60322,
     /* 1863259 */     GIR_EraseRootFromParent_Done,
     /* 1863260 */   // Label 25107: @1863260
     /* 1863260 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1863346), // Rule ID 60323 //
     /* 1863265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1863276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1863279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863311 */     // MIs[0] policy
     /* 1863311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1863324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863345 */     // GIR_Coverage, 60323,
     /* 1863345 */     GIR_EraseRootFromParent_Done,
     /* 1863346 */   // Label 25108: @1863346
     /* 1863346 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1863432), // Rule ID 60330 //
     /* 1863351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1863368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863397 */     // MIs[0] policy
     /* 1863397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1863410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863431 */     // GIR_Coverage, 60330,
     /* 1863431 */     GIR_EraseRootFromParent_Done,
     /* 1863432 */   // Label 25109: @1863432
     /* 1863432 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1863518), // Rule ID 60331 //
     /* 1863437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1863454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863483 */     // MIs[0] policy
     /* 1863483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1863496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863517 */     // GIR_Coverage, 60331,
     /* 1863517 */     GIR_EraseRootFromParent_Done,
     /* 1863518 */   // Label 25110: @1863518
     /* 1863518 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1863604), // Rule ID 60338 //
     /* 1863523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1863540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863569 */     // MIs[0] policy
     /* 1863569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863579 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1863582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863603 */     // GIR_Coverage, 60338,
     /* 1863603 */     GIR_EraseRootFromParent_Done,
     /* 1863604 */   // Label 25111: @1863604
     /* 1863604 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1863690), // Rule ID 60339 //
     /* 1863609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1863626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863655 */     // MIs[0] policy
     /* 1863655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863665 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1863668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863689 */     // GIR_Coverage, 60339,
     /* 1863689 */     GIR_EraseRootFromParent_Done,
     /* 1863690 */   // Label 25112: @1863690
     /* 1863690 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1863776), // Rule ID 60346 //
     /* 1863695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1863712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863741 */     // MIs[0] policy
     /* 1863741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1863754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863775 */     // GIR_Coverage, 60346,
     /* 1863775 */     GIR_EraseRootFromParent_Done,
     /* 1863776 */   // Label 25113: @1863776
     /* 1863776 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1863862), // Rule ID 60347 //
     /* 1863781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1863798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863827 */     // MIs[0] policy
     /* 1863827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863837 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1863840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863861 */     // GIR_Coverage, 60347,
     /* 1863861 */     GIR_EraseRootFromParent_Done,
     /* 1863862 */   // Label 25114: @1863862
     /* 1863862 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1863948), // Rule ID 60354 //
     /* 1863867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1863870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863913 */     // MIs[0] policy
     /* 1863913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863923 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1863926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863947 */     // GIR_Coverage, 60354,
     /* 1863947 */     GIR_EraseRootFromParent_Done,
     /* 1863948 */   // Label 25115: @1863948
     /* 1863948 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1864034), // Rule ID 60355 //
     /* 1863953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1863956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1863961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863999 */     // MIs[0] policy
     /* 1863999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864009 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1864012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864033 */     // GIR_Coverage, 60355,
     /* 1864033 */     GIR_EraseRootFromParent_Done,
     /* 1864034 */   // Label 25116: @1864034
     /* 1864034 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1864120), // Rule ID 60362 //
     /* 1864039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864085 */     // MIs[0] policy
     /* 1864085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1864098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864119 */     // GIR_Coverage, 60362,
     /* 1864119 */     GIR_EraseRootFromParent_Done,
     /* 1864120 */   // Label 25117: @1864120
     /* 1864120 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1864206), // Rule ID 60363 //
     /* 1864125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864171 */     // MIs[0] policy
     /* 1864171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1864184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864205 */     // GIR_Coverage, 60363,
     /* 1864205 */     GIR_EraseRootFromParent_Done,
     /* 1864206 */   // Label 25118: @1864206
     /* 1864206 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1864292), // Rule ID 60370 //
     /* 1864211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1864222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1864225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864257 */     // MIs[0] policy
     /* 1864257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1864270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864291 */     // GIR_Coverage, 60370,
     /* 1864291 */     GIR_EraseRootFromParent_Done,
     /* 1864292 */   // Label 25119: @1864292
     /* 1864292 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1864378), // Rule ID 60371 //
     /* 1864297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1864308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1864311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864343 */     // MIs[0] policy
     /* 1864343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1864356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864377 */     // GIR_Coverage, 60371,
     /* 1864377 */     GIR_EraseRootFromParent_Done,
     /* 1864378 */   // Label 25120: @1864378
     /* 1864378 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1864464), // Rule ID 60378 //
     /* 1864383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1864400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864429 */     // MIs[0] policy
     /* 1864429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1864442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864463 */     // GIR_Coverage, 60378,
     /* 1864463 */     GIR_EraseRootFromParent_Done,
     /* 1864464 */   // Label 25121: @1864464
     /* 1864464 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1864550), // Rule ID 60379 //
     /* 1864469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1864486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864515 */     // MIs[0] policy
     /* 1864515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864525 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1864528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864549 */     // GIR_Coverage, 60379,
     /* 1864549 */     GIR_EraseRootFromParent_Done,
     /* 1864550 */   // Label 25122: @1864550
     /* 1864550 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1864636), // Rule ID 60386 //
     /* 1864555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1864572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864601 */     // MIs[0] policy
     /* 1864601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1864614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864635 */     // GIR_Coverage, 60386,
     /* 1864635 */     GIR_EraseRootFromParent_Done,
     /* 1864636 */   // Label 25123: @1864636
     /* 1864636 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1864722), // Rule ID 60387 //
     /* 1864641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1864658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864687 */     // MIs[0] policy
     /* 1864687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1864700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864721 */     // GIR_Coverage, 60387,
     /* 1864721 */     GIR_EraseRootFromParent_Done,
     /* 1864722 */   // Label 25124: @1864722
     /* 1864722 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1864808), // Rule ID 60394 //
     /* 1864727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864773 */     // MIs[0] policy
     /* 1864773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1864786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864807 */     // GIR_Coverage, 60394,
     /* 1864807 */     GIR_EraseRootFromParent_Done,
     /* 1864808 */   // Label 25125: @1864808
     /* 1864808 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1864894), // Rule ID 60395 //
     /* 1864813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864859 */     // MIs[0] policy
     /* 1864859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1864872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864893 */     // GIR_Coverage, 60395,
     /* 1864893 */     GIR_EraseRootFromParent_Done,
     /* 1864894 */   // Label 25126: @1864894
     /* 1864894 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1864980), // Rule ID 60402 //
     /* 1864899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1864902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1864916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864945 */     // MIs[0] policy
     /* 1864945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1864958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864979 */     // GIR_Coverage, 60402,
     /* 1864979 */     GIR_EraseRootFromParent_Done,
     /* 1864980 */   // Label 25127: @1864980
     /* 1864980 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1865066), // Rule ID 60403 //
     /* 1864985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1864988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1864993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865031 */     // MIs[0] policy
     /* 1865031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1865044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865065 */     // GIR_Coverage, 60403,
     /* 1865065 */     GIR_EraseRootFromParent_Done,
     /* 1865066 */   // Label 25128: @1865066
     /* 1865066 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1865152), // Rule ID 60410 //
     /* 1865071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1865074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1865079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1865088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865117 */     // MIs[0] policy
     /* 1865117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1865130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865151 */     // GIR_Coverage, 60410,
     /* 1865151 */     GIR_EraseRootFromParent_Done,
     /* 1865152 */   // Label 25129: @1865152
     /* 1865152 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1865238), // Rule ID 60411 //
     /* 1865157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1865160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1865165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1865174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865203 */     // MIs[0] policy
     /* 1865203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865213 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1865216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865237 */     // GIR_Coverage, 60411,
     /* 1865237 */     GIR_EraseRootFromParent_Done,
     /* 1865238 */   // Label 25130: @1865238
     /* 1865238 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1865324), // Rule ID 60418 //
     /* 1865243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1865246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1865251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1865254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1865257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1865260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865289 */     // MIs[0] policy
     /* 1865289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1865302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865323 */     // GIR_Coverage, 60418,
     /* 1865323 */     GIR_EraseRootFromParent_Done,
     /* 1865324 */   // Label 25131: @1865324
     /* 1865324 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1865410), // Rule ID 60419 //
     /* 1865329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1865332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1865337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1865340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1865343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1865346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865375 */     // MIs[0] policy
     /* 1865375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865385 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1865388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865409 */     // GIR_Coverage, 60419,
     /* 1865409 */     GIR_EraseRootFromParent_Done,
     /* 1865410 */   // Label 25132: @1865410
     /* 1865410 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1865496), // Rule ID 60426 //
     /* 1865415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1865418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865461 */     // MIs[0] policy
     /* 1865461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1865474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865495 */     // GIR_Coverage, 60426,
     /* 1865495 */     GIR_EraseRootFromParent_Done,
     /* 1865496 */   // Label 25133: @1865496
     /* 1865496 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1865582), // Rule ID 60427 //
     /* 1865501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1865504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865547 */     // MIs[0] policy
     /* 1865547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1865560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865581 */     // GIR_Coverage, 60427,
     /* 1865581 */     GIR_EraseRootFromParent_Done,
     /* 1865582 */   // Label 25134: @1865582
     /* 1865582 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1865668), // Rule ID 60430 //
     /* 1865587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1865590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1865598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1865601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1865604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1865607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865633 */     // MIs[0] policy
     /* 1865633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1865646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865667 */     // GIR_Coverage, 60430,
     /* 1865667 */     GIR_EraseRootFromParent_Done,
     /* 1865668 */   // Label 25135: @1865668
     /* 1865668 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1865754), // Rule ID 60431 //
     /* 1865673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1865676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1865684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1865687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1865690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1865693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865719 */     // MIs[0] policy
     /* 1865719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1865732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865753 */     // GIR_Coverage, 60431,
     /* 1865753 */     GIR_EraseRootFromParent_Done,
     /* 1865754 */   // Label 25136: @1865754
     /* 1865754 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1865840), // Rule ID 60434 //
     /* 1865759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1865762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1865776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1865779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865805 */     // MIs[0] policy
     /* 1865805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865815 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1865818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865839 */     // GIR_Coverage, 60434,
     /* 1865839 */     GIR_EraseRootFromParent_Done,
     /* 1865840 */   // Label 25137: @1865840
     /* 1865840 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1865926), // Rule ID 60435 //
     /* 1865845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1865848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1865862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1865865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865891 */     // MIs[0] policy
     /* 1865891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1865904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865925 */     // GIR_Coverage, 60435,
     /* 1865925 */     GIR_EraseRootFromParent_Done,
     /* 1865926 */   // Label 25138: @1865926
     /* 1865926 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1866012), // Rule ID 60438 //
     /* 1865931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1865934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1865939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1865942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1865945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1865948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1865951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865977 */     // MIs[0] policy
     /* 1865977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1865990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866011 */     // GIR_Coverage, 60438,
     /* 1866011 */     GIR_EraseRootFromParent_Done,
     /* 1866012 */   // Label 25139: @1866012
     /* 1866012 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1866098), // Rule ID 60439 //
     /* 1866017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1866037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866063 */     // MIs[0] policy
     /* 1866063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1866076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866097 */     // GIR_Coverage, 60439,
     /* 1866097 */     GIR_EraseRootFromParent_Done,
     /* 1866098 */   // Label 25140: @1866098
     /* 1866098 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1866184), // Rule ID 60442 //
     /* 1866103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866149 */     // MIs[0] policy
     /* 1866149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866159 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1866162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866183 */     // GIR_Coverage, 60442,
     /* 1866183 */     GIR_EraseRootFromParent_Done,
     /* 1866184 */   // Label 25141: @1866184
     /* 1866184 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1866270), // Rule ID 60443 //
     /* 1866189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866235 */     // MIs[0] policy
     /* 1866235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866245 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1866248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866269 */     // GIR_Coverage, 60443,
     /* 1866269 */     GIR_EraseRootFromParent_Done,
     /* 1866270 */   // Label 25142: @1866270
     /* 1866270 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1866356), // Rule ID 60446 //
     /* 1866275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866321 */     // MIs[0] policy
     /* 1866321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1866334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866355 */     // GIR_Coverage, 60446,
     /* 1866355 */     GIR_EraseRootFromParent_Done,
     /* 1866356 */   // Label 25143: @1866356
     /* 1866356 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1866442), // Rule ID 60447 //
     /* 1866361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866407 */     // MIs[0] policy
     /* 1866407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1866420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866441 */     // GIR_Coverage, 60447,
     /* 1866441 */     GIR_EraseRootFromParent_Done,
     /* 1866442 */   // Label 25144: @1866442
     /* 1866442 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1866528), // Rule ID 60450 //
     /* 1866447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866493 */     // MIs[0] policy
     /* 1866493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1866506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866527 */     // GIR_Coverage, 60450,
     /* 1866527 */     GIR_EraseRootFromParent_Done,
     /* 1866528 */   // Label 25145: @1866528
     /* 1866528 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1866614), // Rule ID 60451 //
     /* 1866533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866579 */     // MIs[0] policy
     /* 1866579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1866592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866613 */     // GIR_Coverage, 60451,
     /* 1866613 */     GIR_EraseRootFromParent_Done,
     /* 1866614 */   // Label 25146: @1866614
     /* 1866614 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1866700), // Rule ID 60454 //
     /* 1866619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866665 */     // MIs[0] policy
     /* 1866665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866675 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1866678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866699 */     // GIR_Coverage, 60454,
     /* 1866699 */     GIR_EraseRootFromParent_Done,
     /* 1866700 */   // Label 25147: @1866700
     /* 1866700 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1866786), // Rule ID 60455 //
     /* 1866705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1866713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866751 */     // MIs[0] policy
     /* 1866751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1866764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866785 */     // GIR_Coverage, 60455,
     /* 1866785 */     GIR_EraseRootFromParent_Done,
     /* 1866786 */   // Label 25148: @1866786
     /* 1866786 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1866872), // Rule ID 60458 //
     /* 1866791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1866799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866837 */     // MIs[0] policy
     /* 1866837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1866850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866871 */     // GIR_Coverage, 60458,
     /* 1866871 */     GIR_EraseRootFromParent_Done,
     /* 1866872 */   // Label 25149: @1866872
     /* 1866872 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1866958), // Rule ID 60459 //
     /* 1866877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1866880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1866885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1866888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1866891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1866894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1866897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866923 */     // MIs[0] policy
     /* 1866923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1866936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866957 */     // GIR_Coverage, 60459,
     /* 1866957 */     GIR_EraseRootFromParent_Done,
     /* 1866958 */   // Label 25150: @1866958
     /* 1866958 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1867044), // Rule ID 60462 //
     /* 1866963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1866966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1866971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1866983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867009 */     // MIs[0] policy
     /* 1867009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1867022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867043 */     // GIR_Coverage, 60462,
     /* 1867043 */     GIR_EraseRootFromParent_Done,
     /* 1867044 */   // Label 25151: @1867044
     /* 1867044 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1867130), // Rule ID 60463 //
     /* 1867049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867095 */     // MIs[0] policy
     /* 1867095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867105 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1867108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867129 */     // GIR_Coverage, 60463,
     /* 1867129 */     GIR_EraseRootFromParent_Done,
     /* 1867130 */   // Label 25152: @1867130
     /* 1867130 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1867216), // Rule ID 60466 //
     /* 1867135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867181 */     // MIs[0] policy
     /* 1867181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1867194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867215 */     // GIR_Coverage, 60466,
     /* 1867215 */     GIR_EraseRootFromParent_Done,
     /* 1867216 */   // Label 25153: @1867216
     /* 1867216 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1867302), // Rule ID 60467 //
     /* 1867221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867267 */     // MIs[0] policy
     /* 1867267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867277 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1867280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867301 */     // GIR_Coverage, 60467,
     /* 1867301 */     GIR_EraseRootFromParent_Done,
     /* 1867302 */   // Label 25154: @1867302
     /* 1867302 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1867388), // Rule ID 60470 //
     /* 1867307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1867324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1867327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867353 */     // MIs[0] policy
     /* 1867353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867363 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1867366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867387 */     // GIR_Coverage, 60470,
     /* 1867387 */     GIR_EraseRootFromParent_Done,
     /* 1867388 */   // Label 25155: @1867388
     /* 1867388 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1867474), // Rule ID 60471 //
     /* 1867393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1867410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1867413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867439 */     // MIs[0] policy
     /* 1867439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867449 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1867452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867473 */     // GIR_Coverage, 60471,
     /* 1867473 */     GIR_EraseRootFromParent_Done,
     /* 1867474 */   // Label 25156: @1867474
     /* 1867474 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1867560), // Rule ID 60474 //
     /* 1867479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1867496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867525 */     // MIs[0] policy
     /* 1867525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1867538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867559 */     // GIR_Coverage, 60474,
     /* 1867559 */     GIR_EraseRootFromParent_Done,
     /* 1867560 */   // Label 25157: @1867560
     /* 1867560 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1867646), // Rule ID 60475 //
     /* 1867565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1867582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867611 */     // MIs[0] policy
     /* 1867611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1867624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867645 */     // GIR_Coverage, 60475,
     /* 1867645 */     GIR_EraseRootFromParent_Done,
     /* 1867646 */   // Label 25158: @1867646
     /* 1867646 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1867732), // Rule ID 60478 //
     /* 1867651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867697 */     // MIs[0] policy
     /* 1867697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1867710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867731 */     // GIR_Coverage, 60478,
     /* 1867731 */     GIR_EraseRootFromParent_Done,
     /* 1867732 */   // Label 25159: @1867732
     /* 1867732 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1867818), // Rule ID 60479 //
     /* 1867737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867783 */     // MIs[0] policy
     /* 1867783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1867796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867817 */     // GIR_Coverage, 60479,
     /* 1867817 */     GIR_EraseRootFromParent_Done,
     /* 1867818 */   // Label 25160: @1867818
     /* 1867818 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1867904), // Rule ID 60482 //
     /* 1867823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867869 */     // MIs[0] policy
     /* 1867869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867879 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1867882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867903 */     // GIR_Coverage, 60482,
     /* 1867903 */     GIR_EraseRootFromParent_Done,
     /* 1867904 */   // Label 25161: @1867904
     /* 1867904 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1867990), // Rule ID 60483 //
     /* 1867909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1867912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1867917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867955 */     // MIs[0] policy
     /* 1867955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1867968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867989 */     // GIR_Coverage, 60483,
     /* 1867989 */     GIR_EraseRootFromParent_Done,
     /* 1867990 */   // Label 25162: @1867990
     /* 1867990 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1868076), // Rule ID 60486 //
     /* 1867995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1867998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1868003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868041 */     // MIs[0] policy
     /* 1868041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868051 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1868054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868075 */     // GIR_Coverage, 60486,
     /* 1868075 */     GIR_EraseRootFromParent_Done,
     /* 1868076 */   // Label 25163: @1868076
     /* 1868076 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1868162), // Rule ID 60487 //
     /* 1868081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1868084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1868089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868127 */     // MIs[0] policy
     /* 1868127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1868140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868161 */     // GIR_Coverage, 60487,
     /* 1868161 */     GIR_EraseRootFromParent_Done,
     /* 1868162 */   // Label 25164: @1868162
     /* 1868162 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1868248), // Rule ID 60490 //
     /* 1868167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1868170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868213 */     // MIs[0] policy
     /* 1868213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868223 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1868226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868247 */     // GIR_Coverage, 60490,
     /* 1868247 */     GIR_EraseRootFromParent_Done,
     /* 1868248 */   // Label 25165: @1868248
     /* 1868248 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1868334), // Rule ID 60491 //
     /* 1868253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1868256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1868270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868299 */     // MIs[0] policy
     /* 1868299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1868312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868333 */     // GIR_Coverage, 60491,
     /* 1868333 */     GIR_EraseRootFromParent_Done,
     /* 1868334 */   // Label 25166: @1868334
     /* 1868334 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1868420), // Rule ID 60494 //
     /* 1868339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1868342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1868359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868385 */     // MIs[0] policy
     /* 1868385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1868398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868419 */     // GIR_Coverage, 60494,
     /* 1868419 */     GIR_EraseRootFromParent_Done,
     /* 1868420 */   // Label 25167: @1868420
     /* 1868420 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1868506), // Rule ID 60495 //
     /* 1868425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1868428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1868445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868471 */     // MIs[0] policy
     /* 1868471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1868484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868505 */     // GIR_Coverage, 60495,
     /* 1868505 */     GIR_EraseRootFromParent_Done,
     /* 1868506 */   // Label 25168: @1868506
     /* 1868506 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1868592), // Rule ID 60498 //
     /* 1868511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1868514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868557 */     // MIs[0] policy
     /* 1868557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868567 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1868570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868591 */     // GIR_Coverage, 60498,
     /* 1868591 */     GIR_EraseRootFromParent_Done,
     /* 1868592 */   // Label 25169: @1868592
     /* 1868592 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1868678), // Rule ID 60499 //
     /* 1868597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1868600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868643 */     // MIs[0] policy
     /* 1868643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868653 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1868656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868677 */     // GIR_Coverage, 60499,
     /* 1868677 */     GIR_EraseRootFromParent_Done,
     /* 1868678 */   // Label 25170: @1868678
     /* 1868678 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1868764), // Rule ID 60502 //
     /* 1868683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1868686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868729 */     // MIs[0] policy
     /* 1868729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1868742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868763 */     // GIR_Coverage, 60502,
     /* 1868763 */     GIR_EraseRootFromParent_Done,
     /* 1868764 */   // Label 25171: @1868764
     /* 1868764 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1868850), // Rule ID 60503 //
     /* 1868769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1868772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868815 */     // MIs[0] policy
     /* 1868815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1868828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868849 */     // GIR_Coverage, 60503,
     /* 1868849 */     GIR_EraseRootFromParent_Done,
     /* 1868850 */   // Label 25172: @1868850
     /* 1868850 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1868936), // Rule ID 60506 //
     /* 1868855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1868858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1868875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868901 */     // MIs[0] policy
     /* 1868901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1868914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868935 */     // GIR_Coverage, 60506,
     /* 1868935 */     GIR_EraseRootFromParent_Done,
     /* 1868936 */   // Label 25173: @1868936
     /* 1868936 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1869022), // Rule ID 60507 //
     /* 1868941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1868944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1868949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1868961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868987 */     // MIs[0] policy
     /* 1868987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868997 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1869000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869021 */     // GIR_Coverage, 60507,
     /* 1869021 */     GIR_EraseRootFromParent_Done,
     /* 1869022 */   // Label 25174: @1869022
     /* 1869022 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1869108), // Rule ID 60510 //
     /* 1869027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869073 */     // MIs[0] policy
     /* 1869073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1869086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869107 */     // GIR_Coverage, 60510,
     /* 1869107 */     GIR_EraseRootFromParent_Done,
     /* 1869108 */   // Label 25175: @1869108
     /* 1869108 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1869194), // Rule ID 60511 //
     /* 1869113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1869130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869159 */     // MIs[0] policy
     /* 1869159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1869172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869193 */     // GIR_Coverage, 60511,
     /* 1869193 */     GIR_EraseRootFromParent_Done,
     /* 1869194 */   // Label 25176: @1869194
     /* 1869194 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1869280), // Rule ID 60514 //
     /* 1869199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1869219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869245 */     // MIs[0] policy
     /* 1869245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869279 */     // GIR_Coverage, 60514,
     /* 1869279 */     GIR_EraseRootFromParent_Done,
     /* 1869280 */   // Label 25177: @1869280
     /* 1869280 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1869366), // Rule ID 60515 //
     /* 1869285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1869302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1869305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869331 */     // MIs[0] policy
     /* 1869331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869341 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869365 */     // GIR_Coverage, 60515,
     /* 1869365 */     GIR_EraseRootFromParent_Done,
     /* 1869366 */   // Label 25178: @1869366
     /* 1869366 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1869452), // Rule ID 60518 //
     /* 1869371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869417 */     // MIs[0] policy
     /* 1869417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869451 */     // GIR_Coverage, 60518,
     /* 1869451 */     GIR_EraseRootFromParent_Done,
     /* 1869452 */   // Label 25179: @1869452
     /* 1869452 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1869538), // Rule ID 60519 //
     /* 1869457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869503 */     // MIs[0] policy
     /* 1869503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869537 */     // GIR_Coverage, 60519,
     /* 1869537 */     GIR_EraseRootFromParent_Done,
     /* 1869538 */   // Label 25180: @1869538
     /* 1869538 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1869624), // Rule ID 60522 //
     /* 1869543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1869563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869589 */     // MIs[0] policy
     /* 1869589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869623 */     // GIR_Coverage, 60522,
     /* 1869623 */     GIR_EraseRootFromParent_Done,
     /* 1869624 */   // Label 25181: @1869624
     /* 1869624 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1869710), // Rule ID 60523 //
     /* 1869629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1869649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869675 */     // MIs[0] policy
     /* 1869675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869709 */     // GIR_Coverage, 60523,
     /* 1869709 */     GIR_EraseRootFromParent_Done,
     /* 1869710 */   // Label 25182: @1869710
     /* 1869710 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1869796), // Rule ID 60526 //
     /* 1869715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1869735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869761 */     // MIs[0] policy
     /* 1869761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869795 */     // GIR_Coverage, 60526,
     /* 1869795 */     GIR_EraseRootFromParent_Done,
     /* 1869796 */   // Label 25183: @1869796
     /* 1869796 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1869882), // Rule ID 60527 //
     /* 1869801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1869821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869847 */     // MIs[0] policy
     /* 1869847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1869860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869881 */     // GIR_Coverage, 60527,
     /* 1869881 */     GIR_EraseRootFromParent_Done,
     /* 1869882 */   // Label 25184: @1869882
     /* 1869882 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1869968), // Rule ID 60530 //
     /* 1869887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1869890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1869907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869933 */     // MIs[0] policy
     /* 1869933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869943 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1869946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869967 */     // GIR_Coverage, 60530,
     /* 1869967 */     GIR_EraseRootFromParent_Done,
     /* 1869968 */   // Label 25185: @1869968
     /* 1869968 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1870054), // Rule ID 60531 //
     /* 1869973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1869976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1869981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1869993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870019 */     // MIs[0] policy
     /* 1870019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1870032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870053 */     // GIR_Coverage, 60531,
     /* 1870053 */     GIR_EraseRootFromParent_Done,
     /* 1870054 */   // Label 25186: @1870054
     /* 1870054 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1870140), // Rule ID 60534 //
     /* 1870059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870105 */     // MIs[0] policy
     /* 1870105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1870118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870139 */     // GIR_Coverage, 60534,
     /* 1870139 */     GIR_EraseRootFromParent_Done,
     /* 1870140 */   // Label 25187: @1870140
     /* 1870140 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1870226), // Rule ID 60535 //
     /* 1870145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1870148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1870162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870191 */     // MIs[0] policy
     /* 1870191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1870204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870225 */     // GIR_Coverage, 60535,
     /* 1870225 */     GIR_EraseRootFromParent_Done,
     /* 1870226 */   // Label 25188: @1870226
     /* 1870226 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1870312), // Rule ID 60538 //
     /* 1870231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1870251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870277 */     // MIs[0] policy
     /* 1870277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870287 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1870290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870311 */     // GIR_Coverage, 60538,
     /* 1870311 */     GIR_EraseRootFromParent_Done,
     /* 1870312 */   // Label 25189: @1870312
     /* 1870312 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1870398), // Rule ID 60539 //
     /* 1870317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1870320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1870337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870363 */     // MIs[0] policy
     /* 1870363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870373 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1870376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870397 */     // GIR_Coverage, 60539,
     /* 1870397 */     GIR_EraseRootFromParent_Done,
     /* 1870398 */   // Label 25190: @1870398
     /* 1870398 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1870484), // Rule ID 60542 //
     /* 1870403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1870423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870449 */     // MIs[0] policy
     /* 1870449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1870462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870483 */     // GIR_Coverage, 60542,
     /* 1870483 */     GIR_EraseRootFromParent_Done,
     /* 1870484 */   // Label 25191: @1870484
     /* 1870484 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1870570), // Rule ID 60543 //
     /* 1870489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1870492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1870509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870535 */     // MIs[0] policy
     /* 1870535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1870548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870569 */     // GIR_Coverage, 60543,
     /* 1870569 */     GIR_EraseRootFromParent_Done,
     /* 1870570 */   // Label 25192: @1870570
     /* 1870570 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1870656), // Rule ID 60546 //
     /* 1870575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1870595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870621 */     // MIs[0] policy
     /* 1870621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1870634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870655 */     // GIR_Coverage, 60546,
     /* 1870655 */     GIR_EraseRootFromParent_Done,
     /* 1870656 */   // Label 25193: @1870656
     /* 1870656 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1870742), // Rule ID 60547 //
     /* 1870661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1870664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1870681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870707 */     // MIs[0] policy
     /* 1870707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1870720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870741 */     // GIR_Coverage, 60547,
     /* 1870741 */     GIR_EraseRootFromParent_Done,
     /* 1870742 */   // Label 25194: @1870742
     /* 1870742 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1870828), // Rule ID 60550 //
     /* 1870747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1870767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870793 */     // MIs[0] policy
     /* 1870793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1870806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870827 */     // GIR_Coverage, 60550,
     /* 1870827 */     GIR_EraseRootFromParent_Done,
     /* 1870828 */   // Label 25195: @1870828
     /* 1870828 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1870914), // Rule ID 60551 //
     /* 1870833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1870836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1870853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870879 */     // MIs[0] policy
     /* 1870879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870889 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1870892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870913 */     // GIR_Coverage, 60551,
     /* 1870913 */     GIR_EraseRootFromParent_Done,
     /* 1870914 */   // Label 25196: @1870914
     /* 1870914 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1871000), // Rule ID 60554 //
     /* 1870919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1870922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1870927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1870939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870965 */     // MIs[0] policy
     /* 1870965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870975 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1870978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870999 */     // GIR_Coverage, 60554,
     /* 1870999 */     GIR_EraseRootFromParent_Done,
     /* 1871000 */   // Label 25197: @1871000
     /* 1871000 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1871086), // Rule ID 60555 //
     /* 1871005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1871022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1871025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871051 */     // MIs[0] policy
     /* 1871051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1871064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871085 */     // GIR_Coverage, 60555,
     /* 1871085 */     GIR_EraseRootFromParent_Done,
     /* 1871086 */   // Label 25198: @1871086
     /* 1871086 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1871172), // Rule ID 60558 //
     /* 1871091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871137 */     // MIs[0] policy
     /* 1871137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1871150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871171 */     // GIR_Coverage, 60558,
     /* 1871171 */     GIR_EraseRootFromParent_Done,
     /* 1871172 */   // Label 25199: @1871172
     /* 1871172 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1871258), // Rule ID 60559 //
     /* 1871177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1871194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871223 */     // MIs[0] policy
     /* 1871223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1871236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871257 */     // GIR_Coverage, 60559,
     /* 1871257 */     GIR_EraseRootFromParent_Done,
     /* 1871258 */   // Label 25200: @1871258
     /* 1871258 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1871344), // Rule ID 60562 //
     /* 1871263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1871283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871309 */     // MIs[0] policy
     /* 1871309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1871322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871343 */     // GIR_Coverage, 60562,
     /* 1871343 */     GIR_EraseRootFromParent_Done,
     /* 1871344 */   // Label 25201: @1871344
     /* 1871344 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1871430), // Rule ID 60563 //
     /* 1871349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1871369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871395 */     // MIs[0] policy
     /* 1871395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1871408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871429 */     // GIR_Coverage, 60563,
     /* 1871429 */     GIR_EraseRootFromParent_Done,
     /* 1871430 */   // Label 25202: @1871430
     /* 1871430 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1871516), // Rule ID 60566 //
     /* 1871435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1871455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871481 */     // MIs[0] policy
     /* 1871481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1871494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871515 */     // GIR_Coverage, 60566,
     /* 1871515 */     GIR_EraseRootFromParent_Done,
     /* 1871516 */   // Label 25203: @1871516
     /* 1871516 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1871602), // Rule ID 60567 //
     /* 1871521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1871541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871567 */     // MIs[0] policy
     /* 1871567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871577 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1871580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871601 */     // GIR_Coverage, 60567,
     /* 1871601 */     GIR_EraseRootFromParent_Done,
     /* 1871602 */   // Label 25204: @1871602
     /* 1871602 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1871688), // Rule ID 60570 //
     /* 1871607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1871627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871653 */     // MIs[0] policy
     /* 1871653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871663 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1871666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871687 */     // GIR_Coverage, 60570,
     /* 1871687 */     GIR_EraseRootFromParent_Done,
     /* 1871688 */   // Label 25205: @1871688
     /* 1871688 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1871774), // Rule ID 60571 //
     /* 1871693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1871713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871739 */     // MIs[0] policy
     /* 1871739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1871752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871773 */     // GIR_Coverage, 60571,
     /* 1871773 */     GIR_EraseRootFromParent_Done,
     /* 1871774 */   // Label 25206: @1871774
     /* 1871774 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1871860), // Rule ID 60574 //
     /* 1871779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1871799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871825 */     // MIs[0] policy
     /* 1871825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871835 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1871838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871859 */     // GIR_Coverage, 60574,
     /* 1871859 */     GIR_EraseRootFromParent_Done,
     /* 1871860 */   // Label 25207: @1871860
     /* 1871860 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1871946), // Rule ID 60575 //
     /* 1871865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1871868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1871885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871911 */     // MIs[0] policy
     /* 1871911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1871924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871945 */     // GIR_Coverage, 60575,
     /* 1871945 */     GIR_EraseRootFromParent_Done,
     /* 1871946 */   // Label 25208: @1871946
     /* 1871946 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1872032), // Rule ID 60578 //
     /* 1871951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1871954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1871959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871997 */     // MIs[0] policy
     /* 1871997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872007 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1872010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872031 */     // GIR_Coverage, 60578,
     /* 1872031 */     GIR_EraseRootFromParent_Done,
     /* 1872032 */   // Label 25209: @1872032
     /* 1872032 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1872118), // Rule ID 60579 //
     /* 1872037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872083 */     // MIs[0] policy
     /* 1872083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1872096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872117 */     // GIR_Coverage, 60579,
     /* 1872117 */     GIR_EraseRootFromParent_Done,
     /* 1872118 */   // Label 25210: @1872118
     /* 1872118 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1872204), // Rule ID 60582 //
     /* 1872123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872169 */     // MIs[0] policy
     /* 1872169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872179 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1872182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872203 */     // GIR_Coverage, 60582,
     /* 1872203 */     GIR_EraseRootFromParent_Done,
     /* 1872204 */   // Label 25211: @1872204
     /* 1872204 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1872290), // Rule ID 60583 //
     /* 1872209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1872220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1872223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1872226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872255 */     // MIs[0] policy
     /* 1872255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872265 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1872268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872289 */     // GIR_Coverage, 60583,
     /* 1872289 */     GIR_EraseRootFromParent_Done,
     /* 1872290 */   // Label 25212: @1872290
     /* 1872290 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1872376), // Rule ID 60586 //
     /* 1872295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872341 */     // MIs[0] policy
     /* 1872341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872375 */     // GIR_Coverage, 60586,
     /* 1872375 */     GIR_EraseRootFromParent_Done,
     /* 1872376 */   // Label 25213: @1872376
     /* 1872376 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1872462), // Rule ID 60587 //
     /* 1872381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872427 */     // MIs[0] policy
     /* 1872427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872461 */     // GIR_Coverage, 60587,
     /* 1872461 */     GIR_EraseRootFromParent_Done,
     /* 1872462 */   // Label 25214: @1872462
     /* 1872462 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1872548), // Rule ID 60590 //
     /* 1872467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872513 */     // MIs[0] policy
     /* 1872513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1872526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872547 */     // GIR_Coverage, 60590,
     /* 1872547 */     GIR_EraseRootFromParent_Done,
     /* 1872548 */   // Label 25215: @1872548
     /* 1872548 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1872634), // Rule ID 60591 //
     /* 1872553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872599 */     // MIs[0] policy
     /* 1872599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1872612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872633 */     // GIR_Coverage, 60591,
     /* 1872633 */     GIR_EraseRootFromParent_Done,
     /* 1872634 */   // Label 25216: @1872634
     /* 1872634 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1872720), // Rule ID 60594 //
     /* 1872639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872685 */     // MIs[0] policy
     /* 1872685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872695 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872719 */     // GIR_Coverage, 60594,
     /* 1872719 */     GIR_EraseRootFromParent_Done,
     /* 1872720 */   // Label 25217: @1872720
     /* 1872720 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1872806), // Rule ID 60595 //
     /* 1872725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872771 */     // MIs[0] policy
     /* 1872771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872805 */     // GIR_Coverage, 60595,
     /* 1872805 */     GIR_EraseRootFromParent_Done,
     /* 1872806 */   // Label 25218: @1872806
     /* 1872806 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1872892), // Rule ID 60598 //
     /* 1872811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872857 */     // MIs[0] policy
     /* 1872857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872891 */     // GIR_Coverage, 60598,
     /* 1872891 */     GIR_EraseRootFromParent_Done,
     /* 1872892 */   // Label 25219: @1872892
     /* 1872892 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1872978), // Rule ID 60599 //
     /* 1872897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1872900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872943 */     // MIs[0] policy
     /* 1872943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872953 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1872956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872977 */     // GIR_Coverage, 60599,
     /* 1872977 */     GIR_EraseRootFromParent_Done,
     /* 1872978 */   // Label 25220: @1872978
     /* 1872978 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1873064), // Rule ID 60602 //
     /* 1872983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1872986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1872991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873029 */     // MIs[0] policy
     /* 1873029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873039 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873063 */     // GIR_Coverage, 60602,
     /* 1873063 */     GIR_EraseRootFromParent_Done,
     /* 1873064 */   // Label 25221: @1873064
     /* 1873064 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1873150), // Rule ID 60603 //
     /* 1873069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1873080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1873083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1873086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873115 */     // MIs[0] policy
     /* 1873115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873149 */     // GIR_Coverage, 60603,
     /* 1873149 */     GIR_EraseRootFromParent_Done,
     /* 1873150 */   // Label 25222: @1873150
     /* 1873150 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1873236), // Rule ID 60606 //
     /* 1873155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1873158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873201 */     // MIs[0] policy
     /* 1873201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873235 */     // GIR_Coverage, 60606,
     /* 1873235 */     GIR_EraseRootFromParent_Done,
     /* 1873236 */   // Label 25223: @1873236
     /* 1873236 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1873322), // Rule ID 60607 //
     /* 1873241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873287 */     // MIs[0] policy
     /* 1873287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873321 */     // GIR_Coverage, 60607,
     /* 1873321 */     GIR_EraseRootFromParent_Done,
     /* 1873322 */   // Label 25224: @1873322
     /* 1873322 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1873408), // Rule ID 60610 //
     /* 1873327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1873330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873373 */     // MIs[0] policy
     /* 1873373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873407 */     // GIR_Coverage, 60610,
     /* 1873407 */     GIR_EraseRootFromParent_Done,
     /* 1873408 */   // Label 25225: @1873408
     /* 1873408 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1873494), // Rule ID 60611 //
     /* 1873413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873459 */     // MIs[0] policy
     /* 1873459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873493 */     // GIR_Coverage, 60611,
     /* 1873493 */     GIR_EraseRootFromParent_Done,
     /* 1873494 */   // Label 25226: @1873494
     /* 1873494 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1873580), // Rule ID 60614 //
     /* 1873499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1873502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873545 */     // MIs[0] policy
     /* 1873545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873579 */     // GIR_Coverage, 60614,
     /* 1873579 */     GIR_EraseRootFromParent_Done,
     /* 1873580 */   // Label 25227: @1873580
     /* 1873580 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1873666), // Rule ID 60615 //
     /* 1873585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873631 */     // MIs[0] policy
     /* 1873631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873641 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1873644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873665 */     // GIR_Coverage, 60615,
     /* 1873665 */     GIR_EraseRootFromParent_Done,
     /* 1873666 */   // Label 25228: @1873666
     /* 1873666 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1873752), // Rule ID 60618 //
     /* 1873671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1873674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873717 */     // MIs[0] policy
     /* 1873717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1873730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873751 */     // GIR_Coverage, 60618,
     /* 1873751 */     GIR_EraseRootFromParent_Done,
     /* 1873752 */   // Label 25229: @1873752
     /* 1873752 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1873838), // Rule ID 60619 //
     /* 1873757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873803 */     // MIs[0] policy
     /* 1873803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1873816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873837 */     // GIR_Coverage, 60619,
     /* 1873837 */     GIR_EraseRootFromParent_Done,
     /* 1873838 */   // Label 25230: @1873838
     /* 1873838 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1873924), // Rule ID 60622 //
     /* 1873843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1873846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873889 */     // MIs[0] policy
     /* 1873889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1873902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873923 */     // GIR_Coverage, 60622,
     /* 1873923 */     GIR_EraseRootFromParent_Done,
     /* 1873924 */   // Label 25231: @1873924
     /* 1873924 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1874010), // Rule ID 60623 //
     /* 1873929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1873932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1873937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873975 */     // MIs[0] policy
     /* 1873975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873985 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1873988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874009 */     // GIR_Coverage, 60623,
     /* 1874009 */     GIR_EraseRootFromParent_Done,
     /* 1874010 */   // Label 25232: @1874010
     /* 1874010 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1874096), // Rule ID 60626 //
     /* 1874015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874061 */     // MIs[0] policy
     /* 1874061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1874074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874095 */     // GIR_Coverage, 60626,
     /* 1874095 */     GIR_EraseRootFromParent_Done,
     /* 1874096 */   // Label 25233: @1874096
     /* 1874096 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1874182), // Rule ID 60627 //
     /* 1874101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1874112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1874115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1874118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1874124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874147 */     // MIs[0] policy
     /* 1874147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874157 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1874160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874181 */     // GIR_Coverage, 60627,
     /* 1874181 */     GIR_EraseRootFromParent_Done,
     /* 1874182 */   // Label 25234: @1874182
     /* 1874182 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1874268), // Rule ID 60630 //
     /* 1874187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874233 */     // MIs[0] policy
     /* 1874233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1874246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874267 */     // GIR_Coverage, 60630,
     /* 1874267 */     GIR_EraseRootFromParent_Done,
     /* 1874268 */   // Label 25235: @1874268
     /* 1874268 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1874354), // Rule ID 60631 //
     /* 1874273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874319 */     // MIs[0] policy
     /* 1874319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874329 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1874332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874353 */     // GIR_Coverage, 60631,
     /* 1874353 */     GIR_EraseRootFromParent_Done,
     /* 1874354 */   // Label 25236: @1874354
     /* 1874354 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1874440), // Rule ID 60634 //
     /* 1874359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874405 */     // MIs[0] policy
     /* 1874405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874415 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1874418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874439 */     // GIR_Coverage, 60634,
     /* 1874439 */     GIR_EraseRootFromParent_Done,
     /* 1874440 */   // Label 25237: @1874440
     /* 1874440 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1874526), // Rule ID 60635 //
     /* 1874445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874491 */     // MIs[0] policy
     /* 1874491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1874504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874525 */     // GIR_Coverage, 60635,
     /* 1874525 */     GIR_EraseRootFromParent_Done,
     /* 1874526 */   // Label 25238: @1874526
     /* 1874526 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1874612), // Rule ID 60638 //
     /* 1874531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874577 */     // MIs[0] policy
     /* 1874577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874587 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1874590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874611 */     // GIR_Coverage, 60638,
     /* 1874611 */     GIR_EraseRootFromParent_Done,
     /* 1874612 */   // Label 25239: @1874612
     /* 1874612 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1874698), // Rule ID 60639 //
     /* 1874617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874663 */     // MIs[0] policy
     /* 1874663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1874676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874697 */     // GIR_Coverage, 60639,
     /* 1874697 */     GIR_EraseRootFromParent_Done,
     /* 1874698 */   // Label 25240: @1874698
     /* 1874698 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1874784), // Rule ID 60642 //
     /* 1874703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874749 */     // MIs[0] policy
     /* 1874749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1874762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874783 */     // GIR_Coverage, 60642,
     /* 1874783 */     GIR_EraseRootFromParent_Done,
     /* 1874784 */   // Label 25241: @1874784
     /* 1874784 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1874870), // Rule ID 60643 //
     /* 1874789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874835 */     // MIs[0] policy
     /* 1874835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1874848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874869 */     // GIR_Coverage, 60643,
     /* 1874869 */     GIR_EraseRootFromParent_Done,
     /* 1874870 */   // Label 25242: @1874870
     /* 1874870 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1874956), // Rule ID 60646 //
     /* 1874875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1874878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874921 */     // MIs[0] policy
     /* 1874921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1874934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874955 */     // GIR_Coverage, 60646,
     /* 1874955 */     GIR_EraseRootFromParent_Done,
     /* 1874956 */   // Label 25243: @1874956
     /* 1874956 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1875042), // Rule ID 60647 //
     /* 1874961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1874964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1874969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875007 */     // MIs[0] policy
     /* 1875007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1875020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875041 */     // GIR_Coverage, 60647,
     /* 1875041 */     GIR_EraseRootFromParent_Done,
     /* 1875042 */   // Label 25244: @1875042
     /* 1875042 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1875128), // Rule ID 60650 //
     /* 1875047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875093 */     // MIs[0] policy
     /* 1875093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1875106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875127 */     // GIR_Coverage, 60650,
     /* 1875127 */     GIR_EraseRootFromParent_Done,
     /* 1875128 */   // Label 25245: @1875128
     /* 1875128 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1875214), // Rule ID 60651 //
     /* 1875133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875179 */     // MIs[0] policy
     /* 1875179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1875192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875213 */     // GIR_Coverage, 60651,
     /* 1875213 */     GIR_EraseRootFromParent_Done,
     /* 1875214 */   // Label 25246: @1875214
     /* 1875214 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1875300), // Rule ID 60654 //
     /* 1875219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875265 */     // MIs[0] policy
     /* 1875265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1875278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875299 */     // GIR_Coverage, 60654,
     /* 1875299 */     GIR_EraseRootFromParent_Done,
     /* 1875300 */   // Label 25247: @1875300
     /* 1875300 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1875386), // Rule ID 60655 //
     /* 1875305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875351 */     // MIs[0] policy
     /* 1875351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1875364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875385 */     // GIR_Coverage, 60655,
     /* 1875385 */     GIR_EraseRootFromParent_Done,
     /* 1875386 */   // Label 25248: @1875386
     /* 1875386 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1875472), // Rule ID 60658 //
     /* 1875391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875437 */     // MIs[0] policy
     /* 1875437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1875450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875471 */     // GIR_Coverage, 60658,
     /* 1875471 */     GIR_EraseRootFromParent_Done,
     /* 1875472 */   // Label 25249: @1875472
     /* 1875472 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1875558), // Rule ID 60659 //
     /* 1875477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875523 */     // MIs[0] policy
     /* 1875523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1875536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875557 */     // GIR_Coverage, 60659,
     /* 1875557 */     GIR_EraseRootFromParent_Done,
     /* 1875558 */   // Label 25250: @1875558
     /* 1875558 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1875644), // Rule ID 60662 //
     /* 1875563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875609 */     // MIs[0] policy
     /* 1875609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1875622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875643 */     // GIR_Coverage, 60662,
     /* 1875643 */     GIR_EraseRootFromParent_Done,
     /* 1875644 */   // Label 25251: @1875644
     /* 1875644 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1875730), // Rule ID 60663 //
     /* 1875649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1875657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875695 */     // MIs[0] policy
     /* 1875695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1875708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875729 */     // GIR_Coverage, 60663,
     /* 1875729 */     GIR_EraseRootFromParent_Done,
     /* 1875730 */   // Label 25252: @1875730
     /* 1875730 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1875816), // Rule ID 60842 //
     /* 1875735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1875743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1875755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875781 */     // MIs[0] policy
     /* 1875781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875791 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1875794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875815 */     // GIR_Coverage, 60842,
     /* 1875815 */     GIR_EraseRootFromParent_Done,
     /* 1875816 */   // Label 25253: @1875816
     /* 1875816 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1875902), // Rule ID 60843 //
     /* 1875821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1875829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1875841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875867 */     // MIs[0] policy
     /* 1875867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1875880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875901 */     // GIR_Coverage, 60843,
     /* 1875901 */     GIR_EraseRootFromParent_Done,
     /* 1875902 */   // Label 25254: @1875902
     /* 1875902 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1875988), // Rule ID 60846 //
     /* 1875907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1875910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1875915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1875927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875953 */     // MIs[0] policy
     /* 1875953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875963 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1875966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875987 */     // GIR_Coverage, 60846,
     /* 1875987 */     GIR_EraseRootFromParent_Done,
     /* 1875988 */   // Label 25255: @1875988
     /* 1875988 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1876074), // Rule ID 60847 //
     /* 1875993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1875996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1876004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1876007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1876010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1876013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876039 */     // MIs[0] policy
     /* 1876039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1876052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876073 */     // GIR_Coverage, 60847,
     /* 1876073 */     GIR_EraseRootFromParent_Done,
     /* 1876074 */   // Label 25256: @1876074
     /* 1876074 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1876160), // Rule ID 60850 //
     /* 1876079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1876099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876125 */     // MIs[0] policy
     /* 1876125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876135 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876159 */     // GIR_Coverage, 60850,
     /* 1876159 */     GIR_EraseRootFromParent_Done,
     /* 1876160 */   // Label 25257: @1876160
     /* 1876160 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1876246), // Rule ID 60851 //
     /* 1876165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1876168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1876185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876211 */     // MIs[0] policy
     /* 1876211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876221 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876245 */     // GIR_Coverage, 60851,
     /* 1876245 */     GIR_EraseRootFromParent_Done,
     /* 1876246 */   // Label 25258: @1876246
     /* 1876246 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1876332), // Rule ID 60854 //
     /* 1876251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1876271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876297 */     // MIs[0] policy
     /* 1876297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876307 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1876310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876331 */     // GIR_Coverage, 60854,
     /* 1876331 */     GIR_EraseRootFromParent_Done,
     /* 1876332 */   // Label 25259: @1876332
     /* 1876332 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1876418), // Rule ID 60855 //
     /* 1876337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1876340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1876357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876383 */     // MIs[0] policy
     /* 1876383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1876396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876417 */     // GIR_Coverage, 60855,
     /* 1876417 */     GIR_EraseRootFromParent_Done,
     /* 1876418 */   // Label 25260: @1876418
     /* 1876418 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1876504), // Rule ID 60858 //
     /* 1876423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1876443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876469 */     // MIs[0] policy
     /* 1876469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876503 */     // GIR_Coverage, 60858,
     /* 1876503 */     GIR_EraseRootFromParent_Done,
     /* 1876504 */   // Label 25261: @1876504
     /* 1876504 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1876590), // Rule ID 60859 //
     /* 1876509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1876512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1876529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876555 */     // MIs[0] policy
     /* 1876555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876565 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876589 */     // GIR_Coverage, 60859,
     /* 1876589 */     GIR_EraseRootFromParent_Done,
     /* 1876590 */   // Label 25262: @1876590
     /* 1876590 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1876676), // Rule ID 60862 //
     /* 1876595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1876615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876641 */     // MIs[0] policy
     /* 1876641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876675 */     // GIR_Coverage, 60862,
     /* 1876675 */     GIR_EraseRootFromParent_Done,
     /* 1876676 */   // Label 25263: @1876676
     /* 1876676 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1876762), // Rule ID 60863 //
     /* 1876681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1876684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1876701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876727 */     // MIs[0] policy
     /* 1876727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1876740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876761 */     // GIR_Coverage, 60863,
     /* 1876761 */     GIR_EraseRootFromParent_Done,
     /* 1876762 */   // Label 25264: @1876762
     /* 1876762 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1876848), // Rule ID 60866 //
     /* 1876767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1876787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876813 */     // MIs[0] policy
     /* 1876813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876823 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1876826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876847 */     // GIR_Coverage, 60866,
     /* 1876847 */     GIR_EraseRootFromParent_Done,
     /* 1876848 */   // Label 25265: @1876848
     /* 1876848 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1876934), // Rule ID 60867 //
     /* 1876853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1876856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1876873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876899 */     // MIs[0] policy
     /* 1876899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876909 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1876912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876933 */     // GIR_Coverage, 60867,
     /* 1876933 */     GIR_EraseRootFromParent_Done,
     /* 1876934 */   // Label 25266: @1876934
     /* 1876934 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1877020), // Rule ID 60870 //
     /* 1876939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1876942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1876947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1876959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876985 */     // MIs[0] policy
     /* 1876985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1876998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877019 */     // GIR_Coverage, 60870,
     /* 1877019 */     GIR_EraseRootFromParent_Done,
     /* 1877020 */   // Label 25267: @1877020
     /* 1877020 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1877106), // Rule ID 60871 //
     /* 1877025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1877036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1877039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1877042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1877045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877071 */     // MIs[0] policy
     /* 1877071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1877084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877105 */     // GIR_Coverage, 60871,
     /* 1877105 */     GIR_EraseRootFromParent_Done,
     /* 1877106 */   // Label 25268: @1877106
     /* 1877106 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1877192), // Rule ID 60874 //
     /* 1877111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1877131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877157 */     // MIs[0] policy
     /* 1877157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1877170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877191 */     // GIR_Coverage, 60874,
     /* 1877191 */     GIR_EraseRootFromParent_Done,
     /* 1877192 */   // Label 25269: @1877192
     /* 1877192 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1877278), // Rule ID 60875 //
     /* 1877197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1877217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877243 */     // MIs[0] policy
     /* 1877243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1877256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877277 */     // GIR_Coverage, 60875,
     /* 1877277 */     GIR_EraseRootFromParent_Done,
     /* 1877278 */   // Label 25270: @1877278
     /* 1877278 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1877364), // Rule ID 60878 //
     /* 1877283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1877303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877329 */     // MIs[0] policy
     /* 1877329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1877342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877363 */     // GIR_Coverage, 60878,
     /* 1877363 */     GIR_EraseRootFromParent_Done,
     /* 1877364 */   // Label 25271: @1877364
     /* 1877364 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1877450), // Rule ID 60879 //
     /* 1877369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1877389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877415 */     // MIs[0] policy
     /* 1877415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877425 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1877428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877449 */     // GIR_Coverage, 60879,
     /* 1877449 */     GIR_EraseRootFromParent_Done,
     /* 1877450 */   // Label 25272: @1877450
     /* 1877450 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1877536), // Rule ID 60882 //
     /* 1877455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1877475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877501 */     // MIs[0] policy
     /* 1877501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1877514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877535 */     // GIR_Coverage, 60882,
     /* 1877535 */     GIR_EraseRootFromParent_Done,
     /* 1877536 */   // Label 25273: @1877536
     /* 1877536 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1877622), // Rule ID 60883 //
     /* 1877541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1877561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877587 */     // MIs[0] policy
     /* 1877587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1877600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877621 */     // GIR_Coverage, 60883,
     /* 1877621 */     GIR_EraseRootFromParent_Done,
     /* 1877622 */   // Label 25274: @1877622
     /* 1877622 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1877708), // Rule ID 60886 //
     /* 1877627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1877647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877673 */     // MIs[0] policy
     /* 1877673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1877686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877707 */     // GIR_Coverage, 60886,
     /* 1877707 */     GIR_EraseRootFromParent_Done,
     /* 1877708 */   // Label 25275: @1877708
     /* 1877708 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1877794), // Rule ID 60887 //
     /* 1877713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1877733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877759 */     // MIs[0] policy
     /* 1877759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877769 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1877772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877793 */     // GIR_Coverage, 60887,
     /* 1877793 */     GIR_EraseRootFromParent_Done,
     /* 1877794 */   // Label 25276: @1877794
     /* 1877794 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1877880), // Rule ID 60890 //
     /* 1877799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1877819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877845 */     // MIs[0] policy
     /* 1877845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877855 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1877858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877879 */     // GIR_Coverage, 60890,
     /* 1877879 */     GIR_EraseRootFromParent_Done,
     /* 1877880 */   // Label 25277: @1877880
     /* 1877880 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1877966), // Rule ID 60891 //
     /* 1877885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1877888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1877905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877931 */     // MIs[0] policy
     /* 1877931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1877944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877965 */     // GIR_Coverage, 60891,
     /* 1877965 */     GIR_EraseRootFromParent_Done,
     /* 1877966 */   // Label 25278: @1877966
     /* 1877966 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1878052), // Rule ID 60894 //
     /* 1877971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1877974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1877979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1877991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878017 */     // MIs[0] policy
     /* 1878017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1878030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878051 */     // GIR_Coverage, 60894,
     /* 1878051 */     GIR_EraseRootFromParent_Done,
     /* 1878052 */   // Label 25279: @1878052
     /* 1878052 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1878138), // Rule ID 60895 //
     /* 1878057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1878077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878103 */     // MIs[0] policy
     /* 1878103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1878116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878137 */     // GIR_Coverage, 60895,
     /* 1878137 */     GIR_EraseRootFromParent_Done,
     /* 1878138 */   // Label 25280: @1878138
     /* 1878138 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1878224), // Rule ID 60898 //
     /* 1878143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1878146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1878163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878189 */     // MIs[0] policy
     /* 1878189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878199 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1878202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878223 */     // GIR_Coverage, 60898,
     /* 1878223 */     GIR_EraseRootFromParent_Done,
     /* 1878224 */   // Label 25281: @1878224
     /* 1878224 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1878310), // Rule ID 60899 //
     /* 1878229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1878249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878275 */     // MIs[0] policy
     /* 1878275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1878288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878309 */     // GIR_Coverage, 60899,
     /* 1878309 */     GIR_EraseRootFromParent_Done,
     /* 1878310 */   // Label 25282: @1878310
     /* 1878310 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1878396), // Rule ID 60902 //
     /* 1878315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1878318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1878335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878361 */     // MIs[0] policy
     /* 1878361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1878374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878395 */     // GIR_Coverage, 60902,
     /* 1878395 */     GIR_EraseRootFromParent_Done,
     /* 1878396 */   // Label 25283: @1878396
     /* 1878396 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1878482), // Rule ID 60903 //
     /* 1878401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1878421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878447 */     // MIs[0] policy
     /* 1878447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878457 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1878460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878481 */     // GIR_Coverage, 60903,
     /* 1878481 */     GIR_EraseRootFromParent_Done,
     /* 1878482 */   // Label 25284: @1878482
     /* 1878482 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1878568), // Rule ID 60906 //
     /* 1878487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1878490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1878507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878533 */     // MIs[0] policy
     /* 1878533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878543 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1878546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878567 */     // GIR_Coverage, 60906,
     /* 1878567 */     GIR_EraseRootFromParent_Done,
     /* 1878568 */   // Label 25285: @1878568
     /* 1878568 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1878654), // Rule ID 60907 //
     /* 1878573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1878593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878619 */     // MIs[0] policy
     /* 1878619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1878632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878653 */     // GIR_Coverage, 60907,
     /* 1878653 */     GIR_EraseRootFromParent_Done,
     /* 1878654 */   // Label 25286: @1878654
     /* 1878654 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1878740), // Rule ID 60910 //
     /* 1878659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1878662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1878679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878705 */     // MIs[0] policy
     /* 1878705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1878718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878739 */     // GIR_Coverage, 60910,
     /* 1878739 */     GIR_EraseRootFromParent_Done,
     /* 1878740 */   // Label 25287: @1878740
     /* 1878740 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1878826), // Rule ID 60911 //
     /* 1878745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1878765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878791 */     // MIs[0] policy
     /* 1878791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1878804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878825 */     // GIR_Coverage, 60911,
     /* 1878825 */     GIR_EraseRootFromParent_Done,
     /* 1878826 */   // Label 25288: @1878826
     /* 1878826 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1878912), // Rule ID 60914 //
     /* 1878831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1878834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1878851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878877 */     // MIs[0] policy
     /* 1878877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1878890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878911 */     // GIR_Coverage, 60914,
     /* 1878911 */     GIR_EraseRootFromParent_Done,
     /* 1878912 */   // Label 25289: @1878912
     /* 1878912 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1878998), // Rule ID 60915 //
     /* 1878917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1878920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1878925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1878937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878963 */     // MIs[0] policy
     /* 1878963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1878976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878997 */     // GIR_Coverage, 60915,
     /* 1878997 */     GIR_EraseRootFromParent_Done,
     /* 1878998 */   // Label 25290: @1878998
     /* 1878998 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1879084), // Rule ID 60918 //
     /* 1879003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1879023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879049 */     // MIs[0] policy
     /* 1879049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1879062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879083 */     // GIR_Coverage, 60918,
     /* 1879083 */     GIR_EraseRootFromParent_Done,
     /* 1879084 */   // Label 25291: @1879084
     /* 1879084 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1879170), // Rule ID 60919 //
     /* 1879089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1879109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879135 */     // MIs[0] policy
     /* 1879135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1879148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879169 */     // GIR_Coverage, 60919,
     /* 1879169 */     GIR_EraseRootFromParent_Done,
     /* 1879170 */   // Label 25292: @1879170
     /* 1879170 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1879256), // Rule ID 60922 //
     /* 1879175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1879195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879221 */     // MIs[0] policy
     /* 1879221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1879234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879255 */     // GIR_Coverage, 60922,
     /* 1879255 */     GIR_EraseRootFromParent_Done,
     /* 1879256 */   // Label 25293: @1879256
     /* 1879256 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1879342), // Rule ID 60923 //
     /* 1879261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1879281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879307 */     // MIs[0] policy
     /* 1879307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1879320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879341 */     // GIR_Coverage, 60923,
     /* 1879341 */     GIR_EraseRootFromParent_Done,
     /* 1879342 */   // Label 25294: @1879342
     /* 1879342 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1879428), // Rule ID 60926 //
     /* 1879347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1879367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879393 */     // MIs[0] policy
     /* 1879393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1879406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879427 */     // GIR_Coverage, 60926,
     /* 1879427 */     GIR_EraseRootFromParent_Done,
     /* 1879428 */   // Label 25295: @1879428
     /* 1879428 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1879514), // Rule ID 60927 //
     /* 1879433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1879453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879479 */     // MIs[0] policy
     /* 1879479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1879492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879513 */     // GIR_Coverage, 60927,
     /* 1879513 */     GIR_EraseRootFromParent_Done,
     /* 1879514 */   // Label 25296: @1879514
     /* 1879514 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1879600), // Rule ID 60930 //
     /* 1879519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879565 */     // MIs[0] policy
     /* 1879565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879575 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1879578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879599 */     // GIR_Coverage, 60930,
     /* 1879599 */     GIR_EraseRootFromParent_Done,
     /* 1879600 */   // Label 25297: @1879600
     /* 1879600 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1879686), // Rule ID 60931 //
     /* 1879605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879651 */     // MIs[0] policy
     /* 1879651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879661 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1879664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879685 */     // GIR_Coverage, 60931,
     /* 1879685 */     GIR_EraseRootFromParent_Done,
     /* 1879686 */   // Label 25298: @1879686
     /* 1879686 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1879772), // Rule ID 60934 //
     /* 1879691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879737 */     // MIs[0] policy
     /* 1879737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1879750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879771 */     // GIR_Coverage, 60934,
     /* 1879771 */     GIR_EraseRootFromParent_Done,
     /* 1879772 */   // Label 25299: @1879772
     /* 1879772 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1879858), // Rule ID 60935 //
     /* 1879777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879823 */     // MIs[0] policy
     /* 1879823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1879836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879857 */     // GIR_Coverage, 60935,
     /* 1879857 */     GIR_EraseRootFromParent_Done,
     /* 1879858 */   // Label 25300: @1879858
     /* 1879858 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1879944), // Rule ID 60938 //
     /* 1879863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1879866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879909 */     // MIs[0] policy
     /* 1879909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879919 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1879922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879943 */     // GIR_Coverage, 60938,
     /* 1879943 */     GIR_EraseRootFromParent_Done,
     /* 1879944 */   // Label 25301: @1879944
     /* 1879944 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1880030), // Rule ID 60939 //
     /* 1879949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1879952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1879957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879995 */     // MIs[0] policy
     /* 1879995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1880008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880029 */     // GIR_Coverage, 60939,
     /* 1880029 */     GIR_EraseRootFromParent_Done,
     /* 1880030 */   // Label 25302: @1880030
     /* 1880030 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1880116), // Rule ID 60942 //
     /* 1880035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880081 */     // MIs[0] policy
     /* 1880081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880091 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1880094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880115 */     // GIR_Coverage, 60942,
     /* 1880115 */     GIR_EraseRootFromParent_Done,
     /* 1880116 */   // Label 25303: @1880116
     /* 1880116 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1880202), // Rule ID 60943 //
     /* 1880121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880167 */     // MIs[0] policy
     /* 1880167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880177 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1880180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880201 */     // GIR_Coverage, 60943,
     /* 1880201 */     GIR_EraseRootFromParent_Done,
     /* 1880202 */   // Label 25304: @1880202
     /* 1880202 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1880288), // Rule ID 60946 //
     /* 1880207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880253 */     // MIs[0] policy
     /* 1880253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1880266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880287 */     // GIR_Coverage, 60946,
     /* 1880287 */     GIR_EraseRootFromParent_Done,
     /* 1880288 */   // Label 25305: @1880288
     /* 1880288 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1880374), // Rule ID 60947 //
     /* 1880293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880339 */     // MIs[0] policy
     /* 1880339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1880352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880373 */     // GIR_Coverage, 60947,
     /* 1880373 */     GIR_EraseRootFromParent_Done,
     /* 1880374 */   // Label 25306: @1880374
     /* 1880374 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1880460), // Rule ID 60950 //
     /* 1880379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880425 */     // MIs[0] policy
     /* 1880425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1880438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880459 */     // GIR_Coverage, 60950,
     /* 1880459 */     GIR_EraseRootFromParent_Done,
     /* 1880460 */   // Label 25307: @1880460
     /* 1880460 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1880546), // Rule ID 60951 //
     /* 1880465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880511 */     // MIs[0] policy
     /* 1880511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1880524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880545 */     // GIR_Coverage, 60951,
     /* 1880545 */     GIR_EraseRootFromParent_Done,
     /* 1880546 */   // Label 25308: @1880546
     /* 1880546 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1880632), // Rule ID 60954 //
     /* 1880551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880597 */     // MIs[0] policy
     /* 1880597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1880610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880631 */     // GIR_Coverage, 60954,
     /* 1880631 */     GIR_EraseRootFromParent_Done,
     /* 1880632 */   // Label 25309: @1880632
     /* 1880632 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1880718), // Rule ID 60955 //
     /* 1880637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880683 */     // MIs[0] policy
     /* 1880683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1880696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880717 */     // GIR_Coverage, 60955,
     /* 1880717 */     GIR_EraseRootFromParent_Done,
     /* 1880718 */   // Label 25310: @1880718
     /* 1880718 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1880804), // Rule ID 60958 //
     /* 1880723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880769 */     // MIs[0] policy
     /* 1880769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1880782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880803 */     // GIR_Coverage, 60958,
     /* 1880803 */     GIR_EraseRootFromParent_Done,
     /* 1880804 */   // Label 25311: @1880804
     /* 1880804 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1880890), // Rule ID 60959 //
     /* 1880809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880855 */     // MIs[0] policy
     /* 1880855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1880868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880889 */     // GIR_Coverage, 60959,
     /* 1880889 */     GIR_EraseRootFromParent_Done,
     /* 1880890 */   // Label 25312: @1880890
     /* 1880890 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1880976), // Rule ID 60962 //
     /* 1880895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1880898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880941 */     // MIs[0] policy
     /* 1880941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1880954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880975 */     // GIR_Coverage, 60962,
     /* 1880975 */     GIR_EraseRootFromParent_Done,
     /* 1880976 */   // Label 25313: @1880976
     /* 1880976 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1881062), // Rule ID 60963 //
     /* 1880981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1880984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1880989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881027 */     // MIs[0] policy
     /* 1881027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1881040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881061 */     // GIR_Coverage, 60963,
     /* 1881061 */     GIR_EraseRootFromParent_Done,
     /* 1881062 */   // Label 25314: @1881062
     /* 1881062 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1881148), // Rule ID 60966 //
     /* 1881067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881113 */     // MIs[0] policy
     /* 1881113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1881126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881147 */     // GIR_Coverage, 60966,
     /* 1881147 */     GIR_EraseRootFromParent_Done,
     /* 1881148 */   // Label 25315: @1881148
     /* 1881148 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1881234), // Rule ID 60967 //
     /* 1881153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1881156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881199 */     // MIs[0] policy
     /* 1881199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1881212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881233 */     // GIR_Coverage, 60967,
     /* 1881233 */     GIR_EraseRootFromParent_Done,
     /* 1881234 */   // Label 25316: @1881234
     /* 1881234 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1881320), // Rule ID 60970 //
     /* 1881239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881285 */     // MIs[0] policy
     /* 1881285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1881298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881319 */     // GIR_Coverage, 60970,
     /* 1881319 */     GIR_EraseRootFromParent_Done,
     /* 1881320 */   // Label 25317: @1881320
     /* 1881320 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1881406), // Rule ID 60971 //
     /* 1881325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1881328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881371 */     // MIs[0] policy
     /* 1881371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881381 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1881384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881405 */     // GIR_Coverage, 60971,
     /* 1881405 */     GIR_EraseRootFromParent_Done,
     /* 1881406 */   // Label 25318: @1881406
     /* 1881406 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1881492), // Rule ID 60974 //
     /* 1881411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881457 */     // MIs[0] policy
     /* 1881457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881467 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1881470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881491 */     // GIR_Coverage, 60974,
     /* 1881491 */     GIR_EraseRootFromParent_Done,
     /* 1881492 */   // Label 25319: @1881492
     /* 1881492 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1881578), // Rule ID 60975 //
     /* 1881497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1881500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881543 */     // MIs[0] policy
     /* 1881543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881553 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1881556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881577 */     // GIR_Coverage, 60975,
     /* 1881577 */     GIR_EraseRootFromParent_Done,
     /* 1881578 */   // Label 25320: @1881578
     /* 1881578 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1881664), // Rule ID 60978 //
     /* 1881583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881629 */     // MIs[0] policy
     /* 1881629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881639 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1881642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881663 */     // GIR_Coverage, 60978,
     /* 1881663 */     GIR_EraseRootFromParent_Done,
     /* 1881664 */   // Label 25321: @1881664
     /* 1881664 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1881750), // Rule ID 60979 //
     /* 1881669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1881672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881715 */     // MIs[0] policy
     /* 1881715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881725 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1881728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881749 */     // GIR_Coverage, 60979,
     /* 1881749 */     GIR_EraseRootFromParent_Done,
     /* 1881750 */   // Label 25322: @1881750
     /* 1881750 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1881836), // Rule ID 60982 //
     /* 1881755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881801 */     // MIs[0] policy
     /* 1881801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1881814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881835 */     // GIR_Coverage, 60982,
     /* 1881835 */     GIR_EraseRootFromParent_Done,
     /* 1881836 */   // Label 25323: @1881836
     /* 1881836 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1881922), // Rule ID 60983 //
     /* 1881841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1881844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881887 */     // MIs[0] policy
     /* 1881887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1881900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881921 */     // GIR_Coverage, 60983,
     /* 1881921 */     GIR_EraseRootFromParent_Done,
     /* 1881922 */   // Label 25324: @1881922
     /* 1881922 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1882008), // Rule ID 60986 //
     /* 1881927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1881930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1881935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881973 */     // MIs[0] policy
     /* 1881973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1881986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882007 */     // GIR_Coverage, 60986,
     /* 1882007 */     GIR_EraseRootFromParent_Done,
     /* 1882008 */   // Label 25325: @1882008
     /* 1882008 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1882094), // Rule ID 60987 //
     /* 1882013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882059 */     // MIs[0] policy
     /* 1882059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882069 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1882072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882093 */     // GIR_Coverage, 60987,
     /* 1882093 */     GIR_EraseRootFromParent_Done,
     /* 1882094 */   // Label 25326: @1882094
     /* 1882094 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1882180), // Rule ID 60990 //
     /* 1882099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882145 */     // MIs[0] policy
     /* 1882145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1882158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882179 */     // GIR_Coverage, 60990,
     /* 1882179 */     GIR_EraseRootFromParent_Done,
     /* 1882180 */   // Label 25327: @1882180
     /* 1882180 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1882266), // Rule ID 60991 //
     /* 1882185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882231 */     // MIs[0] policy
     /* 1882231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1882244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882265 */     // GIR_Coverage, 60991,
     /* 1882265 */     GIR_EraseRootFromParent_Done,
     /* 1882266 */   // Label 25328: @1882266
     /* 1882266 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1882352), // Rule ID 60994 //
     /* 1882271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882317 */     // MIs[0] policy
     /* 1882317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1882330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882351 */     // GIR_Coverage, 60994,
     /* 1882351 */     GIR_EraseRootFromParent_Done,
     /* 1882352 */   // Label 25329: @1882352
     /* 1882352 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1882438), // Rule ID 60995 //
     /* 1882357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882403 */     // MIs[0] policy
     /* 1882403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1882416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882437 */     // GIR_Coverage, 60995,
     /* 1882437 */     GIR_EraseRootFromParent_Done,
     /* 1882438 */   // Label 25330: @1882438
     /* 1882438 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1882524), // Rule ID 60998 //
     /* 1882443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882489 */     // MIs[0] policy
     /* 1882489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1882502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882523 */     // GIR_Coverage, 60998,
     /* 1882523 */     GIR_EraseRootFromParent_Done,
     /* 1882524 */   // Label 25331: @1882524
     /* 1882524 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1882610), // Rule ID 60999 //
     /* 1882529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882575 */     // MIs[0] policy
     /* 1882575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1882588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882609 */     // GIR_Coverage, 60999,
     /* 1882609 */     GIR_EraseRootFromParent_Done,
     /* 1882610 */   // Label 25332: @1882610
     /* 1882610 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1882696), // Rule ID 61002 //
     /* 1882615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882661 */     // MIs[0] policy
     /* 1882661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1882674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882695 */     // GIR_Coverage, 61002,
     /* 1882695 */     GIR_EraseRootFromParent_Done,
     /* 1882696 */   // Label 25333: @1882696
     /* 1882696 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1882782), // Rule ID 61003 //
     /* 1882701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882747 */     // MIs[0] policy
     /* 1882747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1882760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882781 */     // GIR_Coverage, 61003,
     /* 1882781 */     GIR_EraseRootFromParent_Done,
     /* 1882782 */   // Label 25334: @1882782
     /* 1882782 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1882868), // Rule ID 61006 //
     /* 1882787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882833 */     // MIs[0] policy
     /* 1882833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1882846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882867 */     // GIR_Coverage, 61006,
     /* 1882867 */     GIR_EraseRootFromParent_Done,
     /* 1882868 */   // Label 25335: @1882868
     /* 1882868 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1882954), // Rule ID 61007 //
     /* 1882873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1882876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882919 */     // MIs[0] policy
     /* 1882919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1882932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882953 */     // GIR_Coverage, 61007,
     /* 1882953 */     GIR_EraseRootFromParent_Done,
     /* 1882954 */   // Label 25336: @1882954
     /* 1882954 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1883040), // Rule ID 61010 //
     /* 1882959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1882962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1882967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883005 */     // MIs[0] policy
     /* 1883005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1883018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883039 */     // GIR_Coverage, 61010,
     /* 1883039 */     GIR_EraseRootFromParent_Done,
     /* 1883040 */   // Label 25337: @1883040
     /* 1883040 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1883126), // Rule ID 61011 //
     /* 1883045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1883053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883091 */     // MIs[0] policy
     /* 1883091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1883104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883125 */     // GIR_Coverage, 61011,
     /* 1883125 */     GIR_EraseRootFromParent_Done,
     /* 1883126 */   // Label 25338: @1883126
     /* 1883126 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1883212), // Rule ID 61014 //
     /* 1883131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1883139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883177 */     // MIs[0] policy
     /* 1883177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1883190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883211 */     // GIR_Coverage, 61014,
     /* 1883211 */     GIR_EraseRootFromParent_Done,
     /* 1883212 */   // Label 25339: @1883212
     /* 1883212 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1883298), // Rule ID 61015 //
     /* 1883217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1883225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883263 */     // MIs[0] policy
     /* 1883263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1883276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883297 */     // GIR_Coverage, 61015,
     /* 1883297 */     GIR_EraseRootFromParent_Done,
     /* 1883298 */   // Label 25340: @1883298
     /* 1883298 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1883384), // Rule ID 61102 //
     /* 1883303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1883323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883349 */     // MIs[0] policy
     /* 1883349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1883362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883383 */     // GIR_Coverage, 61102,
     /* 1883383 */     GIR_EraseRootFromParent_Done,
     /* 1883384 */   // Label 25341: @1883384
     /* 1883384 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1883470), // Rule ID 61103 //
     /* 1883389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1883409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883435 */     // MIs[0] policy
     /* 1883435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883445 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1883448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883469 */     // GIR_Coverage, 61103,
     /* 1883469 */     GIR_EraseRootFromParent_Done,
     /* 1883470 */   // Label 25342: @1883470
     /* 1883470 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1883556), // Rule ID 61106 //
     /* 1883475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1883495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883521 */     // MIs[0] policy
     /* 1883521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1883534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883555 */     // GIR_Coverage, 61106,
     /* 1883555 */     GIR_EraseRootFromParent_Done,
     /* 1883556 */   // Label 25343: @1883556
     /* 1883556 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1883642), // Rule ID 61107 //
     /* 1883561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1883581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883607 */     // MIs[0] policy
     /* 1883607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1883620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883641 */     // GIR_Coverage, 61107,
     /* 1883641 */     GIR_EraseRootFromParent_Done,
     /* 1883642 */   // Label 25344: @1883642
     /* 1883642 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1883728), // Rule ID 61110 //
     /* 1883647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1883667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883693 */     // MIs[0] policy
     /* 1883693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1883706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883727 */     // GIR_Coverage, 61110,
     /* 1883727 */     GIR_EraseRootFromParent_Done,
     /* 1883728 */   // Label 25345: @1883728
     /* 1883728 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1883814), // Rule ID 61111 //
     /* 1883733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1883753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883779 */     // MIs[0] policy
     /* 1883779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1883792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883813 */     // GIR_Coverage, 61111,
     /* 1883813 */     GIR_EraseRootFromParent_Done,
     /* 1883814 */   // Label 25346: @1883814
     /* 1883814 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1883900), // Rule ID 61114 //
     /* 1883819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1883839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883865 */     // MIs[0] policy
     /* 1883865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1883878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883899 */     // GIR_Coverage, 61114,
     /* 1883899 */     GIR_EraseRootFromParent_Done,
     /* 1883900 */   // Label 25347: @1883900
     /* 1883900 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1883986), // Rule ID 61115 //
     /* 1883905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1883908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1883925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883951 */     // MIs[0] policy
     /* 1883951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1883964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883985 */     // GIR_Coverage, 61115,
     /* 1883985 */     GIR_EraseRootFromParent_Done,
     /* 1883986 */   // Label 25348: @1883986
     /* 1883986 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1884072), // Rule ID 61118 //
     /* 1883991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1883994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1883999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1884011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884037 */     // MIs[0] policy
     /* 1884037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1884050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884071 */     // GIR_Coverage, 61118,
     /* 1884071 */     GIR_EraseRootFromParent_Done,
     /* 1884072 */   // Label 25349: @1884072
     /* 1884072 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1884158), // Rule ID 61119 //
     /* 1884077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1884097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884123 */     // MIs[0] policy
     /* 1884123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1884136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884157 */     // GIR_Coverage, 61119,
     /* 1884157 */     GIR_EraseRootFromParent_Done,
     /* 1884158 */   // Label 25350: @1884158
     /* 1884158 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1884244), // Rule ID 61122 //
     /* 1884163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1884166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884209 */     // MIs[0] policy
     /* 1884209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1884222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884243 */     // GIR_Coverage, 61122,
     /* 1884243 */     GIR_EraseRootFromParent_Done,
     /* 1884244 */   // Label 25351: @1884244
     /* 1884244 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1884330), // Rule ID 61123 //
     /* 1884249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884295 */     // MIs[0] policy
     /* 1884295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884305 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1884308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884329 */     // GIR_Coverage, 61123,
     /* 1884329 */     GIR_EraseRootFromParent_Done,
     /* 1884330 */   // Label 25352: @1884330
     /* 1884330 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1884416), // Rule ID 61126 //
     /* 1884335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1884338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1884355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884381 */     // MIs[0] policy
     /* 1884381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884415 */     // GIR_Coverage, 61126,
     /* 1884415 */     GIR_EraseRootFromParent_Done,
     /* 1884416 */   // Label 25353: @1884416
     /* 1884416 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1884502), // Rule ID 61127 //
     /* 1884421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1884441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884467 */     // MIs[0] policy
     /* 1884467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884501 */     // GIR_Coverage, 61127,
     /* 1884501 */     GIR_EraseRootFromParent_Done,
     /* 1884502 */   // Label 25354: @1884502
     /* 1884502 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1884588), // Rule ID 61130 //
     /* 1884507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1884510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1884527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884553 */     // MIs[0] policy
     /* 1884553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884587 */     // GIR_Coverage, 61130,
     /* 1884587 */     GIR_EraseRootFromParent_Done,
     /* 1884588 */   // Label 25355: @1884588
     /* 1884588 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1884674), // Rule ID 61131 //
     /* 1884593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1884613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884639 */     // MIs[0] policy
     /* 1884639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884673 */     // GIR_Coverage, 61131,
     /* 1884673 */     GIR_EraseRootFromParent_Done,
     /* 1884674 */   // Label 25356: @1884674
     /* 1884674 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1884760), // Rule ID 61134 //
     /* 1884679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1884682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884725 */     // MIs[0] policy
     /* 1884725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884735 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884759 */     // GIR_Coverage, 61134,
     /* 1884759 */     GIR_EraseRootFromParent_Done,
     /* 1884760 */   // Label 25357: @1884760
     /* 1884760 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1884846), // Rule ID 61135 //
     /* 1884765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884811 */     // MIs[0] policy
     /* 1884811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884845 */     // GIR_Coverage, 61135,
     /* 1884845 */     GIR_EraseRootFromParent_Done,
     /* 1884846 */   // Label 25358: @1884846
     /* 1884846 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1884932), // Rule ID 61138 //
     /* 1884851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1884854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1884871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884897 */     // MIs[0] policy
     /* 1884897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884931 */     // GIR_Coverage, 61138,
     /* 1884931 */     GIR_EraseRootFromParent_Done,
     /* 1884932 */   // Label 25359: @1884932
     /* 1884932 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1885018), // Rule ID 61139 //
     /* 1884937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1884940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1884945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1884957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884983 */     // MIs[0] policy
     /* 1884983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1884996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885017 */     // GIR_Coverage, 61139,
     /* 1885017 */     GIR_EraseRootFromParent_Done,
     /* 1885018 */   // Label 25360: @1885018
     /* 1885018 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1885104), // Rule ID 61142 //
     /* 1885023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1885043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885069 */     // MIs[0] policy
     /* 1885069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885079 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1885082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885103 */     // GIR_Coverage, 61142,
     /* 1885103 */     GIR_EraseRootFromParent_Done,
     /* 1885104 */   // Label 25361: @1885104
     /* 1885104 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1885190), // Rule ID 61143 //
     /* 1885109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1885129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885155 */     // MIs[0] policy
     /* 1885155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885165 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1885168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885189 */     // GIR_Coverage, 61143,
     /* 1885189 */     GIR_EraseRootFromParent_Done,
     /* 1885190 */   // Label 25362: @1885190
     /* 1885190 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1885276), // Rule ID 61146 //
     /* 1885195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1885215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885241 */     // MIs[0] policy
     /* 1885241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1885254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885275 */     // GIR_Coverage, 61146,
     /* 1885275 */     GIR_EraseRootFromParent_Done,
     /* 1885276 */   // Label 25363: @1885276
     /* 1885276 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1885362), // Rule ID 61147 //
     /* 1885281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1885301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885327 */     // MIs[0] policy
     /* 1885327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885337 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1885340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885361 */     // GIR_Coverage, 61147,
     /* 1885361 */     GIR_EraseRootFromParent_Done,
     /* 1885362 */   // Label 25364: @1885362
     /* 1885362 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1885448), // Rule ID 61150 //
     /* 1885367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1885387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885413 */     // MIs[0] policy
     /* 1885413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885423 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1885426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885447 */     // GIR_Coverage, 61150,
     /* 1885447 */     GIR_EraseRootFromParent_Done,
     /* 1885448 */   // Label 25365: @1885448
     /* 1885448 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1885534), // Rule ID 61151 //
     /* 1885453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1885473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885499 */     // MIs[0] policy
     /* 1885499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885509 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1885512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885533 */     // GIR_Coverage, 61151,
     /* 1885533 */     GIR_EraseRootFromParent_Done,
     /* 1885534 */   // Label 25366: @1885534
     /* 1885534 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1885620), // Rule ID 61154 //
     /* 1885539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1885559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885585 */     // MIs[0] policy
     /* 1885585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1885598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885619 */     // GIR_Coverage, 61154,
     /* 1885619 */     GIR_EraseRootFromParent_Done,
     /* 1885620 */   // Label 25367: @1885620
     /* 1885620 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1885706), // Rule ID 61155 //
     /* 1885625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1885645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885671 */     // MIs[0] policy
     /* 1885671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885681 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1885684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885705 */     // GIR_Coverage, 61155,
     /* 1885705 */     GIR_EraseRootFromParent_Done,
     /* 1885706 */   // Label 25368: @1885706
     /* 1885706 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1885792), // Rule ID 61158 //
     /* 1885711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1885731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885757 */     // MIs[0] policy
     /* 1885757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1885770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885791 */     // GIR_Coverage, 61158,
     /* 1885791 */     GIR_EraseRootFromParent_Done,
     /* 1885792 */   // Label 25369: @1885792
     /* 1885792 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1885878), // Rule ID 61159 //
     /* 1885797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1885817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885843 */     // MIs[0] policy
     /* 1885843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1885856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885877 */     // GIR_Coverage, 61159,
     /* 1885877 */     GIR_EraseRootFromParent_Done,
     /* 1885878 */   // Label 25370: @1885878
     /* 1885878 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1885964), // Rule ID 61162 //
     /* 1885883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1885886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1885903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885929 */     // MIs[0] policy
     /* 1885929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1885942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885963 */     // GIR_Coverage, 61162,
     /* 1885963 */     GIR_EraseRootFromParent_Done,
     /* 1885964 */   // Label 25371: @1885964
     /* 1885964 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1886050), // Rule ID 61163 //
     /* 1885969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1885972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1885977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1885989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886015 */     // MIs[0] policy
     /* 1886015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1886028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886049 */     // GIR_Coverage, 61163,
     /* 1886049 */     GIR_EraseRootFromParent_Done,
     /* 1886050 */   // Label 25372: @1886050
     /* 1886050 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1886136), // Rule ID 61166 //
     /* 1886055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1886075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886101 */     // MIs[0] policy
     /* 1886101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1886114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886135 */     // GIR_Coverage, 61166,
     /* 1886135 */     GIR_EraseRootFromParent_Done,
     /* 1886136 */   // Label 25373: @1886136
     /* 1886136 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1886222), // Rule ID 61167 //
     /* 1886141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1886144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1886161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886187 */     // MIs[0] policy
     /* 1886187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1886200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886221 */     // GIR_Coverage, 61167,
     /* 1886221 */     GIR_EraseRootFromParent_Done,
     /* 1886222 */   // Label 25374: @1886222
     /* 1886222 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1886308), // Rule ID 61170 //
     /* 1886227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1886247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886273 */     // MIs[0] policy
     /* 1886273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1886286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886307 */     // GIR_Coverage, 61170,
     /* 1886307 */     GIR_EraseRootFromParent_Done,
     /* 1886308 */   // Label 25375: @1886308
     /* 1886308 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1886394), // Rule ID 61171 //
     /* 1886313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1886316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1886333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886359 */     // MIs[0] policy
     /* 1886359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886369 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1886372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886393 */     // GIR_Coverage, 61171,
     /* 1886393 */     GIR_EraseRootFromParent_Done,
     /* 1886394 */   // Label 25376: @1886394
     /* 1886394 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1886480), // Rule ID 61174 //
     /* 1886399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1886419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886445 */     // MIs[0] policy
     /* 1886445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1886458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886479 */     // GIR_Coverage, 61174,
     /* 1886479 */     GIR_EraseRootFromParent_Done,
     /* 1886480 */   // Label 25377: @1886480
     /* 1886480 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1886566), // Rule ID 61175 //
     /* 1886485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1886488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1886505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886531 */     // MIs[0] policy
     /* 1886531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1886544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886565 */     // GIR_Coverage, 61175,
     /* 1886565 */     GIR_EraseRootFromParent_Done,
     /* 1886566 */   // Label 25378: @1886566
     /* 1886566 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1886652), // Rule ID 61178 //
     /* 1886571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1886591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886617 */     // MIs[0] policy
     /* 1886617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1886630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886651 */     // GIR_Coverage, 61178,
     /* 1886651 */     GIR_EraseRootFromParent_Done,
     /* 1886652 */   // Label 25379: @1886652
     /* 1886652 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1886738), // Rule ID 61179 //
     /* 1886657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1886660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1886677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886703 */     // MIs[0] policy
     /* 1886703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1886716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886737 */     // GIR_Coverage, 61179,
     /* 1886737 */     GIR_EraseRootFromParent_Done,
     /* 1886738 */   // Label 25380: @1886738
     /* 1886738 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1886824), // Rule ID 61182 //
     /* 1886743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1886763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886789 */     // MIs[0] policy
     /* 1886789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886799 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1886802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886823 */     // GIR_Coverage, 61182,
     /* 1886823 */     GIR_EraseRootFromParent_Done,
     /* 1886824 */   // Label 25381: @1886824
     /* 1886824 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1886910), // Rule ID 61183 //
     /* 1886829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1886832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1886849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886875 */     // MIs[0] policy
     /* 1886875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1886888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886909 */     // GIR_Coverage, 61183,
     /* 1886909 */     GIR_EraseRootFromParent_Done,
     /* 1886910 */   // Label 25382: @1886910
     /* 1886910 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1886996), // Rule ID 61186 //
     /* 1886915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1886918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1886923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1886935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886961 */     // MIs[0] policy
     /* 1886961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1886974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886995 */     // GIR_Coverage, 61186,
     /* 1886995 */     GIR_EraseRootFromParent_Done,
     /* 1886996 */   // Label 25383: @1886996
     /* 1886996 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1887082), // Rule ID 61187 //
     /* 1887001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1887021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887047 */     // MIs[0] policy
     /* 1887047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1887060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887081 */     // GIR_Coverage, 61187,
     /* 1887081 */     GIR_EraseRootFromParent_Done,
     /* 1887082 */   // Label 25384: @1887082
     /* 1887082 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1887168), // Rule ID 61190 //
     /* 1887087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887133 */     // MIs[0] policy
     /* 1887133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887143 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1887146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887167 */     // GIR_Coverage, 61190,
     /* 1887167 */     GIR_EraseRootFromParent_Done,
     /* 1887168 */   // Label 25385: @1887168
     /* 1887168 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1887254), // Rule ID 61191 //
     /* 1887173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887219 */     // MIs[0] policy
     /* 1887219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1887232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887253 */     // GIR_Coverage, 61191,
     /* 1887253 */     GIR_EraseRootFromParent_Done,
     /* 1887254 */   // Label 25386: @1887254
     /* 1887254 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1887340), // Rule ID 61194 //
     /* 1887259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887305 */     // MIs[0] policy
     /* 1887305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1887318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887339 */     // GIR_Coverage, 61194,
     /* 1887339 */     GIR_EraseRootFromParent_Done,
     /* 1887340 */   // Label 25387: @1887340
     /* 1887340 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1887426), // Rule ID 61195 //
     /* 1887345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887391 */     // MIs[0] policy
     /* 1887391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1887404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887425 */     // GIR_Coverage, 61195,
     /* 1887425 */     GIR_EraseRootFromParent_Done,
     /* 1887426 */   // Label 25388: @1887426
     /* 1887426 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1887512), // Rule ID 61198 //
     /* 1887431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887477 */     // MIs[0] policy
     /* 1887477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887487 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1887490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887511 */     // GIR_Coverage, 61198,
     /* 1887511 */     GIR_EraseRootFromParent_Done,
     /* 1887512 */   // Label 25389: @1887512
     /* 1887512 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1887598), // Rule ID 61199 //
     /* 1887517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887563 */     // MIs[0] policy
     /* 1887563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887573 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1887576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887597 */     // GIR_Coverage, 61199,
     /* 1887597 */     GIR_EraseRootFromParent_Done,
     /* 1887598 */   // Label 25390: @1887598
     /* 1887598 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1887684), // Rule ID 61202 //
     /* 1887603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887649 */     // MIs[0] policy
     /* 1887649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1887662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887683 */     // GIR_Coverage, 61202,
     /* 1887683 */     GIR_EraseRootFromParent_Done,
     /* 1887684 */   // Label 25391: @1887684
     /* 1887684 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1887770), // Rule ID 61203 //
     /* 1887689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887735 */     // MIs[0] policy
     /* 1887735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1887748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887769 */     // GIR_Coverage, 61203,
     /* 1887769 */     GIR_EraseRootFromParent_Done,
     /* 1887770 */   // Label 25392: @1887770
     /* 1887770 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1887856), // Rule ID 61206 //
     /* 1887775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887821 */     // MIs[0] policy
     /* 1887821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1887834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887855 */     // GIR_Coverage, 61206,
     /* 1887855 */     GIR_EraseRootFromParent_Done,
     /* 1887856 */   // Label 25393: @1887856
     /* 1887856 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1887942), // Rule ID 61207 //
     /* 1887861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1887864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887907 */     // MIs[0] policy
     /* 1887907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1887920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887941 */     // GIR_Coverage, 61207,
     /* 1887941 */     GIR_EraseRootFromParent_Done,
     /* 1887942 */   // Label 25394: @1887942
     /* 1887942 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1888028), // Rule ID 61210 //
     /* 1887947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1887950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1887955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887993 */     // MIs[0] policy
     /* 1887993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1888006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888027 */     // GIR_Coverage, 61210,
     /* 1888027 */     GIR_EraseRootFromParent_Done,
     /* 1888028 */   // Label 25395: @1888028
     /* 1888028 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1888114), // Rule ID 61211 //
     /* 1888033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888079 */     // MIs[0] policy
     /* 1888079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1888092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888113 */     // GIR_Coverage, 61211,
     /* 1888113 */     GIR_EraseRootFromParent_Done,
     /* 1888114 */   // Label 25396: @1888114
     /* 1888114 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1888200), // Rule ID 61214 //
     /* 1888119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888165 */     // MIs[0] policy
     /* 1888165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888175 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888199 */     // GIR_Coverage, 61214,
     /* 1888199 */     GIR_EraseRootFromParent_Done,
     /* 1888200 */   // Label 25397: @1888200
     /* 1888200 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1888286), // Rule ID 61215 //
     /* 1888205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888251 */     // MIs[0] policy
     /* 1888251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888261 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888285 */     // GIR_Coverage, 61215,
     /* 1888285 */     GIR_EraseRootFromParent_Done,
     /* 1888286 */   // Label 25398: @1888286
     /* 1888286 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1888372), // Rule ID 61218 //
     /* 1888291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888337 */     // MIs[0] policy
     /* 1888337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888371 */     // GIR_Coverage, 61218,
     /* 1888371 */     GIR_EraseRootFromParent_Done,
     /* 1888372 */   // Label 25399: @1888372
     /* 1888372 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1888458), // Rule ID 61219 //
     /* 1888377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888423 */     // MIs[0] policy
     /* 1888423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888457 */     // GIR_Coverage, 61219,
     /* 1888457 */     GIR_EraseRootFromParent_Done,
     /* 1888458 */   // Label 25400: @1888458
     /* 1888458 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1888544), // Rule ID 61222 //
     /* 1888463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888509 */     // MIs[0] policy
     /* 1888509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888543 */     // GIR_Coverage, 61222,
     /* 1888543 */     GIR_EraseRootFromParent_Done,
     /* 1888544 */   // Label 25401: @1888544
     /* 1888544 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1888630), // Rule ID 61223 //
     /* 1888549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888595 */     // MIs[0] policy
     /* 1888595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888629 */     // GIR_Coverage, 61223,
     /* 1888629 */     GIR_EraseRootFromParent_Done,
     /* 1888630 */   // Label 25402: @1888630
     /* 1888630 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1888716), // Rule ID 61226 //
     /* 1888635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888681 */     // MIs[0] policy
     /* 1888681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888715 */     // GIR_Coverage, 61226,
     /* 1888715 */     GIR_EraseRootFromParent_Done,
     /* 1888716 */   // Label 25403: @1888716
     /* 1888716 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1888802), // Rule ID 61227 //
     /* 1888721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888767 */     // MIs[0] policy
     /* 1888767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1888780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888801 */     // GIR_Coverage, 61227,
     /* 1888801 */     GIR_EraseRootFromParent_Done,
     /* 1888802 */   // Label 25404: @1888802
     /* 1888802 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1888888), // Rule ID 61230 //
     /* 1888807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1888824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888853 */     // MIs[0] policy
     /* 1888853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888863 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1888866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888887 */     // GIR_Coverage, 61230,
     /* 1888887 */     GIR_EraseRootFromParent_Done,
     /* 1888888 */   // Label 25405: @1888888
     /* 1888888 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1888974), // Rule ID 61231 //
     /* 1888893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1888896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1888904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1888907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1888910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888939 */     // MIs[0] policy
     /* 1888939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1888952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888973 */     // GIR_Coverage, 61231,
     /* 1888973 */     GIR_EraseRootFromParent_Done,
     /* 1888974 */   // Label 25406: @1888974
     /* 1888974 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1889060), // Rule ID 61234 //
     /* 1888979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1888982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1888987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1888990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1888993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1888996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889025 */     // MIs[0] policy
     /* 1889025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1889038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889059 */     // GIR_Coverage, 61234,
     /* 1889059 */     GIR_EraseRootFromParent_Done,
     /* 1889060 */   // Label 25407: @1889060
     /* 1889060 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1889146), // Rule ID 61235 //
     /* 1889065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1889076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1889079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889111 */     // MIs[0] policy
     /* 1889111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1889124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889145 */     // GIR_Coverage, 61235,
     /* 1889145 */     GIR_EraseRootFromParent_Done,
     /* 1889146 */   // Label 25408: @1889146
     /* 1889146 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1889232), // Rule ID 61238 //
     /* 1889151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1889154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889197 */     // MIs[0] policy
     /* 1889197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889207 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1889210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889231 */     // GIR_Coverage, 61238,
     /* 1889231 */     GIR_EraseRootFromParent_Done,
     /* 1889232 */   // Label 25409: @1889232
     /* 1889232 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1889318), // Rule ID 61239 //
     /* 1889237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889283 */     // MIs[0] policy
     /* 1889283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1889296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889317 */     // GIR_Coverage, 61239,
     /* 1889317 */     GIR_EraseRootFromParent_Done,
     /* 1889318 */   // Label 25410: @1889318
     /* 1889318 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1889404), // Rule ID 61242 //
     /* 1889323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1889326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889369 */     // MIs[0] policy
     /* 1889369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889379 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1889382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889403 */     // GIR_Coverage, 61242,
     /* 1889403 */     GIR_EraseRootFromParent_Done,
     /* 1889404 */   // Label 25411: @1889404
     /* 1889404 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1889490), // Rule ID 61243 //
     /* 1889409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889455 */     // MIs[0] policy
     /* 1889455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1889468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889489 */     // GIR_Coverage, 61243,
     /* 1889489 */     GIR_EraseRootFromParent_Done,
     /* 1889490 */   // Label 25412: @1889490
     /* 1889490 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1889576), // Rule ID 61246 //
     /* 1889495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1889498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889541 */     // MIs[0] policy
     /* 1889541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1889554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889575 */     // GIR_Coverage, 61246,
     /* 1889575 */     GIR_EraseRootFromParent_Done,
     /* 1889576 */   // Label 25413: @1889576
     /* 1889576 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1889662), // Rule ID 61247 //
     /* 1889581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889627 */     // MIs[0] policy
     /* 1889627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889637 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1889640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889661 */     // GIR_Coverage, 61247,
     /* 1889661 */     GIR_EraseRootFromParent_Done,
     /* 1889662 */   // Label 25414: @1889662
     /* 1889662 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1889748), // Rule ID 61250 //
     /* 1889667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1889670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889713 */     // MIs[0] policy
     /* 1889713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1889726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889747 */     // GIR_Coverage, 61250,
     /* 1889747 */     GIR_EraseRootFromParent_Done,
     /* 1889748 */   // Label 25415: @1889748
     /* 1889748 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1889834), // Rule ID 61251 //
     /* 1889753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1889770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889799 */     // MIs[0] policy
     /* 1889799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889809 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1889812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889833 */     // GIR_Coverage, 61251,
     /* 1889833 */     GIR_EraseRootFromParent_Done,
     /* 1889834 */   // Label 25416: @1889834
     /* 1889834 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1889920), // Rule ID 61254 //
     /* 1889839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1889842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889885 */     // MIs[0] policy
     /* 1889885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1889898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889919 */     // GIR_Coverage, 61254,
     /* 1889919 */     GIR_EraseRootFromParent_Done,
     /* 1889920 */   // Label 25417: @1889920
     /* 1889920 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1890006), // Rule ID 61255 //
     /* 1889925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1889928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1889933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1889942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889971 */     // MIs[0] policy
     /* 1889971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1889984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890005 */     // GIR_Coverage, 61255,
     /* 1890005 */     GIR_EraseRootFromParent_Done,
     /* 1890006 */   // Label 25418: @1890006
     /* 1890006 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1890092), // Rule ID 61258 //
     /* 1890011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1890014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890057 */     // MIs[0] policy
     /* 1890057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1890070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890091 */     // GIR_Coverage, 61258,
     /* 1890091 */     GIR_EraseRootFromParent_Done,
     /* 1890092 */   // Label 25419: @1890092
     /* 1890092 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1890178), // Rule ID 61259 //
     /* 1890097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1890100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890143 */     // MIs[0] policy
     /* 1890143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890153 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1890156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890177 */     // GIR_Coverage, 61259,
     /* 1890177 */     GIR_EraseRootFromParent_Done,
     /* 1890178 */   // Label 25420: @1890178
     /* 1890178 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1890264), // Rule ID 61262 //
     /* 1890183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1890186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890229 */     // MIs[0] policy
     /* 1890229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1890242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890263 */     // GIR_Coverage, 61262,
     /* 1890263 */     GIR_EraseRootFromParent_Done,
     /* 1890264 */   // Label 25421: @1890264
     /* 1890264 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1890350), // Rule ID 61263 //
     /* 1890269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1890272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890315 */     // MIs[0] policy
     /* 1890315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1890328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890349 */     // GIR_Coverage, 61263,
     /* 1890349 */     GIR_EraseRootFromParent_Done,
     /* 1890350 */   // Label 25422: @1890350
     /* 1890350 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1890436), // Rule ID 61266 //
     /* 1890355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1890358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890401 */     // MIs[0] policy
     /* 1890401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1890414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890435 */     // GIR_Coverage, 61266,
     /* 1890435 */     GIR_EraseRootFromParent_Done,
     /* 1890436 */   // Label 25423: @1890436
     /* 1890436 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1890522), // Rule ID 61267 //
     /* 1890441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1890444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890487 */     // MIs[0] policy
     /* 1890487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1890500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890521 */     // GIR_Coverage, 61267,
     /* 1890521 */     GIR_EraseRootFromParent_Done,
     /* 1890522 */   // Label 25424: @1890522
     /* 1890522 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1890608), // Rule ID 61270 //
     /* 1890527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1890530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890573 */     // MIs[0] policy
     /* 1890573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1890586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890607 */     // GIR_Coverage, 61270,
     /* 1890607 */     GIR_EraseRootFromParent_Done,
     /* 1890608 */   // Label 25425: @1890608
     /* 1890608 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1890694), // Rule ID 61271 //
     /* 1890613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1890616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890659 */     // MIs[0] policy
     /* 1890659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1890672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890693 */     // GIR_Coverage, 61271,
     /* 1890693 */     GIR_EraseRootFromParent_Done,
     /* 1890694 */   // Label 25426: @1890694
     /* 1890694 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1890780), // Rule ID 61274 //
     /* 1890699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1890702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890745 */     // MIs[0] policy
     /* 1890745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1890758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890779 */     // GIR_Coverage, 61274,
     /* 1890779 */     GIR_EraseRootFromParent_Done,
     /* 1890780 */   // Label 25427: @1890780
     /* 1890780 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1890866), // Rule ID 61275 //
     /* 1890785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1890788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1890793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1890796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1890799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1890802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890831 */     // MIs[0] policy
     /* 1890831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890841 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1890844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890865 */     // GIR_Coverage, 61275,
     /* 1890865 */     GIR_EraseRootFromParent_Done,
     /* 1890866 */   // Label 25428: @1890866
     /* 1890866 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1890952), // Rule ID 61916 //
     /* 1890871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1890874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1890879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1890888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1890891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890917 */     // MIs[0] policy
     /* 1890917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1890930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890951 */     // GIR_Coverage, 61916,
     /* 1890951 */     GIR_EraseRootFromParent_Done,
     /* 1890952 */   // Label 25429: @1890952
     /* 1890952 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1891038), // Rule ID 61917 //
     /* 1890957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1890960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1890965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1890974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1890977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891003 */     // MIs[0] policy
     /* 1891003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891013 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1891016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891037 */     // GIR_Coverage, 61917,
     /* 1891037 */     GIR_EraseRootFromParent_Done,
     /* 1891038 */   // Label 25430: @1891038
     /* 1891038 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1891124), // Rule ID 61920 //
     /* 1891043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1891060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1891063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891089 */     // MIs[0] policy
     /* 1891089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1891102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891123 */     // GIR_Coverage, 61920,
     /* 1891123 */     GIR_EraseRootFromParent_Done,
     /* 1891124 */   // Label 25431: @1891124
     /* 1891124 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1891210), // Rule ID 61921 //
     /* 1891129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1891146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1891149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891175 */     // MIs[0] policy
     /* 1891175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1891188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891209 */     // GIR_Coverage, 61921,
     /* 1891209 */     GIR_EraseRootFromParent_Done,
     /* 1891210 */   // Label 25432: @1891210
     /* 1891210 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1891296), // Rule ID 61924 //
     /* 1891215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1891232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1891235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891261 */     // MIs[0] policy
     /* 1891261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1891274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891295 */     // GIR_Coverage, 61924,
     /* 1891295 */     GIR_EraseRootFromParent_Done,
     /* 1891296 */   // Label 25433: @1891296
     /* 1891296 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1891382), // Rule ID 61925 //
     /* 1891301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1891318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1891321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891347 */     // MIs[0] policy
     /* 1891347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1891360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891381 */     // GIR_Coverage, 61925,
     /* 1891381 */     GIR_EraseRootFromParent_Done,
     /* 1891382 */   // Label 25434: @1891382
     /* 1891382 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1891468), // Rule ID 61928 //
     /* 1891387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1891404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1891407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891433 */     // MIs[0] policy
     /* 1891433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891443 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1891446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891467 */     // GIR_Coverage, 61928,
     /* 1891467 */     GIR_EraseRootFromParent_Done,
     /* 1891468 */   // Label 25435: @1891468
     /* 1891468 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1891554), // Rule ID 61929 //
     /* 1891473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1891490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1891493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891519 */     // MIs[0] policy
     /* 1891519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1891532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891553 */     // GIR_Coverage, 61929,
     /* 1891553 */     GIR_EraseRootFromParent_Done,
     /* 1891554 */   // Label 25436: @1891554
     /* 1891554 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1891640), // Rule ID 61932 //
     /* 1891559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1891576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1891579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1891582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891605 */     // MIs[0] policy
     /* 1891605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1891618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891639 */     // GIR_Coverage, 61932,
     /* 1891639 */     GIR_EraseRootFromParent_Done,
     /* 1891640 */   // Label 25437: @1891640
     /* 1891640 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1891726), // Rule ID 61933 //
     /* 1891645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1891662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1891665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1891668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891691 */     // MIs[0] policy
     /* 1891691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1891704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891725 */     // GIR_Coverage, 61933,
     /* 1891725 */     GIR_EraseRootFromParent_Done,
     /* 1891726 */   // Label 25438: @1891726
     /* 1891726 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1891812), // Rule ID 61936 //
     /* 1891731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891777 */     // MIs[0] policy
     /* 1891777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1891790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891811 */     // GIR_Coverage, 61936,
     /* 1891811 */     GIR_EraseRootFromParent_Done,
     /* 1891812 */   // Label 25439: @1891812
     /* 1891812 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1891898), // Rule ID 61937 //
     /* 1891817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1891828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1891831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1891834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891863 */     // MIs[0] policy
     /* 1891863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1891876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891897 */     // GIR_Coverage, 61937,
     /* 1891897 */     GIR_EraseRootFromParent_Done,
     /* 1891898 */   // Label 25440: @1891898
     /* 1891898 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1891984), // Rule ID 61940 //
     /* 1891903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1891906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1891914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1891917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1891923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891949 */     // MIs[0] policy
     /* 1891949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1891962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891983 */     // GIR_Coverage, 61940,
     /* 1891983 */     GIR_EraseRootFromParent_Done,
     /* 1891984 */   // Label 25441: @1891984
     /* 1891984 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1892070), // Rule ID 61941 //
     /* 1891989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1891992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1891997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892035 */     // MIs[0] policy
     /* 1892035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1892048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892069 */     // GIR_Coverage, 61941,
     /* 1892069 */     GIR_EraseRootFromParent_Done,
     /* 1892070 */   // Label 25442: @1892070
     /* 1892070 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1892156), // Rule ID 61944 //
     /* 1892075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1892095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892121 */     // MIs[0] policy
     /* 1892121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1892134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892155 */     // GIR_Coverage, 61944,
     /* 1892155 */     GIR_EraseRootFromParent_Done,
     /* 1892156 */   // Label 25443: @1892156
     /* 1892156 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1892242), // Rule ID 61945 //
     /* 1892161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1892164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1892181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892207 */     // MIs[0] policy
     /* 1892207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1892220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892241 */     // GIR_Coverage, 61945,
     /* 1892241 */     GIR_EraseRootFromParent_Done,
     /* 1892242 */   // Label 25444: @1892242
     /* 1892242 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1892328), // Rule ID 61948 //
     /* 1892247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1892267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892293 */     // MIs[0] policy
     /* 1892293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892303 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1892306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892327 */     // GIR_Coverage, 61948,
     /* 1892327 */     GIR_EraseRootFromParent_Done,
     /* 1892328 */   // Label 25445: @1892328
     /* 1892328 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1892414), // Rule ID 61949 //
     /* 1892333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1892336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1892344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1892347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1892353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892379 */     // MIs[0] policy
     /* 1892379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1892392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892413 */     // GIR_Coverage, 61949,
     /* 1892413 */     GIR_EraseRootFromParent_Done,
     /* 1892414 */   // Label 25446: @1892414
     /* 1892414 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1892500), // Rule ID 61952 //
     /* 1892419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1892439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1892442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892465 */     // MIs[0] policy
     /* 1892465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1892478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892499 */     // GIR_Coverage, 61952,
     /* 1892499 */     GIR_EraseRootFromParent_Done,
     /* 1892500 */   // Label 25447: @1892500
     /* 1892500 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1892586), // Rule ID 61953 //
     /* 1892505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1892508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1892513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1892516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1892519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1892525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1892528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892551 */     // MIs[0] policy
     /* 1892551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1892564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892585 */     // GIR_Coverage, 61953,
     /* 1892585 */     GIR_EraseRootFromParent_Done,
     /* 1892586 */   // Label 25448: @1892586
     /* 1892586 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1892672), // Rule ID 61956 //
     /* 1892591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1892599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1892608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1892611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892637 */     // MIs[0] policy
     /* 1892637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1892650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892671 */     // GIR_Coverage, 61956,
     /* 1892671 */     GIR_EraseRootFromParent_Done,
     /* 1892672 */   // Label 25449: @1892672
     /* 1892672 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1892758), // Rule ID 61957 //
     /* 1892677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1892680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1892685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1892694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1892697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892723 */     // MIs[0] policy
     /* 1892723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1892736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892757 */     // GIR_Coverage, 61957,
     /* 1892757 */     GIR_EraseRootFromParent_Done,
     /* 1892758 */   // Label 25450: @1892758
     /* 1892758 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1892844), // Rule ID 61960 //
     /* 1892763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1892771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892809 */     // MIs[0] policy
     /* 1892809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1892822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892843 */     // GIR_Coverage, 61960,
     /* 1892843 */     GIR_EraseRootFromParent_Done,
     /* 1892844 */   // Label 25451: @1892844
     /* 1892844 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1892930), // Rule ID 61961 //
     /* 1892849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1892852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1892857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892895 */     // MIs[0] policy
     /* 1892895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1892908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892929 */     // GIR_Coverage, 61961,
     /* 1892929 */     GIR_EraseRootFromParent_Done,
     /* 1892930 */   // Label 25452: @1892930
     /* 1892930 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1893016), // Rule ID 61964 //
     /* 1892935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1892938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1892943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1892952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1892955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892981 */     // MIs[0] policy
     /* 1892981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1892994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893015 */     // GIR_Coverage, 61964,
     /* 1893015 */     GIR_EraseRootFromParent_Done,
     /* 1893016 */   // Label 25453: @1893016
     /* 1893016 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1893102), // Rule ID 61965 //
     /* 1893021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1893038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1893041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893067 */     // MIs[0] policy
     /* 1893067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1893080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893101 */     // GIR_Coverage, 61965,
     /* 1893101 */     GIR_EraseRootFromParent_Done,
     /* 1893102 */   // Label 25454: @1893102
     /* 1893102 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1893188), // Rule ID 61968 //
     /* 1893107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1893127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893153 */     // MIs[0] policy
     /* 1893153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1893166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893187 */     // GIR_Coverage, 61968,
     /* 1893187 */     GIR_EraseRootFromParent_Done,
     /* 1893188 */   // Label 25455: @1893188
     /* 1893188 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1893274), // Rule ID 61969 //
     /* 1893193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1893213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893239 */     // MIs[0] policy
     /* 1893239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1893252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893273 */     // GIR_Coverage, 61969,
     /* 1893273 */     GIR_EraseRootFromParent_Done,
     /* 1893274 */   // Label 25456: @1893274
     /* 1893274 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1893360), // Rule ID 61972 //
     /* 1893279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1893299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893325 */     // MIs[0] policy
     /* 1893325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893335 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1893338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893359 */     // GIR_Coverage, 61972,
     /* 1893359 */     GIR_EraseRootFromParent_Done,
     /* 1893360 */   // Label 25457: @1893360
     /* 1893360 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1893446), // Rule ID 61973 //
     /* 1893365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1893385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893411 */     // MIs[0] policy
     /* 1893411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1893424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893445 */     // GIR_Coverage, 61973,
     /* 1893445 */     GIR_EraseRootFromParent_Done,
     /* 1893446 */   // Label 25458: @1893446
     /* 1893446 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1893532), // Rule ID 61976 //
     /* 1893451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1893471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893497 */     // MIs[0] policy
     /* 1893497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893507 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1893510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893531 */     // GIR_Coverage, 61976,
     /* 1893531 */     GIR_EraseRootFromParent_Done,
     /* 1893532 */   // Label 25459: @1893532
     /* 1893532 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1893618), // Rule ID 61977 //
     /* 1893537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1893548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1893551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1893557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893583 */     // MIs[0] policy
     /* 1893583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893593 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1893596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893617 */     // GIR_Coverage, 61977,
     /* 1893617 */     GIR_EraseRootFromParent_Done,
     /* 1893618 */   // Label 25460: @1893618
     /* 1893618 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1893704), // Rule ID 61980 //
     /* 1893623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1893643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893669 */     // MIs[0] policy
     /* 1893669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893679 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1893682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893703 */     // GIR_Coverage, 61980,
     /* 1893703 */     GIR_EraseRootFromParent_Done,
     /* 1893704 */   // Label 25461: @1893704
     /* 1893704 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1893790), // Rule ID 61981 //
     /* 1893709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1893720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1893723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1893729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893755 */     // MIs[0] policy
     /* 1893755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1893768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893789 */     // GIR_Coverage, 61981,
     /* 1893789 */     GIR_EraseRootFromParent_Done,
     /* 1893790 */   // Label 25462: @1893790
     /* 1893790 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1893876), // Rule ID 61984 //
     /* 1893795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1893815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893841 */     // MIs[0] policy
     /* 1893841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1893854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893875 */     // GIR_Coverage, 61984,
     /* 1893875 */     GIR_EraseRootFromParent_Done,
     /* 1893876 */   // Label 25463: @1893876
     /* 1893876 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1893962), // Rule ID 61985 //
     /* 1893881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1893884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1893901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893927 */     // MIs[0] policy
     /* 1893927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1893940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893961 */     // GIR_Coverage, 61985,
     /* 1893961 */     GIR_EraseRootFromParent_Done,
     /* 1893962 */   // Label 25464: @1893962
     /* 1893962 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1894048), // Rule ID 61988 //
     /* 1893967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1893970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1893975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1893987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894013 */     // MIs[0] policy
     /* 1894013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894023 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1894026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894047 */     // GIR_Coverage, 61988,
     /* 1894047 */     GIR_EraseRootFromParent_Done,
     /* 1894048 */   // Label 25465: @1894048
     /* 1894048 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1894134), // Rule ID 61989 //
     /* 1894053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1894061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1894070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1894073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894099 */     // MIs[0] policy
     /* 1894099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1894112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894133 */     // GIR_Coverage, 61989,
     /* 1894133 */     GIR_EraseRootFromParent_Done,
     /* 1894134 */   // Label 25466: @1894134
     /* 1894134 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1894220), // Rule ID 61992 //
     /* 1894139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1894142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1894147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1894156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1894159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1894162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894185 */     // MIs[0] policy
     /* 1894185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1894198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894219 */     // GIR_Coverage, 61992,
     /* 1894219 */     GIR_EraseRootFromParent_Done,
     /* 1894220 */   // Label 25467: @1894220
     /* 1894220 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1894306), // Rule ID 61993 //
     /* 1894225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1894233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1894242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1894245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1894248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894271 */     // MIs[0] policy
     /* 1894271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894281 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1894284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894305 */     // GIR_Coverage, 61993,
     /* 1894305 */     GIR_EraseRootFromParent_Done,
     /* 1894306 */   // Label 25468: @1894306
     /* 1894306 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1894392), // Rule ID 61996 //
     /* 1894311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1894314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1894328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1894331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894357 */     // MIs[0] policy
     /* 1894357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894367 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1894370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894391 */     // GIR_Coverage, 61996,
     /* 1894391 */     GIR_EraseRootFromParent_Done,
     /* 1894392 */   // Label 25469: @1894392
     /* 1894392 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1894478), // Rule ID 61997 //
     /* 1894397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1894414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1894417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894443 */     // MIs[0] policy
     /* 1894443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894453 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1894456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894477 */     // GIR_Coverage, 61997,
     /* 1894477 */     GIR_EraseRootFromParent_Done,
     /* 1894478 */   // Label 25470: @1894478
     /* 1894478 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1894564), // Rule ID 62000 //
     /* 1894483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1894486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1894500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1894503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894529 */     // MIs[0] policy
     /* 1894529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1894542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894563 */     // GIR_Coverage, 62000,
     /* 1894563 */     GIR_EraseRootFromParent_Done,
     /* 1894564 */   // Label 25471: @1894564
     /* 1894564 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1894650), // Rule ID 62001 //
     /* 1894569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1894580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1894583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1894586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1894589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894615 */     // MIs[0] policy
     /* 1894615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1894628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894649 */     // GIR_Coverage, 62001,
     /* 1894649 */     GIR_EraseRootFromParent_Done,
     /* 1894650 */   // Label 25472: @1894650
     /* 1894650 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1894736), // Rule ID 62004 //
     /* 1894655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1894658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1894672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1894675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894701 */     // MIs[0] policy
     /* 1894701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1894714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894735 */     // GIR_Coverage, 62004,
     /* 1894735 */     GIR_EraseRootFromParent_Done,
     /* 1894736 */   // Label 25473: @1894736
     /* 1894736 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1894822), // Rule ID 62005 //
     /* 1894741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1894758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1894761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894787 */     // MIs[0] policy
     /* 1894787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1894800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894821 */     // GIR_Coverage, 62005,
     /* 1894821 */     GIR_EraseRootFromParent_Done,
     /* 1894822 */   // Label 25474: @1894822
     /* 1894822 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1894908), // Rule ID 62008 //
     /* 1894827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1894830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1894844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1894847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894873 */     // MIs[0] policy
     /* 1894873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1894886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894907 */     // GIR_Coverage, 62008,
     /* 1894907 */     GIR_EraseRootFromParent_Done,
     /* 1894908 */   // Label 25475: @1894908
     /* 1894908 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1894994), // Rule ID 62009 //
     /* 1894913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1894916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1894921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1894930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1894933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894959 */     // MIs[0] policy
     /* 1894959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1894972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894993 */     // GIR_Coverage, 62009,
     /* 1894993 */     GIR_EraseRootFromParent_Done,
     /* 1894994 */   // Label 25476: @1894994
     /* 1894994 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1895080), // Rule ID 62012 //
     /* 1894999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1895016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1895019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1895022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895045 */     // MIs[0] policy
     /* 1895045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1895058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895079 */     // GIR_Coverage, 62012,
     /* 1895079 */     GIR_EraseRootFromParent_Done,
     /* 1895080 */   // Label 25477: @1895080
     /* 1895080 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1895166), // Rule ID 62013 //
     /* 1895085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1895102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1895105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1895108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895131 */     // MIs[0] policy
     /* 1895131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1895144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895165 */     // GIR_Coverage, 62013,
     /* 1895165 */     GIR_EraseRootFromParent_Done,
     /* 1895166 */   // Label 25478: @1895166
     /* 1895166 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1895252), // Rule ID 62016 //
     /* 1895171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1895188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1895191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895217 */     // MIs[0] policy
     /* 1895217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1895230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895251 */     // GIR_Coverage, 62016,
     /* 1895251 */     GIR_EraseRootFromParent_Done,
     /* 1895252 */   // Label 25479: @1895252
     /* 1895252 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1895338), // Rule ID 62017 //
     /* 1895257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1895274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1895277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895303 */     // MIs[0] policy
     /* 1895303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1895316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895337 */     // GIR_Coverage, 62017,
     /* 1895337 */     GIR_EraseRootFromParent_Done,
     /* 1895338 */   // Label 25480: @1895338
     /* 1895338 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1895424), // Rule ID 62020 //
     /* 1895343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1895360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1895363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895389 */     // MIs[0] policy
     /* 1895389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1895402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895423 */     // GIR_Coverage, 62020,
     /* 1895423 */     GIR_EraseRootFromParent_Done,
     /* 1895424 */   // Label 25481: @1895424
     /* 1895424 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1895510), // Rule ID 62021 //
     /* 1895429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1895446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1895449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895475 */     // MIs[0] policy
     /* 1895475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1895488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895509 */     // GIR_Coverage, 62021,
     /* 1895509 */     GIR_EraseRootFromParent_Done,
     /* 1895510 */   // Label 25482: @1895510
     /* 1895510 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1895596), // Rule ID 62024 //
     /* 1895515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1895532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1895535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895561 */     // MIs[0] policy
     /* 1895561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1895574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895595 */     // GIR_Coverage, 62024,
     /* 1895595 */     GIR_EraseRootFromParent_Done,
     /* 1895596 */   // Label 25483: @1895596
     /* 1895596 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1895682), // Rule ID 62025 //
     /* 1895601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1895618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1895621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895647 */     // MIs[0] policy
     /* 1895647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1895660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895681 */     // GIR_Coverage, 62025,
     /* 1895681 */     GIR_EraseRootFromParent_Done,
     /* 1895682 */   // Label 25484: @1895682
     /* 1895682 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1895768), // Rule ID 62028 //
     /* 1895687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1895704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1895707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895733 */     // MIs[0] policy
     /* 1895733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1895746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895767 */     // GIR_Coverage, 62028,
     /* 1895767 */     GIR_EraseRootFromParent_Done,
     /* 1895768 */   // Label 25485: @1895768
     /* 1895768 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1895854), // Rule ID 62029 //
     /* 1895773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1895784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1895787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1895790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1895793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895819 */     // MIs[0] policy
     /* 1895819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1895832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895853 */     // GIR_Coverage, 62029,
     /* 1895853 */     GIR_EraseRootFromParent_Done,
     /* 1895854 */   // Label 25486: @1895854
     /* 1895854 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1895940), // Rule ID 62032 //
     /* 1895859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1895862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1895876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1895879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1895882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895905 */     // MIs[0] policy
     /* 1895905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1895918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895939 */     // GIR_Coverage, 62032,
     /* 1895939 */     GIR_EraseRootFromParent_Done,
     /* 1895940 */   // Label 25487: @1895940
     /* 1895940 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1896026), // Rule ID 62033 //
     /* 1895945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1895948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1895953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1895956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1895959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1895962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1895965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1895968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895991 */     // MIs[0] policy
     /* 1895991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1896004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896025 */     // GIR_Coverage, 62033,
     /* 1896025 */     GIR_EraseRootFromParent_Done,
     /* 1896026 */   // Label 25488: @1896026
     /* 1896026 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1896112), // Rule ID 62036 //
     /* 1896031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1896034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1896048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1896051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896077 */     // MIs[0] policy
     /* 1896077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1896090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896111 */     // GIR_Coverage, 62036,
     /* 1896111 */     GIR_EraseRootFromParent_Done,
     /* 1896112 */   // Label 25489: @1896112
     /* 1896112 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1896198), // Rule ID 62037 //
     /* 1896117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1896120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1896134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1896137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896163 */     // MIs[0] policy
     /* 1896163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1896176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896197 */     // GIR_Coverage, 62037,
     /* 1896197 */     GIR_EraseRootFromParent_Done,
     /* 1896198 */   // Label 25490: @1896198
     /* 1896198 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1896284), // Rule ID 62040 //
     /* 1896203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1896206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1896220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1896223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896249 */     // MIs[0] policy
     /* 1896249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1896262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896283 */     // GIR_Coverage, 62040,
     /* 1896283 */     GIR_EraseRootFromParent_Done,
     /* 1896284 */   // Label 25491: @1896284
     /* 1896284 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1896370), // Rule ID 62041 //
     /* 1896289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1896292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1896306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1896309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896335 */     // MIs[0] policy
     /* 1896335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1896348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896369 */     // GIR_Coverage, 62041,
     /* 1896369 */     GIR_EraseRootFromParent_Done,
     /* 1896370 */   // Label 25492: @1896370
     /* 1896370 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1896456), // Rule ID 62044 //
     /* 1896375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1896378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1896392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1896395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896421 */     // MIs[0] policy
     /* 1896421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10786:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1896434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896455 */     // GIR_Coverage, 62044,
     /* 1896455 */     GIR_EraseRootFromParent_Done,
     /* 1896456 */   // Label 25493: @1896456
     /* 1896456 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1896542), // Rule ID 62045 //
     /* 1896461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1896464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1896478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1896481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896507 */     // MIs[0] policy
     /* 1896507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10786:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1896520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896541 */     // GIR_Coverage, 62045,
     /* 1896541 */     GIR_EraseRootFromParent_Done,
     /* 1896542 */   // Label 25494: @1896542
     /* 1896542 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1896628), // Rule ID 62048 //
     /* 1896547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1896550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1896564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1896567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896593 */     // MIs[0] policy
     /* 1896593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10786:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1896606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896627 */     // GIR_Coverage, 62048,
     /* 1896627 */     GIR_EraseRootFromParent_Done,
     /* 1896628 */   // Label 25495: @1896628
     /* 1896628 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1896714), // Rule ID 62049 //
     /* 1896633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1896636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1896650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1896653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896679 */     // MIs[0] policy
     /* 1896679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10786:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1896692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896713 */     // GIR_Coverage, 62049,
     /* 1896713 */     GIR_EraseRootFromParent_Done,
     /* 1896714 */   // Label 25496: @1896714
     /* 1896714 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1896800), // Rule ID 62052 //
     /* 1896719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1896722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1896736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1896739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1896742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896765 */     // MIs[0] policy
     /* 1896765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896775 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10786:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1896778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896799 */     // GIR_Coverage, 62052,
     /* 1896799 */     GIR_EraseRootFromParent_Done,
     /* 1896800 */   // Label 25497: @1896800
     /* 1896800 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1896886), // Rule ID 62053 //
     /* 1896805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1896808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1896813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1896822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1896825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1896828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896851 */     // MIs[0] policy
     /* 1896851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896861 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10786:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1896864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896885 */     // GIR_Coverage, 62053,
     /* 1896885 */     GIR_EraseRootFromParent_Done,
     /* 1896886 */   // Label 25498: @1896886
     /* 1896886 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1896975), // Rule ID 2644 //
     /* 1896891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1896899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1896911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1896917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896937 */     // MIs[0] round
     /* 1896937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1896940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896947 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1896947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1896950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1896962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1896973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896974 */     // GIR_Coverage, 2644,
     /* 1896974 */     GIR_EraseRootFromParent_Done,
     /* 1896975 */   // Label 25499: @1896975
     /* 1896975 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1897064), // Rule ID 2645 //
     /* 1896980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1896988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897026 */     // MIs[0] round
     /* 1897026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897036 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1897039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897063 */     // GIR_Coverage, 2645,
     /* 1897063 */     GIR_EraseRootFromParent_Done,
     /* 1897064 */   // Label 25500: @1897064
     /* 1897064 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1897153), // Rule ID 22682 //
     /* 1897069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897115 */     // MIs[0] round
     /* 1897115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897125 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1897125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1897128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897152 */     // GIR_Coverage, 22682,
     /* 1897152 */     GIR_EraseRootFromParent_Done,
     /* 1897153 */   // Label 25501: @1897153
     /* 1897153 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1897242), // Rule ID 22683 //
     /* 1897158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897204 */     // MIs[0] round
     /* 1897204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897214 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1897217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897241 */     // GIR_Coverage, 22683,
     /* 1897241 */     GIR_EraseRootFromParent_Done,
     /* 1897242 */   // Label 25502: @1897242
     /* 1897242 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1897331), // Rule ID 22686 //
     /* 1897247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897293 */     // MIs[0] round
     /* 1897293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1897303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1897306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897330 */     // GIR_Coverage, 22686,
     /* 1897330 */     GIR_EraseRootFromParent_Done,
     /* 1897331 */   // Label 25503: @1897331
     /* 1897331 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1897420), // Rule ID 22687 //
     /* 1897336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897382 */     // MIs[0] round
     /* 1897382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1897395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897419 */     // GIR_Coverage, 22687,
     /* 1897419 */     GIR_EraseRootFromParent_Done,
     /* 1897420 */   // Label 25504: @1897420
     /* 1897420 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1897509), // Rule ID 22690 //
     /* 1897425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897471 */     // MIs[0] round
     /* 1897471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897481 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1897481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1897484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897508 */     // GIR_Coverage, 22690,
     /* 1897508 */     GIR_EraseRootFromParent_Done,
     /* 1897509 */   // Label 25505: @1897509
     /* 1897509 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1897598), // Rule ID 22691 //
     /* 1897514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897560 */     // MIs[0] round
     /* 1897560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1897573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897597 */     // GIR_Coverage, 22691,
     /* 1897597 */     GIR_EraseRootFromParent_Done,
     /* 1897598 */   // Label 25506: @1897598
     /* 1897598 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1897687), // Rule ID 22694 //
     /* 1897603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897649 */     // MIs[0] round
     /* 1897649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897659 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1897659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1897662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897686 */     // GIR_Coverage, 22694,
     /* 1897686 */     GIR_EraseRootFromParent_Done,
     /* 1897687 */   // Label 25507: @1897687
     /* 1897687 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1897776), // Rule ID 22695 //
     /* 1897692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897738 */     // MIs[0] round
     /* 1897738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1897751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897775 */     // GIR_Coverage, 22695,
     /* 1897775 */     GIR_EraseRootFromParent_Done,
     /* 1897776 */   // Label 25508: @1897776
     /* 1897776 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1897865), // Rule ID 22698 //
     /* 1897781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1897792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1897795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1897798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1897801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897827 */     // MIs[0] round
     /* 1897827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897837 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1897837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1897840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897864 */     // GIR_Coverage, 22698,
     /* 1897864 */     GIR_EraseRootFromParent_Done,
     /* 1897865 */   // Label 25509: @1897865
     /* 1897865 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1897954), // Rule ID 22699 //
     /* 1897870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1897881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1897884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1897887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1897890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1897896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897916 */     // MIs[0] round
     /* 1897916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1897919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897926 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1897926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1897929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1897941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1897952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897953 */     // GIR_Coverage, 22699,
     /* 1897953 */     GIR_EraseRootFromParent_Done,
     /* 1897954 */   // Label 25510: @1897954
     /* 1897954 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1898043), // Rule ID 22702 //
     /* 1897959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1897967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1897985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898005 */     // MIs[0] round
     /* 1898005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898015 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1898018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898042 */     // GIR_Coverage, 22702,
     /* 1898042 */     GIR_EraseRootFromParent_Done,
     /* 1898043 */   // Label 25511: @1898043
     /* 1898043 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1898132), // Rule ID 22703 //
     /* 1898048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898094 */     // MIs[0] round
     /* 1898094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898104 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1898107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898131 */     // GIR_Coverage, 22703,
     /* 1898131 */     GIR_EraseRootFromParent_Done,
     /* 1898132 */   // Label 25512: @1898132
     /* 1898132 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1898221), // Rule ID 22706 //
     /* 1898137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1898163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898183 */     // MIs[0] round
     /* 1898183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1898196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898220 */     // GIR_Coverage, 22706,
     /* 1898220 */     GIR_EraseRootFromParent_Done,
     /* 1898221 */   // Label 25513: @1898221
     /* 1898221 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1898310), // Rule ID 22707 //
     /* 1898226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898272 */     // MIs[0] round
     /* 1898272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898282 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1898285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898309 */     // GIR_Coverage, 22707,
     /* 1898309 */     GIR_EraseRootFromParent_Done,
     /* 1898310 */   // Label 25514: @1898310
     /* 1898310 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1898399), // Rule ID 22710 //
     /* 1898315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1898341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898361 */     // MIs[0] round
     /* 1898361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898371 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1898374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898398 */     // GIR_Coverage, 22710,
     /* 1898398 */     GIR_EraseRootFromParent_Done,
     /* 1898399 */   // Label 25515: @1898399
     /* 1898399 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1898488), // Rule ID 22711 //
     /* 1898404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1898424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898450 */     // MIs[0] round
     /* 1898450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1898463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898487 */     // GIR_Coverage, 22711,
     /* 1898487 */     GIR_EraseRootFromParent_Done,
     /* 1898488 */   // Label 25516: @1898488
     /* 1898488 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1898577), // Rule ID 22714 //
     /* 1898493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1898519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898539 */     // MIs[0] round
     /* 1898539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1898552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898576 */     // GIR_Coverage, 22714,
     /* 1898576 */     GIR_EraseRootFromParent_Done,
     /* 1898577 */   // Label 25517: @1898577
     /* 1898577 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1898666), // Rule ID 22715 //
     /* 1898582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898628 */     // MIs[0] round
     /* 1898628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1898641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898665 */     // GIR_Coverage, 22715,
     /* 1898665 */     GIR_EraseRootFromParent_Done,
     /* 1898666 */   // Label 25518: @1898666
     /* 1898666 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1898755), // Rule ID 22718 //
     /* 1898671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1898697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898717 */     // MIs[0] round
     /* 1898717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1898730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898754 */     // GIR_Coverage, 22718,
     /* 1898754 */     GIR_EraseRootFromParent_Done,
     /* 1898755 */   // Label 25519: @1898755
     /* 1898755 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1898844), // Rule ID 22719 //
     /* 1898760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898806 */     // MIs[0] round
     /* 1898806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898816 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1898819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898843 */     // GIR_Coverage, 22719,
     /* 1898843 */     GIR_EraseRootFromParent_Done,
     /* 1898844 */   // Label 25520: @1898844
     /* 1898844 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1898933), // Rule ID 22722 //
     /* 1898849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1898875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898895 */     // MIs[0] round
     /* 1898895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1898905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1898908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1898920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1898931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898932 */     // GIR_Coverage, 22722,
     /* 1898932 */     GIR_EraseRootFromParent_Done,
     /* 1898933 */   // Label 25521: @1898933
     /* 1898933 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1899022), // Rule ID 22723 //
     /* 1898938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1898946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1898964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898984 */     // MIs[0] round
     /* 1898984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1898987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898994 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1898994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1898997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899021 */     // GIR_Coverage, 22723,
     /* 1899021 */     GIR_EraseRootFromParent_Done,
     /* 1899022 */   // Label 25522: @1899022
     /* 1899022 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1899111), // Rule ID 22726 //
     /* 1899027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899073 */     // MIs[0] round
     /* 1899073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899083 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1899086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899110 */     // GIR_Coverage, 22726,
     /* 1899110 */     GIR_EraseRootFromParent_Done,
     /* 1899111 */   // Label 25523: @1899111
     /* 1899111 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1899200), // Rule ID 22727 //
     /* 1899116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1899142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899162 */     // MIs[0] round
     /* 1899162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899172 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1899172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1899175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899199 */     // GIR_Coverage, 22727,
     /* 1899199 */     GIR_EraseRootFromParent_Done,
     /* 1899200 */   // Label 25524: @1899200
     /* 1899200 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1899289), // Rule ID 22730 //
     /* 1899205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899251 */     // MIs[0] round
     /* 1899251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899261 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1899264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899288 */     // GIR_Coverage, 22730,
     /* 1899288 */     GIR_EraseRootFromParent_Done,
     /* 1899289 */   // Label 25525: @1899289
     /* 1899289 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1899378), // Rule ID 22731 //
     /* 1899294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1899320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899340 */     // MIs[0] round
     /* 1899340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1899350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1899353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899377 */     // GIR_Coverage, 22731,
     /* 1899377 */     GIR_EraseRootFromParent_Done,
     /* 1899378 */   // Label 25526: @1899378
     /* 1899378 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1899467), // Rule ID 22734 //
     /* 1899383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899429 */     // MIs[0] round
     /* 1899429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1899442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899466 */     // GIR_Coverage, 22734,
     /* 1899466 */     GIR_EraseRootFromParent_Done,
     /* 1899467 */   // Label 25527: @1899467
     /* 1899467 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1899556), // Rule ID 22735 //
     /* 1899472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1899480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1899498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899518 */     // MIs[0] round
     /* 1899518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899528 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1899528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1899531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899555 */     // GIR_Coverage, 22735,
     /* 1899555 */     GIR_EraseRootFromParent_Done,
     /* 1899556 */   // Label 25528: @1899556
     /* 1899556 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1899645), // Rule ID 22738 //
     /* 1899561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1899569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899607 */     // MIs[0] round
     /* 1899607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899617 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1899620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899644 */     // GIR_Coverage, 22738,
     /* 1899644 */     GIR_EraseRootFromParent_Done,
     /* 1899645 */   // Label 25529: @1899645
     /* 1899645 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1899734), // Rule ID 22739 //
     /* 1899650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1899658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1899676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899696 */     // MIs[0] round
     /* 1899696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1899706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1899709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899733 */     // GIR_Coverage, 22739,
     /* 1899733 */     GIR_EraseRootFromParent_Done,
     /* 1899734 */   // Label 25530: @1899734
     /* 1899734 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1899823), // Rule ID 22742 //
     /* 1899739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1899747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899785 */     // MIs[0] round
     /* 1899785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1899798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899822 */     // GIR_Coverage, 22742,
     /* 1899822 */     GIR_EraseRootFromParent_Done,
     /* 1899823 */   // Label 25531: @1899823
     /* 1899823 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1899912), // Rule ID 22743 //
     /* 1899828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1899836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1899854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899874 */     // MIs[0] round
     /* 1899874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1899884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1899887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899911 */     // GIR_Coverage, 22743,
     /* 1899911 */     GIR_EraseRootFromParent_Done,
     /* 1899912 */   // Label 25532: @1899912
     /* 1899912 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1900001), // Rule ID 22746 //
     /* 1899917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1899925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1899934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1899943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899963 */     // MIs[0] round
     /* 1899963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1899966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899973 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1899973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1899976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1899988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1899999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900000 */     // GIR_Coverage, 22746,
     /* 1900000 */     GIR_EraseRootFromParent_Done,
     /* 1900001 */   // Label 25533: @1900001
     /* 1900001 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1900090), // Rule ID 22747 //
     /* 1900006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900052 */     // MIs[0] round
     /* 1900052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900062 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1900065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900089 */     // GIR_Coverage, 22747,
     /* 1900089 */     GIR_EraseRootFromParent_Done,
     /* 1900090 */   // Label 25534: @1900090
     /* 1900090 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1900179), // Rule ID 22750 //
     /* 1900095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1900121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900141 */     // MIs[0] round
     /* 1900141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900151 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1900151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1900154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900178 */     // GIR_Coverage, 22750,
     /* 1900178 */     GIR_EraseRootFromParent_Done,
     /* 1900179 */   // Label 25535: @1900179
     /* 1900179 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1900268), // Rule ID 22751 //
     /* 1900184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900230 */     // MIs[0] round
     /* 1900230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900240 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1900243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900267 */     // GIR_Coverage, 22751,
     /* 1900267 */     GIR_EraseRootFromParent_Done,
     /* 1900268 */   // Label 25536: @1900268
     /* 1900268 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1900357), // Rule ID 22754 //
     /* 1900273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1900299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900319 */     // MIs[0] round
     /* 1900319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900329 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1900329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1900332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900356 */     // GIR_Coverage, 22754,
     /* 1900356 */     GIR_EraseRootFromParent_Done,
     /* 1900357 */   // Label 25537: @1900357
     /* 1900357 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1900446), // Rule ID 22755 //
     /* 1900362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900408 */     // MIs[0] round
     /* 1900408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1900421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900445 */     // GIR_Coverage, 22755,
     /* 1900445 */     GIR_EraseRootFromParent_Done,
     /* 1900446 */   // Label 25538: @1900446
     /* 1900446 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1900535), // Rule ID 22758 //
     /* 1900451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1900477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900497 */     // MIs[0] round
     /* 1900497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1900507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1900510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900534 */     // GIR_Coverage, 22758,
     /* 1900534 */     GIR_EraseRootFromParent_Done,
     /* 1900535 */   // Label 25539: @1900535
     /* 1900535 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1900624), // Rule ID 22759 //
     /* 1900540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900586 */     // MIs[0] round
     /* 1900586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900596 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1900599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900623 */     // GIR_Coverage, 22759,
     /* 1900623 */     GIR_EraseRootFromParent_Done,
     /* 1900624 */   // Label 25540: @1900624
     /* 1900624 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1900713), // Rule ID 22762 //
     /* 1900629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1900655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900675 */     // MIs[0] round
     /* 1900675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900685 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1900685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1900688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900712 */     // GIR_Coverage, 22762,
     /* 1900712 */     GIR_EraseRootFromParent_Done,
     /* 1900713 */   // Label 25541: @1900713
     /* 1900713 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1900802), // Rule ID 22763 //
     /* 1900718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900764 */     // MIs[0] round
     /* 1900764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900774 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1900777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900801 */     // GIR_Coverage, 22763,
     /* 1900801 */     GIR_EraseRootFromParent_Done,
     /* 1900802 */   // Label 25542: @1900802
     /* 1900802 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1900891), // Rule ID 22766 //
     /* 1900807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1900833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900853 */     // MIs[0] round
     /* 1900853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900863 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1900863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1900866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900890 */     // GIR_Coverage, 22766,
     /* 1900890 */     GIR_EraseRootFromParent_Done,
     /* 1900891 */   // Label 25543: @1900891
     /* 1900891 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1900980), // Rule ID 22767 //
     /* 1900896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1900916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1900922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900942 */     // MIs[0] round
     /* 1900942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1900945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1900952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1900955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1900967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1900978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900979 */     // GIR_Coverage, 22767,
     /* 1900979 */     GIR_EraseRootFromParent_Done,
     /* 1900980 */   // Label 25544: @1900980
     /* 1900980 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1901069), // Rule ID 22770 //
     /* 1900985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1900993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1901005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901031 */     // MIs[0] round
     /* 1901031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901041 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1901044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901068 */     // GIR_Coverage, 22770,
     /* 1901068 */     GIR_EraseRootFromParent_Done,
     /* 1901069 */   // Label 25545: @1901069
     /* 1901069 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1901158), // Rule ID 22771 //
     /* 1901074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1901094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901120 */     // MIs[0] round
     /* 1901120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1901130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1901133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901157 */     // GIR_Coverage, 22771,
     /* 1901157 */     GIR_EraseRootFromParent_Done,
     /* 1901158 */   // Label 25546: @1901158
     /* 1901158 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1901247), // Rule ID 22774 //
     /* 1901163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901209 */     // MIs[0] round
     /* 1901209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901219 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1901222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901246 */     // GIR_Coverage, 22774,
     /* 1901246 */     GIR_EraseRootFromParent_Done,
     /* 1901247 */   // Label 25547: @1901247
     /* 1901247 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1901336), // Rule ID 22775 //
     /* 1901252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901298 */     // MIs[0] round
     /* 1901298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1901308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1901311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901335 */     // GIR_Coverage, 22775,
     /* 1901335 */     GIR_EraseRootFromParent_Done,
     /* 1901336 */   // Label 25548: @1901336
     /* 1901336 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1901425), // Rule ID 22778 //
     /* 1901341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901387 */     // MIs[0] round
     /* 1901387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901397 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1901400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901424 */     // GIR_Coverage, 22778,
     /* 1901424 */     GIR_EraseRootFromParent_Done,
     /* 1901425 */   // Label 25549: @1901425
     /* 1901425 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1901514), // Rule ID 22779 //
     /* 1901430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901476 */     // MIs[0] round
     /* 1901476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1901486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1901489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901513 */     // GIR_Coverage, 22779,
     /* 1901513 */     GIR_EraseRootFromParent_Done,
     /* 1901514 */   // Label 25550: @1901514
     /* 1901514 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1901603), // Rule ID 22782 //
     /* 1901519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901565 */     // MIs[0] round
     /* 1901565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901575 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1901578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901602 */     // GIR_Coverage, 22782,
     /* 1901602 */     GIR_EraseRootFromParent_Done,
     /* 1901603 */   // Label 25551: @1901603
     /* 1901603 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1901692), // Rule ID 22783 //
     /* 1901608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1901619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1901622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1901628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901654 */     // MIs[0] round
     /* 1901654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901664 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1901664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1901667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901691 */     // GIR_Coverage, 22783,
     /* 1901691 */     GIR_EraseRootFromParent_Done,
     /* 1901692 */   // Label 25552: @1901692
     /* 1901692 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1901781), // Rule ID 22786 //
     /* 1901697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1901717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901743 */     // MIs[0] round
     /* 1901743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901753 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1901756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901780 */     // GIR_Coverage, 22786,
     /* 1901780 */     GIR_EraseRootFromParent_Done,
     /* 1901781 */   // Label 25553: @1901781
     /* 1901781 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1901870), // Rule ID 22787 //
     /* 1901786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1901806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901832 */     // MIs[0] round
     /* 1901832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901842 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1901842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1901845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901869 */     // GIR_Coverage, 22787,
     /* 1901869 */     GIR_EraseRootFromParent_Done,
     /* 1901870 */   // Label 25554: @1901870
     /* 1901870 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1901959), // Rule ID 22790 //
     /* 1901875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1901895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1901901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901921 */     // MIs[0] round
     /* 1901921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1901924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901931 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1901931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1901934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1901946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1901957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901958 */     // GIR_Coverage, 22790,
     /* 1901958 */     GIR_EraseRootFromParent_Done,
     /* 1901959 */   // Label 25555: @1901959
     /* 1901959 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1902048), // Rule ID 22791 //
     /* 1901964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1901972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1901975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1901978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1901984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1901990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902010 */     // MIs[0] round
     /* 1902010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1902023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902047 */     // GIR_Coverage, 22791,
     /* 1902047 */     GIR_EraseRootFromParent_Done,
     /* 1902048 */   // Label 25556: @1902048
     /* 1902048 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1902137), // Rule ID 22794 //
     /* 1902053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1902061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902099 */     // MIs[0] round
     /* 1902099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902109 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1902112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902136 */     // GIR_Coverage, 22794,
     /* 1902136 */     GIR_EraseRootFromParent_Done,
     /* 1902137 */   // Label 25557: @1902137
     /* 1902137 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1902226), // Rule ID 22795 //
     /* 1902142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1902150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1902168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902188 */     // MIs[0] round
     /* 1902188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1902201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902225 */     // GIR_Coverage, 22795,
     /* 1902225 */     GIR_EraseRootFromParent_Done,
     /* 1902226 */   // Label 25558: @1902226
     /* 1902226 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1902315), // Rule ID 22918 //
     /* 1902231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902277 */     // MIs[0] round
     /* 1902277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902287 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1902290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902314 */     // GIR_Coverage, 22918,
     /* 1902314 */     GIR_EraseRootFromParent_Done,
     /* 1902315 */   // Label 25559: @1902315
     /* 1902315 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1902404), // Rule ID 22919 //
     /* 1902320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1902346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902366 */     // MIs[0] round
     /* 1902366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902376 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1902379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902403 */     // GIR_Coverage, 22919,
     /* 1902403 */     GIR_EraseRootFromParent_Done,
     /* 1902404 */   // Label 25560: @1902404
     /* 1902404 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1902493), // Rule ID 22922 //
     /* 1902409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902455 */     // MIs[0] round
     /* 1902455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902465 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1902468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902492 */     // GIR_Coverage, 22922,
     /* 1902492 */     GIR_EraseRootFromParent_Done,
     /* 1902493 */   // Label 25561: @1902493
     /* 1902493 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1902582), // Rule ID 22923 //
     /* 1902498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1902524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902544 */     // MIs[0] round
     /* 1902544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1902557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902581 */     // GIR_Coverage, 22923,
     /* 1902581 */     GIR_EraseRootFromParent_Done,
     /* 1902582 */   // Label 25562: @1902582
     /* 1902582 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1902671), // Rule ID 22926 //
     /* 1902587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902633 */     // MIs[0] round
     /* 1902633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902643 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1902646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902670 */     // GIR_Coverage, 22926,
     /* 1902670 */     GIR_EraseRootFromParent_Done,
     /* 1902671 */   // Label 25563: @1902671
     /* 1902671 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1902760), // Rule ID 22927 //
     /* 1902676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1902702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902722 */     // MIs[0] round
     /* 1902722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1902735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902759 */     // GIR_Coverage, 22927,
     /* 1902759 */     GIR_EraseRootFromParent_Done,
     /* 1902760 */   // Label 25564: @1902760
     /* 1902760 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1902849), // Rule ID 22930 //
     /* 1902765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902811 */     // MIs[0] round
     /* 1902811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902821 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1902824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902848 */     // GIR_Coverage, 22930,
     /* 1902848 */     GIR_EraseRootFromParent_Done,
     /* 1902849 */   // Label 25565: @1902849
     /* 1902849 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1902938), // Rule ID 22931 //
     /* 1902854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1902880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902900 */     // MIs[0] round
     /* 1902900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1902910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1902913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1902925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1902936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902937 */     // GIR_Coverage, 22931,
     /* 1902937 */     GIR_EraseRootFromParent_Done,
     /* 1902938 */   // Label 25566: @1902938
     /* 1902938 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1903027), // Rule ID 22934 //
     /* 1902943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1902951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1902969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902989 */     // MIs[0] round
     /* 1902989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1902992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902999 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1902999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1903002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903026 */     // GIR_Coverage, 22934,
     /* 1903026 */     GIR_EraseRootFromParent_Done,
     /* 1903027 */   // Label 25567: @1903027
     /* 1903027 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1903116), // Rule ID 22935 //
     /* 1903032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903078 */     // MIs[0] round
     /* 1903078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1903091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903115 */     // GIR_Coverage, 22935,
     /* 1903115 */     GIR_EraseRootFromParent_Done,
     /* 1903116 */   // Label 25568: @1903116
     /* 1903116 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1903205), // Rule ID 22938 //
     /* 1903121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1903147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903167 */     // MIs[0] round
     /* 1903167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1903177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1903180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903204 */     // GIR_Coverage, 22938,
     /* 1903204 */     GIR_EraseRootFromParent_Done,
     /* 1903205 */   // Label 25569: @1903205
     /* 1903205 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1903294), // Rule ID 22939 //
     /* 1903210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903256 */     // MIs[0] round
     /* 1903256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903266 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1903269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903293 */     // GIR_Coverage, 22939,
     /* 1903293 */     GIR_EraseRootFromParent_Done,
     /* 1903294 */   // Label 25570: @1903294
     /* 1903294 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1903383), // Rule ID 22942 //
     /* 1903299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1903325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903345 */     // MIs[0] round
     /* 1903345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903355 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1903355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1903358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903382 */     // GIR_Coverage, 22942,
     /* 1903382 */     GIR_EraseRootFromParent_Done,
     /* 1903383 */   // Label 25571: @1903383
     /* 1903383 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1903472), // Rule ID 22943 //
     /* 1903388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903434 */     // MIs[0] round
     /* 1903434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903444 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1903447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903471 */     // GIR_Coverage, 22943,
     /* 1903471 */     GIR_EraseRootFromParent_Done,
     /* 1903472 */   // Label 25572: @1903472
     /* 1903472 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1903561), // Rule ID 22946 //
     /* 1903477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1903503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903523 */     // MIs[0] round
     /* 1903523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903533 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1903533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 1903536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903560 */     // GIR_Coverage, 22946,
     /* 1903560 */     GIR_EraseRootFromParent_Done,
     /* 1903561 */   // Label 25573: @1903561
     /* 1903561 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1903650), // Rule ID 22947 //
     /* 1903566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903612 */     // MIs[0] round
     /* 1903612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903622 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10966:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 1903625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903649 */     // GIR_Coverage, 22947,
     /* 1903649 */     GIR_EraseRootFromParent_Done,
     /* 1903650 */   // Label 25574: @1903650
     /* 1903650 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1903739), // Rule ID 22950 //
     /* 1903655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1903681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903701 */     // MIs[0] round
     /* 1903701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1903711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 1903714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903738 */     // GIR_Coverage, 22950,
     /* 1903738 */     GIR_EraseRootFromParent_Done,
     /* 1903739 */   // Label 25575: @1903739
     /* 1903739 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1903828), // Rule ID 22951 //
     /* 1903744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903790 */     // MIs[0] round
     /* 1903790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 1903803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903827 */     // GIR_Coverage, 22951,
     /* 1903827 */     GIR_EraseRootFromParent_Done,
     /* 1903828 */   // Label 25576: @1903828
     /* 1903828 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1903917), // Rule ID 22954 //
     /* 1903833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1903859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903879 */     // MIs[0] round
     /* 1903879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1903889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 1903892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1903915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903916 */     // GIR_Coverage, 22954,
     /* 1903916 */     GIR_EraseRootFromParent_Done,
     /* 1903917 */   // Label 25577: @1903917
     /* 1903917 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1904006), // Rule ID 22955 //
     /* 1903922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1903930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1903948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903968 */     // MIs[0] round
     /* 1903968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1903971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903978 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1903978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 1903981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1903993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904005 */     // GIR_Coverage, 22955,
     /* 1904005 */     GIR_EraseRootFromParent_Done,
     /* 1904006 */   // Label 25578: @1904006
     /* 1904006 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1904095), // Rule ID 22958 //
     /* 1904011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1904019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904057 */     // MIs[0] round
     /* 1904057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 1904070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904094 */     // GIR_Coverage, 22958,
     /* 1904094 */     GIR_EraseRootFromParent_Done,
     /* 1904095 */   // Label 25579: @1904095
     /* 1904095 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1904184), // Rule ID 22959 //
     /* 1904100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1904108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1904126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904146 */     // MIs[0] round
     /* 1904146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10966:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1904156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 1904159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904183 */     // GIR_Coverage, 22959,
     /* 1904183 */     GIR_EraseRootFromParent_Done,
     /* 1904184 */   // Label 25580: @1904184
     /* 1904184 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1904273), // Rule ID 22962 //
     /* 1904189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904235 */     // MIs[0] round
     /* 1904235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904245 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 1904248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904272 */     // GIR_Coverage, 22962,
     /* 1904272 */     GIR_EraseRootFromParent_Done,
     /* 1904273 */   // Label 25581: @1904273
     /* 1904273 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1904362), // Rule ID 22963 //
     /* 1904278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1904304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904324 */     // MIs[0] round
     /* 1904324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1904334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 1904337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904361 */     // GIR_Coverage, 22963,
     /* 1904361 */     GIR_EraseRootFromParent_Done,
     /* 1904362 */   // Label 25582: @1904362
     /* 1904362 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1904451), // Rule ID 22966 //
     /* 1904367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904413 */     // MIs[0] round
     /* 1904413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 1904426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904450 */     // GIR_Coverage, 22966,
     /* 1904450 */     GIR_EraseRootFromParent_Done,
     /* 1904451 */   // Label 25583: @1904451
     /* 1904451 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1904540), // Rule ID 22967 //
     /* 1904456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1904482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904502 */     // MIs[0] round
     /* 1904502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904512 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1904512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 1904515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904539 */     // GIR_Coverage, 22967,
     /* 1904539 */     GIR_EraseRootFromParent_Done,
     /* 1904540 */   // Label 25584: @1904540
     /* 1904540 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1904629), // Rule ID 22970 //
     /* 1904545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904591 */     // MIs[0] round
     /* 1904591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904601 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 1904604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904628 */     // GIR_Coverage, 22970,
     /* 1904628 */     GIR_EraseRootFromParent_Done,
     /* 1904629 */   // Label 25585: @1904629
     /* 1904629 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1904718), // Rule ID 22971 //
     /* 1904634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1904660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904680 */     // MIs[0] round
     /* 1904680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1904690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 1904693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904717 */     // GIR_Coverage, 22971,
     /* 1904717 */     GIR_EraseRootFromParent_Done,
     /* 1904718 */   // Label 25586: @1904718
     /* 1904718 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1904807), // Rule ID 22974 //
     /* 1904723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904769 */     // MIs[0] round
     /* 1904769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904779 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 1904782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904806 */     // GIR_Coverage, 22974,
     /* 1904806 */     GIR_EraseRootFromParent_Done,
     /* 1904807 */   // Label 25587: @1904807
     /* 1904807 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1904896), // Rule ID 22975 //
     /* 1904812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1904838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904858 */     // MIs[0] round
     /* 1904858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1904868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 1904871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904895 */     // GIR_Coverage, 22975,
     /* 1904895 */     GIR_EraseRootFromParent_Done,
     /* 1904896 */   // Label 25588: @1904896
     /* 1904896 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1904985), // Rule ID 22978 //
     /* 1904901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1904912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1904915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1904921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1904927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904947 */     // MIs[0] round
     /* 1904947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1904950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1904957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 1904960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1904964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1904972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1904983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904984 */     // GIR_Coverage, 22978,
     /* 1904984 */     GIR_EraseRootFromParent_Done,
     /* 1904985 */   // Label 25589: @1904985
     /* 1904985 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1905074), // Rule ID 22979 //
     /* 1904990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1904998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905036 */     // MIs[0] round
     /* 1905036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 1905049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905073 */     // GIR_Coverage, 22979,
     /* 1905073 */     GIR_EraseRootFromParent_Done,
     /* 1905074 */   // Label 25590: @1905074
     /* 1905074 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1905163), // Rule ID 22982 //
     /* 1905079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905125 */     // MIs[0] round
     /* 1905125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1905135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 1905138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905162 */     // GIR_Coverage, 22982,
     /* 1905162 */     GIR_EraseRootFromParent_Done,
     /* 1905163 */   // Label 25591: @1905163
     /* 1905163 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1905252), // Rule ID 22983 //
     /* 1905168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905214 */     // MIs[0] round
     /* 1905214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 1905227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905251 */     // GIR_Coverage, 22983,
     /* 1905251 */     GIR_EraseRootFromParent_Done,
     /* 1905252 */   // Label 25592: @1905252
     /* 1905252 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1905341), // Rule ID 22986 //
     /* 1905257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905303 */     // MIs[0] round
     /* 1905303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905313 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1905313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 1905316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905340 */     // GIR_Coverage, 22986,
     /* 1905340 */     GIR_EraseRootFromParent_Done,
     /* 1905341 */   // Label 25593: @1905341
     /* 1905341 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1905430), // Rule ID 22987 //
     /* 1905346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905392 */     // MIs[0] round
     /* 1905392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 1905405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905429 */     // GIR_Coverage, 22987,
     /* 1905429 */     GIR_EraseRootFromParent_Done,
     /* 1905430 */   // Label 25594: @1905430
     /* 1905430 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1905519), // Rule ID 22990 //
     /* 1905435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905481 */     // MIs[0] round
     /* 1905481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905491 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1905491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 1905494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905518 */     // GIR_Coverage, 22990,
     /* 1905518 */     GIR_EraseRootFromParent_Done,
     /* 1905519 */   // Label 25595: @1905519
     /* 1905519 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1905608), // Rule ID 22991 //
     /* 1905524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905570 */     // MIs[0] round
     /* 1905570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10964:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 1905583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905607 */     // GIR_Coverage, 22991,
     /* 1905607 */     GIR_EraseRootFromParent_Done,
     /* 1905608 */   // Label 25596: @1905608
     /* 1905608 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1905697), // Rule ID 22994 //
     /* 1905613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905659 */     // MIs[0] round
     /* 1905659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1905669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 1905672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905696 */     // GIR_Coverage, 22994,
     /* 1905696 */     GIR_EraseRootFromParent_Done,
     /* 1905697 */   // Label 25597: @1905697
     /* 1905697 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1905786), // Rule ID 22995 //
     /* 1905702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905748 */     // MIs[0] round
     /* 1905748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905758 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 1905761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905785 */     // GIR_Coverage, 22995,
     /* 1905785 */     GIR_EraseRootFromParent_Done,
     /* 1905786 */   // Label 25598: @1905786
     /* 1905786 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1905875), // Rule ID 22998 //
     /* 1905791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905837 */     // MIs[0] round
     /* 1905837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905847 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1905847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 1905850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905874 */     // GIR_Coverage, 22998,
     /* 1905874 */     GIR_EraseRootFromParent_Done,
     /* 1905875 */   // Label 25599: @1905875
     /* 1905875 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1905964), // Rule ID 22999 //
     /* 1905880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1905897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1905906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905926 */     // MIs[0] round
     /* 1905926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1905929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1905936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 1905939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1905943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1905951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1905962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905963 */     // GIR_Coverage, 22999,
     /* 1905963 */     GIR_EraseRootFromParent_Done,
     /* 1905964 */   // Label 25600: @1905964
     /* 1905964 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1906053), // Rule ID 23002 //
     /* 1905969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1905977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1905986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1905995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906015 */     // MIs[0] round
     /* 1906015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906025 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1906025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 1906028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1906032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1906051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906052 */     // GIR_Coverage, 23002,
     /* 1906052 */     GIR_EraseRootFromParent_Done,
     /* 1906053 */   // Label 25601: @1906053
     /* 1906053 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1906142), // Rule ID 23003 //
     /* 1906058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1906066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1906078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1906084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906104 */     // MIs[0] round
     /* 1906104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906114 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10964:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1906114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 1906117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1906121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1906140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906141 */     // GIR_Coverage, 23003,
     /* 1906141 */     GIR_EraseRootFromParent_Done,
     /* 1906142 */   // Label 25602: @1906142
     /* 1906142 */   GIM_Reject,
     /* 1906143 */ // Label 18600: @1906143
     /* 1906143 */ GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(2094444),
     /* 1906148 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 1906151 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1906253), // Rule ID 15838 //
     /* 1906156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1906167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1906170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1906173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1906182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906206 */     // MIs[1] Operand 1
     /* 1906206 */     // No operand predicates
     /* 1906206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906210 */     // MIs[0] round
     /* 1906210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906213 */     // MIs[0] policy
     /* 1906213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906225 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 1906228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906252 */     // GIR_Coverage, 15838,
     /* 1906252 */     GIR_EraseRootFromParent_Done,
     /* 1906253 */   // Label 25604: @1906253
     /* 1906253 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1906355), // Rule ID 15839 //
     /* 1906258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1906269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1906272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1906275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1906284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906308 */     // MIs[1] Operand 1
     /* 1906308 */     // No operand predicates
     /* 1906308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906312 */     // MIs[0] round
     /* 1906312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906315 */     // MIs[0] policy
     /* 1906315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906327 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 1906330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906354 */     // GIR_Coverage, 15839,
     /* 1906354 */     GIR_EraseRootFromParent_Done,
     /* 1906355 */   // Label 25605: @1906355
     /* 1906355 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1906457), // Rule ID 15842 //
     /* 1906360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1906371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1906374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1906377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1906386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906410 */     // MIs[1] Operand 1
     /* 1906410 */     // No operand predicates
     /* 1906410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906414 */     // MIs[0] round
     /* 1906414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906417 */     // MIs[0] policy
     /* 1906417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906429 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1906432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906456 */     // GIR_Coverage, 15842,
     /* 1906456 */     GIR_EraseRootFromParent_Done,
     /* 1906457 */   // Label 25606: @1906457
     /* 1906457 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1906559), // Rule ID 15843 //
     /* 1906462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1906473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1906476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1906479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1906488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906512 */     // MIs[1] Operand 1
     /* 1906512 */     // No operand predicates
     /* 1906512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906516 */     // MIs[0] round
     /* 1906516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906519 */     // MIs[0] policy
     /* 1906519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1906534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906558 */     // GIR_Coverage, 15843,
     /* 1906558 */     GIR_EraseRootFromParent_Done,
     /* 1906559 */   // Label 25607: @1906559
     /* 1906559 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1906661), // Rule ID 15846 //
     /* 1906564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1906575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1906578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1906581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1906590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906614 */     // MIs[1] Operand 1
     /* 1906614 */     // No operand predicates
     /* 1906614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906618 */     // MIs[0] round
     /* 1906618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906621 */     // MIs[0] policy
     /* 1906621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1906636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906660 */     // GIR_Coverage, 15846,
     /* 1906660 */     GIR_EraseRootFromParent_Done,
     /* 1906661 */   // Label 25608: @1906661
     /* 1906661 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1906763), // Rule ID 15847 //
     /* 1906666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1906677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1906680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1906683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1906692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906716 */     // MIs[1] Operand 1
     /* 1906716 */     // No operand predicates
     /* 1906716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906720 */     // MIs[0] round
     /* 1906720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906723 */     // MIs[0] policy
     /* 1906723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906735 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1906738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906762 */     // GIR_Coverage, 15847,
     /* 1906762 */     GIR_EraseRootFromParent_Done,
     /* 1906763 */   // Label 25609: @1906763
     /* 1906763 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1906865), // Rule ID 15850 //
     /* 1906768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1906794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906818 */     // MIs[1] Operand 1
     /* 1906818 */     // No operand predicates
     /* 1906818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906822 */     // MIs[0] round
     /* 1906822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906825 */     // MIs[0] policy
     /* 1906825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906837 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1906840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906864 */     // GIR_Coverage, 15850,
     /* 1906864 */     GIR_EraseRootFromParent_Done,
     /* 1906865 */   // Label 25610: @1906865
     /* 1906865 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1906967), // Rule ID 15851 //
     /* 1906870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1906896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1906912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1906916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1906920 */     // MIs[1] Operand 1
     /* 1906920 */     // No operand predicates
     /* 1906920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906924 */     // MIs[0] round
     /* 1906924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1906927 */     // MIs[0] policy
     /* 1906927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1906930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1906932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1906942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1906951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1906955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1906965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906966 */     // GIR_Coverage, 15851,
     /* 1906966 */     GIR_EraseRootFromParent_Done,
     /* 1906967 */   // Label 25611: @1906967
     /* 1906967 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1907069), // Rule ID 15854 //
     /* 1906972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1906980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1906983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1906986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1906989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1906998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907022 */     // MIs[1] Operand 1
     /* 1907022 */     // No operand predicates
     /* 1907022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907026 */     // MIs[0] round
     /* 1907026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907029 */     // MIs[0] policy
     /* 1907029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907041 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1907044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907068 */     // GIR_Coverage, 15854,
     /* 1907068 */     GIR_EraseRootFromParent_Done,
     /* 1907069 */   // Label 25612: @1907069
     /* 1907069 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1907171), // Rule ID 15855 //
     /* 1907074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1907100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907124 */     // MIs[1] Operand 1
     /* 1907124 */     // No operand predicates
     /* 1907124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907128 */     // MIs[0] round
     /* 1907128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907131 */     // MIs[0] policy
     /* 1907131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1907146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907170 */     // GIR_Coverage, 15855,
     /* 1907170 */     GIR_EraseRootFromParent_Done,
     /* 1907171 */   // Label 25613: @1907171
     /* 1907171 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1907273), // Rule ID 15858 //
     /* 1907176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1907202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907226 */     // MIs[1] Operand 1
     /* 1907226 */     // No operand predicates
     /* 1907226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907230 */     // MIs[0] round
     /* 1907230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907233 */     // MIs[0] policy
     /* 1907233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907245 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1907248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907272 */     // GIR_Coverage, 15858,
     /* 1907272 */     GIR_EraseRootFromParent_Done,
     /* 1907273 */   // Label 25614: @1907273
     /* 1907273 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1907375), // Rule ID 15859 //
     /* 1907278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1907304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907328 */     // MIs[1] Operand 1
     /* 1907328 */     // No operand predicates
     /* 1907328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907332 */     // MIs[0] round
     /* 1907332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907335 */     // MIs[0] policy
     /* 1907335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1907350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907374 */     // GIR_Coverage, 15859,
     /* 1907374 */     GIR_EraseRootFromParent_Done,
     /* 1907375 */   // Label 25615: @1907375
     /* 1907375 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1907477), // Rule ID 15862 //
     /* 1907380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1907391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1907394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1907397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1907406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907430 */     // MIs[1] Operand 1
     /* 1907430 */     // No operand predicates
     /* 1907430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907434 */     // MIs[0] round
     /* 1907434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907437 */     // MIs[0] policy
     /* 1907437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907449 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907476 */     // GIR_Coverage, 15862,
     /* 1907476 */     GIR_EraseRootFromParent_Done,
     /* 1907477 */   // Label 25616: @1907477
     /* 1907477 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1907579), // Rule ID 15863 //
     /* 1907482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1907493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1907496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1907499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1907508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907532 */     // MIs[1] Operand 1
     /* 1907532 */     // No operand predicates
     /* 1907532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907536 */     // MIs[0] round
     /* 1907536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907539 */     // MIs[0] policy
     /* 1907539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907578 */     // GIR_Coverage, 15863,
     /* 1907578 */     GIR_EraseRootFromParent_Done,
     /* 1907579 */   // Label 25617: @1907579
     /* 1907579 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1907681), // Rule ID 15866 //
     /* 1907584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1907610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907634 */     // MIs[1] Operand 1
     /* 1907634 */     // No operand predicates
     /* 1907634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907638 */     // MIs[0] round
     /* 1907638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907641 */     // MIs[0] policy
     /* 1907641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907680 */     // GIR_Coverage, 15866,
     /* 1907680 */     GIR_EraseRootFromParent_Done,
     /* 1907681 */   // Label 25618: @1907681
     /* 1907681 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1907783), // Rule ID 15867 //
     /* 1907686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1907712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907736 */     // MIs[1] Operand 1
     /* 1907736 */     // No operand predicates
     /* 1907736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907740 */     // MIs[0] round
     /* 1907740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907743 */     // MIs[0] policy
     /* 1907743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907782 */     // GIR_Coverage, 15867,
     /* 1907782 */     GIR_EraseRootFromParent_Done,
     /* 1907783 */   // Label 25619: @1907783
     /* 1907783 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1907885), // Rule ID 15870 //
     /* 1907788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1907814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907838 */     // MIs[1] Operand 1
     /* 1907838 */     // No operand predicates
     /* 1907838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907842 */     // MIs[0] round
     /* 1907842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907845 */     // MIs[0] policy
     /* 1907845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907884 */     // GIR_Coverage, 15870,
     /* 1907884 */     GIR_EraseRootFromParent_Done,
     /* 1907885 */   // Label 25620: @1907885
     /* 1907885 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1907987), // Rule ID 15871 //
     /* 1907890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1907898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1907916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1907932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1907936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1907940 */     // MIs[1] Operand 1
     /* 1907940 */     // No operand predicates
     /* 1907940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907944 */     // MIs[0] round
     /* 1907944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1907947 */     // MIs[0] policy
     /* 1907947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1907950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1907952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1907962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1907971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1907975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1907985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907986 */     // GIR_Coverage, 15871,
     /* 1907986 */     GIR_EraseRootFromParent_Done,
     /* 1907987 */   // Label 25621: @1907987
     /* 1907987 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1908089), // Rule ID 15874 //
     /* 1907992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1907995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1908018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908042 */     // MIs[1] Operand 1
     /* 1908042 */     // No operand predicates
     /* 1908042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908046 */     // MIs[0] round
     /* 1908046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908049 */     // MIs[0] policy
     /* 1908049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1908064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908088 */     // GIR_Coverage, 15874,
     /* 1908088 */     GIR_EraseRootFromParent_Done,
     /* 1908089 */   // Label 25622: @1908089
     /* 1908089 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1908191), // Rule ID 15875 //
     /* 1908094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1908097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1908120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908144 */     // MIs[1] Operand 1
     /* 1908144 */     // No operand predicates
     /* 1908144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908148 */     // MIs[0] round
     /* 1908148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908151 */     // MIs[0] policy
     /* 1908151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908163 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1908166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908190 */     // GIR_Coverage, 15875,
     /* 1908190 */     GIR_EraseRootFromParent_Done,
     /* 1908191 */   // Label 25623: @1908191
     /* 1908191 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1908293), // Rule ID 15878 //
     /* 1908196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1908207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1908210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1908213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1908222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908246 */     // MIs[1] Operand 1
     /* 1908246 */     // No operand predicates
     /* 1908246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908250 */     // MIs[0] round
     /* 1908250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908253 */     // MIs[0] policy
     /* 1908253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908265 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1908268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908292 */     // GIR_Coverage, 15878,
     /* 1908292 */     GIR_EraseRootFromParent_Done,
     /* 1908293 */   // Label 25624: @1908293
     /* 1908293 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1908395), // Rule ID 15879 //
     /* 1908298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1908309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1908312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1908315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1908324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908348 */     // MIs[1] Operand 1
     /* 1908348 */     // No operand predicates
     /* 1908348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908352 */     // MIs[0] round
     /* 1908352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908355 */     // MIs[0] policy
     /* 1908355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1908370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908394 */     // GIR_Coverage, 15879,
     /* 1908394 */     GIR_EraseRootFromParent_Done,
     /* 1908395 */   // Label 25625: @1908395
     /* 1908395 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1908497), // Rule ID 15882 //
     /* 1908400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1908411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1908414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1908417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1908426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908450 */     // MIs[1] Operand 1
     /* 1908450 */     // No operand predicates
     /* 1908450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908454 */     // MIs[0] round
     /* 1908454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908457 */     // MIs[0] policy
     /* 1908457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908469 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1908472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908496 */     // GIR_Coverage, 15882,
     /* 1908496 */     GIR_EraseRootFromParent_Done,
     /* 1908497 */   // Label 25626: @1908497
     /* 1908497 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1908599), // Rule ID 15883 //
     /* 1908502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1908513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1908516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1908519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1908528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908552 */     // MIs[1] Operand 1
     /* 1908552 */     // No operand predicates
     /* 1908552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908556 */     // MIs[0] round
     /* 1908556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908559 */     // MIs[0] policy
     /* 1908559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1908574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908598 */     // GIR_Coverage, 15883,
     /* 1908598 */     GIR_EraseRootFromParent_Done,
     /* 1908599 */   // Label 25627: @1908599
     /* 1908599 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1908701), // Rule ID 15886 //
     /* 1908604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1908615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1908618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1908621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1908627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1908630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908654 */     // MIs[1] Operand 1
     /* 1908654 */     // No operand predicates
     /* 1908654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908658 */     // MIs[0] round
     /* 1908658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908661 */     // MIs[0] policy
     /* 1908661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908673 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1908676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908700 */     // GIR_Coverage, 15886,
     /* 1908700 */     GIR_EraseRootFromParent_Done,
     /* 1908701 */   // Label 25628: @1908701
     /* 1908701 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1908803), // Rule ID 15887 //
     /* 1908706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1908717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1908720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1908723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1908729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1908732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908756 */     // MIs[1] Operand 1
     /* 1908756 */     // No operand predicates
     /* 1908756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908760 */     // MIs[0] round
     /* 1908760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908763 */     // MIs[0] policy
     /* 1908763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908775 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1908778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908802 */     // GIR_Coverage, 15887,
     /* 1908802 */     GIR_EraseRootFromParent_Done,
     /* 1908803 */   // Label 25629: @1908803
     /* 1908803 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1908905), // Rule ID 15890 //
     /* 1908808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1908834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908858 */     // MIs[1] Operand 1
     /* 1908858 */     // No operand predicates
     /* 1908858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908862 */     // MIs[0] round
     /* 1908862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908865 */     // MIs[0] policy
     /* 1908865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1908880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1908903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908904 */     // GIR_Coverage, 15890,
     /* 1908904 */     GIR_EraseRootFromParent_Done,
     /* 1908905 */   // Label 25630: @1908905
     /* 1908905 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1909007), // Rule ID 15891 //
     /* 1908910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1908918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1908936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1908952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1908956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1908960 */     // MIs[1] Operand 1
     /* 1908960 */     // No operand predicates
     /* 1908960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908964 */     // MIs[0] round
     /* 1908964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1908967 */     // MIs[0] policy
     /* 1908967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1908970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1908972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1908982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1908991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1908995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909006 */     // GIR_Coverage, 15891,
     /* 1909006 */     GIR_EraseRootFromParent_Done,
     /* 1909007 */   // Label 25631: @1909007
     /* 1909007 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1909109), // Rule ID 15894 //
     /* 1909012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1909038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909062 */     // MIs[1] Operand 1
     /* 1909062 */     // No operand predicates
     /* 1909062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909066 */     // MIs[0] round
     /* 1909066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909069 */     // MIs[0] policy
     /* 1909069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909081 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1909084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909108 */     // GIR_Coverage, 15894,
     /* 1909108 */     GIR_EraseRootFromParent_Done,
     /* 1909109 */   // Label 25632: @1909109
     /* 1909109 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1909211), // Rule ID 15895 //
     /* 1909114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1909125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1909128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1909131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1909140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909164 */     // MIs[1] Operand 1
     /* 1909164 */     // No operand predicates
     /* 1909164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909168 */     // MIs[0] round
     /* 1909168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909171 */     // MIs[0] policy
     /* 1909171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1909186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909210 */     // GIR_Coverage, 15895,
     /* 1909210 */     GIR_EraseRootFromParent_Done,
     /* 1909211 */   // Label 25633: @1909211
     /* 1909211 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1909313), // Rule ID 15898 //
     /* 1909216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1909242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909266 */     // MIs[1] Operand 1
     /* 1909266 */     // No operand predicates
     /* 1909266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909270 */     // MIs[0] round
     /* 1909270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909273 */     // MIs[0] policy
     /* 1909273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909285 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1909288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909312 */     // GIR_Coverage, 15898,
     /* 1909312 */     GIR_EraseRootFromParent_Done,
     /* 1909313 */   // Label 25634: @1909313
     /* 1909313 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1909415), // Rule ID 15899 //
     /* 1909318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1909329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1909332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1909335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1909344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909368 */     // MIs[1] Operand 1
     /* 1909368 */     // No operand predicates
     /* 1909368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909372 */     // MIs[0] round
     /* 1909372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909375 */     // MIs[0] policy
     /* 1909375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909387 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1909390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909414 */     // GIR_Coverage, 15899,
     /* 1909414 */     GIR_EraseRootFromParent_Done,
     /* 1909415 */   // Label 25635: @1909415
     /* 1909415 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1909517), // Rule ID 15902 //
     /* 1909420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1909446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909470 */     // MIs[1] Operand 1
     /* 1909470 */     // No operand predicates
     /* 1909470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909474 */     // MIs[0] round
     /* 1909474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909477 */     // MIs[0] policy
     /* 1909477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1909492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909516 */     // GIR_Coverage, 15902,
     /* 1909516 */     GIR_EraseRootFromParent_Done,
     /* 1909517 */   // Label 25636: @1909517
     /* 1909517 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1909619), // Rule ID 15903 //
     /* 1909522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1909533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1909536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1909539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1909548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909572 */     // MIs[1] Operand 1
     /* 1909572 */     // No operand predicates
     /* 1909572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909576 */     // MIs[0] round
     /* 1909576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909579 */     // MIs[0] policy
     /* 1909579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1909594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909618 */     // GIR_Coverage, 15903,
     /* 1909618 */     GIR_EraseRootFromParent_Done,
     /* 1909619 */   // Label 25637: @1909619
     /* 1909619 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1909721), // Rule ID 15906 //
     /* 1909624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1909650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909674 */     // MIs[1] Operand 1
     /* 1909674 */     // No operand predicates
     /* 1909674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909678 */     // MIs[0] round
     /* 1909678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909681 */     // MIs[0] policy
     /* 1909681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1909696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909720 */     // GIR_Coverage, 15906,
     /* 1909720 */     GIR_EraseRootFromParent_Done,
     /* 1909721 */   // Label 25638: @1909721
     /* 1909721 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1909823), // Rule ID 15907 //
     /* 1909726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1909752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909776 */     // MIs[1] Operand 1
     /* 1909776 */     // No operand predicates
     /* 1909776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909780 */     // MIs[0] round
     /* 1909780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909783 */     // MIs[0] policy
     /* 1909783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909795 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1909798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909822 */     // GIR_Coverage, 15907,
     /* 1909822 */     GIR_EraseRootFromParent_Done,
     /* 1909823 */   // Label 25639: @1909823
     /* 1909823 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1909925), // Rule ID 15910 //
     /* 1909828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1909854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909878 */     // MIs[1] Operand 1
     /* 1909878 */     // No operand predicates
     /* 1909878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909882 */     // MIs[0] round
     /* 1909882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909885 */     // MIs[0] policy
     /* 1909885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1909900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1909909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1909913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1909923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909924 */     // GIR_Coverage, 15910,
     /* 1909924 */     GIR_EraseRootFromParent_Done,
     /* 1909925 */   // Label 25640: @1909925
     /* 1909925 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1910027), // Rule ID 15911 //
     /* 1909930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1909938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1909956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1909972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1909976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1909980 */     // MIs[1] Operand 1
     /* 1909980 */     // No operand predicates
     /* 1909980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909984 */     // MIs[0] round
     /* 1909984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1909987 */     // MIs[0] policy
     /* 1909987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1909990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1909992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1910002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910026 */     // GIR_Coverage, 15911,
     /* 1910026 */     GIR_EraseRootFromParent_Done,
     /* 1910027 */   // Label 25641: @1910027
     /* 1910027 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1910129), // Rule ID 15914 //
     /* 1910032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1910035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1910058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910082 */     // MIs[1] Operand 1
     /* 1910082 */     // No operand predicates
     /* 1910082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910086 */     // MIs[0] round
     /* 1910086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910089 */     // MIs[0] policy
     /* 1910089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1910104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910128 */     // GIR_Coverage, 15914,
     /* 1910128 */     GIR_EraseRootFromParent_Done,
     /* 1910129 */   // Label 25642: @1910129
     /* 1910129 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1910231), // Rule ID 15915 //
     /* 1910134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1910137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1910160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910184 */     // MIs[1] Operand 1
     /* 1910184 */     // No operand predicates
     /* 1910184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910188 */     // MIs[0] round
     /* 1910188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910191 */     // MIs[0] policy
     /* 1910191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 1910206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910230 */     // GIR_Coverage, 15915,
     /* 1910230 */     GIR_EraseRootFromParent_Done,
     /* 1910231 */   // Label 25643: @1910231
     /* 1910231 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1910333), // Rule ID 15918 //
     /* 1910236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1910239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1910262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910286 */     // MIs[1] Operand 1
     /* 1910286 */     // No operand predicates
     /* 1910286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910290 */     // MIs[0] round
     /* 1910290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910293 */     // MIs[0] policy
     /* 1910293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1910308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910332 */     // GIR_Coverage, 15918,
     /* 1910332 */     GIR_EraseRootFromParent_Done,
     /* 1910333 */   // Label 25644: @1910333
     /* 1910333 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1910435), // Rule ID 15919 //
     /* 1910338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1910341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1910349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1910352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1910355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1910364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910388 */     // MIs[1] Operand 1
     /* 1910388 */     // No operand predicates
     /* 1910388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910392 */     // MIs[0] round
     /* 1910392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910395 */     // MIs[0] policy
     /* 1910395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910407 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 1910410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910434 */     // GIR_Coverage, 15919,
     /* 1910434 */     GIR_EraseRootFromParent_Done,
     /* 1910435 */   // Label 25645: @1910435
     /* 1910435 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1910537), // Rule ID 15922 //
     /* 1910440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1910443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1910466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910490 */     // MIs[1] Operand 1
     /* 1910490 */     // No operand predicates
     /* 1910490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910494 */     // MIs[0] round
     /* 1910494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910497 */     // MIs[0] policy
     /* 1910497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1910512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910536 */     // GIR_Coverage, 15922,
     /* 1910536 */     GIR_EraseRootFromParent_Done,
     /* 1910537 */   // Label 25646: @1910537
     /* 1910537 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1910639), // Rule ID 15923 //
     /* 1910542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1910545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1910550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1910553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1910556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1910559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1910568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910592 */     // MIs[1] Operand 1
     /* 1910592 */     // No operand predicates
     /* 1910592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910596 */     // MIs[0] round
     /* 1910596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910599 */     // MIs[0] policy
     /* 1910599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910611 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 1910614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910638 */     // GIR_Coverage, 15923,
     /* 1910638 */     GIR_EraseRootFromParent_Done,
     /* 1910639 */   // Label 25647: @1910639
     /* 1910639 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1910741), // Rule ID 16102 //
     /* 1910644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1910652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1910655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1910658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1910661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1910670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910694 */     // MIs[1] Operand 1
     /* 1910694 */     // No operand predicates
     /* 1910694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910698 */     // MIs[0] round
     /* 1910698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910701 */     // MIs[0] policy
     /* 1910701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910713 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 1910716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910740 */     // GIR_Coverage, 16102,
     /* 1910740 */     GIR_EraseRootFromParent_Done,
     /* 1910741 */   // Label 25648: @1910741
     /* 1910741 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1910843), // Rule ID 16103 //
     /* 1910746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1910754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1910757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1910760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1910763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1910772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910796 */     // MIs[1] Operand 1
     /* 1910796 */     // No operand predicates
     /* 1910796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910800 */     // MIs[0] round
     /* 1910800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910803 */     // MIs[0] policy
     /* 1910803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 1910818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910842 */     // GIR_Coverage, 16103,
     /* 1910842 */     GIR_EraseRootFromParent_Done,
     /* 1910843 */   // Label 25649: @1910843
     /* 1910843 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1910945), // Rule ID 16106 //
     /* 1910848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1910856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1910859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1910862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1910865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1910874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1910898 */     // MIs[1] Operand 1
     /* 1910898 */     // No operand predicates
     /* 1910898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910902 */     // MIs[0] round
     /* 1910902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1910905 */     // MIs[0] policy
     /* 1910905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1910908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1910910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 1910920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1910929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1910933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1910943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910944 */     // GIR_Coverage, 16106,
     /* 1910944 */     GIR_EraseRootFromParent_Done,
     /* 1910945 */   // Label 25650: @1910945
     /* 1910945 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1911047), // Rule ID 16107 //
     /* 1910950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1910958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1910961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1910964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1910967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1910976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1910992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1910996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911000 */     // MIs[1] Operand 1
     /* 1911000 */     // No operand predicates
     /* 1911000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911004 */     // MIs[0] round
     /* 1911004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911007 */     // MIs[0] policy
     /* 1911007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 1911022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911046 */     // GIR_Coverage, 16107,
     /* 1911046 */     GIR_EraseRootFromParent_Done,
     /* 1911047 */   // Label 25651: @1911047
     /* 1911047 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1911149), // Rule ID 16110 //
     /* 1911052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1911063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1911066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1911069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1911078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911102 */     // MIs[1] Operand 1
     /* 1911102 */     // No operand predicates
     /* 1911102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911106 */     // MIs[0] round
     /* 1911106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911109 */     // MIs[0] policy
     /* 1911109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911121 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911148 */     // GIR_Coverage, 16110,
     /* 1911148 */     GIR_EraseRootFromParent_Done,
     /* 1911149 */   // Label 25652: @1911149
     /* 1911149 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1911251), // Rule ID 16111 //
     /* 1911154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1911165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1911168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1911171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1911180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911204 */     // MIs[1] Operand 1
     /* 1911204 */     // No operand predicates
     /* 1911204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911208 */     // MIs[0] round
     /* 1911208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911211 */     // MIs[0] policy
     /* 1911211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911223 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911250 */     // GIR_Coverage, 16111,
     /* 1911250 */     GIR_EraseRootFromParent_Done,
     /* 1911251 */   // Label 25653: @1911251
     /* 1911251 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1911353), // Rule ID 16114 //
     /* 1911256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1911282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911306 */     // MIs[1] Operand 1
     /* 1911306 */     // No operand predicates
     /* 1911306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911310 */     // MIs[0] round
     /* 1911310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911313 */     // MIs[0] policy
     /* 1911313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 1911328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911352 */     // GIR_Coverage, 16114,
     /* 1911352 */     GIR_EraseRootFromParent_Done,
     /* 1911353 */   // Label 25654: @1911353
     /* 1911353 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1911455), // Rule ID 16115 //
     /* 1911358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1911384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911408 */     // MIs[1] Operand 1
     /* 1911408 */     // No operand predicates
     /* 1911408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911412 */     // MIs[0] round
     /* 1911412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911415 */     // MIs[0] policy
     /* 1911415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 1911430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911454 */     // GIR_Coverage, 16115,
     /* 1911454 */     GIR_EraseRootFromParent_Done,
     /* 1911455 */   // Label 25655: @1911455
     /* 1911455 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1911557), // Rule ID 16118 //
     /* 1911460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1911486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911510 */     // MIs[1] Operand 1
     /* 1911510 */     // No operand predicates
     /* 1911510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911514 */     // MIs[0] round
     /* 1911514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911517 */     // MIs[0] policy
     /* 1911517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911529 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911556 */     // GIR_Coverage, 16118,
     /* 1911556 */     GIR_EraseRootFromParent_Done,
     /* 1911557 */   // Label 25656: @1911557
     /* 1911557 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1911659), // Rule ID 16119 //
     /* 1911562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1911573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1911576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1911579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1911588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911612 */     // MIs[1] Operand 1
     /* 1911612 */     // No operand predicates
     /* 1911612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911616 */     // MIs[0] round
     /* 1911616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911619 */     // MIs[0] policy
     /* 1911619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911658 */     // GIR_Coverage, 16119,
     /* 1911658 */     GIR_EraseRootFromParent_Done,
     /* 1911659 */   // Label 25657: @1911659
     /* 1911659 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1911761), // Rule ID 16122 //
     /* 1911664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1911690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911714 */     // MIs[1] Operand 1
     /* 1911714 */     // No operand predicates
     /* 1911714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911718 */     // MIs[0] round
     /* 1911718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911721 */     // MIs[0] policy
     /* 1911721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911760 */     // GIR_Coverage, 16122,
     /* 1911760 */     GIR_EraseRootFromParent_Done,
     /* 1911761 */   // Label 25658: @1911761
     /* 1911761 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1911863), // Rule ID 16123 //
     /* 1911766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1911777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1911780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1911783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1911792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911816 */     // MIs[1] Operand 1
     /* 1911816 */     // No operand predicates
     /* 1911816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911820 */     // MIs[0] round
     /* 1911820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911823 */     // MIs[0] policy
     /* 1911823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 1911838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911862 */     // GIR_Coverage, 16123,
     /* 1911862 */     GIR_EraseRootFromParent_Done,
     /* 1911863 */   // Label 25659: @1911863
     /* 1911863 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1911965), // Rule ID 16126 //
     /* 1911868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1911879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1911882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1911885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1911894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1911910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1911914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1911918 */     // MIs[1] Operand 1
     /* 1911918 */     // No operand predicates
     /* 1911918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911922 */     // MIs[0] round
     /* 1911922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1911925 */     // MIs[0] policy
     /* 1911925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1911928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1911930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1911940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1911949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1911953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1911963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911964 */     // GIR_Coverage, 16126,
     /* 1911964 */     GIR_EraseRootFromParent_Done,
     /* 1911965 */   // Label 25660: @1911965
     /* 1911965 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1912067), // Rule ID 16127 //
     /* 1911970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1911978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1911981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1911984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1911987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1911996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912020 */     // MIs[1] Operand 1
     /* 1912020 */     // No operand predicates
     /* 1912020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912024 */     // MIs[0] round
     /* 1912024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912027 */     // MIs[0] policy
     /* 1912027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912039 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912066 */     // GIR_Coverage, 16127,
     /* 1912066 */     GIR_EraseRootFromParent_Done,
     /* 1912067 */   // Label 25661: @1912067
     /* 1912067 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1912169), // Rule ID 16130 //
     /* 1912072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1912098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912122 */     // MIs[1] Operand 1
     /* 1912122 */     // No operand predicates
     /* 1912122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912126 */     // MIs[0] round
     /* 1912126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912129 */     // MIs[0] policy
     /* 1912129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912141 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912168 */     // GIR_Coverage, 16130,
     /* 1912168 */     GIR_EraseRootFromParent_Done,
     /* 1912169 */   // Label 25662: @1912169
     /* 1912169 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1912271), // Rule ID 16131 //
     /* 1912174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1912200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912224 */     // MIs[1] Operand 1
     /* 1912224 */     // No operand predicates
     /* 1912224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912228 */     // MIs[0] round
     /* 1912228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912231 */     // MIs[0] policy
     /* 1912231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912270 */     // GIR_Coverage, 16131,
     /* 1912270 */     GIR_EraseRootFromParent_Done,
     /* 1912271 */   // Label 25663: @1912271
     /* 1912271 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1912373), // Rule ID 16134 //
     /* 1912276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1912302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912326 */     // MIs[1] Operand 1
     /* 1912326 */     // No operand predicates
     /* 1912326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912330 */     // MIs[0] round
     /* 1912330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912333 */     // MIs[0] policy
     /* 1912333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912372 */     // GIR_Coverage, 16134,
     /* 1912372 */     GIR_EraseRootFromParent_Done,
     /* 1912373 */   // Label 25664: @1912373
     /* 1912373 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1912475), // Rule ID 16135 //
     /* 1912378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1912404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912428 */     // MIs[1] Operand 1
     /* 1912428 */     // No operand predicates
     /* 1912428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912432 */     // MIs[0] round
     /* 1912432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912435 */     // MIs[0] policy
     /* 1912435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912474 */     // GIR_Coverage, 16135,
     /* 1912474 */     GIR_EraseRootFromParent_Done,
     /* 1912475 */   // Label 25665: @1912475
     /* 1912475 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1912577), // Rule ID 16138 //
     /* 1912480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1912483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1912506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912530 */     // MIs[1] Operand 1
     /* 1912530 */     // No operand predicates
     /* 1912530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912534 */     // MIs[0] round
     /* 1912534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912537 */     // MIs[0] policy
     /* 1912537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912576 */     // GIR_Coverage, 16138,
     /* 1912576 */     GIR_EraseRootFromParent_Done,
     /* 1912577 */   // Label 25666: @1912577
     /* 1912577 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1912679), // Rule ID 16139 //
     /* 1912582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1912585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1912608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912632 */     // MIs[1] Operand 1
     /* 1912632 */     // No operand predicates
     /* 1912632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912636 */     // MIs[0] round
     /* 1912636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912639 */     // MIs[0] policy
     /* 1912639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 1912654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912678 */     // GIR_Coverage, 16139,
     /* 1912678 */     GIR_EraseRootFromParent_Done,
     /* 1912679 */   // Label 25667: @1912679
     /* 1912679 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1912781), // Rule ID 16142 //
     /* 1912684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1912695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1912698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1912701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1912710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912734 */     // MIs[1] Operand 1
     /* 1912734 */     // No operand predicates
     /* 1912734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912738 */     // MIs[0] round
     /* 1912738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912741 */     // MIs[0] policy
     /* 1912741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1912756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912780 */     // GIR_Coverage, 16142,
     /* 1912780 */     GIR_EraseRootFromParent_Done,
     /* 1912781 */   // Label 25668: @1912781
     /* 1912781 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1912883), // Rule ID 16143 //
     /* 1912786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1912797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1912800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1912803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1912812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912836 */     // MIs[1] Operand 1
     /* 1912836 */     // No operand predicates
     /* 1912836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912840 */     // MIs[0] round
     /* 1912840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912843 */     // MIs[0] policy
     /* 1912843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912855 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1912858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912882 */     // GIR_Coverage, 16143,
     /* 1912882 */     GIR_EraseRootFromParent_Done,
     /* 1912883 */   // Label 25669: @1912883
     /* 1912883 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1912985), // Rule ID 16146 //
     /* 1912888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1912899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1912902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1912905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1912911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1912914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1912930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1912934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1912938 */     // MIs[1] Operand 1
     /* 1912938 */     // No operand predicates
     /* 1912938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912942 */     // MIs[0] round
     /* 1912942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1912945 */     // MIs[0] policy
     /* 1912945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1912948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1912950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1912960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1912969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1912973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1912983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912984 */     // GIR_Coverage, 16146,
     /* 1912984 */     GIR_EraseRootFromParent_Done,
     /* 1912985 */   // Label 25670: @1912985
     /* 1912985 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1913087), // Rule ID 16147 //
     /* 1912990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1912998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1913001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1913004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1913007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1913016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913040 */     // MIs[1] Operand 1
     /* 1913040 */     // No operand predicates
     /* 1913040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913044 */     // MIs[0] round
     /* 1913044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913047 */     // MIs[0] policy
     /* 1913047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913059 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1913062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913086 */     // GIR_Coverage, 16147,
     /* 1913086 */     GIR_EraseRootFromParent_Done,
     /* 1913087 */   // Label 25671: @1913087
     /* 1913087 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1913189), // Rule ID 16150 //
     /* 1913092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1913103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1913106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1913109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1913115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1913118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913142 */     // MIs[1] Operand 1
     /* 1913142 */     // No operand predicates
     /* 1913142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913146 */     // MIs[0] round
     /* 1913146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913149 */     // MIs[0] policy
     /* 1913149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913161 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1913164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913188 */     // GIR_Coverage, 16150,
     /* 1913188 */     GIR_EraseRootFromParent_Done,
     /* 1913189 */   // Label 25672: @1913189
     /* 1913189 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1913291), // Rule ID 16151 //
     /* 1913194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1913205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1913208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1913211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1913217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1913220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913244 */     // MIs[1] Operand 1
     /* 1913244 */     // No operand predicates
     /* 1913244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913248 */     // MIs[0] round
     /* 1913248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913251 */     // MIs[0] policy
     /* 1913251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913263 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1913266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913290 */     // GIR_Coverage, 16151,
     /* 1913290 */     GIR_EraseRootFromParent_Done,
     /* 1913291 */   // Label 25673: @1913291
     /* 1913291 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1913393), // Rule ID 16154 //
     /* 1913296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1913322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913346 */     // MIs[1] Operand 1
     /* 1913346 */     // No operand predicates
     /* 1913346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913350 */     // MIs[0] round
     /* 1913350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913353 */     // MIs[0] policy
     /* 1913353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1913368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913392 */     // GIR_Coverage, 16154,
     /* 1913392 */     GIR_EraseRootFromParent_Done,
     /* 1913393 */   // Label 25674: @1913393
     /* 1913393 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1913495), // Rule ID 16155 //
     /* 1913398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1913424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913448 */     // MIs[1] Operand 1
     /* 1913448 */     // No operand predicates
     /* 1913448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913452 */     // MIs[0] round
     /* 1913452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913455 */     // MIs[0] policy
     /* 1913455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1913470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913494 */     // GIR_Coverage, 16155,
     /* 1913494 */     GIR_EraseRootFromParent_Done,
     /* 1913495 */   // Label 25675: @1913495
     /* 1913495 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1913597), // Rule ID 16158 //
     /* 1913500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1913526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913550 */     // MIs[1] Operand 1
     /* 1913550 */     // No operand predicates
     /* 1913550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913554 */     // MIs[0] round
     /* 1913554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913557 */     // MIs[0] policy
     /* 1913557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1913572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913596 */     // GIR_Coverage, 16158,
     /* 1913596 */     GIR_EraseRootFromParent_Done,
     /* 1913597 */   // Label 25676: @1913597
     /* 1913597 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1913699), // Rule ID 16159 //
     /* 1913602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1913628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913652 */     // MIs[1] Operand 1
     /* 1913652 */     // No operand predicates
     /* 1913652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913656 */     // MIs[0] round
     /* 1913656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913659 */     // MIs[0] policy
     /* 1913659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1913674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913698 */     // GIR_Coverage, 16159,
     /* 1913698 */     GIR_EraseRootFromParent_Done,
     /* 1913699 */   // Label 25677: @1913699
     /* 1913699 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1913801), // Rule ID 16162 //
     /* 1913704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1913715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1913718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1913721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1913730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913754 */     // MIs[1] Operand 1
     /* 1913754 */     // No operand predicates
     /* 1913754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913758 */     // MIs[0] round
     /* 1913758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913761 */     // MIs[0] policy
     /* 1913761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1913776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913800 */     // GIR_Coverage, 16162,
     /* 1913800 */     GIR_EraseRootFromParent_Done,
     /* 1913801 */   // Label 25678: @1913801
     /* 1913801 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1913903), // Rule ID 16163 //
     /* 1913806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1913817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1913820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1913823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1913832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913856 */     // MIs[1] Operand 1
     /* 1913856 */     // No operand predicates
     /* 1913856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913860 */     // MIs[0] round
     /* 1913860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913863 */     // MIs[0] policy
     /* 1913863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1913878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1913901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913902 */     // GIR_Coverage, 16163,
     /* 1913902 */     GIR_EraseRootFromParent_Done,
     /* 1913903 */   // Label 25679: @1913903
     /* 1913903 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1914005), // Rule ID 16166 //
     /* 1913908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1913916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1913919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1913922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1913925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1913934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1913950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1913954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1913958 */     // MIs[1] Operand 1
     /* 1913958 */     // No operand predicates
     /* 1913958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913962 */     // MIs[0] round
     /* 1913962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1913965 */     // MIs[0] policy
     /* 1913965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1913968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1913970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1913980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1913989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1913993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914004 */     // GIR_Coverage, 16166,
     /* 1914004 */     GIR_EraseRootFromParent_Done,
     /* 1914005 */   // Label 25680: @1914005
     /* 1914005 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1914107), // Rule ID 16167 //
     /* 1914010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1914036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914060 */     // MIs[1] Operand 1
     /* 1914060 */     // No operand predicates
     /* 1914060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914064 */     // MIs[0] round
     /* 1914064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914067 */     // MIs[0] policy
     /* 1914067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1914082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914106 */     // GIR_Coverage, 16167,
     /* 1914106 */     GIR_EraseRootFromParent_Done,
     /* 1914107 */   // Label 25681: @1914107
     /* 1914107 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1914209), // Rule ID 16170 //
     /* 1914112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1914138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914162 */     // MIs[1] Operand 1
     /* 1914162 */     // No operand predicates
     /* 1914162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914166 */     // MIs[0] round
     /* 1914166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914169 */     // MIs[0] policy
     /* 1914169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1914184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914208 */     // GIR_Coverage, 16170,
     /* 1914208 */     GIR_EraseRootFromParent_Done,
     /* 1914209 */   // Label 25682: @1914209
     /* 1914209 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1914311), // Rule ID 16171 //
     /* 1914214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1914240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914264 */     // MIs[1] Operand 1
     /* 1914264 */     // No operand predicates
     /* 1914264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914268 */     // MIs[0] round
     /* 1914268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914271 */     // MIs[0] policy
     /* 1914271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1914286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914310 */     // GIR_Coverage, 16171,
     /* 1914310 */     GIR_EraseRootFromParent_Done,
     /* 1914311 */   // Label 25683: @1914311
     /* 1914311 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1914413), // Rule ID 16174 //
     /* 1914316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1914342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914366 */     // MIs[1] Operand 1
     /* 1914366 */     // No operand predicates
     /* 1914366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914370 */     // MIs[0] round
     /* 1914370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914373 */     // MIs[0] policy
     /* 1914373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1914388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914412 */     // GIR_Coverage, 16174,
     /* 1914412 */     GIR_EraseRootFromParent_Done,
     /* 1914413 */   // Label 25684: @1914413
     /* 1914413 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1914515), // Rule ID 16175 //
     /* 1914418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1914444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914468 */     // MIs[1] Operand 1
     /* 1914468 */     // No operand predicates
     /* 1914468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914472 */     // MIs[0] round
     /* 1914472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914475 */     // MIs[0] policy
     /* 1914475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914487 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1914490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914514 */     // GIR_Coverage, 16175,
     /* 1914514 */     GIR_EraseRootFromParent_Done,
     /* 1914515 */   // Label 25685: @1914515
     /* 1914515 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1914617), // Rule ID 16178 //
     /* 1914520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1914523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1914546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914570 */     // MIs[1] Operand 1
     /* 1914570 */     // No operand predicates
     /* 1914570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914574 */     // MIs[0] round
     /* 1914574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914577 */     // MIs[0] policy
     /* 1914577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1914592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914616 */     // GIR_Coverage, 16178,
     /* 1914616 */     GIR_EraseRootFromParent_Done,
     /* 1914617 */   // Label 25686: @1914617
     /* 1914617 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1914719), // Rule ID 16179 //
     /* 1914622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1914625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1914648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914672 */     // MIs[1] Operand 1
     /* 1914672 */     // No operand predicates
     /* 1914672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914676 */     // MIs[0] round
     /* 1914676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914679 */     // MIs[0] policy
     /* 1914679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 1914694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914718 */     // GIR_Coverage, 16179,
     /* 1914718 */     GIR_EraseRootFromParent_Done,
     /* 1914719 */   // Label 25687: @1914719
     /* 1914719 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1914821), // Rule ID 16182 //
     /* 1914724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1914727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1914750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914774 */     // MIs[1] Operand 1
     /* 1914774 */     // No operand predicates
     /* 1914774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914778 */     // MIs[0] round
     /* 1914778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914781 */     // MIs[0] policy
     /* 1914781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1914796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914820 */     // GIR_Coverage, 16182,
     /* 1914820 */     GIR_EraseRootFromParent_Done,
     /* 1914821 */   // Label 25688: @1914821
     /* 1914821 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1914923), // Rule ID 16183 //
     /* 1914826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1914829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1914852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914876 */     // MIs[1] Operand 1
     /* 1914876 */     // No operand predicates
     /* 1914876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914880 */     // MIs[0] round
     /* 1914880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914883 */     // MIs[0] policy
     /* 1914883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 1914898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1914907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1914911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1914921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914922 */     // GIR_Coverage, 16183,
     /* 1914922 */     GIR_EraseRootFromParent_Done,
     /* 1914923 */   // Label 25689: @1914923
     /* 1914923 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1915025), // Rule ID 16186 //
     /* 1914928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1914931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1914936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1914939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1914942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1914945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1914954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1914970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1914974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1914978 */     // MIs[1] Operand 1
     /* 1914978 */     // No operand predicates
     /* 1914978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914982 */     // MIs[0] round
     /* 1914982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1914985 */     // MIs[0] policy
     /* 1914985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1914988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1914990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1915000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915024 */     // GIR_Coverage, 16186,
     /* 1915024 */     GIR_EraseRootFromParent_Done,
     /* 1915025 */   // Label 25690: @1915025
     /* 1915025 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1915127), // Rule ID 16187 //
     /* 1915030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1915038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1915056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915080 */     // MIs[1] Operand 1
     /* 1915080 */     // No operand predicates
     /* 1915080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915084 */     // MIs[0] round
     /* 1915084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915087 */     // MIs[0] policy
     /* 1915087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 1915102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915126 */     // GIR_Coverage, 16187,
     /* 1915126 */     GIR_EraseRootFromParent_Done,
     /* 1915127 */   // Label 25691: @1915127
     /* 1915127 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1915232), // Rule ID 16310 //
     /* 1915132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1915143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1915146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1915158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915182 */     // MIs[1] Operand 1
     /* 1915182 */     // No operand predicates
     /* 1915182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915186 */     // MIs[0] round
     /* 1915186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915189 */     // MIs[0] policy
     /* 1915189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915201 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 1915204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915231 */     // GIR_Coverage, 16310,
     /* 1915231 */     GIR_EraseRootFromParent_Done,
     /* 1915232 */   // Label 25692: @1915232
     /* 1915232 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1915337), // Rule ID 16311 //
     /* 1915237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1915248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1915251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1915263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915287 */     // MIs[1] Operand 1
     /* 1915287 */     // No operand predicates
     /* 1915287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915291 */     // MIs[0] round
     /* 1915291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915294 */     // MIs[0] policy
     /* 1915294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 1915309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915336 */     // GIR_Coverage, 16311,
     /* 1915336 */     GIR_EraseRootFromParent_Done,
     /* 1915337 */   // Label 25693: @1915337
     /* 1915337 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1915442), // Rule ID 16314 //
     /* 1915342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1915353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1915356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1915368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915392 */     // MIs[1] Operand 1
     /* 1915392 */     // No operand predicates
     /* 1915392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915396 */     // MIs[0] round
     /* 1915396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915399 */     // MIs[0] policy
     /* 1915399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 1915414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915441 */     // GIR_Coverage, 16314,
     /* 1915441 */     GIR_EraseRootFromParent_Done,
     /* 1915442 */   // Label 25694: @1915442
     /* 1915442 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1915547), // Rule ID 16315 //
     /* 1915447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1915458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1915461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1915473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915497 */     // MIs[1] Operand 1
     /* 1915497 */     // No operand predicates
     /* 1915497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915501 */     // MIs[0] round
     /* 1915501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915504 */     // MIs[0] policy
     /* 1915504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 1915519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915546 */     // GIR_Coverage, 16315,
     /* 1915546 */     GIR_EraseRootFromParent_Done,
     /* 1915547 */   // Label 25695: @1915547
     /* 1915547 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1915652), // Rule ID 16318 //
     /* 1915552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1915563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1915566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1915578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915602 */     // MIs[1] Operand 1
     /* 1915602 */     // No operand predicates
     /* 1915602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915606 */     // MIs[0] round
     /* 1915606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915609 */     // MIs[0] policy
     /* 1915609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915621 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1915624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915651 */     // GIR_Coverage, 16318,
     /* 1915651 */     GIR_EraseRootFromParent_Done,
     /* 1915652 */   // Label 25696: @1915652
     /* 1915652 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1915757), // Rule ID 16319 //
     /* 1915657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1915668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1915671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1915683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915707 */     // MIs[1] Operand 1
     /* 1915707 */     // No operand predicates
     /* 1915707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915711 */     // MIs[0] round
     /* 1915711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915714 */     // MIs[0] policy
     /* 1915714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1915729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915756 */     // GIR_Coverage, 16319,
     /* 1915756 */     GIR_EraseRootFromParent_Done,
     /* 1915757 */   // Label 25697: @1915757
     /* 1915757 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1915862), // Rule ID 16322 //
     /* 1915762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1915788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915812 */     // MIs[1] Operand 1
     /* 1915812 */     // No operand predicates
     /* 1915812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915816 */     // MIs[0] round
     /* 1915816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915819 */     // MIs[0] policy
     /* 1915819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915831 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1915834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915861 */     // GIR_Coverage, 16322,
     /* 1915861 */     GIR_EraseRootFromParent_Done,
     /* 1915862 */   // Label 25698: @1915862
     /* 1915862 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1915967), // Rule ID 16323 //
     /* 1915867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1915878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1915881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1915893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1915909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1915913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1915917 */     // MIs[1] Operand 1
     /* 1915917 */     // No operand predicates
     /* 1915917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915921 */     // MIs[0] round
     /* 1915921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1915924 */     // MIs[0] policy
     /* 1915924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1915927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1915929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1915939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1915948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1915952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1915962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915966 */     // GIR_Coverage, 16323,
     /* 1915966 */     GIR_EraseRootFromParent_Done,
     /* 1915967 */   // Label 25699: @1915967
     /* 1915967 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1916072), // Rule ID 16326 //
     /* 1915972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1915980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1915989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1915998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916022 */     // MIs[1] Operand 1
     /* 1916022 */     // No operand predicates
     /* 1916022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916026 */     // MIs[0] round
     /* 1916026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916029 */     // MIs[0] policy
     /* 1916029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916041 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1916044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916071 */     // GIR_Coverage, 16326,
     /* 1916071 */     GIR_EraseRootFromParent_Done,
     /* 1916072 */   // Label 25700: @1916072
     /* 1916072 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1916177), // Rule ID 16327 //
     /* 1916077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1916088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1916091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1916103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916127 */     // MIs[1] Operand 1
     /* 1916127 */     // No operand predicates
     /* 1916127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916131 */     // MIs[0] round
     /* 1916131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916134 */     // MIs[0] policy
     /* 1916134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1916149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916176 */     // GIR_Coverage, 16327,
     /* 1916176 */     GIR_EraseRootFromParent_Done,
     /* 1916177 */   // Label 25701: @1916177
     /* 1916177 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1916282), // Rule ID 16330 //
     /* 1916182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1916193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1916196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1916208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916232 */     // MIs[1] Operand 1
     /* 1916232 */     // No operand predicates
     /* 1916232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916236 */     // MIs[0] round
     /* 1916236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916239 */     // MIs[0] policy
     /* 1916239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1916254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916281 */     // GIR_Coverage, 16330,
     /* 1916281 */     GIR_EraseRootFromParent_Done,
     /* 1916282 */   // Label 25702: @1916282
     /* 1916282 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1916387), // Rule ID 16331 //
     /* 1916287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1916298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1916301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1916313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916337 */     // MIs[1] Operand 1
     /* 1916337 */     // No operand predicates
     /* 1916337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916341 */     // MIs[0] round
     /* 1916341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916344 */     // MIs[0] policy
     /* 1916344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1916359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916386 */     // GIR_Coverage, 16331,
     /* 1916386 */     GIR_EraseRootFromParent_Done,
     /* 1916387 */   // Label 25703: @1916387
     /* 1916387 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1916492), // Rule ID 16334 //
     /* 1916392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1916403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1916406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1916418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916442 */     // MIs[1] Operand 1
     /* 1916442 */     // No operand predicates
     /* 1916442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916446 */     // MIs[0] round
     /* 1916446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916449 */     // MIs[0] policy
     /* 1916449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 1916464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916491 */     // GIR_Coverage, 16334,
     /* 1916491 */     GIR_EraseRootFromParent_Done,
     /* 1916492 */   // Label 25704: @1916492
     /* 1916492 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1916597), // Rule ID 16335 //
     /* 1916497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1916508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1916511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1916523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916547 */     // MIs[1] Operand 1
     /* 1916547 */     // No operand predicates
     /* 1916547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916551 */     // MIs[0] round
     /* 1916551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916554 */     // MIs[0] policy
     /* 1916554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 1916569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916596 */     // GIR_Coverage, 16335,
     /* 1916596 */     GIR_EraseRootFromParent_Done,
     /* 1916597 */   // Label 25705: @1916597
     /* 1916597 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1916702), // Rule ID 16338 //
     /* 1916602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1916613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1916616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1916628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916652 */     // MIs[1] Operand 1
     /* 1916652 */     // No operand predicates
     /* 1916652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916656 */     // MIs[0] round
     /* 1916656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916659 */     // MIs[0] policy
     /* 1916659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1916674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916701 */     // GIR_Coverage, 16338,
     /* 1916701 */     GIR_EraseRootFromParent_Done,
     /* 1916702 */   // Label 25706: @1916702
     /* 1916702 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1916807), // Rule ID 16339 //
     /* 1916707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1916718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1916721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1916733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916757 */     // MIs[1] Operand 1
     /* 1916757 */     // No operand predicates
     /* 1916757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916761 */     // MIs[0] round
     /* 1916761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916764 */     // MIs[0] policy
     /* 1916764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1916779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916806 */     // GIR_Coverage, 16339,
     /* 1916806 */     GIR_EraseRootFromParent_Done,
     /* 1916807 */   // Label 25707: @1916807
     /* 1916807 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1916912), // Rule ID 16342 //
     /* 1916812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1916838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916862 */     // MIs[1] Operand 1
     /* 1916862 */     // No operand predicates
     /* 1916862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916866 */     // MIs[0] round
     /* 1916866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916869 */     // MIs[0] policy
     /* 1916869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916881 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1916884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1916897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1916907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916911 */     // GIR_Coverage, 16342,
     /* 1916911 */     GIR_EraseRootFromParent_Done,
     /* 1916912 */   // Label 25708: @1916912
     /* 1916912 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1917017), // Rule ID 16343 //
     /* 1916917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1916925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1916943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1916959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1916963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1916967 */     // MIs[1] Operand 1
     /* 1916967 */     // No operand predicates
     /* 1916967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916971 */     // MIs[0] round
     /* 1916971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1916974 */     // MIs[0] policy
     /* 1916974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1916977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1916979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1916989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1916998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917016 */     // GIR_Coverage, 16343,
     /* 1917016 */     GIR_EraseRootFromParent_Done,
     /* 1917017 */   // Label 25709: @1917017
     /* 1917017 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1917122), // Rule ID 16346 //
     /* 1917022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1917033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1917036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1917048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917072 */     // MIs[1] Operand 1
     /* 1917072 */     // No operand predicates
     /* 1917072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917076 */     // MIs[0] round
     /* 1917076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917079 */     // MIs[0] policy
     /* 1917079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1917094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917121 */     // GIR_Coverage, 16346,
     /* 1917121 */     GIR_EraseRootFromParent_Done,
     /* 1917122 */   // Label 25710: @1917122
     /* 1917122 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1917227), // Rule ID 16347 //
     /* 1917127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1917138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1917141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1917144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1917153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917177 */     // MIs[1] Operand 1
     /* 1917177 */     // No operand predicates
     /* 1917177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917181 */     // MIs[0] round
     /* 1917181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917184 */     // MIs[0] policy
     /* 1917184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1917199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917226 */     // GIR_Coverage, 16347,
     /* 1917226 */     GIR_EraseRootFromParent_Done,
     /* 1917227 */   // Label 25711: @1917227
     /* 1917227 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1917332), // Rule ID 16350 //
     /* 1917232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1917243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1917246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1917258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917282 */     // MIs[1] Operand 1
     /* 1917282 */     // No operand predicates
     /* 1917282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917286 */     // MIs[0] round
     /* 1917286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917289 */     // MIs[0] policy
     /* 1917289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1917304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917331 */     // GIR_Coverage, 16350,
     /* 1917331 */     GIR_EraseRootFromParent_Done,
     /* 1917332 */   // Label 25712: @1917332
     /* 1917332 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1917437), // Rule ID 16351 //
     /* 1917337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1917348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1917351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1917363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917387 */     // MIs[1] Operand 1
     /* 1917387 */     // No operand predicates
     /* 1917387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917391 */     // MIs[0] round
     /* 1917391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917394 */     // MIs[0] policy
     /* 1917394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917406 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1917409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917436 */     // GIR_Coverage, 16351,
     /* 1917436 */     GIR_EraseRootFromParent_Done,
     /* 1917437 */   // Label 25713: @1917437
     /* 1917437 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1917542), // Rule ID 16354 //
     /* 1917442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1917445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1917459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1917468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917492 */     // MIs[1] Operand 1
     /* 1917492 */     // No operand predicates
     /* 1917492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917496 */     // MIs[0] round
     /* 1917496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917499 */     // MIs[0] policy
     /* 1917499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1917514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917541 */     // GIR_Coverage, 16354,
     /* 1917541 */     GIR_EraseRootFromParent_Done,
     /* 1917542 */   // Label 25714: @1917542
     /* 1917542 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1917647), // Rule ID 16355 //
     /* 1917547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1917550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1917564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1917573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917597 */     // MIs[1] Operand 1
     /* 1917597 */     // No operand predicates
     /* 1917597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917601 */     // MIs[0] round
     /* 1917601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917604 */     // MIs[0] policy
     /* 1917604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 1917619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917646 */     // GIR_Coverage, 16355,
     /* 1917646 */     GIR_EraseRootFromParent_Done,
     /* 1917647 */   // Label 25715: @1917647
     /* 1917647 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1917752), // Rule ID 16358 //
     /* 1917652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1917655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1917678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917702 */     // MIs[1] Operand 1
     /* 1917702 */     // No operand predicates
     /* 1917702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917706 */     // MIs[0] round
     /* 1917706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917709 */     // MIs[0] policy
     /* 1917709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1917724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917751 */     // GIR_Coverage, 16358,
     /* 1917751 */     GIR_EraseRootFromParent_Done,
     /* 1917752 */   // Label 25716: @1917752
     /* 1917752 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1917857), // Rule ID 16359 //
     /* 1917757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1917760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1917783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917807 */     // MIs[1] Operand 1
     /* 1917807 */     // No operand predicates
     /* 1917807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917811 */     // MIs[0] round
     /* 1917811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917814 */     // MIs[0] policy
     /* 1917814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 1917829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917856 */     // GIR_Coverage, 16359,
     /* 1917856 */     GIR_EraseRootFromParent_Done,
     /* 1917857 */   // Label 25717: @1917857
     /* 1917857 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1917962), // Rule ID 16362 //
     /* 1917862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1917865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1917888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1917904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1917908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1917912 */     // MIs[1] Operand 1
     /* 1917912 */     // No operand predicates
     /* 1917912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917916 */     // MIs[0] round
     /* 1917916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1917919 */     // MIs[0] policy
     /* 1917919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1917922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1917924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1917934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1917943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1917947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1917957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917961 */     // GIR_Coverage, 16362,
     /* 1917961 */     GIR_EraseRootFromParent_Done,
     /* 1917962 */   // Label 25718: @1917962
     /* 1917962 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1918067), // Rule ID 16363 //
     /* 1917967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1917970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1917975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1917993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918017 */     // MIs[1] Operand 1
     /* 1918017 */     // No operand predicates
     /* 1918017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918021 */     // MIs[0] round
     /* 1918021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918024 */     // MIs[0] policy
     /* 1918024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 1918039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918066 */     // GIR_Coverage, 16363,
     /* 1918066 */     GIR_EraseRootFromParent_Done,
     /* 1918067 */   // Label 25719: @1918067
     /* 1918067 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1918172), // Rule ID 16366 //
     /* 1918072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1918075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1918080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1918098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918122 */     // MIs[1] Operand 1
     /* 1918122 */     // No operand predicates
     /* 1918122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918126 */     // MIs[0] round
     /* 1918126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918129 */     // MIs[0] policy
     /* 1918129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1918144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918171 */     // GIR_Coverage, 16366,
     /* 1918171 */     GIR_EraseRootFromParent_Done,
     /* 1918172 */   // Label 25720: @1918172
     /* 1918172 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1918277), // Rule ID 16367 //
     /* 1918177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1918180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1918185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1918203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918227 */     // MIs[1] Operand 1
     /* 1918227 */     // No operand predicates
     /* 1918227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918231 */     // MIs[0] round
     /* 1918231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918234 */     // MIs[0] policy
     /* 1918234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 1918249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918276 */     // GIR_Coverage, 16367,
     /* 1918276 */     GIR_EraseRootFromParent_Done,
     /* 1918277 */   // Label 25721: @1918277
     /* 1918277 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1918382), // Rule ID 16490 //
     /* 1918282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1918293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1918296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1918308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918332 */     // MIs[1] Operand 1
     /* 1918332 */     // No operand predicates
     /* 1918332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918336 */     // MIs[0] round
     /* 1918336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918339 */     // MIs[0] policy
     /* 1918339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 1918354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918381 */     // GIR_Coverage, 16490,
     /* 1918381 */     GIR_EraseRootFromParent_Done,
     /* 1918382 */   // Label 25722: @1918382
     /* 1918382 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1918487), // Rule ID 16491 //
     /* 1918387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1918398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1918401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1918413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918437 */     // MIs[1] Operand 1
     /* 1918437 */     // No operand predicates
     /* 1918437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918441 */     // MIs[0] round
     /* 1918441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918444 */     // MIs[0] policy
     /* 1918444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 1918459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918486 */     // GIR_Coverage, 16491,
     /* 1918486 */     GIR_EraseRootFromParent_Done,
     /* 1918487 */   // Label 25723: @1918487
     /* 1918487 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1918592), // Rule ID 16494 //
     /* 1918492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1918518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918542 */     // MIs[1] Operand 1
     /* 1918542 */     // No operand predicates
     /* 1918542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918546 */     // MIs[0] round
     /* 1918546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918549 */     // MIs[0] policy
     /* 1918549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 1918564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918591 */     // GIR_Coverage, 16494,
     /* 1918591 */     GIR_EraseRootFromParent_Done,
     /* 1918592 */   // Label 25724: @1918592
     /* 1918592 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1918697), // Rule ID 16495 //
     /* 1918597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1918623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918647 */     // MIs[1] Operand 1
     /* 1918647 */     // No operand predicates
     /* 1918647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918651 */     // MIs[0] round
     /* 1918651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918654 */     // MIs[0] policy
     /* 1918654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 1918669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918696 */     // GIR_Coverage, 16495,
     /* 1918696 */     GIR_EraseRootFromParent_Done,
     /* 1918697 */   // Label 25725: @1918697
     /* 1918697 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1918802), // Rule ID 16498 //
     /* 1918702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1918728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918752 */     // MIs[1] Operand 1
     /* 1918752 */     // No operand predicates
     /* 1918752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918756 */     // MIs[0] round
     /* 1918756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918759 */     // MIs[0] policy
     /* 1918759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1918774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918801 */     // GIR_Coverage, 16498,
     /* 1918801 */     GIR_EraseRootFromParent_Done,
     /* 1918802 */   // Label 25726: @1918802
     /* 1918802 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1918907), // Rule ID 16499 //
     /* 1918807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1918824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1918833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918857 */     // MIs[1] Operand 1
     /* 1918857 */     // No operand predicates
     /* 1918857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918861 */     // MIs[0] round
     /* 1918861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918864 */     // MIs[0] policy
     /* 1918864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1918879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1918902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918906 */     // GIR_Coverage, 16499,
     /* 1918906 */     GIR_EraseRootFromParent_Done,
     /* 1918907 */   // Label 25727: @1918907
     /* 1918907 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1919012), // Rule ID 16502 //
     /* 1918912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1918920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1918923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1918926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1918938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1918954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1918958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1918962 */     // MIs[1] Operand 1
     /* 1918962 */     // No operand predicates
     /* 1918962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918966 */     // MIs[0] round
     /* 1918966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1918969 */     // MIs[0] policy
     /* 1918969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1918972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1918974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1918984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1918993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1918997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919011 */     // GIR_Coverage, 16502,
     /* 1919011 */     GIR_EraseRootFromParent_Done,
     /* 1919012 */   // Label 25728: @1919012
     /* 1919012 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1919117), // Rule ID 16503 //
     /* 1919017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1919028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1919031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1919034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1919043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919067 */     // MIs[1] Operand 1
     /* 1919067 */     // No operand predicates
     /* 1919067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919071 */     // MIs[0] round
     /* 1919071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919074 */     // MIs[0] policy
     /* 1919074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1919089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919116 */     // GIR_Coverage, 16503,
     /* 1919116 */     GIR_EraseRootFromParent_Done,
     /* 1919117 */   // Label 25729: @1919117
     /* 1919117 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1919222), // Rule ID 16506 //
     /* 1919122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1919148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919172 */     // MIs[1] Operand 1
     /* 1919172 */     // No operand predicates
     /* 1919172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919176 */     // MIs[0] round
     /* 1919176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919179 */     // MIs[0] policy
     /* 1919179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919191 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1919194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919221 */     // GIR_Coverage, 16506,
     /* 1919221 */     GIR_EraseRootFromParent_Done,
     /* 1919222 */   // Label 25730: @1919222
     /* 1919222 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1919327), // Rule ID 16507 //
     /* 1919227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1919238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1919241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1919244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1919253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919277 */     // MIs[1] Operand 1
     /* 1919277 */     // No operand predicates
     /* 1919277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919281 */     // MIs[0] round
     /* 1919281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919284 */     // MIs[0] policy
     /* 1919284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1919299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919326 */     // GIR_Coverage, 16507,
     /* 1919326 */     GIR_EraseRootFromParent_Done,
     /* 1919327 */   // Label 25731: @1919327
     /* 1919327 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1919432), // Rule ID 16510 //
     /* 1919332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1919358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919382 */     // MIs[1] Operand 1
     /* 1919382 */     // No operand predicates
     /* 1919382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919386 */     // MIs[0] round
     /* 1919386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919389 */     // MIs[0] policy
     /* 1919389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919401 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1919404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919431 */     // GIR_Coverage, 16510,
     /* 1919431 */     GIR_EraseRootFromParent_Done,
     /* 1919432 */   // Label 25732: @1919432
     /* 1919432 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1919537), // Rule ID 16511 //
     /* 1919437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1919448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1919451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1919454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1919460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1919463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919487 */     // MIs[1] Operand 1
     /* 1919487 */     // No operand predicates
     /* 1919487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919491 */     // MIs[0] round
     /* 1919491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919494 */     // MIs[0] policy
     /* 1919494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1919509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919536 */     // GIR_Coverage, 16511,
     /* 1919536 */     GIR_EraseRootFromParent_Done,
     /* 1919537 */   // Label 25733: @1919537
     /* 1919537 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1919642), // Rule ID 16514 //
     /* 1919542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1919568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919592 */     // MIs[1] Operand 1
     /* 1919592 */     // No operand predicates
     /* 1919592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919596 */     // MIs[0] round
     /* 1919596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919599 */     // MIs[0] policy
     /* 1919599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 1919614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919641 */     // GIR_Coverage, 16514,
     /* 1919641 */     GIR_EraseRootFromParent_Done,
     /* 1919642 */   // Label 25734: @1919642
     /* 1919642 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1919747), // Rule ID 16515 //
     /* 1919647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1919673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919697 */     // MIs[1] Operand 1
     /* 1919697 */     // No operand predicates
     /* 1919697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919701 */     // MIs[0] round
     /* 1919701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919704 */     // MIs[0] policy
     /* 1919704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 1919719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919746 */     // GIR_Coverage, 16515,
     /* 1919746 */     GIR_EraseRootFromParent_Done,
     /* 1919747 */   // Label 25735: @1919747
     /* 1919747 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1919852), // Rule ID 16518 //
     /* 1919752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1919763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1919766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1919778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919802 */     // MIs[1] Operand 1
     /* 1919802 */     // No operand predicates
     /* 1919802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919806 */     // MIs[0] round
     /* 1919806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919809 */     // MIs[0] policy
     /* 1919809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1919824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919851 */     // GIR_Coverage, 16518,
     /* 1919851 */     GIR_EraseRootFromParent_Done,
     /* 1919852 */   // Label 25736: @1919852
     /* 1919852 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1919957), // Rule ID 16519 //
     /* 1919857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1919868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1919871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1919883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1919899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1919903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1919907 */     // MIs[1] Operand 1
     /* 1919907 */     // No operand predicates
     /* 1919907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919911 */     // MIs[0] round
     /* 1919911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1919914 */     // MIs[0] policy
     /* 1919914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1919917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1919919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1919929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1919938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1919942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1919952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919956 */     // GIR_Coverage, 16519,
     /* 1919956 */     GIR_EraseRootFromParent_Done,
     /* 1919957 */   // Label 25737: @1919957
     /* 1919957 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1920062), // Rule ID 16522 //
     /* 1919962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1919970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1919988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920012 */     // MIs[1] Operand 1
     /* 1920012 */     // No operand predicates
     /* 1920012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920016 */     // MIs[0] round
     /* 1920016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920019 */     // MIs[0] policy
     /* 1920019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1920034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920061 */     // GIR_Coverage, 16522,
     /* 1920061 */     GIR_EraseRootFromParent_Done,
     /* 1920062 */   // Label 25738: @1920062
     /* 1920062 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1920167), // Rule ID 16523 //
     /* 1920067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1920078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1920081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1920084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1920093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920117 */     // MIs[1] Operand 1
     /* 1920117 */     // No operand predicates
     /* 1920117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920121 */     // MIs[0] round
     /* 1920121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920124 */     // MIs[0] policy
     /* 1920124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1920139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920166 */     // GIR_Coverage, 16523,
     /* 1920166 */     GIR_EraseRootFromParent_Done,
     /* 1920167 */   // Label 25739: @1920167
     /* 1920167 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1920272), // Rule ID 16526 //
     /* 1920172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1920198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920222 */     // MIs[1] Operand 1
     /* 1920222 */     // No operand predicates
     /* 1920222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920226 */     // MIs[0] round
     /* 1920226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920229 */     // MIs[0] policy
     /* 1920229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1920244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920271 */     // GIR_Coverage, 16526,
     /* 1920271 */     GIR_EraseRootFromParent_Done,
     /* 1920272 */   // Label 25740: @1920272
     /* 1920272 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1920377), // Rule ID 16527 //
     /* 1920277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1920294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1920303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920327 */     // MIs[1] Operand 1
     /* 1920327 */     // No operand predicates
     /* 1920327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920331 */     // MIs[0] round
     /* 1920331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920334 */     // MIs[0] policy
     /* 1920334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1920349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920376 */     // GIR_Coverage, 16527,
     /* 1920376 */     GIR_EraseRootFromParent_Done,
     /* 1920377 */   // Label 25741: @1920377
     /* 1920377 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1920482), // Rule ID 16530 //
     /* 1920382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1920408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920432 */     // MIs[1] Operand 1
     /* 1920432 */     // No operand predicates
     /* 1920432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920436 */     // MIs[0] round
     /* 1920436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920439 */     // MIs[0] policy
     /* 1920439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1920454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920481 */     // GIR_Coverage, 16530,
     /* 1920481 */     GIR_EraseRootFromParent_Done,
     /* 1920482 */   // Label 25742: @1920482
     /* 1920482 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1920587), // Rule ID 16531 //
     /* 1920487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1920504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1920513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920537 */     // MIs[1] Operand 1
     /* 1920537 */     // No operand predicates
     /* 1920537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920541 */     // MIs[0] round
     /* 1920541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920544 */     // MIs[0] policy
     /* 1920544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920556 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1920559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920586 */     // GIR_Coverage, 16531,
     /* 1920586 */     GIR_EraseRootFromParent_Done,
     /* 1920587 */   // Label 25743: @1920587
     /* 1920587 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1920692), // Rule ID 16534 //
     /* 1920592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1920595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1920618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920642 */     // MIs[1] Operand 1
     /* 1920642 */     // No operand predicates
     /* 1920642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920646 */     // MIs[0] round
     /* 1920646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920649 */     // MIs[0] policy
     /* 1920649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1920664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920691 */     // GIR_Coverage, 16534,
     /* 1920691 */     GIR_EraseRootFromParent_Done,
     /* 1920692 */   // Label 25744: @1920692
     /* 1920692 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1920797), // Rule ID 16535 //
     /* 1920697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1920700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1920723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920747 */     // MIs[1] Operand 1
     /* 1920747 */     // No operand predicates
     /* 1920747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920751 */     // MIs[0] round
     /* 1920751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920754 */     // MIs[0] policy
     /* 1920754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 1920769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920796 */     // GIR_Coverage, 16535,
     /* 1920796 */     GIR_EraseRootFromParent_Done,
     /* 1920797 */   // Label 25745: @1920797
     /* 1920797 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1920902), // Rule ID 16538 //
     /* 1920802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1920805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1920828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920852 */     // MIs[1] Operand 1
     /* 1920852 */     // No operand predicates
     /* 1920852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920856 */     // MIs[0] round
     /* 1920856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920859 */     // MIs[0] policy
     /* 1920859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1920874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1920897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920901 */     // GIR_Coverage, 16538,
     /* 1920901 */     GIR_EraseRootFromParent_Done,
     /* 1920902 */   // Label 25746: @1920902
     /* 1920902 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1921007), // Rule ID 16539 //
     /* 1920907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1920910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1920915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1920924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1920933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1920949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1920953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1920957 */     // MIs[1] Operand 1
     /* 1920957 */     // No operand predicates
     /* 1920957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920961 */     // MIs[0] round
     /* 1920961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1920964 */     // MIs[0] policy
     /* 1920964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1920967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1920969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 1920979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1920988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1920992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921006 */     // GIR_Coverage, 16539,
     /* 1921006 */     GIR_EraseRootFromParent_Done,
     /* 1921007 */   // Label 25747: @1921007
     /* 1921007 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1921112), // Rule ID 16542 //
     /* 1921012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1921015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1921020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1921054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1921058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1921062 */     // MIs[1] Operand 1
     /* 1921062 */     // No operand predicates
     /* 1921062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921066 */     // MIs[0] round
     /* 1921066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921069 */     // MIs[0] policy
     /* 1921069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1921074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1921084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1921093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921111 */     // GIR_Coverage, 16542,
     /* 1921111 */     GIR_EraseRootFromParent_Done,
     /* 1921112 */   // Label 25748: @1921112
     /* 1921112 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1921217), // Rule ID 16543 //
     /* 1921117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1921120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1921125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1921134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1921143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1921159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1921163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1921167 */     // MIs[1] Operand 1
     /* 1921167 */     // No operand predicates
     /* 1921167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921171 */     // MIs[0] round
     /* 1921171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921174 */     // MIs[0] policy
     /* 1921174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1921179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 1921189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1921198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921216 */     // GIR_Coverage, 16543,
     /* 1921216 */     GIR_EraseRootFromParent_Done,
     /* 1921217 */   // Label 25749: @1921217
     /* 1921217 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1921322), // Rule ID 16546 //
     /* 1921222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1921225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1921230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1921264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1921268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1921272 */     // MIs[1] Operand 1
     /* 1921272 */     // No operand predicates
     /* 1921272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921276 */     // MIs[0] round
     /* 1921276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921279 */     // MIs[0] policy
     /* 1921279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1921284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1921294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1921303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921321 */     // GIR_Coverage, 16546,
     /* 1921321 */     GIR_EraseRootFromParent_Done,
     /* 1921322 */   // Label 25750: @1921322
     /* 1921322 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1921427), // Rule ID 16547 //
     /* 1921327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1921330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1921335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1921344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1921353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1921369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1921373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1921377 */     // MIs[1] Operand 1
     /* 1921377 */     // No operand predicates
     /* 1921377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921381 */     // MIs[0] round
     /* 1921381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921384 */     // MIs[0] policy
     /* 1921384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1921389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 1921399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1921408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921426 */     // GIR_Coverage, 16547,
     /* 1921426 */     GIR_EraseRootFromParent_Done,
     /* 1921427 */   // Label 25751: @1921427
     /* 1921427 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1921514), // Rule ID 2626 //
     /* 1921432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1921435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1921449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921463 */     // MIs[0] passthru
     /* 1921463 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921476 */     // MIs[0] round
     /* 1921476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921479 */     // MIs[0] policy
     /* 1921479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921489 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 1921492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921513 */     // GIR_Coverage, 2626,
     /* 1921513 */     GIR_EraseRootFromParent_Done,
     /* 1921514 */   // Label 25752: @1921514
     /* 1921514 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1921601), // Rule ID 2627 //
     /* 1921519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1921522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1921530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1921533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1921536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1921542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921550 */     // MIs[0] passthru
     /* 1921550 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921563 */     // MIs[0] round
     /* 1921563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921566 */     // MIs[0] policy
     /* 1921566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921576 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 1921579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921600 */     // GIR_Coverage, 2627,
     /* 1921600 */     GIR_EraseRootFromParent_Done,
     /* 1921601 */   // Label 25753: @1921601
     /* 1921601 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1921688), // Rule ID 16998 //
     /* 1921606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1921609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1921623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921637 */     // MIs[0] passthru
     /* 1921637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921650 */     // MIs[0] round
     /* 1921650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921653 */     // MIs[0] policy
     /* 1921653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921663 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 1921666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921687 */     // GIR_Coverage, 16998,
     /* 1921687 */     GIR_EraseRootFromParent_Done,
     /* 1921688 */   // Label 25754: @1921688
     /* 1921688 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1921775), // Rule ID 16999 //
     /* 1921693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1921696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1921710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1921716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921724 */     // MIs[0] passthru
     /* 1921724 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921737 */     // MIs[0] round
     /* 1921737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921740 */     // MIs[0] policy
     /* 1921740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921750 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 1921753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921774 */     // GIR_Coverage, 16999,
     /* 1921774 */     GIR_EraseRootFromParent_Done,
     /* 1921775 */   // Label 25755: @1921775
     /* 1921775 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1921862), // Rule ID 17008 //
     /* 1921780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1921783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1921797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921811 */     // MIs[0] passthru
     /* 1921811 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921824 */     // MIs[0] round
     /* 1921824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921827 */     // MIs[0] policy
     /* 1921827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921837 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 1921840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921861 */     // GIR_Coverage, 17008,
     /* 1921861 */     GIR_EraseRootFromParent_Done,
     /* 1921862 */   // Label 25756: @1921862
     /* 1921862 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1921949), // Rule ID 17009 //
     /* 1921867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1921870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1921884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1921890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921898 */     // MIs[0] passthru
     /* 1921898 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921911 */     // MIs[0] round
     /* 1921911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1921914 */     // MIs[0] policy
     /* 1921914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1921917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921924 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 1921927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1921937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1921947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921948 */     // GIR_Coverage, 17009,
     /* 1921948 */     GIR_EraseRootFromParent_Done,
     /* 1921949 */   // Label 25757: @1921949
     /* 1921949 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1922036), // Rule ID 17018 //
     /* 1921954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1921957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1921962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1921971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1921977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921985 */     // MIs[0] passthru
     /* 1921985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1921990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921998 */     // MIs[0] round
     /* 1921998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922001 */     // MIs[0] policy
     /* 1922001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922011 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 1922014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922035 */     // GIR_Coverage, 17018,
     /* 1922035 */     GIR_EraseRootFromParent_Done,
     /* 1922036 */   // Label 25758: @1922036
     /* 1922036 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1922123), // Rule ID 17019 //
     /* 1922041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1922044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1922052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1922055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1922058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922072 */     // MIs[0] passthru
     /* 1922072 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922085 */     // MIs[0] round
     /* 1922085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922088 */     // MIs[0] policy
     /* 1922088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922098 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 1922101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922122 */     // GIR_Coverage, 17019,
     /* 1922122 */     GIR_EraseRootFromParent_Done,
     /* 1922123 */   // Label 25759: @1922123
     /* 1922123 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1922210), // Rule ID 17028 //
     /* 1922128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1922131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1922139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1922142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1922145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1922151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922159 */     // MIs[0] passthru
     /* 1922159 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922172 */     // MIs[0] round
     /* 1922172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922175 */     // MIs[0] policy
     /* 1922175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922185 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 1922188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922209 */     // GIR_Coverage, 17028,
     /* 1922209 */     GIR_EraseRootFromParent_Done,
     /* 1922210 */   // Label 25760: @1922210
     /* 1922210 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1922297), // Rule ID 17029 //
     /* 1922215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1922218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1922226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1922229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1922232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922246 */     // MIs[0] passthru
     /* 1922246 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922259 */     // MIs[0] round
     /* 1922259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922262 */     // MIs[0] policy
     /* 1922262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922272 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 1922275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922296 */     // GIR_Coverage, 17029,
     /* 1922296 */     GIR_EraseRootFromParent_Done,
     /* 1922297 */   // Label 25761: @1922297
     /* 1922297 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1922384), // Rule ID 17038 //
     /* 1922302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1922305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1922319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1922325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922333 */     // MIs[0] passthru
     /* 1922333 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922346 */     // MIs[0] round
     /* 1922346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922349 */     // MIs[0] policy
     /* 1922349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 1922362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922383 */     // GIR_Coverage, 17038,
     /* 1922383 */     GIR_EraseRootFromParent_Done,
     /* 1922384 */   // Label 25762: @1922384
     /* 1922384 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1922471), // Rule ID 17039 //
     /* 1922389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1922392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1922400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1922403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1922406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922420 */     // MIs[0] passthru
     /* 1922420 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922433 */     // MIs[0] round
     /* 1922433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922436 */     // MIs[0] policy
     /* 1922436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922446 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 1922449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922470 */     // GIR_Coverage, 17039,
     /* 1922470 */     GIR_EraseRootFromParent_Done,
     /* 1922471 */   // Label 25763: @1922471
     /* 1922471 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1922558), // Rule ID 17048 //
     /* 1922476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1922479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1922487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1922490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1922493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1922499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922507 */     // MIs[0] passthru
     /* 1922507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922520 */     // MIs[0] round
     /* 1922520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922523 */     // MIs[0] policy
     /* 1922523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 1922536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922557 */     // GIR_Coverage, 17048,
     /* 1922557 */     GIR_EraseRootFromParent_Done,
     /* 1922558 */   // Label 25764: @1922558
     /* 1922558 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1922645), // Rule ID 17049 //
     /* 1922563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1922566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1922574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1922577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1922580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922594 */     // MIs[0] passthru
     /* 1922594 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922607 */     // MIs[0] round
     /* 1922607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922610 */     // MIs[0] policy
     /* 1922610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 1922623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922644 */     // GIR_Coverage, 17049,
     /* 1922644 */     GIR_EraseRootFromParent_Done,
     /* 1922645 */   // Label 25765: @1922645
     /* 1922645 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1922732), // Rule ID 17058 //
     /* 1922650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1922653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1922667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1922673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922681 */     // MIs[0] passthru
     /* 1922681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922694 */     // MIs[0] round
     /* 1922694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922697 */     // MIs[0] policy
     /* 1922697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922707 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 1922710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922731 */     // GIR_Coverage, 17058,
     /* 1922731 */     GIR_EraseRootFromParent_Done,
     /* 1922732 */   // Label 25766: @1922732
     /* 1922732 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1922819), // Rule ID 17059 //
     /* 1922737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1922740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1922754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922768 */     // MIs[0] passthru
     /* 1922768 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922781 */     // MIs[0] round
     /* 1922781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922784 */     // MIs[0] policy
     /* 1922784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922794 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 1922797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922818 */     // GIR_Coverage, 17059,
     /* 1922818 */     GIR_EraseRootFromParent_Done,
     /* 1922819 */   // Label 25767: @1922819
     /* 1922819 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1922906), // Rule ID 17068 //
     /* 1922824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1922827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1922841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1922847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922855 */     // MIs[0] passthru
     /* 1922855 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922868 */     // MIs[0] round
     /* 1922868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922871 */     // MIs[0] policy
     /* 1922871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922881 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 1922884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922905 */     // GIR_Coverage, 17068,
     /* 1922905 */     GIR_EraseRootFromParent_Done,
     /* 1922906 */   // Label 25768: @1922906
     /* 1922906 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1922993), // Rule ID 17069 //
     /* 1922911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1922914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1922919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1922928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1922934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922942 */     // MIs[0] passthru
     /* 1922942 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1922947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922955 */     // MIs[0] round
     /* 1922955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1922958 */     // MIs[0] policy
     /* 1922958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1922961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922968 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 1922971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1922981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1922991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922992 */     // GIR_Coverage, 17069,
     /* 1922992 */     GIR_EraseRootFromParent_Done,
     /* 1922993 */   // Label 25769: @1922993
     /* 1922993 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1923080), // Rule ID 17114 //
     /* 1922998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1923001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1923015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923029 */     // MIs[0] passthru
     /* 1923029 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923042 */     // MIs[0] round
     /* 1923042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923045 */     // MIs[0] policy
     /* 1923045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923055 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 1923058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923079 */     // GIR_Coverage, 17114,
     /* 1923079 */     GIR_EraseRootFromParent_Done,
     /* 1923080 */   // Label 25770: @1923080
     /* 1923080 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1923167), // Rule ID 17115 //
     /* 1923085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1923088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1923102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923116 */     // MIs[0] passthru
     /* 1923116 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923129 */     // MIs[0] round
     /* 1923129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923132 */     // MIs[0] policy
     /* 1923132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923142 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 1923145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923166 */     // GIR_Coverage, 17115,
     /* 1923166 */     GIR_EraseRootFromParent_Done,
     /* 1923167 */   // Label 25771: @1923167
     /* 1923167 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1923254), // Rule ID 17124 //
     /* 1923172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1923175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1923189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923203 */     // MIs[0] passthru
     /* 1923203 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923216 */     // MIs[0] round
     /* 1923216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923219 */     // MIs[0] policy
     /* 1923219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 1923232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923253 */     // GIR_Coverage, 17124,
     /* 1923253 */     GIR_EraseRootFromParent_Done,
     /* 1923254 */   // Label 25772: @1923254
     /* 1923254 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1923341), // Rule ID 17125 //
     /* 1923259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1923262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1923276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923290 */     // MIs[0] passthru
     /* 1923290 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923303 */     // MIs[0] round
     /* 1923303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923306 */     // MIs[0] policy
     /* 1923306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 1923319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923340 */     // GIR_Coverage, 17125,
     /* 1923340 */     GIR_EraseRootFromParent_Done,
     /* 1923341 */   // Label 25773: @1923341
     /* 1923341 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1923428), // Rule ID 17134 //
     /* 1923346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1923349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1923363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923377 */     // MIs[0] passthru
     /* 1923377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923390 */     // MIs[0] round
     /* 1923390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923393 */     // MIs[0] policy
     /* 1923393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 1923406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923427 */     // GIR_Coverage, 17134,
     /* 1923427 */     GIR_EraseRootFromParent_Done,
     /* 1923428 */   // Label 25774: @1923428
     /* 1923428 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1923515), // Rule ID 17135 //
     /* 1923433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1923436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1923450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923464 */     // MIs[0] passthru
     /* 1923464 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923477 */     // MIs[0] round
     /* 1923477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923480 */     // MIs[0] policy
     /* 1923480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923490 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 1923493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923514 */     // GIR_Coverage, 17135,
     /* 1923514 */     GIR_EraseRootFromParent_Done,
     /* 1923515 */   // Label 25775: @1923515
     /* 1923515 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1923602), // Rule ID 17144 //
     /* 1923520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1923523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1923537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923551 */     // MIs[0] passthru
     /* 1923551 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923564 */     // MIs[0] round
     /* 1923564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923567 */     // MIs[0] policy
     /* 1923567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923577 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 1923580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923601 */     // GIR_Coverage, 17144,
     /* 1923601 */     GIR_EraseRootFromParent_Done,
     /* 1923602 */   // Label 25776: @1923602
     /* 1923602 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1923689), // Rule ID 17145 //
     /* 1923607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1923610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1923618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1923621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1923624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923638 */     // MIs[0] passthru
     /* 1923638 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923651 */     // MIs[0] round
     /* 1923651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923654 */     // MIs[0] policy
     /* 1923654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 1923667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923688 */     // GIR_Coverage, 17145,
     /* 1923688 */     GIR_EraseRootFromParent_Done,
     /* 1923689 */   // Label 25777: @1923689
     /* 1923689 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1923776), // Rule ID 17154 //
     /* 1923694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1923697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1923711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923725 */     // MIs[0] passthru
     /* 1923725 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923738 */     // MIs[0] round
     /* 1923738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923741 */     // MIs[0] policy
     /* 1923741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923751 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 1923754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923775 */     // GIR_Coverage, 17154,
     /* 1923775 */     GIR_EraseRootFromParent_Done,
     /* 1923776 */   // Label 25778: @1923776
     /* 1923776 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1923863), // Rule ID 17155 //
     /* 1923781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1923784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1923798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923812 */     // MIs[0] passthru
     /* 1923812 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923825 */     // MIs[0] round
     /* 1923825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923828 */     // MIs[0] policy
     /* 1923828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923838 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 1923841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923862 */     // GIR_Coverage, 17155,
     /* 1923862 */     GIR_EraseRootFromParent_Done,
     /* 1923863 */   // Label 25779: @1923863
     /* 1923863 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1923950), // Rule ID 17164 //
     /* 1923868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1923871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1923885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1923891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923899 */     // MIs[0] passthru
     /* 1923899 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923912 */     // MIs[0] round
     /* 1923912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1923915 */     // MIs[0] policy
     /* 1923915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1923918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923925 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 1923928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1923938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1923948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923949 */     // GIR_Coverage, 17164,
     /* 1923949 */     GIR_EraseRootFromParent_Done,
     /* 1923950 */   // Label 25780: @1923950
     /* 1923950 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1924037), // Rule ID 17165 //
     /* 1923955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1923958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1923963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1923972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1923978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923986 */     // MIs[0] passthru
     /* 1923986 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1923991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923999 */     // MIs[0] round
     /* 1923999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924002 */     // MIs[0] policy
     /* 1924002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 1924015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924036 */     // GIR_Coverage, 17165,
     /* 1924036 */     GIR_EraseRootFromParent_Done,
     /* 1924037 */   // Label 25781: @1924037
     /* 1924037 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1924124), // Rule ID 17174 //
     /* 1924042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1924045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1924059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924073 */     // MIs[0] passthru
     /* 1924073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924086 */     // MIs[0] round
     /* 1924086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924089 */     // MIs[0] policy
     /* 1924089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924099 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 1924102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924123 */     // GIR_Coverage, 17174,
     /* 1924123 */     GIR_EraseRootFromParent_Done,
     /* 1924124 */   // Label 25782: @1924124
     /* 1924124 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1924211), // Rule ID 17175 //
     /* 1924129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1924132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1924146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1924152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924160 */     // MIs[0] passthru
     /* 1924160 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924173 */     // MIs[0] round
     /* 1924173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924176 */     // MIs[0] policy
     /* 1924176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924186 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 1924189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924210 */     // GIR_Coverage, 17175,
     /* 1924210 */     GIR_EraseRootFromParent_Done,
     /* 1924211 */   // Label 25783: @1924211
     /* 1924211 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1924298), // Rule ID 17184 //
     /* 1924216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1924219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1924233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924247 */     // MIs[0] passthru
     /* 1924247 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924260 */     // MIs[0] round
     /* 1924260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924263 */     // MIs[0] policy
     /* 1924263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 1924276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924297 */     // GIR_Coverage, 17184,
     /* 1924297 */     GIR_EraseRootFromParent_Done,
     /* 1924298 */   // Label 25784: @1924298
     /* 1924298 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1924385), // Rule ID 17185 //
     /* 1924303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1924306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1924320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1924326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924334 */     // MIs[0] passthru
     /* 1924334 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924347 */     // MIs[0] round
     /* 1924347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924350 */     // MIs[0] policy
     /* 1924350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 1924363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924384 */     // GIR_Coverage, 17185,
     /* 1924384 */     GIR_EraseRootFromParent_Done,
     /* 1924385 */   // Label 25785: @1924385
     /* 1924385 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1924472), // Rule ID 17194 //
     /* 1924390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1924393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1924407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924421 */     // MIs[0] passthru
     /* 1924421 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924434 */     // MIs[0] round
     /* 1924434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924437 */     // MIs[0] policy
     /* 1924437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924447 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 1924450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924471 */     // GIR_Coverage, 17194,
     /* 1924471 */     GIR_EraseRootFromParent_Done,
     /* 1924472 */   // Label 25786: @1924472
     /* 1924472 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1924559), // Rule ID 17195 //
     /* 1924477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1924480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 1924485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1924494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1924500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924508 */     // MIs[0] passthru
     /* 1924508 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1924513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924521 */     // MIs[0] round
     /* 1924521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924524 */     // MIs[0] policy
     /* 1924524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924534 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 1924537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924558 */     // GIR_Coverage, 17195,
     /* 1924558 */     GIR_EraseRootFromParent_Done,
     /* 1924559 */   // Label 25787: @1924559
     /* 1924559 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1924650), // Rule ID 2584 //
     /* 1924564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1924572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1924584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924610 */     // MIs[0] round
     /* 1924610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924613 */     // MIs[0] policy
     /* 1924613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924623 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 1924626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924649 */     // GIR_Coverage, 2584,
     /* 1924649 */     GIR_EraseRootFromParent_Done,
     /* 1924650 */   // Label 25788: @1924650
     /* 1924650 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1924741), // Rule ID 2585 //
     /* 1924655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1924663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1924675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1924681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924701 */     // MIs[0] round
     /* 1924701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924704 */     // MIs[0] policy
     /* 1924704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 1924717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924740 */     // GIR_Coverage, 2585,
     /* 1924740 */     GIR_EraseRootFromParent_Done,
     /* 1924741 */   // Label 25789: @1924741
     /* 1924741 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1924832), // Rule ID 2628 //
     /* 1924746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1924749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1924754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1924757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1924760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1924763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1924766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924792 */     // MIs[0] round
     /* 1924792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924795 */     // MIs[0] policy
     /* 1924795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924805 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 1924808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924831 */     // GIR_Coverage, 2628,
     /* 1924831 */     GIR_EraseRootFromParent_Done,
     /* 1924832 */   // Label 25790: @1924832
     /* 1924832 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1924923), // Rule ID 2629 //
     /* 1924837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1924840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 1924845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1924848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1924851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1924854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1924857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1924863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924883 */     // MIs[0] round
     /* 1924883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924886 */     // MIs[0] policy
     /* 1924886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 1924899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1924911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1924921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924922 */     // GIR_Coverage, 2629,
     /* 1924922 */     GIR_EraseRootFromParent_Done,
     /* 1924923 */   // Label 25791: @1924923
     /* 1924923 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1925014), // Rule ID 2636 //
     /* 1924928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1924931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 1924936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1924939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1924942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1924945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1924948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1924954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924974 */     // MIs[0] round
     /* 1924974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1924977 */     // MIs[0] policy
     /* 1924977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1924980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924987 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 1924990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925013 */     // GIR_Coverage, 2636,
     /* 1925013 */     GIR_EraseRootFromParent_Done,
     /* 1925014 */   // Label 25792: @1925014
     /* 1925014 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1925105), // Rule ID 2637 //
     /* 1925019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1925022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 1925027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1925039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925065 */     // MIs[0] round
     /* 1925065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925068 */     // MIs[0] policy
     /* 1925068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925078 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 1925081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925104 */     // GIR_Coverage, 2637,
     /* 1925104 */     GIR_EraseRootFromParent_Done,
     /* 1925105 */   // Label 25793: @1925105
     /* 1925105 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1925196), // Rule ID 14786 //
     /* 1925110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1925130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1925136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925156 */     // MIs[0] round
     /* 1925156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925159 */     // MIs[0] policy
     /* 1925159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925169 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 1925172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925195 */     // GIR_Coverage, 14786,
     /* 1925195 */     GIR_EraseRootFromParent_Done,
     /* 1925196 */   // Label 25794: @1925196
     /* 1925196 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1925287), // Rule ID 14787 //
     /* 1925201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1925221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925247 */     // MIs[0] round
     /* 1925247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925250 */     // MIs[0] policy
     /* 1925250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 1925263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925286 */     // GIR_Coverage, 14787,
     /* 1925286 */     GIR_EraseRootFromParent_Done,
     /* 1925287 */   // Label 25795: @1925287
     /* 1925287 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1925378), // Rule ID 14790 //
     /* 1925292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1925312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1925318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925338 */     // MIs[0] round
     /* 1925338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925341 */     // MIs[0] policy
     /* 1925341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925377 */     // GIR_Coverage, 14790,
     /* 1925377 */     GIR_EraseRootFromParent_Done,
     /* 1925378 */   // Label 25796: @1925378
     /* 1925378 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1925469), // Rule ID 14791 //
     /* 1925383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1925403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925429 */     // MIs[0] round
     /* 1925429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925432 */     // MIs[0] policy
     /* 1925432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925442 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925468 */     // GIR_Coverage, 14791,
     /* 1925468 */     GIR_EraseRootFromParent_Done,
     /* 1925469 */   // Label 25797: @1925469
     /* 1925469 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1925560), // Rule ID 14794 //
     /* 1925474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1925494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1925500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925520 */     // MIs[0] round
     /* 1925520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925523 */     // MIs[0] policy
     /* 1925523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 1925536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925559 */     // GIR_Coverage, 14794,
     /* 1925559 */     GIR_EraseRootFromParent_Done,
     /* 1925560 */   // Label 25798: @1925560
     /* 1925560 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1925651), // Rule ID 14795 //
     /* 1925565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1925585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925611 */     // MIs[0] round
     /* 1925611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925614 */     // MIs[0] policy
     /* 1925614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 1925627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925650 */     // GIR_Coverage, 14795,
     /* 1925650 */     GIR_EraseRootFromParent_Done,
     /* 1925651 */   // Label 25799: @1925651
     /* 1925651 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1925742), // Rule ID 14798 //
     /* 1925656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1925676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1925682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925702 */     // MIs[0] round
     /* 1925702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925705 */     // MIs[0] policy
     /* 1925705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925715 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925741 */     // GIR_Coverage, 14798,
     /* 1925741 */     GIR_EraseRootFromParent_Done,
     /* 1925742 */   // Label 25800: @1925742
     /* 1925742 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1925833), // Rule ID 14799 //
     /* 1925747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1925767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925793 */     // MIs[0] round
     /* 1925793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925796 */     // MIs[0] policy
     /* 1925796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925832 */     // GIR_Coverage, 14799,
     /* 1925832 */     GIR_EraseRootFromParent_Done,
     /* 1925833 */   // Label 25801: @1925833
     /* 1925833 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1925924), // Rule ID 14802 //
     /* 1925838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1925858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1925864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925884 */     // MIs[0] round
     /* 1925884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925887 */     // MIs[0] policy
     /* 1925887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1925912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1925922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925923 */     // GIR_Coverage, 14802,
     /* 1925923 */     GIR_EraseRootFromParent_Done,
     /* 1925924 */   // Label 25802: @1925924
     /* 1925924 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1926015), // Rule ID 14803 //
     /* 1925929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1925937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1925949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1925955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925975 */     // MIs[0] round
     /* 1925975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1925978 */     // MIs[0] policy
     /* 1925978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1925981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 1925991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926014 */     // GIR_Coverage, 14803,
     /* 1926014 */     GIR_EraseRootFromParent_Done,
     /* 1926015 */   // Label 25803: @1926015
     /* 1926015 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1926106), // Rule ID 14806 //
     /* 1926020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1926040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926066 */     // MIs[0] round
     /* 1926066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926069 */     // MIs[0] policy
     /* 1926069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926079 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926105 */     // GIR_Coverage, 14806,
     /* 1926105 */     GIR_EraseRootFromParent_Done,
     /* 1926106 */   // Label 25804: @1926106
     /* 1926106 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1926197), // Rule ID 14807 //
     /* 1926111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1926131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1926137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926157 */     // MIs[0] round
     /* 1926157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926160 */     // MIs[0] policy
     /* 1926160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926196 */     // GIR_Coverage, 14807,
     /* 1926196 */     GIR_EraseRootFromParent_Done,
     /* 1926197 */   // Label 25805: @1926197
     /* 1926197 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1926288), // Rule ID 14810 //
     /* 1926202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1926222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926248 */     // MIs[0] round
     /* 1926248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926251 */     // MIs[0] policy
     /* 1926251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926287 */     // GIR_Coverage, 14810,
     /* 1926287 */     GIR_EraseRootFromParent_Done,
     /* 1926288 */   // Label 25806: @1926288
     /* 1926288 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1926379), // Rule ID 14811 //
     /* 1926293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1926313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1926319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926339 */     // MIs[0] round
     /* 1926339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926342 */     // MIs[0] policy
     /* 1926342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926378 */     // GIR_Coverage, 14811,
     /* 1926378 */     GIR_EraseRootFromParent_Done,
     /* 1926379 */   // Label 25807: @1926379
     /* 1926379 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1926470), // Rule ID 14814 //
     /* 1926384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1926404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926430 */     // MIs[0] round
     /* 1926430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926433 */     // MIs[0] policy
     /* 1926433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926469 */     // GIR_Coverage, 14814,
     /* 1926469 */     GIR_EraseRootFromParent_Done,
     /* 1926470 */   // Label 25808: @1926470
     /* 1926470 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1926561), // Rule ID 14815 //
     /* 1926475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1926495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1926501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926521 */     // MIs[0] round
     /* 1926521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926524 */     // MIs[0] policy
     /* 1926524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926560 */     // GIR_Coverage, 14815,
     /* 1926560 */     GIR_EraseRootFromParent_Done,
     /* 1926561 */   // Label 25809: @1926561
     /* 1926561 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1926652), // Rule ID 14818 //
     /* 1926566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1926586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926612 */     // MIs[0] round
     /* 1926612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926615 */     // MIs[0] policy
     /* 1926615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926651 */     // GIR_Coverage, 14818,
     /* 1926651 */     GIR_EraseRootFromParent_Done,
     /* 1926652 */   // Label 25810: @1926652
     /* 1926652 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1926743), // Rule ID 14819 //
     /* 1926657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1926677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1926683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926703 */     // MIs[0] round
     /* 1926703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926706 */     // MIs[0] policy
     /* 1926706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 1926719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926742 */     // GIR_Coverage, 14819,
     /* 1926742 */     GIR_EraseRootFromParent_Done,
     /* 1926743 */   // Label 25811: @1926743
     /* 1926743 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1926834), // Rule ID 14822 //
     /* 1926748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1926768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926794 */     // MIs[0] round
     /* 1926794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926797 */     // MIs[0] policy
     /* 1926797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926807 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1926810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926833 */     // GIR_Coverage, 14822,
     /* 1926833 */     GIR_EraseRootFromParent_Done,
     /* 1926834 */   // Label 25812: @1926834
     /* 1926834 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1926925), // Rule ID 14823 //
     /* 1926839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1926859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1926865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926885 */     // MIs[0] round
     /* 1926885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926888 */     // MIs[0] policy
     /* 1926888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1926901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1926913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1926923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926924 */     // GIR_Coverage, 14823,
     /* 1926924 */     GIR_EraseRootFromParent_Done,
     /* 1926925 */   // Label 25813: @1926925
     /* 1926925 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1927016), // Rule ID 14826 //
     /* 1926930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1926938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1926950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1926956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926976 */     // MIs[0] round
     /* 1926976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1926979 */     // MIs[0] policy
     /* 1926979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1926982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926989 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1926992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927015 */     // GIR_Coverage, 14826,
     /* 1927015 */     GIR_EraseRootFromParent_Done,
     /* 1927016 */   // Label 25814: @1927016
     /* 1927016 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1927107), // Rule ID 14827 //
     /* 1927021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1927032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1927035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1927038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1927041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927067 */     // MIs[0] round
     /* 1927067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927070 */     // MIs[0] policy
     /* 1927070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1927083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927106 */     // GIR_Coverage, 14827,
     /* 1927106 */     GIR_EraseRootFromParent_Done,
     /* 1927107 */   // Label 25815: @1927107
     /* 1927107 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1927198), // Rule ID 14830 //
     /* 1927112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1927132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1927138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927158 */     // MIs[0] round
     /* 1927158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927161 */     // MIs[0] policy
     /* 1927161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1927174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927197 */     // GIR_Coverage, 14830,
     /* 1927197 */     GIR_EraseRootFromParent_Done,
     /* 1927198 */   // Label 25816: @1927198
     /* 1927198 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1927289), // Rule ID 14831 //
     /* 1927203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1927223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927249 */     // MIs[0] round
     /* 1927249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927252 */     // MIs[0] policy
     /* 1927252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927262 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1927265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927288 */     // GIR_Coverage, 14831,
     /* 1927288 */     GIR_EraseRootFromParent_Done,
     /* 1927289 */   // Label 25817: @1927289
     /* 1927289 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1927380), // Rule ID 14834 //
     /* 1927294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1927314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1927320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927340 */     // MIs[0] round
     /* 1927340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927343 */     // MIs[0] policy
     /* 1927343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1927356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927379 */     // GIR_Coverage, 14834,
     /* 1927379 */     GIR_EraseRootFromParent_Done,
     /* 1927380 */   // Label 25818: @1927380
     /* 1927380 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1927471), // Rule ID 14835 //
     /* 1927385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1927405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927431 */     // MIs[0] round
     /* 1927431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927434 */     // MIs[0] policy
     /* 1927434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1927447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927470 */     // GIR_Coverage, 14835,
     /* 1927470 */     GIR_EraseRootFromParent_Done,
     /* 1927471 */   // Label 25819: @1927471
     /* 1927471 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1927562), // Rule ID 14838 //
     /* 1927476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1927496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1927502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927522 */     // MIs[0] round
     /* 1927522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927525 */     // MIs[0] policy
     /* 1927525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927535 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1927538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927561 */     // GIR_Coverage, 14838,
     /* 1927561 */     GIR_EraseRootFromParent_Done,
     /* 1927562 */   // Label 25820: @1927562
     /* 1927562 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1927653), // Rule ID 14839 //
     /* 1927567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1927587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927613 */     // MIs[0] round
     /* 1927613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927616 */     // MIs[0] policy
     /* 1927616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1927629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927652 */     // GIR_Coverage, 14839,
     /* 1927652 */     GIR_EraseRootFromParent_Done,
     /* 1927653 */   // Label 25821: @1927653
     /* 1927653 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1927744), // Rule ID 14842 //
     /* 1927658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1927678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1927684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927704 */     // MIs[0] round
     /* 1927704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927707 */     // MIs[0] policy
     /* 1927707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1927720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927743 */     // GIR_Coverage, 14842,
     /* 1927743 */     GIR_EraseRootFromParent_Done,
     /* 1927744 */   // Label 25822: @1927744
     /* 1927744 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1927835), // Rule ID 14843 //
     /* 1927749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1927769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927795 */     // MIs[0] round
     /* 1927795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927798 */     // MIs[0] policy
     /* 1927798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1927811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927834 */     // GIR_Coverage, 14843,
     /* 1927834 */     GIR_EraseRootFromParent_Done,
     /* 1927835 */   // Label 25823: @1927835
     /* 1927835 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1927926), // Rule ID 14846 //
     /* 1927840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1927860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1927866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927886 */     // MIs[0] round
     /* 1927886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927889 */     // MIs[0] policy
     /* 1927889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1927902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1927914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1927924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927925 */     // GIR_Coverage, 14846,
     /* 1927925 */     GIR_EraseRootFromParent_Done,
     /* 1927926 */   // Label 25824: @1927926
     /* 1927926 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1928017), // Rule ID 14847 //
     /* 1927931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1927939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1927951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1927957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927977 */     // MIs[0] round
     /* 1927977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1927980 */     // MIs[0] policy
     /* 1927980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1927983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1927993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928016 */     // GIR_Coverage, 14847,
     /* 1928016 */     GIR_EraseRootFromParent_Done,
     /* 1928017 */   // Label 25825: @1928017
     /* 1928017 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1928108), // Rule ID 14850 //
     /* 1928022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1928042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928068 */     // MIs[0] round
     /* 1928068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928071 */     // MIs[0] policy
     /* 1928071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1928084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928107 */     // GIR_Coverage, 14850,
     /* 1928107 */     GIR_EraseRootFromParent_Done,
     /* 1928108 */   // Label 25826: @1928108
     /* 1928108 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1928199), // Rule ID 14851 //
     /* 1928113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1928124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1928127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1928130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1928133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1928139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928159 */     // MIs[0] round
     /* 1928159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928162 */     // MIs[0] policy
     /* 1928162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1928175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928198 */     // GIR_Coverage, 14851,
     /* 1928198 */     GIR_EraseRootFromParent_Done,
     /* 1928199 */   // Label 25827: @1928199
     /* 1928199 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1928290), // Rule ID 14854 //
     /* 1928204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1928224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928250 */     // MIs[0] round
     /* 1928250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928253 */     // MIs[0] policy
     /* 1928253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928263 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1928266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928289 */     // GIR_Coverage, 14854,
     /* 1928289 */     GIR_EraseRootFromParent_Done,
     /* 1928290 */   // Label 25828: @1928290
     /* 1928290 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1928381), // Rule ID 14855 //
     /* 1928295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1928315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1928321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928341 */     // MIs[0] round
     /* 1928341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928344 */     // MIs[0] policy
     /* 1928344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1928357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928380 */     // GIR_Coverage, 14855,
     /* 1928380 */     GIR_EraseRootFromParent_Done,
     /* 1928381 */   // Label 25829: @1928381
     /* 1928381 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1928472), // Rule ID 14858 //
     /* 1928386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1928406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928432 */     // MIs[0] round
     /* 1928432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928435 */     // MIs[0] policy
     /* 1928435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928445 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1928448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928471 */     // GIR_Coverage, 14858,
     /* 1928471 */     GIR_EraseRootFromParent_Done,
     /* 1928472 */   // Label 25830: @1928472
     /* 1928472 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1928563), // Rule ID 14859 //
     /* 1928477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1928497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1928503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928523 */     // MIs[0] round
     /* 1928523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928526 */     // MIs[0] policy
     /* 1928526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 1928539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928562 */     // GIR_Coverage, 14859,
     /* 1928562 */     GIR_EraseRootFromParent_Done,
     /* 1928563 */   // Label 25831: @1928563
     /* 1928563 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1928654), // Rule ID 14862 //
     /* 1928568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1928588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928614 */     // MIs[0] round
     /* 1928614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928617 */     // MIs[0] policy
     /* 1928617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1928630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928653 */     // GIR_Coverage, 14862,
     /* 1928653 */     GIR_EraseRootFromParent_Done,
     /* 1928654 */   // Label 25832: @1928654
     /* 1928654 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1928745), // Rule ID 14863 //
     /* 1928659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1928679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1928685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928705 */     // MIs[0] round
     /* 1928705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928708 */     // MIs[0] policy
     /* 1928708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 1928721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928744 */     // GIR_Coverage, 14863,
     /* 1928744 */     GIR_EraseRootFromParent_Done,
     /* 1928745 */   // Label 25833: @1928745
     /* 1928745 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1928836), // Rule ID 14866 //
     /* 1928750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1928770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928796 */     // MIs[0] round
     /* 1928796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928799 */     // MIs[0] policy
     /* 1928799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1928812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928835 */     // GIR_Coverage, 14866,
     /* 1928835 */     GIR_EraseRootFromParent_Done,
     /* 1928836 */   // Label 25834: @1928836
     /* 1928836 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1928927), // Rule ID 14867 //
     /* 1928841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1928861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1928867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928887 */     // MIs[0] round
     /* 1928887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928890 */     // MIs[0] policy
     /* 1928890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 1928903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1928915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1928925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928926 */     // GIR_Coverage, 14867,
     /* 1928926 */     GIR_EraseRootFromParent_Done,
     /* 1928927 */   // Label 25835: @1928927
     /* 1928927 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1929018), // Rule ID 14870 //
     /* 1928932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1928940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1928943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1928946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1928949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1928958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928978 */     // MIs[0] round
     /* 1928978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1928981 */     // MIs[0] policy
     /* 1928981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1928984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928991 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 1928994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929017 */     // GIR_Coverage, 14870,
     /* 1929017 */     GIR_EraseRootFromParent_Done,
     /* 1929018 */   // Label 25836: @1929018
     /* 1929018 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1929109), // Rule ID 14871 //
     /* 1929023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1929034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1929037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1929040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929069 */     // MIs[0] round
     /* 1929069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929072 */     // MIs[0] policy
     /* 1929072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 1929085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929108 */     // GIR_Coverage, 14871,
     /* 1929108 */     GIR_EraseRootFromParent_Done,
     /* 1929109 */   // Label 25837: @1929109
     /* 1929109 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1929200), // Rule ID 14874 //
     /* 1929114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1929125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1929128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1929131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1929140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929160 */     // MIs[0] round
     /* 1929160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929163 */     // MIs[0] policy
     /* 1929163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 1929176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929199 */     // GIR_Coverage, 14874,
     /* 1929199 */     GIR_EraseRootFromParent_Done,
     /* 1929200 */   // Label 25838: @1929200
     /* 1929200 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1929291), // Rule ID 14875 //
     /* 1929205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1929216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1929219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1929222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929251 */     // MIs[0] round
     /* 1929251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929254 */     // MIs[0] policy
     /* 1929254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 1929267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929290 */     // GIR_Coverage, 14875,
     /* 1929290 */     GIR_EraseRootFromParent_Done,
     /* 1929291 */   // Label 25839: @1929291
     /* 1929291 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1929382), // Rule ID 14878 //
     /* 1929296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1929322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929342 */     // MIs[0] round
     /* 1929342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929345 */     // MIs[0] policy
     /* 1929345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929355 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929381 */     // GIR_Coverage, 14878,
     /* 1929381 */     GIR_EraseRootFromParent_Done,
     /* 1929382 */   // Label 25840: @1929382
     /* 1929382 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1929473), // Rule ID 14879 //
     /* 1929387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929433 */     // MIs[0] round
     /* 1929433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929436 */     // MIs[0] policy
     /* 1929436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929446 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929472 */     // GIR_Coverage, 14879,
     /* 1929472 */     GIR_EraseRootFromParent_Done,
     /* 1929473 */   // Label 25841: @1929473
     /* 1929473 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1929564), // Rule ID 14882 //
     /* 1929478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1929504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929524 */     // MIs[0] round
     /* 1929524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929527 */     // MIs[0] policy
     /* 1929527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929537 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 1929540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929563 */     // GIR_Coverage, 14882,
     /* 1929563 */     GIR_EraseRootFromParent_Done,
     /* 1929564 */   // Label 25842: @1929564
     /* 1929564 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1929655), // Rule ID 14883 //
     /* 1929569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929615 */     // MIs[0] round
     /* 1929615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929618 */     // MIs[0] policy
     /* 1929618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 1929631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929654 */     // GIR_Coverage, 14883,
     /* 1929654 */     GIR_EraseRootFromParent_Done,
     /* 1929655 */   // Label 25843: @1929655
     /* 1929655 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1929746), // Rule ID 14886 //
     /* 1929660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1929686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929706 */     // MIs[0] round
     /* 1929706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929709 */     // MIs[0] policy
     /* 1929709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929745 */     // GIR_Coverage, 14886,
     /* 1929745 */     GIR_EraseRootFromParent_Done,
     /* 1929746 */   // Label 25844: @1929746
     /* 1929746 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1929837), // Rule ID 14887 //
     /* 1929751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929797 */     // MIs[0] round
     /* 1929797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929800 */     // MIs[0] policy
     /* 1929800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929836 */     // GIR_Coverage, 14887,
     /* 1929836 */     GIR_EraseRootFromParent_Done,
     /* 1929837 */   // Label 25845: @1929837
     /* 1929837 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1929928), // Rule ID 14890 //
     /* 1929842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1929868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929888 */     // MIs[0] round
     /* 1929888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929891 */     // MIs[0] policy
     /* 1929891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1929916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1929926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929927 */     // GIR_Coverage, 14890,
     /* 1929927 */     GIR_EraseRootFromParent_Done,
     /* 1929928 */   // Label 25846: @1929928
     /* 1929928 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1930019), // Rule ID 14891 //
     /* 1929933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1929941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1929959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929979 */     // MIs[0] round
     /* 1929979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1929982 */     // MIs[0] policy
     /* 1929982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1929985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 1929995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930018 */     // GIR_Coverage, 14891,
     /* 1930018 */     GIR_EraseRootFromParent_Done,
     /* 1930019 */   // Label 25847: @1930019
     /* 1930019 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1930110), // Rule ID 14894 //
     /* 1930024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1930035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1930038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1930041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930070 */     // MIs[0] round
     /* 1930070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930073 */     // MIs[0] policy
     /* 1930073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930109 */     // GIR_Coverage, 14894,
     /* 1930109 */     GIR_EraseRootFromParent_Done,
     /* 1930110 */   // Label 25848: @1930110
     /* 1930110 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1930201), // Rule ID 14895 //
     /* 1930115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1930126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1930129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1930132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1930141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930161 */     // MIs[0] round
     /* 1930161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930164 */     // MIs[0] policy
     /* 1930164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930200 */     // GIR_Coverage, 14895,
     /* 1930200 */     GIR_EraseRootFromParent_Done,
     /* 1930201 */   // Label 25849: @1930201
     /* 1930201 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1930292), // Rule ID 14898 //
     /* 1930206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930252 */     // MIs[0] round
     /* 1930252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930255 */     // MIs[0] policy
     /* 1930255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930265 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930291 */     // GIR_Coverage, 14898,
     /* 1930291 */     GIR_EraseRootFromParent_Done,
     /* 1930292 */   // Label 25850: @1930292
     /* 1930292 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1930383), // Rule ID 14899 //
     /* 1930297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1930323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930343 */     // MIs[0] round
     /* 1930343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930346 */     // MIs[0] policy
     /* 1930346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930382 */     // GIR_Coverage, 14899,
     /* 1930382 */     GIR_EraseRootFromParent_Done,
     /* 1930383 */   // Label 25851: @1930383
     /* 1930383 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1930474), // Rule ID 14902 //
     /* 1930388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930434 */     // MIs[0] round
     /* 1930434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930437 */     // MIs[0] policy
     /* 1930437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930473 */     // GIR_Coverage, 14902,
     /* 1930473 */     GIR_EraseRootFromParent_Done,
     /* 1930474 */   // Label 25852: @1930474
     /* 1930474 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1930565), // Rule ID 14903 //
     /* 1930479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1930505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930525 */     // MIs[0] round
     /* 1930525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930528 */     // MIs[0] policy
     /* 1930528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930564 */     // GIR_Coverage, 14903,
     /* 1930564 */     GIR_EraseRootFromParent_Done,
     /* 1930565 */   // Label 25853: @1930565
     /* 1930565 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1930656), // Rule ID 14906 //
     /* 1930570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1930573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930616 */     // MIs[0] round
     /* 1930616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930619 */     // MIs[0] policy
     /* 1930619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930655 */     // GIR_Coverage, 14906,
     /* 1930655 */     GIR_EraseRootFromParent_Done,
     /* 1930656 */   // Label 25854: @1930656
     /* 1930656 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1930747), // Rule ID 14907 //
     /* 1930661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1930664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1930687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930707 */     // MIs[0] round
     /* 1930707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930710 */     // MIs[0] policy
     /* 1930710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 1930723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930746 */     // GIR_Coverage, 14907,
     /* 1930746 */     GIR_EraseRootFromParent_Done,
     /* 1930747 */   // Label 25855: @1930747
     /* 1930747 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1930838), // Rule ID 14910 //
     /* 1930752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930798 */     // MIs[0] round
     /* 1930798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930801 */     // MIs[0] policy
     /* 1930801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1930814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930837 */     // GIR_Coverage, 14910,
     /* 1930837 */     GIR_EraseRootFromParent_Done,
     /* 1930838 */   // Label 25856: @1930838
     /* 1930838 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1930929), // Rule ID 14911 //
     /* 1930843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1930869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930889 */     // MIs[0] round
     /* 1930889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930892 */     // MIs[0] policy
     /* 1930892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1930905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1930917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1930927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930928 */     // GIR_Coverage, 14911,
     /* 1930928 */     GIR_EraseRootFromParent_Done,
     /* 1930929 */   // Label 25857: @1930929
     /* 1930929 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1931020), // Rule ID 14914 //
     /* 1930934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1930942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1930945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1930948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1930951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1930960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930980 */     // MIs[0] round
     /* 1930980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1930983 */     // MIs[0] policy
     /* 1930983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1930986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1930996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931019 */     // GIR_Coverage, 14914,
     /* 1931019 */     GIR_EraseRootFromParent_Done,
     /* 1931020 */   // Label 25858: @1931020
     /* 1931020 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1931111), // Rule ID 14915 //
     /* 1931025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1931036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1931039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1931042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931071 */     // MIs[0] round
     /* 1931071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931074 */     // MIs[0] policy
     /* 1931074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1931087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931110 */     // GIR_Coverage, 14915,
     /* 1931110 */     GIR_EraseRootFromParent_Done,
     /* 1931111 */   // Label 25859: @1931111
     /* 1931111 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1931202), // Rule ID 14918 //
     /* 1931116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1931127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1931130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1931133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1931139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1931142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931162 */     // MIs[0] round
     /* 1931162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931165 */     // MIs[0] policy
     /* 1931165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931175 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1931178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931201 */     // GIR_Coverage, 14918,
     /* 1931201 */     GIR_EraseRootFromParent_Done,
     /* 1931202 */   // Label 25860: @1931202
     /* 1931202 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1931293), // Rule ID 14919 //
     /* 1931207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1931218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1931221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1931224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1931230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931253 */     // MIs[0] round
     /* 1931253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931256 */     // MIs[0] policy
     /* 1931256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1931269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1931289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931292 */     // GIR_Coverage, 14919,
     /* 1931292 */     GIR_EraseRootFromParent_Done,
     /* 1931293 */   // Label 25861: @1931293
     /* 1931293 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1931384), // Rule ID 14922 //
     /* 1931298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1931324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931344 */     // MIs[0] round
     /* 1931344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931347 */     // MIs[0] policy
     /* 1931347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1931360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931383 */     // GIR_Coverage, 14922,
     /* 1931383 */     GIR_EraseRootFromParent_Done,
     /* 1931384 */   // Label 25862: @1931384
     /* 1931384 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1931475), // Rule ID 14923 //
     /* 1931389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931435 */     // MIs[0] round
     /* 1931435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931438 */     // MIs[0] policy
     /* 1931438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1931451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931474 */     // GIR_Coverage, 14923,
     /* 1931474 */     GIR_EraseRootFromParent_Done,
     /* 1931475 */   // Label 25863: @1931475
     /* 1931475 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1931566), // Rule ID 14926 //
     /* 1931480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1931506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931526 */     // MIs[0] round
     /* 1931526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931529 */     // MIs[0] policy
     /* 1931529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1931542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931565 */     // GIR_Coverage, 14926,
     /* 1931565 */     GIR_EraseRootFromParent_Done,
     /* 1931566 */   // Label 25864: @1931566
     /* 1931566 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1931657), // Rule ID 14927 //
     /* 1931571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931617 */     // MIs[0] round
     /* 1931617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931620 */     // MIs[0] policy
     /* 1931620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1931633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931656 */     // GIR_Coverage, 14927,
     /* 1931656 */     GIR_EraseRootFromParent_Done,
     /* 1931657 */   // Label 25865: @1931657
     /* 1931657 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1931748), // Rule ID 14930 //
     /* 1931662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1931688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931708 */     // MIs[0] round
     /* 1931708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931711 */     // MIs[0] policy
     /* 1931711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1931724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931747 */     // GIR_Coverage, 14930,
     /* 1931747 */     GIR_EraseRootFromParent_Done,
     /* 1931748 */   // Label 25866: @1931748
     /* 1931748 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1931839), // Rule ID 14931 //
     /* 1931753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931799 */     // MIs[0] round
     /* 1931799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931802 */     // MIs[0] policy
     /* 1931802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1931815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931838 */     // GIR_Coverage, 14931,
     /* 1931838 */     GIR_EraseRootFromParent_Done,
     /* 1931839 */   // Label 25867: @1931839
     /* 1931839 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1931930), // Rule ID 14934 //
     /* 1931844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1931870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931890 */     // MIs[0] round
     /* 1931890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931893 */     // MIs[0] policy
     /* 1931893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1931906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1931918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1931928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931929 */     // GIR_Coverage, 14934,
     /* 1931929 */     GIR_EraseRootFromParent_Done,
     /* 1931930 */   // Label 25868: @1931930
     /* 1931930 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1932021), // Rule ID 14935 //
     /* 1931935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1931943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1931961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931981 */     // MIs[0] round
     /* 1931981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1931984 */     // MIs[0] policy
     /* 1931984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1931987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1931997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932020 */     // GIR_Coverage, 14935,
     /* 1932020 */     GIR_EraseRootFromParent_Done,
     /* 1932021 */   // Label 25869: @1932021
     /* 1932021 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1932112), // Rule ID 14938 //
     /* 1932026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932072 */     // MIs[0] round
     /* 1932072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932075 */     // MIs[0] policy
     /* 1932075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932085 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1932088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932111 */     // GIR_Coverage, 14938,
     /* 1932111 */     GIR_EraseRootFromParent_Done,
     /* 1932112 */   // Label 25870: @1932112
     /* 1932112 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1932203), // Rule ID 14939 //
     /* 1932117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1932143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932163 */     // MIs[0] round
     /* 1932163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932166 */     // MIs[0] policy
     /* 1932166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1932179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932202 */     // GIR_Coverage, 14939,
     /* 1932202 */     GIR_EraseRootFromParent_Done,
     /* 1932203 */   // Label 25871: @1932203
     /* 1932203 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1932294), // Rule ID 14942 //
     /* 1932208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932254 */     // MIs[0] round
     /* 1932254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932257 */     // MIs[0] policy
     /* 1932257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1932270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932293 */     // GIR_Coverage, 14942,
     /* 1932293 */     GIR_EraseRootFromParent_Done,
     /* 1932294 */   // Label 25872: @1932294
     /* 1932294 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1932385), // Rule ID 14943 //
     /* 1932299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1932325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932345 */     // MIs[0] round
     /* 1932345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932348 */     // MIs[0] policy
     /* 1932348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1932361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932384 */     // GIR_Coverage, 14943,
     /* 1932384 */     GIR_EraseRootFromParent_Done,
     /* 1932385 */   // Label 25873: @1932385
     /* 1932385 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1932476), // Rule ID 14946 //
     /* 1932390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932436 */     // MIs[0] round
     /* 1932436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932439 */     // MIs[0] policy
     /* 1932439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1932452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932475 */     // GIR_Coverage, 14946,
     /* 1932475 */     GIR_EraseRootFromParent_Done,
     /* 1932476 */   // Label 25874: @1932476
     /* 1932476 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1932567), // Rule ID 14947 //
     /* 1932481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1932507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932527 */     // MIs[0] round
     /* 1932527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932530 */     // MIs[0] policy
     /* 1932530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 1932543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932566 */     // GIR_Coverage, 14947,
     /* 1932566 */     GIR_EraseRootFromParent_Done,
     /* 1932567 */   // Label 25875: @1932567
     /* 1932567 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1932658), // Rule ID 14950 //
     /* 1932572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932618 */     // MIs[0] round
     /* 1932618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932621 */     // MIs[0] policy
     /* 1932621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1932634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932657 */     // GIR_Coverage, 14950,
     /* 1932657 */     GIR_EraseRootFromParent_Done,
     /* 1932658 */   // Label 25876: @1932658
     /* 1932658 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1932749), // Rule ID 14951 //
     /* 1932663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1932689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932709 */     // MIs[0] round
     /* 1932709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932712 */     // MIs[0] policy
     /* 1932712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 1932725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932748 */     // GIR_Coverage, 14951,
     /* 1932748 */     GIR_EraseRootFromParent_Done,
     /* 1932749 */   // Label 25877: @1932749
     /* 1932749 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1932840), // Rule ID 14954 //
     /* 1932754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932800 */     // MIs[0] round
     /* 1932800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932803 */     // MIs[0] policy
     /* 1932803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932813 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1932816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932839 */     // GIR_Coverage, 14954,
     /* 1932839 */     GIR_EraseRootFromParent_Done,
     /* 1932840 */   // Label 25878: @1932840
     /* 1932840 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1932931), // Rule ID 14955 //
     /* 1932845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 1932853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1932871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932891 */     // MIs[0] round
     /* 1932891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932894 */     // MIs[0] policy
     /* 1932894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 1932907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1932919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1932929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932930 */     // GIR_Coverage, 14955,
     /* 1932930 */     GIR_EraseRootFromParent_Done,
     /* 1932931 */   // Label 25879: @1932931
     /* 1932931 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1933022), // Rule ID 14958 //
     /* 1932936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1932944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1932956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1932962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932982 */     // MIs[0] round
     /* 1932982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1932985 */     // MIs[0] policy
     /* 1932985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1932988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932995 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 1932998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933021 */     // GIR_Coverage, 14958,
     /* 1933021 */     GIR_EraseRootFromParent_Done,
     /* 1933022 */   // Label 25880: @1933022
     /* 1933022 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1933113), // Rule ID 14959 //
     /* 1933027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1933038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1933041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1933044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1933047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933073 */     // MIs[0] round
     /* 1933073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933076 */     // MIs[0] policy
     /* 1933076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933086 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 1933089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933112 */     // GIR_Coverage, 14959,
     /* 1933112 */     GIR_EraseRootFromParent_Done,
     /* 1933113 */   // Label 25881: @1933113
     /* 1933113 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1933204), // Rule ID 14962 //
     /* 1933118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1933129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1933132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1933135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1933138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1933144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933164 */     // MIs[0] round
     /* 1933164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933167 */     // MIs[0] policy
     /* 1933167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 1933180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933203 */     // GIR_Coverage, 14962,
     /* 1933203 */     GIR_EraseRootFromParent_Done,
     /* 1933204 */   // Label 25882: @1933204
     /* 1933204 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1933295), // Rule ID 14963 //
     /* 1933209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1933220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1933223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1933226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1933229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933255 */     // MIs[0] round
     /* 1933255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933258 */     // MIs[0] policy
     /* 1933258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933268 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 1933271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933294 */     // GIR_Coverage, 14963,
     /* 1933294 */     GIR_EraseRootFromParent_Done,
     /* 1933295 */   // Label 25883: @1933295
     /* 1933295 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1933386), // Rule ID 14966 //
     /* 1933300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1933311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1933314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1933317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1933320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1933326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933346 */     // MIs[0] round
     /* 1933346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933349 */     // MIs[0] policy
     /* 1933349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933359 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933385 */     // GIR_Coverage, 14966,
     /* 1933385 */     GIR_EraseRootFromParent_Done,
     /* 1933386 */   // Label 25884: @1933386
     /* 1933386 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1933477), // Rule ID 14967 //
     /* 1933391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1933402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1933405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1933408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1933411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933437 */     // MIs[0] round
     /* 1933437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933440 */     // MIs[0] policy
     /* 1933440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933476 */     // GIR_Coverage, 14967,
     /* 1933476 */     GIR_EraseRootFromParent_Done,
     /* 1933477 */   // Label 25885: @1933477
     /* 1933477 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1933568), // Rule ID 14970 //
     /* 1933482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1933502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1933508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933528 */     // MIs[0] round
     /* 1933528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933531 */     // MIs[0] policy
     /* 1933531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 1933544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933567 */     // GIR_Coverage, 14970,
     /* 1933567 */     GIR_EraseRootFromParent_Done,
     /* 1933568 */   // Label 25886: @1933568
     /* 1933568 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1933659), // Rule ID 14971 //
     /* 1933573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1933593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933619 */     // MIs[0] round
     /* 1933619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933622 */     // MIs[0] policy
     /* 1933622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 1933635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933658 */     // GIR_Coverage, 14971,
     /* 1933658 */     GIR_EraseRootFromParent_Done,
     /* 1933659 */   // Label 25887: @1933659
     /* 1933659 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1933750), // Rule ID 14974 //
     /* 1933664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1933684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1933690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933710 */     // MIs[0] round
     /* 1933710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933713 */     // MIs[0] policy
     /* 1933713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933749 */     // GIR_Coverage, 14974,
     /* 1933749 */     GIR_EraseRootFromParent_Done,
     /* 1933750 */   // Label 25888: @1933750
     /* 1933750 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1933841), // Rule ID 14975 //
     /* 1933755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1933775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933801 */     // MIs[0] round
     /* 1933801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933804 */     // MIs[0] policy
     /* 1933804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933840 */     // GIR_Coverage, 14975,
     /* 1933840 */     GIR_EraseRootFromParent_Done,
     /* 1933841 */   // Label 25889: @1933841
     /* 1933841 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1933932), // Rule ID 14978 //
     /* 1933846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1933866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1933872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933892 */     // MIs[0] round
     /* 1933892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933895 */     // MIs[0] policy
     /* 1933895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1933920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1933930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933931 */     // GIR_Coverage, 14978,
     /* 1933931 */     GIR_EraseRootFromParent_Done,
     /* 1933932 */   // Label 25890: @1933932
     /* 1933932 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1934023), // Rule ID 14979 //
     /* 1933937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1933945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1933957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1933963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933983 */     // MIs[0] round
     /* 1933983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1933986 */     // MIs[0] policy
     /* 1933986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1933989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 1933999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934022 */     // GIR_Coverage, 14979,
     /* 1934022 */     GIR_EraseRootFromParent_Done,
     /* 1934023 */   // Label 25891: @1934023
     /* 1934023 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1934114), // Rule ID 14982 //
     /* 1934028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1934039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1934042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1934045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1934048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934074 */     // MIs[0] round
     /* 1934074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934077 */     // MIs[0] policy
     /* 1934077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934087 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934113 */     // GIR_Coverage, 14982,
     /* 1934113 */     GIR_EraseRootFromParent_Done,
     /* 1934114 */   // Label 25892: @1934114
     /* 1934114 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1934205), // Rule ID 14983 //
     /* 1934119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1934130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1934133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1934136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1934139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1934145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934165 */     // MIs[0] round
     /* 1934165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934168 */     // MIs[0] policy
     /* 1934168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934204 */     // GIR_Coverage, 14983,
     /* 1934204 */     GIR_EraseRootFromParent_Done,
     /* 1934205 */   // Label 25893: @1934205
     /* 1934205 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1934296), // Rule ID 14986 //
     /* 1934210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1934230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934256 */     // MIs[0] round
     /* 1934256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934259 */     // MIs[0] policy
     /* 1934259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934295 */     // GIR_Coverage, 14986,
     /* 1934295 */     GIR_EraseRootFromParent_Done,
     /* 1934296 */   // Label 25894: @1934296
     /* 1934296 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1934387), // Rule ID 14987 //
     /* 1934301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1934321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1934327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934347 */     // MIs[0] round
     /* 1934347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934350 */     // MIs[0] policy
     /* 1934350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934386 */     // GIR_Coverage, 14987,
     /* 1934386 */     GIR_EraseRootFromParent_Done,
     /* 1934387 */   // Label 25895: @1934387
     /* 1934387 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1934478), // Rule ID 14990 //
     /* 1934392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1934412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934438 */     // MIs[0] round
     /* 1934438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934441 */     // MIs[0] policy
     /* 1934441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934477 */     // GIR_Coverage, 14990,
     /* 1934477 */     GIR_EraseRootFromParent_Done,
     /* 1934478 */   // Label 25896: @1934478
     /* 1934478 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1934569), // Rule ID 14991 //
     /* 1934483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1934503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1934509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934529 */     // MIs[0] round
     /* 1934529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934532 */     // MIs[0] policy
     /* 1934532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934568 */     // GIR_Coverage, 14991,
     /* 1934568 */     GIR_EraseRootFromParent_Done,
     /* 1934569 */   // Label 25897: @1934569
     /* 1934569 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1934660), // Rule ID 14994 //
     /* 1934574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1934577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1934594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934620 */     // MIs[0] round
     /* 1934620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934623 */     // MIs[0] policy
     /* 1934623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934659 */     // GIR_Coverage, 14994,
     /* 1934659 */     GIR_EraseRootFromParent_Done,
     /* 1934660 */   // Label 25898: @1934660
     /* 1934660 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1934751), // Rule ID 14995 //
     /* 1934665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1934668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1934685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1934691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934711 */     // MIs[0] round
     /* 1934711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934714 */     // MIs[0] policy
     /* 1934714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 1934727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934750 */     // GIR_Coverage, 14995,
     /* 1934750 */     GIR_EraseRootFromParent_Done,
     /* 1934751 */   // Label 25899: @1934751
     /* 1934751 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1934842), // Rule ID 14998 //
     /* 1934756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934802 */     // MIs[0] round
     /* 1934802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934805 */     // MIs[0] policy
     /* 1934805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1934818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934841 */     // GIR_Coverage, 14998,
     /* 1934841 */     GIR_EraseRootFromParent_Done,
     /* 1934842 */   // Label 25900: @1934842
     /* 1934842 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1934933), // Rule ID 14999 //
     /* 1934847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1934873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934893 */     // MIs[0] round
     /* 1934893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934896 */     // MIs[0] policy
     /* 1934896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1934909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1934921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1934931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934932 */     // GIR_Coverage, 14999,
     /* 1934932 */     GIR_EraseRootFromParent_Done,
     /* 1934933 */   // Label 25901: @1934933
     /* 1934933 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1935024), // Rule ID 15002 //
     /* 1934938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1934946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1934958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1934964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934984 */     // MIs[0] round
     /* 1934984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1934987 */     // MIs[0] policy
     /* 1934987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1934990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1935000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935023 */     // GIR_Coverage, 15002,
     /* 1935023 */     GIR_EraseRootFromParent_Done,
     /* 1935024 */   // Label 25902: @1935024
     /* 1935024 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1935115), // Rule ID 15003 //
     /* 1935029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1935040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1935043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1935046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1935049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935075 */     // MIs[0] round
     /* 1935075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935078 */     // MIs[0] policy
     /* 1935078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935088 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1935091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935114 */     // GIR_Coverage, 15003,
     /* 1935114 */     GIR_EraseRootFromParent_Done,
     /* 1935115 */   // Label 25903: @1935115
     /* 1935115 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1935206), // Rule ID 15006 //
     /* 1935120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1935131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1935134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1935137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1935140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1935143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1935146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935166 */     // MIs[0] round
     /* 1935166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935169 */     // MIs[0] policy
     /* 1935169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1935182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935205 */     // GIR_Coverage, 15006,
     /* 1935205 */     GIR_EraseRootFromParent_Done,
     /* 1935206 */   // Label 25904: @1935206
     /* 1935206 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1935297), // Rule ID 15007 //
     /* 1935211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1935222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1935225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1935228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1935231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1935234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935257 */     // MIs[0] round
     /* 1935257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935260 */     // MIs[0] policy
     /* 1935260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935270 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1935273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935296 */     // GIR_Coverage, 15007,
     /* 1935296 */     GIR_EraseRootFromParent_Done,
     /* 1935297 */   // Label 25905: @1935297
     /* 1935297 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1935388), // Rule ID 15010 //
     /* 1935302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1935322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1935328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935348 */     // MIs[0] round
     /* 1935348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935351 */     // MIs[0] policy
     /* 1935351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1935364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935387 */     // GIR_Coverage, 15010,
     /* 1935387 */     GIR_EraseRootFromParent_Done,
     /* 1935388 */   // Label 25906: @1935388
     /* 1935388 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1935479), // Rule ID 15011 //
     /* 1935393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1935413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935439 */     // MIs[0] round
     /* 1935439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935442 */     // MIs[0] policy
     /* 1935442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1935455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935478 */     // GIR_Coverage, 15011,
     /* 1935478 */     GIR_EraseRootFromParent_Done,
     /* 1935479 */   // Label 25907: @1935479
     /* 1935479 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1935570), // Rule ID 15014 //
     /* 1935484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1935510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935530 */     // MIs[0] round
     /* 1935530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935533 */     // MIs[0] policy
     /* 1935533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1935546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935569 */     // GIR_Coverage, 15014,
     /* 1935569 */     GIR_EraseRootFromParent_Done,
     /* 1935570 */   // Label 25908: @1935570
     /* 1935570 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1935661), // Rule ID 15015 //
     /* 1935575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935621 */     // MIs[0] round
     /* 1935621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935624 */     // MIs[0] policy
     /* 1935624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1935637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935660 */     // GIR_Coverage, 15015,
     /* 1935660 */     GIR_EraseRootFromParent_Done,
     /* 1935661 */   // Label 25909: @1935661
     /* 1935661 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1935752), // Rule ID 15018 //
     /* 1935666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1935692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935712 */     // MIs[0] round
     /* 1935712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935715 */     // MIs[0] policy
     /* 1935715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1935728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935751 */     // GIR_Coverage, 15018,
     /* 1935751 */     GIR_EraseRootFromParent_Done,
     /* 1935752 */   // Label 25910: @1935752
     /* 1935752 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1935843), // Rule ID 15019 //
     /* 1935757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935803 */     // MIs[0] round
     /* 1935803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935806 */     // MIs[0] policy
     /* 1935806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1935819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935842 */     // GIR_Coverage, 15019,
     /* 1935842 */     GIR_EraseRootFromParent_Done,
     /* 1935843 */   // Label 25911: @1935843
     /* 1935843 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1935934), // Rule ID 15022 //
     /* 1935848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1935874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935894 */     // MIs[0] round
     /* 1935894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935897 */     // MIs[0] policy
     /* 1935897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1935910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1935922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1935932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935933 */     // GIR_Coverage, 15022,
     /* 1935933 */     GIR_EraseRootFromParent_Done,
     /* 1935934 */   // Label 25912: @1935934
     /* 1935934 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1936025), // Rule ID 15023 //
     /* 1935939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1935947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1935965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935985 */     // MIs[0] round
     /* 1935985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1935988 */     // MIs[0] policy
     /* 1935988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1935991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1936001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936024 */     // GIR_Coverage, 15023,
     /* 1936024 */     GIR_EraseRootFromParent_Done,
     /* 1936025 */   // Label 25913: @1936025
     /* 1936025 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1936116), // Rule ID 15026 //
     /* 1936030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1936050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936076 */     // MIs[0] round
     /* 1936076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936079 */     // MIs[0] policy
     /* 1936079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936089 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1936092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936115 */     // GIR_Coverage, 15026,
     /* 1936115 */     GIR_EraseRootFromParent_Done,
     /* 1936116 */   // Label 25914: @1936116
     /* 1936116 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1936207), // Rule ID 15027 //
     /* 1936121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1936141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1936147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936167 */     // MIs[0] round
     /* 1936167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936170 */     // MIs[0] policy
     /* 1936170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1936183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936206 */     // GIR_Coverage, 15027,
     /* 1936206 */     GIR_EraseRootFromParent_Done,
     /* 1936207 */   // Label 25915: @1936207
     /* 1936207 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1936298), // Rule ID 15030 //
     /* 1936212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1936232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936258 */     // MIs[0] round
     /* 1936258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936261 */     // MIs[0] policy
     /* 1936261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1936274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936297 */     // GIR_Coverage, 15030,
     /* 1936297 */     GIR_EraseRootFromParent_Done,
     /* 1936298 */   // Label 25916: @1936298
     /* 1936298 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1936389), // Rule ID 15031 //
     /* 1936303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1936323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1936329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936349 */     // MIs[0] round
     /* 1936349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936352 */     // MIs[0] policy
     /* 1936352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1936365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936388 */     // GIR_Coverage, 15031,
     /* 1936388 */     GIR_EraseRootFromParent_Done,
     /* 1936389 */   // Label 25917: @1936389
     /* 1936389 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1936480), // Rule ID 15034 //
     /* 1936394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936440 */     // MIs[0] round
     /* 1936440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936443 */     // MIs[0] policy
     /* 1936443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1936456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936479 */     // GIR_Coverage, 15034,
     /* 1936479 */     GIR_EraseRootFromParent_Done,
     /* 1936480 */   // Label 25918: @1936480
     /* 1936480 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1936571), // Rule ID 15035 //
     /* 1936485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1936511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936531 */     // MIs[0] round
     /* 1936531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936534 */     // MIs[0] policy
     /* 1936534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 1936547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936570 */     // GIR_Coverage, 15035,
     /* 1936570 */     GIR_EraseRootFromParent_Done,
     /* 1936571 */   // Label 25919: @1936571
     /* 1936571 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1936662), // Rule ID 15038 //
     /* 1936576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936622 */     // MIs[0] round
     /* 1936622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936625 */     // MIs[0] policy
     /* 1936625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1936638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936661 */     // GIR_Coverage, 15038,
     /* 1936661 */     GIR_EraseRootFromParent_Done,
     /* 1936662 */   // Label 25920: @1936662
     /* 1936662 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1936753), // Rule ID 15039 //
     /* 1936667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1936693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936713 */     // MIs[0] round
     /* 1936713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936716 */     // MIs[0] policy
     /* 1936716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 1936729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936752 */     // GIR_Coverage, 15039,
     /* 1936752 */     GIR_EraseRootFromParent_Done,
     /* 1936753 */   // Label 25921: @1936753
     /* 1936753 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1936844), // Rule ID 15042 //
     /* 1936758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936804 */     // MIs[0] round
     /* 1936804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936807 */     // MIs[0] policy
     /* 1936807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1936820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936843 */     // GIR_Coverage, 15042,
     /* 1936843 */     GIR_EraseRootFromParent_Done,
     /* 1936844 */   // Label 25922: @1936844
     /* 1936844 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1936935), // Rule ID 15043 //
     /* 1936849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1936875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936895 */     // MIs[0] round
     /* 1936895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936898 */     // MIs[0] policy
     /* 1936898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 1936911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1936923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1936933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936934 */     // GIR_Coverage, 15043,
     /* 1936934 */     GIR_EraseRootFromParent_Done,
     /* 1936935 */   // Label 25923: @1936935
     /* 1936935 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1937026), // Rule ID 15046 //
     /* 1936940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1936948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1936966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936986 */     // MIs[0] round
     /* 1936986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1936989 */     // MIs[0] policy
     /* 1936989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1936992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936999 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 1937002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937025 */     // GIR_Coverage, 15046,
     /* 1937025 */     GIR_EraseRootFromParent_Done,
     /* 1937026 */   // Label 25924: @1937026
     /* 1937026 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1937117), // Rule ID 15047 //
     /* 1937031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1937042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1937045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1937048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937077 */     // MIs[0] round
     /* 1937077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937080 */     // MIs[0] policy
     /* 1937080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 1937093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937116 */     // GIR_Coverage, 15047,
     /* 1937116 */     GIR_EraseRootFromParent_Done,
     /* 1937117 */   // Label 25925: @1937117
     /* 1937117 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1937208), // Rule ID 15050 //
     /* 1937122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1937133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1937136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1937139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1937148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937168 */     // MIs[0] round
     /* 1937168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937171 */     // MIs[0] policy
     /* 1937171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937181 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 1937184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937207 */     // GIR_Coverage, 15050,
     /* 1937207 */     GIR_EraseRootFromParent_Done,
     /* 1937208 */   // Label 25926: @1937208
     /* 1937208 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1937299), // Rule ID 15051 //
     /* 1937213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1937224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1937227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1937230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937259 */     // MIs[0] round
     /* 1937259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937262 */     // MIs[0] policy
     /* 1937262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 1937275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937298 */     // GIR_Coverage, 15051,
     /* 1937298 */     GIR_EraseRootFromParent_Done,
     /* 1937299 */   // Label 25927: @1937299
     /* 1937299 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1937390), // Rule ID 15054 //
     /* 1937304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1937330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937350 */     // MIs[0] round
     /* 1937350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937353 */     // MIs[0] policy
     /* 1937353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1937366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937389 */     // GIR_Coverage, 15054,
     /* 1937389 */     GIR_EraseRootFromParent_Done,
     /* 1937390 */   // Label 25928: @1937390
     /* 1937390 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1937481), // Rule ID 15055 //
     /* 1937395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937441 */     // MIs[0] round
     /* 1937441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937444 */     // MIs[0] policy
     /* 1937444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937454 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1937457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937480 */     // GIR_Coverage, 15055,
     /* 1937480 */     GIR_EraseRootFromParent_Done,
     /* 1937481 */   // Label 25929: @1937481
     /* 1937481 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1937572), // Rule ID 15058 //
     /* 1937486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1937512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937532 */     // MIs[0] round
     /* 1937532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937535 */     // MIs[0] policy
     /* 1937535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 1937548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937571 */     // GIR_Coverage, 15058,
     /* 1937571 */     GIR_EraseRootFromParent_Done,
     /* 1937572 */   // Label 25930: @1937572
     /* 1937572 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1937663), // Rule ID 15059 //
     /* 1937577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937623 */     // MIs[0] round
     /* 1937623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937626 */     // MIs[0] policy
     /* 1937626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 1937639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937662 */     // GIR_Coverage, 15059,
     /* 1937662 */     GIR_EraseRootFromParent_Done,
     /* 1937663 */   // Label 25931: @1937663
     /* 1937663 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1937754), // Rule ID 15062 //
     /* 1937668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1937694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937714 */     // MIs[0] round
     /* 1937714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937717 */     // MIs[0] policy
     /* 1937717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1937730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937753 */     // GIR_Coverage, 15062,
     /* 1937753 */     GIR_EraseRootFromParent_Done,
     /* 1937754 */   // Label 25932: @1937754
     /* 1937754 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1937845), // Rule ID 15063 //
     /* 1937759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937805 */     // MIs[0] round
     /* 1937805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937808 */     // MIs[0] policy
     /* 1937808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1937821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937844 */     // GIR_Coverage, 15063,
     /* 1937844 */     GIR_EraseRootFromParent_Done,
     /* 1937845 */   // Label 25933: @1937845
     /* 1937845 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1937936), // Rule ID 15066 //
     /* 1937850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1937876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937896 */     // MIs[0] round
     /* 1937896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937899 */     // MIs[0] policy
     /* 1937899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1937912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1937924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1937934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937935 */     // GIR_Coverage, 15066,
     /* 1937935 */     GIR_EraseRootFromParent_Done,
     /* 1937936 */   // Label 25934: @1937936
     /* 1937936 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1938027), // Rule ID 15067 //
     /* 1937941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1937949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1937967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937987 */     // MIs[0] round
     /* 1937987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1937990 */     // MIs[0] policy
     /* 1937990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1937993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 1938003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938026 */     // GIR_Coverage, 15067,
     /* 1938026 */     GIR_EraseRootFromParent_Done,
     /* 1938027 */   // Label 25935: @1938027
     /* 1938027 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1938118), // Rule ID 15070 //
     /* 1938032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938078 */     // MIs[0] round
     /* 1938078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938081 */     // MIs[0] policy
     /* 1938081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938117 */     // GIR_Coverage, 15070,
     /* 1938117 */     GIR_EraseRootFromParent_Done,
     /* 1938118 */   // Label 25936: @1938118
     /* 1938118 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1938209), // Rule ID 15071 //
     /* 1938123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1938149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938169 */     // MIs[0] round
     /* 1938169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938172 */     // MIs[0] policy
     /* 1938172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938208 */     // GIR_Coverage, 15071,
     /* 1938208 */     GIR_EraseRootFromParent_Done,
     /* 1938209 */   // Label 25937: @1938209
     /* 1938209 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1938300), // Rule ID 15074 //
     /* 1938214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938260 */     // MIs[0] round
     /* 1938260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938263 */     // MIs[0] policy
     /* 1938263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938299 */     // GIR_Coverage, 15074,
     /* 1938299 */     GIR_EraseRootFromParent_Done,
     /* 1938300 */   // Label 25938: @1938300
     /* 1938300 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1938391), // Rule ID 15075 //
     /* 1938305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1938331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938351 */     // MIs[0] round
     /* 1938351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938354 */     // MIs[0] policy
     /* 1938354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938390 */     // GIR_Coverage, 15075,
     /* 1938390 */     GIR_EraseRootFromParent_Done,
     /* 1938391 */   // Label 25939: @1938391
     /* 1938391 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1938482), // Rule ID 15078 //
     /* 1938396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938442 */     // MIs[0] round
     /* 1938442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938445 */     // MIs[0] policy
     /* 1938445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938481 */     // GIR_Coverage, 15078,
     /* 1938481 */     GIR_EraseRootFromParent_Done,
     /* 1938482 */   // Label 25940: @1938482
     /* 1938482 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1938573), // Rule ID 15079 //
     /* 1938487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1938513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938533 */     // MIs[0] round
     /* 1938533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938536 */     // MIs[0] policy
     /* 1938536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938572 */     // GIR_Coverage, 15079,
     /* 1938572 */     GIR_EraseRootFromParent_Done,
     /* 1938573 */   // Label 25941: @1938573
     /* 1938573 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1938664), // Rule ID 15082 //
     /* 1938578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1938581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938624 */     // MIs[0] round
     /* 1938624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938627 */     // MIs[0] policy
     /* 1938627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938637 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938663 */     // GIR_Coverage, 15082,
     /* 1938663 */     GIR_EraseRootFromParent_Done,
     /* 1938664 */   // Label 25942: @1938664
     /* 1938664 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1938755), // Rule ID 15083 //
     /* 1938669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1938695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938715 */     // MIs[0] round
     /* 1938715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938718 */     // MIs[0] policy
     /* 1938718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 1938731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938754 */     // GIR_Coverage, 15083,
     /* 1938754 */     GIR_EraseRootFromParent_Done,
     /* 1938755 */   // Label 25943: @1938755
     /* 1938755 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1938846), // Rule ID 15086 //
     /* 1938760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938806 */     // MIs[0] round
     /* 1938806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938809 */     // MIs[0] policy
     /* 1938809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1938822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938845 */     // GIR_Coverage, 15086,
     /* 1938845 */     GIR_EraseRootFromParent_Done,
     /* 1938846 */   // Label 25944: @1938846
     /* 1938846 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1938937), // Rule ID 15087 //
     /* 1938851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1938877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938897 */     // MIs[0] round
     /* 1938897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938900 */     // MIs[0] policy
     /* 1938900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938910 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1938913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1938925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1938935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938936 */     // GIR_Coverage, 15087,
     /* 1938936 */     GIR_EraseRootFromParent_Done,
     /* 1938937 */   // Label 25945: @1938937
     /* 1938937 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1939028), // Rule ID 15090 //
     /* 1938942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1938950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1938953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1938956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1938959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1938968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938988 */     // MIs[0] round
     /* 1938988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1938991 */     // MIs[0] policy
     /* 1938991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1938994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1939004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939027 */     // GIR_Coverage, 15090,
     /* 1939027 */     GIR_EraseRootFromParent_Done,
     /* 1939028 */   // Label 25946: @1939028
     /* 1939028 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1939119), // Rule ID 15091 //
     /* 1939033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1939044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1939047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1939050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939079 */     // MIs[0] round
     /* 1939079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939082 */     // MIs[0] policy
     /* 1939082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1939095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939118 */     // GIR_Coverage, 15091,
     /* 1939118 */     GIR_EraseRootFromParent_Done,
     /* 1939119 */   // Label 25947: @1939119
     /* 1939119 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1939210), // Rule ID 15094 //
     /* 1939124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1939150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939170 */     // MIs[0] round
     /* 1939170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939173 */     // MIs[0] policy
     /* 1939173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1939186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939209 */     // GIR_Coverage, 15094,
     /* 1939209 */     GIR_EraseRootFromParent_Done,
     /* 1939210 */   // Label 25948: @1939210
     /* 1939210 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1939301), // Rule ID 15095 //
     /* 1939215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939261 */     // MIs[0] round
     /* 1939261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939264 */     // MIs[0] policy
     /* 1939264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939274 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1939277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939300 */     // GIR_Coverage, 15095,
     /* 1939300 */     GIR_EraseRootFromParent_Done,
     /* 1939301 */   // Label 25949: @1939301
     /* 1939301 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1939392), // Rule ID 15098 //
     /* 1939306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1939332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939352 */     // MIs[0] round
     /* 1939352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939355 */     // MIs[0] policy
     /* 1939355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1939368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939391 */     // GIR_Coverage, 15098,
     /* 1939391 */     GIR_EraseRootFromParent_Done,
     /* 1939392 */   // Label 25950: @1939392
     /* 1939392 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1939483), // Rule ID 15099 //
     /* 1939397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939443 */     // MIs[0] round
     /* 1939443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939446 */     // MIs[0] policy
     /* 1939446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1939459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939482 */     // GIR_Coverage, 15099,
     /* 1939482 */     GIR_EraseRootFromParent_Done,
     /* 1939483 */   // Label 25951: @1939483
     /* 1939483 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1939574), // Rule ID 15102 //
     /* 1939488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1939514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939534 */     // MIs[0] round
     /* 1939534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939537 */     // MIs[0] policy
     /* 1939537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1939550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939573 */     // GIR_Coverage, 15102,
     /* 1939573 */     GIR_EraseRootFromParent_Done,
     /* 1939574 */   // Label 25952: @1939574
     /* 1939574 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1939665), // Rule ID 15103 //
     /* 1939579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939625 */     // MIs[0] round
     /* 1939625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939628 */     // MIs[0] policy
     /* 1939628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1939641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939664 */     // GIR_Coverage, 15103,
     /* 1939664 */     GIR_EraseRootFromParent_Done,
     /* 1939665 */   // Label 25953: @1939665
     /* 1939665 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1939756), // Rule ID 15106 //
     /* 1939670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1939696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939716 */     // MIs[0] round
     /* 1939716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939719 */     // MIs[0] policy
     /* 1939719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939729 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1939732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939755 */     // GIR_Coverage, 15106,
     /* 1939755 */     GIR_EraseRootFromParent_Done,
     /* 1939756 */   // Label 25954: @1939756
     /* 1939756 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1939847), // Rule ID 15107 //
     /* 1939761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939807 */     // MIs[0] round
     /* 1939807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939810 */     // MIs[0] policy
     /* 1939810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1939823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939846 */     // GIR_Coverage, 15107,
     /* 1939846 */     GIR_EraseRootFromParent_Done,
     /* 1939847 */   // Label 25955: @1939847
     /* 1939847 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1939938), // Rule ID 15110 //
     /* 1939852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1939878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939898 */     // MIs[0] round
     /* 1939898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939901 */     // MIs[0] policy
     /* 1939901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1939914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1939926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1939936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939937 */     // GIR_Coverage, 15110,
     /* 1939937 */     GIR_EraseRootFromParent_Done,
     /* 1939938 */   // Label 25956: @1939938
     /* 1939938 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1940029), // Rule ID 15111 //
     /* 1939943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1939951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1939969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939989 */     // MIs[0] round
     /* 1939989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1939992 */     // MIs[0] policy
     /* 1939992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1939995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1940005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940028 */     // GIR_Coverage, 15111,
     /* 1940028 */     GIR_EraseRootFromParent_Done,
     /* 1940029 */   // Label 25957: @1940029
     /* 1940029 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1940120), // Rule ID 15114 //
     /* 1940034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940080 */     // MIs[0] round
     /* 1940080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940083 */     // MIs[0] policy
     /* 1940083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1940096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940119 */     // GIR_Coverage, 15114,
     /* 1940119 */     GIR_EraseRootFromParent_Done,
     /* 1940120 */   // Label 25958: @1940120
     /* 1940120 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1940211), // Rule ID 15115 //
     /* 1940125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1940151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940171 */     // MIs[0] round
     /* 1940171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940174 */     // MIs[0] policy
     /* 1940174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1940187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940210 */     // GIR_Coverage, 15115,
     /* 1940210 */     GIR_EraseRootFromParent_Done,
     /* 1940211 */   // Label 25959: @1940211
     /* 1940211 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1940302), // Rule ID 15118 //
     /* 1940216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940262 */     // MIs[0] round
     /* 1940262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940265 */     // MIs[0] policy
     /* 1940265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1940278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940301 */     // GIR_Coverage, 15118,
     /* 1940301 */     GIR_EraseRootFromParent_Done,
     /* 1940302 */   // Label 25960: @1940302
     /* 1940302 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1940393), // Rule ID 15119 //
     /* 1940307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1940333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940353 */     // MIs[0] round
     /* 1940353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940356 */     // MIs[0] policy
     /* 1940356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1940369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940392 */     // GIR_Coverage, 15119,
     /* 1940392 */     GIR_EraseRootFromParent_Done,
     /* 1940393 */   // Label 25961: @1940393
     /* 1940393 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1940484), // Rule ID 15122 //
     /* 1940398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940444 */     // MIs[0] round
     /* 1940444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940447 */     // MIs[0] policy
     /* 1940447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940457 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1940460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940483 */     // GIR_Coverage, 15122,
     /* 1940483 */     GIR_EraseRootFromParent_Done,
     /* 1940484 */   // Label 25962: @1940484
     /* 1940484 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1940575), // Rule ID 15123 //
     /* 1940489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1940515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940535 */     // MIs[0] round
     /* 1940535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940538 */     // MIs[0] policy
     /* 1940538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 1940551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940574 */     // GIR_Coverage, 15123,
     /* 1940574 */     GIR_EraseRootFromParent_Done,
     /* 1940575 */   // Label 25963: @1940575
     /* 1940575 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1940666), // Rule ID 15126 //
     /* 1940580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940626 */     // MIs[0] round
     /* 1940626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940629 */     // MIs[0] policy
     /* 1940629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940639 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1940642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940665 */     // GIR_Coverage, 15126,
     /* 1940665 */     GIR_EraseRootFromParent_Done,
     /* 1940666 */   // Label 25964: @1940666
     /* 1940666 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1940757), // Rule ID 15127 //
     /* 1940671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1940697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940717 */     // MIs[0] round
     /* 1940717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940720 */     // MIs[0] policy
     /* 1940720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 1940733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940756 */     // GIR_Coverage, 15127,
     /* 1940756 */     GIR_EraseRootFromParent_Done,
     /* 1940757 */   // Label 25965: @1940757
     /* 1940757 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1940848), // Rule ID 15130 //
     /* 1940762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940808 */     // MIs[0] round
     /* 1940808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940811 */     // MIs[0] policy
     /* 1940811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1940824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940847 */     // GIR_Coverage, 15130,
     /* 1940847 */     GIR_EraseRootFromParent_Done,
     /* 1940848 */   // Label 25966: @1940848
     /* 1940848 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1940939), // Rule ID 15131 //
     /* 1940853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 1940861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1940879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940899 */     // MIs[0] round
     /* 1940899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940902 */     // MIs[0] policy
     /* 1940902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 1940915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1940927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1940937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940938 */     // GIR_Coverage, 15131,
     /* 1940938 */     GIR_EraseRootFromParent_Done,
     /* 1940939 */   // Label 25967: @1940939
     /* 1940939 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1941030), // Rule ID 15134 //
     /* 1940944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1940952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1940955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1940958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1940961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1940964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1940970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940990 */     // MIs[0] round
     /* 1940990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1940993 */     // MIs[0] policy
     /* 1940993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1940996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941003 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 1941006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941029 */     // GIR_Coverage, 15134,
     /* 1941029 */     GIR_EraseRootFromParent_Done,
     /* 1941030 */   // Label 25968: @1941030
     /* 1941030 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1941121), // Rule ID 15135 //
     /* 1941035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1941046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1941049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1941052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1941055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941081 */     // MIs[0] round
     /* 1941081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941084 */     // MIs[0] policy
     /* 1941084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 1941097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941120 */     // GIR_Coverage, 15135,
     /* 1941120 */     GIR_EraseRootFromParent_Done,
     /* 1941121 */   // Label 25969: @1941121
     /* 1941121 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1941212), // Rule ID 15138 //
     /* 1941126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1941137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1941140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1941143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1941146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1941152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941172 */     // MIs[0] round
     /* 1941172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941175 */     // MIs[0] policy
     /* 1941175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941185 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 1941188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941211 */     // GIR_Coverage, 15138,
     /* 1941211 */     GIR_EraseRootFromParent_Done,
     /* 1941212 */   // Label 25970: @1941212
     /* 1941212 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1941303), // Rule ID 15139 //
     /* 1941217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1941228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1941231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1941234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1941237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941263 */     // MIs[0] round
     /* 1941263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941266 */     // MIs[0] policy
     /* 1941266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 1941279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941302 */     // GIR_Coverage, 15139,
     /* 1941302 */     GIR_EraseRootFromParent_Done,
     /* 1941303 */   // Label 25971: @1941303
     /* 1941303 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1941394), // Rule ID 15142 //
     /* 1941308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1941319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1941322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1941325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1941328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1941334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941354 */     // MIs[0] round
     /* 1941354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941357 */     // MIs[0] policy
     /* 1941357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1941370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941393 */     // GIR_Coverage, 15142,
     /* 1941393 */     GIR_EraseRootFromParent_Done,
     /* 1941394 */   // Label 25972: @1941394
     /* 1941394 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1941485), // Rule ID 15143 //
     /* 1941399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1941410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1941413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1941416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1941419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941445 */     // MIs[0] round
     /* 1941445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941448 */     // MIs[0] policy
     /* 1941448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941458 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1941461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941484 */     // GIR_Coverage, 15143,
     /* 1941484 */     GIR_EraseRootFromParent_Done,
     /* 1941485 */   // Label 25973: @1941485
     /* 1941485 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1941576), // Rule ID 15146 //
     /* 1941490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1941516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941536 */     // MIs[0] round
     /* 1941536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941539 */     // MIs[0] policy
     /* 1941539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 1941552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941575 */     // GIR_Coverage, 15146,
     /* 1941575 */     GIR_EraseRootFromParent_Done,
     /* 1941576 */   // Label 25974: @1941576
     /* 1941576 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1941667), // Rule ID 15147 //
     /* 1941581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941627 */     // MIs[0] round
     /* 1941627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941630 */     // MIs[0] policy
     /* 1941630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 1941643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941666 */     // GIR_Coverage, 15147,
     /* 1941666 */     GIR_EraseRootFromParent_Done,
     /* 1941667 */   // Label 25975: @1941667
     /* 1941667 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1941758), // Rule ID 15150 //
     /* 1941672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1941698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941718 */     // MIs[0] round
     /* 1941718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941721 */     // MIs[0] policy
     /* 1941721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1941734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941757 */     // GIR_Coverage, 15150,
     /* 1941757 */     GIR_EraseRootFromParent_Done,
     /* 1941758 */   // Label 25976: @1941758
     /* 1941758 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1941849), // Rule ID 15151 //
     /* 1941763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941809 */     // MIs[0] round
     /* 1941809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941812 */     // MIs[0] policy
     /* 1941812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1941825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941848 */     // GIR_Coverage, 15151,
     /* 1941848 */     GIR_EraseRootFromParent_Done,
     /* 1941849 */   // Label 25977: @1941849
     /* 1941849 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1941940), // Rule ID 15154 //
     /* 1941854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1941874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1941880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941900 */     // MIs[0] round
     /* 1941900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941903 */     // MIs[0] policy
     /* 1941903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941913 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1941916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1941928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1941938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941939 */     // GIR_Coverage, 15154,
     /* 1941939 */     GIR_EraseRootFromParent_Done,
     /* 1941940 */   // Label 25978: @1941940
     /* 1941940 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1942031), // Rule ID 15155 //
     /* 1941945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1941953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1941965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1941971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941991 */     // MIs[0] round
     /* 1941991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1941994 */     // MIs[0] policy
     /* 1941994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1941997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942004 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 1942007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942030 */     // GIR_Coverage, 15155,
     /* 1942030 */     GIR_EraseRootFromParent_Done,
     /* 1942031 */   // Label 25979: @1942031
     /* 1942031 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1942122), // Rule ID 15158 //
     /* 1942036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1942047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1942050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1942053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1942056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942082 */     // MIs[0] round
     /* 1942082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942085 */     // MIs[0] policy
     /* 1942085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942095 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942121 */     // GIR_Coverage, 15158,
     /* 1942121 */     GIR_EraseRootFromParent_Done,
     /* 1942122 */   // Label 25980: @1942122
     /* 1942122 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1942213), // Rule ID 15159 //
     /* 1942127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1942138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1942141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1942144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1942147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1942153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942173 */     // MIs[0] round
     /* 1942173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942176 */     // MIs[0] policy
     /* 1942176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942186 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942212 */     // GIR_Coverage, 15159,
     /* 1942212 */     GIR_EraseRootFromParent_Done,
     /* 1942213 */   // Label 25981: @1942213
     /* 1942213 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1942304), // Rule ID 15162 //
     /* 1942218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1942238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942264 */     // MIs[0] round
     /* 1942264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942267 */     // MIs[0] policy
     /* 1942267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942303 */     // GIR_Coverage, 15162,
     /* 1942303 */     GIR_EraseRootFromParent_Done,
     /* 1942304 */   // Label 25982: @1942304
     /* 1942304 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1942395), // Rule ID 15163 //
     /* 1942309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1942329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1942335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942355 */     // MIs[0] round
     /* 1942355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942358 */     // MIs[0] policy
     /* 1942358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942394 */     // GIR_Coverage, 15163,
     /* 1942394 */     GIR_EraseRootFromParent_Done,
     /* 1942395 */   // Label 25983: @1942395
     /* 1942395 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1942486), // Rule ID 15166 //
     /* 1942400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1942420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942446 */     // MIs[0] round
     /* 1942446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942449 */     // MIs[0] policy
     /* 1942449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942485 */     // GIR_Coverage, 15166,
     /* 1942485 */     GIR_EraseRootFromParent_Done,
     /* 1942486 */   // Label 25984: @1942486
     /* 1942486 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1942577), // Rule ID 15167 //
     /* 1942491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1942511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1942517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942537 */     // MIs[0] round
     /* 1942537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942540 */     // MIs[0] policy
     /* 1942540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942576 */     // GIR_Coverage, 15167,
     /* 1942576 */     GIR_EraseRootFromParent_Done,
     /* 1942577 */   // Label 25985: @1942577
     /* 1942577 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1942668), // Rule ID 15170 //
     /* 1942582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1942585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1942602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942628 */     // MIs[0] round
     /* 1942628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942631 */     // MIs[0] policy
     /* 1942631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942641 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942667 */     // GIR_Coverage, 15170,
     /* 1942667 */     GIR_EraseRootFromParent_Done,
     /* 1942668 */   // Label 25986: @1942668
     /* 1942668 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1942759), // Rule ID 15171 //
     /* 1942673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1942676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1942693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1942699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942719 */     // MIs[0] round
     /* 1942719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942722 */     // MIs[0] policy
     /* 1942722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 1942735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942758 */     // GIR_Coverage, 15171,
     /* 1942758 */     GIR_EraseRootFromParent_Done,
     /* 1942759 */   // Label 25987: @1942759
     /* 1942759 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1942850), // Rule ID 15174 //
     /* 1942764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1942775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1942778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1942781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1942784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942810 */     // MIs[0] round
     /* 1942810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942813 */     // MIs[0] policy
     /* 1942813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1942826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942849 */     // GIR_Coverage, 15174,
     /* 1942849 */     GIR_EraseRootFromParent_Done,
     /* 1942850 */   // Label 25988: @1942850
     /* 1942850 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1942941), // Rule ID 15175 //
     /* 1942855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1942866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1942869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1942872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1942875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1942881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942901 */     // MIs[0] round
     /* 1942901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942904 */     // MIs[0] policy
     /* 1942904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1942917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1942929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1942939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942940 */     // GIR_Coverage, 15175,
     /* 1942940 */     GIR_EraseRootFromParent_Done,
     /* 1942941 */   // Label 25989: @1942941
     /* 1942941 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1943032), // Rule ID 15178 //
     /* 1942946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1942954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1942957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1942960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1942963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1942966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1942972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942992 */     // MIs[0] round
     /* 1942992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1942995 */     // MIs[0] policy
     /* 1942995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1942998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943005 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1943008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943031 */     // GIR_Coverage, 15178,
     /* 1943031 */     GIR_EraseRootFromParent_Done,
     /* 1943032 */   // Label 25990: @1943032
     /* 1943032 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1943123), // Rule ID 15179 //
     /* 1943037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1943048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1943051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1943054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1943057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943083 */     // MIs[0] round
     /* 1943083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943086 */     // MIs[0] policy
     /* 1943086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1943099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943122 */     // GIR_Coverage, 15179,
     /* 1943122 */     GIR_EraseRootFromParent_Done,
     /* 1943123 */   // Label 25991: @1943123
     /* 1943123 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1943214), // Rule ID 15182 //
     /* 1943128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1943139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1943142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1943145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1943148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1943151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1943154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943174 */     // MIs[0] round
     /* 1943174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943177 */     // MIs[0] policy
     /* 1943177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1943190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943213 */     // GIR_Coverage, 15182,
     /* 1943213 */     GIR_EraseRootFromParent_Done,
     /* 1943214 */   // Label 25992: @1943214
     /* 1943214 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1943305), // Rule ID 15183 //
     /* 1943219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1943230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1943233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1943236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1943239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1943242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943265 */     // MIs[0] round
     /* 1943265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943268 */     // MIs[0] policy
     /* 1943268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1943281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943304 */     // GIR_Coverage, 15183,
     /* 1943304 */     GIR_EraseRootFromParent_Done,
     /* 1943305 */   // Label 25993: @1943305
     /* 1943305 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1943396), // Rule ID 15186 //
     /* 1943310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1943330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1943336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943356 */     // MIs[0] round
     /* 1943356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943359 */     // MIs[0] policy
     /* 1943359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1943372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943395 */     // GIR_Coverage, 15186,
     /* 1943395 */     GIR_EraseRootFromParent_Done,
     /* 1943396 */   // Label 25994: @1943396
     /* 1943396 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1943487), // Rule ID 15187 //
     /* 1943401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1943421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943447 */     // MIs[0] round
     /* 1943447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943450 */     // MIs[0] policy
     /* 1943450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943460 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1943463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943486 */     // GIR_Coverage, 15187,
     /* 1943486 */     GIR_EraseRootFromParent_Done,
     /* 1943487 */   // Label 25995: @1943487
     /* 1943487 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1943578), // Rule ID 15190 //
     /* 1943492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1943518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943538 */     // MIs[0] round
     /* 1943538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943541 */     // MIs[0] policy
     /* 1943541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1943554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943577 */     // GIR_Coverage, 15190,
     /* 1943577 */     GIR_EraseRootFromParent_Done,
     /* 1943578 */   // Label 25996: @1943578
     /* 1943578 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1943669), // Rule ID 15191 //
     /* 1943583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943629 */     // MIs[0] round
     /* 1943629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943632 */     // MIs[0] policy
     /* 1943632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1943645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943668 */     // GIR_Coverage, 15191,
     /* 1943668 */     GIR_EraseRootFromParent_Done,
     /* 1943669 */   // Label 25997: @1943669
     /* 1943669 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1943760), // Rule ID 15194 //
     /* 1943674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1943700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943720 */     // MIs[0] round
     /* 1943720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943723 */     // MIs[0] policy
     /* 1943723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1943736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943759 */     // GIR_Coverage, 15194,
     /* 1943759 */     GIR_EraseRootFromParent_Done,
     /* 1943760 */   // Label 25998: @1943760
     /* 1943760 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1943851), // Rule ID 15195 //
     /* 1943765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943811 */     // MIs[0] round
     /* 1943811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943814 */     // MIs[0] policy
     /* 1943814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1943827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943850 */     // GIR_Coverage, 15195,
     /* 1943850 */     GIR_EraseRootFromParent_Done,
     /* 1943851 */   // Label 25999: @1943851
     /* 1943851 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1943942), // Rule ID 15198 //
     /* 1943856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1943876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1943882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943902 */     // MIs[0] round
     /* 1943902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943905 */     // MIs[0] policy
     /* 1943905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1943918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1943930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1943940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943941 */     // GIR_Coverage, 15198,
     /* 1943941 */     GIR_EraseRootFromParent_Done,
     /* 1943942 */   // Label 26000: @1943942
     /* 1943942 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1944033), // Rule ID 15199 //
     /* 1943947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1943955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1943967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1943973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943993 */     // MIs[0] round
     /* 1943993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1943996 */     // MIs[0] policy
     /* 1943996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1943999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1944009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944032 */     // GIR_Coverage, 15199,
     /* 1944032 */     GIR_EraseRootFromParent_Done,
     /* 1944033 */   // Label 26001: @1944033
     /* 1944033 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1944124), // Rule ID 15202 //
     /* 1944038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1944058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944084 */     // MIs[0] round
     /* 1944084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944087 */     // MIs[0] policy
     /* 1944087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1944100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944123 */     // GIR_Coverage, 15202,
     /* 1944123 */     GIR_EraseRootFromParent_Done,
     /* 1944124 */   // Label 26002: @1944124
     /* 1944124 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1944215), // Rule ID 15203 //
     /* 1944129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1944149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1944155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944175 */     // MIs[0] round
     /* 1944175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944178 */     // MIs[0] policy
     /* 1944178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1944191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944214 */     // GIR_Coverage, 15203,
     /* 1944214 */     GIR_EraseRootFromParent_Done,
     /* 1944215 */   // Label 26003: @1944215
     /* 1944215 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1944306), // Rule ID 15206 //
     /* 1944220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1944240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944266 */     // MIs[0] round
     /* 1944266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944269 */     // MIs[0] policy
     /* 1944269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1944282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944305 */     // GIR_Coverage, 15206,
     /* 1944305 */     GIR_EraseRootFromParent_Done,
     /* 1944306 */   // Label 26004: @1944306
     /* 1944306 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1944397), // Rule ID 15207 //
     /* 1944311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1944331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1944337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944357 */     // MIs[0] round
     /* 1944357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944360 */     // MIs[0] policy
     /* 1944360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1944373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944396 */     // GIR_Coverage, 15207,
     /* 1944396 */     GIR_EraseRootFromParent_Done,
     /* 1944397 */   // Label 26005: @1944397
     /* 1944397 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1944488), // Rule ID 15210 //
     /* 1944402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1944422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944448 */     // MIs[0] round
     /* 1944448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944451 */     // MIs[0] policy
     /* 1944451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1944464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944487 */     // GIR_Coverage, 15210,
     /* 1944487 */     GIR_EraseRootFromParent_Done,
     /* 1944488 */   // Label 26006: @1944488
     /* 1944488 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1944579), // Rule ID 15211 //
     /* 1944493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1944513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1944519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944539 */     // MIs[0] round
     /* 1944539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944542 */     // MIs[0] policy
     /* 1944542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 1944555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944578 */     // GIR_Coverage, 15211,
     /* 1944578 */     GIR_EraseRootFromParent_Done,
     /* 1944579 */   // Label 26007: @1944579
     /* 1944579 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1944670), // Rule ID 15214 //
     /* 1944584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1944604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944630 */     // MIs[0] round
     /* 1944630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944633 */     // MIs[0] policy
     /* 1944633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1944646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944669 */     // GIR_Coverage, 15214,
     /* 1944669 */     GIR_EraseRootFromParent_Done,
     /* 1944670 */   // Label 26008: @1944670
     /* 1944670 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1944761), // Rule ID 15215 //
     /* 1944675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1944695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1944701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944721 */     // MIs[0] round
     /* 1944721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944724 */     // MIs[0] policy
     /* 1944724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 1944737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944760 */     // GIR_Coverage, 15215,
     /* 1944760 */     GIR_EraseRootFromParent_Done,
     /* 1944761 */   // Label 26009: @1944761
     /* 1944761 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1944852), // Rule ID 15218 //
     /* 1944766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1944786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944812 */     // MIs[0] round
     /* 1944812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944815 */     // MIs[0] policy
     /* 1944815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944825 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1944828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944851 */     // GIR_Coverage, 15218,
     /* 1944851 */     GIR_EraseRootFromParent_Done,
     /* 1944852 */   // Label 26010: @1944852
     /* 1944852 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1944943), // Rule ID 15219 //
     /* 1944857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1944877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1944883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944903 */     // MIs[0] round
     /* 1944903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944906 */     // MIs[0] policy
     /* 1944906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1944909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 1944919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1944931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1944941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944942 */     // GIR_Coverage, 15219,
     /* 1944942 */     GIR_EraseRootFromParent_Done,
     /* 1944943 */   // Label 26011: @1944943
     /* 1944943 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1945034), // Rule ID 15222 //
     /* 1944948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1944956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1944959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1944962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1944965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1944974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944994 */     // MIs[0] round
     /* 1944994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1944997 */     // MIs[0] policy
     /* 1944997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945007 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 1945010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945033 */     // GIR_Coverage, 15222,
     /* 1945033 */     GIR_EraseRootFromParent_Done,
     /* 1945034 */   // Label 26012: @1945034
     /* 1945034 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1945125), // Rule ID 15223 //
     /* 1945039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1945050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1945053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1945056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945085 */     // MIs[0] round
     /* 1945085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945088 */     // MIs[0] policy
     /* 1945088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 1945101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945124 */     // GIR_Coverage, 15223,
     /* 1945124 */     GIR_EraseRootFromParent_Done,
     /* 1945125 */   // Label 26013: @1945125
     /* 1945125 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1945216), // Rule ID 15226 //
     /* 1945130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1945141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1945144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1945147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1945156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945176 */     // MIs[0] round
     /* 1945176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945179 */     // MIs[0] policy
     /* 1945179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945189 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 1945192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945215 */     // GIR_Coverage, 15226,
     /* 1945215 */     GIR_EraseRootFromParent_Done,
     /* 1945216 */   // Label 26014: @1945216
     /* 1945216 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1945307), // Rule ID 15227 //
     /* 1945221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1945232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1945235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1945238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945267 */     // MIs[0] round
     /* 1945267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945270 */     // MIs[0] policy
     /* 1945270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 1945283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945306 */     // GIR_Coverage, 15227,
     /* 1945306 */     GIR_EraseRootFromParent_Done,
     /* 1945307 */   // Label 26015: @1945307
     /* 1945307 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1945398), // Rule ID 15230 //
     /* 1945312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1945323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1945326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1945329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1945338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945358 */     // MIs[0] round
     /* 1945358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945361 */     // MIs[0] policy
     /* 1945361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1945374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945397 */     // GIR_Coverage, 15230,
     /* 1945397 */     GIR_EraseRootFromParent_Done,
     /* 1945398 */   // Label 26016: @1945398
     /* 1945398 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1945489), // Rule ID 15231 //
     /* 1945403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1945414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1945417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1945420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945449 */     // MIs[0] round
     /* 1945449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945452 */     // MIs[0] policy
     /* 1945452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1945465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945488 */     // GIR_Coverage, 15231,
     /* 1945488 */     GIR_EraseRootFromParent_Done,
     /* 1945489 */   // Label 26017: @1945489
     /* 1945489 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1945580), // Rule ID 15234 //
     /* 1945494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1945505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1945508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1945511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1945520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945540 */     // MIs[0] round
     /* 1945540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945543 */     // MIs[0] policy
     /* 1945543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 1945556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945579 */     // GIR_Coverage, 15234,
     /* 1945579 */     GIR_EraseRootFromParent_Done,
     /* 1945580 */   // Label 26018: @1945580
     /* 1945580 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1945671), // Rule ID 15235 //
     /* 1945585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1945596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1945599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1945602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945631 */     // MIs[0] round
     /* 1945631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945634 */     // MIs[0] policy
     /* 1945634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 1945647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945670 */     // GIR_Coverage, 15235,
     /* 1945670 */     GIR_EraseRootFromParent_Done,
     /* 1945671 */   // Label 26019: @1945671
     /* 1945671 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1945762), // Rule ID 15238 //
     /* 1945676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1945687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1945690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1945693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1945702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945722 */     // MIs[0] round
     /* 1945722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945725 */     // MIs[0] policy
     /* 1945725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1945738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945761 */     // GIR_Coverage, 15238,
     /* 1945761 */     GIR_EraseRootFromParent_Done,
     /* 1945762 */   // Label 26020: @1945762
     /* 1945762 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1945853), // Rule ID 15239 //
     /* 1945767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1945778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1945781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1945784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945813 */     // MIs[0] round
     /* 1945813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945816 */     // MIs[0] policy
     /* 1945816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1945829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945852 */     // GIR_Coverage, 15239,
     /* 1945852 */     GIR_EraseRootFromParent_Done,
     /* 1945853 */   // Label 26021: @1945853
     /* 1945853 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1945944), // Rule ID 15242 //
     /* 1945858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1945884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945904 */     // MIs[0] round
     /* 1945904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945907 */     // MIs[0] policy
     /* 1945907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1945910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945917 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1945920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1945932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1945942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945943 */     // GIR_Coverage, 15242,
     /* 1945943 */     GIR_EraseRootFromParent_Done,
     /* 1945944 */   // Label 26022: @1945944
     /* 1945944 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1946035), // Rule ID 15243 //
     /* 1945949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1945957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1945975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945995 */     // MIs[0] round
     /* 1945995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1945998 */     // MIs[0] policy
     /* 1945998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 1946011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946034 */     // GIR_Coverage, 15243,
     /* 1946034 */     GIR_EraseRootFromParent_Done,
     /* 1946035 */   // Label 26023: @1946035
     /* 1946035 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1946126), // Rule ID 15246 //
     /* 1946040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946086 */     // MIs[0] round
     /* 1946086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946089 */     // MIs[0] policy
     /* 1946089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946125 */     // GIR_Coverage, 15246,
     /* 1946125 */     GIR_EraseRootFromParent_Done,
     /* 1946126 */   // Label 26024: @1946126
     /* 1946126 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1946217), // Rule ID 15247 //
     /* 1946131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1946157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946177 */     // MIs[0] round
     /* 1946177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946180 */     // MIs[0] policy
     /* 1946180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946216 */     // GIR_Coverage, 15247,
     /* 1946216 */     GIR_EraseRootFromParent_Done,
     /* 1946217 */   // Label 26025: @1946217
     /* 1946217 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1946308), // Rule ID 15250 //
     /* 1946222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1946233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1946236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1946239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946268 */     // MIs[0] round
     /* 1946268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946271 */     // MIs[0] policy
     /* 1946271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946281 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946307 */     // GIR_Coverage, 15250,
     /* 1946307 */     GIR_EraseRootFromParent_Done,
     /* 1946308 */   // Label 26026: @1946308
     /* 1946308 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1946399), // Rule ID 15251 //
     /* 1946313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1946324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1946327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1946330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1946339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946359 */     // MIs[0] round
     /* 1946359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946362 */     // MIs[0] policy
     /* 1946362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946398 */     // GIR_Coverage, 15251,
     /* 1946398 */     GIR_EraseRootFromParent_Done,
     /* 1946399 */   // Label 26027: @1946399
     /* 1946399 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1946490), // Rule ID 15254 //
     /* 1946404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946450 */     // MIs[0] round
     /* 1946450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946453 */     // MIs[0] policy
     /* 1946453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946489 */     // GIR_Coverage, 15254,
     /* 1946489 */     GIR_EraseRootFromParent_Done,
     /* 1946490 */   // Label 26028: @1946490
     /* 1946490 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1946581), // Rule ID 15255 //
     /* 1946495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1946521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946541 */     // MIs[0] round
     /* 1946541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946544 */     // MIs[0] policy
     /* 1946544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946580 */     // GIR_Coverage, 15255,
     /* 1946580 */     GIR_EraseRootFromParent_Done,
     /* 1946581 */   // Label 26029: @1946581
     /* 1946581 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1946672), // Rule ID 15258 //
     /* 1946586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1946589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946632 */     // MIs[0] round
     /* 1946632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946635 */     // MIs[0] policy
     /* 1946635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946671 */     // GIR_Coverage, 15258,
     /* 1946671 */     GIR_EraseRootFromParent_Done,
     /* 1946672 */   // Label 26030: @1946672
     /* 1946672 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1946763), // Rule ID 15259 //
     /* 1946677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1946680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1946703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946723 */     // MIs[0] round
     /* 1946723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946726 */     // MIs[0] policy
     /* 1946726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 1946739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946762 */     // GIR_Coverage, 15259,
     /* 1946762 */     GIR_EraseRootFromParent_Done,
     /* 1946763 */   // Label 26031: @1946763
     /* 1946763 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1946854), // Rule ID 15262 //
     /* 1946768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1946779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1946782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1946785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946814 */     // MIs[0] round
     /* 1946814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946817 */     // MIs[0] policy
     /* 1946817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1946830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946853 */     // GIR_Coverage, 15262,
     /* 1946853 */     GIR_EraseRootFromParent_Done,
     /* 1946854 */   // Label 26032: @1946854
     /* 1946854 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1946945), // Rule ID 15263 //
     /* 1946859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1946870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1946873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1946876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1946885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946905 */     // MIs[0] round
     /* 1946905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946908 */     // MIs[0] policy
     /* 1946908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1946911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1946921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1946933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1946943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946944 */     // GIR_Coverage, 15263,
     /* 1946944 */     GIR_EraseRootFromParent_Done,
     /* 1946945 */   // Label 26033: @1946945
     /* 1946945 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1947036), // Rule ID 15266 //
     /* 1946950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1946958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1946961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1946964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1946967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1946976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946996 */     // MIs[0] round
     /* 1946996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1946999 */     // MIs[0] policy
     /* 1946999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1947012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947035 */     // GIR_Coverage, 15266,
     /* 1947035 */     GIR_EraseRootFromParent_Done,
     /* 1947036 */   // Label 26034: @1947036
     /* 1947036 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1947127), // Rule ID 15267 //
     /* 1947041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1947052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1947055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1947058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947087 */     // MIs[0] round
     /* 1947087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947090 */     // MIs[0] policy
     /* 1947090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947100 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1947103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947126 */     // GIR_Coverage, 15267,
     /* 1947126 */     GIR_EraseRootFromParent_Done,
     /* 1947127 */   // Label 26035: @1947127
     /* 1947127 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1947218), // Rule ID 15270 //
     /* 1947132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1947143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1947146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1947149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1947155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1947158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947178 */     // MIs[0] round
     /* 1947178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947181 */     // MIs[0] policy
     /* 1947181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947191 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1947194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947217 */     // GIR_Coverage, 15270,
     /* 1947217 */     GIR_EraseRootFromParent_Done,
     /* 1947218 */   // Label 26036: @1947218
     /* 1947218 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1947309), // Rule ID 15271 //
     /* 1947223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1947234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1947237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1947240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1947246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947269 */     // MIs[0] round
     /* 1947269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947272 */     // MIs[0] policy
     /* 1947272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1947285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947308 */     // GIR_Coverage, 15271,
     /* 1947308 */     GIR_EraseRootFromParent_Done,
     /* 1947309 */   // Label 26037: @1947309
     /* 1947309 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1947400), // Rule ID 15274 //
     /* 1947314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1947340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947360 */     // MIs[0] round
     /* 1947360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947363 */     // MIs[0] policy
     /* 1947363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947373 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1947376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947399 */     // GIR_Coverage, 15274,
     /* 1947399 */     GIR_EraseRootFromParent_Done,
     /* 1947400 */   // Label 26038: @1947400
     /* 1947400 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1947491), // Rule ID 15275 //
     /* 1947405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947451 */     // MIs[0] round
     /* 1947451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947454 */     // MIs[0] policy
     /* 1947454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1947467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947490 */     // GIR_Coverage, 15275,
     /* 1947490 */     GIR_EraseRootFromParent_Done,
     /* 1947491 */   // Label 26039: @1947491
     /* 1947491 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1947582), // Rule ID 15278 //
     /* 1947496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1947507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1947510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1947513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1947522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947542 */     // MIs[0] round
     /* 1947542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947545 */     // MIs[0] policy
     /* 1947545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1947558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947581 */     // GIR_Coverage, 15278,
     /* 1947581 */     GIR_EraseRootFromParent_Done,
     /* 1947582 */   // Label 26040: @1947582
     /* 1947582 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1947673), // Rule ID 15279 //
     /* 1947587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1947598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1947601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1947604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947633 */     // MIs[0] round
     /* 1947633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947636 */     // MIs[0] policy
     /* 1947636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947646 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1947649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947672 */     // GIR_Coverage, 15279,
     /* 1947672 */     GIR_EraseRootFromParent_Done,
     /* 1947673 */   // Label 26041: @1947673
     /* 1947673 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1947764), // Rule ID 15282 //
     /* 1947678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1947689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1947692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1947695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1947704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947724 */     // MIs[0] round
     /* 1947724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947727 */     // MIs[0] policy
     /* 1947727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947737 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1947740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947763 */     // GIR_Coverage, 15282,
     /* 1947763 */     GIR_EraseRootFromParent_Done,
     /* 1947764 */   // Label 26042: @1947764
     /* 1947764 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1947855), // Rule ID 15283 //
     /* 1947769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1947780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1947783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1947786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947815 */     // MIs[0] round
     /* 1947815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947818 */     // MIs[0] policy
     /* 1947818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1947831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947854 */     // GIR_Coverage, 15283,
     /* 1947854 */     GIR_EraseRootFromParent_Done,
     /* 1947855 */   // Label 26043: @1947855
     /* 1947855 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1947946), // Rule ID 15286 //
     /* 1947860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1947871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1947874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1947877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1947886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947906 */     // MIs[0] round
     /* 1947906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1947909 */     // MIs[0] policy
     /* 1947909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1947912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1947922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1947934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1947944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947945 */     // GIR_Coverage, 15286,
     /* 1947945 */     GIR_EraseRootFromParent_Done,
     /* 1947946 */   // Label 26044: @1947946
     /* 1947946 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1948037), // Rule ID 15287 //
     /* 1947951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1947959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1947962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1947965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1947968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1947977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947997 */     // MIs[0] round
     /* 1947997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948000 */     // MIs[0] policy
     /* 1948000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1948013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948036 */     // GIR_Coverage, 15287,
     /* 1948036 */     GIR_EraseRootFromParent_Done,
     /* 1948037 */   // Label 26045: @1948037
     /* 1948037 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1948128), // Rule ID 15290 //
     /* 1948042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948088 */     // MIs[0] round
     /* 1948088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948091 */     // MIs[0] policy
     /* 1948091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1948104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948127 */     // GIR_Coverage, 15290,
     /* 1948127 */     GIR_EraseRootFromParent_Done,
     /* 1948128 */   // Label 26046: @1948128
     /* 1948128 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1948219), // Rule ID 15291 //
     /* 1948133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1948159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948179 */     // MIs[0] round
     /* 1948179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948182 */     // MIs[0] policy
     /* 1948182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1948195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948218 */     // GIR_Coverage, 15291,
     /* 1948218 */     GIR_EraseRootFromParent_Done,
     /* 1948219 */   // Label 26047: @1948219
     /* 1948219 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1948310), // Rule ID 15294 //
     /* 1948224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948270 */     // MIs[0] round
     /* 1948270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948273 */     // MIs[0] policy
     /* 1948273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1948286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948309 */     // GIR_Coverage, 15294,
     /* 1948309 */     GIR_EraseRootFromParent_Done,
     /* 1948310 */   // Label 26048: @1948310
     /* 1948310 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1948401), // Rule ID 15295 //
     /* 1948315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1948341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948361 */     // MIs[0] round
     /* 1948361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948364 */     // MIs[0] policy
     /* 1948364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1948377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948400 */     // GIR_Coverage, 15295,
     /* 1948400 */     GIR_EraseRootFromParent_Done,
     /* 1948401 */   // Label 26049: @1948401
     /* 1948401 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1948492), // Rule ID 15298 //
     /* 1948406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1948409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1948417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1948420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1948423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948452 */     // MIs[0] round
     /* 1948452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948455 */     // MIs[0] policy
     /* 1948455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948465 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1948468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948491 */     // GIR_Coverage, 15298,
     /* 1948491 */     GIR_EraseRootFromParent_Done,
     /* 1948492 */   // Label 26050: @1948492
     /* 1948492 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1948583), // Rule ID 15299 //
     /* 1948497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1948500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1948508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1948511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1948514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1948523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948543 */     // MIs[0] round
     /* 1948543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948546 */     // MIs[0] policy
     /* 1948546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 1948559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948582 */     // GIR_Coverage, 15299,
     /* 1948582 */     GIR_EraseRootFromParent_Done,
     /* 1948583 */   // Label 26051: @1948583
     /* 1948583 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1948674), // Rule ID 15302 //
     /* 1948588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1948591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1948599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1948602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1948605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948634 */     // MIs[0] round
     /* 1948634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948637 */     // MIs[0] policy
     /* 1948637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1948650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948673 */     // GIR_Coverage, 15302,
     /* 1948673 */     GIR_EraseRootFromParent_Done,
     /* 1948674 */   // Label 26052: @1948674
     /* 1948674 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1948765), // Rule ID 15303 //
     /* 1948679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1948682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1948690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1948693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1948696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1948705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948725 */     // MIs[0] round
     /* 1948725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948728 */     // MIs[0] policy
     /* 1948728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 1948741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948764 */     // GIR_Coverage, 15303,
     /* 1948764 */     GIR_EraseRootFromParent_Done,
     /* 1948765 */   // Label 26053: @1948765
     /* 1948765 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1948856), // Rule ID 15306 //
     /* 1948770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1948773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1948781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1948784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1948787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948816 */     // MIs[0] round
     /* 1948816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948819 */     // MIs[0] policy
     /* 1948819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1948832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948855 */     // GIR_Coverage, 15306,
     /* 1948855 */     GIR_EraseRootFromParent_Done,
     /* 1948856 */   // Label 26054: @1948856
     /* 1948856 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1948947), // Rule ID 15307 //
     /* 1948861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1948864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 1948869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1948872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1948875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1948878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1948887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948907 */     // MIs[0] round
     /* 1948907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1948910 */     // MIs[0] policy
     /* 1948910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1948913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948920 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 1948923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1948935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1948945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948946 */     // GIR_Coverage, 15307,
     /* 1948946 */     GIR_EraseRootFromParent_Done,
     /* 1948947 */   // Label 26055: @1948947
     /* 1948947 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1949038), // Rule ID 15310 //
     /* 1948952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1948960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1948963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1948966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1948969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1948972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1948978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948998 */     // MIs[0] round
     /* 1948998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949001 */     // MIs[0] policy
     /* 1949001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 1949014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949037 */     // GIR_Coverage, 15310,
     /* 1949037 */     GIR_EraseRootFromParent_Done,
     /* 1949038 */   // Label 26056: @1949038
     /* 1949038 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1949129), // Rule ID 15311 //
     /* 1949043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1949054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1949057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1949060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1949063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949089 */     // MIs[0] round
     /* 1949089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949092 */     // MIs[0] policy
     /* 1949092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949102 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 1949105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949128 */     // GIR_Coverage, 15311,
     /* 1949128 */     GIR_EraseRootFromParent_Done,
     /* 1949129 */   // Label 26057: @1949129
     /* 1949129 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1949220), // Rule ID 15314 //
     /* 1949134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1949145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1949148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1949151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1949154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1949160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949180 */     // MIs[0] round
     /* 1949180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949183 */     // MIs[0] policy
     /* 1949183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 1949196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949219 */     // GIR_Coverage, 15314,
     /* 1949219 */     GIR_EraseRootFromParent_Done,
     /* 1949220 */   // Label 26058: @1949220
     /* 1949220 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1949311), // Rule ID 15315 //
     /* 1949225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1949236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1949239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1949242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1949245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949271 */     // MIs[0] round
     /* 1949271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949274 */     // MIs[0] policy
     /* 1949274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 1949287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949310 */     // GIR_Coverage, 15315,
     /* 1949310 */     GIR_EraseRootFromParent_Done,
     /* 1949311 */   // Label 26059: @1949311
     /* 1949311 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1949402), // Rule ID 15318 //
     /* 1949316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1949327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1949330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1949333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1949336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1949342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949362 */     // MIs[0] round
     /* 1949362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949365 */     // MIs[0] policy
     /* 1949365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1949378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949401 */     // GIR_Coverage, 15318,
     /* 1949401 */     GIR_EraseRootFromParent_Done,
     /* 1949402 */   // Label 26060: @1949402
     /* 1949402 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1949493), // Rule ID 15319 //
     /* 1949407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1949418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1949421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1949424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1949427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949453 */     // MIs[0] round
     /* 1949453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949456 */     // MIs[0] policy
     /* 1949456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1949469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1949489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949492 */     // GIR_Coverage, 15319,
     /* 1949492 */     GIR_EraseRootFromParent_Done,
     /* 1949493 */   // Label 26061: @1949493
     /* 1949493 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1949584), // Rule ID 15322 //
     /* 1949498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1949509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1949512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1949515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1949524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949544 */     // MIs[0] round
     /* 1949544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949547 */     // MIs[0] policy
     /* 1949547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949557 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 1949560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949583 */     // GIR_Coverage, 15322,
     /* 1949583 */     GIR_EraseRootFromParent_Done,
     /* 1949584 */   // Label 26062: @1949584
     /* 1949584 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1949675), // Rule ID 15323 //
     /* 1949589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1949600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1949603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1949606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949635 */     // MIs[0] round
     /* 1949635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949638 */     // MIs[0] policy
     /* 1949638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 1949651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949674 */     // GIR_Coverage, 15323,
     /* 1949674 */     GIR_EraseRootFromParent_Done,
     /* 1949675 */   // Label 26063: @1949675
     /* 1949675 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1949766), // Rule ID 15326 //
     /* 1949680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1949691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1949694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1949697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1949706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949726 */     // MIs[0] round
     /* 1949726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949729 */     // MIs[0] policy
     /* 1949729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1949742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949765 */     // GIR_Coverage, 15326,
     /* 1949765 */     GIR_EraseRootFromParent_Done,
     /* 1949766 */   // Label 26064: @1949766
     /* 1949766 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1949857), // Rule ID 15327 //
     /* 1949771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1949782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1949785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1949788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949817 */     // MIs[0] round
     /* 1949817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949820 */     // MIs[0] policy
     /* 1949820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1949833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949856 */     // GIR_Coverage, 15327,
     /* 1949856 */     GIR_EraseRootFromParent_Done,
     /* 1949857 */   // Label 26065: @1949857
     /* 1949857 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1949948), // Rule ID 15330 //
     /* 1949862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1949865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1949882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1949888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949908 */     // MIs[0] round
     /* 1949908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1949911 */     // MIs[0] policy
     /* 1949911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1949914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1949924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1949936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1949946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949947 */     // GIR_Coverage, 15330,
     /* 1949947 */     GIR_EraseRootFromParent_Done,
     /* 1949948 */   // Label 26066: @1949948
     /* 1949948 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1950039), // Rule ID 15331 //
     /* 1949953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1949956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1949961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1949973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1949979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949999 */     // MIs[0] round
     /* 1949999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950002 */     // MIs[0] policy
     /* 1950002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 1950015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950038 */     // GIR_Coverage, 15331,
     /* 1950038 */     GIR_EraseRootFromParent_Done,
     /* 1950039 */   // Label 26067: @1950039
     /* 1950039 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1950130), // Rule ID 15334 //
     /* 1950044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1950055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1950058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1950061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1950064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950090 */     // MIs[0] round
     /* 1950090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950093 */     // MIs[0] policy
     /* 1950093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950129 */     // GIR_Coverage, 15334,
     /* 1950129 */     GIR_EraseRootFromParent_Done,
     /* 1950130 */   // Label 26068: @1950130
     /* 1950130 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1950221), // Rule ID 15335 //
     /* 1950135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1950146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1950149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1950152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1950155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1950161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950181 */     // MIs[0] round
     /* 1950181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950184 */     // MIs[0] policy
     /* 1950184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950220 */     // GIR_Coverage, 15335,
     /* 1950220 */     GIR_EraseRootFromParent_Done,
     /* 1950221 */   // Label 26069: @1950221
     /* 1950221 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1950312), // Rule ID 15338 //
     /* 1950226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1950237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1950240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1950243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950272 */     // MIs[0] round
     /* 1950272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950275 */     // MIs[0] policy
     /* 1950275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950311 */     // GIR_Coverage, 15338,
     /* 1950311 */     GIR_EraseRootFromParent_Done,
     /* 1950312 */   // Label 26070: @1950312
     /* 1950312 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1950403), // Rule ID 15339 //
     /* 1950317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1950328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1950331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1950334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1950343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950363 */     // MIs[0] round
     /* 1950363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950366 */     // MIs[0] policy
     /* 1950366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950402 */     // GIR_Coverage, 15339,
     /* 1950402 */     GIR_EraseRootFromParent_Done,
     /* 1950403 */   // Label 26071: @1950403
     /* 1950403 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1950494), // Rule ID 15342 //
     /* 1950408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950454 */     // MIs[0] round
     /* 1950454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950457 */     // MIs[0] policy
     /* 1950457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950493 */     // GIR_Coverage, 15342,
     /* 1950493 */     GIR_EraseRootFromParent_Done,
     /* 1950494 */   // Label 26072: @1950494
     /* 1950494 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1950585), // Rule ID 15343 //
     /* 1950499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1950519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1950525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950545 */     // MIs[0] round
     /* 1950545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950548 */     // MIs[0] policy
     /* 1950548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950584 */     // GIR_Coverage, 15343,
     /* 1950584 */     GIR_EraseRootFromParent_Done,
     /* 1950585 */   // Label 26073: @1950585
     /* 1950585 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1950676), // Rule ID 15346 //
     /* 1950590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1950593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950636 */     // MIs[0] round
     /* 1950636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950639 */     // MIs[0] policy
     /* 1950639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950649 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950675 */     // GIR_Coverage, 15346,
     /* 1950675 */     GIR_EraseRootFromParent_Done,
     /* 1950676 */   // Label 26074: @1950676
     /* 1950676 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1950767), // Rule ID 15347 //
     /* 1950681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1950684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1950701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1950707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950727 */     // MIs[0] round
     /* 1950727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950730 */     // MIs[0] policy
     /* 1950730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 1950743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950766 */     // GIR_Coverage, 15347,
     /* 1950766 */     GIR_EraseRootFromParent_Done,
     /* 1950767 */   // Label 26075: @1950767
     /* 1950767 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1950858), // Rule ID 15350 //
     /* 1950772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1950783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1950786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1950789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1950792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950818 */     // MIs[0] round
     /* 1950818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950821 */     // MIs[0] policy
     /* 1950821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950831 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1950834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950857 */     // GIR_Coverage, 15350,
     /* 1950857 */     GIR_EraseRootFromParent_Done,
     /* 1950858 */   // Label 26076: @1950858
     /* 1950858 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1950949), // Rule ID 15351 //
     /* 1950863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1950874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1950877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1950880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1950883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1950889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950909 */     // MIs[0] round
     /* 1950909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1950912 */     // MIs[0] policy
     /* 1950912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1950915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1950925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1950937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1950947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950948 */     // GIR_Coverage, 15351,
     /* 1950948 */     GIR_EraseRootFromParent_Done,
     /* 1950949 */   // Label 26077: @1950949
     /* 1950949 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1951040), // Rule ID 15354 //
     /* 1950954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1950962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1950965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1950968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1950971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1950974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1950977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1950980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951000 */     // MIs[0] round
     /* 1951000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951003 */     // MIs[0] policy
     /* 1951003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951013 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1951016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951039 */     // GIR_Coverage, 15354,
     /* 1951039 */     GIR_EraseRootFromParent_Done,
     /* 1951040 */   // Label 26078: @1951040
     /* 1951040 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1951131), // Rule ID 15355 //
     /* 1951045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1951056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1951059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1951062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1951065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951091 */     // MIs[0] round
     /* 1951091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951094 */     // MIs[0] policy
     /* 1951094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951104 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1951107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951130 */     // GIR_Coverage, 15355,
     /* 1951130 */     GIR_EraseRootFromParent_Done,
     /* 1951131 */   // Label 26079: @1951131
     /* 1951131 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1951222), // Rule ID 15358 //
     /* 1951136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1951147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1951150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1951153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1951156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1951159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1951162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951182 */     // MIs[0] round
     /* 1951182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951185 */     // MIs[0] policy
     /* 1951185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1951198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951221 */     // GIR_Coverage, 15358,
     /* 1951221 */     GIR_EraseRootFromParent_Done,
     /* 1951222 */   // Label 26080: @1951222
     /* 1951222 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1951313), // Rule ID 15359 //
     /* 1951227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1951238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1951241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1951244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1951247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1951250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951273 */     // MIs[0] round
     /* 1951273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951276 */     // MIs[0] policy
     /* 1951276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1951289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951312 */     // GIR_Coverage, 15359,
     /* 1951312 */     GIR_EraseRootFromParent_Done,
     /* 1951313 */   // Label 26081: @1951313
     /* 1951313 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1951404), // Rule ID 15362 //
     /* 1951318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1951329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1951332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1951335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1951344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951364 */     // MIs[0] round
     /* 1951364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951367 */     // MIs[0] policy
     /* 1951367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1951380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951403 */     // GIR_Coverage, 15362,
     /* 1951403 */     GIR_EraseRootFromParent_Done,
     /* 1951404 */   // Label 26082: @1951404
     /* 1951404 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1951495), // Rule ID 15363 //
     /* 1951409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1951420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1951423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1951426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951455 */     // MIs[0] round
     /* 1951455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951458 */     // MIs[0] policy
     /* 1951458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1951471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951494 */     // GIR_Coverage, 15363,
     /* 1951494 */     GIR_EraseRootFromParent_Done,
     /* 1951495 */   // Label 26083: @1951495
     /* 1951495 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1951586), // Rule ID 15366 //
     /* 1951500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1951511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1951514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1951517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1951520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1951526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951546 */     // MIs[0] round
     /* 1951546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951549 */     // MIs[0] policy
     /* 1951549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951559 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1951562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951585 */     // GIR_Coverage, 15366,
     /* 1951585 */     GIR_EraseRootFromParent_Done,
     /* 1951586 */   // Label 26084: @1951586
     /* 1951586 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1951677), // Rule ID 15367 //
     /* 1951591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1951602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1951605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1951608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1951611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951637 */     // MIs[0] round
     /* 1951637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951640 */     // MIs[0] policy
     /* 1951640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1951653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951676 */     // GIR_Coverage, 15367,
     /* 1951676 */     GIR_EraseRootFromParent_Done,
     /* 1951677 */   // Label 26085: @1951677
     /* 1951677 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1951768), // Rule ID 15370 //
     /* 1951682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1951693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1951696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1951699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1951702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1951708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951728 */     // MIs[0] round
     /* 1951728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951731 */     // MIs[0] policy
     /* 1951731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951741 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1951744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951767 */     // GIR_Coverage, 15370,
     /* 1951767 */     GIR_EraseRootFromParent_Done,
     /* 1951768 */   // Label 26086: @1951768
     /* 1951768 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1951859), // Rule ID 15371 //
     /* 1951773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1951784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1951787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1951790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1951793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1951796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951819 */     // MIs[0] round
     /* 1951819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951822 */     // MIs[0] policy
     /* 1951822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1951835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951858 */     // GIR_Coverage, 15371,
     /* 1951858 */     GIR_EraseRootFromParent_Done,
     /* 1951859 */   // Label 26087: @1951859
     /* 1951859 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1951950), // Rule ID 15374 //
     /* 1951864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1951890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951910 */     // MIs[0] round
     /* 1951910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1951913 */     // MIs[0] policy
     /* 1951913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1951916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1951926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1951938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1951948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951949 */     // GIR_Coverage, 15374,
     /* 1951949 */     GIR_EraseRootFromParent_Done,
     /* 1951950 */   // Label 26088: @1951950
     /* 1951950 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1952041), // Rule ID 15375 //
     /* 1951955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1951963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1951975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1951981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952001 */     // MIs[0] round
     /* 1952001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952004 */     // MIs[0] policy
     /* 1952004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1952017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952040 */     // GIR_Coverage, 15375,
     /* 1952040 */     GIR_EraseRootFromParent_Done,
     /* 1952041 */   // Label 26089: @1952041
     /* 1952041 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1952132), // Rule ID 15378 //
     /* 1952046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1952066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952092 */     // MIs[0] round
     /* 1952092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952095 */     // MIs[0] policy
     /* 1952095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952105 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1952108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952131 */     // GIR_Coverage, 15378,
     /* 1952131 */     GIR_EraseRootFromParent_Done,
     /* 1952132 */   // Label 26090: @1952132
     /* 1952132 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1952223), // Rule ID 15379 //
     /* 1952137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1952157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1952163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952183 */     // MIs[0] round
     /* 1952183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952186 */     // MIs[0] policy
     /* 1952186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1952199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952222 */     // GIR_Coverage, 15379,
     /* 1952222 */     GIR_EraseRootFromParent_Done,
     /* 1952223 */   // Label 26091: @1952223
     /* 1952223 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1952314), // Rule ID 15382 //
     /* 1952228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1952248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952274 */     // MIs[0] round
     /* 1952274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952277 */     // MIs[0] policy
     /* 1952277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1952290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952313 */     // GIR_Coverage, 15382,
     /* 1952313 */     GIR_EraseRootFromParent_Done,
     /* 1952314 */   // Label 26092: @1952314
     /* 1952314 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1952405), // Rule ID 15383 //
     /* 1952319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1952330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1952333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1952336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1952339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1952345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952365 */     // MIs[0] round
     /* 1952365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952368 */     // MIs[0] policy
     /* 1952368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952378 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1952381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952404 */     // GIR_Coverage, 15383,
     /* 1952404 */     GIR_EraseRootFromParent_Done,
     /* 1952405 */   // Label 26093: @1952405
     /* 1952405 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1952496), // Rule ID 15386 //
     /* 1952410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1952413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1952430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952456 */     // MIs[0] round
     /* 1952456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952459 */     // MIs[0] policy
     /* 1952459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1952472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952495 */     // GIR_Coverage, 15386,
     /* 1952495 */     GIR_EraseRootFromParent_Done,
     /* 1952496 */   // Label 26094: @1952496
     /* 1952496 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1952587), // Rule ID 15387 //
     /* 1952501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1952504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1952512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1952515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1952518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1952521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1952527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952547 */     // MIs[0] round
     /* 1952547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952550 */     // MIs[0] policy
     /* 1952550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 1952563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952586 */     // GIR_Coverage, 15387,
     /* 1952586 */     GIR_EraseRootFromParent_Done,
     /* 1952587 */   // Label 26095: @1952587
     /* 1952587 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1952678), // Rule ID 15390 //
     /* 1952592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1952595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1952603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1952606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1952609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1952612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952638 */     // MIs[0] round
     /* 1952638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952641 */     // MIs[0] policy
     /* 1952641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1952654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952677 */     // GIR_Coverage, 15390,
     /* 1952677 */     GIR_EraseRootFromParent_Done,
     /* 1952678 */   // Label 26096: @1952678
     /* 1952678 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1952769), // Rule ID 15391 //
     /* 1952683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1952686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1952694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1952697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1952700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1952703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1952709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952729 */     // MIs[0] round
     /* 1952729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952732 */     // MIs[0] policy
     /* 1952732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 1952745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952768 */     // GIR_Coverage, 15391,
     /* 1952768 */     GIR_EraseRootFromParent_Done,
     /* 1952769 */   // Label 26097: @1952769
     /* 1952769 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1952860), // Rule ID 15394 //
     /* 1952774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1952777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952820 */     // MIs[0] round
     /* 1952820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952823 */     // MIs[0] policy
     /* 1952823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1952836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952859 */     // GIR_Coverage, 15394,
     /* 1952859 */     GIR_EraseRootFromParent_Done,
     /* 1952860 */   // Label 26098: @1952860
     /* 1952860 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1952951), // Rule ID 15395 //
     /* 1952865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1952868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1952885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1952891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952911 */     // MIs[0] round
     /* 1952911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1952914 */     // MIs[0] policy
     /* 1952914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1952917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 1952927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1952939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1952949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952950 */     // GIR_Coverage, 15395,
     /* 1952950 */     GIR_EraseRootFromParent_Done,
     /* 1952951 */   // Label 26099: @1952951
     /* 1952951 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1953042), // Rule ID 15398 //
     /* 1952956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1952964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1952967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1952970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1952973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1952976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1952982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953002 */     // MIs[0] round
     /* 1953002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953005 */     // MIs[0] policy
     /* 1953005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953015 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 1953018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953041 */     // GIR_Coverage, 15398,
     /* 1953041 */     GIR_EraseRootFromParent_Done,
     /* 1953042 */   // Label 26100: @1953042
     /* 1953042 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1953133), // Rule ID 15399 //
     /* 1953047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1953058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1953061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1953064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953093 */     // MIs[0] round
     /* 1953093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953096 */     // MIs[0] policy
     /* 1953096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 1953109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953132 */     // GIR_Coverage, 15399,
     /* 1953132 */     GIR_EraseRootFromParent_Done,
     /* 1953133 */   // Label 26101: @1953133
     /* 1953133 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1953224), // Rule ID 15402 //
     /* 1953138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1953149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1953152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1953155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1953164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953184 */     // MIs[0] round
     /* 1953184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953187 */     // MIs[0] policy
     /* 1953187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 1953200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953223 */     // GIR_Coverage, 15402,
     /* 1953223 */     GIR_EraseRootFromParent_Done,
     /* 1953224 */   // Label 26102: @1953224
     /* 1953224 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1953315), // Rule ID 15403 //
     /* 1953229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1953240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1953243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1953246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953275 */     // MIs[0] round
     /* 1953275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953278 */     // MIs[0] policy
     /* 1953278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 1953291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953314 */     // GIR_Coverage, 15403,
     /* 1953314 */     GIR_EraseRootFromParent_Done,
     /* 1953315 */   // Label 26103: @1953315
     /* 1953315 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1953406), // Rule ID 15406 //
     /* 1953320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1953331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1953334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1953337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1953346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953366 */     // MIs[0] round
     /* 1953366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953369 */     // MIs[0] policy
     /* 1953369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1953382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953405 */     // GIR_Coverage, 15406,
     /* 1953405 */     GIR_EraseRootFromParent_Done,
     /* 1953406 */   // Label 26104: @1953406
     /* 1953406 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1953497), // Rule ID 15407 //
     /* 1953411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1953422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1953425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1953428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953457 */     // MIs[0] round
     /* 1953457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953460 */     // MIs[0] policy
     /* 1953460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1953473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953496 */     // GIR_Coverage, 15407,
     /* 1953496 */     GIR_EraseRootFromParent_Done,
     /* 1953497 */   // Label 26105: @1953497
     /* 1953497 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1953588), // Rule ID 15410 //
     /* 1953502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1953528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953548 */     // MIs[0] round
     /* 1953548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953551 */     // MIs[0] policy
     /* 1953551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 1953564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953587 */     // GIR_Coverage, 15410,
     /* 1953587 */     GIR_EraseRootFromParent_Done,
     /* 1953588 */   // Label 26106: @1953588
     /* 1953588 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1953679), // Rule ID 15411 //
     /* 1953593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953639 */     // MIs[0] round
     /* 1953639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953642 */     // MIs[0] policy
     /* 1953642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 1953655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953678 */     // GIR_Coverage, 15411,
     /* 1953678 */     GIR_EraseRootFromParent_Done,
     /* 1953679 */   // Label 26107: @1953679
     /* 1953679 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1953770), // Rule ID 15414 //
     /* 1953684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1953710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953730 */     // MIs[0] round
     /* 1953730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953733 */     // MIs[0] policy
     /* 1953733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1953746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953769 */     // GIR_Coverage, 15414,
     /* 1953769 */     GIR_EraseRootFromParent_Done,
     /* 1953770 */   // Label 26108: @1953770
     /* 1953770 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1953861), // Rule ID 15415 //
     /* 1953775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953821 */     // MIs[0] round
     /* 1953821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953824 */     // MIs[0] policy
     /* 1953824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1953837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953860 */     // GIR_Coverage, 15415,
     /* 1953860 */     GIR_EraseRootFromParent_Done,
     /* 1953861 */   // Label 26109: @1953861
     /* 1953861 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1953952), // Rule ID 15418 //
     /* 1953866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1953877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1953880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1953883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1953892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953912 */     // MIs[0] round
     /* 1953912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1953915 */     // MIs[0] policy
     /* 1953915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1953918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1953928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1953940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1953950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953951 */     // GIR_Coverage, 15418,
     /* 1953951 */     GIR_EraseRootFromParent_Done,
     /* 1953952 */   // Label 26110: @1953952
     /* 1953952 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1954043), // Rule ID 15419 //
     /* 1953957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1953965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1953968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1953971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1953974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1953983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954003 */     // MIs[0] round
     /* 1954003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954006 */     // MIs[0] policy
     /* 1954006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 1954019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954042 */     // GIR_Coverage, 15419,
     /* 1954042 */     GIR_EraseRootFromParent_Done,
     /* 1954043 */   // Label 26111: @1954043
     /* 1954043 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1954134), // Rule ID 15422 //
     /* 1954048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954094 */     // MIs[0] round
     /* 1954094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954097 */     // MIs[0] policy
     /* 1954097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954133 */     // GIR_Coverage, 15422,
     /* 1954133 */     GIR_EraseRootFromParent_Done,
     /* 1954134 */   // Label 26112: @1954134
     /* 1954134 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1954225), // Rule ID 15423 //
     /* 1954139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1954150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1954153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1954156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1954165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954185 */     // MIs[0] round
     /* 1954185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954188 */     // MIs[0] policy
     /* 1954188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954224 */     // GIR_Coverage, 15423,
     /* 1954224 */     GIR_EraseRootFromParent_Done,
     /* 1954225 */   // Label 26113: @1954225
     /* 1954225 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1954316), // Rule ID 15426 //
     /* 1954230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954276 */     // MIs[0] round
     /* 1954276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954279 */     // MIs[0] policy
     /* 1954279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954315 */     // GIR_Coverage, 15426,
     /* 1954315 */     GIR_EraseRootFromParent_Done,
     /* 1954316 */   // Label 26114: @1954316
     /* 1954316 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1954407), // Rule ID 15427 //
     /* 1954321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1954347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954367 */     // MIs[0] round
     /* 1954367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954370 */     // MIs[0] policy
     /* 1954370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954406 */     // GIR_Coverage, 15427,
     /* 1954406 */     GIR_EraseRootFromParent_Done,
     /* 1954407 */   // Label 26115: @1954407
     /* 1954407 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1954498), // Rule ID 15430 //
     /* 1954412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954458 */     // MIs[0] round
     /* 1954458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954461 */     // MIs[0] policy
     /* 1954461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954497 */     // GIR_Coverage, 15430,
     /* 1954497 */     GIR_EraseRootFromParent_Done,
     /* 1954498 */   // Label 26116: @1954498
     /* 1954498 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1954589), // Rule ID 15431 //
     /* 1954503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1954529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954549 */     // MIs[0] round
     /* 1954549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954552 */     // MIs[0] policy
     /* 1954552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954588 */     // GIR_Coverage, 15431,
     /* 1954588 */     GIR_EraseRootFromParent_Done,
     /* 1954589 */   // Label 26117: @1954589
     /* 1954589 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1954680), // Rule ID 15434 //
     /* 1954594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1954597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1954611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954640 */     // MIs[0] round
     /* 1954640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954643 */     // MIs[0] policy
     /* 1954643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954679 */     // GIR_Coverage, 15434,
     /* 1954679 */     GIR_EraseRootFromParent_Done,
     /* 1954680 */   // Label 26118: @1954680
     /* 1954680 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1954771), // Rule ID 15435 //
     /* 1954685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1954688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1954702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1954711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954731 */     // MIs[0] round
     /* 1954731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954734 */     // MIs[0] policy
     /* 1954734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 1954747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954770 */     // GIR_Coverage, 15435,
     /* 1954770 */     GIR_EraseRootFromParent_Done,
     /* 1954771 */   // Label 26119: @1954771
     /* 1954771 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1954862), // Rule ID 15438 //
     /* 1954776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1954787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1954790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1954793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954822 */     // MIs[0] round
     /* 1954822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954825 */     // MIs[0] policy
     /* 1954825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1954838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954861 */     // GIR_Coverage, 15438,
     /* 1954861 */     GIR_EraseRootFromParent_Done,
     /* 1954862 */   // Label 26120: @1954862
     /* 1954862 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1954953), // Rule ID 15439 //
     /* 1954867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1954878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1954881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1954884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1954890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1954893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954913 */     // MIs[0] round
     /* 1954913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1954916 */     // MIs[0] policy
     /* 1954916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1954919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1954929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1954941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1954951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954952 */     // GIR_Coverage, 15439,
     /* 1954952 */     GIR_EraseRootFromParent_Done,
     /* 1954953 */   // Label 26121: @1954953
     /* 1954953 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1955044), // Rule ID 15442 //
     /* 1954958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1954966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1954969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1954972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1954975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1954984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955004 */     // MIs[0] round
     /* 1955004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955007 */     // MIs[0] policy
     /* 1955007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955017 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1955020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955043 */     // GIR_Coverage, 15442,
     /* 1955043 */     GIR_EraseRootFromParent_Done,
     /* 1955044 */   // Label 26122: @1955044
     /* 1955044 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1955135), // Rule ID 15443 //
     /* 1955049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1955060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1955063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955095 */     // MIs[0] round
     /* 1955095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955098 */     // MIs[0] policy
     /* 1955098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1955111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955134 */     // GIR_Coverage, 15443,
     /* 1955134 */     GIR_EraseRootFromParent_Done,
     /* 1955135 */   // Label 26123: @1955135
     /* 1955135 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1955226), // Rule ID 15446 //
     /* 1955140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1955151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1955154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1955157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1955163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1955166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955186 */     // MIs[0] round
     /* 1955186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955189 */     // MIs[0] policy
     /* 1955189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955199 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1955202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955225 */     // GIR_Coverage, 15446,
     /* 1955225 */     GIR_EraseRootFromParent_Done,
     /* 1955226 */   // Label 26124: @1955226
     /* 1955226 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1955317), // Rule ID 15447 //
     /* 1955231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1955242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1955245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1955248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1955254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955277 */     // MIs[0] round
     /* 1955277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955280 */     // MIs[0] policy
     /* 1955280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955290 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1955293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955316 */     // GIR_Coverage, 15447,
     /* 1955316 */     GIR_EraseRootFromParent_Done,
     /* 1955317 */   // Label 26125: @1955317
     /* 1955317 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1955408), // Rule ID 15450 //
     /* 1955322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1955348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955368 */     // MIs[0] round
     /* 1955368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955371 */     // MIs[0] policy
     /* 1955371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1955384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955407 */     // GIR_Coverage, 15450,
     /* 1955407 */     GIR_EraseRootFromParent_Done,
     /* 1955408 */   // Label 26126: @1955408
     /* 1955408 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1955499), // Rule ID 15451 //
     /* 1955413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955459 */     // MIs[0] round
     /* 1955459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955462 */     // MIs[0] policy
     /* 1955462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1955475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955498 */     // GIR_Coverage, 15451,
     /* 1955498 */     GIR_EraseRootFromParent_Done,
     /* 1955499 */   // Label 26127: @1955499
     /* 1955499 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1955590), // Rule ID 15454 //
     /* 1955504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1955530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955550 */     // MIs[0] round
     /* 1955550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955553 */     // MIs[0] policy
     /* 1955553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1955566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955589 */     // GIR_Coverage, 15454,
     /* 1955589 */     GIR_EraseRootFromParent_Done,
     /* 1955590 */   // Label 26128: @1955590
     /* 1955590 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1955681), // Rule ID 15455 //
     /* 1955595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955641 */     // MIs[0] round
     /* 1955641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955644 */     // MIs[0] policy
     /* 1955644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1955657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955680 */     // GIR_Coverage, 15455,
     /* 1955680 */     GIR_EraseRootFromParent_Done,
     /* 1955681 */   // Label 26129: @1955681
     /* 1955681 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1955772), // Rule ID 15458 //
     /* 1955686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1955712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955732 */     // MIs[0] round
     /* 1955732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955735 */     // MIs[0] policy
     /* 1955735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955745 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1955748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955771 */     // GIR_Coverage, 15458,
     /* 1955771 */     GIR_EraseRootFromParent_Done,
     /* 1955772 */   // Label 26130: @1955772
     /* 1955772 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1955863), // Rule ID 15459 //
     /* 1955777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955823 */     // MIs[0] round
     /* 1955823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955826 */     // MIs[0] policy
     /* 1955826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1955839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955862 */     // GIR_Coverage, 15459,
     /* 1955862 */     GIR_EraseRootFromParent_Done,
     /* 1955863 */   // Label 26131: @1955863
     /* 1955863 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1955954), // Rule ID 15462 //
     /* 1955868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1955894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955914 */     // MIs[0] round
     /* 1955914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1955917 */     // MIs[0] policy
     /* 1955917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1955920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1955930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1955942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1955952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955953 */     // GIR_Coverage, 15462,
     /* 1955953 */     GIR_EraseRootFromParent_Done,
     /* 1955954 */   // Label 26132: @1955954
     /* 1955954 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1956045), // Rule ID 15463 //
     /* 1955959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1955967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1955985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956005 */     // MIs[0] round
     /* 1956005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956008 */     // MIs[0] policy
     /* 1956008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1956021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956044 */     // GIR_Coverage, 15463,
     /* 1956044 */     GIR_EraseRootFromParent_Done,
     /* 1956045 */   // Label 26133: @1956045
     /* 1956045 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1956136), // Rule ID 15466 //
     /* 1956050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956096 */     // MIs[0] round
     /* 1956096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956099 */     // MIs[0] policy
     /* 1956099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956109 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1956112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956135 */     // GIR_Coverage, 15466,
     /* 1956135 */     GIR_EraseRootFromParent_Done,
     /* 1956136 */   // Label 26134: @1956136
     /* 1956136 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1956227), // Rule ID 15467 //
     /* 1956141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1956167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956187 */     // MIs[0] round
     /* 1956187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956190 */     // MIs[0] policy
     /* 1956190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1956203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956226 */     // GIR_Coverage, 15467,
     /* 1956226 */     GIR_EraseRootFromParent_Done,
     /* 1956227 */   // Label 26135: @1956227
     /* 1956227 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1956318), // Rule ID 15470 //
     /* 1956232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956278 */     // MIs[0] round
     /* 1956278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956281 */     // MIs[0] policy
     /* 1956281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1956294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956317 */     // GIR_Coverage, 15470,
     /* 1956317 */     GIR_EraseRootFromParent_Done,
     /* 1956318 */   // Label 26136: @1956318
     /* 1956318 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1956409), // Rule ID 15471 //
     /* 1956323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1956349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956369 */     // MIs[0] round
     /* 1956369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956372 */     // MIs[0] policy
     /* 1956372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1956385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956408 */     // GIR_Coverage, 15471,
     /* 1956408 */     GIR_EraseRootFromParent_Done,
     /* 1956409 */   // Label 26137: @1956409
     /* 1956409 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1956500), // Rule ID 15474 //
     /* 1956414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1956417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956460 */     // MIs[0] round
     /* 1956460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956463 */     // MIs[0] policy
     /* 1956463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1956476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956499 */     // GIR_Coverage, 15474,
     /* 1956499 */     GIR_EraseRootFromParent_Done,
     /* 1956500 */   // Label 26138: @1956500
     /* 1956500 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1956591), // Rule ID 15475 //
     /* 1956505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1956508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1956531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956551 */     // MIs[0] round
     /* 1956551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956554 */     // MIs[0] policy
     /* 1956554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 1956567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956590 */     // GIR_Coverage, 15475,
     /* 1956590 */     GIR_EraseRootFromParent_Done,
     /* 1956591 */   // Label 26139: @1956591
     /* 1956591 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1956682), // Rule ID 15478 //
     /* 1956596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1956599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956642 */     // MIs[0] round
     /* 1956642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956645 */     // MIs[0] policy
     /* 1956645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1956658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956681 */     // GIR_Coverage, 15478,
     /* 1956681 */     GIR_EraseRootFromParent_Done,
     /* 1956682 */   // Label 26140: @1956682
     /* 1956682 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1956773), // Rule ID 15479 //
     /* 1956687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1956690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1956713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956733 */     // MIs[0] round
     /* 1956733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956736 */     // MIs[0] policy
     /* 1956736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 1956749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956772 */     // GIR_Coverage, 15479,
     /* 1956772 */     GIR_EraseRootFromParent_Done,
     /* 1956773 */   // Label 26141: @1956773
     /* 1956773 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1956864), // Rule ID 15482 //
     /* 1956778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1956781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956824 */     // MIs[0] round
     /* 1956824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956827 */     // MIs[0] policy
     /* 1956827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956837 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1956840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956863 */     // GIR_Coverage, 15482,
     /* 1956863 */     GIR_EraseRootFromParent_Done,
     /* 1956864 */   // Label 26142: @1956864
     /* 1956864 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1956955), // Rule ID 15483 //
     /* 1956869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1956872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 1956877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1956895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956915 */     // MIs[0] round
     /* 1956915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1956918 */     // MIs[0] policy
     /* 1956918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1956921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 1956931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1956943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1956953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956954 */     // GIR_Coverage, 15483,
     /* 1956954 */     GIR_EraseRootFromParent_Done,
     /* 1956955 */   // Label 26143: @1956955
     /* 1956955 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1957049), // Rule ID 15486 //
     /* 1956960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1956968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1956971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1956974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1956977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1956980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1956986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957006 */     // MIs[0] round
     /* 1957006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957009 */     // MIs[0] policy
     /* 1957009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 1957022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957048 */     // GIR_Coverage, 15486,
     /* 1957048 */     GIR_EraseRootFromParent_Done,
     /* 1957049 */   // Label 26144: @1957049
     /* 1957049 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1957143), // Rule ID 15487 //
     /* 1957054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1957065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1957068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1957071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1957074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1957080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957100 */     // MIs[0] round
     /* 1957100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957103 */     // MIs[0] policy
     /* 1957103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957113 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 1957116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957142 */     // GIR_Coverage, 15487,
     /* 1957142 */     GIR_EraseRootFromParent_Done,
     /* 1957143 */   // Label 26145: @1957143
     /* 1957143 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1957237), // Rule ID 15490 //
     /* 1957148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1957159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1957162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1957165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1957168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1957174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957194 */     // MIs[0] round
     /* 1957194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957197 */     // MIs[0] policy
     /* 1957197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957207 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 1957210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957236 */     // GIR_Coverage, 15490,
     /* 1957236 */     GIR_EraseRootFromParent_Done,
     /* 1957237 */   // Label 26146: @1957237
     /* 1957237 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1957331), // Rule ID 15491 //
     /* 1957242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1957253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1957256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1957259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1957262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1957268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957288 */     // MIs[0] round
     /* 1957288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957291 */     // MIs[0] policy
     /* 1957291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 1957304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957330 */     // GIR_Coverage, 15491,
     /* 1957330 */     GIR_EraseRootFromParent_Done,
     /* 1957331 */   // Label 26147: @1957331
     /* 1957331 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1957425), // Rule ID 15494 //
     /* 1957336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1957347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1957350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1957353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1957356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1957362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957382 */     // MIs[0] round
     /* 1957382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957385 */     // MIs[0] policy
     /* 1957385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957395 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1957398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957424 */     // GIR_Coverage, 15494,
     /* 1957424 */     GIR_EraseRootFromParent_Done,
     /* 1957425 */   // Label 26148: @1957425
     /* 1957425 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1957519), // Rule ID 15495 //
     /* 1957430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1957441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1957444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1957447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1957450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1957456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957476 */     // MIs[0] round
     /* 1957476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957479 */     // MIs[0] policy
     /* 1957479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1957492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957518 */     // GIR_Coverage, 15495,
     /* 1957518 */     GIR_EraseRootFromParent_Done,
     /* 1957519 */   // Label 26149: @1957519
     /* 1957519 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1957613), // Rule ID 15498 //
     /* 1957524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1957550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957570 */     // MIs[0] round
     /* 1957570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957573 */     // MIs[0] policy
     /* 1957573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 1957586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957612 */     // GIR_Coverage, 15498,
     /* 1957612 */     GIR_EraseRootFromParent_Done,
     /* 1957613 */   // Label 26150: @1957613
     /* 1957613 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1957707), // Rule ID 15499 //
     /* 1957618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1957644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957664 */     // MIs[0] round
     /* 1957664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957667 */     // MIs[0] policy
     /* 1957667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957677 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 1957680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957706 */     // GIR_Coverage, 15499,
     /* 1957706 */     GIR_EraseRootFromParent_Done,
     /* 1957707 */   // Label 26151: @1957707
     /* 1957707 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1957801), // Rule ID 15502 //
     /* 1957712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1957738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957758 */     // MIs[0] round
     /* 1957758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957761 */     // MIs[0] policy
     /* 1957761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1957774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957800 */     // GIR_Coverage, 15502,
     /* 1957800 */     GIR_EraseRootFromParent_Done,
     /* 1957801 */   // Label 26152: @1957801
     /* 1957801 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1957895), // Rule ID 15503 //
     /* 1957806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1957832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957852 */     // MIs[0] round
     /* 1957852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957855 */     // MIs[0] policy
     /* 1957855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957865 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1957868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957894 */     // GIR_Coverage, 15503,
     /* 1957894 */     GIR_EraseRootFromParent_Done,
     /* 1957895 */   // Label 26153: @1957895
     /* 1957895 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1957989), // Rule ID 15506 //
     /* 1957900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1957908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1957920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1957926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957946 */     // MIs[0] round
     /* 1957946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1957949 */     // MIs[0] policy
     /* 1957949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1957952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1957962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1957974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1957984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1957987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957988 */     // GIR_Coverage, 15506,
     /* 1957988 */     GIR_EraseRootFromParent_Done,
     /* 1957989 */   // Label 26154: @1957989
     /* 1957989 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1958083), // Rule ID 15507 //
     /* 1957994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1958014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958040 */     // MIs[0] round
     /* 1958040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958043 */     // MIs[0] policy
     /* 1958043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 1958056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958082 */     // GIR_Coverage, 15507,
     /* 1958082 */     GIR_EraseRootFromParent_Done,
     /* 1958083 */   // Label 26155: @1958083
     /* 1958083 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1958177), // Rule ID 15510 //
     /* 1958088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1958099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1958102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1958114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958134 */     // MIs[0] round
     /* 1958134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958137 */     // MIs[0] policy
     /* 1958137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958176 */     // GIR_Coverage, 15510,
     /* 1958176 */     GIR_EraseRootFromParent_Done,
     /* 1958177 */   // Label 26156: @1958177
     /* 1958177 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1958271), // Rule ID 15511 //
     /* 1958182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1958193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1958196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1958202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958228 */     // MIs[0] round
     /* 1958228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958231 */     // MIs[0] policy
     /* 1958231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958241 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958270 */     // GIR_Coverage, 15511,
     /* 1958270 */     GIR_EraseRootFromParent_Done,
     /* 1958271 */   // Label 26157: @1958271
     /* 1958271 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1958365), // Rule ID 15514 //
     /* 1958276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1958302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958322 */     // MIs[0] round
     /* 1958322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958325 */     // MIs[0] policy
     /* 1958325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958364 */     // GIR_Coverage, 15514,
     /* 1958364 */     GIR_EraseRootFromParent_Done,
     /* 1958365 */   // Label 26158: @1958365
     /* 1958365 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1958459), // Rule ID 15515 //
     /* 1958370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1958381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1958384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958416 */     // MIs[0] round
     /* 1958416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958419 */     // MIs[0] policy
     /* 1958419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958429 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958458 */     // GIR_Coverage, 15515,
     /* 1958458 */     GIR_EraseRootFromParent_Done,
     /* 1958459 */   // Label 26159: @1958459
     /* 1958459 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1958553), // Rule ID 15518 //
     /* 1958464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1958490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958510 */     // MIs[0] round
     /* 1958510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958513 */     // MIs[0] policy
     /* 1958513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958552 */     // GIR_Coverage, 15518,
     /* 1958552 */     GIR_EraseRootFromParent_Done,
     /* 1958553 */   // Label 26160: @1958553
     /* 1958553 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1958647), // Rule ID 15519 //
     /* 1958558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958604 */     // MIs[0] round
     /* 1958604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958607 */     // MIs[0] policy
     /* 1958607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958617 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1958620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958646 */     // GIR_Coverage, 15519,
     /* 1958646 */     GIR_EraseRootFromParent_Done,
     /* 1958647 */   // Label 26161: @1958647
     /* 1958647 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1958741), // Rule ID 15522 //
     /* 1958652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1958663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1958666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1958678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958698 */     // MIs[0] round
     /* 1958698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958701 */     // MIs[0] policy
     /* 1958701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1958714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958740 */     // GIR_Coverage, 15522,
     /* 1958740 */     GIR_EraseRootFromParent_Done,
     /* 1958741 */   // Label 26162: @1958741
     /* 1958741 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1958835), // Rule ID 15523 //
     /* 1958746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1958757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1958760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1958763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1958766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958792 */     // MIs[0] round
     /* 1958792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958795 */     // MIs[0] policy
     /* 1958795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1958808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958834 */     // GIR_Coverage, 15523,
     /* 1958834 */     GIR_EraseRootFromParent_Done,
     /* 1958835 */   // Label 26163: @1958835
     /* 1958835 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1958929), // Rule ID 15526 //
     /* 1958840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1958851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1958854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1958866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958886 */     // MIs[0] round
     /* 1958886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958889 */     // MIs[0] policy
     /* 1958889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1958902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1958914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1958924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1958927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958928 */     // GIR_Coverage, 15526,
     /* 1958928 */     GIR_EraseRootFromParent_Done,
     /* 1958929 */   // Label 26164: @1958929
     /* 1958929 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1959023), // Rule ID 15527 //
     /* 1958934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1958942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1958945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1958948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1958951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1958954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1958960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958980 */     // MIs[0] round
     /* 1958980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1958983 */     // MIs[0] policy
     /* 1958983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1958986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1958996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959022 */     // GIR_Coverage, 15527,
     /* 1959022 */     GIR_EraseRootFromParent_Done,
     /* 1959023 */   // Label 26165: @1959023
     /* 1959023 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1959117), // Rule ID 15530 //
     /* 1959028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1959039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1959042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1959045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1959048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1959051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959074 */     // MIs[0] round
     /* 1959074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959077 */     // MIs[0] policy
     /* 1959077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1959090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959116 */     // GIR_Coverage, 15530,
     /* 1959116 */     GIR_EraseRootFromParent_Done,
     /* 1959117 */   // Label 26166: @1959117
     /* 1959117 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1959211), // Rule ID 15531 //
     /* 1959122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1959133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1959136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1959139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1959142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1959145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1959148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959168 */     // MIs[0] round
     /* 1959168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959171 */     // MIs[0] policy
     /* 1959171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1959184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959210 */     // GIR_Coverage, 15531,
     /* 1959210 */     GIR_EraseRootFromParent_Done,
     /* 1959211 */   // Label 26167: @1959211
     /* 1959211 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1959305), // Rule ID 15534 //
     /* 1959216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959262 */     // MIs[0] round
     /* 1959262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959265 */     // MIs[0] policy
     /* 1959265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1959278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959304 */     // GIR_Coverage, 15534,
     /* 1959304 */     GIR_EraseRootFromParent_Done,
     /* 1959305 */   // Label 26168: @1959305
     /* 1959305 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1959399), // Rule ID 15535 //
     /* 1959310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1959327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1959336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959356 */     // MIs[0] round
     /* 1959356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959359 */     // MIs[0] policy
     /* 1959359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1959372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959398 */     // GIR_Coverage, 15535,
     /* 1959398 */     GIR_EraseRootFromParent_Done,
     /* 1959399 */   // Label 26169: @1959399
     /* 1959399 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1959493), // Rule ID 15538 //
     /* 1959404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959450 */     // MIs[0] round
     /* 1959450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959453 */     // MIs[0] policy
     /* 1959453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959463 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1959466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959492 */     // GIR_Coverage, 15538,
     /* 1959492 */     GIR_EraseRootFromParent_Done,
     /* 1959493 */   // Label 26170: @1959493
     /* 1959493 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1959587), // Rule ID 15539 //
     /* 1959498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1959509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1959512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1959515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1959524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959544 */     // MIs[0] round
     /* 1959544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959547 */     // MIs[0] policy
     /* 1959547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1959560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959586 */     // GIR_Coverage, 15539,
     /* 1959586 */     GIR_EraseRootFromParent_Done,
     /* 1959587 */   // Label 26171: @1959587
     /* 1959587 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1959681), // Rule ID 15542 //
     /* 1959592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1959609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1959612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959638 */     // MIs[0] round
     /* 1959638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959641 */     // MIs[0] policy
     /* 1959641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1959654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959680 */     // GIR_Coverage, 15542,
     /* 1959680 */     GIR_EraseRootFromParent_Done,
     /* 1959681 */   // Label 26172: @1959681
     /* 1959681 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1959775), // Rule ID 15543 //
     /* 1959686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1959697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1959700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1959703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1959706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1959712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959732 */     // MIs[0] round
     /* 1959732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959735 */     // MIs[0] policy
     /* 1959735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959745 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1959748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959774 */     // GIR_Coverage, 15543,
     /* 1959774 */     GIR_EraseRootFromParent_Done,
     /* 1959775 */   // Label 26173: @1959775
     /* 1959775 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1959869), // Rule ID 15546 //
     /* 1959780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1959800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959826 */     // MIs[0] round
     /* 1959826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959829 */     // MIs[0] policy
     /* 1959829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1959842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959868 */     // GIR_Coverage, 15546,
     /* 1959868 */     GIR_EraseRootFromParent_Done,
     /* 1959869 */   // Label 26174: @1959869
     /* 1959869 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1959963), // Rule ID 15547 //
     /* 1959874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1959894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1959900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959920 */     // MIs[0] round
     /* 1959920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1959923 */     // MIs[0] policy
     /* 1959923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1959926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1959936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1959948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1959958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1959961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959962 */     // GIR_Coverage, 15547,
     /* 1959962 */     GIR_EraseRootFromParent_Done,
     /* 1959963 */   // Label 26175: @1959963
     /* 1959963 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1960057), // Rule ID 15550 //
     /* 1959968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1959976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1959988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1959994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960014 */     // MIs[0] round
     /* 1960014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960017 */     // MIs[0] policy
     /* 1960017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1960030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960056 */     // GIR_Coverage, 15550,
     /* 1960056 */     GIR_EraseRootFromParent_Done,
     /* 1960057 */   // Label 26176: @1960057
     /* 1960057 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1960151), // Rule ID 15551 //
     /* 1960062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1960082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1960088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960108 */     // MIs[0] round
     /* 1960108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960111 */     // MIs[0] policy
     /* 1960111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1960124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960150 */     // GIR_Coverage, 15551,
     /* 1960150 */     GIR_EraseRootFromParent_Done,
     /* 1960151 */   // Label 26177: @1960151
     /* 1960151 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1960245), // Rule ID 15554 //
     /* 1960156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1960173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1960176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1960182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960202 */     // MIs[0] round
     /* 1960202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960205 */     // MIs[0] policy
     /* 1960205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960215 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1960218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960244 */     // GIR_Coverage, 15554,
     /* 1960244 */     GIR_EraseRootFromParent_Done,
     /* 1960245 */   // Label 26178: @1960245
     /* 1960245 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1960339), // Rule ID 15555 //
     /* 1960250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1960267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1960270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1960276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960296 */     // MIs[0] round
     /* 1960296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960299 */     // MIs[0] policy
     /* 1960299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960309 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1960312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960338 */     // GIR_Coverage, 15555,
     /* 1960338 */     GIR_EraseRootFromParent_Done,
     /* 1960339 */   // Label 26179: @1960339
     /* 1960339 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1960433), // Rule ID 15558 //
     /* 1960344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1960355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1960358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1960370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960390 */     // MIs[0] round
     /* 1960390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960393 */     // MIs[0] policy
     /* 1960393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 1960406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960432 */     // GIR_Coverage, 15558,
     /* 1960432 */     GIR_EraseRootFromParent_Done,
     /* 1960433 */   // Label 26180: @1960433
     /* 1960433 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1960527), // Rule ID 15559 //
     /* 1960438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1960449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1960452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1960464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960484 */     // MIs[0] round
     /* 1960484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960487 */     // MIs[0] policy
     /* 1960487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960497 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 1960500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960526 */     // GIR_Coverage, 15559,
     /* 1960526 */     GIR_EraseRootFromParent_Done,
     /* 1960527 */   // Label 26181: @1960527
     /* 1960527 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1960621), // Rule ID 15562 //
     /* 1960532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1960543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1960546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1960558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960578 */     // MIs[0] round
     /* 1960578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960581 */     // MIs[0] policy
     /* 1960581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960591 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 1960594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960620 */     // GIR_Coverage, 15562,
     /* 1960620 */     GIR_EraseRootFromParent_Done,
     /* 1960621 */   // Label 26182: @1960621
     /* 1960621 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1960715), // Rule ID 15563 //
     /* 1960626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1960637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1960640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1960652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960672 */     // MIs[0] round
     /* 1960672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960675 */     // MIs[0] policy
     /* 1960675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960685 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 1960688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960714 */     // GIR_Coverage, 15563,
     /* 1960714 */     GIR_EraseRootFromParent_Done,
     /* 1960715 */   // Label 26183: @1960715
     /* 1960715 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1960809), // Rule ID 15566 //
     /* 1960720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1960731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1960734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1960746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960766 */     // MIs[0] round
     /* 1960766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960769 */     // MIs[0] policy
     /* 1960769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960779 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1960782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960808 */     // GIR_Coverage, 15566,
     /* 1960808 */     GIR_EraseRootFromParent_Done,
     /* 1960809 */   // Label 26184: @1960809
     /* 1960809 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1960903), // Rule ID 15567 //
     /* 1960814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1960825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1960828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1960840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960860 */     // MIs[0] round
     /* 1960860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960863 */     // MIs[0] policy
     /* 1960863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960873 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1960876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960902 */     // GIR_Coverage, 15567,
     /* 1960902 */     GIR_EraseRootFromParent_Done,
     /* 1960903 */   // Label 26185: @1960903
     /* 1960903 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1960997), // Rule ID 15570 //
     /* 1960908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1960916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1960934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960954 */     // MIs[0] round
     /* 1960954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1960957 */     // MIs[0] policy
     /* 1960957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1960960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 1960970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1960982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1960992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1960995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960996 */     // GIR_Coverage, 15570,
     /* 1960996 */     GIR_EraseRootFromParent_Done,
     /* 1960997 */   // Label 26186: @1960997
     /* 1960997 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1961091), // Rule ID 15571 //
     /* 1961002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961048 */     // MIs[0] round
     /* 1961048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961051 */     // MIs[0] policy
     /* 1961051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961061 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 1961064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961090 */     // GIR_Coverage, 15571,
     /* 1961090 */     GIR_EraseRootFromParent_Done,
     /* 1961091 */   // Label 26187: @1961091
     /* 1961091 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1961185), // Rule ID 15574 //
     /* 1961096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1961122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961142 */     // MIs[0] round
     /* 1961142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961145 */     // MIs[0] policy
     /* 1961145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961155 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1961158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961184 */     // GIR_Coverage, 15574,
     /* 1961184 */     GIR_EraseRootFromParent_Done,
     /* 1961185 */   // Label 26188: @1961185
     /* 1961185 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1961279), // Rule ID 15575 //
     /* 1961190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961236 */     // MIs[0] round
     /* 1961236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961239 */     // MIs[0] policy
     /* 1961239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1961252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961278 */     // GIR_Coverage, 15575,
     /* 1961278 */     GIR_EraseRootFromParent_Done,
     /* 1961279 */   // Label 26189: @1961279
     /* 1961279 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1961373), // Rule ID 15578 //
     /* 1961284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1961301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1961310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961330 */     // MIs[0] round
     /* 1961330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961333 */     // MIs[0] policy
     /* 1961333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1961346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961372 */     // GIR_Coverage, 15578,
     /* 1961372 */     GIR_EraseRootFromParent_Done,
     /* 1961373 */   // Label 26190: @1961373
     /* 1961373 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1961467), // Rule ID 15579 //
     /* 1961378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1961395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961424 */     // MIs[0] round
     /* 1961424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961427 */     // MIs[0] policy
     /* 1961427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 1961440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961466 */     // GIR_Coverage, 15579,
     /* 1961466 */     GIR_EraseRootFromParent_Done,
     /* 1961467 */   // Label 26191: @1961467
     /* 1961467 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1961561), // Rule ID 15582 //
     /* 1961472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1961483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1961486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1961498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961518 */     // MIs[0] round
     /* 1961518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961521 */     // MIs[0] policy
     /* 1961521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1961534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961560 */     // GIR_Coverage, 15582,
     /* 1961560 */     GIR_EraseRootFromParent_Done,
     /* 1961561 */   // Label 26192: @1961561
     /* 1961561 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1961655), // Rule ID 15583 //
     /* 1961566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1961577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1961580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961612 */     // MIs[0] round
     /* 1961612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961615 */     // MIs[0] policy
     /* 1961615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961625 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1961628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961654 */     // GIR_Coverage, 15583,
     /* 1961654 */     GIR_EraseRootFromParent_Done,
     /* 1961655 */   // Label 26193: @1961655
     /* 1961655 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1961749), // Rule ID 15586 //
     /* 1961660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1961686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961706 */     // MIs[0] round
     /* 1961706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961709 */     // MIs[0] policy
     /* 1961709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1961722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961748 */     // GIR_Coverage, 15586,
     /* 1961748 */     GIR_EraseRootFromParent_Done,
     /* 1961749 */   // Label 26194: @1961749
     /* 1961749 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1961843), // Rule ID 15587 //
     /* 1961754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961800 */     // MIs[0] round
     /* 1961800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961803 */     // MIs[0] policy
     /* 1961803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1961816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961842 */     // GIR_Coverage, 15587,
     /* 1961842 */     GIR_EraseRootFromParent_Done,
     /* 1961843 */   // Label 26195: @1961843
     /* 1961843 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1961937), // Rule ID 15590 //
     /* 1961848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1961851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1961874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961894 */     // MIs[0] round
     /* 1961894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961897 */     // MIs[0] policy
     /* 1961897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1961910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1961922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1961932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1961935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961936 */     // GIR_Coverage, 15590,
     /* 1961936 */     GIR_EraseRootFromParent_Done,
     /* 1961937 */   // Label 26196: @1961937
     /* 1961937 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1962031), // Rule ID 15591 //
     /* 1961942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1961945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1961950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1961968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961988 */     // MIs[0] round
     /* 1961988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1961991 */     // MIs[0] policy
     /* 1961991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1961994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1962004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962030 */     // GIR_Coverage, 15591,
     /* 1962030 */     GIR_EraseRootFromParent_Done,
     /* 1962031 */   // Label 26197: @1962031
     /* 1962031 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1962125), // Rule ID 15594 //
     /* 1962036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1962047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1962050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1962053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1962062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962082 */     // MIs[0] round
     /* 1962082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962085 */     // MIs[0] policy
     /* 1962085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1962098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962124 */     // GIR_Coverage, 15594,
     /* 1962124 */     GIR_EraseRootFromParent_Done,
     /* 1962125 */   // Label 26198: @1962125
     /* 1962125 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1962219), // Rule ID 15595 //
     /* 1962130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1962141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1962144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1962147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1962156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962176 */     // MIs[0] round
     /* 1962176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962179 */     // MIs[0] policy
     /* 1962179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1962192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962218 */     // GIR_Coverage, 15595,
     /* 1962218 */     GIR_EraseRootFromParent_Done,
     /* 1962219 */   // Label 26199: @1962219
     /* 1962219 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1962313), // Rule ID 15598 //
     /* 1962224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1962235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1962238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1962241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1962250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962270 */     // MIs[0] round
     /* 1962270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962273 */     // MIs[0] policy
     /* 1962273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1962286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962312 */     // GIR_Coverage, 15598,
     /* 1962312 */     GIR_EraseRootFromParent_Done,
     /* 1962313 */   // Label 26200: @1962313
     /* 1962313 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1962407), // Rule ID 15599 //
     /* 1962318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1962329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1962332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1962335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1962344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962364 */     // MIs[0] round
     /* 1962364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962367 */     // MIs[0] policy
     /* 1962367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1962380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962406 */     // GIR_Coverage, 15599,
     /* 1962406 */     GIR_EraseRootFromParent_Done,
     /* 1962407 */   // Label 26201: @1962407
     /* 1962407 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1962501), // Rule ID 15602 //
     /* 1962412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1962423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1962426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1962429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1962435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1962438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962458 */     // MIs[0] round
     /* 1962458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962461 */     // MIs[0] policy
     /* 1962461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1962474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962500 */     // GIR_Coverage, 15602,
     /* 1962500 */     GIR_EraseRootFromParent_Done,
     /* 1962501 */   // Label 26202: @1962501
     /* 1962501 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1962595), // Rule ID 15603 //
     /* 1962506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1962517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1962520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1962523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1962529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1962532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962552 */     // MIs[0] round
     /* 1962552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962555 */     // MIs[0] policy
     /* 1962555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1962568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962594 */     // GIR_Coverage, 15603,
     /* 1962594 */     GIR_EraseRootFromParent_Done,
     /* 1962595 */   // Label 26203: @1962595
     /* 1962595 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1962689), // Rule ID 15606 //
     /* 1962600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1962626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962646 */     // MIs[0] round
     /* 1962646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962649 */     // MIs[0] policy
     /* 1962649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1962662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962688 */     // GIR_Coverage, 15606,
     /* 1962688 */     GIR_EraseRootFromParent_Done,
     /* 1962689 */   // Label 26204: @1962689
     /* 1962689 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1962783), // Rule ID 15607 //
     /* 1962694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1962720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962740 */     // MIs[0] round
     /* 1962740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962743 */     // MIs[0] policy
     /* 1962743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1962756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962782 */     // GIR_Coverage, 15607,
     /* 1962782 */     GIR_EraseRootFromParent_Done,
     /* 1962783 */   // Label 26205: @1962783
     /* 1962783 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1962877), // Rule ID 15610 //
     /* 1962788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1962814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962834 */     // MIs[0] round
     /* 1962834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962837 */     // MIs[0] policy
     /* 1962837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1962850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962876 */     // GIR_Coverage, 15610,
     /* 1962876 */     GIR_EraseRootFromParent_Done,
     /* 1962877 */   // Label 26206: @1962877
     /* 1962877 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1962971), // Rule ID 15611 //
     /* 1962882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1962885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1962908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962928 */     // MIs[0] round
     /* 1962928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1962931 */     // MIs[0] policy
     /* 1962931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1962934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1962944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1962956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1962966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1962969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962970 */     // GIR_Coverage, 15611,
     /* 1962970 */     GIR_EraseRootFromParent_Done,
     /* 1962971 */   // Label 26207: @1962971
     /* 1962971 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1963065), // Rule ID 15614 //
     /* 1962976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1962979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1962984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1962987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1962990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1962993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963022 */     // MIs[0] round
     /* 1963022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963025 */     // MIs[0] policy
     /* 1963025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1963038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963064 */     // GIR_Coverage, 15614,
     /* 1963064 */     GIR_EraseRootFromParent_Done,
     /* 1963065 */   // Label 26208: @1963065
     /* 1963065 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1963159), // Rule ID 15615 //
     /* 1963070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1963087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1963096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963116 */     // MIs[0] round
     /* 1963116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963119 */     // MIs[0] policy
     /* 1963119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963129 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1963132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963158 */     // GIR_Coverage, 15615,
     /* 1963158 */     GIR_EraseRootFromParent_Done,
     /* 1963159 */   // Label 26209: @1963159
     /* 1963159 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1963253), // Rule ID 15618 //
     /* 1963164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963210 */     // MIs[0] round
     /* 1963210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963213 */     // MIs[0] policy
     /* 1963213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1963226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963252 */     // GIR_Coverage, 15618,
     /* 1963252 */     GIR_EraseRootFromParent_Done,
     /* 1963253 */   // Label 26210: @1963253
     /* 1963253 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1963347), // Rule ID 15619 //
     /* 1963258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1963284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963304 */     // MIs[0] round
     /* 1963304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963307 */     // MIs[0] policy
     /* 1963307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963317 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1963320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963346 */     // GIR_Coverage, 15619,
     /* 1963346 */     GIR_EraseRootFromParent_Done,
     /* 1963347 */   // Label 26211: @1963347
     /* 1963347 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1963441), // Rule ID 15622 //
     /* 1963352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963398 */     // MIs[0] round
     /* 1963398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963401 */     // MIs[0] policy
     /* 1963401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1963414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963440 */     // GIR_Coverage, 15622,
     /* 1963440 */     GIR_EraseRootFromParent_Done,
     /* 1963441 */   // Label 26212: @1963441
     /* 1963441 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1963535), // Rule ID 15623 //
     /* 1963446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1963472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963492 */     // MIs[0] round
     /* 1963492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963495 */     // MIs[0] policy
     /* 1963495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1963508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963534 */     // GIR_Coverage, 15623,
     /* 1963534 */     GIR_EraseRootFromParent_Done,
     /* 1963535 */   // Label 26213: @1963535
     /* 1963535 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1963629), // Rule ID 15626 //
     /* 1963540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1963543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963586 */     // MIs[0] round
     /* 1963586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963589 */     // MIs[0] policy
     /* 1963589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963599 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1963602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963628 */     // GIR_Coverage, 15626,
     /* 1963628 */     GIR_EraseRootFromParent_Done,
     /* 1963629 */   // Label 26214: @1963629
     /* 1963629 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1963723), // Rule ID 15627 //
     /* 1963634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1963637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1963660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963680 */     // MIs[0] round
     /* 1963680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963683 */     // MIs[0] policy
     /* 1963683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1963696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963722 */     // GIR_Coverage, 15627,
     /* 1963722 */     GIR_EraseRootFromParent_Done,
     /* 1963723 */   // Label 26215: @1963723
     /* 1963723 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1963817), // Rule ID 15630 //
     /* 1963728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1963731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963774 */     // MIs[0] round
     /* 1963774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963777 */     // MIs[0] policy
     /* 1963777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1963790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963816 */     // GIR_Coverage, 15630,
     /* 1963816 */     GIR_EraseRootFromParent_Done,
     /* 1963817 */   // Label 26216: @1963817
     /* 1963817 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1963911), // Rule ID 15631 //
     /* 1963822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1963825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1963848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963868 */     // MIs[0] round
     /* 1963868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963871 */     // MIs[0] policy
     /* 1963871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 1963884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1963906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1963909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963910 */     // GIR_Coverage, 15631,
     /* 1963910 */     GIR_EraseRootFromParent_Done,
     /* 1963911 */   // Label 26217: @1963911
     /* 1963911 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1964005), // Rule ID 15634 //
     /* 1963916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1963919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1963924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1963942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963962 */     // MIs[0] round
     /* 1963962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1963965 */     // MIs[0] policy
     /* 1963965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1963968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1963978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1963990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964004 */     // GIR_Coverage, 15634,
     /* 1964004 */     GIR_EraseRootFromParent_Done,
     /* 1964005 */   // Label 26218: @1964005
     /* 1964005 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1964099), // Rule ID 15635 //
     /* 1964010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1964030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964056 */     // MIs[0] round
     /* 1964056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964059 */     // MIs[0] policy
     /* 1964059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964069 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 1964072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964098 */     // GIR_Coverage, 15635,
     /* 1964098 */     GIR_EraseRootFromParent_Done,
     /* 1964099 */   // Label 26219: @1964099
     /* 1964099 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1964193), // Rule ID 15638 //
     /* 1964104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1964107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1964130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964150 */     // MIs[0] round
     /* 1964150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964153 */     // MIs[0] policy
     /* 1964153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964163 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1964166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964192 */     // GIR_Coverage, 15638,
     /* 1964192 */     GIR_EraseRootFromParent_Done,
     /* 1964193 */   // Label 26220: @1964193
     /* 1964193 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1964287), // Rule ID 15639 //
     /* 1964198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1964218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964244 */     // MIs[0] round
     /* 1964244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964247 */     // MIs[0] policy
     /* 1964247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964257 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 1964260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964286 */     // GIR_Coverage, 15639,
     /* 1964286 */     GIR_EraseRootFromParent_Done,
     /* 1964287 */   // Label 26221: @1964287
     /* 1964287 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1964381), // Rule ID 15642 //
     /* 1964292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1964295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1964318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964338 */     // MIs[0] round
     /* 1964338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964341 */     // MIs[0] policy
     /* 1964341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1964354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964380 */     // GIR_Coverage, 15642,
     /* 1964380 */     GIR_EraseRootFromParent_Done,
     /* 1964381 */   // Label 26222: @1964381
     /* 1964381 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1964475), // Rule ID 15643 //
     /* 1964386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964432 */     // MIs[0] round
     /* 1964432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964435 */     // MIs[0] policy
     /* 1964435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964445 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 1964448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964474 */     // GIR_Coverage, 15643,
     /* 1964474 */     GIR_EraseRootFromParent_Done,
     /* 1964475 */   // Label 26223: @1964475
     /* 1964475 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1964569), // Rule ID 15646 //
     /* 1964480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1964483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1964506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964526 */     // MIs[0] round
     /* 1964526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964529 */     // MIs[0] policy
     /* 1964529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1964542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964568 */     // GIR_Coverage, 15646,
     /* 1964568 */     GIR_EraseRootFromParent_Done,
     /* 1964569 */   // Label 26224: @1964569
     /* 1964569 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1964663), // Rule ID 15647 //
     /* 1964574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964620 */     // MIs[0] round
     /* 1964620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964623 */     // MIs[0] policy
     /* 1964623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 1964636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964662 */     // GIR_Coverage, 15647,
     /* 1964662 */     GIR_EraseRootFromParent_Done,
     /* 1964663 */   // Label 26225: @1964663
     /* 1964663 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1964757), // Rule ID 15650 //
     /* 1964668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1964671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1964694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964714 */     // MIs[0] round
     /* 1964714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964717 */     // MIs[0] policy
     /* 1964717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1964730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964756 */     // GIR_Coverage, 15650,
     /* 1964756 */     GIR_EraseRootFromParent_Done,
     /* 1964757 */   // Label 26226: @1964757
     /* 1964757 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1964851), // Rule ID 15651 //
     /* 1964762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964808 */     // MIs[0] round
     /* 1964808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964811 */     // MIs[0] policy
     /* 1964811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 1964824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964850 */     // GIR_Coverage, 15651,
     /* 1964850 */     GIR_EraseRootFromParent_Done,
     /* 1964851 */   // Label 26227: @1964851
     /* 1964851 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1964945), // Rule ID 15654 //
     /* 1964856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1964859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1964882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964902 */     // MIs[0] round
     /* 1964902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964905 */     // MIs[0] policy
     /* 1964905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1964908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1964918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1964930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1964940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1964943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964944 */     // GIR_Coverage, 15654,
     /* 1964944 */     GIR_EraseRootFromParent_Done,
     /* 1964945 */   // Label 26228: @1964945
     /* 1964945 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1965039), // Rule ID 15655 //
     /* 1964950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1964953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1964958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1964976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964996 */     // MIs[0] round
     /* 1964996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1964999 */     // MIs[0] policy
     /* 1964999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965009 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 1965012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1965037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965038 */     // GIR_Coverage, 15655,
     /* 1965038 */     GIR_EraseRootFromParent_Done,
     /* 1965039 */   // Label 26229: @1965039
     /* 1965039 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1965133), // Rule ID 15658 //
     /* 1965044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1965047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1965052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965090 */     // MIs[0] round
     /* 1965090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965093 */     // MIs[0] policy
     /* 1965093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1965106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1965131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965132 */     // GIR_Coverage, 15658,
     /* 1965132 */     GIR_EraseRootFromParent_Done,
     /* 1965133 */   // Label 26230: @1965133
     /* 1965133 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1965227), // Rule ID 15659 //
     /* 1965138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1965141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 1965146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1965149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1965152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1965155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1965164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965184 */     // MIs[0] round
     /* 1965184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965187 */     // MIs[0] policy
     /* 1965187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 1965200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1965225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965226 */     // GIR_Coverage, 15659,
     /* 1965226 */     GIR_EraseRootFromParent_Done,
     /* 1965227 */   // Label 26231: @1965227
     /* 1965227 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1965318), // Rule ID 15662 //
     /* 1965232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1965235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1965243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1965246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965278 */     // MIs[0] round
     /* 1965278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965281 */     // MIs[0] policy
     /* 1965281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 1965294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965317 */     // GIR_Coverage, 15662,
     /* 1965317 */     GIR_EraseRootFromParent_Done,
     /* 1965318 */   // Label 26232: @1965318
     /* 1965318 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1965409), // Rule ID 15663 //
     /* 1965323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1965326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1965334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1965337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1965340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1965343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1965349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965369 */     // MIs[0] round
     /* 1965369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965372 */     // MIs[0] policy
     /* 1965372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965382 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 1965385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965408 */     // GIR_Coverage, 15663,
     /* 1965408 */     GIR_EraseRootFromParent_Done,
     /* 1965409 */   // Label 26233: @1965409
     /* 1965409 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1965500), // Rule ID 15666 //
     /* 1965414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1965417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1965425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1965428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1965434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965460 */     // MIs[0] round
     /* 1965460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965463 */     // MIs[0] policy
     /* 1965463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 1965476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965499 */     // GIR_Coverage, 15666,
     /* 1965499 */     GIR_EraseRootFromParent_Done,
     /* 1965500 */   // Label 26234: @1965500
     /* 1965500 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1965591), // Rule ID 15667 //
     /* 1965505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1965508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1965516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1965519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1965522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1965525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1965531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965551 */     // MIs[0] round
     /* 1965551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965554 */     // MIs[0] policy
     /* 1965554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 1965567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965590 */     // GIR_Coverage, 15667,
     /* 1965590 */     GIR_EraseRootFromParent_Done,
     /* 1965591 */   // Label 26235: @1965591
     /* 1965591 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1965682), // Rule ID 15670 //
     /* 1965596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1965599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1965607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1965610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965642 */     // MIs[0] round
     /* 1965642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965645 */     // MIs[0] policy
     /* 1965645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965655 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1965658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965681 */     // GIR_Coverage, 15670,
     /* 1965681 */     GIR_EraseRootFromParent_Done,
     /* 1965682 */   // Label 26236: @1965682
     /* 1965682 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1965773), // Rule ID 15671 //
     /* 1965687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1965690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1965698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1965701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1965713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965733 */     // MIs[0] round
     /* 1965733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965736 */     // MIs[0] policy
     /* 1965736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1965749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965772 */     // GIR_Coverage, 15671,
     /* 1965772 */     GIR_EraseRootFromParent_Done,
     /* 1965773 */   // Label 26237: @1965773
     /* 1965773 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1965864), // Rule ID 15674 //
     /* 1965778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1965781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965824 */     // MIs[0] round
     /* 1965824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965827 */     // MIs[0] policy
     /* 1965827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965837 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 1965840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965863 */     // GIR_Coverage, 15674,
     /* 1965863 */     GIR_EraseRootFromParent_Done,
     /* 1965864 */   // Label 26238: @1965864
     /* 1965864 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1965955), // Rule ID 15675 //
     /* 1965869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1965872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1965895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965915 */     // MIs[0] round
     /* 1965915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1965918 */     // MIs[0] policy
     /* 1965918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1965921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 1965931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1965943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1965953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965954 */     // GIR_Coverage, 15675,
     /* 1965954 */     GIR_EraseRootFromParent_Done,
     /* 1965955 */   // Label 26239: @1965955
     /* 1965955 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1966046), // Rule ID 15678 //
     /* 1965960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1965963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1965968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1965977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1965980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1965986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966006 */     // MIs[0] round
     /* 1966006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966009 */     // MIs[0] policy
     /* 1966009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1966022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966045 */     // GIR_Coverage, 15678,
     /* 1966045 */     GIR_EraseRootFromParent_Done,
     /* 1966046 */   // Label 26240: @1966046
     /* 1966046 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1966137), // Rule ID 15679 //
     /* 1966051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1966054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966097 */     // MIs[0] round
     /* 1966097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966100 */     // MIs[0] policy
     /* 1966100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1966113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966136 */     // GIR_Coverage, 15679,
     /* 1966136 */     GIR_EraseRootFromParent_Done,
     /* 1966137 */   // Label 26241: @1966137
     /* 1966137 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1966228), // Rule ID 15682 //
     /* 1966142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1966145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1966168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966188 */     // MIs[0] round
     /* 1966188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966191 */     // MIs[0] policy
     /* 1966191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1966204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966227 */     // GIR_Coverage, 15682,
     /* 1966227 */     GIR_EraseRootFromParent_Done,
     /* 1966228 */   // Label 26242: @1966228
     /* 1966228 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1966319), // Rule ID 15683 //
     /* 1966233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1966236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966279 */     // MIs[0] round
     /* 1966279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966282 */     // MIs[0] policy
     /* 1966282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 1966295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966318 */     // GIR_Coverage, 15683,
     /* 1966318 */     GIR_EraseRootFromParent_Done,
     /* 1966319 */   // Label 26243: @1966319
     /* 1966319 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1966410), // Rule ID 15686 //
     /* 1966324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1966327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1966335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1966338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1966341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1966344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1966350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966370 */     // MIs[0] round
     /* 1966370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966373 */     // MIs[0] policy
     /* 1966373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966409 */     // GIR_Coverage, 15686,
     /* 1966409 */     GIR_EraseRootFromParent_Done,
     /* 1966410 */   // Label 26244: @1966410
     /* 1966410 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1966501), // Rule ID 15687 //
     /* 1966415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1966418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1966426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1966429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1966432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1966435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966461 */     // MIs[0] round
     /* 1966461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966464 */     // MIs[0] policy
     /* 1966464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966500 */     // GIR_Coverage, 15687,
     /* 1966500 */     GIR_EraseRootFromParent_Done,
     /* 1966501 */   // Label 26245: @1966501
     /* 1966501 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1966592), // Rule ID 15690 //
     /* 1966506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1966509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1966517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1966520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1966532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966552 */     // MIs[0] round
     /* 1966552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966555 */     // MIs[0] policy
     /* 1966555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966591 */     // GIR_Coverage, 15690,
     /* 1966591 */     GIR_EraseRootFromParent_Done,
     /* 1966592 */   // Label 26246: @1966592
     /* 1966592 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1966683), // Rule ID 15691 //
     /* 1966597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1966600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1966608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1966611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1966614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1966617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966643 */     // MIs[0] round
     /* 1966643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966646 */     // MIs[0] policy
     /* 1966646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966682 */     // GIR_Coverage, 15691,
     /* 1966682 */     GIR_EraseRootFromParent_Done,
     /* 1966683 */   // Label 26247: @1966683
     /* 1966683 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1966774), // Rule ID 15694 //
     /* 1966688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1966691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1966714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966734 */     // MIs[0] round
     /* 1966734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966737 */     // MIs[0] policy
     /* 1966737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966773 */     // GIR_Coverage, 15694,
     /* 1966773 */     GIR_EraseRootFromParent_Done,
     /* 1966774 */   // Label 26248: @1966774
     /* 1966774 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1966865), // Rule ID 15695 //
     /* 1966779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1966782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966825 */     // MIs[0] round
     /* 1966825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966828 */     // MIs[0] policy
     /* 1966828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966864 */     // GIR_Coverage, 15695,
     /* 1966864 */     GIR_EraseRootFromParent_Done,
     /* 1966865 */   // Label 26249: @1966865
     /* 1966865 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1966956), // Rule ID 15698 //
     /* 1966870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1966873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1966887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1966890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1966896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966916 */     // MIs[0] round
     /* 1966916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1966919 */     // MIs[0] policy
     /* 1966919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1966922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966929 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1966932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1966944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1966954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966955 */     // GIR_Coverage, 15698,
     /* 1966955 */     GIR_EraseRootFromParent_Done,
     /* 1966956 */   // Label 26250: @1966956
     /* 1966956 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1967047), // Rule ID 15699 //
     /* 1966961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1966964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1966969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1966978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1966981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1966987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967007 */     // MIs[0] round
     /* 1967007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967010 */     // MIs[0] policy
     /* 1967010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 1967023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967046 */     // GIR_Coverage, 15699,
     /* 1967046 */     GIR_EraseRootFromParent_Done,
     /* 1967047 */   // Label 26251: @1967047
     /* 1967047 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1967138), // Rule ID 15702 //
     /* 1967052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967098 */     // MIs[0] round
     /* 1967098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967101 */     // MIs[0] policy
     /* 1967101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1967114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967137 */     // GIR_Coverage, 15702,
     /* 1967137 */     GIR_EraseRootFromParent_Done,
     /* 1967138 */   // Label 26252: @1967138
     /* 1967138 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1967229), // Rule ID 15703 //
     /* 1967143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1967146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1967154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1967157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1967160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1967163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1967169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967189 */     // MIs[0] round
     /* 1967189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967192 */     // MIs[0] policy
     /* 1967192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1967205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967228 */     // GIR_Coverage, 15703,
     /* 1967228 */     GIR_EraseRootFromParent_Done,
     /* 1967229 */   // Label 26253: @1967229
     /* 1967229 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1967320), // Rule ID 15706 //
     /* 1967234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967280 */     // MIs[0] round
     /* 1967280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967283 */     // MIs[0] policy
     /* 1967283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967293 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1967296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967319 */     // GIR_Coverage, 15706,
     /* 1967319 */     GIR_EraseRootFromParent_Done,
     /* 1967320 */   // Label 26254: @1967320
     /* 1967320 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1967411), // Rule ID 15707 //
     /* 1967325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1967328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1967336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1967339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1967342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1967345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1967351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967371 */     // MIs[0] round
     /* 1967371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967374 */     // MIs[0] policy
     /* 1967374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1967387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967410 */     // GIR_Coverage, 15707,
     /* 1967410 */     GIR_EraseRootFromParent_Done,
     /* 1967411 */   // Label 26255: @1967411
     /* 1967411 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1967502), // Rule ID 15710 //
     /* 1967416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1967427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1967430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1967433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1967436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1967439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967462 */     // MIs[0] round
     /* 1967462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967465 */     // MIs[0] policy
     /* 1967465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1967478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967501 */     // GIR_Coverage, 15710,
     /* 1967501 */     GIR_EraseRootFromParent_Done,
     /* 1967502 */   // Label 26256: @1967502
     /* 1967502 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1967593), // Rule ID 15711 //
     /* 1967507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1967510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1967518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1967521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1967524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1967527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1967530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1967533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967553 */     // MIs[0] round
     /* 1967553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967556 */     // MIs[0] policy
     /* 1967556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1967569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967592 */     // GIR_Coverage, 15711,
     /* 1967592 */     GIR_EraseRootFromParent_Done,
     /* 1967593 */   // Label 26257: @1967593
     /* 1967593 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1967684), // Rule ID 15714 //
     /* 1967598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967644 */     // MIs[0] round
     /* 1967644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967647 */     // MIs[0] policy
     /* 1967647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967657 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1967660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967683 */     // GIR_Coverage, 15714,
     /* 1967683 */     GIR_EraseRootFromParent_Done,
     /* 1967684 */   // Label 26258: @1967684
     /* 1967684 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1967775), // Rule ID 15715 //
     /* 1967689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1967692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1967715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967735 */     // MIs[0] round
     /* 1967735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967738 */     // MIs[0] policy
     /* 1967738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1967751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967774 */     // GIR_Coverage, 15715,
     /* 1967774 */     GIR_EraseRootFromParent_Done,
     /* 1967775 */   // Label 26259: @1967775
     /* 1967775 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1967866), // Rule ID 15718 //
     /* 1967780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967826 */     // MIs[0] round
     /* 1967826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967829 */     // MIs[0] policy
     /* 1967829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1967842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967865 */     // GIR_Coverage, 15718,
     /* 1967865 */     GIR_EraseRootFromParent_Done,
     /* 1967866 */   // Label 26260: @1967866
     /* 1967866 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1967957), // Rule ID 15719 //
     /* 1967871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1967874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1967897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967917 */     // MIs[0] round
     /* 1967917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1967920 */     // MIs[0] policy
     /* 1967920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1967923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1967933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1967945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1967955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967956 */     // GIR_Coverage, 15719,
     /* 1967956 */     GIR_EraseRootFromParent_Done,
     /* 1967957 */   // Label 26261: @1967957
     /* 1967957 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1968048), // Rule ID 15722 //
     /* 1967962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1967965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1967970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1967973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1967976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1967979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1967982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1967988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968008 */     // MIs[0] round
     /* 1968008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968011 */     // MIs[0] policy
     /* 1968011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1968024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968047 */     // GIR_Coverage, 15722,
     /* 1968047 */     GIR_EraseRootFromParent_Done,
     /* 1968048 */   // Label 26262: @1968048
     /* 1968048 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1968139), // Rule ID 15723 //
     /* 1968053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1968056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968099 */     // MIs[0] round
     /* 1968099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968102 */     // MIs[0] policy
     /* 1968102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1968115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968138 */     // GIR_Coverage, 15723,
     /* 1968138 */     GIR_EraseRootFromParent_Done,
     /* 1968139 */   // Label 26263: @1968139
     /* 1968139 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1968230), // Rule ID 15726 //
     /* 1968144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1968147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1968170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968190 */     // MIs[0] round
     /* 1968190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968193 */     // MIs[0] policy
     /* 1968193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1968206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968229 */     // GIR_Coverage, 15726,
     /* 1968229 */     GIR_EraseRootFromParent_Done,
     /* 1968230 */   // Label 26264: @1968230
     /* 1968230 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1968321), // Rule ID 15727 //
     /* 1968235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1968238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968281 */     // MIs[0] round
     /* 1968281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968284 */     // MIs[0] policy
     /* 1968284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1968297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968320 */     // GIR_Coverage, 15727,
     /* 1968320 */     GIR_EraseRootFromParent_Done,
     /* 1968321 */   // Label 26265: @1968321
     /* 1968321 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1968412), // Rule ID 15730 //
     /* 1968326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1968329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1968352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968372 */     // MIs[0] round
     /* 1968372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968375 */     // MIs[0] policy
     /* 1968375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968385 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1968388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968411 */     // GIR_Coverage, 15730,
     /* 1968411 */     GIR_EraseRootFromParent_Done,
     /* 1968412 */   // Label 26266: @1968412
     /* 1968412 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1968503), // Rule ID 15731 //
     /* 1968417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1968420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968463 */     // MIs[0] round
     /* 1968463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968466 */     // MIs[0] policy
     /* 1968466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1968479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968502 */     // GIR_Coverage, 15731,
     /* 1968502 */     GIR_EraseRootFromParent_Done,
     /* 1968503 */   // Label 26267: @1968503
     /* 1968503 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1968594), // Rule ID 15734 //
     /* 1968508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1968511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1968528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1968534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968554 */     // MIs[0] round
     /* 1968554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968557 */     // MIs[0] policy
     /* 1968557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1968570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968593 */     // GIR_Coverage, 15734,
     /* 1968593 */     GIR_EraseRootFromParent_Done,
     /* 1968594 */   // Label 26268: @1968594
     /* 1968594 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1968685), // Rule ID 15735 //
     /* 1968599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1968602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1968619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968645 */     // MIs[0] round
     /* 1968645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968648 */     // MIs[0] policy
     /* 1968648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1968661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968684 */     // GIR_Coverage, 15735,
     /* 1968684 */     GIR_EraseRootFromParent_Done,
     /* 1968685 */   // Label 26269: @1968685
     /* 1968685 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1968776), // Rule ID 15738 //
     /* 1968690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1968693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1968710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1968716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968736 */     // MIs[0] round
     /* 1968736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968739 */     // MIs[0] policy
     /* 1968739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1968752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968775 */     // GIR_Coverage, 15738,
     /* 1968775 */     GIR_EraseRootFromParent_Done,
     /* 1968776 */   // Label 26270: @1968776
     /* 1968776 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1968867), // Rule ID 15739 //
     /* 1968781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1968784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1968801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968827 */     // MIs[0] round
     /* 1968827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968830 */     // MIs[0] policy
     /* 1968830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 1968843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968866 */     // GIR_Coverage, 15739,
     /* 1968866 */     GIR_EraseRootFromParent_Done,
     /* 1968867 */   // Label 26271: @1968867
     /* 1968867 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1968958), // Rule ID 15742 //
     /* 1968872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1968875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1968898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968918 */     // MIs[0] round
     /* 1968918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1968921 */     // MIs[0] policy
     /* 1968921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1968924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968931 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1968934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1968946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1968956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968957 */     // GIR_Coverage, 15742,
     /* 1968957 */     GIR_EraseRootFromParent_Done,
     /* 1968958 */   // Label 26272: @1968958
     /* 1968958 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1969049), // Rule ID 15743 //
     /* 1968963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1968966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1968971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1968989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969009 */     // MIs[0] round
     /* 1969009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969012 */     // MIs[0] policy
     /* 1969012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 1969025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969048 */     // GIR_Coverage, 15743,
     /* 1969048 */     GIR_EraseRootFromParent_Done,
     /* 1969049 */   // Label 26273: @1969049
     /* 1969049 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1969140), // Rule ID 15746 //
     /* 1969054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1969057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969100 */     // MIs[0] round
     /* 1969100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969103 */     // MIs[0] policy
     /* 1969103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1969116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969139 */     // GIR_Coverage, 15746,
     /* 1969139 */     GIR_EraseRootFromParent_Done,
     /* 1969140 */   // Label 26274: @1969140
     /* 1969140 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1969231), // Rule ID 15747 //
     /* 1969145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1969148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1969171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969191 */     // MIs[0] round
     /* 1969191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969194 */     // MIs[0] policy
     /* 1969194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 1969207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969230 */     // GIR_Coverage, 15747,
     /* 1969230 */     GIR_EraseRootFromParent_Done,
     /* 1969231 */   // Label 26275: @1969231
     /* 1969231 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1969322), // Rule ID 15750 //
     /* 1969236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1969239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969282 */     // MIs[0] round
     /* 1969282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969285 */     // MIs[0] policy
     /* 1969285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969295 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 1969298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969321 */     // GIR_Coverage, 15750,
     /* 1969321 */     GIR_EraseRootFromParent_Done,
     /* 1969322 */   // Label 26276: @1969322
     /* 1969322 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1969413), // Rule ID 15751 //
     /* 1969327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1969330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1969338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1969341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1969353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969373 */     // MIs[0] round
     /* 1969373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969376 */     // MIs[0] policy
     /* 1969376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969386 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 1969389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969412 */     // GIR_Coverage, 15751,
     /* 1969412 */     GIR_EraseRootFromParent_Done,
     /* 1969413 */   // Label 26277: @1969413
     /* 1969413 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1969504), // Rule ID 15754 //
     /* 1969418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1969421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969464 */     // MIs[0] round
     /* 1969464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969467 */     // MIs[0] policy
     /* 1969467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969477 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 1969480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969503 */     // GIR_Coverage, 15754,
     /* 1969503 */     GIR_EraseRootFromParent_Done,
     /* 1969504 */   // Label 26278: @1969504
     /* 1969504 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1969595), // Rule ID 15755 //
     /* 1969509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1969512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1969520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1969523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1969535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969555 */     // MIs[0] round
     /* 1969555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969558 */     // MIs[0] policy
     /* 1969558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 1969571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969594 */     // GIR_Coverage, 15755,
     /* 1969594 */     GIR_EraseRootFromParent_Done,
     /* 1969595 */   // Label 26279: @1969595
     /* 1969595 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1969686), // Rule ID 15758 //
     /* 1969600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1969603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1969611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1969614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1969617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969646 */     // MIs[0] round
     /* 1969646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969649 */     // MIs[0] policy
     /* 1969649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1969662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969685 */     // GIR_Coverage, 15758,
     /* 1969685 */     GIR_EraseRootFromParent_Done,
     /* 1969686 */   // Label 26280: @1969686
     /* 1969686 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1969777), // Rule ID 15759 //
     /* 1969691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1969694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1969702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1969705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1969708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1969717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969737 */     // MIs[0] round
     /* 1969737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969740 */     // MIs[0] policy
     /* 1969740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1969753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969776 */     // GIR_Coverage, 15759,
     /* 1969776 */     GIR_EraseRootFromParent_Done,
     /* 1969777 */   // Label 26281: @1969777
     /* 1969777 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1969868), // Rule ID 15762 //
     /* 1969782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1969785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1969799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969828 */     // MIs[0] round
     /* 1969828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969831 */     // MIs[0] policy
     /* 1969831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969841 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 1969844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969867 */     // GIR_Coverage, 15762,
     /* 1969867 */     GIR_EraseRootFromParent_Done,
     /* 1969868 */   // Label 26282: @1969868
     /* 1969868 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1969959), // Rule ID 15763 //
     /* 1969873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1969876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1969890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1969899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969919 */     // MIs[0] round
     /* 1969919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1969922 */     // MIs[0] policy
     /* 1969922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1969925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 1969935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1969947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1969957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969958 */     // GIR_Coverage, 15763,
     /* 1969958 */     GIR_EraseRootFromParent_Done,
     /* 1969959 */   // Label 26283: @1969959
     /* 1969959 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1970050), // Rule ID 15766 //
     /* 1969964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1969967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1969972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1969990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970010 */     // MIs[0] round
     /* 1970010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970013 */     // MIs[0] policy
     /* 1970013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1970026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970049 */     // GIR_Coverage, 15766,
     /* 1970049 */     GIR_EraseRootFromParent_Done,
     /* 1970050 */   // Label 26284: @1970050
     /* 1970050 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1970141), // Rule ID 15767 //
     /* 1970055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1970058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1970066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1970069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970101 */     // MIs[0] round
     /* 1970101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970104 */     // MIs[0] policy
     /* 1970104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970114 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1970117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970140 */     // GIR_Coverage, 15767,
     /* 1970140 */     GIR_EraseRootFromParent_Done,
     /* 1970141 */   // Label 26285: @1970141
     /* 1970141 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1970232), // Rule ID 15770 //
     /* 1970146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1970149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1970172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970192 */     // MIs[0] round
     /* 1970192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970195 */     // MIs[0] policy
     /* 1970195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970205 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1970208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970231 */     // GIR_Coverage, 15770,
     /* 1970231 */     GIR_EraseRootFromParent_Done,
     /* 1970232 */   // Label 26286: @1970232
     /* 1970232 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1970323), // Rule ID 15771 //
     /* 1970237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1970240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970283 */     // MIs[0] round
     /* 1970283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970286 */     // MIs[0] policy
     /* 1970286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 1970299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970322 */     // GIR_Coverage, 15771,
     /* 1970322 */     GIR_EraseRootFromParent_Done,
     /* 1970323 */   // Label 26287: @1970323
     /* 1970323 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1970414), // Rule ID 15774 //
     /* 1970328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1970331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1970354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970374 */     // MIs[0] round
     /* 1970374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970377 */     // MIs[0] policy
     /* 1970377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970413 */     // GIR_Coverage, 15774,
     /* 1970413 */     GIR_EraseRootFromParent_Done,
     /* 1970414 */   // Label 26288: @1970414
     /* 1970414 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1970505), // Rule ID 15775 //
     /* 1970419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1970422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1970430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1970433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1970436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970465 */     // MIs[0] round
     /* 1970465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970468 */     // MIs[0] policy
     /* 1970468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970504 */     // GIR_Coverage, 15775,
     /* 1970504 */     GIR_EraseRootFromParent_Done,
     /* 1970505 */   // Label 26289: @1970505
     /* 1970505 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1970596), // Rule ID 15778 //
     /* 1970510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1970513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1970536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970556 */     // MIs[0] round
     /* 1970556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970559 */     // MIs[0] policy
     /* 1970559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970595 */     // GIR_Coverage, 15778,
     /* 1970595 */     GIR_EraseRootFromParent_Done,
     /* 1970596 */   // Label 26290: @1970596
     /* 1970596 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1970687), // Rule ID 15779 //
     /* 1970601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1970604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970647 */     // MIs[0] round
     /* 1970647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970650 */     // MIs[0] policy
     /* 1970650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970686 */     // GIR_Coverage, 15779,
     /* 1970686 */     GIR_EraseRootFromParent_Done,
     /* 1970687 */   // Label 26291: @1970687
     /* 1970687 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1970778), // Rule ID 15782 //
     /* 1970692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1970695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1970709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1970718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970738 */     // MIs[0] round
     /* 1970738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970741 */     // MIs[0] policy
     /* 1970741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970777 */     // GIR_Coverage, 15782,
     /* 1970777 */     GIR_EraseRootFromParent_Done,
     /* 1970778 */   // Label 26292: @1970778
     /* 1970778 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1970869), // Rule ID 15783 //
     /* 1970783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1970786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1970800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970829 */     // MIs[0] round
     /* 1970829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970832 */     // MIs[0] policy
     /* 1970832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970868 */     // GIR_Coverage, 15783,
     /* 1970868 */     GIR_EraseRootFromParent_Done,
     /* 1970869 */   // Label 26293: @1970869
     /* 1970869 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1970960), // Rule ID 15786 //
     /* 1970874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1970877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1970900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970920 */     // MIs[0] round
     /* 1970920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1970923 */     // MIs[0] policy
     /* 1970923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1970926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1970936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1970948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1970958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970959 */     // GIR_Coverage, 15786,
     /* 1970959 */     GIR_EraseRootFromParent_Done,
     /* 1970960 */   // Label 26294: @1970960
     /* 1970960 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1971051), // Rule ID 15787 //
     /* 1970965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1970968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1970973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1970991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971011 */     // MIs[0] round
     /* 1971011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971014 */     // MIs[0] policy
     /* 1971014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 1971027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971050 */     // GIR_Coverage, 15787,
     /* 1971050 */     GIR_EraseRootFromParent_Done,
     /* 1971051 */   // Label 26295: @1971051
     /* 1971051 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1971142), // Rule ID 15790 //
     /* 1971056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971102 */     // MIs[0] round
     /* 1971102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971105 */     // MIs[0] policy
     /* 1971105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1971118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971141 */     // GIR_Coverage, 15790,
     /* 1971141 */     GIR_EraseRootFromParent_Done,
     /* 1971142 */   // Label 26296: @1971142
     /* 1971142 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1971233), // Rule ID 15791 //
     /* 1971147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1971150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1971158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1971161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1971164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1971173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971193 */     // MIs[0] round
     /* 1971193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971196 */     // MIs[0] policy
     /* 1971196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971206 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1971209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971232 */     // GIR_Coverage, 15791,
     /* 1971232 */     GIR_EraseRootFromParent_Done,
     /* 1971233 */   // Label 26297: @1971233
     /* 1971233 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1971324), // Rule ID 15794 //
     /* 1971238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971284 */     // MIs[0] round
     /* 1971284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971287 */     // MIs[0] policy
     /* 1971287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1971300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971323 */     // GIR_Coverage, 15794,
     /* 1971323 */     GIR_EraseRootFromParent_Done,
     /* 1971324 */   // Label 26298: @1971324
     /* 1971324 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1971415), // Rule ID 15795 //
     /* 1971329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1971332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1971340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1971343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1971346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1971355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971375 */     // MIs[0] round
     /* 1971375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971378 */     // MIs[0] policy
     /* 1971378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1971391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971414 */     // GIR_Coverage, 15795,
     /* 1971414 */     GIR_EraseRootFromParent_Done,
     /* 1971415 */   // Label 26299: @1971415
     /* 1971415 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1971506), // Rule ID 15798 //
     /* 1971420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971466 */     // MIs[0] round
     /* 1971466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971469 */     // MIs[0] policy
     /* 1971469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971479 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1971482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971505 */     // GIR_Coverage, 15798,
     /* 1971505 */     GIR_EraseRootFromParent_Done,
     /* 1971506 */   // Label 26300: @1971506
     /* 1971506 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1971597), // Rule ID 15799 //
     /* 1971511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1971514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1971522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1971525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1971528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1971534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1971537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971557 */     // MIs[0] round
     /* 1971557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971560 */     // MIs[0] policy
     /* 1971560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971570 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1971573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971596 */     // GIR_Coverage, 15799,
     /* 1971596 */     GIR_EraseRootFromParent_Done,
     /* 1971597 */   // Label 26301: @1971597
     /* 1971597 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1971688), // Rule ID 15802 //
     /* 1971602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1971613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1971616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1971619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971648 */     // MIs[0] round
     /* 1971648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971651 */     // MIs[0] policy
     /* 1971651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1971664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971687 */     // GIR_Coverage, 15802,
     /* 1971687 */     GIR_EraseRootFromParent_Done,
     /* 1971688 */   // Label 26302: @1971688
     /* 1971688 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1971779), // Rule ID 15803 //
     /* 1971693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1971696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1971704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1971707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1971710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1971719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971739 */     // MIs[0] round
     /* 1971739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971742 */     // MIs[0] policy
     /* 1971742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1971755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971778 */     // GIR_Coverage, 15803,
     /* 1971778 */     GIR_EraseRootFromParent_Done,
     /* 1971779 */   // Label 26303: @1971779
     /* 1971779 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1971870), // Rule ID 15806 //
     /* 1971784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1971795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1971798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971830 */     // MIs[0] round
     /* 1971830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971833 */     // MIs[0] policy
     /* 1971833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1971846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971869 */     // GIR_Coverage, 15806,
     /* 1971869 */     GIR_EraseRootFromParent_Done,
     /* 1971870 */   // Label 26304: @1971870
     /* 1971870 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1971961), // Rule ID 15807 //
     /* 1971875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1971878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1971886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1971889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1971901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971921 */     // MIs[0] round
     /* 1971921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1971924 */     // MIs[0] policy
     /* 1971924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1971927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1971937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1971949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1971959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971960 */     // GIR_Coverage, 15807,
     /* 1971960 */     GIR_EraseRootFromParent_Done,
     /* 1971961 */   // Label 26305: @1971961
     /* 1971961 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1972052), // Rule ID 15810 //
     /* 1971966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1971969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1971974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1971977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1971980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1971983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1971992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972012 */     // MIs[0] round
     /* 1972012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972015 */     // MIs[0] policy
     /* 1972015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1972028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972051 */     // GIR_Coverage, 15810,
     /* 1972051 */     GIR_EraseRootFromParent_Done,
     /* 1972052 */   // Label 26306: @1972052
     /* 1972052 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1972143), // Rule ID 15811 //
     /* 1972057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1972074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972103 */     // MIs[0] round
     /* 1972103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972106 */     // MIs[0] policy
     /* 1972106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1972119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972142 */     // GIR_Coverage, 15811,
     /* 1972142 */     GIR_EraseRootFromParent_Done,
     /* 1972143 */   // Label 26307: @1972143
     /* 1972143 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1972234), // Rule ID 15814 //
     /* 1972148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1972151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1972174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972194 */     // MIs[0] round
     /* 1972194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972197 */     // MIs[0] policy
     /* 1972197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1972210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972233 */     // GIR_Coverage, 15814,
     /* 1972233 */     GIR_EraseRootFromParent_Done,
     /* 1972234 */   // Label 26308: @1972234
     /* 1972234 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1972325), // Rule ID 15815 //
     /* 1972239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1972250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1972253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1972256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972285 */     // MIs[0] round
     /* 1972285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972288 */     // MIs[0] policy
     /* 1972288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1972301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972324 */     // GIR_Coverage, 15815,
     /* 1972324 */     GIR_EraseRootFromParent_Done,
     /* 1972325 */   // Label 26309: @1972325
     /* 1972325 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1972416), // Rule ID 15818 //
     /* 1972330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1972333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1972356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972376 */     // MIs[0] round
     /* 1972376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972379 */     // MIs[0] policy
     /* 1972379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1972392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972415 */     // GIR_Coverage, 15818,
     /* 1972415 */     GIR_EraseRootFromParent_Done,
     /* 1972416 */   // Label 26310: @1972416
     /* 1972416 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1972507), // Rule ID 15819 //
     /* 1972421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1972432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1972435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1972438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972467 */     // MIs[0] round
     /* 1972467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972470 */     // MIs[0] policy
     /* 1972470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1972483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972506 */     // GIR_Coverage, 15819,
     /* 1972506 */     GIR_EraseRootFromParent_Done,
     /* 1972507 */   // Label 26311: @1972507
     /* 1972507 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1972598), // Rule ID 15822 //
     /* 1972512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1972515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1972538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972558 */     // MIs[0] round
     /* 1972558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972561 */     // MIs[0] policy
     /* 1972561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1972574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972597 */     // GIR_Coverage, 15822,
     /* 1972597 */     GIR_EraseRootFromParent_Done,
     /* 1972598 */   // Label 26312: @1972598
     /* 1972598 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1972689), // Rule ID 15823 //
     /* 1972603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1972614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1972617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1972620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972649 */     // MIs[0] round
     /* 1972649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972652 */     // MIs[0] policy
     /* 1972652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1972665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972688 */     // GIR_Coverage, 15823,
     /* 1972688 */     GIR_EraseRootFromParent_Done,
     /* 1972689 */   // Label 26313: @1972689
     /* 1972689 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1972780), // Rule ID 15826 //
     /* 1972694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1972697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1972720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972740 */     // MIs[0] round
     /* 1972740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972743 */     // MIs[0] policy
     /* 1972743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972753 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1972756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972779 */     // GIR_Coverage, 15826,
     /* 1972779 */     GIR_EraseRootFromParent_Done,
     /* 1972780 */   // Label 26314: @1972780
     /* 1972780 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1972871), // Rule ID 15827 //
     /* 1972785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1972788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972831 */     // MIs[0] round
     /* 1972831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972834 */     // MIs[0] policy
     /* 1972834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 1972847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972870 */     // GIR_Coverage, 15827,
     /* 1972870 */     GIR_EraseRootFromParent_Done,
     /* 1972871 */   // Label 26315: @1972871
     /* 1972871 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1972962), // Rule ID 15830 //
     /* 1972876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1972879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1972902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972922 */     // MIs[0] round
     /* 1972922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1972925 */     // MIs[0] policy
     /* 1972925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1972928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1972938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1972950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1972960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972961 */     // GIR_Coverage, 15830,
     /* 1972961 */     GIR_EraseRootFromParent_Done,
     /* 1972962 */   // Label 26316: @1972962
     /* 1972962 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1973053), // Rule ID 15831 //
     /* 1972967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1972970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1972975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1972993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973013 */     // MIs[0] round
     /* 1973013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973016 */     // MIs[0] policy
     /* 1973016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 1973029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973052 */     // GIR_Coverage, 15831,
     /* 1973052 */     GIR_EraseRootFromParent_Done,
     /* 1973053 */   // Label 26317: @1973053
     /* 1973053 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1973144), // Rule ID 15834 //
     /* 1973058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1973061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1973066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973104 */     // MIs[0] round
     /* 1973104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973107 */     // MIs[0] policy
     /* 1973107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1973120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973143 */     // GIR_Coverage, 15834,
     /* 1973143 */     GIR_EraseRootFromParent_Done,
     /* 1973144 */   // Label 26318: @1973144
     /* 1973144 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1973235), // Rule ID 15835 //
     /* 1973149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1973152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1973157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1973160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1973163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1973166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1973175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973195 */     // MIs[0] round
     /* 1973195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973198 */     // MIs[0] policy
     /* 1973198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 1973211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973234 */     // GIR_Coverage, 15835,
     /* 1973234 */     GIR_EraseRootFromParent_Done,
     /* 1973235 */   // Label 26319: @1973235
     /* 1973235 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1973326), // Rule ID 15926 //
     /* 1973240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973286 */     // MIs[0] round
     /* 1973286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973289 */     // MIs[0] policy
     /* 1973289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 1973302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973325 */     // GIR_Coverage, 15926,
     /* 1973325 */     GIR_EraseRootFromParent_Done,
     /* 1973326 */   // Label 26320: @1973326
     /* 1973326 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1973417), // Rule ID 15927 //
     /* 1973331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1973342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1973345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1973348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1973351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1973357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973377 */     // MIs[0] round
     /* 1973377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973380 */     // MIs[0] policy
     /* 1973380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 1973393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973416 */     // GIR_Coverage, 15927,
     /* 1973416 */     GIR_EraseRootFromParent_Done,
     /* 1973417 */   // Label 26321: @1973417
     /* 1973417 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1973508), // Rule ID 15930 //
     /* 1973422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973468 */     // MIs[0] round
     /* 1973468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973471 */     // MIs[0] policy
     /* 1973471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 1973484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973507 */     // GIR_Coverage, 15930,
     /* 1973507 */     GIR_EraseRootFromParent_Done,
     /* 1973508 */   // Label 26322: @1973508
     /* 1973508 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1973599), // Rule ID 15931 //
     /* 1973513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1973524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1973527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1973530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1973533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1973539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973559 */     // MIs[0] round
     /* 1973559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973562 */     // MIs[0] policy
     /* 1973562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973572 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 1973575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973598 */     // GIR_Coverage, 15931,
     /* 1973598 */     GIR_EraseRootFromParent_Done,
     /* 1973599 */   // Label 26323: @1973599
     /* 1973599 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1973690), // Rule ID 15934 //
     /* 1973604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973650 */     // MIs[0] round
     /* 1973650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973653 */     // MIs[0] policy
     /* 1973653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973663 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1973666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973689 */     // GIR_Coverage, 15934,
     /* 1973689 */     GIR_EraseRootFromParent_Done,
     /* 1973690 */   // Label 26324: @1973690
     /* 1973690 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1973781), // Rule ID 15935 //
     /* 1973695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1973715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1973721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973741 */     // MIs[0] round
     /* 1973741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973744 */     // MIs[0] policy
     /* 1973744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1973757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973780 */     // GIR_Coverage, 15935,
     /* 1973780 */     GIR_EraseRootFromParent_Done,
     /* 1973781 */   // Label 26325: @1973781
     /* 1973781 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1973872), // Rule ID 15938 //
     /* 1973786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973832 */     // MIs[0] round
     /* 1973832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973835 */     // MIs[0] policy
     /* 1973835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973845 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 1973848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973871 */     // GIR_Coverage, 15938,
     /* 1973871 */     GIR_EraseRootFromParent_Done,
     /* 1973872 */   // Label 26326: @1973872
     /* 1973872 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1973963), // Rule ID 15939 //
     /* 1973877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1973897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1973903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973923 */     // MIs[0] round
     /* 1973923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1973926 */     // MIs[0] policy
     /* 1973926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1973929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 1973939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1973951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1973961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973962 */     // GIR_Coverage, 15939,
     /* 1973962 */     GIR_EraseRootFromParent_Done,
     /* 1973963 */   // Label 26327: @1973963
     /* 1973963 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1974054), // Rule ID 15942 //
     /* 1973968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1973976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1973994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974014 */     // MIs[0] round
     /* 1974014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974017 */     // MIs[0] policy
     /* 1974017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974027 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1974030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974053 */     // GIR_Coverage, 15942,
     /* 1974053 */     GIR_EraseRootFromParent_Done,
     /* 1974054 */   // Label 26328: @1974054
     /* 1974054 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1974145), // Rule ID 15943 //
     /* 1974059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1974070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1974073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1974076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1974079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974105 */     // MIs[0] round
     /* 1974105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974108 */     // MIs[0] policy
     /* 1974108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1974121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974144 */     // GIR_Coverage, 15943,
     /* 1974144 */     GIR_EraseRootFromParent_Done,
     /* 1974145 */   // Label 26329: @1974145
     /* 1974145 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1974236), // Rule ID 15946 //
     /* 1974150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1974176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974196 */     // MIs[0] round
     /* 1974196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974199 */     // MIs[0] policy
     /* 1974199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1974212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974235 */     // GIR_Coverage, 15946,
     /* 1974235 */     GIR_EraseRootFromParent_Done,
     /* 1974236 */   // Label 26330: @1974236
     /* 1974236 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1974327), // Rule ID 15947 //
     /* 1974241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1974252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1974255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1974258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1974261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974287 */     // MIs[0] round
     /* 1974287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974290 */     // MIs[0] policy
     /* 1974290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 1974303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974326 */     // GIR_Coverage, 15947,
     /* 1974326 */     GIR_EraseRootFromParent_Done,
     /* 1974327 */   // Label 26331: @1974327
     /* 1974327 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1974418), // Rule ID 15950 //
     /* 1974332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1974358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974378 */     // MIs[0] round
     /* 1974378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974381 */     // MIs[0] policy
     /* 1974381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974417 */     // GIR_Coverage, 15950,
     /* 1974417 */     GIR_EraseRootFromParent_Done,
     /* 1974418 */   // Label 26332: @1974418
     /* 1974418 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1974509), // Rule ID 15951 //
     /* 1974423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1974443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974469 */     // MIs[0] round
     /* 1974469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974472 */     // MIs[0] policy
     /* 1974472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974508 */     // GIR_Coverage, 15951,
     /* 1974508 */     GIR_EraseRootFromParent_Done,
     /* 1974509 */   // Label 26333: @1974509
     /* 1974509 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1974600), // Rule ID 15954 //
     /* 1974514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1974540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974560 */     // MIs[0] round
     /* 1974560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974563 */     // MIs[0] policy
     /* 1974563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974599 */     // GIR_Coverage, 15954,
     /* 1974599 */     GIR_EraseRootFromParent_Done,
     /* 1974600 */   // Label 26334: @1974600
     /* 1974600 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1974691), // Rule ID 15955 //
     /* 1974605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1974625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974651 */     // MIs[0] round
     /* 1974651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974654 */     // MIs[0] policy
     /* 1974654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974690 */     // GIR_Coverage, 15955,
     /* 1974690 */     GIR_EraseRootFromParent_Done,
     /* 1974691 */   // Label 26335: @1974691
     /* 1974691 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1974782), // Rule ID 15958 //
     /* 1974696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1974722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974742 */     // MIs[0] round
     /* 1974742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974745 */     // MIs[0] policy
     /* 1974745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974781 */     // GIR_Coverage, 15958,
     /* 1974781 */     GIR_EraseRootFromParent_Done,
     /* 1974782 */   // Label 26336: @1974782
     /* 1974782 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1974873), // Rule ID 15959 //
     /* 1974787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1974807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974833 */     // MIs[0] round
     /* 1974833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974836 */     // MIs[0] policy
     /* 1974836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974872 */     // GIR_Coverage, 15959,
     /* 1974872 */     GIR_EraseRootFromParent_Done,
     /* 1974873 */   // Label 26337: @1974873
     /* 1974873 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1974964), // Rule ID 15962 //
     /* 1974878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1974881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1974904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974924 */     // MIs[0] round
     /* 1974924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1974927 */     // MIs[0] policy
     /* 1974927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1974930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974937 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1974940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1974952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1974962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974963 */     // GIR_Coverage, 15962,
     /* 1974963 */     GIR_EraseRootFromParent_Done,
     /* 1974964 */   // Label 26338: @1974964
     /* 1974964 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1975055), // Rule ID 15963 //
     /* 1974969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1974972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1974977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1974995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975015 */     // MIs[0] round
     /* 1975015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975018 */     // MIs[0] policy
     /* 1975018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 1975031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975054 */     // GIR_Coverage, 15963,
     /* 1975054 */     GIR_EraseRootFromParent_Done,
     /* 1975055 */   // Label 26339: @1975055
     /* 1975055 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1975146), // Rule ID 15966 //
     /* 1975060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975106 */     // MIs[0] round
     /* 1975106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975109 */     // MIs[0] policy
     /* 1975109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975119 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1975122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975145 */     // GIR_Coverage, 15966,
     /* 1975145 */     GIR_EraseRootFromParent_Done,
     /* 1975146 */   // Label 26340: @1975146
     /* 1975146 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1975237), // Rule ID 15967 //
     /* 1975151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1975162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1975165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1975168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1975171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1975177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975197 */     // MIs[0] round
     /* 1975197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975200 */     // MIs[0] policy
     /* 1975200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1975213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975236 */     // GIR_Coverage, 15967,
     /* 1975236 */     GIR_EraseRootFromParent_Done,
     /* 1975237 */   // Label 26341: @1975237
     /* 1975237 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1975328), // Rule ID 15970 //
     /* 1975242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975288 */     // MIs[0] round
     /* 1975288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975291 */     // MIs[0] policy
     /* 1975291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1975304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975327 */     // GIR_Coverage, 15970,
     /* 1975327 */     GIR_EraseRootFromParent_Done,
     /* 1975328 */   // Label 26342: @1975328
     /* 1975328 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1975419), // Rule ID 15971 //
     /* 1975333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1975353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1975359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975379 */     // MIs[0] round
     /* 1975379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975382 */     // MIs[0] policy
     /* 1975382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1975395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975418 */     // GIR_Coverage, 15971,
     /* 1975418 */     GIR_EraseRootFromParent_Done,
     /* 1975419 */   // Label 26343: @1975419
     /* 1975419 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1975510), // Rule ID 15974 //
     /* 1975424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975470 */     // MIs[0] round
     /* 1975470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975473 */     // MIs[0] policy
     /* 1975473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1975486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975509 */     // GIR_Coverage, 15974,
     /* 1975509 */     GIR_EraseRootFromParent_Done,
     /* 1975510 */   // Label 26344: @1975510
     /* 1975510 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1975601), // Rule ID 15975 //
     /* 1975515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1975535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1975541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975561 */     // MIs[0] round
     /* 1975561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975564 */     // MIs[0] policy
     /* 1975564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975574 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1975577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975600 */     // GIR_Coverage, 15975,
     /* 1975600 */     GIR_EraseRootFromParent_Done,
     /* 1975601 */   // Label 26345: @1975601
     /* 1975601 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1975692), // Rule ID 15978 //
     /* 1975606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975652 */     // MIs[0] round
     /* 1975652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975655 */     // MIs[0] policy
     /* 1975655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975665 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1975668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975691 */     // GIR_Coverage, 15978,
     /* 1975691 */     GIR_EraseRootFromParent_Done,
     /* 1975692 */   // Label 26346: @1975692
     /* 1975692 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1975783), // Rule ID 15979 //
     /* 1975697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1975717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1975723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975743 */     // MIs[0] round
     /* 1975743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975746 */     // MIs[0] policy
     /* 1975746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1975759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975782 */     // GIR_Coverage, 15979,
     /* 1975782 */     GIR_EraseRootFromParent_Done,
     /* 1975783 */   // Label 26347: @1975783
     /* 1975783 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1975874), // Rule ID 15982 //
     /* 1975788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975834 */     // MIs[0] round
     /* 1975834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975837 */     // MIs[0] policy
     /* 1975837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1975850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975873 */     // GIR_Coverage, 15982,
     /* 1975873 */     GIR_EraseRootFromParent_Done,
     /* 1975874 */   // Label 26348: @1975874
     /* 1975874 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1975965), // Rule ID 15983 //
     /* 1975879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1975899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1975905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975925 */     // MIs[0] round
     /* 1975925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1975928 */     // MIs[0] policy
     /* 1975928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1975931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1975941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1975953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1975963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975964 */     // GIR_Coverage, 15983,
     /* 1975964 */     GIR_EraseRootFromParent_Done,
     /* 1975965 */   // Label 26349: @1975965
     /* 1975965 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1976056), // Rule ID 15986 //
     /* 1975970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1975978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1975990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1975996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976016 */     // MIs[0] round
     /* 1976016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976019 */     // MIs[0] policy
     /* 1976019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976029 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1976032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976055 */     // GIR_Coverage, 15986,
     /* 1976055 */     GIR_EraseRootFromParent_Done,
     /* 1976056 */   // Label 26350: @1976056
     /* 1976056 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1976147), // Rule ID 15987 //
     /* 1976061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1976072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1976075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1976078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1976081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1976084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976107 */     // MIs[0] round
     /* 1976107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976110 */     // MIs[0] policy
     /* 1976110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1976123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976146 */     // GIR_Coverage, 15987,
     /* 1976146 */     GIR_EraseRootFromParent_Done,
     /* 1976147 */   // Label 26351: @1976147
     /* 1976147 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1976238), // Rule ID 15990 //
     /* 1976152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1976155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1976178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976198 */     // MIs[0] round
     /* 1976198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976201 */     // MIs[0] policy
     /* 1976201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1976214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976237 */     // GIR_Coverage, 15990,
     /* 1976237 */     GIR_EraseRootFromParent_Done,
     /* 1976238 */   // Label 26352: @1976238
     /* 1976238 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1976329), // Rule ID 15991 //
     /* 1976243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1976263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976289 */     // MIs[0] round
     /* 1976289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976292 */     // MIs[0] policy
     /* 1976292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1976305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976328 */     // GIR_Coverage, 15991,
     /* 1976328 */     GIR_EraseRootFromParent_Done,
     /* 1976329 */   // Label 26353: @1976329
     /* 1976329 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1976420), // Rule ID 15994 //
     /* 1976334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1976337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1976360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976380 */     // MIs[0] round
     /* 1976380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976383 */     // MIs[0] policy
     /* 1976383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1976396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976419 */     // GIR_Coverage, 15994,
     /* 1976419 */     GIR_EraseRootFromParent_Done,
     /* 1976420 */   // Label 26354: @1976420
     /* 1976420 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1976511), // Rule ID 15995 //
     /* 1976425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1976445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976471 */     // MIs[0] round
     /* 1976471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976474 */     // MIs[0] policy
     /* 1976474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1976487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976510 */     // GIR_Coverage, 15995,
     /* 1976510 */     GIR_EraseRootFromParent_Done,
     /* 1976511 */   // Label 26355: @1976511
     /* 1976511 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1976602), // Rule ID 15998 //
     /* 1976516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1976519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1976542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976562 */     // MIs[0] round
     /* 1976562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976565 */     // MIs[0] policy
     /* 1976565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1976578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976601 */     // GIR_Coverage, 15998,
     /* 1976601 */     GIR_EraseRootFromParent_Done,
     /* 1976602 */   // Label 26356: @1976602
     /* 1976602 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1976693), // Rule ID 15999 //
     /* 1976607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1976627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976653 */     // MIs[0] round
     /* 1976653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976656 */     // MIs[0] policy
     /* 1976656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1976669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976692 */     // GIR_Coverage, 15999,
     /* 1976692 */     GIR_EraseRootFromParent_Done,
     /* 1976693 */   // Label 26357: @1976693
     /* 1976693 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1976784), // Rule ID 16002 //
     /* 1976698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1976701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1976724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976744 */     // MIs[0] round
     /* 1976744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976747 */     // MIs[0] policy
     /* 1976747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1976760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976783 */     // GIR_Coverage, 16002,
     /* 1976783 */     GIR_EraseRootFromParent_Done,
     /* 1976784 */   // Label 26358: @1976784
     /* 1976784 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1976875), // Rule ID 16003 //
     /* 1976789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1976792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976835 */     // MIs[0] round
     /* 1976835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976838 */     // MIs[0] policy
     /* 1976838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 1976851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976874 */     // GIR_Coverage, 16003,
     /* 1976874 */     GIR_EraseRootFromParent_Done,
     /* 1976875 */   // Label 26359: @1976875
     /* 1976875 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1976966), // Rule ID 16006 //
     /* 1976880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1976883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1976906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976926 */     // MIs[0] round
     /* 1976926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1976929 */     // MIs[0] policy
     /* 1976929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1976932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1976942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1976954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1976964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976965 */     // GIR_Coverage, 16006,
     /* 1976965 */     GIR_EraseRootFromParent_Done,
     /* 1976966 */   // Label 26360: @1976966
     /* 1976966 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1977057), // Rule ID 16007 //
     /* 1976971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1976974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1976979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1976997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977017 */     // MIs[0] round
     /* 1977017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977020 */     // MIs[0] policy
     /* 1977020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 1977033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977056 */     // GIR_Coverage, 16007,
     /* 1977056 */     GIR_EraseRootFromParent_Done,
     /* 1977057 */   // Label 26361: @1977057
     /* 1977057 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1977148), // Rule ID 16010 //
     /* 1977062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1977065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977108 */     // MIs[0] round
     /* 1977108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977111 */     // MIs[0] policy
     /* 1977111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1977124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977147 */     // GIR_Coverage, 16010,
     /* 1977147 */     GIR_EraseRootFromParent_Done,
     /* 1977148 */   // Label 26362: @1977148
     /* 1977148 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1977239), // Rule ID 16011 //
     /* 1977153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1977156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1977173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1977179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977199 */     // MIs[0] round
     /* 1977199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977202 */     // MIs[0] policy
     /* 1977202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 1977215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977238 */     // GIR_Coverage, 16011,
     /* 1977238 */     GIR_EraseRootFromParent_Done,
     /* 1977239 */   // Label 26363: @1977239
     /* 1977239 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1977330), // Rule ID 16014 //
     /* 1977244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977290 */     // MIs[0] round
     /* 1977290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977293 */     // MIs[0] policy
     /* 1977293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977303 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 1977306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977329 */     // GIR_Coverage, 16014,
     /* 1977329 */     GIR_EraseRootFromParent_Done,
     /* 1977330 */   // Label 26364: @1977330
     /* 1977330 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1977421), // Rule ID 16015 //
     /* 1977335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1977361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977381 */     // MIs[0] round
     /* 1977381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977384 */     // MIs[0] policy
     /* 1977384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 1977397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977420 */     // GIR_Coverage, 16015,
     /* 1977420 */     GIR_EraseRootFromParent_Done,
     /* 1977421 */   // Label 26365: @1977421
     /* 1977421 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1977512), // Rule ID 16018 //
     /* 1977426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977472 */     // MIs[0] round
     /* 1977472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977475 */     // MIs[0] policy
     /* 1977475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 1977488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977511 */     // GIR_Coverage, 16018,
     /* 1977511 */     GIR_EraseRootFromParent_Done,
     /* 1977512 */   // Label 26366: @1977512
     /* 1977512 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1977603), // Rule ID 16019 //
     /* 1977517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1977543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977563 */     // MIs[0] round
     /* 1977563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977566 */     // MIs[0] policy
     /* 1977566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 1977579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977602 */     // GIR_Coverage, 16019,
     /* 1977602 */     GIR_EraseRootFromParent_Done,
     /* 1977603 */   // Label 26367: @1977603
     /* 1977603 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1977694), // Rule ID 16022 //
     /* 1977608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977654 */     // MIs[0] round
     /* 1977654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977657 */     // MIs[0] policy
     /* 1977657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1977670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977693 */     // GIR_Coverage, 16022,
     /* 1977693 */     GIR_EraseRootFromParent_Done,
     /* 1977694 */   // Label 26368: @1977694
     /* 1977694 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1977785), // Rule ID 16023 //
     /* 1977699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1977725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977745 */     // MIs[0] round
     /* 1977745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977748 */     // MIs[0] policy
     /* 1977748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1977761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977784 */     // GIR_Coverage, 16023,
     /* 1977784 */     GIR_EraseRootFromParent_Done,
     /* 1977785 */   // Label 26369: @1977785
     /* 1977785 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1977876), // Rule ID 16026 //
     /* 1977790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977836 */     // MIs[0] round
     /* 1977836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977839 */     // MIs[0] policy
     /* 1977839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977849 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 1977852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977875 */     // GIR_Coverage, 16026,
     /* 1977875 */     GIR_EraseRootFromParent_Done,
     /* 1977876 */   // Label 26370: @1977876
     /* 1977876 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1977967), // Rule ID 16027 //
     /* 1977881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1977907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977927 */     // MIs[0] round
     /* 1977927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1977930 */     // MIs[0] policy
     /* 1977930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1977933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 1977943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1977955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1977965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977966 */     // GIR_Coverage, 16027,
     /* 1977966 */     GIR_EraseRootFromParent_Done,
     /* 1977967 */   // Label 26371: @1977967
     /* 1977967 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1978058), // Rule ID 16030 //
     /* 1977972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1977980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1977998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978018 */     // MIs[0] round
     /* 1978018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978021 */     // MIs[0] policy
     /* 1978021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1978034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978057 */     // GIR_Coverage, 16030,
     /* 1978057 */     GIR_EraseRootFromParent_Done,
     /* 1978058 */   // Label 26372: @1978058
     /* 1978058 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1978149), // Rule ID 16031 //
     /* 1978063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978109 */     // MIs[0] round
     /* 1978109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978112 */     // MIs[0] policy
     /* 1978112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1978125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978148 */     // GIR_Coverage, 16031,
     /* 1978148 */     GIR_EraseRootFromParent_Done,
     /* 1978149 */   // Label 26373: @1978149
     /* 1978149 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1978240), // Rule ID 16034 //
     /* 1978154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1978180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978200 */     // MIs[0] round
     /* 1978200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978203 */     // MIs[0] policy
     /* 1978203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978213 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1978216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978239 */     // GIR_Coverage, 16034,
     /* 1978239 */     GIR_EraseRootFromParent_Done,
     /* 1978240 */   // Label 26374: @1978240
     /* 1978240 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1978331), // Rule ID 16035 //
     /* 1978245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978291 */     // MIs[0] round
     /* 1978291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978294 */     // MIs[0] policy
     /* 1978294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 1978307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978330 */     // GIR_Coverage, 16035,
     /* 1978330 */     GIR_EraseRootFromParent_Done,
     /* 1978331 */   // Label 26375: @1978331
     /* 1978331 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1978422), // Rule ID 16038 //
     /* 1978336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1978362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978382 */     // MIs[0] round
     /* 1978382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978385 */     // MIs[0] policy
     /* 1978385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978395 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978421 */     // GIR_Coverage, 16038,
     /* 1978421 */     GIR_EraseRootFromParent_Done,
     /* 1978422 */   // Label 26376: @1978422
     /* 1978422 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1978513), // Rule ID 16039 //
     /* 1978427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978473 */     // MIs[0] round
     /* 1978473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978476 */     // MIs[0] policy
     /* 1978476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978486 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978512 */     // GIR_Coverage, 16039,
     /* 1978512 */     GIR_EraseRootFromParent_Done,
     /* 1978513 */   // Label 26377: @1978513
     /* 1978513 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1978604), // Rule ID 16042 //
     /* 1978518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1978544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978564 */     // MIs[0] round
     /* 1978564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978567 */     // MIs[0] policy
     /* 1978567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978603 */     // GIR_Coverage, 16042,
     /* 1978603 */     GIR_EraseRootFromParent_Done,
     /* 1978604 */   // Label 26378: @1978604
     /* 1978604 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1978695), // Rule ID 16043 //
     /* 1978609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978655 */     // MIs[0] round
     /* 1978655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978658 */     // MIs[0] policy
     /* 1978658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978694 */     // GIR_Coverage, 16043,
     /* 1978694 */     GIR_EraseRootFromParent_Done,
     /* 1978695 */   // Label 26379: @1978695
     /* 1978695 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1978786), // Rule ID 16046 //
     /* 1978700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1978726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978746 */     // MIs[0] round
     /* 1978746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978749 */     // MIs[0] policy
     /* 1978749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978785 */     // GIR_Coverage, 16046,
     /* 1978785 */     GIR_EraseRootFromParent_Done,
     /* 1978786 */   // Label 26380: @1978786
     /* 1978786 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1978877), // Rule ID 16047 //
     /* 1978791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978837 */     // MIs[0] round
     /* 1978837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978840 */     // MIs[0] policy
     /* 1978840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978876 */     // GIR_Coverage, 16047,
     /* 1978876 */     GIR_EraseRootFromParent_Done,
     /* 1978877 */   // Label 26381: @1978877
     /* 1978877 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1978968), // Rule ID 16050 //
     /* 1978882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1978885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1978908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978928 */     // MIs[0] round
     /* 1978928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1978931 */     // MIs[0] policy
     /* 1978931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1978934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1978944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1978956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1978966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978967 */     // GIR_Coverage, 16050,
     /* 1978967 */     GIR_EraseRootFromParent_Done,
     /* 1978968 */   // Label 26382: @1978968
     /* 1978968 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1979059), // Rule ID 16051 //
     /* 1978973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1978976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1978981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1978999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979019 */     // MIs[0] round
     /* 1979019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979022 */     // MIs[0] policy
     /* 1979022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 1979035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979058 */     // GIR_Coverage, 16051,
     /* 1979058 */     GIR_EraseRootFromParent_Done,
     /* 1979059 */   // Label 26383: @1979059
     /* 1979059 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1979150), // Rule ID 16054 //
     /* 1979064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1979090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979110 */     // MIs[0] round
     /* 1979110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979113 */     // MIs[0] policy
     /* 1979113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979123 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1979126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979149 */     // GIR_Coverage, 16054,
     /* 1979149 */     GIR_EraseRootFromParent_Done,
     /* 1979150 */   // Label 26384: @1979150
     /* 1979150 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1979241), // Rule ID 16055 //
     /* 1979155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1979181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979201 */     // MIs[0] round
     /* 1979201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979204 */     // MIs[0] policy
     /* 1979204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1979217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979240 */     // GIR_Coverage, 16055,
     /* 1979240 */     GIR_EraseRootFromParent_Done,
     /* 1979241 */   // Label 26385: @1979241
     /* 1979241 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1979332), // Rule ID 16058 //
     /* 1979246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1979272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979292 */     // MIs[0] round
     /* 1979292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979295 */     // MIs[0] policy
     /* 1979295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979305 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1979308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979331 */     // GIR_Coverage, 16058,
     /* 1979331 */     GIR_EraseRootFromParent_Done,
     /* 1979332 */   // Label 26386: @1979332
     /* 1979332 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1979423), // Rule ID 16059 //
     /* 1979337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1979363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979383 */     // MIs[0] round
     /* 1979383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979386 */     // MIs[0] policy
     /* 1979386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1979399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979422 */     // GIR_Coverage, 16059,
     /* 1979422 */     GIR_EraseRootFromParent_Done,
     /* 1979423 */   // Label 26387: @1979423
     /* 1979423 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1979514), // Rule ID 16062 //
     /* 1979428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1979454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979474 */     // MIs[0] round
     /* 1979474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979477 */     // MIs[0] policy
     /* 1979477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979487 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1979490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979513 */     // GIR_Coverage, 16062,
     /* 1979513 */     GIR_EraseRootFromParent_Done,
     /* 1979514 */   // Label 26388: @1979514
     /* 1979514 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1979605), // Rule ID 16063 //
     /* 1979519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1979545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979565 */     // MIs[0] round
     /* 1979565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979568 */     // MIs[0] policy
     /* 1979568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1979581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979604 */     // GIR_Coverage, 16063,
     /* 1979604 */     GIR_EraseRootFromParent_Done,
     /* 1979605 */   // Label 26389: @1979605
     /* 1979605 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1979696), // Rule ID 16066 //
     /* 1979610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1979636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979656 */     // MIs[0] round
     /* 1979656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979659 */     // MIs[0] policy
     /* 1979659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1979672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979695 */     // GIR_Coverage, 16066,
     /* 1979695 */     GIR_EraseRootFromParent_Done,
     /* 1979696 */   // Label 26390: @1979696
     /* 1979696 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1979787), // Rule ID 16067 //
     /* 1979701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1979727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979747 */     // MIs[0] round
     /* 1979747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979750 */     // MIs[0] policy
     /* 1979750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1979763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979786 */     // GIR_Coverage, 16067,
     /* 1979786 */     GIR_EraseRootFromParent_Done,
     /* 1979787 */   // Label 26391: @1979787
     /* 1979787 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1979878), // Rule ID 16070 //
     /* 1979792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1979818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979838 */     // MIs[0] round
     /* 1979838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979841 */     // MIs[0] policy
     /* 1979841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1979854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979877 */     // GIR_Coverage, 16070,
     /* 1979877 */     GIR_EraseRootFromParent_Done,
     /* 1979878 */   // Label 26392: @1979878
     /* 1979878 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1979969), // Rule ID 16071 //
     /* 1979883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1979909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979929 */     // MIs[0] round
     /* 1979929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1979932 */     // MIs[0] policy
     /* 1979932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1979935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1979945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1979957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1979967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979968 */     // GIR_Coverage, 16071,
     /* 1979968 */     GIR_EraseRootFromParent_Done,
     /* 1979969 */   // Label 26393: @1979969
     /* 1979969 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1980060), // Rule ID 16074 //
     /* 1979974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1979982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980020 */     // MIs[0] round
     /* 1980020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980023 */     // MIs[0] policy
     /* 1980023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1980036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980059 */     // GIR_Coverage, 16074,
     /* 1980059 */     GIR_EraseRootFromParent_Done,
     /* 1980060 */   // Label 26394: @1980060
     /* 1980060 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1980151), // Rule ID 16075 //
     /* 1980065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1980091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980111 */     // MIs[0] round
     /* 1980111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980114 */     // MIs[0] policy
     /* 1980114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1980127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980150 */     // GIR_Coverage, 16075,
     /* 1980150 */     GIR_EraseRootFromParent_Done,
     /* 1980151 */   // Label 26395: @1980151
     /* 1980151 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1980242), // Rule ID 16078 //
     /* 1980156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980202 */     // MIs[0] round
     /* 1980202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980205 */     // MIs[0] policy
     /* 1980205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980215 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1980218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980241 */     // GIR_Coverage, 16078,
     /* 1980241 */     GIR_EraseRootFromParent_Done,
     /* 1980242 */   // Label 26396: @1980242
     /* 1980242 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1980333), // Rule ID 16079 //
     /* 1980247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1980273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980293 */     // MIs[0] round
     /* 1980293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980296 */     // MIs[0] policy
     /* 1980296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1980309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980332 */     // GIR_Coverage, 16079,
     /* 1980332 */     GIR_EraseRootFromParent_Done,
     /* 1980333 */   // Label 26397: @1980333
     /* 1980333 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1980424), // Rule ID 16082 //
     /* 1980338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980384 */     // MIs[0] round
     /* 1980384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980387 */     // MIs[0] policy
     /* 1980387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1980400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980423 */     // GIR_Coverage, 16082,
     /* 1980423 */     GIR_EraseRootFromParent_Done,
     /* 1980424 */   // Label 26398: @1980424
     /* 1980424 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1980515), // Rule ID 16083 //
     /* 1980429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1980455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980475 */     // MIs[0] round
     /* 1980475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980478 */     // MIs[0] policy
     /* 1980478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1980491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980514 */     // GIR_Coverage, 16083,
     /* 1980514 */     GIR_EraseRootFromParent_Done,
     /* 1980515 */   // Label 26399: @1980515
     /* 1980515 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1980606), // Rule ID 16086 //
     /* 1980520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980566 */     // MIs[0] round
     /* 1980566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980569 */     // MIs[0] policy
     /* 1980569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1980582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980605 */     // GIR_Coverage, 16086,
     /* 1980605 */     GIR_EraseRootFromParent_Done,
     /* 1980606 */   // Label 26400: @1980606
     /* 1980606 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1980697), // Rule ID 16087 //
     /* 1980611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1980637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980657 */     // MIs[0] round
     /* 1980657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980660 */     // MIs[0] policy
     /* 1980660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1980673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980696 */     // GIR_Coverage, 16087,
     /* 1980696 */     GIR_EraseRootFromParent_Done,
     /* 1980697 */   // Label 26401: @1980697
     /* 1980697 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1980788), // Rule ID 16090 //
     /* 1980702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1980705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980748 */     // MIs[0] round
     /* 1980748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980751 */     // MIs[0] policy
     /* 1980751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1980764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980787 */     // GIR_Coverage, 16090,
     /* 1980787 */     GIR_EraseRootFromParent_Done,
     /* 1980788 */   // Label 26402: @1980788
     /* 1980788 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1980879), // Rule ID 16091 //
     /* 1980793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1980796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1980819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980839 */     // MIs[0] round
     /* 1980839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980842 */     // MIs[0] policy
     /* 1980842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 1980855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980878 */     // GIR_Coverage, 16091,
     /* 1980878 */     GIR_EraseRootFromParent_Done,
     /* 1980879 */   // Label 26403: @1980879
     /* 1980879 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1980970), // Rule ID 16094 //
     /* 1980884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1980887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1980910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980930 */     // MIs[0] round
     /* 1980930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1980933 */     // MIs[0] policy
     /* 1980933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1980936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1980946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1980958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1980968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980969 */     // GIR_Coverage, 16094,
     /* 1980969 */     GIR_EraseRootFromParent_Done,
     /* 1980970 */   // Label 26404: @1980970
     /* 1980970 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1981061), // Rule ID 16095 //
     /* 1980975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1980978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1980983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981021 */     // MIs[0] round
     /* 1981021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981024 */     // MIs[0] policy
     /* 1981024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 1981037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981060 */     // GIR_Coverage, 16095,
     /* 1981060 */     GIR_EraseRootFromParent_Done,
     /* 1981061 */   // Label 26405: @1981061
     /* 1981061 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1981152), // Rule ID 16098 //
     /* 1981066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1981069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1981074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1981092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981112 */     // MIs[0] round
     /* 1981112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981115 */     // MIs[0] policy
     /* 1981115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1981128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981151 */     // GIR_Coverage, 16098,
     /* 1981151 */     GIR_EraseRootFromParent_Done,
     /* 1981152 */   // Label 26406: @1981152
     /* 1981152 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1981243), // Rule ID 16099 //
     /* 1981157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1981160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 1981165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981203 */     // MIs[0] round
     /* 1981203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981206 */     // MIs[0] policy
     /* 1981206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 1981219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981242 */     // GIR_Coverage, 16099,
     /* 1981242 */     GIR_EraseRootFromParent_Done,
     /* 1981243 */   // Label 26407: @1981243
     /* 1981243 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1981337), // Rule ID 16190 //
     /* 1981248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1981251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1981274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981294 */     // MIs[0] round
     /* 1981294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981297 */     // MIs[0] policy
     /* 1981297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981307 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 1981310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981336 */     // GIR_Coverage, 16190,
     /* 1981336 */     GIR_EraseRootFromParent_Done,
     /* 1981337 */   // Label 26408: @1981337
     /* 1981337 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1981431), // Rule ID 16191 //
     /* 1981342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1981362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981388 */     // MIs[0] round
     /* 1981388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981391 */     // MIs[0] policy
     /* 1981391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981401 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 1981404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981430 */     // GIR_Coverage, 16191,
     /* 1981430 */     GIR_EraseRootFromParent_Done,
     /* 1981431 */   // Label 26409: @1981431
     /* 1981431 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1981525), // Rule ID 16194 //
     /* 1981436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1981439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1981462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981482 */     // MIs[0] round
     /* 1981482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981485 */     // MIs[0] policy
     /* 1981485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 1981498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981524 */     // GIR_Coverage, 16194,
     /* 1981524 */     GIR_EraseRootFromParent_Done,
     /* 1981525 */   // Label 26410: @1981525
     /* 1981525 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1981619), // Rule ID 16195 //
     /* 1981530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1981550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981576 */     // MIs[0] round
     /* 1981576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981579 */     // MIs[0] policy
     /* 1981579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 1981592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981618 */     // GIR_Coverage, 16195,
     /* 1981618 */     GIR_EraseRootFromParent_Done,
     /* 1981619 */   // Label 26411: @1981619
     /* 1981619 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1981713), // Rule ID 16198 //
     /* 1981624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1981627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1981650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981670 */     // MIs[0] round
     /* 1981670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981673 */     // MIs[0] policy
     /* 1981673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1981686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981712 */     // GIR_Coverage, 16198,
     /* 1981712 */     GIR_EraseRootFromParent_Done,
     /* 1981713 */   // Label 26412: @1981713
     /* 1981713 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1981807), // Rule ID 16199 //
     /* 1981718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1981738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981764 */     // MIs[0] round
     /* 1981764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981767 */     // MIs[0] policy
     /* 1981767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1981780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981806 */     // GIR_Coverage, 16199,
     /* 1981806 */     GIR_EraseRootFromParent_Done,
     /* 1981807 */   // Label 26413: @1981807
     /* 1981807 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1981901), // Rule ID 16202 //
     /* 1981812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1981815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1981829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1981838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981858 */     // MIs[0] round
     /* 1981858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981861 */     // MIs[0] policy
     /* 1981861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1981874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981900 */     // GIR_Coverage, 16202,
     /* 1981900 */     GIR_EraseRootFromParent_Done,
     /* 1981901 */   // Label 26414: @1981901
     /* 1981901 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1981995), // Rule ID 16203 //
     /* 1981906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1981914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1981917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1981920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1981923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1981926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1981932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981952 */     // MIs[0] round
     /* 1981952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1981955 */     // MIs[0] policy
     /* 1981955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1981958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1981968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1981980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1981990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1981993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981994 */     // GIR_Coverage, 16203,
     /* 1981994 */     GIR_EraseRootFromParent_Done,
     /* 1981995 */   // Label 26415: @1981995
     /* 1981995 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1982089), // Rule ID 16206 //
     /* 1982000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982046 */     // MIs[0] round
     /* 1982046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982049 */     // MIs[0] policy
     /* 1982049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1982062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982088 */     // GIR_Coverage, 16206,
     /* 1982088 */     GIR_EraseRootFromParent_Done,
     /* 1982089 */   // Label 26416: @1982089
     /* 1982089 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1982183), // Rule ID 16207 //
     /* 1982094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1982114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1982120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982140 */     // MIs[0] round
     /* 1982140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982143 */     // MIs[0] policy
     /* 1982143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982153 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1982156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982182 */     // GIR_Coverage, 16207,
     /* 1982182 */     GIR_EraseRootFromParent_Done,
     /* 1982183 */   // Label 26417: @1982183
     /* 1982183 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1982277), // Rule ID 16210 //
     /* 1982188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982234 */     // MIs[0] round
     /* 1982234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982237 */     // MIs[0] policy
     /* 1982237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1982250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982276 */     // GIR_Coverage, 16210,
     /* 1982276 */     GIR_EraseRootFromParent_Done,
     /* 1982277 */   // Label 26418: @1982277
     /* 1982277 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1982371), // Rule ID 16211 //
     /* 1982282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1982302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1982308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982328 */     // MIs[0] round
     /* 1982328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982331 */     // MIs[0] policy
     /* 1982331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982341 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1982344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982370 */     // GIR_Coverage, 16211,
     /* 1982370 */     GIR_EraseRootFromParent_Done,
     /* 1982371 */   // Label 26419: @1982371
     /* 1982371 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1982465), // Rule ID 16214 //
     /* 1982376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1982396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982422 */     // MIs[0] round
     /* 1982422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982425 */     // MIs[0] policy
     /* 1982425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 1982438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982464 */     // GIR_Coverage, 16214,
     /* 1982464 */     GIR_EraseRootFromParent_Done,
     /* 1982465 */   // Label 26420: @1982465
     /* 1982465 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1982559), // Rule ID 16215 //
     /* 1982470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1982490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1982496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982516 */     // MIs[0] round
     /* 1982516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982519 */     // MIs[0] policy
     /* 1982519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 1982532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982558 */     // GIR_Coverage, 16215,
     /* 1982558 */     GIR_EraseRootFromParent_Done,
     /* 1982559 */   // Label 26421: @1982559
     /* 1982559 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1982653), // Rule ID 16218 //
     /* 1982564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982610 */     // MIs[0] round
     /* 1982610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982613 */     // MIs[0] policy
     /* 1982613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1982626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982652 */     // GIR_Coverage, 16218,
     /* 1982652 */     GIR_EraseRootFromParent_Done,
     /* 1982653 */   // Label 26422: @1982653
     /* 1982653 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1982747), // Rule ID 16219 //
     /* 1982658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1982678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1982684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982704 */     // MIs[0] round
     /* 1982704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982707 */     // MIs[0] policy
     /* 1982707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982717 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1982720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982746 */     // GIR_Coverage, 16219,
     /* 1982746 */     GIR_EraseRootFromParent_Done,
     /* 1982747 */   // Label 26423: @1982747
     /* 1982747 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1982841), // Rule ID 16222 //
     /* 1982752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982798 */     // MIs[0] round
     /* 1982798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982801 */     // MIs[0] policy
     /* 1982801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1982814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982840 */     // GIR_Coverage, 16222,
     /* 1982840 */     GIR_EraseRootFromParent_Done,
     /* 1982841 */   // Label 26424: @1982841
     /* 1982841 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1982935), // Rule ID 16223 //
     /* 1982846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1982866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1982872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982892 */     // MIs[0] round
     /* 1982892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982895 */     // MIs[0] policy
     /* 1982895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1982908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1982920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1982930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1982933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982934 */     // GIR_Coverage, 16223,
     /* 1982934 */     GIR_EraseRootFromParent_Done,
     /* 1982935 */   // Label 26425: @1982935
     /* 1982935 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1983029), // Rule ID 16226 //
     /* 1982940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1982948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1982957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1982966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982986 */     // MIs[0] round
     /* 1982986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1982989 */     // MIs[0] policy
     /* 1982989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1982992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1983002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983028 */     // GIR_Coverage, 16226,
     /* 1983028 */     GIR_EraseRootFromParent_Done,
     /* 1983029 */   // Label 26426: @1983029
     /* 1983029 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1983123), // Rule ID 16227 //
     /* 1983034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1983054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1983060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983080 */     // MIs[0] round
     /* 1983080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983083 */     // MIs[0] policy
     /* 1983083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1983096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983122 */     // GIR_Coverage, 16227,
     /* 1983122 */     GIR_EraseRootFromParent_Done,
     /* 1983123 */   // Label 26427: @1983123
     /* 1983123 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1983217), // Rule ID 16230 //
     /* 1983128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1983131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1983154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983174 */     // MIs[0] round
     /* 1983174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983177 */     // MIs[0] policy
     /* 1983177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1983190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983216 */     // GIR_Coverage, 16230,
     /* 1983216 */     GIR_EraseRootFromParent_Done,
     /* 1983217 */   // Label 26428: @1983217
     /* 1983217 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1983311), // Rule ID 16231 //
     /* 1983222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1983239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1983242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1983248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983268 */     // MIs[0] round
     /* 1983268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983271 */     // MIs[0] policy
     /* 1983271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1983284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983310 */     // GIR_Coverage, 16231,
     /* 1983310 */     GIR_EraseRootFromParent_Done,
     /* 1983311 */   // Label 26429: @1983311
     /* 1983311 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1983405), // Rule ID 16234 //
     /* 1983316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1983319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1983327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1983330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1983336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1983342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983362 */     // MIs[0] round
     /* 1983362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983365 */     // MIs[0] policy
     /* 1983365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1983378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983404 */     // GIR_Coverage, 16234,
     /* 1983404 */     GIR_EraseRootFromParent_Done,
     /* 1983405 */   // Label 26430: @1983405
     /* 1983405 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1983499), // Rule ID 16235 //
     /* 1983410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1983413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1983421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1983424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1983430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1983436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983456 */     // MIs[0] round
     /* 1983456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983459 */     // MIs[0] policy
     /* 1983459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 1983472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983498 */     // GIR_Coverage, 16235,
     /* 1983498 */     GIR_EraseRootFromParent_Done,
     /* 1983499 */   // Label 26431: @1983499
     /* 1983499 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1983593), // Rule ID 16238 //
     /* 1983504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1983507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1983524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1983530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983550 */     // MIs[0] round
     /* 1983550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983553 */     // MIs[0] policy
     /* 1983553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1983566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983592 */     // GIR_Coverage, 16238,
     /* 1983592 */     GIR_EraseRootFromParent_Done,
     /* 1983593 */   // Label 26432: @1983593
     /* 1983593 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1983687), // Rule ID 16239 //
     /* 1983598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1983601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1983618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1983624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983644 */     // MIs[0] round
     /* 1983644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983647 */     // MIs[0] policy
     /* 1983647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 1983660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983686 */     // GIR_Coverage, 16239,
     /* 1983686 */     GIR_EraseRootFromParent_Done,
     /* 1983687 */   // Label 26433: @1983687
     /* 1983687 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1983781), // Rule ID 16242 //
     /* 1983692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1983695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1983718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983738 */     // MIs[0] round
     /* 1983738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983741 */     // MIs[0] policy
     /* 1983741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1983754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983780 */     // GIR_Coverage, 16242,
     /* 1983780 */     GIR_EraseRootFromParent_Done,
     /* 1983781 */   // Label 26434: @1983781
     /* 1983781 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1983875), // Rule ID 16243 //
     /* 1983786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1983789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1983806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1983812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983832 */     // MIs[0] round
     /* 1983832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983835 */     // MIs[0] policy
     /* 1983835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 1983848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983874 */     // GIR_Coverage, 16243,
     /* 1983874 */     GIR_EraseRootFromParent_Done,
     /* 1983875 */   // Label 26435: @1983875
     /* 1983875 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1983969), // Rule ID 16246 //
     /* 1983880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1983883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1983906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983926 */     // MIs[0] round
     /* 1983926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1983929 */     // MIs[0] policy
     /* 1983929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1983932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1983942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1983954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1983964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1983967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983968 */     // GIR_Coverage, 16246,
     /* 1983968 */     GIR_EraseRootFromParent_Done,
     /* 1983969 */   // Label 26436: @1983969
     /* 1983969 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1984063), // Rule ID 16247 //
     /* 1983974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1983977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1983982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1983994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984020 */     // MIs[0] round
     /* 1984020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984023 */     // MIs[0] policy
     /* 1984023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 1984036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984062 */     // GIR_Coverage, 16247,
     /* 1984062 */     GIR_EraseRootFromParent_Done,
     /* 1984063 */   // Label 26437: @1984063
     /* 1984063 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1984157), // Rule ID 16250 //
     /* 1984068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1984094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984114 */     // MIs[0] round
     /* 1984114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984117 */     // MIs[0] policy
     /* 1984117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984127 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 1984130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984156 */     // GIR_Coverage, 16250,
     /* 1984156 */     GIR_EraseRootFromParent_Done,
     /* 1984157 */   // Label 26438: @1984157
     /* 1984157 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1984251), // Rule ID 16251 //
     /* 1984162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984208 */     // MIs[0] round
     /* 1984208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984211 */     // MIs[0] policy
     /* 1984211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984221 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 1984224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984250 */     // GIR_Coverage, 16251,
     /* 1984250 */     GIR_EraseRootFromParent_Done,
     /* 1984251 */   // Label 26439: @1984251
     /* 1984251 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1984345), // Rule ID 16254 //
     /* 1984256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1984282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984302 */     // MIs[0] round
     /* 1984302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984305 */     // MIs[0] policy
     /* 1984305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984315 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 1984318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984344 */     // GIR_Coverage, 16254,
     /* 1984344 */     GIR_EraseRootFromParent_Done,
     /* 1984345 */   // Label 26440: @1984345
     /* 1984345 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1984439), // Rule ID 16255 //
     /* 1984350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984396 */     // MIs[0] round
     /* 1984396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984399 */     // MIs[0] policy
     /* 1984399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984409 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 1984412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984438 */     // GIR_Coverage, 16255,
     /* 1984438 */     GIR_EraseRootFromParent_Done,
     /* 1984439 */   // Label 26441: @1984439
     /* 1984439 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1984533), // Rule ID 16258 //
     /* 1984444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1984461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1984470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984490 */     // MIs[0] round
     /* 1984490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984493 */     // MIs[0] policy
     /* 1984493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984503 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1984506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984532 */     // GIR_Coverage, 16258,
     /* 1984532 */     GIR_EraseRootFromParent_Done,
     /* 1984533 */   // Label 26442: @1984533
     /* 1984533 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1984627), // Rule ID 16259 //
     /* 1984538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1984555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984584 */     // MIs[0] round
     /* 1984584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984587 */     // MIs[0] policy
     /* 1984587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1984600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984626 */     // GIR_Coverage, 16259,
     /* 1984626 */     GIR_EraseRootFromParent_Done,
     /* 1984627 */   // Label 26443: @1984627
     /* 1984627 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1984721), // Rule ID 16262 //
     /* 1984632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1984643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1984646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1984658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984678 */     // MIs[0] round
     /* 1984678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984681 */     // MIs[0] policy
     /* 1984681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1984694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984720 */     // GIR_Coverage, 16262,
     /* 1984720 */     GIR_EraseRootFromParent_Done,
     /* 1984721 */   // Label 26444: @1984721
     /* 1984721 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1984815), // Rule ID 16263 //
     /* 1984726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1984737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1984740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984772 */     // MIs[0] round
     /* 1984772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984775 */     // MIs[0] policy
     /* 1984775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1984788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984814 */     // GIR_Coverage, 16263,
     /* 1984814 */     GIR_EraseRootFromParent_Done,
     /* 1984815 */   // Label 26445: @1984815
     /* 1984815 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1984909), // Rule ID 16266 //
     /* 1984820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1984831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1984834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1984846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984866 */     // MIs[0] round
     /* 1984866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984869 */     // MIs[0] policy
     /* 1984869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984879 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1984882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1984907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984908 */     // GIR_Coverage, 16266,
     /* 1984908 */     GIR_EraseRootFromParent_Done,
     /* 1984909 */   // Label 26446: @1984909
     /* 1984909 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1985003), // Rule ID 16267 //
     /* 1984914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1984922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1984925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1984928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1984940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984960 */     // MIs[0] round
     /* 1984960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1984963 */     // MIs[0] policy
     /* 1984963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1984966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1984976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1984988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1984998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985002 */     // GIR_Coverage, 16267,
     /* 1985002 */     GIR_EraseRootFromParent_Done,
     /* 1985003 */   // Label 26447: @1985003
     /* 1985003 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1985097), // Rule ID 16270 //
     /* 1985008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1985025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985054 */     // MIs[0] round
     /* 1985054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985057 */     // MIs[0] policy
     /* 1985057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1985070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985096 */     // GIR_Coverage, 16270,
     /* 1985096 */     GIR_EraseRootFromParent_Done,
     /* 1985097 */   // Label 26448: @1985097
     /* 1985097 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1985191), // Rule ID 16271 //
     /* 1985102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1985119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1985128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985148 */     // MIs[0] round
     /* 1985148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985151 */     // MIs[0] policy
     /* 1985151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1985164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985190 */     // GIR_Coverage, 16271,
     /* 1985190 */     GIR_EraseRootFromParent_Done,
     /* 1985191 */   // Label 26449: @1985191
     /* 1985191 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1985285), // Rule ID 16274 //
     /* 1985196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985242 */     // MIs[0] round
     /* 1985242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985245 */     // MIs[0] policy
     /* 1985245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985255 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 1985258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985284 */     // GIR_Coverage, 16274,
     /* 1985284 */     GIR_EraseRootFromParent_Done,
     /* 1985285 */   // Label 26450: @1985285
     /* 1985285 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1985379), // Rule ID 16275 //
     /* 1985290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1985316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985336 */     // MIs[0] round
     /* 1985336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985339 */     // MIs[0] policy
     /* 1985339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985349 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 1985352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985378 */     // GIR_Coverage, 16275,
     /* 1985378 */     GIR_EraseRootFromParent_Done,
     /* 1985379 */   // Label 26451: @1985379
     /* 1985379 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1985473), // Rule ID 16278 //
     /* 1985384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985430 */     // MIs[0] round
     /* 1985430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985433 */     // MIs[0] policy
     /* 1985433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1985446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985472 */     // GIR_Coverage, 16278,
     /* 1985472 */     GIR_EraseRootFromParent_Done,
     /* 1985473 */   // Label 26452: @1985473
     /* 1985473 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1985567), // Rule ID 16279 //
     /* 1985478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1985504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985524 */     // MIs[0] round
     /* 1985524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985527 */     // MIs[0] policy
     /* 1985527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1985540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985566 */     // GIR_Coverage, 16279,
     /* 1985566 */     GIR_EraseRootFromParent_Done,
     /* 1985567 */   // Label 26453: @1985567
     /* 1985567 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1985661), // Rule ID 16282 //
     /* 1985572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1985589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985618 */     // MIs[0] round
     /* 1985618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985621 */     // MIs[0] policy
     /* 1985621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985631 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1985634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985660 */     // GIR_Coverage, 16282,
     /* 1985660 */     GIR_EraseRootFromParent_Done,
     /* 1985661 */   // Label 26454: @1985661
     /* 1985661 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1985755), // Rule ID 16283 //
     /* 1985666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1985683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1985692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985712 */     // MIs[0] round
     /* 1985712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985715 */     // MIs[0] policy
     /* 1985715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1985728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985754 */     // GIR_Coverage, 16283,
     /* 1985754 */     GIR_EraseRootFromParent_Done,
     /* 1985755 */   // Label 26455: @1985755
     /* 1985755 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1985849), // Rule ID 16286 //
     /* 1985760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1985771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1985774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1985777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985806 */     // MIs[0] round
     /* 1985806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985809 */     // MIs[0] policy
     /* 1985809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1985822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985848 */     // GIR_Coverage, 16286,
     /* 1985848 */     GIR_EraseRootFromParent_Done,
     /* 1985849 */   // Label 26456: @1985849
     /* 1985849 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1985943), // Rule ID 16287 //
     /* 1985854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1985865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1985868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1985871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1985880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985900 */     // MIs[0] round
     /* 1985900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985903 */     // MIs[0] policy
     /* 1985903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1985906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1985916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1985928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1985938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1985941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985942 */     // GIR_Coverage, 16287,
     /* 1985942 */     GIR_EraseRootFromParent_Done,
     /* 1985943 */   // Label 26457: @1985943
     /* 1985943 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1986037), // Rule ID 16290 //
     /* 1985948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1985956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1985959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1985962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1985965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1985974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985994 */     // MIs[0] round
     /* 1985994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1985997 */     // MIs[0] policy
     /* 1985997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1986010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986036 */     // GIR_Coverage, 16290,
     /* 1986036 */     GIR_EraseRootFromParent_Done,
     /* 1986037 */   // Label 26458: @1986037
     /* 1986037 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1986131), // Rule ID 16291 //
     /* 1986042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1986045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1986059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1986068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986088 */     // MIs[0] round
     /* 1986088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986091 */     // MIs[0] policy
     /* 1986091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1986104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986130 */     // GIR_Coverage, 16291,
     /* 1986130 */     GIR_EraseRootFromParent_Done,
     /* 1986131 */   // Label 26459: @1986131
     /* 1986131 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1986225), // Rule ID 16294 //
     /* 1986136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1986139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1986162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986182 */     // MIs[0] round
     /* 1986182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986185 */     // MIs[0] policy
     /* 1986185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1986198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986224 */     // GIR_Coverage, 16294,
     /* 1986224 */     GIR_EraseRootFromParent_Done,
     /* 1986225 */   // Label 26460: @1986225
     /* 1986225 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1986319), // Rule ID 16295 //
     /* 1986230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1986233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1986256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986276 */     // MIs[0] round
     /* 1986276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986279 */     // MIs[0] policy
     /* 1986279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 1986292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986318 */     // GIR_Coverage, 16295,
     /* 1986318 */     GIR_EraseRootFromParent_Done,
     /* 1986319 */   // Label 26461: @1986319
     /* 1986319 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1986413), // Rule ID 16298 //
     /* 1986324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1986327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1986341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1986350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986370 */     // MIs[0] round
     /* 1986370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986373 */     // MIs[0] policy
     /* 1986373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1986386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986412 */     // GIR_Coverage, 16298,
     /* 1986412 */     GIR_EraseRootFromParent_Done,
     /* 1986413 */   // Label 26462: @1986413
     /* 1986413 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1986507), // Rule ID 16299 //
     /* 1986418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1986421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1986435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1986444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986464 */     // MIs[0] round
     /* 1986464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986467 */     // MIs[0] policy
     /* 1986467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 1986480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986506 */     // GIR_Coverage, 16299,
     /* 1986506 */     GIR_EraseRootFromParent_Done,
     /* 1986507 */   // Label 26463: @1986507
     /* 1986507 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1986601), // Rule ID 16302 //
     /* 1986512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1986515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1986529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1986538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986558 */     // MIs[0] round
     /* 1986558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986561 */     // MIs[0] policy
     /* 1986561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1986574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986600 */     // GIR_Coverage, 16302,
     /* 1986600 */     GIR_EraseRootFromParent_Done,
     /* 1986601 */   // Label 26464: @1986601
     /* 1986601 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1986695), // Rule ID 16303 //
     /* 1986606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1986609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1986623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1986632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986652 */     // MIs[0] round
     /* 1986652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986655 */     // MIs[0] policy
     /* 1986655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 1986668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986694 */     // GIR_Coverage, 16303,
     /* 1986694 */     GIR_EraseRootFromParent_Done,
     /* 1986695 */   // Label 26465: @1986695
     /* 1986695 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1986789), // Rule ID 16306 //
     /* 1986700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1986703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1986717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1986726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986746 */     // MIs[0] round
     /* 1986746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986749 */     // MIs[0] policy
     /* 1986749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1986762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986788 */     // GIR_Coverage, 16306,
     /* 1986788 */     GIR_EraseRootFromParent_Done,
     /* 1986789 */   // Label 26466: @1986789
     /* 1986789 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1986883), // Rule ID 16307 //
     /* 1986794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1986797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 1986802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1986811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1986820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986840 */     // MIs[0] round
     /* 1986840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986843 */     // MIs[0] policy
     /* 1986843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 1986856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986882 */     // GIR_Coverage, 16307,
     /* 1986882 */     GIR_EraseRootFromParent_Done,
     /* 1986883 */   // Label 26467: @1986883
     /* 1986883 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1986977), // Rule ID 16370 //
     /* 1986888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1986891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1986896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1986899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1986902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1986905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1986908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1986914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986934 */     // MIs[0] round
     /* 1986934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1986937 */     // MIs[0] policy
     /* 1986937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1986940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 1986950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1986962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1986972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1986975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986976 */     // GIR_Coverage, 16370,
     /* 1986976 */     GIR_EraseRootFromParent_Done,
     /* 1986977 */   // Label 26468: @1986977
     /* 1986977 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1987071), // Rule ID 16371 //
     /* 1986982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1986985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1986990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1986993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1986996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1986999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1987002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987028 */     // MIs[0] round
     /* 1987028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987031 */     // MIs[0] policy
     /* 1987031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987041 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 1987044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987070 */     // GIR_Coverage, 16371,
     /* 1987070 */     GIR_EraseRootFromParent_Done,
     /* 1987071 */   // Label 26469: @1987071
     /* 1987071 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1987165), // Rule ID 16374 //
     /* 1987076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1987087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1987090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1987093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1987096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1987102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987122 */     // MIs[0] round
     /* 1987122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987125 */     // MIs[0] policy
     /* 1987125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 1987138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987164 */     // GIR_Coverage, 16374,
     /* 1987164 */     GIR_EraseRootFromParent_Done,
     /* 1987165 */   // Label 26470: @1987165
     /* 1987165 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1987259), // Rule ID 16375 //
     /* 1987170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1987181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1987184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1987187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1987190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987216 */     // MIs[0] round
     /* 1987216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987219 */     // MIs[0] policy
     /* 1987219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987229 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 1987232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987258 */     // GIR_Coverage, 16375,
     /* 1987258 */     GIR_EraseRootFromParent_Done,
     /* 1987259 */   // Label 26471: @1987259
     /* 1987259 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1987353), // Rule ID 16378 //
     /* 1987264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1987275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1987278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1987281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1987290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987310 */     // MIs[0] round
     /* 1987310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987313 */     // MIs[0] policy
     /* 1987313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1987326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987352 */     // GIR_Coverage, 16378,
     /* 1987352 */     GIR_EraseRootFromParent_Done,
     /* 1987353 */   // Label 26472: @1987353
     /* 1987353 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1987447), // Rule ID 16379 //
     /* 1987358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1987369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1987372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1987375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987404 */     // MIs[0] round
     /* 1987404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987407 */     // MIs[0] policy
     /* 1987407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987417 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1987420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987446 */     // GIR_Coverage, 16379,
     /* 1987446 */     GIR_EraseRootFromParent_Done,
     /* 1987447 */   // Label 26473: @1987447
     /* 1987447 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1987541), // Rule ID 16382 //
     /* 1987452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1987463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1987466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1987478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987498 */     // MIs[0] round
     /* 1987498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987501 */     // MIs[0] policy
     /* 1987501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1987514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987540 */     // GIR_Coverage, 16382,
     /* 1987540 */     GIR_EraseRootFromParent_Done,
     /* 1987541 */   // Label 26474: @1987541
     /* 1987541 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1987635), // Rule ID 16383 //
     /* 1987546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1987557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1987560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987592 */     // MIs[0] round
     /* 1987592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987595 */     // MIs[0] policy
     /* 1987595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1987608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987634 */     // GIR_Coverage, 16383,
     /* 1987634 */     GIR_EraseRootFromParent_Done,
     /* 1987635 */   // Label 26475: @1987635
     /* 1987635 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1987729), // Rule ID 16386 //
     /* 1987640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1987666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987686 */     // MIs[0] round
     /* 1987686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987689 */     // MIs[0] policy
     /* 1987689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1987702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987728 */     // GIR_Coverage, 16386,
     /* 1987728 */     GIR_EraseRootFromParent_Done,
     /* 1987729 */   // Label 26476: @1987729
     /* 1987729 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1987823), // Rule ID 16387 //
     /* 1987734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1987745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1987748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987780 */     // MIs[0] round
     /* 1987780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987783 */     // MIs[0] policy
     /* 1987783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1987796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987822 */     // GIR_Coverage, 16387,
     /* 1987822 */     GIR_EraseRootFromParent_Done,
     /* 1987823 */   // Label 26477: @1987823
     /* 1987823 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1987917), // Rule ID 16390 //
     /* 1987828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1987854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987874 */     // MIs[0] round
     /* 1987874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987877 */     // MIs[0] policy
     /* 1987877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987887 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1987890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1987912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1987915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987916 */     // GIR_Coverage, 16390,
     /* 1987916 */     GIR_EraseRootFromParent_Done,
     /* 1987917 */   // Label 26478: @1987917
     /* 1987917 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1988011), // Rule ID 16391 //
     /* 1987922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1987930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1987933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1987936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1987948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987968 */     // MIs[0] round
     /* 1987968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1987971 */     // MIs[0] policy
     /* 1987971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1987974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987981 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1987984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1987996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988010 */     // GIR_Coverage, 16391,
     /* 1988010 */     GIR_EraseRootFromParent_Done,
     /* 1988011 */   // Label 26479: @1988011
     /* 1988011 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1988105), // Rule ID 16394 //
     /* 1988016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1988033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988062 */     // MIs[0] round
     /* 1988062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988065 */     // MIs[0] policy
     /* 1988065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 1988078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988104 */     // GIR_Coverage, 16394,
     /* 1988104 */     GIR_EraseRootFromParent_Done,
     /* 1988105 */   // Label 26480: @1988105
     /* 1988105 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1988199), // Rule ID 16395 //
     /* 1988110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1988121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1988124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1988127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1988130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988156 */     // MIs[0] round
     /* 1988156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988159 */     // MIs[0] policy
     /* 1988159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 1988172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988198 */     // GIR_Coverage, 16395,
     /* 1988198 */     GIR_EraseRootFromParent_Done,
     /* 1988199 */   // Label 26481: @1988199
     /* 1988199 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1988293), // Rule ID 16398 //
     /* 1988204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1988221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988250 */     // MIs[0] round
     /* 1988250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988253 */     // MIs[0] policy
     /* 1988253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988263 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1988266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988292 */     // GIR_Coverage, 16398,
     /* 1988292 */     GIR_EraseRootFromParent_Done,
     /* 1988293 */   // Label 26482: @1988293
     /* 1988293 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1988387), // Rule ID 16399 //
     /* 1988298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1988309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1988312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1988315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1988318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988344 */     // MIs[0] round
     /* 1988344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988347 */     // MIs[0] policy
     /* 1988347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988357 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1988360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988386 */     // GIR_Coverage, 16399,
     /* 1988386 */     GIR_EraseRootFromParent_Done,
     /* 1988387 */   // Label 26483: @1988387
     /* 1988387 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1988481), // Rule ID 16402 //
     /* 1988392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988438 */     // MIs[0] round
     /* 1988438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988441 */     // MIs[0] policy
     /* 1988441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988451 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1988454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988480 */     // GIR_Coverage, 16402,
     /* 1988480 */     GIR_EraseRootFromParent_Done,
     /* 1988481 */   // Label 26484: @1988481
     /* 1988481 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1988575), // Rule ID 16403 //
     /* 1988486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1988503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988532 */     // MIs[0] round
     /* 1988532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988535 */     // MIs[0] policy
     /* 1988535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1988548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988574 */     // GIR_Coverage, 16403,
     /* 1988574 */     GIR_EraseRootFromParent_Done,
     /* 1988575 */   // Label 26485: @1988575
     /* 1988575 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1988669), // Rule ID 16406 //
     /* 1988580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1988591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1988594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1988600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988626 */     // MIs[0] round
     /* 1988626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988629 */     // MIs[0] policy
     /* 1988629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1988642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988668 */     // GIR_Coverage, 16406,
     /* 1988668 */     GIR_EraseRootFromParent_Done,
     /* 1988669 */   // Label 26486: @1988669
     /* 1988669 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1988763), // Rule ID 16407 //
     /* 1988674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1988685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1988688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1988691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1988694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988720 */     // MIs[0] round
     /* 1988720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988723 */     // MIs[0] policy
     /* 1988723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1988736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988762 */     // GIR_Coverage, 16407,
     /* 1988762 */     GIR_EraseRootFromParent_Done,
     /* 1988763 */   // Label 26487: @1988763
     /* 1988763 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1988857), // Rule ID 16410 //
     /* 1988768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1988779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1988782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1988788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988814 */     // MIs[0] round
     /* 1988814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988817 */     // MIs[0] policy
     /* 1988817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1988830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988856 */     // GIR_Coverage, 16410,
     /* 1988856 */     GIR_EraseRootFromParent_Done,
     /* 1988857 */   // Label 26488: @1988857
     /* 1988857 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1988951), // Rule ID 16411 //
     /* 1988862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1988873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1988876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1988879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1988882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988908 */     // MIs[0] round
     /* 1988908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988911 */     // MIs[0] policy
     /* 1988911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1988914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1988924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1988946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1988949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988950 */     // GIR_Coverage, 16411,
     /* 1988950 */     GIR_EraseRootFromParent_Done,
     /* 1988951 */   // Label 26489: @1988951
     /* 1988951 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1989045), // Rule ID 16414 //
     /* 1988956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1988959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1988964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1988973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1988976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989002 */     // MIs[0] round
     /* 1989002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989005 */     // MIs[0] policy
     /* 1989005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1989018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989044 */     // GIR_Coverage, 16414,
     /* 1989044 */     GIR_EraseRootFromParent_Done,
     /* 1989045 */   // Label 26490: @1989045
     /* 1989045 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1989139), // Rule ID 16415 //
     /* 1989050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1989053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1989070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989096 */     // MIs[0] round
     /* 1989096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989099 */     // MIs[0] policy
     /* 1989099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 1989112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989138 */     // GIR_Coverage, 16415,
     /* 1989138 */     GIR_EraseRootFromParent_Done,
     /* 1989139 */   // Label 26491: @1989139
     /* 1989139 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1989233), // Rule ID 16418 //
     /* 1989144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1989147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1989161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989190 */     // MIs[0] round
     /* 1989190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989193 */     // MIs[0] policy
     /* 1989193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1989206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989232 */     // GIR_Coverage, 16418,
     /* 1989232 */     GIR_EraseRootFromParent_Done,
     /* 1989233 */   // Label 26492: @1989233
     /* 1989233 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1989327), // Rule ID 16419 //
     /* 1989238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1989241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1989255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989284 */     // MIs[0] round
     /* 1989284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989287 */     // MIs[0] policy
     /* 1989287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 1989300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989326 */     // GIR_Coverage, 16419,
     /* 1989326 */     GIR_EraseRootFromParent_Done,
     /* 1989327 */   // Label 26493: @1989327
     /* 1989327 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1989421), // Rule ID 16422 //
     /* 1989332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1989335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1989349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1989352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989378 */     // MIs[0] round
     /* 1989378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989381 */     // MIs[0] policy
     /* 1989381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1989394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989420 */     // GIR_Coverage, 16422,
     /* 1989420 */     GIR_EraseRootFromParent_Done,
     /* 1989421 */   // Label 26494: @1989421
     /* 1989421 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1989515), // Rule ID 16423 //
     /* 1989426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1989429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1989443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1989446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989472 */     // MIs[0] round
     /* 1989472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989475 */     // MIs[0] policy
     /* 1989475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 1989488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989514 */     // GIR_Coverage, 16423,
     /* 1989514 */     GIR_EraseRootFromParent_Done,
     /* 1989515 */   // Label 26495: @1989515
     /* 1989515 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1989609), // Rule ID 16426 //
     /* 1989520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1989523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1989537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1989540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989566 */     // MIs[0] round
     /* 1989566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989569 */     // MIs[0] policy
     /* 1989569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989579 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1989582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989608 */     // GIR_Coverage, 16426,
     /* 1989608 */     GIR_EraseRootFromParent_Done,
     /* 1989609 */   // Label 26496: @1989609
     /* 1989609 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1989703), // Rule ID 16427 //
     /* 1989614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1989617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1989631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1989634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989660 */     // MIs[0] round
     /* 1989660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989663 */     // MIs[0] policy
     /* 1989663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 1989676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989702 */     // GIR_Coverage, 16427,
     /* 1989702 */     GIR_EraseRootFromParent_Done,
     /* 1989703 */   // Label 26497: @1989703
     /* 1989703 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1989797), // Rule ID 16430 //
     /* 1989708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1989719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1989722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989754 */     // MIs[0] round
     /* 1989754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989757 */     // MIs[0] policy
     /* 1989757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 1989770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989796 */     // GIR_Coverage, 16430,
     /* 1989796 */     GIR_EraseRootFromParent_Done,
     /* 1989797 */   // Label 26498: @1989797
     /* 1989797 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1989891), // Rule ID 16431 //
     /* 1989802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1989813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1989816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989848 */     // MIs[0] round
     /* 1989848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989851 */     // MIs[0] policy
     /* 1989851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989861 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 1989864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989890 */     // GIR_Coverage, 16431,
     /* 1989890 */     GIR_EraseRootFromParent_Done,
     /* 1989891 */   // Label 26499: @1989891
     /* 1989891 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1989985), // Rule ID 16434 //
     /* 1989896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1989907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1989910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1989913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989942 */     // MIs[0] round
     /* 1989942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989945 */     // MIs[0] policy
     /* 1989945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1989948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 1989958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1989980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1989983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989984 */     // GIR_Coverage, 16434,
     /* 1989984 */     GIR_EraseRootFromParent_Done,
     /* 1989985 */   // Label 26500: @1989985
     /* 1989985 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1990079), // Rule ID 16435 //
     /* 1989990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1989998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1990001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1990004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1990007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990036 */     // MIs[0] round
     /* 1990036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990039 */     // MIs[0] policy
     /* 1990039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 1990052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990078 */     // GIR_Coverage, 16435,
     /* 1990078 */     GIR_EraseRootFromParent_Done,
     /* 1990079 */   // Label 26501: @1990079
     /* 1990079 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1990173), // Rule ID 16438 //
     /* 1990084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1990095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1990098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1990101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990130 */     // MIs[0] round
     /* 1990130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990133 */     // MIs[0] policy
     /* 1990133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990143 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1990146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990172 */     // GIR_Coverage, 16438,
     /* 1990172 */     GIR_EraseRootFromParent_Done,
     /* 1990173 */   // Label 26502: @1990173
     /* 1990173 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1990267), // Rule ID 16439 //
     /* 1990178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1990189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1990192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1990195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990224 */     // MIs[0] round
     /* 1990224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990227 */     // MIs[0] policy
     /* 1990227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990237 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1990240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990266 */     // GIR_Coverage, 16439,
     /* 1990266 */     GIR_EraseRootFromParent_Done,
     /* 1990267 */   // Label 26503: @1990267
     /* 1990267 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1990361), // Rule ID 16442 //
     /* 1990272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1990283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1990286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990318 */     // MIs[0] round
     /* 1990318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990321 */     // MIs[0] policy
     /* 1990321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1990334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990360 */     // GIR_Coverage, 16442,
     /* 1990360 */     GIR_EraseRootFromParent_Done,
     /* 1990361 */   // Label 26504: @1990361
     /* 1990361 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1990455), // Rule ID 16443 //
     /* 1990366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1990377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1990380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990412 */     // MIs[0] round
     /* 1990412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990415 */     // MIs[0] policy
     /* 1990415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990425 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1990428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990454 */     // GIR_Coverage, 16443,
     /* 1990454 */     GIR_EraseRootFromParent_Done,
     /* 1990455 */   // Label 26505: @1990455
     /* 1990455 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1990549), // Rule ID 16446 //
     /* 1990460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1990471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1990474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990506 */     // MIs[0] round
     /* 1990506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990509 */     // MIs[0] policy
     /* 1990509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1990522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990548 */     // GIR_Coverage, 16446,
     /* 1990548 */     GIR_EraseRootFromParent_Done,
     /* 1990549 */   // Label 26506: @1990549
     /* 1990549 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1990643), // Rule ID 16447 //
     /* 1990554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1990565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1990568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990600 */     // MIs[0] round
     /* 1990600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990603 */     // MIs[0] policy
     /* 1990603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990613 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1990616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990642 */     // GIR_Coverage, 16447,
     /* 1990642 */     GIR_EraseRootFromParent_Done,
     /* 1990643 */   // Label 26507: @1990643
     /* 1990643 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1990737), // Rule ID 16450 //
     /* 1990648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990694 */     // MIs[0] round
     /* 1990694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990697 */     // MIs[0] policy
     /* 1990697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1990710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990736 */     // GIR_Coverage, 16450,
     /* 1990736 */     GIR_EraseRootFromParent_Done,
     /* 1990737 */   // Label 26508: @1990737
     /* 1990737 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1990831), // Rule ID 16451 //
     /* 1990742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990788 */     // MIs[0] round
     /* 1990788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990791 */     // MIs[0] policy
     /* 1990791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1990804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990830 */     // GIR_Coverage, 16451,
     /* 1990830 */     GIR_EraseRootFromParent_Done,
     /* 1990831 */   // Label 26509: @1990831
     /* 1990831 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1990925), // Rule ID 16454 //
     /* 1990836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1990847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1990850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1990853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990882 */     // MIs[0] round
     /* 1990882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990885 */     // MIs[0] policy
     /* 1990885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990895 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 1990898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1990920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1990923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990924 */     // GIR_Coverage, 16454,
     /* 1990924 */     GIR_EraseRootFromParent_Done,
     /* 1990925 */   // Label 26510: @1990925
     /* 1990925 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1991019), // Rule ID 16455 //
     /* 1990930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1990938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1990941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1990944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1990947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990976 */     // MIs[0] round
     /* 1990976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990979 */     // MIs[0] policy
     /* 1990979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1990982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 1990992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991018 */     // GIR_Coverage, 16455,
     /* 1991018 */     GIR_EraseRootFromParent_Done,
     /* 1991019 */   // Label 26511: @1991019
     /* 1991019 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1991113), // Rule ID 16458 //
     /* 1991024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1991027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1991035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1991038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1991041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991070 */     // MIs[0] round
     /* 1991070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991073 */     // MIs[0] policy
     /* 1991073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1991086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991112 */     // GIR_Coverage, 16458,
     /* 1991112 */     GIR_EraseRootFromParent_Done,
     /* 1991113 */   // Label 26512: @1991113
     /* 1991113 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1991207), // Rule ID 16459 //
     /* 1991118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1991121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1991129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1991132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1991135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991164 */     // MIs[0] round
     /* 1991164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991167 */     // MIs[0] policy
     /* 1991167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991177 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1991180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991206 */     // GIR_Coverage, 16459,
     /* 1991206 */     GIR_EraseRootFromParent_Done,
     /* 1991207 */   // Label 26513: @1991207
     /* 1991207 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1991301), // Rule ID 16462 //
     /* 1991212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1991215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1991229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991258 */     // MIs[0] round
     /* 1991258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991261 */     // MIs[0] policy
     /* 1991261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991271 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1991274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991300 */     // GIR_Coverage, 16462,
     /* 1991300 */     GIR_EraseRootFromParent_Done,
     /* 1991301 */   // Label 26514: @1991301
     /* 1991301 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1991395), // Rule ID 16463 //
     /* 1991306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1991309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1991323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991352 */     // MIs[0] round
     /* 1991352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991355 */     // MIs[0] policy
     /* 1991355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1991368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991394 */     // GIR_Coverage, 16463,
     /* 1991394 */     GIR_EraseRootFromParent_Done,
     /* 1991395 */   // Label 26515: @1991395
     /* 1991395 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1991489), // Rule ID 16466 //
     /* 1991400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1991403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1991411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1991414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991446 */     // MIs[0] round
     /* 1991446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991449 */     // MIs[0] policy
     /* 1991449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1991462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991488 */     // GIR_Coverage, 16466,
     /* 1991488 */     GIR_EraseRootFromParent_Done,
     /* 1991489 */   // Label 26516: @1991489
     /* 1991489 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1991583), // Rule ID 16467 //
     /* 1991494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1991497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1991505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1991508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991540 */     // MIs[0] round
     /* 1991540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991543 */     // MIs[0] policy
     /* 1991543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1991556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991582 */     // GIR_Coverage, 16467,
     /* 1991582 */     GIR_EraseRootFromParent_Done,
     /* 1991583 */   // Label 26517: @1991583
     /* 1991583 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1991677), // Rule ID 16470 //
     /* 1991588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1991591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1991599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1991602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991634 */     // MIs[0] round
     /* 1991634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991637 */     // MIs[0] policy
     /* 1991637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1991650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991676 */     // GIR_Coverage, 16470,
     /* 1991676 */     GIR_EraseRootFromParent_Done,
     /* 1991677 */   // Label 26518: @1991677
     /* 1991677 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1991771), // Rule ID 16471 //
     /* 1991682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1991685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1991693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1991696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991728 */     // MIs[0] round
     /* 1991728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991731 */     // MIs[0] policy
     /* 1991731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1991744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991770 */     // GIR_Coverage, 16471,
     /* 1991770 */     GIR_EraseRootFromParent_Done,
     /* 1991771 */   // Label 26519: @1991771
     /* 1991771 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1991865), // Rule ID 16474 //
     /* 1991776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1991779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1991793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991822 */     // MIs[0] round
     /* 1991822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991825 */     // MIs[0] policy
     /* 1991825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1991838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991864 */     // GIR_Coverage, 16474,
     /* 1991864 */     GIR_EraseRootFromParent_Done,
     /* 1991865 */   // Label 26520: @1991865
     /* 1991865 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1991959), // Rule ID 16475 //
     /* 1991870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1991873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1991887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991916 */     // MIs[0] round
     /* 1991916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991919 */     // MIs[0] policy
     /* 1991919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1991922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 1991932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1991954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1991957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991958 */     // GIR_Coverage, 16475,
     /* 1991958 */     GIR_EraseRootFromParent_Done,
     /* 1991959 */   // Label 26521: @1991959
     /* 1991959 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1992053), // Rule ID 16478 //
     /* 1991964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1991967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1991972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992010 */     // MIs[0] round
     /* 1992010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992013 */     // MIs[0] policy
     /* 1992013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1992026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992052 */     // GIR_Coverage, 16478,
     /* 1992052 */     GIR_EraseRootFromParent_Done,
     /* 1992053 */   // Label 26522: @1992053
     /* 1992053 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1992147), // Rule ID 16479 //
     /* 1992058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1992061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1992066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1992075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992104 */     // MIs[0] round
     /* 1992104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992107 */     // MIs[0] policy
     /* 1992107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 1992120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992146 */     // GIR_Coverage, 16479,
     /* 1992146 */     GIR_EraseRootFromParent_Done,
     /* 1992147 */   // Label 26523: @1992147
     /* 1992147 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1992241), // Rule ID 16482 //
     /* 1992152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1992155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1992160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992198 */     // MIs[0] round
     /* 1992198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992201 */     // MIs[0] policy
     /* 1992201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1992214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992240 */     // GIR_Coverage, 16482,
     /* 1992240 */     GIR_EraseRootFromParent_Done,
     /* 1992241 */   // Label 26524: @1992241
     /* 1992241 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1992335), // Rule ID 16483 //
     /* 1992246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1992249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1992254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992292 */     // MIs[0] round
     /* 1992292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992295 */     // MIs[0] policy
     /* 1992295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 1992308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992334 */     // GIR_Coverage, 16483,
     /* 1992334 */     GIR_EraseRootFromParent_Done,
     /* 1992335 */   // Label 26525: @1992335
     /* 1992335 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1992429), // Rule ID 16486 //
     /* 1992340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1992343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1992348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1992357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992386 */     // MIs[0] round
     /* 1992386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992389 */     // MIs[0] policy
     /* 1992389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1992402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992428 */     // GIR_Coverage, 16486,
     /* 1992428 */     GIR_EraseRootFromParent_Done,
     /* 1992429 */   // Label 26526: @1992429
     /* 1992429 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1992523), // Rule ID 16487 //
     /* 1992434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1992437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 1992442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1992451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992480 */     // MIs[0] round
     /* 1992480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992483 */     // MIs[0] policy
     /* 1992483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 1992496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1992521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992522 */     // GIR_Coverage, 16487,
     /* 1992522 */     GIR_EraseRootFromParent_Done,
     /* 1992523 */   // Label 26527: @1992523
     /* 1992523 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1992614), // Rule ID 16550 //
     /* 1992528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1992548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992574 */     // MIs[0] round
     /* 1992574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992577 */     // MIs[0] policy
     /* 1992577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992587 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 1992590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992613 */     // GIR_Coverage, 16550,
     /* 1992613 */     GIR_EraseRootFromParent_Done,
     /* 1992614 */   // Label 26528: @1992614
     /* 1992614 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1992705), // Rule ID 16551 //
     /* 1992619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1992639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992665 */     // MIs[0] round
     /* 1992665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992668 */     // MIs[0] policy
     /* 1992668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992678 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 1992681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992704 */     // GIR_Coverage, 16551,
     /* 1992704 */     GIR_EraseRootFromParent_Done,
     /* 1992705 */   // Label 26529: @1992705
     /* 1992705 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1992796), // Rule ID 16554 //
     /* 1992710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1992730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992756 */     // MIs[0] round
     /* 1992756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992759 */     // MIs[0] policy
     /* 1992759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992769 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 1992772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992795 */     // GIR_Coverage, 16554,
     /* 1992795 */     GIR_EraseRootFromParent_Done,
     /* 1992796 */   // Label 26530: @1992796
     /* 1992796 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1992887), // Rule ID 16555 //
     /* 1992801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1992812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1992815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1992818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1992821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992847 */     // MIs[0] round
     /* 1992847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992850 */     // MIs[0] policy
     /* 1992850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992860 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 1992863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992886 */     // GIR_Coverage, 16555,
     /* 1992886 */     GIR_EraseRootFromParent_Done,
     /* 1992887 */   // Label 26531: @1992887
     /* 1992887 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1992978), // Rule ID 16558 //
     /* 1992892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1992895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1992909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1992912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992938 */     // MIs[0] round
     /* 1992938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992941 */     // MIs[0] policy
     /* 1992941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1992944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992951 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 1992954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1992976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992977 */     // GIR_Coverage, 16558,
     /* 1992977 */     GIR_EraseRootFromParent_Done,
     /* 1992978 */   // Label 26532: @1992978
     /* 1992978 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1993069), // Rule ID 16559 //
     /* 1992983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1992986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1992991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1993000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1993003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993029 */     // MIs[0] round
     /* 1993029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993032 */     // MIs[0] policy
     /* 1993032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993042 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 1993045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993068 */     // GIR_Coverage, 16559,
     /* 1993068 */     GIR_EraseRootFromParent_Done,
     /* 1993069 */   // Label 26533: @1993069
     /* 1993069 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1993160), // Rule ID 16562 //
     /* 1993074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993120 */     // MIs[0] round
     /* 1993120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993123 */     // MIs[0] policy
     /* 1993123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993133 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 1993136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993159 */     // GIR_Coverage, 16562,
     /* 1993159 */     GIR_EraseRootFromParent_Done,
     /* 1993160 */   // Label 26534: @1993160
     /* 1993160 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1993251), // Rule ID 16563 //
     /* 1993165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1993168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993211 */     // MIs[0] round
     /* 1993211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993214 */     // MIs[0] policy
     /* 1993214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993224 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 1993227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993250 */     // GIR_Coverage, 16563,
     /* 1993250 */     GIR_EraseRootFromParent_Done,
     /* 1993251 */   // Label 26535: @1993251
     /* 1993251 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1993342), // Rule ID 16566 //
     /* 1993256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993302 */     // MIs[0] round
     /* 1993302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993305 */     // MIs[0] policy
     /* 1993305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 1993318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993341 */     // GIR_Coverage, 16566,
     /* 1993341 */     GIR_EraseRootFromParent_Done,
     /* 1993342 */   // Label 26536: @1993342
     /* 1993342 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1993433), // Rule ID 16567 //
     /* 1993347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993393 */     // MIs[0] round
     /* 1993393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993396 */     // MIs[0] policy
     /* 1993396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993406 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 1993409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993432 */     // GIR_Coverage, 16567,
     /* 1993432 */     GIR_EraseRootFromParent_Done,
     /* 1993433 */   // Label 26537: @1993433
     /* 1993433 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1993524), // Rule ID 16570 //
     /* 1993438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993484 */     // MIs[0] round
     /* 1993484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993487 */     // MIs[0] policy
     /* 1993487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993497 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 1993500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993523 */     // GIR_Coverage, 16570,
     /* 1993523 */     GIR_EraseRootFromParent_Done,
     /* 1993524 */   // Label 26538: @1993524
     /* 1993524 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1993615), // Rule ID 16571 //
     /* 1993529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993575 */     // MIs[0] round
     /* 1993575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993578 */     // MIs[0] policy
     /* 1993578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 1993591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993614 */     // GIR_Coverage, 16571,
     /* 1993614 */     GIR_EraseRootFromParent_Done,
     /* 1993615 */   // Label 26539: @1993615
     /* 1993615 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1993706), // Rule ID 16574 //
     /* 1993620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1993631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1993634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1993637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1993640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993666 */     // MIs[0] round
     /* 1993666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993669 */     // MIs[0] policy
     /* 1993669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993679 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 1993682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993705 */     // GIR_Coverage, 16574,
     /* 1993705 */     GIR_EraseRootFromParent_Done,
     /* 1993706 */   // Label 26540: @1993706
     /* 1993706 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1993797), // Rule ID 16575 //
     /* 1993711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1993714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1993722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1993725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1993728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1993731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993757 */     // MIs[0] round
     /* 1993757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993760 */     // MIs[0] policy
     /* 1993760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993770 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 1993773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993796 */     // GIR_Coverage, 16575,
     /* 1993796 */     GIR_EraseRootFromParent_Done,
     /* 1993797 */   // Label 26541: @1993797
     /* 1993797 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1993888), // Rule ID 16578 //
     /* 1993802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1993813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1993816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1993819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1993822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993848 */     // MIs[0] round
     /* 1993848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993851 */     // MIs[0] policy
     /* 1993851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993861 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 1993864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993887 */     // GIR_Coverage, 16578,
     /* 1993887 */     GIR_EraseRootFromParent_Done,
     /* 1993888 */   // Label 26542: @1993888
     /* 1993888 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1993979), // Rule ID 16579 //
     /* 1993893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1993896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1993904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1993907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1993910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1993913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993939 */     // MIs[0] round
     /* 1993939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993942 */     // MIs[0] policy
     /* 1993942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1993945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 1993955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1993977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993978 */     // GIR_Coverage, 16579,
     /* 1993978 */     GIR_EraseRootFromParent_Done,
     /* 1993979 */   // Label 26543: @1993979
     /* 1993979 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1994070), // Rule ID 16582 //
     /* 1993984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1993992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1993995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1993998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1994004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994030 */     // MIs[0] round
     /* 1994030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994033 */     // MIs[0] policy
     /* 1994033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994043 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 1994046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994069 */     // GIR_Coverage, 16582,
     /* 1994069 */     GIR_EraseRootFromParent_Done,
     /* 1994070 */   // Label 26544: @1994070
     /* 1994070 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1994161), // Rule ID 16583 //
     /* 1994075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1994095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994121 */     // MIs[0] round
     /* 1994121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994124 */     // MIs[0] policy
     /* 1994124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 1994137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994160 */     // GIR_Coverage, 16583,
     /* 1994160 */     GIR_EraseRootFromParent_Done,
     /* 1994161 */   // Label 26545: @1994161
     /* 1994161 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1994252), // Rule ID 16586 //
     /* 1994166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1994186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994212 */     // MIs[0] round
     /* 1994212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994215 */     // MIs[0] policy
     /* 1994215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994225 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 1994228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994251 */     // GIR_Coverage, 16586,
     /* 1994251 */     GIR_EraseRootFromParent_Done,
     /* 1994252 */   // Label 26546: @1994252
     /* 1994252 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1994343), // Rule ID 16587 //
     /* 1994257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1994268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1994271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1994274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1994277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994303 */     // MIs[0] round
     /* 1994303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994306 */     // MIs[0] policy
     /* 1994306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 1994319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994342 */     // GIR_Coverage, 16587,
     /* 1994342 */     GIR_EraseRootFromParent_Done,
     /* 1994343 */   // Label 26547: @1994343
     /* 1994343 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1994434), // Rule ID 16590 //
     /* 1994348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1994368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994394 */     // MIs[0] round
     /* 1994394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994397 */     // MIs[0] policy
     /* 1994397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994407 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 1994410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994433 */     // GIR_Coverage, 16590,
     /* 1994433 */     GIR_EraseRootFromParent_Done,
     /* 1994434 */   // Label 26548: @1994434
     /* 1994434 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1994525), // Rule ID 16591 //
     /* 1994439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1994450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1994453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1994456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1994459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994485 */     // MIs[0] round
     /* 1994485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994488 */     // MIs[0] policy
     /* 1994488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994498 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 1994501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994524 */     // GIR_Coverage, 16591,
     /* 1994524 */     GIR_EraseRootFromParent_Done,
     /* 1994525 */   // Label 26549: @1994525
     /* 1994525 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1994616), // Rule ID 16594 //
     /* 1994530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1994547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1994550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994576 */     // MIs[0] round
     /* 1994576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994579 */     // MIs[0] policy
     /* 1994579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994589 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 1994592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994615 */     // GIR_Coverage, 16594,
     /* 1994615 */     GIR_EraseRootFromParent_Done,
     /* 1994616 */   // Label 26550: @1994616
     /* 1994616 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1994707), // Rule ID 16595 //
     /* 1994621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1994632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1994635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1994638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1994641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994667 */     // MIs[0] round
     /* 1994667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994670 */     // MIs[0] policy
     /* 1994670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994680 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 1994683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994706 */     // GIR_Coverage, 16595,
     /* 1994706 */     GIR_EraseRootFromParent_Done,
     /* 1994707 */   // Label 26551: @1994707
     /* 1994707 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1994798), // Rule ID 16598 //
     /* 1994712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1994715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1994723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1994726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1994729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1994732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994758 */     // MIs[0] round
     /* 1994758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994761 */     // MIs[0] policy
     /* 1994761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994771 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 1994774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994797 */     // GIR_Coverage, 16598,
     /* 1994797 */     GIR_EraseRootFromParent_Done,
     /* 1994798 */   // Label 26552: @1994798
     /* 1994798 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1994889), // Rule ID 16599 //
     /* 1994803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1994806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1994814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1994817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1994820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1994823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994849 */     // MIs[0] round
     /* 1994849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994852 */     // MIs[0] policy
     /* 1994852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994862 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 1994865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994888 */     // GIR_Coverage, 16599,
     /* 1994888 */     GIR_EraseRootFromParent_Done,
     /* 1994889 */   // Label 26553: @1994889
     /* 1994889 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1994980), // Rule ID 16602 //
     /* 1994894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1994897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1994905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1994908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1994911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1994914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994940 */     // MIs[0] round
     /* 1994940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994943 */     // MIs[0] policy
     /* 1994943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1994946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994953 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 1994956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1994978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994979 */     // GIR_Coverage, 16602,
     /* 1994979 */     GIR_EraseRootFromParent_Done,
     /* 1994980 */   // Label 26554: @1994980
     /* 1994980 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1995071), // Rule ID 16603 //
     /* 1994985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1994988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1994993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1994996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1994999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1995005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995031 */     // MIs[0] round
     /* 1995031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995034 */     // MIs[0] policy
     /* 1995034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995044 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 1995047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995070 */     // GIR_Coverage, 16603,
     /* 1995070 */     GIR_EraseRootFromParent_Done,
     /* 1995071 */   // Label 26555: @1995071
     /* 1995071 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1995162), // Rule ID 16606 //
     /* 1995076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1995096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995122 */     // MIs[0] round
     /* 1995122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995125 */     // MIs[0] policy
     /* 1995125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995135 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 1995138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995161 */     // GIR_Coverage, 16606,
     /* 1995161 */     GIR_EraseRootFromParent_Done,
     /* 1995162 */   // Label 26556: @1995162
     /* 1995162 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1995253), // Rule ID 16607 //
     /* 1995167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1995187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995213 */     // MIs[0] round
     /* 1995213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995216 */     // MIs[0] policy
     /* 1995216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 1995229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995252 */     // GIR_Coverage, 16607,
     /* 1995252 */     GIR_EraseRootFromParent_Done,
     /* 1995253 */   // Label 26557: @1995253
     /* 1995253 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1995344), // Rule ID 16610 //
     /* 1995258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1995269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1995272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995304 */     // MIs[0] round
     /* 1995304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995307 */     // MIs[0] policy
     /* 1995307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995317 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 1995320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995343 */     // GIR_Coverage, 16610,
     /* 1995343 */     GIR_EraseRootFromParent_Done,
     /* 1995344 */   // Label 26558: @1995344
     /* 1995344 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1995435), // Rule ID 16611 //
     /* 1995349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1995360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1995363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995395 */     // MIs[0] round
     /* 1995395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995398 */     // MIs[0] policy
     /* 1995398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995408 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 1995411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995434 */     // GIR_Coverage, 16611,
     /* 1995434 */     GIR_EraseRootFromParent_Done,
     /* 1995435 */   // Label 26559: @1995435
     /* 1995435 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1995526), // Rule ID 16614 //
     /* 1995440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1995451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1995454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995486 */     // MIs[0] round
     /* 1995486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995489 */     // MIs[0] policy
     /* 1995489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995499 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 1995502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995525 */     // GIR_Coverage, 16614,
     /* 1995525 */     GIR_EraseRootFromParent_Done,
     /* 1995526 */   // Label 26560: @1995526
     /* 1995526 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1995617), // Rule ID 16615 //
     /* 1995531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1995542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1995545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1995548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995577 */     // MIs[0] round
     /* 1995577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995580 */     // MIs[0] policy
     /* 1995580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995590 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 1995593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995616 */     // GIR_Coverage, 16615,
     /* 1995616 */     GIR_EraseRootFromParent_Done,
     /* 1995617 */   // Label 26561: @1995617
     /* 1995617 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1995708), // Rule ID 16618 //
     /* 1995622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1995664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995668 */     // MIs[0] round
     /* 1995668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995671 */     // MIs[0] policy
     /* 1995671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995681 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 1995684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995707 */     // GIR_Coverage, 16618,
     /* 1995707 */     GIR_EraseRootFromParent_Done,
     /* 1995708 */   // Label 26562: @1995708
     /* 1995708 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1995799), // Rule ID 16619 //
     /* 1995713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1995724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1995727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1995730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1995755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995759 */     // MIs[0] round
     /* 1995759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995762 */     // MIs[0] policy
     /* 1995762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 1995775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995798 */     // GIR_Coverage, 16619,
     /* 1995798 */     GIR_EraseRootFromParent_Done,
     /* 1995799 */   // Label 26563: @1995799
     /* 1995799 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1995890), // Rule ID 16622 //
     /* 1995804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995850 */     // MIs[0] round
     /* 1995850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995853 */     // MIs[0] policy
     /* 1995853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995863 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 1995866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995889 */     // GIR_Coverage, 16622,
     /* 1995889 */     GIR_EraseRootFromParent_Done,
     /* 1995890 */   // Label 26564: @1995890
     /* 1995890 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1995981), // Rule ID 16623 //
     /* 1995895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1995906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1995909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1995912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1995915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1995937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995941 */     // MIs[0] round
     /* 1995941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995944 */     // MIs[0] policy
     /* 1995944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1995947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995954 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 1995957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1995979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995980 */     // GIR_Coverage, 16623,
     /* 1995980 */     GIR_EraseRootFromParent_Done,
     /* 1995981 */   // Label 26565: @1995981
     /* 1995981 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1996072), // Rule ID 16626 //
     /* 1995986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1995994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1996028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996032 */     // MIs[0] round
     /* 1996032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996035 */     // MIs[0] policy
     /* 1996035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996045 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 1996048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996071 */     // GIR_Coverage, 16626,
     /* 1996071 */     GIR_EraseRootFromParent_Done,
     /* 1996072 */   // Label 26566: @1996072
     /* 1996072 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1996163), // Rule ID 16627 //
     /* 1996077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1996119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996123 */     // MIs[0] round
     /* 1996123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996126 */     // MIs[0] policy
     /* 1996126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 1996139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996162 */     // GIR_Coverage, 16627,
     /* 1996162 */     GIR_EraseRootFromParent_Done,
     /* 1996163 */   // Label 26567: @1996163
     /* 1996163 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1996254), // Rule ID 16630 //
     /* 1996168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1996185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1996210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996214 */     // MIs[0] round
     /* 1996214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996217 */     // MIs[0] policy
     /* 1996217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 1996230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996253 */     // GIR_Coverage, 16630,
     /* 1996253 */     GIR_EraseRootFromParent_Done,
     /* 1996254 */   // Label 26568: @1996254
     /* 1996254 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1996345), // Rule ID 16631 //
     /* 1996259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1996276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1996301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996305 */     // MIs[0] round
     /* 1996305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996308 */     // MIs[0] policy
     /* 1996308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996318 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 1996321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996344 */     // GIR_Coverage, 16631,
     /* 1996344 */     GIR_EraseRootFromParent_Done,
     /* 1996345 */   // Label 26569: @1996345
     /* 1996345 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1996436), // Rule ID 16634 //
     /* 1996350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1996361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1996364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996396 */     // MIs[0] round
     /* 1996396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996399 */     // MIs[0] policy
     /* 1996399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996409 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 1996412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996435 */     // GIR_Coverage, 16634,
     /* 1996435 */     GIR_EraseRootFromParent_Done,
     /* 1996436 */   // Label 26570: @1996436
     /* 1996436 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1996527), // Rule ID 16635 //
     /* 1996441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1996452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1996455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996487 */     // MIs[0] round
     /* 1996487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996490 */     // MIs[0] policy
     /* 1996490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996500 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 1996503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996526 */     // GIR_Coverage, 16635,
     /* 1996526 */     GIR_EraseRootFromParent_Done,
     /* 1996527 */   // Label 26571: @1996527
     /* 1996527 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1996618), // Rule ID 16638 //
     /* 1996532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1996543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1996546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996578 */     // MIs[0] round
     /* 1996578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996581 */     // MIs[0] policy
     /* 1996581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996591 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 1996594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996617 */     // GIR_Coverage, 16638,
     /* 1996617 */     GIR_EraseRootFromParent_Done,
     /* 1996618 */   // Label 26572: @1996618
     /* 1996618 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1996709), // Rule ID 16639 //
     /* 1996623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1996634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1996637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1996640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996669 */     // MIs[0] round
     /* 1996669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996672 */     // MIs[0] policy
     /* 1996672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996682 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 1996685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996708 */     // GIR_Coverage, 16639,
     /* 1996708 */     GIR_EraseRootFromParent_Done,
     /* 1996709 */   // Label 26573: @1996709
     /* 1996709 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1996800), // Rule ID 16642 //
     /* 1996714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1996725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1996728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996760 */     // MIs[0] round
     /* 1996760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996763 */     // MIs[0] policy
     /* 1996763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996773 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 1996776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996799 */     // GIR_Coverage, 16642,
     /* 1996799 */     GIR_EraseRootFromParent_Done,
     /* 1996800 */   // Label 26574: @1996800
     /* 1996800 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1996891), // Rule ID 16643 //
     /* 1996805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1996816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1996819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1996822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1996825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1996828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1996847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996851 */     // MIs[0] round
     /* 1996851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996854 */     // MIs[0] policy
     /* 1996854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 1996867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996890 */     // GIR_Coverage, 16643,
     /* 1996890 */     GIR_EraseRootFromParent_Done,
     /* 1996891 */   // Label 26575: @1996891
     /* 1996891 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1996982), // Rule ID 16646 //
     /* 1996896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1996938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996942 */     // MIs[0] round
     /* 1996942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996945 */     // MIs[0] policy
     /* 1996945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1996948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996955 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 1996958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1996980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996981 */     // GIR_Coverage, 16646,
     /* 1996981 */     GIR_EraseRootFromParent_Done,
     /* 1996982 */   // Label 26576: @1996982
     /* 1996982 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1997073), // Rule ID 16647 //
     /* 1996987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1996995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1997001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1997004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997033 */     // MIs[0] round
     /* 1997033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997036 */     // MIs[0] policy
     /* 1997036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 1997049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997072 */     // GIR_Coverage, 16647,
     /* 1997072 */     GIR_EraseRootFromParent_Done,
     /* 1997073 */   // Label 26577: @1997073
     /* 1997073 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1997164), // Rule ID 16650 //
     /* 1997078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997124 */     // MIs[0] round
     /* 1997124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997127 */     // MIs[0] policy
     /* 1997127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997137 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 1997140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997163 */     // GIR_Coverage, 16650,
     /* 1997163 */     GIR_EraseRootFromParent_Done,
     /* 1997164 */   // Label 26578: @1997164
     /* 1997164 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1997255), // Rule ID 16651 //
     /* 1997169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1997180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1997183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997215 */     // MIs[0] round
     /* 1997215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997218 */     // MIs[0] policy
     /* 1997218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 1997231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997254 */     // GIR_Coverage, 16651,
     /* 1997254 */     GIR_EraseRootFromParent_Done,
     /* 1997255 */   // Label 26579: @1997255
     /* 1997255 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1997346), // Rule ID 16654 //
     /* 1997260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997306 */     // MIs[0] round
     /* 1997306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997309 */     // MIs[0] policy
     /* 1997309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997319 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 1997322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997345 */     // GIR_Coverage, 16654,
     /* 1997345 */     GIR_EraseRootFromParent_Done,
     /* 1997346 */   // Label 26580: @1997346
     /* 1997346 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1997437), // Rule ID 16655 //
     /* 1997351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1997362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1997365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997397 */     // MIs[0] round
     /* 1997397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997400 */     // MIs[0] policy
     /* 1997400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997410 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 1997413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997436 */     // GIR_Coverage, 16655,
     /* 1997436 */     GIR_EraseRootFromParent_Done,
     /* 1997437 */   // Label 26581: @1997437
     /* 1997437 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1997528), // Rule ID 16658 //
     /* 1997442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1997453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1997456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997488 */     // MIs[0] round
     /* 1997488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997491 */     // MIs[0] policy
     /* 1997491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997501 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 1997504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997527 */     // GIR_Coverage, 16658,
     /* 1997527 */     GIR_EraseRootFromParent_Done,
     /* 1997528 */   // Label 26582: @1997528
     /* 1997528 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1997619), // Rule ID 16659 //
     /* 1997533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1997544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1997547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1997550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997579 */     // MIs[0] round
     /* 1997579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997582 */     // MIs[0] policy
     /* 1997582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997592 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10838:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 1997595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997618 */     // GIR_Coverage, 16659,
     /* 1997618 */     GIR_EraseRootFromParent_Done,
     /* 1997619 */   // Label 26583: @1997619
     /* 1997619 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1997710), // Rule ID 16662 //
     /* 1997624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1997635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1997638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997670 */     // MIs[0] round
     /* 1997670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997673 */     // MIs[0] policy
     /* 1997673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997683 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 1997686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997709 */     // GIR_Coverage, 16662,
     /* 1997709 */     GIR_EraseRootFromParent_Done,
     /* 1997710 */   // Label 26584: @1997710
     /* 1997710 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1997801), // Rule ID 16663 //
     /* 1997715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1997726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1997729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1997732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1997745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997761 */     // MIs[0] round
     /* 1997761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997764 */     // MIs[0] policy
     /* 1997764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997774 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10838:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 1997777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997800 */     // GIR_Coverage, 16663,
     /* 1997800 */     GIR_EraseRootFromParent_Done,
     /* 1997801 */   // Label 26585: @1997801
     /* 1997801 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1997892), // Rule ID 16666 //
     /* 1997806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1997809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1997817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1997820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997852 */     // MIs[0] round
     /* 1997852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997855 */     // MIs[0] policy
     /* 1997855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997865 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 1997868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997891 */     // GIR_Coverage, 16666,
     /* 1997891 */     GIR_EraseRootFromParent_Done,
     /* 1997892 */   // Label 26586: @1997892
     /* 1997892 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1997983), // Rule ID 16667 //
     /* 1997897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 1997905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1997908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1997911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1997939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997943 */     // MIs[0] round
     /* 1997943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997946 */     // MIs[0] policy
     /* 1997946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1997949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10838:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 1997959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1997981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997982 */     // GIR_Coverage, 16667,
     /* 1997982 */     GIR_EraseRootFromParent_Done,
     /* 1997983 */   // Label 26587: @1997983
     /* 1997983 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1998074), // Rule ID 16670 //
     /* 1997988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1997996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1997999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1998002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1998008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998034 */     // MIs[0] round
     /* 1998034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998037 */     // MIs[0] policy
     /* 1998037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998047 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 1998050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998073 */     // GIR_Coverage, 16670,
     /* 1998073 */     GIR_EraseRootFromParent_Done,
     /* 1998074 */   // Label 26588: @1998074
     /* 1998074 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1998165), // Rule ID 16671 //
     /* 1998079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1998090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1998093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1998099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998125 */     // MIs[0] round
     /* 1998125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998128 */     // MIs[0] policy
     /* 1998128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 1998141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998164 */     // GIR_Coverage, 16671,
     /* 1998164 */     GIR_EraseRootFromParent_Done,
     /* 1998165 */   // Label 26589: @1998165
     /* 1998165 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1998256), // Rule ID 16674 //
     /* 1998170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1998181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1998184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1998187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1998190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998216 */     // MIs[0] round
     /* 1998216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998219 */     // MIs[0] policy
     /* 1998219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998229 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 1998232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998255 */     // GIR_Coverage, 16674,
     /* 1998255 */     GIR_EraseRootFromParent_Done,
     /* 1998256 */   // Label 26590: @1998256
     /* 1998256 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1998347), // Rule ID 16675 //
     /* 1998261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1998272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1998275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1998278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1998281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998307 */     // MIs[0] round
     /* 1998307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998310 */     // MIs[0] policy
     /* 1998310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 1998323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998346 */     // GIR_Coverage, 16675,
     /* 1998346 */     GIR_EraseRootFromParent_Done,
     /* 1998347 */   // Label 26591: @1998347
     /* 1998347 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1998438), // Rule ID 16678 //
     /* 1998352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1998372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998398 */     // MIs[0] round
     /* 1998398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998401 */     // MIs[0] policy
     /* 1998401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998411 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 1998414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998437 */     // GIR_Coverage, 16678,
     /* 1998437 */     GIR_EraseRootFromParent_Done,
     /* 1998438 */   // Label 26592: @1998438
     /* 1998438 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1998529), // Rule ID 16679 //
     /* 1998443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1998463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998489 */     // MIs[0] round
     /* 1998489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998492 */     // MIs[0] policy
     /* 1998492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 1998505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998528 */     // GIR_Coverage, 16679,
     /* 1998528 */     GIR_EraseRootFromParent_Done,
     /* 1998529 */   // Label 26593: @1998529
     /* 1998529 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1998620), // Rule ID 16682 //
     /* 1998534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998580 */     // MIs[0] round
     /* 1998580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998583 */     // MIs[0] policy
     /* 1998583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998593 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 1998596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998619 */     // GIR_Coverage, 16682,
     /* 1998619 */     GIR_EraseRootFromParent_Done,
     /* 1998620 */   // Label 26594: @1998620
     /* 1998620 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1998711), // Rule ID 16683 //
     /* 1998625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1998636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1998639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1998642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1998645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998671 */     // MIs[0] round
     /* 1998671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998674 */     // MIs[0] policy
     /* 1998674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 1998687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998710 */     // GIR_Coverage, 16683,
     /* 1998710 */     GIR_EraseRootFromParent_Done,
     /* 1998711 */   // Label 26595: @1998711
     /* 1998711 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1998802), // Rule ID 16686 //
     /* 1998716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998762 */     // MIs[0] round
     /* 1998762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998765 */     // MIs[0] policy
     /* 1998765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998775 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 1998778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998801 */     // GIR_Coverage, 16686,
     /* 1998801 */     GIR_EraseRootFromParent_Done,
     /* 1998802 */   // Label 26596: @1998802
     /* 1998802 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1998893), // Rule ID 16687 //
     /* 1998807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998853 */     // MIs[0] round
     /* 1998853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998856 */     // MIs[0] policy
     /* 1998856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998866 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 1998869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998892 */     // GIR_Coverage, 16687,
     /* 1998892 */     GIR_EraseRootFromParent_Done,
     /* 1998893 */   // Label 26597: @1998893
     /* 1998893 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1998984), // Rule ID 16690 //
     /* 1998898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998944 */     // MIs[0] round
     /* 1998944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998947 */     // MIs[0] policy
     /* 1998947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 1998960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998983 */     // GIR_Coverage, 16690,
     /* 1998983 */     GIR_EraseRootFromParent_Done,
     /* 1998984 */   // Label 26598: @1998984
     /* 1998984 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1999075), // Rule ID 16691 //
     /* 1998989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1998997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1999006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999035 */     // MIs[0] round
     /* 1999035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999038 */     // MIs[0] policy
     /* 1999038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 1999051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999074 */     // GIR_Coverage, 16691,
     /* 1999074 */     GIR_EraseRootFromParent_Done,
     /* 1999075 */   // Label 26599: @1999075
     /* 1999075 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1999166), // Rule ID 16694 //
     /* 1999080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1999091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1999094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1999097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1999100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999126 */     // MIs[0] round
     /* 1999126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999129 */     // MIs[0] policy
     /* 1999129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 1999142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999165 */     // GIR_Coverage, 16694,
     /* 1999165 */     GIR_EraseRootFromParent_Done,
     /* 1999166 */   // Label 26600: @1999166
     /* 1999166 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1999257), // Rule ID 16695 //
     /* 1999171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1999182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1999185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1999188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1999191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999217 */     // MIs[0] round
     /* 1999217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999220 */     // MIs[0] policy
     /* 1999220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999230 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 1999233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999256 */     // GIR_Coverage, 16695,
     /* 1999256 */     GIR_EraseRootFromParent_Done,
     /* 1999257 */   // Label 26601: @1999257
     /* 1999257 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1999348), // Rule ID 16698 //
     /* 1999262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1999273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1999276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1999282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999308 */     // MIs[0] round
     /* 1999308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999311 */     // MIs[0] policy
     /* 1999311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999321 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 1999324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999347 */     // GIR_Coverage, 16698,
     /* 1999347 */     GIR_EraseRootFromParent_Done,
     /* 1999348 */   // Label 26602: @1999348
     /* 1999348 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1999439), // Rule ID 16699 //
     /* 1999353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1999364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1999367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1999373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999399 */     // MIs[0] round
     /* 1999399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999402 */     // MIs[0] policy
     /* 1999402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999412 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 1999415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999438 */     // GIR_Coverage, 16699,
     /* 1999438 */     GIR_EraseRootFromParent_Done,
     /* 1999439 */   // Label 26603: @1999439
     /* 1999439 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1999530), // Rule ID 16702 //
     /* 1999444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1999455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1999458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1999464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999490 */     // MIs[0] round
     /* 1999490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999493 */     // MIs[0] policy
     /* 1999493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999503 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 1999506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999529 */     // GIR_Coverage, 16702,
     /* 1999529 */     GIR_EraseRootFromParent_Done,
     /* 1999530 */   // Label 26604: @1999530
     /* 1999530 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1999621), // Rule ID 16703 //
     /* 1999535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1999546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1999549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1999555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999581 */     // MIs[0] round
     /* 1999581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999584 */     // MIs[0] policy
     /* 1999584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999594 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 1999597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999620 */     // GIR_Coverage, 16703,
     /* 1999620 */     GIR_EraseRootFromParent_Done,
     /* 1999621 */   // Label 26605: @1999621
     /* 1999621 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1999712), // Rule ID 16706 //
     /* 1999626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1999646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999672 */     // MIs[0] round
     /* 1999672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999675 */     // MIs[0] policy
     /* 1999675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999685 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 1999688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999711 */     // GIR_Coverage, 16706,
     /* 1999711 */     GIR_EraseRootFromParent_Done,
     /* 1999712 */   // Label 26606: @1999712
     /* 1999712 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1999803), // Rule ID 16707 //
     /* 1999717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1999737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999763 */     // MIs[0] round
     /* 1999763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999766 */     // MIs[0] policy
     /* 1999766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 1999779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999802 */     // GIR_Coverage, 16707,
     /* 1999802 */     GIR_EraseRootFromParent_Done,
     /* 1999803 */   // Label 26607: @1999803
     /* 1999803 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1999894), // Rule ID 16710 //
     /* 1999808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1999828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999854 */     // MIs[0] round
     /* 1999854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999857 */     // MIs[0] policy
     /* 1999857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 1999870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999893 */     // GIR_Coverage, 16710,
     /* 1999893 */     GIR_EraseRootFromParent_Done,
     /* 1999894 */   // Label 26608: @1999894
     /* 1999894 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1999985), // Rule ID 16711 //
     /* 1999899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1999919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999945 */     // MIs[0] round
     /* 1999945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999948 */     // MIs[0] policy
     /* 1999948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 1999961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999984 */     // GIR_Coverage, 16711,
     /* 1999984 */     GIR_EraseRootFromParent_Done,
     /* 1999985 */   // Label 26609: @1999985
     /* 1999985 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(2000076), // Rule ID 16714 //
     /* 1999990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 1999998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2000007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2000010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000036 */     // MIs[0] round
     /* 2000036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000039 */     // MIs[0] policy
     /* 2000039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000049 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2000052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000075 */     // GIR_Coverage, 16714,
     /* 2000075 */     GIR_EraseRootFromParent_Done,
     /* 2000076 */   // Label 26610: @2000076
     /* 2000076 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(2000167), // Rule ID 16715 //
     /* 2000081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2000098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2000101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000127 */     // MIs[0] round
     /* 2000127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000130 */     // MIs[0] policy
     /* 2000130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2000143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000166 */     // GIR_Coverage, 16715,
     /* 2000166 */     GIR_EraseRootFromParent_Done,
     /* 2000167 */   // Label 26611: @2000167
     /* 2000167 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(2000258), // Rule ID 16718 //
     /* 2000172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2000183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2000186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2000189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2000192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000218 */     // MIs[0] round
     /* 2000218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000221 */     // MIs[0] policy
     /* 2000221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000231 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2000234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000257 */     // GIR_Coverage, 16718,
     /* 2000257 */     GIR_EraseRootFromParent_Done,
     /* 2000258 */   // Label 26612: @2000258
     /* 2000258 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(2000349), // Rule ID 16719 //
     /* 2000263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2000274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2000277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2000280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2000283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000309 */     // MIs[0] round
     /* 2000309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000312 */     // MIs[0] policy
     /* 2000312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000322 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2000325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000348 */     // GIR_Coverage, 16719,
     /* 2000348 */     GIR_EraseRootFromParent_Done,
     /* 2000349 */   // Label 26613: @2000349
     /* 2000349 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(2000440), // Rule ID 16722 //
     /* 2000354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2000365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2000368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2000374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000400 */     // MIs[0] round
     /* 2000400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000403 */     // MIs[0] policy
     /* 2000403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000413 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2000416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000439 */     // GIR_Coverage, 16722,
     /* 2000439 */     GIR_EraseRootFromParent_Done,
     /* 2000440 */   // Label 26614: @2000440
     /* 2000440 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(2000531), // Rule ID 16723 //
     /* 2000445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2000456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2000459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2000465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000491 */     // MIs[0] round
     /* 2000491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000494 */     // MIs[0] policy
     /* 2000494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000504 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2000507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000530 */     // GIR_Coverage, 16723,
     /* 2000530 */     GIR_EraseRootFromParent_Done,
     /* 2000531 */   // Label 26615: @2000531
     /* 2000531 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(2000622), // Rule ID 16726 //
     /* 2000536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2000547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2000550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2000556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000582 */     // MIs[0] round
     /* 2000582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000585 */     // MIs[0] policy
     /* 2000585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000595 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2000598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000621 */     // GIR_Coverage, 16726,
     /* 2000621 */     GIR_EraseRootFromParent_Done,
     /* 2000622 */   // Label 26616: @2000622
     /* 2000622 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(2000713), // Rule ID 16727 //
     /* 2000627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2000638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2000641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2000647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000673 */     // MIs[0] round
     /* 2000673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000676 */     // MIs[0] policy
     /* 2000676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000686 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2000689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000712 */     // GIR_Coverage, 16727,
     /* 2000712 */     GIR_EraseRootFromParent_Done,
     /* 2000713 */   // Label 26617: @2000713
     /* 2000713 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(2000804), // Rule ID 16730 //
     /* 2000718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2000729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2000732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000764 */     // MIs[0] round
     /* 2000764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000767 */     // MIs[0] policy
     /* 2000767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000777 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2000780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000803 */     // GIR_Coverage, 16730,
     /* 2000803 */     GIR_EraseRootFromParent_Done,
     /* 2000804 */   // Label 26618: @2000804
     /* 2000804 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(2000895), // Rule ID 16731 //
     /* 2000809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2000820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2000823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000855 */     // MIs[0] round
     /* 2000855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000858 */     // MIs[0] policy
     /* 2000858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000868 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2000871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000894 */     // GIR_Coverage, 16731,
     /* 2000894 */     GIR_EraseRootFromParent_Done,
     /* 2000895 */   // Label 26619: @2000895
     /* 2000895 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(2000986), // Rule ID 16734 //
     /* 2000900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2000911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2000914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000946 */     // MIs[0] round
     /* 2000946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000949 */     // MIs[0] policy
     /* 2000949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000959 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2000962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000985 */     // GIR_Coverage, 16734,
     /* 2000985 */     GIR_EraseRootFromParent_Done,
     /* 2000986 */   // Label 26620: @2000986
     /* 2000986 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(2001077), // Rule ID 16735 //
     /* 2000991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2000999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2001002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2001005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2001008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001037 */     // MIs[0] round
     /* 2001037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001040 */     // MIs[0] policy
     /* 2001040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2001053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001076 */     // GIR_Coverage, 16735,
     /* 2001076 */     GIR_EraseRootFromParent_Done,
     /* 2001077 */   // Label 26621: @2001077
     /* 2001077 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(2001168), // Rule ID 16738 //
     /* 2001082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001128 */     // MIs[0] round
     /* 2001128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001131 */     // MIs[0] policy
     /* 2001131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001141 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2001144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001167 */     // GIR_Coverage, 16738,
     /* 2001167 */     GIR_EraseRootFromParent_Done,
     /* 2001168 */   // Label 26622: @2001168
     /* 2001168 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(2001259), // Rule ID 16739 //
     /* 2001173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001219 */     // MIs[0] round
     /* 2001219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001222 */     // MIs[0] policy
     /* 2001222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2001235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001258 */     // GIR_Coverage, 16739,
     /* 2001258 */     GIR_EraseRootFromParent_Done,
     /* 2001259 */   // Label 26623: @2001259
     /* 2001259 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(2001350), // Rule ID 16742 //
     /* 2001264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001310 */     // MIs[0] round
     /* 2001310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001313 */     // MIs[0] policy
     /* 2001313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001323 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2001326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001349 */     // GIR_Coverage, 16742,
     /* 2001349 */     GIR_EraseRootFromParent_Done,
     /* 2001350 */   // Label 26624: @2001350
     /* 2001350 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(2001441), // Rule ID 16743 //
     /* 2001355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001401 */     // MIs[0] round
     /* 2001401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001404 */     // MIs[0] policy
     /* 2001404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001414 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10930:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2001417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001440 */     // GIR_Coverage, 16743,
     /* 2001440 */     GIR_EraseRootFromParent_Done,
     /* 2001441 */   // Label 26625: @2001441
     /* 2001441 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(2001532), // Rule ID 16746 //
     /* 2001446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001492 */     // MIs[0] round
     /* 2001492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001495 */     // MIs[0] policy
     /* 2001495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2001508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001531 */     // GIR_Coverage, 16746,
     /* 2001531 */     GIR_EraseRootFromParent_Done,
     /* 2001532 */   // Label 26626: @2001532
     /* 2001532 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(2001623), // Rule ID 16747 //
     /* 2001537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001583 */     // MIs[0] round
     /* 2001583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001586 */     // MIs[0] policy
     /* 2001586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2001599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001622 */     // GIR_Coverage, 16747,
     /* 2001622 */     GIR_EraseRootFromParent_Done,
     /* 2001623 */   // Label 26627: @2001623
     /* 2001623 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(2001714), // Rule ID 16750 //
     /* 2001628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2001631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2001645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2001670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001674 */     // MIs[0] round
     /* 2001674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001677 */     // MIs[0] policy
     /* 2001677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001687 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2001690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001713 */     // GIR_Coverage, 16750,
     /* 2001713 */     GIR_EraseRootFromParent_Done,
     /* 2001714 */   // Label 26628: @2001714
     /* 2001714 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(2001805), // Rule ID 16751 //
     /* 2001719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2001722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2001736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2001761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001765 */     // MIs[0] round
     /* 2001765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001768 */     // MIs[0] policy
     /* 2001768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001778 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2001781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001804 */     // GIR_Coverage, 16751,
     /* 2001804 */     GIR_EraseRootFromParent_Done,
     /* 2001805 */   // Label 26629: @2001805
     /* 2001805 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(2001896), // Rule ID 16754 //
     /* 2001810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2001821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2001824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001856 */     // MIs[0] round
     /* 2001856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001859 */     // MIs[0] policy
     /* 2001859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001869 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2001872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001895 */     // GIR_Coverage, 16754,
     /* 2001895 */     GIR_EraseRootFromParent_Done,
     /* 2001896 */   // Label 26630: @2001896
     /* 2001896 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(2001987), // Rule ID 16755 //
     /* 2001901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2001909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2001912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2001915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001947 */     // MIs[0] round
     /* 2001947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001950 */     // MIs[0] policy
     /* 2001950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2001963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001986 */     // GIR_Coverage, 16755,
     /* 2001986 */     GIR_EraseRootFromParent_Done,
     /* 2001987 */   // Label 26631: @2001987
     /* 2001987 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(2002078), // Rule ID 16758 //
     /* 2001992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2002003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2002006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002038 */     // MIs[0] round
     /* 2002038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002041 */     // MIs[0] policy
     /* 2002041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002051 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2002054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002077 */     // GIR_Coverage, 16758,
     /* 2002077 */     GIR_EraseRootFromParent_Done,
     /* 2002078 */   // Label 26632: @2002078
     /* 2002078 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(2002169), // Rule ID 16759 //
     /* 2002083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2002094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2002097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2002100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002129 */     // MIs[0] round
     /* 2002129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002132 */     // MIs[0] policy
     /* 2002132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002142 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2002145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002168 */     // GIR_Coverage, 16759,
     /* 2002168 */     GIR_EraseRootFromParent_Done,
     /* 2002169 */   // Label 26633: @2002169
     /* 2002169 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(2002260), // Rule ID 16762 //
     /* 2002174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2002177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2002185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2002188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002220 */     // MIs[0] round
     /* 2002220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002223 */     // MIs[0] policy
     /* 2002223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2002236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002259 */     // GIR_Coverage, 16762,
     /* 2002259 */     GIR_EraseRootFromParent_Done,
     /* 2002260 */   // Label 26634: @2002260
     /* 2002260 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(2002351), // Rule ID 16763 //
     /* 2002265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2002276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2002279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002311 */     // MIs[0] round
     /* 2002311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002314 */     // MIs[0] policy
     /* 2002314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002324 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2002327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002350 */     // GIR_Coverage, 16763,
     /* 2002350 */     GIR_EraseRootFromParent_Done,
     /* 2002351 */   // Label 26635: @2002351
     /* 2002351 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(2002442), // Rule ID 16766 //
     /* 2002356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002402 */     // MIs[0] round
     /* 2002402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002405 */     // MIs[0] policy
     /* 2002405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002415 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2002418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002441 */     // GIR_Coverage, 16766,
     /* 2002441 */     GIR_EraseRootFromParent_Done,
     /* 2002442 */   // Label 26636: @2002442
     /* 2002442 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(2002533), // Rule ID 16767 //
     /* 2002447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002493 */     // MIs[0] round
     /* 2002493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002496 */     // MIs[0] policy
     /* 2002496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002506 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2002509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002532 */     // GIR_Coverage, 16767,
     /* 2002532 */     GIR_EraseRootFromParent_Done,
     /* 2002533 */   // Label 26637: @2002533
     /* 2002533 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(2002624), // Rule ID 16770 //
     /* 2002538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002584 */     // MIs[0] round
     /* 2002584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002587 */     // MIs[0] policy
     /* 2002587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002597 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2002600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002623 */     // GIR_Coverage, 16770,
     /* 2002623 */     GIR_EraseRootFromParent_Done,
     /* 2002624 */   // Label 26638: @2002624
     /* 2002624 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(2002715), // Rule ID 16771 //
     /* 2002629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002675 */     // MIs[0] round
     /* 2002675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002678 */     // MIs[0] policy
     /* 2002678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002688 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2002691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002714 */     // GIR_Coverage, 16771,
     /* 2002714 */     GIR_EraseRootFromParent_Done,
     /* 2002715 */   // Label 26639: @2002715
     /* 2002715 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(2002806), // Rule ID 16774 //
     /* 2002720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002766 */     // MIs[0] round
     /* 2002766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002769 */     // MIs[0] policy
     /* 2002769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002779 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2002782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002805 */     // GIR_Coverage, 16774,
     /* 2002805 */     GIR_EraseRootFromParent_Done,
     /* 2002806 */   // Label 26640: @2002806
     /* 2002806 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(2002897), // Rule ID 16775 //
     /* 2002811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002857 */     // MIs[0] round
     /* 2002857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002860 */     // MIs[0] policy
     /* 2002860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002870 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2002873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002896 */     // GIR_Coverage, 16775,
     /* 2002896 */     GIR_EraseRootFromParent_Done,
     /* 2002897 */   // Label 26641: @2002897
     /* 2002897 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(2002988), // Rule ID 16778 //
     /* 2002902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2002905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2002910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2002913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2002916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2002919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2002944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002948 */     // MIs[0] round
     /* 2002948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002951 */     // MIs[0] policy
     /* 2002951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002961 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2002964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002987 */     // GIR_Coverage, 16778,
     /* 2002987 */     GIR_EraseRootFromParent_Done,
     /* 2002988 */   // Label 26642: @2002988
     /* 2002988 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(2003079), // Rule ID 16779 //
     /* 2002993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2002996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2003001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2003004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2003007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2003010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2003023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003039 */     // MIs[0] round
     /* 2003039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003042 */     // MIs[0] policy
     /* 2003042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2003055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003078 */     // GIR_Coverage, 16779,
     /* 2003078 */     GIR_EraseRootFromParent_Done,
     /* 2003079 */   // Label 26643: @2003079
     /* 2003079 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(2003170), // Rule ID 16782 //
     /* 2003084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2003092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2003095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2003098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003130 */     // MIs[0] round
     /* 2003130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003133 */     // MIs[0] policy
     /* 2003133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003143 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2003146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003169 */     // GIR_Coverage, 16782,
     /* 2003169 */     GIR_EraseRootFromParent_Done,
     /* 2003170 */   // Label 26644: @2003170
     /* 2003170 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(2003261), // Rule ID 16783 //
     /* 2003175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2003183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2003186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2003189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003221 */     // MIs[0] round
     /* 2003221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003224 */     // MIs[0] policy
     /* 2003224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2003237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003260 */     // GIR_Coverage, 16783,
     /* 2003260 */     GIR_EraseRootFromParent_Done,
     /* 2003261 */   // Label 26645: @2003261
     /* 2003261 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(2003352), // Rule ID 16786 //
     /* 2003266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2003274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003312 */     // MIs[0] round
     /* 2003312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003315 */     // MIs[0] policy
     /* 2003315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003325 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2003328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003351 */     // GIR_Coverage, 16786,
     /* 2003351 */     GIR_EraseRootFromParent_Done,
     /* 2003352 */   // Label 26646: @2003352
     /* 2003352 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(2003443), // Rule ID 16787 //
     /* 2003357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2003365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003403 */     // MIs[0] round
     /* 2003403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003406 */     // MIs[0] policy
     /* 2003406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2003419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003442 */     // GIR_Coverage, 16787,
     /* 2003442 */     GIR_EraseRootFromParent_Done,
     /* 2003443 */   // Label 26647: @2003443
     /* 2003443 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(2003534), // Rule ID 16790 //
     /* 2003448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2003468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2003490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003494 */     // MIs[0] round
     /* 2003494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003497 */     // MIs[0] policy
     /* 2003497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003507 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2003510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003533 */     // GIR_Coverage, 16790,
     /* 2003533 */     GIR_EraseRootFromParent_Done,
     /* 2003534 */   // Label 26648: @2003534
     /* 2003534 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(2003625), // Rule ID 16791 //
     /* 2003539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2003559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2003581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003585 */     // MIs[0] round
     /* 2003585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003588 */     // MIs[0] policy
     /* 2003588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2003601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003624 */     // GIR_Coverage, 16791,
     /* 2003624 */     GIR_EraseRootFromParent_Done,
     /* 2003625 */   // Label 26649: @2003625
     /* 2003625 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(2003716), // Rule ID 16794 //
     /* 2003630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2003650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2003672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003676 */     // MIs[0] round
     /* 2003676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003679 */     // MIs[0] policy
     /* 2003679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003689 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2003692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003715 */     // GIR_Coverage, 16794,
     /* 2003715 */     GIR_EraseRootFromParent_Done,
     /* 2003716 */   // Label 26650: @2003716
     /* 2003716 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(2003807), // Rule ID 16795 //
     /* 2003721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2003724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2003741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2003763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003767 */     // MIs[0] round
     /* 2003767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003770 */     // MIs[0] policy
     /* 2003770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003780 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2003783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003806 */     // GIR_Coverage, 16795,
     /* 2003806 */     GIR_EraseRootFromParent_Done,
     /* 2003807 */   // Label 26651: @2003807
     /* 2003807 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(2003898), // Rule ID 16798 //
     /* 2003812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2003815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2003854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003858 */     // MIs[0] round
     /* 2003858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003861 */     // MIs[0] policy
     /* 2003861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2003874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003897 */     // GIR_Coverage, 16798,
     /* 2003897 */     GIR_EraseRootFromParent_Done,
     /* 2003898 */   // Label 26652: @2003898
     /* 2003898 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(2003989), // Rule ID 16799 //
     /* 2003903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2003906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2003911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2003945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003949 */     // MIs[0] round
     /* 2003949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003952 */     // MIs[0] policy
     /* 2003952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003962 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2003965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003988 */     // GIR_Coverage, 16799,
     /* 2003988 */     GIR_EraseRootFromParent_Done,
     /* 2003989 */   // Label 26653: @2003989
     /* 2003989 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(2004080), // Rule ID 16802 //
     /* 2003994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2003997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004040 */     // MIs[0] round
     /* 2004040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004043 */     // MIs[0] policy
     /* 2004043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2004056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004079 */     // GIR_Coverage, 16802,
     /* 2004079 */     GIR_EraseRootFromParent_Done,
     /* 2004080 */   // Label 26654: @2004080
     /* 2004080 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(2004171), // Rule ID 16803 //
     /* 2004085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004131 */     // MIs[0] round
     /* 2004131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004134 */     // MIs[0] policy
     /* 2004134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10916:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2004147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004170 */     // GIR_Coverage, 16803,
     /* 2004170 */     GIR_EraseRootFromParent_Done,
     /* 2004171 */   // Label 26655: @2004171
     /* 2004171 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(2004262), // Rule ID 16806 //
     /* 2004176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2004179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2004218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004222 */     // MIs[0] round
     /* 2004222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004225 */     // MIs[0] policy
     /* 2004225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004235 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2004238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004261 */     // GIR_Coverage, 16806,
     /* 2004261 */     GIR_EraseRootFromParent_Done,
     /* 2004262 */   // Label 26656: @2004262
     /* 2004262 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(2004353), // Rule ID 16807 //
     /* 2004267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2004270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2004309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004313 */     // MIs[0] round
     /* 2004313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004316 */     // MIs[0] policy
     /* 2004316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2004329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004352 */     // GIR_Coverage, 16807,
     /* 2004352 */     GIR_EraseRootFromParent_Done,
     /* 2004353 */   // Label 26657: @2004353
     /* 2004353 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(2004444), // Rule ID 16810 //
     /* 2004358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2004361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2004400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004404 */     // MIs[0] round
     /* 2004404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004407 */     // MIs[0] policy
     /* 2004407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004417 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2004420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004443 */     // GIR_Coverage, 16810,
     /* 2004443 */     GIR_EraseRootFromParent_Done,
     /* 2004444 */   // Label 26658: @2004444
     /* 2004444 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(2004535), // Rule ID 16811 //
     /* 2004449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2004452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2004491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004495 */     // MIs[0] round
     /* 2004495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004498 */     // MIs[0] policy
     /* 2004498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2004511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004534 */     // GIR_Coverage, 16811,
     /* 2004534 */     GIR_EraseRootFromParent_Done,
     /* 2004535 */   // Label 26659: @2004535
     /* 2004535 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(2004626), // Rule ID 16814 //
     /* 2004540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2004551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2004554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2004557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004586 */     // MIs[0] round
     /* 2004586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004589 */     // MIs[0] policy
     /* 2004589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004599 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2004602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004625 */     // GIR_Coverage, 16814,
     /* 2004625 */     GIR_EraseRootFromParent_Done,
     /* 2004626 */   // Label 26660: @2004626
     /* 2004626 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(2004717), // Rule ID 16815 //
     /* 2004631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2004642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2004645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2004648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004677 */     // MIs[0] round
     /* 2004677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004680 */     // MIs[0] policy
     /* 2004680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004690 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2004693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004716 */     // GIR_Coverage, 16815,
     /* 2004716 */     GIR_EraseRootFromParent_Done,
     /* 2004717 */   // Label 26661: @2004717
     /* 2004717 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(2004808), // Rule ID 16818 //
     /* 2004722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2004733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2004736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2004739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004768 */     // MIs[0] round
     /* 2004768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004771 */     // MIs[0] policy
     /* 2004771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004781 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2004784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004807 */     // GIR_Coverage, 16818,
     /* 2004807 */     GIR_EraseRootFromParent_Done,
     /* 2004808 */   // Label 26662: @2004808
     /* 2004808 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(2004899), // Rule ID 16819 //
     /* 2004813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2004824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2004827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2004830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004859 */     // MIs[0] round
     /* 2004859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004862 */     // MIs[0] policy
     /* 2004862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004872 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2004875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004898 */     // GIR_Coverage, 16819,
     /* 2004898 */     GIR_EraseRootFromParent_Done,
     /* 2004899 */   // Label 26663: @2004899
     /* 2004899 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(2004990), // Rule ID 16822 //
     /* 2004904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2004907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2004912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2004915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2004918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2004921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2004924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2004946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004950 */     // MIs[0] round
     /* 2004950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004953 */     // MIs[0] policy
     /* 2004953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004963 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2004966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004989 */     // GIR_Coverage, 16822,
     /* 2004989 */     GIR_EraseRootFromParent_Done,
     /* 2004990 */   // Label 26664: @2004990
     /* 2004990 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(2005081), // Rule ID 16823 //
     /* 2004995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2004998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2005006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2005009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2005015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2005037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005041 */     // MIs[0] round
     /* 2005041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005044 */     // MIs[0] policy
     /* 2005044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2005057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005080 */     // GIR_Coverage, 16823,
     /* 2005080 */     GIR_EraseRootFromParent_Done,
     /* 2005081 */   // Label 26665: @2005081
     /* 2005081 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(2005172), // Rule ID 16826 //
     /* 2005086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005132 */     // MIs[0] round
     /* 2005132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005135 */     // MIs[0] policy
     /* 2005135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005145 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2005148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005171 */     // GIR_Coverage, 16826,
     /* 2005171 */     GIR_EraseRootFromParent_Done,
     /* 2005172 */   // Label 26666: @2005172
     /* 2005172 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(2005263), // Rule ID 16827 //
     /* 2005177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005223 */     // MIs[0] round
     /* 2005223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005226 */     // MIs[0] policy
     /* 2005226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2005239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005262 */     // GIR_Coverage, 16827,
     /* 2005262 */     GIR_EraseRootFromParent_Done,
     /* 2005263 */   // Label 26667: @2005263
     /* 2005263 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(2005354), // Rule ID 16830 //
     /* 2005268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2005285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005314 */     // MIs[0] round
     /* 2005314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005317 */     // MIs[0] policy
     /* 2005317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005327 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2005330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005353 */     // GIR_Coverage, 16830,
     /* 2005353 */     GIR_EraseRootFromParent_Done,
     /* 2005354 */   // Label 26668: @2005354
     /* 2005354 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(2005445), // Rule ID 16831 //
     /* 2005359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2005376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005405 */     // MIs[0] round
     /* 2005405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005408 */     // MIs[0] policy
     /* 2005408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005418 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2005421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005444 */     // GIR_Coverage, 16831,
     /* 2005444 */     GIR_EraseRootFromParent_Done,
     /* 2005445 */   // Label 26669: @2005445
     /* 2005445 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(2005536), // Rule ID 16834 //
     /* 2005450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2005453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2005467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005496 */     // MIs[0] round
     /* 2005496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005499 */     // MIs[0] policy
     /* 2005499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005509 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2005512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005535 */     // GIR_Coverage, 16834,
     /* 2005535 */     GIR_EraseRootFromParent_Done,
     /* 2005536 */   // Label 26670: @2005536
     /* 2005536 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(2005627), // Rule ID 16835 //
     /* 2005541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2005544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2005558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2005583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005587 */     // MIs[0] round
     /* 2005587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005590 */     // MIs[0] policy
     /* 2005590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005600 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2005603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005626 */     // GIR_Coverage, 16835,
     /* 2005626 */     GIR_EraseRootFromParent_Done,
     /* 2005627 */   // Label 26671: @2005627
     /* 2005627 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(2005718), // Rule ID 16838 //
     /* 2005632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2005635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2005643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2005646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2005649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2005674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005678 */     // MIs[0] round
     /* 2005678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005681 */     // MIs[0] policy
     /* 2005681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005691 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2005694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005717 */     // GIR_Coverage, 16838,
     /* 2005717 */     GIR_EraseRootFromParent_Done,
     /* 2005718 */   // Label 26672: @2005718
     /* 2005718 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(2005809), // Rule ID 16839 //
     /* 2005723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2005726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2005734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2005737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2005740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2005765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005769 */     // MIs[0] round
     /* 2005769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005772 */     // MIs[0] policy
     /* 2005772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2005785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005808 */     // GIR_Coverage, 16839,
     /* 2005808 */     GIR_EraseRootFromParent_Done,
     /* 2005809 */   // Label 26673: @2005809
     /* 2005809 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(2005900), // Rule ID 16842 //
     /* 2005814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2005817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2005825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2005828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2005831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2005856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005860 */     // MIs[0] round
     /* 2005860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005863 */     // MIs[0] policy
     /* 2005863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005873 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2005876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005899 */     // GIR_Coverage, 16842,
     /* 2005899 */     GIR_EraseRootFromParent_Done,
     /* 2005900 */   // Label 26674: @2005900
     /* 2005900 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(2005991), // Rule ID 16843 //
     /* 2005905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2005908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2005913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2005916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2005919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2005922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2005947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005951 */     // MIs[0] round
     /* 2005951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005954 */     // MIs[0] policy
     /* 2005954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005964 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2005967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005990 */     // GIR_Coverage, 16843,
     /* 2005990 */     GIR_EraseRootFromParent_Done,
     /* 2005991 */   // Label 26675: @2005991
     /* 2005991 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(2006082), // Rule ID 16846 //
     /* 2005996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2005999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2006004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2006038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006042 */     // MIs[0] round
     /* 2006042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006045 */     // MIs[0] policy
     /* 2006045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006055 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2006058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006081 */     // GIR_Coverage, 16846,
     /* 2006081 */     GIR_EraseRootFromParent_Done,
     /* 2006082 */   // Label 26676: @2006082
     /* 2006082 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(2006173), // Rule ID 16847 //
     /* 2006087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2006090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2006095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2006129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006133 */     // MIs[0] round
     /* 2006133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006136 */     // MIs[0] policy
     /* 2006136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006146 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2006149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006172 */     // GIR_Coverage, 16847,
     /* 2006172 */     GIR_EraseRootFromParent_Done,
     /* 2006173 */   // Label 26677: @2006173
     /* 2006173 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(2006264), // Rule ID 16850 //
     /* 2006178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2006181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2006189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2006192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2006198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006224 */     // MIs[0] round
     /* 2006224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006227 */     // MIs[0] policy
     /* 2006227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006237 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2006240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006263 */     // GIR_Coverage, 16850,
     /* 2006263 */     GIR_EraseRootFromParent_Done,
     /* 2006264 */   // Label 26678: @2006264
     /* 2006264 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(2006355), // Rule ID 16851 //
     /* 2006269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2006272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2006280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2006283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2006289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006315 */     // MIs[0] round
     /* 2006315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006318 */     // MIs[0] policy
     /* 2006318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006328 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2006331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006354 */     // GIR_Coverage, 16851,
     /* 2006354 */     GIR_EraseRootFromParent_Done,
     /* 2006355 */   // Label 26679: @2006355
     /* 2006355 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(2006446), // Rule ID 16854 //
     /* 2006360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2006363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2006380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006406 */     // MIs[0] round
     /* 2006406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006409 */     // MIs[0] policy
     /* 2006409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006419 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2006422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006445 */     // GIR_Coverage, 16854,
     /* 2006445 */     GIR_EraseRootFromParent_Done,
     /* 2006446 */   // Label 26680: @2006446
     /* 2006446 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(2006537), // Rule ID 16855 //
     /* 2006451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2006454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2006468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2006471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006497 */     // MIs[0] round
     /* 2006497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006500 */     // MIs[0] policy
     /* 2006500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006510 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2006513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006536 */     // GIR_Coverage, 16855,
     /* 2006536 */     GIR_EraseRootFromParent_Done,
     /* 2006537 */   // Label 26681: @2006537
     /* 2006537 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(2006628), // Rule ID 16858 //
     /* 2006542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2006545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2006559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006588 */     // MIs[0] round
     /* 2006588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006591 */     // MIs[0] policy
     /* 2006591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006601 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2006604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006627 */     // GIR_Coverage, 16858,
     /* 2006627 */     GIR_EraseRootFromParent_Done,
     /* 2006628 */   // Label 26682: @2006628
     /* 2006628 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(2006719), // Rule ID 16859 //
     /* 2006633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2006636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2006650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006679 */     // MIs[0] round
     /* 2006679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006682 */     // MIs[0] policy
     /* 2006682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006692 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2006695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006718 */     // GIR_Coverage, 16859,
     /* 2006718 */     GIR_EraseRootFromParent_Done,
     /* 2006719 */   // Label 26683: @2006719
     /* 2006719 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(2006810), // Rule ID 16862 //
     /* 2006724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2006727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2006744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006770 */     // MIs[0] round
     /* 2006770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006773 */     // MIs[0] policy
     /* 2006773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006783 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2006786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006809 */     // GIR_Coverage, 16862,
     /* 2006809 */     GIR_EraseRootFromParent_Done,
     /* 2006810 */   // Label 26684: @2006810
     /* 2006810 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(2006901), // Rule ID 16863 //
     /* 2006815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2006818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2006835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006861 */     // MIs[0] round
     /* 2006861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006864 */     // MIs[0] policy
     /* 2006864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006874 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2006877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006900 */     // GIR_Coverage, 16863,
     /* 2006900 */     GIR_EraseRootFromParent_Done,
     /* 2006901 */   // Label 26685: @2006901
     /* 2006901 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(2006992), // Rule ID 16866 //
     /* 2006906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2006909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2006914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2006926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006952 */     // MIs[0] round
     /* 2006952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006955 */     // MIs[0] policy
     /* 2006955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006965 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2006968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006991 */     // GIR_Coverage, 16866,
     /* 2006991 */     GIR_EraseRootFromParent_Done,
     /* 2006992 */   // Label 26686: @2006992
     /* 2006992 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(2007083), // Rule ID 16867 //
     /* 2006997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2007000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2007017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007043 */     // MIs[0] round
     /* 2007043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007046 */     // MIs[0] policy
     /* 2007046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2007059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007082 */     // GIR_Coverage, 16867,
     /* 2007082 */     GIR_EraseRootFromParent_Done,
     /* 2007083 */   // Label 26687: @2007083
     /* 2007083 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(2007174), // Rule ID 16870 //
     /* 2007088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2007091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2007105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2007108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007134 */     // MIs[0] round
     /* 2007134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007137 */     // MIs[0] policy
     /* 2007137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007147 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2007150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007173 */     // GIR_Coverage, 16870,
     /* 2007173 */     GIR_EraseRootFromParent_Done,
     /* 2007174 */   // Label 26688: @2007174
     /* 2007174 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(2007265), // Rule ID 16871 //
     /* 2007179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2007182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2007190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2007193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2007196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2007199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007225 */     // MIs[0] round
     /* 2007225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007228 */     // MIs[0] policy
     /* 2007228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007238 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2007241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007264 */     // GIR_Coverage, 16871,
     /* 2007264 */     GIR_EraseRootFromParent_Done,
     /* 2007265 */   // Label 26689: @2007265
     /* 2007265 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(2007356), // Rule ID 16874 //
     /* 2007270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2007273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007316 */     // MIs[0] round
     /* 2007316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007319 */     // MIs[0] policy
     /* 2007319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007329 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2007332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007355 */     // GIR_Coverage, 16874,
     /* 2007355 */     GIR_EraseRootFromParent_Done,
     /* 2007356 */   // Label 26690: @2007356
     /* 2007356 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(2007447), // Rule ID 16875 //
     /* 2007361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2007364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2007378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2007381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007407 */     // MIs[0] round
     /* 2007407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007410 */     // MIs[0] policy
     /* 2007410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2007423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007446 */     // GIR_Coverage, 16875,
     /* 2007446 */     GIR_EraseRootFromParent_Done,
     /* 2007447 */   // Label 26691: @2007447
     /* 2007447 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(2007538), // Rule ID 16878 //
     /* 2007452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2007455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2007472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007498 */     // MIs[0] round
     /* 2007498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007501 */     // MIs[0] policy
     /* 2007501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007511 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2007514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007537 */     // GIR_Coverage, 16878,
     /* 2007537 */     GIR_EraseRootFromParent_Done,
     /* 2007538 */   // Label 26692: @2007538
     /* 2007538 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(2007629), // Rule ID 16879 //
     /* 2007543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2007546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2007560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2007563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007589 */     // MIs[0] round
     /* 2007589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007592 */     // MIs[0] policy
     /* 2007592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2007605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007628 */     // GIR_Coverage, 16879,
     /* 2007628 */     GIR_EraseRootFromParent_Done,
     /* 2007629 */   // Label 26693: @2007629
     /* 2007629 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(2007720), // Rule ID 16882 //
     /* 2007634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2007637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2007654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007680 */     // MIs[0] round
     /* 2007680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007683 */     // MIs[0] policy
     /* 2007683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007693 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2007696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007719 */     // GIR_Coverage, 16882,
     /* 2007719 */     GIR_EraseRootFromParent_Done,
     /* 2007720 */   // Label 26694: @2007720
     /* 2007720 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(2007811), // Rule ID 16883 //
     /* 2007725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2007728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2007745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007771 */     // MIs[0] round
     /* 2007771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007774 */     // MIs[0] policy
     /* 2007774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007784 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2007787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007810 */     // GIR_Coverage, 16883,
     /* 2007810 */     GIR_EraseRootFromParent_Done,
     /* 2007811 */   // Label 26695: @2007811
     /* 2007811 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(2007902), // Rule ID 16886 //
     /* 2007816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2007819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2007827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2007830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2007833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2007836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2007858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007862 */     // MIs[0] round
     /* 2007862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007865 */     // MIs[0] policy
     /* 2007865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007875 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2007878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007901 */     // GIR_Coverage, 16886,
     /* 2007901 */     GIR_EraseRootFromParent_Done,
     /* 2007902 */   // Label 26696: @2007902
     /* 2007902 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(2007993), // Rule ID 16887 //
     /* 2007907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2007910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2007915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2007918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2007921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2007924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2007927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2007949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007953 */     // MIs[0] round
     /* 2007953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007956 */     // MIs[0] policy
     /* 2007956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007966 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2007969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007992 */     // GIR_Coverage, 16887,
     /* 2007992 */     GIR_EraseRootFromParent_Done,
     /* 2007993 */   // Label 26697: @2007993
     /* 2007993 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(2008084), // Rule ID 16890 //
     /* 2007998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2008001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008044 */     // MIs[0] round
     /* 2008044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008047 */     // MIs[0] policy
     /* 2008047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2008060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008083 */     // GIR_Coverage, 16890,
     /* 2008083 */     GIR_EraseRootFromParent_Done,
     /* 2008084 */   // Label 26698: @2008084
     /* 2008084 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(2008175), // Rule ID 16891 //
     /* 2008089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2008092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008135 */     // MIs[0] round
     /* 2008135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008138 */     // MIs[0] policy
     /* 2008138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10932:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2008151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008174 */     // GIR_Coverage, 16891,
     /* 2008174 */     GIR_EraseRootFromParent_Done,
     /* 2008175 */   // Label 26699: @2008175
     /* 2008175 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(2008266), // Rule ID 16894 //
     /* 2008180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2008183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2008191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2008194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008226 */     // MIs[0] round
     /* 2008226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008229 */     // MIs[0] policy
     /* 2008229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2008242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008265 */     // GIR_Coverage, 16894,
     /* 2008265 */     GIR_EraseRootFromParent_Done,
     /* 2008266 */   // Label 26700: @2008266
     /* 2008266 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(2008357), // Rule ID 16895 //
     /* 2008271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2008274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2008282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2008285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008317 */     // MIs[0] round
     /* 2008317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008320 */     // MIs[0] policy
     /* 2008320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2008333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008356 */     // GIR_Coverage, 16895,
     /* 2008356 */     GIR_EraseRootFromParent_Done,
     /* 2008357 */   // Label 26701: @2008357
     /* 2008357 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(2008448), // Rule ID 16898 //
     /* 2008362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2008365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2008373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2008376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2008379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008408 */     // MIs[0] round
     /* 2008408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008411 */     // MIs[0] policy
     /* 2008411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2008424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008447 */     // GIR_Coverage, 16898,
     /* 2008447 */     GIR_EraseRootFromParent_Done,
     /* 2008448 */   // Label 26702: @2008448
     /* 2008448 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(2008539), // Rule ID 16899 //
     /* 2008453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2008456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2008464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2008467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2008470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008499 */     // MIs[0] round
     /* 2008499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008502 */     // MIs[0] policy
     /* 2008502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008512 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2008515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008538 */     // GIR_Coverage, 16899,
     /* 2008538 */     GIR_EraseRootFromParent_Done,
     /* 2008539 */   // Label 26703: @2008539
     /* 2008539 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(2008630), // Rule ID 16902 //
     /* 2008544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2008547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2008561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008590 */     // MIs[0] round
     /* 2008590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008593 */     // MIs[0] policy
     /* 2008593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2008606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008629 */     // GIR_Coverage, 16902,
     /* 2008629 */     GIR_EraseRootFromParent_Done,
     /* 2008630 */   // Label 26704: @2008630
     /* 2008630 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(2008721), // Rule ID 16903 //
     /* 2008635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2008638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2008652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2008655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2008677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008681 */     // MIs[0] round
     /* 2008681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008684 */     // MIs[0] policy
     /* 2008684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2008697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008720 */     // GIR_Coverage, 16903,
     /* 2008720 */     GIR_EraseRootFromParent_Done,
     /* 2008721 */   // Label 26705: @2008721
     /* 2008721 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(2008812), // Rule ID 16906 //
     /* 2008726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2008729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2008768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008772 */     // MIs[0] round
     /* 2008772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008775 */     // MIs[0] policy
     /* 2008775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008785 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2008788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008811 */     // GIR_Coverage, 16906,
     /* 2008811 */     GIR_EraseRootFromParent_Done,
     /* 2008812 */   // Label 26706: @2008812
     /* 2008812 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(2008903), // Rule ID 16907 //
     /* 2008817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2008820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2008859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008863 */     // MIs[0] round
     /* 2008863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008866 */     // MIs[0] policy
     /* 2008866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10932:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2008879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008902 */     // GIR_Coverage, 16907,
     /* 2008902 */     GIR_EraseRootFromParent_Done,
     /* 2008903 */   // Label 26707: @2008903
     /* 2008903 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(2008994), // Rule ID 16910 //
     /* 2008908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2008911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2008916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2008925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2008950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008954 */     // MIs[0] round
     /* 2008954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008957 */     // MIs[0] policy
     /* 2008957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008967 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2008970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008993 */     // GIR_Coverage, 16910,
     /* 2008993 */     GIR_EraseRootFromParent_Done,
     /* 2008994 */   // Label 26708: @2008994
     /* 2008994 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(2009085), // Rule ID 16911 //
     /* 2008999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2009002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2009007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2009010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2009013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2009041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009045 */     // MIs[0] round
     /* 2009045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009048 */     // MIs[0] policy
     /* 2009048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009058 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10932:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2009061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009084 */     // GIR_Coverage, 16911,
     /* 2009084 */     GIR_EraseRootFromParent_Done,
     /* 2009085 */   // Label 26709: @2009085
     /* 2009085 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(2009176), // Rule ID 16914 //
     /* 2009090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2009093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2009098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2009101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2009104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2009107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2009132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009136 */     // MIs[0] round
     /* 2009136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009139 */     // MIs[0] policy
     /* 2009139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009149 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2009152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009175 */     // GIR_Coverage, 16914,
     /* 2009175 */     GIR_EraseRootFromParent_Done,
     /* 2009176 */   // Label 26710: @2009176
     /* 2009176 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(2009267), // Rule ID 16915 //
     /* 2009181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2009184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2009189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2009192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2009195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2009198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2009223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009227 */     // MIs[0] round
     /* 2009227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009230 */     // MIs[0] policy
     /* 2009230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10932:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2009243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009266 */     // GIR_Coverage, 16915,
     /* 2009266 */     GIR_EraseRootFromParent_Done,
     /* 2009267 */   // Label 26711: @2009267
     /* 2009267 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(2009358), // Rule ID 16918 //
     /* 2009272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2009275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2009280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2009283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2009286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2009289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2009314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009318 */     // MIs[0] round
     /* 2009318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009321 */     // MIs[0] policy
     /* 2009321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009331 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2009334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009357 */     // GIR_Coverage, 16918,
     /* 2009357 */     GIR_EraseRootFromParent_Done,
     /* 2009358 */   // Label 26712: @2009358
     /* 2009358 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(2009449), // Rule ID 16919 //
     /* 2009363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2009366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2009371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2009374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2009377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2009380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2009405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009409 */     // MIs[0] round
     /* 2009409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009412 */     // MIs[0] policy
     /* 2009412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009422 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10932:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2009425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009448 */     // GIR_Coverage, 16919,
     /* 2009448 */     GIR_EraseRootFromParent_Done,
     /* 2009449 */   // Label 26713: @2009449
     /* 2009449 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(2009540), // Rule ID 16922 //
     /* 2009454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2009457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2009474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009500 */     // MIs[0] round
     /* 2009500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009503 */     // MIs[0] policy
     /* 2009503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009513 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2009516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009539 */     // GIR_Coverage, 16922,
     /* 2009539 */     GIR_EraseRootFromParent_Done,
     /* 2009540 */   // Label 26714: @2009540
     /* 2009540 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(2009631), // Rule ID 16923 //
     /* 2009545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2009548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2009562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2009565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009591 */     // MIs[0] round
     /* 2009591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009594 */     // MIs[0] policy
     /* 2009594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2009607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009630 */     // GIR_Coverage, 16923,
     /* 2009630 */     GIR_EraseRootFromParent_Done,
     /* 2009631 */   // Label 26715: @2009631
     /* 2009631 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(2009722), // Rule ID 16926 //
     /* 2009636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2009639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2009656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009682 */     // MIs[0] round
     /* 2009682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009685 */     // MIs[0] policy
     /* 2009685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009695 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2009698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009721 */     // GIR_Coverage, 16926,
     /* 2009721 */     GIR_EraseRootFromParent_Done,
     /* 2009722 */   // Label 26716: @2009722
     /* 2009722 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(2009813), // Rule ID 16927 //
     /* 2009727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2009730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2009744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2009747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009773 */     // MIs[0] round
     /* 2009773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009776 */     // MIs[0] policy
     /* 2009776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009786 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2009789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009812 */     // GIR_Coverage, 16927,
     /* 2009812 */     GIR_EraseRootFromParent_Done,
     /* 2009813 */   // Label 26717: @2009813
     /* 2009813 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(2009904), // Rule ID 16930 //
     /* 2009818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2009821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009864 */     // MIs[0] round
     /* 2009864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009867 */     // MIs[0] policy
     /* 2009867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2009880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009903 */     // GIR_Coverage, 16930,
     /* 2009903 */     GIR_EraseRootFromParent_Done,
     /* 2009904 */   // Label 26718: @2009904
     /* 2009904 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(2009995), // Rule ID 16931 //
     /* 2009909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2009912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2009917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009955 */     // MIs[0] round
     /* 2009955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009958 */     // MIs[0] policy
     /* 2009958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2009971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009994 */     // GIR_Coverage, 16931,
     /* 2009994 */     GIR_EraseRootFromParent_Done,
     /* 2009995 */   // Label 26719: @2009995
     /* 2009995 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(2010086), // Rule ID 16934 //
     /* 2010000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2010003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2010011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2010014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2010020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010046 */     // MIs[0] round
     /* 2010046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010049 */     // MIs[0] policy
     /* 2010049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010059 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2010062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010085 */     // GIR_Coverage, 16934,
     /* 2010085 */     GIR_EraseRootFromParent_Done,
     /* 2010086 */   // Label 26720: @2010086
     /* 2010086 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(2010177), // Rule ID 16935 //
     /* 2010091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2010094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2010102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2010105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2010111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010137 */     // MIs[0] round
     /* 2010137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010140 */     // MIs[0] policy
     /* 2010140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010150 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2010153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010176 */     // GIR_Coverage, 16935,
     /* 2010176 */     GIR_EraseRootFromParent_Done,
     /* 2010177 */   // Label 26721: @2010177
     /* 2010177 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(2010268), // Rule ID 16938 //
     /* 2010182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2010185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2010193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2010196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2010202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010228 */     // MIs[0] round
     /* 2010228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010231 */     // MIs[0] policy
     /* 2010231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010241 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2010244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010267 */     // GIR_Coverage, 16938,
     /* 2010267 */     GIR_EraseRootFromParent_Done,
     /* 2010268 */   // Label 26722: @2010268
     /* 2010268 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(2010359), // Rule ID 16939 //
     /* 2010273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2010276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2010284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2010287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2010293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010319 */     // MIs[0] round
     /* 2010319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010322 */     // MIs[0] policy
     /* 2010322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010332 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2010335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010358 */     // GIR_Coverage, 16939,
     /* 2010358 */     GIR_EraseRootFromParent_Done,
     /* 2010359 */   // Label 26723: @2010359
     /* 2010359 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(2010450), // Rule ID 16942 //
     /* 2010364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2010367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2010381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2010384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010410 */     // MIs[0] round
     /* 2010410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010413 */     // MIs[0] policy
     /* 2010413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010423 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2010426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010449 */     // GIR_Coverage, 16942,
     /* 2010449 */     GIR_EraseRootFromParent_Done,
     /* 2010450 */   // Label 26724: @2010450
     /* 2010450 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(2010541), // Rule ID 16943 //
     /* 2010455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2010458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2010472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2010475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010501 */     // MIs[0] round
     /* 2010501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010504 */     // MIs[0] policy
     /* 2010504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2010517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010540 */     // GIR_Coverage, 16943,
     /* 2010540 */     GIR_EraseRootFromParent_Done,
     /* 2010541 */   // Label 26725: @2010541
     /* 2010541 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2010632), // Rule ID 16946 //
     /* 2010546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2010549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2010557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2010560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010592 */     // MIs[0] round
     /* 2010592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010595 */     // MIs[0] policy
     /* 2010595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010605 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2010608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010631 */     // GIR_Coverage, 16946,
     /* 2010631 */     GIR_EraseRootFromParent_Done,
     /* 2010632 */   // Label 26726: @2010632
     /* 2010632 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2010723), // Rule ID 16947 //
     /* 2010637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2010640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2010648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2010651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2010654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010683 */     // MIs[0] round
     /* 2010683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010686 */     // MIs[0] policy
     /* 2010686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2010699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010722 */     // GIR_Coverage, 16947,
     /* 2010722 */     GIR_EraseRootFromParent_Done,
     /* 2010723 */   // Label 26727: @2010723
     /* 2010723 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2010814), // Rule ID 16950 //
     /* 2010728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2010731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2010739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2010742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2010748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010774 */     // MIs[0] round
     /* 2010774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010777 */     // MIs[0] policy
     /* 2010777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010787 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2010790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010813 */     // GIR_Coverage, 16950,
     /* 2010813 */     GIR_EraseRootFromParent_Done,
     /* 2010814 */   // Label 26728: @2010814
     /* 2010814 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2010905), // Rule ID 16951 //
     /* 2010819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2010822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2010830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2010833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2010839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010865 */     // MIs[0] round
     /* 2010865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010868 */     // MIs[0] policy
     /* 2010868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010878 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2010881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010904 */     // GIR_Coverage, 16951,
     /* 2010904 */     GIR_EraseRootFromParent_Done,
     /* 2010905 */   // Label 26729: @2010905
     /* 2010905 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2010996), // Rule ID 16954 //
     /* 2010910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2010913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2010918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2010921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2010924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2010930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010956 */     // MIs[0] round
     /* 2010956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010959 */     // MIs[0] policy
     /* 2010959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010969 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2010972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010995 */     // GIR_Coverage, 16954,
     /* 2010995 */     GIR_EraseRootFromParent_Done,
     /* 2010996 */   // Label 26730: @2010996
     /* 2010996 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2011087), // Rule ID 16955 //
     /* 2011001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2011004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2011012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2011015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2011021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011047 */     // MIs[0] round
     /* 2011047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011050 */     // MIs[0] policy
     /* 2011050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011060 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2011063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011086 */     // GIR_Coverage, 16955,
     /* 2011086 */     GIR_EraseRootFromParent_Done,
     /* 2011087 */   // Label 26731: @2011087
     /* 2011087 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2011178), // Rule ID 16958 //
     /* 2011092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2011095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2011103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2011106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011138 */     // MIs[0] round
     /* 2011138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011141 */     // MIs[0] policy
     /* 2011141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011151 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2011154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011177 */     // GIR_Coverage, 16958,
     /* 2011177 */     GIR_EraseRootFromParent_Done,
     /* 2011178 */   // Label 26732: @2011178
     /* 2011178 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2011269), // Rule ID 16959 //
     /* 2011183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2011186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2011194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2011197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011229 */     // MIs[0] round
     /* 2011229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011232 */     // MIs[0] policy
     /* 2011232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011242 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2011245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011268 */     // GIR_Coverage, 16959,
     /* 2011268 */     GIR_EraseRootFromParent_Done,
     /* 2011269 */   // Label 26733: @2011269
     /* 2011269 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2011360), // Rule ID 16962 //
     /* 2011274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2011277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011320 */     // MIs[0] round
     /* 2011320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011323 */     // MIs[0] policy
     /* 2011323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011333 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2011336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011359 */     // GIR_Coverage, 16962,
     /* 2011359 */     GIR_EraseRootFromParent_Done,
     /* 2011360 */   // Label 26734: @2011360
     /* 2011360 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2011451), // Rule ID 16963 //
     /* 2011365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2011368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011411 */     // MIs[0] round
     /* 2011411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011414 */     // MIs[0] policy
     /* 2011414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10968:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2011427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011450 */     // GIR_Coverage, 16963,
     /* 2011450 */     GIR_EraseRootFromParent_Done,
     /* 2011451 */   // Label 26735: @2011451
     /* 2011451 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2011542), // Rule ID 16966 //
     /* 2011456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2011459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2011473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011502 */     // MIs[0] round
     /* 2011502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011505 */     // MIs[0] policy
     /* 2011505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2011518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011541 */     // GIR_Coverage, 16966,
     /* 2011541 */     GIR_EraseRootFromParent_Done,
     /* 2011542 */   // Label 26736: @2011542
     /* 2011542 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2011633), // Rule ID 16967 //
     /* 2011547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2011550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2011564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011593 */     // MIs[0] round
     /* 2011593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011596 */     // MIs[0] policy
     /* 2011596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011606 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2011609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011632 */     // GIR_Coverage, 16967,
     /* 2011632 */     GIR_EraseRootFromParent_Done,
     /* 2011633 */   // Label 26737: @2011633
     /* 2011633 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2011724), // Rule ID 16970 //
     /* 2011638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2011641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011684 */     // MIs[0] round
     /* 2011684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011687 */     // MIs[0] policy
     /* 2011687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011697 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2011700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011723 */     // GIR_Coverage, 16970,
     /* 2011723 */     GIR_EraseRootFromParent_Done,
     /* 2011724 */   // Label 26738: @2011724
     /* 2011724 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2011815), // Rule ID 16971 //
     /* 2011729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2011732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011775 */     // MIs[0] round
     /* 2011775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011778 */     // MIs[0] policy
     /* 2011778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2011791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011814 */     // GIR_Coverage, 16971,
     /* 2011814 */     GIR_EraseRootFromParent_Done,
     /* 2011815 */   // Label 26739: @2011815
     /* 2011815 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2011906), // Rule ID 16974 //
     /* 2011820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2011823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2011831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2011834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011866 */     // MIs[0] round
     /* 2011866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011869 */     // MIs[0] policy
     /* 2011869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011879 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2011882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011905 */     // GIR_Coverage, 16974,
     /* 2011905 */     GIR_EraseRootFromParent_Done,
     /* 2011906 */   // Label 26740: @2011906
     /* 2011906 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2011997), // Rule ID 16975 //
     /* 2011911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2011914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2011919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2011922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2011925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2011931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2011953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011957 */     // MIs[0] round
     /* 2011957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011960 */     // MIs[0] policy
     /* 2011960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011970 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2011973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011996 */     // GIR_Coverage, 16975,
     /* 2011996 */     GIR_EraseRootFromParent_Done,
     /* 2011997 */   // Label 26741: @2011997
     /* 2011997 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2012088), // Rule ID 16978 //
     /* 2012002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2012005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2012019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012048 */     // MIs[0] round
     /* 2012048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012051 */     // MIs[0] policy
     /* 2012051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012061 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2012064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012087 */     // GIR_Coverage, 16978,
     /* 2012087 */     GIR_EraseRootFromParent_Done,
     /* 2012088 */   // Label 26742: @2012088
     /* 2012088 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2012179), // Rule ID 16979 //
     /* 2012093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2012096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2012110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012139 */     // MIs[0] round
     /* 2012139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012142 */     // MIs[0] policy
     /* 2012142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10968:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2012155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012178 */     // GIR_Coverage, 16979,
     /* 2012178 */     GIR_EraseRootFromParent_Done,
     /* 2012179 */   // Label 26743: @2012179
     /* 2012179 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2012270), // Rule ID 16982 //
     /* 2012184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2012187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012230 */     // MIs[0] round
     /* 2012230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012233 */     // MIs[0] policy
     /* 2012233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012243 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2012246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012269 */     // GIR_Coverage, 16982,
     /* 2012269 */     GIR_EraseRootFromParent_Done,
     /* 2012270 */   // Label 26744: @2012270
     /* 2012270 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2012361), // Rule ID 16983 //
     /* 2012275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2012278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012321 */     // MIs[0] round
     /* 2012321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012324 */     // MIs[0] policy
     /* 2012324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10968:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2012337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012360 */     // GIR_Coverage, 16983,
     /* 2012360 */     GIR_EraseRootFromParent_Done,
     /* 2012361 */   // Label 26745: @2012361
     /* 2012361 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2012452), // Rule ID 16986 //
     /* 2012366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2012369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012412 */     // MIs[0] round
     /* 2012412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012415 */     // MIs[0] policy
     /* 2012415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012425 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2012428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012451 */     // GIR_Coverage, 16986,
     /* 2012451 */     GIR_EraseRootFromParent_Done,
     /* 2012452 */   // Label 26746: @2012452
     /* 2012452 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2012543), // Rule ID 16987 //
     /* 2012457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2012460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012503 */     // MIs[0] round
     /* 2012503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012506 */     // MIs[0] policy
     /* 2012506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012516 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10968:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2012519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012542 */     // GIR_Coverage, 16987,
     /* 2012542 */     GIR_EraseRootFromParent_Done,
     /* 2012543 */   // Label 26747: @2012543
     /* 2012543 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2012634), // Rule ID 16990 //
     /* 2012548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2012551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012594 */     // MIs[0] round
     /* 2012594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012597 */     // MIs[0] policy
     /* 2012597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012607 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2012610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012633 */     // GIR_Coverage, 16990,
     /* 2012633 */     GIR_EraseRootFromParent_Done,
     /* 2012634 */   // Label 26748: @2012634
     /* 2012634 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2012725), // Rule ID 16991 //
     /* 2012639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2012642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2012647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2012681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012685 */     // MIs[0] round
     /* 2012685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012688 */     // MIs[0] policy
     /* 2012688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012698 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10968:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2012701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012724 */     // GIR_Coverage, 16991,
     /* 2012724 */     GIR_EraseRootFromParent_Done,
     /* 2012725 */   // Label 26749: @2012725
     /* 2012725 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2012816), // Rule ID 17000 //
     /* 2012730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2012733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2012738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2012750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012776 */     // MIs[0] round
     /* 2012776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012779 */     // MIs[0] policy
     /* 2012779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2012792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012815 */     // GIR_Coverage, 17000,
     /* 2012815 */     GIR_EraseRootFromParent_Done,
     /* 2012816 */   // Label 26750: @2012816
     /* 2012816 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2012907), // Rule ID 17001 //
     /* 2012821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2012824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2012829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2012838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2012841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012867 */     // MIs[0] round
     /* 2012867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012870 */     // MIs[0] policy
     /* 2012870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2012883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012906 */     // GIR_Coverage, 17001,
     /* 2012906 */     GIR_EraseRootFromParent_Done,
     /* 2012907 */   // Label 26751: @2012907
     /* 2012907 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2012998), // Rule ID 17010 //
     /* 2012912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2012915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2012920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2012932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012958 */     // MIs[0] round
     /* 2012958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012961 */     // MIs[0] policy
     /* 2012961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012971 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2012974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012997 */     // GIR_Coverage, 17010,
     /* 2012997 */     GIR_EraseRootFromParent_Done,
     /* 2012998 */   // Label 26752: @2012998
     /* 2012998 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2013089), // Rule ID 17011 //
     /* 2013003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2013014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2013017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013049 */     // MIs[0] round
     /* 2013049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013052 */     // MIs[0] policy
     /* 2013052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013062 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2013065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013088 */     // GIR_Coverage, 17011,
     /* 2013088 */     GIR_EraseRootFromParent_Done,
     /* 2013089 */   // Label 26753: @2013089
     /* 2013089 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2013180), // Rule ID 17020 //
     /* 2013094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013140 */     // MIs[0] round
     /* 2013140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013143 */     // MIs[0] policy
     /* 2013143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013153 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2013156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013179 */     // GIR_Coverage, 17020,
     /* 2013179 */     GIR_EraseRootFromParent_Done,
     /* 2013180 */   // Label 26754: @2013180
     /* 2013180 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2013271), // Rule ID 17021 //
     /* 2013185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013231 */     // MIs[0] round
     /* 2013231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013234 */     // MIs[0] policy
     /* 2013234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2013247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013270 */     // GIR_Coverage, 17021,
     /* 2013270 */     GIR_EraseRootFromParent_Done,
     /* 2013271 */   // Label 26755: @2013271
     /* 2013271 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2013362), // Rule ID 17030 //
     /* 2013276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2013287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2013290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2013296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013322 */     // MIs[0] round
     /* 2013322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013325 */     // MIs[0] policy
     /* 2013325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013335 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2013338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013361 */     // GIR_Coverage, 17030,
     /* 2013361 */     GIR_EraseRootFromParent_Done,
     /* 2013362 */   // Label 26756: @2013362
     /* 2013362 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2013453), // Rule ID 17031 //
     /* 2013367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2013378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2013381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2013387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013413 */     // MIs[0] round
     /* 2013413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013416 */     // MIs[0] policy
     /* 2013416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013426 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2013429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013452 */     // GIR_Coverage, 17031,
     /* 2013452 */     GIR_EraseRootFromParent_Done,
     /* 2013453 */   // Label 26757: @2013453
     /* 2013453 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2013544), // Rule ID 17040 //
     /* 2013458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2013461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2013475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2013478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013504 */     // MIs[0] round
     /* 2013504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013507 */     // MIs[0] policy
     /* 2013507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2013520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013543 */     // GIR_Coverage, 17040,
     /* 2013543 */     GIR_EraseRootFromParent_Done,
     /* 2013544 */   // Label 26758: @2013544
     /* 2013544 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2013635), // Rule ID 17041 //
     /* 2013549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2013552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2013566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2013569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013595 */     // MIs[0] round
     /* 2013595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013598 */     // MIs[0] policy
     /* 2013598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013608 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2013611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013634 */     // GIR_Coverage, 17041,
     /* 2013634 */     GIR_EraseRootFromParent_Done,
     /* 2013635 */   // Label 26759: @2013635
     /* 2013635 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2013726), // Rule ID 17050 //
     /* 2013640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2013643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2013651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2013654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2013657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013686 */     // MIs[0] round
     /* 2013686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013689 */     // MIs[0] policy
     /* 2013689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013699 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2013702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013725 */     // GIR_Coverage, 17050,
     /* 2013725 */     GIR_EraseRootFromParent_Done,
     /* 2013726 */   // Label 26760: @2013726
     /* 2013726 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2013817), // Rule ID 17051 //
     /* 2013731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2013734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2013742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2013745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2013748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013777 */     // MIs[0] round
     /* 2013777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013780 */     // MIs[0] policy
     /* 2013780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2013793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013816 */     // GIR_Coverage, 17051,
     /* 2013816 */     GIR_EraseRootFromParent_Done,
     /* 2013817 */   // Label 26761: @2013817
     /* 2013817 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2013908), // Rule ID 17060 //
     /* 2013822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2013825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2013833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2013836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2013839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2013842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013868 */     // MIs[0] round
     /* 2013868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013871 */     // MIs[0] policy
     /* 2013871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013881 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2013884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013907 */     // GIR_Coverage, 17060,
     /* 2013907 */     GIR_EraseRootFromParent_Done,
     /* 2013908 */   // Label 26762: @2013908
     /* 2013908 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2013999), // Rule ID 17061 //
     /* 2013913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2013916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2013924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2013927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2013930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2013933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013959 */     // MIs[0] round
     /* 2013959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013962 */     // MIs[0] policy
     /* 2013962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013972 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2013975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013998 */     // GIR_Coverage, 17061,
     /* 2013998 */     GIR_EraseRootFromParent_Done,
     /* 2013999 */   // Label 26763: @2013999
     /* 2013999 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2014090), // Rule ID 17070 //
     /* 2014004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2014007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2014024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014050 */     // MIs[0] round
     /* 2014050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014053 */     // MIs[0] policy
     /* 2014053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014063 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2014066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014089 */     // GIR_Coverage, 17070,
     /* 2014089 */     GIR_EraseRootFromParent_Done,
     /* 2014090 */   // Label 26764: @2014090
     /* 2014090 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2014181), // Rule ID 17071 //
     /* 2014095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2014098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2014115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014141 */     // MIs[0] round
     /* 2014141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014144 */     // MIs[0] policy
     /* 2014144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2014157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014180 */     // GIR_Coverage, 17071,
     /* 2014180 */     GIR_EraseRootFromParent_Done,
     /* 2014181 */   // Label 26765: @2014181
     /* 2014181 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2014272), // Rule ID 17074 //
     /* 2014186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014232 */     // MIs[0] round
     /* 2014232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014235 */     // MIs[0] policy
     /* 2014235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014245 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2014248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014271 */     // GIR_Coverage, 17074,
     /* 2014271 */     GIR_EraseRootFromParent_Done,
     /* 2014272 */   // Label 26766: @2014272
     /* 2014272 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2014363), // Rule ID 17075 //
     /* 2014277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2014294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014323 */     // MIs[0] round
     /* 2014323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014326 */     // MIs[0] policy
     /* 2014326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2014339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014362 */     // GIR_Coverage, 17075,
     /* 2014362 */     GIR_EraseRootFromParent_Done,
     /* 2014363 */   // Label 26767: @2014363
     /* 2014363 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2014454), // Rule ID 17078 //
     /* 2014368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014414 */     // MIs[0] round
     /* 2014414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014417 */     // MIs[0] policy
     /* 2014417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2014430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014453 */     // GIR_Coverage, 17078,
     /* 2014453 */     GIR_EraseRootFromParent_Done,
     /* 2014454 */   // Label 26768: @2014454
     /* 2014454 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2014545), // Rule ID 17079 //
     /* 2014459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014505 */     // MIs[0] round
     /* 2014505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014508 */     // MIs[0] policy
     /* 2014508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014518 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2014521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014544 */     // GIR_Coverage, 17079,
     /* 2014544 */     GIR_EraseRootFromParent_Done,
     /* 2014545 */   // Label 26769: @2014545
     /* 2014545 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2014636), // Rule ID 17082 //
     /* 2014550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2014561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2014564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014596 */     // MIs[0] round
     /* 2014596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014599 */     // MIs[0] policy
     /* 2014599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014609 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2014612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014635 */     // GIR_Coverage, 17082,
     /* 2014635 */     GIR_EraseRootFromParent_Done,
     /* 2014636 */   // Label 26770: @2014636
     /* 2014636 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2014727), // Rule ID 17083 //
     /* 2014641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2014652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2014655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014687 */     // MIs[0] round
     /* 2014687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014690 */     // MIs[0] policy
     /* 2014690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2014703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014726 */     // GIR_Coverage, 17083,
     /* 2014726 */     GIR_EraseRootFromParent_Done,
     /* 2014727 */   // Label 26771: @2014727
     /* 2014727 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2014818), // Rule ID 17086 //
     /* 2014732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014778 */     // MIs[0] round
     /* 2014778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014781 */     // MIs[0] policy
     /* 2014781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014791 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2014794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014817 */     // GIR_Coverage, 17086,
     /* 2014817 */     GIR_EraseRootFromParent_Done,
     /* 2014818 */   // Label 26772: @2014818
     /* 2014818 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2014909), // Rule ID 17087 //
     /* 2014823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2014840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014869 */     // MIs[0] round
     /* 2014869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014872 */     // MIs[0] policy
     /* 2014872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014882 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2014885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014908 */     // GIR_Coverage, 17087,
     /* 2014908 */     GIR_EraseRootFromParent_Done,
     /* 2014909 */   // Label 26773: @2014909
     /* 2014909 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2015000), // Rule ID 17090 //
     /* 2014914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2014925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2014928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2014931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2014934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2014956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014960 */     // MIs[0] round
     /* 2014960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014963 */     // MIs[0] policy
     /* 2014963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014973 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2014976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014999 */     // GIR_Coverage, 17090,
     /* 2014999 */     GIR_EraseRootFromParent_Done,
     /* 2015000 */   // Label 26774: @2015000
     /* 2015000 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2015091), // Rule ID 17091 //
     /* 2015005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2015016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2015019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2015025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2015047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015051 */     // MIs[0] round
     /* 2015051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015054 */     // MIs[0] policy
     /* 2015054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015064 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2015067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015090 */     // GIR_Coverage, 17091,
     /* 2015090 */     GIR_EraseRootFromParent_Done,
     /* 2015091 */   // Label 26775: @2015091
     /* 2015091 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2015182), // Rule ID 17094 //
     /* 2015096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015142 */     // MIs[0] round
     /* 2015142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015145 */     // MIs[0] policy
     /* 2015145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2015158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015181 */     // GIR_Coverage, 17094,
     /* 2015181 */     GIR_EraseRootFromParent_Done,
     /* 2015182 */   // Label 26776: @2015182
     /* 2015182 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2015273), // Rule ID 17095 //
     /* 2015187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2015204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015233 */     // MIs[0] round
     /* 2015233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015236 */     // MIs[0] policy
     /* 2015236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015246 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2015249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015272 */     // GIR_Coverage, 17095,
     /* 2015272 */     GIR_EraseRootFromParent_Done,
     /* 2015273 */   // Label 26777: @2015273
     /* 2015273 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2015364), // Rule ID 17098 //
     /* 2015278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2015289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2015292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015324 */     // MIs[0] round
     /* 2015324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015327 */     // MIs[0] policy
     /* 2015327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015337 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2015340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015363 */     // GIR_Coverage, 17098,
     /* 2015363 */     GIR_EraseRootFromParent_Done,
     /* 2015364 */   // Label 26778: @2015364
     /* 2015364 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2015455), // Rule ID 17099 //
     /* 2015369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2015380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2015383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015415 */     // MIs[0] round
     /* 2015415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015418 */     // MIs[0] policy
     /* 2015418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2015431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015454 */     // GIR_Coverage, 17099,
     /* 2015454 */     GIR_EraseRootFromParent_Done,
     /* 2015455 */   // Label 26779: @2015455
     /* 2015455 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2015546), // Rule ID 17102 //
     /* 2015460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2015471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2015474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015506 */     // MIs[0] round
     /* 2015506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015509 */     // MIs[0] policy
     /* 2015509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015519 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2015522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015545 */     // GIR_Coverage, 17102,
     /* 2015545 */     GIR_EraseRootFromParent_Done,
     /* 2015546 */   // Label 26780: @2015546
     /* 2015546 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2015637), // Rule ID 17103 //
     /* 2015551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2015562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2015565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015597 */     // MIs[0] round
     /* 2015597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015600 */     // MIs[0] policy
     /* 2015600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2015613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015636 */     // GIR_Coverage, 17103,
     /* 2015636 */     GIR_EraseRootFromParent_Done,
     /* 2015637 */   // Label 26781: @2015637
     /* 2015637 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2015728), // Rule ID 17106 //
     /* 2015642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2015653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2015656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015688 */     // MIs[0] round
     /* 2015688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015691 */     // MIs[0] policy
     /* 2015691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015701 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2015704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015727 */     // GIR_Coverage, 17106,
     /* 2015727 */     GIR_EraseRootFromParent_Done,
     /* 2015728 */   // Label 26782: @2015728
     /* 2015728 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2015819), // Rule ID 17107 //
     /* 2015733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2015741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2015744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2015747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2015775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015779 */     // MIs[0] round
     /* 2015779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015782 */     // MIs[0] policy
     /* 2015782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015792 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2015795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015818 */     // GIR_Coverage, 17107,
     /* 2015818 */     GIR_EraseRootFromParent_Done,
     /* 2015819 */   // Label 26783: @2015819
     /* 2015819 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2015910), // Rule ID 17116 //
     /* 2015824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2015827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2015841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2015844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015870 */     // MIs[0] round
     /* 2015870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015873 */     // MIs[0] policy
     /* 2015873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015883 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2015886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015909 */     // GIR_Coverage, 17116,
     /* 2015909 */     GIR_EraseRootFromParent_Done,
     /* 2015910 */   // Label 26784: @2015910
     /* 2015910 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2016001), // Rule ID 17117 //
     /* 2015915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2015926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2015929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2015932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2015935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015961 */     // MIs[0] round
     /* 2015961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015964 */     // MIs[0] policy
     /* 2015964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015974 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2015977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016000 */     // GIR_Coverage, 17117,
     /* 2016000 */     GIR_EraseRootFromParent_Done,
     /* 2016001 */   // Label 26785: @2016001
     /* 2016001 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2016092), // Rule ID 17126 //
     /* 2016006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2016009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2016026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016052 */     // MIs[0] round
     /* 2016052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016055 */     // MIs[0] policy
     /* 2016055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016065 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2016068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016091 */     // GIR_Coverage, 17126,
     /* 2016091 */     GIR_EraseRootFromParent_Done,
     /* 2016092 */   // Label 26786: @2016092
     /* 2016092 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2016183), // Rule ID 17127 //
     /* 2016097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2016100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2016117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016143 */     // MIs[0] round
     /* 2016143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016146 */     // MIs[0] policy
     /* 2016146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2016159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016182 */     // GIR_Coverage, 17127,
     /* 2016182 */     GIR_EraseRootFromParent_Done,
     /* 2016183 */   // Label 26787: @2016183
     /* 2016183 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2016274), // Rule ID 17136 //
     /* 2016188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2016191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2016208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016234 */     // MIs[0] round
     /* 2016234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016237 */     // MIs[0] policy
     /* 2016237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016247 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2016250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016273 */     // GIR_Coverage, 17136,
     /* 2016273 */     GIR_EraseRootFromParent_Done,
     /* 2016274 */   // Label 26788: @2016274
     /* 2016274 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2016365), // Rule ID 17137 //
     /* 2016279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2016282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2016290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2016293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2016299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016325 */     // MIs[0] round
     /* 2016325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016328 */     // MIs[0] policy
     /* 2016328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016338 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2016341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016364 */     // GIR_Coverage, 17137,
     /* 2016364 */     GIR_EraseRootFromParent_Done,
     /* 2016365 */   // Label 26789: @2016365
     /* 2016365 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2016456), // Rule ID 17146 //
     /* 2016370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2016373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2016390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016416 */     // MIs[0] round
     /* 2016416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016419 */     // MIs[0] policy
     /* 2016419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016429 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2016432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016455 */     // GIR_Coverage, 17146,
     /* 2016455 */     GIR_EraseRootFromParent_Done,
     /* 2016456 */   // Label 26790: @2016456
     /* 2016456 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2016547), // Rule ID 17147 //
     /* 2016461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2016464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2016481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016507 */     // MIs[0] round
     /* 2016507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016510 */     // MIs[0] policy
     /* 2016510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016520 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2016523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016546 */     // GIR_Coverage, 17147,
     /* 2016546 */     GIR_EraseRootFromParent_Done,
     /* 2016547 */   // Label 26791: @2016547
     /* 2016547 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2016638), // Rule ID 17156 //
     /* 2016552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2016555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2016572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016598 */     // MIs[0] round
     /* 2016598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016601 */     // MIs[0] policy
     /* 2016601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016611 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2016614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016637 */     // GIR_Coverage, 17156,
     /* 2016637 */     GIR_EraseRootFromParent_Done,
     /* 2016638 */   // Label 26792: @2016638
     /* 2016638 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2016729), // Rule ID 17157 //
     /* 2016643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2016646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2016663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016689 */     // MIs[0] round
     /* 2016689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016692 */     // MIs[0] policy
     /* 2016692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016702 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2016705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016728 */     // GIR_Coverage, 17157,
     /* 2016728 */     GIR_EraseRootFromParent_Done,
     /* 2016729 */   // Label 26793: @2016729
     /* 2016729 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2016820), // Rule ID 17166 //
     /* 2016734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2016737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2016751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2016754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016780 */     // MIs[0] round
     /* 2016780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016783 */     // MIs[0] policy
     /* 2016783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016793 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2016796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016819 */     // GIR_Coverage, 17166,
     /* 2016819 */     GIR_EraseRootFromParent_Done,
     /* 2016820 */   // Label 26794: @2016820
     /* 2016820 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2016911), // Rule ID 17167 //
     /* 2016825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2016828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2016842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2016845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016871 */     // MIs[0] round
     /* 2016871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016874 */     // MIs[0] policy
     /* 2016874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016884 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2016887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016910 */     // GIR_Coverage, 17167,
     /* 2016910 */     GIR_EraseRootFromParent_Done,
     /* 2016911 */   // Label 26795: @2016911
     /* 2016911 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2017002), // Rule ID 17176 //
     /* 2016916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2016919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2016927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2016930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2016933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016962 */     // MIs[0] round
     /* 2016962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016965 */     // MIs[0] policy
     /* 2016965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016975 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2016978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017001 */     // GIR_Coverage, 17176,
     /* 2017001 */     GIR_EraseRootFromParent_Done,
     /* 2017002 */   // Label 26796: @2017002
     /* 2017002 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2017093), // Rule ID 17177 //
     /* 2017007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2017010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2017018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2017021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2017024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017053 */     // MIs[0] round
     /* 2017053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017056 */     // MIs[0] policy
     /* 2017056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017066 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2017069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017092 */     // GIR_Coverage, 17177,
     /* 2017092 */     GIR_EraseRootFromParent_Done,
     /* 2017093 */   // Label 26797: @2017093
     /* 2017093 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2017184), // Rule ID 17186 //
     /* 2017098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2017101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2017109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2017112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2017118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017144 */     // MIs[0] round
     /* 2017144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017147 */     // MIs[0] policy
     /* 2017147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017157 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2017160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017183 */     // GIR_Coverage, 17186,
     /* 2017183 */     GIR_EraseRootFromParent_Done,
     /* 2017184 */   // Label 26798: @2017184
     /* 2017184 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2017275), // Rule ID 17187 //
     /* 2017189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2017192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2017200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2017203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2017209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017235 */     // MIs[0] round
     /* 2017235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017238 */     // MIs[0] policy
     /* 2017238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017248 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2017251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017274 */     // GIR_Coverage, 17187,
     /* 2017274 */     GIR_EraseRootFromParent_Done,
     /* 2017275 */   // Label 26799: @2017275
     /* 2017275 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2017366), // Rule ID 17196 //
     /* 2017280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2017283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2017291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2017294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2017300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017326 */     // MIs[0] round
     /* 2017326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017329 */     // MIs[0] policy
     /* 2017329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017339 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2017342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017365 */     // GIR_Coverage, 17196,
     /* 2017365 */     GIR_EraseRootFromParent_Done,
     /* 2017366 */   // Label 26800: @2017366
     /* 2017366 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2017457), // Rule ID 17197 //
     /* 2017371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2017374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2017382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2017385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2017391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2017401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017417 */     // MIs[0] round
     /* 2017417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017420 */     // MIs[0] policy
     /* 2017420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017430 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2017433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017456 */     // GIR_Coverage, 17197,
     /* 2017456 */     GIR_EraseRootFromParent_Done,
     /* 2017457 */   // Label 26801: @2017457
     /* 2017457 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2017548), // Rule ID 17200 //
     /* 2017462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2017465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017508 */     // MIs[0] round
     /* 2017508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017511 */     // MIs[0] policy
     /* 2017511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017521 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2017524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017547 */     // GIR_Coverage, 17200,
     /* 2017547 */     GIR_EraseRootFromParent_Done,
     /* 2017548 */   // Label 26802: @2017548
     /* 2017548 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2017639), // Rule ID 17201 //
     /* 2017553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2017556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017599 */     // MIs[0] round
     /* 2017599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017602 */     // MIs[0] policy
     /* 2017602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2017615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017638 */     // GIR_Coverage, 17201,
     /* 2017638 */     GIR_EraseRootFromParent_Done,
     /* 2017639 */   // Label 26803: @2017639
     /* 2017639 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2017730), // Rule ID 17204 //
     /* 2017644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2017647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017690 */     // MIs[0] round
     /* 2017690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017693 */     // MIs[0] policy
     /* 2017693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2017706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017729 */     // GIR_Coverage, 17204,
     /* 2017729 */     GIR_EraseRootFromParent_Done,
     /* 2017730 */   // Label 26804: @2017730
     /* 2017730 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2017821), // Rule ID 17205 //
     /* 2017735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2017738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017781 */     // MIs[0] round
     /* 2017781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017784 */     // MIs[0] policy
     /* 2017784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10970:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2017797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017820 */     // GIR_Coverage, 17205,
     /* 2017820 */     GIR_EraseRootFromParent_Done,
     /* 2017821 */   // Label 26805: @2017821
     /* 2017821 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2017912), // Rule ID 17208 //
     /* 2017826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2017829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017872 */     // MIs[0] round
     /* 2017872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017875 */     // MIs[0] policy
     /* 2017875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017885 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2017888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017911 */     // GIR_Coverage, 17208,
     /* 2017911 */     GIR_EraseRootFromParent_Done,
     /* 2017912 */   // Label 26806: @2017912
     /* 2017912 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2018003), // Rule ID 17209 //
     /* 2017917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2017920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2017925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2017937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2017959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017963 */     // MIs[0] round
     /* 2017963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017966 */     // MIs[0] policy
     /* 2017966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2017979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018002 */     // GIR_Coverage, 17209,
     /* 2018002 */     GIR_EraseRootFromParent_Done,
     /* 2018003 */   // Label 26807: @2018003
     /* 2018003 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2018094), // Rule ID 17212 //
     /* 2018008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2018028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2018050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018054 */     // MIs[0] round
     /* 2018054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018057 */     // MIs[0] policy
     /* 2018057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018067 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2018070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018093 */     // GIR_Coverage, 17212,
     /* 2018093 */     GIR_EraseRootFromParent_Done,
     /* 2018094 */   // Label 26808: @2018094
     /* 2018094 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2018185), // Rule ID 17213 //
     /* 2018099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2018116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2018119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2018141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018145 */     // MIs[0] round
     /* 2018145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018148 */     // MIs[0] policy
     /* 2018148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018158 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2018161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018184 */     // GIR_Coverage, 17213,
     /* 2018184 */     GIR_EraseRootFromParent_Done,
     /* 2018185 */   // Label 26809: @2018185
     /* 2018185 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2018276), // Rule ID 17216 //
     /* 2018190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2018210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2018232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018236 */     // MIs[0] round
     /* 2018236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018239 */     // MIs[0] policy
     /* 2018239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018249 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2018252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018275 */     // GIR_Coverage, 17216,
     /* 2018275 */     GIR_EraseRootFromParent_Done,
     /* 2018276 */   // Label 26810: @2018276
     /* 2018276 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2018367), // Rule ID 17217 //
     /* 2018281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2018301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2018323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018327 */     // MIs[0] round
     /* 2018327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018330 */     // MIs[0] policy
     /* 2018330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2018343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018366 */     // GIR_Coverage, 17217,
     /* 2018366 */     GIR_EraseRootFromParent_Done,
     /* 2018367 */   // Label 26811: @2018367
     /* 2018367 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2018458), // Rule ID 17220 //
     /* 2018372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018418 */     // MIs[0] round
     /* 2018418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018421 */     // MIs[0] policy
     /* 2018421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018431 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2018434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018457 */     // GIR_Coverage, 17220,
     /* 2018457 */     GIR_EraseRootFromParent_Done,
     /* 2018458 */   // Label 26812: @2018458
     /* 2018458 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2018549), // Rule ID 17221 //
     /* 2018463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2018466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018509 */     // MIs[0] round
     /* 2018509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018512 */     // MIs[0] policy
     /* 2018512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018522 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10970:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2018525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018548 */     // GIR_Coverage, 17221,
     /* 2018548 */     GIR_EraseRootFromParent_Done,
     /* 2018549 */   // Label 26813: @2018549
     /* 2018549 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2018640), // Rule ID 17224 //
     /* 2018554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018600 */     // MIs[0] round
     /* 2018600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018603 */     // MIs[0] policy
     /* 2018603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2018616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018639 */     // GIR_Coverage, 17224,
     /* 2018639 */     GIR_EraseRootFromParent_Done,
     /* 2018640 */   // Label 26814: @2018640
     /* 2018640 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2018731), // Rule ID 17225 //
     /* 2018645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2018648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018691 */     // MIs[0] round
     /* 2018691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018694 */     // MIs[0] policy
     /* 2018694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018704 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10970:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2018707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018730 */     // GIR_Coverage, 17225,
     /* 2018730 */     GIR_EraseRootFromParent_Done,
     /* 2018731 */   // Label 26815: @2018731
     /* 2018731 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2018822), // Rule ID 17228 //
     /* 2018736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2018747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2018750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018782 */     // MIs[0] round
     /* 2018782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018785 */     // MIs[0] policy
     /* 2018785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018795 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2018798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018821 */     // GIR_Coverage, 17228,
     /* 2018821 */     GIR_EraseRootFromParent_Done,
     /* 2018822 */   // Label 26816: @2018822
     /* 2018822 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2018913), // Rule ID 17229 //
     /* 2018827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2018830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2018838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2018841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018873 */     // MIs[0] round
     /* 2018873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018876 */     // MIs[0] policy
     /* 2018876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018886 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10970:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2018889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018912 */     // GIR_Coverage, 17229,
     /* 2018912 */     GIR_EraseRootFromParent_Done,
     /* 2018913 */   // Label 26817: @2018913
     /* 2018913 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2019004), // Rule ID 17232 //
     /* 2018918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2018926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2018929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2018932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2018935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2018960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018964 */     // MIs[0] round
     /* 2018964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018967 */     // MIs[0] policy
     /* 2018967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2018980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019003 */     // GIR_Coverage, 17232,
     /* 2019003 */     GIR_EraseRootFromParent_Done,
     /* 2019004 */   // Label 26818: @2019004
     /* 2019004 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2019095), // Rule ID 17233 //
     /* 2019009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2019012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2019026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2019051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019055 */     // MIs[0] round
     /* 2019055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019058 */     // MIs[0] policy
     /* 2019058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10970:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2019071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019094 */     // GIR_Coverage, 17233,
     /* 2019094 */     GIR_EraseRootFromParent_Done,
     /* 2019095 */   // Label 26819: @2019095
     /* 2019095 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2019186), // Rule ID 17236 //
     /* 2019100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2019103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2019111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2019114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2019117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019146 */     // MIs[0] round
     /* 2019146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019149 */     // MIs[0] policy
     /* 2019149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019159 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2019162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019185 */     // GIR_Coverage, 17236,
     /* 2019185 */     GIR_EraseRootFromParent_Done,
     /* 2019186 */   // Label 26820: @2019186
     /* 2019186 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2019277), // Rule ID 17237 //
     /* 2019191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2019194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2019202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2019205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2019208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019237 */     // MIs[0] round
     /* 2019237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019240 */     // MIs[0] policy
     /* 2019240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2019253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019276 */     // GIR_Coverage, 17237,
     /* 2019276 */     GIR_EraseRootFromParent_Done,
     /* 2019277 */   // Label 26821: @2019277
     /* 2019277 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2019368), // Rule ID 17240 //
     /* 2019282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2019285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2019293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2019296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2019299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019328 */     // MIs[0] round
     /* 2019328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019331 */     // MIs[0] policy
     /* 2019331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019341 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2019344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019367 */     // GIR_Coverage, 17240,
     /* 2019367 */     GIR_EraseRootFromParent_Done,
     /* 2019368 */   // Label 26822: @2019368
     /* 2019368 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2019459), // Rule ID 17241 //
     /* 2019373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2019376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2019384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2019387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2019390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019419 */     // MIs[0] round
     /* 2019419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019422 */     // MIs[0] policy
     /* 2019422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2019435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019458 */     // GIR_Coverage, 17241,
     /* 2019458 */     GIR_EraseRootFromParent_Done,
     /* 2019459 */   // Label 26823: @2019459
     /* 2019459 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2019550), // Rule ID 17244 //
     /* 2019464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2019481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2019484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019510 */     // MIs[0] round
     /* 2019510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019513 */     // MIs[0] policy
     /* 2019513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2019526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019549 */     // GIR_Coverage, 17244,
     /* 2019549 */     GIR_EraseRootFromParent_Done,
     /* 2019550 */   // Label 26824: @2019550
     /* 2019550 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2019641), // Rule ID 17245 //
     /* 2019555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2019572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2019575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019601 */     // MIs[0] round
     /* 2019601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019604 */     // MIs[0] policy
     /* 2019604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2019617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019640 */     // GIR_Coverage, 17245,
     /* 2019640 */     GIR_EraseRootFromParent_Done,
     /* 2019641 */   // Label 26825: @2019641
     /* 2019641 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2019732), // Rule ID 17248 //
     /* 2019646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2019649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2019657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2019660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2019663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019692 */     // MIs[0] round
     /* 2019692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019695 */     // MIs[0] policy
     /* 2019695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019705 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2019708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019731 */     // GIR_Coverage, 17248,
     /* 2019731 */     GIR_EraseRootFromParent_Done,
     /* 2019732 */   // Label 26826: @2019732
     /* 2019732 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2019823), // Rule ID 17249 //
     /* 2019737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2019740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2019748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2019751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2019754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019783 */     // MIs[0] round
     /* 2019783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019786 */     // MIs[0] policy
     /* 2019786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2019799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019822 */     // GIR_Coverage, 17249,
     /* 2019822 */     GIR_EraseRootFromParent_Done,
     /* 2019823 */   // Label 26827: @2019823
     /* 2019823 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2019914), // Rule ID 17252 //
     /* 2019828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2019845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019874 */     // MIs[0] round
     /* 2019874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019877 */     // MIs[0] policy
     /* 2019877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2019890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019913 */     // GIR_Coverage, 17252,
     /* 2019913 */     GIR_EraseRootFromParent_Done,
     /* 2019914 */   // Label 26828: @2019914
     /* 2019914 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2020005), // Rule ID 17253 //
     /* 2019919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2019927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2019936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019965 */     // MIs[0] round
     /* 2019965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019968 */     // MIs[0] policy
     /* 2019968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2019981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020004 */     // GIR_Coverage, 17253,
     /* 2020004 */     GIR_EraseRootFromParent_Done,
     /* 2020005 */   // Label 26829: @2020005
     /* 2020005 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2020096), // Rule ID 17256 //
     /* 2020010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2020013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2020027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2020030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020056 */     // MIs[0] round
     /* 2020056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020059 */     // MIs[0] policy
     /* 2020059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2020072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020095 */     // GIR_Coverage, 17256,
     /* 2020095 */     GIR_EraseRootFromParent_Done,
     /* 2020096 */   // Label 26830: @2020096
     /* 2020096 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2020187), // Rule ID 17257 //
     /* 2020101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2020104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2020118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2020121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020147 */     // MIs[0] round
     /* 2020147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020150 */     // MIs[0] policy
     /* 2020150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020160 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2020163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020186 */     // GIR_Coverage, 17257,
     /* 2020186 */     GIR_EraseRootFromParent_Done,
     /* 2020187 */   // Label 26831: @2020187
     /* 2020187 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2020278), // Rule ID 17260 //
     /* 2020192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2020195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2020203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2020206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2020209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020238 */     // MIs[0] round
     /* 2020238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020241 */     // MIs[0] policy
     /* 2020241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020251 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2020254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020277 */     // GIR_Coverage, 17260,
     /* 2020277 */     GIR_EraseRootFromParent_Done,
     /* 2020278 */   // Label 26832: @2020278
     /* 2020278 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2020369), // Rule ID 17261 //
     /* 2020283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2020286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2020294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2020297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2020300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020329 */     // MIs[0] round
     /* 2020329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020332 */     // MIs[0] policy
     /* 2020332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020342 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2020345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020368 */     // GIR_Coverage, 17261,
     /* 2020368 */     GIR_EraseRootFromParent_Done,
     /* 2020369 */   // Label 26833: @2020369
     /* 2020369 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2020460), // Rule ID 17264 //
     /* 2020374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2020377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2020385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2020388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2020391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020420 */     // MIs[0] round
     /* 2020420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020423 */     // MIs[0] policy
     /* 2020423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2020436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020459 */     // GIR_Coverage, 17264,
     /* 2020459 */     GIR_EraseRootFromParent_Done,
     /* 2020460 */   // Label 26834: @2020460
     /* 2020460 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2020551), // Rule ID 17265 //
     /* 2020465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2020468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2020476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2020479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2020482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020511 */     // MIs[0] round
     /* 2020511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020514 */     // MIs[0] policy
     /* 2020514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020524 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2020527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020550 */     // GIR_Coverage, 17265,
     /* 2020550 */     GIR_EraseRootFromParent_Done,
     /* 2020551 */   // Label 26835: @2020551
     /* 2020551 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2020642), // Rule ID 17268 //
     /* 2020556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2020559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2020567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2020570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2020573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2020576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2020579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020602 */     // MIs[0] round
     /* 2020602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020605 */     // MIs[0] policy
     /* 2020605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2020618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020641 */     // GIR_Coverage, 17268,
     /* 2020641 */     GIR_EraseRootFromParent_Done,
     /* 2020642 */   // Label 26836: @2020642
     /* 2020642 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2020733), // Rule ID 17269 //
     /* 2020647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2020650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2020658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2020661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2020664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2020667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2020670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020693 */     // MIs[0] round
     /* 2020693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020696 */     // MIs[0] policy
     /* 2020696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020706 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2020709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020732 */     // GIR_Coverage, 17269,
     /* 2020732 */     GIR_EraseRootFromParent_Done,
     /* 2020733 */   // Label 26837: @2020733
     /* 2020733 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2020824), // Rule ID 17272 //
     /* 2020738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2020741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2020749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2020752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2020755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020784 */     // MIs[0] round
     /* 2020784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020787 */     // MIs[0] policy
     /* 2020787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020797 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2020800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020823 */     // GIR_Coverage, 17272,
     /* 2020823 */     GIR_EraseRootFromParent_Done,
     /* 2020824 */   // Label 26838: @2020824
     /* 2020824 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2020915), // Rule ID 17273 //
     /* 2020829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2020832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2020840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2020843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2020846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020875 */     // MIs[0] round
     /* 2020875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020878 */     // MIs[0] policy
     /* 2020878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020888 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2020891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020914 */     // GIR_Coverage, 17273,
     /* 2020914 */     GIR_EraseRootFromParent_Done,
     /* 2020915 */   // Label 26839: @2020915
     /* 2020915 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2021006), // Rule ID 17276 //
     /* 2020920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2020923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2020928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2020937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020966 */     // MIs[0] round
     /* 2020966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020969 */     // MIs[0] policy
     /* 2020969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020979 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2020982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021005 */     // GIR_Coverage, 17276,
     /* 2021005 */     GIR_EraseRootFromParent_Done,
     /* 2021006 */   // Label 26840: @2021006
     /* 2021006 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2021097), // Rule ID 17277 //
     /* 2021011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2021014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2021022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2021025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2021028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2021031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021057 */     // MIs[0] round
     /* 2021057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021060 */     // MIs[0] policy
     /* 2021060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021070 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2021073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021096 */     // GIR_Coverage, 17277,
     /* 2021096 */     GIR_EraseRootFromParent_Done,
     /* 2021097 */   // Label 26841: @2021097
     /* 2021097 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2021188), // Rule ID 17280 //
     /* 2021102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2021105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2021119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2021122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021148 */     // MIs[0] round
     /* 2021148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021151 */     // MIs[0] policy
     /* 2021151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021161 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2021164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021187 */     // GIR_Coverage, 17280,
     /* 2021187 */     GIR_EraseRootFromParent_Done,
     /* 2021188 */   // Label 26842: @2021188
     /* 2021188 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2021279), // Rule ID 17281 //
     /* 2021193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2021196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2021204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2021207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2021210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2021213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021239 */     // MIs[0] round
     /* 2021239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021242 */     // MIs[0] policy
     /* 2021242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021252 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2021255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021278 */     // GIR_Coverage, 17281,
     /* 2021278 */     GIR_EraseRootFromParent_Done,
     /* 2021279 */   // Label 26843: @2021279
     /* 2021279 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2021370), // Rule ID 17284 //
     /* 2021284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2021287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2021301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2021304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021330 */     // MIs[0] round
     /* 2021330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021333 */     // MIs[0] policy
     /* 2021333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2021346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021369 */     // GIR_Coverage, 17284,
     /* 2021369 */     GIR_EraseRootFromParent_Done,
     /* 2021370 */   // Label 26844: @2021370
     /* 2021370 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2021461), // Rule ID 17285 //
     /* 2021375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2021378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2021386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2021389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2021392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2021395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021421 */     // MIs[0] round
     /* 2021421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021424 */     // MIs[0] policy
     /* 2021424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021434 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2021437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021460 */     // GIR_Coverage, 17285,
     /* 2021460 */     GIR_EraseRootFromParent_Done,
     /* 2021461 */   // Label 26845: @2021461
     /* 2021461 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2021552), // Rule ID 17288 //
     /* 2021466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2021469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2021477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2021480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2021483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2021486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021512 */     // MIs[0] round
     /* 2021512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021515 */     // MIs[0] policy
     /* 2021515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2021528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021551 */     // GIR_Coverage, 17288,
     /* 2021551 */     GIR_EraseRootFromParent_Done,
     /* 2021552 */   // Label 26846: @2021552
     /* 2021552 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2021643), // Rule ID 17289 //
     /* 2021557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2021560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2021568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2021571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2021574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2021577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021603 */     // MIs[0] round
     /* 2021603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021606 */     // MIs[0] policy
     /* 2021606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021616 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2021619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021642 */     // GIR_Coverage, 17289,
     /* 2021642 */     GIR_EraseRootFromParent_Done,
     /* 2021643 */   // Label 26847: @2021643
     /* 2021643 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2021734), // Rule ID 17292 //
     /* 2021648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2021651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2021659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2021662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2021665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2021668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021694 */     // MIs[0] round
     /* 2021694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021697 */     // MIs[0] policy
     /* 2021697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2021710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021733 */     // GIR_Coverage, 17292,
     /* 2021733 */     GIR_EraseRootFromParent_Done,
     /* 2021734 */   // Label 26848: @2021734
     /* 2021734 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2021825), // Rule ID 17293 //
     /* 2021739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2021742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2021750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2021753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2021756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2021759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021785 */     // MIs[0] round
     /* 2021785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021788 */     // MIs[0] policy
     /* 2021788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2021801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021824 */     // GIR_Coverage, 17293,
     /* 2021824 */     GIR_EraseRootFromParent_Done,
     /* 2021825 */   // Label 26849: @2021825
     /* 2021825 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2021916), // Rule ID 17296 //
     /* 2021830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2021833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2021850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2021872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021876 */     // MIs[0] round
     /* 2021876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021879 */     // MIs[0] policy
     /* 2021879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021889 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2021892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021915 */     // GIR_Coverage, 17296,
     /* 2021915 */     GIR_EraseRootFromParent_Done,
     /* 2021916 */   // Label 26850: @2021916
     /* 2021916 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2022007), // Rule ID 17297 //
     /* 2021921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2021924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2021929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2021941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2021963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021967 */     // MIs[0] round
     /* 2021967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021970 */     // MIs[0] policy
     /* 2021970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2021983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022006 */     // GIR_Coverage, 17297,
     /* 2022006 */     GIR_EraseRootFromParent_Done,
     /* 2022007 */   // Label 26851: @2022007
     /* 2022007 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2022098), // Rule ID 17300 //
     /* 2022012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2022015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2022032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2022054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022058 */     // MIs[0] round
     /* 2022058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022061 */     // MIs[0] policy
     /* 2022061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2022074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022097 */     // GIR_Coverage, 17300,
     /* 2022097 */     GIR_EraseRootFromParent_Done,
     /* 2022098 */   // Label 26852: @2022098
     /* 2022098 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2022189), // Rule ID 17301 //
     /* 2022103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2022106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2022123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2022145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022149 */     // MIs[0] round
     /* 2022149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022152 */     // MIs[0] policy
     /* 2022152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022162 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2022165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022188 */     // GIR_Coverage, 17301,
     /* 2022188 */     GIR_EraseRootFromParent_Done,
     /* 2022189 */   // Label 26853: @2022189
     /* 2022189 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2022280), // Rule ID 17304 //
     /* 2022194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2022197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2022236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022240 */     // MIs[0] round
     /* 2022240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022243 */     // MIs[0] policy
     /* 2022243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2022256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022279 */     // GIR_Coverage, 17304,
     /* 2022279 */     GIR_EraseRootFromParent_Done,
     /* 2022280 */   // Label 26854: @2022280
     /* 2022280 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2022371), // Rule ID 17305 //
     /* 2022285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2022288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2022327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022331 */     // MIs[0] round
     /* 2022331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022334 */     // MIs[0] policy
     /* 2022334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2022347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022370 */     // GIR_Coverage, 17305,
     /* 2022370 */     GIR_EraseRootFromParent_Done,
     /* 2022371 */   // Label 26855: @2022371
     /* 2022371 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2022462), // Rule ID 17308 //
     /* 2022376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2022379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2022396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2022418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022422 */     // MIs[0] round
     /* 2022422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022425 */     // MIs[0] policy
     /* 2022425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2022438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022461 */     // GIR_Coverage, 17308,
     /* 2022461 */     GIR_EraseRootFromParent_Done,
     /* 2022462 */   // Label 26856: @2022462
     /* 2022462 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2022553), // Rule ID 17309 //
     /* 2022467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2022470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2022487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2022509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022513 */     // MIs[0] round
     /* 2022513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022516 */     // MIs[0] policy
     /* 2022516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022526 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2022529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022552 */     // GIR_Coverage, 17309,
     /* 2022552 */     GIR_EraseRootFromParent_Done,
     /* 2022553 */   // Label 26857: @2022553
     /* 2022553 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2022644), // Rule ID 17312 //
     /* 2022558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2022561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2022600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022604 */     // MIs[0] round
     /* 2022604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022607 */     // MIs[0] policy
     /* 2022607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022617 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2022620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022643 */     // GIR_Coverage, 17312,
     /* 2022643 */     GIR_EraseRootFromParent_Done,
     /* 2022644 */   // Label 26858: @2022644
     /* 2022644 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2022735), // Rule ID 17313 //
     /* 2022649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2022652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2022691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022695 */     // MIs[0] round
     /* 2022695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022698 */     // MIs[0] policy
     /* 2022698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2022711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022734 */     // GIR_Coverage, 17313,
     /* 2022734 */     GIR_EraseRootFromParent_Done,
     /* 2022735 */   // Label 26859: @2022735
     /* 2022735 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2022826), // Rule ID 17316 //
     /* 2022740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2022743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2022782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022786 */     // MIs[0] round
     /* 2022786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022789 */     // MIs[0] policy
     /* 2022789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2022802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022825 */     // GIR_Coverage, 17316,
     /* 2022825 */     GIR_EraseRootFromParent_Done,
     /* 2022826 */   // Label 26860: @2022826
     /* 2022826 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2022917), // Rule ID 17317 //
     /* 2022831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2022834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2022873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022877 */     // MIs[0] round
     /* 2022877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022880 */     // MIs[0] policy
     /* 2022880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2022893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022916 */     // GIR_Coverage, 17317,
     /* 2022916 */     GIR_EraseRootFromParent_Done,
     /* 2022917 */   // Label 26861: @2022917
     /* 2022917 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2023008), // Rule ID 17320 //
     /* 2022922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2022925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2022930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2022942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2022964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022968 */     // MIs[0] round
     /* 2022968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022971 */     // MIs[0] policy
     /* 2022971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2022984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023007 */     // GIR_Coverage, 17320,
     /* 2023007 */     GIR_EraseRootFromParent_Done,
     /* 2023008 */   // Label 26862: @2023008
     /* 2023008 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2023099), // Rule ID 17321 //
     /* 2023013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2023016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2023024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2023027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2023033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2023055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023059 */     // MIs[0] round
     /* 2023059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023062 */     // MIs[0] policy
     /* 2023062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023072 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2023075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023098 */     // GIR_Coverage, 17321,
     /* 2023098 */     GIR_EraseRootFromParent_Done,
     /* 2023099 */   // Label 26863: @2023099
     /* 2023099 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2023190), // Rule ID 17324 //
     /* 2023104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2023107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2023124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2023146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023150 */     // MIs[0] round
     /* 2023150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023153 */     // MIs[0] policy
     /* 2023153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2023166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023189 */     // GIR_Coverage, 17324,
     /* 2023189 */     GIR_EraseRootFromParent_Done,
     /* 2023190 */   // Label 26864: @2023190
     /* 2023190 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2023281), // Rule ID 17325 //
     /* 2023195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2023198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2023215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2023237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023241 */     // MIs[0] round
     /* 2023241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023244 */     // MIs[0] policy
     /* 2023244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023254 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2023257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023280 */     // GIR_Coverage, 17325,
     /* 2023280 */     GIR_EraseRootFromParent_Done,
     /* 2023281 */   // Label 26865: @2023281
     /* 2023281 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2023372), // Rule ID 17328 //
     /* 2023286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2023289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2023306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2023328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023332 */     // MIs[0] round
     /* 2023332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023335 */     // MIs[0] policy
     /* 2023335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2023348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023371 */     // GIR_Coverage, 17328,
     /* 2023371 */     GIR_EraseRootFromParent_Done,
     /* 2023372 */   // Label 26866: @2023372
     /* 2023372 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2023463), // Rule ID 17329 //
     /* 2023377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2023380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2023397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2023419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023423 */     // MIs[0] round
     /* 2023423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023426 */     // MIs[0] policy
     /* 2023426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023436 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2023439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023462 */     // GIR_Coverage, 17329,
     /* 2023462 */     GIR_EraseRootFromParent_Done,
     /* 2023463 */   // Label 26867: @2023463
     /* 2023463 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2023554), // Rule ID 17332 //
     /* 2023468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2023471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023514 */     // MIs[0] round
     /* 2023514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023517 */     // MIs[0] policy
     /* 2023517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2023530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023553 */     // GIR_Coverage, 17332,
     /* 2023553 */     GIR_EraseRootFromParent_Done,
     /* 2023554 */   // Label 26868: @2023554
     /* 2023554 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2023645), // Rule ID 17333 //
     /* 2023559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2023562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023605 */     // MIs[0] round
     /* 2023605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023608 */     // MIs[0] policy
     /* 2023608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2023621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023644 */     // GIR_Coverage, 17333,
     /* 2023644 */     GIR_EraseRootFromParent_Done,
     /* 2023645 */   // Label 26869: @2023645
     /* 2023645 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2023736), // Rule ID 17336 //
     /* 2023650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2023653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023696 */     // MIs[0] round
     /* 2023696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023699 */     // MIs[0] policy
     /* 2023699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2023712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023735 */     // GIR_Coverage, 17336,
     /* 2023735 */     GIR_EraseRootFromParent_Done,
     /* 2023736 */   // Label 26870: @2023736
     /* 2023736 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2023827), // Rule ID 17337 //
     /* 2023741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2023744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023787 */     // MIs[0] round
     /* 2023787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023790 */     // MIs[0] policy
     /* 2023790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2023803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023826 */     // GIR_Coverage, 17337,
     /* 2023826 */     GIR_EraseRootFromParent_Done,
     /* 2023827 */   // Label 26871: @2023827
     /* 2023827 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2023918), // Rule ID 17340 //
     /* 2023832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2023835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023878 */     // MIs[0] round
     /* 2023878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023881 */     // MIs[0] policy
     /* 2023881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023891 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2023894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023917 */     // GIR_Coverage, 17340,
     /* 2023917 */     GIR_EraseRootFromParent_Done,
     /* 2023918 */   // Label 26872: @2023918
     /* 2023918 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2024009), // Rule ID 17341 //
     /* 2023923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2023926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2023931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2023965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023969 */     // MIs[0] round
     /* 2023969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023972 */     // MIs[0] policy
     /* 2023972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023982 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2023985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024008 */     // GIR_Coverage, 17341,
     /* 2024008 */     GIR_EraseRootFromParent_Done,
     /* 2024009 */   // Label 26873: @2024009
     /* 2024009 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2024100), // Rule ID 17344 //
     /* 2024014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2024017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024060 */     // MIs[0] round
     /* 2024060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024063 */     // MIs[0] policy
     /* 2024063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2024076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024099 */     // GIR_Coverage, 17344,
     /* 2024099 */     GIR_EraseRootFromParent_Done,
     /* 2024100 */   // Label 26874: @2024100
     /* 2024100 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2024191), // Rule ID 17345 //
     /* 2024105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2024108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024151 */     // MIs[0] round
     /* 2024151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024154 */     // MIs[0] policy
     /* 2024154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024164 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2024167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024190 */     // GIR_Coverage, 17345,
     /* 2024190 */     GIR_EraseRootFromParent_Done,
     /* 2024191 */   // Label 26875: @2024191
     /* 2024191 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2024282), // Rule ID 17348 //
     /* 2024196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2024199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024242 */     // MIs[0] round
     /* 2024242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024245 */     // MIs[0] policy
     /* 2024245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2024258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024281 */     // GIR_Coverage, 17348,
     /* 2024281 */     GIR_EraseRootFromParent_Done,
     /* 2024282 */   // Label 26876: @2024282
     /* 2024282 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2024373), // Rule ID 17349 //
     /* 2024287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2024290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024333 */     // MIs[0] round
     /* 2024333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024336 */     // MIs[0] policy
     /* 2024336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024346 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2024349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024372 */     // GIR_Coverage, 17349,
     /* 2024372 */     GIR_EraseRootFromParent_Done,
     /* 2024373 */   // Label 26877: @2024373
     /* 2024373 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2024464), // Rule ID 17352 //
     /* 2024378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2024381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024424 */     // MIs[0] round
     /* 2024424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024427 */     // MIs[0] policy
     /* 2024427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2024440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024463 */     // GIR_Coverage, 17352,
     /* 2024463 */     GIR_EraseRootFromParent_Done,
     /* 2024464 */   // Label 26878: @2024464
     /* 2024464 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2024555), // Rule ID 17353 //
     /* 2024469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2024472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2024477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2024511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024515 */     // MIs[0] round
     /* 2024515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024518 */     // MIs[0] policy
     /* 2024518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10871:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2024531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024554 */     // GIR_Coverage, 17353,
     /* 2024554 */     GIR_EraseRootFromParent_Done,
     /* 2024555 */   // Label 26879: @2024555
     /* 2024555 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2024646), // Rule ID 17356 //
     /* 2024560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2024563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2024568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2024571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2024574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2024577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2024580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024606 */     // MIs[0] round
     /* 2024606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024609 */     // MIs[0] policy
     /* 2024609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2024622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024645 */     // GIR_Coverage, 17356,
     /* 2024645 */     GIR_EraseRootFromParent_Done,
     /* 2024646 */   // Label 26880: @2024646
     /* 2024646 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2024737), // Rule ID 17357 //
     /* 2024651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2024654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2024659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2024662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2024665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2024668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2024671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024697 */     // MIs[0] round
     /* 2024697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024700 */     // MIs[0] policy
     /* 2024700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024710 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2024713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024736 */     // GIR_Coverage, 17357,
     /* 2024736 */     GIR_EraseRootFromParent_Done,
     /* 2024737 */   // Label 26881: @2024737
     /* 2024737 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2024828), // Rule ID 17360 //
     /* 2024742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2024745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2024750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2024753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2024756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2024759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2024762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024788 */     // MIs[0] round
     /* 2024788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024791 */     // MIs[0] policy
     /* 2024791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024801 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2024804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024827 */     // GIR_Coverage, 17360,
     /* 2024827 */     GIR_EraseRootFromParent_Done,
     /* 2024828 */   // Label 26882: @2024828
     /* 2024828 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2024919), // Rule ID 17361 //
     /* 2024833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2024836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2024841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2024844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2024847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2024850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2024853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024879 */     // MIs[0] round
     /* 2024879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024882 */     // MIs[0] policy
     /* 2024882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024892 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2024895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024918 */     // GIR_Coverage, 17361,
     /* 2024918 */     GIR_EraseRootFromParent_Done,
     /* 2024919 */   // Label 26883: @2024919
     /* 2024919 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2025010), // Rule ID 17364 //
     /* 2024924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2024927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2024932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2024935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2024938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2024941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2024944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024970 */     // MIs[0] round
     /* 2024970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024973 */     // MIs[0] policy
     /* 2024973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2024986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025009 */     // GIR_Coverage, 17364,
     /* 2025009 */     GIR_EraseRootFromParent_Done,
     /* 2025010 */   // Label 26884: @2025010
     /* 2025010 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2025101), // Rule ID 17365 //
     /* 2025015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2025018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2025035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025061 */     // MIs[0] round
     /* 2025061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025064 */     // MIs[0] policy
     /* 2025064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025074 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2025077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025100 */     // GIR_Coverage, 17365,
     /* 2025100 */     GIR_EraseRootFromParent_Done,
     /* 2025101 */   // Label 26885: @2025101
     /* 2025101 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2025192), // Rule ID 17368 //
     /* 2025106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2025109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2025117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2025120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025152 */     // MIs[0] round
     /* 2025152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025155 */     // MIs[0] policy
     /* 2025155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025165 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2025168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025191 */     // GIR_Coverage, 17368,
     /* 2025191 */     GIR_EraseRootFromParent_Done,
     /* 2025192 */   // Label 26886: @2025192
     /* 2025192 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2025283), // Rule ID 17369 //
     /* 2025197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2025200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2025208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2025211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025243 */     // MIs[0] round
     /* 2025243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025246 */     // MIs[0] policy
     /* 2025246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2025259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025282 */     // GIR_Coverage, 17369,
     /* 2025282 */     GIR_EraseRootFromParent_Done,
     /* 2025283 */   // Label 26887: @2025283
     /* 2025283 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2025374), // Rule ID 17372 //
     /* 2025288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2025291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2025305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2025308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025334 */     // MIs[0] round
     /* 2025334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025337 */     // MIs[0] policy
     /* 2025337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2025350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025373 */     // GIR_Coverage, 17372,
     /* 2025373 */     GIR_EraseRootFromParent_Done,
     /* 2025374 */   // Label 26888: @2025374
     /* 2025374 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2025465), // Rule ID 17373 //
     /* 2025379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2025382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2025396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2025399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025425 */     // MIs[0] round
     /* 2025425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025428 */     // MIs[0] policy
     /* 2025428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025438 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2025441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025464 */     // GIR_Coverage, 17373,
     /* 2025464 */     GIR_EraseRootFromParent_Done,
     /* 2025465 */   // Label 26889: @2025465
     /* 2025465 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2025556), // Rule ID 17376 //
     /* 2025470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2025473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2025481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2025484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2025487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2025490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025516 */     // MIs[0] round
     /* 2025516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025519 */     // MIs[0] policy
     /* 2025519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2025532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025555 */     // GIR_Coverage, 17376,
     /* 2025555 */     GIR_EraseRootFromParent_Done,
     /* 2025556 */   // Label 26890: @2025556
     /* 2025556 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2025647), // Rule ID 17377 //
     /* 2025561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2025564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2025572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2025575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2025578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2025581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025607 */     // MIs[0] round
     /* 2025607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025610 */     // MIs[0] policy
     /* 2025610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025620 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2025623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025646 */     // GIR_Coverage, 17377,
     /* 2025646 */     GIR_EraseRootFromParent_Done,
     /* 2025647 */   // Label 26891: @2025647
     /* 2025647 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2025738), // Rule ID 17380 //
     /* 2025652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2025655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025698 */     // MIs[0] round
     /* 2025698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025701 */     // MIs[0] policy
     /* 2025701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2025714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025737 */     // GIR_Coverage, 17380,
     /* 2025737 */     GIR_EraseRootFromParent_Done,
     /* 2025738 */   // Label 26892: @2025738
     /* 2025738 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2025829), // Rule ID 17381 //
     /* 2025743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2025746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2025754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2025757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2025760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025789 */     // MIs[0] round
     /* 2025789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025792 */     // MIs[0] policy
     /* 2025792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2025805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025828 */     // GIR_Coverage, 17381,
     /* 2025828 */     GIR_EraseRootFromParent_Done,
     /* 2025829 */   // Label 26893: @2025829
     /* 2025829 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2025920), // Rule ID 17384 //
     /* 2025834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2025837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025880 */     // MIs[0] round
     /* 2025880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025883 */     // MIs[0] policy
     /* 2025883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2025896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025919 */     // GIR_Coverage, 17384,
     /* 2025919 */     GIR_EraseRootFromParent_Done,
     /* 2025920 */   // Label 26894: @2025920
     /* 2025920 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2026011), // Rule ID 17385 //
     /* 2025925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2025928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2025933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2025936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2025939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2025942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025971 */     // MIs[0] round
     /* 2025971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025974 */     // MIs[0] policy
     /* 2025974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025984 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2025987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026010 */     // GIR_Coverage, 17385,
     /* 2026010 */     GIR_EraseRootFromParent_Done,
     /* 2026011 */   // Label 26895: @2026011
     /* 2026011 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2026102), // Rule ID 17388 //
     /* 2026016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2026019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2026027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2026030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2026033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2026036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026062 */     // MIs[0] round
     /* 2026062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026065 */     // MIs[0] policy
     /* 2026065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2026078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026101 */     // GIR_Coverage, 17388,
     /* 2026101 */     GIR_EraseRootFromParent_Done,
     /* 2026102 */   // Label 26896: @2026102
     /* 2026102 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2026193), // Rule ID 17389 //
     /* 2026107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2026110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2026118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2026121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2026124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2026127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026153 */     // MIs[0] round
     /* 2026153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026156 */     // MIs[0] policy
     /* 2026156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026166 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2026169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026192 */     // GIR_Coverage, 17389,
     /* 2026192 */     GIR_EraseRootFromParent_Done,
     /* 2026193 */   // Label 26897: @2026193
     /* 2026193 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2026284), // Rule ID 17392 //
     /* 2026198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2026201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026244 */     // MIs[0] round
     /* 2026244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026247 */     // MIs[0] policy
     /* 2026247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2026260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026283 */     // GIR_Coverage, 17392,
     /* 2026283 */     GIR_EraseRootFromParent_Done,
     /* 2026284 */   // Label 26898: @2026284
     /* 2026284 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2026375), // Rule ID 17393 //
     /* 2026289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2026292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2026300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2026303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2026306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2026309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026335 */     // MIs[0] round
     /* 2026335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026338 */     // MIs[0] policy
     /* 2026338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2026351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026374 */     // GIR_Coverage, 17393,
     /* 2026374 */     GIR_EraseRootFromParent_Done,
     /* 2026375 */   // Label 26899: @2026375
     /* 2026375 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2026466), // Rule ID 17396 //
     /* 2026380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2026383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026426 */     // MIs[0] round
     /* 2026426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026429 */     // MIs[0] policy
     /* 2026429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2026442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026465 */     // GIR_Coverage, 17396,
     /* 2026465 */     GIR_EraseRootFromParent_Done,
     /* 2026466 */   // Label 26900: @2026466
     /* 2026466 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2026557), // Rule ID 17397 //
     /* 2026471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2026474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2026482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2026485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2026488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2026491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026517 */     // MIs[0] round
     /* 2026517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026520 */     // MIs[0] policy
     /* 2026520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2026533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026556 */     // GIR_Coverage, 17397,
     /* 2026556 */     GIR_EraseRootFromParent_Done,
     /* 2026557 */   // Label 26901: @2026557
     /* 2026557 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2026648), // Rule ID 17400 //
     /* 2026562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2026565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026608 */     // MIs[0] round
     /* 2026608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026611 */     // MIs[0] policy
     /* 2026611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2026624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026647 */     // GIR_Coverage, 17400,
     /* 2026647 */     GIR_EraseRootFromParent_Done,
     /* 2026648 */   // Label 26902: @2026648
     /* 2026648 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2026739), // Rule ID 17401 //
     /* 2026653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2026656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2026664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2026667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2026670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2026673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026699 */     // MIs[0] round
     /* 2026699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026702 */     // MIs[0] policy
     /* 2026702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2026715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026738 */     // GIR_Coverage, 17401,
     /* 2026738 */     GIR_EraseRootFromParent_Done,
     /* 2026739 */   // Label 26903: @2026739
     /* 2026739 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2026830), // Rule ID 17404 //
     /* 2026744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2026747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026790 */     // MIs[0] round
     /* 2026790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026793 */     // MIs[0] policy
     /* 2026793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026803 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2026806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026829 */     // GIR_Coverage, 17404,
     /* 2026829 */     GIR_EraseRootFromParent_Done,
     /* 2026830 */   // Label 26904: @2026830
     /* 2026830 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2026921), // Rule ID 17405 //
     /* 2026835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2026838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2026846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2026849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2026852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2026855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026881 */     // MIs[0] round
     /* 2026881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026884 */     // MIs[0] policy
     /* 2026884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026894 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2026897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026920 */     // GIR_Coverage, 17405,
     /* 2026920 */     GIR_EraseRootFromParent_Done,
     /* 2026921 */   // Label 26905: @2026921
     /* 2026921 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2027012), // Rule ID 17408 //
     /* 2026926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2026929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2026934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2026946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026972 */     // MIs[0] round
     /* 2026972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026975 */     // MIs[0] policy
     /* 2026975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026985 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2026988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027011 */     // GIR_Coverage, 17408,
     /* 2027011 */     GIR_EraseRootFromParent_Done,
     /* 2027012 */   // Label 26906: @2027012
     /* 2027012 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2027103), // Rule ID 17409 //
     /* 2027017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2027020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2027028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2027031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2027034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2027037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027063 */     // MIs[0] round
     /* 2027063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027066 */     // MIs[0] policy
     /* 2027066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2027079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027102 */     // GIR_Coverage, 17409,
     /* 2027102 */     GIR_EraseRootFromParent_Done,
     /* 2027103 */   // Label 26907: @2027103
     /* 2027103 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2027194), // Rule ID 17412 //
     /* 2027108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2027111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2027119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2027122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2027125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2027128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027154 */     // MIs[0] round
     /* 2027154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027157 */     // MIs[0] policy
     /* 2027157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2027170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027193 */     // GIR_Coverage, 17412,
     /* 2027193 */     GIR_EraseRootFromParent_Done,
     /* 2027194 */   // Label 26908: @2027194
     /* 2027194 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2027285), // Rule ID 17413 //
     /* 2027199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2027202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2027210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2027213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2027216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2027219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027245 */     // MIs[0] round
     /* 2027245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027248 */     // MIs[0] policy
     /* 2027248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027258 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2027261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027284 */     // GIR_Coverage, 17413,
     /* 2027284 */     GIR_EraseRootFromParent_Done,
     /* 2027285 */   // Label 26909: @2027285
     /* 2027285 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2027376), // Rule ID 17416 //
     /* 2027290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2027293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027336 */     // MIs[0] round
     /* 2027336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027339 */     // MIs[0] policy
     /* 2027339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027349 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2027352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027375 */     // GIR_Coverage, 17416,
     /* 2027375 */     GIR_EraseRootFromParent_Done,
     /* 2027376 */   // Label 26910: @2027376
     /* 2027376 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2027467), // Rule ID 17417 //
     /* 2027381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2027384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2027392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2027395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027427 */     // MIs[0] round
     /* 2027427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027430 */     // MIs[0] policy
     /* 2027430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2027443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027466 */     // GIR_Coverage, 17417,
     /* 2027466 */     GIR_EraseRootFromParent_Done,
     /* 2027467 */   // Label 26911: @2027467
     /* 2027467 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2027558), // Rule ID 17420 //
     /* 2027472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2027475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027518 */     // MIs[0] round
     /* 2027518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027521 */     // MIs[0] policy
     /* 2027521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027531 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2027534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027557 */     // GIR_Coverage, 17420,
     /* 2027557 */     GIR_EraseRootFromParent_Done,
     /* 2027558 */   // Label 26912: @2027558
     /* 2027558 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2027649), // Rule ID 17421 //
     /* 2027563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2027566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2027574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2027577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027609 */     // MIs[0] round
     /* 2027609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027612 */     // MIs[0] policy
     /* 2027612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027622 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2027625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027648 */     // GIR_Coverage, 17421,
     /* 2027648 */     GIR_EraseRootFromParent_Done,
     /* 2027649 */   // Label 26913: @2027649
     /* 2027649 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2027740), // Rule ID 17424 //
     /* 2027654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2027657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2027696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027700 */     // MIs[0] round
     /* 2027700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027703 */     // MIs[0] policy
     /* 2027703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2027716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027739 */     // GIR_Coverage, 17424,
     /* 2027739 */     GIR_EraseRootFromParent_Done,
     /* 2027740 */   // Label 26914: @2027740
     /* 2027740 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2027831), // Rule ID 17425 //
     /* 2027745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2027748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2027762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2027787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027791 */     // MIs[0] round
     /* 2027791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027794 */     // MIs[0] policy
     /* 2027794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027804 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2027807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027830 */     // GIR_Coverage, 17425,
     /* 2027830 */     GIR_EraseRootFromParent_Done,
     /* 2027831 */   // Label 26915: @2027831
     /* 2027831 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2027922), // Rule ID 17428 //
     /* 2027836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2027839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2027847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2027850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2027853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027882 */     // MIs[0] round
     /* 2027882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027885 */     // MIs[0] policy
     /* 2027885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2027898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027921 */     // GIR_Coverage, 17428,
     /* 2027921 */     GIR_EraseRootFromParent_Done,
     /* 2027922 */   // Label 26916: @2027922
     /* 2027922 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2028013), // Rule ID 17429 //
     /* 2027927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2027930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2027935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2027938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2027941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2027944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2027947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2027969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027973 */     // MIs[0] round
     /* 2027973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027976 */     // MIs[0] policy
     /* 2027976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027986 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10854:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2027989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028012 */     // GIR_Coverage, 17429,
     /* 2028012 */     GIR_EraseRootFromParent_Done,
     /* 2028013 */   // Label 26917: @2028013
     /* 2028013 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2028104), // Rule ID 17432 //
     /* 2028018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2028021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2028060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028064 */     // MIs[0] round
     /* 2028064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028067 */     // MIs[0] policy
     /* 2028067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2028080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028103 */     // GIR_Coverage, 17432,
     /* 2028103 */     GIR_EraseRootFromParent_Done,
     /* 2028104 */   // Label 26918: @2028104
     /* 2028104 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2028195), // Rule ID 17433 //
     /* 2028109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2028112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2028120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2028123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2028151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028155 */     // MIs[0] round
     /* 2028155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028158 */     // MIs[0] policy
     /* 2028158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10854:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2028171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028194 */     // GIR_Coverage, 17433,
     /* 2028194 */     GIR_EraseRootFromParent_Done,
     /* 2028195 */   // Label 26919: @2028195
     /* 2028195 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2028286), // Rule ID 17436 //
     /* 2028200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2028203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2028242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028246 */     // MIs[0] round
     /* 2028246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028249 */     // MIs[0] policy
     /* 2028249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2028262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028285 */     // GIR_Coverage, 17436,
     /* 2028285 */     GIR_EraseRootFromParent_Done,
     /* 2028286 */   // Label 26920: @2028286
     /* 2028286 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2028377), // Rule ID 17437 //
     /* 2028291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2028294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2028308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2028333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028337 */     // MIs[0] round
     /* 2028337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028340 */     // MIs[0] policy
     /* 2028340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10854:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2028353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028376 */     // GIR_Coverage, 17437,
     /* 2028376 */     GIR_EraseRootFromParent_Done,
     /* 2028377 */   // Label 26921: @2028377
     /* 2028377 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2028468), // Rule ID 17440 //
     /* 2028382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2028385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2028393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2028396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028428 */     // MIs[0] round
     /* 2028428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028431 */     // MIs[0] policy
     /* 2028431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028441 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2028444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028467 */     // GIR_Coverage, 17440,
     /* 2028467 */     GIR_EraseRootFromParent_Done,
     /* 2028468 */   // Label 26922: @2028468
     /* 2028468 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2028559), // Rule ID 17441 //
     /* 2028473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2028476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2028484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2028487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028519 */     // MIs[0] round
     /* 2028519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028522 */     // MIs[0] policy
     /* 2028522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028532 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2028535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028558 */     // GIR_Coverage, 17441,
     /* 2028558 */     GIR_EraseRootFromParent_Done,
     /* 2028559 */   // Label 26923: @2028559
     /* 2028559 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2028650), // Rule ID 17444 //
     /* 2028564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2028567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2028575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2028578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028610 */     // MIs[0] round
     /* 2028610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028613 */     // MIs[0] policy
     /* 2028613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2028626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028649 */     // GIR_Coverage, 17444,
     /* 2028649 */     GIR_EraseRootFromParent_Done,
     /* 2028650 */   // Label 26924: @2028650
     /* 2028650 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2028741), // Rule ID 17445 //
     /* 2028655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2028658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2028666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2028669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028701 */     // MIs[0] round
     /* 2028701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028704 */     // MIs[0] policy
     /* 2028704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2028717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028740 */     // GIR_Coverage, 17445,
     /* 2028740 */     GIR_EraseRootFromParent_Done,
     /* 2028741 */   // Label 26925: @2028741
     /* 2028741 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2028832), // Rule ID 17448 //
     /* 2028746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2028749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2028757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2028760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028792 */     // MIs[0] round
     /* 2028792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028795 */     // MIs[0] policy
     /* 2028795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2028808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028831 */     // GIR_Coverage, 17448,
     /* 2028831 */     GIR_EraseRootFromParent_Done,
     /* 2028832 */   // Label 26926: @2028832
     /* 2028832 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2028923), // Rule ID 17449 //
     /* 2028837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2028840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2028848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2028851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2028857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2028879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028883 */     // MIs[0] round
     /* 2028883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028886 */     // MIs[0] policy
     /* 2028886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028896 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2028899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028922 */     // GIR_Coverage, 17449,
     /* 2028922 */     GIR_EraseRootFromParent_Done,
     /* 2028923 */   // Label 26927: @2028923
     /* 2028923 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2029014), // Rule ID 17452 //
     /* 2028928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2028931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2028936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2028939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2028942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2028945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2028970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028974 */     // MIs[0] round
     /* 2028974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028977 */     // MIs[0] policy
     /* 2028977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2028990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029013 */     // GIR_Coverage, 17452,
     /* 2029013 */     GIR_EraseRootFromParent_Done,
     /* 2029014 */   // Label 26928: @2029014
     /* 2029014 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2029105), // Rule ID 17453 //
     /* 2029019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2029022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2029030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2029033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2029061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029065 */     // MIs[0] round
     /* 2029065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029068 */     // MIs[0] policy
     /* 2029068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2029081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029104 */     // GIR_Coverage, 17453,
     /* 2029104 */     GIR_EraseRootFromParent_Done,
     /* 2029105 */   // Label 26929: @2029105
     /* 2029105 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2029196), // Rule ID 17456 //
     /* 2029110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2029113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2029152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029156 */     // MIs[0] round
     /* 2029156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029159 */     // MIs[0] policy
     /* 2029159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2029172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029195 */     // GIR_Coverage, 17456,
     /* 2029195 */     GIR_EraseRootFromParent_Done,
     /* 2029196 */   // Label 26930: @2029196
     /* 2029196 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2029287), // Rule ID 17457 //
     /* 2029201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2029204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2029212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2029215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2029243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029247 */     // MIs[0] round
     /* 2029247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029250 */     // MIs[0] policy
     /* 2029250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2029263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029286 */     // GIR_Coverage, 17457,
     /* 2029286 */     GIR_EraseRootFromParent_Done,
     /* 2029287 */   // Label 26931: @2029287
     /* 2029287 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2029378), // Rule ID 17460 //
     /* 2029292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2029295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2029303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2029306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2029309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2029334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029338 */     // MIs[0] round
     /* 2029338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029341 */     // MIs[0] policy
     /* 2029341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2029354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029377 */     // GIR_Coverage, 17460,
     /* 2029377 */     GIR_EraseRootFromParent_Done,
     /* 2029378 */   // Label 26932: @2029378
     /* 2029378 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2029469), // Rule ID 17461 //
     /* 2029383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2029386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2029394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2029397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2029400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2029425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029429 */     // MIs[0] round
     /* 2029429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029432 */     // MIs[0] policy
     /* 2029432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029442 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2029445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029468 */     // GIR_Coverage, 17461,
     /* 2029468 */     GIR_EraseRootFromParent_Done,
     /* 2029469 */   // Label 26933: @2029469
     /* 2029469 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2029560), // Rule ID 17464 //
     /* 2029474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2029477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2029485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2029488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2029491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029520 */     // MIs[0] round
     /* 2029520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029523 */     // MIs[0] policy
     /* 2029523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2029536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029559 */     // GIR_Coverage, 17464,
     /* 2029559 */     GIR_EraseRootFromParent_Done,
     /* 2029560 */   // Label 26934: @2029560
     /* 2029560 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2029651), // Rule ID 17465 //
     /* 2029565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2029568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2029576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2029579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2029582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029611 */     // MIs[0] round
     /* 2029611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029614 */     // MIs[0] policy
     /* 2029614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029624 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10854:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2029627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029650 */     // GIR_Coverage, 17465,
     /* 2029650 */     GIR_EraseRootFromParent_Done,
     /* 2029651 */   // Label 26935: @2029651
     /* 2029651 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2029742), // Rule ID 17468 //
     /* 2029656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2029659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2029673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029702 */     // MIs[0] round
     /* 2029702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029705 */     // MIs[0] policy
     /* 2029705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029715 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2029718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029741 */     // GIR_Coverage, 17468,
     /* 2029741 */     GIR_EraseRootFromParent_Done,
     /* 2029742 */   // Label 26936: @2029742
     /* 2029742 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2029833), // Rule ID 17469 //
     /* 2029747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2029750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2029764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029793 */     // MIs[0] round
     /* 2029793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029796 */     // MIs[0] policy
     /* 2029796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029806 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10854:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2029809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029832 */     // GIR_Coverage, 17469,
     /* 2029832 */     GIR_EraseRootFromParent_Done,
     /* 2029833 */   // Label 26937: @2029833
     /* 2029833 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2029924), // Rule ID 17472 //
     /* 2029838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2029841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2029855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029884 */     // MIs[0] round
     /* 2029884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029887 */     // MIs[0] policy
     /* 2029887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2029900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029923 */     // GIR_Coverage, 17472,
     /* 2029923 */     GIR_EraseRootFromParent_Done,
     /* 2029924 */   // Label 26938: @2029924
     /* 2029924 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2030015), // Rule ID 17473 //
     /* 2029929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2029932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2029937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2029946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2029971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029975 */     // MIs[0] round
     /* 2029975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029978 */     // MIs[0] policy
     /* 2029978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10854:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2029991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030014 */     // GIR_Coverage, 17473,
     /* 2030014 */     GIR_EraseRootFromParent_Done,
     /* 2030015 */   // Label 26939: @2030015
     /* 2030015 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2030106), // Rule ID 17476 //
     /* 2030020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2030023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2030031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2030034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2030037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030066 */     // MIs[0] round
     /* 2030066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030069 */     // MIs[0] policy
     /* 2030069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030079 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2030082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030105 */     // GIR_Coverage, 17476,
     /* 2030105 */     GIR_EraseRootFromParent_Done,
     /* 2030106 */   // Label 26940: @2030106
     /* 2030106 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2030197), // Rule ID 17477 //
     /* 2030111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2030114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2030122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2030125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2030128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030157 */     // MIs[0] round
     /* 2030157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030160 */     // MIs[0] policy
     /* 2030160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030170 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2030173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030196 */     // GIR_Coverage, 17477,
     /* 2030196 */     GIR_EraseRootFromParent_Done,
     /* 2030197 */   // Label 26941: @2030197
     /* 2030197 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2030288), // Rule ID 17480 //
     /* 2030202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2030205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030248 */     // MIs[0] round
     /* 2030248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030251 */     // MIs[0] policy
     /* 2030251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030261 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2030264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030287 */     // GIR_Coverage, 17480,
     /* 2030287 */     GIR_EraseRootFromParent_Done,
     /* 2030288 */   // Label 26942: @2030288
     /* 2030288 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2030379), // Rule ID 17481 //
     /* 2030293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2030296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030339 */     // MIs[0] round
     /* 2030339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030342 */     // MIs[0] policy
     /* 2030342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2030355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030378 */     // GIR_Coverage, 17481,
     /* 2030378 */     GIR_EraseRootFromParent_Done,
     /* 2030379 */   // Label 26943: @2030379
     /* 2030379 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2030470), // Rule ID 17484 //
     /* 2030384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2030387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2030426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030430 */     // MIs[0] round
     /* 2030430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030433 */     // MIs[0] policy
     /* 2030433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030443 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2030446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030469 */     // GIR_Coverage, 17484,
     /* 2030469 */     GIR_EraseRootFromParent_Done,
     /* 2030470 */   // Label 26944: @2030470
     /* 2030470 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2030561), // Rule ID 17485 //
     /* 2030475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2030478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2030517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030521 */     // MIs[0] round
     /* 2030521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030524 */     // MIs[0] policy
     /* 2030524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030534 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2030537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030560 */     // GIR_Coverage, 17485,
     /* 2030560 */     GIR_EraseRootFromParent_Done,
     /* 2030561 */   // Label 26945: @2030561
     /* 2030561 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2030652), // Rule ID 17488 //
     /* 2030566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2030569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030612 */     // MIs[0] round
     /* 2030612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030615 */     // MIs[0] policy
     /* 2030615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030625 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2030628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030651 */     // GIR_Coverage, 17488,
     /* 2030651 */     GIR_EraseRootFromParent_Done,
     /* 2030652 */   // Label 26946: @2030652
     /* 2030652 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2030743), // Rule ID 17489 //
     /* 2030657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2030660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2030677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2030699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030703 */     // MIs[0] round
     /* 2030703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030706 */     // MIs[0] policy
     /* 2030706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2030719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030742 */     // GIR_Coverage, 17489,
     /* 2030742 */     GIR_EraseRootFromParent_Done,
     /* 2030743 */   // Label 26947: @2030743
     /* 2030743 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2030834), // Rule ID 17492 //
     /* 2030748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2030751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2030790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030794 */     // MIs[0] round
     /* 2030794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030797 */     // MIs[0] policy
     /* 2030797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2030810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030833 */     // GIR_Coverage, 17492,
     /* 2030833 */     GIR_EraseRootFromParent_Done,
     /* 2030834 */   // Label 26948: @2030834
     /* 2030834 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2030925), // Rule ID 17493 //
     /* 2030839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2030842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2030881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030885 */     // MIs[0] round
     /* 2030885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030888 */     // MIs[0] policy
     /* 2030888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030898 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2030901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030924 */     // GIR_Coverage, 17493,
     /* 2030924 */     GIR_EraseRootFromParent_Done,
     /* 2030925 */   // Label 26949: @2030925
     /* 2030925 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2031016), // Rule ID 17496 //
     /* 2030930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2030933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2030938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2030941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2030944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2030972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030976 */     // MIs[0] round
     /* 2030976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030979 */     // MIs[0] policy
     /* 2030979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2030992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031015 */     // GIR_Coverage, 17496,
     /* 2031015 */     GIR_EraseRootFromParent_Done,
     /* 2031016 */   // Label 26950: @2031016
     /* 2031016 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2031107), // Rule ID 17497 //
     /* 2031021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2031024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2031063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031067 */     // MIs[0] round
     /* 2031067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031070 */     // MIs[0] policy
     /* 2031070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031080 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2031083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031106 */     // GIR_Coverage, 17497,
     /* 2031106 */     GIR_EraseRootFromParent_Done,
     /* 2031107 */   // Label 26951: @2031107
     /* 2031107 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2031198), // Rule ID 17500 //
     /* 2031112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2031115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031158 */     // MIs[0] round
     /* 2031158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031161 */     // MIs[0] policy
     /* 2031161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031171 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2031174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031197 */     // GIR_Coverage, 17500,
     /* 2031197 */     GIR_EraseRootFromParent_Done,
     /* 2031198 */   // Label 26952: @2031198
     /* 2031198 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2031289), // Rule ID 17501 //
     /* 2031203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2031206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031249 */     // MIs[0] round
     /* 2031249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031252 */     // MIs[0] policy
     /* 2031252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031262 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2031265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031288 */     // GIR_Coverage, 17501,
     /* 2031288 */     GIR_EraseRootFromParent_Done,
     /* 2031289 */   // Label 26953: @2031289
     /* 2031289 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2031380), // Rule ID 17504 //
     /* 2031294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2031297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031340 */     // MIs[0] round
     /* 2031340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031343 */     // MIs[0] policy
     /* 2031343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031353 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2031356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031379 */     // GIR_Coverage, 17504,
     /* 2031379 */     GIR_EraseRootFromParent_Done,
     /* 2031380 */   // Label 26954: @2031380
     /* 2031380 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2031471), // Rule ID 17505 //
     /* 2031385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2031388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031431 */     // MIs[0] round
     /* 2031431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031434 */     // MIs[0] policy
     /* 2031434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2031447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031470 */     // GIR_Coverage, 17505,
     /* 2031470 */     GIR_EraseRootFromParent_Done,
     /* 2031471 */   // Label 26955: @2031471
     /* 2031471 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2031562), // Rule ID 17508 //
     /* 2031476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2031479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2031487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2031490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2031493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031522 */     // MIs[0] round
     /* 2031522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031525 */     // MIs[0] policy
     /* 2031525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2031538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031561 */     // GIR_Coverage, 17508,
     /* 2031561 */     GIR_EraseRootFromParent_Done,
     /* 2031562 */   // Label 26956: @2031562
     /* 2031562 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2031653), // Rule ID 17509 //
     /* 2031567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2031570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2031578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2031581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2031584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2031587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2031609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031613 */     // MIs[0] round
     /* 2031613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031616 */     // MIs[0] policy
     /* 2031616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2031629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031652 */     // GIR_Coverage, 17509,
     /* 2031652 */     GIR_EraseRootFromParent_Done,
     /* 2031653 */   // Label 26957: @2031653
     /* 2031653 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2031744), // Rule ID 17512 //
     /* 2031658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2031661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2031675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2031700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031704 */     // MIs[0] round
     /* 2031704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031707 */     // MIs[0] policy
     /* 2031707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2031720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031743 */     // GIR_Coverage, 17512,
     /* 2031743 */     GIR_EraseRootFromParent_Done,
     /* 2031744 */   // Label 26958: @2031744
     /* 2031744 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2031835), // Rule ID 17513 //
     /* 2031749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2031752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2031766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2031791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031795 */     // MIs[0] round
     /* 2031795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031798 */     // MIs[0] policy
     /* 2031798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2031811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031834 */     // GIR_Coverage, 17513,
     /* 2031834 */     GIR_EraseRootFromParent_Done,
     /* 2031835 */   // Label 26959: @2031835
     /* 2031835 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2031926), // Rule ID 17516 //
     /* 2031840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2031843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2031857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2031882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031886 */     // MIs[0] round
     /* 2031886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031889 */     // MIs[0] policy
     /* 2031889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031899 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2031902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031925 */     // GIR_Coverage, 17516,
     /* 2031925 */     GIR_EraseRootFromParent_Done,
     /* 2031926 */   // Label 26960: @2031926
     /* 2031926 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2032017), // Rule ID 17517 //
     /* 2031931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2031934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2031939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2031948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2031973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031977 */     // MIs[0] round
     /* 2031977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031980 */     // MIs[0] policy
     /* 2031980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2031993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032016 */     // GIR_Coverage, 17517,
     /* 2032016 */     GIR_EraseRootFromParent_Done,
     /* 2032017 */   // Label 26961: @2032017
     /* 2032017 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2032108), // Rule ID 17520 //
     /* 2032022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2032025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2032064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032068 */     // MIs[0] round
     /* 2032068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032071 */     // MIs[0] policy
     /* 2032071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032081 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2032084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032107 */     // GIR_Coverage, 17520,
     /* 2032107 */     GIR_EraseRootFromParent_Done,
     /* 2032108 */   // Label 26962: @2032108
     /* 2032108 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2032199), // Rule ID 17521 //
     /* 2032113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2032116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2032155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032159 */     // MIs[0] round
     /* 2032159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032162 */     // MIs[0] policy
     /* 2032162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032172 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2032175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032198 */     // GIR_Coverage, 17521,
     /* 2032198 */     GIR_EraseRootFromParent_Done,
     /* 2032199 */   // Label 26963: @2032199
     /* 2032199 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2032290), // Rule ID 17524 //
     /* 2032204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2032207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032250 */     // MIs[0] round
     /* 2032250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032253 */     // MIs[0] policy
     /* 2032253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2032266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032289 */     // GIR_Coverage, 17524,
     /* 2032289 */     GIR_EraseRootFromParent_Done,
     /* 2032290 */   // Label 26964: @2032290
     /* 2032290 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2032381), // Rule ID 17525 //
     /* 2032295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2032298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032341 */     // MIs[0] round
     /* 2032341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032344 */     // MIs[0] policy
     /* 2032344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2032357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032380 */     // GIR_Coverage, 17525,
     /* 2032380 */     GIR_EraseRootFromParent_Done,
     /* 2032381 */   // Label 26965: @2032381
     /* 2032381 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2032472), // Rule ID 17528 //
     /* 2032386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2032389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032432 */     // MIs[0] round
     /* 2032432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032435 */     // MIs[0] policy
     /* 2032435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2032448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032471 */     // GIR_Coverage, 17528,
     /* 2032471 */     GIR_EraseRootFromParent_Done,
     /* 2032472 */   // Label 26966: @2032472
     /* 2032472 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2032563), // Rule ID 17529 //
     /* 2032477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2032480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032523 */     // MIs[0] round
     /* 2032523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032526 */     // MIs[0] policy
     /* 2032526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032536 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2032539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032562 */     // GIR_Coverage, 17529,
     /* 2032562 */     GIR_EraseRootFromParent_Done,
     /* 2032563 */   // Label 26967: @2032563
     /* 2032563 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2032654), // Rule ID 17532 //
     /* 2032568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2032571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2032585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032614 */     // MIs[0] round
     /* 2032614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032617 */     // MIs[0] policy
     /* 2032617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2032630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032653 */     // GIR_Coverage, 17532,
     /* 2032653 */     GIR_EraseRootFromParent_Done,
     /* 2032654 */   // Label 26968: @2032654
     /* 2032654 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2032745), // Rule ID 17533 //
     /* 2032659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2032662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2032667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2032676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2032701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032705 */     // MIs[0] round
     /* 2032705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032708 */     // MIs[0] policy
     /* 2032708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032718 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2032721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032744 */     // GIR_Coverage, 17533,
     /* 2032744 */     GIR_EraseRootFromParent_Done,
     /* 2032745 */   // Label 26969: @2032745
     /* 2032745 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2032836), // Rule ID 17536 //
     /* 2032750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2032753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2032758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2032767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2032770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032796 */     // MIs[0] round
     /* 2032796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032799 */     // MIs[0] policy
     /* 2032799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032809 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2032812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032835 */     // GIR_Coverage, 17536,
     /* 2032835 */     GIR_EraseRootFromParent_Done,
     /* 2032836 */   // Label 26970: @2032836
     /* 2032836 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2032927), // Rule ID 17537 //
     /* 2032841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2032844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2032849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2032852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2032855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2032858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2032861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032887 */     // MIs[0] round
     /* 2032887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032890 */     // MIs[0] policy
     /* 2032890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032900 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2032903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032926 */     // GIR_Coverage, 17537,
     /* 2032926 */     GIR_EraseRootFromParent_Done,
     /* 2032927 */   // Label 26971: @2032927
     /* 2032927 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2033018), // Rule ID 17540 //
     /* 2032932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2032935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2032940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2032943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2032946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2032949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2032952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032978 */     // MIs[0] round
     /* 2032978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032981 */     // MIs[0] policy
     /* 2032981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2032994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033017 */     // GIR_Coverage, 17540,
     /* 2033017 */     GIR_EraseRootFromParent_Done,
     /* 2033018 */   // Label 26972: @2033018
     /* 2033018 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2033109), // Rule ID 17541 //
     /* 2033023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2033034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2033037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2033040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2033043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033069 */     // MIs[0] round
     /* 2033069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033072 */     // MIs[0] policy
     /* 2033072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033082 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2033085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033108 */     // GIR_Coverage, 17541,
     /* 2033108 */     GIR_EraseRootFromParent_Done,
     /* 2033109 */   // Label 26973: @2033109
     /* 2033109 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2033200), // Rule ID 17544 //
     /* 2033114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2033117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2033131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2033134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033160 */     // MIs[0] round
     /* 2033160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033163 */     // MIs[0] policy
     /* 2033163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033173 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2033176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033199 */     // GIR_Coverage, 17544,
     /* 2033199 */     GIR_EraseRootFromParent_Done,
     /* 2033200 */   // Label 26974: @2033200
     /* 2033200 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2033291), // Rule ID 17545 //
     /* 2033205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2033216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2033219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2033222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2033225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033251 */     // MIs[0] round
     /* 2033251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033254 */     // MIs[0] policy
     /* 2033254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2033267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033290 */     // GIR_Coverage, 17545,
     /* 2033290 */     GIR_EraseRootFromParent_Done,
     /* 2033291 */   // Label 26975: @2033291
     /* 2033291 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2033382), // Rule ID 17548 //
     /* 2033296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2033299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033342 */     // MIs[0] round
     /* 2033342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033345 */     // MIs[0] policy
     /* 2033345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033355 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2033358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033381 */     // GIR_Coverage, 17548,
     /* 2033381 */     GIR_EraseRootFromParent_Done,
     /* 2033382 */   // Label 26976: @2033382
     /* 2033382 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2033473), // Rule ID 17549 //
     /* 2033387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2033398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2033401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2033404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2033407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033433 */     // MIs[0] round
     /* 2033433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033436 */     // MIs[0] policy
     /* 2033436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033446 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2033449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033472 */     // GIR_Coverage, 17549,
     /* 2033472 */     GIR_EraseRootFromParent_Done,
     /* 2033473 */   // Label 26977: @2033473
     /* 2033473 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2033564), // Rule ID 17552 //
     /* 2033478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2033481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033524 */     // MIs[0] round
     /* 2033524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033527 */     // MIs[0] policy
     /* 2033527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033537 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2033540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033563 */     // GIR_Coverage, 17552,
     /* 2033563 */     GIR_EraseRootFromParent_Done,
     /* 2033564 */   // Label 26978: @2033564
     /* 2033564 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2033655), // Rule ID 17553 //
     /* 2033569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2033572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2033580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2033583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2033586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2033589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2033592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033615 */     // MIs[0] round
     /* 2033615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033618 */     // MIs[0] policy
     /* 2033618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033628 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2033631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033654 */     // GIR_Coverage, 17553,
     /* 2033654 */     GIR_EraseRootFromParent_Done,
     /* 2033655 */   // Label 26979: @2033655
     /* 2033655 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2033746), // Rule ID 17556 //
     /* 2033660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033706 */     // MIs[0] round
     /* 2033706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033709 */     // MIs[0] policy
     /* 2033709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2033722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033745 */     // GIR_Coverage, 17556,
     /* 2033745 */     GIR_EraseRootFromParent_Done,
     /* 2033746 */   // Label 26980: @2033746
     /* 2033746 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2033837), // Rule ID 17557 //
     /* 2033751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033797 */     // MIs[0] round
     /* 2033797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033800 */     // MIs[0] policy
     /* 2033800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2033813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033836 */     // GIR_Coverage, 17557,
     /* 2033836 */     GIR_EraseRootFromParent_Done,
     /* 2033837 */   // Label 26981: @2033837
     /* 2033837 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2033928), // Rule ID 17560 //
     /* 2033842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2033845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2033859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2033862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033888 */     // MIs[0] round
     /* 2033888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033891 */     // MIs[0] policy
     /* 2033891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033901 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2033904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033927 */     // GIR_Coverage, 17560,
     /* 2033927 */     GIR_EraseRootFromParent_Done,
     /* 2033928 */   // Label 26982: @2033928
     /* 2033928 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2034019), // Rule ID 17561 //
     /* 2033933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2033936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2033941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2033950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2033953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033979 */     // MIs[0] round
     /* 2033979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033982 */     // MIs[0] policy
     /* 2033982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033992 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2033995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034018 */     // GIR_Coverage, 17561,
     /* 2034018 */     GIR_EraseRootFromParent_Done,
     /* 2034019 */   // Label 26983: @2034019
     /* 2034019 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2034110), // Rule ID 17564 //
     /* 2034024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2034027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2034044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034070 */     // MIs[0] round
     /* 2034070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034073 */     // MIs[0] policy
     /* 2034073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034083 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2034086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034109 */     // GIR_Coverage, 17564,
     /* 2034109 */     GIR_EraseRootFromParent_Done,
     /* 2034110 */   // Label 26984: @2034110
     /* 2034110 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2034201), // Rule ID 17565 //
     /* 2034115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2034118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2034132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2034135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034161 */     // MIs[0] round
     /* 2034161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034164 */     // MIs[0] policy
     /* 2034164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034174 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2034177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034200 */     // GIR_Coverage, 17565,
     /* 2034200 */     GIR_EraseRootFromParent_Done,
     /* 2034201 */   // Label 26985: @2034201
     /* 2034201 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2034292), // Rule ID 17568 //
     /* 2034206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2034209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034252 */     // MIs[0] round
     /* 2034252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034255 */     // MIs[0] policy
     /* 2034255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034265 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2034268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034291 */     // GIR_Coverage, 17568,
     /* 2034291 */     GIR_EraseRootFromParent_Done,
     /* 2034292 */   // Label 26986: @2034292
     /* 2034292 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2034383), // Rule ID 17569 //
     /* 2034297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2034300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2034314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2034317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034343 */     // MIs[0] round
     /* 2034343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034346 */     // MIs[0] policy
     /* 2034346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2034359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034382 */     // GIR_Coverage, 17569,
     /* 2034382 */     GIR_EraseRootFromParent_Done,
     /* 2034383 */   // Label 26987: @2034383
     /* 2034383 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2034474), // Rule ID 17572 //
     /* 2034388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2034391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034434 */     // MIs[0] round
     /* 2034434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034437 */     // MIs[0] policy
     /* 2034437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034447 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2034450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034473 */     // GIR_Coverage, 17572,
     /* 2034473 */     GIR_EraseRootFromParent_Done,
     /* 2034474 */   // Label 26988: @2034474
     /* 2034474 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2034565), // Rule ID 17573 //
     /* 2034479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2034482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034525 */     // MIs[0] round
     /* 2034525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034528 */     // MIs[0] policy
     /* 2034528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034538 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2034541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034564 */     // GIR_Coverage, 17573,
     /* 2034564 */     GIR_EraseRootFromParent_Done,
     /* 2034565 */   // Label 26989: @2034565
     /* 2034565 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2034656), // Rule ID 17576 //
     /* 2034570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2034573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034616 */     // MIs[0] round
     /* 2034616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034619 */     // MIs[0] policy
     /* 2034619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2034632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034655 */     // GIR_Coverage, 17576,
     /* 2034655 */     GIR_EraseRootFromParent_Done,
     /* 2034656 */   // Label 26990: @2034656
     /* 2034656 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2034747), // Rule ID 17577 //
     /* 2034661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2034664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034707 */     // MIs[0] round
     /* 2034707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034710 */     // MIs[0] policy
     /* 2034710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2034723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034746 */     // GIR_Coverage, 17577,
     /* 2034746 */     GIR_EraseRootFromParent_Done,
     /* 2034747 */   // Label 26991: @2034747
     /* 2034747 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2034838), // Rule ID 17580 //
     /* 2034752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2034755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034798 */     // MIs[0] round
     /* 2034798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034801 */     // MIs[0] policy
     /* 2034801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034811 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2034814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034837 */     // GIR_Coverage, 17580,
     /* 2034837 */     GIR_EraseRootFromParent_Done,
     /* 2034838 */   // Label 26992: @2034838
     /* 2034838 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2034929), // Rule ID 17581 //
     /* 2034843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2034846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034889 */     // MIs[0] round
     /* 2034889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034892 */     // MIs[0] policy
     /* 2034892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034902 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2034905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034928 */     // GIR_Coverage, 17581,
     /* 2034928 */     GIR_EraseRootFromParent_Done,
     /* 2034929 */   // Label 26993: @2034929
     /* 2034929 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2035020), // Rule ID 17584 //
     /* 2034934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2034937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2034942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2034951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2034954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2034976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034980 */     // MIs[0] round
     /* 2034980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034983 */     // MIs[0] policy
     /* 2034983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034993 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2034996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035019 */     // GIR_Coverage, 17584,
     /* 2035019 */     GIR_EraseRootFromParent_Done,
     /* 2035020 */   // Label 26994: @2035020
     /* 2035020 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2035111), // Rule ID 17585 //
     /* 2035025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2035045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2035067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035071 */     // MIs[0] round
     /* 2035071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035074 */     // MIs[0] policy
     /* 2035074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035084 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2035087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035110 */     // GIR_Coverage, 17585,
     /* 2035110 */     GIR_EraseRootFromParent_Done,
     /* 2035111 */   // Label 26995: @2035111
     /* 2035111 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2035202), // Rule ID 17588 //
     /* 2035116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2035127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2035130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2035136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2035158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035162 */     // MIs[0] round
     /* 2035162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035165 */     // MIs[0] policy
     /* 2035165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035175 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2035178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035201 */     // GIR_Coverage, 17588,
     /* 2035201 */     GIR_EraseRootFromParent_Done,
     /* 2035202 */   // Label 26996: @2035202
     /* 2035202 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2035293), // Rule ID 17589 //
     /* 2035207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2035218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2035221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2035227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2035249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035253 */     // MIs[0] round
     /* 2035253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035256 */     // MIs[0] policy
     /* 2035256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035266 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2035269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035292 */     // GIR_Coverage, 17589,
     /* 2035292 */     GIR_EraseRootFromParent_Done,
     /* 2035293 */   // Label 26997: @2035293
     /* 2035293 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2035384), // Rule ID 17592 //
     /* 2035298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2035301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035344 */     // MIs[0] round
     /* 2035344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035347 */     // MIs[0] policy
     /* 2035347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035357 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2035360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035383 */     // GIR_Coverage, 17592,
     /* 2035383 */     GIR_EraseRootFromParent_Done,
     /* 2035384 */   // Label 26998: @2035384
     /* 2035384 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2035475), // Rule ID 17593 //
     /* 2035389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2035392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2035406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035435 */     // MIs[0] round
     /* 2035435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035438 */     // MIs[0] policy
     /* 2035438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035448 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2035451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035474 */     // GIR_Coverage, 17593,
     /* 2035474 */     GIR_EraseRootFromParent_Done,
     /* 2035475 */   // Label 26999: @2035475
     /* 2035475 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2035566), // Rule ID 17596 //
     /* 2035480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2035483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2035491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2035494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2035497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035526 */     // MIs[0] round
     /* 2035526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035529 */     // MIs[0] policy
     /* 2035529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2035542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035565 */     // GIR_Coverage, 17596,
     /* 2035565 */     GIR_EraseRootFromParent_Done,
     /* 2035566 */   // Label 27000: @2035566
     /* 2035566 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2035657), // Rule ID 17597 //
     /* 2035571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2035574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2035582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2035585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2035588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035617 */     // MIs[0] round
     /* 2035617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035620 */     // MIs[0] policy
     /* 2035620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035630 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2035633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035656 */     // GIR_Coverage, 17597,
     /* 2035656 */     GIR_EraseRootFromParent_Done,
     /* 2035657 */   // Label 27001: @2035657
     /* 2035657 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2035748), // Rule ID 17600 //
     /* 2035662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2035665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2035673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2035676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2035679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035708 */     // MIs[0] round
     /* 2035708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035711 */     // MIs[0] policy
     /* 2035711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035721 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2035724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035747 */     // GIR_Coverage, 17600,
     /* 2035747 */     GIR_EraseRootFromParent_Done,
     /* 2035748 */   // Label 27002: @2035748
     /* 2035748 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2035839), // Rule ID 17601 //
     /* 2035753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2035756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2035764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2035767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2035770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035799 */     // MIs[0] round
     /* 2035799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035802 */     // MIs[0] policy
     /* 2035802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2035815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035838 */     // GIR_Coverage, 17601,
     /* 2035838 */     GIR_EraseRootFromParent_Done,
     /* 2035839 */   // Label 27003: @2035839
     /* 2035839 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2035930), // Rule ID 17604 //
     /* 2035844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2035847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2035861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035890 */     // MIs[0] round
     /* 2035890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035893 */     // MIs[0] policy
     /* 2035893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035903 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2035906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035929 */     // GIR_Coverage, 17604,
     /* 2035929 */     GIR_EraseRootFromParent_Done,
     /* 2035930 */   // Label 27004: @2035930
     /* 2035930 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2036021), // Rule ID 17605 //
     /* 2035935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2035938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2035943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2035952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2035977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035981 */     // MIs[0] round
     /* 2035981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035984 */     // MIs[0] policy
     /* 2035984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035994 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2035997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036020 */     // GIR_Coverage, 17605,
     /* 2036020 */     GIR_EraseRootFromParent_Done,
     /* 2036021 */   // Label 27005: @2036021
     /* 2036021 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2036112), // Rule ID 17608 //
     /* 2036026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2036029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2036037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2036040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2036043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036072 */     // MIs[0] round
     /* 2036072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036075 */     // MIs[0] policy
     /* 2036075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036085 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2036088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036111 */     // GIR_Coverage, 17608,
     /* 2036111 */     GIR_EraseRootFromParent_Done,
     /* 2036112 */   // Label 27006: @2036112
     /* 2036112 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2036203), // Rule ID 17609 //
     /* 2036117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2036120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2036128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2036131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2036134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036163 */     // MIs[0] round
     /* 2036163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036166 */     // MIs[0] policy
     /* 2036166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036176 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2036179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036202 */     // GIR_Coverage, 17609,
     /* 2036202 */     GIR_EraseRootFromParent_Done,
     /* 2036203 */   // Label 27007: @2036203
     /* 2036203 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2036294), // Rule ID 17612 //
     /* 2036208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2036211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036254 */     // MIs[0] round
     /* 2036254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036257 */     // MIs[0] policy
     /* 2036257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036267 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2036270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036293 */     // GIR_Coverage, 17612,
     /* 2036293 */     GIR_EraseRootFromParent_Done,
     /* 2036294 */   // Label 27008: @2036294
     /* 2036294 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2036385), // Rule ID 17613 //
     /* 2036299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2036302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036345 */     // MIs[0] round
     /* 2036345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036348 */     // MIs[0] policy
     /* 2036348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036358 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2036361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036384 */     // GIR_Coverage, 17613,
     /* 2036384 */     GIR_EraseRootFromParent_Done,
     /* 2036385 */   // Label 27009: @2036385
     /* 2036385 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2036476), // Rule ID 17616 //
     /* 2036390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2036393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2036410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036436 */     // MIs[0] round
     /* 2036436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036439 */     // MIs[0] policy
     /* 2036439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036449 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2036452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036475 */     // GIR_Coverage, 17616,
     /* 2036475 */     GIR_EraseRootFromParent_Done,
     /* 2036476 */   // Label 27010: @2036476
     /* 2036476 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2036567), // Rule ID 17617 //
     /* 2036481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2036484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2036492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2036495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2036498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2036501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036527 */     // MIs[0] round
     /* 2036527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036530 */     // MIs[0] policy
     /* 2036530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036540 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2036543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036566 */     // GIR_Coverage, 17617,
     /* 2036566 */     GIR_EraseRootFromParent_Done,
     /* 2036567 */   // Label 27011: @2036567
     /* 2036567 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2036658), // Rule ID 17620 //
     /* 2036572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2036575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036618 */     // MIs[0] round
     /* 2036618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036621 */     // MIs[0] policy
     /* 2036621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036631 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2036634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036657 */     // GIR_Coverage, 17620,
     /* 2036657 */     GIR_EraseRootFromParent_Done,
     /* 2036658 */   // Label 27012: @2036658
     /* 2036658 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2036749), // Rule ID 17621 //
     /* 2036663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2036666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2036680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036709 */     // MIs[0] round
     /* 2036709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036712 */     // MIs[0] policy
     /* 2036712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036722 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2036725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036748 */     // GIR_Coverage, 17621,
     /* 2036748 */     GIR_EraseRootFromParent_Done,
     /* 2036749 */   // Label 27013: @2036749
     /* 2036749 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2036840), // Rule ID 17624 //
     /* 2036754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2036757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036800 */     // MIs[0] round
     /* 2036800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036803 */     // MIs[0] policy
     /* 2036803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036813 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2036816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036839 */     // GIR_Coverage, 17624,
     /* 2036839 */     GIR_EraseRootFromParent_Done,
     /* 2036840 */   // Label 27014: @2036840
     /* 2036840 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2036931), // Rule ID 17625 //
     /* 2036845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2036848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2036862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2036865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036891 */     // MIs[0] round
     /* 2036891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036894 */     // MIs[0] policy
     /* 2036894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036904 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2036907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2036911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036930 */     // GIR_Coverage, 17625,
     /* 2036930 */     GIR_EraseRootFromParent_Done,
     /* 2036931 */   // Label 27015: @2036931
     /* 2036931 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2037022), // Rule ID 17628 //
     /* 2036936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2036939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2036944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2036947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2036950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2036953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2036956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036982 */     // MIs[0] round
     /* 2036982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036985 */     // MIs[0] policy
     /* 2036985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036995 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2036998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037021 */     // GIR_Coverage, 17628,
     /* 2037021 */     GIR_EraseRootFromParent_Done,
     /* 2037022 */   // Label 27016: @2037022
     /* 2037022 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2037113), // Rule ID 17629 //
     /* 2037027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2037030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2037038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2037041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2037044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2037047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037073 */     // MIs[0] round
     /* 2037073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037076 */     // MIs[0] policy
     /* 2037076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037086 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2037089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037112 */     // GIR_Coverage, 17629,
     /* 2037112 */     GIR_EraseRootFromParent_Done,
     /* 2037113 */   // Label 27017: @2037113
     /* 2037113 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2037204), // Rule ID 17632 //
     /* 2037118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2037121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037164 */     // MIs[0] round
     /* 2037164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037167 */     // MIs[0] policy
     /* 2037167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037177 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2037180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037203 */     // GIR_Coverage, 17632,
     /* 2037203 */     GIR_EraseRootFromParent_Done,
     /* 2037204 */   // Label 27018: @2037204
     /* 2037204 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2037295), // Rule ID 17633 //
     /* 2037209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2037212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2037220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2037223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2037226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037255 */     // MIs[0] round
     /* 2037255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037258 */     // MIs[0] policy
     /* 2037258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037268 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2037271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037294 */     // GIR_Coverage, 17633,
     /* 2037294 */     GIR_EraseRootFromParent_Done,
     /* 2037295 */   // Label 27019: @2037295
     /* 2037295 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2037386), // Rule ID 17636 //
     /* 2037300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2037303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2037320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037346 */     // MIs[0] round
     /* 2037346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037349 */     // MIs[0] policy
     /* 2037349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037359 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2037362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037385 */     // GIR_Coverage, 17636,
     /* 2037385 */     GIR_EraseRootFromParent_Done,
     /* 2037386 */   // Label 27020: @2037386
     /* 2037386 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2037477), // Rule ID 17637 //
     /* 2037391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2037394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2037402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2037405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2037408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2037411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2037414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037437 */     // MIs[0] round
     /* 2037437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037440 */     // MIs[0] policy
     /* 2037440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037450 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2037453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037476 */     // GIR_Coverage, 17637,
     /* 2037476 */     GIR_EraseRootFromParent_Done,
     /* 2037477 */   // Label 27021: @2037477
     /* 2037477 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2037568), // Rule ID 17640 //
     /* 2037482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2037485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2037502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037528 */     // MIs[0] round
     /* 2037528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037531 */     // MIs[0] policy
     /* 2037531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037541 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2037544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037567 */     // GIR_Coverage, 17640,
     /* 2037567 */     GIR_EraseRootFromParent_Done,
     /* 2037568 */   // Label 27022: @2037568
     /* 2037568 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2037659), // Rule ID 17641 //
     /* 2037573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2037576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2037590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2037593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037619 */     // MIs[0] round
     /* 2037619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037622 */     // MIs[0] policy
     /* 2037622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037632 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2037635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037658 */     // GIR_Coverage, 17641,
     /* 2037658 */     GIR_EraseRootFromParent_Done,
     /* 2037659 */   // Label 27023: @2037659
     /* 2037659 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2037750), // Rule ID 17644 //
     /* 2037664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2037667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2037684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037710 */     // MIs[0] round
     /* 2037710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037713 */     // MIs[0] policy
     /* 2037713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037723 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2037726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037749 */     // GIR_Coverage, 17644,
     /* 2037749 */     GIR_EraseRootFromParent_Done,
     /* 2037750 */   // Label 27024: @2037750
     /* 2037750 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2037841), // Rule ID 17645 //
     /* 2037755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2037758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2037772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2037775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037801 */     // MIs[0] round
     /* 2037801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037804 */     // MIs[0] policy
     /* 2037804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037814 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2037817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037840 */     // GIR_Coverage, 17645,
     /* 2037840 */     GIR_EraseRootFromParent_Done,
     /* 2037841 */   // Label 27025: @2037841
     /* 2037841 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2037932), // Rule ID 17648 //
     /* 2037846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2037849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2037866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037892 */     // MIs[0] round
     /* 2037892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037895 */     // MIs[0] policy
     /* 2037895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037905 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2037908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2037912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037931 */     // GIR_Coverage, 17648,
     /* 2037931 */     GIR_EraseRootFromParent_Done,
     /* 2037932 */   // Label 27026: @2037932
     /* 2037932 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2038023), // Rule ID 17649 //
     /* 2037937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2037940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2037945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2037954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2037957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037983 */     // MIs[0] round
     /* 2037983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037986 */     // MIs[0] policy
     /* 2037986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037996 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2037999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038022 */     // GIR_Coverage, 17649,
     /* 2038022 */     GIR_EraseRootFromParent_Done,
     /* 2038023 */   // Label 27027: @2038023
     /* 2038023 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2038114), // Rule ID 17652 //
     /* 2038028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2038031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2038048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038074 */     // MIs[0] round
     /* 2038074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038077 */     // MIs[0] policy
     /* 2038077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038087 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2038090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038113 */     // GIR_Coverage, 17652,
     /* 2038113 */     GIR_EraseRootFromParent_Done,
     /* 2038114 */   // Label 27028: @2038114
     /* 2038114 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2038205), // Rule ID 17653 //
     /* 2038119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2038122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2038130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2038133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2038136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2038139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038165 */     // MIs[0] round
     /* 2038165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038168 */     // MIs[0] policy
     /* 2038168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2038181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038204 */     // GIR_Coverage, 17653,
     /* 2038204 */     GIR_EraseRootFromParent_Done,
     /* 2038205 */   // Label 27029: @2038205
     /* 2038205 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2038296), // Rule ID 17656 //
     /* 2038210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2038213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038256 */     // MIs[0] round
     /* 2038256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038259 */     // MIs[0] policy
     /* 2038259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2038272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038295 */     // GIR_Coverage, 17656,
     /* 2038295 */     GIR_EraseRootFromParent_Done,
     /* 2038296 */   // Label 27030: @2038296
     /* 2038296 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2038387), // Rule ID 17657 //
     /* 2038301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2038304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2038312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2038318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2038321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038347 */     // MIs[0] round
     /* 2038347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038350 */     // MIs[0] policy
     /* 2038350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038360 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2038363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038386 */     // GIR_Coverage, 17657,
     /* 2038386 */     GIR_EraseRootFromParent_Done,
     /* 2038387 */   // Label 27031: @2038387
     /* 2038387 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2038478), // Rule ID 17660 //
     /* 2038392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2038395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2038412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038438 */     // MIs[0] round
     /* 2038438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038441 */     // MIs[0] policy
     /* 2038441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038451 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2038454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038477 */     // GIR_Coverage, 17660,
     /* 2038477 */     GIR_EraseRootFromParent_Done,
     /* 2038478 */   // Label 27032: @2038478
     /* 2038478 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2038569), // Rule ID 17661 //
     /* 2038483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2038486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2038500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2038503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038529 */     // MIs[0] round
     /* 2038529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038532 */     // MIs[0] policy
     /* 2038532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038542 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2038545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038568 */     // GIR_Coverage, 17661,
     /* 2038568 */     GIR_EraseRootFromParent_Done,
     /* 2038569 */   // Label 27033: @2038569
     /* 2038569 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2038660), // Rule ID 17664 //
     /* 2038574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2038577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2038585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2038591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2038612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038620 */     // MIs[0] round
     /* 2038620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038623 */     // MIs[0] policy
     /* 2038623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038633 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2038636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038659 */     // GIR_Coverage, 17664,
     /* 2038659 */     GIR_EraseRootFromParent_Done,
     /* 2038660 */   // Label 27034: @2038660
     /* 2038660 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2038751), // Rule ID 17665 //
     /* 2038665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2038668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2038676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2038682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2038703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038711 */     // MIs[0] round
     /* 2038711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038714 */     // MIs[0] policy
     /* 2038714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038724 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2038727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038750 */     // GIR_Coverage, 17665,
     /* 2038750 */     GIR_EraseRootFromParent_Done,
     /* 2038751 */   // Label 27035: @2038751
     /* 2038751 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2038842), // Rule ID 17668 //
     /* 2038756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2038759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2038773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2038794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038802 */     // MIs[0] round
     /* 2038802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038805 */     // MIs[0] policy
     /* 2038805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038815 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2038818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038841 */     // GIR_Coverage, 17668,
     /* 2038841 */     GIR_EraseRootFromParent_Done,
     /* 2038842 */   // Label 27036: @2038842
     /* 2038842 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2038933), // Rule ID 17669 //
     /* 2038847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2038850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2038864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2038885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038893 */     // MIs[0] round
     /* 2038893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038896 */     // MIs[0] policy
     /* 2038896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038906 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2038909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038932 */     // GIR_Coverage, 17669,
     /* 2038932 */     GIR_EraseRootFromParent_Done,
     /* 2038933 */   // Label 27037: @2038933
     /* 2038933 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2039024), // Rule ID 17672 //
     /* 2038938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2038941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2038955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2038958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2038976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038984 */     // MIs[0] round
     /* 2038984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038987 */     // MIs[0] policy
     /* 2038987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038997 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2039000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039023 */     // GIR_Coverage, 17672,
     /* 2039023 */     GIR_EraseRootFromParent_Done,
     /* 2039024 */   // Label 27038: @2039024
     /* 2039024 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2039115), // Rule ID 17673 //
     /* 2039029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2039032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2039046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2039067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039075 */     // MIs[0] round
     /* 2039075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039078 */     // MIs[0] policy
     /* 2039078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2039091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039114 */     // GIR_Coverage, 17673,
     /* 2039114 */     GIR_EraseRootFromParent_Done,
     /* 2039115 */   // Label 27039: @2039115
     /* 2039115 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2039206), // Rule ID 17676 //
     /* 2039120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2039123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039166 */     // MIs[0] round
     /* 2039166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039169 */     // MIs[0] policy
     /* 2039169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039179 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2039182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039205 */     // GIR_Coverage, 17676,
     /* 2039205 */     GIR_EraseRootFromParent_Done,
     /* 2039206 */   // Label 27040: @2039206
     /* 2039206 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2039297), // Rule ID 17677 //
     /* 2039211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2039214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039257 */     // MIs[0] round
     /* 2039257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039260 */     // MIs[0] policy
     /* 2039260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039270 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2039273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039296 */     // GIR_Coverage, 17677,
     /* 2039296 */     GIR_EraseRootFromParent_Done,
     /* 2039297 */   // Label 27041: @2039297
     /* 2039297 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2039388), // Rule ID 17680 //
     /* 2039302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2039305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2039313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2039316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2039319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2039322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2039340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039348 */     // MIs[0] round
     /* 2039348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039351 */     // MIs[0] policy
     /* 2039351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039361 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2039364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039387 */     // GIR_Coverage, 17680,
     /* 2039387 */     GIR_EraseRootFromParent_Done,
     /* 2039388 */   // Label 27042: @2039388
     /* 2039388 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2039479), // Rule ID 17681 //
     /* 2039393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2039396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2039404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2039407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2039410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2039413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2039431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039439 */     // MIs[0] round
     /* 2039439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039442 */     // MIs[0] policy
     /* 2039442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2039455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039478 */     // GIR_Coverage, 17681,
     /* 2039478 */     GIR_EraseRootFromParent_Done,
     /* 2039479 */   // Label 27043: @2039479
     /* 2039479 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2039570), // Rule ID 17684 //
     /* 2039484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2039487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2039495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2039498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2039501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2039504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2039522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039530 */     // MIs[0] round
     /* 2039530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039533 */     // MIs[0] policy
     /* 2039533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039543 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2039546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039569 */     // GIR_Coverage, 17684,
     /* 2039569 */     GIR_EraseRootFromParent_Done,
     /* 2039570 */   // Label 27044: @2039570
     /* 2039570 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2039661), // Rule ID 17685 //
     /* 2039575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2039578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2039586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2039589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2039592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2039595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2039613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039621 */     // MIs[0] round
     /* 2039621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039624 */     // MIs[0] policy
     /* 2039624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2039637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039660 */     // GIR_Coverage, 17685,
     /* 2039660 */     GIR_EraseRootFromParent_Done,
     /* 2039661 */   // Label 27045: @2039661
     /* 2039661 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2039752), // Rule ID 17688 //
     /* 2039666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2039669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039712 */     // MIs[0] round
     /* 2039712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039715 */     // MIs[0] policy
     /* 2039715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039725 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2039728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039751 */     // GIR_Coverage, 17688,
     /* 2039751 */     GIR_EraseRootFromParent_Done,
     /* 2039752 */   // Label 27046: @2039752
     /* 2039752 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2039843), // Rule ID 17689 //
     /* 2039757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2039760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039803 */     // MIs[0] round
     /* 2039803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039806 */     // MIs[0] policy
     /* 2039806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2039819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039842 */     // GIR_Coverage, 17689,
     /* 2039842 */     GIR_EraseRootFromParent_Done,
     /* 2039843 */   // Label 27047: @2039843
     /* 2039843 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2039934), // Rule ID 17692 //
     /* 2039848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2039851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2039868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039894 */     // MIs[0] round
     /* 2039894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039897 */     // MIs[0] policy
     /* 2039897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039907 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2039910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2039914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039933 */     // GIR_Coverage, 17692,
     /* 2039933 */     GIR_EraseRootFromParent_Done,
     /* 2039934 */   // Label 27048: @2039934
     /* 2039934 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2040025), // Rule ID 17693 //
     /* 2039939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2039942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2039947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2039956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2039959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2039977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039985 */     // MIs[0] round
     /* 2039985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039988 */     // MIs[0] policy
     /* 2039988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2040001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040024 */     // GIR_Coverage, 17693,
     /* 2040024 */     GIR_EraseRootFromParent_Done,
     /* 2040025 */   // Label 27049: @2040025
     /* 2040025 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2040116), // Rule ID 17696 //
     /* 2040030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2040033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2040047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2040068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040076 */     // MIs[0] round
     /* 2040076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040079 */     // MIs[0] policy
     /* 2040079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040089 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2040092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040115 */     // GIR_Coverage, 17696,
     /* 2040115 */     GIR_EraseRootFromParent_Done,
     /* 2040116 */   // Label 27050: @2040116
     /* 2040116 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2040207), // Rule ID 17697 //
     /* 2040121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2040124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2040138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2040159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040167 */     // MIs[0] round
     /* 2040167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040170 */     // MIs[0] policy
     /* 2040170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2040183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040206 */     // GIR_Coverage, 17697,
     /* 2040206 */     GIR_EraseRootFromParent_Done,
     /* 2040207 */   // Label 27051: @2040207
     /* 2040207 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2040298), // Rule ID 17700 //
     /* 2040212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2040215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040258 */     // MIs[0] round
     /* 2040258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040261 */     // MIs[0] policy
     /* 2040261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2040274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040297 */     // GIR_Coverage, 17700,
     /* 2040297 */     GIR_EraseRootFromParent_Done,
     /* 2040298 */   // Label 27052: @2040298
     /* 2040298 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2040389), // Rule ID 17701 //
     /* 2040303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2040306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040349 */     // MIs[0] round
     /* 2040349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040352 */     // MIs[0] policy
     /* 2040352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2040365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040388 */     // GIR_Coverage, 17701,
     /* 2040388 */     GIR_EraseRootFromParent_Done,
     /* 2040389 */   // Label 27053: @2040389
     /* 2040389 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2040480), // Rule ID 17704 //
     /* 2040394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2040397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040440 */     // MIs[0] round
     /* 2040440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040443 */     // MIs[0] policy
     /* 2040443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2040456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040479 */     // GIR_Coverage, 17704,
     /* 2040479 */     GIR_EraseRootFromParent_Done,
     /* 2040480 */   // Label 27054: @2040480
     /* 2040480 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2040571), // Rule ID 17705 //
     /* 2040485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2040488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040531 */     // MIs[0] round
     /* 2040531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040534 */     // MIs[0] policy
     /* 2040534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040544 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2040547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040570 */     // GIR_Coverage, 17705,
     /* 2040570 */     GIR_EraseRootFromParent_Done,
     /* 2040571 */   // Label 27055: @2040571
     /* 2040571 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2040662), // Rule ID 17708 //
     /* 2040576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2040579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040622 */     // MIs[0] round
     /* 2040622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040625 */     // MIs[0] policy
     /* 2040625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040635 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2040638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040661 */     // GIR_Coverage, 17708,
     /* 2040661 */     GIR_EraseRootFromParent_Done,
     /* 2040662 */   // Label 27056: @2040662
     /* 2040662 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2040753), // Rule ID 17709 //
     /* 2040667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2040670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2040684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2040705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040713 */     // MIs[0] round
     /* 2040713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040716 */     // MIs[0] policy
     /* 2040716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040726 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2040729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040752 */     // GIR_Coverage, 17709,
     /* 2040752 */     GIR_EraseRootFromParent_Done,
     /* 2040753 */   // Label 27057: @2040753
     /* 2040753 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2040844), // Rule ID 17712 //
     /* 2040758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2040761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2040775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2040778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2040796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040804 */     // MIs[0] round
     /* 2040804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040807 */     // MIs[0] policy
     /* 2040807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040817 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2040820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040843 */     // GIR_Coverage, 17712,
     /* 2040843 */     GIR_EraseRootFromParent_Done,
     /* 2040844 */   // Label 27058: @2040844
     /* 2040844 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2040935), // Rule ID 17713 //
     /* 2040849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2040852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2040866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2040869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2040887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040895 */     // MIs[0] round
     /* 2040895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040898 */     // MIs[0] policy
     /* 2040898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040908 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2040911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2040915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040934 */     // GIR_Coverage, 17713,
     /* 2040934 */     GIR_EraseRootFromParent_Done,
     /* 2040935 */   // Label 27059: @2040935
     /* 2040935 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2041026), // Rule ID 17716 //
     /* 2040940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2040943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2040948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2040957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2040960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2040978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040986 */     // MIs[0] round
     /* 2040986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040989 */     // MIs[0] policy
     /* 2040989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040999 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2041002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041025 */     // GIR_Coverage, 17716,
     /* 2041025 */     GIR_EraseRootFromParent_Done,
     /* 2041026 */   // Label 27060: @2041026
     /* 2041026 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2041117), // Rule ID 17717 //
     /* 2041031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2041034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2041039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2041042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2041045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2041048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2041051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2041069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041077 */     // MIs[0] round
     /* 2041077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041080 */     // MIs[0] policy
     /* 2041080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041090 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2041093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041116 */     // GIR_Coverage, 17717,
     /* 2041116 */     GIR_EraseRootFromParent_Done,
     /* 2041117 */   // Label 27061: @2041117
     /* 2041117 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2041208), // Rule ID 17720 //
     /* 2041122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2041125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2041130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2041139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2041160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041168 */     // MIs[0] round
     /* 2041168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041171 */     // MIs[0] policy
     /* 2041171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2041184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041207 */     // GIR_Coverage, 17720,
     /* 2041207 */     GIR_EraseRootFromParent_Done,
     /* 2041208 */   // Label 27062: @2041208
     /* 2041208 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2041299), // Rule ID 17721 //
     /* 2041213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2041216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2041221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2041230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2041251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041259 */     // MIs[0] round
     /* 2041259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041262 */     // MIs[0] policy
     /* 2041262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10858:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2041275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041298 */     // GIR_Coverage, 17721,
     /* 2041298 */     GIR_EraseRootFromParent_Done,
     /* 2041299 */   // Label 27063: @2041299
     /* 2041299 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2041390), // Rule ID 17724 //
     /* 2041304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2041307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2041324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041350 */     // MIs[0] round
     /* 2041350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041353 */     // MIs[0] policy
     /* 2041353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041363 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2041366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041389 */     // GIR_Coverage, 17724,
     /* 2041389 */     GIR_EraseRootFromParent_Done,
     /* 2041390 */   // Label 27064: @2041390
     /* 2041390 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2041481), // Rule ID 17725 //
     /* 2041395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2041398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2041415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041441 */     // MIs[0] round
     /* 2041441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041444 */     // MIs[0] policy
     /* 2041444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041454 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2041457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041480 */     // GIR_Coverage, 17725,
     /* 2041480 */     GIR_EraseRootFromParent_Done,
     /* 2041481 */   // Label 27065: @2041481
     /* 2041481 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2041572), // Rule ID 17728 //
     /* 2041486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2041489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2041506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041532 */     // MIs[0] round
     /* 2041532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041535 */     // MIs[0] policy
     /* 2041535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041545 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2041548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041571 */     // GIR_Coverage, 17728,
     /* 2041571 */     GIR_EraseRootFromParent_Done,
     /* 2041572 */   // Label 27066: @2041572
     /* 2041572 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2041663), // Rule ID 17729 //
     /* 2041577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2041580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2041597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041623 */     // MIs[0] round
     /* 2041623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041626 */     // MIs[0] policy
     /* 2041626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041636 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2041639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041662 */     // GIR_Coverage, 17729,
     /* 2041662 */     GIR_EraseRootFromParent_Done,
     /* 2041663 */   // Label 27067: @2041663
     /* 2041663 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2041754), // Rule ID 17732 //
     /* 2041668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2041671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2041688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041714 */     // MIs[0] round
     /* 2041714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041717 */     // MIs[0] policy
     /* 2041717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041727 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2041730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041753 */     // GIR_Coverage, 17732,
     /* 2041753 */     GIR_EraseRootFromParent_Done,
     /* 2041754 */   // Label 27068: @2041754
     /* 2041754 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2041845), // Rule ID 17733 //
     /* 2041759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2041762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2041779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041805 */     // MIs[0] round
     /* 2041805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041808 */     // MIs[0] policy
     /* 2041808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041818 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2041821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041844 */     // GIR_Coverage, 17733,
     /* 2041844 */     GIR_EraseRootFromParent_Done,
     /* 2041845 */   // Label 27069: @2041845
     /* 2041845 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2041936), // Rule ID 17736 //
     /* 2041850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2041853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2041861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2041864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2041867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2041870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041896 */     // MIs[0] round
     /* 2041896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041899 */     // MIs[0] policy
     /* 2041899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041909 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2041912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2041916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041935 */     // GIR_Coverage, 17736,
     /* 2041935 */     GIR_EraseRootFromParent_Done,
     /* 2041936 */   // Label 27070: @2041936
     /* 2041936 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2042027), // Rule ID 17737 //
     /* 2041941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2041944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2041949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2041952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2041955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2041958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2041961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041987 */     // MIs[0] round
     /* 2041987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041990 */     // MIs[0] policy
     /* 2041990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2042003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042026 */     // GIR_Coverage, 17737,
     /* 2042026 */     GIR_EraseRootFromParent_Done,
     /* 2042027 */   // Label 27071: @2042027
     /* 2042027 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2042118), // Rule ID 17740 //
     /* 2042032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2042035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2042052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042078 */     // MIs[0] round
     /* 2042078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042081 */     // MIs[0] policy
     /* 2042081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042091 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2042094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042117 */     // GIR_Coverage, 17740,
     /* 2042117 */     GIR_EraseRootFromParent_Done,
     /* 2042118 */   // Label 27072: @2042118
     /* 2042118 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2042209), // Rule ID 17741 //
     /* 2042123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2042126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2042143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042169 */     // MIs[0] round
     /* 2042169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042172 */     // MIs[0] policy
     /* 2042172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2042185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042208 */     // GIR_Coverage, 17741,
     /* 2042208 */     GIR_EraseRootFromParent_Done,
     /* 2042209 */   // Label 27073: @2042209
     /* 2042209 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2042300), // Rule ID 17744 //
     /* 2042214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2042217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2042234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042260 */     // MIs[0] round
     /* 2042260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042263 */     // MIs[0] policy
     /* 2042263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2042276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042299 */     // GIR_Coverage, 17744,
     /* 2042299 */     GIR_EraseRootFromParent_Done,
     /* 2042300 */   // Label 27074: @2042300
     /* 2042300 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2042391), // Rule ID 17745 //
     /* 2042305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2042308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2042325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042351 */     // MIs[0] round
     /* 2042351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042354 */     // MIs[0] policy
     /* 2042354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042364 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2042367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042390 */     // GIR_Coverage, 17745,
     /* 2042390 */     GIR_EraseRootFromParent_Done,
     /* 2042391 */   // Label 27075: @2042391
     /* 2042391 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2042482), // Rule ID 17748 //
     /* 2042396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2042399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2042407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2042410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2042413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2042416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042442 */     // MIs[0] round
     /* 2042442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042445 */     // MIs[0] policy
     /* 2042445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042455 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2042458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042481 */     // GIR_Coverage, 17748,
     /* 2042481 */     GIR_EraseRootFromParent_Done,
     /* 2042482 */   // Label 27076: @2042482
     /* 2042482 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2042573), // Rule ID 17749 //
     /* 2042487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2042490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2042498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2042501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2042504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2042507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042533 */     // MIs[0] round
     /* 2042533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042536 */     // MIs[0] policy
     /* 2042536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042546 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2042549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042572 */     // GIR_Coverage, 17749,
     /* 2042572 */     GIR_EraseRootFromParent_Done,
     /* 2042573 */   // Label 27077: @2042573
     /* 2042573 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2042664), // Rule ID 17752 //
     /* 2042578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2042581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2042589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2042592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2042595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2042598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042624 */     // MIs[0] round
     /* 2042624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042627 */     // MIs[0] policy
     /* 2042627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042637 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2042640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042663 */     // GIR_Coverage, 17752,
     /* 2042663 */     GIR_EraseRootFromParent_Done,
     /* 2042664 */   // Label 27078: @2042664
     /* 2042664 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2042755), // Rule ID 17753 //
     /* 2042669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2042672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2042680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2042683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2042686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2042689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042715 */     // MIs[0] round
     /* 2042715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042718 */     // MIs[0] policy
     /* 2042718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042728 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2042731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042754 */     // GIR_Coverage, 17753,
     /* 2042754 */     GIR_EraseRootFromParent_Done,
     /* 2042755 */   // Label 27079: @2042755
     /* 2042755 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2042846), // Rule ID 17756 //
     /* 2042760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2042763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2042771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2042774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2042777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2042780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042806 */     // MIs[0] round
     /* 2042806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042809 */     // MIs[0] policy
     /* 2042809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042819 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2042822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042845 */     // GIR_Coverage, 17756,
     /* 2042845 */     GIR_EraseRootFromParent_Done,
     /* 2042846 */   // Label 27080: @2042846
     /* 2042846 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2042937), // Rule ID 17757 //
     /* 2042851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2042854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2042862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2042865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2042868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2042871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042897 */     // MIs[0] round
     /* 2042897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042900 */     // MIs[0] policy
     /* 2042900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042910 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2042913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2042917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042936 */     // GIR_Coverage, 17757,
     /* 2042936 */     GIR_EraseRootFromParent_Done,
     /* 2042937 */   // Label 27081: @2042937
     /* 2042937 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2043028), // Rule ID 17760 //
     /* 2042942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2042945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2042950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2042953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2042956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2042959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2042962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042988 */     // MIs[0] round
     /* 2042988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042991 */     // MIs[0] policy
     /* 2042991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043001 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2043004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043027 */     // GIR_Coverage, 17760,
     /* 2043027 */     GIR_EraseRootFromParent_Done,
     /* 2043028 */   // Label 27082: @2043028
     /* 2043028 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2043119), // Rule ID 17761 //
     /* 2043033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2043036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2043044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2043047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2043050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2043053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043079 */     // MIs[0] round
     /* 2043079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043082 */     // MIs[0] policy
     /* 2043082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2043095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043118 */     // GIR_Coverage, 17761,
     /* 2043118 */     GIR_EraseRootFromParent_Done,
     /* 2043119 */   // Label 27083: @2043119
     /* 2043119 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2043210), // Rule ID 17764 //
     /* 2043124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2043127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2043135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2043138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2043141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2043144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043170 */     // MIs[0] round
     /* 2043170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043173 */     // MIs[0] policy
     /* 2043173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043183 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2043186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043209 */     // GIR_Coverage, 17764,
     /* 2043209 */     GIR_EraseRootFromParent_Done,
     /* 2043210 */   // Label 27084: @2043210
     /* 2043210 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2043301), // Rule ID 17765 //
     /* 2043215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2043218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2043226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2043229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2043232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2043235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043261 */     // MIs[0] round
     /* 2043261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043264 */     // MIs[0] policy
     /* 2043264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043274 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2043277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043300 */     // GIR_Coverage, 17765,
     /* 2043300 */     GIR_EraseRootFromParent_Done,
     /* 2043301 */   // Label 27085: @2043301
     /* 2043301 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2043392), // Rule ID 17768 //
     /* 2043306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2043309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2043317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2043320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2043323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2043326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043352 */     // MIs[0] round
     /* 2043352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043355 */     // MIs[0] policy
     /* 2043355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043365 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2043368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043391 */     // GIR_Coverage, 17768,
     /* 2043391 */     GIR_EraseRootFromParent_Done,
     /* 2043392 */   // Label 27086: @2043392
     /* 2043392 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2043483), // Rule ID 17769 //
     /* 2043397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2043400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2043408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2043411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2043414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2043417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043443 */     // MIs[0] round
     /* 2043443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043446 */     // MIs[0] policy
     /* 2043446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2043459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043482 */     // GIR_Coverage, 17769,
     /* 2043482 */     GIR_EraseRootFromParent_Done,
     /* 2043483 */   // Label 27087: @2043483
     /* 2043483 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2043574), // Rule ID 17772 //
     /* 2043488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2043491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2043499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2043502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2043505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2043508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043534 */     // MIs[0] round
     /* 2043534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043537 */     // MIs[0] policy
     /* 2043537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043547 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2043550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043573 */     // GIR_Coverage, 17772,
     /* 2043573 */     GIR_EraseRootFromParent_Done,
     /* 2043574 */   // Label 27088: @2043574
     /* 2043574 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2043665), // Rule ID 17773 //
     /* 2043579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2043582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2043590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2043593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2043596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2043599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043625 */     // MIs[0] round
     /* 2043625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043628 */     // MIs[0] policy
     /* 2043628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043638 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2043641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043664 */     // GIR_Coverage, 17773,
     /* 2043664 */     GIR_EraseRootFromParent_Done,
     /* 2043665 */   // Label 27089: @2043665
     /* 2043665 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2043756), // Rule ID 17776 //
     /* 2043670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2043673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2043681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2043684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2043687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2043690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043716 */     // MIs[0] round
     /* 2043716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043719 */     // MIs[0] policy
     /* 2043719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043729 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2043732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043755 */     // GIR_Coverage, 17776,
     /* 2043755 */     GIR_EraseRootFromParent_Done,
     /* 2043756 */   // Label 27090: @2043756
     /* 2043756 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2043847), // Rule ID 17777 //
     /* 2043761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2043764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2043772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2043775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2043778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2043781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043807 */     // MIs[0] round
     /* 2043807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043810 */     // MIs[0] policy
     /* 2043810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043820 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2043823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043846 */     // GIR_Coverage, 17777,
     /* 2043846 */     GIR_EraseRootFromParent_Done,
     /* 2043847 */   // Label 27091: @2043847
     /* 2043847 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2043938), // Rule ID 17780 //
     /* 2043852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2043855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2043863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2043866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2043869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2043872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043898 */     // MIs[0] round
     /* 2043898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043901 */     // MIs[0] policy
     /* 2043901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043911 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2043914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2043918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043937 */     // GIR_Coverage, 17780,
     /* 2043937 */     GIR_EraseRootFromParent_Done,
     /* 2043938 */   // Label 27092: @2043938
     /* 2043938 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2044029), // Rule ID 17781 //
     /* 2043943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2043946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2043951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2043954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2043957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2043960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2043963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043989 */     // MIs[0] round
     /* 2043989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043992 */     // MIs[0] policy
     /* 2043992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2044005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044028 */     // GIR_Coverage, 17781,
     /* 2044028 */     GIR_EraseRootFromParent_Done,
     /* 2044029 */   // Label 27093: @2044029
     /* 2044029 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2044120), // Rule ID 17784 //
     /* 2044034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2044037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2044045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2044048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2044054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044080 */     // MIs[0] round
     /* 2044080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044083 */     // MIs[0] policy
     /* 2044083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044093 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2044096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044119 */     // GIR_Coverage, 17784,
     /* 2044119 */     GIR_EraseRootFromParent_Done,
     /* 2044120 */   // Label 27094: @2044120
     /* 2044120 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2044211), // Rule ID 17785 //
     /* 2044125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2044128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2044136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2044139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2044145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044171 */     // MIs[0] round
     /* 2044171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044174 */     // MIs[0] policy
     /* 2044174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044184 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2044187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044210 */     // GIR_Coverage, 17785,
     /* 2044210 */     GIR_EraseRootFromParent_Done,
     /* 2044211 */   // Label 27095: @2044211
     /* 2044211 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2044302), // Rule ID 17788 //
     /* 2044216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2044219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2044227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2044230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2044236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044262 */     // MIs[0] round
     /* 2044262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044265 */     // MIs[0] policy
     /* 2044265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044275 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2044278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044301 */     // GIR_Coverage, 17788,
     /* 2044301 */     GIR_EraseRootFromParent_Done,
     /* 2044302 */   // Label 27096: @2044302
     /* 2044302 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2044393), // Rule ID 17789 //
     /* 2044307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2044310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2044318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2044321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2044327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044353 */     // MIs[0] round
     /* 2044353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044356 */     // MIs[0] policy
     /* 2044356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2044369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044392 */     // GIR_Coverage, 17789,
     /* 2044392 */     GIR_EraseRootFromParent_Done,
     /* 2044393 */   // Label 27097: @2044393
     /* 2044393 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2044484), // Rule ID 17792 //
     /* 2044398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2044401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2044415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2044418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2044436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044444 */     // MIs[0] round
     /* 2044444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044447 */     // MIs[0] policy
     /* 2044447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044457 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2044460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044483 */     // GIR_Coverage, 17792,
     /* 2044483 */     GIR_EraseRootFromParent_Done,
     /* 2044484 */   // Label 27098: @2044484
     /* 2044484 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2044575), // Rule ID 17793 //
     /* 2044489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2044492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2044500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2044503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2044506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2044509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2044527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044535 */     // MIs[0] round
     /* 2044535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044538 */     // MIs[0] policy
     /* 2044538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2044551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044574 */     // GIR_Coverage, 17793,
     /* 2044574 */     GIR_EraseRootFromParent_Done,
     /* 2044575 */   // Label 27099: @2044575
     /* 2044575 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2044666), // Rule ID 17796 //
     /* 2044580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2044583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2044600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044626 */     // MIs[0] round
     /* 2044626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044629 */     // MIs[0] policy
     /* 2044629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044639 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2044642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044665 */     // GIR_Coverage, 17796,
     /* 2044665 */     GIR_EraseRootFromParent_Done,
     /* 2044666 */   // Label 27100: @2044666
     /* 2044666 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2044757), // Rule ID 17797 //
     /* 2044671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2044674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2044682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2044685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2044688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2044691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2044709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044717 */     // MIs[0] round
     /* 2044717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044720 */     // MIs[0] policy
     /* 2044720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2044733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044756 */     // GIR_Coverage, 17797,
     /* 2044756 */     GIR_EraseRootFromParent_Done,
     /* 2044757 */   // Label 27101: @2044757
     /* 2044757 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2044848), // Rule ID 17800 //
     /* 2044762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2044765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2044779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2044782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2044800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044808 */     // MIs[0] round
     /* 2044808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044811 */     // MIs[0] policy
     /* 2044811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044821 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2044824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044847 */     // GIR_Coverage, 17800,
     /* 2044847 */     GIR_EraseRootFromParent_Done,
     /* 2044848 */   // Label 27102: @2044848
     /* 2044848 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2044939), // Rule ID 17801 //
     /* 2044853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2044856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2044870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2044873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2044891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044899 */     // MIs[0] round
     /* 2044899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044902 */     // MIs[0] policy
     /* 2044902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044912 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2044915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2044919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044938 */     // GIR_Coverage, 17801,
     /* 2044938 */     GIR_EraseRootFromParent_Done,
     /* 2044939 */   // Label 27103: @2044939
     /* 2044939 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2045030), // Rule ID 17804 //
     /* 2044944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2044947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2044952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2044961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2044964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2044982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044990 */     // MIs[0] round
     /* 2044990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044993 */     // MIs[0] policy
     /* 2044993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045003 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2045006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045029 */     // GIR_Coverage, 17804,
     /* 2045029 */     GIR_EraseRootFromParent_Done,
     /* 2045030 */   // Label 27104: @2045030
     /* 2045030 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2045121), // Rule ID 17805 //
     /* 2045035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2045038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2045046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2045049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2045052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2045055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2045073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045081 */     // MIs[0] round
     /* 2045081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045084 */     // MIs[0] policy
     /* 2045084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2045097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045120 */     // GIR_Coverage, 17805,
     /* 2045120 */     GIR_EraseRootFromParent_Done,
     /* 2045121 */   // Label 27105: @2045121
     /* 2045121 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2045212), // Rule ID 17808 //
     /* 2045126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2045129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2045146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045172 */     // MIs[0] round
     /* 2045172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045175 */     // MIs[0] policy
     /* 2045175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045185 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2045188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045211 */     // GIR_Coverage, 17808,
     /* 2045211 */     GIR_EraseRootFromParent_Done,
     /* 2045212 */   // Label 27106: @2045212
     /* 2045212 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2045303), // Rule ID 17809 //
     /* 2045217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2045220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2045237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045263 */     // MIs[0] round
     /* 2045263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045266 */     // MIs[0] policy
     /* 2045266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045276 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2045279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045302 */     // GIR_Coverage, 17809,
     /* 2045302 */     GIR_EraseRootFromParent_Done,
     /* 2045303 */   // Label 27107: @2045303
     /* 2045303 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2045394), // Rule ID 17812 //
     /* 2045308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2045311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045354 */     // MIs[0] round
     /* 2045354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045357 */     // MIs[0] policy
     /* 2045357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045367 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2045370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045393 */     // GIR_Coverage, 17812,
     /* 2045393 */     GIR_EraseRootFromParent_Done,
     /* 2045394 */   // Label 27108: @2045394
     /* 2045394 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2045485), // Rule ID 17813 //
     /* 2045399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2045402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2045419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045445 */     // MIs[0] round
     /* 2045445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045448 */     // MIs[0] policy
     /* 2045448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045458 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2045461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045484 */     // GIR_Coverage, 17813,
     /* 2045484 */     GIR_EraseRootFromParent_Done,
     /* 2045485 */   // Label 27109: @2045485
     /* 2045485 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2045576), // Rule ID 17816 //
     /* 2045490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2045493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2045510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045536 */     // MIs[0] round
     /* 2045536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045539 */     // MIs[0] policy
     /* 2045539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045549 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2045552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045575 */     // GIR_Coverage, 17816,
     /* 2045575 */     GIR_EraseRootFromParent_Done,
     /* 2045576 */   // Label 27110: @2045576
     /* 2045576 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2045667), // Rule ID 17817 //
     /* 2045581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2045584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2045598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2045601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2045619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045627 */     // MIs[0] round
     /* 2045627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045630 */     // MIs[0] policy
     /* 2045630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045640 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2045643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045666 */     // GIR_Coverage, 17817,
     /* 2045666 */     GIR_EraseRootFromParent_Done,
     /* 2045667 */   // Label 27111: @2045667
     /* 2045667 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2045758), // Rule ID 17820 //
     /* 2045672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2045675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2045689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2045692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2045710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045718 */     // MIs[0] round
     /* 2045718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045721 */     // MIs[0] policy
     /* 2045721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045731 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2045734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045757 */     // GIR_Coverage, 17820,
     /* 2045757 */     GIR_EraseRootFromParent_Done,
     /* 2045758 */   // Label 27112: @2045758
     /* 2045758 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2045849), // Rule ID 17821 //
     /* 2045763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2045766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2045780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2045783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2045801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045809 */     // MIs[0] round
     /* 2045809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045812 */     // MIs[0] policy
     /* 2045812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045822 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2045825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045848 */     // GIR_Coverage, 17821,
     /* 2045848 */     GIR_EraseRootFromParent_Done,
     /* 2045849 */   // Label 27113: @2045849
     /* 2045849 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2045940), // Rule ID 17824 //
     /* 2045854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2045857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2045871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2045874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2045892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045900 */     // MIs[0] round
     /* 2045900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045903 */     // MIs[0] policy
     /* 2045903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045913 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2045916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2045920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045939 */     // GIR_Coverage, 17824,
     /* 2045939 */     GIR_EraseRootFromParent_Done,
     /* 2045940 */   // Label 27114: @2045940
     /* 2045940 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2046031), // Rule ID 17825 //
     /* 2045945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2045948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2045953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2045962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2045965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2045983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045991 */     // MIs[0] round
     /* 2045991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045994 */     // MIs[0] policy
     /* 2045994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2046007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046030 */     // GIR_Coverage, 17825,
     /* 2046030 */     GIR_EraseRootFromParent_Done,
     /* 2046031 */   // Label 27115: @2046031
     /* 2046031 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2046122), // Rule ID 17828 //
     /* 2046036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2046039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2046053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2046056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2046074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046082 */     // MIs[0] round
     /* 2046082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046085 */     // MIs[0] policy
     /* 2046085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046095 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2046098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046121 */     // GIR_Coverage, 17828,
     /* 2046121 */     GIR_EraseRootFromParent_Done,
     /* 2046122 */   // Label 27116: @2046122
     /* 2046122 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2046213), // Rule ID 17829 //
     /* 2046127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2046130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2046138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2046141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2046144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2046147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2046165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046173 */     // MIs[0] round
     /* 2046173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046176 */     // MIs[0] policy
     /* 2046176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046186 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2046189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046212 */     // GIR_Coverage, 17829,
     /* 2046212 */     GIR_EraseRootFromParent_Done,
     /* 2046213 */   // Label 27117: @2046213
     /* 2046213 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2046304), // Rule ID 17832 //
     /* 2046218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2046221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2046238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046264 */     // MIs[0] round
     /* 2046264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046267 */     // MIs[0] policy
     /* 2046267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2046280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046303 */     // GIR_Coverage, 17832,
     /* 2046303 */     GIR_EraseRootFromParent_Done,
     /* 2046304 */   // Label 27118: @2046304
     /* 2046304 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2046395), // Rule ID 17833 //
     /* 2046309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2046312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2046329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046355 */     // MIs[0] round
     /* 2046355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046358 */     // MIs[0] policy
     /* 2046358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10894:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2046371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046394 */     // GIR_Coverage, 17833,
     /* 2046394 */     GIR_EraseRootFromParent_Done,
     /* 2046395 */   // Label 27119: @2046395
     /* 2046395 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2046486), // Rule ID 17836 //
     /* 2046400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2046403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046446 */     // MIs[0] round
     /* 2046446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046449 */     // MIs[0] policy
     /* 2046449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046459 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2046462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046485 */     // GIR_Coverage, 17836,
     /* 2046485 */     GIR_EraseRootFromParent_Done,
     /* 2046486 */   // Label 27120: @2046486
     /* 2046486 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2046577), // Rule ID 17837 //
     /* 2046491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2046494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2046511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046537 */     // MIs[0] round
     /* 2046537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046540 */     // MIs[0] policy
     /* 2046540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046550 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10894:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2046553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046576 */     // GIR_Coverage, 17837,
     /* 2046576 */     GIR_EraseRootFromParent_Done,
     /* 2046577 */   // Label 27121: @2046577
     /* 2046577 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2046668), // Rule ID 17840 //
     /* 2046582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2046585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2046602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046628 */     // MIs[0] round
     /* 2046628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046631 */     // MIs[0] policy
     /* 2046631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046641 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2046644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046667 */     // GIR_Coverage, 17840,
     /* 2046667 */     GIR_EraseRootFromParent_Done,
     /* 2046668 */   // Label 27122: @2046668
     /* 2046668 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2046759), // Rule ID 17841 //
     /* 2046673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2046676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2046681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2046690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2046693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2046711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046719 */     // MIs[0] round
     /* 2046719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046722 */     // MIs[0] policy
     /* 2046722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10894:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2046735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046758 */     // GIR_Coverage, 17841,
     /* 2046758 */     GIR_EraseRootFromParent_Done,
     /* 2046759 */   // Label 27123: @2046759
     /* 2046759 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2046850), // Rule ID 17844 //
     /* 2046764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2046767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2046772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2046775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2046778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2046781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2046784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046810 */     // MIs[0] round
     /* 2046810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046813 */     // MIs[0] policy
     /* 2046813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046823 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2046826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046849 */     // GIR_Coverage, 17844,
     /* 2046849 */     GIR_EraseRootFromParent_Done,
     /* 2046850 */   // Label 27124: @2046850
     /* 2046850 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2046941), // Rule ID 17845 //
     /* 2046855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2046858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2046863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2046866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2046869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2046872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2046875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046901 */     // MIs[0] round
     /* 2046901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046904 */     // MIs[0] policy
     /* 2046904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2046917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2046921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046940 */     // GIR_Coverage, 17845,
     /* 2046940 */     GIR_EraseRootFromParent_Done,
     /* 2046941 */   // Label 27125: @2046941
     /* 2046941 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2047032), // Rule ID 17848 //
     /* 2046946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2046949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2046954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2046957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2046960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2046963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2046966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046992 */     // MIs[0] round
     /* 2046992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046995 */     // MIs[0] policy
     /* 2046995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047005 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2047008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047031 */     // GIR_Coverage, 17848,
     /* 2047031 */     GIR_EraseRootFromParent_Done,
     /* 2047032 */   // Label 27126: @2047032
     /* 2047032 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2047123), // Rule ID 17849 //
     /* 2047037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2047040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047083 */     // MIs[0] round
     /* 2047083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047086 */     // MIs[0] policy
     /* 2047086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047096 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2047099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047122 */     // GIR_Coverage, 17849,
     /* 2047122 */     GIR_EraseRootFromParent_Done,
     /* 2047123 */   // Label 27127: @2047123
     /* 2047123 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2047214), // Rule ID 17852 //
     /* 2047128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2047131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047174 */     // MIs[0] round
     /* 2047174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047177 */     // MIs[0] policy
     /* 2047177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047187 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2047190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047213 */     // GIR_Coverage, 17852,
     /* 2047213 */     GIR_EraseRootFromParent_Done,
     /* 2047214 */   // Label 27128: @2047214
     /* 2047214 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2047305), // Rule ID 17853 //
     /* 2047219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2047222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047265 */     // MIs[0] round
     /* 2047265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047268 */     // MIs[0] policy
     /* 2047268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047278 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2047281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047304 */     // GIR_Coverage, 17853,
     /* 2047304 */     GIR_EraseRootFromParent_Done,
     /* 2047305 */   // Label 27129: @2047305
     /* 2047305 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2047396), // Rule ID 17856 //
     /* 2047310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2047313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2047330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047356 */     // MIs[0] round
     /* 2047356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047359 */     // MIs[0] policy
     /* 2047359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047369 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2047372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047395 */     // GIR_Coverage, 17856,
     /* 2047395 */     GIR_EraseRootFromParent_Done,
     /* 2047396 */   // Label 27130: @2047396
     /* 2047396 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2047487), // Rule ID 17857 //
     /* 2047401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2047404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2047421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047447 */     // MIs[0] round
     /* 2047447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047450 */     // MIs[0] policy
     /* 2047450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2047463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047486 */     // GIR_Coverage, 17857,
     /* 2047486 */     GIR_EraseRootFromParent_Done,
     /* 2047487 */   // Label 27131: @2047487
     /* 2047487 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2047578), // Rule ID 17860 //
     /* 2047492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2047495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2047503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2047506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2047509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2047512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047538 */     // MIs[0] round
     /* 2047538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047541 */     // MIs[0] policy
     /* 2047541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2047554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047577 */     // GIR_Coverage, 17860,
     /* 2047577 */     GIR_EraseRootFromParent_Done,
     /* 2047578 */   // Label 27132: @2047578
     /* 2047578 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2047669), // Rule ID 17861 //
     /* 2047583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2047586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2047594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2047597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2047600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2047603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047629 */     // MIs[0] round
     /* 2047629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047632 */     // MIs[0] policy
     /* 2047632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047642 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2047645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047668 */     // GIR_Coverage, 17861,
     /* 2047668 */     GIR_EraseRootFromParent_Done,
     /* 2047669 */   // Label 27133: @2047669
     /* 2047669 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2047760), // Rule ID 17864 //
     /* 2047674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2047677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047720 */     // MIs[0] round
     /* 2047720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047723 */     // MIs[0] policy
     /* 2047723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047733 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2047736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047759 */     // GIR_Coverage, 17864,
     /* 2047759 */     GIR_EraseRootFromParent_Done,
     /* 2047760 */   // Label 27134: @2047760
     /* 2047760 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2047851), // Rule ID 17865 //
     /* 2047765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2047768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047811 */     // MIs[0] round
     /* 2047811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047814 */     // MIs[0] policy
     /* 2047814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047824 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2047827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047850 */     // GIR_Coverage, 17865,
     /* 2047850 */     GIR_EraseRootFromParent_Done,
     /* 2047851 */   // Label 27135: @2047851
     /* 2047851 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2047942), // Rule ID 17868 //
     /* 2047856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2047859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047902 */     // MIs[0] round
     /* 2047902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047905 */     // MIs[0] policy
     /* 2047905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047915 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2047918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2047922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047941 */     // GIR_Coverage, 17868,
     /* 2047941 */     GIR_EraseRootFromParent_Done,
     /* 2047942 */   // Label 27136: @2047942
     /* 2047942 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2048033), // Rule ID 17869 //
     /* 2047947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2047950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2047955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047993 */     // MIs[0] round
     /* 2047993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047996 */     // MIs[0] policy
     /* 2047996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048006 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2048009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048032 */     // GIR_Coverage, 17869,
     /* 2048032 */     GIR_EraseRootFromParent_Done,
     /* 2048033 */   // Label 27137: @2048033
     /* 2048033 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2048124), // Rule ID 17872 //
     /* 2048038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2048041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2048049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048084 */     // MIs[0] round
     /* 2048084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048087 */     // MIs[0] policy
     /* 2048087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048097 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2048100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048123 */     // GIR_Coverage, 17872,
     /* 2048123 */     GIR_EraseRootFromParent_Done,
     /* 2048124 */   // Label 27138: @2048124
     /* 2048124 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2048215), // Rule ID 17873 //
     /* 2048129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2048132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2048140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048175 */     // MIs[0] round
     /* 2048175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048178 */     // MIs[0] policy
     /* 2048178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048188 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2048191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048214 */     // GIR_Coverage, 17873,
     /* 2048214 */     GIR_EraseRootFromParent_Done,
     /* 2048215 */   // Label 27139: @2048215
     /* 2048215 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2048306), // Rule ID 17876 //
     /* 2048220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2048223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048266 */     // MIs[0] round
     /* 2048266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048269 */     // MIs[0] policy
     /* 2048269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048279 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2048282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048305 */     // GIR_Coverage, 17876,
     /* 2048305 */     GIR_EraseRootFromParent_Done,
     /* 2048306 */   // Label 27140: @2048306
     /* 2048306 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2048397), // Rule ID 17877 //
     /* 2048311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2048314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048357 */     // MIs[0] round
     /* 2048357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048360 */     // MIs[0] policy
     /* 2048360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048370 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2048373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048396 */     // GIR_Coverage, 17877,
     /* 2048396 */     GIR_EraseRootFromParent_Done,
     /* 2048397 */   // Label 27141: @2048397
     /* 2048397 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2048488), // Rule ID 17880 //
     /* 2048402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2048405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048448 */     // MIs[0] round
     /* 2048448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048451 */     // MIs[0] policy
     /* 2048451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048461 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2048464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048487 */     // GIR_Coverage, 17880,
     /* 2048487 */     GIR_EraseRootFromParent_Done,
     /* 2048488 */   // Label 27142: @2048488
     /* 2048488 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2048579), // Rule ID 17881 //
     /* 2048493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2048496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048539 */     // MIs[0] round
     /* 2048539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048542 */     // MIs[0] policy
     /* 2048542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2048555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048578 */     // GIR_Coverage, 17881,
     /* 2048578 */     GIR_EraseRootFromParent_Done,
     /* 2048579 */   // Label 27143: @2048579
     /* 2048579 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2048670), // Rule ID 17884 //
     /* 2048584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2048587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048630 */     // MIs[0] round
     /* 2048630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048633 */     // MIs[0] policy
     /* 2048633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048643 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2048646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048669 */     // GIR_Coverage, 17884,
     /* 2048669 */     GIR_EraseRootFromParent_Done,
     /* 2048670 */   // Label 27144: @2048670
     /* 2048670 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2048761), // Rule ID 17885 //
     /* 2048675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2048678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048721 */     // MIs[0] round
     /* 2048721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048724 */     // MIs[0] policy
     /* 2048724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2048737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048760 */     // GIR_Coverage, 17885,
     /* 2048760 */     GIR_EraseRootFromParent_Done,
     /* 2048761 */   // Label 27145: @2048761
     /* 2048761 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2048852), // Rule ID 17888 //
     /* 2048766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2048769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048812 */     // MIs[0] round
     /* 2048812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048815 */     // MIs[0] policy
     /* 2048815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048825 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2048828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048851 */     // GIR_Coverage, 17888,
     /* 2048851 */     GIR_EraseRootFromParent_Done,
     /* 2048852 */   // Label 27146: @2048852
     /* 2048852 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2048943), // Rule ID 17889 //
     /* 2048857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2048860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048903 */     // MIs[0] round
     /* 2048903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048906 */     // MIs[0] policy
     /* 2048906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2048919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2048923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048942 */     // GIR_Coverage, 17889,
     /* 2048942 */     GIR_EraseRootFromParent_Done,
     /* 2048943 */   // Label 27147: @2048943
     /* 2048943 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2049034), // Rule ID 17892 //
     /* 2048948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2048951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2048956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2048968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048994 */     // MIs[0] round
     /* 2048994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048997 */     // MIs[0] policy
     /* 2048997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049007 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2049010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049033 */     // GIR_Coverage, 17892,
     /* 2049033 */     GIR_EraseRootFromParent_Done,
     /* 2049034 */   // Label 27148: @2049034
     /* 2049034 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2049125), // Rule ID 17893 //
     /* 2049039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2049042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2049050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2049053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2049056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2049059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049085 */     // MIs[0] round
     /* 2049085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049088 */     // MIs[0] policy
     /* 2049088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2049101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049124 */     // GIR_Coverage, 17893,
     /* 2049124 */     GIR_EraseRootFromParent_Done,
     /* 2049125 */   // Label 27149: @2049125
     /* 2049125 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2049216), // Rule ID 17896 //
     /* 2049130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2049133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049176 */     // MIs[0] round
     /* 2049176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049179 */     // MIs[0] policy
     /* 2049179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2049192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049215 */     // GIR_Coverage, 17896,
     /* 2049215 */     GIR_EraseRootFromParent_Done,
     /* 2049216 */   // Label 27150: @2049216
     /* 2049216 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2049307), // Rule ID 17897 //
     /* 2049221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2049224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049267 */     // MIs[0] round
     /* 2049267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049270 */     // MIs[0] policy
     /* 2049270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2049283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049306 */     // GIR_Coverage, 17897,
     /* 2049306 */     GIR_EraseRootFromParent_Done,
     /* 2049307 */   // Label 27151: @2049307
     /* 2049307 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2049398), // Rule ID 17900 //
     /* 2049312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2049315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049358 */     // MIs[0] round
     /* 2049358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049361 */     // MIs[0] policy
     /* 2049361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049371 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2049374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049397 */     // GIR_Coverage, 17900,
     /* 2049397 */     GIR_EraseRootFromParent_Done,
     /* 2049398 */   // Label 27152: @2049398
     /* 2049398 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2049489), // Rule ID 17901 //
     /* 2049403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2049406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049449 */     // MIs[0] round
     /* 2049449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049452 */     // MIs[0] policy
     /* 2049452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049462 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2049465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049488 */     // GIR_Coverage, 17901,
     /* 2049488 */     GIR_EraseRootFromParent_Done,
     /* 2049489 */   // Label 27153: @2049489
     /* 2049489 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2049580), // Rule ID 17904 //
     /* 2049494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2049497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2049505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2049508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2049511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2049514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2049532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049540 */     // MIs[0] round
     /* 2049540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049543 */     // MIs[0] policy
     /* 2049543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049553 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2049556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049579 */     // GIR_Coverage, 17904,
     /* 2049579 */     GIR_EraseRootFromParent_Done,
     /* 2049580 */   // Label 27154: @2049580
     /* 2049580 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2049671), // Rule ID 17905 //
     /* 2049585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2049588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2049596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2049599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2049602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2049605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2049623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049631 */     // MIs[0] round
     /* 2049631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049634 */     // MIs[0] policy
     /* 2049634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049644 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2049647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049670 */     // GIR_Coverage, 17905,
     /* 2049670 */     GIR_EraseRootFromParent_Done,
     /* 2049671 */   // Label 27155: @2049671
     /* 2049671 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2049762), // Rule ID 17908 //
     /* 2049676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2049679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2049687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2049690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2049693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2049696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2049714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049722 */     // MIs[0] round
     /* 2049722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049725 */     // MIs[0] policy
     /* 2049725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049735 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2049738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049761 */     // GIR_Coverage, 17908,
     /* 2049761 */     GIR_EraseRootFromParent_Done,
     /* 2049762 */   // Label 27156: @2049762
     /* 2049762 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2049853), // Rule ID 17909 //
     /* 2049767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2049770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2049778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2049781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2049784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2049787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2049805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049813 */     // MIs[0] round
     /* 2049813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049816 */     // MIs[0] policy
     /* 2049816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049826 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2049829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049852 */     // GIR_Coverage, 17909,
     /* 2049852 */     GIR_EraseRootFromParent_Done,
     /* 2049853 */   // Label 27157: @2049853
     /* 2049853 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2049944), // Rule ID 17912 //
     /* 2049858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2049861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2049869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2049872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2049875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2049878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2049896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049904 */     // MIs[0] round
     /* 2049904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049907 */     // MIs[0] policy
     /* 2049907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2049920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2049924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049943 */     // GIR_Coverage, 17912,
     /* 2049943 */     GIR_EraseRootFromParent_Done,
     /* 2049944 */   // Label 27158: @2049944
     /* 2049944 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2050035), // Rule ID 17913 //
     /* 2049949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2049952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2049957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2049960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2049963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2049966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2049969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2049987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049995 */     // MIs[0] round
     /* 2049995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049998 */     // MIs[0] policy
     /* 2049998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2050011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050034 */     // GIR_Coverage, 17913,
     /* 2050034 */     GIR_EraseRootFromParent_Done,
     /* 2050035 */   // Label 27159: @2050035
     /* 2050035 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2050126), // Rule ID 17916 //
     /* 2050040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2050043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2050060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050086 */     // MIs[0] round
     /* 2050086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050089 */     // MIs[0] policy
     /* 2050089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050099 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2050102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050125 */     // GIR_Coverage, 17916,
     /* 2050125 */     GIR_EraseRootFromParent_Done,
     /* 2050126 */   // Label 27160: @2050126
     /* 2050126 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2050217), // Rule ID 17917 //
     /* 2050131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2050134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2050151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050177 */     // MIs[0] round
     /* 2050177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050180 */     // MIs[0] policy
     /* 2050180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050190 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2050193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050216 */     // GIR_Coverage, 17917,
     /* 2050216 */     GIR_EraseRootFromParent_Done,
     /* 2050217 */   // Label 27161: @2050217
     /* 2050217 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2050308), // Rule ID 17920 //
     /* 2050222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2050225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2050239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2050242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2050260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050268 */     // MIs[0] round
     /* 2050268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050271 */     // MIs[0] policy
     /* 2050271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050281 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2050284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050307 */     // GIR_Coverage, 17920,
     /* 2050307 */     GIR_EraseRootFromParent_Done,
     /* 2050308 */   // Label 27162: @2050308
     /* 2050308 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2050399), // Rule ID 17921 //
     /* 2050313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2050316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2050330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2050333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2050351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050359 */     // MIs[0] round
     /* 2050359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050362 */     // MIs[0] policy
     /* 2050362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050372 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2050375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050398 */     // GIR_Coverage, 17921,
     /* 2050398 */     GIR_EraseRootFromParent_Done,
     /* 2050399 */   // Label 27163: @2050399
     /* 2050399 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2050490), // Rule ID 17924 //
     /* 2050404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2050407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2050415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2050418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2050421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2050424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2050442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050450 */     // MIs[0] round
     /* 2050450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050453 */     // MIs[0] policy
     /* 2050453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050463 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2050466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050489 */     // GIR_Coverage, 17924,
     /* 2050489 */     GIR_EraseRootFromParent_Done,
     /* 2050490 */   // Label 27164: @2050490
     /* 2050490 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2050581), // Rule ID 17925 //
     /* 2050495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2050498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2050506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2050509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2050512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2050515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2050533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050541 */     // MIs[0] round
     /* 2050541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050544 */     // MIs[0] policy
     /* 2050544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050554 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2050557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050580 */     // GIR_Coverage, 17925,
     /* 2050580 */     GIR_EraseRootFromParent_Done,
     /* 2050581 */   // Label 27165: @2050581
     /* 2050581 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2050672), // Rule ID 17928 //
     /* 2050586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2050589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2050597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2050600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2050606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050632 */     // MIs[0] round
     /* 2050632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050635 */     // MIs[0] policy
     /* 2050635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050645 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2050648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050671 */     // GIR_Coverage, 17928,
     /* 2050671 */     GIR_EraseRootFromParent_Done,
     /* 2050672 */   // Label 27166: @2050672
     /* 2050672 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2050763), // Rule ID 17929 //
     /* 2050677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2050680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2050688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2050691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2050697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050723 */     // MIs[0] round
     /* 2050723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050726 */     // MIs[0] policy
     /* 2050726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050736 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2050739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050762 */     // GIR_Coverage, 17929,
     /* 2050762 */     GIR_EraseRootFromParent_Done,
     /* 2050763 */   // Label 27167: @2050763
     /* 2050763 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2050854), // Rule ID 17932 //
     /* 2050768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2050771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2050779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2050782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2050788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050814 */     // MIs[0] round
     /* 2050814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050817 */     // MIs[0] policy
     /* 2050817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050827 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2050830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050853 */     // GIR_Coverage, 17932,
     /* 2050853 */     GIR_EraseRootFromParent_Done,
     /* 2050854 */   // Label 27168: @2050854
     /* 2050854 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2050945), // Rule ID 17933 //
     /* 2050859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2050862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2050870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2050873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2050879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050905 */     // MIs[0] round
     /* 2050905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050908 */     // MIs[0] policy
     /* 2050908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050918 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2050921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2050925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050944 */     // GIR_Coverage, 17933,
     /* 2050944 */     GIR_EraseRootFromParent_Done,
     /* 2050945 */   // Label 27169: @2050945
     /* 2050945 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2051036), // Rule ID 17936 //
     /* 2050950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2050953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2050958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2050961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2050964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2050967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2050970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2050973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2050988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050996 */     // MIs[0] round
     /* 2050996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050999 */     // MIs[0] policy
     /* 2050999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051009 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2051012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051035 */     // GIR_Coverage, 17936,
     /* 2051035 */     GIR_EraseRootFromParent_Done,
     /* 2051036 */   // Label 27170: @2051036
     /* 2051036 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2051127), // Rule ID 17937 //
     /* 2051041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2051044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2051052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2051055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2051058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2051061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2051079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051087 */     // MIs[0] round
     /* 2051087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051090 */     // MIs[0] policy
     /* 2051090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051100 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2051103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051126 */     // GIR_Coverage, 17937,
     /* 2051126 */     GIR_EraseRootFromParent_Done,
     /* 2051127 */   // Label 27171: @2051127
     /* 2051127 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2051218), // Rule ID 17940 //
     /* 2051132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2051135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2051143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2051146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2051152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051178 */     // MIs[0] round
     /* 2051178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051181 */     // MIs[0] policy
     /* 2051181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051191 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2051194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051217 */     // GIR_Coverage, 17940,
     /* 2051217 */     GIR_EraseRootFromParent_Done,
     /* 2051218 */   // Label 27172: @2051218
     /* 2051218 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2051309), // Rule ID 17941 //
     /* 2051223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2051226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2051234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2051237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2051243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051269 */     // MIs[0] round
     /* 2051269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051272 */     // MIs[0] policy
     /* 2051272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051282 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2051285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051308 */     // GIR_Coverage, 17941,
     /* 2051308 */     GIR_EraseRootFromParent_Done,
     /* 2051309 */   // Label 27173: @2051309
     /* 2051309 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2051400), // Rule ID 17944 //
     /* 2051314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2051317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2051325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2051328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2051334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051360 */     // MIs[0] round
     /* 2051360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051363 */     // MIs[0] policy
     /* 2051363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051373 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2051376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051399 */     // GIR_Coverage, 17944,
     /* 2051399 */     GIR_EraseRootFromParent_Done,
     /* 2051400 */   // Label 27174: @2051400
     /* 2051400 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2051491), // Rule ID 17945 //
     /* 2051405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2051408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2051416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2051419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2051425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051451 */     // MIs[0] round
     /* 2051451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051454 */     // MIs[0] policy
     /* 2051454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2051467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051490 */     // GIR_Coverage, 17945,
     /* 2051490 */     GIR_EraseRootFromParent_Done,
     /* 2051491 */   // Label 27175: @2051491
     /* 2051491 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2051582), // Rule ID 17948 //
     /* 2051496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2051499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2051507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2051510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2051516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051542 */     // MIs[0] round
     /* 2051542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051545 */     // MIs[0] policy
     /* 2051545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051555 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2051558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051581 */     // GIR_Coverage, 17948,
     /* 2051581 */     GIR_EraseRootFromParent_Done,
     /* 2051582 */   // Label 27176: @2051582
     /* 2051582 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2051673), // Rule ID 17949 //
     /* 2051587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2051590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2051598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2051601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2051604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2051607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2051625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051633 */     // MIs[0] round
     /* 2051633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051636 */     // MIs[0] policy
     /* 2051636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2051649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051672 */     // GIR_Coverage, 17949,
     /* 2051672 */     GIR_EraseRootFromParent_Done,
     /* 2051673 */   // Label 27177: @2051673
     /* 2051673 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2051764), // Rule ID 17952 //
     /* 2051678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2051681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2051689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2051692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2051695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2051698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2051716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051724 */     // MIs[0] round
     /* 2051724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051727 */     // MIs[0] policy
     /* 2051727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051737 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2051740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051763 */     // GIR_Coverage, 17952,
     /* 2051763 */     GIR_EraseRootFromParent_Done,
     /* 2051764 */   // Label 27178: @2051764
     /* 2051764 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2051855), // Rule ID 17953 //
     /* 2051769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2051772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2051780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2051783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2051786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2051789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2051807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051815 */     // MIs[0] round
     /* 2051815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051818 */     // MIs[0] policy
     /* 2051818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051828 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2051831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051854 */     // GIR_Coverage, 17953,
     /* 2051854 */     GIR_EraseRootFromParent_Done,
     /* 2051855 */   // Label 27179: @2051855
     /* 2051855 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2051946), // Rule ID 17956 //
     /* 2051860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2051863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2051871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2051874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2051877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2051880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2051898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051906 */     // MIs[0] round
     /* 2051906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051909 */     // MIs[0] policy
     /* 2051909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051919 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2051922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2051926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051945 */     // GIR_Coverage, 17956,
     /* 2051945 */     GIR_EraseRootFromParent_Done,
     /* 2051946 */   // Label 27180: @2051946
     /* 2051946 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2052037), // Rule ID 17957 //
     /* 2051951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2051954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2051959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2051962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2051965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2051968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2051971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2051989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051997 */     // MIs[0] round
     /* 2051997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052000 */     // MIs[0] policy
     /* 2052000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052010 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2052013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052036 */     // GIR_Coverage, 17957,
     /* 2052036 */     GIR_EraseRootFromParent_Done,
     /* 2052037 */   // Label 27181: @2052037
     /* 2052037 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2052128), // Rule ID 17960 //
     /* 2052042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2052045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2052050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2052053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2052056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2052059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2052062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2052080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052088 */     // MIs[0] round
     /* 2052088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052091 */     // MIs[0] policy
     /* 2052091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052101 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2052104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052127 */     // GIR_Coverage, 17960,
     /* 2052127 */     GIR_EraseRootFromParent_Done,
     /* 2052128 */   // Label 27182: @2052128
     /* 2052128 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2052219), // Rule ID 17961 //
     /* 2052133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2052136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2052141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2052144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2052147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2052150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2052153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2052171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052179 */     // MIs[0] round
     /* 2052179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052182 */     // MIs[0] policy
     /* 2052182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052192 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10867:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2052195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052218 */     // GIR_Coverage, 17961,
     /* 2052218 */     GIR_EraseRootFromParent_Done,
     /* 2052219 */   // Label 27183: @2052219
     /* 2052219 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2052310), // Rule ID 17964 //
     /* 2052224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2052227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2052235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2052238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2052241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2052244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052270 */     // MIs[0] round
     /* 2052270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052273 */     // MIs[0] policy
     /* 2052273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052283 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2052286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052309 */     // GIR_Coverage, 17964,
     /* 2052309 */     GIR_EraseRootFromParent_Done,
     /* 2052310 */   // Label 27184: @2052310
     /* 2052310 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2052401), // Rule ID 17965 //
     /* 2052315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2052318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2052326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2052329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2052332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2052335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052361 */     // MIs[0] round
     /* 2052361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052364 */     // MIs[0] policy
     /* 2052364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052374 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2052377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052400 */     // GIR_Coverage, 17965,
     /* 2052400 */     GIR_EraseRootFromParent_Done,
     /* 2052401 */   // Label 27185: @2052401
     /* 2052401 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2052492), // Rule ID 17968 //
     /* 2052406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2052409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2052417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2052420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2052423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2052426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052452 */     // MIs[0] round
     /* 2052452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052455 */     // MIs[0] policy
     /* 2052455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052465 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2052468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052491 */     // GIR_Coverage, 17968,
     /* 2052491 */     GIR_EraseRootFromParent_Done,
     /* 2052492 */   // Label 27186: @2052492
     /* 2052492 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2052583), // Rule ID 17969 //
     /* 2052497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2052500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2052508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2052511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2052514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2052517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052543 */     // MIs[0] round
     /* 2052543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052546 */     // MIs[0] policy
     /* 2052546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052556 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2052559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052582 */     // GIR_Coverage, 17969,
     /* 2052582 */     GIR_EraseRootFromParent_Done,
     /* 2052583 */   // Label 27187: @2052583
     /* 2052583 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2052674), // Rule ID 17972 //
     /* 2052588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2052591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2052608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052634 */     // MIs[0] round
     /* 2052634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052637 */     // MIs[0] policy
     /* 2052637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052647 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2052650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052673 */     // GIR_Coverage, 17972,
     /* 2052673 */     GIR_EraseRootFromParent_Done,
     /* 2052674 */   // Label 27188: @2052674
     /* 2052674 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2052765), // Rule ID 17973 //
     /* 2052679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2052682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2052690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2052693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2052696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2052699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052725 */     // MIs[0] round
     /* 2052725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052728 */     // MIs[0] policy
     /* 2052728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2052741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052764 */     // GIR_Coverage, 17973,
     /* 2052764 */     GIR_EraseRootFromParent_Done,
     /* 2052765 */   // Label 27189: @2052765
     /* 2052765 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2052856), // Rule ID 17976 //
     /* 2052770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2052773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2052790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052816 */     // MIs[0] round
     /* 2052816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052819 */     // MIs[0] policy
     /* 2052819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052829 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2052832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052855 */     // GIR_Coverage, 17976,
     /* 2052855 */     GIR_EraseRootFromParent_Done,
     /* 2052856 */   // Label 27190: @2052856
     /* 2052856 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2052947), // Rule ID 17977 //
     /* 2052861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2052864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2052872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2052881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052907 */     // MIs[0] round
     /* 2052907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052910 */     // MIs[0] policy
     /* 2052910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2052923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2052927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052946 */     // GIR_Coverage, 17977,
     /* 2052946 */     GIR_EraseRootFromParent_Done,
     /* 2052947 */   // Label 27191: @2052947
     /* 2052947 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2053038), // Rule ID 17980 //
     /* 2052952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2052955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2052960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2052972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052998 */     // MIs[0] round
     /* 2052998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053001 */     // MIs[0] policy
     /* 2053001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053011 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2053014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053037 */     // GIR_Coverage, 17980,
     /* 2053037 */     GIR_EraseRootFromParent_Done,
     /* 2053038 */   // Label 27192: @2053038
     /* 2053038 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2053129), // Rule ID 17981 //
     /* 2053043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2053046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2053054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2053057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2053060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2053063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053089 */     // MIs[0] round
     /* 2053089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053092 */     // MIs[0] policy
     /* 2053092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2053105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053128 */     // GIR_Coverage, 17981,
     /* 2053128 */     GIR_EraseRootFromParent_Done,
     /* 2053129 */   // Label 27193: @2053129
     /* 2053129 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2053220), // Rule ID 17984 //
     /* 2053134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2053137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2053145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2053148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2053151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2053154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053180 */     // MIs[0] round
     /* 2053180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053183 */     // MIs[0] policy
     /* 2053183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053193 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2053196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053219 */     // GIR_Coverage, 17984,
     /* 2053219 */     GIR_EraseRootFromParent_Done,
     /* 2053220 */   // Label 27194: @2053220
     /* 2053220 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2053311), // Rule ID 17985 //
     /* 2053225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2053228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2053236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2053239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2053242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2053245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053271 */     // MIs[0] round
     /* 2053271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053274 */     // MIs[0] policy
     /* 2053274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2053287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053310 */     // GIR_Coverage, 17985,
     /* 2053310 */     GIR_EraseRootFromParent_Done,
     /* 2053311 */   // Label 27195: @2053311
     /* 2053311 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2053402), // Rule ID 17988 //
     /* 2053316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2053319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2053336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053362 */     // MIs[0] round
     /* 2053362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053365 */     // MIs[0] policy
     /* 2053365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053375 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2053378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053401 */     // GIR_Coverage, 17988,
     /* 2053401 */     GIR_EraseRootFromParent_Done,
     /* 2053402 */   // Label 27196: @2053402
     /* 2053402 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2053493), // Rule ID 17989 //
     /* 2053407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2053410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2053427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053453 */     // MIs[0] round
     /* 2053453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053456 */     // MIs[0] policy
     /* 2053456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053466 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2053469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053492 */     // GIR_Coverage, 17989,
     /* 2053492 */     GIR_EraseRootFromParent_Done,
     /* 2053493 */   // Label 27197: @2053493
     /* 2053493 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2053584), // Rule ID 17992 //
     /* 2053498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2053501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053544 */     // MIs[0] round
     /* 2053544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053547 */     // MIs[0] policy
     /* 2053547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053557 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2053560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053583 */     // GIR_Coverage, 17992,
     /* 2053583 */     GIR_EraseRootFromParent_Done,
     /* 2053584 */   // Label 27198: @2053584
     /* 2053584 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2053675), // Rule ID 17993 //
     /* 2053589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2053592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2053609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053635 */     // MIs[0] round
     /* 2053635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053638 */     // MIs[0] policy
     /* 2053638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053648 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2053651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053674 */     // GIR_Coverage, 17993,
     /* 2053674 */     GIR_EraseRootFromParent_Done,
     /* 2053675 */   // Label 27199: @2053675
     /* 2053675 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2053766), // Rule ID 17996 //
     /* 2053680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2053683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2053700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053726 */     // MIs[0] round
     /* 2053726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053729 */     // MIs[0] policy
     /* 2053729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053739 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2053742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053765 */     // GIR_Coverage, 17996,
     /* 2053765 */     GIR_EraseRootFromParent_Done,
     /* 2053766 */   // Label 27200: @2053766
     /* 2053766 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2053857), // Rule ID 17997 //
     /* 2053771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2053774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2053791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053817 */     // MIs[0] round
     /* 2053817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053820 */     // MIs[0] policy
     /* 2053820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053830 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2053833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053856 */     // GIR_Coverage, 17997,
     /* 2053856 */     GIR_EraseRootFromParent_Done,
     /* 2053857 */   // Label 27201: @2053857
     /* 2053857 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2053948), // Rule ID 18000 //
     /* 2053862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2053865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2053882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053908 */     // MIs[0] round
     /* 2053908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053911 */     // MIs[0] policy
     /* 2053911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053921 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2053924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2053928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053947 */     // GIR_Coverage, 18000,
     /* 2053947 */     GIR_EraseRootFromParent_Done,
     /* 2053948 */   // Label 27202: @2053948
     /* 2053948 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2054039), // Rule ID 18001 //
     /* 2053953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2053956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2053961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2053973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053999 */     // MIs[0] round
     /* 2053999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054002 */     // MIs[0] policy
     /* 2054002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2054015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054038 */     // GIR_Coverage, 18001,
     /* 2054038 */     GIR_EraseRootFromParent_Done,
     /* 2054039 */   // Label 27203: @2054039
     /* 2054039 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2054130), // Rule ID 18004 //
     /* 2054044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2054047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2054064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054090 */     // MIs[0] round
     /* 2054090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054093 */     // MIs[0] policy
     /* 2054093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054103 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2054106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054129 */     // GIR_Coverage, 18004,
     /* 2054129 */     GIR_EraseRootFromParent_Done,
     /* 2054130 */   // Label 27204: @2054130
     /* 2054130 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2054221), // Rule ID 18005 //
     /* 2054135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2054138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2054146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2054149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2054152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2054155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054181 */     // MIs[0] round
     /* 2054181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054184 */     // MIs[0] policy
     /* 2054184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2054197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054220 */     // GIR_Coverage, 18005,
     /* 2054220 */     GIR_EraseRootFromParent_Done,
     /* 2054221 */   // Label 27205: @2054221
     /* 2054221 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2054312), // Rule ID 18008 //
     /* 2054226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2054229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2054246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054272 */     // MIs[0] round
     /* 2054272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054275 */     // MIs[0] policy
     /* 2054275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054285 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2054288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054311 */     // GIR_Coverage, 18008,
     /* 2054311 */     GIR_EraseRootFromParent_Done,
     /* 2054312 */   // Label 27206: @2054312
     /* 2054312 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2054403), // Rule ID 18009 //
     /* 2054317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2054320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2054337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054363 */     // MIs[0] round
     /* 2054363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054366 */     // MIs[0] policy
     /* 2054366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2054379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054402 */     // GIR_Coverage, 18009,
     /* 2054402 */     GIR_EraseRootFromParent_Done,
     /* 2054403 */   // Label 27207: @2054403
     /* 2054403 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2054494), // Rule ID 18012 //
     /* 2054408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2054411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2054428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054454 */     // MIs[0] round
     /* 2054454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054457 */     // MIs[0] policy
     /* 2054457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054467 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2054470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054493 */     // GIR_Coverage, 18012,
     /* 2054493 */     GIR_EraseRootFromParent_Done,
     /* 2054494 */   // Label 27208: @2054494
     /* 2054494 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2054585), // Rule ID 18013 //
     /* 2054499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2054502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2054519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054545 */     // MIs[0] round
     /* 2054545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054548 */     // MIs[0] policy
     /* 2054548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054558 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2054561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054584 */     // GIR_Coverage, 18013,
     /* 2054584 */     GIR_EraseRootFromParent_Done,
     /* 2054585 */   // Label 27209: @2054585
     /* 2054585 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2054676), // Rule ID 18016 //
     /* 2054590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2054593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054636 */     // MIs[0] round
     /* 2054636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054639 */     // MIs[0] policy
     /* 2054639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054649 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2054652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054675 */     // GIR_Coverage, 18016,
     /* 2054675 */     GIR_EraseRootFromParent_Done,
     /* 2054676 */   // Label 27210: @2054676
     /* 2054676 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2054767), // Rule ID 18017 //
     /* 2054681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2054684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2054701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054727 */     // MIs[0] round
     /* 2054727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054730 */     // MIs[0] policy
     /* 2054730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054740 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2054743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054766 */     // GIR_Coverage, 18017,
     /* 2054766 */     GIR_EraseRootFromParent_Done,
     /* 2054767 */   // Label 27211: @2054767
     /* 2054767 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2054858), // Rule ID 18020 //
     /* 2054772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2054775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2054792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054818 */     // MIs[0] round
     /* 2054818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054821 */     // MIs[0] policy
     /* 2054821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054831 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2054834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054857 */     // GIR_Coverage, 18020,
     /* 2054857 */     GIR_EraseRootFromParent_Done,
     /* 2054858 */   // Label 27212: @2054858
     /* 2054858 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2054949), // Rule ID 18021 //
     /* 2054863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2054866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2054883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054909 */     // MIs[0] round
     /* 2054909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054912 */     // MIs[0] policy
     /* 2054912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054922 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2054925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2054929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054948 */     // GIR_Coverage, 18021,
     /* 2054948 */     GIR_EraseRootFromParent_Done,
     /* 2054949 */   // Label 27213: @2054949
     /* 2054949 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2055040), // Rule ID 18024 //
     /* 2054954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2054957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2054962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2054971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2054992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055000 */     // MIs[0] round
     /* 2055000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055003 */     // MIs[0] policy
     /* 2055003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055013 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2055016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055039 */     // GIR_Coverage, 18024,
     /* 2055039 */     GIR_EraseRootFromParent_Done,
     /* 2055040 */   // Label 27214: @2055040
     /* 2055040 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2055131), // Rule ID 18025 //
     /* 2055045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2055048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2055062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2055083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055091 */     // MIs[0] round
     /* 2055091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055094 */     // MIs[0] policy
     /* 2055094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055104 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2055107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055130 */     // GIR_Coverage, 18025,
     /* 2055130 */     GIR_EraseRootFromParent_Done,
     /* 2055131 */   // Label 27215: @2055131
     /* 2055131 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2055222), // Rule ID 18028 //
     /* 2055136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2055139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2055153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2055174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055182 */     // MIs[0] round
     /* 2055182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055185 */     // MIs[0] policy
     /* 2055185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055195 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2055198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055221 */     // GIR_Coverage, 18028,
     /* 2055221 */     GIR_EraseRootFromParent_Done,
     /* 2055222 */   // Label 27216: @2055222
     /* 2055222 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2055313), // Rule ID 18029 //
     /* 2055227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2055230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2055244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2055265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055273 */     // MIs[0] round
     /* 2055273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055276 */     // MIs[0] policy
     /* 2055276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055286 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2055289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055312 */     // GIR_Coverage, 18029,
     /* 2055312 */     GIR_EraseRootFromParent_Done,
     /* 2055313 */   // Label 27217: @2055313
     /* 2055313 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2055404), // Rule ID 18032 //
     /* 2055318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2055321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2055335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2055356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055364 */     // MIs[0] round
     /* 2055364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055367 */     // MIs[0] policy
     /* 2055367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2055380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055403 */     // GIR_Coverage, 18032,
     /* 2055403 */     GIR_EraseRootFromParent_Done,
     /* 2055404 */   // Label 27218: @2055404
     /* 2055404 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2055495), // Rule ID 18033 //
     /* 2055409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2055412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2055426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2055447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055455 */     // MIs[0] round
     /* 2055455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055458 */     // MIs[0] policy
     /* 2055458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2055471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055494 */     // GIR_Coverage, 18033,
     /* 2055494 */     GIR_EraseRootFromParent_Done,
     /* 2055495 */   // Label 27219: @2055495
     /* 2055495 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2055586), // Rule ID 18036 //
     /* 2055500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2055503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2055517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2055538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055546 */     // MIs[0] round
     /* 2055546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055549 */     // MIs[0] policy
     /* 2055549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055559 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2055562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055585 */     // GIR_Coverage, 18036,
     /* 2055585 */     GIR_EraseRootFromParent_Done,
     /* 2055586 */   // Label 27220: @2055586
     /* 2055586 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2055677), // Rule ID 18037 //
     /* 2055591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2055594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2055608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2055629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055637 */     // MIs[0] round
     /* 2055637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055640 */     // MIs[0] policy
     /* 2055640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055650 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2055653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055676 */     // GIR_Coverage, 18037,
     /* 2055676 */     GIR_EraseRootFromParent_Done,
     /* 2055677 */   // Label 27221: @2055677
     /* 2055677 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2055768), // Rule ID 18040 //
     /* 2055682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2055685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2055699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2055702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2055720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055728 */     // MIs[0] round
     /* 2055728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055731 */     // MIs[0] policy
     /* 2055731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055741 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2055744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055767 */     // GIR_Coverage, 18040,
     /* 2055767 */     GIR_EraseRootFromParent_Done,
     /* 2055768 */   // Label 27222: @2055768
     /* 2055768 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2055859), // Rule ID 18041 //
     /* 2055773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2055776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2055790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2055793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2055811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055819 */     // MIs[0] round
     /* 2055819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055822 */     // MIs[0] policy
     /* 2055822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055832 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2055835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055858 */     // GIR_Coverage, 18041,
     /* 2055858 */     GIR_EraseRootFromParent_Done,
     /* 2055859 */   // Label 27223: @2055859
     /* 2055859 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2055950), // Rule ID 18044 //
     /* 2055864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2055867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2055881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2055902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055910 */     // MIs[0] round
     /* 2055910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055913 */     // MIs[0] policy
     /* 2055913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055923 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2055926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2055930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055949 */     // GIR_Coverage, 18044,
     /* 2055949 */     GIR_EraseRootFromParent_Done,
     /* 2055950 */   // Label 27224: @2055950
     /* 2055950 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2056041), // Rule ID 18045 //
     /* 2055955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2055958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2055963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2055972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2055993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056001 */     // MIs[0] round
     /* 2056001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056004 */     // MIs[0] policy
     /* 2056004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2056017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056040 */     // GIR_Coverage, 18045,
     /* 2056040 */     GIR_EraseRootFromParent_Done,
     /* 2056041 */   // Label 27225: @2056041
     /* 2056041 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2056132), // Rule ID 18048 //
     /* 2056046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2056049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2056066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056092 */     // MIs[0] round
     /* 2056092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056095 */     // MIs[0] policy
     /* 2056095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056105 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2056108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056131 */     // GIR_Coverage, 18048,
     /* 2056131 */     GIR_EraseRootFromParent_Done,
     /* 2056132 */   // Label 27226: @2056132
     /* 2056132 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2056223), // Rule ID 18049 //
     /* 2056137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2056140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2056157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056183 */     // MIs[0] round
     /* 2056183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056186 */     // MIs[0] policy
     /* 2056186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056196 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2056199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056222 */     // GIR_Coverage, 18049,
     /* 2056222 */     GIR_EraseRootFromParent_Done,
     /* 2056223 */   // Label 27227: @2056223
     /* 2056223 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2056314), // Rule ID 18052 //
     /* 2056228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2056231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2056239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2056242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2056248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056274 */     // MIs[0] round
     /* 2056274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056277 */     // MIs[0] policy
     /* 2056277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056287 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2056290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056313 */     // GIR_Coverage, 18052,
     /* 2056313 */     GIR_EraseRootFromParent_Done,
     /* 2056314 */   // Label 27228: @2056314
     /* 2056314 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2056405), // Rule ID 18053 //
     /* 2056319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2056322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2056330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2056333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2056339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056365 */     // MIs[0] round
     /* 2056365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056368 */     // MIs[0] policy
     /* 2056368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056378 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2056381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056404 */     // GIR_Coverage, 18053,
     /* 2056404 */     GIR_EraseRootFromParent_Done,
     /* 2056405 */   // Label 27229: @2056405
     /* 2056405 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2056496), // Rule ID 18056 //
     /* 2056410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2056413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056456 */     // MIs[0] round
     /* 2056456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056459 */     // MIs[0] policy
     /* 2056459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056469 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2056472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056495 */     // GIR_Coverage, 18056,
     /* 2056495 */     GIR_EraseRootFromParent_Done,
     /* 2056496 */   // Label 27230: @2056496
     /* 2056496 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2056587), // Rule ID 18057 //
     /* 2056501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2056504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2056518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2056539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056547 */     // MIs[0] round
     /* 2056547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056550 */     // MIs[0] policy
     /* 2056550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056560 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2056563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056586 */     // GIR_Coverage, 18057,
     /* 2056586 */     GIR_EraseRootFromParent_Done,
     /* 2056587 */   // Label 27231: @2056587
     /* 2056587 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2056678), // Rule ID 18060 //
     /* 2056592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2056595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2056609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2056630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056638 */     // MIs[0] round
     /* 2056638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056641 */     // MIs[0] policy
     /* 2056641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056651 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2056654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056677 */     // GIR_Coverage, 18060,
     /* 2056677 */     GIR_EraseRootFromParent_Done,
     /* 2056678 */   // Label 27232: @2056678
     /* 2056678 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2056769), // Rule ID 18061 //
     /* 2056683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2056686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2056700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2056721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056729 */     // MIs[0] round
     /* 2056729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056732 */     // MIs[0] policy
     /* 2056732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056742 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2056745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056768 */     // GIR_Coverage, 18061,
     /* 2056768 */     GIR_EraseRootFromParent_Done,
     /* 2056769 */   // Label 27233: @2056769
     /* 2056769 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2056860), // Rule ID 18064 //
     /* 2056774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2056777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2056791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2056812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056820 */     // MIs[0] round
     /* 2056820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056823 */     // MIs[0] policy
     /* 2056823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056833 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2056836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056859 */     // GIR_Coverage, 18064,
     /* 2056859 */     GIR_EraseRootFromParent_Done,
     /* 2056860 */   // Label 27234: @2056860
     /* 2056860 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2056951), // Rule ID 18065 //
     /* 2056865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2056868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2056882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2056903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056911 */     // MIs[0] round
     /* 2056911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056914 */     // MIs[0] policy
     /* 2056914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056924 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2056927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2056931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056950 */     // GIR_Coverage, 18065,
     /* 2056950 */     GIR_EraseRootFromParent_Done,
     /* 2056951 */   // Label 27235: @2056951
     /* 2056951 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2057042), // Rule ID 18068 //
     /* 2056956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2056959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2056964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2056967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2056970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2056973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2056976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2056994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057002 */     // MIs[0] round
     /* 2057002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057005 */     // MIs[0] policy
     /* 2057005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057015 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2057018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057041 */     // GIR_Coverage, 18068,
     /* 2057041 */     GIR_EraseRootFromParent_Done,
     /* 2057042 */   // Label 27236: @2057042
     /* 2057042 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2057133), // Rule ID 18069 //
     /* 2057047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2057050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2057064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2057085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057093 */     // MIs[0] round
     /* 2057093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057096 */     // MIs[0] policy
     /* 2057096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057106 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2057109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057132 */     // GIR_Coverage, 18069,
     /* 2057132 */     GIR_EraseRootFromParent_Done,
     /* 2057133 */   // Label 27237: @2057133
     /* 2057133 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2057224), // Rule ID 18072 //
     /* 2057138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2057141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2057149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2057152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2057158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057184 */     // MIs[0] round
     /* 2057184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057187 */     // MIs[0] policy
     /* 2057187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057197 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2057200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057223 */     // GIR_Coverage, 18072,
     /* 2057223 */     GIR_EraseRootFromParent_Done,
     /* 2057224 */   // Label 27238: @2057224
     /* 2057224 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2057315), // Rule ID 18073 //
     /* 2057229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2057232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2057240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2057243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2057249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057275 */     // MIs[0] round
     /* 2057275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057278 */     // MIs[0] policy
     /* 2057278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2057291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057314 */     // GIR_Coverage, 18073,
     /* 2057314 */     GIR_EraseRootFromParent_Done,
     /* 2057315 */   // Label 27239: @2057315
     /* 2057315 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2057406), // Rule ID 18076 //
     /* 2057320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2057323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2057331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2057334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2057340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057366 */     // MIs[0] round
     /* 2057366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057369 */     // MIs[0] policy
     /* 2057369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057379 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2057382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057405 */     // GIR_Coverage, 18076,
     /* 2057405 */     GIR_EraseRootFromParent_Done,
     /* 2057406 */   // Label 27240: @2057406
     /* 2057406 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2057497), // Rule ID 18077 //
     /* 2057411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2057414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2057422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2057425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2057431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057457 */     // MIs[0] round
     /* 2057457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057460 */     // MIs[0] policy
     /* 2057460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2057473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057496 */     // GIR_Coverage, 18077,
     /* 2057496 */     GIR_EraseRootFromParent_Done,
     /* 2057497 */   // Label 27241: @2057497
     /* 2057497 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2057588), // Rule ID 18080 //
     /* 2057502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2057505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2057513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2057516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2057522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057548 */     // MIs[0] round
     /* 2057548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057551 */     // MIs[0] policy
     /* 2057551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057561 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2057564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057587 */     // GIR_Coverage, 18080,
     /* 2057587 */     GIR_EraseRootFromParent_Done,
     /* 2057588 */   // Label 27242: @2057588
     /* 2057588 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2057679), // Rule ID 18081 //
     /* 2057593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2057596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2057601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2057604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2057607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2057610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2057613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2057631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057639 */     // MIs[0] round
     /* 2057639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057642 */     // MIs[0] policy
     /* 2057642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2057655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057678 */     // GIR_Coverage, 18081,
     /* 2057678 */     GIR_EraseRootFromParent_Done,
     /* 2057679 */   // Label 27243: @2057679
     /* 2057679 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2057770), // Rule ID 18084 //
     /* 2057684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2057687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2057692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2057704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057730 */     // MIs[0] round
     /* 2057730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057733 */     // MIs[0] policy
     /* 2057733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057743 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2057746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057769 */     // GIR_Coverage, 18084,
     /* 2057769 */     GIR_EraseRootFromParent_Done,
     /* 2057770 */   // Label 27244: @2057770
     /* 2057770 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2057861), // Rule ID 18085 //
     /* 2057775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2057778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2057783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2057795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057821 */     // MIs[0] round
     /* 2057821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057824 */     // MIs[0] policy
     /* 2057824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057834 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2057837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057860 */     // GIR_Coverage, 18085,
     /* 2057860 */     GIR_EraseRootFromParent_Done,
     /* 2057861 */   // Label 27245: @2057861
     /* 2057861 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2057952), // Rule ID 18088 //
     /* 2057866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2057869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2057874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2057886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057912 */     // MIs[0] round
     /* 2057912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057915 */     // MIs[0] policy
     /* 2057915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057925 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2057928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2057932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057951 */     // GIR_Coverage, 18088,
     /* 2057951 */     GIR_EraseRootFromParent_Done,
     /* 2057952 */   // Label 27246: @2057952
     /* 2057952 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2058043), // Rule ID 18089 //
     /* 2057957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2057960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2057965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2057977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058003 */     // MIs[0] round
     /* 2058003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058006 */     // MIs[0] policy
     /* 2058006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058016 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2058019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058042 */     // GIR_Coverage, 18089,
     /* 2058042 */     GIR_EraseRootFromParent_Done,
     /* 2058043 */   // Label 27247: @2058043
     /* 2058043 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2058134), // Rule ID 18092 //
     /* 2058048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2058051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2058068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058094 */     // MIs[0] round
     /* 2058094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058097 */     // MIs[0] policy
     /* 2058097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058107 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2058110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058133 */     // GIR_Coverage, 18092,
     /* 2058133 */     GIR_EraseRootFromParent_Done,
     /* 2058134 */   // Label 27248: @2058134
     /* 2058134 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2058225), // Rule ID 18093 //
     /* 2058139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2058142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2058159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058185 */     // MIs[0] round
     /* 2058185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058188 */     // MIs[0] policy
     /* 2058188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058198 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2058201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058224 */     // GIR_Coverage, 18093,
     /* 2058224 */     GIR_EraseRootFromParent_Done,
     /* 2058225 */   // Label 27249: @2058225
     /* 2058225 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2058316), // Rule ID 18096 //
     /* 2058230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2058233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2058250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058276 */     // MIs[0] round
     /* 2058276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058279 */     // MIs[0] policy
     /* 2058279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058289 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2058292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058315 */     // GIR_Coverage, 18096,
     /* 2058315 */     GIR_EraseRootFromParent_Done,
     /* 2058316 */   // Label 27250: @2058316
     /* 2058316 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2058407), // Rule ID 18097 //
     /* 2058321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2058324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2058341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058367 */     // MIs[0] round
     /* 2058367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058370 */     // MIs[0] policy
     /* 2058370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2058383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058406 */     // GIR_Coverage, 18097,
     /* 2058406 */     GIR_EraseRootFromParent_Done,
     /* 2058407 */   // Label 27251: @2058407
     /* 2058407 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2058498), // Rule ID 18100 //
     /* 2058412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2058415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2058432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058458 */     // MIs[0] round
     /* 2058458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058461 */     // MIs[0] policy
     /* 2058461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2058474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058497 */     // GIR_Coverage, 18100,
     /* 2058497 */     GIR_EraseRootFromParent_Done,
     /* 2058498 */   // Label 27252: @2058498
     /* 2058498 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2058589), // Rule ID 18101 //
     /* 2058503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2058506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2058523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058549 */     // MIs[0] round
     /* 2058549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058552 */     // MIs[0] policy
     /* 2058552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058562 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2058565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058588 */     // GIR_Coverage, 18101,
     /* 2058588 */     GIR_EraseRootFromParent_Done,
     /* 2058589 */   // Label 27253: @2058589
     /* 2058589 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2058680), // Rule ID 18104 //
     /* 2058594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2058597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2058605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2058608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2058611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2058614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058640 */     // MIs[0] round
     /* 2058640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058643 */     // MIs[0] policy
     /* 2058643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058653 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2058656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058679 */     // GIR_Coverage, 18104,
     /* 2058679 */     GIR_EraseRootFromParent_Done,
     /* 2058680 */   // Label 27254: @2058680
     /* 2058680 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2058771), // Rule ID 18105 //
     /* 2058685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2058688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2058696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2058699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2058702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2058705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058731 */     // MIs[0] round
     /* 2058731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058734 */     // MIs[0] policy
     /* 2058734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2058747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058770 */     // GIR_Coverage, 18105,
     /* 2058770 */     GIR_EraseRootFromParent_Done,
     /* 2058771 */   // Label 27255: @2058771
     /* 2058771 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2058862), // Rule ID 18108 //
     /* 2058776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2058779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2058787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2058790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2058793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2058796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058822 */     // MIs[0] round
     /* 2058822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058825 */     // MIs[0] policy
     /* 2058825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058835 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2058838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058861 */     // GIR_Coverage, 18108,
     /* 2058861 */     GIR_EraseRootFromParent_Done,
     /* 2058862 */   // Label 27256: @2058862
     /* 2058862 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2058953), // Rule ID 18109 //
     /* 2058867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2058870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2058878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2058881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2058884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2058887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058913 */     // MIs[0] round
     /* 2058913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058916 */     // MIs[0] policy
     /* 2058916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058926 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2058929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2058933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058952 */     // GIR_Coverage, 18109,
     /* 2058952 */     GIR_EraseRootFromParent_Done,
     /* 2058953 */   // Label 27257: @2058953
     /* 2058953 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2059044), // Rule ID 18112 //
     /* 2058958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2058961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2058966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2058969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2058972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2058975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2058978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059004 */     // MIs[0] round
     /* 2059004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059007 */     // MIs[0] policy
     /* 2059007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059017 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2059020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059043 */     // GIR_Coverage, 18112,
     /* 2059043 */     GIR_EraseRootFromParent_Done,
     /* 2059044 */   // Label 27258: @2059044
     /* 2059044 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2059135), // Rule ID 18113 //
     /* 2059049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2059052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2059069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059095 */     // MIs[0] round
     /* 2059095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059098 */     // MIs[0] policy
     /* 2059098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059108 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2059111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059134 */     // GIR_Coverage, 18113,
     /* 2059134 */     GIR_EraseRootFromParent_Done,
     /* 2059135 */   // Label 27259: @2059135
     /* 2059135 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2059226), // Rule ID 18116 //
     /* 2059140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2059143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2059160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059186 */     // MIs[0] round
     /* 2059186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059189 */     // MIs[0] policy
     /* 2059189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059199 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2059202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059225 */     // GIR_Coverage, 18116,
     /* 2059225 */     GIR_EraseRootFromParent_Done,
     /* 2059226 */   // Label 27260: @2059226
     /* 2059226 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2059317), // Rule ID 18117 //
     /* 2059231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2059234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2059251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059277 */     // MIs[0] round
     /* 2059277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059280 */     // MIs[0] policy
     /* 2059280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059290 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2059293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059316 */     // GIR_Coverage, 18117,
     /* 2059316 */     GIR_EraseRootFromParent_Done,
     /* 2059317 */   // Label 27261: @2059317
     /* 2059317 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2059408), // Rule ID 18120 //
     /* 2059322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2059325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2059333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2059336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2059339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2059342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059368 */     // MIs[0] round
     /* 2059368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059371 */     // MIs[0] policy
     /* 2059371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059381 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2059384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059407 */     // GIR_Coverage, 18120,
     /* 2059407 */     GIR_EraseRootFromParent_Done,
     /* 2059408 */   // Label 27262: @2059408
     /* 2059408 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2059499), // Rule ID 18121 //
     /* 2059413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2059416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2059424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2059427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2059430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2059433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059459 */     // MIs[0] round
     /* 2059459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059462 */     // MIs[0] policy
     /* 2059462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059472 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2059475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059498 */     // GIR_Coverage, 18121,
     /* 2059498 */     GIR_EraseRootFromParent_Done,
     /* 2059499 */   // Label 27263: @2059499
     /* 2059499 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2059590), // Rule ID 18124 //
     /* 2059504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2059507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2059515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2059518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2059521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2059524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059550 */     // MIs[0] round
     /* 2059550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059553 */     // MIs[0] policy
     /* 2059553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2059566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059589 */     // GIR_Coverage, 18124,
     /* 2059589 */     GIR_EraseRootFromParent_Done,
     /* 2059590 */   // Label 27264: @2059590
     /* 2059590 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2059681), // Rule ID 18125 //
     /* 2059595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2059598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2059606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2059609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2059612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2059615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059641 */     // MIs[0] round
     /* 2059641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059644 */     // MIs[0] policy
     /* 2059644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059654 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2059657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059680 */     // GIR_Coverage, 18125,
     /* 2059680 */     GIR_EraseRootFromParent_Done,
     /* 2059681 */   // Label 27265: @2059681
     /* 2059681 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2059772), // Rule ID 18128 //
     /* 2059686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2059689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2059697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2059700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2059703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2059706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059732 */     // MIs[0] round
     /* 2059732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059735 */     // MIs[0] policy
     /* 2059735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059745 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2059748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059771 */     // GIR_Coverage, 18128,
     /* 2059771 */     GIR_EraseRootFromParent_Done,
     /* 2059772 */   // Label 27266: @2059772
     /* 2059772 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2059863), // Rule ID 18129 //
     /* 2059777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2059780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2059788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2059791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2059794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2059797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059823 */     // MIs[0] round
     /* 2059823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059826 */     // MIs[0] policy
     /* 2059826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2059839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059862 */     // GIR_Coverage, 18129,
     /* 2059862 */     GIR_EraseRootFromParent_Done,
     /* 2059863 */   // Label 27267: @2059863
     /* 2059863 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2059954), // Rule ID 18132 //
     /* 2059868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2059871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2059879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2059882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2059885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2059888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059914 */     // MIs[0] round
     /* 2059914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059917 */     // MIs[0] policy
     /* 2059917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059927 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2059930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2059934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2059950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059953 */     // GIR_Coverage, 18132,
     /* 2059953 */     GIR_EraseRootFromParent_Done,
     /* 2059954 */   // Label 27268: @2059954
     /* 2059954 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2060045), // Rule ID 18133 //
     /* 2059959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2059962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2059967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2059970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2059973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2059976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2059979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060005 */     // MIs[0] round
     /* 2060005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060008 */     // MIs[0] policy
     /* 2060008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2060021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060044 */     // GIR_Coverage, 18133,
     /* 2060044 */     GIR_EraseRootFromParent_Done,
     /* 2060045 */   // Label 27269: @2060045
     /* 2060045 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2060136), // Rule ID 18136 //
     /* 2060050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2060053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060096 */     // MIs[0] round
     /* 2060096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060099 */     // MIs[0] policy
     /* 2060099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060109 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2060112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060135 */     // GIR_Coverage, 18136,
     /* 2060135 */     GIR_EraseRootFromParent_Done,
     /* 2060136 */   // Label 27270: @2060136
     /* 2060136 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2060227), // Rule ID 18137 //
     /* 2060141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2060144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060187 */     // MIs[0] round
     /* 2060187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060190 */     // MIs[0] policy
     /* 2060190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060200 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2060203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060226 */     // GIR_Coverage, 18137,
     /* 2060226 */     GIR_EraseRootFromParent_Done,
     /* 2060227 */   // Label 27271: @2060227
     /* 2060227 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2060318), // Rule ID 18140 //
     /* 2060232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2060235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060278 */     // MIs[0] round
     /* 2060278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060281 */     // MIs[0] policy
     /* 2060281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060291 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2060294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060317 */     // GIR_Coverage, 18140,
     /* 2060317 */     GIR_EraseRootFromParent_Done,
     /* 2060318 */   // Label 27272: @2060318
     /* 2060318 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2060409), // Rule ID 18141 //
     /* 2060323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2060326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060369 */     // MIs[0] round
     /* 2060369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060372 */     // MIs[0] policy
     /* 2060372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2060385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060408 */     // GIR_Coverage, 18141,
     /* 2060408 */     GIR_EraseRootFromParent_Done,
     /* 2060409 */   // Label 27273: @2060409
     /* 2060409 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2060500), // Rule ID 18144 //
     /* 2060414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2060417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2060425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2060428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2060431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2060434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2060452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060460 */     // MIs[0] round
     /* 2060460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060463 */     // MIs[0] policy
     /* 2060463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060473 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2060476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060499 */     // GIR_Coverage, 18144,
     /* 2060499 */     GIR_EraseRootFromParent_Done,
     /* 2060500 */   // Label 27274: @2060500
     /* 2060500 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2060591), // Rule ID 18145 //
     /* 2060505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2060508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2060516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2060519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2060522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2060525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2060543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060551 */     // MIs[0] round
     /* 2060551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060554 */     // MIs[0] policy
     /* 2060554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060564 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2060567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060590 */     // GIR_Coverage, 18145,
     /* 2060590 */     GIR_EraseRootFromParent_Done,
     /* 2060591 */   // Label 27275: @2060591
     /* 2060591 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2060682), // Rule ID 18148 //
     /* 2060596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2060599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2060607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2060610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2060613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2060616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2060634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060642 */     // MIs[0] round
     /* 2060642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060645 */     // MIs[0] policy
     /* 2060645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060655 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2060658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060681 */     // GIR_Coverage, 18148,
     /* 2060681 */     GIR_EraseRootFromParent_Done,
     /* 2060682 */   // Label 27276: @2060682
     /* 2060682 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2060773), // Rule ID 18149 //
     /* 2060687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2060690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2060698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2060701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2060704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2060707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2060725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060733 */     // MIs[0] round
     /* 2060733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060736 */     // MIs[0] policy
     /* 2060736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060746 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2060749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060772 */     // GIR_Coverage, 18149,
     /* 2060772 */     GIR_EraseRootFromParent_Done,
     /* 2060773 */   // Label 27277: @2060773
     /* 2060773 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2060864), // Rule ID 18152 //
     /* 2060778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2060781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2060789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2060792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2060795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2060798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2060816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060824 */     // MIs[0] round
     /* 2060824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060827 */     // MIs[0] policy
     /* 2060827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060837 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2060840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060863 */     // GIR_Coverage, 18152,
     /* 2060863 */     GIR_EraseRootFromParent_Done,
     /* 2060864 */   // Label 27278: @2060864
     /* 2060864 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2060955), // Rule ID 18153 //
     /* 2060869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2060872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2060880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2060883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2060886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2060889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2060907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060915 */     // MIs[0] round
     /* 2060915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060918 */     // MIs[0] policy
     /* 2060918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2060931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2060935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060954 */     // GIR_Coverage, 18153,
     /* 2060954 */     GIR_EraseRootFromParent_Done,
     /* 2060955 */   // Label 27279: @2060955
     /* 2060955 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2061046), // Rule ID 18156 //
     /* 2060960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2060963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2060968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2060977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2060980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2060998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061006 */     // MIs[0] round
     /* 2061006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061009 */     // MIs[0] policy
     /* 2061009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061019 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2061022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061045 */     // GIR_Coverage, 18156,
     /* 2061045 */     GIR_EraseRootFromParent_Done,
     /* 2061046 */   // Label 27280: @2061046
     /* 2061046 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2061137), // Rule ID 18157 //
     /* 2061051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2061054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2061062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2061065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2061071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061097 */     // MIs[0] round
     /* 2061097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061100 */     // MIs[0] policy
     /* 2061100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2061113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061136 */     // GIR_Coverage, 18157,
     /* 2061136 */     GIR_EraseRootFromParent_Done,
     /* 2061137 */   // Label 27281: @2061137
     /* 2061137 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2061228), // Rule ID 18160 //
     /* 2061142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2061145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2061153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2061156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2061159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2061162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2061180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061188 */     // MIs[0] round
     /* 2061188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061191 */     // MIs[0] policy
     /* 2061191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2061204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061227 */     // GIR_Coverage, 18160,
     /* 2061227 */     GIR_EraseRootFromParent_Done,
     /* 2061228 */   // Label 27282: @2061228
     /* 2061228 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2061319), // Rule ID 18161 //
     /* 2061233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2061236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2061244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2061247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2061250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2061253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2061271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061279 */     // MIs[0] round
     /* 2061279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061282 */     // MIs[0] policy
     /* 2061282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2061295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061318 */     // GIR_Coverage, 18161,
     /* 2061318 */     GIR_EraseRootFromParent_Done,
     /* 2061319 */   // Label 27283: @2061319
     /* 2061319 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2061410), // Rule ID 18164 //
     /* 2061324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2061327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2061341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2061362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061370 */     // MIs[0] round
     /* 2061370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061373 */     // MIs[0] policy
     /* 2061373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2061386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061409 */     // GIR_Coverage, 18164,
     /* 2061409 */     GIR_EraseRootFromParent_Done,
     /* 2061410 */   // Label 27284: @2061410
     /* 2061410 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2061501), // Rule ID 18165 //
     /* 2061415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2061418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2061432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2061435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2061453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061461 */     // MIs[0] round
     /* 2061461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061464 */     // MIs[0] policy
     /* 2061464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061474 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2061477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061500 */     // GIR_Coverage, 18165,
     /* 2061500 */     GIR_EraseRootFromParent_Done,
     /* 2061501 */   // Label 27285: @2061501
     /* 2061501 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2061592), // Rule ID 18168 //
     /* 2061506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2061509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2061526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061552 */     // MIs[0] round
     /* 2061552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061555 */     // MIs[0] policy
     /* 2061555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061565 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2061568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061591 */     // GIR_Coverage, 18168,
     /* 2061591 */     GIR_EraseRootFromParent_Done,
     /* 2061592 */   // Label 27286: @2061592
     /* 2061592 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2061683), // Rule ID 18169 //
     /* 2061597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2061600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2061617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061643 */     // MIs[0] round
     /* 2061643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061646 */     // MIs[0] policy
     /* 2061646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061656 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2061659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061682 */     // GIR_Coverage, 18169,
     /* 2061682 */     GIR_EraseRootFromParent_Done,
     /* 2061683 */   // Label 27287: @2061683
     /* 2061683 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2061774), // Rule ID 18172 //
     /* 2061688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2061691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061734 */     // MIs[0] round
     /* 2061734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061737 */     // MIs[0] policy
     /* 2061737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061747 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2061750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061773 */     // GIR_Coverage, 18172,
     /* 2061773 */     GIR_EraseRootFromParent_Done,
     /* 2061774 */   // Label 27288: @2061774
     /* 2061774 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2061865), // Rule ID 18173 //
     /* 2061779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2061782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2061799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061825 */     // MIs[0] round
     /* 2061825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061828 */     // MIs[0] policy
     /* 2061828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061838 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2061841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061864 */     // GIR_Coverage, 18173,
     /* 2061864 */     GIR_EraseRootFromParent_Done,
     /* 2061865 */   // Label 27289: @2061865
     /* 2061865 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2061956), // Rule ID 18176 //
     /* 2061870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2061873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061916 */     // MIs[0] round
     /* 2061916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061919 */     // MIs[0] policy
     /* 2061919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061929 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2061932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2061936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061955 */     // GIR_Coverage, 18176,
     /* 2061955 */     GIR_EraseRootFromParent_Done,
     /* 2061956 */   // Label 27290: @2061956
     /* 2061956 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2062047), // Rule ID 18177 //
     /* 2061961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2061964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2061969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2061978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2061981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2061999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062007 */     // MIs[0] round
     /* 2062007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062010 */     // MIs[0] policy
     /* 2062010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062020 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2062023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062046 */     // GIR_Coverage, 18177,
     /* 2062046 */     GIR_EraseRootFromParent_Done,
     /* 2062047 */   // Label 27291: @2062047
     /* 2062047 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2062138), // Rule ID 18180 //
     /* 2062052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2062055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2062072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062098 */     // MIs[0] round
     /* 2062098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062101 */     // MIs[0] policy
     /* 2062101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2062114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062137 */     // GIR_Coverage, 18180,
     /* 2062137 */     GIR_EraseRootFromParent_Done,
     /* 2062138 */   // Label 27292: @2062138
     /* 2062138 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2062229), // Rule ID 18181 //
     /* 2062143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2062146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2062163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062189 */     // MIs[0] round
     /* 2062189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062192 */     // MIs[0] policy
     /* 2062192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2062205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062228 */     // GIR_Coverage, 18181,
     /* 2062228 */     GIR_EraseRootFromParent_Done,
     /* 2062229 */   // Label 27293: @2062229
     /* 2062229 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2062320), // Rule ID 18184 //
     /* 2062234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2062237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2062254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062280 */     // MIs[0] round
     /* 2062280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062283 */     // MIs[0] policy
     /* 2062283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062293 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2062296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062319 */     // GIR_Coverage, 18184,
     /* 2062319 */     GIR_EraseRootFromParent_Done,
     /* 2062320 */   // Label 27294: @2062320
     /* 2062320 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2062411), // Rule ID 18185 //
     /* 2062325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2062328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2062345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062371 */     // MIs[0] round
     /* 2062371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062374 */     // MIs[0] policy
     /* 2062374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2062387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062410 */     // GIR_Coverage, 18185,
     /* 2062410 */     GIR_EraseRootFromParent_Done,
     /* 2062411 */   // Label 27295: @2062411
     /* 2062411 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2062502), // Rule ID 18188 //
     /* 2062416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2062419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2062436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062462 */     // MIs[0] round
     /* 2062462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062465 */     // MIs[0] policy
     /* 2062465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062475 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2062478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062501 */     // GIR_Coverage, 18188,
     /* 2062501 */     GIR_EraseRootFromParent_Done,
     /* 2062502 */   // Label 27296: @2062502
     /* 2062502 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2062593), // Rule ID 18189 //
     /* 2062507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2062510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2062524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2062527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2062545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062553 */     // MIs[0] round
     /* 2062553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062556 */     // MIs[0] policy
     /* 2062556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2062569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062592 */     // GIR_Coverage, 18189,
     /* 2062592 */     GIR_EraseRootFromParent_Done,
     /* 2062593 */   // Label 27297: @2062593
     /* 2062593 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2062684), // Rule ID 18192 //
     /* 2062598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2062601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2062615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2062636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062644 */     // MIs[0] round
     /* 2062644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062647 */     // MIs[0] policy
     /* 2062647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062657 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2062660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062683 */     // GIR_Coverage, 18192,
     /* 2062683 */     GIR_EraseRootFromParent_Done,
     /* 2062684 */   // Label 27298: @2062684
     /* 2062684 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2062775), // Rule ID 18193 //
     /* 2062689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2062692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2062706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2062709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2062727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062735 */     // MIs[0] round
     /* 2062735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062738 */     // MIs[0] policy
     /* 2062738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2062751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062774 */     // GIR_Coverage, 18193,
     /* 2062774 */     GIR_EraseRootFromParent_Done,
     /* 2062775 */   // Label 27299: @2062775
     /* 2062775 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2062866), // Rule ID 18196 //
     /* 2062780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2062783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2062797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2062818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062826 */     // MIs[0] round
     /* 2062826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062829 */     // MIs[0] policy
     /* 2062829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062839 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2062842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062865 */     // GIR_Coverage, 18196,
     /* 2062865 */     GIR_EraseRootFromParent_Done,
     /* 2062866 */   // Label 27300: @2062866
     /* 2062866 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2062957), // Rule ID 18197 //
     /* 2062871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2062874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2062888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2062891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2062909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062917 */     // MIs[0] round
     /* 2062917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062920 */     // MIs[0] policy
     /* 2062920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2062933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2062937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062956 */     // GIR_Coverage, 18197,
     /* 2062956 */     GIR_EraseRootFromParent_Done,
     /* 2062957 */   // Label 27301: @2062957
     /* 2062957 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2063048), // Rule ID 18200 //
     /* 2062962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2062965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2062970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2062979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2062982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2063000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063008 */     // MIs[0] round
     /* 2063008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063011 */     // MIs[0] policy
     /* 2063011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063021 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2063024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063047 */     // GIR_Coverage, 18200,
     /* 2063047 */     GIR_EraseRootFromParent_Done,
     /* 2063048 */   // Label 27302: @2063048
     /* 2063048 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2063139), // Rule ID 18201 //
     /* 2063053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2063056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2063061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2063070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2063073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2063091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063099 */     // MIs[0] round
     /* 2063099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063102 */     // MIs[0] policy
     /* 2063102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063112 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10860:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2063115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063138 */     // GIR_Coverage, 18201,
     /* 2063138 */     GIR_EraseRootFromParent_Done,
     /* 2063139 */   // Label 27303: @2063139
     /* 2063139 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2063230), // Rule ID 18204 //
     /* 2063144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2063147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063190 */     // MIs[0] round
     /* 2063190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063193 */     // MIs[0] policy
     /* 2063193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2063206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063229 */     // GIR_Coverage, 18204,
     /* 2063229 */     GIR_EraseRootFromParent_Done,
     /* 2063230 */   // Label 27304: @2063230
     /* 2063230 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2063321), // Rule ID 18205 //
     /* 2063235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2063238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063281 */     // MIs[0] round
     /* 2063281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063284 */     // MIs[0] policy
     /* 2063284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063294 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2063297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063320 */     // GIR_Coverage, 18205,
     /* 2063320 */     GIR_EraseRootFromParent_Done,
     /* 2063321 */   // Label 27305: @2063321
     /* 2063321 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2063412), // Rule ID 18208 //
     /* 2063326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2063329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063372 */     // MIs[0] round
     /* 2063372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063375 */     // MIs[0] policy
     /* 2063375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063385 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2063388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063411 */     // GIR_Coverage, 18208,
     /* 2063411 */     GIR_EraseRootFromParent_Done,
     /* 2063412 */   // Label 27306: @2063412
     /* 2063412 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2063503), // Rule ID 18209 //
     /* 2063417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2063420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063463 */     // MIs[0] round
     /* 2063463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063466 */     // MIs[0] policy
     /* 2063466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2063479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063502 */     // GIR_Coverage, 18209,
     /* 2063502 */     GIR_EraseRootFromParent_Done,
     /* 2063503 */   // Label 27307: @2063503
     /* 2063503 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2063594), // Rule ID 18212 //
     /* 2063508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2063511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063554 */     // MIs[0] round
     /* 2063554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063557 */     // MIs[0] policy
     /* 2063557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063567 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2063570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063593 */     // GIR_Coverage, 18212,
     /* 2063593 */     GIR_EraseRootFromParent_Done,
     /* 2063594 */   // Label 27308: @2063594
     /* 2063594 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2063685), // Rule ID 18213 //
     /* 2063599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2063602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063645 */     // MIs[0] round
     /* 2063645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063648 */     // MIs[0] policy
     /* 2063648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063658 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2063661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063684 */     // GIR_Coverage, 18213,
     /* 2063684 */     GIR_EraseRootFromParent_Done,
     /* 2063685 */   // Label 27309: @2063685
     /* 2063685 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2063776), // Rule ID 18216 //
     /* 2063690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2063693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2063710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063736 */     // MIs[0] round
     /* 2063736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063739 */     // MIs[0] policy
     /* 2063739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063749 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2063752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063775 */     // GIR_Coverage, 18216,
     /* 2063775 */     GIR_EraseRootFromParent_Done,
     /* 2063776 */   // Label 27310: @2063776
     /* 2063776 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2063867), // Rule ID 18217 //
     /* 2063781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2063784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2063801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063827 */     // MIs[0] round
     /* 2063827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063830 */     // MIs[0] policy
     /* 2063830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2063843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063866 */     // GIR_Coverage, 18217,
     /* 2063866 */     GIR_EraseRootFromParent_Done,
     /* 2063867 */   // Label 27311: @2063867
     /* 2063867 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2063958), // Rule ID 18220 //
     /* 2063872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2063875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2063889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2063892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063918 */     // MIs[0] round
     /* 2063918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063921 */     // MIs[0] policy
     /* 2063921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063931 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2063934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063957 */     // GIR_Coverage, 18220,
     /* 2063957 */     GIR_EraseRootFromParent_Done,
     /* 2063958 */   // Label 27312: @2063958
     /* 2063958 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2064049), // Rule ID 18221 //
     /* 2063963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2063966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2063971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2063980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2063983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064009 */     // MIs[0] round
     /* 2064009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064012 */     // MIs[0] policy
     /* 2064012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2064025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064048 */     // GIR_Coverage, 18221,
     /* 2064048 */     GIR_EraseRootFromParent_Done,
     /* 2064049 */   // Label 27313: @2064049
     /* 2064049 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2064140), // Rule ID 18224 //
     /* 2064054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2064057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064100 */     // MIs[0] round
     /* 2064100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064103 */     // MIs[0] policy
     /* 2064103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064113 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2064116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064139 */     // GIR_Coverage, 18224,
     /* 2064139 */     GIR_EraseRootFromParent_Done,
     /* 2064140 */   // Label 27314: @2064140
     /* 2064140 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2064231), // Rule ID 18225 //
     /* 2064145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2064148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064191 */     // MIs[0] round
     /* 2064191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064194 */     // MIs[0] policy
     /* 2064194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2064207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064230 */     // GIR_Coverage, 18225,
     /* 2064230 */     GIR_EraseRootFromParent_Done,
     /* 2064231 */   // Label 27315: @2064231
     /* 2064231 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2064322), // Rule ID 18228 //
     /* 2064236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2064239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2064256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064282 */     // MIs[0] round
     /* 2064282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064285 */     // MIs[0] policy
     /* 2064285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064295 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2064298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064321 */     // GIR_Coverage, 18228,
     /* 2064321 */     GIR_EraseRootFromParent_Done,
     /* 2064322 */   // Label 27316: @2064322
     /* 2064322 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2064413), // Rule ID 18229 //
     /* 2064327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2064330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2064347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064373 */     // MIs[0] round
     /* 2064373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064376 */     // MIs[0] policy
     /* 2064376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064386 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2064389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064412 */     // GIR_Coverage, 18229,
     /* 2064412 */     GIR_EraseRootFromParent_Done,
     /* 2064413 */   // Label 27317: @2064413
     /* 2064413 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2064504), // Rule ID 18232 //
     /* 2064418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2064421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2064429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2064432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2064435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2064438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064464 */     // MIs[0] round
     /* 2064464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064467 */     // MIs[0] policy
     /* 2064467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064477 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2064480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064503 */     // GIR_Coverage, 18232,
     /* 2064503 */     GIR_EraseRootFromParent_Done,
     /* 2064504 */   // Label 27318: @2064504
     /* 2064504 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2064595), // Rule ID 18233 //
     /* 2064509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2064512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2064520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2064523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2064526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2064529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064555 */     // MIs[0] round
     /* 2064555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064558 */     // MIs[0] policy
     /* 2064558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064568 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2064571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064594 */     // GIR_Coverage, 18233,
     /* 2064594 */     GIR_EraseRootFromParent_Done,
     /* 2064595 */   // Label 27319: @2064595
     /* 2064595 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2064686), // Rule ID 18236 //
     /* 2064600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2064603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064646 */     // MIs[0] round
     /* 2064646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064649 */     // MIs[0] policy
     /* 2064649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064659 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2064662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064685 */     // GIR_Coverage, 18236,
     /* 2064685 */     GIR_EraseRootFromParent_Done,
     /* 2064686 */   // Label 27320: @2064686
     /* 2064686 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2064777), // Rule ID 18237 //
     /* 2064691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2064694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064737 */     // MIs[0] round
     /* 2064737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064740 */     // MIs[0] policy
     /* 2064740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064750 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2064753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064776 */     // GIR_Coverage, 18237,
     /* 2064776 */     GIR_EraseRootFromParent_Done,
     /* 2064777 */   // Label 27321: @2064777
     /* 2064777 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2064868), // Rule ID 18240 //
     /* 2064782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2064785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064828 */     // MIs[0] round
     /* 2064828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064831 */     // MIs[0] policy
     /* 2064831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064841 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2064844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064867 */     // GIR_Coverage, 18240,
     /* 2064867 */     GIR_EraseRootFromParent_Done,
     /* 2064868 */   // Label 27322: @2064868
     /* 2064868 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2064959), // Rule ID 18241 //
     /* 2064873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2064876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064919 */     // MIs[0] round
     /* 2064919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064922 */     // MIs[0] policy
     /* 2064922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2064935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064958 */     // GIR_Coverage, 18241,
     /* 2064958 */     GIR_EraseRootFromParent_Done,
     /* 2064959 */   // Label 27323: @2064959
     /* 2064959 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2065050), // Rule ID 18244 //
     /* 2064964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2064967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2064972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2064984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065010 */     // MIs[0] round
     /* 2065010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065013 */     // MIs[0] policy
     /* 2065013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065023 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2065026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065049 */     // GIR_Coverage, 18244,
     /* 2065049 */     GIR_EraseRootFromParent_Done,
     /* 2065050 */   // Label 27324: @2065050
     /* 2065050 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2065141), // Rule ID 18245 //
     /* 2065055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2065058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2065075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065101 */     // MIs[0] round
     /* 2065101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065104 */     // MIs[0] policy
     /* 2065104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2065117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065140 */     // GIR_Coverage, 18245,
     /* 2065140 */     GIR_EraseRootFromParent_Done,
     /* 2065141 */   // Label 27325: @2065141
     /* 2065141 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2065232), // Rule ID 18248 //
     /* 2065146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2065149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2065166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065192 */     // MIs[0] round
     /* 2065192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065195 */     // MIs[0] policy
     /* 2065195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065205 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2065208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065231 */     // GIR_Coverage, 18248,
     /* 2065231 */     GIR_EraseRootFromParent_Done,
     /* 2065232 */   // Label 27326: @2065232
     /* 2065232 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2065323), // Rule ID 18249 //
     /* 2065237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2065240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2065257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065283 */     // MIs[0] round
     /* 2065283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065286 */     // MIs[0] policy
     /* 2065286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065296 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2065299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065322 */     // GIR_Coverage, 18249,
     /* 2065322 */     GIR_EraseRootFromParent_Done,
     /* 2065323 */   // Label 27327: @2065323
     /* 2065323 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2065414), // Rule ID 18252 //
     /* 2065328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2065331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2065339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2065342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2065345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2065348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065374 */     // MIs[0] round
     /* 2065374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065377 */     // MIs[0] policy
     /* 2065377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065387 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2065390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065413 */     // GIR_Coverage, 18252,
     /* 2065413 */     GIR_EraseRootFromParent_Done,
     /* 2065414 */   // Label 27328: @2065414
     /* 2065414 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2065505), // Rule ID 18253 //
     /* 2065419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2065422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2065430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2065433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2065436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2065439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065465 */     // MIs[0] round
     /* 2065465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065468 */     // MIs[0] policy
     /* 2065468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2065481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065504 */     // GIR_Coverage, 18253,
     /* 2065504 */     GIR_EraseRootFromParent_Done,
     /* 2065505 */   // Label 27329: @2065505
     /* 2065505 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2065596), // Rule ID 18256 //
     /* 2065510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2065513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2065521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2065524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2065527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2065530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065556 */     // MIs[0] round
     /* 2065556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065559 */     // MIs[0] policy
     /* 2065559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065569 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2065572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065595 */     // GIR_Coverage, 18256,
     /* 2065595 */     GIR_EraseRootFromParent_Done,
     /* 2065596 */   // Label 27330: @2065596
     /* 2065596 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2065687), // Rule ID 18257 //
     /* 2065601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2065604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2065612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2065615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2065618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2065621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065647 */     // MIs[0] round
     /* 2065647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065650 */     // MIs[0] policy
     /* 2065650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2065663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065686 */     // GIR_Coverage, 18257,
     /* 2065686 */     GIR_EraseRootFromParent_Done,
     /* 2065687 */   // Label 27331: @2065687
     /* 2065687 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2065778), // Rule ID 18260 //
     /* 2065692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2065695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2065703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2065706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2065709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2065712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065738 */     // MIs[0] round
     /* 2065738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065741 */     // MIs[0] policy
     /* 2065741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065751 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2065754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065777 */     // GIR_Coverage, 18260,
     /* 2065777 */     GIR_EraseRootFromParent_Done,
     /* 2065778 */   // Label 27332: @2065778
     /* 2065778 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2065869), // Rule ID 18261 //
     /* 2065783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2065786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2065794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2065797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2065800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2065803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065829 */     // MIs[0] round
     /* 2065829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065832 */     // MIs[0] policy
     /* 2065832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2065845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065868 */     // GIR_Coverage, 18261,
     /* 2065868 */     GIR_EraseRootFromParent_Done,
     /* 2065869 */   // Label 27333: @2065869
     /* 2065869 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2065960), // Rule ID 18264 //
     /* 2065874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2065877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2065891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2065894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2065912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065920 */     // MIs[0] round
     /* 2065920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065923 */     // MIs[0] policy
     /* 2065923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065933 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2065936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065959 */     // GIR_Coverage, 18264,
     /* 2065959 */     GIR_EraseRootFromParent_Done,
     /* 2065960 */   // Label 27334: @2065960
     /* 2065960 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2066051), // Rule ID 18265 //
     /* 2065965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2065968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2065973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2065982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2065985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2066003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066011 */     // MIs[0] round
     /* 2066011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066014 */     // MIs[0] policy
     /* 2066014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066024 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2066027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066050 */     // GIR_Coverage, 18265,
     /* 2066050 */     GIR_EraseRootFromParent_Done,
     /* 2066051 */   // Label 27335: @2066051
     /* 2066051 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2066142), // Rule ID 18268 //
     /* 2066056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2066059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2066067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2066070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2066073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2066076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2066094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066102 */     // MIs[0] round
     /* 2066102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066105 */     // MIs[0] policy
     /* 2066105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066115 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2066118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066141 */     // GIR_Coverage, 18268,
     /* 2066141 */     GIR_EraseRootFromParent_Done,
     /* 2066142 */   // Label 27336: @2066142
     /* 2066142 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2066233), // Rule ID 18269 //
     /* 2066147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2066150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2066158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2066161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2066164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2066167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2066185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066193 */     // MIs[0] round
     /* 2066193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066196 */     // MIs[0] policy
     /* 2066196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066206 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2066209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066232 */     // GIR_Coverage, 18269,
     /* 2066232 */     GIR_EraseRootFromParent_Done,
     /* 2066233 */   // Label 27337: @2066233
     /* 2066233 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2066324), // Rule ID 18272 //
     /* 2066238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2066241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2066258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2066276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066284 */     // MIs[0] round
     /* 2066284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066287 */     // MIs[0] policy
     /* 2066287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066297 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2066300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066323 */     // GIR_Coverage, 18272,
     /* 2066323 */     GIR_EraseRootFromParent_Done,
     /* 2066324 */   // Label 27338: @2066324
     /* 2066324 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2066415), // Rule ID 18273 //
     /* 2066329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2066332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2066349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2066367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066375 */     // MIs[0] round
     /* 2066375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066378 */     // MIs[0] policy
     /* 2066378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2066391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066414 */     // GIR_Coverage, 18273,
     /* 2066414 */     GIR_EraseRootFromParent_Done,
     /* 2066415 */   // Label 27339: @2066415
     /* 2066415 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2066506), // Rule ID 18276 //
     /* 2066420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2066423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2066437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2066440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2066458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066466 */     // MIs[0] round
     /* 2066466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066469 */     // MIs[0] policy
     /* 2066469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066479 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2066482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066505 */     // GIR_Coverage, 18276,
     /* 2066505 */     GIR_EraseRootFromParent_Done,
     /* 2066506 */   // Label 27340: @2066506
     /* 2066506 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2066597), // Rule ID 18277 //
     /* 2066511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2066514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2066528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2066531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2066549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066557 */     // MIs[0] round
     /* 2066557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066560 */     // MIs[0] policy
     /* 2066560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2066573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066596 */     // GIR_Coverage, 18277,
     /* 2066596 */     GIR_EraseRootFromParent_Done,
     /* 2066597 */   // Label 27341: @2066597
     /* 2066597 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2066688), // Rule ID 18280 //
     /* 2066602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2066605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2066622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2066640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066648 */     // MIs[0] round
     /* 2066648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066651 */     // MIs[0] policy
     /* 2066651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2066664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066687 */     // GIR_Coverage, 18280,
     /* 2066687 */     GIR_EraseRootFromParent_Done,
     /* 2066688 */   // Label 27342: @2066688
     /* 2066688 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2066779), // Rule ID 18281 //
     /* 2066693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2066696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2066713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2066731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066739 */     // MIs[0] round
     /* 2066739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066742 */     // MIs[0] policy
     /* 2066742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2066755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066778 */     // GIR_Coverage, 18281,
     /* 2066778 */     GIR_EraseRootFromParent_Done,
     /* 2066779 */   // Label 27343: @2066779
     /* 2066779 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2066870), // Rule ID 18284 //
     /* 2066784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2066787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2066801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2066822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066830 */     // MIs[0] round
     /* 2066830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066833 */     // MIs[0] policy
     /* 2066833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066843 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2066846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066869 */     // GIR_Coverage, 18284,
     /* 2066869 */     GIR_EraseRootFromParent_Done,
     /* 2066870 */   // Label 27344: @2066870
     /* 2066870 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2066961), // Rule ID 18285 //
     /* 2066875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2066878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2066892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2066913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066921 */     // MIs[0] round
     /* 2066921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066924 */     // MIs[0] policy
     /* 2066924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2066937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066960 */     // GIR_Coverage, 18285,
     /* 2066960 */     GIR_EraseRootFromParent_Done,
     /* 2066961 */   // Label 27345: @2066961
     /* 2066961 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2067052), // Rule ID 18288 //
     /* 2066966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2066969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2066974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2066977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2066980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2066983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2066986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067012 */     // MIs[0] round
     /* 2067012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067015 */     // MIs[0] policy
     /* 2067015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067025 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2067028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067051 */     // GIR_Coverage, 18288,
     /* 2067051 */     GIR_EraseRootFromParent_Done,
     /* 2067052 */   // Label 27346: @2067052
     /* 2067052 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2067143), // Rule ID 18289 //
     /* 2067057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2067060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2067068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2067071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2067074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2067077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067103 */     // MIs[0] round
     /* 2067103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067106 */     // MIs[0] policy
     /* 2067106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067116 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2067119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067142 */     // GIR_Coverage, 18289,
     /* 2067142 */     GIR_EraseRootFromParent_Done,
     /* 2067143 */   // Label 27347: @2067143
     /* 2067143 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2067234), // Rule ID 18292 //
     /* 2067148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2067151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2067165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2067168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067194 */     // MIs[0] round
     /* 2067194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067197 */     // MIs[0] policy
     /* 2067197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067207 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2067210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067233 */     // GIR_Coverage, 18292,
     /* 2067233 */     GIR_EraseRootFromParent_Done,
     /* 2067234 */   // Label 27348: @2067234
     /* 2067234 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2067325), // Rule ID 18293 //
     /* 2067239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2067242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2067256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2067259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067285 */     // MIs[0] round
     /* 2067285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067288 */     // MIs[0] policy
     /* 2067288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067298 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2067301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067324 */     // GIR_Coverage, 18293,
     /* 2067324 */     GIR_EraseRootFromParent_Done,
     /* 2067325 */   // Label 27349: @2067325
     /* 2067325 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2067416), // Rule ID 18296 //
     /* 2067330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2067333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2067347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2067350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067376 */     // MIs[0] round
     /* 2067376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067379 */     // MIs[0] policy
     /* 2067379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067389 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2067392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067415 */     // GIR_Coverage, 18296,
     /* 2067415 */     GIR_EraseRootFromParent_Done,
     /* 2067416 */   // Label 27350: @2067416
     /* 2067416 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2067507), // Rule ID 18297 //
     /* 2067421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2067424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2067438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2067441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2067459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067467 */     // MIs[0] round
     /* 2067467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067470 */     // MIs[0] policy
     /* 2067470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067480 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2067483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067506 */     // GIR_Coverage, 18297,
     /* 2067506 */     GIR_EraseRootFromParent_Done,
     /* 2067507 */   // Label 27351: @2067507
     /* 2067507 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2067598), // Rule ID 18300 //
     /* 2067512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2067515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2067532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2067550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067558 */     // MIs[0] round
     /* 2067558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067561 */     // MIs[0] policy
     /* 2067561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067571 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2067574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067597 */     // GIR_Coverage, 18300,
     /* 2067597 */     GIR_EraseRootFromParent_Done,
     /* 2067598 */   // Label 27352: @2067598
     /* 2067598 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2067689), // Rule ID 18301 //
     /* 2067603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2067606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2067623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2067641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067649 */     // MIs[0] round
     /* 2067649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067652 */     // MIs[0] policy
     /* 2067652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2067665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067688 */     // GIR_Coverage, 18301,
     /* 2067688 */     GIR_EraseRootFromParent_Done,
     /* 2067689 */   // Label 27353: @2067689
     /* 2067689 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2067780), // Rule ID 18304 //
     /* 2067694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2067697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2067714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2067732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067740 */     // MIs[0] round
     /* 2067740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067743 */     // MIs[0] policy
     /* 2067743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067753 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2067756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067779 */     // GIR_Coverage, 18304,
     /* 2067779 */     GIR_EraseRootFromParent_Done,
     /* 2067780 */   // Label 27354: @2067780
     /* 2067780 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2067871), // Rule ID 18305 //
     /* 2067785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2067788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2067805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2067823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067831 */     // MIs[0] round
     /* 2067831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067834 */     // MIs[0] policy
     /* 2067834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067844 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2067847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067870 */     // GIR_Coverage, 18305,
     /* 2067870 */     GIR_EraseRootFromParent_Done,
     /* 2067871 */   // Label 27355: @2067871
     /* 2067871 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2067962), // Rule ID 18308 //
     /* 2067876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2067879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2067887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2067890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2067896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2067914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067922 */     // MIs[0] round
     /* 2067922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067925 */     // MIs[0] policy
     /* 2067925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2067938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067961 */     // GIR_Coverage, 18308,
     /* 2067961 */     GIR_EraseRootFromParent_Done,
     /* 2067962 */   // Label 27356: @2067962
     /* 2067962 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2068053), // Rule ID 18309 //
     /* 2067967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2067970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2067975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2067978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2067981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2067987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2068005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068013 */     // MIs[0] round
     /* 2068013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068016 */     // MIs[0] policy
     /* 2068016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2068029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068052 */     // GIR_Coverage, 18309,
     /* 2068052 */     GIR_EraseRootFromParent_Done,
     /* 2068053 */   // Label 27357: @2068053
     /* 2068053 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2068144), // Rule ID 18312 //
     /* 2068058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2068061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068104 */     // MIs[0] round
     /* 2068104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068107 */     // MIs[0] policy
     /* 2068107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2068120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068143 */     // GIR_Coverage, 18312,
     /* 2068143 */     GIR_EraseRootFromParent_Done,
     /* 2068144 */   // Label 27358: @2068144
     /* 2068144 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2068235), // Rule ID 18313 //
     /* 2068149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2068152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068195 */     // MIs[0] round
     /* 2068195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068198 */     // MIs[0] policy
     /* 2068198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068208 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2068211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068234 */     // GIR_Coverage, 18313,
     /* 2068234 */     GIR_EraseRootFromParent_Done,
     /* 2068235 */   // Label 27359: @2068235
     /* 2068235 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2068326), // Rule ID 18316 //
     /* 2068240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2068243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068286 */     // MIs[0] round
     /* 2068286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068289 */     // MIs[0] policy
     /* 2068289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068299 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2068302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068325 */     // GIR_Coverage, 18316,
     /* 2068325 */     GIR_EraseRootFromParent_Done,
     /* 2068326 */   // Label 27360: @2068326
     /* 2068326 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2068417), // Rule ID 18317 //
     /* 2068331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2068334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068377 */     // MIs[0] round
     /* 2068377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068380 */     // MIs[0] policy
     /* 2068380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2068393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068416 */     // GIR_Coverage, 18317,
     /* 2068416 */     GIR_EraseRootFromParent_Done,
     /* 2068417 */   // Label 27361: @2068417
     /* 2068417 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2068508), // Rule ID 18320 //
     /* 2068422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2068425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068468 */     // MIs[0] round
     /* 2068468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068471 */     // MIs[0] policy
     /* 2068471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068481 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2068484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068507 */     // GIR_Coverage, 18320,
     /* 2068507 */     GIR_EraseRootFromParent_Done,
     /* 2068508 */   // Label 27362: @2068508
     /* 2068508 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2068599), // Rule ID 18321 //
     /* 2068513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2068516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2068521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2068551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068559 */     // MIs[0] round
     /* 2068559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068562 */     // MIs[0] policy
     /* 2068562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2068575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068598 */     // GIR_Coverage, 18321,
     /* 2068598 */     GIR_EraseRootFromParent_Done,
     /* 2068599 */   // Label 27363: @2068599
     /* 2068599 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2068690), // Rule ID 18324 //
     /* 2068604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2068607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2068612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2068624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068650 */     // MIs[0] round
     /* 2068650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068653 */     // MIs[0] policy
     /* 2068653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068663 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2068666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068689 */     // GIR_Coverage, 18324,
     /* 2068689 */     GIR_EraseRootFromParent_Done,
     /* 2068690 */   // Label 27364: @2068690
     /* 2068690 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2068781), // Rule ID 18325 //
     /* 2068695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2068698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2068703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2068706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2068709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2068712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2068715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068741 */     // MIs[0] round
     /* 2068741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068744 */     // MIs[0] policy
     /* 2068744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068754 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2068757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068780 */     // GIR_Coverage, 18325,
     /* 2068780 */     GIR_EraseRootFromParent_Done,
     /* 2068781 */   // Label 27365: @2068781
     /* 2068781 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2068872), // Rule ID 18328 //
     /* 2068786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2068789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2068794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2068806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068832 */     // MIs[0] round
     /* 2068832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068835 */     // MIs[0] policy
     /* 2068835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068845 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2068848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068871 */     // GIR_Coverage, 18328,
     /* 2068871 */     GIR_EraseRootFromParent_Done,
     /* 2068872 */   // Label 27366: @2068872
     /* 2068872 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2068963), // Rule ID 18329 //
     /* 2068877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2068880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2068885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2068888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2068891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2068894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2068897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068923 */     // MIs[0] round
     /* 2068923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068926 */     // MIs[0] policy
     /* 2068926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068936 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2068939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068962 */     // GIR_Coverage, 18329,
     /* 2068962 */     GIR_EraseRootFromParent_Done,
     /* 2068963 */   // Label 27367: @2068963
     /* 2068963 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2069054), // Rule ID 18332 //
     /* 2068968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2068971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2068976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2068985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2068988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069014 */     // MIs[0] round
     /* 2069014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069017 */     // MIs[0] policy
     /* 2069017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2069030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069053 */     // GIR_Coverage, 18332,
     /* 2069053 */     GIR_EraseRootFromParent_Done,
     /* 2069054 */   // Label 27368: @2069054
     /* 2069054 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2069145), // Rule ID 18333 //
     /* 2069059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2069062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2069070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2069073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2069076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2069079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069105 */     // MIs[0] round
     /* 2069105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069108 */     // MIs[0] policy
     /* 2069108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069118 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2069121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069144 */     // GIR_Coverage, 18333,
     /* 2069144 */     GIR_EraseRootFromParent_Done,
     /* 2069145 */   // Label 27369: @2069145
     /* 2069145 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2069236), // Rule ID 18336 //
     /* 2069150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2069153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2069161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2069164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2069167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2069170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069196 */     // MIs[0] round
     /* 2069196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069199 */     // MIs[0] policy
     /* 2069199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069209 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2069212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069235 */     // GIR_Coverage, 18336,
     /* 2069235 */     GIR_EraseRootFromParent_Done,
     /* 2069236 */   // Label 27370: @2069236
     /* 2069236 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2069327), // Rule ID 18337 //
     /* 2069241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2069244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2069252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2069255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2069258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2069261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069287 */     // MIs[0] round
     /* 2069287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069290 */     // MIs[0] policy
     /* 2069290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2069303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069326 */     // GIR_Coverage, 18337,
     /* 2069326 */     GIR_EraseRootFromParent_Done,
     /* 2069327 */   // Label 27371: @2069327
     /* 2069327 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2069418), // Rule ID 18340 //
     /* 2069332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2069335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2069343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2069346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2069349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2069352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069378 */     // MIs[0] round
     /* 2069378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069381 */     // MIs[0] policy
     /* 2069381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2069394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069417 */     // GIR_Coverage, 18340,
     /* 2069417 */     GIR_EraseRootFromParent_Done,
     /* 2069418 */   // Label 27372: @2069418
     /* 2069418 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2069509), // Rule ID 18341 //
     /* 2069423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2069426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2069434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2069437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2069440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2069443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069469 */     // MIs[0] round
     /* 2069469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069472 */     // MIs[0] policy
     /* 2069472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069482 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2069485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069508 */     // GIR_Coverage, 18341,
     /* 2069508 */     GIR_EraseRootFromParent_Done,
     /* 2069509 */   // Label 27373: @2069509
     /* 2069509 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2069600), // Rule ID 18344 //
     /* 2069514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2069517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2069534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069560 */     // MIs[0] round
     /* 2069560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069563 */     // MIs[0] policy
     /* 2069563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069573 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2069576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069599 */     // GIR_Coverage, 18344,
     /* 2069599 */     GIR_EraseRootFromParent_Done,
     /* 2069600 */   // Label 27374: @2069600
     /* 2069600 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2069691), // Rule ID 18345 //
     /* 2069605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2069608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2069616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2069619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2069622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2069625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069651 */     // MIs[0] round
     /* 2069651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069654 */     // MIs[0] policy
     /* 2069654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2069667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069690 */     // GIR_Coverage, 18345,
     /* 2069690 */     GIR_EraseRootFromParent_Done,
     /* 2069691 */   // Label 27375: @2069691
     /* 2069691 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2069782), // Rule ID 18348 //
     /* 2069696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2069699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2069716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069742 */     // MIs[0] round
     /* 2069742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069745 */     // MIs[0] policy
     /* 2069745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069755 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2069758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069781 */     // GIR_Coverage, 18348,
     /* 2069781 */     GIR_EraseRootFromParent_Done,
     /* 2069782 */   // Label 27376: @2069782
     /* 2069782 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2069873), // Rule ID 18349 //
     /* 2069787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2069790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2069807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069833 */     // MIs[0] round
     /* 2069833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069836 */     // MIs[0] policy
     /* 2069836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2069849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069872 */     // GIR_Coverage, 18349,
     /* 2069872 */     GIR_EraseRootFromParent_Done,
     /* 2069873 */   // Label 27377: @2069873
     /* 2069873 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2069964), // Rule ID 18352 //
     /* 2069878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2069881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2069898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069924 */     // MIs[0] round
     /* 2069924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069927 */     // MIs[0] policy
     /* 2069927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069937 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2069940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069963 */     // GIR_Coverage, 18352,
     /* 2069963 */     GIR_EraseRootFromParent_Done,
     /* 2069964 */   // Label 27378: @2069964
     /* 2069964 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2070055), // Rule ID 18353 //
     /* 2069969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2069972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2069977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2069989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070015 */     // MIs[0] round
     /* 2070015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070018 */     // MIs[0] policy
     /* 2070018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070028 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2070031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070054 */     // GIR_Coverage, 18353,
     /* 2070054 */     GIR_EraseRootFromParent_Done,
     /* 2070055 */   // Label 27379: @2070055
     /* 2070055 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2070146), // Rule ID 18356 //
     /* 2070060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2070063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2070080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070106 */     // MIs[0] round
     /* 2070106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070109 */     // MIs[0] policy
     /* 2070109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070119 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2070122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070145 */     // GIR_Coverage, 18356,
     /* 2070145 */     GIR_EraseRootFromParent_Done,
     /* 2070146 */   // Label 27380: @2070146
     /* 2070146 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2070237), // Rule ID 18357 //
     /* 2070151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2070154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2070162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2070165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2070168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2070171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070197 */     // MIs[0] round
     /* 2070197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070200 */     // MIs[0] policy
     /* 2070200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070210 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2070213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070236 */     // GIR_Coverage, 18357,
     /* 2070236 */     GIR_EraseRootFromParent_Done,
     /* 2070237 */   // Label 27381: @2070237
     /* 2070237 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2070328), // Rule ID 18360 //
     /* 2070242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2070245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2070262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070288 */     // MIs[0] round
     /* 2070288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070291 */     // MIs[0] policy
     /* 2070291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070301 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2070304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070327 */     // GIR_Coverage, 18360,
     /* 2070327 */     GIR_EraseRootFromParent_Done,
     /* 2070328 */   // Label 27382: @2070328
     /* 2070328 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2070419), // Rule ID 18361 //
     /* 2070333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2070336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2070350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2070353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070379 */     // MIs[0] round
     /* 2070379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070382 */     // MIs[0] policy
     /* 2070382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070392 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2070395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070418 */     // GIR_Coverage, 18361,
     /* 2070418 */     GIR_EraseRootFromParent_Done,
     /* 2070419 */   // Label 27383: @2070419
     /* 2070419 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2070510), // Rule ID 18364 //
     /* 2070424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2070427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2070444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070470 */     // MIs[0] round
     /* 2070470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070473 */     // MIs[0] policy
     /* 2070473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070483 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2070486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070509 */     // GIR_Coverage, 18364,
     /* 2070509 */     GIR_EraseRootFromParent_Done,
     /* 2070510 */   // Label 27384: @2070510
     /* 2070510 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2070601), // Rule ID 18365 //
     /* 2070515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2070518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2070532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2070535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070561 */     // MIs[0] round
     /* 2070561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070564 */     // MIs[0] policy
     /* 2070564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070574 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2070577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070600 */     // GIR_Coverage, 18365,
     /* 2070600 */     GIR_EraseRootFromParent_Done,
     /* 2070601 */   // Label 27385: @2070601
     /* 2070601 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2070692), // Rule ID 18368 //
     /* 2070606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2070609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2070626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070652 */     // MIs[0] round
     /* 2070652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070655 */     // MIs[0] policy
     /* 2070655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2070668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070691 */     // GIR_Coverage, 18368,
     /* 2070691 */     GIR_EraseRootFromParent_Done,
     /* 2070692 */   // Label 27386: @2070692
     /* 2070692 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2070783), // Rule ID 18369 //
     /* 2070697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2070700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2070717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070743 */     // MIs[0] round
     /* 2070743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070746 */     // MIs[0] policy
     /* 2070746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2070759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070782 */     // GIR_Coverage, 18369,
     /* 2070782 */     GIR_EraseRootFromParent_Done,
     /* 2070783 */   // Label 27387: @2070783
     /* 2070783 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2070874), // Rule ID 18372 //
     /* 2070788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2070791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2070808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070834 */     // MIs[0] round
     /* 2070834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070837 */     // MIs[0] policy
     /* 2070837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070847 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2070850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070873 */     // GIR_Coverage, 18372,
     /* 2070873 */     GIR_EraseRootFromParent_Done,
     /* 2070874 */   // Label 27388: @2070874
     /* 2070874 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2070965), // Rule ID 18373 //
     /* 2070879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2070882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2070899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070925 */     // MIs[0] round
     /* 2070925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070928 */     // MIs[0] policy
     /* 2070928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2070941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070964 */     // GIR_Coverage, 18373,
     /* 2070964 */     GIR_EraseRootFromParent_Done,
     /* 2070965 */   // Label 27389: @2070965
     /* 2070965 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2071056), // Rule ID 18376 //
     /* 2070970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2070973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2070978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2070990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071016 */     // MIs[0] round
     /* 2071016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071019 */     // MIs[0] policy
     /* 2071019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2071032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071055 */     // GIR_Coverage, 18376,
     /* 2071055 */     GIR_EraseRootFromParent_Done,
     /* 2071056 */   // Label 27390: @2071056
     /* 2071056 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2071147), // Rule ID 18377 //
     /* 2071061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2071064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2071072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2071075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2071078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2071081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071107 */     // MIs[0] round
     /* 2071107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071110 */     // MIs[0] policy
     /* 2071110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071120 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2071123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071146 */     // GIR_Coverage, 18377,
     /* 2071146 */     GIR_EraseRootFromParent_Done,
     /* 2071147 */   // Label 27391: @2071147
     /* 2071147 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2071238), // Rule ID 18380 //
     /* 2071152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2071155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2071172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071198 */     // MIs[0] round
     /* 2071198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071201 */     // MIs[0] policy
     /* 2071201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071211 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2071214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071237 */     // GIR_Coverage, 18380,
     /* 2071237 */     GIR_EraseRootFromParent_Done,
     /* 2071238 */   // Label 27392: @2071238
     /* 2071238 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2071329), // Rule ID 18381 //
     /* 2071243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2071246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2071254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2071257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2071260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2071263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071289 */     // MIs[0] round
     /* 2071289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071292 */     // MIs[0] policy
     /* 2071292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2071305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071328 */     // GIR_Coverage, 18381,
     /* 2071328 */     GIR_EraseRootFromParent_Done,
     /* 2071329 */   // Label 27393: @2071329
     /* 2071329 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2071420), // Rule ID 18384 //
     /* 2071334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2071337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2071372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071380 */     // MIs[0] round
     /* 2071380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071383 */     // MIs[0] policy
     /* 2071383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071393 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2071396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071419 */     // GIR_Coverage, 18384,
     /* 2071419 */     GIR_EraseRootFromParent_Done,
     /* 2071420 */   // Label 27394: @2071420
     /* 2071420 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2071511), // Rule ID 18385 //
     /* 2071425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2071428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2071463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071471 */     // MIs[0] round
     /* 2071471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071474 */     // MIs[0] policy
     /* 2071474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2071487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071510 */     // GIR_Coverage, 18385,
     /* 2071510 */     GIR_EraseRootFromParent_Done,
     /* 2071511 */   // Label 27395: @2071511
     /* 2071511 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2071602), // Rule ID 18388 //
     /* 2071516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2071519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2071554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071562 */     // MIs[0] round
     /* 2071562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071565 */     // MIs[0] policy
     /* 2071565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071575 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2071578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071601 */     // GIR_Coverage, 18388,
     /* 2071601 */     GIR_EraseRootFromParent_Done,
     /* 2071602 */   // Label 27396: @2071602
     /* 2071602 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2071693), // Rule ID 18389 //
     /* 2071607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2071610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2071645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071653 */     // MIs[0] round
     /* 2071653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071656 */     // MIs[0] policy
     /* 2071656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2071669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071692 */     // GIR_Coverage, 18389,
     /* 2071692 */     GIR_EraseRootFromParent_Done,
     /* 2071693 */   // Label 27397: @2071693
     /* 2071693 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2071784), // Rule ID 18392 //
     /* 2071698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2071701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2071715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2071736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071744 */     // MIs[0] round
     /* 2071744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071747 */     // MIs[0] policy
     /* 2071747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071757 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2071760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071783 */     // GIR_Coverage, 18392,
     /* 2071783 */     GIR_EraseRootFromParent_Done,
     /* 2071784 */   // Label 27398: @2071784
     /* 2071784 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2071875), // Rule ID 18393 //
     /* 2071789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2071792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2071806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2071827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071835 */     // MIs[0] round
     /* 2071835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071838 */     // MIs[0] policy
     /* 2071838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2071851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071874 */     // GIR_Coverage, 18393,
     /* 2071874 */     GIR_EraseRootFromParent_Done,
     /* 2071875 */   // Label 27399: @2071875
     /* 2071875 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2071966), // Rule ID 18396 //
     /* 2071880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2071883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2071918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071926 */     // MIs[0] round
     /* 2071926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071929 */     // MIs[0] policy
     /* 2071929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2071942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071965 */     // GIR_Coverage, 18396,
     /* 2071965 */     GIR_EraseRootFromParent_Done,
     /* 2071966 */   // Label 27400: @2071966
     /* 2071966 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2072057), // Rule ID 18397 //
     /* 2071971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2071974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2071979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2071988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072017 */     // MIs[0] round
     /* 2072017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072020 */     // MIs[0] policy
     /* 2072020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2072033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072056 */     // GIR_Coverage, 18397,
     /* 2072056 */     GIR_EraseRootFromParent_Done,
     /* 2072057 */   // Label 27401: @2072057
     /* 2072057 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2072148), // Rule ID 18400 //
     /* 2072062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2072065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2072079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2072100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072108 */     // MIs[0] round
     /* 2072108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072111 */     // MIs[0] policy
     /* 2072111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072121 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2072124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072147 */     // GIR_Coverage, 18400,
     /* 2072147 */     GIR_EraseRootFromParent_Done,
     /* 2072148 */   // Label 27402: @2072148
     /* 2072148 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2072239), // Rule ID 18401 //
     /* 2072153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2072156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2072170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2072191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072199 */     // MIs[0] round
     /* 2072199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072202 */     // MIs[0] policy
     /* 2072202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2072215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072238 */     // GIR_Coverage, 18401,
     /* 2072238 */     GIR_EraseRootFromParent_Done,
     /* 2072239 */   // Label 27403: @2072239
     /* 2072239 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2072330), // Rule ID 18404 //
     /* 2072244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2072247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2072261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2072282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072290 */     // MIs[0] round
     /* 2072290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072293 */     // MIs[0] policy
     /* 2072293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072303 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2072306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072329 */     // GIR_Coverage, 18404,
     /* 2072329 */     GIR_EraseRootFromParent_Done,
     /* 2072330 */   // Label 27404: @2072330
     /* 2072330 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2072421), // Rule ID 18405 //
     /* 2072335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2072338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2072346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2072349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2072352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2072355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2072358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2072373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072381 */     // MIs[0] round
     /* 2072381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072384 */     // MIs[0] policy
     /* 2072384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2072397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072420 */     // GIR_Coverage, 18405,
     /* 2072420 */     GIR_EraseRootFromParent_Done,
     /* 2072421 */   // Label 27405: @2072421
     /* 2072421 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2072512), // Rule ID 18408 //
     /* 2072426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2072429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072472 */     // MIs[0] round
     /* 2072472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072475 */     // MIs[0] policy
     /* 2072475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072485 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2072488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072511 */     // GIR_Coverage, 18408,
     /* 2072511 */     GIR_EraseRootFromParent_Done,
     /* 2072512 */   // Label 27406: @2072512
     /* 2072512 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2072603), // Rule ID 18409 //
     /* 2072517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072563 */     // MIs[0] round
     /* 2072563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072566 */     // MIs[0] policy
     /* 2072566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072576 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2072579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072602 */     // GIR_Coverage, 18409,
     /* 2072602 */     GIR_EraseRootFromParent_Done,
     /* 2072603 */   // Label 27407: @2072603
     /* 2072603 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2072694), // Rule ID 18412 //
     /* 2072608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2072611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072654 */     // MIs[0] round
     /* 2072654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072657 */     // MIs[0] policy
     /* 2072657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2072670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072693 */     // GIR_Coverage, 18412,
     /* 2072693 */     GIR_EraseRootFromParent_Done,
     /* 2072694 */   // Label 27408: @2072694
     /* 2072694 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2072785), // Rule ID 18413 //
     /* 2072699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072745 */     // MIs[0] round
     /* 2072745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072748 */     // MIs[0] policy
     /* 2072748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072758 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2072761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072784 */     // GIR_Coverage, 18413,
     /* 2072784 */     GIR_EraseRootFromParent_Done,
     /* 2072785 */   // Label 27409: @2072785
     /* 2072785 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2072876), // Rule ID 18416 //
     /* 2072790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2072793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072836 */     // MIs[0] round
     /* 2072836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072839 */     // MIs[0] policy
     /* 2072839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072849 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2072852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072875 */     // GIR_Coverage, 18416,
     /* 2072875 */     GIR_EraseRootFromParent_Done,
     /* 2072876 */   // Label 27410: @2072876
     /* 2072876 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2072967), // Rule ID 18417 //
     /* 2072881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2072898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2072919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072927 */     // MIs[0] round
     /* 2072927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072930 */     // MIs[0] policy
     /* 2072930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072940 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2072943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072966 */     // GIR_Coverage, 18417,
     /* 2072966 */     GIR_EraseRootFromParent_Done,
     /* 2072967 */   // Label 27411: @2072967
     /* 2072967 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2073058), // Rule ID 18420 //
     /* 2072972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2072975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2072980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2072989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2072992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073018 */     // MIs[0] round
     /* 2073018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073021 */     // MIs[0] policy
     /* 2073021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073031 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2073034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073057 */     // GIR_Coverage, 18420,
     /* 2073057 */     GIR_EraseRootFromParent_Done,
     /* 2073058 */   // Label 27412: @2073058
     /* 2073058 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2073149), // Rule ID 18421 //
     /* 2073063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2073066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2073080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073109 */     // MIs[0] round
     /* 2073109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073112 */     // MIs[0] policy
     /* 2073112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073122 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2073125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073148 */     // GIR_Coverage, 18421,
     /* 2073148 */     GIR_EraseRootFromParent_Done,
     /* 2073149 */   // Label 27413: @2073149
     /* 2073149 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2073240), // Rule ID 18424 //
     /* 2073154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2073157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2073165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2073168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2073171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2073174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073200 */     // MIs[0] round
     /* 2073200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073203 */     // MIs[0] policy
     /* 2073203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073213 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2073216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073239 */     // GIR_Coverage, 18424,
     /* 2073239 */     GIR_EraseRootFromParent_Done,
     /* 2073240 */   // Label 27414: @2073240
     /* 2073240 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2073331), // Rule ID 18425 //
     /* 2073245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2073248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2073256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2073259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2073262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2073265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073291 */     // MIs[0] round
     /* 2073291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073294 */     // MIs[0] policy
     /* 2073294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2073307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073330 */     // GIR_Coverage, 18425,
     /* 2073330 */     GIR_EraseRootFromParent_Done,
     /* 2073331 */   // Label 27415: @2073331
     /* 2073331 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2073422), // Rule ID 18428 //
     /* 2073336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2073339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2073353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073382 */     // MIs[0] round
     /* 2073382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073385 */     // MIs[0] policy
     /* 2073385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073395 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2073398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073421 */     // GIR_Coverage, 18428,
     /* 2073421 */     GIR_EraseRootFromParent_Done,
     /* 2073422 */   // Label 27416: @2073422
     /* 2073422 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2073513), // Rule ID 18429 //
     /* 2073427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2073430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2073444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2073465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073473 */     // MIs[0] round
     /* 2073473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073476 */     // MIs[0] policy
     /* 2073476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2073489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073512 */     // GIR_Coverage, 18429,
     /* 2073512 */     GIR_EraseRootFromParent_Done,
     /* 2073513 */   // Label 27417: @2073513
     /* 2073513 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2073604), // Rule ID 18432 //
     /* 2073518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2073556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073564 */     // MIs[0] round
     /* 2073564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073567 */     // MIs[0] policy
     /* 2073567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2073580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073603 */     // GIR_Coverage, 18432,
     /* 2073603 */     GIR_EraseRootFromParent_Done,
     /* 2073604 */   // Label 27418: @2073604
     /* 2073604 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2073695), // Rule ID 18433 //
     /* 2073609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2073647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073655 */     // MIs[0] round
     /* 2073655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073658 */     // MIs[0] policy
     /* 2073658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2073671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073694 */     // GIR_Coverage, 18433,
     /* 2073694 */     GIR_EraseRootFromParent_Done,
     /* 2073695 */   // Label 27419: @2073695
     /* 2073695 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2073786), // Rule ID 18436 //
     /* 2073700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2073738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073746 */     // MIs[0] round
     /* 2073746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073749 */     // MIs[0] policy
     /* 2073749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073759 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2073762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073785 */     // GIR_Coverage, 18436,
     /* 2073785 */     GIR_EraseRootFromParent_Done,
     /* 2073786 */   // Label 27420: @2073786
     /* 2073786 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2073877), // Rule ID 18437 //
     /* 2073791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2073829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073837 */     // MIs[0] round
     /* 2073837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073840 */     // MIs[0] policy
     /* 2073840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073850 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2073853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073876 */     // GIR_Coverage, 18437,
     /* 2073876 */     GIR_EraseRootFromParent_Done,
     /* 2073877 */   // Label 27421: @2073877
     /* 2073877 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2073968), // Rule ID 18440 //
     /* 2073882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2073920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073928 */     // MIs[0] round
     /* 2073928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073931 */     // MIs[0] policy
     /* 2073931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073941 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2073944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073967 */     // GIR_Coverage, 18440,
     /* 2073967 */     GIR_EraseRootFromParent_Done,
     /* 2073968 */   // Label 27422: @2073968
     /* 2073968 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2074059), // Rule ID 18441 //
     /* 2073973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2073981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2073990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2074003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2074011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074019 */     // MIs[0] round
     /* 2074019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074022 */     // MIs[0] policy
     /* 2074022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074032 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10869:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2074035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2074055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074058 */     // GIR_Coverage, 18441,
     /* 2074058 */     GIR_EraseRootFromParent_Done,
     /* 2074059 */   // Label 27423: @2074059
     /* 2074059 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2074150), // Rule ID 18444 //
     /* 2074064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2074067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2074084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074110 */     // MIs[0] round
     /* 2074110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074113 */     // MIs[0] policy
     /* 2074113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074123 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2074126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074149 */     // GIR_Coverage, 18444,
     /* 2074149 */     GIR_EraseRootFromParent_Done,
     /* 2074150 */   // Label 27424: @2074150
     /* 2074150 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2074241), // Rule ID 18445 //
     /* 2074155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2074158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2074175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074201 */     // MIs[0] round
     /* 2074201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074204 */     // MIs[0] policy
     /* 2074204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074214 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2074217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074240 */     // GIR_Coverage, 18445,
     /* 2074240 */     GIR_EraseRootFromParent_Done,
     /* 2074241 */   // Label 27425: @2074241
     /* 2074241 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2074332), // Rule ID 18448 //
     /* 2074246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2074249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2074266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074292 */     // MIs[0] round
     /* 2074292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074295 */     // MIs[0] policy
     /* 2074295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2074308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074331 */     // GIR_Coverage, 18448,
     /* 2074331 */     GIR_EraseRootFromParent_Done,
     /* 2074332 */   // Label 27426: @2074332
     /* 2074332 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2074423), // Rule ID 18449 //
     /* 2074337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2074340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2074357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074383 */     // MIs[0] round
     /* 2074383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074386 */     // MIs[0] policy
     /* 2074386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074396 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2074399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074422 */     // GIR_Coverage, 18449,
     /* 2074422 */     GIR_EraseRootFromParent_Done,
     /* 2074423 */   // Label 27427: @2074423
     /* 2074423 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2074514), // Rule ID 18452 //
     /* 2074428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2074431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2074448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074474 */     // MIs[0] round
     /* 2074474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074477 */     // MIs[0] policy
     /* 2074477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2074490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074513 */     // GIR_Coverage, 18452,
     /* 2074513 */     GIR_EraseRootFromParent_Done,
     /* 2074514 */   // Label 27428: @2074514
     /* 2074514 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2074605), // Rule ID 18453 //
     /* 2074519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2074522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2074539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074565 */     // MIs[0] round
     /* 2074565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074568 */     // MIs[0] policy
     /* 2074568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074578 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2074581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074604 */     // GIR_Coverage, 18453,
     /* 2074604 */     GIR_EraseRootFromParent_Done,
     /* 2074605 */   // Label 27429: @2074605
     /* 2074605 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2074696), // Rule ID 18456 //
     /* 2074610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2074613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2074627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074656 */     // MIs[0] round
     /* 2074656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074659 */     // MIs[0] policy
     /* 2074659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2074672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074695 */     // GIR_Coverage, 18456,
     /* 2074695 */     GIR_EraseRootFromParent_Done,
     /* 2074696 */   // Label 27430: @2074696
     /* 2074696 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2074787), // Rule ID 18457 //
     /* 2074701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2074704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2074718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074747 */     // MIs[0] round
     /* 2074747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074750 */     // MIs[0] policy
     /* 2074750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2074763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074786 */     // GIR_Coverage, 18457,
     /* 2074786 */     GIR_EraseRootFromParent_Done,
     /* 2074787 */   // Label 27431: @2074787
     /* 2074787 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2074878), // Rule ID 18460 //
     /* 2074792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2074795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074838 */     // MIs[0] round
     /* 2074838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074841 */     // MIs[0] policy
     /* 2074841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074851 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2074854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074877 */     // GIR_Coverage, 18460,
     /* 2074877 */     GIR_EraseRootFromParent_Done,
     /* 2074878 */   // Label 27432: @2074878
     /* 2074878 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2074969), // Rule ID 18461 //
     /* 2074883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2074886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074929 */     // MIs[0] round
     /* 2074929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074932 */     // MIs[0] policy
     /* 2074932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074942 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2074945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074968 */     // GIR_Coverage, 18461,
     /* 2074968 */     GIR_EraseRootFromParent_Done,
     /* 2074969 */   // Label 27433: @2074969
     /* 2074969 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2075060), // Rule ID 18464 //
     /* 2074974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2074977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2074982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2074985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2074988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2074991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2074994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075020 */     // MIs[0] round
     /* 2075020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075023 */     // MIs[0] policy
     /* 2075023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2075036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075059 */     // GIR_Coverage, 18464,
     /* 2075059 */     GIR_EraseRootFromParent_Done,
     /* 2075060 */   // Label 27434: @2075060
     /* 2075060 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2075151), // Rule ID 18465 //
     /* 2075065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2075068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2075085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075111 */     // MIs[0] round
     /* 2075111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075114 */     // MIs[0] policy
     /* 2075114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2075127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075150 */     // GIR_Coverage, 18465,
     /* 2075150 */     GIR_EraseRootFromParent_Done,
     /* 2075151 */   // Label 27435: @2075151
     /* 2075151 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2075242), // Rule ID 18468 //
     /* 2075156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2075167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2075170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2075173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2075176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075202 */     // MIs[0] round
     /* 2075202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075205 */     // MIs[0] policy
     /* 2075205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075215 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2075218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075241 */     // GIR_Coverage, 18468,
     /* 2075241 */     GIR_EraseRootFromParent_Done,
     /* 2075242 */   // Label 27436: @2075242
     /* 2075242 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2075333), // Rule ID 18469 //
     /* 2075247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2075258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2075261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2075264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2075267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075293 */     // MIs[0] round
     /* 2075293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075296 */     // MIs[0] policy
     /* 2075296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075306 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2075309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075332 */     // GIR_Coverage, 18469,
     /* 2075332 */     GIR_EraseRootFromParent_Done,
     /* 2075333 */   // Label 27437: @2075333
     /* 2075333 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2075424), // Rule ID 18472 //
     /* 2075338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2075349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2075352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2075355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2075358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075384 */     // MIs[0] round
     /* 2075384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075387 */     // MIs[0] policy
     /* 2075387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2075400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075423 */     // GIR_Coverage, 18472,
     /* 2075423 */     GIR_EraseRootFromParent_Done,
     /* 2075424 */   // Label 27438: @2075424
     /* 2075424 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2075515), // Rule ID 18473 //
     /* 2075429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2075440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2075443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2075446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2075449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075475 */     // MIs[0] round
     /* 2075475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075478 */     // MIs[0] policy
     /* 2075478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075488 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2075491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075514 */     // GIR_Coverage, 18473,
     /* 2075514 */     GIR_EraseRootFromParent_Done,
     /* 2075515 */   // Label 27439: @2075515
     /* 2075515 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2075606), // Rule ID 18476 //
     /* 2075520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2075531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2075534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2075537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2075540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075566 */     // MIs[0] round
     /* 2075566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075569 */     // MIs[0] policy
     /* 2075569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075579 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2075582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075605 */     // GIR_Coverage, 18476,
     /* 2075605 */     GIR_EraseRootFromParent_Done,
     /* 2075606 */   // Label 27440: @2075606
     /* 2075606 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2075697), // Rule ID 18477 //
     /* 2075611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2075622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2075625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2075628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2075631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075657 */     // MIs[0] round
     /* 2075657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075660 */     // MIs[0] policy
     /* 2075660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075670 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2075673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075696 */     // GIR_Coverage, 18477,
     /* 2075696 */     GIR_EraseRootFromParent_Done,
     /* 2075697 */   // Label 27441: @2075697
     /* 2075697 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2075788), // Rule ID 18480 //
     /* 2075702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2075705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2075713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2075716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2075719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2075722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075748 */     // MIs[0] round
     /* 2075748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075751 */     // MIs[0] policy
     /* 2075751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075761 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2075764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075787 */     // GIR_Coverage, 18480,
     /* 2075787 */     GIR_EraseRootFromParent_Done,
     /* 2075788 */   // Label 27442: @2075788
     /* 2075788 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2075879), // Rule ID 18481 //
     /* 2075793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2075796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2075804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2075807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2075810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2075813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075839 */     // MIs[0] round
     /* 2075839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075842 */     // MIs[0] policy
     /* 2075842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2075855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075878 */     // GIR_Coverage, 18481,
     /* 2075878 */     GIR_EraseRootFromParent_Done,
     /* 2075879 */   // Label 27443: @2075879
     /* 2075879 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2075970), // Rule ID 18484 //
     /* 2075884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2075887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2075895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2075898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2075901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2075904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075930 */     // MIs[0] round
     /* 2075930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075933 */     // MIs[0] policy
     /* 2075933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075943 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2075946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075969 */     // GIR_Coverage, 18484,
     /* 2075969 */     GIR_EraseRootFromParent_Done,
     /* 2075970 */   // Label 27444: @2075970
     /* 2075970 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2076061), // Rule ID 18485 //
     /* 2075975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2075978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2075983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2075986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2075989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2075992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2075995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076021 */     // MIs[0] round
     /* 2076021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076024 */     // MIs[0] policy
     /* 2076024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2076037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076060 */     // GIR_Coverage, 18485,
     /* 2076060 */     GIR_EraseRootFromParent_Done,
     /* 2076061 */   // Label 27445: @2076061
     /* 2076061 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2076152), // Rule ID 18488 //
     /* 2076066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2076069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2076077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2076080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2076083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2076086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076112 */     // MIs[0] round
     /* 2076112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076115 */     // MIs[0] policy
     /* 2076115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2076128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076151 */     // GIR_Coverage, 18488,
     /* 2076151 */     GIR_EraseRootFromParent_Done,
     /* 2076152 */   // Label 27446: @2076152
     /* 2076152 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2076243), // Rule ID 18489 //
     /* 2076157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2076160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2076168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2076171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2076174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2076177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076203 */     // MIs[0] round
     /* 2076203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076206 */     // MIs[0] policy
     /* 2076206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2076219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076242 */     // GIR_Coverage, 18489,
     /* 2076242 */     GIR_EraseRootFromParent_Done,
     /* 2076243 */   // Label 27447: @2076243
     /* 2076243 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2076334), // Rule ID 18492 //
     /* 2076248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2076259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2076262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2076265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2076268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076294 */     // MIs[0] round
     /* 2076294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076297 */     // MIs[0] policy
     /* 2076297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076307 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2076310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076333 */     // GIR_Coverage, 18492,
     /* 2076333 */     GIR_EraseRootFromParent_Done,
     /* 2076334 */   // Label 27448: @2076334
     /* 2076334 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2076425), // Rule ID 18493 //
     /* 2076339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2076350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2076353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2076356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2076359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076385 */     // MIs[0] round
     /* 2076385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076388 */     // MIs[0] policy
     /* 2076388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2076401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076424 */     // GIR_Coverage, 18493,
     /* 2076424 */     GIR_EraseRootFromParent_Done,
     /* 2076425 */   // Label 27449: @2076425
     /* 2076425 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2076516), // Rule ID 18496 //
     /* 2076430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2076441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2076444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2076447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2076450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076476 */     // MIs[0] round
     /* 2076476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076479 */     // MIs[0] policy
     /* 2076479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076489 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2076492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076515 */     // GIR_Coverage, 18496,
     /* 2076515 */     GIR_EraseRootFromParent_Done,
     /* 2076516 */   // Label 27450: @2076516
     /* 2076516 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2076607), // Rule ID 18497 //
     /* 2076521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2076532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2076535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2076538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2076541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076567 */     // MIs[0] round
     /* 2076567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076570 */     // MIs[0] policy
     /* 2076570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2076583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076606 */     // GIR_Coverage, 18497,
     /* 2076606 */     GIR_EraseRootFromParent_Done,
     /* 2076607 */   // Label 27451: @2076607
     /* 2076607 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2076698), // Rule ID 18500 //
     /* 2076612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2076623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2076626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2076629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2076632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076658 */     // MIs[0] round
     /* 2076658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076661 */     // MIs[0] policy
     /* 2076661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076671 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2076674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076697 */     // GIR_Coverage, 18500,
     /* 2076697 */     GIR_EraseRootFromParent_Done,
     /* 2076698 */   // Label 27452: @2076698
     /* 2076698 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2076789), // Rule ID 18501 //
     /* 2076703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2076714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2076717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2076720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2076723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076749 */     // MIs[0] round
     /* 2076749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076752 */     // MIs[0] policy
     /* 2076752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2076765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076788 */     // GIR_Coverage, 18501,
     /* 2076788 */     GIR_EraseRootFromParent_Done,
     /* 2076789 */   // Label 27453: @2076789
     /* 2076789 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2076880), // Rule ID 18504 //
     /* 2076794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2076797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2076811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2076814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2076832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076840 */     // MIs[0] round
     /* 2076840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076843 */     // MIs[0] policy
     /* 2076843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2076856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076879 */     // GIR_Coverage, 18504,
     /* 2076879 */     GIR_EraseRootFromParent_Done,
     /* 2076880 */   // Label 27454: @2076880
     /* 2076880 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2076971), // Rule ID 18505 //
     /* 2076885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2076888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2076902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2076905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2076908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2076923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076931 */     // MIs[0] round
     /* 2076931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076934 */     // MIs[0] policy
     /* 2076934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076944 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2076947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076970 */     // GIR_Coverage, 18505,
     /* 2076970 */     GIR_EraseRootFromParent_Done,
     /* 2076971 */   // Label 27455: @2076971
     /* 2076971 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2077062), // Rule ID 18508 //
     /* 2076976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2076979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2076984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2076987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2076990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2076993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2076996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2077014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077022 */     // MIs[0] round
     /* 2077022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077025 */     // MIs[0] policy
     /* 2077025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077035 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2077038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077061 */     // GIR_Coverage, 18508,
     /* 2077061 */     GIR_EraseRootFromParent_Done,
     /* 2077062 */   // Label 27456: @2077062
     /* 2077062 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2077153), // Rule ID 18509 //
     /* 2077067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2077078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2077081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2077084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2077087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2077105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077113 */     // MIs[0] round
     /* 2077113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077116 */     // MIs[0] policy
     /* 2077116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077126 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2077129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077152 */     // GIR_Coverage, 18509,
     /* 2077152 */     GIR_EraseRootFromParent_Done,
     /* 2077153 */   // Label 27457: @2077153
     /* 2077153 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2077244), // Rule ID 18512 //
     /* 2077158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2077161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2077169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2077172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2077175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2077178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2077196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077204 */     // MIs[0] round
     /* 2077204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077207 */     // MIs[0] policy
     /* 2077207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2077220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077243 */     // GIR_Coverage, 18512,
     /* 2077243 */     GIR_EraseRootFromParent_Done,
     /* 2077244 */   // Label 27458: @2077244
     /* 2077244 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2077335), // Rule ID 18513 //
     /* 2077249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2077252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2077260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2077263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2077266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2077269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2077287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077295 */     // MIs[0] round
     /* 2077295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077298 */     // MIs[0] policy
     /* 2077298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2077311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077334 */     // GIR_Coverage, 18513,
     /* 2077334 */     GIR_EraseRootFromParent_Done,
     /* 2077335 */   // Label 27459: @2077335
     /* 2077335 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2077426), // Rule ID 18516 //
     /* 2077340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2077343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2077351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2077354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2077357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2077360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2077378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077386 */     // MIs[0] round
     /* 2077386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077389 */     // MIs[0] policy
     /* 2077389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077399 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2077402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077425 */     // GIR_Coverage, 18516,
     /* 2077425 */     GIR_EraseRootFromParent_Done,
     /* 2077426 */   // Label 27460: @2077426
     /* 2077426 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2077517), // Rule ID 18517 //
     /* 2077431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2077442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2077445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2077448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2077451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2077469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077477 */     // MIs[0] round
     /* 2077477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077480 */     // MIs[0] policy
     /* 2077480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077490 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2077493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077516 */     // GIR_Coverage, 18517,
     /* 2077516 */     GIR_EraseRootFromParent_Done,
     /* 2077517 */   // Label 27461: @2077517
     /* 2077517 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2077608), // Rule ID 18520 //
     /* 2077522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2077525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2077539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2077560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077568 */     // MIs[0] round
     /* 2077568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077571 */     // MIs[0] policy
     /* 2077571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077581 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2077584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077607 */     // GIR_Coverage, 18520,
     /* 2077607 */     GIR_EraseRootFromParent_Done,
     /* 2077608 */   // Label 27462: @2077608
     /* 2077608 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2077699), // Rule ID 18521 //
     /* 2077613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2077616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2077630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2077651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077659 */     // MIs[0] round
     /* 2077659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077662 */     // MIs[0] policy
     /* 2077662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077672 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2077675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077698 */     // GIR_Coverage, 18521,
     /* 2077698 */     GIR_EraseRootFromParent_Done,
     /* 2077699 */   // Label 27463: @2077699
     /* 2077699 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2077790), // Rule ID 18524 //
     /* 2077704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2077707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2077721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2077742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077750 */     // MIs[0] round
     /* 2077750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077753 */     // MIs[0] policy
     /* 2077753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2077766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077789 */     // GIR_Coverage, 18524,
     /* 2077789 */     GIR_EraseRootFromParent_Done,
     /* 2077790 */   // Label 27464: @2077790
     /* 2077790 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2077881), // Rule ID 18525 //
     /* 2077795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2077798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2077812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2077833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077841 */     // MIs[0] round
     /* 2077841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077844 */     // MIs[0] policy
     /* 2077844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2077857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077880 */     // GIR_Coverage, 18525,
     /* 2077880 */     GIR_EraseRootFromParent_Done,
     /* 2077881 */   // Label 27465: @2077881
     /* 2077881 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2077972), // Rule ID 18528 //
     /* 2077886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2077889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2077903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2077924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077932 */     // MIs[0] round
     /* 2077932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077935 */     // MIs[0] policy
     /* 2077935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077945 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2077948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077971 */     // GIR_Coverage, 18528,
     /* 2077971 */     GIR_EraseRootFromParent_Done,
     /* 2077972 */   // Label 27466: @2077972
     /* 2077972 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2078063), // Rule ID 18529 //
     /* 2077977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2077985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2077994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2077997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2078015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078023 */     // MIs[0] round
     /* 2078023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078026 */     // MIs[0] policy
     /* 2078026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078036 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2078039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078062 */     // GIR_Coverage, 18529,
     /* 2078062 */     GIR_EraseRootFromParent_Done,
     /* 2078063 */   // Label 27467: @2078063
     /* 2078063 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2078154), // Rule ID 18532 //
     /* 2078068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2078071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2078085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2078088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2078106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078114 */     // MIs[0] round
     /* 2078114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078117 */     // MIs[0] policy
     /* 2078117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2078130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078153 */     // GIR_Coverage, 18532,
     /* 2078153 */     GIR_EraseRootFromParent_Done,
     /* 2078154 */   // Label 27468: @2078154
     /* 2078154 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2078245), // Rule ID 18533 //
     /* 2078159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2078162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2078170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2078173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2078176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2078179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2078197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078205 */     // MIs[0] round
     /* 2078205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078208 */     // MIs[0] policy
     /* 2078208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2078221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078244 */     // GIR_Coverage, 18533,
     /* 2078244 */     GIR_EraseRootFromParent_Done,
     /* 2078245 */   // Label 27469: @2078245
     /* 2078245 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2078336), // Rule ID 18536 //
     /* 2078250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2078253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2078267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2078270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2078288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078296 */     // MIs[0] round
     /* 2078296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078299 */     // MIs[0] policy
     /* 2078299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2078312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078335 */     // GIR_Coverage, 18536,
     /* 2078335 */     GIR_EraseRootFromParent_Done,
     /* 2078336 */   // Label 27470: @2078336
     /* 2078336 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2078427), // Rule ID 18537 //
     /* 2078341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2078344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2078352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2078355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2078358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2078361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2078379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078387 */     // MIs[0] round
     /* 2078387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078390 */     // MIs[0] policy
     /* 2078390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2078403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078426 */     // GIR_Coverage, 18537,
     /* 2078426 */     GIR_EraseRootFromParent_Done,
     /* 2078427 */   // Label 27471: @2078427
     /* 2078427 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2078518), // Rule ID 18540 //
     /* 2078432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2078435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2078452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078478 */     // MIs[0] round
     /* 2078478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078481 */     // MIs[0] policy
     /* 2078481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078491 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2078494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078517 */     // GIR_Coverage, 18540,
     /* 2078517 */     GIR_EraseRootFromParent_Done,
     /* 2078518 */   // Label 27472: @2078518
     /* 2078518 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2078609), // Rule ID 18541 //
     /* 2078523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2078526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2078543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078569 */     // MIs[0] round
     /* 2078569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078572 */     // MIs[0] policy
     /* 2078572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078582 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2078585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078608 */     // GIR_Coverage, 18541,
     /* 2078608 */     GIR_EraseRootFromParent_Done,
     /* 2078609 */   // Label 27473: @2078609
     /* 2078609 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2078700), // Rule ID 18544 //
     /* 2078614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2078617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2078634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078660 */     // MIs[0] round
     /* 2078660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078663 */     // MIs[0] policy
     /* 2078663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078673 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2078676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078699 */     // GIR_Coverage, 18544,
     /* 2078699 */     GIR_EraseRootFromParent_Done,
     /* 2078700 */   // Label 27474: @2078700
     /* 2078700 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2078791), // Rule ID 18545 //
     /* 2078705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2078708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2078725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078751 */     // MIs[0] round
     /* 2078751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078754 */     // MIs[0] policy
     /* 2078754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2078767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078790 */     // GIR_Coverage, 18545,
     /* 2078790 */     GIR_EraseRootFromParent_Done,
     /* 2078791 */   // Label 27475: @2078791
     /* 2078791 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2078882), // Rule ID 18548 //
     /* 2078796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2078799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078842 */     // MIs[0] round
     /* 2078842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078845 */     // MIs[0] policy
     /* 2078845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078855 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2078858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078881 */     // GIR_Coverage, 18548,
     /* 2078881 */     GIR_EraseRootFromParent_Done,
     /* 2078882 */   // Label 27476: @2078882
     /* 2078882 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2078973), // Rule ID 18549 //
     /* 2078887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2078890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2078898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2078901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2078904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2078907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2078925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078933 */     // MIs[0] round
     /* 2078933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078936 */     // MIs[0] policy
     /* 2078936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2078949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078972 */     // GIR_Coverage, 18549,
     /* 2078972 */     GIR_EraseRootFromParent_Done,
     /* 2078973 */   // Label 27477: @2078973
     /* 2078973 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2079064), // Rule ID 18552 //
     /* 2078978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2078981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2078986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2078995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2078998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079024 */     // MIs[0] round
     /* 2079024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079027 */     // MIs[0] policy
     /* 2079027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079037 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2079040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079063 */     // GIR_Coverage, 18552,
     /* 2079063 */     GIR_EraseRootFromParent_Done,
     /* 2079064 */   // Label 27478: @2079064
     /* 2079064 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2079155), // Rule ID 18553 //
     /* 2079069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2079072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2079077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2079080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2079083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2079086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2079089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079115 */     // MIs[0] round
     /* 2079115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079118 */     // MIs[0] policy
     /* 2079118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2079131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079154 */     // GIR_Coverage, 18553,
     /* 2079154 */     GIR_EraseRootFromParent_Done,
     /* 2079155 */   // Label 27479: @2079155
     /* 2079155 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2079246), // Rule ID 18556 //
     /* 2079160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2079163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2079168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2079177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2079180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079206 */     // MIs[0] round
     /* 2079206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079209 */     // MIs[0] policy
     /* 2079209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079219 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2079222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079245 */     // GIR_Coverage, 18556,
     /* 2079245 */     GIR_EraseRootFromParent_Done,
     /* 2079246 */   // Label 27480: @2079246
     /* 2079246 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2079337), // Rule ID 18557 //
     /* 2079251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2079254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2079259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2079262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2079265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2079268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2079271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079297 */     // MIs[0] round
     /* 2079297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079300 */     // MIs[0] policy
     /* 2079300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079310 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2079313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079336 */     // GIR_Coverage, 18557,
     /* 2079336 */     GIR_EraseRootFromParent_Done,
     /* 2079337 */   // Label 27481: @2079337
     /* 2079337 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2079428), // Rule ID 18560 //
     /* 2079342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2079345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2079350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2079359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2079362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079388 */     // MIs[0] round
     /* 2079388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079391 */     // MIs[0] policy
     /* 2079391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079401 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2079404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079427 */     // GIR_Coverage, 18560,
     /* 2079427 */     GIR_EraseRootFromParent_Done,
     /* 2079428 */   // Label 27482: @2079428
     /* 2079428 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2079519), // Rule ID 18561 //
     /* 2079433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2079436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2079441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2079444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2079447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2079450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2079453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2079463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2079471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079479 */     // MIs[0] round
     /* 2079479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079482 */     // MIs[0] policy
     /* 2079482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2079495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2079515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079518 */     // GIR_Coverage, 18561,
     /* 2079518 */     GIR_EraseRootFromParent_Done,
     /* 2079519 */   // Label 27483: @2079519
     /* 2079519 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2079610), // Rule ID 18564 //
     /* 2079524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2079527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079570 */     // MIs[0] round
     /* 2079570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079573 */     // MIs[0] policy
     /* 2079573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2079586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079609 */     // GIR_Coverage, 18564,
     /* 2079609 */     GIR_EraseRootFromParent_Done,
     /* 2079610 */   // Label 27484: @2079610
     /* 2079610 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2079701), // Rule ID 18565 //
     /* 2079615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2079618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079661 */     // MIs[0] round
     /* 2079661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079664 */     // MIs[0] policy
     /* 2079664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079674 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2079677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079700 */     // GIR_Coverage, 18565,
     /* 2079700 */     GIR_EraseRootFromParent_Done,
     /* 2079701 */   // Label 27485: @2079701
     /* 2079701 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2079792), // Rule ID 18568 //
     /* 2079706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2079709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079752 */     // MIs[0] round
     /* 2079752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079755 */     // MIs[0] policy
     /* 2079755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079765 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2079768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079791 */     // GIR_Coverage, 18568,
     /* 2079791 */     GIR_EraseRootFromParent_Done,
     /* 2079792 */   // Label 27486: @2079792
     /* 2079792 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2079883), // Rule ID 18569 //
     /* 2079797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2079800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079843 */     // MIs[0] round
     /* 2079843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079846 */     // MIs[0] policy
     /* 2079846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2079859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079882 */     // GIR_Coverage, 18569,
     /* 2079882 */     GIR_EraseRootFromParent_Done,
     /* 2079883 */   // Label 27487: @2079883
     /* 2079883 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2079974), // Rule ID 18572 //
     /* 2079888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2079891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2079899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2079902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2079908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079934 */     // MIs[0] round
     /* 2079934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079937 */     // MIs[0] policy
     /* 2079937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2079950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079973 */     // GIR_Coverage, 18572,
     /* 2079973 */     GIR_EraseRootFromParent_Done,
     /* 2079974 */   // Label 27488: @2079974
     /* 2079974 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2080065), // Rule ID 18573 //
     /* 2079979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2079982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2079987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2079990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2079993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2079999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080025 */     // MIs[0] round
     /* 2080025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080028 */     // MIs[0] policy
     /* 2080028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2080041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080064 */     // GIR_Coverage, 18573,
     /* 2080064 */     GIR_EraseRootFromParent_Done,
     /* 2080065 */   // Label 27489: @2080065
     /* 2080065 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2080156), // Rule ID 18576 //
     /* 2080070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2080073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080116 */     // MIs[0] round
     /* 2080116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080119 */     // MIs[0] policy
     /* 2080119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080129 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2080132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080155 */     // GIR_Coverage, 18576,
     /* 2080155 */     GIR_EraseRootFromParent_Done,
     /* 2080156 */   // Label 27490: @2080156
     /* 2080156 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2080247), // Rule ID 18577 //
     /* 2080161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2080164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080207 */     // MIs[0] round
     /* 2080207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080210 */     // MIs[0] policy
     /* 2080210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2080223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080246 */     // GIR_Coverage, 18577,
     /* 2080246 */     GIR_EraseRootFromParent_Done,
     /* 2080247 */   // Label 27491: @2080247
     /* 2080247 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2080338), // Rule ID 18580 //
     /* 2080252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2080255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2080263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2080266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080298 */     // MIs[0] round
     /* 2080298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080301 */     // MIs[0] policy
     /* 2080301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2080314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080337 */     // GIR_Coverage, 18580,
     /* 2080337 */     GIR_EraseRootFromParent_Done,
     /* 2080338 */   // Label 27492: @2080338
     /* 2080338 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2080429), // Rule ID 18581 //
     /* 2080343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2080346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2080354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2080357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2080373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080389 */     // MIs[0] round
     /* 2080389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080392 */     // MIs[0] policy
     /* 2080392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2080405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080428 */     // GIR_Coverage, 18581,
     /* 2080428 */     GIR_EraseRootFromParent_Done,
     /* 2080429 */   // Label 27493: @2080429
     /* 2080429 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2080520), // Rule ID 18584 //
     /* 2080434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2080437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2080454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080480 */     // MIs[0] round
     /* 2080480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080483 */     // MIs[0] policy
     /* 2080483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080493 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2080496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080519 */     // GIR_Coverage, 18584,
     /* 2080519 */     GIR_EraseRootFromParent_Done,
     /* 2080520 */   // Label 27494: @2080520
     /* 2080520 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2080611), // Rule ID 18585 //
     /* 2080525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2080528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2080542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2080545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080571 */     // MIs[0] round
     /* 2080571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080574 */     // MIs[0] policy
     /* 2080574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080584 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2080587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080610 */     // GIR_Coverage, 18585,
     /* 2080610 */     GIR_EraseRootFromParent_Done,
     /* 2080611 */   // Label 27495: @2080611
     /* 2080611 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2080702), // Rule ID 18588 //
     /* 2080616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2080619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2080627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2080630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080662 */     // MIs[0] round
     /* 2080662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080665 */     // MIs[0] policy
     /* 2080665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080675 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2080678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080701 */     // GIR_Coverage, 18588,
     /* 2080701 */     GIR_EraseRootFromParent_Done,
     /* 2080702 */   // Label 27496: @2080702
     /* 2080702 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2080793), // Rule ID 18589 //
     /* 2080707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2080710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2080718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2080721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080753 */     // MIs[0] round
     /* 2080753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080756 */     // MIs[0] policy
     /* 2080756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080766 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2080769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080792 */     // GIR_Coverage, 18589,
     /* 2080792 */     GIR_EraseRootFromParent_Done,
     /* 2080793 */   // Label 27497: @2080793
     /* 2080793 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2080884), // Rule ID 18592 //
     /* 2080798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2080801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2080809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2080812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080844 */     // MIs[0] round
     /* 2080844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080847 */     // MIs[0] policy
     /* 2080847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2080860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080883 */     // GIR_Coverage, 18592,
     /* 2080883 */     GIR_EraseRootFromParent_Done,
     /* 2080884 */   // Label 27498: @2080884
     /* 2080884 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2080975), // Rule ID 18593 //
     /* 2080889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2080892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2080900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2080903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080935 */     // MIs[0] round
     /* 2080935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080938 */     // MIs[0] policy
     /* 2080938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080948 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2080951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080974 */     // GIR_Coverage, 18593,
     /* 2080974 */     GIR_EraseRootFromParent_Done,
     /* 2080975 */   // Label 27499: @2080975
     /* 2080975 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2081066), // Rule ID 18596 //
     /* 2080980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2080983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2080988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2080991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2080994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081026 */     // MIs[0] round
     /* 2081026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081029 */     // MIs[0] policy
     /* 2081029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081039 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2081042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081065 */     // GIR_Coverage, 18596,
     /* 2081065 */     GIR_EraseRootFromParent_Done,
     /* 2081066 */   // Label 27500: @2081066
     /* 2081066 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2081157), // Rule ID 18597 //
     /* 2081071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2081074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2081082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2081085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081117 */     // MIs[0] round
     /* 2081117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081120 */     // MIs[0] policy
     /* 2081120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2081133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081156 */     // GIR_Coverage, 18597,
     /* 2081156 */     GIR_EraseRootFromParent_Done,
     /* 2081157 */   // Label 27501: @2081157
     /* 2081157 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2081248), // Rule ID 18600 //
     /* 2081162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2081165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2081182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081208 */     // MIs[0] round
     /* 2081208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081211 */     // MIs[0] policy
     /* 2081211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081221 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2081224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081247 */     // GIR_Coverage, 18600,
     /* 2081247 */     GIR_EraseRootFromParent_Done,
     /* 2081248 */   // Label 27502: @2081248
     /* 2081248 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2081339), // Rule ID 18601 //
     /* 2081253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2081256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2081264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2081267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2081273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081299 */     // MIs[0] round
     /* 2081299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081302 */     // MIs[0] policy
     /* 2081302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2081315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081338 */     // GIR_Coverage, 18601,
     /* 2081338 */     GIR_EraseRootFromParent_Done,
     /* 2081339 */   // Label 27503: @2081339
     /* 2081339 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2081430), // Rule ID 18604 //
     /* 2081344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2081347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2081364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081390 */     // MIs[0] round
     /* 2081390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081393 */     // MIs[0] policy
     /* 2081393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081403 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2081406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081429 */     // GIR_Coverage, 18604,
     /* 2081429 */     GIR_EraseRootFromParent_Done,
     /* 2081430 */   // Label 27504: @2081430
     /* 2081430 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2081521), // Rule ID 18605 //
     /* 2081435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2081438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2081455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081481 */     // MIs[0] round
     /* 2081481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081484 */     // MIs[0] policy
     /* 2081484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081494 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2081497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081520 */     // GIR_Coverage, 18605,
     /* 2081520 */     GIR_EraseRootFromParent_Done,
     /* 2081521 */   // Label 27505: @2081521
     /* 2081521 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2081612), // Rule ID 18608 //
     /* 2081526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2081529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2081546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081572 */     // MIs[0] round
     /* 2081572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081575 */     // MIs[0] policy
     /* 2081575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081585 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2081588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081611 */     // GIR_Coverage, 18608,
     /* 2081611 */     GIR_EraseRootFromParent_Done,
     /* 2081612 */   // Label 27506: @2081612
     /* 2081612 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2081703), // Rule ID 18609 //
     /* 2081617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2081620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2081637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081663 */     // MIs[0] round
     /* 2081663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081666 */     // MIs[0] policy
     /* 2081666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081676 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2081679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081702 */     // GIR_Coverage, 18609,
     /* 2081702 */     GIR_EraseRootFromParent_Done,
     /* 2081703 */   // Label 27507: @2081703
     /* 2081703 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2081794), // Rule ID 18612 //
     /* 2081708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2081711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081754 */     // MIs[0] round
     /* 2081754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081757 */     // MIs[0] policy
     /* 2081757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081767 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2081770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081793 */     // GIR_Coverage, 18612,
     /* 2081793 */     GIR_EraseRootFromParent_Done,
     /* 2081794 */   // Label 27508: @2081794
     /* 2081794 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2081885), // Rule ID 18613 //
     /* 2081799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2081802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081845 */     // MIs[0] round
     /* 2081845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081848 */     // MIs[0] policy
     /* 2081848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081858 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2081861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081884 */     // GIR_Coverage, 18613,
     /* 2081884 */     GIR_EraseRootFromParent_Done,
     /* 2081885 */   // Label 27509: @2081885
     /* 2081885 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2081976), // Rule ID 18616 //
     /* 2081890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2081893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2081901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2081904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2081928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081936 */     // MIs[0] round
     /* 2081936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081939 */     // MIs[0] policy
     /* 2081939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081949 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2081952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081975 */     // GIR_Coverage, 18616,
     /* 2081975 */     GIR_EraseRootFromParent_Done,
     /* 2081976 */   // Label 27510: @2081976
     /* 2081976 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2082067), // Rule ID 18617 //
     /* 2081981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2081984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2081989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2081992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2081995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2081998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2082001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2082019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082027 */     // MIs[0] round
     /* 2082027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082030 */     // MIs[0] policy
     /* 2082030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082040 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2082043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082066 */     // GIR_Coverage, 18617,
     /* 2082066 */     GIR_EraseRootFromParent_Done,
     /* 2082067 */   // Label 27511: @2082067
     /* 2082067 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2082158), // Rule ID 18620 //
     /* 2082072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2082075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2082083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2082086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2082092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082118 */     // MIs[0] round
     /* 2082118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082121 */     // MIs[0] policy
     /* 2082121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082131 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2082134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082157 */     // GIR_Coverage, 18620,
     /* 2082157 */     GIR_EraseRootFromParent_Done,
     /* 2082158 */   // Label 27512: @2082158
     /* 2082158 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2082249), // Rule ID 18621 //
     /* 2082163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2082166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2082174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2082177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2082183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082209 */     // MIs[0] round
     /* 2082209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082212 */     // MIs[0] policy
     /* 2082212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082222 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2082225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082248 */     // GIR_Coverage, 18621,
     /* 2082248 */     GIR_EraseRootFromParent_Done,
     /* 2082249 */   // Label 27513: @2082249
     /* 2082249 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2082340), // Rule ID 18624 //
     /* 2082254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2082257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2082274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082300 */     // MIs[0] round
     /* 2082300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082303 */     // MIs[0] policy
     /* 2082303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082313 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2082316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082339 */     // GIR_Coverage, 18624,
     /* 2082339 */     GIR_EraseRootFromParent_Done,
     /* 2082340 */   // Label 27514: @2082340
     /* 2082340 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2082431), // Rule ID 18625 //
     /* 2082345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2082348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2082365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082391 */     // MIs[0] round
     /* 2082391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082394 */     // MIs[0] policy
     /* 2082394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082404 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2082407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082430 */     // GIR_Coverage, 18625,
     /* 2082430 */     GIR_EraseRootFromParent_Done,
     /* 2082431 */   // Label 27515: @2082431
     /* 2082431 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2082522), // Rule ID 18628 //
     /* 2082436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2082439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2082456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082482 */     // MIs[0] round
     /* 2082482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082485 */     // MIs[0] policy
     /* 2082485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082495 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2082498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082521 */     // GIR_Coverage, 18628,
     /* 2082521 */     GIR_EraseRootFromParent_Done,
     /* 2082522 */   // Label 27516: @2082522
     /* 2082522 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2082613), // Rule ID 18629 //
     /* 2082527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2082530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2082547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082573 */     // MIs[0] round
     /* 2082573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082576 */     // MIs[0] policy
     /* 2082576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082586 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2082589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082612 */     // GIR_Coverage, 18629,
     /* 2082612 */     GIR_EraseRootFromParent_Done,
     /* 2082613 */   // Label 27517: @2082613
     /* 2082613 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2082704), // Rule ID 18632 //
     /* 2082618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2082621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082664 */     // MIs[0] round
     /* 2082664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082667 */     // MIs[0] policy
     /* 2082667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2082680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082703 */     // GIR_Coverage, 18632,
     /* 2082703 */     GIR_EraseRootFromParent_Done,
     /* 2082704 */   // Label 27518: @2082704
     /* 2082704 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2082795), // Rule ID 18633 //
     /* 2082709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2082712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2082717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2082726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2082747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082755 */     // MIs[0] round
     /* 2082755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082758 */     // MIs[0] policy
     /* 2082758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082768 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2082771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082794 */     // GIR_Coverage, 18633,
     /* 2082794 */     GIR_EraseRootFromParent_Done,
     /* 2082795 */   // Label 27519: @2082795
     /* 2082795 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2082886), // Rule ID 18636 //
     /* 2082800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2082803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2082808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2082820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082846 */     // MIs[0] round
     /* 2082846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082849 */     // MIs[0] policy
     /* 2082849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082859 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2082862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082885 */     // GIR_Coverage, 18636,
     /* 2082885 */     GIR_EraseRootFromParent_Done,
     /* 2082886 */   // Label 27520: @2082886
     /* 2082886 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2082977), // Rule ID 18637 //
     /* 2082891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2082894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2082899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2082911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082937 */     // MIs[0] round
     /* 2082937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082940 */     // MIs[0] policy
     /* 2082940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2082953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2082957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082976 */     // GIR_Coverage, 18637,
     /* 2082976 */     GIR_EraseRootFromParent_Done,
     /* 2082977 */   // Label 27521: @2082977
     /* 2082977 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2083068), // Rule ID 18640 //
     /* 2082982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2082985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2082990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2082993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2082996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2083002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083028 */     // MIs[0] round
     /* 2083028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083031 */     // MIs[0] policy
     /* 2083031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083041 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2083044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083067 */     // GIR_Coverage, 18640,
     /* 2083067 */     GIR_EraseRootFromParent_Done,
     /* 2083068 */   // Label 27522: @2083068
     /* 2083068 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2083159), // Rule ID 18641 //
     /* 2083073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2083076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2083093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083119 */     // MIs[0] round
     /* 2083119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083122 */     // MIs[0] policy
     /* 2083122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2083135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083158 */     // GIR_Coverage, 18641,
     /* 2083158 */     GIR_EraseRootFromParent_Done,
     /* 2083159 */   // Label 27523: @2083159
     /* 2083159 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2083250), // Rule ID 18644 //
     /* 2083164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2083167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2083175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2083178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2083184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083210 */     // MIs[0] round
     /* 2083210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083213 */     // MIs[0] policy
     /* 2083213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083223 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2083226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083249 */     // GIR_Coverage, 18644,
     /* 2083249 */     GIR_EraseRootFromParent_Done,
     /* 2083250 */   // Label 27524: @2083250
     /* 2083250 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2083341), // Rule ID 18645 //
     /* 2083255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2083258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2083266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2083269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2083275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083301 */     // MIs[0] round
     /* 2083301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083304 */     // MIs[0] policy
     /* 2083304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083314 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2083317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083340 */     // GIR_Coverage, 18645,
     /* 2083340 */     GIR_EraseRootFromParent_Done,
     /* 2083341 */   // Label 27525: @2083341
     /* 2083341 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2083432), // Rule ID 18648 //
     /* 2083346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2083349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2083357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2083360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2083363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2083366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083392 */     // MIs[0] round
     /* 2083392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083395 */     // MIs[0] policy
     /* 2083395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083405 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2083408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083431 */     // GIR_Coverage, 18648,
     /* 2083431 */     GIR_EraseRootFromParent_Done,
     /* 2083432 */   // Label 27526: @2083432
     /* 2083432 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2083523), // Rule ID 18649 //
     /* 2083437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2083440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2083448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2083451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2083454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2083457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083483 */     // MIs[0] round
     /* 2083483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083486 */     // MIs[0] policy
     /* 2083486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2083499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083522 */     // GIR_Coverage, 18649,
     /* 2083522 */     GIR_EraseRootFromParent_Done,
     /* 2083523 */   // Label 27527: @2083523
     /* 2083523 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2083614), // Rule ID 18652 //
     /* 2083528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2083531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2083539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2083542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2083545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2083548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083574 */     // MIs[0] round
     /* 2083574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083577 */     // MIs[0] policy
     /* 2083577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2083590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083613 */     // GIR_Coverage, 18652,
     /* 2083613 */     GIR_EraseRootFromParent_Done,
     /* 2083614 */   // Label 27528: @2083614
     /* 2083614 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2083705), // Rule ID 18653 //
     /* 2083619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2083622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2083630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2083633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2083636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2083639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2083649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083665 */     // MIs[0] round
     /* 2083665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083668 */     // MIs[0] policy
     /* 2083668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083678 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2083681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083704 */     // GIR_Coverage, 18653,
     /* 2083704 */     GIR_EraseRootFromParent_Done,
     /* 2083705 */   // Label 27529: @2083705
     /* 2083705 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2083796), // Rule ID 18656 //
     /* 2083710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2083713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2083721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2083724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2083730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083756 */     // MIs[0] round
     /* 2083756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083759 */     // MIs[0] policy
     /* 2083759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083769 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2083772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083795 */     // GIR_Coverage, 18656,
     /* 2083795 */     GIR_EraseRootFromParent_Done,
     /* 2083796 */   // Label 27530: @2083796
     /* 2083796 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2083887), // Rule ID 18657 //
     /* 2083801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2083804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2083812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2083815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2083821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083847 */     // MIs[0] round
     /* 2083847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083850 */     // MIs[0] policy
     /* 2083850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083860 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2083863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083886 */     // GIR_Coverage, 18657,
     /* 2083886 */     GIR_EraseRootFromParent_Done,
     /* 2083887 */   // Label 27531: @2083887
     /* 2083887 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2083978), // Rule ID 18660 //
     /* 2083892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2083895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2083903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2083906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2083912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083938 */     // MIs[0] round
     /* 2083938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083941 */     // MIs[0] policy
     /* 2083941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083951 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2083954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2083958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083977 */     // GIR_Coverage, 18660,
     /* 2083977 */     GIR_EraseRootFromParent_Done,
     /* 2083978 */   // Label 27532: @2083978
     /* 2083978 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2084069), // Rule ID 18661 //
     /* 2083983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2083986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2083991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2083994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2083997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2084003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084029 */     // MIs[0] round
     /* 2084029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084032 */     // MIs[0] policy
     /* 2084032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084042 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2084045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084068 */     // GIR_Coverage, 18661,
     /* 2084068 */     GIR_EraseRootFromParent_Done,
     /* 2084069 */   // Label 27533: @2084069
     /* 2084069 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2084160), // Rule ID 18664 //
     /* 2084074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2084077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2084085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2084088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2084091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2084094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084120 */     // MIs[0] round
     /* 2084120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084123 */     // MIs[0] policy
     /* 2084123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084133 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2084136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084159 */     // GIR_Coverage, 18664,
     /* 2084159 */     GIR_EraseRootFromParent_Done,
     /* 2084160 */   // Label 27534: @2084160
     /* 2084160 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2084251), // Rule ID 18665 //
     /* 2084165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2084168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2084176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2084179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2084182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2084185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084211 */     // MIs[0] round
     /* 2084211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084214 */     // MIs[0] policy
     /* 2084214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084224 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2084227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084250 */     // GIR_Coverage, 18665,
     /* 2084250 */     GIR_EraseRootFromParent_Done,
     /* 2084251 */   // Label 27535: @2084251
     /* 2084251 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2084342), // Rule ID 18668 //
     /* 2084256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2084259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2084267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2084270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2084273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2084276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084302 */     // MIs[0] round
     /* 2084302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084305 */     // MIs[0] policy
     /* 2084305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084315 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2084318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084341 */     // GIR_Coverage, 18668,
     /* 2084341 */     GIR_EraseRootFromParent_Done,
     /* 2084342 */   // Label 27536: @2084342
     /* 2084342 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2084433), // Rule ID 18669 //
     /* 2084347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2084350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2084358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2084361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2084364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2084367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084393 */     // MIs[0] round
     /* 2084393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084396 */     // MIs[0] policy
     /* 2084396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084406 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2084409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084432 */     // GIR_Coverage, 18669,
     /* 2084432 */     GIR_EraseRootFromParent_Done,
     /* 2084433 */   // Label 27537: @2084433
     /* 2084433 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2084524), // Rule ID 18672 //
     /* 2084438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2084441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084484 */     // MIs[0] round
     /* 2084484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084487 */     // MIs[0] policy
     /* 2084487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2084500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084523 */     // GIR_Coverage, 18672,
     /* 2084523 */     GIR_EraseRootFromParent_Done,
     /* 2084524 */   // Label 27538: @2084524
     /* 2084524 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2084615), // Rule ID 18673 //
     /* 2084529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2084532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084575 */     // MIs[0] round
     /* 2084575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084578 */     // MIs[0] policy
     /* 2084578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2084591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084614 */     // GIR_Coverage, 18673,
     /* 2084614 */     GIR_EraseRootFromParent_Done,
     /* 2084615 */   // Label 27539: @2084615
     /* 2084615 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2084706), // Rule ID 18676 //
     /* 2084620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2084623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084666 */     // MIs[0] round
     /* 2084666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084669 */     // MIs[0] policy
     /* 2084669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084679 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2084682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084705 */     // GIR_Coverage, 18676,
     /* 2084705 */     GIR_EraseRootFromParent_Done,
     /* 2084706 */   // Label 27540: @2084706
     /* 2084706 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2084797), // Rule ID 18677 //
     /* 2084711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2084714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084757 */     // MIs[0] round
     /* 2084757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084760 */     // MIs[0] policy
     /* 2084760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084770 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10960:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2084773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084796 */     // GIR_Coverage, 18677,
     /* 2084796 */     GIR_EraseRootFromParent_Done,
     /* 2084797 */   // Label 27541: @2084797
     /* 2084797 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2084888), // Rule ID 18680 //
     /* 2084802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2084805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084848 */     // MIs[0] round
     /* 2084848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084851 */     // MIs[0] policy
     /* 2084851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084861 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2084864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084887 */     // GIR_Coverage, 18680,
     /* 2084887 */     GIR_EraseRootFromParent_Done,
     /* 2084888 */   // Label 27542: @2084888
     /* 2084888 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2084979), // Rule ID 18681 //
     /* 2084893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2084896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2084910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2084931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084939 */     // MIs[0] round
     /* 2084939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084942 */     // MIs[0] policy
     /* 2084942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084952 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2084955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2084959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084978 */     // GIR_Coverage, 18681,
     /* 2084978 */     GIR_EraseRootFromParent_Done,
     /* 2084979 */   // Label 27543: @2084979
     /* 2084979 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2085070), // Rule ID 18684 //
     /* 2084984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2084987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2084992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2085001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2085022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085030 */     // MIs[0] round
     /* 2085030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085033 */     // MIs[0] policy
     /* 2085033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085043 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2085046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085069 */     // GIR_Coverage, 18684,
     /* 2085069 */     GIR_EraseRootFromParent_Done,
     /* 2085070 */   // Label 27544: @2085070
     /* 2085070 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2085161), // Rule ID 18685 //
     /* 2085075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2085078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2085086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2085089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2085092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2085113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085121 */     // MIs[0] round
     /* 2085121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085124 */     // MIs[0] policy
     /* 2085124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085134 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2085137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085160 */     // GIR_Coverage, 18685,
     /* 2085160 */     GIR_EraseRootFromParent_Done,
     /* 2085161 */   // Label 27545: @2085161
     /* 2085161 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2085252), // Rule ID 18688 //
     /* 2085166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2085169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2085177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2085180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2085183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2085204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085212 */     // MIs[0] round
     /* 2085212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085215 */     // MIs[0] policy
     /* 2085215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085225 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2085228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085251 */     // GIR_Coverage, 18688,
     /* 2085251 */     GIR_EraseRootFromParent_Done,
     /* 2085252 */   // Label 27546: @2085252
     /* 2085252 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2085343), // Rule ID 18689 //
     /* 2085257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2085260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2085268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2085271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2085274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2085295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085303 */     // MIs[0] round
     /* 2085303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085306 */     // MIs[0] policy
     /* 2085306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2085319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085342 */     // GIR_Coverage, 18689,
     /* 2085342 */     GIR_EraseRootFromParent_Done,
     /* 2085343 */   // Label 27547: @2085343
     /* 2085343 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2085434), // Rule ID 18692 //
     /* 2085348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2085351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2085359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2085362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085394 */     // MIs[0] round
     /* 2085394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085397 */     // MIs[0] policy
     /* 2085397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085407 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2085410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085433 */     // GIR_Coverage, 18692,
     /* 2085433 */     GIR_EraseRootFromParent_Done,
     /* 2085434 */   // Label 27548: @2085434
     /* 2085434 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2085525), // Rule ID 18693 //
     /* 2085439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2085442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2085450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2085453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085485 */     // MIs[0] round
     /* 2085485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085488 */     // MIs[0] policy
     /* 2085488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085498 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10960:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2085501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085524 */     // GIR_Coverage, 18693,
     /* 2085524 */     GIR_EraseRootFromParent_Done,
     /* 2085525 */   // Label 27549: @2085525
     /* 2085525 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2085616), // Rule ID 18696 //
     /* 2085530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2085533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2085541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2085544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085576 */     // MIs[0] round
     /* 2085576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085579 */     // MIs[0] policy
     /* 2085579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085589 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2085592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085615 */     // GIR_Coverage, 18696,
     /* 2085615 */     GIR_EraseRootFromParent_Done,
     /* 2085616 */   // Label 27550: @2085616
     /* 2085616 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2085707), // Rule ID 18697 //
     /* 2085621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2085624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2085632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2085635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085667 */     // MIs[0] round
     /* 2085667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085670 */     // MIs[0] policy
     /* 2085670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085680 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10960:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2085683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085706 */     // GIR_Coverage, 18697,
     /* 2085706 */     GIR_EraseRootFromParent_Done,
     /* 2085707 */   // Label 27551: @2085707
     /* 2085707 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2085798), // Rule ID 18700 //
     /* 2085712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2085715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2085723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2085726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085758 */     // MIs[0] round
     /* 2085758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085761 */     // MIs[0] policy
     /* 2085761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085771 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2085774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085797 */     // GIR_Coverage, 18700,
     /* 2085797 */     GIR_EraseRootFromParent_Done,
     /* 2085798 */   // Label 27552: @2085798
     /* 2085798 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2085889), // Rule ID 18701 //
     /* 2085803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2085806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2085814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2085817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085849 */     // MIs[0] round
     /* 2085849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085852 */     // MIs[0] policy
     /* 2085852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085862 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10960:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2085865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085888 */     // GIR_Coverage, 18701,
     /* 2085888 */     GIR_EraseRootFromParent_Done,
     /* 2085889 */   // Label 27553: @2085889
     /* 2085889 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2085980), // Rule ID 18704 //
     /* 2085894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2085897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2085905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2085908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2085911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2085914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2085932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085940 */     // MIs[0] round
     /* 2085940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085943 */     // MIs[0] policy
     /* 2085943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085953 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2085956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2085960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085979 */     // GIR_Coverage, 18704,
     /* 2085979 */     GIR_EraseRootFromParent_Done,
     /* 2085980 */   // Label 27554: @2085980
     /* 2085980 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2086071), // Rule ID 18705 //
     /* 2085985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2085988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2085993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2085996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2085999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2086002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2086023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086031 */     // MIs[0] round
     /* 2086031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086034 */     // MIs[0] policy
     /* 2086034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086044 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10960:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2086047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086070 */     // GIR_Coverage, 18705,
     /* 2086070 */     GIR_EraseRootFromParent_Done,
     /* 2086071 */   // Label 27555: @2086071
     /* 2086071 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2086162), // Rule ID 18708 //
     /* 2086076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2086079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086122 */     // MIs[0] round
     /* 2086122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086125 */     // MIs[0] policy
     /* 2086125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086135 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2086138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086161 */     // GIR_Coverage, 18708,
     /* 2086161 */     GIR_EraseRootFromParent_Done,
     /* 2086162 */   // Label 27556: @2086162
     /* 2086162 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2086253), // Rule ID 18709 //
     /* 2086167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2086170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2086178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2086181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2086187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086213 */     // MIs[0] round
     /* 2086213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086216 */     // MIs[0] policy
     /* 2086216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086226 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2086229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086252 */     // GIR_Coverage, 18709,
     /* 2086252 */     GIR_EraseRootFromParent_Done,
     /* 2086253 */   // Label 27557: @2086253
     /* 2086253 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2086344), // Rule ID 18712 //
     /* 2086258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2086261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086304 */     // MIs[0] round
     /* 2086304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086307 */     // MIs[0] policy
     /* 2086307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086317 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2086320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086343 */     // GIR_Coverage, 18712,
     /* 2086343 */     GIR_EraseRootFromParent_Done,
     /* 2086344 */   // Label 27558: @2086344
     /* 2086344 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2086435), // Rule ID 18713 //
     /* 2086349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2086352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2086360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2086363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2086369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086395 */     // MIs[0] round
     /* 2086395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086398 */     // MIs[0] policy
     /* 2086398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2086411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086434 */     // GIR_Coverage, 18713,
     /* 2086434 */     GIR_EraseRootFromParent_Done,
     /* 2086435 */   // Label 27559: @2086435
     /* 2086435 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2086526), // Rule ID 18716 //
     /* 2086440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2086443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2086451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2086454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086486 */     // MIs[0] round
     /* 2086486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086489 */     // MIs[0] policy
     /* 2086489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086499 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2086502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086525 */     // GIR_Coverage, 18716,
     /* 2086525 */     GIR_EraseRootFromParent_Done,
     /* 2086526 */   // Label 27560: @2086526
     /* 2086526 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2086617), // Rule ID 18717 //
     /* 2086531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2086534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2086542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2086545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2086551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086577 */     // MIs[0] round
     /* 2086577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086580 */     // MIs[0] policy
     /* 2086580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2086593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086616 */     // GIR_Coverage, 18717,
     /* 2086616 */     GIR_EraseRootFromParent_Done,
     /* 2086617 */   // Label 27561: @2086617
     /* 2086617 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2086708), // Rule ID 18720 //
     /* 2086622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2086625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086668 */     // MIs[0] round
     /* 2086668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086671 */     // MIs[0] policy
     /* 2086671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086681 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2086684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086707 */     // GIR_Coverage, 18720,
     /* 2086707 */     GIR_EraseRootFromParent_Done,
     /* 2086708 */   // Label 27562: @2086708
     /* 2086708 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2086799), // Rule ID 18721 //
     /* 2086713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2086716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2086733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086759 */     // MIs[0] round
     /* 2086759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086762 */     // MIs[0] policy
     /* 2086762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086772 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2086775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086798 */     // GIR_Coverage, 18721,
     /* 2086798 */     GIR_EraseRootFromParent_Done,
     /* 2086799 */   // Label 27563: @2086799
     /* 2086799 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2086890), // Rule ID 18724 //
     /* 2086804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2086807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2086821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086850 */     // MIs[0] round
     /* 2086850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086853 */     // MIs[0] policy
     /* 2086853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086863 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2086866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086889 */     // GIR_Coverage, 18724,
     /* 2086889 */     GIR_EraseRootFromParent_Done,
     /* 2086890 */   // Label 27564: @2086890
     /* 2086890 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2086981), // Rule ID 18725 //
     /* 2086895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2086898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2086912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2086915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086941 */     // MIs[0] round
     /* 2086941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086944 */     // MIs[0] policy
     /* 2086944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086954 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2086957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2086961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2086977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086980 */     // GIR_Coverage, 18725,
     /* 2086980 */     GIR_EraseRootFromParent_Done,
     /* 2086981 */   // Label 27565: @2086981
     /* 2086981 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2087072), // Rule ID 18728 //
     /* 2086986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2086989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2086994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2086997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2087000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087032 */     // MIs[0] round
     /* 2087032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087035 */     // MIs[0] policy
     /* 2087035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087045 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2087048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087071 */     // GIR_Coverage, 18728,
     /* 2087071 */     GIR_EraseRootFromParent_Done,
     /* 2087072 */   // Label 27566: @2087072
     /* 2087072 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2087163), // Rule ID 18729 //
     /* 2087077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2087080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2087088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2087091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087123 */     // MIs[0] round
     /* 2087123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087126 */     // MIs[0] policy
     /* 2087126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2087139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087162 */     // GIR_Coverage, 18729,
     /* 2087162 */     GIR_EraseRootFromParent_Done,
     /* 2087163 */   // Label 27567: @2087163
     /* 2087163 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2087254), // Rule ID 18732 //
     /* 2087168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2087171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2087179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2087182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087214 */     // MIs[0] round
     /* 2087214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087217 */     // MIs[0] policy
     /* 2087217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2087230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087253 */     // GIR_Coverage, 18732,
     /* 2087253 */     GIR_EraseRootFromParent_Done,
     /* 2087254 */   // Label 27568: @2087254
     /* 2087254 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2087345), // Rule ID 18733 //
     /* 2087259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2087262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2087270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2087273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2087279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087305 */     // MIs[0] round
     /* 2087305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087308 */     // MIs[0] policy
     /* 2087308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2087321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087344 */     // GIR_Coverage, 18733,
     /* 2087344 */     GIR_EraseRootFromParent_Done,
     /* 2087345 */   // Label 27569: @2087345
     /* 2087345 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2087436), // Rule ID 18736 //
     /* 2087350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2087353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2087361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2087364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087396 */     // MIs[0] round
     /* 2087396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087399 */     // MIs[0] policy
     /* 2087399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087409 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2087412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087435 */     // GIR_Coverage, 18736,
     /* 2087435 */     GIR_EraseRootFromParent_Done,
     /* 2087436 */   // Label 27570: @2087436
     /* 2087436 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2087527), // Rule ID 18737 //
     /* 2087441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2087444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2087452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2087455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2087461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087487 */     // MIs[0] round
     /* 2087487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087490 */     // MIs[0] policy
     /* 2087490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2087503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087526 */     // GIR_Coverage, 18737,
     /* 2087526 */     GIR_EraseRootFromParent_Done,
     /* 2087527 */   // Label 27571: @2087527
     /* 2087527 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2087618), // Rule ID 18740 //
     /* 2087532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2087535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2087543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2087546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2087549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2087562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087578 */     // MIs[0] round
     /* 2087578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087581 */     // MIs[0] policy
     /* 2087581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087591 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2087594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087617 */     // GIR_Coverage, 18740,
     /* 2087617 */     GIR_EraseRootFromParent_Done,
     /* 2087618 */   // Label 27572: @2087618
     /* 2087618 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2087709), // Rule ID 18741 //
     /* 2087623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2087626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2087634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2087637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2087640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2087643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2087653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087669 */     // MIs[0] round
     /* 2087669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087672 */     // MIs[0] policy
     /* 2087672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2087685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087708 */     // GIR_Coverage, 18741,
     /* 2087708 */     GIR_EraseRootFromParent_Done,
     /* 2087709 */   // Label 27573: @2087709
     /* 2087709 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2087800), // Rule ID 18744 //
     /* 2087714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2087717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2087731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2087734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087760 */     // MIs[0] round
     /* 2087760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087763 */     // MIs[0] policy
     /* 2087763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087773 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2087776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087799 */     // GIR_Coverage, 18744,
     /* 2087799 */     GIR_EraseRootFromParent_Done,
     /* 2087800 */   // Label 27574: @2087800
     /* 2087800 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2087891), // Rule ID 18745 //
     /* 2087805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2087808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2087822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2087825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087851 */     // MIs[0] round
     /* 2087851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087854 */     // MIs[0] policy
     /* 2087854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087864 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2087867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087890 */     // GIR_Coverage, 18745,
     /* 2087890 */     GIR_EraseRootFromParent_Done,
     /* 2087891 */   // Label 27575: @2087891
     /* 2087891 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2087982), // Rule ID 18748 //
     /* 2087896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2087899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2087913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2087916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087942 */     // MIs[0] round
     /* 2087942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087945 */     // MIs[0] policy
     /* 2087945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2087958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2087962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087981 */     // GIR_Coverage, 18748,
     /* 2087981 */     GIR_EraseRootFromParent_Done,
     /* 2087982 */   // Label 27576: @2087982
     /* 2087982 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2088073), // Rule ID 18749 //
     /* 2087987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2087990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2087995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2088007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088033 */     // MIs[0] round
     /* 2088033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088036 */     // MIs[0] policy
     /* 2088036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2088049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088072 */     // GIR_Coverage, 18749,
     /* 2088072 */     GIR_EraseRootFromParent_Done,
     /* 2088073 */   // Label 27577: @2088073
     /* 2088073 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2088164), // Rule ID 18752 //
     /* 2088078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2088081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2088098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088124 */     // MIs[0] round
     /* 2088124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088127 */     // MIs[0] policy
     /* 2088127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088137 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2088140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088163 */     // GIR_Coverage, 18752,
     /* 2088163 */     GIR_EraseRootFromParent_Done,
     /* 2088164 */   // Label 27578: @2088164
     /* 2088164 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2088255), // Rule ID 18753 //
     /* 2088169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2088172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2088189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088215 */     // MIs[0] round
     /* 2088215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088218 */     // MIs[0] policy
     /* 2088218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2088231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088254 */     // GIR_Coverage, 18753,
     /* 2088254 */     GIR_EraseRootFromParent_Done,
     /* 2088255 */   // Label 27579: @2088255
     /* 2088255 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2088346), // Rule ID 18756 //
     /* 2088260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2088263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2088280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088306 */     // MIs[0] round
     /* 2088306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088309 */     // MIs[0] policy
     /* 2088309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088319 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2088322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088345 */     // GIR_Coverage, 18756,
     /* 2088345 */     GIR_EraseRootFromParent_Done,
     /* 2088346 */   // Label 27580: @2088346
     /* 2088346 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2088437), // Rule ID 18757 //
     /* 2088351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2088354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2088371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088397 */     // MIs[0] round
     /* 2088397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088400 */     // MIs[0] policy
     /* 2088400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2088413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088436 */     // GIR_Coverage, 18757,
     /* 2088436 */     GIR_EraseRootFromParent_Done,
     /* 2088437 */   // Label 27581: @2088437
     /* 2088437 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2088528), // Rule ID 18760 //
     /* 2088442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2088445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2088453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2088456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2088462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2088472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088488 */     // MIs[0] round
     /* 2088488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088491 */     // MIs[0] policy
     /* 2088491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088501 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2088504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088527 */     // GIR_Coverage, 18760,
     /* 2088527 */     GIR_EraseRootFromParent_Done,
     /* 2088528 */   // Label 27582: @2088528
     /* 2088528 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2088619), // Rule ID 18761 //
     /* 2088533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2088536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2088544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2088547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2088550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2088553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2088563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088579 */     // MIs[0] round
     /* 2088579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088582 */     // MIs[0] policy
     /* 2088582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088592 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2088595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088618 */     // GIR_Coverage, 18761,
     /* 2088618 */     GIR_EraseRootFromParent_Done,
     /* 2088619 */   // Label 27583: @2088619
     /* 2088619 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2088710), // Rule ID 18764 //
     /* 2088624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2088627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2088641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2088644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088670 */     // MIs[0] round
     /* 2088670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088673 */     // MIs[0] policy
     /* 2088673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088683 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2088686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088709 */     // GIR_Coverage, 18764,
     /* 2088709 */     GIR_EraseRootFromParent_Done,
     /* 2088710 */   // Label 27584: @2088710
     /* 2088710 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2088801), // Rule ID 18765 //
     /* 2088715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2088718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2088732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2088735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088761 */     // MIs[0] round
     /* 2088761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088764 */     // MIs[0] policy
     /* 2088764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2088777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088800 */     // GIR_Coverage, 18765,
     /* 2088800 */     GIR_EraseRootFromParent_Done,
     /* 2088801 */   // Label 27585: @2088801
     /* 2088801 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2088892), // Rule ID 18768 //
     /* 2088806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2088809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2088817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2088820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2088823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2088826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088852 */     // MIs[0] round
     /* 2088852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088855 */     // MIs[0] policy
     /* 2088855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2088868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088891 */     // GIR_Coverage, 18768,
     /* 2088891 */     GIR_EraseRootFromParent_Done,
     /* 2088892 */   // Label 27586: @2088892
     /* 2088892 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2088983), // Rule ID 18769 //
     /* 2088897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2088900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2088908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2088911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2088914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2088917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088943 */     // MIs[0] round
     /* 2088943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088946 */     // MIs[0] policy
     /* 2088946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2088959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2088963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088982 */     // GIR_Coverage, 18769,
     /* 2088982 */     GIR_EraseRootFromParent_Done,
     /* 2088983 */   // Label 27587: @2088983
     /* 2088983 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2089074), // Rule ID 18772 //
     /* 2088988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2088991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2088996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2088999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2089002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2089005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2089008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089034 */     // MIs[0] round
     /* 2089034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089037 */     // MIs[0] policy
     /* 2089037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089047 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2089050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089073 */     // GIR_Coverage, 18772,
     /* 2089073 */     GIR_EraseRootFromParent_Done,
     /* 2089074 */   // Label 27588: @2089074
     /* 2089074 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2089165), // Rule ID 18773 //
     /* 2089079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2089082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2089087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2089090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2089093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2089096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2089099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089125 */     // MIs[0] round
     /* 2089125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089128 */     // MIs[0] policy
     /* 2089128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089138 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2089141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089164 */     // GIR_Coverage, 18773,
     /* 2089164 */     GIR_EraseRootFromParent_Done,
     /* 2089165 */   // Label 27589: @2089165
     /* 2089165 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2089256), // Rule ID 18776 //
     /* 2089170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2089173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2089178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2089181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2089184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2089187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2089190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089216 */     // MIs[0] round
     /* 2089216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089219 */     // MIs[0] policy
     /* 2089219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089229 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2089232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089255 */     // GIR_Coverage, 18776,
     /* 2089255 */     GIR_EraseRootFromParent_Done,
     /* 2089256 */   // Label 27590: @2089256
     /* 2089256 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2089347), // Rule ID 18777 //
     /* 2089261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2089264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2089269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2089272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2089275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2089278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2089281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089307 */     // MIs[0] round
     /* 2089307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089310 */     // MIs[0] policy
     /* 2089310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089320 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2089323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089346 */     // GIR_Coverage, 18777,
     /* 2089346 */     GIR_EraseRootFromParent_Done,
     /* 2089347 */   // Label 27591: @2089347
     /* 2089347 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2089438), // Rule ID 18780 //
     /* 2089352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2089355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089398 */     // MIs[0] round
     /* 2089398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089401 */     // MIs[0] policy
     /* 2089401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089411 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2089414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089437 */     // GIR_Coverage, 18780,
     /* 2089437 */     GIR_EraseRootFromParent_Done,
     /* 2089438 */   // Label 27592: @2089438
     /* 2089438 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2089529), // Rule ID 18781 //
     /* 2089443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2089446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089489 */     // MIs[0] round
     /* 2089489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089492 */     // MIs[0] policy
     /* 2089492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2089505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089528 */     // GIR_Coverage, 18781,
     /* 2089528 */     GIR_EraseRootFromParent_Done,
     /* 2089529 */   // Label 27593: @2089529
     /* 2089529 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2089620), // Rule ID 18784 //
     /* 2089534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2089537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2089554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089580 */     // MIs[0] round
     /* 2089580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089583 */     // MIs[0] policy
     /* 2089583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089593 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2089596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089619 */     // GIR_Coverage, 18784,
     /* 2089619 */     GIR_EraseRootFromParent_Done,
     /* 2089620 */   // Label 27594: @2089620
     /* 2089620 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2089711), // Rule ID 18785 //
     /* 2089625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2089628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2089645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089671 */     // MIs[0] round
     /* 2089671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089674 */     // MIs[0] policy
     /* 2089674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2089687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089710 */     // GIR_Coverage, 18785,
     /* 2089710 */     GIR_EraseRootFromParent_Done,
     /* 2089711 */   // Label 27595: @2089711
     /* 2089711 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2089802), // Rule ID 18788 //
     /* 2089716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2089719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2089736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089762 */     // MIs[0] round
     /* 2089762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089765 */     // MIs[0] policy
     /* 2089765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089775 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2089778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089801 */     // GIR_Coverage, 18788,
     /* 2089801 */     GIR_EraseRootFromParent_Done,
     /* 2089802 */   // Label 27596: @2089802
     /* 2089802 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2089893), // Rule ID 18789 //
     /* 2089807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2089810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2089827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089853 */     // MIs[0] round
     /* 2089853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089856 */     // MIs[0] policy
     /* 2089856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089866 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2089869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089892 */     // GIR_Coverage, 18789,
     /* 2089892 */     GIR_EraseRootFromParent_Done,
     /* 2089893 */   // Label 27597: @2089893
     /* 2089893 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2089984), // Rule ID 18792 //
     /* 2089898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2089901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2089909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2089912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2089918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089944 */     // MIs[0] round
     /* 2089944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089947 */     // MIs[0] policy
     /* 2089947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089957 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2089960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2089964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089983 */     // GIR_Coverage, 18792,
     /* 2089983 */     GIR_EraseRootFromParent_Done,
     /* 2089984 */   // Label 27598: @2089984
     /* 2089984 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2090075), // Rule ID 18793 //
     /* 2089989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2089992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2089997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090035 */     // MIs[0] round
     /* 2090035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090038 */     // MIs[0] policy
     /* 2090038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2090051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090074 */     // GIR_Coverage, 18793,
     /* 2090074 */     GIR_EraseRootFromParent_Done,
     /* 2090075 */   // Label 27599: @2090075
     /* 2090075 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2090166), // Rule ID 18796 //
     /* 2090080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2090083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2090100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090126 */     // MIs[0] round
     /* 2090126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090129 */     // MIs[0] policy
     /* 2090129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090139 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2090142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090165 */     // GIR_Coverage, 18796,
     /* 2090165 */     GIR_EraseRootFromParent_Done,
     /* 2090166 */   // Label 27600: @2090166
     /* 2090166 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2090257), // Rule ID 18797 //
     /* 2090171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2090174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2090191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090217 */     // MIs[0] round
     /* 2090217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090220 */     // MIs[0] policy
     /* 2090220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090230 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2090233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090256 */     // GIR_Coverage, 18797,
     /* 2090256 */     GIR_EraseRootFromParent_Done,
     /* 2090257 */   // Label 27601: @2090257
     /* 2090257 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2090348), // Rule ID 18800 //
     /* 2090262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2090265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2090273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2090276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090308 */     // MIs[0] round
     /* 2090308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090311 */     // MIs[0] policy
     /* 2090311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090321 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2090324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090347 */     // GIR_Coverage, 18800,
     /* 2090347 */     GIR_EraseRootFromParent_Done,
     /* 2090348 */   // Label 27602: @2090348
     /* 2090348 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2090439), // Rule ID 18801 //
     /* 2090353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2090356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2090364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2090367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090399 */     // MIs[0] round
     /* 2090399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090402 */     // MIs[0] policy
     /* 2090402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2090415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090438 */     // GIR_Coverage, 18801,
     /* 2090438 */     GIR_EraseRootFromParent_Done,
     /* 2090439 */   // Label 27603: @2090439
     /* 2090439 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2090530), // Rule ID 18804 //
     /* 2090444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2090447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2090464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090490 */     // MIs[0] round
     /* 2090490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090493 */     // MIs[0] policy
     /* 2090493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2090506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090529 */     // GIR_Coverage, 18804,
     /* 2090529 */     GIR_EraseRootFromParent_Done,
     /* 2090530 */   // Label 27604: @2090530
     /* 2090530 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2090621), // Rule ID 18805 //
     /* 2090535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2090538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2090555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090581 */     // MIs[0] round
     /* 2090581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090584 */     // MIs[0] policy
     /* 2090584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090594 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2090597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090620 */     // GIR_Coverage, 18805,
     /* 2090620 */     GIR_EraseRootFromParent_Done,
     /* 2090621 */   // Label 27605: @2090621
     /* 2090621 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2090712), // Rule ID 18808 //
     /* 2090626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2090629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2090646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090672 */     // MIs[0] round
     /* 2090672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090675 */     // MIs[0] policy
     /* 2090675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090685 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2090688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090711 */     // GIR_Coverage, 18808,
     /* 2090711 */     GIR_EraseRootFromParent_Done,
     /* 2090712 */   // Label 27606: @2090712
     /* 2090712 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2090803), // Rule ID 18809 //
     /* 2090717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2090720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2090737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090763 */     // MIs[0] round
     /* 2090763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090766 */     // MIs[0] policy
     /* 2090766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090776 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2090779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090802 */     // GIR_Coverage, 18809,
     /* 2090802 */     GIR_EraseRootFromParent_Done,
     /* 2090803 */   // Label 27607: @2090803
     /* 2090803 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2090894), // Rule ID 18812 //
     /* 2090808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2090811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090854 */     // MIs[0] round
     /* 2090854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090857 */     // MIs[0] policy
     /* 2090857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090867 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2090870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090893 */     // GIR_Coverage, 18812,
     /* 2090893 */     GIR_EraseRootFromParent_Done,
     /* 2090894 */   // Label 27608: @2090894
     /* 2090894 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2090985), // Rule ID 18813 //
     /* 2090899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2090902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090945 */     // MIs[0] round
     /* 2090945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090948 */     // MIs[0] policy
     /* 2090948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090958 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2090961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2090965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090984 */     // GIR_Coverage, 18813,
     /* 2090984 */     GIR_EraseRootFromParent_Done,
     /* 2090985 */   // Label 27609: @2090985
     /* 2090985 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2091076), // Rule ID 18816 //
     /* 2090990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2090993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2090998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2091010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091036 */     // MIs[0] round
     /* 2091036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091039 */     // MIs[0] policy
     /* 2091039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091049 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2091052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091075 */     // GIR_Coverage, 18816,
     /* 2091075 */     GIR_EraseRootFromParent_Done,
     /* 2091076 */   // Label 27610: @2091076
     /* 2091076 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2091167), // Rule ID 18817 //
     /* 2091081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2091084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2091101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091127 */     // MIs[0] round
     /* 2091127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091130 */     // MIs[0] policy
     /* 2091130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2091143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091166 */     // GIR_Coverage, 18817,
     /* 2091166 */     GIR_EraseRootFromParent_Done,
     /* 2091167 */   // Label 27611: @2091167
     /* 2091167 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2091258), // Rule ID 18820 //
     /* 2091172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2091175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2091192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091218 */     // MIs[0] round
     /* 2091218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091221 */     // MIs[0] policy
     /* 2091221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2091234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091257 */     // GIR_Coverage, 18820,
     /* 2091257 */     GIR_EraseRootFromParent_Done,
     /* 2091258 */   // Label 27612: @2091258
     /* 2091258 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2091349), // Rule ID 18821 //
     /* 2091263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2091266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2091274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2091277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2091283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091309 */     // MIs[0] round
     /* 2091309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091312 */     // MIs[0] policy
     /* 2091312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091322 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10962:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2091325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091348 */     // GIR_Coverage, 18821,
     /* 2091348 */     GIR_EraseRootFromParent_Done,
     /* 2091349 */   // Label 27613: @2091349
     /* 2091349 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2091440), // Rule ID 18824 //
     /* 2091354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2091357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091400 */     // MIs[0] round
     /* 2091400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091403 */     // MIs[0] policy
     /* 2091403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091413 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2091416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091439 */     // GIR_Coverage, 18824,
     /* 2091439 */     GIR_EraseRootFromParent_Done,
     /* 2091440 */   // Label 27614: @2091440
     /* 2091440 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2091531), // Rule ID 18825 //
     /* 2091445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2091448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2091465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091491 */     // MIs[0] round
     /* 2091491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091494 */     // MIs[0] policy
     /* 2091494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2091507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091530 */     // GIR_Coverage, 18825,
     /* 2091530 */     GIR_EraseRootFromParent_Done,
     /* 2091531 */   // Label 27615: @2091531
     /* 2091531 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2091622), // Rule ID 18828 //
     /* 2091536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2091539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091582 */     // MIs[0] round
     /* 2091582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091585 */     // MIs[0] policy
     /* 2091585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091595 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2091598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091621 */     // GIR_Coverage, 18828,
     /* 2091621 */     GIR_EraseRootFromParent_Done,
     /* 2091622 */   // Label 27616: @2091622
     /* 2091622 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2091713), // Rule ID 18829 //
     /* 2091627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2091630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2091647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091673 */     // MIs[0] round
     /* 2091673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091676 */     // MIs[0] policy
     /* 2091676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091686 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2091689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091712 */     // GIR_Coverage, 18829,
     /* 2091712 */     GIR_EraseRootFromParent_Done,
     /* 2091713 */   // Label 27617: @2091713
     /* 2091713 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2091804), // Rule ID 18832 //
     /* 2091718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2091721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091764 */     // MIs[0] round
     /* 2091764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091767 */     // MIs[0] policy
     /* 2091767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091777 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2091780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091803 */     // GIR_Coverage, 18832,
     /* 2091803 */     GIR_EraseRootFromParent_Done,
     /* 2091804 */   // Label 27618: @2091804
     /* 2091804 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2091895), // Rule ID 18833 //
     /* 2091809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2091812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2091826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091855 */     // MIs[0] round
     /* 2091855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091858 */     // MIs[0] policy
     /* 2091858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2091871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091894 */     // GIR_Coverage, 18833,
     /* 2091894 */     GIR_EraseRootFromParent_Done,
     /* 2091895 */   // Label 27619: @2091895
     /* 2091895 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2091986), // Rule ID 18836 //
     /* 2091900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2091903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2091911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2091914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2091917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2091920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2091938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091946 */     // MIs[0] round
     /* 2091946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091949 */     // MIs[0] policy
     /* 2091949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2091962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2091966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091985 */     // GIR_Coverage, 18836,
     /* 2091985 */     GIR_EraseRootFromParent_Done,
     /* 2091986 */   // Label 27620: @2091986
     /* 2091986 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2092077), // Rule ID 18837 //
     /* 2091991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2091994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2091999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2092002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2092005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2092011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092037 */     // MIs[0] round
     /* 2092037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092040 */     // MIs[0] policy
     /* 2092040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10962:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2092053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092076 */     // GIR_Coverage, 18837,
     /* 2092076 */     GIR_EraseRootFromParent_Done,
     /* 2092077 */   // Label 27621: @2092077
     /* 2092077 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2092168), // Rule ID 18840 //
     /* 2092082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2092085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2092102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092128 */     // MIs[0] round
     /* 2092128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092131 */     // MIs[0] policy
     /* 2092131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092141 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2092144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092167 */     // GIR_Coverage, 18840,
     /* 2092167 */     GIR_EraseRootFromParent_Done,
     /* 2092168 */   // Label 27622: @2092168
     /* 2092168 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2092259), // Rule ID 18841 //
     /* 2092173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2092176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2092193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092219 */     // MIs[0] round
     /* 2092219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092222 */     // MIs[0] policy
     /* 2092222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092232 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10962:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2092235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092258 */     // GIR_Coverage, 18841,
     /* 2092258 */     GIR_EraseRootFromParent_Done,
     /* 2092259 */   // Label 27623: @2092259
     /* 2092259 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2092350), // Rule ID 18844 //
     /* 2092264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2092267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092310 */     // MIs[0] round
     /* 2092310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092313 */     // MIs[0] policy
     /* 2092313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092323 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2092326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092349 */     // GIR_Coverage, 18844,
     /* 2092349 */     GIR_EraseRootFromParent_Done,
     /* 2092350 */   // Label 27624: @2092350
     /* 2092350 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2092441), // Rule ID 18845 //
     /* 2092355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2092358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2092375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092401 */     // MIs[0] round
     /* 2092401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092404 */     // MIs[0] policy
     /* 2092404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10962:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2092417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092440 */     // GIR_Coverage, 18845,
     /* 2092440 */     GIR_EraseRootFromParent_Done,
     /* 2092441 */   // Label 27625: @2092441
     /* 2092441 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2092532), // Rule ID 18848 //
     /* 2092446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2092449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092492 */     // MIs[0] round
     /* 2092492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092495 */     // MIs[0] policy
     /* 2092495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092505 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2092508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092531 */     // GIR_Coverage, 18848,
     /* 2092531 */     GIR_EraseRootFromParent_Done,
     /* 2092532 */   // Label 27626: @2092532
     /* 2092532 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2092623), // Rule ID 18849 //
     /* 2092537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2092540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2092545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2092554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2092557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092583 */     // MIs[0] round
     /* 2092583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092586 */     // MIs[0] policy
     /* 2092586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10962:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2092599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2092603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092622 */     // GIR_Coverage, 18849,
     /* 2092622 */     GIR_EraseRootFromParent_Done,
     /* 2092623 */   // Label 27627: @2092623
     /* 2092623 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2092714), // Rule ID 63667 //
     /* 2092628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2092631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2092636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092674 */     // MIs[0] round
     /* 2092674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092677 */     // MIs[0] policy
     /* 2092677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2092690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092713 */     // GIR_Coverage, 63667,
     /* 2092713 */     GIR_EraseRootFromParent_Done,
     /* 2092714 */   // Label 27628: @2092714
     /* 2092714 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2092805), // Rule ID 63668 //
     /* 2092719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2092722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2092727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092765 */     // MIs[0] round
     /* 2092765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092768 */     // MIs[0] policy
     /* 2092768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2092781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092804 */     // GIR_Coverage, 63668,
     /* 2092804 */     GIR_EraseRootFromParent_Done,
     /* 2092805 */   // Label 27629: @2092805
     /* 2092805 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2092896), // Rule ID 63671 //
     /* 2092810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2092813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2092818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092856 */     // MIs[0] round
     /* 2092856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092859 */     // MIs[0] policy
     /* 2092859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092869 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2092872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092895 */     // GIR_Coverage, 63671,
     /* 2092895 */     GIR_EraseRootFromParent_Done,
     /* 2092896 */   // Label 27630: @2092896
     /* 2092896 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2092987), // Rule ID 63672 //
     /* 2092901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2092904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2092909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092947 */     // MIs[0] round
     /* 2092947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092950 */     // MIs[0] policy
     /* 2092950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2092963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092986 */     // GIR_Coverage, 63672,
     /* 2092986 */     GIR_EraseRootFromParent_Done,
     /* 2092987 */   // Label 27631: @2092987
     /* 2092987 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2093078), // Rule ID 63675 //
     /* 2092992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2092995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2093003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2093006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093038 */     // MIs[0] round
     /* 2093038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093041 */     // MIs[0] policy
     /* 2093041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2093054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093077 */     // GIR_Coverage, 63675,
     /* 2093077 */     GIR_EraseRootFromParent_Done,
     /* 2093078 */   // Label 27632: @2093078
     /* 2093078 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2093169), // Rule ID 63676 //
     /* 2093083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2093094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2093097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093129 */     // MIs[0] round
     /* 2093129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093132 */     // MIs[0] policy
     /* 2093132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2093145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093168 */     // GIR_Coverage, 63676,
     /* 2093168 */     GIR_EraseRootFromParent_Done,
     /* 2093169 */   // Label 27633: @2093169
     /* 2093169 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2093260), // Rule ID 63679 //
     /* 2093174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2093177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2093185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2093188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093220 */     // MIs[0] round
     /* 2093220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093223 */     // MIs[0] policy
     /* 2093223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2093236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093259 */     // GIR_Coverage, 63679,
     /* 2093259 */     GIR_EraseRootFromParent_Done,
     /* 2093260 */   // Label 27634: @2093260
     /* 2093260 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2093351), // Rule ID 63680 //
     /* 2093265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2093276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2093279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093311 */     // MIs[0] round
     /* 2093311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093314 */     // MIs[0] policy
     /* 2093314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10751:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2093327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093350 */     // GIR_Coverage, 63680,
     /* 2093350 */     GIR_EraseRootFromParent_Done,
     /* 2093351 */   // Label 27635: @2093351
     /* 2093351 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2093442), // Rule ID 63683 //
     /* 2093356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2093359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2093367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2093370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093402 */     // MIs[0] round
     /* 2093402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093405 */     // MIs[0] policy
     /* 2093405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10751:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2093418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093441 */     // GIR_Coverage, 63683,
     /* 2093441 */     GIR_EraseRootFromParent_Done,
     /* 2093442 */   // Label 27636: @2093442
     /* 2093442 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2093533), // Rule ID 63684 //
     /* 2093447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2093455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2093458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2093461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093493 */     // MIs[0] round
     /* 2093493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093496 */     // MIs[0] policy
     /* 2093496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10751:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2093509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093532 */     // GIR_Coverage, 63684,
     /* 2093532 */     GIR_EraseRootFromParent_Done,
     /* 2093533 */   // Label 27637: @2093533
     /* 2093533 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2093624), // Rule ID 63687 //
     /* 2093538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2093541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2093546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2093549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2093552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093584 */     // MIs[0] round
     /* 2093584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093587 */     // MIs[0] policy
     /* 2093587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2093600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093623 */     // GIR_Coverage, 63687,
     /* 2093623 */     GIR_EraseRootFromParent_Done,
     /* 2093624 */   // Label 27638: @2093624
     /* 2093624 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2093715), // Rule ID 63688 //
     /* 2093629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2093637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2093640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2093643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093675 */     // MIs[0] round
     /* 2093675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093678 */     // MIs[0] policy
     /* 2093678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2093691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093714 */     // GIR_Coverage, 63688,
     /* 2093714 */     GIR_EraseRootFromParent_Done,
     /* 2093715 */   // Label 27639: @2093715
     /* 2093715 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2093806), // Rule ID 63691 //
     /* 2093720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2093723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2093728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2093731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2093734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093766 */     // MIs[0] round
     /* 2093766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093769 */     // MIs[0] policy
     /* 2093769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2093782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093805 */     // GIR_Coverage, 63691,
     /* 2093805 */     GIR_EraseRootFromParent_Done,
     /* 2093806 */   // Label 27640: @2093806
     /* 2093806 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2093897), // Rule ID 63692 //
     /* 2093811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2093819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2093822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2093825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093857 */     // MIs[0] round
     /* 2093857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093860 */     // MIs[0] policy
     /* 2093860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093870 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2093873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093896 */     // GIR_Coverage, 63692,
     /* 2093896 */     GIR_EraseRootFromParent_Done,
     /* 2093897 */   // Label 27641: @2093897
     /* 2093897 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2093988), // Rule ID 63695 //
     /* 2093902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2093905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2093910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2093913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2093916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093948 */     // MIs[0] round
     /* 2093948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093951 */     // MIs[0] policy
     /* 2093951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093961 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2093964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093987 */     // GIR_Coverage, 63695,
     /* 2093987 */     GIR_EraseRootFromParent_Done,
     /* 2093988 */   // Label 27642: @2093988
     /* 2093988 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2094079), // Rule ID 63696 //
     /* 2093993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2093996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2094001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2094004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2094007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094039 */     // MIs[0] round
     /* 2094039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094042 */     // MIs[0] policy
     /* 2094042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2094055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094078 */     // GIR_Coverage, 63696,
     /* 2094078 */     GIR_EraseRootFromParent_Done,
     /* 2094079 */   // Label 27643: @2094079
     /* 2094079 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2094170), // Rule ID 63699 //
     /* 2094084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2094087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2094092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094130 */     // MIs[0] round
     /* 2094130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094133 */     // MIs[0] policy
     /* 2094133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2094146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094169 */     // GIR_Coverage, 63699,
     /* 2094169 */     GIR_EraseRootFromParent_Done,
     /* 2094170 */   // Label 27644: @2094170
     /* 2094170 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2094261), // Rule ID 63700 //
     /* 2094175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2094178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2094183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2094186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2094189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094221 */     // MIs[0] round
     /* 2094221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094224 */     // MIs[0] policy
     /* 2094224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10749:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2094237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094260 */     // GIR_Coverage, 63700,
     /* 2094260 */     GIR_EraseRootFromParent_Done,
     /* 2094261 */   // Label 27645: @2094261
     /* 2094261 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2094352), // Rule ID 63703 //
     /* 2094266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2094269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2094274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094312 */     // MIs[0] round
     /* 2094312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094315 */     // MIs[0] policy
     /* 2094315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094325 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10749:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2094328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094351 */     // GIR_Coverage, 63703,
     /* 2094351 */     GIR_EraseRootFromParent_Done,
     /* 2094352 */   // Label 27646: @2094352
     /* 2094352 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2094443), // Rule ID 63704 //
     /* 2094357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2094360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2094365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2094368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2094371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094403 */     // MIs[0] round
     /* 2094403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094406 */     // MIs[0] policy
     /* 2094406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10749:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2094419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2094439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094442 */     // GIR_Coverage, 63704,
     /* 2094442 */     GIR_EraseRootFromParent_Done,
     /* 2094443 */   // Label 27647: @2094443
     /* 2094443 */   GIM_Reject,
     /* 2094444 */ // Label 25603: @2094444
     /* 2094444 */ GIM_Reject,
     /* 2094445 */ // Label 38: @2094445
     /* 2094445 */ GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2094528), // Rule ID 35 //
     /* 2094450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2094453 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2094456 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2094461 */   // MIs[0] Operand 1
     /* 2094461 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2094465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2094469 */   // MIs[0] ptr
     /* 2094469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2094477 */   // MIs[0] accessinfo
     /* 2094477 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2094480 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2094480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094484 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094490 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2094494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2094497 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2094499 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2094501 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2094504 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2094507 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2094510 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2094513 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2094516 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2094519 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2094522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2094527 */   // GIR_Coverage, 35,
     /* 2094527 */   GIR_EraseRootFromParent_Done,
     /* 2094528 */ // Label 27648: @2094528
     /* 2094528 */ GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2095433),
     /* 2094533 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2094536 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2094608), // Rule ID 605 //
     /* 2094541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2094549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094562 */     // MIs[0] addr
     /* 2094562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094578 */     // MIs[0] ordering
     /* 2094578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094581 */     // (intrinsic_w_chain:{ *:[i32] } 10685:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2094587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094589 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094594 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094596 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094598 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094600 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094607 */     // GIR_Coverage, 605,
     /* 2094607 */     GIR_EraseRootFromParent_Done,
     /* 2094608 */   // Label 27650: @2094608
     /* 2094608 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2094680), // Rule ID 606 //
     /* 2094613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2094621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094634 */     // MIs[0] addr
     /* 2094634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094650 */     // MIs[0] ordering
     /* 2094650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094653 */     // (intrinsic_w_chain:{ *:[i32] } 10671:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2094659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094661 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094666 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094668 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094670 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094672 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094679 */     // GIR_Coverage, 606,
     /* 2094679 */     GIR_EraseRootFromParent_Done,
     /* 2094680 */   // Label 27651: @2094680
     /* 2094680 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2094752), // Rule ID 607 //
     /* 2094685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2094693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094706 */     // MIs[0] addr
     /* 2094706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094722 */     // MIs[0] ordering
     /* 2094722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094725 */     // (intrinsic_w_chain:{ *:[i32] } 10679:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2094731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094733 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094738 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094740 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094742 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094744 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094751 */     // GIR_Coverage, 607,
     /* 2094751 */     GIR_EraseRootFromParent_Done,
     /* 2094752 */   // Label 27652: @2094752
     /* 2094752 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2094824), // Rule ID 608 //
     /* 2094757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2094765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094778 */     // MIs[0] addr
     /* 2094778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094794 */     // MIs[0] ordering
     /* 2094794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094797 */     // (intrinsic_w_chain:{ *:[i32] } 10677:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2094803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094805 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094810 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094812 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094814 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094816 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094823 */     // GIR_Coverage, 608,
     /* 2094823 */     GIR_EraseRootFromParent_Done,
     /* 2094824 */   // Label 27653: @2094824
     /* 2094824 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2094904), // Rule ID 611 //
     /* 2094829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2094837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094850 */     // MIs[0] addr
     /* 2094850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094866 */     // MIs[0] ordering
     /* 2094866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094869 */     // (intrinsic_w_chain:{ *:[i32] } 10681:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094869 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2094872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2094878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094880 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094885 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094890 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094892 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094894 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094896 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094898 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094903 */     // GIR_Coverage, 611,
     /* 2094903 */     GIR_EraseRootFromParent_Done,
     /* 2094904 */   // Label 27654: @2094904
     /* 2094904 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2094984), // Rule ID 612 //
     /* 2094909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2094912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2094917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2094920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2094923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094930 */     // MIs[0] addr
     /* 2094930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2094934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094946 */     // MIs[0] ordering
     /* 2094946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2094949 */     // (intrinsic_w_chain:{ *:[i32] } 10683:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2094949 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2094952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2094955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2094958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2094960 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094965 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2094970 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2094972 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2094974 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2094976 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2094978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2094982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094983 */     // GIR_Coverage, 612,
     /* 2094983 */     GIR_EraseRootFromParent_Done,
     /* 2094984 */   // Label 27655: @2094984
     /* 2094984 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2095056), // Rule ID 618 //
     /* 2094989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2094992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2094997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095010 */     // MIs[0] addr
     /* 2095010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095026 */     // MIs[0] ordering
     /* 2095026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095029 */     // (intrinsic_w_chain:{ *:[i64] } 10686:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2095035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095037 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095042 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095044 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095046 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095048 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095055 */     // GIR_Coverage, 618,
     /* 2095055 */     GIR_EraseRootFromParent_Done,
     /* 2095056 */   // Label 27656: @2095056
     /* 2095056 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2095128), // Rule ID 619 //
     /* 2095061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2095069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095082 */     // MIs[0] addr
     /* 2095082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095098 */     // MIs[0] ordering
     /* 2095098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095101 */     // (intrinsic_w_chain:{ *:[i64] } 10672:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2095107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095109 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095114 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095116 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095118 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095120 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095122 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095127 */     // GIR_Coverage, 619,
     /* 2095127 */     GIR_EraseRootFromParent_Done,
     /* 2095128 */   // Label 27657: @2095128
     /* 2095128 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2095200), // Rule ID 620 //
     /* 2095133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2095141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095154 */     // MIs[0] addr
     /* 2095154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095170 */     // MIs[0] ordering
     /* 2095170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095173 */     // (intrinsic_w_chain:{ *:[i64] } 10680:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2095179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095181 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095186 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095188 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095190 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095192 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095199 */     // GIR_Coverage, 620,
     /* 2095199 */     GIR_EraseRootFromParent_Done,
     /* 2095200 */   // Label 27658: @2095200
     /* 2095200 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2095272), // Rule ID 621 //
     /* 2095205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2095213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095226 */     // MIs[0] addr
     /* 2095226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095242 */     // MIs[0] ordering
     /* 2095242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095245 */     // (intrinsic_w_chain:{ *:[i64] } 10678:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2095251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095253 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095258 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095260 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095262 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095264 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095271 */     // GIR_Coverage, 621,
     /* 2095271 */     GIR_EraseRootFromParent_Done,
     /* 2095272 */   // Label 27659: @2095272
     /* 2095272 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2095352), // Rule ID 624 //
     /* 2095277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2095285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095298 */     // MIs[0] addr
     /* 2095298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095314 */     // MIs[0] ordering
     /* 2095314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095317 */     // (intrinsic_w_chain:{ *:[i64] } 10682:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095317 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2095326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095328 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095333 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095338 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095340 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095342 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095344 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095351 */     // GIR_Coverage, 624,
     /* 2095351 */     GIR_EraseRootFromParent_Done,
     /* 2095352 */   // Label 27660: @2095352
     /* 2095352 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2095432), // Rule ID 625 //
     /* 2095357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2095365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095378 */     // MIs[0] addr
     /* 2095378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095394 */     // MIs[0] ordering
     /* 2095394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2095397 */     // (intrinsic_w_chain:{ *:[i64] } 10684:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095397 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2095406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095408 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095413 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095418 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095420 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095422 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095424 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2095426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095431 */     // GIR_Coverage, 625,
     /* 2095431 */     GIR_EraseRootFromParent_Done,
     /* 2095432 */   // Label 27661: @2095432
     /* 2095432 */   GIM_Reject,
     /* 2095433 */ // Label 27649: @2095433
     /* 2095433 */ GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2095960),
     /* 2095438 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2095441 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2095530), // Rule ID 609 //
     /* 2095446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2095449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2095454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2095457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2095460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2095466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095470 */     // MIs[0] addr
     /* 2095470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095490 */     // MIs[0] ordering
     /* 2095490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095493 */     // (intrinsic_w_chain:{ *:[i32] } 10673:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2095493 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2095502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095504 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095509 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095514 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095516 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095518 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095520 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2095522 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095529 */     // GIR_Coverage, 609,
     /* 2095529 */     GIR_EraseRootFromParent_Done,
     /* 2095530 */   // Label 27663: @2095530
     /* 2095530 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2095619), // Rule ID 610 //
     /* 2095535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2095538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2095543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2095546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2095549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2095555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095559 */     // MIs[0] addr
     /* 2095559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095579 */     // MIs[0] ordering
     /* 2095579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095582 */     // (intrinsic_w_chain:{ *:[i32] } 10675:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2095582 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2095591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095593 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095598 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095603 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095605 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095607 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095609 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2095611 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095618 */     // GIR_Coverage, 610,
     /* 2095618 */     GIR_EraseRootFromParent_Done,
     /* 2095619 */   // Label 27664: @2095619
     /* 2095619 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2095708), // Rule ID 622 //
     /* 2095624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2095632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2095644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095648 */     // MIs[0] addr
     /* 2095648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095668 */     // MIs[0] ordering
     /* 2095668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095671 */     // (intrinsic_w_chain:{ *:[i64] } 10674:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2095671 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2095680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095682 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095687 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095692 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095694 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095696 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095698 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2095700 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095707 */     // GIR_Coverage, 622,
     /* 2095707 */     GIR_EraseRootFromParent_Done,
     /* 2095708 */   // Label 27665: @2095708
     /* 2095708 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2095797), // Rule ID 623 //
     /* 2095713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2095721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2095733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095737 */     // MIs[0] addr
     /* 2095737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095757 */     // MIs[0] ordering
     /* 2095757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095760 */     // (intrinsic_w_chain:{ *:[i64] } 10676:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2095760 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2095763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2095769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095771 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095776 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095781 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095783 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2095785 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2095787 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2095789 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095796 */     // GIR_Coverage, 623,
     /* 2095796 */     GIR_EraseRootFromParent_Done,
     /* 2095797 */   // Label 27666: @2095797
     /* 2095797 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2095878), // Rule ID 641 //
     /* 2095802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2095805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2095810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2095813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2095816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2095822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095826 */     // MIs[0] addr
     /* 2095826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095846 */     // MIs[0] ordering
     /* 2095846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095849 */     // (intrinsic_w_chain:{ *:[i32] } 10687:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2095849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2095855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095857 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095862 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095864 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2095866 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2095868 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2095870 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095877 */     // GIR_Coverage, 641,
     /* 2095877 */     GIR_EraseRootFromParent_Done,
     /* 2095878 */   // Label 27667: @2095878
     /* 2095878 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2095959), // Rule ID 642 //
     /* 2095883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2095886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2095891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2095894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2095897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2095903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095907 */     // MIs[0] addr
     /* 2095907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2095911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2095927 */     // MIs[0] ordering
     /* 2095927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095930 */     // (intrinsic_w_chain:{ *:[i64] } 10688:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2095930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2095933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2095936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2095938 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2095943 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2095945 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2095947 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2095949 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2095951 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2095953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2095957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095958 */     // GIR_Coverage, 642,
     /* 2095958 */     GIR_EraseRootFromParent_Done,
     /* 2095959 */   // Label 27668: @2095959
     /* 2095959 */   GIM_Reject,
     /* 2095960 */ // Label 27662: @2095960
     /* 2095960 */ GIM_Reject,
     /* 2095961 */ // Label 39: @2095961
     /* 2095961 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 27684*/ GIMT_Encode4(2099081),
     /* 2095972 */ /*GILLT_nxv1s16*//*Label 27669*/ GIMT_Encode4(2096072),
     /* 2095976 */ /*GILLT_nxv1s32*//*Label 27670*/ GIMT_Encode4(2096176),
     /* 2095980 */ /*GILLT_nxv1s64*//*Label 27671*/ GIMT_Encode4(2096393), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2095992 */ /*GILLT_nxv2s16*//*Label 27672*/ GIMT_Encode4(2096718),
     /* 2095996 */ /*GILLT_nxv2s32*//*Label 27673*/ GIMT_Encode4(2096822),
     /* 2096000 */ /*GILLT_nxv2s64*//*Label 27674*/ GIMT_Encode4(2097039), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2096012 */ /*GILLT_nxv4s16*//*Label 27675*/ GIMT_Encode4(2097364),
     /* 2096016 */ /*GILLT_nxv4s32*//*Label 27676*/ GIMT_Encode4(2097468),
     /* 2096020 */ /*GILLT_nxv4s64*//*Label 27677*/ GIMT_Encode4(2097685), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2096032 */ /*GILLT_nxv8s16*//*Label 27678*/ GIMT_Encode4(2098010),
     /* 2096036 */ /*GILLT_nxv8s32*//*Label 27679*/ GIMT_Encode4(2098114),
     /* 2096040 */ /*GILLT_nxv8s64*//*Label 27680*/ GIMT_Encode4(2098331), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2096052 */ /*GILLT_nxv16s16*//*Label 27681*/ GIMT_Encode4(2098656),
     /* 2096056 */ /*GILLT_nxv16s32*//*Label 27682*/ GIMT_Encode4(2098760), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2096068 */ /*GILLT_nxv32s16*//*Label 27683*/ GIMT_Encode4(2098977),
     /* 2096072 */ // Label 27669: @2096072
     /* 2096072 */ GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2096175),
     /* 2096077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2096080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096088 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2096131), // Rule ID 46940 //
     /* 2096093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096096 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2096099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2096113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096130 */     // GIR_Coverage, 46940,
     /* 2096130 */     GIR_EraseRootFromParent_Done,
     /* 2096131 */   // Label 27686: @2096131
     /* 2096131 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2096174), // Rule ID 46941 //
     /* 2096136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096139 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2096142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2096156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096173 */     // GIR_Coverage, 46941,
     /* 2096173 */     GIR_EraseRootFromParent_Done,
     /* 2096174 */   // Label 27687: @2096174
     /* 2096174 */   GIM_Reject,
     /* 2096175 */ // Label 27685: @2096175
     /* 2096175 */ GIM_Reject,
     /* 2096176 */ // Label 27670: @2096176
     /* 2096176 */ GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2096230), // Rule ID 46964 //
     /* 2096181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2096187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096195 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096195 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2096198 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096202 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096207 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2096212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096214 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096229 */   // GIR_Coverage, 46964,
     /* 2096229 */   GIR_EraseRootFromParent_Done,
     /* 2096230 */ // Label 27688: @2096230
     /* 2096230 */ GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2096284), // Rule ID 46965 //
     /* 2096235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2096241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096249 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096249 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2096252 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096256 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096261 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2096266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096268 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096271 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096283 */   // GIR_Coverage, 46965,
     /* 2096283 */   GIR_EraseRootFromParent_Done,
     /* 2096284 */ // Label 27689: @2096284
     /* 2096284 */ GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2096338), // Rule ID 47030 //
     /* 2096289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2096295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096303 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096303 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2096306 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096310 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2096320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096337 */   // GIR_Coverage, 47030,
     /* 2096337 */   GIR_EraseRootFromParent_Done,
     /* 2096338 */ // Label 27690: @2096338
     /* 2096338 */ GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2096392), // Rule ID 47031 //
     /* 2096343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2096349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096357 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2096360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2096374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096379 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096391 */   // GIR_Coverage, 47031,
     /* 2096391 */   GIR_EraseRootFromParent_Done,
     /* 2096392 */ // Label 27691: @2096392
     /* 2096392 */ GIM_Reject,
     /* 2096393 */ // Label 27671: @2096393
     /* 2096393 */ GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2096447), // Rule ID 46984 //
     /* 2096398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2096404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096412 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2096429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096446 */   // GIR_Coverage, 46984,
     /* 2096446 */   GIR_EraseRootFromParent_Done,
     /* 2096447 */ // Label 27692: @2096447
     /* 2096447 */ GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2096501), // Rule ID 46985 //
     /* 2096452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2096458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096466 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2096483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096500 */   // GIR_Coverage, 46985,
     /* 2096500 */   GIR_EraseRootFromParent_Done,
     /* 2096501 */ // Label 27693: @2096501
     /* 2096501 */ GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2096555), // Rule ID 47050 //
     /* 2096506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2096512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096520 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096520 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096523 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096527 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2096537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096554 */   // GIR_Coverage, 47050,
     /* 2096554 */   GIR_EraseRootFromParent_Done,
     /* 2096555 */ // Label 27694: @2096555
     /* 2096555 */ GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2096609), // Rule ID 47051 //
     /* 2096560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2096566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096574 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2096591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096608 */   // GIR_Coverage, 47051,
     /* 2096608 */   GIR_EraseRootFromParent_Done,
     /* 2096609 */ // Label 27695: @2096609
     /* 2096609 */ GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2096663), // Rule ID 47084 //
     /* 2096614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2096617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2096620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096628 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096628 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096631 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096635 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2096645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096647 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096662 */   // GIR_Coverage, 47084,
     /* 2096662 */   GIR_EraseRootFromParent_Done,
     /* 2096663 */ // Label 27696: @2096663
     /* 2096663 */ GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2096717), // Rule ID 47085 //
     /* 2096668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2096671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2096674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096682 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2096685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2096699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096716 */   // GIR_Coverage, 47085,
     /* 2096716 */   GIR_EraseRootFromParent_Done,
     /* 2096717 */ // Label 27697: @2096717
     /* 2096717 */ GIM_Reject,
     /* 2096718 */ // Label 27672: @2096718
     /* 2096718 */ GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2096821),
     /* 2096723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2096726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096734 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2096777), // Rule ID 46944 //
     /* 2096739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096742 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2096745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2096759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096776 */     // GIR_Coverage, 46944,
     /* 2096776 */     GIR_EraseRootFromParent_Done,
     /* 2096777 */   // Label 27699: @2096777
     /* 2096777 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2096820), // Rule ID 46945 //
     /* 2096782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096785 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2096788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2096802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096819 */     // GIR_Coverage, 46945,
     /* 2096819 */     GIR_EraseRootFromParent_Done,
     /* 2096820 */   // Label 27700: @2096820
     /* 2096820 */   GIM_Reject,
     /* 2096821 */ // Label 27698: @2096821
     /* 2096821 */ GIM_Reject,
     /* 2096822 */ // Label 27673: @2096822
     /* 2096822 */ GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2096876), // Rule ID 46968 //
     /* 2096827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2096833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096841 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2096844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2096858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096875 */   // GIR_Coverage, 46968,
     /* 2096875 */   GIR_EraseRootFromParent_Done,
     /* 2096876 */ // Label 27701: @2096876
     /* 2096876 */ GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2096930), // Rule ID 46969 //
     /* 2096881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2096887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096895 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2096895 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2096898 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096902 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096907 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2096912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096917 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096929 */   // GIR_Coverage, 46969,
     /* 2096929 */   GIR_EraseRootFromParent_Done,
     /* 2096930 */ // Label 27702: @2096930
     /* 2096930 */ GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2096984), // Rule ID 47034 //
     /* 2096935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2096941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096949 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2096949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2096952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2096956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096961 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2096963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2096966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096968 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2096971 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2096973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2096976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2096983 */   // GIR_Coverage, 47034,
     /* 2096983 */   GIR_EraseRootFromParent_Done,
     /* 2096984 */ // Label 27703: @2096984
     /* 2096984 */ GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2097038), // Rule ID 47035 //
     /* 2096989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2096995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097003 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2097006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2097020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097037 */   // GIR_Coverage, 47035,
     /* 2097037 */   GIR_EraseRootFromParent_Done,
     /* 2097038 */ // Label 27704: @2097038
     /* 2097038 */ GIM_Reject,
     /* 2097039 */ // Label 27674: @2097039
     /* 2097039 */ GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2097093), // Rule ID 46988 //
     /* 2097044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2097050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097058 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2097075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097092 */   // GIR_Coverage, 46988,
     /* 2097092 */   GIR_EraseRootFromParent_Done,
     /* 2097093 */ // Label 27705: @2097093
     /* 2097093 */ GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2097147), // Rule ID 46989 //
     /* 2097098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2097104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097112 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097112 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097115 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097119 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2097129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097134 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097146 */   // GIR_Coverage, 46989,
     /* 2097146 */   GIR_EraseRootFromParent_Done,
     /* 2097147 */ // Label 27706: @2097147
     /* 2097147 */ GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2097201), // Rule ID 47054 //
     /* 2097152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2097158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097166 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097166 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097169 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097173 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097178 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2097183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097185 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097188 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097200 */   // GIR_Coverage, 47054,
     /* 2097200 */   GIR_EraseRootFromParent_Done,
     /* 2097201 */ // Label 27707: @2097201
     /* 2097201 */ GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2097255), // Rule ID 47055 //
     /* 2097206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2097212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097220 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2097237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097254 */   // GIR_Coverage, 47055,
     /* 2097254 */   GIR_EraseRootFromParent_Done,
     /* 2097255 */ // Label 27708: @2097255
     /* 2097255 */ GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2097309), // Rule ID 47088 //
     /* 2097260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2097266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097274 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097274 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097277 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097281 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2097291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097296 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097308 */   // GIR_Coverage, 47088,
     /* 2097308 */   GIR_EraseRootFromParent_Done,
     /* 2097309 */ // Label 27709: @2097309
     /* 2097309 */ GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2097363), // Rule ID 47089 //
     /* 2097314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2097320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097328 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2097331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2097345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097362 */   // GIR_Coverage, 47089,
     /* 2097362 */   GIR_EraseRootFromParent_Done,
     /* 2097363 */ // Label 27710: @2097363
     /* 2097363 */ GIM_Reject,
     /* 2097364 */ // Label 27675: @2097364
     /* 2097364 */ GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2097467),
     /* 2097369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2097372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097380 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2097423), // Rule ID 46948 //
     /* 2097385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097388 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2097391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2097405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097422 */     // GIR_Coverage, 46948,
     /* 2097422 */     GIR_EraseRootFromParent_Done,
     /* 2097423 */   // Label 27712: @2097423
     /* 2097423 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2097466), // Rule ID 46949 //
     /* 2097428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097431 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2097434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2097448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097465 */     // GIR_Coverage, 46949,
     /* 2097465 */     GIR_EraseRootFromParent_Done,
     /* 2097466 */   // Label 27713: @2097466
     /* 2097466 */   GIM_Reject,
     /* 2097467 */ // Label 27711: @2097467
     /* 2097467 */ GIM_Reject,
     /* 2097468 */ // Label 27676: @2097468
     /* 2097468 */ GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2097522), // Rule ID 46972 //
     /* 2097473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2097479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097487 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2097490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2097504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097521 */   // GIR_Coverage, 46972,
     /* 2097521 */   GIR_EraseRootFromParent_Done,
     /* 2097522 */ // Label 27714: @2097522
     /* 2097522 */ GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2097576), // Rule ID 46973 //
     /* 2097527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2097533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097541 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2097544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2097558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097575 */   // GIR_Coverage, 46973,
     /* 2097575 */   GIR_EraseRootFromParent_Done,
     /* 2097576 */ // Label 27715: @2097576
     /* 2097576 */ GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2097630), // Rule ID 47038 //
     /* 2097581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2097587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097595 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2097598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2097612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097629 */   // GIR_Coverage, 47038,
     /* 2097629 */   GIR_EraseRootFromParent_Done,
     /* 2097630 */ // Label 27716: @2097630
     /* 2097630 */ GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2097684), // Rule ID 47039 //
     /* 2097635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2097641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097649 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2097652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2097666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097683 */   // GIR_Coverage, 47039,
     /* 2097683 */   GIR_EraseRootFromParent_Done,
     /* 2097684 */ // Label 27717: @2097684
     /* 2097684 */ GIM_Reject,
     /* 2097685 */ // Label 27677: @2097685
     /* 2097685 */ GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2097739), // Rule ID 46992 //
     /* 2097690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2097696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097704 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2097721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097738 */   // GIR_Coverage, 46992,
     /* 2097738 */   GIR_EraseRootFromParent_Done,
     /* 2097739 */ // Label 27718: @2097739
     /* 2097739 */ GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2097793), // Rule ID 46993 //
     /* 2097744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2097750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097758 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097758 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097761 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097765 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2097775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097792 */   // GIR_Coverage, 46993,
     /* 2097792 */   GIR_EraseRootFromParent_Done,
     /* 2097793 */ // Label 27719: @2097793
     /* 2097793 */ GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2097847), // Rule ID 47058 //
     /* 2097798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2097804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097812 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2097829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097846 */   // GIR_Coverage, 47058,
     /* 2097846 */   GIR_EraseRootFromParent_Done,
     /* 2097847 */ // Label 27720: @2097847
     /* 2097847 */ GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2097901), // Rule ID 47059 //
     /* 2097852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2097858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097866 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2097883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097900 */   // GIR_Coverage, 47059,
     /* 2097900 */   GIR_EraseRootFromParent_Done,
     /* 2097901 */ // Label 27721: @2097901
     /* 2097901 */ GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2097955), // Rule ID 47092 //
     /* 2097906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2097912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097920 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2097920 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097923 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097927 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2097937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097939 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097942 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2097947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2097954 */   // GIR_Coverage, 47092,
     /* 2097954 */   GIR_EraseRootFromParent_Done,
     /* 2097955 */ // Label 27722: @2097955
     /* 2097955 */ GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2098009), // Rule ID 47093 //
     /* 2097960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2097966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097974 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2097974 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2097977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2097981 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2097988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2097991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097993 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2097996 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2097998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098008 */   // GIR_Coverage, 47093,
     /* 2098008 */   GIR_EraseRootFromParent_Done,
     /* 2098009 */ // Label 27723: @2098009
     /* 2098009 */ GIM_Reject,
     /* 2098010 */ // Label 27678: @2098010
     /* 2098010 */ GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2098113),
     /* 2098015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2098018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098026 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2098069), // Rule ID 46952 //
     /* 2098031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098034 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2098037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2098051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098068 */     // GIR_Coverage, 46952,
     /* 2098068 */     GIR_EraseRootFromParent_Done,
     /* 2098069 */   // Label 27725: @2098069
     /* 2098069 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2098112), // Rule ID 46953 //
     /* 2098074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098077 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2098080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2098094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098111 */     // GIR_Coverage, 46953,
     /* 2098111 */     GIR_EraseRootFromParent_Done,
     /* 2098112 */   // Label 27726: @2098112
     /* 2098112 */   GIM_Reject,
     /* 2098113 */ // Label 27724: @2098113
     /* 2098113 */ GIM_Reject,
     /* 2098114 */ // Label 27679: @2098114
     /* 2098114 */ GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2098168), // Rule ID 46976 //
     /* 2098119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2098125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098133 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2098136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2098150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098167 */   // GIR_Coverage, 46976,
     /* 2098167 */   GIR_EraseRootFromParent_Done,
     /* 2098168 */ // Label 27727: @2098168
     /* 2098168 */ GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2098222), // Rule ID 46977 //
     /* 2098173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2098179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098187 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2098190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2098204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098221 */   // GIR_Coverage, 46977,
     /* 2098221 */   GIR_EraseRootFromParent_Done,
     /* 2098222 */ // Label 27728: @2098222
     /* 2098222 */ GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2098276), // Rule ID 47042 //
     /* 2098227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2098233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098241 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2098244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2098258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098275 */   // GIR_Coverage, 47042,
     /* 2098275 */   GIR_EraseRootFromParent_Done,
     /* 2098276 */ // Label 27729: @2098276
     /* 2098276 */ GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2098330), // Rule ID 47043 //
     /* 2098281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2098287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098295 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098295 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2098298 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098302 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2098312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098317 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098329 */   // GIR_Coverage, 47043,
     /* 2098329 */   GIR_EraseRootFromParent_Done,
     /* 2098330 */ // Label 27730: @2098330
     /* 2098330 */ GIM_Reject,
     /* 2098331 */ // Label 27680: @2098331
     /* 2098331 */ GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2098385), // Rule ID 46996 //
     /* 2098336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2098342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098350 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2098367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098384 */   // GIR_Coverage, 46996,
     /* 2098384 */   GIR_EraseRootFromParent_Done,
     /* 2098385 */ // Label 27731: @2098385
     /* 2098385 */ GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2098439), // Rule ID 46997 //
     /* 2098390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2098396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098404 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2098421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098438 */   // GIR_Coverage, 46997,
     /* 2098438 */   GIR_EraseRootFromParent_Done,
     /* 2098439 */ // Label 27732: @2098439
     /* 2098439 */ GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2098493), // Rule ID 47062 //
     /* 2098444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2098450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098458 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2098475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098492 */   // GIR_Coverage, 47062,
     /* 2098492 */   GIR_EraseRootFromParent_Done,
     /* 2098493 */ // Label 27733: @2098493
     /* 2098493 */ GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2098547), // Rule ID 47063 //
     /* 2098498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2098504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098512 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2098529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098546 */   // GIR_Coverage, 47063,
     /* 2098546 */   GIR_EraseRootFromParent_Done,
     /* 2098547 */ // Label 27734: @2098547
     /* 2098547 */ GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2098601), // Rule ID 47096 //
     /* 2098552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2098558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098566 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2098583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098600 */   // GIR_Coverage, 47096,
     /* 2098600 */   GIR_EraseRootFromParent_Done,
     /* 2098601 */ // Label 27735: @2098601
     /* 2098601 */ GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2098655), // Rule ID 47097 //
     /* 2098606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2098612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098620 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2098623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2098637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098654 */   // GIR_Coverage, 47097,
     /* 2098654 */   GIR_EraseRootFromParent_Done,
     /* 2098655 */ // Label 27736: @2098655
     /* 2098655 */ GIM_Reject,
     /* 2098656 */ // Label 27681: @2098656
     /* 2098656 */ GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2098759),
     /* 2098661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2098664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098672 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2098715), // Rule ID 46956 //
     /* 2098677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098680 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2098683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2098697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098714 */     // GIR_Coverage, 46956,
     /* 2098714 */     GIR_EraseRootFromParent_Done,
     /* 2098715 */   // Label 27738: @2098715
     /* 2098715 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2098758), // Rule ID 46957 //
     /* 2098720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098723 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2098726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2098740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098757 */     // GIR_Coverage, 46957,
     /* 2098757 */     GIR_EraseRootFromParent_Done,
     /* 2098758 */   // Label 27739: @2098758
     /* 2098758 */   GIM_Reject,
     /* 2098759 */ // Label 27737: @2098759
     /* 2098759 */ GIM_Reject,
     /* 2098760 */ // Label 27682: @2098760
     /* 2098760 */ GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2098814), // Rule ID 46980 //
     /* 2098765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2098771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098779 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2098782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2098796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098813 */   // GIR_Coverage, 46980,
     /* 2098813 */   GIR_EraseRootFromParent_Done,
     /* 2098814 */ // Label 27740: @2098814
     /* 2098814 */ GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2098868), // Rule ID 46981 //
     /* 2098819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2098825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098833 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2098836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2098850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098867 */   // GIR_Coverage, 46981,
     /* 2098867 */   GIR_EraseRootFromParent_Done,
     /* 2098868 */ // Label 27741: @2098868
     /* 2098868 */ GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2098922), // Rule ID 47046 //
     /* 2098873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2098879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098887 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2098887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2098890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2098904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098921 */   // GIR_Coverage, 47046,
     /* 2098921 */   GIR_EraseRootFromParent_Done,
     /* 2098922 */ // Label 27742: @2098922
     /* 2098922 */ GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2098976), // Rule ID 47047 //
     /* 2098927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2098933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098941 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2098941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2098944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2098948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2098955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2098958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2098963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2098965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2098968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2098975 */   // GIR_Coverage, 47047,
     /* 2098975 */   GIR_EraseRootFromParent_Done,
     /* 2098976 */ // Label 27743: @2098976
     /* 2098976 */ GIM_Reject,
     /* 2098977 */ // Label 27683: @2098977
     /* 2098977 */ GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2099080),
     /* 2098982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2098985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098993 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2099036), // Rule ID 46960 //
     /* 2098998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099001 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2099004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2099018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099035 */     // GIR_Coverage, 46960,
     /* 2099035 */     GIR_EraseRootFromParent_Done,
     /* 2099036 */   // Label 27745: @2099036
     /* 2099036 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2099079), // Rule ID 46961 //
     /* 2099041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099044 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2099044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2099047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2099061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099078 */     // GIR_Coverage, 46961,
     /* 2099078 */     GIR_EraseRootFromParent_Done,
     /* 2099079 */   // Label 27746: @2099079
     /* 2099079 */   GIM_Reject,
     /* 2099080 */ // Label 27744: @2099080
     /* 2099080 */ GIM_Reject,
     /* 2099081 */ // Label 27684: @2099081
     /* 2099081 */ GIM_Reject,
     /* 2099082 */ // Label 40: @2099082
     /* 2099082 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 27764*/ GIMT_Encode4(2102556),
     /* 2099093 */ /*GILLT_s32*//*Label 27747*/ GIMT_Encode4(2099209),
     /* 2099097 */ /*GILLT_s64*//*Label 27748*/ GIMT_Encode4(2099383), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099109 */ /*GILLT_nxv1s16*//*Label 27749*/ GIMT_Encode4(2099547),
     /* 2099113 */ /*GILLT_nxv1s32*//*Label 27750*/ GIMT_Encode4(2099651),
     /* 2099117 */ /*GILLT_nxv1s64*//*Label 27751*/ GIMT_Encode4(2099868), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099129 */ /*GILLT_nxv2s16*//*Label 27752*/ GIMT_Encode4(2100193),
     /* 2099133 */ /*GILLT_nxv2s32*//*Label 27753*/ GIMT_Encode4(2100297),
     /* 2099137 */ /*GILLT_nxv2s64*//*Label 27754*/ GIMT_Encode4(2100514), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099149 */ /*GILLT_nxv4s16*//*Label 27755*/ GIMT_Encode4(2100839),
     /* 2099153 */ /*GILLT_nxv4s32*//*Label 27756*/ GIMT_Encode4(2100943),
     /* 2099157 */ /*GILLT_nxv4s64*//*Label 27757*/ GIMT_Encode4(2101160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099169 */ /*GILLT_nxv8s16*//*Label 27758*/ GIMT_Encode4(2101485),
     /* 2099173 */ /*GILLT_nxv8s32*//*Label 27759*/ GIMT_Encode4(2101589),
     /* 2099177 */ /*GILLT_nxv8s64*//*Label 27760*/ GIMT_Encode4(2101806), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099189 */ /*GILLT_nxv16s16*//*Label 27761*/ GIMT_Encode4(2102131),
     /* 2099193 */ /*GILLT_nxv16s32*//*Label 27762*/ GIMT_Encode4(2102235), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2099205 */ /*GILLT_nxv32s16*//*Label 27763*/ GIMT_Encode4(2102452),
     /* 2099209 */ // Label 27747: @2099209
     /* 2099209 */ GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2099382),
     /* 2099214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2099217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099225 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2099267), // Rule ID 63973 //
     /* 2099230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2099233 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2099233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2099236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2099240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2099249 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2099252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2099257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2099265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099266 */     // GIR_Coverage, 63973,
     /* 2099266 */     GIR_EraseRootFromParent_Done,
     /* 2099267 */   // Label 27766: @2099267
     /* 2099267 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2099309), // Rule ID 63975 //
     /* 2099272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2099275 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2099275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2099278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2099282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2099291 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2099294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2099299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2099307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099308 */     // GIR_Coverage, 63975,
     /* 2099308 */     GIR_EraseRootFromParent_Done,
     /* 2099309 */   // Label 27767: @2099309
     /* 2099309 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2099351), // Rule ID 63976 //
     /* 2099314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2099317 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2099317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2099320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2099324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2099333 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2099336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2099341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2099349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099350 */     // GIR_Coverage, 63976,
     /* 2099350 */     GIR_EraseRootFromParent_Done,
     /* 2099351 */   // Label 27768: @2099351
     /* 2099351 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2099366), // Rule ID 63978 //
     /* 2099356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2099359 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2099359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2099364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099365 */     // GIR_Coverage, 63978,
     /* 2099365 */     GIR_Done,
     /* 2099366 */   // Label 27769: @2099366
     /* 2099366 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2099381), // Rule ID 63979 //
     /* 2099371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2099374 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2099374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2099379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099380 */     // GIR_Coverage, 63979,
     /* 2099380 */     GIR_Done,
     /* 2099381 */   // Label 27770: @2099381
     /* 2099381 */   GIM_Reject,
     /* 2099382 */ // Label 27765: @2099382
     /* 2099382 */ GIM_Reject,
     /* 2099383 */ // Label 27748: @2099383
     /* 2099383 */ GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2099414), // Rule ID 63963 //
     /* 2099388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2099391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2099394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099402 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2099402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2099405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099407 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2099409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2099412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099413 */   // GIR_Coverage, 63963,
     /* 2099413 */   GIR_EraseRootFromParent_Done,
     /* 2099414 */ // Label 27771: @2099414
     /* 2099414 */ GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2099467), // Rule ID 63972 //
     /* 2099419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2099422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2099425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099433 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2099433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2099436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2099440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099445 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2099449 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2099452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2099457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2099465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099466 */   // GIR_Coverage, 63972,
     /* 2099466 */   GIR_EraseRootFromParent_Done,
     /* 2099467 */ // Label 27772: @2099467
     /* 2099467 */ GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2099520), // Rule ID 63974 //
     /* 2099472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2099475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2099478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099486 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2099486 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2099489 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2099493 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099498 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2099502 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2099505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2099510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2099518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099519 */   // GIR_Coverage, 63974,
     /* 2099519 */   GIR_EraseRootFromParent_Done,
     /* 2099520 */ // Label 27773: @2099520
     /* 2099520 */ GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2099546), // Rule ID 63980 //
     /* 2099525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2099528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2099531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099539 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2099539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2099544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099545 */   // GIR_Coverage, 63980,
     /* 2099545 */   GIR_Done,
     /* 2099546 */ // Label 27774: @2099546
     /* 2099546 */ GIM_Reject,
     /* 2099547 */ // Label 27749: @2099547
     /* 2099547 */ GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2099650),
     /* 2099552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2099555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099563 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2099606), // Rule ID 46998 //
     /* 2099568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099571 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2099574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2099588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099605 */     // GIR_Coverage, 46998,
     /* 2099605 */     GIR_EraseRootFromParent_Done,
     /* 2099606 */   // Label 27776: @2099606
     /* 2099606 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2099649), // Rule ID 46999 //
     /* 2099611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099614 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2099614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2099617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2099631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099648 */     // GIR_Coverage, 46999,
     /* 2099648 */     GIR_EraseRootFromParent_Done,
     /* 2099649 */   // Label 27777: @2099649
     /* 2099649 */   GIM_Reject,
     /* 2099650 */ // Label 27775: @2099650
     /* 2099650 */ GIM_Reject,
     /* 2099651 */ // Label 27750: @2099651
     /* 2099651 */ GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2099705), // Rule ID 47010 //
     /* 2099656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2099662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099670 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2099673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2099687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099704 */   // GIR_Coverage, 47010,
     /* 2099704 */   GIR_EraseRootFromParent_Done,
     /* 2099705 */ // Label 27778: @2099705
     /* 2099705 */ GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2099759), // Rule ID 47011 //
     /* 2099710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2099716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099724 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2099724 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2099727 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099731 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2099741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099746 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099758 */   // GIR_Coverage, 47011,
     /* 2099758 */   GIR_EraseRootFromParent_Done,
     /* 2099759 */ // Label 27779: @2099759
     /* 2099759 */ GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2099813), // Rule ID 47064 //
     /* 2099764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2099770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099778 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099778 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2099781 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099785 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099790 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2099795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099800 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099812 */   // GIR_Coverage, 47064,
     /* 2099812 */   GIR_EraseRootFromParent_Done,
     /* 2099813 */ // Label 27780: @2099813
     /* 2099813 */ GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2099867), // Rule ID 47065 //
     /* 2099818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2099824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099832 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2099832 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2099835 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099839 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099844 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2099849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099851 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099854 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099866 */   // GIR_Coverage, 47065,
     /* 2099866 */   GIR_EraseRootFromParent_Done,
     /* 2099867 */ // Label 27781: @2099867
     /* 2099867 */ GIM_Reject,
     /* 2099868 */ // Label 27751: @2099868
     /* 2099868 */ GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2099922), // Rule ID 47020 //
     /* 2099873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2099879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099887 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2099890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2099904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099921 */   // GIR_Coverage, 47020,
     /* 2099921 */   GIR_EraseRootFromParent_Done,
     /* 2099922 */ // Label 27782: @2099922
     /* 2099922 */ GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2099976), // Rule ID 47021 //
     /* 2099927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2099933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099941 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2099941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2099944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2099948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2099955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2099958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2099963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2099965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2099968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2099974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2099975 */   // GIR_Coverage, 47021,
     /* 2099975 */   GIR_EraseRootFromParent_Done,
     /* 2099976 */ // Label 27783: @2099976
     /* 2099976 */ GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2100030), // Rule ID 47074 //
     /* 2099981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2099987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099995 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2099995 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2099998 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100002 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2100012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100029 */   // GIR_Coverage, 47074,
     /* 2100029 */   GIR_EraseRootFromParent_Done,
     /* 2100030 */ // Label 27784: @2100030
     /* 2100030 */ GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2100084), // Rule ID 47075 //
     /* 2100035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2100041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100049 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2100052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2100066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100068 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100083 */   // GIR_Coverage, 47075,
     /* 2100083 */   GIR_EraseRootFromParent_Done,
     /* 2100084 */ // Label 27785: @2100084
     /* 2100084 */ GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2100138), // Rule ID 47098 //
     /* 2100089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2100095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100103 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100103 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2100106 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100110 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2100120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100122 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100125 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100137 */   // GIR_Coverage, 47098,
     /* 2100137 */   GIR_EraseRootFromParent_Done,
     /* 2100138 */ // Label 27786: @2100138
     /* 2100138 */ GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2100192), // Rule ID 47099 //
     /* 2100143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2100149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100157 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2100160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2100174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100179 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100191 */   // GIR_Coverage, 47099,
     /* 2100191 */   GIR_EraseRootFromParent_Done,
     /* 2100192 */ // Label 27787: @2100192
     /* 2100192 */ GIM_Reject,
     /* 2100193 */ // Label 27752: @2100193
     /* 2100193 */ GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2100296),
     /* 2100198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2100201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100209 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2100252), // Rule ID 47000 //
     /* 2100214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100217 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2100220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2100234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100251 */     // GIR_Coverage, 47000,
     /* 2100251 */     GIR_EraseRootFromParent_Done,
     /* 2100252 */   // Label 27789: @2100252
     /* 2100252 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2100295), // Rule ID 47001 //
     /* 2100257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100260 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2100263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2100277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100294 */     // GIR_Coverage, 47001,
     /* 2100294 */     GIR_EraseRootFromParent_Done,
     /* 2100295 */   // Label 27790: @2100295
     /* 2100295 */   GIM_Reject,
     /* 2100296 */ // Label 27788: @2100296
     /* 2100296 */ GIM_Reject,
     /* 2100297 */ // Label 27753: @2100297
     /* 2100297 */ GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2100351), // Rule ID 47012 //
     /* 2100302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2100308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100316 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100316 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2100319 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100323 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100328 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2100333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100350 */   // GIR_Coverage, 47012,
     /* 2100350 */   GIR_EraseRootFromParent_Done,
     /* 2100351 */ // Label 27791: @2100351
     /* 2100351 */ GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2100405), // Rule ID 47013 //
     /* 2100356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2100362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100370 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2100373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2100387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100404 */   // GIR_Coverage, 47013,
     /* 2100404 */   GIR_EraseRootFromParent_Done,
     /* 2100405 */ // Label 27792: @2100405
     /* 2100405 */ GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2100459), // Rule ID 47066 //
     /* 2100410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2100416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100424 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100424 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2100427 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100431 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2100441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100443 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100446 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100458 */   // GIR_Coverage, 47066,
     /* 2100458 */   GIR_EraseRootFromParent_Done,
     /* 2100459 */ // Label 27793: @2100459
     /* 2100459 */ GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2100513), // Rule ID 47067 //
     /* 2100464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2100470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100478 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100478 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2100481 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100485 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100490 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2100495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100497 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100500 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100512 */   // GIR_Coverage, 47067,
     /* 2100512 */   GIR_EraseRootFromParent_Done,
     /* 2100513 */ // Label 27794: @2100513
     /* 2100513 */ GIM_Reject,
     /* 2100514 */ // Label 27754: @2100514
     /* 2100514 */ GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2100568), // Rule ID 47022 //
     /* 2100519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2100525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100533 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100533 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100536 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100540 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2100550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100567 */   // GIR_Coverage, 47022,
     /* 2100567 */   GIR_EraseRootFromParent_Done,
     /* 2100568 */ // Label 27795: @2100568
     /* 2100568 */ GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2100622), // Rule ID 47023 //
     /* 2100573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2100579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100587 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2100604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100609 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100621 */   // GIR_Coverage, 47023,
     /* 2100621 */   GIR_EraseRootFromParent_Done,
     /* 2100622 */ // Label 27796: @2100622
     /* 2100622 */ GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2100676), // Rule ID 47076 //
     /* 2100627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2100633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100641 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2100658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100675 */   // GIR_Coverage, 47076,
     /* 2100675 */   GIR_EraseRootFromParent_Done,
     /* 2100676 */ // Label 27797: @2100676
     /* 2100676 */ GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2100730), // Rule ID 47077 //
     /* 2100681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2100687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100695 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2100712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100729 */   // GIR_Coverage, 47077,
     /* 2100729 */   GIR_EraseRootFromParent_Done,
     /* 2100730 */ // Label 27798: @2100730
     /* 2100730 */ GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2100784), // Rule ID 47100 //
     /* 2100735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2100741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100749 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2100766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100771 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100783 */   // GIR_Coverage, 47100,
     /* 2100783 */   GIR_EraseRootFromParent_Done,
     /* 2100784 */ // Label 27799: @2100784
     /* 2100784 */ GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2100838), // Rule ID 47101 //
     /* 2100789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2100795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100803 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2100806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2100820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100825 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100837 */   // GIR_Coverage, 47101,
     /* 2100837 */   GIR_EraseRootFromParent_Done,
     /* 2100838 */ // Label 27800: @2100838
     /* 2100838 */ GIM_Reject,
     /* 2100839 */ // Label 27755: @2100839
     /* 2100839 */ GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2100942),
     /* 2100844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2100847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100855 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100898), // Rule ID 47002 //
     /* 2100860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100863 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2100866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2100880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100897 */     // GIR_Coverage, 47002,
     /* 2100897 */     GIR_EraseRootFromParent_Done,
     /* 2100898 */   // Label 27802: @2100898
     /* 2100898 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100941), // Rule ID 47003 //
     /* 2100903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100906 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2100906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2100909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2100923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100940 */     // GIR_Coverage, 47003,
     /* 2100940 */     GIR_EraseRootFromParent_Done,
     /* 2100941 */   // Label 27803: @2100941
     /* 2100941 */   GIM_Reject,
     /* 2100942 */ // Label 27801: @2100942
     /* 2100942 */ GIM_Reject,
     /* 2100943 */ // Label 27756: @2100943
     /* 2100943 */ GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100997), // Rule ID 47014 //
     /* 2100948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2100954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100962 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2100962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2100965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2100969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2100976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2100979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2100984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2100986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2100989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2100996 */   // GIR_Coverage, 47014,
     /* 2100996 */   GIR_EraseRootFromParent_Done,
     /* 2100997 */ // Label 27804: @2100997
     /* 2100997 */ GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2101051), // Rule ID 47015 //
     /* 2101002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2101008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101016 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2101019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2101033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101050 */   // GIR_Coverage, 47015,
     /* 2101050 */   GIR_EraseRootFromParent_Done,
     /* 2101051 */ // Label 27805: @2101051
     /* 2101051 */ GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2101105), // Rule ID 47068 //
     /* 2101056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2101062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101070 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2101073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2101087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101104 */   // GIR_Coverage, 47068,
     /* 2101104 */   GIR_EraseRootFromParent_Done,
     /* 2101105 */ // Label 27806: @2101105
     /* 2101105 */ GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2101159), // Rule ID 47069 //
     /* 2101110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2101116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101124 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2101127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2101141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101158 */   // GIR_Coverage, 47069,
     /* 2101158 */   GIR_EraseRootFromParent_Done,
     /* 2101159 */ // Label 27807: @2101159
     /* 2101159 */ GIM_Reject,
     /* 2101160 */ // Label 27757: @2101160
     /* 2101160 */ GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2101214), // Rule ID 47024 //
     /* 2101165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2101171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101179 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2101196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101213 */   // GIR_Coverage, 47024,
     /* 2101213 */   GIR_EraseRootFromParent_Done,
     /* 2101214 */ // Label 27808: @2101214
     /* 2101214 */ GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2101268), // Rule ID 47025 //
     /* 2101219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2101225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101233 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2101250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101252 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101267 */   // GIR_Coverage, 47025,
     /* 2101267 */   GIR_EraseRootFromParent_Done,
     /* 2101268 */ // Label 27809: @2101268
     /* 2101268 */ GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2101322), // Rule ID 47078 //
     /* 2101273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2101279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101287 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2101304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101321 */   // GIR_Coverage, 47078,
     /* 2101321 */   GIR_EraseRootFromParent_Done,
     /* 2101322 */ // Label 27810: @2101322
     /* 2101322 */ GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2101376), // Rule ID 47079 //
     /* 2101327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2101333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101341 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2101358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101375 */   // GIR_Coverage, 47079,
     /* 2101375 */   GIR_EraseRootFromParent_Done,
     /* 2101376 */ // Label 27811: @2101376
     /* 2101376 */ GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2101430), // Rule ID 47102 //
     /* 2101381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2101387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101395 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2101412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101429 */   // GIR_Coverage, 47102,
     /* 2101429 */   GIR_EraseRootFromParent_Done,
     /* 2101430 */ // Label 27812: @2101430
     /* 2101430 */ GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101484), // Rule ID 47103 //
     /* 2101435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2101441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101449 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2101452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2101466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101483 */   // GIR_Coverage, 47103,
     /* 2101483 */   GIR_EraseRootFromParent_Done,
     /* 2101484 */ // Label 27813: @2101484
     /* 2101484 */ GIM_Reject,
     /* 2101485 */ // Label 27758: @2101485
     /* 2101485 */ GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101588),
     /* 2101490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2101493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101501 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101544), // Rule ID 47004 //
     /* 2101506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101509 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2101512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2101526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101543 */     // GIR_Coverage, 47004,
     /* 2101543 */     GIR_EraseRootFromParent_Done,
     /* 2101544 */   // Label 27815: @2101544
     /* 2101544 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101587), // Rule ID 47005 //
     /* 2101549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101552 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2101555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2101569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101586 */     // GIR_Coverage, 47005,
     /* 2101586 */     GIR_EraseRootFromParent_Done,
     /* 2101587 */   // Label 27816: @2101587
     /* 2101587 */   GIM_Reject,
     /* 2101588 */ // Label 27814: @2101588
     /* 2101588 */ GIM_Reject,
     /* 2101589 */ // Label 27759: @2101589
     /* 2101589 */ GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2101643), // Rule ID 47016 //
     /* 2101594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2101600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101608 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2101611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2101625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101642 */   // GIR_Coverage, 47016,
     /* 2101642 */   GIR_EraseRootFromParent_Done,
     /* 2101643 */ // Label 27817: @2101643
     /* 2101643 */ GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2101697), // Rule ID 47017 //
     /* 2101648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2101654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101662 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2101665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2101679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101696 */   // GIR_Coverage, 47017,
     /* 2101696 */   GIR_EraseRootFromParent_Done,
     /* 2101697 */ // Label 27818: @2101697
     /* 2101697 */ GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2101751), // Rule ID 47070 //
     /* 2101702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2101708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101716 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2101719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2101733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101750 */   // GIR_Coverage, 47070,
     /* 2101750 */   GIR_EraseRootFromParent_Done,
     /* 2101751 */ // Label 27819: @2101751
     /* 2101751 */ GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2101805), // Rule ID 47071 //
     /* 2101756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2101762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101770 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2101773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2101787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101792 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101804 */   // GIR_Coverage, 47071,
     /* 2101804 */   GIR_EraseRootFromParent_Done,
     /* 2101805 */ // Label 27820: @2101805
     /* 2101805 */ GIM_Reject,
     /* 2101806 */ // Label 27760: @2101806
     /* 2101806 */ GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2101860), // Rule ID 47026 //
     /* 2101811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2101817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101825 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2101828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2101842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101859 */   // GIR_Coverage, 47026,
     /* 2101859 */   GIR_EraseRootFromParent_Done,
     /* 2101860 */ // Label 27821: @2101860
     /* 2101860 */ GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2101914), // Rule ID 47027 //
     /* 2101865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2101871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101879 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101879 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2101882 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101886 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101891 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2101896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101898 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101913 */   // GIR_Coverage, 47027,
     /* 2101913 */   GIR_EraseRootFromParent_Done,
     /* 2101914 */ // Label 27822: @2101914
     /* 2101914 */ GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2101968), // Rule ID 47080 //
     /* 2101919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2101922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2101925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101933 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2101933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2101936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2101947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2101950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2101955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2101957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2101960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2101967 */   // GIR_Coverage, 47080,
     /* 2101967 */   GIR_EraseRootFromParent_Done,
     /* 2101968 */ // Label 27823: @2101968
     /* 2101968 */ GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102022), // Rule ID 47081 //
     /* 2101973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2101976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2101979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101987 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2101987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2101990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2101994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2102004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102021 */   // GIR_Coverage, 47081,
     /* 2102021 */   GIR_EraseRootFromParent_Done,
     /* 2102022 */ // Label 27824: @2102022
     /* 2102022 */ GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102076), // Rule ID 47104 //
     /* 2102027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2102030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2102033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102041 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2102041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2102044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2102058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102075 */   // GIR_Coverage, 47104,
     /* 2102075 */   GIR_EraseRootFromParent_Done,
     /* 2102076 */ // Label 27825: @2102076
     /* 2102076 */ GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102130), // Rule ID 47105 //
     /* 2102081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2102084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2102087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102095 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2102095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2102098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2102112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102129 */   // GIR_Coverage, 47105,
     /* 2102129 */   GIR_EraseRootFromParent_Done,
     /* 2102130 */ // Label 27826: @2102130
     /* 2102130 */ GIM_Reject,
     /* 2102131 */ // Label 27761: @2102131
     /* 2102131 */ GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102234),
     /* 2102136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2102139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102147 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2102190), // Rule ID 47006 //
     /* 2102152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102155 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2102155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2102158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2102172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102189 */     // GIR_Coverage, 47006,
     /* 2102189 */     GIR_EraseRootFromParent_Done,
     /* 2102190 */   // Label 27828: @2102190
     /* 2102190 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2102233), // Rule ID 47007 //
     /* 2102195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102198 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2102198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2102201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2102215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102232 */     // GIR_Coverage, 47007,
     /* 2102232 */     GIR_EraseRootFromParent_Done,
     /* 2102233 */   // Label 27829: @2102233
     /* 2102233 */   GIM_Reject,
     /* 2102234 */ // Label 27827: @2102234
     /* 2102234 */ GIM_Reject,
     /* 2102235 */ // Label 27762: @2102235
     /* 2102235 */ GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2102289), // Rule ID 47018 //
     /* 2102240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2102246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102254 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2102254 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2102257 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102261 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102266 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2102271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102273 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102276 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102288 */   // GIR_Coverage, 47018,
     /* 2102288 */   GIR_EraseRootFromParent_Done,
     /* 2102289 */ // Label 27830: @2102289
     /* 2102289 */ GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2102343), // Rule ID 47019 //
     /* 2102294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2102300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102308 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2102308 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2102311 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102315 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2102325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102330 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102342 */   // GIR_Coverage, 47019,
     /* 2102342 */   GIR_EraseRootFromParent_Done,
     /* 2102343 */ // Label 27831: @2102343
     /* 2102343 */ GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2102397), // Rule ID 47072 //
     /* 2102348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2102354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102362 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2102362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2102365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2102379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102396 */   // GIR_Coverage, 47072,
     /* 2102396 */   GIR_EraseRootFromParent_Done,
     /* 2102397 */ // Label 27832: @2102397
     /* 2102397 */ GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2102451), // Rule ID 47073 //
     /* 2102402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2102408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102416 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2102416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2102419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2102433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2102450 */   // GIR_Coverage, 47073,
     /* 2102450 */   GIR_EraseRootFromParent_Done,
     /* 2102451 */ // Label 27833: @2102451
     /* 2102451 */ GIM_Reject,
     /* 2102452 */ // Label 27763: @2102452
     /* 2102452 */ GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2102555),
     /* 2102457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2102460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102468 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2102511), // Rule ID 47008 //
     /* 2102473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102476 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2102476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2102479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2102493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102510 */     // GIR_Coverage, 47008,
     /* 2102510 */     GIR_EraseRootFromParent_Done,
     /* 2102511 */   // Label 27835: @2102511
     /* 2102511 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2102554), // Rule ID 47009 //
     /* 2102516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102519 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2102519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2102522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2102526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2102533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2102536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2102541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2102543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2102546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2102552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102553 */     // GIR_Coverage, 47009,
     /* 2102553 */     GIR_EraseRootFromParent_Done,
     /* 2102554 */   // Label 27836: @2102554
     /* 2102554 */   GIM_Reject,
     /* 2102555 */ // Label 27834: @2102555
     /* 2102555 */ GIM_Reject,
     /* 2102556 */ // Label 27764: @2102556
     /* 2102556 */ GIM_Reject,
     /* 2102557 */ // Label 41: @2102557
     /* 2102557 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 27839*/ GIMT_Encode4(2103105),
     /* 2102568 */ /*GILLT_s32*//*Label 27837*/ GIMT_Encode4(2102576),
     /* 2102572 */ /*GILLT_s64*//*Label 27838*/ GIMT_Encode4(2102808),
     /* 2102576 */ // Label 27837: @2102576
     /* 2102576 */ GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2102807),
     /* 2102581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2102584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2102588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2102592 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2102620), // Rule ID 63783 //
     /* 2102597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2102600 */     // MIs[0] Operand 2
     /* 2102600 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2102611 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2102611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2102614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102619 */     // GIR_Coverage, 63783,
     /* 2102619 */     GIR_EraseRootFromParent_Done,
     /* 2102620 */   // Label 27841: @2102620
     /* 2102620 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2102648), // Rule ID 63785 //
     /* 2102625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2102628 */     // MIs[0] Operand 2
     /* 2102628 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2102639 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2102639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2102642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102647 */     // GIR_Coverage, 63785,
     /* 2102647 */     GIR_EraseRootFromParent_Done,
     /* 2102648 */   // Label 27842: @2102648
     /* 2102648 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2102676), // Rule ID 2383 //
     /* 2102653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2102656 */     // MIs[0] Operand 2
     /* 2102656 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2102667 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2102667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2102670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102675 */     // GIR_Coverage, 2383,
     /* 2102675 */     GIR_EraseRootFromParent_Done,
     /* 2102676 */   // Label 27843: @2102676
     /* 2102676 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2102704), // Rule ID 2385 //
     /* 2102681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2102684 */     // MIs[0] Operand 2
     /* 2102684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2102695 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2102695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2102698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102703 */     // GIR_Coverage, 2385,
     /* 2102703 */     GIR_EraseRootFromParent_Done,
     /* 2102704 */   // Label 27844: @2102704
     /* 2102704 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2102738), // Rule ID 61866 //
     /* 2102709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2102712 */     // MIs[0] Operand 2
     /* 2102712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2102723 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2102723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2102726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102737 */     // GIR_Coverage, 61866,
     /* 2102737 */     GIR_EraseRootFromParent_Done,
     /* 2102738 */   // Label 27845: @2102738
     /* 2102738 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2102772), // Rule ID 61868 //
     /* 2102743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2102746 */     // MIs[0] Operand 2
     /* 2102746 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2102757 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2102757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2102760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2102767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102771 */     // GIR_Coverage, 61868,
     /* 2102771 */     GIR_EraseRootFromParent_Done,
     /* 2102772 */   // Label 27846: @2102772
     /* 2102772 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2102806), // Rule ID 61870 //
     /* 2102777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2102780 */     // MIs[0] Operand 2
     /* 2102780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2102791 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2102791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2102794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102805 */     // GIR_Coverage, 61870,
     /* 2102805 */     GIR_EraseRootFromParent_Done,
     /* 2102806 */   // Label 27847: @2102806
     /* 2102806 */   GIM_Reject,
     /* 2102807 */ // Label 27840: @2102807
     /* 2102807 */ GIM_Reject,
     /* 2102808 */ // Label 27838: @2102808
     /* 2102808 */ GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2103104),
     /* 2102813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2102816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2102820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2102824 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2102852), // Rule ID 63782 //
     /* 2102829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2102832 */     // MIs[0] Operand 2
     /* 2102832 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2102843 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2102843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2102846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102851 */     // GIR_Coverage, 63782,
     /* 2102851 */     GIR_EraseRootFromParent_Done,
     /* 2102852 */   // Label 27849: @2102852
     /* 2102852 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2102880), // Rule ID 63784 //
     /* 2102857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2102860 */     // MIs[0] Operand 2
     /* 2102860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2102871 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2102871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2102874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102879 */     // GIR_Coverage, 63784,
     /* 2102879 */     GIR_EraseRootFromParent_Done,
     /* 2102880 */   // Label 27850: @2102880
     /* 2102880 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2102911), // Rule ID 256 //
     /* 2102885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2102888 */     // MIs[0] Operand 2
     /* 2102888 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2102899 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2102899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2102902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102910 */     // GIR_Coverage, 256,
     /* 2102910 */     GIR_EraseRootFromParent_Done,
     /* 2102911 */   // Label 27851: @2102911
     /* 2102911 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2102939), // Rule ID 2382 //
     /* 2102916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2102919 */     // MIs[0] Operand 2
     /* 2102919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2102930 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2102930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2102933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102938 */     // GIR_Coverage, 2382,
     /* 2102938 */     GIR_EraseRootFromParent_Done,
     /* 2102939 */   // Label 27852: @2102939
     /* 2102939 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2102967), // Rule ID 2384 //
     /* 2102944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2102947 */     // MIs[0] Operand 2
     /* 2102947 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2102958 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2102958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2102961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102966 */     // GIR_Coverage, 2384,
     /* 2102966 */     GIR_EraseRootFromParent_Done,
     /* 2102967 */   // Label 27853: @2102967
     /* 2102967 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2103001), // Rule ID 61864 //
     /* 2102972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2102975 */     // MIs[0] Operand 2
     /* 2102975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2102986 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2102986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2102989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2102993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2102996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2102999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103000 */     // GIR_Coverage, 61864,
     /* 2103000 */     GIR_EraseRootFromParent_Done,
     /* 2103001 */   // Label 27854: @2103001
     /* 2103001 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2103035), // Rule ID 61865 //
     /* 2103006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2103009 */     // MIs[0] Operand 2
     /* 2103009 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2103020 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2103020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2103023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2103027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2103030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2103033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103034 */     // GIR_Coverage, 61865,
     /* 2103034 */     GIR_EraseRootFromParent_Done,
     /* 2103035 */   // Label 27855: @2103035
     /* 2103035 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2103069), // Rule ID 61867 //
     /* 2103040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2103043 */     // MIs[0] Operand 2
     /* 2103043 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2103054 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2103054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2103057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2103061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2103064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2103067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103068 */     // GIR_Coverage, 61867,
     /* 2103068 */     GIR_EraseRootFromParent_Done,
     /* 2103069 */   // Label 27856: @2103069
     /* 2103069 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2103103), // Rule ID 61869 //
     /* 2103074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2103077 */     // MIs[0] Operand 2
     /* 2103077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2103088 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2103088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2103091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2103095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2103098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2103101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103102 */     // GIR_Coverage, 61869,
     /* 2103102 */     GIR_EraseRootFromParent_Done,
     /* 2103103 */   // Label 27857: @2103103
     /* 2103103 */   GIM_Reject,
     /* 2103104 */ // Label 27848: @2103104
     /* 2103104 */ GIM_Reject,
     /* 2103105 */ // Label 27839: @2103105
     /* 2103105 */ GIM_Reject,
     /* 2103106 */ // Label 42: @2103106
     /* 2103106 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 27875*/ GIMT_Encode4(2106792),
     /* 2103117 */ /*GILLT_s32*//*Label 27858*/ GIMT_Encode4(2103233),
     /* 2103121 */ /*GILLT_s64*//*Label 27859*/ GIMT_Encode4(2103529), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103133 */ /*GILLT_nxv1s16*//*Label 27860*/ GIMT_Encode4(2103783),
     /* 2103137 */ /*GILLT_nxv1s32*//*Label 27861*/ GIMT_Encode4(2103887),
     /* 2103141 */ /*GILLT_nxv1s64*//*Label 27862*/ GIMT_Encode4(2104104), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103153 */ /*GILLT_nxv2s16*//*Label 27863*/ GIMT_Encode4(2104429),
     /* 2103157 */ /*GILLT_nxv2s32*//*Label 27864*/ GIMT_Encode4(2104533),
     /* 2103161 */ /*GILLT_nxv2s64*//*Label 27865*/ GIMT_Encode4(2104750), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103173 */ /*GILLT_nxv4s16*//*Label 27866*/ GIMT_Encode4(2105075),
     /* 2103177 */ /*GILLT_nxv4s32*//*Label 27867*/ GIMT_Encode4(2105179),
     /* 2103181 */ /*GILLT_nxv4s64*//*Label 27868*/ GIMT_Encode4(2105396), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103193 */ /*GILLT_nxv8s16*//*Label 27869*/ GIMT_Encode4(2105721),
     /* 2103197 */ /*GILLT_nxv8s32*//*Label 27870*/ GIMT_Encode4(2105825),
     /* 2103201 */ /*GILLT_nxv8s64*//*Label 27871*/ GIMT_Encode4(2106042), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103213 */ /*GILLT_nxv16s16*//*Label 27872*/ GIMT_Encode4(2106367),
     /* 2103217 */ /*GILLT_nxv16s32*//*Label 27873*/ GIMT_Encode4(2106471), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2103229 */ /*GILLT_nxv32s16*//*Label 27874*/ GIMT_Encode4(2106688),
     /* 2103233 */ // Label 27858: @2103233
     /* 2103233 */ GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2103528),
     /* 2103238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2103241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103249 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2103291), // Rule ID 63968 //
     /* 2103254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2103257 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2103257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2103260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103273 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2103276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2103289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103290 */     // GIR_Coverage, 63968,
     /* 2103290 */     GIR_EraseRootFromParent_Done,
     /* 2103291 */   // Label 27877: @2103291
     /* 2103291 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2103333), // Rule ID 63970 //
     /* 2103296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2103299 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2103299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2103302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103315 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2103318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2103331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103332 */     // GIR_Coverage, 63970,
     /* 2103332 */     GIR_EraseRootFromParent_Done,
     /* 2103333 */   // Label 27878: @2103333
     /* 2103333 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2103375), // Rule ID 63971 //
     /* 2103338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2103341 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2103341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2103344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103357 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2103360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2103373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103374 */     // GIR_Coverage, 63971,
     /* 2103374 */     GIR_EraseRootFromParent_Done,
     /* 2103375 */   // Label 27879: @2103375
     /* 2103375 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2103390), // Rule ID 63981 //
     /* 2103380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2103383 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2103383 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2103388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103389 */     // GIR_Coverage, 63981,
     /* 2103389 */     GIR_Done,
     /* 2103390 */   // Label 27880: @2103390
     /* 2103390 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2103405), // Rule ID 63982 //
     /* 2103395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2103398 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2103398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2103403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103404 */     // GIR_Coverage, 63982,
     /* 2103404 */     GIR_Done,
     /* 2103405 */   // Label 27881: @2103405
     /* 2103405 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2103420), // Rule ID 63984 //
     /* 2103410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2103413 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2103413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2103418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103419 */     // GIR_Coverage, 63984,
     /* 2103419 */     GIR_Done,
     /* 2103420 */   // Label 27882: @2103420
     /* 2103420 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2103435), // Rule ID 63985 //
     /* 2103425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2103428 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2103428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2103433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103434 */     // GIR_Coverage, 63985,
     /* 2103434 */     GIR_Done,
     /* 2103435 */   // Label 27883: @2103435
     /* 2103435 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2103458), // Rule ID 63986 //
     /* 2103440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2103443 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2103443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2103446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2103450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103457 */     // GIR_Coverage, 63986,
     /* 2103457 */     GIR_EraseRootFromParent_Done,
     /* 2103458 */   // Label 27884: @2103458
     /* 2103458 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2103481), // Rule ID 63987 //
     /* 2103463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2103466 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2103466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2103469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2103473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103480 */     // GIR_Coverage, 63987,
     /* 2103480 */     GIR_EraseRootFromParent_Done,
     /* 2103481 */   // Label 27885: @2103481
     /* 2103481 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2103504), // Rule ID 63989 //
     /* 2103486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2103489 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2103489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2103492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2103496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103503 */     // GIR_Coverage, 63989,
     /* 2103503 */     GIR_EraseRootFromParent_Done,
     /* 2103504 */   // Label 27886: @2103504
     /* 2103504 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2103527), // Rule ID 63990 //
     /* 2103509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2103512 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2103512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2103515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2103519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103526 */     // GIR_Coverage, 63990,
     /* 2103526 */     GIR_EraseRootFromParent_Done,
     /* 2103527 */   // Label 27887: @2103527
     /* 2103527 */   GIM_Reject,
     /* 2103528 */ // Label 27876: @2103528
     /* 2103528 */ GIM_Reject,
     /* 2103529 */ // Label 27859: @2103529
     /* 2103529 */ GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2103582), // Rule ID 63966 //
     /* 2103534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2103537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2103540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103548 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2103548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2103551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103564 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2103567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2103580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103581 */   // GIR_Coverage, 63966,
     /* 2103581 */   GIR_EraseRootFromParent_Done,
     /* 2103582 */ // Label 27888: @2103582
     /* 2103582 */ GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2103635), // Rule ID 63967 //
     /* 2103587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2103590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2103593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103601 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2103601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2103604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103613 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103617 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2103620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2103633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103634 */   // GIR_Coverage, 63967,
     /* 2103634 */   GIR_EraseRootFromParent_Done,
     /* 2103635 */ // Label 27889: @2103635
     /* 2103635 */ GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2103688), // Rule ID 63969 //
     /* 2103640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2103643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2103646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103654 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2103654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2103657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2103661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103666 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2103670 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2103673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2103678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103680 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2103686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103687 */   // GIR_Coverage, 63969,
     /* 2103687 */   GIR_EraseRootFromParent_Done,
     /* 2103688 */ // Label 27890: @2103688
     /* 2103688 */ GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2103722), // Rule ID 63977 //
     /* 2103693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2103696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2103699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103707 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2103707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2103710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103712 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2103714 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103721 */   // GIR_Coverage, 63977,
     /* 2103721 */   GIR_EraseRootFromParent_Done,
     /* 2103722 */ // Label 27891: @2103722
     /* 2103722 */ GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2103748), // Rule ID 63983 //
     /* 2103727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2103730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2103733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103741 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2103741 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2103746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103747 */   // GIR_Coverage, 63983,
     /* 2103747 */   GIR_Done,
     /* 2103748 */ // Label 27892: @2103748
     /* 2103748 */ GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2103782), // Rule ID 63988 //
     /* 2103753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2103756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2103759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103767 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2103767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2103770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2103774 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103781 */   // GIR_Coverage, 63988,
     /* 2103781 */   GIR_EraseRootFromParent_Done,
     /* 2103782 */ // Label 27893: @2103782
     /* 2103782 */ GIM_Reject,
     /* 2103783 */ // Label 27860: @2103783
     /* 2103783 */ GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2103886),
     /* 2103788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2103791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103799 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2103842), // Rule ID 45478 //
     /* 2103804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103807 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2103807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2103810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2103814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2103824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2103831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2103834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103841 */     // GIR_Coverage, 45478,
     /* 2103841 */     GIR_EraseRootFromParent_Done,
     /* 2103842 */   // Label 27895: @2103842
     /* 2103842 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2103885), // Rule ID 45479 //
     /* 2103847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103850 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2103850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2103853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2103857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2103867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2103874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2103877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103884 */     // GIR_Coverage, 45479,
     /* 2103884 */     GIR_EraseRootFromParent_Done,
     /* 2103885 */   // Label 27896: @2103885
     /* 2103885 */   GIM_Reject,
     /* 2103886 */ // Label 27894: @2103886
     /* 2103886 */ GIM_Reject,
     /* 2103887 */ // Label 27861: @2103887
     /* 2103887 */ GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2103941), // Rule ID 46962 //
     /* 2103892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2103898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103906 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2103906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2103909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2103913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2103923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2103930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2103933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103940 */   // GIR_Coverage, 46962,
     /* 2103940 */   GIR_EraseRootFromParent_Done,
     /* 2103941 */ // Label 27897: @2103941
     /* 2103941 */ GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2103995), // Rule ID 46963 //
     /* 2103946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2103952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103960 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2103960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2103963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2103967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2103974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2103977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2103982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2103984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2103987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2103994 */   // GIR_Coverage, 46963,
     /* 2103994 */   GIR_EraseRootFromParent_Done,
     /* 2103995 */ // Label 27898: @2103995
     /* 2103995 */ GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2104049), // Rule ID 47028 //
     /* 2104000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2104006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104014 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2104017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2104031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104048 */   // GIR_Coverage, 47028,
     /* 2104048 */   GIR_EraseRootFromParent_Done,
     /* 2104049 */ // Label 27899: @2104049
     /* 2104049 */ GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2104103), // Rule ID 47029 //
     /* 2104054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2104060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104068 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2104071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2104085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104102 */   // GIR_Coverage, 47029,
     /* 2104102 */   GIR_EraseRootFromParent_Done,
     /* 2104103 */ // Label 27900: @2104103
     /* 2104103 */ GIM_Reject,
     /* 2104104 */ // Label 27862: @2104104
     /* 2104104 */ GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2104158), // Rule ID 46982 //
     /* 2104109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2104115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104123 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2104140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104157 */   // GIR_Coverage, 46982,
     /* 2104157 */   GIR_EraseRootFromParent_Done,
     /* 2104158 */ // Label 27901: @2104158
     /* 2104158 */ GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2104212), // Rule ID 46983 //
     /* 2104163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2104166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2104169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104177 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104177 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104180 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104184 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104189 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2104194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104196 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104199 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104211 */   // GIR_Coverage, 46983,
     /* 2104211 */   GIR_EraseRootFromParent_Done,
     /* 2104212 */ // Label 27902: @2104212
     /* 2104212 */ GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2104266), // Rule ID 47048 //
     /* 2104217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2104223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104231 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2104248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104253 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104265 */   // GIR_Coverage, 47048,
     /* 2104265 */   GIR_EraseRootFromParent_Done,
     /* 2104266 */ // Label 27903: @2104266
     /* 2104266 */ GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2104320), // Rule ID 47049 //
     /* 2104271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2104274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2104277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104285 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2104302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104319 */   // GIR_Coverage, 47049,
     /* 2104319 */   GIR_EraseRootFromParent_Done,
     /* 2104320 */ // Label 27904: @2104320
     /* 2104320 */ GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2104374), // Rule ID 47082 //
     /* 2104325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2104331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104339 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2104356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104373 */   // GIR_Coverage, 47082,
     /* 2104373 */   GIR_EraseRootFromParent_Done,
     /* 2104374 */ // Label 27905: @2104374
     /* 2104374 */ GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2104428), // Rule ID 47083 //
     /* 2104379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2104382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2104385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104393 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2104396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2104410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104427 */   // GIR_Coverage, 47083,
     /* 2104427 */   GIR_EraseRootFromParent_Done,
     /* 2104428 */ // Label 27906: @2104428
     /* 2104428 */ GIM_Reject,
     /* 2104429 */ // Label 27863: @2104429
     /* 2104429 */ GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2104532),
     /* 2104434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2104437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104445 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2104488), // Rule ID 46942 //
     /* 2104450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104453 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2104456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2104470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104487 */     // GIR_Coverage, 46942,
     /* 2104487 */     GIR_EraseRootFromParent_Done,
     /* 2104488 */   // Label 27908: @2104488
     /* 2104488 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2104531), // Rule ID 46943 //
     /* 2104493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104496 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2104499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2104513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104530 */     // GIR_Coverage, 46943,
     /* 2104530 */     GIR_EraseRootFromParent_Done,
     /* 2104531 */   // Label 27909: @2104531
     /* 2104531 */   GIM_Reject,
     /* 2104532 */ // Label 27907: @2104532
     /* 2104532 */ GIM_Reject,
     /* 2104533 */ // Label 27864: @2104533
     /* 2104533 */ GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2104587), // Rule ID 46966 //
     /* 2104538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2104544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104552 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2104555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2104569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104586 */   // GIR_Coverage, 46966,
     /* 2104586 */   GIR_EraseRootFromParent_Done,
     /* 2104587 */ // Label 27910: @2104587
     /* 2104587 */ GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2104641), // Rule ID 46967 //
     /* 2104592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2104598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104606 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104606 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2104609 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104613 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2104623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104625 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104640 */   // GIR_Coverage, 46967,
     /* 2104640 */   GIR_EraseRootFromParent_Done,
     /* 2104641 */ // Label 27911: @2104641
     /* 2104641 */ GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2104695), // Rule ID 47032 //
     /* 2104646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2104652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104660 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2104663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2104677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104694 */   // GIR_Coverage, 47032,
     /* 2104694 */   GIR_EraseRootFromParent_Done,
     /* 2104695 */ // Label 27912: @2104695
     /* 2104695 */ GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2104749), // Rule ID 47033 //
     /* 2104700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2104706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104714 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2104717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2104731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104748 */   // GIR_Coverage, 47033,
     /* 2104748 */   GIR_EraseRootFromParent_Done,
     /* 2104749 */ // Label 27913: @2104749
     /* 2104749 */ GIM_Reject,
     /* 2104750 */ // Label 27865: @2104750
     /* 2104750 */ GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2104804), // Rule ID 46986 //
     /* 2104755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2104761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104769 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2104772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2104786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104803 */   // GIR_Coverage, 46986,
     /* 2104803 */   GIR_EraseRootFromParent_Done,
     /* 2104804 */ // Label 27914: @2104804
     /* 2104804 */ GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2104858), // Rule ID 46987 //
     /* 2104809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2104812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2104815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104823 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2104826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2104840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104842 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104857 */   // GIR_Coverage, 46987,
     /* 2104857 */   GIR_EraseRootFromParent_Done,
     /* 2104858 */ // Label 27915: @2104858
     /* 2104858 */ GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2104912), // Rule ID 47052 //
     /* 2104863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2104869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104877 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2104880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2104894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104911 */   // GIR_Coverage, 47052,
     /* 2104911 */   GIR_EraseRootFromParent_Done,
     /* 2104912 */ // Label 27916: @2104912
     /* 2104912 */ GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2104966), // Rule ID 47053 //
     /* 2104917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2104920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2104923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104931 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2104931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2104934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2104948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104950 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2104953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2104955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2104958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2104961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2104965 */   // GIR_Coverage, 47053,
     /* 2104965 */   GIR_EraseRootFromParent_Done,
     /* 2104966 */ // Label 27917: @2104966
     /* 2104966 */ GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2105020), // Rule ID 47086 //
     /* 2104971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2104974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2104977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104985 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2104985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2104988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2104992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2104999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2105002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105019 */   // GIR_Coverage, 47086,
     /* 2105019 */   GIR_EraseRootFromParent_Done,
     /* 2105020 */ // Label 27918: @2105020
     /* 2105020 */ GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2105074), // Rule ID 47087 //
     /* 2105025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2105031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105039 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2105042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2105056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105073 */   // GIR_Coverage, 47087,
     /* 2105073 */   GIR_EraseRootFromParent_Done,
     /* 2105074 */ // Label 27919: @2105074
     /* 2105074 */ GIM_Reject,
     /* 2105075 */ // Label 27866: @2105075
     /* 2105075 */ GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2105178),
     /* 2105080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2105083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105091 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2105134), // Rule ID 46946 //
     /* 2105096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105099 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2105102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2105116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105133 */     // GIR_Coverage, 46946,
     /* 2105133 */     GIR_EraseRootFromParent_Done,
     /* 2105134 */   // Label 27921: @2105134
     /* 2105134 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2105177), // Rule ID 46947 //
     /* 2105139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105142 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2105145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2105159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105176 */     // GIR_Coverage, 46947,
     /* 2105176 */     GIR_EraseRootFromParent_Done,
     /* 2105177 */   // Label 27922: @2105177
     /* 2105177 */   GIM_Reject,
     /* 2105178 */ // Label 27920: @2105178
     /* 2105178 */ GIM_Reject,
     /* 2105179 */ // Label 27867: @2105179
     /* 2105179 */ GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2105233), // Rule ID 46970 //
     /* 2105184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2105190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105198 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2105201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2105215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105232 */   // GIR_Coverage, 46970,
     /* 2105232 */   GIR_EraseRootFromParent_Done,
     /* 2105233 */ // Label 27923: @2105233
     /* 2105233 */ GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2105287), // Rule ID 46971 //
     /* 2105238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2105244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105252 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105252 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2105255 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105259 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105264 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2105269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105271 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105286 */   // GIR_Coverage, 46971,
     /* 2105286 */   GIR_EraseRootFromParent_Done,
     /* 2105287 */ // Label 27924: @2105287
     /* 2105287 */ GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2105341), // Rule ID 47036 //
     /* 2105292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2105298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105306 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2105309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105318 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2105323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105325 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105340 */   // GIR_Coverage, 47036,
     /* 2105340 */   GIR_EraseRootFromParent_Done,
     /* 2105341 */ // Label 27925: @2105341
     /* 2105341 */ GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2105395), // Rule ID 47037 //
     /* 2105346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2105352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105360 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2105363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2105377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105394 */   // GIR_Coverage, 47037,
     /* 2105394 */   GIR_EraseRootFromParent_Done,
     /* 2105395 */ // Label 27926: @2105395
     /* 2105395 */ GIM_Reject,
     /* 2105396 */ // Label 27868: @2105396
     /* 2105396 */ GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2105450), // Rule ID 46990 //
     /* 2105401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2105407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105415 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105415 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105422 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2105432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105449 */   // GIR_Coverage, 46990,
     /* 2105449 */   GIR_EraseRootFromParent_Done,
     /* 2105450 */ // Label 27927: @2105450
     /* 2105450 */ GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2105504), // Rule ID 46991 //
     /* 2105455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2105461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105469 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105469 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105472 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105476 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105481 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2105486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105488 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105491 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105503 */   // GIR_Coverage, 46991,
     /* 2105503 */   GIR_EraseRootFromParent_Done,
     /* 2105504 */ // Label 27928: @2105504
     /* 2105504 */ GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2105558), // Rule ID 47056 //
     /* 2105509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2105515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105523 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2105540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105542 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105557 */   // GIR_Coverage, 47056,
     /* 2105557 */   GIR_EraseRootFromParent_Done,
     /* 2105558 */ // Label 27929: @2105558
     /* 2105558 */ GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2105612), // Rule ID 47057 //
     /* 2105563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2105569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105577 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105589 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2105594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105596 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105611 */   // GIR_Coverage, 47057,
     /* 2105611 */   GIR_EraseRootFromParent_Done,
     /* 2105612 */ // Label 27930: @2105612
     /* 2105612 */ GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2105666), // Rule ID 47090 //
     /* 2105617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2105623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105631 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2105648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105665 */   // GIR_Coverage, 47090,
     /* 2105665 */   GIR_EraseRootFromParent_Done,
     /* 2105666 */ // Label 27931: @2105666
     /* 2105666 */ GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2105720), // Rule ID 47091 //
     /* 2105671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2105677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105685 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2105688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2105702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105719 */   // GIR_Coverage, 47091,
     /* 2105719 */   GIR_EraseRootFromParent_Done,
     /* 2105720 */ // Label 27932: @2105720
     /* 2105720 */ GIM_Reject,
     /* 2105721 */ // Label 27869: @2105721
     /* 2105721 */ GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2105824),
     /* 2105726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2105729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105737 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2105780), // Rule ID 46950 //
     /* 2105742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105745 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2105748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2105762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105779 */     // GIR_Coverage, 46950,
     /* 2105779 */     GIR_EraseRootFromParent_Done,
     /* 2105780 */   // Label 27934: @2105780
     /* 2105780 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2105823), // Rule ID 46951 //
     /* 2105785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105788 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2105791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2105805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105822 */     // GIR_Coverage, 46951,
     /* 2105822 */     GIR_EraseRootFromParent_Done,
     /* 2105823 */   // Label 27935: @2105823
     /* 2105823 */   GIM_Reject,
     /* 2105824 */ // Label 27933: @2105824
     /* 2105824 */ GIM_Reject,
     /* 2105825 */ // Label 27870: @2105825
     /* 2105825 */ GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2105879), // Rule ID 46974 //
     /* 2105830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2105836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105844 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105844 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2105847 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105851 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105856 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2105861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105866 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105878 */   // GIR_Coverage, 46974,
     /* 2105878 */   GIR_EraseRootFromParent_Done,
     /* 2105879 */ // Label 27936: @2105879
     /* 2105879 */ GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2105933), // Rule ID 46975 //
     /* 2105884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2105890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105898 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2105898 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2105901 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105905 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2105915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105917 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105932 */   // GIR_Coverage, 46975,
     /* 2105932 */   GIR_EraseRootFromParent_Done,
     /* 2105933 */ // Label 27937: @2105933
     /* 2105933 */ GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2105987), // Rule ID 47040 //
     /* 2105938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2105944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105952 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2105952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2105955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2105959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2105966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2105969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2105974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2105976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2105979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2105986 */   // GIR_Coverage, 47040,
     /* 2105986 */   GIR_EraseRootFromParent_Done,
     /* 2105987 */ // Label 27938: @2105987
     /* 2105987 */ GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2106041), // Rule ID 47041 //
     /* 2105992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2105998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106006 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2106009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2106023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106025 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106028 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106040 */   // GIR_Coverage, 47041,
     /* 2106040 */   GIR_EraseRootFromParent_Done,
     /* 2106041 */ // Label 27939: @2106041
     /* 2106041 */ GIM_Reject,
     /* 2106042 */ // Label 27871: @2106042
     /* 2106042 */ GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2106096), // Rule ID 46994 //
     /* 2106047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2106050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2106053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106061 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106061 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106064 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106068 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106080 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106083 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106095 */   // GIR_Coverage, 46994,
     /* 2106095 */   GIR_EraseRootFromParent_Done,
     /* 2106096 */ // Label 27940: @2106096
     /* 2106096 */ GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2106150), // Rule ID 46995 //
     /* 2106101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2106104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2106107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106115 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106115 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106118 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106122 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106149 */   // GIR_Coverage, 46995,
     /* 2106149 */   GIR_EraseRootFromParent_Done,
     /* 2106150 */ // Label 27941: @2106150
     /* 2106150 */ GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2106204), // Rule ID 47060 //
     /* 2106155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2106158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2106161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106169 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106169 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106172 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106176 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2106186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106191 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106203 */   // GIR_Coverage, 47060,
     /* 2106203 */   GIR_EraseRootFromParent_Done,
     /* 2106204 */ // Label 27942: @2106204
     /* 2106204 */ GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2106258), // Rule ID 47061 //
     /* 2106209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2106212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2106215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106223 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106223 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106226 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106230 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2106240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106242 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106257 */   // GIR_Coverage, 47061,
     /* 2106257 */   GIR_EraseRootFromParent_Done,
     /* 2106258 */ // Label 27943: @2106258
     /* 2106258 */ GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2106312), // Rule ID 47094 //
     /* 2106263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2106266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2106269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106277 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2106294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106311 */   // GIR_Coverage, 47094,
     /* 2106311 */   GIR_EraseRootFromParent_Done,
     /* 2106312 */ // Label 27944: @2106312
     /* 2106312 */ GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2106366), // Rule ID 47095 //
     /* 2106317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2106320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2106323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106331 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2106334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2106348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106365 */   // GIR_Coverage, 47095,
     /* 2106365 */   GIR_EraseRootFromParent_Done,
     /* 2106366 */ // Label 27945: @2106366
     /* 2106366 */ GIM_Reject,
     /* 2106367 */ // Label 27872: @2106367
     /* 2106367 */ GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2106470),
     /* 2106372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2106375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106383 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2106426), // Rule ID 46954 //
     /* 2106388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106391 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2106394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2106408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106425 */     // GIR_Coverage, 46954,
     /* 2106425 */     GIR_EraseRootFromParent_Done,
     /* 2106426 */   // Label 27947: @2106426
     /* 2106426 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2106469), // Rule ID 46955 //
     /* 2106431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106434 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2106437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2106451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106468 */     // GIR_Coverage, 46955,
     /* 2106468 */     GIR_EraseRootFromParent_Done,
     /* 2106469 */   // Label 27948: @2106469
     /* 2106469 */   GIM_Reject,
     /* 2106470 */ // Label 27946: @2106470
     /* 2106470 */ GIM_Reject,
     /* 2106471 */ // Label 27873: @2106471
     /* 2106471 */ GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2106525), // Rule ID 46978 //
     /* 2106476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2106482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106490 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106490 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2106493 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106497 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106509 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106512 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106524 */   // GIR_Coverage, 46978,
     /* 2106524 */   GIR_EraseRootFromParent_Done,
     /* 2106525 */ // Label 27949: @2106525
     /* 2106525 */ GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2106579), // Rule ID 46979 //
     /* 2106530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2106536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106544 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106544 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2106547 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106551 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106563 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106566 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106578 */   // GIR_Coverage, 46979,
     /* 2106578 */   GIR_EraseRootFromParent_Done,
     /* 2106579 */ // Label 27950: @2106579
     /* 2106579 */ GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2106633), // Rule ID 47044 //
     /* 2106584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2106590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106598 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2106601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2106615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106632 */   // GIR_Coverage, 47044,
     /* 2106632 */   GIR_EraseRootFromParent_Done,
     /* 2106633 */ // Label 27951: @2106633
     /* 2106633 */ GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2106687), // Rule ID 47045 //
     /* 2106638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2106644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106652 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106652 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2106655 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106659 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2106669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106671 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106674 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2106686 */   // GIR_Coverage, 47045,
     /* 2106686 */   GIR_EraseRootFromParent_Done,
     /* 2106687 */ // Label 27952: @2106687
     /* 2106687 */ GIM_Reject,
     /* 2106688 */ // Label 27874: @2106688
     /* 2106688 */ GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2106791),
     /* 2106693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2106696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106704 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2106747), // Rule ID 46958 //
     /* 2106709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106712 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2106712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2106715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106746 */     // GIR_Coverage, 46958,
     /* 2106746 */     GIR_EraseRootFromParent_Done,
     /* 2106747 */   // Label 27954: @2106747
     /* 2106747 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2106790), // Rule ID 46959 //
     /* 2106752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106755 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2106755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2106758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2106762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2106769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2106772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2106777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2106779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2106782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106789 */     // GIR_Coverage, 46959,
     /* 2106789 */     GIR_EraseRootFromParent_Done,
     /* 2106790 */   // Label 27955: @2106790
     /* 2106790 */   GIM_Reject,
     /* 2106791 */ // Label 27953: @2106791
     /* 2106791 */ GIM_Reject,
     /* 2106792 */ // Label 27875: @2106792
     /* 2106792 */ GIM_Reject,
     /* 2106793 */ // Label 43: @2106793
     /* 2106793 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 27980*/ GIMT_Encode4(2109928),
     /* 2106804 */ /*GILLT_s32*//*Label 27956*/ GIMT_Encode4(2106928),
     /* 2106808 */ /*GILLT_s64*//*Label 27957*/ GIMT_Encode4(2107053), GIMT_Encode4(0),
     /* 2106816 */ /*GILLT_nxv1s8*//*Label 27958*/ GIMT_Encode4(2107398),
     /* 2106820 */ /*GILLT_nxv1s16*//*Label 27959*/ GIMT_Encode4(2107513),
     /* 2106824 */ /*GILLT_nxv1s32*//*Label 27960*/ GIMT_Encode4(2107628),
     /* 2106828 */ /*GILLT_nxv1s64*//*Label 27961*/ GIMT_Encode4(2107743), GIMT_Encode4(0),
     /* 2106836 */ /*GILLT_nxv2s8*//*Label 27962*/ GIMT_Encode4(2107858),
     /* 2106840 */ /*GILLT_nxv2s16*//*Label 27963*/ GIMT_Encode4(2107973),
     /* 2106844 */ /*GILLT_nxv2s32*//*Label 27964*/ GIMT_Encode4(2108088),
     /* 2106848 */ /*GILLT_nxv2s64*//*Label 27965*/ GIMT_Encode4(2108203), GIMT_Encode4(0),
     /* 2106856 */ /*GILLT_nxv4s8*//*Label 27966*/ GIMT_Encode4(2108318),
     /* 2106860 */ /*GILLT_nxv4s16*//*Label 27967*/ GIMT_Encode4(2108433),
     /* 2106864 */ /*GILLT_nxv4s32*//*Label 27968*/ GIMT_Encode4(2108548),
     /* 2106868 */ /*GILLT_nxv4s64*//*Label 27969*/ GIMT_Encode4(2108663), GIMT_Encode4(0),
     /* 2106876 */ /*GILLT_nxv8s8*//*Label 27970*/ GIMT_Encode4(2108778),
     /* 2106880 */ /*GILLT_nxv8s16*//*Label 27971*/ GIMT_Encode4(2108893),
     /* 2106884 */ /*GILLT_nxv8s32*//*Label 27972*/ GIMT_Encode4(2109008),
     /* 2106888 */ /*GILLT_nxv8s64*//*Label 27973*/ GIMT_Encode4(2109123), GIMT_Encode4(0),
     /* 2106896 */ /*GILLT_nxv16s8*//*Label 27974*/ GIMT_Encode4(2109238),
     /* 2106900 */ /*GILLT_nxv16s16*//*Label 27975*/ GIMT_Encode4(2109353),
     /* 2106904 */ /*GILLT_nxv16s32*//*Label 27976*/ GIMT_Encode4(2109468), GIMT_Encode4(0),
     /* 2106912 */ /*GILLT_nxv32s8*//*Label 27977*/ GIMT_Encode4(2109583),
     /* 2106916 */ /*GILLT_nxv32s16*//*Label 27978*/ GIMT_Encode4(2109698), GIMT_Encode4(0),
     /* 2106924 */ /*GILLT_nxv64s8*//*Label 27979*/ GIMT_Encode4(2109813),
     /* 2106928 */ // Label 27956: @2106928
     /* 2106928 */ GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2107052),
     /* 2106933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2106936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2106939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2106943 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2106980), // Rule ID 2339 //
     /* 2106948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2106951 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2106955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2106962 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2106962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2106965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2106978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106979 */     // GIR_Coverage, 2339,
     /* 2106979 */     GIR_EraseRootFromParent_Done,
     /* 2106980 */   // Label 27982: @2106980
     /* 2106980 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2107018), // Rule ID 91 //
     /* 2106985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2106988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2106992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2106996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2107000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2107004 */     // MIs[1] Operand 1
     /* 2107004 */     // No operand predicates
     /* 2107004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2107006 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2107006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2107009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2107016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107017 */     // GIR_Coverage, 91,
     /* 2107017 */     GIR_EraseRootFromParent_Done,
     /* 2107018 */   // Label 27983: @2107018
     /* 2107018 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2107051), // Rule ID 105 //
     /* 2107023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2107026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2107037 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2107037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2107040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2107049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107050 */     // GIR_Coverage, 105,
     /* 2107050 */     GIR_EraseRootFromParent_Done,
     /* 2107051 */   // Label 27984: @2107051
     /* 2107051 */   GIM_Reject,
     /* 2107052 */ // Label 27981: @2107052
     /* 2107052 */ GIM_Reject,
     /* 2107053 */ // Label 27957: @2107053
     /* 2107053 */ GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2107397),
     /* 2107058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2107061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2107064 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2107158), // Rule ID 253 //
     /* 2107069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2107072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2107080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2107084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2107088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2107092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107097 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2107108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2107112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2107116 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2107120 */     // MIs[2] Operand 1
     /* 2107120 */     // No operand predicates
     /* 2107120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2107122 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2107122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2107125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2107129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2107138 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2107141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2107146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107151 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2107156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107157 */     // GIR_Coverage, 253,
     /* 2107157 */     GIR_EraseRootFromParent_Done,
     /* 2107158 */   // Label 27986: @2107158
     /* 2107158 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2107230), // Rule ID 2457 //
     /* 2107163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2107166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2107174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2107178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2107182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2107186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107191 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2107202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2107206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2107210 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2107214 */     // MIs[2] Operand 1
     /* 2107214 */     // No operand predicates
     /* 2107214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2107216 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2107216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2107219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2107225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2107228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107229 */     // GIR_Coverage, 2457,
     /* 2107229 */     GIR_EraseRootFromParent_Done,
     /* 2107230 */   // Label 27987: @2107230
     /* 2107230 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2107271), // Rule ID 2338 //
     /* 2107235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2107238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107242 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2107246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2107253 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2107253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2107256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2107269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107270 */     // GIR_Coverage, 2338,
     /* 2107270 */     GIR_EraseRootFromParent_Done,
     /* 2107271 */   // Label 27988: @2107271
     /* 2107271 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2107317), // Rule ID 268 //
     /* 2107276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2107279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2107291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2107295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2107299 */     // MIs[1] Operand 1
     /* 2107299 */     // No operand predicates
     /* 2107299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9634),
     /* 2107303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2107305 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_9634>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2107305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2107308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2107315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107316 */     // GIR_Coverage, 268,
     /* 2107316 */     GIR_EraseRootFromParent_Done,
     /* 2107317 */   // Label 27989: @2107317
     /* 2107317 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2107359), // Rule ID 90 //
     /* 2107322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2107325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2107337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2107341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2107345 */     // MIs[1] Operand 1
     /* 2107345 */     // No operand predicates
     /* 2107345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2107347 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2107347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2107350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2107357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107358 */     // GIR_Coverage, 90,
     /* 2107358 */     GIR_EraseRootFromParent_Done,
     /* 2107359 */   // Label 27990: @2107359
     /* 2107359 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2107396), // Rule ID 104 //
     /* 2107364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2107367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2107375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2107382 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2107382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2107385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2107394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107395 */     // GIR_Coverage, 104,
     /* 2107395 */     GIR_EraseRootFromParent_Done,
     /* 2107396 */   // Label 27991: @2107396
     /* 2107396 */   GIM_Reject,
     /* 2107397 */ // Label 27985: @2107397
     /* 2107397 */ GIM_Reject,
     /* 2107398 */ // Label 27958: @2107398
     /* 2107398 */ GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2107512),
     /* 2107403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2107406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2107409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107421 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2107466), // Rule ID 47502 //
     /* 2107426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107429 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2107429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2107432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2107446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107465 */     // GIR_Coverage, 47502,
     /* 2107465 */     GIR_EraseRootFromParent_Done,
     /* 2107466 */   // Label 27993: @2107466
     /* 2107466 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2107511), // Rule ID 47503 //
     /* 2107471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107474 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2107474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2107477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2107491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107510 */     // GIR_Coverage, 47503,
     /* 2107510 */     GIR_EraseRootFromParent_Done,
     /* 2107511 */   // Label 27994: @2107511
     /* 2107511 */   GIM_Reject,
     /* 2107512 */ // Label 27992: @2107512
     /* 2107512 */ GIM_Reject,
     /* 2107513 */ // Label 27959: @2107513
     /* 2107513 */ GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2107627),
     /* 2107518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2107521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2107524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107536 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2107581), // Rule ID 47514 //
     /* 2107541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107544 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2107544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2107547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2107561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107580 */     // GIR_Coverage, 47514,
     /* 2107580 */     GIR_EraseRootFromParent_Done,
     /* 2107581 */   // Label 27996: @2107581
     /* 2107581 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2107626), // Rule ID 47515 //
     /* 2107586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107589 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2107589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2107592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2107606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107625 */     // GIR_Coverage, 47515,
     /* 2107625 */     GIR_EraseRootFromParent_Done,
     /* 2107626 */   // Label 27997: @2107626
     /* 2107626 */   GIM_Reject,
     /* 2107627 */ // Label 27995: @2107627
     /* 2107627 */ GIM_Reject,
     /* 2107628 */ // Label 27960: @2107628
     /* 2107628 */ GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2107742),
     /* 2107633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2107636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107651 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2107696), // Rule ID 47522 //
     /* 2107656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107659 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2107659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2107662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2107676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107695 */     // GIR_Coverage, 47522,
     /* 2107695 */     GIR_EraseRootFromParent_Done,
     /* 2107696 */   // Label 27999: @2107696
     /* 2107696 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2107741), // Rule ID 47523 //
     /* 2107701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107704 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2107704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2107707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2107721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107740 */     // GIR_Coverage, 47523,
     /* 2107740 */     GIR_EraseRootFromParent_Done,
     /* 2107741 */   // Label 28000: @2107741
     /* 2107741 */   GIM_Reject,
     /* 2107742 */ // Label 27998: @2107742
     /* 2107742 */ GIM_Reject,
     /* 2107743 */ // Label 27961: @2107743
     /* 2107743 */ GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2107857),
     /* 2107748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2107751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2107754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107766 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2107811), // Rule ID 47538 //
     /* 2107771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2107774 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2107774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2107777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2107791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107810 */     // GIR_Coverage, 47538,
     /* 2107810 */     GIR_EraseRootFromParent_Done,
     /* 2107811 */   // Label 28002: @2107811
     /* 2107811 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2107856), // Rule ID 47539 //
     /* 2107816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2107819 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2107819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2107822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2107836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107855 */     // GIR_Coverage, 47539,
     /* 2107855 */     GIR_EraseRootFromParent_Done,
     /* 2107856 */   // Label 28003: @2107856
     /* 2107856 */   GIM_Reject,
     /* 2107857 */ // Label 28001: @2107857
     /* 2107857 */ GIM_Reject,
     /* 2107858 */ // Label 27962: @2107858
     /* 2107858 */ GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2107972),
     /* 2107863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2107866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2107869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107881 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2107926), // Rule ID 47506 //
     /* 2107886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107889 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2107889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2107892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2107906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107925 */     // GIR_Coverage, 47506,
     /* 2107925 */     GIR_EraseRootFromParent_Done,
     /* 2107926 */   // Label 28005: @2107926
     /* 2107926 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2107971), // Rule ID 47507 //
     /* 2107931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107934 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2107934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2107937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2107941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2107948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2107951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2107956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2107958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2107960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2107963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2107969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107970 */     // GIR_Coverage, 47507,
     /* 2107970 */     GIR_EraseRootFromParent_Done,
     /* 2107971 */   // Label 28006: @2107971
     /* 2107971 */   GIM_Reject,
     /* 2107972 */ // Label 28004: @2107972
     /* 2107972 */ GIM_Reject,
     /* 2107973 */ // Label 27963: @2107973
     /* 2107973 */ GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2108087),
     /* 2107978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2107981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2107984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107996 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2108041), // Rule ID 47518 //
     /* 2108001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108004 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2108007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2108021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108040 */     // GIR_Coverage, 47518,
     /* 2108040 */     GIR_EraseRootFromParent_Done,
     /* 2108041 */   // Label 28008: @2108041
     /* 2108041 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2108086), // Rule ID 47519 //
     /* 2108046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108049 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2108052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2108066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108085 */     // GIR_Coverage, 47519,
     /* 2108085 */     GIR_EraseRootFromParent_Done,
     /* 2108086 */   // Label 28009: @2108086
     /* 2108086 */   GIM_Reject,
     /* 2108087 */ // Label 28007: @2108087
     /* 2108087 */ GIM_Reject,
     /* 2108088 */ // Label 27964: @2108088
     /* 2108088 */ GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2108202),
     /* 2108093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2108096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2108099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108111 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2108156), // Rule ID 47534 //
     /* 2108116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108119 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2108122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108155 */     // GIR_Coverage, 47534,
     /* 2108155 */     GIR_EraseRootFromParent_Done,
     /* 2108156 */   // Label 28011: @2108156
     /* 2108156 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2108201), // Rule ID 47535 //
     /* 2108161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108164 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2108167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108200 */     // GIR_Coverage, 47535,
     /* 2108200 */     GIR_EraseRootFromParent_Done,
     /* 2108201 */   // Label 28012: @2108201
     /* 2108201 */   GIM_Reject,
     /* 2108202 */ // Label 28010: @2108202
     /* 2108202 */ GIM_Reject,
     /* 2108203 */ // Label 27965: @2108203
     /* 2108203 */ GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2108317),
     /* 2108208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2108211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108226 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2108271), // Rule ID 47578 //
     /* 2108231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2108234 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2108237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108270 */     // GIR_Coverage, 47578,
     /* 2108270 */     GIR_EraseRootFromParent_Done,
     /* 2108271 */   // Label 28014: @2108271
     /* 2108271 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2108316), // Rule ID 47579 //
     /* 2108276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2108279 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2108282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108315 */     // GIR_Coverage, 47579,
     /* 2108315 */     GIR_EraseRootFromParent_Done,
     /* 2108316 */   // Label 28015: @2108316
     /* 2108316 */   GIM_Reject,
     /* 2108317 */ // Label 28013: @2108317
     /* 2108317 */ GIM_Reject,
     /* 2108318 */ // Label 27966: @2108318
     /* 2108318 */ GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2108432),
     /* 2108323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2108326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2108329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108341 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2108386), // Rule ID 47510 //
     /* 2108346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108349 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2108352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2108366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108385 */     // GIR_Coverage, 47510,
     /* 2108385 */     GIR_EraseRootFromParent_Done,
     /* 2108386 */   // Label 28017: @2108386
     /* 2108386 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2108431), // Rule ID 47511 //
     /* 2108391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108394 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2108397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2108411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108430 */     // GIR_Coverage, 47511,
     /* 2108430 */     GIR_EraseRootFromParent_Done,
     /* 2108431 */   // Label 28018: @2108431
     /* 2108431 */   GIM_Reject,
     /* 2108432 */ // Label 28016: @2108432
     /* 2108432 */ GIM_Reject,
     /* 2108433 */ // Label 27967: @2108433
     /* 2108433 */ GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2108547),
     /* 2108438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2108441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2108444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108456 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2108501), // Rule ID 47530 //
     /* 2108461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108464 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2108467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108500 */     // GIR_Coverage, 47530,
     /* 2108500 */     GIR_EraseRootFromParent_Done,
     /* 2108501 */   // Label 28020: @2108501
     /* 2108501 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2108546), // Rule ID 47531 //
     /* 2108506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108509 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2108512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108545 */     // GIR_Coverage, 47531,
     /* 2108545 */     GIR_EraseRootFromParent_Done,
     /* 2108546 */   // Label 28021: @2108546
     /* 2108546 */   GIM_Reject,
     /* 2108547 */ // Label 28019: @2108547
     /* 2108547 */ GIM_Reject,
     /* 2108548 */ // Label 27968: @2108548
     /* 2108548 */ GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2108662),
     /* 2108553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2108556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108571 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2108616), // Rule ID 47566 //
     /* 2108576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108579 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2108582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108615 */     // GIR_Coverage, 47566,
     /* 2108615 */     GIR_EraseRootFromParent_Done,
     /* 2108616 */   // Label 28023: @2108616
     /* 2108616 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2108661), // Rule ID 47567 //
     /* 2108621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108624 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2108627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108660 */     // GIR_Coverage, 47567,
     /* 2108660 */     GIR_EraseRootFromParent_Done,
     /* 2108661 */   // Label 28024: @2108661
     /* 2108661 */   GIM_Reject,
     /* 2108662 */ // Label 28022: @2108662
     /* 2108662 */ GIM_Reject,
     /* 2108663 */ // Label 27969: @2108663
     /* 2108663 */ GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2108777),
     /* 2108668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2108671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108686 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2108731), // Rule ID 47582 //
     /* 2108691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2108694 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2108697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2108711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108730 */     // GIR_Coverage, 47582,
     /* 2108730 */     GIR_EraseRootFromParent_Done,
     /* 2108731 */   // Label 28026: @2108731
     /* 2108731 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2108776), // Rule ID 47583 //
     /* 2108736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2108739 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2108742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2108756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108775 */     // GIR_Coverage, 47583,
     /* 2108775 */     GIR_EraseRootFromParent_Done,
     /* 2108776 */   // Label 28027: @2108776
     /* 2108776 */   GIM_Reject,
     /* 2108777 */ // Label 28025: @2108777
     /* 2108777 */ GIM_Reject,
     /* 2108778 */ // Label 27970: @2108778
     /* 2108778 */ GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2108892),
     /* 2108783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2108786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2108789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108801 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2108846), // Rule ID 47526 //
     /* 2108806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108809 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2108812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108845 */     // GIR_Coverage, 47526,
     /* 2108845 */     GIR_EraseRootFromParent_Done,
     /* 2108846 */   // Label 28029: @2108846
     /* 2108846 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2108891), // Rule ID 47527 //
     /* 2108851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108854 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2108857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2108871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108890 */     // GIR_Coverage, 47527,
     /* 2108890 */     GIR_EraseRootFromParent_Done,
     /* 2108891 */   // Label 28030: @2108891
     /* 2108891 */   GIM_Reject,
     /* 2108892 */ // Label 28028: @2108892
     /* 2108892 */ GIM_Reject,
     /* 2108893 */ // Label 27971: @2108893
     /* 2108893 */ GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2109007),
     /* 2108898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2108901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2108904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108916 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2108961), // Rule ID 47554 //
     /* 2108921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108924 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2108924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2108927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108960 */     // GIR_Coverage, 47554,
     /* 2108960 */     GIR_EraseRootFromParent_Done,
     /* 2108961 */   // Label 28032: @2108961
     /* 2108961 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2109006), // Rule ID 47555 //
     /* 2108966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108969 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2108969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2108972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2108976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2108983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2108986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2108991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2108993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2108995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2108998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109005 */     // GIR_Coverage, 47555,
     /* 2109005 */     GIR_EraseRootFromParent_Done,
     /* 2109006 */   // Label 28033: @2109006
     /* 2109006 */   GIM_Reject,
     /* 2109007 */ // Label 28031: @2109007
     /* 2109007 */ GIM_Reject,
     /* 2109008 */ // Label 27972: @2109008
     /* 2109008 */ GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2109122),
     /* 2109013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2109016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109031 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2109076), // Rule ID 47570 //
     /* 2109036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109039 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2109042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109075 */     // GIR_Coverage, 47570,
     /* 2109075 */     GIR_EraseRootFromParent_Done,
     /* 2109076 */   // Label 28035: @2109076
     /* 2109076 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2109121), // Rule ID 47571 //
     /* 2109081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109084 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2109087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109120 */     // GIR_Coverage, 47571,
     /* 2109120 */     GIR_EraseRootFromParent_Done,
     /* 2109121 */   // Label 28036: @2109121
     /* 2109121 */   GIM_Reject,
     /* 2109122 */ // Label 28034: @2109122
     /* 2109122 */ GIM_Reject,
     /* 2109123 */ // Label 27973: @2109123
     /* 2109123 */ GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2109237),
     /* 2109128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2109131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109146 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2109191), // Rule ID 47586 //
     /* 2109151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2109154 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2109157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109190 */     // GIR_Coverage, 47586,
     /* 2109190 */     GIR_EraseRootFromParent_Done,
     /* 2109191 */   // Label 28038: @2109191
     /* 2109191 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2109236), // Rule ID 47587 //
     /* 2109196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2109199 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2109202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109235 */     // GIR_Coverage, 47587,
     /* 2109235 */     GIR_EraseRootFromParent_Done,
     /* 2109236 */   // Label 28039: @2109236
     /* 2109236 */   GIM_Reject,
     /* 2109237 */ // Label 28037: @2109237
     /* 2109237 */ GIM_Reject,
     /* 2109238 */ // Label 27974: @2109238
     /* 2109238 */ GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2109352),
     /* 2109243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2109246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2109249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109261 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2109306), // Rule ID 47542 //
     /* 2109266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109269 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2109272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2109286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109305 */     // GIR_Coverage, 47542,
     /* 2109305 */     GIR_EraseRootFromParent_Done,
     /* 2109306 */   // Label 28041: @2109306
     /* 2109306 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2109351), // Rule ID 47543 //
     /* 2109311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109314 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2109317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2109331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109350 */     // GIR_Coverage, 47543,
     /* 2109350 */     GIR_EraseRootFromParent_Done,
     /* 2109351 */   // Label 28042: @2109351
     /* 2109351 */   GIM_Reject,
     /* 2109352 */ // Label 28040: @2109352
     /* 2109352 */ GIM_Reject,
     /* 2109353 */ // Label 27975: @2109353
     /* 2109353 */ GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2109467),
     /* 2109358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2109361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2109364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109376 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2109421), // Rule ID 47558 //
     /* 2109381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109384 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2109387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109420 */     // GIR_Coverage, 47558,
     /* 2109420 */     GIR_EraseRootFromParent_Done,
     /* 2109421 */   // Label 28044: @2109421
     /* 2109421 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2109466), // Rule ID 47559 //
     /* 2109426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109429 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2109432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109465 */     // GIR_Coverage, 47559,
     /* 2109465 */     GIR_EraseRootFromParent_Done,
     /* 2109466 */   // Label 28045: @2109466
     /* 2109466 */   GIM_Reject,
     /* 2109467 */ // Label 28043: @2109467
     /* 2109467 */ GIM_Reject,
     /* 2109468 */ // Label 27976: @2109468
     /* 2109468 */ GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2109582),
     /* 2109473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2109476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109491 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2109536), // Rule ID 47574 //
     /* 2109496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109499 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2109502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109535 */     // GIR_Coverage, 47574,
     /* 2109535 */     GIR_EraseRootFromParent_Done,
     /* 2109536 */   // Label 28047: @2109536
     /* 2109536 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2109581), // Rule ID 47575 //
     /* 2109541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109544 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2109547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109580 */     // GIR_Coverage, 47575,
     /* 2109580 */     GIR_EraseRootFromParent_Done,
     /* 2109581 */   // Label 28048: @2109581
     /* 2109581 */   GIM_Reject,
     /* 2109582 */ // Label 28046: @2109582
     /* 2109582 */ GIM_Reject,
     /* 2109583 */ // Label 27977: @2109583
     /* 2109583 */ GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2109697),
     /* 2109588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2109591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2109594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109606 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2109651), // Rule ID 47546 //
     /* 2109611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109614 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2109617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109650 */     // GIR_Coverage, 47546,
     /* 2109650 */     GIR_EraseRootFromParent_Done,
     /* 2109651 */   // Label 28050: @2109651
     /* 2109651 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2109696), // Rule ID 47547 //
     /* 2109656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109659 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2109662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2109676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109695 */     // GIR_Coverage, 47547,
     /* 2109695 */     GIR_EraseRootFromParent_Done,
     /* 2109696 */   // Label 28051: @2109696
     /* 2109696 */   GIM_Reject,
     /* 2109697 */ // Label 28049: @2109697
     /* 2109697 */ GIM_Reject,
     /* 2109698 */ // Label 27978: @2109698
     /* 2109698 */ GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2109812),
     /* 2109703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2109706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2109709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109721 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2109766), // Rule ID 47562 //
     /* 2109726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109729 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2109732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109765 */     // GIR_Coverage, 47562,
     /* 2109765 */     GIR_EraseRootFromParent_Done,
     /* 2109766 */   // Label 28053: @2109766
     /* 2109766 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2109811), // Rule ID 47563 //
     /* 2109771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109774 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2109777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109810 */     // GIR_Coverage, 47563,
     /* 2109810 */     GIR_EraseRootFromParent_Done,
     /* 2109811 */   // Label 28054: @2109811
     /* 2109811 */   GIM_Reject,
     /* 2109812 */ // Label 28052: @2109812
     /* 2109812 */ GIM_Reject,
     /* 2109813 */ // Label 27979: @2109813
     /* 2109813 */ GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2109927),
     /* 2109818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2109821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2109824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109836 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2109881), // Rule ID 47550 //
     /* 2109841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109844 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2109844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2109847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109880 */     // GIR_Coverage, 47550,
     /* 2109880 */     GIR_EraseRootFromParent_Done,
     /* 2109881 */   // Label 28056: @2109881
     /* 2109881 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2109926), // Rule ID 47551 //
     /* 2109886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109889 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2109889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2109892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2109896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2109903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2109906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2109911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2109913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2109915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2109918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109925 */     // GIR_Coverage, 47551,
     /* 2109925 */     GIR_EraseRootFromParent_Done,
     /* 2109926 */   // Label 28057: @2109926
     /* 2109926 */   GIM_Reject,
     /* 2109927 */ // Label 28055: @2109927
     /* 2109927 */ GIM_Reject,
     /* 2109928 */ // Label 27980: @2109928
     /* 2109928 */ GIM_Reject,
     /* 2109929 */ // Label 44: @2109929
     /* 2109929 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28082*/ GIMT_Encode4(2112959),
     /* 2109940 */ /*GILLT_s32*//*Label 28058*/ GIMT_Encode4(2110064),
     /* 2109944 */ /*GILLT_s64*//*Label 28059*/ GIMT_Encode4(2110148), GIMT_Encode4(0),
     /* 2109952 */ /*GILLT_nxv1s8*//*Label 28060*/ GIMT_Encode4(2110429),
     /* 2109956 */ /*GILLT_nxv1s16*//*Label 28061*/ GIMT_Encode4(2110544),
     /* 2109960 */ /*GILLT_nxv1s32*//*Label 28062*/ GIMT_Encode4(2110659),
     /* 2109964 */ /*GILLT_nxv1s64*//*Label 28063*/ GIMT_Encode4(2110774), GIMT_Encode4(0),
     /* 2109972 */ /*GILLT_nxv2s8*//*Label 28064*/ GIMT_Encode4(2110889),
     /* 2109976 */ /*GILLT_nxv2s16*//*Label 28065*/ GIMT_Encode4(2111004),
     /* 2109980 */ /*GILLT_nxv2s32*//*Label 28066*/ GIMT_Encode4(2111119),
     /* 2109984 */ /*GILLT_nxv2s64*//*Label 28067*/ GIMT_Encode4(2111234), GIMT_Encode4(0),
     /* 2109992 */ /*GILLT_nxv4s8*//*Label 28068*/ GIMT_Encode4(2111349),
     /* 2109996 */ /*GILLT_nxv4s16*//*Label 28069*/ GIMT_Encode4(2111464),
     /* 2110000 */ /*GILLT_nxv4s32*//*Label 28070*/ GIMT_Encode4(2111579),
     /* 2110004 */ /*GILLT_nxv4s64*//*Label 28071*/ GIMT_Encode4(2111694), GIMT_Encode4(0),
     /* 2110012 */ /*GILLT_nxv8s8*//*Label 28072*/ GIMT_Encode4(2111809),
     /* 2110016 */ /*GILLT_nxv8s16*//*Label 28073*/ GIMT_Encode4(2111924),
     /* 2110020 */ /*GILLT_nxv8s32*//*Label 28074*/ GIMT_Encode4(2112039),
     /* 2110024 */ /*GILLT_nxv8s64*//*Label 28075*/ GIMT_Encode4(2112154), GIMT_Encode4(0),
     /* 2110032 */ /*GILLT_nxv16s8*//*Label 28076*/ GIMT_Encode4(2112269),
     /* 2110036 */ /*GILLT_nxv16s16*//*Label 28077*/ GIMT_Encode4(2112384),
     /* 2110040 */ /*GILLT_nxv16s32*//*Label 28078*/ GIMT_Encode4(2112499), GIMT_Encode4(0),
     /* 2110048 */ /*GILLT_nxv32s8*//*Label 28079*/ GIMT_Encode4(2112614),
     /* 2110052 */ /*GILLT_nxv32s16*//*Label 28080*/ GIMT_Encode4(2112729), GIMT_Encode4(0),
     /* 2110060 */ /*GILLT_nxv64s8*//*Label 28081*/ GIMT_Encode4(2112844),
     /* 2110064 */ // Label 28058: @2110064
     /* 2110064 */ GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2110147),
     /* 2110069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2110072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2110075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110083 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2110117), // Rule ID 93 //
     /* 2110088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2110091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2110095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2110099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2110103 */     // MIs[1] Operand 1
     /* 2110103 */     // No operand predicates
     /* 2110103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2110105 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2110105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2110108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2110115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110116 */     // GIR_Coverage, 93,
     /* 2110116 */     GIR_EraseRootFromParent_Done,
     /* 2110117 */   // Label 28084: @2110117
     /* 2110117 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2110146), // Rule ID 107 //
     /* 2110122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2110125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2110132 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2110132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2110135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2110144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110145 */     // GIR_Coverage, 107,
     /* 2110145 */     GIR_EraseRootFromParent_Done,
     /* 2110146 */   // Label 28085: @2110146
     /* 2110146 */   GIM_Reject,
     /* 2110147 */ // Label 28083: @2110147
     /* 2110147 */ GIM_Reject,
     /* 2110148 */ // Label 28059: @2110148
     /* 2110148 */ GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2110428),
     /* 2110153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2110156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2110159 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2110231), // Rule ID 257 //
     /* 2110164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2110167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2110175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2110179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2110183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2110187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110192 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2110203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2110207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2110211 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2110215 */     // MIs[2] Operand 1
     /* 2110215 */     // No operand predicates
     /* 2110215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2110217 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2110217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2110220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2110226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2110229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110230 */     // GIR_Coverage, 257,
     /* 2110230 */     GIR_EraseRootFromParent_Done,
     /* 2110231 */   // Label 28087: @2110231
     /* 2110231 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2110276), // Rule ID 61880 //
     /* 2110236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2110239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2110247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2110251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2110255 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2110259 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9636),
     /* 2110263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2110265 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_9636>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2110265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2110268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2110274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110275 */     // GIR_Coverage, 61880,
     /* 2110275 */     GIR_EraseRootFromParent_Done,
     /* 2110276 */   // Label 28088: @2110276
     /* 2110276 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2110348), // Rule ID 269 //
     /* 2110281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2110284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2110292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2110296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2110300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110305 */     // MIs[1] Operand 2
     /* 2110305 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2110316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2110320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2110324 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2110328 */     // MIs[2] Operand 1
     /* 2110328 */     // No operand predicates
     /* 2110328 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9636),
     /* 2110332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2110334 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_9636>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2110334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2110337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2110343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2110346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110347 */     // GIR_Coverage, 269,
     /* 2110347 */     GIR_EraseRootFromParent_Done,
     /* 2110348 */   // Label 28089: @2110348
     /* 2110348 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2110390), // Rule ID 92 //
     /* 2110353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2110356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2110368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2110372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2110376 */     // MIs[1] Operand 1
     /* 2110376 */     // No operand predicates
     /* 2110376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2110378 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2110378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2110381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2110388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110389 */     // GIR_Coverage, 92,
     /* 2110389 */     GIR_EraseRootFromParent_Done,
     /* 2110390 */   // Label 28090: @2110390
     /* 2110390 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2110427), // Rule ID 106 //
     /* 2110395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2110398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2110413 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2110413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2110416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2110425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110426 */     // GIR_Coverage, 106,
     /* 2110426 */     GIR_EraseRootFromParent_Done,
     /* 2110427 */   // Label 28091: @2110427
     /* 2110427 */   GIM_Reject,
     /* 2110428 */ // Label 28086: @2110428
     /* 2110428 */ GIM_Reject,
     /* 2110429 */ // Label 28060: @2110429
     /* 2110429 */ GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2110543),
     /* 2110434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2110437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2110440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110452 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2110497), // Rule ID 47634 //
     /* 2110457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110460 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2110460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2110463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2110477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110496 */     // GIR_Coverage, 47634,
     /* 2110496 */     GIR_EraseRootFromParent_Done,
     /* 2110497 */   // Label 28093: @2110497
     /* 2110497 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2110542), // Rule ID 47635 //
     /* 2110502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110505 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2110505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2110508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2110522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110541 */     // GIR_Coverage, 47635,
     /* 2110541 */     GIR_EraseRootFromParent_Done,
     /* 2110542 */   // Label 28094: @2110542
     /* 2110542 */   GIM_Reject,
     /* 2110543 */ // Label 28092: @2110543
     /* 2110543 */ GIM_Reject,
     /* 2110544 */ // Label 28061: @2110544
     /* 2110544 */ GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2110658),
     /* 2110549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2110552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2110555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110567 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2110612), // Rule ID 47646 //
     /* 2110572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110575 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2110575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2110578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2110592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110611 */     // GIR_Coverage, 47646,
     /* 2110611 */     GIR_EraseRootFromParent_Done,
     /* 2110612 */   // Label 28096: @2110612
     /* 2110612 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2110657), // Rule ID 47647 //
     /* 2110617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110620 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2110620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2110623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2110637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110656 */     // GIR_Coverage, 47647,
     /* 2110656 */     GIR_EraseRootFromParent_Done,
     /* 2110657 */   // Label 28097: @2110657
     /* 2110657 */   GIM_Reject,
     /* 2110658 */ // Label 28095: @2110658
     /* 2110658 */ GIM_Reject,
     /* 2110659 */ // Label 28062: @2110659
     /* 2110659 */ GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2110773),
     /* 2110664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2110667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110682 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2110727), // Rule ID 47654 //
     /* 2110687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110690 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2110690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2110693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2110707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110726 */     // GIR_Coverage, 47654,
     /* 2110726 */     GIR_EraseRootFromParent_Done,
     /* 2110727 */   // Label 28099: @2110727
     /* 2110727 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2110772), // Rule ID 47655 //
     /* 2110732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110735 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2110735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2110738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2110752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110771 */     // GIR_Coverage, 47655,
     /* 2110771 */     GIR_EraseRootFromParent_Done,
     /* 2110772 */   // Label 28100: @2110772
     /* 2110772 */   GIM_Reject,
     /* 2110773 */ // Label 28098: @2110773
     /* 2110773 */ GIM_Reject,
     /* 2110774 */ // Label 28063: @2110774
     /* 2110774 */ GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2110888),
     /* 2110779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2110782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110797 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2110842), // Rule ID 47670 //
     /* 2110802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2110805 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2110805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2110808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2110822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110841 */     // GIR_Coverage, 47670,
     /* 2110841 */     GIR_EraseRootFromParent_Done,
     /* 2110842 */   // Label 28102: @2110842
     /* 2110842 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2110887), // Rule ID 47671 //
     /* 2110847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2110850 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2110850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2110853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2110867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110886 */     // GIR_Coverage, 47671,
     /* 2110886 */     GIR_EraseRootFromParent_Done,
     /* 2110887 */   // Label 28103: @2110887
     /* 2110887 */   GIM_Reject,
     /* 2110888 */ // Label 28101: @2110888
     /* 2110888 */ GIM_Reject,
     /* 2110889 */ // Label 28064: @2110889
     /* 2110889 */ GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2111003),
     /* 2110894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2110897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2110900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110912 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2110957), // Rule ID 47638 //
     /* 2110917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110920 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2110920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2110923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2110937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110956 */     // GIR_Coverage, 47638,
     /* 2110956 */     GIR_EraseRootFromParent_Done,
     /* 2110957 */   // Label 28105: @2110957
     /* 2110957 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2111002), // Rule ID 47639 //
     /* 2110962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110965 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2110965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2110968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2110972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2110979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2110982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2110987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2110989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2110991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2110994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111001 */     // GIR_Coverage, 47639,
     /* 2111001 */     GIR_EraseRootFromParent_Done,
     /* 2111002 */   // Label 28106: @2111002
     /* 2111002 */   GIM_Reject,
     /* 2111003 */ // Label 28104: @2111003
     /* 2111003 */ GIM_Reject,
     /* 2111004 */ // Label 28065: @2111004
     /* 2111004 */ GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2111118),
     /* 2111009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2111012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2111015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111027 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2111072), // Rule ID 47650 //
     /* 2111032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111035 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2111038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2111052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111071 */     // GIR_Coverage, 47650,
     /* 2111071 */     GIR_EraseRootFromParent_Done,
     /* 2111072 */   // Label 28108: @2111072
     /* 2111072 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2111117), // Rule ID 47651 //
     /* 2111077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111080 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2111083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2111097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111116 */     // GIR_Coverage, 47651,
     /* 2111116 */     GIR_EraseRootFromParent_Done,
     /* 2111117 */   // Label 28109: @2111117
     /* 2111117 */   GIM_Reject,
     /* 2111118 */ // Label 28107: @2111118
     /* 2111118 */ GIM_Reject,
     /* 2111119 */ // Label 28066: @2111119
     /* 2111119 */ GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2111233),
     /* 2111124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2111127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2111130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111142 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2111187), // Rule ID 47666 //
     /* 2111147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111150 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2111153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111186 */     // GIR_Coverage, 47666,
     /* 2111186 */     GIR_EraseRootFromParent_Done,
     /* 2111187 */   // Label 28111: @2111187
     /* 2111187 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2111232), // Rule ID 47667 //
     /* 2111192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111195 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2111198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111231 */     // GIR_Coverage, 47667,
     /* 2111231 */     GIR_EraseRootFromParent_Done,
     /* 2111232 */   // Label 28112: @2111232
     /* 2111232 */   GIM_Reject,
     /* 2111233 */ // Label 28110: @2111233
     /* 2111233 */ GIM_Reject,
     /* 2111234 */ // Label 28067: @2111234
     /* 2111234 */ GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2111348),
     /* 2111239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2111242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111257 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2111302), // Rule ID 47710 //
     /* 2111262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2111265 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2111268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2111282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111301 */     // GIR_Coverage, 47710,
     /* 2111301 */     GIR_EraseRootFromParent_Done,
     /* 2111302 */   // Label 28114: @2111302
     /* 2111302 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2111347), // Rule ID 47711 //
     /* 2111307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2111310 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2111313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2111327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111346 */     // GIR_Coverage, 47711,
     /* 2111346 */     GIR_EraseRootFromParent_Done,
     /* 2111347 */   // Label 28115: @2111347
     /* 2111347 */   GIM_Reject,
     /* 2111348 */ // Label 28113: @2111348
     /* 2111348 */ GIM_Reject,
     /* 2111349 */ // Label 28068: @2111349
     /* 2111349 */ GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2111463),
     /* 2111354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2111357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2111360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111372 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2111417), // Rule ID 47642 //
     /* 2111377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111380 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2111383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2111397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111416 */     // GIR_Coverage, 47642,
     /* 2111416 */     GIR_EraseRootFromParent_Done,
     /* 2111417 */   // Label 28117: @2111417
     /* 2111417 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2111462), // Rule ID 47643 //
     /* 2111422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111425 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2111428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2111442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111461 */     // GIR_Coverage, 47643,
     /* 2111461 */     GIR_EraseRootFromParent_Done,
     /* 2111462 */   // Label 28118: @2111462
     /* 2111462 */   GIM_Reject,
     /* 2111463 */ // Label 28116: @2111463
     /* 2111463 */ GIM_Reject,
     /* 2111464 */ // Label 28069: @2111464
     /* 2111464 */ GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2111578),
     /* 2111469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2111472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2111475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111487 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2111532), // Rule ID 47662 //
     /* 2111492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111495 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2111498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111531 */     // GIR_Coverage, 47662,
     /* 2111531 */     GIR_EraseRootFromParent_Done,
     /* 2111532 */   // Label 28120: @2111532
     /* 2111532 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2111577), // Rule ID 47663 //
     /* 2111537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111540 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2111543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111576 */     // GIR_Coverage, 47663,
     /* 2111576 */     GIR_EraseRootFromParent_Done,
     /* 2111577 */   // Label 28121: @2111577
     /* 2111577 */   GIM_Reject,
     /* 2111578 */ // Label 28119: @2111578
     /* 2111578 */ GIM_Reject,
     /* 2111579 */ // Label 28070: @2111579
     /* 2111579 */ GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2111693),
     /* 2111584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2111587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111602 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2111647), // Rule ID 47698 //
     /* 2111607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111610 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2111613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2111627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111646 */     // GIR_Coverage, 47698,
     /* 2111646 */     GIR_EraseRootFromParent_Done,
     /* 2111647 */   // Label 28123: @2111647
     /* 2111647 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2111692), // Rule ID 47699 //
     /* 2111652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111655 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2111658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2111672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111691 */     // GIR_Coverage, 47699,
     /* 2111691 */     GIR_EraseRootFromParent_Done,
     /* 2111692 */   // Label 28124: @2111692
     /* 2111692 */   GIM_Reject,
     /* 2111693 */ // Label 28122: @2111693
     /* 2111693 */ GIM_Reject,
     /* 2111694 */ // Label 28071: @2111694
     /* 2111694 */ GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2111808),
     /* 2111699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2111702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111717 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2111762), // Rule ID 47714 //
     /* 2111722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2111725 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2111728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2111742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111761 */     // GIR_Coverage, 47714,
     /* 2111761 */     GIR_EraseRootFromParent_Done,
     /* 2111762 */   // Label 28126: @2111762
     /* 2111762 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2111807), // Rule ID 47715 //
     /* 2111767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2111770 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2111773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2111787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111806 */     // GIR_Coverage, 47715,
     /* 2111806 */     GIR_EraseRootFromParent_Done,
     /* 2111807 */   // Label 28127: @2111807
     /* 2111807 */   GIM_Reject,
     /* 2111808 */ // Label 28125: @2111808
     /* 2111808 */ GIM_Reject,
     /* 2111809 */ // Label 28072: @2111809
     /* 2111809 */ GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2111923),
     /* 2111814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2111817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2111820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111832 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2111877), // Rule ID 47658 //
     /* 2111837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111840 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2111843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111876 */     // GIR_Coverage, 47658,
     /* 2111876 */     GIR_EraseRootFromParent_Done,
     /* 2111877 */   // Label 28129: @2111877
     /* 2111877 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2111922), // Rule ID 47659 //
     /* 2111882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111885 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2111885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2111888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2111902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111921 */     // GIR_Coverage, 47659,
     /* 2111921 */     GIR_EraseRootFromParent_Done,
     /* 2111922 */   // Label 28130: @2111922
     /* 2111922 */   GIM_Reject,
     /* 2111923 */ // Label 28128: @2111923
     /* 2111923 */ GIM_Reject,
     /* 2111924 */ // Label 28073: @2111924
     /* 2111924 */ GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2112038),
     /* 2111929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2111932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111947 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2111992), // Rule ID 47686 //
     /* 2111952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111955 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2111955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2111958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2111962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2111969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2111972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2111977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2111979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2111981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2111984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111991 */     // GIR_Coverage, 47686,
     /* 2111991 */     GIR_EraseRootFromParent_Done,
     /* 2111992 */   // Label 28132: @2111992
     /* 2111992 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2112037), // Rule ID 47687 //
     /* 2111997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112000 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2112003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2112017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112036 */     // GIR_Coverage, 47687,
     /* 2112036 */     GIR_EraseRootFromParent_Done,
     /* 2112037 */   // Label 28133: @2112037
     /* 2112037 */   GIM_Reject,
     /* 2112038 */ // Label 28131: @2112038
     /* 2112038 */ GIM_Reject,
     /* 2112039 */ // Label 28074: @2112039
     /* 2112039 */ GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2112153),
     /* 2112044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2112047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112062 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2112107), // Rule ID 47702 //
     /* 2112067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112070 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2112073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112106 */     // GIR_Coverage, 47702,
     /* 2112106 */     GIR_EraseRootFromParent_Done,
     /* 2112107 */   // Label 28135: @2112107
     /* 2112107 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2112152), // Rule ID 47703 //
     /* 2112112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112115 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2112118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112151 */     // GIR_Coverage, 47703,
     /* 2112151 */     GIR_EraseRootFromParent_Done,
     /* 2112152 */   // Label 28136: @2112152
     /* 2112152 */   GIM_Reject,
     /* 2112153 */ // Label 28134: @2112153
     /* 2112153 */ GIM_Reject,
     /* 2112154 */ // Label 28075: @2112154
     /* 2112154 */ GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2112268),
     /* 2112159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2112162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112177 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2112222), // Rule ID 47718 //
     /* 2112182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2112185 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2112188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112221 */     // GIR_Coverage, 47718,
     /* 2112221 */     GIR_EraseRootFromParent_Done,
     /* 2112222 */   // Label 28138: @2112222
     /* 2112222 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2112267), // Rule ID 47719 //
     /* 2112227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2112230 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2112233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112266 */     // GIR_Coverage, 47719,
     /* 2112266 */     GIR_EraseRootFromParent_Done,
     /* 2112267 */   // Label 28139: @2112267
     /* 2112267 */   GIM_Reject,
     /* 2112268 */ // Label 28137: @2112268
     /* 2112268 */ GIM_Reject,
     /* 2112269 */ // Label 28076: @2112269
     /* 2112269 */ GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2112383),
     /* 2112274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2112277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2112280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112292 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2112337), // Rule ID 47674 //
     /* 2112297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112300 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2112303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2112317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112336 */     // GIR_Coverage, 47674,
     /* 2112336 */     GIR_EraseRootFromParent_Done,
     /* 2112337 */   // Label 28141: @2112337
     /* 2112337 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2112382), // Rule ID 47675 //
     /* 2112342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112345 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2112348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2112362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112381 */     // GIR_Coverage, 47675,
     /* 2112381 */     GIR_EraseRootFromParent_Done,
     /* 2112382 */   // Label 28142: @2112382
     /* 2112382 */   GIM_Reject,
     /* 2112383 */ // Label 28140: @2112383
     /* 2112383 */ GIM_Reject,
     /* 2112384 */ // Label 28077: @2112384
     /* 2112384 */ GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2112498),
     /* 2112389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2112392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2112395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112407 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2112452), // Rule ID 47690 //
     /* 2112412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112415 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2112418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112451 */     // GIR_Coverage, 47690,
     /* 2112451 */     GIR_EraseRootFromParent_Done,
     /* 2112452 */   // Label 28144: @2112452
     /* 2112452 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2112497), // Rule ID 47691 //
     /* 2112457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112460 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2112463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112496 */     // GIR_Coverage, 47691,
     /* 2112496 */     GIR_EraseRootFromParent_Done,
     /* 2112497 */   // Label 28145: @2112497
     /* 2112497 */   GIM_Reject,
     /* 2112498 */ // Label 28143: @2112498
     /* 2112498 */ GIM_Reject,
     /* 2112499 */ // Label 28078: @2112499
     /* 2112499 */ GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2112613),
     /* 2112504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2112507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112522 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2112567), // Rule ID 47706 //
     /* 2112527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112530 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2112533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112566 */     // GIR_Coverage, 47706,
     /* 2112566 */     GIR_EraseRootFromParent_Done,
     /* 2112567 */   // Label 28147: @2112567
     /* 2112567 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2112612), // Rule ID 47707 //
     /* 2112572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112575 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2112578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112611 */     // GIR_Coverage, 47707,
     /* 2112611 */     GIR_EraseRootFromParent_Done,
     /* 2112612 */   // Label 28148: @2112612
     /* 2112612 */   GIM_Reject,
     /* 2112613 */ // Label 28146: @2112613
     /* 2112613 */ GIM_Reject,
     /* 2112614 */ // Label 28079: @2112614
     /* 2112614 */ GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2112728),
     /* 2112619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2112622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2112625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112637 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2112682), // Rule ID 47678 //
     /* 2112642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112645 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2112648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112681 */     // GIR_Coverage, 47678,
     /* 2112681 */     GIR_EraseRootFromParent_Done,
     /* 2112682 */   // Label 28150: @2112682
     /* 2112682 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2112727), // Rule ID 47679 //
     /* 2112687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112690 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2112693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2112707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112726 */     // GIR_Coverage, 47679,
     /* 2112726 */     GIR_EraseRootFromParent_Done,
     /* 2112727 */   // Label 28151: @2112727
     /* 2112727 */   GIM_Reject,
     /* 2112728 */ // Label 28149: @2112728
     /* 2112728 */ GIM_Reject,
     /* 2112729 */ // Label 28080: @2112729
     /* 2112729 */ GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2112843),
     /* 2112734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2112737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2112740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112752 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2112797), // Rule ID 47694 //
     /* 2112757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112760 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2112763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112796 */     // GIR_Coverage, 47694,
     /* 2112796 */     GIR_EraseRootFromParent_Done,
     /* 2112797 */   // Label 28153: @2112797
     /* 2112797 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2112842), // Rule ID 47695 //
     /* 2112802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112805 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2112808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112841 */     // GIR_Coverage, 47695,
     /* 2112841 */     GIR_EraseRootFromParent_Done,
     /* 2112842 */   // Label 28154: @2112842
     /* 2112842 */   GIM_Reject,
     /* 2112843 */ // Label 28152: @2112843
     /* 2112843 */ GIM_Reject,
     /* 2112844 */ // Label 28081: @2112844
     /* 2112844 */ GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2112958),
     /* 2112849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2112852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2112855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112867 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2112912), // Rule ID 47682 //
     /* 2112872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112875 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2112875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2112878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112911 */     // GIR_Coverage, 47682,
     /* 2112911 */     GIR_EraseRootFromParent_Done,
     /* 2112912 */   // Label 28156: @2112912
     /* 2112912 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2112957), // Rule ID 47683 //
     /* 2112917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112920 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2112920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2112923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2112927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2112934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2112937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2112942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2112944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2112946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2112949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2112955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112956 */     // GIR_Coverage, 47683,
     /* 2112956 */     GIR_EraseRootFromParent_Done,
     /* 2112957 */   // Label 28157: @2112957
     /* 2112957 */   GIM_Reject,
     /* 2112958 */ // Label 28155: @2112958
     /* 2112958 */ GIM_Reject,
     /* 2112959 */ // Label 28082: @2112959
     /* 2112959 */ GIM_Reject,
     /* 2112960 */ // Label 45: @2112960
     /* 2112960 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28182*/ GIMT_Encode4(2115898),
     /* 2112971 */ /*GILLT_s32*//*Label 28158*/ GIMT_Encode4(2113095),
     /* 2112975 */ /*GILLT_s64*//*Label 28159*/ GIMT_Encode4(2113179), GIMT_Encode4(0),
     /* 2112983 */ /*GILLT_nxv1s8*//*Label 28160*/ GIMT_Encode4(2113368),
     /* 2112987 */ /*GILLT_nxv1s16*//*Label 28161*/ GIMT_Encode4(2113483),
     /* 2112991 */ /*GILLT_nxv1s32*//*Label 28162*/ GIMT_Encode4(2113598),
     /* 2112995 */ /*GILLT_nxv1s64*//*Label 28163*/ GIMT_Encode4(2113713), GIMT_Encode4(0),
     /* 2113003 */ /*GILLT_nxv2s8*//*Label 28164*/ GIMT_Encode4(2113828),
     /* 2113007 */ /*GILLT_nxv2s16*//*Label 28165*/ GIMT_Encode4(2113943),
     /* 2113011 */ /*GILLT_nxv2s32*//*Label 28166*/ GIMT_Encode4(2114058),
     /* 2113015 */ /*GILLT_nxv2s64*//*Label 28167*/ GIMT_Encode4(2114173), GIMT_Encode4(0),
     /* 2113023 */ /*GILLT_nxv4s8*//*Label 28168*/ GIMT_Encode4(2114288),
     /* 2113027 */ /*GILLT_nxv4s16*//*Label 28169*/ GIMT_Encode4(2114403),
     /* 2113031 */ /*GILLT_nxv4s32*//*Label 28170*/ GIMT_Encode4(2114518),
     /* 2113035 */ /*GILLT_nxv4s64*//*Label 28171*/ GIMT_Encode4(2114633), GIMT_Encode4(0),
     /* 2113043 */ /*GILLT_nxv8s8*//*Label 28172*/ GIMT_Encode4(2114748),
     /* 2113047 */ /*GILLT_nxv8s16*//*Label 28173*/ GIMT_Encode4(2114863),
     /* 2113051 */ /*GILLT_nxv8s32*//*Label 28174*/ GIMT_Encode4(2114978),
     /* 2113055 */ /*GILLT_nxv8s64*//*Label 28175*/ GIMT_Encode4(2115093), GIMT_Encode4(0),
     /* 2113063 */ /*GILLT_nxv16s8*//*Label 28176*/ GIMT_Encode4(2115208),
     /* 2113067 */ /*GILLT_nxv16s16*//*Label 28177*/ GIMT_Encode4(2115323),
     /* 2113071 */ /*GILLT_nxv16s32*//*Label 28178*/ GIMT_Encode4(2115438), GIMT_Encode4(0),
     /* 2113079 */ /*GILLT_nxv32s8*//*Label 28179*/ GIMT_Encode4(2115553),
     /* 2113083 */ /*GILLT_nxv32s16*//*Label 28180*/ GIMT_Encode4(2115668), GIMT_Encode4(0),
     /* 2113091 */ /*GILLT_nxv64s8*//*Label 28181*/ GIMT_Encode4(2115783),
     /* 2113095 */ // Label 28158: @2113095
     /* 2113095 */ GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2113178),
     /* 2113100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2113103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2113106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113114 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2113148), // Rule ID 95 //
     /* 2113119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2113122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2113126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2113130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2113134 */     // MIs[1] Operand 1
     /* 2113134 */     // No operand predicates
     /* 2113134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2113136 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2113136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2113139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2113146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113147 */     // GIR_Coverage, 95,
     /* 2113147 */     GIR_EraseRootFromParent_Done,
     /* 2113148 */   // Label 28184: @2113148
     /* 2113148 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2113177), // Rule ID 109 //
     /* 2113153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2113156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2113163 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2113163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2113166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2113175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113176 */     // GIR_Coverage, 109,
     /* 2113176 */     GIR_EraseRootFromParent_Done,
     /* 2113177 */   // Label 28185: @2113177
     /* 2113177 */   GIM_Reject,
     /* 2113178 */ // Label 28183: @2113178
     /* 2113178 */ GIM_Reject,
     /* 2113179 */ // Label 28159: @2113179
     /* 2113179 */ GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2113367),
     /* 2113184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2113187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2113190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113194 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2113231), // Rule ID 61879 //
     /* 2113199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2113202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2113206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2113210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2113214 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2113218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2113220 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2113220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2113223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2113229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113230 */     // GIR_Coverage, 61879,
     /* 2113230 */     GIR_EraseRootFromParent_Done,
     /* 2113231 */   // Label 28187: @2113231
     /* 2113231 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2113295), // Rule ID 259 //
     /* 2113236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2113239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2113243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2113247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2113251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113256 */     // MIs[1] Operand 2
     /* 2113256 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2113267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2113271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2113275 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2113279 */     // MIs[2] Operand 1
     /* 2113279 */     // No operand predicates
     /* 2113279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2113281 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2113281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2113284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2113290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2113293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113294 */     // GIR_Coverage, 259,
     /* 2113294 */     GIR_EraseRootFromParent_Done,
     /* 2113295 */   // Label 28188: @2113295
     /* 2113295 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2113333), // Rule ID 94 //
     /* 2113300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2113303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2113311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2113315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2113319 */     // MIs[1] Operand 1
     /* 2113319 */     // No operand predicates
     /* 2113319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2113321 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2113321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2113324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2113331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113332 */     // GIR_Coverage, 94,
     /* 2113332 */     GIR_EraseRootFromParent_Done,
     /* 2113333 */   // Label 28189: @2113333
     /* 2113333 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2113366), // Rule ID 108 //
     /* 2113338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2113341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2113352 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2113352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2113355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2113364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113365 */     // GIR_Coverage, 108,
     /* 2113365 */     GIR_EraseRootFromParent_Done,
     /* 2113366 */   // Label 28190: @2113366
     /* 2113366 */   GIM_Reject,
     /* 2113367 */ // Label 28186: @2113367
     /* 2113367 */ GIM_Reject,
     /* 2113368 */ // Label 28160: @2113368
     /* 2113368 */ GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2113482),
     /* 2113373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2113376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2113379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113391 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2113436), // Rule ID 47766 //
     /* 2113396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113399 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2113402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2113416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113435 */     // GIR_Coverage, 47766,
     /* 2113435 */     GIR_EraseRootFromParent_Done,
     /* 2113436 */   // Label 28192: @2113436
     /* 2113436 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2113481), // Rule ID 47767 //
     /* 2113441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113444 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2113444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2113447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2113461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113480 */     // GIR_Coverage, 47767,
     /* 2113480 */     GIR_EraseRootFromParent_Done,
     /* 2113481 */   // Label 28193: @2113481
     /* 2113481 */   GIM_Reject,
     /* 2113482 */ // Label 28191: @2113482
     /* 2113482 */ GIM_Reject,
     /* 2113483 */ // Label 28161: @2113483
     /* 2113483 */ GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2113597),
     /* 2113488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2113491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2113494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113506 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2113551), // Rule ID 47778 //
     /* 2113511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113514 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2113517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2113531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113550 */     // GIR_Coverage, 47778,
     /* 2113550 */     GIR_EraseRootFromParent_Done,
     /* 2113551 */   // Label 28195: @2113551
     /* 2113551 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2113596), // Rule ID 47779 //
     /* 2113556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113559 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2113559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2113562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2113576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113595 */     // GIR_Coverage, 47779,
     /* 2113595 */     GIR_EraseRootFromParent_Done,
     /* 2113596 */   // Label 28196: @2113596
     /* 2113596 */   GIM_Reject,
     /* 2113597 */ // Label 28194: @2113597
     /* 2113597 */ GIM_Reject,
     /* 2113598 */ // Label 28162: @2113598
     /* 2113598 */ GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2113712),
     /* 2113603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2113606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113621 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2113666), // Rule ID 47786 //
     /* 2113626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113629 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2113632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2113646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113665 */     // GIR_Coverage, 47786,
     /* 2113665 */     GIR_EraseRootFromParent_Done,
     /* 2113666 */   // Label 28198: @2113666
     /* 2113666 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2113711), // Rule ID 47787 //
     /* 2113671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113674 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2113674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2113677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2113691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113710 */     // GIR_Coverage, 47787,
     /* 2113710 */     GIR_EraseRootFromParent_Done,
     /* 2113711 */   // Label 28199: @2113711
     /* 2113711 */   GIM_Reject,
     /* 2113712 */ // Label 28197: @2113712
     /* 2113712 */ GIM_Reject,
     /* 2113713 */ // Label 28163: @2113713
     /* 2113713 */ GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2113827),
     /* 2113718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2113721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113736 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2113781), // Rule ID 47802 //
     /* 2113741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2113744 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2113747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2113761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113780 */     // GIR_Coverage, 47802,
     /* 2113780 */     GIR_EraseRootFromParent_Done,
     /* 2113781 */   // Label 28201: @2113781
     /* 2113781 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2113826), // Rule ID 47803 //
     /* 2113786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2113789 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2113789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2113792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2113806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113825 */     // GIR_Coverage, 47803,
     /* 2113825 */     GIR_EraseRootFromParent_Done,
     /* 2113826 */   // Label 28202: @2113826
     /* 2113826 */   GIM_Reject,
     /* 2113827 */ // Label 28200: @2113827
     /* 2113827 */ GIM_Reject,
     /* 2113828 */ // Label 28164: @2113828
     /* 2113828 */ GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2113942),
     /* 2113833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2113836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2113839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113851 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2113896), // Rule ID 47770 //
     /* 2113856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113859 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2113862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2113876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113895 */     // GIR_Coverage, 47770,
     /* 2113895 */     GIR_EraseRootFromParent_Done,
     /* 2113896 */   // Label 28204: @2113896
     /* 2113896 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2113941), // Rule ID 47771 //
     /* 2113901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113904 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2113904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2113907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2113921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2113930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2113933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113940 */     // GIR_Coverage, 47771,
     /* 2113940 */     GIR_EraseRootFromParent_Done,
     /* 2113941 */   // Label 28205: @2113941
     /* 2113941 */   GIM_Reject,
     /* 2113942 */ // Label 28203: @2113942
     /* 2113942 */ GIM_Reject,
     /* 2113943 */ // Label 28165: @2113943
     /* 2113943 */ GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2114057),
     /* 2113948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2113951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2113954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113966 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2114011), // Rule ID 47782 //
     /* 2113971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113974 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2113974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2113977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2113981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2113988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2113991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2113996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2113998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114010 */     // GIR_Coverage, 47782,
     /* 2114010 */     GIR_EraseRootFromParent_Done,
     /* 2114011 */   // Label 28207: @2114011
     /* 2114011 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2114056), // Rule ID 47783 //
     /* 2114016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114019 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2114022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2114036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114055 */     // GIR_Coverage, 47783,
     /* 2114055 */     GIR_EraseRootFromParent_Done,
     /* 2114056 */   // Label 28208: @2114056
     /* 2114056 */   GIM_Reject,
     /* 2114057 */ // Label 28206: @2114057
     /* 2114057 */ GIM_Reject,
     /* 2114058 */ // Label 28166: @2114058
     /* 2114058 */ GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2114172),
     /* 2114063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2114066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114081 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2114126), // Rule ID 47798 //
     /* 2114086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114089 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2114092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114125 */     // GIR_Coverage, 47798,
     /* 2114125 */     GIR_EraseRootFromParent_Done,
     /* 2114126 */   // Label 28210: @2114126
     /* 2114126 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2114171), // Rule ID 47799 //
     /* 2114131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114134 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2114137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114170 */     // GIR_Coverage, 47799,
     /* 2114170 */     GIR_EraseRootFromParent_Done,
     /* 2114171 */   // Label 28211: @2114171
     /* 2114171 */   GIM_Reject,
     /* 2114172 */ // Label 28209: @2114172
     /* 2114172 */ GIM_Reject,
     /* 2114173 */ // Label 28167: @2114173
     /* 2114173 */ GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2114287),
     /* 2114178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2114181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2114184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114196 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2114241), // Rule ID 47842 //
     /* 2114201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2114204 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2114207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114240 */     // GIR_Coverage, 47842,
     /* 2114240 */     GIR_EraseRootFromParent_Done,
     /* 2114241 */   // Label 28213: @2114241
     /* 2114241 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2114286), // Rule ID 47843 //
     /* 2114246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2114249 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2114252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114285 */     // GIR_Coverage, 47843,
     /* 2114285 */     GIR_EraseRootFromParent_Done,
     /* 2114286 */   // Label 28214: @2114286
     /* 2114286 */   GIM_Reject,
     /* 2114287 */ // Label 28212: @2114287
     /* 2114287 */ GIM_Reject,
     /* 2114288 */ // Label 28168: @2114288
     /* 2114288 */ GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2114402),
     /* 2114293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2114296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2114299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114311 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2114356), // Rule ID 47774 //
     /* 2114316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114319 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2114322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2114336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114355 */     // GIR_Coverage, 47774,
     /* 2114355 */     GIR_EraseRootFromParent_Done,
     /* 2114356 */   // Label 28216: @2114356
     /* 2114356 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2114401), // Rule ID 47775 //
     /* 2114361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114364 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2114367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2114381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114400 */     // GIR_Coverage, 47775,
     /* 2114400 */     GIR_EraseRootFromParent_Done,
     /* 2114401 */   // Label 28217: @2114401
     /* 2114401 */   GIM_Reject,
     /* 2114402 */ // Label 28215: @2114402
     /* 2114402 */ GIM_Reject,
     /* 2114403 */ // Label 28169: @2114403
     /* 2114403 */ GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2114517),
     /* 2114408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2114411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2114414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114426 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2114471), // Rule ID 47794 //
     /* 2114431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114434 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2114437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114470 */     // GIR_Coverage, 47794,
     /* 2114470 */     GIR_EraseRootFromParent_Done,
     /* 2114471 */   // Label 28219: @2114471
     /* 2114471 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2114516), // Rule ID 47795 //
     /* 2114476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114479 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2114482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114515 */     // GIR_Coverage, 47795,
     /* 2114515 */     GIR_EraseRootFromParent_Done,
     /* 2114516 */   // Label 28220: @2114516
     /* 2114516 */   GIM_Reject,
     /* 2114517 */ // Label 28218: @2114517
     /* 2114517 */ GIM_Reject,
     /* 2114518 */ // Label 28170: @2114518
     /* 2114518 */ GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2114632),
     /* 2114523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2114526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114541 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2114586), // Rule ID 47830 //
     /* 2114546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114549 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2114552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114585 */     // GIR_Coverage, 47830,
     /* 2114585 */     GIR_EraseRootFromParent_Done,
     /* 2114586 */   // Label 28222: @2114586
     /* 2114586 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2114631), // Rule ID 47831 //
     /* 2114591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114594 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2114597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114630 */     // GIR_Coverage, 47831,
     /* 2114630 */     GIR_EraseRootFromParent_Done,
     /* 2114631 */   // Label 28223: @2114631
     /* 2114631 */   GIM_Reject,
     /* 2114632 */ // Label 28221: @2114632
     /* 2114632 */ GIM_Reject,
     /* 2114633 */ // Label 28171: @2114633
     /* 2114633 */ GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2114747),
     /* 2114638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2114641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114656 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2114701), // Rule ID 47846 //
     /* 2114661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2114664 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2114667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2114681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114700 */     // GIR_Coverage, 47846,
     /* 2114700 */     GIR_EraseRootFromParent_Done,
     /* 2114701 */   // Label 28225: @2114701
     /* 2114701 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2114746), // Rule ID 47847 //
     /* 2114706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2114709 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2114712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2114726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114745 */     // GIR_Coverage, 47847,
     /* 2114745 */     GIR_EraseRootFromParent_Done,
     /* 2114746 */   // Label 28226: @2114746
     /* 2114746 */   GIM_Reject,
     /* 2114747 */ // Label 28224: @2114747
     /* 2114747 */ GIM_Reject,
     /* 2114748 */ // Label 28172: @2114748
     /* 2114748 */ GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2114862),
     /* 2114753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2114756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2114759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114771 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2114816), // Rule ID 47790 //
     /* 2114776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114779 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2114782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114815 */     // GIR_Coverage, 47790,
     /* 2114815 */     GIR_EraseRootFromParent_Done,
     /* 2114816 */   // Label 28228: @2114816
     /* 2114816 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2114861), // Rule ID 47791 //
     /* 2114821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114824 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2114827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2114841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114860 */     // GIR_Coverage, 47791,
     /* 2114860 */     GIR_EraseRootFromParent_Done,
     /* 2114861 */   // Label 28229: @2114861
     /* 2114861 */   GIM_Reject,
     /* 2114862 */ // Label 28227: @2114862
     /* 2114862 */ GIM_Reject,
     /* 2114863 */ // Label 28173: @2114863
     /* 2114863 */ GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2114977),
     /* 2114868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2114871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2114874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114886 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2114931), // Rule ID 47818 //
     /* 2114891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114894 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2114894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2114897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114930 */     // GIR_Coverage, 47818,
     /* 2114930 */     GIR_EraseRootFromParent_Done,
     /* 2114931 */   // Label 28231: @2114931
     /* 2114931 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2114976), // Rule ID 47819 //
     /* 2114936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114939 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2114939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2114942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2114946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2114953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2114956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2114961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2114963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2114965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2114968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114975 */     // GIR_Coverage, 47819,
     /* 2114975 */     GIR_EraseRootFromParent_Done,
     /* 2114976 */   // Label 28232: @2114976
     /* 2114976 */   GIM_Reject,
     /* 2114977 */ // Label 28230: @2114977
     /* 2114977 */ GIM_Reject,
     /* 2114978 */ // Label 28174: @2114978
     /* 2114978 */ GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2115092),
     /* 2114983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2114986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115001 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2115046), // Rule ID 47834 //
     /* 2115006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115009 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2115012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115045 */     // GIR_Coverage, 47834,
     /* 2115045 */     GIR_EraseRootFromParent_Done,
     /* 2115046 */   // Label 28234: @2115046
     /* 2115046 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2115091), // Rule ID 47835 //
     /* 2115051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115054 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2115057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115090 */     // GIR_Coverage, 47835,
     /* 2115090 */     GIR_EraseRootFromParent_Done,
     /* 2115091 */   // Label 28235: @2115091
     /* 2115091 */   GIM_Reject,
     /* 2115092 */ // Label 28233: @2115092
     /* 2115092 */ GIM_Reject,
     /* 2115093 */ // Label 28175: @2115093
     /* 2115093 */ GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2115207),
     /* 2115098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2115101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115116 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2115161), // Rule ID 47850 //
     /* 2115121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2115124 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2115127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115160 */     // GIR_Coverage, 47850,
     /* 2115160 */     GIR_EraseRootFromParent_Done,
     /* 2115161 */   // Label 28237: @2115161
     /* 2115161 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2115206), // Rule ID 47851 //
     /* 2115166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2115169 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2115172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115205 */     // GIR_Coverage, 47851,
     /* 2115205 */     GIR_EraseRootFromParent_Done,
     /* 2115206 */   // Label 28238: @2115206
     /* 2115206 */   GIM_Reject,
     /* 2115207 */ // Label 28236: @2115207
     /* 2115207 */ GIM_Reject,
     /* 2115208 */ // Label 28176: @2115208
     /* 2115208 */ GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2115322),
     /* 2115213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2115216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2115219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115231 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2115276), // Rule ID 47806 //
     /* 2115236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115239 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2115242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2115256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115275 */     // GIR_Coverage, 47806,
     /* 2115275 */     GIR_EraseRootFromParent_Done,
     /* 2115276 */   // Label 28240: @2115276
     /* 2115276 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2115321), // Rule ID 47807 //
     /* 2115281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115284 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2115287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2115301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115320 */     // GIR_Coverage, 47807,
     /* 2115320 */     GIR_EraseRootFromParent_Done,
     /* 2115321 */   // Label 28241: @2115321
     /* 2115321 */   GIM_Reject,
     /* 2115322 */ // Label 28239: @2115322
     /* 2115322 */ GIM_Reject,
     /* 2115323 */ // Label 28177: @2115323
     /* 2115323 */ GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2115437),
     /* 2115328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2115331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2115334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115346 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2115391), // Rule ID 47822 //
     /* 2115351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115354 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2115357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115390 */     // GIR_Coverage, 47822,
     /* 2115390 */     GIR_EraseRootFromParent_Done,
     /* 2115391 */   // Label 28243: @2115391
     /* 2115391 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2115436), // Rule ID 47823 //
     /* 2115396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115399 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2115402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115435 */     // GIR_Coverage, 47823,
     /* 2115435 */     GIR_EraseRootFromParent_Done,
     /* 2115436 */   // Label 28244: @2115436
     /* 2115436 */   GIM_Reject,
     /* 2115437 */ // Label 28242: @2115437
     /* 2115437 */ GIM_Reject,
     /* 2115438 */ // Label 28178: @2115438
     /* 2115438 */ GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2115552),
     /* 2115443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2115446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115461 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2115506), // Rule ID 47838 //
     /* 2115466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115469 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2115472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115505 */     // GIR_Coverage, 47838,
     /* 2115505 */     GIR_EraseRootFromParent_Done,
     /* 2115506 */   // Label 28246: @2115506
     /* 2115506 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2115551), // Rule ID 47839 //
     /* 2115511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115514 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2115517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115550 */     // GIR_Coverage, 47839,
     /* 2115550 */     GIR_EraseRootFromParent_Done,
     /* 2115551 */   // Label 28247: @2115551
     /* 2115551 */   GIM_Reject,
     /* 2115552 */ // Label 28245: @2115552
     /* 2115552 */ GIM_Reject,
     /* 2115553 */ // Label 28179: @2115553
     /* 2115553 */ GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2115667),
     /* 2115558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2115561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2115564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115576 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2115621), // Rule ID 47810 //
     /* 2115581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115584 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2115587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115620 */     // GIR_Coverage, 47810,
     /* 2115620 */     GIR_EraseRootFromParent_Done,
     /* 2115621 */   // Label 28249: @2115621
     /* 2115621 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2115666), // Rule ID 47811 //
     /* 2115626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115629 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2115632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2115646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115665 */     // GIR_Coverage, 47811,
     /* 2115665 */     GIR_EraseRootFromParent_Done,
     /* 2115666 */   // Label 28250: @2115666
     /* 2115666 */   GIM_Reject,
     /* 2115667 */ // Label 28248: @2115667
     /* 2115667 */ GIM_Reject,
     /* 2115668 */ // Label 28180: @2115668
     /* 2115668 */ GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2115782),
     /* 2115673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2115676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2115679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115691 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2115736), // Rule ID 47826 //
     /* 2115696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115699 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2115702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115735 */     // GIR_Coverage, 47826,
     /* 2115735 */     GIR_EraseRootFromParent_Done,
     /* 2115736 */   // Label 28252: @2115736
     /* 2115736 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2115781), // Rule ID 47827 //
     /* 2115741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115744 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2115747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115780 */     // GIR_Coverage, 47827,
     /* 2115780 */     GIR_EraseRootFromParent_Done,
     /* 2115781 */   // Label 28253: @2115781
     /* 2115781 */   GIM_Reject,
     /* 2115782 */ // Label 28251: @2115782
     /* 2115782 */ GIM_Reject,
     /* 2115783 */ // Label 28181: @2115783
     /* 2115783 */ GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2115897),
     /* 2115788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2115791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2115794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115806 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2115851), // Rule ID 47814 //
     /* 2115811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115814 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2115814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2115817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115850 */     // GIR_Coverage, 47814,
     /* 2115850 */     GIR_EraseRootFromParent_Done,
     /* 2115851 */   // Label 28255: @2115851
     /* 2115851 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2115896), // Rule ID 47815 //
     /* 2115856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115859 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2115859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2115862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2115866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2115873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2115876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2115881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2115883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2115885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2115888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115895 */     // GIR_Coverage, 47815,
     /* 2115895 */     GIR_EraseRootFromParent_Done,
     /* 2115896 */   // Label 28256: @2115896
     /* 2115896 */   GIM_Reject,
     /* 2115897 */ // Label 28254: @2115897
     /* 2115897 */ GIM_Reject,
     /* 2115898 */ // Label 28182: @2115898
     /* 2115898 */ GIM_Reject,
     /* 2115899 */ // Label 46: @2115899
     /* 2115899 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28281*/ GIMT_Encode4(2118838),
     /* 2115910 */ /*GILLT_s32*//*Label 28257*/ GIMT_Encode4(2116034),
     /* 2115914 */ /*GILLT_s64*//*Label 28258*/ GIMT_Encode4(2116171), GIMT_Encode4(0),
     /* 2115922 */ /*GILLT_nxv1s8*//*Label 28259*/ GIMT_Encode4(2116308),
     /* 2115926 */ /*GILLT_nxv1s16*//*Label 28260*/ GIMT_Encode4(2116423),
     /* 2115930 */ /*GILLT_nxv1s32*//*Label 28261*/ GIMT_Encode4(2116538),
     /* 2115934 */ /*GILLT_nxv1s64*//*Label 28262*/ GIMT_Encode4(2116653), GIMT_Encode4(0),
     /* 2115942 */ /*GILLT_nxv2s8*//*Label 28263*/ GIMT_Encode4(2116768),
     /* 2115946 */ /*GILLT_nxv2s16*//*Label 28264*/ GIMT_Encode4(2116883),
     /* 2115950 */ /*GILLT_nxv2s32*//*Label 28265*/ GIMT_Encode4(2116998),
     /* 2115954 */ /*GILLT_nxv2s64*//*Label 28266*/ GIMT_Encode4(2117113), GIMT_Encode4(0),
     /* 2115962 */ /*GILLT_nxv4s8*//*Label 28267*/ GIMT_Encode4(2117228),
     /* 2115966 */ /*GILLT_nxv4s16*//*Label 28268*/ GIMT_Encode4(2117343),
     /* 2115970 */ /*GILLT_nxv4s32*//*Label 28269*/ GIMT_Encode4(2117458),
     /* 2115974 */ /*GILLT_nxv4s64*//*Label 28270*/ GIMT_Encode4(2117573), GIMT_Encode4(0),
     /* 2115982 */ /*GILLT_nxv8s8*//*Label 28271*/ GIMT_Encode4(2117688),
     /* 2115986 */ /*GILLT_nxv8s16*//*Label 28272*/ GIMT_Encode4(2117803),
     /* 2115990 */ /*GILLT_nxv8s32*//*Label 28273*/ GIMT_Encode4(2117918),
     /* 2115994 */ /*GILLT_nxv8s64*//*Label 28274*/ GIMT_Encode4(2118033), GIMT_Encode4(0),
     /* 2116002 */ /*GILLT_nxv16s8*//*Label 28275*/ GIMT_Encode4(2118148),
     /* 2116006 */ /*GILLT_nxv16s16*//*Label 28276*/ GIMT_Encode4(2118263),
     /* 2116010 */ /*GILLT_nxv16s32*//*Label 28277*/ GIMT_Encode4(2118378), GIMT_Encode4(0),
     /* 2116018 */ /*GILLT_nxv32s8*//*Label 28278*/ GIMT_Encode4(2118493),
     /* 2116022 */ /*GILLT_nxv32s16*//*Label 28279*/ GIMT_Encode4(2118608), GIMT_Encode4(0),
     /* 2116030 */ /*GILLT_nxv64s8*//*Label 28280*/ GIMT_Encode4(2118723),
     /* 2116034 */ // Label 28257: @2116034
     /* 2116034 */ GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2116170),
     /* 2116039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2116042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2116045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116053 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2116087), // Rule ID 2321 //
     /* 2116058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2116061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2116065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2116069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2116073 */     // MIs[1] Operand 1
     /* 2116073 */     // No operand predicates
     /* 2116073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2116075 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2116075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2116078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2116085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116086 */     // GIR_Coverage, 2321,
     /* 2116086 */     GIR_EraseRootFromParent_Done,
     /* 2116087 */   // Label 28283: @2116087
     /* 2116087 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2116121), // Rule ID 61861 //
     /* 2116092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2116095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2116099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2116103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2116107 */     // MIs[1] Operand 1
     /* 2116107 */     // No operand predicates
     /* 2116107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2116109 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2116109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2116112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2116119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116120 */     // GIR_Coverage, 61861,
     /* 2116120 */     GIR_EraseRootFromParent_Done,
     /* 2116121 */   // Label 28284: @2116121
     /* 2116121 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2116150), // Rule ID 2319 //
     /* 2116126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2116129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2116136 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2116136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2116139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2116148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116149 */     // GIR_Coverage, 2319,
     /* 2116149 */     GIR_EraseRootFromParent_Done,
     /* 2116150 */   // Label 28285: @2116150
     /* 2116150 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2116169), // Rule ID 63759 //
     /* 2116155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2116158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116162 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2116162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2116167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116168 */     // GIR_Coverage, 63759,
     /* 2116168 */     GIR_Done,
     /* 2116169 */   // Label 28286: @2116169
     /* 2116169 */   GIM_Reject,
     /* 2116170 */ // Label 28282: @2116170
     /* 2116170 */ GIM_Reject,
     /* 2116171 */ // Label 28258: @2116171
     /* 2116171 */ GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2116307),
     /* 2116176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2116179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2116182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116190 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2116224), // Rule ID 2320 //
     /* 2116195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2116198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2116202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2116206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2116210 */     // MIs[1] Operand 1
     /* 2116210 */     // No operand predicates
     /* 2116210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2116212 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2116212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2116215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2116222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116223 */     // GIR_Coverage, 2320,
     /* 2116223 */     GIR_EraseRootFromParent_Done,
     /* 2116224 */   // Label 28288: @2116224
     /* 2116224 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2116258), // Rule ID 61860 //
     /* 2116229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2116232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2116236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2116240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2116244 */     // MIs[1] Operand 1
     /* 2116244 */     // No operand predicates
     /* 2116244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2116246 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2116246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2116249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2116256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116257 */     // GIR_Coverage, 61860,
     /* 2116257 */     GIR_EraseRootFromParent_Done,
     /* 2116258 */   // Label 28289: @2116258
     /* 2116258 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2116287), // Rule ID 2318 //
     /* 2116263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2116266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2116273 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2116273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2116276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2116285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116286 */     // GIR_Coverage, 2318,
     /* 2116286 */     GIR_EraseRootFromParent_Done,
     /* 2116287 */   // Label 28290: @2116287
     /* 2116287 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2116306), // Rule ID 63758 //
     /* 2116292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2116295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2116299 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2116299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2116304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116305 */     // GIR_Coverage, 63758,
     /* 2116305 */     GIR_Done,
     /* 2116306 */   // Label 28291: @2116306
     /* 2116306 */   GIM_Reject,
     /* 2116307 */ // Label 28287: @2116307
     /* 2116307 */ GIM_Reject,
     /* 2116308 */ // Label 28259: @2116308
     /* 2116308 */ GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2116422),
     /* 2116313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2116316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2116319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116331 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2116376), // Rule ID 58678 //
     /* 2116336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116339 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2116342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2116356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116375 */     // GIR_Coverage, 58678,
     /* 2116375 */     GIR_EraseRootFromParent_Done,
     /* 2116376 */   // Label 28293: @2116376
     /* 2116376 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2116421), // Rule ID 58679 //
     /* 2116381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116384 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2116387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2116401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116420 */     // GIR_Coverage, 58679,
     /* 2116420 */     GIR_EraseRootFromParent_Done,
     /* 2116421 */   // Label 28294: @2116421
     /* 2116421 */   GIM_Reject,
     /* 2116422 */ // Label 28292: @2116422
     /* 2116422 */ GIM_Reject,
     /* 2116423 */ // Label 28260: @2116423
     /* 2116423 */ GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2116537),
     /* 2116428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2116431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116446 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2116491), // Rule ID 58690 //
     /* 2116451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116454 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2116457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2116471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116490 */     // GIR_Coverage, 58690,
     /* 2116490 */     GIR_EraseRootFromParent_Done,
     /* 2116491 */   // Label 28296: @2116491
     /* 2116491 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2116536), // Rule ID 58691 //
     /* 2116496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116499 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2116502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2116516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116535 */     // GIR_Coverage, 58691,
     /* 2116535 */     GIR_EraseRootFromParent_Done,
     /* 2116536 */   // Label 28297: @2116536
     /* 2116536 */   GIM_Reject,
     /* 2116537 */ // Label 28295: @2116537
     /* 2116537 */ GIM_Reject,
     /* 2116538 */ // Label 28261: @2116538
     /* 2116538 */ GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2116652),
     /* 2116543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2116546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116561 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2116606), // Rule ID 58698 //
     /* 2116566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116569 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2116572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2116586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116605 */     // GIR_Coverage, 58698,
     /* 2116605 */     GIR_EraseRootFromParent_Done,
     /* 2116606 */   // Label 28299: @2116606
     /* 2116606 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2116651), // Rule ID 58699 //
     /* 2116611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116614 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2116617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2116631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116650 */     // GIR_Coverage, 58699,
     /* 2116650 */     GIR_EraseRootFromParent_Done,
     /* 2116651 */   // Label 28300: @2116651
     /* 2116651 */   GIM_Reject,
     /* 2116652 */ // Label 28298: @2116652
     /* 2116652 */ GIM_Reject,
     /* 2116653 */ // Label 28262: @2116653
     /* 2116653 */ GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2116767),
     /* 2116658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2116661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116676 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2116721), // Rule ID 58714 //
     /* 2116681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2116684 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2116687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2116701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116720 */     // GIR_Coverage, 58714,
     /* 2116720 */     GIR_EraseRootFromParent_Done,
     /* 2116721 */   // Label 28302: @2116721
     /* 2116721 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2116766), // Rule ID 58715 //
     /* 2116726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2116729 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2116732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2116746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116765 */     // GIR_Coverage, 58715,
     /* 2116765 */     GIR_EraseRootFromParent_Done,
     /* 2116766 */   // Label 28303: @2116766
     /* 2116766 */   GIM_Reject,
     /* 2116767 */ // Label 28301: @2116767
     /* 2116767 */ GIM_Reject,
     /* 2116768 */ // Label 28263: @2116768
     /* 2116768 */ GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2116882),
     /* 2116773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2116776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2116779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116791 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2116836), // Rule ID 58682 //
     /* 2116796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116799 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2116802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2116816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116835 */     // GIR_Coverage, 58682,
     /* 2116835 */     GIR_EraseRootFromParent_Done,
     /* 2116836 */   // Label 28305: @2116836
     /* 2116836 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2116881), // Rule ID 58683 //
     /* 2116841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116844 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2116847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2116861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116880 */     // GIR_Coverage, 58683,
     /* 2116880 */     GIR_EraseRootFromParent_Done,
     /* 2116881 */   // Label 28306: @2116881
     /* 2116881 */   GIM_Reject,
     /* 2116882 */ // Label 28304: @2116882
     /* 2116882 */ GIM_Reject,
     /* 2116883 */ // Label 28264: @2116883
     /* 2116883 */ GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2116997),
     /* 2116888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2116891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2116894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116906 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2116951), // Rule ID 58694 //
     /* 2116911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116914 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2116914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2116917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2116931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116950 */     // GIR_Coverage, 58694,
     /* 2116950 */     GIR_EraseRootFromParent_Done,
     /* 2116951 */   // Label 28308: @2116951
     /* 2116951 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2116996), // Rule ID 58695 //
     /* 2116956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116959 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2116959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2116962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2116966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2116973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2116976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2116981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2116983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2116985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116995 */     // GIR_Coverage, 58695,
     /* 2116995 */     GIR_EraseRootFromParent_Done,
     /* 2116996 */   // Label 28309: @2116996
     /* 2116996 */   GIM_Reject,
     /* 2116997 */ // Label 28307: @2116997
     /* 2116997 */ GIM_Reject,
     /* 2116998 */ // Label 28265: @2116998
     /* 2116998 */ GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2117112),
     /* 2117003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2117006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117021 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2117066), // Rule ID 58710 //
     /* 2117026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117029 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2117032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117065 */     // GIR_Coverage, 58710,
     /* 2117065 */     GIR_EraseRootFromParent_Done,
     /* 2117066 */   // Label 28311: @2117066
     /* 2117066 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2117111), // Rule ID 58711 //
     /* 2117071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117074 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2117077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117110 */     // GIR_Coverage, 58711,
     /* 2117110 */     GIR_EraseRootFromParent_Done,
     /* 2117111 */   // Label 28312: @2117111
     /* 2117111 */   GIM_Reject,
     /* 2117112 */ // Label 28310: @2117112
     /* 2117112 */ GIM_Reject,
     /* 2117113 */ // Label 28266: @2117113
     /* 2117113 */ GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2117227),
     /* 2117118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2117121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117136 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2117181), // Rule ID 58754 //
     /* 2117141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2117144 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2117147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117180 */     // GIR_Coverage, 58754,
     /* 2117180 */     GIR_EraseRootFromParent_Done,
     /* 2117181 */   // Label 28314: @2117181
     /* 2117181 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2117226), // Rule ID 58755 //
     /* 2117186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2117189 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2117192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117225 */     // GIR_Coverage, 58755,
     /* 2117225 */     GIR_EraseRootFromParent_Done,
     /* 2117226 */   // Label 28315: @2117226
     /* 2117226 */   GIM_Reject,
     /* 2117227 */ // Label 28313: @2117227
     /* 2117227 */ GIM_Reject,
     /* 2117228 */ // Label 28267: @2117228
     /* 2117228 */ GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2117342),
     /* 2117233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2117236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2117239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117251 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2117296), // Rule ID 58686 //
     /* 2117256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117259 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2117262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2117276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117295 */     // GIR_Coverage, 58686,
     /* 2117295 */     GIR_EraseRootFromParent_Done,
     /* 2117296 */   // Label 28317: @2117296
     /* 2117296 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2117341), // Rule ID 58687 //
     /* 2117301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117304 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2117307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2117321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117340 */     // GIR_Coverage, 58687,
     /* 2117340 */     GIR_EraseRootFromParent_Done,
     /* 2117341 */   // Label 28318: @2117341
     /* 2117341 */   GIM_Reject,
     /* 2117342 */ // Label 28316: @2117342
     /* 2117342 */ GIM_Reject,
     /* 2117343 */ // Label 28268: @2117343
     /* 2117343 */ GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2117457),
     /* 2117348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2117351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117366 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2117411), // Rule ID 58706 //
     /* 2117371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117374 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2117377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117410 */     // GIR_Coverage, 58706,
     /* 2117410 */     GIR_EraseRootFromParent_Done,
     /* 2117411 */   // Label 28320: @2117411
     /* 2117411 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2117456), // Rule ID 58707 //
     /* 2117416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117419 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2117422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117455 */     // GIR_Coverage, 58707,
     /* 2117455 */     GIR_EraseRootFromParent_Done,
     /* 2117456 */   // Label 28321: @2117456
     /* 2117456 */   GIM_Reject,
     /* 2117457 */ // Label 28319: @2117457
     /* 2117457 */ GIM_Reject,
     /* 2117458 */ // Label 28269: @2117458
     /* 2117458 */ GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2117572),
     /* 2117463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2117466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117481 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2117526), // Rule ID 58742 //
     /* 2117486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117489 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2117492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117525 */     // GIR_Coverage, 58742,
     /* 2117525 */     GIR_EraseRootFromParent_Done,
     /* 2117526 */   // Label 28323: @2117526
     /* 2117526 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2117571), // Rule ID 58743 //
     /* 2117531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117534 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2117537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117570 */     // GIR_Coverage, 58743,
     /* 2117570 */     GIR_EraseRootFromParent_Done,
     /* 2117571 */   // Label 28324: @2117571
     /* 2117571 */   GIM_Reject,
     /* 2117572 */ // Label 28322: @2117572
     /* 2117572 */ GIM_Reject,
     /* 2117573 */ // Label 28270: @2117573
     /* 2117573 */ GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2117687),
     /* 2117578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2117581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117596 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2117641), // Rule ID 58758 //
     /* 2117601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2117604 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2117607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2117621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117640 */     // GIR_Coverage, 58758,
     /* 2117640 */     GIR_EraseRootFromParent_Done,
     /* 2117641 */   // Label 28326: @2117641
     /* 2117641 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2117686), // Rule ID 58759 //
     /* 2117646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2117649 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2117652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2117666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117685 */     // GIR_Coverage, 58759,
     /* 2117685 */     GIR_EraseRootFromParent_Done,
     /* 2117686 */   // Label 28327: @2117686
     /* 2117686 */   GIM_Reject,
     /* 2117687 */ // Label 28325: @2117687
     /* 2117687 */ GIM_Reject,
     /* 2117688 */ // Label 28271: @2117688
     /* 2117688 */ GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2117802),
     /* 2117693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2117696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2117699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117711 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2117756), // Rule ID 58702 //
     /* 2117716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117719 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2117722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117755 */     // GIR_Coverage, 58702,
     /* 2117755 */     GIR_EraseRootFromParent_Done,
     /* 2117756 */   // Label 28329: @2117756
     /* 2117756 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2117801), // Rule ID 58703 //
     /* 2117761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117764 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2117767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2117781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117800 */     // GIR_Coverage, 58703,
     /* 2117800 */     GIR_EraseRootFromParent_Done,
     /* 2117801 */   // Label 28330: @2117801
     /* 2117801 */   GIM_Reject,
     /* 2117802 */ // Label 28328: @2117802
     /* 2117802 */ GIM_Reject,
     /* 2117803 */ // Label 28272: @2117803
     /* 2117803 */ GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2117917),
     /* 2117808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2117811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117826 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2117871), // Rule ID 58730 //
     /* 2117831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117834 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2117837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117870 */     // GIR_Coverage, 58730,
     /* 2117870 */     GIR_EraseRootFromParent_Done,
     /* 2117871 */   // Label 28332: @2117871
     /* 2117871 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2117916), // Rule ID 58731 //
     /* 2117876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117879 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2117882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2117896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117915 */     // GIR_Coverage, 58731,
     /* 2117915 */     GIR_EraseRootFromParent_Done,
     /* 2117916 */   // Label 28333: @2117916
     /* 2117916 */   GIM_Reject,
     /* 2117917 */ // Label 28331: @2117917
     /* 2117917 */ GIM_Reject,
     /* 2117918 */ // Label 28273: @2117918
     /* 2117918 */ GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2118032),
     /* 2117923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2117926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117941 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2117986), // Rule ID 58746 //
     /* 2117946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117949 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2117949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2117952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2117956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2117963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2117966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2117971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2117973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2117975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2117978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2117984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117985 */     // GIR_Coverage, 58746,
     /* 2117985 */     GIR_EraseRootFromParent_Done,
     /* 2117986 */   // Label 28335: @2117986
     /* 2117986 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2118031), // Rule ID 58747 //
     /* 2117991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117994 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2117994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2117997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2118011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118030 */     // GIR_Coverage, 58747,
     /* 2118030 */     GIR_EraseRootFromParent_Done,
     /* 2118031 */   // Label 28336: @2118031
     /* 2118031 */   GIM_Reject,
     /* 2118032 */ // Label 28334: @2118032
     /* 2118032 */ GIM_Reject,
     /* 2118033 */ // Label 28274: @2118033
     /* 2118033 */ GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2118147),
     /* 2118038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2118041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118056 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2118101), // Rule ID 58762 //
     /* 2118061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2118064 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2118067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118100 */     // GIR_Coverage, 58762,
     /* 2118100 */     GIR_EraseRootFromParent_Done,
     /* 2118101 */   // Label 28338: @2118101
     /* 2118101 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2118146), // Rule ID 58763 //
     /* 2118106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2118109 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2118112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118145 */     // GIR_Coverage, 58763,
     /* 2118145 */     GIR_EraseRootFromParent_Done,
     /* 2118146 */   // Label 28339: @2118146
     /* 2118146 */   GIM_Reject,
     /* 2118147 */ // Label 28337: @2118147
     /* 2118147 */ GIM_Reject,
     /* 2118148 */ // Label 28275: @2118148
     /* 2118148 */ GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2118262),
     /* 2118153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2118156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2118159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118171 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2118216), // Rule ID 58718 //
     /* 2118176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118179 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2118182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2118196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118215 */     // GIR_Coverage, 58718,
     /* 2118215 */     GIR_EraseRootFromParent_Done,
     /* 2118216 */   // Label 28341: @2118216
     /* 2118216 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2118261), // Rule ID 58719 //
     /* 2118221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118224 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2118227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2118241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118260 */     // GIR_Coverage, 58719,
     /* 2118260 */     GIR_EraseRootFromParent_Done,
     /* 2118261 */   // Label 28342: @2118261
     /* 2118261 */   GIM_Reject,
     /* 2118262 */ // Label 28340: @2118262
     /* 2118262 */ GIM_Reject,
     /* 2118263 */ // Label 28276: @2118263
     /* 2118263 */ GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2118377),
     /* 2118268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2118271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118286 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2118331), // Rule ID 58734 //
     /* 2118291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118294 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2118297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2118311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118330 */     // GIR_Coverage, 58734,
     /* 2118330 */     GIR_EraseRootFromParent_Done,
     /* 2118331 */   // Label 28344: @2118331
     /* 2118331 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2118376), // Rule ID 58735 //
     /* 2118336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118339 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2118342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2118356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118375 */     // GIR_Coverage, 58735,
     /* 2118375 */     GIR_EraseRootFromParent_Done,
     /* 2118376 */   // Label 28345: @2118376
     /* 2118376 */   GIM_Reject,
     /* 2118377 */ // Label 28343: @2118377
     /* 2118377 */ GIM_Reject,
     /* 2118378 */ // Label 28277: @2118378
     /* 2118378 */ GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2118492),
     /* 2118383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2118386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118401 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2118446), // Rule ID 58750 //
     /* 2118406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118409 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2118412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118445 */     // GIR_Coverage, 58750,
     /* 2118445 */     GIR_EraseRootFromParent_Done,
     /* 2118446 */   // Label 28347: @2118446
     /* 2118446 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2118491), // Rule ID 58751 //
     /* 2118451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118454 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2118457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118490 */     // GIR_Coverage, 58751,
     /* 2118490 */     GIR_EraseRootFromParent_Done,
     /* 2118491 */   // Label 28348: @2118491
     /* 2118491 */   GIM_Reject,
     /* 2118492 */ // Label 28346: @2118492
     /* 2118492 */ GIM_Reject,
     /* 2118493 */ // Label 28278: @2118493
     /* 2118493 */ GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2118607),
     /* 2118498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2118501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2118504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118516 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2118561), // Rule ID 58722 //
     /* 2118521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118524 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2118527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2118541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118560 */     // GIR_Coverage, 58722,
     /* 2118560 */     GIR_EraseRootFromParent_Done,
     /* 2118561 */   // Label 28350: @2118561
     /* 2118561 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2118606), // Rule ID 58723 //
     /* 2118566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118569 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2118572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2118586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118605 */     // GIR_Coverage, 58723,
     /* 2118605 */     GIR_EraseRootFromParent_Done,
     /* 2118606 */   // Label 28351: @2118606
     /* 2118606 */   GIM_Reject,
     /* 2118607 */ // Label 28349: @2118607
     /* 2118607 */ GIM_Reject,
     /* 2118608 */ // Label 28279: @2118608
     /* 2118608 */ GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2118722),
     /* 2118613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2118616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118631 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2118676), // Rule ID 58738 //
     /* 2118636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118639 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2118642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118675 */     // GIR_Coverage, 58738,
     /* 2118675 */     GIR_EraseRootFromParent_Done,
     /* 2118676 */   // Label 28353: @2118676
     /* 2118676 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2118721), // Rule ID 58739 //
     /* 2118681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118684 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2118687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118720 */     // GIR_Coverage, 58739,
     /* 2118720 */     GIR_EraseRootFromParent_Done,
     /* 2118721 */   // Label 28354: @2118721
     /* 2118721 */   GIM_Reject,
     /* 2118722 */ // Label 28352: @2118722
     /* 2118722 */ GIM_Reject,
     /* 2118723 */ // Label 28280: @2118723
     /* 2118723 */ GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2118837),
     /* 2118728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2118731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2118734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118746 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2118791), // Rule ID 58726 //
     /* 2118751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118754 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2118754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2118757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118790 */     // GIR_Coverage, 58726,
     /* 2118790 */     GIR_EraseRootFromParent_Done,
     /* 2118791 */   // Label 28356: @2118791
     /* 2118791 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2118836), // Rule ID 58727 //
     /* 2118796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118799 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2118799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2118802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2118806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2118813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2118816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2118821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2118823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2118825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2118828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118835 */     // GIR_Coverage, 58727,
     /* 2118835 */     GIR_EraseRootFromParent_Done,
     /* 2118836 */   // Label 28357: @2118836
     /* 2118836 */   GIM_Reject,
     /* 2118837 */ // Label 28355: @2118837
     /* 2118837 */ GIM_Reject,
     /* 2118838 */ // Label 28281: @2118838
     /* 2118838 */ GIM_Reject,
     /* 2118839 */ // Label 47: @2118839
     /* 2118839 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28382*/ GIMT_Encode4(2121748),
     /* 2118850 */ /*GILLT_s32*//*Label 28358*/ GIMT_Encode4(2118974),
     /* 2118854 */ /*GILLT_s64*//*Label 28359*/ GIMT_Encode4(2119096), GIMT_Encode4(0),
     /* 2118862 */ /*GILLT_nxv1s8*//*Label 28360*/ GIMT_Encode4(2119218),
     /* 2118866 */ /*GILLT_nxv1s16*//*Label 28361*/ GIMT_Encode4(2119333),
     /* 2118870 */ /*GILLT_nxv1s32*//*Label 28362*/ GIMT_Encode4(2119448),
     /* 2118874 */ /*GILLT_nxv1s64*//*Label 28363*/ GIMT_Encode4(2119563), GIMT_Encode4(0),
     /* 2118882 */ /*GILLT_nxv2s8*//*Label 28364*/ GIMT_Encode4(2119678),
     /* 2118886 */ /*GILLT_nxv2s16*//*Label 28365*/ GIMT_Encode4(2119793),
     /* 2118890 */ /*GILLT_nxv2s32*//*Label 28366*/ GIMT_Encode4(2119908),
     /* 2118894 */ /*GILLT_nxv2s64*//*Label 28367*/ GIMT_Encode4(2120023), GIMT_Encode4(0),
     /* 2118902 */ /*GILLT_nxv4s8*//*Label 28368*/ GIMT_Encode4(2120138),
     /* 2118906 */ /*GILLT_nxv4s16*//*Label 28369*/ GIMT_Encode4(2120253),
     /* 2118910 */ /*GILLT_nxv4s32*//*Label 28370*/ GIMT_Encode4(2120368),
     /* 2118914 */ /*GILLT_nxv4s64*//*Label 28371*/ GIMT_Encode4(2120483), GIMT_Encode4(0),
     /* 2118922 */ /*GILLT_nxv8s8*//*Label 28372*/ GIMT_Encode4(2120598),
     /* 2118926 */ /*GILLT_nxv8s16*//*Label 28373*/ GIMT_Encode4(2120713),
     /* 2118930 */ /*GILLT_nxv8s32*//*Label 28374*/ GIMT_Encode4(2120828),
     /* 2118934 */ /*GILLT_nxv8s64*//*Label 28375*/ GIMT_Encode4(2120943), GIMT_Encode4(0),
     /* 2118942 */ /*GILLT_nxv16s8*//*Label 28376*/ GIMT_Encode4(2121058),
     /* 2118946 */ /*GILLT_nxv16s16*//*Label 28377*/ GIMT_Encode4(2121173),
     /* 2118950 */ /*GILLT_nxv16s32*//*Label 28378*/ GIMT_Encode4(2121288), GIMT_Encode4(0),
     /* 2118958 */ /*GILLT_nxv32s8*//*Label 28379*/ GIMT_Encode4(2121403),
     /* 2118962 */ /*GILLT_nxv32s16*//*Label 28380*/ GIMT_Encode4(2121518), GIMT_Encode4(0),
     /* 2118970 */ /*GILLT_nxv64s8*//*Label 28381*/ GIMT_Encode4(2121633),
     /* 2118974 */ // Label 28358: @2118974
     /* 2118974 */ GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2119095),
     /* 2118979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2118982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2118985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118993 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2119029), // Rule ID 2323 //
     /* 2118998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2119001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2119005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2119009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2119013 */     // MIs[1] Operand 1
     /* 2119013 */     // No operand predicates
     /* 2119013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2119015 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2119015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2119018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119022 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2119027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119028 */     // GIR_Coverage, 2323,
     /* 2119028 */     GIR_EraseRootFromParent_Done,
     /* 2119029 */   // Label 28384: @2119029
     /* 2119029 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2119065), // Rule ID 61863 //
     /* 2119034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2119037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2119041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2119045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2119049 */     // MIs[1] Operand 1
     /* 2119049 */     // No operand predicates
     /* 2119049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2119051 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2119051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2119054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119058 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2119063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119064 */     // GIR_Coverage, 61863,
     /* 2119064 */     GIR_EraseRootFromParent_Done,
     /* 2119065 */   // Label 28385: @2119065
     /* 2119065 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2119094), // Rule ID 2317 //
     /* 2119070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2119073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2119080 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2119080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2119083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2119092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119093 */     // GIR_Coverage, 2317,
     /* 2119093 */     GIR_EraseRootFromParent_Done,
     /* 2119094 */   // Label 28386: @2119094
     /* 2119094 */   GIM_Reject,
     /* 2119095 */ // Label 28383: @2119095
     /* 2119095 */ GIM_Reject,
     /* 2119096 */ // Label 28359: @2119096
     /* 2119096 */ GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2119217),
     /* 2119101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2119104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2119107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119115 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2119151), // Rule ID 2322 //
     /* 2119120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2119123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2119127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2119131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2119135 */     // MIs[1] Operand 1
     /* 2119135 */     // No operand predicates
     /* 2119135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2119137 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2119137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2119140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119144 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2119149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119150 */     // GIR_Coverage, 2322,
     /* 2119150 */     GIR_EraseRootFromParent_Done,
     /* 2119151 */   // Label 28388: @2119151
     /* 2119151 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2119187), // Rule ID 61862 //
     /* 2119156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2119159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2119163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2119167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2119171 */     // MIs[1] Operand 1
     /* 2119171 */     // No operand predicates
     /* 2119171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2119173 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2119173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2119176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119180 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2119185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119186 */     // GIR_Coverage, 61862,
     /* 2119186 */     GIR_EraseRootFromParent_Done,
     /* 2119187 */   // Label 28389: @2119187
     /* 2119187 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2119216), // Rule ID 2316 //
     /* 2119192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2119195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2119202 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2119202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2119205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2119214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119215 */     // GIR_Coverage, 2316,
     /* 2119215 */     GIR_EraseRootFromParent_Done,
     /* 2119216 */   // Label 28390: @2119216
     /* 2119216 */   GIM_Reject,
     /* 2119217 */ // Label 28387: @2119217
     /* 2119217 */ GIM_Reject,
     /* 2119218 */ // Label 28360: @2119218
     /* 2119218 */ GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2119332),
     /* 2119223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2119226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2119229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119241 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2119286), // Rule ID 58546 //
     /* 2119246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119249 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2119252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2119266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119285 */     // GIR_Coverage, 58546,
     /* 2119285 */     GIR_EraseRootFromParent_Done,
     /* 2119286 */   // Label 28392: @2119286
     /* 2119286 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2119331), // Rule ID 58547 //
     /* 2119291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119294 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2119297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2119311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119330 */     // GIR_Coverage, 58547,
     /* 2119330 */     GIR_EraseRootFromParent_Done,
     /* 2119331 */   // Label 28393: @2119331
     /* 2119331 */   GIM_Reject,
     /* 2119332 */ // Label 28391: @2119332
     /* 2119332 */ GIM_Reject,
     /* 2119333 */ // Label 28361: @2119333
     /* 2119333 */ GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2119447),
     /* 2119338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2119341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119356 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2119401), // Rule ID 58558 //
     /* 2119361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119364 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2119367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2119381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119400 */     // GIR_Coverage, 58558,
     /* 2119400 */     GIR_EraseRootFromParent_Done,
     /* 2119401 */   // Label 28395: @2119401
     /* 2119401 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2119446), // Rule ID 58559 //
     /* 2119406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119409 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2119412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2119426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119445 */     // GIR_Coverage, 58559,
     /* 2119445 */     GIR_EraseRootFromParent_Done,
     /* 2119446 */   // Label 28396: @2119446
     /* 2119446 */   GIM_Reject,
     /* 2119447 */ // Label 28394: @2119447
     /* 2119447 */ GIM_Reject,
     /* 2119448 */ // Label 28362: @2119448
     /* 2119448 */ GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2119562),
     /* 2119453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2119456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119471 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2119516), // Rule ID 58566 //
     /* 2119476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119479 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2119482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2119496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119515 */     // GIR_Coverage, 58566,
     /* 2119515 */     GIR_EraseRootFromParent_Done,
     /* 2119516 */   // Label 28398: @2119516
     /* 2119516 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2119561), // Rule ID 58567 //
     /* 2119521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119524 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2119527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2119541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119560 */     // GIR_Coverage, 58567,
     /* 2119560 */     GIR_EraseRootFromParent_Done,
     /* 2119561 */   // Label 28399: @2119561
     /* 2119561 */   GIM_Reject,
     /* 2119562 */ // Label 28397: @2119562
     /* 2119562 */ GIM_Reject,
     /* 2119563 */ // Label 28363: @2119563
     /* 2119563 */ GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2119677),
     /* 2119568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2119571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119586 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2119631), // Rule ID 58582 //
     /* 2119591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2119594 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2119597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2119611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119630 */     // GIR_Coverage, 58582,
     /* 2119630 */     GIR_EraseRootFromParent_Done,
     /* 2119631 */   // Label 28401: @2119631
     /* 2119631 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2119676), // Rule ID 58583 //
     /* 2119636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2119639 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2119642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2119656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119675 */     // GIR_Coverage, 58583,
     /* 2119675 */     GIR_EraseRootFromParent_Done,
     /* 2119676 */   // Label 28402: @2119676
     /* 2119676 */   GIM_Reject,
     /* 2119677 */ // Label 28400: @2119677
     /* 2119677 */ GIM_Reject,
     /* 2119678 */ // Label 28364: @2119678
     /* 2119678 */ GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2119792),
     /* 2119683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2119686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2119689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119701 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2119746), // Rule ID 58550 //
     /* 2119706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119709 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2119712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2119726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119745 */     // GIR_Coverage, 58550,
     /* 2119745 */     GIR_EraseRootFromParent_Done,
     /* 2119746 */   // Label 28404: @2119746
     /* 2119746 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2119791), // Rule ID 58551 //
     /* 2119751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119754 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2119757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2119771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119790 */     // GIR_Coverage, 58551,
     /* 2119790 */     GIR_EraseRootFromParent_Done,
     /* 2119791 */   // Label 28405: @2119791
     /* 2119791 */   GIM_Reject,
     /* 2119792 */ // Label 28403: @2119792
     /* 2119792 */ GIM_Reject,
     /* 2119793 */ // Label 28365: @2119793
     /* 2119793 */ GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2119907),
     /* 2119798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2119801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119816 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2119861), // Rule ID 58562 //
     /* 2119821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119824 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2119827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2119841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119860 */     // GIR_Coverage, 58562,
     /* 2119860 */     GIR_EraseRootFromParent_Done,
     /* 2119861 */   // Label 28407: @2119861
     /* 2119861 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2119906), // Rule ID 58563 //
     /* 2119866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119869 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2119872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2119886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119905 */     // GIR_Coverage, 58563,
     /* 2119905 */     GIR_EraseRootFromParent_Done,
     /* 2119906 */   // Label 28408: @2119906
     /* 2119906 */   GIM_Reject,
     /* 2119907 */ // Label 28406: @2119907
     /* 2119907 */ GIM_Reject,
     /* 2119908 */ // Label 28366: @2119908
     /* 2119908 */ GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2120022),
     /* 2119913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2119916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119931 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2119976), // Rule ID 58578 //
     /* 2119936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119939 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2119939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2119942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2119956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2119961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2119963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2119965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2119968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119975 */     // GIR_Coverage, 58578,
     /* 2119975 */     GIR_EraseRootFromParent_Done,
     /* 2119976 */   // Label 28410: @2119976
     /* 2119976 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2120021), // Rule ID 58579 //
     /* 2119981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119984 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2119984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2119987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2119991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2119998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2120001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120020 */     // GIR_Coverage, 58579,
     /* 2120020 */     GIR_EraseRootFromParent_Done,
     /* 2120021 */   // Label 28411: @2120021
     /* 2120021 */   GIM_Reject,
     /* 2120022 */ // Label 28409: @2120022
     /* 2120022 */ GIM_Reject,
     /* 2120023 */ // Label 28367: @2120023
     /* 2120023 */ GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2120137),
     /* 2120028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2120031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120046 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2120091), // Rule ID 58622 //
     /* 2120051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2120054 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2120057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120090 */     // GIR_Coverage, 58622,
     /* 2120090 */     GIR_EraseRootFromParent_Done,
     /* 2120091 */   // Label 28413: @2120091
     /* 2120091 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2120136), // Rule ID 58623 //
     /* 2120096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2120099 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2120102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120135 */     // GIR_Coverage, 58623,
     /* 2120135 */     GIR_EraseRootFromParent_Done,
     /* 2120136 */   // Label 28414: @2120136
     /* 2120136 */   GIM_Reject,
     /* 2120137 */ // Label 28412: @2120137
     /* 2120137 */ GIM_Reject,
     /* 2120138 */ // Label 28368: @2120138
     /* 2120138 */ GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2120252),
     /* 2120143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2120146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2120149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120161 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2120206), // Rule ID 58554 //
     /* 2120166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120169 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2120172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2120186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120205 */     // GIR_Coverage, 58554,
     /* 2120205 */     GIR_EraseRootFromParent_Done,
     /* 2120206 */   // Label 28416: @2120206
     /* 2120206 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2120251), // Rule ID 58555 //
     /* 2120211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120214 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2120217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2120231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120250 */     // GIR_Coverage, 58555,
     /* 2120250 */     GIR_EraseRootFromParent_Done,
     /* 2120251 */   // Label 28417: @2120251
     /* 2120251 */   GIM_Reject,
     /* 2120252 */ // Label 28415: @2120252
     /* 2120252 */ GIM_Reject,
     /* 2120253 */ // Label 28369: @2120253
     /* 2120253 */ GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2120367),
     /* 2120258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2120261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2120264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120276 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2120321), // Rule ID 58574 //
     /* 2120281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120284 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2120287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2120301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120320 */     // GIR_Coverage, 58574,
     /* 2120320 */     GIR_EraseRootFromParent_Done,
     /* 2120321 */   // Label 28419: @2120321
     /* 2120321 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2120366), // Rule ID 58575 //
     /* 2120326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120329 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2120332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2120346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120365 */     // GIR_Coverage, 58575,
     /* 2120365 */     GIR_EraseRootFromParent_Done,
     /* 2120366 */   // Label 28420: @2120366
     /* 2120366 */   GIM_Reject,
     /* 2120367 */ // Label 28418: @2120367
     /* 2120367 */ GIM_Reject,
     /* 2120368 */ // Label 28370: @2120368
     /* 2120368 */ GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2120482),
     /* 2120373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2120376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120391 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2120436), // Rule ID 58610 //
     /* 2120396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120399 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2120402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120435 */     // GIR_Coverage, 58610,
     /* 2120435 */     GIR_EraseRootFromParent_Done,
     /* 2120436 */   // Label 28422: @2120436
     /* 2120436 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2120481), // Rule ID 58611 //
     /* 2120441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120444 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2120447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120480 */     // GIR_Coverage, 58611,
     /* 2120480 */     GIR_EraseRootFromParent_Done,
     /* 2120481 */   // Label 28423: @2120481
     /* 2120481 */   GIM_Reject,
     /* 2120482 */ // Label 28421: @2120482
     /* 2120482 */ GIM_Reject,
     /* 2120483 */ // Label 28371: @2120483
     /* 2120483 */ GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2120597),
     /* 2120488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2120491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2120494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120506 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2120551), // Rule ID 58626 //
     /* 2120511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2120514 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2120517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2120531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120550 */     // GIR_Coverage, 58626,
     /* 2120550 */     GIR_EraseRootFromParent_Done,
     /* 2120551 */   // Label 28425: @2120551
     /* 2120551 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2120596), // Rule ID 58627 //
     /* 2120556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2120559 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2120562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2120576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120595 */     // GIR_Coverage, 58627,
     /* 2120595 */     GIR_EraseRootFromParent_Done,
     /* 2120596 */   // Label 28426: @2120596
     /* 2120596 */   GIM_Reject,
     /* 2120597 */ // Label 28424: @2120597
     /* 2120597 */ GIM_Reject,
     /* 2120598 */ // Label 28372: @2120598
     /* 2120598 */ GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2120712),
     /* 2120603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2120606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2120609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120621 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2120666), // Rule ID 58570 //
     /* 2120626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120629 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2120632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2120646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120665 */     // GIR_Coverage, 58570,
     /* 2120665 */     GIR_EraseRootFromParent_Done,
     /* 2120666 */   // Label 28428: @2120666
     /* 2120666 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2120711), // Rule ID 58571 //
     /* 2120671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120674 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2120677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2120691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120710 */     // GIR_Coverage, 58571,
     /* 2120710 */     GIR_EraseRootFromParent_Done,
     /* 2120711 */   // Label 28429: @2120711
     /* 2120711 */   GIM_Reject,
     /* 2120712 */ // Label 28427: @2120712
     /* 2120712 */ GIM_Reject,
     /* 2120713 */ // Label 28373: @2120713
     /* 2120713 */ GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2120827),
     /* 2120718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2120721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120736 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2120781), // Rule ID 58598 //
     /* 2120741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120744 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2120747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120780 */     // GIR_Coverage, 58598,
     /* 2120780 */     GIR_EraseRootFromParent_Done,
     /* 2120781 */   // Label 28431: @2120781
     /* 2120781 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2120826), // Rule ID 58599 //
     /* 2120786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120789 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2120792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2120806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120825 */     // GIR_Coverage, 58599,
     /* 2120825 */     GIR_EraseRootFromParent_Done,
     /* 2120826 */   // Label 28432: @2120826
     /* 2120826 */   GIM_Reject,
     /* 2120827 */ // Label 28430: @2120827
     /* 2120827 */ GIM_Reject,
     /* 2120828 */ // Label 28374: @2120828
     /* 2120828 */ GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2120942),
     /* 2120833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2120836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120851 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2120896), // Rule ID 58614 //
     /* 2120856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120859 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2120862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2120876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120895 */     // GIR_Coverage, 58614,
     /* 2120895 */     GIR_EraseRootFromParent_Done,
     /* 2120896 */   // Label 28434: @2120896
     /* 2120896 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2120941), // Rule ID 58615 //
     /* 2120901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120904 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2120904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2120907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2120921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2120930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2120933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120940 */     // GIR_Coverage, 58615,
     /* 2120940 */     GIR_EraseRootFromParent_Done,
     /* 2120941 */   // Label 28435: @2120941
     /* 2120941 */   GIM_Reject,
     /* 2120942 */ // Label 28433: @2120942
     /* 2120942 */ GIM_Reject,
     /* 2120943 */ // Label 28375: @2120943
     /* 2120943 */ GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2121057),
     /* 2120948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2120951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120966 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2121011), // Rule ID 58630 //
     /* 2120971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2120974 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2120974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2120977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2120981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2120988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2120991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2120996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2120998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121010 */     // GIR_Coverage, 58630,
     /* 2121010 */     GIR_EraseRootFromParent_Done,
     /* 2121011 */   // Label 28437: @2121011
     /* 2121011 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2121056), // Rule ID 58631 //
     /* 2121016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2121019 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2121022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121055 */     // GIR_Coverage, 58631,
     /* 2121055 */     GIR_EraseRootFromParent_Done,
     /* 2121056 */   // Label 28438: @2121056
     /* 2121056 */   GIM_Reject,
     /* 2121057 */ // Label 28436: @2121057
     /* 2121057 */ GIM_Reject,
     /* 2121058 */ // Label 28376: @2121058
     /* 2121058 */ GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2121172),
     /* 2121063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2121066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2121069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121081 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2121126), // Rule ID 58586 //
     /* 2121086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121089 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2121092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2121106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121125 */     // GIR_Coverage, 58586,
     /* 2121125 */     GIR_EraseRootFromParent_Done,
     /* 2121126 */   // Label 28440: @2121126
     /* 2121126 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2121171), // Rule ID 58587 //
     /* 2121131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121134 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2121137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2121151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121170 */     // GIR_Coverage, 58587,
     /* 2121170 */     GIR_EraseRootFromParent_Done,
     /* 2121171 */   // Label 28441: @2121171
     /* 2121171 */   GIM_Reject,
     /* 2121172 */ // Label 28439: @2121172
     /* 2121172 */ GIM_Reject,
     /* 2121173 */ // Label 28377: @2121173
     /* 2121173 */ GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2121287),
     /* 2121178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2121181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121196 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2121241), // Rule ID 58602 //
     /* 2121201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121204 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2121207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2121221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121240 */     // GIR_Coverage, 58602,
     /* 2121240 */     GIR_EraseRootFromParent_Done,
     /* 2121241 */   // Label 28443: @2121241
     /* 2121241 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2121286), // Rule ID 58603 //
     /* 2121246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121249 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2121252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2121266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121285 */     // GIR_Coverage, 58603,
     /* 2121285 */     GIR_EraseRootFromParent_Done,
     /* 2121286 */   // Label 28444: @2121286
     /* 2121286 */   GIM_Reject,
     /* 2121287 */ // Label 28442: @2121287
     /* 2121287 */ GIM_Reject,
     /* 2121288 */ // Label 28378: @2121288
     /* 2121288 */ GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2121402),
     /* 2121293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2121296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121311 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2121356), // Rule ID 58618 //
     /* 2121316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121319 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2121322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121355 */     // GIR_Coverage, 58618,
     /* 2121355 */     GIR_EraseRootFromParent_Done,
     /* 2121356 */   // Label 28446: @2121356
     /* 2121356 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2121401), // Rule ID 58619 //
     /* 2121361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121364 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2121367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121400 */     // GIR_Coverage, 58619,
     /* 2121400 */     GIR_EraseRootFromParent_Done,
     /* 2121401 */   // Label 28447: @2121401
     /* 2121401 */   GIM_Reject,
     /* 2121402 */ // Label 28445: @2121402
     /* 2121402 */ GIM_Reject,
     /* 2121403 */ // Label 28379: @2121403
     /* 2121403 */ GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2121517),
     /* 2121408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2121411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2121414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121426 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2121471), // Rule ID 58590 //
     /* 2121431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121434 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2121437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2121451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121470 */     // GIR_Coverage, 58590,
     /* 2121470 */     GIR_EraseRootFromParent_Done,
     /* 2121471 */   // Label 28449: @2121471
     /* 2121471 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2121516), // Rule ID 58591 //
     /* 2121476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121479 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2121482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2121496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121515 */     // GIR_Coverage, 58591,
     /* 2121515 */     GIR_EraseRootFromParent_Done,
     /* 2121516 */   // Label 28450: @2121516
     /* 2121516 */   GIM_Reject,
     /* 2121517 */ // Label 28448: @2121517
     /* 2121517 */ GIM_Reject,
     /* 2121518 */ // Label 28380: @2121518
     /* 2121518 */ GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2121632),
     /* 2121523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2121526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121541 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2121586), // Rule ID 58606 //
     /* 2121546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121549 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2121552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121585 */     // GIR_Coverage, 58606,
     /* 2121585 */     GIR_EraseRootFromParent_Done,
     /* 2121586 */   // Label 28452: @2121586
     /* 2121586 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2121631), // Rule ID 58607 //
     /* 2121591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121594 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2121597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121630 */     // GIR_Coverage, 58607,
     /* 2121630 */     GIR_EraseRootFromParent_Done,
     /* 2121631 */   // Label 28453: @2121631
     /* 2121631 */   GIM_Reject,
     /* 2121632 */ // Label 28451: @2121632
     /* 2121632 */ GIM_Reject,
     /* 2121633 */ // Label 28381: @2121633
     /* 2121633 */ GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2121747),
     /* 2121638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2121641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2121644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121656 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2121701), // Rule ID 58594 //
     /* 2121661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121664 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2121664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2121667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121700 */     // GIR_Coverage, 58594,
     /* 2121700 */     GIR_EraseRootFromParent_Done,
     /* 2121701 */   // Label 28455: @2121701
     /* 2121701 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2121746), // Rule ID 58595 //
     /* 2121706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121709 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2121709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2121712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2121716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2121723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2121726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2121731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2121733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2121735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121745 */     // GIR_Coverage, 58595,
     /* 2121745 */     GIR_EraseRootFromParent_Done,
     /* 2121746 */   // Label 28456: @2121746
     /* 2121746 */   GIM_Reject,
     /* 2121747 */ // Label 28454: @2121747
     /* 2121747 */ GIM_Reject,
     /* 2121748 */ // Label 28382: @2121748
     /* 2121748 */ GIM_Reject,
     /* 2121749 */ // Label 48: @2121749
     /* 2121749 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 28466*/ GIMT_Encode4(2148411),
     /* 2121760 */ /*GILLT_s32*//*Label 28457*/ GIMT_Encode4(2121880),
     /* 2121764 */ /*GILLT_s64*//*Label 28458*/ GIMT_Encode4(2124674),
     /* 2121768 */ /*GILLT_nxv1s1*//*Label 28459*/ GIMT_Encode4(2127468), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121788 */ /*GILLT_nxv2s1*//*Label 28460*/ GIMT_Encode4(2131309), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121808 */ /*GILLT_nxv4s1*//*Label 28461*/ GIMT_Encode4(2135150), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121828 */ /*GILLT_nxv8s1*//*Label 28462*/ GIMT_Encode4(2138991), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121848 */ /*GILLT_nxv16s1*//*Label 28463*/ GIMT_Encode4(2142832), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121864 */ /*GILLT_nxv32s1*//*Label 28464*/ GIMT_Encode4(2145713), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2121876 */ /*GILLT_nxv64s1*//*Label 28465*/ GIMT_Encode4(2147634),
     /* 2121880 */ // Label 28457: @2121880
     /* 2121880 */ GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2121923), // Rule ID 159 //
     /* 2121885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2121888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2121891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2121894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121898 */   // MIs[0] Operand 1
     /* 2121898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2121903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121907 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2121911 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2121911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2121914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2121918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2121921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2121922 */   // GIR_Coverage, 159,
     /* 2121922 */   GIR_EraseRootFromParent_Done,
     /* 2121923 */ // Label 28467: @2121923
     /* 2121923 */ GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2121966), // Rule ID 63854 //
     /* 2121928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2121931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2121934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2121937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121941 */   // MIs[0] Operand 1
     /* 2121941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2121946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121950 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2121954 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2121954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2121957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2121961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2121964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2121965 */   // GIR_Coverage, 63854,
     /* 2121965 */   GIR_EraseRootFromParent_Done,
     /* 2121966 */ // Label 28468: @2121966
     /* 2121966 */ GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2122012), // Rule ID 63860 //
     /* 2121971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2121974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2121977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2121980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121984 */   // MIs[0] Operand 1
     /* 2121984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2121989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121993 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2121997 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2121997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2122000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122002 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122011 */   // GIR_Coverage, 63860,
     /* 2122011 */   GIR_EraseRootFromParent_Done,
     /* 2122012 */ // Label 28469: @2122012
     /* 2122012 */ GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2122055), // Rule ID 63890 //
     /* 2122017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122030 */   // MIs[0] Operand 1
     /* 2122030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2122035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122039 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2122043 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2122043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122054 */   // GIR_Coverage, 63890,
     /* 2122054 */   GIR_EraseRootFromParent_Done,
     /* 2122055 */ // Label 28470: @2122055
     /* 2122055 */ GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2122101), // Rule ID 63896 //
     /* 2122060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122073 */   // MIs[0] Operand 1
     /* 2122073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2122078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122082 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2122086 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2122086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2122089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122091 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122100 */   // GIR_Coverage, 63896,
     /* 2122100 */   GIR_EraseRootFromParent_Done,
     /* 2122101 */ // Label 28471: @2122101
     /* 2122101 */ GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2122154), // Rule ID 149 //
     /* 2122106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122119 */   // MIs[0] Operand 1
     /* 2122119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2122124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122128 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122132 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122136 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122140 */   // MIs[1] Operand 1
     /* 2122140 */   // No operand predicates
     /* 2122140 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122142 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2122142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2122145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122149 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2122152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122153 */   // GIR_Coverage, 149,
     /* 2122153 */   GIR_EraseRootFromParent_Done,
     /* 2122154 */ // Label 28472: @2122154
     /* 2122154 */ GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2122207), // Rule ID 153 //
     /* 2122159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122172 */   // MIs[0] Operand 1
     /* 2122172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2122177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122181 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122185 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122189 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122193 */   // MIs[1] Operand 1
     /* 2122193 */   // No operand predicates
     /* 2122193 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122195 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2122195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122202 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2122205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122206 */   // GIR_Coverage, 153,
     /* 2122206 */   GIR_EraseRootFromParent_Done,
     /* 2122207 */ // Label 28473: @2122207
     /* 2122207 */ GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2122260), // Rule ID 63846 //
     /* 2122212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122225 */   // MIs[0] Operand 1
     /* 2122225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2122230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122234 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122238 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122242 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122246 */   // MIs[1] Operand 1
     /* 2122246 */   // No operand predicates
     /* 2122246 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122248 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2122248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122255 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2122258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122259 */   // GIR_Coverage, 63846,
     /* 2122259 */   GIR_EraseRootFromParent_Done,
     /* 2122260 */ // Label 28474: @2122260
     /* 2122260 */ GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2122313), // Rule ID 63850 //
     /* 2122265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122278 */   // MIs[0] Operand 1
     /* 2122278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2122283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122287 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122291 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122295 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122299 */   // MIs[1] Operand 1
     /* 2122299 */   // No operand predicates
     /* 2122299 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122301 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2122301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2122304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122308 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2122311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122312 */   // GIR_Coverage, 63850,
     /* 2122312 */   GIR_EraseRootFromParent_Done,
     /* 2122313 */ // Label 28475: @2122313
     /* 2122313 */ GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2122390), // Rule ID 63856 //
     /* 2122318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122331 */   // MIs[0] Operand 1
     /* 2122331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2122336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122340 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122344 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122348 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2122352 */   // MIs[1] Operand 1
     /* 2122352 */   // No operand predicates
     /* 2122352 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122354 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2122354 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122357 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2122361 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122366 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122370 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2122375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122382 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122389 */   // GIR_Coverage, 63856,
     /* 2122389 */   GIR_EraseRootFromParent_Done,
     /* 2122390 */ // Label 28476: @2122390
     /* 2122390 */ GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2122470), // Rule ID 63862 //
     /* 2122395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122408 */   // MIs[0] Operand 1
     /* 2122408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2122413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122417 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122421 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122425 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2122429 */   // MIs[1] Operand 1
     /* 2122429 */   // No operand predicates
     /* 2122429 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122431 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2122431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2122438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122443 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122447 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2122452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2122457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122459 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122469 */   // GIR_Coverage, 63862,
     /* 2122469 */   GIR_EraseRootFromParent_Done,
     /* 2122470 */ // Label 28477: @2122470
     /* 2122470 */ GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2122547), // Rule ID 63866 //
     /* 2122475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122488 */   // MIs[0] Operand 1
     /* 2122488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2122493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122497 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122501 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122505 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2122509 */   // MIs[1] Operand 1
     /* 2122509 */   // No operand predicates
     /* 2122509 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122511 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2122511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122523 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122527 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2122532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2122537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122546 */   // GIR_Coverage, 63866,
     /* 2122546 */   GIR_EraseRootFromParent_Done,
     /* 2122547 */ // Label 28478: @2122547
     /* 2122547 */ GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2122624), // Rule ID 63870 //
     /* 2122552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122565 */   // MIs[0] Operand 1
     /* 2122565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2122570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122574 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122578 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122582 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2122586 */   // MIs[1] Operand 1
     /* 2122586 */   // No operand predicates
     /* 2122586 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122588 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2122588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2122595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122600 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122604 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2122609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2122614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122623 */   // GIR_Coverage, 63870,
     /* 2122623 */   GIR_EraseRootFromParent_Done,
     /* 2122624 */ // Label 28479: @2122624
     /* 2122624 */ GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2122699), // Rule ID 63874 //
     /* 2122629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122642 */   // MIs[0] Operand 1
     /* 2122642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2122647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122651 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122655 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122659 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122663 */   // MIs[1] Operand 1
     /* 2122663 */   // No operand predicates
     /* 2122663 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122665 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2122665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122677 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122681 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2122684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2122689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122698 */   // GIR_Coverage, 63874,
     /* 2122698 */   GIR_EraseRootFromParent_Done,
     /* 2122699 */ // Label 28480: @2122699
     /* 2122699 */ GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2122774), // Rule ID 63878 //
     /* 2122704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122717 */   // MIs[0] Operand 1
     /* 2122717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2122722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122726 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122730 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122734 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2122738 */   // MIs[1] Operand 1
     /* 2122738 */   // No operand predicates
     /* 2122738 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122740 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2122740 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122743 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2122747 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122752 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122756 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2122759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2122764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122773 */   // GIR_Coverage, 63878,
     /* 2122773 */   GIR_EraseRootFromParent_Done,
     /* 2122774 */ // Label 28481: @2122774
     /* 2122774 */ GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2122829), // Rule ID 63882 //
     /* 2122779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122792 */   // MIs[0] Operand 1
     /* 2122792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2122797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122801 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122805 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122809 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2122813 */   // MIs[1] Operand 1
     /* 2122813 */   // No operand predicates
     /* 2122813 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122815 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2122815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122822 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2122827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122828 */   // GIR_Coverage, 63882,
     /* 2122828 */   GIR_EraseRootFromParent_Done,
     /* 2122829 */ // Label 28482: @2122829
     /* 2122829 */ GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2122884), // Rule ID 63886 //
     /* 2122834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2122840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122847 */   // MIs[0] Operand 1
     /* 2122847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2122852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122856 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122860 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122864 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2122868 */   // MIs[1] Operand 1
     /* 2122868 */   // No operand predicates
     /* 2122868 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122870 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2122870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2122873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2122877 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2122882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122883 */   // GIR_Coverage, 63886,
     /* 2122883 */   GIR_EraseRootFromParent_Done,
     /* 2122884 */ // Label 28483: @2122884
     /* 2122884 */ GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2122961), // Rule ID 63892 //
     /* 2122889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122902 */   // MIs[0] Operand 1
     /* 2122902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2122907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122911 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122915 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122919 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2122923 */   // MIs[1] Operand 1
     /* 2122923 */   // No operand predicates
     /* 2122923 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2122925 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2122925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2122928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2122932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122937 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2122941 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2122946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2122948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2122951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2122956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2122959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2122960 */   // GIR_Coverage, 63892,
     /* 2122960 */   GIR_EraseRootFromParent_Done,
     /* 2122961 */ // Label 28484: @2122961
     /* 2122961 */ GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2123041), // Rule ID 63898 //
     /* 2122966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2122969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2122972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2122975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122979 */   // MIs[0] Operand 1
     /* 2122979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2122984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122988 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2122992 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2122996 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2123000 */   // MIs[1] Operand 1
     /* 2123000 */   // No operand predicates
     /* 2123000 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123002 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2123002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2123009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123014 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123018 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2123023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123030 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123040 */   // GIR_Coverage, 63898,
     /* 2123040 */   GIR_EraseRootFromParent_Done,
     /* 2123041 */ // Label 28485: @2123041
     /* 2123041 */ GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2123118), // Rule ID 63902 //
     /* 2123046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123059 */   // MIs[0] Operand 1
     /* 2123059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2123064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123068 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123072 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123076 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2123080 */   // MIs[1] Operand 1
     /* 2123080 */   // No operand predicates
     /* 2123080 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123082 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2123082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2123089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123094 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123098 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2123103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2123108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123117 */   // GIR_Coverage, 63902,
     /* 2123117 */   GIR_EraseRootFromParent_Done,
     /* 2123118 */ // Label 28486: @2123118
     /* 2123118 */ GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2123195), // Rule ID 63906 //
     /* 2123123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123136 */   // MIs[0] Operand 1
     /* 2123136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2123141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123145 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123149 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123153 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2123157 */   // MIs[1] Operand 1
     /* 2123157 */   // No operand predicates
     /* 2123157 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123159 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2123159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2123166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123171 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123175 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2123180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2123185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123194 */   // GIR_Coverage, 63906,
     /* 2123194 */   GIR_EraseRootFromParent_Done,
     /* 2123195 */ // Label 28487: @2123195
     /* 2123195 */ GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2123270), // Rule ID 63910 //
     /* 2123200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123213 */   // MIs[0] Operand 1
     /* 2123213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2123218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123222 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123226 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123230 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2123234 */   // MIs[1] Operand 1
     /* 2123234 */   // No operand predicates
     /* 2123234 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123236 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2123236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2123243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123248 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123252 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2123255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2123260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123269 */   // GIR_Coverage, 63910,
     /* 2123269 */   GIR_EraseRootFromParent_Done,
     /* 2123270 */ // Label 28488: @2123270
     /* 2123270 */ GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2123345), // Rule ID 63914 //
     /* 2123275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123288 */   // MIs[0] Operand 1
     /* 2123288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2123293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123305 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2123309 */   // MIs[1] Operand 1
     /* 2123309 */   // No operand predicates
     /* 2123309 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123311 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2123311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2123318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123323 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123327 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2123330 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2123335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123337 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123344 */   // GIR_Coverage, 63914,
     /* 2123344 */   GIR_EraseRootFromParent_Done,
     /* 2123345 */ // Label 28489: @2123345
     /* 2123345 */ GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2123400), // Rule ID 63918 //
     /* 2123350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123363 */   // MIs[0] Operand 1
     /* 2123363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2123368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123372 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123376 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123380 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2123384 */   // MIs[1] Operand 1
     /* 2123384 */   // No operand predicates
     /* 2123384 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123386 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2123386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2123389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123393 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2123398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123399 */   // GIR_Coverage, 63918,
     /* 2123399 */   GIR_EraseRootFromParent_Done,
     /* 2123400 */ // Label 28490: @2123400
     /* 2123400 */ GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2123455), // Rule ID 63922 //
     /* 2123405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123418 */   // MIs[0] Operand 1
     /* 2123418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2123423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123427 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2123431 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2123435 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2123439 */   // MIs[1] Operand 1
     /* 2123439 */   // No operand predicates
     /* 2123439 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2123441 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2123441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2123444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123448 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2123453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123454 */   // GIR_Coverage, 63922,
     /* 2123454 */   GIR_EraseRootFromParent_Done,
     /* 2123455 */ // Label 28491: @2123455
     /* 2123455 */ GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2123497), // Rule ID 63771 //
     /* 2123460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2123463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123473 */   // MIs[0] Operand 1
     /* 2123473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2123478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123486 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2123489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123496 */   // GIR_Coverage, 63771,
     /* 2123496 */   GIR_EraseRootFromParent_Done,
     /* 2123497 */ // Label 28492: @2123497
     /* 2123497 */ GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2123539), // Rule ID 63773 //
     /* 2123502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2123505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123515 */   // MIs[0] Operand 1
     /* 2123515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2123520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123528 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2123531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123538 */   // GIR_Coverage, 63773,
     /* 2123538 */   GIR_EraseRootFromParent_Done,
     /* 2123539 */ // Label 28493: @2123539
     /* 2123539 */ GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2123581), // Rule ID 147 //
     /* 2123544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123557 */   // MIs[0] Operand 1
     /* 2123557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2123562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123570 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2123573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123580 */   // GIR_Coverage, 147,
     /* 2123580 */   GIR_EraseRootFromParent_Done,
     /* 2123581 */ // Label 28494: @2123581
     /* 2123581 */ GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2123623), // Rule ID 151 //
     /* 2123586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2123592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2123595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123599 */   // MIs[0] Operand 1
     /* 2123599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2123604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123612 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123622 */   // GIR_Coverage, 151,
     /* 2123622 */   GIR_EraseRootFromParent_Done,
     /* 2123623 */ // Label 28495: @2123623
     /* 2123623 */ GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2123665), // Rule ID 63848 //
     /* 2123628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123641 */   // MIs[0] Operand 1
     /* 2123641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2123646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123654 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123664 */   // GIR_Coverage, 63848,
     /* 2123664 */   GIR_EraseRootFromParent_Done,
     /* 2123665 */ // Label 28496: @2123665
     /* 2123665 */ GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2123707), // Rule ID 63852 //
     /* 2123670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123683 */   // MIs[0] Operand 1
     /* 2123683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2123688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123696 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2123696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2123699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123706 */   // GIR_Coverage, 63852,
     /* 2123706 */   GIR_EraseRootFromParent_Done,
     /* 2123707 */ // Label 28497: @2123707
     /* 2123707 */ GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2123773), // Rule ID 63858 //
     /* 2123712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123725 */   // MIs[0] Operand 1
     /* 2123725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2123730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123738 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2123738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2123745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123750 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123754 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2123758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2123763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123772 */   // GIR_Coverage, 63858,
     /* 2123772 */   GIR_EraseRootFromParent_Done,
     /* 2123773 */ // Label 28498: @2123773
     /* 2123773 */ GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2123842), // Rule ID 63864 //
     /* 2123778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123791 */   // MIs[0] Operand 1
     /* 2123791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2123796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123804 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2123804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2123811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123816 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123820 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2123824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123831 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123841 */   // GIR_Coverage, 63864,
     /* 2123841 */   GIR_EraseRootFromParent_Done,
     /* 2123842 */ // Label 28499: @2123842
     /* 2123842 */ GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2123884), // Rule ID 63868 //
     /* 2123847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123860 */   // MIs[0] Operand 1
     /* 2123860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2123865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123873 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2123873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123878 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123880 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123883 */   // GIR_Coverage, 63868,
     /* 2123883 */   GIR_EraseRootFromParent_Done,
     /* 2123884 */ // Label 28500: @2123884
     /* 2123884 */ GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2123926), // Rule ID 63872 //
     /* 2123889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123902 */   // MIs[0] Operand 1
     /* 2123902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2123907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123915 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2123915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2123918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2123922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2123924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123925 */   // GIR_Coverage, 63872,
     /* 2123925 */   GIR_EraseRootFromParent_Done,
     /* 2123926 */ // Label 28501: @2123926
     /* 2123926 */ GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2123992), // Rule ID 63876 //
     /* 2123931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2123934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2123937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2123940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123944 */   // MIs[0] Operand 1
     /* 2123944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2123949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123957 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2123957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2123960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2123964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123969 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2123973 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2123977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2123979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2123982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2123987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2123990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2123991 */   // GIR_Coverage, 63876,
     /* 2123991 */   GIR_EraseRootFromParent_Done,
     /* 2123992 */ // Label 28502: @2123992
     /* 2123992 */ GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2124058), // Rule ID 63880 //
     /* 2123997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2124003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2124006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124010 */   // MIs[0] Operand 1
     /* 2124010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2124015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124023 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2124023 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124026 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2124030 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124035 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124039 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124057 */   // GIR_Coverage, 63880,
     /* 2124057 */   GIR_EraseRootFromParent_Done,
     /* 2124058 */ // Label 28503: @2124058
     /* 2124058 */ GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2124124), // Rule ID 63884 //
     /* 2124063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2124069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2124072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124076 */   // MIs[0] Operand 1
     /* 2124076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2124081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124089 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2124089 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124092 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124096 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124101 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124105 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124116 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124123 */   // GIR_Coverage, 63884,
     /* 2124123 */   GIR_EraseRootFromParent_Done,
     /* 2124124 */ // Label 28504: @2124124
     /* 2124124 */ GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2124190), // Rule ID 63888 //
     /* 2124129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2124135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2124138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124142 */   // MIs[0] Operand 1
     /* 2124142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2124147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124155 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2124155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2124162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124167 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124171 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124189 */   // GIR_Coverage, 63888,
     /* 2124189 */   GIR_EraseRootFromParent_Done,
     /* 2124190 */ // Label 28505: @2124190
     /* 2124190 */ GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2124256), // Rule ID 63894 //
     /* 2124195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124208 */   // MIs[0] Operand 1
     /* 2124208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2124213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124221 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2124221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2124228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124233 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124237 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124241 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2124246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124248 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124255 */   // GIR_Coverage, 63894,
     /* 2124255 */   GIR_EraseRootFromParent_Done,
     /* 2124256 */ // Label 28506: @2124256
     /* 2124256 */ GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2124325), // Rule ID 63900 //
     /* 2124261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124274 */   // MIs[0] Operand 1
     /* 2124274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2124279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124287 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2124287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2124294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124299 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124303 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124314 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124324 */   // GIR_Coverage, 63900,
     /* 2124324 */   GIR_EraseRootFromParent_Done,
     /* 2124325 */ // Label 28507: @2124325
     /* 2124325 */ GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2124367), // Rule ID 63904 //
     /* 2124330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124343 */   // MIs[0] Operand 1
     /* 2124343 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2124348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124352 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124356 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2124356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2124363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124366 */   // GIR_Coverage, 63904,
     /* 2124366 */   GIR_EraseRootFromParent_Done,
     /* 2124367 */ // Label 28508: @2124367
     /* 2124367 */ GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2124409), // Rule ID 63908 //
     /* 2124372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124385 */   // MIs[0] Operand 1
     /* 2124385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2124390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124398 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2124398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2124401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2124405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124408 */   // GIR_Coverage, 63908,
     /* 2124408 */   GIR_EraseRootFromParent_Done,
     /* 2124409 */ // Label 28509: @2124409
     /* 2124409 */ GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2124475), // Rule ID 63912 //
     /* 2124414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124427 */   // MIs[0] Operand 1
     /* 2124427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2124432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124440 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2124440 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124443 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124447 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124452 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124456 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124474 */   // GIR_Coverage, 63912,
     /* 2124474 */   GIR_EraseRootFromParent_Done,
     /* 2124475 */ // Label 28510: @2124475
     /* 2124475 */ GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2124541), // Rule ID 63916 //
     /* 2124480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124486 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124493 */   // MIs[0] Operand 1
     /* 2124493 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2124498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124502 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124506 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2124506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2124513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124518 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124522 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124540 */   // GIR_Coverage, 63916,
     /* 2124540 */   GIR_EraseRootFromParent_Done,
     /* 2124541 */ // Label 28511: @2124541
     /* 2124541 */ GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2124607), // Rule ID 63920 //
     /* 2124546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124559 */   // MIs[0] Operand 1
     /* 2124559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2124564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124572 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2124572 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124575 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124579 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124584 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124588 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124606 */   // GIR_Coverage, 63920,
     /* 2124606 */   GIR_EraseRootFromParent_Done,
     /* 2124607 */ // Label 28512: @2124607
     /* 2124607 */ GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2124673), // Rule ID 63924 //
     /* 2124612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2124615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2124618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2124621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124625 */   // MIs[0] Operand 1
     /* 2124625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2124630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124638 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2124638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2124641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2124645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124650 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2124654 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2124658 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2124660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2124663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124665 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2124668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124672 */   // GIR_Coverage, 63924,
     /* 2124672 */   GIR_EraseRootFromParent_Done,
     /* 2124673 */ // Label 28513: @2124673
     /* 2124673 */ GIM_Reject,
     /* 2124674 */ // Label 28458: @2124674
     /* 2124674 */ GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2124717), // Rule ID 158 //
     /* 2124679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2124685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2124688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124692 */   // MIs[0] Operand 1
     /* 2124692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2124697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124701 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2124705 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2124705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2124708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2124715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124716 */   // GIR_Coverage, 158,
     /* 2124716 */   GIR_EraseRootFromParent_Done,
     /* 2124717 */ // Label 28514: @2124717
     /* 2124717 */ GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2124760), // Rule ID 63853 //
     /* 2124722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2124728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2124731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124735 */   // MIs[0] Operand 1
     /* 2124735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2124740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124744 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2124748 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2124748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2124751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124759 */   // GIR_Coverage, 63853,
     /* 2124759 */   GIR_EraseRootFromParent_Done,
     /* 2124760 */ // Label 28515: @2124760
     /* 2124760 */ GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2124806), // Rule ID 63859 //
     /* 2124765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2124771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2124774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124778 */   // MIs[0] Operand 1
     /* 2124778 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2124783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124787 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2124791 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2124791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124796 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124805 */   // GIR_Coverage, 63859,
     /* 2124805 */   GIR_EraseRootFromParent_Done,
     /* 2124806 */ // Label 28516: @2124806
     /* 2124806 */ GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2124849), // Rule ID 63889 //
     /* 2124811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2124817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2124820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124824 */   // MIs[0] Operand 1
     /* 2124824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2124829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124833 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2124837 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2124837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2124840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2124847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124848 */   // GIR_Coverage, 63889,
     /* 2124848 */   GIR_EraseRootFromParent_Done,
     /* 2124849 */ // Label 28517: @2124849
     /* 2124849 */ GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2124895), // Rule ID 63895 //
     /* 2124854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2124860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2124863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124867 */   // MIs[0] Operand 1
     /* 2124867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2124872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124876 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2124880 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2124880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2124883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124885 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124894 */   // GIR_Coverage, 63895,
     /* 2124894 */   GIR_EraseRootFromParent_Done,
     /* 2124895 */ // Label 28518: @2124895
     /* 2124895 */ GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2124948), // Rule ID 148 //
     /* 2124900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2124906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2124909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124913 */   // MIs[0] Operand 1
     /* 2124913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2124918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124922 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2124926 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2124930 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2124934 */   // MIs[1] Operand 1
     /* 2124934 */   // No operand predicates
     /* 2124934 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2124936 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2124936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2124939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124943 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2124946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2124947 */   // GIR_Coverage, 148,
     /* 2124947 */   GIR_EraseRootFromParent_Done,
     /* 2124948 */ // Label 28519: @2124948
     /* 2124948 */ GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2125001), // Rule ID 152 //
     /* 2124953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2124956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2124959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2124962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124966 */   // MIs[0] Operand 1
     /* 2124966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2124971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2124975 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2124979 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2124983 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2124987 */   // MIs[1] Operand 1
     /* 2124987 */   // No operand predicates
     /* 2124987 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2124989 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2124989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2124992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2124996 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2124999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125000 */   // GIR_Coverage, 152,
     /* 2125000 */   GIR_EraseRootFromParent_Done,
     /* 2125001 */ // Label 28520: @2125001
     /* 2125001 */ GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2125054), // Rule ID 63845 //
     /* 2125006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125019 */   // MIs[0] Operand 1
     /* 2125019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2125024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125028 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125032 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125036 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2125040 */   // MIs[1] Operand 1
     /* 2125040 */   // No operand predicates
     /* 2125040 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125042 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2125042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2125049 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2125052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125053 */   // GIR_Coverage, 63845,
     /* 2125053 */   GIR_EraseRootFromParent_Done,
     /* 2125054 */ // Label 28521: @2125054
     /* 2125054 */ GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2125107), // Rule ID 63849 //
     /* 2125059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125072 */   // MIs[0] Operand 1
     /* 2125072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2125077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125081 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125085 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125089 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2125093 */   // MIs[1] Operand 1
     /* 2125093 */   // No operand predicates
     /* 2125093 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125095 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2125095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2125098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2125102 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2125105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125106 */   // GIR_Coverage, 63849,
     /* 2125106 */   GIR_EraseRootFromParent_Done,
     /* 2125107 */ // Label 28522: @2125107
     /* 2125107 */ GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2125184), // Rule ID 63855 //
     /* 2125112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125125 */   // MIs[0] Operand 1
     /* 2125125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2125130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125134 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125138 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125142 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2125146 */   // MIs[1] Operand 1
     /* 2125146 */   // No operand predicates
     /* 2125146 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125148 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2125148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2125155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125160 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125164 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2125169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125183 */   // GIR_Coverage, 63855,
     /* 2125183 */   GIR_EraseRootFromParent_Done,
     /* 2125184 */ // Label 28523: @2125184
     /* 2125184 */ GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2125264), // Rule ID 63861 //
     /* 2125189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125202 */   // MIs[0] Operand 1
     /* 2125202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2125207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125211 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125215 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125219 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2125223 */   // MIs[1] Operand 1
     /* 2125223 */   // No operand predicates
     /* 2125223 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125225 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2125225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2125232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125237 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125241 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2125246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2125251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125253 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125259 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125263 */   // GIR_Coverage, 63861,
     /* 2125263 */   GIR_EraseRootFromParent_Done,
     /* 2125264 */ // Label 28524: @2125264
     /* 2125264 */ GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2125341), // Rule ID 63865 //
     /* 2125269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125282 */   // MIs[0] Operand 1
     /* 2125282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2125287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125291 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125295 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125299 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2125303 */   // MIs[1] Operand 1
     /* 2125303 */   // No operand predicates
     /* 2125303 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125305 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2125305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125321 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125340 */   // GIR_Coverage, 63865,
     /* 2125340 */   GIR_EraseRootFromParent_Done,
     /* 2125341 */ // Label 28525: @2125341
     /* 2125341 */ GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2125418), // Rule ID 63869 //
     /* 2125346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125359 */   // MIs[0] Operand 1
     /* 2125359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2125364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125368 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125372 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125376 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2125380 */   // MIs[1] Operand 1
     /* 2125380 */   // No operand predicates
     /* 2125380 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125382 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2125382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2125389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125394 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125398 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125417 */   // GIR_Coverage, 63869,
     /* 2125417 */   GIR_EraseRootFromParent_Done,
     /* 2125418 */ // Label 28526: @2125418
     /* 2125418 */ GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2125493), // Rule ID 63873 //
     /* 2125423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2125429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125436 */   // MIs[0] Operand 1
     /* 2125436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2125441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125445 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125449 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125453 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2125457 */   // MIs[1] Operand 1
     /* 2125457 */   // No operand predicates
     /* 2125457 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125459 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2125459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125471 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125475 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2125478 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125485 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125492 */   // GIR_Coverage, 63873,
     /* 2125492 */   GIR_EraseRootFromParent_Done,
     /* 2125493 */ // Label 28527: @2125493
     /* 2125493 */ GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2125568), // Rule ID 63877 //
     /* 2125498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125511 */   // MIs[0] Operand 1
     /* 2125511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2125516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125520 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125524 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125528 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2125532 */   // MIs[1] Operand 1
     /* 2125532 */   // No operand predicates
     /* 2125532 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125534 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2125534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2125541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125546 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125550 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2125553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125567 */   // GIR_Coverage, 63877,
     /* 2125567 */   GIR_EraseRootFromParent_Done,
     /* 2125568 */ // Label 28528: @2125568
     /* 2125568 */ GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2125623), // Rule ID 63881 //
     /* 2125573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125586 */   // MIs[0] Operand 1
     /* 2125586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2125591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125595 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125599 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125603 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2125607 */   // MIs[1] Operand 1
     /* 2125607 */   // No operand predicates
     /* 2125607 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125609 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2125609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2125616 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125622 */   // GIR_Coverage, 63881,
     /* 2125622 */   GIR_EraseRootFromParent_Done,
     /* 2125623 */ // Label 28529: @2125623
     /* 2125623 */ GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2125678), // Rule ID 63885 //
     /* 2125628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2125634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125641 */   // MIs[0] Operand 1
     /* 2125641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2125646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125650 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125654 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125658 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2125662 */   // MIs[1] Operand 1
     /* 2125662 */   // No operand predicates
     /* 2125662 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125664 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2125664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2125667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125669 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2125671 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125677 */   // GIR_Coverage, 63885,
     /* 2125677 */   GIR_EraseRootFromParent_Done,
     /* 2125678 */ // Label 28530: @2125678
     /* 2125678 */ GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2125755), // Rule ID 63891 //
     /* 2125683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2125689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125696 */   // MIs[0] Operand 1
     /* 2125696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2125701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125713 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2125717 */   // MIs[1] Operand 1
     /* 2125717 */   // No operand predicates
     /* 2125717 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125719 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2125719 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125722 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2125726 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125731 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125735 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2125740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125754 */   // GIR_Coverage, 63891,
     /* 2125754 */   GIR_EraseRootFromParent_Done,
     /* 2125755 */ // Label 28531: @2125755
     /* 2125755 */ GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2125835), // Rule ID 63897 //
     /* 2125760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2125766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125773 */   // MIs[0] Operand 1
     /* 2125773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2125778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125782 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125786 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125790 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2125794 */   // MIs[1] Operand 1
     /* 2125794 */   // No operand predicates
     /* 2125794 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125796 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2125796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2125803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125808 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125812 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2125817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2125822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125824 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125834 */   // GIR_Coverage, 63897,
     /* 2125834 */   GIR_EraseRootFromParent_Done,
     /* 2125835 */ // Label 28532: @2125835
     /* 2125835 */ GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2125912), // Rule ID 63901 //
     /* 2125840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2125846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125853 */   // MIs[0] Operand 1
     /* 2125853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2125858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125862 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125866 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125870 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2125874 */   // MIs[1] Operand 1
     /* 2125874 */   // No operand predicates
     /* 2125874 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125876 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2125876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2125883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125888 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125892 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125911 */   // GIR_Coverage, 63901,
     /* 2125911 */   GIR_EraseRootFromParent_Done,
     /* 2125912 */ // Label 28533: @2125912
     /* 2125912 */ GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2125989), // Rule ID 63905 //
     /* 2125917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2125923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2125926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125930 */   // MIs[0] Operand 1
     /* 2125930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2125935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2125939 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2125943 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2125947 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2125951 */   // MIs[1] Operand 1
     /* 2125951 */   // No operand predicates
     /* 2125951 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2125953 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2125953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2125956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2125960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125965 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2125969 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2125974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2125976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2125979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2125984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2125987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2125988 */   // GIR_Coverage, 63905,
     /* 2125988 */   GIR_EraseRootFromParent_Done,
     /* 2125989 */ // Label 28534: @2125989
     /* 2125989 */ GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2126064), // Rule ID 63909 //
     /* 2125994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2125997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126007 */   // MIs[0] Operand 1
     /* 2126007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2126012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126016 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2126020 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2126024 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2126028 */   // MIs[1] Operand 1
     /* 2126028 */   // No operand predicates
     /* 2126028 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2126030 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2126030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2126037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126042 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126046 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2126049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126063 */   // GIR_Coverage, 63909,
     /* 2126063 */   GIR_EraseRootFromParent_Done,
     /* 2126064 */ // Label 28535: @2126064
     /* 2126064 */ GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2126139), // Rule ID 63913 //
     /* 2126069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126082 */   // MIs[0] Operand 1
     /* 2126082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2126087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126091 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2126095 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2126099 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2126103 */   // MIs[1] Operand 1
     /* 2126103 */   // No operand predicates
     /* 2126103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2126105 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2126105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2126112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126117 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126121 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2126124 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126131 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126138 */   // GIR_Coverage, 63913,
     /* 2126138 */   GIR_EraseRootFromParent_Done,
     /* 2126139 */ // Label 28536: @2126139
     /* 2126139 */ GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2126194), // Rule ID 63917 //
     /* 2126144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126157 */   // MIs[0] Operand 1
     /* 2126157 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2126162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126166 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2126170 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2126174 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2126178 */   // MIs[1] Operand 1
     /* 2126178 */   // No operand predicates
     /* 2126178 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2126180 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2126180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2126183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126187 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2126192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126193 */   // GIR_Coverage, 63917,
     /* 2126193 */   GIR_EraseRootFromParent_Done,
     /* 2126194 */ // Label 28537: @2126194
     /* 2126194 */ GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2126249), // Rule ID 63921 //
     /* 2126199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126212 */   // MIs[0] Operand 1
     /* 2126212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2126217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2126225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2126229 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2126233 */   // MIs[1] Operand 1
     /* 2126233 */   // No operand predicates
     /* 2126233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2126235 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2126235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2126238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126242 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2126247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126248 */   // GIR_Coverage, 63921,
     /* 2126248 */   GIR_EraseRootFromParent_Done,
     /* 2126249 */ // Label 28538: @2126249
     /* 2126249 */ GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2126291), // Rule ID 63770 //
     /* 2126254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2126257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126267 */   // MIs[0] Operand 1
     /* 2126267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2126272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126280 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2126283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126290 */   // GIR_Coverage, 63770,
     /* 2126290 */   GIR_EraseRootFromParent_Done,
     /* 2126291 */ // Label 28539: @2126291
     /* 2126291 */ GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2126333), // Rule ID 63772 //
     /* 2126296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2126299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126309 */   // MIs[0] Operand 1
     /* 2126309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2126314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126322 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2126325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126329 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126332 */   // GIR_Coverage, 63772,
     /* 2126332 */   GIR_EraseRootFromParent_Done,
     /* 2126333 */ // Label 28540: @2126333
     /* 2126333 */ GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2126375), // Rule ID 146 //
     /* 2126338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126351 */   // MIs[0] Operand 1
     /* 2126351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2126356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126364 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2126367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126374 */   // GIR_Coverage, 146,
     /* 2126374 */   GIR_EraseRootFromParent_Done,
     /* 2126375 */ // Label 28541: @2126375
     /* 2126375 */ GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2126417), // Rule ID 150 //
     /* 2126380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126393 */   // MIs[0] Operand 1
     /* 2126393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2126398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126406 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126416 */   // GIR_Coverage, 150,
     /* 2126416 */   GIR_EraseRootFromParent_Done,
     /* 2126417 */ // Label 28542: @2126417
     /* 2126417 */ GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2126459), // Rule ID 63847 //
     /* 2126422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126435 */   // MIs[0] Operand 1
     /* 2126435 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2126440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126444 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126448 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126458 */   // GIR_Coverage, 63847,
     /* 2126458 */   GIR_EraseRootFromParent_Done,
     /* 2126459 */ // Label 28543: @2126459
     /* 2126459 */ GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2126501), // Rule ID 63851 //
     /* 2126464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126477 */   // MIs[0] Operand 1
     /* 2126477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2126482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126490 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2126490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2126493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126500 */   // GIR_Coverage, 63851,
     /* 2126500 */   GIR_EraseRootFromParent_Done,
     /* 2126501 */ // Label 28544: @2126501
     /* 2126501 */ GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2126567), // Rule ID 63857 //
     /* 2126506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126519 */   // MIs[0] Operand 1
     /* 2126519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2126524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126532 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2126532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2126539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126544 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126548 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2126557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126566 */   // GIR_Coverage, 63857,
     /* 2126566 */   GIR_EraseRootFromParent_Done,
     /* 2126567 */ // Label 28545: @2126567
     /* 2126567 */ GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2126636), // Rule ID 63863 //
     /* 2126572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126585 */   // MIs[0] Operand 1
     /* 2126585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2126590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126598 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2126598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2126605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126610 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126614 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126618 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126625 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126635 */   // GIR_Coverage, 63863,
     /* 2126635 */   GIR_EraseRootFromParent_Done,
     /* 2126636 */ // Label 28546: @2126636
     /* 2126636 */ GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2126678), // Rule ID 63867 //
     /* 2126641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126654 */   // MIs[0] Operand 1
     /* 2126654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2126659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126667 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2126667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126677 */   // GIR_Coverage, 63867,
     /* 2126677 */   GIR_EraseRootFromParent_Done,
     /* 2126678 */ // Label 28547: @2126678
     /* 2126678 */ GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2126720), // Rule ID 63871 //
     /* 2126683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126696 */   // MIs[0] Operand 1
     /* 2126696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2126701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126709 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2126709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2126712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2126716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2126718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126719 */   // GIR_Coverage, 63871,
     /* 2126719 */   GIR_EraseRootFromParent_Done,
     /* 2126720 */ // Label 28548: @2126720
     /* 2126720 */ GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2126786), // Rule ID 63875 //
     /* 2126725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126738 */   // MIs[0] Operand 1
     /* 2126738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2126743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126751 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2126751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126763 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126767 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126785 */   // GIR_Coverage, 63875,
     /* 2126785 */   GIR_EraseRootFromParent_Done,
     /* 2126786 */ // Label 28549: @2126786
     /* 2126786 */ GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2126852), // Rule ID 63879 //
     /* 2126791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126804 */   // MIs[0] Operand 1
     /* 2126804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2126809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126817 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2126817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2126824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126829 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126833 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126851 */   // GIR_Coverage, 63879,
     /* 2126851 */   GIR_EraseRootFromParent_Done,
     /* 2126852 */ // Label 28550: @2126852
     /* 2126852 */ GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2126918), // Rule ID 63883 //
     /* 2126857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126870 */   // MIs[0] Operand 1
     /* 2126870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2126875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126883 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2126883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2126890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126895 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126899 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126917 */   // GIR_Coverage, 63883,
     /* 2126917 */   GIR_EraseRootFromParent_Done,
     /* 2126918 */ // Label 28551: @2126918
     /* 2126918 */ GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2126984), // Rule ID 63887 //
     /* 2126923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2126929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2126932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126936 */   // MIs[0] Operand 1
     /* 2126936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2126941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2126949 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2126949 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2126952 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2126956 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126961 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2126965 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2126969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2126971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2126974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2126979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2126982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2126983 */   // GIR_Coverage, 63887,
     /* 2126983 */   GIR_EraseRootFromParent_Done,
     /* 2126984 */ // Label 28552: @2126984
     /* 2126984 */ GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2127050), // Rule ID 63893 //
     /* 2126989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2126992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2126995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2126998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127002 */   // MIs[0] Operand 1
     /* 2127002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127015 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2127015 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127018 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2127022 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127027 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127031 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2127040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127042 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2127048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127049 */   // GIR_Coverage, 63893,
     /* 2127049 */   GIR_EraseRootFromParent_Done,
     /* 2127050 */ // Label 28553: @2127050
     /* 2127050 */ GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2127119), // Rule ID 63899 //
     /* 2127055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127068 */   // MIs[0] Operand 1
     /* 2127068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2127073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127081 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2127081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2127088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127093 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127097 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127101 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2127106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127108 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127118 */   // GIR_Coverage, 63899,
     /* 2127118 */   GIR_EraseRootFromParent_Done,
     /* 2127119 */ // Label 28554: @2127119
     /* 2127119 */ GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2127161), // Rule ID 63903 //
     /* 2127124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127137 */   // MIs[0] Operand 1
     /* 2127137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2127142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127150 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2127150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2127153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127160 */   // GIR_Coverage, 63903,
     /* 2127160 */   GIR_EraseRootFromParent_Done,
     /* 2127161 */ // Label 28555: @2127161
     /* 2127161 */ GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2127203), // Rule ID 63907 //
     /* 2127166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127179 */   // MIs[0] Operand 1
     /* 2127179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2127184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127192 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2127192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2127195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127202 */   // GIR_Coverage, 63907,
     /* 2127202 */   GIR_EraseRootFromParent_Done,
     /* 2127203 */ // Label 28556: @2127203
     /* 2127203 */ GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2127269), // Rule ID 63911 //
     /* 2127208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127221 */   // MIs[0] Operand 1
     /* 2127221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2127226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127234 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2127234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2127241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127246 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127250 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2127259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2127267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127268 */   // GIR_Coverage, 63911,
     /* 2127268 */   GIR_EraseRootFromParent_Done,
     /* 2127269 */ // Label 28557: @2127269
     /* 2127269 */ GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2127335), // Rule ID 63915 //
     /* 2127274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127287 */   // MIs[0] Operand 1
     /* 2127287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2127292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127300 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2127300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2127307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127312 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127316 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2127325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2127333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127334 */   // GIR_Coverage, 63915,
     /* 2127334 */   GIR_EraseRootFromParent_Done,
     /* 2127335 */ // Label 28558: @2127335
     /* 2127335 */ GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2127401), // Rule ID 63919 //
     /* 2127340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127353 */   // MIs[0] Operand 1
     /* 2127353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2127358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127366 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2127366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2127373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127378 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127382 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2127391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2127399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127400 */   // GIR_Coverage, 63919,
     /* 2127400 */   GIR_EraseRootFromParent_Done,
     /* 2127401 */ // Label 28559: @2127401
     /* 2127401 */ GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2127467), // Rule ID 63923 //
     /* 2127406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2127409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2127412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2127415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127419 */   // MIs[0] Operand 1
     /* 2127419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2127424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127432 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2127432 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2127435 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2127439 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127444 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2127448 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2127452 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2127454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2127457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127459 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2127462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2127465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127466 */   // GIR_Coverage, 63923,
     /* 2127466 */   GIR_EraseRootFromParent_Done,
     /* 2127467 */ // Label 28560: @2127467
     /* 2127467 */ GIM_Reject,
     /* 2127468 */ // Label 28459: @2127468
     /* 2127468 */ GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2127516), // Rule ID 45460 //
     /* 2127473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127486 */   // MIs[0] Operand 1
     /* 2127486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127499 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2127499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2127502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2127514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127515 */   // GIR_Coverage, 45460,
     /* 2127515 */   GIR_EraseRootFromParent_Done,
     /* 2127516 */ // Label 28561: @2127516
     /* 2127516 */ GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2127564), // Rule ID 45461 //
     /* 2127521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2127524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127534 */   // MIs[0] Operand 1
     /* 2127534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127547 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2127547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2127550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2127562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127563 */   // GIR_Coverage, 45461,
     /* 2127563 */   GIR_EraseRootFromParent_Done,
     /* 2127564 */ // Label 28562: @2127564
     /* 2127564 */ GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2127612), // Rule ID 45462 //
     /* 2127569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127582 */   // MIs[0] Operand 1
     /* 2127582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2127587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127595 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2127595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2127598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127600 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2127604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2127610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127611 */   // GIR_Coverage, 45462,
     /* 2127611 */   GIR_EraseRootFromParent_Done,
     /* 2127612 */ // Label 28563: @2127612
     /* 2127612 */ GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2127660), // Rule ID 45463 //
     /* 2127617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2127620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127630 */   // MIs[0] Operand 1
     /* 2127630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2127635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127643 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2127643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2127646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2127652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2127658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127659 */   // GIR_Coverage, 45463,
     /* 2127659 */   GIR_EraseRootFromParent_Done,
     /* 2127660 */ // Label 28564: @2127660
     /* 2127660 */ GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2127708), // Rule ID 47946 //
     /* 2127665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127678 */   // MIs[0] Operand 1
     /* 2127678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127691 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2127691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2127694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127707 */   // GIR_Coverage, 47946,
     /* 2127707 */   GIR_EraseRootFromParent_Done,
     /* 2127708 */ // Label 28565: @2127708
     /* 2127708 */ GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2127756), // Rule ID 47947 //
     /* 2127713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2127716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2127719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2127722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127726 */   // MIs[0] Operand 1
     /* 2127726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127739 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2127739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2127742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127755 */   // GIR_Coverage, 47947,
     /* 2127755 */   GIR_EraseRootFromParent_Done,
     /* 2127756 */ // Label 28566: @2127756
     /* 2127756 */ GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2127804), // Rule ID 47950 //
     /* 2127761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127774 */   // MIs[0] Operand 1
     /* 2127774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127787 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2127787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2127790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127803 */   // GIR_Coverage, 47950,
     /* 2127803 */   GIR_EraseRootFromParent_Done,
     /* 2127804 */ // Label 28567: @2127804
     /* 2127804 */ GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2127852), // Rule ID 47951 //
     /* 2127809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2127812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127822 */   // MIs[0] Operand 1
     /* 2127822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127835 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2127835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2127838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127851 */   // GIR_Coverage, 47951,
     /* 2127851 */   GIR_EraseRootFromParent_Done,
     /* 2127852 */ // Label 28568: @2127852
     /* 2127852 */ GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2127900), // Rule ID 47958 //
     /* 2127857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2127860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127870 */   // MIs[0] Operand 1
     /* 2127870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127883 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2127883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2127886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127899 */   // GIR_Coverage, 47958,
     /* 2127899 */   GIR_EraseRootFromParent_Done,
     /* 2127900 */ // Label 28569: @2127900
     /* 2127900 */ GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2127948), // Rule ID 47959 //
     /* 2127905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2127908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127918 */   // MIs[0] Operand 1
     /* 2127918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2127923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127931 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2127931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2127934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127947 */   // GIR_Coverage, 47959,
     /* 2127947 */   GIR_EraseRootFromParent_Done,
     /* 2127948 */ // Label 28570: @2127948
     /* 2127948 */ GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2127996), // Rule ID 47984 //
     /* 2127953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127966 */   // MIs[0] Operand 1
     /* 2127966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2127971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127979 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2127979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2127982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2127986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2127988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2127991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2127994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2127995 */   // GIR_Coverage, 47984,
     /* 2127995 */   GIR_EraseRootFromParent_Done,
     /* 2127996 */ // Label 28571: @2127996
     /* 2127996 */ GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2128044), // Rule ID 47985 //
     /* 2128001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2128007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2128010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128014 */   // MIs[0] Operand 1
     /* 2128014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128027 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2128027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2128030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128043 */   // GIR_Coverage, 47985,
     /* 2128043 */   GIR_EraseRootFromParent_Done,
     /* 2128044 */ // Label 28572: @2128044
     /* 2128044 */ GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2128092), // Rule ID 47990 //
     /* 2128049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128062 */   // MIs[0] Operand 1
     /* 2128062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128075 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2128075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2128078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128091 */   // GIR_Coverage, 47990,
     /* 2128091 */   GIR_EraseRootFromParent_Done,
     /* 2128092 */ // Label 28573: @2128092
     /* 2128092 */ GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2128140), // Rule ID 47991 //
     /* 2128097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128110 */   // MIs[0] Operand 1
     /* 2128110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128123 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2128123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2128126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128139 */   // GIR_Coverage, 47991,
     /* 2128139 */   GIR_EraseRootFromParent_Done,
     /* 2128140 */ // Label 28574: @2128140
     /* 2128140 */ GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2128188), // Rule ID 47994 //
     /* 2128145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128158 */   // MIs[0] Operand 1
     /* 2128158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128171 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2128171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2128174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128187 */   // GIR_Coverage, 47994,
     /* 2128187 */   GIR_EraseRootFromParent_Done,
     /* 2128188 */ // Label 28575: @2128188
     /* 2128188 */ GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2128236), // Rule ID 47995 //
     /* 2128193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128206 */   // MIs[0] Operand 1
     /* 2128206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128219 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2128219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2128222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128235 */   // GIR_Coverage, 47995,
     /* 2128235 */   GIR_EraseRootFromParent_Done,
     /* 2128236 */ // Label 28576: @2128236
     /* 2128236 */ GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2128284), // Rule ID 48002 //
     /* 2128241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2128244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128254 */   // MIs[0] Operand 1
     /* 2128254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128267 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2128267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2128270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128283 */   // GIR_Coverage, 48002,
     /* 2128283 */   GIR_EraseRootFromParent_Done,
     /* 2128284 */ // Label 28577: @2128284
     /* 2128284 */ GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2128332), // Rule ID 48003 //
     /* 2128289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2128292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128302 */   // MIs[0] Operand 1
     /* 2128302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2128307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128315 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2128315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2128318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128331 */   // GIR_Coverage, 48003,
     /* 2128331 */   GIR_EraseRootFromParent_Done,
     /* 2128332 */ // Label 28578: @2128332
     /* 2128332 */ GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2128380), // Rule ID 48028 //
     /* 2128337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2128343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2128346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128350 */   // MIs[0] Operand 1
     /* 2128350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128363 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2128363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2128366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128379 */   // GIR_Coverage, 48028,
     /* 2128379 */   GIR_EraseRootFromParent_Done,
     /* 2128380 */ // Label 28579: @2128380
     /* 2128380 */ GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2128428), // Rule ID 48029 //
     /* 2128385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2128391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2128394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128398 */   // MIs[0] Operand 1
     /* 2128398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128411 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2128411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2128414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128427 */   // GIR_Coverage, 48029,
     /* 2128427 */   GIR_EraseRootFromParent_Done,
     /* 2128428 */ // Label 28580: @2128428
     /* 2128428 */ GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2128476), // Rule ID 48034 //
     /* 2128433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128446 */   // MIs[0] Operand 1
     /* 2128446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128459 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2128459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2128462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128475 */   // GIR_Coverage, 48034,
     /* 2128475 */   GIR_EraseRootFromParent_Done,
     /* 2128476 */ // Label 28581: @2128476
     /* 2128476 */ GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2128524), // Rule ID 48035 //
     /* 2128481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128494 */   // MIs[0] Operand 1
     /* 2128494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128507 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2128507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2128510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128523 */   // GIR_Coverage, 48035,
     /* 2128523 */   GIR_EraseRootFromParent_Done,
     /* 2128524 */ // Label 28582: @2128524
     /* 2128524 */ GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2128572), // Rule ID 48038 //
     /* 2128529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128542 */   // MIs[0] Operand 1
     /* 2128542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128555 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2128555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2128558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128571 */   // GIR_Coverage, 48038,
     /* 2128571 */   GIR_EraseRootFromParent_Done,
     /* 2128572 */ // Label 28583: @2128572
     /* 2128572 */ GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2128620), // Rule ID 48039 //
     /* 2128577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128590 */   // MIs[0] Operand 1
     /* 2128590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128603 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2128603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2128606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128619 */   // GIR_Coverage, 48039,
     /* 2128619 */   GIR_EraseRootFromParent_Done,
     /* 2128620 */ // Label 28584: @2128620
     /* 2128620 */ GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2128668), // Rule ID 48046 //
     /* 2128625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2128628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128638 */   // MIs[0] Operand 1
     /* 2128638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128651 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2128651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2128654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128667 */   // GIR_Coverage, 48046,
     /* 2128667 */   GIR_EraseRootFromParent_Done,
     /* 2128668 */ // Label 28585: @2128668
     /* 2128668 */ GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2128716), // Rule ID 48047 //
     /* 2128673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2128676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128686 */   // MIs[0] Operand 1
     /* 2128686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2128691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128699 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2128699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2128702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2128706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2128708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128715 */   // GIR_Coverage, 48047,
     /* 2128715 */   GIR_EraseRootFromParent_Done,
     /* 2128716 */ // Label 28586: @2128716
     /* 2128716 */ GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2128764), // Rule ID 48076 //
     /* 2128721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128734 */   // MIs[0] Operand 1
     /* 2128734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128747 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2128747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2128750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128763 */   // GIR_Coverage, 48076,
     /* 2128763 */   GIR_EraseRootFromParent_Done,
     /* 2128764 */ // Label 28587: @2128764
     /* 2128764 */ GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2128812), // Rule ID 48077 //
     /* 2128769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128782 */   // MIs[0] Operand 1
     /* 2128782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128795 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2128795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2128798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128811 */   // GIR_Coverage, 48077,
     /* 2128811 */   GIR_EraseRootFromParent_Done,
     /* 2128812 */ // Label 28588: @2128812
     /* 2128812 */ GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2128860), // Rule ID 48080 //
     /* 2128817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128830 */   // MIs[0] Operand 1
     /* 2128830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128843 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2128843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2128846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128859 */   // GIR_Coverage, 48080,
     /* 2128859 */   GIR_EraseRootFromParent_Done,
     /* 2128860 */ // Label 28589: @2128860
     /* 2128860 */ GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2128908), // Rule ID 48081 //
     /* 2128865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128878 */   // MIs[0] Operand 1
     /* 2128878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128891 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2128891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2128894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128907 */   // GIR_Coverage, 48081,
     /* 2128907 */   GIR_EraseRootFromParent_Done,
     /* 2128908 */ // Label 28590: @2128908
     /* 2128908 */ GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2128956), // Rule ID 48088 //
     /* 2128913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2128916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128926 */   // MIs[0] Operand 1
     /* 2128926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128939 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2128939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2128942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2128955 */   // GIR_Coverage, 48088,
     /* 2128955 */   GIR_EraseRootFromParent_Done,
     /* 2128956 */ // Label 28591: @2128956
     /* 2128956 */ GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2129004), // Rule ID 48089 //
     /* 2128961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2128964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128974 */   // MIs[0] Operand 1
     /* 2128974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2128979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128987 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2128987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2128990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2128996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2128999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129003 */   // GIR_Coverage, 48089,
     /* 2129003 */   GIR_EraseRootFromParent_Done,
     /* 2129004 */ // Label 28592: @2129004
     /* 2129004 */ GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2129052), // Rule ID 48114 //
     /* 2129009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129022 */   // MIs[0] Operand 1
     /* 2129022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129035 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2129035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2129038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129051 */   // GIR_Coverage, 48114,
     /* 2129051 */   GIR_EraseRootFromParent_Done,
     /* 2129052 */ // Label 28593: @2129052
     /* 2129052 */ GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2129100), // Rule ID 48115 //
     /* 2129057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129070 */   // MIs[0] Operand 1
     /* 2129070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129083 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2129083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2129086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129099 */   // GIR_Coverage, 48115,
     /* 2129099 */   GIR_EraseRootFromParent_Done,
     /* 2129100 */ // Label 28594: @2129100
     /* 2129100 */ GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2129148), // Rule ID 48120 //
     /* 2129105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129118 */   // MIs[0] Operand 1
     /* 2129118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129131 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2129131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2129134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129147 */   // GIR_Coverage, 48120,
     /* 2129147 */   GIR_EraseRootFromParent_Done,
     /* 2129148 */ // Label 28595: @2129148
     /* 2129148 */ GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2129196), // Rule ID 48121 //
     /* 2129153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129166 */   // MIs[0] Operand 1
     /* 2129166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129179 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2129179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2129182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129184 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129195 */   // GIR_Coverage, 48121,
     /* 2129195 */   GIR_EraseRootFromParent_Done,
     /* 2129196 */ // Label 28596: @2129196
     /* 2129196 */ GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2129244), // Rule ID 48124 //
     /* 2129201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129214 */   // MIs[0] Operand 1
     /* 2129214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129227 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2129227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2129230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129232 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129243 */   // GIR_Coverage, 48124,
     /* 2129243 */   GIR_EraseRootFromParent_Done,
     /* 2129244 */ // Label 28597: @2129244
     /* 2129244 */ GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2129292), // Rule ID 48125 //
     /* 2129249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129262 */   // MIs[0] Operand 1
     /* 2129262 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129271 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129275 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2129275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2129278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129280 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129282 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129291 */   // GIR_Coverage, 48125,
     /* 2129291 */   GIR_EraseRootFromParent_Done,
     /* 2129292 */ // Label 28598: @2129292
     /* 2129292 */ GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2129340), // Rule ID 48132 //
     /* 2129297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2129300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129310 */   // MIs[0] Operand 1
     /* 2129310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129323 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2129323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2129326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129328 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129330 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129339 */   // GIR_Coverage, 48132,
     /* 2129339 */   GIR_EraseRootFromParent_Done,
     /* 2129340 */ // Label 28599: @2129340
     /* 2129340 */ GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2129388), // Rule ID 48133 //
     /* 2129345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2129348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129358 */   // MIs[0] Operand 1
     /* 2129358 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2129363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129367 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129371 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2129371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2129374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129376 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129387 */   // GIR_Coverage, 48133,
     /* 2129387 */   GIR_EraseRootFromParent_Done,
     /* 2129388 */ // Label 28600: @2129388
     /* 2129388 */ GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2129436), // Rule ID 48158 //
     /* 2129393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129406 */   // MIs[0] Operand 1
     /* 2129406 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129415 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129419 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2129419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2129422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129434 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129435 */   // GIR_Coverage, 48158,
     /* 2129435 */   GIR_EraseRootFromParent_Done,
     /* 2129436 */ // Label 28601: @2129436
     /* 2129436 */ GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2129484), // Rule ID 48159 //
     /* 2129441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129454 */   // MIs[0] Operand 1
     /* 2129454 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129463 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129467 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2129467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2129470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129483 */   // GIR_Coverage, 48159,
     /* 2129483 */   GIR_EraseRootFromParent_Done,
     /* 2129484 */ // Label 28602: @2129484
     /* 2129484 */ GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2129532), // Rule ID 48164 //
     /* 2129489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129495 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129502 */   // MIs[0] Operand 1
     /* 2129502 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129511 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129515 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2129515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2129518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129531 */   // GIR_Coverage, 48164,
     /* 2129531 */   GIR_EraseRootFromParent_Done,
     /* 2129532 */ // Label 28603: @2129532
     /* 2129532 */ GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2129580), // Rule ID 48165 //
     /* 2129537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129550 */   // MIs[0] Operand 1
     /* 2129550 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129559 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129563 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2129563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2129566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129579 */   // GIR_Coverage, 48165,
     /* 2129579 */   GIR_EraseRootFromParent_Done,
     /* 2129580 */ // Label 28604: @2129580
     /* 2129580 */ GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2129628), // Rule ID 48168 //
     /* 2129585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129598 */   // MIs[0] Operand 1
     /* 2129598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129611 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2129611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2129614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129627 */   // GIR_Coverage, 48168,
     /* 2129627 */   GIR_EraseRootFromParent_Done,
     /* 2129628 */ // Label 28605: @2129628
     /* 2129628 */ GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2129676), // Rule ID 48169 //
     /* 2129633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129639 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129646 */   // MIs[0] Operand 1
     /* 2129646 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129655 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129659 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2129659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2129662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129675 */   // GIR_Coverage, 48169,
     /* 2129675 */   GIR_EraseRootFromParent_Done,
     /* 2129676 */ // Label 28606: @2129676
     /* 2129676 */ GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2129724), // Rule ID 48176 //
     /* 2129681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2129684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129687 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129694 */   // MIs[0] Operand 1
     /* 2129694 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129703 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129707 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2129707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2129710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129723 */   // GIR_Coverage, 48176,
     /* 2129723 */   GIR_EraseRootFromParent_Done,
     /* 2129724 */ // Label 28607: @2129724
     /* 2129724 */ GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2129772), // Rule ID 48177 //
     /* 2129729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2129732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129742 */   // MIs[0] Operand 1
     /* 2129742 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2129747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129751 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129755 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2129755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2129758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2129764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129771 */   // GIR_Coverage, 48177,
     /* 2129771 */   GIR_EraseRootFromParent_Done,
     /* 2129772 */ // Label 28608: @2129772
     /* 2129772 */ GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2129820), // Rule ID 48202 //
     /* 2129777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129790 */   // MIs[0] Operand 1
     /* 2129790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2129795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129803 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2129803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2129806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129819 */   // GIR_Coverage, 48202,
     /* 2129819 */   GIR_EraseRootFromParent_Done,
     /* 2129820 */ // Label 28609: @2129820
     /* 2129820 */ GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2129868), // Rule ID 48203 //
     /* 2129825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2129831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2129834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129838 */   // MIs[0] Operand 1
     /* 2129838 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2129843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129847 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129851 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2129851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2129854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129867 */   // GIR_Coverage, 48203,
     /* 2129867 */   GIR_EraseRootFromParent_Done,
     /* 2129868 */ // Label 28610: @2129868
     /* 2129868 */ GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2129916), // Rule ID 48208 //
     /* 2129873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129886 */   // MIs[0] Operand 1
     /* 2129886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2129891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129899 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2129899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2129902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129915 */   // GIR_Coverage, 48208,
     /* 2129915 */   GIR_EraseRootFromParent_Done,
     /* 2129916 */ // Label 28611: @2129916
     /* 2129916 */ GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2129964), // Rule ID 48209 //
     /* 2129921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2129927 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129934 */   // MIs[0] Operand 1
     /* 2129934 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2129939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129943 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129947 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2129947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2129950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2129954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2129956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2129959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2129963 */   // GIR_Coverage, 48209,
     /* 2129963 */   GIR_EraseRootFromParent_Done,
     /* 2129964 */ // Label 28612: @2129964
     /* 2129964 */ GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2130012), // Rule ID 48212 //
     /* 2129969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129982 */   // MIs[0] Operand 1
     /* 2129982 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2129987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129995 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2129995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2129998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130002 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130011 */   // GIR_Coverage, 48212,
     /* 2130011 */   GIR_EraseRootFromParent_Done,
     /* 2130012 */ // Label 28613: @2130012
     /* 2130012 */ GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2130060), // Rule ID 48213 //
     /* 2130017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130030 */   // MIs[0] Operand 1
     /* 2130030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2130035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130043 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2130043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2130046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130059 */   // GIR_Coverage, 48213,
     /* 2130059 */   GIR_EraseRootFromParent_Done,
     /* 2130060 */ // Label 28614: @2130060
     /* 2130060 */ GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2130108), // Rule ID 48220 //
     /* 2130065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2130068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130078 */   // MIs[0] Operand 1
     /* 2130078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2130083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130091 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2130091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2130094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130107 */   // GIR_Coverage, 48220,
     /* 2130107 */   GIR_EraseRootFromParent_Done,
     /* 2130108 */ // Label 28615: @2130108
     /* 2130108 */ GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2130156), // Rule ID 48221 //
     /* 2130113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2130116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130126 */   // MIs[0] Operand 1
     /* 2130126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2130131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130139 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2130139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2130142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130155 */   // GIR_Coverage, 48221,
     /* 2130155 */   GIR_EraseRootFromParent_Done,
     /* 2130156 */ // Label 28616: @2130156
     /* 2130156 */ GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2130204), // Rule ID 48246 //
     /* 2130161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130174 */   // MIs[0] Operand 1
     /* 2130174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130187 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2130187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2130190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130203 */   // GIR_Coverage, 48246,
     /* 2130203 */   GIR_EraseRootFromParent_Done,
     /* 2130204 */ // Label 28617: @2130204
     /* 2130204 */ GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2130252), // Rule ID 48247 //
     /* 2130209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130222 */   // MIs[0] Operand 1
     /* 2130222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130235 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2130235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2130238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130251 */   // GIR_Coverage, 48247,
     /* 2130251 */   GIR_EraseRootFromParent_Done,
     /* 2130252 */ // Label 28618: @2130252
     /* 2130252 */ GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2130300), // Rule ID 48252 //
     /* 2130257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130270 */   // MIs[0] Operand 1
     /* 2130270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130283 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2130283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2130286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130299 */   // GIR_Coverage, 48252,
     /* 2130299 */   GIR_EraseRootFromParent_Done,
     /* 2130300 */ // Label 28619: @2130300
     /* 2130300 */ GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2130348), // Rule ID 48253 //
     /* 2130305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130318 */   // MIs[0] Operand 1
     /* 2130318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130331 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2130331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2130334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130347 */   // GIR_Coverage, 48253,
     /* 2130347 */   GIR_EraseRootFromParent_Done,
     /* 2130348 */ // Label 28620: @2130348
     /* 2130348 */ GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2130396), // Rule ID 48256 //
     /* 2130353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130366 */   // MIs[0] Operand 1
     /* 2130366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130379 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2130379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2130382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130395 */   // GIR_Coverage, 48256,
     /* 2130395 */   GIR_EraseRootFromParent_Done,
     /* 2130396 */ // Label 28621: @2130396
     /* 2130396 */ GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2130444), // Rule ID 48257 //
     /* 2130401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130414 */   // MIs[0] Operand 1
     /* 2130414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130427 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2130427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2130430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130443 */   // GIR_Coverage, 48257,
     /* 2130443 */   GIR_EraseRootFromParent_Done,
     /* 2130444 */ // Label 28622: @2130444
     /* 2130444 */ GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2130492), // Rule ID 48264 //
     /* 2130449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2130452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130462 */   // MIs[0] Operand 1
     /* 2130462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130475 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2130475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2130478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130491 */   // GIR_Coverage, 48264,
     /* 2130491 */   GIR_EraseRootFromParent_Done,
     /* 2130492 */ // Label 28623: @2130492
     /* 2130492 */ GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2130540), // Rule ID 48265 //
     /* 2130497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2130500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130510 */   // MIs[0] Operand 1
     /* 2130510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2130515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130523 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2130523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2130526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130539 */   // GIR_Coverage, 48265,
     /* 2130539 */   GIR_EraseRootFromParent_Done,
     /* 2130540 */ // Label 28624: @2130540
     /* 2130540 */ GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2130588), // Rule ID 48290 //
     /* 2130545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130558 */   // MIs[0] Operand 1
     /* 2130558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130571 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2130571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2130574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130587 */   // GIR_Coverage, 48290,
     /* 2130587 */   GIR_EraseRootFromParent_Done,
     /* 2130588 */ // Label 28625: @2130588
     /* 2130588 */ GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2130636), // Rule ID 48291 //
     /* 2130593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130606 */   // MIs[0] Operand 1
     /* 2130606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130619 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2130619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2130622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130635 */   // GIR_Coverage, 48291,
     /* 2130635 */   GIR_EraseRootFromParent_Done,
     /* 2130636 */ // Label 28626: @2130636
     /* 2130636 */ GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2130684), // Rule ID 48296 //
     /* 2130641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130654 */   // MIs[0] Operand 1
     /* 2130654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130667 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2130667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2130670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130683 */   // GIR_Coverage, 48296,
     /* 2130683 */   GIR_EraseRootFromParent_Done,
     /* 2130684 */ // Label 28627: @2130684
     /* 2130684 */ GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2130732), // Rule ID 48297 //
     /* 2130689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130702 */   // MIs[0] Operand 1
     /* 2130702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130715 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2130715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2130718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130731 */   // GIR_Coverage, 48297,
     /* 2130731 */   GIR_EraseRootFromParent_Done,
     /* 2130732 */ // Label 28628: @2130732
     /* 2130732 */ GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2130780), // Rule ID 48300 //
     /* 2130737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130750 */   // MIs[0] Operand 1
     /* 2130750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130763 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2130763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2130766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130779 */   // GIR_Coverage, 48300,
     /* 2130779 */   GIR_EraseRootFromParent_Done,
     /* 2130780 */ // Label 28629: @2130780
     /* 2130780 */ GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2130828), // Rule ID 48301 //
     /* 2130785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130798 */   // MIs[0] Operand 1
     /* 2130798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130811 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2130811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2130814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130827 */   // GIR_Coverage, 48301,
     /* 2130827 */   GIR_EraseRootFromParent_Done,
     /* 2130828 */ // Label 28630: @2130828
     /* 2130828 */ GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2130876), // Rule ID 48308 //
     /* 2130833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2130836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130846 */   // MIs[0] Operand 1
     /* 2130846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130859 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2130859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2130862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130875 */   // GIR_Coverage, 48308,
     /* 2130875 */   GIR_EraseRootFromParent_Done,
     /* 2130876 */ // Label 28631: @2130876
     /* 2130876 */ GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2130924), // Rule ID 48309 //
     /* 2130881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2130884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130894 */   // MIs[0] Operand 1
     /* 2130894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2130899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130907 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2130907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2130910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2130914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2130916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130923 */   // GIR_Coverage, 48309,
     /* 2130923 */   GIR_EraseRootFromParent_Done,
     /* 2130924 */ // Label 28632: @2130924
     /* 2130924 */ GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2130972), // Rule ID 48334 //
     /* 2130929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130942 */   // MIs[0] Operand 1
     /* 2130942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2130947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130955 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2130955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2130958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2130964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2130967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2130971 */   // GIR_Coverage, 48334,
     /* 2130971 */   GIR_EraseRootFromParent_Done,
     /* 2130972 */ // Label 28633: @2130972
     /* 2130972 */ GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2131020), // Rule ID 48335 //
     /* 2130977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2130983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2130986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130990 */   // MIs[0] Operand 1
     /* 2130990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2130995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131003 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2131003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2131006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2131018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131019 */   // GIR_Coverage, 48335,
     /* 2131019 */   GIR_EraseRootFromParent_Done,
     /* 2131020 */ // Label 28634: @2131020
     /* 2131020 */ GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2131068), // Rule ID 48340 //
     /* 2131025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131038 */   // MIs[0] Operand 1
     /* 2131038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131051 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2131051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2131054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131067 */   // GIR_Coverage, 48340,
     /* 2131067 */   GIR_EraseRootFromParent_Done,
     /* 2131068 */ // Label 28635: @2131068
     /* 2131068 */ GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2131116), // Rule ID 48341 //
     /* 2131073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2131079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2131082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131086 */   // MIs[0] Operand 1
     /* 2131086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131099 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2131099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2131102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131115 */   // GIR_Coverage, 48341,
     /* 2131115 */   GIR_EraseRootFromParent_Done,
     /* 2131116 */ // Label 28636: @2131116
     /* 2131116 */ GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2131164), // Rule ID 48344 //
     /* 2131121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131134 */   // MIs[0] Operand 1
     /* 2131134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131147 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2131147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2131150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131163 */   // GIR_Coverage, 48344,
     /* 2131163 */   GIR_EraseRootFromParent_Done,
     /* 2131164 */ // Label 28637: @2131164
     /* 2131164 */ GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2131212), // Rule ID 48345 //
     /* 2131169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131182 */   // MIs[0] Operand 1
     /* 2131182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131195 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2131195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2131198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131211 */   // GIR_Coverage, 48345,
     /* 2131211 */   GIR_EraseRootFromParent_Done,
     /* 2131212 */ // Label 28638: @2131212
     /* 2131212 */ GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2131260), // Rule ID 48352 //
     /* 2131217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2131220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2131226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131230 */   // MIs[0] Operand 1
     /* 2131230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131243 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2131243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2131246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131259 */   // GIR_Coverage, 48352,
     /* 2131259 */   GIR_EraseRootFromParent_Done,
     /* 2131260 */ // Label 28639: @2131260
     /* 2131260 */ GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2131308), // Rule ID 48353 //
     /* 2131265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2131268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2131274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131278 */   // MIs[0] Operand 1
     /* 2131278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2131283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131291 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2131291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2131294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2131300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131307 */   // GIR_Coverage, 48353,
     /* 2131307 */   GIR_EraseRootFromParent_Done,
     /* 2131308 */ // Label 28640: @2131308
     /* 2131308 */ GIM_Reject,
     /* 2131309 */ // Label 28460: @2131309
     /* 2131309 */ GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2131357), // Rule ID 47942 //
     /* 2131314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2131320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2131323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131327 */   // MIs[0] Operand 1
     /* 2131327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131340 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2131340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2131343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2131355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131356 */   // GIR_Coverage, 47942,
     /* 2131356 */   GIR_EraseRootFromParent_Done,
     /* 2131357 */ // Label 28641: @2131357
     /* 2131357 */ GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2131405), // Rule ID 47943 //
     /* 2131362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2131368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2131371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131375 */   // MIs[0] Operand 1
     /* 2131375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131388 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2131388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2131391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2131403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131404 */   // GIR_Coverage, 47943,
     /* 2131404 */   GIR_EraseRootFromParent_Done,
     /* 2131405 */ // Label 28642: @2131405
     /* 2131405 */ GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2131453), // Rule ID 47948 //
     /* 2131410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131423 */   // MIs[0] Operand 1
     /* 2131423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131436 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2131436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2131439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131452 */   // GIR_Coverage, 47948,
     /* 2131452 */   GIR_EraseRootFromParent_Done,
     /* 2131453 */ // Label 28643: @2131453
     /* 2131453 */ GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2131501), // Rule ID 47949 //
     /* 2131458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131471 */   // MIs[0] Operand 1
     /* 2131471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131484 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2131484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2131487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131500 */   // GIR_Coverage, 47949,
     /* 2131500 */   GIR_EraseRootFromParent_Done,
     /* 2131501 */ // Label 28644: @2131501
     /* 2131501 */ GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2131549), // Rule ID 47956 //
     /* 2131506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131519 */   // MIs[0] Operand 1
     /* 2131519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131532 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2131532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2131535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131548 */   // GIR_Coverage, 47956,
     /* 2131548 */   GIR_EraseRootFromParent_Done,
     /* 2131549 */ // Label 28645: @2131549
     /* 2131549 */ GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2131597), // Rule ID 47957 //
     /* 2131554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131567 */   // MIs[0] Operand 1
     /* 2131567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131580 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2131580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2131583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131596 */   // GIR_Coverage, 47957,
     /* 2131596 */   GIR_EraseRootFromParent_Done,
     /* 2131597 */ // Label 28646: @2131597
     /* 2131597 */ GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2131645), // Rule ID 47978 //
     /* 2131602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2131605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131615 */   // MIs[0] Operand 1
     /* 2131615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131628 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2131628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2131631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131644 */   // GIR_Coverage, 47978,
     /* 2131644 */   GIR_EraseRootFromParent_Done,
     /* 2131645 */ // Label 28647: @2131645
     /* 2131645 */ GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2131693), // Rule ID 47979 //
     /* 2131650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2131653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131663 */   // MIs[0] Operand 1
     /* 2131663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2131668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131676 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2131676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2131679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131692 */   // GIR_Coverage, 47979,
     /* 2131692 */   GIR_EraseRootFromParent_Done,
     /* 2131693 */ // Label 28648: @2131693
     /* 2131693 */ GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2131741), // Rule ID 47986 //
     /* 2131698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2131704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2131707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131711 */   // MIs[0] Operand 1
     /* 2131711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131724 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2131724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2131727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131729 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131731 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2131739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131740 */   // GIR_Coverage, 47986,
     /* 2131740 */   GIR_EraseRootFromParent_Done,
     /* 2131741 */ // Label 28649: @2131741
     /* 2131741 */ GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2131789), // Rule ID 47987 //
     /* 2131746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2131752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2131755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131759 */   // MIs[0] Operand 1
     /* 2131759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131772 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2131772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2131775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2131787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131788 */   // GIR_Coverage, 47987,
     /* 2131788 */   GIR_EraseRootFromParent_Done,
     /* 2131789 */ // Label 28650: @2131789
     /* 2131789 */ GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2131837), // Rule ID 47992 //
     /* 2131794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131807 */   // MIs[0] Operand 1
     /* 2131807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131820 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2131820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2131823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131827 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131836 */   // GIR_Coverage, 47992,
     /* 2131836 */   GIR_EraseRootFromParent_Done,
     /* 2131837 */ // Label 28651: @2131837
     /* 2131837 */ GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2131885), // Rule ID 47993 //
     /* 2131842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2131848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131855 */   // MIs[0] Operand 1
     /* 2131855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131868 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2131868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2131871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131875 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131884 */   // GIR_Coverage, 47993,
     /* 2131884 */   GIR_EraseRootFromParent_Done,
     /* 2131885 */ // Label 28652: @2131885
     /* 2131885 */ GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2131933), // Rule ID 48000 //
     /* 2131890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131903 */   // MIs[0] Operand 1
     /* 2131903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131916 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2131916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2131919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131932 */   // GIR_Coverage, 48000,
     /* 2131932 */   GIR_EraseRootFromParent_Done,
     /* 2131933 */ // Label 28653: @2131933
     /* 2131933 */ GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2131981), // Rule ID 48001 //
     /* 2131938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131951 */   // MIs[0] Operand 1
     /* 2131951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2131956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131964 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2131964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2131967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131969 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2131971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2131973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2131976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2131980 */   // GIR_Coverage, 48001,
     /* 2131980 */   GIR_EraseRootFromParent_Done,
     /* 2131981 */ // Label 28654: @2131981
     /* 2131981 */ GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2132029), // Rule ID 48022 //
     /* 2131986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2131989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2131995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131999 */   // MIs[0] Operand 1
     /* 2131999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2132004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132012 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2132012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2132015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132028 */   // GIR_Coverage, 48022,
     /* 2132028 */   GIR_EraseRootFromParent_Done,
     /* 2132029 */ // Label 28655: @2132029
     /* 2132029 */ GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2132077), // Rule ID 48023 //
     /* 2132034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132047 */   // MIs[0] Operand 1
     /* 2132047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2132052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132060 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2132060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2132063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132067 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132076 */   // GIR_Coverage, 48023,
     /* 2132076 */   GIR_EraseRootFromParent_Done,
     /* 2132077 */ // Label 28656: @2132077
     /* 2132077 */ GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2132125), // Rule ID 48030 //
     /* 2132082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132095 */   // MIs[0] Operand 1
     /* 2132095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132108 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2132108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2132111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132124 */   // GIR_Coverage, 48030,
     /* 2132124 */   GIR_EraseRootFromParent_Done,
     /* 2132125 */ // Label 28657: @2132125
     /* 2132125 */ GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2132173), // Rule ID 48031 //
     /* 2132130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132143 */   // MIs[0] Operand 1
     /* 2132143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132156 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2132156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2132159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132172 */   // GIR_Coverage, 48031,
     /* 2132172 */   GIR_EraseRootFromParent_Done,
     /* 2132173 */ // Label 28658: @2132173
     /* 2132173 */ GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2132221), // Rule ID 48036 //
     /* 2132178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132191 */   // MIs[0] Operand 1
     /* 2132191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132204 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2132204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2132207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132220 */   // GIR_Coverage, 48036,
     /* 2132220 */   GIR_EraseRootFromParent_Done,
     /* 2132221 */ // Label 28659: @2132221
     /* 2132221 */ GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2132269), // Rule ID 48037 //
     /* 2132226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132239 */   // MIs[0] Operand 1
     /* 2132239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132252 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2132252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2132255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132268 */   // GIR_Coverage, 48037,
     /* 2132268 */   GIR_EraseRootFromParent_Done,
     /* 2132269 */ // Label 28660: @2132269
     /* 2132269 */ GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2132317), // Rule ID 48044 //
     /* 2132274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132287 */   // MIs[0] Operand 1
     /* 2132287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132300 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2132300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2132303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132316 */   // GIR_Coverage, 48044,
     /* 2132316 */   GIR_EraseRootFromParent_Done,
     /* 2132317 */ // Label 28661: @2132317
     /* 2132317 */ GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2132365), // Rule ID 48045 //
     /* 2132322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132335 */   // MIs[0] Operand 1
     /* 2132335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132348 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2132348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2132351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132364 */   // GIR_Coverage, 48045,
     /* 2132364 */   GIR_EraseRootFromParent_Done,
     /* 2132365 */ // Label 28662: @2132365
     /* 2132365 */ GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2132413), // Rule ID 48066 //
     /* 2132370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2132373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132383 */   // MIs[0] Operand 1
     /* 2132383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132396 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2132396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2132399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132412 */   // GIR_Coverage, 48066,
     /* 2132412 */   GIR_EraseRootFromParent_Done,
     /* 2132413 */ // Label 28663: @2132413
     /* 2132413 */ GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2132461), // Rule ID 48067 //
     /* 2132418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132431 */   // MIs[0] Operand 1
     /* 2132431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2132436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132444 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2132444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2132447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132460 */   // GIR_Coverage, 48067,
     /* 2132460 */   GIR_EraseRootFromParent_Done,
     /* 2132461 */ // Label 28664: @2132461
     /* 2132461 */ GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2132509), // Rule ID 48072 //
     /* 2132466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132479 */   // MIs[0] Operand 1
     /* 2132479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132492 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2132492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2132495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132508 */   // GIR_Coverage, 48072,
     /* 2132508 */   GIR_EraseRootFromParent_Done,
     /* 2132509 */ // Label 28665: @2132509
     /* 2132509 */ GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2132557), // Rule ID 48073 //
     /* 2132514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132527 */   // MIs[0] Operand 1
     /* 2132527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132540 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2132540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2132543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132556 */   // GIR_Coverage, 48073,
     /* 2132556 */   GIR_EraseRootFromParent_Done,
     /* 2132557 */ // Label 28666: @2132557
     /* 2132557 */ GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2132605), // Rule ID 48078 //
     /* 2132562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132575 */   // MIs[0] Operand 1
     /* 2132575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132588 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2132588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2132591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132604 */   // GIR_Coverage, 48078,
     /* 2132604 */   GIR_EraseRootFromParent_Done,
     /* 2132605 */ // Label 28667: @2132605
     /* 2132605 */ GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2132653), // Rule ID 48079 //
     /* 2132610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132623 */   // MIs[0] Operand 1
     /* 2132623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132636 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2132636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2132639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132652 */   // GIR_Coverage, 48079,
     /* 2132652 */   GIR_EraseRootFromParent_Done,
     /* 2132653 */ // Label 28668: @2132653
     /* 2132653 */ GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2132701), // Rule ID 48086 //
     /* 2132658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132671 */   // MIs[0] Operand 1
     /* 2132671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132684 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2132684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2132687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132700 */   // GIR_Coverage, 48086,
     /* 2132700 */   GIR_EraseRootFromParent_Done,
     /* 2132701 */ // Label 28669: @2132701
     /* 2132701 */ GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2132749), // Rule ID 48087 //
     /* 2132706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2132712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132719 */   // MIs[0] Operand 1
     /* 2132719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132732 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2132732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2132735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132748 */   // GIR_Coverage, 48087,
     /* 2132748 */   GIR_EraseRootFromParent_Done,
     /* 2132749 */ // Label 28670: @2132749
     /* 2132749 */ GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2132797), // Rule ID 48108 //
     /* 2132754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2132757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132767 */   // MIs[0] Operand 1
     /* 2132767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132780 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2132780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2132783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132796 */   // GIR_Coverage, 48108,
     /* 2132796 */   GIR_EraseRootFromParent_Done,
     /* 2132797 */ // Label 28671: @2132797
     /* 2132797 */ GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2132845), // Rule ID 48109 //
     /* 2132802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132815 */   // MIs[0] Operand 1
     /* 2132815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2132820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132828 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2132828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2132831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2132837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132844 */   // GIR_Coverage, 48109,
     /* 2132844 */   GIR_EraseRootFromParent_Done,
     /* 2132845 */ // Label 28672: @2132845
     /* 2132845 */ GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2132893), // Rule ID 48116 //
     /* 2132850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132863 */   // MIs[0] Operand 1
     /* 2132863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2132868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132876 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2132876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2132879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132892 */   // GIR_Coverage, 48116,
     /* 2132892 */   GIR_EraseRootFromParent_Done,
     /* 2132893 */ // Label 28673: @2132893
     /* 2132893 */ GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2132941), // Rule ID 48117 //
     /* 2132898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132911 */   // MIs[0] Operand 1
     /* 2132911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2132916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132924 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2132924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2132927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132929 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132940 */   // GIR_Coverage, 48117,
     /* 2132940 */   GIR_EraseRootFromParent_Done,
     /* 2132941 */ // Label 28674: @2132941
     /* 2132941 */ GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2132989), // Rule ID 48122 //
     /* 2132946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132959 */   // MIs[0] Operand 1
     /* 2132959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2132964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132972 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2132972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2132975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132977 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2132979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2132981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2132984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2132988 */   // GIR_Coverage, 48122,
     /* 2132988 */   GIR_EraseRootFromParent_Done,
     /* 2132989 */ // Label 28675: @2132989
     /* 2132989 */ GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2133037), // Rule ID 48123 //
     /* 2132994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133007 */   // MIs[0] Operand 1
     /* 2133007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2133012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133020 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2133020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2133023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133025 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133036 */   // GIR_Coverage, 48123,
     /* 2133036 */   GIR_EraseRootFromParent_Done,
     /* 2133037 */ // Label 28676: @2133037
     /* 2133037 */ GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2133085), // Rule ID 48130 //
     /* 2133042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133055 */   // MIs[0] Operand 1
     /* 2133055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2133060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133068 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2133068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2133071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133084 */   // GIR_Coverage, 48130,
     /* 2133084 */   GIR_EraseRootFromParent_Done,
     /* 2133085 */ // Label 28677: @2133085
     /* 2133085 */ GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2133133), // Rule ID 48131 //
     /* 2133090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133103 */   // MIs[0] Operand 1
     /* 2133103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2133108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133116 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2133116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2133119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133132 */   // GIR_Coverage, 48131,
     /* 2133132 */   GIR_EraseRootFromParent_Done,
     /* 2133133 */ // Label 28678: @2133133
     /* 2133133 */ GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2133181), // Rule ID 48152 //
     /* 2133138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2133141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133151 */   // MIs[0] Operand 1
     /* 2133151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2133156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133160 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133164 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2133164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2133167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133171 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133180 */   // GIR_Coverage, 48152,
     /* 2133180 */   GIR_EraseRootFromParent_Done,
     /* 2133181 */ // Label 28679: @2133181
     /* 2133181 */ GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2133229), // Rule ID 48153 //
     /* 2133186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2133189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133199 */   // MIs[0] Operand 1
     /* 2133199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2133204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133212 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2133212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2133215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133228 */   // GIR_Coverage, 48153,
     /* 2133228 */   GIR_EraseRootFromParent_Done,
     /* 2133229 */ // Label 28680: @2133229
     /* 2133229 */ GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2133277), // Rule ID 48160 //
     /* 2133234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2133240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2133243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133247 */   // MIs[0] Operand 1
     /* 2133247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133256 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133260 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2133260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2133263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133276 */   // GIR_Coverage, 48160,
     /* 2133276 */   GIR_EraseRootFromParent_Done,
     /* 2133277 */ // Label 28681: @2133277
     /* 2133277 */ GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2133325), // Rule ID 48161 //
     /* 2133282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2133288 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2133291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133295 */   // MIs[0] Operand 1
     /* 2133295 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133304 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133308 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2133308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2133311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133324 */   // GIR_Coverage, 48161,
     /* 2133324 */   GIR_EraseRootFromParent_Done,
     /* 2133325 */ // Label 28682: @2133325
     /* 2133325 */ GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2133373), // Rule ID 48166 //
     /* 2133330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133343 */   // MIs[0] Operand 1
     /* 2133343 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133352 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133356 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2133356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2133359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133372 */   // GIR_Coverage, 48166,
     /* 2133372 */   GIR_EraseRootFromParent_Done,
     /* 2133373 */ // Label 28683: @2133373
     /* 2133373 */ GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2133421), // Rule ID 48167 //
     /* 2133378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133391 */   // MIs[0] Operand 1
     /* 2133391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133404 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2133404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2133407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133420 */   // GIR_Coverage, 48167,
     /* 2133420 */   GIR_EraseRootFromParent_Done,
     /* 2133421 */ // Label 28684: @2133421
     /* 2133421 */ GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2133469), // Rule ID 48174 //
     /* 2133426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133432 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133439 */   // MIs[0] Operand 1
     /* 2133439 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133448 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133452 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2133452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2133455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133468 */   // GIR_Coverage, 48174,
     /* 2133468 */   GIR_EraseRootFromParent_Done,
     /* 2133469 */ // Label 28685: @2133469
     /* 2133469 */ GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2133517), // Rule ID 48175 //
     /* 2133474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133487 */   // MIs[0] Operand 1
     /* 2133487 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133496 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133500 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2133500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2133503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133516 */   // GIR_Coverage, 48175,
     /* 2133516 */   GIR_EraseRootFromParent_Done,
     /* 2133517 */ // Label 28686: @2133517
     /* 2133517 */ GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2133565), // Rule ID 48196 //
     /* 2133522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2133525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133535 */   // MIs[0] Operand 1
     /* 2133535 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133544 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133548 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2133548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2133551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133564 */   // GIR_Coverage, 48196,
     /* 2133564 */   GIR_EraseRootFromParent_Done,
     /* 2133565 */ // Label 28687: @2133565
     /* 2133565 */ GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2133613), // Rule ID 48197 //
     /* 2133570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2133573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133583 */   // MIs[0] Operand 1
     /* 2133583 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2133588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133592 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133596 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2133596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2133599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2133605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133612 */   // GIR_Coverage, 48197,
     /* 2133612 */   GIR_EraseRootFromParent_Done,
     /* 2133613 */ // Label 28688: @2133613
     /* 2133613 */ GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2133661), // Rule ID 48204 //
     /* 2133618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2133624 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2133627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133631 */   // MIs[0] Operand 1
     /* 2133631 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133640 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133644 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2133644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2133647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133649 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133660 */   // GIR_Coverage, 48204,
     /* 2133660 */   GIR_EraseRootFromParent_Done,
     /* 2133661 */ // Label 28689: @2133661
     /* 2133661 */ GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2133709), // Rule ID 48205 //
     /* 2133666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2133672 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2133675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133679 */   // MIs[0] Operand 1
     /* 2133679 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133688 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133692 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2133692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2133695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133697 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133708 */   // GIR_Coverage, 48205,
     /* 2133708 */   GIR_EraseRootFromParent_Done,
     /* 2133709 */ // Label 28690: @2133709
     /* 2133709 */ GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2133757), // Rule ID 48210 //
     /* 2133714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133727 */   // MIs[0] Operand 1
     /* 2133727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133740 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2133740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2133743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133756 */   // GIR_Coverage, 48210,
     /* 2133756 */   GIR_EraseRootFromParent_Done,
     /* 2133757 */ // Label 28691: @2133757
     /* 2133757 */ GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2133805), // Rule ID 48211 //
     /* 2133762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133775 */   // MIs[0] Operand 1
     /* 2133775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133788 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2133788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2133791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133804 */   // GIR_Coverage, 48211,
     /* 2133804 */   GIR_EraseRootFromParent_Done,
     /* 2133805 */ // Label 28692: @2133805
     /* 2133805 */ GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2133853), // Rule ID 48218 //
     /* 2133810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133823 */   // MIs[0] Operand 1
     /* 2133823 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133832 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133836 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2133836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2133839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133841 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133843 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133852 */   // GIR_Coverage, 48218,
     /* 2133852 */   GIR_EraseRootFromParent_Done,
     /* 2133853 */ // Label 28693: @2133853
     /* 2133853 */ GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2133901), // Rule ID 48219 //
     /* 2133858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133871 */   // MIs[0] Operand 1
     /* 2133871 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133884 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2133884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2133887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133891 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133900 */   // GIR_Coverage, 48219,
     /* 2133900 */   GIR_EraseRootFromParent_Done,
     /* 2133901 */ // Label 28694: @2133901
     /* 2133901 */ GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2133949), // Rule ID 48240 //
     /* 2133906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2133909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133919 */   // MIs[0] Operand 1
     /* 2133919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133932 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2133932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2133935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133939 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133948 */   // GIR_Coverage, 48240,
     /* 2133948 */   GIR_EraseRootFromParent_Done,
     /* 2133949 */ // Label 28695: @2133949
     /* 2133949 */ GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2133997), // Rule ID 48241 //
     /* 2133954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2133957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2133960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2133963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133967 */   // MIs[0] Operand 1
     /* 2133967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2133972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133980 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2133980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2133983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2133987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2133989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2133992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2133996 */   // GIR_Coverage, 48241,
     /* 2133996 */   GIR_EraseRootFromParent_Done,
     /* 2133997 */ // Label 28696: @2133997
     /* 2133997 */ GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2134045), // Rule ID 48248 //
     /* 2134002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134015 */   // MIs[0] Operand 1
     /* 2134015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134028 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2134028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2134031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134033 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134044 */   // GIR_Coverage, 48248,
     /* 2134044 */   GIR_EraseRootFromParent_Done,
     /* 2134045 */ // Label 28697: @2134045
     /* 2134045 */ GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2134093), // Rule ID 48249 //
     /* 2134050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134063 */   // MIs[0] Operand 1
     /* 2134063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134076 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2134076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2134079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134081 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134092 */   // GIR_Coverage, 48249,
     /* 2134092 */   GIR_EraseRootFromParent_Done,
     /* 2134093 */ // Label 28698: @2134093
     /* 2134093 */ GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2134141), // Rule ID 48254 //
     /* 2134098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134111 */   // MIs[0] Operand 1
     /* 2134111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134124 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2134124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2134127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134129 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134140 */   // GIR_Coverage, 48254,
     /* 2134140 */   GIR_EraseRootFromParent_Done,
     /* 2134141 */ // Label 28699: @2134141
     /* 2134141 */ GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2134189), // Rule ID 48255 //
     /* 2134146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134159 */   // MIs[0] Operand 1
     /* 2134159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134172 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2134172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2134175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134188 */   // GIR_Coverage, 48255,
     /* 2134188 */   GIR_EraseRootFromParent_Done,
     /* 2134189 */ // Label 28700: @2134189
     /* 2134189 */ GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2134237), // Rule ID 48262 //
     /* 2134194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134207 */   // MIs[0] Operand 1
     /* 2134207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134220 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2134220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2134223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134225 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134227 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134236 */   // GIR_Coverage, 48262,
     /* 2134236 */   GIR_EraseRootFromParent_Done,
     /* 2134237 */ // Label 28701: @2134237
     /* 2134237 */ GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2134285), // Rule ID 48263 //
     /* 2134242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134255 */   // MIs[0] Operand 1
     /* 2134255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134268 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2134268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2134271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134273 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134275 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134284 */   // GIR_Coverage, 48263,
     /* 2134284 */   GIR_EraseRootFromParent_Done,
     /* 2134285 */ // Label 28702: @2134285
     /* 2134285 */ GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2134333), // Rule ID 48284 //
     /* 2134290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2134293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134303 */   // MIs[0] Operand 1
     /* 2134303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134316 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2134316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2134319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134321 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134323 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134332 */   // GIR_Coverage, 48284,
     /* 2134332 */   GIR_EraseRootFromParent_Done,
     /* 2134333 */ // Label 28703: @2134333
     /* 2134333 */ GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2134381), // Rule ID 48285 //
     /* 2134338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2134341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134351 */   // MIs[0] Operand 1
     /* 2134351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2134356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134364 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2134364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2134367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134369 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134371 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134380 */   // GIR_Coverage, 48285,
     /* 2134380 */   GIR_EraseRootFromParent_Done,
     /* 2134381 */ // Label 28704: @2134381
     /* 2134381 */ GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2134429), // Rule ID 48292 //
     /* 2134386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134399 */   // MIs[0] Operand 1
     /* 2134399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134412 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2134412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2134415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134428 */   // GIR_Coverage, 48292,
     /* 2134428 */   GIR_EraseRootFromParent_Done,
     /* 2134429 */ // Label 28705: @2134429
     /* 2134429 */ GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2134477), // Rule ID 48293 //
     /* 2134434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134447 */   // MIs[0] Operand 1
     /* 2134447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134460 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2134460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2134463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134476 */   // GIR_Coverage, 48293,
     /* 2134476 */   GIR_EraseRootFromParent_Done,
     /* 2134477 */ // Label 28706: @2134477
     /* 2134477 */ GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2134525), // Rule ID 48298 //
     /* 2134482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134495 */   // MIs[0] Operand 1
     /* 2134495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134508 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2134508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2134511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134524 */   // GIR_Coverage, 48298,
     /* 2134524 */   GIR_EraseRootFromParent_Done,
     /* 2134525 */ // Label 28707: @2134525
     /* 2134525 */ GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2134573), // Rule ID 48299 //
     /* 2134530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134543 */   // MIs[0] Operand 1
     /* 2134543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134556 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2134556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2134559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134572 */   // GIR_Coverage, 48299,
     /* 2134572 */   GIR_EraseRootFromParent_Done,
     /* 2134573 */ // Label 28708: @2134573
     /* 2134573 */ GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2134621), // Rule ID 48306 //
     /* 2134578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134591 */   // MIs[0] Operand 1
     /* 2134591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134604 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2134604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2134607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134620 */   // GIR_Coverage, 48306,
     /* 2134620 */   GIR_EraseRootFromParent_Done,
     /* 2134621 */ // Label 28709: @2134621
     /* 2134621 */ GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2134669), // Rule ID 48307 //
     /* 2134626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134639 */   // MIs[0] Operand 1
     /* 2134639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134652 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2134652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2134655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134668 */   // GIR_Coverage, 48307,
     /* 2134668 */   GIR_EraseRootFromParent_Done,
     /* 2134669 */ // Label 28710: @2134669
     /* 2134669 */ GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2134717), // Rule ID 48328 //
     /* 2134674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2134677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134687 */   // MIs[0] Operand 1
     /* 2134687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134700 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2134700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2134703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134716 */   // GIR_Coverage, 48328,
     /* 2134716 */   GIR_EraseRootFromParent_Done,
     /* 2134717 */ // Label 28711: @2134717
     /* 2134717 */ GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2134765), // Rule ID 48329 //
     /* 2134722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2134725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134735 */   // MIs[0] Operand 1
     /* 2134735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2134740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134748 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2134748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2134751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2134755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2134757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134764 */   // GIR_Coverage, 48329,
     /* 2134764 */   GIR_EraseRootFromParent_Done,
     /* 2134765 */ // Label 28712: @2134765
     /* 2134765 */ GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2134813), // Rule ID 48336 //
     /* 2134770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134783 */   // MIs[0] Operand 1
     /* 2134783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2134788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134796 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2134796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2134799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134801 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134812 */   // GIR_Coverage, 48336,
     /* 2134812 */   GIR_EraseRootFromParent_Done,
     /* 2134813 */ // Label 28713: @2134813
     /* 2134813 */ GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2134861), // Rule ID 48337 //
     /* 2134818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2134824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2134827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134831 */   // MIs[0] Operand 1
     /* 2134831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2134836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134844 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2134844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2134847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134860 */   // GIR_Coverage, 48337,
     /* 2134860 */   GIR_EraseRootFromParent_Done,
     /* 2134861 */ // Label 28714: @2134861
     /* 2134861 */ GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2134909), // Rule ID 48342 //
     /* 2134866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134879 */   // MIs[0] Operand 1
     /* 2134879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2134884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134892 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2134892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2134895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134908 */   // GIR_Coverage, 48342,
     /* 2134908 */   GIR_EraseRootFromParent_Done,
     /* 2134909 */ // Label 28715: @2134909
     /* 2134909 */ GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2134957), // Rule ID 48343 //
     /* 2134914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2134920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2134923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134927 */   // MIs[0] Operand 1
     /* 2134927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2134932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134940 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2134940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2134943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2134952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2134956 */   // GIR_Coverage, 48343,
     /* 2134956 */   GIR_EraseRootFromParent_Done,
     /* 2134957 */ // Label 28716: @2134957
     /* 2134957 */ GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2135005), // Rule ID 48350 //
     /* 2134962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134975 */   // MIs[0] Operand 1
     /* 2134975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2134980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134988 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2134988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2134991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2134997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135004 */   // GIR_Coverage, 48350,
     /* 2135004 */   GIR_EraseRootFromParent_Done,
     /* 2135005 */ // Label 28717: @2135005
     /* 2135005 */ GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2135053), // Rule ID 48351 //
     /* 2135010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2135019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135023 */   // MIs[0] Operand 1
     /* 2135023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2135028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135036 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2135036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2135039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135043 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2135045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135052 */   // GIR_Coverage, 48351,
     /* 2135052 */   GIR_EraseRootFromParent_Done,
     /* 2135053 */ // Label 28718: @2135053
     /* 2135053 */ GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2135101), // Rule ID 48372 //
     /* 2135058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2135061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135071 */   // MIs[0] Operand 1
     /* 2135071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2135076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135084 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2135084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2135087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2135093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135100 */   // GIR_Coverage, 48372,
     /* 2135100 */   GIR_EraseRootFromParent_Done,
     /* 2135101 */ // Label 28719: @2135101
     /* 2135101 */ GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2135149), // Rule ID 48373 //
     /* 2135106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2135109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135119 */   // MIs[0] Operand 1
     /* 2135119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2135124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135132 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2135132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2135135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135139 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2135141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135148 */   // GIR_Coverage, 48373,
     /* 2135148 */   GIR_EraseRootFromParent_Done,
     /* 2135149 */ // Label 28720: @2135149
     /* 2135149 */ GIM_Reject,
     /* 2135150 */ // Label 28461: @2135150
     /* 2135150 */ GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2135198), // Rule ID 47944 //
     /* 2135155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135168 */   // MIs[0] Operand 1
     /* 2135168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135181 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2135181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2135184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135197 */   // GIR_Coverage, 47944,
     /* 2135197 */   GIR_EraseRootFromParent_Done,
     /* 2135198 */ // Label 28721: @2135198
     /* 2135198 */ GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2135246), // Rule ID 47945 //
     /* 2135203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135216 */   // MIs[0] Operand 1
     /* 2135216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135229 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2135229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2135232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135245 */   // GIR_Coverage, 47945,
     /* 2135245 */   GIR_EraseRootFromParent_Done,
     /* 2135246 */ // Label 28722: @2135246
     /* 2135246 */ GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2135294), // Rule ID 47954 //
     /* 2135251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135264 */   // MIs[0] Operand 1
     /* 2135264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135277 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2135277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2135280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135293 */   // GIR_Coverage, 47954,
     /* 2135293 */   GIR_EraseRootFromParent_Done,
     /* 2135294 */ // Label 28723: @2135294
     /* 2135294 */ GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2135342), // Rule ID 47955 //
     /* 2135299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135312 */   // MIs[0] Operand 1
     /* 2135312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135325 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2135325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2135328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135341 */   // GIR_Coverage, 47955,
     /* 2135341 */   GIR_EraseRootFromParent_Done,
     /* 2135342 */ // Label 28724: @2135342
     /* 2135342 */ GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2135390), // Rule ID 47972 //
     /* 2135347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135360 */   // MIs[0] Operand 1
     /* 2135360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135373 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2135373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2135376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135389 */   // GIR_Coverage, 47972,
     /* 2135389 */   GIR_EraseRootFromParent_Done,
     /* 2135390 */ // Label 28725: @2135390
     /* 2135390 */ GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2135438), // Rule ID 47973 //
     /* 2135395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135408 */   // MIs[0] Operand 1
     /* 2135408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135421 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2135421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2135424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135437 */   // GIR_Coverage, 47973,
     /* 2135437 */   GIR_EraseRootFromParent_Done,
     /* 2135438 */ // Label 28726: @2135438
     /* 2135438 */ GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2135486), // Rule ID 47980 //
     /* 2135443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2135446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135456 */   // MIs[0] Operand 1
     /* 2135456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135469 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2135469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2135472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135485 */   // GIR_Coverage, 47980,
     /* 2135485 */   GIR_EraseRootFromParent_Done,
     /* 2135486 */ // Label 28727: @2135486
     /* 2135486 */ GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2135534), // Rule ID 47981 //
     /* 2135491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2135494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135504 */   // MIs[0] Operand 1
     /* 2135504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2135509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135517 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2135517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2135520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135533 */   // GIR_Coverage, 47981,
     /* 2135533 */   GIR_EraseRootFromParent_Done,
     /* 2135534 */ // Label 28728: @2135534
     /* 2135534 */ GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2135582), // Rule ID 47988 //
     /* 2135539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135552 */   // MIs[0] Operand 1
     /* 2135552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135565 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2135565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2135568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135581 */   // GIR_Coverage, 47988,
     /* 2135581 */   GIR_EraseRootFromParent_Done,
     /* 2135582 */ // Label 28729: @2135582
     /* 2135582 */ GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2135630), // Rule ID 47989 //
     /* 2135587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135600 */   // MIs[0] Operand 1
     /* 2135600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135613 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2135613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2135616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135629 */   // GIR_Coverage, 47989,
     /* 2135629 */   GIR_EraseRootFromParent_Done,
     /* 2135630 */ // Label 28730: @2135630
     /* 2135630 */ GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2135678), // Rule ID 47998 //
     /* 2135635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135648 */   // MIs[0] Operand 1
     /* 2135648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135661 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2135661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2135664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135677 */   // GIR_Coverage, 47998,
     /* 2135677 */   GIR_EraseRootFromParent_Done,
     /* 2135678 */ // Label 28731: @2135678
     /* 2135678 */ GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2135726), // Rule ID 47999 //
     /* 2135683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2135692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135696 */   // MIs[0] Operand 1
     /* 2135696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135709 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2135709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2135712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135725 */   // GIR_Coverage, 47999,
     /* 2135725 */   GIR_EraseRootFromParent_Done,
     /* 2135726 */ // Label 28732: @2135726
     /* 2135726 */ GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2135774), // Rule ID 48016 //
     /* 2135731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135744 */   // MIs[0] Operand 1
     /* 2135744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135757 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2135757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2135760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135773 */   // GIR_Coverage, 48016,
     /* 2135773 */   GIR_EraseRootFromParent_Done,
     /* 2135774 */ // Label 28733: @2135774
     /* 2135774 */ GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2135822), // Rule ID 48017 //
     /* 2135779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2135785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2135788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135792 */   // MIs[0] Operand 1
     /* 2135792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135805 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2135805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2135808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135821 */   // GIR_Coverage, 48017,
     /* 2135821 */   GIR_EraseRootFromParent_Done,
     /* 2135822 */ // Label 28734: @2135822
     /* 2135822 */ GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2135870), // Rule ID 48024 //
     /* 2135827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2135830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135840 */   // MIs[0] Operand 1
     /* 2135840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135853 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2135853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2135856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135869 */   // GIR_Coverage, 48024,
     /* 2135869 */   GIR_EraseRootFromParent_Done,
     /* 2135870 */ // Label 28735: @2135870
     /* 2135870 */ GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2135918), // Rule ID 48025 //
     /* 2135875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2135878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135888 */   // MIs[0] Operand 1
     /* 2135888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2135893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135901 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2135901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2135904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135917 */   // GIR_Coverage, 48025,
     /* 2135917 */   GIR_EraseRootFromParent_Done,
     /* 2135918 */ // Label 28736: @2135918
     /* 2135918 */ GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2135966), // Rule ID 48032 //
     /* 2135923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135936 */   // MIs[0] Operand 1
     /* 2135936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2135941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135949 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2135949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2135952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2135956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2135958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2135961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2135965 */   // GIR_Coverage, 48032,
     /* 2135965 */   GIR_EraseRootFromParent_Done,
     /* 2135966 */ // Label 28737: @2135966
     /* 2135966 */ GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2136014), // Rule ID 48033 //
     /* 2135971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2135977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2135980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135984 */   // MIs[0] Operand 1
     /* 2135984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2135989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135997 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2135997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2136000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2136012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136013 */   // GIR_Coverage, 48033,
     /* 2136013 */   GIR_EraseRootFromParent_Done,
     /* 2136014 */ // Label 28738: @2136014
     /* 2136014 */ GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2136062), // Rule ID 48042 //
     /* 2136019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136032 */   // MIs[0] Operand 1
     /* 2136032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136045 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2136045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2136048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136061 */   // GIR_Coverage, 48042,
     /* 2136061 */   GIR_EraseRootFromParent_Done,
     /* 2136062 */ // Label 28739: @2136062
     /* 2136062 */ GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2136110), // Rule ID 48043 //
     /* 2136067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136080 */   // MIs[0] Operand 1
     /* 2136080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136093 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2136093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2136096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136109 */   // GIR_Coverage, 48043,
     /* 2136109 */   GIR_EraseRootFromParent_Done,
     /* 2136110 */ // Label 28740: @2136110
     /* 2136110 */ GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2136158), // Rule ID 48060 //
     /* 2136115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136128 */   // MIs[0] Operand 1
     /* 2136128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136141 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2136141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2136144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136157 */   // GIR_Coverage, 48060,
     /* 2136157 */   GIR_EraseRootFromParent_Done,
     /* 2136158 */ // Label 28741: @2136158
     /* 2136158 */ GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2136206), // Rule ID 48061 //
     /* 2136163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136176 */   // MIs[0] Operand 1
     /* 2136176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136189 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2136189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2136192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136205 */   // GIR_Coverage, 48061,
     /* 2136205 */   GIR_EraseRootFromParent_Done,
     /* 2136206 */ // Label 28742: @2136206
     /* 2136206 */ GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2136254), // Rule ID 48068 //
     /* 2136211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2136214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136224 */   // MIs[0] Operand 1
     /* 2136224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136237 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2136237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2136240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136253 */   // GIR_Coverage, 48068,
     /* 2136253 */   GIR_EraseRootFromParent_Done,
     /* 2136254 */ // Label 28743: @2136254
     /* 2136254 */ GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2136302), // Rule ID 48069 //
     /* 2136259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2136262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136272 */   // MIs[0] Operand 1
     /* 2136272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2136277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136285 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2136285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2136288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136301 */   // GIR_Coverage, 48069,
     /* 2136301 */   GIR_EraseRootFromParent_Done,
     /* 2136302 */ // Label 28744: @2136302
     /* 2136302 */ GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2136350), // Rule ID 48074 //
     /* 2136307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2136313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2136316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136320 */   // MIs[0] Operand 1
     /* 2136320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136333 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2136333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2136336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2136348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136349 */   // GIR_Coverage, 48074,
     /* 2136349 */   GIR_EraseRootFromParent_Done,
     /* 2136350 */ // Label 28745: @2136350
     /* 2136350 */ GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2136398), // Rule ID 48075 //
     /* 2136355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2136361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2136364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136368 */   // MIs[0] Operand 1
     /* 2136368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136381 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2136381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2136384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2136396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136397 */   // GIR_Coverage, 48075,
     /* 2136397 */   GIR_EraseRootFromParent_Done,
     /* 2136398 */ // Label 28746: @2136398
     /* 2136398 */ GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2136446), // Rule ID 48084 //
     /* 2136403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136416 */   // MIs[0] Operand 1
     /* 2136416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136429 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2136429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2136432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136445 */   // GIR_Coverage, 48084,
     /* 2136445 */   GIR_EraseRootFromParent_Done,
     /* 2136446 */ // Label 28747: @2136446
     /* 2136446 */ GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2136494), // Rule ID 48085 //
     /* 2136451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136464 */   // MIs[0] Operand 1
     /* 2136464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136477 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2136477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2136480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136493 */   // GIR_Coverage, 48085,
     /* 2136493 */   GIR_EraseRootFromParent_Done,
     /* 2136494 */ // Label 28748: @2136494
     /* 2136494 */ GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2136542), // Rule ID 48102 //
     /* 2136499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136512 */   // MIs[0] Operand 1
     /* 2136512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136525 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2136525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2136528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136541 */   // GIR_Coverage, 48102,
     /* 2136541 */   GIR_EraseRootFromParent_Done,
     /* 2136542 */ // Label 28749: @2136542
     /* 2136542 */ GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2136590), // Rule ID 48103 //
     /* 2136547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136560 */   // MIs[0] Operand 1
     /* 2136560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136573 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2136573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2136576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136589 */   // GIR_Coverage, 48103,
     /* 2136589 */   GIR_EraseRootFromParent_Done,
     /* 2136590 */ // Label 28750: @2136590
     /* 2136590 */ GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2136638), // Rule ID 48110 //
     /* 2136595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2136598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136608 */   // MIs[0] Operand 1
     /* 2136608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136621 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2136621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2136624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136637 */   // GIR_Coverage, 48110,
     /* 2136637 */   GIR_EraseRootFromParent_Done,
     /* 2136638 */ // Label 28751: @2136638
     /* 2136638 */ GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2136686), // Rule ID 48111 //
     /* 2136643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2136646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136656 */   // MIs[0] Operand 1
     /* 2136656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2136661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136669 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2136669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2136672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2136678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136685 */   // GIR_Coverage, 48111,
     /* 2136685 */   GIR_EraseRootFromParent_Done,
     /* 2136686 */ // Label 28752: @2136686
     /* 2136686 */ GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2136734), // Rule ID 48118 //
     /* 2136691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2136697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2136700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136704 */   // MIs[0] Operand 1
     /* 2136704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136717 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2136717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2136720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2136732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136733 */   // GIR_Coverage, 48118,
     /* 2136733 */   GIR_EraseRootFromParent_Done,
     /* 2136734 */ // Label 28753: @2136734
     /* 2136734 */ GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2136782), // Rule ID 48119 //
     /* 2136739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2136745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2136748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136752 */   // MIs[0] Operand 1
     /* 2136752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136765 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2136765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2136768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2136780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136781 */   // GIR_Coverage, 48119,
     /* 2136781 */   GIR_EraseRootFromParent_Done,
     /* 2136782 */ // Label 28754: @2136782
     /* 2136782 */ GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2136830), // Rule ID 48128 //
     /* 2136787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136800 */   // MIs[0] Operand 1
     /* 2136800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136813 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2136813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2136816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136829 */   // GIR_Coverage, 48128,
     /* 2136829 */   GIR_EraseRootFromParent_Done,
     /* 2136830 */ // Label 28755: @2136830
     /* 2136830 */ GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2136878), // Rule ID 48129 //
     /* 2136835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136848 */   // MIs[0] Operand 1
     /* 2136848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136861 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2136861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2136864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136877 */   // GIR_Coverage, 48129,
     /* 2136877 */   GIR_EraseRootFromParent_Done,
     /* 2136878 */ // Label 28756: @2136878
     /* 2136878 */ GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2136926), // Rule ID 48146 //
     /* 2136883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136896 */   // MIs[0] Operand 1
     /* 2136896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136909 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2136909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2136912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136925 */   // GIR_Coverage, 48146,
     /* 2136925 */   GIR_EraseRootFromParent_Done,
     /* 2136926 */ // Label 28757: @2136926
     /* 2136926 */ GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2136974), // Rule ID 48147 //
     /* 2136931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136944 */   // MIs[0] Operand 1
     /* 2136944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136957 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2136957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2136960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2136964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2136966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2136969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2136973 */   // GIR_Coverage, 48147,
     /* 2136973 */   GIR_EraseRootFromParent_Done,
     /* 2136974 */ // Label 28758: @2136974
     /* 2136974 */ GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2137022), // Rule ID 48154 //
     /* 2136979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2136982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2136985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2136988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136992 */   // MIs[0] Operand 1
     /* 2136992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2136997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137005 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2137005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2137008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137021 */   // GIR_Coverage, 48154,
     /* 2137021 */   GIR_EraseRootFromParent_Done,
     /* 2137022 */ // Label 28759: @2137022
     /* 2137022 */ GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2137070), // Rule ID 48155 //
     /* 2137027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2137030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137040 */   // MIs[0] Operand 1
     /* 2137040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2137045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137053 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2137053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2137056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137069 */   // GIR_Coverage, 48155,
     /* 2137069 */   GIR_EraseRootFromParent_Done,
     /* 2137070 */ // Label 28760: @2137070
     /* 2137070 */ GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2137118), // Rule ID 48162 //
     /* 2137075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137088 */   // MIs[0] Operand 1
     /* 2137088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137101 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2137101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2137104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137117 */   // GIR_Coverage, 48162,
     /* 2137117 */   GIR_EraseRootFromParent_Done,
     /* 2137118 */ // Label 28761: @2137118
     /* 2137118 */ GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2137166), // Rule ID 48163 //
     /* 2137123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137136 */   // MIs[0] Operand 1
     /* 2137136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137149 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2137149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2137152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137165 */   // GIR_Coverage, 48163,
     /* 2137165 */   GIR_EraseRootFromParent_Done,
     /* 2137166 */ // Label 28762: @2137166
     /* 2137166 */ GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2137214), // Rule ID 48172 //
     /* 2137171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137184 */   // MIs[0] Operand 1
     /* 2137184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137197 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2137197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2137200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137213 */   // GIR_Coverage, 48172,
     /* 2137213 */   GIR_EraseRootFromParent_Done,
     /* 2137214 */ // Label 28763: @2137214
     /* 2137214 */ GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2137262), // Rule ID 48173 //
     /* 2137219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137232 */   // MIs[0] Operand 1
     /* 2137232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137241 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137245 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2137245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2137248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137261 */   // GIR_Coverage, 48173,
     /* 2137261 */   GIR_EraseRootFromParent_Done,
     /* 2137262 */ // Label 28764: @2137262
     /* 2137262 */ GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2137310), // Rule ID 48190 //
     /* 2137267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137280 */   // MIs[0] Operand 1
     /* 2137280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137293 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2137293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2137296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137309 */   // GIR_Coverage, 48190,
     /* 2137309 */   GIR_EraseRootFromParent_Done,
     /* 2137310 */ // Label 28765: @2137310
     /* 2137310 */ GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2137358), // Rule ID 48191 //
     /* 2137315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137328 */   // MIs[0] Operand 1
     /* 2137328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137337 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137341 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2137341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2137344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137357 */   // GIR_Coverage, 48191,
     /* 2137357 */   GIR_EraseRootFromParent_Done,
     /* 2137358 */ // Label 28766: @2137358
     /* 2137358 */ GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2137406), // Rule ID 48198 //
     /* 2137363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2137366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137376 */   // MIs[0] Operand 1
     /* 2137376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137389 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2137389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2137392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137405 */   // GIR_Coverage, 48198,
     /* 2137405 */   GIR_EraseRootFromParent_Done,
     /* 2137406 */ // Label 28767: @2137406
     /* 2137406 */ GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2137454), // Rule ID 48199 //
     /* 2137411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2137414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137424 */   // MIs[0] Operand 1
     /* 2137424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2137429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137437 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2137437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2137440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137453 */   // GIR_Coverage, 48199,
     /* 2137453 */   GIR_EraseRootFromParent_Done,
     /* 2137454 */ // Label 28768: @2137454
     /* 2137454 */ GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2137502), // Rule ID 48206 //
     /* 2137459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137472 */   // MIs[0] Operand 1
     /* 2137472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137485 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2137485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2137488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137501 */   // GIR_Coverage, 48206,
     /* 2137501 */   GIR_EraseRootFromParent_Done,
     /* 2137502 */ // Label 28769: @2137502
     /* 2137502 */ GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2137550), // Rule ID 48207 //
     /* 2137507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137513 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137520 */   // MIs[0] Operand 1
     /* 2137520 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137529 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137533 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2137533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2137536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137538 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137540 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137549 */   // GIR_Coverage, 48207,
     /* 2137549 */   GIR_EraseRootFromParent_Done,
     /* 2137550 */ // Label 28770: @2137550
     /* 2137550 */ GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2137598), // Rule ID 48216 //
     /* 2137555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137568 */   // MIs[0] Operand 1
     /* 2137568 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137577 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137581 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2137581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2137584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137597 */   // GIR_Coverage, 48216,
     /* 2137597 */   GIR_EraseRootFromParent_Done,
     /* 2137598 */ // Label 28771: @2137598
     /* 2137598 */ GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2137646), // Rule ID 48217 //
     /* 2137603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137616 */   // MIs[0] Operand 1
     /* 2137616 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137625 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137629 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2137629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2137632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137645 */   // GIR_Coverage, 48217,
     /* 2137645 */   GIR_EraseRootFromParent_Done,
     /* 2137646 */ // Label 28772: @2137646
     /* 2137646 */ GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2137694), // Rule ID 48234 //
     /* 2137651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137664 */   // MIs[0] Operand 1
     /* 2137664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137677 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2137677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2137680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137693 */   // GIR_Coverage, 48234,
     /* 2137693 */   GIR_EraseRootFromParent_Done,
     /* 2137694 */ // Label 28773: @2137694
     /* 2137694 */ GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2137742), // Rule ID 48235 //
     /* 2137699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137705 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137712 */   // MIs[0] Operand 1
     /* 2137712 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137721 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137725 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2137725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2137728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137741 */   // GIR_Coverage, 48235,
     /* 2137741 */   GIR_EraseRootFromParent_Done,
     /* 2137742 */ // Label 28774: @2137742
     /* 2137742 */ GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2137790), // Rule ID 48242 //
     /* 2137747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2137750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137760 */   // MIs[0] Operand 1
     /* 2137760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137773 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2137773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2137776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137789 */   // GIR_Coverage, 48242,
     /* 2137789 */   GIR_EraseRootFromParent_Done,
     /* 2137790 */ // Label 28775: @2137790
     /* 2137790 */ GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2137838), // Rule ID 48243 //
     /* 2137795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2137798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137808 */   // MIs[0] Operand 1
     /* 2137808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2137813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137817 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137821 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2137821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2137824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2137828 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2137830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137837 */   // GIR_Coverage, 48243,
     /* 2137837 */   GIR_EraseRootFromParent_Done,
     /* 2137838 */ // Label 28776: @2137838
     /* 2137838 */ GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2137886), // Rule ID 48250 //
     /* 2137843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137849 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137856 */   // MIs[0] Operand 1
     /* 2137856 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2137861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137865 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137869 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2137869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2137872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137876 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137885 */   // GIR_Coverage, 48250,
     /* 2137885 */   GIR_EraseRootFromParent_Done,
     /* 2137886 */ // Label 28777: @2137886
     /* 2137886 */ GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2137934), // Rule ID 48251 //
     /* 2137891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137904 */   // MIs[0] Operand 1
     /* 2137904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2137909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137917 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2137917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2137920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137924 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137933 */   // GIR_Coverage, 48251,
     /* 2137933 */   GIR_EraseRootFromParent_Done,
     /* 2137934 */ // Label 28778: @2137934
     /* 2137934 */ GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2137982), // Rule ID 48260 //
     /* 2137939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137952 */   // MIs[0] Operand 1
     /* 2137952 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2137957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137965 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2137965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2137968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2137974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2137977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2137981 */   // GIR_Coverage, 48260,
     /* 2137981 */   GIR_EraseRootFromParent_Done,
     /* 2137982 */ // Label 28779: @2137982
     /* 2137982 */ GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2138030), // Rule ID 48261 //
     /* 2137987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2137993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2137996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138000 */   // MIs[0] Operand 1
     /* 2138000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2138005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138013 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2138013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2138016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138018 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138029 */   // GIR_Coverage, 48261,
     /* 2138029 */   GIR_EraseRootFromParent_Done,
     /* 2138030 */ // Label 28780: @2138030
     /* 2138030 */ GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2138078), // Rule ID 48278 //
     /* 2138035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138048 */   // MIs[0] Operand 1
     /* 2138048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2138053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138061 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2138061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2138064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138077 */   // GIR_Coverage, 48278,
     /* 2138077 */   GIR_EraseRootFromParent_Done,
     /* 2138078 */ // Label 28781: @2138078
     /* 2138078 */ GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2138126), // Rule ID 48279 //
     /* 2138083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138096 */   // MIs[0] Operand 1
     /* 2138096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2138101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138109 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2138109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2138112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138125 */   // GIR_Coverage, 48279,
     /* 2138125 */   GIR_EraseRootFromParent_Done,
     /* 2138126 */ // Label 28782: @2138126
     /* 2138126 */ GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2138174), // Rule ID 48286 //
     /* 2138131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2138134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138144 */   // MIs[0] Operand 1
     /* 2138144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2138149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138157 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2138157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2138160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138173 */   // GIR_Coverage, 48286,
     /* 2138173 */   GIR_EraseRootFromParent_Done,
     /* 2138174 */ // Label 28783: @2138174
     /* 2138174 */ GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2138222), // Rule ID 48287 //
     /* 2138179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2138182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138192 */   // MIs[0] Operand 1
     /* 2138192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2138197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138205 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2138205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2138208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138221 */   // GIR_Coverage, 48287,
     /* 2138221 */   GIR_EraseRootFromParent_Done,
     /* 2138222 */ // Label 28784: @2138222
     /* 2138222 */ GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2138270), // Rule ID 48294 //
     /* 2138227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2138233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2138236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138240 */   // MIs[0] Operand 1
     /* 2138240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138253 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2138253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2138256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138269 */   // GIR_Coverage, 48294,
     /* 2138269 */   GIR_EraseRootFromParent_Done,
     /* 2138270 */ // Label 28785: @2138270
     /* 2138270 */ GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2138318), // Rule ID 48295 //
     /* 2138275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2138281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2138284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138288 */   // MIs[0] Operand 1
     /* 2138288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138301 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2138301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2138304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138317 */   // GIR_Coverage, 48295,
     /* 2138317 */   GIR_EraseRootFromParent_Done,
     /* 2138318 */ // Label 28786: @2138318
     /* 2138318 */ GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2138366), // Rule ID 48304 //
     /* 2138323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138336 */   // MIs[0] Operand 1
     /* 2138336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138349 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2138349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2138352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138365 */   // GIR_Coverage, 48304,
     /* 2138365 */   GIR_EraseRootFromParent_Done,
     /* 2138366 */ // Label 28787: @2138366
     /* 2138366 */ GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2138414), // Rule ID 48305 //
     /* 2138371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138384 */   // MIs[0] Operand 1
     /* 2138384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138397 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2138397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2138400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138413 */   // GIR_Coverage, 48305,
     /* 2138413 */   GIR_EraseRootFromParent_Done,
     /* 2138414 */ // Label 28788: @2138414
     /* 2138414 */ GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2138462), // Rule ID 48322 //
     /* 2138419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138432 */   // MIs[0] Operand 1
     /* 2138432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138445 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2138445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2138448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138461 */   // GIR_Coverage, 48322,
     /* 2138461 */   GIR_EraseRootFromParent_Done,
     /* 2138462 */ // Label 28789: @2138462
     /* 2138462 */ GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2138510), // Rule ID 48323 //
     /* 2138467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138480 */   // MIs[0] Operand 1
     /* 2138480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138493 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2138493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2138496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138509 */   // GIR_Coverage, 48323,
     /* 2138509 */   GIR_EraseRootFromParent_Done,
     /* 2138510 */ // Label 28790: @2138510
     /* 2138510 */ GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2138558), // Rule ID 48330 //
     /* 2138515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2138518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138528 */   // MIs[0] Operand 1
     /* 2138528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138541 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2138541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2138544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138557 */   // GIR_Coverage, 48330,
     /* 2138557 */   GIR_EraseRootFromParent_Done,
     /* 2138558 */ // Label 28791: @2138558
     /* 2138558 */ GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2138606), // Rule ID 48331 //
     /* 2138563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2138566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138576 */   // MIs[0] Operand 1
     /* 2138576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2138581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138589 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2138589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2138592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2138596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2138598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138605 */   // GIR_Coverage, 48331,
     /* 2138605 */   GIR_EraseRootFromParent_Done,
     /* 2138606 */ // Label 28792: @2138606
     /* 2138606 */ GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2138654), // Rule ID 48338 //
     /* 2138611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2138617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2138620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138624 */   // MIs[0] Operand 1
     /* 2138624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138637 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2138637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2138640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138642 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138653 */   // GIR_Coverage, 48338,
     /* 2138653 */   GIR_EraseRootFromParent_Done,
     /* 2138654 */ // Label 28793: @2138654
     /* 2138654 */ GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2138702), // Rule ID 48339 //
     /* 2138659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2138665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2138668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138672 */   // MIs[0] Operand 1
     /* 2138672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138685 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2138685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2138688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138690 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138701 */   // GIR_Coverage, 48339,
     /* 2138701 */   GIR_EraseRootFromParent_Done,
     /* 2138702 */ // Label 28794: @2138702
     /* 2138702 */ GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2138750), // Rule ID 48348 //
     /* 2138707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138720 */   // MIs[0] Operand 1
     /* 2138720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138733 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2138733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2138736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138749 */   // GIR_Coverage, 48348,
     /* 2138749 */   GIR_EraseRootFromParent_Done,
     /* 2138750 */ // Label 28795: @2138750
     /* 2138750 */ GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2138798), // Rule ID 48349 //
     /* 2138755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138768 */   // MIs[0] Operand 1
     /* 2138768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138781 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2138781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2138784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138797 */   // GIR_Coverage, 48349,
     /* 2138797 */   GIR_EraseRootFromParent_Done,
     /* 2138798 */ // Label 28796: @2138798
     /* 2138798 */ GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2138846), // Rule ID 48366 //
     /* 2138803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138816 */   // MIs[0] Operand 1
     /* 2138816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138829 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2138829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2138832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138834 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138845 */   // GIR_Coverage, 48366,
     /* 2138845 */   GIR_EraseRootFromParent_Done,
     /* 2138846 */ // Label 28797: @2138846
     /* 2138846 */ GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2138894), // Rule ID 48367 //
     /* 2138851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2138857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2138860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138864 */   // MIs[0] Operand 1
     /* 2138864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138877 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2138877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2138880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138893 */   // GIR_Coverage, 48367,
     /* 2138893 */   GIR_EraseRootFromParent_Done,
     /* 2138894 */ // Label 28798: @2138894
     /* 2138894 */ GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2138942), // Rule ID 48374 //
     /* 2138899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2138902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138912 */   // MIs[0] Operand 1
     /* 2138912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138925 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2138925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2138928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138941 */   // GIR_Coverage, 48374,
     /* 2138941 */   GIR_EraseRootFromParent_Done,
     /* 2138942 */ // Label 28799: @2138942
     /* 2138942 */ GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2138990), // Rule ID 48375 //
     /* 2138947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2138950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2138956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138960 */   // MIs[0] Operand 1
     /* 2138960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2138965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138973 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2138973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2138976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2138982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2138985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2138989 */   // GIR_Coverage, 48375,
     /* 2138989 */   GIR_EraseRootFromParent_Done,
     /* 2138990 */ // Label 28800: @2138990
     /* 2138990 */ GIM_Reject,
     /* 2138991 */ // Label 28462: @2138991
     /* 2138991 */ GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2139039), // Rule ID 47952 //
     /* 2138996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139009 */   // MIs[0] Operand 1
     /* 2139009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139022 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2139022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2139025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139029 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139038 */   // GIR_Coverage, 47952,
     /* 2139038 */   GIR_EraseRootFromParent_Done,
     /* 2139039 */ // Label 28801: @2139039
     /* 2139039 */ GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2139087), // Rule ID 47953 //
     /* 2139044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139057 */   // MIs[0] Operand 1
     /* 2139057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139070 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2139070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2139073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139077 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139086 */   // GIR_Coverage, 47953,
     /* 2139086 */   GIR_EraseRootFromParent_Done,
     /* 2139087 */ // Label 28802: @2139087
     /* 2139087 */ GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2139135), // Rule ID 47966 //
     /* 2139092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139105 */   // MIs[0] Operand 1
     /* 2139105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139118 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2139118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2139121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139125 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139134 */   // GIR_Coverage, 47966,
     /* 2139134 */   GIR_EraseRootFromParent_Done,
     /* 2139135 */ // Label 28803: @2139135
     /* 2139135 */ GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2139183), // Rule ID 47967 //
     /* 2139140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139153 */   // MIs[0] Operand 1
     /* 2139153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139166 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2139166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2139169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139173 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139182 */   // GIR_Coverage, 47967,
     /* 2139182 */   GIR_EraseRootFromParent_Done,
     /* 2139183 */ // Label 28804: @2139183
     /* 2139183 */ GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2139231), // Rule ID 47974 //
     /* 2139188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139201 */   // MIs[0] Operand 1
     /* 2139201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139214 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2139214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2139217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139230 */   // GIR_Coverage, 47974,
     /* 2139230 */   GIR_EraseRootFromParent_Done,
     /* 2139231 */ // Label 28805: @2139231
     /* 2139231 */ GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2139279), // Rule ID 47975 //
     /* 2139236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139249 */   // MIs[0] Operand 1
     /* 2139249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139262 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2139262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2139265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139278 */   // GIR_Coverage, 47975,
     /* 2139278 */   GIR_EraseRootFromParent_Done,
     /* 2139279 */ // Label 28806: @2139279
     /* 2139279 */ GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2139327), // Rule ID 47982 //
     /* 2139284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2139287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139297 */   // MIs[0] Operand 1
     /* 2139297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139310 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2139310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2139313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139326 */   // GIR_Coverage, 47982,
     /* 2139326 */   GIR_EraseRootFromParent_Done,
     /* 2139327 */ // Label 28807: @2139327
     /* 2139327 */ GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2139375), // Rule ID 47983 //
     /* 2139332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2139335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139345 */   // MIs[0] Operand 1
     /* 2139345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2139350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139358 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2139358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2139361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139374 */   // GIR_Coverage, 47983,
     /* 2139374 */   GIR_EraseRootFromParent_Done,
     /* 2139375 */ // Label 28808: @2139375
     /* 2139375 */ GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2139423), // Rule ID 47996 //
     /* 2139380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139393 */   // MIs[0] Operand 1
     /* 2139393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139406 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2139406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2139409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139422 */   // GIR_Coverage, 47996,
     /* 2139422 */   GIR_EraseRootFromParent_Done,
     /* 2139423 */ // Label 28809: @2139423
     /* 2139423 */ GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2139471), // Rule ID 47997 //
     /* 2139428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139441 */   // MIs[0] Operand 1
     /* 2139441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139454 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2139454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2139457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139470 */   // GIR_Coverage, 47997,
     /* 2139470 */   GIR_EraseRootFromParent_Done,
     /* 2139471 */ // Label 28810: @2139471
     /* 2139471 */ GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2139519), // Rule ID 48010 //
     /* 2139476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139489 */   // MIs[0] Operand 1
     /* 2139489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139502 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2139502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2139505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139518 */   // GIR_Coverage, 48010,
     /* 2139518 */   GIR_EraseRootFromParent_Done,
     /* 2139519 */ // Label 28811: @2139519
     /* 2139519 */ GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2139567), // Rule ID 48011 //
     /* 2139524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139537 */   // MIs[0] Operand 1
     /* 2139537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139550 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2139550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2139553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139566 */   // GIR_Coverage, 48011,
     /* 2139566 */   GIR_EraseRootFromParent_Done,
     /* 2139567 */ // Label 28812: @2139567
     /* 2139567 */ GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2139615), // Rule ID 48018 //
     /* 2139572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139585 */   // MIs[0] Operand 1
     /* 2139585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139598 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2139598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2139601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139614 */   // GIR_Coverage, 48018,
     /* 2139614 */   GIR_EraseRootFromParent_Done,
     /* 2139615 */ // Label 28813: @2139615
     /* 2139615 */ GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2139663), // Rule ID 48019 //
     /* 2139620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139633 */   // MIs[0] Operand 1
     /* 2139633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139646 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2139646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2139649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139662 */   // GIR_Coverage, 48019,
     /* 2139662 */   GIR_EraseRootFromParent_Done,
     /* 2139663 */ // Label 28814: @2139663
     /* 2139663 */ GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2139711), // Rule ID 48026 //
     /* 2139668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2139671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139681 */   // MIs[0] Operand 1
     /* 2139681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139694 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2139694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2139697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139699 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139710 */   // GIR_Coverage, 48026,
     /* 2139710 */   GIR_EraseRootFromParent_Done,
     /* 2139711 */ // Label 28815: @2139711
     /* 2139711 */ GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2139759), // Rule ID 48027 //
     /* 2139716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2139719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2139722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2139725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139729 */   // MIs[0] Operand 1
     /* 2139729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2139734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139742 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2139742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2139745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139747 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139749 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139758 */   // GIR_Coverage, 48027,
     /* 2139758 */   GIR_EraseRootFromParent_Done,
     /* 2139759 */ // Label 28816: @2139759
     /* 2139759 */ GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2139807), // Rule ID 48040 //
     /* 2139764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139777 */   // MIs[0] Operand 1
     /* 2139777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2139782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139790 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2139790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2139793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139806 */   // GIR_Coverage, 48040,
     /* 2139806 */   GIR_EraseRootFromParent_Done,
     /* 2139807 */ // Label 28817: @2139807
     /* 2139807 */ GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2139855), // Rule ID 48041 //
     /* 2139812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2139818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2139821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139825 */   // MIs[0] Operand 1
     /* 2139825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2139830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139838 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2139838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2139841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139854 */   // GIR_Coverage, 48041,
     /* 2139854 */   GIR_EraseRootFromParent_Done,
     /* 2139855 */ // Label 28818: @2139855
     /* 2139855 */ GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2139903), // Rule ID 48054 //
     /* 2139860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139873 */   // MIs[0] Operand 1
     /* 2139873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2139878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139886 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2139886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2139889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139902 */   // GIR_Coverage, 48054,
     /* 2139902 */   GIR_EraseRootFromParent_Done,
     /* 2139903 */ // Label 28819: @2139903
     /* 2139903 */ GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2139951), // Rule ID 48055 //
     /* 2139908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139921 */   // MIs[0] Operand 1
     /* 2139921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2139926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139934 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2139934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2139937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139950 */   // GIR_Coverage, 48055,
     /* 2139950 */   GIR_EraseRootFromParent_Done,
     /* 2139951 */ // Label 28820: @2139951
     /* 2139951 */ GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2139999), // Rule ID 48062 //
     /* 2139956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139969 */   // MIs[0] Operand 1
     /* 2139969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2139974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139982 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2139982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2139985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2139989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2139991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2139994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2139998 */   // GIR_Coverage, 48062,
     /* 2139998 */   GIR_EraseRootFromParent_Done,
     /* 2139999 */ // Label 28821: @2139999
     /* 2139999 */ GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2140047), // Rule ID 48063 //
     /* 2140004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140017 */   // MIs[0] Operand 1
     /* 2140017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2140022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140030 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2140030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2140033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140037 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140046 */   // GIR_Coverage, 48063,
     /* 2140046 */   GIR_EraseRootFromParent_Done,
     /* 2140047 */ // Label 28822: @2140047
     /* 2140047 */ GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2140095), // Rule ID 48070 //
     /* 2140052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2140055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140065 */   // MIs[0] Operand 1
     /* 2140065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2140070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140074 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140078 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2140078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2140081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140085 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140094 */   // GIR_Coverage, 48070,
     /* 2140094 */   GIR_EraseRootFromParent_Done,
     /* 2140095 */ // Label 28823: @2140095
     /* 2140095 */ GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2140143), // Rule ID 48071 //
     /* 2140100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2140103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140113 */   // MIs[0] Operand 1
     /* 2140113 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2140118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140122 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140126 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2140126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2140129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140142 */   // GIR_Coverage, 48071,
     /* 2140142 */   GIR_EraseRootFromParent_Done,
     /* 2140143 */ // Label 28824: @2140143
     /* 2140143 */ GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2140191), // Rule ID 48082 //
     /* 2140148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140161 */   // MIs[0] Operand 1
     /* 2140161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140170 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140174 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2140174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2140177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140190 */   // GIR_Coverage, 48082,
     /* 2140190 */   GIR_EraseRootFromParent_Done,
     /* 2140191 */ // Label 28825: @2140191
     /* 2140191 */ GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2140239), // Rule ID 48083 //
     /* 2140196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140209 */   // MIs[0] Operand 1
     /* 2140209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140222 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2140222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2140225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140238 */   // GIR_Coverage, 48083,
     /* 2140238 */   GIR_EraseRootFromParent_Done,
     /* 2140239 */ // Label 28826: @2140239
     /* 2140239 */ GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2140287), // Rule ID 48096 //
     /* 2140244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140257 */   // MIs[0] Operand 1
     /* 2140257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140266 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140270 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2140270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2140273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140286 */   // GIR_Coverage, 48096,
     /* 2140286 */   GIR_EraseRootFromParent_Done,
     /* 2140287 */ // Label 28827: @2140287
     /* 2140287 */ GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2140335), // Rule ID 48097 //
     /* 2140292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140305 */   // MIs[0] Operand 1
     /* 2140305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140318 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2140318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2140321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140334 */   // GIR_Coverage, 48097,
     /* 2140334 */   GIR_EraseRootFromParent_Done,
     /* 2140335 */ // Label 28828: @2140335
     /* 2140335 */ GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2140383), // Rule ID 48104 //
     /* 2140340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140353 */   // MIs[0] Operand 1
     /* 2140353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140366 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2140366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2140369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140382 */   // GIR_Coverage, 48104,
     /* 2140382 */   GIR_EraseRootFromParent_Done,
     /* 2140383 */ // Label 28829: @2140383
     /* 2140383 */ GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2140431), // Rule ID 48105 //
     /* 2140388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140401 */   // MIs[0] Operand 1
     /* 2140401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140410 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140414 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2140414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2140417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140430 */   // GIR_Coverage, 48105,
     /* 2140430 */   GIR_EraseRootFromParent_Done,
     /* 2140431 */ // Label 28830: @2140431
     /* 2140431 */ GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2140479), // Rule ID 48112 //
     /* 2140436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2140439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140442 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140449 */   // MIs[0] Operand 1
     /* 2140449 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140458 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140462 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2140462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2140465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140478 */   // GIR_Coverage, 48112,
     /* 2140478 */   GIR_EraseRootFromParent_Done,
     /* 2140479 */ // Label 28831: @2140479
     /* 2140479 */ GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2140527), // Rule ID 48113 //
     /* 2140484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2140487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140497 */   // MIs[0] Operand 1
     /* 2140497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2140502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140510 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2140510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2140513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140526 */   // GIR_Coverage, 48113,
     /* 2140526 */   GIR_EraseRootFromParent_Done,
     /* 2140527 */ // Label 28832: @2140527
     /* 2140527 */ GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2140575), // Rule ID 48126 //
     /* 2140532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140545 */   // MIs[0] Operand 1
     /* 2140545 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140558 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2140558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2140561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140563 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140565 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140574 */   // GIR_Coverage, 48126,
     /* 2140574 */   GIR_EraseRootFromParent_Done,
     /* 2140575 */ // Label 28833: @2140575
     /* 2140575 */ GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2140623), // Rule ID 48127 //
     /* 2140580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140593 */   // MIs[0] Operand 1
     /* 2140593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140606 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2140606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2140609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140622 */   // GIR_Coverage, 48127,
     /* 2140622 */   GIR_EraseRootFromParent_Done,
     /* 2140623 */ // Label 28834: @2140623
     /* 2140623 */ GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2140671), // Rule ID 48140 //
     /* 2140628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140641 */   // MIs[0] Operand 1
     /* 2140641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140654 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2140654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2140657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140670 */   // GIR_Coverage, 48140,
     /* 2140670 */   GIR_EraseRootFromParent_Done,
     /* 2140671 */ // Label 28835: @2140671
     /* 2140671 */ GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2140719), // Rule ID 48141 //
     /* 2140676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140689 */   // MIs[0] Operand 1
     /* 2140689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140702 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2140702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2140705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140718 */   // GIR_Coverage, 48141,
     /* 2140718 */   GIR_EraseRootFromParent_Done,
     /* 2140719 */ // Label 28836: @2140719
     /* 2140719 */ GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2140767), // Rule ID 48148 //
     /* 2140724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140737 */   // MIs[0] Operand 1
     /* 2140737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140750 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2140750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2140753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140766 */   // GIR_Coverage, 48148,
     /* 2140766 */   GIR_EraseRootFromParent_Done,
     /* 2140767 */ // Label 28837: @2140767
     /* 2140767 */ GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2140815), // Rule ID 48149 //
     /* 2140772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140785 */   // MIs[0] Operand 1
     /* 2140785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140798 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2140798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2140801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140814 */   // GIR_Coverage, 48149,
     /* 2140814 */   GIR_EraseRootFromParent_Done,
     /* 2140815 */ // Label 28838: @2140815
     /* 2140815 */ GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2140863), // Rule ID 48156 //
     /* 2140820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2140823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140833 */   // MIs[0] Operand 1
     /* 2140833 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140842 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140846 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2140846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2140849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140862 */   // GIR_Coverage, 48156,
     /* 2140862 */   GIR_EraseRootFromParent_Done,
     /* 2140863 */ // Label 28839: @2140863
     /* 2140863 */ GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2140911), // Rule ID 48157 //
     /* 2140868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2140871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140881 */   // MIs[0] Operand 1
     /* 2140881 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2140886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140890 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140894 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2140894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2140897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2140901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2140903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140910 */   // GIR_Coverage, 48157,
     /* 2140910 */   GIR_EraseRootFromParent_Done,
     /* 2140911 */ // Label 28840: @2140911
     /* 2140911 */ GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2140959), // Rule ID 48170 //
     /* 2140916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140929 */   // MIs[0] Operand 1
     /* 2140929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2140934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140942 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2140942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2140945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2140954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2140958 */   // GIR_Coverage, 48170,
     /* 2140958 */   GIR_EraseRootFromParent_Done,
     /* 2140959 */ // Label 28841: @2140959
     /* 2140959 */ GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2141007), // Rule ID 48171 //
     /* 2140964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2140970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2140973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140977 */   // MIs[0] Operand 1
     /* 2140977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2140982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140990 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2140990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2140993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2140999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2141005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141006 */   // GIR_Coverage, 48171,
     /* 2141006 */   GIR_EraseRootFromParent_Done,
     /* 2141007 */ // Label 28842: @2141007
     /* 2141007 */ GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2141055), // Rule ID 48184 //
     /* 2141012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141025 */   // MIs[0] Operand 1
     /* 2141025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141038 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2141038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2141041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141054 */   // GIR_Coverage, 48184,
     /* 2141054 */   GIR_EraseRootFromParent_Done,
     /* 2141055 */ // Label 28843: @2141055
     /* 2141055 */ GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2141103), // Rule ID 48185 //
     /* 2141060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141066 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141073 */   // MIs[0] Operand 1
     /* 2141073 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141082 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141086 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2141086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2141089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141102 */   // GIR_Coverage, 48185,
     /* 2141102 */   GIR_EraseRootFromParent_Done,
     /* 2141103 */ // Label 28844: @2141103
     /* 2141103 */ GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2141151), // Rule ID 48192 //
     /* 2141108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141114 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141121 */   // MIs[0] Operand 1
     /* 2141121 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141130 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141134 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2141134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2141137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141150 */   // GIR_Coverage, 48192,
     /* 2141150 */   GIR_EraseRootFromParent_Done,
     /* 2141151 */ // Label 28845: @2141151
     /* 2141151 */ GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2141199), // Rule ID 48193 //
     /* 2141156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141169 */   // MIs[0] Operand 1
     /* 2141169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141178 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141182 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2141182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2141185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141198 */   // GIR_Coverage, 48193,
     /* 2141198 */   GIR_EraseRootFromParent_Done,
     /* 2141199 */ // Label 28846: @2141199
     /* 2141199 */ GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2141247), // Rule ID 48200 //
     /* 2141204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2141207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141210 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141217 */   // MIs[0] Operand 1
     /* 2141217 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141226 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141230 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2141230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2141233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141246 */   // GIR_Coverage, 48200,
     /* 2141246 */   GIR_EraseRootFromParent_Done,
     /* 2141247 */ // Label 28847: @2141247
     /* 2141247 */ GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2141295), // Rule ID 48201 //
     /* 2141252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2141255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141265 */   // MIs[0] Operand 1
     /* 2141265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2141270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141278 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2141278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2141281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141294 */   // GIR_Coverage, 48201,
     /* 2141294 */   GIR_EraseRootFromParent_Done,
     /* 2141295 */ // Label 28848: @2141295
     /* 2141295 */ GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2141343), // Rule ID 48214 //
     /* 2141300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2141306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2141309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141313 */   // MIs[0] Operand 1
     /* 2141313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141322 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141326 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2141326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2141329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141331 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2141341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141342 */   // GIR_Coverage, 48214,
     /* 2141342 */   GIR_EraseRootFromParent_Done,
     /* 2141343 */ // Label 28849: @2141343
     /* 2141343 */ GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2141391), // Rule ID 48215 //
     /* 2141348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2141354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2141357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141361 */   // MIs[0] Operand 1
     /* 2141361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141370 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141374 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2141374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2141377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141379 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2141389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141390 */   // GIR_Coverage, 48215,
     /* 2141390 */   GIR_EraseRootFromParent_Done,
     /* 2141391 */ // Label 28850: @2141391
     /* 2141391 */ GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2141439), // Rule ID 48228 //
     /* 2141396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141409 */   // MIs[0] Operand 1
     /* 2141409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141422 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2141422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2141425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141438 */   // GIR_Coverage, 48228,
     /* 2141438 */   GIR_EraseRootFromParent_Done,
     /* 2141439 */ // Label 28851: @2141439
     /* 2141439 */ GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2141487), // Rule ID 48229 //
     /* 2141444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141457 */   // MIs[0] Operand 1
     /* 2141457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141466 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141470 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2141470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2141473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141486 */   // GIR_Coverage, 48229,
     /* 2141486 */   GIR_EraseRootFromParent_Done,
     /* 2141487 */ // Label 28852: @2141487
     /* 2141487 */ GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2141535), // Rule ID 48236 //
     /* 2141492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141505 */   // MIs[0] Operand 1
     /* 2141505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141514 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141518 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2141518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2141521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141534 */   // GIR_Coverage, 48236,
     /* 2141534 */   GIR_EraseRootFromParent_Done,
     /* 2141535 */ // Label 28853: @2141535
     /* 2141535 */ GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2141583), // Rule ID 48237 //
     /* 2141540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141553 */   // MIs[0] Operand 1
     /* 2141553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141562 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141566 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2141566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2141569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141582 */   // GIR_Coverage, 48237,
     /* 2141582 */   GIR_EraseRootFromParent_Done,
     /* 2141583 */ // Label 28854: @2141583
     /* 2141583 */ GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2141631), // Rule ID 48244 //
     /* 2141588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2141591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141601 */   // MIs[0] Operand 1
     /* 2141601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141614 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2141614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2141617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141630 */   // GIR_Coverage, 48244,
     /* 2141630 */   GIR_EraseRootFromParent_Done,
     /* 2141631 */ // Label 28855: @2141631
     /* 2141631 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2141679), // Rule ID 48245 //
     /* 2141636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2141639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141649 */   // MIs[0] Operand 1
     /* 2141649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2141654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141662 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2141662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2141665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2141669 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2141671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141678 */   // GIR_Coverage, 48245,
     /* 2141678 */   GIR_EraseRootFromParent_Done,
     /* 2141679 */ // Label 28856: @2141679
     /* 2141679 */ GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2141727), // Rule ID 48258 //
     /* 2141684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2141690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2141693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141697 */   // MIs[0] Operand 1
     /* 2141697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141706 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141710 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2141710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2141713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141717 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2141725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141726 */   // GIR_Coverage, 48258,
     /* 2141726 */   GIR_EraseRootFromParent_Done,
     /* 2141727 */ // Label 28857: @2141727
     /* 2141727 */ GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2141775), // Rule ID 48259 //
     /* 2141732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2141738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2141741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141745 */   // MIs[0] Operand 1
     /* 2141745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141758 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2141758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2141761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2141773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141774 */   // GIR_Coverage, 48259,
     /* 2141774 */   GIR_EraseRootFromParent_Done,
     /* 2141775 */ // Label 28858: @2141775
     /* 2141775 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2141823), // Rule ID 48272 //
     /* 2141780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141793 */   // MIs[0] Operand 1
     /* 2141793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141806 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2141806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2141809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141822 */   // GIR_Coverage, 48272,
     /* 2141822 */   GIR_EraseRootFromParent_Done,
     /* 2141823 */ // Label 28859: @2141823
     /* 2141823 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2141871), // Rule ID 48273 //
     /* 2141828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2141837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141841 */   // MIs[0] Operand 1
     /* 2141841 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141850 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141854 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2141854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2141857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141870 */   // GIR_Coverage, 48273,
     /* 2141870 */   GIR_EraseRootFromParent_Done,
     /* 2141871 */ // Label 28860: @2141871
     /* 2141871 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2141919), // Rule ID 48280 //
     /* 2141876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141889 */   // MIs[0] Operand 1
     /* 2141889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141898 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141902 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2141902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2141905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141918 */   // GIR_Coverage, 48280,
     /* 2141918 */   GIR_EraseRootFromParent_Done,
     /* 2141919 */ // Label 28861: @2141919
     /* 2141919 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2141967), // Rule ID 48281 //
     /* 2141924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141937 */   // MIs[0] Operand 1
     /* 2141937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141950 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2141950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2141953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2141959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2141962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2141966 */   // GIR_Coverage, 48281,
     /* 2141966 */   GIR_EraseRootFromParent_Done,
     /* 2141967 */ // Label 28862: @2141967
     /* 2141967 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2142015), // Rule ID 48288 //
     /* 2141972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2141975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141985 */   // MIs[0] Operand 1
     /* 2141985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2141990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141998 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2141998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2142001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142014 */   // GIR_Coverage, 48288,
     /* 2142014 */   GIR_EraseRootFromParent_Done,
     /* 2142015 */ // Label 28863: @2142015
     /* 2142015 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2142063), // Rule ID 48289 //
     /* 2142020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2142023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142033 */   // MIs[0] Operand 1
     /* 2142033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2142038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142046 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2142046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2142049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142062 */   // GIR_Coverage, 48289,
     /* 2142062 */   GIR_EraseRootFromParent_Done,
     /* 2142063 */ // Label 28864: @2142063
     /* 2142063 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2142111), // Rule ID 48302 //
     /* 2142068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2142074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2142077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142081 */   // MIs[0] Operand 1
     /* 2142081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142094 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2142094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2142097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142110 */   // GIR_Coverage, 48302,
     /* 2142110 */   GIR_EraseRootFromParent_Done,
     /* 2142111 */ // Label 28865: @2142111
     /* 2142111 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2142159), // Rule ID 48303 //
     /* 2142116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2142122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2142125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142129 */   // MIs[0] Operand 1
     /* 2142129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142142 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2142142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2142145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142158 */   // GIR_Coverage, 48303,
     /* 2142158 */   GIR_EraseRootFromParent_Done,
     /* 2142159 */ // Label 28866: @2142159
     /* 2142159 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2142207), // Rule ID 48316 //
     /* 2142164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142177 */   // MIs[0] Operand 1
     /* 2142177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142190 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2142190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2142193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142206 */   // GIR_Coverage, 48316,
     /* 2142206 */   GIR_EraseRootFromParent_Done,
     /* 2142207 */ // Label 28867: @2142207
     /* 2142207 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2142255), // Rule ID 48317 //
     /* 2142212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142225 */   // MIs[0] Operand 1
     /* 2142225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142238 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2142238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2142241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142254 */   // GIR_Coverage, 48317,
     /* 2142254 */   GIR_EraseRootFromParent_Done,
     /* 2142255 */ // Label 28868: @2142255
     /* 2142255 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2142303), // Rule ID 48324 //
     /* 2142260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142273 */   // MIs[0] Operand 1
     /* 2142273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142286 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2142286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2142289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142302 */   // GIR_Coverage, 48324,
     /* 2142302 */   GIR_EraseRootFromParent_Done,
     /* 2142303 */ // Label 28869: @2142303
     /* 2142303 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2142351), // Rule ID 48325 //
     /* 2142308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142321 */   // MIs[0] Operand 1
     /* 2142321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142334 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2142334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2142337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142350 */   // GIR_Coverage, 48325,
     /* 2142350 */   GIR_EraseRootFromParent_Done,
     /* 2142351 */ // Label 28870: @2142351
     /* 2142351 */ GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2142399), // Rule ID 48332 //
     /* 2142356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2142359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142369 */   // MIs[0] Operand 1
     /* 2142369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142382 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2142382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2142385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142398 */   // GIR_Coverage, 48332,
     /* 2142398 */   GIR_EraseRootFromParent_Done,
     /* 2142399 */ // Label 28871: @2142399
     /* 2142399 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2142447), // Rule ID 48333 //
     /* 2142404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2142407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142417 */   // MIs[0] Operand 1
     /* 2142417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2142422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142430 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2142430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2142433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142446 */   // GIR_Coverage, 48333,
     /* 2142446 */   GIR_EraseRootFromParent_Done,
     /* 2142447 */ // Label 28872: @2142447
     /* 2142447 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2142495), // Rule ID 48346 //
     /* 2142452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2142458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2142461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142465 */   // MIs[0] Operand 1
     /* 2142465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142478 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2142478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2142481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142483 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142494 */   // GIR_Coverage, 48346,
     /* 2142494 */   GIR_EraseRootFromParent_Done,
     /* 2142495 */ // Label 28873: @2142495
     /* 2142495 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2142543), // Rule ID 48347 //
     /* 2142500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2142506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2142509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142513 */   // MIs[0] Operand 1
     /* 2142513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142526 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2142526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2142529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142531 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142542 */   // GIR_Coverage, 48347,
     /* 2142542 */   GIR_EraseRootFromParent_Done,
     /* 2142543 */ // Label 28874: @2142543
     /* 2142543 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2142591), // Rule ID 48360 //
     /* 2142548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142561 */   // MIs[0] Operand 1
     /* 2142561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142574 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2142574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2142577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142590 */   // GIR_Coverage, 48360,
     /* 2142590 */   GIR_EraseRootFromParent_Done,
     /* 2142591 */ // Label 28875: @2142591
     /* 2142591 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2142639), // Rule ID 48361 //
     /* 2142596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142609 */   // MIs[0] Operand 1
     /* 2142609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142622 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2142622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2142625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142638 */   // GIR_Coverage, 48361,
     /* 2142638 */   GIR_EraseRootFromParent_Done,
     /* 2142639 */ // Label 28876: @2142639
     /* 2142639 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2142687), // Rule ID 48368 //
     /* 2142644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142657 */   // MIs[0] Operand 1
     /* 2142657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142670 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2142670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2142673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142686 */   // GIR_Coverage, 48368,
     /* 2142686 */   GIR_EraseRootFromParent_Done,
     /* 2142687 */ // Label 28877: @2142687
     /* 2142687 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2142735), // Rule ID 48369 //
     /* 2142692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142705 */   // MIs[0] Operand 1
     /* 2142705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142718 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2142718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2142721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142725 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142734 */   // GIR_Coverage, 48369,
     /* 2142734 */   GIR_EraseRootFromParent_Done,
     /* 2142735 */ // Label 28878: @2142735
     /* 2142735 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2142783), // Rule ID 48376 //
     /* 2142740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2142743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142753 */   // MIs[0] Operand 1
     /* 2142753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142766 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2142766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2142769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142782 */   // GIR_Coverage, 48376,
     /* 2142782 */   GIR_EraseRootFromParent_Done,
     /* 2142783 */ // Label 28879: @2142783
     /* 2142783 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2142831), // Rule ID 48377 //
     /* 2142788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2142791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142801 */   // MIs[0] Operand 1
     /* 2142801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2142806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142814 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2142814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2142817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2142823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142830 */   // GIR_Coverage, 48377,
     /* 2142830 */   GIR_EraseRootFromParent_Done,
     /* 2142831 */ // Label 28880: @2142831
     /* 2142831 */ GIM_Reject,
     /* 2142832 */ // Label 28463: @2142832
     /* 2142832 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2142880), // Rule ID 47960 //
     /* 2142837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2142843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2142846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142850 */   // MIs[0] Operand 1
     /* 2142850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2142855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142863 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2142863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2142866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142870 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142879 */   // GIR_Coverage, 47960,
     /* 2142879 */   GIR_EraseRootFromParent_Done,
     /* 2142880 */ // Label 28881: @2142880
     /* 2142880 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2142928), // Rule ID 47961 //
     /* 2142885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2142891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2142894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142898 */   // MIs[0] Operand 1
     /* 2142898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2142903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142911 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2142911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2142914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142918 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142927 */   // GIR_Coverage, 47961,
     /* 2142927 */   GIR_EraseRootFromParent_Done,
     /* 2142928 */ // Label 28882: @2142928
     /* 2142928 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2142976), // Rule ID 47968 //
     /* 2142933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2142942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142946 */   // MIs[0] Operand 1
     /* 2142946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2142951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142959 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2142959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2142962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2142966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2142968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2142971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2142975 */   // GIR_Coverage, 47968,
     /* 2142975 */   GIR_EraseRootFromParent_Done,
     /* 2142976 */ // Label 28883: @2142976
     /* 2142976 */ GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2143024), // Rule ID 47969 //
     /* 2142981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2142990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142994 */   // MIs[0] Operand 1
     /* 2142994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2142999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143007 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2143007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2143010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143023 */   // GIR_Coverage, 47969,
     /* 2143023 */   GIR_EraseRootFromParent_Done,
     /* 2143024 */ // Label 28884: @2143024
     /* 2143024 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2143072), // Rule ID 47976 //
     /* 2143029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143042 */   // MIs[0] Operand 1
     /* 2143042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2143047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143055 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2143055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2143058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143071 */   // GIR_Coverage, 47976,
     /* 2143071 */   GIR_EraseRootFromParent_Done,
     /* 2143072 */ // Label 28885: @2143072
     /* 2143072 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2143120), // Rule ID 47977 //
     /* 2143077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143090 */   // MIs[0] Operand 1
     /* 2143090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2143095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143103 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2143103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2143106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143108 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143119 */   // GIR_Coverage, 47977,
     /* 2143119 */   GIR_EraseRootFromParent_Done,
     /* 2143120 */ // Label 28886: @2143120
     /* 2143120 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2143168), // Rule ID 48004 //
     /* 2143125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143138 */   // MIs[0] Operand 1
     /* 2143138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143151 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2143151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2143154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143158 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143167 */   // GIR_Coverage, 48004,
     /* 2143167 */   GIR_EraseRootFromParent_Done,
     /* 2143168 */ // Label 28887: @2143168
     /* 2143168 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2143216), // Rule ID 48005 //
     /* 2143173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143186 */   // MIs[0] Operand 1
     /* 2143186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143199 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2143199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2143202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143215 */   // GIR_Coverage, 48005,
     /* 2143215 */   GIR_EraseRootFromParent_Done,
     /* 2143216 */ // Label 28888: @2143216
     /* 2143216 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2143264), // Rule ID 48012 //
     /* 2143221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143234 */   // MIs[0] Operand 1
     /* 2143234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143247 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2143247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2143250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143263 */   // GIR_Coverage, 48012,
     /* 2143263 */   GIR_EraseRootFromParent_Done,
     /* 2143264 */ // Label 28889: @2143264
     /* 2143264 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2143312), // Rule ID 48013 //
     /* 2143269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143282 */   // MIs[0] Operand 1
     /* 2143282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143295 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2143295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2143298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143302 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143311 */   // GIR_Coverage, 48013,
     /* 2143311 */   GIR_EraseRootFromParent_Done,
     /* 2143312 */ // Label 28890: @2143312
     /* 2143312 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2143360), // Rule ID 48020 //
     /* 2143317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143330 */   // MIs[0] Operand 1
     /* 2143330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143343 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2143343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2143346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143359 */   // GIR_Coverage, 48020,
     /* 2143359 */   GIR_EraseRootFromParent_Done,
     /* 2143360 */ // Label 28891: @2143360
     /* 2143360 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2143408), // Rule ID 48021 //
     /* 2143365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143378 */   // MIs[0] Operand 1
     /* 2143378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2143383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143391 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2143391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2143394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143407 */   // GIR_Coverage, 48021,
     /* 2143407 */   GIR_EraseRootFromParent_Done,
     /* 2143408 */ // Label 28892: @2143408
     /* 2143408 */ GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2143456), // Rule ID 48048 //
     /* 2143413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143426 */   // MIs[0] Operand 1
     /* 2143426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143439 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2143439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2143442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143455 */   // GIR_Coverage, 48048,
     /* 2143455 */   GIR_EraseRootFromParent_Done,
     /* 2143456 */ // Label 28893: @2143456
     /* 2143456 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2143504), // Rule ID 48049 //
     /* 2143461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143474 */   // MIs[0] Operand 1
     /* 2143474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143487 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2143487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2143490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143503 */   // GIR_Coverage, 48049,
     /* 2143503 */   GIR_EraseRootFromParent_Done,
     /* 2143504 */ // Label 28894: @2143504
     /* 2143504 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2143552), // Rule ID 48056 //
     /* 2143509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143522 */   // MIs[0] Operand 1
     /* 2143522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143535 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2143535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2143538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143551 */   // GIR_Coverage, 48056,
     /* 2143551 */   GIR_EraseRootFromParent_Done,
     /* 2143552 */ // Label 28895: @2143552
     /* 2143552 */ GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2143600), // Rule ID 48057 //
     /* 2143557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143570 */   // MIs[0] Operand 1
     /* 2143570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143583 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2143583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2143586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143588 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143590 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143599 */   // GIR_Coverage, 48057,
     /* 2143599 */   GIR_EraseRootFromParent_Done,
     /* 2143600 */ // Label 28896: @2143600
     /* 2143600 */ GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2143648), // Rule ID 48064 //
     /* 2143605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143618 */   // MIs[0] Operand 1
     /* 2143618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143631 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2143631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2143634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143638 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143647 */   // GIR_Coverage, 48064,
     /* 2143647 */   GIR_EraseRootFromParent_Done,
     /* 2143648 */ // Label 28897: @2143648
     /* 2143648 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2143696), // Rule ID 48065 //
     /* 2143653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143666 */   // MIs[0] Operand 1
     /* 2143666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2143671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143679 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2143679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2143682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143684 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2143686 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2143688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143695 */   // GIR_Coverage, 48065,
     /* 2143695 */   GIR_EraseRootFromParent_Done,
     /* 2143696 */ // Label 28898: @2143696
     /* 2143696 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2143744), // Rule ID 48090 //
     /* 2143701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143714 */   // MIs[0] Operand 1
     /* 2143714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143727 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2143727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2143730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143743 */   // GIR_Coverage, 48090,
     /* 2143743 */   GIR_EraseRootFromParent_Done,
     /* 2143744 */ // Label 28899: @2143744
     /* 2143744 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2143792), // Rule ID 48091 //
     /* 2143749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143762 */   // MIs[0] Operand 1
     /* 2143762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143775 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2143775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2143778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143791 */   // GIR_Coverage, 48091,
     /* 2143791 */   GIR_EraseRootFromParent_Done,
     /* 2143792 */ // Label 28900: @2143792
     /* 2143792 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2143840), // Rule ID 48098 //
     /* 2143797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143810 */   // MIs[0] Operand 1
     /* 2143810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143823 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2143823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2143826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143828 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143839 */   // GIR_Coverage, 48098,
     /* 2143839 */   GIR_EraseRootFromParent_Done,
     /* 2143840 */ // Label 28901: @2143840
     /* 2143840 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2143888), // Rule ID 48099 //
     /* 2143845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2143851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2143854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143858 */   // MIs[0] Operand 1
     /* 2143858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143871 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2143871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2143874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143876 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143878 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143887 */   // GIR_Coverage, 48099,
     /* 2143887 */   GIR_EraseRootFromParent_Done,
     /* 2143888 */ // Label 28902: @2143888
     /* 2143888 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2143936), // Rule ID 48106 //
     /* 2143893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143906 */   // MIs[0] Operand 1
     /* 2143906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143919 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2143919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2143922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143935 */   // GIR_Coverage, 48106,
     /* 2143935 */   GIR_EraseRootFromParent_Done,
     /* 2143936 */ // Label 28903: @2143936
     /* 2143936 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2143984), // Rule ID 48107 //
     /* 2143941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143954 */   // MIs[0] Operand 1
     /* 2143954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2143959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143967 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2143967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2143970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143972 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2143976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2143979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2143983 */   // GIR_Coverage, 48107,
     /* 2143983 */   GIR_EraseRootFromParent_Done,
     /* 2143984 */ // Label 28904: @2143984
     /* 2143984 */ GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2144032), // Rule ID 48134 //
     /* 2143989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2143995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2143998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144002 */   // MIs[0] Operand 1
     /* 2144002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144015 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2144015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2144018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144031 */   // GIR_Coverage, 48134,
     /* 2144031 */   GIR_EraseRootFromParent_Done,
     /* 2144032 */ // Label 28905: @2144032
     /* 2144032 */ GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2144080), // Rule ID 48135 //
     /* 2144037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144050 */   // MIs[0] Operand 1
     /* 2144050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144063 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2144063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2144066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144079 */   // GIR_Coverage, 48135,
     /* 2144079 */   GIR_EraseRootFromParent_Done,
     /* 2144080 */ // Label 28906: @2144080
     /* 2144080 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2144128), // Rule ID 48142 //
     /* 2144085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144098 */   // MIs[0] Operand 1
     /* 2144098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144111 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2144111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2144114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144127 */   // GIR_Coverage, 48142,
     /* 2144127 */   GIR_EraseRootFromParent_Done,
     /* 2144128 */ // Label 28907: @2144128
     /* 2144128 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2144176), // Rule ID 48143 //
     /* 2144133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144146 */   // MIs[0] Operand 1
     /* 2144146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144159 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2144159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2144162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144166 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144175 */   // GIR_Coverage, 48143,
     /* 2144175 */   GIR_EraseRootFromParent_Done,
     /* 2144176 */ // Label 28908: @2144176
     /* 2144176 */ GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2144224), // Rule ID 48150 //
     /* 2144181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144194 */   // MIs[0] Operand 1
     /* 2144194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144207 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2144207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2144210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144214 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144223 */   // GIR_Coverage, 48150,
     /* 2144223 */   GIR_EraseRootFromParent_Done,
     /* 2144224 */ // Label 28909: @2144224
     /* 2144224 */ GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2144272), // Rule ID 48151 //
     /* 2144229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144242 */   // MIs[0] Operand 1
     /* 2144242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2144247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144255 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2144255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2144258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144260 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144262 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144271 */   // GIR_Coverage, 48151,
     /* 2144271 */   GIR_EraseRootFromParent_Done,
     /* 2144272 */ // Label 28910: @2144272
     /* 2144272 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2144320), // Rule ID 48178 //
     /* 2144277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144290 */   // MIs[0] Operand 1
     /* 2144290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144303 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2144303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2144306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144319 */   // GIR_Coverage, 48178,
     /* 2144319 */   GIR_EraseRootFromParent_Done,
     /* 2144320 */ // Label 28911: @2144320
     /* 2144320 */ GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2144368), // Rule ID 48179 //
     /* 2144325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144338 */   // MIs[0] Operand 1
     /* 2144338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144351 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2144351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2144354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144367 */   // GIR_Coverage, 48179,
     /* 2144367 */   GIR_EraseRootFromParent_Done,
     /* 2144368 */ // Label 28912: @2144368
     /* 2144368 */ GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2144416), // Rule ID 48186 //
     /* 2144373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144386 */   // MIs[0] Operand 1
     /* 2144386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144399 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2144399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2144402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144415 */   // GIR_Coverage, 48186,
     /* 2144415 */   GIR_EraseRootFromParent_Done,
     /* 2144416 */ // Label 28913: @2144416
     /* 2144416 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2144464), // Rule ID 48187 //
     /* 2144421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144434 */   // MIs[0] Operand 1
     /* 2144434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144447 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2144447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2144450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144454 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144463 */   // GIR_Coverage, 48187,
     /* 2144463 */   GIR_EraseRootFromParent_Done,
     /* 2144464 */ // Label 28914: @2144464
     /* 2144464 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2144512), // Rule ID 48194 //
     /* 2144469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144482 */   // MIs[0] Operand 1
     /* 2144482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144495 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2144495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2144498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144502 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144511 */   // GIR_Coverage, 48194,
     /* 2144511 */   GIR_EraseRootFromParent_Done,
     /* 2144512 */ // Label 28915: @2144512
     /* 2144512 */ GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2144560), // Rule ID 48195 //
     /* 2144517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144530 */   // MIs[0] Operand 1
     /* 2144530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2144535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144543 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2144543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2144546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144550 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144559 */   // GIR_Coverage, 48195,
     /* 2144559 */   GIR_EraseRootFromParent_Done,
     /* 2144560 */ // Label 28916: @2144560
     /* 2144560 */ GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2144608), // Rule ID 48222 //
     /* 2144565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144578 */   // MIs[0] Operand 1
     /* 2144578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144591 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2144591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2144594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144607 */   // GIR_Coverage, 48222,
     /* 2144607 */   GIR_EraseRootFromParent_Done,
     /* 2144608 */ // Label 28917: @2144608
     /* 2144608 */ GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2144656), // Rule ID 48223 //
     /* 2144613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144626 */   // MIs[0] Operand 1
     /* 2144626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144639 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2144639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2144642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144655 */   // GIR_Coverage, 48223,
     /* 2144655 */   GIR_EraseRootFromParent_Done,
     /* 2144656 */ // Label 28918: @2144656
     /* 2144656 */ GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2144704), // Rule ID 48230 //
     /* 2144661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144674 */   // MIs[0] Operand 1
     /* 2144674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144687 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2144687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2144690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144703 */   // GIR_Coverage, 48230,
     /* 2144703 */   GIR_EraseRootFromParent_Done,
     /* 2144704 */ // Label 28919: @2144704
     /* 2144704 */ GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2144752), // Rule ID 48231 //
     /* 2144709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144722 */   // MIs[0] Operand 1
     /* 2144722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144735 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2144735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2144738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144751 */   // GIR_Coverage, 48231,
     /* 2144751 */   GIR_EraseRootFromParent_Done,
     /* 2144752 */ // Label 28920: @2144752
     /* 2144752 */ GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2144800), // Rule ID 48238 //
     /* 2144757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144770 */   // MIs[0] Operand 1
     /* 2144770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144783 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2144783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2144786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144799 */   // GIR_Coverage, 48238,
     /* 2144799 */   GIR_EraseRootFromParent_Done,
     /* 2144800 */ // Label 28921: @2144800
     /* 2144800 */ GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2144848), // Rule ID 48239 //
     /* 2144805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2144811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2144814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144818 */   // MIs[0] Operand 1
     /* 2144818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2144823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144831 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2144831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2144834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2144838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2144840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144847 */   // GIR_Coverage, 48239,
     /* 2144847 */   GIR_EraseRootFromParent_Done,
     /* 2144848 */ // Label 28922: @2144848
     /* 2144848 */ GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2144896), // Rule ID 48266 //
     /* 2144853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144866 */   // MIs[0] Operand 1
     /* 2144866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2144871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144879 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2144879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2144882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144895 */   // GIR_Coverage, 48266,
     /* 2144895 */   GIR_EraseRootFromParent_Done,
     /* 2144896 */ // Label 28923: @2144896
     /* 2144896 */ GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2144944), // Rule ID 48267 //
     /* 2144901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144914 */   // MIs[0] Operand 1
     /* 2144914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2144919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144927 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2144927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2144930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144943 */   // GIR_Coverage, 48267,
     /* 2144943 */   GIR_EraseRootFromParent_Done,
     /* 2144944 */ // Label 28924: @2144944
     /* 2144944 */ GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2144992), // Rule ID 48274 //
     /* 2144949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144962 */   // MIs[0] Operand 1
     /* 2144962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2144967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144975 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2144975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2144978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2144984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2144987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2144991 */   // GIR_Coverage, 48274,
     /* 2144991 */   GIR_EraseRootFromParent_Done,
     /* 2144992 */ // Label 28925: @2144992
     /* 2144992 */ GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2145040), // Rule ID 48275 //
     /* 2144997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145010 */   // MIs[0] Operand 1
     /* 2145010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2145015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145023 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2145023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2145026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145039 */   // GIR_Coverage, 48275,
     /* 2145039 */   GIR_EraseRootFromParent_Done,
     /* 2145040 */ // Label 28926: @2145040
     /* 2145040 */ GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2145088), // Rule ID 48282 //
     /* 2145045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145058 */   // MIs[0] Operand 1
     /* 2145058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2145063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145071 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2145071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2145074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145078 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145087 */   // GIR_Coverage, 48282,
     /* 2145087 */   GIR_EraseRootFromParent_Done,
     /* 2145088 */ // Label 28927: @2145088
     /* 2145088 */ GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2145136), // Rule ID 48283 //
     /* 2145093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145106 */   // MIs[0] Operand 1
     /* 2145106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2145111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145119 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2145119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2145122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145126 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145135 */   // GIR_Coverage, 48283,
     /* 2145135 */   GIR_EraseRootFromParent_Done,
     /* 2145136 */ // Label 28928: @2145136
     /* 2145136 */ GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2145184), // Rule ID 48310 //
     /* 2145141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2145147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2145150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145154 */   // MIs[0] Operand 1
     /* 2145154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145167 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2145167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2145170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145183 */   // GIR_Coverage, 48310,
     /* 2145183 */   GIR_EraseRootFromParent_Done,
     /* 2145184 */ // Label 28929: @2145184
     /* 2145184 */ GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2145232), // Rule ID 48311 //
     /* 2145189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2145195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2145198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145202 */   // MIs[0] Operand 1
     /* 2145202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145215 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2145215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2145218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145231 */   // GIR_Coverage, 48311,
     /* 2145231 */   GIR_EraseRootFromParent_Done,
     /* 2145232 */ // Label 28930: @2145232
     /* 2145232 */ GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2145280), // Rule ID 48318 //
     /* 2145237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145250 */   // MIs[0] Operand 1
     /* 2145250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145263 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2145263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2145266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145279 */   // GIR_Coverage, 48318,
     /* 2145279 */   GIR_EraseRootFromParent_Done,
     /* 2145280 */ // Label 28931: @2145280
     /* 2145280 */ GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2145328), // Rule ID 48319 //
     /* 2145285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145298 */   // MIs[0] Operand 1
     /* 2145298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145311 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2145311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2145314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145327 */   // GIR_Coverage, 48319,
     /* 2145327 */   GIR_EraseRootFromParent_Done,
     /* 2145328 */ // Label 28932: @2145328
     /* 2145328 */ GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2145376), // Rule ID 48326 //
     /* 2145333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145346 */   // MIs[0] Operand 1
     /* 2145346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145359 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2145359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2145362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145375 */   // GIR_Coverage, 48326,
     /* 2145375 */   GIR_EraseRootFromParent_Done,
     /* 2145376 */ // Label 28933: @2145376
     /* 2145376 */ GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2145424), // Rule ID 48327 //
     /* 2145381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145394 */   // MIs[0] Operand 1
     /* 2145394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2145399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145407 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2145407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2145410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145423 */   // GIR_Coverage, 48327,
     /* 2145423 */   GIR_EraseRootFromParent_Done,
     /* 2145424 */ // Label 28934: @2145424
     /* 2145424 */ GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2145472), // Rule ID 48354 //
     /* 2145429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2145435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2145438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145442 */   // MIs[0] Operand 1
     /* 2145442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145455 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2145455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2145458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145471 */   // GIR_Coverage, 48354,
     /* 2145471 */   GIR_EraseRootFromParent_Done,
     /* 2145472 */ // Label 28935: @2145472
     /* 2145472 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2145520), // Rule ID 48355 //
     /* 2145477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2145483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2145486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145490 */   // MIs[0] Operand 1
     /* 2145490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145499 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145503 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2145503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2145506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145510 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145519 */   // GIR_Coverage, 48355,
     /* 2145519 */   GIR_EraseRootFromParent_Done,
     /* 2145520 */ // Label 28936: @2145520
     /* 2145520 */ GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2145568), // Rule ID 48362 //
     /* 2145525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145538 */   // MIs[0] Operand 1
     /* 2145538 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145547 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145551 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2145551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2145554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145558 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145567 */   // GIR_Coverage, 48362,
     /* 2145567 */   GIR_EraseRootFromParent_Done,
     /* 2145568 */ // Label 28937: @2145568
     /* 2145568 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2145616), // Rule ID 48363 //
     /* 2145573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145586 */   // MIs[0] Operand 1
     /* 2145586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145595 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145599 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2145599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2145602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145615 */   // GIR_Coverage, 48363,
     /* 2145615 */   GIR_EraseRootFromParent_Done,
     /* 2145616 */ // Label 28938: @2145616
     /* 2145616 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2145664), // Rule ID 48370 //
     /* 2145621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145634 */   // MIs[0] Operand 1
     /* 2145634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145647 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2145647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2145650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145663 */   // GIR_Coverage, 48370,
     /* 2145663 */   GIR_EraseRootFromParent_Done,
     /* 2145664 */ // Label 28939: @2145664
     /* 2145664 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2145712), // Rule ID 48371 //
     /* 2145669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145682 */   // MIs[0] Operand 1
     /* 2145682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2145687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145695 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2145695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2145698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2145704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145711 */   // GIR_Coverage, 48371,
     /* 2145711 */   GIR_EraseRootFromParent_Done,
     /* 2145712 */ // Label 28940: @2145712
     /* 2145712 */ GIM_Reject,
     /* 2145713 */ // Label 28464: @2145713
     /* 2145713 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2145761), // Rule ID 47962 //
     /* 2145718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2145724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2145727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145731 */   // MIs[0] Operand 1
     /* 2145731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2145736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145744 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2145744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2145747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145760 */   // GIR_Coverage, 47962,
     /* 2145760 */   GIR_EraseRootFromParent_Done,
     /* 2145761 */ // Label 28941: @2145761
     /* 2145761 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2145809), // Rule ID 47963 //
     /* 2145766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2145772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2145775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145779 */   // MIs[0] Operand 1
     /* 2145779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2145784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145792 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2145792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2145795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145808 */   // GIR_Coverage, 47963,
     /* 2145808 */   GIR_EraseRootFromParent_Done,
     /* 2145809 */ // Label 28942: @2145809
     /* 2145809 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2145857), // Rule ID 47970 //
     /* 2145814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145827 */   // MIs[0] Operand 1
     /* 2145827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2145832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145840 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2145840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2145843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145856 */   // GIR_Coverage, 47970,
     /* 2145856 */   GIR_EraseRootFromParent_Done,
     /* 2145857 */ // Label 28943: @2145857
     /* 2145857 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2145905), // Rule ID 47971 //
     /* 2145862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145875 */   // MIs[0] Operand 1
     /* 2145875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2145880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145888 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2145888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2145891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145904 */   // GIR_Coverage, 47971,
     /* 2145904 */   GIR_EraseRootFromParent_Done,
     /* 2145905 */ // Label 28944: @2145905
     /* 2145905 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2145953), // Rule ID 48006 //
     /* 2145910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2145916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2145919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145923 */   // MIs[0] Operand 1
     /* 2145923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2145928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145936 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2145936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2145939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2145952 */   // GIR_Coverage, 48006,
     /* 2145952 */   GIR_EraseRootFromParent_Done,
     /* 2145953 */ // Label 28945: @2145953
     /* 2145953 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2146001), // Rule ID 48007 //
     /* 2145958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2145964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2145967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145971 */   // MIs[0] Operand 1
     /* 2145971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2145976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145984 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2145984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2145987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2145991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2145993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2145996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2145999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146000 */   // GIR_Coverage, 48007,
     /* 2146000 */   GIR_EraseRootFromParent_Done,
     /* 2146001 */ // Label 28946: @2146001
     /* 2146001 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2146049), // Rule ID 48014 //
     /* 2146006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146019 */   // MIs[0] Operand 1
     /* 2146019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2146024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146032 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2146035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146048 */   // GIR_Coverage, 48014,
     /* 2146048 */   GIR_EraseRootFromParent_Done,
     /* 2146049 */ // Label 28947: @2146049
     /* 2146049 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2146097), // Rule ID 48015 //
     /* 2146054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146067 */   // MIs[0] Operand 1
     /* 2146067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2146072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146080 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2146080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2146083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146096 */   // GIR_Coverage, 48015,
     /* 2146096 */   GIR_EraseRootFromParent_Done,
     /* 2146097 */ // Label 28948: @2146097
     /* 2146097 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2146145), // Rule ID 48050 //
     /* 2146102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146115 */   // MIs[0] Operand 1
     /* 2146115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2146120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146128 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2146128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2146131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146144 */   // GIR_Coverage, 48050,
     /* 2146144 */   GIR_EraseRootFromParent_Done,
     /* 2146145 */ // Label 28949: @2146145
     /* 2146145 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2146193), // Rule ID 48051 //
     /* 2146150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146163 */   // MIs[0] Operand 1
     /* 2146163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2146168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146176 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2146176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2146179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146192 */   // GIR_Coverage, 48051,
     /* 2146192 */   GIR_EraseRootFromParent_Done,
     /* 2146193 */ // Label 28950: @2146193
     /* 2146193 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2146241), // Rule ID 48058 //
     /* 2146198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146211 */   // MIs[0] Operand 1
     /* 2146211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2146216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146224 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2146227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146240 */   // GIR_Coverage, 48058,
     /* 2146240 */   GIR_EraseRootFromParent_Done,
     /* 2146241 */ // Label 28951: @2146241
     /* 2146241 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2146289), // Rule ID 48059 //
     /* 2146246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146259 */   // MIs[0] Operand 1
     /* 2146259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2146264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146272 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2146272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2146275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146288 */   // GIR_Coverage, 48059,
     /* 2146288 */   GIR_EraseRootFromParent_Done,
     /* 2146289 */ // Label 28952: @2146289
     /* 2146289 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2146337), // Rule ID 48092 //
     /* 2146294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146307 */   // MIs[0] Operand 1
     /* 2146307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2146312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146320 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2146320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2146323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146336 */   // GIR_Coverage, 48092,
     /* 2146336 */   GIR_EraseRootFromParent_Done,
     /* 2146337 */ // Label 28953: @2146337
     /* 2146337 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2146385), // Rule ID 48093 //
     /* 2146342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146355 */   // MIs[0] Operand 1
     /* 2146355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2146360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146368 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2146368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2146371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146373 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146384 */   // GIR_Coverage, 48093,
     /* 2146384 */   GIR_EraseRootFromParent_Done,
     /* 2146385 */ // Label 28954: @2146385
     /* 2146385 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2146433), // Rule ID 48100 //
     /* 2146390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146403 */   // MIs[0] Operand 1
     /* 2146403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2146408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146416 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2146419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146421 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146432 */   // GIR_Coverage, 48100,
     /* 2146432 */   GIR_EraseRootFromParent_Done,
     /* 2146433 */ // Label 28955: @2146433
     /* 2146433 */ GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2146481), // Rule ID 48101 //
     /* 2146438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146451 */   // MIs[0] Operand 1
     /* 2146451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2146456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146464 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2146464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2146467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146469 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146480 */   // GIR_Coverage, 48101,
     /* 2146480 */   GIR_EraseRootFromParent_Done,
     /* 2146481 */ // Label 28956: @2146481
     /* 2146481 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2146529), // Rule ID 48136 //
     /* 2146486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146499 */   // MIs[0] Operand 1
     /* 2146499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2146504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146512 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2146512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2146515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146528 */   // GIR_Coverage, 48136,
     /* 2146528 */   GIR_EraseRootFromParent_Done,
     /* 2146529 */ // Label 28957: @2146529
     /* 2146529 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2146577), // Rule ID 48137 //
     /* 2146534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146547 */   // MIs[0] Operand 1
     /* 2146547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2146552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146560 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2146560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2146563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146576 */   // GIR_Coverage, 48137,
     /* 2146576 */   GIR_EraseRootFromParent_Done,
     /* 2146577 */ // Label 28958: @2146577
     /* 2146577 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2146625), // Rule ID 48144 //
     /* 2146582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146595 */   // MIs[0] Operand 1
     /* 2146595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2146600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146608 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2146611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146624 */   // GIR_Coverage, 48144,
     /* 2146624 */   GIR_EraseRootFromParent_Done,
     /* 2146625 */ // Label 28959: @2146625
     /* 2146625 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2146673), // Rule ID 48145 //
     /* 2146630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146643 */   // MIs[0] Operand 1
     /* 2146643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2146648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146656 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2146656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2146659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146672 */   // GIR_Coverage, 48145,
     /* 2146672 */   GIR_EraseRootFromParent_Done,
     /* 2146673 */ // Label 28960: @2146673
     /* 2146673 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2146721), // Rule ID 48180 //
     /* 2146678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146691 */   // MIs[0] Operand 1
     /* 2146691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2146696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146704 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2146704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2146707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146720 */   // GIR_Coverage, 48180,
     /* 2146720 */   GIR_EraseRootFromParent_Done,
     /* 2146721 */ // Label 28961: @2146721
     /* 2146721 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2146769), // Rule ID 48181 //
     /* 2146726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146739 */   // MIs[0] Operand 1
     /* 2146739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2146744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146752 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2146752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2146755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146768 */   // GIR_Coverage, 48181,
     /* 2146768 */   GIR_EraseRootFromParent_Done,
     /* 2146769 */ // Label 28962: @2146769
     /* 2146769 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2146817), // Rule ID 48188 //
     /* 2146774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146787 */   // MIs[0] Operand 1
     /* 2146787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2146792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146800 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2146803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146816 */   // GIR_Coverage, 48188,
     /* 2146816 */   GIR_EraseRootFromParent_Done,
     /* 2146817 */ // Label 28963: @2146817
     /* 2146817 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2146865), // Rule ID 48189 //
     /* 2146822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146835 */   // MIs[0] Operand 1
     /* 2146835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2146840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146848 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2146848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2146851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2146857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146864 */   // GIR_Coverage, 48189,
     /* 2146864 */   GIR_EraseRootFromParent_Done,
     /* 2146865 */ // Label 28964: @2146865
     /* 2146865 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2146913), // Rule ID 48224 //
     /* 2146870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146883 */   // MIs[0] Operand 1
     /* 2146883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2146888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146896 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2146896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2146899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146912 */   // GIR_Coverage, 48224,
     /* 2146912 */   GIR_EraseRootFromParent_Done,
     /* 2146913 */ // Label 28965: @2146913
     /* 2146913 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2146961), // Rule ID 48225 //
     /* 2146918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2146924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2146927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146931 */   // MIs[0] Operand 1
     /* 2146931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2146936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146944 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2146944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2146947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2146953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2146956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2146960 */   // GIR_Coverage, 48225,
     /* 2146960 */   GIR_EraseRootFromParent_Done,
     /* 2146961 */ // Label 28966: @2146961
     /* 2146961 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2147009), // Rule ID 48232 //
     /* 2146966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2146972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2146975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146979 */   // MIs[0] Operand 1
     /* 2146979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2146984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146992 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2146992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2146995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2146999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147008 */   // GIR_Coverage, 48232,
     /* 2147008 */   GIR_EraseRootFromParent_Done,
     /* 2147009 */ // Label 28967: @2147009
     /* 2147009 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2147057), // Rule ID 48233 //
     /* 2147014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147027 */   // MIs[0] Operand 1
     /* 2147027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2147032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147040 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2147040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2147043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147056 */   // GIR_Coverage, 48233,
     /* 2147056 */   GIR_EraseRootFromParent_Done,
     /* 2147057 */ // Label 28968: @2147057
     /* 2147057 */ GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2147105), // Rule ID 48268 //
     /* 2147062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147075 */   // MIs[0] Operand 1
     /* 2147075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2147080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147088 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2147091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147104 */   // GIR_Coverage, 48268,
     /* 2147104 */   GIR_EraseRootFromParent_Done,
     /* 2147105 */ // Label 28969: @2147105
     /* 2147105 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2147153), // Rule ID 48269 //
     /* 2147110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147123 */   // MIs[0] Operand 1
     /* 2147123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2147128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147136 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2147139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147152 */   // GIR_Coverage, 48269,
     /* 2147152 */   GIR_EraseRootFromParent_Done,
     /* 2147153 */ // Label 28970: @2147153
     /* 2147153 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2147201), // Rule ID 48276 //
     /* 2147158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147171 */   // MIs[0] Operand 1
     /* 2147171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2147176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147184 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2147184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2147187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147200 */   // GIR_Coverage, 48276,
     /* 2147200 */   GIR_EraseRootFromParent_Done,
     /* 2147201 */ // Label 28971: @2147201
     /* 2147201 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2147249), // Rule ID 48277 //
     /* 2147206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147219 */   // MIs[0] Operand 1
     /* 2147219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2147224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147232 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2147232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2147235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147248 */   // GIR_Coverage, 48277,
     /* 2147248 */   GIR_EraseRootFromParent_Done,
     /* 2147249 */ // Label 28972: @2147249
     /* 2147249 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2147297), // Rule ID 48312 //
     /* 2147254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147267 */   // MIs[0] Operand 1
     /* 2147267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2147272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147280 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2147283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147296 */   // GIR_Coverage, 48312,
     /* 2147296 */   GIR_EraseRootFromParent_Done,
     /* 2147297 */ // Label 28973: @2147297
     /* 2147297 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2147345), // Rule ID 48313 //
     /* 2147302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147315 */   // MIs[0] Operand 1
     /* 2147315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2147320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147328 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2147331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147333 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147344 */   // GIR_Coverage, 48313,
     /* 2147344 */   GIR_EraseRootFromParent_Done,
     /* 2147345 */ // Label 28974: @2147345
     /* 2147345 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2147393), // Rule ID 48320 //
     /* 2147350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147363 */   // MIs[0] Operand 1
     /* 2147363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2147368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147376 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2147376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2147379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147381 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147383 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147392 */   // GIR_Coverage, 48320,
     /* 2147392 */   GIR_EraseRootFromParent_Done,
     /* 2147393 */ // Label 28975: @2147393
     /* 2147393 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2147441), // Rule ID 48321 //
     /* 2147398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147411 */   // MIs[0] Operand 1
     /* 2147411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2147416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147424 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2147424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2147427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147429 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147431 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147440 */   // GIR_Coverage, 48321,
     /* 2147440 */   GIR_EraseRootFromParent_Done,
     /* 2147441 */ // Label 28976: @2147441
     /* 2147441 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2147489), // Rule ID 48356 //
     /* 2147446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147459 */   // MIs[0] Operand 1
     /* 2147459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2147464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147472 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2147475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147488 */   // GIR_Coverage, 48356,
     /* 2147488 */   GIR_EraseRootFromParent_Done,
     /* 2147489 */ // Label 28977: @2147489
     /* 2147489 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2147537), // Rule ID 48357 //
     /* 2147494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2147500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2147503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147507 */   // MIs[0] Operand 1
     /* 2147507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2147512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147520 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2147523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147536 */   // GIR_Coverage, 48357,
     /* 2147536 */   GIR_EraseRootFromParent_Done,
     /* 2147537 */ // Label 28978: @2147537
     /* 2147537 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2147585), // Rule ID 48364 //
     /* 2147542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147555 */   // MIs[0] Operand 1
     /* 2147555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2147560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147568 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2147568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2147571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147584 */   // GIR_Coverage, 48364,
     /* 2147584 */   GIR_EraseRootFromParent_Done,
     /* 2147585 */ // Label 28979: @2147585
     /* 2147585 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2147633), // Rule ID 48365 //
     /* 2147590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2147599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147603 */   // MIs[0] Operand 1
     /* 2147603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2147608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147616 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2147616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2147619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2147632 */   // GIR_Coverage, 48365,
     /* 2147632 */   GIR_EraseRootFromParent_Done,
     /* 2147633 */ // Label 28980: @2147633
     /* 2147633 */ GIM_Reject,
     /* 2147634 */ // Label 28465: @2147634
     /* 2147634 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2148410),
     /* 2147639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2147642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2147645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147649 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2147687), // Rule ID 47964 //
     /* 2147654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147657 */     // MIs[0] Operand 1
     /* 2147657 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2147662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147670 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2147673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147686 */     // GIR_Coverage, 47964,
     /* 2147686 */     GIR_EraseRootFromParent_Done,
     /* 2147687 */   // Label 28982: @2147687
     /* 2147687 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2147725), // Rule ID 47965 //
     /* 2147692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147695 */     // MIs[0] Operand 1
     /* 2147695 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2147700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147708 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2147711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147724 */     // GIR_Coverage, 47965,
     /* 2147724 */     GIR_EraseRootFromParent_Done,
     /* 2147725 */   // Label 28983: @2147725
     /* 2147725 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2147763), // Rule ID 48008 //
     /* 2147730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147733 */     // MIs[0] Operand 1
     /* 2147733 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2147738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147746 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2147749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147762 */     // GIR_Coverage, 48008,
     /* 2147762 */     GIR_EraseRootFromParent_Done,
     /* 2147763 */   // Label 28984: @2147763
     /* 2147763 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2147801), // Rule ID 48009 //
     /* 2147768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147771 */     // MIs[0] Operand 1
     /* 2147771 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2147776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147784 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2147787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147800 */     // GIR_Coverage, 48009,
     /* 2147800 */     GIR_EraseRootFromParent_Done,
     /* 2147801 */   // Label 28985: @2147801
     /* 2147801 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2147839), // Rule ID 48052 //
     /* 2147806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147809 */     // MIs[0] Operand 1
     /* 2147809 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2147814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147822 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2147825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147838 */     // GIR_Coverage, 48052,
     /* 2147838 */     GIR_EraseRootFromParent_Done,
     /* 2147839 */   // Label 28986: @2147839
     /* 2147839 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2147877), // Rule ID 48053 //
     /* 2147844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147847 */     // MIs[0] Operand 1
     /* 2147847 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2147852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147860 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2147863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147876 */     // GIR_Coverage, 48053,
     /* 2147876 */     GIR_EraseRootFromParent_Done,
     /* 2147877 */   // Label 28987: @2147877
     /* 2147877 */   GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2147915), // Rule ID 48094 //
     /* 2147882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147885 */     // MIs[0] Operand 1
     /* 2147885 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2147890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147898 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2147901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147914 */     // GIR_Coverage, 48094,
     /* 2147914 */     GIR_EraseRootFromParent_Done,
     /* 2147915 */   // Label 28988: @2147915
     /* 2147915 */   GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2147953), // Rule ID 48095 //
     /* 2147920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147923 */     // MIs[0] Operand 1
     /* 2147923 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2147928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147936 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2147936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2147939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2147945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147952 */     // GIR_Coverage, 48095,
     /* 2147952 */     GIR_EraseRootFromParent_Done,
     /* 2147953 */   // Label 28989: @2147953
     /* 2147953 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2147991), // Rule ID 48138 //
     /* 2147958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147961 */     // MIs[0] Operand 1
     /* 2147961 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2147966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147974 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2147974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2147977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2147981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2147983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2147986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147990 */     // GIR_Coverage, 48138,
     /* 2147990 */     GIR_EraseRootFromParent_Done,
     /* 2147991 */   // Label 28990: @2147991
     /* 2147991 */   GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2148029), // Rule ID 48139 //
     /* 2147996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147999 */     // MIs[0] Operand 1
     /* 2147999 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2148004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148012 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2148015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148028 */     // GIR_Coverage, 48139,
     /* 2148028 */     GIR_EraseRootFromParent_Done,
     /* 2148029 */   // Label 28991: @2148029
     /* 2148029 */   GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2148067), // Rule ID 48182 //
     /* 2148034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148037 */     // MIs[0] Operand 1
     /* 2148037 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2148042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148050 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2148050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2148053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148066 */     // GIR_Coverage, 48182,
     /* 2148066 */     GIR_EraseRootFromParent_Done,
     /* 2148067 */   // Label 28992: @2148067
     /* 2148067 */   GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2148105), // Rule ID 48183 //
     /* 2148072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148075 */     // MIs[0] Operand 1
     /* 2148075 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2148080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148088 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2148091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148104 */     // GIR_Coverage, 48183,
     /* 2148104 */     GIR_EraseRootFromParent_Done,
     /* 2148105 */   // Label 28993: @2148105
     /* 2148105 */   GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2148143), // Rule ID 48226 //
     /* 2148110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148113 */     // MIs[0] Operand 1
     /* 2148113 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2148118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148126 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2148126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2148129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148142 */     // GIR_Coverage, 48226,
     /* 2148142 */     GIR_EraseRootFromParent_Done,
     /* 2148143 */   // Label 28994: @2148143
     /* 2148143 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2148181), // Rule ID 48227 //
     /* 2148148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148151 */     // MIs[0] Operand 1
     /* 2148151 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2148156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148164 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2148167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148180 */     // GIR_Coverage, 48227,
     /* 2148180 */     GIR_EraseRootFromParent_Done,
     /* 2148181 */   // Label 28995: @2148181
     /* 2148181 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2148219), // Rule ID 48270 //
     /* 2148186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148189 */     // MIs[0] Operand 1
     /* 2148189 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2148194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148202 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2148202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2148205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148218 */     // GIR_Coverage, 48270,
     /* 2148218 */     GIR_EraseRootFromParent_Done,
     /* 2148219 */   // Label 28996: @2148219
     /* 2148219 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2148257), // Rule ID 48271 //
     /* 2148224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148227 */     // MIs[0] Operand 1
     /* 2148227 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2148232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148240 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2148243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148256 */     // GIR_Coverage, 48271,
     /* 2148256 */     GIR_EraseRootFromParent_Done,
     /* 2148257 */   // Label 28997: @2148257
     /* 2148257 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2148295), // Rule ID 48314 //
     /* 2148262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148265 */     // MIs[0] Operand 1
     /* 2148265 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2148270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148278 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2148278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2148281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148294 */     // GIR_Coverage, 48314,
     /* 2148294 */     GIR_EraseRootFromParent_Done,
     /* 2148295 */   // Label 28998: @2148295
     /* 2148295 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2148333), // Rule ID 48315 //
     /* 2148300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148303 */     // MIs[0] Operand 1
     /* 2148303 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2148308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148316 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2148319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148332 */     // GIR_Coverage, 48315,
     /* 2148332 */     GIR_EraseRootFromParent_Done,
     /* 2148333 */   // Label 28999: @2148333
     /* 2148333 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2148371), // Rule ID 48358 //
     /* 2148338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148341 */     // MIs[0] Operand 1
     /* 2148341 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2148346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148354 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2148354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2148357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148370 */     // GIR_Coverage, 48358,
     /* 2148370 */     GIR_EraseRootFromParent_Done,
     /* 2148371 */   // Label 29000: @2148371
     /* 2148371 */   GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2148409), // Rule ID 48359 //
     /* 2148376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148379 */     // MIs[0] Operand 1
     /* 2148379 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2148384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148392 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2148392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2148395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2148401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2148404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148408 */     // GIR_Coverage, 48359,
     /* 2148408 */     GIR_EraseRootFromParent_Done,
     /* 2148409 */   // Label 29001: @2148409
     /* 2148409 */   GIM_Reject,
     /* 2148410 */ // Label 28981: @2148410
     /* 2148410 */ GIM_Reject,
     /* 2148411 */ // Label 28466: @2148411
     /* 2148411 */ GIM_Reject,
     /* 2148412 */ // Label 49: @2148412
     /* 2148412 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 29010*/ GIMT_Encode4(2155873),
     /* 2148423 */ /*GILLT_s32*//*Label 29002*/ GIMT_Encode4(2148531),
     /* 2148427 */ /*GILLT_s64*//*Label 29003*/ GIMT_Encode4(2149288),
     /* 2148431 */ /*GILLT_nxv1s1*//*Label 29004*/ GIMT_Encode4(2150171), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2148451 */ /*GILLT_nxv2s1*//*Label 29005*/ GIMT_Encode4(2151324), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2148471 */ /*GILLT_nxv4s1*//*Label 29006*/ GIMT_Encode4(2152477), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2148491 */ /*GILLT_nxv8s1*//*Label 29007*/ GIMT_Encode4(2153630), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2148511 */ /*GILLT_nxv16s1*//*Label 29008*/ GIMT_Encode4(2154783), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2148527 */ /*GILLT_nxv32s1*//*Label 29009*/ GIMT_Encode4(2155552),
     /* 2148531 */ // Label 29002: @2148531
     /* 2148531 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2148573), // Rule ID 1224 //
     /* 2148536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2148539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148549 */   // MIs[0] Operand 1
     /* 2148549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2148554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148562 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2148565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148572 */   // GIR_Coverage, 1224,
     /* 2148572 */   GIR_EraseRootFromParent_Done,
     /* 2148573 */ // Label 29011: @2148573
     /* 2148573 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2148615), // Rule ID 1228 //
     /* 2148578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2148581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148591 */   // MIs[0] Operand 1
     /* 2148591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2148596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148604 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2148607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148614 */   // GIR_Coverage, 1228,
     /* 2148614 */   GIR_EraseRootFromParent_Done,
     /* 2148615 */ // Label 29012: @2148615
     /* 2148615 */ GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2148657), // Rule ID 1272 //
     /* 2148620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2148623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148633 */   // MIs[0] Operand 1
     /* 2148633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2148638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148646 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2148649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148656 */   // GIR_Coverage, 1272,
     /* 2148656 */   GIR_EraseRootFromParent_Done,
     /* 2148657 */ // Label 29013: @2148657
     /* 2148657 */ GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2148699), // Rule ID 1276 //
     /* 2148662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2148665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148675 */   // MIs[0] Operand 1
     /* 2148675 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2148680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148684 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148688 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2148691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148698 */   // GIR_Coverage, 1276,
     /* 2148698 */   GIR_EraseRootFromParent_Done,
     /* 2148699 */ // Label 29014: @2148699
     /* 2148699 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2148741), // Rule ID 1288 //
     /* 2148704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2148707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148717 */   // MIs[0] Operand 1
     /* 2148717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2148722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148730 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2148733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148740 */   // GIR_Coverage, 1288,
     /* 2148740 */   GIR_EraseRootFromParent_Done,
     /* 2148741 */ // Label 29015: @2148741
     /* 2148741 */ GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2148783), // Rule ID 1292 //
     /* 2148746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2148749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2148752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148759 */   // MIs[0] Operand 1
     /* 2148759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2148764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2148772 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2148772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2148775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148782 */   // GIR_Coverage, 1292,
     /* 2148782 */   GIR_EraseRootFromParent_Done,
     /* 2148783 */ // Label 29016: @2148783
     /* 2148783 */ GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2148825), // Rule ID 1604 //
     /* 2148788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2148791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2148794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148801 */   // MIs[0] Operand 1
     /* 2148801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2148806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148814 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2148814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2148817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148824 */   // GIR_Coverage, 1604,
     /* 2148824 */   GIR_EraseRootFromParent_Done,
     /* 2148825 */ // Label 29017: @2148825
     /* 2148825 */ GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2148867), // Rule ID 1608 //
     /* 2148830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2148833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2148836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148843 */   // MIs[0] Operand 1
     /* 2148843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2148848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2148852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2148856 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2148856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2148859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148863 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148866 */   // GIR_Coverage, 1608,
     /* 2148866 */   GIR_EraseRootFromParent_Done,
     /* 2148867 */ // Label 29018: @2148867
     /* 2148867 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2148909), // Rule ID 1646 //
     /* 2148872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2148875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2148878 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148885 */   // MIs[0] Operand 1
     /* 2148885 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2148890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148894 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148898 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2148898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2148901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148905 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148908 */   // GIR_Coverage, 1646,
     /* 2148908 */   GIR_EraseRootFromParent_Done,
     /* 2148909 */ // Label 29019: @2148909
     /* 2148909 */ GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2148951), // Rule ID 1654 //
     /* 2148914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2148917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2148920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148927 */   // MIs[0] Operand 1
     /* 2148927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2148932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148940 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2148940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2148943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148950 */   // GIR_Coverage, 1654,
     /* 2148950 */   GIR_EraseRootFromParent_Done,
     /* 2148951 */ // Label 29020: @2148951
     /* 2148951 */ GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2148993), // Rule ID 1682 //
     /* 2148956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2148959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2148962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148969 */   // MIs[0] Operand 1
     /* 2148969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2148974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2148978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2148982 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2148982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2148985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2148989 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2148991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2148992 */   // GIR_Coverage, 1682,
     /* 2148992 */   GIR_EraseRootFromParent_Done,
     /* 2148993 */ // Label 29021: @2148993
     /* 2148993 */ GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2149035), // Rule ID 1690 //
     /* 2148998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2149001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149011 */   // MIs[0] Operand 1
     /* 2149011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149024 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2149027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149034 */   // GIR_Coverage, 1690,
     /* 2149034 */   GIR_EraseRootFromParent_Done,
     /* 2149035 */ // Label 29022: @2149035
     /* 2149035 */ GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2149077), // Rule ID 1937 //
     /* 2149040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2149043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149053 */   // MIs[0] Operand 1
     /* 2149053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149066 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2149069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149076 */   // GIR_Coverage, 1937,
     /* 2149076 */   GIR_EraseRootFromParent_Done,
     /* 2149077 */ // Label 29023: @2149077
     /* 2149077 */ GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2149119), // Rule ID 1941 //
     /* 2149082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2149085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149095 */   // MIs[0] Operand 1
     /* 2149095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149108 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2149111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149118 */   // GIR_Coverage, 1941,
     /* 2149118 */   GIR_EraseRootFromParent_Done,
     /* 2149119 */ // Label 29024: @2149119
     /* 2149119 */ GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2149161), // Rule ID 1985 //
     /* 2149124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2149127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149137 */   // MIs[0] Operand 1
     /* 2149137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149150 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2149153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149160 */   // GIR_Coverage, 1985,
     /* 2149160 */   GIR_EraseRootFromParent_Done,
     /* 2149161 */ // Label 29025: @2149161
     /* 2149161 */ GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2149203), // Rule ID 1989 //
     /* 2149166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2149169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149179 */   // MIs[0] Operand 1
     /* 2149179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149192 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2149195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149202 */   // GIR_Coverage, 1989,
     /* 2149202 */   GIR_EraseRootFromParent_Done,
     /* 2149203 */ // Label 29026: @2149203
     /* 2149203 */ GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2149245), // Rule ID 2001 //
     /* 2149208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2149211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149221 */   // MIs[0] Operand 1
     /* 2149221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149234 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2149237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149244 */   // GIR_Coverage, 2001,
     /* 2149244 */   GIR_EraseRootFromParent_Done,
     /* 2149245 */ // Label 29027: @2149245
     /* 2149245 */ GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2149287), // Rule ID 2005 //
     /* 2149250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2149253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149263 */   // MIs[0] Operand 1
     /* 2149263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149276 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2149279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149286 */   // GIR_Coverage, 2005,
     /* 2149286 */   GIR_EraseRootFromParent_Done,
     /* 2149287 */ // Label 29028: @2149287
     /* 2149287 */ GIM_Reject,
     /* 2149288 */ // Label 29003: @2149288
     /* 2149288 */ GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2149330), // Rule ID 1223 //
     /* 2149293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2149296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149306 */   // MIs[0] Operand 1
     /* 2149306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149319 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2149322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149329 */   // GIR_Coverage, 1223,
     /* 2149329 */   GIR_EraseRootFromParent_Done,
     /* 2149330 */ // Label 29029: @2149330
     /* 2149330 */ GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2149372), // Rule ID 1227 //
     /* 2149335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2149338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149348 */   // MIs[0] Operand 1
     /* 2149348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149361 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2149364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149366 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149368 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149371 */   // GIR_Coverage, 1227,
     /* 2149371 */   GIR_EraseRootFromParent_Done,
     /* 2149372 */ // Label 29030: @2149372
     /* 2149372 */ GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2149414), // Rule ID 1271 //
     /* 2149377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2149380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149390 */   // MIs[0] Operand 1
     /* 2149390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149403 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2149406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149413 */   // GIR_Coverage, 1271,
     /* 2149413 */   GIR_EraseRootFromParent_Done,
     /* 2149414 */ // Label 29031: @2149414
     /* 2149414 */ GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2149456), // Rule ID 1275 //
     /* 2149419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2149422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149432 */   // MIs[0] Operand 1
     /* 2149432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149445 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2149448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149455 */   // GIR_Coverage, 1275,
     /* 2149455 */   GIR_EraseRootFromParent_Done,
     /* 2149456 */ // Label 29032: @2149456
     /* 2149456 */ GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2149498), // Rule ID 1287 //
     /* 2149461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2149464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149474 */   // MIs[0] Operand 1
     /* 2149474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149487 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2149490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149497 */   // GIR_Coverage, 1287,
     /* 2149497 */   GIR_EraseRootFromParent_Done,
     /* 2149498 */ // Label 29033: @2149498
     /* 2149498 */ GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2149540), // Rule ID 1291 //
     /* 2149503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2149506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2149509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2149512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149516 */   // MIs[0] Operand 1
     /* 2149516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2149529 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2149529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2149532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149539 */   // GIR_Coverage, 1291,
     /* 2149539 */   GIR_EraseRootFromParent_Done,
     /* 2149540 */ // Label 29034: @2149540
     /* 2149540 */ GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2149582), // Rule ID 1603 //
     /* 2149545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2149548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149558 */   // MIs[0] Operand 1
     /* 2149558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149571 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2149574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149581 */   // GIR_Coverage, 1603,
     /* 2149581 */   GIR_EraseRootFromParent_Done,
     /* 2149582 */ // Label 29035: @2149582
     /* 2149582 */ GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2149624), // Rule ID 1607 //
     /* 2149587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2149590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149600 */   // MIs[0] Operand 1
     /* 2149600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149613 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2149616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149623 */   // GIR_Coverage, 1607,
     /* 2149623 */   GIR_EraseRootFromParent_Done,
     /* 2149624 */ // Label 29036: @2149624
     /* 2149624 */ GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2149666), // Rule ID 1610 //
     /* 2149629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2149632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149642 */   // MIs[0] Operand 1
     /* 2149642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149655 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2149658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149665 */   // GIR_Coverage, 1610,
     /* 2149665 */   GIR_EraseRootFromParent_Done,
     /* 2149666 */ // Label 29037: @2149666
     /* 2149666 */ GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2149708), // Rule ID 1645 //
     /* 2149671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2149674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149684 */   // MIs[0] Operand 1
     /* 2149684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149697 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2149700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149707 */   // GIR_Coverage, 1645,
     /* 2149707 */   GIR_EraseRootFromParent_Done,
     /* 2149708 */ // Label 29038: @2149708
     /* 2149708 */ GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2149750), // Rule ID 1653 //
     /* 2149713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2149716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149726 */   // MIs[0] Operand 1
     /* 2149726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149739 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2149742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149749 */   // GIR_Coverage, 1653,
     /* 2149749 */   GIR_EraseRootFromParent_Done,
     /* 2149750 */ // Label 29039: @2149750
     /* 2149750 */ GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2149792), // Rule ID 1662 //
     /* 2149755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2149758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149768 */   // MIs[0] Operand 1
     /* 2149768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149781 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2149784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149791 */   // GIR_Coverage, 1662,
     /* 2149791 */   GIR_EraseRootFromParent_Done,
     /* 2149792 */ // Label 29040: @2149792
     /* 2149792 */ GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2149834), // Rule ID 1666 //
     /* 2149797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2149800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149810 */   // MIs[0] Operand 1
     /* 2149810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149823 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2149826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149828 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149830 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149833 */   // GIR_Coverage, 1666,
     /* 2149833 */   GIR_EraseRootFromParent_Done,
     /* 2149834 */ // Label 29041: @2149834
     /* 2149834 */ GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2149876), // Rule ID 1681 //
     /* 2149839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2149842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149852 */   // MIs[0] Operand 1
     /* 2149852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2149857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149865 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2149868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149875 */   // GIR_Coverage, 1681,
     /* 2149875 */   GIR_EraseRootFromParent_Done,
     /* 2149876 */ // Label 29042: @2149876
     /* 2149876 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2149918), // Rule ID 1689 //
     /* 2149881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2149884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2149887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149894 */   // MIs[0] Operand 1
     /* 2149894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2149899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2149907 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2149907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2149910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149917 */   // GIR_Coverage, 1689,
     /* 2149917 */   GIR_EraseRootFromParent_Done,
     /* 2149918 */ // Label 29043: @2149918
     /* 2149918 */ GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2149960), // Rule ID 1936 //
     /* 2149923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2149926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149936 */   // MIs[0] Operand 1
     /* 2149936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2149949 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2149952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2149958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2149959 */   // GIR_Coverage, 1936,
     /* 2149959 */   GIR_EraseRootFromParent_Done,
     /* 2149960 */ // Label 29044: @2149960
     /* 2149960 */ GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2150002), // Rule ID 1940 //
     /* 2149965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2149968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2149971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2149974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149978 */   // MIs[0] Operand 1
     /* 2149978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2149983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2149991 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2149991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2149994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2149998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150001 */   // GIR_Coverage, 1940,
     /* 2150001 */   GIR_EraseRootFromParent_Done,
     /* 2150002 */ // Label 29045: @2150002
     /* 2150002 */ GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2150044), // Rule ID 1984 //
     /* 2150007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2150010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2150013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2150016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150020 */   // MIs[0] Operand 1
     /* 2150020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2150029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2150033 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2150033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2150036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150043 */   // GIR_Coverage, 1984,
     /* 2150043 */   GIR_EraseRootFromParent_Done,
     /* 2150044 */ // Label 29046: @2150044
     /* 2150044 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2150086), // Rule ID 1988 //
     /* 2150049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2150052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2150055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2150058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150062 */   // MIs[0] Operand 1
     /* 2150062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2150071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2150075 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2150075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2150078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150085 */   // GIR_Coverage, 1988,
     /* 2150085 */   GIR_EraseRootFromParent_Done,
     /* 2150086 */ // Label 29047: @2150086
     /* 2150086 */ GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2150128), // Rule ID 2000 //
     /* 2150091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2150094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2150097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2150100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150104 */   // MIs[0] Operand 1
     /* 2150104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2150109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2150113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2150117 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2150117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2150120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150127 */   // GIR_Coverage, 2000,
     /* 2150127 */   GIR_EraseRootFromParent_Done,
     /* 2150128 */ // Label 29048: @2150128
     /* 2150128 */ GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2150170), // Rule ID 2004 //
     /* 2150133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2150136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2150139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2150142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150146 */   // MIs[0] Operand 1
     /* 2150146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2150151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2150155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2150159 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2150159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2150162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150166 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150169 */   // GIR_Coverage, 2004,
     /* 2150169 */   GIR_EraseRootFromParent_Done,
     /* 2150170 */ // Label 29049: @2150170
     /* 2150170 */ GIM_Reject,
     /* 2150171 */ // Label 29004: @2150171
     /* 2150171 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2150219), // Rule ID 56304 //
     /* 2150176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150189 */   // MIs[0] Operand 1
     /* 2150189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150198 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150202 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2150202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2150205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150207 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150209 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150218 */   // GIR_Coverage, 56304,
     /* 2150218 */   GIR_EraseRootFromParent_Done,
     /* 2150219 */ // Label 29050: @2150219
     /* 2150219 */ GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2150267), // Rule ID 56305 //
     /* 2150224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150237 */   // MIs[0] Operand 1
     /* 2150237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150246 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150250 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2150250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2150253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150257 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150266 */   // GIR_Coverage, 56305,
     /* 2150266 */   GIR_EraseRootFromParent_Done,
     /* 2150267 */ // Label 29051: @2150267
     /* 2150267 */ GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2150315), // Rule ID 56324 //
     /* 2150272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150285 */   // MIs[0] Operand 1
     /* 2150285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150298 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2150298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2150301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150314 */   // GIR_Coverage, 56324,
     /* 2150314 */   GIR_EraseRootFromParent_Done,
     /* 2150315 */ // Label 29052: @2150315
     /* 2150315 */ GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2150363), // Rule ID 56325 //
     /* 2150320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150333 */   // MIs[0] Operand 1
     /* 2150333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150346 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2150346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2150349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150351 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150353 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150362 */   // GIR_Coverage, 56325,
     /* 2150362 */   GIR_EraseRootFromParent_Done,
     /* 2150363 */ // Label 29053: @2150363
     /* 2150363 */ GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2150411), // Rule ID 56354 //
     /* 2150368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150381 */   // MIs[0] Operand 1
     /* 2150381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150394 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2150394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2150397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150401 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150410 */   // GIR_Coverage, 56354,
     /* 2150410 */   GIR_EraseRootFromParent_Done,
     /* 2150411 */ // Label 29054: @2150411
     /* 2150411 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2150459), // Rule ID 56355 //
     /* 2150416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150429 */   // MIs[0] Operand 1
     /* 2150429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2150434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150442 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2150442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2150445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150449 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150458 */   // GIR_Coverage, 56355,
     /* 2150458 */   GIR_EraseRootFromParent_Done,
     /* 2150459 */ // Label 29055: @2150459
     /* 2150459 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2150507), // Rule ID 56604 //
     /* 2150464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150477 */   // MIs[0] Operand 1
     /* 2150477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150490 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2150490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2150493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150506 */   // GIR_Coverage, 56604,
     /* 2150506 */   GIR_EraseRootFromParent_Done,
     /* 2150507 */ // Label 29056: @2150507
     /* 2150507 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2150555), // Rule ID 56605 //
     /* 2150512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150525 */   // MIs[0] Operand 1
     /* 2150525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150538 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2150538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2150541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150554 */   // GIR_Coverage, 56605,
     /* 2150554 */   GIR_EraseRootFromParent_Done,
     /* 2150555 */ // Label 29057: @2150555
     /* 2150555 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2150603), // Rule ID 56624 //
     /* 2150560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150573 */   // MIs[0] Operand 1
     /* 2150573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150586 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2150586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2150589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150602 */   // GIR_Coverage, 56624,
     /* 2150602 */   GIR_EraseRootFromParent_Done,
     /* 2150603 */ // Label 29058: @2150603
     /* 2150603 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2150651), // Rule ID 56625 //
     /* 2150608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150621 */   // MIs[0] Operand 1
     /* 2150621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150634 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2150634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2150637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150650 */   // GIR_Coverage, 56625,
     /* 2150650 */   GIR_EraseRootFromParent_Done,
     /* 2150651 */ // Label 29059: @2150651
     /* 2150651 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2150699), // Rule ID 56654 //
     /* 2150656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150669 */   // MIs[0] Operand 1
     /* 2150669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150682 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2150682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2150685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150698 */   // GIR_Coverage, 56654,
     /* 2150698 */   GIR_EraseRootFromParent_Done,
     /* 2150699 */ // Label 29060: @2150699
     /* 2150699 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2150747), // Rule ID 56655 //
     /* 2150704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150717 */   // MIs[0] Operand 1
     /* 2150717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2150722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150730 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2150730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2150733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150746 */   // GIR_Coverage, 56655,
     /* 2150746 */   GIR_EraseRootFromParent_Done,
     /* 2150747 */ // Label 29061: @2150747
     /* 2150747 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2150795), // Rule ID 56904 //
     /* 2150752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150765 */   // MIs[0] Operand 1
     /* 2150765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150778 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2150778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2150781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150794 */   // GIR_Coverage, 56904,
     /* 2150794 */   GIR_EraseRootFromParent_Done,
     /* 2150795 */ // Label 29062: @2150795
     /* 2150795 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2150843), // Rule ID 56905 //
     /* 2150800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2150806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2150809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150813 */   // MIs[0] Operand 1
     /* 2150813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150826 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2150826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2150829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150842 */   // GIR_Coverage, 56905,
     /* 2150842 */   GIR_EraseRootFromParent_Done,
     /* 2150843 */ // Label 29063: @2150843
     /* 2150843 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2150891), // Rule ID 56924 //
     /* 2150848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150861 */   // MIs[0] Operand 1
     /* 2150861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150874 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2150874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2150877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150890 */   // GIR_Coverage, 56924,
     /* 2150890 */   GIR_EraseRootFromParent_Done,
     /* 2150891 */ // Label 29064: @2150891
     /* 2150891 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2150939), // Rule ID 56925 //
     /* 2150896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2150902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2150905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150909 */   // MIs[0] Operand 1
     /* 2150909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150922 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2150922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2150925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150938 */   // GIR_Coverage, 56925,
     /* 2150938 */   GIR_EraseRootFromParent_Done,
     /* 2150939 */ // Label 29065: @2150939
     /* 2150939 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2150987), // Rule ID 56954 //
     /* 2150944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150957 */   // MIs[0] Operand 1
     /* 2150957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2150962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150970 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2150970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2150973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2150977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2150979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2150982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2150986 */   // GIR_Coverage, 56954,
     /* 2150986 */   GIR_EraseRootFromParent_Done,
     /* 2150987 */ // Label 29066: @2150987
     /* 2150987 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2151035), // Rule ID 56955 //
     /* 2150992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151005 */   // MIs[0] Operand 1
     /* 2151005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2151010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151018 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2151018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2151021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151034 */   // GIR_Coverage, 56955,
     /* 2151034 */   GIR_EraseRootFromParent_Done,
     /* 2151035 */ // Label 29067: @2151035
     /* 2151035 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2151083), // Rule ID 57204 //
     /* 2151040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2151049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151053 */   // MIs[0] Operand 1
     /* 2151053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151066 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2151066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2151069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151082 */   // GIR_Coverage, 57204,
     /* 2151082 */   GIR_EraseRootFromParent_Done,
     /* 2151083 */ // Label 29068: @2151083
     /* 2151083 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2151131), // Rule ID 57205 //
     /* 2151088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2151097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151101 */   // MIs[0] Operand 1
     /* 2151101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151114 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2151114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2151117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151119 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151130 */   // GIR_Coverage, 57205,
     /* 2151130 */   GIR_EraseRootFromParent_Done,
     /* 2151131 */ // Label 29069: @2151131
     /* 2151131 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2151179), // Rule ID 57224 //
     /* 2151136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151149 */   // MIs[0] Operand 1
     /* 2151149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151162 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2151162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2151165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151167 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151178 */   // GIR_Coverage, 57224,
     /* 2151178 */   GIR_EraseRootFromParent_Done,
     /* 2151179 */ // Label 29070: @2151179
     /* 2151179 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2151227), // Rule ID 57225 //
     /* 2151184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2151193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151197 */   // MIs[0] Operand 1
     /* 2151197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151210 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2151210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2151213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151215 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151226 */   // GIR_Coverage, 57225,
     /* 2151226 */   GIR_EraseRootFromParent_Done,
     /* 2151227 */ // Label 29071: @2151227
     /* 2151227 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2151275), // Rule ID 57254 //
     /* 2151232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151245 */   // MIs[0] Operand 1
     /* 2151245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151258 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2151258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2151261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151274 */   // GIR_Coverage, 57254,
     /* 2151274 */   GIR_EraseRootFromParent_Done,
     /* 2151275 */ // Label 29072: @2151275
     /* 2151275 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2151323), // Rule ID 57255 //
     /* 2151280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151293 */   // MIs[0] Operand 1
     /* 2151293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2151298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151306 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2151306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2151309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151322 */   // GIR_Coverage, 57255,
     /* 2151322 */   GIR_EraseRootFromParent_Done,
     /* 2151323 */ // Label 29073: @2151323
     /* 2151323 */ GIM_Reject,
     /* 2151324 */ // Label 29005: @2151324
     /* 2151324 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2151372), // Rule ID 56314 //
     /* 2151329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151342 */   // MIs[0] Operand 1
     /* 2151342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151355 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2151355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2151358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151360 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151362 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151371 */   // GIR_Coverage, 56314,
     /* 2151371 */   GIR_EraseRootFromParent_Done,
     /* 2151372 */ // Label 29074: @2151372
     /* 2151372 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2151420), // Rule ID 56315 //
     /* 2151377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151390 */   // MIs[0] Operand 1
     /* 2151390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151403 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2151403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2151406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151410 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151419 */   // GIR_Coverage, 56315,
     /* 2151419 */   GIR_EraseRootFromParent_Done,
     /* 2151420 */ // Label 29075: @2151420
     /* 2151420 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2151468), // Rule ID 56344 //
     /* 2151425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151438 */   // MIs[0] Operand 1
     /* 2151438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151451 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2151451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2151454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151458 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151467 */   // GIR_Coverage, 56344,
     /* 2151467 */   GIR_EraseRootFromParent_Done,
     /* 2151468 */ // Label 29076: @2151468
     /* 2151468 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2151516), // Rule ID 56345 //
     /* 2151473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151486 */   // MIs[0] Operand 1
     /* 2151486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151499 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2151499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2151502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151515 */   // GIR_Coverage, 56345,
     /* 2151515 */   GIR_EraseRootFromParent_Done,
     /* 2151516 */ // Label 29077: @2151516
     /* 2151516 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2151564), // Rule ID 56424 //
     /* 2151521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151534 */   // MIs[0] Operand 1
     /* 2151534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151547 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2151547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2151550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151563 */   // GIR_Coverage, 56424,
     /* 2151563 */   GIR_EraseRootFromParent_Done,
     /* 2151564 */ // Label 29078: @2151564
     /* 2151564 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2151612), // Rule ID 56425 //
     /* 2151569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151582 */   // MIs[0] Operand 1
     /* 2151582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2151587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151595 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2151595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2151598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151611 */   // GIR_Coverage, 56425,
     /* 2151611 */   GIR_EraseRootFromParent_Done,
     /* 2151612 */ // Label 29079: @2151612
     /* 2151612 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2151660), // Rule ID 56614 //
     /* 2151617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151630 */   // MIs[0] Operand 1
     /* 2151630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151643 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2151643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2151646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151659 */   // GIR_Coverage, 56614,
     /* 2151659 */   GIR_EraseRootFromParent_Done,
     /* 2151660 */ // Label 29080: @2151660
     /* 2151660 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2151708), // Rule ID 56615 //
     /* 2151665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151678 */   // MIs[0] Operand 1
     /* 2151678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151691 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2151691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2151694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151707 */   // GIR_Coverage, 56615,
     /* 2151707 */   GIR_EraseRootFromParent_Done,
     /* 2151708 */ // Label 29081: @2151708
     /* 2151708 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2151756), // Rule ID 56644 //
     /* 2151713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151726 */   // MIs[0] Operand 1
     /* 2151726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151735 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151739 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2151739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2151742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151755 */   // GIR_Coverage, 56644,
     /* 2151755 */   GIR_EraseRootFromParent_Done,
     /* 2151756 */ // Label 29082: @2151756
     /* 2151756 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2151804), // Rule ID 56645 //
     /* 2151761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2151767 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2151770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151774 */   // MIs[0] Operand 1
     /* 2151774 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151783 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151787 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2151787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2151790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151802 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151803 */   // GIR_Coverage, 56645,
     /* 2151803 */   GIR_EraseRootFromParent_Done,
     /* 2151804 */ // Label 29083: @2151804
     /* 2151804 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2151852), // Rule ID 56724 //
     /* 2151809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151822 */   // MIs[0] Operand 1
     /* 2151822 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151831 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151835 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2151835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2151838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151851 */   // GIR_Coverage, 56724,
     /* 2151851 */   GIR_EraseRootFromParent_Done,
     /* 2151852 */ // Label 29084: @2151852
     /* 2151852 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2151900), // Rule ID 56725 //
     /* 2151857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151870 */   // MIs[0] Operand 1
     /* 2151870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2151875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151883 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2151883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2151886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151890 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151899 */   // GIR_Coverage, 56725,
     /* 2151899 */   GIR_EraseRootFromParent_Done,
     /* 2151900 */ // Label 29085: @2151900
     /* 2151900 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2151948), // Rule ID 56914 //
     /* 2151905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151911 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151918 */   // MIs[0] Operand 1
     /* 2151918 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2151923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151927 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151931 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2151931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2151934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151938 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151947 */   // GIR_Coverage, 56914,
     /* 2151947 */   GIR_EraseRootFromParent_Done,
     /* 2151948 */ // Label 29086: @2151948
     /* 2151948 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2151996), // Rule ID 56915 //
     /* 2151953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2151962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151966 */   // MIs[0] Operand 1
     /* 2151966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2151971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151979 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2151979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2151982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2151986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2151988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2151991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2151995 */   // GIR_Coverage, 56915,
     /* 2151995 */   GIR_EraseRootFromParent_Done,
     /* 2151996 */ // Label 29087: @2151996
     /* 2151996 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2152044), // Rule ID 56944 //
     /* 2152001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2152010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152014 */   // MIs[0] Operand 1
     /* 2152014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2152019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152027 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2152027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2152030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152043 */   // GIR_Coverage, 56944,
     /* 2152043 */   GIR_EraseRootFromParent_Done,
     /* 2152044 */ // Label 29088: @2152044
     /* 2152044 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2152092), // Rule ID 56945 //
     /* 2152049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2152058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152062 */   // MIs[0] Operand 1
     /* 2152062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2152067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152075 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2152075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2152078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152091 */   // GIR_Coverage, 56945,
     /* 2152091 */   GIR_EraseRootFromParent_Done,
     /* 2152092 */ // Label 29089: @2152092
     /* 2152092 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2152140), // Rule ID 57024 //
     /* 2152097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152110 */   // MIs[0] Operand 1
     /* 2152110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2152115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152123 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2152123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2152126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152139 */   // GIR_Coverage, 57024,
     /* 2152139 */   GIR_EraseRootFromParent_Done,
     /* 2152140 */ // Label 29090: @2152140
     /* 2152140 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2152188), // Rule ID 57025 //
     /* 2152145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152158 */   // MIs[0] Operand 1
     /* 2152158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2152163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152171 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2152171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2152174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152187 */   // GIR_Coverage, 57025,
     /* 2152187 */   GIR_EraseRootFromParent_Done,
     /* 2152188 */ // Label 29091: @2152188
     /* 2152188 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2152236), // Rule ID 57214 //
     /* 2152193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2152202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152206 */   // MIs[0] Operand 1
     /* 2152206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152219 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2152219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2152222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152235 */   // GIR_Coverage, 57214,
     /* 2152235 */   GIR_EraseRootFromParent_Done,
     /* 2152236 */ // Label 29092: @2152236
     /* 2152236 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2152284), // Rule ID 57215 //
     /* 2152241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2152250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152254 */   // MIs[0] Operand 1
     /* 2152254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152267 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2152267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2152270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152283 */   // GIR_Coverage, 57215,
     /* 2152283 */   GIR_EraseRootFromParent_Done,
     /* 2152284 */ // Label 29093: @2152284
     /* 2152284 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2152332), // Rule ID 57244 //
     /* 2152289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2152298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152302 */   // MIs[0] Operand 1
     /* 2152302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152315 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2152315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2152318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152331 */   // GIR_Coverage, 57244,
     /* 2152331 */   GIR_EraseRootFromParent_Done,
     /* 2152332 */ // Label 29094: @2152332
     /* 2152332 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2152380), // Rule ID 57245 //
     /* 2152337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2152346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152350 */   // MIs[0] Operand 1
     /* 2152350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152363 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2152363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2152366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152379 */   // GIR_Coverage, 57245,
     /* 2152379 */   GIR_EraseRootFromParent_Done,
     /* 2152380 */ // Label 29095: @2152380
     /* 2152380 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2152428), // Rule ID 57324 //
     /* 2152385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152398 */   // MIs[0] Operand 1
     /* 2152398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152411 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2152411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2152414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152427 */   // GIR_Coverage, 57324,
     /* 2152427 */   GIR_EraseRootFromParent_Done,
     /* 2152428 */ // Label 29096: @2152428
     /* 2152428 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2152476), // Rule ID 57325 //
     /* 2152433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2152439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2152442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152446 */   // MIs[0] Operand 1
     /* 2152446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2152451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152459 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2152459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2152462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152475 */   // GIR_Coverage, 57325,
     /* 2152475 */   GIR_EraseRootFromParent_Done,
     /* 2152476 */ // Label 29097: @2152476
     /* 2152476 */ GIM_Reject,
     /* 2152477 */ // Label 29006: @2152477
     /* 2152477 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2152525), // Rule ID 56334 //
     /* 2152482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2152491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152495 */   // MIs[0] Operand 1
     /* 2152495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152508 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2152508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2152511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152524 */   // GIR_Coverage, 56334,
     /* 2152524 */   GIR_EraseRootFromParent_Done,
     /* 2152525 */ // Label 29098: @2152525
     /* 2152525 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2152573), // Rule ID 56335 //
     /* 2152530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2152539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152543 */   // MIs[0] Operand 1
     /* 2152543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152556 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2152556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2152559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152572 */   // GIR_Coverage, 56335,
     /* 2152572 */   GIR_EraseRootFromParent_Done,
     /* 2152573 */ // Label 29099: @2152573
     /* 2152573 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2152621), // Rule ID 56394 //
     /* 2152578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152591 */   // MIs[0] Operand 1
     /* 2152591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152604 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2152604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2152607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152620 */   // GIR_Coverage, 56394,
     /* 2152620 */   GIR_EraseRootFromParent_Done,
     /* 2152621 */ // Label 29100: @2152621
     /* 2152621 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2152669), // Rule ID 56395 //
     /* 2152626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152639 */   // MIs[0] Operand 1
     /* 2152639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152652 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2152652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2152655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152668 */   // GIR_Coverage, 56395,
     /* 2152668 */   GIR_EraseRootFromParent_Done,
     /* 2152669 */ // Label 29101: @2152669
     /* 2152669 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2152717), // Rule ID 56434 //
     /* 2152674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152687 */   // MIs[0] Operand 1
     /* 2152687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152700 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2152700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2152703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152716 */   // GIR_Coverage, 56434,
     /* 2152716 */   GIR_EraseRootFromParent_Done,
     /* 2152717 */ // Label 29102: @2152717
     /* 2152717 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2152765), // Rule ID 56435 //
     /* 2152722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152735 */   // MIs[0] Operand 1
     /* 2152735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2152740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152748 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2152748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2152751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152764 */   // GIR_Coverage, 56435,
     /* 2152764 */   GIR_EraseRootFromParent_Done,
     /* 2152765 */ // Label 29103: @2152765
     /* 2152765 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2152813), // Rule ID 56634 //
     /* 2152770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2152779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152783 */   // MIs[0] Operand 1
     /* 2152783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2152788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152796 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2152796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2152799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152812 */   // GIR_Coverage, 56634,
     /* 2152812 */   GIR_EraseRootFromParent_Done,
     /* 2152813 */ // Label 29104: @2152813
     /* 2152813 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2152861), // Rule ID 56635 //
     /* 2152818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2152827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152831 */   // MIs[0] Operand 1
     /* 2152831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2152836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152844 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2152844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2152847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152860 */   // GIR_Coverage, 56635,
     /* 2152860 */   GIR_EraseRootFromParent_Done,
     /* 2152861 */ // Label 29105: @2152861
     /* 2152861 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2152909), // Rule ID 56694 //
     /* 2152866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152879 */   // MIs[0] Operand 1
     /* 2152879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2152884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152892 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2152892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2152895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152897 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152899 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152908 */   // GIR_Coverage, 56694,
     /* 2152908 */   GIR_EraseRootFromParent_Done,
     /* 2152909 */ // Label 29106: @2152909
     /* 2152909 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2152957), // Rule ID 56695 //
     /* 2152914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2152920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2152923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152927 */   // MIs[0] Operand 1
     /* 2152927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2152932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152940 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2152940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2152943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152945 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152947 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2152952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2152956 */   // GIR_Coverage, 56695,
     /* 2152956 */   GIR_EraseRootFromParent_Done,
     /* 2152957 */ // Label 29107: @2152957
     /* 2152957 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2153005), // Rule ID 56734 //
     /* 2152962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2152968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152975 */   // MIs[0] Operand 1
     /* 2152975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2152980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152988 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2152988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2152991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152993 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2152995 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2152997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153004 */   // GIR_Coverage, 56734,
     /* 2153004 */   GIR_EraseRootFromParent_Done,
     /* 2153005 */ // Label 29108: @2153005
     /* 2153005 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2153053), // Rule ID 56735 //
     /* 2153010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153023 */   // MIs[0] Operand 1
     /* 2153023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2153028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153036 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2153036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2153039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153041 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153043 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153052 */   // GIR_Coverage, 56735,
     /* 2153052 */   GIR_EraseRootFromParent_Done,
     /* 2153053 */ // Label 29109: @2153053
     /* 2153053 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2153101), // Rule ID 56934 //
     /* 2153058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153071 */   // MIs[0] Operand 1
     /* 2153071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153084 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2153084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2153087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153089 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153091 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153100 */   // GIR_Coverage, 56934,
     /* 2153100 */   GIR_EraseRootFromParent_Done,
     /* 2153101 */ // Label 29110: @2153101
     /* 2153101 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2153149), // Rule ID 56935 //
     /* 2153106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153119 */   // MIs[0] Operand 1
     /* 2153119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153132 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2153132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2153135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153137 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153139 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153148 */   // GIR_Coverage, 56935,
     /* 2153148 */   GIR_EraseRootFromParent_Done,
     /* 2153149 */ // Label 29111: @2153149
     /* 2153149 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2153197), // Rule ID 56994 //
     /* 2153154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2153163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153167 */   // MIs[0] Operand 1
     /* 2153167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153180 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2153180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2153183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153185 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153187 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153196 */   // GIR_Coverage, 56994,
     /* 2153196 */   GIR_EraseRootFromParent_Done,
     /* 2153197 */ // Label 29112: @2153197
     /* 2153197 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2153245), // Rule ID 56995 //
     /* 2153202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2153211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153215 */   // MIs[0] Operand 1
     /* 2153215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153228 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2153228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2153231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153244 */   // GIR_Coverage, 56995,
     /* 2153244 */   GIR_EraseRootFromParent_Done,
     /* 2153245 */ // Label 29113: @2153245
     /* 2153245 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2153293), // Rule ID 57034 //
     /* 2153250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153263 */   // MIs[0] Operand 1
     /* 2153263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153276 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2153276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2153279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153292 */   // GIR_Coverage, 57034,
     /* 2153292 */   GIR_EraseRootFromParent_Done,
     /* 2153293 */ // Label 29114: @2153293
     /* 2153293 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2153341), // Rule ID 57035 //
     /* 2153298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153311 */   // MIs[0] Operand 1
     /* 2153311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2153316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153324 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2153324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2153327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153340 */   // GIR_Coverage, 57035,
     /* 2153340 */   GIR_EraseRootFromParent_Done,
     /* 2153341 */ // Label 29115: @2153341
     /* 2153341 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2153389), // Rule ID 57234 //
     /* 2153346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153359 */   // MIs[0] Operand 1
     /* 2153359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153372 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2153372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2153375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153388 */   // GIR_Coverage, 57234,
     /* 2153388 */   GIR_EraseRootFromParent_Done,
     /* 2153389 */ // Label 29116: @2153389
     /* 2153389 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2153437), // Rule ID 57235 //
     /* 2153394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153407 */   // MIs[0] Operand 1
     /* 2153407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153420 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2153420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2153423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153436 */   // GIR_Coverage, 57235,
     /* 2153436 */   GIR_EraseRootFromParent_Done,
     /* 2153437 */ // Label 29117: @2153437
     /* 2153437 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2153485), // Rule ID 57294 //
     /* 2153442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2153451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153455 */   // MIs[0] Operand 1
     /* 2153455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153468 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2153468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2153471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153484 */   // GIR_Coverage, 57294,
     /* 2153484 */   GIR_EraseRootFromParent_Done,
     /* 2153485 */ // Label 29118: @2153485
     /* 2153485 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2153533), // Rule ID 57295 //
     /* 2153490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2153499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153503 */   // MIs[0] Operand 1
     /* 2153503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153516 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2153516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2153519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153532 */   // GIR_Coverage, 57295,
     /* 2153532 */   GIR_EraseRootFromParent_Done,
     /* 2153533 */ // Label 29119: @2153533
     /* 2153533 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2153581), // Rule ID 57334 //
     /* 2153538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153551 */   // MIs[0] Operand 1
     /* 2153551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153564 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2153564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2153567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153580 */   // GIR_Coverage, 57334,
     /* 2153580 */   GIR_EraseRootFromParent_Done,
     /* 2153581 */ // Label 29120: @2153581
     /* 2153581 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2153629), // Rule ID 57335 //
     /* 2153586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2153595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153599 */   // MIs[0] Operand 1
     /* 2153599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2153604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153612 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2153612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2153615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153628 */   // GIR_Coverage, 57335,
     /* 2153628 */   GIR_EraseRootFromParent_Done,
     /* 2153629 */ // Label 29121: @2153629
     /* 2153629 */ GIM_Reject,
     /* 2153630 */ // Label 29007: @2153630
     /* 2153630 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2153678), // Rule ID 56364 //
     /* 2153635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2153644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153648 */   // MIs[0] Operand 1
     /* 2153648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153661 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2153661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2153664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153677 */   // GIR_Coverage, 56364,
     /* 2153677 */   GIR_EraseRootFromParent_Done,
     /* 2153678 */ // Label 29122: @2153678
     /* 2153678 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2153726), // Rule ID 56365 //
     /* 2153683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2153692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153696 */   // MIs[0] Operand 1
     /* 2153696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153709 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2153709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2153712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153725 */   // GIR_Coverage, 56365,
     /* 2153725 */   GIR_EraseRootFromParent_Done,
     /* 2153726 */ // Label 29123: @2153726
     /* 2153726 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2153774), // Rule ID 56404 //
     /* 2153731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2153740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153744 */   // MIs[0] Operand 1
     /* 2153744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153757 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2153757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2153760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153773 */   // GIR_Coverage, 56404,
     /* 2153773 */   GIR_EraseRootFromParent_Done,
     /* 2153774 */ // Label 29124: @2153774
     /* 2153774 */ GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2153822), // Rule ID 56405 //
     /* 2153779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2153788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153792 */   // MIs[0] Operand 1
     /* 2153792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153805 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2153805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2153808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153821 */   // GIR_Coverage, 56405,
     /* 2153821 */   GIR_EraseRootFromParent_Done,
     /* 2153822 */ // Label 29125: @2153822
     /* 2153822 */ GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2153870), // Rule ID 56444 //
     /* 2153827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153840 */   // MIs[0] Operand 1
     /* 2153840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153853 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2153853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2153856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153869 */   // GIR_Coverage, 56444,
     /* 2153869 */   GIR_EraseRootFromParent_Done,
     /* 2153870 */ // Label 29126: @2153870
     /* 2153870 */ GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2153918), // Rule ID 56445 //
     /* 2153875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2153881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2153884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153888 */   // MIs[0] Operand 1
     /* 2153888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2153893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153901 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2153901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2153904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153917 */   // GIR_Coverage, 56445,
     /* 2153917 */   GIR_EraseRootFromParent_Done,
     /* 2153918 */ // Label 29127: @2153918
     /* 2153918 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2153966), // Rule ID 56664 //
     /* 2153923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2153932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153936 */   // MIs[0] Operand 1
     /* 2153936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2153941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153949 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2153949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2153952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2153956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2153958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2153961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2153965 */   // GIR_Coverage, 56664,
     /* 2153965 */   GIR_EraseRootFromParent_Done,
     /* 2153966 */ // Label 29128: @2153966
     /* 2153966 */ GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2154014), // Rule ID 56665 //
     /* 2153971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2153980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153984 */   // MIs[0] Operand 1
     /* 2153984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2153989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153997 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2153997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2154000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154013 */   // GIR_Coverage, 56665,
     /* 2154013 */   GIR_EraseRootFromParent_Done,
     /* 2154014 */ // Label 29129: @2154014
     /* 2154014 */ GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2154062), // Rule ID 56704 //
     /* 2154019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154032 */   // MIs[0] Operand 1
     /* 2154032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2154037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154045 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2154045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2154048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154061 */   // GIR_Coverage, 56704,
     /* 2154061 */   GIR_EraseRootFromParent_Done,
     /* 2154062 */ // Label 29130: @2154062
     /* 2154062 */ GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2154110), // Rule ID 56705 //
     /* 2154067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154080 */   // MIs[0] Operand 1
     /* 2154080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2154085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154093 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2154093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2154096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154109 */   // GIR_Coverage, 56705,
     /* 2154109 */   GIR_EraseRootFromParent_Done,
     /* 2154110 */ // Label 29131: @2154110
     /* 2154110 */ GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2154158), // Rule ID 56744 //
     /* 2154115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154128 */   // MIs[0] Operand 1
     /* 2154128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2154133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154141 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2154141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2154144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154157 */   // GIR_Coverage, 56744,
     /* 2154157 */   GIR_EraseRootFromParent_Done,
     /* 2154158 */ // Label 29132: @2154158
     /* 2154158 */ GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2154206), // Rule ID 56745 //
     /* 2154163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154176 */   // MIs[0] Operand 1
     /* 2154176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2154181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154189 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2154189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2154192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154205 */   // GIR_Coverage, 56745,
     /* 2154205 */   GIR_EraseRootFromParent_Done,
     /* 2154206 */ // Label 29133: @2154206
     /* 2154206 */ GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2154254), // Rule ID 56964 //
     /* 2154211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2154220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154224 */   // MIs[0] Operand 1
     /* 2154224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154237 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2154237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2154240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154253 */   // GIR_Coverage, 56964,
     /* 2154253 */   GIR_EraseRootFromParent_Done,
     /* 2154254 */ // Label 29134: @2154254
     /* 2154254 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2154302), // Rule ID 56965 //
     /* 2154259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2154268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154272 */   // MIs[0] Operand 1
     /* 2154272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154285 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2154285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2154288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154301 */   // GIR_Coverage, 56965,
     /* 2154301 */   GIR_EraseRootFromParent_Done,
     /* 2154302 */ // Label 29135: @2154302
     /* 2154302 */ GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2154350), // Rule ID 57004 //
     /* 2154307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154320 */   // MIs[0] Operand 1
     /* 2154320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154333 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2154333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2154336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154349 */   // GIR_Coverage, 57004,
     /* 2154349 */   GIR_EraseRootFromParent_Done,
     /* 2154350 */ // Label 29136: @2154350
     /* 2154350 */ GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2154398), // Rule ID 57005 //
     /* 2154355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154368 */   // MIs[0] Operand 1
     /* 2154368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154381 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2154381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2154384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154397 */   // GIR_Coverage, 57005,
     /* 2154397 */   GIR_EraseRootFromParent_Done,
     /* 2154398 */ // Label 29137: @2154398
     /* 2154398 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2154446), // Rule ID 57044 //
     /* 2154403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154416 */   // MIs[0] Operand 1
     /* 2154416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154429 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2154429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2154432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154436 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154445 */   // GIR_Coverage, 57044,
     /* 2154445 */   GIR_EraseRootFromParent_Done,
     /* 2154446 */ // Label 29138: @2154446
     /* 2154446 */ GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2154494), // Rule ID 57045 //
     /* 2154451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154464 */   // MIs[0] Operand 1
     /* 2154464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2154469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154477 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2154477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2154480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154493 */   // GIR_Coverage, 57045,
     /* 2154493 */   GIR_EraseRootFromParent_Done,
     /* 2154494 */ // Label 29139: @2154494
     /* 2154494 */ GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2154542), // Rule ID 57264 //
     /* 2154499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2154508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154512 */   // MIs[0] Operand 1
     /* 2154512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154525 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2154525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2154528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154541 */   // GIR_Coverage, 57264,
     /* 2154541 */   GIR_EraseRootFromParent_Done,
     /* 2154542 */ // Label 29140: @2154542
     /* 2154542 */ GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2154590), // Rule ID 57265 //
     /* 2154547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2154556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154560 */   // MIs[0] Operand 1
     /* 2154560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154573 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2154573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2154576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154578 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154589 */   // GIR_Coverage, 57265,
     /* 2154589 */   GIR_EraseRootFromParent_Done,
     /* 2154590 */ // Label 29141: @2154590
     /* 2154590 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2154638), // Rule ID 57304 //
     /* 2154595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154608 */   // MIs[0] Operand 1
     /* 2154608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154621 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2154621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2154624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154637 */   // GIR_Coverage, 57304,
     /* 2154637 */   GIR_EraseRootFromParent_Done,
     /* 2154638 */ // Label 29142: @2154638
     /* 2154638 */ GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2154686), // Rule ID 57305 //
     /* 2154643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2154652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154656 */   // MIs[0] Operand 1
     /* 2154656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154669 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2154669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2154672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154685 */   // GIR_Coverage, 57305,
     /* 2154685 */   GIR_EraseRootFromParent_Done,
     /* 2154686 */ // Label 29143: @2154686
     /* 2154686 */ GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2154734), // Rule ID 57344 //
     /* 2154691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154704 */   // MIs[0] Operand 1
     /* 2154704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154717 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2154717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2154720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154733 */   // GIR_Coverage, 57344,
     /* 2154733 */   GIR_EraseRootFromParent_Done,
     /* 2154734 */ // Label 29144: @2154734
     /* 2154734 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2154782), // Rule ID 57345 //
     /* 2154739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2154748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154752 */   // MIs[0] Operand 1
     /* 2154752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2154757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154765 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2154765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2154768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154781 */   // GIR_Coverage, 57345,
     /* 2154781 */   GIR_EraseRootFromParent_Done,
     /* 2154782 */ // Label 29145: @2154782
     /* 2154782 */ GIM_Reject,
     /* 2154783 */ // Label 29008: @2154783
     /* 2154783 */ GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2154831), // Rule ID 56374 //
     /* 2154788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2154797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154801 */   // MIs[0] Operand 1
     /* 2154801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2154806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154814 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2154814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2154817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154830 */   // GIR_Coverage, 56374,
     /* 2154830 */   GIR_EraseRootFromParent_Done,
     /* 2154831 */ // Label 29146: @2154831
     /* 2154831 */ GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2154879), // Rule ID 56375 //
     /* 2154836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2154845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154849 */   // MIs[0] Operand 1
     /* 2154849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2154854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154862 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2154862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2154865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154878 */   // GIR_Coverage, 56375,
     /* 2154878 */   GIR_EraseRootFromParent_Done,
     /* 2154879 */ // Label 29147: @2154879
     /* 2154879 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2154927), // Rule ID 56414 //
     /* 2154884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2154893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154897 */   // MIs[0] Operand 1
     /* 2154897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2154902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154910 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2154910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2154913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154915 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154926 */   // GIR_Coverage, 56414,
     /* 2154926 */   GIR_EraseRootFromParent_Done,
     /* 2154927 */ // Label 29148: @2154927
     /* 2154927 */ GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2154975), // Rule ID 56415 //
     /* 2154932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2154941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154945 */   // MIs[0] Operand 1
     /* 2154945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2154950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154958 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2154958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2154961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2154965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2154967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2154970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2154974 */   // GIR_Coverage, 56415,
     /* 2154974 */   GIR_EraseRootFromParent_Done,
     /* 2154975 */ // Label 29149: @2154975
     /* 2154975 */ GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2155023), // Rule ID 56674 //
     /* 2154980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2154986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2154989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154993 */   // MIs[0] Operand 1
     /* 2154993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2154998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155006 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2155009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155022 */   // GIR_Coverage, 56674,
     /* 2155022 */   GIR_EraseRootFromParent_Done,
     /* 2155023 */ // Label 29150: @2155023
     /* 2155023 */ GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2155071), // Rule ID 56675 //
     /* 2155028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155041 */   // MIs[0] Operand 1
     /* 2155041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2155046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155054 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2155057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155070 */   // GIR_Coverage, 56675,
     /* 2155070 */   GIR_EraseRootFromParent_Done,
     /* 2155071 */ // Label 29151: @2155071
     /* 2155071 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2155119), // Rule ID 56714 //
     /* 2155076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155089 */   // MIs[0] Operand 1
     /* 2155089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2155094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155102 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2155102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2155105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155118 */   // GIR_Coverage, 56714,
     /* 2155118 */   GIR_EraseRootFromParent_Done,
     /* 2155119 */ // Label 29152: @2155119
     /* 2155119 */ GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2155167), // Rule ID 56715 //
     /* 2155124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155137 */   // MIs[0] Operand 1
     /* 2155137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2155142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155150 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2155150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2155153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155166 */   // GIR_Coverage, 56715,
     /* 2155166 */   GIR_EraseRootFromParent_Done,
     /* 2155167 */ // Label 29153: @2155167
     /* 2155167 */ GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2155215), // Rule ID 56974 //
     /* 2155172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155185 */   // MIs[0] Operand 1
     /* 2155185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155198 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2155201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155214 */   // GIR_Coverage, 56974,
     /* 2155214 */   GIR_EraseRootFromParent_Done,
     /* 2155215 */ // Label 29154: @2155215
     /* 2155215 */ GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2155263), // Rule ID 56975 //
     /* 2155220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155233 */   // MIs[0] Operand 1
     /* 2155233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155246 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2155249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155262 */   // GIR_Coverage, 56975,
     /* 2155262 */   GIR_EraseRootFromParent_Done,
     /* 2155263 */ // Label 29155: @2155263
     /* 2155263 */ GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2155311), // Rule ID 57014 //
     /* 2155268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155281 */   // MIs[0] Operand 1
     /* 2155281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155294 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2155294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2155297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155310 */   // GIR_Coverage, 57014,
     /* 2155310 */   GIR_EraseRootFromParent_Done,
     /* 2155311 */ // Label 29156: @2155311
     /* 2155311 */ GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2155359), // Rule ID 57015 //
     /* 2155316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155329 */   // MIs[0] Operand 1
     /* 2155329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155342 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2155342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2155345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155358 */   // GIR_Coverage, 57015,
     /* 2155358 */   GIR_EraseRootFromParent_Done,
     /* 2155359 */ // Label 29157: @2155359
     /* 2155359 */ GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2155407), // Rule ID 57274 //
     /* 2155364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155377 */   // MIs[0] Operand 1
     /* 2155377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155390 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2155393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155406 */   // GIR_Coverage, 57274,
     /* 2155406 */   GIR_EraseRootFromParent_Done,
     /* 2155407 */ // Label 29158: @2155407
     /* 2155407 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2155455), // Rule ID 57275 //
     /* 2155412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155425 */   // MIs[0] Operand 1
     /* 2155425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155438 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2155441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155454 */   // GIR_Coverage, 57275,
     /* 2155454 */   GIR_EraseRootFromParent_Done,
     /* 2155455 */ // Label 29159: @2155455
     /* 2155455 */ GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2155503), // Rule ID 57314 //
     /* 2155460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155473 */   // MIs[0] Operand 1
     /* 2155473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155486 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2155486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2155489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155502 */   // GIR_Coverage, 57314,
     /* 2155502 */   GIR_EraseRootFromParent_Done,
     /* 2155503 */ // Label 29160: @2155503
     /* 2155503 */ GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2155551), // Rule ID 57315 //
     /* 2155508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2155514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2155517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155521 */   // MIs[0] Operand 1
     /* 2155521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155534 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2155534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2155537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2155550 */   // GIR_Coverage, 57315,
     /* 2155550 */   GIR_EraseRootFromParent_Done,
     /* 2155551 */ // Label 29161: @2155551
     /* 2155551 */ GIM_Reject,
     /* 2155552 */ // Label 29009: @2155552
     /* 2155552 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2155872),
     /* 2155557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155567 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2155605), // Rule ID 56384 //
     /* 2155572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155575 */     // MIs[0] Operand 1
     /* 2155575 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2155580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155588 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2155591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155604 */     // GIR_Coverage, 56384,
     /* 2155604 */     GIR_EraseRootFromParent_Done,
     /* 2155605 */   // Label 29163: @2155605
     /* 2155605 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2155643), // Rule ID 56385 //
     /* 2155610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155613 */     // MIs[0] Operand 1
     /* 2155613 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2155618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155626 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2155629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155642 */     // GIR_Coverage, 56385,
     /* 2155642 */     GIR_EraseRootFromParent_Done,
     /* 2155643 */   // Label 29164: @2155643
     /* 2155643 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2155681), // Rule ID 56684 //
     /* 2155648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155651 */     // MIs[0] Operand 1
     /* 2155651 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2155656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155664 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2155667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155680 */     // GIR_Coverage, 56684,
     /* 2155680 */     GIR_EraseRootFromParent_Done,
     /* 2155681 */   // Label 29165: @2155681
     /* 2155681 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2155719), // Rule ID 56685 //
     /* 2155686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155689 */     // MIs[0] Operand 1
     /* 2155689 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2155694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155702 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2155705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155718 */     // GIR_Coverage, 56685,
     /* 2155718 */     GIR_EraseRootFromParent_Done,
     /* 2155719 */   // Label 29166: @2155719
     /* 2155719 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2155757), // Rule ID 56984 //
     /* 2155724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155727 */     // MIs[0] Operand 1
     /* 2155727 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155740 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2155743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155756 */     // GIR_Coverage, 56984,
     /* 2155756 */     GIR_EraseRootFromParent_Done,
     /* 2155757 */   // Label 29167: @2155757
     /* 2155757 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2155795), // Rule ID 56985 //
     /* 2155762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155765 */     // MIs[0] Operand 1
     /* 2155765 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2155770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155778 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2155781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155794 */     // GIR_Coverage, 56985,
     /* 2155794 */     GIR_EraseRootFromParent_Done,
     /* 2155795 */   // Label 29168: @2155795
     /* 2155795 */   GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2155833), // Rule ID 57284 //
     /* 2155800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155803 */     // MIs[0] Operand 1
     /* 2155803 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155816 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2155816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2155819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155832 */     // GIR_Coverage, 57284,
     /* 2155832 */     GIR_EraseRootFromParent_Done,
     /* 2155833 */   // Label 29169: @2155833
     /* 2155833 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2155871), // Rule ID 57285 //
     /* 2155838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155841 */     // MIs[0] Operand 1
     /* 2155841 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2155846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155854 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2155854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2155857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2155861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2155863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2155866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155870 */     // GIR_Coverage, 57285,
     /* 2155870 */     GIR_EraseRootFromParent_Done,
     /* 2155871 */   // Label 29170: @2155871
     /* 2155871 */   GIM_Reject,
     /* 2155872 */ // Label 29162: @2155872
     /* 2155872 */ GIM_Reject,
     /* 2155873 */ // Label 29010: @2155873
     /* 2155873 */ GIM_Reject,
     /* 2155874 */ // Label 50: @2155874
     /* 2155874 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29195*/ GIMT_Encode4(2160265),
     /* 2155885 */ /*GILLT_s32*//*Label 29171*/ GIMT_Encode4(2156009),
     /* 2155889 */ /*GILLT_s64*//*Label 29172*/ GIMT_Encode4(2156157), GIMT_Encode4(0),
     /* 2155897 */ /*GILLT_nxv1s8*//*Label 29173*/ GIMT_Encode4(2156305),
     /* 2155901 */ /*GILLT_nxv1s16*//*Label 29174*/ GIMT_Encode4(2156425),
     /* 2155905 */ /*GILLT_nxv1s32*//*Label 29175*/ GIMT_Encode4(2156633),
     /* 2155909 */ /*GILLT_nxv1s64*//*Label 29176*/ GIMT_Encode4(2156841), GIMT_Encode4(0),
     /* 2155917 */ /*GILLT_nxv2s8*//*Label 29177*/ GIMT_Encode4(2157049),
     /* 2155921 */ /*GILLT_nxv2s16*//*Label 29178*/ GIMT_Encode4(2157169),
     /* 2155925 */ /*GILLT_nxv2s32*//*Label 29179*/ GIMT_Encode4(2157377),
     /* 2155929 */ /*GILLT_nxv2s64*//*Label 29180*/ GIMT_Encode4(2157585), GIMT_Encode4(0),
     /* 2155937 */ /*GILLT_nxv4s8*//*Label 29181*/ GIMT_Encode4(2157793),
     /* 2155941 */ /*GILLT_nxv4s16*//*Label 29182*/ GIMT_Encode4(2157913),
     /* 2155945 */ /*GILLT_nxv4s32*//*Label 29183*/ GIMT_Encode4(2158121),
     /* 2155949 */ /*GILLT_nxv4s64*//*Label 29184*/ GIMT_Encode4(2158329), GIMT_Encode4(0),
     /* 2155957 */ /*GILLT_nxv8s8*//*Label 29185*/ GIMT_Encode4(2158537),
     /* 2155961 */ /*GILLT_nxv8s16*//*Label 29186*/ GIMT_Encode4(2158657),
     /* 2155965 */ /*GILLT_nxv8s32*//*Label 29187*/ GIMT_Encode4(2158865),
     /* 2155969 */ /*GILLT_nxv8s64*//*Label 29188*/ GIMT_Encode4(2159073), GIMT_Encode4(0),
     /* 2155977 */ /*GILLT_nxv16s8*//*Label 29189*/ GIMT_Encode4(2159281),
     /* 2155981 */ /*GILLT_nxv16s16*//*Label 29190*/ GIMT_Encode4(2159401),
     /* 2155985 */ /*GILLT_nxv16s32*//*Label 29191*/ GIMT_Encode4(2159609), GIMT_Encode4(0),
     /* 2155993 */ /*GILLT_nxv32s8*//*Label 29192*/ GIMT_Encode4(2159817),
     /* 2155997 */ /*GILLT_nxv32s16*//*Label 29193*/ GIMT_Encode4(2159937), GIMT_Encode4(0),
     /* 2156005 */ /*GILLT_nxv64s8*//*Label 29194*/ GIMT_Encode4(2160145),
     /* 2156009 */ // Label 29171: @2156009
     /* 2156009 */ GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2156156),
     /* 2156014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2156017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2156020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2156023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156031 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2156064), // Rule ID 61891 //
     /* 2156036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2156039 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2156043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156047 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2156047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2156050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156052 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2156054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156060 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156063 */     // GIR_Coverage, 61891,
     /* 2156063 */     GIR_EraseRootFromParent_Done,
     /* 2156064 */   // Label 29197: @2156064
     /* 2156064 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2156097), // Rule ID 61889 //
     /* 2156069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2156072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2156080 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2156080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2156083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156085 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2156087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156093 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156096 */     // GIR_Coverage, 61889,
     /* 2156096 */     GIR_EraseRootFromParent_Done,
     /* 2156097 */   // Label 29198: @2156097
     /* 2156097 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2156126), // Rule ID 61887 //
     /* 2156102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2156105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156113 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2156113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2156116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156118 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2156120 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2156122 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156125 */     // GIR_Coverage, 61887,
     /* 2156125 */     GIR_EraseRootFromParent_Done,
     /* 2156126 */   // Label 29199: @2156126
     /* 2156126 */   GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2156155), // Rule ID 63844 //
     /* 2156131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2156134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156142 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2156142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2156145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2156151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2156153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156154 */     // GIR_Coverage, 63844,
     /* 2156154 */     GIR_EraseRootFromParent_Done,
     /* 2156155 */   // Label 29200: @2156155
     /* 2156155 */   GIM_Reject,
     /* 2156156 */ // Label 29196: @2156156
     /* 2156156 */ GIM_Reject,
     /* 2156157 */ // Label 29172: @2156157
     /* 2156157 */ GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2156304),
     /* 2156162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2156165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2156168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2156171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156179 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2156212), // Rule ID 61890 //
     /* 2156184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2156187 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2156191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156195 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2156195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2156198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156200 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2156202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156208 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156211 */     // GIR_Coverage, 61890,
     /* 2156211 */     GIR_EraseRootFromParent_Done,
     /* 2156212 */   // Label 29202: @2156212
     /* 2156212 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2156245), // Rule ID 61888 //
     /* 2156217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2156220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156224 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2156228 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2156228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2156231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156233 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2156235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156241 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156244 */     // GIR_Coverage, 61888,
     /* 2156244 */     GIR_EraseRootFromParent_Done,
     /* 2156245 */   // Label 29203: @2156245
     /* 2156245 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2156274), // Rule ID 61886 //
     /* 2156250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2156253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156261 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2156261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2156264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2156266 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2156268 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2156270 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2156272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156273 */     // GIR_Coverage, 61886,
     /* 2156273 */     GIR_EraseRootFromParent_Done,
     /* 2156274 */   // Label 29204: @2156274
     /* 2156274 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2156303), // Rule ID 63843 //
     /* 2156279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2156282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156290 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2156290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2156293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2156299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2156301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156302 */     // GIR_Coverage, 63843,
     /* 2156302 */     GIR_EraseRootFromParent_Done,
     /* 2156303 */   // Label 29205: @2156303
     /* 2156303 */   GIM_Reject,
     /* 2156304 */ // Label 29201: @2156304
     /* 2156304 */ GIM_Reject,
     /* 2156305 */ // Label 29173: @2156305
     /* 2156305 */ GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2156424),
     /* 2156310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2156313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2156316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2156319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156335 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2156379), // Rule ID 51694 //
     /* 2156340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156343 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2156343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2156346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2156360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156369 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2156377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156378 */     // GIR_Coverage, 51694,
     /* 2156378 */     GIR_EraseRootFromParent_Done,
     /* 2156379 */   // Label 29207: @2156379
     /* 2156379 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2156423), // Rule ID 51695 //
     /* 2156384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156387 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2156387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2156390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2156404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156413 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2156421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156422 */     // GIR_Coverage, 51695,
     /* 2156422 */     GIR_EraseRootFromParent_Done,
     /* 2156423 */   // Label 29208: @2156423
     /* 2156423 */   GIM_Reject,
     /* 2156424 */ // Label 29206: @2156424
     /* 2156424 */ GIM_Reject,
     /* 2156425 */ // Label 29174: @2156425
     /* 2156425 */ GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2156632),
     /* 2156430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2156433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2156439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156455 */   GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2156499), // Rule ID 51712 //
     /* 2156460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156463 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2156463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2156466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2156480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156489 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156498 */     // GIR_Coverage, 51712,
     /* 2156498 */     GIR_EraseRootFromParent_Done,
     /* 2156499 */   // Label 29210: @2156499
     /* 2156499 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2156543), // Rule ID 51713 //
     /* 2156504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156507 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2156507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2156510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2156524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156533 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156542 */     // GIR_Coverage, 51713,
     /* 2156542 */     GIR_EraseRootFromParent_Done,
     /* 2156543 */   // Label 29211: @2156543
     /* 2156543 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2156587), // Rule ID 57354 //
     /* 2156548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156551 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2156551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2156554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2156568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156577 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156586 */     // GIR_Coverage, 57354,
     /* 2156586 */     GIR_EraseRootFromParent_Done,
     /* 2156587 */   // Label 29212: @2156587
     /* 2156587 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2156631), // Rule ID 57355 //
     /* 2156592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156595 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2156595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2156598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2156612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156621 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156630 */     // GIR_Coverage, 57355,
     /* 2156630 */     GIR_EraseRootFromParent_Done,
     /* 2156631 */   // Label 29213: @2156631
     /* 2156631 */   GIM_Reject,
     /* 2156632 */ // Label 29209: @2156632
     /* 2156632 */ GIM_Reject,
     /* 2156633 */ // Label 29175: @2156633
     /* 2156633 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2156840),
     /* 2156638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2156641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2156644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2156647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156663 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2156707), // Rule ID 51724 //
     /* 2156668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156671 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2156671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2156674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2156688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156697 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156706 */     // GIR_Coverage, 51724,
     /* 2156706 */     GIR_EraseRootFromParent_Done,
     /* 2156707 */   // Label 29215: @2156707
     /* 2156707 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2156751), // Rule ID 51725 //
     /* 2156712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156715 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2156715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2156718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2156732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156741 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156750 */     // GIR_Coverage, 51725,
     /* 2156750 */     GIR_EraseRootFromParent_Done,
     /* 2156751 */   // Label 29216: @2156751
     /* 2156751 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2156795), // Rule ID 57374 //
     /* 2156756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156759 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2156759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2156762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2156776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156785 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156794 */     // GIR_Coverage, 57374,
     /* 2156794 */     GIR_EraseRootFromParent_Done,
     /* 2156795 */   // Label 29217: @2156795
     /* 2156795 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2156839), // Rule ID 57375 //
     /* 2156800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156803 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2156803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2156806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2156820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156829 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156838 */     // GIR_Coverage, 57375,
     /* 2156838 */     GIR_EraseRootFromParent_Done,
     /* 2156839 */   // Label 29218: @2156839
     /* 2156839 */   GIM_Reject,
     /* 2156840 */ // Label 29214: @2156840
     /* 2156840 */ GIM_Reject,
     /* 2156841 */ // Label 29176: @2156841
     /* 2156841 */ GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2157048),
     /* 2156846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2156849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156871 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2156915), // Rule ID 51748 //
     /* 2156876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2156879 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2156879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2156882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2156896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156905 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156914 */     // GIR_Coverage, 51748,
     /* 2156914 */     GIR_EraseRootFromParent_Done,
     /* 2156915 */   // Label 29220: @2156915
     /* 2156915 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2156959), // Rule ID 51749 //
     /* 2156920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2156923 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2156923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2156926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2156940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156949 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156958 */     // GIR_Coverage, 51749,
     /* 2156958 */     GIR_EraseRootFromParent_Done,
     /* 2156959 */   // Label 29221: @2156959
     /* 2156959 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2157003), // Rule ID 57404 //
     /* 2156964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2156967 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2156967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2156970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2156974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2156981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2156984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2156989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2156991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2156993 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2156995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2156998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157002 */     // GIR_Coverage, 57404,
     /* 2157002 */     GIR_EraseRootFromParent_Done,
     /* 2157003 */   // Label 29222: @2157003
     /* 2157003 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2157047), // Rule ID 57405 //
     /* 2157008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2157011 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2157011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2157014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157037 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157046 */     // GIR_Coverage, 57405,
     /* 2157046 */     GIR_EraseRootFromParent_Done,
     /* 2157047 */   // Label 29223: @2157047
     /* 2157047 */   GIM_Reject,
     /* 2157048 */ // Label 29219: @2157048
     /* 2157048 */ GIM_Reject,
     /* 2157049 */ // Label 29177: @2157049
     /* 2157049 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2157168),
     /* 2157054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2157057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2157060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2157063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157075 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157079 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2157123), // Rule ID 51700 //
     /* 2157084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157087 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2157087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2157090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2157104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157113 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157122 */     // GIR_Coverage, 51700,
     /* 2157122 */     GIR_EraseRootFromParent_Done,
     /* 2157123 */   // Label 29225: @2157123
     /* 2157123 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2157167), // Rule ID 51701 //
     /* 2157128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157131 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2157131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2157134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2157148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157157 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157166 */     // GIR_Coverage, 51701,
     /* 2157166 */     GIR_EraseRootFromParent_Done,
     /* 2157167 */   // Label 29226: @2157167
     /* 2157167 */   GIM_Reject,
     /* 2157168 */ // Label 29224: @2157168
     /* 2157168 */ GIM_Reject,
     /* 2157169 */ // Label 29178: @2157169
     /* 2157169 */ GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2157376),
     /* 2157174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2157177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2157183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157199 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2157243), // Rule ID 51718 //
     /* 2157204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157207 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2157207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2157210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157233 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157242 */     // GIR_Coverage, 51718,
     /* 2157242 */     GIR_EraseRootFromParent_Done,
     /* 2157243 */   // Label 29228: @2157243
     /* 2157243 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2157287), // Rule ID 51719 //
     /* 2157248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157251 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2157251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2157254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157277 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157286 */     // GIR_Coverage, 51719,
     /* 2157286 */     GIR_EraseRootFromParent_Done,
     /* 2157287 */   // Label 29229: @2157287
     /* 2157287 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2157331), // Rule ID 57364 //
     /* 2157292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157295 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2157295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2157298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157321 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157330 */     // GIR_Coverage, 57364,
     /* 2157330 */     GIR_EraseRootFromParent_Done,
     /* 2157331 */   // Label 29230: @2157331
     /* 2157331 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2157375), // Rule ID 57365 //
     /* 2157336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157339 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2157339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2157342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157365 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157374 */     // GIR_Coverage, 57365,
     /* 2157374 */     GIR_EraseRootFromParent_Done,
     /* 2157375 */   // Label 29231: @2157375
     /* 2157375 */   GIM_Reject,
     /* 2157376 */ // Label 29227: @2157376
     /* 2157376 */ GIM_Reject,
     /* 2157377 */ // Label 29179: @2157377
     /* 2157377 */ GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2157584),
     /* 2157382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2157385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2157391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157407 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2157451), // Rule ID 51742 //
     /* 2157412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157415 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2157415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2157418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157441 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157450 */     // GIR_Coverage, 51742,
     /* 2157450 */     GIR_EraseRootFromParent_Done,
     /* 2157451 */   // Label 29233: @2157451
     /* 2157451 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2157495), // Rule ID 51743 //
     /* 2157456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157459 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2157459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2157462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157485 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157494 */     // GIR_Coverage, 51743,
     /* 2157494 */     GIR_EraseRootFromParent_Done,
     /* 2157495 */   // Label 29234: @2157495
     /* 2157495 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2157539), // Rule ID 57394 //
     /* 2157500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157503 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2157503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2157506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157529 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157538 */     // GIR_Coverage, 57394,
     /* 2157538 */     GIR_EraseRootFromParent_Done,
     /* 2157539 */   // Label 29235: @2157539
     /* 2157539 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2157583), // Rule ID 57395 //
     /* 2157544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157547 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2157547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2157550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157573 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157582 */     // GIR_Coverage, 57395,
     /* 2157582 */     GIR_EraseRootFromParent_Done,
     /* 2157583 */   // Label 29236: @2157583
     /* 2157583 */   GIM_Reject,
     /* 2157584 */ // Label 29232: @2157584
     /* 2157584 */ GIM_Reject,
     /* 2157585 */ // Label 29180: @2157585
     /* 2157585 */ GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2157792),
     /* 2157590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2157593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157615 */   GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2157659), // Rule ID 51808 //
     /* 2157620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2157623 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2157623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2157626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2157640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157649 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157658 */     // GIR_Coverage, 51808,
     /* 2157658 */     GIR_EraseRootFromParent_Done,
     /* 2157659 */   // Label 29238: @2157659
     /* 2157659 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2157703), // Rule ID 51809 //
     /* 2157664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2157667 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2157667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2157670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2157684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157693 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157702 */     // GIR_Coverage, 51809,
     /* 2157702 */     GIR_EraseRootFromParent_Done,
     /* 2157703 */   // Label 29239: @2157703
     /* 2157703 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2157747), // Rule ID 57474 //
     /* 2157708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2157711 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2157711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2157714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2157728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157737 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157746 */     // GIR_Coverage, 57474,
     /* 2157746 */     GIR_EraseRootFromParent_Done,
     /* 2157747 */   // Label 29240: @2157747
     /* 2157747 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2157791), // Rule ID 57475 //
     /* 2157752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2157755 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2157755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2157758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2157772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157781 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157790 */     // GIR_Coverage, 57475,
     /* 2157790 */     GIR_EraseRootFromParent_Done,
     /* 2157791 */   // Label 29241: @2157791
     /* 2157791 */   GIM_Reject,
     /* 2157792 */ // Label 29237: @2157792
     /* 2157792 */ GIM_Reject,
     /* 2157793 */ // Label 29181: @2157793
     /* 2157793 */ GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2157912),
     /* 2157798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2157801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2157804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2157807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157823 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2157867), // Rule ID 51706 //
     /* 2157828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157831 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2157831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2157834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157857 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157866 */     // GIR_Coverage, 51706,
     /* 2157866 */     GIR_EraseRootFromParent_Done,
     /* 2157867 */   // Label 29243: @2157867
     /* 2157867 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2157911), // Rule ID 51707 //
     /* 2157872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157875 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2157875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2157878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2157892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157901 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157910 */     // GIR_Coverage, 51707,
     /* 2157910 */     GIR_EraseRootFromParent_Done,
     /* 2157911 */   // Label 29244: @2157911
     /* 2157911 */   GIM_Reject,
     /* 2157912 */ // Label 29242: @2157912
     /* 2157912 */ GIM_Reject,
     /* 2157913 */ // Label 29182: @2157913
     /* 2157913 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2158120),
     /* 2157918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2157921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2157927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157943 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2157987), // Rule ID 51736 //
     /* 2157948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157951 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2157951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2157954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2157958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2157965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2157968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2157973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2157975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2157977 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2157979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2157982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157986 */     // GIR_Coverage, 51736,
     /* 2157986 */     GIR_EraseRootFromParent_Done,
     /* 2157987 */   // Label 29246: @2157987
     /* 2157987 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2158031), // Rule ID 51737 //
     /* 2157992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157995 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2157995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2157998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2158012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158021 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158030 */     // GIR_Coverage, 51737,
     /* 2158030 */     GIR_EraseRootFromParent_Done,
     /* 2158031 */   // Label 29247: @2158031
     /* 2158031 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2158075), // Rule ID 57384 //
     /* 2158036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158039 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2158039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2158042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2158056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158065 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158074 */     // GIR_Coverage, 57384,
     /* 2158074 */     GIR_EraseRootFromParent_Done,
     /* 2158075 */   // Label 29248: @2158075
     /* 2158075 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2158119), // Rule ID 57385 //
     /* 2158080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158083 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2158083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2158086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2158100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158109 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158118 */     // GIR_Coverage, 57385,
     /* 2158118 */     GIR_EraseRootFromParent_Done,
     /* 2158119 */   // Label 29249: @2158119
     /* 2158119 */   GIM_Reject,
     /* 2158120 */ // Label 29245: @2158120
     /* 2158120 */ GIM_Reject,
     /* 2158121 */ // Label 29183: @2158121
     /* 2158121 */ GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2158328),
     /* 2158126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2158129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2158135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158151 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2158195), // Rule ID 51790 //
     /* 2158156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158159 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2158159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2158162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158185 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158194 */     // GIR_Coverage, 51790,
     /* 2158194 */     GIR_EraseRootFromParent_Done,
     /* 2158195 */   // Label 29251: @2158195
     /* 2158195 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2158239), // Rule ID 51791 //
     /* 2158200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158203 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2158203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2158206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158229 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158238 */     // GIR_Coverage, 51791,
     /* 2158238 */     GIR_EraseRootFromParent_Done,
     /* 2158239 */   // Label 29252: @2158239
     /* 2158239 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2158283), // Rule ID 57444 //
     /* 2158244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158247 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2158247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2158250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158273 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158282 */     // GIR_Coverage, 57444,
     /* 2158282 */     GIR_EraseRootFromParent_Done,
     /* 2158283 */   // Label 29253: @2158283
     /* 2158283 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2158327), // Rule ID 57445 //
     /* 2158288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158291 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2158291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2158294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158317 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158326 */     // GIR_Coverage, 57445,
     /* 2158326 */     GIR_EraseRootFromParent_Done,
     /* 2158327 */   // Label 29254: @2158327
     /* 2158327 */   GIM_Reject,
     /* 2158328 */ // Label 29250: @2158328
     /* 2158328 */ GIM_Reject,
     /* 2158329 */ // Label 29184: @2158329
     /* 2158329 */ GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2158536),
     /* 2158334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2158337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2158340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2158343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158359 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2158403), // Rule ID 51814 //
     /* 2158364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2158367 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2158367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2158370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158393 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158402 */     // GIR_Coverage, 51814,
     /* 2158402 */     GIR_EraseRootFromParent_Done,
     /* 2158403 */   // Label 29256: @2158403
     /* 2158403 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2158447), // Rule ID 51815 //
     /* 2158408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2158411 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2158411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2158414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158437 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158446 */     // GIR_Coverage, 51815,
     /* 2158446 */     GIR_EraseRootFromParent_Done,
     /* 2158447 */   // Label 29257: @2158447
     /* 2158447 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2158491), // Rule ID 57484 //
     /* 2158452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2158455 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2158455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2158458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158481 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158490 */     // GIR_Coverage, 57484,
     /* 2158490 */     GIR_EraseRootFromParent_Done,
     /* 2158491 */   // Label 29258: @2158491
     /* 2158491 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2158535), // Rule ID 57485 //
     /* 2158496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2158499 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2158499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2158502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158525 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158534 */     // GIR_Coverage, 57485,
     /* 2158534 */     GIR_EraseRootFromParent_Done,
     /* 2158535 */   // Label 29259: @2158535
     /* 2158535 */   GIM_Reject,
     /* 2158536 */ // Label 29255: @2158536
     /* 2158536 */ GIM_Reject,
     /* 2158537 */ // Label 29185: @2158537
     /* 2158537 */ GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2158656),
     /* 2158542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2158545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2158548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2158551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158567 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2158611), // Rule ID 51730 //
     /* 2158572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158575 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2158575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2158578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2158592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158601 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2158609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158610 */     // GIR_Coverage, 51730,
     /* 2158610 */     GIR_EraseRootFromParent_Done,
     /* 2158611 */   // Label 29261: @2158611
     /* 2158611 */   GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2158655), // Rule ID 51731 //
     /* 2158616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158619 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2158619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2158622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2158636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158645 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2158653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158654 */     // GIR_Coverage, 51731,
     /* 2158654 */     GIR_EraseRootFromParent_Done,
     /* 2158655 */   // Label 29262: @2158655
     /* 2158655 */   GIM_Reject,
     /* 2158656 */ // Label 29260: @2158656
     /* 2158656 */ GIM_Reject,
     /* 2158657 */ // Label 29186: @2158657
     /* 2158657 */ GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2158864),
     /* 2158662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2158665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158668 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2158671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158687 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2158731), // Rule ID 51772 //
     /* 2158692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158695 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2158695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2158698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158721 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158730 */     // GIR_Coverage, 51772,
     /* 2158730 */     GIR_EraseRootFromParent_Done,
     /* 2158731 */   // Label 29264: @2158731
     /* 2158731 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2158775), // Rule ID 51773 //
     /* 2158736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158739 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2158739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2158742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158765 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158774 */     // GIR_Coverage, 51773,
     /* 2158774 */     GIR_EraseRootFromParent_Done,
     /* 2158775 */   // Label 29265: @2158775
     /* 2158775 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2158819), // Rule ID 57414 //
     /* 2158780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158783 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2158783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2158786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158809 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158818 */     // GIR_Coverage, 57414,
     /* 2158818 */     GIR_EraseRootFromParent_Done,
     /* 2158819 */   // Label 29266: @2158819
     /* 2158819 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2158863), // Rule ID 57415 //
     /* 2158824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158827 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2158827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2158830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2158844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158853 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158862 */     // GIR_Coverage, 57415,
     /* 2158862 */     GIR_EraseRootFromParent_Done,
     /* 2158863 */   // Label 29267: @2158863
     /* 2158863 */   GIM_Reject,
     /* 2158864 */ // Label 29263: @2158864
     /* 2158864 */ GIM_Reject,
     /* 2158865 */ // Label 29187: @2158865
     /* 2158865 */ GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2159072),
     /* 2158870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2158873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2158879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158895 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2158939), // Rule ID 51796 //
     /* 2158900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158903 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2158903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2158906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158929 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158938 */     // GIR_Coverage, 51796,
     /* 2158938 */     GIR_EraseRootFromParent_Done,
     /* 2158939 */   // Label 29269: @2158939
     /* 2158939 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2158983), // Rule ID 51797 //
     /* 2158944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158947 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2158947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2158950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2158961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2158964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2158969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2158971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2158973 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2158975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2158978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158982 */     // GIR_Coverage, 51797,
     /* 2158982 */     GIR_EraseRootFromParent_Done,
     /* 2158983 */   // Label 29270: @2158983
     /* 2158983 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2159027), // Rule ID 57454 //
     /* 2158988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158991 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2158991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2158994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2158998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159017 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159026 */     // GIR_Coverage, 57454,
     /* 2159026 */     GIR_EraseRootFromParent_Done,
     /* 2159027 */   // Label 29271: @2159027
     /* 2159027 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2159071), // Rule ID 57455 //
     /* 2159032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159035 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2159035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2159038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159061 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159070 */     // GIR_Coverage, 57455,
     /* 2159070 */     GIR_EraseRootFromParent_Done,
     /* 2159071 */   // Label 29272: @2159071
     /* 2159071 */   GIM_Reject,
     /* 2159072 */ // Label 29268: @2159072
     /* 2159072 */ GIM_Reject,
     /* 2159073 */ // Label 29188: @2159073
     /* 2159073 */ GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2159280),
     /* 2159078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2159081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2159087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159103 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2159147), // Rule ID 51820 //
     /* 2159108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2159111 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2159111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2159114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159137 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159146 */     // GIR_Coverage, 51820,
     /* 2159146 */     GIR_EraseRootFromParent_Done,
     /* 2159147 */   // Label 29274: @2159147
     /* 2159147 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2159191), // Rule ID 51821 //
     /* 2159152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2159155 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2159155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2159158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159181 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159190 */     // GIR_Coverage, 51821,
     /* 2159190 */     GIR_EraseRootFromParent_Done,
     /* 2159191 */   // Label 29275: @2159191
     /* 2159191 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2159235), // Rule ID 57494 //
     /* 2159196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2159199 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2159199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2159202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159225 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159234 */     // GIR_Coverage, 57494,
     /* 2159234 */     GIR_EraseRootFromParent_Done,
     /* 2159235 */   // Label 29276: @2159235
     /* 2159235 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2159279), // Rule ID 57495 //
     /* 2159240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2159243 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2159243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2159246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159269 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159278 */     // GIR_Coverage, 57495,
     /* 2159278 */     GIR_EraseRootFromParent_Done,
     /* 2159279 */   // Label 29277: @2159279
     /* 2159279 */   GIM_Reject,
     /* 2159280 */ // Label 29273: @2159280
     /* 2159280 */ GIM_Reject,
     /* 2159281 */ // Label 29189: @2159281
     /* 2159281 */ GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2159400),
     /* 2159286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2159289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2159292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2159295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159311 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2159355), // Rule ID 51754 //
     /* 2159316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159319 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2159319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2159322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2159336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159345 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159354 */     // GIR_Coverage, 51754,
     /* 2159354 */     GIR_EraseRootFromParent_Done,
     /* 2159355 */   // Label 29279: @2159355
     /* 2159355 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2159399), // Rule ID 51755 //
     /* 2159360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159363 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2159363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2159366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2159380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159389 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159398 */     // GIR_Coverage, 51755,
     /* 2159398 */     GIR_EraseRootFromParent_Done,
     /* 2159399 */   // Label 29280: @2159399
     /* 2159399 */   GIM_Reject,
     /* 2159400 */ // Label 29278: @2159400
     /* 2159400 */ GIM_Reject,
     /* 2159401 */ // Label 29190: @2159401
     /* 2159401 */ GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2159608),
     /* 2159406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2159409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2159415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159431 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2159475), // Rule ID 51778 //
     /* 2159436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159439 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2159439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2159442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159465 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159474 */     // GIR_Coverage, 51778,
     /* 2159474 */     GIR_EraseRootFromParent_Done,
     /* 2159475 */   // Label 29282: @2159475
     /* 2159475 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2159519), // Rule ID 51779 //
     /* 2159480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159483 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2159483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2159486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159509 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159518 */     // GIR_Coverage, 51779,
     /* 2159518 */     GIR_EraseRootFromParent_Done,
     /* 2159519 */   // Label 29283: @2159519
     /* 2159519 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2159563), // Rule ID 57424 //
     /* 2159524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159527 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2159527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2159530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159553 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159562 */     // GIR_Coverage, 57424,
     /* 2159562 */     GIR_EraseRootFromParent_Done,
     /* 2159563 */   // Label 29284: @2159563
     /* 2159563 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2159607), // Rule ID 57425 //
     /* 2159568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159571 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2159571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2159574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159597 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159606 */     // GIR_Coverage, 57425,
     /* 2159606 */     GIR_EraseRootFromParent_Done,
     /* 2159607 */   // Label 29285: @2159607
     /* 2159607 */   GIM_Reject,
     /* 2159608 */ // Label 29281: @2159608
     /* 2159608 */ GIM_Reject,
     /* 2159609 */ // Label 29191: @2159609
     /* 2159609 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2159816),
     /* 2159614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2159617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159620 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2159623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159639 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2159683), // Rule ID 51802 //
     /* 2159644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159647 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2159647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2159650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159673 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159682 */     // GIR_Coverage, 51802,
     /* 2159682 */     GIR_EraseRootFromParent_Done,
     /* 2159683 */   // Label 29287: @2159683
     /* 2159683 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2159727), // Rule ID 51803 //
     /* 2159688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159691 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2159691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2159694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159717 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159726 */     // GIR_Coverage, 51803,
     /* 2159726 */     GIR_EraseRootFromParent_Done,
     /* 2159727 */   // Label 29288: @2159727
     /* 2159727 */   GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2159771), // Rule ID 57464 //
     /* 2159732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159735 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2159735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2159738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159761 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159770 */     // GIR_Coverage, 57464,
     /* 2159770 */     GIR_EraseRootFromParent_Done,
     /* 2159771 */   // Label 29289: @2159771
     /* 2159771 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2159815), // Rule ID 57465 //
     /* 2159776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159779 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2159779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2159782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159805 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159814 */     // GIR_Coverage, 57465,
     /* 2159814 */     GIR_EraseRootFromParent_Done,
     /* 2159815 */   // Label 29290: @2159815
     /* 2159815 */   GIM_Reject,
     /* 2159816 */ // Label 29286: @2159816
     /* 2159816 */ GIM_Reject,
     /* 2159817 */ // Label 29192: @2159817
     /* 2159817 */ GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2159936),
     /* 2159822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2159825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2159828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2159831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159847 */   GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2159891), // Rule ID 51760 //
     /* 2159852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159855 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2159855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2159858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159881 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159890 */     // GIR_Coverage, 51760,
     /* 2159890 */     GIR_EraseRootFromParent_Done,
     /* 2159891 */   // Label 29292: @2159891
     /* 2159891 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2159935), // Rule ID 51761 //
     /* 2159896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159899 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2159899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2159902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2159916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2159925 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2159927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2159930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159934 */     // GIR_Coverage, 51761,
     /* 2159934 */     GIR_EraseRootFromParent_Done,
     /* 2159935 */   // Label 29293: @2159935
     /* 2159935 */   GIM_Reject,
     /* 2159936 */ // Label 29291: @2159936
     /* 2159936 */ GIM_Reject,
     /* 2159937 */ // Label 29193: @2159937
     /* 2159937 */ GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2160144),
     /* 2159942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2159945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2159951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159967 */   GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2160011), // Rule ID 51784 //
     /* 2159972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159975 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2159975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2159978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2159982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2159989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2159992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2159997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2159999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160001 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160010 */     // GIR_Coverage, 51784,
     /* 2160010 */     GIR_EraseRootFromParent_Done,
     /* 2160011 */   // Label 29295: @2160011
     /* 2160011 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2160055), // Rule ID 51785 //
     /* 2160016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160019 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2160019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2160022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2160036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2160043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160045 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160054 */     // GIR_Coverage, 51785,
     /* 2160054 */     GIR_EraseRootFromParent_Done,
     /* 2160055 */   // Label 29296: @2160055
     /* 2160055 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2160099), // Rule ID 57434 //
     /* 2160060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160063 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2160063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2160066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2160080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2160087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160089 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160098 */     // GIR_Coverage, 57434,
     /* 2160098 */     GIR_EraseRootFromParent_Done,
     /* 2160099 */   // Label 29297: @2160099
     /* 2160099 */   GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2160143), // Rule ID 57435 //
     /* 2160104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160107 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2160107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2160110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2160124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2160131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160133 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160142 */     // GIR_Coverage, 57435,
     /* 2160142 */     GIR_EraseRootFromParent_Done,
     /* 2160143 */   // Label 29298: @2160143
     /* 2160143 */   GIM_Reject,
     /* 2160144 */ // Label 29294: @2160144
     /* 2160144 */ GIM_Reject,
     /* 2160145 */ // Label 29194: @2160145
     /* 2160145 */ GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2160264),
     /* 2160150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2160153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2160156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2160159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160175 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2160219), // Rule ID 51766 //
     /* 2160180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160183 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2160186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2160200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2160207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160209 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160218 */     // GIR_Coverage, 51766,
     /* 2160218 */     GIR_EraseRootFromParent_Done,
     /* 2160219 */   // Label 29300: @2160219
     /* 2160219 */   GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2160263), // Rule ID 51767 //
     /* 2160224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160227 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2160227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2160230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2160244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2160251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2160253 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2160255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160262 */     // GIR_Coverage, 51767,
     /* 2160262 */     GIR_EraseRootFromParent_Done,
     /* 2160263 */   // Label 29301: @2160263
     /* 2160263 */   GIM_Reject,
     /* 2160264 */ // Label 29299: @2160264
     /* 2160264 */ GIM_Reject,
     /* 2160265 */ // Label 29195: @2160265
     /* 2160265 */ GIM_Reject,
     /* 2160266 */ // Label 51: @2160266
     /* 2160266 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29326*/ GIMT_Encode4(2162999),
     /* 2160277 */ /*GILLT_s32*//*Label 29302*/ GIMT_Encode4(2160401),
     /* 2160281 */ /*GILLT_s64*//*Label 29303*/ GIMT_Encode4(2160435), GIMT_Encode4(0),
     /* 2160289 */ /*GILLT_nxv1s8*//*Label 29304*/ GIMT_Encode4(2160469),
     /* 2160293 */ /*GILLT_nxv1s16*//*Label 29305*/ GIMT_Encode4(2160584),
     /* 2160297 */ /*GILLT_nxv1s32*//*Label 29306*/ GIMT_Encode4(2160699),
     /* 2160301 */ /*GILLT_nxv1s64*//*Label 29307*/ GIMT_Encode4(2160814), GIMT_Encode4(0),
     /* 2160309 */ /*GILLT_nxv2s8*//*Label 29308*/ GIMT_Encode4(2160929),
     /* 2160313 */ /*GILLT_nxv2s16*//*Label 29309*/ GIMT_Encode4(2161044),
     /* 2160317 */ /*GILLT_nxv2s32*//*Label 29310*/ GIMT_Encode4(2161159),
     /* 2160321 */ /*GILLT_nxv2s64*//*Label 29311*/ GIMT_Encode4(2161274), GIMT_Encode4(0),
     /* 2160329 */ /*GILLT_nxv4s8*//*Label 29312*/ GIMT_Encode4(2161389),
     /* 2160333 */ /*GILLT_nxv4s16*//*Label 29313*/ GIMT_Encode4(2161504),
     /* 2160337 */ /*GILLT_nxv4s32*//*Label 29314*/ GIMT_Encode4(2161619),
     /* 2160341 */ /*GILLT_nxv4s64*//*Label 29315*/ GIMT_Encode4(2161734), GIMT_Encode4(0),
     /* 2160349 */ /*GILLT_nxv8s8*//*Label 29316*/ GIMT_Encode4(2161849),
     /* 2160353 */ /*GILLT_nxv8s16*//*Label 29317*/ GIMT_Encode4(2161964),
     /* 2160357 */ /*GILLT_nxv8s32*//*Label 29318*/ GIMT_Encode4(2162079),
     /* 2160361 */ /*GILLT_nxv8s64*//*Label 29319*/ GIMT_Encode4(2162194), GIMT_Encode4(0),
     /* 2160369 */ /*GILLT_nxv16s8*//*Label 29320*/ GIMT_Encode4(2162309),
     /* 2160373 */ /*GILLT_nxv16s16*//*Label 29321*/ GIMT_Encode4(2162424),
     /* 2160377 */ /*GILLT_nxv16s32*//*Label 29322*/ GIMT_Encode4(2162539), GIMT_Encode4(0),
     /* 2160385 */ /*GILLT_nxv32s8*//*Label 29323*/ GIMT_Encode4(2162654),
     /* 2160389 */ /*GILLT_nxv32s16*//*Label 29324*/ GIMT_Encode4(2162769), GIMT_Encode4(0),
     /* 2160397 */ /*GILLT_nxv64s8*//*Label 29325*/ GIMT_Encode4(2162884),
     /* 2160401 */ // Label 29302: @2160401
     /* 2160401 */ GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2160434), // Rule ID 292 //
     /* 2160406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2160409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2160412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2160415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160427 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2160427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2160432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2160433 */   // GIR_Coverage, 292,
     /* 2160433 */   GIR_Done,
     /* 2160434 */ // Label 29327: @2160434
     /* 2160434 */ GIM_Reject,
     /* 2160435 */ // Label 29303: @2160435
     /* 2160435 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2160468), // Rule ID 291 //
     /* 2160440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2160443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2160446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2160449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160461 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2160461 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2160466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2160467 */   // GIR_Coverage, 291,
     /* 2160467 */   GIR_Done,
     /* 2160468 */ // Label 29328: @2160468
     /* 2160468 */ GIM_Reject,
     /* 2160469 */ // Label 29304: @2160469
     /* 2160469 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2160583),
     /* 2160474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2160477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2160480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160492 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2160537), // Rule ID 50470 //
     /* 2160497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160500 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2160503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2160517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160536 */     // GIR_Coverage, 50470,
     /* 2160536 */     GIR_EraseRootFromParent_Done,
     /* 2160537 */   // Label 29330: @2160537
     /* 2160537 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2160582), // Rule ID 50471 //
     /* 2160542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160545 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2160545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2160548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2160562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160581 */     // GIR_Coverage, 50471,
     /* 2160581 */     GIR_EraseRootFromParent_Done,
     /* 2160582 */   // Label 29331: @2160582
     /* 2160582 */   GIM_Reject,
     /* 2160583 */ // Label 29329: @2160583
     /* 2160583 */ GIM_Reject,
     /* 2160584 */ // Label 29305: @2160584
     /* 2160584 */ GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2160698),
     /* 2160589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2160592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160607 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2160652), // Rule ID 50482 //
     /* 2160612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160615 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2160618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2160632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160651 */     // GIR_Coverage, 50482,
     /* 2160651 */     GIR_EraseRootFromParent_Done,
     /* 2160652 */   // Label 29333: @2160652
     /* 2160652 */   GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2160697), // Rule ID 50483 //
     /* 2160657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160660 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2160660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2160663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2160677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160696 */     // GIR_Coverage, 50483,
     /* 2160696 */     GIR_EraseRootFromParent_Done,
     /* 2160697 */   // Label 29334: @2160697
     /* 2160697 */   GIM_Reject,
     /* 2160698 */ // Label 29332: @2160698
     /* 2160698 */ GIM_Reject,
     /* 2160699 */ // Label 29306: @2160699
     /* 2160699 */ GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2160813),
     /* 2160704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2160707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160722 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2160767), // Rule ID 50490 //
     /* 2160727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160730 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2160733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2160747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160766 */     // GIR_Coverage, 50490,
     /* 2160766 */     GIR_EraseRootFromParent_Done,
     /* 2160767 */   // Label 29336: @2160767
     /* 2160767 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2160812), // Rule ID 50491 //
     /* 2160772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160775 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2160775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2160778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2160792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160811 */     // GIR_Coverage, 50491,
     /* 2160811 */     GIR_EraseRootFromParent_Done,
     /* 2160812 */   // Label 29337: @2160812
     /* 2160812 */   GIM_Reject,
     /* 2160813 */ // Label 29335: @2160813
     /* 2160813 */ GIM_Reject,
     /* 2160814 */ // Label 29307: @2160814
     /* 2160814 */ GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2160928),
     /* 2160819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2160822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160837 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2160882), // Rule ID 50558 //
     /* 2160842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2160845 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2160848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2160862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160881 */     // GIR_Coverage, 50558,
     /* 2160881 */     GIR_EraseRootFromParent_Done,
     /* 2160882 */   // Label 29339: @2160882
     /* 2160882 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2160927), // Rule ID 50559 //
     /* 2160887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2160890 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2160890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2160893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2160907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160926 */     // GIR_Coverage, 50559,
     /* 2160926 */     GIR_EraseRootFromParent_Done,
     /* 2160927 */   // Label 29340: @2160927
     /* 2160927 */   GIM_Reject,
     /* 2160928 */ // Label 29338: @2160928
     /* 2160928 */ GIM_Reject,
     /* 2160929 */ // Label 29308: @2160929
     /* 2160929 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2161043),
     /* 2160934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2160937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2160940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160952 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2160997), // Rule ID 50474 //
     /* 2160957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160960 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2160960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2160963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2160967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2160974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2160977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2160982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2160984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2160986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2160989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2160995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160996 */     // GIR_Coverage, 50474,
     /* 2160996 */     GIR_EraseRootFromParent_Done,
     /* 2160997 */   // Label 29342: @2160997
     /* 2160997 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2161042), // Rule ID 50475 //
     /* 2161002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161005 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2161008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2161022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161041 */     // GIR_Coverage, 50475,
     /* 2161041 */     GIR_EraseRootFromParent_Done,
     /* 2161042 */   // Label 29343: @2161042
     /* 2161042 */   GIM_Reject,
     /* 2161043 */ // Label 29341: @2161043
     /* 2161043 */ GIM_Reject,
     /* 2161044 */ // Label 29309: @2161044
     /* 2161044 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2161158),
     /* 2161049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2161052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2161055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161067 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2161112), // Rule ID 50486 //
     /* 2161072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161075 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2161078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2161092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161111 */     // GIR_Coverage, 50486,
     /* 2161111 */     GIR_EraseRootFromParent_Done,
     /* 2161112 */   // Label 29345: @2161112
     /* 2161112 */   GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2161157), // Rule ID 50487 //
     /* 2161117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161120 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2161123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2161137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161156 */     // GIR_Coverage, 50487,
     /* 2161156 */     GIR_EraseRootFromParent_Done,
     /* 2161157 */   // Label 29346: @2161157
     /* 2161157 */   GIM_Reject,
     /* 2161158 */ // Label 29344: @2161158
     /* 2161158 */ GIM_Reject,
     /* 2161159 */ // Label 29310: @2161159
     /* 2161159 */ GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2161273),
     /* 2161164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2161167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161182 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2161227), // Rule ID 50502 //
     /* 2161187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161190 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2161193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161226 */     // GIR_Coverage, 50502,
     /* 2161226 */     GIR_EraseRootFromParent_Done,
     /* 2161227 */   // Label 29348: @2161227
     /* 2161227 */   GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2161272), // Rule ID 50503 //
     /* 2161232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161235 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2161238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161271 */     // GIR_Coverage, 50503,
     /* 2161271 */     GIR_EraseRootFromParent_Done,
     /* 2161272 */   // Label 29349: @2161272
     /* 2161272 */   GIM_Reject,
     /* 2161273 */ // Label 29347: @2161273
     /* 2161273 */ GIM_Reject,
     /* 2161274 */ // Label 29311: @2161274
     /* 2161274 */ GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2161388),
     /* 2161279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2161282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161297 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2161342), // Rule ID 50562 //
     /* 2161302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2161305 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2161308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2161322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161341 */     // GIR_Coverage, 50562,
     /* 2161341 */     GIR_EraseRootFromParent_Done,
     /* 2161342 */   // Label 29351: @2161342
     /* 2161342 */   GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2161387), // Rule ID 50563 //
     /* 2161347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2161350 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2161353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2161367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161386 */     // GIR_Coverage, 50563,
     /* 2161386 */     GIR_EraseRootFromParent_Done,
     /* 2161387 */   // Label 29352: @2161387
     /* 2161387 */   GIM_Reject,
     /* 2161388 */ // Label 29350: @2161388
     /* 2161388 */ GIM_Reject,
     /* 2161389 */ // Label 29312: @2161389
     /* 2161389 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2161503),
     /* 2161394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2161397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2161400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161412 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2161457), // Rule ID 50478 //
     /* 2161417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161420 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2161423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2161437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161456 */     // GIR_Coverage, 50478,
     /* 2161456 */     GIR_EraseRootFromParent_Done,
     /* 2161457 */   // Label 29354: @2161457
     /* 2161457 */   GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2161502), // Rule ID 50479 //
     /* 2161462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161465 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2161468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2161482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161501 */     // GIR_Coverage, 50479,
     /* 2161501 */     GIR_EraseRootFromParent_Done,
     /* 2161502 */   // Label 29355: @2161502
     /* 2161502 */   GIM_Reject,
     /* 2161503 */ // Label 29353: @2161503
     /* 2161503 */ GIM_Reject,
     /* 2161504 */ // Label 29313: @2161504
     /* 2161504 */ GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2161618),
     /* 2161509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2161512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161527 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2161572), // Rule ID 50498 //
     /* 2161532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161535 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2161538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161571 */     // GIR_Coverage, 50498,
     /* 2161571 */     GIR_EraseRootFromParent_Done,
     /* 2161572 */   // Label 29357: @2161572
     /* 2161572 */   GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2161617), // Rule ID 50499 //
     /* 2161577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161580 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2161583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161616 */     // GIR_Coverage, 50499,
     /* 2161616 */     GIR_EraseRootFromParent_Done,
     /* 2161617 */   // Label 29358: @2161617
     /* 2161617 */   GIM_Reject,
     /* 2161618 */ // Label 29356: @2161618
     /* 2161618 */ GIM_Reject,
     /* 2161619 */ // Label 29314: @2161619
     /* 2161619 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2161733),
     /* 2161624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2161627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161642 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2161687), // Rule ID 50530 //
     /* 2161647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161650 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2161653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2161667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161686 */     // GIR_Coverage, 50530,
     /* 2161686 */     GIR_EraseRootFromParent_Done,
     /* 2161687 */   // Label 29360: @2161687
     /* 2161687 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2161732), // Rule ID 50531 //
     /* 2161692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161695 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2161698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2161712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161731 */     // GIR_Coverage, 50531,
     /* 2161731 */     GIR_EraseRootFromParent_Done,
     /* 2161732 */   // Label 29361: @2161732
     /* 2161732 */   GIM_Reject,
     /* 2161733 */ // Label 29359: @2161733
     /* 2161733 */ GIM_Reject,
     /* 2161734 */ // Label 29315: @2161734
     /* 2161734 */ GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2161848),
     /* 2161739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2161742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161757 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2161802), // Rule ID 50566 //
     /* 2161762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2161765 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2161768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2161782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161801 */     // GIR_Coverage, 50566,
     /* 2161801 */     GIR_EraseRootFromParent_Done,
     /* 2161802 */   // Label 29363: @2161802
     /* 2161802 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2161847), // Rule ID 50567 //
     /* 2161807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2161810 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2161813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2161827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161846 */     // GIR_Coverage, 50567,
     /* 2161846 */     GIR_EraseRootFromParent_Done,
     /* 2161847 */   // Label 29364: @2161847
     /* 2161847 */   GIM_Reject,
     /* 2161848 */ // Label 29362: @2161848
     /* 2161848 */ GIM_Reject,
     /* 2161849 */ // Label 29316: @2161849
     /* 2161849 */ GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2161963),
     /* 2161854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2161857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2161860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161872 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2161917), // Rule ID 50494 //
     /* 2161877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161880 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2161883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161916 */     // GIR_Coverage, 50494,
     /* 2161916 */     GIR_EraseRootFromParent_Done,
     /* 2161917 */   // Label 29366: @2161917
     /* 2161917 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2161962), // Rule ID 50495 //
     /* 2161922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161925 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2161925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2161928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2161932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2161939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2161942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2161947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2161949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2161951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2161954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161961 */     // GIR_Coverage, 50495,
     /* 2161961 */     GIR_EraseRootFromParent_Done,
     /* 2161962 */   // Label 29367: @2161962
     /* 2161962 */   GIM_Reject,
     /* 2161963 */ // Label 29365: @2161963
     /* 2161963 */ GIM_Reject,
     /* 2161964 */ // Label 29317: @2161964
     /* 2161964 */ GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2162078),
     /* 2161969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2161972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161987 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2162032), // Rule ID 50518 //
     /* 2161992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161995 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2161995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2161998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2162012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162031 */     // GIR_Coverage, 50518,
     /* 2162031 */     GIR_EraseRootFromParent_Done,
     /* 2162032 */   // Label 29369: @2162032
     /* 2162032 */   GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2162077), // Rule ID 50519 //
     /* 2162037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162040 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2162043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2162057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162076 */     // GIR_Coverage, 50519,
     /* 2162076 */     GIR_EraseRootFromParent_Done,
     /* 2162077 */   // Label 29370: @2162077
     /* 2162077 */   GIM_Reject,
     /* 2162078 */ // Label 29368: @2162078
     /* 2162078 */ GIM_Reject,
     /* 2162079 */ // Label 29318: @2162079
     /* 2162079 */ GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2162193),
     /* 2162084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2162087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162102 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2162147), // Rule ID 50534 //
     /* 2162107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162110 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2162113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162146 */     // GIR_Coverage, 50534,
     /* 2162146 */     GIR_EraseRootFromParent_Done,
     /* 2162147 */   // Label 29372: @2162147
     /* 2162147 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2162192), // Rule ID 50535 //
     /* 2162152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162155 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2162158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162191 */     // GIR_Coverage, 50535,
     /* 2162191 */     GIR_EraseRootFromParent_Done,
     /* 2162192 */   // Label 29373: @2162192
     /* 2162192 */   GIM_Reject,
     /* 2162193 */ // Label 29371: @2162193
     /* 2162193 */ GIM_Reject,
     /* 2162194 */ // Label 29319: @2162194
     /* 2162194 */ GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2162308),
     /* 2162199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2162202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162217 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2162262), // Rule ID 50570 //
     /* 2162222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2162225 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2162228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162261 */     // GIR_Coverage, 50570,
     /* 2162261 */     GIR_EraseRootFromParent_Done,
     /* 2162262 */   // Label 29375: @2162262
     /* 2162262 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2162307), // Rule ID 50571 //
     /* 2162267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2162270 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2162273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162306 */     // GIR_Coverage, 50571,
     /* 2162306 */     GIR_EraseRootFromParent_Done,
     /* 2162307 */   // Label 29376: @2162307
     /* 2162307 */   GIM_Reject,
     /* 2162308 */ // Label 29374: @2162308
     /* 2162308 */ GIM_Reject,
     /* 2162309 */ // Label 29320: @2162309
     /* 2162309 */ GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2162423),
     /* 2162314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2162317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2162320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162332 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2162377), // Rule ID 50506 //
     /* 2162337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162340 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2162343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2162357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162376 */     // GIR_Coverage, 50506,
     /* 2162376 */     GIR_EraseRootFromParent_Done,
     /* 2162377 */   // Label 29378: @2162377
     /* 2162377 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2162422), // Rule ID 50507 //
     /* 2162382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162385 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2162388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2162402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162421 */     // GIR_Coverage, 50507,
     /* 2162421 */     GIR_EraseRootFromParent_Done,
     /* 2162422 */   // Label 29379: @2162422
     /* 2162422 */   GIM_Reject,
     /* 2162423 */ // Label 29377: @2162423
     /* 2162423 */ GIM_Reject,
     /* 2162424 */ // Label 29321: @2162424
     /* 2162424 */ GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2162538),
     /* 2162429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2162432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2162435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162447 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2162492), // Rule ID 50522 //
     /* 2162452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162455 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2162458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162491 */     // GIR_Coverage, 50522,
     /* 2162491 */     GIR_EraseRootFromParent_Done,
     /* 2162492 */   // Label 29381: @2162492
     /* 2162492 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2162537), // Rule ID 50523 //
     /* 2162497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162500 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2162503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162536 */     // GIR_Coverage, 50523,
     /* 2162536 */     GIR_EraseRootFromParent_Done,
     /* 2162537 */   // Label 29382: @2162537
     /* 2162537 */   GIM_Reject,
     /* 2162538 */ // Label 29380: @2162538
     /* 2162538 */ GIM_Reject,
     /* 2162539 */ // Label 29322: @2162539
     /* 2162539 */ GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2162653),
     /* 2162544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2162547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162562 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2162607), // Rule ID 50538 //
     /* 2162567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162570 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2162573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162606 */     // GIR_Coverage, 50538,
     /* 2162606 */     GIR_EraseRootFromParent_Done,
     /* 2162607 */   // Label 29384: @2162607
     /* 2162607 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2162652), // Rule ID 50539 //
     /* 2162612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162615 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2162618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162651 */     // GIR_Coverage, 50539,
     /* 2162651 */     GIR_EraseRootFromParent_Done,
     /* 2162652 */   // Label 29385: @2162652
     /* 2162652 */   GIM_Reject,
     /* 2162653 */ // Label 29383: @2162653
     /* 2162653 */ GIM_Reject,
     /* 2162654 */ // Label 29323: @2162654
     /* 2162654 */ GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2162768),
     /* 2162659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2162662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2162665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162677 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2162722), // Rule ID 50510 //
     /* 2162682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162685 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2162688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162721 */     // GIR_Coverage, 50510,
     /* 2162721 */     GIR_EraseRootFromParent_Done,
     /* 2162722 */   // Label 29387: @2162722
     /* 2162722 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2162767), // Rule ID 50511 //
     /* 2162727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162730 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2162733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2162747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162766 */     // GIR_Coverage, 50511,
     /* 2162766 */     GIR_EraseRootFromParent_Done,
     /* 2162767 */   // Label 29388: @2162767
     /* 2162767 */   GIM_Reject,
     /* 2162768 */ // Label 29386: @2162768
     /* 2162768 */ GIM_Reject,
     /* 2162769 */ // Label 29324: @2162769
     /* 2162769 */ GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2162883),
     /* 2162774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2162777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162792 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2162837), // Rule ID 50526 //
     /* 2162797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162800 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2162803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162836 */     // GIR_Coverage, 50526,
     /* 2162836 */     GIR_EraseRootFromParent_Done,
     /* 2162837 */   // Label 29390: @2162837
     /* 2162837 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2162882), // Rule ID 50527 //
     /* 2162842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162845 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2162848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162881 */     // GIR_Coverage, 50527,
     /* 2162881 */     GIR_EraseRootFromParent_Done,
     /* 2162882 */   // Label 29391: @2162882
     /* 2162882 */   GIM_Reject,
     /* 2162883 */ // Label 29389: @2162883
     /* 2162883 */ GIM_Reject,
     /* 2162884 */ // Label 29325: @2162884
     /* 2162884 */ GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2162998),
     /* 2162889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2162892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2162895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162907 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2162952), // Rule ID 50514 //
     /* 2162912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162915 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2162915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2162918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162951 */     // GIR_Coverage, 50514,
     /* 2162951 */     GIR_EraseRootFromParent_Done,
     /* 2162952 */   // Label 29393: @2162952
     /* 2162952 */   GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2162997), // Rule ID 50515 //
     /* 2162957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162960 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2162960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2162963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2162967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2162974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2162977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2162982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2162984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2162986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2162989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162996 */     // GIR_Coverage, 50515,
     /* 2162996 */     GIR_EraseRootFromParent_Done,
     /* 2162997 */   // Label 29394: @2162997
     /* 2162997 */   GIM_Reject,
     /* 2162998 */ // Label 29392: @2162998
     /* 2162998 */ GIM_Reject,
     /* 2162999 */ // Label 29326: @2162999
     /* 2162999 */ GIM_Reject,
     /* 2163000 */ // Label 52: @2163000
     /* 2163000 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29419*/ GIMT_Encode4(2165733),
     /* 2163011 */ /*GILLT_s32*//*Label 29395*/ GIMT_Encode4(2163135),
     /* 2163015 */ /*GILLT_s64*//*Label 29396*/ GIMT_Encode4(2163169), GIMT_Encode4(0),
     /* 2163023 */ /*GILLT_nxv1s8*//*Label 29397*/ GIMT_Encode4(2163203),
     /* 2163027 */ /*GILLT_nxv1s16*//*Label 29398*/ GIMT_Encode4(2163318),
     /* 2163031 */ /*GILLT_nxv1s32*//*Label 29399*/ GIMT_Encode4(2163433),
     /* 2163035 */ /*GILLT_nxv1s64*//*Label 29400*/ GIMT_Encode4(2163548), GIMT_Encode4(0),
     /* 2163043 */ /*GILLT_nxv2s8*//*Label 29401*/ GIMT_Encode4(2163663),
     /* 2163047 */ /*GILLT_nxv2s16*//*Label 29402*/ GIMT_Encode4(2163778),
     /* 2163051 */ /*GILLT_nxv2s32*//*Label 29403*/ GIMT_Encode4(2163893),
     /* 2163055 */ /*GILLT_nxv2s64*//*Label 29404*/ GIMT_Encode4(2164008), GIMT_Encode4(0),
     /* 2163063 */ /*GILLT_nxv4s8*//*Label 29405*/ GIMT_Encode4(2164123),
     /* 2163067 */ /*GILLT_nxv4s16*//*Label 29406*/ GIMT_Encode4(2164238),
     /* 2163071 */ /*GILLT_nxv4s32*//*Label 29407*/ GIMT_Encode4(2164353),
     /* 2163075 */ /*GILLT_nxv4s64*//*Label 29408*/ GIMT_Encode4(2164468), GIMT_Encode4(0),
     /* 2163083 */ /*GILLT_nxv8s8*//*Label 29409*/ GIMT_Encode4(2164583),
     /* 2163087 */ /*GILLT_nxv8s16*//*Label 29410*/ GIMT_Encode4(2164698),
     /* 2163091 */ /*GILLT_nxv8s32*//*Label 29411*/ GIMT_Encode4(2164813),
     /* 2163095 */ /*GILLT_nxv8s64*//*Label 29412*/ GIMT_Encode4(2164928), GIMT_Encode4(0),
     /* 2163103 */ /*GILLT_nxv16s8*//*Label 29413*/ GIMT_Encode4(2165043),
     /* 2163107 */ /*GILLT_nxv16s16*//*Label 29414*/ GIMT_Encode4(2165158),
     /* 2163111 */ /*GILLT_nxv16s32*//*Label 29415*/ GIMT_Encode4(2165273), GIMT_Encode4(0),
     /* 2163119 */ /*GILLT_nxv32s8*//*Label 29416*/ GIMT_Encode4(2165388),
     /* 2163123 */ /*GILLT_nxv32s16*//*Label 29417*/ GIMT_Encode4(2165503), GIMT_Encode4(0),
     /* 2163131 */ /*GILLT_nxv64s8*//*Label 29418*/ GIMT_Encode4(2165618),
     /* 2163135 */ // Label 29395: @2163135
     /* 2163135 */ GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2163168), // Rule ID 290 //
     /* 2163140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2163143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2163146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2163149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163161 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2163161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2163166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2163167 */   // GIR_Coverage, 290,
     /* 2163167 */   GIR_Done,
     /* 2163168 */ // Label 29420: @2163168
     /* 2163168 */ GIM_Reject,
     /* 2163169 */ // Label 29396: @2163169
     /* 2163169 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2163202), // Rule ID 289 //
     /* 2163174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2163177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2163180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2163183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2163195 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2163195 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2163200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2163201 */   // GIR_Coverage, 289,
     /* 2163201 */   GIR_Done,
     /* 2163202 */ // Label 29421: @2163202
     /* 2163202 */ GIM_Reject,
     /* 2163203 */ // Label 29397: @2163203
     /* 2163203 */ GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2163317),
     /* 2163208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2163211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2163214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163226 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2163271), // Rule ID 50398 //
     /* 2163231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163234 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2163237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2163251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163270 */     // GIR_Coverage, 50398,
     /* 2163270 */     GIR_EraseRootFromParent_Done,
     /* 2163271 */   // Label 29423: @2163271
     /* 2163271 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2163316), // Rule ID 50399 //
     /* 2163276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163279 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2163282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2163296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163315 */     // GIR_Coverage, 50399,
     /* 2163315 */     GIR_EraseRootFromParent_Done,
     /* 2163316 */   // Label 29424: @2163316
     /* 2163316 */   GIM_Reject,
     /* 2163317 */ // Label 29422: @2163317
     /* 2163317 */ GIM_Reject,
     /* 2163318 */ // Label 29398: @2163318
     /* 2163318 */ GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2163432),
     /* 2163323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2163326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163341 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2163386), // Rule ID 50410 //
     /* 2163346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163349 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2163352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2163366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163385 */     // GIR_Coverage, 50410,
     /* 2163385 */     GIR_EraseRootFromParent_Done,
     /* 2163386 */   // Label 29426: @2163386
     /* 2163386 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2163431), // Rule ID 50411 //
     /* 2163391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163394 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2163397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2163411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163430 */     // GIR_Coverage, 50411,
     /* 2163430 */     GIR_EraseRootFromParent_Done,
     /* 2163431 */   // Label 29427: @2163431
     /* 2163431 */   GIM_Reject,
     /* 2163432 */ // Label 29425: @2163432
     /* 2163432 */ GIM_Reject,
     /* 2163433 */ // Label 29399: @2163433
     /* 2163433 */ GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2163547),
     /* 2163438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2163441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163456 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2163501), // Rule ID 50418 //
     /* 2163461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163464 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2163467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2163481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163500 */     // GIR_Coverage, 50418,
     /* 2163500 */     GIR_EraseRootFromParent_Done,
     /* 2163501 */   // Label 29429: @2163501
     /* 2163501 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2163546), // Rule ID 50419 //
     /* 2163506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163509 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2163512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2163526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163545 */     // GIR_Coverage, 50419,
     /* 2163545 */     GIR_EraseRootFromParent_Done,
     /* 2163546 */   // Label 29430: @2163546
     /* 2163546 */   GIM_Reject,
     /* 2163547 */ // Label 29428: @2163547
     /* 2163547 */ GIM_Reject,
     /* 2163548 */ // Label 29400: @2163548
     /* 2163548 */ GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2163662),
     /* 2163553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2163556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163571 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2163616), // Rule ID 50542 //
     /* 2163576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2163579 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2163582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2163596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163615 */     // GIR_Coverage, 50542,
     /* 2163615 */     GIR_EraseRootFromParent_Done,
     /* 2163616 */   // Label 29432: @2163616
     /* 2163616 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2163661), // Rule ID 50543 //
     /* 2163621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2163624 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2163627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2163641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163660 */     // GIR_Coverage, 50543,
     /* 2163660 */     GIR_EraseRootFromParent_Done,
     /* 2163661 */   // Label 29433: @2163661
     /* 2163661 */   GIM_Reject,
     /* 2163662 */ // Label 29431: @2163662
     /* 2163662 */ GIM_Reject,
     /* 2163663 */ // Label 29401: @2163663
     /* 2163663 */ GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2163777),
     /* 2163668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2163671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2163674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163686 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2163731), // Rule ID 50402 //
     /* 2163691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163694 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2163697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2163711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163730 */     // GIR_Coverage, 50402,
     /* 2163730 */     GIR_EraseRootFromParent_Done,
     /* 2163731 */   // Label 29435: @2163731
     /* 2163731 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2163776), // Rule ID 50403 //
     /* 2163736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163739 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2163742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2163756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163775 */     // GIR_Coverage, 50403,
     /* 2163775 */     GIR_EraseRootFromParent_Done,
     /* 2163776 */   // Label 29436: @2163776
     /* 2163776 */   GIM_Reject,
     /* 2163777 */ // Label 29434: @2163777
     /* 2163777 */ GIM_Reject,
     /* 2163778 */ // Label 29402: @2163778
     /* 2163778 */ GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2163892),
     /* 2163783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2163786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163801 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2163846), // Rule ID 50414 //
     /* 2163806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163809 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2163812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2163826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163845 */     // GIR_Coverage, 50414,
     /* 2163845 */     GIR_EraseRootFromParent_Done,
     /* 2163846 */   // Label 29438: @2163846
     /* 2163846 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2163891), // Rule ID 50415 //
     /* 2163851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163854 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2163857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2163871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163890 */     // GIR_Coverage, 50415,
     /* 2163890 */     GIR_EraseRootFromParent_Done,
     /* 2163891 */   // Label 29439: @2163891
     /* 2163891 */   GIM_Reject,
     /* 2163892 */ // Label 29437: @2163892
     /* 2163892 */ GIM_Reject,
     /* 2163893 */ // Label 29403: @2163893
     /* 2163893 */ GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2164007),
     /* 2163898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2163901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163916 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2163961), // Rule ID 50430 //
     /* 2163921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163924 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2163924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2163927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2163941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163960 */     // GIR_Coverage, 50430,
     /* 2163960 */     GIR_EraseRootFromParent_Done,
     /* 2163961 */   // Label 29441: @2163961
     /* 2163961 */   GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2164006), // Rule ID 50431 //
     /* 2163966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163969 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2163969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2163972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2163976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2163983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2163986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2163991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2163993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2163995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2163998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164005 */     // GIR_Coverage, 50431,
     /* 2164005 */     GIR_EraseRootFromParent_Done,
     /* 2164006 */   // Label 29442: @2164006
     /* 2164006 */   GIM_Reject,
     /* 2164007 */ // Label 29440: @2164007
     /* 2164007 */ GIM_Reject,
     /* 2164008 */ // Label 29404: @2164008
     /* 2164008 */ GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2164122),
     /* 2164013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2164016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164031 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2164076), // Rule ID 50546 //
     /* 2164036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2164039 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2164042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164075 */     // GIR_Coverage, 50546,
     /* 2164075 */     GIR_EraseRootFromParent_Done,
     /* 2164076 */   // Label 29444: @2164076
     /* 2164076 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2164121), // Rule ID 50547 //
     /* 2164081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2164084 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2164087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164120 */     // GIR_Coverage, 50547,
     /* 2164120 */     GIR_EraseRootFromParent_Done,
     /* 2164121 */   // Label 29445: @2164121
     /* 2164121 */   GIM_Reject,
     /* 2164122 */ // Label 29443: @2164122
     /* 2164122 */ GIM_Reject,
     /* 2164123 */ // Label 29405: @2164123
     /* 2164123 */ GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2164237),
     /* 2164128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2164131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2164134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164146 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2164191), // Rule ID 50406 //
     /* 2164151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164154 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2164157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2164171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164190 */     // GIR_Coverage, 50406,
     /* 2164190 */     GIR_EraseRootFromParent_Done,
     /* 2164191 */   // Label 29447: @2164191
     /* 2164191 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2164236), // Rule ID 50407 //
     /* 2164196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164199 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2164202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2164216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164235 */     // GIR_Coverage, 50407,
     /* 2164235 */     GIR_EraseRootFromParent_Done,
     /* 2164236 */   // Label 29448: @2164236
     /* 2164236 */   GIM_Reject,
     /* 2164237 */ // Label 29446: @2164237
     /* 2164237 */ GIM_Reject,
     /* 2164238 */ // Label 29406: @2164238
     /* 2164238 */ GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2164352),
     /* 2164243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2164246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2164249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164261 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2164306), // Rule ID 50426 //
     /* 2164266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164269 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2164272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2164286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164305 */     // GIR_Coverage, 50426,
     /* 2164305 */     GIR_EraseRootFromParent_Done,
     /* 2164306 */   // Label 29450: @2164306
     /* 2164306 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2164351), // Rule ID 50427 //
     /* 2164311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164314 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2164317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2164331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164350 */     // GIR_Coverage, 50427,
     /* 2164350 */     GIR_EraseRootFromParent_Done,
     /* 2164351 */   // Label 29451: @2164351
     /* 2164351 */   GIM_Reject,
     /* 2164352 */ // Label 29449: @2164352
     /* 2164352 */ GIM_Reject,
     /* 2164353 */ // Label 29407: @2164353
     /* 2164353 */ GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2164467),
     /* 2164358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2164361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164376 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2164421), // Rule ID 50458 //
     /* 2164381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164384 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2164387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164420 */     // GIR_Coverage, 50458,
     /* 2164420 */     GIR_EraseRootFromParent_Done,
     /* 2164421 */   // Label 29453: @2164421
     /* 2164421 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2164466), // Rule ID 50459 //
     /* 2164426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164429 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2164432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164465 */     // GIR_Coverage, 50459,
     /* 2164465 */     GIR_EraseRootFromParent_Done,
     /* 2164466 */   // Label 29454: @2164466
     /* 2164466 */   GIM_Reject,
     /* 2164467 */ // Label 29452: @2164467
     /* 2164467 */ GIM_Reject,
     /* 2164468 */ // Label 29408: @2164468
     /* 2164468 */ GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2164582),
     /* 2164473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2164476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164491 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2164536), // Rule ID 50550 //
     /* 2164496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2164499 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2164502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2164516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164535 */     // GIR_Coverage, 50550,
     /* 2164535 */     GIR_EraseRootFromParent_Done,
     /* 2164536 */   // Label 29456: @2164536
     /* 2164536 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2164581), // Rule ID 50551 //
     /* 2164541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2164544 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2164547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2164561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164580 */     // GIR_Coverage, 50551,
     /* 2164580 */     GIR_EraseRootFromParent_Done,
     /* 2164581 */   // Label 29457: @2164581
     /* 2164581 */   GIM_Reject,
     /* 2164582 */ // Label 29455: @2164582
     /* 2164582 */ GIM_Reject,
     /* 2164583 */ // Label 29409: @2164583
     /* 2164583 */ GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2164697),
     /* 2164588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2164591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2164594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164606 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2164651), // Rule ID 50422 //
     /* 2164611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164614 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2164617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2164631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164650 */     // GIR_Coverage, 50422,
     /* 2164650 */     GIR_EraseRootFromParent_Done,
     /* 2164651 */   // Label 29459: @2164651
     /* 2164651 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2164696), // Rule ID 50423 //
     /* 2164656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164659 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2164662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2164676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164695 */     // GIR_Coverage, 50423,
     /* 2164695 */     GIR_EraseRootFromParent_Done,
     /* 2164696 */   // Label 29460: @2164696
     /* 2164696 */   GIM_Reject,
     /* 2164697 */ // Label 29458: @2164697
     /* 2164697 */ GIM_Reject,
     /* 2164698 */ // Label 29410: @2164698
     /* 2164698 */ GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2164812),
     /* 2164703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2164706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164721 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2164766), // Rule ID 50446 //
     /* 2164726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164729 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2164732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164765 */     // GIR_Coverage, 50446,
     /* 2164765 */     GIR_EraseRootFromParent_Done,
     /* 2164766 */   // Label 29462: @2164766
     /* 2164766 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2164811), // Rule ID 50447 //
     /* 2164771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164774 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2164777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2164791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164810 */     // GIR_Coverage, 50447,
     /* 2164810 */     GIR_EraseRootFromParent_Done,
     /* 2164811 */   // Label 29463: @2164811
     /* 2164811 */   GIM_Reject,
     /* 2164812 */ // Label 29461: @2164812
     /* 2164812 */ GIM_Reject,
     /* 2164813 */ // Label 29411: @2164813
     /* 2164813 */ GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2164927),
     /* 2164818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2164821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164836 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2164881), // Rule ID 50462 //
     /* 2164841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164844 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2164847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2164861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164880 */     // GIR_Coverage, 50462,
     /* 2164880 */     GIR_EraseRootFromParent_Done,
     /* 2164881 */   // Label 29465: @2164881
     /* 2164881 */   GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2164926), // Rule ID 50463 //
     /* 2164886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164889 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2164889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2164892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2164906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164925 */     // GIR_Coverage, 50463,
     /* 2164925 */     GIR_EraseRootFromParent_Done,
     /* 2164926 */   // Label 29466: @2164926
     /* 2164926 */   GIM_Reject,
     /* 2164927 */ // Label 29464: @2164927
     /* 2164927 */ GIM_Reject,
     /* 2164928 */ // Label 29412: @2164928
     /* 2164928 */ GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2165042),
     /* 2164933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2164936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164951 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2164996), // Rule ID 50554 //
     /* 2164956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2164959 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2164959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2164962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2164966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2164973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2164976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2164981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2164983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2164985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2164988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164995 */     // GIR_Coverage, 50554,
     /* 2164995 */     GIR_EraseRootFromParent_Done,
     /* 2164996 */   // Label 29468: @2164996
     /* 2164996 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2165041), // Rule ID 50555 //
     /* 2165001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2165004 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2165007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165040 */     // GIR_Coverage, 50555,
     /* 2165040 */     GIR_EraseRootFromParent_Done,
     /* 2165041 */   // Label 29469: @2165041
     /* 2165041 */   GIM_Reject,
     /* 2165042 */ // Label 29467: @2165042
     /* 2165042 */ GIM_Reject,
     /* 2165043 */ // Label 29413: @2165043
     /* 2165043 */ GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2165157),
     /* 2165048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2165051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2165054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165066 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2165111), // Rule ID 50434 //
     /* 2165071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165074 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2165077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2165091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165110 */     // GIR_Coverage, 50434,
     /* 2165110 */     GIR_EraseRootFromParent_Done,
     /* 2165111 */   // Label 29471: @2165111
     /* 2165111 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2165156), // Rule ID 50435 //
     /* 2165116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165119 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2165122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2165136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165155 */     // GIR_Coverage, 50435,
     /* 2165155 */     GIR_EraseRootFromParent_Done,
     /* 2165156 */   // Label 29472: @2165156
     /* 2165156 */   GIM_Reject,
     /* 2165157 */ // Label 29470: @2165157
     /* 2165157 */ GIM_Reject,
     /* 2165158 */ // Label 29414: @2165158
     /* 2165158 */ GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2165272),
     /* 2165163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2165166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2165169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165181 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2165226), // Rule ID 50450 //
     /* 2165186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165189 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2165192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2165206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165225 */     // GIR_Coverage, 50450,
     /* 2165225 */     GIR_EraseRootFromParent_Done,
     /* 2165226 */   // Label 29474: @2165226
     /* 2165226 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2165271), // Rule ID 50451 //
     /* 2165231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165234 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2165237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2165251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165270 */     // GIR_Coverage, 50451,
     /* 2165270 */     GIR_EraseRootFromParent_Done,
     /* 2165271 */   // Label 29475: @2165271
     /* 2165271 */   GIM_Reject,
     /* 2165272 */ // Label 29473: @2165272
     /* 2165272 */ GIM_Reject,
     /* 2165273 */ // Label 29415: @2165273
     /* 2165273 */ GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2165387),
     /* 2165278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2165281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165296 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2165341), // Rule ID 50466 //
     /* 2165301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165304 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2165307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165340 */     // GIR_Coverage, 50466,
     /* 2165340 */     GIR_EraseRootFromParent_Done,
     /* 2165341 */   // Label 29477: @2165341
     /* 2165341 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2165386), // Rule ID 50467 //
     /* 2165346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165349 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2165352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165385 */     // GIR_Coverage, 50467,
     /* 2165385 */     GIR_EraseRootFromParent_Done,
     /* 2165386 */   // Label 29478: @2165386
     /* 2165386 */   GIM_Reject,
     /* 2165387 */ // Label 29476: @2165387
     /* 2165387 */ GIM_Reject,
     /* 2165388 */ // Label 29416: @2165388
     /* 2165388 */ GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2165502),
     /* 2165393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2165396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2165399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165411 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2165456), // Rule ID 50438 //
     /* 2165416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165419 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2165422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2165436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165455 */     // GIR_Coverage, 50438,
     /* 2165455 */     GIR_EraseRootFromParent_Done,
     /* 2165456 */   // Label 29480: @2165456
     /* 2165456 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2165501), // Rule ID 50439 //
     /* 2165461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165464 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2165467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2165481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165500 */     // GIR_Coverage, 50439,
     /* 2165500 */     GIR_EraseRootFromParent_Done,
     /* 2165501 */   // Label 29481: @2165501
     /* 2165501 */   GIM_Reject,
     /* 2165502 */ // Label 29479: @2165502
     /* 2165502 */ GIM_Reject,
     /* 2165503 */ // Label 29417: @2165503
     /* 2165503 */ GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2165617),
     /* 2165508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2165511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165526 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2165571), // Rule ID 50454 //
     /* 2165531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165534 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2165537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165570 */     // GIR_Coverage, 50454,
     /* 2165570 */     GIR_EraseRootFromParent_Done,
     /* 2165571 */   // Label 29483: @2165571
     /* 2165571 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2165616), // Rule ID 50455 //
     /* 2165576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165579 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2165582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165615 */     // GIR_Coverage, 50455,
     /* 2165615 */     GIR_EraseRootFromParent_Done,
     /* 2165616 */   // Label 29484: @2165616
     /* 2165616 */   GIM_Reject,
     /* 2165617 */ // Label 29482: @2165617
     /* 2165617 */ GIM_Reject,
     /* 2165618 */ // Label 29418: @2165618
     /* 2165618 */ GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2165732),
     /* 2165623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2165626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2165629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165641 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2165686), // Rule ID 50442 //
     /* 2165646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165649 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2165652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165685 */     // GIR_Coverage, 50442,
     /* 2165685 */     GIR_EraseRootFromParent_Done,
     /* 2165686 */   // Label 29486: @2165686
     /* 2165686 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2165731), // Rule ID 50443 //
     /* 2165691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165694 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2165697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2165711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165730 */     // GIR_Coverage, 50443,
     /* 2165730 */     GIR_EraseRootFromParent_Done,
     /* 2165731 */   // Label 29487: @2165731
     /* 2165731 */   GIM_Reject,
     /* 2165732 */ // Label 29485: @2165732
     /* 2165732 */ GIM_Reject,
     /* 2165733 */ // Label 29419: @2165733
     /* 2165733 */ GIM_Reject,
     /* 2165734 */ // Label 53: @2165734
     /* 2165734 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29510*/ GIMT_Encode4(2168519),
     /* 2165745 */ /*GILLT_nxv1s8*//*Label 29488*/ GIMT_Encode4(2165857),
     /* 2165749 */ /*GILLT_nxv1s16*//*Label 29489*/ GIMT_Encode4(2165978),
     /* 2165753 */ /*GILLT_nxv1s32*//*Label 29490*/ GIMT_Encode4(2166099),
     /* 2165757 */ /*GILLT_nxv1s64*//*Label 29491*/ GIMT_Encode4(2166220), GIMT_Encode4(0),
     /* 2165765 */ /*GILLT_nxv2s8*//*Label 29492*/ GIMT_Encode4(2166341),
     /* 2165769 */ /*GILLT_nxv2s16*//*Label 29493*/ GIMT_Encode4(2166462),
     /* 2165773 */ /*GILLT_nxv2s32*//*Label 29494*/ GIMT_Encode4(2166583),
     /* 2165777 */ /*GILLT_nxv2s64*//*Label 29495*/ GIMT_Encode4(2166704), GIMT_Encode4(0),
     /* 2165785 */ /*GILLT_nxv4s8*//*Label 29496*/ GIMT_Encode4(2166825),
     /* 2165789 */ /*GILLT_nxv4s16*//*Label 29497*/ GIMT_Encode4(2166946),
     /* 2165793 */ /*GILLT_nxv4s32*//*Label 29498*/ GIMT_Encode4(2167067),
     /* 2165797 */ /*GILLT_nxv4s64*//*Label 29499*/ GIMT_Encode4(2167188), GIMT_Encode4(0),
     /* 2165805 */ /*GILLT_nxv8s8*//*Label 29500*/ GIMT_Encode4(2167309),
     /* 2165809 */ /*GILLT_nxv8s16*//*Label 29501*/ GIMT_Encode4(2167430),
     /* 2165813 */ /*GILLT_nxv8s32*//*Label 29502*/ GIMT_Encode4(2167551),
     /* 2165817 */ /*GILLT_nxv8s64*//*Label 29503*/ GIMT_Encode4(2167672), GIMT_Encode4(0),
     /* 2165825 */ /*GILLT_nxv16s8*//*Label 29504*/ GIMT_Encode4(2167793),
     /* 2165829 */ /*GILLT_nxv16s16*//*Label 29505*/ GIMT_Encode4(2167914),
     /* 2165833 */ /*GILLT_nxv16s32*//*Label 29506*/ GIMT_Encode4(2168035), GIMT_Encode4(0),
     /* 2165841 */ /*GILLT_nxv32s8*//*Label 29507*/ GIMT_Encode4(2168156),
     /* 2165845 */ /*GILLT_nxv32s16*//*Label 29508*/ GIMT_Encode4(2168277), GIMT_Encode4(0),
     /* 2165853 */ /*GILLT_nxv64s8*//*Label 29509*/ GIMT_Encode4(2168398),
     /* 2165857 */ // Label 29488: @2165857
     /* 2165857 */ GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2165977),
     /* 2165862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2165865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2165868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165880 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2165928), // Rule ID 51958 //
     /* 2165885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165888 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2165888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2165891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2165905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2165926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165927 */     // GIR_Coverage, 51958,
     /* 2165927 */     GIR_EraseRootFromParent_Done,
     /* 2165928 */   // Label 29512: @2165928
     /* 2165928 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2165976), // Rule ID 51959 //
     /* 2165933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165936 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2165936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2165939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2165943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2165950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2165953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2165958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2165960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2165962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2165965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2165971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2165974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165975 */     // GIR_Coverage, 51959,
     /* 2165975 */     GIR_EraseRootFromParent_Done,
     /* 2165976 */   // Label 29513: @2165976
     /* 2165976 */   GIM_Reject,
     /* 2165977 */ // Label 29511: @2165977
     /* 2165977 */ GIM_Reject,
     /* 2165978 */ // Label 29489: @2165978
     /* 2165978 */ GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2166098),
     /* 2165983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2165986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166001 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2166049), // Rule ID 51970 //
     /* 2166006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166009 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2166012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2166026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166048 */     // GIR_Coverage, 51970,
     /* 2166048 */     GIR_EraseRootFromParent_Done,
     /* 2166049 */   // Label 29515: @2166049
     /* 2166049 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2166097), // Rule ID 51971 //
     /* 2166054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166057 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2166060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2166074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166096 */     // GIR_Coverage, 51971,
     /* 2166096 */     GIR_EraseRootFromParent_Done,
     /* 2166097 */   // Label 29516: @2166097
     /* 2166097 */   GIM_Reject,
     /* 2166098 */ // Label 29514: @2166098
     /* 2166098 */ GIM_Reject,
     /* 2166099 */ // Label 29490: @2166099
     /* 2166099 */ GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2166219),
     /* 2166104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2166107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166122 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2166170), // Rule ID 51978 //
     /* 2166127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166130 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2166133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166169 */     // GIR_Coverage, 51978,
     /* 2166169 */     GIR_EraseRootFromParent_Done,
     /* 2166170 */   // Label 29518: @2166170
     /* 2166170 */   GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2166218), // Rule ID 51979 //
     /* 2166175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166178 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2166181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166217 */     // GIR_Coverage, 51979,
     /* 2166217 */     GIR_EraseRootFromParent_Done,
     /* 2166218 */   // Label 29519: @2166218
     /* 2166218 */   GIM_Reject,
     /* 2166219 */ // Label 29517: @2166219
     /* 2166219 */ GIM_Reject,
     /* 2166220 */ // Label 29491: @2166220
     /* 2166220 */ GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2166340),
     /* 2166225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2166228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166243 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2166291), // Rule ID 51994 //
     /* 2166248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2166251 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2166254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2166268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166290 */     // GIR_Coverage, 51994,
     /* 2166290 */     GIR_EraseRootFromParent_Done,
     /* 2166291 */   // Label 29521: @2166291
     /* 2166291 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2166339), // Rule ID 51995 //
     /* 2166296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2166299 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2166302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2166316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166338 */     // GIR_Coverage, 51995,
     /* 2166338 */     GIR_EraseRootFromParent_Done,
     /* 2166339 */   // Label 29522: @2166339
     /* 2166339 */   GIM_Reject,
     /* 2166340 */ // Label 29520: @2166340
     /* 2166340 */ GIM_Reject,
     /* 2166341 */ // Label 29492: @2166341
     /* 2166341 */ GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2166461),
     /* 2166346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2166349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2166352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166364 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2166412), // Rule ID 51962 //
     /* 2166369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166372 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2166375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2166389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166411 */     // GIR_Coverage, 51962,
     /* 2166411 */     GIR_EraseRootFromParent_Done,
     /* 2166412 */   // Label 29524: @2166412
     /* 2166412 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2166460), // Rule ID 51963 //
     /* 2166417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166420 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2166423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2166437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166459 */     // GIR_Coverage, 51963,
     /* 2166459 */     GIR_EraseRootFromParent_Done,
     /* 2166460 */   // Label 29525: @2166460
     /* 2166460 */   GIM_Reject,
     /* 2166461 */ // Label 29523: @2166461
     /* 2166461 */ GIM_Reject,
     /* 2166462 */ // Label 29493: @2166462
     /* 2166462 */ GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2166582),
     /* 2166467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2166470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166485 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2166533), // Rule ID 51974 //
     /* 2166490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166493 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2166496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166532 */     // GIR_Coverage, 51974,
     /* 2166532 */     GIR_EraseRootFromParent_Done,
     /* 2166533 */   // Label 29527: @2166533
     /* 2166533 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2166581), // Rule ID 51975 //
     /* 2166538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166541 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2166544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166580 */     // GIR_Coverage, 51975,
     /* 2166580 */     GIR_EraseRootFromParent_Done,
     /* 2166581 */   // Label 29528: @2166581
     /* 2166581 */   GIM_Reject,
     /* 2166582 */ // Label 29526: @2166582
     /* 2166582 */ GIM_Reject,
     /* 2166583 */ // Label 29494: @2166583
     /* 2166583 */ GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2166703),
     /* 2166588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2166591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166606 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2166654), // Rule ID 51990 //
     /* 2166611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166614 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2166617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2166631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166653 */     // GIR_Coverage, 51990,
     /* 2166653 */     GIR_EraseRootFromParent_Done,
     /* 2166654 */   // Label 29530: @2166654
     /* 2166654 */   GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2166702), // Rule ID 51991 //
     /* 2166659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166662 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2166665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2166679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166701 */     // GIR_Coverage, 51991,
     /* 2166701 */     GIR_EraseRootFromParent_Done,
     /* 2166702 */   // Label 29531: @2166702
     /* 2166702 */   GIM_Reject,
     /* 2166703 */ // Label 29529: @2166703
     /* 2166703 */ GIM_Reject,
     /* 2166704 */ // Label 29495: @2166704
     /* 2166704 */ GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2166824),
     /* 2166709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2166712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166727 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2166775), // Rule ID 52034 //
     /* 2166732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2166735 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2166738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2166752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166774 */     // GIR_Coverage, 52034,
     /* 2166774 */     GIR_EraseRootFromParent_Done,
     /* 2166775 */   // Label 29533: @2166775
     /* 2166775 */   GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2166823), // Rule ID 52035 //
     /* 2166780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2166783 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2166786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2166800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166822 */     // GIR_Coverage, 52035,
     /* 2166822 */     GIR_EraseRootFromParent_Done,
     /* 2166823 */   // Label 29534: @2166823
     /* 2166823 */   GIM_Reject,
     /* 2166824 */ // Label 29532: @2166824
     /* 2166824 */ GIM_Reject,
     /* 2166825 */ // Label 29496: @2166825
     /* 2166825 */ GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2166945),
     /* 2166830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2166833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2166836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166848 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2166896), // Rule ID 51966 //
     /* 2166853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166856 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2166859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166895 */     // GIR_Coverage, 51966,
     /* 2166895 */     GIR_EraseRootFromParent_Done,
     /* 2166896 */   // Label 29536: @2166896
     /* 2166896 */   GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2166944), // Rule ID 51967 //
     /* 2166901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166904 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2166904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2166907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2166921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2166928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2166930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2166933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2166942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166943 */     // GIR_Coverage, 51967,
     /* 2166943 */     GIR_EraseRootFromParent_Done,
     /* 2166944 */   // Label 29537: @2166944
     /* 2166944 */   GIM_Reject,
     /* 2166945 */ // Label 29535: @2166945
     /* 2166945 */ GIM_Reject,
     /* 2166946 */ // Label 29497: @2166946
     /* 2166946 */ GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2167066),
     /* 2166951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2166954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166969 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2167017), // Rule ID 51986 //
     /* 2166974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166977 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2166977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2166980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2166984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2166991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2166994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2166999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167016 */     // GIR_Coverage, 51986,
     /* 2167016 */     GIR_EraseRootFromParent_Done,
     /* 2167017 */   // Label 29539: @2167017
     /* 2167017 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2167065), // Rule ID 51987 //
     /* 2167022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167025 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2167028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2167042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167064 */     // GIR_Coverage, 51987,
     /* 2167064 */     GIR_EraseRootFromParent_Done,
     /* 2167065 */   // Label 29540: @2167065
     /* 2167065 */   GIM_Reject,
     /* 2167066 */ // Label 29538: @2167066
     /* 2167066 */ GIM_Reject,
     /* 2167067 */ // Label 29498: @2167067
     /* 2167067 */ GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2167187),
     /* 2167072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2167075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167090 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2167138), // Rule ID 52022 //
     /* 2167095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167098 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2167101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167137 */     // GIR_Coverage, 52022,
     /* 2167137 */     GIR_EraseRootFromParent_Done,
     /* 2167138 */   // Label 29542: @2167138
     /* 2167138 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2167186), // Rule ID 52023 //
     /* 2167143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167146 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2167149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167185 */     // GIR_Coverage, 52023,
     /* 2167185 */     GIR_EraseRootFromParent_Done,
     /* 2167186 */   // Label 29543: @2167186
     /* 2167186 */   GIM_Reject,
     /* 2167187 */ // Label 29541: @2167187
     /* 2167187 */ GIM_Reject,
     /* 2167188 */ // Label 29499: @2167188
     /* 2167188 */ GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2167308),
     /* 2167193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2167196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167211 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2167259), // Rule ID 52038 //
     /* 2167216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2167219 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2167222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2167236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167258 */     // GIR_Coverage, 52038,
     /* 2167258 */     GIR_EraseRootFromParent_Done,
     /* 2167259 */   // Label 29545: @2167259
     /* 2167259 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2167307), // Rule ID 52039 //
     /* 2167264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2167267 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2167270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2167284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167306 */     // GIR_Coverage, 52039,
     /* 2167306 */     GIR_EraseRootFromParent_Done,
     /* 2167307 */   // Label 29546: @2167307
     /* 2167307 */   GIM_Reject,
     /* 2167308 */ // Label 29544: @2167308
     /* 2167308 */ GIM_Reject,
     /* 2167309 */ // Label 29500: @2167309
     /* 2167309 */ GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2167429),
     /* 2167314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2167317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2167320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167332 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2167380), // Rule ID 51982 //
     /* 2167337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167340 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2167343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2167357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167379 */     // GIR_Coverage, 51982,
     /* 2167379 */     GIR_EraseRootFromParent_Done,
     /* 2167380 */   // Label 29548: @2167380
     /* 2167380 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2167428), // Rule ID 51983 //
     /* 2167385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167388 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2167391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2167405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167427 */     // GIR_Coverage, 51983,
     /* 2167427 */     GIR_EraseRootFromParent_Done,
     /* 2167428 */   // Label 29549: @2167428
     /* 2167428 */   GIM_Reject,
     /* 2167429 */ // Label 29547: @2167429
     /* 2167429 */ GIM_Reject,
     /* 2167430 */ // Label 29501: @2167430
     /* 2167430 */ GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2167550),
     /* 2167435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2167438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167453 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2167501), // Rule ID 52010 //
     /* 2167458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167461 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2167464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167500 */     // GIR_Coverage, 52010,
     /* 2167500 */     GIR_EraseRootFromParent_Done,
     /* 2167501 */   // Label 29551: @2167501
     /* 2167501 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2167549), // Rule ID 52011 //
     /* 2167506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167509 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2167512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167548 */     // GIR_Coverage, 52011,
     /* 2167548 */     GIR_EraseRootFromParent_Done,
     /* 2167549 */   // Label 29552: @2167549
     /* 2167549 */   GIM_Reject,
     /* 2167550 */ // Label 29550: @2167550
     /* 2167550 */ GIM_Reject,
     /* 2167551 */ // Label 29502: @2167551
     /* 2167551 */ GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2167671),
     /* 2167556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2167559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167574 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2167622), // Rule ID 52026 //
     /* 2167579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167582 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2167585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2167599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167621 */     // GIR_Coverage, 52026,
     /* 2167621 */     GIR_EraseRootFromParent_Done,
     /* 2167622 */   // Label 29554: @2167622
     /* 2167622 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2167670), // Rule ID 52027 //
     /* 2167627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167630 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2167633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2167647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167669 */     // GIR_Coverage, 52027,
     /* 2167669 */     GIR_EraseRootFromParent_Done,
     /* 2167670 */   // Label 29555: @2167670
     /* 2167670 */   GIM_Reject,
     /* 2167671 */ // Label 29553: @2167671
     /* 2167671 */ GIM_Reject,
     /* 2167672 */ // Label 29503: @2167672
     /* 2167672 */ GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2167792),
     /* 2167677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2167680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167695 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2167743), // Rule ID 52042 //
     /* 2167700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2167703 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2167706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2167720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167742 */     // GIR_Coverage, 52042,
     /* 2167742 */     GIR_EraseRootFromParent_Done,
     /* 2167743 */   // Label 29557: @2167743
     /* 2167743 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2167791), // Rule ID 52043 //
     /* 2167748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2167751 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2167754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2167768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167790 */     // GIR_Coverage, 52043,
     /* 2167790 */     GIR_EraseRootFromParent_Done,
     /* 2167791 */   // Label 29558: @2167791
     /* 2167791 */   GIM_Reject,
     /* 2167792 */ // Label 29556: @2167792
     /* 2167792 */ GIM_Reject,
     /* 2167793 */ // Label 29504: @2167793
     /* 2167793 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2167913),
     /* 2167798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2167801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2167804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167816 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2167864), // Rule ID 51998 //
     /* 2167821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167824 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2167827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167863 */     // GIR_Coverage, 51998,
     /* 2167863 */     GIR_EraseRootFromParent_Done,
     /* 2167864 */   // Label 29560: @2167864
     /* 2167864 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2167912), // Rule ID 51999 //
     /* 2167869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167872 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2167875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2167889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167911 */     // GIR_Coverage, 51999,
     /* 2167911 */     GIR_EraseRootFromParent_Done,
     /* 2167912 */   // Label 29561: @2167912
     /* 2167912 */   GIM_Reject,
     /* 2167913 */ // Label 29559: @2167913
     /* 2167913 */ GIM_Reject,
     /* 2167914 */ // Label 29505: @2167914
     /* 2167914 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2168034),
     /* 2167919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2167922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167937 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2167985), // Rule ID 52014 //
     /* 2167942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167945 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2167945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2167948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2167952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2167959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2167962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2167967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2167969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2167971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2167974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2167983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167984 */     // GIR_Coverage, 52014,
     /* 2167984 */     GIR_EraseRootFromParent_Done,
     /* 2167985 */   // Label 29563: @2167985
     /* 2167985 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2168033), // Rule ID 52015 //
     /* 2167990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167993 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2167993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2167996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2168010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168032 */     // GIR_Coverage, 52015,
     /* 2168032 */     GIR_EraseRootFromParent_Done,
     /* 2168033 */   // Label 29564: @2168033
     /* 2168033 */   GIM_Reject,
     /* 2168034 */ // Label 29562: @2168034
     /* 2168034 */ GIM_Reject,
     /* 2168035 */ // Label 29506: @2168035
     /* 2168035 */ GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2168155),
     /* 2168040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2168043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168058 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2168106), // Rule ID 52030 //
     /* 2168063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168066 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2168069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168105 */     // GIR_Coverage, 52030,
     /* 2168105 */     GIR_EraseRootFromParent_Done,
     /* 2168106 */   // Label 29566: @2168106
     /* 2168106 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2168154), // Rule ID 52031 //
     /* 2168111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168114 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2168117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168153 */     // GIR_Coverage, 52031,
     /* 2168153 */     GIR_EraseRootFromParent_Done,
     /* 2168154 */   // Label 29567: @2168154
     /* 2168154 */   GIM_Reject,
     /* 2168155 */ // Label 29565: @2168155
     /* 2168155 */ GIM_Reject,
     /* 2168156 */ // Label 29507: @2168156
     /* 2168156 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2168276),
     /* 2168161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2168164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2168167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168179 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2168227), // Rule ID 52002 //
     /* 2168184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168187 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2168190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2168204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168226 */     // GIR_Coverage, 52002,
     /* 2168226 */     GIR_EraseRootFromParent_Done,
     /* 2168227 */   // Label 29569: @2168227
     /* 2168227 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2168275), // Rule ID 52003 //
     /* 2168232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168235 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2168238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2168252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168274 */     // GIR_Coverage, 52003,
     /* 2168274 */     GIR_EraseRootFromParent_Done,
     /* 2168275 */   // Label 29570: @2168275
     /* 2168275 */   GIM_Reject,
     /* 2168276 */ // Label 29568: @2168276
     /* 2168276 */ GIM_Reject,
     /* 2168277 */ // Label 29508: @2168277
     /* 2168277 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2168397),
     /* 2168282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2168285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2168288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168300 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2168348), // Rule ID 52018 //
     /* 2168305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168308 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2168311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168347 */     // GIR_Coverage, 52018,
     /* 2168347 */     GIR_EraseRootFromParent_Done,
     /* 2168348 */   // Label 29572: @2168348
     /* 2168348 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2168396), // Rule ID 52019 //
     /* 2168353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168356 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2168359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168395 */     // GIR_Coverage, 52019,
     /* 2168395 */     GIR_EraseRootFromParent_Done,
     /* 2168396 */   // Label 29573: @2168396
     /* 2168396 */   GIM_Reject,
     /* 2168397 */ // Label 29571: @2168397
     /* 2168397 */ GIM_Reject,
     /* 2168398 */ // Label 29509: @2168398
     /* 2168398 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2168518),
     /* 2168403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2168406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2168409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168421 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2168469), // Rule ID 52006 //
     /* 2168426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168429 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2168432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168468 */     // GIR_Coverage, 52006,
     /* 2168468 */     GIR_EraseRootFromParent_Done,
     /* 2168469 */   // Label 29575: @2168469
     /* 2168469 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2168517), // Rule ID 52007 //
     /* 2168474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168477 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2168480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2168494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168516 */     // GIR_Coverage, 52007,
     /* 2168516 */     GIR_EraseRootFromParent_Done,
     /* 2168517 */   // Label 29576: @2168517
     /* 2168517 */   GIM_Reject,
     /* 2168518 */ // Label 29574: @2168518
     /* 2168518 */ GIM_Reject,
     /* 2168519 */ // Label 29510: @2168519
     /* 2168519 */ GIM_Reject,
     /* 2168520 */ // Label 54: @2168520
     /* 2168520 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29599*/ GIMT_Encode4(2171305),
     /* 2168531 */ /*GILLT_nxv1s8*//*Label 29577*/ GIMT_Encode4(2168643),
     /* 2168535 */ /*GILLT_nxv1s16*//*Label 29578*/ GIMT_Encode4(2168764),
     /* 2168539 */ /*GILLT_nxv1s32*//*Label 29579*/ GIMT_Encode4(2168885),
     /* 2168543 */ /*GILLT_nxv1s64*//*Label 29580*/ GIMT_Encode4(2169006), GIMT_Encode4(0),
     /* 2168551 */ /*GILLT_nxv2s8*//*Label 29581*/ GIMT_Encode4(2169127),
     /* 2168555 */ /*GILLT_nxv2s16*//*Label 29582*/ GIMT_Encode4(2169248),
     /* 2168559 */ /*GILLT_nxv2s32*//*Label 29583*/ GIMT_Encode4(2169369),
     /* 2168563 */ /*GILLT_nxv2s64*//*Label 29584*/ GIMT_Encode4(2169490), GIMT_Encode4(0),
     /* 2168571 */ /*GILLT_nxv4s8*//*Label 29585*/ GIMT_Encode4(2169611),
     /* 2168575 */ /*GILLT_nxv4s16*//*Label 29586*/ GIMT_Encode4(2169732),
     /* 2168579 */ /*GILLT_nxv4s32*//*Label 29587*/ GIMT_Encode4(2169853),
     /* 2168583 */ /*GILLT_nxv4s64*//*Label 29588*/ GIMT_Encode4(2169974), GIMT_Encode4(0),
     /* 2168591 */ /*GILLT_nxv8s8*//*Label 29589*/ GIMT_Encode4(2170095),
     /* 2168595 */ /*GILLT_nxv8s16*//*Label 29590*/ GIMT_Encode4(2170216),
     /* 2168599 */ /*GILLT_nxv8s32*//*Label 29591*/ GIMT_Encode4(2170337),
     /* 2168603 */ /*GILLT_nxv8s64*//*Label 29592*/ GIMT_Encode4(2170458), GIMT_Encode4(0),
     /* 2168611 */ /*GILLT_nxv16s8*//*Label 29593*/ GIMT_Encode4(2170579),
     /* 2168615 */ /*GILLT_nxv16s16*//*Label 29594*/ GIMT_Encode4(2170700),
     /* 2168619 */ /*GILLT_nxv16s32*//*Label 29595*/ GIMT_Encode4(2170821), GIMT_Encode4(0),
     /* 2168627 */ /*GILLT_nxv32s8*//*Label 29596*/ GIMT_Encode4(2170942),
     /* 2168631 */ /*GILLT_nxv32s16*//*Label 29597*/ GIMT_Encode4(2171063), GIMT_Encode4(0),
     /* 2168639 */ /*GILLT_nxv64s8*//*Label 29598*/ GIMT_Encode4(2171184),
     /* 2168643 */ // Label 29577: @2168643
     /* 2168643 */ GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2168763),
     /* 2168648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2168651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2168654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168666 */   GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2168714), // Rule ID 51826 //
     /* 2168671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168674 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2168677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2168691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168713 */     // GIR_Coverage, 51826,
     /* 2168713 */     GIR_EraseRootFromParent_Done,
     /* 2168714 */   // Label 29601: @2168714
     /* 2168714 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2168762), // Rule ID 51827 //
     /* 2168719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168722 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2168725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2168739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168761 */     // GIR_Coverage, 51827,
     /* 2168761 */     GIR_EraseRootFromParent_Done,
     /* 2168762 */   // Label 29602: @2168762
     /* 2168762 */   GIM_Reject,
     /* 2168763 */ // Label 29600: @2168763
     /* 2168763 */ GIM_Reject,
     /* 2168764 */ // Label 29578: @2168764
     /* 2168764 */ GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2168884),
     /* 2168769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2168772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168787 */   GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2168835), // Rule ID 51838 //
     /* 2168792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168795 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2168798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2168812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168834 */     // GIR_Coverage, 51838,
     /* 2168834 */     GIR_EraseRootFromParent_Done,
     /* 2168835 */   // Label 29604: @2168835
     /* 2168835 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2168883), // Rule ID 51839 //
     /* 2168840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168843 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2168846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2168860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168882 */     // GIR_Coverage, 51839,
     /* 2168882 */     GIR_EraseRootFromParent_Done,
     /* 2168883 */   // Label 29605: @2168883
     /* 2168883 */   GIM_Reject,
     /* 2168884 */ // Label 29603: @2168884
     /* 2168884 */ GIM_Reject,
     /* 2168885 */ // Label 29579: @2168885
     /* 2168885 */ GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2169005),
     /* 2168890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2168893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168908 */   GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2168956), // Rule ID 51846 //
     /* 2168913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168916 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2168916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2168919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2168933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2168954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168955 */     // GIR_Coverage, 51846,
     /* 2168955 */     GIR_EraseRootFromParent_Done,
     /* 2168956 */   // Label 29607: @2168956
     /* 2168956 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2169004), // Rule ID 51847 //
     /* 2168961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168964 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2168964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2168967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2168971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2168978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2168981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2168986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2168988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2168990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2168993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169003 */     // GIR_Coverage, 51847,
     /* 2169003 */     GIR_EraseRootFromParent_Done,
     /* 2169004 */   // Label 29608: @2169004
     /* 2169004 */   GIM_Reject,
     /* 2169005 */ // Label 29606: @2169005
     /* 2169005 */ GIM_Reject,
     /* 2169006 */ // Label 29580: @2169006
     /* 2169006 */ GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2169126),
     /* 2169011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2169014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169029 */   GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2169077), // Rule ID 51862 //
     /* 2169034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2169037 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2169040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169076 */     // GIR_Coverage, 51862,
     /* 2169076 */     GIR_EraseRootFromParent_Done,
     /* 2169077 */   // Label 29610: @2169077
     /* 2169077 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2169125), // Rule ID 51863 //
     /* 2169082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2169085 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2169088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169124 */     // GIR_Coverage, 51863,
     /* 2169124 */     GIR_EraseRootFromParent_Done,
     /* 2169125 */   // Label 29611: @2169125
     /* 2169125 */   GIM_Reject,
     /* 2169126 */ // Label 29609: @2169126
     /* 2169126 */ GIM_Reject,
     /* 2169127 */ // Label 29581: @2169127
     /* 2169127 */ GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2169247),
     /* 2169132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2169135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2169138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169150 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2169198), // Rule ID 51830 //
     /* 2169155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169158 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2169161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2169175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169197 */     // GIR_Coverage, 51830,
     /* 2169197 */     GIR_EraseRootFromParent_Done,
     /* 2169198 */   // Label 29613: @2169198
     /* 2169198 */   GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2169246), // Rule ID 51831 //
     /* 2169203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169206 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2169209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2169223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169245 */     // GIR_Coverage, 51831,
     /* 2169245 */     GIR_EraseRootFromParent_Done,
     /* 2169246 */   // Label 29614: @2169246
     /* 2169246 */   GIM_Reject,
     /* 2169247 */ // Label 29612: @2169247
     /* 2169247 */ GIM_Reject,
     /* 2169248 */ // Label 29582: @2169248
     /* 2169248 */ GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2169368),
     /* 2169253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2169256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2169259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169271 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2169319), // Rule ID 51842 //
     /* 2169276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169279 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2169282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2169296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169318 */     // GIR_Coverage, 51842,
     /* 2169318 */     GIR_EraseRootFromParent_Done,
     /* 2169319 */   // Label 29616: @2169319
     /* 2169319 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2169367), // Rule ID 51843 //
     /* 2169324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169327 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2169330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2169344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169366 */     // GIR_Coverage, 51843,
     /* 2169366 */     GIR_EraseRootFromParent_Done,
     /* 2169367 */   // Label 29617: @2169367
     /* 2169367 */   GIM_Reject,
     /* 2169368 */ // Label 29615: @2169368
     /* 2169368 */ GIM_Reject,
     /* 2169369 */ // Label 29583: @2169369
     /* 2169369 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2169489),
     /* 2169374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2169377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169392 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2169440), // Rule ID 51858 //
     /* 2169397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169400 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2169403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169439 */     // GIR_Coverage, 51858,
     /* 2169439 */     GIR_EraseRootFromParent_Done,
     /* 2169440 */   // Label 29619: @2169440
     /* 2169440 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2169488), // Rule ID 51859 //
     /* 2169445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169448 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2169451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169487 */     // GIR_Coverage, 51859,
     /* 2169487 */     GIR_EraseRootFromParent_Done,
     /* 2169488 */   // Label 29620: @2169488
     /* 2169488 */   GIM_Reject,
     /* 2169489 */ // Label 29618: @2169489
     /* 2169489 */ GIM_Reject,
     /* 2169490 */ // Label 29584: @2169490
     /* 2169490 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2169610),
     /* 2169495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2169498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2169501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169513 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2169561), // Rule ID 51902 //
     /* 2169518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2169521 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2169524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2169538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169560 */     // GIR_Coverage, 51902,
     /* 2169560 */     GIR_EraseRootFromParent_Done,
     /* 2169561 */   // Label 29622: @2169561
     /* 2169561 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2169609), // Rule ID 51903 //
     /* 2169566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2169569 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2169572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2169586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169608 */     // GIR_Coverage, 51903,
     /* 2169608 */     GIR_EraseRootFromParent_Done,
     /* 2169609 */   // Label 29623: @2169609
     /* 2169609 */   GIM_Reject,
     /* 2169610 */ // Label 29621: @2169610
     /* 2169610 */ GIM_Reject,
     /* 2169611 */ // Label 29585: @2169611
     /* 2169611 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2169731),
     /* 2169616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2169619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2169622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169634 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2169682), // Rule ID 51834 //
     /* 2169639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169642 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2169645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2169659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169681 */     // GIR_Coverage, 51834,
     /* 2169681 */     GIR_EraseRootFromParent_Done,
     /* 2169682 */   // Label 29625: @2169682
     /* 2169682 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2169730), // Rule ID 51835 //
     /* 2169687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169690 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2169693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2169707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169729 */     // GIR_Coverage, 51835,
     /* 2169729 */     GIR_EraseRootFromParent_Done,
     /* 2169730 */   // Label 29626: @2169730
     /* 2169730 */   GIM_Reject,
     /* 2169731 */ // Label 29624: @2169731
     /* 2169731 */ GIM_Reject,
     /* 2169732 */ // Label 29586: @2169732
     /* 2169732 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2169852),
     /* 2169737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2169740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169755 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2169803), // Rule ID 51854 //
     /* 2169760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169763 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2169766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169802 */     // GIR_Coverage, 51854,
     /* 2169802 */     GIR_EraseRootFromParent_Done,
     /* 2169803 */   // Label 29628: @2169803
     /* 2169803 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2169851), // Rule ID 51855 //
     /* 2169808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169811 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2169814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2169828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169850 */     // GIR_Coverage, 51855,
     /* 2169850 */     GIR_EraseRootFromParent_Done,
     /* 2169851 */   // Label 29629: @2169851
     /* 2169851 */   GIM_Reject,
     /* 2169852 */ // Label 29627: @2169852
     /* 2169852 */ GIM_Reject,
     /* 2169853 */ // Label 29587: @2169853
     /* 2169853 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2169973),
     /* 2169858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2169861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169876 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2169924), // Rule ID 51890 //
     /* 2169881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169884 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2169884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2169887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2169901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169923 */     // GIR_Coverage, 51890,
     /* 2169923 */     GIR_EraseRootFromParent_Done,
     /* 2169924 */   // Label 29631: @2169924
     /* 2169924 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2169972), // Rule ID 51891 //
     /* 2169929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169932 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2169932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2169935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2169939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2169946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2169949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2169954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2169956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2169958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2169961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2169970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169971 */     // GIR_Coverage, 51891,
     /* 2169971 */     GIR_EraseRootFromParent_Done,
     /* 2169972 */   // Label 29632: @2169972
     /* 2169972 */   GIM_Reject,
     /* 2169973 */ // Label 29630: @2169973
     /* 2169973 */ GIM_Reject,
     /* 2169974 */ // Label 29588: @2169974
     /* 2169974 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2170094),
     /* 2169979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2169982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2169985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169997 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2170045), // Rule ID 51906 //
     /* 2170002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2170005 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2170008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170044 */     // GIR_Coverage, 51906,
     /* 2170044 */     GIR_EraseRootFromParent_Done,
     /* 2170045 */   // Label 29634: @2170045
     /* 2170045 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2170093), // Rule ID 51907 //
     /* 2170050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2170053 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2170056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170092 */     // GIR_Coverage, 51907,
     /* 2170092 */     GIR_EraseRootFromParent_Done,
     /* 2170093 */   // Label 29635: @2170093
     /* 2170093 */   GIM_Reject,
     /* 2170094 */ // Label 29633: @2170094
     /* 2170094 */ GIM_Reject,
     /* 2170095 */ // Label 29589: @2170095
     /* 2170095 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2170215),
     /* 2170100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2170103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2170106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170118 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2170166), // Rule ID 51850 //
     /* 2170123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170126 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2170129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2170143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170165 */     // GIR_Coverage, 51850,
     /* 2170165 */     GIR_EraseRootFromParent_Done,
     /* 2170166 */   // Label 29637: @2170166
     /* 2170166 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2170214), // Rule ID 51851 //
     /* 2170171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170174 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2170177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2170191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170213 */     // GIR_Coverage, 51851,
     /* 2170213 */     GIR_EraseRootFromParent_Done,
     /* 2170214 */   // Label 29638: @2170214
     /* 2170214 */   GIM_Reject,
     /* 2170215 */ // Label 29636: @2170215
     /* 2170215 */ GIM_Reject,
     /* 2170216 */ // Label 29590: @2170216
     /* 2170216 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2170336),
     /* 2170221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2170224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2170227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170239 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2170287), // Rule ID 51878 //
     /* 2170244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170247 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2170250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2170264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170286 */     // GIR_Coverage, 51878,
     /* 2170286 */     GIR_EraseRootFromParent_Done,
     /* 2170287 */   // Label 29640: @2170287
     /* 2170287 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2170335), // Rule ID 51879 //
     /* 2170292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170295 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2170298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2170312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170334 */     // GIR_Coverage, 51879,
     /* 2170334 */     GIR_EraseRootFromParent_Done,
     /* 2170335 */   // Label 29641: @2170335
     /* 2170335 */   GIM_Reject,
     /* 2170336 */ // Label 29639: @2170336
     /* 2170336 */ GIM_Reject,
     /* 2170337 */ // Label 29591: @2170337
     /* 2170337 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2170457),
     /* 2170342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2170345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170360 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2170408), // Rule ID 51894 //
     /* 2170365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170368 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2170371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170407 */     // GIR_Coverage, 51894,
     /* 2170407 */     GIR_EraseRootFromParent_Done,
     /* 2170408 */   // Label 29643: @2170408
     /* 2170408 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2170456), // Rule ID 51895 //
     /* 2170413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170416 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2170419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170455 */     // GIR_Coverage, 51895,
     /* 2170455 */     GIR_EraseRootFromParent_Done,
     /* 2170456 */   // Label 29644: @2170456
     /* 2170456 */   GIM_Reject,
     /* 2170457 */ // Label 29642: @2170457
     /* 2170457 */ GIM_Reject,
     /* 2170458 */ // Label 29592: @2170458
     /* 2170458 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2170578),
     /* 2170463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2170466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170481 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2170529), // Rule ID 51910 //
     /* 2170486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2170489 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2170492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2170506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170528 */     // GIR_Coverage, 51910,
     /* 2170528 */     GIR_EraseRootFromParent_Done,
     /* 2170529 */   // Label 29646: @2170529
     /* 2170529 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2170577), // Rule ID 51911 //
     /* 2170534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2170537 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2170540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2170554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170576 */     // GIR_Coverage, 51911,
     /* 2170576 */     GIR_EraseRootFromParent_Done,
     /* 2170577 */   // Label 29647: @2170577
     /* 2170577 */   GIM_Reject,
     /* 2170578 */ // Label 29645: @2170578
     /* 2170578 */ GIM_Reject,
     /* 2170579 */ // Label 29593: @2170579
     /* 2170579 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2170699),
     /* 2170584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2170587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2170590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170602 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2170650), // Rule ID 51866 //
     /* 2170607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170610 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2170613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2170627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170649 */     // GIR_Coverage, 51866,
     /* 2170649 */     GIR_EraseRootFromParent_Done,
     /* 2170650 */   // Label 29649: @2170650
     /* 2170650 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2170698), // Rule ID 51867 //
     /* 2170655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170658 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2170661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2170675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170697 */     // GIR_Coverage, 51867,
     /* 2170697 */     GIR_EraseRootFromParent_Done,
     /* 2170698 */   // Label 29650: @2170698
     /* 2170698 */   GIM_Reject,
     /* 2170699 */ // Label 29648: @2170699
     /* 2170699 */ GIM_Reject,
     /* 2170700 */ // Label 29594: @2170700
     /* 2170700 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2170820),
     /* 2170705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2170708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170723 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2170771), // Rule ID 51882 //
     /* 2170728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170731 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2170734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170770 */     // GIR_Coverage, 51882,
     /* 2170770 */     GIR_EraseRootFromParent_Done,
     /* 2170771 */   // Label 29652: @2170771
     /* 2170771 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2170819), // Rule ID 51883 //
     /* 2170776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170779 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2170782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170818 */     // GIR_Coverage, 51883,
     /* 2170818 */     GIR_EraseRootFromParent_Done,
     /* 2170819 */   // Label 29653: @2170819
     /* 2170819 */   GIM_Reject,
     /* 2170820 */ // Label 29651: @2170820
     /* 2170820 */ GIM_Reject,
     /* 2170821 */ // Label 29595: @2170821
     /* 2170821 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2170941),
     /* 2170826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2170829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170844 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2170892), // Rule ID 51898 //
     /* 2170849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170852 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2170855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2170869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170891 */     // GIR_Coverage, 51898,
     /* 2170891 */     GIR_EraseRootFromParent_Done,
     /* 2170892 */   // Label 29655: @2170892
     /* 2170892 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2170940), // Rule ID 51899 //
     /* 2170897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170900 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2170900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2170903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2170917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2170929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2170935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2170938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170939 */     // GIR_Coverage, 51899,
     /* 2170939 */     GIR_EraseRootFromParent_Done,
     /* 2170940 */   // Label 29656: @2170940
     /* 2170940 */   GIM_Reject,
     /* 2170941 */ // Label 29654: @2170941
     /* 2170941 */ GIM_Reject,
     /* 2170942 */ // Label 29596: @2170942
     /* 2170942 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2171062),
     /* 2170947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2170950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2170953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170965 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2171013), // Rule ID 51870 //
     /* 2170970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170973 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2170973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2170976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2170980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2170987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2170990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2170995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2170997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2170999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171012 */     // GIR_Coverage, 51870,
     /* 2171012 */     GIR_EraseRootFromParent_Done,
     /* 2171013 */   // Label 29658: @2171013
     /* 2171013 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2171061), // Rule ID 51871 //
     /* 2171018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171021 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2171024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2171038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171060 */     // GIR_Coverage, 51871,
     /* 2171060 */     GIR_EraseRootFromParent_Done,
     /* 2171061 */   // Label 29659: @2171061
     /* 2171061 */   GIM_Reject,
     /* 2171062 */ // Label 29657: @2171062
     /* 2171062 */ GIM_Reject,
     /* 2171063 */ // Label 29597: @2171063
     /* 2171063 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2171183),
     /* 2171068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2171071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2171074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171086 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2171134), // Rule ID 51886 //
     /* 2171091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171094 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2171097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2171111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171133 */     // GIR_Coverage, 51886,
     /* 2171133 */     GIR_EraseRootFromParent_Done,
     /* 2171134 */   // Label 29661: @2171134
     /* 2171134 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2171182), // Rule ID 51887 //
     /* 2171139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171142 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2171145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2171159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171181 */     // GIR_Coverage, 51887,
     /* 2171181 */     GIR_EraseRootFromParent_Done,
     /* 2171182 */   // Label 29662: @2171182
     /* 2171182 */   GIM_Reject,
     /* 2171183 */ // Label 29660: @2171183
     /* 2171183 */ GIM_Reject,
     /* 2171184 */ // Label 29598: @2171184
     /* 2171184 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2171304),
     /* 2171189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2171192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2171195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171207 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2171255), // Rule ID 51874 //
     /* 2171212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171215 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2171218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2171232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171254 */     // GIR_Coverage, 51874,
     /* 2171254 */     GIR_EraseRootFromParent_Done,
     /* 2171255 */   // Label 29664: @2171255
     /* 2171255 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2171303), // Rule ID 51875 //
     /* 2171260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171263 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2171266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2171280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171302 */     // GIR_Coverage, 51875,
     /* 2171302 */     GIR_EraseRootFromParent_Done,
     /* 2171303 */   // Label 29665: @2171303
     /* 2171303 */   GIM_Reject,
     /* 2171304 */ // Label 29663: @2171304
     /* 2171304 */ GIM_Reject,
     /* 2171305 */ // Label 29599: @2171305
     /* 2171305 */ GIM_Reject,
     /* 2171306 */ // Label 55: @2171306
     /* 2171306 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29688*/ GIMT_Encode4(2174091),
     /* 2171317 */ /*GILLT_nxv1s8*//*Label 29666*/ GIMT_Encode4(2171429),
     /* 2171321 */ /*GILLT_nxv1s16*//*Label 29667*/ GIMT_Encode4(2171550),
     /* 2171325 */ /*GILLT_nxv1s32*//*Label 29668*/ GIMT_Encode4(2171671),
     /* 2171329 */ /*GILLT_nxv1s64*//*Label 29669*/ GIMT_Encode4(2171792), GIMT_Encode4(0),
     /* 2171337 */ /*GILLT_nxv2s8*//*Label 29670*/ GIMT_Encode4(2171913),
     /* 2171341 */ /*GILLT_nxv2s16*//*Label 29671*/ GIMT_Encode4(2172034),
     /* 2171345 */ /*GILLT_nxv2s32*//*Label 29672*/ GIMT_Encode4(2172155),
     /* 2171349 */ /*GILLT_nxv2s64*//*Label 29673*/ GIMT_Encode4(2172276), GIMT_Encode4(0),
     /* 2171357 */ /*GILLT_nxv4s8*//*Label 29674*/ GIMT_Encode4(2172397),
     /* 2171361 */ /*GILLT_nxv4s16*//*Label 29675*/ GIMT_Encode4(2172518),
     /* 2171365 */ /*GILLT_nxv4s32*//*Label 29676*/ GIMT_Encode4(2172639),
     /* 2171369 */ /*GILLT_nxv4s64*//*Label 29677*/ GIMT_Encode4(2172760), GIMT_Encode4(0),
     /* 2171377 */ /*GILLT_nxv8s8*//*Label 29678*/ GIMT_Encode4(2172881),
     /* 2171381 */ /*GILLT_nxv8s16*//*Label 29679*/ GIMT_Encode4(2173002),
     /* 2171385 */ /*GILLT_nxv8s32*//*Label 29680*/ GIMT_Encode4(2173123),
     /* 2171389 */ /*GILLT_nxv8s64*//*Label 29681*/ GIMT_Encode4(2173244), GIMT_Encode4(0),
     /* 2171397 */ /*GILLT_nxv16s8*//*Label 29682*/ GIMT_Encode4(2173365),
     /* 2171401 */ /*GILLT_nxv16s16*//*Label 29683*/ GIMT_Encode4(2173486),
     /* 2171405 */ /*GILLT_nxv16s32*//*Label 29684*/ GIMT_Encode4(2173607), GIMT_Encode4(0),
     /* 2171413 */ /*GILLT_nxv32s8*//*Label 29685*/ GIMT_Encode4(2173728),
     /* 2171417 */ /*GILLT_nxv32s16*//*Label 29686*/ GIMT_Encode4(2173849), GIMT_Encode4(0),
     /* 2171425 */ /*GILLT_nxv64s8*//*Label 29687*/ GIMT_Encode4(2173970),
     /* 2171429 */ // Label 29666: @2171429
     /* 2171429 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2171549),
     /* 2171434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2171437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2171440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171452 */   GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2171500), // Rule ID 52178 //
     /* 2171457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171460 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2171463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2171477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171499 */     // GIR_Coverage, 52178,
     /* 2171499 */     GIR_EraseRootFromParent_Done,
     /* 2171500 */   // Label 29690: @2171500
     /* 2171500 */   GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2171548), // Rule ID 52179 //
     /* 2171505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171508 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2171511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2171525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171547 */     // GIR_Coverage, 52179,
     /* 2171547 */     GIR_EraseRootFromParent_Done,
     /* 2171548 */   // Label 29691: @2171548
     /* 2171548 */   GIM_Reject,
     /* 2171549 */ // Label 29689: @2171549
     /* 2171549 */ GIM_Reject,
     /* 2171550 */ // Label 29667: @2171550
     /* 2171550 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2171670),
     /* 2171555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2171558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171573 */   GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2171621), // Rule ID 52190 //
     /* 2171578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171581 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2171584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2171598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171620 */     // GIR_Coverage, 52190,
     /* 2171620 */     GIR_EraseRootFromParent_Done,
     /* 2171621 */   // Label 29693: @2171621
     /* 2171621 */   GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2171669), // Rule ID 52191 //
     /* 2171626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171629 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2171632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2171646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171668 */     // GIR_Coverage, 52191,
     /* 2171668 */     GIR_EraseRootFromParent_Done,
     /* 2171669 */   // Label 29694: @2171669
     /* 2171669 */   GIM_Reject,
     /* 2171670 */ // Label 29692: @2171670
     /* 2171670 */ GIM_Reject,
     /* 2171671 */ // Label 29668: @2171671
     /* 2171671 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2171791),
     /* 2171676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2171679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171694 */   GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2171742), // Rule ID 52198 //
     /* 2171699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171702 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2171705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2171719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171741 */     // GIR_Coverage, 52198,
     /* 2171741 */     GIR_EraseRootFromParent_Done,
     /* 2171742 */   // Label 29696: @2171742
     /* 2171742 */   GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2171790), // Rule ID 52199 //
     /* 2171747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171750 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2171753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2171767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171789 */     // GIR_Coverage, 52199,
     /* 2171789 */     GIR_EraseRootFromParent_Done,
     /* 2171790 */   // Label 29697: @2171790
     /* 2171790 */   GIM_Reject,
     /* 2171791 */ // Label 29695: @2171791
     /* 2171791 */ GIM_Reject,
     /* 2171792 */ // Label 29669: @2171792
     /* 2171792 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2171912),
     /* 2171797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2171800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171815 */   GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2171863), // Rule ID 52214 //
     /* 2171820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2171823 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2171826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2171840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171862 */     // GIR_Coverage, 52214,
     /* 2171862 */     GIR_EraseRootFromParent_Done,
     /* 2171863 */   // Label 29699: @2171863
     /* 2171863 */   GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2171911), // Rule ID 52215 //
     /* 2171868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2171871 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2171874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171910 */     // GIR_Coverage, 52215,
     /* 2171910 */     GIR_EraseRootFromParent_Done,
     /* 2171911 */   // Label 29700: @2171911
     /* 2171911 */   GIM_Reject,
     /* 2171912 */ // Label 29698: @2171912
     /* 2171912 */ GIM_Reject,
     /* 2171913 */ // Label 29670: @2171913
     /* 2171913 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2172033),
     /* 2171918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2171921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2171924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171936 */   GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2171984), // Rule ID 52182 //
     /* 2171941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171944 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2171944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2171947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2171958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2171961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2171966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2171968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2171970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2171973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171983 */     // GIR_Coverage, 52182,
     /* 2171983 */     GIR_EraseRootFromParent_Done,
     /* 2171984 */   // Label 29702: @2171984
     /* 2171984 */   GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2172032), // Rule ID 52183 //
     /* 2171989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171992 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2171992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2171995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2171999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2172009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172031 */     // GIR_Coverage, 52183,
     /* 2172031 */     GIR_EraseRootFromParent_Done,
     /* 2172032 */   // Label 29703: @2172032
     /* 2172032 */   GIM_Reject,
     /* 2172033 */ // Label 29701: @2172033
     /* 2172033 */ GIM_Reject,
     /* 2172034 */ // Label 29671: @2172034
     /* 2172034 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2172154),
     /* 2172039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2172042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172057 */   GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2172105), // Rule ID 52194 //
     /* 2172062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172065 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2172068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2172082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172104 */     // GIR_Coverage, 52194,
     /* 2172104 */     GIR_EraseRootFromParent_Done,
     /* 2172105 */   // Label 29705: @2172105
     /* 2172105 */   GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2172153), // Rule ID 52195 //
     /* 2172110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172113 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2172116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2172130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172152 */     // GIR_Coverage, 52195,
     /* 2172152 */     GIR_EraseRootFromParent_Done,
     /* 2172153 */   // Label 29706: @2172153
     /* 2172153 */   GIM_Reject,
     /* 2172154 */ // Label 29704: @2172154
     /* 2172154 */ GIM_Reject,
     /* 2172155 */ // Label 29672: @2172155
     /* 2172155 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2172275),
     /* 2172160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2172163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172178 */   GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2172226), // Rule ID 52210 //
     /* 2172183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172186 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2172189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172225 */     // GIR_Coverage, 52210,
     /* 2172225 */     GIR_EraseRootFromParent_Done,
     /* 2172226 */   // Label 29708: @2172226
     /* 2172226 */   GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2172274), // Rule ID 52211 //
     /* 2172231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172234 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2172237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172273 */     // GIR_Coverage, 52211,
     /* 2172273 */     GIR_EraseRootFromParent_Done,
     /* 2172274 */   // Label 29709: @2172274
     /* 2172274 */   GIM_Reject,
     /* 2172275 */ // Label 29707: @2172275
     /* 2172275 */ GIM_Reject,
     /* 2172276 */ // Label 29673: @2172276
     /* 2172276 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2172396),
     /* 2172281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2172284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172299 */   GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2172347), // Rule ID 52254 //
     /* 2172304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2172307 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2172310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2172324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172346 */     // GIR_Coverage, 52254,
     /* 2172346 */     GIR_EraseRootFromParent_Done,
     /* 2172347 */   // Label 29711: @2172347
     /* 2172347 */   GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2172395), // Rule ID 52255 //
     /* 2172352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2172355 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2172358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2172372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172394 */     // GIR_Coverage, 52255,
     /* 2172394 */     GIR_EraseRootFromParent_Done,
     /* 2172395 */   // Label 29712: @2172395
     /* 2172395 */   GIM_Reject,
     /* 2172396 */ // Label 29710: @2172396
     /* 2172396 */ GIM_Reject,
     /* 2172397 */ // Label 29674: @2172397
     /* 2172397 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2172517),
     /* 2172402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2172405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2172408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172420 */   GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2172468), // Rule ID 52186 //
     /* 2172425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172428 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2172431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2172445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172467 */     // GIR_Coverage, 52186,
     /* 2172467 */     GIR_EraseRootFromParent_Done,
     /* 2172468 */   // Label 29714: @2172468
     /* 2172468 */   GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2172516), // Rule ID 52187 //
     /* 2172473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172476 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2172479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2172493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172515 */     // GIR_Coverage, 52187,
     /* 2172515 */     GIR_EraseRootFromParent_Done,
     /* 2172516 */   // Label 29715: @2172516
     /* 2172516 */   GIM_Reject,
     /* 2172517 */ // Label 29713: @2172517
     /* 2172517 */ GIM_Reject,
     /* 2172518 */ // Label 29675: @2172518
     /* 2172518 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2172638),
     /* 2172523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2172526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172541 */   GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2172589), // Rule ID 52206 //
     /* 2172546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172549 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2172552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172588 */     // GIR_Coverage, 52206,
     /* 2172588 */     GIR_EraseRootFromParent_Done,
     /* 2172589 */   // Label 29717: @2172589
     /* 2172589 */   GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2172637), // Rule ID 52207 //
     /* 2172594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172597 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2172600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172636 */     // GIR_Coverage, 52207,
     /* 2172636 */     GIR_EraseRootFromParent_Done,
     /* 2172637 */   // Label 29718: @2172637
     /* 2172637 */   GIM_Reject,
     /* 2172638 */ // Label 29716: @2172638
     /* 2172638 */ GIM_Reject,
     /* 2172639 */ // Label 29676: @2172639
     /* 2172639 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2172759),
     /* 2172644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2172647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172662 */   GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2172710), // Rule ID 52242 //
     /* 2172667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172670 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2172673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2172687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172709 */     // GIR_Coverage, 52242,
     /* 2172709 */     GIR_EraseRootFromParent_Done,
     /* 2172710 */   // Label 29720: @2172710
     /* 2172710 */   GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2172758), // Rule ID 52243 //
     /* 2172715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172718 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2172721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2172735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172757 */     // GIR_Coverage, 52243,
     /* 2172757 */     GIR_EraseRootFromParent_Done,
     /* 2172758 */   // Label 29721: @2172758
     /* 2172758 */   GIM_Reject,
     /* 2172759 */ // Label 29719: @2172759
     /* 2172759 */ GIM_Reject,
     /* 2172760 */ // Label 29677: @2172760
     /* 2172760 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2172880),
     /* 2172765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2172768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172783 */   GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2172831), // Rule ID 52258 //
     /* 2172788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2172791 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2172794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2172808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172830 */     // GIR_Coverage, 52258,
     /* 2172830 */     GIR_EraseRootFromParent_Done,
     /* 2172831 */   // Label 29723: @2172831
     /* 2172831 */   GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2172879), // Rule ID 52259 //
     /* 2172836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2172839 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2172842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2172856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172878 */     // GIR_Coverage, 52259,
     /* 2172878 */     GIR_EraseRootFromParent_Done,
     /* 2172879 */   // Label 29724: @2172879
     /* 2172879 */   GIM_Reject,
     /* 2172880 */ // Label 29722: @2172880
     /* 2172880 */ GIM_Reject,
     /* 2172881 */ // Label 29678: @2172881
     /* 2172881 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2173001),
     /* 2172886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2172889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2172892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172904 */   GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2172952), // Rule ID 52202 //
     /* 2172909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172912 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2172912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2172915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172951 */     // GIR_Coverage, 52202,
     /* 2172951 */     GIR_EraseRootFromParent_Done,
     /* 2172952 */   // Label 29726: @2172952
     /* 2172952 */   GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2173000), // Rule ID 52203 //
     /* 2172957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172960 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2172960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2172963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2172967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2172974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2172977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2172982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2172984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2172986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2172989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172999 */     // GIR_Coverage, 52203,
     /* 2172999 */     GIR_EraseRootFromParent_Done,
     /* 2173000 */   // Label 29727: @2173000
     /* 2173000 */   GIM_Reject,
     /* 2173001 */ // Label 29725: @2173001
     /* 2173001 */ GIM_Reject,
     /* 2173002 */ // Label 29679: @2173002
     /* 2173002 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2173122),
     /* 2173007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2173010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173025 */   GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2173073), // Rule ID 52230 //
     /* 2173030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173033 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2173036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2173050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173072 */     // GIR_Coverage, 52230,
     /* 2173072 */     GIR_EraseRootFromParent_Done,
     /* 2173073 */   // Label 29729: @2173073
     /* 2173073 */   GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2173121), // Rule ID 52231 //
     /* 2173078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173081 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2173084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2173098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173120 */     // GIR_Coverage, 52231,
     /* 2173120 */     GIR_EraseRootFromParent_Done,
     /* 2173121 */   // Label 29730: @2173121
     /* 2173121 */   GIM_Reject,
     /* 2173122 */ // Label 29728: @2173122
     /* 2173122 */ GIM_Reject,
     /* 2173123 */ // Label 29680: @2173123
     /* 2173123 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2173243),
     /* 2173128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2173131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173146 */   GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2173194), // Rule ID 52246 //
     /* 2173151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173154 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2173157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173193 */     // GIR_Coverage, 52246,
     /* 2173193 */     GIR_EraseRootFromParent_Done,
     /* 2173194 */   // Label 29732: @2173194
     /* 2173194 */   GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2173242), // Rule ID 52247 //
     /* 2173199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173202 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2173205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173241 */     // GIR_Coverage, 52247,
     /* 2173241 */     GIR_EraseRootFromParent_Done,
     /* 2173242 */   // Label 29733: @2173242
     /* 2173242 */   GIM_Reject,
     /* 2173243 */ // Label 29731: @2173243
     /* 2173243 */ GIM_Reject,
     /* 2173244 */ // Label 29681: @2173244
     /* 2173244 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2173364),
     /* 2173249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2173252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173267 */   GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2173315), // Rule ID 52262 //
     /* 2173272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2173275 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2173278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173314 */     // GIR_Coverage, 52262,
     /* 2173314 */     GIR_EraseRootFromParent_Done,
     /* 2173315 */   // Label 29735: @2173315
     /* 2173315 */   GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2173363), // Rule ID 52263 //
     /* 2173320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2173323 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2173326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173362 */     // GIR_Coverage, 52263,
     /* 2173362 */     GIR_EraseRootFromParent_Done,
     /* 2173363 */   // Label 29736: @2173363
     /* 2173363 */   GIM_Reject,
     /* 2173364 */ // Label 29734: @2173364
     /* 2173364 */ GIM_Reject,
     /* 2173365 */ // Label 29682: @2173365
     /* 2173365 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2173485),
     /* 2173370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2173373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2173376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173388 */   GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2173436), // Rule ID 52218 //
     /* 2173393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173396 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2173399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2173413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173435 */     // GIR_Coverage, 52218,
     /* 2173435 */     GIR_EraseRootFromParent_Done,
     /* 2173436 */   // Label 29738: @2173436
     /* 2173436 */   GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2173484), // Rule ID 52219 //
     /* 2173441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173444 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2173447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2173461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173483 */     // GIR_Coverage, 52219,
     /* 2173483 */     GIR_EraseRootFromParent_Done,
     /* 2173484 */   // Label 29739: @2173484
     /* 2173484 */   GIM_Reject,
     /* 2173485 */ // Label 29737: @2173485
     /* 2173485 */ GIM_Reject,
     /* 2173486 */ // Label 29683: @2173486
     /* 2173486 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2173606),
     /* 2173491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2173494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173509 */   GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2173557), // Rule ID 52234 //
     /* 2173514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173517 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2173520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173556 */     // GIR_Coverage, 52234,
     /* 2173556 */     GIR_EraseRootFromParent_Done,
     /* 2173557 */   // Label 29741: @2173557
     /* 2173557 */   GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2173605), // Rule ID 52235 //
     /* 2173562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173565 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2173568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173604 */     // GIR_Coverage, 52235,
     /* 2173604 */     GIR_EraseRootFromParent_Done,
     /* 2173605 */   // Label 29742: @2173605
     /* 2173605 */   GIM_Reject,
     /* 2173606 */ // Label 29740: @2173606
     /* 2173606 */ GIM_Reject,
     /* 2173607 */ // Label 29684: @2173607
     /* 2173607 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2173727),
     /* 2173612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2173615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173630 */   GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2173678), // Rule ID 52250 //
     /* 2173635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173638 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2173641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173677 */     // GIR_Coverage, 52250,
     /* 2173677 */     GIR_EraseRootFromParent_Done,
     /* 2173678 */   // Label 29744: @2173678
     /* 2173678 */   GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2173726), // Rule ID 52251 //
     /* 2173683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173686 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2173689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173725 */     // GIR_Coverage, 52251,
     /* 2173725 */     GIR_EraseRootFromParent_Done,
     /* 2173726 */   // Label 29745: @2173726
     /* 2173726 */   GIM_Reject,
     /* 2173727 */ // Label 29743: @2173727
     /* 2173727 */ GIM_Reject,
     /* 2173728 */ // Label 29685: @2173728
     /* 2173728 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2173848),
     /* 2173733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2173736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2173739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173751 */   GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2173799), // Rule ID 52222 //
     /* 2173756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173759 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2173762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173798 */     // GIR_Coverage, 52222,
     /* 2173798 */     GIR_EraseRootFromParent_Done,
     /* 2173799 */   // Label 29747: @2173799
     /* 2173799 */   GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2173847), // Rule ID 52223 //
     /* 2173804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173807 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2173810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2173824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173846 */     // GIR_Coverage, 52223,
     /* 2173846 */     GIR_EraseRootFromParent_Done,
     /* 2173847 */   // Label 29748: @2173847
     /* 2173847 */   GIM_Reject,
     /* 2173848 */ // Label 29746: @2173848
     /* 2173848 */ GIM_Reject,
     /* 2173849 */ // Label 29686: @2173849
     /* 2173849 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2173969),
     /* 2173854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2173857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2173860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173872 */   GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2173920), // Rule ID 52238 //
     /* 2173877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173880 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2173880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2173883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173919 */     // GIR_Coverage, 52238,
     /* 2173919 */     GIR_EraseRootFromParent_Done,
     /* 2173920 */   // Label 29750: @2173920
     /* 2173920 */   GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2173968), // Rule ID 52239 //
     /* 2173925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173928 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2173928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2173931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2173935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2173942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2173945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2173950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2173952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2173954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2173957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2173963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173967 */     // GIR_Coverage, 52239,
     /* 2173967 */     GIR_EraseRootFromParent_Done,
     /* 2173968 */   // Label 29751: @2173968
     /* 2173968 */   GIM_Reject,
     /* 2173969 */ // Label 29749: @2173969
     /* 2173969 */ GIM_Reject,
     /* 2173970 */ // Label 29687: @2173970
     /* 2173970 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2174090),
     /* 2173975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2173978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2173981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173993 */   GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2174041), // Rule ID 52226 //
     /* 2173998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174001 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2174004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2174018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174040 */     // GIR_Coverage, 52226,
     /* 2174040 */     GIR_EraseRootFromParent_Done,
     /* 2174041 */   // Label 29753: @2174041
     /* 2174041 */   GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2174089), // Rule ID 52227 //
     /* 2174046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174049 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2174052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2174066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174088 */     // GIR_Coverage, 52227,
     /* 2174088 */     GIR_EraseRootFromParent_Done,
     /* 2174089 */   // Label 29754: @2174089
     /* 2174089 */   GIM_Reject,
     /* 2174090 */ // Label 29752: @2174090
     /* 2174090 */ GIM_Reject,
     /* 2174091 */ // Label 29688: @2174091
     /* 2174091 */ GIM_Reject,
     /* 2174092 */ // Label 56: @2174092
     /* 2174092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29777*/ GIMT_Encode4(2176877),
     /* 2174103 */ /*GILLT_nxv1s8*//*Label 29755*/ GIMT_Encode4(2174215),
     /* 2174107 */ /*GILLT_nxv1s16*//*Label 29756*/ GIMT_Encode4(2174336),
     /* 2174111 */ /*GILLT_nxv1s32*//*Label 29757*/ GIMT_Encode4(2174457),
     /* 2174115 */ /*GILLT_nxv1s64*//*Label 29758*/ GIMT_Encode4(2174578), GIMT_Encode4(0),
     /* 2174123 */ /*GILLT_nxv2s8*//*Label 29759*/ GIMT_Encode4(2174699),
     /* 2174127 */ /*GILLT_nxv2s16*//*Label 29760*/ GIMT_Encode4(2174820),
     /* 2174131 */ /*GILLT_nxv2s32*//*Label 29761*/ GIMT_Encode4(2174941),
     /* 2174135 */ /*GILLT_nxv2s64*//*Label 29762*/ GIMT_Encode4(2175062), GIMT_Encode4(0),
     /* 2174143 */ /*GILLT_nxv4s8*//*Label 29763*/ GIMT_Encode4(2175183),
     /* 2174147 */ /*GILLT_nxv4s16*//*Label 29764*/ GIMT_Encode4(2175304),
     /* 2174151 */ /*GILLT_nxv4s32*//*Label 29765*/ GIMT_Encode4(2175425),
     /* 2174155 */ /*GILLT_nxv4s64*//*Label 29766*/ GIMT_Encode4(2175546), GIMT_Encode4(0),
     /* 2174163 */ /*GILLT_nxv8s8*//*Label 29767*/ GIMT_Encode4(2175667),
     /* 2174167 */ /*GILLT_nxv8s16*//*Label 29768*/ GIMT_Encode4(2175788),
     /* 2174171 */ /*GILLT_nxv8s32*//*Label 29769*/ GIMT_Encode4(2175909),
     /* 2174175 */ /*GILLT_nxv8s64*//*Label 29770*/ GIMT_Encode4(2176030), GIMT_Encode4(0),
     /* 2174183 */ /*GILLT_nxv16s8*//*Label 29771*/ GIMT_Encode4(2176151),
     /* 2174187 */ /*GILLT_nxv16s16*//*Label 29772*/ GIMT_Encode4(2176272),
     /* 2174191 */ /*GILLT_nxv16s32*//*Label 29773*/ GIMT_Encode4(2176393), GIMT_Encode4(0),
     /* 2174199 */ /*GILLT_nxv32s8*//*Label 29774*/ GIMT_Encode4(2176514),
     /* 2174203 */ /*GILLT_nxv32s16*//*Label 29775*/ GIMT_Encode4(2176635), GIMT_Encode4(0),
     /* 2174211 */ /*GILLT_nxv64s8*//*Label 29776*/ GIMT_Encode4(2176756),
     /* 2174215 */ // Label 29755: @2174215
     /* 2174215 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2174335),
     /* 2174220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2174223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2174226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174238 */   GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2174286), // Rule ID 52090 //
     /* 2174243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174246 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2174249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2174263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174285 */     // GIR_Coverage, 52090,
     /* 2174285 */     GIR_EraseRootFromParent_Done,
     /* 2174286 */   // Label 29779: @2174286
     /* 2174286 */   GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2174334), // Rule ID 52091 //
     /* 2174291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174294 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2174297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2174311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174333 */     // GIR_Coverage, 52091,
     /* 2174333 */     GIR_EraseRootFromParent_Done,
     /* 2174334 */   // Label 29780: @2174334
     /* 2174334 */   GIM_Reject,
     /* 2174335 */ // Label 29778: @2174335
     /* 2174335 */ GIM_Reject,
     /* 2174336 */ // Label 29756: @2174336
     /* 2174336 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2174456),
     /* 2174341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2174344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174359 */   GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2174407), // Rule ID 52102 //
     /* 2174364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174367 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2174370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2174384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174406 */     // GIR_Coverage, 52102,
     /* 2174406 */     GIR_EraseRootFromParent_Done,
     /* 2174407 */   // Label 29782: @2174407
     /* 2174407 */   GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2174455), // Rule ID 52103 //
     /* 2174412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174415 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2174418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2174432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174454 */     // GIR_Coverage, 52103,
     /* 2174454 */     GIR_EraseRootFromParent_Done,
     /* 2174455 */   // Label 29783: @2174455
     /* 2174455 */   GIM_Reject,
     /* 2174456 */ // Label 29781: @2174456
     /* 2174456 */ GIM_Reject,
     /* 2174457 */ // Label 29757: @2174457
     /* 2174457 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2174577),
     /* 2174462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2174465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174480 */   GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2174528), // Rule ID 52110 //
     /* 2174485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174488 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2174491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2174505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174527 */     // GIR_Coverage, 52110,
     /* 2174527 */     GIR_EraseRootFromParent_Done,
     /* 2174528 */   // Label 29785: @2174528
     /* 2174528 */   GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2174576), // Rule ID 52111 //
     /* 2174533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174536 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2174539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2174553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174575 */     // GIR_Coverage, 52111,
     /* 2174575 */     GIR_EraseRootFromParent_Done,
     /* 2174576 */   // Label 29786: @2174576
     /* 2174576 */   GIM_Reject,
     /* 2174577 */ // Label 29784: @2174577
     /* 2174577 */ GIM_Reject,
     /* 2174578 */ // Label 29758: @2174578
     /* 2174578 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2174698),
     /* 2174583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2174586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174601 */   GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2174649), // Rule ID 52126 //
     /* 2174606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2174609 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2174612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2174626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174648 */     // GIR_Coverage, 52126,
     /* 2174648 */     GIR_EraseRootFromParent_Done,
     /* 2174649 */   // Label 29788: @2174649
     /* 2174649 */   GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2174697), // Rule ID 52127 //
     /* 2174654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2174657 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2174660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2174674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174696 */     // GIR_Coverage, 52127,
     /* 2174696 */     GIR_EraseRootFromParent_Done,
     /* 2174697 */   // Label 29789: @2174697
     /* 2174697 */   GIM_Reject,
     /* 2174698 */ // Label 29787: @2174698
     /* 2174698 */ GIM_Reject,
     /* 2174699 */ // Label 29759: @2174699
     /* 2174699 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2174819),
     /* 2174704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2174707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2174710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174722 */   GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2174770), // Rule ID 52094 //
     /* 2174727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174730 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2174733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2174747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174769 */     // GIR_Coverage, 52094,
     /* 2174769 */     GIR_EraseRootFromParent_Done,
     /* 2174770 */   // Label 29791: @2174770
     /* 2174770 */   GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2174818), // Rule ID 52095 //
     /* 2174775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174778 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2174781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2174795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174817 */     // GIR_Coverage, 52095,
     /* 2174817 */     GIR_EraseRootFromParent_Done,
     /* 2174818 */   // Label 29792: @2174818
     /* 2174818 */   GIM_Reject,
     /* 2174819 */ // Label 29790: @2174819
     /* 2174819 */ GIM_Reject,
     /* 2174820 */ // Label 29760: @2174820
     /* 2174820 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2174940),
     /* 2174825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2174828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174843 */   GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2174891), // Rule ID 52106 //
     /* 2174848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174851 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2174854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2174868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174890 */     // GIR_Coverage, 52106,
     /* 2174890 */     GIR_EraseRootFromParent_Done,
     /* 2174891 */   // Label 29794: @2174891
     /* 2174891 */   GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2174939), // Rule ID 52107 //
     /* 2174896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174899 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2174899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2174902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2174916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2174928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174938 */     // GIR_Coverage, 52107,
     /* 2174938 */     GIR_EraseRootFromParent_Done,
     /* 2174939 */   // Label 29795: @2174939
     /* 2174939 */   GIM_Reject,
     /* 2174940 */ // Label 29793: @2174940
     /* 2174940 */ GIM_Reject,
     /* 2174941 */ // Label 29761: @2174941
     /* 2174941 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2175061),
     /* 2174946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2174949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174964 */   GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2175012), // Rule ID 52122 //
     /* 2174969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174972 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2174972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2174975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2174979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2174986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2174989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2174994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2174996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2174998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175011 */     // GIR_Coverage, 52122,
     /* 2175011 */     GIR_EraseRootFromParent_Done,
     /* 2175012 */   // Label 29797: @2175012
     /* 2175012 */   GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2175060), // Rule ID 52123 //
     /* 2175017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175020 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2175023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2175037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175059 */     // GIR_Coverage, 52123,
     /* 2175059 */     GIR_EraseRootFromParent_Done,
     /* 2175060 */   // Label 29798: @2175060
     /* 2175060 */   GIM_Reject,
     /* 2175061 */ // Label 29796: @2175061
     /* 2175061 */ GIM_Reject,
     /* 2175062 */ // Label 29762: @2175062
     /* 2175062 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2175182),
     /* 2175067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2175070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175085 */   GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2175133), // Rule ID 52166 //
     /* 2175090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2175093 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2175096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175132 */     // GIR_Coverage, 52166,
     /* 2175132 */     GIR_EraseRootFromParent_Done,
     /* 2175133 */   // Label 29800: @2175133
     /* 2175133 */   GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2175181), // Rule ID 52167 //
     /* 2175138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2175141 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2175144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175180 */     // GIR_Coverage, 52167,
     /* 2175180 */     GIR_EraseRootFromParent_Done,
     /* 2175181 */   // Label 29801: @2175181
     /* 2175181 */   GIM_Reject,
     /* 2175182 */ // Label 29799: @2175182
     /* 2175182 */ GIM_Reject,
     /* 2175183 */ // Label 29763: @2175183
     /* 2175183 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2175303),
     /* 2175188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2175191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2175194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175206 */   GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2175254), // Rule ID 52098 //
     /* 2175211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175214 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2175217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2175231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175253 */     // GIR_Coverage, 52098,
     /* 2175253 */     GIR_EraseRootFromParent_Done,
     /* 2175254 */   // Label 29803: @2175254
     /* 2175254 */   GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2175302), // Rule ID 52099 //
     /* 2175259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175262 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2175265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2175279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175301 */     // GIR_Coverage, 52099,
     /* 2175301 */     GIR_EraseRootFromParent_Done,
     /* 2175302 */   // Label 29804: @2175302
     /* 2175302 */   GIM_Reject,
     /* 2175303 */ // Label 29802: @2175303
     /* 2175303 */ GIM_Reject,
     /* 2175304 */ // Label 29764: @2175304
     /* 2175304 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2175424),
     /* 2175309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2175312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2175315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175327 */   GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2175375), // Rule ID 52118 //
     /* 2175332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175335 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2175338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2175352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175374 */     // GIR_Coverage, 52118,
     /* 2175374 */     GIR_EraseRootFromParent_Done,
     /* 2175375 */   // Label 29806: @2175375
     /* 2175375 */   GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2175423), // Rule ID 52119 //
     /* 2175380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175383 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2175386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2175400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175422 */     // GIR_Coverage, 52119,
     /* 2175422 */     GIR_EraseRootFromParent_Done,
     /* 2175423 */   // Label 29807: @2175423
     /* 2175423 */   GIM_Reject,
     /* 2175424 */ // Label 29805: @2175424
     /* 2175424 */ GIM_Reject,
     /* 2175425 */ // Label 29765: @2175425
     /* 2175425 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2175545),
     /* 2175430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2175433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175448 */   GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2175496), // Rule ID 52154 //
     /* 2175453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175456 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2175459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175495 */     // GIR_Coverage, 52154,
     /* 2175495 */     GIR_EraseRootFromParent_Done,
     /* 2175496 */   // Label 29809: @2175496
     /* 2175496 */   GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2175544), // Rule ID 52155 //
     /* 2175501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175504 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2175507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175543 */     // GIR_Coverage, 52155,
     /* 2175543 */     GIR_EraseRootFromParent_Done,
     /* 2175544 */   // Label 29810: @2175544
     /* 2175544 */   GIM_Reject,
     /* 2175545 */ // Label 29808: @2175545
     /* 2175545 */ GIM_Reject,
     /* 2175546 */ // Label 29766: @2175546
     /* 2175546 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2175666),
     /* 2175551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2175554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175569 */   GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2175617), // Rule ID 52170 //
     /* 2175574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2175577 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2175580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2175594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175616 */     // GIR_Coverage, 52170,
     /* 2175616 */     GIR_EraseRootFromParent_Done,
     /* 2175617 */   // Label 29812: @2175617
     /* 2175617 */   GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2175665), // Rule ID 52171 //
     /* 2175622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2175625 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2175628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2175642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175664 */     // GIR_Coverage, 52171,
     /* 2175664 */     GIR_EraseRootFromParent_Done,
     /* 2175665 */   // Label 29813: @2175665
     /* 2175665 */   GIM_Reject,
     /* 2175666 */ // Label 29811: @2175666
     /* 2175666 */ GIM_Reject,
     /* 2175667 */ // Label 29767: @2175667
     /* 2175667 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2175787),
     /* 2175672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2175675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2175678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175690 */   GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2175738), // Rule ID 52114 //
     /* 2175695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175698 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2175701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2175715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175737 */     // GIR_Coverage, 52114,
     /* 2175737 */     GIR_EraseRootFromParent_Done,
     /* 2175738 */   // Label 29815: @2175738
     /* 2175738 */   GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2175786), // Rule ID 52115 //
     /* 2175743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175746 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2175749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2175763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175785 */     // GIR_Coverage, 52115,
     /* 2175785 */     GIR_EraseRootFromParent_Done,
     /* 2175786 */   // Label 29816: @2175786
     /* 2175786 */   GIM_Reject,
     /* 2175787 */ // Label 29814: @2175787
     /* 2175787 */ GIM_Reject,
     /* 2175788 */ // Label 29768: @2175788
     /* 2175788 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2175908),
     /* 2175793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2175796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175811 */   GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2175859), // Rule ID 52142 //
     /* 2175816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175819 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2175822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175858 */     // GIR_Coverage, 52142,
     /* 2175858 */     GIR_EraseRootFromParent_Done,
     /* 2175859 */   // Label 29818: @2175859
     /* 2175859 */   GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2175907), // Rule ID 52143 //
     /* 2175864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175867 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2175870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2175884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175906 */     // GIR_Coverage, 52143,
     /* 2175906 */     GIR_EraseRootFromParent_Done,
     /* 2175907 */   // Label 29819: @2175907
     /* 2175907 */   GIM_Reject,
     /* 2175908 */ // Label 29817: @2175908
     /* 2175908 */ GIM_Reject,
     /* 2175909 */ // Label 29769: @2175909
     /* 2175909 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2176029),
     /* 2175914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2175917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175932 */   GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2175980), // Rule ID 52158 //
     /* 2175937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175940 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2175940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2175943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2175954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2175957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2175962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2175964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2175966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2175969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175979 */     // GIR_Coverage, 52158,
     /* 2175979 */     GIR_EraseRootFromParent_Done,
     /* 2175980 */   // Label 29821: @2175980
     /* 2175980 */   GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2176028), // Rule ID 52159 //
     /* 2175985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175988 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2175988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2175991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2175995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2176005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176027 */     // GIR_Coverage, 52159,
     /* 2176027 */     GIR_EraseRootFromParent_Done,
     /* 2176028 */   // Label 29822: @2176028
     /* 2176028 */   GIM_Reject,
     /* 2176029 */ // Label 29820: @2176029
     /* 2176029 */ GIM_Reject,
     /* 2176030 */ // Label 29770: @2176030
     /* 2176030 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2176150),
     /* 2176035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2176038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176053 */   GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2176101), // Rule ID 52174 //
     /* 2176058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2176061 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2176064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176100 */     // GIR_Coverage, 52174,
     /* 2176100 */     GIR_EraseRootFromParent_Done,
     /* 2176101 */   // Label 29824: @2176101
     /* 2176101 */   GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2176149), // Rule ID 52175 //
     /* 2176106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2176109 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2176112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176148 */     // GIR_Coverage, 52175,
     /* 2176148 */     GIR_EraseRootFromParent_Done,
     /* 2176149 */   // Label 29825: @2176149
     /* 2176149 */   GIM_Reject,
     /* 2176150 */ // Label 29823: @2176150
     /* 2176150 */ GIM_Reject,
     /* 2176151 */ // Label 29771: @2176151
     /* 2176151 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2176271),
     /* 2176156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2176159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2176162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176174 */   GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2176222), // Rule ID 52130 //
     /* 2176179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176182 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2176185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2176199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176221 */     // GIR_Coverage, 52130,
     /* 2176221 */     GIR_EraseRootFromParent_Done,
     /* 2176222 */   // Label 29827: @2176222
     /* 2176222 */   GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2176270), // Rule ID 52131 //
     /* 2176227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176230 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2176233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2176247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176269 */     // GIR_Coverage, 52131,
     /* 2176269 */     GIR_EraseRootFromParent_Done,
     /* 2176270 */   // Label 29828: @2176270
     /* 2176270 */   GIM_Reject,
     /* 2176271 */ // Label 29826: @2176271
     /* 2176271 */ GIM_Reject,
     /* 2176272 */ // Label 29772: @2176272
     /* 2176272 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2176392),
     /* 2176277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2176280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176295 */   GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2176343), // Rule ID 52146 //
     /* 2176300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176303 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2176306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2176320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176342 */     // GIR_Coverage, 52146,
     /* 2176342 */     GIR_EraseRootFromParent_Done,
     /* 2176343 */   // Label 29830: @2176343
     /* 2176343 */   GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2176391), // Rule ID 52147 //
     /* 2176348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176351 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2176354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2176368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176390 */     // GIR_Coverage, 52147,
     /* 2176390 */     GIR_EraseRootFromParent_Done,
     /* 2176391 */   // Label 29831: @2176391
     /* 2176391 */   GIM_Reject,
     /* 2176392 */ // Label 29829: @2176392
     /* 2176392 */ GIM_Reject,
     /* 2176393 */ // Label 29773: @2176393
     /* 2176393 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2176513),
     /* 2176398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2176401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176416 */   GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2176464), // Rule ID 52162 //
     /* 2176421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176424 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2176427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176463 */     // GIR_Coverage, 52162,
     /* 2176463 */     GIR_EraseRootFromParent_Done,
     /* 2176464 */   // Label 29833: @2176464
     /* 2176464 */   GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2176512), // Rule ID 52163 //
     /* 2176469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176472 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2176475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176511 */     // GIR_Coverage, 52163,
     /* 2176511 */     GIR_EraseRootFromParent_Done,
     /* 2176512 */   // Label 29834: @2176512
     /* 2176512 */   GIM_Reject,
     /* 2176513 */ // Label 29832: @2176513
     /* 2176513 */ GIM_Reject,
     /* 2176514 */ // Label 29774: @2176514
     /* 2176514 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2176634),
     /* 2176519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2176522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2176525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176537 */   GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2176585), // Rule ID 52134 //
     /* 2176542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176545 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2176548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2176562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176584 */     // GIR_Coverage, 52134,
     /* 2176584 */     GIR_EraseRootFromParent_Done,
     /* 2176585 */   // Label 29836: @2176585
     /* 2176585 */   GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2176633), // Rule ID 52135 //
     /* 2176590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176593 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2176596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2176610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176632 */     // GIR_Coverage, 52135,
     /* 2176632 */     GIR_EraseRootFromParent_Done,
     /* 2176633 */   // Label 29837: @2176633
     /* 2176633 */   GIM_Reject,
     /* 2176634 */ // Label 29835: @2176634
     /* 2176634 */ GIM_Reject,
     /* 2176635 */ // Label 29775: @2176635
     /* 2176635 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2176755),
     /* 2176640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2176643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2176646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176658 */   GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2176706), // Rule ID 52150 //
     /* 2176663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176666 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2176669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176705 */     // GIR_Coverage, 52150,
     /* 2176705 */     GIR_EraseRootFromParent_Done,
     /* 2176706 */   // Label 29839: @2176706
     /* 2176706 */   GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2176754), // Rule ID 52151 //
     /* 2176711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176714 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2176717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176753 */     // GIR_Coverage, 52151,
     /* 2176753 */     GIR_EraseRootFromParent_Done,
     /* 2176754 */   // Label 29840: @2176754
     /* 2176754 */   GIM_Reject,
     /* 2176755 */ // Label 29838: @2176755
     /* 2176755 */ GIM_Reject,
     /* 2176756 */ // Label 29776: @2176756
     /* 2176756 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2176876),
     /* 2176761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2176764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2176767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176779 */   GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2176827), // Rule ID 52138 //
     /* 2176784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176787 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2176787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2176790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176826 */     // GIR_Coverage, 52138,
     /* 2176826 */     GIR_EraseRootFromParent_Done,
     /* 2176827 */   // Label 29842: @2176827
     /* 2176827 */   GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2176875), // Rule ID 52139 //
     /* 2176832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176835 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2176835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2176838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2176842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2176849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2176852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2176857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2176859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2176861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2176864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176874 */     // GIR_Coverage, 52139,
     /* 2176874 */     GIR_EraseRootFromParent_Done,
     /* 2176875 */   // Label 29843: @2176875
     /* 2176875 */   GIM_Reject,
     /* 2176876 */ // Label 29841: @2176876
     /* 2176876 */ GIM_Reject,
     /* 2176877 */ // Label 29777: @2176877
     /* 2176877 */ GIM_Reject,
     /* 2176878 */ // Label 57: @2176878
     /* 2176878 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 29862*/ GIMT_Encode4(2179305),
     /* 2176889 */ /*GILLT_s16*//*Label 29844*/ GIMT_Encode4(2177009),
     /* 2176893 */ /*GILLT_s32*//*Label 29845*/ GIMT_Encode4(2177158),
     /* 2176897 */ /*GILLT_s64*//*Label 29846*/ GIMT_Encode4(2177307), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2176909 */ /*GILLT_nxv1s16*//*Label 29847*/ GIMT_Encode4(2177490),
     /* 2176913 */ /*GILLT_nxv1s32*//*Label 29848*/ GIMT_Encode4(2177611),
     /* 2176917 */ /*GILLT_nxv1s64*//*Label 29849*/ GIMT_Encode4(2177732), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2176929 */ /*GILLT_nxv2s16*//*Label 29850*/ GIMT_Encode4(2177853),
     /* 2176933 */ /*GILLT_nxv2s32*//*Label 29851*/ GIMT_Encode4(2177974),
     /* 2176937 */ /*GILLT_nxv2s64*//*Label 29852*/ GIMT_Encode4(2178095), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2176949 */ /*GILLT_nxv4s16*//*Label 29853*/ GIMT_Encode4(2178216),
     /* 2176953 */ /*GILLT_nxv4s32*//*Label 29854*/ GIMT_Encode4(2178337),
     /* 2176957 */ /*GILLT_nxv4s64*//*Label 29855*/ GIMT_Encode4(2178458), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2176969 */ /*GILLT_nxv8s16*//*Label 29856*/ GIMT_Encode4(2178579),
     /* 2176973 */ /*GILLT_nxv8s32*//*Label 29857*/ GIMT_Encode4(2178700),
     /* 2176977 */ /*GILLT_nxv8s64*//*Label 29858*/ GIMT_Encode4(2178821), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2176989 */ /*GILLT_nxv16s16*//*Label 29859*/ GIMT_Encode4(2178942),
     /* 2176993 */ /*GILLT_nxv16s32*//*Label 29860*/ GIMT_Encode4(2179063), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2177005 */ /*GILLT_nxv32s16*//*Label 29861*/ GIMT_Encode4(2179184),
     /* 2177009 */ // Label 29844: @2177009
     /* 2177009 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2177157),
     /* 2177014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2177017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2177020 */   GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2177054), // Rule ID 1816 //
     /* 2177025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2177028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177040 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2177040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2177043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177053 */     // GIR_Coverage, 1816,
     /* 2177053 */     GIR_EraseRootFromParent_Done,
     /* 2177054 */   // Label 29864: @2177054
     /* 2177054 */   GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2177088), // Rule ID 1817 //
     /* 2177059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2177062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177074 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2177074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2177077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177087 */     // GIR_Coverage, 1817,
     /* 2177087 */     GIR_EraseRootFromParent_Done,
     /* 2177088 */   // Label 29865: @2177088
     /* 2177088 */   GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2177122), // Rule ID 1820 //
     /* 2177093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2177096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177108 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2177108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2177111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177121 */     // GIR_Coverage, 1820,
     /* 2177121 */     GIR_EraseRootFromParent_Done,
     /* 2177122 */   // Label 29866: @2177122
     /* 2177122 */   GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2177156), // Rule ID 1821 //
     /* 2177127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2177130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2177142 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2177142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2177145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177155 */     // GIR_Coverage, 1821,
     /* 2177155 */     GIR_EraseRootFromParent_Done,
     /* 2177156 */   // Label 29867: @2177156
     /* 2177156 */   GIM_Reject,
     /* 2177157 */ // Label 29863: @2177157
     /* 2177157 */ GIM_Reject,
     /* 2177158 */ // Label 29845: @2177158
     /* 2177158 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2177306),
     /* 2177163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2177166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2177169 */   GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2177203), // Rule ID 1107 //
     /* 2177174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2177177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177189 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2177189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2177192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177202 */     // GIR_Coverage, 1107,
     /* 2177202 */     GIR_EraseRootFromParent_Done,
     /* 2177203 */   // Label 29869: @2177203
     /* 2177203 */   GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2177237), // Rule ID 1108 //
     /* 2177208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2177211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177223 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2177223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2177226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177236 */     // GIR_Coverage, 1108,
     /* 2177236 */     GIR_EraseRootFromParent_Done,
     /* 2177237 */   // Label 29870: @2177237
     /* 2177237 */   GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2177271), // Rule ID 1111 //
     /* 2177242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2177245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177257 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2177257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2177260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177270 */     // GIR_Coverage, 1111,
     /* 2177270 */     GIR_EraseRootFromParent_Done,
     /* 2177271 */   // Label 29871: @2177271
     /* 2177271 */   GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2177305), // Rule ID 1112 //
     /* 2177276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2177279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2177291 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2177291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2177294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177304 */     // GIR_Coverage, 1112,
     /* 2177304 */     GIR_EraseRootFromParent_Done,
     /* 2177305 */   // Label 29872: @2177305
     /* 2177305 */   GIM_Reject,
     /* 2177306 */ // Label 29868: @2177306
     /* 2177306 */ GIM_Reject,
     /* 2177307 */ // Label 29846: @2177307
     /* 2177307 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2177489),
     /* 2177312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2177315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2177318 */   GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2177352), // Rule ID 1442 //
     /* 2177323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2177326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177338 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2177338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2177341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177351 */     // GIR_Coverage, 1442,
     /* 2177351 */     GIR_EraseRootFromParent_Done,
     /* 2177352 */   // Label 29874: @2177352
     /* 2177352 */   GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2177386), // Rule ID 1443 //
     /* 2177357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2177360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2177372 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2177372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2177375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177385 */     // GIR_Coverage, 1443,
     /* 2177385 */     GIR_EraseRootFromParent_Done,
     /* 2177386 */   // Label 29875: @2177386
     /* 2177386 */   GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2177420), // Rule ID 1446 //
     /* 2177391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2177394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177406 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2177406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2177409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177419 */     // GIR_Coverage, 1446,
     /* 2177419 */     GIR_EraseRootFromParent_Done,
     /* 2177420 */   // Label 29876: @2177420
     /* 2177420 */   GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2177454), // Rule ID 1447 //
     /* 2177425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2177428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2177440 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2177440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2177443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177453 */     // GIR_Coverage, 1447,
     /* 2177453 */     GIR_EraseRootFromParent_Done,
     /* 2177454 */   // Label 29877: @2177454
     /* 2177454 */   GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2177488), // Rule ID 1449 //
     /* 2177459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2177462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177474 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2177474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2177477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177487 */     // GIR_Coverage, 1449,
     /* 2177487 */     GIR_EraseRootFromParent_Done,
     /* 2177488 */   // Label 29878: @2177488
     /* 2177488 */   GIM_Reject,
     /* 2177489 */ // Label 29873: @2177489
     /* 2177489 */ GIM_Reject,
     /* 2177490 */ // Label 29847: @2177490
     /* 2177490 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2177610),
     /* 2177495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2177498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2177501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177513 */   GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2177561), // Rule ID 45442 //
     /* 2177518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177521 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2177521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2177524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2177538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177560 */     // GIR_Coverage, 45442,
     /* 2177560 */     GIR_EraseRootFromParent_Done,
     /* 2177561 */   // Label 29880: @2177561
     /* 2177561 */   GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2177609), // Rule ID 45443 //
     /* 2177566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177569 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2177569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2177572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2177586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177608 */     // GIR_Coverage, 45443,
     /* 2177608 */     GIR_EraseRootFromParent_Done,
     /* 2177609 */   // Label 29881: @2177609
     /* 2177609 */   GIM_Reject,
     /* 2177610 */ // Label 29879: @2177610
     /* 2177610 */ GIM_Reject,
     /* 2177611 */ // Label 29848: @2177611
     /* 2177611 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2177731),
     /* 2177616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2177619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177634 */   GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2177682), // Rule ID 52754 //
     /* 2177639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177642 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2177642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2177645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2177659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177681 */     // GIR_Coverage, 52754,
     /* 2177681 */     GIR_EraseRootFromParent_Done,
     /* 2177682 */   // Label 29883: @2177682
     /* 2177682 */   GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2177730), // Rule ID 52755 //
     /* 2177687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177690 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2177690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2177693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2177707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177729 */     // GIR_Coverage, 52755,
     /* 2177729 */     GIR_EraseRootFromParent_Done,
     /* 2177730 */   // Label 29884: @2177730
     /* 2177730 */   GIM_Reject,
     /* 2177731 */ // Label 29882: @2177731
     /* 2177731 */ GIM_Reject,
     /* 2177732 */ // Label 29849: @2177732
     /* 2177732 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2177852),
     /* 2177737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2177740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177755 */   GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2177803), // Rule ID 52790 //
     /* 2177760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177763 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2177763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2177766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2177780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177802 */     // GIR_Coverage, 52790,
     /* 2177802 */     GIR_EraseRootFromParent_Done,
     /* 2177803 */   // Label 29886: @2177803
     /* 2177803 */   GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2177851), // Rule ID 52791 //
     /* 2177808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177811 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2177811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2177814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2177828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177850 */     // GIR_Coverage, 52791,
     /* 2177850 */     GIR_EraseRootFromParent_Done,
     /* 2177851 */   // Label 29887: @2177851
     /* 2177851 */   GIM_Reject,
     /* 2177852 */ // Label 29885: @2177852
     /* 2177852 */ GIM_Reject,
     /* 2177853 */ // Label 29850: @2177853
     /* 2177853 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2177973),
     /* 2177858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2177861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2177864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177876 */   GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2177924), // Rule ID 52742 //
     /* 2177881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177884 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2177884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2177887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2177901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177923 */     // GIR_Coverage, 52742,
     /* 2177923 */     GIR_EraseRootFromParent_Done,
     /* 2177924 */   // Label 29889: @2177924
     /* 2177924 */   GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2177972), // Rule ID 52743 //
     /* 2177929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177932 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2177932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2177935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2177939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2177946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2177949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2177954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2177956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2177958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2177961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2177964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2177970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177971 */     // GIR_Coverage, 52743,
     /* 2177971 */     GIR_EraseRootFromParent_Done,
     /* 2177972 */   // Label 29890: @2177972
     /* 2177972 */   GIM_Reject,
     /* 2177973 */ // Label 29888: @2177973
     /* 2177973 */ GIM_Reject,
     /* 2177974 */ // Label 29851: @2177974
     /* 2177974 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2178094),
     /* 2177979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2177982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177997 */   GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2178045), // Rule ID 52778 //
     /* 2178002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178005 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2178008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2178022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178044 */     // GIR_Coverage, 52778,
     /* 2178044 */     GIR_EraseRootFromParent_Done,
     /* 2178045 */   // Label 29892: @2178045
     /* 2178045 */   GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2178093), // Rule ID 52779 //
     /* 2178050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178053 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2178056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2178070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178092 */     // GIR_Coverage, 52779,
     /* 2178092 */     GIR_EraseRootFromParent_Done,
     /* 2178093 */   // Label 29893: @2178093
     /* 2178093 */   GIM_Reject,
     /* 2178094 */ // Label 29891: @2178094
     /* 2178094 */ GIM_Reject,
     /* 2178095 */ // Label 29852: @2178095
     /* 2178095 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2178215),
     /* 2178100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2178103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178118 */   GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2178166), // Rule ID 52874 //
     /* 2178123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178126 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2178129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2178143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178165 */     // GIR_Coverage, 52874,
     /* 2178165 */     GIR_EraseRootFromParent_Done,
     /* 2178166 */   // Label 29895: @2178166
     /* 2178166 */   GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2178214), // Rule ID 52875 //
     /* 2178171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178174 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2178177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2178191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178213 */     // GIR_Coverage, 52875,
     /* 2178213 */     GIR_EraseRootFromParent_Done,
     /* 2178214 */   // Label 29896: @2178214
     /* 2178214 */   GIM_Reject,
     /* 2178215 */ // Label 29894: @2178215
     /* 2178215 */ GIM_Reject,
     /* 2178216 */ // Label 29853: @2178216
     /* 2178216 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2178336),
     /* 2178221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2178224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2178227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178239 */   GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2178287), // Rule ID 52766 //
     /* 2178244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178247 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2178250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2178264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178286 */     // GIR_Coverage, 52766,
     /* 2178286 */     GIR_EraseRootFromParent_Done,
     /* 2178287 */   // Label 29898: @2178287
     /* 2178287 */   GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2178335), // Rule ID 52767 //
     /* 2178292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178295 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2178298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2178312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178334 */     // GIR_Coverage, 52767,
     /* 2178334 */     GIR_EraseRootFromParent_Done,
     /* 2178335 */   // Label 29899: @2178335
     /* 2178335 */   GIM_Reject,
     /* 2178336 */ // Label 29897: @2178336
     /* 2178336 */ GIM_Reject,
     /* 2178337 */ // Label 29854: @2178337
     /* 2178337 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2178457),
     /* 2178342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2178345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178360 */   GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2178408), // Rule ID 52838 //
     /* 2178365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178368 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2178371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2178385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178407 */     // GIR_Coverage, 52838,
     /* 2178407 */     GIR_EraseRootFromParent_Done,
     /* 2178408 */   // Label 29901: @2178408
     /* 2178408 */   GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2178456), // Rule ID 52839 //
     /* 2178413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178416 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2178419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2178433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178455 */     // GIR_Coverage, 52839,
     /* 2178455 */     GIR_EraseRootFromParent_Done,
     /* 2178456 */   // Label 29902: @2178456
     /* 2178456 */   GIM_Reject,
     /* 2178457 */ // Label 29900: @2178457
     /* 2178457 */ GIM_Reject,
     /* 2178458 */ // Label 29855: @2178458
     /* 2178458 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2178578),
     /* 2178463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2178466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178481 */   GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2178529), // Rule ID 52886 //
     /* 2178486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178489 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2178492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2178506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178528 */     // GIR_Coverage, 52886,
     /* 2178528 */     GIR_EraseRootFromParent_Done,
     /* 2178529 */   // Label 29904: @2178529
     /* 2178529 */   GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2178577), // Rule ID 52887 //
     /* 2178534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178537 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2178540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2178554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178576 */     // GIR_Coverage, 52887,
     /* 2178576 */     GIR_EraseRootFromParent_Done,
     /* 2178577 */   // Label 29905: @2178577
     /* 2178577 */   GIM_Reject,
     /* 2178578 */ // Label 29903: @2178578
     /* 2178578 */ GIM_Reject,
     /* 2178579 */ // Label 29856: @2178579
     /* 2178579 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2178699),
     /* 2178584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2178587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2178590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178602 */   GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2178650), // Rule ID 52802 //
     /* 2178607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178610 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2178613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2178627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178649 */     // GIR_Coverage, 52802,
     /* 2178649 */     GIR_EraseRootFromParent_Done,
     /* 2178650 */   // Label 29907: @2178650
     /* 2178650 */   GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2178698), // Rule ID 52803 //
     /* 2178655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178658 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2178661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2178675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178697 */     // GIR_Coverage, 52803,
     /* 2178697 */     GIR_EraseRootFromParent_Done,
     /* 2178698 */   // Label 29908: @2178698
     /* 2178698 */   GIM_Reject,
     /* 2178699 */ // Label 29906: @2178699
     /* 2178699 */ GIM_Reject,
     /* 2178700 */ // Label 29857: @2178700
     /* 2178700 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2178820),
     /* 2178705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2178708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178723 */   GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2178771), // Rule ID 52850 //
     /* 2178728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178731 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2178734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2178748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178770 */     // GIR_Coverage, 52850,
     /* 2178770 */     GIR_EraseRootFromParent_Done,
     /* 2178771 */   // Label 29910: @2178771
     /* 2178771 */   GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2178819), // Rule ID 52851 //
     /* 2178776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178779 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2178782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2178796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178818 */     // GIR_Coverage, 52851,
     /* 2178818 */     GIR_EraseRootFromParent_Done,
     /* 2178819 */   // Label 29911: @2178819
     /* 2178819 */   GIM_Reject,
     /* 2178820 */ // Label 29909: @2178820
     /* 2178820 */ GIM_Reject,
     /* 2178821 */ // Label 29858: @2178821
     /* 2178821 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2178941),
     /* 2178826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2178829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2178832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178844 */   GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2178892), // Rule ID 52898 //
     /* 2178849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2178852 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2178855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2178869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178891 */     // GIR_Coverage, 52898,
     /* 2178891 */     GIR_EraseRootFromParent_Done,
     /* 2178892 */   // Label 29913: @2178892
     /* 2178892 */   GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2178940), // Rule ID 52899 //
     /* 2178897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2178900 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2178900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2178903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2178917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2178929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2178932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2178935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178939 */     // GIR_Coverage, 52899,
     /* 2178939 */     GIR_EraseRootFromParent_Done,
     /* 2178940 */   // Label 29914: @2178940
     /* 2178940 */   GIM_Reject,
     /* 2178941 */ // Label 29912: @2178941
     /* 2178941 */ GIM_Reject,
     /* 2178942 */ // Label 29859: @2178942
     /* 2178942 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2179062),
     /* 2178947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2178950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2178953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178965 */   GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2179013), // Rule ID 52814 //
     /* 2178970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178973 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2178973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2178976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2178980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2178987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2178990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2178995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2178997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2178999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179012 */     // GIR_Coverage, 52814,
     /* 2179012 */     GIR_EraseRootFromParent_Done,
     /* 2179013 */   // Label 29916: @2179013
     /* 2179013 */   GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2179061), // Rule ID 52815 //
     /* 2179018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179021 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2179021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2179024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2179038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179060 */     // GIR_Coverage, 52815,
     /* 2179060 */     GIR_EraseRootFromParent_Done,
     /* 2179061 */   // Label 29917: @2179061
     /* 2179061 */   GIM_Reject,
     /* 2179062 */ // Label 29915: @2179062
     /* 2179062 */ GIM_Reject,
     /* 2179063 */ // Label 29860: @2179063
     /* 2179063 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2179183),
     /* 2179068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2179071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2179074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179086 */   GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2179134), // Rule ID 52862 //
     /* 2179091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179094 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2179094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2179097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2179111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179133 */     // GIR_Coverage, 52862,
     /* 2179133 */     GIR_EraseRootFromParent_Done,
     /* 2179134 */   // Label 29919: @2179134
     /* 2179134 */   GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2179182), // Rule ID 52863 //
     /* 2179139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2179142 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2179142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2179145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2179159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179181 */     // GIR_Coverage, 52863,
     /* 2179181 */     GIR_EraseRootFromParent_Done,
     /* 2179182 */   // Label 29920: @2179182
     /* 2179182 */   GIM_Reject,
     /* 2179183 */ // Label 29918: @2179183
     /* 2179183 */ GIM_Reject,
     /* 2179184 */ // Label 29861: @2179184
     /* 2179184 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2179304),
     /* 2179189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2179192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2179195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179207 */   GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2179255), // Rule ID 52826 //
     /* 2179212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179215 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2179215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2179218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2179232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179254 */     // GIR_Coverage, 52826,
     /* 2179254 */     GIR_EraseRootFromParent_Done,
     /* 2179255 */   // Label 29922: @2179255
     /* 2179255 */   GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2179303), // Rule ID 52827 //
     /* 2179260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179263 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2179263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2179266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2179280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179302 */     // GIR_Coverage, 52827,
     /* 2179302 */     GIR_EraseRootFromParent_Done,
     /* 2179303 */   // Label 29923: @2179303
     /* 2179303 */   GIM_Reject,
     /* 2179304 */ // Label 29921: @2179304
     /* 2179304 */ GIM_Reject,
     /* 2179305 */ // Label 29862: @2179305
     /* 2179305 */ GIM_Reject,
     /* 2179306 */ // Label 58: @2179306
     /* 2179306 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 29942*/ GIMT_Encode4(2181733),
     /* 2179317 */ /*GILLT_s16*//*Label 29924*/ GIMT_Encode4(2179437),
     /* 2179321 */ /*GILLT_s32*//*Label 29925*/ GIMT_Encode4(2179586),
     /* 2179325 */ /*GILLT_s64*//*Label 29926*/ GIMT_Encode4(2179735), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179337 */ /*GILLT_nxv1s16*//*Label 29927*/ GIMT_Encode4(2179918),
     /* 2179341 */ /*GILLT_nxv1s32*//*Label 29928*/ GIMT_Encode4(2180039),
     /* 2179345 */ /*GILLT_nxv1s64*//*Label 29929*/ GIMT_Encode4(2180160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179357 */ /*GILLT_nxv2s16*//*Label 29930*/ GIMT_Encode4(2180281),
     /* 2179361 */ /*GILLT_nxv2s32*//*Label 29931*/ GIMT_Encode4(2180402),
     /* 2179365 */ /*GILLT_nxv2s64*//*Label 29932*/ GIMT_Encode4(2180523), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179377 */ /*GILLT_nxv4s16*//*Label 29933*/ GIMT_Encode4(2180644),
     /* 2179381 */ /*GILLT_nxv4s32*//*Label 29934*/ GIMT_Encode4(2180765),
     /* 2179385 */ /*GILLT_nxv4s64*//*Label 29935*/ GIMT_Encode4(2180886), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179397 */ /*GILLT_nxv8s16*//*Label 29936*/ GIMT_Encode4(2181007),
     /* 2179401 */ /*GILLT_nxv8s32*//*Label 29937*/ GIMT_Encode4(2181128),
     /* 2179405 */ /*GILLT_nxv8s64*//*Label 29938*/ GIMT_Encode4(2181249), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179417 */ /*GILLT_nxv16s16*//*Label 29939*/ GIMT_Encode4(2181370),
     /* 2179421 */ /*GILLT_nxv16s32*//*Label 29940*/ GIMT_Encode4(2181491), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2179433 */ /*GILLT_nxv32s16*//*Label 29941*/ GIMT_Encode4(2181612),
     /* 2179437 */ // Label 29924: @2179437
     /* 2179437 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2179585),
     /* 2179442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2179445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2179448 */   GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2179482), // Rule ID 1824 //
     /* 2179453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2179456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179468 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2179468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2179471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179481 */     // GIR_Coverage, 1824,
     /* 2179481 */     GIR_EraseRootFromParent_Done,
     /* 2179482 */   // Label 29944: @2179482
     /* 2179482 */   GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2179516), // Rule ID 1825 //
     /* 2179487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2179490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179502 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2179502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2179505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179515 */     // GIR_Coverage, 1825,
     /* 2179515 */     GIR_EraseRootFromParent_Done,
     /* 2179516 */   // Label 29945: @2179516
     /* 2179516 */   GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2179550), // Rule ID 1828 //
     /* 2179521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2179524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179536 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2179536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2179539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179549 */     // GIR_Coverage, 1828,
     /* 2179549 */     GIR_EraseRootFromParent_Done,
     /* 2179550 */   // Label 29946: @2179550
     /* 2179550 */   GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2179584), // Rule ID 1829 //
     /* 2179555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2179558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2179570 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2179570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2179573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179583 */     // GIR_Coverage, 1829,
     /* 2179583 */     GIR_EraseRootFromParent_Done,
     /* 2179584 */   // Label 29947: @2179584
     /* 2179584 */   GIM_Reject,
     /* 2179585 */ // Label 29943: @2179585
     /* 2179585 */ GIM_Reject,
     /* 2179586 */ // Label 29925: @2179586
     /* 2179586 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2179734),
     /* 2179591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2179594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2179597 */   GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2179631), // Rule ID 1115 //
     /* 2179602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2179605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179617 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2179617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2179620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179630 */     // GIR_Coverage, 1115,
     /* 2179630 */     GIR_EraseRootFromParent_Done,
     /* 2179631 */   // Label 29949: @2179631
     /* 2179631 */   GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2179665), // Rule ID 1116 //
     /* 2179636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2179639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179651 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2179651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2179654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179664 */     // GIR_Coverage, 1116,
     /* 2179664 */     GIR_EraseRootFromParent_Done,
     /* 2179665 */   // Label 29950: @2179665
     /* 2179665 */   GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2179699), // Rule ID 1119 //
     /* 2179670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2179673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179685 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2179685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2179688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179698 */     // GIR_Coverage, 1119,
     /* 2179698 */     GIR_EraseRootFromParent_Done,
     /* 2179699 */   // Label 29951: @2179699
     /* 2179699 */   GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2179733), // Rule ID 1120 //
     /* 2179704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2179707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2179719 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2179719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2179722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179732 */     // GIR_Coverage, 1120,
     /* 2179732 */     GIR_EraseRootFromParent_Done,
     /* 2179733 */   // Label 29952: @2179733
     /* 2179733 */   GIM_Reject,
     /* 2179734 */ // Label 29948: @2179734
     /* 2179734 */ GIM_Reject,
     /* 2179735 */ // Label 29926: @2179735
     /* 2179735 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2179917),
     /* 2179740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2179743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2179746 */   GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2179780), // Rule ID 1452 //
     /* 2179751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2179754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179766 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2179766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2179769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179779 */     // GIR_Coverage, 1452,
     /* 2179779 */     GIR_EraseRootFromParent_Done,
     /* 2179780 */   // Label 29954: @2179780
     /* 2179780 */   GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2179814), // Rule ID 1453 //
     /* 2179785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2179788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2179800 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2179800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2179803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179813 */     // GIR_Coverage, 1453,
     /* 2179813 */     GIR_EraseRootFromParent_Done,
     /* 2179814 */   // Label 29955: @2179814
     /* 2179814 */   GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2179848), // Rule ID 1456 //
     /* 2179819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2179822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179834 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2179834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2179837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179847 */     // GIR_Coverage, 1456,
     /* 2179847 */     GIR_EraseRootFromParent_Done,
     /* 2179848 */   // Label 29956: @2179848
     /* 2179848 */   GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2179882), // Rule ID 1457 //
     /* 2179853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2179856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2179868 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2179868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2179871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179881 */     // GIR_Coverage, 1457,
     /* 2179881 */     GIR_EraseRootFromParent_Done,
     /* 2179882 */   // Label 29957: @2179882
     /* 2179882 */   GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2179916), // Rule ID 1459 //
     /* 2179887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2179890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2179894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2179898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2179902 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2179902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2179905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179915 */     // GIR_Coverage, 1459,
     /* 2179915 */     GIR_EraseRootFromParent_Done,
     /* 2179916 */   // Label 29958: @2179916
     /* 2179916 */   GIM_Reject,
     /* 2179917 */ // Label 29953: @2179917
     /* 2179917 */ GIM_Reject,
     /* 2179918 */ // Label 29927: @2179918
     /* 2179918 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2180038),
     /* 2179923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2179926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179941 */   GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2179989), // Rule ID 52910 //
     /* 2179946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179949 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2179949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2179952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2179956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2179963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2179966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2179971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2179973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2179975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2179978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2179981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179988 */     // GIR_Coverage, 52910,
     /* 2179988 */     GIR_EraseRootFromParent_Done,
     /* 2179989 */   // Label 29960: @2179989
     /* 2179989 */   GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2180037), // Rule ID 52911 //
     /* 2179994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179997 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2179997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2180000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2180014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180036 */     // GIR_Coverage, 52911,
     /* 2180036 */     GIR_EraseRootFromParent_Done,
     /* 2180037 */   // Label 29961: @2180037
     /* 2180037 */   GIM_Reject,
     /* 2180038 */ // Label 29959: @2180038
     /* 2180038 */ GIM_Reject,
     /* 2180039 */ // Label 29928: @2180039
     /* 2180039 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2180159),
     /* 2180044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2180047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180062 */   GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2180110), // Rule ID 52934 //
     /* 2180067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180070 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2180073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2180087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180109 */     // GIR_Coverage, 52934,
     /* 2180109 */     GIR_EraseRootFromParent_Done,
     /* 2180110 */   // Label 29963: @2180110
     /* 2180110 */   GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2180158), // Rule ID 52935 //
     /* 2180115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180118 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2180121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2180135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180157 */     // GIR_Coverage, 52935,
     /* 2180157 */     GIR_EraseRootFromParent_Done,
     /* 2180158 */   // Label 29964: @2180158
     /* 2180158 */   GIM_Reject,
     /* 2180159 */ // Label 29962: @2180159
     /* 2180159 */ GIM_Reject,
     /* 2180160 */ // Label 29929: @2180160
     /* 2180160 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2180280),
     /* 2180165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2180168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180183 */   GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2180231), // Rule ID 52970 //
     /* 2180188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180191 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2180194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2180208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180230 */     // GIR_Coverage, 52970,
     /* 2180230 */     GIR_EraseRootFromParent_Done,
     /* 2180231 */   // Label 29966: @2180231
     /* 2180231 */   GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2180279), // Rule ID 52971 //
     /* 2180236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180239 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2180242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2180256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180278 */     // GIR_Coverage, 52971,
     /* 2180278 */     GIR_EraseRootFromParent_Done,
     /* 2180279 */   // Label 29967: @2180279
     /* 2180279 */   GIM_Reject,
     /* 2180280 */ // Label 29965: @2180280
     /* 2180280 */ GIM_Reject,
     /* 2180281 */ // Label 29930: @2180281
     /* 2180281 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2180401),
     /* 2180286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2180289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2180292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180304 */   GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2180352), // Rule ID 52922 //
     /* 2180309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180312 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2180315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2180329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180351 */     // GIR_Coverage, 52922,
     /* 2180351 */     GIR_EraseRootFromParent_Done,
     /* 2180352 */   // Label 29969: @2180352
     /* 2180352 */   GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2180400), // Rule ID 52923 //
     /* 2180357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180360 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2180363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2180377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180399 */     // GIR_Coverage, 52923,
     /* 2180399 */     GIR_EraseRootFromParent_Done,
     /* 2180400 */   // Label 29970: @2180400
     /* 2180400 */   GIM_Reject,
     /* 2180401 */ // Label 29968: @2180401
     /* 2180401 */ GIM_Reject,
     /* 2180402 */ // Label 29931: @2180402
     /* 2180402 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2180522),
     /* 2180407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2180410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180425 */   GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2180473), // Rule ID 52958 //
     /* 2180430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180433 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2180436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2180450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180472 */     // GIR_Coverage, 52958,
     /* 2180472 */     GIR_EraseRootFromParent_Done,
     /* 2180473 */   // Label 29972: @2180473
     /* 2180473 */   GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2180521), // Rule ID 52959 //
     /* 2180478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180481 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2180484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2180498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180520 */     // GIR_Coverage, 52959,
     /* 2180520 */     GIR_EraseRootFromParent_Done,
     /* 2180521 */   // Label 29973: @2180521
     /* 2180521 */   GIM_Reject,
     /* 2180522 */ // Label 29971: @2180522
     /* 2180522 */ GIM_Reject,
     /* 2180523 */ // Label 29932: @2180523
     /* 2180523 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2180643),
     /* 2180528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2180531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180546 */   GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2180594), // Rule ID 53054 //
     /* 2180551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180554 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2180557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2180571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180593 */     // GIR_Coverage, 53054,
     /* 2180593 */     GIR_EraseRootFromParent_Done,
     /* 2180594 */   // Label 29975: @2180594
     /* 2180594 */   GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2180642), // Rule ID 53055 //
     /* 2180599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180602 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2180605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2180619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180641 */     // GIR_Coverage, 53055,
     /* 2180641 */     GIR_EraseRootFromParent_Done,
     /* 2180642 */   // Label 29976: @2180642
     /* 2180642 */   GIM_Reject,
     /* 2180643 */ // Label 29974: @2180643
     /* 2180643 */ GIM_Reject,
     /* 2180644 */ // Label 29933: @2180644
     /* 2180644 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2180764),
     /* 2180649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2180652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2180655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180667 */   GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2180715), // Rule ID 52946 //
     /* 2180672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180675 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2180678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2180692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180714 */     // GIR_Coverage, 52946,
     /* 2180714 */     GIR_EraseRootFromParent_Done,
     /* 2180715 */   // Label 29978: @2180715
     /* 2180715 */   GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2180763), // Rule ID 52947 //
     /* 2180720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180723 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2180726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2180740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180762 */     // GIR_Coverage, 52947,
     /* 2180762 */     GIR_EraseRootFromParent_Done,
     /* 2180763 */   // Label 29979: @2180763
     /* 2180763 */   GIM_Reject,
     /* 2180764 */ // Label 29977: @2180764
     /* 2180764 */ GIM_Reject,
     /* 2180765 */ // Label 29934: @2180765
     /* 2180765 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2180885),
     /* 2180770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2180773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180788 */   GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2180836), // Rule ID 53018 //
     /* 2180793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180796 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2180799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2180813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180835 */     // GIR_Coverage, 53018,
     /* 2180835 */     GIR_EraseRootFromParent_Done,
     /* 2180836 */   // Label 29981: @2180836
     /* 2180836 */   GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2180884), // Rule ID 53019 //
     /* 2180841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180844 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2180847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2180861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180883 */     // GIR_Coverage, 53019,
     /* 2180883 */     GIR_EraseRootFromParent_Done,
     /* 2180884 */   // Label 29982: @2180884
     /* 2180884 */   GIM_Reject,
     /* 2180885 */ // Label 29980: @2180885
     /* 2180885 */ GIM_Reject,
     /* 2180886 */ // Label 29935: @2180886
     /* 2180886 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2181006),
     /* 2180891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2180894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180909 */   GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2180957), // Rule ID 53066 //
     /* 2180914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180917 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2180917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2180920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2180934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2180955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180956 */     // GIR_Coverage, 53066,
     /* 2180956 */     GIR_EraseRootFromParent_Done,
     /* 2180957 */   // Label 29984: @2180957
     /* 2180957 */   GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2181005), // Rule ID 53067 //
     /* 2180962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180965 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2180965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2180968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2180972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2180979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2180982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2180987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2180989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2180991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2180994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2180997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181004 */     // GIR_Coverage, 53067,
     /* 2181004 */     GIR_EraseRootFromParent_Done,
     /* 2181005 */   // Label 29985: @2181005
     /* 2181005 */   GIM_Reject,
     /* 2181006 */ // Label 29983: @2181006
     /* 2181006 */ GIM_Reject,
     /* 2181007 */ // Label 29936: @2181007
     /* 2181007 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2181127),
     /* 2181012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2181015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2181018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181030 */   GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2181078), // Rule ID 52982 //
     /* 2181035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181038 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2181041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2181055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181077 */     // GIR_Coverage, 52982,
     /* 2181077 */     GIR_EraseRootFromParent_Done,
     /* 2181078 */   // Label 29987: @2181078
     /* 2181078 */   GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2181126), // Rule ID 52983 //
     /* 2181083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181086 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2181089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2181103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181125 */     // GIR_Coverage, 52983,
     /* 2181125 */     GIR_EraseRootFromParent_Done,
     /* 2181126 */   // Label 29988: @2181126
     /* 2181126 */   GIM_Reject,
     /* 2181127 */ // Label 29986: @2181127
     /* 2181127 */ GIM_Reject,
     /* 2181128 */ // Label 29937: @2181128
     /* 2181128 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2181248),
     /* 2181133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2181136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181151 */   GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2181199), // Rule ID 53030 //
     /* 2181156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181159 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2181162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2181176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181198 */     // GIR_Coverage, 53030,
     /* 2181198 */     GIR_EraseRootFromParent_Done,
     /* 2181199 */   // Label 29990: @2181199
     /* 2181199 */   GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2181247), // Rule ID 53031 //
     /* 2181204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181207 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2181210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2181224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181246 */     // GIR_Coverage, 53031,
     /* 2181246 */     GIR_EraseRootFromParent_Done,
     /* 2181247 */   // Label 29991: @2181247
     /* 2181247 */   GIM_Reject,
     /* 2181248 */ // Label 29989: @2181248
     /* 2181248 */ GIM_Reject,
     /* 2181249 */ // Label 29938: @2181249
     /* 2181249 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2181369),
     /* 2181254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2181257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181272 */   GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2181320), // Rule ID 53078 //
     /* 2181277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181280 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2181283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2181297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181319 */     // GIR_Coverage, 53078,
     /* 2181319 */     GIR_EraseRootFromParent_Done,
     /* 2181320 */   // Label 29993: @2181320
     /* 2181320 */   GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2181368), // Rule ID 53079 //
     /* 2181325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181328 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2181331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2181345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181367 */     // GIR_Coverage, 53079,
     /* 2181367 */     GIR_EraseRootFromParent_Done,
     /* 2181368 */   // Label 29994: @2181368
     /* 2181368 */   GIM_Reject,
     /* 2181369 */ // Label 29992: @2181369
     /* 2181369 */ GIM_Reject,
     /* 2181370 */ // Label 29939: @2181370
     /* 2181370 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2181490),
     /* 2181375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2181378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2181381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181393 */   GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2181441), // Rule ID 52994 //
     /* 2181398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181401 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2181404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2181418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181440 */     // GIR_Coverage, 52994,
     /* 2181440 */     GIR_EraseRootFromParent_Done,
     /* 2181441 */   // Label 29996: @2181441
     /* 2181441 */   GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2181489), // Rule ID 52995 //
     /* 2181446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181449 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2181452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2181466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181488 */     // GIR_Coverage, 52995,
     /* 2181488 */     GIR_EraseRootFromParent_Done,
     /* 2181489 */   // Label 29997: @2181489
     /* 2181489 */   GIM_Reject,
     /* 2181490 */ // Label 29995: @2181490
     /* 2181490 */ GIM_Reject,
     /* 2181491 */ // Label 29940: @2181491
     /* 2181491 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2181611),
     /* 2181496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2181499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181514 */   GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2181562), // Rule ID 53042 //
     /* 2181519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181522 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2181525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2181539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181561 */     // GIR_Coverage, 53042,
     /* 2181561 */     GIR_EraseRootFromParent_Done,
     /* 2181562 */   // Label 29999: @2181562
     /* 2181562 */   GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2181610), // Rule ID 53043 //
     /* 2181567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181570 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2181573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2181587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181609 */     // GIR_Coverage, 53043,
     /* 2181609 */     GIR_EraseRootFromParent_Done,
     /* 2181610 */   // Label 30000: @2181610
     /* 2181610 */   GIM_Reject,
     /* 2181611 */ // Label 29998: @2181611
     /* 2181611 */ GIM_Reject,
     /* 2181612 */ // Label 29941: @2181612
     /* 2181612 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2181732),
     /* 2181617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2181620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2181623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181635 */   GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2181683), // Rule ID 53006 //
     /* 2181640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181643 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2181643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2181646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2181660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181682 */     // GIR_Coverage, 53006,
     /* 2181682 */     GIR_EraseRootFromParent_Done,
     /* 2181683 */   // Label 30002: @2181683
     /* 2181683 */   GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2181731), // Rule ID 53007 //
     /* 2181688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181691 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2181691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2181694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2181698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2181705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2181708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2181713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2181723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181730 */     // GIR_Coverage, 53007,
     /* 2181730 */     GIR_EraseRootFromParent_Done,
     /* 2181731 */   // Label 30003: @2181731
     /* 2181731 */   GIM_Reject,
     /* 2181732 */ // Label 30001: @2181732
     /* 2181732 */ GIM_Reject,
     /* 2181733 */ // Label 29942: @2181733
     /* 2181733 */ GIM_Reject,
     /* 2181734 */ // Label 59: @2181734
     /* 2181734 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30022*/ GIMT_Encode4(2184161),
     /* 2181745 */ /*GILLT_s16*//*Label 30004*/ GIMT_Encode4(2181865),
     /* 2181749 */ /*GILLT_s32*//*Label 30005*/ GIMT_Encode4(2182014),
     /* 2181753 */ /*GILLT_s64*//*Label 30006*/ GIMT_Encode4(2182163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181765 */ /*GILLT_nxv1s16*//*Label 30007*/ GIMT_Encode4(2182346),
     /* 2181769 */ /*GILLT_nxv1s32*//*Label 30008*/ GIMT_Encode4(2182467),
     /* 2181773 */ /*GILLT_nxv1s64*//*Label 30009*/ GIMT_Encode4(2182588), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181785 */ /*GILLT_nxv2s16*//*Label 30010*/ GIMT_Encode4(2182709),
     /* 2181789 */ /*GILLT_nxv2s32*//*Label 30011*/ GIMT_Encode4(2182830),
     /* 2181793 */ /*GILLT_nxv2s64*//*Label 30012*/ GIMT_Encode4(2182951), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181805 */ /*GILLT_nxv4s16*//*Label 30013*/ GIMT_Encode4(2183072),
     /* 2181809 */ /*GILLT_nxv4s32*//*Label 30014*/ GIMT_Encode4(2183193),
     /* 2181813 */ /*GILLT_nxv4s64*//*Label 30015*/ GIMT_Encode4(2183314), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181825 */ /*GILLT_nxv8s16*//*Label 30016*/ GIMT_Encode4(2183435),
     /* 2181829 */ /*GILLT_nxv8s32*//*Label 30017*/ GIMT_Encode4(2183556),
     /* 2181833 */ /*GILLT_nxv8s64*//*Label 30018*/ GIMT_Encode4(2183677), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181845 */ /*GILLT_nxv16s16*//*Label 30019*/ GIMT_Encode4(2183798),
     /* 2181849 */ /*GILLT_nxv16s32*//*Label 30020*/ GIMT_Encode4(2183919), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2181861 */ /*GILLT_nxv32s16*//*Label 30021*/ GIMT_Encode4(2184040),
     /* 2181865 */ // Label 30004: @2181865
     /* 2181865 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2182013),
     /* 2181870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2181873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2181876 */   GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2181910), // Rule ID 1832 //
     /* 2181881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2181884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181896 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2181896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2181899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181909 */     // GIR_Coverage, 1832,
     /* 2181909 */     GIR_EraseRootFromParent_Done,
     /* 2181910 */   // Label 30024: @2181910
     /* 2181910 */   GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2181944), // Rule ID 1833 //
     /* 2181915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2181918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181930 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2181930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2181933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181943 */     // GIR_Coverage, 1833,
     /* 2181943 */     GIR_EraseRootFromParent_Done,
     /* 2181944 */   // Label 30025: @2181944
     /* 2181944 */   GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2181978), // Rule ID 1836 //
     /* 2181949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2181952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181964 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2181964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2181967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2181971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2181973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2181976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181977 */     // GIR_Coverage, 1836,
     /* 2181977 */     GIR_EraseRootFromParent_Done,
     /* 2181978 */   // Label 30026: @2181978
     /* 2181978 */   GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2182012), // Rule ID 1837 //
     /* 2181983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2181986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2181998 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2181998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2182001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182011 */     // GIR_Coverage, 1837,
     /* 2182011 */     GIR_EraseRootFromParent_Done,
     /* 2182012 */   // Label 30027: @2182012
     /* 2182012 */   GIM_Reject,
     /* 2182013 */ // Label 30023: @2182013
     /* 2182013 */ GIM_Reject,
     /* 2182014 */ // Label 30005: @2182014
     /* 2182014 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2182162),
     /* 2182019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2182022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2182025 */   GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2182059), // Rule ID 1123 //
     /* 2182030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2182033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182045 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2182045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2182048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182058 */     // GIR_Coverage, 1123,
     /* 2182058 */     GIR_EraseRootFromParent_Done,
     /* 2182059 */   // Label 30029: @2182059
     /* 2182059 */   GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2182093), // Rule ID 1124 //
     /* 2182064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2182067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182079 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2182079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2182082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182092 */     // GIR_Coverage, 1124,
     /* 2182092 */     GIR_EraseRootFromParent_Done,
     /* 2182093 */   // Label 30030: @2182093
     /* 2182093 */   GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2182127), // Rule ID 1127 //
     /* 2182098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2182101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182113 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2182113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2182116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182126 */     // GIR_Coverage, 1127,
     /* 2182126 */     GIR_EraseRootFromParent_Done,
     /* 2182127 */   // Label 30031: @2182127
     /* 2182127 */   GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2182161), // Rule ID 1128 //
     /* 2182132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2182135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2182147 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2182147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2182150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182160 */     // GIR_Coverage, 1128,
     /* 2182160 */     GIR_EraseRootFromParent_Done,
     /* 2182161 */   // Label 30032: @2182161
     /* 2182161 */   GIM_Reject,
     /* 2182162 */ // Label 30028: @2182162
     /* 2182162 */ GIM_Reject,
     /* 2182163 */ // Label 30006: @2182163
     /* 2182163 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2182345),
     /* 2182168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2182171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2182174 */   GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2182208), // Rule ID 1462 //
     /* 2182179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2182182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182194 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2182194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2182197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182207 */     // GIR_Coverage, 1462,
     /* 2182207 */     GIR_EraseRootFromParent_Done,
     /* 2182208 */   // Label 30034: @2182208
     /* 2182208 */   GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2182242), // Rule ID 1463 //
     /* 2182213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2182216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182228 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2182228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2182231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182241 */     // GIR_Coverage, 1463,
     /* 2182241 */     GIR_EraseRootFromParent_Done,
     /* 2182242 */   // Label 30035: @2182242
     /* 2182242 */   GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2182276), // Rule ID 1466 //
     /* 2182247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2182250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182262 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2182262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2182265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182275 */     // GIR_Coverage, 1466,
     /* 2182275 */     GIR_EraseRootFromParent_Done,
     /* 2182276 */   // Label 30036: @2182276
     /* 2182276 */   GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2182310), // Rule ID 1467 //
     /* 2182281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2182284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2182296 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2182296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2182299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182309 */     // GIR_Coverage, 1467,
     /* 2182309 */     GIR_EraseRootFromParent_Done,
     /* 2182310 */   // Label 30037: @2182310
     /* 2182310 */   GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2182344), // Rule ID 1469 //
     /* 2182315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2182318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182330 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2182330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2182333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182343 */     // GIR_Coverage, 1469,
     /* 2182343 */     GIR_EraseRootFromParent_Done,
     /* 2182344 */   // Label 30038: @2182344
     /* 2182344 */   GIM_Reject,
     /* 2182345 */ // Label 30033: @2182345
     /* 2182345 */ GIM_Reject,
     /* 2182346 */ // Label 30007: @2182346
     /* 2182346 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2182466),
     /* 2182351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2182354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2182357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182369 */   GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2182417), // Rule ID 53678 //
     /* 2182374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182377 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2182380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2182394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182416 */     // GIR_Coverage, 53678,
     /* 2182416 */     GIR_EraseRootFromParent_Done,
     /* 2182417 */   // Label 30040: @2182417
     /* 2182417 */   GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2182465), // Rule ID 53679 //
     /* 2182422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182425 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2182425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2182428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2182442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182464 */     // GIR_Coverage, 53679,
     /* 2182464 */     GIR_EraseRootFromParent_Done,
     /* 2182465 */   // Label 30041: @2182465
     /* 2182465 */   GIM_Reject,
     /* 2182466 */ // Label 30039: @2182466
     /* 2182466 */ GIM_Reject,
     /* 2182467 */ // Label 30008: @2182467
     /* 2182467 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2182587),
     /* 2182472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2182475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182490 */   GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2182538), // Rule ID 53702 //
     /* 2182495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182498 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2182501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2182515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182537 */     // GIR_Coverage, 53702,
     /* 2182537 */     GIR_EraseRootFromParent_Done,
     /* 2182538 */   // Label 30043: @2182538
     /* 2182538 */   GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2182586), // Rule ID 53703 //
     /* 2182543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182546 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2182546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2182549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2182563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182585 */     // GIR_Coverage, 53703,
     /* 2182585 */     GIR_EraseRootFromParent_Done,
     /* 2182586 */   // Label 30044: @2182586
     /* 2182586 */   GIM_Reject,
     /* 2182587 */ // Label 30042: @2182587
     /* 2182587 */ GIM_Reject,
     /* 2182588 */ // Label 30009: @2182588
     /* 2182588 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2182708),
     /* 2182593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2182596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182611 */   GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2182659), // Rule ID 53738 //
     /* 2182616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2182619 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2182622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2182636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182658 */     // GIR_Coverage, 53738,
     /* 2182658 */     GIR_EraseRootFromParent_Done,
     /* 2182659 */   // Label 30046: @2182659
     /* 2182659 */   GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2182707), // Rule ID 53739 //
     /* 2182664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2182667 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2182667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2182670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2182684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182706 */     // GIR_Coverage, 53739,
     /* 2182706 */     GIR_EraseRootFromParent_Done,
     /* 2182707 */   // Label 30047: @2182707
     /* 2182707 */   GIM_Reject,
     /* 2182708 */ // Label 30045: @2182708
     /* 2182708 */ GIM_Reject,
     /* 2182709 */ // Label 30010: @2182709
     /* 2182709 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2182829),
     /* 2182714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2182717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2182720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182732 */   GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2182780), // Rule ID 53690 //
     /* 2182737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182740 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2182743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2182757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182779 */     // GIR_Coverage, 53690,
     /* 2182779 */     GIR_EraseRootFromParent_Done,
     /* 2182780 */   // Label 30049: @2182780
     /* 2182780 */   GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2182828), // Rule ID 53691 //
     /* 2182785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182788 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2182788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2182791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2182805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182827 */     // GIR_Coverage, 53691,
     /* 2182827 */     GIR_EraseRootFromParent_Done,
     /* 2182828 */   // Label 30050: @2182828
     /* 2182828 */   GIM_Reject,
     /* 2182829 */ // Label 30048: @2182829
     /* 2182829 */ GIM_Reject,
     /* 2182830 */ // Label 30011: @2182830
     /* 2182830 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2182950),
     /* 2182835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2182838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182853 */   GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2182901), // Rule ID 53726 //
     /* 2182858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182861 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2182864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2182878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182900 */     // GIR_Coverage, 53726,
     /* 2182900 */     GIR_EraseRootFromParent_Done,
     /* 2182901 */   // Label 30052: @2182901
     /* 2182901 */   GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2182949), // Rule ID 53727 //
     /* 2182906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182909 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2182909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2182912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2182926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2182931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2182933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2182935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2182938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2182941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182948 */     // GIR_Coverage, 53727,
     /* 2182948 */     GIR_EraseRootFromParent_Done,
     /* 2182949 */   // Label 30053: @2182949
     /* 2182949 */   GIM_Reject,
     /* 2182950 */ // Label 30051: @2182950
     /* 2182950 */ GIM_Reject,
     /* 2182951 */ // Label 30012: @2182951
     /* 2182951 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2183071),
     /* 2182956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2182959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182974 */   GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2183022), // Rule ID 53822 //
     /* 2182979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2182982 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2182982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2182985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2182989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2182996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2182999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183021 */     // GIR_Coverage, 53822,
     /* 2183021 */     GIR_EraseRootFromParent_Done,
     /* 2183022 */   // Label 30055: @2183022
     /* 2183022 */   GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2183070), // Rule ID 53823 //
     /* 2183027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183030 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2183033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2183047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183069 */     // GIR_Coverage, 53823,
     /* 2183069 */     GIR_EraseRootFromParent_Done,
     /* 2183070 */   // Label 30056: @2183070
     /* 2183070 */   GIM_Reject,
     /* 2183071 */ // Label 30054: @2183071
     /* 2183071 */ GIM_Reject,
     /* 2183072 */ // Label 30013: @2183072
     /* 2183072 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2183192),
     /* 2183077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2183080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2183083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183095 */   GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2183143), // Rule ID 53714 //
     /* 2183100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183103 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2183106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2183120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183142 */     // GIR_Coverage, 53714,
     /* 2183142 */     GIR_EraseRootFromParent_Done,
     /* 2183143 */   // Label 30058: @2183143
     /* 2183143 */   GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2183191), // Rule ID 53715 //
     /* 2183148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183151 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2183154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2183168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183190 */     // GIR_Coverage, 53715,
     /* 2183190 */     GIR_EraseRootFromParent_Done,
     /* 2183191 */   // Label 30059: @2183191
     /* 2183191 */   GIM_Reject,
     /* 2183192 */ // Label 30057: @2183192
     /* 2183192 */ GIM_Reject,
     /* 2183193 */ // Label 30014: @2183193
     /* 2183193 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2183313),
     /* 2183198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2183201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183216 */   GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2183264), // Rule ID 53786 //
     /* 2183221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183224 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2183227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2183241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183263 */     // GIR_Coverage, 53786,
     /* 2183263 */     GIR_EraseRootFromParent_Done,
     /* 2183264 */   // Label 30061: @2183264
     /* 2183264 */   GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2183312), // Rule ID 53787 //
     /* 2183269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183272 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2183275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2183289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183311 */     // GIR_Coverage, 53787,
     /* 2183311 */     GIR_EraseRootFromParent_Done,
     /* 2183312 */   // Label 30062: @2183312
     /* 2183312 */   GIM_Reject,
     /* 2183313 */ // Label 30060: @2183313
     /* 2183313 */ GIM_Reject,
     /* 2183314 */ // Label 30015: @2183314
     /* 2183314 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2183434),
     /* 2183319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2183322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183337 */   GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2183385), // Rule ID 53834 //
     /* 2183342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183345 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2183348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2183362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183384 */     // GIR_Coverage, 53834,
     /* 2183384 */     GIR_EraseRootFromParent_Done,
     /* 2183385 */   // Label 30064: @2183385
     /* 2183385 */   GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2183433), // Rule ID 53835 //
     /* 2183390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183393 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2183396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2183410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183432 */     // GIR_Coverage, 53835,
     /* 2183432 */     GIR_EraseRootFromParent_Done,
     /* 2183433 */   // Label 30065: @2183433
     /* 2183433 */   GIM_Reject,
     /* 2183434 */ // Label 30063: @2183434
     /* 2183434 */ GIM_Reject,
     /* 2183435 */ // Label 30016: @2183435
     /* 2183435 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2183555),
     /* 2183440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2183443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2183446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183458 */   GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2183506), // Rule ID 53750 //
     /* 2183463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183466 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2183469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2183483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183505 */     // GIR_Coverage, 53750,
     /* 2183505 */     GIR_EraseRootFromParent_Done,
     /* 2183506 */   // Label 30067: @2183506
     /* 2183506 */   GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2183554), // Rule ID 53751 //
     /* 2183511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183514 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2183517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2183531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183553 */     // GIR_Coverage, 53751,
     /* 2183553 */     GIR_EraseRootFromParent_Done,
     /* 2183554 */   // Label 30068: @2183554
     /* 2183554 */   GIM_Reject,
     /* 2183555 */ // Label 30066: @2183555
     /* 2183555 */ GIM_Reject,
     /* 2183556 */ // Label 30017: @2183556
     /* 2183556 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2183676),
     /* 2183561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2183564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183579 */   GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2183627), // Rule ID 53798 //
     /* 2183584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183587 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2183590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2183604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183626 */     // GIR_Coverage, 53798,
     /* 2183626 */     GIR_EraseRootFromParent_Done,
     /* 2183627 */   // Label 30070: @2183627
     /* 2183627 */   GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2183675), // Rule ID 53799 //
     /* 2183632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183635 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2183638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2183652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183674 */     // GIR_Coverage, 53799,
     /* 2183674 */     GIR_EraseRootFromParent_Done,
     /* 2183675 */   // Label 30071: @2183675
     /* 2183675 */   GIM_Reject,
     /* 2183676 */ // Label 30069: @2183676
     /* 2183676 */ GIM_Reject,
     /* 2183677 */ // Label 30018: @2183677
     /* 2183677 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2183797),
     /* 2183682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2183685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2183688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183700 */   GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2183748), // Rule ID 53846 //
     /* 2183705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183708 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2183711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2183725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183747 */     // GIR_Coverage, 53846,
     /* 2183747 */     GIR_EraseRootFromParent_Done,
     /* 2183748 */   // Label 30073: @2183748
     /* 2183748 */   GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2183796), // Rule ID 53847 //
     /* 2183753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183756 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2183759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2183773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183795 */     // GIR_Coverage, 53847,
     /* 2183795 */     GIR_EraseRootFromParent_Done,
     /* 2183796 */   // Label 30074: @2183796
     /* 2183796 */   GIM_Reject,
     /* 2183797 */ // Label 30072: @2183797
     /* 2183797 */ GIM_Reject,
     /* 2183798 */ // Label 30019: @2183798
     /* 2183798 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2183918),
     /* 2183803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2183806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2183809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183821 */   GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2183869), // Rule ID 53762 //
     /* 2183826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183829 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2183832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2183846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183868 */     // GIR_Coverage, 53762,
     /* 2183868 */     GIR_EraseRootFromParent_Done,
     /* 2183869 */   // Label 30076: @2183869
     /* 2183869 */   GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2183917), // Rule ID 53763 //
     /* 2183874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183877 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2183880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2183894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183916 */     // GIR_Coverage, 53763,
     /* 2183916 */     GIR_EraseRootFromParent_Done,
     /* 2183917 */   // Label 30077: @2183917
     /* 2183917 */   GIM_Reject,
     /* 2183918 */ // Label 30075: @2183918
     /* 2183918 */ GIM_Reject,
     /* 2183919 */ // Label 30020: @2183919
     /* 2183919 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2184039),
     /* 2183924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2183927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183942 */   GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2183990), // Rule ID 53810 //
     /* 2183947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183950 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2183950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2183953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2183957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2183964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2183967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2183972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2183974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2183976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2183979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2183982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2183988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183989 */     // GIR_Coverage, 53810,
     /* 2183989 */     GIR_EraseRootFromParent_Done,
     /* 2183990 */   // Label 30079: @2183990
     /* 2183990 */   GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2184038), // Rule ID 53811 //
     /* 2183995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183998 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2183998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2184001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2184005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2184012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2184015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2184020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2184022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2184030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184037 */     // GIR_Coverage, 53811,
     /* 2184037 */     GIR_EraseRootFromParent_Done,
     /* 2184038 */   // Label 30080: @2184038
     /* 2184038 */   GIM_Reject,
     /* 2184039 */ // Label 30078: @2184039
     /* 2184039 */ GIM_Reject,
     /* 2184040 */ // Label 30021: @2184040
     /* 2184040 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2184160),
     /* 2184045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2184048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2184051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184063 */   GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2184111), // Rule ID 53774 //
     /* 2184068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184071 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2184071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2184074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2184078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2184085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2184088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2184093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2184095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2184103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184110 */     // GIR_Coverage, 53774,
     /* 2184110 */     GIR_EraseRootFromParent_Done,
     /* 2184111 */   // Label 30082: @2184111
     /* 2184111 */   GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2184159), // Rule ID 53775 //
     /* 2184116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2184119 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2184119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2184122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2184126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2184133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2184136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2184141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2184143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2184151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184158 */     // GIR_Coverage, 53775,
     /* 2184158 */     GIR_EraseRootFromParent_Done,
     /* 2184159 */   // Label 30083: @2184159
     /* 2184159 */   GIM_Reject,
     /* 2184160 */ // Label 30081: @2184160
     /* 2184160 */ GIM_Reject,
     /* 2184161 */ // Label 30022: @2184161
     /* 2184161 */ GIM_Reject,
     /* 2184162 */ // Label 60: @2184162
     /* 2184162 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30102*/ GIMT_Encode4(2200806),
     /* 2184173 */ /*GILLT_s16*//*Label 30084*/ GIMT_Encode4(2184293),
     /* 2184177 */ /*GILLT_s32*//*Label 30085*/ GIMT_Encode4(2185729),
     /* 2184181 */ /*GILLT_s64*//*Label 30086*/ GIMT_Encode4(2187165), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184193 */ /*GILLT_nxv1s16*//*Label 30087*/ GIMT_Encode4(2188956),
     /* 2184197 */ /*GILLT_nxv1s32*//*Label 30088*/ GIMT_Encode4(2189746),
     /* 2184201 */ /*GILLT_nxv1s64*//*Label 30089*/ GIMT_Encode4(2190536), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184213 */ /*GILLT_nxv2s16*//*Label 30090*/ GIMT_Encode4(2191326),
     /* 2184217 */ /*GILLT_nxv2s32*//*Label 30091*/ GIMT_Encode4(2192116),
     /* 2184221 */ /*GILLT_nxv2s64*//*Label 30092*/ GIMT_Encode4(2192906), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184233 */ /*GILLT_nxv4s16*//*Label 30093*/ GIMT_Encode4(2193696),
     /* 2184237 */ /*GILLT_nxv4s32*//*Label 30094*/ GIMT_Encode4(2194486),
     /* 2184241 */ /*GILLT_nxv4s64*//*Label 30095*/ GIMT_Encode4(2195276), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184253 */ /*GILLT_nxv8s16*//*Label 30096*/ GIMT_Encode4(2196066),
     /* 2184257 */ /*GILLT_nxv8s32*//*Label 30097*/ GIMT_Encode4(2196856),
     /* 2184261 */ /*GILLT_nxv8s64*//*Label 30098*/ GIMT_Encode4(2197646), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184273 */ /*GILLT_nxv16s16*//*Label 30099*/ GIMT_Encode4(2198436),
     /* 2184277 */ /*GILLT_nxv16s32*//*Label 30100*/ GIMT_Encode4(2199226), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2184289 */ /*GILLT_nxv32s16*//*Label 30101*/ GIMT_Encode4(2200016),
     /* 2184293 */ // Label 30084: @2184293
     /* 2184293 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2185728),
     /* 2184298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2184304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184307 */   GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2184379), // Rule ID 1873 //
     /* 2184312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2184315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184359 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2184359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2184362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184378 */     // GIR_Coverage, 1873,
     /* 2184378 */     GIR_EraseRootFromParent_Done,
     /* 2184379 */   // Label 30104: @2184379
     /* 2184379 */   GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2184451), // Rule ID 1874 //
     /* 2184384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2184387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184431 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2184431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2184434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184450 */     // GIR_Coverage, 1874,
     /* 2184450 */     GIR_EraseRootFromParent_Done,
     /* 2184451 */   // Label 30105: @2184451
     /* 2184451 */   GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2184523), // Rule ID 1906 //
     /* 2184456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2184459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184503 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2184503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2184506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184522 */     // GIR_Coverage, 1906,
     /* 2184522 */     GIR_EraseRootFromParent_Done,
     /* 2184523 */   // Label 30106: @2184523
     /* 2184523 */   GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2184595), // Rule ID 1907 //
     /* 2184528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2184531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184575 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2184575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2184578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184594 */     // GIR_Coverage, 1907,
     /* 2184594 */     GIR_EraseRootFromParent_Done,
     /* 2184595 */   // Label 30107: @2184595
     /* 2184595 */   GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2184667), // Rule ID 64033 //
     /* 2184600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2184603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2184615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184647 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2184647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2184650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2184658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184666 */     // GIR_Coverage, 64033,
     /* 2184666 */     GIR_EraseRootFromParent_Done,
     /* 2184667 */   // Label 30108: @2184667
     /* 2184667 */   GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2184739), // Rule ID 64034 //
     /* 2184672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2184675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2184687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184719 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2184719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2184722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2184730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184738 */     // GIR_Coverage, 64034,
     /* 2184738 */     GIR_EraseRootFromParent_Done,
     /* 2184739 */   // Label 30109: @2184739
     /* 2184739 */   GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2184811), // Rule ID 64041 //
     /* 2184744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2184747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2184759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184791 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2184791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2184794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2184802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184810 */     // GIR_Coverage, 64041,
     /* 2184810 */     GIR_EraseRootFromParent_Done,
     /* 2184811 */   // Label 30110: @2184811
     /* 2184811 */   GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2184883), // Rule ID 64042 //
     /* 2184816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2184819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2184831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2184848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2184861 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2184863 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2184863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2184866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2184874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2184878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184882 */     // GIR_Coverage, 64042,
     /* 2184882 */     GIR_EraseRootFromParent_Done,
     /* 2184883 */   // Label 30111: @2184883
     /* 2184883 */   GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2184940), // Rule ID 1869 //
     /* 2184888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2184891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2184922 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2184922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2184925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2184935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184939 */     // GIR_Coverage, 1869,
     /* 2184939 */     GIR_EraseRootFromParent_Done,
     /* 2184940 */   // Label 30112: @2184940
     /* 2184940 */   GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2184997), // Rule ID 1870 //
     /* 2184945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2184948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2184956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2184960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2184964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2184979 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2184979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2184982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2184988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2184990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2184992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2184995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184996 */     // GIR_Coverage, 1870,
     /* 2184996 */     GIR_EraseRootFromParent_Done,
     /* 2184997 */   // Label 30113: @2184997
     /* 2184997 */   GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2185054), // Rule ID 1902 //
     /* 2185002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2185005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185036 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2185039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185053 */     // GIR_Coverage, 1902,
     /* 2185053 */     GIR_EraseRootFromParent_Done,
     /* 2185054 */   // Label 30114: @2185054
     /* 2185054 */   GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2185111), // Rule ID 1903 //
     /* 2185059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2185062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185093 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2185096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185110 */     // GIR_Coverage, 1903,
     /* 2185110 */     GIR_EraseRootFromParent_Done,
     /* 2185111 */   // Label 30115: @2185111
     /* 2185111 */   GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2185168), // Rule ID 64029 //
     /* 2185116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2185119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2185131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185150 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2185153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2185161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185167 */     // GIR_Coverage, 64029,
     /* 2185167 */     GIR_EraseRootFromParent_Done,
     /* 2185168 */   // Label 30116: @2185168
     /* 2185168 */   GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2185225), // Rule ID 64030 //
     /* 2185173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2185176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2185188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185207 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2185210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2185218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185224 */     // GIR_Coverage, 64030,
     /* 2185224 */     GIR_EraseRootFromParent_Done,
     /* 2185225 */   // Label 30117: @2185225
     /* 2185225 */   GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2185282), // Rule ID 64037 //
     /* 2185230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2185233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2185245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185264 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2185267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2185275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185281 */     // GIR_Coverage, 64037,
     /* 2185281 */     GIR_EraseRootFromParent_Done,
     /* 2185282 */   // Label 30118: @2185282
     /* 2185282 */   GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2185339), // Rule ID 64038 //
     /* 2185287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2185290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2185302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185321 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2185324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2185332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185338 */     // GIR_Coverage, 64038,
     /* 2185338 */     GIR_EraseRootFromParent_Done,
     /* 2185339 */   // Label 30119: @2185339
     /* 2185339 */   GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2185396), // Rule ID 1865 //
     /* 2185344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2185347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2185363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185378 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2185381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2185391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185395 */     // GIR_Coverage, 1865,
     /* 2185395 */     GIR_EraseRootFromParent_Done,
     /* 2185396 */   // Label 30120: @2185396
     /* 2185396 */   GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2185453), // Rule ID 1866 //
     /* 2185401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2185404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2185420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185435 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2185438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2185448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185452 */     // GIR_Coverage, 1866,
     /* 2185452 */     GIR_EraseRootFromParent_Done,
     /* 2185453 */   // Label 30121: @2185453
     /* 2185453 */   GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2185510), // Rule ID 1898 //
     /* 2185458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2185461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2185477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185492 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2185495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2185505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185509 */     // GIR_Coverage, 1898,
     /* 2185509 */     GIR_EraseRootFromParent_Done,
     /* 2185510 */   // Label 30122: @2185510
     /* 2185510 */   GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2185567), // Rule ID 1899 //
     /* 2185515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2185518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2185534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2185542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2185549 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2185552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2185562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185566 */     // GIR_Coverage, 1899,
     /* 2185566 */     GIR_EraseRootFromParent_Done,
     /* 2185567 */   // Label 30123: @2185567
     /* 2185567 */   GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2185607), // Rule ID 1861 //
     /* 2185572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2185575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185591 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2185594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185606 */     // GIR_Coverage, 1861,
     /* 2185606 */     GIR_EraseRootFromParent_Done,
     /* 2185607 */   // Label 30124: @2185607
     /* 2185607 */   GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2185647), // Rule ID 1862 //
     /* 2185612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2185615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185631 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2185634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185646 */     // GIR_Coverage, 1862,
     /* 2185646 */     GIR_EraseRootFromParent_Done,
     /* 2185647 */   // Label 30125: @2185647
     /* 2185647 */   GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2185687), // Rule ID 1894 //
     /* 2185652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2185655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185671 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2185671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2185674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185686 */     // GIR_Coverage, 1894,
     /* 2185686 */     GIR_EraseRootFromParent_Done,
     /* 2185687 */   // Label 30126: @2185687
     /* 2185687 */   GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2185727), // Rule ID 1895 //
     /* 2185692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2185695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2185711 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2185711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2185714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2185718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2185722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185726 */     // GIR_Coverage, 1895,
     /* 2185726 */     GIR_EraseRootFromParent_Done,
     /* 2185727 */   // Label 30127: @2185727
     /* 2185727 */   GIM_Reject,
     /* 2185728 */ // Label 30103: @2185728
     /* 2185728 */ GIM_Reject,
     /* 2185729 */ // Label 30085: @2185729
     /* 2185729 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2187164),
     /* 2185734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2185740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185743 */   GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2185815), // Rule ID 1172 //
     /* 2185748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2185751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2185780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185793 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2185795 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2185795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2185798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2185810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185814 */     // GIR_Coverage, 1172,
     /* 2185814 */     GIR_EraseRootFromParent_Done,
     /* 2185815 */   // Label 30129: @2185815
     /* 2185815 */   GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2185887), // Rule ID 1173 //
     /* 2185820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2185823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2185852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2185867 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2185867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2185870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2185882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185886 */     // GIR_Coverage, 1173,
     /* 2185886 */     GIR_EraseRootFromParent_Done,
     /* 2185887 */   // Label 30130: @2185887
     /* 2185887 */   GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2185959), // Rule ID 1193 //
     /* 2185892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2185895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2185924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2185939 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2185939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2185942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2185948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2185950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2185954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2185957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185958 */     // GIR_Coverage, 1193,
     /* 2185958 */     GIR_EraseRootFromParent_Done,
     /* 2185959 */   // Label 30131: @2185959
     /* 2185959 */   GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2186031), // Rule ID 1194 //
     /* 2185964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2185967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2185975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2185979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2185983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2185992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2185996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2186011 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2186014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2186026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186030 */     // GIR_Coverage, 1194,
     /* 2186030 */     GIR_EraseRootFromParent_Done,
     /* 2186031 */   // Label 30132: @2186031
     /* 2186031 */   GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2186103), // Rule ID 63997 //
     /* 2186036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2186039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2186068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2186083 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2186086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2186098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186102 */     // GIR_Coverage, 63997,
     /* 2186102 */     GIR_EraseRootFromParent_Done,
     /* 2186103 */   // Label 30133: @2186103
     /* 2186103 */   GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2186175), // Rule ID 63998 //
     /* 2186108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2186111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2186140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186148 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2186155 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2186158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2186170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186174 */     // GIR_Coverage, 63998,
     /* 2186174 */     GIR_EraseRootFromParent_Done,
     /* 2186175 */   // Label 30134: @2186175
     /* 2186175 */   GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2186247), // Rule ID 64005 //
     /* 2186180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2186183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2186212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2186227 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2186230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2186242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186246 */     // GIR_Coverage, 64005,
     /* 2186246 */     GIR_EraseRootFromParent_Done,
     /* 2186247 */   // Label 30135: @2186247
     /* 2186247 */   GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2186319), // Rule ID 64006 //
     /* 2186252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2186255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2186284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2186299 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2186302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2186314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186318 */     // GIR_Coverage, 64006,
     /* 2186318 */     GIR_EraseRootFromParent_Done,
     /* 2186319 */   // Label 30136: @2186319
     /* 2186319 */   GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2186376), // Rule ID 1168 //
     /* 2186324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2186327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2186335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186358 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2186361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186375 */     // GIR_Coverage, 1168,
     /* 2186375 */     GIR_EraseRootFromParent_Done,
     /* 2186376 */   // Label 30137: @2186376
     /* 2186376 */   GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2186433), // Rule ID 1169 //
     /* 2186381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2186384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2186392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186415 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2186418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186432 */     // GIR_Coverage, 1169,
     /* 2186432 */     GIR_EraseRootFromParent_Done,
     /* 2186433 */   // Label 30138: @2186433
     /* 2186433 */   GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2186490), // Rule ID 1189 //
     /* 2186438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2186441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2186449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186472 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2186475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186489 */     // GIR_Coverage, 1189,
     /* 2186489 */     GIR_EraseRootFromParent_Done,
     /* 2186490 */   // Label 30139: @2186490
     /* 2186490 */   GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2186547), // Rule ID 1190 //
     /* 2186495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2186498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2186506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186529 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2186532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186546 */     // GIR_Coverage, 1190,
     /* 2186546 */     GIR_EraseRootFromParent_Done,
     /* 2186547 */   // Label 30140: @2186547
     /* 2186547 */   GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2186604), // Rule ID 63993 //
     /* 2186552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2186555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186586 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2186589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186603 */     // GIR_Coverage, 63993,
     /* 2186603 */     GIR_EraseRootFromParent_Done,
     /* 2186604 */   // Label 30141: @2186604
     /* 2186604 */   GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2186661), // Rule ID 63994 //
     /* 2186609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2186612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186643 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2186646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186660 */     // GIR_Coverage, 63994,
     /* 2186660 */     GIR_EraseRootFromParent_Done,
     /* 2186661 */   // Label 30142: @2186661
     /* 2186661 */   GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2186718), // Rule ID 64001 //
     /* 2186666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2186669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186700 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2186703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186717 */     // GIR_Coverage, 64001,
     /* 2186717 */     GIR_EraseRootFromParent_Done,
     /* 2186718 */   // Label 30143: @2186718
     /* 2186718 */   GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2186775), // Rule ID 64002 //
     /* 2186723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2186726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2186738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186757 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2186760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2186766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2186768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2186770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186774 */     // GIR_Coverage, 64002,
     /* 2186774 */     GIR_EraseRootFromParent_Done,
     /* 2186775 */   // Label 30144: @2186775
     /* 2186775 */   GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2186832), // Rule ID 1164 //
     /* 2186780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2186783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2186799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186814 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2186817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2186821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2186827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186831 */     // GIR_Coverage, 1164,
     /* 2186831 */     GIR_EraseRootFromParent_Done,
     /* 2186832 */   // Label 30145: @2186832
     /* 2186832 */   GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2186889), // Rule ID 1165 //
     /* 2186837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2186840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2186856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186871 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2186874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2186878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2186884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186888 */     // GIR_Coverage, 1165,
     /* 2186888 */     GIR_EraseRootFromParent_Done,
     /* 2186889 */   // Label 30146: @2186889
     /* 2186889 */   GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2186946), // Rule ID 1185 //
     /* 2186894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2186897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2186913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186928 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2186928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2186931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2186935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2186941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2186944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186945 */     // GIR_Coverage, 1185,
     /* 2186945 */     GIR_EraseRootFromParent_Done,
     /* 2186946 */   // Label 30147: @2186946
     /* 2186946 */   GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2187003), // Rule ID 1186 //
     /* 2186951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2186954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2186970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2186974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2186978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2186983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2186985 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2186985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2186988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2186992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2186994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2186998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187002 */     // GIR_Coverage, 1186,
     /* 2187002 */     GIR_EraseRootFromParent_Done,
     /* 2187003 */   // Label 30148: @2187003
     /* 2187003 */   GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2187043), // Rule ID 1160 //
     /* 2187008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2187011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187027 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2187027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2187030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2187034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2187038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187042 */     // GIR_Coverage, 1160,
     /* 2187042 */     GIR_EraseRootFromParent_Done,
     /* 2187043 */   // Label 30149: @2187043
     /* 2187043 */   GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2187083), // Rule ID 1161 //
     /* 2187048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2187051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187067 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2187067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2187070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2187074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2187078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187082 */     // GIR_Coverage, 1161,
     /* 2187082 */     GIR_EraseRootFromParent_Done,
     /* 2187083 */   // Label 30150: @2187083
     /* 2187083 */   GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2187123), // Rule ID 1181 //
     /* 2187088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2187091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187107 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2187107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2187110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2187114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2187118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187122 */     // GIR_Coverage, 1181,
     /* 2187122 */     GIR_EraseRootFromParent_Done,
     /* 2187123 */   // Label 30151: @2187123
     /* 2187123 */   GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2187163), // Rule ID 1182 //
     /* 2187128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2187131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2187147 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2187147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2187150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2187154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2187158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187162 */     // GIR_Coverage, 1182,
     /* 2187162 */     GIR_EraseRootFromParent_Done,
     /* 2187163 */   // Label 30152: @2187163
     /* 2187163 */   GIM_Reject,
     /* 2187164 */ // Label 30128: @2187164
     /* 2187164 */ GIM_Reject,
     /* 2187165 */ // Label 30086: @2187165
     /* 2187165 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2188955),
     /* 2187170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2187176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187179 */   GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2187251), // Rule ID 1509 //
     /* 2187184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2187187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187231 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2187234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187250 */     // GIR_Coverage, 1509,
     /* 2187250 */     GIR_EraseRootFromParent_Done,
     /* 2187251 */   // Label 30154: @2187251
     /* 2187251 */   GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2187323), // Rule ID 1510 //
     /* 2187256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2187259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187303 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2187303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2187306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187322 */     // GIR_Coverage, 1510,
     /* 2187322 */     GIR_EraseRootFromParent_Done,
     /* 2187323 */   // Label 30155: @2187323
     /* 2187323 */   GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2187395), // Rule ID 1532 //
     /* 2187328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2187331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187375 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2187378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187394 */     // GIR_Coverage, 1532,
     /* 2187394 */     GIR_EraseRootFromParent_Done,
     /* 2187395 */   // Label 30156: @2187395
     /* 2187395 */   GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2187467), // Rule ID 1564 //
     /* 2187400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2187403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187447 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2187450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187466 */     // GIR_Coverage, 1564,
     /* 2187466 */     GIR_EraseRootFromParent_Done,
     /* 2187467 */   // Label 30157: @2187467
     /* 2187467 */   GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2187539), // Rule ID 1565 //
     /* 2187472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2187475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187519 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2187519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2187522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187538 */     // GIR_Coverage, 1565,
     /* 2187538 */     GIR_EraseRootFromParent_Done,
     /* 2187539 */   // Label 30158: @2187539
     /* 2187539 */   GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2187611), // Rule ID 64013 //
     /* 2187544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2187547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2187559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187591 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2187594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187610 */     // GIR_Coverage, 64013,
     /* 2187610 */     GIR_EraseRootFromParent_Done,
     /* 2187611 */   // Label 30159: @2187611
     /* 2187611 */   GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2187683), // Rule ID 64014 //
     /* 2187616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2187619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2187631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187663 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2187663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2187666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187682 */     // GIR_Coverage, 64014,
     /* 2187682 */     GIR_EraseRootFromParent_Done,
     /* 2187683 */   // Label 30160: @2187683
     /* 2187683 */   GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2187755), // Rule ID 64018 //
     /* 2187688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2187691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2187703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187735 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2187738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187754 */     // GIR_Coverage, 64018,
     /* 2187754 */     GIR_EraseRootFromParent_Done,
     /* 2187755 */   // Label 30161: @2187755
     /* 2187755 */   GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2187827), // Rule ID 64025 //
     /* 2187760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2187763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2187775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187807 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2187810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187826 */     // GIR_Coverage, 64025,
     /* 2187826 */     GIR_EraseRootFromParent_Done,
     /* 2187827 */   // Label 30162: @2187827
     /* 2187827 */   GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2187899), // Rule ID 64026 //
     /* 2187832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2187835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2187847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2187864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2187877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2187879 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2187879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2187882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2187894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187898 */     // GIR_Coverage, 64026,
     /* 2187898 */     GIR_EraseRootFromParent_Done,
     /* 2187899 */   // Label 30163: @2187899
     /* 2187899 */   GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2187956), // Rule ID 1505 //
     /* 2187904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2187907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2187938 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2187938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2187941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2187947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2187949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2187951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2187954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187955 */     // GIR_Coverage, 1505,
     /* 2187955 */     GIR_EraseRootFromParent_Done,
     /* 2187956 */   // Label 30164: @2187956
     /* 2187956 */   GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2188013), // Rule ID 1506 //
     /* 2187961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2187964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2187972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2187976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2187980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2187995 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2187995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2187998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188012 */     // GIR_Coverage, 1506,
     /* 2188012 */     GIR_EraseRootFromParent_Done,
     /* 2188013 */   // Label 30165: @2188013
     /* 2188013 */   GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2188070), // Rule ID 1530 //
     /* 2188018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2188021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2188029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188052 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2188055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188069 */     // GIR_Coverage, 1530,
     /* 2188069 */     GIR_EraseRootFromParent_Done,
     /* 2188070 */   // Label 30166: @2188070
     /* 2188070 */   GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2188127), // Rule ID 1560 //
     /* 2188075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2188078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2188086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188109 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2188112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188126 */     // GIR_Coverage, 1560,
     /* 2188126 */     GIR_EraseRootFromParent_Done,
     /* 2188127 */   // Label 30167: @2188127
     /* 2188127 */   GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2188184), // Rule ID 1561 //
     /* 2188132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2188135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2188143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188166 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2188169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188183 */     // GIR_Coverage, 1561,
     /* 2188183 */     GIR_EraseRootFromParent_Done,
     /* 2188184 */   // Label 30168: @2188184
     /* 2188184 */   GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2188241), // Rule ID 64009 //
     /* 2188189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2188192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2188204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188223 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2188226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188240 */     // GIR_Coverage, 64009,
     /* 2188240 */     GIR_EraseRootFromParent_Done,
     /* 2188241 */   // Label 30169: @2188241
     /* 2188241 */   GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2188298), // Rule ID 64010 //
     /* 2188246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2188249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2188261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188280 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2188283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188297 */     // GIR_Coverage, 64010,
     /* 2188297 */     GIR_EraseRootFromParent_Done,
     /* 2188298 */   // Label 30170: @2188298
     /* 2188298 */   GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2188355), // Rule ID 64016 //
     /* 2188303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2188306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2188318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188337 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2188340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188354 */     // GIR_Coverage, 64016,
     /* 2188354 */     GIR_EraseRootFromParent_Done,
     /* 2188355 */   // Label 30171: @2188355
     /* 2188355 */   GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2188412), // Rule ID 64021 //
     /* 2188360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2188363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2188375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188394 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2188397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188411 */     // GIR_Coverage, 64021,
     /* 2188411 */     GIR_EraseRootFromParent_Done,
     /* 2188412 */   // Label 30172: @2188412
     /* 2188412 */   GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2188469), // Rule ID 64022 //
     /* 2188417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2188420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2188432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188451 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2188454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2188460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188468 */     // GIR_Coverage, 64022,
     /* 2188468 */     GIR_EraseRootFromParent_Done,
     /* 2188469 */   // Label 30173: @2188469
     /* 2188469 */   GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2188526), // Rule ID 1501 //
     /* 2188474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2188477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2188493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188508 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2188511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2188521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188525 */     // GIR_Coverage, 1501,
     /* 2188525 */     GIR_EraseRootFromParent_Done,
     /* 2188526 */   // Label 30174: @2188526
     /* 2188526 */   GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2188583), // Rule ID 1502 //
     /* 2188531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2188534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2188550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188565 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2188568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2188578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188582 */     // GIR_Coverage, 1502,
     /* 2188582 */     GIR_EraseRootFromParent_Done,
     /* 2188583 */   // Label 30175: @2188583
     /* 2188583 */   GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2188640), // Rule ID 1528 //
     /* 2188588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2188591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2188607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188622 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2188625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2188635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188639 */     // GIR_Coverage, 1528,
     /* 2188639 */     GIR_EraseRootFromParent_Done,
     /* 2188640 */   // Label 30176: @2188640
     /* 2188640 */   GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2188697), // Rule ID 1556 //
     /* 2188645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2188648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2188664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188679 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2188682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2188692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188696 */     // GIR_Coverage, 1556,
     /* 2188696 */     GIR_EraseRootFromParent_Done,
     /* 2188697 */   // Label 30177: @2188697
     /* 2188697 */   GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2188754), // Rule ID 1557 //
     /* 2188702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2188705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2188721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2188729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2188736 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2188739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2188749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188753 */     // GIR_Coverage, 1557,
     /* 2188753 */     GIR_EraseRootFromParent_Done,
     /* 2188754 */   // Label 30178: @2188754
     /* 2188754 */   GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2188794), // Rule ID 1497 //
     /* 2188759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2188762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188778 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2188781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188793 */     // GIR_Coverage, 1497,
     /* 2188793 */     GIR_EraseRootFromParent_Done,
     /* 2188794 */   // Label 30179: @2188794
     /* 2188794 */   GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2188834), // Rule ID 1498 //
     /* 2188799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2188802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2188818 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2188821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188833 */     // GIR_Coverage, 1498,
     /* 2188833 */     GIR_EraseRootFromParent_Done,
     /* 2188834 */   // Label 30180: @2188834
     /* 2188834 */   GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2188874), // Rule ID 1526 //
     /* 2188839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2188842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2188858 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2188861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188873 */     // GIR_Coverage, 1526,
     /* 2188873 */     GIR_EraseRootFromParent_Done,
     /* 2188874 */   // Label 30181: @2188874
     /* 2188874 */   GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2188914), // Rule ID 1552 //
     /* 2188879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2188882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188898 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2188898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2188901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188913 */     // GIR_Coverage, 1552,
     /* 2188913 */     GIR_EraseRootFromParent_Done,
     /* 2188914 */   // Label 30182: @2188914
     /* 2188914 */   GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2188954), // Rule ID 1553 //
     /* 2188919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2188922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2188938 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2188938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2188941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2188945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2188947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2188949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2188952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188953 */     // GIR_Coverage, 1553,
     /* 2188953 */     GIR_EraseRootFromParent_Done,
     /* 2188954 */   // Label 30183: @2188954
     /* 2188954 */   GIM_Reject,
     /* 2188955 */ // Label 30153: @2188955
     /* 2188955 */ GIM_Reject,
     /* 2188956 */ // Label 30087: @2188956
     /* 2188956 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2189745),
     /* 2188961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2188964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2188967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2188970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188974 */   GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2189051), // Rule ID 54292 //
     /* 2188979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2188986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2188990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2188994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189022 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2189025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189050 */     // GIR_Coverage, 54292,
     /* 2189050 */     GIR_EraseRootFromParent_Done,
     /* 2189051 */   // Label 30185: @2189051
     /* 2189051 */   GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2189128), // Rule ID 54293 //
     /* 2189056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2189063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189099 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2189102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189127 */     // GIR_Coverage, 54293,
     /* 2189127 */     GIR_EraseRootFromParent_Done,
     /* 2189128 */   // Label 30186: @2189128
     /* 2189128 */   GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2189205), // Rule ID 70837 //
     /* 2189133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2189144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189176 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2189179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2189183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189204 */     // GIR_Coverage, 70837,
     /* 2189204 */     GIR_EraseRootFromParent_Done,
     /* 2189205 */   // Label 30187: @2189205
     /* 2189205 */   GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2189282), // Rule ID 70838 //
     /* 2189210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2189221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189253 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2189256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2189260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189281 */     // GIR_Coverage, 70838,
     /* 2189281 */     GIR_EraseRootFromParent_Done,
     /* 2189282 */   // Label 30188: @2189282
     /* 2189282 */   GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2189344), // Rule ID 54296 //
     /* 2189287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2189294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189317 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2189320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189343 */     // GIR_Coverage, 54296,
     /* 2189343 */     GIR_EraseRootFromParent_Done,
     /* 2189344 */   // Label 30189: @2189344
     /* 2189344 */   GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2189406), // Rule ID 54297 //
     /* 2189349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2189356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189379 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2189382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189405 */     // GIR_Coverage, 54297,
     /* 2189405 */     GIR_EraseRootFromParent_Done,
     /* 2189406 */   // Label 30190: @2189406
     /* 2189406 */   GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2189468), // Rule ID 70841 //
     /* 2189411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2189422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189441 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2189444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2189448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189467 */     // GIR_Coverage, 70841,
     /* 2189467 */     GIR_EraseRootFromParent_Done,
     /* 2189468 */   // Label 30191: @2189468
     /* 2189468 */   GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2189530), // Rule ID 70842 //
     /* 2189473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2189484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189503 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2189506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2189510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189529 */     // GIR_Coverage, 70842,
     /* 2189529 */     GIR_EraseRootFromParent_Done,
     /* 2189530 */   // Label 30192: @2189530
     /* 2189530 */   GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2189592), // Rule ID 54288 //
     /* 2189535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2189550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189565 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2189568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2189574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2189578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189591 */     // GIR_Coverage, 54288,
     /* 2189591 */     GIR_EraseRootFromParent_Done,
     /* 2189592 */   // Label 30193: @2189592
     /* 2189592 */   GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2189654), // Rule ID 54289 //
     /* 2189597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2189612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2189620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2189627 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2189630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2189636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2189640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189653 */     // GIR_Coverage, 54289,
     /* 2189653 */     GIR_EraseRootFromParent_Done,
     /* 2189654 */   // Label 30194: @2189654
     /* 2189654 */   GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2189699), // Rule ID 54284 //
     /* 2189659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189674 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2189677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2189683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189698 */     // GIR_Coverage, 54284,
     /* 2189698 */     GIR_EraseRootFromParent_Done,
     /* 2189699 */   // Label 30195: @2189699
     /* 2189699 */   GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2189744), // Rule ID 54285 //
     /* 2189704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189719 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2189722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2189728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2189730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189743 */     // GIR_Coverage, 54285,
     /* 2189743 */     GIR_EraseRootFromParent_Done,
     /* 2189744 */   // Label 30196: @2189744
     /* 2189744 */   GIM_Reject,
     /* 2189745 */ // Label 30184: @2189745
     /* 2189745 */ GIM_Reject,
     /* 2189746 */ // Label 30088: @2189746
     /* 2189746 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2190535),
     /* 2189751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2189757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189764 */   GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2189841), // Rule ID 54420 //
     /* 2189769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2189772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2189776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189812 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2189815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189840 */     // GIR_Coverage, 54420,
     /* 2189840 */     GIR_EraseRootFromParent_Done,
     /* 2189841 */   // Label 30198: @2189841
     /* 2189841 */   GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2189918), // Rule ID 54421 //
     /* 2189846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2189849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2189853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189889 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2189889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2189892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2189896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189917 */     // GIR_Coverage, 54421,
     /* 2189917 */     GIR_EraseRootFromParent_Done,
     /* 2189918 */   // Label 30199: @2189918
     /* 2189918 */   GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2189995), // Rule ID 70949 //
     /* 2189923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2189926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2189934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2189951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2189955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2189959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2189966 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2189966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2189969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2189973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2189977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2189981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2189984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2189993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189994 */     // GIR_Coverage, 70949,
     /* 2189994 */     GIR_EraseRootFromParent_Done,
     /* 2189995 */   // Label 30200: @2189995
     /* 2189995 */   GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2190072), // Rule ID 70950 //
     /* 2190000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2190011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2190028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2190043 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2190046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2190050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2190058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190071 */     // GIR_Coverage, 70950,
     /* 2190071 */     GIR_EraseRootFromParent_Done,
     /* 2190072 */   // Label 30201: @2190072
     /* 2190072 */   GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2190134), // Rule ID 54424 //
     /* 2190077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190107 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2190110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190133 */     // GIR_Coverage, 54424,
     /* 2190133 */     GIR_EraseRootFromParent_Done,
     /* 2190134 */   // Label 30202: @2190134
     /* 2190134 */   GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2190196), // Rule ID 54425 //
     /* 2190139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190169 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2190172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190195 */     // GIR_Coverage, 54425,
     /* 2190195 */     GIR_EraseRootFromParent_Done,
     /* 2190196 */   // Label 30203: @2190196
     /* 2190196 */   GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2190258), // Rule ID 70953 //
     /* 2190201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2190212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190231 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2190234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2190238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190257 */     // GIR_Coverage, 70953,
     /* 2190257 */     GIR_EraseRootFromParent_Done,
     /* 2190258 */   // Label 30204: @2190258
     /* 2190258 */   GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2190320), // Rule ID 70954 //
     /* 2190263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2190274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190293 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2190296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2190300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190319 */     // GIR_Coverage, 70954,
     /* 2190319 */     GIR_EraseRootFromParent_Done,
     /* 2190320 */   // Label 30205: @2190320
     /* 2190320 */   GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2190382), // Rule ID 54416 //
     /* 2190325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2190340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190355 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2190358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2190364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2190368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190381 */     // GIR_Coverage, 54416,
     /* 2190381 */     GIR_EraseRootFromParent_Done,
     /* 2190382 */   // Label 30206: @2190382
     /* 2190382 */   GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2190444), // Rule ID 54417 //
     /* 2190387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2190402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2190410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190417 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2190420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2190426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2190430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190443 */     // GIR_Coverage, 54417,
     /* 2190443 */     GIR_EraseRootFromParent_Done,
     /* 2190444 */   // Label 30207: @2190444
     /* 2190444 */   GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2190489), // Rule ID 54412 //
     /* 2190449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190464 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2190467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2190473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190488 */     // GIR_Coverage, 54412,
     /* 2190488 */     GIR_EraseRootFromParent_Done,
     /* 2190489 */   // Label 30208: @2190489
     /* 2190489 */   GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2190534), // Rule ID 54413 //
     /* 2190494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190509 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2190512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2190518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190533 */     // GIR_Coverage, 54413,
     /* 2190533 */     GIR_EraseRootFromParent_Done,
     /* 2190534 */   // Label 30209: @2190534
     /* 2190534 */   GIM_Reject,
     /* 2190535 */ // Label 30197: @2190535
     /* 2190535 */ GIM_Reject,
     /* 2190536 */ // Label 30089: @2190536
     /* 2190536 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2191325),
     /* 2190541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2190547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2190550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190554 */   GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2190631), // Rule ID 54612 //
     /* 2190559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2190587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2190602 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2190605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2190617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190630 */     // GIR_Coverage, 54612,
     /* 2190630 */     GIR_EraseRootFromParent_Done,
     /* 2190631 */   // Label 30211: @2190631
     /* 2190631 */   GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2190708), // Rule ID 54613 //
     /* 2190636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2190664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2190679 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2190682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2190694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190707 */     // GIR_Coverage, 54613,
     /* 2190707 */     GIR_EraseRootFromParent_Done,
     /* 2190708 */   // Label 30212: @2190708
     /* 2190708 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2190785), // Rule ID 71117 //
     /* 2190713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2190724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2190741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2190756 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2190759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2190763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2190771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190784 */     // GIR_Coverage, 71117,
     /* 2190784 */     GIR_EraseRootFromParent_Done,
     /* 2190785 */   // Label 30213: @2190785
     /* 2190785 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2190862), // Rule ID 71118 //
     /* 2190790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2190801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2190818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2190833 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2190836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2190840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2190848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190861 */     // GIR_Coverage, 71118,
     /* 2190861 */     GIR_EraseRootFromParent_Done,
     /* 2190862 */   // Label 30214: @2190862
     /* 2190862 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2190924), // Rule ID 54616 //
     /* 2190867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190897 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2190897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2190900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190923 */     // GIR_Coverage, 54616,
     /* 2190923 */     GIR_EraseRootFromParent_Done,
     /* 2190924 */   // Label 30215: @2190924
     /* 2190924 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2190986), // Rule ID 54617 //
     /* 2190929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2190936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2190940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2190944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2190959 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2190959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2190962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2190966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2190970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2190972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2190975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2190984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190985 */     // GIR_Coverage, 54617,
     /* 2190985 */     GIR_EraseRootFromParent_Done,
     /* 2190986 */   // Label 30216: @2190986
     /* 2190986 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2191048), // Rule ID 71121 //
     /* 2190991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2191010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191021 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2191024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191047 */     // GIR_Coverage, 71121,
     /* 2191047 */     GIR_EraseRootFromParent_Done,
     /* 2191048 */   // Label 30217: @2191048
     /* 2191048 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2191110), // Rule ID 71122 //
     /* 2191053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2191056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2191072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191083 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2191086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191109 */     // GIR_Coverage, 71122,
     /* 2191109 */     GIR_EraseRootFromParent_Done,
     /* 2191110 */   // Label 30218: @2191110
     /* 2191110 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2191172), // Rule ID 54608 //
     /* 2191115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2191118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2191130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2191138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191145 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2191148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2191154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2191158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191171 */     // GIR_Coverage, 54608,
     /* 2191171 */     GIR_EraseRootFromParent_Done,
     /* 2191172 */   // Label 30219: @2191172
     /* 2191172 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2191234), // Rule ID 54609 //
     /* 2191177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2191180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2191192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2191200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191207 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2191210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2191216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2191220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191233 */     // GIR_Coverage, 54609,
     /* 2191233 */     GIR_EraseRootFromParent_Done,
     /* 2191234 */   // Label 30220: @2191234
     /* 2191234 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2191279), // Rule ID 54604 //
     /* 2191239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2191242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191254 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2191257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2191263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191278 */     // GIR_Coverage, 54604,
     /* 2191278 */     GIR_EraseRootFromParent_Done,
     /* 2191279 */   // Label 30221: @2191279
     /* 2191279 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2191324), // Rule ID 54605 //
     /* 2191284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2191287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191299 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2191302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2191308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191323 */     // GIR_Coverage, 54605,
     /* 2191323 */     GIR_EraseRootFromParent_Done,
     /* 2191324 */   // Label 30222: @2191324
     /* 2191324 */   GIM_Reject,
     /* 2191325 */ // Label 30210: @2191325
     /* 2191325 */ GIM_Reject,
     /* 2191326 */ // Label 30090: @2191326
     /* 2191326 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2192115),
     /* 2191331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2191337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2191340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191344 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2191421), // Rule ID 54356 //
     /* 2191349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2191356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2191377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2191392 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2191395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2191407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191420 */     // GIR_Coverage, 54356,
     /* 2191420 */     GIR_EraseRootFromParent_Done,
     /* 2191421 */   // Label 30224: @2191421
     /* 2191421 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2191498), // Rule ID 54357 //
     /* 2191426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2191433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2191454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2191469 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2191472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2191484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191497 */     // GIR_Coverage, 54357,
     /* 2191497 */     GIR_EraseRootFromParent_Done,
     /* 2191498 */   // Label 30225: @2191498
     /* 2191498 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2191575), // Rule ID 70893 //
     /* 2191503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2191531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2191546 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2191549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2191561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191574 */     // GIR_Coverage, 70893,
     /* 2191574 */     GIR_EraseRootFromParent_Done,
     /* 2191575 */   // Label 30226: @2191575
     /* 2191575 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2191652), // Rule ID 70894 //
     /* 2191580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2191608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2191623 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2191626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2191638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191651 */     // GIR_Coverage, 70894,
     /* 2191651 */     GIR_EraseRootFromParent_Done,
     /* 2191652 */   // Label 30227: @2191652
     /* 2191652 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2191714), // Rule ID 54360 //
     /* 2191657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2191664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191687 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2191690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191713 */     // GIR_Coverage, 54360,
     /* 2191713 */     GIR_EraseRootFromParent_Done,
     /* 2191714 */   // Label 30228: @2191714
     /* 2191714 */   GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2191776), // Rule ID 54361 //
     /* 2191719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2191726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191749 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2191752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191775 */     // GIR_Coverage, 54361,
     /* 2191775 */     GIR_EraseRootFromParent_Done,
     /* 2191776 */   // Label 30229: @2191776
     /* 2191776 */   GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2191838), // Rule ID 70897 //
     /* 2191781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191811 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2191814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191837 */     // GIR_Coverage, 70897,
     /* 2191837 */     GIR_EraseRootFromParent_Done,
     /* 2191838 */   // Label 30230: @2191838
     /* 2191838 */   GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2191900), // Rule ID 70898 //
     /* 2191843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2191854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191873 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2191876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2191880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2191884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2191886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191899 */     // GIR_Coverage, 70898,
     /* 2191899 */     GIR_EraseRootFromParent_Done,
     /* 2191900 */   // Label 30231: @2191900
     /* 2191900 */   GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2191962), // Rule ID 54352 //
     /* 2191905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2191920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191935 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2191935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2191938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2191942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2191944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2191948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2191951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2191960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191961 */     // GIR_Coverage, 54352,
     /* 2191961 */     GIR_EraseRootFromParent_Done,
     /* 2191962 */   // Label 30232: @2191962
     /* 2191962 */   GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2192024), // Rule ID 54353 //
     /* 2191967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2191982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2191986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2191990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2191997 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2191997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2192000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2192010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192023 */     // GIR_Coverage, 54353,
     /* 2192023 */     GIR_EraseRootFromParent_Done,
     /* 2192024 */   // Label 30233: @2192024
     /* 2192024 */   GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2192069), // Rule ID 54348 //
     /* 2192029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2192032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192044 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2192047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192068 */     // GIR_Coverage, 54348,
     /* 2192068 */     GIR_EraseRootFromParent_Done,
     /* 2192069 */   // Label 30234: @2192069
     /* 2192069 */   GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2192114), // Rule ID 54349 //
     /* 2192074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2192077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192089 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2192092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192113 */     // GIR_Coverage, 54349,
     /* 2192113 */     GIR_EraseRootFromParent_Done,
     /* 2192114 */   // Label 30235: @2192114
     /* 2192114 */   GIM_Reject,
     /* 2192115 */ // Label 30223: @2192115
     /* 2192115 */ GIM_Reject,
     /* 2192116 */ // Label 30091: @2192116
     /* 2192116 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2192905),
     /* 2192121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2192130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192134 */   GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2192211), // Rule ID 54548 //
     /* 2192139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2192146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2192167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2192182 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2192185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2192197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192210 */     // GIR_Coverage, 54548,
     /* 2192210 */     GIR_EraseRootFromParent_Done,
     /* 2192211 */   // Label 30237: @2192211
     /* 2192211 */   GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2192288), // Rule ID 54549 //
     /* 2192216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2192223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2192244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2192259 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2192262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2192274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192287 */     // GIR_Coverage, 54549,
     /* 2192287 */     GIR_EraseRootFromParent_Done,
     /* 2192288 */   // Label 30238: @2192288
     /* 2192288 */   GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2192365), // Rule ID 71061 //
     /* 2192293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2192304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2192321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2192336 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2192339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2192343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2192351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192364 */     // GIR_Coverage, 71061,
     /* 2192364 */     GIR_EraseRootFromParent_Done,
     /* 2192365 */   // Label 30239: @2192365
     /* 2192365 */   GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2192442), // Rule ID 71062 //
     /* 2192370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2192381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2192398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2192413 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2192416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2192420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2192428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192441 */     // GIR_Coverage, 71062,
     /* 2192441 */     GIR_EraseRootFromParent_Done,
     /* 2192442 */   // Label 30240: @2192442
     /* 2192442 */   GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2192504), // Rule ID 54552 //
     /* 2192447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2192454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192477 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2192480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192503 */     // GIR_Coverage, 54552,
     /* 2192503 */     GIR_EraseRootFromParent_Done,
     /* 2192504 */   // Label 30241: @2192504
     /* 2192504 */   GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2192566), // Rule ID 54553 //
     /* 2192509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2192516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192539 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2192542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192565 */     // GIR_Coverage, 54553,
     /* 2192565 */     GIR_EraseRootFromParent_Done,
     /* 2192566 */   // Label 30242: @2192566
     /* 2192566 */   GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2192628), // Rule ID 71065 //
     /* 2192571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2192582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192601 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2192604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2192608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192627 */     // GIR_Coverage, 71065,
     /* 2192627 */     GIR_EraseRootFromParent_Done,
     /* 2192628 */   // Label 30243: @2192628
     /* 2192628 */   GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2192690), // Rule ID 71066 //
     /* 2192633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2192644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192663 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2192666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2192670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192689 */     // GIR_Coverage, 71066,
     /* 2192689 */     GIR_EraseRootFromParent_Done,
     /* 2192690 */   // Label 30244: @2192690
     /* 2192690 */   GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2192752), // Rule ID 54544 //
     /* 2192695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2192710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192725 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2192728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2192738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192751 */     // GIR_Coverage, 54544,
     /* 2192751 */     GIR_EraseRootFromParent_Done,
     /* 2192752 */   // Label 30245: @2192752
     /* 2192752 */   GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2192814), // Rule ID 54545 //
     /* 2192757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2192772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2192787 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2192790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2192800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192813 */     // GIR_Coverage, 54545,
     /* 2192813 */     GIR_EraseRootFromParent_Done,
     /* 2192814 */   // Label 30246: @2192814
     /* 2192814 */   GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2192859), // Rule ID 54540 //
     /* 2192819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192834 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2192837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192858 */     // GIR_Coverage, 54540,
     /* 2192858 */     GIR_EraseRootFromParent_Done,
     /* 2192859 */   // Label 30247: @2192859
     /* 2192859 */   GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2192904), // Rule ID 54541 //
     /* 2192864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192879 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2192879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2192882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2192888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2192890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192903 */     // GIR_Coverage, 54541,
     /* 2192903 */     GIR_EraseRootFromParent_Done,
     /* 2192904 */   // Label 30248: @2192904
     /* 2192904 */   GIM_Reject,
     /* 2192905 */ // Label 30236: @2192905
     /* 2192905 */ GIM_Reject,
     /* 2192906 */ // Label 30092: @2192906
     /* 2192906 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2193695),
     /* 2192911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2192914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2192917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2192920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192924 */   GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2193001), // Rule ID 55060 //
     /* 2192929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2192932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2192936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2192944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2192957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2192961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2192965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2192972 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2192972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2192975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2192979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2192983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2192987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2192990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2192999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193000 */     // GIR_Coverage, 55060,
     /* 2193000 */     GIR_EraseRootFromParent_Done,
     /* 2193001 */   // Label 30250: @2193001
     /* 2193001 */   GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2193078), // Rule ID 55061 //
     /* 2193006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2193013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193049 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2193052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193077 */     // GIR_Coverage, 55061,
     /* 2193077 */     GIR_EraseRootFromParent_Done,
     /* 2193078 */   // Label 30251: @2193078
     /* 2193078 */   GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2193155), // Rule ID 71509 //
     /* 2193083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193126 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2193129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2193133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193154 */     // GIR_Coverage, 71509,
     /* 2193154 */     GIR_EraseRootFromParent_Done,
     /* 2193155 */   // Label 30252: @2193155
     /* 2193155 */   GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2193232), // Rule ID 71510 //
     /* 2193160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193203 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2193206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2193210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193231 */     // GIR_Coverage, 71510,
     /* 2193231 */     GIR_EraseRootFromParent_Done,
     /* 2193232 */   // Label 30253: @2193232
     /* 2193232 */   GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2193294), // Rule ID 55064 //
     /* 2193237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2193244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193267 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2193270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193293 */     // GIR_Coverage, 55064,
     /* 2193293 */     GIR_EraseRootFromParent_Done,
     /* 2193294 */   // Label 30254: @2193294
     /* 2193294 */   GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2193356), // Rule ID 55065 //
     /* 2193299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2193306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193329 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2193332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193355 */     // GIR_Coverage, 55065,
     /* 2193355 */     GIR_EraseRootFromParent_Done,
     /* 2193356 */   // Label 30255: @2193356
     /* 2193356 */   GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2193418), // Rule ID 71513 //
     /* 2193361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193391 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2193394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2193398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193417 */     // GIR_Coverage, 71513,
     /* 2193417 */     GIR_EraseRootFromParent_Done,
     /* 2193418 */   // Label 30256: @2193418
     /* 2193418 */   GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2193480), // Rule ID 71514 //
     /* 2193423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193453 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2193456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2193460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193479 */     // GIR_Coverage, 71514,
     /* 2193479 */     GIR_EraseRootFromParent_Done,
     /* 2193480 */   // Label 30257: @2193480
     /* 2193480 */   GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2193542), // Rule ID 55056 //
     /* 2193485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2193500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193515 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2193518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2193524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2193528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193541 */     // GIR_Coverage, 55056,
     /* 2193541 */     GIR_EraseRootFromParent_Done,
     /* 2193542 */   // Label 30258: @2193542
     /* 2193542 */   GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2193604), // Rule ID 55057 //
     /* 2193547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2193562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2193570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2193577 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2193580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2193586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2193590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193603 */     // GIR_Coverage, 55057,
     /* 2193603 */     GIR_EraseRootFromParent_Done,
     /* 2193604 */   // Label 30259: @2193604
     /* 2193604 */   GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2193649), // Rule ID 55052 //
     /* 2193609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193624 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2193627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2193633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193648 */     // GIR_Coverage, 55052,
     /* 2193648 */     GIR_EraseRootFromParent_Done,
     /* 2193649 */   // Label 30260: @2193649
     /* 2193649 */   GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2193694), // Rule ID 55053 //
     /* 2193654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193669 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2193672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2193678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2193680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193693 */     // GIR_Coverage, 55053,
     /* 2193693 */     GIR_EraseRootFromParent_Done,
     /* 2193694 */   // Label 30261: @2193694
     /* 2193694 */   GIM_Reject,
     /* 2193695 */ // Label 30249: @2193695
     /* 2193695 */ GIM_Reject,
     /* 2193696 */ // Label 30093: @2193696
     /* 2193696 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2194485),
     /* 2193701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2193707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2193710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193714 */   GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2193791), // Rule ID 54484 //
     /* 2193719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2193722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2193726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193762 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2193765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193790 */     // GIR_Coverage, 54484,
     /* 2193790 */     GIR_EraseRootFromParent_Done,
     /* 2193791 */   // Label 30263: @2193791
     /* 2193791 */   GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2193868), // Rule ID 54485 //
     /* 2193796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2193799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2193803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193839 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2193842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2193846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193867 */     // GIR_Coverage, 54485,
     /* 2193867 */     GIR_EraseRootFromParent_Done,
     /* 2193868 */   // Label 30264: @2193868
     /* 2193868 */   GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2193945), // Rule ID 71005 //
     /* 2193873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2193876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193916 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2193916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2193919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2193923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2193927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2193931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2193934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2193943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193944 */     // GIR_Coverage, 71005,
     /* 2193944 */     GIR_EraseRootFromParent_Done,
     /* 2193945 */   // Label 30265: @2193945
     /* 2193945 */   GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2194022), // Rule ID 71006 //
     /* 2193950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2193953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2193961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2193978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2193982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2193993 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2193993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2193996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2194008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194021 */     // GIR_Coverage, 71006,
     /* 2194021 */     GIR_EraseRootFromParent_Done,
     /* 2194022 */   // Label 30266: @2194022
     /* 2194022 */   GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2194084), // Rule ID 54488 //
     /* 2194027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194057 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2194060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194083 */     // GIR_Coverage, 54488,
     /* 2194083 */     GIR_EraseRootFromParent_Done,
     /* 2194084 */   // Label 30267: @2194084
     /* 2194084 */   GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2194146), // Rule ID 54489 //
     /* 2194089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194119 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2194122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194145 */     // GIR_Coverage, 54489,
     /* 2194145 */     GIR_EraseRootFromParent_Done,
     /* 2194146 */   // Label 30268: @2194146
     /* 2194146 */   GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2194208), // Rule ID 71009 //
     /* 2194151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2194162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194181 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2194184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194207 */     // GIR_Coverage, 71009,
     /* 2194207 */     GIR_EraseRootFromParent_Done,
     /* 2194208 */   // Label 30269: @2194208
     /* 2194208 */   GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2194270), // Rule ID 71010 //
     /* 2194213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2194224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194243 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2194246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194269 */     // GIR_Coverage, 71010,
     /* 2194269 */     GIR_EraseRootFromParent_Done,
     /* 2194270 */   // Label 30270: @2194270
     /* 2194270 */   GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2194332), // Rule ID 54480 //
     /* 2194275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2194290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194305 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2194308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2194318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194331 */     // GIR_Coverage, 54480,
     /* 2194331 */     GIR_EraseRootFromParent_Done,
     /* 2194332 */   // Label 30271: @2194332
     /* 2194332 */   GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2194394), // Rule ID 54481 //
     /* 2194337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2194352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194367 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2194370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2194380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194393 */     // GIR_Coverage, 54481,
     /* 2194393 */     GIR_EraseRootFromParent_Done,
     /* 2194394 */   // Label 30272: @2194394
     /* 2194394 */   GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2194439), // Rule ID 54476 //
     /* 2194399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194414 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2194417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194438 */     // GIR_Coverage, 54476,
     /* 2194438 */     GIR_EraseRootFromParent_Done,
     /* 2194439 */   // Label 30273: @2194439
     /* 2194439 */   GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2194484), // Rule ID 54477 //
     /* 2194444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194459 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2194462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194483 */     // GIR_Coverage, 54477,
     /* 2194483 */     GIR_EraseRootFromParent_Done,
     /* 2194484 */   // Label 30274: @2194484
     /* 2194484 */   GIM_Reject,
     /* 2194485 */ // Label 30262: @2194485
     /* 2194485 */ GIM_Reject,
     /* 2194486 */ // Label 30094: @2194486
     /* 2194486 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2195275),
     /* 2194491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2194497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2194500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194504 */   GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2194581), // Rule ID 54868 //
     /* 2194509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2194512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2194537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2194552 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2194555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2194567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194580 */     // GIR_Coverage, 54868,
     /* 2194580 */     GIR_EraseRootFromParent_Done,
     /* 2194581 */   // Label 30276: @2194581
     /* 2194581 */   GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2194658), // Rule ID 54869 //
     /* 2194586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2194589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2194614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2194629 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2194632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2194644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194657 */     // GIR_Coverage, 54869,
     /* 2194657 */     GIR_EraseRootFromParent_Done,
     /* 2194658 */   // Label 30277: @2194658
     /* 2194658 */   GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2194735), // Rule ID 71341 //
     /* 2194663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2194666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2194674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2194691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2194706 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2194709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2194721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194734 */     // GIR_Coverage, 71341,
     /* 2194734 */     GIR_EraseRootFromParent_Done,
     /* 2194735 */   // Label 30278: @2194735
     /* 2194735 */   GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2194812), // Rule ID 71342 //
     /* 2194740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2194743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2194751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2194768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2194783 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2194786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2194798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194811 */     // GIR_Coverage, 71342,
     /* 2194811 */     GIR_EraseRootFromParent_Done,
     /* 2194812 */   // Label 30279: @2194812
     /* 2194812 */   GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2194874), // Rule ID 54872 //
     /* 2194817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2194820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194847 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2194850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194873 */     // GIR_Coverage, 54872,
     /* 2194873 */     GIR_EraseRootFromParent_Done,
     /* 2194874 */   // Label 30280: @2194874
     /* 2194874 */   GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2194936), // Rule ID 54873 //
     /* 2194879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2194882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2194886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194909 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2194909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2194912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2194916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194935 */     // GIR_Coverage, 54873,
     /* 2194935 */     GIR_EraseRootFromParent_Done,
     /* 2194936 */   // Label 30281: @2194936
     /* 2194936 */   GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2194998), // Rule ID 71345 //
     /* 2194941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2194944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2194952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2194956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2194971 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2194971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2194974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2194978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2194982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2194984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2194996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194997 */     // GIR_Coverage, 71345,
     /* 2194997 */     GIR_EraseRootFromParent_Done,
     /* 2194998 */   // Label 30282: @2194998
     /* 2194998 */   GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2195060), // Rule ID 71346 //
     /* 2195003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2195006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2195014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195033 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2195036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2195040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195059 */     // GIR_Coverage, 71346,
     /* 2195059 */     GIR_EraseRootFromParent_Done,
     /* 2195060 */   // Label 30283: @2195060
     /* 2195060 */   GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2195122), // Rule ID 54864 //
     /* 2195065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2195068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2195080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195095 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2195098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2195108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195121 */     // GIR_Coverage, 54864,
     /* 2195121 */     GIR_EraseRootFromParent_Done,
     /* 2195122 */   // Label 30284: @2195122
     /* 2195122 */   GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2195184), // Rule ID 54865 //
     /* 2195127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2195130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2195142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2195150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195157 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2195160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2195170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195183 */     // GIR_Coverage, 54865,
     /* 2195183 */     GIR_EraseRootFromParent_Done,
     /* 2195184 */   // Label 30285: @2195184
     /* 2195184 */   GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2195229), // Rule ID 54860 //
     /* 2195189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2195192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195204 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2195207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195228 */     // GIR_Coverage, 54860,
     /* 2195228 */     GIR_EraseRootFromParent_Done,
     /* 2195229 */   // Label 30286: @2195229
     /* 2195229 */   GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2195274), // Rule ID 54861 //
     /* 2195234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2195237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195249 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2195252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195273 */     // GIR_Coverage, 54861,
     /* 2195273 */     GIR_EraseRootFromParent_Done,
     /* 2195274 */   // Label 30287: @2195274
     /* 2195274 */   GIM_Reject,
     /* 2195275 */ // Label 30275: @2195275
     /* 2195275 */ GIM_Reject,
     /* 2195276 */ // Label 30095: @2195276
     /* 2195276 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2196065),
     /* 2195281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2195287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2195290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195294 */   GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2195371), // Rule ID 55124 //
     /* 2195299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2195306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2195327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2195342 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2195345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2195357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195370 */     // GIR_Coverage, 55124,
     /* 2195370 */     GIR_EraseRootFromParent_Done,
     /* 2195371 */   // Label 30289: @2195371
     /* 2195371 */   GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2195448), // Rule ID 55125 //
     /* 2195376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2195383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2195404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2195419 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2195422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2195434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195447 */     // GIR_Coverage, 55125,
     /* 2195447 */     GIR_EraseRootFromParent_Done,
     /* 2195448 */   // Label 30290: @2195448
     /* 2195448 */   GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2195525), // Rule ID 71565 //
     /* 2195453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2195464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2195481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2195496 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2195499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2195503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2195511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195524 */     // GIR_Coverage, 71565,
     /* 2195524 */     GIR_EraseRootFromParent_Done,
     /* 2195525 */   // Label 30291: @2195525
     /* 2195525 */   GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2195602), // Rule ID 71566 //
     /* 2195530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2195541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2195558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2195573 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2195576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2195580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2195588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195601 */     // GIR_Coverage, 71566,
     /* 2195601 */     GIR_EraseRootFromParent_Done,
     /* 2195602 */   // Label 30292: @2195602
     /* 2195602 */   GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2195664), // Rule ID 55128 //
     /* 2195607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2195614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195637 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2195640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195663 */     // GIR_Coverage, 55128,
     /* 2195663 */     GIR_EraseRootFromParent_Done,
     /* 2195664 */   // Label 30293: @2195664
     /* 2195664 */   GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2195726), // Rule ID 55129 //
     /* 2195669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2195676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195699 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2195702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195725 */     // GIR_Coverage, 55129,
     /* 2195725 */     GIR_EraseRootFromParent_Done,
     /* 2195726 */   // Label 30294: @2195726
     /* 2195726 */   GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2195788), // Rule ID 71569 //
     /* 2195731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2195742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195761 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2195764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2195768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195787 */     // GIR_Coverage, 71569,
     /* 2195787 */     GIR_EraseRootFromParent_Done,
     /* 2195788 */   // Label 30295: @2195788
     /* 2195788 */   GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2195850), // Rule ID 71570 //
     /* 2195793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2195804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195823 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2195826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2195830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2195834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2195836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195849 */     // GIR_Coverage, 71570,
     /* 2195849 */     GIR_EraseRootFromParent_Done,
     /* 2195850 */   // Label 30296: @2195850
     /* 2195850 */   GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2195912), // Rule ID 55120 //
     /* 2195855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2195870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195885 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2195888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2195898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195911 */     // GIR_Coverage, 55120,
     /* 2195911 */     GIR_EraseRootFromParent_Done,
     /* 2195912 */   // Label 30297: @2195912
     /* 2195912 */   GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2195974), // Rule ID 55121 //
     /* 2195917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2195932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2195936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2195940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2195947 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2195947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2195950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2195954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2195956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2195960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2195963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2195972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195973 */     // GIR_Coverage, 55121,
     /* 2195973 */     GIR_EraseRootFromParent_Done,
     /* 2195974 */   // Label 30298: @2195974
     /* 2195974 */   GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2196019), // Rule ID 55116 //
     /* 2195979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195994 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2195994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2195997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196018 */     // GIR_Coverage, 55116,
     /* 2196018 */     GIR_EraseRootFromParent_Done,
     /* 2196019 */   // Label 30299: @2196019
     /* 2196019 */   GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2196064), // Rule ID 55117 //
     /* 2196024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2196027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196039 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2196042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196063 */     // GIR_Coverage, 55117,
     /* 2196063 */     GIR_EraseRootFromParent_Done,
     /* 2196064 */   // Label 30300: @2196064
     /* 2196064 */   GIM_Reject,
     /* 2196065 */ // Label 30288: @2196065
     /* 2196065 */ GIM_Reject,
     /* 2196066 */ // Label 30096: @2196066
     /* 2196066 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2196855),
     /* 2196071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2196077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2196080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196084 */   GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2196161), // Rule ID 54676 //
     /* 2196089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196132 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2196135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2196147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196160 */     // GIR_Coverage, 54676,
     /* 2196160 */     GIR_EraseRootFromParent_Done,
     /* 2196161 */   // Label 30302: @2196161
     /* 2196161 */   GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2196238), // Rule ID 54677 //
     /* 2196166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196209 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2196212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2196224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196237 */     // GIR_Coverage, 54677,
     /* 2196237 */     GIR_EraseRootFromParent_Done,
     /* 2196238 */   // Label 30303: @2196238
     /* 2196238 */   GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2196315), // Rule ID 71173 //
     /* 2196243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2196254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196286 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2196289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2196293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2196301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196314 */     // GIR_Coverage, 71173,
     /* 2196314 */     GIR_EraseRootFromParent_Done,
     /* 2196315 */   // Label 30304: @2196315
     /* 2196315 */   GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2196392), // Rule ID 71174 //
     /* 2196320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2196331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196363 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2196366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2196370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2196378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196391 */     // GIR_Coverage, 71174,
     /* 2196391 */     GIR_EraseRootFromParent_Done,
     /* 2196392 */   // Label 30305: @2196392
     /* 2196392 */   GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2196454), // Rule ID 54680 //
     /* 2196397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196427 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2196430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196453 */     // GIR_Coverage, 54680,
     /* 2196453 */     GIR_EraseRootFromParent_Done,
     /* 2196454 */   // Label 30306: @2196454
     /* 2196454 */   GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2196516), // Rule ID 54681 //
     /* 2196459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196489 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2196492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196515 */     // GIR_Coverage, 54681,
     /* 2196515 */     GIR_EraseRootFromParent_Done,
     /* 2196516 */   // Label 30307: @2196516
     /* 2196516 */   GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2196578), // Rule ID 71177 //
     /* 2196521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2196532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196551 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2196554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2196558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196577 */     // GIR_Coverage, 71177,
     /* 2196577 */     GIR_EraseRootFromParent_Done,
     /* 2196578 */   // Label 30308: @2196578
     /* 2196578 */   GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2196640), // Rule ID 71178 //
     /* 2196583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2196594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196613 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2196616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2196620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196639 */     // GIR_Coverage, 71178,
     /* 2196639 */     GIR_EraseRootFromParent_Done,
     /* 2196640 */   // Label 30309: @2196640
     /* 2196640 */   GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2196702), // Rule ID 54672 //
     /* 2196645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2196660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196675 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2196678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2196688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196701 */     // GIR_Coverage, 54672,
     /* 2196701 */     GIR_EraseRootFromParent_Done,
     /* 2196702 */   // Label 30310: @2196702
     /* 2196702 */   GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2196764), // Rule ID 54673 //
     /* 2196707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2196722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2196730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2196737 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2196740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2196750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196763 */     // GIR_Coverage, 54673,
     /* 2196763 */     GIR_EraseRootFromParent_Done,
     /* 2196764 */   // Label 30311: @2196764
     /* 2196764 */   GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2196809), // Rule ID 54668 //
     /* 2196769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196784 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2196787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196808 */     // GIR_Coverage, 54668,
     /* 2196808 */     GIR_EraseRootFromParent_Done,
     /* 2196809 */   // Label 30312: @2196809
     /* 2196809 */   GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2196854), // Rule ID 54669 //
     /* 2196814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196829 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2196832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2196838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2196840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196853 */     // GIR_Coverage, 54669,
     /* 2196853 */     GIR_EraseRootFromParent_Done,
     /* 2196854 */   // Label 30313: @2196854
     /* 2196854 */   GIM_Reject,
     /* 2196855 */ // Label 30301: @2196855
     /* 2196855 */ GIM_Reject,
     /* 2196856 */ // Label 30097: @2196856
     /* 2196856 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2197645),
     /* 2196861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2196870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196874 */   GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2196951), // Rule ID 54932 //
     /* 2196879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2196882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196922 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2196922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2196925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2196929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2196933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2196937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2196940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2196949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196950 */     // GIR_Coverage, 54932,
     /* 2196950 */     GIR_EraseRootFromParent_Done,
     /* 2196951 */   // Label 30315: @2196951
     /* 2196951 */   GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2197028), // Rule ID 54933 //
     /* 2196956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2196959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2196963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2196984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2196988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2196992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2196999 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2196999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2197002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197027 */     // GIR_Coverage, 54933,
     /* 2197027 */     GIR_EraseRootFromParent_Done,
     /* 2197028 */   // Label 30316: @2197028
     /* 2197028 */   GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2197105), // Rule ID 71397 //
     /* 2197033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2197036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197076 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2197079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197104 */     // GIR_Coverage, 71397,
     /* 2197104 */     GIR_EraseRootFromParent_Done,
     /* 2197105 */   // Label 30317: @2197105
     /* 2197105 */   GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2197182), // Rule ID 71398 //
     /* 2197110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197153 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2197156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197181 */     // GIR_Coverage, 71398,
     /* 2197181 */     GIR_EraseRootFromParent_Done,
     /* 2197182 */   // Label 30318: @2197182
     /* 2197182 */   GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2197244), // Rule ID 54936 //
     /* 2197187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2197190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2197194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197217 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2197220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197243 */     // GIR_Coverage, 54936,
     /* 2197243 */     GIR_EraseRootFromParent_Done,
     /* 2197244 */   // Label 30319: @2197244
     /* 2197244 */   GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2197306), // Rule ID 54937 //
     /* 2197249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2197256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197279 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2197282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197305 */     // GIR_Coverage, 54937,
     /* 2197305 */     GIR_EraseRootFromParent_Done,
     /* 2197306 */   // Label 30320: @2197306
     /* 2197306 */   GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2197368), // Rule ID 71401 //
     /* 2197311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2197314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197341 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2197344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197367 */     // GIR_Coverage, 71401,
     /* 2197367 */     GIR_EraseRootFromParent_Done,
     /* 2197368 */   // Label 30321: @2197368
     /* 2197368 */   GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2197430), // Rule ID 71402 //
     /* 2197373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197403 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2197406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197429 */     // GIR_Coverage, 71402,
     /* 2197429 */     GIR_EraseRootFromParent_Done,
     /* 2197430 */   // Label 30322: @2197430
     /* 2197430 */   GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2197492), // Rule ID 54928 //
     /* 2197435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2197438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2197450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197465 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2197468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2197474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2197478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197491 */     // GIR_Coverage, 54928,
     /* 2197491 */     GIR_EraseRootFromParent_Done,
     /* 2197492 */   // Label 30323: @2197492
     /* 2197492 */   GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2197554), // Rule ID 54929 //
     /* 2197497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2197512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2197527 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2197530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2197536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2197540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197553 */     // GIR_Coverage, 54929,
     /* 2197553 */     GIR_EraseRootFromParent_Done,
     /* 2197554 */   // Label 30324: @2197554
     /* 2197554 */   GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2197599), // Rule ID 54924 //
     /* 2197559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2197562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197574 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2197577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2197583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197598 */     // GIR_Coverage, 54924,
     /* 2197598 */     GIR_EraseRootFromParent_Done,
     /* 2197599 */   // Label 30325: @2197599
     /* 2197599 */   GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2197644), // Rule ID 54925 //
     /* 2197604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197619 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2197622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2197628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2197630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197643 */     // GIR_Coverage, 54925,
     /* 2197643 */     GIR_EraseRootFromParent_Done,
     /* 2197644 */   // Label 30326: @2197644
     /* 2197644 */   GIM_Reject,
     /* 2197645 */ // Label 30314: @2197645
     /* 2197645 */ GIM_Reject,
     /* 2197646 */ // Label 30098: @2197646
     /* 2197646 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2198435),
     /* 2197651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2197660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197664 */   GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2197741), // Rule ID 55188 //
     /* 2197669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2197676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197712 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2197715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197740 */     // GIR_Coverage, 55188,
     /* 2197740 */     GIR_EraseRootFromParent_Done,
     /* 2197741 */   // Label 30328: @2197741
     /* 2197741 */   GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2197818), // Rule ID 55189 //
     /* 2197746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2197749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2197753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197789 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2197792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2197796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197817 */     // GIR_Coverage, 55189,
     /* 2197817 */     GIR_EraseRootFromParent_Done,
     /* 2197818 */   // Label 30329: @2197818
     /* 2197818 */   GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2197895), // Rule ID 71621 //
     /* 2197823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197866 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2197866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2197869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197894 */     // GIR_Coverage, 71621,
     /* 2197894 */     GIR_EraseRootFromParent_Done,
     /* 2197895 */   // Label 30330: @2197895
     /* 2197895 */   GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2197972), // Rule ID 71622 //
     /* 2197900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2197903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2197911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2197928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2197943 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2197943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2197946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2197950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2197954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2197958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2197961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2197970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197971 */     // GIR_Coverage, 71622,
     /* 2197971 */     GIR_EraseRootFromParent_Done,
     /* 2197972 */   // Label 30331: @2197972
     /* 2197972 */   GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2198034), // Rule ID 55192 //
     /* 2197977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2197984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2197988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2197992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198007 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2198010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198033 */     // GIR_Coverage, 55192,
     /* 2198033 */     GIR_EraseRootFromParent_Done,
     /* 2198034 */   // Label 30332: @2198034
     /* 2198034 */   GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2198096), // Rule ID 55193 //
     /* 2198039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2198042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2198054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198069 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2198072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198095 */     // GIR_Coverage, 55193,
     /* 2198095 */     GIR_EraseRootFromParent_Done,
     /* 2198096 */   // Label 30333: @2198096
     /* 2198096 */   GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2198158), // Rule ID 71625 //
     /* 2198101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2198104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2198120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198131 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2198134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198157 */     // GIR_Coverage, 71625,
     /* 2198157 */     GIR_EraseRootFromParent_Done,
     /* 2198158 */   // Label 30334: @2198158
     /* 2198158 */   GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2198220), // Rule ID 71626 //
     /* 2198163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2198166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2198182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198193 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2198196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198219 */     // GIR_Coverage, 71626,
     /* 2198219 */     GIR_EraseRootFromParent_Done,
     /* 2198220 */   // Label 30335: @2198220
     /* 2198220 */   GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2198282), // Rule ID 55184 //
     /* 2198225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2198228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2198240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2198248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198255 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2198258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2198268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198281 */     // GIR_Coverage, 55184,
     /* 2198281 */     GIR_EraseRootFromParent_Done,
     /* 2198282 */   // Label 30336: @2198282
     /* 2198282 */   GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2198344), // Rule ID 55185 //
     /* 2198287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2198290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2198302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2198310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198317 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2198320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2198330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198343 */     // GIR_Coverage, 55185,
     /* 2198343 */     GIR_EraseRootFromParent_Done,
     /* 2198344 */   // Label 30337: @2198344
     /* 2198344 */   GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2198389), // Rule ID 55180 //
     /* 2198349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2198352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198364 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2198367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198388 */     // GIR_Coverage, 55180,
     /* 2198388 */     GIR_EraseRootFromParent_Done,
     /* 2198389 */   // Label 30338: @2198389
     /* 2198389 */   GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2198434), // Rule ID 55181 //
     /* 2198394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2198397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198409 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2198412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198433 */     // GIR_Coverage, 55181,
     /* 2198433 */     GIR_EraseRootFromParent_Done,
     /* 2198434 */   // Label 30339: @2198434
     /* 2198434 */   GIM_Reject,
     /* 2198435 */ // Label 30327: @2198435
     /* 2198435 */ GIM_Reject,
     /* 2198436 */ // Label 30099: @2198436
     /* 2198436 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2199225),
     /* 2198441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2198447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2198450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198454 */   GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2198531), // Rule ID 54740 //
     /* 2198459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2198487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2198502 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2198505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2198517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198530 */     // GIR_Coverage, 54740,
     /* 2198530 */     GIR_EraseRootFromParent_Done,
     /* 2198531 */   // Label 30341: @2198531
     /* 2198531 */   GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2198608), // Rule ID 54741 //
     /* 2198536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2198564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2198579 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2198582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2198594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198607 */     // GIR_Coverage, 54741,
     /* 2198607 */     GIR_EraseRootFromParent_Done,
     /* 2198608 */   // Label 30342: @2198608
     /* 2198608 */   GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2198685), // Rule ID 71229 //
     /* 2198613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2198641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2198656 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2198659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2198671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198684 */     // GIR_Coverage, 71229,
     /* 2198684 */     GIR_EraseRootFromParent_Done,
     /* 2198685 */   // Label 30343: @2198685
     /* 2198685 */   GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2198762), // Rule ID 71230 //
     /* 2198690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2198718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2198733 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2198736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2198748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198761 */     // GIR_Coverage, 71230,
     /* 2198761 */     GIR_EraseRootFromParent_Done,
     /* 2198762 */   // Label 30344: @2198762
     /* 2198762 */   GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2198824), // Rule ID 54744 //
     /* 2198767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198797 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2198800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198823 */     // GIR_Coverage, 54744,
     /* 2198823 */     GIR_EraseRootFromParent_Done,
     /* 2198824 */   // Label 30345: @2198824
     /* 2198824 */   GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2198886), // Rule ID 54745 //
     /* 2198829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198859 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2198862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2198866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198885 */     // GIR_Coverage, 54745,
     /* 2198885 */     GIR_EraseRootFromParent_Done,
     /* 2198886 */   // Label 30346: @2198886
     /* 2198886 */   GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2198948), // Rule ID 71233 //
     /* 2198891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198921 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2198921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2198924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2198946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198947 */     // GIR_Coverage, 71233,
     /* 2198947 */     GIR_EraseRootFromParent_Done,
     /* 2198948 */   // Label 30347: @2198948
     /* 2198948 */   GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2199010), // Rule ID 71234 //
     /* 2198953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2198968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198983 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2198983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2198986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2198990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2198996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2198999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199009 */     // GIR_Coverage, 71234,
     /* 2199009 */     GIR_EraseRootFromParent_Done,
     /* 2199010 */   // Label 30348: @2199010
     /* 2199010 */   GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2199072), // Rule ID 54736 //
     /* 2199015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2199018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2199030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2199038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199045 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2199048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199071 */     // GIR_Coverage, 54736,
     /* 2199071 */     GIR_EraseRootFromParent_Done,
     /* 2199072 */   // Label 30349: @2199072
     /* 2199072 */   GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2199134), // Rule ID 54737 //
     /* 2199077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2199080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2199092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2199100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199107 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2199110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199133 */     // GIR_Coverage, 54737,
     /* 2199133 */     GIR_EraseRootFromParent_Done,
     /* 2199134 */   // Label 30350: @2199134
     /* 2199134 */   GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2199179), // Rule ID 54732 //
     /* 2199139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2199142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199154 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2199157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199178 */     // GIR_Coverage, 54732,
     /* 2199178 */     GIR_EraseRootFromParent_Done,
     /* 2199179 */   // Label 30351: @2199179
     /* 2199179 */   GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2199224), // Rule ID 54733 //
     /* 2199184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2199187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199199 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2199202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199223 */     // GIR_Coverage, 54733,
     /* 2199223 */     GIR_EraseRootFromParent_Done,
     /* 2199224 */   // Label 30352: @2199224
     /* 2199224 */   GIM_Reject,
     /* 2199225 */ // Label 30340: @2199225
     /* 2199225 */ GIM_Reject,
     /* 2199226 */ // Label 30100: @2199226
     /* 2199226 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2200015),
     /* 2199231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2199237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2199240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199244 */   GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2199321), // Rule ID 54996 //
     /* 2199249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2199277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199292 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2199295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2199307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199320 */     // GIR_Coverage, 54996,
     /* 2199320 */     GIR_EraseRootFromParent_Done,
     /* 2199321 */   // Label 30354: @2199321
     /* 2199321 */   GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2199398), // Rule ID 54997 //
     /* 2199326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2199354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199369 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2199372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2199384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199397 */     // GIR_Coverage, 54997,
     /* 2199397 */     GIR_EraseRootFromParent_Done,
     /* 2199398 */   // Label 30355: @2199398
     /* 2199398 */   GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2199475), // Rule ID 71453 //
     /* 2199403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2199431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199446 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2199449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2199453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2199461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199474 */     // GIR_Coverage, 71453,
     /* 2199474 */     GIR_EraseRootFromParent_Done,
     /* 2199475 */   // Label 30356: @2199475
     /* 2199475 */   GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2199552), // Rule ID 71454 //
     /* 2199480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2199508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199523 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2199526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2199530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2199538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199551 */     // GIR_Coverage, 71454,
     /* 2199551 */     GIR_EraseRootFromParent_Done,
     /* 2199552 */   // Label 30357: @2199552
     /* 2199552 */   GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2199614), // Rule ID 55000 //
     /* 2199557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199587 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2199590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199613 */     // GIR_Coverage, 55000,
     /* 2199613 */     GIR_EraseRootFromParent_Done,
     /* 2199614 */   // Label 30358: @2199614
     /* 2199614 */   GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2199676), // Rule ID 55001 //
     /* 2199619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199649 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2199652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199675 */     // GIR_Coverage, 55001,
     /* 2199675 */     GIR_EraseRootFromParent_Done,
     /* 2199676 */   // Label 30359: @2199676
     /* 2199676 */   GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2199738), // Rule ID 71457 //
     /* 2199681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199711 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2199714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2199718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199737 */     // GIR_Coverage, 71457,
     /* 2199737 */     GIR_EraseRootFromParent_Done,
     /* 2199738 */   // Label 30360: @2199738
     /* 2199738 */   GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2199800), // Rule ID 71458 //
     /* 2199743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199773 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2199776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2199780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199799 */     // GIR_Coverage, 71458,
     /* 2199799 */     GIR_EraseRootFromParent_Done,
     /* 2199800 */   // Label 30361: @2199800
     /* 2199800 */   GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2199862), // Rule ID 54992 //
     /* 2199805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2199820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199835 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2199838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199861 */     // GIR_Coverage, 54992,
     /* 2199861 */     GIR_EraseRootFromParent_Done,
     /* 2199862 */   // Label 30362: @2199862
     /* 2199862 */   GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2199924), // Rule ID 54993 //
     /* 2199867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2199882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2199886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2199890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199897 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2199900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199923 */     // GIR_Coverage, 54993,
     /* 2199923 */     GIR_EraseRootFromParent_Done,
     /* 2199924 */   // Label 30363: @2199924
     /* 2199924 */   GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2199969), // Rule ID 54988 //
     /* 2199929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199944 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2199944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2199947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2199955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2199967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199968 */     // GIR_Coverage, 54988,
     /* 2199968 */     GIR_EraseRootFromParent_Done,
     /* 2199969 */   // Label 30364: @2199969
     /* 2199969 */   GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2200014), // Rule ID 54989 //
     /* 2199974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199989 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2199989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2199992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2199996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200013 */     // GIR_Coverage, 54989,
     /* 2200013 */     GIR_EraseRootFromParent_Done,
     /* 2200014 */   // Label 30365: @2200014
     /* 2200014 */   GIM_Reject,
     /* 2200015 */ // Label 30353: @2200015
     /* 2200015 */ GIM_Reject,
     /* 2200016 */ // Label 30101: @2200016
     /* 2200016 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2200805),
     /* 2200021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2200027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2200030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200034 */   GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2200111), // Rule ID 54804 //
     /* 2200039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2200067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200082 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2200085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2200097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200110 */     // GIR_Coverage, 54804,
     /* 2200110 */     GIR_EraseRootFromParent_Done,
     /* 2200111 */   // Label 30367: @2200111
     /* 2200111 */   GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2200188), // Rule ID 54805 //
     /* 2200116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2200144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200159 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2200162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2200174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200187 */     // GIR_Coverage, 54805,
     /* 2200187 */     GIR_EraseRootFromParent_Done,
     /* 2200188 */   // Label 30368: @2200188
     /* 2200188 */   GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2200265), // Rule ID 71285 //
     /* 2200193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2200204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2200221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200236 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2200239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2200243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2200251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200264 */     // GIR_Coverage, 71285,
     /* 2200264 */     GIR_EraseRootFromParent_Done,
     /* 2200265 */   // Label 30369: @2200265
     /* 2200265 */   GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2200342), // Rule ID 71286 //
     /* 2200270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2200281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2200298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200313 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2200316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2200320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2200328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200341 */     // GIR_Coverage, 71286,
     /* 2200341 */     GIR_EraseRootFromParent_Done,
     /* 2200342 */   // Label 30370: @2200342
     /* 2200342 */   GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2200404), // Rule ID 54808 //
     /* 2200347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200377 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2200380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200403 */     // GIR_Coverage, 54808,
     /* 2200403 */     GIR_EraseRootFromParent_Done,
     /* 2200404 */   // Label 30371: @2200404
     /* 2200404 */   GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2200466), // Rule ID 54809 //
     /* 2200409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200439 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2200442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200465 */     // GIR_Coverage, 54809,
     /* 2200465 */     GIR_EraseRootFromParent_Done,
     /* 2200466 */   // Label 30372: @2200466
     /* 2200466 */   GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2200528), // Rule ID 71289 //
     /* 2200471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2200482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200501 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2200504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2200508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200527 */     // GIR_Coverage, 71289,
     /* 2200527 */     GIR_EraseRootFromParent_Done,
     /* 2200528 */   // Label 30373: @2200528
     /* 2200528 */   GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2200590), // Rule ID 71290 //
     /* 2200533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2200544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200563 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2200566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2200570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2200574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200589 */     // GIR_Coverage, 71290,
     /* 2200589 */     GIR_EraseRootFromParent_Done,
     /* 2200590 */   // Label 30374: @2200590
     /* 2200590 */   GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2200652), // Rule ID 54800 //
     /* 2200595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2200610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200625 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2200628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200651 */     // GIR_Coverage, 54800,
     /* 2200651 */     GIR_EraseRootFromParent_Done,
     /* 2200652 */   // Label 30375: @2200652
     /* 2200652 */   GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2200714), // Rule ID 54801 //
     /* 2200657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2200672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2200676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2200680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2200687 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2200690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200713 */     // GIR_Coverage, 54801,
     /* 2200713 */     GIR_EraseRootFromParent_Done,
     /* 2200714 */   // Label 30376: @2200714
     /* 2200714 */   GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2200759), // Rule ID 54796 //
     /* 2200719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2200722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200734 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2200734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2200737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200758 */     // GIR_Coverage, 54796,
     /* 2200758 */     GIR_EraseRootFromParent_Done,
     /* 2200759 */   // Label 30377: @2200759
     /* 2200759 */   GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2200804), // Rule ID 54797 //
     /* 2200764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2200767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200779 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2200779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2200782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2200786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2200790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2200802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200803 */     // GIR_Coverage, 54797,
     /* 2200803 */     GIR_EraseRootFromParent_Done,
     /* 2200804 */   // Label 30378: @2200804
     /* 2200804 */   GIM_Reject,
     /* 2200805 */ // Label 30366: @2200805
     /* 2200805 */ GIM_Reject,
     /* 2200806 */ // Label 30102: @2200806
     /* 2200806 */ GIM_Reject,
     /* 2200807 */ // Label 61: @2200807
     /* 2200807 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30397*/ GIMT_Encode4(2203234),
     /* 2200818 */ /*GILLT_s16*//*Label 30379*/ GIMT_Encode4(2200938),
     /* 2200822 */ /*GILLT_s32*//*Label 30380*/ GIMT_Encode4(2201087),
     /* 2200826 */ /*GILLT_s64*//*Label 30381*/ GIMT_Encode4(2201236), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200838 */ /*GILLT_nxv1s16*//*Label 30382*/ GIMT_Encode4(2201419),
     /* 2200842 */ /*GILLT_nxv1s32*//*Label 30383*/ GIMT_Encode4(2201540),
     /* 2200846 */ /*GILLT_nxv1s64*//*Label 30384*/ GIMT_Encode4(2201661), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200858 */ /*GILLT_nxv2s16*//*Label 30385*/ GIMT_Encode4(2201782),
     /* 2200862 */ /*GILLT_nxv2s32*//*Label 30386*/ GIMT_Encode4(2201903),
     /* 2200866 */ /*GILLT_nxv2s64*//*Label 30387*/ GIMT_Encode4(2202024), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200878 */ /*GILLT_nxv4s16*//*Label 30388*/ GIMT_Encode4(2202145),
     /* 2200882 */ /*GILLT_nxv4s32*//*Label 30389*/ GIMT_Encode4(2202266),
     /* 2200886 */ /*GILLT_nxv4s64*//*Label 30390*/ GIMT_Encode4(2202387), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200898 */ /*GILLT_nxv8s16*//*Label 30391*/ GIMT_Encode4(2202508),
     /* 2200902 */ /*GILLT_nxv8s32*//*Label 30392*/ GIMT_Encode4(2202629),
     /* 2200906 */ /*GILLT_nxv8s64*//*Label 30393*/ GIMT_Encode4(2202750), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200918 */ /*GILLT_nxv16s16*//*Label 30394*/ GIMT_Encode4(2202871),
     /* 2200922 */ /*GILLT_nxv16s32*//*Label 30395*/ GIMT_Encode4(2202992), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2200934 */ /*GILLT_nxv32s16*//*Label 30396*/ GIMT_Encode4(2203113),
     /* 2200938 */ // Label 30379: @2200938
     /* 2200938 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2201086),
     /* 2200943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2200949 */   GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2200983), // Rule ID 1840 //
     /* 2200954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2200957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200969 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2200969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2200972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2200981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200982 */     // GIR_Coverage, 1840,
     /* 2200982 */     GIR_EraseRootFromParent_Done,
     /* 2200983 */   // Label 30399: @2200983
     /* 2200983 */   GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2201017), // Rule ID 1841 //
     /* 2200988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2200991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2200999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201003 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2201003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2201006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201016 */     // GIR_Coverage, 1841,
     /* 2201016 */     GIR_EraseRootFromParent_Done,
     /* 2201017 */   // Label 30400: @2201017
     /* 2201017 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2201051), // Rule ID 1844 //
     /* 2201022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2201025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201037 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2201037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2201040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201050 */     // GIR_Coverage, 1844,
     /* 2201050 */     GIR_EraseRootFromParent_Done,
     /* 2201051 */   // Label 30401: @2201051
     /* 2201051 */   GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2201085), // Rule ID 1845 //
     /* 2201056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2201059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2201071 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2201071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2201074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201084 */     // GIR_Coverage, 1845,
     /* 2201084 */     GIR_EraseRootFromParent_Done,
     /* 2201085 */   // Label 30402: @2201085
     /* 2201085 */   GIM_Reject,
     /* 2201086 */ // Label 30398: @2201086
     /* 2201086 */ GIM_Reject,
     /* 2201087 */ // Label 30380: @2201087
     /* 2201087 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2201235),
     /* 2201092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2201095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2201098 */   GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2201132), // Rule ID 1131 //
     /* 2201103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2201106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201118 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2201118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2201121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201131 */     // GIR_Coverage, 1131,
     /* 2201131 */     GIR_EraseRootFromParent_Done,
     /* 2201132 */   // Label 30404: @2201132
     /* 2201132 */   GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2201166), // Rule ID 1132 //
     /* 2201137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2201140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2201152 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2201152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2201155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201165 */     // GIR_Coverage, 1132,
     /* 2201165 */     GIR_EraseRootFromParent_Done,
     /* 2201166 */   // Label 30405: @2201166
     /* 2201166 */   GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2201200), // Rule ID 1135 //
     /* 2201171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2201174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201186 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2201186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2201189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201199 */     // GIR_Coverage, 1135,
     /* 2201199 */     GIR_EraseRootFromParent_Done,
     /* 2201200 */   // Label 30406: @2201200
     /* 2201200 */   GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2201234), // Rule ID 1136 //
     /* 2201205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2201208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2201220 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2201220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2201223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201233 */     // GIR_Coverage, 1136,
     /* 2201233 */     GIR_EraseRootFromParent_Done,
     /* 2201234 */   // Label 30407: @2201234
     /* 2201234 */   GIM_Reject,
     /* 2201235 */ // Label 30403: @2201235
     /* 2201235 */ GIM_Reject,
     /* 2201236 */ // Label 30381: @2201236
     /* 2201236 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2201418),
     /* 2201241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2201244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2201247 */   GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2201281), // Rule ID 1472 //
     /* 2201252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2201255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201267 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2201267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2201270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201280 */     // GIR_Coverage, 1472,
     /* 2201280 */     GIR_EraseRootFromParent_Done,
     /* 2201281 */   // Label 30409: @2201281
     /* 2201281 */   GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2201315), // Rule ID 1473 //
     /* 2201286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2201289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201301 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2201301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2201304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201314 */     // GIR_Coverage, 1473,
     /* 2201314 */     GIR_EraseRootFromParent_Done,
     /* 2201315 */   // Label 30410: @2201315
     /* 2201315 */   GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2201349), // Rule ID 1476 //
     /* 2201320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2201323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201335 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2201335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2201338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201348 */     // GIR_Coverage, 1476,
     /* 2201348 */     GIR_EraseRootFromParent_Done,
     /* 2201349 */   // Label 30411: @2201349
     /* 2201349 */   GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2201383), // Rule ID 1477 //
     /* 2201354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2201357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2201369 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2201369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2201372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201382 */     // GIR_Coverage, 1477,
     /* 2201382 */     GIR_EraseRootFromParent_Done,
     /* 2201383 */   // Label 30412: @2201383
     /* 2201383 */   GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2201417), // Rule ID 1479 //
     /* 2201388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2201391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2201403 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2201403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2201406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201416 */     // GIR_Coverage, 1479,
     /* 2201416 */     GIR_EraseRootFromParent_Done,
     /* 2201417 */   // Label 30413: @2201417
     /* 2201417 */   GIM_Reject,
     /* 2201418 */ // Label 30408: @2201418
     /* 2201418 */ GIM_Reject,
     /* 2201419 */ // Label 30382: @2201419
     /* 2201419 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2201539),
     /* 2201424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2201427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2201430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201442 */   GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2201490), // Rule ID 53858 //
     /* 2201447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2201450 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2201467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201489 */     // GIR_Coverage, 53858,
     /* 2201489 */     GIR_EraseRootFromParent_Done,
     /* 2201490 */   // Label 30415: @2201490
     /* 2201490 */   GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2201538), // Rule ID 53859 //
     /* 2201495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2201498 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2201501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2201515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201537 */     // GIR_Coverage, 53859,
     /* 2201537 */     GIR_EraseRootFromParent_Done,
     /* 2201538 */   // Label 30416: @2201538
     /* 2201538 */   GIM_Reject,
     /* 2201539 */ // Label 30414: @2201539
     /* 2201539 */ GIM_Reject,
     /* 2201540 */ // Label 30383: @2201540
     /* 2201540 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2201660),
     /* 2201545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2201548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2201551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201563 */   GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2201611), // Rule ID 53882 //
     /* 2201568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2201571 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2201588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201610 */     // GIR_Coverage, 53882,
     /* 2201610 */     GIR_EraseRootFromParent_Done,
     /* 2201611 */   // Label 30418: @2201611
     /* 2201611 */   GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2201659), // Rule ID 53883 //
     /* 2201616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2201619 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2201622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2201636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201658 */     // GIR_Coverage, 53883,
     /* 2201658 */     GIR_EraseRootFromParent_Done,
     /* 2201659 */   // Label 30419: @2201659
     /* 2201659 */   GIM_Reject,
     /* 2201660 */ // Label 30417: @2201660
     /* 2201660 */ GIM_Reject,
     /* 2201661 */ // Label 30384: @2201661
     /* 2201661 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2201781),
     /* 2201666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2201669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2201672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201684 */   GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2201732), // Rule ID 53918 //
     /* 2201689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2201692 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2201709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201731 */     // GIR_Coverage, 53918,
     /* 2201731 */     GIR_EraseRootFromParent_Done,
     /* 2201732 */   // Label 30421: @2201732
     /* 2201732 */   GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2201780), // Rule ID 53919 //
     /* 2201737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2201740 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2201743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2201757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201779 */     // GIR_Coverage, 53919,
     /* 2201779 */     GIR_EraseRootFromParent_Done,
     /* 2201780 */   // Label 30422: @2201780
     /* 2201780 */   GIM_Reject,
     /* 2201781 */ // Label 30420: @2201781
     /* 2201781 */ GIM_Reject,
     /* 2201782 */ // Label 30385: @2201782
     /* 2201782 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2201902),
     /* 2201787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2201793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201805 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2201853), // Rule ID 53870 //
     /* 2201810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2201813 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2201830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201852 */     // GIR_Coverage, 53870,
     /* 2201852 */     GIR_EraseRootFromParent_Done,
     /* 2201853 */   // Label 30424: @2201853
     /* 2201853 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2201901), // Rule ID 53871 //
     /* 2201858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2201861 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2201878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201900 */     // GIR_Coverage, 53871,
     /* 2201900 */     GIR_EraseRootFromParent_Done,
     /* 2201901 */   // Label 30425: @2201901
     /* 2201901 */   GIM_Reject,
     /* 2201902 */ // Label 30423: @2201902
     /* 2201902 */ GIM_Reject,
     /* 2201903 */ // Label 30386: @2201903
     /* 2201903 */ GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2202023),
     /* 2201908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201926 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2201974), // Rule ID 53906 //
     /* 2201931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2201934 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2201951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2201963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201973 */     // GIR_Coverage, 53906,
     /* 2201973 */     GIR_EraseRootFromParent_Done,
     /* 2201974 */   // Label 30427: @2201974
     /* 2201974 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2202022), // Rule ID 53907 //
     /* 2201979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2201982 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2201999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202021 */     // GIR_Coverage, 53907,
     /* 2202021 */     GIR_EraseRootFromParent_Done,
     /* 2202022 */   // Label 30428: @2202022
     /* 2202022 */   GIM_Reject,
     /* 2202023 */ // Label 30426: @2202023
     /* 2202023 */ GIM_Reject,
     /* 2202024 */ // Label 30387: @2202024
     /* 2202024 */ GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2202144),
     /* 2202029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2202032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2202035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202047 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2202095), // Rule ID 54002 //
     /* 2202052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2202055 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2202072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202094 */     // GIR_Coverage, 54002,
     /* 2202094 */     GIR_EraseRootFromParent_Done,
     /* 2202095 */   // Label 30430: @2202095
     /* 2202095 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2202143), // Rule ID 54003 //
     /* 2202100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2202103 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2202120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202142 */     // GIR_Coverage, 54003,
     /* 2202142 */     GIR_EraseRootFromParent_Done,
     /* 2202143 */   // Label 30431: @2202143
     /* 2202143 */   GIM_Reject,
     /* 2202144 */ // Label 30429: @2202144
     /* 2202144 */ GIM_Reject,
     /* 2202145 */ // Label 30388: @2202145
     /* 2202145 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2202265),
     /* 2202150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2202156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202168 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2202216), // Rule ID 53894 //
     /* 2202173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2202176 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2202193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202215 */     // GIR_Coverage, 53894,
     /* 2202215 */     GIR_EraseRootFromParent_Done,
     /* 2202216 */   // Label 30433: @2202216
     /* 2202216 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2202264), // Rule ID 53895 //
     /* 2202221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2202224 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2202241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202263 */     // GIR_Coverage, 53895,
     /* 2202263 */     GIR_EraseRootFromParent_Done,
     /* 2202264 */   // Label 30434: @2202264
     /* 2202264 */   GIM_Reject,
     /* 2202265 */ // Label 30432: @2202265
     /* 2202265 */ GIM_Reject,
     /* 2202266 */ // Label 30389: @2202266
     /* 2202266 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2202386),
     /* 2202271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2202274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2202277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202289 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2202337), // Rule ID 53966 //
     /* 2202294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2202297 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2202314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202336 */     // GIR_Coverage, 53966,
     /* 2202336 */     GIR_EraseRootFromParent_Done,
     /* 2202337 */   // Label 30436: @2202337
     /* 2202337 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2202385), // Rule ID 53967 //
     /* 2202342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2202345 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2202362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202384 */     // GIR_Coverage, 53967,
     /* 2202384 */     GIR_EraseRootFromParent_Done,
     /* 2202385 */   // Label 30437: @2202385
     /* 2202385 */   GIM_Reject,
     /* 2202386 */ // Label 30435: @2202386
     /* 2202386 */ GIM_Reject,
     /* 2202387 */ // Label 30390: @2202387
     /* 2202387 */ GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2202507),
     /* 2202392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2202395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2202398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202410 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2202458), // Rule ID 54014 //
     /* 2202415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2202418 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2202435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202457 */     // GIR_Coverage, 54014,
     /* 2202457 */     GIR_EraseRootFromParent_Done,
     /* 2202458 */   // Label 30439: @2202458
     /* 2202458 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2202506), // Rule ID 54015 //
     /* 2202463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2202466 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2202483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202505 */     // GIR_Coverage, 54015,
     /* 2202505 */     GIR_EraseRootFromParent_Done,
     /* 2202506 */   // Label 30440: @2202506
     /* 2202506 */   GIM_Reject,
     /* 2202507 */ // Label 30438: @2202507
     /* 2202507 */ GIM_Reject,
     /* 2202508 */ // Label 30391: @2202508
     /* 2202508 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2202628),
     /* 2202513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2202516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2202519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202531 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2202579), // Rule ID 53930 //
     /* 2202536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2202539 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2202542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2202556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202578 */     // GIR_Coverage, 53930,
     /* 2202578 */     GIR_EraseRootFromParent_Done,
     /* 2202579 */   // Label 30442: @2202579
     /* 2202579 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2202627), // Rule ID 53931 //
     /* 2202584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2202587 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2202590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2202604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202626 */     // GIR_Coverage, 53931,
     /* 2202626 */     GIR_EraseRootFromParent_Done,
     /* 2202627 */   // Label 30443: @2202627
     /* 2202627 */   GIM_Reject,
     /* 2202628 */ // Label 30441: @2202628
     /* 2202628 */ GIM_Reject,
     /* 2202629 */ // Label 30392: @2202629
     /* 2202629 */ GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2202749),
     /* 2202634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2202637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2202640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202652 */   GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2202700), // Rule ID 53978 //
     /* 2202657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2202660 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2202677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202699 */     // GIR_Coverage, 53978,
     /* 2202699 */     GIR_EraseRootFromParent_Done,
     /* 2202700 */   // Label 30445: @2202700
     /* 2202700 */   GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2202748), // Rule ID 53979 //
     /* 2202705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2202708 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2202725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202747 */     // GIR_Coverage, 53979,
     /* 2202747 */     GIR_EraseRootFromParent_Done,
     /* 2202748 */   // Label 30446: @2202748
     /* 2202748 */   GIM_Reject,
     /* 2202749 */ // Label 30444: @2202749
     /* 2202749 */ GIM_Reject,
     /* 2202750 */ // Label 30393: @2202750
     /* 2202750 */ GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2202870),
     /* 2202755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2202758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202773 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2202821), // Rule ID 54026 //
     /* 2202778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2202781 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2202798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202820 */     // GIR_Coverage, 54026,
     /* 2202820 */     GIR_EraseRootFromParent_Done,
     /* 2202821 */   // Label 30448: @2202821
     /* 2202821 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2202869), // Rule ID 54027 //
     /* 2202826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2202829 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2202846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202868 */     // GIR_Coverage, 54027,
     /* 2202868 */     GIR_EraseRootFromParent_Done,
     /* 2202869 */   // Label 30449: @2202869
     /* 2202869 */   GIM_Reject,
     /* 2202870 */ // Label 30447: @2202870
     /* 2202870 */ GIM_Reject,
     /* 2202871 */ // Label 30394: @2202871
     /* 2202871 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2202991),
     /* 2202876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2202879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2202882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202894 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2202942), // Rule ID 53942 //
     /* 2202899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2202902 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2202905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2202919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202941 */     // GIR_Coverage, 53942,
     /* 2202941 */     GIR_EraseRootFromParent_Done,
     /* 2202942 */   // Label 30451: @2202942
     /* 2202942 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2202990), // Rule ID 53943 //
     /* 2202947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2202950 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2202953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2202967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2202979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202989 */     // GIR_Coverage, 53943,
     /* 2202989 */     GIR_EraseRootFromParent_Done,
     /* 2202990 */   // Label 30452: @2202990
     /* 2202990 */   GIM_Reject,
     /* 2202991 */ // Label 30450: @2202991
     /* 2202991 */ GIM_Reject,
     /* 2202992 */ // Label 30395: @2202992
     /* 2202992 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2203112),
     /* 2202997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2203000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2203003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203015 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2203063), // Rule ID 53990 //
     /* 2203020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2203023 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2203026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2203040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2203052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203062 */     // GIR_Coverage, 53990,
     /* 2203062 */     GIR_EraseRootFromParent_Done,
     /* 2203063 */   // Label 30454: @2203063
     /* 2203063 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2203111), // Rule ID 53991 //
     /* 2203068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2203071 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2203074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2203088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2203100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203110 */     // GIR_Coverage, 53991,
     /* 2203110 */     GIR_EraseRootFromParent_Done,
     /* 2203111 */   // Label 30455: @2203111
     /* 2203111 */   GIM_Reject,
     /* 2203112 */ // Label 30453: @2203112
     /* 2203112 */ GIM_Reject,
     /* 2203113 */ // Label 30396: @2203113
     /* 2203113 */ GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2203233),
     /* 2203118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2203121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2203124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203136 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2203184), // Rule ID 53954 //
     /* 2203141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2203144 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2203147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2203161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2203173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203183 */     // GIR_Coverage, 53954,
     /* 2203183 */     GIR_EraseRootFromParent_Done,
     /* 2203184 */   // Label 30457: @2203184
     /* 2203184 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2203232), // Rule ID 53955 //
     /* 2203189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2203192 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2203195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2203209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2203221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203231 */     // GIR_Coverage, 53955,
     /* 2203231 */     GIR_EraseRootFromParent_Done,
     /* 2203232 */   // Label 30458: @2203232
     /* 2203232 */   GIM_Reject,
     /* 2203233 */ // Label 30456: @2203233
     /* 2203233 */ GIM_Reject,
     /* 2203234 */ // Label 30397: @2203234
     /* 2203234 */ GIM_Reject,
     /* 2203235 */ // Label 62: @2203235
     /* 2203235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30477*/ GIMT_Encode4(2205205),
     /* 2203246 */ /*GILLT_s16*//*Label 30459*/ GIMT_Encode4(2203366),
     /* 2203250 */ /*GILLT_s32*//*Label 30460*/ GIMT_Encode4(2203430),
     /* 2203254 */ /*GILLT_s64*//*Label 30461*/ GIMT_Encode4(2203494), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203266 */ /*GILLT_nxv1s16*//*Label 30462*/ GIMT_Encode4(2203585),
     /* 2203270 */ /*GILLT_nxv1s32*//*Label 30463*/ GIMT_Encode4(2203693),
     /* 2203274 */ /*GILLT_nxv1s64*//*Label 30464*/ GIMT_Encode4(2203801), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203286 */ /*GILLT_nxv2s16*//*Label 30465*/ GIMT_Encode4(2203909),
     /* 2203290 */ /*GILLT_nxv2s32*//*Label 30466*/ GIMT_Encode4(2204017),
     /* 2203294 */ /*GILLT_nxv2s64*//*Label 30467*/ GIMT_Encode4(2204125), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203306 */ /*GILLT_nxv4s16*//*Label 30468*/ GIMT_Encode4(2204233),
     /* 2203310 */ /*GILLT_nxv4s32*//*Label 30469*/ GIMT_Encode4(2204341),
     /* 2203314 */ /*GILLT_nxv4s64*//*Label 30470*/ GIMT_Encode4(2204449), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203326 */ /*GILLT_nxv8s16*//*Label 30471*/ GIMT_Encode4(2204557),
     /* 2203330 */ /*GILLT_nxv8s32*//*Label 30472*/ GIMT_Encode4(2204665),
     /* 2203334 */ /*GILLT_nxv8s64*//*Label 30473*/ GIMT_Encode4(2204773), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203346 */ /*GILLT_nxv16s16*//*Label 30474*/ GIMT_Encode4(2204881),
     /* 2203350 */ /*GILLT_nxv16s32*//*Label 30475*/ GIMT_Encode4(2204989), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2203362 */ /*GILLT_nxv32s16*//*Label 30476*/ GIMT_Encode4(2205097),
     /* 2203366 */ // Label 30459: @2203366
     /* 2203366 */ GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2203429),
     /* 2203371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2203374 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2203401), // Rule ID 1850 //
     /* 2203379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2203382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203390 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2203390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2203393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203400 */     // GIR_Coverage, 1850,
     /* 2203400 */     GIR_EraseRootFromParent_Done,
     /* 2203401 */   // Label 30479: @2203401
     /* 2203401 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2203428), // Rule ID 1883 //
     /* 2203406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2203409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2203413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2203417 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2203417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2203420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203427 */     // GIR_Coverage, 1883,
     /* 2203427 */     GIR_EraseRootFromParent_Done,
     /* 2203428 */   // Label 30480: @2203428
     /* 2203428 */   GIM_Reject,
     /* 2203429 */ // Label 30478: @2203429
     /* 2203429 */ GIM_Reject,
     /* 2203430 */ // Label 30460: @2203430
     /* 2203430 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2203493),
     /* 2203435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2203438 */   GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2203465), // Rule ID 1141 //
     /* 2203443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2203446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2203454 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2203454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2203457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203464 */     // GIR_Coverage, 1141,
     /* 2203464 */     GIR_EraseRootFromParent_Done,
     /* 2203465 */   // Label 30482: @2203465
     /* 2203465 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2203492), // Rule ID 1149 //
     /* 2203470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2203473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2203477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2203481 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2203481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2203484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203491 */     // GIR_Coverage, 1149,
     /* 2203491 */     GIR_EraseRootFromParent_Done,
     /* 2203492 */   // Label 30483: @2203492
     /* 2203492 */   GIM_Reject,
     /* 2203493 */ // Label 30481: @2203493
     /* 2203493 */ GIM_Reject,
     /* 2203494 */ // Label 30461: @2203494
     /* 2203494 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2203584),
     /* 2203499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2203502 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2203529), // Rule ID 1484 //
     /* 2203507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2203510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2203514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2203518 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2203518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2203521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203528 */     // GIR_Coverage, 1484,
     /* 2203528 */     GIR_EraseRootFromParent_Done,
     /* 2203529 */   // Label 30485: @2203529
     /* 2203529 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2203556), // Rule ID 1517 //
     /* 2203534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2203537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203545 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2203545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2203548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203555 */     // GIR_Coverage, 1517,
     /* 2203555 */     GIR_EraseRootFromParent_Done,
     /* 2203556 */   // Label 30486: @2203556
     /* 2203556 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2203583), // Rule ID 1539 //
     /* 2203561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2203564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2203568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2203572 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2203572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2203575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203582 */     // GIR_Coverage, 1539,
     /* 2203582 */     GIR_EraseRootFromParent_Done,
     /* 2203583 */   // Label 30487: @2203583
     /* 2203583 */   GIM_Reject,
     /* 2203584 */ // Label 30484: @2203584
     /* 2203584 */ GIM_Reject,
     /* 2203585 */ // Label 30462: @2203585
     /* 2203585 */ GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2203692),
     /* 2203590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2203593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203601 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2203646), // Rule ID 55696 //
     /* 2203606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2203609 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2203612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2203626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203645 */     // GIR_Coverage, 55696,
     /* 2203645 */     GIR_EraseRootFromParent_Done,
     /* 2203646 */   // Label 30489: @2203646
     /* 2203646 */   GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2203691), // Rule ID 55697 //
     /* 2203651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2203654 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2203657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2203671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203690 */     // GIR_Coverage, 55697,
     /* 2203690 */     GIR_EraseRootFromParent_Done,
     /* 2203691 */   // Label 30490: @2203691
     /* 2203691 */   GIM_Reject,
     /* 2203692 */ // Label 30488: @2203692
     /* 2203692 */ GIM_Reject,
     /* 2203693 */ // Label 30463: @2203693
     /* 2203693 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2203800),
     /* 2203698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2203701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203709 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2203754), // Rule ID 55736 //
     /* 2203714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2203717 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2203720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2203734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203753 */     // GIR_Coverage, 55736,
     /* 2203753 */     GIR_EraseRootFromParent_Done,
     /* 2203754 */   // Label 30492: @2203754
     /* 2203754 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2203799), // Rule ID 55737 //
     /* 2203759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2203762 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2203765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2203779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203798 */     // GIR_Coverage, 55737,
     /* 2203798 */     GIR_EraseRootFromParent_Done,
     /* 2203799 */   // Label 30493: @2203799
     /* 2203799 */   GIM_Reject,
     /* 2203800 */ // Label 30491: @2203800
     /* 2203800 */ GIM_Reject,
     /* 2203801 */ // Label 30464: @2203801
     /* 2203801 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2203908),
     /* 2203806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2203809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203817 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2203862), // Rule ID 55796 //
     /* 2203822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2203825 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2203842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203861 */     // GIR_Coverage, 55796,
     /* 2203861 */     GIR_EraseRootFromParent_Done,
     /* 2203862 */   // Label 30495: @2203862
     /* 2203862 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2203907), // Rule ID 55797 //
     /* 2203867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2203870 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2203873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2203887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203906 */     // GIR_Coverage, 55797,
     /* 2203906 */     GIR_EraseRootFromParent_Done,
     /* 2203907 */   // Label 30496: @2203907
     /* 2203907 */   GIM_Reject,
     /* 2203908 */ // Label 30494: @2203908
     /* 2203908 */ GIM_Reject,
     /* 2203909 */ // Label 30465: @2203909
     /* 2203909 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2204016),
     /* 2203914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2203917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203925 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2203970), // Rule ID 55716 //
     /* 2203930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2203933 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2203936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2203950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2203959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203969 */     // GIR_Coverage, 55716,
     /* 2203969 */     GIR_EraseRootFromParent_Done,
     /* 2203970 */   // Label 30498: @2203970
     /* 2203970 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2204015), // Rule ID 55717 //
     /* 2203975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2203978 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2203981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2203995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204014 */     // GIR_Coverage, 55717,
     /* 2204014 */     GIR_EraseRootFromParent_Done,
     /* 2204015 */   // Label 30499: @2204015
     /* 2204015 */   GIM_Reject,
     /* 2204016 */ // Label 30497: @2204016
     /* 2204016 */ GIM_Reject,
     /* 2204017 */ // Label 30466: @2204017
     /* 2204017 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2204124),
     /* 2204022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2204025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204033 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2204078), // Rule ID 55776 //
     /* 2204038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2204041 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2204044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2204058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204077 */     // GIR_Coverage, 55776,
     /* 2204077 */     GIR_EraseRootFromParent_Done,
     /* 2204078 */   // Label 30501: @2204078
     /* 2204078 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2204123), // Rule ID 55777 //
     /* 2204083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2204086 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2204089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2204103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204122 */     // GIR_Coverage, 55777,
     /* 2204122 */     GIR_EraseRootFromParent_Done,
     /* 2204123 */   // Label 30502: @2204123
     /* 2204123 */   GIM_Reject,
     /* 2204124 */ // Label 30500: @2204124
     /* 2204124 */ GIM_Reject,
     /* 2204125 */ // Label 30467: @2204125
     /* 2204125 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2204232),
     /* 2204130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2204133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204141 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2204186), // Rule ID 55936 //
     /* 2204146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2204149 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2204152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2204166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204185 */     // GIR_Coverage, 55936,
     /* 2204185 */     GIR_EraseRootFromParent_Done,
     /* 2204186 */   // Label 30504: @2204186
     /* 2204186 */   GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2204231), // Rule ID 55937 //
     /* 2204191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2204194 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2204197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2204211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204230 */     // GIR_Coverage, 55937,
     /* 2204230 */     GIR_EraseRootFromParent_Done,
     /* 2204231 */   // Label 30505: @2204231
     /* 2204231 */   GIM_Reject,
     /* 2204232 */ // Label 30503: @2204232
     /* 2204232 */ GIM_Reject,
     /* 2204233 */ // Label 30468: @2204233
     /* 2204233 */ GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2204340),
     /* 2204238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2204241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204249 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2204294), // Rule ID 55756 //
     /* 2204254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2204257 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2204260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2204274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204293 */     // GIR_Coverage, 55756,
     /* 2204293 */     GIR_EraseRootFromParent_Done,
     /* 2204294 */   // Label 30507: @2204294
     /* 2204294 */   GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2204339), // Rule ID 55757 //
     /* 2204299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2204302 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2204305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2204319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204338 */     // GIR_Coverage, 55757,
     /* 2204338 */     GIR_EraseRootFromParent_Done,
     /* 2204339 */   // Label 30508: @2204339
     /* 2204339 */   GIM_Reject,
     /* 2204340 */ // Label 30506: @2204340
     /* 2204340 */ GIM_Reject,
     /* 2204341 */ // Label 30469: @2204341
     /* 2204341 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2204448),
     /* 2204346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2204349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204357 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2204402), // Rule ID 55876 //
     /* 2204362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2204365 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2204382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204401 */     // GIR_Coverage, 55876,
     /* 2204401 */     GIR_EraseRootFromParent_Done,
     /* 2204402 */   // Label 30510: @2204402
     /* 2204402 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2204447), // Rule ID 55877 //
     /* 2204407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2204410 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2204413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2204427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204446 */     // GIR_Coverage, 55877,
     /* 2204446 */     GIR_EraseRootFromParent_Done,
     /* 2204447 */   // Label 30511: @2204447
     /* 2204447 */   GIM_Reject,
     /* 2204448 */ // Label 30509: @2204448
     /* 2204448 */ GIM_Reject,
     /* 2204449 */ // Label 30470: @2204449
     /* 2204449 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2204556),
     /* 2204454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2204457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204465 */   GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2204510), // Rule ID 55956 //
     /* 2204470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2204473 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2204490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204509 */     // GIR_Coverage, 55956,
     /* 2204509 */     GIR_EraseRootFromParent_Done,
     /* 2204510 */   // Label 30513: @2204510
     /* 2204510 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2204555), // Rule ID 55957 //
     /* 2204515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2204518 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2204521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2204535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204554 */     // GIR_Coverage, 55957,
     /* 2204554 */     GIR_EraseRootFromParent_Done,
     /* 2204555 */   // Label 30514: @2204555
     /* 2204555 */   GIM_Reject,
     /* 2204556 */ // Label 30512: @2204556
     /* 2204556 */ GIM_Reject,
     /* 2204557 */ // Label 30471: @2204557
     /* 2204557 */ GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2204664),
     /* 2204562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204573 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2204618), // Rule ID 55816 //
     /* 2204578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2204581 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2204598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204617 */     // GIR_Coverage, 55816,
     /* 2204617 */     GIR_EraseRootFromParent_Done,
     /* 2204618 */   // Label 30516: @2204618
     /* 2204618 */   GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2204663), // Rule ID 55817 //
     /* 2204623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2204626 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2204643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204662 */     // GIR_Coverage, 55817,
     /* 2204662 */     GIR_EraseRootFromParent_Done,
     /* 2204663 */   // Label 30517: @2204663
     /* 2204663 */   GIM_Reject,
     /* 2204664 */ // Label 30515: @2204664
     /* 2204664 */ GIM_Reject,
     /* 2204665 */ // Label 30472: @2204665
     /* 2204665 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2204772),
     /* 2204670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204681 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2204726), // Rule ID 55896 //
     /* 2204686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2204689 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2204706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204725 */     // GIR_Coverage, 55896,
     /* 2204725 */     GIR_EraseRootFromParent_Done,
     /* 2204726 */   // Label 30519: @2204726
     /* 2204726 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2204771), // Rule ID 55897 //
     /* 2204731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2204734 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2204751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204770 */     // GIR_Coverage, 55897,
     /* 2204770 */     GIR_EraseRootFromParent_Done,
     /* 2204771 */   // Label 30520: @2204771
     /* 2204771 */   GIM_Reject,
     /* 2204772 */ // Label 30518: @2204772
     /* 2204772 */ GIM_Reject,
     /* 2204773 */ // Label 30473: @2204773
     /* 2204773 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2204880),
     /* 2204778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2204781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204789 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2204834), // Rule ID 55976 //
     /* 2204794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2204797 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2204814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204833 */     // GIR_Coverage, 55976,
     /* 2204833 */     GIR_EraseRootFromParent_Done,
     /* 2204834 */   // Label 30522: @2204834
     /* 2204834 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2204879), // Rule ID 55977 //
     /* 2204839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2204842 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2204859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2204874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204878 */     // GIR_Coverage, 55977,
     /* 2204878 */     GIR_EraseRootFromParent_Done,
     /* 2204879 */   // Label 30523: @2204879
     /* 2204879 */   GIM_Reject,
     /* 2204880 */ // Label 30521: @2204880
     /* 2204880 */ GIM_Reject,
     /* 2204881 */ // Label 30474: @2204881
     /* 2204881 */ GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2204988),
     /* 2204886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2204889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204897 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2204942), // Rule ID 55836 //
     /* 2204902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2204905 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2204922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204941 */     // GIR_Coverage, 55836,
     /* 2204941 */     GIR_EraseRootFromParent_Done,
     /* 2204942 */   // Label 30525: @2204942
     /* 2204942 */   GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2204987), // Rule ID 55837 //
     /* 2204947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2204950 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2204953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2204967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2204976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204986 */     // GIR_Coverage, 55837,
     /* 2204986 */     GIR_EraseRootFromParent_Done,
     /* 2204987 */   // Label 30526: @2204987
     /* 2204987 */   GIM_Reject,
     /* 2204988 */ // Label 30524: @2204988
     /* 2204988 */ GIM_Reject,
     /* 2204989 */ // Label 30475: @2204989
     /* 2204989 */ GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2205096),
     /* 2204994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2204997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205005 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2205050), // Rule ID 55916 //
     /* 2205010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2205013 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2205030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205049 */     // GIR_Coverage, 55916,
     /* 2205049 */     GIR_EraseRootFromParent_Done,
     /* 2205050 */   // Label 30528: @2205050
     /* 2205050 */   GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2205095), // Rule ID 55917 //
     /* 2205055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2205058 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2205061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2205075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205094 */     // GIR_Coverage, 55917,
     /* 2205094 */     GIR_EraseRootFromParent_Done,
     /* 2205095 */   // Label 30529: @2205095
     /* 2205095 */   GIM_Reject,
     /* 2205096 */ // Label 30527: @2205096
     /* 2205096 */ GIM_Reject,
     /* 2205097 */ // Label 30476: @2205097
     /* 2205097 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2205204),
     /* 2205102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2205105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205113 */   GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2205158), // Rule ID 55856 //
     /* 2205118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2205121 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2205124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2205138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205157 */     // GIR_Coverage, 55856,
     /* 2205157 */     GIR_EraseRootFromParent_Done,
     /* 2205158 */   // Label 30531: @2205158
     /* 2205158 */   GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2205203), // Rule ID 55857 //
     /* 2205163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2205166 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2205169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2205183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2205192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205202 */     // GIR_Coverage, 55857,
     /* 2205202 */     GIR_EraseRootFromParent_Done,
     /* 2205203 */   // Label 30532: @2205203
     /* 2205203 */   GIM_Reject,
     /* 2205204 */ // Label 30530: @2205204
     /* 2205204 */ GIM_Reject,
     /* 2205205 */ // Label 30477: @2205205
     /* 2205205 */ GIM_Reject,
     /* 2205206 */ // Label 63: @2205206
     /* 2205206 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 30535*/ GIMT_Encode4(2205658),
     /* 2205217 */ /*GILLT_s32*//*Label 30533*/ GIMT_Encode4(2205225),
     /* 2205221 */ /*GILLT_s64*//*Label 30534*/ GIMT_Encode4(2205347),
     /* 2205225 */ // Label 30533: @2205225
     /* 2205225 */ GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2205346),
     /* 2205230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205233 */   GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2205261), // Rule ID 2024 //
     /* 2205238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2205241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205249 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2205249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2205252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205260 */     // GIR_Coverage, 2024,
     /* 2205260 */     GIR_EraseRootFromParent_Done,
     /* 2205261 */   // Label 30537: @2205261
     /* 2205261 */   GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2205289), // Rule ID 2025 //
     /* 2205266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2205269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205277 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2205277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2205280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205288 */     // GIR_Coverage, 2025,
     /* 2205288 */     GIR_EraseRootFromParent_Done,
     /* 2205289 */   // Label 30538: @2205289
     /* 2205289 */   GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2205317), // Rule ID 2040 //
     /* 2205294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2205297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205305 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2205305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2205308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205316 */     // GIR_Coverage, 2040,
     /* 2205316 */     GIR_EraseRootFromParent_Done,
     /* 2205317 */   // Label 30539: @2205317
     /* 2205317 */   GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2205345), // Rule ID 2041 //
     /* 2205322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2205325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205333 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2205333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2205336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205344 */     // GIR_Coverage, 2041,
     /* 2205344 */     GIR_EraseRootFromParent_Done,
     /* 2205345 */   // Label 30540: @2205345
     /* 2205345 */   GIM_Reject,
     /* 2205346 */ // Label 30536: @2205346
     /* 2205346 */ GIM_Reject,
     /* 2205347 */ // Label 30534: @2205347
     /* 2205347 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2205378), // Rule ID 1426 //
     /* 2205352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2205355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205366 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2205366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2205369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205377 */   // GIR_Coverage, 1426,
     /* 2205377 */   GIR_EraseRootFromParent_Done,
     /* 2205378 */ // Label 30541: @2205378
     /* 2205378 */ GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2205409), // Rule ID 1427 //
     /* 2205383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2205386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205397 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2205397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2205400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205408 */   // GIR_Coverage, 1427,
     /* 2205408 */   GIR_EraseRootFromParent_Done,
     /* 2205409 */ // Label 30542: @2205409
     /* 2205409 */ GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2205440), // Rule ID 1431 //
     /* 2205414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2205417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205428 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2205428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2205431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205433 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205439 */   // GIR_Coverage, 1431,
     /* 2205439 */   GIR_EraseRootFromParent_Done,
     /* 2205440 */ // Label 30543: @2205440
     /* 2205440 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2205471), // Rule ID 1438 //
     /* 2205445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2205448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2205455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205459 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2205459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2205462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205470 */   // GIR_Coverage, 1438,
     /* 2205470 */   GIR_EraseRootFromParent_Done,
     /* 2205471 */ // Label 30544: @2205471
     /* 2205471 */ GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2205502), // Rule ID 1439 //
     /* 2205476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2205479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2205486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205490 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2205490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2205493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205501 */   // GIR_Coverage, 1439,
     /* 2205501 */   GIR_EraseRootFromParent_Done,
     /* 2205502 */ // Label 30545: @2205502
     /* 2205502 */ GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2205533), // Rule ID 2158 //
     /* 2205507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2205510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205521 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2205521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2205524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205532 */   // GIR_Coverage, 2158,
     /* 2205532 */   GIR_EraseRootFromParent_Done,
     /* 2205533 */ // Label 30546: @2205533
     /* 2205533 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2205564), // Rule ID 2159 //
     /* 2205538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2205541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205552 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2205552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2205555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205563 */   // GIR_Coverage, 2159,
     /* 2205563 */   GIR_EraseRootFromParent_Done,
     /* 2205564 */ // Label 30547: @2205564
     /* 2205564 */ GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2205595), // Rule ID 2170 //
     /* 2205569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2205572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2205579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205583 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2205583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2205586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205594 */   // GIR_Coverage, 2170,
     /* 2205594 */   GIR_EraseRootFromParent_Done,
     /* 2205595 */ // Label 30548: @2205595
     /* 2205595 */ GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2205626), // Rule ID 2171 //
     /* 2205600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2205603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2205610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205614 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2205614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2205617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205625 */   // GIR_Coverage, 2171,
     /* 2205625 */   GIR_EraseRootFromParent_Done,
     /* 2205626 */ // Label 30549: @2205626
     /* 2205626 */ GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2205657), // Rule ID 2179 //
     /* 2205631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2205634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2205637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2205641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205645 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2205645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2205648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2205655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205656 */   // GIR_Coverage, 2179,
     /* 2205656 */   GIR_EraseRootFromParent_Done,
     /* 2205657 */ // Label 30550: @2205657
     /* 2205657 */ GIM_Reject,
     /* 2205658 */ // Label 30535: @2205658
     /* 2205658 */ GIM_Reject,
     /* 2205659 */ // Label 64: @2205659
     /* 2205659 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 30562*/ GIMT_Encode4(2207194),
     /* 2205670 */ /*GILLT_s16*//*Label 30551*/ GIMT_Encode4(2205774),
     /* 2205674 */ /*GILLT_s32*//*Label 30552*/ GIMT_Encode4(2206054), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205690 */ /*GILLT_nxv1s16*//*Label 30553*/ GIMT_Encode4(2206204),
     /* 2205694 */ /*GILLT_nxv1s32*//*Label 30554*/ GIMT_Encode4(2206314), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205710 */ /*GILLT_nxv2s16*//*Label 30555*/ GIMT_Encode4(2206424),
     /* 2205714 */ /*GILLT_nxv2s32*//*Label 30556*/ GIMT_Encode4(2206534), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205730 */ /*GILLT_nxv4s16*//*Label 30557*/ GIMT_Encode4(2206644),
     /* 2205734 */ /*GILLT_nxv4s32*//*Label 30558*/ GIMT_Encode4(2206754), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205750 */ /*GILLT_nxv8s16*//*Label 30559*/ GIMT_Encode4(2206864),
     /* 2205754 */ /*GILLT_nxv8s32*//*Label 30560*/ GIMT_Encode4(2206974), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2205770 */ /*GILLT_nxv16s16*//*Label 30561*/ GIMT_Encode4(2207084),
     /* 2205774 */ // Label 30551: @2205774
     /* 2205774 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2205805), // Rule ID 2020 //
     /* 2205779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2205782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205793 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2205793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2205796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205798 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205804 */   // GIR_Coverage, 2020,
     /* 2205804 */   GIR_EraseRootFromParent_Done,
     /* 2205805 */ // Label 30563: @2205805
     /* 2205805 */ GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2205836), // Rule ID 2021 //
     /* 2205810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2205813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205824 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2205824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2205827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205835 */   // GIR_Coverage, 2021,
     /* 2205835 */   GIR_EraseRootFromParent_Done,
     /* 2205836 */ // Label 30564: @2205836
     /* 2205836 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2205867), // Rule ID 2036 //
     /* 2205841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2205844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205855 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2205855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2205858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205866 */   // GIR_Coverage, 2036,
     /* 2205866 */   GIR_EraseRootFromParent_Done,
     /* 2205867 */ // Label 30565: @2205867
     /* 2205867 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2205898), // Rule ID 2037 //
     /* 2205872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2205875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2205878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2205886 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2205886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2205889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205891 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205897 */   // GIR_Coverage, 2037,
     /* 2205897 */   GIR_EraseRootFromParent_Done,
     /* 2205898 */ // Label 30566: @2205898
     /* 2205898 */ GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2205929), // Rule ID 2154 //
     /* 2205903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2205906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205917 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2205917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2205920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205928 */   // GIR_Coverage, 2154,
     /* 2205928 */   GIR_EraseRootFromParent_Done,
     /* 2205929 */ // Label 30567: @2205929
     /* 2205929 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2205960), // Rule ID 2155 //
     /* 2205934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2205937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2205948 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2205948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2205951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205959 */   // GIR_Coverage, 2155,
     /* 2205959 */   GIR_EraseRootFromParent_Done,
     /* 2205960 */ // Label 30568: @2205960
     /* 2205960 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2205991), // Rule ID 2166 //
     /* 2205965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2205968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2205971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2205975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2205979 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2205979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2205982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2205989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2205990 */   // GIR_Coverage, 2166,
     /* 2205990 */   GIR_EraseRootFromParent_Done,
     /* 2205991 */ // Label 30569: @2205991
     /* 2205991 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2206022), // Rule ID 2167 //
     /* 2205996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2205999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2206002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2206006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2206010 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2206010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2206013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206021 */   // GIR_Coverage, 2167,
     /* 2206021 */   GIR_EraseRootFromParent_Done,
     /* 2206022 */ // Label 30570: @2206022
     /* 2206022 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2206053), // Rule ID 2177 //
     /* 2206027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2206030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2206033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2206037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206041 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2206041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2206044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206046 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2206052 */   // GIR_Coverage, 2177,
     /* 2206052 */   GIR_EraseRootFromParent_Done,
     /* 2206053 */ // Label 30571: @2206053
     /* 2206053 */ GIM_Reject,
     /* 2206054 */ // Label 30552: @2206054
     /* 2206054 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2206203),
     /* 2206059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2206062 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2206090), // Rule ID 1422 //
     /* 2206067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2206070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2206078 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2206078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2206081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206089 */     // GIR_Coverage, 1422,
     /* 2206089 */     GIR_EraseRootFromParent_Done,
     /* 2206090 */   // Label 30573: @2206090
     /* 2206090 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2206118), // Rule ID 1423 //
     /* 2206095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2206098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2206106 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2206106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2206109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206117 */     // GIR_Coverage, 1423,
     /* 2206117 */     GIR_EraseRootFromParent_Done,
     /* 2206118 */   // Label 30574: @2206118
     /* 2206118 */   GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2206146), // Rule ID 1429 //
     /* 2206123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2206126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2206130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2206134 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2206134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2206137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206145 */     // GIR_Coverage, 1429,
     /* 2206145 */     GIR_EraseRootFromParent_Done,
     /* 2206146 */   // Label 30575: @2206146
     /* 2206146 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2206174), // Rule ID 1434 //
     /* 2206151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2206154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2206158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2206162 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2206162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2206165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206173 */     // GIR_Coverage, 1434,
     /* 2206173 */     GIR_EraseRootFromParent_Done,
     /* 2206174 */   // Label 30576: @2206174
     /* 2206174 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2206202), // Rule ID 1435 //
     /* 2206179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2206182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2206186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2206190 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2206190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2206193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206201 */     // GIR_Coverage, 1435,
     /* 2206201 */     GIR_EraseRootFromParent_Done,
     /* 2206202 */   // Label 30577: @2206202
     /* 2206202 */   GIM_Reject,
     /* 2206203 */ // Label 30572: @2206203
     /* 2206203 */ GIM_Reject,
     /* 2206204 */ // Label 30553: @2206204
     /* 2206204 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2206313),
     /* 2206209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2206212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206220 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2206266), // Rule ID 58164 //
     /* 2206225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2206228 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2206245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206265 */     // GIR_Coverage, 58164,
     /* 2206265 */     GIR_EraseRootFromParent_Done,
     /* 2206266 */   // Label 30579: @2206266
     /* 2206266 */   GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2206312), // Rule ID 58165 //
     /* 2206271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2206274 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2206277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2206291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206311 */     // GIR_Coverage, 58165,
     /* 2206311 */     GIR_EraseRootFromParent_Done,
     /* 2206312 */   // Label 30580: @2206312
     /* 2206312 */   GIM_Reject,
     /* 2206313 */ // Label 30578: @2206313
     /* 2206313 */ GIM_Reject,
     /* 2206314 */ // Label 30554: @2206314
     /* 2206314 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2206423),
     /* 2206319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2206322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206330 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2206376), // Rule ID 58174 //
     /* 2206335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206338 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2206355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206375 */     // GIR_Coverage, 58174,
     /* 2206375 */     GIR_EraseRootFromParent_Done,
     /* 2206376 */   // Label 30582: @2206376
     /* 2206376 */   GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2206422), // Rule ID 58175 //
     /* 2206381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206384 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2206387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2206401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206421 */     // GIR_Coverage, 58175,
     /* 2206421 */     GIR_EraseRootFromParent_Done,
     /* 2206422 */   // Label 30583: @2206422
     /* 2206422 */   GIM_Reject,
     /* 2206423 */ // Label 30581: @2206423
     /* 2206423 */ GIM_Reject,
     /* 2206424 */ // Label 30555: @2206424
     /* 2206424 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2206533),
     /* 2206429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206440 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2206486), // Rule ID 58166 //
     /* 2206445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2206448 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2206465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206485 */     // GIR_Coverage, 58166,
     /* 2206485 */     GIR_EraseRootFromParent_Done,
     /* 2206486 */   // Label 30585: @2206486
     /* 2206486 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2206532), // Rule ID 58167 //
     /* 2206491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2206494 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2206511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206531 */     // GIR_Coverage, 58167,
     /* 2206531 */     GIR_EraseRootFromParent_Done,
     /* 2206532 */   // Label 30586: @2206532
     /* 2206532 */   GIM_Reject,
     /* 2206533 */ // Label 30584: @2206533
     /* 2206533 */ GIM_Reject,
     /* 2206534 */ // Label 30556: @2206534
     /* 2206534 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2206643),
     /* 2206539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2206542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206550 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2206596), // Rule ID 58176 //
     /* 2206555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206558 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2206575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206595 */     // GIR_Coverage, 58176,
     /* 2206595 */     GIR_EraseRootFromParent_Done,
     /* 2206596 */   // Label 30588: @2206596
     /* 2206596 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2206642), // Rule ID 58177 //
     /* 2206601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206604 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2206621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206641 */     // GIR_Coverage, 58177,
     /* 2206641 */     GIR_EraseRootFromParent_Done,
     /* 2206642 */   // Label 30589: @2206642
     /* 2206642 */   GIM_Reject,
     /* 2206643 */ // Label 30587: @2206643
     /* 2206643 */ GIM_Reject,
     /* 2206644 */ // Label 30557: @2206644
     /* 2206644 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2206753),
     /* 2206649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2206652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206660 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2206706), // Rule ID 58168 //
     /* 2206665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2206668 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2206671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2206685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206705 */     // GIR_Coverage, 58168,
     /* 2206705 */     GIR_EraseRootFromParent_Done,
     /* 2206706 */   // Label 30591: @2206706
     /* 2206706 */   GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2206752), // Rule ID 58169 //
     /* 2206711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2206714 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2206717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2206731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206751 */     // GIR_Coverage, 58169,
     /* 2206751 */     GIR_EraseRootFromParent_Done,
     /* 2206752 */   // Label 30592: @2206752
     /* 2206752 */   GIM_Reject,
     /* 2206753 */ // Label 30590: @2206753
     /* 2206753 */ GIM_Reject,
     /* 2206754 */ // Label 30558: @2206754
     /* 2206754 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2206863),
     /* 2206759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2206762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206770 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2206816), // Rule ID 58178 //
     /* 2206775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206778 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2206781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2206795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206815 */     // GIR_Coverage, 58178,
     /* 2206815 */     GIR_EraseRootFromParent_Done,
     /* 2206816 */   // Label 30594: @2206816
     /* 2206816 */   GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2206862), // Rule ID 58179 //
     /* 2206821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206824 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2206827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2206841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206861 */     // GIR_Coverage, 58179,
     /* 2206861 */     GIR_EraseRootFromParent_Done,
     /* 2206862 */   // Label 30595: @2206862
     /* 2206862 */   GIM_Reject,
     /* 2206863 */ // Label 30593: @2206863
     /* 2206863 */ GIM_Reject,
     /* 2206864 */ // Label 30559: @2206864
     /* 2206864 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2206973),
     /* 2206869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2206872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206880 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2206926), // Rule ID 58170 //
     /* 2206885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2206888 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2206891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2206905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206925 */     // GIR_Coverage, 58170,
     /* 2206925 */     GIR_EraseRootFromParent_Done,
     /* 2206926 */   // Label 30597: @2206926
     /* 2206926 */   GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2206972), // Rule ID 58171 //
     /* 2206931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2206934 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2206937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2206951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2206961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206971 */     // GIR_Coverage, 58171,
     /* 2206971 */     GIR_EraseRootFromParent_Done,
     /* 2206972 */   // Label 30598: @2206972
     /* 2206972 */   GIM_Reject,
     /* 2206973 */ // Label 30596: @2206973
     /* 2206973 */ GIM_Reject,
     /* 2206974 */ // Label 30560: @2206974
     /* 2206974 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2207083),
     /* 2206979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2206982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206990 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2207036), // Rule ID 58180 //
     /* 2206995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206998 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2207001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2207015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2207025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207035 */     // GIR_Coverage, 58180,
     /* 2207035 */     GIR_EraseRootFromParent_Done,
     /* 2207036 */   // Label 30600: @2207036
     /* 2207036 */   GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2207082), // Rule ID 58181 //
     /* 2207041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2207044 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2207047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2207061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2207071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207081 */     // GIR_Coverage, 58181,
     /* 2207081 */     GIR_EraseRootFromParent_Done,
     /* 2207082 */   // Label 30601: @2207082
     /* 2207082 */   GIM_Reject,
     /* 2207083 */ // Label 30599: @2207083
     /* 2207083 */ GIM_Reject,
     /* 2207084 */ // Label 30561: @2207084
     /* 2207084 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2207193),
     /* 2207089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2207092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207100 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2207146), // Rule ID 58172 //
     /* 2207105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2207108 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2207111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2207125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2207135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207145 */     // GIR_Coverage, 58172,
     /* 2207145 */     GIR_EraseRootFromParent_Done,
     /* 2207146 */   // Label 30603: @2207146
     /* 2207146 */   GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2207192), // Rule ID 58173 //
     /* 2207151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2207154 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2207157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2207171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2207181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207191 */     // GIR_Coverage, 58173,
     /* 2207191 */     GIR_EraseRootFromParent_Done,
     /* 2207192 */   // Label 30604: @2207192
     /* 2207192 */   GIM_Reject,
     /* 2207193 */ // Label 30602: @2207193
     /* 2207193 */ GIM_Reject,
     /* 2207194 */ // Label 30562: @2207194
     /* 2207194 */ GIM_Reject,
     /* 2207195 */ // Label 65: @2207195
     /* 2207195 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 30628*/ GIMT_Encode4(2212080),
     /* 2207206 */ /*GILLT_s32*//*Label 30605*/ GIMT_Encode4(2207322),
     /* 2207210 */ /*GILLT_s64*//*Label 30606*/ GIMT_Encode4(2207695), GIMT_Encode4(0),
     /* 2207218 */ /*GILLT_nxv1s8*//*Label 30607*/ GIMT_Encode4(2207882),
     /* 2207222 */ /*GILLT_nxv1s16*//*Label 30608*/ GIMT_Encode4(2207986),
     /* 2207226 */ /*GILLT_nxv1s32*//*Label 30609*/ GIMT_Encode4(2208203),
     /* 2207230 */ /*GILLT_nxv1s64*//*Label 30610*/ GIMT_Encode4(2208528), GIMT_Encode4(0),
     /* 2207238 */ /*GILLT_nxv2s8*//*Label 30611*/ GIMT_Encode4(2208745),
     /* 2207242 */ /*GILLT_nxv2s16*//*Label 30612*/ GIMT_Encode4(2208849),
     /* 2207246 */ /*GILLT_nxv2s32*//*Label 30613*/ GIMT_Encode4(2209066),
     /* 2207250 */ /*GILLT_nxv2s64*//*Label 30614*/ GIMT_Encode4(2209391), GIMT_Encode4(0),
     /* 2207258 */ /*GILLT_nxv4s8*//*Label 30615*/ GIMT_Encode4(2209608),
     /* 2207262 */ /*GILLT_nxv4s16*//*Label 30616*/ GIMT_Encode4(2209712),
     /* 2207266 */ /*GILLT_nxv4s32*//*Label 30617*/ GIMT_Encode4(2209929),
     /* 2207270 */ /*GILLT_nxv4s64*//*Label 30618*/ GIMT_Encode4(2210254), GIMT_Encode4(0),
     /* 2207278 */ /*GILLT_nxv8s8*//*Label 30619*/ GIMT_Encode4(2210471),
     /* 2207282 */ /*GILLT_nxv8s16*//*Label 30620*/ GIMT_Encode4(2210575),
     /* 2207286 */ /*GILLT_nxv8s32*//*Label 30621*/ GIMT_Encode4(2210792),
     /* 2207290 */ /*GILLT_nxv8s64*//*Label 30622*/ GIMT_Encode4(2211117), GIMT_Encode4(0),
     /* 2207298 */ /*GILLT_nxv16s8*//*Label 30623*/ GIMT_Encode4(2211334),
     /* 2207302 */ /*GILLT_nxv16s16*//*Label 30624*/ GIMT_Encode4(2211438),
     /* 2207306 */ /*GILLT_nxv16s32*//*Label 30625*/ GIMT_Encode4(2211655), GIMT_Encode4(0),
     /* 2207314 */ /*GILLT_nxv32s8*//*Label 30626*/ GIMT_Encode4(2211872),
     /* 2207318 */ /*GILLT_nxv32s16*//*Label 30627*/ GIMT_Encode4(2211976),
     /* 2207322 */ // Label 30605: @2207322
     /* 2207322 */ GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2207353), // Rule ID 1314 //
     /* 2207327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2207330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207341 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2207341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2207344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207352 */   // GIR_Coverage, 1314,
     /* 2207352 */   GIR_EraseRootFromParent_Done,
     /* 2207353 */ // Label 30629: @2207353
     /* 2207353 */ GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2207384), // Rule ID 1315 //
     /* 2207358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2207361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207372 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2207372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2207375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207377 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207383 */   // GIR_Coverage, 1315,
     /* 2207383 */   GIR_EraseRootFromParent_Done,
     /* 2207384 */ // Label 30630: @2207384
     /* 2207384 */ GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2207415), // Rule ID 1340 //
     /* 2207389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2207392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2207403 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2207403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2207406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207408 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207414 */   // GIR_Coverage, 1340,
     /* 2207414 */   GIR_EraseRootFromParent_Done,
     /* 2207415 */ // Label 30631: @2207415
     /* 2207415 */ GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2207446), // Rule ID 1341 //
     /* 2207420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2207423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2207434 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2207434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2207437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207445 */   // GIR_Coverage, 1341,
     /* 2207445 */   GIR_EraseRootFromParent_Done,
     /* 2207446 */ // Label 30632: @2207446
     /* 2207446 */ GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2207477), // Rule ID 1708 //
     /* 2207451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2207454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2207465 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2207465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2207468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207476 */   // GIR_Coverage, 1708,
     /* 2207476 */   GIR_EraseRootFromParent_Done,
     /* 2207477 */ // Label 30633: @2207477
     /* 2207477 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2207508), // Rule ID 1709 //
     /* 2207482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2207485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2207496 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2207496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2207499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207507 */   // GIR_Coverage, 1709,
     /* 2207507 */   GIR_EraseRootFromParent_Done,
     /* 2207508 */ // Label 30634: @2207508
     /* 2207508 */ GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2207539), // Rule ID 1734 //
     /* 2207513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2207516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2207527 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2207527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2207530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207538 */   // GIR_Coverage, 1734,
     /* 2207538 */   GIR_EraseRootFromParent_Done,
     /* 2207539 */ // Label 30635: @2207539
     /* 2207539 */ GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2207570), // Rule ID 1735 //
     /* 2207544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2207547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2207558 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2207558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2207561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207569 */   // GIR_Coverage, 1735,
     /* 2207569 */   GIR_EraseRootFromParent_Done,
     /* 2207570 */ // Label 30636: @2207570
     /* 2207570 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2207601), // Rule ID 2050 //
     /* 2207575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2207578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207589 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2207589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2207592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207600 */   // GIR_Coverage, 2050,
     /* 2207600 */   GIR_EraseRootFromParent_Done,
     /* 2207601 */ // Label 30637: @2207601
     /* 2207601 */ GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2207632), // Rule ID 2051 //
     /* 2207606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2207609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207620 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2207620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2207623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207631 */   // GIR_Coverage, 2051,
     /* 2207631 */   GIR_EraseRootFromParent_Done,
     /* 2207632 */ // Label 30638: @2207632
     /* 2207632 */ GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2207663), // Rule ID 2076 //
     /* 2207637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2207640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2207651 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2207651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2207654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207662 */   // GIR_Coverage, 2076,
     /* 2207662 */   GIR_EraseRootFromParent_Done,
     /* 2207663 */ // Label 30639: @2207663
     /* 2207663 */ GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2207694), // Rule ID 2077 //
     /* 2207668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2207671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2207682 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2207682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2207685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207693 */   // GIR_Coverage, 2077,
     /* 2207693 */   GIR_EraseRootFromParent_Done,
     /* 2207694 */ // Label 30640: @2207694
     /* 2207694 */ GIM_Reject,
     /* 2207695 */ // Label 30606: @2207695
     /* 2207695 */ GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2207726), // Rule ID 1371 //
     /* 2207700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2207703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207714 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2207714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2207717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207725 */   // GIR_Coverage, 1371,
     /* 2207725 */   GIR_EraseRootFromParent_Done,
     /* 2207726 */ // Label 30641: @2207726
     /* 2207726 */ GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2207757), // Rule ID 1399 //
     /* 2207731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2207734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2207745 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2207745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2207748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207756 */   // GIR_Coverage, 1399,
     /* 2207756 */   GIR_EraseRootFromParent_Done,
     /* 2207757 */ // Label 30642: @2207757
     /* 2207757 */ GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2207788), // Rule ID 1771 //
     /* 2207762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2207765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2207776 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2207776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2207779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207787 */   // GIR_Coverage, 1771,
     /* 2207787 */   GIR_EraseRootFromParent_Done,
     /* 2207788 */ // Label 30643: @2207788
     /* 2207788 */ GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2207819), // Rule ID 1799 //
     /* 2207793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2207796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207807 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2207807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2207810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207818 */   // GIR_Coverage, 1799,
     /* 2207818 */   GIR_EraseRootFromParent_Done,
     /* 2207819 */ // Label 30644: @2207819
     /* 2207819 */ GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2207850), // Rule ID 2105 //
     /* 2207824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2207827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207838 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2207838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2207841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207843 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207849 */   // GIR_Coverage, 2105,
     /* 2207849 */   GIR_EraseRootFromParent_Done,
     /* 2207850 */ // Label 30645: @2207850
     /* 2207850 */ GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2207881), // Rule ID 2131 //
     /* 2207855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2207858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2207861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2207869 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2207869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2207872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2207879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2207880 */   // GIR_Coverage, 2131,
     /* 2207880 */   GIR_EraseRootFromParent_Done,
     /* 2207881 */ // Label 30646: @2207881
     /* 2207881 */ GIM_Reject,
     /* 2207882 */ // Label 30607: @2207882
     /* 2207882 */ GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2207985),
     /* 2207887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2207890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207898 */   GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2207941), // Rule ID 45502 //
     /* 2207903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2207906 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2207909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2207923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207940 */     // GIR_Coverage, 45502,
     /* 2207940 */     GIR_EraseRootFromParent_Done,
     /* 2207941 */   // Label 30648: @2207941
     /* 2207941 */   GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2207984), // Rule ID 45503 //
     /* 2207946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2207949 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2207952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2207966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207983 */     // GIR_Coverage, 45503,
     /* 2207983 */     GIR_EraseRootFromParent_Done,
     /* 2207984 */   // Label 30649: @2207984
     /* 2207984 */   GIM_Reject,
     /* 2207985 */ // Label 30647: @2207985
     /* 2207985 */ GIM_Reject,
     /* 2207986 */ // Label 30608: @2207986
     /* 2207986 */ GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2208040), // Rule ID 45486 //
     /* 2207991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2207994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2207997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208005 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2208008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2208022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208039 */   // GIR_Coverage, 45486,
     /* 2208039 */   GIR_EraseRootFromParent_Done,
     /* 2208040 */ // Label 30650: @2208040
     /* 2208040 */ GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2208094), // Rule ID 45487 //
     /* 2208045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2208048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2208051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208059 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2208062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2208076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208093 */   // GIR_Coverage, 45487,
     /* 2208093 */   GIR_EraseRootFromParent_Done,
     /* 2208094 */ // Label 30651: @2208094
     /* 2208094 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2208148), // Rule ID 58002 //
     /* 2208099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2208102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208113 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2208116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2208130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208147 */   // GIR_Coverage, 58002,
     /* 2208147 */   GIR_EraseRootFromParent_Done,
     /* 2208148 */ // Label 30652: @2208148
     /* 2208148 */ GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2208202), // Rule ID 58003 //
     /* 2208153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2208156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208167 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2208170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2208184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208201 */   // GIR_Coverage, 58003,
     /* 2208201 */   GIR_EraseRootFromParent_Done,
     /* 2208202 */ // Label 30653: @2208202
     /* 2208202 */ GIM_Reject,
     /* 2208203 */ // Label 30609: @2208203
     /* 2208203 */ GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2208257), // Rule ID 45494 //
     /* 2208208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2208211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2208214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208222 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2208239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208256 */   // GIR_Coverage, 45494,
     /* 2208256 */   GIR_EraseRootFromParent_Done,
     /* 2208257 */ // Label 30654: @2208257
     /* 2208257 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2208311), // Rule ID 45495 //
     /* 2208262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2208265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2208268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208276 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2208293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208310 */   // GIR_Coverage, 45495,
     /* 2208310 */   GIR_EraseRootFromParent_Done,
     /* 2208311 */ // Label 30655: @2208311
     /* 2208311 */ GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2208365), // Rule ID 57570 //
     /* 2208316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2208319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208330 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208330 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208333 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208337 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208342 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2208347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208349 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208364 */   // GIR_Coverage, 57570,
     /* 2208364 */   GIR_EraseRootFromParent_Done,
     /* 2208365 */ // Label 30656: @2208365
     /* 2208365 */ GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2208419), // Rule ID 57571 //
     /* 2208370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2208373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208384 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2208401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208418 */   // GIR_Coverage, 57571,
     /* 2208418 */   GIR_EraseRootFromParent_Done,
     /* 2208419 */ // Label 30657: @2208419
     /* 2208419 */ GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2208473), // Rule ID 58022 //
     /* 2208424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2208427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2208430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208438 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2208455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208472 */   // GIR_Coverage, 58022,
     /* 2208472 */   GIR_EraseRootFromParent_Done,
     /* 2208473 */ // Label 30658: @2208473
     /* 2208473 */ GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2208527), // Rule ID 58023 //
     /* 2208478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2208481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2208484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208492 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2208495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2208509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208526 */   // GIR_Coverage, 58023,
     /* 2208526 */   GIR_EraseRootFromParent_Done,
     /* 2208527 */ // Label 30659: @2208527
     /* 2208527 */ GIM_Reject,
     /* 2208528 */ // Label 30610: @2208528
     /* 2208528 */ GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2208582), // Rule ID 57582 //
     /* 2208533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2208536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2208539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208547 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208547 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208550 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208554 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2208564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208569 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208581 */   // GIR_Coverage, 57582,
     /* 2208581 */   GIR_EraseRootFromParent_Done,
     /* 2208582 */ // Label 30660: @2208582
     /* 2208582 */ GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2208636), // Rule ID 57583 //
     /* 2208587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2208590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2208593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208601 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208613 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2208618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208635 */   // GIR_Coverage, 57583,
     /* 2208635 */   GIR_EraseRootFromParent_Done,
     /* 2208636 */ // Label 30661: @2208636
     /* 2208636 */ GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2208690), // Rule ID 57814 //
     /* 2208641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2208644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208655 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208655 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208662 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208667 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2208672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208674 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208677 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208689 */   // GIR_Coverage, 57814,
     /* 2208689 */   GIR_EraseRootFromParent_Done,
     /* 2208690 */ // Label 30662: @2208690
     /* 2208690 */ GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2208744), // Rule ID 57815 //
     /* 2208695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2208698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2208701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208709 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208721 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2208726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208731 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208743 */   // GIR_Coverage, 57815,
     /* 2208743 */   GIR_EraseRootFromParent_Done,
     /* 2208744 */ // Label 30663: @2208744
     /* 2208744 */ GIM_Reject,
     /* 2208745 */ // Label 30611: @2208745
     /* 2208745 */ GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2208848),
     /* 2208750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208761 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2208804), // Rule ID 57982 //
     /* 2208766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2208769 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2208772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2208786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208803 */     // GIR_Coverage, 57982,
     /* 2208803 */     GIR_EraseRootFromParent_Done,
     /* 2208804 */   // Label 30665: @2208804
     /* 2208804 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2208847), // Rule ID 57983 //
     /* 2208809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2208812 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2208815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2208829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208846 */     // GIR_Coverage, 57983,
     /* 2208846 */     GIR_EraseRootFromParent_Done,
     /* 2208847 */   // Label 30666: @2208847
     /* 2208847 */   GIM_Reject,
     /* 2208848 */ // Label 30664: @2208848
     /* 2208848 */ GIM_Reject,
     /* 2208849 */ // Label 30612: @2208849
     /* 2208849 */ GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2208903), // Rule ID 57566 //
     /* 2208854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2208857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208868 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2208885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208902 */   // GIR_Coverage, 57566,
     /* 2208902 */   GIR_EraseRootFromParent_Done,
     /* 2208903 */ // Label 30667: @2208903
     /* 2208903 */ GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2208957), // Rule ID 57567 //
     /* 2208908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2208911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208922 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2208939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2208956 */   // GIR_Coverage, 57567,
     /* 2208956 */   GIR_EraseRootFromParent_Done,
     /* 2208957 */ // Label 30668: @2208957
     /* 2208957 */ GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2209011), // Rule ID 58006 //
     /* 2208962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2208965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208976 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2208993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209010 */   // GIR_Coverage, 58006,
     /* 2209010 */   GIR_EraseRootFromParent_Done,
     /* 2209011 */ // Label 30669: @2209011
     /* 2209011 */ GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2209065), // Rule ID 58007 //
     /* 2209016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2209019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2209022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209030 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2209033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2209047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209064 */   // GIR_Coverage, 58007,
     /* 2209064 */   GIR_EraseRootFromParent_Done,
     /* 2209065 */ // Label 30670: @2209065
     /* 2209065 */ GIM_Reject,
     /* 2209066 */ // Label 30613: @2209066
     /* 2209066 */ GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2209120), // Rule ID 57578 //
     /* 2209071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2209074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2209077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209085 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209097 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2209102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209104 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209119 */   // GIR_Coverage, 57578,
     /* 2209119 */   GIR_EraseRootFromParent_Done,
     /* 2209120 */ // Label 30671: @2209120
     /* 2209120 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2209174), // Rule ID 57579 //
     /* 2209125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2209128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2209131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209139 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2209156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209161 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209173 */   // GIR_Coverage, 57579,
     /* 2209173 */   GIR_EraseRootFromParent_Done,
     /* 2209174 */ // Label 30672: @2209174
     /* 2209174 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2209228), // Rule ID 57798 //
     /* 2209179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2209182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2209185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209193 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2209210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209227 */   // GIR_Coverage, 57798,
     /* 2209227 */   GIR_EraseRootFromParent_Done,
     /* 2209228 */ // Label 30673: @2209228
     /* 2209228 */ GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2209282), // Rule ID 57799 //
     /* 2209233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2209236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2209239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209247 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2209264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209281 */   // GIR_Coverage, 57799,
     /* 2209281 */   GIR_EraseRootFromParent_Done,
     /* 2209282 */ // Label 30674: @2209282
     /* 2209282 */ GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2209336), // Rule ID 58026 //
     /* 2209287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2209290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2209293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209301 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209313 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2209318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209335 */   // GIR_Coverage, 58026,
     /* 2209335 */   GIR_EraseRootFromParent_Done,
     /* 2209336 */ // Label 30675: @2209336
     /* 2209336 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2209390), // Rule ID 58027 //
     /* 2209341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2209344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2209347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209355 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209355 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2209358 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209362 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2209372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209377 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209389 */   // GIR_Coverage, 58027,
     /* 2209389 */   GIR_EraseRootFromParent_Done,
     /* 2209390 */ // Label 30676: @2209390
     /* 2209390 */ GIM_Reject,
     /* 2209391 */ // Label 30614: @2209391
     /* 2209391 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2209445), // Rule ID 57610 //
     /* 2209396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2209399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2209402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209410 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209410 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209413 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209417 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209422 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2209427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209429 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209432 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209444 */   // GIR_Coverage, 57610,
     /* 2209444 */   GIR_EraseRootFromParent_Done,
     /* 2209445 */ // Label 30677: @2209445
     /* 2209445 */ GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2209499), // Rule ID 57611 //
     /* 2209450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2209453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2209456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209464 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2209481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209498 */   // GIR_Coverage, 57611,
     /* 2209498 */   GIR_EraseRootFromParent_Done,
     /* 2209499 */ // Label 30678: @2209499
     /* 2209499 */ GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2209553), // Rule ID 57818 //
     /* 2209504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2209507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2209510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209518 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2209535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209552 */   // GIR_Coverage, 57818,
     /* 2209552 */   GIR_EraseRootFromParent_Done,
     /* 2209553 */ // Label 30679: @2209553
     /* 2209553 */ GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2209607), // Rule ID 57819 //
     /* 2209558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2209561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2209564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209572 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209572 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2209575 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209579 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2209589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209591 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209606 */   // GIR_Coverage, 57819,
     /* 2209606 */   GIR_EraseRootFromParent_Done,
     /* 2209607 */ // Label 30680: @2209607
     /* 2209607 */ GIM_Reject,
     /* 2209608 */ // Label 30615: @2209608
     /* 2209608 */ GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2209711),
     /* 2209613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209624 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2209667), // Rule ID 57986 //
     /* 2209629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2209632 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2209635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2209649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209666 */     // GIR_Coverage, 57986,
     /* 2209666 */     GIR_EraseRootFromParent_Done,
     /* 2209667 */   // Label 30682: @2209667
     /* 2209667 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2209710), // Rule ID 57987 //
     /* 2209672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2209675 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2209678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2209692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209709 */     // GIR_Coverage, 57987,
     /* 2209709 */     GIR_EraseRootFromParent_Done,
     /* 2209710 */   // Label 30683: @2209710
     /* 2209710 */   GIM_Reject,
     /* 2209711 */ // Label 30681: @2209711
     /* 2209711 */ GIM_Reject,
     /* 2209712 */ // Label 30616: @2209712
     /* 2209712 */ GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2209766), // Rule ID 57574 //
     /* 2209717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2209720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209731 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2209748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209765 */   // GIR_Coverage, 57574,
     /* 2209765 */   GIR_EraseRootFromParent_Done,
     /* 2209766 */ // Label 30684: @2209766
     /* 2209766 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2209820), // Rule ID 57575 //
     /* 2209771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2209774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2209777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209785 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2209802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209819 */   // GIR_Coverage, 57575,
     /* 2209819 */   GIR_EraseRootFromParent_Done,
     /* 2209820 */ // Label 30685: @2209820
     /* 2209820 */ GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2209874), // Rule ID 58010 //
     /* 2209825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2209828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209839 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2209856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209873 */   // GIR_Coverage, 58010,
     /* 2209873 */   GIR_EraseRootFromParent_Done,
     /* 2209874 */ // Label 30686: @2209874
     /* 2209874 */ GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2209928), // Rule ID 58011 //
     /* 2209879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2209882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209893 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2209896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2209910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209915 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209927 */   // GIR_Coverage, 58011,
     /* 2209927 */   GIR_EraseRootFromParent_Done,
     /* 2209928 */ // Label 30687: @2209928
     /* 2209928 */ GIM_Reject,
     /* 2209929 */ // Label 30617: @2209929
     /* 2209929 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2209983), // Rule ID 57598 //
     /* 2209934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2209937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209948 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2209951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2209965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2209982 */   // GIR_Coverage, 57598,
     /* 2209982 */   GIR_EraseRootFromParent_Done,
     /* 2209983 */ // Label 30688: @2209983
     /* 2209983 */ GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2210037), // Rule ID 57599 //
     /* 2209988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2209991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2209994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210002 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2210005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2210019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210036 */   // GIR_Coverage, 57599,
     /* 2210036 */   GIR_EraseRootFromParent_Done,
     /* 2210037 */ // Label 30689: @2210037
     /* 2210037 */ GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2210091), // Rule ID 57802 //
     /* 2210042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2210045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2210048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210056 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2210059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2210073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210090 */   // GIR_Coverage, 57802,
     /* 2210090 */   GIR_EraseRootFromParent_Done,
     /* 2210091 */ // Label 30690: @2210091
     /* 2210091 */ GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2210145), // Rule ID 57803 //
     /* 2210096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2210099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2210102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210110 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2210113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2210127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210144 */   // GIR_Coverage, 57803,
     /* 2210144 */   GIR_EraseRootFromParent_Done,
     /* 2210145 */ // Label 30691: @2210145
     /* 2210145 */ GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2210199), // Rule ID 58030 //
     /* 2210150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2210153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2210156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210164 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2210167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2210181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210198 */   // GIR_Coverage, 58030,
     /* 2210198 */   GIR_EraseRootFromParent_Done,
     /* 2210199 */ // Label 30692: @2210199
     /* 2210199 */ GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2210253), // Rule ID 58031 //
     /* 2210204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2210207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2210210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210218 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2210221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210230 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2210235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210240 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210252 */   // GIR_Coverage, 58031,
     /* 2210252 */   GIR_EraseRootFromParent_Done,
     /* 2210253 */ // Label 30693: @2210253
     /* 2210253 */ GIM_Reject,
     /* 2210254 */ // Label 30618: @2210254
     /* 2210254 */ GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2210308), // Rule ID 57614 //
     /* 2210259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2210262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2210265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210273 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2210290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210307 */   // GIR_Coverage, 57614,
     /* 2210307 */   GIR_EraseRootFromParent_Done,
     /* 2210308 */ // Label 30694: @2210308
     /* 2210308 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2210362), // Rule ID 57615 //
     /* 2210313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2210316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2210319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210327 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2210344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210361 */   // GIR_Coverage, 57615,
     /* 2210361 */   GIR_EraseRootFromParent_Done,
     /* 2210362 */ // Label 30695: @2210362
     /* 2210362 */ GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2210416), // Rule ID 57822 //
     /* 2210367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2210370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2210373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210381 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2210398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210415 */   // GIR_Coverage, 57822,
     /* 2210415 */   GIR_EraseRootFromParent_Done,
     /* 2210416 */ // Label 30696: @2210416
     /* 2210416 */ GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2210470), // Rule ID 57823 //
     /* 2210421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2210424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2210427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210435 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2210438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210447 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2210452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210454 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210469 */   // GIR_Coverage, 57823,
     /* 2210469 */   GIR_EraseRootFromParent_Done,
     /* 2210470 */ // Label 30697: @2210470
     /* 2210470 */ GIM_Reject,
     /* 2210471 */ // Label 30619: @2210471
     /* 2210471 */ GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2210574),
     /* 2210476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210487 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2210530), // Rule ID 57990 //
     /* 2210492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2210495 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2210512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210529 */     // GIR_Coverage, 57990,
     /* 2210529 */     GIR_EraseRootFromParent_Done,
     /* 2210530 */   // Label 30699: @2210530
     /* 2210530 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2210573), // Rule ID 57991 //
     /* 2210535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2210538 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2210541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2210555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210572 */     // GIR_Coverage, 57991,
     /* 2210572 */     GIR_EraseRootFromParent_Done,
     /* 2210573 */   // Label 30700: @2210573
     /* 2210573 */   GIM_Reject,
     /* 2210574 */ // Label 30698: @2210574
     /* 2210574 */ GIM_Reject,
     /* 2210575 */ // Label 30620: @2210575
     /* 2210575 */ GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2210629), // Rule ID 57586 //
     /* 2210580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2210583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210594 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210594 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210601 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2210611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210628 */   // GIR_Coverage, 57586,
     /* 2210628 */   GIR_EraseRootFromParent_Done,
     /* 2210629 */ // Label 30701: @2210629
     /* 2210629 */ GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2210683), // Rule ID 57587 //
     /* 2210634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2210637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210648 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2210665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210682 */   // GIR_Coverage, 57587,
     /* 2210682 */   GIR_EraseRootFromParent_Done,
     /* 2210683 */ // Label 30702: @2210683
     /* 2210683 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2210737), // Rule ID 58014 //
     /* 2210688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2210691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210702 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2210719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210736 */   // GIR_Coverage, 58014,
     /* 2210736 */   GIR_EraseRootFromParent_Done,
     /* 2210737 */ // Label 30703: @2210737
     /* 2210737 */ GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2210791), // Rule ID 58015 //
     /* 2210742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2210745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210756 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2210759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2210773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210790 */   // GIR_Coverage, 58015,
     /* 2210790 */   GIR_EraseRootFromParent_Done,
     /* 2210791 */ // Label 30704: @2210791
     /* 2210791 */ GIM_Reject,
     /* 2210792 */ // Label 30621: @2210792
     /* 2210792 */ GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2210846), // Rule ID 57602 //
     /* 2210797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2210800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210811 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2210828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210845 */   // GIR_Coverage, 57602,
     /* 2210845 */   GIR_EraseRootFromParent_Done,
     /* 2210846 */ // Label 30705: @2210846
     /* 2210846 */ GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2210900), // Rule ID 57603 //
     /* 2210851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2210854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2210857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210865 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2210882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210899 */   // GIR_Coverage, 57603,
     /* 2210899 */   GIR_EraseRootFromParent_Done,
     /* 2210900 */ // Label 30706: @2210900
     /* 2210900 */ GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2210954), // Rule ID 57806 //
     /* 2210905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2210908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210919 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2210936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210953 */   // GIR_Coverage, 57806,
     /* 2210953 */   GIR_EraseRootFromParent_Done,
     /* 2210954 */ // Label 30707: @2210954
     /* 2210954 */ GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2211008), // Rule ID 57807 //
     /* 2210959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2210962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2210965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210973 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2210976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2210990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211007 */   // GIR_Coverage, 57807,
     /* 2211007 */   GIR_EraseRootFromParent_Done,
     /* 2211008 */ // Label 30708: @2211008
     /* 2211008 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2211062), // Rule ID 58034 //
     /* 2211013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2211016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211027 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211049 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211061 */   // GIR_Coverage, 58034,
     /* 2211061 */   GIR_EraseRootFromParent_Done,
     /* 2211062 */ // Label 30709: @2211062
     /* 2211062 */ GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2211116), // Rule ID 58035 //
     /* 2211067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2211070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211081 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2211084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211115 */   // GIR_Coverage, 58035,
     /* 2211115 */   GIR_EraseRootFromParent_Done,
     /* 2211116 */ // Label 30710: @2211116
     /* 2211116 */ GIM_Reject,
     /* 2211117 */ // Label 30622: @2211117
     /* 2211117 */ GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2211171), // Rule ID 57618 //
     /* 2211122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2211125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211136 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2211153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211170 */   // GIR_Coverage, 57618,
     /* 2211170 */   GIR_EraseRootFromParent_Done,
     /* 2211171 */ // Label 30711: @2211171
     /* 2211171 */ GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2211225), // Rule ID 57619 //
     /* 2211176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2211179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2211182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211190 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2211207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211224 */   // GIR_Coverage, 57619,
     /* 2211224 */   GIR_EraseRootFromParent_Done,
     /* 2211225 */ // Label 30712: @2211225
     /* 2211225 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2211279), // Rule ID 57826 //
     /* 2211230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2211233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211244 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211244 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211247 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211251 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211256 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2211261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211263 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211278 */   // GIR_Coverage, 57826,
     /* 2211278 */   GIR_EraseRootFromParent_Done,
     /* 2211279 */ // Label 30713: @2211279
     /* 2211279 */ GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2211333), // Rule ID 57827 //
     /* 2211284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2211287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2211290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211298 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2211301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2211315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211332 */   // GIR_Coverage, 57827,
     /* 2211332 */   GIR_EraseRootFromParent_Done,
     /* 2211333 */ // Label 30714: @2211333
     /* 2211333 */ GIM_Reject,
     /* 2211334 */ // Label 30623: @2211334
     /* 2211334 */ GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2211437),
     /* 2211339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211350 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2211393), // Rule ID 57994 //
     /* 2211355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2211358 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2211375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211392 */     // GIR_Coverage, 57994,
     /* 2211392 */     GIR_EraseRootFromParent_Done,
     /* 2211393 */   // Label 30716: @2211393
     /* 2211393 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2211436), // Rule ID 57995 //
     /* 2211398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2211401 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2211404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2211418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211435 */     // GIR_Coverage, 57995,
     /* 2211435 */     GIR_EraseRootFromParent_Done,
     /* 2211436 */   // Label 30717: @2211436
     /* 2211436 */   GIM_Reject,
     /* 2211437 */ // Label 30715: @2211437
     /* 2211437 */ GIM_Reject,
     /* 2211438 */ // Label 30624: @2211438
     /* 2211438 */ GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2211492), // Rule ID 57590 //
     /* 2211443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2211446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211457 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2211474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211476 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211479 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211491 */   // GIR_Coverage, 57590,
     /* 2211491 */   GIR_EraseRootFromParent_Done,
     /* 2211492 */ // Label 30718: @2211492
     /* 2211492 */ GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2211546), // Rule ID 57591 //
     /* 2211497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2211500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211511 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2211528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211545 */   // GIR_Coverage, 57591,
     /* 2211545 */   GIR_EraseRootFromParent_Done,
     /* 2211546 */ // Label 30719: @2211546
     /* 2211546 */ GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2211600), // Rule ID 58018 //
     /* 2211551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2211554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211565 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211599 */   // GIR_Coverage, 58018,
     /* 2211599 */   GIR_EraseRootFromParent_Done,
     /* 2211600 */ // Label 30720: @2211600
     /* 2211600 */ GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2211654), // Rule ID 58019 //
     /* 2211605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2211608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211619 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2211622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211653 */   // GIR_Coverage, 58019,
     /* 2211653 */   GIR_EraseRootFromParent_Done,
     /* 2211654 */ // Label 30721: @2211654
     /* 2211654 */ GIM_Reject,
     /* 2211655 */ // Label 30625: @2211655
     /* 2211655 */ GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2211709), // Rule ID 57606 //
     /* 2211660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2211663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211674 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2211691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211708 */   // GIR_Coverage, 57606,
     /* 2211708 */   GIR_EraseRootFromParent_Done,
     /* 2211709 */ // Label 30722: @2211709
     /* 2211709 */ GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2211763), // Rule ID 57607 //
     /* 2211714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2211717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2211720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211728 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2211745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211762 */   // GIR_Coverage, 57607,
     /* 2211762 */   GIR_EraseRootFromParent_Done,
     /* 2211763 */ // Label 30723: @2211763
     /* 2211763 */ GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2211817), // Rule ID 57810 //
     /* 2211768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2211771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211782 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2211799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211816 */   // GIR_Coverage, 57810,
     /* 2211816 */   GIR_EraseRootFromParent_Done,
     /* 2211817 */ // Label 30724: @2211817
     /* 2211817 */ GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2211871), // Rule ID 57811 //
     /* 2211822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2211825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211836 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2211853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2211870 */   // GIR_Coverage, 57811,
     /* 2211870 */   GIR_EraseRootFromParent_Done,
     /* 2211871 */ // Label 30725: @2211871
     /* 2211871 */ GIM_Reject,
     /* 2211872 */ // Label 30626: @2211872
     /* 2211872 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2211975),
     /* 2211877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2211880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211888 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2211931), // Rule ID 57998 //
     /* 2211893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2211896 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2211899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211930 */     // GIR_Coverage, 57998,
     /* 2211930 */     GIR_EraseRootFromParent_Done,
     /* 2211931 */   // Label 30727: @2211931
     /* 2211931 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2211974), // Rule ID 57999 //
     /* 2211936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2211939 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2211942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2211956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211973 */     // GIR_Coverage, 57999,
     /* 2211973 */     GIR_EraseRootFromParent_Done,
     /* 2211974 */   // Label 30728: @2211974
     /* 2211974 */   GIM_Reject,
     /* 2211975 */ // Label 30726: @2211975
     /* 2211975 */ GIM_Reject,
     /* 2211976 */ // Label 30627: @2211976
     /* 2211976 */ GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2212079),
     /* 2211981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2211984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211992 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2212035), // Rule ID 57594 //
     /* 2211997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2212000 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2212017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212034 */     // GIR_Coverage, 57594,
     /* 2212034 */     GIR_EraseRootFromParent_Done,
     /* 2212035 */   // Label 30730: @2212035
     /* 2212035 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2212078), // Rule ID 57595 //
     /* 2212040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2212043 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2212060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212077 */     // GIR_Coverage, 57595,
     /* 2212077 */     GIR_EraseRootFromParent_Done,
     /* 2212078 */   // Label 30731: @2212078
     /* 2212078 */   GIM_Reject,
     /* 2212079 */ // Label 30729: @2212079
     /* 2212079 */ GIM_Reject,
     /* 2212080 */ // Label 30628: @2212080
     /* 2212080 */ GIM_Reject,
     /* 2212081 */ // Label 66: @2212081
     /* 2212081 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 30755*/ GIMT_Encode4(2216966),
     /* 2212092 */ /*GILLT_s32*//*Label 30732*/ GIMT_Encode4(2212208),
     /* 2212096 */ /*GILLT_s64*//*Label 30733*/ GIMT_Encode4(2212581), GIMT_Encode4(0),
     /* 2212104 */ /*GILLT_nxv1s8*//*Label 30734*/ GIMT_Encode4(2212768),
     /* 2212108 */ /*GILLT_nxv1s16*//*Label 30735*/ GIMT_Encode4(2212872),
     /* 2212112 */ /*GILLT_nxv1s32*//*Label 30736*/ GIMT_Encode4(2213089),
     /* 2212116 */ /*GILLT_nxv1s64*//*Label 30737*/ GIMT_Encode4(2213414), GIMT_Encode4(0),
     /* 2212124 */ /*GILLT_nxv2s8*//*Label 30738*/ GIMT_Encode4(2213631),
     /* 2212128 */ /*GILLT_nxv2s16*//*Label 30739*/ GIMT_Encode4(2213735),
     /* 2212132 */ /*GILLT_nxv2s32*//*Label 30740*/ GIMT_Encode4(2213952),
     /* 2212136 */ /*GILLT_nxv2s64*//*Label 30741*/ GIMT_Encode4(2214277), GIMT_Encode4(0),
     /* 2212144 */ /*GILLT_nxv4s8*//*Label 30742*/ GIMT_Encode4(2214494),
     /* 2212148 */ /*GILLT_nxv4s16*//*Label 30743*/ GIMT_Encode4(2214598),
     /* 2212152 */ /*GILLT_nxv4s32*//*Label 30744*/ GIMT_Encode4(2214815),
     /* 2212156 */ /*GILLT_nxv4s64*//*Label 30745*/ GIMT_Encode4(2215140), GIMT_Encode4(0),
     /* 2212164 */ /*GILLT_nxv8s8*//*Label 30746*/ GIMT_Encode4(2215357),
     /* 2212168 */ /*GILLT_nxv8s16*//*Label 30747*/ GIMT_Encode4(2215461),
     /* 2212172 */ /*GILLT_nxv8s32*//*Label 30748*/ GIMT_Encode4(2215678),
     /* 2212176 */ /*GILLT_nxv8s64*//*Label 30749*/ GIMT_Encode4(2216003), GIMT_Encode4(0),
     /* 2212184 */ /*GILLT_nxv16s8*//*Label 30750*/ GIMT_Encode4(2216220),
     /* 2212188 */ /*GILLT_nxv16s16*//*Label 30751*/ GIMT_Encode4(2216324),
     /* 2212192 */ /*GILLT_nxv16s32*//*Label 30752*/ GIMT_Encode4(2216541), GIMT_Encode4(0),
     /* 2212200 */ /*GILLT_nxv32s8*//*Label 30753*/ GIMT_Encode4(2216758),
     /* 2212204 */ /*GILLT_nxv32s16*//*Label 30754*/ GIMT_Encode4(2216862),
     /* 2212208 */ // Label 30732: @2212208
     /* 2212208 */ GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2212239), // Rule ID 1318 //
     /* 2212213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2212216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212227 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2212227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2212230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212238 */   // GIR_Coverage, 1318,
     /* 2212238 */   GIR_EraseRootFromParent_Done,
     /* 2212239 */ // Label 30756: @2212239
     /* 2212239 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2212270), // Rule ID 1319 //
     /* 2212244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2212247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212258 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2212258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2212261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212269 */   // GIR_Coverage, 1319,
     /* 2212269 */   GIR_EraseRootFromParent_Done,
     /* 2212270 */ // Label 30757: @2212270
     /* 2212270 */ GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2212301), // Rule ID 1344 //
     /* 2212275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2212278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2212289 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2212289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2212292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212294 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212300 */   // GIR_Coverage, 1344,
     /* 2212300 */   GIR_EraseRootFromParent_Done,
     /* 2212301 */ // Label 30758: @2212301
     /* 2212301 */ GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2212332), // Rule ID 1345 //
     /* 2212306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2212309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2212320 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2212320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2212323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212325 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212331 */   // GIR_Coverage, 1345,
     /* 2212331 */   GIR_EraseRootFromParent_Done,
     /* 2212332 */ // Label 30759: @2212332
     /* 2212332 */ GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2212363), // Rule ID 1712 //
     /* 2212337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2212340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2212351 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2212351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2212354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212362 */   // GIR_Coverage, 1712,
     /* 2212362 */   GIR_EraseRootFromParent_Done,
     /* 2212363 */ // Label 30760: @2212363
     /* 2212363 */ GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2212394), // Rule ID 1713 //
     /* 2212368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2212371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2212382 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2212382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2212385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212393 */   // GIR_Coverage, 1713,
     /* 2212393 */   GIR_EraseRootFromParent_Done,
     /* 2212394 */ // Label 30761: @2212394
     /* 2212394 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2212425), // Rule ID 1738 //
     /* 2212399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2212402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2212413 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2212413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2212416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212424 */   // GIR_Coverage, 1738,
     /* 2212424 */   GIR_EraseRootFromParent_Done,
     /* 2212425 */ // Label 30762: @2212425
     /* 2212425 */ GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2212456), // Rule ID 1739 //
     /* 2212430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2212433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2212444 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2212444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2212447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212455 */   // GIR_Coverage, 1739,
     /* 2212455 */   GIR_EraseRootFromParent_Done,
     /* 2212456 */ // Label 30763: @2212456
     /* 2212456 */ GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2212487), // Rule ID 2054 //
     /* 2212461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2212464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2212475 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2212475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2212478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212486 */   // GIR_Coverage, 2054,
     /* 2212486 */   GIR_EraseRootFromParent_Done,
     /* 2212487 */ // Label 30764: @2212487
     /* 2212487 */ GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2212518), // Rule ID 2055 //
     /* 2212492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2212495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2212506 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2212506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2212509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212517 */   // GIR_Coverage, 2055,
     /* 2212517 */   GIR_EraseRootFromParent_Done,
     /* 2212518 */ // Label 30765: @2212518
     /* 2212518 */ GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2212549), // Rule ID 2080 //
     /* 2212523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2212526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2212537 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2212537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2212540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212548 */   // GIR_Coverage, 2080,
     /* 2212548 */   GIR_EraseRootFromParent_Done,
     /* 2212549 */ // Label 30766: @2212549
     /* 2212549 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2212580), // Rule ID 2081 //
     /* 2212554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2212557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2212568 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2212568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2212571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212579 */   // GIR_Coverage, 2081,
     /* 2212579 */   GIR_EraseRootFromParent_Done,
     /* 2212580 */ // Label 30767: @2212580
     /* 2212580 */ GIM_Reject,
     /* 2212581 */ // Label 30733: @2212581
     /* 2212581 */ GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2212612), // Rule ID 1373 //
     /* 2212586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2212589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212600 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2212600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2212603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212611 */   // GIR_Coverage, 1373,
     /* 2212611 */   GIR_EraseRootFromParent_Done,
     /* 2212612 */ // Label 30768: @2212612
     /* 2212612 */ GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2212643), // Rule ID 1401 //
     /* 2212617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2212620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2212631 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2212631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2212634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212642 */   // GIR_Coverage, 1401,
     /* 2212642 */   GIR_EraseRootFromParent_Done,
     /* 2212643 */ // Label 30769: @2212643
     /* 2212643 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2212674), // Rule ID 1773 //
     /* 2212648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2212651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2212662 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2212662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2212665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212673 */   // GIR_Coverage, 1773,
     /* 2212673 */   GIR_EraseRootFromParent_Done,
     /* 2212674 */ // Label 30770: @2212674
     /* 2212674 */ GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2212705), // Rule ID 1801 //
     /* 2212679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2212682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212693 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2212693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2212696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212704 */   // GIR_Coverage, 1801,
     /* 2212704 */   GIR_EraseRootFromParent_Done,
     /* 2212705 */ // Label 30771: @2212705
     /* 2212705 */ GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2212736), // Rule ID 2107 //
     /* 2212710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2212713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2212724 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2212724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2212727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212729 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212735 */   // GIR_Coverage, 2107,
     /* 2212735 */   GIR_EraseRootFromParent_Done,
     /* 2212736 */ // Label 30772: @2212736
     /* 2212736 */ GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2212767), // Rule ID 2133 //
     /* 2212741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2212744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2212747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2212755 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2212755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2212758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2212765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212766 */   // GIR_Coverage, 2133,
     /* 2212766 */   GIR_EraseRootFromParent_Done,
     /* 2212767 */ // Label 30773: @2212767
     /* 2212767 */ GIM_Reject,
     /* 2212768 */ // Label 30734: @2212768
     /* 2212768 */ GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2212871),
     /* 2212773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212784 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2212827), // Rule ID 58038 //
     /* 2212789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2212792 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2212795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2212809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212826 */     // GIR_Coverage, 58038,
     /* 2212826 */     GIR_EraseRootFromParent_Done,
     /* 2212827 */   // Label 30775: @2212827
     /* 2212827 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2212870), // Rule ID 58039 //
     /* 2212832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2212835 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2212838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2212852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212869 */     // GIR_Coverage, 58039,
     /* 2212869 */     GIR_EraseRootFromParent_Done,
     /* 2212870 */   // Label 30776: @2212870
     /* 2212870 */   GIM_Reject,
     /* 2212871 */ // Label 30774: @2212871
     /* 2212871 */ GIM_Reject,
     /* 2212872 */ // Label 30735: @2212872
     /* 2212872 */ GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2212926), // Rule ID 57622 //
     /* 2212877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2212880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212891 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2212908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212925 */   // GIR_Coverage, 57622,
     /* 2212925 */   GIR_EraseRootFromParent_Done,
     /* 2212926 */ // Label 30777: @2212926
     /* 2212926 */ GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2212980), // Rule ID 57623 //
     /* 2212931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2212934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212945 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2212962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212979 */   // GIR_Coverage, 57623,
     /* 2212979 */   GIR_EraseRootFromParent_Done,
     /* 2212980 */ // Label 30778: @2212980
     /* 2212980 */ GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2213034), // Rule ID 58062 //
     /* 2212985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2212988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2212991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212999 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2213016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213033 */   // GIR_Coverage, 58062,
     /* 2213033 */   GIR_EraseRootFromParent_Done,
     /* 2213034 */ // Label 30779: @2213034
     /* 2213034 */ GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2213088), // Rule ID 58063 //
     /* 2213039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2213042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213053 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2213070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213087 */   // GIR_Coverage, 58063,
     /* 2213087 */   GIR_EraseRootFromParent_Done,
     /* 2213088 */ // Label 30780: @2213088
     /* 2213088 */ GIM_Reject,
     /* 2213089 */ // Label 30736: @2213089
     /* 2213089 */ GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2213143), // Rule ID 57630 //
     /* 2213094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2213097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213108 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213108 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213111 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213115 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213120 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2213125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213127 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213130 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213142 */   // GIR_Coverage, 57630,
     /* 2213142 */   GIR_EraseRootFromParent_Done,
     /* 2213143 */ // Label 30781: @2213143
     /* 2213143 */ GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2213197), // Rule ID 57631 //
     /* 2213148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2213151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213162 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2213179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213196 */   // GIR_Coverage, 57631,
     /* 2213196 */   GIR_EraseRootFromParent_Done,
     /* 2213197 */ // Label 30782: @2213197
     /* 2213197 */ GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2213251), // Rule ID 57830 //
     /* 2213202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2213205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2213208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213216 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2213233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213250 */   // GIR_Coverage, 57830,
     /* 2213250 */   GIR_EraseRootFromParent_Done,
     /* 2213251 */ // Label 30783: @2213251
     /* 2213251 */ GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2213305), // Rule ID 57831 //
     /* 2213256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2213259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2213262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213270 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213270 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213273 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213277 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2213287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213304 */   // GIR_Coverage, 57831,
     /* 2213304 */   GIR_EraseRootFromParent_Done,
     /* 2213305 */ // Label 30784: @2213305
     /* 2213305 */ GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2213359), // Rule ID 58082 //
     /* 2213310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2213313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213324 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2213341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213358 */   // GIR_Coverage, 58082,
     /* 2213358 */   GIR_EraseRootFromParent_Done,
     /* 2213359 */ // Label 30785: @2213359
     /* 2213359 */ GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2213413), // Rule ID 58083 //
     /* 2213364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2213367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213378 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213378 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213381 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213385 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2213395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213397 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213400 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213412 */   // GIR_Coverage, 58083,
     /* 2213412 */   GIR_EraseRootFromParent_Done,
     /* 2213413 */ // Label 30786: @2213413
     /* 2213413 */ GIM_Reject,
     /* 2213414 */ // Label 30737: @2213414
     /* 2213414 */ GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2213468), // Rule ID 57642 //
     /* 2213419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2213422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213433 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2213450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213467 */   // GIR_Coverage, 57642,
     /* 2213467 */   GIR_EraseRootFromParent_Done,
     /* 2213468 */ // Label 30787: @2213468
     /* 2213468 */ GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2213522), // Rule ID 57643 //
     /* 2213473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2213476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213487 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2213504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213509 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213521 */   // GIR_Coverage, 57643,
     /* 2213521 */   GIR_EraseRootFromParent_Done,
     /* 2213522 */ // Label 30788: @2213522
     /* 2213522 */ GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2213576), // Rule ID 57850 //
     /* 2213527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2213530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213541 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2213558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213575 */   // GIR_Coverage, 57850,
     /* 2213575 */   GIR_EraseRootFromParent_Done,
     /* 2213576 */ // Label 30789: @2213576
     /* 2213576 */ GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2213630), // Rule ID 57851 //
     /* 2213581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2213584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213595 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2213612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213629 */   // GIR_Coverage, 57851,
     /* 2213629 */   GIR_EraseRootFromParent_Done,
     /* 2213630 */ // Label 30790: @2213630
     /* 2213630 */ GIM_Reject,
     /* 2213631 */ // Label 30738: @2213631
     /* 2213631 */ GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2213734),
     /* 2213636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2213639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213647 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2213690), // Rule ID 58042 //
     /* 2213652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2213655 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2213658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2213672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213689 */     // GIR_Coverage, 58042,
     /* 2213689 */     GIR_EraseRootFromParent_Done,
     /* 2213690 */   // Label 30792: @2213690
     /* 2213690 */   GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2213733), // Rule ID 58043 //
     /* 2213695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2213698 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2213701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2213715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213732 */     // GIR_Coverage, 58043,
     /* 2213732 */     GIR_EraseRootFromParent_Done,
     /* 2213733 */   // Label 30793: @2213733
     /* 2213733 */   GIM_Reject,
     /* 2213734 */ // Label 30791: @2213734
     /* 2213734 */ GIM_Reject,
     /* 2213735 */ // Label 30739: @2213735
     /* 2213735 */ GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2213789), // Rule ID 57626 //
     /* 2213740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2213743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2213746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213754 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2213757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2213771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213788 */   // GIR_Coverage, 57626,
     /* 2213788 */   GIR_EraseRootFromParent_Done,
     /* 2213789 */ // Label 30794: @2213789
     /* 2213789 */ GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2213843), // Rule ID 57627 //
     /* 2213794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2213797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2213800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213808 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2213811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2213825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213842 */   // GIR_Coverage, 57627,
     /* 2213842 */   GIR_EraseRootFromParent_Done,
     /* 2213843 */ // Label 30795: @2213843
     /* 2213843 */ GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2213897), // Rule ID 58066 //
     /* 2213848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2213851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2213854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213862 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2213865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2213879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213896 */   // GIR_Coverage, 58066,
     /* 2213896 */   GIR_EraseRootFromParent_Done,
     /* 2213897 */ // Label 30796: @2213897
     /* 2213897 */ GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2213951), // Rule ID 58067 //
     /* 2213902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2213905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2213908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213916 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2213919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2213933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213950 */   // GIR_Coverage, 58067,
     /* 2213950 */   GIR_EraseRootFromParent_Done,
     /* 2213951 */ // Label 30797: @2213951
     /* 2213951 */ GIM_Reject,
     /* 2213952 */ // Label 30740: @2213952
     /* 2213952 */ GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2214006), // Rule ID 57638 //
     /* 2213957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2213960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2213963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213971 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2213974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2213988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214005 */   // GIR_Coverage, 57638,
     /* 2214005 */   GIR_EraseRootFromParent_Done,
     /* 2214006 */ // Label 30798: @2214006
     /* 2214006 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2214060), // Rule ID 57639 //
     /* 2214011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2214014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214025 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2214042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214059 */   // GIR_Coverage, 57639,
     /* 2214059 */   GIR_EraseRootFromParent_Done,
     /* 2214060 */ // Label 30799: @2214060
     /* 2214060 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2214114), // Rule ID 57834 //
     /* 2214065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2214068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214079 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2214096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214113 */   // GIR_Coverage, 57834,
     /* 2214113 */   GIR_EraseRootFromParent_Done,
     /* 2214114 */ // Label 30800: @2214114
     /* 2214114 */ GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2214168), // Rule ID 57835 //
     /* 2214119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2214122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214133 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2214150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214167 */   // GIR_Coverage, 57835,
     /* 2214167 */   GIR_EraseRootFromParent_Done,
     /* 2214168 */ // Label 30801: @2214168
     /* 2214168 */ GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2214222), // Rule ID 58086 //
     /* 2214173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2214176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214187 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2214204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214221 */   // GIR_Coverage, 58086,
     /* 2214221 */   GIR_EraseRootFromParent_Done,
     /* 2214222 */ // Label 30802: @2214222
     /* 2214222 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2214276), // Rule ID 58087 //
     /* 2214227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2214230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214241 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2214258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214275 */   // GIR_Coverage, 58087,
     /* 2214275 */   GIR_EraseRootFromParent_Done,
     /* 2214276 */ // Label 30803: @2214276
     /* 2214276 */ GIM_Reject,
     /* 2214277 */ // Label 30741: @2214277
     /* 2214277 */ GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2214331), // Rule ID 57670 //
     /* 2214282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2214285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214296 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214296 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214299 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214303 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2214313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214318 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214330 */   // GIR_Coverage, 57670,
     /* 2214330 */   GIR_EraseRootFromParent_Done,
     /* 2214331 */ // Label 30804: @2214331
     /* 2214331 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2214385), // Rule ID 57671 //
     /* 2214336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2214339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214350 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2214367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214384 */   // GIR_Coverage, 57671,
     /* 2214384 */   GIR_EraseRootFromParent_Done,
     /* 2214385 */ // Label 30805: @2214385
     /* 2214385 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2214439), // Rule ID 57854 //
     /* 2214390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2214393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214404 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2214421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214438 */   // GIR_Coverage, 57854,
     /* 2214438 */   GIR_EraseRootFromParent_Done,
     /* 2214439 */ // Label 30806: @2214439
     /* 2214439 */ GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2214493), // Rule ID 57855 //
     /* 2214444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2214447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214458 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2214475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214492 */   // GIR_Coverage, 57855,
     /* 2214492 */   GIR_EraseRootFromParent_Done,
     /* 2214493 */ // Label 30807: @2214493
     /* 2214493 */ GIM_Reject,
     /* 2214494 */ // Label 30742: @2214494
     /* 2214494 */ GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2214597),
     /* 2214499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214510 */   GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2214553), // Rule ID 58046 //
     /* 2214515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2214518 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2214535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214552 */     // GIR_Coverage, 58046,
     /* 2214552 */     GIR_EraseRootFromParent_Done,
     /* 2214553 */   // Label 30809: @2214553
     /* 2214553 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2214596), // Rule ID 58047 //
     /* 2214558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2214561 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2214578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214595 */     // GIR_Coverage, 58047,
     /* 2214595 */     GIR_EraseRootFromParent_Done,
     /* 2214596 */   // Label 30810: @2214596
     /* 2214596 */   GIM_Reject,
     /* 2214597 */ // Label 30808: @2214597
     /* 2214597 */ GIM_Reject,
     /* 2214598 */ // Label 30743: @2214598
     /* 2214598 */ GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2214652), // Rule ID 57634 //
     /* 2214603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2214606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214617 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2214634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214651 */   // GIR_Coverage, 57634,
     /* 2214651 */   GIR_EraseRootFromParent_Done,
     /* 2214652 */ // Label 30811: @2214652
     /* 2214652 */ GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2214706), // Rule ID 57635 //
     /* 2214657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2214660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214671 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2214688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214705 */   // GIR_Coverage, 57635,
     /* 2214705 */   GIR_EraseRootFromParent_Done,
     /* 2214706 */ // Label 30812: @2214706
     /* 2214706 */ GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2214760), // Rule ID 58070 //
     /* 2214711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2214714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214725 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2214742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214759 */   // GIR_Coverage, 58070,
     /* 2214759 */   GIR_EraseRootFromParent_Done,
     /* 2214760 */ // Label 30813: @2214760
     /* 2214760 */ GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2214814), // Rule ID 58071 //
     /* 2214765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2214768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214779 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2214796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214813 */   // GIR_Coverage, 58071,
     /* 2214813 */   GIR_EraseRootFromParent_Done,
     /* 2214814 */ // Label 30814: @2214814
     /* 2214814 */ GIM_Reject,
     /* 2214815 */ // Label 30744: @2214815
     /* 2214815 */ GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2214869), // Rule ID 57658 //
     /* 2214820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2214823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214834 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214834 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214837 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214841 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214846 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2214851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214856 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214868 */   // GIR_Coverage, 57658,
     /* 2214868 */   GIR_EraseRootFromParent_Done,
     /* 2214869 */ // Label 30815: @2214869
     /* 2214869 */ GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2214923), // Rule ID 57659 //
     /* 2214874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2214877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214888 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2214905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214922 */   // GIR_Coverage, 57659,
     /* 2214922 */   GIR_EraseRootFromParent_Done,
     /* 2214923 */ // Label 30816: @2214923
     /* 2214923 */ GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2214977), // Rule ID 57838 //
     /* 2214928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2214931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214942 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2214959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214976 */   // GIR_Coverage, 57838,
     /* 2214976 */   GIR_EraseRootFromParent_Done,
     /* 2214977 */ // Label 30817: @2214977
     /* 2214977 */ GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2215031), // Rule ID 57839 //
     /* 2214982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2214985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214996 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2215013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215030 */   // GIR_Coverage, 57839,
     /* 2215030 */   GIR_EraseRootFromParent_Done,
     /* 2215031 */ // Label 30818: @2215031
     /* 2215031 */ GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2215085), // Rule ID 58090 //
     /* 2215036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2215039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215050 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2215067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215069 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215072 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215084 */   // GIR_Coverage, 58090,
     /* 2215084 */   GIR_EraseRootFromParent_Done,
     /* 2215085 */ // Label 30819: @2215085
     /* 2215085 */ GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2215139), // Rule ID 58091 //
     /* 2215090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2215093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215104 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2215107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2215121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215138 */   // GIR_Coverage, 58091,
     /* 2215138 */   GIR_EraseRootFromParent_Done,
     /* 2215139 */ // Label 30820: @2215139
     /* 2215139 */ GIM_Reject,
     /* 2215140 */ // Label 30745: @2215140
     /* 2215140 */ GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2215194), // Rule ID 57674 //
     /* 2215145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2215148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215159 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2215176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215193 */   // GIR_Coverage, 57674,
     /* 2215193 */   GIR_EraseRootFromParent_Done,
     /* 2215194 */ // Label 30821: @2215194
     /* 2215194 */ GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2215248), // Rule ID 57675 //
     /* 2215199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2215202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2215205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215213 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2215230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215247 */   // GIR_Coverage, 57675,
     /* 2215247 */   GIR_EraseRootFromParent_Done,
     /* 2215248 */ // Label 30822: @2215248
     /* 2215248 */ GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2215302), // Rule ID 57858 //
     /* 2215253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2215256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2215259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215267 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215267 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215270 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215274 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2215284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215301 */   // GIR_Coverage, 57858,
     /* 2215301 */   GIR_EraseRootFromParent_Done,
     /* 2215302 */ // Label 30823: @2215302
     /* 2215302 */ GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2215356), // Rule ID 57859 //
     /* 2215307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2215310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2215313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215321 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215321 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2215324 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215328 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2215338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215340 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215343 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215355 */   // GIR_Coverage, 57859,
     /* 2215355 */   GIR_EraseRootFromParent_Done,
     /* 2215356 */ // Label 30824: @2215356
     /* 2215356 */ GIM_Reject,
     /* 2215357 */ // Label 30746: @2215357
     /* 2215357 */ GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2215460),
     /* 2215362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215373 */   GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2215416), // Rule ID 58050 //
     /* 2215378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2215381 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2215398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215415 */     // GIR_Coverage, 58050,
     /* 2215415 */     GIR_EraseRootFromParent_Done,
     /* 2215416 */   // Label 30826: @2215416
     /* 2215416 */   GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2215459), // Rule ID 58051 //
     /* 2215421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2215424 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2215441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215458 */     // GIR_Coverage, 58051,
     /* 2215458 */     GIR_EraseRootFromParent_Done,
     /* 2215459 */   // Label 30827: @2215459
     /* 2215459 */   GIM_Reject,
     /* 2215460 */ // Label 30825: @2215460
     /* 2215460 */ GIM_Reject,
     /* 2215461 */ // Label 30747: @2215461
     /* 2215461 */ GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2215515), // Rule ID 57646 //
     /* 2215466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2215469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215480 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215480 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215483 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215487 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2215497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215502 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215514 */   // GIR_Coverage, 57646,
     /* 2215514 */   GIR_EraseRootFromParent_Done,
     /* 2215515 */ // Label 30828: @2215515
     /* 2215515 */ GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2215569), // Rule ID 57647 //
     /* 2215520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2215523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215534 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2215551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215568 */   // GIR_Coverage, 57647,
     /* 2215568 */   GIR_EraseRootFromParent_Done,
     /* 2215569 */ // Label 30829: @2215569
     /* 2215569 */ GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2215623), // Rule ID 58074 //
     /* 2215574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2215577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215588 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2215605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215622 */   // GIR_Coverage, 58074,
     /* 2215622 */   GIR_EraseRootFromParent_Done,
     /* 2215623 */ // Label 30830: @2215623
     /* 2215623 */ GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2215677), // Rule ID 58075 //
     /* 2215628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2215631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215642 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2215659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215664 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215676 */   // GIR_Coverage, 58075,
     /* 2215676 */   GIR_EraseRootFromParent_Done,
     /* 2215677 */ // Label 30831: @2215677
     /* 2215677 */ GIM_Reject,
     /* 2215678 */ // Label 30748: @2215678
     /* 2215678 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2215732), // Rule ID 57662 //
     /* 2215683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2215686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215697 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2215714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215731 */   // GIR_Coverage, 57662,
     /* 2215731 */   GIR_EraseRootFromParent_Done,
     /* 2215732 */ // Label 30832: @2215732
     /* 2215732 */ GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2215786), // Rule ID 57663 //
     /* 2215737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2215740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215751 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2215768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215785 */   // GIR_Coverage, 57663,
     /* 2215785 */   GIR_EraseRootFromParent_Done,
     /* 2215786 */ // Label 30833: @2215786
     /* 2215786 */ GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2215840), // Rule ID 57842 //
     /* 2215791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2215794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215805 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2215822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215839 */   // GIR_Coverage, 57842,
     /* 2215839 */   GIR_EraseRootFromParent_Done,
     /* 2215840 */ // Label 30834: @2215840
     /* 2215840 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2215894), // Rule ID 57843 //
     /* 2215845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2215848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215859 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2215876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215893 */   // GIR_Coverage, 57843,
     /* 2215893 */   GIR_EraseRootFromParent_Done,
     /* 2215894 */ // Label 30835: @2215894
     /* 2215894 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2215948), // Rule ID 58094 //
     /* 2215899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2215902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215913 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2215930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215947 */   // GIR_Coverage, 58094,
     /* 2215947 */   GIR_EraseRootFromParent_Done,
     /* 2215948 */ // Label 30836: @2215948
     /* 2215948 */ GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2216002), // Rule ID 58095 //
     /* 2215953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2215956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215967 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215967 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215970 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215974 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2215984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215986 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215989 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216001 */   // GIR_Coverage, 58095,
     /* 2216001 */   GIR_EraseRootFromParent_Done,
     /* 2216002 */ // Label 30837: @2216002
     /* 2216002 */ GIM_Reject,
     /* 2216003 */ // Label 30749: @2216003
     /* 2216003 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2216057), // Rule ID 57678 //
     /* 2216008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2216011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2216014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216022 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2216025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216056 */   // GIR_Coverage, 57678,
     /* 2216056 */   GIR_EraseRootFromParent_Done,
     /* 2216057 */ // Label 30838: @2216057
     /* 2216057 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2216111), // Rule ID 57679 //
     /* 2216062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2216065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2216068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216076 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2216079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216095 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216098 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216110 */   // GIR_Coverage, 57679,
     /* 2216110 */   GIR_EraseRootFromParent_Done,
     /* 2216111 */ // Label 30839: @2216111
     /* 2216111 */ GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2216165), // Rule ID 57862 //
     /* 2216116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2216119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2216122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216130 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216130 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2216133 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216137 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216142 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2216147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216149 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216152 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216164 */   // GIR_Coverage, 57862,
     /* 2216164 */   GIR_EraseRootFromParent_Done,
     /* 2216165 */ // Label 30840: @2216165
     /* 2216165 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2216219), // Rule ID 57863 //
     /* 2216170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2216173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2216176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216184 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2216187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2216201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216203 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216218 */   // GIR_Coverage, 57863,
     /* 2216218 */   GIR_EraseRootFromParent_Done,
     /* 2216219 */ // Label 30841: @2216219
     /* 2216219 */ GIM_Reject,
     /* 2216220 */ // Label 30750: @2216220
     /* 2216220 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2216323),
     /* 2216225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216236 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2216279), // Rule ID 58054 //
     /* 2216241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2216244 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2216247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2216261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216278 */     // GIR_Coverage, 58054,
     /* 2216278 */     GIR_EraseRootFromParent_Done,
     /* 2216279 */   // Label 30843: @2216279
     /* 2216279 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2216322), // Rule ID 58055 //
     /* 2216284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2216287 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2216290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2216304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216321 */     // GIR_Coverage, 58055,
     /* 2216321 */     GIR_EraseRootFromParent_Done,
     /* 2216322 */   // Label 30844: @2216322
     /* 2216322 */   GIM_Reject,
     /* 2216323 */ // Label 30842: @2216323
     /* 2216323 */ GIM_Reject,
     /* 2216324 */ // Label 30751: @2216324
     /* 2216324 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2216378), // Rule ID 57650 //
     /* 2216329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2216332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216343 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2216360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216377 */   // GIR_Coverage, 57650,
     /* 2216377 */   GIR_EraseRootFromParent_Done,
     /* 2216378 */ // Label 30845: @2216378
     /* 2216378 */ GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2216432), // Rule ID 57651 //
     /* 2216383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2216386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216397 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2216414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216431 */   // GIR_Coverage, 57651,
     /* 2216431 */   GIR_EraseRootFromParent_Done,
     /* 2216432 */ // Label 30846: @2216432
     /* 2216432 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2216486), // Rule ID 58078 //
     /* 2216437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2216440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216451 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216451 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216454 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216458 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216463 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2216468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216470 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216473 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216485 */   // GIR_Coverage, 58078,
     /* 2216485 */   GIR_EraseRootFromParent_Done,
     /* 2216486 */ // Label 30847: @2216486
     /* 2216486 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2216540), // Rule ID 58079 //
     /* 2216491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2216494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216505 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216505 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2216508 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216512 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216517 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2216522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216524 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216527 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216539 */   // GIR_Coverage, 58079,
     /* 2216539 */   GIR_EraseRootFromParent_Done,
     /* 2216540 */ // Label 30848: @2216540
     /* 2216540 */ GIM_Reject,
     /* 2216541 */ // Label 30752: @2216541
     /* 2216541 */ GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2216595), // Rule ID 57666 //
     /* 2216546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2216549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216560 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216594 */   // GIR_Coverage, 57666,
     /* 2216594 */   GIR_EraseRootFromParent_Done,
     /* 2216595 */ // Label 30849: @2216595
     /* 2216595 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2216649), // Rule ID 57667 //
     /* 2216600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2216603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2216606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216614 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216648 */   // GIR_Coverage, 57667,
     /* 2216648 */   GIR_EraseRootFromParent_Done,
     /* 2216649 */ // Label 30850: @2216649
     /* 2216649 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2216703), // Rule ID 57846 //
     /* 2216654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2216657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216668 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216668 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216671 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216675 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2216685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216702 */   // GIR_Coverage, 57846,
     /* 2216702 */   GIR_EraseRootFromParent_Done,
     /* 2216703 */ // Label 30851: @2216703
     /* 2216703 */ GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2216757), // Rule ID 57847 //
     /* 2216708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2216711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2216714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216722 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2216725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2216739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216756 */   // GIR_Coverage, 57847,
     /* 2216756 */   GIR_EraseRootFromParent_Done,
     /* 2216757 */ // Label 30852: @2216757
     /* 2216757 */ GIM_Reject,
     /* 2216758 */ // Label 30753: @2216758
     /* 2216758 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2216861),
     /* 2216763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2216766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216774 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2216817), // Rule ID 58058 //
     /* 2216779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2216782 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2216799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216816 */     // GIR_Coverage, 58058,
     /* 2216816 */     GIR_EraseRootFromParent_Done,
     /* 2216817 */   // Label 30854: @2216817
     /* 2216817 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2216860), // Rule ID 58059 //
     /* 2216822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2216825 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2216828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2216842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216859 */     // GIR_Coverage, 58059,
     /* 2216859 */     GIR_EraseRootFromParent_Done,
     /* 2216860 */   // Label 30855: @2216860
     /* 2216860 */   GIM_Reject,
     /* 2216861 */ // Label 30853: @2216861
     /* 2216861 */ GIM_Reject,
     /* 2216862 */ // Label 30754: @2216862
     /* 2216862 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2216965),
     /* 2216867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2216870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216878 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2216921), // Rule ID 57654 //
     /* 2216883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2216886 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216920 */     // GIR_Coverage, 57654,
     /* 2216920 */     GIR_EraseRootFromParent_Done,
     /* 2216921 */   // Label 30857: @2216921
     /* 2216921 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2216964), // Rule ID 57655 //
     /* 2216926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2216929 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2216932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2216946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216963 */     // GIR_Coverage, 57655,
     /* 2216963 */     GIR_EraseRootFromParent_Done,
     /* 2216964 */   // Label 30858: @2216964
     /* 2216964 */   GIM_Reject,
     /* 2216965 */ // Label 30856: @2216965
     /* 2216965 */ GIM_Reject,
     /* 2216966 */ // Label 30755: @2216966
     /* 2216966 */ GIM_Reject,
     /* 2216967 */ // Label 67: @2216967
     /* 2216967 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30877*/ GIMT_Encode4(2222252),
     /* 2216978 */ /*GILLT_s16*//*Label 30859*/ GIMT_Encode4(2217098),
     /* 2216982 */ /*GILLT_s32*//*Label 30860*/ GIMT_Encode4(2217359),
     /* 2216986 */ /*GILLT_s64*//*Label 30861*/ GIMT_Encode4(2217620), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2216998 */ /*GILLT_nxv1s16*//*Label 30862*/ GIMT_Encode4(2217881),
     /* 2217002 */ /*GILLT_nxv1s32*//*Label 30863*/ GIMT_Encode4(2218218),
     /* 2217006 */ /*GILLT_nxv1s64*//*Label 30864*/ GIMT_Encode4(2218555), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2217018 */ /*GILLT_nxv2s16*//*Label 30865*/ GIMT_Encode4(2218778),
     /* 2217022 */ /*GILLT_nxv2s32*//*Label 30866*/ GIMT_Encode4(2219115),
     /* 2217026 */ /*GILLT_nxv2s64*//*Label 30867*/ GIMT_Encode4(2219452), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2217038 */ /*GILLT_nxv4s16*//*Label 30868*/ GIMT_Encode4(2219675),
     /* 2217042 */ /*GILLT_nxv4s32*//*Label 30869*/ GIMT_Encode4(2220012),
     /* 2217046 */ /*GILLT_nxv4s64*//*Label 30870*/ GIMT_Encode4(2220349), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2217058 */ /*GILLT_nxv8s16*//*Label 30871*/ GIMT_Encode4(2220572),
     /* 2217062 */ /*GILLT_nxv8s32*//*Label 30872*/ GIMT_Encode4(2220909),
     /* 2217066 */ /*GILLT_nxv8s64*//*Label 30873*/ GIMT_Encode4(2221246), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2217078 */ /*GILLT_nxv16s16*//*Label 30874*/ GIMT_Encode4(2221469),
     /* 2217082 */ /*GILLT_nxv16s32*//*Label 30875*/ GIMT_Encode4(2221806), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2217094 */ /*GILLT_nxv32s16*//*Label 30876*/ GIMT_Encode4(2222029),
     /* 2217098 */ // Label 30859: @2217098
     /* 2217098 */ GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2217135), // Rule ID 2119 //
     /* 2217103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2217106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2217113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217120 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2217123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217134 */   // GIR_Coverage, 2119,
     /* 2217134 */   GIR_EraseRootFromParent_Done,
     /* 2217135 */ // Label 30878: @2217135
     /* 2217135 */ GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2217172), // Rule ID 2145 //
     /* 2217140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2217143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2217150 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217157 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2217160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217171 */   // GIR_Coverage, 2145,
     /* 2217171 */   GIR_EraseRootFromParent_Done,
     /* 2217172 */ // Label 30879: @2217172
     /* 2217172 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2217203), // Rule ID 2068 //
     /* 2217177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2217180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2217187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217191 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2217191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2217194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217202 */   // GIR_Coverage, 2068,
     /* 2217202 */   GIR_EraseRootFromParent_Done,
     /* 2217203 */ // Label 30880: @2217203
     /* 2217203 */ GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2217234), // Rule ID 2069 //
     /* 2217208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2217211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2217218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217222 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2217222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2217225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217233 */   // GIR_Coverage, 2069,
     /* 2217233 */   GIR_EraseRootFromParent_Done,
     /* 2217234 */ // Label 30881: @2217234
     /* 2217234 */ GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2217265), // Rule ID 2094 //
     /* 2217239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2217242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2217249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217253 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2217253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2217256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217264 */   // GIR_Coverage, 2094,
     /* 2217264 */   GIR_EraseRootFromParent_Done,
     /* 2217265 */ // Label 30882: @2217265
     /* 2217265 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2217296), // Rule ID 2095 //
     /* 2217270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2217273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2217280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217284 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2217284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2217287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217295 */   // GIR_Coverage, 2095,
     /* 2217295 */   GIR_EraseRootFromParent_Done,
     /* 2217296 */ // Label 30883: @2217296
     /* 2217296 */ GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2217327), // Rule ID 2123 //
     /* 2217301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2217304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2217311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217315 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2217318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217326 */   // GIR_Coverage, 2123,
     /* 2217326 */   GIR_EraseRootFromParent_Done,
     /* 2217327 */ // Label 30884: @2217327
     /* 2217327 */ GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2217358), // Rule ID 2149 //
     /* 2217332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2217335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2217342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217346 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2217349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217357 */   // GIR_Coverage, 2149,
     /* 2217357 */   GIR_EraseRootFromParent_Done,
     /* 2217358 */ // Label 30885: @2217358
     /* 2217358 */ GIM_Reject,
     /* 2217359 */ // Label 30860: @2217359
     /* 2217359 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2217396), // Rule ID 1385 //
     /* 2217364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2217367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2217374 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217381 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2217384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217386 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217395 */   // GIR_Coverage, 1385,
     /* 2217395 */   GIR_EraseRootFromParent_Done,
     /* 2217396 */ // Label 30886: @2217396
     /* 2217396 */ GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2217433), // Rule ID 1413 //
     /* 2217401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2217404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2217411 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217418 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2217421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217432 */   // GIR_Coverage, 1413,
     /* 2217432 */   GIR_EraseRootFromParent_Done,
     /* 2217433 */ // Label 30887: @2217433
     /* 2217433 */ GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2217464), // Rule ID 1332 //
     /* 2217438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2217441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2217448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217452 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2217452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2217455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217463 */   // GIR_Coverage, 1332,
     /* 2217463 */   GIR_EraseRootFromParent_Done,
     /* 2217464 */ // Label 30888: @2217464
     /* 2217464 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2217495), // Rule ID 1333 //
     /* 2217469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2217472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2217479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217483 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2217483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2217486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217488 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217494 */   // GIR_Coverage, 1333,
     /* 2217494 */   GIR_EraseRootFromParent_Done,
     /* 2217495 */ // Label 30889: @2217495
     /* 2217495 */ GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2217526), // Rule ID 1358 //
     /* 2217500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2217503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2217510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217514 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2217514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2217517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217519 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217525 */   // GIR_Coverage, 1358,
     /* 2217525 */   GIR_EraseRootFromParent_Done,
     /* 2217526 */ // Label 30890: @2217526
     /* 2217526 */ GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2217557), // Rule ID 1359 //
     /* 2217531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2217534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2217541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217545 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2217545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2217548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217556 */   // GIR_Coverage, 1359,
     /* 2217556 */   GIR_EraseRootFromParent_Done,
     /* 2217557 */ // Label 30891: @2217557
     /* 2217557 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2217588), // Rule ID 1389 //
     /* 2217562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2217565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2217572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217576 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2217579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217581 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217587 */   // GIR_Coverage, 1389,
     /* 2217587 */   GIR_EraseRootFromParent_Done,
     /* 2217588 */ // Label 30892: @2217588
     /* 2217588 */ GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2217619), // Rule ID 1417 //
     /* 2217593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2217596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2217603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217607 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2217610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217612 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217618 */   // GIR_Coverage, 1417,
     /* 2217618 */   GIR_EraseRootFromParent_Done,
     /* 2217619 */ // Label 30893: @2217619
     /* 2217619 */ GIM_Reject,
     /* 2217620 */ // Label 30861: @2217620
     /* 2217620 */ GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2217657), // Rule ID 1765 //
     /* 2217625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2217628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2217635 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217642 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2217642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2217645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217647 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217656 */   // GIR_Coverage, 1765,
     /* 2217656 */   GIR_EraseRootFromParent_Done,
     /* 2217657 */ // Label 30894: @2217657
     /* 2217657 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2217694), // Rule ID 1793 //
     /* 2217662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2217665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217672 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2217679 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2217679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2217682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2217689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217693 */   // GIR_Coverage, 1793,
     /* 2217693 */   GIR_EraseRootFromParent_Done,
     /* 2217694 */ // Label 30895: @2217694
     /* 2217694 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2217725), // Rule ID 1726 //
     /* 2217699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2217702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2217709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217713 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2217713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2217716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217718 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217724 */   // GIR_Coverage, 1726,
     /* 2217724 */   GIR_EraseRootFromParent_Done,
     /* 2217725 */ // Label 30896: @2217725
     /* 2217725 */ GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2217756), // Rule ID 1727 //
     /* 2217730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2217733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2217740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217744 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2217744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2217747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217755 */   // GIR_Coverage, 1727,
     /* 2217755 */   GIR_EraseRootFromParent_Done,
     /* 2217756 */ // Label 30897: @2217756
     /* 2217756 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2217787), // Rule ID 1752 //
     /* 2217761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2217764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2217771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217775 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2217775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2217778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217780 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217786 */   // GIR_Coverage, 1752,
     /* 2217786 */   GIR_EraseRootFromParent_Done,
     /* 2217787 */ // Label 30898: @2217787
     /* 2217787 */ GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2217818), // Rule ID 1753 //
     /* 2217792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2217795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2217802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217806 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2217806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2217809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217811 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2217816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217817 */   // GIR_Coverage, 1753,
     /* 2217817 */   GIR_EraseRootFromParent_Done,
     /* 2217818 */ // Label 30899: @2217818
     /* 2217818 */ GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2217849), // Rule ID 1783 //
     /* 2217823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2217826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2217833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217837 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2217840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217848 */   // GIR_Coverage, 1783,
     /* 2217848 */   GIR_EraseRootFromParent_Done,
     /* 2217849 */ // Label 30900: @2217849
     /* 2217849 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2217880), // Rule ID 1811 //
     /* 2217854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2217857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2217860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2217868 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2217868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2217871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217879 */   // GIR_Coverage, 1811,
     /* 2217879 */   GIR_EraseRootFromParent_Done,
     /* 2217880 */ // Label 30901: @2217880
     /* 2217880 */ GIM_Reject,
     /* 2217881 */ // Label 30862: @2217881
     /* 2217881 */ GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2217938), // Rule ID 45482 //
     /* 2217886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2217889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2217892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217900 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217912 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2217917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217919 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217937 */   // GIR_Coverage, 45482,
     /* 2217937 */   GIR_EraseRootFromParent_Done,
     /* 2217938 */ // Label 30902: @2217938
     /* 2217938 */ GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2217995), // Rule ID 45483 //
     /* 2217943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2217946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2217949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217957 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2217960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2217974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2217984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217994 */   // GIR_Coverage, 45483,
     /* 2217994 */   GIR_EraseRootFromParent_Done,
     /* 2217995 */ // Label 30903: @2217995
     /* 2217995 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2218049), // Rule ID 45490 //
     /* 2218000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2218003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2218006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218014 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2218031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218048 */   // GIR_Coverage, 45490,
     /* 2218048 */   GIR_EraseRootFromParent_Done,
     /* 2218049 */ // Label 30904: @2218049
     /* 2218049 */ GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2218103), // Rule ID 45491 //
     /* 2218054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2218057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2218060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218068 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2218085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218102 */   // GIR_Coverage, 45491,
     /* 2218102 */   GIR_EraseRootFromParent_Done,
     /* 2218103 */ // Label 30905: @2218103
     /* 2218103 */ GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2218160), // Rule ID 45498 //
     /* 2218108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2218111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218122 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2218139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218159 */   // GIR_Coverage, 45498,
     /* 2218159 */   GIR_EraseRootFromParent_Done,
     /* 2218160 */ // Label 30906: @2218160
     /* 2218160 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2218217), // Rule ID 45499 //
     /* 2218165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2218168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218179 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2218196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218216 */   // GIR_Coverage, 45499,
     /* 2218216 */   GIR_EraseRootFromParent_Done,
     /* 2218217 */ // Label 30907: @2218217
     /* 2218217 */ GIM_Reject,
     /* 2218218 */ // Label 30863: @2218218
     /* 2218218 */ GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2218275), // Rule ID 57686 //
     /* 2218223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2218226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218237 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2218254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218274 */   // GIR_Coverage, 57686,
     /* 2218274 */   GIR_EraseRootFromParent_Done,
     /* 2218275 */ // Label 30908: @2218275
     /* 2218275 */ GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2218332), // Rule ID 57687 //
     /* 2218280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2218283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218294 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2218311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218331 */   // GIR_Coverage, 57687,
     /* 2218331 */   GIR_EraseRootFromParent_Done,
     /* 2218332 */ // Label 30909: @2218332
     /* 2218332 */ GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2218386), // Rule ID 57886 //
     /* 2218337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2218340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2218343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218351 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2218368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218385 */   // GIR_Coverage, 57886,
     /* 2218385 */   GIR_EraseRootFromParent_Done,
     /* 2218386 */ // Label 30910: @2218386
     /* 2218386 */ GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2218440), // Rule ID 57887 //
     /* 2218391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2218394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2218397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218405 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2218422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218439 */   // GIR_Coverage, 57887,
     /* 2218439 */   GIR_EraseRootFromParent_Done,
     /* 2218440 */ // Label 30911: @2218440
     /* 2218440 */ GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2218497), // Rule ID 58114 //
     /* 2218445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2218448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218459 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2218476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218496 */   // GIR_Coverage, 58114,
     /* 2218496 */   GIR_EraseRootFromParent_Done,
     /* 2218497 */ // Label 30912: @2218497
     /* 2218497 */ GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2218554), // Rule ID 58115 //
     /* 2218502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2218505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218516 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2218533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218553 */   // GIR_Coverage, 58115,
     /* 2218553 */   GIR_EraseRootFromParent_Done,
     /* 2218554 */ // Label 30913: @2218554
     /* 2218554 */ GIM_Reject,
     /* 2218555 */ // Label 30864: @2218555
     /* 2218555 */ GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2218612), // Rule ID 57698 //
     /* 2218560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2218563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218574 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2218591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218611 */   // GIR_Coverage, 57698,
     /* 2218611 */   GIR_EraseRootFromParent_Done,
     /* 2218612 */ // Label 30914: @2218612
     /* 2218612 */ GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2218669), // Rule ID 57699 //
     /* 2218617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2218620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218631 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2218648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218668 */   // GIR_Coverage, 57699,
     /* 2218668 */   GIR_EraseRootFromParent_Done,
     /* 2218669 */ // Label 30915: @2218669
     /* 2218669 */ GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2218723), // Rule ID 57906 //
     /* 2218674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2218677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218688 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2218705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218722 */   // GIR_Coverage, 57906,
     /* 2218722 */   GIR_EraseRootFromParent_Done,
     /* 2218723 */ // Label 30916: @2218723
     /* 2218723 */ GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2218777), // Rule ID 57907 //
     /* 2218728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2218731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218742 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2218759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218761 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218764 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218776 */   // GIR_Coverage, 57907,
     /* 2218776 */   GIR_EraseRootFromParent_Done,
     /* 2218777 */ // Label 30917: @2218777
     /* 2218777 */ GIM_Reject,
     /* 2218778 */ // Label 30865: @2218778
     /* 2218778 */ GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2218835), // Rule ID 57682 //
     /* 2218783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2218786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2218789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218797 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218797 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218800 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218804 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218809 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2218814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218816 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218819 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218834 */   // GIR_Coverage, 57682,
     /* 2218834 */   GIR_EraseRootFromParent_Done,
     /* 2218835 */ // Label 30918: @2218835
     /* 2218835 */ GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2218892), // Rule ID 57683 //
     /* 2218840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2218843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2218846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218854 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2218871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218891 */   // GIR_Coverage, 57683,
     /* 2218891 */   GIR_EraseRootFromParent_Done,
     /* 2218892 */ // Label 30919: @2218892
     /* 2218892 */ GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2218946), // Rule ID 57866 //
     /* 2218897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2218900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2218903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218911 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2218928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218945 */   // GIR_Coverage, 57866,
     /* 2218945 */   GIR_EraseRootFromParent_Done,
     /* 2218946 */ // Label 30920: @2218946
     /* 2218946 */ GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2219000), // Rule ID 57867 //
     /* 2218951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2218954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2218957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218965 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2218982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218999 */   // GIR_Coverage, 57867,
     /* 2218999 */   GIR_EraseRootFromParent_Done,
     /* 2219000 */ // Label 30921: @2219000
     /* 2219000 */ GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2219057), // Rule ID 58098 //
     /* 2219005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2219008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219019 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219019 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2219022 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219026 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2219036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219056 */   // GIR_Coverage, 58098,
     /* 2219056 */   GIR_EraseRootFromParent_Done,
     /* 2219057 */ // Label 30922: @2219057
     /* 2219057 */ GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2219114), // Rule ID 58099 //
     /* 2219062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2219065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219076 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2219079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2219093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219095 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219098 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219113 */   // GIR_Coverage, 58099,
     /* 2219113 */   GIR_EraseRootFromParent_Done,
     /* 2219114 */ // Label 30923: @2219114
     /* 2219114 */ GIM_Reject,
     /* 2219115 */ // Label 30866: @2219115
     /* 2219115 */ GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2219172), // Rule ID 57694 //
     /* 2219120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2219123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219134 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219134 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219137 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219141 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219146 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2219151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219153 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219156 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219171 */   // GIR_Coverage, 57694,
     /* 2219171 */   GIR_EraseRootFromParent_Done,
     /* 2219172 */ // Label 30924: @2219172
     /* 2219172 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2219229), // Rule ID 57695 //
     /* 2219177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2219180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219191 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2219208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219213 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219228 */   // GIR_Coverage, 57695,
     /* 2219228 */   GIR_EraseRootFromParent_Done,
     /* 2219229 */ // Label 30925: @2219229
     /* 2219229 */ GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2219283), // Rule ID 57890 //
     /* 2219234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2219237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2219240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219248 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2219265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219270 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219282 */   // GIR_Coverage, 57890,
     /* 2219282 */   GIR_EraseRootFromParent_Done,
     /* 2219283 */ // Label 30926: @2219283
     /* 2219283 */ GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2219337), // Rule ID 57891 //
     /* 2219288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2219291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2219294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219302 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219302 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219305 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219309 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219314 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2219319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219321 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219324 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219336 */   // GIR_Coverage, 57891,
     /* 2219336 */   GIR_EraseRootFromParent_Done,
     /* 2219337 */ // Label 30927: @2219337
     /* 2219337 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2219394), // Rule ID 58118 //
     /* 2219342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2219345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2219348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219356 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2219373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219393 */   // GIR_Coverage, 58118,
     /* 2219393 */   GIR_EraseRootFromParent_Done,
     /* 2219394 */ // Label 30928: @2219394
     /* 2219394 */ GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2219451), // Rule ID 58119 //
     /* 2219399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2219402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2219405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219413 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2219430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219450 */   // GIR_Coverage, 58119,
     /* 2219450 */   GIR_EraseRootFromParent_Done,
     /* 2219451 */ // Label 30929: @2219451
     /* 2219451 */ GIM_Reject,
     /* 2219452 */ // Label 30867: @2219452
     /* 2219452 */ GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2219509), // Rule ID 57726 //
     /* 2219457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2219460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2219463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219471 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2219488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219508 */   // GIR_Coverage, 57726,
     /* 2219508 */   GIR_EraseRootFromParent_Done,
     /* 2219509 */ // Label 30930: @2219509
     /* 2219509 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2219566), // Rule ID 57727 //
     /* 2219514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2219517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2219520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219528 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2219545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219565 */   // GIR_Coverage, 57727,
     /* 2219565 */   GIR_EraseRootFromParent_Done,
     /* 2219566 */ // Label 30931: @2219566
     /* 2219566 */ GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2219620), // Rule ID 57910 //
     /* 2219571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2219574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219585 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219585 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219588 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219592 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219597 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2219602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219604 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219607 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219619 */   // GIR_Coverage, 57910,
     /* 2219619 */   GIR_EraseRootFromParent_Done,
     /* 2219620 */ // Label 30932: @2219620
     /* 2219620 */ GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2219674), // Rule ID 57911 //
     /* 2219625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2219628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2219631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219639 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219639 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219642 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219646 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219651 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2219656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219658 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219661 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219673 */   // GIR_Coverage, 57911,
     /* 2219673 */   GIR_EraseRootFromParent_Done,
     /* 2219674 */ // Label 30933: @2219674
     /* 2219674 */ GIM_Reject,
     /* 2219675 */ // Label 30868: @2219675
     /* 2219675 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2219732), // Rule ID 57690 //
     /* 2219680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2219683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2219686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219694 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219694 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219697 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219701 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219706 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2219711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219713 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219731 */   // GIR_Coverage, 57690,
     /* 2219731 */   GIR_EraseRootFromParent_Done,
     /* 2219732 */ // Label 30934: @2219732
     /* 2219732 */ GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2219789), // Rule ID 57691 //
     /* 2219737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2219740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2219743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219751 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2219768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219788 */   // GIR_Coverage, 57691,
     /* 2219788 */   GIR_EraseRootFromParent_Done,
     /* 2219789 */ // Label 30935: @2219789
     /* 2219789 */ GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2219843), // Rule ID 57870 //
     /* 2219794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2219797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2219800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219808 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2219825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219842 */   // GIR_Coverage, 57870,
     /* 2219842 */   GIR_EraseRootFromParent_Done,
     /* 2219843 */ // Label 30936: @2219843
     /* 2219843 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2219897), // Rule ID 57871 //
     /* 2219848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2219851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2219854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219862 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2219879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219896 */   // GIR_Coverage, 57871,
     /* 2219896 */   GIR_EraseRootFromParent_Done,
     /* 2219897 */ // Label 30937: @2219897
     /* 2219897 */ GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2219954), // Rule ID 58102 //
     /* 2219902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2219905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219916 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2219933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219953 */   // GIR_Coverage, 58102,
     /* 2219953 */   GIR_EraseRootFromParent_Done,
     /* 2219954 */ // Label 30938: @2219954
     /* 2219954 */ GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2220011), // Rule ID 58103 //
     /* 2219959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2219962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219973 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2219990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220010 */   // GIR_Coverage, 58103,
     /* 2220010 */   GIR_EraseRootFromParent_Done,
     /* 2220011 */ // Label 30939: @2220011
     /* 2220011 */ GIM_Reject,
     /* 2220012 */ // Label 30869: @2220012
     /* 2220012 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2220069), // Rule ID 57714 //
     /* 2220017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2220020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220031 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2220048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220053 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220068 */   // GIR_Coverage, 57714,
     /* 2220068 */   GIR_EraseRootFromParent_Done,
     /* 2220069 */ // Label 30940: @2220069
     /* 2220069 */ GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2220126), // Rule ID 57715 //
     /* 2220074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2220077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220088 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2220105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220110 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220125 */   // GIR_Coverage, 57715,
     /* 2220125 */   GIR_EraseRootFromParent_Done,
     /* 2220126 */ // Label 30941: @2220126
     /* 2220126 */ GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2220180), // Rule ID 57894 //
     /* 2220131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2220134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220145 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2220162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220179 */   // GIR_Coverage, 57894,
     /* 2220179 */   GIR_EraseRootFromParent_Done,
     /* 2220180 */ // Label 30942: @2220180
     /* 2220180 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2220234), // Rule ID 57895 //
     /* 2220185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2220188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2220191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220199 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2220216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220233 */   // GIR_Coverage, 57895,
     /* 2220233 */   GIR_EraseRootFromParent_Done,
     /* 2220234 */ // Label 30943: @2220234
     /* 2220234 */ GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2220291), // Rule ID 58122 //
     /* 2220239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2220242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220253 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2220270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220290 */   // GIR_Coverage, 58122,
     /* 2220290 */   GIR_EraseRootFromParent_Done,
     /* 2220291 */ // Label 30944: @2220291
     /* 2220291 */ GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2220348), // Rule ID 58123 //
     /* 2220296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2220299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220310 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2220313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2220327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220347 */   // GIR_Coverage, 58123,
     /* 2220347 */   GIR_EraseRootFromParent_Done,
     /* 2220348 */ // Label 30945: @2220348
     /* 2220348 */ GIM_Reject,
     /* 2220349 */ // Label 30870: @2220349
     /* 2220349 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2220406), // Rule ID 57730 //
     /* 2220354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2220357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220368 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220368 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220371 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220375 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220380 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2220385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220387 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220405 */   // GIR_Coverage, 57730,
     /* 2220405 */   GIR_EraseRootFromParent_Done,
     /* 2220406 */ // Label 30946: @2220406
     /* 2220406 */ GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2220463), // Rule ID 57731 //
     /* 2220411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2220414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2220417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220425 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2220442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220462 */   // GIR_Coverage, 57731,
     /* 2220462 */   GIR_EraseRootFromParent_Done,
     /* 2220463 */ // Label 30947: @2220463
     /* 2220463 */ GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2220517), // Rule ID 57914 //
     /* 2220468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2220471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220482 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2220499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220516 */   // GIR_Coverage, 57914,
     /* 2220516 */   GIR_EraseRootFromParent_Done,
     /* 2220517 */ // Label 30948: @2220517
     /* 2220517 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2220571), // Rule ID 57915 //
     /* 2220522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2220525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2220528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220536 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220536 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2220539 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220543 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2220553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220558 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220570 */   // GIR_Coverage, 57915,
     /* 2220570 */   GIR_EraseRootFromParent_Done,
     /* 2220571 */ // Label 30949: @2220571
     /* 2220571 */ GIM_Reject,
     /* 2220572 */ // Label 30871: @2220572
     /* 2220572 */ GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2220629), // Rule ID 57702 //
     /* 2220577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2220580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220591 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220591 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220594 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220598 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2220608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220628 */   // GIR_Coverage, 57702,
     /* 2220628 */   GIR_EraseRootFromParent_Done,
     /* 2220629 */ // Label 30950: @2220629
     /* 2220629 */ GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2220686), // Rule ID 57703 //
     /* 2220634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2220637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2220640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220648 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2220665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220685 */   // GIR_Coverage, 57703,
     /* 2220685 */   GIR_EraseRootFromParent_Done,
     /* 2220686 */ // Label 30951: @2220686
     /* 2220686 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2220740), // Rule ID 57874 //
     /* 2220691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2220694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2220697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220705 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2220722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220739 */   // GIR_Coverage, 57874,
     /* 2220739 */   GIR_EraseRootFromParent_Done,
     /* 2220740 */ // Label 30952: @2220740
     /* 2220740 */ GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2220794), // Rule ID 57875 //
     /* 2220745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2220748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2220751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220759 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2220776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220793 */   // GIR_Coverage, 57875,
     /* 2220793 */   GIR_EraseRootFromParent_Done,
     /* 2220794 */ // Label 30953: @2220794
     /* 2220794 */ GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2220851), // Rule ID 58106 //
     /* 2220799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2220802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220813 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2220830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220850 */   // GIR_Coverage, 58106,
     /* 2220850 */   GIR_EraseRootFromParent_Done,
     /* 2220851 */ // Label 30954: @2220851
     /* 2220851 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2220908), // Rule ID 58107 //
     /* 2220856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2220859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220870 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2220873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2220887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220892 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220907 */   // GIR_Coverage, 58107,
     /* 2220907 */   GIR_EraseRootFromParent_Done,
     /* 2220908 */ // Label 30955: @2220908
     /* 2220908 */ GIM_Reject,
     /* 2220909 */ // Label 30872: @2220909
     /* 2220909 */ GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2220966), // Rule ID 57718 //
     /* 2220914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2220917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220928 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2220945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2220955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220965 */   // GIR_Coverage, 57718,
     /* 2220965 */   GIR_EraseRootFromParent_Done,
     /* 2220966 */ // Label 30956: @2220966
     /* 2220966 */ GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2221023), // Rule ID 57719 //
     /* 2220971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2220974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2220977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220985 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2220988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2221002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221022 */   // GIR_Coverage, 57719,
     /* 2221022 */   GIR_EraseRootFromParent_Done,
     /* 2221023 */ // Label 30957: @2221023
     /* 2221023 */ GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2221077), // Rule ID 57898 //
     /* 2221028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2221031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2221034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221042 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2221059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221076 */   // GIR_Coverage, 57898,
     /* 2221076 */   GIR_EraseRootFromParent_Done,
     /* 2221077 */ // Label 30958: @2221077
     /* 2221077 */ GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2221131), // Rule ID 57899 //
     /* 2221082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2221085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2221088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221096 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2221113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221130 */   // GIR_Coverage, 57899,
     /* 2221130 */   GIR_EraseRootFromParent_Done,
     /* 2221131 */ // Label 30959: @2221131
     /* 2221131 */ GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2221188), // Rule ID 58126 //
     /* 2221136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2221139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221150 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2221167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221187 */   // GIR_Coverage, 58126,
     /* 2221187 */   GIR_EraseRootFromParent_Done,
     /* 2221188 */ // Label 30960: @2221188
     /* 2221188 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2221245), // Rule ID 58127 //
     /* 2221193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2221196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221207 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221207 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2221210 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221214 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2221224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221244 */   // GIR_Coverage, 58127,
     /* 2221244 */   GIR_EraseRootFromParent_Done,
     /* 2221245 */ // Label 30961: @2221245
     /* 2221245 */ GIM_Reject,
     /* 2221246 */ // Label 30873: @2221246
     /* 2221246 */ GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2221303), // Rule ID 57734 //
     /* 2221251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2221254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221265 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221265 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221268 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221272 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221277 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2221282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221284 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221287 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221302 */   // GIR_Coverage, 57734,
     /* 2221302 */   GIR_EraseRootFromParent_Done,
     /* 2221303 */ // Label 30962: @2221303
     /* 2221303 */ GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2221360), // Rule ID 57735 //
     /* 2221308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2221311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2221314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221322 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221322 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221325 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221329 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221334 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2221339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221359 */   // GIR_Coverage, 57735,
     /* 2221359 */   GIR_EraseRootFromParent_Done,
     /* 2221360 */ // Label 30963: @2221360
     /* 2221360 */ GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2221414), // Rule ID 57918 //
     /* 2221365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2221368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221379 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2221396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221413 */   // GIR_Coverage, 57918,
     /* 2221413 */   GIR_EraseRootFromParent_Done,
     /* 2221414 */ // Label 30964: @2221414
     /* 2221414 */ GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2221468), // Rule ID 57919 //
     /* 2221419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2221422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2221425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221433 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2221436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221445 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2221450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221452 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221455 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221467 */   // GIR_Coverage, 57919,
     /* 2221467 */   GIR_EraseRootFromParent_Done,
     /* 2221468 */ // Label 30965: @2221468
     /* 2221468 */ GIM_Reject,
     /* 2221469 */ // Label 30874: @2221469
     /* 2221469 */ GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2221526), // Rule ID 57706 //
     /* 2221474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2221477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221488 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2221505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221525 */   // GIR_Coverage, 57706,
     /* 2221525 */   GIR_EraseRootFromParent_Done,
     /* 2221526 */ // Label 30966: @2221526
     /* 2221526 */ GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2221583), // Rule ID 57707 //
     /* 2221531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2221534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221545 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2221562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221582 */   // GIR_Coverage, 57707,
     /* 2221582 */   GIR_EraseRootFromParent_Done,
     /* 2221583 */ // Label 30967: @2221583
     /* 2221583 */ GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2221637), // Rule ID 57878 //
     /* 2221588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2221591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221602 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221602 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221605 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221609 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2221619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221624 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221636 */   // GIR_Coverage, 57878,
     /* 2221636 */   GIR_EraseRootFromParent_Done,
     /* 2221637 */ // Label 30968: @2221637
     /* 2221637 */ GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2221691), // Rule ID 57879 //
     /* 2221642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2221645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2221648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221656 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221668 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2221673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221675 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221690 */   // GIR_Coverage, 57879,
     /* 2221690 */   GIR_EraseRootFromParent_Done,
     /* 2221691 */ // Label 30969: @2221691
     /* 2221691 */ GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2221748), // Rule ID 58110 //
     /* 2221696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2221699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221710 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221722 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2221727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221747 */   // GIR_Coverage, 58110,
     /* 2221747 */   GIR_EraseRootFromParent_Done,
     /* 2221748 */ // Label 30970: @2221748
     /* 2221748 */ GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2221805), // Rule ID 58111 //
     /* 2221753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2221756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221767 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221767 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2221770 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221774 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221779 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2221784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221786 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221789 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221804 */   // GIR_Coverage, 58111,
     /* 2221804 */   GIR_EraseRootFromParent_Done,
     /* 2221805 */ // Label 30971: @2221805
     /* 2221805 */ GIM_Reject,
     /* 2221806 */ // Label 30875: @2221806
     /* 2221806 */ GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2221863), // Rule ID 57722 //
     /* 2221811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2221814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221825 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2221842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221862 */   // GIR_Coverage, 57722,
     /* 2221862 */   GIR_EraseRootFromParent_Done,
     /* 2221863 */ // Label 30972: @2221863
     /* 2221863 */ GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2221920), // Rule ID 57723 //
     /* 2221868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2221871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2221874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221882 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2221899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2221909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221919 */   // GIR_Coverage, 57723,
     /* 2221919 */   GIR_EraseRootFromParent_Done,
     /* 2221920 */ // Label 30973: @2221920
     /* 2221920 */ GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2221974), // Rule ID 57902 //
     /* 2221925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2221928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221939 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221939 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221942 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221946 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2221956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221961 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221973 */   // GIR_Coverage, 57902,
     /* 2221973 */   GIR_EraseRootFromParent_Done,
     /* 2221974 */ // Label 30974: @2221974
     /* 2221974 */ GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2222028), // Rule ID 57903 //
     /* 2221979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2221982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2221985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221993 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221993 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2221996 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222000 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222005 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2222010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222012 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222015 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222027 */   // GIR_Coverage, 57903,
     /* 2222027 */   GIR_EraseRootFromParent_Done,
     /* 2222028 */ // Label 30975: @2222028
     /* 2222028 */ GIM_Reject,
     /* 2222029 */ // Label 30876: @2222029
     /* 2222029 */ GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2222086), // Rule ID 57710 //
     /* 2222034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2222037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2222040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222048 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222048 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222051 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222055 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2222065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222070 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222085 */   // GIR_Coverage, 57710,
     /* 2222085 */   GIR_EraseRootFromParent_Done,
     /* 2222086 */ // Label 30976: @2222086
     /* 2222086 */ GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2222143), // Rule ID 57711 //
     /* 2222091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2222094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2222097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222105 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2222122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222142 */   // GIR_Coverage, 57711,
     /* 2222142 */   GIR_EraseRootFromParent_Done,
     /* 2222143 */ // Label 30977: @2222143
     /* 2222143 */ GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2222197), // Rule ID 57882 //
     /* 2222148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2222151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222162 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2222179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222196 */   // GIR_Coverage, 57882,
     /* 2222196 */   GIR_EraseRootFromParent_Done,
     /* 2222197 */ // Label 30978: @2222197
     /* 2222197 */ GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2222251), // Rule ID 57883 //
     /* 2222202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2222205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2222208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222216 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2222219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2222233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222250 */   // GIR_Coverage, 57883,
     /* 2222250 */   GIR_EraseRootFromParent_Done,
     /* 2222251 */ // Label 30979: @2222251
     /* 2222251 */ GIM_Reject,
     /* 2222252 */ // Label 30877: @2222252
     /* 2222252 */ GIM_Reject,
     /* 2222253 */ // Label 68: @2222253
     /* 2222253 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30998*/ GIMT_Encode4(2227538),
     /* 2222264 */ /*GILLT_s16*//*Label 30980*/ GIMT_Encode4(2222384),
     /* 2222268 */ /*GILLT_s32*//*Label 30981*/ GIMT_Encode4(2222645),
     /* 2222272 */ /*GILLT_s64*//*Label 30982*/ GIMT_Encode4(2222906), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222284 */ /*GILLT_nxv1s16*//*Label 30983*/ GIMT_Encode4(2223167),
     /* 2222288 */ /*GILLT_nxv1s32*//*Label 30984*/ GIMT_Encode4(2223504),
     /* 2222292 */ /*GILLT_nxv1s64*//*Label 30985*/ GIMT_Encode4(2223841), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222304 */ /*GILLT_nxv2s16*//*Label 30986*/ GIMT_Encode4(2224064),
     /* 2222308 */ /*GILLT_nxv2s32*//*Label 30987*/ GIMT_Encode4(2224401),
     /* 2222312 */ /*GILLT_nxv2s64*//*Label 30988*/ GIMT_Encode4(2224738), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222324 */ /*GILLT_nxv4s16*//*Label 30989*/ GIMT_Encode4(2224961),
     /* 2222328 */ /*GILLT_nxv4s32*//*Label 30990*/ GIMT_Encode4(2225298),
     /* 2222332 */ /*GILLT_nxv4s64*//*Label 30991*/ GIMT_Encode4(2225635), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222344 */ /*GILLT_nxv8s16*//*Label 30992*/ GIMT_Encode4(2225858),
     /* 2222348 */ /*GILLT_nxv8s32*//*Label 30993*/ GIMT_Encode4(2226195),
     /* 2222352 */ /*GILLT_nxv8s64*//*Label 30994*/ GIMT_Encode4(2226532), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222364 */ /*GILLT_nxv16s16*//*Label 30995*/ GIMT_Encode4(2226755),
     /* 2222368 */ /*GILLT_nxv16s32*//*Label 30996*/ GIMT_Encode4(2227092), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2222380 */ /*GILLT_nxv32s16*//*Label 30997*/ GIMT_Encode4(2227315),
     /* 2222384 */ // Label 30980: @2222384
     /* 2222384 */ GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2222421), // Rule ID 2121 //
     /* 2222389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2222392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2222399 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222406 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2222409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222420 */   // GIR_Coverage, 2121,
     /* 2222420 */   GIR_EraseRootFromParent_Done,
     /* 2222421 */ // Label 30999: @2222421
     /* 2222421 */ GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2222458), // Rule ID 2147 //
     /* 2222426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2222429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2222436 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222443 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2222446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222448 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222457 */   // GIR_Coverage, 2147,
     /* 2222457 */   GIR_EraseRootFromParent_Done,
     /* 2222458 */ // Label 31000: @2222458
     /* 2222458 */ GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2222489), // Rule ID 2072 //
     /* 2222463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2222466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2222473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222477 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2222477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2222480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222488 */   // GIR_Coverage, 2072,
     /* 2222488 */   GIR_EraseRootFromParent_Done,
     /* 2222489 */ // Label 31001: @2222489
     /* 2222489 */ GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2222520), // Rule ID 2073 //
     /* 2222494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2222497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2222504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222508 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2222508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2222511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222519 */   // GIR_Coverage, 2073,
     /* 2222519 */   GIR_EraseRootFromParent_Done,
     /* 2222520 */ // Label 31002: @2222520
     /* 2222520 */ GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2222551), // Rule ID 2098 //
     /* 2222525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2222528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2222535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222539 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2222539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2222542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222550 */   // GIR_Coverage, 2098,
     /* 2222550 */   GIR_EraseRootFromParent_Done,
     /* 2222551 */ // Label 31003: @2222551
     /* 2222551 */ GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2222582), // Rule ID 2099 //
     /* 2222556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2222559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2222566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222570 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2222570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2222573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222581 */   // GIR_Coverage, 2099,
     /* 2222581 */   GIR_EraseRootFromParent_Done,
     /* 2222582 */ // Label 31004: @2222582
     /* 2222582 */ GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2222613), // Rule ID 2125 //
     /* 2222587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2222590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2222597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222601 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2222604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222612 */   // GIR_Coverage, 2125,
     /* 2222612 */   GIR_EraseRootFromParent_Done,
     /* 2222613 */ // Label 31005: @2222613
     /* 2222613 */ GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2222644), // Rule ID 2151 //
     /* 2222618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2222621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2222628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222632 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2222635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222637 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222643 */   // GIR_Coverage, 2151,
     /* 2222643 */   GIR_EraseRootFromParent_Done,
     /* 2222644 */ // Label 31006: @2222644
     /* 2222644 */ GIM_Reject,
     /* 2222645 */ // Label 30981: @2222645
     /* 2222645 */ GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2222682), // Rule ID 1387 //
     /* 2222650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2222653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222667 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2222670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222681 */   // GIR_Coverage, 1387,
     /* 2222681 */   GIR_EraseRootFromParent_Done,
     /* 2222682 */ // Label 31007: @2222682
     /* 2222682 */ GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2222719), // Rule ID 1415 //
     /* 2222687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2222690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2222697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222704 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2222707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222718 */   // GIR_Coverage, 1415,
     /* 2222718 */   GIR_EraseRootFromParent_Done,
     /* 2222719 */ // Label 31008: @2222719
     /* 2222719 */ GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2222750), // Rule ID 1336 //
     /* 2222724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2222727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222738 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2222738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2222741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222749 */   // GIR_Coverage, 1336,
     /* 2222749 */   GIR_EraseRootFromParent_Done,
     /* 2222750 */ // Label 31009: @2222750
     /* 2222750 */ GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2222781), // Rule ID 1337 //
     /* 2222755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2222758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222769 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2222769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2222772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222780 */   // GIR_Coverage, 1337,
     /* 2222780 */   GIR_EraseRootFromParent_Done,
     /* 2222781 */ // Label 31010: @2222781
     /* 2222781 */ GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2222812), // Rule ID 1362 //
     /* 2222786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2222789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2222796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222800 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2222800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2222803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222805 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222811 */   // GIR_Coverage, 1362,
     /* 2222811 */   GIR_EraseRootFromParent_Done,
     /* 2222812 */ // Label 31011: @2222812
     /* 2222812 */ GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2222843), // Rule ID 1363 //
     /* 2222817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2222820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2222827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222831 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2222831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2222834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222836 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222842 */   // GIR_Coverage, 1363,
     /* 2222842 */   GIR_EraseRootFromParent_Done,
     /* 2222843 */ // Label 31012: @2222843
     /* 2222843 */ GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2222874), // Rule ID 1391 //
     /* 2222848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2222851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222862 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2222865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222873 */   // GIR_Coverage, 1391,
     /* 2222873 */   GIR_EraseRootFromParent_Done,
     /* 2222874 */ // Label 31013: @2222874
     /* 2222874 */ GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2222905), // Rule ID 1419 //
     /* 2222879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2222882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2222889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222893 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2222893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2222896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2222903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222904 */   // GIR_Coverage, 1419,
     /* 2222904 */   GIR_EraseRootFromParent_Done,
     /* 2222905 */ // Label 31014: @2222905
     /* 2222905 */ GIM_Reject,
     /* 2222906 */ // Label 30982: @2222906
     /* 2222906 */ GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2222943), // Rule ID 1767 //
     /* 2222911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2222914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222921 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222928 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2222928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2222931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2222941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222942 */   // GIR_Coverage, 1767,
     /* 2222942 */   GIR_EraseRootFromParent_Done,
     /* 2222943 */ // Label 31015: @2222943
     /* 2222943 */ GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2222980), // Rule ID 1795 //
     /* 2222948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2222951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2222954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2222965 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2222965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2222968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2222975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2222978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222979 */   // GIR_Coverage, 1795,
     /* 2222979 */   GIR_EraseRootFromParent_Done,
     /* 2222980 */ // Label 31016: @2222980
     /* 2222980 */ GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2223011), // Rule ID 1730 //
     /* 2222985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2222988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2222991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222999 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2222999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2223002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2223009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223010 */   // GIR_Coverage, 1730,
     /* 2223010 */   GIR_EraseRootFromParent_Done,
     /* 2223011 */ // Label 31017: @2223011
     /* 2223011 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2223042), // Rule ID 1731 //
     /* 2223016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2223019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2223022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2223026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223030 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2223030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2223033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2223040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223041 */   // GIR_Coverage, 1731,
     /* 2223041 */   GIR_EraseRootFromParent_Done,
     /* 2223042 */ // Label 31018: @2223042
     /* 2223042 */ GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2223073), // Rule ID 1756 //
     /* 2223047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2223050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2223053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2223057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223061 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2223061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2223064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2223071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223072 */   // GIR_Coverage, 1756,
     /* 2223072 */   GIR_EraseRootFromParent_Done,
     /* 2223073 */ // Label 31019: @2223073
     /* 2223073 */ GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2223104), // Rule ID 1757 //
     /* 2223078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2223081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2223084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2223088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223092 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2223092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2223095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2223102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223103 */   // GIR_Coverage, 1757,
     /* 2223103 */   GIR_EraseRootFromParent_Done,
     /* 2223104 */ // Label 31020: @2223104
     /* 2223104 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2223135), // Rule ID 1785 //
     /* 2223109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2223112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2223119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223123 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2223123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2223126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223134 */   // GIR_Coverage, 1785,
     /* 2223134 */   GIR_EraseRootFromParent_Done,
     /* 2223135 */ // Label 31021: @2223135
     /* 2223135 */ GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2223166), // Rule ID 1813 //
     /* 2223140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2223143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223154 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2223154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2223157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223159 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223165 */   // GIR_Coverage, 1813,
     /* 2223165 */   GIR_EraseRootFromParent_Done,
     /* 2223166 */ // Label 31022: @2223166
     /* 2223166 */ GIM_Reject,
     /* 2223167 */ // Label 30983: @2223167
     /* 2223167 */ GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2223224), // Rule ID 57738 //
     /* 2223172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2223175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223186 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223186 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223189 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223193 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2223203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223208 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223223 */   // GIR_Coverage, 57738,
     /* 2223223 */   GIR_EraseRootFromParent_Done,
     /* 2223224 */ // Label 31023: @2223224
     /* 2223224 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2223281), // Rule ID 57739 //
     /* 2223229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2223232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223243 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2223260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223265 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223280 */   // GIR_Coverage, 57739,
     /* 2223280 */   GIR_EraseRootFromParent_Done,
     /* 2223281 */ // Label 31024: @2223281
     /* 2223281 */ GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2223335), // Rule ID 57922 //
     /* 2223286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2223289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223300 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223312 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2223317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223319 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223322 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223334 */   // GIR_Coverage, 57922,
     /* 2223334 */   GIR_EraseRootFromParent_Done,
     /* 2223335 */ // Label 31025: @2223335
     /* 2223335 */ GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2223389), // Rule ID 57923 //
     /* 2223340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2223343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223354 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223354 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223357 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223361 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223366 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2223371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223376 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223388 */   // GIR_Coverage, 57923,
     /* 2223388 */   GIR_EraseRootFromParent_Done,
     /* 2223389 */ // Label 31026: @2223389
     /* 2223389 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2223446), // Rule ID 58130 //
     /* 2223394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2223397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223408 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2223425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223445 */   // GIR_Coverage, 58130,
     /* 2223445 */   GIR_EraseRootFromParent_Done,
     /* 2223446 */ // Label 31027: @2223446
     /* 2223446 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2223503), // Rule ID 58131 //
     /* 2223451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2223454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223465 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223465 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223468 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223472 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223477 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2223482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223484 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223487 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223502 */   // GIR_Coverage, 58131,
     /* 2223502 */   GIR_EraseRootFromParent_Done,
     /* 2223503 */ // Label 31028: @2223503
     /* 2223503 */ GIM_Reject,
     /* 2223504 */ // Label 30984: @2223504
     /* 2223504 */ GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2223561), // Rule ID 57746 //
     /* 2223509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2223512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223523 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2223540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223542 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223560 */   // GIR_Coverage, 57746,
     /* 2223560 */   GIR_EraseRootFromParent_Done,
     /* 2223561 */ // Label 31029: @2223561
     /* 2223561 */ GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2223618), // Rule ID 57747 //
     /* 2223566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2223569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223580 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223580 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223583 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223587 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223592 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2223597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223599 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223602 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223617 */   // GIR_Coverage, 57747,
     /* 2223617 */   GIR_EraseRootFromParent_Done,
     /* 2223618 */ // Label 31030: @2223618
     /* 2223618 */ GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2223672), // Rule ID 57946 //
     /* 2223623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2223626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223637 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223637 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223640 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223644 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223649 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2223654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223656 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223671 */   // GIR_Coverage, 57946,
     /* 2223671 */   GIR_EraseRootFromParent_Done,
     /* 2223672 */ // Label 31031: @2223672
     /* 2223672 */ GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2223726), // Rule ID 57947 //
     /* 2223677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2223680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223691 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2223708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223725 */   // GIR_Coverage, 57947,
     /* 2223725 */   GIR_EraseRootFromParent_Done,
     /* 2223726 */ // Label 31032: @2223726
     /* 2223726 */ GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2223783), // Rule ID 58150 //
     /* 2223731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2223734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223745 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2223762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223782 */   // GIR_Coverage, 58150,
     /* 2223782 */   GIR_EraseRootFromParent_Done,
     /* 2223783 */ // Label 31033: @2223783
     /* 2223783 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2223840), // Rule ID 58151 //
     /* 2223788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2223791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223802 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2223805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2223819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223839 */   // GIR_Coverage, 58151,
     /* 2223839 */   GIR_EraseRootFromParent_Done,
     /* 2223840 */ // Label 31034: @2223840
     /* 2223840 */ GIM_Reject,
     /* 2223841 */ // Label 30985: @2223841
     /* 2223841 */ GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2223898), // Rule ID 57758 //
     /* 2223846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2223849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223860 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2223877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223897 */   // GIR_Coverage, 57758,
     /* 2223897 */   GIR_EraseRootFromParent_Done,
     /* 2223898 */ // Label 31035: @2223898
     /* 2223898 */ GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2223955), // Rule ID 57759 //
     /* 2223903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2223906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2223909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223917 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223929 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2223934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223939 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2223944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223954 */   // GIR_Coverage, 57759,
     /* 2223954 */   GIR_EraseRootFromParent_Done,
     /* 2223955 */ // Label 31036: @2223955
     /* 2223955 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2224009), // Rule ID 57966 //
     /* 2223960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2223963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2223966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223974 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223974 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2223977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223981 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2223991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223993 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223996 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224008 */   // GIR_Coverage, 57966,
     /* 2224008 */   GIR_EraseRootFromParent_Done,
     /* 2224009 */ // Label 31037: @2224009
     /* 2224009 */ GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2224063), // Rule ID 57967 //
     /* 2224014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2224017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2224020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224028 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2224031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224040 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2224045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224062 */   // GIR_Coverage, 57967,
     /* 2224062 */   GIR_EraseRootFromParent_Done,
     /* 2224063 */ // Label 31038: @2224063
     /* 2224063 */ GIM_Reject,
     /* 2224064 */ // Label 30986: @2224064
     /* 2224064 */ GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2224121), // Rule ID 57742 //
     /* 2224069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2224072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2224075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224083 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2224100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224120 */   // GIR_Coverage, 57742,
     /* 2224120 */   GIR_EraseRootFromParent_Done,
     /* 2224121 */ // Label 31039: @2224121
     /* 2224121 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2224178), // Rule ID 57743 //
     /* 2224126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2224129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2224132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224140 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224140 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224143 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224147 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2224157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224162 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224177 */   // GIR_Coverage, 57743,
     /* 2224177 */   GIR_EraseRootFromParent_Done,
     /* 2224178 */ // Label 31040: @2224178
     /* 2224178 */ GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2224232), // Rule ID 57926 //
     /* 2224183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2224186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2224189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224197 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224209 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2224214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224231 */   // GIR_Coverage, 57926,
     /* 2224231 */   GIR_EraseRootFromParent_Done,
     /* 2224232 */ // Label 31041: @2224232
     /* 2224232 */ GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2224286), // Rule ID 57927 //
     /* 2224237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2224240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2224243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224251 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224251 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224254 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224258 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2224268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224270 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224285 */   // GIR_Coverage, 57927,
     /* 2224285 */   GIR_EraseRootFromParent_Done,
     /* 2224286 */ // Label 31042: @2224286
     /* 2224286 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2224343), // Rule ID 58134 //
     /* 2224291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2224294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224305 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2224322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224342 */   // GIR_Coverage, 58134,
     /* 2224342 */   GIR_EraseRootFromParent_Done,
     /* 2224343 */ // Label 31043: @2224343
     /* 2224343 */ GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2224400), // Rule ID 58135 //
     /* 2224348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2224351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224362 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2224365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2224379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224399 */   // GIR_Coverage, 58135,
     /* 2224399 */   GIR_EraseRootFromParent_Done,
     /* 2224400 */ // Label 31044: @2224400
     /* 2224400 */ GIM_Reject,
     /* 2224401 */ // Label 30987: @2224401
     /* 2224401 */ GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2224458), // Rule ID 57754 //
     /* 2224406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2224409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224420 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2224437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224457 */   // GIR_Coverage, 57754,
     /* 2224457 */   GIR_EraseRootFromParent_Done,
     /* 2224458 */ // Label 31045: @2224458
     /* 2224458 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2224515), // Rule ID 57755 //
     /* 2224463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2224466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224477 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2224494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224514 */   // GIR_Coverage, 57755,
     /* 2224514 */   GIR_EraseRootFromParent_Done,
     /* 2224515 */ // Label 31046: @2224515
     /* 2224515 */ GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2224569), // Rule ID 57950 //
     /* 2224520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2224523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2224526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224534 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2224551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224568 */   // GIR_Coverage, 57950,
     /* 2224568 */   GIR_EraseRootFromParent_Done,
     /* 2224569 */ // Label 31047: @2224569
     /* 2224569 */ GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2224623), // Rule ID 57951 //
     /* 2224574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2224577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2224580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224588 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2224605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224622 */   // GIR_Coverage, 57951,
     /* 2224622 */   GIR_EraseRootFromParent_Done,
     /* 2224623 */ // Label 31048: @2224623
     /* 2224623 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2224680), // Rule ID 58154 //
     /* 2224628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2224631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2224634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224642 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2224659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224664 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224679 */   // GIR_Coverage, 58154,
     /* 2224679 */   GIR_EraseRootFromParent_Done,
     /* 2224680 */ // Label 31049: @2224680
     /* 2224680 */ GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2224737), // Rule ID 58155 //
     /* 2224685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2224688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2224691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224699 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2224702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2224716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224736 */   // GIR_Coverage, 58155,
     /* 2224736 */   GIR_EraseRootFromParent_Done,
     /* 2224737 */ // Label 31050: @2224737
     /* 2224737 */ GIM_Reject,
     /* 2224738 */ // Label 30988: @2224738
     /* 2224738 */ GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2224795), // Rule ID 57786 //
     /* 2224743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2224746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2224749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224757 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224757 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224760 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224764 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2224774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224779 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224794 */   // GIR_Coverage, 57786,
     /* 2224794 */   GIR_EraseRootFromParent_Done,
     /* 2224795 */ // Label 31051: @2224795
     /* 2224795 */ GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2224852), // Rule ID 57787 //
     /* 2224800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2224803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2224806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224814 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224814 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224817 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224821 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2224831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224833 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224836 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2224841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224851 */   // GIR_Coverage, 57787,
     /* 2224851 */   GIR_EraseRootFromParent_Done,
     /* 2224852 */ // Label 31052: @2224852
     /* 2224852 */ GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2224906), // Rule ID 57970 //
     /* 2224857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2224860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224871 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224871 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224874 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224878 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2224888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224905 */   // GIR_Coverage, 57970,
     /* 2224905 */   GIR_EraseRootFromParent_Done,
     /* 2224906 */ // Label 31053: @2224906
     /* 2224906 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2224960), // Rule ID 57971 //
     /* 2224911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2224914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2224917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224925 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2224928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2224942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224959 */   // GIR_Coverage, 57971,
     /* 2224959 */   GIR_EraseRootFromParent_Done,
     /* 2224960 */ // Label 31054: @2224960
     /* 2224960 */ GIM_Reject,
     /* 2224961 */ // Label 30989: @2224961
     /* 2224961 */ GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2225018), // Rule ID 57750 //
     /* 2224966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2224969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2224972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224980 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2224983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2224997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225017 */   // GIR_Coverage, 57750,
     /* 2225017 */   GIR_EraseRootFromParent_Done,
     /* 2225018 */ // Label 31055: @2225018
     /* 2225018 */ GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2225075), // Rule ID 57751 //
     /* 2225023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2225026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2225029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225037 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2225054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225074 */   // GIR_Coverage, 57751,
     /* 2225074 */   GIR_EraseRootFromParent_Done,
     /* 2225075 */ // Label 31056: @2225075
     /* 2225075 */ GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2225129), // Rule ID 57930 //
     /* 2225080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2225083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2225086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225094 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2225111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225116 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225128 */   // GIR_Coverage, 57930,
     /* 2225128 */   GIR_EraseRootFromParent_Done,
     /* 2225129 */ // Label 31057: @2225129
     /* 2225129 */ GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2225183), // Rule ID 57931 //
     /* 2225134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2225137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2225140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225148 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2225165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225182 */   // GIR_Coverage, 57931,
     /* 2225182 */   GIR_EraseRootFromParent_Done,
     /* 2225183 */ // Label 31058: @2225183
     /* 2225183 */ GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2225240), // Rule ID 58138 //
     /* 2225188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2225191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225202 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2225219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225239 */   // GIR_Coverage, 58138,
     /* 2225239 */   GIR_EraseRootFromParent_Done,
     /* 2225240 */ // Label 31059: @2225240
     /* 2225240 */ GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2225297), // Rule ID 58139 //
     /* 2225245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2225248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225259 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2225262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2225276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225296 */   // GIR_Coverage, 58139,
     /* 2225296 */   GIR_EraseRootFromParent_Done,
     /* 2225297 */ // Label 31060: @2225297
     /* 2225297 */ GIM_Reject,
     /* 2225298 */ // Label 30990: @2225298
     /* 2225298 */ GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2225355), // Rule ID 57774 //
     /* 2225303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2225306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225317 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2225334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225339 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225354 */   // GIR_Coverage, 57774,
     /* 2225354 */   GIR_EraseRootFromParent_Done,
     /* 2225355 */ // Label 31061: @2225355
     /* 2225355 */ GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2225412), // Rule ID 57775 //
     /* 2225360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2225363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225374 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2225391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225411 */   // GIR_Coverage, 57775,
     /* 2225411 */   GIR_EraseRootFromParent_Done,
     /* 2225412 */ // Label 31062: @2225412
     /* 2225412 */ GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2225466), // Rule ID 57954 //
     /* 2225417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2225420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2225423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225431 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2225448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225465 */   // GIR_Coverage, 57954,
     /* 2225465 */   GIR_EraseRootFromParent_Done,
     /* 2225466 */ // Label 31063: @2225466
     /* 2225466 */ GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2225520), // Rule ID 57955 //
     /* 2225471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2225474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2225477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225485 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2225502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225519 */   // GIR_Coverage, 57955,
     /* 2225519 */   GIR_EraseRootFromParent_Done,
     /* 2225520 */ // Label 31064: @2225520
     /* 2225520 */ GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2225577), // Rule ID 58158 //
     /* 2225525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2225528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2225531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225539 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2225556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225576 */   // GIR_Coverage, 58158,
     /* 2225576 */   GIR_EraseRootFromParent_Done,
     /* 2225577 */ // Label 31065: @2225577
     /* 2225577 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2225634), // Rule ID 58159 //
     /* 2225582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2225585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2225588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225596 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2225599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2225613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225633 */   // GIR_Coverage, 58159,
     /* 2225633 */   GIR_EraseRootFromParent_Done,
     /* 2225634 */ // Label 31066: @2225634
     /* 2225634 */ GIM_Reject,
     /* 2225635 */ // Label 30991: @2225635
     /* 2225635 */ GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2225692), // Rule ID 57790 //
     /* 2225640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2225643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2225646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225654 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2225671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225691 */   // GIR_Coverage, 57790,
     /* 2225691 */   GIR_EraseRootFromParent_Done,
     /* 2225692 */ // Label 31067: @2225692
     /* 2225692 */ GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2225749), // Rule ID 57791 //
     /* 2225697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2225700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2225703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225711 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2225728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225748 */   // GIR_Coverage, 57791,
     /* 2225748 */   GIR_EraseRootFromParent_Done,
     /* 2225749 */ // Label 31068: @2225749
     /* 2225749 */ GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2225803), // Rule ID 57974 //
     /* 2225754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2225757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225768 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2225785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225802 */   // GIR_Coverage, 57974,
     /* 2225802 */   GIR_EraseRootFromParent_Done,
     /* 2225803 */ // Label 31069: @2225803
     /* 2225803 */ GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2225857), // Rule ID 57975 //
     /* 2225808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2225811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2225814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225822 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2225825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2225839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225856 */   // GIR_Coverage, 57975,
     /* 2225856 */   GIR_EraseRootFromParent_Done,
     /* 2225857 */ // Label 31070: @2225857
     /* 2225857 */ GIM_Reject,
     /* 2225858 */ // Label 30992: @2225858
     /* 2225858 */ GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2225915), // Rule ID 57762 //
     /* 2225863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2225866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225877 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2225880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2225894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225914 */   // GIR_Coverage, 57762,
     /* 2225914 */   GIR_EraseRootFromParent_Done,
     /* 2225915 */ // Label 31071: @2225915
     /* 2225915 */ GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2225972), // Rule ID 57763 //
     /* 2225920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2225923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2225926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225934 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2225937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2225951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2225961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225971 */   // GIR_Coverage, 57763,
     /* 2225971 */   GIR_EraseRootFromParent_Done,
     /* 2225972 */ // Label 31072: @2225972
     /* 2225972 */ GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2226026), // Rule ID 57934 //
     /* 2225977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2225980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2225983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225991 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2225994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2226008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226025 */   // GIR_Coverage, 57934,
     /* 2226025 */   GIR_EraseRootFromParent_Done,
     /* 2226026 */ // Label 31073: @2226026
     /* 2226026 */ GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2226080), // Rule ID 57935 //
     /* 2226031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2226034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2226037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226045 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2226048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2226062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226079 */   // GIR_Coverage, 57935,
     /* 2226079 */   GIR_EraseRootFromParent_Done,
     /* 2226080 */ // Label 31074: @2226080
     /* 2226080 */ GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2226137), // Rule ID 58142 //
     /* 2226085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2226088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226099 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2226102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2226116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226136 */   // GIR_Coverage, 58142,
     /* 2226136 */   GIR_EraseRootFromParent_Done,
     /* 2226137 */ // Label 31075: @2226137
     /* 2226137 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2226194), // Rule ID 58143 //
     /* 2226142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2226145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226156 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2226159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2226173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226193 */   // GIR_Coverage, 58143,
     /* 2226193 */   GIR_EraseRootFromParent_Done,
     /* 2226194 */ // Label 31076: @2226194
     /* 2226194 */ GIM_Reject,
     /* 2226195 */ // Label 30993: @2226195
     /* 2226195 */ GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2226252), // Rule ID 57778 //
     /* 2226200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2226203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226214 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2226231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226251 */   // GIR_Coverage, 57778,
     /* 2226251 */   GIR_EraseRootFromParent_Done,
     /* 2226252 */ // Label 31077: @2226252
     /* 2226252 */ GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2226309), // Rule ID 57779 //
     /* 2226257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2226260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226271 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2226288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226308 */   // GIR_Coverage, 57779,
     /* 2226308 */   GIR_EraseRootFromParent_Done,
     /* 2226309 */ // Label 31078: @2226309
     /* 2226309 */ GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2226363), // Rule ID 57958 //
     /* 2226314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2226317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2226320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226328 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2226345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226362 */   // GIR_Coverage, 57958,
     /* 2226362 */   GIR_EraseRootFromParent_Done,
     /* 2226363 */ // Label 31079: @2226363
     /* 2226363 */ GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2226417), // Rule ID 57959 //
     /* 2226368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2226371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2226374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226382 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226394 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2226399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226401 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226416 */   // GIR_Coverage, 57959,
     /* 2226416 */   GIR_EraseRootFromParent_Done,
     /* 2226417 */ // Label 31080: @2226417
     /* 2226417 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2226474), // Rule ID 58162 //
     /* 2226422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2226425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2226428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226436 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226436 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226439 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226443 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2226453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226473 */   // GIR_Coverage, 58162,
     /* 2226473 */   GIR_EraseRootFromParent_Done,
     /* 2226474 */ // Label 31081: @2226474
     /* 2226474 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2226531), // Rule ID 58163 //
     /* 2226479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2226482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2226485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226493 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2226496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2226510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226530 */   // GIR_Coverage, 58163,
     /* 2226530 */   GIR_EraseRootFromParent_Done,
     /* 2226531 */ // Label 31082: @2226531
     /* 2226531 */ GIM_Reject,
     /* 2226532 */ // Label 30994: @2226532
     /* 2226532 */ GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2226589), // Rule ID 57794 //
     /* 2226537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2226540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2226543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226551 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2226554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2226568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226588 */   // GIR_Coverage, 57794,
     /* 2226588 */   GIR_EraseRootFromParent_Done,
     /* 2226589 */ // Label 31083: @2226589
     /* 2226589 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2226646), // Rule ID 57795 //
     /* 2226594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2226597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2226600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226608 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2226611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2226625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226645 */   // GIR_Coverage, 57795,
     /* 2226645 */   GIR_EraseRootFromParent_Done,
     /* 2226646 */ // Label 31084: @2226646
     /* 2226646 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2226700), // Rule ID 57978 //
     /* 2226651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2226654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226665 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2226668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2226682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226699 */   // GIR_Coverage, 57978,
     /* 2226699 */   GIR_EraseRootFromParent_Done,
     /* 2226700 */ // Label 31085: @2226700
     /* 2226700 */ GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2226754), // Rule ID 57979 //
     /* 2226705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2226708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2226711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226719 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226719 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2226722 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226726 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226731 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2226736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226738 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226753 */   // GIR_Coverage, 57979,
     /* 2226753 */   GIR_EraseRootFromParent_Done,
     /* 2226754 */ // Label 31086: @2226754
     /* 2226754 */ GIM_Reject,
     /* 2226755 */ // Label 30995: @2226755
     /* 2226755 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2226812), // Rule ID 57766 //
     /* 2226760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2226763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226774 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2226791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226811 */   // GIR_Coverage, 57766,
     /* 2226811 */   GIR_EraseRootFromParent_Done,
     /* 2226812 */ // Label 31087: @2226812
     /* 2226812 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2226869), // Rule ID 57767 //
     /* 2226817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2226820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2226823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226831 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2226848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2226858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226868 */   // GIR_Coverage, 57767,
     /* 2226868 */   GIR_EraseRootFromParent_Done,
     /* 2226869 */ // Label 31088: @2226869
     /* 2226869 */ GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2226923), // Rule ID 57938 //
     /* 2226874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2226877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226888 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2226905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226922 */   // GIR_Coverage, 57938,
     /* 2226922 */   GIR_EraseRootFromParent_Done,
     /* 2226923 */ // Label 31089: @2226923
     /* 2226923 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2226977), // Rule ID 57939 //
     /* 2226928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2226931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2226934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226942 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2226959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226976 */   // GIR_Coverage, 57939,
     /* 2226976 */   GIR_EraseRootFromParent_Done,
     /* 2226977 */ // Label 31090: @2226977
     /* 2226977 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2227034), // Rule ID 58146 //
     /* 2226982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2226985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2226988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226996 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2226999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2227013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227033 */   // GIR_Coverage, 58146,
     /* 2227033 */   GIR_EraseRootFromParent_Done,
     /* 2227034 */ // Label 31091: @2227034
     /* 2227034 */ GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2227091), // Rule ID 58147 //
     /* 2227039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2227042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2227045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227053 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2227056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2227070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227090 */   // GIR_Coverage, 58147,
     /* 2227090 */   GIR_EraseRootFromParent_Done,
     /* 2227091 */ // Label 31092: @2227091
     /* 2227091 */ GIM_Reject,
     /* 2227092 */ // Label 30996: @2227092
     /* 2227092 */ GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2227149), // Rule ID 57782 //
     /* 2227097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2227100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2227103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227111 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2227114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2227128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227148 */   // GIR_Coverage, 57782,
     /* 2227148 */   GIR_EraseRootFromParent_Done,
     /* 2227149 */ // Label 31093: @2227149
     /* 2227149 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2227206), // Rule ID 57783 //
     /* 2227154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2227157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2227160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227168 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2227171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2227185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227205 */   // GIR_Coverage, 57783,
     /* 2227205 */   GIR_EraseRootFromParent_Done,
     /* 2227206 */ // Label 31094: @2227206
     /* 2227206 */ GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2227260), // Rule ID 57962 //
     /* 2227211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2227214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2227217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227225 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2227228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2227242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227259 */   // GIR_Coverage, 57962,
     /* 2227259 */   GIR_EraseRootFromParent_Done,
     /* 2227260 */ // Label 31095: @2227260
     /* 2227260 */ GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2227314), // Rule ID 57963 //
     /* 2227265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2227268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2227271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227279 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2227282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2227296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227313 */   // GIR_Coverage, 57963,
     /* 2227313 */   GIR_EraseRootFromParent_Done,
     /* 2227314 */ // Label 31096: @2227314
     /* 2227314 */ GIM_Reject,
     /* 2227315 */ // Label 30997: @2227315
     /* 2227315 */ GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2227372), // Rule ID 57770 //
     /* 2227320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2227323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2227326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227334 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2227351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227371 */   // GIR_Coverage, 57770,
     /* 2227371 */   GIR_EraseRootFromParent_Done,
     /* 2227372 */ // Label 31097: @2227372
     /* 2227372 */ GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2227429), // Rule ID 57771 //
     /* 2227377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2227380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2227383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227391 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2227408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2227418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227428 */   // GIR_Coverage, 57771,
     /* 2227428 */   GIR_EraseRootFromParent_Done,
     /* 2227429 */ // Label 31098: @2227429
     /* 2227429 */ GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2227483), // Rule ID 57942 //
     /* 2227434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2227437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227448 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227448 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227455 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2227465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227482 */   // GIR_Coverage, 57942,
     /* 2227482 */   GIR_EraseRootFromParent_Done,
     /* 2227483 */ // Label 31099: @2227483
     /* 2227483 */ GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2227537), // Rule ID 57943 //
     /* 2227488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2227491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2227494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2227498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227502 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2227505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2227519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227521 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227536 */   // GIR_Coverage, 57943,
     /* 2227536 */   GIR_EraseRootFromParent_Done,
     /* 2227537 */ // Label 31100: @2227537
     /* 2227537 */ GIM_Reject,
     /* 2227538 */ // Label 30998: @2227538
     /* 2227538 */ GIM_Reject,
     /* 2227539 */ // Label 69: @2227539
     /* 2227539 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31119*/ GIMT_Encode4(2229509),
     /* 2227550 */ /*GILLT_s16*//*Label 31101*/ GIMT_Encode4(2227670),
     /* 2227554 */ /*GILLT_s32*//*Label 31102*/ GIMT_Encode4(2227734),
     /* 2227558 */ /*GILLT_s64*//*Label 31103*/ GIMT_Encode4(2227798), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227570 */ /*GILLT_nxv1s16*//*Label 31104*/ GIMT_Encode4(2227889),
     /* 2227574 */ /*GILLT_nxv1s32*//*Label 31105*/ GIMT_Encode4(2227997),
     /* 2227578 */ /*GILLT_nxv1s64*//*Label 31106*/ GIMT_Encode4(2228105), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227590 */ /*GILLT_nxv2s16*//*Label 31107*/ GIMT_Encode4(2228213),
     /* 2227594 */ /*GILLT_nxv2s32*//*Label 31108*/ GIMT_Encode4(2228321),
     /* 2227598 */ /*GILLT_nxv2s64*//*Label 31109*/ GIMT_Encode4(2228429), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227610 */ /*GILLT_nxv4s16*//*Label 31110*/ GIMT_Encode4(2228537),
     /* 2227614 */ /*GILLT_nxv4s32*//*Label 31111*/ GIMT_Encode4(2228645),
     /* 2227618 */ /*GILLT_nxv4s64*//*Label 31112*/ GIMT_Encode4(2228753), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227630 */ /*GILLT_nxv8s16*//*Label 31113*/ GIMT_Encode4(2228861),
     /* 2227634 */ /*GILLT_nxv8s32*//*Label 31114*/ GIMT_Encode4(2228969),
     /* 2227638 */ /*GILLT_nxv8s64*//*Label 31115*/ GIMT_Encode4(2229077), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227650 */ /*GILLT_nxv16s16*//*Label 31116*/ GIMT_Encode4(2229185),
     /* 2227654 */ /*GILLT_nxv16s32*//*Label 31117*/ GIMT_Encode4(2229293), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2227666 */ /*GILLT_nxv32s16*//*Label 31118*/ GIMT_Encode4(2229401),
     /* 2227670 */ // Label 31101: @2227670
     /* 2227670 */ GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2227733),
     /* 2227675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2227678 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2227705), // Rule ID 1851 //
     /* 2227683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2227686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227694 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2227694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2227697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227704 */     // GIR_Coverage, 1851,
     /* 2227704 */     GIR_EraseRootFromParent_Done,
     /* 2227705 */   // Label 31121: @2227705
     /* 2227705 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2227732), // Rule ID 1884 //
     /* 2227710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2227713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2227717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2227721 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2227721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2227724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227731 */     // GIR_Coverage, 1884,
     /* 2227731 */     GIR_EraseRootFromParent_Done,
     /* 2227732 */   // Label 31122: @2227732
     /* 2227732 */   GIM_Reject,
     /* 2227733 */ // Label 31120: @2227733
     /* 2227733 */ GIM_Reject,
     /* 2227734 */ // Label 31102: @2227734
     /* 2227734 */ GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2227797),
     /* 2227739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2227742 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2227769), // Rule ID 1142 //
     /* 2227747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2227750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2227754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2227758 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2227758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2227761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227768 */     // GIR_Coverage, 1142,
     /* 2227768 */     GIR_EraseRootFromParent_Done,
     /* 2227769 */   // Label 31124: @2227769
     /* 2227769 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2227796), // Rule ID 1150 //
     /* 2227774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2227777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2227781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2227785 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2227785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2227788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227795 */     // GIR_Coverage, 1150,
     /* 2227795 */     GIR_EraseRootFromParent_Done,
     /* 2227796 */   // Label 31125: @2227796
     /* 2227796 */   GIM_Reject,
     /* 2227797 */ // Label 31123: @2227797
     /* 2227797 */ GIM_Reject,
     /* 2227798 */ // Label 31103: @2227798
     /* 2227798 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2227888),
     /* 2227803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2227806 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2227833), // Rule ID 1485 //
     /* 2227811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2227814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2227818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2227822 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2227822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2227825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227832 */     // GIR_Coverage, 1485,
     /* 2227832 */     GIR_EraseRootFromParent_Done,
     /* 2227833 */   // Label 31127: @2227833
     /* 2227833 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2227860), // Rule ID 1518 //
     /* 2227838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2227841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227849 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2227849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2227852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227859 */     // GIR_Coverage, 1518,
     /* 2227859 */     GIR_EraseRootFromParent_Done,
     /* 2227860 */   // Label 31128: @2227860
     /* 2227860 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2227887), // Rule ID 1540 //
     /* 2227865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2227868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2227872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2227876 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2227876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2227879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227886 */     // GIR_Coverage, 1540,
     /* 2227886 */     GIR_EraseRootFromParent_Done,
     /* 2227887 */   // Label 31129: @2227887
     /* 2227887 */   GIM_Reject,
     /* 2227888 */ // Label 31126: @2227888
     /* 2227888 */ GIM_Reject,
     /* 2227889 */ // Label 31104: @2227889
     /* 2227889 */ GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2227996),
     /* 2227894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2227897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227905 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2227950), // Rule ID 55694 //
     /* 2227910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2227913 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2227916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2227930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2227937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2227939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227949 */     // GIR_Coverage, 55694,
     /* 2227949 */     GIR_EraseRootFromParent_Done,
     /* 2227950 */   // Label 31131: @2227950
     /* 2227950 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2227995), // Rule ID 55695 //
     /* 2227955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2227958 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2227961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2227975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2227982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2227984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227994 */     // GIR_Coverage, 55695,
     /* 2227994 */     GIR_EraseRootFromParent_Done,
     /* 2227995 */   // Label 31132: @2227995
     /* 2227995 */   GIM_Reject,
     /* 2227996 */ // Label 31130: @2227996
     /* 2227996 */ GIM_Reject,
     /* 2227997 */ // Label 31105: @2227997
     /* 2227997 */ GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2228104),
     /* 2228002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2228005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228013 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2228058), // Rule ID 55734 //
     /* 2228018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228021 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2228024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2228038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228057 */     // GIR_Coverage, 55734,
     /* 2228057 */     GIR_EraseRootFromParent_Done,
     /* 2228058 */   // Label 31134: @2228058
     /* 2228058 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2228103), // Rule ID 55735 //
     /* 2228063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228066 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2228069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2228083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228102 */     // GIR_Coverage, 55735,
     /* 2228102 */     GIR_EraseRootFromParent_Done,
     /* 2228103 */   // Label 31135: @2228103
     /* 2228103 */   GIM_Reject,
     /* 2228104 */ // Label 31133: @2228104
     /* 2228104 */ GIM_Reject,
     /* 2228105 */ // Label 31106: @2228105
     /* 2228105 */ GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2228212),
     /* 2228110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2228113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228121 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2228166), // Rule ID 55794 //
     /* 2228126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2228129 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2228132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2228146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228165 */     // GIR_Coverage, 55794,
     /* 2228165 */     GIR_EraseRootFromParent_Done,
     /* 2228166 */   // Label 31137: @2228166
     /* 2228166 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2228211), // Rule ID 55795 //
     /* 2228171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2228174 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2228177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2228191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228210 */     // GIR_Coverage, 55795,
     /* 2228210 */     GIR_EraseRootFromParent_Done,
     /* 2228211 */   // Label 31138: @2228211
     /* 2228211 */   GIM_Reject,
     /* 2228212 */ // Label 31136: @2228212
     /* 2228212 */ GIM_Reject,
     /* 2228213 */ // Label 31107: @2228213
     /* 2228213 */ GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2228320),
     /* 2228218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2228221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228229 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2228274), // Rule ID 55714 //
     /* 2228234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2228237 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2228240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2228254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228273 */     // GIR_Coverage, 55714,
     /* 2228273 */     GIR_EraseRootFromParent_Done,
     /* 2228274 */   // Label 31140: @2228274
     /* 2228274 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2228319), // Rule ID 55715 //
     /* 2228279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2228282 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2228285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2228299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228318 */     // GIR_Coverage, 55715,
     /* 2228318 */     GIR_EraseRootFromParent_Done,
     /* 2228319 */   // Label 31141: @2228319
     /* 2228319 */   GIM_Reject,
     /* 2228320 */ // Label 31139: @2228320
     /* 2228320 */ GIM_Reject,
     /* 2228321 */ // Label 31108: @2228321
     /* 2228321 */ GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2228428),
     /* 2228326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2228329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228337 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2228382), // Rule ID 55774 //
     /* 2228342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228345 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2228348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2228362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228381 */     // GIR_Coverage, 55774,
     /* 2228381 */     GIR_EraseRootFromParent_Done,
     /* 2228382 */   // Label 31143: @2228382
     /* 2228382 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2228427), // Rule ID 55775 //
     /* 2228387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228390 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2228393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2228407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228426 */     // GIR_Coverage, 55775,
     /* 2228426 */     GIR_EraseRootFromParent_Done,
     /* 2228427 */   // Label 31144: @2228427
     /* 2228427 */   GIM_Reject,
     /* 2228428 */ // Label 31142: @2228428
     /* 2228428 */ GIM_Reject,
     /* 2228429 */ // Label 31109: @2228429
     /* 2228429 */ GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2228536),
     /* 2228434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2228437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228445 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2228490), // Rule ID 55934 //
     /* 2228450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2228453 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2228456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2228470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228489 */     // GIR_Coverage, 55934,
     /* 2228489 */     GIR_EraseRootFromParent_Done,
     /* 2228490 */   // Label 31146: @2228490
     /* 2228490 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2228535), // Rule ID 55935 //
     /* 2228495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2228498 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2228501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2228515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228534 */     // GIR_Coverage, 55935,
     /* 2228534 */     GIR_EraseRootFromParent_Done,
     /* 2228535 */   // Label 31147: @2228535
     /* 2228535 */   GIM_Reject,
     /* 2228536 */ // Label 31145: @2228536
     /* 2228536 */ GIM_Reject,
     /* 2228537 */ // Label 31110: @2228537
     /* 2228537 */ GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2228644),
     /* 2228542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2228545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228553 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2228598), // Rule ID 55754 //
     /* 2228558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2228561 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2228564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2228578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228597 */     // GIR_Coverage, 55754,
     /* 2228597 */     GIR_EraseRootFromParent_Done,
     /* 2228598 */   // Label 31149: @2228598
     /* 2228598 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2228643), // Rule ID 55755 //
     /* 2228603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2228606 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2228609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2228623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228642 */     // GIR_Coverage, 55755,
     /* 2228642 */     GIR_EraseRootFromParent_Done,
     /* 2228643 */   // Label 31150: @2228643
     /* 2228643 */   GIM_Reject,
     /* 2228644 */ // Label 31148: @2228644
     /* 2228644 */ GIM_Reject,
     /* 2228645 */ // Label 31111: @2228645
     /* 2228645 */ GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2228752),
     /* 2228650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228661 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2228706), // Rule ID 55874 //
     /* 2228666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228669 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2228672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2228686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228705 */     // GIR_Coverage, 55874,
     /* 2228705 */     GIR_EraseRootFromParent_Done,
     /* 2228706 */   // Label 31152: @2228706
     /* 2228706 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2228751), // Rule ID 55875 //
     /* 2228711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228714 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2228717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2228731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228750 */     // GIR_Coverage, 55875,
     /* 2228750 */     GIR_EraseRootFromParent_Done,
     /* 2228751 */   // Label 31153: @2228751
     /* 2228751 */   GIM_Reject,
     /* 2228752 */ // Label 31151: @2228752
     /* 2228752 */ GIM_Reject,
     /* 2228753 */ // Label 31112: @2228753
     /* 2228753 */ GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2228860),
     /* 2228758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2228761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228769 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2228814), // Rule ID 55954 //
     /* 2228774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2228777 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2228794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228813 */     // GIR_Coverage, 55954,
     /* 2228813 */     GIR_EraseRootFromParent_Done,
     /* 2228814 */   // Label 31155: @2228814
     /* 2228814 */   GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2228859), // Rule ID 55955 //
     /* 2228819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2228822 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2228839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228858 */     // GIR_Coverage, 55955,
     /* 2228858 */     GIR_EraseRootFromParent_Done,
     /* 2228859 */   // Label 31156: @2228859
     /* 2228859 */   GIM_Reject,
     /* 2228860 */ // Label 31154: @2228860
     /* 2228860 */ GIM_Reject,
     /* 2228861 */ // Label 31113: @2228861
     /* 2228861 */ GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2228968),
     /* 2228866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2228869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228877 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2228922), // Rule ID 55814 //
     /* 2228882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2228885 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2228902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228921 */     // GIR_Coverage, 55814,
     /* 2228921 */     GIR_EraseRootFromParent_Done,
     /* 2228922 */   // Label 31158: @2228922
     /* 2228922 */   GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2228967), // Rule ID 55815 //
     /* 2228927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2228930 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2228947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2228956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228966 */     // GIR_Coverage, 55815,
     /* 2228966 */     GIR_EraseRootFromParent_Done,
     /* 2228967 */   // Label 31159: @2228967
     /* 2228967 */   GIM_Reject,
     /* 2228968 */ // Label 31157: @2228968
     /* 2228968 */ GIM_Reject,
     /* 2228969 */ // Label 31114: @2228969
     /* 2228969 */ GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2229076),
     /* 2228974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2228977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228985 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2229030), // Rule ID 55894 //
     /* 2228990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228993 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2228996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2229010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229029 */     // GIR_Coverage, 55894,
     /* 2229029 */     GIR_EraseRootFromParent_Done,
     /* 2229030 */   // Label 31161: @2229030
     /* 2229030 */   GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2229075), // Rule ID 55895 //
     /* 2229035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2229038 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2229055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229074 */     // GIR_Coverage, 55895,
     /* 2229074 */     GIR_EraseRootFromParent_Done,
     /* 2229075 */   // Label 31162: @2229075
     /* 2229075 */   GIM_Reject,
     /* 2229076 */ // Label 31160: @2229076
     /* 2229076 */ GIM_Reject,
     /* 2229077 */ // Label 31115: @2229077
     /* 2229077 */ GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2229184),
     /* 2229082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2229085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229093 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2229138), // Rule ID 55974 //
     /* 2229098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2229101 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2229118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229137 */     // GIR_Coverage, 55974,
     /* 2229137 */     GIR_EraseRootFromParent_Done,
     /* 2229138 */   // Label 31164: @2229138
     /* 2229138 */   GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2229183), // Rule ID 55975 //
     /* 2229143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2229146 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2229163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229182 */     // GIR_Coverage, 55975,
     /* 2229182 */     GIR_EraseRootFromParent_Done,
     /* 2229183 */   // Label 31165: @2229183
     /* 2229183 */   GIM_Reject,
     /* 2229184 */ // Label 31163: @2229184
     /* 2229184 */ GIM_Reject,
     /* 2229185 */ // Label 31116: @2229185
     /* 2229185 */ GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2229292),
     /* 2229190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2229193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229201 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2229246), // Rule ID 55834 //
     /* 2229206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2229209 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2229212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2229226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229245 */     // GIR_Coverage, 55834,
     /* 2229245 */     GIR_EraseRootFromParent_Done,
     /* 2229246 */   // Label 31167: @2229246
     /* 2229246 */   GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2229291), // Rule ID 55835 //
     /* 2229251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2229254 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2229257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2229271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229290 */     // GIR_Coverage, 55835,
     /* 2229290 */     GIR_EraseRootFromParent_Done,
     /* 2229291 */   // Label 31168: @2229291
     /* 2229291 */   GIM_Reject,
     /* 2229292 */ // Label 31166: @2229292
     /* 2229292 */ GIM_Reject,
     /* 2229293 */ // Label 31117: @2229293
     /* 2229293 */ GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2229400),
     /* 2229298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2229301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229309 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2229354), // Rule ID 55914 //
     /* 2229314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2229317 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2229320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2229334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229353 */     // GIR_Coverage, 55914,
     /* 2229353 */     GIR_EraseRootFromParent_Done,
     /* 2229354 */   // Label 31170: @2229354
     /* 2229354 */   GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2229399), // Rule ID 55915 //
     /* 2229359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2229362 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2229365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2229379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229398 */     // GIR_Coverage, 55915,
     /* 2229398 */     GIR_EraseRootFromParent_Done,
     /* 2229399 */   // Label 31171: @2229399
     /* 2229399 */   GIM_Reject,
     /* 2229400 */ // Label 31169: @2229400
     /* 2229400 */ GIM_Reject,
     /* 2229401 */ // Label 31118: @2229401
     /* 2229401 */ GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2229508),
     /* 2229406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2229409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229417 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2229462), // Rule ID 55854 //
     /* 2229422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2229425 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2229428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2229442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229461 */     // GIR_Coverage, 55854,
     /* 2229461 */     GIR_EraseRootFromParent_Done,
     /* 2229462 */   // Label 31173: @2229462
     /* 2229462 */   GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2229507), // Rule ID 55855 //
     /* 2229467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2229470 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2229473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2229487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2229496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229506 */     // GIR_Coverage, 55855,
     /* 2229506 */     GIR_EraseRootFromParent_Done,
     /* 2229507 */   // Label 31174: @2229507
     /* 2229507 */   GIM_Reject,
     /* 2229508 */ // Label 31172: @2229508
     /* 2229508 */ GIM_Reject,
     /* 2229509 */ // Label 31119: @2229509
     /* 2229509 */ GIM_Reject,
     /* 2229510 */ // Label 70: @2229510
     /* 2229510 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31193*/ GIMT_Encode4(2235571),
     /* 2229521 */ /*GILLT_s16*//*Label 31175*/ GIMT_Encode4(2229641),
     /* 2229525 */ /*GILLT_s32*//*Label 31176*/ GIMT_Encode4(2230317),
     /* 2229529 */ /*GILLT_s64*//*Label 31177*/ GIMT_Encode4(2230993), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229541 */ /*GILLT_nxv1s16*//*Label 31178*/ GIMT_Encode4(2231806),
     /* 2229545 */ /*GILLT_nxv1s32*//*Label 31179*/ GIMT_Encode4(2232057),
     /* 2229549 */ /*GILLT_nxv1s64*//*Label 31180*/ GIMT_Encode4(2232308), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229561 */ /*GILLT_nxv2s16*//*Label 31181*/ GIMT_Encode4(2232559),
     /* 2229565 */ /*GILLT_nxv2s32*//*Label 31182*/ GIMT_Encode4(2232810),
     /* 2229569 */ /*GILLT_nxv2s64*//*Label 31183*/ GIMT_Encode4(2233061), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229581 */ /*GILLT_nxv4s16*//*Label 31184*/ GIMT_Encode4(2233312),
     /* 2229585 */ /*GILLT_nxv4s32*//*Label 31185*/ GIMT_Encode4(2233563),
     /* 2229589 */ /*GILLT_nxv4s64*//*Label 31186*/ GIMT_Encode4(2233814), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229601 */ /*GILLT_nxv8s16*//*Label 31187*/ GIMT_Encode4(2234065),
     /* 2229605 */ /*GILLT_nxv8s32*//*Label 31188*/ GIMT_Encode4(2234316),
     /* 2229609 */ /*GILLT_nxv8s64*//*Label 31189*/ GIMT_Encode4(2234567), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229621 */ /*GILLT_nxv16s16*//*Label 31190*/ GIMT_Encode4(2234818),
     /* 2229625 */ /*GILLT_nxv16s32*//*Label 31191*/ GIMT_Encode4(2235069), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2229637 */ /*GILLT_nxv32s16*//*Label 31192*/ GIMT_Encode4(2235320),
     /* 2229641 */ // Label 31175: @2229641
     /* 2229641 */ GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2230316),
     /* 2229646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2229649 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2229700), // Rule ID 1856 //
     /* 2229654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2229657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2229660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2229672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2229676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2229680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229687 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2229687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2229690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229699 */     // GIR_Coverage, 1856,
     /* 2229699 */     GIR_EraseRootFromParent_Done,
     /* 2229700 */   // Label 31195: @2229700
     /* 2229700 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2229751), // Rule ID 1889 //
     /* 2229705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2229708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2229711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2229723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2229727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2229731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2229738 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2229738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2229741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229750 */     // GIR_Coverage, 1889,
     /* 2229750 */     GIR_EraseRootFromParent_Done,
     /* 2229751 */   // Label 31196: @2229751
     /* 2229751 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2229781), // Rule ID 1854 //
     /* 2229756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2229759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2229762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229774 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2229774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2229779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229780 */     // GIR_Coverage, 1854,
     /* 2229780 */     GIR_Done,
     /* 2229781 */   // Label 31197: @2229781
     /* 2229781 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2229837), // Rule ID 1857 //
     /* 2229786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2229789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2229804 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2229804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2229811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2229820 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2229823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2229828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229836 */     // GIR_Coverage, 1857,
     /* 2229836 */     GIR_EraseRootFromParent_Done,
     /* 2229837 */   // Label 31198: @2229837
     /* 2229837 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2229893), // Rule ID 1858 //
     /* 2229842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2229845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2229860 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2229860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2229867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2229876 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2229879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2229884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229892 */     // GIR_Coverage, 1858,
     /* 2229892 */     GIR_EraseRootFromParent_Done,
     /* 2229893 */   // Label 31199: @2229893
     /* 2229893 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2229923), // Rule ID 1887 //
     /* 2229898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2229901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2229904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229916 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2229916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2229921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229922 */     // GIR_Coverage, 1887,
     /* 2229922 */     GIR_Done,
     /* 2229923 */   // Label 31200: @2229923
     /* 2229923 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2229979), // Rule ID 1890 //
     /* 2229928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2229931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2229946 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2229946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2229953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2229962 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2229965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2229970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229978 */     // GIR_Coverage, 1890,
     /* 2229978 */     GIR_EraseRootFromParent_Done,
     /* 2229979 */   // Label 31201: @2229979
     /* 2229979 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2230035), // Rule ID 1891 //
     /* 2229984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2229987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2229990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2229998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230002 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2230002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2230009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230018 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2230026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230034 */     // GIR_Coverage, 1891,
     /* 2230034 */     GIR_EraseRootFromParent_Done,
     /* 2230035 */   // Label 31202: @2230035
     /* 2230035 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2230091), // Rule ID 2160 //
     /* 2230040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2230043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230058 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2230065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230074 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2230082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230090 */     // GIR_Coverage, 2160,
     /* 2230090 */     GIR_EraseRootFromParent_Done,
     /* 2230091 */   // Label 31203: @2230091
     /* 2230091 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2230147), // Rule ID 2161 //
     /* 2230096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2230099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230114 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2230114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2230121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2230138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230146 */     // GIR_Coverage, 2161,
     /* 2230146 */     GIR_EraseRootFromParent_Done,
     /* 2230147 */   // Label 31204: @2230147
     /* 2230147 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2230203), // Rule ID 2172 //
     /* 2230152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2230155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2230170 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2230177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230186 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2230194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230202 */     // GIR_Coverage, 2172,
     /* 2230202 */     GIR_EraseRootFromParent_Done,
     /* 2230203 */   // Label 31205: @2230203
     /* 2230203 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2230259), // Rule ID 2173 //
     /* 2230208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2230211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2230226 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2230226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2230233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230242 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2230250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230258 */     // GIR_Coverage, 2173,
     /* 2230258 */     GIR_EraseRootFromParent_Done,
     /* 2230259 */   // Label 31206: @2230259
     /* 2230259 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2230315), // Rule ID 2180 //
     /* 2230264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2230267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230282 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2230285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2230289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230298 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2230306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230314 */     // GIR_Coverage, 2180,
     /* 2230314 */     GIR_EraseRootFromParent_Done,
     /* 2230315 */   // Label 31207: @2230315
     /* 2230315 */   GIM_Reject,
     /* 2230316 */ // Label 31194: @2230316
     /* 2230316 */ GIM_Reject,
     /* 2230317 */ // Label 31176: @2230317
     /* 2230317 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2230992),
     /* 2230322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2230325 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2230376), // Rule ID 1157 //
     /* 2230330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2230333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2230348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2230352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2230356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230363 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2230363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2230366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230375 */     // GIR_Coverage, 1157,
     /* 2230375 */     GIR_EraseRootFromParent_Done,
     /* 2230376 */   // Label 31209: @2230376
     /* 2230376 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2230427), // Rule ID 1178 //
     /* 2230381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2230384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2230399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2230403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2230407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2230414 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2230414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2230417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230426 */     // GIR_Coverage, 1178,
     /* 2230426 */     GIR_EraseRootFromParent_Done,
     /* 2230427 */   // Label 31210: @2230427
     /* 2230427 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2230457), // Rule ID 1153 //
     /* 2230432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2230435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230450 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2230450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2230455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230456 */     // GIR_Coverage, 1153,
     /* 2230456 */     GIR_Done,
     /* 2230457 */   // Label 31211: @2230457
     /* 2230457 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2230487), // Rule ID 1154 //
     /* 2230462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2230465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2230468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230480 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2230480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230486 */     // GIR_Coverage, 1154,
     /* 2230486 */     GIR_Done,
     /* 2230487 */   // Label 31212: @2230487
     /* 2230487 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2230543), // Rule ID 1493 //
     /* 2230492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2230495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230510 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2230517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230526 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2230534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230542 */     // GIR_Coverage, 1493,
     /* 2230542 */     GIR_EraseRootFromParent_Done,
     /* 2230543 */   // Label 31213: @2230543
     /* 2230543 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2230599), // Rule ID 1494 //
     /* 2230548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2230551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230566 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2230566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2230573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230582 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2230590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230598 */     // GIR_Coverage, 1494,
     /* 2230598 */     GIR_EraseRootFromParent_Done,
     /* 2230599 */   // Label 31214: @2230599
     /* 2230599 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2230655), // Rule ID 1524 //
     /* 2230604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2230607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2230622 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2230629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230638 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230654 */     // GIR_Coverage, 1524,
     /* 2230654 */     GIR_EraseRootFromParent_Done,
     /* 2230655 */   // Label 31215: @2230655
     /* 2230655 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2230711), // Rule ID 1548 //
     /* 2230660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2230663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2230678 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2230678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2230685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230694 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230710 */     // GIR_Coverage, 1548,
     /* 2230710 */     GIR_EraseRootFromParent_Done,
     /* 2230711 */   // Label 31216: @2230711
     /* 2230711 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2230767), // Rule ID 1549 //
     /* 2230716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2230719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2230722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2230734 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2230734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2230741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230750 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2230753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230766 */     // GIR_Coverage, 1549,
     /* 2230766 */     GIR_EraseRootFromParent_Done,
     /* 2230767 */   // Label 31217: @2230767
     /* 2230767 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2230823), // Rule ID 2032 //
     /* 2230772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2230775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2230778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230790 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2230790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2230797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230806 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2230809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2230814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230822 */     // GIR_Coverage, 2032,
     /* 2230822 */     GIR_EraseRootFromParent_Done,
     /* 2230823 */   // Label 31218: @2230823
     /* 2230823 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2230879), // Rule ID 2033 //
     /* 2230828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2230831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2230834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230846 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2230846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2230853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230862 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2230865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2230870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230878 */     // GIR_Coverage, 2033,
     /* 2230878 */     GIR_EraseRootFromParent_Done,
     /* 2230879 */   // Label 31219: @2230879
     /* 2230879 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2230935), // Rule ID 2046 //
     /* 2230884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2230887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2230890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230902 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2230902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2230909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230918 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2230921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230934 */     // GIR_Coverage, 2046,
     /* 2230934 */     GIR_EraseRootFromParent_Done,
     /* 2230935 */   // Label 31220: @2230935
     /* 2230935 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2230991), // Rule ID 2047 //
     /* 2230940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2230943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2230946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2230954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2230958 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2230958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2230961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2230965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2230974 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2230977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2230982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230990 */     // GIR_Coverage, 2047,
     /* 2230990 */     GIR_EraseRootFromParent_Done,
     /* 2230991 */   // Label 31221: @2230991
     /* 2230991 */   GIM_Reject,
     /* 2230992 */ // Label 31208: @2230992
     /* 2230992 */ GIM_Reject,
     /* 2230993 */ // Label 31177: @2230993
     /* 2230993 */ GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2231805),
     /* 2230998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2231001 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2231052), // Rule ID 1490 //
     /* 2231006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2231009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2231028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2231032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231039 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2231039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2231042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231051 */     // GIR_Coverage, 1490,
     /* 2231051 */     GIR_EraseRootFromParent_Done,
     /* 2231052 */   // Label 31223: @2231052
     /* 2231052 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2231103), // Rule ID 1522 //
     /* 2231057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2231060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2231079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2231083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231090 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2231090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2231093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231102 */     // GIR_Coverage, 1522,
     /* 2231102 */     GIR_EraseRootFromParent_Done,
     /* 2231103 */   // Label 31224: @2231103
     /* 2231103 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2231154), // Rule ID 1545 //
     /* 2231108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2231111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2231130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2231134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231141 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2231141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2231144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231153 */     // GIR_Coverage, 1545,
     /* 2231153 */     GIR_EraseRootFromParent_Done,
     /* 2231154 */   // Label 31225: @2231154
     /* 2231154 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2231184), // Rule ID 1488 //
     /* 2231159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2231162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231177 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2231177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2231182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231183 */     // GIR_Coverage, 1488,
     /* 2231183 */     GIR_Done,
     /* 2231184 */   // Label 31226: @2231184
     /* 2231184 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2231240), // Rule ID 1491 //
     /* 2231189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2231192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2231207 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2231207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2231214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231223 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2231231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231239 */     // GIR_Coverage, 1491,
     /* 2231239 */     GIR_EraseRootFromParent_Done,
     /* 2231240 */   // Label 31227: @2231240
     /* 2231240 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2231296), // Rule ID 1492 //
     /* 2231245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2231248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2231263 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2231263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2231270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231279 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2231287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231295 */     // GIR_Coverage, 1492,
     /* 2231295 */     GIR_EraseRootFromParent_Done,
     /* 2231296 */   // Label 31228: @2231296
     /* 2231296 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2231326), // Rule ID 1520 //
     /* 2231301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2231304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231319 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2231319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2231324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231325 */     // GIR_Coverage, 1520,
     /* 2231325 */     GIR_Done,
     /* 2231326 */   // Label 31229: @2231326
     /* 2231326 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2231382), // Rule ID 1523 //
     /* 2231331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2231334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2231349 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2231349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2231356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231365 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2231373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231381 */     // GIR_Coverage, 1523,
     /* 2231381 */     GIR_EraseRootFromParent_Done,
     /* 2231382 */   // Label 31230: @2231382
     /* 2231382 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2231412), // Rule ID 1543 //
     /* 2231387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2231390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2231393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231405 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2231405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2231410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231411 */     // GIR_Coverage, 1543,
     /* 2231411 */     GIR_Done,
     /* 2231412 */   // Label 31231: @2231412
     /* 2231412 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2231468), // Rule ID 1546 //
     /* 2231417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2231420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2231435 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2231435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2231442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231451 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2231459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231467 */     // GIR_Coverage, 1546,
     /* 2231467 */     GIR_EraseRootFromParent_Done,
     /* 2231468 */   // Label 31232: @2231468
     /* 2231468 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2231524), // Rule ID 1547 //
     /* 2231473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2231476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2231491 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2231491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2231498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2231515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231523 */     // GIR_Coverage, 1547,
     /* 2231523 */     GIR_EraseRootFromParent_Done,
     /* 2231524 */   // Label 31233: @2231524
     /* 2231524 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2231580), // Rule ID 2162 //
     /* 2231529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2231532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2231535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231547 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2231547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2231554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231563 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2231571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231579 */     // GIR_Coverage, 2162,
     /* 2231579 */     GIR_EraseRootFromParent_Done,
     /* 2231580 */   // Label 31234: @2231580
     /* 2231580 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2231636), // Rule ID 2163 //
     /* 2231585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2231588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2231591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2231599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231603 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2231603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2231610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231619 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2231627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231635 */     // GIR_Coverage, 2163,
     /* 2231635 */     GIR_EraseRootFromParent_Done,
     /* 2231636 */   // Label 31235: @2231636
     /* 2231636 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2231692), // Rule ID 2174 //
     /* 2231641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2231644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2231647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2231659 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2231659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2231666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231675 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2231683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231691 */     // GIR_Coverage, 2174,
     /* 2231691 */     GIR_EraseRootFromParent_Done,
     /* 2231692 */   // Label 31236: @2231692
     /* 2231692 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2231748), // Rule ID 2175 //
     /* 2231697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2231700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2231703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2231711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2231715 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2231715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2231722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231731 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2231739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231747 */     // GIR_Coverage, 2175,
     /* 2231747 */     GIR_EraseRootFromParent_Done,
     /* 2231748 */   // Label 31237: @2231748
     /* 2231748 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2231804), // Rule ID 2181 //
     /* 2231753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2231756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2231759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2231771 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2231771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2231774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2231778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2231787 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2231790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2231795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231803 */     // GIR_Coverage, 2181,
     /* 2231803 */     GIR_EraseRootFromParent_Done,
     /* 2231804 */   // Label 31238: @2231804
     /* 2231804 */   GIM_Reject,
     /* 2231805 */ // Label 31222: @2231805
     /* 2231805 */ GIM_Reject,
     /* 2231806 */ // Label 31178: @2231806
     /* 2231806 */ GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2232056),
     /* 2231811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2231814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231825 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2231891), // Rule ID 55704 //
     /* 2231830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2231833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2231841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2231845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231852 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2231869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231890 */     // GIR_Coverage, 55704,
     /* 2231890 */     GIR_EraseRootFromParent_Done,
     /* 2231891 */   // Label 31240: @2231891
     /* 2231891 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2231957), // Rule ID 55705 //
     /* 2231896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2231899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2231907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2231911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231918 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2231935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231956 */     // GIR_Coverage, 55705,
     /* 2231956 */     GIR_EraseRootFromParent_Done,
     /* 2231957 */   // Label 31241: @2231957
     /* 2231957 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2232006), // Rule ID 55698 //
     /* 2231962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2231965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231969 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2231972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2231986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232005 */     // GIR_Coverage, 55698,
     /* 2232005 */     GIR_EraseRootFromParent_Done,
     /* 2232006 */   // Label 31242: @2232006
     /* 2232006 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2232055), // Rule ID 55699 //
     /* 2232011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2232014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232018 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2232021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2232035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232054 */     // GIR_Coverage, 55699,
     /* 2232054 */     GIR_EraseRootFromParent_Done,
     /* 2232055 */   // Label 31243: @2232055
     /* 2232055 */   GIM_Reject,
     /* 2232056 */ // Label 31239: @2232056
     /* 2232056 */ GIM_Reject,
     /* 2232057 */ // Label 31179: @2232057
     /* 2232057 */ GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2232307),
     /* 2232062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2232065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232076 */   GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2232142), // Rule ID 55744 //
     /* 2232081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2232084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2232096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232103 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2232120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232141 */     // GIR_Coverage, 55744,
     /* 2232141 */     GIR_EraseRootFromParent_Done,
     /* 2232142 */   // Label 31245: @2232142
     /* 2232142 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2232208), // Rule ID 55745 //
     /* 2232147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2232150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2232162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232169 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2232186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232207 */     // GIR_Coverage, 55745,
     /* 2232207 */     GIR_EraseRootFromParent_Done,
     /* 2232208 */   // Label 31246: @2232208
     /* 2232208 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2232257), // Rule ID 55738 //
     /* 2232213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2232216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232220 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2232237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232256 */     // GIR_Coverage, 55738,
     /* 2232256 */     GIR_EraseRootFromParent_Done,
     /* 2232257 */   // Label 31247: @2232257
     /* 2232257 */   GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2232306), // Rule ID 55739 //
     /* 2232262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2232265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232269 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2232286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232305 */     // GIR_Coverage, 55739,
     /* 2232305 */     GIR_EraseRootFromParent_Done,
     /* 2232306 */   // Label 31248: @2232306
     /* 2232306 */   GIM_Reject,
     /* 2232307 */ // Label 31244: @2232307
     /* 2232307 */ GIM_Reject,
     /* 2232308 */ // Label 31180: @2232308
     /* 2232308 */ GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2232558),
     /* 2232313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2232316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232327 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2232393), // Rule ID 55804 //
     /* 2232332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2232335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2232347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232354 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2232371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232392 */     // GIR_Coverage, 55804,
     /* 2232392 */     GIR_EraseRootFromParent_Done,
     /* 2232393 */   // Label 31250: @2232393
     /* 2232393 */   GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2232459), // Rule ID 55805 //
     /* 2232398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2232401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2232413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232420 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2232437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232458 */     // GIR_Coverage, 55805,
     /* 2232458 */     GIR_EraseRootFromParent_Done,
     /* 2232459 */   // Label 31251: @2232459
     /* 2232459 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2232508), // Rule ID 55798 //
     /* 2232464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2232467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232471 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2232488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232507 */     // GIR_Coverage, 55798,
     /* 2232507 */     GIR_EraseRootFromParent_Done,
     /* 2232508 */   // Label 31252: @2232508
     /* 2232508 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2232557), // Rule ID 55799 //
     /* 2232513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2232516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232520 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2232537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232556 */     // GIR_Coverage, 55799,
     /* 2232556 */     GIR_EraseRootFromParent_Done,
     /* 2232557 */   // Label 31253: @2232557
     /* 2232557 */   GIM_Reject,
     /* 2232558 */ // Label 31249: @2232558
     /* 2232558 */ GIM_Reject,
     /* 2232559 */ // Label 31181: @2232559
     /* 2232559 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2232809),
     /* 2232564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2232567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2232570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232578 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2232644), // Rule ID 55724 //
     /* 2232583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2232586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2232598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232605 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2232622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232643 */     // GIR_Coverage, 55724,
     /* 2232643 */     GIR_EraseRootFromParent_Done,
     /* 2232644 */   // Label 31255: @2232644
     /* 2232644 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2232710), // Rule ID 55725 //
     /* 2232649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2232652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2232664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232671 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2232688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232709 */     // GIR_Coverage, 55725,
     /* 2232709 */     GIR_EraseRootFromParent_Done,
     /* 2232710 */   // Label 31256: @2232710
     /* 2232710 */   GIM_Try, /*On fail goto*//*Label 31257*/ GIMT_Encode4(2232759), // Rule ID 55718 //
     /* 2232715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2232718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232722 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2232739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232758 */     // GIR_Coverage, 55718,
     /* 2232758 */     GIR_EraseRootFromParent_Done,
     /* 2232759 */   // Label 31257: @2232759
     /* 2232759 */   GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2232808), // Rule ID 55719 //
     /* 2232764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2232767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232771 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2232788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232807 */     // GIR_Coverage, 55719,
     /* 2232807 */     GIR_EraseRootFromParent_Done,
     /* 2232808 */   // Label 31258: @2232808
     /* 2232808 */   GIM_Reject,
     /* 2232809 */ // Label 31254: @2232809
     /* 2232809 */ GIM_Reject,
     /* 2232810 */ // Label 31182: @2232810
     /* 2232810 */ GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2233060),
     /* 2232815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2232818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2232821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232829 */   GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2232895), // Rule ID 55784 //
     /* 2232834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2232837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2232849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232856 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2232859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2232873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232894 */     // GIR_Coverage, 55784,
     /* 2232894 */     GIR_EraseRootFromParent_Done,
     /* 2232895 */   // Label 31260: @2232895
     /* 2232895 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2232961), // Rule ID 55785 //
     /* 2232900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2232903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2232911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2232915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232922 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2232925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2232939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2232950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232960 */     // GIR_Coverage, 55785,
     /* 2232960 */     GIR_EraseRootFromParent_Done,
     /* 2232961 */   // Label 31261: @2232961
     /* 2232961 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2233010), // Rule ID 55778 //
     /* 2232966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2232969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232973 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2232976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2232990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233009 */     // GIR_Coverage, 55778,
     /* 2233009 */     GIR_EraseRootFromParent_Done,
     /* 2233010 */   // Label 31262: @2233010
     /* 2233010 */   GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2233059), // Rule ID 55779 //
     /* 2233015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2233018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233022 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2233025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2233039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233058 */     // GIR_Coverage, 55779,
     /* 2233058 */     GIR_EraseRootFromParent_Done,
     /* 2233059 */   // Label 31263: @2233059
     /* 2233059 */   GIM_Reject,
     /* 2233060 */ // Label 31259: @2233060
     /* 2233060 */ GIM_Reject,
     /* 2233061 */ // Label 31183: @2233061
     /* 2233061 */ GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2233311),
     /* 2233066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2233069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233080 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2233146), // Rule ID 55944 //
     /* 2233085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2233088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2233100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233107 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2233124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233145 */     // GIR_Coverage, 55944,
     /* 2233145 */     GIR_EraseRootFromParent_Done,
     /* 2233146 */   // Label 31265: @2233146
     /* 2233146 */   GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2233212), // Rule ID 55945 //
     /* 2233151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2233154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2233166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233173 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2233190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233211 */     // GIR_Coverage, 55945,
     /* 2233211 */     GIR_EraseRootFromParent_Done,
     /* 2233212 */   // Label 31266: @2233212
     /* 2233212 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2233261), // Rule ID 55938 //
     /* 2233217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2233220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233224 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2233241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233260 */     // GIR_Coverage, 55938,
     /* 2233260 */     GIR_EraseRootFromParent_Done,
     /* 2233261 */   // Label 31267: @2233261
     /* 2233261 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2233310), // Rule ID 55939 //
     /* 2233266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2233269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233273 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2233290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233309 */     // GIR_Coverage, 55939,
     /* 2233309 */     GIR_EraseRootFromParent_Done,
     /* 2233310 */   // Label 31268: @2233310
     /* 2233310 */   GIM_Reject,
     /* 2233311 */ // Label 31264: @2233311
     /* 2233311 */ GIM_Reject,
     /* 2233312 */ // Label 31184: @2233312
     /* 2233312 */ GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2233562),
     /* 2233317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2233320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233331 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2233397), // Rule ID 55764 //
     /* 2233336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2233339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2233351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233358 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2233375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233396 */     // GIR_Coverage, 55764,
     /* 2233396 */     GIR_EraseRootFromParent_Done,
     /* 2233397 */   // Label 31270: @2233397
     /* 2233397 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2233463), // Rule ID 55765 //
     /* 2233402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2233405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2233417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233424 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2233441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233462 */     // GIR_Coverage, 55765,
     /* 2233462 */     GIR_EraseRootFromParent_Done,
     /* 2233463 */   // Label 31271: @2233463
     /* 2233463 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2233512), // Rule ID 55758 //
     /* 2233468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2233471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233475 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2233492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233511 */     // GIR_Coverage, 55758,
     /* 2233511 */     GIR_EraseRootFromParent_Done,
     /* 2233512 */   // Label 31272: @2233512
     /* 2233512 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2233561), // Rule ID 55759 //
     /* 2233517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2233520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233524 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2233541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233560 */     // GIR_Coverage, 55759,
     /* 2233560 */     GIR_EraseRootFromParent_Done,
     /* 2233561 */   // Label 31273: @2233561
     /* 2233561 */   GIM_Reject,
     /* 2233562 */ // Label 31269: @2233562
     /* 2233562 */ GIM_Reject,
     /* 2233563 */ // Label 31185: @2233563
     /* 2233563 */ GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2233813),
     /* 2233568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2233571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233582 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2233648), // Rule ID 55884 //
     /* 2233587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2233590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2233602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233609 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2233626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233647 */     // GIR_Coverage, 55884,
     /* 2233647 */     GIR_EraseRootFromParent_Done,
     /* 2233648 */   // Label 31275: @2233648
     /* 2233648 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2233714), // Rule ID 55885 //
     /* 2233653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2233656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2233668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233675 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2233692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233713 */     // GIR_Coverage, 55885,
     /* 2233713 */     GIR_EraseRootFromParent_Done,
     /* 2233714 */   // Label 31276: @2233714
     /* 2233714 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2233763), // Rule ID 55878 //
     /* 2233719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2233722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233726 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2233743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233762 */     // GIR_Coverage, 55878,
     /* 2233762 */     GIR_EraseRootFromParent_Done,
     /* 2233763 */   // Label 31277: @2233763
     /* 2233763 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2233812), // Rule ID 55879 //
     /* 2233768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2233771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233775 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2233792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233811 */     // GIR_Coverage, 55879,
     /* 2233811 */     GIR_EraseRootFromParent_Done,
     /* 2233812 */   // Label 31278: @2233812
     /* 2233812 */   GIM_Reject,
     /* 2233813 */ // Label 31274: @2233813
     /* 2233813 */ GIM_Reject,
     /* 2233814 */ // Label 31186: @2233814
     /* 2233814 */ GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2234064),
     /* 2233819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2233822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233833 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2233899), // Rule ID 55964 //
     /* 2233838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2233841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2233853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233860 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2233877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233898 */     // GIR_Coverage, 55964,
     /* 2233898 */     GIR_EraseRootFromParent_Done,
     /* 2233899 */   // Label 31280: @2233899
     /* 2233899 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2233965), // Rule ID 55965 //
     /* 2233904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2233907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2233911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2233915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2233919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2233926 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2233943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2233954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233964 */     // GIR_Coverage, 55965,
     /* 2233964 */     GIR_EraseRootFromParent_Done,
     /* 2233965 */   // Label 31281: @2233965
     /* 2233965 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2234014), // Rule ID 55958 //
     /* 2233970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2233973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233977 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2233994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234013 */     // GIR_Coverage, 55958,
     /* 2234013 */     GIR_EraseRootFromParent_Done,
     /* 2234014 */   // Label 31282: @2234014
     /* 2234014 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2234063), // Rule ID 55959 //
     /* 2234019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2234022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234026 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2234029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2234043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234062 */     // GIR_Coverage, 55959,
     /* 2234062 */     GIR_EraseRootFromParent_Done,
     /* 2234063 */   // Label 31283: @2234063
     /* 2234063 */   GIM_Reject,
     /* 2234064 */ // Label 31279: @2234064
     /* 2234064 */ GIM_Reject,
     /* 2234065 */ // Label 31187: @2234065
     /* 2234065 */ GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2234315),
     /* 2234070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2234073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2234076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234084 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2234150), // Rule ID 55824 //
     /* 2234089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2234092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2234104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234111 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2234114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2234128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234149 */     // GIR_Coverage, 55824,
     /* 2234149 */     GIR_EraseRootFromParent_Done,
     /* 2234150 */   // Label 31285: @2234150
     /* 2234150 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2234216), // Rule ID 55825 //
     /* 2234155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2234158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2234170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234177 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2234180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2234194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234215 */     // GIR_Coverage, 55825,
     /* 2234215 */     GIR_EraseRootFromParent_Done,
     /* 2234216 */   // Label 31286: @2234216
     /* 2234216 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2234265), // Rule ID 55818 //
     /* 2234221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2234224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234228 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2234231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2234245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234264 */     // GIR_Coverage, 55818,
     /* 2234264 */     GIR_EraseRootFromParent_Done,
     /* 2234265 */   // Label 31287: @2234265
     /* 2234265 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2234314), // Rule ID 55819 //
     /* 2234270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2234273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234277 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2234280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2234294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234313 */     // GIR_Coverage, 55819,
     /* 2234313 */     GIR_EraseRootFromParent_Done,
     /* 2234314 */   // Label 31288: @2234314
     /* 2234314 */   GIM_Reject,
     /* 2234315 */ // Label 31284: @2234315
     /* 2234315 */ GIM_Reject,
     /* 2234316 */ // Label 31188: @2234316
     /* 2234316 */ GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2234566),
     /* 2234321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2234324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2234327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234335 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2234401), // Rule ID 55904 //
     /* 2234340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2234343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2234355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234362 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2234365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2234379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234400 */     // GIR_Coverage, 55904,
     /* 2234400 */     GIR_EraseRootFromParent_Done,
     /* 2234401 */   // Label 31290: @2234401
     /* 2234401 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2234467), // Rule ID 55905 //
     /* 2234406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2234409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2234421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234428 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2234431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2234445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234466 */     // GIR_Coverage, 55905,
     /* 2234466 */     GIR_EraseRootFromParent_Done,
     /* 2234467 */   // Label 31291: @2234467
     /* 2234467 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2234516), // Rule ID 55898 //
     /* 2234472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2234475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234479 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2234482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2234496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234515 */     // GIR_Coverage, 55898,
     /* 2234515 */     GIR_EraseRootFromParent_Done,
     /* 2234516 */   // Label 31292: @2234516
     /* 2234516 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2234565), // Rule ID 55899 //
     /* 2234521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2234524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234528 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2234531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2234545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234564 */     // GIR_Coverage, 55899,
     /* 2234564 */     GIR_EraseRootFromParent_Done,
     /* 2234565 */   // Label 31293: @2234565
     /* 2234565 */   GIM_Reject,
     /* 2234566 */ // Label 31289: @2234566
     /* 2234566 */ GIM_Reject,
     /* 2234567 */ // Label 31189: @2234567
     /* 2234567 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2234817),
     /* 2234572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2234575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2234578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234586 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2234652), // Rule ID 55984 //
     /* 2234591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2234594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2234606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234613 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2234630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234651 */     // GIR_Coverage, 55984,
     /* 2234651 */     GIR_EraseRootFromParent_Done,
     /* 2234652 */   // Label 31295: @2234652
     /* 2234652 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2234718), // Rule ID 55985 //
     /* 2234657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2234660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2234672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234679 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2234696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234717 */     // GIR_Coverage, 55985,
     /* 2234717 */     GIR_EraseRootFromParent_Done,
     /* 2234718 */   // Label 31296: @2234718
     /* 2234718 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2234767), // Rule ID 55978 //
     /* 2234723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2234726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234730 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2234747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234766 */     // GIR_Coverage, 55978,
     /* 2234766 */     GIR_EraseRootFromParent_Done,
     /* 2234767 */   // Label 31297: @2234767
     /* 2234767 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2234816), // Rule ID 55979 //
     /* 2234772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2234775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234779 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2234796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234815 */     // GIR_Coverage, 55979,
     /* 2234815 */     GIR_EraseRootFromParent_Done,
     /* 2234816 */   // Label 31298: @2234816
     /* 2234816 */   GIM_Reject,
     /* 2234817 */ // Label 31294: @2234817
     /* 2234817 */ GIM_Reject,
     /* 2234818 */ // Label 31190: @2234818
     /* 2234818 */ GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2235068),
     /* 2234823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2234826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2234829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234837 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2234903), // Rule ID 55844 //
     /* 2234842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2234845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2234857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234864 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2234867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2234881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234902 */     // GIR_Coverage, 55844,
     /* 2234902 */     GIR_EraseRootFromParent_Done,
     /* 2234903 */   // Label 31300: @2234903
     /* 2234903 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2234969), // Rule ID 55845 //
     /* 2234908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2234911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2234919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2234923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2234930 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2234933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2234947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2234958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234968 */     // GIR_Coverage, 55845,
     /* 2234968 */     GIR_EraseRootFromParent_Done,
     /* 2234969 */   // Label 31301: @2234969
     /* 2234969 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2235018), // Rule ID 55838 //
     /* 2234974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2234977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234981 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2234984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2234998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235017 */     // GIR_Coverage, 55838,
     /* 2235017 */     GIR_EraseRootFromParent_Done,
     /* 2235018 */   // Label 31302: @2235018
     /* 2235018 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2235067), // Rule ID 55839 //
     /* 2235023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2235026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235030 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2235033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2235047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235066 */     // GIR_Coverage, 55839,
     /* 2235066 */     GIR_EraseRootFromParent_Done,
     /* 2235067 */   // Label 31303: @2235067
     /* 2235067 */   GIM_Reject,
     /* 2235068 */ // Label 31299: @2235068
     /* 2235068 */ GIM_Reject,
     /* 2235069 */ // Label 31191: @2235069
     /* 2235069 */ GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2235319),
     /* 2235074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2235077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2235080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235088 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2235154), // Rule ID 55924 //
     /* 2235093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2235096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2235100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2235104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2235108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235115 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2235118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2235132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2235143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235153 */     // GIR_Coverage, 55924,
     /* 2235153 */     GIR_EraseRootFromParent_Done,
     /* 2235154 */   // Label 31305: @2235154
     /* 2235154 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2235220), // Rule ID 55925 //
     /* 2235159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2235162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2235166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2235170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2235174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235181 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2235184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2235198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2235209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235219 */     // GIR_Coverage, 55925,
     /* 2235219 */     GIR_EraseRootFromParent_Done,
     /* 2235220 */   // Label 31306: @2235220
     /* 2235220 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2235269), // Rule ID 55918 //
     /* 2235225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2235228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235232 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2235235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2235249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235268 */     // GIR_Coverage, 55918,
     /* 2235268 */     GIR_EraseRootFromParent_Done,
     /* 2235269 */   // Label 31307: @2235269
     /* 2235269 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2235318), // Rule ID 55919 //
     /* 2235274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2235277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235281 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2235284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2235298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235317 */     // GIR_Coverage, 55919,
     /* 2235317 */     GIR_EraseRootFromParent_Done,
     /* 2235318 */   // Label 31308: @2235318
     /* 2235318 */   GIM_Reject,
     /* 2235319 */ // Label 31304: @2235319
     /* 2235319 */ GIM_Reject,
     /* 2235320 */ // Label 31192: @2235320
     /* 2235320 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2235570),
     /* 2235325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2235328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2235331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235339 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2235405), // Rule ID 55864 //
     /* 2235344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2235347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2235351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2235355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2235359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235366 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2235369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2235383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2235394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235404 */     // GIR_Coverage, 55864,
     /* 2235404 */     GIR_EraseRootFromParent_Done,
     /* 2235405 */   // Label 31310: @2235405
     /* 2235405 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2235471), // Rule ID 55865 //
     /* 2235410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2235413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2235417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2235421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2235425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235432 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2235435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2235449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2235460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235470 */     // GIR_Coverage, 55865,
     /* 2235470 */     GIR_EraseRootFromParent_Done,
     /* 2235471 */   // Label 31311: @2235471
     /* 2235471 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2235520), // Rule ID 55858 //
     /* 2235476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2235479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235483 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2235486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2235500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235519 */     // GIR_Coverage, 55858,
     /* 2235519 */     GIR_EraseRootFromParent_Done,
     /* 2235520 */   // Label 31312: @2235520
     /* 2235520 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2235569), // Rule ID 55859 //
     /* 2235525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2235528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235532 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2235535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2235549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235568 */     // GIR_Coverage, 55859,
     /* 2235568 */     GIR_EraseRootFromParent_Done,
     /* 2235569 */   // Label 31313: @2235569
     /* 2235569 */   GIM_Reject,
     /* 2235570 */ // Label 31309: @2235570
     /* 2235570 */ GIM_Reject,
     /* 2235571 */ // Label 31193: @2235571
     /* 2235571 */ GIM_Reject,
     /* 2235572 */ // Label 71: @2235572
     /* 2235572 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31317*/ GIMT_Encode4(2235761),
     /* 2235583 */ /*GILLT_s16*//*Label 31314*/ GIMT_Encode4(2235595),
     /* 2235587 */ /*GILLT_s32*//*Label 31315*/ GIMT_Encode4(2235645),
     /* 2235591 */ /*GILLT_s64*//*Label 31316*/ GIMT_Encode4(2235695),
     /* 2235595 */ // Label 31314: @2235595
     /* 2235595 */ GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2235644),
     /* 2235600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2235603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235611 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2235627), // Rule ID 1924 //
     /* 2235616 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2235616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2235619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235626 */     // GIR_Coverage, 1924,
     /* 2235626 */     GIR_EraseRootFromParent_Done,
     /* 2235627 */   // Label 31319: @2235627
     /* 2235627 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2235643), // Rule ID 1925 //
     /* 2235632 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2235632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2235635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235642 */     // GIR_Coverage, 1925,
     /* 2235642 */     GIR_EraseRootFromParent_Done,
     /* 2235643 */   // Label 31320: @2235643
     /* 2235643 */   GIM_Reject,
     /* 2235644 */ // Label 31318: @2235644
     /* 2235644 */ GIM_Reject,
     /* 2235645 */ // Label 31315: @2235645
     /* 2235645 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2235694),
     /* 2235650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2235653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2235657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2235661 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2235677), // Rule ID 1211 //
     /* 2235666 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2235666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2235669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235676 */     // GIR_Coverage, 1211,
     /* 2235676 */     GIR_EraseRootFromParent_Done,
     /* 2235677 */   // Label 31322: @2235677
     /* 2235677 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2235693), // Rule ID 1212 //
     /* 2235682 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2235682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2235685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235692 */     // GIR_Coverage, 1212,
     /* 2235692 */     GIR_EraseRootFromParent_Done,
     /* 2235693 */   // Label 31323: @2235693
     /* 2235693 */   GIM_Reject,
     /* 2235694 */ // Label 31321: @2235694
     /* 2235694 */ GIM_Reject,
     /* 2235695 */ // Label 31316: @2235695
     /* 2235695 */ GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2235760),
     /* 2235700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2235703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2235707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2235711 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2235727), // Rule ID 1588 //
     /* 2235716 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2235716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2235719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235726 */     // GIR_Coverage, 1588,
     /* 2235726 */     GIR_EraseRootFromParent_Done,
     /* 2235727 */   // Label 31325: @2235727
     /* 2235727 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2235743), // Rule ID 1589 //
     /* 2235732 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2235732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2235735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235742 */     // GIR_Coverage, 1589,
     /* 2235742 */     GIR_EraseRootFromParent_Done,
     /* 2235743 */   // Label 31326: @2235743
     /* 2235743 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2235759), // Rule ID 1590 //
     /* 2235748 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2235748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2235751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235758 */     // GIR_Coverage, 1590,
     /* 2235758 */     GIR_EraseRootFromParent_Done,
     /* 2235759 */   // Label 31327: @2235759
     /* 2235759 */   GIM_Reject,
     /* 2235760 */ // Label 31324: @2235760
     /* 2235760 */ GIM_Reject,
     /* 2235761 */ // Label 31317: @2235761
     /* 2235761 */ GIM_Reject,
     /* 2235762 */ // Label 72: @2235762
     /* 2235762 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31346*/ GIMT_Encode4(2237846),
     /* 2235773 */ /*GILLT_s16*//*Label 31328*/ GIMT_Encode4(2235893),
     /* 2235777 */ /*GILLT_s32*//*Label 31329*/ GIMT_Encode4(2235960),
     /* 2235781 */ /*GILLT_s64*//*Label 31330*/ GIMT_Encode4(2236027), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235793 */ /*GILLT_nxv1s16*//*Label 31331*/ GIMT_Encode4(2236121),
     /* 2235797 */ /*GILLT_nxv1s32*//*Label 31332*/ GIMT_Encode4(2236236),
     /* 2235801 */ /*GILLT_nxv1s64*//*Label 31333*/ GIMT_Encode4(2236351), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235813 */ /*GILLT_nxv2s16*//*Label 31334*/ GIMT_Encode4(2236466),
     /* 2235817 */ /*GILLT_nxv2s32*//*Label 31335*/ GIMT_Encode4(2236581),
     /* 2235821 */ /*GILLT_nxv2s64*//*Label 31336*/ GIMT_Encode4(2236696), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235833 */ /*GILLT_nxv4s16*//*Label 31337*/ GIMT_Encode4(2236811),
     /* 2235837 */ /*GILLT_nxv4s32*//*Label 31338*/ GIMT_Encode4(2236926),
     /* 2235841 */ /*GILLT_nxv4s64*//*Label 31339*/ GIMT_Encode4(2237041), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235853 */ /*GILLT_nxv8s16*//*Label 31340*/ GIMT_Encode4(2237156),
     /* 2235857 */ /*GILLT_nxv8s32*//*Label 31341*/ GIMT_Encode4(2237271),
     /* 2235861 */ /*GILLT_nxv8s64*//*Label 31342*/ GIMT_Encode4(2237386), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235873 */ /*GILLT_nxv16s16*//*Label 31343*/ GIMT_Encode4(2237501),
     /* 2235877 */ /*GILLT_nxv16s32*//*Label 31344*/ GIMT_Encode4(2237616), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2235889 */ /*GILLT_nxv32s16*//*Label 31345*/ GIMT_Encode4(2237731),
     /* 2235893 */ // Label 31328: @2235893
     /* 2235893 */ GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2235959),
     /* 2235898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2235901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2235904 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2235931), // Rule ID 1912 //
     /* 2235909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2235912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235924 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2235924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2235929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235930 */     // GIR_Coverage, 1912,
     /* 2235930 */     GIR_Done,
     /* 2235931 */   // Label 31348: @2235931
     /* 2235931 */   GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2235958), // Rule ID 1913 //
     /* 2235936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2235939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2235943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2235947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2235951 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2235951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2235956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235957 */     // GIR_Coverage, 1913,
     /* 2235957 */     GIR_Done,
     /* 2235958 */   // Label 31349: @2235958
     /* 2235958 */   GIM_Reject,
     /* 2235959 */ // Label 31347: @2235959
     /* 2235959 */ GIM_Reject,
     /* 2235960 */ // Label 31329: @2235960
     /* 2235960 */ GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2236026),
     /* 2235965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2235968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2235971 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2235998), // Rule ID 1199 //
     /* 2235976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2235979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2235983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2235987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2235991 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2235991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2235996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235997 */     // GIR_Coverage, 1199,
     /* 2235997 */     GIR_Done,
     /* 2235998 */   // Label 31351: @2235998
     /* 2235998 */   GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2236025), // Rule ID 1200 //
     /* 2236003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2236006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2236010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2236014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2236018 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2236018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2236023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236024 */     // GIR_Coverage, 1200,
     /* 2236024 */     GIR_Done,
     /* 2236025 */   // Label 31352: @2236025
     /* 2236025 */   GIM_Reject,
     /* 2236026 */ // Label 31350: @2236026
     /* 2236026 */ GIM_Reject,
     /* 2236027 */ // Label 31330: @2236027
     /* 2236027 */ GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2236120),
     /* 2236032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2236035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2236038 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2236065), // Rule ID 1570 //
     /* 2236043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2236046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2236050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2236054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2236058 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2236058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2236063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236064 */     // GIR_Coverage, 1570,
     /* 2236064 */     GIR_Done,
     /* 2236065 */   // Label 31354: @2236065
     /* 2236065 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2236092), // Rule ID 1571 //
     /* 2236070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2236073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2236077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2236081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2236085 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2236085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2236090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236091 */     // GIR_Coverage, 1571,
     /* 2236091 */     GIR_Done,
     /* 2236092 */   // Label 31355: @2236092
     /* 2236092 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2236119), // Rule ID 1572 //
     /* 2236097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2236100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2236112 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2236112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2236117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236118 */     // GIR_Coverage, 1572,
     /* 2236118 */     GIR_Done,
     /* 2236119 */   // Label 31356: @2236119
     /* 2236119 */   GIM_Reject,
     /* 2236120 */ // Label 31353: @2236120
     /* 2236120 */ GIM_Reject,
     /* 2236121 */ // Label 31331: @2236121
     /* 2236121 */ GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2236235),
     /* 2236126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2236129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2236132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236144 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2236189), // Rule ID 45434 //
     /* 2236149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2236152 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2236155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2236169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236188 */     // GIR_Coverage, 45434,
     /* 2236188 */     GIR_EraseRootFromParent_Done,
     /* 2236189 */   // Label 31358: @2236189
     /* 2236189 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2236234), // Rule ID 45435 //
     /* 2236194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2236197 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2236200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2236214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236233 */     // GIR_Coverage, 45435,
     /* 2236233 */     GIR_EraseRootFromParent_Done,
     /* 2236234 */   // Label 31359: @2236234
     /* 2236234 */   GIM_Reject,
     /* 2236235 */ // Label 31357: @2236235
     /* 2236235 */ GIM_Reject,
     /* 2236236 */ // Label 31332: @2236236
     /* 2236236 */ GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2236350),
     /* 2236241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2236244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2236247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236259 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2236304), // Rule ID 55996 //
     /* 2236264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2236267 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2236270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2236284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236303 */     // GIR_Coverage, 55996,
     /* 2236303 */     GIR_EraseRootFromParent_Done,
     /* 2236304 */   // Label 31361: @2236304
     /* 2236304 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2236349), // Rule ID 55997 //
     /* 2236309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2236312 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2236315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2236329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236348 */     // GIR_Coverage, 55997,
     /* 2236348 */     GIR_EraseRootFromParent_Done,
     /* 2236349 */   // Label 31362: @2236349
     /* 2236349 */   GIM_Reject,
     /* 2236350 */ // Label 31360: @2236350
     /* 2236350 */ GIM_Reject,
     /* 2236351 */ // Label 31333: @2236351
     /* 2236351 */ GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2236465),
     /* 2236356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2236359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236374 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2236419), // Rule ID 56014 //
     /* 2236379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2236382 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2236385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2236399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236418 */     // GIR_Coverage, 56014,
     /* 2236418 */     GIR_EraseRootFromParent_Done,
     /* 2236419 */   // Label 31364: @2236419
     /* 2236419 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2236464), // Rule ID 56015 //
     /* 2236424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2236427 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2236430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2236444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236463 */     // GIR_Coverage, 56015,
     /* 2236463 */     GIR_EraseRootFromParent_Done,
     /* 2236464 */   // Label 31365: @2236464
     /* 2236464 */   GIM_Reject,
     /* 2236465 */ // Label 31363: @2236465
     /* 2236465 */ GIM_Reject,
     /* 2236466 */ // Label 31334: @2236466
     /* 2236466 */ GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2236580),
     /* 2236471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2236474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236489 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2236534), // Rule ID 55990 //
     /* 2236494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2236497 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2236500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2236514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236533 */     // GIR_Coverage, 55990,
     /* 2236533 */     GIR_EraseRootFromParent_Done,
     /* 2236534 */   // Label 31367: @2236534
     /* 2236534 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2236579), // Rule ID 55991 //
     /* 2236539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2236542 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2236545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2236559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236578 */     // GIR_Coverage, 55991,
     /* 2236578 */     GIR_EraseRootFromParent_Done,
     /* 2236579 */   // Label 31368: @2236579
     /* 2236579 */   GIM_Reject,
     /* 2236580 */ // Label 31366: @2236580
     /* 2236580 */ GIM_Reject,
     /* 2236581 */ // Label 31335: @2236581
     /* 2236581 */ GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2236695),
     /* 2236586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2236589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236604 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2236649), // Rule ID 56008 //
     /* 2236609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2236612 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2236615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2236629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236648 */     // GIR_Coverage, 56008,
     /* 2236648 */     GIR_EraseRootFromParent_Done,
     /* 2236649 */   // Label 31370: @2236649
     /* 2236649 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2236694), // Rule ID 56009 //
     /* 2236654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2236657 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2236660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2236674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236693 */     // GIR_Coverage, 56009,
     /* 2236693 */     GIR_EraseRootFromParent_Done,
     /* 2236694 */   // Label 31371: @2236694
     /* 2236694 */   GIM_Reject,
     /* 2236695 */ // Label 31369: @2236695
     /* 2236695 */ GIM_Reject,
     /* 2236696 */ // Label 31336: @2236696
     /* 2236696 */ GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2236810),
     /* 2236701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2236704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236719 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2236764), // Rule ID 56056 //
     /* 2236724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2236727 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2236730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2236744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236763 */     // GIR_Coverage, 56056,
     /* 2236763 */     GIR_EraseRootFromParent_Done,
     /* 2236764 */   // Label 31373: @2236764
     /* 2236764 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2236809), // Rule ID 56057 //
     /* 2236769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2236772 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2236775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2236789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236808 */     // GIR_Coverage, 56057,
     /* 2236808 */     GIR_EraseRootFromParent_Done,
     /* 2236809 */   // Label 31374: @2236809
     /* 2236809 */   GIM_Reject,
     /* 2236810 */ // Label 31372: @2236810
     /* 2236810 */ GIM_Reject,
     /* 2236811 */ // Label 31337: @2236811
     /* 2236811 */ GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2236925),
     /* 2236816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2236819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2236822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236834 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2236879), // Rule ID 56002 //
     /* 2236839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2236842 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2236845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2236859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236878 */     // GIR_Coverage, 56002,
     /* 2236878 */     GIR_EraseRootFromParent_Done,
     /* 2236879 */   // Label 31376: @2236879
     /* 2236879 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2236924), // Rule ID 56003 //
     /* 2236884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2236887 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2236890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2236904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236923 */     // GIR_Coverage, 56003,
     /* 2236923 */     GIR_EraseRootFromParent_Done,
     /* 2236924 */   // Label 31377: @2236924
     /* 2236924 */   GIM_Reject,
     /* 2236925 */ // Label 31375: @2236925
     /* 2236925 */ GIM_Reject,
     /* 2236926 */ // Label 31338: @2236926
     /* 2236926 */ GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2237040),
     /* 2236931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2236934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2236937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236949 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2236994), // Rule ID 56038 //
     /* 2236954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2236957 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2236960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2236974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236993 */     // GIR_Coverage, 56038,
     /* 2236993 */     GIR_EraseRootFromParent_Done,
     /* 2236994 */   // Label 31379: @2236994
     /* 2236994 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2237039), // Rule ID 56039 //
     /* 2236999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2237002 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2237005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2237019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237038 */     // GIR_Coverage, 56039,
     /* 2237038 */     GIR_EraseRootFromParent_Done,
     /* 2237039 */   // Label 31380: @2237039
     /* 2237039 */   GIM_Reject,
     /* 2237040 */ // Label 31378: @2237040
     /* 2237040 */ GIM_Reject,
     /* 2237041 */ // Label 31339: @2237041
     /* 2237041 */ GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2237155),
     /* 2237046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2237049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2237052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237064 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2237109), // Rule ID 56062 //
     /* 2237069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2237072 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2237075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2237089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237108 */     // GIR_Coverage, 56062,
     /* 2237108 */     GIR_EraseRootFromParent_Done,
     /* 2237109 */   // Label 31382: @2237109
     /* 2237109 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2237154), // Rule ID 56063 //
     /* 2237114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2237117 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2237120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2237134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237153 */     // GIR_Coverage, 56063,
     /* 2237153 */     GIR_EraseRootFromParent_Done,
     /* 2237154 */   // Label 31383: @2237154
     /* 2237154 */   GIM_Reject,
     /* 2237155 */ // Label 31381: @2237155
     /* 2237155 */ GIM_Reject,
     /* 2237156 */ // Label 31340: @2237156
     /* 2237156 */ GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2237270),
     /* 2237161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2237164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237179 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2237224), // Rule ID 56020 //
     /* 2237184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2237187 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2237190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2237204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237223 */     // GIR_Coverage, 56020,
     /* 2237223 */     GIR_EraseRootFromParent_Done,
     /* 2237224 */   // Label 31385: @2237224
     /* 2237224 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2237269), // Rule ID 56021 //
     /* 2237229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2237232 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2237235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2237249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237268 */     // GIR_Coverage, 56021,
     /* 2237268 */     GIR_EraseRootFromParent_Done,
     /* 2237269 */   // Label 31386: @2237269
     /* 2237269 */   GIM_Reject,
     /* 2237270 */ // Label 31384: @2237270
     /* 2237270 */ GIM_Reject,
     /* 2237271 */ // Label 31341: @2237271
     /* 2237271 */ GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2237385),
     /* 2237276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2237279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237294 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2237339), // Rule ID 56044 //
     /* 2237299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2237302 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2237305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2237319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237338 */     // GIR_Coverage, 56044,
     /* 2237338 */     GIR_EraseRootFromParent_Done,
     /* 2237339 */   // Label 31388: @2237339
     /* 2237339 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2237384), // Rule ID 56045 //
     /* 2237344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2237347 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2237350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2237364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237383 */     // GIR_Coverage, 56045,
     /* 2237383 */     GIR_EraseRootFromParent_Done,
     /* 2237384 */   // Label 31389: @2237384
     /* 2237384 */   GIM_Reject,
     /* 2237385 */ // Label 31387: @2237385
     /* 2237385 */ GIM_Reject,
     /* 2237386 */ // Label 31342: @2237386
     /* 2237386 */ GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2237500),
     /* 2237391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2237394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2237397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237409 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2237454), // Rule ID 56068 //
     /* 2237414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2237417 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2237420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2237434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237453 */     // GIR_Coverage, 56068,
     /* 2237453 */     GIR_EraseRootFromParent_Done,
     /* 2237454 */   // Label 31391: @2237454
     /* 2237454 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2237499), // Rule ID 56069 //
     /* 2237459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2237462 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2237465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2237479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237498 */     // GIR_Coverage, 56069,
     /* 2237498 */     GIR_EraseRootFromParent_Done,
     /* 2237499 */   // Label 31392: @2237499
     /* 2237499 */   GIM_Reject,
     /* 2237500 */ // Label 31390: @2237500
     /* 2237500 */ GIM_Reject,
     /* 2237501 */ // Label 31343: @2237501
     /* 2237501 */ GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2237615),
     /* 2237506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2237509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2237512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237524 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2237569), // Rule ID 56026 //
     /* 2237529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2237532 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2237535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2237549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237568 */     // GIR_Coverage, 56026,
     /* 2237568 */     GIR_EraseRootFromParent_Done,
     /* 2237569 */   // Label 31394: @2237569
     /* 2237569 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2237614), // Rule ID 56027 //
     /* 2237574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2237577 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2237580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2237594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237613 */     // GIR_Coverage, 56027,
     /* 2237613 */     GIR_EraseRootFromParent_Done,
     /* 2237614 */   // Label 31395: @2237614
     /* 2237614 */   GIM_Reject,
     /* 2237615 */ // Label 31393: @2237615
     /* 2237615 */ GIM_Reject,
     /* 2237616 */ // Label 31344: @2237616
     /* 2237616 */ GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2237730),
     /* 2237621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2237624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2237627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237639 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2237684), // Rule ID 56050 //
     /* 2237644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2237647 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2237650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2237664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237683 */     // GIR_Coverage, 56050,
     /* 2237683 */     GIR_EraseRootFromParent_Done,
     /* 2237684 */   // Label 31397: @2237684
     /* 2237684 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2237729), // Rule ID 56051 //
     /* 2237689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2237692 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2237695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2237709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237728 */     // GIR_Coverage, 56051,
     /* 2237728 */     GIR_EraseRootFromParent_Done,
     /* 2237729 */   // Label 31398: @2237729
     /* 2237729 */   GIM_Reject,
     /* 2237730 */ // Label 31396: @2237730
     /* 2237730 */ GIM_Reject,
     /* 2237731 */ // Label 31345: @2237731
     /* 2237731 */ GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2237845),
     /* 2237736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2237739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2237742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237754 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2237799), // Rule ID 56032 //
     /* 2237759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2237762 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2237765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2237779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237798 */     // GIR_Coverage, 56032,
     /* 2237798 */     GIR_EraseRootFromParent_Done,
     /* 2237799 */   // Label 31400: @2237799
     /* 2237799 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2237844), // Rule ID 56033 //
     /* 2237804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2237807 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2237810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2237824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237843 */     // GIR_Coverage, 56033,
     /* 2237843 */     GIR_EraseRootFromParent_Done,
     /* 2237844 */   // Label 31401: @2237844
     /* 2237844 */   GIM_Reject,
     /* 2237845 */ // Label 31399: @2237845
     /* 2237845 */ GIM_Reject,
     /* 2237846 */ // Label 31346: @2237846
     /* 2237846 */ GIM_Reject,
     /* 2237847 */ // Label 73: @2237847
     /* 2237847 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31420*/ GIMT_Encode4(2239931),
     /* 2237858 */ /*GILLT_s16*//*Label 31402*/ GIMT_Encode4(2237978),
     /* 2237862 */ /*GILLT_s32*//*Label 31403*/ GIMT_Encode4(2238045),
     /* 2237866 */ /*GILLT_s64*//*Label 31404*/ GIMT_Encode4(2238112), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237878 */ /*GILLT_nxv1s16*//*Label 31405*/ GIMT_Encode4(2238206),
     /* 2237882 */ /*GILLT_nxv1s32*//*Label 31406*/ GIMT_Encode4(2238321),
     /* 2237886 */ /*GILLT_nxv1s64*//*Label 31407*/ GIMT_Encode4(2238436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237898 */ /*GILLT_nxv2s16*//*Label 31408*/ GIMT_Encode4(2238551),
     /* 2237902 */ /*GILLT_nxv2s32*//*Label 31409*/ GIMT_Encode4(2238666),
     /* 2237906 */ /*GILLT_nxv2s64*//*Label 31410*/ GIMT_Encode4(2238781), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237918 */ /*GILLT_nxv4s16*//*Label 31411*/ GIMT_Encode4(2238896),
     /* 2237922 */ /*GILLT_nxv4s32*//*Label 31412*/ GIMT_Encode4(2239011),
     /* 2237926 */ /*GILLT_nxv4s64*//*Label 31413*/ GIMT_Encode4(2239126), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237938 */ /*GILLT_nxv8s16*//*Label 31414*/ GIMT_Encode4(2239241),
     /* 2237942 */ /*GILLT_nxv8s32*//*Label 31415*/ GIMT_Encode4(2239356),
     /* 2237946 */ /*GILLT_nxv8s64*//*Label 31416*/ GIMT_Encode4(2239471), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237958 */ /*GILLT_nxv16s16*//*Label 31417*/ GIMT_Encode4(2239586),
     /* 2237962 */ /*GILLT_nxv16s32*//*Label 31418*/ GIMT_Encode4(2239701), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2237974 */ /*GILLT_nxv32s16*//*Label 31419*/ GIMT_Encode4(2239816),
     /* 2237978 */ // Label 31402: @2237978
     /* 2237978 */ GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2238044),
     /* 2237983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2237986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2237989 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2238016), // Rule ID 1914 //
     /* 2237994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2237997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2238001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2238005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2238009 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2238009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2238014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238015 */     // GIR_Coverage, 1914,
     /* 2238015 */     GIR_Done,
     /* 2238016 */   // Label 31422: @2238016
     /* 2238016 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2238043), // Rule ID 1915 //
     /* 2238021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2238024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2238028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2238032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2238036 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2238036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2238041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238042 */     // GIR_Coverage, 1915,
     /* 2238042 */     GIR_Done,
     /* 2238043 */   // Label 31423: @2238043
     /* 2238043 */   GIM_Reject,
     /* 2238044 */ // Label 31421: @2238044
     /* 2238044 */ GIM_Reject,
     /* 2238045 */ // Label 31403: @2238045
     /* 2238045 */ GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2238111),
     /* 2238050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2238053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2238056 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2238083), // Rule ID 1201 //
     /* 2238061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2238064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2238068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2238072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2238076 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2238076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2238081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238082 */     // GIR_Coverage, 1201,
     /* 2238082 */     GIR_Done,
     /* 2238083 */   // Label 31425: @2238083
     /* 2238083 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2238110), // Rule ID 1202 //
     /* 2238088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2238091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2238095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2238099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2238103 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2238103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2238108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238109 */     // GIR_Coverage, 1202,
     /* 2238109 */     GIR_Done,
     /* 2238110 */   // Label 31426: @2238110
     /* 2238110 */   GIM_Reject,
     /* 2238111 */ // Label 31424: @2238111
     /* 2238111 */ GIM_Reject,
     /* 2238112 */ // Label 31404: @2238112
     /* 2238112 */ GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2238205),
     /* 2238117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2238120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238123 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2238150), // Rule ID 1573 //
     /* 2238128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2238131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2238135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2238139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2238143 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2238143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2238148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238149 */     // GIR_Coverage, 1573,
     /* 2238149 */     GIR_Done,
     /* 2238150 */   // Label 31428: @2238150
     /* 2238150 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2238177), // Rule ID 1574 //
     /* 2238155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2238158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2238162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2238166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2238170 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2238170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2238175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238176 */     // GIR_Coverage, 1574,
     /* 2238176 */     GIR_Done,
     /* 2238177 */   // Label 31429: @2238177
     /* 2238177 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2238204), // Rule ID 1575 //
     /* 2238182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2238185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238197 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2238197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2238202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238203 */     // GIR_Coverage, 1575,
     /* 2238203 */     GIR_Done,
     /* 2238204 */   // Label 31430: @2238204
     /* 2238204 */   GIM_Reject,
     /* 2238205 */ // Label 31427: @2238205
     /* 2238205 */ GIM_Reject,
     /* 2238206 */ // Label 31405: @2238206
     /* 2238206 */ GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2238320),
     /* 2238211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2238214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238229 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2238274), // Rule ID 56074 //
     /* 2238234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2238237 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2238240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2238254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238273 */     // GIR_Coverage, 56074,
     /* 2238273 */     GIR_EraseRootFromParent_Done,
     /* 2238274 */   // Label 31432: @2238274
     /* 2238274 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2238319), // Rule ID 56075 //
     /* 2238279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238282 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2238285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2238299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238318 */     // GIR_Coverage, 56075,
     /* 2238318 */     GIR_EraseRootFromParent_Done,
     /* 2238319 */   // Label 31433: @2238319
     /* 2238319 */   GIM_Reject,
     /* 2238320 */ // Label 31431: @2238320
     /* 2238320 */ GIM_Reject,
     /* 2238321 */ // Label 31406: @2238321
     /* 2238321 */ GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2238435),
     /* 2238326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2238329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238344 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2238389), // Rule ID 56086 //
     /* 2238349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2238352 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2238355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2238369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238388 */     // GIR_Coverage, 56086,
     /* 2238388 */     GIR_EraseRootFromParent_Done,
     /* 2238389 */   // Label 31435: @2238389
     /* 2238389 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2238434), // Rule ID 56087 //
     /* 2238394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2238397 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2238400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2238414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238433 */     // GIR_Coverage, 56087,
     /* 2238433 */     GIR_EraseRootFromParent_Done,
     /* 2238434 */   // Label 31436: @2238434
     /* 2238434 */   GIM_Reject,
     /* 2238435 */ // Label 31434: @2238435
     /* 2238435 */ GIM_Reject,
     /* 2238436 */ // Label 31407: @2238436
     /* 2238436 */ GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2238550),
     /* 2238441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2238444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238459 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2238504), // Rule ID 56104 //
     /* 2238464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2238467 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2238470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2238484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238503 */     // GIR_Coverage, 56104,
     /* 2238503 */     GIR_EraseRootFromParent_Done,
     /* 2238504 */   // Label 31438: @2238504
     /* 2238504 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2238549), // Rule ID 56105 //
     /* 2238509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2238512 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2238515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2238529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238548 */     // GIR_Coverage, 56105,
     /* 2238548 */     GIR_EraseRootFromParent_Done,
     /* 2238549 */   // Label 31439: @2238549
     /* 2238549 */   GIM_Reject,
     /* 2238550 */ // Label 31437: @2238550
     /* 2238550 */ GIM_Reject,
     /* 2238551 */ // Label 31408: @2238551
     /* 2238551 */ GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2238665),
     /* 2238556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2238559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238574 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2238619), // Rule ID 56080 //
     /* 2238579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2238582 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2238585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2238599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238618 */     // GIR_Coverage, 56080,
     /* 2238618 */     GIR_EraseRootFromParent_Done,
     /* 2238619 */   // Label 31441: @2238619
     /* 2238619 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2238664), // Rule ID 56081 //
     /* 2238624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238627 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2238630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2238644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238663 */     // GIR_Coverage, 56081,
     /* 2238663 */     GIR_EraseRootFromParent_Done,
     /* 2238664 */   // Label 31442: @2238664
     /* 2238664 */   GIM_Reject,
     /* 2238665 */ // Label 31440: @2238665
     /* 2238665 */ GIM_Reject,
     /* 2238666 */ // Label 31409: @2238666
     /* 2238666 */ GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2238780),
     /* 2238671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2238674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238689 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2238734), // Rule ID 56098 //
     /* 2238694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2238697 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2238700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2238714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238733 */     // GIR_Coverage, 56098,
     /* 2238733 */     GIR_EraseRootFromParent_Done,
     /* 2238734 */   // Label 31444: @2238734
     /* 2238734 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2238779), // Rule ID 56099 //
     /* 2238739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2238742 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2238745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2238759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238778 */     // GIR_Coverage, 56099,
     /* 2238778 */     GIR_EraseRootFromParent_Done,
     /* 2238779 */   // Label 31445: @2238779
     /* 2238779 */   GIM_Reject,
     /* 2238780 */ // Label 31443: @2238780
     /* 2238780 */ GIM_Reject,
     /* 2238781 */ // Label 31410: @2238781
     /* 2238781 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2238895),
     /* 2238786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2238789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238804 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2238849), // Rule ID 56146 //
     /* 2238809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2238812 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2238815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2238829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238848 */     // GIR_Coverage, 56146,
     /* 2238848 */     GIR_EraseRootFromParent_Done,
     /* 2238849 */   // Label 31447: @2238849
     /* 2238849 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2238894), // Rule ID 56147 //
     /* 2238854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2238857 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2238860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2238874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238893 */     // GIR_Coverage, 56147,
     /* 2238893 */     GIR_EraseRootFromParent_Done,
     /* 2238894 */   // Label 31448: @2238894
     /* 2238894 */   GIM_Reject,
     /* 2238895 */ // Label 31446: @2238895
     /* 2238895 */ GIM_Reject,
     /* 2238896 */ // Label 31411: @2238896
     /* 2238896 */ GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2239010),
     /* 2238901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2238904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238919 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2238964), // Rule ID 56092 //
     /* 2238924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2238927 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2238930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2238944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238963 */     // GIR_Coverage, 56092,
     /* 2238963 */     GIR_EraseRootFromParent_Done,
     /* 2238964 */   // Label 31450: @2238964
     /* 2238964 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2239009), // Rule ID 56093 //
     /* 2238969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238972 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2238975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2238989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239008 */     // GIR_Coverage, 56093,
     /* 2239008 */     GIR_EraseRootFromParent_Done,
     /* 2239009 */   // Label 31451: @2239009
     /* 2239009 */   GIM_Reject,
     /* 2239010 */ // Label 31449: @2239010
     /* 2239010 */ GIM_Reject,
     /* 2239011 */ // Label 31412: @2239011
     /* 2239011 */ GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2239125),
     /* 2239016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2239019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239034 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2239079), // Rule ID 56128 //
     /* 2239039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2239042 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2239045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2239059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239078 */     // GIR_Coverage, 56128,
     /* 2239078 */     GIR_EraseRootFromParent_Done,
     /* 2239079 */   // Label 31453: @2239079
     /* 2239079 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2239124), // Rule ID 56129 //
     /* 2239084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2239087 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2239090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2239104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239123 */     // GIR_Coverage, 56129,
     /* 2239123 */     GIR_EraseRootFromParent_Done,
     /* 2239124 */   // Label 31454: @2239124
     /* 2239124 */   GIM_Reject,
     /* 2239125 */ // Label 31452: @2239125
     /* 2239125 */ GIM_Reject,
     /* 2239126 */ // Label 31413: @2239126
     /* 2239126 */ GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2239240),
     /* 2239131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2239134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239149 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2239194), // Rule ID 56152 //
     /* 2239154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2239157 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2239160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2239174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239193 */     // GIR_Coverage, 56152,
     /* 2239193 */     GIR_EraseRootFromParent_Done,
     /* 2239194 */   // Label 31456: @2239194
     /* 2239194 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2239239), // Rule ID 56153 //
     /* 2239199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2239202 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2239205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2239219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239238 */     // GIR_Coverage, 56153,
     /* 2239238 */     GIR_EraseRootFromParent_Done,
     /* 2239239 */   // Label 31457: @2239239
     /* 2239239 */   GIM_Reject,
     /* 2239240 */ // Label 31455: @2239240
     /* 2239240 */ GIM_Reject,
     /* 2239241 */ // Label 31414: @2239241
     /* 2239241 */ GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2239355),
     /* 2239246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2239249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239264 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2239309), // Rule ID 56110 //
     /* 2239269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2239272 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2239275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2239289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239308 */     // GIR_Coverage, 56110,
     /* 2239308 */     GIR_EraseRootFromParent_Done,
     /* 2239309 */   // Label 31459: @2239309
     /* 2239309 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2239354), // Rule ID 56111 //
     /* 2239314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2239317 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2239320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2239334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239353 */     // GIR_Coverage, 56111,
     /* 2239353 */     GIR_EraseRootFromParent_Done,
     /* 2239354 */   // Label 31460: @2239354
     /* 2239354 */   GIM_Reject,
     /* 2239355 */ // Label 31458: @2239355
     /* 2239355 */ GIM_Reject,
     /* 2239356 */ // Label 31415: @2239356
     /* 2239356 */ GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2239470),
     /* 2239361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2239364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239379 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2239424), // Rule ID 56134 //
     /* 2239384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2239387 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2239390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2239404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239423 */     // GIR_Coverage, 56134,
     /* 2239423 */     GIR_EraseRootFromParent_Done,
     /* 2239424 */   // Label 31462: @2239424
     /* 2239424 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2239469), // Rule ID 56135 //
     /* 2239429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2239432 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2239435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2239449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239468 */     // GIR_Coverage, 56135,
     /* 2239468 */     GIR_EraseRootFromParent_Done,
     /* 2239469 */   // Label 31463: @2239469
     /* 2239469 */   GIM_Reject,
     /* 2239470 */ // Label 31461: @2239470
     /* 2239470 */ GIM_Reject,
     /* 2239471 */ // Label 31416: @2239471
     /* 2239471 */ GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2239585),
     /* 2239476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2239479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239494 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2239539), // Rule ID 56158 //
     /* 2239499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2239502 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2239505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2239519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239538 */     // GIR_Coverage, 56158,
     /* 2239538 */     GIR_EraseRootFromParent_Done,
     /* 2239539 */   // Label 31465: @2239539
     /* 2239539 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2239584), // Rule ID 56159 //
     /* 2239544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2239547 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2239550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2239564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239583 */     // GIR_Coverage, 56159,
     /* 2239583 */     GIR_EraseRootFromParent_Done,
     /* 2239584 */   // Label 31466: @2239584
     /* 2239584 */   GIM_Reject,
     /* 2239585 */ // Label 31464: @2239585
     /* 2239585 */ GIM_Reject,
     /* 2239586 */ // Label 31417: @2239586
     /* 2239586 */ GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2239700),
     /* 2239591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2239594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2239597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239609 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2239654), // Rule ID 56116 //
     /* 2239614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2239617 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2239620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2239634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239653 */     // GIR_Coverage, 56116,
     /* 2239653 */     GIR_EraseRootFromParent_Done,
     /* 2239654 */   // Label 31468: @2239654
     /* 2239654 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2239699), // Rule ID 56117 //
     /* 2239659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2239662 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2239665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2239679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239698 */     // GIR_Coverage, 56117,
     /* 2239698 */     GIR_EraseRootFromParent_Done,
     /* 2239699 */   // Label 31469: @2239699
     /* 2239699 */   GIM_Reject,
     /* 2239700 */ // Label 31467: @2239700
     /* 2239700 */ GIM_Reject,
     /* 2239701 */ // Label 31418: @2239701
     /* 2239701 */ GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2239815),
     /* 2239706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2239709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2239712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239724 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2239769), // Rule ID 56140 //
     /* 2239729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2239732 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2239735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2239749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239768 */     // GIR_Coverage, 56140,
     /* 2239768 */     GIR_EraseRootFromParent_Done,
     /* 2239769 */   // Label 31471: @2239769
     /* 2239769 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2239814), // Rule ID 56141 //
     /* 2239774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2239777 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2239780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2239794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239813 */     // GIR_Coverage, 56141,
     /* 2239813 */     GIR_EraseRootFromParent_Done,
     /* 2239814 */   // Label 31472: @2239814
     /* 2239814 */   GIM_Reject,
     /* 2239815 */ // Label 31470: @2239815
     /* 2239815 */ GIM_Reject,
     /* 2239816 */ // Label 31419: @2239816
     /* 2239816 */ GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2239930),
     /* 2239821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2239824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2239827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239839 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2239884), // Rule ID 56122 //
     /* 2239844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2239847 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2239850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2239864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239883 */     // GIR_Coverage, 56122,
     /* 2239883 */     GIR_EraseRootFromParent_Done,
     /* 2239884 */   // Label 31474: @2239884
     /* 2239884 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2239929), // Rule ID 56123 //
     /* 2239889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2239892 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2239895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2239909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239928 */     // GIR_Coverage, 56123,
     /* 2239928 */     GIR_EraseRootFromParent_Done,
     /* 2239929 */   // Label 31475: @2239929
     /* 2239929 */   GIM_Reject,
     /* 2239930 */ // Label 31473: @2239930
     /* 2239930 */ GIM_Reject,
     /* 2239931 */ // Label 31420: @2239931
     /* 2239931 */ GIM_Reject,
     /* 2239932 */ // Label 74: @2239932
     /* 2239932 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31479*/ GIMT_Encode4(2240057),
     /* 2239943 */ /*GILLT_s16*//*Label 31476*/ GIMT_Encode4(2239955),
     /* 2239947 */ /*GILLT_s32*//*Label 31477*/ GIMT_Encode4(2239989),
     /* 2239951 */ /*GILLT_s64*//*Label 31478*/ GIMT_Encode4(2240023),
     /* 2239955 */ // Label 31476: @2239955
     /* 2239955 */ GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2239988), // Rule ID 2266 //
     /* 2239960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2239963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2239966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2239969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2239973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2239977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2239981 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2239981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2239986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239987 */   // GIR_Coverage, 2266,
     /* 2239987 */   GIR_Done,
     /* 2239988 */ // Label 31480: @2239988
     /* 2239988 */ GIM_Reject,
     /* 2239989 */ // Label 31477: @2239989
     /* 2239989 */ GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2240022), // Rule ID 2184 //
     /* 2239994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2239997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2240000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240015 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2240015 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2240020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240021 */   // GIR_Coverage, 2184,
     /* 2240021 */   GIR_Done,
     /* 2240022 */ // Label 31481: @2240022
     /* 2240022 */ GIM_Reject,
     /* 2240023 */ // Label 31478: @2240023
     /* 2240023 */ GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2240056), // Rule ID 2224 //
     /* 2240028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2240031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2240034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2240037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240049 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2240049 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2240054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240055 */   // GIR_Coverage, 2224,
     /* 2240055 */   GIR_Done,
     /* 2240056 */ // Label 31482: @2240056
     /* 2240056 */ GIM_Reject,
     /* 2240057 */ // Label 31479: @2240057
     /* 2240057 */ GIM_Reject,
     /* 2240058 */ // Label 75: @2240058
     /* 2240058 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31486*/ GIMT_Encode4(2240183),
     /* 2240069 */ /*GILLT_s16*//*Label 31483*/ GIMT_Encode4(2240081),
     /* 2240073 */ /*GILLT_s32*//*Label 31484*/ GIMT_Encode4(2240115),
     /* 2240077 */ /*GILLT_s64*//*Label 31485*/ GIMT_Encode4(2240149),
     /* 2240081 */ // Label 31483: @2240081
     /* 2240081 */ GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2240114), // Rule ID 2267 //
     /* 2240086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2240089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2240092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2240095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240107 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2240107 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2240112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240113 */   // GIR_Coverage, 2267,
     /* 2240113 */   GIR_Done,
     /* 2240114 */ // Label 31487: @2240114
     /* 2240114 */ GIM_Reject,
     /* 2240115 */ // Label 31484: @2240115
     /* 2240115 */ GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2240148), // Rule ID 2185 //
     /* 2240120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2240123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2240126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240141 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2240141 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2240146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240147 */   // GIR_Coverage, 2185,
     /* 2240147 */   GIR_Done,
     /* 2240148 */ // Label 31488: @2240148
     /* 2240148 */ GIM_Reject,
     /* 2240149 */ // Label 31485: @2240149
     /* 2240149 */ GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2240182), // Rule ID 2225 //
     /* 2240154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2240157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2240160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2240163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2240175 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2240175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2240180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240181 */   // GIR_Coverage, 2225,
     /* 2240181 */   GIR_Done,
     /* 2240182 */ // Label 31489: @2240182
     /* 2240182 */ GIM_Reject,
     /* 2240183 */ // Label 31486: @2240183
     /* 2240183 */ GIM_Reject,
     /* 2240184 */ // Label 76: @2240184
     /* 2240184 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31514*/ GIMT_Encode4(2242959),
     /* 2240195 */ /*GILLT_s32*//*Label 31490*/ GIMT_Encode4(2240319),
     /* 2240199 */ /*GILLT_s64*//*Label 31491*/ GIMT_Encode4(2240374), GIMT_Encode4(0),
     /* 2240207 */ /*GILLT_nxv1s8*//*Label 31492*/ GIMT_Encode4(2240429),
     /* 2240211 */ /*GILLT_nxv1s16*//*Label 31493*/ GIMT_Encode4(2240544),
     /* 2240215 */ /*GILLT_nxv1s32*//*Label 31494*/ GIMT_Encode4(2240659),
     /* 2240219 */ /*GILLT_nxv1s64*//*Label 31495*/ GIMT_Encode4(2240774), GIMT_Encode4(0),
     /* 2240227 */ /*GILLT_nxv2s8*//*Label 31496*/ GIMT_Encode4(2240889),
     /* 2240231 */ /*GILLT_nxv2s16*//*Label 31497*/ GIMT_Encode4(2241004),
     /* 2240235 */ /*GILLT_nxv2s32*//*Label 31498*/ GIMT_Encode4(2241119),
     /* 2240239 */ /*GILLT_nxv2s64*//*Label 31499*/ GIMT_Encode4(2241234), GIMT_Encode4(0),
     /* 2240247 */ /*GILLT_nxv4s8*//*Label 31500*/ GIMT_Encode4(2241349),
     /* 2240251 */ /*GILLT_nxv4s16*//*Label 31501*/ GIMT_Encode4(2241464),
     /* 2240255 */ /*GILLT_nxv4s32*//*Label 31502*/ GIMT_Encode4(2241579),
     /* 2240259 */ /*GILLT_nxv4s64*//*Label 31503*/ GIMT_Encode4(2241694), GIMT_Encode4(0),
     /* 2240267 */ /*GILLT_nxv8s8*//*Label 31504*/ GIMT_Encode4(2241809),
     /* 2240271 */ /*GILLT_nxv8s16*//*Label 31505*/ GIMT_Encode4(2241924),
     /* 2240275 */ /*GILLT_nxv8s32*//*Label 31506*/ GIMT_Encode4(2242039),
     /* 2240279 */ /*GILLT_nxv8s64*//*Label 31507*/ GIMT_Encode4(2242154), GIMT_Encode4(0),
     /* 2240287 */ /*GILLT_nxv16s8*//*Label 31508*/ GIMT_Encode4(2242269),
     /* 2240291 */ /*GILLT_nxv16s16*//*Label 31509*/ GIMT_Encode4(2242384),
     /* 2240295 */ /*GILLT_nxv16s32*//*Label 31510*/ GIMT_Encode4(2242499), GIMT_Encode4(0),
     /* 2240303 */ /*GILLT_nxv32s8*//*Label 31511*/ GIMT_Encode4(2242614),
     /* 2240307 */ /*GILLT_nxv32s16*//*Label 31512*/ GIMT_Encode4(2242729), GIMT_Encode4(0),
     /* 2240315 */ /*GILLT_nxv64s8*//*Label 31513*/ GIMT_Encode4(2242844),
     /* 2240319 */ // Label 31490: @2240319
     /* 2240319 */ GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2240373),
     /* 2240324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2240327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240342 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2240357), // Rule ID 63775 //
     /* 2240347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2240350 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2240350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2240355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240356 */     // GIR_Coverage, 63775,
     /* 2240356 */     GIR_Done,
     /* 2240357 */   // Label 31516: @2240357
     /* 2240357 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2240372), // Rule ID 2387 //
     /* 2240362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2240365 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2240365 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2240370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240371 */     // GIR_Coverage, 2387,
     /* 2240371 */     GIR_Done,
     /* 2240372 */   // Label 31517: @2240372
     /* 2240372 */   GIM_Reject,
     /* 2240373 */ // Label 31515: @2240373
     /* 2240373 */ GIM_Reject,
     /* 2240374 */ // Label 31491: @2240374
     /* 2240374 */ GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2240428),
     /* 2240379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2240382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2240385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240397 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2240412), // Rule ID 63774 //
     /* 2240402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2240405 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2240405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2240410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240411 */     // GIR_Coverage, 63774,
     /* 2240411 */     GIR_Done,
     /* 2240412 */   // Label 31519: @2240412
     /* 2240412 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2240427), // Rule ID 2386 //
     /* 2240417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2240420 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2240420 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2240425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240426 */     // GIR_Coverage, 2386,
     /* 2240426 */     GIR_Done,
     /* 2240427 */   // Label 31520: @2240427
     /* 2240427 */   GIM_Reject,
     /* 2240428 */ // Label 31518: @2240428
     /* 2240428 */ GIM_Reject,
     /* 2240429 */ // Label 31492: @2240429
     /* 2240429 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2240543),
     /* 2240434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2240437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2240440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240452 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2240497), // Rule ID 50046 //
     /* 2240457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240460 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2240463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2240477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240496 */     // GIR_Coverage, 50046,
     /* 2240496 */     GIR_EraseRootFromParent_Done,
     /* 2240497 */   // Label 31522: @2240497
     /* 2240497 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2240542), // Rule ID 50047 //
     /* 2240502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240505 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2240508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2240522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240541 */     // GIR_Coverage, 50047,
     /* 2240541 */     GIR_EraseRootFromParent_Done,
     /* 2240542 */   // Label 31523: @2240542
     /* 2240542 */   GIM_Reject,
     /* 2240543 */ // Label 31521: @2240543
     /* 2240543 */ GIM_Reject,
     /* 2240544 */ // Label 31493: @2240544
     /* 2240544 */ GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2240658),
     /* 2240549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2240552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240567 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2240612), // Rule ID 50058 //
     /* 2240572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240575 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2240578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2240592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240611 */     // GIR_Coverage, 50058,
     /* 2240611 */     GIR_EraseRootFromParent_Done,
     /* 2240612 */   // Label 31525: @2240612
     /* 2240612 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2240657), // Rule ID 50059 //
     /* 2240617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240620 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2240623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2240637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240656 */     // GIR_Coverage, 50059,
     /* 2240656 */     GIR_EraseRootFromParent_Done,
     /* 2240657 */   // Label 31526: @2240657
     /* 2240657 */   GIM_Reject,
     /* 2240658 */ // Label 31524: @2240658
     /* 2240658 */ GIM_Reject,
     /* 2240659 */ // Label 31494: @2240659
     /* 2240659 */ GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2240773),
     /* 2240664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2240667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240682 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2240727), // Rule ID 50066 //
     /* 2240687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240690 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2240693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2240707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240726 */     // GIR_Coverage, 50066,
     /* 2240726 */     GIR_EraseRootFromParent_Done,
     /* 2240727 */   // Label 31528: @2240727
     /* 2240727 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2240772), // Rule ID 50067 //
     /* 2240732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240735 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2240738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2240752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240771 */     // GIR_Coverage, 50067,
     /* 2240771 */     GIR_EraseRootFromParent_Done,
     /* 2240772 */   // Label 31529: @2240772
     /* 2240772 */   GIM_Reject,
     /* 2240773 */ // Label 31527: @2240773
     /* 2240773 */ GIM_Reject,
     /* 2240774 */ // Label 31495: @2240774
     /* 2240774 */ GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2240888),
     /* 2240779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2240782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2240785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240797 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2240842), // Rule ID 50082 //
     /* 2240802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240805 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2240808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2240822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240841 */     // GIR_Coverage, 50082,
     /* 2240841 */     GIR_EraseRootFromParent_Done,
     /* 2240842 */   // Label 31531: @2240842
     /* 2240842 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2240887), // Rule ID 50083 //
     /* 2240847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240850 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2240853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2240867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240886 */     // GIR_Coverage, 50083,
     /* 2240886 */     GIR_EraseRootFromParent_Done,
     /* 2240887 */   // Label 31532: @2240887
     /* 2240887 */   GIM_Reject,
     /* 2240888 */ // Label 31530: @2240888
     /* 2240888 */ GIM_Reject,
     /* 2240889 */ // Label 31496: @2240889
     /* 2240889 */ GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2241003),
     /* 2240894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2240897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2240900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240912 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2240957), // Rule ID 50050 //
     /* 2240917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240920 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2240923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2240937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240956 */     // GIR_Coverage, 50050,
     /* 2240956 */     GIR_EraseRootFromParent_Done,
     /* 2240957 */   // Label 31534: @2240957
     /* 2240957 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2241002), // Rule ID 50051 //
     /* 2240962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240965 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2240968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2240982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241001 */     // GIR_Coverage, 50051,
     /* 2241001 */     GIR_EraseRootFromParent_Done,
     /* 2241002 */   // Label 31535: @2241002
     /* 2241002 */   GIM_Reject,
     /* 2241003 */ // Label 31533: @2241003
     /* 2241003 */ GIM_Reject,
     /* 2241004 */ // Label 31497: @2241004
     /* 2241004 */ GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2241118),
     /* 2241009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2241012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241027 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2241072), // Rule ID 50062 //
     /* 2241032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241035 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2241038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2241052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241071 */     // GIR_Coverage, 50062,
     /* 2241071 */     GIR_EraseRootFromParent_Done,
     /* 2241072 */   // Label 31537: @2241072
     /* 2241072 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2241117), // Rule ID 50063 //
     /* 2241077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241080 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2241083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2241097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241116 */     // GIR_Coverage, 50063,
     /* 2241116 */     GIR_EraseRootFromParent_Done,
     /* 2241117 */   // Label 31538: @2241117
     /* 2241117 */   GIM_Reject,
     /* 2241118 */ // Label 31536: @2241118
     /* 2241118 */ GIM_Reject,
     /* 2241119 */ // Label 31498: @2241119
     /* 2241119 */ GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2241233),
     /* 2241124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2241127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241142 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2241187), // Rule ID 50078 //
     /* 2241147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241150 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2241153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241186 */     // GIR_Coverage, 50078,
     /* 2241186 */     GIR_EraseRootFromParent_Done,
     /* 2241187 */   // Label 31540: @2241187
     /* 2241187 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2241232), // Rule ID 50079 //
     /* 2241192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241195 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2241198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241231 */     // GIR_Coverage, 50079,
     /* 2241231 */     GIR_EraseRootFromParent_Done,
     /* 2241232 */   // Label 31541: @2241232
     /* 2241232 */   GIM_Reject,
     /* 2241233 */ // Label 31539: @2241233
     /* 2241233 */ GIM_Reject,
     /* 2241234 */ // Label 31499: @2241234
     /* 2241234 */ GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2241348),
     /* 2241239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2241242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241257 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2241302), // Rule ID 50122 //
     /* 2241262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241265 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2241268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2241282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241301 */     // GIR_Coverage, 50122,
     /* 2241301 */     GIR_EraseRootFromParent_Done,
     /* 2241302 */   // Label 31543: @2241302
     /* 2241302 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2241347), // Rule ID 50123 //
     /* 2241307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241310 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2241313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2241327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241346 */     // GIR_Coverage, 50123,
     /* 2241346 */     GIR_EraseRootFromParent_Done,
     /* 2241347 */   // Label 31544: @2241347
     /* 2241347 */   GIM_Reject,
     /* 2241348 */ // Label 31542: @2241348
     /* 2241348 */ GIM_Reject,
     /* 2241349 */ // Label 31500: @2241349
     /* 2241349 */ GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2241463),
     /* 2241354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2241357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2241360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241372 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2241417), // Rule ID 50054 //
     /* 2241377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241380 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2241383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2241397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241416 */     // GIR_Coverage, 50054,
     /* 2241416 */     GIR_EraseRootFromParent_Done,
     /* 2241417 */   // Label 31546: @2241417
     /* 2241417 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2241462), // Rule ID 50055 //
     /* 2241422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241425 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2241428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2241442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241461 */     // GIR_Coverage, 50055,
     /* 2241461 */     GIR_EraseRootFromParent_Done,
     /* 2241462 */   // Label 31547: @2241462
     /* 2241462 */   GIM_Reject,
     /* 2241463 */ // Label 31545: @2241463
     /* 2241463 */ GIM_Reject,
     /* 2241464 */ // Label 31501: @2241464
     /* 2241464 */ GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2241578),
     /* 2241469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2241472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2241475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241487 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2241532), // Rule ID 50074 //
     /* 2241492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241495 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2241498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241531 */     // GIR_Coverage, 50074,
     /* 2241531 */     GIR_EraseRootFromParent_Done,
     /* 2241532 */   // Label 31549: @2241532
     /* 2241532 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2241577), // Rule ID 50075 //
     /* 2241537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241540 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2241543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241576 */     // GIR_Coverage, 50075,
     /* 2241576 */     GIR_EraseRootFromParent_Done,
     /* 2241577 */   // Label 31550: @2241577
     /* 2241577 */   GIM_Reject,
     /* 2241578 */ // Label 31548: @2241578
     /* 2241578 */ GIM_Reject,
     /* 2241579 */ // Label 31502: @2241579
     /* 2241579 */ GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2241693),
     /* 2241584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2241587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241602 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2241647), // Rule ID 50110 //
     /* 2241607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241610 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2241613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2241627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241646 */     // GIR_Coverage, 50110,
     /* 2241646 */     GIR_EraseRootFromParent_Done,
     /* 2241647 */   // Label 31552: @2241647
     /* 2241647 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2241692), // Rule ID 50111 //
     /* 2241652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241655 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2241658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2241672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241691 */     // GIR_Coverage, 50111,
     /* 2241691 */     GIR_EraseRootFromParent_Done,
     /* 2241692 */   // Label 31553: @2241692
     /* 2241692 */   GIM_Reject,
     /* 2241693 */ // Label 31551: @2241693
     /* 2241693 */ GIM_Reject,
     /* 2241694 */ // Label 31503: @2241694
     /* 2241694 */ GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2241808),
     /* 2241699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2241702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2241705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241717 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2241762), // Rule ID 50126 //
     /* 2241722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241725 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2241728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2241742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241761 */     // GIR_Coverage, 50126,
     /* 2241761 */     GIR_EraseRootFromParent_Done,
     /* 2241762 */   // Label 31555: @2241762
     /* 2241762 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2241807), // Rule ID 50127 //
     /* 2241767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241770 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2241773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2241787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241806 */     // GIR_Coverage, 50127,
     /* 2241806 */     GIR_EraseRootFromParent_Done,
     /* 2241807 */   // Label 31556: @2241807
     /* 2241807 */   GIM_Reject,
     /* 2241808 */ // Label 31554: @2241808
     /* 2241808 */ GIM_Reject,
     /* 2241809 */ // Label 31504: @2241809
     /* 2241809 */ GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2241923),
     /* 2241814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2241817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241832 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2241877), // Rule ID 50070 //
     /* 2241837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241840 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2241843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241876 */     // GIR_Coverage, 50070,
     /* 2241876 */     GIR_EraseRootFromParent_Done,
     /* 2241877 */   // Label 31558: @2241877
     /* 2241877 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2241922), // Rule ID 50071 //
     /* 2241882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241885 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2241888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2241902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241921 */     // GIR_Coverage, 50071,
     /* 2241921 */     GIR_EraseRootFromParent_Done,
     /* 2241922 */   // Label 31559: @2241922
     /* 2241922 */   GIM_Reject,
     /* 2241923 */ // Label 31557: @2241923
     /* 2241923 */ GIM_Reject,
     /* 2241924 */ // Label 31505: @2241924
     /* 2241924 */ GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2242038),
     /* 2241929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2241932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241947 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2241992), // Rule ID 50098 //
     /* 2241952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241955 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2241958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2241972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241991 */     // GIR_Coverage, 50098,
     /* 2241991 */     GIR_EraseRootFromParent_Done,
     /* 2241992 */   // Label 31561: @2241992
     /* 2241992 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2242037), // Rule ID 50099 //
     /* 2241997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242000 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2242003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2242017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242036 */     // GIR_Coverage, 50099,
     /* 2242036 */     GIR_EraseRootFromParent_Done,
     /* 2242037 */   // Label 31562: @2242037
     /* 2242037 */   GIM_Reject,
     /* 2242038 */ // Label 31560: @2242038
     /* 2242038 */ GIM_Reject,
     /* 2242039 */ // Label 31506: @2242039
     /* 2242039 */ GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2242153),
     /* 2242044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2242047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242062 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2242107), // Rule ID 50114 //
     /* 2242067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242070 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2242073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242106 */     // GIR_Coverage, 50114,
     /* 2242106 */     GIR_EraseRootFromParent_Done,
     /* 2242107 */   // Label 31564: @2242107
     /* 2242107 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2242152), // Rule ID 50115 //
     /* 2242112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242115 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2242118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242151 */     // GIR_Coverage, 50115,
     /* 2242151 */     GIR_EraseRootFromParent_Done,
     /* 2242152 */   // Label 31565: @2242152
     /* 2242152 */   GIM_Reject,
     /* 2242153 */ // Label 31563: @2242153
     /* 2242153 */ GIM_Reject,
     /* 2242154 */ // Label 31507: @2242154
     /* 2242154 */ GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2242268),
     /* 2242159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2242162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242177 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2242222), // Rule ID 50130 //
     /* 2242182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242185 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2242188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242221 */     // GIR_Coverage, 50130,
     /* 2242221 */     GIR_EraseRootFromParent_Done,
     /* 2242222 */   // Label 31567: @2242222
     /* 2242222 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2242267), // Rule ID 50131 //
     /* 2242227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242230 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2242233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242266 */     // GIR_Coverage, 50131,
     /* 2242266 */     GIR_EraseRootFromParent_Done,
     /* 2242267 */   // Label 31568: @2242267
     /* 2242267 */   GIM_Reject,
     /* 2242268 */ // Label 31566: @2242268
     /* 2242268 */ GIM_Reject,
     /* 2242269 */ // Label 31508: @2242269
     /* 2242269 */ GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2242383),
     /* 2242274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2242277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242292 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2242337), // Rule ID 50086 //
     /* 2242297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242300 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2242303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2242317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242336 */     // GIR_Coverage, 50086,
     /* 2242336 */     GIR_EraseRootFromParent_Done,
     /* 2242337 */   // Label 31570: @2242337
     /* 2242337 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2242382), // Rule ID 50087 //
     /* 2242342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242345 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2242348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2242362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242381 */     // GIR_Coverage, 50087,
     /* 2242381 */     GIR_EraseRootFromParent_Done,
     /* 2242382 */   // Label 31571: @2242382
     /* 2242382 */   GIM_Reject,
     /* 2242383 */ // Label 31569: @2242383
     /* 2242383 */ GIM_Reject,
     /* 2242384 */ // Label 31509: @2242384
     /* 2242384 */ GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2242498),
     /* 2242389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2242392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242407 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2242452), // Rule ID 50102 //
     /* 2242412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242415 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2242418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242451 */     // GIR_Coverage, 50102,
     /* 2242451 */     GIR_EraseRootFromParent_Done,
     /* 2242452 */   // Label 31573: @2242452
     /* 2242452 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2242497), // Rule ID 50103 //
     /* 2242457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242460 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2242463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242496 */     // GIR_Coverage, 50103,
     /* 2242496 */     GIR_EraseRootFromParent_Done,
     /* 2242497 */   // Label 31574: @2242497
     /* 2242497 */   GIM_Reject,
     /* 2242498 */ // Label 31572: @2242498
     /* 2242498 */ GIM_Reject,
     /* 2242499 */ // Label 31510: @2242499
     /* 2242499 */ GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2242613),
     /* 2242504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2242507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242522 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2242567), // Rule ID 50118 //
     /* 2242527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242530 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2242533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242566 */     // GIR_Coverage, 50118,
     /* 2242566 */     GIR_EraseRootFromParent_Done,
     /* 2242567 */   // Label 31576: @2242567
     /* 2242567 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2242612), // Rule ID 50119 //
     /* 2242572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242575 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2242578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242611 */     // GIR_Coverage, 50119,
     /* 2242611 */     GIR_EraseRootFromParent_Done,
     /* 2242612 */   // Label 31577: @2242612
     /* 2242612 */   GIM_Reject,
     /* 2242613 */ // Label 31575: @2242613
     /* 2242613 */ GIM_Reject,
     /* 2242614 */ // Label 31511: @2242614
     /* 2242614 */ GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2242728),
     /* 2242619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2242622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2242625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242637 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2242682), // Rule ID 50090 //
     /* 2242642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242645 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2242648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242681 */     // GIR_Coverage, 50090,
     /* 2242681 */     GIR_EraseRootFromParent_Done,
     /* 2242682 */   // Label 31579: @2242682
     /* 2242682 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2242727), // Rule ID 50091 //
     /* 2242687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242690 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2242693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2242707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242726 */     // GIR_Coverage, 50091,
     /* 2242726 */     GIR_EraseRootFromParent_Done,
     /* 2242727 */   // Label 31580: @2242727
     /* 2242727 */   GIM_Reject,
     /* 2242728 */ // Label 31578: @2242728
     /* 2242728 */ GIM_Reject,
     /* 2242729 */ // Label 31512: @2242729
     /* 2242729 */ GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2242843),
     /* 2242734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2242737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2242740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242752 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2242797), // Rule ID 50106 //
     /* 2242757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242760 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2242763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242796 */     // GIR_Coverage, 50106,
     /* 2242796 */     GIR_EraseRootFromParent_Done,
     /* 2242797 */   // Label 31582: @2242797
     /* 2242797 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2242842), // Rule ID 50107 //
     /* 2242802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242805 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2242808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242841 */     // GIR_Coverage, 50107,
     /* 2242841 */     GIR_EraseRootFromParent_Done,
     /* 2242842 */   // Label 31583: @2242842
     /* 2242842 */   GIM_Reject,
     /* 2242843 */ // Label 31581: @2242843
     /* 2242843 */ GIM_Reject,
     /* 2242844 */ // Label 31513: @2242844
     /* 2242844 */ GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2242958),
     /* 2242849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2242852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2242855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242867 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2242912), // Rule ID 50094 //
     /* 2242872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242875 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2242878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242911 */     // GIR_Coverage, 50094,
     /* 2242911 */     GIR_EraseRootFromParent_Done,
     /* 2242912 */   // Label 31585: @2242912
     /* 2242912 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2242957), // Rule ID 50095 //
     /* 2242917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242920 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2242923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2242937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242956 */     // GIR_Coverage, 50095,
     /* 2242956 */     GIR_EraseRootFromParent_Done,
     /* 2242957 */   // Label 31586: @2242957
     /* 2242957 */   GIM_Reject,
     /* 2242958 */ // Label 31584: @2242958
     /* 2242958 */ GIM_Reject,
     /* 2242959 */ // Label 31514: @2242959
     /* 2242959 */ GIM_Reject,
     /* 2242960 */ // Label 77: @2242960
     /* 2242960 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31611*/ GIMT_Encode4(2245735),
     /* 2242971 */ /*GILLT_s32*//*Label 31587*/ GIMT_Encode4(2243095),
     /* 2242975 */ /*GILLT_s64*//*Label 31588*/ GIMT_Encode4(2243150), GIMT_Encode4(0),
     /* 2242983 */ /*GILLT_nxv1s8*//*Label 31589*/ GIMT_Encode4(2243205),
     /* 2242987 */ /*GILLT_nxv1s16*//*Label 31590*/ GIMT_Encode4(2243320),
     /* 2242991 */ /*GILLT_nxv1s32*//*Label 31591*/ GIMT_Encode4(2243435),
     /* 2242995 */ /*GILLT_nxv1s64*//*Label 31592*/ GIMT_Encode4(2243550), GIMT_Encode4(0),
     /* 2243003 */ /*GILLT_nxv2s8*//*Label 31593*/ GIMT_Encode4(2243665),
     /* 2243007 */ /*GILLT_nxv2s16*//*Label 31594*/ GIMT_Encode4(2243780),
     /* 2243011 */ /*GILLT_nxv2s32*//*Label 31595*/ GIMT_Encode4(2243895),
     /* 2243015 */ /*GILLT_nxv2s64*//*Label 31596*/ GIMT_Encode4(2244010), GIMT_Encode4(0),
     /* 2243023 */ /*GILLT_nxv4s8*//*Label 31597*/ GIMT_Encode4(2244125),
     /* 2243027 */ /*GILLT_nxv4s16*//*Label 31598*/ GIMT_Encode4(2244240),
     /* 2243031 */ /*GILLT_nxv4s32*//*Label 31599*/ GIMT_Encode4(2244355),
     /* 2243035 */ /*GILLT_nxv4s64*//*Label 31600*/ GIMT_Encode4(2244470), GIMT_Encode4(0),
     /* 2243043 */ /*GILLT_nxv8s8*//*Label 31601*/ GIMT_Encode4(2244585),
     /* 2243047 */ /*GILLT_nxv8s16*//*Label 31602*/ GIMT_Encode4(2244700),
     /* 2243051 */ /*GILLT_nxv8s32*//*Label 31603*/ GIMT_Encode4(2244815),
     /* 2243055 */ /*GILLT_nxv8s64*//*Label 31604*/ GIMT_Encode4(2244930), GIMT_Encode4(0),
     /* 2243063 */ /*GILLT_nxv16s8*//*Label 31605*/ GIMT_Encode4(2245045),
     /* 2243067 */ /*GILLT_nxv16s16*//*Label 31606*/ GIMT_Encode4(2245160),
     /* 2243071 */ /*GILLT_nxv16s32*//*Label 31607*/ GIMT_Encode4(2245275), GIMT_Encode4(0),
     /* 2243079 */ /*GILLT_nxv32s8*//*Label 31608*/ GIMT_Encode4(2245390),
     /* 2243083 */ /*GILLT_nxv32s16*//*Label 31609*/ GIMT_Encode4(2245505), GIMT_Encode4(0),
     /* 2243091 */ /*GILLT_nxv64s8*//*Label 31610*/ GIMT_Encode4(2245620),
     /* 2243095 */ // Label 31587: @2243095
     /* 2243095 */ GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2243149),
     /* 2243100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2243103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2243106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243118 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2243133), // Rule ID 63779 //
     /* 2243123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2243126 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2243126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2243131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243132 */     // GIR_Coverage, 63779,
     /* 2243132 */     GIR_Done,
     /* 2243133 */   // Label 31613: @2243133
     /* 2243133 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2243148), // Rule ID 2389 //
     /* 2243138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2243141 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2243141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2243146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243147 */     // GIR_Coverage, 2389,
     /* 2243147 */     GIR_Done,
     /* 2243148 */   // Label 31614: @2243148
     /* 2243148 */   GIM_Reject,
     /* 2243149 */ // Label 31612: @2243149
     /* 2243149 */ GIM_Reject,
     /* 2243150 */ // Label 31588: @2243150
     /* 2243150 */ GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2243204),
     /* 2243155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2243158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2243161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243173 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2243188), // Rule ID 63778 //
     /* 2243178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2243181 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2243181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2243186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243187 */     // GIR_Coverage, 63778,
     /* 2243187 */     GIR_Done,
     /* 2243188 */   // Label 31616: @2243188
     /* 2243188 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2243203), // Rule ID 2388 //
     /* 2243193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2243196 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2243196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2243201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243202 */     // GIR_Coverage, 2388,
     /* 2243202 */     GIR_Done,
     /* 2243203 */   // Label 31617: @2243203
     /* 2243203 */   GIM_Reject,
     /* 2243204 */ // Label 31615: @2243204
     /* 2243204 */ GIM_Reject,
     /* 2243205 */ // Label 31589: @2243205
     /* 2243205 */ GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2243319),
     /* 2243210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2243213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2243216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243228 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2243273), // Rule ID 50222 //
     /* 2243233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243236 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2243239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2243253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243272 */     // GIR_Coverage, 50222,
     /* 2243272 */     GIR_EraseRootFromParent_Done,
     /* 2243273 */   // Label 31619: @2243273
     /* 2243273 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2243318), // Rule ID 50223 //
     /* 2243278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243281 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2243284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2243298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243317 */     // GIR_Coverage, 50223,
     /* 2243317 */     GIR_EraseRootFromParent_Done,
     /* 2243318 */   // Label 31620: @2243318
     /* 2243318 */   GIM_Reject,
     /* 2243319 */ // Label 31618: @2243319
     /* 2243319 */ GIM_Reject,
     /* 2243320 */ // Label 31590: @2243320
     /* 2243320 */ GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2243434),
     /* 2243325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2243328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243343 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2243388), // Rule ID 50234 //
     /* 2243348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243351 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2243354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2243368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243387 */     // GIR_Coverage, 50234,
     /* 2243387 */     GIR_EraseRootFromParent_Done,
     /* 2243388 */   // Label 31622: @2243388
     /* 2243388 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2243433), // Rule ID 50235 //
     /* 2243393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243396 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2243399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2243413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243432 */     // GIR_Coverage, 50235,
     /* 2243432 */     GIR_EraseRootFromParent_Done,
     /* 2243433 */   // Label 31623: @2243433
     /* 2243433 */   GIM_Reject,
     /* 2243434 */ // Label 31621: @2243434
     /* 2243434 */ GIM_Reject,
     /* 2243435 */ // Label 31591: @2243435
     /* 2243435 */ GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2243549),
     /* 2243440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2243443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243458 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2243503), // Rule ID 50242 //
     /* 2243463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243466 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2243469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2243483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243502 */     // GIR_Coverage, 50242,
     /* 2243502 */     GIR_EraseRootFromParent_Done,
     /* 2243503 */   // Label 31625: @2243503
     /* 2243503 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2243548), // Rule ID 50243 //
     /* 2243508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243511 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2243514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2243528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243547 */     // GIR_Coverage, 50243,
     /* 2243547 */     GIR_EraseRootFromParent_Done,
     /* 2243548 */   // Label 31626: @2243548
     /* 2243548 */   GIM_Reject,
     /* 2243549 */ // Label 31624: @2243549
     /* 2243549 */ GIM_Reject,
     /* 2243550 */ // Label 31592: @2243550
     /* 2243550 */ GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2243664),
     /* 2243555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2243558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2243561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243573 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2243618), // Rule ID 50258 //
     /* 2243578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243581 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2243584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2243598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243617 */     // GIR_Coverage, 50258,
     /* 2243617 */     GIR_EraseRootFromParent_Done,
     /* 2243618 */   // Label 31628: @2243618
     /* 2243618 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2243663), // Rule ID 50259 //
     /* 2243623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243626 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2243629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2243643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243662 */     // GIR_Coverage, 50259,
     /* 2243662 */     GIR_EraseRootFromParent_Done,
     /* 2243663 */   // Label 31629: @2243663
     /* 2243663 */   GIM_Reject,
     /* 2243664 */ // Label 31627: @2243664
     /* 2243664 */ GIM_Reject,
     /* 2243665 */ // Label 31593: @2243665
     /* 2243665 */ GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2243779),
     /* 2243670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2243673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2243676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243688 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2243733), // Rule ID 50226 //
     /* 2243693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243696 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2243699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2243713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243732 */     // GIR_Coverage, 50226,
     /* 2243732 */     GIR_EraseRootFromParent_Done,
     /* 2243733 */   // Label 31631: @2243733
     /* 2243733 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2243778), // Rule ID 50227 //
     /* 2243738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243741 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2243744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2243758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243777 */     // GIR_Coverage, 50227,
     /* 2243777 */     GIR_EraseRootFromParent_Done,
     /* 2243778 */   // Label 31632: @2243778
     /* 2243778 */   GIM_Reject,
     /* 2243779 */ // Label 31630: @2243779
     /* 2243779 */ GIM_Reject,
     /* 2243780 */ // Label 31594: @2243780
     /* 2243780 */ GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2243894),
     /* 2243785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2243788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2243791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243803 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2243848), // Rule ID 50238 //
     /* 2243808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243811 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2243814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2243828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243847 */     // GIR_Coverage, 50238,
     /* 2243847 */     GIR_EraseRootFromParent_Done,
     /* 2243848 */   // Label 31634: @2243848
     /* 2243848 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2243893), // Rule ID 50239 //
     /* 2243853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243856 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2243859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2243873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243892 */     // GIR_Coverage, 50239,
     /* 2243892 */     GIR_EraseRootFromParent_Done,
     /* 2243893 */   // Label 31635: @2243893
     /* 2243893 */   GIM_Reject,
     /* 2243894 */ // Label 31633: @2243894
     /* 2243894 */ GIM_Reject,
     /* 2243895 */ // Label 31595: @2243895
     /* 2243895 */ GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2244009),
     /* 2243900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2243903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2243906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243918 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2243963), // Rule ID 50254 //
     /* 2243923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243926 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2243929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2243943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243962 */     // GIR_Coverage, 50254,
     /* 2243962 */     GIR_EraseRootFromParent_Done,
     /* 2243963 */   // Label 31637: @2243963
     /* 2243963 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2244008), // Rule ID 50255 //
     /* 2243968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243971 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2243974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2243988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244007 */     // GIR_Coverage, 50255,
     /* 2244007 */     GIR_EraseRootFromParent_Done,
     /* 2244008 */   // Label 31638: @2244008
     /* 2244008 */   GIM_Reject,
     /* 2244009 */ // Label 31636: @2244009
     /* 2244009 */ GIM_Reject,
     /* 2244010 */ // Label 31596: @2244010
     /* 2244010 */ GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2244124),
     /* 2244015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2244018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2244021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244033 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2244078), // Rule ID 50298 //
     /* 2244038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244041 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2244044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244077 */     // GIR_Coverage, 50298,
     /* 2244077 */     GIR_EraseRootFromParent_Done,
     /* 2244078 */   // Label 31640: @2244078
     /* 2244078 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2244123), // Rule ID 50299 //
     /* 2244083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244086 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2244089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244122 */     // GIR_Coverage, 50299,
     /* 2244122 */     GIR_EraseRootFromParent_Done,
     /* 2244123 */   // Label 31641: @2244123
     /* 2244123 */   GIM_Reject,
     /* 2244124 */ // Label 31639: @2244124
     /* 2244124 */ GIM_Reject,
     /* 2244125 */ // Label 31597: @2244125
     /* 2244125 */ GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2244239),
     /* 2244130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2244133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2244136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244148 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2244193), // Rule ID 50230 //
     /* 2244153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244156 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2244159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2244173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244192 */     // GIR_Coverage, 50230,
     /* 2244192 */     GIR_EraseRootFromParent_Done,
     /* 2244193 */   // Label 31643: @2244193
     /* 2244193 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2244238), // Rule ID 50231 //
     /* 2244198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244201 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2244204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2244218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244237 */     // GIR_Coverage, 50231,
     /* 2244237 */     GIR_EraseRootFromParent_Done,
     /* 2244238 */   // Label 31644: @2244238
     /* 2244238 */   GIM_Reject,
     /* 2244239 */ // Label 31642: @2244239
     /* 2244239 */ GIM_Reject,
     /* 2244240 */ // Label 31598: @2244240
     /* 2244240 */ GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2244354),
     /* 2244245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2244248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2244251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244263 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2244308), // Rule ID 50250 //
     /* 2244268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244271 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2244274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2244288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244307 */     // GIR_Coverage, 50250,
     /* 2244307 */     GIR_EraseRootFromParent_Done,
     /* 2244308 */   // Label 31646: @2244308
     /* 2244308 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2244353), // Rule ID 50251 //
     /* 2244313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244316 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2244319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2244333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244352 */     // GIR_Coverage, 50251,
     /* 2244352 */     GIR_EraseRootFromParent_Done,
     /* 2244353 */   // Label 31647: @2244353
     /* 2244353 */   GIM_Reject,
     /* 2244354 */ // Label 31645: @2244354
     /* 2244354 */ GIM_Reject,
     /* 2244355 */ // Label 31599: @2244355
     /* 2244355 */ GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2244469),
     /* 2244360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2244363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2244366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244378 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2244423), // Rule ID 50286 //
     /* 2244383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244386 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2244389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244422 */     // GIR_Coverage, 50286,
     /* 2244422 */     GIR_EraseRootFromParent_Done,
     /* 2244423 */   // Label 31649: @2244423
     /* 2244423 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2244468), // Rule ID 50287 //
     /* 2244428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244431 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2244434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244467 */     // GIR_Coverage, 50287,
     /* 2244467 */     GIR_EraseRootFromParent_Done,
     /* 2244468 */   // Label 31650: @2244468
     /* 2244468 */   GIM_Reject,
     /* 2244469 */ // Label 31648: @2244469
     /* 2244469 */ GIM_Reject,
     /* 2244470 */ // Label 31600: @2244470
     /* 2244470 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2244584),
     /* 2244475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2244478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2244481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244493 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2244538), // Rule ID 50302 //
     /* 2244498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244501 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2244504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2244518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244537 */     // GIR_Coverage, 50302,
     /* 2244537 */     GIR_EraseRootFromParent_Done,
     /* 2244538 */   // Label 31652: @2244538
     /* 2244538 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2244583), // Rule ID 50303 //
     /* 2244543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244546 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2244549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2244563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244582 */     // GIR_Coverage, 50303,
     /* 2244582 */     GIR_EraseRootFromParent_Done,
     /* 2244583 */   // Label 31653: @2244583
     /* 2244583 */   GIM_Reject,
     /* 2244584 */ // Label 31651: @2244584
     /* 2244584 */ GIM_Reject,
     /* 2244585 */ // Label 31601: @2244585
     /* 2244585 */ GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2244699),
     /* 2244590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2244593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244608 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2244653), // Rule ID 50246 //
     /* 2244613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244616 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2244619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2244633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244652 */     // GIR_Coverage, 50246,
     /* 2244652 */     GIR_EraseRootFromParent_Done,
     /* 2244653 */   // Label 31655: @2244653
     /* 2244653 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2244698), // Rule ID 50247 //
     /* 2244658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244661 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2244664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2244678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244697 */     // GIR_Coverage, 50247,
     /* 2244697 */     GIR_EraseRootFromParent_Done,
     /* 2244698 */   // Label 31656: @2244698
     /* 2244698 */   GIM_Reject,
     /* 2244699 */ // Label 31654: @2244699
     /* 2244699 */ GIM_Reject,
     /* 2244700 */ // Label 31602: @2244700
     /* 2244700 */ GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2244814),
     /* 2244705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2244708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244723 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2244768), // Rule ID 50274 //
     /* 2244728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244731 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2244734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244767 */     // GIR_Coverage, 50274,
     /* 2244767 */     GIR_EraseRootFromParent_Done,
     /* 2244768 */   // Label 31658: @2244768
     /* 2244768 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2244813), // Rule ID 50275 //
     /* 2244773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244776 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2244779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2244793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244812 */     // GIR_Coverage, 50275,
     /* 2244812 */     GIR_EraseRootFromParent_Done,
     /* 2244813 */   // Label 31659: @2244813
     /* 2244813 */   GIM_Reject,
     /* 2244814 */ // Label 31657: @2244814
     /* 2244814 */ GIM_Reject,
     /* 2244815 */ // Label 31603: @2244815
     /* 2244815 */ GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2244929),
     /* 2244820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2244823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244838 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2244883), // Rule ID 50290 //
     /* 2244843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244846 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2244849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2244863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244882 */     // GIR_Coverage, 50290,
     /* 2244882 */     GIR_EraseRootFromParent_Done,
     /* 2244883 */   // Label 31661: @2244883
     /* 2244883 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2244928), // Rule ID 50291 //
     /* 2244888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244891 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2244894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2244908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244927 */     // GIR_Coverage, 50291,
     /* 2244927 */     GIR_EraseRootFromParent_Done,
     /* 2244928 */   // Label 31662: @2244928
     /* 2244928 */   GIM_Reject,
     /* 2244929 */ // Label 31660: @2244929
     /* 2244929 */ GIM_Reject,
     /* 2244930 */ // Label 31604: @2244930
     /* 2244930 */ GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2245044),
     /* 2244935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2244938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244953 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2244998), // Rule ID 50306 //
     /* 2244958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244961 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2244964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2244968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2244978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2244985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244997 */     // GIR_Coverage, 50306,
     /* 2244997 */     GIR_EraseRootFromParent_Done,
     /* 2244998 */   // Label 31664: @2244998
     /* 2244998 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2245043), // Rule ID 50307 //
     /* 2245003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2245006 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2245009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245042 */     // GIR_Coverage, 50307,
     /* 2245042 */     GIR_EraseRootFromParent_Done,
     /* 2245043 */   // Label 31665: @2245043
     /* 2245043 */   GIM_Reject,
     /* 2245044 */ // Label 31663: @2245044
     /* 2245044 */ GIM_Reject,
     /* 2245045 */ // Label 31605: @2245045
     /* 2245045 */ GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2245159),
     /* 2245050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2245053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245068 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2245113), // Rule ID 50262 //
     /* 2245073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245076 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2245079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2245093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245112 */     // GIR_Coverage, 50262,
     /* 2245112 */     GIR_EraseRootFromParent_Done,
     /* 2245113 */   // Label 31667: @2245113
     /* 2245113 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2245158), // Rule ID 50263 //
     /* 2245118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245121 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2245124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2245138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245157 */     // GIR_Coverage, 50263,
     /* 2245157 */     GIR_EraseRootFromParent_Done,
     /* 2245158 */   // Label 31668: @2245158
     /* 2245158 */   GIM_Reject,
     /* 2245159 */ // Label 31666: @2245159
     /* 2245159 */ GIM_Reject,
     /* 2245160 */ // Label 31606: @2245160
     /* 2245160 */ GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2245274),
     /* 2245165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2245168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245183 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2245228), // Rule ID 50278 //
     /* 2245188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245191 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2245194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2245208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245227 */     // GIR_Coverage, 50278,
     /* 2245227 */     GIR_EraseRootFromParent_Done,
     /* 2245228 */   // Label 31670: @2245228
     /* 2245228 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2245273), // Rule ID 50279 //
     /* 2245233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245236 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2245239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2245253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245272 */     // GIR_Coverage, 50279,
     /* 2245272 */     GIR_EraseRootFromParent_Done,
     /* 2245273 */   // Label 31671: @2245273
     /* 2245273 */   GIM_Reject,
     /* 2245274 */ // Label 31669: @2245274
     /* 2245274 */ GIM_Reject,
     /* 2245275 */ // Label 31607: @2245275
     /* 2245275 */ GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2245389),
     /* 2245280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2245283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245298 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2245343), // Rule ID 50294 //
     /* 2245303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245306 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2245309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245342 */     // GIR_Coverage, 50294,
     /* 2245342 */     GIR_EraseRootFromParent_Done,
     /* 2245343 */   // Label 31673: @2245343
     /* 2245343 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2245388), // Rule ID 50295 //
     /* 2245348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245351 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2245354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245387 */     // GIR_Coverage, 50295,
     /* 2245387 */     GIR_EraseRootFromParent_Done,
     /* 2245388 */   // Label 31674: @2245388
     /* 2245388 */   GIM_Reject,
     /* 2245389 */ // Label 31672: @2245389
     /* 2245389 */ GIM_Reject,
     /* 2245390 */ // Label 31608: @2245390
     /* 2245390 */ GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2245504),
     /* 2245395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2245398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2245401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245413 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2245458), // Rule ID 50266 //
     /* 2245418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245421 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2245424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2245438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245457 */     // GIR_Coverage, 50266,
     /* 2245457 */     GIR_EraseRootFromParent_Done,
     /* 2245458 */   // Label 31676: @2245458
     /* 2245458 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2245503), // Rule ID 50267 //
     /* 2245463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245466 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2245469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2245483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245502 */     // GIR_Coverage, 50267,
     /* 2245502 */     GIR_EraseRootFromParent_Done,
     /* 2245503 */   // Label 31677: @2245503
     /* 2245503 */   GIM_Reject,
     /* 2245504 */ // Label 31675: @2245504
     /* 2245504 */ GIM_Reject,
     /* 2245505 */ // Label 31609: @2245505
     /* 2245505 */ GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2245619),
     /* 2245510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2245513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2245516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245528 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2245573), // Rule ID 50282 //
     /* 2245533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245536 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2245539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245572 */     // GIR_Coverage, 50282,
     /* 2245572 */     GIR_EraseRootFromParent_Done,
     /* 2245573 */   // Label 31679: @2245573
     /* 2245573 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2245618), // Rule ID 50283 //
     /* 2245578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245581 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2245584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245617 */     // GIR_Coverage, 50283,
     /* 2245617 */     GIR_EraseRootFromParent_Done,
     /* 2245618 */   // Label 31680: @2245618
     /* 2245618 */   GIM_Reject,
     /* 2245619 */ // Label 31678: @2245619
     /* 2245619 */ GIM_Reject,
     /* 2245620 */ // Label 31610: @2245620
     /* 2245620 */ GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2245734),
     /* 2245625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2245628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2245631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245643 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2245688), // Rule ID 50270 //
     /* 2245648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245651 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2245654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245687 */     // GIR_Coverage, 50270,
     /* 2245687 */     GIR_EraseRootFromParent_Done,
     /* 2245688 */   // Label 31682: @2245688
     /* 2245688 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2245733), // Rule ID 50271 //
     /* 2245693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245696 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2245699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2245703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2245713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2245720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245732 */     // GIR_Coverage, 50271,
     /* 2245732 */     GIR_EraseRootFromParent_Done,
     /* 2245733 */   // Label 31683: @2245733
     /* 2245733 */   GIM_Reject,
     /* 2245734 */ // Label 31681: @2245734
     /* 2245734 */ GIM_Reject,
     /* 2245735 */ // Label 31611: @2245735
     /* 2245735 */ GIM_Reject,
     /* 2245736 */ // Label 78: @2245736
     /* 2245736 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31708*/ GIMT_Encode4(2248511),
     /* 2245747 */ /*GILLT_s32*//*Label 31684*/ GIMT_Encode4(2245871),
     /* 2245751 */ /*GILLT_s64*//*Label 31685*/ GIMT_Encode4(2245926), GIMT_Encode4(0),
     /* 2245759 */ /*GILLT_nxv1s8*//*Label 31686*/ GIMT_Encode4(2245981),
     /* 2245763 */ /*GILLT_nxv1s16*//*Label 31687*/ GIMT_Encode4(2246096),
     /* 2245767 */ /*GILLT_nxv1s32*//*Label 31688*/ GIMT_Encode4(2246211),
     /* 2245771 */ /*GILLT_nxv1s64*//*Label 31689*/ GIMT_Encode4(2246326), GIMT_Encode4(0),
     /* 2245779 */ /*GILLT_nxv2s8*//*Label 31690*/ GIMT_Encode4(2246441),
     /* 2245783 */ /*GILLT_nxv2s16*//*Label 31691*/ GIMT_Encode4(2246556),
     /* 2245787 */ /*GILLT_nxv2s32*//*Label 31692*/ GIMT_Encode4(2246671),
     /* 2245791 */ /*GILLT_nxv2s64*//*Label 31693*/ GIMT_Encode4(2246786), GIMT_Encode4(0),
     /* 2245799 */ /*GILLT_nxv4s8*//*Label 31694*/ GIMT_Encode4(2246901),
     /* 2245803 */ /*GILLT_nxv4s16*//*Label 31695*/ GIMT_Encode4(2247016),
     /* 2245807 */ /*GILLT_nxv4s32*//*Label 31696*/ GIMT_Encode4(2247131),
     /* 2245811 */ /*GILLT_nxv4s64*//*Label 31697*/ GIMT_Encode4(2247246), GIMT_Encode4(0),
     /* 2245819 */ /*GILLT_nxv8s8*//*Label 31698*/ GIMT_Encode4(2247361),
     /* 2245823 */ /*GILLT_nxv8s16*//*Label 31699*/ GIMT_Encode4(2247476),
     /* 2245827 */ /*GILLT_nxv8s32*//*Label 31700*/ GIMT_Encode4(2247591),
     /* 2245831 */ /*GILLT_nxv8s64*//*Label 31701*/ GIMT_Encode4(2247706), GIMT_Encode4(0),
     /* 2245839 */ /*GILLT_nxv16s8*//*Label 31702*/ GIMT_Encode4(2247821),
     /* 2245843 */ /*GILLT_nxv16s16*//*Label 31703*/ GIMT_Encode4(2247936),
     /* 2245847 */ /*GILLT_nxv16s32*//*Label 31704*/ GIMT_Encode4(2248051), GIMT_Encode4(0),
     /* 2245855 */ /*GILLT_nxv32s8*//*Label 31705*/ GIMT_Encode4(2248166),
     /* 2245859 */ /*GILLT_nxv32s16*//*Label 31706*/ GIMT_Encode4(2248281), GIMT_Encode4(0),
     /* 2245867 */ /*GILLT_nxv64s8*//*Label 31707*/ GIMT_Encode4(2248396),
     /* 2245871 */ // Label 31684: @2245871
     /* 2245871 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2245925),
     /* 2245876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2245879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245894 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2245909), // Rule ID 63777 //
     /* 2245899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2245902 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2245907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245908 */     // GIR_Coverage, 63777,
     /* 2245908 */     GIR_Done,
     /* 2245909 */   // Label 31710: @2245909
     /* 2245909 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2245924), // Rule ID 2391 //
     /* 2245914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2245917 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2245922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245923 */     // GIR_Coverage, 2391,
     /* 2245923 */     GIR_Done,
     /* 2245924 */   // Label 31711: @2245924
     /* 2245924 */   GIM_Reject,
     /* 2245925 */ // Label 31709: @2245925
     /* 2245925 */ GIM_Reject,
     /* 2245926 */ // Label 31685: @2245926
     /* 2245926 */ GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2245980),
     /* 2245931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2245934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2245937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245949 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2245964), // Rule ID 63776 //
     /* 2245954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2245957 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2245957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2245962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245963 */     // GIR_Coverage, 63776,
     /* 2245963 */     GIR_Done,
     /* 2245964 */   // Label 31713: @2245964
     /* 2245964 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2245979), // Rule ID 2390 //
     /* 2245969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2245972 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2245972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2245977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245978 */     // GIR_Coverage, 2390,
     /* 2245978 */     GIR_Done,
     /* 2245979 */   // Label 31714: @2245979
     /* 2245979 */   GIM_Reject,
     /* 2245980 */ // Label 31712: @2245980
     /* 2245980 */ GIM_Reject,
     /* 2245981 */ // Label 31686: @2245981
     /* 2245981 */ GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2246095),
     /* 2245986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2245989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2245992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246004 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2246049), // Rule ID 49958 //
     /* 2246009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246012 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2246015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2246029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246048 */     // GIR_Coverage, 49958,
     /* 2246048 */     GIR_EraseRootFromParent_Done,
     /* 2246049 */   // Label 31716: @2246049
     /* 2246049 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2246094), // Rule ID 49959 //
     /* 2246054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246057 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2246060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2246074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246093 */     // GIR_Coverage, 49959,
     /* 2246093 */     GIR_EraseRootFromParent_Done,
     /* 2246094 */   // Label 31717: @2246094
     /* 2246094 */   GIM_Reject,
     /* 2246095 */ // Label 31715: @2246095
     /* 2246095 */ GIM_Reject,
     /* 2246096 */ // Label 31687: @2246096
     /* 2246096 */ GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2246210),
     /* 2246101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2246104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246119 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2246164), // Rule ID 49970 //
     /* 2246124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246127 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2246130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2246144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246163 */     // GIR_Coverage, 49970,
     /* 2246163 */     GIR_EraseRootFromParent_Done,
     /* 2246164 */   // Label 31719: @2246164
     /* 2246164 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2246209), // Rule ID 49971 //
     /* 2246169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246172 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2246175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2246189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246208 */     // GIR_Coverage, 49971,
     /* 2246208 */     GIR_EraseRootFromParent_Done,
     /* 2246209 */   // Label 31720: @2246209
     /* 2246209 */   GIM_Reject,
     /* 2246210 */ // Label 31718: @2246210
     /* 2246210 */ GIM_Reject,
     /* 2246211 */ // Label 31688: @2246211
     /* 2246211 */ GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2246325),
     /* 2246216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2246219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246234 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2246279), // Rule ID 49978 //
     /* 2246239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246242 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2246245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246278 */     // GIR_Coverage, 49978,
     /* 2246278 */     GIR_EraseRootFromParent_Done,
     /* 2246279 */   // Label 31722: @2246279
     /* 2246279 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2246324), // Rule ID 49979 //
     /* 2246284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246287 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2246290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246323 */     // GIR_Coverage, 49979,
     /* 2246323 */     GIR_EraseRootFromParent_Done,
     /* 2246324 */   // Label 31723: @2246324
     /* 2246324 */   GIM_Reject,
     /* 2246325 */ // Label 31721: @2246325
     /* 2246325 */ GIM_Reject,
     /* 2246326 */ // Label 31689: @2246326
     /* 2246326 */ GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2246440),
     /* 2246331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2246334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2246337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246349 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2246394), // Rule ID 49994 //
     /* 2246354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246357 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2246360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2246374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246393 */     // GIR_Coverage, 49994,
     /* 2246393 */     GIR_EraseRootFromParent_Done,
     /* 2246394 */   // Label 31725: @2246394
     /* 2246394 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2246439), // Rule ID 49995 //
     /* 2246399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246402 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2246405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2246419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246438 */     // GIR_Coverage, 49995,
     /* 2246438 */     GIR_EraseRootFromParent_Done,
     /* 2246439 */   // Label 31726: @2246439
     /* 2246439 */   GIM_Reject,
     /* 2246440 */ // Label 31724: @2246440
     /* 2246440 */ GIM_Reject,
     /* 2246441 */ // Label 31690: @2246441
     /* 2246441 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2246555),
     /* 2246446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2246449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2246452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246464 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2246509), // Rule ID 49962 //
     /* 2246469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246472 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2246475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2246489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246508 */     // GIR_Coverage, 49962,
     /* 2246508 */     GIR_EraseRootFromParent_Done,
     /* 2246509 */   // Label 31728: @2246509
     /* 2246509 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2246554), // Rule ID 49963 //
     /* 2246514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246517 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2246520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2246534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246553 */     // GIR_Coverage, 49963,
     /* 2246553 */     GIR_EraseRootFromParent_Done,
     /* 2246554 */   // Label 31729: @2246554
     /* 2246554 */   GIM_Reject,
     /* 2246555 */ // Label 31727: @2246555
     /* 2246555 */ GIM_Reject,
     /* 2246556 */ // Label 31691: @2246556
     /* 2246556 */ GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2246670),
     /* 2246561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2246564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246579 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2246624), // Rule ID 49974 //
     /* 2246584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246587 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2246590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246623 */     // GIR_Coverage, 49974,
     /* 2246623 */     GIR_EraseRootFromParent_Done,
     /* 2246624 */   // Label 31731: @2246624
     /* 2246624 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2246669), // Rule ID 49975 //
     /* 2246629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246632 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2246635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246668 */     // GIR_Coverage, 49975,
     /* 2246668 */     GIR_EraseRootFromParent_Done,
     /* 2246669 */   // Label 31732: @2246669
     /* 2246669 */   GIM_Reject,
     /* 2246670 */ // Label 31730: @2246670
     /* 2246670 */ GIM_Reject,
     /* 2246671 */ // Label 31692: @2246671
     /* 2246671 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2246785),
     /* 2246676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2246679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2246682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246694 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2246739), // Rule ID 49990 //
     /* 2246699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246702 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2246705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2246719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246738 */     // GIR_Coverage, 49990,
     /* 2246738 */     GIR_EraseRootFromParent_Done,
     /* 2246739 */   // Label 31734: @2246739
     /* 2246739 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2246784), // Rule ID 49991 //
     /* 2246744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246747 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2246750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2246764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246783 */     // GIR_Coverage, 49991,
     /* 2246783 */     GIR_EraseRootFromParent_Done,
     /* 2246784 */   // Label 31735: @2246784
     /* 2246784 */   GIM_Reject,
     /* 2246785 */ // Label 31733: @2246785
     /* 2246785 */ GIM_Reject,
     /* 2246786 */ // Label 31693: @2246786
     /* 2246786 */ GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2246900),
     /* 2246791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2246794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2246797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246809 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2246854), // Rule ID 50034 //
     /* 2246814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2246817 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2246820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2246834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246853 */     // GIR_Coverage, 50034,
     /* 2246853 */     GIR_EraseRootFromParent_Done,
     /* 2246854 */   // Label 31737: @2246854
     /* 2246854 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2246899), // Rule ID 50035 //
     /* 2246859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2246862 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2246865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2246879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246898 */     // GIR_Coverage, 50035,
     /* 2246898 */     GIR_EraseRootFromParent_Done,
     /* 2246899 */   // Label 31738: @2246899
     /* 2246899 */   GIM_Reject,
     /* 2246900 */ // Label 31736: @2246900
     /* 2246900 */ GIM_Reject,
     /* 2246901 */ // Label 31694: @2246901
     /* 2246901 */ GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2247015),
     /* 2246906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2246909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2246912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246924 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2246969), // Rule ID 49966 //
     /* 2246929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246932 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2246935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2246956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246968 */     // GIR_Coverage, 49966,
     /* 2246968 */     GIR_EraseRootFromParent_Done,
     /* 2246969 */   // Label 31740: @2246969
     /* 2246969 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2247014), // Rule ID 49967 //
     /* 2246974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246977 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2246980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2246984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2246994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247013 */     // GIR_Coverage, 49967,
     /* 2247013 */     GIR_EraseRootFromParent_Done,
     /* 2247014 */   // Label 31741: @2247014
     /* 2247014 */   GIM_Reject,
     /* 2247015 */ // Label 31739: @2247015
     /* 2247015 */ GIM_Reject,
     /* 2247016 */ // Label 31695: @2247016
     /* 2247016 */ GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2247130),
     /* 2247021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2247024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2247027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247039 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2247084), // Rule ID 49986 //
     /* 2247044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247047 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2247050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2247064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247083 */     // GIR_Coverage, 49986,
     /* 2247083 */     GIR_EraseRootFromParent_Done,
     /* 2247084 */   // Label 31743: @2247084
     /* 2247084 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2247129), // Rule ID 49987 //
     /* 2247089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247092 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2247095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2247109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247128 */     // GIR_Coverage, 49987,
     /* 2247128 */     GIR_EraseRootFromParent_Done,
     /* 2247129 */   // Label 31744: @2247129
     /* 2247129 */   GIM_Reject,
     /* 2247130 */ // Label 31742: @2247130
     /* 2247130 */ GIM_Reject,
     /* 2247131 */ // Label 31696: @2247131
     /* 2247131 */ GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2247245),
     /* 2247136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2247139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2247142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247154 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2247199), // Rule ID 50022 //
     /* 2247159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247162 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2247165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247198 */     // GIR_Coverage, 50022,
     /* 2247198 */     GIR_EraseRootFromParent_Done,
     /* 2247199 */   // Label 31746: @2247199
     /* 2247199 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2247244), // Rule ID 50023 //
     /* 2247204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247207 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2247210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247243 */     // GIR_Coverage, 50023,
     /* 2247243 */     GIR_EraseRootFromParent_Done,
     /* 2247244 */   // Label 31747: @2247244
     /* 2247244 */   GIM_Reject,
     /* 2247245 */ // Label 31745: @2247245
     /* 2247245 */ GIM_Reject,
     /* 2247246 */ // Label 31697: @2247246
     /* 2247246 */ GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2247360),
     /* 2247251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2247254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2247257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247269 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2247314), // Rule ID 50038 //
     /* 2247274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247277 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2247280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2247294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247313 */     // GIR_Coverage, 50038,
     /* 2247313 */     GIR_EraseRootFromParent_Done,
     /* 2247314 */   // Label 31749: @2247314
     /* 2247314 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2247359), // Rule ID 50039 //
     /* 2247319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247322 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2247325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2247339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247358 */     // GIR_Coverage, 50039,
     /* 2247358 */     GIR_EraseRootFromParent_Done,
     /* 2247359 */   // Label 31750: @2247359
     /* 2247359 */   GIM_Reject,
     /* 2247360 */ // Label 31748: @2247360
     /* 2247360 */ GIM_Reject,
     /* 2247361 */ // Label 31698: @2247361
     /* 2247361 */ GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2247475),
     /* 2247366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2247369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2247372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247384 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2247429), // Rule ID 49982 //
     /* 2247389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247392 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2247395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2247409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247428 */     // GIR_Coverage, 49982,
     /* 2247428 */     GIR_EraseRootFromParent_Done,
     /* 2247429 */   // Label 31752: @2247429
     /* 2247429 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2247474), // Rule ID 49983 //
     /* 2247434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247437 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2247440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2247454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247473 */     // GIR_Coverage, 49983,
     /* 2247473 */     GIR_EraseRootFromParent_Done,
     /* 2247474 */   // Label 31753: @2247474
     /* 2247474 */   GIM_Reject,
     /* 2247475 */ // Label 31751: @2247475
     /* 2247475 */ GIM_Reject,
     /* 2247476 */ // Label 31699: @2247476
     /* 2247476 */ GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2247590),
     /* 2247481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2247484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247499 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2247544), // Rule ID 50010 //
     /* 2247504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247507 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2247510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247543 */     // GIR_Coverage, 50010,
     /* 2247543 */     GIR_EraseRootFromParent_Done,
     /* 2247544 */   // Label 31755: @2247544
     /* 2247544 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2247589), // Rule ID 50011 //
     /* 2247549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247552 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2247555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247588 */     // GIR_Coverage, 50011,
     /* 2247588 */     GIR_EraseRootFromParent_Done,
     /* 2247589 */   // Label 31756: @2247589
     /* 2247589 */   GIM_Reject,
     /* 2247590 */ // Label 31754: @2247590
     /* 2247590 */ GIM_Reject,
     /* 2247591 */ // Label 31700: @2247591
     /* 2247591 */ GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2247705),
     /* 2247596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2247599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2247602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247614 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2247659), // Rule ID 50026 //
     /* 2247619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247622 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2247625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2247639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247658 */     // GIR_Coverage, 50026,
     /* 2247658 */     GIR_EraseRootFromParent_Done,
     /* 2247659 */   // Label 31758: @2247659
     /* 2247659 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2247704), // Rule ID 50027 //
     /* 2247664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247667 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2247670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2247684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247703 */     // GIR_Coverage, 50027,
     /* 2247703 */     GIR_EraseRootFromParent_Done,
     /* 2247704 */   // Label 31759: @2247704
     /* 2247704 */   GIM_Reject,
     /* 2247705 */ // Label 31757: @2247705
     /* 2247705 */ GIM_Reject,
     /* 2247706 */ // Label 31701: @2247706
     /* 2247706 */ GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2247820),
     /* 2247711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2247714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2247717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247729 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2247774), // Rule ID 50042 //
     /* 2247734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2247737 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2247740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2247754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247773 */     // GIR_Coverage, 50042,
     /* 2247773 */     GIR_EraseRootFromParent_Done,
     /* 2247774 */   // Label 31761: @2247774
     /* 2247774 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2247819), // Rule ID 50043 //
     /* 2247779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2247782 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2247785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2247799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247818 */     // GIR_Coverage, 50043,
     /* 2247818 */     GIR_EraseRootFromParent_Done,
     /* 2247819 */   // Label 31762: @2247819
     /* 2247819 */   GIM_Reject,
     /* 2247820 */ // Label 31760: @2247820
     /* 2247820 */ GIM_Reject,
     /* 2247821 */ // Label 31702: @2247821
     /* 2247821 */ GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2247935),
     /* 2247826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2247829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247844 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2247889), // Rule ID 49998 //
     /* 2247849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247852 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2247855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247888 */     // GIR_Coverage, 49998,
     /* 2247888 */     GIR_EraseRootFromParent_Done,
     /* 2247889 */   // Label 31764: @2247889
     /* 2247889 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2247934), // Rule ID 49999 //
     /* 2247894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247897 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2247900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2247914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247933 */     // GIR_Coverage, 49999,
     /* 2247933 */     GIR_EraseRootFromParent_Done,
     /* 2247934 */   // Label 31765: @2247934
     /* 2247934 */   GIM_Reject,
     /* 2247935 */ // Label 31763: @2247935
     /* 2247935 */ GIM_Reject,
     /* 2247936 */ // Label 31703: @2247936
     /* 2247936 */ GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2248050),
     /* 2247941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2247944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247959 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2248004), // Rule ID 50014 //
     /* 2247964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247967 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2247970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2247974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2247984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2247991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248003 */     // GIR_Coverage, 50014,
     /* 2248003 */     GIR_EraseRootFromParent_Done,
     /* 2248004 */   // Label 31767: @2248004
     /* 2248004 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2248049), // Rule ID 50015 //
     /* 2248009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248012 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2248015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2248029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248048 */     // GIR_Coverage, 50015,
     /* 2248048 */     GIR_EraseRootFromParent_Done,
     /* 2248049 */   // Label 31768: @2248049
     /* 2248049 */   GIM_Reject,
     /* 2248050 */ // Label 31766: @2248050
     /* 2248050 */ GIM_Reject,
     /* 2248051 */ // Label 31704: @2248051
     /* 2248051 */ GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2248165),
     /* 2248056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2248059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248074 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2248119), // Rule ID 50030 //
     /* 2248079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248082 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2248085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248118 */     // GIR_Coverage, 50030,
     /* 2248118 */     GIR_EraseRootFromParent_Done,
     /* 2248119 */   // Label 31770: @2248119
     /* 2248119 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2248164), // Rule ID 50031 //
     /* 2248124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248127 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2248130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248163 */     // GIR_Coverage, 50031,
     /* 2248163 */     GIR_EraseRootFromParent_Done,
     /* 2248164 */   // Label 31771: @2248164
     /* 2248164 */   GIM_Reject,
     /* 2248165 */ // Label 31769: @2248165
     /* 2248165 */ GIM_Reject,
     /* 2248166 */ // Label 31705: @2248166
     /* 2248166 */ GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2248280),
     /* 2248171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2248174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248189 */   GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2248234), // Rule ID 50002 //
     /* 2248194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248197 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2248200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2248214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248233 */     // GIR_Coverage, 50002,
     /* 2248233 */     GIR_EraseRootFromParent_Done,
     /* 2248234 */   // Label 31773: @2248234
     /* 2248234 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2248279), // Rule ID 50003 //
     /* 2248239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248242 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2248245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2248259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248278 */     // GIR_Coverage, 50003,
     /* 2248278 */     GIR_EraseRootFromParent_Done,
     /* 2248279 */   // Label 31774: @2248279
     /* 2248279 */   GIM_Reject,
     /* 2248280 */ // Label 31772: @2248280
     /* 2248280 */ GIM_Reject,
     /* 2248281 */ // Label 31706: @2248281
     /* 2248281 */ GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2248395),
     /* 2248286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2248289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248304 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2248349), // Rule ID 50018 //
     /* 2248309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248312 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2248315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248348 */     // GIR_Coverage, 50018,
     /* 2248348 */     GIR_EraseRootFromParent_Done,
     /* 2248349 */   // Label 31776: @2248349
     /* 2248349 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2248394), // Rule ID 50019 //
     /* 2248354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248357 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2248360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248393 */     // GIR_Coverage, 50019,
     /* 2248393 */     GIR_EraseRootFromParent_Done,
     /* 2248394 */   // Label 31777: @2248394
     /* 2248394 */   GIM_Reject,
     /* 2248395 */ // Label 31775: @2248395
     /* 2248395 */ GIM_Reject,
     /* 2248396 */ // Label 31707: @2248396
     /* 2248396 */ GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2248510),
     /* 2248401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2248404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2248407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248419 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2248464), // Rule ID 50006 //
     /* 2248424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248427 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2248430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248463 */     // GIR_Coverage, 50006,
     /* 2248463 */     GIR_EraseRootFromParent_Done,
     /* 2248464 */   // Label 31779: @2248464
     /* 2248464 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2248509), // Rule ID 50007 //
     /* 2248469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248472 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2248475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2248489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248508 */     // GIR_Coverage, 50007,
     /* 2248508 */     GIR_EraseRootFromParent_Done,
     /* 2248509 */   // Label 31780: @2248509
     /* 2248509 */   GIM_Reject,
     /* 2248510 */ // Label 31778: @2248510
     /* 2248510 */ GIM_Reject,
     /* 2248511 */ // Label 31708: @2248511
     /* 2248511 */ GIM_Reject,
     /* 2248512 */ // Label 79: @2248512
     /* 2248512 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31805*/ GIMT_Encode4(2251287),
     /* 2248523 */ /*GILLT_s32*//*Label 31781*/ GIMT_Encode4(2248647),
     /* 2248527 */ /*GILLT_s64*//*Label 31782*/ GIMT_Encode4(2248702), GIMT_Encode4(0),
     /* 2248535 */ /*GILLT_nxv1s8*//*Label 31783*/ GIMT_Encode4(2248757),
     /* 2248539 */ /*GILLT_nxv1s16*//*Label 31784*/ GIMT_Encode4(2248872),
     /* 2248543 */ /*GILLT_nxv1s32*//*Label 31785*/ GIMT_Encode4(2248987),
     /* 2248547 */ /*GILLT_nxv1s64*//*Label 31786*/ GIMT_Encode4(2249102), GIMT_Encode4(0),
     /* 2248555 */ /*GILLT_nxv2s8*//*Label 31787*/ GIMT_Encode4(2249217),
     /* 2248559 */ /*GILLT_nxv2s16*//*Label 31788*/ GIMT_Encode4(2249332),
     /* 2248563 */ /*GILLT_nxv2s32*//*Label 31789*/ GIMT_Encode4(2249447),
     /* 2248567 */ /*GILLT_nxv2s64*//*Label 31790*/ GIMT_Encode4(2249562), GIMT_Encode4(0),
     /* 2248575 */ /*GILLT_nxv4s8*//*Label 31791*/ GIMT_Encode4(2249677),
     /* 2248579 */ /*GILLT_nxv4s16*//*Label 31792*/ GIMT_Encode4(2249792),
     /* 2248583 */ /*GILLT_nxv4s32*//*Label 31793*/ GIMT_Encode4(2249907),
     /* 2248587 */ /*GILLT_nxv4s64*//*Label 31794*/ GIMT_Encode4(2250022), GIMT_Encode4(0),
     /* 2248595 */ /*GILLT_nxv8s8*//*Label 31795*/ GIMT_Encode4(2250137),
     /* 2248599 */ /*GILLT_nxv8s16*//*Label 31796*/ GIMT_Encode4(2250252),
     /* 2248603 */ /*GILLT_nxv8s32*//*Label 31797*/ GIMT_Encode4(2250367),
     /* 2248607 */ /*GILLT_nxv8s64*//*Label 31798*/ GIMT_Encode4(2250482), GIMT_Encode4(0),
     /* 2248615 */ /*GILLT_nxv16s8*//*Label 31799*/ GIMT_Encode4(2250597),
     /* 2248619 */ /*GILLT_nxv16s16*//*Label 31800*/ GIMT_Encode4(2250712),
     /* 2248623 */ /*GILLT_nxv16s32*//*Label 31801*/ GIMT_Encode4(2250827), GIMT_Encode4(0),
     /* 2248631 */ /*GILLT_nxv32s8*//*Label 31802*/ GIMT_Encode4(2250942),
     /* 2248635 */ /*GILLT_nxv32s16*//*Label 31803*/ GIMT_Encode4(2251057), GIMT_Encode4(0),
     /* 2248643 */ /*GILLT_nxv64s8*//*Label 31804*/ GIMT_Encode4(2251172),
     /* 2248647 */ // Label 31781: @2248647
     /* 2248647 */ GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2248701),
     /* 2248652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2248655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2248658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248670 */   GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2248685), // Rule ID 63781 //
     /* 2248675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2248678 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2248678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2248683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248684 */     // GIR_Coverage, 63781,
     /* 2248684 */     GIR_Done,
     /* 2248685 */   // Label 31807: @2248685
     /* 2248685 */   GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2248700), // Rule ID 2393 //
     /* 2248690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2248693 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2248693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2248698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248699 */     // GIR_Coverage, 2393,
     /* 2248699 */     GIR_Done,
     /* 2248700 */   // Label 31808: @2248700
     /* 2248700 */   GIM_Reject,
     /* 2248701 */ // Label 31806: @2248701
     /* 2248701 */ GIM_Reject,
     /* 2248702 */ // Label 31782: @2248702
     /* 2248702 */ GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2248756),
     /* 2248707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2248710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248725 */   GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2248740), // Rule ID 63780 //
     /* 2248730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2248733 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2248738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248739 */     // GIR_Coverage, 63780,
     /* 2248739 */     GIR_Done,
     /* 2248740 */   // Label 31810: @2248740
     /* 2248740 */   GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2248755), // Rule ID 2392 //
     /* 2248745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2248748 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2248753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248754 */     // GIR_Coverage, 2392,
     /* 2248754 */     GIR_Done,
     /* 2248755 */   // Label 31811: @2248755
     /* 2248755 */   GIM_Reject,
     /* 2248756 */ // Label 31809: @2248756
     /* 2248756 */ GIM_Reject,
     /* 2248757 */ // Label 31783: @2248757
     /* 2248757 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2248871),
     /* 2248762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2248765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2248768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248780 */   GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2248825), // Rule ID 50134 //
     /* 2248785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248788 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2248791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2248805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248824 */     // GIR_Coverage, 50134,
     /* 2248824 */     GIR_EraseRootFromParent_Done,
     /* 2248825 */   // Label 31813: @2248825
     /* 2248825 */   GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2248870), // Rule ID 50135 //
     /* 2248830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248833 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2248836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2248850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248869 */     // GIR_Coverage, 50135,
     /* 2248869 */     GIR_EraseRootFromParent_Done,
     /* 2248870 */   // Label 31814: @2248870
     /* 2248870 */   GIM_Reject,
     /* 2248871 */ // Label 31812: @2248871
     /* 2248871 */ GIM_Reject,
     /* 2248872 */ // Label 31784: @2248872
     /* 2248872 */ GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2248986),
     /* 2248877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2248880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248895 */   GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2248940), // Rule ID 50146 //
     /* 2248900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248903 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2248906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2248920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248939 */     // GIR_Coverage, 50146,
     /* 2248939 */     GIR_EraseRootFromParent_Done,
     /* 2248940 */   // Label 31816: @2248940
     /* 2248940 */   GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2248985), // Rule ID 50147 //
     /* 2248945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248948 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2248951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2248955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2248965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2248972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248984 */     // GIR_Coverage, 50147,
     /* 2248984 */     GIR_EraseRootFromParent_Done,
     /* 2248985 */   // Label 31817: @2248985
     /* 2248985 */   GIM_Reject,
     /* 2248986 */ // Label 31815: @2248986
     /* 2248986 */ GIM_Reject,
     /* 2248987 */ // Label 31785: @2248987
     /* 2248987 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2249101),
     /* 2248992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2248995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249010 */   GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2249055), // Rule ID 50154 //
     /* 2249015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249018 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2249021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249054 */     // GIR_Coverage, 50154,
     /* 2249054 */     GIR_EraseRootFromParent_Done,
     /* 2249055 */   // Label 31819: @2249055
     /* 2249055 */   GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2249100), // Rule ID 50155 //
     /* 2249060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249063 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2249066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249099 */     // GIR_Coverage, 50155,
     /* 2249099 */     GIR_EraseRootFromParent_Done,
     /* 2249100 */   // Label 31820: @2249100
     /* 2249100 */   GIM_Reject,
     /* 2249101 */ // Label 31818: @2249101
     /* 2249101 */ GIM_Reject,
     /* 2249102 */ // Label 31786: @2249102
     /* 2249102 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2249216),
     /* 2249107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2249110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249125 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2249170), // Rule ID 50170 //
     /* 2249130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249133 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2249136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249169 */     // GIR_Coverage, 50170,
     /* 2249169 */     GIR_EraseRootFromParent_Done,
     /* 2249170 */   // Label 31822: @2249170
     /* 2249170 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2249215), // Rule ID 50171 //
     /* 2249175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249178 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2249181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249214 */     // GIR_Coverage, 50171,
     /* 2249214 */     GIR_EraseRootFromParent_Done,
     /* 2249215 */   // Label 31823: @2249215
     /* 2249215 */   GIM_Reject,
     /* 2249216 */ // Label 31821: @2249216
     /* 2249216 */ GIM_Reject,
     /* 2249217 */ // Label 31787: @2249217
     /* 2249217 */ GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2249331),
     /* 2249222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2249225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2249228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249240 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2249285), // Rule ID 50138 //
     /* 2249245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249248 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2249251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2249265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249284 */     // GIR_Coverage, 50138,
     /* 2249284 */     GIR_EraseRootFromParent_Done,
     /* 2249285 */   // Label 31825: @2249285
     /* 2249285 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2249330), // Rule ID 50139 //
     /* 2249290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249293 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2249296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2249310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249329 */     // GIR_Coverage, 50139,
     /* 2249329 */     GIR_EraseRootFromParent_Done,
     /* 2249330 */   // Label 31826: @2249330
     /* 2249330 */   GIM_Reject,
     /* 2249331 */ // Label 31824: @2249331
     /* 2249331 */ GIM_Reject,
     /* 2249332 */ // Label 31788: @2249332
     /* 2249332 */ GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2249446),
     /* 2249337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2249340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249355 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2249400), // Rule ID 50150 //
     /* 2249360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249363 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2249366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249399 */     // GIR_Coverage, 50150,
     /* 2249399 */     GIR_EraseRootFromParent_Done,
     /* 2249400 */   // Label 31828: @2249400
     /* 2249400 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2249445), // Rule ID 50151 //
     /* 2249405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249408 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2249411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249444 */     // GIR_Coverage, 50151,
     /* 2249444 */     GIR_EraseRootFromParent_Done,
     /* 2249445 */   // Label 31829: @2249445
     /* 2249445 */   GIM_Reject,
     /* 2249446 */ // Label 31827: @2249446
     /* 2249446 */ GIM_Reject,
     /* 2249447 */ // Label 31789: @2249447
     /* 2249447 */ GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2249561),
     /* 2249452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2249455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249470 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2249515), // Rule ID 50166 //
     /* 2249475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249478 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2249481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249514 */     // GIR_Coverage, 50166,
     /* 2249514 */     GIR_EraseRootFromParent_Done,
     /* 2249515 */   // Label 31831: @2249515
     /* 2249515 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2249560), // Rule ID 50167 //
     /* 2249520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249523 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2249526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249559 */     // GIR_Coverage, 50167,
     /* 2249559 */     GIR_EraseRootFromParent_Done,
     /* 2249560 */   // Label 31832: @2249560
     /* 2249560 */   GIM_Reject,
     /* 2249561 */ // Label 31830: @2249561
     /* 2249561 */ GIM_Reject,
     /* 2249562 */ // Label 31790: @2249562
     /* 2249562 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2249676),
     /* 2249567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2249570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249585 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2249630), // Rule ID 50210 //
     /* 2249590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249593 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2249596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2249610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249629 */     // GIR_Coverage, 50210,
     /* 2249629 */     GIR_EraseRootFromParent_Done,
     /* 2249630 */   // Label 31834: @2249630
     /* 2249630 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2249675), // Rule ID 50211 //
     /* 2249635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249638 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2249641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2249655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249674 */     // GIR_Coverage, 50211,
     /* 2249674 */     GIR_EraseRootFromParent_Done,
     /* 2249675 */   // Label 31835: @2249675
     /* 2249675 */   GIM_Reject,
     /* 2249676 */ // Label 31833: @2249676
     /* 2249676 */ GIM_Reject,
     /* 2249677 */ // Label 31791: @2249677
     /* 2249677 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2249791),
     /* 2249682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2249685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2249688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249700 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2249745), // Rule ID 50142 //
     /* 2249705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249708 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2249711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249744 */     // GIR_Coverage, 50142,
     /* 2249744 */     GIR_EraseRootFromParent_Done,
     /* 2249745 */   // Label 31837: @2249745
     /* 2249745 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2249790), // Rule ID 50143 //
     /* 2249750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249753 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2249756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2249770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249789 */     // GIR_Coverage, 50143,
     /* 2249789 */     GIR_EraseRootFromParent_Done,
     /* 2249790 */   // Label 31838: @2249790
     /* 2249790 */   GIM_Reject,
     /* 2249791 */ // Label 31836: @2249791
     /* 2249791 */ GIM_Reject,
     /* 2249792 */ // Label 31792: @2249792
     /* 2249792 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2249906),
     /* 2249797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2249800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249815 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2249860), // Rule ID 50162 //
     /* 2249820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249823 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2249826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249859 */     // GIR_Coverage, 50162,
     /* 2249859 */     GIR_EraseRootFromParent_Done,
     /* 2249860 */   // Label 31840: @2249860
     /* 2249860 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2249905), // Rule ID 50163 //
     /* 2249865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249868 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2249871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2249885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249904 */     // GIR_Coverage, 50163,
     /* 2249904 */     GIR_EraseRootFromParent_Done,
     /* 2249905 */   // Label 31841: @2249905
     /* 2249905 */   GIM_Reject,
     /* 2249906 */ // Label 31839: @2249906
     /* 2249906 */ GIM_Reject,
     /* 2249907 */ // Label 31793: @2249907
     /* 2249907 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2250021),
     /* 2249912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2249915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249930 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2249975), // Rule ID 50198 //
     /* 2249935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249938 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2249941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2249955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2249962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249974 */     // GIR_Coverage, 50198,
     /* 2249974 */     GIR_EraseRootFromParent_Done,
     /* 2249975 */   // Label 31843: @2249975
     /* 2249975 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2250020), // Rule ID 50199 //
     /* 2249980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249983 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2249986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2249990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2250000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250019 */     // GIR_Coverage, 50199,
     /* 2250019 */     GIR_EraseRootFromParent_Done,
     /* 2250020 */   // Label 31844: @2250020
     /* 2250020 */   GIM_Reject,
     /* 2250021 */ // Label 31842: @2250021
     /* 2250021 */ GIM_Reject,
     /* 2250022 */ // Label 31794: @2250022
     /* 2250022 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2250136),
     /* 2250027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2250030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250045 */   GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2250090), // Rule ID 50214 //
     /* 2250050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250053 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2250056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250089 */     // GIR_Coverage, 50214,
     /* 2250089 */     GIR_EraseRootFromParent_Done,
     /* 2250090 */   // Label 31846: @2250090
     /* 2250090 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2250135), // Rule ID 50215 //
     /* 2250095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250098 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2250101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250134 */     // GIR_Coverage, 50215,
     /* 2250134 */     GIR_EraseRootFromParent_Done,
     /* 2250135 */   // Label 31847: @2250135
     /* 2250135 */   GIM_Reject,
     /* 2250136 */ // Label 31845: @2250136
     /* 2250136 */ GIM_Reject,
     /* 2250137 */ // Label 31795: @2250137
     /* 2250137 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2250251),
     /* 2250142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2250145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2250148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250160 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2250205), // Rule ID 50158 //
     /* 2250165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250168 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2250171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2250185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250204 */     // GIR_Coverage, 50158,
     /* 2250204 */     GIR_EraseRootFromParent_Done,
     /* 2250205 */   // Label 31849: @2250205
     /* 2250205 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2250250), // Rule ID 50159 //
     /* 2250210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250213 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2250216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2250230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250249 */     // GIR_Coverage, 50159,
     /* 2250249 */     GIR_EraseRootFromParent_Done,
     /* 2250250 */   // Label 31850: @2250250
     /* 2250250 */   GIM_Reject,
     /* 2250251 */ // Label 31848: @2250251
     /* 2250251 */ GIM_Reject,
     /* 2250252 */ // Label 31796: @2250252
     /* 2250252 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2250366),
     /* 2250257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2250260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2250263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250275 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2250320), // Rule ID 50186 //
     /* 2250280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250283 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2250286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2250300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250319 */     // GIR_Coverage, 50186,
     /* 2250319 */     GIR_EraseRootFromParent_Done,
     /* 2250320 */   // Label 31852: @2250320
     /* 2250320 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2250365), // Rule ID 50187 //
     /* 2250325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250328 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2250331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2250345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250364 */     // GIR_Coverage, 50187,
     /* 2250364 */     GIR_EraseRootFromParent_Done,
     /* 2250365 */   // Label 31853: @2250365
     /* 2250365 */   GIM_Reject,
     /* 2250366 */ // Label 31851: @2250366
     /* 2250366 */ GIM_Reject,
     /* 2250367 */ // Label 31797: @2250367
     /* 2250367 */ GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2250481),
     /* 2250372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2250375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2250378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250390 */   GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2250435), // Rule ID 50202 //
     /* 2250395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250398 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2250401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250434 */     // GIR_Coverage, 50202,
     /* 2250434 */     GIR_EraseRootFromParent_Done,
     /* 2250435 */   // Label 31855: @2250435
     /* 2250435 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2250480), // Rule ID 50203 //
     /* 2250440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250443 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2250446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250479 */     // GIR_Coverage, 50203,
     /* 2250479 */     GIR_EraseRootFromParent_Done,
     /* 2250480 */   // Label 31856: @2250480
     /* 2250480 */   GIM_Reject,
     /* 2250481 */ // Label 31854: @2250481
     /* 2250481 */ GIM_Reject,
     /* 2250482 */ // Label 31798: @2250482
     /* 2250482 */ GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2250596),
     /* 2250487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2250490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2250493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250505 */   GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2250550), // Rule ID 50218 //
     /* 2250510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250513 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2250516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2250530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250549 */     // GIR_Coverage, 50218,
     /* 2250549 */     GIR_EraseRootFromParent_Done,
     /* 2250550 */   // Label 31858: @2250550
     /* 2250550 */   GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2250595), // Rule ID 50219 //
     /* 2250555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250558 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2250561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2250575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250594 */     // GIR_Coverage, 50219,
     /* 2250594 */     GIR_EraseRootFromParent_Done,
     /* 2250595 */   // Label 31859: @2250595
     /* 2250595 */   GIM_Reject,
     /* 2250596 */ // Label 31857: @2250596
     /* 2250596 */ GIM_Reject,
     /* 2250597 */ // Label 31799: @2250597
     /* 2250597 */ GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2250711),
     /* 2250602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2250605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2250608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250620 */   GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2250665), // Rule ID 50174 //
     /* 2250625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250628 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2250631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2250645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250664 */     // GIR_Coverage, 50174,
     /* 2250664 */     GIR_EraseRootFromParent_Done,
     /* 2250665 */   // Label 31861: @2250665
     /* 2250665 */   GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2250710), // Rule ID 50175 //
     /* 2250670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250673 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2250676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2250690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250709 */     // GIR_Coverage, 50175,
     /* 2250709 */     GIR_EraseRootFromParent_Done,
     /* 2250710 */   // Label 31862: @2250710
     /* 2250710 */   GIM_Reject,
     /* 2250711 */ // Label 31860: @2250711
     /* 2250711 */ GIM_Reject,
     /* 2250712 */ // Label 31800: @2250712
     /* 2250712 */ GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2250826),
     /* 2250717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2250720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2250723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250735 */   GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2250780), // Rule ID 50190 //
     /* 2250740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250743 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2250746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250779 */     // GIR_Coverage, 50190,
     /* 2250779 */     GIR_EraseRootFromParent_Done,
     /* 2250780 */   // Label 31864: @2250780
     /* 2250780 */   GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2250825), // Rule ID 50191 //
     /* 2250785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250788 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2250791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250824 */     // GIR_Coverage, 50191,
     /* 2250824 */     GIR_EraseRootFromParent_Done,
     /* 2250825 */   // Label 31865: @2250825
     /* 2250825 */   GIM_Reject,
     /* 2250826 */ // Label 31863: @2250826
     /* 2250826 */ GIM_Reject,
     /* 2250827 */ // Label 31801: @2250827
     /* 2250827 */ GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2250941),
     /* 2250832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2250835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2250838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250850 */   GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2250895), // Rule ID 50206 //
     /* 2250855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250858 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2250861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2250875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250894 */     // GIR_Coverage, 50206,
     /* 2250894 */     GIR_EraseRootFromParent_Done,
     /* 2250895 */   // Label 31867: @2250895
     /* 2250895 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2250940), // Rule ID 50207 //
     /* 2250900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250903 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2250906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2250920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250939 */     // GIR_Coverage, 50207,
     /* 2250939 */     GIR_EraseRootFromParent_Done,
     /* 2250940 */   // Label 31868: @2250940
     /* 2250940 */   GIM_Reject,
     /* 2250941 */ // Label 31866: @2250941
     /* 2250941 */ GIM_Reject,
     /* 2250942 */ // Label 31802: @2250942
     /* 2250942 */ GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2251056),
     /* 2250947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2250950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2250953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250965 */   GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2251010), // Rule ID 50178 //
     /* 2250970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250973 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2250976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2250980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2250987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2250990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2250995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2250997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251009 */     // GIR_Coverage, 50178,
     /* 2251009 */     GIR_EraseRootFromParent_Done,
     /* 2251010 */   // Label 31870: @2251010
     /* 2251010 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2251055), // Rule ID 50179 //
     /* 2251015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251018 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2251021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2251025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2251032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2251035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2251040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251054 */     // GIR_Coverage, 50179,
     /* 2251054 */     GIR_EraseRootFromParent_Done,
     /* 2251055 */   // Label 31871: @2251055
     /* 2251055 */   GIM_Reject,
     /* 2251056 */ // Label 31869: @2251056
     /* 2251056 */ GIM_Reject,
     /* 2251057 */ // Label 31803: @2251057
     /* 2251057 */ GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2251171),
     /* 2251062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2251065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251080 */   GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2251125), // Rule ID 50194 //
     /* 2251085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251088 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2251091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2251095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2251102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2251105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2251110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251124 */     // GIR_Coverage, 50194,
     /* 2251124 */     GIR_EraseRootFromParent_Done,
     /* 2251125 */   // Label 31873: @2251125
     /* 2251125 */   GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2251170), // Rule ID 50195 //
     /* 2251130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251133 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2251136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2251140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2251147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2251150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2251155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251169 */     // GIR_Coverage, 50195,
     /* 2251169 */     GIR_EraseRootFromParent_Done,
     /* 2251170 */   // Label 31874: @2251170
     /* 2251170 */   GIM_Reject,
     /* 2251171 */ // Label 31872: @2251171
     /* 2251171 */ GIM_Reject,
     /* 2251172 */ // Label 31804: @2251172
     /* 2251172 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2251286),
     /* 2251177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2251180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2251183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251195 */   GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2251240), // Rule ID 50182 //
     /* 2251200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251203 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2251206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2251210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2251217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2251220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2251225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251239 */     // GIR_Coverage, 50182,
     /* 2251239 */     GIR_EraseRootFromParent_Done,
     /* 2251240 */   // Label 31876: @2251240
     /* 2251240 */   GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2251285), // Rule ID 50183 //
     /* 2251245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251248 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2251251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2251255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2251262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2251265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2251270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251284 */     // GIR_Coverage, 50183,
     /* 2251284 */     GIR_EraseRootFromParent_Done,
     /* 2251285 */   // Label 31877: @2251285
     /* 2251285 */   GIM_Reject,
     /* 2251286 */ // Label 31875: @2251286
     /* 2251286 */ GIM_Reject,
     /* 2251287 */ // Label 31805: @2251287
     /* 2251287 */ GIM_Reject,
     /* 2251288 */ // Label 80: @2251288
     /* 2251288 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31880*/ GIMT_Encode4(2251445),
     /* 2251299 */ /*GILLT_s32*//*Label 31878*/ GIMT_Encode4(2251307),
     /* 2251303 */ /*GILLT_s64*//*Label 31879*/ GIMT_Encode4(2251376),
     /* 2251307 */ // Label 31878: @2251307
     /* 2251307 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2251375),
     /* 2251312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251323 */   GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2251338), // Rule ID 63769 //
     /* 2251328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2251331 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2251331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2251336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251337 */     // GIR_Coverage, 63769,
     /* 2251337 */     GIR_Done,
     /* 2251338 */   // Label 31882: @2251338
     /* 2251338 */   GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2251374), // Rule ID 63706 //
     /* 2251343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2251346 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2251346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2251349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2251351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2251362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251373 */     // GIR_Coverage, 63706,
     /* 2251373 */     GIR_EraseRootFromParent_Done,
     /* 2251374 */   // Label 31883: @2251374
     /* 2251374 */   GIM_Reject,
     /* 2251375 */ // Label 31881: @2251375
     /* 2251375 */ GIM_Reject,
     /* 2251376 */ // Label 31879: @2251376
     /* 2251376 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2251444),
     /* 2251381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251392 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2251407), // Rule ID 63768 //
     /* 2251397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2251400 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2251400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2251405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251406 */     // GIR_Coverage, 63768,
     /* 2251406 */     GIR_Done,
     /* 2251407 */   // Label 31885: @2251407
     /* 2251407 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2251443), // Rule ID 63705 //
     /* 2251412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2251415 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2251415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2251418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2251420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2251431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251442 */     // GIR_Coverage, 63705,
     /* 2251442 */     GIR_EraseRootFromParent_Done,
     /* 2251443 */   // Label 31886: @2251443
     /* 2251443 */   GIM_Reject,
     /* 2251444 */ // Label 31884: @2251444
     /* 2251444 */ GIM_Reject,
     /* 2251445 */ // Label 31880: @2251445
     /* 2251445 */ GIM_Reject,
     /* 2251446 */ // Label 81: @2251446
     /* 2251446 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31889*/ GIMT_Encode4(2252025),
     /* 2251457 */ /*GILLT_s32*//*Label 31887*/ GIMT_Encode4(2251465),
     /* 2251461 */ /*GILLT_s64*//*Label 31888*/ GIMT_Encode4(2251838),
     /* 2251465 */ // Label 31887: @2251465
     /* 2251465 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2251496), // Rule ID 1328 //
     /* 2251470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2251473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251484 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2251484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2251487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251495 */   // GIR_Coverage, 1328,
     /* 2251495 */   GIR_EraseRootFromParent_Done,
     /* 2251496 */ // Label 31890: @2251496
     /* 2251496 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2251527), // Rule ID 1329 //
     /* 2251501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2251504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251515 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2251515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2251518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251526 */   // GIR_Coverage, 1329,
     /* 2251526 */   GIR_EraseRootFromParent_Done,
     /* 2251527 */ // Label 31891: @2251527
     /* 2251527 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2251558), // Rule ID 1354 //
     /* 2251532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2251535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251546 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2251546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2251549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251557 */   // GIR_Coverage, 1354,
     /* 2251557 */   GIR_EraseRootFromParent_Done,
     /* 2251558 */ // Label 31892: @2251558
     /* 2251558 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2251589), // Rule ID 1355 //
     /* 2251563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2251566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251577 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2251577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2251580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251588 */   // GIR_Coverage, 1355,
     /* 2251588 */   GIR_EraseRootFromParent_Done,
     /* 2251589 */ // Label 31893: @2251589
     /* 2251589 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2251620), // Rule ID 1722 //
     /* 2251594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2251597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251608 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2251608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2251611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251619 */   // GIR_Coverage, 1722,
     /* 2251619 */   GIR_EraseRootFromParent_Done,
     /* 2251620 */ // Label 31894: @2251620
     /* 2251620 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2251651), // Rule ID 1723 //
     /* 2251625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2251628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251639 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2251639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2251642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251650 */   // GIR_Coverage, 1723,
     /* 2251650 */   GIR_EraseRootFromParent_Done,
     /* 2251651 */ // Label 31895: @2251651
     /* 2251651 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2251682), // Rule ID 1748 //
     /* 2251656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2251659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251670 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2251670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2251673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251681 */   // GIR_Coverage, 1748,
     /* 2251681 */   GIR_EraseRootFromParent_Done,
     /* 2251682 */ // Label 31896: @2251682
     /* 2251682 */ GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2251713), // Rule ID 1749 //
     /* 2251687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2251690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251701 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2251701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2251704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251712 */   // GIR_Coverage, 1749,
     /* 2251712 */   GIR_EraseRootFromParent_Done,
     /* 2251713 */ // Label 31897: @2251713
     /* 2251713 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2251744), // Rule ID 2064 //
     /* 2251718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2251721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2251724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251732 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2251732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2251735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251743 */   // GIR_Coverage, 2064,
     /* 2251743 */   GIR_EraseRootFromParent_Done,
     /* 2251744 */ // Label 31898: @2251744
     /* 2251744 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2251775), // Rule ID 2065 //
     /* 2251749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2251752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2251755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251763 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2251763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2251766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251774 */   // GIR_Coverage, 2065,
     /* 2251774 */   GIR_EraseRootFromParent_Done,
     /* 2251775 */ // Label 31899: @2251775
     /* 2251775 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2251806), // Rule ID 2090 //
     /* 2251780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2251783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2251786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251794 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2251794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2251797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251805 */   // GIR_Coverage, 2090,
     /* 2251805 */   GIR_EraseRootFromParent_Done,
     /* 2251806 */ // Label 31900: @2251806
     /* 2251806 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2251837), // Rule ID 2091 //
     /* 2251811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2251814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2251817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251825 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2251825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2251828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251836 */   // GIR_Coverage, 2091,
     /* 2251836 */   GIR_EraseRootFromParent_Done,
     /* 2251837 */ // Label 31901: @2251837
     /* 2251837 */ GIM_Reject,
     /* 2251838 */ // Label 31888: @2251838
     /* 2251838 */ GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2251869), // Rule ID 1381 //
     /* 2251843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2251846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251857 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2251857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2251860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251868 */   // GIR_Coverage, 1381,
     /* 2251868 */   GIR_EraseRootFromParent_Done,
     /* 2251869 */ // Label 31902: @2251869
     /* 2251869 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2251900), // Rule ID 1409 //
     /* 2251874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2251877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2251880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251888 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2251888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2251891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251899 */   // GIR_Coverage, 1409,
     /* 2251899 */   GIR_EraseRootFromParent_Done,
     /* 2251900 */ // Label 31903: @2251900
     /* 2251900 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2251931), // Rule ID 1779 //
     /* 2251905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2251908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251919 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2251919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2251922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251930 */   // GIR_Coverage, 1779,
     /* 2251930 */   GIR_EraseRootFromParent_Done,
     /* 2251931 */ // Label 31904: @2251931
     /* 2251931 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2251962), // Rule ID 1807 //
     /* 2251936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2251939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2251942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251950 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2251950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2251953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251961 */   // GIR_Coverage, 1807,
     /* 2251961 */   GIR_EraseRootFromParent_Done,
     /* 2251962 */ // Label 31905: @2251962
     /* 2251962 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2251993), // Rule ID 2115 //
     /* 2251967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2251970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2251973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251981 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2251981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2251984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2251988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251992 */   // GIR_Coverage, 2115,
     /* 2251992 */   GIR_EraseRootFromParent_Done,
     /* 2251993 */ // Label 31906: @2251993
     /* 2251993 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2252024), // Rule ID 2141 //
     /* 2251998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2252001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2252004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252012 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2252012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2252015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252023 */   // GIR_Coverage, 2141,
     /* 2252023 */   GIR_EraseRootFromParent_Done,
     /* 2252024 */ // Label 31907: @2252024
     /* 2252024 */ GIM_Reject,
     /* 2252025 */ // Label 31889: @2252025
     /* 2252025 */ GIM_Reject,
     /* 2252026 */ // Label 82: @2252026
     /* 2252026 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2252235),
     /* 2252031 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2252034 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31912*/ GIMT_Encode4(2252234),
     /* 2252045 */   /*GILLT_s16*//*Label 31909*/ GIMT_Encode4(2252057),
     /* 2252049 */   /*GILLT_s32*//*Label 31910*/ GIMT_Encode4(2252116),
     /* 2252053 */   /*GILLT_s64*//*Label 31911*/ GIMT_Encode4(2252175),
     /* 2252057 */   // Label 31909: @2252057
     /* 2252057 */   GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2252115),
     /* 2252062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252066 */     GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2252090), // Rule ID 2117 //
     /* 2252071 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2252074 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252078 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2252078 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2252081 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252083 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252085 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252088 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252089 */       // GIR_Coverage, 2117,
     /* 2252089 */       GIR_EraseRootFromParent_Done,
     /* 2252090 */     // Label 31914: @2252090
     /* 2252090 */     GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2252114), // Rule ID 2143 //
     /* 2252095 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2252098 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252102 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2252102 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2252105 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252107 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252109 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252112 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252113 */       // GIR_Coverage, 2143,
     /* 2252113 */       GIR_EraseRootFromParent_Done,
     /* 2252114 */     // Label 31915: @2252114
     /* 2252114 */     GIM_Reject,
     /* 2252115 */   // Label 31913: @2252115
     /* 2252115 */   GIM_Reject,
     /* 2252116 */   // Label 31910: @2252116
     /* 2252116 */   GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2252174),
     /* 2252121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252125 */     GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2252149), // Rule ID 1383 //
     /* 2252130 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2252133 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2252137 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2252137 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2252140 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252142 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252144 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252147 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252148 */       // GIR_Coverage, 1383,
     /* 2252148 */       GIR_EraseRootFromParent_Done,
     /* 2252149 */     // Label 31917: @2252149
     /* 2252149 */     GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2252173), // Rule ID 1411 //
     /* 2252154 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2252157 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2252161 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2252161 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2252164 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252166 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252168 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252171 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252172 */       // GIR_Coverage, 1411,
     /* 2252172 */       GIR_EraseRootFromParent_Done,
     /* 2252173 */     // Label 31918: @2252173
     /* 2252173 */     GIM_Reject,
     /* 2252174 */   // Label 31916: @2252174
     /* 2252174 */   GIM_Reject,
     /* 2252175 */   // Label 31911: @2252175
     /* 2252175 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2252233),
     /* 2252180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252184 */     GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2252208), // Rule ID 1781 //
     /* 2252189 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2252192 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2252196 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2252196 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2252199 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252201 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252203 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252206 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252207 */       // GIR_Coverage, 1781,
     /* 2252207 */       GIR_EraseRootFromParent_Done,
     /* 2252208 */     // Label 31920: @2252208
     /* 2252208 */     GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2252232), // Rule ID 1809 //
     /* 2252213 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2252216 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252220 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2252220 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2252223 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252225 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252227 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252230 */       GIR_RootConstrainSelectedInstOperands,
     /* 2252231 */       // GIR_Coverage, 1809,
     /* 2252231 */       GIR_EraseRootFromParent_Done,
     /* 2252232 */     // Label 31921: @2252232
     /* 2252232 */     GIM_Reject,
     /* 2252233 */   // Label 31919: @2252233
     /* 2252233 */   GIM_Reject,
     /* 2252234 */   // Label 31912: @2252234
     /* 2252234 */   GIM_Reject,
     /* 2252235 */ // Label 31908: @2252235
     /* 2252235 */ GIM_Reject,
     /* 2252236 */ // Label 83: @2252236
     /* 2252236 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2252251), // Rule ID 4 //
     /* 2252241 */   // MIs[0] imm20
     /* 2252241 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2252244 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2252244 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2252249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252250 */   // GIR_Coverage, 4,
     /* 2252250 */   GIR_Done,
     /* 2252251 */ // Label 31922: @2252251
     /* 2252251 */ GIM_Reject,
     /* 2252252 */ // Label 84: @2252252
     /* 2252252 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31947*/ GIMT_Encode4(2254771),
     /* 2252263 */ /*GILLT_s32*//*Label 31923*/ GIMT_Encode4(2252387),
     /* 2252267 */ /*GILLT_s64*//*Label 31924*/ GIMT_Encode4(2252435), GIMT_Encode4(0),
     /* 2252275 */ /*GILLT_nxv1s8*//*Label 31925*/ GIMT_Encode4(2252483),
     /* 2252279 */ /*GILLT_nxv1s16*//*Label 31926*/ GIMT_Encode4(2252587),
     /* 2252283 */ /*GILLT_nxv1s32*//*Label 31927*/ GIMT_Encode4(2252691),
     /* 2252287 */ /*GILLT_nxv1s64*//*Label 31928*/ GIMT_Encode4(2252795), GIMT_Encode4(0),
     /* 2252295 */ /*GILLT_nxv2s8*//*Label 31929*/ GIMT_Encode4(2252899),
     /* 2252299 */ /*GILLT_nxv2s16*//*Label 31930*/ GIMT_Encode4(2253003),
     /* 2252303 */ /*GILLT_nxv2s32*//*Label 31931*/ GIMT_Encode4(2253107),
     /* 2252307 */ /*GILLT_nxv2s64*//*Label 31932*/ GIMT_Encode4(2253211), GIMT_Encode4(0),
     /* 2252315 */ /*GILLT_nxv4s8*//*Label 31933*/ GIMT_Encode4(2253315),
     /* 2252319 */ /*GILLT_nxv4s16*//*Label 31934*/ GIMT_Encode4(2253419),
     /* 2252323 */ /*GILLT_nxv4s32*//*Label 31935*/ GIMT_Encode4(2253523),
     /* 2252327 */ /*GILLT_nxv4s64*//*Label 31936*/ GIMT_Encode4(2253627), GIMT_Encode4(0),
     /* 2252335 */ /*GILLT_nxv8s8*//*Label 31937*/ GIMT_Encode4(2253731),
     /* 2252339 */ /*GILLT_nxv8s16*//*Label 31938*/ GIMT_Encode4(2253835),
     /* 2252343 */ /*GILLT_nxv8s32*//*Label 31939*/ GIMT_Encode4(2253939),
     /* 2252347 */ /*GILLT_nxv8s64*//*Label 31940*/ GIMT_Encode4(2254043), GIMT_Encode4(0),
     /* 2252355 */ /*GILLT_nxv16s8*//*Label 31941*/ GIMT_Encode4(2254147),
     /* 2252359 */ /*GILLT_nxv16s16*//*Label 31942*/ GIMT_Encode4(2254251),
     /* 2252363 */ /*GILLT_nxv16s32*//*Label 31943*/ GIMT_Encode4(2254355), GIMT_Encode4(0),
     /* 2252371 */ /*GILLT_nxv32s8*//*Label 31944*/ GIMT_Encode4(2254459),
     /* 2252375 */ /*GILLT_nxv32s16*//*Label 31945*/ GIMT_Encode4(2254563), GIMT_Encode4(0),
     /* 2252383 */ /*GILLT_nxv64s8*//*Label 31946*/ GIMT_Encode4(2254667),
     /* 2252387 */ // Label 31923: @2252387
     /* 2252387 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2252434),
     /* 2252392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2252395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252403 */   GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2252418), // Rule ID 2375 //
     /* 2252408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2252411 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2252411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2252416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252417 */     // GIR_Coverage, 2375,
     /* 2252417 */     GIR_Done,
     /* 2252418 */   // Label 31949: @2252418
     /* 2252418 */   GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2252433), // Rule ID 63752 //
     /* 2252423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2252426 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2252426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2252431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252432 */     // GIR_Coverage, 63752,
     /* 2252432 */     GIR_Done,
     /* 2252433 */   // Label 31950: @2252433
     /* 2252433 */   GIM_Reject,
     /* 2252434 */ // Label 31948: @2252434
     /* 2252434 */ GIM_Reject,
     /* 2252435 */ // Label 31924: @2252435
     /* 2252435 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2252482),
     /* 2252440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2252443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252451 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2252466), // Rule ID 2374 //
     /* 2252456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2252459 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2252459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2252464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252465 */     // GIR_Coverage, 2374,
     /* 2252465 */     GIR_Done,
     /* 2252466 */   // Label 31952: @2252466
     /* 2252466 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2252481), // Rule ID 63751 //
     /* 2252471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2252474 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2252474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2252479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252480 */     // GIR_Coverage, 63751,
     /* 2252480 */     GIR_Done,
     /* 2252481 */   // Label 31953: @2252481
     /* 2252481 */   GIM_Reject,
     /* 2252482 */ // Label 31951: @2252482
     /* 2252482 */ GIM_Reject,
     /* 2252483 */ // Label 31925: @2252483
     /* 2252483 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2252586),
     /* 2252488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2252491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252499 */   GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2252542), // Rule ID 58458 //
     /* 2252504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2252507 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2252510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2252524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252541 */     // GIR_Coverage, 58458,
     /* 2252541 */     GIR_EraseRootFromParent_Done,
     /* 2252542 */   // Label 31955: @2252542
     /* 2252542 */   GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2252585), // Rule ID 58459 //
     /* 2252547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2252550 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2252553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2252567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252584 */     // GIR_Coverage, 58459,
     /* 2252584 */     GIR_EraseRootFromParent_Done,
     /* 2252585 */   // Label 31956: @2252585
     /* 2252585 */   GIM_Reject,
     /* 2252586 */ // Label 31954: @2252586
     /* 2252586 */ GIM_Reject,
     /* 2252587 */ // Label 31926: @2252587
     /* 2252587 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2252690),
     /* 2252592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2252595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252603 */   GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2252646), // Rule ID 58464 //
     /* 2252608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2252611 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2252614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2252628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252645 */     // GIR_Coverage, 58464,
     /* 2252645 */     GIR_EraseRootFromParent_Done,
     /* 2252646 */   // Label 31958: @2252646
     /* 2252646 */   GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2252689), // Rule ID 58465 //
     /* 2252651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2252654 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2252657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2252671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252688 */     // GIR_Coverage, 58465,
     /* 2252688 */     GIR_EraseRootFromParent_Done,
     /* 2252689 */   // Label 31959: @2252689
     /* 2252689 */   GIM_Reject,
     /* 2252690 */ // Label 31957: @2252690
     /* 2252690 */ GIM_Reject,
     /* 2252691 */ // Label 31927: @2252691
     /* 2252691 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2252794),
     /* 2252696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2252699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252707 */   GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2252750), // Rule ID 58468 //
     /* 2252712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2252715 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2252718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2252732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252749 */     // GIR_Coverage, 58468,
     /* 2252749 */     GIR_EraseRootFromParent_Done,
     /* 2252750 */   // Label 31961: @2252750
     /* 2252750 */   GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2252793), // Rule ID 58469 //
     /* 2252755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2252758 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2252761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2252775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252792 */     // GIR_Coverage, 58469,
     /* 2252792 */     GIR_EraseRootFromParent_Done,
     /* 2252793 */   // Label 31962: @2252793
     /* 2252793 */   GIM_Reject,
     /* 2252794 */ // Label 31960: @2252794
     /* 2252794 */ GIM_Reject,
     /* 2252795 */ // Label 31928: @2252795
     /* 2252795 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2252898),
     /* 2252800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2252803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252811 */   GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2252854), // Rule ID 58476 //
     /* 2252816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2252819 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2252822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2252836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252853 */     // GIR_Coverage, 58476,
     /* 2252853 */     GIR_EraseRootFromParent_Done,
     /* 2252854 */   // Label 31964: @2252854
     /* 2252854 */   GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2252897), // Rule ID 58477 //
     /* 2252859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2252862 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2252865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2252879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252896 */     // GIR_Coverage, 58477,
     /* 2252896 */     GIR_EraseRootFromParent_Done,
     /* 2252897 */   // Label 31965: @2252897
     /* 2252897 */   GIM_Reject,
     /* 2252898 */ // Label 31963: @2252898
     /* 2252898 */ GIM_Reject,
     /* 2252899 */ // Label 31929: @2252899
     /* 2252899 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2253002),
     /* 2252904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2252907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252915 */   GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2252958), // Rule ID 58460 //
     /* 2252920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2252923 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2252926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2252940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252957 */     // GIR_Coverage, 58460,
     /* 2252957 */     GIR_EraseRootFromParent_Done,
     /* 2252958 */   // Label 31967: @2252958
     /* 2252958 */   GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2253001), // Rule ID 58461 //
     /* 2252963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2252966 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2252969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2252973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2252980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2252983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2252988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2252990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253000 */     // GIR_Coverage, 58461,
     /* 2253000 */     GIR_EraseRootFromParent_Done,
     /* 2253001 */   // Label 31968: @2253001
     /* 2253001 */   GIM_Reject,
     /* 2253002 */ // Label 31966: @2253002
     /* 2253002 */ GIM_Reject,
     /* 2253003 */ // Label 31930: @2253003
     /* 2253003 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2253106),
     /* 2253008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2253011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253019 */   GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2253062), // Rule ID 58466 //
     /* 2253024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253027 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2253030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2253044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253061 */     // GIR_Coverage, 58466,
     /* 2253061 */     GIR_EraseRootFromParent_Done,
     /* 2253062 */   // Label 31970: @2253062
     /* 2253062 */   GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2253105), // Rule ID 58467 //
     /* 2253067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253070 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2253073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2253087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253104 */     // GIR_Coverage, 58467,
     /* 2253104 */     GIR_EraseRootFromParent_Done,
     /* 2253105 */   // Label 31971: @2253105
     /* 2253105 */   GIM_Reject,
     /* 2253106 */ // Label 31969: @2253106
     /* 2253106 */ GIM_Reject,
     /* 2253107 */ // Label 31931: @2253107
     /* 2253107 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2253210),
     /* 2253112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2253115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253123 */   GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2253166), // Rule ID 58474 //
     /* 2253128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253131 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2253134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253165 */     // GIR_Coverage, 58474,
     /* 2253165 */     GIR_EraseRootFromParent_Done,
     /* 2253166 */   // Label 31973: @2253166
     /* 2253166 */   GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2253209), // Rule ID 58475 //
     /* 2253171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253174 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2253177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253208 */     // GIR_Coverage, 58475,
     /* 2253208 */     GIR_EraseRootFromParent_Done,
     /* 2253209 */   // Label 31974: @2253209
     /* 2253209 */   GIM_Reject,
     /* 2253210 */ // Label 31972: @2253210
     /* 2253210 */ GIM_Reject,
     /* 2253211 */ // Label 31932: @2253211
     /* 2253211 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2253314),
     /* 2253216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2253219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253227 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2253270), // Rule ID 58496 //
     /* 2253232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2253235 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2253238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253269 */     // GIR_Coverage, 58496,
     /* 2253269 */     GIR_EraseRootFromParent_Done,
     /* 2253270 */   // Label 31976: @2253270
     /* 2253270 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2253313), // Rule ID 58497 //
     /* 2253275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2253278 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2253281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253312 */     // GIR_Coverage, 58497,
     /* 2253312 */     GIR_EraseRootFromParent_Done,
     /* 2253313 */   // Label 31977: @2253313
     /* 2253313 */   GIM_Reject,
     /* 2253314 */ // Label 31975: @2253314
     /* 2253314 */ GIM_Reject,
     /* 2253315 */ // Label 31933: @2253315
     /* 2253315 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2253418),
     /* 2253320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2253323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253331 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2253374), // Rule ID 58462 //
     /* 2253336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253339 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2253342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2253356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253373 */     // GIR_Coverage, 58462,
     /* 2253373 */     GIR_EraseRootFromParent_Done,
     /* 2253374 */   // Label 31979: @2253374
     /* 2253374 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2253417), // Rule ID 58463 //
     /* 2253379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253382 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2253385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2253399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253416 */     // GIR_Coverage, 58463,
     /* 2253416 */     GIR_EraseRootFromParent_Done,
     /* 2253417 */   // Label 31980: @2253417
     /* 2253417 */   GIM_Reject,
     /* 2253418 */ // Label 31978: @2253418
     /* 2253418 */ GIM_Reject,
     /* 2253419 */ // Label 31934: @2253419
     /* 2253419 */ GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2253522),
     /* 2253424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2253427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253435 */   GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2253478), // Rule ID 58472 //
     /* 2253440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253443 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2253446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253477 */     // GIR_Coverage, 58472,
     /* 2253477 */     GIR_EraseRootFromParent_Done,
     /* 2253478 */   // Label 31982: @2253478
     /* 2253478 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2253521), // Rule ID 58473 //
     /* 2253483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253486 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2253489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253520 */     // GIR_Coverage, 58473,
     /* 2253520 */     GIR_EraseRootFromParent_Done,
     /* 2253521 */   // Label 31983: @2253521
     /* 2253521 */   GIM_Reject,
     /* 2253522 */ // Label 31981: @2253522
     /* 2253522 */ GIM_Reject,
     /* 2253523 */ // Label 31935: @2253523
     /* 2253523 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2253626),
     /* 2253528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2253531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253539 */   GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2253582), // Rule ID 58490 //
     /* 2253544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253547 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2253550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253581 */     // GIR_Coverage, 58490,
     /* 2253581 */     GIR_EraseRootFromParent_Done,
     /* 2253582 */   // Label 31985: @2253582
     /* 2253582 */   GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2253625), // Rule ID 58491 //
     /* 2253587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253590 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2253593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253624 */     // GIR_Coverage, 58491,
     /* 2253624 */     GIR_EraseRootFromParent_Done,
     /* 2253625 */   // Label 31986: @2253625
     /* 2253625 */   GIM_Reject,
     /* 2253626 */ // Label 31984: @2253626
     /* 2253626 */ GIM_Reject,
     /* 2253627 */ // Label 31936: @2253627
     /* 2253627 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2253730),
     /* 2253632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2253635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253643 */   GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2253686), // Rule ID 58498 //
     /* 2253648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2253651 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2253654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2253668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253685 */     // GIR_Coverage, 58498,
     /* 2253685 */     GIR_EraseRootFromParent_Done,
     /* 2253686 */   // Label 31988: @2253686
     /* 2253686 */   GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2253729), // Rule ID 58499 //
     /* 2253691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2253694 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2253697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2253711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253728 */     // GIR_Coverage, 58499,
     /* 2253728 */     GIR_EraseRootFromParent_Done,
     /* 2253729 */   // Label 31989: @2253729
     /* 2253729 */   GIM_Reject,
     /* 2253730 */ // Label 31987: @2253730
     /* 2253730 */ GIM_Reject,
     /* 2253731 */ // Label 31937: @2253731
     /* 2253731 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2253834),
     /* 2253736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2253739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253747 */   GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2253790), // Rule ID 58470 //
     /* 2253752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253755 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2253758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253789 */     // GIR_Coverage, 58470,
     /* 2253789 */     GIR_EraseRootFromParent_Done,
     /* 2253790 */   // Label 31991: @2253790
     /* 2253790 */   GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2253833), // Rule ID 58471 //
     /* 2253795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253798 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2253801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2253815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253832 */     // GIR_Coverage, 58471,
     /* 2253832 */     GIR_EraseRootFromParent_Done,
     /* 2253833 */   // Label 31992: @2253833
     /* 2253833 */   GIM_Reject,
     /* 2253834 */ // Label 31990: @2253834
     /* 2253834 */ GIM_Reject,
     /* 2253835 */ // Label 31938: @2253835
     /* 2253835 */ GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2253938),
     /* 2253840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2253843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253851 */   GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2253894), // Rule ID 58484 //
     /* 2253856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253859 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2253862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253893 */     // GIR_Coverage, 58484,
     /* 2253893 */     GIR_EraseRootFromParent_Done,
     /* 2253894 */   // Label 31994: @2253894
     /* 2253894 */   GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2253937), // Rule ID 58485 //
     /* 2253899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2253902 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2253905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2253919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253936 */     // GIR_Coverage, 58485,
     /* 2253936 */     GIR_EraseRootFromParent_Done,
     /* 2253937 */   // Label 31995: @2253937
     /* 2253937 */   GIM_Reject,
     /* 2253938 */ // Label 31993: @2253938
     /* 2253938 */ GIM_Reject,
     /* 2253939 */ // Label 31939: @2253939
     /* 2253939 */ GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2254042),
     /* 2253944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2253947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2253955 */   GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2253998), // Rule ID 58492 //
     /* 2253960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2253963 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2253966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2253980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2253987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253997 */     // GIR_Coverage, 58492,
     /* 2253997 */     GIR_EraseRootFromParent_Done,
     /* 2253998 */   // Label 31997: @2253998
     /* 2253998 */   GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2254041), // Rule ID 58493 //
     /* 2254003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254006 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2254009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2254023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254040 */     // GIR_Coverage, 58493,
     /* 2254040 */     GIR_EraseRootFromParent_Done,
     /* 2254041 */   // Label 31998: @2254041
     /* 2254041 */   GIM_Reject,
     /* 2254042 */ // Label 31996: @2254042
     /* 2254042 */ GIM_Reject,
     /* 2254043 */ // Label 31940: @2254043
     /* 2254043 */ GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2254146),
     /* 2254048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2254051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254059 */   GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2254102), // Rule ID 58500 //
     /* 2254064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2254067 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2254070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254101 */     // GIR_Coverage, 58500,
     /* 2254101 */     GIR_EraseRootFromParent_Done,
     /* 2254102 */   // Label 32000: @2254102
     /* 2254102 */   GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2254145), // Rule ID 58501 //
     /* 2254107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2254110 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2254113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254144 */     // GIR_Coverage, 58501,
     /* 2254144 */     GIR_EraseRootFromParent_Done,
     /* 2254145 */   // Label 32001: @2254145
     /* 2254145 */   GIM_Reject,
     /* 2254146 */ // Label 31999: @2254146
     /* 2254146 */ GIM_Reject,
     /* 2254147 */ // Label 31941: @2254147
     /* 2254147 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2254250),
     /* 2254152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2254155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254163 */   GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2254206), // Rule ID 58478 //
     /* 2254168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254171 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2254174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2254188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254205 */     // GIR_Coverage, 58478,
     /* 2254205 */     GIR_EraseRootFromParent_Done,
     /* 2254206 */   // Label 32003: @2254206
     /* 2254206 */   GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2254249), // Rule ID 58479 //
     /* 2254211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254214 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2254217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2254231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254248 */     // GIR_Coverage, 58479,
     /* 2254248 */     GIR_EraseRootFromParent_Done,
     /* 2254249 */   // Label 32004: @2254249
     /* 2254249 */   GIM_Reject,
     /* 2254250 */ // Label 32002: @2254250
     /* 2254250 */ GIM_Reject,
     /* 2254251 */ // Label 31942: @2254251
     /* 2254251 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2254354),
     /* 2254256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2254259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254267 */   GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2254310), // Rule ID 58486 //
     /* 2254272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254275 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2254278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2254292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254309 */     // GIR_Coverage, 58486,
     /* 2254309 */     GIR_EraseRootFromParent_Done,
     /* 2254310 */   // Label 32006: @2254310
     /* 2254310 */   GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2254353), // Rule ID 58487 //
     /* 2254315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254318 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2254321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2254335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254352 */     // GIR_Coverage, 58487,
     /* 2254352 */     GIR_EraseRootFromParent_Done,
     /* 2254353 */   // Label 32007: @2254353
     /* 2254353 */   GIM_Reject,
     /* 2254354 */ // Label 32005: @2254354
     /* 2254354 */ GIM_Reject,
     /* 2254355 */ // Label 31943: @2254355
     /* 2254355 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2254458),
     /* 2254360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2254363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254371 */   GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2254414), // Rule ID 58494 //
     /* 2254376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254379 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2254382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254413 */     // GIR_Coverage, 58494,
     /* 2254413 */     GIR_EraseRootFromParent_Done,
     /* 2254414 */   // Label 32009: @2254414
     /* 2254414 */   GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2254457), // Rule ID 58495 //
     /* 2254419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254422 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2254425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254456 */     // GIR_Coverage, 58495,
     /* 2254456 */     GIR_EraseRootFromParent_Done,
     /* 2254457 */   // Label 32010: @2254457
     /* 2254457 */   GIM_Reject,
     /* 2254458 */ // Label 32008: @2254458
     /* 2254458 */ GIM_Reject,
     /* 2254459 */ // Label 31944: @2254459
     /* 2254459 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2254562),
     /* 2254464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2254467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254475 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2254518), // Rule ID 58480 //
     /* 2254480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254483 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2254486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2254500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254517 */     // GIR_Coverage, 58480,
     /* 2254517 */     GIR_EraseRootFromParent_Done,
     /* 2254518 */   // Label 32012: @2254518
     /* 2254518 */   GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2254561), // Rule ID 58481 //
     /* 2254523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254526 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2254529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2254543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254560 */     // GIR_Coverage, 58481,
     /* 2254560 */     GIR_EraseRootFromParent_Done,
     /* 2254561 */   // Label 32013: @2254561
     /* 2254561 */   GIM_Reject,
     /* 2254562 */ // Label 32011: @2254562
     /* 2254562 */ GIM_Reject,
     /* 2254563 */ // Label 31945: @2254563
     /* 2254563 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2254666),
     /* 2254568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2254571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254579 */   GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2254622), // Rule ID 58488 //
     /* 2254584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254587 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2254590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254621 */     // GIR_Coverage, 58488,
     /* 2254621 */     GIR_EraseRootFromParent_Done,
     /* 2254622 */   // Label 32015: @2254622
     /* 2254622 */   GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2254665), // Rule ID 58489 //
     /* 2254627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254630 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2254633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254664 */     // GIR_Coverage, 58489,
     /* 2254664 */     GIR_EraseRootFromParent_Done,
     /* 2254665 */   // Label 32016: @2254665
     /* 2254665 */   GIM_Reject,
     /* 2254666 */ // Label 32014: @2254666
     /* 2254666 */ GIM_Reject,
     /* 2254667 */ // Label 31946: @2254667
     /* 2254667 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2254770),
     /* 2254672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2254675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254683 */   GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2254726), // Rule ID 58482 //
     /* 2254688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2254691 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2254694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254725 */     // GIR_Coverage, 58482,
     /* 2254725 */     GIR_EraseRootFromParent_Done,
     /* 2254726 */   // Label 32018: @2254726
     /* 2254726 */   GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2254769), // Rule ID 58483 //
     /* 2254731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2254734 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2254737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2254751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2254758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254768 */     // GIR_Coverage, 58483,
     /* 2254768 */     GIR_EraseRootFromParent_Done,
     /* 2254769 */   // Label 32019: @2254769
     /* 2254769 */   GIM_Reject,
     /* 2254770 */ // Label 32017: @2254770
     /* 2254770 */ GIM_Reject,
     /* 2254771 */ // Label 31947: @2254771
     /* 2254771 */ GIM_Reject,
     /* 2254772 */ // Label 85: @2254772
     /* 2254772 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32044*/ GIMT_Encode4(2257429),
     /* 2254783 */ /*GILLT_s32*//*Label 32020*/ GIMT_Encode4(2254907),
     /* 2254787 */ /*GILLT_s64*//*Label 32021*/ GIMT_Encode4(2255024), GIMT_Encode4(0),
     /* 2254795 */ /*GILLT_nxv1s8*//*Label 32022*/ GIMT_Encode4(2255141),
     /* 2254799 */ /*GILLT_nxv1s16*//*Label 32023*/ GIMT_Encode4(2255245),
     /* 2254803 */ /*GILLT_nxv1s32*//*Label 32024*/ GIMT_Encode4(2255349),
     /* 2254807 */ /*GILLT_nxv1s64*//*Label 32025*/ GIMT_Encode4(2255453), GIMT_Encode4(0),
     /* 2254815 */ /*GILLT_nxv2s8*//*Label 32026*/ GIMT_Encode4(2255557),
     /* 2254819 */ /*GILLT_nxv2s16*//*Label 32027*/ GIMT_Encode4(2255661),
     /* 2254823 */ /*GILLT_nxv2s32*//*Label 32028*/ GIMT_Encode4(2255765),
     /* 2254827 */ /*GILLT_nxv2s64*//*Label 32029*/ GIMT_Encode4(2255869), GIMT_Encode4(0),
     /* 2254835 */ /*GILLT_nxv4s8*//*Label 32030*/ GIMT_Encode4(2255973),
     /* 2254839 */ /*GILLT_nxv4s16*//*Label 32031*/ GIMT_Encode4(2256077),
     /* 2254843 */ /*GILLT_nxv4s32*//*Label 32032*/ GIMT_Encode4(2256181),
     /* 2254847 */ /*GILLT_nxv4s64*//*Label 32033*/ GIMT_Encode4(2256285), GIMT_Encode4(0),
     /* 2254855 */ /*GILLT_nxv8s8*//*Label 32034*/ GIMT_Encode4(2256389),
     /* 2254859 */ /*GILLT_nxv8s16*//*Label 32035*/ GIMT_Encode4(2256493),
     /* 2254863 */ /*GILLT_nxv8s32*//*Label 32036*/ GIMT_Encode4(2256597),
     /* 2254867 */ /*GILLT_nxv8s64*//*Label 32037*/ GIMT_Encode4(2256701), GIMT_Encode4(0),
     /* 2254875 */ /*GILLT_nxv16s8*//*Label 32038*/ GIMT_Encode4(2256805),
     /* 2254879 */ /*GILLT_nxv16s16*//*Label 32039*/ GIMT_Encode4(2256909),
     /* 2254883 */ /*GILLT_nxv16s32*//*Label 32040*/ GIMT_Encode4(2257013), GIMT_Encode4(0),
     /* 2254891 */ /*GILLT_nxv32s8*//*Label 32041*/ GIMT_Encode4(2257117),
     /* 2254895 */ /*GILLT_nxv32s16*//*Label 32042*/ GIMT_Encode4(2257221), GIMT_Encode4(0),
     /* 2254903 */ /*GILLT_nxv64s8*//*Label 32043*/ GIMT_Encode4(2257325),
     /* 2254907 */ // Label 32020: @2254907
     /* 2254907 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2255023),
     /* 2254912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2254915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2254919 */   GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2254965), // Rule ID 61874 //
     /* 2254924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2254927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2254931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2254935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2254939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2254943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2254948 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2254952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2254954 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2254954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2254957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2254963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254964 */     // GIR_Coverage, 61874,
     /* 2254964 */     GIR_EraseRootFromParent_Done,
     /* 2254965 */   // Label 32046: @2254965
     /* 2254965 */   GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2254984), // Rule ID 2373 //
     /* 2254970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2254973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2254977 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2254977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2254982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254983 */     // GIR_Coverage, 2373,
     /* 2254983 */     GIR_Done,
     /* 2254984 */   // Label 32047: @2254984
     /* 2254984 */   GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2255003), // Rule ID 61872 //
     /* 2254989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2254992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2254996 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2254996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2255001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255002 */     // GIR_Coverage, 61872,
     /* 2255002 */     GIR_Done,
     /* 2255003 */   // Label 32048: @2255003
     /* 2255003 */   GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2255022), // Rule ID 63754 //
     /* 2255008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2255011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255015 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2255015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2255020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255021 */     // GIR_Coverage, 63754,
     /* 2255021 */     GIR_Done,
     /* 2255022 */   // Label 32049: @2255022
     /* 2255022 */   GIM_Reject,
     /* 2255023 */ // Label 32045: @2255023
     /* 2255023 */ GIM_Reject,
     /* 2255024 */ // Label 32021: @2255024
     /* 2255024 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2255140),
     /* 2255029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2255032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255036 */   GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2255082), // Rule ID 61873 //
     /* 2255041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2255044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2255048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2255052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2255056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2255060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255065 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2255069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2255071 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2255071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2255074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2255080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255081 */     // GIR_Coverage, 61873,
     /* 2255081 */     GIR_EraseRootFromParent_Done,
     /* 2255082 */   // Label 32051: @2255082
     /* 2255082 */   GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2255101), // Rule ID 2372 //
     /* 2255087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2255090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255094 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2255094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2255099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255100 */     // GIR_Coverage, 2372,
     /* 2255100 */     GIR_Done,
     /* 2255101 */   // Label 32052: @2255101
     /* 2255101 */   GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2255120), // Rule ID 61871 //
     /* 2255106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2255109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255113 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2255113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2255118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255119 */     // GIR_Coverage, 61871,
     /* 2255119 */     GIR_Done,
     /* 2255120 */   // Label 32053: @2255120
     /* 2255120 */   GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2255139), // Rule ID 63753 //
     /* 2255125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2255128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2255132 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2255132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2255137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255138 */     // GIR_Coverage, 63753,
     /* 2255138 */     GIR_Done,
     /* 2255139 */   // Label 32054: @2255139
     /* 2255139 */   GIM_Reject,
     /* 2255140 */ // Label 32050: @2255140
     /* 2255140 */ GIM_Reject,
     /* 2255141 */ // Label 32022: @2255141
     /* 2255141 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2255244),
     /* 2255146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2255149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255157 */   GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2255200), // Rule ID 58414 //
     /* 2255162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255165 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2255168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2255182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255199 */     // GIR_Coverage, 58414,
     /* 2255199 */     GIR_EraseRootFromParent_Done,
     /* 2255200 */   // Label 32056: @2255200
     /* 2255200 */   GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2255243), // Rule ID 58415 //
     /* 2255205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255208 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2255211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2255225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255242 */     // GIR_Coverage, 58415,
     /* 2255242 */     GIR_EraseRootFromParent_Done,
     /* 2255243 */   // Label 32057: @2255243
     /* 2255243 */   GIM_Reject,
     /* 2255244 */ // Label 32055: @2255244
     /* 2255244 */ GIM_Reject,
     /* 2255245 */ // Label 32023: @2255245
     /* 2255245 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2255348),
     /* 2255250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2255253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255261 */   GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2255304), // Rule ID 58420 //
     /* 2255266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255269 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2255272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2255286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255303 */     // GIR_Coverage, 58420,
     /* 2255303 */     GIR_EraseRootFromParent_Done,
     /* 2255304 */   // Label 32059: @2255304
     /* 2255304 */   GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2255347), // Rule ID 58421 //
     /* 2255309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255312 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2255315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2255329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255346 */     // GIR_Coverage, 58421,
     /* 2255346 */     GIR_EraseRootFromParent_Done,
     /* 2255347 */   // Label 32060: @2255347
     /* 2255347 */   GIM_Reject,
     /* 2255348 */ // Label 32058: @2255348
     /* 2255348 */ GIM_Reject,
     /* 2255349 */ // Label 32024: @2255349
     /* 2255349 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2255452),
     /* 2255354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2255357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255365 */   GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2255408), // Rule ID 58424 //
     /* 2255370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255373 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2255376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2255390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255407 */     // GIR_Coverage, 58424,
     /* 2255407 */     GIR_EraseRootFromParent_Done,
     /* 2255408 */   // Label 32062: @2255408
     /* 2255408 */   GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2255451), // Rule ID 58425 //
     /* 2255413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255416 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2255419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2255433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255450 */     // GIR_Coverage, 58425,
     /* 2255450 */     GIR_EraseRootFromParent_Done,
     /* 2255451 */   // Label 32063: @2255451
     /* 2255451 */   GIM_Reject,
     /* 2255452 */ // Label 32061: @2255452
     /* 2255452 */ GIM_Reject,
     /* 2255453 */ // Label 32025: @2255453
     /* 2255453 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2255556),
     /* 2255458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2255461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255469 */   GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2255512), // Rule ID 58432 //
     /* 2255474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2255477 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2255480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2255494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255511 */     // GIR_Coverage, 58432,
     /* 2255511 */     GIR_EraseRootFromParent_Done,
     /* 2255512 */   // Label 32065: @2255512
     /* 2255512 */   GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2255555), // Rule ID 58433 //
     /* 2255517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2255520 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2255523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2255537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255554 */     // GIR_Coverage, 58433,
     /* 2255554 */     GIR_EraseRootFromParent_Done,
     /* 2255555 */   // Label 32066: @2255555
     /* 2255555 */   GIM_Reject,
     /* 2255556 */ // Label 32064: @2255556
     /* 2255556 */ GIM_Reject,
     /* 2255557 */ // Label 32026: @2255557
     /* 2255557 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2255660),
     /* 2255562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2255565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255573 */   GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2255616), // Rule ID 58416 //
     /* 2255578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255581 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2255584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2255598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255615 */     // GIR_Coverage, 58416,
     /* 2255615 */     GIR_EraseRootFromParent_Done,
     /* 2255616 */   // Label 32068: @2255616
     /* 2255616 */   GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2255659), // Rule ID 58417 //
     /* 2255621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255624 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2255627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2255641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255658 */     // GIR_Coverage, 58417,
     /* 2255658 */     GIR_EraseRootFromParent_Done,
     /* 2255659 */   // Label 32069: @2255659
     /* 2255659 */   GIM_Reject,
     /* 2255660 */ // Label 32067: @2255660
     /* 2255660 */ GIM_Reject,
     /* 2255661 */ // Label 32027: @2255661
     /* 2255661 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2255764),
     /* 2255666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2255669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255677 */   GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2255720), // Rule ID 58422 //
     /* 2255682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255685 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2255688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2255702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255719 */     // GIR_Coverage, 58422,
     /* 2255719 */     GIR_EraseRootFromParent_Done,
     /* 2255720 */   // Label 32071: @2255720
     /* 2255720 */   GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2255763), // Rule ID 58423 //
     /* 2255725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255728 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2255731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2255745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255762 */     // GIR_Coverage, 58423,
     /* 2255762 */     GIR_EraseRootFromParent_Done,
     /* 2255763 */   // Label 32072: @2255763
     /* 2255763 */   GIM_Reject,
     /* 2255764 */ // Label 32070: @2255764
     /* 2255764 */ GIM_Reject,
     /* 2255765 */ // Label 32028: @2255765
     /* 2255765 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2255868),
     /* 2255770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2255773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255781 */   GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2255824), // Rule ID 58430 //
     /* 2255786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255789 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2255792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2255806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255823 */     // GIR_Coverage, 58430,
     /* 2255823 */     GIR_EraseRootFromParent_Done,
     /* 2255824 */   // Label 32074: @2255824
     /* 2255824 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2255867), // Rule ID 58431 //
     /* 2255829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2255832 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2255835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2255849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255866 */     // GIR_Coverage, 58431,
     /* 2255866 */     GIR_EraseRootFromParent_Done,
     /* 2255867 */   // Label 32075: @2255867
     /* 2255867 */   GIM_Reject,
     /* 2255868 */ // Label 32073: @2255868
     /* 2255868 */ GIM_Reject,
     /* 2255869 */ // Label 32029: @2255869
     /* 2255869 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2255972),
     /* 2255874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2255877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255885 */   GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2255928), // Rule ID 58452 //
     /* 2255890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2255893 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2255896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2255910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255927 */     // GIR_Coverage, 58452,
     /* 2255927 */     GIR_EraseRootFromParent_Done,
     /* 2255928 */   // Label 32077: @2255928
     /* 2255928 */   GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2255971), // Rule ID 58453 //
     /* 2255933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2255936 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2255939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2255953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2255960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255970 */     // GIR_Coverage, 58453,
     /* 2255970 */     GIR_EraseRootFromParent_Done,
     /* 2255971 */   // Label 32078: @2255971
     /* 2255971 */   GIM_Reject,
     /* 2255972 */ // Label 32076: @2255972
     /* 2255972 */ GIM_Reject,
     /* 2255973 */ // Label 32030: @2255973
     /* 2255973 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2256076),
     /* 2255978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2255981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255989 */   GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2256032), // Rule ID 58418 //
     /* 2255994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2255997 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2256000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2256014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256031 */     // GIR_Coverage, 58418,
     /* 2256031 */     GIR_EraseRootFromParent_Done,
     /* 2256032 */   // Label 32080: @2256032
     /* 2256032 */   GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2256075), // Rule ID 58419 //
     /* 2256037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256040 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2256043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2256057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256074 */     // GIR_Coverage, 58419,
     /* 2256074 */     GIR_EraseRootFromParent_Done,
     /* 2256075 */   // Label 32081: @2256075
     /* 2256075 */   GIM_Reject,
     /* 2256076 */ // Label 32079: @2256076
     /* 2256076 */ GIM_Reject,
     /* 2256077 */ // Label 32031: @2256077
     /* 2256077 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2256180),
     /* 2256082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2256085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256093 */   GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2256136), // Rule ID 58428 //
     /* 2256098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256101 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2256104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2256118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256135 */     // GIR_Coverage, 58428,
     /* 2256135 */     GIR_EraseRootFromParent_Done,
     /* 2256136 */   // Label 32083: @2256136
     /* 2256136 */   GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2256179), // Rule ID 58429 //
     /* 2256141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256144 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2256147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2256161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256178 */     // GIR_Coverage, 58429,
     /* 2256178 */     GIR_EraseRootFromParent_Done,
     /* 2256179 */   // Label 32084: @2256179
     /* 2256179 */   GIM_Reject,
     /* 2256180 */ // Label 32082: @2256180
     /* 2256180 */ GIM_Reject,
     /* 2256181 */ // Label 32032: @2256181
     /* 2256181 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2256284),
     /* 2256186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2256189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256197 */   GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2256240), // Rule ID 58446 //
     /* 2256202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256205 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2256208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256239 */     // GIR_Coverage, 58446,
     /* 2256239 */     GIR_EraseRootFromParent_Done,
     /* 2256240 */   // Label 32086: @2256240
     /* 2256240 */   GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2256283), // Rule ID 58447 //
     /* 2256245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256248 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2256251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256282 */     // GIR_Coverage, 58447,
     /* 2256282 */     GIR_EraseRootFromParent_Done,
     /* 2256283 */   // Label 32087: @2256283
     /* 2256283 */   GIM_Reject,
     /* 2256284 */ // Label 32085: @2256284
     /* 2256284 */ GIM_Reject,
     /* 2256285 */ // Label 32033: @2256285
     /* 2256285 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2256388),
     /* 2256290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2256293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256301 */   GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2256344), // Rule ID 58454 //
     /* 2256306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2256309 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2256312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256343 */     // GIR_Coverage, 58454,
     /* 2256343 */     GIR_EraseRootFromParent_Done,
     /* 2256344 */   // Label 32089: @2256344
     /* 2256344 */   GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2256387), // Rule ID 58455 //
     /* 2256349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2256352 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2256355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256386 */     // GIR_Coverage, 58455,
     /* 2256386 */     GIR_EraseRootFromParent_Done,
     /* 2256387 */   // Label 32090: @2256387
     /* 2256387 */   GIM_Reject,
     /* 2256388 */ // Label 32088: @2256388
     /* 2256388 */ GIM_Reject,
     /* 2256389 */ // Label 32034: @2256389
     /* 2256389 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2256492),
     /* 2256394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2256397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256405 */   GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2256448), // Rule ID 58426 //
     /* 2256410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256413 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2256416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2256430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256447 */     // GIR_Coverage, 58426,
     /* 2256447 */     GIR_EraseRootFromParent_Done,
     /* 2256448 */   // Label 32092: @2256448
     /* 2256448 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2256491), // Rule ID 58427 //
     /* 2256453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256456 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2256459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2256473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256490 */     // GIR_Coverage, 58427,
     /* 2256490 */     GIR_EraseRootFromParent_Done,
     /* 2256491 */   // Label 32093: @2256491
     /* 2256491 */   GIM_Reject,
     /* 2256492 */ // Label 32091: @2256492
     /* 2256492 */ GIM_Reject,
     /* 2256493 */ // Label 32035: @2256493
     /* 2256493 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2256596),
     /* 2256498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2256501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256509 */   GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2256552), // Rule ID 58440 //
     /* 2256514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256517 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2256520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256551 */     // GIR_Coverage, 58440,
     /* 2256551 */     GIR_EraseRootFromParent_Done,
     /* 2256552 */   // Label 32095: @2256552
     /* 2256552 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2256595), // Rule ID 58441 //
     /* 2256557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256560 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2256563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256594 */     // GIR_Coverage, 58441,
     /* 2256594 */     GIR_EraseRootFromParent_Done,
     /* 2256595 */   // Label 32096: @2256595
     /* 2256595 */   GIM_Reject,
     /* 2256596 */ // Label 32094: @2256596
     /* 2256596 */ GIM_Reject,
     /* 2256597 */ // Label 32036: @2256597
     /* 2256597 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2256700),
     /* 2256602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2256605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256613 */   GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2256656), // Rule ID 58448 //
     /* 2256618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256621 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256655 */     // GIR_Coverage, 58448,
     /* 2256655 */     GIR_EraseRootFromParent_Done,
     /* 2256656 */   // Label 32098: @2256656
     /* 2256656 */   GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2256699), // Rule ID 58449 //
     /* 2256661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256664 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256698 */     // GIR_Coverage, 58449,
     /* 2256698 */     GIR_EraseRootFromParent_Done,
     /* 2256699 */   // Label 32099: @2256699
     /* 2256699 */   GIM_Reject,
     /* 2256700 */ // Label 32097: @2256700
     /* 2256700 */ GIM_Reject,
     /* 2256701 */ // Label 32037: @2256701
     /* 2256701 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2256804),
     /* 2256706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2256709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256717 */   GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2256760), // Rule ID 58456 //
     /* 2256722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2256725 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2256742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256759 */     // GIR_Coverage, 58456,
     /* 2256759 */     GIR_EraseRootFromParent_Done,
     /* 2256760 */   // Label 32101: @2256760
     /* 2256760 */   GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2256803), // Rule ID 58457 //
     /* 2256765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2256768 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2256785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256802 */     // GIR_Coverage, 58457,
     /* 2256802 */     GIR_EraseRootFromParent_Done,
     /* 2256803 */   // Label 32102: @2256803
     /* 2256803 */   GIM_Reject,
     /* 2256804 */ // Label 32100: @2256804
     /* 2256804 */ GIM_Reject,
     /* 2256805 */ // Label 32038: @2256805
     /* 2256805 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2256908),
     /* 2256810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2256813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256821 */   GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2256864), // Rule ID 58434 //
     /* 2256826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256829 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2256832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256863 */     // GIR_Coverage, 58434,
     /* 2256863 */     GIR_EraseRootFromParent_Done,
     /* 2256864 */   // Label 32104: @2256864
     /* 2256864 */   GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2256907), // Rule ID 58435 //
     /* 2256869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256872 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2256875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2256889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256906 */     // GIR_Coverage, 58435,
     /* 2256906 */     GIR_EraseRootFromParent_Done,
     /* 2256907 */   // Label 32105: @2256907
     /* 2256907 */   GIM_Reject,
     /* 2256908 */ // Label 32103: @2256908
     /* 2256908 */ GIM_Reject,
     /* 2256909 */ // Label 32039: @2256909
     /* 2256909 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2257012),
     /* 2256914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2256917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256925 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2256968), // Rule ID 58442 //
     /* 2256930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2256933 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2256957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256967 */     // GIR_Coverage, 58442,
     /* 2256967 */     GIR_EraseRootFromParent_Done,
     /* 2256968 */   // Label 32107: @2256968
     /* 2256968 */   GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2257011), // Rule ID 58443 //
     /* 2256973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2256976 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2256993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257010 */     // GIR_Coverage, 58443,
     /* 2257010 */     GIR_EraseRootFromParent_Done,
     /* 2257011 */   // Label 32108: @2257011
     /* 2257011 */   GIM_Reject,
     /* 2257012 */ // Label 32106: @2257012
     /* 2257012 */ GIM_Reject,
     /* 2257013 */ // Label 32040: @2257013
     /* 2257013 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2257116),
     /* 2257018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2257021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257029 */   GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2257072), // Rule ID 58450 //
     /* 2257034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257037 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2257040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257071 */     // GIR_Coverage, 58450,
     /* 2257071 */     GIR_EraseRootFromParent_Done,
     /* 2257072 */   // Label 32110: @2257072
     /* 2257072 */   GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2257115), // Rule ID 58451 //
     /* 2257077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257080 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2257083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257114 */     // GIR_Coverage, 58451,
     /* 2257114 */     GIR_EraseRootFromParent_Done,
     /* 2257115 */   // Label 32111: @2257115
     /* 2257115 */   GIM_Reject,
     /* 2257116 */ // Label 32109: @2257116
     /* 2257116 */ GIM_Reject,
     /* 2257117 */ // Label 32041: @2257117
     /* 2257117 */ GIM_Try, /*On fail goto*//*Label 32112*/ GIMT_Encode4(2257220),
     /* 2257122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2257125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257133 */   GIM_Try, /*On fail goto*//*Label 32113*/ GIMT_Encode4(2257176), // Rule ID 58436 //
     /* 2257138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257141 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2257144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2257158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257175 */     // GIR_Coverage, 58436,
     /* 2257175 */     GIR_EraseRootFromParent_Done,
     /* 2257176 */   // Label 32113: @2257176
     /* 2257176 */   GIM_Try, /*On fail goto*//*Label 32114*/ GIMT_Encode4(2257219), // Rule ID 58437 //
     /* 2257181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257184 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2257187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2257201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257218 */     // GIR_Coverage, 58437,
     /* 2257218 */     GIR_EraseRootFromParent_Done,
     /* 2257219 */   // Label 32114: @2257219
     /* 2257219 */   GIM_Reject,
     /* 2257220 */ // Label 32112: @2257220
     /* 2257220 */ GIM_Reject,
     /* 2257221 */ // Label 32042: @2257221
     /* 2257221 */ GIM_Try, /*On fail goto*//*Label 32115*/ GIMT_Encode4(2257324),
     /* 2257226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2257229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257237 */   GIM_Try, /*On fail goto*//*Label 32116*/ GIMT_Encode4(2257280), // Rule ID 58444 //
     /* 2257242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257245 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257279 */     // GIR_Coverage, 58444,
     /* 2257279 */     GIR_EraseRootFromParent_Done,
     /* 2257280 */   // Label 32116: @2257280
     /* 2257280 */   GIM_Try, /*On fail goto*//*Label 32117*/ GIMT_Encode4(2257323), // Rule ID 58445 //
     /* 2257285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257288 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257322 */     // GIR_Coverage, 58445,
     /* 2257322 */     GIR_EraseRootFromParent_Done,
     /* 2257323 */   // Label 32117: @2257323
     /* 2257323 */   GIM_Reject,
     /* 2257324 */ // Label 32115: @2257324
     /* 2257324 */ GIM_Reject,
     /* 2257325 */ // Label 32043: @2257325
     /* 2257325 */ GIM_Try, /*On fail goto*//*Label 32118*/ GIMT_Encode4(2257428),
     /* 2257330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2257333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257341 */   GIM_Try, /*On fail goto*//*Label 32119*/ GIMT_Encode4(2257384), // Rule ID 58438 //
     /* 2257346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257349 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2257352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257383 */     // GIR_Coverage, 58438,
     /* 2257383 */     GIR_EraseRootFromParent_Done,
     /* 2257384 */   // Label 32119: @2257384
     /* 2257384 */   GIM_Try, /*On fail goto*//*Label 32120*/ GIMT_Encode4(2257427), // Rule ID 58439 //
     /* 2257389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257392 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2257395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2257409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257426 */     // GIR_Coverage, 58439,
     /* 2257426 */     GIR_EraseRootFromParent_Done,
     /* 2257427 */   // Label 32120: @2257427
     /* 2257427 */   GIM_Reject,
     /* 2257428 */ // Label 32118: @2257428
     /* 2257428 */ GIM_Reject,
     /* 2257429 */ // Label 32044: @2257429
     /* 2257429 */ GIM_Reject,
     /* 2257430 */ // Label 86: @2257430
     /* 2257430 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32145*/ GIMT_Encode4(2259980),
     /* 2257441 */ /*GILLT_s32*//*Label 32121*/ GIMT_Encode4(2257565),
     /* 2257445 */ /*GILLT_s64*//*Label 32122*/ GIMT_Encode4(2257613), GIMT_Encode4(0),
     /* 2257453 */ /*GILLT_nxv1s8*//*Label 32123*/ GIMT_Encode4(2257692),
     /* 2257457 */ /*GILLT_nxv1s16*//*Label 32124*/ GIMT_Encode4(2257796),
     /* 2257461 */ /*GILLT_nxv1s32*//*Label 32125*/ GIMT_Encode4(2257900),
     /* 2257465 */ /*GILLT_nxv1s64*//*Label 32126*/ GIMT_Encode4(2258004), GIMT_Encode4(0),
     /* 2257473 */ /*GILLT_nxv2s8*//*Label 32127*/ GIMT_Encode4(2258108),
     /* 2257477 */ /*GILLT_nxv2s16*//*Label 32128*/ GIMT_Encode4(2258212),
     /* 2257481 */ /*GILLT_nxv2s32*//*Label 32129*/ GIMT_Encode4(2258316),
     /* 2257485 */ /*GILLT_nxv2s64*//*Label 32130*/ GIMT_Encode4(2258420), GIMT_Encode4(0),
     /* 2257493 */ /*GILLT_nxv4s8*//*Label 32131*/ GIMT_Encode4(2258524),
     /* 2257497 */ /*GILLT_nxv4s16*//*Label 32132*/ GIMT_Encode4(2258628),
     /* 2257501 */ /*GILLT_nxv4s32*//*Label 32133*/ GIMT_Encode4(2258732),
     /* 2257505 */ /*GILLT_nxv4s64*//*Label 32134*/ GIMT_Encode4(2258836), GIMT_Encode4(0),
     /* 2257513 */ /*GILLT_nxv8s8*//*Label 32135*/ GIMT_Encode4(2258940),
     /* 2257517 */ /*GILLT_nxv8s16*//*Label 32136*/ GIMT_Encode4(2259044),
     /* 2257521 */ /*GILLT_nxv8s32*//*Label 32137*/ GIMT_Encode4(2259148),
     /* 2257525 */ /*GILLT_nxv8s64*//*Label 32138*/ GIMT_Encode4(2259252), GIMT_Encode4(0),
     /* 2257533 */ /*GILLT_nxv16s8*//*Label 32139*/ GIMT_Encode4(2259356),
     /* 2257537 */ /*GILLT_nxv16s16*//*Label 32140*/ GIMT_Encode4(2259460),
     /* 2257541 */ /*GILLT_nxv16s32*//*Label 32141*/ GIMT_Encode4(2259564), GIMT_Encode4(0),
     /* 2257549 */ /*GILLT_nxv32s8*//*Label 32142*/ GIMT_Encode4(2259668),
     /* 2257553 */ /*GILLT_nxv32s16*//*Label 32143*/ GIMT_Encode4(2259772), GIMT_Encode4(0),
     /* 2257561 */ /*GILLT_nxv64s8*//*Label 32144*/ GIMT_Encode4(2259876),
     /* 2257565 */ // Label 32121: @2257565
     /* 2257565 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2257612),
     /* 2257570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2257573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257581 */   GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2257596), // Rule ID 2377 //
     /* 2257586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2257589 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2257589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2257594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257595 */     // GIR_Coverage, 2377,
     /* 2257595 */     GIR_Done,
     /* 2257596 */   // Label 32147: @2257596
     /* 2257596 */   GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2257611), // Rule ID 63757 //
     /* 2257601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2257604 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2257604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2257609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257610 */     // GIR_Coverage, 63757,
     /* 2257610 */     GIR_Done,
     /* 2257611 */   // Label 32148: @2257611
     /* 2257611 */   GIM_Reject,
     /* 2257612 */ // Label 32146: @2257612
     /* 2257612 */ GIM_Reject,
     /* 2257613 */ // Label 32122: @2257613
     /* 2257613 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2257691),
     /* 2257618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2257621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257625 */   GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2257652), // Rule ID 2380 //
     /* 2257630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2257633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2257640 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2257640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2257643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2257650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257651 */     // GIR_Coverage, 2380,
     /* 2257651 */     GIR_EraseRootFromParent_Done,
     /* 2257652 */   // Label 32150: @2257652
     /* 2257652 */   GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2257671), // Rule ID 2376 //
     /* 2257657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2257660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257664 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2257664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2257669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257670 */     // GIR_Coverage, 2376,
     /* 2257670 */     GIR_Done,
     /* 2257671 */   // Label 32151: @2257671
     /* 2257671 */   GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2257690), // Rule ID 63756 //
     /* 2257676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2257679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257683 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2257683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2257688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257689 */     // GIR_Coverage, 63756,
     /* 2257689 */     GIR_Done,
     /* 2257690 */   // Label 32152: @2257690
     /* 2257690 */   GIM_Reject,
     /* 2257691 */ // Label 32149: @2257691
     /* 2257691 */ GIM_Reject,
     /* 2257692 */ // Label 32123: @2257692
     /* 2257692 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2257795),
     /* 2257697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2257700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257708 */   GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2257751), // Rule ID 58502 //
     /* 2257713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257716 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2257719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2257733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257750 */     // GIR_Coverage, 58502,
     /* 2257750 */     GIR_EraseRootFromParent_Done,
     /* 2257751 */   // Label 32154: @2257751
     /* 2257751 */   GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2257794), // Rule ID 58503 //
     /* 2257756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257759 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2257762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2257776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257793 */     // GIR_Coverage, 58503,
     /* 2257793 */     GIR_EraseRootFromParent_Done,
     /* 2257794 */   // Label 32155: @2257794
     /* 2257794 */   GIM_Reject,
     /* 2257795 */ // Label 32153: @2257795
     /* 2257795 */ GIM_Reject,
     /* 2257796 */ // Label 32124: @2257796
     /* 2257796 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2257899),
     /* 2257801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2257804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257812 */   GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2257855), // Rule ID 58508 //
     /* 2257817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257820 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2257823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2257837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257854 */     // GIR_Coverage, 58508,
     /* 2257854 */     GIR_EraseRootFromParent_Done,
     /* 2257855 */   // Label 32157: @2257855
     /* 2257855 */   GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2257898), // Rule ID 58509 //
     /* 2257860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257863 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2257866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2257880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257897 */     // GIR_Coverage, 58509,
     /* 2257897 */     GIR_EraseRootFromParent_Done,
     /* 2257898 */   // Label 32158: @2257898
     /* 2257898 */   GIM_Reject,
     /* 2257899 */ // Label 32156: @2257899
     /* 2257899 */ GIM_Reject,
     /* 2257900 */ // Label 32125: @2257900
     /* 2257900 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2258003),
     /* 2257905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2257908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257916 */   GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2257959), // Rule ID 58512 //
     /* 2257921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2257924 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2257927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2257941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257958 */     // GIR_Coverage, 58512,
     /* 2257958 */     GIR_EraseRootFromParent_Done,
     /* 2257959 */   // Label 32160: @2257959
     /* 2257959 */   GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2258002), // Rule ID 58513 //
     /* 2257964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2257967 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2257970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2257984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258001 */     // GIR_Coverage, 58513,
     /* 2258001 */     GIR_EraseRootFromParent_Done,
     /* 2258002 */   // Label 32161: @2258002
     /* 2258002 */   GIM_Reject,
     /* 2258003 */ // Label 32159: @2258003
     /* 2258003 */ GIM_Reject,
     /* 2258004 */ // Label 32126: @2258004
     /* 2258004 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2258107),
     /* 2258009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2258012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258020 */   GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2258063), // Rule ID 58520 //
     /* 2258025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2258028 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258062 */     // GIR_Coverage, 58520,
     /* 2258062 */     GIR_EraseRootFromParent_Done,
     /* 2258063 */   // Label 32163: @2258063
     /* 2258063 */   GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2258106), // Rule ID 58521 //
     /* 2258068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2258071 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258105 */     // GIR_Coverage, 58521,
     /* 2258105 */     GIR_EraseRootFromParent_Done,
     /* 2258106 */   // Label 32164: @2258106
     /* 2258106 */   GIM_Reject,
     /* 2258107 */ // Label 32162: @2258107
     /* 2258107 */ GIM_Reject,
     /* 2258108 */ // Label 32127: @2258108
     /* 2258108 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2258211),
     /* 2258113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2258116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258124 */   GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2258167), // Rule ID 58504 //
     /* 2258129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258132 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2258135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2258149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258166 */     // GIR_Coverage, 58504,
     /* 2258166 */     GIR_EraseRootFromParent_Done,
     /* 2258167 */   // Label 32166: @2258167
     /* 2258167 */   GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2258210), // Rule ID 58505 //
     /* 2258172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258175 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2258178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2258192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258209 */     // GIR_Coverage, 58505,
     /* 2258209 */     GIR_EraseRootFromParent_Done,
     /* 2258210 */   // Label 32167: @2258210
     /* 2258210 */   GIM_Reject,
     /* 2258211 */ // Label 32165: @2258211
     /* 2258211 */ GIM_Reject,
     /* 2258212 */ // Label 32128: @2258212
     /* 2258212 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2258315),
     /* 2258217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2258220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258228 */   GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2258271), // Rule ID 58510 //
     /* 2258233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258236 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2258239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2258253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258270 */     // GIR_Coverage, 58510,
     /* 2258270 */     GIR_EraseRootFromParent_Done,
     /* 2258271 */   // Label 32169: @2258271
     /* 2258271 */   GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2258314), // Rule ID 58511 //
     /* 2258276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258279 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2258282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2258296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258313 */     // GIR_Coverage, 58511,
     /* 2258313 */     GIR_EraseRootFromParent_Done,
     /* 2258314 */   // Label 32170: @2258314
     /* 2258314 */   GIM_Reject,
     /* 2258315 */ // Label 32168: @2258315
     /* 2258315 */ GIM_Reject,
     /* 2258316 */ // Label 32129: @2258316
     /* 2258316 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2258419),
     /* 2258321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2258324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258332 */   GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2258375), // Rule ID 58518 //
     /* 2258337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258340 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2258343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258374 */     // GIR_Coverage, 58518,
     /* 2258374 */     GIR_EraseRootFromParent_Done,
     /* 2258375 */   // Label 32172: @2258375
     /* 2258375 */   GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2258418), // Rule ID 58519 //
     /* 2258380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258383 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2258386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258417 */     // GIR_Coverage, 58519,
     /* 2258417 */     GIR_EraseRootFromParent_Done,
     /* 2258418 */   // Label 32173: @2258418
     /* 2258418 */   GIM_Reject,
     /* 2258419 */ // Label 32171: @2258419
     /* 2258419 */ GIM_Reject,
     /* 2258420 */ // Label 32130: @2258420
     /* 2258420 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2258523),
     /* 2258425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2258428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258436 */   GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2258479), // Rule ID 58540 //
     /* 2258441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2258444 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2258447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2258461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258478 */     // GIR_Coverage, 58540,
     /* 2258478 */     GIR_EraseRootFromParent_Done,
     /* 2258479 */   // Label 32175: @2258479
     /* 2258479 */   GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2258522), // Rule ID 58541 //
     /* 2258484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2258487 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2258490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2258504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258521 */     // GIR_Coverage, 58541,
     /* 2258521 */     GIR_EraseRootFromParent_Done,
     /* 2258522 */   // Label 32176: @2258522
     /* 2258522 */   GIM_Reject,
     /* 2258523 */ // Label 32174: @2258523
     /* 2258523 */ GIM_Reject,
     /* 2258524 */ // Label 32131: @2258524
     /* 2258524 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2258627),
     /* 2258529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2258532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258540 */   GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2258583), // Rule ID 58506 //
     /* 2258545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258548 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2258551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2258565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258582 */     // GIR_Coverage, 58506,
     /* 2258582 */     GIR_EraseRootFromParent_Done,
     /* 2258583 */   // Label 32178: @2258583
     /* 2258583 */   GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2258626), // Rule ID 58507 //
     /* 2258588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258591 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2258594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2258608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258625 */     // GIR_Coverage, 58507,
     /* 2258625 */     GIR_EraseRootFromParent_Done,
     /* 2258626 */   // Label 32179: @2258626
     /* 2258626 */   GIM_Reject,
     /* 2258627 */ // Label 32177: @2258627
     /* 2258627 */ GIM_Reject,
     /* 2258628 */ // Label 32132: @2258628
     /* 2258628 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2258731),
     /* 2258633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2258636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258644 */   GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2258687), // Rule ID 58516 //
     /* 2258649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258652 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2258655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258686 */     // GIR_Coverage, 58516,
     /* 2258686 */     GIR_EraseRootFromParent_Done,
     /* 2258687 */   // Label 32181: @2258687
     /* 2258687 */   GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2258730), // Rule ID 58517 //
     /* 2258692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258695 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2258698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258729 */     // GIR_Coverage, 58517,
     /* 2258729 */     GIR_EraseRootFromParent_Done,
     /* 2258730 */   // Label 32182: @2258730
     /* 2258730 */   GIM_Reject,
     /* 2258731 */ // Label 32180: @2258731
     /* 2258731 */ GIM_Reject,
     /* 2258732 */ // Label 32133: @2258732
     /* 2258732 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2258835),
     /* 2258737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2258740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258748 */   GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2258791), // Rule ID 58534 //
     /* 2258753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258756 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2258759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2258773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258790 */     // GIR_Coverage, 58534,
     /* 2258790 */     GIR_EraseRootFromParent_Done,
     /* 2258791 */   // Label 32184: @2258791
     /* 2258791 */   GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2258834), // Rule ID 58535 //
     /* 2258796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2258799 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2258802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2258816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258833 */     // GIR_Coverage, 58535,
     /* 2258833 */     GIR_EraseRootFromParent_Done,
     /* 2258834 */   // Label 32185: @2258834
     /* 2258834 */   GIM_Reject,
     /* 2258835 */ // Label 32183: @2258835
     /* 2258835 */ GIM_Reject,
     /* 2258836 */ // Label 32134: @2258836
     /* 2258836 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2258939),
     /* 2258841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2258844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258852 */   GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2258895), // Rule ID 58542 //
     /* 2258857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2258860 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2258863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2258877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258894 */     // GIR_Coverage, 58542,
     /* 2258894 */     GIR_EraseRootFromParent_Done,
     /* 2258895 */   // Label 32187: @2258895
     /* 2258895 */   GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2258938), // Rule ID 58543 //
     /* 2258900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2258903 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2258906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2258920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258937 */     // GIR_Coverage, 58543,
     /* 2258937 */     GIR_EraseRootFromParent_Done,
     /* 2258938 */   // Label 32188: @2258938
     /* 2258938 */   GIM_Reject,
     /* 2258939 */ // Label 32186: @2258939
     /* 2258939 */ GIM_Reject,
     /* 2258940 */ // Label 32135: @2258940
     /* 2258940 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2259043),
     /* 2258945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2258948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258956 */   GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2258999), // Rule ID 58514 //
     /* 2258961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2258964 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2258967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2258981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258998 */     // GIR_Coverage, 58514,
     /* 2258998 */     GIR_EraseRootFromParent_Done,
     /* 2258999 */   // Label 32190: @2258999
     /* 2258999 */   GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2259042), // Rule ID 58515 //
     /* 2259004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259007 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2259010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2259024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259041 */     // GIR_Coverage, 58515,
     /* 2259041 */     GIR_EraseRootFromParent_Done,
     /* 2259042 */   // Label 32191: @2259042
     /* 2259042 */   GIM_Reject,
     /* 2259043 */ // Label 32189: @2259043
     /* 2259043 */ GIM_Reject,
     /* 2259044 */ // Label 32136: @2259044
     /* 2259044 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2259147),
     /* 2259049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2259052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259060 */   GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2259103), // Rule ID 58528 //
     /* 2259065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259068 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2259071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2259085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259102 */     // GIR_Coverage, 58528,
     /* 2259102 */     GIR_EraseRootFromParent_Done,
     /* 2259103 */   // Label 32193: @2259103
     /* 2259103 */   GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2259146), // Rule ID 58529 //
     /* 2259108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259111 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2259114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2259128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259145 */     // GIR_Coverage, 58529,
     /* 2259145 */     GIR_EraseRootFromParent_Done,
     /* 2259146 */   // Label 32194: @2259146
     /* 2259146 */   GIM_Reject,
     /* 2259147 */ // Label 32192: @2259147
     /* 2259147 */ GIM_Reject,
     /* 2259148 */ // Label 32137: @2259148
     /* 2259148 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2259251),
     /* 2259153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2259156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259164 */   GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2259207), // Rule ID 58536 //
     /* 2259169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259172 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2259175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259206 */     // GIR_Coverage, 58536,
     /* 2259206 */     GIR_EraseRootFromParent_Done,
     /* 2259207 */   // Label 32196: @2259207
     /* 2259207 */   GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2259250), // Rule ID 58537 //
     /* 2259212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259215 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2259218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259249 */     // GIR_Coverage, 58537,
     /* 2259249 */     GIR_EraseRootFromParent_Done,
     /* 2259250 */   // Label 32197: @2259250
     /* 2259250 */   GIM_Reject,
     /* 2259251 */ // Label 32195: @2259251
     /* 2259251 */ GIM_Reject,
     /* 2259252 */ // Label 32138: @2259252
     /* 2259252 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2259355),
     /* 2259257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2259260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259268 */   GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2259311), // Rule ID 58544 //
     /* 2259273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2259276 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2259279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259310 */     // GIR_Coverage, 58544,
     /* 2259310 */     GIR_EraseRootFromParent_Done,
     /* 2259311 */   // Label 32199: @2259311
     /* 2259311 */   GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2259354), // Rule ID 58545 //
     /* 2259316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2259319 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2259322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259353 */     // GIR_Coverage, 58545,
     /* 2259353 */     GIR_EraseRootFromParent_Done,
     /* 2259354 */   // Label 32200: @2259354
     /* 2259354 */   GIM_Reject,
     /* 2259355 */ // Label 32198: @2259355
     /* 2259355 */ GIM_Reject,
     /* 2259356 */ // Label 32139: @2259356
     /* 2259356 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2259459),
     /* 2259361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2259364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259372 */   GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2259415), // Rule ID 58522 //
     /* 2259377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259380 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2259383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2259397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259414 */     // GIR_Coverage, 58522,
     /* 2259414 */     GIR_EraseRootFromParent_Done,
     /* 2259415 */   // Label 32202: @2259415
     /* 2259415 */   GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2259458), // Rule ID 58523 //
     /* 2259420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259423 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2259426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2259440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259457 */     // GIR_Coverage, 58523,
     /* 2259457 */     GIR_EraseRootFromParent_Done,
     /* 2259458 */   // Label 32203: @2259458
     /* 2259458 */   GIM_Reject,
     /* 2259459 */ // Label 32201: @2259459
     /* 2259459 */ GIM_Reject,
     /* 2259460 */ // Label 32140: @2259460
     /* 2259460 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2259563),
     /* 2259465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2259468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259476 */   GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2259519), // Rule ID 58530 //
     /* 2259481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259484 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2259487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259518 */     // GIR_Coverage, 58530,
     /* 2259518 */     GIR_EraseRootFromParent_Done,
     /* 2259519 */   // Label 32205: @2259519
     /* 2259519 */   GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2259562), // Rule ID 58531 //
     /* 2259524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259527 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2259530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259561 */     // GIR_Coverage, 58531,
     /* 2259561 */     GIR_EraseRootFromParent_Done,
     /* 2259562 */   // Label 32206: @2259562
     /* 2259562 */   GIM_Reject,
     /* 2259563 */ // Label 32204: @2259563
     /* 2259563 */ GIM_Reject,
     /* 2259564 */ // Label 32141: @2259564
     /* 2259564 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2259667),
     /* 2259569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2259572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259580 */   GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2259623), // Rule ID 58538 //
     /* 2259585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259588 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2259591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259622 */     // GIR_Coverage, 58538,
     /* 2259622 */     GIR_EraseRootFromParent_Done,
     /* 2259623 */   // Label 32208: @2259623
     /* 2259623 */   GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2259666), // Rule ID 58539 //
     /* 2259628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259631 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2259634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259665 */     // GIR_Coverage, 58539,
     /* 2259665 */     GIR_EraseRootFromParent_Done,
     /* 2259666 */   // Label 32209: @2259666
     /* 2259666 */   GIM_Reject,
     /* 2259667 */ // Label 32207: @2259667
     /* 2259667 */ GIM_Reject,
     /* 2259668 */ // Label 32142: @2259668
     /* 2259668 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2259771),
     /* 2259673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2259676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259684 */   GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2259727), // Rule ID 58524 //
     /* 2259689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259692 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2259695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259726 */     // GIR_Coverage, 58524,
     /* 2259726 */     GIR_EraseRootFromParent_Done,
     /* 2259727 */   // Label 32211: @2259727
     /* 2259727 */   GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2259770), // Rule ID 58525 //
     /* 2259732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259735 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2259738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2259752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259769 */     // GIR_Coverage, 58525,
     /* 2259769 */     GIR_EraseRootFromParent_Done,
     /* 2259770 */   // Label 32212: @2259770
     /* 2259770 */   GIM_Reject,
     /* 2259771 */ // Label 32210: @2259771
     /* 2259771 */ GIM_Reject,
     /* 2259772 */ // Label 32143: @2259772
     /* 2259772 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2259875),
     /* 2259777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2259780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259788 */   GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2259831), // Rule ID 58532 //
     /* 2259793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259796 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2259799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259830 */     // GIR_Coverage, 58532,
     /* 2259830 */     GIR_EraseRootFromParent_Done,
     /* 2259831 */   // Label 32214: @2259831
     /* 2259831 */   GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2259874), // Rule ID 58533 //
     /* 2259836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259839 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2259842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259873 */     // GIR_Coverage, 58533,
     /* 2259873 */     GIR_EraseRootFromParent_Done,
     /* 2259874 */   // Label 32215: @2259874
     /* 2259874 */   GIM_Reject,
     /* 2259875 */ // Label 32213: @2259875
     /* 2259875 */ GIM_Reject,
     /* 2259876 */ // Label 32144: @2259876
     /* 2259876 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2259979),
     /* 2259881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2259884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259892 */   GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2259935), // Rule ID 58526 //
     /* 2259897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2259900 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2259903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259934 */     // GIR_Coverage, 58526,
     /* 2259934 */     GIR_EraseRootFromParent_Done,
     /* 2259935 */   // Label 32217: @2259935
     /* 2259935 */   GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2259978), // Rule ID 58527 //
     /* 2259940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2259943 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2259946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2259960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259977 */     // GIR_Coverage, 58527,
     /* 2259977 */     GIR_EraseRootFromParent_Done,
     /* 2259978 */   // Label 32218: @2259978
     /* 2259978 */   GIM_Reject,
     /* 2259979 */ // Label 32216: @2259979
     /* 2259979 */ GIM_Reject,
     /* 2259980 */ // Label 32145: @2259980
     /* 2259980 */ GIM_Reject,
     /* 2259981 */ // Label 87: @2259981
     /* 2259981 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32243*/ GIMT_Encode4(2262515),
     /* 2259992 */ /*GILLT_s32*//*Label 32219*/ GIMT_Encode4(2260116),
     /* 2259996 */ /*GILLT_s64*//*Label 32220*/ GIMT_Encode4(2260179), GIMT_Encode4(0),
     /* 2260004 */ /*GILLT_nxv1s8*//*Label 32221*/ GIMT_Encode4(2260227),
     /* 2260008 */ /*GILLT_nxv1s16*//*Label 32222*/ GIMT_Encode4(2260331),
     /* 2260012 */ /*GILLT_nxv1s32*//*Label 32223*/ GIMT_Encode4(2260435),
     /* 2260016 */ /*GILLT_nxv1s64*//*Label 32224*/ GIMT_Encode4(2260539), GIMT_Encode4(0),
     /* 2260024 */ /*GILLT_nxv2s8*//*Label 32225*/ GIMT_Encode4(2260643),
     /* 2260028 */ /*GILLT_nxv2s16*//*Label 32226*/ GIMT_Encode4(2260747),
     /* 2260032 */ /*GILLT_nxv2s32*//*Label 32227*/ GIMT_Encode4(2260851),
     /* 2260036 */ /*GILLT_nxv2s64*//*Label 32228*/ GIMT_Encode4(2260955), GIMT_Encode4(0),
     /* 2260044 */ /*GILLT_nxv4s8*//*Label 32229*/ GIMT_Encode4(2261059),
     /* 2260048 */ /*GILLT_nxv4s16*//*Label 32230*/ GIMT_Encode4(2261163),
     /* 2260052 */ /*GILLT_nxv4s32*//*Label 32231*/ GIMT_Encode4(2261267),
     /* 2260056 */ /*GILLT_nxv4s64*//*Label 32232*/ GIMT_Encode4(2261371), GIMT_Encode4(0),
     /* 2260064 */ /*GILLT_nxv8s8*//*Label 32233*/ GIMT_Encode4(2261475),
     /* 2260068 */ /*GILLT_nxv8s16*//*Label 32234*/ GIMT_Encode4(2261579),
     /* 2260072 */ /*GILLT_nxv8s32*//*Label 32235*/ GIMT_Encode4(2261683),
     /* 2260076 */ /*GILLT_nxv8s64*//*Label 32236*/ GIMT_Encode4(2261787), GIMT_Encode4(0),
     /* 2260084 */ /*GILLT_nxv16s8*//*Label 32237*/ GIMT_Encode4(2261891),
     /* 2260088 */ /*GILLT_nxv16s16*//*Label 32238*/ GIMT_Encode4(2261995),
     /* 2260092 */ /*GILLT_nxv16s32*//*Label 32239*/ GIMT_Encode4(2262099), GIMT_Encode4(0),
     /* 2260100 */ /*GILLT_nxv32s8*//*Label 32240*/ GIMT_Encode4(2262203),
     /* 2260104 */ /*GILLT_nxv32s16*//*Label 32241*/ GIMT_Encode4(2262307), GIMT_Encode4(0),
     /* 2260112 */ /*GILLT_nxv64s8*//*Label 32242*/ GIMT_Encode4(2262411),
     /* 2260116 */ // Label 32219: @2260116
     /* 2260116 */ GIM_Try, /*On fail goto*//*Label 32244*/ GIMT_Encode4(2260178),
     /* 2260121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2260124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260132 */   GIM_Try, /*On fail goto*//*Label 32245*/ GIMT_Encode4(2260147), // Rule ID 2394 //
     /* 2260137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2260140 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2260140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2260145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260146 */     // GIR_Coverage, 2394,
     /* 2260146 */     GIR_Done,
     /* 2260147 */   // Label 32245: @2260147
     /* 2260147 */   GIM_Try, /*On fail goto*//*Label 32246*/ GIMT_Encode4(2260162), // Rule ID 2395 //
     /* 2260152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2260155 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2260155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2260160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260161 */     // GIR_Coverage, 2395,
     /* 2260161 */     GIR_Done,
     /* 2260162 */   // Label 32246: @2260162
     /* 2260162 */   GIM_Try, /*On fail goto*//*Label 32247*/ GIMT_Encode4(2260177), // Rule ID 61876 //
     /* 2260167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2260170 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2260170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2260175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260176 */     // GIR_Coverage, 61876,
     /* 2260176 */     GIR_Done,
     /* 2260177 */   // Label 32247: @2260177
     /* 2260177 */   GIM_Reject,
     /* 2260178 */ // Label 32244: @2260178
     /* 2260178 */ GIM_Reject,
     /* 2260179 */ // Label 32220: @2260179
     /* 2260179 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2260226),
     /* 2260184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2260187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260195 */   GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2260210), // Rule ID 2396 //
     /* 2260200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2260203 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2260203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2260208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260209 */     // GIR_Coverage, 2396,
     /* 2260209 */     GIR_Done,
     /* 2260210 */   // Label 32249: @2260210
     /* 2260210 */   GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2260225), // Rule ID 61875 //
     /* 2260215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2260218 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2260218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2260223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260224 */     // GIR_Coverage, 61875,
     /* 2260224 */     GIR_Done,
     /* 2260225 */   // Label 32250: @2260225
     /* 2260225 */   GIM_Reject,
     /* 2260226 */ // Label 32248: @2260226
     /* 2260226 */ GIM_Reject,
     /* 2260227 */ // Label 32221: @2260227
     /* 2260227 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2260330),
     /* 2260232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2260235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260243 */   GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2260286), // Rule ID 58370 //
     /* 2260248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260251 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2260254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2260268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260285 */     // GIR_Coverage, 58370,
     /* 2260285 */     GIR_EraseRootFromParent_Done,
     /* 2260286 */   // Label 32252: @2260286
     /* 2260286 */   GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2260329), // Rule ID 58371 //
     /* 2260291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260294 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2260297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2260311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260328 */     // GIR_Coverage, 58371,
     /* 2260328 */     GIR_EraseRootFromParent_Done,
     /* 2260329 */   // Label 32253: @2260329
     /* 2260329 */   GIM_Reject,
     /* 2260330 */ // Label 32251: @2260330
     /* 2260330 */ GIM_Reject,
     /* 2260331 */ // Label 32222: @2260331
     /* 2260331 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2260434),
     /* 2260336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2260339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260347 */   GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2260390), // Rule ID 58376 //
     /* 2260352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260355 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2260372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260389 */     // GIR_Coverage, 58376,
     /* 2260389 */     GIR_EraseRootFromParent_Done,
     /* 2260390 */   // Label 32255: @2260390
     /* 2260390 */   GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2260433), // Rule ID 58377 //
     /* 2260395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260398 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2260415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260432 */     // GIR_Coverage, 58377,
     /* 2260432 */     GIR_EraseRootFromParent_Done,
     /* 2260433 */   // Label 32256: @2260433
     /* 2260433 */   GIM_Reject,
     /* 2260434 */ // Label 32254: @2260434
     /* 2260434 */ GIM_Reject,
     /* 2260435 */ // Label 32223: @2260435
     /* 2260435 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2260538),
     /* 2260440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2260443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260451 */   GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2260494), // Rule ID 58380 //
     /* 2260456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260459 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2260476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260493 */     // GIR_Coverage, 58380,
     /* 2260493 */     GIR_EraseRootFromParent_Done,
     /* 2260494 */   // Label 32258: @2260494
     /* 2260494 */   GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2260537), // Rule ID 58381 //
     /* 2260499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260502 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2260519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260536 */     // GIR_Coverage, 58381,
     /* 2260536 */     GIR_EraseRootFromParent_Done,
     /* 2260537 */   // Label 32259: @2260537
     /* 2260537 */   GIM_Reject,
     /* 2260538 */ // Label 32257: @2260538
     /* 2260538 */ GIM_Reject,
     /* 2260539 */ // Label 32224: @2260539
     /* 2260539 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2260642),
     /* 2260544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2260547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260555 */   GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2260598), // Rule ID 58388 //
     /* 2260560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2260563 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2260580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260597 */     // GIR_Coverage, 58388,
     /* 2260597 */     GIR_EraseRootFromParent_Done,
     /* 2260598 */   // Label 32261: @2260598
     /* 2260598 */   GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2260641), // Rule ID 58389 //
     /* 2260603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2260606 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2260623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260640 */     // GIR_Coverage, 58389,
     /* 2260640 */     GIR_EraseRootFromParent_Done,
     /* 2260641 */   // Label 32262: @2260641
     /* 2260641 */   GIM_Reject,
     /* 2260642 */ // Label 32260: @2260642
     /* 2260642 */ GIM_Reject,
     /* 2260643 */ // Label 32225: @2260643
     /* 2260643 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2260746),
     /* 2260648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2260651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260659 */   GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2260702), // Rule ID 58372 //
     /* 2260664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260667 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2260684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260701 */     // GIR_Coverage, 58372,
     /* 2260701 */     GIR_EraseRootFromParent_Done,
     /* 2260702 */   // Label 32264: @2260702
     /* 2260702 */   GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2260745), // Rule ID 58373 //
     /* 2260707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260710 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2260727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260744 */     // GIR_Coverage, 58373,
     /* 2260744 */     GIR_EraseRootFromParent_Done,
     /* 2260745 */   // Label 32265: @2260745
     /* 2260745 */   GIM_Reject,
     /* 2260746 */ // Label 32263: @2260746
     /* 2260746 */ GIM_Reject,
     /* 2260747 */ // Label 32226: @2260747
     /* 2260747 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2260850),
     /* 2260752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2260755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260763 */   GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2260806), // Rule ID 58378 //
     /* 2260768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260771 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2260788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260805 */     // GIR_Coverage, 58378,
     /* 2260805 */     GIR_EraseRootFromParent_Done,
     /* 2260806 */   // Label 32267: @2260806
     /* 2260806 */   GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2260849), // Rule ID 58379 //
     /* 2260811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260814 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2260817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2260831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260848 */     // GIR_Coverage, 58379,
     /* 2260848 */     GIR_EraseRootFromParent_Done,
     /* 2260849 */   // Label 32268: @2260849
     /* 2260849 */   GIM_Reject,
     /* 2260850 */ // Label 32266: @2260850
     /* 2260850 */ GIM_Reject,
     /* 2260851 */ // Label 32227: @2260851
     /* 2260851 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2260954),
     /* 2260856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2260859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260867 */   GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2260910), // Rule ID 58386 //
     /* 2260872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2260875 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2260892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260909 */     // GIR_Coverage, 58386,
     /* 2260909 */     GIR_EraseRootFromParent_Done,
     /* 2260910 */   // Label 32270: @2260910
     /* 2260910 */   GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2260953), // Rule ID 58387 //
     /* 2260915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2260918 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2260921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2260935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260952 */     // GIR_Coverage, 58387,
     /* 2260952 */     GIR_EraseRootFromParent_Done,
     /* 2260953 */   // Label 32271: @2260953
     /* 2260953 */   GIM_Reject,
     /* 2260954 */ // Label 32269: @2260954
     /* 2260954 */ GIM_Reject,
     /* 2260955 */ // Label 32228: @2260955
     /* 2260955 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2261058),
     /* 2260960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2260963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260971 */   GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2261014), // Rule ID 58408 //
     /* 2260976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2260979 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2260982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2260996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261013 */     // GIR_Coverage, 58408,
     /* 2261013 */     GIR_EraseRootFromParent_Done,
     /* 2261014 */   // Label 32273: @2261014
     /* 2261014 */   GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2261057), // Rule ID 58409 //
     /* 2261019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2261022 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261056 */     // GIR_Coverage, 58409,
     /* 2261056 */     GIR_EraseRootFromParent_Done,
     /* 2261057 */   // Label 32274: @2261057
     /* 2261057 */   GIM_Reject,
     /* 2261058 */ // Label 32272: @2261058
     /* 2261058 */ GIM_Reject,
     /* 2261059 */ // Label 32229: @2261059
     /* 2261059 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2261162),
     /* 2261064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2261067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261075 */   GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2261118), // Rule ID 58374 //
     /* 2261080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261083 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2261100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261117 */     // GIR_Coverage, 58374,
     /* 2261117 */     GIR_EraseRootFromParent_Done,
     /* 2261118 */   // Label 32276: @2261118
     /* 2261118 */   GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2261161), // Rule ID 58375 //
     /* 2261123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261126 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2261143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261160 */     // GIR_Coverage, 58375,
     /* 2261160 */     GIR_EraseRootFromParent_Done,
     /* 2261161 */   // Label 32277: @2261161
     /* 2261161 */   GIM_Reject,
     /* 2261162 */ // Label 32275: @2261162
     /* 2261162 */ GIM_Reject,
     /* 2261163 */ // Label 32230: @2261163
     /* 2261163 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2261266),
     /* 2261168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2261171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261179 */   GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2261222), // Rule ID 58384 //
     /* 2261184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261187 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2261204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261221 */     // GIR_Coverage, 58384,
     /* 2261221 */     GIR_EraseRootFromParent_Done,
     /* 2261222 */   // Label 32279: @2261222
     /* 2261222 */   GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2261265), // Rule ID 58385 //
     /* 2261227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261230 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2261247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261264 */     // GIR_Coverage, 58385,
     /* 2261264 */     GIR_EraseRootFromParent_Done,
     /* 2261265 */   // Label 32280: @2261265
     /* 2261265 */   GIM_Reject,
     /* 2261266 */ // Label 32278: @2261266
     /* 2261266 */ GIM_Reject,
     /* 2261267 */ // Label 32231: @2261267
     /* 2261267 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2261370),
     /* 2261272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2261275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261283 */   GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2261326), // Rule ID 58402 //
     /* 2261288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261291 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261325 */     // GIR_Coverage, 58402,
     /* 2261325 */     GIR_EraseRootFromParent_Done,
     /* 2261326 */   // Label 32282: @2261326
     /* 2261326 */   GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2261369), // Rule ID 58403 //
     /* 2261331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261334 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261368 */     // GIR_Coverage, 58403,
     /* 2261368 */     GIR_EraseRootFromParent_Done,
     /* 2261369 */   // Label 32283: @2261369
     /* 2261369 */   GIM_Reject,
     /* 2261370 */ // Label 32281: @2261370
     /* 2261370 */ GIM_Reject,
     /* 2261371 */ // Label 32232: @2261371
     /* 2261371 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2261474),
     /* 2261376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2261379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261387 */   GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2261430), // Rule ID 58410 //
     /* 2261392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2261395 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2261412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261429 */     // GIR_Coverage, 58410,
     /* 2261429 */     GIR_EraseRootFromParent_Done,
     /* 2261430 */   // Label 32285: @2261430
     /* 2261430 */   GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2261473), // Rule ID 58411 //
     /* 2261435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2261438 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2261455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261472 */     // GIR_Coverage, 58411,
     /* 2261472 */     GIR_EraseRootFromParent_Done,
     /* 2261473 */   // Label 32286: @2261473
     /* 2261473 */   GIM_Reject,
     /* 2261474 */ // Label 32284: @2261474
     /* 2261474 */ GIM_Reject,
     /* 2261475 */ // Label 32233: @2261475
     /* 2261475 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2261578),
     /* 2261480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2261483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261491 */   GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2261534), // Rule ID 58382 //
     /* 2261496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261499 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2261516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261533 */     // GIR_Coverage, 58382,
     /* 2261533 */     GIR_EraseRootFromParent_Done,
     /* 2261534 */   // Label 32288: @2261534
     /* 2261534 */   GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2261577), // Rule ID 58383 //
     /* 2261539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261542 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2261559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261576 */     // GIR_Coverage, 58383,
     /* 2261576 */     GIR_EraseRootFromParent_Done,
     /* 2261577 */   // Label 32289: @2261577
     /* 2261577 */   GIM_Reject,
     /* 2261578 */ // Label 32287: @2261578
     /* 2261578 */ GIM_Reject,
     /* 2261579 */ // Label 32234: @2261579
     /* 2261579 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2261682),
     /* 2261584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2261587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261595 */   GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2261638), // Rule ID 58396 //
     /* 2261600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261603 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261637 */     // GIR_Coverage, 58396,
     /* 2261637 */     GIR_EraseRootFromParent_Done,
     /* 2261638 */   // Label 32291: @2261638
     /* 2261638 */   GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2261681), // Rule ID 58397 //
     /* 2261643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261646 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261680 */     // GIR_Coverage, 58397,
     /* 2261680 */     GIR_EraseRootFromParent_Done,
     /* 2261681 */   // Label 32292: @2261681
     /* 2261681 */   GIM_Reject,
     /* 2261682 */ // Label 32290: @2261682
     /* 2261682 */ GIM_Reject,
     /* 2261683 */ // Label 32235: @2261683
     /* 2261683 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2261786),
     /* 2261688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2261691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261699 */   GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2261742), // Rule ID 58404 //
     /* 2261704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261707 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2261710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2261724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261741 */     // GIR_Coverage, 58404,
     /* 2261741 */     GIR_EraseRootFromParent_Done,
     /* 2261742 */   // Label 32294: @2261742
     /* 2261742 */   GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2261785), // Rule ID 58405 //
     /* 2261747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261750 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2261753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2261767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261784 */     // GIR_Coverage, 58405,
     /* 2261784 */     GIR_EraseRootFromParent_Done,
     /* 2261785 */   // Label 32295: @2261785
     /* 2261785 */   GIM_Reject,
     /* 2261786 */ // Label 32293: @2261786
     /* 2261786 */ GIM_Reject,
     /* 2261787 */ // Label 32236: @2261787
     /* 2261787 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2261890),
     /* 2261792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2261795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261803 */   GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2261846), // Rule ID 58412 //
     /* 2261808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2261811 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2261828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261845 */     // GIR_Coverage, 58412,
     /* 2261845 */     GIR_EraseRootFromParent_Done,
     /* 2261846 */   // Label 32297: @2261846
     /* 2261846 */   GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2261889), // Rule ID 58413 //
     /* 2261851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2261854 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2261871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261888 */     // GIR_Coverage, 58413,
     /* 2261888 */     GIR_EraseRootFromParent_Done,
     /* 2261889 */   // Label 32298: @2261889
     /* 2261889 */   GIM_Reject,
     /* 2261890 */ // Label 32296: @2261890
     /* 2261890 */ GIM_Reject,
     /* 2261891 */ // Label 32237: @2261891
     /* 2261891 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2261994),
     /* 2261896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2261899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261907 */   GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2261950), // Rule ID 58390 //
     /* 2261912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2261915 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2261918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261949 */     // GIR_Coverage, 58390,
     /* 2261949 */     GIR_EraseRootFromParent_Done,
     /* 2261950 */   // Label 32300: @2261950
     /* 2261950 */   GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2261993), // Rule ID 58391 //
     /* 2261955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2261958 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2261961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2261975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261992 */     // GIR_Coverage, 58391,
     /* 2261992 */     GIR_EraseRootFromParent_Done,
     /* 2261993 */   // Label 32301: @2261993
     /* 2261993 */   GIM_Reject,
     /* 2261994 */ // Label 32299: @2261994
     /* 2261994 */ GIM_Reject,
     /* 2261995 */ // Label 32238: @2261995
     /* 2261995 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2262098),
     /* 2262000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2262003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262011 */   GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2262054), // Rule ID 58398 //
     /* 2262016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2262019 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2262036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262053 */     // GIR_Coverage, 58398,
     /* 2262053 */     GIR_EraseRootFromParent_Done,
     /* 2262054 */   // Label 32303: @2262054
     /* 2262054 */   GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2262097), // Rule ID 58399 //
     /* 2262059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2262062 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2262079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262096 */     // GIR_Coverage, 58399,
     /* 2262096 */     GIR_EraseRootFromParent_Done,
     /* 2262097 */   // Label 32304: @2262097
     /* 2262097 */   GIM_Reject,
     /* 2262098 */ // Label 32302: @2262098
     /* 2262098 */ GIM_Reject,
     /* 2262099 */ // Label 32239: @2262099
     /* 2262099 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2262202),
     /* 2262104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2262107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262115 */   GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2262158), // Rule ID 58406 //
     /* 2262120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2262123 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262157 */     // GIR_Coverage, 58406,
     /* 2262157 */     GIR_EraseRootFromParent_Done,
     /* 2262158 */   // Label 32306: @2262158
     /* 2262158 */   GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2262201), // Rule ID 58407 //
     /* 2262163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2262166 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262200 */     // GIR_Coverage, 58407,
     /* 2262200 */     GIR_EraseRootFromParent_Done,
     /* 2262201 */   // Label 32307: @2262201
     /* 2262201 */   GIM_Reject,
     /* 2262202 */ // Label 32305: @2262202
     /* 2262202 */ GIM_Reject,
     /* 2262203 */ // Label 32240: @2262203
     /* 2262203 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2262306),
     /* 2262208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2262211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262219 */   GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2262262), // Rule ID 58392 //
     /* 2262224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2262227 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2262230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2262244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262261 */     // GIR_Coverage, 58392,
     /* 2262261 */     GIR_EraseRootFromParent_Done,
     /* 2262262 */   // Label 32309: @2262262
     /* 2262262 */   GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2262305), // Rule ID 58393 //
     /* 2262267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2262270 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2262273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2262287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262304 */     // GIR_Coverage, 58393,
     /* 2262304 */     GIR_EraseRootFromParent_Done,
     /* 2262305 */   // Label 32310: @2262305
     /* 2262305 */   GIM_Reject,
     /* 2262306 */ // Label 32308: @2262306
     /* 2262306 */ GIM_Reject,
     /* 2262307 */ // Label 32241: @2262307
     /* 2262307 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2262410),
     /* 2262312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2262315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262323 */   GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2262366), // Rule ID 58400 //
     /* 2262328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2262331 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262365 */     // GIR_Coverage, 58400,
     /* 2262365 */     GIR_EraseRootFromParent_Done,
     /* 2262366 */   // Label 32312: @2262366
     /* 2262366 */   GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2262409), // Rule ID 58401 //
     /* 2262371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2262374 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262408 */     // GIR_Coverage, 58401,
     /* 2262408 */     GIR_EraseRootFromParent_Done,
     /* 2262409 */   // Label 32313: @2262409
     /* 2262409 */   GIM_Reject,
     /* 2262410 */ // Label 32311: @2262410
     /* 2262410 */ GIM_Reject,
     /* 2262411 */ // Label 32242: @2262411
     /* 2262411 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2262514),
     /* 2262416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2262419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262427 */   GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2262470), // Rule ID 58394 //
     /* 2262432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2262435 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262469 */     // GIR_Coverage, 58394,
     /* 2262469 */     GIR_EraseRootFromParent_Done,
     /* 2262470 */   // Label 32315: @2262470
     /* 2262470 */   GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2262513), // Rule ID 58395 //
     /* 2262475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2262478 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2262495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262512 */     // GIR_Coverage, 58395,
     /* 2262512 */     GIR_EraseRootFromParent_Done,
     /* 2262513 */   // Label 32316: @2262513
     /* 2262513 */   GIM_Reject,
     /* 2262514 */ // Label 32314: @2262514
     /* 2262514 */ GIM_Reject,
     /* 2262515 */ // Label 32243: @2262515
     /* 2262515 */ GIM_Reject,
     /* 2262516 */ // Label 88: @2262516
     /* 2262516 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32341*/ GIMT_Encode4(2265009),
     /* 2262527 */ /*GILLT_s32*//*Label 32317*/ GIMT_Encode4(2262651),
     /* 2262531 */ /*GILLT_s64*//*Label 32318*/ GIMT_Encode4(2262686), GIMT_Encode4(0),
     /* 2262539 */ /*GILLT_nxv1s8*//*Label 32319*/ GIMT_Encode4(2262721),
     /* 2262543 */ /*GILLT_nxv1s16*//*Label 32320*/ GIMT_Encode4(2262825),
     /* 2262547 */ /*GILLT_nxv1s32*//*Label 32321*/ GIMT_Encode4(2262929),
     /* 2262551 */ /*GILLT_nxv1s64*//*Label 32322*/ GIMT_Encode4(2263033), GIMT_Encode4(0),
     /* 2262559 */ /*GILLT_nxv2s8*//*Label 32323*/ GIMT_Encode4(2263137),
     /* 2262563 */ /*GILLT_nxv2s16*//*Label 32324*/ GIMT_Encode4(2263241),
     /* 2262567 */ /*GILLT_nxv2s32*//*Label 32325*/ GIMT_Encode4(2263345),
     /* 2262571 */ /*GILLT_nxv2s64*//*Label 32326*/ GIMT_Encode4(2263449), GIMT_Encode4(0),
     /* 2262579 */ /*GILLT_nxv4s8*//*Label 32327*/ GIMT_Encode4(2263553),
     /* 2262583 */ /*GILLT_nxv4s16*//*Label 32328*/ GIMT_Encode4(2263657),
     /* 2262587 */ /*GILLT_nxv4s32*//*Label 32329*/ GIMT_Encode4(2263761),
     /* 2262591 */ /*GILLT_nxv4s64*//*Label 32330*/ GIMT_Encode4(2263865), GIMT_Encode4(0),
     /* 2262599 */ /*GILLT_nxv8s8*//*Label 32331*/ GIMT_Encode4(2263969),
     /* 2262603 */ /*GILLT_nxv8s16*//*Label 32332*/ GIMT_Encode4(2264073),
     /* 2262607 */ /*GILLT_nxv8s32*//*Label 32333*/ GIMT_Encode4(2264177),
     /* 2262611 */ /*GILLT_nxv8s64*//*Label 32334*/ GIMT_Encode4(2264281), GIMT_Encode4(0),
     /* 2262619 */ /*GILLT_nxv16s8*//*Label 32335*/ GIMT_Encode4(2264385),
     /* 2262623 */ /*GILLT_nxv16s16*//*Label 32336*/ GIMT_Encode4(2264489),
     /* 2262627 */ /*GILLT_nxv16s32*//*Label 32337*/ GIMT_Encode4(2264593), GIMT_Encode4(0),
     /* 2262635 */ /*GILLT_nxv32s8*//*Label 32338*/ GIMT_Encode4(2264697),
     /* 2262639 */ /*GILLT_nxv32s16*//*Label 32339*/ GIMT_Encode4(2264801), GIMT_Encode4(0),
     /* 2262647 */ /*GILLT_nxv64s8*//*Label 32340*/ GIMT_Encode4(2264905),
     /* 2262651 */ // Label 32317: @2262651
     /* 2262651 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2262685), // Rule ID 63762 //
     /* 2262656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2262659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2262662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262670 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2262670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2262673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2262677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2262680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2262683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262684 */   // GIR_Coverage, 63762,
     /* 2262684 */   GIR_EraseRootFromParent_Done,
     /* 2262685 */ // Label 32342: @2262685
     /* 2262685 */ GIM_Reject,
     /* 2262686 */ // Label 32318: @2262686
     /* 2262686 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2262720), // Rule ID 63761 //
     /* 2262691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2262694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2262697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262705 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2262705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2262708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2262712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2262715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2262718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262719 */   // GIR_Coverage, 63761,
     /* 2262719 */   GIR_EraseRootFromParent_Done,
     /* 2262720 */ // Label 32343: @2262720
     /* 2262720 */ GIM_Reject,
     /* 2262721 */ // Label 32319: @2262721
     /* 2262721 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2262824),
     /* 2262726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2262729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262737 */   GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2262780), // Rule ID 58194 //
     /* 2262742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2262745 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2262748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2262762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262779 */     // GIR_Coverage, 58194,
     /* 2262779 */     GIR_EraseRootFromParent_Done,
     /* 2262780 */   // Label 32345: @2262780
     /* 2262780 */   GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2262823), // Rule ID 58195 //
     /* 2262785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2262788 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2262791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2262805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262822 */     // GIR_Coverage, 58195,
     /* 2262822 */     GIR_EraseRootFromParent_Done,
     /* 2262823 */   // Label 32346: @2262823
     /* 2262823 */   GIM_Reject,
     /* 2262824 */ // Label 32344: @2262824
     /* 2262824 */ GIM_Reject,
     /* 2262825 */ // Label 32320: @2262825
     /* 2262825 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2262928),
     /* 2262830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2262833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262841 */   GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2262884), // Rule ID 58332 //
     /* 2262846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2262849 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2262852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2262866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262883 */     // GIR_Coverage, 58332,
     /* 2262883 */     GIR_EraseRootFromParent_Done,
     /* 2262884 */   // Label 32348: @2262884
     /* 2262884 */   GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2262927), // Rule ID 58333 //
     /* 2262889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2262892 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2262895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2262909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262926 */     // GIR_Coverage, 58333,
     /* 2262926 */     GIR_EraseRootFromParent_Done,
     /* 2262927 */   // Label 32349: @2262927
     /* 2262927 */   GIM_Reject,
     /* 2262928 */ // Label 32347: @2262928
     /* 2262928 */ GIM_Reject,
     /* 2262929 */ // Label 32321: @2262929
     /* 2262929 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2263032),
     /* 2262934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2262937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262945 */   GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2262988), // Rule ID 58336 //
     /* 2262950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2262953 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2262956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2262970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262987 */     // GIR_Coverage, 58336,
     /* 2262987 */     GIR_EraseRootFromParent_Done,
     /* 2262988 */   // Label 32351: @2262988
     /* 2262988 */   GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2263031), // Rule ID 58337 //
     /* 2262993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2262996 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2262999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2263013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263030 */     // GIR_Coverage, 58337,
     /* 2263030 */     GIR_EraseRootFromParent_Done,
     /* 2263031 */   // Label 32352: @2263031
     /* 2263031 */   GIM_Reject,
     /* 2263032 */ // Label 32350: @2263032
     /* 2263032 */ GIM_Reject,
     /* 2263033 */ // Label 32322: @2263033
     /* 2263033 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2263136),
     /* 2263038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2263041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263049 */   GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2263092), // Rule ID 58344 //
     /* 2263054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2263057 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2263060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263091 */     // GIR_Coverage, 58344,
     /* 2263091 */     GIR_EraseRootFromParent_Done,
     /* 2263092 */   // Label 32354: @2263092
     /* 2263092 */   GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2263135), // Rule ID 58345 //
     /* 2263097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2263100 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2263103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263134 */     // GIR_Coverage, 58345,
     /* 2263134 */     GIR_EraseRootFromParent_Done,
     /* 2263135 */   // Label 32355: @2263135
     /* 2263135 */   GIM_Reject,
     /* 2263136 */ // Label 32353: @2263136
     /* 2263136 */ GIM_Reject,
     /* 2263137 */ // Label 32323: @2263137
     /* 2263137 */ GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2263240),
     /* 2263142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2263145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263153 */   GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2263196), // Rule ID 58328 //
     /* 2263158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263161 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2263164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2263178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263195 */     // GIR_Coverage, 58328,
     /* 2263195 */     GIR_EraseRootFromParent_Done,
     /* 2263196 */   // Label 32357: @2263196
     /* 2263196 */   GIM_Try, /*On fail goto*//*Label 32358*/ GIMT_Encode4(2263239), // Rule ID 58329 //
     /* 2263201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263204 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2263207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2263221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263238 */     // GIR_Coverage, 58329,
     /* 2263238 */     GIR_EraseRootFromParent_Done,
     /* 2263239 */   // Label 32358: @2263239
     /* 2263239 */   GIM_Reject,
     /* 2263240 */ // Label 32356: @2263240
     /* 2263240 */ GIM_Reject,
     /* 2263241 */ // Label 32324: @2263241
     /* 2263241 */ GIM_Try, /*On fail goto*//*Label 32359*/ GIMT_Encode4(2263344),
     /* 2263246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2263249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263257 */   GIM_Try, /*On fail goto*//*Label 32360*/ GIMT_Encode4(2263300), // Rule ID 58334 //
     /* 2263262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263265 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2263282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263299 */     // GIR_Coverage, 58334,
     /* 2263299 */     GIR_EraseRootFromParent_Done,
     /* 2263300 */   // Label 32360: @2263300
     /* 2263300 */   GIM_Try, /*On fail goto*//*Label 32361*/ GIMT_Encode4(2263343), // Rule ID 58335 //
     /* 2263305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263308 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2263325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263342 */     // GIR_Coverage, 58335,
     /* 2263342 */     GIR_EraseRootFromParent_Done,
     /* 2263343 */   // Label 32361: @2263343
     /* 2263343 */   GIM_Reject,
     /* 2263344 */ // Label 32359: @2263344
     /* 2263344 */ GIM_Reject,
     /* 2263345 */ // Label 32325: @2263345
     /* 2263345 */ GIM_Try, /*On fail goto*//*Label 32362*/ GIMT_Encode4(2263448),
     /* 2263350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2263353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263361 */   GIM_Try, /*On fail goto*//*Label 32363*/ GIMT_Encode4(2263404), // Rule ID 58342 //
     /* 2263366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263369 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263403 */     // GIR_Coverage, 58342,
     /* 2263403 */     GIR_EraseRootFromParent_Done,
     /* 2263404 */   // Label 32363: @2263404
     /* 2263404 */   GIM_Try, /*On fail goto*//*Label 32364*/ GIMT_Encode4(2263447), // Rule ID 58343 //
     /* 2263409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263412 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263446 */     // GIR_Coverage, 58343,
     /* 2263446 */     GIR_EraseRootFromParent_Done,
     /* 2263447 */   // Label 32364: @2263447
     /* 2263447 */   GIM_Reject,
     /* 2263448 */ // Label 32362: @2263448
     /* 2263448 */ GIM_Reject,
     /* 2263449 */ // Label 32326: @2263449
     /* 2263449 */ GIM_Try, /*On fail goto*//*Label 32365*/ GIMT_Encode4(2263552),
     /* 2263454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2263457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263465 */   GIM_Try, /*On fail goto*//*Label 32366*/ GIMT_Encode4(2263508), // Rule ID 58364 //
     /* 2263470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2263473 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2263476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2263490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263507 */     // GIR_Coverage, 58364,
     /* 2263507 */     GIR_EraseRootFromParent_Done,
     /* 2263508 */   // Label 32366: @2263508
     /* 2263508 */   GIM_Try, /*On fail goto*//*Label 32367*/ GIMT_Encode4(2263551), // Rule ID 58365 //
     /* 2263513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2263516 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2263519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2263533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263550 */     // GIR_Coverage, 58365,
     /* 2263550 */     GIR_EraseRootFromParent_Done,
     /* 2263551 */   // Label 32367: @2263551
     /* 2263551 */   GIM_Reject,
     /* 2263552 */ // Label 32365: @2263552
     /* 2263552 */ GIM_Reject,
     /* 2263553 */ // Label 32327: @2263553
     /* 2263553 */ GIM_Try, /*On fail goto*//*Label 32368*/ GIMT_Encode4(2263656),
     /* 2263558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2263561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263569 */   GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2263612), // Rule ID 58330 //
     /* 2263574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263577 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2263580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2263594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263611 */     // GIR_Coverage, 58330,
     /* 2263611 */     GIR_EraseRootFromParent_Done,
     /* 2263612 */   // Label 32369: @2263612
     /* 2263612 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2263655), // Rule ID 58331 //
     /* 2263617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263620 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2263623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2263637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263654 */     // GIR_Coverage, 58331,
     /* 2263654 */     GIR_EraseRootFromParent_Done,
     /* 2263655 */   // Label 32370: @2263655
     /* 2263655 */   GIM_Reject,
     /* 2263656 */ // Label 32368: @2263656
     /* 2263656 */ GIM_Reject,
     /* 2263657 */ // Label 32328: @2263657
     /* 2263657 */ GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2263760),
     /* 2263662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2263665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263673 */   GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2263716), // Rule ID 58340 //
     /* 2263678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263681 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2263684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263715 */     // GIR_Coverage, 58340,
     /* 2263715 */     GIR_EraseRootFromParent_Done,
     /* 2263716 */   // Label 32372: @2263716
     /* 2263716 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2263759), // Rule ID 58341 //
     /* 2263721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263724 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2263727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2263741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263758 */     // GIR_Coverage, 58341,
     /* 2263758 */     GIR_EraseRootFromParent_Done,
     /* 2263759 */   // Label 32373: @2263759
     /* 2263759 */   GIM_Reject,
     /* 2263760 */ // Label 32371: @2263760
     /* 2263760 */ GIM_Reject,
     /* 2263761 */ // Label 32329: @2263761
     /* 2263761 */ GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2263864),
     /* 2263766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2263769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263777 */   GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2263820), // Rule ID 58358 //
     /* 2263782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263785 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2263788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2263802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263819 */     // GIR_Coverage, 58358,
     /* 2263819 */     GIR_EraseRootFromParent_Done,
     /* 2263820 */   // Label 32375: @2263820
     /* 2263820 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2263863), // Rule ID 58359 //
     /* 2263825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2263828 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2263831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2263845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263862 */     // GIR_Coverage, 58359,
     /* 2263862 */     GIR_EraseRootFromParent_Done,
     /* 2263863 */   // Label 32376: @2263863
     /* 2263863 */   GIM_Reject,
     /* 2263864 */ // Label 32374: @2263864
     /* 2263864 */ GIM_Reject,
     /* 2263865 */ // Label 32330: @2263865
     /* 2263865 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2263968),
     /* 2263870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2263873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263881 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2263924), // Rule ID 58366 //
     /* 2263886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2263889 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2263892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2263906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263923 */     // GIR_Coverage, 58366,
     /* 2263923 */     GIR_EraseRootFromParent_Done,
     /* 2263924 */   // Label 32378: @2263924
     /* 2263924 */   GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2263967), // Rule ID 58367 //
     /* 2263929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2263932 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2263935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2263949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263966 */     // GIR_Coverage, 58367,
     /* 2263966 */     GIR_EraseRootFromParent_Done,
     /* 2263967 */   // Label 32379: @2263967
     /* 2263967 */   GIM_Reject,
     /* 2263968 */ // Label 32377: @2263968
     /* 2263968 */ GIM_Reject,
     /* 2263969 */ // Label 32331: @2263969
     /* 2263969 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2264072),
     /* 2263974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2263977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263985 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2264028), // Rule ID 58338 //
     /* 2263990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2263993 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2263996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2264010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264027 */     // GIR_Coverage, 58338,
     /* 2264027 */     GIR_EraseRootFromParent_Done,
     /* 2264028 */   // Label 32381: @2264028
     /* 2264028 */   GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2264071), // Rule ID 58339 //
     /* 2264033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264036 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2264039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2264053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264070 */     // GIR_Coverage, 58339,
     /* 2264070 */     GIR_EraseRootFromParent_Done,
     /* 2264071 */   // Label 32382: @2264071
     /* 2264071 */   GIM_Reject,
     /* 2264072 */ // Label 32380: @2264072
     /* 2264072 */ GIM_Reject,
     /* 2264073 */ // Label 32332: @2264073
     /* 2264073 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2264176),
     /* 2264078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2264081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264089 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2264132), // Rule ID 58352 //
     /* 2264094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264097 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2264100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2264114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264131 */     // GIR_Coverage, 58352,
     /* 2264131 */     GIR_EraseRootFromParent_Done,
     /* 2264132 */   // Label 32384: @2264132
     /* 2264132 */   GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2264175), // Rule ID 58353 //
     /* 2264137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264140 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2264143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2264157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264174 */     // GIR_Coverage, 58353,
     /* 2264174 */     GIR_EraseRootFromParent_Done,
     /* 2264175 */   // Label 32385: @2264175
     /* 2264175 */   GIM_Reject,
     /* 2264176 */ // Label 32383: @2264176
     /* 2264176 */ GIM_Reject,
     /* 2264177 */ // Label 32333: @2264177
     /* 2264177 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2264280),
     /* 2264182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2264185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264193 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2264236), // Rule ID 58360 //
     /* 2264198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264201 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264235 */     // GIR_Coverage, 58360,
     /* 2264235 */     GIR_EraseRootFromParent_Done,
     /* 2264236 */   // Label 32387: @2264236
     /* 2264236 */   GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2264279), // Rule ID 58361 //
     /* 2264241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264244 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264278 */     // GIR_Coverage, 58361,
     /* 2264278 */     GIR_EraseRootFromParent_Done,
     /* 2264279 */   // Label 32388: @2264279
     /* 2264279 */   GIM_Reject,
     /* 2264280 */ // Label 32386: @2264280
     /* 2264280 */ GIM_Reject,
     /* 2264281 */ // Label 32334: @2264281
     /* 2264281 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2264384),
     /* 2264286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2264289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264297 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2264340), // Rule ID 58368 //
     /* 2264302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2264305 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264339 */     // GIR_Coverage, 58368,
     /* 2264339 */     GIR_EraseRootFromParent_Done,
     /* 2264340 */   // Label 32390: @2264340
     /* 2264340 */   GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2264383), // Rule ID 58369 //
     /* 2264345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2264348 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264382 */     // GIR_Coverage, 58369,
     /* 2264382 */     GIR_EraseRootFromParent_Done,
     /* 2264383 */   // Label 32391: @2264383
     /* 2264383 */   GIM_Reject,
     /* 2264384 */ // Label 32389: @2264384
     /* 2264384 */ GIM_Reject,
     /* 2264385 */ // Label 32335: @2264385
     /* 2264385 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2264488),
     /* 2264390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2264393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264401 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2264444), // Rule ID 58346 //
     /* 2264406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264409 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2264412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2264426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264443 */     // GIR_Coverage, 58346,
     /* 2264443 */     GIR_EraseRootFromParent_Done,
     /* 2264444 */   // Label 32393: @2264444
     /* 2264444 */   GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2264487), // Rule ID 58347 //
     /* 2264449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264452 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2264455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2264469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264486 */     // GIR_Coverage, 58347,
     /* 2264486 */     GIR_EraseRootFromParent_Done,
     /* 2264487 */   // Label 32394: @2264487
     /* 2264487 */   GIM_Reject,
     /* 2264488 */ // Label 32392: @2264488
     /* 2264488 */ GIM_Reject,
     /* 2264489 */ // Label 32336: @2264489
     /* 2264489 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2264592),
     /* 2264494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2264497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264505 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2264548), // Rule ID 58354 //
     /* 2264510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264513 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2264516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264547 */     // GIR_Coverage, 58354,
     /* 2264547 */     GIR_EraseRootFromParent_Done,
     /* 2264548 */   // Label 32396: @2264548
     /* 2264548 */   GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2264591), // Rule ID 58355 //
     /* 2264553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264556 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2264559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264590 */     // GIR_Coverage, 58355,
     /* 2264590 */     GIR_EraseRootFromParent_Done,
     /* 2264591 */   // Label 32397: @2264591
     /* 2264591 */   GIM_Reject,
     /* 2264592 */ // Label 32395: @2264592
     /* 2264592 */ GIM_Reject,
     /* 2264593 */ // Label 32337: @2264593
     /* 2264593 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2264696),
     /* 2264598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2264601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264609 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2264652), // Rule ID 58362 //
     /* 2264614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264617 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2264620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264651 */     // GIR_Coverage, 58362,
     /* 2264651 */     GIR_EraseRootFromParent_Done,
     /* 2264652 */   // Label 32399: @2264652
     /* 2264652 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2264695), // Rule ID 58363 //
     /* 2264657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264660 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2264663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264694 */     // GIR_Coverage, 58363,
     /* 2264694 */     GIR_EraseRootFromParent_Done,
     /* 2264695 */   // Label 32400: @2264695
     /* 2264695 */   GIM_Reject,
     /* 2264696 */ // Label 32398: @2264696
     /* 2264696 */ GIM_Reject,
     /* 2264697 */ // Label 32338: @2264697
     /* 2264697 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2264800),
     /* 2264702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2264705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264713 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2264756), // Rule ID 58348 //
     /* 2264718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264721 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2264724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264755 */     // GIR_Coverage, 58348,
     /* 2264755 */     GIR_EraseRootFromParent_Done,
     /* 2264756 */   // Label 32402: @2264756
     /* 2264756 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2264799), // Rule ID 58349 //
     /* 2264761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264764 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2264767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2264781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264798 */     // GIR_Coverage, 58349,
     /* 2264798 */     GIR_EraseRootFromParent_Done,
     /* 2264799 */   // Label 32403: @2264799
     /* 2264799 */   GIM_Reject,
     /* 2264800 */ // Label 32401: @2264800
     /* 2264800 */ GIM_Reject,
     /* 2264801 */ // Label 32339: @2264801
     /* 2264801 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2264904),
     /* 2264806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2264809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264817 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2264860), // Rule ID 58356 //
     /* 2264822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264825 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2264828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264859 */     // GIR_Coverage, 58356,
     /* 2264859 */     GIR_EraseRootFromParent_Done,
     /* 2264860 */   // Label 32405: @2264860
     /* 2264860 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2264903), // Rule ID 58357 //
     /* 2264865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264868 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2264871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264902 */     // GIR_Coverage, 58357,
     /* 2264902 */     GIR_EraseRootFromParent_Done,
     /* 2264903 */   // Label 32406: @2264903
     /* 2264903 */   GIM_Reject,
     /* 2264904 */ // Label 32404: @2264904
     /* 2264904 */ GIM_Reject,
     /* 2264905 */ // Label 32340: @2264905
     /* 2264905 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2265008),
     /* 2264910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2264913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264921 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2264964), // Rule ID 58350 //
     /* 2264926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2264929 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2264932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264963 */     // GIR_Coverage, 58350,
     /* 2264963 */     GIR_EraseRootFromParent_Done,
     /* 2264964 */   // Label 32408: @2264964
     /* 2264964 */   GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2265007), // Rule ID 58351 //
     /* 2264969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2264972 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2264975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2264989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265006 */     // GIR_Coverage, 58351,
     /* 2265006 */     GIR_EraseRootFromParent_Done,
     /* 2265007 */   // Label 32409: @2265007
     /* 2265007 */   GIM_Reject,
     /* 2265008 */ // Label 32407: @2265008
     /* 2265008 */ GIM_Reject,
     /* 2265009 */ // Label 32341: @2265009
     /* 2265009 */ GIM_Reject,
     /* 2265010 */ // Label 89: @2265010
     /* 2265010 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32413*/ GIMT_Encode4(2265207),
     /* 2265021 */ /*GILLT_s16*//*Label 32410*/ GIMT_Encode4(2265033),
     /* 2265025 */ /*GILLT_s32*//*Label 32411*/ GIMT_Encode4(2265091),
     /* 2265029 */ /*GILLT_s64*//*Label 32412*/ GIMT_Encode4(2265149),
     /* 2265033 */ // Label 32410: @2265033
     /* 2265033 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2265090),
     /* 2265038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2265041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265049 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2265069), // Rule ID 2290 //
     /* 2265054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2265057 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2265057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2265060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265068 */     // GIR_Coverage, 2290,
     /* 2265068 */     GIR_EraseRootFromParent_Done,
     /* 2265069 */   // Label 32415: @2265069
     /* 2265069 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2265089), // Rule ID 2291 //
     /* 2265074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2265077 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2265077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2265080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265088 */     // GIR_Coverage, 2291,
     /* 2265088 */     GIR_EraseRootFromParent_Done,
     /* 2265089 */   // Label 32416: @2265089
     /* 2265089 */   GIM_Reject,
     /* 2265090 */ // Label 32414: @2265090
     /* 2265090 */ GIM_Reject,
     /* 2265091 */ // Label 32411: @2265091
     /* 2265091 */ GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2265148),
     /* 2265096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2265099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265107 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2265127), // Rule ID 2208 //
     /* 2265112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2265115 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2265115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2265118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265126 */     // GIR_Coverage, 2208,
     /* 2265126 */     GIR_EraseRootFromParent_Done,
     /* 2265127 */   // Label 32418: @2265127
     /* 2265127 */   GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2265147), // Rule ID 2209 //
     /* 2265132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2265135 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2265135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2265138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265146 */     // GIR_Coverage, 2209,
     /* 2265146 */     GIR_EraseRootFromParent_Done,
     /* 2265147 */   // Label 32419: @2265147
     /* 2265147 */   GIM_Reject,
     /* 2265148 */ // Label 32417: @2265148
     /* 2265148 */ GIM_Reject,
     /* 2265149 */ // Label 32412: @2265149
     /* 2265149 */ GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2265206),
     /* 2265154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2265157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265165 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2265185), // Rule ID 2248 //
     /* 2265170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2265173 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2265173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2265176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265184 */     // GIR_Coverage, 2248,
     /* 2265184 */     GIR_EraseRootFromParent_Done,
     /* 2265185 */   // Label 32421: @2265185
     /* 2265185 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2265205), // Rule ID 2249 //
     /* 2265190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2265193 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2265193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2265196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265204 */     // GIR_Coverage, 2249,
     /* 2265204 */     GIR_EraseRootFromParent_Done,
     /* 2265205 */   // Label 32422: @2265205
     /* 2265205 */   GIM_Reject,
     /* 2265206 */ // Label 32420: @2265206
     /* 2265206 */ GIM_Reject,
     /* 2265207 */ // Label 32413: @2265207
     /* 2265207 */ GIM_Reject,
     /* 2265208 */ // Label 90: @2265208
     /* 2265208 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32441*/ GIMT_Encode4(2267383),
     /* 2265219 */ /*GILLT_s16*//*Label 32423*/ GIMT_Encode4(2265339),
     /* 2265223 */ /*GILLT_s32*//*Label 32424*/ GIMT_Encode4(2265461),
     /* 2265227 */ /*GILLT_s64*//*Label 32425*/ GIMT_Encode4(2265583), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265239 */ /*GILLT_nxv1s16*//*Label 32426*/ GIMT_Encode4(2265733),
     /* 2265243 */ /*GILLT_nxv1s32*//*Label 32427*/ GIMT_Encode4(2265843),
     /* 2265247 */ /*GILLT_nxv1s64*//*Label 32428*/ GIMT_Encode4(2265953), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265259 */ /*GILLT_nxv2s16*//*Label 32429*/ GIMT_Encode4(2266063),
     /* 2265263 */ /*GILLT_nxv2s32*//*Label 32430*/ GIMT_Encode4(2266173),
     /* 2265267 */ /*GILLT_nxv2s64*//*Label 32431*/ GIMT_Encode4(2266283), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265279 */ /*GILLT_nxv4s16*//*Label 32432*/ GIMT_Encode4(2266393),
     /* 2265283 */ /*GILLT_nxv4s32*//*Label 32433*/ GIMT_Encode4(2266503),
     /* 2265287 */ /*GILLT_nxv4s64*//*Label 32434*/ GIMT_Encode4(2266613), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265299 */ /*GILLT_nxv8s16*//*Label 32435*/ GIMT_Encode4(2266723),
     /* 2265303 */ /*GILLT_nxv8s32*//*Label 32436*/ GIMT_Encode4(2266833),
     /* 2265307 */ /*GILLT_nxv8s64*//*Label 32437*/ GIMT_Encode4(2266943), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265319 */ /*GILLT_nxv16s16*//*Label 32438*/ GIMT_Encode4(2267053),
     /* 2265323 */ /*GILLT_nxv16s32*//*Label 32439*/ GIMT_Encode4(2267163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2265335 */ /*GILLT_nxv32s16*//*Label 32440*/ GIMT_Encode4(2267273),
     /* 2265339 */ // Label 32423: @2265339
     /* 2265339 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2265460),
     /* 2265344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2265347 */   GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2265375), // Rule ID 1848 //
     /* 2265352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2265355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265363 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2265363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2265366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265374 */     // GIR_Coverage, 1848,
     /* 2265374 */     GIR_EraseRootFromParent_Done,
     /* 2265375 */   // Label 32443: @2265375
     /* 2265375 */   GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2265403), // Rule ID 1849 //
     /* 2265380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2265383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2265391 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2265391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2265394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265402 */     // GIR_Coverage, 1849,
     /* 2265402 */     GIR_EraseRootFromParent_Done,
     /* 2265403 */   // Label 32444: @2265403
     /* 2265403 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2265431), // Rule ID 1881 //
     /* 2265408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2265411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2265415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2265419 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2265419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2265422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265430 */     // GIR_Coverage, 1881,
     /* 2265430 */     GIR_EraseRootFromParent_Done,
     /* 2265431 */   // Label 32445: @2265431
     /* 2265431 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2265459), // Rule ID 1882 //
     /* 2265436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2265439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2265443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2265447 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2265447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2265450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265458 */     // GIR_Coverage, 1882,
     /* 2265458 */     GIR_EraseRootFromParent_Done,
     /* 2265459 */   // Label 32446: @2265459
     /* 2265459 */   GIM_Reject,
     /* 2265460 */ // Label 32442: @2265460
     /* 2265460 */ GIM_Reject,
     /* 2265461 */ // Label 32424: @2265461
     /* 2265461 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2265582),
     /* 2265466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2265469 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2265497), // Rule ID 1139 //
     /* 2265474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2265477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265485 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2265485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2265488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265496 */     // GIR_Coverage, 1139,
     /* 2265496 */     GIR_EraseRootFromParent_Done,
     /* 2265497 */   // Label 32448: @2265497
     /* 2265497 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2265525), // Rule ID 1140 //
     /* 2265502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2265505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2265513 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2265513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2265516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265524 */     // GIR_Coverage, 1140,
     /* 2265524 */     GIR_EraseRootFromParent_Done,
     /* 2265525 */   // Label 32449: @2265525
     /* 2265525 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2265553), // Rule ID 1147 //
     /* 2265530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2265533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2265537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2265541 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2265541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2265544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265552 */     // GIR_Coverage, 1147,
     /* 2265552 */     GIR_EraseRootFromParent_Done,
     /* 2265553 */   // Label 32450: @2265553
     /* 2265553 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2265581), // Rule ID 1148 //
     /* 2265558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2265561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2265565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2265569 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2265569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2265572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265580 */     // GIR_Coverage, 1148,
     /* 2265580 */     GIR_EraseRootFromParent_Done,
     /* 2265581 */   // Label 32451: @2265581
     /* 2265581 */   GIM_Reject,
     /* 2265582 */ // Label 32447: @2265582
     /* 2265582 */ GIM_Reject,
     /* 2265583 */ // Label 32425: @2265583
     /* 2265583 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2265732),
     /* 2265588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2265591 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2265619), // Rule ID 1482 //
     /* 2265596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2265599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265607 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2265607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2265610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265618 */     // GIR_Coverage, 1482,
     /* 2265618 */     GIR_EraseRootFromParent_Done,
     /* 2265619 */   // Label 32453: @2265619
     /* 2265619 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2265647), // Rule ID 1483 //
     /* 2265624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2265627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2265635 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2265635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2265638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265646 */     // GIR_Coverage, 1483,
     /* 2265646 */     GIR_EraseRootFromParent_Done,
     /* 2265647 */   // Label 32454: @2265647
     /* 2265647 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2265675), // Rule ID 1516 //
     /* 2265652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2265655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265663 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2265663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2265666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265674 */     // GIR_Coverage, 1516,
     /* 2265674 */     GIR_EraseRootFromParent_Done,
     /* 2265675 */   // Label 32455: @2265675
     /* 2265675 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2265703), // Rule ID 1537 //
     /* 2265680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2265683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2265687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2265691 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2265691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2265694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265702 */     // GIR_Coverage, 1537,
     /* 2265702 */     GIR_EraseRootFromParent_Done,
     /* 2265703 */   // Label 32456: @2265703
     /* 2265703 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2265731), // Rule ID 1538 //
     /* 2265708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2265711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2265715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2265719 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2265719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2265722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265730 */     // GIR_Coverage, 1538,
     /* 2265730 */     GIR_EraseRootFromParent_Done,
     /* 2265731 */   // Label 32457: @2265731
     /* 2265731 */   GIM_Reject,
     /* 2265732 */ // Label 32452: @2265732
     /* 2265732 */ GIM_Reject,
     /* 2265733 */ // Label 32426: @2265733
     /* 2265733 */ GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2265842),
     /* 2265738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2265741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265749 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2265795), // Rule ID 55692 //
     /* 2265754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2265757 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2265760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2265774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2265781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265794 */     // GIR_Coverage, 55692,
     /* 2265794 */     GIR_EraseRootFromParent_Done,
     /* 2265795 */   // Label 32459: @2265795
     /* 2265795 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2265841), // Rule ID 55693 //
     /* 2265800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2265803 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2265806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2265820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2265827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265840 */     // GIR_Coverage, 55693,
     /* 2265840 */     GIR_EraseRootFromParent_Done,
     /* 2265841 */   // Label 32460: @2265841
     /* 2265841 */   GIM_Reject,
     /* 2265842 */ // Label 32458: @2265842
     /* 2265842 */ GIM_Reject,
     /* 2265843 */ // Label 32427: @2265843
     /* 2265843 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2265952),
     /* 2265848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2265851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265859 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2265905), // Rule ID 55732 //
     /* 2265864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2265867 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2265870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2265884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2265891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265904 */     // GIR_Coverage, 55732,
     /* 2265904 */     GIR_EraseRootFromParent_Done,
     /* 2265905 */   // Label 32462: @2265905
     /* 2265905 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2265951), // Rule ID 55733 //
     /* 2265910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265913 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2265916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2265930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2265937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2265940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265950 */     // GIR_Coverage, 55733,
     /* 2265950 */     GIR_EraseRootFromParent_Done,
     /* 2265951 */   // Label 32463: @2265951
     /* 2265951 */   GIM_Reject,
     /* 2265952 */ // Label 32461: @2265952
     /* 2265952 */ GIM_Reject,
     /* 2265953 */ // Label 32428: @2265953
     /* 2265953 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2266062),
     /* 2265958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2265961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265969 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2266015), // Rule ID 55792 //
     /* 2265974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265977 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2265980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2265994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266014 */     // GIR_Coverage, 55792,
     /* 2266014 */     GIR_EraseRootFromParent_Done,
     /* 2266015 */   // Label 32465: @2266015
     /* 2266015 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2266061), // Rule ID 55793 //
     /* 2266020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266023 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2266040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266060 */     // GIR_Coverage, 55793,
     /* 2266060 */     GIR_EraseRootFromParent_Done,
     /* 2266061 */   // Label 32466: @2266061
     /* 2266061 */   GIM_Reject,
     /* 2266062 */ // Label 32464: @2266062
     /* 2266062 */ GIM_Reject,
     /* 2266063 */ // Label 32429: @2266063
     /* 2266063 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2266172),
     /* 2266068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2266071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266079 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2266125), // Rule ID 55712 //
     /* 2266084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266087 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2266090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2266104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266124 */     // GIR_Coverage, 55712,
     /* 2266124 */     GIR_EraseRootFromParent_Done,
     /* 2266125 */   // Label 32468: @2266125
     /* 2266125 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2266171), // Rule ID 55713 //
     /* 2266130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266133 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2266136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2266150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266170 */     // GIR_Coverage, 55713,
     /* 2266170 */     GIR_EraseRootFromParent_Done,
     /* 2266171 */   // Label 32469: @2266171
     /* 2266171 */   GIM_Reject,
     /* 2266172 */ // Label 32467: @2266172
     /* 2266172 */ GIM_Reject,
     /* 2266173 */ // Label 32430: @2266173
     /* 2266173 */ GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2266282),
     /* 2266178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2266181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266189 */   GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2266235), // Rule ID 55772 //
     /* 2266194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266197 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2266200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2266214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266234 */     // GIR_Coverage, 55772,
     /* 2266234 */     GIR_EraseRootFromParent_Done,
     /* 2266235 */   // Label 32471: @2266235
     /* 2266235 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2266281), // Rule ID 55773 //
     /* 2266240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266243 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2266246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2266260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266280 */     // GIR_Coverage, 55773,
     /* 2266280 */     GIR_EraseRootFromParent_Done,
     /* 2266281 */   // Label 32472: @2266281
     /* 2266281 */   GIM_Reject,
     /* 2266282 */ // Label 32470: @2266282
     /* 2266282 */ GIM_Reject,
     /* 2266283 */ // Label 32431: @2266283
     /* 2266283 */ GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2266392),
     /* 2266288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2266291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266299 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2266345), // Rule ID 55932 //
     /* 2266304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266307 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2266310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2266324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266344 */     // GIR_Coverage, 55932,
     /* 2266344 */     GIR_EraseRootFromParent_Done,
     /* 2266345 */   // Label 32474: @2266345
     /* 2266345 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2266391), // Rule ID 55933 //
     /* 2266350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266353 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2266356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2266370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266390 */     // GIR_Coverage, 55933,
     /* 2266390 */     GIR_EraseRootFromParent_Done,
     /* 2266391 */   // Label 32475: @2266391
     /* 2266391 */   GIM_Reject,
     /* 2266392 */ // Label 32473: @2266392
     /* 2266392 */ GIM_Reject,
     /* 2266393 */ // Label 32432: @2266393
     /* 2266393 */ GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2266502),
     /* 2266398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2266401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266409 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2266455), // Rule ID 55752 //
     /* 2266414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266417 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2266420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2266434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266454 */     // GIR_Coverage, 55752,
     /* 2266454 */     GIR_EraseRootFromParent_Done,
     /* 2266455 */   // Label 32477: @2266455
     /* 2266455 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2266501), // Rule ID 55753 //
     /* 2266460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266463 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2266466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2266480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266500 */     // GIR_Coverage, 55753,
     /* 2266500 */     GIR_EraseRootFromParent_Done,
     /* 2266501 */   // Label 32478: @2266501
     /* 2266501 */   GIM_Reject,
     /* 2266502 */ // Label 32476: @2266502
     /* 2266502 */ GIM_Reject,
     /* 2266503 */ // Label 32433: @2266503
     /* 2266503 */ GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2266612),
     /* 2266508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2266511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266519 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2266565), // Rule ID 55872 //
     /* 2266524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266527 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2266530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2266544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266564 */     // GIR_Coverage, 55872,
     /* 2266564 */     GIR_EraseRootFromParent_Done,
     /* 2266565 */   // Label 32480: @2266565
     /* 2266565 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2266611), // Rule ID 55873 //
     /* 2266570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266573 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2266576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2266590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266610 */     // GIR_Coverage, 55873,
     /* 2266610 */     GIR_EraseRootFromParent_Done,
     /* 2266611 */   // Label 32481: @2266611
     /* 2266611 */   GIM_Reject,
     /* 2266612 */ // Label 32479: @2266612
     /* 2266612 */ GIM_Reject,
     /* 2266613 */ // Label 32434: @2266613
     /* 2266613 */ GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2266722),
     /* 2266618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2266621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266629 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2266675), // Rule ID 55952 //
     /* 2266634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266637 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2266654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266674 */     // GIR_Coverage, 55952,
     /* 2266674 */     GIR_EraseRootFromParent_Done,
     /* 2266675 */   // Label 32483: @2266675
     /* 2266675 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2266721), // Rule ID 55953 //
     /* 2266680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2266683 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2266700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266720 */     // GIR_Coverage, 55953,
     /* 2266720 */     GIR_EraseRootFromParent_Done,
     /* 2266721 */   // Label 32484: @2266721
     /* 2266721 */   GIM_Reject,
     /* 2266722 */ // Label 32482: @2266722
     /* 2266722 */ GIM_Reject,
     /* 2266723 */ // Label 32435: @2266723
     /* 2266723 */ GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2266832),
     /* 2266728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2266731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266739 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2266785), // Rule ID 55812 //
     /* 2266744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266747 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2266764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266784 */     // GIR_Coverage, 55812,
     /* 2266784 */     GIR_EraseRootFromParent_Done,
     /* 2266785 */   // Label 32486: @2266785
     /* 2266785 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2266831), // Rule ID 55813 //
     /* 2266790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266793 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2266810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266830 */     // GIR_Coverage, 55813,
     /* 2266830 */     GIR_EraseRootFromParent_Done,
     /* 2266831 */   // Label 32487: @2266831
     /* 2266831 */   GIM_Reject,
     /* 2266832 */ // Label 32485: @2266832
     /* 2266832 */ GIM_Reject,
     /* 2266833 */ // Label 32436: @2266833
     /* 2266833 */ GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2266942),
     /* 2266838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2266841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266849 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2266895), // Rule ID 55892 //
     /* 2266854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266857 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2266874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266894 */     // GIR_Coverage, 55892,
     /* 2266894 */     GIR_EraseRootFromParent_Done,
     /* 2266895 */   // Label 32489: @2266895
     /* 2266895 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2266941), // Rule ID 55893 //
     /* 2266900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266903 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2266920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266940 */     // GIR_Coverage, 55893,
     /* 2266940 */     GIR_EraseRootFromParent_Done,
     /* 2266941 */   // Label 32490: @2266941
     /* 2266941 */   GIM_Reject,
     /* 2266942 */ // Label 32488: @2266942
     /* 2266942 */ GIM_Reject,
     /* 2266943 */ // Label 32437: @2266943
     /* 2266943 */ GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2267052),
     /* 2266948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2266951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266959 */   GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2267005), // Rule ID 55972 //
     /* 2266964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2266967 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2266984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2266991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2266994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267004 */     // GIR_Coverage, 55972,
     /* 2267004 */     GIR_EraseRootFromParent_Done,
     /* 2267005 */   // Label 32492: @2267005
     /* 2267005 */   GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2267051), // Rule ID 55973 //
     /* 2267010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2267013 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2267016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2267030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267050 */     // GIR_Coverage, 55973,
     /* 2267050 */     GIR_EraseRootFromParent_Done,
     /* 2267051 */   // Label 32493: @2267051
     /* 2267051 */   GIM_Reject,
     /* 2267052 */ // Label 32491: @2267052
     /* 2267052 */ GIM_Reject,
     /* 2267053 */ // Label 32438: @2267053
     /* 2267053 */ GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2267162),
     /* 2267058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2267061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267069 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2267115), // Rule ID 55832 //
     /* 2267074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267077 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2267094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267114 */     // GIR_Coverage, 55832,
     /* 2267114 */     GIR_EraseRootFromParent_Done,
     /* 2267115 */   // Label 32495: @2267115
     /* 2267115 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2267161), // Rule ID 55833 //
     /* 2267120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267123 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2267140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267160 */     // GIR_Coverage, 55833,
     /* 2267160 */     GIR_EraseRootFromParent_Done,
     /* 2267161 */   // Label 32496: @2267161
     /* 2267161 */   GIM_Reject,
     /* 2267162 */ // Label 32494: @2267162
     /* 2267162 */ GIM_Reject,
     /* 2267163 */ // Label 32439: @2267163
     /* 2267163 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2267272),
     /* 2267168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2267171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267179 */   GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2267225), // Rule ID 55912 //
     /* 2267184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2267187 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2267204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267224 */     // GIR_Coverage, 55912,
     /* 2267224 */     GIR_EraseRootFromParent_Done,
     /* 2267225 */   // Label 32498: @2267225
     /* 2267225 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2267271), // Rule ID 55913 //
     /* 2267230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267233 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2267250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267270 */     // GIR_Coverage, 55913,
     /* 2267270 */     GIR_EraseRootFromParent_Done,
     /* 2267271 */   // Label 32499: @2267271
     /* 2267271 */   GIM_Reject,
     /* 2267272 */ // Label 32497: @2267272
     /* 2267272 */ GIM_Reject,
     /* 2267273 */ // Label 32440: @2267273
     /* 2267273 */ GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2267382),
     /* 2267278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2267281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267289 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2267335), // Rule ID 55852 //
     /* 2267294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267297 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2267314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267334 */     // GIR_Coverage, 55852,
     /* 2267334 */     GIR_EraseRootFromParent_Done,
     /* 2267335 */   // Label 32501: @2267335
     /* 2267335 */   GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2267381), // Rule ID 55853 //
     /* 2267340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267343 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2267360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2267367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267380 */     // GIR_Coverage, 55853,
     /* 2267380 */     GIR_EraseRootFromParent_Done,
     /* 2267381 */   // Label 32502: @2267381
     /* 2267381 */   GIM_Reject,
     /* 2267382 */ // Label 32500: @2267382
     /* 2267382 */ GIM_Reject,
     /* 2267383 */ // Label 32441: @2267383
     /* 2267383 */ GIM_Reject,
     /* 2267384 */ // Label 91: @2267384
     /* 2267384 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32506*/ GIMT_Encode4(2267581),
     /* 2267395 */ /*GILLT_s16*//*Label 32503*/ GIMT_Encode4(2267407),
     /* 2267399 */ /*GILLT_s32*//*Label 32504*/ GIMT_Encode4(2267465),
     /* 2267403 */ /*GILLT_s64*//*Label 32505*/ GIMT_Encode4(2267523),
     /* 2267407 */ // Label 32503: @2267407
     /* 2267407 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2267464),
     /* 2267412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2267415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267423 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2267443), // Rule ID 2286 //
     /* 2267428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2267431 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2267431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2267434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267442 */     // GIR_Coverage, 2286,
     /* 2267442 */     GIR_EraseRootFromParent_Done,
     /* 2267443 */   // Label 32508: @2267443
     /* 2267443 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2267463), // Rule ID 2287 //
     /* 2267448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2267451 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2267451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2267454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267462 */     // GIR_Coverage, 2287,
     /* 2267462 */     GIR_EraseRootFromParent_Done,
     /* 2267463 */   // Label 32509: @2267463
     /* 2267463 */   GIM_Reject,
     /* 2267464 */ // Label 32507: @2267464
     /* 2267464 */ GIM_Reject,
     /* 2267465 */ // Label 32504: @2267465
     /* 2267465 */ GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2267522),
     /* 2267470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2267473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267481 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2267501), // Rule ID 2204 //
     /* 2267486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2267489 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2267489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2267492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267500 */     // GIR_Coverage, 2204,
     /* 2267500 */     GIR_EraseRootFromParent_Done,
     /* 2267501 */   // Label 32511: @2267501
     /* 2267501 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2267521), // Rule ID 2205 //
     /* 2267506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2267509 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2267509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2267512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267520 */     // GIR_Coverage, 2205,
     /* 2267520 */     GIR_EraseRootFromParent_Done,
     /* 2267521 */   // Label 32512: @2267521
     /* 2267521 */   GIM_Reject,
     /* 2267522 */ // Label 32510: @2267522
     /* 2267522 */ GIM_Reject,
     /* 2267523 */ // Label 32505: @2267523
     /* 2267523 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2267580),
     /* 2267528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2267531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267539 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2267559), // Rule ID 2244 //
     /* 2267544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2267547 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2267547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2267550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267558 */     // GIR_Coverage, 2244,
     /* 2267558 */     GIR_EraseRootFromParent_Done,
     /* 2267559 */   // Label 32514: @2267559
     /* 2267559 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2267579), // Rule ID 2245 //
     /* 2267564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2267567 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2267567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2267570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2267577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267578 */     // GIR_Coverage, 2245,
     /* 2267578 */     GIR_EraseRootFromParent_Done,
     /* 2267579 */   // Label 32515: @2267579
     /* 2267579 */   GIM_Reject,
     /* 2267580 */ // Label 32513: @2267580
     /* 2267580 */ GIM_Reject,
     /* 2267581 */ // Label 32506: @2267581
     /* 2267581 */ GIM_Reject,
     /* 2267582 */ // Label 92: @2267582
     /* 2267582 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32519*/ GIMT_Encode4(2267779),
     /* 2267593 */ /*GILLT_s16*//*Label 32516*/ GIMT_Encode4(2267605),
     /* 2267597 */ /*GILLT_s32*//*Label 32517*/ GIMT_Encode4(2267663),
     /* 2267601 */ /*GILLT_s64*//*Label 32518*/ GIMT_Encode4(2267721),
     /* 2267605 */ // Label 32516: @2267605
     /* 2267605 */ GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2267662),
     /* 2267610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2267613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267621 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2267641), // Rule ID 2270 //
     /* 2267626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2267629 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2267629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2267632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267640 */     // GIR_Coverage, 2270,
     /* 2267640 */     GIR_EraseRootFromParent_Done,
     /* 2267641 */   // Label 32521: @2267641
     /* 2267641 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2267661), // Rule ID 2271 //
     /* 2267646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2267649 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2267649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2267652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267660 */     // GIR_Coverage, 2271,
     /* 2267660 */     GIR_EraseRootFromParent_Done,
     /* 2267661 */   // Label 32522: @2267661
     /* 2267661 */   GIM_Reject,
     /* 2267662 */ // Label 32520: @2267662
     /* 2267662 */ GIM_Reject,
     /* 2267663 */ // Label 32517: @2267663
     /* 2267663 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2267720),
     /* 2267668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2267671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267679 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2267699), // Rule ID 2188 //
     /* 2267684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2267687 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2267687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2267690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267698 */     // GIR_Coverage, 2188,
     /* 2267698 */     GIR_EraseRootFromParent_Done,
     /* 2267699 */   // Label 32524: @2267699
     /* 2267699 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2267719), // Rule ID 2189 //
     /* 2267704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2267707 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2267707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2267710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267718 */     // GIR_Coverage, 2189,
     /* 2267718 */     GIR_EraseRootFromParent_Done,
     /* 2267719 */   // Label 32525: @2267719
     /* 2267719 */   GIM_Reject,
     /* 2267720 */ // Label 32523: @2267720
     /* 2267720 */ GIM_Reject,
     /* 2267721 */ // Label 32518: @2267721
     /* 2267721 */ GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2267778),
     /* 2267726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2267729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267737 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2267757), // Rule ID 2228 //
     /* 2267742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2267745 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2267745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2267748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267756 */     // GIR_Coverage, 2228,
     /* 2267756 */     GIR_EraseRootFromParent_Done,
     /* 2267757 */   // Label 32527: @2267757
     /* 2267757 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2267777), // Rule ID 2229 //
     /* 2267762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2267765 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2267765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2267768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267776 */     // GIR_Coverage, 2229,
     /* 2267776 */     GIR_EraseRootFromParent_Done,
     /* 2267777 */   // Label 32528: @2267777
     /* 2267777 */   GIM_Reject,
     /* 2267778 */ // Label 32526: @2267778
     /* 2267778 */ GIM_Reject,
     /* 2267779 */ // Label 32519: @2267779
     /* 2267779 */ GIM_Reject,
     /* 2267780 */ // Label 93: @2267780
     /* 2267780 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32532*/ GIMT_Encode4(2267977),
     /* 2267791 */ /*GILLT_s16*//*Label 32529*/ GIMT_Encode4(2267803),
     /* 2267795 */ /*GILLT_s32*//*Label 32530*/ GIMT_Encode4(2267861),
     /* 2267799 */ /*GILLT_s64*//*Label 32531*/ GIMT_Encode4(2267919),
     /* 2267803 */ // Label 32529: @2267803
     /* 2267803 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2267860),
     /* 2267808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2267811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267819 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2267839), // Rule ID 2274 //
     /* 2267824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2267827 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2267827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2267830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267838 */     // GIR_Coverage, 2274,
     /* 2267838 */     GIR_EraseRootFromParent_Done,
     /* 2267839 */   // Label 32534: @2267839
     /* 2267839 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2267859), // Rule ID 2275 //
     /* 2267844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2267847 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2267847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2267850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267858 */     // GIR_Coverage, 2275,
     /* 2267858 */     GIR_EraseRootFromParent_Done,
     /* 2267859 */   // Label 32535: @2267859
     /* 2267859 */   GIM_Reject,
     /* 2267860 */ // Label 32533: @2267860
     /* 2267860 */ GIM_Reject,
     /* 2267861 */ // Label 32530: @2267861
     /* 2267861 */ GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2267918),
     /* 2267866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2267869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267877 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2267897), // Rule ID 2192 //
     /* 2267882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2267885 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2267885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2267888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267896 */     // GIR_Coverage, 2192,
     /* 2267896 */     GIR_EraseRootFromParent_Done,
     /* 2267897 */   // Label 32537: @2267897
     /* 2267897 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2267917), // Rule ID 2193 //
     /* 2267902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2267905 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2267905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2267908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267916 */     // GIR_Coverage, 2193,
     /* 2267916 */     GIR_EraseRootFromParent_Done,
     /* 2267917 */   // Label 32538: @2267917
     /* 2267917 */   GIM_Reject,
     /* 2267918 */ // Label 32536: @2267918
     /* 2267918 */ GIM_Reject,
     /* 2267919 */ // Label 32531: @2267919
     /* 2267919 */ GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2267976),
     /* 2267924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2267927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267935 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2267955), // Rule ID 2232 //
     /* 2267940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2267943 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2267943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2267946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267954 */     // GIR_Coverage, 2232,
     /* 2267954 */     GIR_EraseRootFromParent_Done,
     /* 2267955 */   // Label 32540: @2267955
     /* 2267955 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2267975), // Rule ID 2233 //
     /* 2267960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2267963 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2267963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2267966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2267973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267974 */     // GIR_Coverage, 2233,
     /* 2267974 */     GIR_EraseRootFromParent_Done,
     /* 2267975 */   // Label 32541: @2267975
     /* 2267975 */   GIM_Reject,
     /* 2267976 */ // Label 32539: @2267976
     /* 2267976 */ GIM_Reject,
     /* 2267977 */ // Label 32532: @2267977
     /* 2267977 */ GIM_Reject,
     /* 2267978 */ // Label 94: @2267978
     /* 2267978 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32560*/ GIMT_Encode4(2270405),
     /* 2267989 */ /*GILLT_s16*//*Label 32542*/ GIMT_Encode4(2268109),
     /* 2267993 */ /*GILLT_s32*//*Label 32543*/ GIMT_Encode4(2268258),
     /* 2267997 */ /*GILLT_s64*//*Label 32544*/ GIMT_Encode4(2268407), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268009 */ /*GILLT_nxv1s16*//*Label 32545*/ GIMT_Encode4(2268590),
     /* 2268013 */ /*GILLT_nxv1s32*//*Label 32546*/ GIMT_Encode4(2268711),
     /* 2268017 */ /*GILLT_nxv1s64*//*Label 32547*/ GIMT_Encode4(2268832), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268029 */ /*GILLT_nxv2s16*//*Label 32548*/ GIMT_Encode4(2268953),
     /* 2268033 */ /*GILLT_nxv2s32*//*Label 32549*/ GIMT_Encode4(2269074),
     /* 2268037 */ /*GILLT_nxv2s64*//*Label 32550*/ GIMT_Encode4(2269195), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268049 */ /*GILLT_nxv4s16*//*Label 32551*/ GIMT_Encode4(2269316),
     /* 2268053 */ /*GILLT_nxv4s32*//*Label 32552*/ GIMT_Encode4(2269437),
     /* 2268057 */ /*GILLT_nxv4s64*//*Label 32553*/ GIMT_Encode4(2269558), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268069 */ /*GILLT_nxv8s16*//*Label 32554*/ GIMT_Encode4(2269679),
     /* 2268073 */ /*GILLT_nxv8s32*//*Label 32555*/ GIMT_Encode4(2269800),
     /* 2268077 */ /*GILLT_nxv8s64*//*Label 32556*/ GIMT_Encode4(2269921), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268089 */ /*GILLT_nxv16s16*//*Label 32557*/ GIMT_Encode4(2270042),
     /* 2268093 */ /*GILLT_nxv16s32*//*Label 32558*/ GIMT_Encode4(2270163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2268105 */ /*GILLT_nxv32s16*//*Label 32559*/ GIMT_Encode4(2270284),
     /* 2268109 */ // Label 32542: @2268109
     /* 2268109 */ GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2268257),
     /* 2268114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2268117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2268120 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2268154), // Rule ID 1814 //
     /* 2268125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2268128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268140 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2268140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2268143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268153 */     // GIR_Coverage, 1814,
     /* 2268153 */     GIR_EraseRootFromParent_Done,
     /* 2268154 */   // Label 32562: @2268154
     /* 2268154 */   GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2268188), // Rule ID 1815 //
     /* 2268159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2268162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2268174 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2268174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2268177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268187 */     // GIR_Coverage, 1815,
     /* 2268187 */     GIR_EraseRootFromParent_Done,
     /* 2268188 */   // Label 32563: @2268188
     /* 2268188 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2268222), // Rule ID 1818 //
     /* 2268193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2268196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268208 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2268208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2268211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268221 */     // GIR_Coverage, 1818,
     /* 2268221 */     GIR_EraseRootFromParent_Done,
     /* 2268222 */   // Label 32564: @2268222
     /* 2268222 */   GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2268256), // Rule ID 1819 //
     /* 2268227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2268230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2268242 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2268242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2268245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268255 */     // GIR_Coverage, 1819,
     /* 2268255 */     GIR_EraseRootFromParent_Done,
     /* 2268256 */   // Label 32565: @2268256
     /* 2268256 */   GIM_Reject,
     /* 2268257 */ // Label 32561: @2268257
     /* 2268257 */ GIM_Reject,
     /* 2268258 */ // Label 32543: @2268258
     /* 2268258 */ GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2268406),
     /* 2268263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2268266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2268269 */   GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2268303), // Rule ID 1105 //
     /* 2268274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2268277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268289 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2268289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2268292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268302 */     // GIR_Coverage, 1105,
     /* 2268302 */     GIR_EraseRootFromParent_Done,
     /* 2268303 */   // Label 32567: @2268303
     /* 2268303 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2268337), // Rule ID 1106 //
     /* 2268308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2268311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268323 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2268323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2268326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268336 */     // GIR_Coverage, 1106,
     /* 2268336 */     GIR_EraseRootFromParent_Done,
     /* 2268337 */   // Label 32568: @2268337
     /* 2268337 */   GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2268371), // Rule ID 1109 //
     /* 2268342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2268345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268357 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2268357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2268360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268370 */     // GIR_Coverage, 1109,
     /* 2268370 */     GIR_EraseRootFromParent_Done,
     /* 2268371 */   // Label 32569: @2268371
     /* 2268371 */   GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2268405), // Rule ID 1110 //
     /* 2268376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2268379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2268391 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2268391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2268394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268404 */     // GIR_Coverage, 1110,
     /* 2268404 */     GIR_EraseRootFromParent_Done,
     /* 2268405 */   // Label 32570: @2268405
     /* 2268405 */   GIM_Reject,
     /* 2268406 */ // Label 32566: @2268406
     /* 2268406 */ GIM_Reject,
     /* 2268407 */ // Label 32544: @2268407
     /* 2268407 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2268589),
     /* 2268412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2268415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2268418 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2268452), // Rule ID 1440 //
     /* 2268423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2268426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268438 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2268438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2268441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268451 */     // GIR_Coverage, 1440,
     /* 2268451 */     GIR_EraseRootFromParent_Done,
     /* 2268452 */   // Label 32572: @2268452
     /* 2268452 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2268486), // Rule ID 1441 //
     /* 2268457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2268460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268472 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2268472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2268475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268485 */     // GIR_Coverage, 1441,
     /* 2268485 */     GIR_EraseRootFromParent_Done,
     /* 2268486 */   // Label 32573: @2268486
     /* 2268486 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2268520), // Rule ID 1444 //
     /* 2268491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2268494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268506 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2268506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2268509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268519 */     // GIR_Coverage, 1444,
     /* 2268519 */     GIR_EraseRootFromParent_Done,
     /* 2268520 */   // Label 32574: @2268520
     /* 2268520 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2268554), // Rule ID 1445 //
     /* 2268525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2268528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2268540 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2268540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2268543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268553 */     // GIR_Coverage, 1445,
     /* 2268553 */     GIR_EraseRootFromParent_Done,
     /* 2268554 */   // Label 32575: @2268554
     /* 2268554 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2268588), // Rule ID 1448 //
     /* 2268559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2268562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2268574 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2268574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2268577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268587 */     // GIR_Coverage, 1448,
     /* 2268587 */     GIR_EraseRootFromParent_Done,
     /* 2268588 */   // Label 32576: @2268588
     /* 2268588 */   GIM_Reject,
     /* 2268589 */ // Label 32571: @2268589
     /* 2268589 */ GIM_Reject,
     /* 2268590 */ // Label 32545: @2268590
     /* 2268590 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2268710),
     /* 2268595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2268598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268613 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2268661), // Rule ID 45440 //
     /* 2268618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268621 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2268638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268660 */     // GIR_Coverage, 45440,
     /* 2268660 */     GIR_EraseRootFromParent_Done,
     /* 2268661 */   // Label 32578: @2268661
     /* 2268661 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2268709), // Rule ID 45441 //
     /* 2268666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2268669 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2268686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268708 */     // GIR_Coverage, 45441,
     /* 2268708 */     GIR_EraseRootFromParent_Done,
     /* 2268709 */   // Label 32579: @2268709
     /* 2268709 */   GIM_Reject,
     /* 2268710 */ // Label 32577: @2268710
     /* 2268710 */ GIM_Reject,
     /* 2268711 */ // Label 32546: @2268711
     /* 2268711 */ GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2268831),
     /* 2268716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2268719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268734 */   GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2268782), // Rule ID 52752 //
     /* 2268739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268742 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2268759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268781 */     // GIR_Coverage, 52752,
     /* 2268781 */     GIR_EraseRootFromParent_Done,
     /* 2268782 */   // Label 32581: @2268782
     /* 2268782 */   GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2268830), // Rule ID 52753 //
     /* 2268787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268790 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2268807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268829 */     // GIR_Coverage, 52753,
     /* 2268829 */     GIR_EraseRootFromParent_Done,
     /* 2268830 */   // Label 32582: @2268830
     /* 2268830 */   GIM_Reject,
     /* 2268831 */ // Label 32580: @2268831
     /* 2268831 */ GIM_Reject,
     /* 2268832 */ // Label 32547: @2268832
     /* 2268832 */ GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2268952),
     /* 2268837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2268840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268855 */   GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2268903), // Rule ID 52788 //
     /* 2268860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2268863 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2268880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268902 */     // GIR_Coverage, 52788,
     /* 2268902 */     GIR_EraseRootFromParent_Done,
     /* 2268903 */   // Label 32584: @2268903
     /* 2268903 */   GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2268951), // Rule ID 52789 //
     /* 2268908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2268911 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2268928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2268940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268950 */     // GIR_Coverage, 52789,
     /* 2268950 */     GIR_EraseRootFromParent_Done,
     /* 2268951 */   // Label 32585: @2268951
     /* 2268951 */   GIM_Reject,
     /* 2268952 */ // Label 32583: @2268952
     /* 2268952 */ GIM_Reject,
     /* 2268953 */ // Label 32548: @2268953
     /* 2268953 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2269073),
     /* 2268958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2268961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2268964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268976 */   GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2269024), // Rule ID 52740 //
     /* 2268981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2268984 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2268987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2269001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269023 */     // GIR_Coverage, 52740,
     /* 2269023 */     GIR_EraseRootFromParent_Done,
     /* 2269024 */   // Label 32587: @2269024
     /* 2269024 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2269072), // Rule ID 52741 //
     /* 2269029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269032 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2269049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269071 */     // GIR_Coverage, 52741,
     /* 2269071 */     GIR_EraseRootFromParent_Done,
     /* 2269072 */   // Label 32588: @2269072
     /* 2269072 */   GIM_Reject,
     /* 2269073 */ // Label 32586: @2269073
     /* 2269073 */ GIM_Reject,
     /* 2269074 */ // Label 32549: @2269074
     /* 2269074 */ GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2269194),
     /* 2269079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2269082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269097 */   GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2269145), // Rule ID 52776 //
     /* 2269102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269105 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2269122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269144 */     // GIR_Coverage, 52776,
     /* 2269144 */     GIR_EraseRootFromParent_Done,
     /* 2269145 */   // Label 32590: @2269145
     /* 2269145 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2269193), // Rule ID 52777 //
     /* 2269150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269153 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2269170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269192 */     // GIR_Coverage, 52777,
     /* 2269192 */     GIR_EraseRootFromParent_Done,
     /* 2269193 */   // Label 32591: @2269193
     /* 2269193 */   GIM_Reject,
     /* 2269194 */ // Label 32589: @2269194
     /* 2269194 */ GIM_Reject,
     /* 2269195 */ // Label 32550: @2269195
     /* 2269195 */ GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2269315),
     /* 2269200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2269203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269218 */   GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2269266), // Rule ID 52872 //
     /* 2269223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269226 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2269243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269265 */     // GIR_Coverage, 52872,
     /* 2269265 */     GIR_EraseRootFromParent_Done,
     /* 2269266 */   // Label 32593: @2269266
     /* 2269266 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2269314), // Rule ID 52873 //
     /* 2269271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269274 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2269291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269313 */     // GIR_Coverage, 52873,
     /* 2269313 */     GIR_EraseRootFromParent_Done,
     /* 2269314 */   // Label 32594: @2269314
     /* 2269314 */   GIM_Reject,
     /* 2269315 */ // Label 32592: @2269315
     /* 2269315 */ GIM_Reject,
     /* 2269316 */ // Label 32551: @2269316
     /* 2269316 */ GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2269436),
     /* 2269321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2269324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2269327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269339 */   GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2269387), // Rule ID 52764 //
     /* 2269344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269347 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2269364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269386 */     // GIR_Coverage, 52764,
     /* 2269386 */     GIR_EraseRootFromParent_Done,
     /* 2269387 */   // Label 32596: @2269387
     /* 2269387 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2269435), // Rule ID 52765 //
     /* 2269392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269395 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2269412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269434 */     // GIR_Coverage, 52765,
     /* 2269434 */     GIR_EraseRootFromParent_Done,
     /* 2269435 */   // Label 32597: @2269435
     /* 2269435 */   GIM_Reject,
     /* 2269436 */ // Label 32595: @2269436
     /* 2269436 */ GIM_Reject,
     /* 2269437 */ // Label 32552: @2269437
     /* 2269437 */ GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2269557),
     /* 2269442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2269445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2269448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269460 */   GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2269508), // Rule ID 52836 //
     /* 2269465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269468 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2269485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269507 */     // GIR_Coverage, 52836,
     /* 2269507 */     GIR_EraseRootFromParent_Done,
     /* 2269508 */   // Label 32599: @2269508
     /* 2269508 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2269556), // Rule ID 52837 //
     /* 2269513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269516 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2269533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269555 */     // GIR_Coverage, 52837,
     /* 2269555 */     GIR_EraseRootFromParent_Done,
     /* 2269556 */   // Label 32600: @2269556
     /* 2269556 */   GIM_Reject,
     /* 2269557 */ // Label 32598: @2269557
     /* 2269557 */ GIM_Reject,
     /* 2269558 */ // Label 32553: @2269558
     /* 2269558 */ GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2269678),
     /* 2269563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2269566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2269569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269581 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2269629), // Rule ID 52884 //
     /* 2269586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269589 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2269606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269628 */     // GIR_Coverage, 52884,
     /* 2269628 */     GIR_EraseRootFromParent_Done,
     /* 2269629 */   // Label 32602: @2269629
     /* 2269629 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2269677), // Rule ID 52885 //
     /* 2269634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269637 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2269654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269676 */     // GIR_Coverage, 52885,
     /* 2269676 */     GIR_EraseRootFromParent_Done,
     /* 2269677 */   // Label 32603: @2269677
     /* 2269677 */   GIM_Reject,
     /* 2269678 */ // Label 32601: @2269678
     /* 2269678 */ GIM_Reject,
     /* 2269679 */ // Label 32554: @2269679
     /* 2269679 */ GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2269799),
     /* 2269684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2269687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2269690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269702 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2269750), // Rule ID 52800 //
     /* 2269707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269710 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2269727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269749 */     // GIR_Coverage, 52800,
     /* 2269749 */     GIR_EraseRootFromParent_Done,
     /* 2269750 */   // Label 32605: @2269750
     /* 2269750 */   GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2269798), // Rule ID 52801 //
     /* 2269755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269758 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2269775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269797 */     // GIR_Coverage, 52801,
     /* 2269797 */     GIR_EraseRootFromParent_Done,
     /* 2269798 */   // Label 32606: @2269798
     /* 2269798 */   GIM_Reject,
     /* 2269799 */ // Label 32604: @2269799
     /* 2269799 */ GIM_Reject,
     /* 2269800 */ // Label 32555: @2269800
     /* 2269800 */ GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2269920),
     /* 2269805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2269808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2269811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269823 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2269871), // Rule ID 52848 //
     /* 2269828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269831 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2269848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269870 */     // GIR_Coverage, 52848,
     /* 2269870 */     GIR_EraseRootFromParent_Done,
     /* 2269871 */   // Label 32608: @2269871
     /* 2269871 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2269919), // Rule ID 52849 //
     /* 2269876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269879 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2269896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269918 */     // GIR_Coverage, 52849,
     /* 2269918 */     GIR_EraseRootFromParent_Done,
     /* 2269919 */   // Label 32609: @2269919
     /* 2269919 */   GIM_Reject,
     /* 2269920 */ // Label 32607: @2269920
     /* 2269920 */ GIM_Reject,
     /* 2269921 */ // Label 32556: @2269921
     /* 2269921 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2270041),
     /* 2269926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2269929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2269932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269944 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2269992), // Rule ID 52896 //
     /* 2269949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269952 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2269955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2269969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2269981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269991 */     // GIR_Coverage, 52896,
     /* 2269991 */     GIR_EraseRootFromParent_Done,
     /* 2269992 */   // Label 32611: @2269992
     /* 2269992 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2270040), // Rule ID 52897 //
     /* 2269997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2270000 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2270017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270039 */     // GIR_Coverage, 52897,
     /* 2270039 */     GIR_EraseRootFromParent_Done,
     /* 2270040 */   // Label 32612: @2270040
     /* 2270040 */   GIM_Reject,
     /* 2270041 */ // Label 32610: @2270041
     /* 2270041 */ GIM_Reject,
     /* 2270042 */ // Label 32557: @2270042
     /* 2270042 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2270162),
     /* 2270047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2270050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2270053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270065 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2270113), // Rule ID 52812 //
     /* 2270070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270073 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2270090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270112 */     // GIR_Coverage, 52812,
     /* 2270112 */     GIR_EraseRootFromParent_Done,
     /* 2270113 */   // Label 32614: @2270113
     /* 2270113 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2270161), // Rule ID 52813 //
     /* 2270118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270121 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2270138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270160 */     // GIR_Coverage, 52813,
     /* 2270160 */     GIR_EraseRootFromParent_Done,
     /* 2270161 */   // Label 32615: @2270161
     /* 2270161 */   GIM_Reject,
     /* 2270162 */ // Label 32613: @2270162
     /* 2270162 */ GIM_Reject,
     /* 2270163 */ // Label 32558: @2270163
     /* 2270163 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2270283),
     /* 2270168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2270171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2270174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270186 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2270234), // Rule ID 52860 //
     /* 2270191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270194 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2270211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270233 */     // GIR_Coverage, 52860,
     /* 2270233 */     GIR_EraseRootFromParent_Done,
     /* 2270234 */   // Label 32617: @2270234
     /* 2270234 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2270282), // Rule ID 52861 //
     /* 2270239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2270242 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2270259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270281 */     // GIR_Coverage, 52861,
     /* 2270281 */     GIR_EraseRootFromParent_Done,
     /* 2270282 */   // Label 32618: @2270282
     /* 2270282 */   GIM_Reject,
     /* 2270283 */ // Label 32616: @2270283
     /* 2270283 */ GIM_Reject,
     /* 2270284 */ // Label 32559: @2270284
     /* 2270284 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2270404),
     /* 2270289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2270292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2270295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270307 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2270355), // Rule ID 52824 //
     /* 2270312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270315 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2270332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270354 */     // GIR_Coverage, 52824,
     /* 2270354 */     GIR_EraseRootFromParent_Done,
     /* 2270355 */   // Label 32620: @2270355
     /* 2270355 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2270403), // Rule ID 52825 //
     /* 2270360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270363 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2270380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270402 */     // GIR_Coverage, 52825,
     /* 2270402 */     GIR_EraseRootFromParent_Done,
     /* 2270403 */   // Label 32621: @2270403
     /* 2270403 */   GIM_Reject,
     /* 2270404 */ // Label 32619: @2270404
     /* 2270404 */ GIM_Reject,
     /* 2270405 */ // Label 32560: @2270405
     /* 2270405 */ GIM_Reject,
     /* 2270406 */ // Label 95: @2270406
     /* 2270406 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32640*/ GIMT_Encode4(2272833),
     /* 2270417 */ /*GILLT_s16*//*Label 32622*/ GIMT_Encode4(2270537),
     /* 2270421 */ /*GILLT_s32*//*Label 32623*/ GIMT_Encode4(2270686),
     /* 2270425 */ /*GILLT_s64*//*Label 32624*/ GIMT_Encode4(2270835), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270437 */ /*GILLT_nxv1s16*//*Label 32625*/ GIMT_Encode4(2271018),
     /* 2270441 */ /*GILLT_nxv1s32*//*Label 32626*/ GIMT_Encode4(2271139),
     /* 2270445 */ /*GILLT_nxv1s64*//*Label 32627*/ GIMT_Encode4(2271260), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270457 */ /*GILLT_nxv2s16*//*Label 32628*/ GIMT_Encode4(2271381),
     /* 2270461 */ /*GILLT_nxv2s32*//*Label 32629*/ GIMT_Encode4(2271502),
     /* 2270465 */ /*GILLT_nxv2s64*//*Label 32630*/ GIMT_Encode4(2271623), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270477 */ /*GILLT_nxv4s16*//*Label 32631*/ GIMT_Encode4(2271744),
     /* 2270481 */ /*GILLT_nxv4s32*//*Label 32632*/ GIMT_Encode4(2271865),
     /* 2270485 */ /*GILLT_nxv4s64*//*Label 32633*/ GIMT_Encode4(2271986), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270497 */ /*GILLT_nxv8s16*//*Label 32634*/ GIMT_Encode4(2272107),
     /* 2270501 */ /*GILLT_nxv8s32*//*Label 32635*/ GIMT_Encode4(2272228),
     /* 2270505 */ /*GILLT_nxv8s64*//*Label 32636*/ GIMT_Encode4(2272349), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270517 */ /*GILLT_nxv16s16*//*Label 32637*/ GIMT_Encode4(2272470),
     /* 2270521 */ /*GILLT_nxv16s32*//*Label 32638*/ GIMT_Encode4(2272591), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270533 */ /*GILLT_nxv32s16*//*Label 32639*/ GIMT_Encode4(2272712),
     /* 2270537 */ // Label 32622: @2270537
     /* 2270537 */ GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2270685),
     /* 2270542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2270545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2270548 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2270582), // Rule ID 1822 //
     /* 2270553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2270556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270568 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2270568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2270571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270581 */     // GIR_Coverage, 1822,
     /* 2270581 */     GIR_EraseRootFromParent_Done,
     /* 2270582 */   // Label 32642: @2270582
     /* 2270582 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2270616), // Rule ID 1823 //
     /* 2270587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2270590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270602 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2270602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2270605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270615 */     // GIR_Coverage, 1823,
     /* 2270615 */     GIR_EraseRootFromParent_Done,
     /* 2270616 */   // Label 32643: @2270616
     /* 2270616 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2270650), // Rule ID 1826 //
     /* 2270621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2270624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270636 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2270636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2270639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270649 */     // GIR_Coverage, 1826,
     /* 2270649 */     GIR_EraseRootFromParent_Done,
     /* 2270650 */   // Label 32644: @2270650
     /* 2270650 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2270684), // Rule ID 1827 //
     /* 2270655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2270658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270670 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2270670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2270673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270683 */     // GIR_Coverage, 1827,
     /* 2270683 */     GIR_EraseRootFromParent_Done,
     /* 2270684 */   // Label 32645: @2270684
     /* 2270684 */   GIM_Reject,
     /* 2270685 */ // Label 32641: @2270685
     /* 2270685 */ GIM_Reject,
     /* 2270686 */ // Label 32623: @2270686
     /* 2270686 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2270834),
     /* 2270691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2270694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270697 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2270731), // Rule ID 1113 //
     /* 2270702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2270705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270717 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2270717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2270720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270730 */     // GIR_Coverage, 1113,
     /* 2270730 */     GIR_EraseRootFromParent_Done,
     /* 2270731 */   // Label 32647: @2270731
     /* 2270731 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2270765), // Rule ID 1114 //
     /* 2270736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2270739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270751 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2270751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2270754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270764 */     // GIR_Coverage, 1114,
     /* 2270764 */     GIR_EraseRootFromParent_Done,
     /* 2270765 */   // Label 32648: @2270765
     /* 2270765 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2270799), // Rule ID 1117 //
     /* 2270770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2270773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270785 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2270785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2270788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270798 */     // GIR_Coverage, 1117,
     /* 2270798 */     GIR_EraseRootFromParent_Done,
     /* 2270799 */   // Label 32649: @2270799
     /* 2270799 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2270833), // Rule ID 1118 //
     /* 2270804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2270807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270819 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2270819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2270822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270832 */     // GIR_Coverage, 1118,
     /* 2270832 */     GIR_EraseRootFromParent_Done,
     /* 2270833 */   // Label 32650: @2270833
     /* 2270833 */   GIM_Reject,
     /* 2270834 */ // Label 32646: @2270834
     /* 2270834 */ GIM_Reject,
     /* 2270835 */ // Label 32624: @2270835
     /* 2270835 */ GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2271017),
     /* 2270840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2270843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270846 */   GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2270880), // Rule ID 1450 //
     /* 2270851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2270854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270866 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2270866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2270869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270879 */     // GIR_Coverage, 1450,
     /* 2270879 */     GIR_EraseRootFromParent_Done,
     /* 2270880 */   // Label 32652: @2270880
     /* 2270880 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2270914), // Rule ID 1451 //
     /* 2270885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2270888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270900 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2270900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2270903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270913 */     // GIR_Coverage, 1451,
     /* 2270913 */     GIR_EraseRootFromParent_Done,
     /* 2270914 */   // Label 32653: @2270914
     /* 2270914 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2270948), // Rule ID 1454 //
     /* 2270919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2270922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270934 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2270934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2270937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270947 */     // GIR_Coverage, 1454,
     /* 2270947 */     GIR_EraseRootFromParent_Done,
     /* 2270948 */   // Label 32654: @2270948
     /* 2270948 */   GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2270982), // Rule ID 1455 //
     /* 2270953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2270956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270968 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2270968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2270971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2270980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270981 */     // GIR_Coverage, 1455,
     /* 2270981 */     GIR_EraseRootFromParent_Done,
     /* 2270982 */   // Label 32655: @2270982
     /* 2270982 */   GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2271016), // Rule ID 1458 //
     /* 2270987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2270990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271002 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2271002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2271005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271015 */     // GIR_Coverage, 1458,
     /* 2271015 */     GIR_EraseRootFromParent_Done,
     /* 2271016 */   // Label 32656: @2271016
     /* 2271016 */   GIM_Reject,
     /* 2271017 */ // Label 32651: @2271017
     /* 2271017 */ GIM_Reject,
     /* 2271018 */ // Label 32625: @2271018
     /* 2271018 */ GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2271138),
     /* 2271023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2271026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2271029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271041 */   GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2271089), // Rule ID 52908 //
     /* 2271046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271049 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2271066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271088 */     // GIR_Coverage, 52908,
     /* 2271088 */     GIR_EraseRootFromParent_Done,
     /* 2271089 */   // Label 32658: @2271089
     /* 2271089 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2271137), // Rule ID 52909 //
     /* 2271094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271097 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2271114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271136 */     // GIR_Coverage, 52909,
     /* 2271136 */     GIR_EraseRootFromParent_Done,
     /* 2271137 */   // Label 32659: @2271137
     /* 2271137 */   GIM_Reject,
     /* 2271138 */ // Label 32657: @2271138
     /* 2271138 */ GIM_Reject,
     /* 2271139 */ // Label 32626: @2271139
     /* 2271139 */ GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2271259),
     /* 2271144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2271147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2271150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271162 */   GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2271210), // Rule ID 52932 //
     /* 2271167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271170 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2271187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271209 */     // GIR_Coverage, 52932,
     /* 2271209 */     GIR_EraseRootFromParent_Done,
     /* 2271210 */   // Label 32661: @2271210
     /* 2271210 */   GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2271258), // Rule ID 52933 //
     /* 2271215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271218 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2271235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271257 */     // GIR_Coverage, 52933,
     /* 2271257 */     GIR_EraseRootFromParent_Done,
     /* 2271258 */   // Label 32662: @2271258
     /* 2271258 */   GIM_Reject,
     /* 2271259 */ // Label 32660: @2271259
     /* 2271259 */ GIM_Reject,
     /* 2271260 */ // Label 32627: @2271260
     /* 2271260 */ GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2271380),
     /* 2271265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2271268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2271271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271283 */   GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2271331), // Rule ID 52968 //
     /* 2271288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271291 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2271308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271330 */     // GIR_Coverage, 52968,
     /* 2271330 */     GIR_EraseRootFromParent_Done,
     /* 2271331 */   // Label 32664: @2271331
     /* 2271331 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2271379), // Rule ID 52969 //
     /* 2271336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271339 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2271356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271378 */     // GIR_Coverage, 52969,
     /* 2271378 */     GIR_EraseRootFromParent_Done,
     /* 2271379 */   // Label 32665: @2271379
     /* 2271379 */   GIM_Reject,
     /* 2271380 */ // Label 32663: @2271380
     /* 2271380 */ GIM_Reject,
     /* 2271381 */ // Label 32628: @2271381
     /* 2271381 */ GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2271501),
     /* 2271386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2271389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2271392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271404 */   GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2271452), // Rule ID 52920 //
     /* 2271409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271412 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2271429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271451 */     // GIR_Coverage, 52920,
     /* 2271451 */     GIR_EraseRootFromParent_Done,
     /* 2271452 */   // Label 32667: @2271452
     /* 2271452 */   GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2271500), // Rule ID 52921 //
     /* 2271457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271460 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2271477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271499 */     // GIR_Coverage, 52921,
     /* 2271499 */     GIR_EraseRootFromParent_Done,
     /* 2271500 */   // Label 32668: @2271500
     /* 2271500 */   GIM_Reject,
     /* 2271501 */ // Label 32666: @2271501
     /* 2271501 */ GIM_Reject,
     /* 2271502 */ // Label 32629: @2271502
     /* 2271502 */ GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2271622),
     /* 2271507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2271510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2271513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271525 */   GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2271573), // Rule ID 52956 //
     /* 2271530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271533 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2271550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271572 */     // GIR_Coverage, 52956,
     /* 2271572 */     GIR_EraseRootFromParent_Done,
     /* 2271573 */   // Label 32670: @2271573
     /* 2271573 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2271621), // Rule ID 52957 //
     /* 2271578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271581 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2271598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271620 */     // GIR_Coverage, 52957,
     /* 2271620 */     GIR_EraseRootFromParent_Done,
     /* 2271621 */   // Label 32671: @2271621
     /* 2271621 */   GIM_Reject,
     /* 2271622 */ // Label 32669: @2271622
     /* 2271622 */ GIM_Reject,
     /* 2271623 */ // Label 32630: @2271623
     /* 2271623 */ GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2271743),
     /* 2271628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2271631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2271634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271646 */   GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2271694), // Rule ID 53052 //
     /* 2271651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271654 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2271671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271693 */     // GIR_Coverage, 53052,
     /* 2271693 */     GIR_EraseRootFromParent_Done,
     /* 2271694 */   // Label 32673: @2271694
     /* 2271694 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2271742), // Rule ID 53053 //
     /* 2271699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2271702 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2271719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271741 */     // GIR_Coverage, 53053,
     /* 2271741 */     GIR_EraseRootFromParent_Done,
     /* 2271742 */   // Label 32674: @2271742
     /* 2271742 */   GIM_Reject,
     /* 2271743 */ // Label 32672: @2271743
     /* 2271743 */ GIM_Reject,
     /* 2271744 */ // Label 32631: @2271744
     /* 2271744 */ GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2271864),
     /* 2271749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2271752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271767 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2271815), // Rule ID 52944 //
     /* 2271772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271775 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2271778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2271792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271814 */     // GIR_Coverage, 52944,
     /* 2271814 */     GIR_EraseRootFromParent_Done,
     /* 2271815 */   // Label 32676: @2271815
     /* 2271815 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2271863), // Rule ID 52945 //
     /* 2271820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271823 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2271826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2271840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271862 */     // GIR_Coverage, 52945,
     /* 2271862 */     GIR_EraseRootFromParent_Done,
     /* 2271863 */   // Label 32677: @2271863
     /* 2271863 */   GIM_Reject,
     /* 2271864 */ // Label 32675: @2271864
     /* 2271864 */ GIM_Reject,
     /* 2271865 */ // Label 32632: @2271865
     /* 2271865 */ GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2271985),
     /* 2271870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2271873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271888 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2271936), // Rule ID 53016 //
     /* 2271893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271896 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2271899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2271913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271935 */     // GIR_Coverage, 53016,
     /* 2271935 */     GIR_EraseRootFromParent_Done,
     /* 2271936 */   // Label 32679: @2271936
     /* 2271936 */   GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2271984), // Rule ID 53017 //
     /* 2271941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271944 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2271947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2271961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2271973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271983 */     // GIR_Coverage, 53017,
     /* 2271983 */     GIR_EraseRootFromParent_Done,
     /* 2271984 */   // Label 32680: @2271984
     /* 2271984 */   GIM_Reject,
     /* 2271985 */ // Label 32678: @2271985
     /* 2271985 */ GIM_Reject,
     /* 2271986 */ // Label 32633: @2271986
     /* 2271986 */ GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2272106),
     /* 2271991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2271994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272009 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2272057), // Rule ID 53064 //
     /* 2272014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272017 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2272034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272056 */     // GIR_Coverage, 53064,
     /* 2272056 */     GIR_EraseRootFromParent_Done,
     /* 2272057 */   // Label 32682: @2272057
     /* 2272057 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2272105), // Rule ID 53065 //
     /* 2272062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272065 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2272082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272104 */     // GIR_Coverage, 53065,
     /* 2272104 */     GIR_EraseRootFromParent_Done,
     /* 2272105 */   // Label 32683: @2272105
     /* 2272105 */   GIM_Reject,
     /* 2272106 */ // Label 32681: @2272106
     /* 2272106 */ GIM_Reject,
     /* 2272107 */ // Label 32634: @2272107
     /* 2272107 */ GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2272227),
     /* 2272112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2272115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272130 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2272178), // Rule ID 52980 //
     /* 2272135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272138 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2272155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272177 */     // GIR_Coverage, 52980,
     /* 2272177 */     GIR_EraseRootFromParent_Done,
     /* 2272178 */   // Label 32685: @2272178
     /* 2272178 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2272226), // Rule ID 52981 //
     /* 2272183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272186 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2272203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272225 */     // GIR_Coverage, 52981,
     /* 2272225 */     GIR_EraseRootFromParent_Done,
     /* 2272226 */   // Label 32686: @2272226
     /* 2272226 */   GIM_Reject,
     /* 2272227 */ // Label 32684: @2272227
     /* 2272227 */ GIM_Reject,
     /* 2272228 */ // Label 32635: @2272228
     /* 2272228 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2272348),
     /* 2272233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2272236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272251 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2272299), // Rule ID 53028 //
     /* 2272256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272259 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2272276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272298 */     // GIR_Coverage, 53028,
     /* 2272298 */     GIR_EraseRootFromParent_Done,
     /* 2272299 */   // Label 32688: @2272299
     /* 2272299 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2272347), // Rule ID 53029 //
     /* 2272304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272307 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2272324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272346 */     // GIR_Coverage, 53029,
     /* 2272346 */     GIR_EraseRootFromParent_Done,
     /* 2272347 */   // Label 32689: @2272347
     /* 2272347 */   GIM_Reject,
     /* 2272348 */ // Label 32687: @2272348
     /* 2272348 */ GIM_Reject,
     /* 2272349 */ // Label 32636: @2272349
     /* 2272349 */ GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2272469),
     /* 2272354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2272357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272372 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2272420), // Rule ID 53076 //
     /* 2272377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272380 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2272397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272419 */     // GIR_Coverage, 53076,
     /* 2272419 */     GIR_EraseRootFromParent_Done,
     /* 2272420 */   // Label 32691: @2272420
     /* 2272420 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2272468), // Rule ID 53077 //
     /* 2272425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272428 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2272445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272467 */     // GIR_Coverage, 53077,
     /* 2272467 */     GIR_EraseRootFromParent_Done,
     /* 2272468 */   // Label 32692: @2272468
     /* 2272468 */   GIM_Reject,
     /* 2272469 */ // Label 32690: @2272469
     /* 2272469 */ GIM_Reject,
     /* 2272470 */ // Label 32637: @2272470
     /* 2272470 */ GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2272590),
     /* 2272475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2272478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272493 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2272541), // Rule ID 52992 //
     /* 2272498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272501 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2272518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272540 */     // GIR_Coverage, 52992,
     /* 2272540 */     GIR_EraseRootFromParent_Done,
     /* 2272541 */   // Label 32694: @2272541
     /* 2272541 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2272589), // Rule ID 52993 //
     /* 2272546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272549 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2272566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272588 */     // GIR_Coverage, 52993,
     /* 2272588 */     GIR_EraseRootFromParent_Done,
     /* 2272589 */   // Label 32695: @2272589
     /* 2272589 */   GIM_Reject,
     /* 2272590 */ // Label 32693: @2272590
     /* 2272590 */ GIM_Reject,
     /* 2272591 */ // Label 32638: @2272591
     /* 2272591 */ GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2272711),
     /* 2272596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2272599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2272602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272614 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2272662), // Rule ID 53040 //
     /* 2272619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272622 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2272639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272661 */     // GIR_Coverage, 53040,
     /* 2272661 */     GIR_EraseRootFromParent_Done,
     /* 2272662 */   // Label 32697: @2272662
     /* 2272662 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2272710), // Rule ID 53041 //
     /* 2272667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272670 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2272687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272709 */     // GIR_Coverage, 53041,
     /* 2272709 */     GIR_EraseRootFromParent_Done,
     /* 2272710 */   // Label 32698: @2272710
     /* 2272710 */   GIM_Reject,
     /* 2272711 */ // Label 32696: @2272711
     /* 2272711 */ GIM_Reject,
     /* 2272712 */ // Label 32639: @2272712
     /* 2272712 */ GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2272832),
     /* 2272717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2272720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2272723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272735 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2272783), // Rule ID 53004 //
     /* 2272740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272743 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2272760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272782 */     // GIR_Coverage, 53004,
     /* 2272782 */     GIR_EraseRootFromParent_Done,
     /* 2272783 */   // Label 32700: @2272783
     /* 2272783 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2272831), // Rule ID 53005 //
     /* 2272788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272791 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2272794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2272808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2272820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272830 */     // GIR_Coverage, 53005,
     /* 2272830 */     GIR_EraseRootFromParent_Done,
     /* 2272831 */   // Label 32701: @2272831
     /* 2272831 */   GIM_Reject,
     /* 2272832 */ // Label 32699: @2272832
     /* 2272832 */ GIM_Reject,
     /* 2272833 */ // Label 32640: @2272833
     /* 2272833 */ GIM_Reject,
     /* 2272834 */ // Label 96: @2272834
     /* 2272834 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32720*/ GIMT_Encode4(2275261),
     /* 2272845 */ /*GILLT_s16*//*Label 32702*/ GIMT_Encode4(2272965),
     /* 2272849 */ /*GILLT_s32*//*Label 32703*/ GIMT_Encode4(2273114),
     /* 2272853 */ /*GILLT_s64*//*Label 32704*/ GIMT_Encode4(2273263), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272865 */ /*GILLT_nxv1s16*//*Label 32705*/ GIMT_Encode4(2273446),
     /* 2272869 */ /*GILLT_nxv1s32*//*Label 32706*/ GIMT_Encode4(2273567),
     /* 2272873 */ /*GILLT_nxv1s64*//*Label 32707*/ GIMT_Encode4(2273688), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272885 */ /*GILLT_nxv2s16*//*Label 32708*/ GIMT_Encode4(2273809),
     /* 2272889 */ /*GILLT_nxv2s32*//*Label 32709*/ GIMT_Encode4(2273930),
     /* 2272893 */ /*GILLT_nxv2s64*//*Label 32710*/ GIMT_Encode4(2274051), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272905 */ /*GILLT_nxv4s16*//*Label 32711*/ GIMT_Encode4(2274172),
     /* 2272909 */ /*GILLT_nxv4s32*//*Label 32712*/ GIMT_Encode4(2274293),
     /* 2272913 */ /*GILLT_nxv4s64*//*Label 32713*/ GIMT_Encode4(2274414), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272925 */ /*GILLT_nxv8s16*//*Label 32714*/ GIMT_Encode4(2274535),
     /* 2272929 */ /*GILLT_nxv8s32*//*Label 32715*/ GIMT_Encode4(2274656),
     /* 2272933 */ /*GILLT_nxv8s64*//*Label 32716*/ GIMT_Encode4(2274777), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272945 */ /*GILLT_nxv16s16*//*Label 32717*/ GIMT_Encode4(2274898),
     /* 2272949 */ /*GILLT_nxv16s32*//*Label 32718*/ GIMT_Encode4(2275019), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2272961 */ /*GILLT_nxv32s16*//*Label 32719*/ GIMT_Encode4(2275140),
     /* 2272965 */ // Label 32702: @2272965
     /* 2272965 */ GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2273113),
     /* 2272970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2272973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2272976 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2273010), // Rule ID 1830 //
     /* 2272981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2272984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272996 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2272996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2272999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273009 */     // GIR_Coverage, 1830,
     /* 2273009 */     GIR_EraseRootFromParent_Done,
     /* 2273010 */   // Label 32722: @2273010
     /* 2273010 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2273044), // Rule ID 1831 //
     /* 2273015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2273018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273030 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2273030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2273033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273043 */     // GIR_Coverage, 1831,
     /* 2273043 */     GIR_EraseRootFromParent_Done,
     /* 2273044 */   // Label 32723: @2273044
     /* 2273044 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2273078), // Rule ID 1834 //
     /* 2273049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2273052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273064 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2273064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2273067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273077 */     // GIR_Coverage, 1834,
     /* 2273077 */     GIR_EraseRootFromParent_Done,
     /* 2273078 */   // Label 32724: @2273078
     /* 2273078 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2273112), // Rule ID 1835 //
     /* 2273083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2273086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2273098 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2273098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2273101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273111 */     // GIR_Coverage, 1835,
     /* 2273111 */     GIR_EraseRootFromParent_Done,
     /* 2273112 */   // Label 32725: @2273112
     /* 2273112 */   GIM_Reject,
     /* 2273113 */ // Label 32721: @2273113
     /* 2273113 */ GIM_Reject,
     /* 2273114 */ // Label 32703: @2273114
     /* 2273114 */ GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2273262),
     /* 2273119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2273122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2273125 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2273159), // Rule ID 1121 //
     /* 2273130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2273133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273145 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2273145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2273148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273158 */     // GIR_Coverage, 1121,
     /* 2273158 */     GIR_EraseRootFromParent_Done,
     /* 2273159 */   // Label 32727: @2273159
     /* 2273159 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2273193), // Rule ID 1122 //
     /* 2273164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2273167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273179 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2273179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2273182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273192 */     // GIR_Coverage, 1122,
     /* 2273192 */     GIR_EraseRootFromParent_Done,
     /* 2273193 */   // Label 32728: @2273193
     /* 2273193 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2273227), // Rule ID 1125 //
     /* 2273198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2273201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273213 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2273213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2273216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273226 */     // GIR_Coverage, 1125,
     /* 2273226 */     GIR_EraseRootFromParent_Done,
     /* 2273227 */   // Label 32729: @2273227
     /* 2273227 */   GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2273261), // Rule ID 1126 //
     /* 2273232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2273235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2273247 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2273247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2273250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273260 */     // GIR_Coverage, 1126,
     /* 2273260 */     GIR_EraseRootFromParent_Done,
     /* 2273261 */   // Label 32730: @2273261
     /* 2273261 */   GIM_Reject,
     /* 2273262 */ // Label 32726: @2273262
     /* 2273262 */ GIM_Reject,
     /* 2273263 */ // Label 32704: @2273263
     /* 2273263 */ GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2273445),
     /* 2273268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2273271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2273274 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2273308), // Rule ID 1460 //
     /* 2273279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2273282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273294 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2273294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2273297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273307 */     // GIR_Coverage, 1460,
     /* 2273307 */     GIR_EraseRootFromParent_Done,
     /* 2273308 */   // Label 32732: @2273308
     /* 2273308 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2273342), // Rule ID 1461 //
     /* 2273313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2273316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273328 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2273328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2273331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273341 */     // GIR_Coverage, 1461,
     /* 2273341 */     GIR_EraseRootFromParent_Done,
     /* 2273342 */   // Label 32733: @2273342
     /* 2273342 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2273376), // Rule ID 1464 //
     /* 2273347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2273350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273362 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2273362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2273365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273375 */     // GIR_Coverage, 1464,
     /* 2273375 */     GIR_EraseRootFromParent_Done,
     /* 2273376 */   // Label 32734: @2273376
     /* 2273376 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2273410), // Rule ID 1465 //
     /* 2273381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2273384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2273396 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2273396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2273399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273409 */     // GIR_Coverage, 1465,
     /* 2273409 */     GIR_EraseRootFromParent_Done,
     /* 2273410 */   // Label 32735: @2273410
     /* 2273410 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2273444), // Rule ID 1468 //
     /* 2273415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2273418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2273430 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2273430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2273433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273443 */     // GIR_Coverage, 1468,
     /* 2273443 */     GIR_EraseRootFromParent_Done,
     /* 2273444 */   // Label 32736: @2273444
     /* 2273444 */   GIM_Reject,
     /* 2273445 */ // Label 32731: @2273445
     /* 2273445 */ GIM_Reject,
     /* 2273446 */ // Label 32705: @2273446
     /* 2273446 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2273566),
     /* 2273451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2273454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2273457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273469 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2273517), // Rule ID 53676 //
     /* 2273474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273477 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2273494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273516 */     // GIR_Coverage, 53676,
     /* 2273516 */     GIR_EraseRootFromParent_Done,
     /* 2273517 */   // Label 32738: @2273517
     /* 2273517 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2273565), // Rule ID 53677 //
     /* 2273522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273525 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2273542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273564 */     // GIR_Coverage, 53677,
     /* 2273564 */     GIR_EraseRootFromParent_Done,
     /* 2273565 */   // Label 32739: @2273565
     /* 2273565 */   GIM_Reject,
     /* 2273566 */ // Label 32737: @2273566
     /* 2273566 */ GIM_Reject,
     /* 2273567 */ // Label 32706: @2273567
     /* 2273567 */ GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2273687),
     /* 2273572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2273575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273590 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2273638), // Rule ID 53700 //
     /* 2273595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273598 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2273615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273637 */     // GIR_Coverage, 53700,
     /* 2273637 */     GIR_EraseRootFromParent_Done,
     /* 2273638 */   // Label 32741: @2273638
     /* 2273638 */   GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2273686), // Rule ID 53701 //
     /* 2273643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273646 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2273663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273685 */     // GIR_Coverage, 53701,
     /* 2273685 */     GIR_EraseRootFromParent_Done,
     /* 2273686 */   // Label 32742: @2273686
     /* 2273686 */   GIM_Reject,
     /* 2273687 */ // Label 32740: @2273687
     /* 2273687 */ GIM_Reject,
     /* 2273688 */ // Label 32707: @2273688
     /* 2273688 */ GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2273808),
     /* 2273693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2273696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273711 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2273759), // Rule ID 53736 //
     /* 2273716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273719 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2273736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273758 */     // GIR_Coverage, 53736,
     /* 2273758 */     GIR_EraseRootFromParent_Done,
     /* 2273759 */   // Label 32744: @2273759
     /* 2273759 */   GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2273807), // Rule ID 53737 //
     /* 2273764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2273767 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2273784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273806 */     // GIR_Coverage, 53737,
     /* 2273806 */     GIR_EraseRootFromParent_Done,
     /* 2273807 */   // Label 32745: @2273807
     /* 2273807 */   GIM_Reject,
     /* 2273808 */ // Label 32743: @2273808
     /* 2273808 */ GIM_Reject,
     /* 2273809 */ // Label 32708: @2273809
     /* 2273809 */ GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2273929),
     /* 2273814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2273817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273832 */   GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2273880), // Rule ID 53688 //
     /* 2273837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273840 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2273857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273879 */     // GIR_Coverage, 53688,
     /* 2273879 */     GIR_EraseRootFromParent_Done,
     /* 2273880 */   // Label 32747: @2273880
     /* 2273880 */   GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2273928), // Rule ID 53689 //
     /* 2273885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273888 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2273891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2273905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273927 */     // GIR_Coverage, 53689,
     /* 2273927 */     GIR_EraseRootFromParent_Done,
     /* 2273928 */   // Label 32748: @2273928
     /* 2273928 */   GIM_Reject,
     /* 2273929 */ // Label 32746: @2273929
     /* 2273929 */ GIM_Reject,
     /* 2273930 */ // Label 32709: @2273930
     /* 2273930 */ GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2274050),
     /* 2273935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2273938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273953 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2274001), // Rule ID 53724 //
     /* 2273958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273961 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2273964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2273978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2273990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274000 */     // GIR_Coverage, 53724,
     /* 2274000 */     GIR_EraseRootFromParent_Done,
     /* 2274001 */   // Label 32750: @2274001
     /* 2274001 */   GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2274049), // Rule ID 53725 //
     /* 2274006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274009 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2274012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2274026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274048 */     // GIR_Coverage, 53725,
     /* 2274048 */     GIR_EraseRootFromParent_Done,
     /* 2274049 */   // Label 32751: @2274049
     /* 2274049 */   GIM_Reject,
     /* 2274050 */ // Label 32749: @2274050
     /* 2274050 */ GIM_Reject,
     /* 2274051 */ // Label 32710: @2274051
     /* 2274051 */ GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2274171),
     /* 2274056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2274059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274074 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2274122), // Rule ID 53820 //
     /* 2274079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274082 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2274099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274121 */     // GIR_Coverage, 53820,
     /* 2274121 */     GIR_EraseRootFromParent_Done,
     /* 2274122 */   // Label 32753: @2274122
     /* 2274122 */   GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2274170), // Rule ID 53821 //
     /* 2274127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274130 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2274147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274169 */     // GIR_Coverage, 53821,
     /* 2274169 */     GIR_EraseRootFromParent_Done,
     /* 2274170 */   // Label 32754: @2274170
     /* 2274170 */   GIM_Reject,
     /* 2274171 */ // Label 32752: @2274171
     /* 2274171 */ GIM_Reject,
     /* 2274172 */ // Label 32711: @2274172
     /* 2274172 */ GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2274292),
     /* 2274177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2274180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274195 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2274243), // Rule ID 53712 //
     /* 2274200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274203 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2274220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274242 */     // GIR_Coverage, 53712,
     /* 2274242 */     GIR_EraseRootFromParent_Done,
     /* 2274243 */   // Label 32756: @2274243
     /* 2274243 */   GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2274291), // Rule ID 53713 //
     /* 2274248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274251 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2274268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274290 */     // GIR_Coverage, 53713,
     /* 2274290 */     GIR_EraseRootFromParent_Done,
     /* 2274291 */   // Label 32757: @2274291
     /* 2274291 */   GIM_Reject,
     /* 2274292 */ // Label 32755: @2274292
     /* 2274292 */ GIM_Reject,
     /* 2274293 */ // Label 32712: @2274293
     /* 2274293 */ GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2274413),
     /* 2274298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2274301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274316 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2274364), // Rule ID 53784 //
     /* 2274321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274324 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2274341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274363 */     // GIR_Coverage, 53784,
     /* 2274363 */     GIR_EraseRootFromParent_Done,
     /* 2274364 */   // Label 32759: @2274364
     /* 2274364 */   GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2274412), // Rule ID 53785 //
     /* 2274369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274372 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2274389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274411 */     // GIR_Coverage, 53785,
     /* 2274411 */     GIR_EraseRootFromParent_Done,
     /* 2274412 */   // Label 32760: @2274412
     /* 2274412 */   GIM_Reject,
     /* 2274413 */ // Label 32758: @2274413
     /* 2274413 */ GIM_Reject,
     /* 2274414 */ // Label 32713: @2274414
     /* 2274414 */ GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2274534),
     /* 2274419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2274422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274437 */   GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2274485), // Rule ID 53832 //
     /* 2274442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274445 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2274462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274484 */     // GIR_Coverage, 53832,
     /* 2274484 */     GIR_EraseRootFromParent_Done,
     /* 2274485 */   // Label 32762: @2274485
     /* 2274485 */   GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2274533), // Rule ID 53833 //
     /* 2274490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274493 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2274510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274532 */     // GIR_Coverage, 53833,
     /* 2274532 */     GIR_EraseRootFromParent_Done,
     /* 2274533 */   // Label 32763: @2274533
     /* 2274533 */   GIM_Reject,
     /* 2274534 */ // Label 32761: @2274534
     /* 2274534 */ GIM_Reject,
     /* 2274535 */ // Label 32714: @2274535
     /* 2274535 */ GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2274655),
     /* 2274540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2274543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2274546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274558 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2274606), // Rule ID 53748 //
     /* 2274563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274566 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2274583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274605 */     // GIR_Coverage, 53748,
     /* 2274605 */     GIR_EraseRootFromParent_Done,
     /* 2274606 */   // Label 32765: @2274606
     /* 2274606 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2274654), // Rule ID 53749 //
     /* 2274611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274614 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2274631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274653 */     // GIR_Coverage, 53749,
     /* 2274653 */     GIR_EraseRootFromParent_Done,
     /* 2274654 */   // Label 32766: @2274654
     /* 2274654 */   GIM_Reject,
     /* 2274655 */ // Label 32764: @2274655
     /* 2274655 */ GIM_Reject,
     /* 2274656 */ // Label 32715: @2274656
     /* 2274656 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2274776),
     /* 2274661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2274664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274679 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2274727), // Rule ID 53796 //
     /* 2274684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274687 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2274704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274726 */     // GIR_Coverage, 53796,
     /* 2274726 */     GIR_EraseRootFromParent_Done,
     /* 2274727 */   // Label 32768: @2274727
     /* 2274727 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2274775), // Rule ID 53797 //
     /* 2274732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274735 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2274738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2274752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274774 */     // GIR_Coverage, 53797,
     /* 2274774 */     GIR_EraseRootFromParent_Done,
     /* 2274775 */   // Label 32769: @2274775
     /* 2274775 */   GIM_Reject,
     /* 2274776 */ // Label 32767: @2274776
     /* 2274776 */ GIM_Reject,
     /* 2274777 */ // Label 32716: @2274777
     /* 2274777 */ GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2274897),
     /* 2274782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2274785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2274788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274800 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2274848), // Rule ID 53844 //
     /* 2274805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274808 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2274825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274847 */     // GIR_Coverage, 53844,
     /* 2274847 */     GIR_EraseRootFromParent_Done,
     /* 2274848 */   // Label 32771: @2274848
     /* 2274848 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2274896), // Rule ID 53845 //
     /* 2274853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274856 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2274859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2274873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274895 */     // GIR_Coverage, 53845,
     /* 2274895 */     GIR_EraseRootFromParent_Done,
     /* 2274896 */   // Label 32772: @2274896
     /* 2274896 */   GIM_Reject,
     /* 2274897 */ // Label 32770: @2274897
     /* 2274897 */ GIM_Reject,
     /* 2274898 */ // Label 32717: @2274898
     /* 2274898 */ GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2275018),
     /* 2274903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2274906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274921 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2274969), // Rule ID 53760 //
     /* 2274926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274929 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2274946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274968 */     // GIR_Coverage, 53760,
     /* 2274968 */     GIR_EraseRootFromParent_Done,
     /* 2274969 */   // Label 32774: @2274969
     /* 2274969 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2275017), // Rule ID 53761 //
     /* 2274974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274977 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2274980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2274994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275016 */     // GIR_Coverage, 53761,
     /* 2275016 */     GIR_EraseRootFromParent_Done,
     /* 2275017 */   // Label 32775: @2275017
     /* 2275017 */   GIM_Reject,
     /* 2275018 */ // Label 32773: @2275018
     /* 2275018 */ GIM_Reject,
     /* 2275019 */ // Label 32718: @2275019
     /* 2275019 */ GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2275139),
     /* 2275024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2275027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275042 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2275090), // Rule ID 53808 //
     /* 2275047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275050 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2275067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275089 */     // GIR_Coverage, 53808,
     /* 2275089 */     GIR_EraseRootFromParent_Done,
     /* 2275090 */   // Label 32777: @2275090
     /* 2275090 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2275138), // Rule ID 53809 //
     /* 2275095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275098 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2275115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275137 */     // GIR_Coverage, 53809,
     /* 2275137 */     GIR_EraseRootFromParent_Done,
     /* 2275138 */   // Label 32778: @2275138
     /* 2275138 */   GIM_Reject,
     /* 2275139 */ // Label 32776: @2275139
     /* 2275139 */ GIM_Reject,
     /* 2275140 */ // Label 32719: @2275140
     /* 2275140 */ GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2275260),
     /* 2275145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2275148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2275151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275163 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2275211), // Rule ID 53772 //
     /* 2275168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275171 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2275188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275210 */     // GIR_Coverage, 53772,
     /* 2275210 */     GIR_EraseRootFromParent_Done,
     /* 2275211 */   // Label 32780: @2275211
     /* 2275211 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2275259), // Rule ID 53773 //
     /* 2275216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275219 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2275236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275258 */     // GIR_Coverage, 53773,
     /* 2275258 */     GIR_EraseRootFromParent_Done,
     /* 2275259 */   // Label 32781: @2275259
     /* 2275259 */   GIM_Reject,
     /* 2275260 */ // Label 32779: @2275260
     /* 2275260 */ GIM_Reject,
     /* 2275261 */ // Label 32720: @2275261
     /* 2275261 */ GIM_Reject,
     /* 2275262 */ // Label 97: @2275262
     /* 2275262 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32800*/ GIMT_Encode4(2277689),
     /* 2275273 */ /*GILLT_s16*//*Label 32782*/ GIMT_Encode4(2275393),
     /* 2275277 */ /*GILLT_s32*//*Label 32783*/ GIMT_Encode4(2275542),
     /* 2275281 */ /*GILLT_s64*//*Label 32784*/ GIMT_Encode4(2275691), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275293 */ /*GILLT_nxv1s16*//*Label 32785*/ GIMT_Encode4(2275874),
     /* 2275297 */ /*GILLT_nxv1s32*//*Label 32786*/ GIMT_Encode4(2275995),
     /* 2275301 */ /*GILLT_nxv1s64*//*Label 32787*/ GIMT_Encode4(2276116), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275313 */ /*GILLT_nxv2s16*//*Label 32788*/ GIMT_Encode4(2276237),
     /* 2275317 */ /*GILLT_nxv2s32*//*Label 32789*/ GIMT_Encode4(2276358),
     /* 2275321 */ /*GILLT_nxv2s64*//*Label 32790*/ GIMT_Encode4(2276479), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275333 */ /*GILLT_nxv4s16*//*Label 32791*/ GIMT_Encode4(2276600),
     /* 2275337 */ /*GILLT_nxv4s32*//*Label 32792*/ GIMT_Encode4(2276721),
     /* 2275341 */ /*GILLT_nxv4s64*//*Label 32793*/ GIMT_Encode4(2276842), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275353 */ /*GILLT_nxv8s16*//*Label 32794*/ GIMT_Encode4(2276963),
     /* 2275357 */ /*GILLT_nxv8s32*//*Label 32795*/ GIMT_Encode4(2277084),
     /* 2275361 */ /*GILLT_nxv8s64*//*Label 32796*/ GIMT_Encode4(2277205), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275373 */ /*GILLT_nxv16s16*//*Label 32797*/ GIMT_Encode4(2277326),
     /* 2275377 */ /*GILLT_nxv16s32*//*Label 32798*/ GIMT_Encode4(2277447), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2275389 */ /*GILLT_nxv32s16*//*Label 32799*/ GIMT_Encode4(2277568),
     /* 2275393 */ // Label 32782: @2275393
     /* 2275393 */ GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2275541),
     /* 2275398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2275401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2275404 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2275438), // Rule ID 1838 //
     /* 2275409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2275412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275424 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2275424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2275427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275437 */     // GIR_Coverage, 1838,
     /* 2275437 */     GIR_EraseRootFromParent_Done,
     /* 2275438 */   // Label 32802: @2275438
     /* 2275438 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2275472), // Rule ID 1839 //
     /* 2275443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2275446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2275458 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2275458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2275461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275471 */     // GIR_Coverage, 1839,
     /* 2275471 */     GIR_EraseRootFromParent_Done,
     /* 2275472 */   // Label 32803: @2275472
     /* 2275472 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2275506), // Rule ID 1842 //
     /* 2275477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2275480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275492 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2275492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2275495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275505 */     // GIR_Coverage, 1842,
     /* 2275505 */     GIR_EraseRootFromParent_Done,
     /* 2275506 */   // Label 32804: @2275506
     /* 2275506 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2275540), // Rule ID 1843 //
     /* 2275511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2275514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2275526 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2275526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2275529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275539 */     // GIR_Coverage, 1843,
     /* 2275539 */     GIR_EraseRootFromParent_Done,
     /* 2275540 */   // Label 32805: @2275540
     /* 2275540 */   GIM_Reject,
     /* 2275541 */ // Label 32801: @2275541
     /* 2275541 */ GIM_Reject,
     /* 2275542 */ // Label 32783: @2275542
     /* 2275542 */ GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2275690),
     /* 2275547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2275550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2275553 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2275587), // Rule ID 1129 //
     /* 2275558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2275561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275573 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2275573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2275576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275586 */     // GIR_Coverage, 1129,
     /* 2275586 */     GIR_EraseRootFromParent_Done,
     /* 2275587 */   // Label 32807: @2275587
     /* 2275587 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2275621), // Rule ID 1130 //
     /* 2275592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2275595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275607 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2275607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2275610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275620 */     // GIR_Coverage, 1130,
     /* 2275620 */     GIR_EraseRootFromParent_Done,
     /* 2275621 */   // Label 32808: @2275621
     /* 2275621 */   GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2275655), // Rule ID 1133 //
     /* 2275626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2275629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275641 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2275641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2275644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275654 */     // GIR_Coverage, 1133,
     /* 2275654 */     GIR_EraseRootFromParent_Done,
     /* 2275655 */   // Label 32809: @2275655
     /* 2275655 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2275689), // Rule ID 1134 //
     /* 2275660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2275663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2275675 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2275675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2275678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275688 */     // GIR_Coverage, 1134,
     /* 2275688 */     GIR_EraseRootFromParent_Done,
     /* 2275689 */   // Label 32810: @2275689
     /* 2275689 */   GIM_Reject,
     /* 2275690 */ // Label 32806: @2275690
     /* 2275690 */ GIM_Reject,
     /* 2275691 */ // Label 32784: @2275691
     /* 2275691 */ GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2275873),
     /* 2275696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2275699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2275702 */   GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2275736), // Rule ID 1470 //
     /* 2275707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2275710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275722 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2275722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2275725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275735 */     // GIR_Coverage, 1470,
     /* 2275735 */     GIR_EraseRootFromParent_Done,
     /* 2275736 */   // Label 32812: @2275736
     /* 2275736 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2275770), // Rule ID 1471 //
     /* 2275741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2275744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275756 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2275756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2275759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275769 */     // GIR_Coverage, 1471,
     /* 2275769 */     GIR_EraseRootFromParent_Done,
     /* 2275770 */   // Label 32813: @2275770
     /* 2275770 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2275804), // Rule ID 1474 //
     /* 2275775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2275778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275790 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2275790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2275793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275803 */     // GIR_Coverage, 1474,
     /* 2275803 */     GIR_EraseRootFromParent_Done,
     /* 2275804 */   // Label 32814: @2275804
     /* 2275804 */   GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2275838), // Rule ID 1475 //
     /* 2275809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2275812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2275824 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2275824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2275827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275837 */     // GIR_Coverage, 1475,
     /* 2275837 */     GIR_EraseRootFromParent_Done,
     /* 2275838 */   // Label 32815: @2275838
     /* 2275838 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2275872), // Rule ID 1478 //
     /* 2275843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2275846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2275858 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2275858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2275861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275871 */     // GIR_Coverage, 1478,
     /* 2275871 */     GIR_EraseRootFromParent_Done,
     /* 2275872 */   // Label 32816: @2275872
     /* 2275872 */   GIM_Reject,
     /* 2275873 */ // Label 32811: @2275873
     /* 2275873 */ GIM_Reject,
     /* 2275874 */ // Label 32785: @2275874
     /* 2275874 */ GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2275994),
     /* 2275879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2275882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2275885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275897 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2275945), // Rule ID 53856 //
     /* 2275902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275905 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2275922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275944 */     // GIR_Coverage, 53856,
     /* 2275944 */     GIR_EraseRootFromParent_Done,
     /* 2275945 */   // Label 32818: @2275945
     /* 2275945 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2275993), // Rule ID 53857 //
     /* 2275950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275953 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2275956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2275970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275992 */     // GIR_Coverage, 53857,
     /* 2275992 */     GIR_EraseRootFromParent_Done,
     /* 2275993 */   // Label 32819: @2275993
     /* 2275993 */   GIM_Reject,
     /* 2275994 */ // Label 32817: @2275994
     /* 2275994 */ GIM_Reject,
     /* 2275995 */ // Label 32786: @2275995
     /* 2275995 */ GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2276115),
     /* 2276000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2276003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276018 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2276066), // Rule ID 53880 //
     /* 2276023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276026 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2276043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276065 */     // GIR_Coverage, 53880,
     /* 2276065 */     GIR_EraseRootFromParent_Done,
     /* 2276066 */   // Label 32821: @2276066
     /* 2276066 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2276114), // Rule ID 53881 //
     /* 2276071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276074 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2276091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276113 */     // GIR_Coverage, 53881,
     /* 2276113 */     GIR_EraseRootFromParent_Done,
     /* 2276114 */   // Label 32822: @2276114
     /* 2276114 */   GIM_Reject,
     /* 2276115 */ // Label 32820: @2276115
     /* 2276115 */ GIM_Reject,
     /* 2276116 */ // Label 32787: @2276116
     /* 2276116 */ GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2276236),
     /* 2276121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2276124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2276127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276139 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2276187), // Rule ID 53916 //
     /* 2276144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276147 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2276164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276186 */     // GIR_Coverage, 53916,
     /* 2276186 */     GIR_EraseRootFromParent_Done,
     /* 2276187 */   // Label 32824: @2276187
     /* 2276187 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2276235), // Rule ID 53917 //
     /* 2276192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276195 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2276212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276234 */     // GIR_Coverage, 53917,
     /* 2276234 */     GIR_EraseRootFromParent_Done,
     /* 2276235 */   // Label 32825: @2276235
     /* 2276235 */   GIM_Reject,
     /* 2276236 */ // Label 32823: @2276236
     /* 2276236 */ GIM_Reject,
     /* 2276237 */ // Label 32788: @2276237
     /* 2276237 */ GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2276357),
     /* 2276242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2276245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2276248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276260 */   GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2276308), // Rule ID 53868 //
     /* 2276265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276268 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2276285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276307 */     // GIR_Coverage, 53868,
     /* 2276307 */     GIR_EraseRootFromParent_Done,
     /* 2276308 */   // Label 32827: @2276308
     /* 2276308 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2276356), // Rule ID 53869 //
     /* 2276313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276316 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2276333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276355 */     // GIR_Coverage, 53869,
     /* 2276355 */     GIR_EraseRootFromParent_Done,
     /* 2276356 */   // Label 32828: @2276356
     /* 2276356 */   GIM_Reject,
     /* 2276357 */ // Label 32826: @2276357
     /* 2276357 */ GIM_Reject,
     /* 2276358 */ // Label 32789: @2276358
     /* 2276358 */ GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2276478),
     /* 2276363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2276366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2276369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276381 */   GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2276429), // Rule ID 53904 //
     /* 2276386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276389 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2276406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276428 */     // GIR_Coverage, 53904,
     /* 2276428 */     GIR_EraseRootFromParent_Done,
     /* 2276429 */   // Label 32830: @2276429
     /* 2276429 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2276477), // Rule ID 53905 //
     /* 2276434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276437 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2276454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276476 */     // GIR_Coverage, 53905,
     /* 2276476 */     GIR_EraseRootFromParent_Done,
     /* 2276477 */   // Label 32831: @2276477
     /* 2276477 */   GIM_Reject,
     /* 2276478 */ // Label 32829: @2276478
     /* 2276478 */ GIM_Reject,
     /* 2276479 */ // Label 32790: @2276479
     /* 2276479 */ GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2276599),
     /* 2276484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2276487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2276490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276502 */   GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2276550), // Rule ID 54000 //
     /* 2276507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276510 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2276527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276549 */     // GIR_Coverage, 54000,
     /* 2276549 */     GIR_EraseRootFromParent_Done,
     /* 2276550 */   // Label 32833: @2276550
     /* 2276550 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2276598), // Rule ID 54001 //
     /* 2276555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276558 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2276561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2276575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276597 */     // GIR_Coverage, 54001,
     /* 2276597 */     GIR_EraseRootFromParent_Done,
     /* 2276598 */   // Label 32834: @2276598
     /* 2276598 */   GIM_Reject,
     /* 2276599 */ // Label 32832: @2276599
     /* 2276599 */ GIM_Reject,
     /* 2276600 */ // Label 32791: @2276600
     /* 2276600 */ GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2276720),
     /* 2276605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2276608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276623 */   GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2276671), // Rule ID 53892 //
     /* 2276628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276631 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2276648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276670 */     // GIR_Coverage, 53892,
     /* 2276670 */     GIR_EraseRootFromParent_Done,
     /* 2276671 */   // Label 32836: @2276671
     /* 2276671 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2276719), // Rule ID 53893 //
     /* 2276676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276679 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2276682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2276696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276718 */     // GIR_Coverage, 53893,
     /* 2276718 */     GIR_EraseRootFromParent_Done,
     /* 2276719 */   // Label 32837: @2276719
     /* 2276719 */   GIM_Reject,
     /* 2276720 */ // Label 32835: @2276720
     /* 2276720 */ GIM_Reject,
     /* 2276721 */ // Label 32792: @2276721
     /* 2276721 */ GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2276841),
     /* 2276726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2276729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2276732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276744 */   GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2276792), // Rule ID 53964 //
     /* 2276749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276752 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2276769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276791 */     // GIR_Coverage, 53964,
     /* 2276791 */     GIR_EraseRootFromParent_Done,
     /* 2276792 */   // Label 32839: @2276792
     /* 2276792 */   GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2276840), // Rule ID 53965 //
     /* 2276797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276800 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2276803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2276817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276839 */     // GIR_Coverage, 53965,
     /* 2276839 */     GIR_EraseRootFromParent_Done,
     /* 2276840 */   // Label 32840: @2276840
     /* 2276840 */   GIM_Reject,
     /* 2276841 */ // Label 32838: @2276841
     /* 2276841 */ GIM_Reject,
     /* 2276842 */ // Label 32793: @2276842
     /* 2276842 */ GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2276962),
     /* 2276847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2276850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2276853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276865 */   GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2276913), // Rule ID 54012 //
     /* 2276870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276873 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2276890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276912 */     // GIR_Coverage, 54012,
     /* 2276912 */     GIR_EraseRootFromParent_Done,
     /* 2276913 */   // Label 32842: @2276913
     /* 2276913 */   GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2276961), // Rule ID 54013 //
     /* 2276918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276921 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2276924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2276938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276960 */     // GIR_Coverage, 54013,
     /* 2276960 */     GIR_EraseRootFromParent_Done,
     /* 2276961 */   // Label 32843: @2276961
     /* 2276961 */   GIM_Reject,
     /* 2276962 */ // Label 32841: @2276962
     /* 2276962 */ GIM_Reject,
     /* 2276963 */ // Label 32794: @2276963
     /* 2276963 */ GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2277083),
     /* 2276968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2276971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276986 */   GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2277034), // Rule ID 53928 //
     /* 2276991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276994 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2276997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2277011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277033 */     // GIR_Coverage, 53928,
     /* 2277033 */     GIR_EraseRootFromParent_Done,
     /* 2277034 */   // Label 32845: @2277034
     /* 2277034 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2277082), // Rule ID 53929 //
     /* 2277039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277042 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2277045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2277059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277081 */     // GIR_Coverage, 53929,
     /* 2277081 */     GIR_EraseRootFromParent_Done,
     /* 2277082 */   // Label 32846: @2277082
     /* 2277082 */   GIM_Reject,
     /* 2277083 */ // Label 32844: @2277083
     /* 2277083 */ GIM_Reject,
     /* 2277084 */ // Label 32795: @2277084
     /* 2277084 */ GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2277204),
     /* 2277089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2277092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2277095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277107 */   GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2277155), // Rule ID 53976 //
     /* 2277112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277115 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2277132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277154 */     // GIR_Coverage, 53976,
     /* 2277154 */     GIR_EraseRootFromParent_Done,
     /* 2277155 */   // Label 32848: @2277155
     /* 2277155 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2277203), // Rule ID 53977 //
     /* 2277160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277163 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2277180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277202 */     // GIR_Coverage, 53977,
     /* 2277202 */     GIR_EraseRootFromParent_Done,
     /* 2277203 */   // Label 32849: @2277203
     /* 2277203 */   GIM_Reject,
     /* 2277204 */ // Label 32847: @2277204
     /* 2277204 */ GIM_Reject,
     /* 2277205 */ // Label 32796: @2277205
     /* 2277205 */ GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2277325),
     /* 2277210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2277213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2277216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277228 */   GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2277276), // Rule ID 54024 //
     /* 2277233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2277236 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2277253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277275 */     // GIR_Coverage, 54024,
     /* 2277275 */     GIR_EraseRootFromParent_Done,
     /* 2277276 */   // Label 32851: @2277276
     /* 2277276 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2277324), // Rule ID 54025 //
     /* 2277281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2277284 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2277287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2277301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277323 */     // GIR_Coverage, 54025,
     /* 2277323 */     GIR_EraseRootFromParent_Done,
     /* 2277324 */   // Label 32852: @2277324
     /* 2277324 */   GIM_Reject,
     /* 2277325 */ // Label 32850: @2277325
     /* 2277325 */ GIM_Reject,
     /* 2277326 */ // Label 32797: @2277326
     /* 2277326 */ GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2277446),
     /* 2277331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2277334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277349 */   GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2277397), // Rule ID 53940 //
     /* 2277354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277357 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2277374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277396 */     // GIR_Coverage, 53940,
     /* 2277396 */     GIR_EraseRootFromParent_Done,
     /* 2277397 */   // Label 32854: @2277397
     /* 2277397 */   GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2277445), // Rule ID 53941 //
     /* 2277402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277405 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2277408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2277422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277444 */     // GIR_Coverage, 53941,
     /* 2277444 */     GIR_EraseRootFromParent_Done,
     /* 2277445 */   // Label 32855: @2277445
     /* 2277445 */   GIM_Reject,
     /* 2277446 */ // Label 32853: @2277446
     /* 2277446 */ GIM_Reject,
     /* 2277447 */ // Label 32798: @2277447
     /* 2277447 */ GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2277567),
     /* 2277452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2277455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277470 */   GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2277518), // Rule ID 53988 //
     /* 2277475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277478 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2277495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277517 */     // GIR_Coverage, 53988,
     /* 2277517 */     GIR_EraseRootFromParent_Done,
     /* 2277518 */   // Label 32857: @2277518
     /* 2277518 */   GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2277566), // Rule ID 53989 //
     /* 2277523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277526 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2277529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2277543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277565 */     // GIR_Coverage, 53989,
     /* 2277565 */     GIR_EraseRootFromParent_Done,
     /* 2277566 */   // Label 32858: @2277566
     /* 2277566 */   GIM_Reject,
     /* 2277567 */ // Label 32856: @2277567
     /* 2277567 */ GIM_Reject,
     /* 2277568 */ // Label 32799: @2277568
     /* 2277568 */ GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2277688),
     /* 2277573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2277576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277591 */   GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2277639), // Rule ID 53952 //
     /* 2277596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277599 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2277616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277638 */     // GIR_Coverage, 53952,
     /* 2277638 */     GIR_EraseRootFromParent_Done,
     /* 2277639 */   // Label 32860: @2277639
     /* 2277639 */   GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2277687), // Rule ID 53953 //
     /* 2277644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277647 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2277650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2277664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277686 */     // GIR_Coverage, 53953,
     /* 2277686 */     GIR_EraseRootFromParent_Done,
     /* 2277687 */   // Label 32861: @2277687
     /* 2277687 */   GIM_Reject,
     /* 2277688 */ // Label 32859: @2277688
     /* 2277688 */ GIM_Reject,
     /* 2277689 */ // Label 32800: @2277689
     /* 2277689 */ GIM_Reject,
     /* 2277690 */ // Label 98: @2277690
     /* 2277690 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32880*/ GIMT_Encode4(2294334),
     /* 2277701 */ /*GILLT_s16*//*Label 32862*/ GIMT_Encode4(2277821),
     /* 2277705 */ /*GILLT_s32*//*Label 32863*/ GIMT_Encode4(2279257),
     /* 2277709 */ /*GILLT_s64*//*Label 32864*/ GIMT_Encode4(2280693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277721 */ /*GILLT_nxv1s16*//*Label 32865*/ GIMT_Encode4(2282484),
     /* 2277725 */ /*GILLT_nxv1s32*//*Label 32866*/ GIMT_Encode4(2283274),
     /* 2277729 */ /*GILLT_nxv1s64*//*Label 32867*/ GIMT_Encode4(2284064), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277741 */ /*GILLT_nxv2s16*//*Label 32868*/ GIMT_Encode4(2284854),
     /* 2277745 */ /*GILLT_nxv2s32*//*Label 32869*/ GIMT_Encode4(2285644),
     /* 2277749 */ /*GILLT_nxv2s64*//*Label 32870*/ GIMT_Encode4(2286434), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277761 */ /*GILLT_nxv4s16*//*Label 32871*/ GIMT_Encode4(2287224),
     /* 2277765 */ /*GILLT_nxv4s32*//*Label 32872*/ GIMT_Encode4(2288014),
     /* 2277769 */ /*GILLT_nxv4s64*//*Label 32873*/ GIMT_Encode4(2288804), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277781 */ /*GILLT_nxv8s16*//*Label 32874*/ GIMT_Encode4(2289594),
     /* 2277785 */ /*GILLT_nxv8s32*//*Label 32875*/ GIMT_Encode4(2290384),
     /* 2277789 */ /*GILLT_nxv8s64*//*Label 32876*/ GIMT_Encode4(2291174), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277801 */ /*GILLT_nxv16s16*//*Label 32877*/ GIMT_Encode4(2291964),
     /* 2277805 */ /*GILLT_nxv16s32*//*Label 32878*/ GIMT_Encode4(2292754), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2277817 */ /*GILLT_nxv32s16*//*Label 32879*/ GIMT_Encode4(2293544),
     /* 2277821 */ // Label 32862: @2277821
     /* 2277821 */ GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2279256),
     /* 2277826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2277829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2277832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2277835 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2277907), // Rule ID 1871 //
     /* 2277840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2277843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2277851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2277855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2277859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2277872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2277876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2277880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2277887 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2277887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2277890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2277896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2277902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277906 */     // GIR_Coverage, 1871,
     /* 2277906 */     GIR_EraseRootFromParent_Done,
     /* 2277907 */   // Label 32882: @2277907
     /* 2277907 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2277979), // Rule ID 1872 //
     /* 2277912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2277915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2277923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2277927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2277931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2277944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2277948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2277952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2277957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2277959 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2277959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2277962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2277968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2277974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277978 */     // GIR_Coverage, 1872,
     /* 2277978 */     GIR_EraseRootFromParent_Done,
     /* 2277979 */   // Label 32883: @2277979
     /* 2277979 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2278051), // Rule ID 1904 //
     /* 2277984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2277987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2277991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2277995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2277999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278031 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2278034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278050 */     // GIR_Coverage, 1904,
     /* 2278050 */     GIR_EraseRootFromParent_Done,
     /* 2278051 */   // Label 32884: @2278051
     /* 2278051 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2278123), // Rule ID 1905 //
     /* 2278056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2278059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2278067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278103 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2278106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278122 */     // GIR_Coverage, 1905,
     /* 2278122 */     GIR_EraseRootFromParent_Done,
     /* 2278123 */   // Label 32885: @2278123
     /* 2278123 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2278195), // Rule ID 64031 //
     /* 2278128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2278131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278175 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2278178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278194 */     // GIR_Coverage, 64031,
     /* 2278194 */     GIR_EraseRootFromParent_Done,
     /* 2278195 */   // Label 32886: @2278195
     /* 2278195 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2278267), // Rule ID 64032 //
     /* 2278200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2278203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278247 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2278250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278266 */     // GIR_Coverage, 64032,
     /* 2278266 */     GIR_EraseRootFromParent_Done,
     /* 2278267 */   // Label 32887: @2278267
     /* 2278267 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2278339), // Rule ID 64039 //
     /* 2278272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2278275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278319 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2278322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278338 */     // GIR_Coverage, 64039,
     /* 2278338 */     GIR_EraseRootFromParent_Done,
     /* 2278339 */   // Label 32888: @2278339
     /* 2278339 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2278411), // Rule ID 64040 //
     /* 2278344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2278347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2278376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2278391 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2278394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2278406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278410 */     // GIR_Coverage, 64040,
     /* 2278410 */     GIR_EraseRootFromParent_Done,
     /* 2278411 */   // Label 32889: @2278411
     /* 2278411 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2278468), // Rule ID 1867 //
     /* 2278416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2278419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2278427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278450 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2278453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278467 */     // GIR_Coverage, 1867,
     /* 2278467 */     GIR_EraseRootFromParent_Done,
     /* 2278468 */   // Label 32890: @2278468
     /* 2278468 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2278525), // Rule ID 1868 //
     /* 2278473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2278476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2278484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278507 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2278510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278524 */     // GIR_Coverage, 1868,
     /* 2278524 */     GIR_EraseRootFromParent_Done,
     /* 2278525 */   // Label 32891: @2278525
     /* 2278525 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2278582), // Rule ID 1900 //
     /* 2278530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2278533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2278541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278564 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2278567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278581 */     // GIR_Coverage, 1900,
     /* 2278581 */     GIR_EraseRootFromParent_Done,
     /* 2278582 */   // Label 32892: @2278582
     /* 2278582 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2278639), // Rule ID 1901 //
     /* 2278587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2278590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2278598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278621 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2278624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278638 */     // GIR_Coverage, 1901,
     /* 2278638 */     GIR_EraseRootFromParent_Done,
     /* 2278639 */   // Label 32893: @2278639
     /* 2278639 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2278696), // Rule ID 64027 //
     /* 2278644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2278647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278678 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2278681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278695 */     // GIR_Coverage, 64027,
     /* 2278695 */     GIR_EraseRootFromParent_Done,
     /* 2278696 */   // Label 32894: @2278696
     /* 2278696 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2278753), // Rule ID 64028 //
     /* 2278701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2278704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278735 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2278738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278752 */     // GIR_Coverage, 64028,
     /* 2278752 */     GIR_EraseRootFromParent_Done,
     /* 2278753 */   // Label 32895: @2278753
     /* 2278753 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2278810), // Rule ID 64035 //
     /* 2278758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2278761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278792 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2278795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278809 */     // GIR_Coverage, 64035,
     /* 2278809 */     GIR_EraseRootFromParent_Done,
     /* 2278810 */   // Label 32896: @2278810
     /* 2278810 */   GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2278867), // Rule ID 64036 //
     /* 2278815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2278818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2278830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278849 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2278852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2278858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278866 */     // GIR_Coverage, 64036,
     /* 2278866 */     GIR_EraseRootFromParent_Done,
     /* 2278867 */   // Label 32897: @2278867
     /* 2278867 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2278924), // Rule ID 1863 //
     /* 2278872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2278875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2278891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278906 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2278906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2278909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2278919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278923 */     // GIR_Coverage, 1863,
     /* 2278923 */     GIR_EraseRootFromParent_Done,
     /* 2278924 */   // Label 32898: @2278924
     /* 2278924 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2278981), // Rule ID 1864 //
     /* 2278929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2278932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2278948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2278952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2278963 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2278963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2278966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2278976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278980 */     // GIR_Coverage, 1864,
     /* 2278980 */     GIR_EraseRootFromParent_Done,
     /* 2278981 */   // Label 32899: @2278981
     /* 2278981 */   GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2279038), // Rule ID 1896 //
     /* 2278986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2278989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2278997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2279005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2279013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2279020 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2279020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2279023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2279033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279037 */     // GIR_Coverage, 1896,
     /* 2279037 */     GIR_EraseRootFromParent_Done,
     /* 2279038 */   // Label 32900: @2279038
     /* 2279038 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2279095), // Rule ID 1897 //
     /* 2279043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2279046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2279062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2279070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2279077 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2279077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2279080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2279090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279094 */     // GIR_Coverage, 1897,
     /* 2279094 */     GIR_EraseRootFromParent_Done,
     /* 2279095 */   // Label 32901: @2279095
     /* 2279095 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2279135), // Rule ID 1859 //
     /* 2279100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2279103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279119 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2279119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2279122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279134 */     // GIR_Coverage, 1859,
     /* 2279134 */     GIR_EraseRootFromParent_Done,
     /* 2279135 */   // Label 32902: @2279135
     /* 2279135 */   GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2279175), // Rule ID 1860 //
     /* 2279140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2279143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279159 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2279159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2279162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279174 */     // GIR_Coverage, 1860,
     /* 2279174 */     GIR_EraseRootFromParent_Done,
     /* 2279175 */   // Label 32903: @2279175
     /* 2279175 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2279215), // Rule ID 1892 //
     /* 2279180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2279183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279199 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2279199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2279202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279214 */     // GIR_Coverage, 1892,
     /* 2279214 */     GIR_EraseRootFromParent_Done,
     /* 2279215 */   // Label 32904: @2279215
     /* 2279215 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2279255), // Rule ID 1893 //
     /* 2279220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2279223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279239 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2279239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2279242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279254 */     // GIR_Coverage, 1893,
     /* 2279254 */     GIR_EraseRootFromParent_Done,
     /* 2279255 */   // Label 32905: @2279255
     /* 2279255 */   GIM_Reject,
     /* 2279256 */ // Label 32881: @2279256
     /* 2279256 */ GIM_Reject,
     /* 2279257 */ // Label 32863: @2279257
     /* 2279257 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2280692),
     /* 2279262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2279268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2279271 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2279343), // Rule ID 1170 //
     /* 2279276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2279279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279323 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2279323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2279326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279342 */     // GIR_Coverage, 1170,
     /* 2279342 */     GIR_EraseRootFromParent_Done,
     /* 2279343 */   // Label 32907: @2279343
     /* 2279343 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2279415), // Rule ID 1171 //
     /* 2279348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2279351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279395 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2279395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2279398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279414 */     // GIR_Coverage, 1171,
     /* 2279414 */     GIR_EraseRootFromParent_Done,
     /* 2279415 */   // Label 32908: @2279415
     /* 2279415 */   GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2279487), // Rule ID 1191 //
     /* 2279420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2279423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279467 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2279467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2279470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279486 */     // GIR_Coverage, 1191,
     /* 2279486 */     GIR_EraseRootFromParent_Done,
     /* 2279487 */   // Label 32909: @2279487
     /* 2279487 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2279559), // Rule ID 1192 //
     /* 2279492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2279495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279539 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2279539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2279542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279558 */     // GIR_Coverage, 1192,
     /* 2279558 */     GIR_EraseRootFromParent_Done,
     /* 2279559 */   // Label 32910: @2279559
     /* 2279559 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2279631), // Rule ID 63995 //
     /* 2279564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2279567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2279579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279611 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2279611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2279614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2279622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279630 */     // GIR_Coverage, 63995,
     /* 2279630 */     GIR_EraseRootFromParent_Done,
     /* 2279631 */   // Label 32911: @2279631
     /* 2279631 */   GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2279703), // Rule ID 63996 //
     /* 2279636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2279639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2279651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279683 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2279683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2279686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2279694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279702 */     // GIR_Coverage, 63996,
     /* 2279702 */     GIR_EraseRootFromParent_Done,
     /* 2279703 */   // Label 32912: @2279703
     /* 2279703 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2279775), // Rule ID 64003 //
     /* 2279708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2279711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2279723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279753 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279755 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2279755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2279758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2279766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279774 */     // GIR_Coverage, 64003,
     /* 2279774 */     GIR_EraseRootFromParent_Done,
     /* 2279775 */   // Label 32913: @2279775
     /* 2279775 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2279847), // Rule ID 64004 //
     /* 2279780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2279783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2279795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2279812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2279827 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2279827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2279830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2279838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2279842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279846 */     // GIR_Coverage, 64004,
     /* 2279846 */     GIR_EraseRootFromParent_Done,
     /* 2279847 */   // Label 32914: @2279847
     /* 2279847 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2279904), // Rule ID 1166 //
     /* 2279852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2279855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2279886 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2279886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2279889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279903 */     // GIR_Coverage, 1166,
     /* 2279903 */     GIR_EraseRootFromParent_Done,
     /* 2279904 */   // Label 32915: @2279904
     /* 2279904 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2279961), // Rule ID 1167 //
     /* 2279909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2279912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2279943 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2279943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2279946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2279952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2279956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279960 */     // GIR_Coverage, 1167,
     /* 2279960 */     GIR_EraseRootFromParent_Done,
     /* 2279961 */   // Label 32916: @2279961
     /* 2279961 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2280018), // Rule ID 1187 //
     /* 2279966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2279969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2279977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2279981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280000 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2280003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280017 */     // GIR_Coverage, 1187,
     /* 2280017 */     GIR_EraseRootFromParent_Done,
     /* 2280018 */   // Label 32917: @2280018
     /* 2280018 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2280075), // Rule ID 1188 //
     /* 2280023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2280034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280057 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2280060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280074 */     // GIR_Coverage, 1188,
     /* 2280074 */     GIR_EraseRootFromParent_Done,
     /* 2280075 */   // Label 32918: @2280075
     /* 2280075 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2280132), // Rule ID 63991 //
     /* 2280080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2280083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2280095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280114 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2280117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2280125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280131 */     // GIR_Coverage, 63991,
     /* 2280131 */     GIR_EraseRootFromParent_Done,
     /* 2280132 */   // Label 32919: @2280132
     /* 2280132 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2280189), // Rule ID 63992 //
     /* 2280137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2280140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2280152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280171 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2280174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2280182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280188 */     // GIR_Coverage, 63992,
     /* 2280188 */     GIR_EraseRootFromParent_Done,
     /* 2280189 */   // Label 32920: @2280189
     /* 2280189 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2280246), // Rule ID 63999 //
     /* 2280194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2280197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2280209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280228 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2280231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2280239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280245 */     // GIR_Coverage, 63999,
     /* 2280245 */     GIR_EraseRootFromParent_Done,
     /* 2280246 */   // Label 32921: @2280246
     /* 2280246 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2280303), // Rule ID 64000 //
     /* 2280251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2280266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280285 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2280288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2280296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280302 */     // GIR_Coverage, 64000,
     /* 2280302 */     GIR_EraseRootFromParent_Done,
     /* 2280303 */   // Label 32922: @2280303
     /* 2280303 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2280360), // Rule ID 1162 //
     /* 2280308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2280311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2280327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280342 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2280345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2280355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280359 */     // GIR_Coverage, 1162,
     /* 2280359 */     GIR_EraseRootFromParent_Done,
     /* 2280360 */   // Label 32923: @2280360
     /* 2280360 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2280417), // Rule ID 1163 //
     /* 2280365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2280368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2280384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280399 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2280402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2280412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280416 */     // GIR_Coverage, 1163,
     /* 2280416 */     GIR_EraseRootFromParent_Done,
     /* 2280417 */   // Label 32924: @2280417
     /* 2280417 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2280474), // Rule ID 1183 //
     /* 2280422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2280425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2280441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280456 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2280459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2280469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280473 */     // GIR_Coverage, 1183,
     /* 2280473 */     GIR_EraseRootFromParent_Done,
     /* 2280474 */   // Label 32925: @2280474
     /* 2280474 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2280531), // Rule ID 1184 //
     /* 2280479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2280498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2280506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2280513 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2280516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2280526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280530 */     // GIR_Coverage, 1184,
     /* 2280530 */     GIR_EraseRootFromParent_Done,
     /* 2280531 */   // Label 32926: @2280531
     /* 2280531 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2280571), // Rule ID 1158 //
     /* 2280536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2280539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280555 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2280558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280570 */     // GIR_Coverage, 1158,
     /* 2280570 */     GIR_EraseRootFromParent_Done,
     /* 2280571 */   // Label 32927: @2280571
     /* 2280571 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2280611), // Rule ID 1159 //
     /* 2280576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2280579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280595 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2280598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280610 */     // GIR_Coverage, 1159,
     /* 2280610 */     GIR_EraseRootFromParent_Done,
     /* 2280611 */   // Label 32928: @2280611
     /* 2280611 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2280651), // Rule ID 1179 //
     /* 2280616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2280619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280635 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2280635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2280638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280650 */     // GIR_Coverage, 1179,
     /* 2280650 */     GIR_EraseRootFromParent_Done,
     /* 2280651 */   // Label 32929: @2280651
     /* 2280651 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2280691), // Rule ID 1180 //
     /* 2280656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2280659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2280675 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2280675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2280678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2280686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280690 */     // GIR_Coverage, 1180,
     /* 2280690 */     GIR_EraseRootFromParent_Done,
     /* 2280691 */   // Label 32930: @2280691
     /* 2280691 */   GIM_Reject,
     /* 2280692 */ // Label 32906: @2280692
     /* 2280692 */ GIM_Reject,
     /* 2280693 */ // Label 32864: @2280693
     /* 2280693 */ GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2282483),
     /* 2280698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2280704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2280707 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2280779), // Rule ID 1507 //
     /* 2280712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2280715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2280723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2280744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2280759 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2280759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2280762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2280774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280778 */     // GIR_Coverage, 1507,
     /* 2280778 */     GIR_EraseRootFromParent_Done,
     /* 2280779 */   // Label 32932: @2280779
     /* 2280779 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2280851), // Rule ID 1508 //
     /* 2280784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2280787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2280795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2280816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2280831 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2280831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2280834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2280846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280850 */     // GIR_Coverage, 1508,
     /* 2280850 */     GIR_EraseRootFromParent_Done,
     /* 2280851 */   // Label 32933: @2280851
     /* 2280851 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2280923), // Rule ID 1531 //
     /* 2280856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2280859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2280867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2280888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2280901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2280903 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2280903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2280906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2280918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280922 */     // GIR_Coverage, 1531,
     /* 2280922 */     GIR_EraseRootFromParent_Done,
     /* 2280923 */   // Label 32934: @2280923
     /* 2280923 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2280995), // Rule ID 1562 //
     /* 2280928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2280931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2280939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2280960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2280964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2280968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2280973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2280975 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2280975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2280978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2280984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2280990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280994 */     // GIR_Coverage, 1562,
     /* 2280994 */     GIR_EraseRootFromParent_Done,
     /* 2280995 */   // Label 32935: @2280995
     /* 2280995 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2281067), // Rule ID 1563 //
     /* 2281000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281047 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2281050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281066 */     // GIR_Coverage, 1563,
     /* 2281066 */     GIR_EraseRootFromParent_Done,
     /* 2281067 */   // Label 32936: @2281067
     /* 2281067 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2281139), // Rule ID 64011 //
     /* 2281072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281119 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2281122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281138 */     // GIR_Coverage, 64011,
     /* 2281138 */     GIR_EraseRootFromParent_Done,
     /* 2281139 */   // Label 32937: @2281139
     /* 2281139 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2281211), // Rule ID 64012 //
     /* 2281144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281191 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2281194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281210 */     // GIR_Coverage, 64012,
     /* 2281210 */     GIR_EraseRootFromParent_Done,
     /* 2281211 */   // Label 32938: @2281211
     /* 2281211 */   GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2281283), // Rule ID 64017 //
     /* 2281216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281263 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2281266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281282 */     // GIR_Coverage, 64017,
     /* 2281282 */     GIR_EraseRootFromParent_Done,
     /* 2281283 */   // Label 32939: @2281283
     /* 2281283 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2281355), // Rule ID 64023 //
     /* 2281288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281335 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2281338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281354 */     // GIR_Coverage, 64023,
     /* 2281354 */     GIR_EraseRootFromParent_Done,
     /* 2281355 */   // Label 32940: @2281355
     /* 2281355 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2281427), // Rule ID 64024 //
     /* 2281360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281407 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2281410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281426 */     // GIR_Coverage, 64024,
     /* 2281426 */     GIR_EraseRootFromParent_Done,
     /* 2281427 */   // Label 32941: @2281427
     /* 2281427 */   GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2281484), // Rule ID 1503 //
     /* 2281432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281466 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2281469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281483 */     // GIR_Coverage, 1503,
     /* 2281483 */     GIR_EraseRootFromParent_Done,
     /* 2281484 */   // Label 32942: @2281484
     /* 2281484 */   GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2281541), // Rule ID 1504 //
     /* 2281489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281523 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2281526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281540 */     // GIR_Coverage, 1504,
     /* 2281540 */     GIR_EraseRootFromParent_Done,
     /* 2281541 */   // Label 32943: @2281541
     /* 2281541 */   GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2281598), // Rule ID 1529 //
     /* 2281546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281580 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2281583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281597 */     // GIR_Coverage, 1529,
     /* 2281597 */     GIR_EraseRootFromParent_Done,
     /* 2281598 */   // Label 32944: @2281598
     /* 2281598 */   GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2281655), // Rule ID 1558 //
     /* 2281603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281637 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2281640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281654 */     // GIR_Coverage, 1558,
     /* 2281654 */     GIR_EraseRootFromParent_Done,
     /* 2281655 */   // Label 32945: @2281655
     /* 2281655 */   GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2281712), // Rule ID 1559 //
     /* 2281660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281694 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2281697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281711 */     // GIR_Coverage, 1559,
     /* 2281711 */     GIR_EraseRootFromParent_Done,
     /* 2281712 */   // Label 32946: @2281712
     /* 2281712 */   GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2281769), // Rule ID 64007 //
     /* 2281717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281751 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2281754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281768 */     // GIR_Coverage, 64007,
     /* 2281768 */     GIR_EraseRootFromParent_Done,
     /* 2281769 */   // Label 32947: @2281769
     /* 2281769 */   GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2281826), // Rule ID 64008 //
     /* 2281774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281808 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2281811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281825 */     // GIR_Coverage, 64008,
     /* 2281825 */     GIR_EraseRootFromParent_Done,
     /* 2281826 */   // Label 32948: @2281826
     /* 2281826 */   GIM_Try, /*On fail goto*//*Label 32949*/ GIMT_Encode4(2281883), // Rule ID 64015 //
     /* 2281831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281865 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2281868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281882 */     // GIR_Coverage, 64015,
     /* 2281882 */     GIR_EraseRootFromParent_Done,
     /* 2281883 */   // Label 32949: @2281883
     /* 2281883 */   GIM_Try, /*On fail goto*//*Label 32950*/ GIMT_Encode4(2281940), // Rule ID 64019 //
     /* 2281888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281922 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2281922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2281925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281939 */     // GIR_Coverage, 64019,
     /* 2281939 */     GIR_EraseRootFromParent_Done,
     /* 2281940 */   // Label 32950: @2281940
     /* 2281940 */   GIM_Try, /*On fail goto*//*Label 32951*/ GIMT_Encode4(2281997), // Rule ID 64020 //
     /* 2281945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2281979 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2281979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2281982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2281992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281996 */     // GIR_Coverage, 64020,
     /* 2281996 */     GIR_EraseRootFromParent_Done,
     /* 2281997 */   // Label 32951: @2281997
     /* 2281997 */   GIM_Try, /*On fail goto*//*Label 32952*/ GIMT_Encode4(2282054), // Rule ID 1499 //
     /* 2282002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2282005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282036 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2282039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282053 */     // GIR_Coverage, 1499,
     /* 2282053 */     GIR_EraseRootFromParent_Done,
     /* 2282054 */   // Label 32952: @2282054
     /* 2282054 */   GIM_Try, /*On fail goto*//*Label 32953*/ GIMT_Encode4(2282111), // Rule ID 1500 //
     /* 2282059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2282062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282093 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2282093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2282096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282110 */     // GIR_Coverage, 1500,
     /* 2282110 */     GIR_EraseRootFromParent_Done,
     /* 2282111 */   // Label 32953: @2282111
     /* 2282111 */   GIM_Try, /*On fail goto*//*Label 32954*/ GIMT_Encode4(2282168), // Rule ID 1527 //
     /* 2282116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2282119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282150 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2282153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282167 */     // GIR_Coverage, 1527,
     /* 2282167 */     GIR_EraseRootFromParent_Done,
     /* 2282168 */   // Label 32954: @2282168
     /* 2282168 */   GIM_Try, /*On fail goto*//*Label 32955*/ GIMT_Encode4(2282225), // Rule ID 1554 //
     /* 2282173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2282176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282207 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2282210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282224 */     // GIR_Coverage, 1554,
     /* 2282224 */     GIR_EraseRootFromParent_Done,
     /* 2282225 */   // Label 32955: @2282225
     /* 2282225 */   GIM_Try, /*On fail goto*//*Label 32956*/ GIMT_Encode4(2282282), // Rule ID 1555 //
     /* 2282230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2282233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282264 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2282264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2282267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282281 */     // GIR_Coverage, 1555,
     /* 2282281 */     GIR_EraseRootFromParent_Done,
     /* 2282282 */   // Label 32956: @2282282
     /* 2282282 */   GIM_Try, /*On fail goto*//*Label 32957*/ GIMT_Encode4(2282322), // Rule ID 1495 //
     /* 2282287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2282290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282306 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2282309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282321 */     // GIR_Coverage, 1495,
     /* 2282321 */     GIR_EraseRootFromParent_Done,
     /* 2282322 */   // Label 32957: @2282322
     /* 2282322 */   GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2282362), // Rule ID 1496 //
     /* 2282327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2282330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282346 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2282346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2282349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282361 */     // GIR_Coverage, 1496,
     /* 2282361 */     GIR_EraseRootFromParent_Done,
     /* 2282362 */   // Label 32958: @2282362
     /* 2282362 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2282402), // Rule ID 1525 //
     /* 2282367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2282370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282386 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2282389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282401 */     // GIR_Coverage, 1525,
     /* 2282401 */     GIR_EraseRootFromParent_Done,
     /* 2282402 */   // Label 32959: @2282402
     /* 2282402 */   GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2282442), // Rule ID 1550 //
     /* 2282407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2282410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282426 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2282426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2282429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282441 */     // GIR_Coverage, 1550,
     /* 2282441 */     GIR_EraseRootFromParent_Done,
     /* 2282442 */   // Label 32960: @2282442
     /* 2282442 */   GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2282482), // Rule ID 1551 //
     /* 2282447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2282450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2282466 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2282466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2282469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282481 */     // GIR_Coverage, 1551,
     /* 2282481 */     GIR_EraseRootFromParent_Done,
     /* 2282482 */   // Label 32961: @2282482
     /* 2282482 */   GIM_Reject,
     /* 2282483 */ // Label 32931: @2282483
     /* 2282483 */ GIM_Reject,
     /* 2282484 */ // Label 32865: @2282484
     /* 2282484 */ GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2283273),
     /* 2282489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2282495 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2282498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282502 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2282579), // Rule ID 54290 //
     /* 2282507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282550 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2282550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2282553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2282557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2282565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282578 */     // GIR_Coverage, 54290,
     /* 2282578 */     GIR_EraseRootFromParent_Done,
     /* 2282579 */   // Label 32963: @2282579
     /* 2282579 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2282656), // Rule ID 54291 //
     /* 2282584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282627 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2282627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2282630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2282634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2282642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282655 */     // GIR_Coverage, 54291,
     /* 2282655 */     GIR_EraseRootFromParent_Done,
     /* 2282656 */   // Label 32964: @2282656
     /* 2282656 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2282733), // Rule ID 70835 //
     /* 2282661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282704 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2282704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2282707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2282711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2282719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282732 */     // GIR_Coverage, 70835,
     /* 2282732 */     GIR_EraseRootFromParent_Done,
     /* 2282733 */   // Label 32965: @2282733
     /* 2282733 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2282810), // Rule ID 70836 //
     /* 2282738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282781 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2282781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2282784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2282788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2282796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282809 */     // GIR_Coverage, 70836,
     /* 2282809 */     GIR_EraseRootFromParent_Done,
     /* 2282810 */   // Label 32966: @2282810
     /* 2282810 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2282872), // Rule ID 54294 //
     /* 2282815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282845 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2282845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2282848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2282852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282871 */     // GIR_Coverage, 54294,
     /* 2282871 */     GIR_EraseRootFromParent_Done,
     /* 2282872 */   // Label 32967: @2282872
     /* 2282872 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2282934), // Rule ID 54295 //
     /* 2282877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282907 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2282907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2282910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2282914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282933 */     // GIR_Coverage, 54295,
     /* 2282933 */     GIR_EraseRootFromParent_Done,
     /* 2282934 */   // Label 32968: @2282934
     /* 2282934 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2282996), // Rule ID 70839 //
     /* 2282939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282969 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2282969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2282972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2282976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2282994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282995 */     // GIR_Coverage, 70839,
     /* 2282995 */     GIR_EraseRootFromParent_Done,
     /* 2282996 */   // Label 32969: @2282996
     /* 2282996 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2283058), // Rule ID 70840 //
     /* 2283001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283031 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2283034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2283038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283057 */     // GIR_Coverage, 70840,
     /* 2283057 */     GIR_EraseRootFromParent_Done,
     /* 2283058 */   // Label 32970: @2283058
     /* 2283058 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2283120), // Rule ID 54286 //
     /* 2283063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2283078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283093 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2283096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2283106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283119 */     // GIR_Coverage, 54286,
     /* 2283119 */     GIR_EraseRootFromParent_Done,
     /* 2283120 */   // Label 32971: @2283120
     /* 2283120 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2283182), // Rule ID 54287 //
     /* 2283125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2283140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2283148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283155 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2283158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2283168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283181 */     // GIR_Coverage, 54287,
     /* 2283181 */     GIR_EraseRootFromParent_Done,
     /* 2283182 */   // Label 32972: @2283182
     /* 2283182 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2283227), // Rule ID 54282 //
     /* 2283187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283202 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2283205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283226 */     // GIR_Coverage, 54282,
     /* 2283226 */     GIR_EraseRootFromParent_Done,
     /* 2283227 */   // Label 32973: @2283227
     /* 2283227 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2283272), // Rule ID 54283 //
     /* 2283232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283247 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2283250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283271 */     // GIR_Coverage, 54283,
     /* 2283271 */     GIR_EraseRootFromParent_Done,
     /* 2283272 */   // Label 32974: @2283272
     /* 2283272 */   GIM_Reject,
     /* 2283273 */ // Label 32962: @2283273
     /* 2283273 */ GIM_Reject,
     /* 2283274 */ // Label 32866: @2283274
     /* 2283274 */ GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2284063),
     /* 2283279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2283285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2283288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283292 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2283369), // Rule ID 54418 //
     /* 2283297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283340 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2283343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2283355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283368 */     // GIR_Coverage, 54418,
     /* 2283368 */     GIR_EraseRootFromParent_Done,
     /* 2283369 */   // Label 32976: @2283369
     /* 2283369 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2283446), // Rule ID 54419 //
     /* 2283374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283417 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2283420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2283432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283445 */     // GIR_Coverage, 54419,
     /* 2283445 */     GIR_EraseRootFromParent_Done,
     /* 2283446 */   // Label 32977: @2283446
     /* 2283446 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2283523), // Rule ID 70947 //
     /* 2283451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283494 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2283497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2283501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2283509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283522 */     // GIR_Coverage, 70947,
     /* 2283522 */     GIR_EraseRootFromParent_Done,
     /* 2283523 */   // Label 32978: @2283523
     /* 2283523 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2283600), // Rule ID 70948 //
     /* 2283528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283571 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2283574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2283578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2283586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283599 */     // GIR_Coverage, 70948,
     /* 2283599 */     GIR_EraseRootFromParent_Done,
     /* 2283600 */   // Label 32979: @2283600
     /* 2283600 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2283662), // Rule ID 54422 //
     /* 2283605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283635 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2283638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283661 */     // GIR_Coverage, 54422,
     /* 2283661 */     GIR_EraseRootFromParent_Done,
     /* 2283662 */   // Label 32980: @2283662
     /* 2283662 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2283724), // Rule ID 54423 //
     /* 2283667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283697 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2283700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283723 */     // GIR_Coverage, 54423,
     /* 2283723 */     GIR_EraseRootFromParent_Done,
     /* 2283724 */   // Label 32981: @2283724
     /* 2283724 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2283786), // Rule ID 70951 //
     /* 2283729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283759 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2283762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2283766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283785 */     // GIR_Coverage, 70951,
     /* 2283785 */     GIR_EraseRootFromParent_Done,
     /* 2283786 */   // Label 32982: @2283786
     /* 2283786 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2283848), // Rule ID 70952 //
     /* 2283791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283821 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2283824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2283828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2283834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283847 */     // GIR_Coverage, 70952,
     /* 2283847 */     GIR_EraseRootFromParent_Done,
     /* 2283848 */   // Label 32983: @2283848
     /* 2283848 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2283910), // Rule ID 54414 //
     /* 2283853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2283868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283883 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2283886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2283896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283909 */     // GIR_Coverage, 54414,
     /* 2283909 */     GIR_EraseRootFromParent_Done,
     /* 2283910 */   // Label 32984: @2283910
     /* 2283910 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2283972), // Rule ID 54415 //
     /* 2283915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2283930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2283938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283945 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2283945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2283948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2283958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2283970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283971 */     // GIR_Coverage, 54415,
     /* 2283971 */     GIR_EraseRootFromParent_Done,
     /* 2283972 */   // Label 32985: @2283972
     /* 2283972 */   GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2284017), // Rule ID 54410 //
     /* 2283977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283992 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2283992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2283995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2283999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284016 */     // GIR_Coverage, 54410,
     /* 2284016 */     GIR_EraseRootFromParent_Done,
     /* 2284017 */   // Label 32986: @2284017
     /* 2284017 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2284062), // Rule ID 54411 //
     /* 2284022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284037 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2284040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284061 */     // GIR_Coverage, 54411,
     /* 2284061 */     GIR_EraseRootFromParent_Done,
     /* 2284062 */   // Label 32987: @2284062
     /* 2284062 */   GIM_Reject,
     /* 2284063 */ // Label 32975: @2284063
     /* 2284063 */ GIM_Reject,
     /* 2284064 */ // Label 32867: @2284064
     /* 2284064 */ GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2284853),
     /* 2284069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2284078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284082 */   GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2284159), // Rule ID 54610 //
     /* 2284087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284130 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2284133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2284145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284158 */     // GIR_Coverage, 54610,
     /* 2284158 */     GIR_EraseRootFromParent_Done,
     /* 2284159 */   // Label 32989: @2284159
     /* 2284159 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2284236), // Rule ID 54611 //
     /* 2284164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284207 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2284210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2284222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284235 */     // GIR_Coverage, 54611,
     /* 2284235 */     GIR_EraseRootFromParent_Done,
     /* 2284236 */   // Label 32990: @2284236
     /* 2284236 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2284313), // Rule ID 71115 //
     /* 2284241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284284 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2284287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2284291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2284299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284312 */     // GIR_Coverage, 71115,
     /* 2284312 */     GIR_EraseRootFromParent_Done,
     /* 2284313 */   // Label 32991: @2284313
     /* 2284313 */   GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2284390), // Rule ID 71116 //
     /* 2284318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284361 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2284364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2284368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2284376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284389 */     // GIR_Coverage, 71116,
     /* 2284389 */     GIR_EraseRootFromParent_Done,
     /* 2284390 */   // Label 32992: @2284390
     /* 2284390 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2284452), // Rule ID 54614 //
     /* 2284395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284425 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2284428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284451 */     // GIR_Coverage, 54614,
     /* 2284451 */     GIR_EraseRootFromParent_Done,
     /* 2284452 */   // Label 32993: @2284452
     /* 2284452 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2284514), // Rule ID 54615 //
     /* 2284457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284487 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2284490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284513 */     // GIR_Coverage, 54615,
     /* 2284513 */     GIR_EraseRootFromParent_Done,
     /* 2284514 */   // Label 32994: @2284514
     /* 2284514 */   GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2284576), // Rule ID 71119 //
     /* 2284519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284549 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2284552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2284556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284575 */     // GIR_Coverage, 71119,
     /* 2284575 */     GIR_EraseRootFromParent_Done,
     /* 2284576 */   // Label 32995: @2284576
     /* 2284576 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2284638), // Rule ID 71120 //
     /* 2284581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284611 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2284614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2284618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284637 */     // GIR_Coverage, 71120,
     /* 2284637 */     GIR_EraseRootFromParent_Done,
     /* 2284638 */   // Label 32996: @2284638
     /* 2284638 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2284700), // Rule ID 54606 //
     /* 2284643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284673 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2284676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2284686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284699 */     // GIR_Coverage, 54606,
     /* 2284699 */     GIR_EraseRootFromParent_Done,
     /* 2284700 */   // Label 32997: @2284700
     /* 2284700 */   GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2284762), // Rule ID 54607 //
     /* 2284705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284735 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2284738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2284748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284761 */     // GIR_Coverage, 54607,
     /* 2284761 */     GIR_EraseRootFromParent_Done,
     /* 2284762 */   // Label 32998: @2284762
     /* 2284762 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2284807), // Rule ID 54602 //
     /* 2284767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284782 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2284785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284806 */     // GIR_Coverage, 54602,
     /* 2284806 */     GIR_EraseRootFromParent_Done,
     /* 2284807 */   // Label 32999: @2284807
     /* 2284807 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2284852), // Rule ID 54603 //
     /* 2284812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284827 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2284830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2284838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284851 */     // GIR_Coverage, 54603,
     /* 2284851 */     GIR_EraseRootFromParent_Done,
     /* 2284852 */   // Label 33000: @2284852
     /* 2284852 */   GIM_Reject,
     /* 2284853 */ // Label 32988: @2284853
     /* 2284853 */ GIM_Reject,
     /* 2284854 */ // Label 32868: @2284854
     /* 2284854 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2285643),
     /* 2284859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2284868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284872 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2284949), // Rule ID 54354 //
     /* 2284877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284920 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2284920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2284923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2284927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2284935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2284947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284948 */     // GIR_Coverage, 54354,
     /* 2284948 */     GIR_EraseRootFromParent_Done,
     /* 2284949 */   // Label 33002: @2284949
     /* 2284949 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2285026), // Rule ID 54355 //
     /* 2284954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284997 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2284997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2285000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285025 */     // GIR_Coverage, 54355,
     /* 2285025 */     GIR_EraseRootFromParent_Done,
     /* 2285026 */   // Label 33003: @2285026
     /* 2285026 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2285103), // Rule ID 70891 //
     /* 2285031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285074 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2285077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285102 */     // GIR_Coverage, 70891,
     /* 2285102 */     GIR_EraseRootFromParent_Done,
     /* 2285103 */   // Label 33004: @2285103
     /* 2285103 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2285180), // Rule ID 70892 //
     /* 2285108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285151 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2285154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285179 */     // GIR_Coverage, 70892,
     /* 2285179 */     GIR_EraseRootFromParent_Done,
     /* 2285180 */   // Label 33005: @2285180
     /* 2285180 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2285242), // Rule ID 54358 //
     /* 2285185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285215 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2285218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285241 */     // GIR_Coverage, 54358,
     /* 2285241 */     GIR_EraseRootFromParent_Done,
     /* 2285242 */   // Label 33006: @2285242
     /* 2285242 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2285304), // Rule ID 54359 //
     /* 2285247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285277 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2285280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285303 */     // GIR_Coverage, 54359,
     /* 2285303 */     GIR_EraseRootFromParent_Done,
     /* 2285304 */   // Label 33007: @2285304
     /* 2285304 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2285366), // Rule ID 70895 //
     /* 2285309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285339 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2285342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285365 */     // GIR_Coverage, 70895,
     /* 2285365 */     GIR_EraseRootFromParent_Done,
     /* 2285366 */   // Label 33008: @2285366
     /* 2285366 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2285428), // Rule ID 70896 //
     /* 2285371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285401 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2285404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285427 */     // GIR_Coverage, 70896,
     /* 2285427 */     GIR_EraseRootFromParent_Done,
     /* 2285428 */   // Label 33009: @2285428
     /* 2285428 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2285490), // Rule ID 54350 //
     /* 2285433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285463 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2285466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2285476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285489 */     // GIR_Coverage, 54350,
     /* 2285489 */     GIR_EraseRootFromParent_Done,
     /* 2285490 */   // Label 33010: @2285490
     /* 2285490 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2285552), // Rule ID 54351 //
     /* 2285495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285525 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2285528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2285538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285551 */     // GIR_Coverage, 54351,
     /* 2285551 */     GIR_EraseRootFromParent_Done,
     /* 2285552 */   // Label 33011: @2285552
     /* 2285552 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2285597), // Rule ID 54346 //
     /* 2285557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285572 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2285575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285596 */     // GIR_Coverage, 54346,
     /* 2285596 */     GIR_EraseRootFromParent_Done,
     /* 2285597 */   // Label 33012: @2285597
     /* 2285597 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2285642), // Rule ID 54347 //
     /* 2285602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285617 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2285620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2285628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285641 */     // GIR_Coverage, 54347,
     /* 2285641 */     GIR_EraseRootFromParent_Done,
     /* 2285642 */   // Label 33013: @2285642
     /* 2285642 */   GIM_Reject,
     /* 2285643 */ // Label 33001: @2285643
     /* 2285643 */ GIM_Reject,
     /* 2285644 */ // Label 32869: @2285644
     /* 2285644 */ GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2286433),
     /* 2285649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2285655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2285658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285662 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2285739), // Rule ID 54546 //
     /* 2285667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285703 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285710 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2285713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285738 */     // GIR_Coverage, 54546,
     /* 2285738 */     GIR_EraseRootFromParent_Done,
     /* 2285739 */   // Label 33015: @2285739
     /* 2285739 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2285816), // Rule ID 54547 //
     /* 2285744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285787 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2285790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2285794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285815 */     // GIR_Coverage, 54547,
     /* 2285815 */     GIR_EraseRootFromParent_Done,
     /* 2285816 */   // Label 33016: @2285816
     /* 2285816 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2285893), // Rule ID 71059 //
     /* 2285821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285864 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2285864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2285867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285892 */     // GIR_Coverage, 71059,
     /* 2285892 */     GIR_EraseRootFromParent_Done,
     /* 2285893 */   // Label 33017: @2285893
     /* 2285893 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2285970), // Rule ID 71060 //
     /* 2285898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285941 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2285941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2285944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2285948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2285956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2285968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285969 */     // GIR_Coverage, 71060,
     /* 2285969 */     GIR_EraseRootFromParent_Done,
     /* 2285970 */   // Label 33018: @2285970
     /* 2285970 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2286032), // Rule ID 54550 //
     /* 2285975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286005 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2286008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286031 */     // GIR_Coverage, 54550,
     /* 2286031 */     GIR_EraseRootFromParent_Done,
     /* 2286032 */   // Label 33019: @2286032
     /* 2286032 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2286094), // Rule ID 54551 //
     /* 2286037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286067 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2286070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286093 */     // GIR_Coverage, 54551,
     /* 2286093 */     GIR_EraseRootFromParent_Done,
     /* 2286094 */   // Label 33020: @2286094
     /* 2286094 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2286156), // Rule ID 71063 //
     /* 2286099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286129 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2286132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286155 */     // GIR_Coverage, 71063,
     /* 2286155 */     GIR_EraseRootFromParent_Done,
     /* 2286156 */   // Label 33021: @2286156
     /* 2286156 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2286218), // Rule ID 71064 //
     /* 2286161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286191 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2286194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286217 */     // GIR_Coverage, 71064,
     /* 2286217 */     GIR_EraseRootFromParent_Done,
     /* 2286218 */   // Label 33022: @2286218
     /* 2286218 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2286280), // Rule ID 54542 //
     /* 2286223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2286238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286253 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2286256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2286266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286279 */     // GIR_Coverage, 54542,
     /* 2286279 */     GIR_EraseRootFromParent_Done,
     /* 2286280 */   // Label 33023: @2286280
     /* 2286280 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2286342), // Rule ID 54543 //
     /* 2286285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2286300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2286308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286315 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2286318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2286328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286341 */     // GIR_Coverage, 54543,
     /* 2286341 */     GIR_EraseRootFromParent_Done,
     /* 2286342 */   // Label 33024: @2286342
     /* 2286342 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2286387), // Rule ID 54538 //
     /* 2286347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286362 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2286365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286386 */     // GIR_Coverage, 54538,
     /* 2286386 */     GIR_EraseRootFromParent_Done,
     /* 2286387 */   // Label 33025: @2286387
     /* 2286387 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2286432), // Rule ID 54539 //
     /* 2286392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286407 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2286410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286431 */     // GIR_Coverage, 54539,
     /* 2286431 */     GIR_EraseRootFromParent_Done,
     /* 2286432 */   // Label 33026: @2286432
     /* 2286432 */   GIM_Reject,
     /* 2286433 */ // Label 33014: @2286433
     /* 2286433 */ GIM_Reject,
     /* 2286434 */ // Label 32870: @2286434
     /* 2286434 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2287223),
     /* 2286439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2286445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2286448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286452 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2286529), // Rule ID 55058 //
     /* 2286457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286500 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2286503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286528 */     // GIR_Coverage, 55058,
     /* 2286528 */     GIR_EraseRootFromParent_Done,
     /* 2286529 */   // Label 33028: @2286529
     /* 2286529 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2286606), // Rule ID 55059 //
     /* 2286534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286577 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2286580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286605 */     // GIR_Coverage, 55059,
     /* 2286605 */     GIR_EraseRootFromParent_Done,
     /* 2286606 */   // Label 33029: @2286606
     /* 2286606 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2286683), // Rule ID 71507 //
     /* 2286611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286654 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2286657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286682 */     // GIR_Coverage, 71507,
     /* 2286682 */     GIR_EraseRootFromParent_Done,
     /* 2286683 */   // Label 33030: @2286683
     /* 2286683 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2286760), // Rule ID 71508 //
     /* 2286688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286731 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2286734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286759 */     // GIR_Coverage, 71508,
     /* 2286759 */     GIR_EraseRootFromParent_Done,
     /* 2286760 */   // Label 33031: @2286760
     /* 2286760 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2286822), // Rule ID 55062 //
     /* 2286765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286795 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2286798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286821 */     // GIR_Coverage, 55062,
     /* 2286821 */     GIR_EraseRootFromParent_Done,
     /* 2286822 */   // Label 33032: @2286822
     /* 2286822 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2286884), // Rule ID 55063 //
     /* 2286827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286857 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2286860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286883 */     // GIR_Coverage, 55063,
     /* 2286883 */     GIR_EraseRootFromParent_Done,
     /* 2286884 */   // Label 33033: @2286884
     /* 2286884 */   GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2286946), // Rule ID 71511 //
     /* 2286889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286919 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2286922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286945 */     // GIR_Coverage, 71511,
     /* 2286945 */     GIR_EraseRootFromParent_Done,
     /* 2286946 */   // Label 33034: @2286946
     /* 2286946 */   GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2287008), // Rule ID 71512 //
     /* 2286951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2286970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286981 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2286984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287007 */     // GIR_Coverage, 71512,
     /* 2287007 */     GIR_EraseRootFromParent_Done,
     /* 2287008 */   // Label 33035: @2287008
     /* 2287008 */   GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2287070), // Rule ID 55054 //
     /* 2287013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2287036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287043 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2287046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287069 */     // GIR_Coverage, 55054,
     /* 2287069 */     GIR_EraseRootFromParent_Done,
     /* 2287070 */   // Label 33036: @2287070
     /* 2287070 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2287132), // Rule ID 55055 //
     /* 2287075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2287098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287105 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2287108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287131 */     // GIR_Coverage, 55055,
     /* 2287131 */     GIR_EraseRootFromParent_Done,
     /* 2287132 */   // Label 33037: @2287132
     /* 2287132 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2287177), // Rule ID 55050 //
     /* 2287137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287152 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2287155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287176 */     // GIR_Coverage, 55050,
     /* 2287176 */     GIR_EraseRootFromParent_Done,
     /* 2287177 */   // Label 33038: @2287177
     /* 2287177 */   GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2287222), // Rule ID 55051 //
     /* 2287182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287197 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2287200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287221 */     // GIR_Coverage, 55051,
     /* 2287221 */     GIR_EraseRootFromParent_Done,
     /* 2287222 */   // Label 33039: @2287222
     /* 2287222 */   GIM_Reject,
     /* 2287223 */ // Label 33027: @2287223
     /* 2287223 */ GIM_Reject,
     /* 2287224 */ // Label 32871: @2287224
     /* 2287224 */ GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2288013),
     /* 2287229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2287235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2287238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287242 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2287319), // Rule ID 54482 //
     /* 2287247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287290 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2287293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287318 */     // GIR_Coverage, 54482,
     /* 2287318 */     GIR_EraseRootFromParent_Done,
     /* 2287319 */   // Label 33041: @2287319
     /* 2287319 */   GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2287396), // Rule ID 54483 //
     /* 2287324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287367 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2287370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287395 */     // GIR_Coverage, 54483,
     /* 2287395 */     GIR_EraseRootFromParent_Done,
     /* 2287396 */   // Label 33042: @2287396
     /* 2287396 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2287473), // Rule ID 71003 //
     /* 2287401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287444 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2287447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287472 */     // GIR_Coverage, 71003,
     /* 2287472 */     GIR_EraseRootFromParent_Done,
     /* 2287473 */   // Label 33043: @2287473
     /* 2287473 */   GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2287550), // Rule ID 71004 //
     /* 2287478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287521 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2287524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287549 */     // GIR_Coverage, 71004,
     /* 2287549 */     GIR_EraseRootFromParent_Done,
     /* 2287550 */   // Label 33044: @2287550
     /* 2287550 */   GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2287612), // Rule ID 54486 //
     /* 2287555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287585 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2287588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287611 */     // GIR_Coverage, 54486,
     /* 2287611 */     GIR_EraseRootFromParent_Done,
     /* 2287612 */   // Label 33045: @2287612
     /* 2287612 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2287674), // Rule ID 54487 //
     /* 2287617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287647 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2287650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287673 */     // GIR_Coverage, 54487,
     /* 2287673 */     GIR_EraseRootFromParent_Done,
     /* 2287674 */   // Label 33046: @2287674
     /* 2287674 */   GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2287736), // Rule ID 71007 //
     /* 2287679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287709 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2287712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287735 */     // GIR_Coverage, 71007,
     /* 2287735 */     GIR_EraseRootFromParent_Done,
     /* 2287736 */   // Label 33047: @2287736
     /* 2287736 */   GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2287798), // Rule ID 71008 //
     /* 2287741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287771 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2287774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287797 */     // GIR_Coverage, 71008,
     /* 2287797 */     GIR_EraseRootFromParent_Done,
     /* 2287798 */   // Label 33048: @2287798
     /* 2287798 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2287860), // Rule ID 54478 //
     /* 2287803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287833 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2287836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287859 */     // GIR_Coverage, 54478,
     /* 2287859 */     GIR_EraseRootFromParent_Done,
     /* 2287860 */   // Label 33049: @2287860
     /* 2287860 */   GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2287922), // Rule ID 54479 //
     /* 2287865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2287888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287895 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2287898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287921 */     // GIR_Coverage, 54479,
     /* 2287921 */     GIR_EraseRootFromParent_Done,
     /* 2287922 */   // Label 33050: @2287922
     /* 2287922 */   GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2287967), // Rule ID 54474 //
     /* 2287927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287942 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2287945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287966 */     // GIR_Coverage, 54474,
     /* 2287966 */     GIR_EraseRootFromParent_Done,
     /* 2287967 */   // Label 33051: @2287967
     /* 2287967 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2288012), // Rule ID 54475 //
     /* 2287972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287987 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2287990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288011 */     // GIR_Coverage, 54475,
     /* 2288011 */     GIR_EraseRootFromParent_Done,
     /* 2288012 */   // Label 33052: @2288012
     /* 2288012 */   GIM_Reject,
     /* 2288013 */ // Label 33040: @2288013
     /* 2288013 */ GIM_Reject,
     /* 2288014 */ // Label 32872: @2288014
     /* 2288014 */ GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2288803),
     /* 2288019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2288025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2288028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288032 */   GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2288109), // Rule ID 54866 //
     /* 2288037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288073 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288080 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2288083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288108 */     // GIR_Coverage, 54866,
     /* 2288108 */     GIR_EraseRootFromParent_Done,
     /* 2288109 */   // Label 33054: @2288109
     /* 2288109 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2288186), // Rule ID 54867 //
     /* 2288114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288157 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2288160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288185 */     // GIR_Coverage, 54867,
     /* 2288185 */     GIR_EraseRootFromParent_Done,
     /* 2288186 */   // Label 33055: @2288186
     /* 2288186 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2288263), // Rule ID 71339 //
     /* 2288191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288234 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2288237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288262 */     // GIR_Coverage, 71339,
     /* 2288262 */     GIR_EraseRootFromParent_Done,
     /* 2288263 */   // Label 33056: @2288263
     /* 2288263 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2288340), // Rule ID 71340 //
     /* 2288268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288311 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2288314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288339 */     // GIR_Coverage, 71340,
     /* 2288339 */     GIR_EraseRootFromParent_Done,
     /* 2288340 */   // Label 33057: @2288340
     /* 2288340 */   GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2288402), // Rule ID 54870 //
     /* 2288345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288375 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2288378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288401 */     // GIR_Coverage, 54870,
     /* 2288401 */     GIR_EraseRootFromParent_Done,
     /* 2288402 */   // Label 33058: @2288402
     /* 2288402 */   GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2288464), // Rule ID 54871 //
     /* 2288407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288437 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2288440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288463 */     // GIR_Coverage, 54871,
     /* 2288463 */     GIR_EraseRootFromParent_Done,
     /* 2288464 */   // Label 33059: @2288464
     /* 2288464 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2288526), // Rule ID 71343 //
     /* 2288469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288499 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2288502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288525 */     // GIR_Coverage, 71343,
     /* 2288525 */     GIR_EraseRootFromParent_Done,
     /* 2288526 */   // Label 33060: @2288526
     /* 2288526 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2288588), // Rule ID 71344 //
     /* 2288531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288561 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2288564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288587 */     // GIR_Coverage, 71344,
     /* 2288587 */     GIR_EraseRootFromParent_Done,
     /* 2288588 */   // Label 33061: @2288588
     /* 2288588 */   GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2288650), // Rule ID 54862 //
     /* 2288593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288623 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2288626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2288636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288649 */     // GIR_Coverage, 54862,
     /* 2288649 */     GIR_EraseRootFromParent_Done,
     /* 2288650 */   // Label 33062: @2288650
     /* 2288650 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2288712), // Rule ID 54863 //
     /* 2288655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2288678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288685 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2288688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2288698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288711 */     // GIR_Coverage, 54863,
     /* 2288711 */     GIR_EraseRootFromParent_Done,
     /* 2288712 */   // Label 33063: @2288712
     /* 2288712 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2288757), // Rule ID 54858 //
     /* 2288717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288732 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2288735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288756 */     // GIR_Coverage, 54858,
     /* 2288756 */     GIR_EraseRootFromParent_Done,
     /* 2288757 */   // Label 33064: @2288757
     /* 2288757 */   GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2288802), // Rule ID 54859 //
     /* 2288762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288777 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2288780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288801 */     // GIR_Coverage, 54859,
     /* 2288801 */     GIR_EraseRootFromParent_Done,
     /* 2288802 */   // Label 33065: @2288802
     /* 2288802 */   GIM_Reject,
     /* 2288803 */ // Label 33053: @2288803
     /* 2288803 */ GIM_Reject,
     /* 2288804 */ // Label 32873: @2288804
     /* 2288804 */ GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2289593),
     /* 2288809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2288815 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2288818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288822 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2288899), // Rule ID 55122 //
     /* 2288827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288870 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2288873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288898 */     // GIR_Coverage, 55122,
     /* 2288898 */     GIR_EraseRootFromParent_Done,
     /* 2288899 */   // Label 33067: @2288899
     /* 2288899 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2288976), // Rule ID 55123 //
     /* 2288904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2288940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288947 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2288950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288975 */     // GIR_Coverage, 55123,
     /* 2288975 */     GIR_EraseRootFromParent_Done,
     /* 2288976 */   // Label 33068: @2288976
     /* 2288976 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2289053), // Rule ID 71563 //
     /* 2288981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289024 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2289027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289052 */     // GIR_Coverage, 71563,
     /* 2289052 */     GIR_EraseRootFromParent_Done,
     /* 2289053 */   // Label 33069: @2289053
     /* 2289053 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2289130), // Rule ID 71564 //
     /* 2289058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289101 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2289104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289129 */     // GIR_Coverage, 71564,
     /* 2289129 */     GIR_EraseRootFromParent_Done,
     /* 2289130 */   // Label 33070: @2289130
     /* 2289130 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2289192), // Rule ID 55126 //
     /* 2289135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289165 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2289168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289191 */     // GIR_Coverage, 55126,
     /* 2289191 */     GIR_EraseRootFromParent_Done,
     /* 2289192 */   // Label 33071: @2289192
     /* 2289192 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2289254), // Rule ID 55127 //
     /* 2289197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289227 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2289230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289253 */     // GIR_Coverage, 55127,
     /* 2289253 */     GIR_EraseRootFromParent_Done,
     /* 2289254 */   // Label 33072: @2289254
     /* 2289254 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2289316), // Rule ID 71567 //
     /* 2289259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289289 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2289292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289315 */     // GIR_Coverage, 71567,
     /* 2289315 */     GIR_EraseRootFromParent_Done,
     /* 2289316 */   // Label 33073: @2289316
     /* 2289316 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2289378), // Rule ID 71568 //
     /* 2289321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289351 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2289354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289377 */     // GIR_Coverage, 71568,
     /* 2289377 */     GIR_EraseRootFromParent_Done,
     /* 2289378 */   // Label 33074: @2289378
     /* 2289378 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2289440), // Rule ID 55118 //
     /* 2289383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289413 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2289416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2289426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289439 */     // GIR_Coverage, 55118,
     /* 2289439 */     GIR_EraseRootFromParent_Done,
     /* 2289440 */   // Label 33075: @2289440
     /* 2289440 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2289502), // Rule ID 55119 //
     /* 2289445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289475 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2289478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2289488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289501 */     // GIR_Coverage, 55119,
     /* 2289501 */     GIR_EraseRootFromParent_Done,
     /* 2289502 */   // Label 33076: @2289502
     /* 2289502 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2289547), // Rule ID 55114 //
     /* 2289507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2289510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289522 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2289525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289546 */     // GIR_Coverage, 55114,
     /* 2289546 */     GIR_EraseRootFromParent_Done,
     /* 2289547 */   // Label 33077: @2289547
     /* 2289547 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2289592), // Rule ID 55115 //
     /* 2289552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2289555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289567 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2289570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289591 */     // GIR_Coverage, 55115,
     /* 2289591 */     GIR_EraseRootFromParent_Done,
     /* 2289592 */   // Label 33078: @2289592
     /* 2289592 */   GIM_Reject,
     /* 2289593 */ // Label 33066: @2289593
     /* 2289593 */ GIM_Reject,
     /* 2289594 */ // Label 32874: @2289594
     /* 2289594 */ GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2290383),
     /* 2289599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2289605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2289608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289612 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2289689), // Rule ID 54674 //
     /* 2289617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289660 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2289663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289688 */     // GIR_Coverage, 54674,
     /* 2289688 */     GIR_EraseRootFromParent_Done,
     /* 2289689 */   // Label 33080: @2289689
     /* 2289689 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2289766), // Rule ID 54675 //
     /* 2289694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289737 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2289740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289765 */     // GIR_Coverage, 54675,
     /* 2289765 */     GIR_EraseRootFromParent_Done,
     /* 2289766 */   // Label 33081: @2289766
     /* 2289766 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2289843), // Rule ID 71171 //
     /* 2289771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289814 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2289817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289842 */     // GIR_Coverage, 71171,
     /* 2289842 */     GIR_EraseRootFromParent_Done,
     /* 2289843 */   // Label 33082: @2289843
     /* 2289843 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2289920), // Rule ID 71172 //
     /* 2289848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289891 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2289894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289919 */     // GIR_Coverage, 71172,
     /* 2289919 */     GIR_EraseRootFromParent_Done,
     /* 2289920 */   // Label 33083: @2289920
     /* 2289920 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2289982), // Rule ID 54678 //
     /* 2289925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289955 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2289958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289981 */     // GIR_Coverage, 54678,
     /* 2289981 */     GIR_EraseRootFromParent_Done,
     /* 2289982 */   // Label 33084: @2289982
     /* 2289982 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2290044), // Rule ID 54679 //
     /* 2289987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290017 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2290020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290043 */     // GIR_Coverage, 54679,
     /* 2290043 */     GIR_EraseRootFromParent_Done,
     /* 2290044 */   // Label 33085: @2290044
     /* 2290044 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2290106), // Rule ID 71175 //
     /* 2290049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290079 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2290082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290105 */     // GIR_Coverage, 71175,
     /* 2290105 */     GIR_EraseRootFromParent_Done,
     /* 2290106 */   // Label 33086: @2290106
     /* 2290106 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2290168), // Rule ID 71176 //
     /* 2290111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290141 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2290144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290167 */     // GIR_Coverage, 71176,
     /* 2290167 */     GIR_EraseRootFromParent_Done,
     /* 2290168 */   // Label 33087: @2290168
     /* 2290168 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2290230), // Rule ID 54670 //
     /* 2290173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290203 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2290206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2290216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290229 */     // GIR_Coverage, 54670,
     /* 2290229 */     GIR_EraseRootFromParent_Done,
     /* 2290230 */   // Label 33088: @2290230
     /* 2290230 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2290292), // Rule ID 54671 //
     /* 2290235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2290258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290265 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2290268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2290278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290291 */     // GIR_Coverage, 54671,
     /* 2290291 */     GIR_EraseRootFromParent_Done,
     /* 2290292 */   // Label 33089: @2290292
     /* 2290292 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2290337), // Rule ID 54666 //
     /* 2290297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290312 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2290315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290336 */     // GIR_Coverage, 54666,
     /* 2290336 */     GIR_EraseRootFromParent_Done,
     /* 2290337 */   // Label 33090: @2290337
     /* 2290337 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2290382), // Rule ID 54667 //
     /* 2290342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2290345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290357 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2290360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290381 */     // GIR_Coverage, 54667,
     /* 2290381 */     GIR_EraseRootFromParent_Done,
     /* 2290382 */   // Label 33091: @2290382
     /* 2290382 */   GIM_Reject,
     /* 2290383 */ // Label 33079: @2290383
     /* 2290383 */ GIM_Reject,
     /* 2290384 */ // Label 32875: @2290384
     /* 2290384 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2291173),
     /* 2290389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2290395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2290398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290402 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2290479), // Rule ID 54930 //
     /* 2290407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290450 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2290453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290478 */     // GIR_Coverage, 54930,
     /* 2290478 */     GIR_EraseRootFromParent_Done,
     /* 2290479 */   // Label 33093: @2290479
     /* 2290479 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2290556), // Rule ID 54931 //
     /* 2290484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290527 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2290530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290555 */     // GIR_Coverage, 54931,
     /* 2290555 */     GIR_EraseRootFromParent_Done,
     /* 2290556 */   // Label 33094: @2290556
     /* 2290556 */   GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2290633), // Rule ID 71395 //
     /* 2290561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290604 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2290607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290632 */     // GIR_Coverage, 71395,
     /* 2290632 */     GIR_EraseRootFromParent_Done,
     /* 2290633 */   // Label 33095: @2290633
     /* 2290633 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2290710), // Rule ID 71396 //
     /* 2290638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290681 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2290684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290709 */     // GIR_Coverage, 71396,
     /* 2290709 */     GIR_EraseRootFromParent_Done,
     /* 2290710 */   // Label 33096: @2290710
     /* 2290710 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2290772), // Rule ID 54934 //
     /* 2290715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290745 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2290748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290771 */     // GIR_Coverage, 54934,
     /* 2290771 */     GIR_EraseRootFromParent_Done,
     /* 2290772 */   // Label 33097: @2290772
     /* 2290772 */   GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2290834), // Rule ID 54935 //
     /* 2290777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290807 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2290810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290833 */     // GIR_Coverage, 54935,
     /* 2290833 */     GIR_EraseRootFromParent_Done,
     /* 2290834 */   // Label 33098: @2290834
     /* 2290834 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2290896), // Rule ID 71399 //
     /* 2290839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290869 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2290872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290895 */     // GIR_Coverage, 71399,
     /* 2290895 */     GIR_EraseRootFromParent_Done,
     /* 2290896 */   // Label 33099: @2290896
     /* 2290896 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2290958), // Rule ID 71400 //
     /* 2290901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290931 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2290934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290957 */     // GIR_Coverage, 71400,
     /* 2290957 */     GIR_EraseRootFromParent_Done,
     /* 2290958 */   // Label 33100: @2290958
     /* 2290958 */   GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2291020), // Rule ID 54926 //
     /* 2290963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2290986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290993 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2290996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291019 */     // GIR_Coverage, 54926,
     /* 2291019 */     GIR_EraseRootFromParent_Done,
     /* 2291020 */   // Label 33101: @2291020
     /* 2291020 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2291082), // Rule ID 54927 //
     /* 2291025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2291048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291055 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2291058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291081 */     // GIR_Coverage, 54927,
     /* 2291081 */     GIR_EraseRootFromParent_Done,
     /* 2291082 */   // Label 33102: @2291082
     /* 2291082 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2291127), // Rule ID 54922 //
     /* 2291087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291102 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2291105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291126 */     // GIR_Coverage, 54922,
     /* 2291126 */     GIR_EraseRootFromParent_Done,
     /* 2291127 */   // Label 33103: @2291127
     /* 2291127 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2291172), // Rule ID 54923 //
     /* 2291132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291147 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2291150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291171 */     // GIR_Coverage, 54923,
     /* 2291171 */     GIR_EraseRootFromParent_Done,
     /* 2291172 */   // Label 33104: @2291172
     /* 2291172 */   GIM_Reject,
     /* 2291173 */ // Label 33092: @2291173
     /* 2291173 */ GIM_Reject,
     /* 2291174 */ // Label 32876: @2291174
     /* 2291174 */ GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2291963),
     /* 2291179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2291185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2291188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291192 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2291269), // Rule ID 55186 //
     /* 2291197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291240 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2291243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291268 */     // GIR_Coverage, 55186,
     /* 2291268 */     GIR_EraseRootFromParent_Done,
     /* 2291269 */   // Label 33106: @2291269
     /* 2291269 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2291346), // Rule ID 55187 //
     /* 2291274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291317 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2291320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291345 */     // GIR_Coverage, 55187,
     /* 2291345 */     GIR_EraseRootFromParent_Done,
     /* 2291346 */   // Label 33107: @2291346
     /* 2291346 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2291423), // Rule ID 71619 //
     /* 2291351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291394 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2291397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291422 */     // GIR_Coverage, 71619,
     /* 2291422 */     GIR_EraseRootFromParent_Done,
     /* 2291423 */   // Label 33108: @2291423
     /* 2291423 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2291500), // Rule ID 71620 //
     /* 2291428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291471 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2291474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291499 */     // GIR_Coverage, 71620,
     /* 2291499 */     GIR_EraseRootFromParent_Done,
     /* 2291500 */   // Label 33109: @2291500
     /* 2291500 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2291562), // Rule ID 55190 //
     /* 2291505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291535 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2291538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291561 */     // GIR_Coverage, 55190,
     /* 2291561 */     GIR_EraseRootFromParent_Done,
     /* 2291562 */   // Label 33110: @2291562
     /* 2291562 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2291624), // Rule ID 55191 //
     /* 2291567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291597 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2291600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291623 */     // GIR_Coverage, 55191,
     /* 2291623 */     GIR_EraseRootFromParent_Done,
     /* 2291624 */   // Label 33111: @2291624
     /* 2291624 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2291686), // Rule ID 71623 //
     /* 2291629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291659 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2291662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291685 */     // GIR_Coverage, 71623,
     /* 2291685 */     GIR_EraseRootFromParent_Done,
     /* 2291686 */   // Label 33112: @2291686
     /* 2291686 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2291748), // Rule ID 71624 //
     /* 2291691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291721 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2291724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291747 */     // GIR_Coverage, 71624,
     /* 2291747 */     GIR_EraseRootFromParent_Done,
     /* 2291748 */   // Label 33113: @2291748
     /* 2291748 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2291810), // Rule ID 55182 //
     /* 2291753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291783 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2291786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291809 */     // GIR_Coverage, 55182,
     /* 2291809 */     GIR_EraseRootFromParent_Done,
     /* 2291810 */   // Label 33114: @2291810
     /* 2291810 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2291872), // Rule ID 55183 //
     /* 2291815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2291838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291845 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2291848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291871 */     // GIR_Coverage, 55183,
     /* 2291871 */     GIR_EraseRootFromParent_Done,
     /* 2291872 */   // Label 33115: @2291872
     /* 2291872 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2291917), // Rule ID 55178 //
     /* 2291877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2291880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291892 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2291895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291916 */     // GIR_Coverage, 55178,
     /* 2291916 */     GIR_EraseRootFromParent_Done,
     /* 2291917 */   // Label 33116: @2291917
     /* 2291917 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2291962), // Rule ID 55179 //
     /* 2291922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2291925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291937 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2291940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291961 */     // GIR_Coverage, 55179,
     /* 2291961 */     GIR_EraseRootFromParent_Done,
     /* 2291962 */   // Label 33117: @2291962
     /* 2291962 */   GIM_Reject,
     /* 2291963 */ // Label 33105: @2291963
     /* 2291963 */ GIM_Reject,
     /* 2291964 */ // Label 32877: @2291964
     /* 2291964 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2292753),
     /* 2291969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2291972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2291975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2291978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291982 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2292059), // Rule ID 54738 //
     /* 2291987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292030 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2292033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292058 */     // GIR_Coverage, 54738,
     /* 2292058 */     GIR_EraseRootFromParent_Done,
     /* 2292059 */   // Label 33119: @2292059
     /* 2292059 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2292136), // Rule ID 54739 //
     /* 2292064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292107 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2292110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292135 */     // GIR_Coverage, 54739,
     /* 2292135 */     GIR_EraseRootFromParent_Done,
     /* 2292136 */   // Label 33120: @2292136
     /* 2292136 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2292213), // Rule ID 71227 //
     /* 2292141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292184 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2292187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292212 */     // GIR_Coverage, 71227,
     /* 2292212 */     GIR_EraseRootFromParent_Done,
     /* 2292213 */   // Label 33121: @2292213
     /* 2292213 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2292290), // Rule ID 71228 //
     /* 2292218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292261 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2292264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292289 */     // GIR_Coverage, 71228,
     /* 2292289 */     GIR_EraseRootFromParent_Done,
     /* 2292290 */   // Label 33122: @2292290
     /* 2292290 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2292352), // Rule ID 54742 //
     /* 2292295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292325 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2292328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292351 */     // GIR_Coverage, 54742,
     /* 2292351 */     GIR_EraseRootFromParent_Done,
     /* 2292352 */   // Label 33123: @2292352
     /* 2292352 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2292414), // Rule ID 54743 //
     /* 2292357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292387 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2292390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292413 */     // GIR_Coverage, 54743,
     /* 2292413 */     GIR_EraseRootFromParent_Done,
     /* 2292414 */   // Label 33124: @2292414
     /* 2292414 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2292476), // Rule ID 71231 //
     /* 2292419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292449 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2292452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292475 */     // GIR_Coverage, 71231,
     /* 2292475 */     GIR_EraseRootFromParent_Done,
     /* 2292476 */   // Label 33125: @2292476
     /* 2292476 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2292538), // Rule ID 71232 //
     /* 2292481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292511 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2292514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292537 */     // GIR_Coverage, 71232,
     /* 2292537 */     GIR_EraseRootFromParent_Done,
     /* 2292538 */   // Label 33126: @2292538
     /* 2292538 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2292600), // Rule ID 54734 //
     /* 2292543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292573 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2292576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292599 */     // GIR_Coverage, 54734,
     /* 2292599 */     GIR_EraseRootFromParent_Done,
     /* 2292600 */   // Label 33127: @2292600
     /* 2292600 */   GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2292662), // Rule ID 54735 //
     /* 2292605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292635 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2292638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292661 */     // GIR_Coverage, 54735,
     /* 2292661 */     GIR_EraseRootFromParent_Done,
     /* 2292662 */   // Label 33128: @2292662
     /* 2292662 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2292707), // Rule ID 54730 //
     /* 2292667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2292670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292682 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2292685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292706 */     // GIR_Coverage, 54730,
     /* 2292706 */     GIR_EraseRootFromParent_Done,
     /* 2292707 */   // Label 33129: @2292707
     /* 2292707 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2292752), // Rule ID 54731 //
     /* 2292712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2292715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292727 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2292730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292751 */     // GIR_Coverage, 54731,
     /* 2292751 */     GIR_EraseRootFromParent_Done,
     /* 2292752 */   // Label 33130: @2292752
     /* 2292752 */   GIM_Reject,
     /* 2292753 */ // Label 33118: @2292753
     /* 2292753 */ GIM_Reject,
     /* 2292754 */ // Label 32878: @2292754
     /* 2292754 */ GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2293543),
     /* 2292759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2292765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2292768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292772 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2292849), // Rule ID 54994 //
     /* 2292777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292820 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2292823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292848 */     // GIR_Coverage, 54994,
     /* 2292848 */     GIR_EraseRootFromParent_Done,
     /* 2292849 */   // Label 33132: @2292849
     /* 2292849 */   GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2292926), // Rule ID 54995 //
     /* 2292854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292897 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2292900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292925 */     // GIR_Coverage, 54995,
     /* 2292925 */     GIR_EraseRootFromParent_Done,
     /* 2292926 */   // Label 33133: @2292926
     /* 2292926 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2293003), // Rule ID 71451 //
     /* 2292931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292974 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2292977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293002 */     // GIR_Coverage, 71451,
     /* 2293002 */     GIR_EraseRootFromParent_Done,
     /* 2293003 */   // Label 33134: @2293003
     /* 2293003 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2293080), // Rule ID 71452 //
     /* 2293008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293051 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2293054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293079 */     // GIR_Coverage, 71452,
     /* 2293079 */     GIR_EraseRootFromParent_Done,
     /* 2293080 */   // Label 33135: @2293080
     /* 2293080 */   GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2293142), // Rule ID 54998 //
     /* 2293085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293115 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2293118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293141 */     // GIR_Coverage, 54998,
     /* 2293141 */     GIR_EraseRootFromParent_Done,
     /* 2293142 */   // Label 33136: @2293142
     /* 2293142 */   GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2293204), // Rule ID 54999 //
     /* 2293147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293177 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2293180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293203 */     // GIR_Coverage, 54999,
     /* 2293203 */     GIR_EraseRootFromParent_Done,
     /* 2293204 */   // Label 33137: @2293204
     /* 2293204 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2293266), // Rule ID 71455 //
     /* 2293209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293239 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2293242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293265 */     // GIR_Coverage, 71455,
     /* 2293265 */     GIR_EraseRootFromParent_Done,
     /* 2293266 */   // Label 33138: @2293266
     /* 2293266 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2293328), // Rule ID 71456 //
     /* 2293271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293301 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2293304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293327 */     // GIR_Coverage, 71456,
     /* 2293327 */     GIR_EraseRootFromParent_Done,
     /* 2293328 */   // Label 33139: @2293328
     /* 2293328 */   GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2293390), // Rule ID 54990 //
     /* 2293333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293363 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2293366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293389 */     // GIR_Coverage, 54990,
     /* 2293389 */     GIR_EraseRootFromParent_Done,
     /* 2293390 */   // Label 33140: @2293390
     /* 2293390 */   GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2293452), // Rule ID 54991 //
     /* 2293395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2293418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293425 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2293428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293451 */     // GIR_Coverage, 54991,
     /* 2293451 */     GIR_EraseRootFromParent_Done,
     /* 2293452 */   // Label 33141: @2293452
     /* 2293452 */   GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2293497), // Rule ID 54986 //
     /* 2293457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2293460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293472 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2293475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293496 */     // GIR_Coverage, 54986,
     /* 2293496 */     GIR_EraseRootFromParent_Done,
     /* 2293497 */   // Label 33142: @2293497
     /* 2293497 */   GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2293542), // Rule ID 54987 //
     /* 2293502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2293505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293517 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2293520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293541 */     // GIR_Coverage, 54987,
     /* 2293541 */     GIR_EraseRootFromParent_Done,
     /* 2293542 */   // Label 33143: @2293542
     /* 2293542 */   GIM_Reject,
     /* 2293543 */ // Label 33131: @2293543
     /* 2293543 */ GIM_Reject,
     /* 2293544 */ // Label 32879: @2293544
     /* 2293544 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2294333),
     /* 2293549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2293555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2293558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293562 */   GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2293639), // Rule ID 54802 //
     /* 2293567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293610 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2293613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293638 */     // GIR_Coverage, 54802,
     /* 2293638 */     GIR_EraseRootFromParent_Done,
     /* 2293639 */   // Label 33145: @2293639
     /* 2293639 */   GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2293716), // Rule ID 54803 //
     /* 2293644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293687 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2293690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293715 */     // GIR_Coverage, 54803,
     /* 2293715 */     GIR_EraseRootFromParent_Done,
     /* 2293716 */   // Label 33146: @2293716
     /* 2293716 */   GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2293793), // Rule ID 71283 //
     /* 2293721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293764 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2293767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293792 */     // GIR_Coverage, 71283,
     /* 2293792 */     GIR_EraseRootFromParent_Done,
     /* 2293793 */   // Label 33147: @2293793
     /* 2293793 */   GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2293870), // Rule ID 71284 //
     /* 2293798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293841 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2293844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293869 */     // GIR_Coverage, 71284,
     /* 2293869 */     GIR_EraseRootFromParent_Done,
     /* 2293870 */   // Label 33148: @2293870
     /* 2293870 */   GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2293932), // Rule ID 54806 //
     /* 2293875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293905 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2293908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293931 */     // GIR_Coverage, 54806,
     /* 2293931 */     GIR_EraseRootFromParent_Done,
     /* 2293932 */   // Label 33149: @2293932
     /* 2293932 */   GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2293994), // Rule ID 54807 //
     /* 2293937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293967 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2293970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293993 */     // GIR_Coverage, 54807,
     /* 2293993 */     GIR_EraseRootFromParent_Done,
     /* 2293994 */   // Label 33150: @2293994
     /* 2293994 */   GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2294056), // Rule ID 71287 //
     /* 2293999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294029 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2294032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294055 */     // GIR_Coverage, 71287,
     /* 2294055 */     GIR_EraseRootFromParent_Done,
     /* 2294056 */   // Label 33151: @2294056
     /* 2294056 */   GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2294118), // Rule ID 71288 //
     /* 2294061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294091 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2294094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294117 */     // GIR_Coverage, 71288,
     /* 2294117 */     GIR_EraseRootFromParent_Done,
     /* 2294118 */   // Label 33152: @2294118
     /* 2294118 */   GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2294180), // Rule ID 54798 //
     /* 2294123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294153 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2294156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294179 */     // GIR_Coverage, 54798,
     /* 2294179 */     GIR_EraseRootFromParent_Done,
     /* 2294180 */   // Label 33153: @2294180
     /* 2294180 */   GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2294242), // Rule ID 54799 //
     /* 2294185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2294208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294215 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2294218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294241 */     // GIR_Coverage, 54799,
     /* 2294241 */     GIR_EraseRootFromParent_Done,
     /* 2294242 */   // Label 33154: @2294242
     /* 2294242 */   GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2294287), // Rule ID 54794 //
     /* 2294247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294262 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2294265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294286 */     // GIR_Coverage, 54794,
     /* 2294286 */     GIR_EraseRootFromParent_Done,
     /* 2294287 */   // Label 33155: @2294287
     /* 2294287 */   GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2294332), // Rule ID 54795 //
     /* 2294292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294307 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2294310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294331 */     // GIR_Coverage, 54795,
     /* 2294331 */     GIR_EraseRootFromParent_Done,
     /* 2294332 */   // Label 33156: @2294332
     /* 2294332 */   GIM_Reject,
     /* 2294333 */ // Label 33144: @2294333
     /* 2294333 */ GIM_Reject,
     /* 2294334 */ // Label 32880: @2294334
     /* 2294334 */ GIM_Reject,
     /* 2294335 */ // Label 99: @2294335
     /* 2294335 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33175*/ GIMT_Encode4(2296510),
     /* 2294346 */ /*GILLT_s16*//*Label 33157*/ GIMT_Encode4(2294466),
     /* 2294350 */ /*GILLT_s32*//*Label 33158*/ GIMT_Encode4(2294588),
     /* 2294354 */ /*GILLT_s64*//*Label 33159*/ GIMT_Encode4(2294710), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294366 */ /*GILLT_nxv1s16*//*Label 33160*/ GIMT_Encode4(2294860),
     /* 2294370 */ /*GILLT_nxv1s32*//*Label 33161*/ GIMT_Encode4(2294970),
     /* 2294374 */ /*GILLT_nxv1s64*//*Label 33162*/ GIMT_Encode4(2295080), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294386 */ /*GILLT_nxv2s16*//*Label 33163*/ GIMT_Encode4(2295190),
     /* 2294390 */ /*GILLT_nxv2s32*//*Label 33164*/ GIMT_Encode4(2295300),
     /* 2294394 */ /*GILLT_nxv2s64*//*Label 33165*/ GIMT_Encode4(2295410), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294406 */ /*GILLT_nxv4s16*//*Label 33166*/ GIMT_Encode4(2295520),
     /* 2294410 */ /*GILLT_nxv4s32*//*Label 33167*/ GIMT_Encode4(2295630),
     /* 2294414 */ /*GILLT_nxv4s64*//*Label 33168*/ GIMT_Encode4(2295740), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294426 */ /*GILLT_nxv8s16*//*Label 33169*/ GIMT_Encode4(2295850),
     /* 2294430 */ /*GILLT_nxv8s32*//*Label 33170*/ GIMT_Encode4(2295960),
     /* 2294434 */ /*GILLT_nxv8s64*//*Label 33171*/ GIMT_Encode4(2296070), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294446 */ /*GILLT_nxv16s16*//*Label 33172*/ GIMT_Encode4(2296180),
     /* 2294450 */ /*GILLT_nxv16s32*//*Label 33173*/ GIMT_Encode4(2296290), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2294462 */ /*GILLT_nxv32s16*//*Label 33174*/ GIMT_Encode4(2296400),
     /* 2294466 */ // Label 33157: @2294466
     /* 2294466 */ GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2294587),
     /* 2294471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2294474 */   GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2294502), // Rule ID 1846 //
     /* 2294479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2294482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294490 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2294490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2294493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294501 */     // GIR_Coverage, 1846,
     /* 2294501 */     GIR_EraseRootFromParent_Done,
     /* 2294502 */   // Label 33177: @2294502
     /* 2294502 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2294530), // Rule ID 1847 //
     /* 2294507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2294510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294518 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2294518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2294521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294529 */     // GIR_Coverage, 1847,
     /* 2294529 */     GIR_EraseRootFromParent_Done,
     /* 2294530 */   // Label 33178: @2294530
     /* 2294530 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2294558), // Rule ID 1879 //
     /* 2294535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2294538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294546 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2294546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2294549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294557 */     // GIR_Coverage, 1879,
     /* 2294557 */     GIR_EraseRootFromParent_Done,
     /* 2294558 */   // Label 33179: @2294558
     /* 2294558 */   GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2294586), // Rule ID 1880 //
     /* 2294563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2294566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2294574 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2294574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2294577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294585 */     // GIR_Coverage, 1880,
     /* 2294585 */     GIR_EraseRootFromParent_Done,
     /* 2294586 */   // Label 33180: @2294586
     /* 2294586 */   GIM_Reject,
     /* 2294587 */ // Label 33176: @2294587
     /* 2294587 */ GIM_Reject,
     /* 2294588 */ // Label 33158: @2294588
     /* 2294588 */ GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2294709),
     /* 2294593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2294596 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2294624), // Rule ID 1137 //
     /* 2294601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2294604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294612 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2294612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2294615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294623 */     // GIR_Coverage, 1137,
     /* 2294623 */     GIR_EraseRootFromParent_Done,
     /* 2294624 */   // Label 33182: @2294624
     /* 2294624 */   GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2294652), // Rule ID 1138 //
     /* 2294629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2294632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2294640 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2294640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2294643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294651 */     // GIR_Coverage, 1138,
     /* 2294651 */     GIR_EraseRootFromParent_Done,
     /* 2294652 */   // Label 33183: @2294652
     /* 2294652 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2294680), // Rule ID 1145 //
     /* 2294657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2294660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294668 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2294668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2294671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294679 */     // GIR_Coverage, 1145,
     /* 2294679 */     GIR_EraseRootFromParent_Done,
     /* 2294680 */   // Label 33184: @2294680
     /* 2294680 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2294708), // Rule ID 1146 //
     /* 2294685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2294688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2294696 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2294696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2294699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294707 */     // GIR_Coverage, 1146,
     /* 2294707 */     GIR_EraseRootFromParent_Done,
     /* 2294708 */   // Label 33185: @2294708
     /* 2294708 */   GIM_Reject,
     /* 2294709 */ // Label 33181: @2294709
     /* 2294709 */ GIM_Reject,
     /* 2294710 */ // Label 33159: @2294710
     /* 2294710 */ GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2294859),
     /* 2294715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2294718 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2294746), // Rule ID 1480 //
     /* 2294723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2294726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2294730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2294734 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2294734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2294737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294745 */     // GIR_Coverage, 1480,
     /* 2294745 */     GIR_EraseRootFromParent_Done,
     /* 2294746 */   // Label 33187: @2294746
     /* 2294746 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2294774), // Rule ID 1481 //
     /* 2294751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2294754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2294758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2294762 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2294762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2294765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294773 */     // GIR_Coverage, 1481,
     /* 2294773 */     GIR_EraseRootFromParent_Done,
     /* 2294774 */   // Label 33188: @2294774
     /* 2294774 */   GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2294802), // Rule ID 1515 //
     /* 2294779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2294782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2294786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2294790 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2294790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2294793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294801 */     // GIR_Coverage, 1515,
     /* 2294801 */     GIR_EraseRootFromParent_Done,
     /* 2294802 */   // Label 33189: @2294802
     /* 2294802 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2294830), // Rule ID 1535 //
     /* 2294807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2294810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2294814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2294818 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2294818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2294821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294829 */     // GIR_Coverage, 1535,
     /* 2294829 */     GIR_EraseRootFromParent_Done,
     /* 2294830 */   // Label 33190: @2294830
     /* 2294830 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2294858), // Rule ID 1536 //
     /* 2294835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2294838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2294842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2294846 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2294846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2294849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294857 */     // GIR_Coverage, 1536,
     /* 2294857 */     GIR_EraseRootFromParent_Done,
     /* 2294858 */   // Label 33191: @2294858
     /* 2294858 */   GIM_Reject,
     /* 2294859 */ // Label 33186: @2294859
     /* 2294859 */ GIM_Reject,
     /* 2294860 */ // Label 33160: @2294860
     /* 2294860 */ GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2294969),
     /* 2294865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2294868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294876 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2294922), // Rule ID 55690 //
     /* 2294881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294884 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2294887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2294901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294921 */     // GIR_Coverage, 55690,
     /* 2294921 */     GIR_EraseRootFromParent_Done,
     /* 2294922 */   // Label 33193: @2294922
     /* 2294922 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2294968), // Rule ID 55691 //
     /* 2294927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294930 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2294933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2294947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2294954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294967 */     // GIR_Coverage, 55691,
     /* 2294967 */     GIR_EraseRootFromParent_Done,
     /* 2294968 */   // Label 33194: @2294968
     /* 2294968 */   GIM_Reject,
     /* 2294969 */ // Label 33192: @2294969
     /* 2294969 */ GIM_Reject,
     /* 2294970 */ // Label 33161: @2294970
     /* 2294970 */ GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2295079),
     /* 2294975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2294978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294986 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2295032), // Rule ID 55730 //
     /* 2294991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294994 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2294997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2295011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295031 */     // GIR_Coverage, 55730,
     /* 2295031 */     GIR_EraseRootFromParent_Done,
     /* 2295032 */   // Label 33196: @2295032
     /* 2295032 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2295078), // Rule ID 55731 //
     /* 2295037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295040 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2295043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2295057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295077 */     // GIR_Coverage, 55731,
     /* 2295077 */     GIR_EraseRootFromParent_Done,
     /* 2295078 */   // Label 33197: @2295078
     /* 2295078 */   GIM_Reject,
     /* 2295079 */ // Label 33195: @2295079
     /* 2295079 */ GIM_Reject,
     /* 2295080 */ // Label 33162: @2295080
     /* 2295080 */ GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2295189),
     /* 2295085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2295088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295096 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2295142), // Rule ID 55790 //
     /* 2295101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295104 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2295121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295141 */     // GIR_Coverage, 55790,
     /* 2295141 */     GIR_EraseRootFromParent_Done,
     /* 2295142 */   // Label 33199: @2295142
     /* 2295142 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2295188), // Rule ID 55791 //
     /* 2295147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295150 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2295153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2295167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295187 */     // GIR_Coverage, 55791,
     /* 2295187 */     GIR_EraseRootFromParent_Done,
     /* 2295188 */   // Label 33200: @2295188
     /* 2295188 */   GIM_Reject,
     /* 2295189 */ // Label 33198: @2295189
     /* 2295189 */ GIM_Reject,
     /* 2295190 */ // Label 33163: @2295190
     /* 2295190 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2295299),
     /* 2295195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2295198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295206 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2295252), // Rule ID 55710 //
     /* 2295211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295214 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2295231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295251 */     // GIR_Coverage, 55710,
     /* 2295251 */     GIR_EraseRootFromParent_Done,
     /* 2295252 */   // Label 33202: @2295252
     /* 2295252 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2295298), // Rule ID 55711 //
     /* 2295257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295260 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2295263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2295277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295297 */     // GIR_Coverage, 55711,
     /* 2295297 */     GIR_EraseRootFromParent_Done,
     /* 2295298 */   // Label 33203: @2295298
     /* 2295298 */   GIM_Reject,
     /* 2295299 */ // Label 33201: @2295299
     /* 2295299 */ GIM_Reject,
     /* 2295300 */ // Label 33164: @2295300
     /* 2295300 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2295409),
     /* 2295305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2295308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295316 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2295362), // Rule ID 55770 //
     /* 2295321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295324 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2295341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295361 */     // GIR_Coverage, 55770,
     /* 2295361 */     GIR_EraseRootFromParent_Done,
     /* 2295362 */   // Label 33205: @2295362
     /* 2295362 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2295408), // Rule ID 55771 //
     /* 2295367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295370 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2295373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2295387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295407 */     // GIR_Coverage, 55771,
     /* 2295407 */     GIR_EraseRootFromParent_Done,
     /* 2295408 */   // Label 33206: @2295408
     /* 2295408 */   GIM_Reject,
     /* 2295409 */ // Label 33204: @2295409
     /* 2295409 */ GIM_Reject,
     /* 2295410 */ // Label 33165: @2295410
     /* 2295410 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2295519),
     /* 2295415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295426 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2295472), // Rule ID 55930 //
     /* 2295431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295434 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2295437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2295451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295471 */     // GIR_Coverage, 55930,
     /* 2295471 */     GIR_EraseRootFromParent_Done,
     /* 2295472 */   // Label 33208: @2295472
     /* 2295472 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2295518), // Rule ID 55931 //
     /* 2295477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295480 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2295483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2295497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295517 */     // GIR_Coverage, 55931,
     /* 2295517 */     GIR_EraseRootFromParent_Done,
     /* 2295518 */   // Label 33209: @2295518
     /* 2295518 */   GIM_Reject,
     /* 2295519 */ // Label 33207: @2295519
     /* 2295519 */ GIM_Reject,
     /* 2295520 */ // Label 33166: @2295520
     /* 2295520 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2295629),
     /* 2295525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295536 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2295582), // Rule ID 55750 //
     /* 2295541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295544 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2295547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2295561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295581 */     // GIR_Coverage, 55750,
     /* 2295581 */     GIR_EraseRootFromParent_Done,
     /* 2295582 */   // Label 33211: @2295582
     /* 2295582 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2295628), // Rule ID 55751 //
     /* 2295587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295590 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2295593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2295607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295627 */     // GIR_Coverage, 55751,
     /* 2295627 */     GIR_EraseRootFromParent_Done,
     /* 2295628 */   // Label 33212: @2295628
     /* 2295628 */   GIM_Reject,
     /* 2295629 */ // Label 33210: @2295629
     /* 2295629 */ GIM_Reject,
     /* 2295630 */ // Label 33167: @2295630
     /* 2295630 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2295739),
     /* 2295635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2295638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295646 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2295692), // Rule ID 55870 //
     /* 2295651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295654 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2295657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2295671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295691 */     // GIR_Coverage, 55870,
     /* 2295691 */     GIR_EraseRootFromParent_Done,
     /* 2295692 */   // Label 33214: @2295692
     /* 2295692 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2295738), // Rule ID 55871 //
     /* 2295697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2295700 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2295703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2295717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295737 */     // GIR_Coverage, 55871,
     /* 2295737 */     GIR_EraseRootFromParent_Done,
     /* 2295738 */   // Label 33215: @2295738
     /* 2295738 */   GIM_Reject,
     /* 2295739 */ // Label 33213: @2295739
     /* 2295739 */ GIM_Reject,
     /* 2295740 */ // Label 33168: @2295740
     /* 2295740 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2295849),
     /* 2295745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2295748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295756 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2295802), // Rule ID 55950 //
     /* 2295761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295764 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2295767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2295781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295801 */     // GIR_Coverage, 55950,
     /* 2295801 */     GIR_EraseRootFromParent_Done,
     /* 2295802 */   // Label 33217: @2295802
     /* 2295802 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2295848), // Rule ID 55951 //
     /* 2295807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295810 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2295813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2295827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295847 */     // GIR_Coverage, 55951,
     /* 2295847 */     GIR_EraseRootFromParent_Done,
     /* 2295848 */   // Label 33218: @2295848
     /* 2295848 */   GIM_Reject,
     /* 2295849 */ // Label 33216: @2295849
     /* 2295849 */ GIM_Reject,
     /* 2295850 */ // Label 33169: @2295850
     /* 2295850 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2295959),
     /* 2295855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2295858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295866 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2295912), // Rule ID 55810 //
     /* 2295871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295874 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2295877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2295891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295911 */     // GIR_Coverage, 55810,
     /* 2295911 */     GIR_EraseRootFromParent_Done,
     /* 2295912 */   // Label 33220: @2295912
     /* 2295912 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2295958), // Rule ID 55811 //
     /* 2295917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295920 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2295923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2295937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2295944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295957 */     // GIR_Coverage, 55811,
     /* 2295957 */     GIR_EraseRootFromParent_Done,
     /* 2295958 */   // Label 33221: @2295958
     /* 2295958 */   GIM_Reject,
     /* 2295959 */ // Label 33219: @2295959
     /* 2295959 */ GIM_Reject,
     /* 2295960 */ // Label 33170: @2295960
     /* 2295960 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2296069),
     /* 2295965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2295968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295976 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2296022), // Rule ID 55890 //
     /* 2295981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2295984 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2295987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2296001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296021 */     // GIR_Coverage, 55890,
     /* 2296021 */     GIR_EraseRootFromParent_Done,
     /* 2296022 */   // Label 33223: @2296022
     /* 2296022 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2296068), // Rule ID 55891 //
     /* 2296027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296030 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2296033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2296047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296067 */     // GIR_Coverage, 55891,
     /* 2296067 */     GIR_EraseRootFromParent_Done,
     /* 2296068 */   // Label 33224: @2296068
     /* 2296068 */   GIM_Reject,
     /* 2296069 */ // Label 33222: @2296069
     /* 2296069 */ GIM_Reject,
     /* 2296070 */ // Label 33171: @2296070
     /* 2296070 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2296179),
     /* 2296075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2296078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296086 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2296132), // Rule ID 55970 //
     /* 2296091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2296094 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2296111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296131 */     // GIR_Coverage, 55970,
     /* 2296131 */     GIR_EraseRootFromParent_Done,
     /* 2296132 */   // Label 33226: @2296132
     /* 2296132 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2296178), // Rule ID 55971 //
     /* 2296137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2296140 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2296143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2296157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296177 */     // GIR_Coverage, 55971,
     /* 2296177 */     GIR_EraseRootFromParent_Done,
     /* 2296178 */   // Label 33227: @2296178
     /* 2296178 */   GIM_Reject,
     /* 2296179 */ // Label 33225: @2296179
     /* 2296179 */ GIM_Reject,
     /* 2296180 */ // Label 33172: @2296180
     /* 2296180 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2296289),
     /* 2296185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296196 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2296242), // Rule ID 55830 //
     /* 2296201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296204 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2296207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2296221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296241 */     // GIR_Coverage, 55830,
     /* 2296241 */     GIR_EraseRootFromParent_Done,
     /* 2296242 */   // Label 33229: @2296242
     /* 2296242 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2296288), // Rule ID 55831 //
     /* 2296247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296250 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2296253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2296267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296287 */     // GIR_Coverage, 55831,
     /* 2296287 */     GIR_EraseRootFromParent_Done,
     /* 2296288 */   // Label 33230: @2296288
     /* 2296288 */   GIM_Reject,
     /* 2296289 */ // Label 33228: @2296289
     /* 2296289 */ GIM_Reject,
     /* 2296290 */ // Label 33173: @2296290
     /* 2296290 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2296399),
     /* 2296295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296306 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2296352), // Rule ID 55910 //
     /* 2296311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296314 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2296317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2296331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296351 */     // GIR_Coverage, 55910,
     /* 2296351 */     GIR_EraseRootFromParent_Done,
     /* 2296352 */   // Label 33232: @2296352
     /* 2296352 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2296398), // Rule ID 55911 //
     /* 2296357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296360 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2296363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2296377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296397 */     // GIR_Coverage, 55911,
     /* 2296397 */     GIR_EraseRootFromParent_Done,
     /* 2296398 */   // Label 33233: @2296398
     /* 2296398 */   GIM_Reject,
     /* 2296399 */ // Label 33231: @2296399
     /* 2296399 */ GIM_Reject,
     /* 2296400 */ // Label 33174: @2296400
     /* 2296400 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2296509),
     /* 2296405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2296408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296416 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2296462), // Rule ID 55850 //
     /* 2296421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296424 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2296427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2296441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296461 */     // GIR_Coverage, 55850,
     /* 2296461 */     GIR_EraseRootFromParent_Done,
     /* 2296462 */   // Label 33235: @2296462
     /* 2296462 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2296508), // Rule ID 55851 //
     /* 2296467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296470 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2296473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2296487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2296494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296507 */     // GIR_Coverage, 55851,
     /* 2296507 */     GIR_EraseRootFromParent_Done,
     /* 2296508 */   // Label 33236: @2296508
     /* 2296508 */   GIM_Reject,
     /* 2296509 */ // Label 33234: @2296509
     /* 2296509 */ GIM_Reject,
     /* 2296510 */ // Label 33175: @2296510
     /* 2296510 */ GIM_Reject,
     /* 2296511 */ // Label 100: @2296511
     /* 2296511 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2296523), // Rule ID 282 //
     /* 2296516 */   // (trap)  =>  (UNIMP)
     /* 2296516 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2296521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296522 */   // GIR_Coverage, 282,
     /* 2296522 */   GIR_Done,
     /* 2296523 */ // Label 33237: @2296523
     /* 2296523 */ GIM_Reject,
     /* 2296524 */ // Label 101: @2296524
     /* 2296524 */ GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2296536), // Rule ID 283 //
     /* 2296529 */   // (debugtrap)  =>  (EBREAK)
     /* 2296529 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2296534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296535 */   // GIR_Coverage, 283,
     /* 2296535 */   GIR_Done,
     /* 2296536 */ // Label 33238: @2296536
     /* 2296536 */ GIM_Reject,
     /* 2296537 */ // Label 102: @2296537
     /* 2296537 */ GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2296631),
     /* 2296542 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2296545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296552 */   GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2296571), // Rule ID 2378 //
     /* 2296557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2296560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296564 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2296564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2296569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296570 */     // GIR_Coverage, 2378,
     /* 2296570 */     GIR_Done,
     /* 2296571 */   // Label 33240: @2296571
     /* 2296571 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2296630), // Rule ID 61881 //
     /* 2296576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2296579 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2296579 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2296582 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2296586 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296591 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2296595 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2296598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2296600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2296603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2296607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296612 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2296615 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2296618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2296623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296629 */     // GIR_Coverage, 61881,
     /* 2296629 */     GIR_EraseRootFromParent_Done,
     /* 2296630 */   // Label 33241: @2296630
     /* 2296630 */   GIM_Reject,
     /* 2296631 */ // Label 33239: @2296631
     /* 2296631 */ GIM_Reject,
     /* 2296632 */ // Label 103: @2296632
     /* 2296632 */ GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2296661), // Rule ID 2379 //
     /* 2296637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2296640 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2296643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296654 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2296654 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2296659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296660 */   // GIR_Coverage, 2379,
     /* 2296660 */   GIR_Done,
     /* 2296661 */ // Label 33242: @2296661
     /* 2296661 */ GIM_Reject,
     /* 2296662 */ // Label 104: @2296662
     /* 2296662 */ GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2296698), // Rule ID 305 //
     /* 2296667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2296670 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2296673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2296679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296691 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2296691 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2296696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296697 */   // GIR_Coverage, 305,
     /* 2296697 */   GIR_Done,
     /* 2296698 */ // Label 33243: @2296698
     /* 2296698 */ GIM_Reject,
     /* 2296699 */ // Label 105: @2296699
     /* 2296699 */ GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2296735), // Rule ID 304 //
     /* 2296704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2296707 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2296710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2296716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296728 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2296728 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2296733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296734 */   // GIR_Coverage, 304,
     /* 2296734 */   GIR_Done,
     /* 2296735 */ // Label 33244: @2296735
     /* 2296735 */ GIM_Reject,
     /* 2296736 */ // Label 106: @2296736
     /* 2296736 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33247*/ GIMT_Encode4(2297095),
     /* 2296747 */ /*GILLT_s32*//*Label 33245*/ GIMT_Encode4(2296755),
     /* 2296751 */ /*GILLT_s64*//*Label 33246*/ GIMT_Encode4(2296912),
     /* 2296755 */ // Label 33245: @2296755
     /* 2296755 */ GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2296781), // Rule ID 1144 //
     /* 2296760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2296763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2296766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296774 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2296774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2296779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296780 */   // GIR_Coverage, 1144,
     /* 2296780 */   GIR_Done,
     /* 2296781 */ // Label 33248: @2296781
     /* 2296781 */ GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2296807), // Rule ID 1152 //
     /* 2296786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2296789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2296792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2296800 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2296800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2296805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296806 */   // GIR_Coverage, 1152,
     /* 2296806 */   GIR_Done,
     /* 2296807 */ // Label 33249: @2296807
     /* 2296807 */ GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2296833), // Rule ID 1487 //
     /* 2296812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2296815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296826 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2296826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2296831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296832 */   // GIR_Coverage, 1487,
     /* 2296832 */   GIR_Done,
     /* 2296833 */ // Label 33250: @2296833
     /* 2296833 */ GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2296859), // Rule ID 1542 //
     /* 2296838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2296841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2296852 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2296852 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2296857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296858 */   // GIR_Coverage, 1542,
     /* 2296858 */   GIR_Done,
     /* 2296859 */ // Label 33251: @2296859
     /* 2296859 */ GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2296885), // Rule ID 1853 //
     /* 2296864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2296867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2296870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2296878 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2296878 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2296883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296884 */   // GIR_Coverage, 1853,
     /* 2296884 */   GIR_Done,
     /* 2296885 */ // Label 33252: @2296885
     /* 2296885 */ GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2296911), // Rule ID 1886 //
     /* 2296890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2296893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2296896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2296904 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2296904 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2296909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296910 */   // GIR_Coverage, 1886,
     /* 2296910 */   GIR_Done,
     /* 2296911 */ // Label 33253: @2296911
     /* 2296911 */ GIM_Reject,
     /* 2296912 */ // Label 33246: @2296912
     /* 2296912 */ GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2296938), // Rule ID 1143 //
     /* 2296917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2296920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2296923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296931 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2296931 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2296936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296937 */   // GIR_Coverage, 1143,
     /* 2296937 */   GIR_Done,
     /* 2296938 */ // Label 33254: @2296938
     /* 2296938 */ GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2296964), // Rule ID 1151 //
     /* 2296943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2296946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2296949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2296957 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2296957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2296962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296963 */   // GIR_Coverage, 1151,
     /* 2296963 */   GIR_Done,
     /* 2296964 */ // Label 33255: @2296964
     /* 2296964 */ GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2296990), // Rule ID 1486 //
     /* 2296969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2296972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2296975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2296979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2296983 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2296983 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2296988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2296989 */   // GIR_Coverage, 1486,
     /* 2296989 */   GIR_Done,
     /* 2296990 */ // Label 33256: @2296990
     /* 2296990 */ GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2297016), // Rule ID 1519 //
     /* 2296995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2296998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297009 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2297009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2297014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297015 */   // GIR_Coverage, 1519,
     /* 2297015 */   GIR_Done,
     /* 2297016 */ // Label 33257: @2297016
     /* 2297016 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2297042), // Rule ID 1541 //
     /* 2297021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2297024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2297035 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2297035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2297040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297041 */   // GIR_Coverage, 1541,
     /* 2297041 */   GIR_Done,
     /* 2297042 */ // Label 33258: @2297042
     /* 2297042 */ GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2297068), // Rule ID 1852 //
     /* 2297047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2297050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297061 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2297061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2297066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297067 */   // GIR_Coverage, 1852,
     /* 2297067 */   GIR_Done,
     /* 2297068 */ // Label 33259: @2297068
     /* 2297068 */ GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2297094), // Rule ID 1885 //
     /* 2297073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2297076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2297079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297087 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2297087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2297092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297093 */   // GIR_Coverage, 1885,
     /* 2297093 */   GIR_Done,
     /* 2297094 */ // Label 33260: @2297094
     /* 2297094 */ GIM_Reject,
     /* 2297095 */ // Label 33247: @2297095
     /* 2297095 */ GIM_Reject,
     /* 2297096 */ // Label 107: @2297096
     /* 2297096 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2297293),
     /* 2297101 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297104 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33265*/ GIMT_Encode4(2297292),
     /* 2297115 */   /*GILLT_s16*//*Label 33262*/ GIMT_Encode4(2297127),
     /* 2297119 */   /*GILLT_s32*//*Label 33263*/ GIMT_Encode4(2297182),
     /* 2297123 */   /*GILLT_s64*//*Label 33264*/ GIMT_Encode4(2297237),
     /* 2297127 */   // Label 33262: @2297127
     /* 2297127 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2297181),
     /* 2297132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297136 */     GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2297158), // Rule ID 2103 //
     /* 2297141 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2297144 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297148 */       // MIs[0] frm
     /* 2297148 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297151 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297151 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2297156 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297157 */       // GIR_Coverage, 2103,
     /* 2297157 */       GIR_Done,
     /* 2297158 */     // Label 33267: @2297158
     /* 2297158 */     GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2297180), // Rule ID 2129 //
     /* 2297163 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2297166 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297170 */       // MIs[0] frm
     /* 2297170 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297173 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297173 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2297178 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297179 */       // GIR_Coverage, 2129,
     /* 2297179 */       GIR_Done,
     /* 2297180 */     // Label 33268: @2297180
     /* 2297180 */     GIM_Reject,
     /* 2297181 */   // Label 33266: @2297181
     /* 2297181 */   GIM_Reject,
     /* 2297182 */   // Label 33263: @2297182
     /* 2297182 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2297236),
     /* 2297187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297191 */     GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2297213), // Rule ID 1369 //
     /* 2297196 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2297199 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2297203 */       // MIs[0] frm
     /* 2297203 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297206 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297206 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2297211 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297212 */       // GIR_Coverage, 1369,
     /* 2297212 */       GIR_Done,
     /* 2297213 */     // Label 33270: @2297213
     /* 2297213 */     GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2297235), // Rule ID 1397 //
     /* 2297218 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2297221 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2297225 */       // MIs[0] frm
     /* 2297225 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297228 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297228 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2297233 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297234 */       // GIR_Coverage, 1397,
     /* 2297234 */       GIR_Done,
     /* 2297235 */     // Label 33271: @2297235
     /* 2297235 */     GIM_Reject,
     /* 2297236 */   // Label 33269: @2297236
     /* 2297236 */   GIM_Reject,
     /* 2297237 */   // Label 33264: @2297237
     /* 2297237 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2297291),
     /* 2297242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297246 */     GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2297268), // Rule ID 1763 //
     /* 2297251 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2297254 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2297258 */       // MIs[0] frm
     /* 2297258 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297261 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297261 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2297266 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297267 */       // GIR_Coverage, 1763,
     /* 2297267 */       GIR_Done,
     /* 2297268 */     // Label 33273: @2297268
     /* 2297268 */     GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2297290), // Rule ID 1791 //
     /* 2297273 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2297276 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297280 */       // MIs[0] frm
     /* 2297280 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297283 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297283 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2297288 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297289 */       // GIR_Coverage, 1791,
     /* 2297289 */       GIR_Done,
     /* 2297290 */     // Label 33274: @2297290
     /* 2297290 */     GIM_Reject,
     /* 2297291 */   // Label 33272: @2297291
     /* 2297291 */   GIM_Reject,
     /* 2297292 */   // Label 33265: @2297292
     /* 2297292 */   GIM_Reject,
     /* 2297293 */ // Label 33261: @2297293
     /* 2297293 */ GIM_Reject,
     /* 2297294 */ // Label 108: @2297294
     /* 2297294 */ GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2297491),
     /* 2297299 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297302 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33279*/ GIMT_Encode4(2297490),
     /* 2297313 */   /*GILLT_s16*//*Label 33276*/ GIMT_Encode4(2297325),
     /* 2297317 */   /*GILLT_s32*//*Label 33277*/ GIMT_Encode4(2297380),
     /* 2297321 */   /*GILLT_s64*//*Label 33278*/ GIMT_Encode4(2297435),
     /* 2297325 */   // Label 33276: @2297325
     /* 2297325 */   GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2297379),
     /* 2297330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297334 */     GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2297356), // Rule ID 2101 //
     /* 2297339 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2297342 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2297346 */       // MIs[0] frm
     /* 2297346 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297349 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297349 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2297354 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297355 */       // GIR_Coverage, 2101,
     /* 2297355 */       GIR_Done,
     /* 2297356 */     // Label 33281: @2297356
     /* 2297356 */     GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2297378), // Rule ID 2127 //
     /* 2297361 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2297364 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2297368 */       // MIs[0] frm
     /* 2297368 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297371 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297371 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2297376 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297377 */       // GIR_Coverage, 2127,
     /* 2297377 */       GIR_Done,
     /* 2297378 */     // Label 33282: @2297378
     /* 2297378 */     GIM_Reject,
     /* 2297379 */   // Label 33280: @2297379
     /* 2297379 */   GIM_Reject,
     /* 2297380 */   // Label 33277: @2297380
     /* 2297380 */   GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2297434),
     /* 2297385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297389 */     GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2297411), // Rule ID 1367 //
     /* 2297394 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2297397 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2297401 */       // MIs[0] frm
     /* 2297401 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297404 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297404 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2297409 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297410 */       // GIR_Coverage, 1367,
     /* 2297410 */       GIR_Done,
     /* 2297411 */     // Label 33284: @2297411
     /* 2297411 */     GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2297433), // Rule ID 1395 //
     /* 2297416 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2297419 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2297423 */       // MIs[0] frm
     /* 2297423 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297426 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297426 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2297431 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297432 */       // GIR_Coverage, 1395,
     /* 2297432 */       GIR_Done,
     /* 2297433 */     // Label 33285: @2297433
     /* 2297433 */     GIM_Reject,
     /* 2297434 */   // Label 33283: @2297434
     /* 2297434 */   GIM_Reject,
     /* 2297435 */   // Label 33278: @2297435
     /* 2297435 */   GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2297489),
     /* 2297440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297444 */     GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2297466), // Rule ID 1761 //
     /* 2297449 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2297452 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2297456 */       // MIs[0] frm
     /* 2297456 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297459 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297459 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2297464 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297465 */       // GIR_Coverage, 1761,
     /* 2297465 */       GIR_Done,
     /* 2297466 */     // Label 33287: @2297466
     /* 2297466 */     GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2297488), // Rule ID 1789 //
     /* 2297471 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2297474 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297478 */       // MIs[0] frm
     /* 2297478 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2297481 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2297481 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2297486 */       GIR_RootConstrainSelectedInstOperands,
     /* 2297487 */       // GIR_Coverage, 1789,
     /* 2297487 */       GIR_Done,
     /* 2297488 */     // Label 33288: @2297488
     /* 2297488 */     GIM_Reject,
     /* 2297489 */   // Label 33286: @2297489
     /* 2297489 */   GIM_Reject,
     /* 2297490 */   // Label 33279: @2297490
     /* 2297490 */   GIM_Reject,
     /* 2297491 */ // Label 33275: @2297491
     /* 2297491 */ GIM_Reject,
     /* 2297492 */ // Label 109: @2297492
     /* 2297492 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33291*/ GIMT_Encode4(2297551),
     /* 2297503 */ /*GILLT_s32*//*Label 33289*/ GIMT_Encode4(2297511),
     /* 2297507 */ /*GILLT_s64*//*Label 33290*/ GIMT_Encode4(2297531),
     /* 2297511 */ // Label 33289: @2297511
     /* 2297511 */ GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2297530), // Rule ID 67 //
     /* 2297516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297523 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2297523 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2297528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297529 */   // GIR_Coverage, 67,
     /* 2297529 */   GIR_Done,
     /* 2297530 */ // Label 33292: @2297530
     /* 2297530 */ GIM_Reject,
     /* 2297531 */ // Label 33290: @2297531
     /* 2297531 */ GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2297550), // Rule ID 66 //
     /* 2297536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297543 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2297543 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2297548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297549 */   // GIR_Coverage, 66,
     /* 2297549 */   GIR_Done,
     /* 2297550 */ // Label 33293: @2297550
     /* 2297550 */ GIM_Reject,
     /* 2297551 */ // Label 33291: @2297551
     /* 2297551 */ GIM_Reject,
     /* 2297552 */ // Label 110: @2297552
     /* 2297552 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2297588), // Rule ID 306 //
     /* 2297557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2297560 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297581 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297581 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2297586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297587 */   // GIR_Coverage, 306,
     /* 2297587 */   GIR_Done,
     /* 2297588 */ // Label 33294: @2297588
     /* 2297588 */ GIM_Reject,
     /* 2297589 */ // Label 111: @2297589
     /* 2297589 */ GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2297713),
     /* 2297594 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297611 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2297647), // Rule ID 2327 //
     /* 2297616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2297619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2297627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2297631 */     // MIs[1] Operand 1
     /* 2297631 */     // No operand predicates
     /* 2297631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297633 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2297633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2297636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297640 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2297645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297646 */     // GIR_Coverage, 2327,
     /* 2297646 */     GIR_EraseRootFromParent_Done,
     /* 2297647 */   // Label 33296: @2297647
     /* 2297647 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2297683), // Rule ID 61878 //
     /* 2297652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2297655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2297663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2297667 */     // MIs[1] Operand 1
     /* 2297667 */     // No operand predicates
     /* 2297667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297669 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2297669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2297672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297676 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2297681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297682 */     // GIR_Coverage, 61878,
     /* 2297682 */     GIR_EraseRootFromParent_Done,
     /* 2297683 */   // Label 33297: @2297683
     /* 2297683 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2297712), // Rule ID 2324 //
     /* 2297688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2297691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2297698 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2297701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2297710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297711 */     // GIR_Coverage, 2324,
     /* 2297711 */     GIR_EraseRootFromParent_Done,
     /* 2297712 */   // Label 33298: @2297712
     /* 2297712 */   GIM_Reject,
     /* 2297713 */ // Label 33295: @2297713
     /* 2297713 */ GIM_Reject,
     /* 2297714 */ // Label 112: @2297714
     /* 2297714 */ GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2297834),
     /* 2297719 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297736 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2297770), // Rule ID 2326 //
     /* 2297741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2297744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2297752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2297756 */     // MIs[1] Operand 1
     /* 2297756 */     // No operand predicates
     /* 2297756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297758 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2297758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2297761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2297768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297769 */     // GIR_Coverage, 2326,
     /* 2297769 */     GIR_EraseRootFromParent_Done,
     /* 2297770 */   // Label 33300: @2297770
     /* 2297770 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2297804), // Rule ID 61877 //
     /* 2297775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2297778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2297786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2297790 */     // MIs[1] Operand 1
     /* 2297790 */     // No operand predicates
     /* 2297790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297792 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2297792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2297795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2297802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297803 */     // GIR_Coverage, 61877,
     /* 2297803 */     GIR_EraseRootFromParent_Done,
     /* 2297804 */   // Label 33301: @2297804
     /* 2297804 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2297833), // Rule ID 2325 //
     /* 2297809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2297812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2297819 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2297822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2297831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297832 */     // GIR_Coverage, 2325,
     /* 2297832 */     GIR_EraseRootFromParent_Done,
     /* 2297833 */   // Label 33302: @2297833
     /* 2297833 */   GIM_Reject,
     /* 2297834 */ // Label 33299: @2297834
     /* 2297834 */ GIM_Reject,
     /* 2297835 */ // Label 113: @2297835
     /* 2297835 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2297881), // Rule ID 261 //
     /* 2297840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2297843 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297860 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2297867 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2297870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2297879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297880 */   // GIR_Coverage, 261,
     /* 2297880 */   GIR_EraseRootFromParent_Done,
     /* 2297881 */ // Label 33303: @2297881
     /* 2297881 */ GIM_Reject,
     /* 2297882 */ // Label 114: @2297882
     /* 2297882 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2297928), // Rule ID 263 //
     /* 2297887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2297890 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297907 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2297914 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2297917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297919 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297921 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2297926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297927 */   // GIR_Coverage, 263,
     /* 2297927 */   GIR_EraseRootFromParent_Done,
     /* 2297928 */ // Label 33304: @2297928
     /* 2297928 */ GIM_Reject,
     /* 2297929 */ // Label 115: @2297929
     /* 2297929 */ GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2297975), // Rule ID 262 //
     /* 2297934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2297937 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2297940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2297943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2297946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2297954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2297961 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2297961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2297964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2297973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2297974 */   // GIR_Coverage, 262,
     /* 2297974 */   GIR_EraseRootFromParent_Done,
     /* 2297975 */ // Label 33305: @2297975
     /* 2297975 */ GIM_Reject,
     /* 2297976 */ // Label 116: @2297976
     /* 2297976 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 33313*/ GIMT_Encode4(2298624),
     /* 2297987 */ /*GILLT_nxv1s1*//*Label 33306*/ GIMT_Encode4(2298099), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298007 */ /*GILLT_nxv2s1*//*Label 33307*/ GIMT_Encode4(2298174), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298027 */ /*GILLT_nxv4s1*//*Label 33308*/ GIMT_Encode4(2298249), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298047 */ /*GILLT_nxv8s1*//*Label 33309*/ GIMT_Encode4(2298324), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298067 */ /*GILLT_nxv16s1*//*Label 33310*/ GIMT_Encode4(2298399), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298083 */ /*GILLT_nxv32s1*//*Label 33311*/ GIMT_Encode4(2298474), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298095 */ /*GILLT_nxv64s1*//*Label 33312*/ GIMT_Encode4(2298549),
     /* 2298099 */ // Label 33306: @2298099
     /* 2298099 */ GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2298136), // Rule ID 44396 //
     /* 2298104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298114 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298121 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2298124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298135 */   // GIR_Coverage, 44396,
     /* 2298135 */   GIR_EraseRootFromParent_Done,
     /* 2298136 */ // Label 33314: @2298136
     /* 2298136 */ GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2298173), // Rule ID 44397 //
     /* 2298141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298151 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298158 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2298161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298163 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298172 */   // GIR_Coverage, 44397,
     /* 2298172 */   GIR_EraseRootFromParent_Done,
     /* 2298173 */ // Label 33315: @2298173
     /* 2298173 */ GIM_Reject,
     /* 2298174 */ // Label 33307: @2298174
     /* 2298174 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2298211), // Rule ID 44424 //
     /* 2298179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298196 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2298199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298210 */   // GIR_Coverage, 44424,
     /* 2298210 */   GIR_EraseRootFromParent_Done,
     /* 2298211 */ // Label 33316: @2298211
     /* 2298211 */ GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2298248), // Rule ID 44425 //
     /* 2298216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298226 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298233 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2298236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298238 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298247 */   // GIR_Coverage, 44425,
     /* 2298247 */   GIR_EraseRootFromParent_Done,
     /* 2298248 */ // Label 33317: @2298248
     /* 2298248 */ GIM_Reject,
     /* 2298249 */ // Label 33308: @2298249
     /* 2298249 */ GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2298286), // Rule ID 44452 //
     /* 2298254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298264 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298271 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2298274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298285 */   // GIR_Coverage, 44452,
     /* 2298285 */   GIR_EraseRootFromParent_Done,
     /* 2298286 */ // Label 33318: @2298286
     /* 2298286 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2298323), // Rule ID 44453 //
     /* 2298291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298301 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298308 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2298311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298313 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298322 */   // GIR_Coverage, 44453,
     /* 2298322 */   GIR_EraseRootFromParent_Done,
     /* 2298323 */ // Label 33319: @2298323
     /* 2298323 */ GIM_Reject,
     /* 2298324 */ // Label 33309: @2298324
     /* 2298324 */ GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2298361), // Rule ID 44480 //
     /* 2298329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298339 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298346 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2298349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298351 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298360 */   // GIR_Coverage, 44480,
     /* 2298360 */   GIR_EraseRootFromParent_Done,
     /* 2298361 */ // Label 33320: @2298361
     /* 2298361 */ GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2298398), // Rule ID 44481 //
     /* 2298366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298376 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298383 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2298386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298388 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298397 */   // GIR_Coverage, 44481,
     /* 2298397 */   GIR_EraseRootFromParent_Done,
     /* 2298398 */ // Label 33321: @2298398
     /* 2298398 */ GIM_Reject,
     /* 2298399 */ // Label 33310: @2298399
     /* 2298399 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2298436), // Rule ID 44508 //
     /* 2298404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298414 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298421 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2298424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298426 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298434 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298435 */   // GIR_Coverage, 44508,
     /* 2298435 */   GIR_EraseRootFromParent_Done,
     /* 2298436 */ // Label 33322: @2298436
     /* 2298436 */ GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2298473), // Rule ID 44509 //
     /* 2298441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298451 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298458 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2298461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298463 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298472 */   // GIR_Coverage, 44509,
     /* 2298472 */   GIR_EraseRootFromParent_Done,
     /* 2298473 */ // Label 33323: @2298473
     /* 2298473 */ GIM_Reject,
     /* 2298474 */ // Label 33311: @2298474
     /* 2298474 */ GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2298511), // Rule ID 44536 //
     /* 2298479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298489 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298496 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2298499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298510 */   // GIR_Coverage, 44536,
     /* 2298510 */   GIR_EraseRootFromParent_Done,
     /* 2298511 */ // Label 33324: @2298511
     /* 2298511 */ GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2298548), // Rule ID 44537 //
     /* 2298516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298526 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298533 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2298536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298547 */   // GIR_Coverage, 44537,
     /* 2298547 */   GIR_EraseRootFromParent_Done,
     /* 2298548 */ // Label 33325: @2298548
     /* 2298548 */ GIM_Reject,
     /* 2298549 */ // Label 33312: @2298549
     /* 2298549 */ GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2298586), // Rule ID 44564 //
     /* 2298554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298571 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2298574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298585 */   // GIR_Coverage, 44564,
     /* 2298585 */   GIR_EraseRootFromParent_Done,
     /* 2298586 */ // Label 33326: @2298586
     /* 2298586 */ GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2298623), // Rule ID 44565 //
     /* 2298591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298601 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298608 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2298611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298622 */   // GIR_Coverage, 44565,
     /* 2298622 */   GIR_EraseRootFromParent_Done,
     /* 2298623 */ // Label 33327: @2298623
     /* 2298623 */ GIM_Reject,
     /* 2298624 */ // Label 33313: @2298624
     /* 2298624 */ GIM_Reject,
     /* 2298625 */ // Label 117: @2298625
     /* 2298625 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 33335*/ GIMT_Encode4(2299273),
     /* 2298636 */ /*GILLT_nxv1s1*//*Label 33328*/ GIMT_Encode4(2298748), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298656 */ /*GILLT_nxv2s1*//*Label 33329*/ GIMT_Encode4(2298823), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298676 */ /*GILLT_nxv4s1*//*Label 33330*/ GIMT_Encode4(2298898), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298696 */ /*GILLT_nxv8s1*//*Label 33331*/ GIMT_Encode4(2298973), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298716 */ /*GILLT_nxv16s1*//*Label 33332*/ GIMT_Encode4(2299048), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298732 */ /*GILLT_nxv32s1*//*Label 33333*/ GIMT_Encode4(2299123), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298744 */ /*GILLT_nxv64s1*//*Label 33334*/ GIMT_Encode4(2299198),
     /* 2298748 */ // Label 33328: @2298748
     /* 2298748 */ GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2298785), // Rule ID 44394 //
     /* 2298753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298763 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298770 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2298773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298784 */   // GIR_Coverage, 44394,
     /* 2298784 */   GIR_EraseRootFromParent_Done,
     /* 2298785 */ // Label 33336: @2298785
     /* 2298785 */ GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2298822), // Rule ID 44395 //
     /* 2298790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298800 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298807 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2298810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298821 */   // GIR_Coverage, 44395,
     /* 2298821 */   GIR_EraseRootFromParent_Done,
     /* 2298822 */ // Label 33337: @2298822
     /* 2298822 */ GIM_Reject,
     /* 2298823 */ // Label 33329: @2298823
     /* 2298823 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2298860), // Rule ID 44422 //
     /* 2298828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298838 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298845 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2298848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298850 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298859 */   // GIR_Coverage, 44422,
     /* 2298859 */   GIR_EraseRootFromParent_Done,
     /* 2298860 */ // Label 33338: @2298860
     /* 2298860 */ GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2298897), // Rule ID 44423 //
     /* 2298865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298882 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2298885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298896 */   // GIR_Coverage, 44423,
     /* 2298896 */   GIR_EraseRootFromParent_Done,
     /* 2298897 */ // Label 33339: @2298897
     /* 2298897 */ GIM_Reject,
     /* 2298898 */ // Label 33330: @2298898
     /* 2298898 */ GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2298935), // Rule ID 44450 //
     /* 2298903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298920 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2298923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298934 */   // GIR_Coverage, 44450,
     /* 2298934 */   GIR_EraseRootFromParent_Done,
     /* 2298935 */ // Label 33340: @2298935
     /* 2298935 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2298972), // Rule ID 44451 //
     /* 2298940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298950 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298957 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2298957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2298960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2298970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2298971 */   // GIR_Coverage, 44451,
     /* 2298971 */   GIR_EraseRootFromParent_Done,
     /* 2298972 */ // Label 33341: @2298972
     /* 2298972 */ GIM_Reject,
     /* 2298973 */ // Label 33331: @2298973
     /* 2298973 */ GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2299010), // Rule ID 44478 //
     /* 2298978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298995 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2298995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2298998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299009 */   // GIR_Coverage, 44478,
     /* 2299009 */   GIR_EraseRootFromParent_Done,
     /* 2299010 */ // Label 33342: @2299010
     /* 2299010 */ GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2299047), // Rule ID 44479 //
     /* 2299015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299032 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2299032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2299035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299046 */   // GIR_Coverage, 44479,
     /* 2299046 */   GIR_EraseRootFromParent_Done,
     /* 2299047 */ // Label 33343: @2299047
     /* 2299047 */ GIM_Reject,
     /* 2299048 */ // Label 33332: @2299048
     /* 2299048 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2299085), // Rule ID 44506 //
     /* 2299053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2299059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299063 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299070 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2299070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2299073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299075 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299084 */   // GIR_Coverage, 44506,
     /* 2299084 */   GIR_EraseRootFromParent_Done,
     /* 2299085 */ // Label 33344: @2299085
     /* 2299085 */ GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2299122), // Rule ID 44507 //
     /* 2299090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299100 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299107 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2299107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2299110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299112 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299121 */   // GIR_Coverage, 44507,
     /* 2299121 */   GIR_EraseRootFromParent_Done,
     /* 2299122 */ // Label 33345: @2299122
     /* 2299122 */ GIM_Reject,
     /* 2299123 */ // Label 33333: @2299123
     /* 2299123 */ GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2299160), // Rule ID 44534 //
     /* 2299128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2299134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299145 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2299145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2299148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299159 */   // GIR_Coverage, 44534,
     /* 2299159 */   GIR_EraseRootFromParent_Done,
     /* 2299160 */ // Label 33346: @2299160
     /* 2299160 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2299197), // Rule ID 44535 //
     /* 2299165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299175 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299182 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2299182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2299185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299196 */   // GIR_Coverage, 44535,
     /* 2299196 */   GIR_EraseRootFromParent_Done,
     /* 2299197 */ // Label 33347: @2299197
     /* 2299197 */ GIM_Reject,
     /* 2299198 */ // Label 33334: @2299198
     /* 2299198 */ GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2299235), // Rule ID 44562 //
     /* 2299203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2299209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299213 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299220 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2299220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2299223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299234 */   // GIR_Coverage, 44562,
     /* 2299234 */   GIR_EraseRootFromParent_Done,
     /* 2299235 */ // Label 33348: @2299235
     /* 2299235 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2299272), // Rule ID 44563 //
     /* 2299240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299250 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299257 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2299257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2299260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2299271 */   // GIR_Coverage, 44563,
     /* 2299271 */   GIR_EraseRootFromParent_Done,
     /* 2299272 */ // Label 33349: @2299272
     /* 2299272 */ GIM_Reject,
     /* 2299273 */ // Label 33335: @2299273
     /* 2299273 */ GIM_Reject,
     /* 2299274 */ // Label 118: @2299274
     /* 2299274 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33372*/ GIMT_Encode4(2303531),
     /* 2299285 */ /*GILLT_nxv1s8*//*Label 33350*/ GIMT_Encode4(2299397),
     /* 2299289 */ /*GILLT_nxv1s16*//*Label 33351*/ GIMT_Encode4(2299514),
     /* 2299293 */ /*GILLT_nxv1s32*//*Label 33352*/ GIMT_Encode4(2299735),
     /* 2299297 */ /*GILLT_nxv1s64*//*Label 33353*/ GIMT_Encode4(2299956), GIMT_Encode4(0),
     /* 2299305 */ /*GILLT_nxv2s8*//*Label 33354*/ GIMT_Encode4(2300177),
     /* 2299309 */ /*GILLT_nxv2s16*//*Label 33355*/ GIMT_Encode4(2300294),
     /* 2299313 */ /*GILLT_nxv2s32*//*Label 33356*/ GIMT_Encode4(2300515),
     /* 2299317 */ /*GILLT_nxv2s64*//*Label 33357*/ GIMT_Encode4(2300736), GIMT_Encode4(0),
     /* 2299325 */ /*GILLT_nxv4s8*//*Label 33358*/ GIMT_Encode4(2300957),
     /* 2299329 */ /*GILLT_nxv4s16*//*Label 33359*/ GIMT_Encode4(2301074),
     /* 2299333 */ /*GILLT_nxv4s32*//*Label 33360*/ GIMT_Encode4(2301295),
     /* 2299337 */ /*GILLT_nxv4s64*//*Label 33361*/ GIMT_Encode4(2301516), GIMT_Encode4(0),
     /* 2299345 */ /*GILLT_nxv8s8*//*Label 33362*/ GIMT_Encode4(2301737),
     /* 2299349 */ /*GILLT_nxv8s16*//*Label 33363*/ GIMT_Encode4(2301854),
     /* 2299353 */ /*GILLT_nxv8s32*//*Label 33364*/ GIMT_Encode4(2302075),
     /* 2299357 */ /*GILLT_nxv8s64*//*Label 33365*/ GIMT_Encode4(2302296), GIMT_Encode4(0),
     /* 2299365 */ /*GILLT_nxv16s8*//*Label 33366*/ GIMT_Encode4(2302517),
     /* 2299369 */ /*GILLT_nxv16s16*//*Label 33367*/ GIMT_Encode4(2302634),
     /* 2299373 */ /*GILLT_nxv16s32*//*Label 33368*/ GIMT_Encode4(2302855), GIMT_Encode4(0),
     /* 2299381 */ /*GILLT_nxv32s8*//*Label 33369*/ GIMT_Encode4(2303076),
     /* 2299385 */ /*GILLT_nxv32s16*//*Label 33370*/ GIMT_Encode4(2303193), GIMT_Encode4(0),
     /* 2299393 */ /*GILLT_nxv64s8*//*Label 33371*/ GIMT_Encode4(2303414),
     /* 2299397 */ // Label 33350: @2299397
     /* 2299397 */ GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2299513),
     /* 2299402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2299405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2299408 */   GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2299460), // Rule ID 31984 //
     /* 2299413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299438 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2299441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299443 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299459 */     // GIR_Coverage, 31984,
     /* 2299459 */     GIR_EraseRootFromParent_Done,
     /* 2299460 */   // Label 33374: @2299460
     /* 2299460 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2299512), // Rule ID 31985 //
     /* 2299465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299490 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2299490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2299493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299495 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299511 */     // GIR_Coverage, 31985,
     /* 2299511 */     GIR_EraseRootFromParent_Done,
     /* 2299512 */   // Label 33375: @2299512
     /* 2299512 */   GIM_Reject,
     /* 2299513 */ // Label 33373: @2299513
     /* 2299513 */ GIM_Reject,
     /* 2299514 */ // Label 33351: @2299514
     /* 2299514 */ GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2299734),
     /* 2299519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2299522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2299525 */   GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2299577), // Rule ID 32254 //
     /* 2299530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299555 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2299558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299560 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299576 */     // GIR_Coverage, 32254,
     /* 2299576 */     GIR_EraseRootFromParent_Done,
     /* 2299577 */   // Label 33377: @2299577
     /* 2299577 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2299629), // Rule ID 32255 //
     /* 2299582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299607 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2299607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2299610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299612 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299628 */     // GIR_Coverage, 32255,
     /* 2299628 */     GIR_EraseRootFromParent_Done,
     /* 2299629 */   // Label 33378: @2299629
     /* 2299629 */   GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2299681), // Rule ID 33964 //
     /* 2299634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299659 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2299662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299664 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299680 */     // GIR_Coverage, 33964,
     /* 2299680 */     GIR_EraseRootFromParent_Done,
     /* 2299681 */   // Label 33379: @2299681
     /* 2299681 */   GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2299733), // Rule ID 33965 //
     /* 2299686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299711 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2299711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2299714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299716 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299732 */     // GIR_Coverage, 33965,
     /* 2299732 */     GIR_EraseRootFromParent_Done,
     /* 2299733 */   // Label 33380: @2299733
     /* 2299733 */   GIM_Reject,
     /* 2299734 */ // Label 33376: @2299734
     /* 2299734 */ GIM_Reject,
     /* 2299735 */ // Label 33352: @2299735
     /* 2299735 */ GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2299955),
     /* 2299740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2299743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2299746 */   GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2299798), // Rule ID 32434 //
     /* 2299751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299776 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2299779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299781 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299797 */     // GIR_Coverage, 32434,
     /* 2299797 */     GIR_EraseRootFromParent_Done,
     /* 2299798 */   // Label 33382: @2299798
     /* 2299798 */   GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2299850), // Rule ID 32435 //
     /* 2299803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299828 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2299828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2299831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299833 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299849 */     // GIR_Coverage, 32435,
     /* 2299849 */     GIR_EraseRootFromParent_Done,
     /* 2299850 */   // Label 33383: @2299850
     /* 2299850 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2299902), // Rule ID 34144 //
     /* 2299855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2299858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299880 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2299883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299885 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299901 */     // GIR_Coverage, 34144,
     /* 2299901 */     GIR_EraseRootFromParent_Done,
     /* 2299902 */   // Label 33384: @2299902
     /* 2299902 */   GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2299954), // Rule ID 34145 //
     /* 2299907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2299910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299932 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2299932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2299935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299937 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2299939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2299952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299953 */     // GIR_Coverage, 34145,
     /* 2299953 */     GIR_EraseRootFromParent_Done,
     /* 2299954 */   // Label 33385: @2299954
     /* 2299954 */   GIM_Reject,
     /* 2299955 */ // Label 33381: @2299955
     /* 2299955 */ GIM_Reject,
     /* 2299956 */ // Label 33353: @2299956
     /* 2299956 */ GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2300176),
     /* 2299961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2299967 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2300019), // Rule ID 32794 //
     /* 2299972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2299975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2299978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299997 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2299997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300002 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300018 */     // GIR_Coverage, 32794,
     /* 2300018 */     GIR_EraseRootFromParent_Done,
     /* 2300019 */   // Label 33387: @2300019
     /* 2300019 */   GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2300071), // Rule ID 32795 //
     /* 2300024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2300027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300049 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300054 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300070 */     // GIR_Coverage, 32795,
     /* 2300070 */     GIR_EraseRootFromParent_Done,
     /* 2300071 */   // Label 33388: @2300071
     /* 2300071 */   GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2300123), // Rule ID 34414 //
     /* 2300076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2300079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300101 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300106 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300122 */     // GIR_Coverage, 34414,
     /* 2300122 */     GIR_EraseRootFromParent_Done,
     /* 2300123 */   // Label 33389: @2300123
     /* 2300123 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2300175), // Rule ID 34415 //
     /* 2300128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2300131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300153 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300158 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300174 */     // GIR_Coverage, 34415,
     /* 2300174 */     GIR_EraseRootFromParent_Done,
     /* 2300175 */   // Label 33390: @2300175
     /* 2300175 */   GIM_Reject,
     /* 2300176 */ // Label 33386: @2300176
     /* 2300176 */ GIM_Reject,
     /* 2300177 */ // Label 33354: @2300177
     /* 2300177 */ GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2300293),
     /* 2300182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2300185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2300188 */   GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2300240), // Rule ID 32074 //
     /* 2300193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300218 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2300221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300223 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300239 */     // GIR_Coverage, 32074,
     /* 2300239 */     GIR_EraseRootFromParent_Done,
     /* 2300240 */   // Label 33392: @2300240
     /* 2300240 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2300292), // Rule ID 32075 //
     /* 2300245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2300248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300270 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2300273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300275 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300291 */     // GIR_Coverage, 32075,
     /* 2300291 */     GIR_EraseRootFromParent_Done,
     /* 2300292 */   // Label 33393: @2300292
     /* 2300292 */   GIM_Reject,
     /* 2300293 */ // Label 33391: @2300293
     /* 2300293 */ GIM_Reject,
     /* 2300294 */ // Label 33355: @2300294
     /* 2300294 */ GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2300514),
     /* 2300299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2300302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2300305 */   GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2300357), // Rule ID 32344 //
     /* 2300310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300335 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2300338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300340 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300356 */     // GIR_Coverage, 32344,
     /* 2300356 */     GIR_EraseRootFromParent_Done,
     /* 2300357 */   // Label 33395: @2300357
     /* 2300357 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2300409), // Rule ID 32345 //
     /* 2300362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2300365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300387 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2300390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300392 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300408 */     // GIR_Coverage, 32345,
     /* 2300408 */     GIR_EraseRootFromParent_Done,
     /* 2300409 */   // Label 33396: @2300409
     /* 2300409 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2300461), // Rule ID 34054 //
     /* 2300414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300439 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2300442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300444 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300460 */     // GIR_Coverage, 34054,
     /* 2300460 */     GIR_EraseRootFromParent_Done,
     /* 2300461 */   // Label 33397: @2300461
     /* 2300461 */   GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2300513), // Rule ID 34055 //
     /* 2300466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2300469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300491 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2300494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300496 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300512 */     // GIR_Coverage, 34055,
     /* 2300512 */     GIR_EraseRootFromParent_Done,
     /* 2300513 */   // Label 33398: @2300513
     /* 2300513 */   GIM_Reject,
     /* 2300514 */ // Label 33394: @2300514
     /* 2300514 */ GIM_Reject,
     /* 2300515 */ // Label 33356: @2300515
     /* 2300515 */ GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2300735),
     /* 2300520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2300526 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2300578), // Rule ID 32704 //
     /* 2300531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300556 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300561 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300577 */     // GIR_Coverage, 32704,
     /* 2300577 */     GIR_EraseRootFromParent_Done,
     /* 2300578 */   // Label 33400: @2300578
     /* 2300578 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2300630), // Rule ID 32705 //
     /* 2300583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2300586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300608 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300613 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300629 */     // GIR_Coverage, 32705,
     /* 2300629 */     GIR_EraseRootFromParent_Done,
     /* 2300630 */   // Label 33401: @2300630
     /* 2300630 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2300682), // Rule ID 34324 //
     /* 2300635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300660 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300665 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300681 */     // GIR_Coverage, 34324,
     /* 2300681 */     GIR_EraseRootFromParent_Done,
     /* 2300682 */   // Label 33402: @2300682
     /* 2300682 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2300734), // Rule ID 34325 //
     /* 2300687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2300690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300712 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2300715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300717 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300733 */     // GIR_Coverage, 34325,
     /* 2300733 */     GIR_EraseRootFromParent_Done,
     /* 2300734 */   // Label 33403: @2300734
     /* 2300734 */   GIM_Reject,
     /* 2300735 */ // Label 33399: @2300735
     /* 2300735 */ GIM_Reject,
     /* 2300736 */ // Label 33357: @2300736
     /* 2300736 */ GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2300956),
     /* 2300741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2300744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2300747 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2300799), // Rule ID 33694 //
     /* 2300752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2300755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300777 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2300780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300782 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300798 */     // GIR_Coverage, 33694,
     /* 2300798 */     GIR_EraseRootFromParent_Done,
     /* 2300799 */   // Label 33405: @2300799
     /* 2300799 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2300851), // Rule ID 33695 //
     /* 2300804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2300807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300829 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2300832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300834 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300850 */     // GIR_Coverage, 33695,
     /* 2300850 */     GIR_EraseRootFromParent_Done,
     /* 2300851 */   // Label 33406: @2300851
     /* 2300851 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2300903), // Rule ID 35044 //
     /* 2300856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2300859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300881 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2300884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300886 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300902 */     // GIR_Coverage, 35044,
     /* 2300902 */     GIR_EraseRootFromParent_Done,
     /* 2300903 */   // Label 33407: @2300903
     /* 2300903 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2300955), // Rule ID 35045 //
     /* 2300908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2300911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300933 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2300933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2300936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300938 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2300940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2300953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300954 */     // GIR_Coverage, 35045,
     /* 2300954 */     GIR_EraseRootFromParent_Done,
     /* 2300955 */   // Label 33408: @2300955
     /* 2300955 */   GIM_Reject,
     /* 2300956 */ // Label 33404: @2300956
     /* 2300956 */ GIM_Reject,
     /* 2300957 */ // Label 33358: @2300957
     /* 2300957 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2301073),
     /* 2300962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2300965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2300968 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2301020), // Rule ID 32164 //
     /* 2300973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2300976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2300979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300998 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2300998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2301001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301003 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301019 */     // GIR_Coverage, 32164,
     /* 2301019 */     GIR_EraseRootFromParent_Done,
     /* 2301020 */   // Label 33410: @2301020
     /* 2301020 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2301072), // Rule ID 32165 //
     /* 2301025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301050 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2301053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301055 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301071 */     // GIR_Coverage, 32165,
     /* 2301071 */     GIR_EraseRootFromParent_Done,
     /* 2301072 */   // Label 33411: @2301072
     /* 2301072 */   GIM_Reject,
     /* 2301073 */ // Label 33409: @2301073
     /* 2301073 */ GIM_Reject,
     /* 2301074 */ // Label 33359: @2301074
     /* 2301074 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2301294),
     /* 2301079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2301085 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2301137), // Rule ID 32614 //
     /* 2301090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301115 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301120 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301136 */     // GIR_Coverage, 32614,
     /* 2301136 */     GIR_EraseRootFromParent_Done,
     /* 2301137 */   // Label 33413: @2301137
     /* 2301137 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2301189), // Rule ID 32615 //
     /* 2301142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301167 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301172 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301188 */     // GIR_Coverage, 32615,
     /* 2301188 */     GIR_EraseRootFromParent_Done,
     /* 2301189 */   // Label 33414: @2301189
     /* 2301189 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2301241), // Rule ID 34234 //
     /* 2301194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301219 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301224 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301240 */     // GIR_Coverage, 34234,
     /* 2301240 */     GIR_EraseRootFromParent_Done,
     /* 2301241 */   // Label 33415: @2301241
     /* 2301241 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2301293), // Rule ID 34235 //
     /* 2301246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301271 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301276 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301292 */     // GIR_Coverage, 34235,
     /* 2301292 */     GIR_EraseRootFromParent_Done,
     /* 2301293 */   // Label 33416: @2301293
     /* 2301293 */   GIM_Reject,
     /* 2301294 */ // Label 33412: @2301294
     /* 2301294 */ GIM_Reject,
     /* 2301295 */ // Label 33360: @2301295
     /* 2301295 */ GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2301515),
     /* 2301300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2301303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2301306 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2301358), // Rule ID 33424 //
     /* 2301311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301336 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301341 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301357 */     // GIR_Coverage, 33424,
     /* 2301357 */     GIR_EraseRootFromParent_Done,
     /* 2301358 */   // Label 33418: @2301358
     /* 2301358 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2301410), // Rule ID 33425 //
     /* 2301363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301388 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301393 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301409 */     // GIR_Coverage, 33425,
     /* 2301409 */     GIR_EraseRootFromParent_Done,
     /* 2301410 */   // Label 33419: @2301410
     /* 2301410 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2301462), // Rule ID 34774 //
     /* 2301415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301440 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301445 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301461 */     // GIR_Coverage, 34774,
     /* 2301461 */     GIR_EraseRootFromParent_Done,
     /* 2301462 */   // Label 33420: @2301462
     /* 2301462 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2301514), // Rule ID 34775 //
     /* 2301467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301492 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301497 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301513 */     // GIR_Coverage, 34775,
     /* 2301513 */     GIR_EraseRootFromParent_Done,
     /* 2301514 */   // Label 33421: @2301514
     /* 2301514 */   GIM_Reject,
     /* 2301515 */ // Label 33417: @2301515
     /* 2301515 */ GIM_Reject,
     /* 2301516 */ // Label 33361: @2301516
     /* 2301516 */ GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2301736),
     /* 2301521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2301524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2301527 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2301579), // Rule ID 33784 //
     /* 2301532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2301535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301557 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2301560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301562 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301578 */     // GIR_Coverage, 33784,
     /* 2301578 */     GIR_EraseRootFromParent_Done,
     /* 2301579 */   // Label 33423: @2301579
     /* 2301579 */   GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2301631), // Rule ID 33785 //
     /* 2301584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2301587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301609 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2301612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301614 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301630 */     // GIR_Coverage, 33785,
     /* 2301630 */     GIR_EraseRootFromParent_Done,
     /* 2301631 */   // Label 33424: @2301631
     /* 2301631 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2301683), // Rule ID 35134 //
     /* 2301636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2301639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301661 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2301664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301666 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301682 */     // GIR_Coverage, 35134,
     /* 2301682 */     GIR_EraseRootFromParent_Done,
     /* 2301683 */   // Label 33425: @2301683
     /* 2301683 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2301735), // Rule ID 35135 //
     /* 2301688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2301691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301713 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2301716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301718 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301734 */     // GIR_Coverage, 35135,
     /* 2301734 */     GIR_EraseRootFromParent_Done,
     /* 2301735 */   // Label 33426: @2301735
     /* 2301735 */   GIM_Reject,
     /* 2301736 */ // Label 33422: @2301736
     /* 2301736 */ GIM_Reject,
     /* 2301737 */ // Label 33362: @2301737
     /* 2301737 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2301853),
     /* 2301742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2301745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2301748 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2301800), // Rule ID 32524 //
     /* 2301753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301778 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301783 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301799 */     // GIR_Coverage, 32524,
     /* 2301799 */     GIR_EraseRootFromParent_Done,
     /* 2301800 */   // Label 33428: @2301800
     /* 2301800 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2301852), // Rule ID 32525 //
     /* 2301805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301830 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2301833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301835 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301851 */     // GIR_Coverage, 32525,
     /* 2301851 */     GIR_EraseRootFromParent_Done,
     /* 2301852 */   // Label 33429: @2301852
     /* 2301852 */   GIM_Reject,
     /* 2301853 */ // Label 33427: @2301853
     /* 2301853 */ GIM_Reject,
     /* 2301854 */ // Label 33363: @2301854
     /* 2301854 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2302074),
     /* 2301859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2301862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2301865 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2301917), // Rule ID 33154 //
     /* 2301870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301895 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301900 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301916 */     // GIR_Coverage, 33154,
     /* 2301916 */     GIR_EraseRootFromParent_Done,
     /* 2301917 */   // Label 33431: @2301917
     /* 2301917 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2301969), // Rule ID 33155 //
     /* 2301922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2301925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2301928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301947 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2301947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2301950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301952 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2301954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2301967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301968 */     // GIR_Coverage, 33155,
     /* 2301968 */     GIR_EraseRootFromParent_Done,
     /* 2301969 */   // Label 33432: @2301969
     /* 2301969 */   GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2302021), // Rule ID 34504 //
     /* 2301974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2301977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2301980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301999 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2301999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2302002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302004 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302020 */     // GIR_Coverage, 34504,
     /* 2302020 */     GIR_EraseRootFromParent_Done,
     /* 2302021 */   // Label 33433: @2302021
     /* 2302021 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2302073), // Rule ID 34505 //
     /* 2302026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302051 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2302054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302056 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302072 */     // GIR_Coverage, 34505,
     /* 2302072 */     GIR_EraseRootFromParent_Done,
     /* 2302073 */   // Label 33434: @2302073
     /* 2302073 */   GIM_Reject,
     /* 2302074 */ // Label 33430: @2302074
     /* 2302074 */ GIM_Reject,
     /* 2302075 */ // Label 33364: @2302075
     /* 2302075 */ GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2302295),
     /* 2302080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2302083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2302086 */   GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2302138), // Rule ID 33514 //
     /* 2302091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302116 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302121 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302137 */     // GIR_Coverage, 33514,
     /* 2302137 */     GIR_EraseRootFromParent_Done,
     /* 2302138 */   // Label 33436: @2302138
     /* 2302138 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2302190), // Rule ID 33515 //
     /* 2302143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302168 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302173 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302189 */     // GIR_Coverage, 33515,
     /* 2302189 */     GIR_EraseRootFromParent_Done,
     /* 2302190 */   // Label 33437: @2302190
     /* 2302190 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2302242), // Rule ID 34864 //
     /* 2302195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302220 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302225 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302241 */     // GIR_Coverage, 34864,
     /* 2302241 */     GIR_EraseRootFromParent_Done,
     /* 2302242 */   // Label 33438: @2302242
     /* 2302242 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2302294), // Rule ID 34865 //
     /* 2302247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302272 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302277 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302293 */     // GIR_Coverage, 34865,
     /* 2302293 */     GIR_EraseRootFromParent_Done,
     /* 2302294 */   // Label 33439: @2302294
     /* 2302294 */   GIM_Reject,
     /* 2302295 */ // Label 33435: @2302295
     /* 2302295 */ GIM_Reject,
     /* 2302296 */ // Label 33365: @2302296
     /* 2302296 */ GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2302516),
     /* 2302301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2302307 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2302359), // Rule ID 33874 //
     /* 2302312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2302315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302337 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302342 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302358 */     // GIR_Coverage, 33874,
     /* 2302358 */     GIR_EraseRootFromParent_Done,
     /* 2302359 */   // Label 33441: @2302359
     /* 2302359 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2302411), // Rule ID 33875 //
     /* 2302364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2302367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302389 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302394 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302410 */     // GIR_Coverage, 33875,
     /* 2302410 */     GIR_EraseRootFromParent_Done,
     /* 2302411 */   // Label 33442: @2302411
     /* 2302411 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2302463), // Rule ID 35224 //
     /* 2302416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2302419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302441 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302446 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302462 */     // GIR_Coverage, 35224,
     /* 2302462 */     GIR_EraseRootFromParent_Done,
     /* 2302463 */   // Label 33443: @2302463
     /* 2302463 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2302515), // Rule ID 35225 //
     /* 2302468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2302471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302493 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302498 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302514 */     // GIR_Coverage, 35225,
     /* 2302514 */     GIR_EraseRootFromParent_Done,
     /* 2302515 */   // Label 33444: @2302515
     /* 2302515 */   GIM_Reject,
     /* 2302516 */ // Label 33440: @2302516
     /* 2302516 */ GIM_Reject,
     /* 2302517 */ // Label 33366: @2302517
     /* 2302517 */ GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2302633),
     /* 2302522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2302525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2302528 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2302580), // Rule ID 32884 //
     /* 2302533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302558 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2302561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302563 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302579 */     // GIR_Coverage, 32884,
     /* 2302579 */     GIR_EraseRootFromParent_Done,
     /* 2302580 */   // Label 33446: @2302580
     /* 2302580 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2302632), // Rule ID 32885 //
     /* 2302585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302610 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2302613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302615 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302631 */     // GIR_Coverage, 32885,
     /* 2302631 */     GIR_EraseRootFromParent_Done,
     /* 2302632 */   // Label 33447: @2302632
     /* 2302632 */   GIM_Reject,
     /* 2302633 */ // Label 33445: @2302633
     /* 2302633 */ GIM_Reject,
     /* 2302634 */ // Label 33367: @2302634
     /* 2302634 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2302854),
     /* 2302639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2302645 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2302697), // Rule ID 33244 //
     /* 2302650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302675 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302680 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302696 */     // GIR_Coverage, 33244,
     /* 2302696 */     GIR_EraseRootFromParent_Done,
     /* 2302697 */   // Label 33449: @2302697
     /* 2302697 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2302749), // Rule ID 33245 //
     /* 2302702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302727 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302732 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302748 */     // GIR_Coverage, 33245,
     /* 2302748 */     GIR_EraseRootFromParent_Done,
     /* 2302749 */   // Label 33450: @2302749
     /* 2302749 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2302801), // Rule ID 34594 //
     /* 2302754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302779 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302784 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302800 */     // GIR_Coverage, 34594,
     /* 2302800 */     GIR_EraseRootFromParent_Done,
     /* 2302801 */   // Label 33451: @2302801
     /* 2302801 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2302853), // Rule ID 34595 //
     /* 2302806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302831 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2302834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302836 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302852 */     // GIR_Coverage, 34595,
     /* 2302852 */     GIR_EraseRootFromParent_Done,
     /* 2302853 */   // Label 33452: @2302853
     /* 2302853 */   GIM_Reject,
     /* 2302854 */ // Label 33448: @2302854
     /* 2302854 */ GIM_Reject,
     /* 2302855 */ // Label 33368: @2302855
     /* 2302855 */ GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2303075),
     /* 2302860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2302866 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2302918), // Rule ID 33604 //
     /* 2302871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302896 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2302896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302901 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302917 */     // GIR_Coverage, 33604,
     /* 2302917 */     GIR_EraseRootFromParent_Done,
     /* 2302918 */   // Label 33454: @2302918
     /* 2302918 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2302970), // Rule ID 33605 //
     /* 2302923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2302926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2302929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302948 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2302948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2302951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302953 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2302955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302969 */     // GIR_Coverage, 33605,
     /* 2302969 */     GIR_EraseRootFromParent_Done,
     /* 2302970 */   // Label 33455: @2302970
     /* 2302970 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2303022), // Rule ID 34954 //
     /* 2302975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2302978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2302981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303000 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2303000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303005 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303021 */     // GIR_Coverage, 34954,
     /* 2303021 */     GIR_EraseRootFromParent_Done,
     /* 2303022 */   // Label 33456: @2303022
     /* 2303022 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2303074), // Rule ID 34955 //
     /* 2303027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303052 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2303052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303057 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303073 */     // GIR_Coverage, 34955,
     /* 2303073 */     GIR_EraseRootFromParent_Done,
     /* 2303074 */   // Label 33457: @2303074
     /* 2303074 */   GIM_Reject,
     /* 2303075 */ // Label 33453: @2303075
     /* 2303075 */ GIM_Reject,
     /* 2303076 */ // Label 33369: @2303076
     /* 2303076 */ GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2303192),
     /* 2303081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2303084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2303087 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2303139), // Rule ID 32974 //
     /* 2303092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303117 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2303117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2303120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303122 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303138 */     // GIR_Coverage, 32974,
     /* 2303138 */     GIR_EraseRootFromParent_Done,
     /* 2303139 */   // Label 33459: @2303139
     /* 2303139 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2303191), // Rule ID 32975 //
     /* 2303144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303169 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2303169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2303172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303174 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303190 */     // GIR_Coverage, 32975,
     /* 2303190 */     GIR_EraseRootFromParent_Done,
     /* 2303191 */   // Label 33460: @2303191
     /* 2303191 */   GIM_Reject,
     /* 2303192 */ // Label 33458: @2303192
     /* 2303192 */ GIM_Reject,
     /* 2303193 */ // Label 33370: @2303193
     /* 2303193 */ GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2303413),
     /* 2303198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303204 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2303256), // Rule ID 33334 //
     /* 2303209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303234 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2303234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303239 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303255 */     // GIR_Coverage, 33334,
     /* 2303255 */     GIR_EraseRootFromParent_Done,
     /* 2303256 */   // Label 33462: @2303256
     /* 2303256 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2303308), // Rule ID 33335 //
     /* 2303261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303286 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2303286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303291 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303307 */     // GIR_Coverage, 33335,
     /* 2303307 */     GIR_EraseRootFromParent_Done,
     /* 2303308 */   // Label 33463: @2303308
     /* 2303308 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2303360), // Rule ID 34684 //
     /* 2303313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303338 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2303338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303343 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303359 */     // GIR_Coverage, 34684,
     /* 2303359 */     GIR_EraseRootFromParent_Done,
     /* 2303360 */   // Label 33464: @2303360
     /* 2303360 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2303412), // Rule ID 34685 //
     /* 2303365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303390 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2303390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303395 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303411 */     // GIR_Coverage, 34685,
     /* 2303411 */     GIR_EraseRootFromParent_Done,
     /* 2303412 */   // Label 33465: @2303412
     /* 2303412 */   GIM_Reject,
     /* 2303413 */ // Label 33461: @2303413
     /* 2303413 */ GIM_Reject,
     /* 2303414 */ // Label 33371: @2303414
     /* 2303414 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2303530),
     /* 2303419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2303422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2303425 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2303477), // Rule ID 33064 //
     /* 2303430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303455 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2303455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303460 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303476 */     // GIR_Coverage, 33064,
     /* 2303476 */     GIR_EraseRootFromParent_Done,
     /* 2303477 */   // Label 33467: @2303477
     /* 2303477 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2303529), // Rule ID 33065 //
     /* 2303482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303507 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2303507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2303510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303512 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2303514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2303527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303528 */     // GIR_Coverage, 33065,
     /* 2303528 */     GIR_EraseRootFromParent_Done,
     /* 2303529 */   // Label 33468: @2303529
     /* 2303529 */   GIM_Reject,
     /* 2303530 */ // Label 33466: @2303530
     /* 2303530 */ GIM_Reject,
     /* 2303531 */ // Label 33372: @2303531
     /* 2303531 */ GIM_Reject,
     /* 2303532 */ // Label 119: @2303532
     /* 2303532 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33491*/ GIMT_Encode4(2315411),
     /* 2303543 */ /*GILLT_nxv1s8*//*Label 33469*/ GIMT_Encode4(2303655),
     /* 2303547 */ /*GILLT_nxv1s16*//*Label 33470*/ GIMT_Encode4(2303978),
     /* 2303551 */ /*GILLT_nxv1s32*//*Label 33471*/ GIMT_Encode4(2304611),
     /* 2303555 */ /*GILLT_nxv1s64*//*Label 33472*/ GIMT_Encode4(2305244), GIMT_Encode4(0),
     /* 2303563 */ /*GILLT_nxv2s8*//*Label 33473*/ GIMT_Encode4(2305877),
     /* 2303567 */ /*GILLT_nxv2s16*//*Label 33474*/ GIMT_Encode4(2306200),
     /* 2303571 */ /*GILLT_nxv2s32*//*Label 33475*/ GIMT_Encode4(2306833),
     /* 2303575 */ /*GILLT_nxv2s64*//*Label 33476*/ GIMT_Encode4(2307466), GIMT_Encode4(0),
     /* 2303583 */ /*GILLT_nxv4s8*//*Label 33477*/ GIMT_Encode4(2308099),
     /* 2303587 */ /*GILLT_nxv4s16*//*Label 33478*/ GIMT_Encode4(2308422),
     /* 2303591 */ /*GILLT_nxv4s32*//*Label 33479*/ GIMT_Encode4(2309055),
     /* 2303595 */ /*GILLT_nxv4s64*//*Label 33480*/ GIMT_Encode4(2309688), GIMT_Encode4(0),
     /* 2303603 */ /*GILLT_nxv8s8*//*Label 33481*/ GIMT_Encode4(2310321),
     /* 2303607 */ /*GILLT_nxv8s16*//*Label 33482*/ GIMT_Encode4(2310644),
     /* 2303611 */ /*GILLT_nxv8s32*//*Label 33483*/ GIMT_Encode4(2311277),
     /* 2303615 */ /*GILLT_nxv8s64*//*Label 33484*/ GIMT_Encode4(2311910), GIMT_Encode4(0),
     /* 2303623 */ /*GILLT_nxv16s8*//*Label 33485*/ GIMT_Encode4(2312543),
     /* 2303627 */ /*GILLT_nxv16s16*//*Label 33486*/ GIMT_Encode4(2312866),
     /* 2303631 */ /*GILLT_nxv16s32*//*Label 33487*/ GIMT_Encode4(2313499), GIMT_Encode4(0),
     /* 2303639 */ /*GILLT_nxv32s8*//*Label 33488*/ GIMT_Encode4(2314132),
     /* 2303643 */ /*GILLT_nxv32s16*//*Label 33489*/ GIMT_Encode4(2314455), GIMT_Encode4(0),
     /* 2303651 */ /*GILLT_nxv64s8*//*Label 33490*/ GIMT_Encode4(2315088),
     /* 2303655 */ // Label 33469: @2303655
     /* 2303655 */ GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2303977),
     /* 2303660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2303663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2303666 */   GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2303749), // Rule ID 45128 //
     /* 2303671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2303680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2303683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2303703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2303707 */     // MIs[1] Operand 1
     /* 2303707 */     // No operand predicates
     /* 2303707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303711 */     // MIs[0] policy
     /* 2303711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303723 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2303726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2303732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2303735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2303737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2303747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303748 */     // GIR_Coverage, 45128,
     /* 2303748 */     GIR_EraseRootFromParent_Done,
     /* 2303749 */   // Label 33493: @2303749
     /* 2303749 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2303832), // Rule ID 45129 //
     /* 2303754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2303763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2303766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2303782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2303786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2303790 */     // MIs[1] Operand 1
     /* 2303790 */     // No operand predicates
     /* 2303790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303794 */     // MIs[0] policy
     /* 2303794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2303799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303806 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2303809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2303815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2303818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2303820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2303830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303831 */     // GIR_Coverage, 45129,
     /* 2303831 */     GIR_EraseRootFromParent_Done,
     /* 2303832 */   // Label 33494: @2303832
     /* 2303832 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2303904), // Rule ID 45130 //
     /* 2303837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2303843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2303846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2303849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303869 */     // MIs[0] policy
     /* 2303869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303879 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2303882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2303888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2303892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2303902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303903 */     // GIR_Coverage, 45130,
     /* 2303903 */     GIR_EraseRootFromParent_Done,
     /* 2303904 */   // Label 33495: @2303904
     /* 2303904 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2303976), // Rule ID 45131 //
     /* 2303909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2303912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2303918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2303921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303941 */     // MIs[0] policy
     /* 2303941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303951 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2303954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2303958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2303960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2303962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2303964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2303974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303975 */     // GIR_Coverage, 45131,
     /* 2303975 */     GIR_EraseRootFromParent_Done,
     /* 2303976 */   // Label 33496: @2303976
     /* 2303976 */   GIM_Reject,
     /* 2303977 */ // Label 33492: @2303977
     /* 2303977 */ GIM_Reject,
     /* 2303978 */ // Label 33470: @2303978
     /* 2303978 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2304610),
     /* 2303983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2303986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2303989 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2304072), // Rule ID 45140 //
     /* 2303994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2303997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304030 */     // MIs[1] Operand 1
     /* 2304030 */     // No operand predicates
     /* 2304030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304034 */     // MIs[0] policy
     /* 2304034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304046 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2304049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304071 */     // GIR_Coverage, 45140,
     /* 2304071 */     GIR_EraseRootFromParent_Done,
     /* 2304072 */   // Label 33498: @2304072
     /* 2304072 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2304155), // Rule ID 45141 //
     /* 2304077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304113 */     // MIs[1] Operand 1
     /* 2304113 */     // No operand predicates
     /* 2304113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304117 */     // MIs[0] policy
     /* 2304117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304129 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2304132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304154 */     // GIR_Coverage, 45141,
     /* 2304154 */     GIR_EraseRootFromParent_Done,
     /* 2304155 */   // Label 33499: @2304155
     /* 2304155 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2304238), // Rule ID 45216 //
     /* 2304160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304196 */     // MIs[1] Operand 1
     /* 2304196 */     // No operand predicates
     /* 2304196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304200 */     // MIs[0] policy
     /* 2304200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304212 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2304215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304237 */     // GIR_Coverage, 45216,
     /* 2304237 */     GIR_EraseRootFromParent_Done,
     /* 2304238 */   // Label 33500: @2304238
     /* 2304238 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2304321), // Rule ID 45217 //
     /* 2304243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304279 */     // MIs[1] Operand 1
     /* 2304279 */     // No operand predicates
     /* 2304279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304283 */     // MIs[0] policy
     /* 2304283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304295 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2304298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304320 */     // GIR_Coverage, 45217,
     /* 2304320 */     GIR_EraseRootFromParent_Done,
     /* 2304321 */   // Label 33501: @2304321
     /* 2304321 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2304393), // Rule ID 45142 //
     /* 2304326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304358 */     // MIs[0] policy
     /* 2304358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304368 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2304371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304392 */     // GIR_Coverage, 45142,
     /* 2304392 */     GIR_EraseRootFromParent_Done,
     /* 2304393 */   // Label 33502: @2304393
     /* 2304393 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2304465), // Rule ID 45143 //
     /* 2304398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304430 */     // MIs[0] policy
     /* 2304430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304440 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2304443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304464 */     // GIR_Coverage, 45143,
     /* 2304464 */     GIR_EraseRootFromParent_Done,
     /* 2304465 */   // Label 33503: @2304465
     /* 2304465 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2304537), // Rule ID 45218 //
     /* 2304470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304502 */     // MIs[0] policy
     /* 2304502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304512 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2304515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304536 */     // GIR_Coverage, 45218,
     /* 2304536 */     GIR_EraseRootFromParent_Done,
     /* 2304537 */   // Label 33504: @2304537
     /* 2304537 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2304609), // Rule ID 45219 //
     /* 2304542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304574 */     // MIs[0] policy
     /* 2304574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304584 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2304587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2304595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304608 */     // GIR_Coverage, 45219,
     /* 2304608 */     GIR_EraseRootFromParent_Done,
     /* 2304609 */   // Label 33505: @2304609
     /* 2304609 */   GIM_Reject,
     /* 2304610 */ // Label 33497: @2304610
     /* 2304610 */ GIM_Reject,
     /* 2304611 */ // Label 33471: @2304611
     /* 2304611 */ GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2305243),
     /* 2304616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2304619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2304622 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2304705), // Rule ID 45148 //
     /* 2304627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304663 */     // MIs[1] Operand 1
     /* 2304663 */     // No operand predicates
     /* 2304663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304667 */     // MIs[0] policy
     /* 2304667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304679 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2304682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304704 */     // GIR_Coverage, 45148,
     /* 2304704 */     GIR_EraseRootFromParent_Done,
     /* 2304705 */   // Label 33507: @2304705
     /* 2304705 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2304788), // Rule ID 45149 //
     /* 2304710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304746 */     // MIs[1] Operand 1
     /* 2304746 */     // No operand predicates
     /* 2304746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304750 */     // MIs[0] policy
     /* 2304750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304762 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2304765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304787 */     // GIR_Coverage, 45149,
     /* 2304787 */     GIR_EraseRootFromParent_Done,
     /* 2304788 */   // Label 33508: @2304788
     /* 2304788 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2304871), // Rule ID 45224 //
     /* 2304793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304829 */     // MIs[1] Operand 1
     /* 2304829 */     // No operand predicates
     /* 2304829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304833 */     // MIs[0] policy
     /* 2304833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304845 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2304848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304870 */     // GIR_Coverage, 45224,
     /* 2304870 */     GIR_EraseRootFromParent_Done,
     /* 2304871 */   // Label 33509: @2304871
     /* 2304871 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2304954), // Rule ID 45225 //
     /* 2304876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2304879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2304888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2304904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2304908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2304912 */     // MIs[1] Operand 1
     /* 2304912 */     // No operand predicates
     /* 2304912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304916 */     // MIs[0] policy
     /* 2304916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2304921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304928 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2304931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2304935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2304937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2304940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2304942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2304952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304953 */     // GIR_Coverage, 45225,
     /* 2304953 */     GIR_EraseRootFromParent_Done,
     /* 2304954 */   // Label 33510: @2304954
     /* 2304954 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2305026), // Rule ID 45150 //
     /* 2304959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2304962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2304965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2304968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2304971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304991 */     // MIs[0] policy
     /* 2304991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305001 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2305004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305025 */     // GIR_Coverage, 45150,
     /* 2305025 */     GIR_EraseRootFromParent_Done,
     /* 2305026 */   // Label 33511: @2305026
     /* 2305026 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2305098), // Rule ID 45151 //
     /* 2305031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2305034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305063 */     // MIs[0] policy
     /* 2305063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305073 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2305076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305097 */     // GIR_Coverage, 45151,
     /* 2305097 */     GIR_EraseRootFromParent_Done,
     /* 2305098 */   // Label 33512: @2305098
     /* 2305098 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2305170), // Rule ID 45226 //
     /* 2305103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2305106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305135 */     // MIs[0] policy
     /* 2305135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305145 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2305148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305169 */     // GIR_Coverage, 45226,
     /* 2305169 */     GIR_EraseRootFromParent_Done,
     /* 2305170 */   // Label 33513: @2305170
     /* 2305170 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2305242), // Rule ID 45227 //
     /* 2305175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2305178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305207 */     // MIs[0] policy
     /* 2305207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305217 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2305220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305241 */     // GIR_Coverage, 45227,
     /* 2305241 */     GIR_EraseRootFromParent_Done,
     /* 2305242 */   // Label 33514: @2305242
     /* 2305242 */   GIM_Reject,
     /* 2305243 */ // Label 33506: @2305243
     /* 2305243 */ GIM_Reject,
     /* 2305244 */ // Label 33472: @2305244
     /* 2305244 */ GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2305876),
     /* 2305249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2305255 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2305338), // Rule ID 45164 //
     /* 2305260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2305263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2305292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2305296 */     // MIs[1] Operand 1
     /* 2305296 */     // No operand predicates
     /* 2305296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305300 */     // MIs[0] policy
     /* 2305300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305312 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2305315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2305324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305337 */     // GIR_Coverage, 45164,
     /* 2305337 */     GIR_EraseRootFromParent_Done,
     /* 2305338 */   // Label 33516: @2305338
     /* 2305338 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2305421), // Rule ID 45165 //
     /* 2305343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2305346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2305375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2305379 */     // MIs[1] Operand 1
     /* 2305379 */     // No operand predicates
     /* 2305379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305383 */     // MIs[0] policy
     /* 2305383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305395 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2305398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2305407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305420 */     // GIR_Coverage, 45165,
     /* 2305420 */     GIR_EraseRootFromParent_Done,
     /* 2305421 */   // Label 33517: @2305421
     /* 2305421 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2305504), // Rule ID 45236 //
     /* 2305426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2305429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2305458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2305462 */     // MIs[1] Operand 1
     /* 2305462 */     // No operand predicates
     /* 2305462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305466 */     // MIs[0] policy
     /* 2305466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305478 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2305481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2305490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305503 */     // GIR_Coverage, 45236,
     /* 2305503 */     GIR_EraseRootFromParent_Done,
     /* 2305504 */   // Label 33518: @2305504
     /* 2305504 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2305587), // Rule ID 45237 //
     /* 2305509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2305512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2305541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2305545 */     // MIs[1] Operand 1
     /* 2305545 */     // No operand predicates
     /* 2305545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305549 */     // MIs[0] policy
     /* 2305549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305561 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2305564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2305573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305586 */     // GIR_Coverage, 45237,
     /* 2305586 */     GIR_EraseRootFromParent_Done,
     /* 2305587 */   // Label 33519: @2305587
     /* 2305587 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2305659), // Rule ID 45166 //
     /* 2305592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2305595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305624 */     // MIs[0] policy
     /* 2305624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305634 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2305637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305658 */     // GIR_Coverage, 45166,
     /* 2305658 */     GIR_EraseRootFromParent_Done,
     /* 2305659 */   // Label 33520: @2305659
     /* 2305659 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2305731), // Rule ID 45167 //
     /* 2305664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2305667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305696 */     // MIs[0] policy
     /* 2305696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305706 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2305709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305730 */     // GIR_Coverage, 45167,
     /* 2305730 */     GIR_EraseRootFromParent_Done,
     /* 2305731 */   // Label 33521: @2305731
     /* 2305731 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2305803), // Rule ID 45238 //
     /* 2305736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2305739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305768 */     // MIs[0] policy
     /* 2305768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305778 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2305781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305802 */     // GIR_Coverage, 45238,
     /* 2305802 */     GIR_EraseRootFromParent_Done,
     /* 2305803 */   // Label 33522: @2305803
     /* 2305803 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2305875), // Rule ID 45239 //
     /* 2305808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2305811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2305817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305840 */     // MIs[0] policy
     /* 2305840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305850 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2305853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2305861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305874 */     // GIR_Coverage, 45239,
     /* 2305874 */     GIR_EraseRootFromParent_Done,
     /* 2305875 */   // Label 33523: @2305875
     /* 2305875 */   GIM_Reject,
     /* 2305876 */ // Label 33515: @2305876
     /* 2305876 */ GIM_Reject,
     /* 2305877 */ // Label 33473: @2305877
     /* 2305877 */ GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2306199),
     /* 2305882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2305885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2305888 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2305971), // Rule ID 45132 //
     /* 2305893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2305896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2305899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2305902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2305905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2305921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2305925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2305929 */     // MIs[1] Operand 1
     /* 2305929 */     // No operand predicates
     /* 2305929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305933 */     // MIs[0] policy
     /* 2305933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2305938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305945 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2305948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2305952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2305954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2305957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2305959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2305969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305970 */     // GIR_Coverage, 45132,
     /* 2305970 */     GIR_EraseRootFromParent_Done,
     /* 2305971 */   // Label 33525: @2305971
     /* 2305971 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2306054), // Rule ID 45133 //
     /* 2305976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2305979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2305982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2305985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2305988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306012 */     // MIs[1] Operand 1
     /* 2306012 */     // No operand predicates
     /* 2306012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306016 */     // MIs[0] policy
     /* 2306016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306028 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2306031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306053 */     // GIR_Coverage, 45133,
     /* 2306053 */     GIR_EraseRootFromParent_Done,
     /* 2306054 */   // Label 33526: @2306054
     /* 2306054 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2306126), // Rule ID 45134 //
     /* 2306059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306091 */     // MIs[0] policy
     /* 2306091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306101 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2306104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306125 */     // GIR_Coverage, 45134,
     /* 2306125 */     GIR_EraseRootFromParent_Done,
     /* 2306126 */   // Label 33527: @2306126
     /* 2306126 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2306198), // Rule ID 45135 //
     /* 2306131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306163 */     // MIs[0] policy
     /* 2306163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306173 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2306176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306197 */     // GIR_Coverage, 45135,
     /* 2306197 */     GIR_EraseRootFromParent_Done,
     /* 2306198 */   // Label 33528: @2306198
     /* 2306198 */   GIM_Reject,
     /* 2306199 */ // Label 33524: @2306199
     /* 2306199 */ GIM_Reject,
     /* 2306200 */ // Label 33474: @2306200
     /* 2306200 */ GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2306832),
     /* 2306205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2306208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2306211 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2306294), // Rule ID 45144 //
     /* 2306216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306252 */     // MIs[1] Operand 1
     /* 2306252 */     // No operand predicates
     /* 2306252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306256 */     // MIs[0] policy
     /* 2306256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306268 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2306271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306293 */     // GIR_Coverage, 45144,
     /* 2306293 */     GIR_EraseRootFromParent_Done,
     /* 2306294 */   // Label 33530: @2306294
     /* 2306294 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2306377), // Rule ID 45145 //
     /* 2306299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306335 */     // MIs[1] Operand 1
     /* 2306335 */     // No operand predicates
     /* 2306335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306339 */     // MIs[0] policy
     /* 2306339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306351 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2306354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306376 */     // GIR_Coverage, 45145,
     /* 2306376 */     GIR_EraseRootFromParent_Done,
     /* 2306377 */   // Label 33531: @2306377
     /* 2306377 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2306460), // Rule ID 45220 //
     /* 2306382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306418 */     // MIs[1] Operand 1
     /* 2306418 */     // No operand predicates
     /* 2306418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306422 */     // MIs[0] policy
     /* 2306422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306434 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2306437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306459 */     // GIR_Coverage, 45220,
     /* 2306459 */     GIR_EraseRootFromParent_Done,
     /* 2306460 */   // Label 33532: @2306460
     /* 2306460 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2306543), // Rule ID 45221 //
     /* 2306465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306501 */     // MIs[1] Operand 1
     /* 2306501 */     // No operand predicates
     /* 2306501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306505 */     // MIs[0] policy
     /* 2306505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306517 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2306520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306542 */     // GIR_Coverage, 45221,
     /* 2306542 */     GIR_EraseRootFromParent_Done,
     /* 2306543 */   // Label 33533: @2306543
     /* 2306543 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2306615), // Rule ID 45146 //
     /* 2306548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306580 */     // MIs[0] policy
     /* 2306580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306590 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2306593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306614 */     // GIR_Coverage, 45146,
     /* 2306614 */     GIR_EraseRootFromParent_Done,
     /* 2306615 */   // Label 33534: @2306615
     /* 2306615 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2306687), // Rule ID 45147 //
     /* 2306620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306652 */     // MIs[0] policy
     /* 2306652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306662 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2306665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306686 */     // GIR_Coverage, 45147,
     /* 2306686 */     GIR_EraseRootFromParent_Done,
     /* 2306687 */   // Label 33535: @2306687
     /* 2306687 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2306759), // Rule ID 45222 //
     /* 2306692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306724 */     // MIs[0] policy
     /* 2306724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306734 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2306737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306758 */     // GIR_Coverage, 45222,
     /* 2306758 */     GIR_EraseRootFromParent_Done,
     /* 2306759 */   // Label 33536: @2306759
     /* 2306759 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2306831), // Rule ID 45223 //
     /* 2306764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306796 */     // MIs[0] policy
     /* 2306796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306806 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2306809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2306817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306830 */     // GIR_Coverage, 45223,
     /* 2306830 */     GIR_EraseRootFromParent_Done,
     /* 2306831 */   // Label 33537: @2306831
     /* 2306831 */   GIM_Reject,
     /* 2306832 */ // Label 33529: @2306832
     /* 2306832 */ GIM_Reject,
     /* 2306833 */ // Label 33475: @2306833
     /* 2306833 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2307465),
     /* 2306838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2306844 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2306927), // Rule ID 45160 //
     /* 2306849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2306852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2306855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2306861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306885 */     // MIs[1] Operand 1
     /* 2306885 */     // No operand predicates
     /* 2306885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306889 */     // MIs[0] policy
     /* 2306889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306901 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2306904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2306925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306926 */     // GIR_Coverage, 45160,
     /* 2306926 */     GIR_EraseRootFromParent_Done,
     /* 2306927 */   // Label 33539: @2306927
     /* 2306927 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2307010), // Rule ID 45161 //
     /* 2306932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2306935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2306941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2306944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2306960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2306964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2306968 */     // MIs[1] Operand 1
     /* 2306968 */     // No operand predicates
     /* 2306968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306972 */     // MIs[0] policy
     /* 2306972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2306977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306984 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2306987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2306991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2306993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2306996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2306998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307009 */     // GIR_Coverage, 45161,
     /* 2307009 */     GIR_EraseRootFromParent_Done,
     /* 2307010 */   // Label 33540: @2307010
     /* 2307010 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2307093), // Rule ID 45232 //
     /* 2307015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2307018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307051 */     // MIs[1] Operand 1
     /* 2307051 */     // No operand predicates
     /* 2307051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307055 */     // MIs[0] policy
     /* 2307055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307067 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2307070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307092 */     // GIR_Coverage, 45232,
     /* 2307092 */     GIR_EraseRootFromParent_Done,
     /* 2307093 */   // Label 33541: @2307093
     /* 2307093 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2307176), // Rule ID 45233 //
     /* 2307098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2307101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307134 */     // MIs[1] Operand 1
     /* 2307134 */     // No operand predicates
     /* 2307134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307138 */     // MIs[0] policy
     /* 2307138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307150 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2307153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307175 */     // GIR_Coverage, 45233,
     /* 2307175 */     GIR_EraseRootFromParent_Done,
     /* 2307176 */   // Label 33542: @2307176
     /* 2307176 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2307248), // Rule ID 45162 //
     /* 2307181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2307184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307213 */     // MIs[0] policy
     /* 2307213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307223 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2307226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307247 */     // GIR_Coverage, 45162,
     /* 2307247 */     GIR_EraseRootFromParent_Done,
     /* 2307248 */   // Label 33543: @2307248
     /* 2307248 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2307320), // Rule ID 45163 //
     /* 2307253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2307256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307285 */     // MIs[0] policy
     /* 2307285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307295 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2307298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307319 */     // GIR_Coverage, 45163,
     /* 2307319 */     GIR_EraseRootFromParent_Done,
     /* 2307320 */   // Label 33544: @2307320
     /* 2307320 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2307392), // Rule ID 45234 //
     /* 2307325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2307328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307357 */     // MIs[0] policy
     /* 2307357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307367 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2307370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307391 */     // GIR_Coverage, 45234,
     /* 2307391 */     GIR_EraseRootFromParent_Done,
     /* 2307392 */   // Label 33545: @2307392
     /* 2307392 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2307464), // Rule ID 45235 //
     /* 2307397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2307400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2307413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307429 */     // MIs[0] policy
     /* 2307429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307439 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2307442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307463 */     // GIR_Coverage, 45235,
     /* 2307463 */     GIR_EraseRootFromParent_Done,
     /* 2307464 */   // Label 33546: @2307464
     /* 2307464 */   GIM_Reject,
     /* 2307465 */ // Label 33538: @2307465
     /* 2307465 */ GIM_Reject,
     /* 2307466 */ // Label 33476: @2307466
     /* 2307466 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2308098),
     /* 2307471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2307474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2307477 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2307560), // Rule ID 45204 //
     /* 2307482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2307485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307518 */     // MIs[1] Operand 1
     /* 2307518 */     // No operand predicates
     /* 2307518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307522 */     // MIs[0] policy
     /* 2307522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307534 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2307537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307559 */     // GIR_Coverage, 45204,
     /* 2307559 */     GIR_EraseRootFromParent_Done,
     /* 2307560 */   // Label 33548: @2307560
     /* 2307560 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2307643), // Rule ID 45205 //
     /* 2307565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2307568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307601 */     // MIs[1] Operand 1
     /* 2307601 */     // No operand predicates
     /* 2307601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307605 */     // MIs[0] policy
     /* 2307605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307617 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2307620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307642 */     // GIR_Coverage, 45205,
     /* 2307642 */     GIR_EraseRootFromParent_Done,
     /* 2307643 */   // Label 33549: @2307643
     /* 2307643 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2307726), // Rule ID 45264 //
     /* 2307648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2307651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307684 */     // MIs[1] Operand 1
     /* 2307684 */     // No operand predicates
     /* 2307684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307688 */     // MIs[0] policy
     /* 2307688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307700 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2307703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307725 */     // GIR_Coverage, 45264,
     /* 2307725 */     GIR_EraseRootFromParent_Done,
     /* 2307726 */   // Label 33550: @2307726
     /* 2307726 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2307809), // Rule ID 45265 //
     /* 2307731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2307734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2307763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2307767 */     // MIs[1] Operand 1
     /* 2307767 */     // No operand predicates
     /* 2307767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307771 */     // MIs[0] policy
     /* 2307771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307783 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2307786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2307795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307808 */     // GIR_Coverage, 45265,
     /* 2307808 */     GIR_EraseRootFromParent_Done,
     /* 2307809 */   // Label 33551: @2307809
     /* 2307809 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2307881), // Rule ID 45206 //
     /* 2307814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2307817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307846 */     // MIs[0] policy
     /* 2307846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307856 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2307856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2307859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307880 */     // GIR_Coverage, 45206,
     /* 2307880 */     GIR_EraseRootFromParent_Done,
     /* 2307881 */   // Label 33552: @2307881
     /* 2307881 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2307953), // Rule ID 45207 //
     /* 2307886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2307889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307918 */     // MIs[0] policy
     /* 2307918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2307928 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2307928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2307931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2307935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2307937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2307939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2307941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2307946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2307951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307952 */     // GIR_Coverage, 45207,
     /* 2307952 */     GIR_EraseRootFromParent_Done,
     /* 2307953 */   // Label 33553: @2307953
     /* 2307953 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2308025), // Rule ID 45266 //
     /* 2307958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2307961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2307967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2307970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2307974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2307990 */     // MIs[0] policy
     /* 2307990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308000 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2308003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308024 */     // GIR_Coverage, 45266,
     /* 2308024 */     GIR_EraseRootFromParent_Done,
     /* 2308025 */   // Label 33554: @2308025
     /* 2308025 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2308097), // Rule ID 45267 //
     /* 2308030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2308033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2308039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2308046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308062 */     // MIs[0] policy
     /* 2308062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308072 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2308075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308096 */     // GIR_Coverage, 45267,
     /* 2308096 */     GIR_EraseRootFromParent_Done,
     /* 2308097 */   // Label 33555: @2308097
     /* 2308097 */   GIM_Reject,
     /* 2308098 */ // Label 33547: @2308098
     /* 2308098 */ GIM_Reject,
     /* 2308099 */ // Label 33477: @2308099
     /* 2308099 */ GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2308421),
     /* 2308104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2308107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2308110 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2308193), // Rule ID 45136 //
     /* 2308115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308151 */     // MIs[1] Operand 1
     /* 2308151 */     // No operand predicates
     /* 2308151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308155 */     // MIs[0] policy
     /* 2308155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308167 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2308170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308192 */     // GIR_Coverage, 45136,
     /* 2308192 */     GIR_EraseRootFromParent_Done,
     /* 2308193 */   // Label 33557: @2308193
     /* 2308193 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2308276), // Rule ID 45137 //
     /* 2308198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308234 */     // MIs[1] Operand 1
     /* 2308234 */     // No operand predicates
     /* 2308234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308238 */     // MIs[0] policy
     /* 2308238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308250 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2308253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308275 */     // GIR_Coverage, 45137,
     /* 2308275 */     GIR_EraseRootFromParent_Done,
     /* 2308276 */   // Label 33558: @2308276
     /* 2308276 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2308348), // Rule ID 45138 //
     /* 2308281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308313 */     // MIs[0] policy
     /* 2308313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308323 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2308326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308347 */     // GIR_Coverage, 45138,
     /* 2308347 */     GIR_EraseRootFromParent_Done,
     /* 2308348 */   // Label 33559: @2308348
     /* 2308348 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2308420), // Rule ID 45139 //
     /* 2308353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308385 */     // MIs[0] policy
     /* 2308385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308395 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2308398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308419 */     // GIR_Coverage, 45139,
     /* 2308419 */     GIR_EraseRootFromParent_Done,
     /* 2308420 */   // Label 33560: @2308420
     /* 2308420 */   GIM_Reject,
     /* 2308421 */ // Label 33556: @2308421
     /* 2308421 */ GIM_Reject,
     /* 2308422 */ // Label 33478: @2308422
     /* 2308422 */ GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2309054),
     /* 2308427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2308430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2308433 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2308516), // Rule ID 45156 //
     /* 2308438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308474 */     // MIs[1] Operand 1
     /* 2308474 */     // No operand predicates
     /* 2308474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308478 */     // MIs[0] policy
     /* 2308478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308490 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2308493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308515 */     // GIR_Coverage, 45156,
     /* 2308515 */     GIR_EraseRootFromParent_Done,
     /* 2308516 */   // Label 33562: @2308516
     /* 2308516 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2308599), // Rule ID 45157 //
     /* 2308521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308557 */     // MIs[1] Operand 1
     /* 2308557 */     // No operand predicates
     /* 2308557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308561 */     // MIs[0] policy
     /* 2308561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308573 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2308576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308598 */     // GIR_Coverage, 45157,
     /* 2308598 */     GIR_EraseRootFromParent_Done,
     /* 2308599 */   // Label 33563: @2308599
     /* 2308599 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2308682), // Rule ID 45228 //
     /* 2308604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308640 */     // MIs[1] Operand 1
     /* 2308640 */     // No operand predicates
     /* 2308640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308644 */     // MIs[0] policy
     /* 2308644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308656 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2308659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308681 */     // GIR_Coverage, 45228,
     /* 2308681 */     GIR_EraseRootFromParent_Done,
     /* 2308682 */   // Label 33564: @2308682
     /* 2308682 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2308765), // Rule ID 45229 //
     /* 2308687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2308715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2308719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2308723 */     // MIs[1] Operand 1
     /* 2308723 */     // No operand predicates
     /* 2308723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308727 */     // MIs[0] policy
     /* 2308727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308739 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2308742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2308751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308764 */     // GIR_Coverage, 45229,
     /* 2308764 */     GIR_EraseRootFromParent_Done,
     /* 2308765 */   // Label 33565: @2308765
     /* 2308765 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2308837), // Rule ID 45158 //
     /* 2308770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308802 */     // MIs[0] policy
     /* 2308802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308812 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2308815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308836 */     // GIR_Coverage, 45158,
     /* 2308836 */     GIR_EraseRootFromParent_Done,
     /* 2308837 */   // Label 33566: @2308837
     /* 2308837 */   GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2308909), // Rule ID 45159 //
     /* 2308842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308874 */     // MIs[0] policy
     /* 2308874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308884 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2308884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2308887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308908 */     // GIR_Coverage, 45159,
     /* 2308908 */     GIR_EraseRootFromParent_Done,
     /* 2308909 */   // Label 33567: @2308909
     /* 2308909 */   GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2308981), // Rule ID 45230 //
     /* 2308914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2308930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2308946 */     // MIs[0] policy
     /* 2308946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2308956 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2308956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2308959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2308963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2308965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2308967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2308969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2308974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2308979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308980 */     // GIR_Coverage, 45230,
     /* 2308980 */     GIR_EraseRootFromParent_Done,
     /* 2308981 */   // Label 33568: @2308981
     /* 2308981 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2309053), // Rule ID 45231 //
     /* 2308986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2308995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2309002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309018 */     // MIs[0] policy
     /* 2309018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309028 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2309031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309052 */     // GIR_Coverage, 45231,
     /* 2309052 */     GIR_EraseRootFromParent_Done,
     /* 2309053 */   // Label 33569: @2309053
     /* 2309053 */   GIM_Reject,
     /* 2309054 */ // Label 33561: @2309054
     /* 2309054 */ GIM_Reject,
     /* 2309055 */ // Label 33479: @2309055
     /* 2309055 */ GIM_Try, /*On fail goto*//*Label 33570*/ GIMT_Encode4(2309687),
     /* 2309060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2309063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2309066 */   GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2309149), // Rule ID 45192 //
     /* 2309071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309107 */     // MIs[1] Operand 1
     /* 2309107 */     // No operand predicates
     /* 2309107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309111 */     // MIs[0] policy
     /* 2309111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309123 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2309126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309148 */     // GIR_Coverage, 45192,
     /* 2309148 */     GIR_EraseRootFromParent_Done,
     /* 2309149 */   // Label 33571: @2309149
     /* 2309149 */   GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2309232), // Rule ID 45193 //
     /* 2309154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309190 */     // MIs[1] Operand 1
     /* 2309190 */     // No operand predicates
     /* 2309190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309194 */     // MIs[0] policy
     /* 2309194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309206 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2309209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309231 */     // GIR_Coverage, 45193,
     /* 2309231 */     GIR_EraseRootFromParent_Done,
     /* 2309232 */   // Label 33572: @2309232
     /* 2309232 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2309315), // Rule ID 45252 //
     /* 2309237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309273 */     // MIs[1] Operand 1
     /* 2309273 */     // No operand predicates
     /* 2309273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309277 */     // MIs[0] policy
     /* 2309277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309289 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2309292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309314 */     // GIR_Coverage, 45252,
     /* 2309314 */     GIR_EraseRootFromParent_Done,
     /* 2309315 */   // Label 33573: @2309315
     /* 2309315 */   GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2309398), // Rule ID 45253 //
     /* 2309320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309356 */     // MIs[1] Operand 1
     /* 2309356 */     // No operand predicates
     /* 2309356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309360 */     // MIs[0] policy
     /* 2309360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309372 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2309375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309397 */     // GIR_Coverage, 45253,
     /* 2309397 */     GIR_EraseRootFromParent_Done,
     /* 2309398 */   // Label 33574: @2309398
     /* 2309398 */   GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2309470), // Rule ID 45194 //
     /* 2309403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309435 */     // MIs[0] policy
     /* 2309435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309445 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2309448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309469 */     // GIR_Coverage, 45194,
     /* 2309469 */     GIR_EraseRootFromParent_Done,
     /* 2309470 */   // Label 33575: @2309470
     /* 2309470 */   GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2309542), // Rule ID 45195 //
     /* 2309475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309507 */     // MIs[0] policy
     /* 2309507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309517 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2309520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309541 */     // GIR_Coverage, 45195,
     /* 2309541 */     GIR_EraseRootFromParent_Done,
     /* 2309542 */   // Label 33576: @2309542
     /* 2309542 */   GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2309614), // Rule ID 45254 //
     /* 2309547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309579 */     // MIs[0] policy
     /* 2309579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309589 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2309592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309613 */     // GIR_Coverage, 45254,
     /* 2309613 */     GIR_EraseRootFromParent_Done,
     /* 2309614 */   // Label 33577: @2309614
     /* 2309614 */   GIM_Try, /*On fail goto*//*Label 33578*/ GIMT_Encode4(2309686), // Rule ID 45255 //
     /* 2309619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2309635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309651 */     // MIs[0] policy
     /* 2309651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309661 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2309664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2309672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309685 */     // GIR_Coverage, 45255,
     /* 2309685 */     GIR_EraseRootFromParent_Done,
     /* 2309686 */   // Label 33578: @2309686
     /* 2309686 */   GIM_Reject,
     /* 2309687 */ // Label 33570: @2309687
     /* 2309687 */ GIM_Reject,
     /* 2309688 */ // Label 33480: @2309688
     /* 2309688 */ GIM_Try, /*On fail goto*//*Label 33579*/ GIMT_Encode4(2310320),
     /* 2309693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2309696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2309699 */   GIM_Try, /*On fail goto*//*Label 33580*/ GIMT_Encode4(2309782), // Rule ID 45208 //
     /* 2309704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2309707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2309720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309740 */     // MIs[1] Operand 1
     /* 2309740 */     // No operand predicates
     /* 2309740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309744 */     // MIs[0] policy
     /* 2309744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309756 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2309759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309781 */     // GIR_Coverage, 45208,
     /* 2309781 */     GIR_EraseRootFromParent_Done,
     /* 2309782 */   // Label 33580: @2309782
     /* 2309782 */   GIM_Try, /*On fail goto*//*Label 33581*/ GIMT_Encode4(2309865), // Rule ID 45209 //
     /* 2309787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2309790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2309803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309823 */     // MIs[1] Operand 1
     /* 2309823 */     // No operand predicates
     /* 2309823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309827 */     // MIs[0] policy
     /* 2309827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309839 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2309839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2309842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309864 */     // GIR_Coverage, 45209,
     /* 2309864 */     GIR_EraseRootFromParent_Done,
     /* 2309865 */   // Label 33581: @2309865
     /* 2309865 */   GIM_Try, /*On fail goto*//*Label 33582*/ GIMT_Encode4(2309948), // Rule ID 45268 //
     /* 2309870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2309873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2309882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2309886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309906 */     // MIs[1] Operand 1
     /* 2309906 */     // No operand predicates
     /* 2309906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309910 */     // MIs[0] policy
     /* 2309910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2309922 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2309922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2309925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2309929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2309931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2309934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2309936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2309941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2309946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309947 */     // GIR_Coverage, 45268,
     /* 2309947 */     GIR_EraseRootFromParent_Done,
     /* 2309948 */   // Label 33582: @2309948
     /* 2309948 */   GIM_Try, /*On fail goto*//*Label 33583*/ GIMT_Encode4(2310031), // Rule ID 45269 //
     /* 2309953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2309956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2309959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2309962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2309965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2309969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2309985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2309989 */     // MIs[1] Operand 1
     /* 2309989 */     // No operand predicates
     /* 2309989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2309993 */     // MIs[0] policy
     /* 2309993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2309996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310005 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2310008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310030 */     // GIR_Coverage, 45269,
     /* 2310030 */     GIR_EraseRootFromParent_Done,
     /* 2310031 */   // Label 33583: @2310031
     /* 2310031 */   GIM_Try, /*On fail goto*//*Label 33584*/ GIMT_Encode4(2310103), // Rule ID 45210 //
     /* 2310036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2310039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2310045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2310052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310068 */     // MIs[0] policy
     /* 2310068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310078 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2310081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310102 */     // GIR_Coverage, 45210,
     /* 2310102 */     GIR_EraseRootFromParent_Done,
     /* 2310103 */   // Label 33584: @2310103
     /* 2310103 */   GIM_Try, /*On fail goto*//*Label 33585*/ GIMT_Encode4(2310175), // Rule ID 45211 //
     /* 2310108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2310111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2310117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2310124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310140 */     // MIs[0] policy
     /* 2310140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310150 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2310153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310174 */     // GIR_Coverage, 45211,
     /* 2310174 */     GIR_EraseRootFromParent_Done,
     /* 2310175 */   // Label 33585: @2310175
     /* 2310175 */   GIM_Try, /*On fail goto*//*Label 33586*/ GIMT_Encode4(2310247), // Rule ID 45270 //
     /* 2310180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2310183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2310189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2310196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310212 */     // MIs[0] policy
     /* 2310212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310222 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2310225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310246 */     // GIR_Coverage, 45270,
     /* 2310246 */     GIR_EraseRootFromParent_Done,
     /* 2310247 */   // Label 33586: @2310247
     /* 2310247 */   GIM_Try, /*On fail goto*//*Label 33587*/ GIMT_Encode4(2310319), // Rule ID 45271 //
     /* 2310252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2310255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2310261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2310268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310284 */     // MIs[0] policy
     /* 2310284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310294 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2310297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310318 */     // GIR_Coverage, 45271,
     /* 2310318 */     GIR_EraseRootFromParent_Done,
     /* 2310319 */   // Label 33587: @2310319
     /* 2310319 */   GIM_Reject,
     /* 2310320 */ // Label 33579: @2310320
     /* 2310320 */ GIM_Reject,
     /* 2310321 */ // Label 33481: @2310321
     /* 2310321 */ GIM_Try, /*On fail goto*//*Label 33588*/ GIMT_Encode4(2310643),
     /* 2310326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2310329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2310332 */   GIM_Try, /*On fail goto*//*Label 33589*/ GIMT_Encode4(2310415), // Rule ID 45152 //
     /* 2310337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2310353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310373 */     // MIs[1] Operand 1
     /* 2310373 */     // No operand predicates
     /* 2310373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310377 */     // MIs[0] policy
     /* 2310377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310389 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2310392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310414 */     // GIR_Coverage, 45152,
     /* 2310414 */     GIR_EraseRootFromParent_Done,
     /* 2310415 */   // Label 33589: @2310415
     /* 2310415 */   GIM_Try, /*On fail goto*//*Label 33590*/ GIMT_Encode4(2310498), // Rule ID 45153 //
     /* 2310420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2310436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310456 */     // MIs[1] Operand 1
     /* 2310456 */     // No operand predicates
     /* 2310456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310460 */     // MIs[0] policy
     /* 2310460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310472 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2310475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310497 */     // GIR_Coverage, 45153,
     /* 2310497 */     GIR_EraseRootFromParent_Done,
     /* 2310498 */   // Label 33590: @2310498
     /* 2310498 */   GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2310570), // Rule ID 45154 //
     /* 2310503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2310519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310535 */     // MIs[0] policy
     /* 2310535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310545 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2310548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310569 */     // GIR_Coverage, 45154,
     /* 2310569 */     GIR_EraseRootFromParent_Done,
     /* 2310570 */   // Label 33591: @2310570
     /* 2310570 */   GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2310642), // Rule ID 45155 //
     /* 2310575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2310591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310607 */     // MIs[0] policy
     /* 2310607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310617 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2310620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2310628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310641 */     // GIR_Coverage, 45155,
     /* 2310641 */     GIR_EraseRootFromParent_Done,
     /* 2310642 */   // Label 33592: @2310642
     /* 2310642 */   GIM_Reject,
     /* 2310643 */ // Label 33588: @2310643
     /* 2310643 */ GIM_Reject,
     /* 2310644 */ // Label 33482: @2310644
     /* 2310644 */ GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2311276),
     /* 2310649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2310655 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2310738), // Rule ID 45180 //
     /* 2310660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2310676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310696 */     // MIs[1] Operand 1
     /* 2310696 */     // No operand predicates
     /* 2310696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310700 */     // MIs[0] policy
     /* 2310700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310712 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2310715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310737 */     // GIR_Coverage, 45180,
     /* 2310737 */     GIR_EraseRootFromParent_Done,
     /* 2310738 */   // Label 33594: @2310738
     /* 2310738 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2310821), // Rule ID 45181 //
     /* 2310743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2310759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310779 */     // MIs[1] Operand 1
     /* 2310779 */     // No operand predicates
     /* 2310779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310783 */     // MIs[0] policy
     /* 2310783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310795 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2310798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310820 */     // GIR_Coverage, 45181,
     /* 2310820 */     GIR_EraseRootFromParent_Done,
     /* 2310821 */   // Label 33595: @2310821
     /* 2310821 */   GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2310904), // Rule ID 45240 //
     /* 2310826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2310838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2310842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310862 */     // MIs[1] Operand 1
     /* 2310862 */     // No operand predicates
     /* 2310862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310866 */     // MIs[0] policy
     /* 2310866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310878 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2310878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2310881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310903 */     // GIR_Coverage, 45240,
     /* 2310903 */     GIR_EraseRootFromParent_Done,
     /* 2310904 */   // Label 33596: @2310904
     /* 2310904 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2310987), // Rule ID 45241 //
     /* 2310909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2310915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2310918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2310921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2310925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2310941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2310945 */     // MIs[1] Operand 1
     /* 2310945 */     // No operand predicates
     /* 2310945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2310949 */     // MIs[0] policy
     /* 2310949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2310952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2310961 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2310961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2310964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2310968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2310970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2310973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2310975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2310980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2310985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310986 */     // GIR_Coverage, 45241,
     /* 2310986 */     GIR_EraseRootFromParent_Done,
     /* 2310987 */   // Label 33597: @2310987
     /* 2310987 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2311059), // Rule ID 45182 //
     /* 2310992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2310998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2311008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311024 */     // MIs[0] policy
     /* 2311024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311034 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2311037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311058 */     // GIR_Coverage, 45182,
     /* 2311058 */     GIR_EraseRootFromParent_Done,
     /* 2311059 */   // Label 33598: @2311059
     /* 2311059 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2311131), // Rule ID 45183 //
     /* 2311064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2311080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311096 */     // MIs[0] policy
     /* 2311096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311106 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2311109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311130 */     // GIR_Coverage, 45183,
     /* 2311130 */     GIR_EraseRootFromParent_Done,
     /* 2311131 */   // Label 33599: @2311131
     /* 2311131 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2311203), // Rule ID 45242 //
     /* 2311136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2311152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311168 */     // MIs[0] policy
     /* 2311168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311178 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2311181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311202 */     // GIR_Coverage, 45242,
     /* 2311202 */     GIR_EraseRootFromParent_Done,
     /* 2311203 */   // Label 33600: @2311203
     /* 2311203 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2311275), // Rule ID 45243 //
     /* 2311208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2311224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311240 */     // MIs[0] policy
     /* 2311240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311250 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2311253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311274 */     // GIR_Coverage, 45243,
     /* 2311274 */     GIR_EraseRootFromParent_Done,
     /* 2311275 */   // Label 33601: @2311275
     /* 2311275 */   GIM_Reject,
     /* 2311276 */ // Label 33593: @2311276
     /* 2311276 */ GIM_Reject,
     /* 2311277 */ // Label 33483: @2311277
     /* 2311277 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2311909),
     /* 2311282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2311285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2311288 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2311371), // Rule ID 45196 //
     /* 2311293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2311325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2311329 */     // MIs[1] Operand 1
     /* 2311329 */     // No operand predicates
     /* 2311329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311333 */     // MIs[0] policy
     /* 2311333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311345 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2311348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2311357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311370 */     // GIR_Coverage, 45196,
     /* 2311370 */     GIR_EraseRootFromParent_Done,
     /* 2311371 */   // Label 33603: @2311371
     /* 2311371 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2311454), // Rule ID 45197 //
     /* 2311376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2311408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2311412 */     // MIs[1] Operand 1
     /* 2311412 */     // No operand predicates
     /* 2311412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311416 */     // MIs[0] policy
     /* 2311416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311428 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2311431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2311440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311453 */     // GIR_Coverage, 45197,
     /* 2311453 */     GIR_EraseRootFromParent_Done,
     /* 2311454 */   // Label 33604: @2311454
     /* 2311454 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2311537), // Rule ID 45256 //
     /* 2311459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2311491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2311495 */     // MIs[1] Operand 1
     /* 2311495 */     // No operand predicates
     /* 2311495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311499 */     // MIs[0] policy
     /* 2311499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311511 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2311514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2311523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311536 */     // GIR_Coverage, 45256,
     /* 2311536 */     GIR_EraseRootFromParent_Done,
     /* 2311537 */   // Label 33605: @2311537
     /* 2311537 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2311620), // Rule ID 45257 //
     /* 2311542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2311574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2311578 */     // MIs[1] Operand 1
     /* 2311578 */     // No operand predicates
     /* 2311578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311582 */     // MIs[0] policy
     /* 2311582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311594 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2311597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2311606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311619 */     // GIR_Coverage, 45257,
     /* 2311619 */     GIR_EraseRootFromParent_Done,
     /* 2311620 */   // Label 33606: @2311620
     /* 2311620 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2311692), // Rule ID 45198 //
     /* 2311625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311657 */     // MIs[0] policy
     /* 2311657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311667 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2311670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311691 */     // GIR_Coverage, 45198,
     /* 2311691 */     GIR_EraseRootFromParent_Done,
     /* 2311692 */   // Label 33607: @2311692
     /* 2311692 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2311764), // Rule ID 45199 //
     /* 2311697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311729 */     // MIs[0] policy
     /* 2311729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311739 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2311742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311763 */     // GIR_Coverage, 45199,
     /* 2311763 */     GIR_EraseRootFromParent_Done,
     /* 2311764 */   // Label 33608: @2311764
     /* 2311764 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2311836), // Rule ID 45258 //
     /* 2311769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311801 */     // MIs[0] policy
     /* 2311801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311811 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2311814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311835 */     // GIR_Coverage, 45258,
     /* 2311835 */     GIR_EraseRootFromParent_Done,
     /* 2311836 */   // Label 33609: @2311836
     /* 2311836 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2311908), // Rule ID 45259 //
     /* 2311841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2311847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2311853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2311857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311873 */     // MIs[0] policy
     /* 2311873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311883 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2311883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2311886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2311906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311907 */     // GIR_Coverage, 45259,
     /* 2311907 */     GIR_EraseRootFromParent_Done,
     /* 2311908 */   // Label 33610: @2311908
     /* 2311908 */   GIM_Reject,
     /* 2311909 */ // Label 33602: @2311909
     /* 2311909 */ GIM_Reject,
     /* 2311910 */ // Label 33484: @2311910
     /* 2311910 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2312542),
     /* 2311915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2311918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2311921 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2312004), // Rule ID 45212 //
     /* 2311926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2311929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2311932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2311935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2311938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2311942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2311958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2311962 */     // MIs[1] Operand 1
     /* 2311962 */     // No operand predicates
     /* 2311962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2311966 */     // MIs[0] policy
     /* 2311966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2311969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2311978 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2311978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2311981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2311987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2311990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2311992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2311997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312003 */     // GIR_Coverage, 45212,
     /* 2312003 */     GIR_EraseRootFromParent_Done,
     /* 2312004 */   // Label 33612: @2312004
     /* 2312004 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2312087), // Rule ID 45213 //
     /* 2312009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2312012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312045 */     // MIs[1] Operand 1
     /* 2312045 */     // No operand predicates
     /* 2312045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312049 */     // MIs[0] policy
     /* 2312049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312061 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2312064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312086 */     // GIR_Coverage, 45213,
     /* 2312086 */     GIR_EraseRootFromParent_Done,
     /* 2312087 */   // Label 33613: @2312087
     /* 2312087 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2312170), // Rule ID 45272 //
     /* 2312092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2312095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312128 */     // MIs[1] Operand 1
     /* 2312128 */     // No operand predicates
     /* 2312128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312132 */     // MIs[0] policy
     /* 2312132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312144 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2312147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312169 */     // GIR_Coverage, 45272,
     /* 2312169 */     GIR_EraseRootFromParent_Done,
     /* 2312170 */   // Label 33614: @2312170
     /* 2312170 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2312253), // Rule ID 45273 //
     /* 2312175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2312178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312211 */     // MIs[1] Operand 1
     /* 2312211 */     // No operand predicates
     /* 2312211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312215 */     // MIs[0] policy
     /* 2312215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312227 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2312230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312252 */     // GIR_Coverage, 45273,
     /* 2312252 */     GIR_EraseRootFromParent_Done,
     /* 2312253 */   // Label 33615: @2312253
     /* 2312253 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2312325), // Rule ID 45214 //
     /* 2312258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2312261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312290 */     // MIs[0] policy
     /* 2312290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312300 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2312303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312324 */     // GIR_Coverage, 45214,
     /* 2312324 */     GIR_EraseRootFromParent_Done,
     /* 2312325 */   // Label 33616: @2312325
     /* 2312325 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2312397), // Rule ID 45215 //
     /* 2312330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2312333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312362 */     // MIs[0] policy
     /* 2312362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312372 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2312375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312396 */     // GIR_Coverage, 45215,
     /* 2312396 */     GIR_EraseRootFromParent_Done,
     /* 2312397 */   // Label 33617: @2312397
     /* 2312397 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2312469), // Rule ID 45274 //
     /* 2312402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2312405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312434 */     // MIs[0] policy
     /* 2312434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312444 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2312447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312468 */     // GIR_Coverage, 45274,
     /* 2312468 */     GIR_EraseRootFromParent_Done,
     /* 2312469 */   // Label 33618: @2312469
     /* 2312469 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2312541), // Rule ID 45275 //
     /* 2312474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2312477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2312483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2312490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312506 */     // MIs[0] policy
     /* 2312506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312516 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2312519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312540 */     // GIR_Coverage, 45275,
     /* 2312540 */     GIR_EraseRootFromParent_Done,
     /* 2312541 */   // Label 33619: @2312541
     /* 2312541 */   GIM_Reject,
     /* 2312542 */ // Label 33611: @2312542
     /* 2312542 */ GIM_Reject,
     /* 2312543 */ // Label 33485: @2312543
     /* 2312543 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2312865),
     /* 2312548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2312551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2312554 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2312637), // Rule ID 45168 //
     /* 2312559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2312575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312595 */     // MIs[1] Operand 1
     /* 2312595 */     // No operand predicates
     /* 2312595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312599 */     // MIs[0] policy
     /* 2312599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312611 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2312614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312636 */     // GIR_Coverage, 45168,
     /* 2312636 */     GIR_EraseRootFromParent_Done,
     /* 2312637 */   // Label 33621: @2312637
     /* 2312637 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2312720), // Rule ID 45169 //
     /* 2312642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2312658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312678 */     // MIs[1] Operand 1
     /* 2312678 */     // No operand predicates
     /* 2312678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312682 */     // MIs[0] policy
     /* 2312682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312694 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2312697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312719 */     // GIR_Coverage, 45169,
     /* 2312719 */     GIR_EraseRootFromParent_Done,
     /* 2312720 */   // Label 33622: @2312720
     /* 2312720 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2312792), // Rule ID 45170 //
     /* 2312725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2312741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312757 */     // MIs[0] policy
     /* 2312757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312767 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2312770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312791 */     // GIR_Coverage, 45170,
     /* 2312791 */     GIR_EraseRootFromParent_Done,
     /* 2312792 */   // Label 33623: @2312792
     /* 2312792 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2312864), // Rule ID 45171 //
     /* 2312797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2312813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2312825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312829 */     // MIs[0] policy
     /* 2312829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312839 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2312839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2312842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312863 */     // GIR_Coverage, 45171,
     /* 2312863 */     GIR_EraseRootFromParent_Done,
     /* 2312864 */   // Label 33624: @2312864
     /* 2312864 */   GIM_Reject,
     /* 2312865 */ // Label 33620: @2312865
     /* 2312865 */ GIM_Reject,
     /* 2312866 */ // Label 33486: @2312866
     /* 2312866 */ GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2313498),
     /* 2312871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2312874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2312877 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2312960), // Rule ID 45184 //
     /* 2312882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2312888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2312894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2312898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2312918 */     // MIs[1] Operand 1
     /* 2312918 */     // No operand predicates
     /* 2312918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2312922 */     // MIs[0] policy
     /* 2312922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2312925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2312934 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2312934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2312937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2312943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2312946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2312948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2312953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2312958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312959 */     // GIR_Coverage, 45184,
     /* 2312959 */     GIR_EraseRootFromParent_Done,
     /* 2312960 */   // Label 33626: @2312960
     /* 2312960 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2313043), // Rule ID 45185 //
     /* 2312965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2312971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2312974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2312977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2312981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2312997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313001 */     // MIs[1] Operand 1
     /* 2313001 */     // No operand predicates
     /* 2313001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313005 */     // MIs[0] policy
     /* 2313005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313017 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2313020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313042 */     // GIR_Coverage, 45185,
     /* 2313042 */     GIR_EraseRootFromParent_Done,
     /* 2313043 */   // Label 33627: @2313043
     /* 2313043 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2313126), // Rule ID 45244 //
     /* 2313048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313084 */     // MIs[1] Operand 1
     /* 2313084 */     // No operand predicates
     /* 2313084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313088 */     // MIs[0] policy
     /* 2313088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313100 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2313103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313125 */     // GIR_Coverage, 45244,
     /* 2313125 */     GIR_EraseRootFromParent_Done,
     /* 2313126 */   // Label 33628: @2313126
     /* 2313126 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2313209), // Rule ID 45245 //
     /* 2313131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313167 */     // MIs[1] Operand 1
     /* 2313167 */     // No operand predicates
     /* 2313167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313171 */     // MIs[0] policy
     /* 2313171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313183 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2313186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313208 */     // GIR_Coverage, 45245,
     /* 2313208 */     GIR_EraseRootFromParent_Done,
     /* 2313209 */   // Label 33629: @2313209
     /* 2313209 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2313281), // Rule ID 45186 //
     /* 2313214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313246 */     // MIs[0] policy
     /* 2313246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313256 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2313259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313280 */     // GIR_Coverage, 45186,
     /* 2313280 */     GIR_EraseRootFromParent_Done,
     /* 2313281 */   // Label 33630: @2313281
     /* 2313281 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2313353), // Rule ID 45187 //
     /* 2313286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313318 */     // MIs[0] policy
     /* 2313318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313328 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2313331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313352 */     // GIR_Coverage, 45187,
     /* 2313352 */     GIR_EraseRootFromParent_Done,
     /* 2313353 */   // Label 33631: @2313353
     /* 2313353 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2313425), // Rule ID 45246 //
     /* 2313358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313390 */     // MIs[0] policy
     /* 2313390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313400 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2313403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313424 */     // GIR_Coverage, 45246,
     /* 2313424 */     GIR_EraseRootFromParent_Done,
     /* 2313425 */   // Label 33632: @2313425
     /* 2313425 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2313497), // Rule ID 45247 //
     /* 2313430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2313446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313462 */     // MIs[0] policy
     /* 2313462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313472 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2313475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313496 */     // GIR_Coverage, 45247,
     /* 2313496 */     GIR_EraseRootFromParent_Done,
     /* 2313497 */   // Label 33633: @2313497
     /* 2313497 */   GIM_Reject,
     /* 2313498 */ // Label 33625: @2313498
     /* 2313498 */ GIM_Reject,
     /* 2313499 */ // Label 33487: @2313499
     /* 2313499 */ GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2314131),
     /* 2313504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2313510 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2313593), // Rule ID 45200 //
     /* 2313515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313551 */     // MIs[1] Operand 1
     /* 2313551 */     // No operand predicates
     /* 2313551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313555 */     // MIs[0] policy
     /* 2313555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313567 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2313570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313592 */     // GIR_Coverage, 45200,
     /* 2313592 */     GIR_EraseRootFromParent_Done,
     /* 2313593 */   // Label 33635: @2313593
     /* 2313593 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2313676), // Rule ID 45201 //
     /* 2313598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313634 */     // MIs[1] Operand 1
     /* 2313634 */     // No operand predicates
     /* 2313634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313638 */     // MIs[0] policy
     /* 2313638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313650 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2313653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313675 */     // GIR_Coverage, 45201,
     /* 2313675 */     GIR_EraseRootFromParent_Done,
     /* 2313676 */   // Label 33636: @2313676
     /* 2313676 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2313759), // Rule ID 45260 //
     /* 2313681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313717 */     // MIs[1] Operand 1
     /* 2313717 */     // No operand predicates
     /* 2313717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313721 */     // MIs[0] policy
     /* 2313721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313733 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2313736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313758 */     // GIR_Coverage, 45260,
     /* 2313758 */     GIR_EraseRootFromParent_Done,
     /* 2313759 */   // Label 33637: @2313759
     /* 2313759 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2313842), // Rule ID 45261 //
     /* 2313764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2313796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2313800 */     // MIs[1] Operand 1
     /* 2313800 */     // No operand predicates
     /* 2313800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313804 */     // MIs[0] policy
     /* 2313804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313816 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2313819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2313828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313841 */     // GIR_Coverage, 45261,
     /* 2313841 */     GIR_EraseRootFromParent_Done,
     /* 2313842 */   // Label 33638: @2313842
     /* 2313842 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2313914), // Rule ID 45202 //
     /* 2313847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2313859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313879 */     // MIs[0] policy
     /* 2313879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313889 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2313889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2313892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313913 */     // GIR_Coverage, 45202,
     /* 2313913 */     GIR_EraseRootFromParent_Done,
     /* 2313914 */   // Label 33639: @2313914
     /* 2313914 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2313986), // Rule ID 45203 //
     /* 2313919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2313925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2313928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2313931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2313935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2313947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2313951 */     // MIs[0] policy
     /* 2313951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2313954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2313961 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2313961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2313964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2313970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2313974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2313979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2313984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313985 */     // GIR_Coverage, 45203,
     /* 2313985 */     GIR_EraseRootFromParent_Done,
     /* 2313986 */   // Label 33640: @2313986
     /* 2313986 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2314058), // Rule ID 45262 //
     /* 2313991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2313997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2314000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314023 */     // MIs[0] policy
     /* 2314023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314033 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2314036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314057 */     // GIR_Coverage, 45262,
     /* 2314057 */     GIR_EraseRootFromParent_Done,
     /* 2314058 */   // Label 33641: @2314058
     /* 2314058 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2314130), // Rule ID 45263 //
     /* 2314063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2314072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314095 */     // MIs[0] policy
     /* 2314095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314105 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2314108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314129 */     // GIR_Coverage, 45263,
     /* 2314129 */     GIR_EraseRootFromParent_Done,
     /* 2314130 */   // Label 33642: @2314130
     /* 2314130 */   GIM_Reject,
     /* 2314131 */ // Label 33634: @2314131
     /* 2314131 */ GIM_Reject,
     /* 2314132 */ // Label 33488: @2314132
     /* 2314132 */ GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2314454),
     /* 2314137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2314140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2314143 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2314226), // Rule ID 45172 //
     /* 2314148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2314164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314184 */     // MIs[1] Operand 1
     /* 2314184 */     // No operand predicates
     /* 2314184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314188 */     // MIs[0] policy
     /* 2314188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314200 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2314203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314225 */     // GIR_Coverage, 45172,
     /* 2314225 */     GIR_EraseRootFromParent_Done,
     /* 2314226 */   // Label 33644: @2314226
     /* 2314226 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2314309), // Rule ID 45173 //
     /* 2314231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2314247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314267 */     // MIs[1] Operand 1
     /* 2314267 */     // No operand predicates
     /* 2314267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314271 */     // MIs[0] policy
     /* 2314271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314283 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2314286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314308 */     // GIR_Coverage, 45173,
     /* 2314308 */     GIR_EraseRootFromParent_Done,
     /* 2314309 */   // Label 33645: @2314309
     /* 2314309 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2314381), // Rule ID 45174 //
     /* 2314314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2314330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314346 */     // MIs[0] policy
     /* 2314346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314356 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2314359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314380 */     // GIR_Coverage, 45174,
     /* 2314380 */     GIR_EraseRootFromParent_Done,
     /* 2314381 */   // Label 33646: @2314381
     /* 2314381 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2314453), // Rule ID 45175 //
     /* 2314386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2314402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314418 */     // MIs[0] policy
     /* 2314418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314428 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2314431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314452 */     // GIR_Coverage, 45175,
     /* 2314452 */     GIR_EraseRootFromParent_Done,
     /* 2314453 */   // Label 33647: @2314453
     /* 2314453 */   GIM_Reject,
     /* 2314454 */ // Label 33643: @2314454
     /* 2314454 */ GIM_Reject,
     /* 2314455 */ // Label 33489: @2314455
     /* 2314455 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2315087),
     /* 2314460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2314463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2314466 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2314549), // Rule ID 45188 //
     /* 2314471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314507 */     // MIs[1] Operand 1
     /* 2314507 */     // No operand predicates
     /* 2314507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314511 */     // MIs[0] policy
     /* 2314511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314523 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2314526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314548 */     // GIR_Coverage, 45188,
     /* 2314548 */     GIR_EraseRootFromParent_Done,
     /* 2314549 */   // Label 33649: @2314549
     /* 2314549 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2314632), // Rule ID 45189 //
     /* 2314554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314590 */     // MIs[1] Operand 1
     /* 2314590 */     // No operand predicates
     /* 2314590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314594 */     // MIs[0] policy
     /* 2314594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314606 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2314609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314631 */     // GIR_Coverage, 45189,
     /* 2314631 */     GIR_EraseRootFromParent_Done,
     /* 2314632 */   // Label 33650: @2314632
     /* 2314632 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2314715), // Rule ID 45248 //
     /* 2314637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314673 */     // MIs[1] Operand 1
     /* 2314673 */     // No operand predicates
     /* 2314673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314677 */     // MIs[0] policy
     /* 2314677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314689 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2314692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314714 */     // GIR_Coverage, 45248,
     /* 2314714 */     GIR_EraseRootFromParent_Done,
     /* 2314715 */   // Label 33651: @2314715
     /* 2314715 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2314798), // Rule ID 45249 //
     /* 2314720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2314752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2314756 */     // MIs[1] Operand 1
     /* 2314756 */     // No operand predicates
     /* 2314756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314760 */     // MIs[0] policy
     /* 2314760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314772 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2314775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2314784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314797 */     // GIR_Coverage, 45249,
     /* 2314797 */     GIR_EraseRootFromParent_Done,
     /* 2314798 */   // Label 33652: @2314798
     /* 2314798 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2314870), // Rule ID 45190 //
     /* 2314803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314835 */     // MIs[0] policy
     /* 2314835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314845 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2314848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314869 */     // GIR_Coverage, 45190,
     /* 2314869 */     GIR_EraseRootFromParent_Done,
     /* 2314870 */   // Label 33653: @2314870
     /* 2314870 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2314942), // Rule ID 45191 //
     /* 2314875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2314881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2314887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314907 */     // MIs[0] policy
     /* 2314907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314917 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2314917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2314920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2314930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2314935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2314940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314941 */     // GIR_Coverage, 45191,
     /* 2314941 */     GIR_EraseRootFromParent_Done,
     /* 2314942 */   // Label 33654: @2314942
     /* 2314942 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2315014), // Rule ID 45250 //
     /* 2314947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2314953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2314956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2314959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2314963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2314979 */     // MIs[0] policy
     /* 2314979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2314982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2314989 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2314989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2314992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2314998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315013 */     // GIR_Coverage, 45250,
     /* 2315013 */     GIR_EraseRootFromParent_Done,
     /* 2315014 */   // Label 33655: @2315014
     /* 2315014 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2315086), // Rule ID 45251 //
     /* 2315019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2315028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2315035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315051 */     // MIs[0] policy
     /* 2315051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315061 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2315061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2315064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315085 */     // GIR_Coverage, 45251,
     /* 2315085 */     GIR_EraseRootFromParent_Done,
     /* 2315086 */   // Label 33656: @2315086
     /* 2315086 */   GIM_Reject,
     /* 2315087 */ // Label 33648: @2315087
     /* 2315087 */ GIM_Reject,
     /* 2315088 */ // Label 33490: @2315088
     /* 2315088 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2315410),
     /* 2315093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2315096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2315099 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2315182), // Rule ID 45176 //
     /* 2315104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2315107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2315110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2315113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2315116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2315120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315140 */     // MIs[1] Operand 1
     /* 2315140 */     // No operand predicates
     /* 2315140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315144 */     // MIs[0] policy
     /* 2315144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315156 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2315156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2315159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2315168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315181 */     // GIR_Coverage, 45176,
     /* 2315181 */     GIR_EraseRootFromParent_Done,
     /* 2315182 */   // Label 33658: @2315182
     /* 2315182 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2315265), // Rule ID 45177 //
     /* 2315187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2315196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2315203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315223 */     // MIs[1] Operand 1
     /* 2315223 */     // No operand predicates
     /* 2315223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315227 */     // MIs[0] policy
     /* 2315227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315239 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2315239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2315242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2315251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315264 */     // GIR_Coverage, 45177,
     /* 2315264 */     GIR_EraseRootFromParent_Done,
     /* 2315265 */   // Label 33659: @2315265
     /* 2315265 */   GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2315337), // Rule ID 45178 //
     /* 2315270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2315273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2315276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2315279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2315282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2315286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315302 */     // MIs[0] policy
     /* 2315302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315312 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2315312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2315315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315336 */     // GIR_Coverage, 45178,
     /* 2315336 */     GIR_EraseRootFromParent_Done,
     /* 2315337 */   // Label 33660: @2315337
     /* 2315337 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2315409), // Rule ID 45179 //
     /* 2315342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2315351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2315358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2315366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315374 */     // MIs[0] policy
     /* 2315374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315384 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2315384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2315387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315408 */     // GIR_Coverage, 45179,
     /* 2315408 */     GIR_EraseRootFromParent_Done,
     /* 2315409 */   // Label 33661: @2315409
     /* 2315409 */   GIM_Reject,
     /* 2315410 */ // Label 33657: @2315410
     /* 2315410 */ GIM_Reject,
     /* 2315411 */ // Label 33491: @2315411
     /* 2315411 */ GIM_Reject,
     /* 2315412 */ // Label 120: @2315412
     /* 2315412 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33684*/ GIMT_Encode4(2327291),
     /* 2315423 */ /*GILLT_nxv1s8*//*Label 33662*/ GIMT_Encode4(2315535),
     /* 2315427 */ /*GILLT_nxv1s16*//*Label 33663*/ GIMT_Encode4(2315858),
     /* 2315431 */ /*GILLT_nxv1s32*//*Label 33664*/ GIMT_Encode4(2316491),
     /* 2315435 */ /*GILLT_nxv1s64*//*Label 33665*/ GIMT_Encode4(2317124), GIMT_Encode4(0),
     /* 2315443 */ /*GILLT_nxv2s8*//*Label 33666*/ GIMT_Encode4(2317757),
     /* 2315447 */ /*GILLT_nxv2s16*//*Label 33667*/ GIMT_Encode4(2318080),
     /* 2315451 */ /*GILLT_nxv2s32*//*Label 33668*/ GIMT_Encode4(2318713),
     /* 2315455 */ /*GILLT_nxv2s64*//*Label 33669*/ GIMT_Encode4(2319346), GIMT_Encode4(0),
     /* 2315463 */ /*GILLT_nxv4s8*//*Label 33670*/ GIMT_Encode4(2319979),
     /* 2315467 */ /*GILLT_nxv4s16*//*Label 33671*/ GIMT_Encode4(2320302),
     /* 2315471 */ /*GILLT_nxv4s32*//*Label 33672*/ GIMT_Encode4(2320935),
     /* 2315475 */ /*GILLT_nxv4s64*//*Label 33673*/ GIMT_Encode4(2321568), GIMT_Encode4(0),
     /* 2315483 */ /*GILLT_nxv8s8*//*Label 33674*/ GIMT_Encode4(2322201),
     /* 2315487 */ /*GILLT_nxv8s16*//*Label 33675*/ GIMT_Encode4(2322524),
     /* 2315491 */ /*GILLT_nxv8s32*//*Label 33676*/ GIMT_Encode4(2323157),
     /* 2315495 */ /*GILLT_nxv8s64*//*Label 33677*/ GIMT_Encode4(2323790), GIMT_Encode4(0),
     /* 2315503 */ /*GILLT_nxv16s8*//*Label 33678*/ GIMT_Encode4(2324423),
     /* 2315507 */ /*GILLT_nxv16s16*//*Label 33679*/ GIMT_Encode4(2324746),
     /* 2315511 */ /*GILLT_nxv16s32*//*Label 33680*/ GIMT_Encode4(2325379), GIMT_Encode4(0),
     /* 2315519 */ /*GILLT_nxv32s8*//*Label 33681*/ GIMT_Encode4(2326012),
     /* 2315523 */ /*GILLT_nxv32s16*//*Label 33682*/ GIMT_Encode4(2326335), GIMT_Encode4(0),
     /* 2315531 */ /*GILLT_nxv64s8*//*Label 33683*/ GIMT_Encode4(2326968),
     /* 2315535 */ // Label 33662: @2315535
     /* 2315535 */ GIM_Try, /*On fail goto*//*Label 33685*/ GIMT_Encode4(2315857),
     /* 2315540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2315543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2315546 */   GIM_Try, /*On fail goto*//*Label 33686*/ GIMT_Encode4(2315629), // Rule ID 25210 //
     /* 2315551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2315554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2315557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2315563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315587 */     // MIs[1] Operand 1
     /* 2315587 */     // No operand predicates
     /* 2315587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315591 */     // MIs[0] policy
     /* 2315591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315603 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2315603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2315606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2315615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315628 */     // GIR_Coverage, 25210,
     /* 2315628 */     GIR_EraseRootFromParent_Done,
     /* 2315629 */   // Label 33686: @2315629
     /* 2315629 */   GIM_Try, /*On fail goto*//*Label 33687*/ GIMT_Encode4(2315712), // Rule ID 25211 //
     /* 2315634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315670 */     // MIs[1] Operand 1
     /* 2315670 */     // No operand predicates
     /* 2315670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315674 */     // MIs[0] policy
     /* 2315674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315686 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2315686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2315689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2315698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315711 */     // GIR_Coverage, 25211,
     /* 2315711 */     GIR_EraseRootFromParent_Done,
     /* 2315712 */   // Label 33687: @2315712
     /* 2315712 */   GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2315784), // Rule ID 25212 //
     /* 2315717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2315720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2315723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2315729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315749 */     // MIs[0] policy
     /* 2315749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315759 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2315759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2315762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315783 */     // GIR_Coverage, 25212,
     /* 2315783 */     GIR_EraseRootFromParent_Done,
     /* 2315784 */   // Label 33688: @2315784
     /* 2315784 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2315856), // Rule ID 25213 //
     /* 2315789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315821 */     // MIs[0] policy
     /* 2315821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315831 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2315831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2315834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315855 */     // GIR_Coverage, 25213,
     /* 2315855 */     GIR_EraseRootFromParent_Done,
     /* 2315856 */   // Label 33689: @2315856
     /* 2315856 */   GIM_Reject,
     /* 2315857 */ // Label 33685: @2315857
     /* 2315857 */ GIM_Reject,
     /* 2315858 */ // Label 33663: @2315858
     /* 2315858 */ GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2316490),
     /* 2315863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2315869 */   GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2315952), // Rule ID 44992 //
     /* 2315874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2315877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2315880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2315886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315910 */     // MIs[1] Operand 1
     /* 2315910 */     // No operand predicates
     /* 2315910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315914 */     // MIs[0] policy
     /* 2315914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2315917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2315926 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2315926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2315929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2315935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2315938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2315940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2315945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2315950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315951 */     // GIR_Coverage, 44992,
     /* 2315951 */     GIR_EraseRootFromParent_Done,
     /* 2315952 */   // Label 33691: @2315952
     /* 2315952 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2316035), // Rule ID 44993 //
     /* 2315957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2315960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2315963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2315966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2315969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2315973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2315989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2315993 */     // MIs[1] Operand 1
     /* 2315993 */     // No operand predicates
     /* 2315993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2315997 */     // MIs[0] policy
     /* 2315997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316009 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2316012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316034 */     // GIR_Coverage, 44993,
     /* 2316034 */     GIR_EraseRootFromParent_Done,
     /* 2316035 */   // Label 33692: @2316035
     /* 2316035 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2316118), // Rule ID 45068 //
     /* 2316040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316076 */     // MIs[1] Operand 1
     /* 2316076 */     // No operand predicates
     /* 2316076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316080 */     // MIs[0] policy
     /* 2316080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316092 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2316095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316117 */     // GIR_Coverage, 45068,
     /* 2316117 */     GIR_EraseRootFromParent_Done,
     /* 2316118 */   // Label 33693: @2316118
     /* 2316118 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2316201), // Rule ID 45069 //
     /* 2316123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316159 */     // MIs[1] Operand 1
     /* 2316159 */     // No operand predicates
     /* 2316159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316163 */     // MIs[0] policy
     /* 2316163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316175 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2316178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316200 */     // GIR_Coverage, 45069,
     /* 2316200 */     GIR_EraseRootFromParent_Done,
     /* 2316201 */   // Label 33694: @2316201
     /* 2316201 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2316273), // Rule ID 44994 //
     /* 2316206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316238 */     // MIs[0] policy
     /* 2316238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316248 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2316251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316272 */     // GIR_Coverage, 44994,
     /* 2316272 */     GIR_EraseRootFromParent_Done,
     /* 2316273 */   // Label 33695: @2316273
     /* 2316273 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2316345), // Rule ID 44995 //
     /* 2316278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316310 */     // MIs[0] policy
     /* 2316310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316320 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2316323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316344 */     // GIR_Coverage, 44995,
     /* 2316344 */     GIR_EraseRootFromParent_Done,
     /* 2316345 */   // Label 33696: @2316345
     /* 2316345 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2316417), // Rule ID 45070 //
     /* 2316350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316382 */     // MIs[0] policy
     /* 2316382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316392 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2316395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316416 */     // GIR_Coverage, 45070,
     /* 2316416 */     GIR_EraseRootFromParent_Done,
     /* 2316417 */   // Label 33697: @2316417
     /* 2316417 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2316489), // Rule ID 45071 //
     /* 2316422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316454 */     // MIs[0] policy
     /* 2316454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316464 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2316467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316488 */     // GIR_Coverage, 45071,
     /* 2316488 */     GIR_EraseRootFromParent_Done,
     /* 2316489 */   // Label 33698: @2316489
     /* 2316489 */   GIM_Reject,
     /* 2316490 */ // Label 33690: @2316490
     /* 2316490 */ GIM_Reject,
     /* 2316491 */ // Label 33664: @2316491
     /* 2316491 */ GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2317123),
     /* 2316496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2316502 */   GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2316585), // Rule ID 45000 //
     /* 2316507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316543 */     // MIs[1] Operand 1
     /* 2316543 */     // No operand predicates
     /* 2316543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316547 */     // MIs[0] policy
     /* 2316547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316559 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2316562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316584 */     // GIR_Coverage, 45000,
     /* 2316584 */     GIR_EraseRootFromParent_Done,
     /* 2316585 */   // Label 33700: @2316585
     /* 2316585 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2316668), // Rule ID 45001 //
     /* 2316590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316626 */     // MIs[1] Operand 1
     /* 2316626 */     // No operand predicates
     /* 2316626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316630 */     // MIs[0] policy
     /* 2316630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316642 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2316645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316667 */     // GIR_Coverage, 45001,
     /* 2316667 */     GIR_EraseRootFromParent_Done,
     /* 2316668 */   // Label 33701: @2316668
     /* 2316668 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2316751), // Rule ID 45076 //
     /* 2316673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316709 */     // MIs[1] Operand 1
     /* 2316709 */     // No operand predicates
     /* 2316709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316713 */     // MIs[0] policy
     /* 2316713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316725 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2316728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316750 */     // GIR_Coverage, 45076,
     /* 2316750 */     GIR_EraseRootFromParent_Done,
     /* 2316751 */   // Label 33702: @2316751
     /* 2316751 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2316834), // Rule ID 45077 //
     /* 2316756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2316788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2316792 */     // MIs[1] Operand 1
     /* 2316792 */     // No operand predicates
     /* 2316792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316796 */     // MIs[0] policy
     /* 2316796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316808 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2316811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2316820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316833 */     // GIR_Coverage, 45077,
     /* 2316833 */     GIR_EraseRootFromParent_Done,
     /* 2316834 */   // Label 33703: @2316834
     /* 2316834 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2316906), // Rule ID 45002 //
     /* 2316839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316871 */     // MIs[0] policy
     /* 2316871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316881 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2316881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2316884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316905 */     // GIR_Coverage, 45002,
     /* 2316905 */     GIR_EraseRootFromParent_Done,
     /* 2316906 */   // Label 33704: @2316906
     /* 2316906 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2316978), // Rule ID 45003 //
     /* 2316911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2316917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2316923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2316943 */     // MIs[0] policy
     /* 2316943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2316946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2316953 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2316953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2316956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2316962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2316966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2316971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2316976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316977 */     // GIR_Coverage, 45003,
     /* 2316977 */     GIR_EraseRootFromParent_Done,
     /* 2316978 */   // Label 33705: @2316978
     /* 2316978 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2317050), // Rule ID 45078 //
     /* 2316983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2316989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2316992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2316995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2316999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317015 */     // MIs[0] policy
     /* 2317015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317025 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2317028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317049 */     // GIR_Coverage, 45078,
     /* 2317049 */     GIR_EraseRootFromParent_Done,
     /* 2317050 */   // Label 33706: @2317050
     /* 2317050 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2317122), // Rule ID 45079 //
     /* 2317055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317087 */     // MIs[0] policy
     /* 2317087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317097 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2317100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317121 */     // GIR_Coverage, 45079,
     /* 2317121 */     GIR_EraseRootFromParent_Done,
     /* 2317122 */   // Label 33707: @2317122
     /* 2317122 */   GIM_Reject,
     /* 2317123 */ // Label 33699: @2317123
     /* 2317123 */ GIM_Reject,
     /* 2317124 */ // Label 33665: @2317124
     /* 2317124 */ GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2317756),
     /* 2317129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2317132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2317135 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2317218), // Rule ID 45016 //
     /* 2317140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2317143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317176 */     // MIs[1] Operand 1
     /* 2317176 */     // No operand predicates
     /* 2317176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317180 */     // MIs[0] policy
     /* 2317180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317192 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2317195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317217 */     // GIR_Coverage, 45016,
     /* 2317217 */     GIR_EraseRootFromParent_Done,
     /* 2317218 */   // Label 33709: @2317218
     /* 2317218 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2317301), // Rule ID 45017 //
     /* 2317223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2317226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317259 */     // MIs[1] Operand 1
     /* 2317259 */     // No operand predicates
     /* 2317259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317263 */     // MIs[0] policy
     /* 2317263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317275 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2317278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317300 */     // GIR_Coverage, 45017,
     /* 2317300 */     GIR_EraseRootFromParent_Done,
     /* 2317301 */   // Label 33710: @2317301
     /* 2317301 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2317384), // Rule ID 45088 //
     /* 2317306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2317309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317342 */     // MIs[1] Operand 1
     /* 2317342 */     // No operand predicates
     /* 2317342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317346 */     // MIs[0] policy
     /* 2317346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317358 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2317361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317383 */     // GIR_Coverage, 45088,
     /* 2317383 */     GIR_EraseRootFromParent_Done,
     /* 2317384 */   // Label 33711: @2317384
     /* 2317384 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2317467), // Rule ID 45089 //
     /* 2317389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2317392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317425 */     // MIs[1] Operand 1
     /* 2317425 */     // No operand predicates
     /* 2317425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317429 */     // MIs[0] policy
     /* 2317429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317441 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2317444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317466 */     // GIR_Coverage, 45089,
     /* 2317466 */     GIR_EraseRootFromParent_Done,
     /* 2317467 */   // Label 33712: @2317467
     /* 2317467 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2317539), // Rule ID 45018 //
     /* 2317472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2317475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317504 */     // MIs[0] policy
     /* 2317504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317514 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2317517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317538 */     // GIR_Coverage, 45018,
     /* 2317538 */     GIR_EraseRootFromParent_Done,
     /* 2317539 */   // Label 33713: @2317539
     /* 2317539 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2317611), // Rule ID 45019 //
     /* 2317544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2317547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317576 */     // MIs[0] policy
     /* 2317576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317586 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2317589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317610 */     // GIR_Coverage, 45019,
     /* 2317610 */     GIR_EraseRootFromParent_Done,
     /* 2317611 */   // Label 33714: @2317611
     /* 2317611 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2317683), // Rule ID 45090 //
     /* 2317616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2317619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317648 */     // MIs[0] policy
     /* 2317648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317658 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2317661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317682 */     // GIR_Coverage, 45090,
     /* 2317682 */     GIR_EraseRootFromParent_Done,
     /* 2317683 */   // Label 33715: @2317683
     /* 2317683 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2317755), // Rule ID 45091 //
     /* 2317688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2317691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2317697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317720 */     // MIs[0] policy
     /* 2317720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317730 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2317733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317754 */     // GIR_Coverage, 45091,
     /* 2317754 */     GIR_EraseRootFromParent_Done,
     /* 2317755 */   // Label 33716: @2317755
     /* 2317755 */   GIM_Reject,
     /* 2317756 */ // Label 33708: @2317756
     /* 2317756 */ GIM_Reject,
     /* 2317757 */ // Label 33666: @2317757
     /* 2317757 */ GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2318079),
     /* 2317762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2317765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2317768 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2317851), // Rule ID 44984 //
     /* 2317773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2317782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317809 */     // MIs[1] Operand 1
     /* 2317809 */     // No operand predicates
     /* 2317809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317813 */     // MIs[0] policy
     /* 2317813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317825 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2317828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317850 */     // GIR_Coverage, 44984,
     /* 2317850 */     GIR_EraseRootFromParent_Done,
     /* 2317851 */   // Label 33718: @2317851
     /* 2317851 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2317934), // Rule ID 44985 //
     /* 2317856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2317862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2317865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2317868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2317888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2317892 */     // MIs[1] Operand 1
     /* 2317892 */     // No operand predicates
     /* 2317892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317896 */     // MIs[0] policy
     /* 2317896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317908 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2317908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2317911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2317920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2317932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317933 */     // GIR_Coverage, 44985,
     /* 2317933 */     GIR_EraseRootFromParent_Done,
     /* 2317934 */   // Label 33719: @2317934
     /* 2317934 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2318006), // Rule ID 44986 //
     /* 2317939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2317945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2317948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2317951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2317955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2317967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2317971 */     // MIs[0] policy
     /* 2317971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2317974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2317981 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2317981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2317984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2317990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2317994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2317999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318005 */     // GIR_Coverage, 44986,
     /* 2318005 */     GIR_EraseRootFromParent_Done,
     /* 2318006 */   // Label 33720: @2318006
     /* 2318006 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2318078), // Rule ID 44987 //
     /* 2318011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318043 */     // MIs[0] policy
     /* 2318043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318053 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2318056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318077 */     // GIR_Coverage, 44987,
     /* 2318077 */     GIR_EraseRootFromParent_Done,
     /* 2318078 */   // Label 33721: @2318078
     /* 2318078 */   GIM_Reject,
     /* 2318079 */ // Label 33717: @2318079
     /* 2318079 */ GIM_Reject,
     /* 2318080 */ // Label 33667: @2318080
     /* 2318080 */ GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2318712),
     /* 2318085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2318088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2318091 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2318174), // Rule ID 44996 //
     /* 2318096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318132 */     // MIs[1] Operand 1
     /* 2318132 */     // No operand predicates
     /* 2318132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318136 */     // MIs[0] policy
     /* 2318136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318148 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2318151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318173 */     // GIR_Coverage, 44996,
     /* 2318173 */     GIR_EraseRootFromParent_Done,
     /* 2318174 */   // Label 33723: @2318174
     /* 2318174 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2318257), // Rule ID 44997 //
     /* 2318179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318215 */     // MIs[1] Operand 1
     /* 2318215 */     // No operand predicates
     /* 2318215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318219 */     // MIs[0] policy
     /* 2318219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318231 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2318234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318256 */     // GIR_Coverage, 44997,
     /* 2318256 */     GIR_EraseRootFromParent_Done,
     /* 2318257 */   // Label 33724: @2318257
     /* 2318257 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2318340), // Rule ID 45072 //
     /* 2318262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318298 */     // MIs[1] Operand 1
     /* 2318298 */     // No operand predicates
     /* 2318298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318302 */     // MIs[0] policy
     /* 2318302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318314 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2318317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318339 */     // GIR_Coverage, 45072,
     /* 2318339 */     GIR_EraseRootFromParent_Done,
     /* 2318340 */   // Label 33725: @2318340
     /* 2318340 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2318423), // Rule ID 45073 //
     /* 2318345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318381 */     // MIs[1] Operand 1
     /* 2318381 */     // No operand predicates
     /* 2318381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318385 */     // MIs[0] policy
     /* 2318385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318397 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2318400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318422 */     // GIR_Coverage, 45073,
     /* 2318422 */     GIR_EraseRootFromParent_Done,
     /* 2318423 */   // Label 33726: @2318423
     /* 2318423 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2318495), // Rule ID 44998 //
     /* 2318428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318460 */     // MIs[0] policy
     /* 2318460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318470 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2318473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318494 */     // GIR_Coverage, 44998,
     /* 2318494 */     GIR_EraseRootFromParent_Done,
     /* 2318495 */   // Label 33727: @2318495
     /* 2318495 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2318567), // Rule ID 44999 //
     /* 2318500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318532 */     // MIs[0] policy
     /* 2318532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318542 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2318545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318566 */     // GIR_Coverage, 44999,
     /* 2318566 */     GIR_EraseRootFromParent_Done,
     /* 2318567 */   // Label 33728: @2318567
     /* 2318567 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2318639), // Rule ID 45074 //
     /* 2318572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318604 */     // MIs[0] policy
     /* 2318604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318614 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2318617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318638 */     // GIR_Coverage, 45074,
     /* 2318638 */     GIR_EraseRootFromParent_Done,
     /* 2318639 */   // Label 33729: @2318639
     /* 2318639 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2318711), // Rule ID 45075 //
     /* 2318644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2318672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318676 */     // MIs[0] policy
     /* 2318676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318686 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2318689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318710 */     // GIR_Coverage, 45075,
     /* 2318710 */     GIR_EraseRootFromParent_Done,
     /* 2318711 */   // Label 33730: @2318711
     /* 2318711 */   GIM_Reject,
     /* 2318712 */ // Label 33722: @2318712
     /* 2318712 */ GIM_Reject,
     /* 2318713 */ // Label 33668: @2318713
     /* 2318713 */ GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2319345),
     /* 2318718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2318721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2318724 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2318807), // Rule ID 45012 //
     /* 2318729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318765 */     // MIs[1] Operand 1
     /* 2318765 */     // No operand predicates
     /* 2318765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318769 */     // MIs[0] policy
     /* 2318769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318781 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2318784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318806 */     // GIR_Coverage, 45012,
     /* 2318806 */     GIR_EraseRootFromParent_Done,
     /* 2318807 */   // Label 33732: @2318807
     /* 2318807 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2318890), // Rule ID 45013 //
     /* 2318812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318848 */     // MIs[1] Operand 1
     /* 2318848 */     // No operand predicates
     /* 2318848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318852 */     // MIs[0] policy
     /* 2318852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318864 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2318864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2318867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318889 */     // GIR_Coverage, 45013,
     /* 2318889 */     GIR_EraseRootFromParent_Done,
     /* 2318890 */   // Label 33733: @2318890
     /* 2318890 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2318973), // Rule ID 45084 //
     /* 2318895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2318901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2318907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2318927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2318931 */     // MIs[1] Operand 1
     /* 2318931 */     // No operand predicates
     /* 2318931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2318935 */     // MIs[0] policy
     /* 2318935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2318938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2318947 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2318947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2318950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2318956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2318959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2318961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2318966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2318971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318972 */     // GIR_Coverage, 45084,
     /* 2318972 */     GIR_EraseRootFromParent_Done,
     /* 2318973 */   // Label 33734: @2318973
     /* 2318973 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2319056), // Rule ID 45085 //
     /* 2318978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2318984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2318987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2318990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2318994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319014 */     // MIs[1] Operand 1
     /* 2319014 */     // No operand predicates
     /* 2319014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319018 */     // MIs[0] policy
     /* 2319018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319030 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2319033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2319042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319055 */     // GIR_Coverage, 45085,
     /* 2319055 */     GIR_EraseRootFromParent_Done,
     /* 2319056 */   // Label 33735: @2319056
     /* 2319056 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2319128), // Rule ID 45014 //
     /* 2319061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2319077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319093 */     // MIs[0] policy
     /* 2319093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319103 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2319106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319127 */     // GIR_Coverage, 45014,
     /* 2319127 */     GIR_EraseRootFromParent_Done,
     /* 2319128 */   // Label 33736: @2319128
     /* 2319128 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2319200), // Rule ID 45015 //
     /* 2319133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2319149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319165 */     // MIs[0] policy
     /* 2319165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319175 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2319178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319199 */     // GIR_Coverage, 45015,
     /* 2319199 */     GIR_EraseRootFromParent_Done,
     /* 2319200 */   // Label 33737: @2319200
     /* 2319200 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2319272), // Rule ID 45086 //
     /* 2319205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2319221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319237 */     // MIs[0] policy
     /* 2319237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319247 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2319250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319271 */     // GIR_Coverage, 45086,
     /* 2319271 */     GIR_EraseRootFromParent_Done,
     /* 2319272 */   // Label 33738: @2319272
     /* 2319272 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2319344), // Rule ID 45087 //
     /* 2319277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2319293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319309 */     // MIs[0] policy
     /* 2319309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319319 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2319322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319343 */     // GIR_Coverage, 45087,
     /* 2319343 */     GIR_EraseRootFromParent_Done,
     /* 2319344 */   // Label 33739: @2319344
     /* 2319344 */   GIM_Reject,
     /* 2319345 */ // Label 33731: @2319345
     /* 2319345 */ GIM_Reject,
     /* 2319346 */ // Label 33669: @2319346
     /* 2319346 */ GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2319978),
     /* 2319351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2319354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2319357 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2319440), // Rule ID 45056 //
     /* 2319362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2319365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319398 */     // MIs[1] Operand 1
     /* 2319398 */     // No operand predicates
     /* 2319398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319402 */     // MIs[0] policy
     /* 2319402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319414 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2319417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2319426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319439 */     // GIR_Coverage, 45056,
     /* 2319439 */     GIR_EraseRootFromParent_Done,
     /* 2319440 */   // Label 33741: @2319440
     /* 2319440 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2319523), // Rule ID 45057 //
     /* 2319445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2319448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319481 */     // MIs[1] Operand 1
     /* 2319481 */     // No operand predicates
     /* 2319481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319485 */     // MIs[0] policy
     /* 2319485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319497 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2319500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2319509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319522 */     // GIR_Coverage, 45057,
     /* 2319522 */     GIR_EraseRootFromParent_Done,
     /* 2319523 */   // Label 33742: @2319523
     /* 2319523 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2319606), // Rule ID 45116 //
     /* 2319528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2319531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319564 */     // MIs[1] Operand 1
     /* 2319564 */     // No operand predicates
     /* 2319564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319568 */     // MIs[0] policy
     /* 2319568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319580 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2319583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2319592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319605 */     // GIR_Coverage, 45116,
     /* 2319605 */     GIR_EraseRootFromParent_Done,
     /* 2319606 */   // Label 33743: @2319606
     /* 2319606 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2319689), // Rule ID 45117 //
     /* 2319611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2319614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319647 */     // MIs[1] Operand 1
     /* 2319647 */     // No operand predicates
     /* 2319647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319651 */     // MIs[0] policy
     /* 2319651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319663 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2319666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2319675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319688 */     // GIR_Coverage, 45117,
     /* 2319688 */     GIR_EraseRootFromParent_Done,
     /* 2319689 */   // Label 33744: @2319689
     /* 2319689 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2319761), // Rule ID 45058 //
     /* 2319694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2319697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319726 */     // MIs[0] policy
     /* 2319726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319736 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2319739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319760 */     // GIR_Coverage, 45058,
     /* 2319760 */     GIR_EraseRootFromParent_Done,
     /* 2319761 */   // Label 33745: @2319761
     /* 2319761 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2319833), // Rule ID 45059 //
     /* 2319766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2319769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319798 */     // MIs[0] policy
     /* 2319798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319808 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2319811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319832 */     // GIR_Coverage, 45059,
     /* 2319832 */     GIR_EraseRootFromParent_Done,
     /* 2319833 */   // Label 33746: @2319833
     /* 2319833 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2319905), // Rule ID 45118 //
     /* 2319838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2319841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2319844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2319850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319870 */     // MIs[0] policy
     /* 2319870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319880 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2319880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2319883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319904 */     // GIR_Coverage, 45118,
     /* 2319904 */     GIR_EraseRootFromParent_Done,
     /* 2319905 */   // Label 33747: @2319905
     /* 2319905 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2319977), // Rule ID 45119 //
     /* 2319910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2319913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2319916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2319919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2319922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2319926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2319942 */     // MIs[0] policy
     /* 2319942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2319945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2319952 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2319952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2319955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2319961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2319965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2319970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2319975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319976 */     // GIR_Coverage, 45119,
     /* 2319976 */     GIR_EraseRootFromParent_Done,
     /* 2319977 */   // Label 33748: @2319977
     /* 2319977 */   GIM_Reject,
     /* 2319978 */ // Label 33740: @2319978
     /* 2319978 */ GIM_Reject,
     /* 2319979 */ // Label 33670: @2319979
     /* 2319979 */ GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2320301),
     /* 2319984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2319987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2319990 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2320073), // Rule ID 44988 //
     /* 2319995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320031 */     // MIs[1] Operand 1
     /* 2320031 */     // No operand predicates
     /* 2320031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320035 */     // MIs[0] policy
     /* 2320035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320047 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2320050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320072 */     // GIR_Coverage, 44988,
     /* 2320072 */     GIR_EraseRootFromParent_Done,
     /* 2320073 */   // Label 33750: @2320073
     /* 2320073 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2320156), // Rule ID 44989 //
     /* 2320078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320114 */     // MIs[1] Operand 1
     /* 2320114 */     // No operand predicates
     /* 2320114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320118 */     // MIs[0] policy
     /* 2320118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320130 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2320133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320155 */     // GIR_Coverage, 44989,
     /* 2320155 */     GIR_EraseRootFromParent_Done,
     /* 2320156 */   // Label 33751: @2320156
     /* 2320156 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2320228), // Rule ID 44990 //
     /* 2320161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320193 */     // MIs[0] policy
     /* 2320193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320203 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2320206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320227 */     // GIR_Coverage, 44990,
     /* 2320227 */     GIR_EraseRootFromParent_Done,
     /* 2320228 */   // Label 33752: @2320228
     /* 2320228 */   GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2320300), // Rule ID 44991 //
     /* 2320233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320265 */     // MIs[0] policy
     /* 2320265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320275 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2320278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320299 */     // GIR_Coverage, 44991,
     /* 2320299 */     GIR_EraseRootFromParent_Done,
     /* 2320300 */   // Label 33753: @2320300
     /* 2320300 */   GIM_Reject,
     /* 2320301 */ // Label 33749: @2320301
     /* 2320301 */ GIM_Reject,
     /* 2320302 */ // Label 33671: @2320302
     /* 2320302 */ GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2320934),
     /* 2320307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2320310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2320313 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2320396), // Rule ID 45008 //
     /* 2320318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320354 */     // MIs[1] Operand 1
     /* 2320354 */     // No operand predicates
     /* 2320354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320358 */     // MIs[0] policy
     /* 2320358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320370 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2320373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320395 */     // GIR_Coverage, 45008,
     /* 2320395 */     GIR_EraseRootFromParent_Done,
     /* 2320396 */   // Label 33755: @2320396
     /* 2320396 */   GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2320479), // Rule ID 45009 //
     /* 2320401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320437 */     // MIs[1] Operand 1
     /* 2320437 */     // No operand predicates
     /* 2320437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320441 */     // MIs[0] policy
     /* 2320441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320453 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2320456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320478 */     // GIR_Coverage, 45009,
     /* 2320478 */     GIR_EraseRootFromParent_Done,
     /* 2320479 */   // Label 33756: @2320479
     /* 2320479 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2320562), // Rule ID 45080 //
     /* 2320484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320520 */     // MIs[1] Operand 1
     /* 2320520 */     // No operand predicates
     /* 2320520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320524 */     // MIs[0] policy
     /* 2320524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320536 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2320539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320561 */     // GIR_Coverage, 45080,
     /* 2320561 */     GIR_EraseRootFromParent_Done,
     /* 2320562 */   // Label 33757: @2320562
     /* 2320562 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2320645), // Rule ID 45081 //
     /* 2320567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320603 */     // MIs[1] Operand 1
     /* 2320603 */     // No operand predicates
     /* 2320603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320607 */     // MIs[0] policy
     /* 2320607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320619 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2320622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2320631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320644 */     // GIR_Coverage, 45081,
     /* 2320644 */     GIR_EraseRootFromParent_Done,
     /* 2320645 */   // Label 33758: @2320645
     /* 2320645 */   GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2320717), // Rule ID 45010 //
     /* 2320650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320682 */     // MIs[0] policy
     /* 2320682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320692 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2320695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320716 */     // GIR_Coverage, 45010,
     /* 2320716 */     GIR_EraseRootFromParent_Done,
     /* 2320717 */   // Label 33759: @2320717
     /* 2320717 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2320789), // Rule ID 45011 //
     /* 2320722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320754 */     // MIs[0] policy
     /* 2320754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320764 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2320767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320788 */     // GIR_Coverage, 45011,
     /* 2320788 */     GIR_EraseRootFromParent_Done,
     /* 2320789 */   // Label 33760: @2320789
     /* 2320789 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2320861), // Rule ID 45082 //
     /* 2320794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320826 */     // MIs[0] policy
     /* 2320826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320836 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2320836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2320839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320860 */     // GIR_Coverage, 45082,
     /* 2320860 */     GIR_EraseRootFromParent_Done,
     /* 2320861 */   // Label 33761: @2320861
     /* 2320861 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2320933), // Rule ID 45083 //
     /* 2320866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2320872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2320878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2320882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320898 */     // MIs[0] policy
     /* 2320898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2320908 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2320908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2320911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2320917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2320921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2320926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2320931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320932 */     // GIR_Coverage, 45083,
     /* 2320932 */     GIR_EraseRootFromParent_Done,
     /* 2320933 */   // Label 33762: @2320933
     /* 2320933 */   GIM_Reject,
     /* 2320934 */ // Label 33754: @2320934
     /* 2320934 */ GIM_Reject,
     /* 2320935 */ // Label 33672: @2320935
     /* 2320935 */ GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2321567),
     /* 2320940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2320943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2320946 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2321029), // Rule ID 45044 //
     /* 2320951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2320957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2320960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2320963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2320967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2320983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2320987 */     // MIs[1] Operand 1
     /* 2320987 */     // No operand predicates
     /* 2320987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2320991 */     // MIs[0] policy
     /* 2320991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2320994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321003 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2321006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321028 */     // GIR_Coverage, 45044,
     /* 2321028 */     GIR_EraseRootFromParent_Done,
     /* 2321029 */   // Label 33764: @2321029
     /* 2321029 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2321112), // Rule ID 45045 //
     /* 2321034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321070 */     // MIs[1] Operand 1
     /* 2321070 */     // No operand predicates
     /* 2321070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321074 */     // MIs[0] policy
     /* 2321074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321086 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2321089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321111 */     // GIR_Coverage, 45045,
     /* 2321111 */     GIR_EraseRootFromParent_Done,
     /* 2321112 */   // Label 33765: @2321112
     /* 2321112 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2321195), // Rule ID 45104 //
     /* 2321117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321153 */     // MIs[1] Operand 1
     /* 2321153 */     // No operand predicates
     /* 2321153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321157 */     // MIs[0] policy
     /* 2321157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321169 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2321172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321194 */     // GIR_Coverage, 45104,
     /* 2321194 */     GIR_EraseRootFromParent_Done,
     /* 2321195 */   // Label 33766: @2321195
     /* 2321195 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2321278), // Rule ID 45105 //
     /* 2321200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321236 */     // MIs[1] Operand 1
     /* 2321236 */     // No operand predicates
     /* 2321236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321240 */     // MIs[0] policy
     /* 2321240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321252 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2321255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321277 */     // GIR_Coverage, 45105,
     /* 2321277 */     GIR_EraseRootFromParent_Done,
     /* 2321278 */   // Label 33767: @2321278
     /* 2321278 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2321350), // Rule ID 45046 //
     /* 2321283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321315 */     // MIs[0] policy
     /* 2321315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321325 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2321328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321349 */     // GIR_Coverage, 45046,
     /* 2321349 */     GIR_EraseRootFromParent_Done,
     /* 2321350 */   // Label 33768: @2321350
     /* 2321350 */   GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2321422), // Rule ID 45047 //
     /* 2321355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321387 */     // MIs[0] policy
     /* 2321387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321397 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2321400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321421 */     // GIR_Coverage, 45047,
     /* 2321421 */     GIR_EraseRootFromParent_Done,
     /* 2321422 */   // Label 33769: @2321422
     /* 2321422 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2321494), // Rule ID 45106 //
     /* 2321427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321459 */     // MIs[0] policy
     /* 2321459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321469 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2321472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321493 */     // GIR_Coverage, 45106,
     /* 2321493 */     GIR_EraseRootFromParent_Done,
     /* 2321494 */   // Label 33770: @2321494
     /* 2321494 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2321566), // Rule ID 45107 //
     /* 2321499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2321515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321531 */     // MIs[0] policy
     /* 2321531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321541 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2321544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321565 */     // GIR_Coverage, 45107,
     /* 2321565 */     GIR_EraseRootFromParent_Done,
     /* 2321566 */   // Label 33771: @2321566
     /* 2321566 */   GIM_Reject,
     /* 2321567 */ // Label 33763: @2321567
     /* 2321567 */ GIM_Reject,
     /* 2321568 */ // Label 33673: @2321568
     /* 2321568 */ GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2322200),
     /* 2321573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2321576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2321579 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2321662), // Rule ID 45060 //
     /* 2321584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2321587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2321600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321620 */     // MIs[1] Operand 1
     /* 2321620 */     // No operand predicates
     /* 2321620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321624 */     // MIs[0] policy
     /* 2321624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321636 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2321639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321661 */     // GIR_Coverage, 45060,
     /* 2321661 */     GIR_EraseRootFromParent_Done,
     /* 2321662 */   // Label 33773: @2321662
     /* 2321662 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2321745), // Rule ID 45061 //
     /* 2321667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2321670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2321683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321703 */     // MIs[1] Operand 1
     /* 2321703 */     // No operand predicates
     /* 2321703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321707 */     // MIs[0] policy
     /* 2321707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321719 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2321722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321744 */     // GIR_Coverage, 45061,
     /* 2321744 */     GIR_EraseRootFromParent_Done,
     /* 2321745 */   // Label 33774: @2321745
     /* 2321745 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2321828), // Rule ID 45120 //
     /* 2321750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2321753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2321766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321786 */     // MIs[1] Operand 1
     /* 2321786 */     // No operand predicates
     /* 2321786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321790 */     // MIs[0] policy
     /* 2321790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321802 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2321805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321827 */     // GIR_Coverage, 45120,
     /* 2321827 */     GIR_EraseRootFromParent_Done,
     /* 2321828 */   // Label 33775: @2321828
     /* 2321828 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2321911), // Rule ID 45121 //
     /* 2321833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2321836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2321845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2321849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2321865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2321869 */     // MIs[1] Operand 1
     /* 2321869 */     // No operand predicates
     /* 2321869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321873 */     // MIs[0] policy
     /* 2321873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321885 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2321885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2321888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2321897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321910 */     // GIR_Coverage, 45121,
     /* 2321910 */     GIR_EraseRootFromParent_Done,
     /* 2321911 */   // Label 33776: @2321911
     /* 2321911 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2321983), // Rule ID 45062 //
     /* 2321916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2321919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2321922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2321928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2321932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2321944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2321948 */     // MIs[0] policy
     /* 2321948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2321951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2321958 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2321958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2321961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2321967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2321971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2321976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2321981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321982 */     // GIR_Coverage, 45062,
     /* 2321982 */     GIR_EraseRootFromParent_Done,
     /* 2321983 */   // Label 33777: @2321983
     /* 2321983 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2322055), // Rule ID 45063 //
     /* 2321988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2321991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2321994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2321997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2322004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322020 */     // MIs[0] policy
     /* 2322020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322030 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2322033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322054 */     // GIR_Coverage, 45063,
     /* 2322054 */     GIR_EraseRootFromParent_Done,
     /* 2322055 */   // Label 33778: @2322055
     /* 2322055 */   GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2322127), // Rule ID 45122 //
     /* 2322060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2322063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2322069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2322076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322092 */     // MIs[0] policy
     /* 2322092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322102 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2322105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322126 */     // GIR_Coverage, 45122,
     /* 2322126 */     GIR_EraseRootFromParent_Done,
     /* 2322127 */   // Label 33779: @2322127
     /* 2322127 */   GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2322199), // Rule ID 45123 //
     /* 2322132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2322135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2322141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2322148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322164 */     // MIs[0] policy
     /* 2322164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322174 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2322177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322198 */     // GIR_Coverage, 45123,
     /* 2322198 */     GIR_EraseRootFromParent_Done,
     /* 2322199 */   // Label 33780: @2322199
     /* 2322199 */   GIM_Reject,
     /* 2322200 */ // Label 33772: @2322200
     /* 2322200 */ GIM_Reject,
     /* 2322201 */ // Label 33674: @2322201
     /* 2322201 */ GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2322523),
     /* 2322206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2322209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2322212 */   GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2322295), // Rule ID 45004 //
     /* 2322217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2322233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322253 */     // MIs[1] Operand 1
     /* 2322253 */     // No operand predicates
     /* 2322253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322257 */     // MIs[0] policy
     /* 2322257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322269 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2322272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322294 */     // GIR_Coverage, 45004,
     /* 2322294 */     GIR_EraseRootFromParent_Done,
     /* 2322295 */   // Label 33782: @2322295
     /* 2322295 */   GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2322378), // Rule ID 45005 //
     /* 2322300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2322316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322336 */     // MIs[1] Operand 1
     /* 2322336 */     // No operand predicates
     /* 2322336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322340 */     // MIs[0] policy
     /* 2322340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322352 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2322355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322377 */     // GIR_Coverage, 45005,
     /* 2322377 */     GIR_EraseRootFromParent_Done,
     /* 2322378 */   // Label 33783: @2322378
     /* 2322378 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2322450), // Rule ID 45006 //
     /* 2322383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2322399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322415 */     // MIs[0] policy
     /* 2322415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322425 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2322428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322449 */     // GIR_Coverage, 45006,
     /* 2322449 */     GIR_EraseRootFromParent_Done,
     /* 2322450 */   // Label 33784: @2322450
     /* 2322450 */   GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2322522), // Rule ID 45007 //
     /* 2322455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2322471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322487 */     // MIs[0] policy
     /* 2322487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322497 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2322500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322521 */     // GIR_Coverage, 45007,
     /* 2322521 */     GIR_EraseRootFromParent_Done,
     /* 2322522 */   // Label 33785: @2322522
     /* 2322522 */   GIM_Reject,
     /* 2322523 */ // Label 33781: @2322523
     /* 2322523 */ GIM_Reject,
     /* 2322524 */ // Label 33675: @2322524
     /* 2322524 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2323156),
     /* 2322529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2322532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2322535 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2322618), // Rule ID 45032 //
     /* 2322540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322576 */     // MIs[1] Operand 1
     /* 2322576 */     // No operand predicates
     /* 2322576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322580 */     // MIs[0] policy
     /* 2322580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322592 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2322595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322617 */     // GIR_Coverage, 45032,
     /* 2322617 */     GIR_EraseRootFromParent_Done,
     /* 2322618 */   // Label 33787: @2322618
     /* 2322618 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2322701), // Rule ID 45033 //
     /* 2322623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322659 */     // MIs[1] Operand 1
     /* 2322659 */     // No operand predicates
     /* 2322659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322663 */     // MIs[0] policy
     /* 2322663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322675 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2322678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322700 */     // GIR_Coverage, 45033,
     /* 2322700 */     GIR_EraseRootFromParent_Done,
     /* 2322701 */   // Label 33788: @2322701
     /* 2322701 */   GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2322784), // Rule ID 45092 //
     /* 2322706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322742 */     // MIs[1] Operand 1
     /* 2322742 */     // No operand predicates
     /* 2322742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322746 */     // MIs[0] policy
     /* 2322746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322758 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2322761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322783 */     // GIR_Coverage, 45092,
     /* 2322783 */     GIR_EraseRootFromParent_Done,
     /* 2322784 */   // Label 33789: @2322784
     /* 2322784 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2322867), // Rule ID 45093 //
     /* 2322789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322825 */     // MIs[1] Operand 1
     /* 2322825 */     // No operand predicates
     /* 2322825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322829 */     // MIs[0] policy
     /* 2322829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322841 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2322844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2322853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322866 */     // GIR_Coverage, 45093,
     /* 2322866 */     GIR_EraseRootFromParent_Done,
     /* 2322867 */   // Label 33790: @2322867
     /* 2322867 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2322939), // Rule ID 45034 //
     /* 2322872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2322878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2322884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322904 */     // MIs[0] policy
     /* 2322904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322914 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2322914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2322917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2322932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2322937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322938 */     // GIR_Coverage, 45034,
     /* 2322938 */     GIR_EraseRootFromParent_Done,
     /* 2322939 */   // Label 33791: @2322939
     /* 2322939 */   GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2323011), // Rule ID 45035 //
     /* 2322944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2322950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2322953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2322956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2322960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2322976 */     // MIs[0] policy
     /* 2322976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2322979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2322986 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2322986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2322989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2322995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2322999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323010 */     // GIR_Coverage, 45035,
     /* 2323010 */     GIR_EraseRootFromParent_Done,
     /* 2323011 */   // Label 33792: @2323011
     /* 2323011 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2323083), // Rule ID 45094 //
     /* 2323016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2323032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323048 */     // MIs[0] policy
     /* 2323048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323058 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2323061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323082 */     // GIR_Coverage, 45094,
     /* 2323082 */     GIR_EraseRootFromParent_Done,
     /* 2323083 */   // Label 33793: @2323083
     /* 2323083 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2323155), // Rule ID 45095 //
     /* 2323088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2323104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323120 */     // MIs[0] policy
     /* 2323120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323130 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2323133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323154 */     // GIR_Coverage, 45095,
     /* 2323154 */     GIR_EraseRootFromParent_Done,
     /* 2323155 */   // Label 33794: @2323155
     /* 2323155 */   GIM_Reject,
     /* 2323156 */ // Label 33786: @2323156
     /* 2323156 */ GIM_Reject,
     /* 2323157 */ // Label 33676: @2323157
     /* 2323157 */ GIM_Try, /*On fail goto*//*Label 33795*/ GIMT_Encode4(2323789),
     /* 2323162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2323168 */   GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2323251), // Rule ID 45048 //
     /* 2323173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323209 */     // MIs[1] Operand 1
     /* 2323209 */     // No operand predicates
     /* 2323209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323213 */     // MIs[0] policy
     /* 2323213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323225 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2323228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323250 */     // GIR_Coverage, 45048,
     /* 2323250 */     GIR_EraseRootFromParent_Done,
     /* 2323251 */   // Label 33796: @2323251
     /* 2323251 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2323334), // Rule ID 45049 //
     /* 2323256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323292 */     // MIs[1] Operand 1
     /* 2323292 */     // No operand predicates
     /* 2323292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323296 */     // MIs[0] policy
     /* 2323296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323308 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2323311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323333 */     // GIR_Coverage, 45049,
     /* 2323333 */     GIR_EraseRootFromParent_Done,
     /* 2323334 */   // Label 33797: @2323334
     /* 2323334 */   GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2323417), // Rule ID 45108 //
     /* 2323339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323375 */     // MIs[1] Operand 1
     /* 2323375 */     // No operand predicates
     /* 2323375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323379 */     // MIs[0] policy
     /* 2323379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323391 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2323394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323416 */     // GIR_Coverage, 45108,
     /* 2323416 */     GIR_EraseRootFromParent_Done,
     /* 2323417 */   // Label 33798: @2323417
     /* 2323417 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2323500), // Rule ID 45109 //
     /* 2323422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323458 */     // MIs[1] Operand 1
     /* 2323458 */     // No operand predicates
     /* 2323458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323462 */     // MIs[0] policy
     /* 2323462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323474 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2323477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323499 */     // GIR_Coverage, 45109,
     /* 2323499 */     GIR_EraseRootFromParent_Done,
     /* 2323500 */   // Label 33799: @2323500
     /* 2323500 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2323572), // Rule ID 45050 //
     /* 2323505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323537 */     // MIs[0] policy
     /* 2323537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323547 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2323550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323571 */     // GIR_Coverage, 45050,
     /* 2323571 */     GIR_EraseRootFromParent_Done,
     /* 2323572 */   // Label 33800: @2323572
     /* 2323572 */   GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2323644), // Rule ID 45051 //
     /* 2323577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323609 */     // MIs[0] policy
     /* 2323609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323619 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2323622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323643 */     // GIR_Coverage, 45051,
     /* 2323643 */     GIR_EraseRootFromParent_Done,
     /* 2323644 */   // Label 33801: @2323644
     /* 2323644 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2323716), // Rule ID 45110 //
     /* 2323649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323681 */     // MIs[0] policy
     /* 2323681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323691 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2323694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323715 */     // GIR_Coverage, 45110,
     /* 2323715 */     GIR_EraseRootFromParent_Done,
     /* 2323716 */   // Label 33802: @2323716
     /* 2323716 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2323788), // Rule ID 45111 //
     /* 2323721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2323737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323753 */     // MIs[0] policy
     /* 2323753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323763 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2323766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323787 */     // GIR_Coverage, 45111,
     /* 2323787 */     GIR_EraseRootFromParent_Done,
     /* 2323788 */   // Label 33803: @2323788
     /* 2323788 */   GIM_Reject,
     /* 2323789 */ // Label 33795: @2323789
     /* 2323789 */ GIM_Reject,
     /* 2323790 */ // Label 33677: @2323790
     /* 2323790 */ GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2324422),
     /* 2323795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2323801 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2323884), // Rule ID 45064 //
     /* 2323806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2323809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2323822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323842 */     // MIs[1] Operand 1
     /* 2323842 */     // No operand predicates
     /* 2323842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323846 */     // MIs[0] policy
     /* 2323846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323858 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2323858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2323861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323883 */     // GIR_Coverage, 45064,
     /* 2323883 */     GIR_EraseRootFromParent_Done,
     /* 2323884 */   // Label 33805: @2323884
     /* 2323884 */   GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2323967), // Rule ID 45065 //
     /* 2323889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2323892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2323895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2323901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2323905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2323917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2323921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2323925 */     // MIs[1] Operand 1
     /* 2323925 */     // No operand predicates
     /* 2323925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2323929 */     // MIs[0] policy
     /* 2323929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2323932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2323934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2323941 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2323941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2323944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2323948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2323950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2323953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2323955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2323960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2323965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323966 */     // GIR_Coverage, 45065,
     /* 2323966 */     GIR_EraseRootFromParent_Done,
     /* 2323967 */   // Label 33806: @2323967
     /* 2323967 */   GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2324050), // Rule ID 45124 //
     /* 2323972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2323975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2323978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2323981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2323984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2323988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324008 */     // MIs[1] Operand 1
     /* 2324008 */     // No operand predicates
     /* 2324008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324012 */     // MIs[0] policy
     /* 2324012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324024 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2324027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324049 */     // GIR_Coverage, 45124,
     /* 2324049 */     GIR_EraseRootFromParent_Done,
     /* 2324050 */   // Label 33807: @2324050
     /* 2324050 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2324133), // Rule ID 45125 //
     /* 2324055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2324058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2324064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2324071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324091 */     // MIs[1] Operand 1
     /* 2324091 */     // No operand predicates
     /* 2324091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324095 */     // MIs[0] policy
     /* 2324095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324107 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2324110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324132 */     // GIR_Coverage, 45125,
     /* 2324132 */     GIR_EraseRootFromParent_Done,
     /* 2324133 */   // Label 33808: @2324133
     /* 2324133 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2324205), // Rule ID 45066 //
     /* 2324138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2324141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2324147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2324154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324170 */     // MIs[0] policy
     /* 2324170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324180 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2324183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324204 */     // GIR_Coverage, 45066,
     /* 2324204 */     GIR_EraseRootFromParent_Done,
     /* 2324205 */   // Label 33809: @2324205
     /* 2324205 */   GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2324277), // Rule ID 45067 //
     /* 2324210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2324213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2324219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2324226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324242 */     // MIs[0] policy
     /* 2324242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324252 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2324255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324276 */     // GIR_Coverage, 45067,
     /* 2324276 */     GIR_EraseRootFromParent_Done,
     /* 2324277 */   // Label 33810: @2324277
     /* 2324277 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2324349), // Rule ID 45126 //
     /* 2324282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2324285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2324291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2324298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324314 */     // MIs[0] policy
     /* 2324314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324324 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2324327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324348 */     // GIR_Coverage, 45126,
     /* 2324348 */     GIR_EraseRootFromParent_Done,
     /* 2324349 */   // Label 33811: @2324349
     /* 2324349 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2324421), // Rule ID 45127 //
     /* 2324354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2324357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2324363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2324370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324386 */     // MIs[0] policy
     /* 2324386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324396 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2324399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324420 */     // GIR_Coverage, 45127,
     /* 2324420 */     GIR_EraseRootFromParent_Done,
     /* 2324421 */   // Label 33812: @2324421
     /* 2324421 */   GIM_Reject,
     /* 2324422 */ // Label 33804: @2324422
     /* 2324422 */ GIM_Reject,
     /* 2324423 */ // Label 33678: @2324423
     /* 2324423 */ GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2324745),
     /* 2324428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2324431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2324434 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2324517), // Rule ID 45020 //
     /* 2324439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2324455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324475 */     // MIs[1] Operand 1
     /* 2324475 */     // No operand predicates
     /* 2324475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324479 */     // MIs[0] policy
     /* 2324479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324491 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2324494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324516 */     // GIR_Coverage, 45020,
     /* 2324516 */     GIR_EraseRootFromParent_Done,
     /* 2324517 */   // Label 33814: @2324517
     /* 2324517 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2324600), // Rule ID 45021 //
     /* 2324522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2324538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324558 */     // MIs[1] Operand 1
     /* 2324558 */     // No operand predicates
     /* 2324558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324562 */     // MIs[0] policy
     /* 2324562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324574 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2324577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324599 */     // GIR_Coverage, 45021,
     /* 2324599 */     GIR_EraseRootFromParent_Done,
     /* 2324600 */   // Label 33815: @2324600
     /* 2324600 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2324672), // Rule ID 45022 //
     /* 2324605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2324621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324637 */     // MIs[0] policy
     /* 2324637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324647 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2324650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324671 */     // GIR_Coverage, 45022,
     /* 2324671 */     GIR_EraseRootFromParent_Done,
     /* 2324672 */   // Label 33816: @2324672
     /* 2324672 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2324744), // Rule ID 45023 //
     /* 2324677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2324693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324709 */     // MIs[0] policy
     /* 2324709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324719 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2324722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2324730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324743 */     // GIR_Coverage, 45023,
     /* 2324743 */     GIR_EraseRootFromParent_Done,
     /* 2324744 */   // Label 33817: @2324744
     /* 2324744 */   GIM_Reject,
     /* 2324745 */ // Label 33813: @2324745
     /* 2324745 */ GIM_Reject,
     /* 2324746 */ // Label 33679: @2324746
     /* 2324746 */ GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2325378),
     /* 2324751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2324757 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2324840), // Rule ID 45036 //
     /* 2324762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2324778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324798 */     // MIs[1] Operand 1
     /* 2324798 */     // No operand predicates
     /* 2324798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324802 */     // MIs[0] policy
     /* 2324802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324814 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2324817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324839 */     // GIR_Coverage, 45036,
     /* 2324839 */     GIR_EraseRootFromParent_Done,
     /* 2324840 */   // Label 33819: @2324840
     /* 2324840 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2324923), // Rule ID 45037 //
     /* 2324845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2324851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2324857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2324861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324881 */     // MIs[1] Operand 1
     /* 2324881 */     // No operand predicates
     /* 2324881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324885 */     // MIs[0] policy
     /* 2324885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324897 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2324897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2324900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2324921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324922 */     // GIR_Coverage, 45037,
     /* 2324922 */     GIR_EraseRootFromParent_Done,
     /* 2324923 */   // Label 33820: @2324923
     /* 2324923 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2325006), // Rule ID 45096 //
     /* 2324928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2324934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2324937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2324940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2324944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2324956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2324960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2324964 */     // MIs[1] Operand 1
     /* 2324964 */     // No operand predicates
     /* 2324964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2324968 */     // MIs[0] policy
     /* 2324968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2324971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2324973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2324980 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2324980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2324983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2324987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2324989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2324992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2324994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2324999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325005 */     // GIR_Coverage, 45096,
     /* 2325005 */     GIR_EraseRootFromParent_Done,
     /* 2325006 */   // Label 33821: @2325006
     /* 2325006 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2325089), // Rule ID 45097 //
     /* 2325011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2325027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2325039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325047 */     // MIs[1] Operand 1
     /* 2325047 */     // No operand predicates
     /* 2325047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325051 */     // MIs[0] policy
     /* 2325051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325063 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2325066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2325075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325088 */     // GIR_Coverage, 45097,
     /* 2325088 */     GIR_EraseRootFromParent_Done,
     /* 2325089 */   // Label 33822: @2325089
     /* 2325089 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2325161), // Rule ID 45038 //
     /* 2325094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2325110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325126 */     // MIs[0] policy
     /* 2325126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325136 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2325139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325160 */     // GIR_Coverage, 45038,
     /* 2325160 */     GIR_EraseRootFromParent_Done,
     /* 2325161 */   // Label 33823: @2325161
     /* 2325161 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2325233), // Rule ID 45039 //
     /* 2325166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2325182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325198 */     // MIs[0] policy
     /* 2325198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325208 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2325211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325232 */     // GIR_Coverage, 45039,
     /* 2325232 */     GIR_EraseRootFromParent_Done,
     /* 2325233 */   // Label 33824: @2325233
     /* 2325233 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2325305), // Rule ID 45098 //
     /* 2325238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2325254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325270 */     // MIs[0] policy
     /* 2325270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325280 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2325283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325304 */     // GIR_Coverage, 45098,
     /* 2325304 */     GIR_EraseRootFromParent_Done,
     /* 2325305 */   // Label 33825: @2325305
     /* 2325305 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2325377), // Rule ID 45099 //
     /* 2325310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2325326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325342 */     // MIs[0] policy
     /* 2325342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325352 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2325355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325376 */     // GIR_Coverage, 45099,
     /* 2325376 */     GIR_EraseRootFromParent_Done,
     /* 2325377 */   // Label 33826: @2325377
     /* 2325377 */   GIM_Reject,
     /* 2325378 */ // Label 33818: @2325378
     /* 2325378 */ GIM_Reject,
     /* 2325379 */ // Label 33680: @2325379
     /* 2325379 */ GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2326011),
     /* 2325384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2325390 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2325473), // Rule ID 45052 //
     /* 2325395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2325423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325431 */     // MIs[1] Operand 1
     /* 2325431 */     // No operand predicates
     /* 2325431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325435 */     // MIs[0] policy
     /* 2325435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325447 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2325450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2325459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325472 */     // GIR_Coverage, 45052,
     /* 2325472 */     GIR_EraseRootFromParent_Done,
     /* 2325473 */   // Label 33828: @2325473
     /* 2325473 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2325556), // Rule ID 45053 //
     /* 2325478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2325506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325514 */     // MIs[1] Operand 1
     /* 2325514 */     // No operand predicates
     /* 2325514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325518 */     // MIs[0] policy
     /* 2325518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325530 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2325533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2325542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325555 */     // GIR_Coverage, 45053,
     /* 2325555 */     GIR_EraseRootFromParent_Done,
     /* 2325556 */   // Label 33829: @2325556
     /* 2325556 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2325639), // Rule ID 45112 //
     /* 2325561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2325589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325597 */     // MIs[1] Operand 1
     /* 2325597 */     // No operand predicates
     /* 2325597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325601 */     // MIs[0] policy
     /* 2325601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325613 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2325616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2325625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325638 */     // GIR_Coverage, 45112,
     /* 2325638 */     GIR_EraseRootFromParent_Done,
     /* 2325639 */   // Label 33830: @2325639
     /* 2325639 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2325722), // Rule ID 45113 //
     /* 2325644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2325672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325680 */     // MIs[1] Operand 1
     /* 2325680 */     // No operand predicates
     /* 2325680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325684 */     // MIs[0] policy
     /* 2325684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325696 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2325699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2325708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325721 */     // GIR_Coverage, 45113,
     /* 2325721 */     GIR_EraseRootFromParent_Done,
     /* 2325722 */   // Label 33831: @2325722
     /* 2325722 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2325794), // Rule ID 45054 //
     /* 2325727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325759 */     // MIs[0] policy
     /* 2325759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325769 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2325772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325793 */     // GIR_Coverage, 45054,
     /* 2325793 */     GIR_EraseRootFromParent_Done,
     /* 2325794 */   // Label 33832: @2325794
     /* 2325794 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2325866), // Rule ID 45055 //
     /* 2325799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325831 */     // MIs[0] policy
     /* 2325831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325841 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2325844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325865 */     // GIR_Coverage, 45055,
     /* 2325865 */     GIR_EraseRootFromParent_Done,
     /* 2325866 */   // Label 33833: @2325866
     /* 2325866 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2325938), // Rule ID 45114 //
     /* 2325871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2325877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2325883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325903 */     // MIs[0] policy
     /* 2325903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325913 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2325913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2325916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2325931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2325936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325937 */     // GIR_Coverage, 45114,
     /* 2325937 */     GIR_EraseRootFromParent_Done,
     /* 2325938 */   // Label 33834: @2325938
     /* 2325938 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2326010), // Rule ID 45115 //
     /* 2325943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2325949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2325952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2325955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2325959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2325975 */     // MIs[0] policy
     /* 2325975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2325978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2325985 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2325985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2325988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2325992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2325994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2325996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2325998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326009 */     // GIR_Coverage, 45115,
     /* 2326009 */     GIR_EraseRootFromParent_Done,
     /* 2326010 */   // Label 33835: @2326010
     /* 2326010 */   GIM_Reject,
     /* 2326011 */ // Label 33827: @2326011
     /* 2326011 */ GIM_Reject,
     /* 2326012 */ // Label 33681: @2326012
     /* 2326012 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2326334),
     /* 2326017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2326020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2326023 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2326106), // Rule ID 45024 //
     /* 2326028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2326044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326064 */     // MIs[1] Operand 1
     /* 2326064 */     // No operand predicates
     /* 2326064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326068 */     // MIs[0] policy
     /* 2326068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326080 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2326083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326105 */     // GIR_Coverage, 45024,
     /* 2326105 */     GIR_EraseRootFromParent_Done,
     /* 2326106 */   // Label 33837: @2326106
     /* 2326106 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2326189), // Rule ID 45025 //
     /* 2326111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2326127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326147 */     // MIs[1] Operand 1
     /* 2326147 */     // No operand predicates
     /* 2326147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326151 */     // MIs[0] policy
     /* 2326151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326163 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2326166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326188 */     // GIR_Coverage, 45025,
     /* 2326188 */     GIR_EraseRootFromParent_Done,
     /* 2326189 */   // Label 33838: @2326189
     /* 2326189 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2326261), // Rule ID 45026 //
     /* 2326194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2326210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326226 */     // MIs[0] policy
     /* 2326226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326236 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2326239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326260 */     // GIR_Coverage, 45026,
     /* 2326260 */     GIR_EraseRootFromParent_Done,
     /* 2326261 */   // Label 33839: @2326261
     /* 2326261 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2326333), // Rule ID 45027 //
     /* 2326266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2326282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326298 */     // MIs[0] policy
     /* 2326298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326308 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2326311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326332 */     // GIR_Coverage, 45027,
     /* 2326332 */     GIR_EraseRootFromParent_Done,
     /* 2326333 */   // Label 33840: @2326333
     /* 2326333 */   GIM_Reject,
     /* 2326334 */ // Label 33836: @2326334
     /* 2326334 */ GIM_Reject,
     /* 2326335 */ // Label 33682: @2326335
     /* 2326335 */ GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2326967),
     /* 2326340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2326346 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2326429), // Rule ID 45040 //
     /* 2326351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326387 */     // MIs[1] Operand 1
     /* 2326387 */     // No operand predicates
     /* 2326387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326391 */     // MIs[0] policy
     /* 2326391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326403 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2326406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326428 */     // GIR_Coverage, 45040,
     /* 2326428 */     GIR_EraseRootFromParent_Done,
     /* 2326429 */   // Label 33842: @2326429
     /* 2326429 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2326512), // Rule ID 45041 //
     /* 2326434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326470 */     // MIs[1] Operand 1
     /* 2326470 */     // No operand predicates
     /* 2326470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326474 */     // MIs[0] policy
     /* 2326474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326486 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2326489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326511 */     // GIR_Coverage, 45041,
     /* 2326511 */     GIR_EraseRootFromParent_Done,
     /* 2326512 */   // Label 33843: @2326512
     /* 2326512 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2326595), // Rule ID 45100 //
     /* 2326517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326553 */     // MIs[1] Operand 1
     /* 2326553 */     // No operand predicates
     /* 2326553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326557 */     // MIs[0] policy
     /* 2326557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326569 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2326572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326594 */     // GIR_Coverage, 45100,
     /* 2326594 */     GIR_EraseRootFromParent_Done,
     /* 2326595 */   // Label 33844: @2326595
     /* 2326595 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2326678), // Rule ID 45101 //
     /* 2326600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2326628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2326632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2326636 */     // MIs[1] Operand 1
     /* 2326636 */     // No operand predicates
     /* 2326636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326640 */     // MIs[0] policy
     /* 2326640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326652 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2326655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2326664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326677 */     // GIR_Coverage, 45101,
     /* 2326677 */     GIR_EraseRootFromParent_Done,
     /* 2326678 */   // Label 33845: @2326678
     /* 2326678 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2326750), // Rule ID 45042 //
     /* 2326683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326715 */     // MIs[0] policy
     /* 2326715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326725 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2326728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326749 */     // GIR_Coverage, 45042,
     /* 2326749 */     GIR_EraseRootFromParent_Done,
     /* 2326750 */   // Label 33846: @2326750
     /* 2326750 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2326822), // Rule ID 45043 //
     /* 2326755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326787 */     // MIs[0] policy
     /* 2326787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326797 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2326800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326821 */     // GIR_Coverage, 45043,
     /* 2326821 */     GIR_EraseRootFromParent_Done,
     /* 2326822 */   // Label 33847: @2326822
     /* 2326822 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2326894), // Rule ID 45102 //
     /* 2326827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326859 */     // MIs[0] policy
     /* 2326859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326869 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2326869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2326872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326893 */     // GIR_Coverage, 45102,
     /* 2326893 */     GIR_EraseRootFromParent_Done,
     /* 2326894 */   // Label 33848: @2326894
     /* 2326894 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2326966), // Rule ID 45103 //
     /* 2326899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2326905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2326908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2326911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2326915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2326927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2326931 */     // MIs[0] policy
     /* 2326931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2326934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2326941 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2326941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2326944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2326948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2326950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2326952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2326954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2326959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2326964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326965 */     // GIR_Coverage, 45103,
     /* 2326965 */     GIR_EraseRootFromParent_Done,
     /* 2326966 */   // Label 33849: @2326966
     /* 2326966 */   GIM_Reject,
     /* 2326967 */ // Label 33841: @2326967
     /* 2326967 */ GIM_Reject,
     /* 2326968 */ // Label 33683: @2326968
     /* 2326968 */ GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2327290),
     /* 2326973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2326976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2326979 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2327062), // Rule ID 45028 //
     /* 2326984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2326990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2326993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2326996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2327000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2327012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2327016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2327020 */     // MIs[1] Operand 1
     /* 2327020 */     // No operand predicates
     /* 2327020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2327024 */     // MIs[0] policy
     /* 2327024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2327027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2327029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2327036 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2327036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2327039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2327043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2327045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2327048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2327050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2327055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2327060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327061 */     // GIR_Coverage, 45028,
     /* 2327061 */     GIR_EraseRootFromParent_Done,
     /* 2327062 */   // Label 33851: @2327062
     /* 2327062 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2327145), // Rule ID 45029 //
     /* 2327067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2327073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2327076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2327079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2327083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2327095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2327099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2327103 */     // MIs[1] Operand 1
     /* 2327103 */     // No operand predicates
     /* 2327103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2327107 */     // MIs[0] policy
     /* 2327107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2327110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2327112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2327119 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2327119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2327122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2327126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2327128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2327131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2327133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2327138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2327143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327144 */     // GIR_Coverage, 45029,
     /* 2327144 */     GIR_EraseRootFromParent_Done,
     /* 2327145 */   // Label 33852: @2327145
     /* 2327145 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2327217), // Rule ID 45030 //
     /* 2327150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2327156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2327159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2327162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2327166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2327182 */     // MIs[0] policy
     /* 2327182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2327185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2327192 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2327192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2327195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2327199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2327201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2327203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2327205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2327210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2327215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327216 */     // GIR_Coverage, 45030,
     /* 2327216 */     GIR_EraseRootFromParent_Done,
     /* 2327217 */   // Label 33853: @2327217
     /* 2327217 */   GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2327289), // Rule ID 45031 //
     /* 2327222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2327228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2327231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2327234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2327238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2327254 */     // MIs[0] policy
     /* 2327254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2327257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2327264 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2327264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2327267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2327271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2327273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2327275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2327277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2327282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2327287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327288 */     // GIR_Coverage, 45031,
     /* 2327288 */     GIR_EraseRootFromParent_Done,
     /* 2327289 */   // Label 33854: @2327289
     /* 2327289 */   GIM_Reject,
     /* 2327290 */ // Label 33850: @2327290
     /* 2327290 */ GIM_Reject,
     /* 2327291 */ // Label 33684: @2327291
     /* 2327291 */ GIM_Reject,
     /* 2327292 */ // Label 121: @2327292
     /* 2327292 */ GIM_Reject,
     /* 2327293 */ }; // Size: 2327293 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
